#include "tree_sitter/parser.h"

#if defined(__GNUC__) || defined(__clang__)
#pragma GCC diagnostic ignored "-Wmissing-field-initializers"
#endif

#ifdef _MSC_VER
#pragma optimize("", off)
#elif defined(__clang__)
#pragma clang optimize off
#elif defined(__GNUC__)
#pragma GCC optimize ("O0")
#endif

#define LANGUAGE_VERSION 14
#define STATE_COUNT 7663
#define LARGE_STATE_COUNT 2000
#define SYMBOL_COUNT 399
#define ALIAS_COUNT 7
#define TOKEN_COUNT 173
#define EXTERNAL_TOKEN_COUNT 9
#define FIELD_COUNT 44
#define MAX_ALIAS_SEQUENCE_LENGTH 10
#define PRODUCTION_ID_COUNT 343

enum ts_symbol_identifiers {
  sym_identifier = 1,
  sym_hash_bang_line = 2,
  anon_sym_export = 3,
  anon_sym_STAR = 4,
  anon_sym_default = 5,
  anon_sym_type = 6,
  anon_sym_EQ = 7,
  anon_sym_as = 8,
  anon_sym_namespace = 9,
  anon_sym_LBRACE = 10,
  anon_sym_COMMA = 11,
  anon_sym_RBRACE = 12,
  anon_sym_typeof = 13,
  anon_sym_import = 14,
  anon_sym_from = 15,
  anon_sym_with = 16,
  anon_sym_var = 17,
  anon_sym_let = 18,
  anon_sym_const = 19,
  anon_sym_BANG = 20,
  anon_sym_else = 21,
  anon_sym_if = 22,
  anon_sym_switch = 23,
  anon_sym_for = 24,
  anon_sym_LPAREN = 25,
  anon_sym_RPAREN = 26,
  anon_sym_await = 27,
  anon_sym_in = 28,
  anon_sym_of = 29,
  anon_sym_while = 30,
  anon_sym_do = 31,
  anon_sym_try = 32,
  anon_sym_break = 33,
  anon_sym_continue = 34,
  anon_sym_debugger = 35,
  anon_sym_return = 36,
  anon_sym_throw = 37,
  anon_sym_SEMI = 38,
  anon_sym_COLON = 39,
  anon_sym_case = 40,
  anon_sym_catch = 41,
  anon_sym_finally = 42,
  anon_sym_yield = 43,
  anon_sym_LBRACK = 44,
  anon_sym_RBRACK = 45,
  sym__glimmer_template_content = 46,
  anon_sym_LTtemplate_GT = 47,
  anon_sym_LT_SLASHtemplate_GT = 48,
  aux_sym_jsx_text_token1 = 49,
  aux_sym_jsx_text_token2 = 50,
  sym_html_character_reference = 51,
  anon_sym_GT = 52,
  sym_jsx_identifier = 53,
  anon_sym_DOT = 54,
  anon_sym_LT_SLASH = 55,
  anon_sym_SLASH_GT = 56,
  anon_sym_DQUOTE = 57,
  anon_sym_SQUOTE = 58,
  sym_unescaped_double_jsx_string_fragment = 59,
  sym_unescaped_single_jsx_string_fragment = 60,
  anon_sym_class = 61,
  anon_sym_async = 62,
  anon_sym_function = 63,
  anon_sym_EQ_GT = 64,
  anon_sym_QMARK_DOT = 65,
  anon_sym_new = 66,
  anon_sym_using = 67,
  anon_sym_PLUS_EQ = 68,
  anon_sym_DASH_EQ = 69,
  anon_sym_STAR_EQ = 70,
  anon_sym_SLASH_EQ = 71,
  anon_sym_PERCENT_EQ = 72,
  anon_sym_CARET_EQ = 73,
  anon_sym_AMP_EQ = 74,
  anon_sym_PIPE_EQ = 75,
  anon_sym_GT_GT_EQ = 76,
  anon_sym_GT_GT_GT_EQ = 77,
  anon_sym_LT_LT_EQ = 78,
  anon_sym_STAR_STAR_EQ = 79,
  anon_sym_AMP_AMP_EQ = 80,
  anon_sym_PIPE_PIPE_EQ = 81,
  anon_sym_QMARK_QMARK_EQ = 82,
  anon_sym_DOT_DOT_DOT = 83,
  anon_sym_AMP_AMP = 84,
  anon_sym_PIPE_PIPE = 85,
  anon_sym_GT_GT = 86,
  anon_sym_GT_GT_GT = 87,
  anon_sym_LT_LT = 88,
  anon_sym_AMP = 89,
  anon_sym_CARET = 90,
  anon_sym_PIPE = 91,
  anon_sym_PLUS = 92,
  anon_sym_DASH = 93,
  anon_sym_SLASH = 94,
  anon_sym_PERCENT = 95,
  anon_sym_STAR_STAR = 96,
  anon_sym_LT = 97,
  anon_sym_LT_EQ = 98,
  anon_sym_EQ_EQ = 99,
  anon_sym_EQ_EQ_EQ = 100,
  anon_sym_BANG_EQ = 101,
  anon_sym_BANG_EQ_EQ = 102,
  anon_sym_GT_EQ = 103,
  anon_sym_QMARK_QMARK = 104,
  anon_sym_instanceof = 105,
  anon_sym_TILDE = 106,
  anon_sym_void = 107,
  anon_sym_delete = 108,
  anon_sym_PLUS_PLUS = 109,
  anon_sym_DASH_DASH = 110,
  sym_unescaped_double_string_fragment = 111,
  sym_unescaped_single_string_fragment = 112,
  sym_escape_sequence = 113,
  aux_sym_comment_token1 = 114,
  anon_sym_BQUOTE = 115,
  anon_sym_DOLLAR_LBRACE = 116,
  anon_sym_SLASH2 = 117,
  sym_regex_pattern = 118,
  sym_regex_flags = 119,
  sym_number = 120,
  sym_private_property_identifier = 121,
  anon_sym_target = 122,
  sym_this = 123,
  sym_super = 124,
  sym_true = 125,
  sym_false = 126,
  sym_null = 127,
  sym_undefined = 128,
  anon_sym_AT = 129,
  anon_sym_static = 130,
  anon_sym_readonly = 131,
  anon_sym_get = 132,
  anon_sym_set = 133,
  anon_sym_QMARK = 134,
  anon_sym_declare = 135,
  anon_sym_public = 136,
  anon_sym_private = 137,
  anon_sym_protected = 138,
  anon_sym_override = 139,
  anon_sym_module = 140,
  anon_sym_any = 141,
  anon_sym_number = 142,
  anon_sym_boolean = 143,
  anon_sym_string = 144,
  anon_sym_symbol = 145,
  anon_sym_object = 146,
  anon_sym_abstract = 147,
  anon_sym_satisfies = 148,
  anon_sym_require = 149,
  anon_sym_extends = 150,
  anon_sym_implements = 151,
  anon_sym_global = 152,
  anon_sym_interface = 153,
  anon_sym_enum = 154,
  anon_sym_DASH_QMARK_COLON = 155,
  anon_sym_PLUS_QMARK_COLON = 156,
  anon_sym_QMARK_COLON = 157,
  anon_sym_asserts = 158,
  anon_sym_infer = 159,
  anon_sym_is = 160,
  anon_sym_keyof = 161,
  anon_sym_unique = 162,
  anon_sym_unknown = 163,
  anon_sym_never = 164,
  anon_sym_LBRACE_PIPE = 165,
  anon_sym_PIPE_RBRACE = 166,
  sym__automatic_semicolon = 167,
  sym__template_chars = 168,
  sym__ternary_qmark = 169,
  sym_html_comment = 170,
  sym__function_signature_automatic_semicolon = 171,
  sym___error_recovery = 172,
  sym_program = 173,
  sym_export_statement = 174,
  sym_namespace_export = 175,
  sym_export_clause = 176,
  sym_export_specifier = 177,
  sym__module_export_name = 178,
  sym_declaration = 179,
  sym_import = 180,
  sym_import_statement = 181,
  sym_import_clause = 182,
  sym__from_clause = 183,
  sym_namespace_import = 184,
  sym_named_imports = 185,
  sym_import_specifier = 186,
  sym_import_attribute = 187,
  sym_expression_statement = 188,
  sym_variable_declaration = 189,
  sym_lexical_declaration = 190,
  sym_variable_declarator = 191,
  sym_statement_block = 192,
  sym_else_clause = 193,
  sym_if_statement = 194,
  sym_switch_statement = 195,
  sym_for_statement = 196,
  sym_for_in_statement = 197,
  sym__for_header = 198,
  sym_while_statement = 199,
  sym_do_statement = 200,
  sym_try_statement = 201,
  sym_with_statement = 202,
  sym_break_statement = 203,
  sym_continue_statement = 204,
  sym_debugger_statement = 205,
  sym_return_statement = 206,
  sym_throw_statement = 207,
  sym_empty_statement = 208,
  sym_labeled_statement = 209,
  sym_switch_body = 210,
  sym_switch_case = 211,
  sym_switch_default = 212,
  sym_catch_clause = 213,
  sym_finally_clause = 214,
  sym_parenthesized_expression = 215,
  sym_expression = 216,
  sym_primary_expression = 217,
  sym_yield_expression = 218,
  sym_object = 219,
  sym_object_pattern = 220,
  sym_assignment_pattern = 221,
  sym_object_assignment_pattern = 222,
  sym_array = 223,
  sym_array_pattern = 224,
  sym_glimmer_template = 225,
  sym_glimmer_opening_tag = 226,
  sym_glimmer_closing_tag = 227,
  sym_jsx_element = 228,
  sym_jsx_text = 229,
  sym_jsx_expression = 230,
  sym_jsx_opening_element = 231,
  sym_nested_identifier = 232,
  sym_jsx_namespace_name = 233,
  sym_jsx_closing_element = 234,
  sym_jsx_self_closing_element = 235,
  sym_jsx_attribute = 236,
  sym__jsx_string = 237,
  sym_class = 238,
  sym_class_declaration = 239,
  sym_class_heritage = 240,
  sym_function_expression = 241,
  sym_function_declaration = 242,
  sym_generator_function = 243,
  sym_generator_function_declaration = 244,
  sym_arrow_function = 245,
  sym__call_signature = 246,
  sym__formal_parameter = 247,
  sym_optional_chain = 248,
  sym_call_expression = 249,
  sym_new_expression = 250,
  sym_await_expression = 251,
  sym_member_expression = 252,
  sym_subscript_expression = 253,
  sym_assignment_expression = 254,
  sym__augmented_assignment_lhs = 255,
  sym_augmented_assignment_expression = 256,
  sym__initializer = 257,
  sym__destructuring_pattern = 258,
  sym_spread_element = 259,
  sym_ternary_expression = 260,
  sym_binary_expression = 261,
  sym_unary_expression = 262,
  sym_update_expression = 263,
  sym_sequence_expression = 264,
  sym_string = 265,
  sym_comment = 266,
  sym_template_string = 267,
  sym_template_substitution = 268,
  sym_regex = 269,
  sym_meta_property = 270,
  sym_arguments = 271,
  sym_decorator = 272,
  sym_decorator_member_expression = 273,
  sym_decorator_call_expression = 274,
  sym_class_body = 275,
  sym_formal_parameters = 276,
  sym_class_static_block = 277,
  sym_pattern = 278,
  sym_rest_pattern = 279,
  sym_method_definition = 280,
  sym_pair = 281,
  sym_pair_pattern = 282,
  sym__property_name = 283,
  sym_computed_property_name = 284,
  sym_public_field_definition = 285,
  sym__import_identifier = 286,
  sym_non_null_expression = 287,
  sym_method_signature = 288,
  sym_abstract_method_signature = 289,
  sym_function_signature = 290,
  sym_as_expression = 291,
  sym_satisfies_expression = 292,
  sym_instantiation_expression = 293,
  sym_import_require_clause = 294,
  sym_extends_clause = 295,
  sym__extends_clause_single = 296,
  sym_implements_clause = 297,
  sym_ambient_declaration = 298,
  sym_abstract_class_declaration = 299,
  sym_module = 300,
  sym_internal_module = 301,
  sym__module = 302,
  sym_import_alias = 303,
  sym_nested_type_identifier = 304,
  sym_interface_declaration = 305,
  sym_extends_type_clause = 306,
  sym_enum_declaration = 307,
  sym_enum_body = 308,
  sym_enum_assignment = 309,
  sym_type_alias_declaration = 310,
  sym_accessibility_modifier = 311,
  sym_override_modifier = 312,
  sym_required_parameter = 313,
  sym_optional_parameter = 314,
  sym__parameter_name = 315,
  sym_omitting_type_annotation = 316,
  sym_adding_type_annotation = 317,
  sym_opting_type_annotation = 318,
  sym_type_annotation = 319,
  sym__type_query_member_expression_in_type_annotation = 320,
  sym__type_query_call_expression_in_type_annotation = 321,
  sym_asserts = 322,
  sym_asserts_annotation = 323,
  sym__type = 324,
  sym_tuple_parameter = 325,
  sym_optional_tuple_parameter = 326,
  sym_optional_type = 327,
  sym_rest_type = 328,
  sym__tuple_type_member = 329,
  sym_constructor_type = 330,
  sym__primary_type = 331,
  sym_template_type = 332,
  sym_template_literal_type = 333,
  sym_infer_type = 334,
  sym_conditional_type = 335,
  sym_generic_type = 336,
  sym_type_predicate = 337,
  sym_type_predicate_annotation = 338,
  sym__type_query_member_expression = 339,
  sym__type_query_subscript_expression = 340,
  sym__type_query_call_expression = 341,
  sym__type_query_instantiation_expression = 342,
  sym_type_query = 343,
  sym_index_type_query = 344,
  sym_lookup_type = 345,
  sym_mapped_type_clause = 346,
  sym_literal_type = 347,
  sym__number = 348,
  sym_existential_type = 349,
  sym_flow_maybe_type = 350,
  sym_parenthesized_type = 351,
  sym_predefined_type = 352,
  sym_type_arguments = 353,
  sym_object_type = 354,
  sym_call_signature = 355,
  sym_property_signature = 356,
  sym_type_parameters = 357,
  sym_type_parameter = 358,
  sym_default_type = 359,
  sym_constraint = 360,
  sym_construct_signature = 361,
  sym_index_signature = 362,
  sym_array_type = 363,
  sym_tuple_type = 364,
  sym_readonly_type = 365,
  sym_union_type = 366,
  sym_intersection_type = 367,
  sym_function_type = 368,
  aux_sym_program_repeat1 = 369,
  aux_sym_export_statement_repeat1 = 370,
  aux_sym_export_clause_repeat1 = 371,
  aux_sym_named_imports_repeat1 = 372,
  aux_sym_variable_declaration_repeat1 = 373,
  aux_sym_switch_body_repeat1 = 374,
  aux_sym_object_repeat1 = 375,
  aux_sym_object_pattern_repeat1 = 376,
  aux_sym_array_repeat1 = 377,
  aux_sym_array_pattern_repeat1 = 378,
  aux_sym_glimmer_template_repeat1 = 379,
  aux_sym_jsx_element_repeat1 = 380,
  aux_sym__jsx_string_repeat1 = 381,
  aux_sym__jsx_string_repeat2 = 382,
  aux_sym_sequence_expression_repeat1 = 383,
  aux_sym_string_repeat1 = 384,
  aux_sym_string_repeat2 = 385,
  aux_sym_template_string_repeat1 = 386,
  aux_sym_class_body_repeat1 = 387,
  aux_sym_formal_parameters_repeat1 = 388,
  aux_sym__jsx_start_opening_element_repeat1 = 389,
  aux_sym_extends_clause_repeat1 = 390,
  aux_sym_implements_clause_repeat1 = 391,
  aux_sym_extends_type_clause_repeat1 = 392,
  aux_sym_enum_body_repeat1 = 393,
  aux_sym_template_literal_type_repeat1 = 394,
  aux_sym_type_arguments_repeat1 = 395,
  aux_sym_object_type_repeat1 = 396,
  aux_sym_type_parameters_repeat1 = 397,
  aux_sym_tuple_type_repeat1 = 398,
  alias_sym_interface_body = 399,
  alias_sym_property_identifier = 400,
  alias_sym_shorthand_property_identifier = 401,
  alias_sym_shorthand_property_identifier_pattern = 402,
  alias_sym_statement_identifier = 403,
  alias_sym_this_type = 404,
  alias_sym_type_identifier = 405,
};

static const char * const ts_symbol_names[] = {
  [ts_builtin_sym_end] = "end",
  [sym_identifier] = "identifier",
  [sym_hash_bang_line] = "hash_bang_line",
  [anon_sym_export] = "export",
  [anon_sym_STAR] = "*",
  [anon_sym_default] = "default",
  [anon_sym_type] = "type",
  [anon_sym_EQ] = "=",
  [anon_sym_as] = "as",
  [anon_sym_namespace] = "namespace",
  [anon_sym_LBRACE] = "{",
  [anon_sym_COMMA] = ",",
  [anon_sym_RBRACE] = "}",
  [anon_sym_typeof] = "typeof",
  [anon_sym_import] = "import",
  [anon_sym_from] = "from",
  [anon_sym_with] = "with",
  [anon_sym_var] = "var",
  [anon_sym_let] = "let",
  [anon_sym_const] = "const",
  [anon_sym_BANG] = "!",
  [anon_sym_else] = "else",
  [anon_sym_if] = "if",
  [anon_sym_switch] = "switch",
  [anon_sym_for] = "for",
  [anon_sym_LPAREN] = "(",
  [anon_sym_RPAREN] = ")",
  [anon_sym_await] = "await",
  [anon_sym_in] = "in",
  [anon_sym_of] = "of",
  [anon_sym_while] = "while",
  [anon_sym_do] = "do",
  [anon_sym_try] = "try",
  [anon_sym_break] = "break",
  [anon_sym_continue] = "continue",
  [anon_sym_debugger] = "debugger",
  [anon_sym_return] = "return",
  [anon_sym_throw] = "throw",
  [anon_sym_SEMI] = ";",
  [anon_sym_COLON] = ":",
  [anon_sym_case] = "case",
  [anon_sym_catch] = "catch",
  [anon_sym_finally] = "finally",
  [anon_sym_yield] = "yield",
  [anon_sym_LBRACK] = "[",
  [anon_sym_RBRACK] = "]",
  [sym__glimmer_template_content] = "_glimmer_template_content",
  [anon_sym_LTtemplate_GT] = "<template>",
  [anon_sym_LT_SLASHtemplate_GT] = "</template>",
  [aux_sym_jsx_text_token1] = "jsx_text_token1",
  [aux_sym_jsx_text_token2] = "jsx_text_token2",
  [sym_html_character_reference] = "html_character_reference",
  [anon_sym_GT] = ">",
  [sym_jsx_identifier] = "identifier",
  [anon_sym_DOT] = ".",
  [anon_sym_LT_SLASH] = "</",
  [anon_sym_SLASH_GT] = "/>",
  [anon_sym_DQUOTE] = "\"",
  [anon_sym_SQUOTE] = "'",
  [sym_unescaped_double_jsx_string_fragment] = "string_fragment",
  [sym_unescaped_single_jsx_string_fragment] = "string_fragment",
  [anon_sym_class] = "class",
  [anon_sym_async] = "async",
  [anon_sym_function] = "function",
  [anon_sym_EQ_GT] = "=>",
  [anon_sym_QMARK_DOT] = "\?.",
  [anon_sym_new] = "new",
  [anon_sym_using] = "using",
  [anon_sym_PLUS_EQ] = "+=",
  [anon_sym_DASH_EQ] = "-=",
  [anon_sym_STAR_EQ] = "*=",
  [anon_sym_SLASH_EQ] = "/=",
  [anon_sym_PERCENT_EQ] = "%=",
  [anon_sym_CARET_EQ] = "^=",
  [anon_sym_AMP_EQ] = "&=",
  [anon_sym_PIPE_EQ] = "|=",
  [anon_sym_GT_GT_EQ] = ">>=",
  [anon_sym_GT_GT_GT_EQ] = ">>>=",
  [anon_sym_LT_LT_EQ] = "<<=",
  [anon_sym_STAR_STAR_EQ] = "**=",
  [anon_sym_AMP_AMP_EQ] = "&&=",
  [anon_sym_PIPE_PIPE_EQ] = "||=",
  [anon_sym_QMARK_QMARK_EQ] = "\?\?=",
  [anon_sym_DOT_DOT_DOT] = "...",
  [anon_sym_AMP_AMP] = "&&",
  [anon_sym_PIPE_PIPE] = "||",
  [anon_sym_GT_GT] = ">>",
  [anon_sym_GT_GT_GT] = ">>>",
  [anon_sym_LT_LT] = "<<",
  [anon_sym_AMP] = "&",
  [anon_sym_CARET] = "^",
  [anon_sym_PIPE] = "|",
  [anon_sym_PLUS] = "+",
  [anon_sym_DASH] = "-",
  [anon_sym_SLASH] = "/",
  [anon_sym_PERCENT] = "%",
  [anon_sym_STAR_STAR] = "**",
  [anon_sym_LT] = "<",
  [anon_sym_LT_EQ] = "<=",
  [anon_sym_EQ_EQ] = "==",
  [anon_sym_EQ_EQ_EQ] = "===",
  [anon_sym_BANG_EQ] = "!=",
  [anon_sym_BANG_EQ_EQ] = "!==",
  [anon_sym_GT_EQ] = ">=",
  [anon_sym_QMARK_QMARK] = "\?\?",
  [anon_sym_instanceof] = "instanceof",
  [anon_sym_TILDE] = "~",
  [anon_sym_void] = "void",
  [anon_sym_delete] = "delete",
  [anon_sym_PLUS_PLUS] = "++",
  [anon_sym_DASH_DASH] = "--",
  [sym_unescaped_double_string_fragment] = "string_fragment",
  [sym_unescaped_single_string_fragment] = "string_fragment",
  [sym_escape_sequence] = "escape_sequence",
  [aux_sym_comment_token1] = "comment_token1",
  [anon_sym_BQUOTE] = "`",
  [anon_sym_DOLLAR_LBRACE] = "${",
  [anon_sym_SLASH2] = "/",
  [sym_regex_pattern] = "regex_pattern",
  [sym_regex_flags] = "regex_flags",
  [sym_number] = "number",
  [sym_private_property_identifier] = "private_property_identifier",
  [anon_sym_target] = "target",
  [sym_this] = "this",
  [sym_super] = "super",
  [sym_true] = "true",
  [sym_false] = "false",
  [sym_null] = "null",
  [sym_undefined] = "undefined",
  [anon_sym_AT] = "@",
  [anon_sym_static] = "static",
  [anon_sym_readonly] = "readonly",
  [anon_sym_get] = "get",
  [anon_sym_set] = "set",
  [anon_sym_QMARK] = "\?",
  [anon_sym_declare] = "declare",
  [anon_sym_public] = "public",
  [anon_sym_private] = "private",
  [anon_sym_protected] = "protected",
  [anon_sym_override] = "override",
  [anon_sym_module] = "module",
  [anon_sym_any] = "any",
  [anon_sym_number] = "number",
  [anon_sym_boolean] = "boolean",
  [anon_sym_string] = "string",
  [anon_sym_symbol] = "symbol",
  [anon_sym_object] = "object",
  [anon_sym_abstract] = "abstract",
  [anon_sym_satisfies] = "satisfies",
  [anon_sym_require] = "require",
  [anon_sym_extends] = "extends",
  [anon_sym_implements] = "implements",
  [anon_sym_global] = "global",
  [anon_sym_interface] = "interface",
  [anon_sym_enum] = "enum",
  [anon_sym_DASH_QMARK_COLON] = "-\?:",
  [anon_sym_PLUS_QMARK_COLON] = "+\?:",
  [anon_sym_QMARK_COLON] = "\?:",
  [anon_sym_asserts] = "asserts",
  [anon_sym_infer] = "infer",
  [anon_sym_is] = "is",
  [anon_sym_keyof] = "keyof",
  [anon_sym_unique] = "unique symbol",
  [anon_sym_unknown] = "unknown",
  [anon_sym_never] = "never",
  [anon_sym_LBRACE_PIPE] = "{|",
  [anon_sym_PIPE_RBRACE] = "|}",
  [sym__automatic_semicolon] = "_automatic_semicolon",
  [sym__template_chars] = "string_fragment",
  [sym__ternary_qmark] = "\?",
  [sym_html_comment] = "html_comment",
  [sym__function_signature_automatic_semicolon] = "_function_signature_automatic_semicolon",
  [sym___error_recovery] = "__error_recovery",
  [sym_program] = "program",
  [sym_export_statement] = "export_statement",
  [sym_namespace_export] = "namespace_export",
  [sym_export_clause] = "export_clause",
  [sym_export_specifier] = "export_specifier",
  [sym__module_export_name] = "_module_export_name",
  [sym_declaration] = "declaration",
  [sym_import] = "import",
  [sym_import_statement] = "import_statement",
  [sym_import_clause] = "import_clause",
  [sym__from_clause] = "_from_clause",
  [sym_namespace_import] = "namespace_import",
  [sym_named_imports] = "named_imports",
  [sym_import_specifier] = "import_specifier",
  [sym_import_attribute] = "import_attribute",
  [sym_expression_statement] = "expression_statement",
  [sym_variable_declaration] = "variable_declaration",
  [sym_lexical_declaration] = "lexical_declaration",
  [sym_variable_declarator] = "variable_declarator",
  [sym_statement_block] = "statement_block",
  [sym_else_clause] = "else_clause",
  [sym_if_statement] = "if_statement",
  [sym_switch_statement] = "switch_statement",
  [sym_for_statement] = "for_statement",
  [sym_for_in_statement] = "for_in_statement",
  [sym__for_header] = "_for_header",
  [sym_while_statement] = "while_statement",
  [sym_do_statement] = "do_statement",
  [sym_try_statement] = "try_statement",
  [sym_with_statement] = "with_statement",
  [sym_break_statement] = "break_statement",
  [sym_continue_statement] = "continue_statement",
  [sym_debugger_statement] = "debugger_statement",
  [sym_return_statement] = "return_statement",
  [sym_throw_statement] = "throw_statement",
  [sym_empty_statement] = "empty_statement",
  [sym_labeled_statement] = "labeled_statement",
  [sym_switch_body] = "switch_body",
  [sym_switch_case] = "switch_case",
  [sym_switch_default] = "switch_default",
  [sym_catch_clause] = "catch_clause",
  [sym_finally_clause] = "finally_clause",
  [sym_parenthesized_expression] = "parenthesized_expression",
  [sym_expression] = "expression",
  [sym_primary_expression] = "primary_expression",
  [sym_yield_expression] = "yield_expression",
  [sym_object] = "object",
  [sym_object_pattern] = "object_pattern",
  [sym_assignment_pattern] = "assignment_pattern",
  [sym_object_assignment_pattern] = "object_assignment_pattern",
  [sym_array] = "array",
  [sym_array_pattern] = "array_pattern",
  [sym_glimmer_template] = "glimmer_template",
  [sym_glimmer_opening_tag] = "glimmer_opening_tag",
  [sym_glimmer_closing_tag] = "glimmer_closing_tag",
  [sym_jsx_element] = "jsx_element",
  [sym_jsx_text] = "jsx_text",
  [sym_jsx_expression] = "jsx_expression",
  [sym_jsx_opening_element] = "jsx_opening_element",
  [sym_nested_identifier] = "nested_identifier",
  [sym_jsx_namespace_name] = "jsx_namespace_name",
  [sym_jsx_closing_element] = "jsx_closing_element",
  [sym_jsx_self_closing_element] = "jsx_self_closing_element",
  [sym_jsx_attribute] = "jsx_attribute",
  [sym__jsx_string] = "string",
  [sym_class] = "class",
  [sym_class_declaration] = "class_declaration",
  [sym_class_heritage] = "class_heritage",
  [sym_function_expression] = "function_expression",
  [sym_function_declaration] = "function_declaration",
  [sym_generator_function] = "generator_function",
  [sym_generator_function_declaration] = "generator_function_declaration",
  [sym_arrow_function] = "arrow_function",
  [sym__call_signature] = "_call_signature",
  [sym__formal_parameter] = "_formal_parameter",
  [sym_optional_chain] = "optional_chain",
  [sym_call_expression] = "call_expression",
  [sym_new_expression] = "new_expression",
  [sym_await_expression] = "await_expression",
  [sym_member_expression] = "member_expression",
  [sym_subscript_expression] = "subscript_expression",
  [sym_assignment_expression] = "assignment_expression",
  [sym__augmented_assignment_lhs] = "_augmented_assignment_lhs",
  [sym_augmented_assignment_expression] = "augmented_assignment_expression",
  [sym__initializer] = "_initializer",
  [sym__destructuring_pattern] = "_destructuring_pattern",
  [sym_spread_element] = "spread_element",
  [sym_ternary_expression] = "ternary_expression",
  [sym_binary_expression] = "binary_expression",
  [sym_unary_expression] = "unary_expression",
  [sym_update_expression] = "update_expression",
  [sym_sequence_expression] = "sequence_expression",
  [sym_string] = "string",
  [sym_comment] = "comment",
  [sym_template_string] = "template_string",
  [sym_template_substitution] = "template_substitution",
  [sym_regex] = "regex",
  [sym_meta_property] = "meta_property",
  [sym_arguments] = "arguments",
  [sym_decorator] = "decorator",
  [sym_decorator_member_expression] = "member_expression",
  [sym_decorator_call_expression] = "call_expression",
  [sym_class_body] = "class_body",
  [sym_formal_parameters] = "formal_parameters",
  [sym_class_static_block] = "class_static_block",
  [sym_pattern] = "pattern",
  [sym_rest_pattern] = "rest_pattern",
  [sym_method_definition] = "method_definition",
  [sym_pair] = "pair",
  [sym_pair_pattern] = "pair_pattern",
  [sym__property_name] = "_property_name",
  [sym_computed_property_name] = "computed_property_name",
  [sym_public_field_definition] = "public_field_definition",
  [sym__import_identifier] = "_import_identifier",
  [sym_non_null_expression] = "non_null_expression",
  [sym_method_signature] = "method_signature",
  [sym_abstract_method_signature] = "abstract_method_signature",
  [sym_function_signature] = "function_signature",
  [sym_as_expression] = "as_expression",
  [sym_satisfies_expression] = "satisfies_expression",
  [sym_instantiation_expression] = "instantiation_expression",
  [sym_import_require_clause] = "import_require_clause",
  [sym_extends_clause] = "extends_clause",
  [sym__extends_clause_single] = "_extends_clause_single",
  [sym_implements_clause] = "implements_clause",
  [sym_ambient_declaration] = "ambient_declaration",
  [sym_abstract_class_declaration] = "abstract_class_declaration",
  [sym_module] = "module",
  [sym_internal_module] = "internal_module",
  [sym__module] = "_module",
  [sym_import_alias] = "import_alias",
  [sym_nested_type_identifier] = "nested_type_identifier",
  [sym_interface_declaration] = "interface_declaration",
  [sym_extends_type_clause] = "extends_type_clause",
  [sym_enum_declaration] = "enum_declaration",
  [sym_enum_body] = "enum_body",
  [sym_enum_assignment] = "enum_assignment",
  [sym_type_alias_declaration] = "type_alias_declaration",
  [sym_accessibility_modifier] = "accessibility_modifier",
  [sym_override_modifier] = "override_modifier",
  [sym_required_parameter] = "required_parameter",
  [sym_optional_parameter] = "optional_parameter",
  [sym__parameter_name] = "_parameter_name",
  [sym_omitting_type_annotation] = "omitting_type_annotation",
  [sym_adding_type_annotation] = "adding_type_annotation",
  [sym_opting_type_annotation] = "opting_type_annotation",
  [sym_type_annotation] = "type_annotation",
  [sym__type_query_member_expression_in_type_annotation] = "member_expression",
  [sym__type_query_call_expression_in_type_annotation] = "call_expression",
  [sym_asserts] = "asserts",
  [sym_asserts_annotation] = "asserts_annotation",
  [sym__type] = "_type",
  [sym_tuple_parameter] = "required_parameter",
  [sym_optional_tuple_parameter] = "optional_parameter",
  [sym_optional_type] = "optional_type",
  [sym_rest_type] = "rest_type",
  [sym__tuple_type_member] = "_tuple_type_member",
  [sym_constructor_type] = "constructor_type",
  [sym__primary_type] = "_primary_type",
  [sym_template_type] = "template_type",
  [sym_template_literal_type] = "template_literal_type",
  [sym_infer_type] = "infer_type",
  [sym_conditional_type] = "conditional_type",
  [sym_generic_type] = "generic_type",
  [sym_type_predicate] = "type_predicate",
  [sym_type_predicate_annotation] = "type_predicate_annotation",
  [sym__type_query_member_expression] = "member_expression",
  [sym__type_query_subscript_expression] = "subscript_expression",
  [sym__type_query_call_expression] = "call_expression",
  [sym__type_query_instantiation_expression] = "instantiation_expression",
  [sym_type_query] = "type_query",
  [sym_index_type_query] = "index_type_query",
  [sym_lookup_type] = "lookup_type",
  [sym_mapped_type_clause] = "mapped_type_clause",
  [sym_literal_type] = "literal_type",
  [sym__number] = "unary_expression",
  [sym_existential_type] = "existential_type",
  [sym_flow_maybe_type] = "flow_maybe_type",
  [sym_parenthesized_type] = "parenthesized_type",
  [sym_predefined_type] = "predefined_type",
  [sym_type_arguments] = "type_arguments",
  [sym_object_type] = "object_type",
  [sym_call_signature] = "call_signature",
  [sym_property_signature] = "property_signature",
  [sym_type_parameters] = "type_parameters",
  [sym_type_parameter] = "type_parameter",
  [sym_default_type] = "default_type",
  [sym_constraint] = "constraint",
  [sym_construct_signature] = "construct_signature",
  [sym_index_signature] = "index_signature",
  [sym_array_type] = "array_type",
  [sym_tuple_type] = "tuple_type",
  [sym_readonly_type] = "readonly_type",
  [sym_union_type] = "union_type",
  [sym_intersection_type] = "intersection_type",
  [sym_function_type] = "function_type",
  [aux_sym_program_repeat1] = "program_repeat1",
  [aux_sym_export_statement_repeat1] = "export_statement_repeat1",
  [aux_sym_export_clause_repeat1] = "export_clause_repeat1",
  [aux_sym_named_imports_repeat1] = "named_imports_repeat1",
  [aux_sym_variable_declaration_repeat1] = "variable_declaration_repeat1",
  [aux_sym_switch_body_repeat1] = "switch_body_repeat1",
  [aux_sym_object_repeat1] = "object_repeat1",
  [aux_sym_object_pattern_repeat1] = "object_pattern_repeat1",
  [aux_sym_array_repeat1] = "array_repeat1",
  [aux_sym_array_pattern_repeat1] = "array_pattern_repeat1",
  [aux_sym_glimmer_template_repeat1] = "glimmer_template_repeat1",
  [aux_sym_jsx_element_repeat1] = "jsx_element_repeat1",
  [aux_sym__jsx_string_repeat1] = "_jsx_string_repeat1",
  [aux_sym__jsx_string_repeat2] = "_jsx_string_repeat2",
  [aux_sym_sequence_expression_repeat1] = "sequence_expression_repeat1",
  [aux_sym_string_repeat1] = "string_repeat1",
  [aux_sym_string_repeat2] = "string_repeat2",
  [aux_sym_template_string_repeat1] = "template_string_repeat1",
  [aux_sym_class_body_repeat1] = "class_body_repeat1",
  [aux_sym_formal_parameters_repeat1] = "formal_parameters_repeat1",
  [aux_sym__jsx_start_opening_element_repeat1] = "_jsx_start_opening_element_repeat1",
  [aux_sym_extends_clause_repeat1] = "extends_clause_repeat1",
  [aux_sym_implements_clause_repeat1] = "implements_clause_repeat1",
  [aux_sym_extends_type_clause_repeat1] = "extends_type_clause_repeat1",
  [aux_sym_enum_body_repeat1] = "enum_body_repeat1",
  [aux_sym_template_literal_type_repeat1] = "template_literal_type_repeat1",
  [aux_sym_type_arguments_repeat1] = "type_arguments_repeat1",
  [aux_sym_object_type_repeat1] = "object_type_repeat1",
  [aux_sym_type_parameters_repeat1] = "type_parameters_repeat1",
  [aux_sym_tuple_type_repeat1] = "tuple_type_repeat1",
  [alias_sym_interface_body] = "interface_body",
  [alias_sym_property_identifier] = "property_identifier",
  [alias_sym_shorthand_property_identifier] = "shorthand_property_identifier",
  [alias_sym_shorthand_property_identifier_pattern] = "shorthand_property_identifier_pattern",
  [alias_sym_statement_identifier] = "statement_identifier",
  [alias_sym_this_type] = "this_type",
  [alias_sym_type_identifier] = "type_identifier",
};

static const TSSymbol ts_symbol_map[] = {
  [ts_builtin_sym_end] = ts_builtin_sym_end,
  [sym_identifier] = sym_identifier,
  [sym_hash_bang_line] = sym_hash_bang_line,
  [anon_sym_export] = anon_sym_export,
  [anon_sym_STAR] = anon_sym_STAR,
  [anon_sym_default] = anon_sym_default,
  [anon_sym_type] = anon_sym_type,
  [anon_sym_EQ] = anon_sym_EQ,
  [anon_sym_as] = anon_sym_as,
  [anon_sym_namespace] = anon_sym_namespace,
  [anon_sym_LBRACE] = anon_sym_LBRACE,
  [anon_sym_COMMA] = anon_sym_COMMA,
  [anon_sym_RBRACE] = anon_sym_RBRACE,
  [anon_sym_typeof] = anon_sym_typeof,
  [anon_sym_import] = anon_sym_import,
  [anon_sym_from] = anon_sym_from,
  [anon_sym_with] = anon_sym_with,
  [anon_sym_var] = anon_sym_var,
  [anon_sym_let] = anon_sym_let,
  [anon_sym_const] = anon_sym_const,
  [anon_sym_BANG] = anon_sym_BANG,
  [anon_sym_else] = anon_sym_else,
  [anon_sym_if] = anon_sym_if,
  [anon_sym_switch] = anon_sym_switch,
  [anon_sym_for] = anon_sym_for,
  [anon_sym_LPAREN] = anon_sym_LPAREN,
  [anon_sym_RPAREN] = anon_sym_RPAREN,
  [anon_sym_await] = anon_sym_await,
  [anon_sym_in] = anon_sym_in,
  [anon_sym_of] = anon_sym_of,
  [anon_sym_while] = anon_sym_while,
  [anon_sym_do] = anon_sym_do,
  [anon_sym_try] = anon_sym_try,
  [anon_sym_break] = anon_sym_break,
  [anon_sym_continue] = anon_sym_continue,
  [anon_sym_debugger] = anon_sym_debugger,
  [anon_sym_return] = anon_sym_return,
  [anon_sym_throw] = anon_sym_throw,
  [anon_sym_SEMI] = anon_sym_SEMI,
  [anon_sym_COLON] = anon_sym_COLON,
  [anon_sym_case] = anon_sym_case,
  [anon_sym_catch] = anon_sym_catch,
  [anon_sym_finally] = anon_sym_finally,
  [anon_sym_yield] = anon_sym_yield,
  [anon_sym_LBRACK] = anon_sym_LBRACK,
  [anon_sym_RBRACK] = anon_sym_RBRACK,
  [sym__glimmer_template_content] = sym__glimmer_template_content,
  [anon_sym_LTtemplate_GT] = anon_sym_LTtemplate_GT,
  [anon_sym_LT_SLASHtemplate_GT] = anon_sym_LT_SLASHtemplate_GT,
  [aux_sym_jsx_text_token1] = aux_sym_jsx_text_token1,
  [aux_sym_jsx_text_token2] = aux_sym_jsx_text_token2,
  [sym_html_character_reference] = sym_html_character_reference,
  [anon_sym_GT] = anon_sym_GT,
  [sym_jsx_identifier] = sym_identifier,
  [anon_sym_DOT] = anon_sym_DOT,
  [anon_sym_LT_SLASH] = anon_sym_LT_SLASH,
  [anon_sym_SLASH_GT] = anon_sym_SLASH_GT,
  [anon_sym_DQUOTE] = anon_sym_DQUOTE,
  [anon_sym_SQUOTE] = anon_sym_SQUOTE,
  [sym_unescaped_double_jsx_string_fragment] = sym__template_chars,
  [sym_unescaped_single_jsx_string_fragment] = sym__template_chars,
  [anon_sym_class] = anon_sym_class,
  [anon_sym_async] = anon_sym_async,
  [anon_sym_function] = anon_sym_function,
  [anon_sym_EQ_GT] = anon_sym_EQ_GT,
  [anon_sym_QMARK_DOT] = anon_sym_QMARK_DOT,
  [anon_sym_new] = anon_sym_new,
  [anon_sym_using] = anon_sym_using,
  [anon_sym_PLUS_EQ] = anon_sym_PLUS_EQ,
  [anon_sym_DASH_EQ] = anon_sym_DASH_EQ,
  [anon_sym_STAR_EQ] = anon_sym_STAR_EQ,
  [anon_sym_SLASH_EQ] = anon_sym_SLASH_EQ,
  [anon_sym_PERCENT_EQ] = anon_sym_PERCENT_EQ,
  [anon_sym_CARET_EQ] = anon_sym_CARET_EQ,
  [anon_sym_AMP_EQ] = anon_sym_AMP_EQ,
  [anon_sym_PIPE_EQ] = anon_sym_PIPE_EQ,
  [anon_sym_GT_GT_EQ] = anon_sym_GT_GT_EQ,
  [anon_sym_GT_GT_GT_EQ] = anon_sym_GT_GT_GT_EQ,
  [anon_sym_LT_LT_EQ] = anon_sym_LT_LT_EQ,
  [anon_sym_STAR_STAR_EQ] = anon_sym_STAR_STAR_EQ,
  [anon_sym_AMP_AMP_EQ] = anon_sym_AMP_AMP_EQ,
  [anon_sym_PIPE_PIPE_EQ] = anon_sym_PIPE_PIPE_EQ,
  [anon_sym_QMARK_QMARK_EQ] = anon_sym_QMARK_QMARK_EQ,
  [anon_sym_DOT_DOT_DOT] = anon_sym_DOT_DOT_DOT,
  [anon_sym_AMP_AMP] = anon_sym_AMP_AMP,
  [anon_sym_PIPE_PIPE] = anon_sym_PIPE_PIPE,
  [anon_sym_GT_GT] = anon_sym_GT_GT,
  [anon_sym_GT_GT_GT] = anon_sym_GT_GT_GT,
  [anon_sym_LT_LT] = anon_sym_LT_LT,
  [anon_sym_AMP] = anon_sym_AMP,
  [anon_sym_CARET] = anon_sym_CARET,
  [anon_sym_PIPE] = anon_sym_PIPE,
  [anon_sym_PLUS] = anon_sym_PLUS,
  [anon_sym_DASH] = anon_sym_DASH,
  [anon_sym_SLASH] = anon_sym_SLASH,
  [anon_sym_PERCENT] = anon_sym_PERCENT,
  [anon_sym_STAR_STAR] = anon_sym_STAR_STAR,
  [anon_sym_LT] = anon_sym_LT,
  [anon_sym_LT_EQ] = anon_sym_LT_EQ,
  [anon_sym_EQ_EQ] = anon_sym_EQ_EQ,
  [anon_sym_EQ_EQ_EQ] = anon_sym_EQ_EQ_EQ,
  [anon_sym_BANG_EQ] = anon_sym_BANG_EQ,
  [anon_sym_BANG_EQ_EQ] = anon_sym_BANG_EQ_EQ,
  [anon_sym_GT_EQ] = anon_sym_GT_EQ,
  [anon_sym_QMARK_QMARK] = anon_sym_QMARK_QMARK,
  [anon_sym_instanceof] = anon_sym_instanceof,
  [anon_sym_TILDE] = anon_sym_TILDE,
  [anon_sym_void] = anon_sym_void,
  [anon_sym_delete] = anon_sym_delete,
  [anon_sym_PLUS_PLUS] = anon_sym_PLUS_PLUS,
  [anon_sym_DASH_DASH] = anon_sym_DASH_DASH,
  [sym_unescaped_double_string_fragment] = sym__template_chars,
  [sym_unescaped_single_string_fragment] = sym__template_chars,
  [sym_escape_sequence] = sym_escape_sequence,
  [aux_sym_comment_token1] = aux_sym_comment_token1,
  [anon_sym_BQUOTE] = anon_sym_BQUOTE,
  [anon_sym_DOLLAR_LBRACE] = anon_sym_DOLLAR_LBRACE,
  [anon_sym_SLASH2] = anon_sym_SLASH,
  [sym_regex_pattern] = sym_regex_pattern,
  [sym_regex_flags] = sym_regex_flags,
  [sym_number] = sym_number,
  [sym_private_property_identifier] = sym_private_property_identifier,
  [anon_sym_target] = anon_sym_target,
  [sym_this] = sym_this,
  [sym_super] = sym_super,
  [sym_true] = sym_true,
  [sym_false] = sym_false,
  [sym_null] = sym_null,
  [sym_undefined] = sym_undefined,
  [anon_sym_AT] = anon_sym_AT,
  [anon_sym_static] = anon_sym_static,
  [anon_sym_readonly] = anon_sym_readonly,
  [anon_sym_get] = anon_sym_get,
  [anon_sym_set] = anon_sym_set,
  [anon_sym_QMARK] = anon_sym_QMARK,
  [anon_sym_declare] = anon_sym_declare,
  [anon_sym_public] = anon_sym_public,
  [anon_sym_private] = anon_sym_private,
  [anon_sym_protected] = anon_sym_protected,
  [anon_sym_override] = anon_sym_override,
  [anon_sym_module] = anon_sym_module,
  [anon_sym_any] = anon_sym_any,
  [anon_sym_number] = anon_sym_number,
  [anon_sym_boolean] = anon_sym_boolean,
  [anon_sym_string] = anon_sym_string,
  [anon_sym_symbol] = anon_sym_symbol,
  [anon_sym_object] = anon_sym_object,
  [anon_sym_abstract] = anon_sym_abstract,
  [anon_sym_satisfies] = anon_sym_satisfies,
  [anon_sym_require] = anon_sym_require,
  [anon_sym_extends] = anon_sym_extends,
  [anon_sym_implements] = anon_sym_implements,
  [anon_sym_global] = anon_sym_global,
  [anon_sym_interface] = anon_sym_interface,
  [anon_sym_enum] = anon_sym_enum,
  [anon_sym_DASH_QMARK_COLON] = anon_sym_DASH_QMARK_COLON,
  [anon_sym_PLUS_QMARK_COLON] = anon_sym_PLUS_QMARK_COLON,
  [anon_sym_QMARK_COLON] = anon_sym_QMARK_COLON,
  [anon_sym_asserts] = anon_sym_asserts,
  [anon_sym_infer] = anon_sym_infer,
  [anon_sym_is] = anon_sym_is,
  [anon_sym_keyof] = anon_sym_keyof,
  [anon_sym_unique] = anon_sym_unique,
  [anon_sym_unknown] = anon_sym_unknown,
  [anon_sym_never] = anon_sym_never,
  [anon_sym_LBRACE_PIPE] = anon_sym_LBRACE_PIPE,
  [anon_sym_PIPE_RBRACE] = anon_sym_PIPE_RBRACE,
  [sym__automatic_semicolon] = sym__automatic_semicolon,
  [sym__template_chars] = sym__template_chars,
  [sym__ternary_qmark] = anon_sym_QMARK,
  [sym_html_comment] = sym_html_comment,
  [sym__function_signature_automatic_semicolon] = sym__function_signature_automatic_semicolon,
  [sym___error_recovery] = sym___error_recovery,
  [sym_program] = sym_program,
  [sym_export_statement] = sym_export_statement,
  [sym_namespace_export] = sym_namespace_export,
  [sym_export_clause] = sym_export_clause,
  [sym_export_specifier] = sym_export_specifier,
  [sym__module_export_name] = sym__module_export_name,
  [sym_declaration] = sym_declaration,
  [sym_import] = sym_import,
  [sym_import_statement] = sym_import_statement,
  [sym_import_clause] = sym_import_clause,
  [sym__from_clause] = sym__from_clause,
  [sym_namespace_import] = sym_namespace_import,
  [sym_named_imports] = sym_named_imports,
  [sym_import_specifier] = sym_import_specifier,
  [sym_import_attribute] = sym_import_attribute,
  [sym_expression_statement] = sym_expression_statement,
  [sym_variable_declaration] = sym_variable_declaration,
  [sym_lexical_declaration] = sym_lexical_declaration,
  [sym_variable_declarator] = sym_variable_declarator,
  [sym_statement_block] = sym_statement_block,
  [sym_else_clause] = sym_else_clause,
  [sym_if_statement] = sym_if_statement,
  [sym_switch_statement] = sym_switch_statement,
  [sym_for_statement] = sym_for_statement,
  [sym_for_in_statement] = sym_for_in_statement,
  [sym__for_header] = sym__for_header,
  [sym_while_statement] = sym_while_statement,
  [sym_do_statement] = sym_do_statement,
  [sym_try_statement] = sym_try_statement,
  [sym_with_statement] = sym_with_statement,
  [sym_break_statement] = sym_break_statement,
  [sym_continue_statement] = sym_continue_statement,
  [sym_debugger_statement] = sym_debugger_statement,
  [sym_return_statement] = sym_return_statement,
  [sym_throw_statement] = sym_throw_statement,
  [sym_empty_statement] = sym_empty_statement,
  [sym_labeled_statement] = sym_labeled_statement,
  [sym_switch_body] = sym_switch_body,
  [sym_switch_case] = sym_switch_case,
  [sym_switch_default] = sym_switch_default,
  [sym_catch_clause] = sym_catch_clause,
  [sym_finally_clause] = sym_finally_clause,
  [sym_parenthesized_expression] = sym_parenthesized_expression,
  [sym_expression] = sym_expression,
  [sym_primary_expression] = sym_primary_expression,
  [sym_yield_expression] = sym_yield_expression,
  [sym_object] = sym_object,
  [sym_object_pattern] = sym_object_pattern,
  [sym_assignment_pattern] = sym_assignment_pattern,
  [sym_object_assignment_pattern] = sym_object_assignment_pattern,
  [sym_array] = sym_array,
  [sym_array_pattern] = sym_array_pattern,
  [sym_glimmer_template] = sym_glimmer_template,
  [sym_glimmer_opening_tag] = sym_glimmer_opening_tag,
  [sym_glimmer_closing_tag] = sym_glimmer_closing_tag,
  [sym_jsx_element] = sym_jsx_element,
  [sym_jsx_text] = sym_jsx_text,
  [sym_jsx_expression] = sym_jsx_expression,
  [sym_jsx_opening_element] = sym_jsx_opening_element,
  [sym_nested_identifier] = sym_nested_identifier,
  [sym_jsx_namespace_name] = sym_jsx_namespace_name,
  [sym_jsx_closing_element] = sym_jsx_closing_element,
  [sym_jsx_self_closing_element] = sym_jsx_self_closing_element,
  [sym_jsx_attribute] = sym_jsx_attribute,
  [sym__jsx_string] = sym_string,
  [sym_class] = sym_class,
  [sym_class_declaration] = sym_class_declaration,
  [sym_class_heritage] = sym_class_heritage,
  [sym_function_expression] = sym_function_expression,
  [sym_function_declaration] = sym_function_declaration,
  [sym_generator_function] = sym_generator_function,
  [sym_generator_function_declaration] = sym_generator_function_declaration,
  [sym_arrow_function] = sym_arrow_function,
  [sym__call_signature] = sym__call_signature,
  [sym__formal_parameter] = sym__formal_parameter,
  [sym_optional_chain] = sym_optional_chain,
  [sym_call_expression] = sym_call_expression,
  [sym_new_expression] = sym_new_expression,
  [sym_await_expression] = sym_await_expression,
  [sym_member_expression] = sym_member_expression,
  [sym_subscript_expression] = sym_subscript_expression,
  [sym_assignment_expression] = sym_assignment_expression,
  [sym__augmented_assignment_lhs] = sym__augmented_assignment_lhs,
  [sym_augmented_assignment_expression] = sym_augmented_assignment_expression,
  [sym__initializer] = sym__initializer,
  [sym__destructuring_pattern] = sym__destructuring_pattern,
  [sym_spread_element] = sym_spread_element,
  [sym_ternary_expression] = sym_ternary_expression,
  [sym_binary_expression] = sym_binary_expression,
  [sym_unary_expression] = sym_unary_expression,
  [sym_update_expression] = sym_update_expression,
  [sym_sequence_expression] = sym_sequence_expression,
  [sym_string] = sym_string,
  [sym_comment] = sym_comment,
  [sym_template_string] = sym_template_string,
  [sym_template_substitution] = sym_template_substitution,
  [sym_regex] = sym_regex,
  [sym_meta_property] = sym_meta_property,
  [sym_arguments] = sym_arguments,
  [sym_decorator] = sym_decorator,
  [sym_decorator_member_expression] = sym_member_expression,
  [sym_decorator_call_expression] = sym_call_expression,
  [sym_class_body] = sym_class_body,
  [sym_formal_parameters] = sym_formal_parameters,
  [sym_class_static_block] = sym_class_static_block,
  [sym_pattern] = sym_pattern,
  [sym_rest_pattern] = sym_rest_pattern,
  [sym_method_definition] = sym_method_definition,
  [sym_pair] = sym_pair,
  [sym_pair_pattern] = sym_pair_pattern,
  [sym__property_name] = sym__property_name,
  [sym_computed_property_name] = sym_computed_property_name,
  [sym_public_field_definition] = sym_public_field_definition,
  [sym__import_identifier] = sym__import_identifier,
  [sym_non_null_expression] = sym_non_null_expression,
  [sym_method_signature] = sym_method_signature,
  [sym_abstract_method_signature] = sym_abstract_method_signature,
  [sym_function_signature] = sym_function_signature,
  [sym_as_expression] = sym_as_expression,
  [sym_satisfies_expression] = sym_satisfies_expression,
  [sym_instantiation_expression] = sym_instantiation_expression,
  [sym_import_require_clause] = sym_import_require_clause,
  [sym_extends_clause] = sym_extends_clause,
  [sym__extends_clause_single] = sym__extends_clause_single,
  [sym_implements_clause] = sym_implements_clause,
  [sym_ambient_declaration] = sym_ambient_declaration,
  [sym_abstract_class_declaration] = sym_abstract_class_declaration,
  [sym_module] = sym_module,
  [sym_internal_module] = sym_internal_module,
  [sym__module] = sym__module,
  [sym_import_alias] = sym_import_alias,
  [sym_nested_type_identifier] = sym_nested_type_identifier,
  [sym_interface_declaration] = sym_interface_declaration,
  [sym_extends_type_clause] = sym_extends_type_clause,
  [sym_enum_declaration] = sym_enum_declaration,
  [sym_enum_body] = sym_enum_body,
  [sym_enum_assignment] = sym_enum_assignment,
  [sym_type_alias_declaration] = sym_type_alias_declaration,
  [sym_accessibility_modifier] = sym_accessibility_modifier,
  [sym_override_modifier] = sym_override_modifier,
  [sym_required_parameter] = sym_required_parameter,
  [sym_optional_parameter] = sym_optional_parameter,
  [sym__parameter_name] = sym__parameter_name,
  [sym_omitting_type_annotation] = sym_omitting_type_annotation,
  [sym_adding_type_annotation] = sym_adding_type_annotation,
  [sym_opting_type_annotation] = sym_opting_type_annotation,
  [sym_type_annotation] = sym_type_annotation,
  [sym__type_query_member_expression_in_type_annotation] = sym_member_expression,
  [sym__type_query_call_expression_in_type_annotation] = sym_call_expression,
  [sym_asserts] = sym_asserts,
  [sym_asserts_annotation] = sym_asserts_annotation,
  [sym__type] = sym__type,
  [sym_tuple_parameter] = sym_required_parameter,
  [sym_optional_tuple_parameter] = sym_optional_parameter,
  [sym_optional_type] = sym_optional_type,
  [sym_rest_type] = sym_rest_type,
  [sym__tuple_type_member] = sym__tuple_type_member,
  [sym_constructor_type] = sym_constructor_type,
  [sym__primary_type] = sym__primary_type,
  [sym_template_type] = sym_template_type,
  [sym_template_literal_type] = sym_template_literal_type,
  [sym_infer_type] = sym_infer_type,
  [sym_conditional_type] = sym_conditional_type,
  [sym_generic_type] = sym_generic_type,
  [sym_type_predicate] = sym_type_predicate,
  [sym_type_predicate_annotation] = sym_type_predicate_annotation,
  [sym__type_query_member_expression] = sym_member_expression,
  [sym__type_query_subscript_expression] = sym_subscript_expression,
  [sym__type_query_call_expression] = sym_call_expression,
  [sym__type_query_instantiation_expression] = sym_instantiation_expression,
  [sym_type_query] = sym_type_query,
  [sym_index_type_query] = sym_index_type_query,
  [sym_lookup_type] = sym_lookup_type,
  [sym_mapped_type_clause] = sym_mapped_type_clause,
  [sym_literal_type] = sym_literal_type,
  [sym__number] = sym_unary_expression,
  [sym_existential_type] = sym_existential_type,
  [sym_flow_maybe_type] = sym_flow_maybe_type,
  [sym_parenthesized_type] = sym_parenthesized_type,
  [sym_predefined_type] = sym_predefined_type,
  [sym_type_arguments] = sym_type_arguments,
  [sym_object_type] = sym_object_type,
  [sym_call_signature] = sym_call_signature,
  [sym_property_signature] = sym_property_signature,
  [sym_type_parameters] = sym_type_parameters,
  [sym_type_parameter] = sym_type_parameter,
  [sym_default_type] = sym_default_type,
  [sym_constraint] = sym_constraint,
  [sym_construct_signature] = sym_construct_signature,
  [sym_index_signature] = sym_index_signature,
  [sym_array_type] = sym_array_type,
  [sym_tuple_type] = sym_tuple_type,
  [sym_readonly_type] = sym_readonly_type,
  [sym_union_type] = sym_union_type,
  [sym_intersection_type] = sym_intersection_type,
  [sym_function_type] = sym_function_type,
  [aux_sym_program_repeat1] = aux_sym_program_repeat1,
  [aux_sym_export_statement_repeat1] = aux_sym_export_statement_repeat1,
  [aux_sym_export_clause_repeat1] = aux_sym_export_clause_repeat1,
  [aux_sym_named_imports_repeat1] = aux_sym_named_imports_repeat1,
  [aux_sym_variable_declaration_repeat1] = aux_sym_variable_declaration_repeat1,
  [aux_sym_switch_body_repeat1] = aux_sym_switch_body_repeat1,
  [aux_sym_object_repeat1] = aux_sym_object_repeat1,
  [aux_sym_object_pattern_repeat1] = aux_sym_object_pattern_repeat1,
  [aux_sym_array_repeat1] = aux_sym_array_repeat1,
  [aux_sym_array_pattern_repeat1] = aux_sym_array_pattern_repeat1,
  [aux_sym_glimmer_template_repeat1] = aux_sym_glimmer_template_repeat1,
  [aux_sym_jsx_element_repeat1] = aux_sym_jsx_element_repeat1,
  [aux_sym__jsx_string_repeat1] = aux_sym__jsx_string_repeat1,
  [aux_sym__jsx_string_repeat2] = aux_sym__jsx_string_repeat2,
  [aux_sym_sequence_expression_repeat1] = aux_sym_sequence_expression_repeat1,
  [aux_sym_string_repeat1] = aux_sym_string_repeat1,
  [aux_sym_string_repeat2] = aux_sym_string_repeat2,
  [aux_sym_template_string_repeat1] = aux_sym_template_string_repeat1,
  [aux_sym_class_body_repeat1] = aux_sym_class_body_repeat1,
  [aux_sym_formal_parameters_repeat1] = aux_sym_formal_parameters_repeat1,
  [aux_sym__jsx_start_opening_element_repeat1] = aux_sym__jsx_start_opening_element_repeat1,
  [aux_sym_extends_clause_repeat1] = aux_sym_extends_clause_repeat1,
  [aux_sym_implements_clause_repeat1] = aux_sym_implements_clause_repeat1,
  [aux_sym_extends_type_clause_repeat1] = aux_sym_extends_type_clause_repeat1,
  [aux_sym_enum_body_repeat1] = aux_sym_enum_body_repeat1,
  [aux_sym_template_literal_type_repeat1] = aux_sym_template_literal_type_repeat1,
  [aux_sym_type_arguments_repeat1] = aux_sym_type_arguments_repeat1,
  [aux_sym_object_type_repeat1] = aux_sym_object_type_repeat1,
  [aux_sym_type_parameters_repeat1] = aux_sym_type_parameters_repeat1,
  [aux_sym_tuple_type_repeat1] = aux_sym_tuple_type_repeat1,
  [alias_sym_interface_body] = alias_sym_interface_body,
  [alias_sym_property_identifier] = alias_sym_property_identifier,
  [alias_sym_shorthand_property_identifier] = alias_sym_shorthand_property_identifier,
  [alias_sym_shorthand_property_identifier_pattern] = alias_sym_shorthand_property_identifier_pattern,
  [alias_sym_statement_identifier] = alias_sym_statement_identifier,
  [alias_sym_this_type] = alias_sym_this_type,
  [alias_sym_type_identifier] = alias_sym_type_identifier,
};

static const TSSymbolMetadata ts_symbol_metadata[] = {
  [ts_builtin_sym_end] = {
    .visible = false,
    .named = true,
  },
  [sym_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_hash_bang_line] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_export] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_default] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_type] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_as] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_namespace] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COMMA] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_typeof] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_import] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_from] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_with] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_var] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_let] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_const] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_else] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_if] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_switch] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_for] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_await] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_in] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_of] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_while] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_do] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_try] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_break] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_continue] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_debugger] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_return] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_throw] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SEMI] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_case] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_catch] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_finally] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_yield] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [sym__glimmer_template_content] = {
    .visible = false,
    .named = true,
  },
  [anon_sym_LTtemplate_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_SLASHtemplate_GT] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_jsx_text_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_jsx_text_token2] = {
    .visible = false,
    .named = false,
  },
  [sym_html_character_reference] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_GT] = {
    .visible = true,
    .named = false,
  },
  [sym_jsx_identifier] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_SLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [sym_unescaped_double_jsx_string_fragment] = {
    .visible = true,
    .named = true,
  },
  [sym_unescaped_single_jsx_string_fragment] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_class] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_async] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_function] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_new] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_using] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_STAR_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_AMP_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_PIPE_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK_QMARK_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT_DOT_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK_QMARK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_instanceof] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_TILDE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_void] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_delete] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_DASH] = {
    .visible = true,
    .named = false,
  },
  [sym_unescaped_double_string_fragment] = {
    .visible = true,
    .named = true,
  },
  [sym_unescaped_single_string_fragment] = {
    .visible = true,
    .named = true,
  },
  [sym_escape_sequence] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_comment_token1] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_BQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOLLAR_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH2] = {
    .visible = true,
    .named = false,
  },
  [sym_regex_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_regex_flags] = {
    .visible = true,
    .named = true,
  },
  [sym_number] = {
    .visible = true,
    .named = true,
  },
  [sym_private_property_identifier] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_target] = {
    .visible = true,
    .named = false,
  },
  [sym_this] = {
    .visible = true,
    .named = true,
  },
  [sym_super] = {
    .visible = true,
    .named = true,
  },
  [sym_true] = {
    .visible = true,
    .named = true,
  },
  [sym_false] = {
    .visible = true,
    .named = true,
  },
  [sym_null] = {
    .visible = true,
    .named = true,
  },
  [sym_undefined] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_AT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_static] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_readonly] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_get] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_set] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_declare] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_public] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_private] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_protected] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_override] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_module] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_any] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_number] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_boolean] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_string] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_symbol] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_object] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_abstract] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_satisfies] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_require] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_extends] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_implements] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_global] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_interface] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_enum] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_QMARK_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_QMARK_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_asserts] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_infer] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_is] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_keyof] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_unique] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_unknown] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_never] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACE_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_RBRACE] = {
    .visible = true,
    .named = false,
  },
  [sym__automatic_semicolon] = {
    .visible = false,
    .named = true,
  },
  [sym__template_chars] = {
    .visible = true,
    .named = true,
  },
  [sym__ternary_qmark] = {
    .visible = true,
    .named = false,
  },
  [sym_html_comment] = {
    .visible = true,
    .named = true,
  },
  [sym__function_signature_automatic_semicolon] = {
    .visible = false,
    .named = true,
  },
  [sym___error_recovery] = {
    .visible = false,
    .named = true,
  },
  [sym_program] = {
    .visible = true,
    .named = true,
  },
  [sym_export_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_namespace_export] = {
    .visible = true,
    .named = true,
  },
  [sym_export_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_export_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym__module_export_name] = {
    .visible = false,
    .named = true,
  },
  [sym_declaration] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_import] = {
    .visible = true,
    .named = true,
  },
  [sym_import_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_import_clause] = {
    .visible = true,
    .named = true,
  },
  [sym__from_clause] = {
    .visible = false,
    .named = true,
  },
  [sym_namespace_import] = {
    .visible = true,
    .named = true,
  },
  [sym_named_imports] = {
    .visible = true,
    .named = true,
  },
  [sym_import_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_import_attribute] = {
    .visible = true,
    .named = true,
  },
  [sym_expression_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_variable_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_lexical_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_variable_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_statement_block] = {
    .visible = true,
    .named = true,
  },
  [sym_else_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_if_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_for_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_for_in_statement] = {
    .visible = true,
    .named = true,
  },
  [sym__for_header] = {
    .visible = false,
    .named = true,
  },
  [sym_while_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_do_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_try_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_with_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_break_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_continue_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_debugger_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_return_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_throw_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_empty_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_labeled_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_body] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_case] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_default] = {
    .visible = true,
    .named = true,
  },
  [sym_catch_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_finally_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_parenthesized_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_expression] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_primary_expression] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_yield_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_object] = {
    .visible = true,
    .named = true,
  },
  [sym_object_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_assignment_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_object_assignment_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_array] = {
    .visible = true,
    .named = true,
  },
  [sym_array_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_glimmer_template] = {
    .visible = true,
    .named = true,
  },
  [sym_glimmer_opening_tag] = {
    .visible = true,
    .named = true,
  },
  [sym_glimmer_closing_tag] = {
    .visible = true,
    .named = true,
  },
  [sym_jsx_element] = {
    .visible = true,
    .named = true,
  },
  [sym_jsx_text] = {
    .visible = true,
    .named = true,
  },
  [sym_jsx_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_jsx_opening_element] = {
    .visible = true,
    .named = true,
  },
  [sym_nested_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_jsx_namespace_name] = {
    .visible = true,
    .named = true,
  },
  [sym_jsx_closing_element] = {
    .visible = true,
    .named = true,
  },
  [sym_jsx_self_closing_element] = {
    .visible = true,
    .named = true,
  },
  [sym_jsx_attribute] = {
    .visible = true,
    .named = true,
  },
  [sym__jsx_string] = {
    .visible = true,
    .named = true,
  },
  [sym_class] = {
    .visible = true,
    .named = true,
  },
  [sym_class_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_class_heritage] = {
    .visible = true,
    .named = true,
  },
  [sym_function_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_function_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_generator_function] = {
    .visible = true,
    .named = true,
  },
  [sym_generator_function_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_arrow_function] = {
    .visible = true,
    .named = true,
  },
  [sym__call_signature] = {
    .visible = false,
    .named = true,
  },
  [sym__formal_parameter] = {
    .visible = false,
    .named = true,
  },
  [sym_optional_chain] = {
    .visible = true,
    .named = true,
  },
  [sym_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_new_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_await_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_member_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_subscript_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_assignment_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__augmented_assignment_lhs] = {
    .visible = false,
    .named = true,
  },
  [sym_augmented_assignment_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__initializer] = {
    .visible = false,
    .named = true,
  },
  [sym__destructuring_pattern] = {
    .visible = false,
    .named = true,
  },
  [sym_spread_element] = {
    .visible = true,
    .named = true,
  },
  [sym_ternary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_binary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_unary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_update_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_sequence_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_string] = {
    .visible = true,
    .named = true,
  },
  [sym_comment] = {
    .visible = true,
    .named = true,
  },
  [sym_template_string] = {
    .visible = true,
    .named = true,
  },
  [sym_template_substitution] = {
    .visible = true,
    .named = true,
  },
  [sym_regex] = {
    .visible = true,
    .named = true,
  },
  [sym_meta_property] = {
    .visible = true,
    .named = true,
  },
  [sym_arguments] = {
    .visible = true,
    .named = true,
  },
  [sym_decorator] = {
    .visible = true,
    .named = true,
  },
  [sym_decorator_member_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_decorator_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_class_body] = {
    .visible = true,
    .named = true,
  },
  [sym_formal_parameters] = {
    .visible = true,
    .named = true,
  },
  [sym_class_static_block] = {
    .visible = true,
    .named = true,
  },
  [sym_pattern] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_rest_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_method_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_pair] = {
    .visible = true,
    .named = true,
  },
  [sym_pair_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym__property_name] = {
    .visible = false,
    .named = true,
  },
  [sym_computed_property_name] = {
    .visible = true,
    .named = true,
  },
  [sym_public_field_definition] = {
    .visible = true,
    .named = true,
  },
  [sym__import_identifier] = {
    .visible = false,
    .named = true,
  },
  [sym_non_null_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_method_signature] = {
    .visible = true,
    .named = true,
  },
  [sym_abstract_method_signature] = {
    .visible = true,
    .named = true,
  },
  [sym_function_signature] = {
    .visible = true,
    .named = true,
  },
  [sym_as_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_satisfies_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_instantiation_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_import_require_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_extends_clause] = {
    .visible = true,
    .named = true,
  },
  [sym__extends_clause_single] = {
    .visible = false,
    .named = true,
  },
  [sym_implements_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_ambient_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_abstract_class_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_module] = {
    .visible = true,
    .named = true,
  },
  [sym_internal_module] = {
    .visible = true,
    .named = true,
  },
  [sym__module] = {
    .visible = false,
    .named = true,
  },
  [sym_import_alias] = {
    .visible = true,
    .named = true,
  },
  [sym_nested_type_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_interface_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_extends_type_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_enum_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_enum_body] = {
    .visible = true,
    .named = true,
  },
  [sym_enum_assignment] = {
    .visible = true,
    .named = true,
  },
  [sym_type_alias_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_accessibility_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_override_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_required_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_optional_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym__parameter_name] = {
    .visible = false,
    .named = true,
  },
  [sym_omitting_type_annotation] = {
    .visible = true,
    .named = true,
  },
  [sym_adding_type_annotation] = {
    .visible = true,
    .named = true,
  },
  [sym_opting_type_annotation] = {
    .visible = true,
    .named = true,
  },
  [sym_type_annotation] = {
    .visible = true,
    .named = true,
  },
  [sym__type_query_member_expression_in_type_annotation] = {
    .visible = true,
    .named = true,
  },
  [sym__type_query_call_expression_in_type_annotation] = {
    .visible = true,
    .named = true,
  },
  [sym_asserts] = {
    .visible = true,
    .named = true,
  },
  [sym_asserts_annotation] = {
    .visible = true,
    .named = true,
  },
  [sym__type] = {
    .visible = false,
    .named = true,
  },
  [sym_tuple_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_optional_tuple_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_optional_type] = {
    .visible = true,
    .named = true,
  },
  [sym_rest_type] = {
    .visible = true,
    .named = true,
  },
  [sym__tuple_type_member] = {
    .visible = false,
    .named = true,
  },
  [sym_constructor_type] = {
    .visible = true,
    .named = true,
  },
  [sym__primary_type] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_template_type] = {
    .visible = true,
    .named = true,
  },
  [sym_template_literal_type] = {
    .visible = true,
    .named = true,
  },
  [sym_infer_type] = {
    .visible = true,
    .named = true,
  },
  [sym_conditional_type] = {
    .visible = true,
    .named = true,
  },
  [sym_generic_type] = {
    .visible = true,
    .named = true,
  },
  [sym_type_predicate] = {
    .visible = true,
    .named = true,
  },
  [sym_type_predicate_annotation] = {
    .visible = true,
    .named = true,
  },
  [sym__type_query_member_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__type_query_subscript_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__type_query_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__type_query_instantiation_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_type_query] = {
    .visible = true,
    .named = true,
  },
  [sym_index_type_query] = {
    .visible = true,
    .named = true,
  },
  [sym_lookup_type] = {
    .visible = true,
    .named = true,
  },
  [sym_mapped_type_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_literal_type] = {
    .visible = true,
    .named = true,
  },
  [sym__number] = {
    .visible = true,
    .named = true,
  },
  [sym_existential_type] = {
    .visible = true,
    .named = true,
  },
  [sym_flow_maybe_type] = {
    .visible = true,
    .named = true,
  },
  [sym_parenthesized_type] = {
    .visible = true,
    .named = true,
  },
  [sym_predefined_type] = {
    .visible = true,
    .named = true,
  },
  [sym_type_arguments] = {
    .visible = true,
    .named = true,
  },
  [sym_object_type] = {
    .visible = true,
    .named = true,
  },
  [sym_call_signature] = {
    .visible = true,
    .named = true,
  },
  [sym_property_signature] = {
    .visible = true,
    .named = true,
  },
  [sym_type_parameters] = {
    .visible = true,
    .named = true,
  },
  [sym_type_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_default_type] = {
    .visible = true,
    .named = true,
  },
  [sym_constraint] = {
    .visible = true,
    .named = true,
  },
  [sym_construct_signature] = {
    .visible = true,
    .named = true,
  },
  [sym_index_signature] = {
    .visible = true,
    .named = true,
  },
  [sym_array_type] = {
    .visible = true,
    .named = true,
  },
  [sym_tuple_type] = {
    .visible = true,
    .named = true,
  },
  [sym_readonly_type] = {
    .visible = true,
    .named = true,
  },
  [sym_union_type] = {
    .visible = true,
    .named = true,
  },
  [sym_intersection_type] = {
    .visible = true,
    .named = true,
  },
  [sym_function_type] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_program_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_export_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_export_clause_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_named_imports_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_variable_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_switch_body_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_object_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_object_pattern_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_array_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_array_pattern_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_glimmer_template_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_jsx_element_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__jsx_string_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__jsx_string_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_sequence_expression_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_string_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_string_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_template_string_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_class_body_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_formal_parameters_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__jsx_start_opening_element_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_extends_clause_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_implements_clause_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_extends_type_clause_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_enum_body_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_template_literal_type_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_type_arguments_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_object_type_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_type_parameters_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_tuple_type_repeat1] = {
    .visible = false,
    .named = false,
  },
  [alias_sym_interface_body] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_property_identifier] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_shorthand_property_identifier] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_shorthand_property_identifier_pattern] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_statement_identifier] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_this_type] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_type_identifier] = {
    .visible = true,
    .named = true,
  },
};

enum ts_field_identifiers {
  field_alias = 1,
  field_alternative = 2,
  field_argument = 3,
  field_arguments = 4,
  field_attribute = 5,
  field_body = 6,
  field_close_tag = 7,
  field_condition = 8,
  field_consequence = 9,
  field_constraint = 10,
  field_constructor = 11,
  field_content = 12,
  field_declaration = 13,
  field_decorator = 14,
  field_finalizer = 15,
  field_flags = 16,
  field_function = 17,
  field_handler = 18,
  field_increment = 19,
  field_index = 20,
  field_index_type = 21,
  field_initializer = 22,
  field_key = 23,
  field_kind = 24,
  field_label = 25,
  field_left = 26,
  field_module = 27,
  field_name = 28,
  field_object = 29,
  field_open_tag = 30,
  field_operator = 31,
  field_optional_chain = 32,
  field_parameter = 33,
  field_parameters = 34,
  field_pattern = 35,
  field_property = 36,
  field_return_type = 37,
  field_right = 38,
  field_sign = 39,
  field_source = 40,
  field_type = 41,
  field_type_arguments = 42,
  field_type_parameters = 43,
  field_value = 44,
};

static const char * const ts_field_names[] = {
  [0] = NULL,
  [field_alias] = "alias",
  [field_alternative] = "alternative",
  [field_argument] = "argument",
  [field_arguments] = "arguments",
  [field_attribute] = "attribute",
  [field_body] = "body",
  [field_close_tag] = "close_tag",
  [field_condition] = "condition",
  [field_consequence] = "consequence",
  [field_constraint] = "constraint",
  [field_constructor] = "constructor",
  [field_content] = "content",
  [field_declaration] = "declaration",
  [field_decorator] = "decorator",
  [field_finalizer] = "finalizer",
  [field_flags] = "flags",
  [field_function] = "function",
  [field_handler] = "handler",
  [field_increment] = "increment",
  [field_index] = "index",
  [field_index_type] = "index_type",
  [field_initializer] = "initializer",
  [field_key] = "key",
  [field_kind] = "kind",
  [field_label] = "label",
  [field_left] = "left",
  [field_module] = "module",
  [field_name] = "name",
  [field_object] = "object",
  [field_open_tag] = "open_tag",
  [field_operator] = "operator",
  [field_optional_chain] = "optional_chain",
  [field_parameter] = "parameter",
  [field_parameters] = "parameters",
  [field_pattern] = "pattern",
  [field_property] = "property",
  [field_return_type] = "return_type",
  [field_right] = "right",
  [field_sign] = "sign",
  [field_source] = "source",
  [field_type] = "type",
  [field_type_arguments] = "type_arguments",
  [field_type_parameters] = "type_parameters",
  [field_value] = "value",
};

static const TSFieldMapSlice ts_field_map_slices[PRODUCTION_ID_COUNT] = {
  [2] = {.index = 0, .length = 1},
  [3] = {.index = 1, .length = 1},
  [4] = {.index = 2, .length = 1},
  [5] = {.index = 3, .length = 1},
  [6] = {.index = 4, .length = 2},
  [8] = {.index = 6, .length = 2},
  [9] = {.index = 8, .length = 1},
  [10] = {.index = 9, .length = 2},
  [11] = {.index = 11, .length = 1},
  [12] = {.index = 12, .length = 1},
  [13] = {.index = 3, .length = 1},
  [14] = {.index = 13, .length = 2},
  [15] = {.index = 15, .length = 2},
  [16] = {.index = 17, .length = 1},
  [17] = {.index = 18, .length = 2},
  [18] = {.index = 20, .length = 2},
  [19] = {.index = 22, .length = 2},
  [20] = {.index = 24, .length = 2},
  [21] = {.index = 26, .length = 1},
  [22] = {.index = 27, .length = 2},
  [23] = {.index = 29, .length = 2},
  [24] = {.index = 31, .length = 2},
  [25] = {.index = 33, .length = 2},
  [29] = {.index = 35, .length = 1},
  [30] = {.index = 36, .length = 2},
  [31] = {.index = 38, .length = 2},
  [32] = {.index = 40, .length = 2},
  [33] = {.index = 42, .length = 1},
  [34] = {.index = 43, .length = 2},
  [35] = {.index = 45, .length = 2},
  [36] = {.index = 47, .length = 6},
  [37] = {.index = 53, .length = 1},
  [38] = {.index = 54, .length = 3},
  [39] = {.index = 57, .length = 3},
  [40] = {.index = 60, .length = 2},
  [41] = {.index = 62, .length = 2},
  [42] = {.index = 64, .length = 2},
  [43] = {.index = 66, .length = 2},
  [44] = {.index = 68, .length = 1},
  [45] = {.index = 69, .length = 2},
  [46] = {.index = 71, .length = 1},
  [47] = {.index = 72, .length = 2},
  [50] = {.index = 74, .length = 2},
  [51] = {.index = 76, .length = 1},
  [52] = {.index = 77, .length = 2},
  [53] = {.index = 79, .length = 4},
  [54] = {.index = 83, .length = 2},
  [55] = {.index = 85, .length = 2},
  [56] = {.index = 87, .length = 1},
  [57] = {.index = 87, .length = 1},
  [58] = {.index = 88, .length = 1},
  [59] = {.index = 89, .length = 2},
  [60] = {.index = 91, .length = 2},
  [61] = {.index = 87, .length = 1},
  [62] = {.index = 27, .length = 2},
  [63] = {.index = 31, .length = 2},
  [64] = {.index = 93, .length = 3},
  [65] = {.index = 69, .length = 2},
  [66] = {.index = 69, .length = 2},
  [67] = {.index = 96, .length = 2},
  [68] = {.index = 96, .length = 2},
  [69] = {.index = 98, .length = 3},
  [70] = {.index = 98, .length = 3},
  [71] = {.index = 101, .length = 3},
  [72] = {.index = 104, .length = 2},
  [73] = {.index = 106, .length = 3},
  [74] = {.index = 109, .length = 2},
  [75] = {.index = 111, .length = 4},
  [76] = {.index = 115, .length = 2},
  [77] = {.index = 117, .length = 2},
  [78] = {.index = 119, .length = 3},
  [79] = {.index = 122, .length = 2},
  [80] = {.index = 124, .length = 2},
  [81] = {.index = 126, .length = 1},
  [82] = {.index = 127, .length = 1},
  [83] = {.index = 96, .length = 2},
  [84] = {.index = 27, .length = 2},
  [85] = {.index = 128, .length = 2},
  [86] = {.index = 130, .length = 5},
  [87] = {.index = 135, .length = 1},
  [88] = {.index = 136, .length = 1},
  [89] = {.index = 137, .length = 2},
  [90] = {.index = 139, .length = 3},
  [91] = {.index = 142, .length = 2},
  [92] = {.index = 144, .length = 3},
  [93] = {.index = 147, .length = 6},
  [94] = {.index = 153, .length = 1},
  [95] = {.index = 154, .length = 1},
  [96] = {.index = 155, .length = 3},
  [97] = {.index = 158, .length = 3},
  [98] = {.index = 161, .length = 4},
  [99] = {.index = 165, .length = 2},
  [100] = {.index = 167, .length = 2},
  [101] = {.index = 169, .length = 3},
  [102] = {.index = 172, .length = 4},
  [103] = {.index = 176, .length = 1},
  [104] = {.index = 177, .length = 2},
  [105] = {.index = 179, .length = 1},
  [106] = {.index = 180, .length = 2},
  [107] = {.index = 182, .length = 3},
  [108] = {.index = 185, .length = 2},
  [109] = {.index = 187, .length = 4},
  [110] = {.index = 191, .length = 3},
  [111] = {.index = 194, .length = 2},
  [112] = {.index = 196, .length = 2},
  [113] = {.index = 198, .length = 2},
  [116] = {.index = 198, .length = 2},
  [117] = {.index = 200, .length = 2},
  [118] = {.index = 202, .length = 2},
  [119] = {.index = 204, .length = 4},
  [120] = {.index = 202, .length = 2},
  [121] = {.index = 208, .length = 4},
  [122] = {.index = 212, .length = 4},
  [123] = {.index = 216, .length = 5},
  [124] = {.index = 221, .length = 3},
  [125] = {.index = 224, .length = 2},
  [126] = {.index = 224, .length = 2},
  [127] = {.index = 226, .length = 2},
  [128] = {.index = 228, .length = 2},
  [129] = {.index = 230, .length = 2},
  [130] = {.index = 232, .length = 2},
  [131] = {.index = 234, .length = 2},
  [132] = {.index = 236, .length = 2},
  [133] = {.index = 238, .length = 3},
  [134] = {.index = 236, .length = 2},
  [135] = {.index = 232, .length = 2},
  [136] = {.index = 142, .length = 2},
  [137] = {.index = 241, .length = 1},
  [138] = {.index = 241, .length = 1},
  [139] = {.index = 180, .length = 2},
  [140] = {.index = 182, .length = 3},
  [141] = {.index = 242, .length = 4},
  [142] = {.index = 246, .length = 2},
  [143] = {.index = 248, .length = 3},
  [144] = {.index = 251, .length = 2},
  [145] = {.index = 253, .length = 3},
  [146] = {.index = 256, .length = 2},
  [147] = {.index = 258, .length = 3},
  [148] = {.index = 261, .length = 1},
  [149] = {.index = 262, .length = 2},
  [150] = {.index = 264, .length = 2},
  [151] = {.index = 266, .length = 5},
  [152] = {.index = 262, .length = 2},
  [153] = {.index = 271, .length = 1},
  [154] = {.index = 272, .length = 4},
  [155] = {.index = 276, .length = 2},
  [156] = {.index = 278, .length = 1},
  [157] = {.index = 279, .length = 2},
  [158] = {.index = 281, .length = 2},
  [159] = {.index = 283, .length = 2},
  [160] = {.index = 285, .length = 4},
  [161] = {.index = 289, .length = 2},
  [162] = {.index = 291, .length = 3},
  [163] = {.index = 294, .length = 3},
  [164] = {.index = 297, .length = 3},
  [165] = {.index = 300, .length = 4},
  [166] = {.index = 304, .length = 1},
  [167] = {.index = 305, .length = 2},
  [168] = {.index = 307, .length = 4},
  [169] = {.index = 311, .length = 4},
  [170] = {.index = 315, .length = 4},
  [171] = {.index = 319, .length = 2},
  [172] = {.index = 321, .length = 2},
  [173] = {.index = 323, .length = 4},
  [174] = {.index = 327, .length = 4},
  [175] = {.index = 331, .length = 5},
  [176] = {.index = 336, .length = 3},
  [177] = {.index = 339, .length = 3},
  [178] = {.index = 339, .length = 3},
  [179] = {.index = 342, .length = 2},
  [180] = {.index = 344, .length = 3},
  [181] = {.index = 347, .length = 2},
  [182] = {.index = 347, .length = 2},
  [183] = {.index = 297, .length = 3},
  [184] = {.index = 349, .length = 4},
  [185] = {.index = 349, .length = 4},
  [186] = {.index = 353, .length = 4},
  [187] = {.index = 353, .length = 4},
  [188] = {.index = 357, .length = 3},
  [189] = {.index = 360, .length = 3},
  [190] = {.index = 137, .length = 2},
  [191] = {.index = 363, .length = 2},
  [192] = {.index = 365, .length = 3},
  [193] = {.index = 368, .length = 4},
  [194] = {.index = 372, .length = 3},
  [195] = {.index = 375, .length = 3},
  [196] = {.index = 378, .length = 2},
  [197] = {.index = 380, .length = 3},
  [198] = {.index = 383, .length = 5},
  [199] = {.index = 378, .length = 2},
  [200] = {.index = 388, .length = 3},
  [201] = {.index = 388, .length = 3},
  [202] = {.index = 391, .length = 3},
  [203] = {.index = 394, .length = 2},
  [204] = {.index = 396, .length = 4},
  [205] = {.index = 137, .length = 2},
  [206] = {.index = 400, .length = 1},
  [207] = {.index = 401, .length = 2},
  [208] = {.index = 403, .length = 2},
  [209] = {.index = 405, .length = 2},
  [210] = {.index = 407, .length = 2},
  [211] = {.index = 409, .length = 3},
  [212] = {.index = 412, .length = 1},
  [213] = {.index = 413, .length = 3},
  [214] = {.index = 416, .length = 2},
  [215] = {.index = 418, .length = 3},
  [216] = {.index = 421, .length = 3},
  [217] = {.index = 424, .length = 3},
  [218] = {.index = 427, .length = 3},
  [219] = {.index = 430, .length = 4},
  [220] = {.index = 434, .length = 2},
  [221] = {.index = 436, .length = 2},
  [222] = {.index = 438, .length = 1},
  [223] = {.index = 439, .length = 4},
  [224] = {.index = 439, .length = 4},
  [225] = {.index = 443, .length = 2},
  [226] = {.index = 445, .length = 3},
  [227] = {.index = 448, .length = 5},
  [228] = {.index = 453, .length = 3},
  [229] = {.index = 456, .length = 2},
  [230] = {.index = 458, .length = 2},
  [231] = {.index = 460, .length = 2},
  [232] = {.index = 462, .length = 1},
  [233] = {.index = 463, .length = 4},
  [234] = {.index = 467, .length = 3},
  [235] = {.index = 470, .length = 4},
  [236] = {.index = 474, .length = 5},
  [237] = {.index = 479, .length = 1},
  [238] = {.index = 480, .length = 2},
  [239] = {.index = 482, .length = 4},
  [240] = {.index = 486, .length = 4},
  [241] = {.index = 490, .length = 2},
  [242] = {.index = 492, .length = 4},
  [243] = {.index = 496, .length = 4},
  [244] = {.index = 500, .length = 2},
  [245] = {.index = 502, .length = 2},
  [246] = {.index = 504, .length = 3},
  [247] = {.index = 507, .length = 3},
  [248] = {.index = 510, .length = 2},
  [249] = {.index = 512, .length = 2},
  [250] = {.index = 514, .length = 1},
  [251] = {.index = 515, .length = 1},
  [252] = {.index = 516, .length = 3},
  [253] = {.index = 519, .length = 3},
  [254] = {.index = 522, .length = 3},
  [255] = {.index = 525, .length = 3},
  [256] = {.index = 528, .length = 4},
  [257] = {.index = 532, .length = 2},
  [258] = {.index = 534, .length = 4},
  [259] = {.index = 538, .length = 3},
  [260] = {.index = 541, .length = 2},
  [261] = {.index = 543, .length = 2},
  [262] = {.index = 545, .length = 4},
  [263] = {.index = 549, .length = 4},
  [264] = {.index = 553, .length = 4},
  [265] = {.index = 557, .length = 3},
  [266] = {.index = 560, .length = 2},
  [268] = {.index = 562, .length = 4},
  [269] = {.index = 566, .length = 5},
  [270] = {.index = 571, .length = 5},
  [271] = {.index = 576, .length = 5},
  [272] = {.index = 581, .length = 3},
  [273] = {.index = 584, .length = 3},
  [274] = {.index = 587, .length = 3},
  [275] = {.index = 584, .length = 3},
  [276] = {.index = 590, .length = 2},
  [277] = {.index = 592, .length = 4},
  [278] = {.index = 596, .length = 4},
  [279] = {.index = 600, .length = 3},
  [280] = {.index = 603, .length = 2},
  [281] = {.index = 605, .length = 2},
  [282] = {.index = 607, .length = 3},
  [283] = {.index = 610, .length = 2},
  [284] = {.index = 612, .length = 2},
  [285] = {.index = 614, .length = 1},
  [286] = {.index = 615, .length = 3},
  [287] = {.index = 618, .length = 3},
  [288] = {.index = 621, .length = 4},
  [289] = {.index = 625, .length = 4},
  [290] = {.index = 629, .length = 3},
  [291] = {.index = 632, .length = 3},
  [292] = {.index = 635, .length = 2},
  [293] = {.index = 637, .length = 3},
  [294] = {.index = 640, .length = 2},
  [295] = {.index = 642, .length = 4},
  [296] = {.index = 646, .length = 4},
  [297] = {.index = 650, .length = 4},
  [298] = {.index = 654, .length = 3},
  [299] = {.index = 657, .length = 5},
  [300] = {.index = 662, .length = 5},
  [301] = {.index = 667, .length = 4},
  [302] = {.index = 671, .length = 4},
  [303] = {.index = 675, .length = 3},
  [304] = {.index = 678, .length = 3},
  [305] = {.index = 678, .length = 3},
  [306] = {.index = 681, .length = 2},
  [307] = {.index = 683, .length = 2},
  [308] = {.index = 685, .length = 3},
  [309] = {.index = 688, .length = 2},
  [310] = {.index = 690, .length = 2},
  [311] = {.index = 692, .length = 4},
  [312] = {.index = 696, .length = 3},
  [313] = {.index = 699, .length = 3},
  [314] = {.index = 702, .length = 4},
  [315] = {.index = 706, .length = 3},
  [316] = {.index = 709, .length = 3},
  [317] = {.index = 712, .length = 2},
  [318] = {.index = 714, .length = 4},
  [319] = {.index = 718, .length = 5},
  [320] = {.index = 723, .length = 5},
  [321] = {.index = 728, .length = 4},
  [322] = {.index = 728, .length = 4},
  [323] = {.index = 732, .length = 4},
  [324] = {.index = 736, .length = 3},
  [325] = {.index = 739, .length = 2},
  [326] = {.index = 741, .length = 2},
  [327] = {.index = 743, .length = 3},
  [328] = {.index = 746, .length = 4},
  [329] = {.index = 750, .length = 4},
  [330] = {.index = 754, .length = 3},
  [331] = {.index = 757, .length = 3},
  [332] = {.index = 760, .length = 4},
  [333] = {.index = 764, .length = 3},
  [334] = {.index = 767, .length = 3},
  [335] = {.index = 770, .length = 5},
  [336] = {.index = 775, .length = 3},
  [337] = {.index = 778, .length = 4},
  [338] = {.index = 782, .length = 4},
  [339] = {.index = 786, .length = 3},
  [340] = {.index = 789, .length = 3},
  [341] = {.index = 792, .length = 4},
  [342] = {.index = 796, .length = 4},
};

static const TSFieldMapEntry ts_field_map_entries[] = {
  [0] =
    {field_decorator, 0},
  [1] =
    {field_parameters, 0},
  [2] =
    {field_declaration, 1},
  [3] =
    {field_name, 0},
  [4] =
    {field_body, 1, .inherited = true},
    {field_name, 1, .inherited = true},
  [6] =
    {field_argument, 1},
    {field_operator, 0},
  [8] =
    {field_pattern, 0},
  [9] =
    {field_decorator, 0, .inherited = true},
    {field_pattern, 0, .inherited = true},
  [11] =
    {field_body, 1},
  [12] =
    {field_constructor, 1},
  [13] =
    {field_arguments, 1},
    {field_function, 0},
  [15] =
    {field_argument, 0},
    {field_operator, 1},
  [17] =
    {field_type_arguments, 1},
  [18] =
    {field_close_tag, 1},
    {field_open_tag, 0},
  [20] =
    {field_parameters, 0},
    {field_return_type, 1},
  [22] =
    {field_parameters, 1},
    {field_type_parameters, 0},
  [24] =
    {field_decorator, 0, .inherited = true},
    {field_decorator, 1, .inherited = true},
  [26] =
    {field_declaration, 2},
  [27] =
    {field_left, 0},
    {field_right, 2},
  [29] =
    {field_body, 2},
    {field_label, 0},
  [31] =
    {field_body, 2},
    {field_parameter, 0},
  [33] =
    {field_body, 1},
    {field_name, 0},
  [35] =
    {field_source, 1},
  [36] =
    {field_body, 2},
    {field_object, 1},
  [38] =
    {field_name, 0},
    {field_value, 1, .inherited = true},
  [40] =
    {field_name, 0},
    {field_type, 1},
  [42] =
    {field_kind, 0},
  [43] =
    {field_condition, 1},
    {field_consequence, 2},
  [45] =
    {field_body, 2},
    {field_value, 1},
  [47] =
    {field_body, 2},
    {field_kind, 1, .inherited = true},
    {field_left, 1, .inherited = true},
    {field_operator, 1, .inherited = true},
    {field_right, 1, .inherited = true},
    {field_value, 1, .inherited = true},
  [53] =
    {field_pattern, 1},
  [54] =
    {field_decorator, 0, .inherited = true},
    {field_pattern, 0, .inherited = true},
    {field_value, 1, .inherited = true},
  [57] =
    {field_decorator, 0, .inherited = true},
    {field_pattern, 0, .inherited = true},
    {field_type, 1},
  [60] =
    {field_decorator, 0, .inherited = true},
    {field_pattern, 1},
  [62] =
    {field_body, 2},
    {field_condition, 1},
  [64] =
    {field_body, 1},
    {field_handler, 2},
  [66] =
    {field_body, 1},
    {field_finalizer, 2},
  [68] =
    {field_label, 1},
  [69] =
    {field_body, 2},
    {field_name, 1},
  [71] =
    {field_value, 0},
  [72] =
    {field_type_arguments, 1, .inherited = true},
    {field_value, 1, .inherited = true},
  [74] =
    {field_argument, 0, .inherited = true},
    {field_operator, 0, .inherited = true},
  [76] =
    {field_body, 2},
  [77] =
    {field_body, 2},
    {field_type_parameters, 1},
  [79] =
    {field_body, 2},
    {field_parameters, 1, .inherited = true},
    {field_return_type, 1, .inherited = true},
    {field_type_parameters, 1, .inherited = true},
  [83] =
    {field_arguments, 2},
    {field_constructor, 1},
  [85] =
    {field_constructor, 1},
    {field_type_arguments, 2},
  [87] =
    {field_name, 1},
  [88] =
    {field_attribute, 0},
  [89] =
    {field_name, 0},
    {field_value, 1},
  [91] =
    {field_constraint, 1},
    {field_name, 0},
  [93] =
    {field_left, 0},
    {field_operator, 1},
    {field_right, 2},
  [96] =
    {field_object, 0},
    {field_property, 2},
  [98] =
    {field_object, 0},
    {field_optional_chain, 1},
    {field_property, 2},
  [101] =
    {field_arguments, 2},
    {field_function, 0},
    {field_type_arguments, 1},
  [104] =
    {field_arguments, 2},
    {field_function, 0},
  [106] =
    {field_close_tag, 2},
    {field_content, 1},
    {field_open_tag, 0},
  [109] =
    {field_close_tag, 2},
    {field_open_tag, 0},
  [111] =
    {field_body, 2},
    {field_parameters, 0, .inherited = true},
    {field_return_type, 0, .inherited = true},
    {field_type_parameters, 0, .inherited = true},
  [115] =
    {field_object, 1, .inherited = true},
    {field_property, 1, .inherited = true},
  [117] =
    {field_arguments, 1, .inherited = true},
    {field_function, 1, .inherited = true},
  [119] =
    {field_parameters, 1},
    {field_return_type, 2},
    {field_type_parameters, 0},
  [122] =
    {field_declaration, 2},
    {field_decorator, 0, .inherited = true},
  [124] =
    {field_body, 2},
    {field_decorator, 0, .inherited = true},
  [126] =
    {field_source, 2, .inherited = true},
  [127] =
    {field_value, 2},
  [128] =
    {field_key, 0},
    {field_value, 2},
  [130] =
    {field_body, 2},
    {field_name, 0},
    {field_parameters, 1, .inherited = true},
    {field_return_type, 1, .inherited = true},
    {field_type_parameters, 1, .inherited = true},
  [135] =
    {field_source, 2},
  [136] =
    {field_value, 1},
  [137] =
    {field_name, 0},
    {field_type, 2},
  [139] =
    {field_name, 0},
    {field_type, 1},
    {field_value, 2, .inherited = true},
  [142] =
    {field_body, 3},
    {field_name, 2},
  [144] =
    {field_alternative, 3},
    {field_condition, 1},
    {field_consequence, 2},
  [147] =
    {field_body, 3},
    {field_kind, 2, .inherited = true},
    {field_left, 2, .inherited = true},
    {field_operator, 2, .inherited = true},
    {field_right, 2, .inherited = true},
    {field_value, 2, .inherited = true},
  [153] =
    {field_type, 2},
  [154] =
    {field_pattern, 2},
  [155] =
    {field_decorator, 0, .inherited = true},
    {field_pattern, 0, .inherited = true},
    {field_value, 2, .inherited = true},
  [158] =
    {field_decorator, 0, .inherited = true},
    {field_pattern, 0, .inherited = true},
    {field_type, 2},
  [161] =
    {field_decorator, 0, .inherited = true},
    {field_pattern, 0, .inherited = true},
    {field_type, 1},
    {field_value, 2, .inherited = true},
  [165] =
    {field_decorator, 0, .inherited = true},
    {field_pattern, 2},
  [167] =
    {field_body, 1},
    {field_condition, 3},
  [169] =
    {field_body, 1},
    {field_finalizer, 3},
    {field_handler, 2},
  [172] =
    {field_name, 0},
    {field_parameters, 1, .inherited = true},
    {field_return_type, 1, .inherited = true},
    {field_type_parameters, 1, .inherited = true},
  [176] =
    {field_decorator, 0, .inherited = true},
  [177] =
    {field_decorator, 0, .inherited = true},
    {field_name, 1},
  [179] =
    {field_decorator, 1, .inherited = true},
  [180] =
    {field_body, 3},
    {field_name, 1},
  [182] =
    {field_body, 3},
    {field_name, 1},
    {field_type_parameters, 2},
  [185] =
    {field_type_arguments, 1},
    {field_value, 0},
  [187] =
    {field_type_arguments, 1, .inherited = true},
    {field_type_arguments, 2, .inherited = true},
    {field_value, 1, .inherited = true},
    {field_value, 2, .inherited = true},
  [191] =
    {field_parameters, 0, .inherited = true},
    {field_return_type, 0, .inherited = true},
    {field_type_parameters, 0, .inherited = true},
  [194] =
    {field_index, 1, .inherited = true},
    {field_object, 1, .inherited = true},
  [196] =
    {field_function, 1, .inherited = true},
    {field_type_arguments, 1, .inherited = true},
  [198] =
    {field_name, 0},
    {field_type_arguments, 1},
  [200] =
    {field_body, 3},
    {field_type_parameters, 1},
  [202] =
    {field_body, 3},
    {field_parameter, 1},
  [204] =
    {field_body, 3},
    {field_parameters, 2, .inherited = true},
    {field_return_type, 2, .inherited = true},
    {field_type_parameters, 2, .inherited = true},
  [208] =
    {field_body, 3},
    {field_parameters, 1, .inherited = true},
    {field_return_type, 1, .inherited = true},
    {field_type_parameters, 1, .inherited = true},
  [212] =
    {field_name, 1},
    {field_parameters, 2, .inherited = true},
    {field_return_type, 2, .inherited = true},
    {field_type_parameters, 2, .inherited = true},
  [216] =
    {field_body, 3},
    {field_name, 1},
    {field_parameters, 2, .inherited = true},
    {field_return_type, 2, .inherited = true},
    {field_type_parameters, 2, .inherited = true},
  [221] =
    {field_arguments, 3},
    {field_constructor, 1},
    {field_type_arguments, 2},
  [224] =
    {field_left, 1},
    {field_right, 3},
  [226] =
    {field_flags, 3},
    {field_pattern, 1},
  [228] =
    {field_name, 1},
    {field_value, 2},
  [230] =
    {field_constraint, 2},
    {field_name, 1},
  [232] =
    {field_attribute, 2, .inherited = true},
    {field_name, 1},
  [234] =
    {field_attribute, 0, .inherited = true},
    {field_attribute, 1, .inherited = true},
  [236] =
    {field_name, 1},
    {field_type_arguments, 2},
  [238] =
    {field_constraint, 1},
    {field_name, 0},
    {field_value, 2},
  [241] =
    {field_type, 1},
  [242] =
    {field_arguments, 1},
    {field_function, 0},
    {field_object, 0, .inherited = true},
    {field_property, 0, .inherited = true},
  [246] =
    {field_index, 2},
    {field_object, 0},
  [248] =
    {field_arguments, 3},
    {field_function, 0},
    {field_type_arguments, 2},
  [251] =
    {field_declaration, 3},
    {field_decorator, 0, .inherited = true},
  [253] =
    {field_body, 3},
    {field_decorator, 0, .inherited = true},
    {field_name, 2},
  [256] =
    {field_body, 3},
    {field_decorator, 0, .inherited = true},
  [258] =
    {field_body, 3},
    {field_decorator, 0, .inherited = true},
    {field_type_parameters, 2},
  [261] =
    {field_source, 3, .inherited = true},
  [262] =
    {field_alias, 2},
    {field_name, 0},
  [264] =
    {field_name, 1},
    {field_value, 3},
  [266] =
    {field_body, 3},
    {field_name, 0},
    {field_parameters, 2, .inherited = true},
    {field_return_type, 2, .inherited = true},
    {field_type_parameters, 2, .inherited = true},
  [271] =
    {field_pattern, 3},
  [272] =
    {field_decorator, 0, .inherited = true},
    {field_pattern, 0, .inherited = true},
    {field_type, 2},
    {field_value, 3, .inherited = true},
  [276] =
    {field_decorator, 0, .inherited = true},
    {field_pattern, 3},
  [278] =
    {field_name, 2},
  [279] =
    {field_name, 1},
    {field_value, 2, .inherited = true},
  [281] =
    {field_name, 1},
    {field_type, 2},
  [283] =
    {field_name, 0},
    {field_value, 2, .inherited = true},
  [285] =
    {field_name, 0},
    {field_parameters, 2, .inherited = true},
    {field_return_type, 2, .inherited = true},
    {field_type_parameters, 2, .inherited = true},
  [289] =
    {field_decorator, 0, .inherited = true},
    {field_name, 2},
  [291] =
    {field_decorator, 0, .inherited = true},
    {field_name, 1},
    {field_value, 2, .inherited = true},
  [294] =
    {field_decorator, 0, .inherited = true},
    {field_name, 1},
    {field_type, 2},
  [297] =
    {field_body, 4},
    {field_name, 1},
    {field_type_parameters, 2},
  [300] =
    {field_type_arguments, 0, .inherited = true},
    {field_type_arguments, 1, .inherited = true},
    {field_value, 0, .inherited = true},
    {field_value, 1, .inherited = true},
  [304] =
    {field_parameters, 1},
  [305] =
    {field_function, 0},
    {field_type_arguments, 1},
  [307] =
    {field_function, 0},
    {field_object, 0, .inherited = true},
    {field_property, 0, .inherited = true},
    {field_type_arguments, 1},
  [311] =
    {field_arguments, 1},
    {field_function, 0},
    {field_index, 0, .inherited = true},
    {field_object, 0, .inherited = true},
  [315] =
    {field_function, 0},
    {field_index, 0, .inherited = true},
    {field_object, 0, .inherited = true},
    {field_type_arguments, 1},
  [319] =
    {field_module, 0},
    {field_name, 2},
  [321] =
    {field_parameters, 0},
    {field_return_type, 2},
  [323] =
    {field_body, 4},
    {field_parameters, 3, .inherited = true},
    {field_return_type, 3, .inherited = true},
    {field_type_parameters, 3, .inherited = true},
  [327] =
    {field_name, 2},
    {field_parameters, 3, .inherited = true},
    {field_return_type, 3, .inherited = true},
    {field_type_parameters, 3, .inherited = true},
  [331] =
    {field_body, 4},
    {field_name, 2},
    {field_parameters, 3, .inherited = true},
    {field_return_type, 3, .inherited = true},
    {field_type_parameters, 3, .inherited = true},
  [336] =
    {field_constraint, 2},
    {field_name, 1},
    {field_value, 3},
  [339] =
    {field_attribute, 3, .inherited = true},
    {field_name, 1},
    {field_type_arguments, 2},
  [342] =
    {field_body, 4},
    {field_name, 2},
  [344] =
    {field_body, 4},
    {field_name, 2},
    {field_type_parameters, 3},
  [347] =
    {field_type, 1},
    {field_type, 2, .inherited = true},
  [349] =
    {field_object, 0},
    {field_object, 0, .inherited = true},
    {field_property, 0, .inherited = true},
    {field_property, 2},
  [353] =
    {field_arguments, 0, .inherited = true},
    {field_function, 0, .inherited = true},
    {field_object, 0},
    {field_property, 2},
  [357] =
    {field_alternative, 4},
    {field_condition, 0},
    {field_consequence, 2},
  [360] =
    {field_index, 3},
    {field_object, 0},
    {field_optional_chain, 1},
  [363] =
    {field_decorator, 0, .inherited = true},
    {field_value, 3},
  [365] =
    {field_body, 4},
    {field_decorator, 0, .inherited = true},
    {field_name, 2},
  [368] =
    {field_body, 4},
    {field_decorator, 0, .inherited = true},
    {field_name, 2},
    {field_type_parameters, 3},
  [372] =
    {field_body, 4},
    {field_decorator, 0, .inherited = true},
    {field_type_parameters, 2},
  [375] =
    {field_body, 4},
    {field_decorator, 0, .inherited = true},
    {field_name, 3},
  [378] =
    {field_alias, 3},
    {field_name, 1},
  [380] =
    {field_name, 1},
    {field_type_parameters, 2},
    {field_value, 4},
  [383] =
    {field_body, 4},
    {field_name, 1},
    {field_parameters, 3, .inherited = true},
    {field_return_type, 3, .inherited = true},
    {field_type_parameters, 3, .inherited = true},
  [388] =
    {field_left, 1},
    {field_operator, 2},
    {field_right, 3},
  [391] =
    {field_body, 5},
    {field_condition, 3},
    {field_initializer, 2},
  [394] =
    {field_decorator, 0, .inherited = true},
    {field_pattern, 4},
  [396] =
    {field_name, 1},
    {field_parameters, 3, .inherited = true},
    {field_return_type, 3, .inherited = true},
    {field_type_parameters, 3, .inherited = true},
  [400] =
    {field_type, 3},
  [401] =
    {field_name, 2},
    {field_value, 3, .inherited = true},
  [403] =
    {field_name, 2},
    {field_type, 3},
  [405] =
    {field_name, 1},
    {field_value, 3, .inherited = true},
  [407] =
    {field_name, 1},
    {field_type, 3},
  [409] =
    {field_name, 1},
    {field_type, 2},
    {field_value, 3, .inherited = true},
  [412] =
    {field_name, 3},
  [413] =
    {field_name, 0},
    {field_type, 2},
    {field_value, 3, .inherited = true},
  [416] =
    {field_decorator, 0, .inherited = true},
    {field_name, 3},
  [418] =
    {field_decorator, 0, .inherited = true},
    {field_name, 2},
    {field_value, 3, .inherited = true},
  [421] =
    {field_decorator, 0, .inherited = true},
    {field_name, 2},
    {field_type, 3},
  [424] =
    {field_decorator, 0, .inherited = true},
    {field_name, 1},
    {field_value, 3, .inherited = true},
  [427] =
    {field_decorator, 0, .inherited = true},
    {field_name, 1},
    {field_type, 3},
  [430] =
    {field_decorator, 0, .inherited = true},
    {field_name, 1},
    {field_type, 2},
    {field_value, 3, .inherited = true},
  [434] =
    {field_parameters, 1},
    {field_type, 2},
  [436] =
    {field_parameters, 2},
    {field_type_parameters, 1},
  [438] =
    {field_parameters, 2},
  [439] =
    {field_index, 0, .inherited = true},
    {field_object, 0},
    {field_object, 0, .inherited = true},
    {field_property, 2},
  [443] =
    {field_parameters, 1},
    {field_type, 3},
  [445] =
    {field_parameters, 1},
    {field_return_type, 3},
    {field_type_parameters, 0},
  [448] =
    {field_body, 5},
    {field_name, 3},
    {field_parameters, 4, .inherited = true},
    {field_return_type, 4, .inherited = true},
    {field_type_parameters, 4, .inherited = true},
  [453] =
    {field_body, 5},
    {field_name, 2},
    {field_type_parameters, 3},
  [456] =
    {field_type, 0, .inherited = true},
    {field_type, 1, .inherited = true},
  [458] =
    {field_name, 1},
    {field_name, 2, .inherited = true},
  [460] =
    {field_name, 0, .inherited = true},
    {field_name, 1, .inherited = true},
  [462] =
    {field_name, 2, .inherited = true},
  [463] =
    {field_body, 5},
    {field_decorator, 0, .inherited = true},
    {field_name, 2},
    {field_type_parameters, 3},
  [467] =
    {field_body, 5},
    {field_decorator, 0, .inherited = true},
    {field_name, 3},
  [470] =
    {field_body, 5},
    {field_decorator, 0, .inherited = true},
    {field_name, 3},
    {field_type_parameters, 4},
  [474] =
    {field_body, 5},
    {field_name, 2},
    {field_parameters, 4, .inherited = true},
    {field_return_type, 4, .inherited = true},
    {field_type_parameters, 4, .inherited = true},
  [479] =
    {field_source, 4},
  [480] =
    {field_body, 3},
    {field_value, 1},
  [482] =
    {field_kind, 1},
    {field_left, 2},
    {field_operator, 3},
    {field_right, 4},
  [486] =
    {field_body, 6},
    {field_condition, 3},
    {field_increment, 4},
    {field_initializer, 2},
  [490] =
    {field_body, 4},
    {field_parameter, 2},
  [492] =
    {field_name, 2},
    {field_parameters, 4, .inherited = true},
    {field_return_type, 4, .inherited = true},
    {field_type_parameters, 4, .inherited = true},
  [496] =
    {field_name, 3},
    {field_parameters, 4, .inherited = true},
    {field_return_type, 4, .inherited = true},
    {field_type_parameters, 4, .inherited = true},
  [500] =
    {field_name, 2},
    {field_value, 4, .inherited = true},
  [502] =
    {field_name, 2},
    {field_type, 4},
  [504] =
    {field_name, 2},
    {field_type, 3},
    {field_value, 4, .inherited = true},
  [507] =
    {field_name, 1},
    {field_type, 3},
    {field_value, 4, .inherited = true},
  [510] =
    {field_name, 3},
    {field_value, 4, .inherited = true},
  [512] =
    {field_name, 3},
    {field_type, 4},
  [514] =
    {field_type, 4},
  [515] =
    {field_name, 4},
  [516] =
    {field_decorator, 0, .inherited = true},
    {field_name, 3},
    {field_value, 4, .inherited = true},
  [519] =
    {field_decorator, 0, .inherited = true},
    {field_name, 3},
    {field_type, 4},
  [522] =
    {field_decorator, 0, .inherited = true},
    {field_name, 2},
    {field_value, 4, .inherited = true},
  [525] =
    {field_decorator, 0, .inherited = true},
    {field_name, 2},
    {field_type, 4},
  [528] =
    {field_decorator, 0, .inherited = true},
    {field_name, 2},
    {field_type, 3},
    {field_value, 4, .inherited = true},
  [532] =
    {field_decorator, 0, .inherited = true},
    {field_name, 4},
  [534] =
    {field_decorator, 0, .inherited = true},
    {field_name, 1},
    {field_type, 3},
    {field_value, 4, .inherited = true},
  [538] =
    {field_parameters, 2},
    {field_type, 3},
    {field_type_parameters, 1},
  [541] =
    {field_parameters, 2},
    {field_type, 3},
  [543] =
    {field_parameters, 3},
    {field_type_parameters, 2},
  [545] =
    {field_index, 2},
    {field_object, 0},
    {field_object, 0, .inherited = true},
    {field_property, 0, .inherited = true},
  [549] =
    {field_index, 0, .inherited = true},
    {field_index, 2},
    {field_object, 0},
    {field_object, 0, .inherited = true},
  [553] =
    {field_arguments, 0, .inherited = true},
    {field_function, 0, .inherited = true},
    {field_index, 2},
    {field_object, 0},
  [557] =
    {field_parameters, 2},
    {field_type, 4},
    {field_type_parameters, 1},
  [560] =
    {field_parameters, 2},
    {field_type, 4},
  [562] =
    {field_body, 6},
    {field_decorator, 0, .inherited = true},
    {field_name, 3},
    {field_type_parameters, 4},
  [566] =
    {field_body, 6},
    {field_name, 3},
    {field_parameters, 5, .inherited = true},
    {field_return_type, 5, .inherited = true},
    {field_type_parameters, 5, .inherited = true},
  [571] =
    {field_body, 6},
    {field_name, 4},
    {field_parameters, 5, .inherited = true},
    {field_return_type, 5, .inherited = true},
    {field_type_parameters, 5, .inherited = true},
  [576] =
    {field_kind, 1},
    {field_left, 2},
    {field_operator, 4},
    {field_right, 5},
    {field_value, 3, .inherited = true},
  [581] =
    {field_body, 5},
    {field_parameter, 2},
    {field_type, 3},
  [584] =
    {field_index_type, 3},
    {field_name, 1},
    {field_type, 5},
  [587] =
    {field_alias, 4},
    {field_name, 0},
    {field_type, 2},
  [590] =
    {field_sign, 0},
    {field_type, 5},
  [592] =
    {field_name, 3},
    {field_parameters, 5, .inherited = true},
    {field_return_type, 5, .inherited = true},
    {field_type_parameters, 5, .inherited = true},
  [596] =
    {field_name, 4},
    {field_parameters, 5, .inherited = true},
    {field_return_type, 5, .inherited = true},
    {field_type_parameters, 5, .inherited = true},
  [600] =
    {field_name, 2},
    {field_type, 4},
    {field_value, 5, .inherited = true},
  [603] =
    {field_name, 3},
    {field_value, 5, .inherited = true},
  [605] =
    {field_name, 3},
    {field_type, 5},
  [607] =
    {field_name, 3},
    {field_type, 4},
    {field_value, 5, .inherited = true},
  [610] =
    {field_name, 4},
    {field_value, 5, .inherited = true},
  [612] =
    {field_name, 4},
    {field_type, 5},
  [614] =
    {field_name, 5},
  [615] =
    {field_decorator, 0, .inherited = true},
    {field_name, 3},
    {field_value, 5, .inherited = true},
  [618] =
    {field_decorator, 0, .inherited = true},
    {field_name, 3},
    {field_type, 5},
  [621] =
    {field_decorator, 0, .inherited = true},
    {field_name, 3},
    {field_type, 4},
    {field_value, 5, .inherited = true},
  [625] =
    {field_decorator, 0, .inherited = true},
    {field_name, 2},
    {field_type, 4},
    {field_value, 5, .inherited = true},
  [629] =
    {field_decorator, 0, .inherited = true},
    {field_name, 4},
    {field_value, 5, .inherited = true},
  [632] =
    {field_decorator, 0, .inherited = true},
    {field_name, 4},
    {field_type, 5},
  [635] =
    {field_decorator, 0, .inherited = true},
    {field_name, 5},
  [637] =
    {field_parameters, 3},
    {field_type, 4},
    {field_type_parameters, 2},
  [640] =
    {field_index, 3},
    {field_object, 0},
  [642] =
    {field_index, 3},
    {field_object, 0},
    {field_object, 0, .inherited = true},
    {field_property, 0, .inherited = true},
  [646] =
    {field_index, 0, .inherited = true},
    {field_index, 3},
    {field_object, 0},
    {field_object, 0, .inherited = true},
  [650] =
    {field_arguments, 0, .inherited = true},
    {field_function, 0, .inherited = true},
    {field_index, 3},
    {field_object, 0},
  [654] =
    {field_parameters, 3},
    {field_type, 5},
    {field_type_parameters, 2},
  [657] =
    {field_body, 7},
    {field_name, 4},
    {field_parameters, 6, .inherited = true},
    {field_return_type, 6, .inherited = true},
    {field_type_parameters, 6, .inherited = true},
  [662] =
    {field_body, 7},
    {field_name, 5},
    {field_parameters, 6, .inherited = true},
    {field_return_type, 6, .inherited = true},
    {field_type_parameters, 6, .inherited = true},
  [667] =
    {field_name, 4},
    {field_parameters, 6, .inherited = true},
    {field_return_type, 6, .inherited = true},
    {field_type_parameters, 6, .inherited = true},
  [671] =
    {field_name, 5},
    {field_parameters, 6, .inherited = true},
    {field_return_type, 6, .inherited = true},
    {field_type_parameters, 6, .inherited = true},
  [675] =
    {field_name, 3},
    {field_type, 5},
    {field_value, 6, .inherited = true},
  [678] =
    {field_index_type, 4},
    {field_name, 2},
    {field_type, 6},
  [681] =
    {field_name, 4},
    {field_value, 6, .inherited = true},
  [683] =
    {field_name, 4},
    {field_type, 6},
  [685] =
    {field_name, 4},
    {field_type, 5},
    {field_value, 6, .inherited = true},
  [688] =
    {field_name, 5},
    {field_value, 6, .inherited = true},
  [690] =
    {field_name, 5},
    {field_type, 6},
  [692] =
    {field_decorator, 0, .inherited = true},
    {field_name, 3},
    {field_type, 5},
    {field_value, 6, .inherited = true},
  [696] =
    {field_decorator, 0, .inherited = true},
    {field_name, 4},
    {field_value, 6, .inherited = true},
  [699] =
    {field_decorator, 0, .inherited = true},
    {field_name, 4},
    {field_type, 6},
  [702] =
    {field_decorator, 0, .inherited = true},
    {field_name, 4},
    {field_type, 5},
    {field_value, 6, .inherited = true},
  [706] =
    {field_decorator, 0, .inherited = true},
    {field_name, 5},
    {field_value, 6, .inherited = true},
  [709] =
    {field_decorator, 0, .inherited = true},
    {field_name, 5},
    {field_type, 6},
  [712] =
    {field_decorator, 0, .inherited = true},
    {field_name, 6},
  [714] =
    {field_alternative, 6},
    {field_consequence, 4},
    {field_left, 0},
    {field_right, 2},
  [718] =
    {field_body, 8},
    {field_name, 5},
    {field_parameters, 7, .inherited = true},
    {field_return_type, 7, .inherited = true},
    {field_type_parameters, 7, .inherited = true},
  [723] =
    {field_body, 8},
    {field_name, 6},
    {field_parameters, 7, .inherited = true},
    {field_return_type, 7, .inherited = true},
    {field_type_parameters, 7, .inherited = true},
  [728] =
    {field_index_type, 5},
    {field_name, 3},
    {field_sign, 0},
    {field_type, 7},
  [732] =
    {field_name, 5},
    {field_parameters, 7, .inherited = true},
    {field_return_type, 7, .inherited = true},
    {field_type_parameters, 7, .inherited = true},
  [736] =
    {field_name, 4},
    {field_type, 6},
    {field_value, 7, .inherited = true},
  [739] =
    {field_name, 5},
    {field_value, 7, .inherited = true},
  [741] =
    {field_name, 5},
    {field_type, 7},
  [743] =
    {field_name, 5},
    {field_type, 6},
    {field_value, 7, .inherited = true},
  [746] =
    {field_name, 6},
    {field_parameters, 7, .inherited = true},
    {field_return_type, 7, .inherited = true},
    {field_type_parameters, 7, .inherited = true},
  [750] =
    {field_decorator, 0, .inherited = true},
    {field_name, 4},
    {field_type, 6},
    {field_value, 7, .inherited = true},
  [754] =
    {field_decorator, 0, .inherited = true},
    {field_name, 5},
    {field_value, 7, .inherited = true},
  [757] =
    {field_decorator, 0, .inherited = true},
    {field_name, 5},
    {field_type, 7},
  [760] =
    {field_decorator, 0, .inherited = true},
    {field_name, 5},
    {field_type, 6},
    {field_value, 7, .inherited = true},
  [764] =
    {field_decorator, 0, .inherited = true},
    {field_name, 6},
    {field_value, 7, .inherited = true},
  [767] =
    {field_decorator, 0, .inherited = true},
    {field_name, 6},
    {field_type, 7},
  [770] =
    {field_body, 9},
    {field_name, 6},
    {field_parameters, 8, .inherited = true},
    {field_return_type, 8, .inherited = true},
    {field_type_parameters, 8, .inherited = true},
  [775] =
    {field_name, 5},
    {field_type, 7},
    {field_value, 8, .inherited = true},
  [778] =
    {field_name, 6},
    {field_parameters, 8, .inherited = true},
    {field_return_type, 8, .inherited = true},
    {field_type_parameters, 8, .inherited = true},
  [782] =
    {field_decorator, 0, .inherited = true},
    {field_name, 5},
    {field_type, 7},
    {field_value, 8, .inherited = true},
  [786] =
    {field_decorator, 0, .inherited = true},
    {field_name, 6},
    {field_value, 8, .inherited = true},
  [789] =
    {field_decorator, 0, .inherited = true},
    {field_name, 6},
    {field_type, 8},
  [792] =
    {field_decorator, 0, .inherited = true},
    {field_name, 6},
    {field_type, 7},
    {field_value, 8, .inherited = true},
  [796] =
    {field_decorator, 0, .inherited = true},
    {field_name, 6},
    {field_type, 8},
    {field_value, 9, .inherited = true},
};

static const TSSymbol ts_alias_sequences[PRODUCTION_ID_COUNT][MAX_ALIAS_SEQUENCE_LENGTH] = {
  [0] = {0},
  [1] = {
    [0] = sym_identifier,
  },
  [7] = {
    [0] = alias_sym_property_identifier,
  },
  [13] = {
    [0] = alias_sym_type_identifier,
  },
  [22] = {
    [0] = sym_identifier,
  },
  [23] = {
    [0] = alias_sym_statement_identifier,
  },
  [24] = {
    [0] = sym_identifier,
  },
  [26] = {
    [1] = alias_sym_shorthand_property_identifier,
  },
  [27] = {
    [1] = alias_sym_shorthand_property_identifier_pattern,
  },
  [28] = {
    [1] = sym_identifier,
  },
  [44] = {
    [1] = alias_sym_statement_identifier,
  },
  [45] = {
    [1] = alias_sym_type_identifier,
  },
  [48] = {
    [0] = alias_sym_type_identifier,
  },
  [49] = {
    [0] = alias_sym_this_type,
  },
  [56] = {
    [1] = alias_sym_type_identifier,
  },
  [59] = {
    [0] = alias_sym_type_identifier,
  },
  [60] = {
    [0] = alias_sym_type_identifier,
  },
  [61] = {
    [1] = sym_member_expression,
  },
  [65] = {
    [1] = alias_sym_type_identifier,
    [2] = alias_sym_interface_body,
  },
  [67] = {
    [2] = alias_sym_property_identifier,
  },
  [69] = {
    [2] = alias_sym_property_identifier,
  },
  [83] = {
    [0] = sym_member_expression,
    [2] = alias_sym_property_identifier,
  },
  [84] = {
    [0] = alias_sym_shorthand_property_identifier_pattern,
  },
  [106] = {
    [1] = alias_sym_type_identifier,
  },
  [107] = {
    [1] = alias_sym_type_identifier,
  },
  [113] = {
    [0] = alias_sym_type_identifier,
  },
  [114] = {
    [1] = alias_sym_type_identifier,
  },
  [115] = {
    [1] = anon_sym_unique,
  },
  [118] = {
    [1] = sym_identifier,
  },
  [125] = {
    [1] = sym_identifier,
  },
  [128] = {
    [1] = alias_sym_type_identifier,
  },
  [129] = {
    [1] = alias_sym_type_identifier,
  },
  [133] = {
    [0] = alias_sym_type_identifier,
  },
  [134] = {
    [1] = sym_member_expression,
  },
  [135] = {
    [1] = sym_member_expression,
  },
  [136] = {
    [2] = alias_sym_type_identifier,
  },
  [137] = {
    [1] = alias_sym_type_identifier,
  },
  [139] = {
    [1] = alias_sym_type_identifier,
    [3] = alias_sym_interface_body,
  },
  [140] = {
    [1] = alias_sym_type_identifier,
    [3] = alias_sym_interface_body,
  },
  [145] = {
    [2] = alias_sym_type_identifier,
  },
  [150] = {
    [1] = alias_sym_type_identifier,
  },
  [152] = {
    [0] = sym_identifier,
  },
  [164] = {
    [1] = alias_sym_type_identifier,
  },
  [171] = {
    [2] = alias_sym_type_identifier,
  },
  [176] = {
    [1] = alias_sym_type_identifier,
  },
  [178] = {
    [1] = sym_member_expression,
  },
  [179] = {
    [2] = alias_sym_type_identifier,
  },
  [180] = {
    [2] = alias_sym_type_identifier,
  },
  [181] = {
    [1] = alias_sym_type_identifier,
  },
  [183] = {
    [1] = alias_sym_type_identifier,
    [4] = alias_sym_interface_body,
  },
  [184] = {
    [2] = alias_sym_property_identifier,
  },
  [186] = {
    [2] = alias_sym_property_identifier,
  },
  [190] = {
    [0] = sym_identifier,
  },
  [192] = {
    [2] = alias_sym_type_identifier,
  },
  [193] = {
    [2] = alias_sym_type_identifier,
  },
  [195] = {
    [3] = alias_sym_type_identifier,
  },
  [197] = {
    [1] = alias_sym_type_identifier,
  },
  [199] = {
    [1] = sym_identifier,
  },
  [200] = {
    [1] = sym_identifier,
  },
  [205] = {
    [0] = alias_sym_type_identifier,
  },
  [223] = {
    [2] = alias_sym_property_identifier,
  },
  [228] = {
    [2] = alias_sym_type_identifier,
  },
  [233] = {
    [2] = alias_sym_type_identifier,
  },
  [234] = {
    [3] = alias_sym_type_identifier,
  },
  [235] = {
    [3] = alias_sym_type_identifier,
  },
  [267] = {
    [3] = alias_sym_property_identifier,
  },
  [268] = {
    [3] = alias_sym_type_identifier,
  },
  [273] = {
    [1] = sym_identifier,
  },
  [274] = {
    [0] = alias_sym_type_identifier,
  },
  [304] = {
    [2] = sym_identifier,
  },
  [321] = {
    [3] = sym_identifier,
  },
};

static const uint16_t ts_non_terminal_alias_map[] = {
  sym_nested_identifier, 2,
    sym_nested_identifier,
    sym_member_expression,
  sym_predefined_type, 2,
    sym_predefined_type,
    sym_identifier,
  sym_object_type, 2,
    sym_object_type,
    alias_sym_interface_body,
  0,
};

static const TSStateId ts_primary_state_ids[STATE_COUNT] = {
  [0] = 0,
  [1] = 1,
  [2] = 2,
  [3] = 2,
  [4] = 4,
  [5] = 4,
  [6] = 4,
  [7] = 4,
  [8] = 4,
  [9] = 4,
  [10] = 4,
  [11] = 4,
  [12] = 12,
  [13] = 13,
  [14] = 14,
  [15] = 15,
  [16] = 16,
  [17] = 13,
  [18] = 18,
  [19] = 19,
  [20] = 20,
  [21] = 18,
  [22] = 20,
  [23] = 20,
  [24] = 18,
  [25] = 18,
  [26] = 20,
  [27] = 18,
  [28] = 18,
  [29] = 20,
  [30] = 18,
  [31] = 20,
  [32] = 20,
  [33] = 18,
  [34] = 20,
  [35] = 20,
  [36] = 20,
  [37] = 37,
  [38] = 20,
  [39] = 18,
  [40] = 20,
  [41] = 18,
  [42] = 18,
  [43] = 20,
  [44] = 18,
  [45] = 18,
  [46] = 20,
  [47] = 18,
  [48] = 20,
  [49] = 20,
  [50] = 18,
  [51] = 18,
  [52] = 20,
  [53] = 18,
  [54] = 18,
  [55] = 20,
  [56] = 20,
  [57] = 20,
  [58] = 18,
  [59] = 18,
  [60] = 18,
  [61] = 20,
  [62] = 20,
  [63] = 18,
  [64] = 20,
  [65] = 20,
  [66] = 18,
  [67] = 18,
  [68] = 20,
  [69] = 18,
  [70] = 20,
  [71] = 18,
  [72] = 72,
  [73] = 73,
  [74] = 74,
  [75] = 75,
  [76] = 74,
  [77] = 77,
  [78] = 78,
  [79] = 79,
  [80] = 74,
  [81] = 77,
  [82] = 82,
  [83] = 73,
  [84] = 77,
  [85] = 85,
  [86] = 73,
  [87] = 82,
  [88] = 78,
  [89] = 89,
  [90] = 89,
  [91] = 89,
  [92] = 82,
  [93] = 93,
  [94] = 85,
  [95] = 82,
  [96] = 89,
  [97] = 74,
  [98] = 85,
  [99] = 77,
  [100] = 79,
  [101] = 78,
  [102] = 82,
  [103] = 74,
  [104] = 85,
  [105] = 77,
  [106] = 93,
  [107] = 75,
  [108] = 79,
  [109] = 78,
  [110] = 73,
  [111] = 75,
  [112] = 73,
  [113] = 79,
  [114] = 75,
  [115] = 93,
  [116] = 85,
  [117] = 79,
  [118] = 93,
  [119] = 93,
  [120] = 75,
  [121] = 78,
  [122] = 89,
  [123] = 123,
  [124] = 123,
  [125] = 123,
  [126] = 123,
  [127] = 127,
  [128] = 123,
  [129] = 123,
  [130] = 123,
  [131] = 127,
  [132] = 127,
  [133] = 123,
  [134] = 123,
  [135] = 123,
  [136] = 136,
  [137] = 136,
  [138] = 138,
  [139] = 139,
  [140] = 140,
  [141] = 141,
  [142] = 142,
  [143] = 143,
  [144] = 144,
  [145] = 145,
  [146] = 144,
  [147] = 147,
  [148] = 148,
  [149] = 149,
  [150] = 150,
  [151] = 148,
  [152] = 149,
  [153] = 149,
  [154] = 148,
  [155] = 155,
  [156] = 156,
  [157] = 155,
  [158] = 156,
  [159] = 148,
  [160] = 148,
  [161] = 155,
  [162] = 150,
  [163] = 155,
  [164] = 156,
  [165] = 155,
  [166] = 156,
  [167] = 147,
  [168] = 156,
  [169] = 150,
  [170] = 170,
  [171] = 148,
  [172] = 145,
  [173] = 173,
  [174] = 174,
  [175] = 148,
  [176] = 148,
  [177] = 147,
  [178] = 148,
  [179] = 179,
  [180] = 148,
  [181] = 150,
  [182] = 150,
  [183] = 183,
  [184] = 144,
  [185] = 148,
  [186] = 148,
  [187] = 150,
  [188] = 150,
  [189] = 148,
  [190] = 170,
  [191] = 148,
  [192] = 148,
  [193] = 148,
  [194] = 150,
  [195] = 173,
  [196] = 196,
  [197] = 150,
  [198] = 198,
  [199] = 196,
  [200] = 196,
  [201] = 196,
  [202] = 148,
  [203] = 196,
  [204] = 196,
  [205] = 196,
  [206] = 196,
  [207] = 196,
  [208] = 208,
  [209] = 208,
  [210] = 208,
  [211] = 208,
  [212] = 208,
  [213] = 208,
  [214] = 208,
  [215] = 208,
  [216] = 208,
  [217] = 217,
  [218] = 218,
  [219] = 219,
  [220] = 220,
  [221] = 220,
  [222] = 220,
  [223] = 220,
  [224] = 220,
  [225] = 220,
  [226] = 220,
  [227] = 220,
  [228] = 220,
  [229] = 229,
  [230] = 230,
  [231] = 229,
  [232] = 230,
  [233] = 230,
  [234] = 230,
  [235] = 229,
  [236] = 230,
  [237] = 229,
  [238] = 229,
  [239] = 229,
  [240] = 230,
  [241] = 241,
  [242] = 241,
  [243] = 241,
  [244] = 244,
  [245] = 245,
  [246] = 241,
  [247] = 241,
  [248] = 248,
  [249] = 248,
  [250] = 245,
  [251] = 245,
  [252] = 241,
  [253] = 253,
  [254] = 254,
  [255] = 254,
  [256] = 256,
  [257] = 256,
  [258] = 253,
  [259] = 241,
  [260] = 254,
  [261] = 256,
  [262] = 244,
  [263] = 253,
  [264] = 241,
  [265] = 265,
  [266] = 266,
  [267] = 266,
  [268] = 266,
  [269] = 266,
  [270] = 270,
  [271] = 266,
  [272] = 266,
  [273] = 266,
  [274] = 274,
  [275] = 241,
  [276] = 276,
  [277] = 277,
  [278] = 270,
  [279] = 276,
  [280] = 276,
  [281] = 276,
  [282] = 276,
  [283] = 270,
  [284] = 284,
  [285] = 285,
  [286] = 285,
  [287] = 287,
  [288] = 288,
  [289] = 284,
  [290] = 290,
  [291] = 291,
  [292] = 292,
  [293] = 293,
  [294] = 294,
  [295] = 295,
  [296] = 296,
  [297] = 297,
  [298] = 270,
  [299] = 299,
  [300] = 292,
  [301] = 301,
  [302] = 302,
  [303] = 294,
  [304] = 304,
  [305] = 305,
  [306] = 294,
  [307] = 307,
  [308] = 308,
  [309] = 304,
  [310] = 310,
  [311] = 311,
  [312] = 312,
  [313] = 313,
  [314] = 270,
  [315] = 315,
  [316] = 316,
  [317] = 317,
  [318] = 270,
  [319] = 304,
  [320] = 304,
  [321] = 290,
  [322] = 322,
  [323] = 270,
  [324] = 270,
  [325] = 325,
  [326] = 326,
  [327] = 327,
  [328] = 270,
  [329] = 292,
  [330] = 304,
  [331] = 331,
  [332] = 270,
  [333] = 333,
  [334] = 304,
  [335] = 304,
  [336] = 336,
  [337] = 290,
  [338] = 338,
  [339] = 339,
  [340] = 340,
  [341] = 291,
  [342] = 342,
  [343] = 291,
  [344] = 331,
  [345] = 315,
  [346] = 346,
  [347] = 299,
  [348] = 346,
  [349] = 295,
  [350] = 308,
  [351] = 299,
  [352] = 311,
  [353] = 336,
  [354] = 354,
  [355] = 310,
  [356] = 354,
  [357] = 346,
  [358] = 338,
  [359] = 310,
  [360] = 333,
  [361] = 361,
  [362] = 340,
  [363] = 302,
  [364] = 322,
  [365] = 305,
  [366] = 307,
  [367] = 296,
  [368] = 346,
  [369] = 316,
  [370] = 317,
  [371] = 313,
  [372] = 301,
  [373] = 346,
  [374] = 354,
  [375] = 297,
  [376] = 354,
  [377] = 305,
  [378] = 346,
  [379] = 313,
  [380] = 346,
  [381] = 325,
  [382] = 326,
  [383] = 346,
  [384] = 307,
  [385] = 346,
  [386] = 316,
  [387] = 297,
  [388] = 346,
  [389] = 342,
  [390] = 317,
  [391] = 391,
  [392] = 346,
  [393] = 393,
  [394] = 354,
  [395] = 302,
  [396] = 396,
  [397] = 338,
  [398] = 296,
  [399] = 322,
  [400] = 308,
  [401] = 396,
  [402] = 294,
  [403] = 340,
  [404] = 311,
  [405] = 336,
  [406] = 290,
  [407] = 291,
  [408] = 292,
  [409] = 331,
  [410] = 342,
  [411] = 333,
  [412] = 326,
  [413] = 346,
  [414] = 346,
  [415] = 315,
  [416] = 295,
  [417] = 417,
  [418] = 325,
  [419] = 327,
  [420] = 327,
  [421] = 301,
  [422] = 346,
  [423] = 302,
  [424] = 424,
  [425] = 424,
  [426] = 296,
  [427] = 310,
  [428] = 322,
  [429] = 336,
  [430] = 305,
  [431] = 431,
  [432] = 327,
  [433] = 433,
  [434] = 295,
  [435] = 299,
  [436] = 307,
  [437] = 315,
  [438] = 297,
  [439] = 439,
  [440] = 440,
  [441] = 441,
  [442] = 326,
  [443] = 331,
  [444] = 313,
  [445] = 445,
  [446] = 340,
  [447] = 445,
  [448] = 342,
  [449] = 311,
  [450] = 317,
  [451] = 424,
  [452] = 308,
  [453] = 333,
  [454] = 316,
  [455] = 424,
  [456] = 325,
  [457] = 439,
  [458] = 301,
  [459] = 338,
  [460] = 424,
  [461] = 461,
  [462] = 462,
  [463] = 462,
  [464] = 462,
  [465] = 462,
  [466] = 462,
  [467] = 467,
  [468] = 467,
  [469] = 469,
  [470] = 470,
  [471] = 471,
  [472] = 472,
  [473] = 473,
  [474] = 474,
  [475] = 469,
  [476] = 476,
  [477] = 477,
  [478] = 478,
  [479] = 479,
  [480] = 467,
  [481] = 473,
  [482] = 472,
  [483] = 476,
  [484] = 474,
  [485] = 485,
  [486] = 486,
  [487] = 479,
  [488] = 485,
  [489] = 485,
  [490] = 470,
  [491] = 472,
  [492] = 473,
  [493] = 474,
  [494] = 467,
  [495] = 485,
  [496] = 473,
  [497] = 470,
  [498] = 470,
  [499] = 499,
  [500] = 472,
  [501] = 473,
  [502] = 479,
  [503] = 474,
  [504] = 476,
  [505] = 472,
  [506] = 476,
  [507] = 479,
  [508] = 470,
  [509] = 479,
  [510] = 473,
  [511] = 472,
  [512] = 476,
  [513] = 513,
  [514] = 473,
  [515] = 479,
  [516] = 470,
  [517] = 479,
  [518] = 476,
  [519] = 472,
  [520] = 467,
  [521] = 476,
  [522] = 473,
  [523] = 485,
  [524] = 485,
  [525] = 525,
  [526] = 526,
  [527] = 476,
  [528] = 528,
  [529] = 467,
  [530] = 485,
  [531] = 473,
  [532] = 470,
  [533] = 470,
  [534] = 472,
  [535] = 525,
  [536] = 474,
  [537] = 485,
  [538] = 485,
  [539] = 472,
  [540] = 479,
  [541] = 541,
  [542] = 542,
  [543] = 543,
  [544] = 476,
  [545] = 479,
  [546] = 467,
  [547] = 470,
  [548] = 548,
  [549] = 549,
  [550] = 550,
  [551] = 551,
  [552] = 552,
  [553] = 553,
  [554] = 554,
  [555] = 555,
  [556] = 556,
  [557] = 557,
  [558] = 558,
  [559] = 550,
  [560] = 560,
  [561] = 561,
  [562] = 561,
  [563] = 552,
  [564] = 556,
  [565] = 565,
  [566] = 565,
  [567] = 557,
  [568] = 568,
  [569] = 569,
  [570] = 570,
  [571] = 556,
  [572] = 572,
  [573] = 573,
  [574] = 551,
  [575] = 575,
  [576] = 576,
  [577] = 556,
  [578] = 570,
  [579] = 572,
  [580] = 580,
  [581] = 573,
  [582] = 575,
  [583] = 560,
  [584] = 576,
  [585] = 550,
  [586] = 580,
  [587] = 557,
  [588] = 561,
  [589] = 552,
  [590] = 590,
  [591] = 591,
  [592] = 553,
  [593] = 593,
  [594] = 560,
  [595] = 551,
  [596] = 596,
  [597] = 561,
  [598] = 598,
  [599] = 599,
  [600] = 600,
  [601] = 557,
  [602] = 602,
  [603] = 557,
  [604] = 590,
  [605] = 557,
  [606] = 552,
  [607] = 553,
  [608] = 591,
  [609] = 555,
  [610] = 555,
  [611] = 552,
  [612] = 556,
  [613] = 613,
  [614] = 614,
  [615] = 557,
  [616] = 596,
  [617] = 560,
  [618] = 618,
  [619] = 619,
  [620] = 555,
  [621] = 621,
  [622] = 568,
  [623] = 623,
  [624] = 602,
  [625] = 569,
  [626] = 593,
  [627] = 600,
  [628] = 599,
  [629] = 596,
  [630] = 550,
  [631] = 598,
  [632] = 569,
  [633] = 568,
  [634] = 596,
  [635] = 593,
  [636] = 591,
  [637] = 598,
  [638] = 599,
  [639] = 565,
  [640] = 600,
  [641] = 602,
  [642] = 570,
  [643] = 590,
  [644] = 580,
  [645] = 576,
  [646] = 575,
  [647] = 572,
  [648] = 573,
  [649] = 572,
  [650] = 570,
  [651] = 573,
  [652] = 565,
  [653] = 602,
  [654] = 575,
  [655] = 621,
  [656] = 576,
  [657] = 580,
  [658] = 590,
  [659] = 561,
  [660] = 600,
  [661] = 553,
  [662] = 569,
  [663] = 568,
  [664] = 591,
  [665] = 555,
  [666] = 666,
  [667] = 557,
  [668] = 557,
  [669] = 599,
  [670] = 565,
  [671] = 556,
  [672] = 568,
  [673] = 598,
  [674] = 569,
  [675] = 552,
  [676] = 596,
  [677] = 555,
  [678] = 666,
  [679] = 679,
  [680] = 593,
  [681] = 593,
  [682] = 591,
  [683] = 602,
  [684] = 600,
  [685] = 557,
  [686] = 599,
  [687] = 570,
  [688] = 590,
  [689] = 580,
  [690] = 576,
  [691] = 575,
  [692] = 573,
  [693] = 572,
  [694] = 573,
  [695] = 572,
  [696] = 570,
  [697] = 575,
  [698] = 576,
  [699] = 580,
  [700] = 590,
  [701] = 591,
  [702] = 565,
  [703] = 551,
  [704] = 593,
  [705] = 568,
  [706] = 568,
  [707] = 598,
  [708] = 708,
  [709] = 598,
  [710] = 550,
  [711] = 557,
  [712] = 596,
  [713] = 593,
  [714] = 591,
  [715] = 596,
  [716] = 590,
  [717] = 580,
  [718] = 576,
  [719] = 575,
  [720] = 573,
  [721] = 618,
  [722] = 572,
  [723] = 570,
  [724] = 598,
  [725] = 565,
  [726] = 599,
  [727] = 600,
  [728] = 569,
  [729] = 591,
  [730] = 599,
  [731] = 552,
  [732] = 600,
  [733] = 602,
  [734] = 555,
  [735] = 552,
  [736] = 555,
  [737] = 557,
  [738] = 738,
  [739] = 739,
  [740] = 556,
  [741] = 552,
  [742] = 561,
  [743] = 553,
  [744] = 561,
  [745] = 553,
  [746] = 550,
  [747] = 560,
  [748] = 602,
  [749] = 560,
  [750] = 561,
  [751] = 618,
  [752] = 553,
  [753] = 600,
  [754] = 569,
  [755] = 560,
  [756] = 553,
  [757] = 568,
  [758] = 599,
  [759] = 598,
  [760] = 708,
  [761] = 596,
  [762] = 550,
  [763] = 593,
  [764] = 618,
  [765] = 555,
  [766] = 602,
  [767] = 557,
  [768] = 600,
  [769] = 565,
  [770] = 560,
  [771] = 550,
  [772] = 569,
  [773] = 599,
  [774] = 598,
  [775] = 596,
  [776] = 590,
  [777] = 580,
  [778] = 593,
  [779] = 576,
  [780] = 591,
  [781] = 550,
  [782] = 590,
  [783] = 580,
  [784] = 576,
  [785] = 575,
  [786] = 573,
  [787] = 575,
  [788] = 573,
  [789] = 556,
  [790] = 790,
  [791] = 572,
  [792] = 570,
  [793] = 565,
  [794] = 618,
  [795] = 602,
  [796] = 569,
  [797] = 560,
  [798] = 568,
  [799] = 570,
  [800] = 800,
  [801] = 801,
  [802] = 561,
  [803] = 572,
  [804] = 553,
  [805] = 557,
  [806] = 556,
  [807] = 807,
  [808] = 807,
  [809] = 807,
  [810] = 810,
  [811] = 810,
  [812] = 810,
  [813] = 813,
  [814] = 813,
  [815] = 813,
  [816] = 816,
  [817] = 816,
  [818] = 816,
  [819] = 816,
  [820] = 816,
  [821] = 821,
  [822] = 821,
  [823] = 821,
  [824] = 824,
  [825] = 825,
  [826] = 824,
  [827] = 825,
  [828] = 824,
  [829] = 825,
  [830] = 830,
  [831] = 830,
  [832] = 830,
  [833] = 830,
  [834] = 830,
  [835] = 835,
  [836] = 835,
  [837] = 837,
  [838] = 837,
  [839] = 839,
  [840] = 835,
  [841] = 837,
  [842] = 837,
  [843] = 839,
  [844] = 837,
  [845] = 837,
  [846] = 839,
  [847] = 847,
  [848] = 848,
  [849] = 848,
  [850] = 850,
  [851] = 850,
  [852] = 852,
  [853] = 853,
  [854] = 850,
  [855] = 852,
  [856] = 847,
  [857] = 852,
  [858] = 850,
  [859] = 852,
  [860] = 850,
  [861] = 852,
  [862] = 850,
  [863] = 850,
  [864] = 864,
  [865] = 850,
  [866] = 866,
  [867] = 850,
  [868] = 850,
  [869] = 866,
  [870] = 870,
  [871] = 871,
  [872] = 866,
  [873] = 866,
  [874] = 866,
  [875] = 866,
  [876] = 876,
  [877] = 850,
  [878] = 850,
  [879] = 848,
  [880] = 850,
  [881] = 850,
  [882] = 850,
  [883] = 327,
  [884] = 876,
  [885] = 853,
  [886] = 301,
  [887] = 850,
  [888] = 847,
  [889] = 876,
  [890] = 890,
  [891] = 890,
  [892] = 301,
  [893] = 890,
  [894] = 327,
  [895] = 850,
  [896] = 876,
  [897] = 890,
  [898] = 890,
  [899] = 327,
  [900] = 890,
  [901] = 890,
  [902] = 890,
  [903] = 301,
  [904] = 327,
  [905] = 905,
  [906] = 890,
  [907] = 301,
  [908] = 292,
  [909] = 291,
  [910] = 299,
  [911] = 302,
  [912] = 912,
  [913] = 913,
  [914] = 914,
  [915] = 290,
  [916] = 916,
  [917] = 917,
  [918] = 918,
  [919] = 301,
  [920] = 299,
  [921] = 921,
  [922] = 922,
  [923] = 923,
  [924] = 301,
  [925] = 291,
  [926] = 301,
  [927] = 927,
  [928] = 913,
  [929] = 299,
  [930] = 301,
  [931] = 302,
  [932] = 327,
  [933] = 933,
  [934] = 327,
  [935] = 322,
  [936] = 296,
  [937] = 302,
  [938] = 905,
  [939] = 939,
  [940] = 940,
  [941] = 941,
  [942] = 302,
  [943] = 299,
  [944] = 301,
  [945] = 945,
  [946] = 946,
  [947] = 327,
  [948] = 948,
  [949] = 949,
  [950] = 302,
  [951] = 905,
  [952] = 310,
  [953] = 299,
  [954] = 327,
  [955] = 327,
  [956] = 340,
  [957] = 291,
  [958] = 292,
  [959] = 959,
  [960] = 292,
  [961] = 921,
  [962] = 962,
  [963] = 301,
  [964] = 923,
  [965] = 965,
  [966] = 918,
  [967] = 327,
  [968] = 968,
  [969] = 969,
  [970] = 970,
  [971] = 290,
  [972] = 972,
  [973] = 918,
  [974] = 974,
  [975] = 975,
  [976] = 976,
  [977] = 977,
  [978] = 978,
  [979] = 979,
  [980] = 980,
  [981] = 981,
  [982] = 982,
  [983] = 983,
  [984] = 984,
  [985] = 985,
  [986] = 923,
  [987] = 987,
  [988] = 988,
  [989] = 989,
  [990] = 990,
  [991] = 991,
  [992] = 992,
  [993] = 993,
  [994] = 340,
  [995] = 995,
  [996] = 996,
  [997] = 997,
  [998] = 998,
  [999] = 322,
  [1000] = 1000,
  [1001] = 1001,
  [1002] = 1002,
  [1003] = 296,
  [1004] = 310,
  [1005] = 1005,
  [1006] = 1006,
  [1007] = 1007,
  [1008] = 1008,
  [1009] = 1009,
  [1010] = 1010,
  [1011] = 1011,
  [1012] = 1012,
  [1013] = 1013,
  [1014] = 1014,
  [1015] = 1015,
  [1016] = 1016,
  [1017] = 1017,
  [1018] = 326,
  [1019] = 1019,
  [1020] = 1020,
  [1021] = 1021,
  [1022] = 1022,
  [1023] = 1023,
  [1024] = 1024,
  [1025] = 1025,
  [1026] = 1026,
  [1027] = 1027,
  [1028] = 1028,
  [1029] = 1029,
  [1030] = 1030,
  [1031] = 1031,
  [1032] = 290,
  [1033] = 941,
  [1034] = 912,
  [1035] = 1035,
  [1036] = 1036,
  [1037] = 1037,
  [1038] = 921,
  [1039] = 1039,
  [1040] = 1040,
  [1041] = 1041,
  [1042] = 1042,
  [1043] = 1043,
  [1044] = 1044,
  [1045] = 946,
  [1046] = 1046,
  [1047] = 1047,
  [1048] = 1048,
  [1049] = 1049,
  [1050] = 948,
  [1051] = 1051,
  [1052] = 1052,
  [1053] = 322,
  [1054] = 1054,
  [1055] = 1055,
  [1056] = 1056,
  [1057] = 296,
  [1058] = 325,
  [1059] = 939,
  [1060] = 1060,
  [1061] = 1061,
  [1062] = 1062,
  [1063] = 1063,
  [1064] = 1064,
  [1065] = 1065,
  [1066] = 1066,
  [1067] = 1067,
  [1068] = 302,
  [1069] = 1069,
  [1070] = 1070,
  [1071] = 1071,
  [1072] = 1072,
  [1073] = 1073,
  [1074] = 1074,
  [1075] = 1075,
  [1076] = 1076,
  [1077] = 327,
  [1078] = 301,
  [1079] = 1079,
  [1080] = 1080,
  [1081] = 1081,
  [1082] = 340,
  [1083] = 310,
  [1084] = 295,
  [1085] = 1085,
  [1086] = 1086,
  [1087] = 327,
  [1088] = 1088,
  [1089] = 333,
  [1090] = 1090,
  [1091] = 1091,
  [1092] = 1092,
  [1093] = 1093,
  [1094] = 1094,
  [1095] = 299,
  [1096] = 302,
  [1097] = 1097,
  [1098] = 301,
  [1099] = 340,
  [1100] = 310,
  [1101] = 299,
  [1102] = 1102,
  [1103] = 1103,
  [1104] = 302,
  [1105] = 1105,
  [1106] = 1106,
  [1107] = 1107,
  [1108] = 301,
  [1109] = 927,
  [1110] = 1110,
  [1111] = 1111,
  [1112] = 1112,
  [1113] = 1113,
  [1114] = 1114,
  [1115] = 940,
  [1116] = 299,
  [1117] = 327,
  [1118] = 1118,
  [1119] = 301,
  [1120] = 959,
  [1121] = 299,
  [1122] = 302,
  [1123] = 299,
  [1124] = 302,
  [1125] = 913,
  [1126] = 327,
  [1127] = 927,
  [1128] = 941,
  [1129] = 912,
  [1130] = 959,
  [1131] = 933,
  [1132] = 917,
  [1133] = 922,
  [1134] = 916,
  [1135] = 946,
  [1136] = 1136,
  [1137] = 1137,
  [1138] = 1138,
  [1139] = 1139,
  [1140] = 1140,
  [1141] = 948,
  [1142] = 1142,
  [1143] = 1143,
  [1144] = 1144,
  [1145] = 1145,
  [1146] = 914,
  [1147] = 1147,
  [1148] = 917,
  [1149] = 916,
  [1150] = 949,
  [1151] = 939,
  [1152] = 914,
  [1153] = 1153,
  [1154] = 1154,
  [1155] = 1155,
  [1156] = 1156,
  [1157] = 945,
  [1158] = 1158,
  [1159] = 933,
  [1160] = 1160,
  [1161] = 905,
  [1162] = 1162,
  [1163] = 1163,
  [1164] = 1164,
  [1165] = 1165,
  [1166] = 1166,
  [1167] = 1167,
  [1168] = 913,
  [1169] = 1169,
  [1170] = 1170,
  [1171] = 1171,
  [1172] = 1172,
  [1173] = 1173,
  [1174] = 1174,
  [1175] = 1175,
  [1176] = 1176,
  [1177] = 1177,
  [1178] = 1178,
  [1179] = 1179,
  [1180] = 1180,
  [1181] = 1181,
  [1182] = 940,
  [1183] = 302,
  [1184] = 1184,
  [1185] = 1185,
  [1186] = 922,
  [1187] = 1187,
  [1188] = 1188,
  [1189] = 299,
  [1190] = 949,
  [1191] = 292,
  [1192] = 1192,
  [1193] = 1193,
  [1194] = 291,
  [1195] = 945,
  [1196] = 1114,
  [1197] = 1075,
  [1198] = 1035,
  [1199] = 1036,
  [1200] = 1037,
  [1201] = 1039,
  [1202] = 933,
  [1203] = 945,
  [1204] = 1041,
  [1205] = 1042,
  [1206] = 1043,
  [1207] = 939,
  [1208] = 1044,
  [1209] = 949,
  [1210] = 1046,
  [1211] = 941,
  [1212] = 1047,
  [1213] = 1048,
  [1214] = 1214,
  [1215] = 290,
  [1216] = 327,
  [1217] = 1051,
  [1218] = 1106,
  [1219] = 1008,
  [1220] = 1105,
  [1221] = 1103,
  [1222] = 1031,
  [1223] = 918,
  [1224] = 1102,
  [1225] = 1027,
  [1226] = 1030,
  [1227] = 1022,
  [1228] = 1029,
  [1229] = 1026,
  [1230] = 1020,
  [1231] = 1019,
  [1232] = 1094,
  [1233] = 1024,
  [1234] = 1023,
  [1235] = 1021,
  [1236] = 1017,
  [1237] = 1093,
  [1238] = 1092,
  [1239] = 1016,
  [1240] = 912,
  [1241] = 1091,
  [1242] = 1015,
  [1243] = 1014,
  [1244] = 1013,
  [1245] = 1012,
  [1246] = 1011,
  [1247] = 1010,
  [1248] = 982,
  [1249] = 1006,
  [1250] = 1002,
  [1251] = 1090,
  [1252] = 1060,
  [1253] = 965,
  [1254] = 969,
  [1255] = 970,
  [1256] = 1001,
  [1257] = 962,
  [1258] = 989,
  [1259] = 974,
  [1260] = 998,
  [1261] = 1064,
  [1262] = 1065,
  [1263] = 981,
  [1264] = 997,
  [1265] = 1066,
  [1266] = 1067,
  [1267] = 990,
  [1268] = 1000,
  [1269] = 1069,
  [1270] = 1070,
  [1271] = 996,
  [1272] = 1071,
  [1273] = 1072,
  [1274] = 1073,
  [1275] = 995,
  [1276] = 993,
  [1277] = 991,
  [1278] = 1025,
  [1279] = 988,
  [1280] = 987,
  [1281] = 1079,
  [1282] = 985,
  [1283] = 1080,
  [1284] = 1081,
  [1285] = 984,
  [1286] = 983,
  [1287] = 1040,
  [1288] = 959,
  [1289] = 921,
  [1290] = 1049,
  [1291] = 1052,
  [1292] = 1054,
  [1293] = 1055,
  [1294] = 1056,
  [1295] = 1061,
  [1296] = 1062,
  [1297] = 1063,
  [1298] = 980,
  [1299] = 1074,
  [1300] = 1076,
  [1301] = 979,
  [1302] = 978,
  [1303] = 1085,
  [1304] = 1086,
  [1305] = 1088,
  [1306] = 977,
  [1307] = 976,
  [1308] = 301,
  [1309] = 975,
  [1310] = 923,
  [1311] = 1097,
  [1312] = 1107,
  [1313] = 299,
  [1314] = 962,
  [1315] = 989,
  [1316] = 1110,
  [1317] = 1111,
  [1318] = 1112,
  [1319] = 302,
  [1320] = 972,
  [1321] = 968,
  [1322] = 1113,
  [1323] = 1114,
  [1324] = 1081,
  [1325] = 1080,
  [1326] = 1079,
  [1327] = 1073,
  [1328] = 1005,
  [1329] = 1005,
  [1330] = 1007,
  [1331] = 1009,
  [1332] = 1072,
  [1333] = 992,
  [1334] = 1028,
  [1335] = 325,
  [1336] = 1071,
  [1337] = 326,
  [1338] = 1070,
  [1339] = 1090,
  [1340] = 295,
  [1341] = 1091,
  [1342] = 333,
  [1343] = 1069,
  [1344] = 1007,
  [1345] = 1009,
  [1346] = 992,
  [1347] = 1067,
  [1348] = 1066,
  [1349] = 927,
  [1350] = 1028,
  [1351] = 940,
  [1352] = 299,
  [1353] = 302,
  [1354] = 1065,
  [1355] = 1064,
  [1356] = 1092,
  [1357] = 1093,
  [1358] = 1094,
  [1359] = 322,
  [1360] = 296,
  [1361] = 1136,
  [1362] = 1137,
  [1363] = 1138,
  [1364] = 1139,
  [1365] = 1140,
  [1366] = 972,
  [1367] = 968,
  [1368] = 1060,
  [1369] = 1144,
  [1370] = 1147,
  [1371] = 1153,
  [1372] = 1154,
  [1373] = 1155,
  [1374] = 1156,
  [1375] = 1158,
  [1376] = 1160,
  [1377] = 1162,
  [1378] = 1163,
  [1379] = 1102,
  [1380] = 1103,
  [1381] = 1164,
  [1382] = 1105,
  [1383] = 1165,
  [1384] = 325,
  [1385] = 1106,
  [1386] = 1166,
  [1387] = 326,
  [1388] = 1167,
  [1389] = 301,
  [1390] = 1118,
  [1391] = 1169,
  [1392] = 1170,
  [1393] = 1171,
  [1394] = 1172,
  [1395] = 1173,
  [1396] = 1174,
  [1397] = 1142,
  [1398] = 1143,
  [1399] = 1145,
  [1400] = 340,
  [1401] = 1178,
  [1402] = 310,
  [1403] = 1181,
  [1404] = 295,
  [1405] = 1192,
  [1406] = 1193,
  [1407] = 1051,
  [1408] = 1048,
  [1409] = 1047,
  [1410] = 1175,
  [1411] = 299,
  [1412] = 1176,
  [1413] = 1177,
  [1414] = 333,
  [1415] = 1179,
  [1416] = 1180,
  [1417] = 302,
  [1418] = 1184,
  [1419] = 1185,
  [1420] = 1187,
  [1421] = 1188,
  [1422] = 1046,
  [1423] = 1044,
  [1424] = 1043,
  [1425] = 1042,
  [1426] = 1041,
  [1427] = 340,
  [1428] = 1039,
  [1429] = 1037,
  [1430] = 1036,
  [1431] = 310,
  [1432] = 299,
  [1433] = 310,
  [1434] = 1035,
  [1435] = 1193,
  [1436] = 1192,
  [1437] = 302,
  [1438] = 1031,
  [1439] = 1181,
  [1440] = 1178,
  [1441] = 1174,
  [1442] = 1173,
  [1443] = 1172,
  [1444] = 1171,
  [1445] = 1188,
  [1446] = 1170,
  [1447] = 1169,
  [1448] = 1187,
  [1449] = 1185,
  [1450] = 1184,
  [1451] = 1030,
  [1452] = 1180,
  [1453] = 1179,
  [1454] = 1167,
  [1455] = 1166,
  [1456] = 1165,
  [1457] = 1164,
  [1458] = 1163,
  [1459] = 1162,
  [1460] = 1160,
  [1461] = 1158,
  [1462] = 1156,
  [1463] = 1155,
  [1464] = 1154,
  [1465] = 1177,
  [1466] = 1176,
  [1467] = 1153,
  [1468] = 1175,
  [1469] = 1147,
  [1470] = 1144,
  [1471] = 922,
  [1472] = 1140,
  [1473] = 1029,
  [1474] = 1139,
  [1475] = 1026,
  [1476] = 1138,
  [1477] = 1137,
  [1478] = 1136,
  [1479] = 1024,
  [1480] = 1023,
  [1481] = 1021,
  [1482] = 1017,
  [1483] = 1016,
  [1484] = 1015,
  [1485] = 1014,
  [1486] = 1013,
  [1487] = 1012,
  [1488] = 1011,
  [1489] = 1010,
  [1490] = 1008,
  [1491] = 1006,
  [1492] = 1002,
  [1493] = 1145,
  [1494] = 1143,
  [1495] = 1142,
  [1496] = 1001,
  [1497] = 998,
  [1498] = 340,
  [1499] = 997,
  [1500] = 996,
  [1501] = 995,
  [1502] = 1113,
  [1503] = 1112,
  [1504] = 1111,
  [1505] = 1110,
  [1506] = 993,
  [1507] = 1107,
  [1508] = 1097,
  [1509] = 991,
  [1510] = 988,
  [1511] = 987,
  [1512] = 1088,
  [1513] = 1086,
  [1514] = 1085,
  [1515] = 1076,
  [1516] = 985,
  [1517] = 1075,
  [1518] = 1074,
  [1519] = 1063,
  [1520] = 1062,
  [1521] = 1061,
  [1522] = 1056,
  [1523] = 1055,
  [1524] = 1054,
  [1525] = 1052,
  [1526] = 1049,
  [1527] = 984,
  [1528] = 983,
  [1529] = 1118,
  [1530] = 980,
  [1531] = 1040,
  [1532] = 327,
  [1533] = 1025,
  [1534] = 1000,
  [1535] = 979,
  [1536] = 990,
  [1537] = 981,
  [1538] = 978,
  [1539] = 974,
  [1540] = 914,
  [1541] = 977,
  [1542] = 948,
  [1543] = 946,
  [1544] = 916,
  [1545] = 970,
  [1546] = 917,
  [1547] = 976,
  [1548] = 969,
  [1549] = 965,
  [1550] = 982,
  [1551] = 975,
  [1552] = 1027,
  [1553] = 1022,
  [1554] = 1020,
  [1555] = 1019,
  [1556] = 998,
  [1557] = 1028,
  [1558] = 980,
  [1559] = 979,
  [1560] = 978,
  [1561] = 977,
  [1562] = 976,
  [1563] = 975,
  [1564] = 1145,
  [1565] = 1143,
  [1566] = 1079,
  [1567] = 1080,
  [1568] = 1081,
  [1569] = 1031,
  [1570] = 1106,
  [1571] = 325,
  [1572] = 1214,
  [1573] = 1105,
  [1574] = 1103,
  [1575] = 1102,
  [1576] = 1027,
  [1577] = 1022,
  [1578] = 1020,
  [1579] = 1019,
  [1580] = 326,
  [1581] = 1093,
  [1582] = 1142,
  [1583] = 1092,
  [1584] = 1062,
  [1585] = 982,
  [1586] = 1090,
  [1587] = 1005,
  [1588] = 1094,
  [1589] = 1007,
  [1590] = 1009,
  [1591] = 992,
  [1592] = 310,
  [1593] = 1036,
  [1594] = 1037,
  [1595] = 1039,
  [1596] = 965,
  [1597] = 969,
  [1598] = 970,
  [1599] = 1188,
  [1600] = 1187,
  [1601] = 299,
  [1602] = 962,
  [1603] = 989,
  [1604] = 974,
  [1605] = 1002,
  [1606] = 1185,
  [1607] = 981,
  [1608] = 1006,
  [1609] = 1008,
  [1610] = 1118,
  [1611] = 1184,
  [1612] = 1030,
  [1613] = 990,
  [1614] = 1000,
  [1615] = 1010,
  [1616] = 1011,
  [1617] = 1180,
  [1618] = 1179,
  [1619] = 1025,
  [1620] = 1040,
  [1621] = 1049,
  [1622] = 1052,
  [1623] = 1177,
  [1624] = 1176,
  [1625] = 1041,
  [1626] = 1042,
  [1627] = 1043,
  [1628] = 983,
  [1629] = 984,
  [1630] = 985,
  [1631] = 1054,
  [1632] = 987,
  [1633] = 340,
  [1634] = 333,
  [1635] = 1175,
  [1636] = 988,
  [1637] = 1035,
  [1638] = 991,
  [1639] = 1044,
  [1640] = 993,
  [1641] = 995,
  [1642] = 1055,
  [1643] = 1046,
  [1644] = 996,
  [1645] = 1047,
  [1646] = 1048,
  [1647] = 1056,
  [1648] = 1061,
  [1649] = 997,
  [1650] = 1073,
  [1651] = 1072,
  [1652] = 1071,
  [1653] = 1070,
  [1654] = 1069,
  [1655] = 1091,
  [1656] = 1063,
  [1657] = 1074,
  [1658] = 1067,
  [1659] = 1012,
  [1660] = 1075,
  [1661] = 1076,
  [1662] = 1085,
  [1663] = 1013,
  [1664] = 1086,
  [1665] = 1014,
  [1666] = 1015,
  [1667] = 1088,
  [1668] = 1016,
  [1669] = 1097,
  [1670] = 1017,
  [1671] = 1065,
  [1672] = 1064,
  [1673] = 1021,
  [1674] = 1023,
  [1675] = 1024,
  [1676] = 1051,
  [1677] = 1166,
  [1678] = 1193,
  [1679] = 1192,
  [1680] = 1181,
  [1681] = 1178,
  [1682] = 1174,
  [1683] = 1173,
  [1684] = 1172,
  [1685] = 295,
  [1686] = 1171,
  [1687] = 1170,
  [1688] = 1169,
  [1689] = 1167,
  [1690] = 1114,
  [1691] = 302,
  [1692] = 1066,
  [1693] = 1136,
  [1694] = 1165,
  [1695] = 1113,
  [1696] = 1137,
  [1697] = 1138,
  [1698] = 1164,
  [1699] = 1163,
  [1700] = 1162,
  [1701] = 1029,
  [1702] = 1112,
  [1703] = 1160,
  [1704] = 1111,
  [1705] = 1110,
  [1706] = 1026,
  [1707] = 1139,
  [1708] = 1158,
  [1709] = 1001,
  [1710] = 1107,
  [1711] = 1140,
  [1712] = 972,
  [1713] = 968,
  [1714] = 1156,
  [1715] = 1155,
  [1716] = 1060,
  [1717] = 1144,
  [1718] = 1147,
  [1719] = 1154,
  [1720] = 1153,
  [1721] = 1721,
  [1722] = 1721,
  [1723] = 1721,
  [1724] = 1721,
  [1725] = 1721,
  [1726] = 923,
  [1727] = 1727,
  [1728] = 1728,
  [1729] = 1729,
  [1730] = 1730,
  [1731] = 1731,
  [1732] = 1732,
  [1733] = 1733,
  [1734] = 1734,
  [1735] = 1727,
  [1736] = 1736,
  [1737] = 1737,
  [1738] = 1738,
  [1739] = 1739,
  [1740] = 1740,
  [1741] = 1727,
  [1742] = 1727,
  [1743] = 1727,
  [1744] = 1734,
  [1745] = 918,
  [1746] = 1734,
  [1747] = 1734,
  [1748] = 1734,
  [1749] = 1749,
  [1750] = 1749,
  [1751] = 1749,
  [1752] = 1752,
  [1753] = 1753,
  [1754] = 1753,
  [1755] = 1755,
  [1756] = 1756,
  [1757] = 1757,
  [1758] = 1758,
  [1759] = 1759,
  [1760] = 1756,
  [1761] = 1753,
  [1762] = 1756,
  [1763] = 1755,
  [1764] = 1758,
  [1765] = 1755,
  [1766] = 1759,
  [1767] = 1757,
  [1768] = 1759,
  [1769] = 1755,
  [1770] = 1753,
  [1771] = 1756,
  [1772] = 1755,
  [1773] = 1753,
  [1774] = 1758,
  [1775] = 1758,
  [1776] = 1759,
  [1777] = 1758,
  [1778] = 1753,
  [1779] = 1757,
  [1780] = 1757,
  [1781] = 1756,
  [1782] = 1756,
  [1783] = 1757,
  [1784] = 1757,
  [1785] = 1756,
  [1786] = 1757,
  [1787] = 1759,
  [1788] = 1759,
  [1789] = 1758,
  [1790] = 1755,
  [1791] = 1758,
  [1792] = 1755,
  [1793] = 1753,
  [1794] = 1759,
  [1795] = 1795,
  [1796] = 1795,
  [1797] = 1797,
  [1798] = 1795,
  [1799] = 1795,
  [1800] = 1800,
  [1801] = 1795,
  [1802] = 1795,
  [1803] = 1795,
  [1804] = 1797,
  [1805] = 1805,
  [1806] = 1806,
  [1807] = 1806,
  [1808] = 1805,
  [1809] = 1806,
  [1810] = 1806,
  [1811] = 1806,
  [1812] = 1805,
  [1813] = 1805,
  [1814] = 1805,
  [1815] = 1815,
  [1816] = 1815,
  [1817] = 1815,
  [1818] = 1815,
  [1819] = 1815,
  [1820] = 1815,
  [1821] = 1815,
  [1822] = 1815,
  [1823] = 1815,
  [1824] = 1815,
  [1825] = 1815,
  [1826] = 1815,
  [1827] = 1827,
  [1828] = 1828,
  [1829] = 1829,
  [1830] = 1830,
  [1831] = 1830,
  [1832] = 1828,
  [1833] = 1833,
  [1834] = 1829,
  [1835] = 1827,
  [1836] = 1828,
  [1837] = 1830,
  [1838] = 1827,
  [1839] = 1829,
  [1840] = 1830,
  [1841] = 1830,
  [1842] = 1842,
  [1843] = 1843,
  [1844] = 1844,
  [1845] = 1845,
  [1846] = 1846,
  [1847] = 1847,
  [1848] = 1847,
  [1849] = 1849,
  [1850] = 1850,
  [1851] = 1849,
  [1852] = 1852,
  [1853] = 1843,
  [1854] = 1854,
  [1855] = 1855,
  [1856] = 1856,
  [1857] = 1857,
  [1858] = 1844,
  [1859] = 1854,
  [1860] = 1852,
  [1861] = 1861,
  [1862] = 1862,
  [1863] = 1863,
  [1864] = 1849,
  [1865] = 1865,
  [1866] = 1866,
  [1867] = 1867,
  [1868] = 1868,
  [1869] = 1869,
  [1870] = 1855,
  [1871] = 1871,
  [1872] = 1872,
  [1873] = 1857,
  [1874] = 1874,
  [1875] = 1863,
  [1876] = 1876,
  [1877] = 1854,
  [1878] = 1852,
  [1879] = 1865,
  [1880] = 1847,
  [1881] = 1844,
  [1882] = 1882,
  [1883] = 1863,
  [1884] = 1876,
  [1885] = 1885,
  [1886] = 1886,
  [1887] = 1887,
  [1888] = 1888,
  [1889] = 1866,
  [1890] = 1886,
  [1891] = 1844,
  [1892] = 1885,
  [1893] = 1847,
  [1894] = 1849,
  [1895] = 1876,
  [1896] = 1863,
  [1897] = 1876,
  [1898] = 1876,
  [1899] = 1866,
  [1900] = 1852,
  [1901] = 1854,
  [1902] = 1847,
  [1903] = 1867,
  [1904] = 1885,
  [1905] = 1886,
  [1906] = 1849,
  [1907] = 1857,
  [1908] = 1908,
  [1909] = 1909,
  [1910] = 1855,
  [1911] = 1868,
  [1912] = 1863,
  [1913] = 1913,
  [1914] = 1908,
  [1915] = 1844,
  [1916] = 1909,
  [1917] = 1868,
  [1918] = 1885,
  [1919] = 1888,
  [1920] = 1871,
  [1921] = 1865,
  [1922] = 1850,
  [1923] = 1865,
  [1924] = 1857,
  [1925] = 1855,
  [1926] = 1868,
  [1927] = 1913,
  [1928] = 1913,
  [1929] = 1866,
  [1930] = 1886,
  [1931] = 1867,
  [1932] = 1909,
  [1933] = 1913,
  [1934] = 1934,
  [1935] = 1908,
  [1936] = 1909,
  [1937] = 1867,
  [1938] = 1868,
  [1939] = 1888,
  [1940] = 1871,
  [1941] = 1855,
  [1942] = 1942,
  [1943] = 1857,
  [1944] = 1913,
  [1945] = 1886,
  [1946] = 1946,
  [1947] = 1854,
  [1948] = 1908,
  [1949] = 1909,
  [1950] = 1888,
  [1951] = 1871,
  [1952] = 1952,
  [1953] = 1908,
  [1954] = 1909,
  [1955] = 1888,
  [1956] = 1871,
  [1957] = 1852,
  [1958] = 1958,
  [1959] = 1908,
  [1960] = 1867,
  [1961] = 1888,
  [1962] = 1885,
  [1963] = 1866,
  [1964] = 1865,
  [1965] = 1965,
  [1966] = 1965,
  [1967] = 1967,
  [1968] = 1968,
  [1969] = 1968,
  [1970] = 1970,
  [1971] = 1970,
  [1972] = 1972,
  [1973] = 1973,
  [1974] = 1974,
  [1975] = 1970,
  [1976] = 1973,
  [1977] = 1974,
  [1978] = 1973,
  [1979] = 1973,
  [1980] = 1972,
  [1981] = 1974,
  [1982] = 1967,
  [1983] = 1972,
  [1984] = 1972,
  [1985] = 1974,
  [1986] = 1973,
  [1987] = 1970,
  [1988] = 1974,
  [1989] = 1972,
  [1990] = 1970,
  [1991] = 1970,
  [1992] = 1992,
  [1993] = 1993,
  [1994] = 1970,
  [1995] = 1995,
  [1996] = 1995,
  [1997] = 1970,
  [1998] = 1998,
  [1999] = 1995,
  [2000] = 2000,
  [2001] = 2001,
  [2002] = 1970,
  [2003] = 2003,
  [2004] = 2004,
  [2005] = 2005,
  [2006] = 2006,
  [2007] = 2007,
  [2008] = 1970,
  [2009] = 2009,
  [2010] = 2005,
  [2011] = 2011,
  [2012] = 1970,
  [2013] = 1970,
  [2014] = 2000,
  [2015] = 2015,
  [2016] = 2005,
  [2017] = 2011,
  [2018] = 2011,
  [2019] = 2019,
  [2020] = 2011,
  [2021] = 2005,
  [2022] = 2022,
  [2023] = 2015,
  [2024] = 1970,
  [2025] = 2015,
  [2026] = 1965,
  [2027] = 2027,
  [2028] = 1970,
  [2029] = 2000,
  [2030] = 2001,
  [2031] = 2011,
  [2032] = 2005,
  [2033] = 1970,
  [2034] = 1970,
  [2035] = 2035,
  [2036] = 2005,
  [2037] = 2011,
  [2038] = 1992,
  [2039] = 923,
  [2040] = 2040,
  [2041] = 1970,
  [2042] = 2042,
  [2043] = 2001,
  [2044] = 1970,
  [2045] = 918,
  [2046] = 1967,
  [2047] = 1970,
  [2048] = 2048,
  [2049] = 1970,
  [2050] = 2001,
  [2051] = 2001,
  [2052] = 2052,
  [2053] = 2053,
  [2054] = 2054,
  [2055] = 2055,
  [2056] = 2056,
  [2057] = 2053,
  [2058] = 2040,
  [2059] = 1970,
  [2060] = 2001,
  [2061] = 2061,
  [2062] = 2042,
  [2063] = 2053,
  [2064] = 2055,
  [2065] = 2053,
  [2066] = 2066,
  [2067] = 2001,
  [2068] = 2068,
  [2069] = 2069,
  [2070] = 2040,
  [2071] = 2053,
  [2072] = 2072,
  [2073] = 2073,
  [2074] = 2053,
  [2075] = 2075,
  [2076] = 2053,
  [2077] = 2042,
  [2078] = 2078,
  [2079] = 2001,
  [2080] = 2001,
  [2081] = 2053,
  [2082] = 2053,
  [2083] = 2061,
  [2084] = 2084,
  [2085] = 2085,
  [2086] = 2001,
  [2087] = 2069,
  [2088] = 2072,
  [2089] = 2089,
  [2090] = 2090,
  [2091] = 2085,
  [2092] = 2040,
  [2093] = 2040,
  [2094] = 2094,
  [2095] = 2085,
  [2096] = 2040,
  [2097] = 2069,
  [2098] = 2001,
  [2099] = 2089,
  [2100] = 1092,
  [2101] = 2101,
  [2102] = 2102,
  [2103] = 2094,
  [2104] = 2085,
  [2105] = 2102,
  [2106] = 2072,
  [2107] = 2085,
  [2108] = 1106,
  [2109] = 2109,
  [2110] = 2001,
  [2111] = 2101,
  [2112] = 2084,
  [2113] = 2113,
  [2114] = 2114,
  [2115] = 2094,
  [2116] = 2116,
  [2117] = 2117,
  [2118] = 2094,
  [2119] = 2040,
  [2120] = 2116,
  [2121] = 2117,
  [2122] = 923,
  [2123] = 2123,
  [2124] = 2124,
  [2125] = 2116,
  [2126] = 2094,
  [2127] = 2117,
  [2128] = 2040,
  [2129] = 2102,
  [2130] = 918,
  [2131] = 2131,
  [2132] = 2078,
  [2133] = 2004,
  [2134] = 2131,
  [2135] = 2003,
  [2136] = 2069,
  [2137] = 2102,
  [2138] = 2006,
  [2139] = 2069,
  [2140] = 2078,
  [2141] = 2141,
  [2142] = 2094,
  [2143] = 2116,
  [2144] = 2022,
  [2145] = 989,
  [2146] = 2069,
  [2147] = 962,
  [2148] = 2001,
  [2149] = 972,
  [2150] = 968,
  [2151] = 2048,
  [2152] = 2152,
  [2153] = 2102,
  [2154] = 2066,
  [2155] = 2035,
  [2156] = 2116,
  [2157] = 2117,
  [2158] = 2048,
  [2159] = 2040,
  [2160] = 2102,
  [2161] = 2161,
  [2162] = 2007,
  [2163] = 2078,
  [2164] = 2084,
  [2165] = 2072,
  [2166] = 2166,
  [2167] = 2001,
  [2168] = 2019,
  [2169] = 2117,
  [2170] = 2084,
  [2171] = 2056,
  [2172] = 2172,
  [2173] = 2094,
  [2174] = 2102,
  [2175] = 2048,
  [2176] = 2172,
  [2177] = 2048,
  [2178] = 2172,
  [2179] = 2179,
  [2180] = 2172,
  [2181] = 2181,
  [2182] = 2102,
  [2183] = 2069,
  [2184] = 2184,
  [2185] = 2109,
  [2186] = 2172,
  [2187] = 2040,
  [2188] = 2172,
  [2189] = 2069,
  [2190] = 2069,
  [2191] = 2094,
  [2192] = 2192,
  [2193] = 2192,
  [2194] = 2069,
  [2195] = 2078,
  [2196] = 2048,
  [2197] = 2197,
  [2198] = 2198,
  [2199] = 2199,
  [2200] = 2084,
  [2201] = 2094,
  [2202] = 2102,
  [2203] = 2102,
  [2204] = 2102,
  [2205] = 2094,
  [2206] = 2094,
  [2207] = 2094,
  [2208] = 2192,
  [2209] = 2055,
  [2210] = 2102,
  [2211] = 2211,
  [2212] = 2192,
  [2213] = 2192,
  [2214] = 2061,
  [2215] = 2192,
  [2216] = 2192,
  [2217] = 2192,
  [2218] = 2192,
  [2219] = 2102,
  [2220] = 2094,
  [2221] = 2048,
  [2222] = 2102,
  [2223] = 2124,
  [2224] = 2094,
  [2225] = 2094,
  [2226] = 2102,
  [2227] = 2123,
  [2228] = 2101,
  [2229] = 2048,
  [2230] = 2066,
  [2231] = 2094,
  [2232] = 2102,
  [2233] = 2233,
  [2234] = 2234,
  [2235] = 2235,
  [2236] = 2234,
  [2237] = 2237,
  [2238] = 2184,
  [2239] = 2048,
  [2240] = 2233,
  [2241] = 2235,
  [2242] = 2234,
  [2243] = 2243,
  [2244] = 2237,
  [2245] = 2235,
  [2246] = 2234,
  [2247] = 2235,
  [2248] = 2048,
  [2249] = 2237,
  [2250] = 2235,
  [2251] = 2233,
  [2252] = 2233,
  [2253] = 2237,
  [2254] = 2237,
  [2255] = 2237,
  [2256] = 2243,
  [2257] = 2234,
  [2258] = 2233,
  [2259] = 2102,
  [2260] = 2243,
  [2261] = 2234,
  [2262] = 2233,
  [2263] = 2243,
  [2264] = 2243,
  [2265] = 2235,
  [2266] = 2234,
  [2267] = 2233,
  [2268] = 2237,
  [2269] = 2243,
  [2270] = 2109,
  [2271] = 2235,
  [2272] = 2243,
  [2273] = 2234,
  [2274] = 2233,
  [2275] = 2237,
  [2276] = 2235,
  [2277] = 2094,
  [2278] = 2237,
  [2279] = 2235,
  [2280] = 2233,
  [2281] = 2243,
  [2282] = 2234,
  [2283] = 2243,
  [2284] = 2284,
  [2285] = 2284,
  [2286] = 2284,
  [2287] = 2284,
  [2288] = 2284,
  [2289] = 2284,
  [2290] = 2284,
  [2291] = 2284,
  [2292] = 2284,
  [2293] = 2293,
  [2294] = 2293,
  [2295] = 2293,
  [2296] = 2293,
  [2297] = 2293,
  [2298] = 2293,
  [2299] = 2293,
  [2300] = 2293,
  [2301] = 2293,
  [2302] = 2302,
  [2303] = 2303,
  [2304] = 2303,
  [2305] = 2303,
  [2306] = 2303,
  [2307] = 2303,
  [2308] = 2308,
  [2309] = 2309,
  [2310] = 2310,
  [2311] = 2308,
  [2312] = 2310,
  [2313] = 2309,
  [2314] = 2309,
  [2315] = 2309,
  [2316] = 2308,
  [2317] = 2310,
  [2318] = 2310,
  [2319] = 2308,
  [2320] = 2310,
  [2321] = 2308,
  [2322] = 2308,
  [2323] = 2308,
  [2324] = 2310,
  [2325] = 2310,
  [2326] = 2309,
  [2327] = 2309,
  [2328] = 2308,
  [2329] = 2310,
  [2330] = 2308,
  [2331] = 2308,
  [2332] = 2310,
  [2333] = 2310,
  [2334] = 2309,
  [2335] = 2308,
  [2336] = 2310,
  [2337] = 2308,
  [2338] = 2310,
  [2339] = 2308,
  [2340] = 2310,
  [2341] = 2308,
  [2342] = 2342,
  [2343] = 2310,
  [2344] = 2310,
  [2345] = 2308,
  [2346] = 2308,
  [2347] = 2310,
  [2348] = 295,
  [2349] = 333,
  [2350] = 2350,
  [2351] = 2351,
  [2352] = 2352,
  [2353] = 2353,
  [2354] = 2354,
  [2355] = 2355,
  [2356] = 2356,
  [2357] = 2357,
  [2358] = 2358,
  [2359] = 2359,
  [2360] = 2360,
  [2361] = 291,
  [2362] = 2113,
  [2363] = 2161,
  [2364] = 295,
  [2365] = 290,
  [2366] = 2366,
  [2367] = 333,
  [2368] = 2368,
  [2369] = 292,
  [2370] = 2370,
  [2371] = 2371,
  [2372] = 2372,
  [2373] = 2141,
  [2374] = 294,
  [2375] = 2375,
  [2376] = 2376,
  [2377] = 2377,
  [2378] = 2378,
  [2379] = 2379,
  [2380] = 2380,
  [2381] = 2381,
  [2382] = 2382,
  [2383] = 2383,
  [2384] = 2384,
  [2385] = 2385,
  [2386] = 2386,
  [2387] = 2387,
  [2388] = 2388,
  [2389] = 2389,
  [2390] = 2390,
  [2391] = 2391,
  [2392] = 2392,
  [2393] = 2393,
  [2394] = 2394,
  [2395] = 2395,
  [2396] = 2396,
  [2397] = 2397,
  [2398] = 2398,
  [2399] = 2399,
  [2400] = 2400,
  [2401] = 2401,
  [2402] = 2402,
  [2403] = 2403,
  [2404] = 2404,
  [2405] = 2405,
  [2406] = 2406,
  [2407] = 2407,
  [2408] = 2399,
  [2409] = 2409,
  [2410] = 2410,
  [2411] = 2411,
  [2412] = 2399,
  [2413] = 2413,
  [2414] = 2414,
  [2415] = 2415,
  [2416] = 2416,
  [2417] = 2399,
  [2418] = 2399,
  [2419] = 2419,
  [2420] = 2420,
  [2421] = 2421,
  [2422] = 2422,
  [2423] = 2423,
  [2424] = 2424,
  [2425] = 2425,
  [2426] = 2426,
  [2427] = 2427,
  [2428] = 2428,
  [2429] = 2429,
  [2430] = 2430,
  [2431] = 2431,
  [2432] = 2432,
  [2433] = 2433,
  [2434] = 2434,
  [2435] = 2435,
  [2436] = 2436,
  [2437] = 327,
  [2438] = 2438,
  [2439] = 2439,
  [2440] = 2440,
  [2441] = 2441,
  [2442] = 2442,
  [2443] = 2443,
  [2444] = 2444,
  [2445] = 2445,
  [2446] = 2446,
  [2447] = 2381,
  [2448] = 2448,
  [2449] = 2449,
  [2450] = 2450,
  [2451] = 2451,
  [2452] = 2452,
  [2453] = 1005,
  [2454] = 2454,
  [2455] = 2455,
  [2456] = 2456,
  [2457] = 2457,
  [2458] = 2458,
  [2459] = 2459,
  [2460] = 2460,
  [2461] = 2461,
  [2462] = 2462,
  [2463] = 2463,
  [2464] = 2464,
  [2465] = 2465,
  [2466] = 2466,
  [2467] = 1007,
  [2468] = 2468,
  [2469] = 2469,
  [2470] = 2470,
  [2471] = 2471,
  [2472] = 2472,
  [2473] = 2473,
  [2474] = 2474,
  [2475] = 2475,
  [2476] = 2476,
  [2477] = 2381,
  [2478] = 2478,
  [2479] = 2479,
  [2480] = 2480,
  [2481] = 2481,
  [2482] = 1009,
  [2483] = 2483,
  [2484] = 2484,
  [2485] = 2399,
  [2486] = 992,
  [2487] = 1028,
  [2488] = 2488,
  [2489] = 2489,
  [2490] = 2490,
  [2491] = 2491,
  [2492] = 2381,
  [2493] = 2493,
  [2494] = 2494,
  [2495] = 296,
  [2496] = 2496,
  [2497] = 322,
  [2498] = 2498,
  [2499] = 2499,
  [2500] = 301,
  [2501] = 2501,
  [2502] = 2502,
  [2503] = 2503,
  [2504] = 2504,
  [2505] = 2505,
  [2506] = 2506,
  [2507] = 2507,
  [2508] = 2508,
  [2509] = 2509,
  [2510] = 2399,
  [2511] = 2511,
  [2512] = 2512,
  [2513] = 2513,
  [2514] = 2514,
  [2515] = 2515,
  [2516] = 2516,
  [2517] = 2517,
  [2518] = 290,
  [2519] = 291,
  [2520] = 292,
  [2521] = 2521,
  [2522] = 2522,
  [2523] = 2523,
  [2524] = 2524,
  [2525] = 2525,
  [2526] = 2526,
  [2527] = 2527,
  [2528] = 2528,
  [2529] = 2381,
  [2530] = 2530,
  [2531] = 2531,
  [2532] = 2532,
  [2533] = 2399,
  [2534] = 2534,
  [2535] = 2399,
  [2536] = 2536,
  [2537] = 2537,
  [2538] = 2538,
  [2539] = 2539,
  [2540] = 326,
  [2541] = 2541,
  [2542] = 2542,
  [2543] = 2355,
  [2544] = 2544,
  [2545] = 2545,
  [2546] = 2496,
  [2547] = 2454,
  [2548] = 325,
  [2549] = 2549,
  [2550] = 2536,
  [2551] = 2502,
  [2552] = 2552,
  [2553] = 2553,
  [2554] = 2385,
  [2555] = 325,
  [2556] = 2440,
  [2557] = 2438,
  [2558] = 2376,
  [2559] = 2559,
  [2560] = 2560,
  [2561] = 2457,
  [2562] = 326,
  [2563] = 299,
  [2564] = 2564,
  [2565] = 2464,
  [2566] = 2566,
  [2567] = 2382,
  [2568] = 2568,
  [2569] = 2569,
  [2570] = 2570,
  [2571] = 327,
  [2572] = 2572,
  [2573] = 2464,
  [2574] = 301,
  [2575] = 2416,
  [2576] = 2456,
  [2577] = 2545,
  [2578] = 2578,
  [2579] = 2461,
  [2580] = 2580,
  [2581] = 2513,
  [2582] = 2457,
  [2583] = 2560,
  [2584] = 2584,
  [2585] = 2559,
  [2586] = 2586,
  [2587] = 2376,
  [2588] = 2393,
  [2589] = 2589,
  [2590] = 2389,
  [2591] = 2591,
  [2592] = 2592,
  [2593] = 2386,
  [2594] = 2354,
  [2595] = 2488,
  [2596] = 2517,
  [2597] = 2534,
  [2598] = 2441,
  [2599] = 2390,
  [2600] = 2388,
  [2601] = 2387,
  [2602] = 2385,
  [2603] = 2603,
  [2604] = 2604,
  [2605] = 2605,
  [2606] = 2606,
  [2607] = 2382,
  [2608] = 2496,
  [2609] = 2502,
  [2610] = 2456,
  [2611] = 2387,
  [2612] = 2461,
  [2613] = 2613,
  [2614] = 2614,
  [2615] = 302,
  [2616] = 2616,
  [2617] = 2617,
  [2618] = 2618,
  [2619] = 2619,
  [2620] = 2388,
  [2621] = 2390,
  [2622] = 2536,
  [2623] = 2549,
  [2624] = 2624,
  [2625] = 2625,
  [2626] = 2626,
  [2627] = 2627,
  [2628] = 2628,
  [2629] = 2629,
  [2630] = 2630,
  [2631] = 302,
  [2632] = 2632,
  [2633] = 2633,
  [2634] = 2634,
  [2635] = 2635,
  [2636] = 2636,
  [2637] = 2454,
  [2638] = 2638,
  [2639] = 2639,
  [2640] = 2356,
  [2641] = 299,
  [2642] = 2357,
  [2643] = 2352,
  [2644] = 2441,
  [2645] = 310,
  [2646] = 2646,
  [2647] = 2534,
  [2648] = 2471,
  [2649] = 2472,
  [2650] = 2473,
  [2651] = 2517,
  [2652] = 2480,
  [2653] = 2411,
  [2654] = 2440,
  [2655] = 2438,
  [2656] = 2513,
  [2657] = 2657,
  [2658] = 2658,
  [2659] = 2659,
  [2660] = 2660,
  [2661] = 2545,
  [2662] = 2662,
  [2663] = 2559,
  [2664] = 2560,
  [2665] = 2665,
  [2666] = 2666,
  [2667] = 2667,
  [2668] = 2545,
  [2669] = 2669,
  [2670] = 2670,
  [2671] = 2416,
  [2672] = 340,
  [2673] = 2673,
  [2674] = 2674,
  [2675] = 2675,
  [2676] = 2559,
  [2677] = 2560,
  [2678] = 310,
  [2679] = 2545,
  [2680] = 2680,
  [2681] = 2549,
  [2682] = 2682,
  [2683] = 2683,
  [2684] = 2684,
  [2685] = 2685,
  [2686] = 2686,
  [2687] = 2687,
  [2688] = 2688,
  [2689] = 2689,
  [2690] = 2690,
  [2691] = 2559,
  [2692] = 2560,
  [2693] = 340,
  [2694] = 2694,
  [2695] = 2545,
  [2696] = 2393,
  [2697] = 2541,
  [2698] = 2471,
  [2699] = 2699,
  [2700] = 2389,
  [2701] = 2472,
  [2702] = 2386,
  [2703] = 2473,
  [2704] = 2539,
  [2705] = 2705,
  [2706] = 2706,
  [2707] = 2707,
  [2708] = 2708,
  [2709] = 2536,
  [2710] = 2710,
  [2711] = 2480,
  [2712] = 2411,
  [2713] = 2549,
  [2714] = 322,
  [2715] = 296,
  [2716] = 2716,
  [2717] = 2717,
  [2718] = 2718,
  [2719] = 2719,
  [2720] = 2542,
  [2721] = 2488,
  [2722] = 2549,
  [2723] = 2723,
  [2724] = 2536,
  [2725] = 2725,
  [2726] = 2726,
  [2727] = 2727,
  [2728] = 2728,
  [2729] = 2491,
  [2730] = 2544,
  [2731] = 2438,
  [2732] = 2732,
  [2733] = 2440,
  [2734] = 2734,
  [2735] = 2735,
  [2736] = 2113,
  [2737] = 2493,
  [2738] = 2416,
  [2739] = 2372,
  [2740] = 2393,
  [2741] = 2464,
  [2742] = 2491,
  [2743] = 2457,
  [2744] = 2744,
  [2745] = 2389,
  [2746] = 2376,
  [2747] = 2386,
  [2748] = 2493,
  [2749] = 2454,
  [2750] = 2488,
  [2751] = 2517,
  [2752] = 2534,
  [2753] = 2727,
  [2754] = 2441,
  [2755] = 2755,
  [2756] = 2390,
  [2757] = 2388,
  [2758] = 2387,
  [2759] = 2385,
  [2760] = 2760,
  [2761] = 2382,
  [2762] = 2755,
  [2763] = 2496,
  [2764] = 2502,
  [2765] = 2368,
  [2766] = 2456,
  [2767] = 2767,
  [2768] = 2461,
  [2769] = 2727,
  [2770] = 2371,
  [2771] = 2370,
  [2772] = 2755,
  [2773] = 2773,
  [2774] = 2774,
  [2775] = 2775,
  [2776] = 2760,
  [2777] = 2777,
  [2778] = 2778,
  [2779] = 2755,
  [2780] = 2471,
  [2781] = 2472,
  [2782] = 2473,
  [2783] = 2480,
  [2784] = 2411,
  [2785] = 2727,
  [2786] = 2786,
  [2787] = 2787,
  [2788] = 2744,
  [2789] = 2744,
  [2790] = 2725,
  [2791] = 2791,
  [2792] = 2509,
  [2793] = 2760,
  [2794] = 2794,
  [2795] = 2755,
  [2796] = 2744,
  [2797] = 2727,
  [2798] = 2767,
  [2799] = 2360,
  [2800] = 2800,
  [2801] = 2359,
  [2802] = 2358,
  [2803] = 2161,
  [2804] = 2491,
  [2805] = 2493,
  [2806] = 2366,
  [2807] = 2544,
  [2808] = 2808,
  [2809] = 2809,
  [2810] = 2513,
  [2811] = 2760,
  [2812] = 2514,
  [2813] = 2813,
  [2814] = 2541,
  [2815] = 2774,
  [2816] = 2787,
  [2817] = 2539,
  [2818] = 2808,
  [2819] = 2819,
  [2820] = 2141,
  [2821] = 2755,
  [2822] = 2542,
  [2823] = 2760,
  [2824] = 2824,
  [2825] = 2744,
  [2826] = 2755,
  [2827] = 2827,
  [2828] = 2828,
  [2829] = 2829,
  [2830] = 1009,
  [2831] = 2475,
  [2832] = 2393,
  [2833] = 2474,
  [2834] = 992,
  [2835] = 1028,
  [2836] = 2521,
  [2837] = 2506,
  [2838] = 2489,
  [2839] = 2522,
  [2840] = 2523,
  [2841] = 2534,
  [2842] = 2481,
  [2843] = 2458,
  [2844] = 2515,
  [2845] = 2455,
  [2846] = 2448,
  [2847] = 2392,
  [2848] = 2445,
  [2849] = 2400,
  [2850] = 2403,
  [2851] = 2404,
  [2852] = 2406,
  [2853] = 2504,
  [2854] = 2391,
  [2855] = 2413,
  [2856] = 2419,
  [2857] = 2420,
  [2858] = 2421,
  [2859] = 2422,
  [2860] = 2423,
  [2861] = 2377,
  [2862] = 2424,
  [2863] = 2425,
  [2864] = 2426,
  [2865] = 2427,
  [2866] = 2512,
  [2867] = 2428,
  [2868] = 2446,
  [2869] = 2517,
  [2870] = 2378,
  [2871] = 2871,
  [2872] = 2416,
  [2873] = 2379,
  [2874] = 2390,
  [2875] = 2380,
  [2876] = 2383,
  [2877] = 2877,
  [2878] = 2877,
  [2879] = 2441,
  [2880] = 2514,
  [2881] = 2524,
  [2882] = 2525,
  [2883] = 2883,
  [2884] = 2526,
  [2885] = 2527,
  [2886] = 2871,
  [2887] = 2528,
  [2888] = 2674,
  [2889] = 2438,
  [2890] = 2890,
  [2891] = 2384,
  [2892] = 2892,
  [2893] = 2877,
  [2894] = 2388,
  [2895] = 2511,
  [2896] = 2387,
  [2897] = 2385,
  [2898] = 1007,
  [2899] = 2429,
  [2900] = 2430,
  [2901] = 2431,
  [2902] = 2432,
  [2903] = 2433,
  [2904] = 2434,
  [2905] = 2435,
  [2906] = 2436,
  [2907] = 2542,
  [2908] = 2462,
  [2909] = 2439,
  [2910] = 2375,
  [2911] = 2442,
  [2912] = 2443,
  [2913] = 2877,
  [2914] = 2444,
  [2915] = 2449,
  [2916] = 2450,
  [2917] = 2451,
  [2918] = 2454,
  [2919] = 2376,
  [2920] = 2464,
  [2921] = 2457,
  [2922] = 2922,
  [2923] = 2923,
  [2924] = 2924,
  [2925] = 2925,
  [2926] = 2926,
  [2927] = 2927,
  [2928] = 2394,
  [2929] = 2674,
  [2930] = 2513,
  [2931] = 2395,
  [2932] = 2491,
  [2933] = 2411,
  [2934] = 2397,
  [2935] = 2935,
  [2936] = 2382,
  [2937] = 2480,
  [2938] = 2508,
  [2939] = 2507,
  [2940] = 2493,
  [2941] = 2473,
  [2942] = 2396,
  [2943] = 2505,
  [2944] = 2398,
  [2945] = 2503,
  [2946] = 2472,
  [2947] = 2471,
  [2948] = 2401,
  [2949] = 2402,
  [2950] = 2501,
  [2951] = 2499,
  [2952] = 2498,
  [2953] = 2405,
  [2954] = 2777,
  [2955] = 2461,
  [2956] = 2956,
  [2957] = 2407,
  [2958] = 2958,
  [2959] = 2490,
  [2960] = 2456,
  [2961] = 2502,
  [2962] = 2491,
  [2963] = 2409,
  [2964] = 2964,
  [2965] = 2496,
  [2966] = 2410,
  [2967] = 2382,
  [2968] = 2968,
  [2969] = 2935,
  [2970] = 2385,
  [2971] = 2414,
  [2972] = 2387,
  [2973] = 2530,
  [2974] = 2531,
  [2975] = 2388,
  [2976] = 2532,
  [2977] = 2390,
  [2978] = 2493,
  [2979] = 2493,
  [2980] = 2415,
  [2981] = 2472,
  [2982] = 2440,
  [2983] = 2441,
  [2984] = 2534,
  [2985] = 2411,
  [2986] = 2389,
  [2987] = 2517,
  [2988] = 2956,
  [2989] = 2491,
  [2990] = 2469,
  [2991] = 2488,
  [2992] = 2386,
  [2993] = 294,
  [2994] = 2389,
  [2995] = 2995,
  [2996] = 2386,
  [2997] = 2496,
  [2998] = 2935,
  [2999] = 2999,
  [3000] = 2935,
  [3001] = 3001,
  [3002] = 1005,
  [3003] = 2502,
  [3004] = 3004,
  [3005] = 2393,
  [3006] = 2456,
  [3007] = 294,
  [3008] = 3008,
  [3009] = 3009,
  [3010] = 3010,
  [3011] = 2480,
  [3012] = 2416,
  [3013] = 2438,
  [3014] = 2461,
  [3015] = 2440,
  [3016] = 2673,
  [3017] = 2516,
  [3018] = 2452,
  [3019] = 2956,
  [3020] = 2775,
  [3021] = 2619,
  [3022] = 2673,
  [3023] = 2459,
  [3024] = 2935,
  [3025] = 2494,
  [3026] = 2460,
  [3027] = 3027,
  [3028] = 2877,
  [3029] = 2463,
  [3030] = 2956,
  [3031] = 2516,
  [3032] = 2935,
  [3033] = 2877,
  [3034] = 2465,
  [3035] = 2466,
  [3036] = 2468,
  [3037] = 2470,
  [3038] = 2471,
  [3039] = 2514,
  [3040] = 2958,
  [3041] = 2956,
  [3042] = 2777,
  [3043] = 3043,
  [3044] = 2541,
  [3045] = 2619,
  [3046] = 2476,
  [3047] = 2513,
  [3048] = 2484,
  [3049] = 2619,
  [3050] = 2494,
  [3051] = 2673,
  [3052] = 2483,
  [3053] = 2473,
  [3054] = 2877,
  [3055] = 2488,
  [3056] = 2956,
  [3057] = 2479,
  [3058] = 2478,
  [3059] = 2775,
  [3060] = 2464,
  [3061] = 2539,
  [3062] = 2457,
  [3063] = 2376,
  [3064] = 2454,
  [3065] = 2674,
  [3066] = 2568,
  [3067] = 2416,
  [3068] = 3068,
  [3069] = 2628,
  [3070] = 3070,
  [3071] = 2627,
  [3072] = 3072,
  [3073] = 2626,
  [3074] = 2699,
  [3075] = 2625,
  [3076] = 2624,
  [3077] = 3077,
  [3078] = 3078,
  [3079] = 3079,
  [3080] = 2680,
  [3081] = 2553,
  [3082] = 3068,
  [3083] = 342,
  [3084] = 3070,
  [3085] = 2705,
  [3086] = 2657,
  [3087] = 3087,
  [3088] = 3088,
  [3089] = 3089,
  [3090] = 2706,
  [3091] = 331,
  [3092] = 3092,
  [3093] = 3093,
  [3094] = 2552,
  [3095] = 317,
  [3096] = 316,
  [3097] = 2491,
  [3098] = 2513,
  [3099] = 307,
  [3100] = 2708,
  [3101] = 2493,
  [3102] = 338,
  [3103] = 2674,
  [3104] = 336,
  [3105] = 315,
  [3106] = 3106,
  [3107] = 3078,
  [3108] = 305,
  [3109] = 2800,
  [3110] = 2618,
  [3111] = 297,
  [3112] = 2617,
  [3113] = 2723,
  [3114] = 3078,
  [3115] = 2707,
  [3116] = 3068,
  [3117] = 3117,
  [3118] = 3078,
  [3119] = 2710,
  [3120] = 3120,
  [3121] = 2716,
  [3122] = 2717,
  [3123] = 3123,
  [3124] = 2616,
  [3125] = 3125,
  [3126] = 3126,
  [3127] = 3127,
  [3128] = 2718,
  [3129] = 3129,
  [3130] = 2516,
  [3131] = 3131,
  [3132] = 2614,
  [3133] = 3078,
  [3134] = 3070,
  [3135] = 311,
  [3136] = 2613,
  [3137] = 3087,
  [3138] = 3138,
  [3139] = 2537,
  [3140] = 2694,
  [3141] = 3141,
  [3142] = 3142,
  [3143] = 2491,
  [3144] = 3144,
  [3145] = 2493,
  [3146] = 2454,
  [3147] = 2376,
  [3148] = 3093,
  [3149] = 2777,
  [3150] = 2457,
  [3151] = 3078,
  [3152] = 3152,
  [3153] = 308,
  [3154] = 2683,
  [3155] = 2454,
  [3156] = 2376,
  [3157] = 2457,
  [3158] = 3158,
  [3159] = 2584,
  [3160] = 2464,
  [3161] = 3161,
  [3162] = 3162,
  [3163] = 2690,
  [3164] = 2580,
  [3165] = 3165,
  [3166] = 2646,
  [3167] = 2464,
  [3168] = 3078,
  [3169] = 2689,
  [3170] = 2578,
  [3171] = 2513,
  [3172] = 3172,
  [3173] = 2688,
  [3174] = 3174,
  [3175] = 2411,
  [3176] = 3176,
  [3177] = 3177,
  [3178] = 2687,
  [3179] = 2544,
  [3180] = 3180,
  [3181] = 2686,
  [3182] = 2480,
  [3183] = 308,
  [3184] = 2800,
  [3185] = 3185,
  [3186] = 2619,
  [3187] = 2473,
  [3188] = 313,
  [3189] = 3177,
  [3190] = 3190,
  [3191] = 3191,
  [3192] = 2775,
  [3193] = 2472,
  [3194] = 2964,
  [3195] = 3195,
  [3196] = 2494,
  [3197] = 3197,
  [3198] = 3180,
  [3199] = 315,
  [3200] = 2685,
  [3201] = 3201,
  [3202] = 3202,
  [3203] = 3177,
  [3204] = 3180,
  [3205] = 3177,
  [3206] = 3180,
  [3207] = 2658,
  [3208] = 2542,
  [3209] = 2659,
  [3210] = 2619,
  [3211] = 2800,
  [3212] = 2411,
  [3213] = 2480,
  [3214] = 3214,
  [3215] = 2964,
  [3216] = 311,
  [3217] = 2473,
  [3218] = 2472,
  [3219] = 2471,
  [3220] = 2386,
  [3221] = 297,
  [3222] = 2634,
  [3223] = 3070,
  [3224] = 3224,
  [3225] = 2440,
  [3226] = 2438,
  [3227] = 2539,
  [3228] = 2541,
  [3229] = 3070,
  [3230] = 3068,
  [3231] = 3231,
  [3232] = 2471,
  [3233] = 2719,
  [3234] = 3089,
  [3235] = 2461,
  [3236] = 2456,
  [3237] = 2502,
  [3238] = 2496,
  [3239] = 3127,
  [3240] = 2684,
  [3241] = 2639,
  [3242] = 2516,
  [3243] = 3243,
  [3244] = 3088,
  [3245] = 2416,
  [3246] = 2660,
  [3247] = 2665,
  [3248] = 2662,
  [3249] = 3249,
  [3250] = 336,
  [3251] = 305,
  [3252] = 307,
  [3253] = 2382,
  [3254] = 2632,
  [3255] = 313,
  [3256] = 338,
  [3257] = 3078,
  [3258] = 2638,
  [3259] = 2682,
  [3260] = 3260,
  [3261] = 3261,
  [3262] = 3262,
  [3263] = 2606,
  [3264] = 3190,
  [3265] = 2605,
  [3266] = 2604,
  [3267] = 2666,
  [3268] = 2603,
  [3269] = 2393,
  [3270] = 3270,
  [3271] = 2389,
  [3272] = 2386,
  [3273] = 2488,
  [3274] = 2385,
  [3275] = 3177,
  [3276] = 3276,
  [3277] = 3277,
  [3278] = 3278,
  [3279] = 3078,
  [3280] = 3280,
  [3281] = 2775,
  [3282] = 2440,
  [3283] = 2572,
  [3284] = 316,
  [3285] = 2438,
  [3286] = 317,
  [3287] = 2387,
  [3288] = 2388,
  [3289] = 3180,
  [3290] = 2390,
  [3291] = 3092,
  [3292] = 3068,
  [3293] = 2630,
  [3294] = 3070,
  [3295] = 3068,
  [3296] = 2667,
  [3297] = 2441,
  [3298] = 3298,
  [3299] = 3070,
  [3300] = 2636,
  [3301] = 2669,
  [3302] = 2517,
  [3303] = 2534,
  [3304] = 2635,
  [3305] = 2441,
  [3306] = 2670,
  [3307] = 2534,
  [3308] = 2517,
  [3309] = 2570,
  [3310] = 342,
  [3311] = 2569,
  [3312] = 2629,
  [3313] = 2566,
  [3314] = 2564,
  [3315] = 2393,
  [3316] = 2488,
  [3317] = 3317,
  [3318] = 2461,
  [3319] = 2633,
  [3320] = 2390,
  [3321] = 2388,
  [3322] = 2387,
  [3323] = 2385,
  [3324] = 2456,
  [3325] = 3325,
  [3326] = 2382,
  [3327] = 2674,
  [3328] = 3068,
  [3329] = 2502,
  [3330] = 331,
  [3331] = 2496,
  [3332] = 2775,
  [3333] = 2389,
  [3334] = 2494,
  [3335] = 2411,
  [3336] = 2513,
  [3337] = 3337,
  [3338] = 3338,
  [3339] = 3339,
  [3340] = 3340,
  [3341] = 3341,
  [3342] = 3342,
  [3343] = 3343,
  [3344] = 2819,
  [3345] = 2514,
  [3346] = 3340,
  [3347] = 2775,
  [3348] = 3348,
  [3349] = 3349,
  [3350] = 3350,
  [3351] = 3338,
  [3352] = 3352,
  [3353] = 3353,
  [3354] = 3354,
  [3355] = 2674,
  [3356] = 3340,
  [3357] = 3340,
  [3358] = 2516,
  [3359] = 3359,
  [3360] = 2964,
  [3361] = 3340,
  [3362] = 2440,
  [3363] = 2438,
  [3364] = 3359,
  [3365] = 2416,
  [3366] = 2393,
  [3367] = 2389,
  [3368] = 3339,
  [3369] = 3340,
  [3370] = 2386,
  [3371] = 3371,
  [3372] = 3372,
  [3373] = 2464,
  [3374] = 3374,
  [3375] = 2480,
  [3376] = 2775,
  [3377] = 2457,
  [3378] = 2673,
  [3379] = 2539,
  [3380] = 2376,
  [3381] = 2488,
  [3382] = 2473,
  [3383] = 2472,
  [3384] = 2454,
  [3385] = 2775,
  [3386] = 2517,
  [3387] = 2471,
  [3388] = 3388,
  [3389] = 2534,
  [3390] = 2441,
  [3391] = 3391,
  [3392] = 3392,
  [3393] = 2390,
  [3394] = 2388,
  [3395] = 3372,
  [3396] = 2387,
  [3397] = 3397,
  [3398] = 2619,
  [3399] = 3340,
  [3400] = 3400,
  [3401] = 2461,
  [3402] = 3402,
  [3403] = 2491,
  [3404] = 2493,
  [3405] = 2456,
  [3406] = 2385,
  [3407] = 3407,
  [3408] = 2382,
  [3409] = 3337,
  [3410] = 2673,
  [3411] = 3411,
  [3412] = 2502,
  [3413] = 2496,
  [3414] = 3414,
  [3415] = 2725,
  [3416] = 3416,
  [3417] = 3417,
  [3418] = 3418,
  [3419] = 2542,
  [3420] = 3420,
  [3421] = 3421,
  [3422] = 3422,
  [3423] = 3423,
  [3424] = 3424,
  [3425] = 3425,
  [3426] = 3426,
  [3427] = 2541,
  [3428] = 3428,
  [3429] = 2514,
  [3430] = 3430,
  [3431] = 2673,
  [3432] = 3432,
  [3433] = 3433,
  [3434] = 3434,
  [3435] = 3435,
  [3436] = 3436,
  [3437] = 2800,
  [3438] = 3438,
  [3439] = 2673,
  [3440] = 3440,
  [3441] = 3441,
  [3442] = 2619,
  [3443] = 2516,
  [3444] = 3444,
  [3445] = 3445,
  [3446] = 3446,
  [3447] = 2539,
  [3448] = 2775,
  [3449] = 2516,
  [3450] = 3450,
  [3451] = 3451,
  [3452] = 3452,
  [3453] = 2674,
  [3454] = 3454,
  [3455] = 3455,
  [3456] = 3456,
  [3457] = 3180,
  [3458] = 3177,
  [3459] = 3459,
  [3460] = 3180,
  [3461] = 3177,
  [3462] = 3438,
  [3463] = 3177,
  [3464] = 3464,
  [3465] = 3465,
  [3466] = 3466,
  [3467] = 3467,
  [3468] = 3117,
  [3469] = 3469,
  [3470] = 3470,
  [3471] = 2541,
  [3472] = 2964,
  [3473] = 2539,
  [3474] = 3180,
  [3475] = 3475,
  [3476] = 3180,
  [3477] = 3477,
  [3478] = 3180,
  [3479] = 2516,
  [3480] = 3480,
  [3481] = 3481,
  [3482] = 3482,
  [3483] = 2372,
  [3484] = 2542,
  [3485] = 3177,
  [3486] = 3177,
  [3487] = 3180,
  [3488] = 3488,
  [3489] = 3489,
  [3490] = 3490,
  [3491] = 3177,
  [3492] = 2516,
  [3493] = 3493,
  [3494] = 3177,
  [3495] = 3180,
  [3496] = 3496,
  [3497] = 3497,
  [3498] = 3497,
  [3499] = 3497,
  [3500] = 3497,
  [3501] = 3497,
  [3502] = 3497,
  [3503] = 3497,
  [3504] = 3497,
  [3505] = 3505,
  [3506] = 3497,
  [3507] = 3507,
  [3508] = 3508,
  [3509] = 3509,
  [3510] = 3510,
  [3511] = 3511,
  [3512] = 3512,
  [3513] = 302,
  [3514] = 299,
  [3515] = 3515,
  [3516] = 3516,
  [3517] = 3517,
  [3518] = 301,
  [3519] = 327,
  [3520] = 3520,
  [3521] = 3521,
  [3522] = 3522,
  [3523] = 3523,
  [3524] = 301,
  [3525] = 3525,
  [3526] = 327,
  [3527] = 3527,
  [3528] = 3528,
  [3529] = 3529,
  [3530] = 3530,
  [3531] = 3531,
  [3532] = 3532,
  [3533] = 3533,
  [3534] = 3534,
  [3535] = 3535,
  [3536] = 3536,
  [3537] = 3537,
  [3538] = 3538,
  [3539] = 3539,
  [3540] = 3540,
  [3541] = 3541,
  [3542] = 3542,
  [3543] = 3543,
  [3544] = 3544,
  [3545] = 3545,
  [3546] = 3546,
  [3547] = 3547,
  [3548] = 3548,
  [3549] = 3423,
  [3550] = 3430,
  [3551] = 3551,
  [3552] = 3552,
  [3553] = 3553,
  [3554] = 3554,
  [3555] = 3555,
  [3556] = 3556,
  [3557] = 3557,
  [3558] = 3558,
  [3559] = 3559,
  [3560] = 3560,
  [3561] = 3561,
  [3562] = 3562,
  [3563] = 3563,
  [3564] = 3564,
  [3565] = 302,
  [3566] = 3566,
  [3567] = 3567,
  [3568] = 3568,
  [3569] = 3197,
  [3570] = 3570,
  [3571] = 299,
  [3572] = 3572,
  [3573] = 3072,
  [3574] = 3574,
  [3575] = 3575,
  [3576] = 3576,
  [3577] = 3317,
  [3578] = 3578,
  [3579] = 3579,
  [3580] = 3298,
  [3581] = 3581,
  [3582] = 3582,
  [3583] = 3400,
  [3584] = 3350,
  [3585] = 3585,
  [3586] = 3586,
  [3587] = 3339,
  [3588] = 3337,
  [3589] = 3352,
  [3590] = 3372,
  [3591] = 3338,
  [3592] = 3338,
  [3593] = 3352,
  [3594] = 3407,
  [3595] = 3595,
  [3596] = 3341,
  [3597] = 3341,
  [3598] = 2054,
  [3599] = 3411,
  [3600] = 3372,
  [3601] = 3411,
  [3602] = 3337,
  [3603] = 3603,
  [3604] = 3354,
  [3605] = 3595,
  [3606] = 3402,
  [3607] = 3585,
  [3608] = 3339,
  [3609] = 3371,
  [3610] = 3354,
  [3611] = 3611,
  [3612] = 3612,
  [3613] = 3613,
  [3614] = 3614,
  [3615] = 3615,
  [3616] = 3612,
  [3617] = 3617,
  [3618] = 3618,
  [3619] = 3611,
  [3620] = 3620,
  [3621] = 3615,
  [3622] = 3622,
  [3623] = 3615,
  [3624] = 3620,
  [3625] = 3615,
  [3626] = 3626,
  [3627] = 3627,
  [3628] = 3620,
  [3629] = 3612,
  [3630] = 3626,
  [3631] = 3612,
  [3632] = 3614,
  [3633] = 3626,
  [3634] = 3615,
  [3635] = 3635,
  [3636] = 3614,
  [3637] = 3611,
  [3638] = 2090,
  [3639] = 3620,
  [3640] = 3615,
  [3641] = 3612,
  [3642] = 3626,
  [3643] = 3618,
  [3644] = 3620,
  [3645] = 3626,
  [3646] = 3618,
  [3647] = 3626,
  [3648] = 3618,
  [3649] = 3618,
  [3650] = 3614,
  [3651] = 3651,
  [3652] = 3612,
  [3653] = 3653,
  [3654] = 3614,
  [3655] = 3611,
  [3656] = 2075,
  [3657] = 3620,
  [3658] = 3618,
  [3659] = 3611,
  [3660] = 3614,
  [3661] = 3611,
  [3662] = 3662,
  [3663] = 3663,
  [3664] = 3353,
  [3665] = 3665,
  [3666] = 3666,
  [3667] = 3667,
  [3668] = 3668,
  [3669] = 3669,
  [3670] = 3670,
  [3671] = 3671,
  [3672] = 3672,
  [3673] = 3673,
  [3674] = 3674,
  [3675] = 3675,
  [3676] = 3676,
  [3677] = 3677,
  [3678] = 3678,
  [3679] = 3679,
  [3680] = 3680,
  [3681] = 3681,
  [3682] = 3682,
  [3683] = 3683,
  [3684] = 3684,
  [3685] = 3685,
  [3686] = 3686,
  [3687] = 3687,
  [3688] = 3688,
  [3689] = 3689,
  [3690] = 3690,
  [3691] = 3691,
  [3692] = 3692,
  [3693] = 3690,
  [3694] = 3684,
  [3695] = 3688,
  [3696] = 3696,
  [3697] = 3697,
  [3698] = 3692,
  [3699] = 3697,
  [3700] = 3700,
  [3701] = 3701,
  [3702] = 3702,
  [3703] = 3703,
  [3704] = 3685,
  [3705] = 3705,
  [3706] = 3706,
  [3707] = 3707,
  [3708] = 3708,
  [3709] = 3709,
  [3710] = 3710,
  [3711] = 3711,
  [3712] = 2152,
  [3713] = 3713,
  [3714] = 3714,
  [3715] = 3715,
  [3716] = 3686,
  [3717] = 3717,
  [3718] = 3718,
  [3719] = 3719,
  [3720] = 3720,
  [3721] = 3721,
  [3722] = 3706,
  [3723] = 3714,
  [3724] = 2141,
  [3725] = 3725,
  [3726] = 3687,
  [3727] = 3727,
  [3728] = 2166,
  [3729] = 3729,
  [3730] = 3730,
  [3731] = 3731,
  [3732] = 2114,
  [3733] = 3708,
  [3734] = 3734,
  [3735] = 3696,
  [3736] = 2161,
  [3737] = 2113,
  [3738] = 3738,
  [3739] = 3739,
  [3740] = 3740,
  [3741] = 3741,
  [3742] = 3742,
  [3743] = 3743,
  [3744] = 2356,
  [3745] = 2357,
  [3746] = 2141,
  [3747] = 2352,
  [3748] = 2161,
  [3749] = 2113,
  [3750] = 333,
  [3751] = 295,
  [3752] = 2402,
  [3753] = 2410,
  [3754] = 2426,
  [3755] = 2425,
  [3756] = 2445,
  [3757] = 2448,
  [3758] = 2395,
  [3759] = 2424,
  [3760] = 2423,
  [3761] = 2428,
  [3762] = 2422,
  [3763] = 2421,
  [3764] = 2512,
  [3765] = 2420,
  [3766] = 2419,
  [3767] = 2377,
  [3768] = 2427,
  [3769] = 2394,
  [3770] = 2396,
  [3771] = 2398,
  [3772] = 2401,
  [3773] = 2504,
  [3774] = 2405,
  [3775] = 2481,
  [3776] = 2446,
  [3777] = 2378,
  [3778] = 2506,
  [3779] = 2407,
  [3780] = 2404,
  [3781] = 2413,
  [3782] = 2391,
  [3783] = 2379,
  [3784] = 2355,
  [3785] = 2409,
  [3786] = 2406,
  [3787] = 3787,
  [3788] = 3787,
  [3789] = 3787,
  [3790] = 3790,
  [3791] = 3787,
  [3792] = 3790,
  [3793] = 3787,
  [3794] = 2359,
  [3795] = 1005,
  [3796] = 333,
  [3797] = 2521,
  [3798] = 2522,
  [3799] = 1009,
  [3800] = 2523,
  [3801] = 2530,
  [3802] = 2531,
  [3803] = 2532,
  [3804] = 2451,
  [3805] = 2528,
  [3806] = 2526,
  [3807] = 2434,
  [3808] = 1007,
  [3809] = 2352,
  [3810] = 2524,
  [3811] = 2356,
  [3812] = 295,
  [3813] = 2484,
  [3814] = 2449,
  [3815] = 2435,
  [3816] = 2525,
  [3817] = 2357,
  [3818] = 2443,
  [3819] = 1028,
  [3820] = 2527,
  [3821] = 2360,
  [3822] = 992,
  [3823] = 2368,
  [3824] = 2370,
  [3825] = 2358,
  [3826] = 2371,
  [3827] = 2366,
  [3828] = 2428,
  [3829] = 2352,
  [3830] = 2400,
  [3831] = 2355,
  [3832] = 3832,
  [3833] = 2436,
  [3834] = 2474,
  [3835] = 3835,
  [3836] = 2475,
  [3837] = 2392,
  [3838] = 2455,
  [3839] = 2444,
  [3840] = 3840,
  [3841] = 3841,
  [3842] = 3832,
  [3843] = 2458,
  [3844] = 3835,
  [3845] = 3845,
  [3846] = 2427,
  [3847] = 2426,
  [3848] = 2425,
  [3849] = 2424,
  [3850] = 2423,
  [3851] = 2422,
  [3852] = 2421,
  [3853] = 2420,
  [3854] = 2419,
  [3855] = 2413,
  [3856] = 2391,
  [3857] = 2406,
  [3858] = 2404,
  [3859] = 3841,
  [3860] = 3835,
  [3861] = 3840,
  [3862] = 2429,
  [3863] = 3840,
  [3864] = 3840,
  [3865] = 3832,
  [3866] = 2439,
  [3867] = 3845,
  [3868] = 3841,
  [3869] = 3845,
  [3870] = 2508,
  [3871] = 2415,
  [3872] = 2403,
  [3873] = 2507,
  [3874] = 2375,
  [3875] = 2505,
  [3876] = 2380,
  [3877] = 2450,
  [3878] = 3835,
  [3879] = 2383,
  [3880] = 2503,
  [3881] = 2384,
  [3882] = 2479,
  [3883] = 3832,
  [3884] = 2432,
  [3885] = 2357,
  [3886] = 2356,
  [3887] = 2515,
  [3888] = 2506,
  [3889] = 2481,
  [3890] = 2448,
  [3891] = 2445,
  [3892] = 2504,
  [3893] = 2377,
  [3894] = 2512,
  [3895] = 2446,
  [3896] = 2378,
  [3897] = 2379,
  [3898] = 2452,
  [3899] = 2459,
  [3900] = 2460,
  [3901] = 2463,
  [3902] = 2465,
  [3903] = 2394,
  [3904] = 2395,
  [3905] = 2396,
  [3906] = 2398,
  [3907] = 2401,
  [3908] = 2402,
  [3909] = 2405,
  [3910] = 2407,
  [3911] = 2409,
  [3912] = 2410,
  [3913] = 2466,
  [3914] = 2468,
  [3915] = 2430,
  [3916] = 2470,
  [3917] = 2433,
  [3918] = 3835,
  [3919] = 2431,
  [3920] = 2476,
  [3921] = 2478,
  [3922] = 3845,
  [3923] = 3841,
  [3924] = 2501,
  [3925] = 2414,
  [3926] = 2483,
  [3927] = 3840,
  [3928] = 3835,
  [3929] = 2462,
  [3930] = 2499,
  [3931] = 3832,
  [3932] = 3845,
  [3933] = 2442,
  [3934] = 2498,
  [3935] = 3835,
  [3936] = 3835,
  [3937] = 3841,
  [3938] = 3835,
  [3939] = 3939,
  [3940] = 3940,
  [3941] = 3940,
  [3942] = 3942,
  [3943] = 3943,
  [3944] = 3942,
  [3945] = 3945,
  [3946] = 3942,
  [3947] = 3947,
  [3948] = 3948,
  [3949] = 3949,
  [3950] = 3940,
  [3951] = 3951,
  [3952] = 3952,
  [3953] = 3953,
  [3954] = 3954,
  [3955] = 3955,
  [3956] = 3952,
  [3957] = 3952,
  [3958] = 3958,
  [3959] = 3959,
  [3960] = 3942,
  [3961] = 3961,
  [3962] = 3940,
  [3963] = 3963,
  [3964] = 3964,
  [3965] = 3965,
  [3966] = 3966,
  [3967] = 3967,
  [3968] = 3942,
  [3969] = 3952,
  [3970] = 3970,
  [3971] = 2359,
  [3972] = 3972,
  [3973] = 3952,
  [3974] = 3974,
  [3975] = 3975,
  [3976] = 3976,
  [3977] = 3977,
  [3978] = 3940,
  [3979] = 3979,
  [3980] = 2420,
  [3981] = 2434,
  [3982] = 2522,
  [3983] = 2521,
  [3984] = 2506,
  [3985] = 2481,
  [3986] = 2448,
  [3987] = 3987,
  [3988] = 2504,
  [3989] = 2377,
  [3990] = 2512,
  [3991] = 2446,
  [3992] = 2378,
  [3993] = 2379,
  [3994] = 2394,
  [3995] = 2395,
  [3996] = 2396,
  [3997] = 2398,
  [3998] = 3998,
  [3999] = 2401,
  [4000] = 2402,
  [4001] = 2141,
  [4002] = 2527,
  [4003] = 2405,
  [4004] = 2407,
  [4005] = 2409,
  [4006] = 2410,
  [4007] = 2445,
  [4008] = 4008,
  [4009] = 2526,
  [4010] = 4008,
  [4011] = 2525,
  [4012] = 4012,
  [4013] = 2524,
  [4014] = 3970,
  [4015] = 4015,
  [4016] = 2113,
  [4017] = 4017,
  [4018] = 2360,
  [4019] = 2523,
  [4020] = 4012,
  [4021] = 2435,
  [4022] = 2443,
  [4023] = 2449,
  [4024] = 2451,
  [4025] = 2406,
  [4026] = 4026,
  [4027] = 2532,
  [4028] = 2531,
  [4029] = 2419,
  [4030] = 4012,
  [4031] = 4031,
  [4032] = 2530,
  [4033] = 2413,
  [4034] = 4034,
  [4035] = 2428,
  [4036] = 2427,
  [4037] = 4008,
  [4038] = 2426,
  [4039] = 2425,
  [4040] = 2424,
  [4041] = 2391,
  [4042] = 4042,
  [4043] = 2355,
  [4044] = 2423,
  [4045] = 2484,
  [4046] = 2422,
  [4047] = 2161,
  [4048] = 4008,
  [4049] = 4049,
  [4050] = 4050,
  [4051] = 2528,
  [4052] = 2421,
  [4053] = 4053,
  [4054] = 4049,
  [4055] = 4012,
  [4056] = 2404,
  [4057] = 4057,
  [4058] = 4058,
  [4059] = 4059,
  [4060] = 4058,
  [4061] = 4061,
  [4062] = 4062,
  [4063] = 4063,
  [4064] = 4064,
  [4065] = 4065,
  [4066] = 4066,
  [4067] = 4067,
  [4068] = 4068,
  [4069] = 4069,
  [4070] = 4070,
  [4071] = 4058,
  [4072] = 4058,
  [4073] = 4073,
  [4074] = 4073,
  [4075] = 4075,
  [4076] = 4076,
  [4077] = 4077,
  [4078] = 4078,
  [4079] = 2368,
  [4080] = 4080,
  [4081] = 4081,
  [4082] = 4082,
  [4083] = 4067,
  [4084] = 4084,
  [4085] = 4085,
  [4086] = 2366,
  [4087] = 4087,
  [4088] = 4088,
  [4089] = 2371,
  [4090] = 2370,
  [4091] = 4073,
  [4092] = 4092,
  [4093] = 4093,
  [4094] = 4094,
  [4095] = 4095,
  [4096] = 2358,
  [4097] = 4097,
  [4098] = 4098,
  [4099] = 4058,
  [4100] = 4100,
  [4101] = 2359,
  [4102] = 4102,
  [4103] = 4103,
  [4104] = 4104,
  [4105] = 4105,
  [4106] = 4067,
  [4107] = 4067,
  [4108] = 4108,
  [4109] = 4109,
  [4110] = 4067,
  [4111] = 4073,
  [4112] = 4112,
  [4113] = 4113,
  [4114] = 2430,
  [4115] = 2400,
  [4116] = 2466,
  [4117] = 4117,
  [4118] = 1007,
  [4119] = 2392,
  [4120] = 2508,
  [4121] = 2455,
  [4122] = 2515,
  [4123] = 2458,
  [4124] = 2468,
  [4125] = 2470,
  [4126] = 2507,
  [4127] = 2403,
  [4128] = 2474,
  [4129] = 2383,
  [4130] = 2384,
  [4131] = 2161,
  [4132] = 2465,
  [4133] = 2476,
  [4134] = 2414,
  [4135] = 2478,
  [4136] = 2415,
  [4137] = 2479,
  [4138] = 2475,
  [4139] = 2460,
  [4140] = 2483,
  [4141] = 2459,
  [4142] = 2505,
  [4143] = 2452,
  [4144] = 1005,
  [4145] = 2380,
  [4146] = 2443,
  [4147] = 2503,
  [4148] = 2449,
  [4149] = 2451,
  [4150] = 2501,
  [4151] = 4151,
  [4152] = 2499,
  [4153] = 2498,
  [4154] = 2462,
  [4155] = 2463,
  [4156] = 1009,
  [4157] = 2484,
  [4158] = 4158,
  [4159] = 992,
  [4160] = 2113,
  [4161] = 1028,
  [4162] = 2141,
  [4163] = 2429,
  [4164] = 2434,
  [4165] = 2431,
  [4166] = 4166,
  [4167] = 2435,
  [4168] = 2432,
  [4169] = 2433,
  [4170] = 2360,
  [4171] = 2450,
  [4172] = 2444,
  [4173] = 2436,
  [4174] = 2442,
  [4175] = 2375,
  [4176] = 2439,
  [4177] = 3970,
  [4178] = 4178,
  [4179] = 4179,
  [4180] = 2358,
  [4181] = 4181,
  [4182] = 4182,
  [4183] = 4183,
  [4184] = 4182,
  [4185] = 4185,
  [4186] = 4186,
  [4187] = 4183,
  [4188] = 4188,
  [4189] = 4189,
  [4190] = 4182,
  [4191] = 4191,
  [4192] = 2371,
  [4193] = 4193,
  [4194] = 4194,
  [4195] = 4195,
  [4196] = 4196,
  [4197] = 2370,
  [4198] = 2368,
  [4199] = 4178,
  [4200] = 4200,
  [4201] = 4178,
  [4202] = 4182,
  [4203] = 4186,
  [4204] = 4183,
  [4205] = 4182,
  [4206] = 4182,
  [4207] = 4183,
  [4208] = 4183,
  [4209] = 4209,
  [4210] = 4210,
  [4211] = 2366,
  [4212] = 4188,
  [4213] = 4183,
  [4214] = 4178,
  [4215] = 4215,
  [4216] = 4216,
  [4217] = 4217,
  [4218] = 2462,
  [4219] = 2384,
  [4220] = 2383,
  [4221] = 4221,
  [4222] = 1009,
  [4223] = 4223,
  [4224] = 2380,
  [4225] = 4225,
  [4226] = 4226,
  [4227] = 4227,
  [4228] = 4225,
  [4229] = 4058,
  [4230] = 4230,
  [4231] = 4231,
  [4232] = 4232,
  [4233] = 4233,
  [4234] = 4234,
  [4235] = 4232,
  [4236] = 4226,
  [4237] = 1007,
  [4238] = 4058,
  [4239] = 2458,
  [4240] = 2515,
  [4241] = 2455,
  [4242] = 2392,
  [4243] = 2414,
  [4244] = 2400,
  [4245] = 2403,
  [4246] = 2415,
  [4247] = 4247,
  [4248] = 4248,
  [4249] = 4216,
  [4250] = 4250,
  [4251] = 4194,
  [4252] = 4252,
  [4253] = 992,
  [4254] = 4254,
  [4255] = 4255,
  [4256] = 4193,
  [4257] = 4257,
  [4258] = 4258,
  [4259] = 4259,
  [4260] = 4260,
  [4261] = 4261,
  [4262] = 295,
  [4263] = 4263,
  [4264] = 4264,
  [4265] = 4225,
  [4266] = 4200,
  [4267] = 4267,
  [4268] = 4268,
  [4269] = 4269,
  [4270] = 4226,
  [4271] = 4267,
  [4272] = 2429,
  [4273] = 2430,
  [4274] = 2431,
  [4275] = 4258,
  [4276] = 2521,
  [4277] = 2522,
  [4278] = 2432,
  [4279] = 2433,
  [4280] = 2523,
  [4281] = 4258,
  [4282] = 4282,
  [4283] = 4283,
  [4284] = 4225,
  [4285] = 4285,
  [4286] = 4286,
  [4287] = 2436,
  [4288] = 2439,
  [4289] = 2375,
  [4290] = 2442,
  [4291] = 4291,
  [4292] = 2444,
  [4293] = 2450,
  [4294] = 4294,
  [4295] = 4285,
  [4296] = 4296,
  [4297] = 4297,
  [4298] = 4298,
  [4299] = 333,
  [4300] = 4267,
  [4301] = 4301,
  [4302] = 4302,
  [4303] = 4303,
  [4304] = 4226,
  [4305] = 4305,
  [4306] = 4306,
  [4307] = 4307,
  [4308] = 4231,
  [4309] = 4309,
  [4310] = 4267,
  [4311] = 4247,
  [4312] = 4312,
  [4313] = 4313,
  [4314] = 4232,
  [4315] = 4248,
  [4316] = 4216,
  [4317] = 4225,
  [4318] = 4258,
  [4319] = 4254,
  [4320] = 4303,
  [4321] = 4255,
  [4322] = 4322,
  [4323] = 4291,
  [4324] = 4257,
  [4325] = 4325,
  [4326] = 4303,
  [4327] = 4303,
  [4328] = 4264,
  [4329] = 4303,
  [4330] = 4248,
  [4331] = 2459,
  [4332] = 2460,
  [4333] = 2463,
  [4334] = 2465,
  [4335] = 4335,
  [4336] = 4336,
  [4337] = 4337,
  [4338] = 4338,
  [4339] = 2468,
  [4340] = 2524,
  [4341] = 4257,
  [4342] = 4264,
  [4343] = 2470,
  [4344] = 2476,
  [4345] = 4058,
  [4346] = 2478,
  [4347] = 4312,
  [4348] = 4348,
  [4349] = 2479,
  [4350] = 2483,
  [4351] = 4351,
  [4352] = 4247,
  [4353] = 4353,
  [4354] = 4285,
  [4355] = 4226,
  [4356] = 2525,
  [4357] = 4247,
  [4358] = 4231,
  [4359] = 2526,
  [4360] = 4231,
  [4361] = 2527,
  [4362] = 4312,
  [4363] = 2528,
  [4364] = 4216,
  [4365] = 4058,
  [4366] = 4366,
  [4367] = 4254,
  [4368] = 4226,
  [4369] = 4259,
  [4370] = 4225,
  [4371] = 4371,
  [4372] = 4372,
  [4373] = 4264,
  [4374] = 4257,
  [4375] = 4375,
  [4376] = 4376,
  [4377] = 1005,
  [4378] = 4378,
  [4379] = 4375,
  [4380] = 4223,
  [4381] = 4309,
  [4382] = 2466,
  [4383] = 4383,
  [4384] = 2452,
  [4385] = 4385,
  [4386] = 4255,
  [4387] = 4387,
  [4388] = 4388,
  [4389] = 4389,
  [4390] = 4058,
  [4391] = 4258,
  [4392] = 4231,
  [4393] = 4393,
  [4394] = 4394,
  [4395] = 1028,
  [4396] = 4396,
  [4397] = 4231,
  [4398] = 4398,
  [4399] = 4258,
  [4400] = 4179,
  [4401] = 4401,
  [4402] = 4402,
  [4403] = 4232,
  [4404] = 4247,
  [4405] = 4405,
  [4406] = 4267,
  [4407] = 4247,
  [4408] = 4408,
  [4409] = 4409,
  [4410] = 4410,
  [4411] = 4411,
  [4412] = 4248,
  [4413] = 4058,
  [4414] = 4058,
  [4415] = 4415,
  [4416] = 4254,
  [4417] = 4255,
  [4418] = 4418,
  [4419] = 4291,
  [4420] = 4303,
  [4421] = 4421,
  [4422] = 4411,
  [4423] = 4294,
  [4424] = 2498,
  [4425] = 2499,
  [4426] = 4312,
  [4427] = 2501,
  [4428] = 4428,
  [4429] = 2503,
  [4430] = 4312,
  [4431] = 2505,
  [4432] = 4291,
  [4433] = 4376,
  [4434] = 4388,
  [4435] = 4435,
  [4436] = 4436,
  [4437] = 2507,
  [4438] = 2508,
  [4439] = 4394,
  [4440] = 2532,
  [4441] = 4285,
  [4442] = 2531,
  [4443] = 2530,
  [4444] = 4267,
  [4445] = 2474,
  [4446] = 2475,
  [4447] = 4447,
  [4448] = 4194,
  [4449] = 4193,
  [4450] = 4450,
  [4451] = 4451,
  [4452] = 4452,
  [4453] = 4453,
  [4454] = 4454,
  [4455] = 4455,
  [4456] = 4451,
  [4457] = 4457,
  [4458] = 4458,
  [4459] = 4457,
  [4460] = 4460,
  [4461] = 4461,
  [4462] = 4461,
  [4463] = 4451,
  [4464] = 4458,
  [4465] = 4465,
  [4466] = 4461,
  [4467] = 291,
  [4468] = 4468,
  [4469] = 4451,
  [4470] = 4470,
  [4471] = 4471,
  [4472] = 4472,
  [4473] = 4473,
  [4474] = 4460,
  [4475] = 4461,
  [4476] = 4451,
  [4477] = 4477,
  [4478] = 4478,
  [4479] = 4479,
  [4480] = 4451,
  [4481] = 4461,
  [4482] = 4482,
  [4483] = 292,
  [4484] = 4461,
  [4485] = 4461,
  [4486] = 4461,
  [4487] = 4487,
  [4488] = 4488,
  [4489] = 4489,
  [4490] = 4490,
  [4491] = 4491,
  [4492] = 4492,
  [4493] = 4493,
  [4494] = 4494,
  [4495] = 4495,
  [4496] = 4496,
  [4497] = 4497,
  [4498] = 4498,
  [4499] = 4499,
  [4500] = 4500,
  [4501] = 327,
  [4502] = 4338,
  [4503] = 4503,
  [4504] = 4504,
  [4505] = 4505,
  [4506] = 4506,
  [4507] = 4507,
  [4508] = 4508,
  [4509] = 4509,
  [4510] = 4510,
  [4511] = 4261,
  [4512] = 4512,
  [4513] = 4513,
  [4514] = 4492,
  [4515] = 4515,
  [4516] = 4515,
  [4517] = 4517,
  [4518] = 4518,
  [4519] = 4519,
  [4520] = 4520,
  [4521] = 4521,
  [4522] = 4522,
  [4523] = 4523,
  [4524] = 4524,
  [4525] = 4525,
  [4526] = 4526,
  [4527] = 4527,
  [4528] = 4528,
  [4529] = 4529,
  [4530] = 4530,
  [4531] = 4531,
  [4532] = 4532,
  [4533] = 4533,
  [4534] = 4534,
  [4535] = 4535,
  [4536] = 4536,
  [4537] = 4537,
  [4538] = 4538,
  [4539] = 310,
  [4540] = 4540,
  [4541] = 4541,
  [4542] = 4542,
  [4543] = 4543,
  [4544] = 4544,
  [4545] = 4545,
  [4546] = 4523,
  [4547] = 4547,
  [4548] = 4548,
  [4549] = 4549,
  [4550] = 4550,
  [4551] = 4551,
  [4552] = 4552,
  [4553] = 4553,
  [4554] = 4554,
  [4555] = 4531,
  [4556] = 4508,
  [4557] = 4557,
  [4558] = 340,
  [4559] = 4559,
  [4560] = 4560,
  [4561] = 4561,
  [4562] = 4513,
  [4563] = 4398,
  [4564] = 4515,
  [4565] = 4515,
  [4566] = 4566,
  [4567] = 4553,
  [4568] = 4568,
  [4569] = 4552,
  [4570] = 4570,
  [4571] = 4571,
  [4572] = 4572,
  [4573] = 4573,
  [4574] = 4574,
  [4575] = 4575,
  [4576] = 4576,
  [4577] = 4531,
  [4578] = 4523,
  [4579] = 4579,
  [4580] = 4580,
  [4581] = 4581,
  [4582] = 4582,
  [4583] = 4583,
  [4584] = 4584,
  [4585] = 4585,
  [4586] = 4586,
  [4587] = 4552,
  [4588] = 4522,
  [4589] = 4519,
  [4590] = 4590,
  [4591] = 4591,
  [4592] = 4113,
  [4593] = 4593,
  [4594] = 4594,
  [4595] = 4595,
  [4596] = 4596,
  [4597] = 4499,
  [4598] = 4541,
  [4599] = 4411,
  [4600] = 296,
  [4601] = 4601,
  [4602] = 4497,
  [4603] = 4603,
  [4604] = 4604,
  [4605] = 4492,
  [4606] = 4606,
  [4607] = 4519,
  [4608] = 4608,
  [4609] = 4609,
  [4610] = 4294,
  [4611] = 4611,
  [4612] = 4515,
  [4613] = 4613,
  [4614] = 4375,
  [4615] = 4522,
  [4616] = 4531,
  [4617] = 4530,
  [4618] = 4499,
  [4619] = 4619,
  [4620] = 4550,
  [4621] = 4376,
  [4622] = 4622,
  [4623] = 4623,
  [4624] = 4553,
  [4625] = 4513,
  [4626] = 4492,
  [4627] = 4627,
  [4628] = 4628,
  [4629] = 4531,
  [4630] = 4388,
  [4631] = 4631,
  [4632] = 4632,
  [4633] = 4513,
  [4634] = 4634,
  [4635] = 4553,
  [4636] = 4394,
  [4637] = 4637,
  [4638] = 4507,
  [4639] = 4593,
  [4640] = 2054,
  [4641] = 4552,
  [4642] = 322,
  [4643] = 296,
  [4644] = 4230,
  [4645] = 4250,
  [4646] = 4522,
  [4647] = 4507,
  [4648] = 4648,
  [4649] = 4649,
  [4650] = 4650,
  [4651] = 4507,
  [4652] = 4652,
  [4653] = 4653,
  [4654] = 4492,
  [4655] = 4655,
  [4656] = 4492,
  [4657] = 4541,
  [4658] = 4499,
  [4659] = 4659,
  [4660] = 4660,
  [4661] = 4497,
  [4662] = 4662,
  [4663] = 4663,
  [4664] = 4664,
  [4665] = 4513,
  [4666] = 4499,
  [4667] = 4283,
  [4668] = 4668,
  [4669] = 4669,
  [4670] = 4670,
  [4671] = 301,
  [4672] = 4507,
  [4673] = 4673,
  [4674] = 4674,
  [4675] = 4675,
  [4676] = 4676,
  [4677] = 4677,
  [4678] = 4678,
  [4679] = 4679,
  [4680] = 4680,
  [4681] = 322,
  [4682] = 4523,
  [4683] = 4541,
  [4684] = 4684,
  [4685] = 4685,
  [4686] = 4497,
  [4687] = 4687,
  [4688] = 4541,
  [4689] = 4689,
  [4690] = 4690,
  [4691] = 4523,
  [4692] = 290,
  [4693] = 4693,
  [4694] = 4477,
  [4695] = 4695,
  [4696] = 4696,
  [4697] = 4697,
  [4698] = 4698,
  [4699] = 4522,
  [4700] = 4700,
  [4701] = 4701,
  [4702] = 4181,
  [4703] = 4703,
  [4704] = 4519,
  [4705] = 4705,
  [4706] = 4706,
  [4707] = 4509,
  [4708] = 4708,
  [4709] = 299,
  [4710] = 4710,
  [4711] = 301,
  [4712] = 4712,
  [4713] = 4713,
  [4714] = 4714,
  [4715] = 4715,
  [4716] = 4716,
  [4717] = 4560,
  [4718] = 4718,
  [4719] = 4552,
  [4720] = 4523,
  [4721] = 327,
  [4722] = 4513,
  [4723] = 4723,
  [4724] = 4724,
  [4725] = 4725,
  [4726] = 4519,
  [4727] = 4522,
  [4728] = 4728,
  [4729] = 4515,
  [4730] = 4730,
  [4731] = 4507,
  [4732] = 4732,
  [4733] = 4553,
  [4734] = 4734,
  [4735] = 4735,
  [4736] = 4552,
  [4737] = 4553,
  [4738] = 4738,
  [4739] = 4739,
  [4740] = 4151,
  [4741] = 4541,
  [4742] = 4742,
  [4743] = 4743,
  [4744] = 4497,
  [4745] = 4745,
  [4746] = 4497,
  [4747] = 4747,
  [4748] = 4748,
  [4749] = 4749,
  [4750] = 4750,
  [4751] = 4751,
  [4752] = 4531,
  [4753] = 302,
  [4754] = 4649,
  [4755] = 4755,
  [4756] = 4499,
  [4757] = 4685,
  [4758] = 4758,
  [4759] = 4759,
  [4760] = 4760,
  [4761] = 4761,
  [4762] = 4762,
  [4763] = 4603,
  [4764] = 2090,
  [4765] = 4765,
  [4766] = 4766,
  [4767] = 4166,
  [4768] = 2075,
  [4769] = 4581,
  [4770] = 4770,
  [4771] = 4771,
  [4772] = 4772,
  [4773] = 4601,
  [4774] = 4774,
  [4775] = 4770,
  [4776] = 4571,
  [4777] = 4777,
  [4778] = 4778,
  [4779] = 4779,
  [4780] = 4780,
  [4781] = 4781,
  [4782] = 4761,
  [4783] = 4771,
  [4784] = 4784,
  [4785] = 4785,
  [4786] = 4786,
  [4787] = 4787,
  [4788] = 4528,
  [4789] = 4568,
  [4790] = 4200,
  [4791] = 4791,
  [4792] = 4792,
  [4793] = 4793,
  [4794] = 4794,
  [4795] = 4772,
  [4796] = 4770,
  [4797] = 4772,
  [4798] = 4798,
  [4799] = 4799,
  [4800] = 4781,
  [4801] = 4801,
  [4802] = 4802,
  [4803] = 4803,
  [4804] = 4804,
  [4805] = 4805,
  [4806] = 4806,
  [4807] = 4807,
  [4808] = 4808,
  [4809] = 4179,
  [4810] = 4810,
  [4811] = 4766,
  [4812] = 4812,
  [4813] = 4813,
  [4814] = 4812,
  [4815] = 4815,
  [4816] = 4664,
  [4817] = 4817,
  [4818] = 876,
  [4819] = 4819,
  [4820] = 4820,
  [4821] = 4821,
  [4822] = 4822,
  [4823] = 2578,
  [4824] = 4619,
  [4825] = 4779,
  [4826] = 4826,
  [4827] = 4821,
  [4828] = 4820,
  [4829] = 4829,
  [4830] = 4830,
  [4831] = 4831,
  [4832] = 4832,
  [4833] = 4826,
  [4834] = 2580,
  [4835] = 4835,
  [4836] = 4815,
  [4837] = 4807,
  [4838] = 4822,
  [4839] = 4832,
  [4840] = 4799,
  [4841] = 4785,
  [4842] = 4798,
  [4843] = 4843,
  [4844] = 4844,
  [4845] = 4817,
  [4846] = 4779,
  [4847] = 4772,
  [4848] = 4770,
  [4849] = 4849,
  [4850] = 4850,
  [4851] = 4851,
  [4852] = 4477,
  [4853] = 299,
  [4854] = 4854,
  [4855] = 4855,
  [4856] = 4831,
  [4857] = 4781,
  [4858] = 4858,
  [4859] = 4821,
  [4860] = 4820,
  [4861] = 4583,
  [4862] = 4862,
  [4863] = 4771,
  [4864] = 4792,
  [4865] = 4791,
  [4866] = 4559,
  [4867] = 4867,
  [4868] = 4815,
  [4869] = 4679,
  [4870] = 4870,
  [4871] = 4791,
  [4872] = 4810,
  [4873] = 2629,
  [4874] = 2628,
  [4875] = 4875,
  [4876] = 2666,
  [4877] = 4792,
  [4878] = 2667,
  [4879] = 4542,
  [4880] = 4538,
  [4881] = 2627,
  [4882] = 2718,
  [4883] = 2626,
  [4884] = 4714,
  [4885] = 4506,
  [4886] = 4799,
  [4887] = 4798,
  [4888] = 4696,
  [4889] = 4810,
  [4890] = 4890,
  [4891] = 4807,
  [4892] = 4892,
  [4893] = 4792,
  [4894] = 4807,
  [4895] = 4758,
  [4896] = 4810,
  [4897] = 4815,
  [4898] = 4898,
  [4899] = 4457,
  [4900] = 4900,
  [4901] = 4742,
  [4902] = 4820,
  [4903] = 4821,
  [4904] = 4791,
  [4905] = 4807,
  [4906] = 4906,
  [4907] = 4548,
  [4908] = 2684,
  [4909] = 4781,
  [4910] = 2685,
  [4911] = 2625,
  [4912] = 2624,
  [4913] = 4779,
  [4914] = 4862,
  [4915] = 4792,
  [4916] = 4791,
  [4917] = 4843,
  [4918] = 302,
  [4919] = 4815,
  [4920] = 4920,
  [4921] = 4706,
  [4922] = 4799,
  [4923] = 4712,
  [4924] = 4798,
  [4925] = 4774,
  [4926] = 4890,
  [4927] = 4821,
  [4928] = 4820,
  [4929] = 4781,
  [4930] = 4781,
  [4931] = 4931,
  [4932] = 4791,
  [4933] = 4807,
  [4934] = 4772,
  [4935] = 4792,
  [4936] = 4807,
  [4937] = 4798,
  [4938] = 4458,
  [4939] = 4770,
  [4940] = 2706,
  [4941] = 4534,
  [4942] = 2616,
  [4943] = 4739,
  [4944] = 4792,
  [4945] = 2617,
  [4946] = 4898,
  [4947] = 4947,
  [4948] = 4920,
  [4949] = 4791,
  [4950] = 4931,
  [4951] = 4690,
  [4952] = 4815,
  [4953] = 4771,
  [4954] = 4781,
  [4955] = 4799,
  [4956] = 4956,
  [4957] = 4802,
  [4958] = 4820,
  [4959] = 4791,
  [4960] = 4821,
  [4961] = 4792,
  [4962] = 4802,
  [4963] = 4802,
  [4964] = 4802,
  [4965] = 4807,
  [4966] = 4966,
  [4967] = 4670,
  [4968] = 4781,
  [4969] = 4969,
  [4970] = 4810,
  [4971] = 4799,
  [4972] = 4972,
  [4973] = 4791,
  [4974] = 4820,
  [4975] = 4821,
  [4976] = 4770,
  [4977] = 4802,
  [4978] = 4772,
  [4979] = 4979,
  [4980] = 4792,
  [4981] = 4807,
  [4982] = 4982,
  [4983] = 4786,
  [4984] = 4549,
  [4985] = 4771,
  [4986] = 4986,
  [4987] = 4987,
  [4988] = 4988,
  [4989] = 4781,
  [4990] = 4779,
  [4991] = 972,
  [4992] = 4992,
  [4993] = 4993,
  [4994] = 4994,
  [4995] = 4995,
  [4996] = 4996,
  [4997] = 4997,
  [4998] = 1060,
  [4999] = 4999,
  [5000] = 5000,
  [5001] = 5001,
  [5002] = 5002,
  [5003] = 5003,
  [5004] = 5004,
  [5005] = 5005,
  [5006] = 5006,
  [5007] = 325,
  [5008] = 5008,
  [5009] = 5009,
  [5010] = 326,
  [5011] = 5011,
  [5012] = 5012,
  [5013] = 5013,
  [5014] = 5014,
  [5015] = 4995,
  [5016] = 5016,
  [5017] = 5017,
  [5018] = 5018,
  [5019] = 5019,
  [5020] = 5020,
  [5021] = 5021,
  [5022] = 5022,
  [5023] = 5023,
  [5024] = 5024,
  [5025] = 5025,
  [5026] = 5026,
  [5027] = 5027,
  [5028] = 5028,
  [5029] = 5029,
  [5030] = 5030,
  [5031] = 5031,
  [5032] = 5032,
  [5033] = 4804,
  [5034] = 5034,
  [5035] = 5035,
  [5036] = 5036,
  [5037] = 5037,
  [5038] = 5038,
  [5039] = 5039,
  [5040] = 5040,
  [5041] = 5041,
  [5042] = 5042,
  [5043] = 5043,
  [5044] = 5044,
  [5045] = 5045,
  [5046] = 5046,
  [5047] = 5006,
  [5048] = 5048,
  [5049] = 5049,
  [5050] = 5050,
  [5051] = 5051,
  [5052] = 5052,
  [5053] = 5053,
  [5054] = 5054,
  [5055] = 5055,
  [5056] = 1066,
  [5057] = 5057,
  [5058] = 5058,
  [5059] = 5059,
  [5060] = 5060,
  [5061] = 5061,
  [5062] = 5062,
  [5063] = 5063,
  [5064] = 4992,
  [5065] = 1067,
  [5066] = 5066,
  [5067] = 5067,
  [5068] = 5068,
  [5069] = 922,
  [5070] = 5070,
  [5071] = 5071,
  [5072] = 1069,
  [5073] = 5073,
  [5074] = 5074,
  [5075] = 5075,
  [5076] = 5076,
  [5077] = 5077,
  [5078] = 1070,
  [5079] = 1071,
  [5080] = 5080,
  [5081] = 5081,
  [5082] = 1072,
  [5083] = 1073,
  [5084] = 1048,
  [5085] = 5085,
  [5086] = 1047,
  [5087] = 5087,
  [5088] = 1046,
  [5089] = 5089,
  [5090] = 5090,
  [5091] = 5091,
  [5092] = 5092,
  [5093] = 5093,
  [5094] = 5094,
  [5095] = 5095,
  [5096] = 5096,
  [5097] = 5097,
  [5098] = 2629,
  [5099] = 2628,
  [5100] = 5100,
  [5101] = 5101,
  [5102] = 5102,
  [5103] = 5103,
  [5104] = 5104,
  [5105] = 5105,
  [5106] = 296,
  [5107] = 5107,
  [5108] = 322,
  [5109] = 5102,
  [5110] = 5110,
  [5111] = 5111,
  [5112] = 5112,
  [5113] = 2627,
  [5114] = 2626,
  [5115] = 5115,
  [5116] = 5116,
  [5117] = 5117,
  [5118] = 5118,
  [5119] = 5119,
  [5120] = 5068,
  [5121] = 5121,
  [5122] = 5122,
  [5123] = 4631,
  [5124] = 5124,
  [5125] = 2625,
  [5126] = 5006,
  [5127] = 5127,
  [5128] = 5128,
  [5129] = 5129,
  [5130] = 2624,
  [5131] = 1044,
  [5132] = 1043,
  [5133] = 1042,
  [5134] = 5107,
  [5135] = 1041,
  [5136] = 5105,
  [5137] = 5137,
  [5138] = 5138,
  [5139] = 5139,
  [5140] = 5140,
  [5141] = 5141,
  [5142] = 5142,
  [5143] = 5143,
  [5144] = 5144,
  [5145] = 5145,
  [5146] = 5146,
  [5147] = 2532,
  [5148] = 5148,
  [5149] = 5149,
  [5150] = 2531,
  [5151] = 5151,
  [5152] = 2530,
  [5153] = 5153,
  [5154] = 5154,
  [5155] = 5155,
  [5156] = 5156,
  [5157] = 5157,
  [5158] = 5158,
  [5159] = 5159,
  [5160] = 5104,
  [5161] = 5100,
  [5162] = 5162,
  [5163] = 5163,
  [5164] = 5105,
  [5165] = 5042,
  [5166] = 5107,
  [5167] = 5167,
  [5168] = 5153,
  [5169] = 5169,
  [5170] = 5170,
  [5171] = 5171,
  [5172] = 5167,
  [5173] = 5173,
  [5174] = 5085,
  [5175] = 5153,
  [5176] = 5176,
  [5177] = 5102,
  [5178] = 5178,
  [5179] = 5068,
  [5180] = 4997,
  [5181] = 5032,
  [5182] = 5182,
  [5183] = 5183,
  [5184] = 5091,
  [5185] = 5185,
  [5186] = 5186,
  [5187] = 5187,
  [5188] = 2617,
  [5189] = 2616,
  [5190] = 5100,
  [5191] = 5191,
  [5192] = 1105,
  [5193] = 5193,
  [5194] = 5194,
  [5195] = 5091,
  [5196] = 5196,
  [5197] = 5197,
  [5198] = 4992,
  [5199] = 5199,
  [5200] = 4995,
  [5201] = 4997,
  [5202] = 921,
  [5203] = 1039,
  [5204] = 1103,
  [5205] = 5205,
  [5206] = 1102,
  [5207] = 5207,
  [5208] = 5208,
  [5209] = 946,
  [5210] = 5210,
  [5211] = 5211,
  [5212] = 5001,
  [5213] = 5213,
  [5214] = 5214,
  [5215] = 948,
  [5216] = 5216,
  [5217] = 5217,
  [5218] = 1037,
  [5219] = 5219,
  [5220] = 939,
  [5221] = 5221,
  [5222] = 4995,
  [5223] = 5223,
  [5224] = 5224,
  [5225] = 5087,
  [5226] = 5226,
  [5227] = 5227,
  [5228] = 1036,
  [5229] = 5229,
  [5230] = 1035,
  [5231] = 5231,
  [5232] = 5232,
  [5233] = 5233,
  [5234] = 5090,
  [5235] = 5091,
  [5236] = 5236,
  [5237] = 5032,
  [5238] = 5238,
  [5239] = 5239,
  [5240] = 5240,
  [5241] = 5241,
  [5242] = 2434,
  [5243] = 2435,
  [5244] = 5244,
  [5245] = 5245,
  [5246] = 5100,
  [5247] = 5247,
  [5248] = 1094,
  [5249] = 5102,
  [5250] = 1093,
  [5251] = 5251,
  [5252] = 5252,
  [5253] = 5253,
  [5254] = 5167,
  [5255] = 933,
  [5256] = 1064,
  [5257] = 5257,
  [5258] = 5085,
  [5259] = 5090,
  [5260] = 949,
  [5261] = 5261,
  [5262] = 1031,
  [5263] = 4997,
  [5264] = 5264,
  [5265] = 5265,
  [5266] = 5266,
  [5267] = 5087,
  [5268] = 5268,
  [5269] = 5105,
  [5270] = 5159,
  [5271] = 5271,
  [5272] = 5107,
  [5273] = 5122,
  [5274] = 5121,
  [5275] = 4995,
  [5276] = 5276,
  [5277] = 5277,
  [5278] = 5096,
  [5279] = 5279,
  [5280] = 5090,
  [5281] = 2706,
  [5282] = 5282,
  [5283] = 1030,
  [5284] = 5284,
  [5285] = 5285,
  [5286] = 5042,
  [5287] = 5104,
  [5288] = 5288,
  [5289] = 5289,
  [5290] = 5068,
  [5291] = 5087,
  [5292] = 5006,
  [5293] = 5044,
  [5294] = 5294,
  [5295] = 5295,
  [5296] = 5296,
  [5297] = 5096,
  [5298] = 5298,
  [5299] = 5299,
  [5300] = 5300,
  [5301] = 5032,
  [5302] = 5302,
  [5303] = 5303,
  [5304] = 5304,
  [5305] = 5305,
  [5306] = 1091,
  [5307] = 5307,
  [5308] = 5308,
  [5309] = 5309,
  [5310] = 1090,
  [5311] = 2666,
  [5312] = 5312,
  [5313] = 5299,
  [5314] = 5314,
  [5315] = 2667,
  [5316] = 5153,
  [5317] = 5317,
  [5318] = 5318,
  [5319] = 5319,
  [5320] = 5320,
  [5321] = 5309,
  [5322] = 5322,
  [5323] = 5323,
  [5324] = 5011,
  [5325] = 5304,
  [5326] = 4992,
  [5327] = 5213,
  [5328] = 5328,
  [5329] = 5329,
  [5330] = 5330,
  [5331] = 5331,
  [5332] = 5332,
  [5333] = 5333,
  [5334] = 5167,
  [5335] = 5335,
  [5336] = 5336,
  [5337] = 5337,
  [5338] = 5011,
  [5339] = 5307,
  [5340] = 5340,
  [5341] = 5213,
  [5342] = 5342,
  [5343] = 5343,
  [5344] = 5344,
  [5345] = 5345,
  [5346] = 5346,
  [5347] = 5104,
  [5348] = 5348,
  [5349] = 5336,
  [5350] = 5350,
  [5351] = 5351,
  [5352] = 945,
  [5353] = 1023,
  [5354] = 5354,
  [5355] = 5178,
  [5356] = 5097,
  [5357] = 5357,
  [5358] = 1021,
  [5359] = 5359,
  [5360] = 5360,
  [5361] = 968,
  [5362] = 1065,
  [5363] = 5096,
  [5364] = 5364,
  [5365] = 5365,
  [5366] = 5366,
  [5367] = 5367,
  [5368] = 5368,
  [5369] = 2718,
  [5370] = 5370,
  [5371] = 5371,
  [5372] = 5372,
  [5373] = 5373,
  [5374] = 5374,
  [5375] = 5213,
  [5376] = 5376,
  [5377] = 5377,
  [5378] = 5378,
  [5379] = 5044,
  [5380] = 5380,
  [5381] = 5381,
  [5382] = 1017,
  [5383] = 5044,
  [5384] = 5384,
  [5385] = 4972,
  [5386] = 5006,
  [5387] = 4992,
  [5388] = 5388,
  [5389] = 2580,
  [5390] = 5390,
  [5391] = 5391,
  [5392] = 5392,
  [5393] = 5393,
  [5394] = 2578,
  [5395] = 5395,
  [5396] = 1016,
  [5397] = 5397,
  [5398] = 1015,
  [5399] = 1014,
  [5400] = 4551,
  [5401] = 4570,
  [5402] = 5068,
  [5403] = 5213,
  [5404] = 5404,
  [5405] = 4992,
  [5406] = 5406,
  [5407] = 5407,
  [5408] = 5408,
  [5409] = 1013,
  [5410] = 1012,
  [5411] = 5411,
  [5412] = 5412,
  [5413] = 5413,
  [5414] = 5213,
  [5415] = 5415,
  [5416] = 2528,
  [5417] = 5417,
  [5418] = 5418,
  [5419] = 5419,
  [5420] = 5420,
  [5421] = 5421,
  [5422] = 5422,
  [5423] = 2527,
  [5424] = 5424,
  [5425] = 5425,
  [5426] = 5426,
  [5427] = 5427,
  [5428] = 5319,
  [5429] = 5429,
  [5430] = 5430,
  [5431] = 989,
  [5432] = 962,
  [5433] = 5433,
  [5434] = 5434,
  [5435] = 5087,
  [5436] = 5436,
  [5437] = 5090,
  [5438] = 5438,
  [5439] = 5439,
  [5440] = 5096,
  [5441] = 5441,
  [5442] = 5442,
  [5443] = 5443,
  [5444] = 5104,
  [5445] = 5167,
  [5446] = 5153,
  [5447] = 5032,
  [5448] = 5091,
  [5449] = 5107,
  [5450] = 4997,
  [5451] = 5105,
  [5452] = 5376,
  [5453] = 5042,
  [5454] = 2526,
  [5455] = 5100,
  [5456] = 5456,
  [5457] = 5457,
  [5458] = 5458,
  [5459] = 2525,
  [5460] = 2524,
  [5461] = 5461,
  [5462] = 5102,
  [5463] = 5042,
  [5464] = 5085,
  [5465] = 5465,
  [5466] = 5466,
  [5467] = 5467,
  [5468] = 4655,
  [5469] = 5469,
  [5470] = 291,
  [5471] = 5471,
  [5472] = 5191,
  [5473] = 292,
  [5474] = 4995,
  [5475] = 4997,
  [5476] = 5085,
  [5477] = 5477,
  [5478] = 5105,
  [5479] = 5042,
  [5480] = 5480,
  [5481] = 5107,
  [5482] = 5482,
  [5483] = 2685,
  [5484] = 5102,
  [5485] = 5485,
  [5486] = 5486,
  [5487] = 5487,
  [5488] = 5091,
  [5489] = 2684,
  [5490] = 975,
  [5491] = 977,
  [5492] = 5492,
  [5493] = 978,
  [5494] = 979,
  [5495] = 980,
  [5496] = 5100,
  [5497] = 5032,
  [5498] = 5153,
  [5499] = 5499,
  [5500] = 5500,
  [5501] = 5395,
  [5502] = 5068,
  [5503] = 5167,
  [5504] = 5504,
  [5505] = 4858,
  [5506] = 4855,
  [5507] = 959,
  [5508] = 983,
  [5509] = 984,
  [5510] = 5233,
  [5511] = 2521,
  [5512] = 5240,
  [5513] = 5513,
  [5514] = 2522,
  [5515] = 5006,
  [5516] = 5044,
  [5517] = 2523,
  [5518] = 988,
  [5519] = 991,
  [5520] = 993,
  [5521] = 995,
  [5522] = 5090,
  [5523] = 996,
  [5524] = 997,
  [5525] = 998,
  [5526] = 5087,
  [5527] = 1011,
  [5528] = 1010,
  [5529] = 5529,
  [5530] = 1006,
  [5531] = 5415,
  [5532] = 1024,
  [5533] = 4854,
  [5534] = 5366,
  [5535] = 5535,
  [5536] = 914,
  [5537] = 5413,
  [5538] = 4801,
  [5539] = 5539,
  [5540] = 5540,
  [5541] = 5104,
  [5542] = 5096,
  [5543] = 1081,
  [5544] = 1080,
  [5545] = 5011,
  [5546] = 5546,
  [5547] = 1079,
  [5548] = 5548,
  [5549] = 5549,
  [5550] = 916,
  [5551] = 5551,
  [5552] = 5359,
  [5553] = 917,
  [5554] = 1002,
  [5555] = 5555,
  [5556] = 5556,
  [5557] = 5557,
  [5558] = 5558,
  [5559] = 5559,
  [5560] = 5560,
  [5561] = 5561,
  [5562] = 5562,
  [5563] = 5563,
  [5564] = 5564,
  [5565] = 5565,
  [5566] = 5566,
  [5567] = 5567,
  [5568] = 5556,
  [5569] = 5569,
  [5570] = 5570,
  [5571] = 5571,
  [5572] = 5572,
  [5573] = 5573,
  [5574] = 5574,
  [5575] = 5574,
  [5576] = 290,
  [5577] = 5577,
  [5578] = 5578,
  [5579] = 5579,
  [5580] = 5580,
  [5581] = 5573,
  [5582] = 905,
  [5583] = 5572,
  [5584] = 5584,
  [5585] = 5585,
  [5586] = 5557,
  [5587] = 5569,
  [5588] = 5588,
  [5589] = 5569,
  [5590] = 5567,
  [5591] = 5591,
  [5592] = 5592,
  [5593] = 5593,
  [5594] = 5594,
  [5595] = 5595,
  [5596] = 5596,
  [5597] = 5597,
  [5598] = 4803,
  [5599] = 5599,
  [5600] = 5585,
  [5601] = 5601,
  [5602] = 5602,
  [5603] = 2166,
  [5604] = 5604,
  [5605] = 5571,
  [5606] = 5606,
  [5607] = 5607,
  [5608] = 5608,
  [5609] = 5594,
  [5610] = 5602,
  [5611] = 5601,
  [5612] = 5608,
  [5613] = 5613,
  [5614] = 5614,
  [5615] = 5584,
  [5616] = 5566,
  [5617] = 5565,
  [5618] = 5580,
  [5619] = 5579,
  [5620] = 5578,
  [5621] = 5621,
  [5622] = 5564,
  [5623] = 5563,
  [5624] = 5562,
  [5625] = 5625,
  [5626] = 5594,
  [5627] = 5577,
  [5628] = 5569,
  [5629] = 5556,
  [5630] = 5585,
  [5631] = 5559,
  [5632] = 5632,
  [5633] = 5561,
  [5634] = 5634,
  [5635] = 5601,
  [5636] = 5595,
  [5637] = 5637,
  [5638] = 5561,
  [5639] = 5639,
  [5640] = 5562,
  [5641] = 5563,
  [5642] = 5564,
  [5643] = 5565,
  [5644] = 5557,
  [5645] = 5566,
  [5646] = 5567,
  [5647] = 5559,
  [5648] = 5567,
  [5649] = 5556,
  [5650] = 5569,
  [5651] = 5560,
  [5652] = 5652,
  [5653] = 5602,
  [5654] = 4760,
  [5655] = 5572,
  [5656] = 5574,
  [5657] = 5573,
  [5658] = 5577,
  [5659] = 5578,
  [5660] = 5579,
  [5661] = 5580,
  [5662] = 5662,
  [5663] = 5584,
  [5664] = 5584,
  [5665] = 5585,
  [5666] = 5571,
  [5667] = 5557,
  [5668] = 5668,
  [5669] = 5571,
  [5670] = 5561,
  [5671] = 5671,
  [5672] = 5601,
  [5673] = 5602,
  [5674] = 5674,
  [5675] = 5594,
  [5676] = 5676,
  [5677] = 5677,
  [5678] = 5566,
  [5679] = 5602,
  [5680] = 5601,
  [5681] = 5681,
  [5682] = 5584,
  [5683] = 5565,
  [5684] = 5684,
  [5685] = 5594,
  [5686] = 5578,
  [5687] = 5577,
  [5688] = 5559,
  [5689] = 2114,
  [5690] = 5573,
  [5691] = 5569,
  [5692] = 5574,
  [5693] = 5556,
  [5694] = 5555,
  [5695] = 5695,
  [5696] = 5696,
  [5697] = 5570,
  [5698] = 5698,
  [5699] = 5572,
  [5700] = 2152,
  [5701] = 5561,
  [5702] = 5668,
  [5703] = 5703,
  [5704] = 5565,
  [5705] = 5566,
  [5706] = 5706,
  [5707] = 5602,
  [5708] = 5601,
  [5709] = 923,
  [5710] = 5710,
  [5711] = 5567,
  [5712] = 5572,
  [5713] = 918,
  [5714] = 5559,
  [5715] = 940,
  [5716] = 5597,
  [5717] = 5556,
  [5718] = 5569,
  [5719] = 5601,
  [5720] = 5720,
  [5721] = 5602,
  [5722] = 5556,
  [5723] = 5723,
  [5724] = 5567,
  [5725] = 5577,
  [5726] = 5569,
  [5727] = 5601,
  [5728] = 5602,
  [5729] = 5556,
  [5730] = 5584,
  [5731] = 5573,
  [5732] = 5574,
  [5733] = 5733,
  [5734] = 5601,
  [5735] = 5735,
  [5736] = 5602,
  [5737] = 5737,
  [5738] = 5556,
  [5739] = 5739,
  [5740] = 5578,
  [5741] = 5569,
  [5742] = 5564,
  [5743] = 5579,
  [5744] = 5580,
  [5745] = 5745,
  [5746] = 5602,
  [5747] = 5585,
  [5748] = 5557,
  [5749] = 5749,
  [5750] = 5750,
  [5751] = 5601,
  [5752] = 5580,
  [5753] = 5579,
  [5754] = 5578,
  [5755] = 5577,
  [5756] = 5602,
  [5757] = 5601,
  [5758] = 5578,
  [5759] = 5577,
  [5760] = 5569,
  [5761] = 5556,
  [5762] = 5565,
  [5763] = 5566,
  [5764] = 5567,
  [5765] = 5569,
  [5766] = 5563,
  [5767] = 5767,
  [5768] = 5566,
  [5769] = 5569,
  [5770] = 5556,
  [5771] = 5556,
  [5772] = 5772,
  [5773] = 5562,
  [5774] = 5774,
  [5775] = 5602,
  [5776] = 5776,
  [5777] = 5562,
  [5778] = 5563,
  [5779] = 5564,
  [5780] = 5601,
  [5781] = 5569,
  [5782] = 5556,
  [5783] = 5565,
  [5784] = 5561,
  [5785] = 5602,
  [5786] = 5601,
  [5787] = 5571,
  [5788] = 5788,
  [5789] = 5789,
  [5790] = 5790,
  [5791] = 5791,
  [5792] = 5792,
  [5793] = 5793,
  [5794] = 5794,
  [5795] = 5795,
  [5796] = 5796,
  [5797] = 5797,
  [5798] = 5798,
  [5799] = 5799,
  [5800] = 5800,
  [5801] = 5801,
  [5802] = 5802,
  [5803] = 5803,
  [5804] = 5804,
  [5805] = 5805,
  [5806] = 5806,
  [5807] = 5807,
  [5808] = 5808,
  [5809] = 5809,
  [5810] = 5810,
  [5811] = 5794,
  [5812] = 5812,
  [5813] = 5813,
  [5814] = 5814,
  [5815] = 5815,
  [5816] = 5816,
  [5817] = 5817,
  [5818] = 5818,
  [5819] = 5819,
  [5820] = 5820,
  [5821] = 5821,
  [5822] = 5822,
  [5823] = 5810,
  [5824] = 5824,
  [5825] = 5794,
  [5826] = 5826,
  [5827] = 5827,
  [5828] = 5828,
  [5829] = 5829,
  [5830] = 5830,
  [5831] = 5831,
  [5832] = 4560,
  [5833] = 5833,
  [5834] = 5810,
  [5835] = 5794,
  [5836] = 5836,
  [5837] = 5837,
  [5838] = 5838,
  [5839] = 5839,
  [5840] = 5840,
  [5841] = 5841,
  [5842] = 5842,
  [5843] = 5843,
  [5844] = 5844,
  [5845] = 5845,
  [5846] = 5846,
  [5847] = 5847,
  [5848] = 5848,
  [5849] = 5849,
  [5850] = 5850,
  [5851] = 5851,
  [5852] = 5852,
  [5853] = 5853,
  [5854] = 5854,
  [5855] = 5855,
  [5856] = 5856,
  [5857] = 5789,
  [5858] = 5858,
  [5859] = 5859,
  [5860] = 5789,
  [5861] = 5861,
  [5862] = 5862,
  [5863] = 5863,
  [5864] = 5864,
  [5865] = 941,
  [5866] = 5866,
  [5867] = 5867,
  [5868] = 5868,
  [5869] = 5869,
  [5870] = 5870,
  [5871] = 5871,
  [5872] = 5821,
  [5873] = 5819,
  [5874] = 5874,
  [5875] = 5875,
  [5876] = 5876,
  [5877] = 5877,
  [5878] = 5878,
  [5879] = 5879,
  [5880] = 5880,
  [5881] = 5881,
  [5882] = 5882,
  [5883] = 912,
  [5884] = 5884,
  [5885] = 5804,
  [5886] = 5886,
  [5887] = 5887,
  [5888] = 5888,
  [5889] = 5889,
  [5890] = 5890,
  [5891] = 5891,
  [5892] = 959,
  [5893] = 5893,
  [5894] = 921,
  [5895] = 5895,
  [5896] = 5896,
  [5897] = 5897,
  [5898] = 5898,
  [5899] = 5846,
  [5900] = 5900,
  [5901] = 5901,
  [5902] = 5902,
  [5903] = 5903,
  [5904] = 5850,
  [5905] = 5905,
  [5906] = 5906,
  [5907] = 5907,
  [5908] = 5794,
  [5909] = 5909,
  [5910] = 5910,
  [5911] = 5851,
  [5912] = 917,
  [5913] = 5913,
  [5914] = 5914,
  [5915] = 5915,
  [5916] = 5916,
  [5917] = 5810,
  [5918] = 5918,
  [5919] = 5919,
  [5920] = 916,
  [5921] = 5921,
  [5922] = 5922,
  [5923] = 5794,
  [5924] = 5924,
  [5925] = 946,
  [5926] = 948,
  [5927] = 5927,
  [5928] = 5928,
  [5929] = 914,
  [5930] = 5930,
  [5931] = 5931,
  [5932] = 5932,
  [5933] = 5852,
  [5934] = 5934,
  [5935] = 5842,
  [5936] = 5936,
  [5937] = 5937,
  [5938] = 5938,
  [5939] = 5841,
  [5940] = 5940,
  [5941] = 5030,
  [5942] = 5942,
  [5943] = 5943,
  [5944] = 5944,
  [5945] = 5945,
  [5946] = 5946,
  [5947] = 5947,
  [5948] = 5948,
  [5949] = 5869,
  [5950] = 5950,
  [5951] = 5951,
  [5952] = 5952,
  [5953] = 5953,
  [5954] = 5954,
  [5955] = 5955,
  [5956] = 5868,
  [5957] = 5957,
  [5958] = 5958,
  [5959] = 5959,
  [5960] = 5960,
  [5961] = 5944,
  [5962] = 5962,
  [5963] = 5963,
  [5964] = 5964,
  [5965] = 949,
  [5966] = 939,
  [5967] = 945,
  [5968] = 933,
  [5969] = 5953,
  [5970] = 5951,
  [5971] = 5971,
  [5972] = 5972,
  [5973] = 5973,
  [5974] = 5810,
  [5975] = 5975,
  [5976] = 5869,
  [5977] = 5977,
  [5978] = 5978,
  [5979] = 5868,
  [5980] = 5077,
  [5981] = 5981,
  [5982] = 5982,
  [5983] = 5983,
  [5984] = 5984,
  [5985] = 927,
  [5986] = 5962,
  [5987] = 5987,
  [5988] = 5988,
  [5989] = 5942,
  [5990] = 5971,
  [5991] = 4664,
  [5992] = 5992,
  [5993] = 5993,
  [5994] = 5994,
  [5995] = 5995,
  [5996] = 5869,
  [5997] = 5997,
  [5998] = 5868,
  [5999] = 5999,
  [6000] = 6000,
  [6001] = 6001,
  [6002] = 5830,
  [6003] = 6003,
  [6004] = 6004,
  [6005] = 6005,
  [6006] = 5940,
  [6007] = 6007,
  [6008] = 6008,
  [6009] = 6009,
  [6010] = 6010,
  [6011] = 5938,
  [6012] = 6012,
  [6013] = 6013,
  [6014] = 6014,
  [6015] = 6015,
  [6016] = 6016,
  [6017] = 6017,
  [6018] = 6018,
  [6019] = 5804,
  [6020] = 6020,
  [6021] = 5936,
  [6022] = 6022,
  [6023] = 5819,
  [6024] = 5821,
  [6025] = 6025,
  [6026] = 6026,
  [6027] = 6027,
  [6028] = 6028,
  [6029] = 6029,
  [6030] = 6030,
  [6031] = 922,
  [6032] = 6032,
  [6033] = 5962,
  [6034] = 6034,
  [6035] = 6035,
  [6036] = 5124,
  [6037] = 6037,
  [6038] = 6038,
  [6039] = 5971,
  [6040] = 6040,
  [6041] = 6041,
  [6042] = 6042,
  [6043] = 6043,
  [6044] = 5869,
  [6045] = 6045,
  [6046] = 5868,
  [6047] = 6047,
  [6048] = 6048,
  [6049] = 6049,
  [6050] = 6050,
  [6051] = 6051,
  [6052] = 6052,
  [6053] = 6053,
  [6054] = 6054,
  [6055] = 6055,
  [6056] = 6056,
  [6057] = 6057,
  [6058] = 6058,
  [6059] = 6059,
  [6060] = 6060,
  [6061] = 6061,
  [6062] = 6062,
  [6063] = 6063,
  [6064] = 6064,
  [6065] = 6065,
  [6066] = 6066,
  [6067] = 6067,
  [6068] = 6068,
  [6069] = 6069,
  [6070] = 6070,
  [6071] = 6071,
  [6072] = 6072,
  [6073] = 6073,
  [6074] = 6074,
  [6075] = 6075,
  [6076] = 6076,
  [6077] = 5962,
  [6078] = 6078,
  [6079] = 6079,
  [6080] = 6080,
  [6081] = 5953,
  [6082] = 6082,
  [6083] = 6083,
  [6084] = 5951,
  [6085] = 6085,
  [6086] = 6086,
  [6087] = 6087,
  [6088] = 913,
  [6089] = 6089,
  [6090] = 6090,
  [6091] = 5944,
  [6092] = 6092,
  [6093] = 6093,
  [6094] = 4548,
  [6095] = 6095,
  [6096] = 6096,
  [6097] = 6097,
  [6098] = 6098,
  [6099] = 6099,
  [6100] = 6100,
  [6101] = 6101,
  [6102] = 6102,
  [6103] = 6103,
  [6104] = 6104,
  [6105] = 6105,
  [6106] = 6106,
  [6107] = 2466,
  [6108] = 6108,
  [6109] = 5962,
  [6110] = 2452,
  [6111] = 6111,
  [6112] = 6112,
  [6113] = 6113,
  [6114] = 6114,
  [6115] = 6115,
  [6116] = 6116,
  [6117] = 6117,
  [6118] = 5824,
  [6119] = 6119,
  [6120] = 6120,
  [6121] = 6121,
  [6122] = 6122,
  [6123] = 6123,
  [6124] = 6124,
  [6125] = 5971,
  [6126] = 6126,
  [6127] = 5913,
  [6128] = 6128,
  [6129] = 6129,
  [6130] = 6130,
  [6131] = 6131,
  [6132] = 6132,
  [6133] = 6133,
  [6134] = 6134,
  [6135] = 6135,
  [6136] = 5915,
  [6137] = 6137,
  [6138] = 5913,
  [6139] = 5846,
  [6140] = 5915,
  [6141] = 5910,
  [6142] = 6142,
  [6143] = 5850,
  [6144] = 5851,
  [6145] = 6145,
  [6146] = 6146,
  [6147] = 6147,
  [6148] = 5906,
  [6149] = 5905,
  [6150] = 5903,
  [6151] = 6151,
  [6152] = 6152,
  [6153] = 5910,
  [6154] = 5863,
  [6155] = 6155,
  [6156] = 6156,
  [6157] = 6157,
  [6158] = 6158,
  [6159] = 5906,
  [6160] = 6026,
  [6161] = 6161,
  [6162] = 6162,
  [6163] = 6163,
  [6164] = 6164,
  [6165] = 5814,
  [6166] = 5893,
  [6167] = 5905,
  [6168] = 5903,
  [6169] = 5878,
  [6170] = 5879,
  [6171] = 6171,
  [6172] = 6172,
  [6173] = 6173,
  [6174] = 6174,
  [6175] = 5889,
  [6176] = 6176,
  [6177] = 6177,
  [6178] = 6178,
  [6179] = 5889,
  [6180] = 6180,
  [6181] = 6181,
  [6182] = 5869,
  [6183] = 5893,
  [6184] = 5868,
  [6185] = 6185,
  [6186] = 6186,
  [6187] = 5879,
  [6188] = 6188,
  [6189] = 5878,
  [6190] = 6190,
  [6191] = 6191,
  [6192] = 6192,
  [6193] = 5903,
  [6194] = 6194,
  [6195] = 5905,
  [6196] = 5906,
  [6197] = 6197,
  [6198] = 5910,
  [6199] = 6199,
  [6200] = 5913,
  [6201] = 6201,
  [6202] = 5915,
  [6203] = 6203,
  [6204] = 6204,
  [6205] = 6205,
  [6206] = 6206,
  [6207] = 6207,
  [6208] = 6208,
  [6209] = 6209,
  [6210] = 6210,
  [6211] = 6211,
  [6212] = 6212,
  [6213] = 6213,
  [6214] = 6214,
  [6215] = 6215,
  [6216] = 6216,
  [6217] = 5863,
  [6218] = 6218,
  [6219] = 5851,
  [6220] = 6220,
  [6221] = 6221,
  [6222] = 6222,
  [6223] = 6223,
  [6224] = 5893,
  [6225] = 6225,
  [6226] = 5815,
  [6227] = 5944,
  [6228] = 6228,
  [6229] = 6229,
  [6230] = 6230,
  [6231] = 6231,
  [6232] = 6232,
  [6233] = 6233,
  [6234] = 5951,
  [6235] = 6235,
  [6236] = 5953,
  [6237] = 6237,
  [6238] = 6238,
  [6239] = 6239,
  [6240] = 6240,
  [6241] = 5889,
  [6242] = 6242,
  [6243] = 6243,
  [6244] = 6244,
  [6245] = 6245,
  [6246] = 6246,
  [6247] = 5852,
  [6248] = 6248,
  [6249] = 6249,
  [6250] = 6250,
  [6251] = 6251,
  [6252] = 6252,
  [6253] = 6253,
  [6254] = 6254,
  [6255] = 6255,
  [6256] = 6256,
  [6257] = 6257,
  [6258] = 6258,
  [6259] = 6259,
  [6260] = 6085,
  [6261] = 5850,
  [6262] = 5846,
  [6263] = 6263,
  [6264] = 6264,
  [6265] = 6265,
  [6266] = 6266,
  [6267] = 6267,
  [6268] = 6268,
  [6269] = 6269,
  [6270] = 6270,
  [6271] = 6271,
  [6272] = 6272,
  [6273] = 6273,
  [6274] = 6274,
  [6275] = 6275,
  [6276] = 6276,
  [6277] = 6277,
  [6278] = 6278,
  [6279] = 5866,
  [6280] = 6280,
  [6281] = 6281,
  [6282] = 6282,
  [6283] = 6283,
  [6284] = 6284,
  [6285] = 6285,
  [6286] = 6286,
  [6287] = 6287,
  [6288] = 5804,
  [6289] = 6289,
  [6290] = 6290,
  [6291] = 2532,
  [6292] = 5819,
  [6293] = 5821,
  [6294] = 2531,
  [6295] = 6295,
  [6296] = 6296,
  [6297] = 2530,
  [6298] = 6298,
  [6299] = 6299,
  [6300] = 2528,
  [6301] = 6301,
  [6302] = 2527,
  [6303] = 6303,
  [6304] = 6304,
  [6305] = 2526,
  [6306] = 6284,
  [6307] = 2525,
  [6308] = 6287,
  [6309] = 2524,
  [6310] = 2523,
  [6311] = 5824,
  [6312] = 2522,
  [6313] = 5824,
  [6314] = 2521,
  [6315] = 5822,
  [6316] = 6316,
  [6317] = 6317,
  [6318] = 6318,
  [6319] = 6319,
  [6320] = 6320,
  [6321] = 6321,
  [6322] = 6322,
  [6323] = 6323,
  [6324] = 6324,
  [6325] = 5915,
  [6326] = 5815,
  [6327] = 5913,
  [6328] = 6328,
  [6329] = 6221,
  [6330] = 5910,
  [6331] = 6171,
  [6332] = 5906,
  [6333] = 5814,
  [6334] = 6334,
  [6335] = 6335,
  [6336] = 6336,
  [6337] = 6337,
  [6338] = 6338,
  [6339] = 6339,
  [6340] = 6340,
  [6341] = 5851,
  [6342] = 5850,
  [6343] = 6343,
  [6344] = 6344,
  [6345] = 6345,
  [6346] = 6346,
  [6347] = 6347,
  [6348] = 6348,
  [6349] = 6349,
  [6350] = 6350,
  [6351] = 6351,
  [6352] = 6352,
  [6353] = 6353,
  [6354] = 6093,
  [6355] = 6355,
  [6356] = 6356,
  [6357] = 6357,
  [6358] = 6358,
  [6359] = 6359,
  [6360] = 6360,
  [6361] = 6361,
  [6362] = 6362,
  [6363] = 6363,
  [6364] = 6364,
  [6365] = 6365,
  [6366] = 5971,
  [6367] = 6367,
  [6368] = 6368,
  [6369] = 6369,
  [6370] = 6370,
  [6371] = 6371,
  [6372] = 4670,
  [6373] = 6373,
  [6374] = 6374,
  [6375] = 5953,
  [6376] = 6376,
  [6377] = 5824,
  [6378] = 5951,
  [6379] = 6379,
  [6380] = 6380,
  [6381] = 6381,
  [6382] = 6382,
  [6383] = 6383,
  [6384] = 6384,
  [6385] = 6385,
  [6386] = 6386,
  [6387] = 6387,
  [6388] = 6388,
  [6389] = 5879,
  [6390] = 6390,
  [6391] = 5915,
  [6392] = 5846,
  [6393] = 5913,
  [6394] = 6394,
  [6395] = 5910,
  [6396] = 5850,
  [6397] = 5851,
  [6398] = 5906,
  [6399] = 5905,
  [6400] = 6400,
  [6401] = 6401,
  [6402] = 6020,
  [6403] = 5822,
  [6404] = 6018,
  [6405] = 6017,
  [6406] = 6016,
  [6407] = 6407,
  [6408] = 5903,
  [6409] = 5878,
  [6410] = 6410,
  [6411] = 6411,
  [6412] = 6412,
  [6413] = 5879,
  [6414] = 5878,
  [6415] = 6415,
  [6416] = 6416,
  [6417] = 6417,
  [6418] = 5878,
  [6419] = 5879,
  [6420] = 5851,
  [6421] = 6421,
  [6422] = 4714,
  [6423] = 5850,
  [6424] = 6424,
  [6425] = 5830,
  [6426] = 6426,
  [6427] = 5846,
  [6428] = 5889,
  [6429] = 6429,
  [6430] = 6430,
  [6431] = 6431,
  [6432] = 5893,
  [6433] = 6433,
  [6434] = 6434,
  [6435] = 6435,
  [6436] = 6436,
  [6437] = 6437,
  [6438] = 6438,
  [6439] = 5945,
  [6440] = 5903,
  [6441] = 5841,
  [6442] = 5905,
  [6443] = 5906,
  [6444] = 6444,
  [6445] = 5910,
  [6446] = 5842,
  [6447] = 5913,
  [6448] = 5931,
  [6449] = 5915,
  [6450] = 6450,
  [6451] = 6451,
  [6452] = 6452,
  [6453] = 6453,
  [6454] = 6454,
  [6455] = 6455,
  [6456] = 5863,
  [6457] = 6457,
  [6458] = 6458,
  [6459] = 6459,
  [6460] = 6460,
  [6461] = 6461,
  [6462] = 6462,
  [6463] = 6463,
  [6464] = 6464,
  [6465] = 6465,
  [6466] = 6466,
  [6467] = 5804,
  [6468] = 5819,
  [6469] = 5821,
  [6470] = 5936,
  [6471] = 6471,
  [6472] = 5938,
  [6473] = 5953,
  [6474] = 5940,
  [6475] = 6475,
  [6476] = 5942,
  [6477] = 6082,
  [6478] = 5944,
  [6479] = 6479,
  [6480] = 5951,
  [6481] = 6481,
  [6482] = 6482,
  [6483] = 6483,
  [6484] = 2699,
  [6485] = 6485,
  [6486] = 6486,
  [6487] = 6487,
  [6488] = 6488,
  [6489] = 6489,
  [6490] = 3531,
  [6491] = 6491,
  [6492] = 6492,
  [6493] = 6493,
  [6494] = 6494,
  [6495] = 6482,
  [6496] = 6496,
  [6497] = 3548,
  [6498] = 6498,
  [6499] = 6499,
  [6500] = 6481,
  [6501] = 6501,
  [6502] = 3539,
  [6503] = 6503,
  [6504] = 6504,
  [6505] = 6505,
  [6506] = 6506,
  [6507] = 6507,
  [6508] = 6508,
  [6509] = 6509,
  [6510] = 6510,
  [6511] = 6511,
  [6512] = 6512,
  [6513] = 6513,
  [6514] = 6504,
  [6515] = 6515,
  [6516] = 6516,
  [6517] = 6505,
  [6518] = 6518,
  [6519] = 6519,
  [6520] = 6520,
  [6521] = 6521,
  [6522] = 6522,
  [6523] = 6523,
  [6524] = 6524,
  [6525] = 6507,
  [6526] = 6516,
  [6527] = 6522,
  [6528] = 4858,
  [6529] = 6529,
  [6530] = 6530,
  [6531] = 6485,
  [6532] = 6532,
  [6533] = 4855,
  [6534] = 4854,
  [6535] = 6535,
  [6536] = 6536,
  [6537] = 6529,
  [6538] = 6538,
  [6539] = 6539,
  [6540] = 6540,
  [6541] = 6509,
  [6542] = 6532,
  [6543] = 6543,
  [6544] = 6544,
  [6545] = 6545,
  [6546] = 6546,
  [6547] = 6547,
  [6548] = 6548,
  [6549] = 6549,
  [6550] = 6550,
  [6551] = 6505,
  [6552] = 6552,
  [6553] = 6553,
  [6554] = 6554,
  [6555] = 6508,
  [6556] = 6556,
  [6557] = 6510,
  [6558] = 6558,
  [6559] = 6559,
  [6560] = 6518,
  [6561] = 6561,
  [6562] = 6562,
  [6563] = 6563,
  [6564] = 6564,
  [6565] = 6565,
  [6566] = 6521,
  [6567] = 6523,
  [6568] = 6507,
  [6569] = 6548,
  [6570] = 6570,
  [6571] = 6571,
  [6572] = 6532,
  [6573] = 6573,
  [6574] = 2660,
  [6575] = 6565,
  [6576] = 2659,
  [6577] = 6577,
  [6578] = 3511,
  [6579] = 6579,
  [6580] = 6580,
  [6581] = 6515,
  [6582] = 6582,
  [6583] = 6583,
  [6584] = 6505,
  [6585] = 6585,
  [6586] = 6586,
  [6587] = 6587,
  [6588] = 6588,
  [6589] = 6589,
  [6590] = 6590,
  [6591] = 6591,
  [6592] = 6591,
  [6593] = 6511,
  [6594] = 6594,
  [6595] = 6550,
  [6596] = 6590,
  [6597] = 6507,
  [6598] = 6598,
  [6599] = 6583,
  [6600] = 6554,
  [6601] = 6601,
  [6602] = 6585,
  [6603] = 6603,
  [6604] = 6498,
  [6605] = 6605,
  [6606] = 6486,
  [6607] = 6562,
  [6608] = 6561,
  [6609] = 6550,
  [6610] = 6594,
  [6611] = 6594,
  [6612] = 6511,
  [6613] = 6613,
  [6614] = 6614,
  [6615] = 6615,
  [6616] = 6603,
  [6617] = 3510,
  [6618] = 3532,
  [6619] = 6619,
  [6620] = 3554,
  [6621] = 6586,
  [6622] = 6552,
  [6623] = 6623,
  [6624] = 3561,
  [6625] = 6546,
  [6626] = 6626,
  [6627] = 6544,
  [6628] = 6543,
  [6629] = 976,
  [6630] = 6530,
  [6631] = 6529,
  [6632] = 6632,
  [6633] = 6548,
  [6634] = 6487,
  [6635] = 6488,
  [6636] = 6547,
  [6637] = 6565,
  [6638] = 6564,
  [6639] = 6556,
  [6640] = 3547,
  [6641] = 6545,
  [6642] = 6538,
  [6643] = 6492,
  [6644] = 6493,
  [6645] = 6511,
  [6646] = 6494,
  [6647] = 6482,
  [6648] = 6532,
  [6649] = 6649,
  [6650] = 6650,
  [6651] = 6509,
  [6652] = 6538,
  [6653] = 6504,
  [6654] = 6654,
  [6655] = 6655,
  [6656] = 6656,
  [6657] = 6508,
  [6658] = 6658,
  [6659] = 6659,
  [6660] = 6510,
  [6661] = 975,
  [6662] = 997,
  [6663] = 6523,
  [6664] = 6521,
  [6665] = 6665,
  [6666] = 977,
  [6667] = 978,
  [6668] = 6668,
  [6669] = 6669,
  [6670] = 6670,
  [6671] = 6518,
  [6672] = 979,
  [6673] = 980,
  [6674] = 6510,
  [6675] = 6518,
  [6676] = 6529,
  [6677] = 6508,
  [6678] = 6678,
  [6679] = 310,
  [6680] = 6680,
  [6681] = 6521,
  [6682] = 6523,
  [6683] = 6530,
  [6684] = 3536,
  [6685] = 6594,
  [6686] = 6550,
  [6687] = 6687,
  [6688] = 6516,
  [6689] = 6522,
  [6690] = 3537,
  [6691] = 6486,
  [6692] = 6603,
  [6693] = 6601,
  [6694] = 340,
  [6695] = 6554,
  [6696] = 6507,
  [6697] = 6590,
  [6698] = 6698,
  [6699] = 6583,
  [6700] = 6700,
  [6701] = 6498,
  [6702] = 6538,
  [6703] = 6509,
  [6704] = 6591,
  [6705] = 6532,
  [6706] = 6586,
  [6707] = 6556,
  [6708] = 6585,
  [6709] = 6556,
  [6710] = 1118,
  [6711] = 6564,
  [6712] = 6529,
  [6713] = 6485,
  [6714] = 3512,
  [6715] = 6715,
  [6716] = 6716,
  [6717] = 983,
  [6718] = 6564,
  [6719] = 6565,
  [6720] = 6504,
  [6721] = 984,
  [6722] = 6722,
  [6723] = 6723,
  [6724] = 985,
  [6725] = 987,
  [6726] = 6548,
  [6727] = 6516,
  [6728] = 6522,
  [6729] = 988,
  [6730] = 6485,
  [6731] = 6731,
  [6732] = 6573,
  [6733] = 6519,
  [6734] = 6562,
  [6735] = 6605,
  [6736] = 6496,
  [6737] = 6737,
  [6738] = 991,
  [6739] = 993,
  [6740] = 995,
  [6741] = 6741,
  [6742] = 996,
  [6743] = 6561,
  [6744] = 1011,
  [6745] = 6745,
  [6746] = 998,
  [6747] = 6747,
  [6748] = 3551,
  [6749] = 6749,
  [6750] = 6515,
  [6751] = 6585,
  [6752] = 6752,
  [6753] = 6753,
  [6754] = 6754,
  [6755] = 6755,
  [6756] = 3562,
  [6757] = 6585,
  [6758] = 6758,
  [6759] = 6505,
  [6760] = 6760,
  [6761] = 6761,
  [6762] = 6762,
  [6763] = 6763,
  [6764] = 6731,
  [6765] = 1001,
  [6766] = 3546,
  [6767] = 6767,
  [6768] = 6768,
  [6769] = 1142,
  [6770] = 6496,
  [6771] = 1143,
  [6772] = 1145,
  [6773] = 1002,
  [6774] = 6774,
  [6775] = 6482,
  [6776] = 6776,
  [6777] = 6494,
  [6778] = 6493,
  [6779] = 6558,
  [6780] = 6780,
  [6781] = 6492,
  [6782] = 6782,
  [6783] = 6552,
  [6784] = 6546,
  [6785] = 6785,
  [6786] = 6698,
  [6787] = 6488,
  [6788] = 6487,
  [6789] = 6544,
  [6790] = 6543,
  [6791] = 6507,
  [6792] = 6539,
  [6793] = 6483,
  [6794] = 3553,
  [6795] = 6795,
  [6796] = 3555,
  [6797] = 6797,
  [6798] = 6797,
  [6799] = 6512,
  [6800] = 6800,
  [6801] = 6513,
  [6802] = 6562,
  [6803] = 6563,
  [6804] = 6804,
  [6805] = 3528,
  [6806] = 1006,
  [6807] = 6513,
  [6808] = 6539,
  [6809] = 6545,
  [6810] = 6481,
  [6811] = 6543,
  [6812] = 6544,
  [6813] = 6535,
  [6814] = 6546,
  [6815] = 6815,
  [6816] = 6816,
  [6817] = 6511,
  [6818] = 6594,
  [6819] = 6552,
  [6820] = 6550,
  [6821] = 6494,
  [6822] = 6558,
  [6823] = 6553,
  [6824] = 6824,
  [6825] = 6825,
  [6826] = 6493,
  [6827] = 6577,
  [6828] = 6579,
  [6829] = 6582,
  [6830] = 6590,
  [6831] = 6481,
  [6832] = 6501,
  [6833] = 6561,
  [6834] = 6591,
  [6835] = 6835,
  [6836] = 6562,
  [6837] = 6512,
  [6838] = 1008,
  [6839] = 6492,
  [6840] = 1010,
  [6841] = 6586,
  [6842] = 1012,
  [6843] = 1013,
  [6844] = 325,
  [6845] = 6797,
  [6846] = 1015,
  [6847] = 6737,
  [6848] = 6483,
  [6849] = 6849,
  [6850] = 6585,
  [6851] = 1016,
  [6852] = 6545,
  [6853] = 6549,
  [6854] = 1017,
  [6855] = 1021,
  [6856] = 6561,
  [6857] = 6586,
  [6858] = 6591,
  [6859] = 6859,
  [6860] = 6590,
  [6861] = 1023,
  [6862] = 1024,
  [6863] = 6863,
  [6864] = 6487,
  [6865] = 6488,
  [6866] = 6800,
  [6867] = 6550,
  [6868] = 6594,
  [6869] = 6747,
  [6870] = 1026,
  [6871] = 6737,
  [6872] = 6511,
  [6873] = 1029,
  [6874] = 6492,
  [6875] = 6523,
  [6876] = 6521,
  [6877] = 6493,
  [6878] = 6760,
  [6879] = 1175,
  [6880] = 1176,
  [6881] = 6505,
  [6882] = 6782,
  [6883] = 1177,
  [6884] = 6547,
  [6885] = 6562,
  [6886] = 6561,
  [6887] = 6747,
  [6888] = 6494,
  [6889] = 6760,
  [6890] = 3534,
  [6891] = 6782,
  [6892] = 1179,
  [6893] = 6558,
  [6894] = 1180,
  [6895] = 1105,
  [6896] = 1030,
  [6897] = 6482,
  [6898] = 1184,
  [6899] = 1185,
  [6900] = 1187,
  [6901] = 6547,
  [6902] = 6700,
  [6903] = 1188,
  [6904] = 6904,
  [6905] = 6546,
  [6906] = 6544,
  [6907] = 1106,
  [6908] = 6496,
  [6909] = 6758,
  [6910] = 6543,
  [6911] = 6911,
  [6912] = 6912,
  [6913] = 1103,
  [6914] = 6558,
  [6915] = 1102,
  [6916] = 6565,
  [6917] = 6518,
  [6918] = 3507,
  [6919] = 6919,
  [6920] = 6564,
  [6921] = 1031,
  [6922] = 6556,
  [6923] = 6670,
  [6924] = 6924,
  [6925] = 6780,
  [6926] = 6549,
  [6927] = 1035,
  [6928] = 6552,
  [6929] = 6904,
  [6930] = 6549,
  [6931] = 6931,
  [6932] = 6932,
  [6933] = 6933,
  [6934] = 6546,
  [6935] = 6532,
  [6936] = 6936,
  [6937] = 6544,
  [6938] = 6938,
  [6939] = 6780,
  [6940] = 6543,
  [6941] = 1027,
  [6942] = 4972,
  [6943] = 1022,
  [6944] = 1020,
  [6945] = 6912,
  [6946] = 6932,
  [6947] = 1019,
  [6948] = 6948,
  [6949] = 6509,
  [6950] = 6538,
  [6951] = 6951,
  [6952] = 6952,
  [6953] = 6953,
  [6954] = 1036,
  [6955] = 6919,
  [6956] = 1094,
  [6957] = 6938,
  [6958] = 3560,
  [6959] = 1037,
  [6960] = 1093,
  [6961] = 6948,
  [6962] = 6758,
  [6963] = 1092,
  [6964] = 6951,
  [6965] = 6952,
  [6966] = 6953,
  [6967] = 6523,
  [6968] = 6539,
  [6969] = 6969,
  [6970] = 6970,
  [6971] = 6521,
  [6972] = 6972,
  [6973] = 1039,
  [6974] = 1000,
  [6975] = 6539,
  [6976] = 6700,
  [6977] = 6977,
  [6978] = 6978,
  [6979] = 6979,
  [6980] = 6488,
  [6981] = 6859,
  [6982] = 6513,
  [6983] = 1091,
  [6984] = 6512,
  [6985] = 6985,
  [6986] = 982,
  [6987] = 1090,
  [6988] = 1014,
  [6989] = 6989,
  [6990] = 6518,
  [6991] = 965,
  [6992] = 969,
  [6993] = 6797,
  [6994] = 6483,
  [6995] = 3533,
  [6996] = 6996,
  [6997] = 970,
  [6998] = 6668,
  [6999] = 6510,
  [7000] = 6665,
  [7001] = 6510,
  [7002] = 7002,
  [7003] = 6487,
  [7004] = 6508,
  [7005] = 962,
  [7006] = 6859,
  [7007] = 989,
  [7008] = 7008,
  [7009] = 6919,
  [7010] = 974,
  [7011] = 6508,
  [7012] = 6737,
  [7013] = 6487,
  [7014] = 6488,
  [7015] = 1171,
  [7016] = 981,
  [7017] = 7017,
  [7018] = 7018,
  [7019] = 6552,
  [7020] = 990,
  [7021] = 6493,
  [7022] = 6494,
  [7023] = 1041,
  [7024] = 326,
  [7025] = 7025,
  [7026] = 1042,
  [7027] = 1043,
  [7028] = 6501,
  [7029] = 1025,
  [7030] = 1044,
  [7031] = 6515,
  [7032] = 1046,
  [7033] = 7033,
  [7034] = 1048,
  [7035] = 1040,
  [7036] = 7036,
  [7037] = 1049,
  [7038] = 1051,
  [7039] = 1193,
  [7040] = 1052,
  [7041] = 6482,
  [7042] = 1192,
  [7043] = 6795,
  [7044] = 6768,
  [7045] = 1054,
  [7046] = 6767,
  [7047] = 1055,
  [7048] = 6486,
  [7049] = 6762,
  [7050] = 6603,
  [7051] = 1056,
  [7052] = 1061,
  [7053] = 1062,
  [7054] = 6601,
  [7055] = 1063,
  [7056] = 6554,
  [7057] = 1074,
  [7058] = 6496,
  [7059] = 1075,
  [7060] = 6919,
  [7061] = 1076,
  [7062] = 6583,
  [7063] = 6498,
  [7064] = 1085,
  [7065] = 1181,
  [7066] = 1178,
  [7067] = 6513,
  [7068] = 6780,
  [7069] = 1086,
  [7070] = 1174,
  [7071] = 1088,
  [7072] = 1173,
  [7073] = 6549,
  [7074] = 6481,
  [7075] = 6501,
  [7076] = 1172,
  [7077] = 1097,
  [7078] = 6758,
  [7079] = 6498,
  [7080] = 6583,
  [7081] = 6700,
  [7082] = 1107,
  [7083] = 7083,
  [7084] = 7084,
  [7085] = 7085,
  [7086] = 6565,
  [7087] = 1170,
  [7088] = 6737,
  [7089] = 1110,
  [7090] = 1111,
  [7091] = 6859,
  [7092] = 6529,
  [7093] = 1169,
  [7094] = 1167,
  [7095] = 1112,
  [7096] = 1166,
  [7097] = 6859,
  [7098] = 6619,
  [7099] = 1113,
  [7100] = 1165,
  [7101] = 1164,
  [7102] = 1114,
  [7103] = 6737,
  [7104] = 7104,
  [7105] = 6700,
  [7106] = 6504,
  [7107] = 1163,
  [7108] = 7108,
  [7109] = 6499,
  [7110] = 6492,
  [7111] = 6758,
  [7112] = 6489,
  [7113] = 1081,
  [7114] = 1162,
  [7115] = 6549,
  [7116] = 1080,
  [7117] = 1079,
  [7118] = 1160,
  [7119] = 7119,
  [7120] = 6780,
  [7121] = 6515,
  [7122] = 1073,
  [7123] = 1072,
  [7124] = 1158,
  [7125] = 6919,
  [7126] = 1071,
  [7127] = 6501,
  [7128] = 1070,
  [7129] = 1069,
  [7130] = 6601,
  [7131] = 1067,
  [7132] = 1156,
  [7133] = 1066,
  [7134] = 6483,
  [7135] = 1065,
  [7136] = 6504,
  [7137] = 1155,
  [7138] = 1064,
  [7139] = 1154,
  [7140] = 7140,
  [7141] = 6613,
  [7142] = 1136,
  [7143] = 7143,
  [7144] = 1137,
  [7145] = 6512,
  [7146] = 1153,
  [7147] = 1147,
  [7148] = 6548,
  [7149] = 6516,
  [7150] = 6522,
  [7151] = 1144,
  [7152] = 1047,
  [7153] = 1060,
  [7154] = 6485,
  [7155] = 968,
  [7156] = 6536,
  [7157] = 7157,
  [7158] = 6486,
  [7159] = 6752,
  [7160] = 6603,
  [7161] = 6761,
  [7162] = 6601,
  [7163] = 6554,
  [7164] = 6797,
  [7165] = 7165,
  [7166] = 1138,
  [7167] = 1139,
  [7168] = 7108,
  [7169] = 7169,
  [7170] = 1140,
  [7171] = 6978,
  [7172] = 972,
  [7173] = 7173,
  [7174] = 7174,
  [7175] = 7175,
  [7176] = 7176,
  [7177] = 7177,
  [7178] = 7178,
  [7179] = 7179,
  [7180] = 7180,
  [7181] = 7181,
  [7182] = 7182,
  [7183] = 7183,
  [7184] = 7184,
  [7185] = 7185,
  [7186] = 7186,
  [7187] = 7187,
  [7188] = 7188,
  [7189] = 7189,
  [7190] = 7190,
  [7191] = 7191,
  [7192] = 7177,
  [7193] = 7193,
  [7194] = 7194,
  [7195] = 7195,
  [7196] = 7196,
  [7197] = 7178,
  [7198] = 7198,
  [7199] = 7199,
  [7200] = 7200,
  [7201] = 7201,
  [7202] = 7202,
  [7203] = 7203,
  [7204] = 7179,
  [7205] = 7175,
  [7206] = 7206,
  [7207] = 7207,
  [7208] = 7208,
  [7209] = 7209,
  [7210] = 7210,
  [7211] = 7211,
  [7212] = 7212,
  [7213] = 7176,
  [7214] = 7176,
  [7215] = 7211,
  [7216] = 7212,
  [7217] = 7180,
  [7218] = 7206,
  [7219] = 7219,
  [7220] = 7208,
  [7221] = 7221,
  [7222] = 7207,
  [7223] = 7223,
  [7224] = 7200,
  [7225] = 7181,
  [7226] = 7199,
  [7227] = 7198,
  [7228] = 7183,
  [7229] = 7203,
  [7230] = 7230,
  [7231] = 7231,
  [7232] = 7232,
  [7233] = 7201,
  [7234] = 7234,
  [7235] = 7235,
  [7236] = 7236,
  [7237] = 7212,
  [7238] = 7184,
  [7239] = 7239,
  [7240] = 7240,
  [7241] = 7241,
  [7242] = 7186,
  [7243] = 7188,
  [7244] = 7244,
  [7245] = 7189,
  [7246] = 7194,
  [7247] = 7187,
  [7248] = 7177,
  [7249] = 7249,
  [7250] = 7190,
  [7251] = 7178,
  [7252] = 7221,
  [7253] = 7179,
  [7254] = 7178,
  [7255] = 7196,
  [7256] = 7177,
  [7257] = 4813,
  [7258] = 7179,
  [7259] = 7209,
  [7260] = 7175,
  [7261] = 7193,
  [7262] = 7187,
  [7263] = 7263,
  [7264] = 7198,
  [7265] = 7199,
  [7266] = 7200,
  [7267] = 7267,
  [7268] = 7268,
  [7269] = 7187,
  [7270] = 7263,
  [7271] = 7271,
  [7272] = 7206,
  [7273] = 7271,
  [7274] = 7274,
  [7275] = 7219,
  [7276] = 7276,
  [7277] = 7211,
  [7278] = 7212,
  [7279] = 7176,
  [7280] = 7280,
  [7281] = 7211,
  [7282] = 7282,
  [7283] = 7203,
  [7284] = 7274,
  [7285] = 7223,
  [7286] = 7208,
  [7287] = 7287,
  [7288] = 7207,
  [7289] = 7289,
  [7290] = 7280,
  [7291] = 7230,
  [7292] = 7232,
  [7293] = 7234,
  [7294] = 7294,
  [7295] = 7203,
  [7296] = 7296,
  [7297] = 7194,
  [7298] = 7298,
  [7299] = 7201,
  [7300] = 7300,
  [7301] = 7268,
  [7302] = 7235,
  [7303] = 7303,
  [7304] = 7236,
  [7305] = 7201,
  [7306] = 7239,
  [7307] = 7240,
  [7308] = 7308,
  [7309] = 7241,
  [7310] = 7310,
  [7311] = 7203,
  [7312] = 7194,
  [7313] = 7182,
  [7314] = 7202,
  [7315] = 7315,
  [7316] = 7316,
  [7317] = 7268,
  [7318] = 7310,
  [7319] = 7207,
  [7320] = 7208,
  [7321] = 7321,
  [7322] = 7322,
  [7323] = 7323,
  [7324] = 7231,
  [7325] = 7325,
  [7326] = 7199,
  [7327] = 7200,
  [7328] = 7189,
  [7329] = 7316,
  [7330] = 7211,
  [7331] = 7206,
  [7332] = 7332,
  [7333] = 7296,
  [7334] = 7212,
  [7335] = 7298,
  [7336] = 7211,
  [7337] = 7176,
  [7338] = 7338,
  [7339] = 7339,
  [7340] = 7208,
  [7341] = 7212,
  [7342] = 7207,
  [7343] = 7271,
  [7344] = 7203,
  [7345] = 7345,
  [7346] = 7346,
  [7347] = 7201,
  [7348] = 7348,
  [7349] = 7231,
  [7350] = 7350,
  [7351] = 7350,
  [7352] = 7348,
  [7353] = 7206,
  [7354] = 7346,
  [7355] = 7339,
  [7356] = 7338,
  [7357] = 7200,
  [7358] = 7199,
  [7359] = 7198,
  [7360] = 7208,
  [7361] = 7361,
  [7362] = 7268,
  [7363] = 7363,
  [7364] = 7325,
  [7365] = 7280,
  [7366] = 7366,
  [7367] = 7280,
  [7368] = 7338,
  [7369] = 7339,
  [7370] = 7193,
  [7371] = 7298,
  [7372] = 7372,
  [7373] = 7296,
  [7374] = 7175,
  [7375] = 7346,
  [7376] = 7209,
  [7377] = 7377,
  [7378] = 7378,
  [7379] = 7231,
  [7380] = 7271,
  [7381] = 7298,
  [7382] = 7296,
  [7383] = 7383,
  [7384] = 7348,
  [7385] = 7298,
  [7386] = 7177,
  [7387] = 7296,
  [7388] = 7178,
  [7389] = 7179,
  [7390] = 7350,
  [7391] = 7241,
  [7392] = 7240,
  [7393] = 7393,
  [7394] = 7239,
  [7395] = 7236,
  [7396] = 7235,
  [7397] = 7234,
  [7398] = 7187,
  [7399] = 7276,
  [7400] = 7308,
  [7401] = 7298,
  [7402] = 7296,
  [7403] = 7322,
  [7404] = 7232,
  [7405] = 7323,
  [7406] = 7332,
  [7407] = 7407,
  [7408] = 7230,
  [7409] = 7223,
  [7410] = 7274,
  [7411] = 7219,
  [7412] = 7196,
  [7413] = 7413,
  [7414] = 7195,
  [7415] = 7415,
  [7416] = 7221,
  [7417] = 7189,
  [7418] = 7193,
  [7419] = 7207,
  [7420] = 7188,
  [7421] = 7345,
  [7422] = 7186,
  [7423] = 7423,
  [7424] = 7184,
  [7425] = 7183,
  [7426] = 7300,
  [7427] = 7298,
  [7428] = 7296,
  [7429] = 7181,
  [7430] = 7180,
  [7431] = 7431,
  [7432] = 7194,
  [7433] = 7244,
  [7434] = 7316,
  [7435] = 7315,
  [7436] = 7202,
  [7437] = 7182,
  [7438] = 7209,
  [7439] = 7300,
  [7440] = 7298,
  [7441] = 7441,
  [7442] = 7338,
  [7443] = 7443,
  [7444] = 7339,
  [7445] = 7296,
  [7446] = 7175,
  [7447] = 7346,
  [7448] = 7348,
  [7449] = 7350,
  [7450] = 7209,
  [7451] = 7244,
  [7452] = 7180,
  [7453] = 7181,
  [7454] = 7183,
  [7455] = 7455,
  [7456] = 7456,
  [7457] = 7315,
  [7458] = 7184,
  [7459] = 7186,
  [7460] = 7188,
  [7461] = 7300,
  [7462] = 7383,
  [7463] = 7244,
  [7464] = 7189,
  [7465] = 7465,
  [7466] = 7466,
  [7467] = 7190,
  [7468] = 7221,
  [7469] = 7206,
  [7470] = 7470,
  [7471] = 7298,
  [7472] = 7296,
  [7473] = 7473,
  [7474] = 7177,
  [7475] = 7431,
  [7476] = 7377,
  [7477] = 7477,
  [7478] = 7478,
  [7479] = 7178,
  [7480] = 7179,
  [7481] = 7187,
  [7482] = 7263,
  [7483] = 7300,
  [7484] = 7209,
  [7485] = 7298,
  [7486] = 7175,
  [7487] = 7296,
  [7488] = 7488,
  [7489] = 7244,
  [7490] = 7296,
  [7491] = 7196,
  [7492] = 7298,
  [7493] = 7263,
  [7494] = 7494,
  [7495] = 7495,
  [7496] = 7200,
  [7497] = 7199,
  [7498] = 7498,
  [7499] = 7372,
  [7500] = 7325,
  [7501] = 7193,
  [7502] = 7175,
  [7503] = 7187,
  [7504] = 7177,
  [7505] = 7178,
  [7506] = 7179,
  [7507] = 7300,
  [7508] = 7508,
  [7509] = 7193,
  [7510] = 7175,
  [7511] = 7209,
  [7512] = 7182,
  [7513] = 7202,
  [7514] = 7187,
  [7515] = 7315,
  [7516] = 7193,
  [7517] = 7517,
  [7518] = 7193,
  [7519] = 7210,
  [7520] = 7179,
  [7521] = 7178,
  [7522] = 7177,
  [7523] = 7523,
  [7524] = 7431,
  [7525] = 7198,
  [7526] = 7339,
  [7527] = 7346,
  [7528] = 7528,
  [7529] = 7372,
  [7530] = 7377,
  [7531] = 7531,
  [7532] = 7532,
  [7533] = 7316,
  [7534] = 7315,
  [7535] = 7441,
  [7536] = 7202,
  [7537] = 7239,
  [7538] = 918,
  [7539] = 7276,
  [7540] = 7308,
  [7541] = 7182,
  [7542] = 7542,
  [7543] = 7322,
  [7544] = 7244,
  [7545] = 7323,
  [7546] = 7332,
  [7547] = 7195,
  [7548] = 7241,
  [7549] = 7173,
  [7550] = 7240,
  [7551] = 7345,
  [7552] = 7350,
  [7553] = 7236,
  [7554] = 7348,
  [7555] = 7316,
  [7556] = 7346,
  [7557] = 7300,
  [7558] = 7339,
  [7559] = 7235,
  [7560] = 7244,
  [7561] = 7209,
  [7562] = 7298,
  [7563] = 7234,
  [7564] = 7372,
  [7565] = 7377,
  [7566] = 7296,
  [7567] = 7232,
  [7568] = 7300,
  [7569] = 7338,
  [7570] = 7268,
  [7571] = 7230,
  [7572] = 7223,
  [7573] = 7276,
  [7574] = 7308,
  [7575] = 7366,
  [7576] = 7300,
  [7577] = 7322,
  [7578] = 7173,
  [7579] = 7323,
  [7580] = 7332,
  [7581] = 7195,
  [7582] = 7274,
  [7583] = 7173,
  [7584] = 7244,
  [7585] = 7345,
  [7586] = 7325,
  [7587] = 7190,
  [7588] = 7201,
  [7589] = 7280,
  [7590] = 7180,
  [7591] = 7298,
  [7592] = 7372,
  [7593] = 7377,
  [7594] = 7181,
  [7595] = 7183,
  [7596] = 7296,
  [7597] = 7184,
  [7598] = 7186,
  [7599] = 7188,
  [7600] = 7244,
  [7601] = 7276,
  [7602] = 7308,
  [7603] = 7190,
  [7604] = 7221,
  [7605] = 7322,
  [7606] = 7196,
  [7607] = 7323,
  [7608] = 7332,
  [7609] = 7195,
  [7610] = 7219,
  [7611] = 7173,
  [7612] = 7219,
  [7613] = 7345,
  [7614] = 7274,
  [7615] = 7263,
  [7616] = 7187,
  [7617] = 7372,
  [7618] = 7377,
  [7619] = 7223,
  [7620] = 923,
  [7621] = 7179,
  [7622] = 7230,
  [7623] = 7178,
  [7624] = 7276,
  [7625] = 7308,
  [7626] = 7177,
  [7627] = 7322,
  [7628] = 7232,
  [7629] = 7323,
  [7630] = 7332,
  [7631] = 7234,
  [7632] = 7173,
  [7633] = 7345,
  [7634] = 7235,
  [7635] = 7236,
  [7636] = 7239,
  [7637] = 7473,
  [7638] = 7466,
  [7639] = 7240,
  [7640] = 7241,
  [7641] = 7441,
  [7642] = 7193,
  [7643] = 7175,
  [7644] = 7473,
  [7645] = 7466,
  [7646] = 7209,
  [7647] = 7441,
  [7648] = 7271,
  [7649] = 7473,
  [7650] = 7466,
  [7651] = 7651,
  [7652] = 7441,
  [7653] = 7653,
  [7654] = 7473,
  [7655] = 7466,
  [7656] = 7231,
  [7657] = 7441,
  [7658] = 7658,
  [7659] = 7473,
  [7660] = 7466,
  [7661] = 7661,
  [7662] = 7662,
};

static inline bool anon_sym_BANG_character_set_1(int32_t c) {
  return (c < 8192
    ? (c < 160
      ? (c < ' '
        ? (c >= '\t' && c <= '\r')
        : c <= ' ')
      : (c <= 160 || c == 5760))
    : (c <= 8203 || (c < 12288
      ? (c < 8287
        ? c == 8239
        : c <= 8288)
      : (c <= 12288 || c == 65279))));
}

static inline bool sym__glimmer_template_content_character_set_1(int32_t c) {
  return (c < 8232
    ? (c < 160
      ? (c < ' '
        ? (c >= '\t' && c <= '\r')
        : c <= ' ')
      : (c <= 160 || (c < 8192
        ? c == 5760
        : c <= 8203)))
    : (c <= 8233 || (c < 12288
      ? (c < 8287
        ? c == 8239
        : c <= 8288)
      : (c <= 12288 || c == 65279))));
}

static inline bool sym__glimmer_template_content_character_set_2(int32_t c) {
  return (c < 8192
    ? (c < ' '
      ? (c < 11
        ? c == '\t'
        : c <= '\r')
      : (c <= ' ' || (c < 5760
        ? c == 160
        : c <= 5760)))
    : (c <= 8203 || (c < 8287
      ? (c < 8239
        ? (c >= 8232 && c <= 8233)
        : c <= 8239)
      : (c <= 8288 || (c < 65279
        ? c == 12288
        : c <= 65279)))));
}

static inline bool aux_sym_jsx_text_token1_character_set_1(int32_t c) {
  return (c < 8232
    ? (c < 5760
      ? (c < 160
        ? (c >= '\t' && c <= '\r')
        : c <= 160)
      : (c <= 5760 || (c >= 8192 && c <= 8203)))
    : (c <= 8233 || (c < 12288
      ? (c < 8287
        ? c == 8239
        : c <= 8288)
      : (c <= 12288 || c == 65279))));
}

static inline bool aux_sym_jsx_text_token1_character_set_2(int32_t c) {
  return (c < 8232
    ? (c < 160
      ? (c < 11
        ? c == '\t'
        : c <= '\r')
      : (c <= 160 || (c < 8192
        ? c == 5760
        : c <= 8203)))
    : (c <= 8233 || (c < 12288
      ? (c < 8287
        ? c == 8239
        : c <= 8288)
      : (c <= 12288 || c == 65279))));
}

static inline bool sym_unescaped_double_string_fragment_character_set_1(int32_t c) {
  return (c < 8232
    ? (c < 160
      ? (c < ' '
        ? (c >= '\t' && c <= '\f')
        : c <= ' ')
      : (c <= 160 || (c < 8192
        ? c == 5760
        : c <= 8203)))
    : (c <= 8233 || (c < 12288
      ? (c < 8287
        ? c == 8239
        : c <= 8288)
      : (c <= 12288 || c == 65279))));
}

static inline bool sym_unescaped_double_string_fragment_character_set_2(int32_t c) {
  return (c < 8192
    ? (c < ' '
      ? (c < 11
        ? c == '\t'
        : c <= '\f')
      : (c <= ' ' || (c < 5760
        ? c == 160
        : c <= 5760)))
    : (c <= 8203 || (c < 8287
      ? (c < 8239
        ? (c >= 8232 && c <= 8233)
        : c <= 8239)
      : (c <= 8288 || (c < 65279
        ? c == 12288
        : c <= 65279)))));
}

static inline bool sym_identifier_character_set_1(int32_t c) {
  return (c < 160
    ? (c < ':'
      ? (c < 0
        ? c == 0
        : (c <= '#' || (c >= '%' && c <= '/')))
      : (c <= '@' || (c < '`'
        ? (c >= '[' && c <= '^')
        : (c <= '`' || (c >= '{' && c <= '~')))))
    : (c <= 160 || (c < 8287
      ? (c < 8192
        ? c == 5760
        : (c <= 8203 || c == 8239))
      : (c <= 8288 || (c < 65279
        ? c == 12288
        : c <= 65279)))));
}

static inline bool sym_identifier_character_set_2(int32_t c) {
  return (c < 8192
    ? (c < 160
      ? (c < 0
        ? c == 0
        : c <= '~')
      : (c <= 160 || c == 5760))
    : (c <= 8203 || (c < 12288
      ? (c < 8287
        ? c == 8239
        : c <= 8288)
      : (c <= 12288 || c == 65279))));
}

static inline bool sym_identifier_character_set_3(int32_t c) {
  return (c < 5760
    ? (c < '['
      ? (c < 0
        ? c == 0
        : (c <= '#' || (c >= '%' && c <= '@')))
      : (c <= '`' || (c < 160
        ? (c >= '{' && c <= '~')
        : c <= 160)))
    : (c <= 5760 || (c < 8287
      ? (c < 8239
        ? (c >= 8192 && c <= 8203)
        : c <= 8239)
      : (c <= 8288 || (c < 65279
        ? c == 12288
        : c <= 65279)))));
}

static inline bool sym_identifier_character_set_4(int32_t c) {
  return (c < 160
    ? (c < ':'
      ? (c < 0
        ? c == 0
        : (c <= '#' || (c >= '%' && c <= '/')))
      : (c <= '@' || (c < '{'
        ? (c >= '[' && c <= '`')
        : c <= '~')))
    : (c <= 160 || (c < 8287
      ? (c < 8192
        ? c == 5760
        : (c <= 8203 || c == 8239))
      : (c <= 8288 || (c < 65279
        ? c == 12288
        : c <= 65279)))));
}

static inline bool sym_identifier_character_set_5(int32_t c) {
  return (c < 5760
    ? (c < '`'
      ? (c < 0
        ? c == 0
        : (c <= '@' || (c >= '[' && c <= '^')))
      : (c <= '`' || (c < 160
        ? (c >= '{' && c <= '~')
        : c <= 160)))
    : (c <= 5760 || (c < 8287
      ? (c < 8239
        ? (c >= 8192 && c <= 8203)
        : c <= 8239)
      : (c <= 8288 || (c < 65279
        ? c == 12288
        : c <= 65279)))));
}

static inline bool sym_identifier_character_set_6(int32_t c) {
  return (c < 160
    ? (c < ':'
      ? (c < 0
        ? c == 0
        : (c <= '#' || (c >= '%' && c <= '/')))
      : (c <= '@' || (c < '`'
        ? (c >= '[' && c <= '^')
        : (c <= '`' || (c >= '|' && c <= '~')))))
    : (c <= 160 || (c < 8287
      ? (c < 8192
        ? c == 5760
        : (c <= 8203 || c == 8239))
      : (c <= 8288 || (c < 65279
        ? c == 12288
        : c <= 65279)))));
}

static inline bool sym_private_property_identifier_character_set_1(int32_t c) {
  return (c < 160
    ? (c < '['
      ? (c < 0
        ? c == 0
        : (c <= '#' || (c >= '%' && c <= '@')))
      : (c <= '^' || (c < '{'
        ? c == '`'
        : c <= '~')))
    : (c <= 160 || (c < 8287
      ? (c < 8192
        ? c == 5760
        : (c <= 8203 || c == 8239))
      : (c <= 8288 || (c < 65279
        ? c == 12288
        : c <= 65279)))));
}

static bool ts_lex(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (eof) ADVANCE(414);
      if (lookahead == '!') ADVANCE(454);
      if (lookahead == '"') ADVANCE(506);
      if (lookahead == '#') ADVANCE(34);
      if (lookahead == '$') ADVANCE(1032);
      if (lookahead == '%') ADVANCE(579);
      if (lookahead == '&') ADVANCE(558);
      if (lookahead == '\'') ADVANCE(507);
      if (lookahead == '(') ADVANCE(457);
      if (lookahead == ')') ADVANCE(458);
      if (lookahead == '*') ADVANCE(419);
      if (lookahead == '+') ADVANCE(571);
      if (lookahead == ',') ADVANCE(438);
      if (lookahead == '-') ADVANCE(575);
      if (lookahead == '.') ADVANCE(502);
      if (lookahead == '/') ADVANCE(628);
      if (lookahead == '0') ADVANCE(660);
      if (lookahead == ':') ADVANCE(473);
      if (lookahead == ';') ADVANCE(472);
      if (lookahead == '<') ADVANCE(584);
      if (lookahead == '=') ADVANCE(427);
      if (lookahead == '>') ADVANCE(498);
      if (lookahead == '?') ADVANCE(1052);
      if (lookahead == '@') ADVANCE(1046);
      if (lookahead == '[') ADVANCE(480);
      if (lookahead == '\\') ADVANCE(345);
      if (lookahead == ']') ADVANCE(481);
      if (lookahead == '^') ADVANCE(561);
      if (lookahead == '`') ADVANCE(626);
      if (lookahead == 'a') ADVANCE(810);
      if (lookahead == 'b') ADVANCE(951);
      if (lookahead == 'c') ADVANCE(779);
      if (lookahead == 'd') ADVANCE(836);
      if (lookahead == 'e') ADVANCE(894);
      if (lookahead == 'f') ADVANCE(880);
      if (lookahead == 'g') ADVANCE(900);
      if (lookahead == 'i') ADVANCE(909);
      if (lookahead == 'l') ADVANCE(837);
      if (lookahead == 'm') ADVANCE(945);
      if (lookahead == 'n') ADVANCE(780);
      if (lookahead == 'o') ADVANCE(815);
      if (lookahead == 'r') ADVANCE(839);
      if (lookahead == 's') ADVANCE(785);
      if (lookahead == 't') ADVANCE(789);
      if (lookahead == 'u') ADVANCE(930);
      if (lookahead == 'v') ADVANCE(792);
      if (lookahead == 'w') ADVANCE(878);
      if (lookahead == '{') ADVANCE(437);
      if (lookahead == '|') ADVANCE(564);
      if (lookahead == '}') ADVANCE(439);
      if (lookahead == '~') ADVANCE(601);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(677);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(662);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(403)
      if (lookahead != 0 &&
          lookahead > 31) ADVANCE(1041);
      END_STATE();
    case 1:
      if (lookahead == '\n') SKIP(65)
      if (lookahead == ' ') ADVANCE(1);
      if (lookahead == '&') ADVANCE(60);
      if (lookahead == '/') ADVANCE(488);
      if (lookahead == '<') ADVANCE(583);
      if (lookahead == '{') ADVANCE(436);
      if (aux_sym_jsx_text_token1_character_set_1(lookahead)) ADVANCE(490);
      if (lookahead != 0 &&
          lookahead != '>' &&
          lookahead != '}') ADVANCE(489);
      END_STATE();
    case 2:
      if (lookahead == '\n') SKIP(2)
      if (lookahead == '/') ADVANCE(483);
      if (lookahead == '<') ADVANCE(485);
      if (sym__glimmer_template_content_character_set_1(lookahead)) ADVANCE(484);
      if (lookahead != 0) ADVANCE(482);
      END_STATE();
    case 3:
      if (lookahead == '\n') SKIP(90)
      if (lookahead == '/') ADVANCE(69);
      if (lookahead == '[') ADVANCE(140);
      if (lookahead == '\\') ADVANCE(402);
      if (sym__glimmer_template_content_character_set_1(lookahead)) ADVANCE(629);
      if (lookahead != 0) ADVANCE(630);
      END_STATE();
    case 4:
      if (lookahead == ' ') ADVANCE(4);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '&' &&
          lookahead != '<' &&
          lookahead != '>' &&
          lookahead != '{' &&
          lookahead != '}') ADVANCE(489);
      END_STATE();
    case 5:
      if (lookahead == ' ') ADVANCE(5);
      if (lookahead == '*') ADVANCE(491);
      if (lookahead == '\n' ||
          lookahead == '&' ||
          lookahead == '<' ||
          lookahead == '>' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(72);
      if (lookahead != 0) ADVANCE(492);
      END_STATE();
    case 6:
      if (lookahead == '!') ADVANCE(454);
      if (lookahead == '"') ADVANCE(506);
      if (lookahead == '#') ADVANCE(139);
      if (lookahead == '%') ADVANCE(579);
      if (lookahead == '&') ADVANCE(558);
      if (lookahead == '\'') ADVANCE(507);
      if (lookahead == '(') ADVANCE(457);
      if (lookahead == ')') ADVANCE(458);
      if (lookahead == '*') ADVANCE(419);
      if (lookahead == '+') ADVANCE(570);
      if (lookahead == ',') ADVANCE(438);
      if (lookahead == '-') ADVANCE(574);
      if (lookahead == '.') ADVANCE(502);
      if (lookahead == '/') ADVANCE(577);
      if (lookahead == '0') ADVANCE(660);
      if (lookahead == ':') ADVANCE(473);
      if (lookahead == ';') ADVANCE(472);
      if (lookahead == '<') ADVANCE(586);
      if (lookahead == '=') ADVANCE(427);
      if (lookahead == '>') ADVANCE(498);
      if (lookahead == '?') ADVANCE(1052);
      if (lookahead == '@') ADVANCE(1046);
      if (lookahead == '[') ADVANCE(480);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == ']') ADVANCE(481);
      if (lookahead == '^') ADVANCE(561);
      if (lookahead == '`') ADVANCE(626);
      if (lookahead == 'a') ADVANCE(923);
      if (lookahead == 'b') ADVANCE(951);
      if (lookahead == 'c') ADVANCE(898);
      if (lookahead == 'd') ADVANCE(856);
      if (lookahead == 'e') ADVANCE(1025);
      if (lookahead == 'f') ADVANCE(1015);
      if (lookahead == 'i') ADVANCE(920);
      if (lookahead == 'l') ADVANCE(837);
      if (lookahead == 'm') ADVANCE(945);
      if (lookahead == 'n') ADVANCE(781);
      if (lookahead == 'o') ADVANCE(816);
      if (lookahead == 'r') ADVANCE(862);
      if (lookahead == 's') ADVANCE(785);
      if (lookahead == 't') ADVANCE(1030);
      if (lookahead == 'v') ADVANCE(946);
      if (lookahead == '{') ADVANCE(436);
      if (lookahead == '|') ADVANCE(563);
      if (lookahead == '}') ADVANCE(439);
      if (lookahead == '~') ADVANCE(601);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(750);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(662);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(6)
      if (lookahead != 0 &&
          lookahead > 31) ADVANCE(1041);
      END_STATE();
    case 7:
      if (lookahead == '!') ADVANCE(454);
      if (lookahead == '"') ADVANCE(506);
      if (lookahead == '#') ADVANCE(139);
      if (lookahead == '%') ADVANCE(579);
      if (lookahead == '&') ADVANCE(558);
      if (lookahead == '\'') ADVANCE(507);
      if (lookahead == '(') ADVANCE(457);
      if (lookahead == ')') ADVANCE(458);
      if (lookahead == '*') ADVANCE(419);
      if (lookahead == '+') ADVANCE(570);
      if (lookahead == ',') ADVANCE(438);
      if (lookahead == '-') ADVANCE(574);
      if (lookahead == '.') ADVANCE(502);
      if (lookahead == '/') ADVANCE(577);
      if (lookahead == '0') ADVANCE(660);
      if (lookahead == ':') ADVANCE(473);
      if (lookahead == '<') ADVANCE(586);
      if (lookahead == '=') ADVANCE(427);
      if (lookahead == '>') ADVANCE(498);
      if (lookahead == '?') ADVANCE(1052);
      if (lookahead == '@') ADVANCE(1046);
      if (lookahead == '[') ADVANCE(480);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == '^') ADVANCE(561);
      if (lookahead == '`') ADVANCE(626);
      if (lookahead == 'a') ADVANCE(810);
      if (lookahead == 'b') ADVANCE(951);
      if (lookahead == 'c') ADVANCE(897);
      if (lookahead == 'd') ADVANCE(856);
      if (lookahead == 'e') ADVANCE(1025);
      if (lookahead == 'f') ADVANCE(1015);
      if (lookahead == 'i') ADVANCE(920);
      if (lookahead == 'l') ADVANCE(837);
      if (lookahead == 'm') ADVANCE(945);
      if (lookahead == 'n') ADVANCE(780);
      if (lookahead == 'o') ADVANCE(816);
      if (lookahead == 'r') ADVANCE(862);
      if (lookahead == 's') ADVANCE(785);
      if (lookahead == 't') ADVANCE(1030);
      if (lookahead == 'u') ADVANCE(930);
      if (lookahead == 'v') ADVANCE(946);
      if (lookahead == '{') ADVANCE(437);
      if (lookahead == '|') ADVANCE(563);
      if (lookahead == '~') ADVANCE(601);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(747);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(662);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(7)
      if (lookahead != 0 &&
          lookahead > 31 &&
          lookahead != ';' &&
          lookahead != ']' &&
          lookahead != '}') ADVANCE(1041);
      END_STATE();
    case 8:
      if (lookahead == '!') ADVANCE(454);
      if (lookahead == '"') ADVANCE(506);
      if (lookahead == '#') ADVANCE(139);
      if (lookahead == '%') ADVANCE(579);
      if (lookahead == '&') ADVANCE(558);
      if (lookahead == '\'') ADVANCE(507);
      if (lookahead == '(') ADVANCE(457);
      if (lookahead == '*') ADVANCE(419);
      if (lookahead == '+') ADVANCE(570);
      if (lookahead == ',') ADVANCE(438);
      if (lookahead == '-') ADVANCE(574);
      if (lookahead == '.') ADVANCE(503);
      if (lookahead == '/') ADVANCE(577);
      if (lookahead == '0') ADVANCE(660);
      if (lookahead == ':') ADVANCE(473);
      if (lookahead == ';') ADVANCE(472);
      if (lookahead == '<') ADVANCE(585);
      if (lookahead == '=') ADVANCE(427);
      if (lookahead == '>') ADVANCE(498);
      if (lookahead == '?') ADVANCE(1052);
      if (lookahead == '[') ADVANCE(480);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == '^') ADVANCE(561);
      if (lookahead == '`') ADVANCE(626);
      if (lookahead == 'a') ADVANCE(924);
      if (lookahead == 'b') ADVANCE(951);
      if (lookahead == 'd') ADVANCE(856);
      if (lookahead == 'e') ADVANCE(1025);
      if (lookahead == 'f') ADVANCE(1015);
      if (lookahead == 'i') ADVANCE(934);
      if (lookahead == 'l') ADVANCE(837);
      if (lookahead == 'm') ADVANCE(945);
      if (lookahead == 'n') ADVANCE(781);
      if (lookahead == 'o') ADVANCE(816);
      if (lookahead == 'r') ADVANCE(862);
      if (lookahead == 's') ADVANCE(785);
      if (lookahead == 't') ADVANCE(1030);
      if (lookahead == '|') ADVANCE(563);
      if (lookahead == '}') ADVANCE(439);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(755);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(662);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(8)
      if (lookahead != 0 &&
          lookahead > 31 &&
          (lookahead < ')' || '@' < lookahead) &&
          lookahead != ']' &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(1041);
      END_STATE();
    case 9:
      if (lookahead == '!') ADVANCE(454);
      if (lookahead == '"') ADVANCE(506);
      if (lookahead == '#') ADVANCE(139);
      if (lookahead == '%') ADVANCE(579);
      if (lookahead == '&') ADVANCE(558);
      if (lookahead == '\'') ADVANCE(507);
      if (lookahead == '(') ADVANCE(457);
      if (lookahead == '*') ADVANCE(419);
      if (lookahead == '+') ADVANCE(570);
      if (lookahead == ',') ADVANCE(438);
      if (lookahead == '-') ADVANCE(574);
      if (lookahead == '.') ADVANCE(503);
      if (lookahead == '/') ADVANCE(577);
      if (lookahead == '0') ADVANCE(660);
      if (lookahead == ':') ADVANCE(473);
      if (lookahead == ';') ADVANCE(472);
      if (lookahead == '<') ADVANCE(585);
      if (lookahead == '=') ADVANCE(427);
      if (lookahead == '>') ADVANCE(498);
      if (lookahead == '?') ADVANCE(1052);
      if (lookahead == '[') ADVANCE(480);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == '^') ADVANCE(561);
      if (lookahead == '`') ADVANCE(626);
      if (lookahead == 'a') ADVANCE(924);
      if (lookahead == 'b') ADVANCE(951);
      if (lookahead == 'd') ADVANCE(856);
      if (lookahead == 'e') ADVANCE(1025);
      if (lookahead == 'i') ADVANCE(934);
      if (lookahead == 'l') ADVANCE(837);
      if (lookahead == 'm') ADVANCE(945);
      if (lookahead == 'n') ADVANCE(781);
      if (lookahead == 'o') ADVANCE(816);
      if (lookahead == 'r') ADVANCE(862);
      if (lookahead == 's') ADVANCE(785);
      if (lookahead == 't') ADVANCE(1030);
      if (lookahead == '|') ADVANCE(563);
      if (lookahead == '}') ADVANCE(439);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(756);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(662);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(9)
      if (lookahead != 0 &&
          lookahead > 31 &&
          (lookahead < ')' || '@' < lookahead) &&
          lookahead != ']' &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(1041);
      END_STATE();
    case 10:
      if (lookahead == '!') ADVANCE(454);
      if (lookahead == '"') ADVANCE(506);
      if (lookahead == '#') ADVANCE(139);
      if (lookahead == '%') ADVANCE(579);
      if (lookahead == '&') ADVANCE(558);
      if (lookahead == '\'') ADVANCE(507);
      if (lookahead == '(') ADVANCE(457);
      if (lookahead == '*') ADVANCE(419);
      if (lookahead == '+') ADVANCE(570);
      if (lookahead == ',') ADVANCE(438);
      if (lookahead == '-') ADVANCE(574);
      if (lookahead == '.') ADVANCE(503);
      if (lookahead == '/') ADVANCE(577);
      if (lookahead == '0') ADVANCE(660);
      if (lookahead == ';') ADVANCE(472);
      if (lookahead == '<') ADVANCE(586);
      if (lookahead == '=') ADVANCE(427);
      if (lookahead == '>') ADVANCE(498);
      if (lookahead == '?') ADVANCE(78);
      if (lookahead == '@') ADVANCE(1046);
      if (lookahead == '[') ADVANCE(480);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == '^') ADVANCE(561);
      if (lookahead == '`') ADVANCE(626);
      if (lookahead == 'a') ADVANCE(923);
      if (lookahead == 'b') ADVANCE(951);
      if (lookahead == 'c') ADVANCE(898);
      if (lookahead == 'd') ADVANCE(856);
      if (lookahead == 'e') ADVANCE(1025);
      if (lookahead == 'f') ADVANCE(1015);
      if (lookahead == 'i') ADVANCE(920);
      if (lookahead == 'l') ADVANCE(837);
      if (lookahead == 'm') ADVANCE(945);
      if (lookahead == 'n') ADVANCE(781);
      if (lookahead == 'o') ADVANCE(815);
      if (lookahead == 'r') ADVANCE(862);
      if (lookahead == 's') ADVANCE(785);
      if (lookahead == 't') ADVANCE(1030);
      if (lookahead == 'v') ADVANCE(946);
      if (lookahead == '{') ADVANCE(436);
      if (lookahead == '|') ADVANCE(563);
      if (lookahead == '~') ADVANCE(601);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(749);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(662);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(10)
      if (lookahead != 0 &&
          lookahead > 31 &&
          (lookahead < ')' || ':' < lookahead) &&
          lookahead != ']' &&
          lookahead != '}') ADVANCE(1041);
      END_STATE();
    case 11:
      if (lookahead == '!') ADVANCE(454);
      if (lookahead == '"') ADVANCE(506);
      if (lookahead == '#') ADVANCE(139);
      if (lookahead == '%') ADVANCE(579);
      if (lookahead == '&') ADVANCE(558);
      if (lookahead == '\'') ADVANCE(507);
      if (lookahead == '(') ADVANCE(457);
      if (lookahead == '*') ADVANCE(419);
      if (lookahead == '+') ADVANCE(570);
      if (lookahead == ',') ADVANCE(438);
      if (lookahead == '-') ADVANCE(574);
      if (lookahead == '.') ADVANCE(503);
      if (lookahead == '/') ADVANCE(577);
      if (lookahead == '0') ADVANCE(660);
      if (lookahead == '<') ADVANCE(586);
      if (lookahead == '=') ADVANCE(427);
      if (lookahead == '>') ADVANCE(498);
      if (lookahead == '?') ADVANCE(78);
      if (lookahead == '@') ADVANCE(1046);
      if (lookahead == '[') ADVANCE(480);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == '^') ADVANCE(561);
      if (lookahead == '`') ADVANCE(626);
      if (lookahead == 'a') ADVANCE(923);
      if (lookahead == 'b') ADVANCE(951);
      if (lookahead == 'c') ADVANCE(898);
      if (lookahead == 'd') ADVANCE(856);
      if (lookahead == 'e') ADVANCE(1025);
      if (lookahead == 'f') ADVANCE(1015);
      if (lookahead == 'i') ADVANCE(910);
      if (lookahead == 'l') ADVANCE(837);
      if (lookahead == 'm') ADVANCE(945);
      if (lookahead == 'n') ADVANCE(781);
      if (lookahead == 'o') ADVANCE(816);
      if (lookahead == 'r') ADVANCE(862);
      if (lookahead == 's') ADVANCE(785);
      if (lookahead == 't') ADVANCE(1030);
      if (lookahead == 'v') ADVANCE(946);
      if (lookahead == '{') ADVANCE(436);
      if (lookahead == '|') ADVANCE(563);
      if (lookahead == '~') ADVANCE(601);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(751);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(662);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(11)
      if (lookahead != 0 &&
          lookahead > 31 &&
          (lookahead < ')' || ';' < lookahead) &&
          lookahead != ']' &&
          lookahead != '}') ADVANCE(1041);
      END_STATE();
    case 12:
      if (lookahead == '!') ADVANCE(454);
      if (lookahead == '"') ADVANCE(506);
      if (lookahead == '#') ADVANCE(139);
      if (lookahead == '%') ADVANCE(578);
      if (lookahead == '&') ADVANCE(559);
      if (lookahead == '\'') ADVANCE(507);
      if (lookahead == '(') ADVANCE(457);
      if (lookahead == ')') ADVANCE(458);
      if (lookahead == '*') ADVANCE(420);
      if (lookahead == '+') ADVANCE(569);
      if (lookahead == ',') ADVANCE(438);
      if (lookahead == '-') ADVANCE(573);
      if (lookahead == '.') ADVANCE(503);
      if (lookahead == '/') ADVANCE(576);
      if (lookahead == '0') ADVANCE(660);
      if (lookahead == ':') ADVANCE(473);
      if (lookahead == ';') ADVANCE(472);
      if (lookahead == '<') ADVANCE(588);
      if (lookahead == '=') ADVANCE(134);
      if (lookahead == '>') ADVANCE(499);
      if (lookahead == '?') ADVANCE(79);
      if (lookahead == '@') ADVANCE(1046);
      if (lookahead == '[') ADVANCE(480);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == ']') ADVANCE(481);
      if (lookahead == '^') ADVANCE(560);
      if (lookahead == '`') ADVANCE(626);
      if (lookahead == 'a') ADVANCE(923);
      if (lookahead == 'b') ADVANCE(951);
      if (lookahead == 'c') ADVANCE(898);
      if (lookahead == 'd') ADVANCE(856);
      if (lookahead == 'e') ADVANCE(1025);
      if (lookahead == 'f') ADVANCE(1015);
      if (lookahead == 'i') ADVANCE(920);
      if (lookahead == 'l') ADVANCE(837);
      if (lookahead == 'm') ADVANCE(945);
      if (lookahead == 'n') ADVANCE(781);
      if (lookahead == 'o') ADVANCE(816);
      if (lookahead == 'r') ADVANCE(862);
      if (lookahead == 's') ADVANCE(785);
      if (lookahead == 't') ADVANCE(1030);
      if (lookahead == 'v') ADVANCE(946);
      if (lookahead == '{') ADVANCE(436);
      if (lookahead == '|') ADVANCE(565);
      if (lookahead == '}') ADVANCE(439);
      if (lookahead == '~') ADVANCE(601);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(750);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(662);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(12)
      if (lookahead != 0 &&
          lookahead > 31) ADVANCE(1041);
      END_STATE();
    case 13:
      if (lookahead == '!') ADVANCE(454);
      if (lookahead == '"') ADVANCE(506);
      if (lookahead == '#') ADVANCE(139);
      if (lookahead == '%') ADVANCE(578);
      if (lookahead == '&') ADVANCE(559);
      if (lookahead == '\'') ADVANCE(507);
      if (lookahead == '(') ADVANCE(457);
      if (lookahead == '*') ADVANCE(420);
      if (lookahead == '+') ADVANCE(569);
      if (lookahead == ',') ADVANCE(438);
      if (lookahead == '-') ADVANCE(573);
      if (lookahead == '.') ADVANCE(503);
      if (lookahead == '/') ADVANCE(576);
      if (lookahead == '0') ADVANCE(660);
      if (lookahead == ';') ADVANCE(472);
      if (lookahead == '<') ADVANCE(588);
      if (lookahead == '=') ADVANCE(134);
      if (lookahead == '>') ADVANCE(499);
      if (lookahead == '?') ADVANCE(79);
      if (lookahead == '@') ADVANCE(1046);
      if (lookahead == '[') ADVANCE(480);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == '^') ADVANCE(560);
      if (lookahead == '`') ADVANCE(626);
      if (lookahead == 'a') ADVANCE(923);
      if (lookahead == 'b') ADVANCE(951);
      if (lookahead == 'c') ADVANCE(898);
      if (lookahead == 'd') ADVANCE(856);
      if (lookahead == 'e') ADVANCE(1025);
      if (lookahead == 'f') ADVANCE(1015);
      if (lookahead == 'i') ADVANCE(920);
      if (lookahead == 'l') ADVANCE(837);
      if (lookahead == 'm') ADVANCE(945);
      if (lookahead == 'n') ADVANCE(781);
      if (lookahead == 'o') ADVANCE(815);
      if (lookahead == 'r') ADVANCE(862);
      if (lookahead == 's') ADVANCE(785);
      if (lookahead == 't') ADVANCE(1030);
      if (lookahead == 'v') ADVANCE(946);
      if (lookahead == '{') ADVANCE(436);
      if (lookahead == '|') ADVANCE(565);
      if (lookahead == '~') ADVANCE(601);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(749);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(662);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(13)
      if (lookahead != 0 &&
          lookahead > 31 &&
          (lookahead < ')' || ':' < lookahead) &&
          lookahead != ']' &&
          lookahead != '}') ADVANCE(1041);
      END_STATE();
    case 14:
      if (lookahead == '!') ADVANCE(454);
      if (lookahead == '"') ADVANCE(506);
      if (lookahead == '#') ADVANCE(139);
      if (lookahead == '%') ADVANCE(578);
      if (lookahead == '&') ADVANCE(559);
      if (lookahead == '\'') ADVANCE(507);
      if (lookahead == '(') ADVANCE(457);
      if (lookahead == '*') ADVANCE(420);
      if (lookahead == '+') ADVANCE(569);
      if (lookahead == ',') ADVANCE(438);
      if (lookahead == '-') ADVANCE(573);
      if (lookahead == '.') ADVANCE(503);
      if (lookahead == '/') ADVANCE(576);
      if (lookahead == '0') ADVANCE(660);
      if (lookahead == ';') ADVANCE(472);
      if (lookahead == '<') ADVANCE(588);
      if (lookahead == '=') ADVANCE(426);
      if (lookahead == '>') ADVANCE(499);
      if (lookahead == '?') ADVANCE(79);
      if (lookahead == '@') ADVANCE(1046);
      if (lookahead == '[') ADVANCE(480);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == '^') ADVANCE(560);
      if (lookahead == '`') ADVANCE(626);
      if (lookahead == 'a') ADVANCE(810);
      if (lookahead == 'b') ADVANCE(951);
      if (lookahead == 'c') ADVANCE(806);
      if (lookahead == 'd') ADVANCE(836);
      if (lookahead == 'e') ADVANCE(928);
      if (lookahead == 'f') ADVANCE(1015);
      if (lookahead == 'i') ADVANCE(919);
      if (lookahead == 'l') ADVANCE(837);
      if (lookahead == 'm') ADVANCE(945);
      if (lookahead == 'n') ADVANCE(781);
      if (lookahead == 'o') ADVANCE(816);
      if (lookahead == 'r') ADVANCE(862);
      if (lookahead == 's') ADVANCE(785);
      if (lookahead == 't') ADVANCE(1030);
      if (lookahead == 'v') ADVANCE(792);
      if (lookahead == 'w') ADVANCE(878);
      if (lookahead == '{') ADVANCE(436);
      if (lookahead == '|') ADVANCE(565);
      if (lookahead == '}') ADVANCE(439);
      if (lookahead == '~') ADVANCE(601);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(744);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(662);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(14)
      if (lookahead != 0 &&
          lookahead > 31 &&
          (lookahead < ')' || ':' < lookahead) &&
          lookahead != ']') ADVANCE(1041);
      END_STATE();
    case 15:
      if (lookahead == '!') ADVANCE(454);
      if (lookahead == '"') ADVANCE(506);
      if (lookahead == '#') ADVANCE(139);
      if (lookahead == '%') ADVANCE(578);
      if (lookahead == '&') ADVANCE(559);
      if (lookahead == '\'') ADVANCE(507);
      if (lookahead == '(') ADVANCE(457);
      if (lookahead == '*') ADVANCE(420);
      if (lookahead == '+') ADVANCE(569);
      if (lookahead == ',') ADVANCE(438);
      if (lookahead == '-') ADVANCE(573);
      if (lookahead == '.') ADVANCE(503);
      if (lookahead == '/') ADVANCE(576);
      if (lookahead == '0') ADVANCE(660);
      if (lookahead == ';') ADVANCE(472);
      if (lookahead == '<') ADVANCE(588);
      if (lookahead == '=') ADVANCE(426);
      if (lookahead == '>') ADVANCE(499);
      if (lookahead == '?') ADVANCE(79);
      if (lookahead == '@') ADVANCE(1046);
      if (lookahead == '[') ADVANCE(480);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == '^') ADVANCE(560);
      if (lookahead == '`') ADVANCE(626);
      if (lookahead == 'a') ADVANCE(810);
      if (lookahead == 'b') ADVANCE(951);
      if (lookahead == 'c') ADVANCE(806);
      if (lookahead == 'd') ADVANCE(836);
      if (lookahead == 'e') ADVANCE(895);
      if (lookahead == 'f') ADVANCE(1015);
      if (lookahead == 'i') ADVANCE(919);
      if (lookahead == 'l') ADVANCE(837);
      if (lookahead == 'm') ADVANCE(945);
      if (lookahead == 'n') ADVANCE(781);
      if (lookahead == 'o') ADVANCE(816);
      if (lookahead == 'r') ADVANCE(862);
      if (lookahead == 's') ADVANCE(785);
      if (lookahead == 't') ADVANCE(1030);
      if (lookahead == 'v') ADVANCE(792);
      if (lookahead == 'w') ADVANCE(878);
      if (lookahead == '{') ADVANCE(436);
      if (lookahead == '|') ADVANCE(565);
      if (lookahead == '}') ADVANCE(439);
      if (lookahead == '~') ADVANCE(601);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(745);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(662);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(15)
      if (lookahead != 0 &&
          lookahead > 31 &&
          (lookahead < ')' || ':' < lookahead) &&
          lookahead != ']') ADVANCE(1041);
      END_STATE();
    case 16:
      if (lookahead == '!') ADVANCE(454);
      if (lookahead == '"') ADVANCE(506);
      if (lookahead == '#') ADVANCE(139);
      if (lookahead == '%') ADVANCE(578);
      if (lookahead == '&') ADVANCE(559);
      if (lookahead == '\'') ADVANCE(507);
      if (lookahead == '(') ADVANCE(457);
      if (lookahead == '*') ADVANCE(420);
      if (lookahead == '+') ADVANCE(569);
      if (lookahead == ',') ADVANCE(438);
      if (lookahead == '-') ADVANCE(573);
      if (lookahead == '.') ADVANCE(503);
      if (lookahead == '/') ADVANCE(576);
      if (lookahead == '0') ADVANCE(660);
      if (lookahead == '<') ADVANCE(588);
      if (lookahead == '=') ADVANCE(134);
      if (lookahead == '>') ADVANCE(499);
      if (lookahead == '?') ADVANCE(79);
      if (lookahead == '@') ADVANCE(1046);
      if (lookahead == '[') ADVANCE(480);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == '^') ADVANCE(560);
      if (lookahead == '`') ADVANCE(626);
      if (lookahead == 'a') ADVANCE(923);
      if (lookahead == 'b') ADVANCE(951);
      if (lookahead == 'c') ADVANCE(898);
      if (lookahead == 'd') ADVANCE(856);
      if (lookahead == 'e') ADVANCE(1025);
      if (lookahead == 'f') ADVANCE(1015);
      if (lookahead == 'i') ADVANCE(910);
      if (lookahead == 'l') ADVANCE(837);
      if (lookahead == 'm') ADVANCE(945);
      if (lookahead == 'n') ADVANCE(781);
      if (lookahead == 'o') ADVANCE(816);
      if (lookahead == 'r') ADVANCE(862);
      if (lookahead == 's') ADVANCE(785);
      if (lookahead == 't') ADVANCE(1030);
      if (lookahead == 'v') ADVANCE(946);
      if (lookahead == '{') ADVANCE(436);
      if (lookahead == '|') ADVANCE(565);
      if (lookahead == '~') ADVANCE(601);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(751);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(662);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(16)
      if (lookahead != 0 &&
          lookahead > 31 &&
          (lookahead < ')' || ';' < lookahead) &&
          lookahead != ']' &&
          lookahead != '}') ADVANCE(1041);
      END_STATE();
    case 17:
      if (lookahead == '!') ADVANCE(454);
      if (lookahead == '"') ADVANCE(506);
      if (lookahead == '%') ADVANCE(579);
      if (lookahead == '&') ADVANCE(558);
      if (lookahead == '\'') ADVANCE(507);
      if (lookahead == '(') ADVANCE(457);
      if (lookahead == ')') ADVANCE(458);
      if (lookahead == '*') ADVANCE(419);
      if (lookahead == '+') ADVANCE(570);
      if (lookahead == ',') ADVANCE(438);
      if (lookahead == '-') ADVANCE(574);
      if (lookahead == '.') ADVANCE(503);
      if (lookahead == '/') ADVANCE(577);
      if (lookahead == '0') ADVANCE(660);
      if (lookahead == ':') ADVANCE(473);
      if (lookahead == ';') ADVANCE(472);
      if (lookahead == '<') ADVANCE(585);
      if (lookahead == '=') ADVANCE(427);
      if (lookahead == '>') ADVANCE(498);
      if (lookahead == '?') ADVANCE(1052);
      if (lookahead == '[') ADVANCE(480);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == ']') ADVANCE(481);
      if (lookahead == '^') ADVANCE(561);
      if (lookahead == '`') ADVANCE(626);
      if (lookahead == 'a') ADVANCE(811);
      if (lookahead == 'b') ADVANCE(951);
      if (lookahead == 'c') ADVANCE(950);
      if (lookahead == 'i') ADVANCE(934);
      if (lookahead == 'n') ADVANCE(838);
      if (lookahead == 'o') ADVANCE(816);
      if (lookahead == 'r') ADVANCE(862);
      if (lookahead == 's') ADVANCE(785);
      if (lookahead == 'u') ADVANCE(930);
      if (lookahead == 'v') ADVANCE(946);
      if (lookahead == '{') ADVANCE(437);
      if (lookahead == '|') ADVANCE(563);
      if (lookahead == '}') ADVANCE(439);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(753);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(662);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(17)
      if (lookahead != 0 &&
          lookahead > '#' &&
          lookahead != '@' &&
          lookahead != '~') ADVANCE(1041);
      END_STATE();
    case 18:
      if (lookahead == '!') ADVANCE(454);
      if (lookahead == '"') ADVANCE(506);
      if (lookahead == '%') ADVANCE(579);
      if (lookahead == '&') ADVANCE(558);
      if (lookahead == '\'') ADVANCE(507);
      if (lookahead == '(') ADVANCE(457);
      if (lookahead == ')') ADVANCE(458);
      if (lookahead == '*') ADVANCE(419);
      if (lookahead == '+') ADVANCE(570);
      if (lookahead == ',') ADVANCE(438);
      if (lookahead == '-') ADVANCE(574);
      if (lookahead == '.') ADVANCE(501);
      if (lookahead == '/') ADVANCE(577);
      if (lookahead == ':') ADVANCE(473);
      if (lookahead == ';') ADVANCE(472);
      if (lookahead == '<') ADVANCE(585);
      if (lookahead == '=') ADVANCE(427);
      if (lookahead == '>') ADVANCE(498);
      if (lookahead == '?') ADVANCE(1052);
      if (lookahead == '[') ADVANCE(480);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == ']') ADVANCE(481);
      if (lookahead == '^') ADVANCE(561);
      if (lookahead == '`') ADVANCE(626);
      if (lookahead == 'a') ADVANCE(985);
      if (lookahead == 'i') ADVANCE(934);
      if (lookahead == 's') ADVANCE(786);
      if (lookahead == '{') ADVANCE(436);
      if (lookahead == '|') ADVANCE(563);
      if (lookahead == '}') ADVANCE(439);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(800);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(18)
      if (lookahead != 0 &&
          lookahead > '#' &&
          (lookahead < '0' || '@' < lookahead) &&
          lookahead != '~') ADVANCE(1041);
      END_STATE();
    case 19:
      if (lookahead == '!') ADVANCE(454);
      if (lookahead == '"') ADVANCE(506);
      if (lookahead == '%') ADVANCE(579);
      if (lookahead == '&') ADVANCE(558);
      if (lookahead == '\'') ADVANCE(507);
      if (lookahead == '(') ADVANCE(457);
      if (lookahead == '*') ADVANCE(419);
      if (lookahead == '+') ADVANCE(570);
      if (lookahead == ',') ADVANCE(438);
      if (lookahead == '-') ADVANCE(574);
      if (lookahead == '.') ADVANCE(503);
      if (lookahead == '/') ADVANCE(577);
      if (lookahead == '0') ADVANCE(660);
      if (lookahead == ';') ADVANCE(472);
      if (lookahead == '<') ADVANCE(585);
      if (lookahead == '=') ADVANCE(427);
      if (lookahead == '>') ADVANCE(498);
      if (lookahead == '?') ADVANCE(1052);
      if (lookahead == '[') ADVANCE(480);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == '^') ADVANCE(561);
      if (lookahead == '`') ADVANCE(626);
      if (lookahead == 'a') ADVANCE(811);
      if (lookahead == 'b') ADVANCE(951);
      if (lookahead == 'c') ADVANCE(950);
      if (lookahead == 'i') ADVANCE(934);
      if (lookahead == 'n') ADVANCE(838);
      if (lookahead == 'o') ADVANCE(815);
      if (lookahead == 'r') ADVANCE(862);
      if (lookahead == 's') ADVANCE(785);
      if (lookahead == 'u') ADVANCE(930);
      if (lookahead == 'v') ADVANCE(946);
      if (lookahead == '{') ADVANCE(437);
      if (lookahead == '|') ADVANCE(563);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(752);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(662);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(19)
      if (lookahead != 0 &&
          lookahead > '#' &&
          (lookahead < ')' || '@' < lookahead) &&
          lookahead != ']' &&
          lookahead != '}' &&
          lookahead != '~') ADVANCE(1041);
      END_STATE();
    case 20:
      if (lookahead == '!') ADVANCE(454);
      if (lookahead == '"') ADVANCE(506);
      if (lookahead == '%') ADVANCE(579);
      if (lookahead == '&') ADVANCE(558);
      if (lookahead == '\'') ADVANCE(507);
      if (lookahead == '(') ADVANCE(457);
      if (lookahead == '*') ADVANCE(419);
      if (lookahead == '+') ADVANCE(570);
      if (lookahead == ',') ADVANCE(438);
      if (lookahead == '-') ADVANCE(574);
      if (lookahead == '.') ADVANCE(503);
      if (lookahead == '/') ADVANCE(577);
      if (lookahead == '0') ADVANCE(660);
      if (lookahead == '<') ADVANCE(585);
      if (lookahead == '=') ADVANCE(427);
      if (lookahead == '>') ADVANCE(498);
      if (lookahead == '?') ADVANCE(1052);
      if (lookahead == '[') ADVANCE(480);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == '^') ADVANCE(561);
      if (lookahead == '`') ADVANCE(626);
      if (lookahead == 'a') ADVANCE(811);
      if (lookahead == 'b') ADVANCE(951);
      if (lookahead == 'c') ADVANCE(950);
      if (lookahead == 'i') ADVANCE(915);
      if (lookahead == 'n') ADVANCE(838);
      if (lookahead == 'o') ADVANCE(816);
      if (lookahead == 'r') ADVANCE(862);
      if (lookahead == 's') ADVANCE(785);
      if (lookahead == 'u') ADVANCE(930);
      if (lookahead == 'v') ADVANCE(946);
      if (lookahead == '{') ADVANCE(437);
      if (lookahead == '|') ADVANCE(563);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(754);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(662);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(20)
      if (lookahead != 0 &&
          lookahead > '#' &&
          (lookahead < ')' || '@' < lookahead) &&
          lookahead != ']' &&
          lookahead != '}' &&
          lookahead != '~') ADVANCE(1041);
      END_STATE();
    case 21:
      if (lookahead == '!') ADVANCE(454);
      if (lookahead == '"') ADVANCE(506);
      if (lookahead == '%') ADVANCE(579);
      if (lookahead == '&') ADVANCE(558);
      if (lookahead == '\'') ADVANCE(507);
      if (lookahead == '(') ADVANCE(457);
      if (lookahead == '*') ADVANCE(419);
      if (lookahead == '+') ADVANCE(570);
      if (lookahead == ',') ADVANCE(438);
      if (lookahead == '-') ADVANCE(574);
      if (lookahead == '.') ADVANCE(501);
      if (lookahead == '/') ADVANCE(577);
      if (lookahead == ';') ADVANCE(472);
      if (lookahead == '<') ADVANCE(585);
      if (lookahead == '=') ADVANCE(427);
      if (lookahead == '>') ADVANCE(498);
      if (lookahead == '?') ADVANCE(78);
      if (lookahead == '[') ADVANCE(480);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == '^') ADVANCE(561);
      if (lookahead == '`') ADVANCE(626);
      if (lookahead == 'a') ADVANCE(985);
      if (lookahead == 'i') ADVANCE(934);
      if (lookahead == 'o') ADVANCE(869);
      if (lookahead == 's') ADVANCE(786);
      if (lookahead == '{') ADVANCE(436);
      if (lookahead == '|') ADVANCE(563);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(799);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(21)
      if (lookahead != 0 &&
          lookahead > '#' &&
          (lookahead < ')' || '@' < lookahead) &&
          lookahead != ']' &&
          lookahead != '}' &&
          lookahead != '~') ADVANCE(1041);
      END_STATE();
    case 22:
      if (lookahead == '!') ADVANCE(454);
      if (lookahead == '"') ADVANCE(506);
      if (lookahead == '%') ADVANCE(579);
      if (lookahead == '&') ADVANCE(558);
      if (lookahead == '\'') ADVANCE(507);
      if (lookahead == '(') ADVANCE(457);
      if (lookahead == '*') ADVANCE(419);
      if (lookahead == '+') ADVANCE(570);
      if (lookahead == ',') ADVANCE(438);
      if (lookahead == '-') ADVANCE(574);
      if (lookahead == '.') ADVANCE(501);
      if (lookahead == '/') ADVANCE(577);
      if (lookahead == '<') ADVANCE(585);
      if (lookahead == '=') ADVANCE(427);
      if (lookahead == '>') ADVANCE(498);
      if (lookahead == '?') ADVANCE(78);
      if (lookahead == '[') ADVANCE(480);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == '^') ADVANCE(561);
      if (lookahead == '`') ADVANCE(626);
      if (lookahead == 'a') ADVANCE(985);
      if (lookahead == 'i') ADVANCE(915);
      if (lookahead == 's') ADVANCE(786);
      if (lookahead == '{') ADVANCE(436);
      if (lookahead == '|') ADVANCE(563);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(801);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(22)
      if (lookahead != 0 &&
          lookahead > '#' &&
          (lookahead < ')' || '@' < lookahead) &&
          lookahead != ']' &&
          lookahead != '}' &&
          lookahead != '~') ADVANCE(1041);
      END_STATE();
    case 23:
      if (lookahead == '!') ADVANCE(454);
      if (lookahead == '%') ADVANCE(579);
      if (lookahead == '&') ADVANCE(558);
      if (lookahead == '(') ADVANCE(457);
      if (lookahead == ')') ADVANCE(458);
      if (lookahead == '*') ADVANCE(419);
      if (lookahead == '+') ADVANCE(570);
      if (lookahead == ',') ADVANCE(438);
      if (lookahead == '-') ADVANCE(574);
      if (lookahead == '.') ADVANCE(501);
      if (lookahead == '/') ADVANCE(577);
      if (lookahead == ':') ADVANCE(473);
      if (lookahead == ';') ADVANCE(472);
      if (lookahead == '<') ADVANCE(585);
      if (lookahead == '=') ADVANCE(427);
      if (lookahead == '>') ADVANCE(498);
      if (lookahead == '?') ADVANCE(1052);
      if (lookahead == '[') ADVANCE(480);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == ']') ADVANCE(481);
      if (lookahead == '^') ADVANCE(561);
      if (lookahead == '`') ADVANCE(626);
      if (lookahead == 'a') ADVANCE(924);
      if (lookahead == 'b') ADVANCE(951);
      if (lookahead == 'd') ADVANCE(856);
      if (lookahead == 'e') ADVANCE(1025);
      if (lookahead == 'f') ADVANCE(1015);
      if (lookahead == 'i') ADVANCE(934);
      if (lookahead == 'l') ADVANCE(837);
      if (lookahead == 'm') ADVANCE(945);
      if (lookahead == 'n') ADVANCE(781);
      if (lookahead == 'o') ADVANCE(816);
      if (lookahead == 'r') ADVANCE(862);
      if (lookahead == 's') ADVANCE(785);
      if (lookahead == 't') ADVANCE(1030);
      if (lookahead == '|') ADVANCE(563);
      if (lookahead == '}') ADVANCE(439);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(783);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(23)
      if (lookahead != 0 &&
          lookahead > '#' &&
          (lookahead < '\'' || '@' < lookahead) &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(1041);
      END_STATE();
    case 24:
      if (lookahead == '!') ADVANCE(454);
      if (lookahead == '%') ADVANCE(579);
      if (lookahead == '&') ADVANCE(558);
      if (lookahead == '(') ADVANCE(457);
      if (lookahead == ')') ADVANCE(458);
      if (lookahead == '*') ADVANCE(419);
      if (lookahead == '+') ADVANCE(570);
      if (lookahead == ',') ADVANCE(438);
      if (lookahead == '-') ADVANCE(574);
      if (lookahead == '.') ADVANCE(501);
      if (lookahead == '/') ADVANCE(577);
      if (lookahead == ':') ADVANCE(473);
      if (lookahead == ';') ADVANCE(472);
      if (lookahead == '<') ADVANCE(585);
      if (lookahead == '=') ADVANCE(427);
      if (lookahead == '>') ADVANCE(498);
      if (lookahead == '?') ADVANCE(1052);
      if (lookahead == '[') ADVANCE(480);
      if (lookahead == ']') ADVANCE(481);
      if (lookahead == '^') ADVANCE(561);
      if (lookahead == '`') ADVANCE(626);
      if (lookahead == 'a') ADVANCE(317);
      if (lookahead == 'e') ADVANCE(358);
      if (lookahead == 'f') ADVANCE(306);
      if (lookahead == 'i') ADVANCE(262);
      if (lookahead == 'o') ADVANCE(213);
      if (lookahead == 's') ADVANCE(147);
      if (lookahead == '{') ADVANCE(436);
      if (lookahead == '|') ADVANCE(564);
      if (lookahead == '}') ADVANCE(439);
      if (sym__glimmer_template_content_character_set_1(lookahead)) SKIP(24)
      END_STATE();
    case 25:
      if (lookahead == '!') ADVANCE(454);
      if (lookahead == '%') ADVANCE(579);
      if (lookahead == '&') ADVANCE(558);
      if (lookahead == '(') ADVANCE(457);
      if (lookahead == '*') ADVANCE(419);
      if (lookahead == '+') ADVANCE(570);
      if (lookahead == ',') ADVANCE(438);
      if (lookahead == '-') ADVANCE(574);
      if (lookahead == '.') ADVANCE(501);
      if (lookahead == '/') ADVANCE(577);
      if (lookahead == ';') ADVANCE(472);
      if (lookahead == '<') ADVANCE(585);
      if (lookahead == '=') ADVANCE(427);
      if (lookahead == '>') ADVANCE(498);
      if (lookahead == '?') ADVANCE(78);
      if (lookahead == '[') ADVANCE(480);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == '^') ADVANCE(561);
      if (lookahead == '`') ADVANCE(626);
      if (lookahead == 'a') ADVANCE(924);
      if (lookahead == 'b') ADVANCE(951);
      if (lookahead == 'd') ADVANCE(856);
      if (lookahead == 'e') ADVANCE(1025);
      if (lookahead == 'f') ADVANCE(1015);
      if (lookahead == 'i') ADVANCE(934);
      if (lookahead == 'l') ADVANCE(837);
      if (lookahead == 'm') ADVANCE(945);
      if (lookahead == 'n') ADVANCE(781);
      if (lookahead == 'o') ADVANCE(815);
      if (lookahead == 'r') ADVANCE(862);
      if (lookahead == 's') ADVANCE(785);
      if (lookahead == 't') ADVANCE(1030);
      if (lookahead == '|') ADVANCE(563);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(782);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(25)
      if (lookahead != 0 &&
          lookahead > '#' &&
          (lookahead < '\'' || '@' < lookahead) &&
          lookahead != ']' &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(1041);
      END_STATE();
    case 26:
      if (lookahead == '!') ADVANCE(454);
      if (lookahead == '%') ADVANCE(579);
      if (lookahead == '&') ADVANCE(558);
      if (lookahead == '(') ADVANCE(457);
      if (lookahead == '*') ADVANCE(419);
      if (lookahead == '+') ADVANCE(570);
      if (lookahead == ',') ADVANCE(438);
      if (lookahead == '-') ADVANCE(574);
      if (lookahead == '.') ADVANCE(501);
      if (lookahead == '/') ADVANCE(577);
      if (lookahead == '<') ADVANCE(585);
      if (lookahead == '=') ADVANCE(427);
      if (lookahead == '>') ADVANCE(498);
      if (lookahead == '?') ADVANCE(78);
      if (lookahead == '[') ADVANCE(480);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == '^') ADVANCE(561);
      if (lookahead == '`') ADVANCE(626);
      if (lookahead == 'a') ADVANCE(924);
      if (lookahead == 'b') ADVANCE(951);
      if (lookahead == 'd') ADVANCE(856);
      if (lookahead == 'e') ADVANCE(1025);
      if (lookahead == 'f') ADVANCE(1015);
      if (lookahead == 'i') ADVANCE(915);
      if (lookahead == 'l') ADVANCE(837);
      if (lookahead == 'm') ADVANCE(945);
      if (lookahead == 'n') ADVANCE(781);
      if (lookahead == 'o') ADVANCE(816);
      if (lookahead == 'r') ADVANCE(862);
      if (lookahead == 's') ADVANCE(785);
      if (lookahead == 't') ADVANCE(1030);
      if (lookahead == '{') ADVANCE(436);
      if (lookahead == '|') ADVANCE(563);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(784);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(26)
      if (lookahead != 0 &&
          lookahead > '#' &&
          (lookahead < '\'' || '@' < lookahead) &&
          lookahead != ']' &&
          lookahead != '}' &&
          lookahead != '~') ADVANCE(1041);
      END_STATE();
    case 27:
      if (lookahead == '!') ADVANCE(454);
      if (lookahead == '%') ADVANCE(578);
      if (lookahead == '&') ADVANCE(559);
      if (lookahead == '(') ADVANCE(457);
      if (lookahead == ')') ADVANCE(458);
      if (lookahead == '*') ADVANCE(420);
      if (lookahead == '+') ADVANCE(569);
      if (lookahead == ',') ADVANCE(438);
      if (lookahead == '-') ADVANCE(573);
      if (lookahead == '.') ADVANCE(501);
      if (lookahead == '/') ADVANCE(576);
      if (lookahead == ':') ADVANCE(473);
      if (lookahead == ';') ADVANCE(472);
      if (lookahead == '<') ADVANCE(587);
      if (lookahead == '=') ADVANCE(134);
      if (lookahead == '>') ADVANCE(499);
      if (lookahead == '?') ADVANCE(79);
      if (lookahead == '[') ADVANCE(480);
      if (lookahead == ']') ADVANCE(481);
      if (lookahead == '^') ADVANCE(560);
      if (lookahead == '`') ADVANCE(626);
      if (lookahead == 'a') ADVANCE(651);
      if (lookahead == 'i') ADVANCE(646);
      if (lookahead == 's') ADVANCE(631);
      if (lookahead == '{') ADVANCE(437);
      if (lookahead == '|') ADVANCE(565);
      if (lookahead == '}') ADVANCE(439);
      if (('b' <= lookahead && lookahead <= 'z')) ADVANCE(658);
      if (sym__glimmer_template_content_character_set_1(lookahead)) SKIP(28)
      END_STATE();
    case 28:
      if (lookahead == '!') ADVANCE(454);
      if (lookahead == '%') ADVANCE(578);
      if (lookahead == '&') ADVANCE(559);
      if (lookahead == '(') ADVANCE(457);
      if (lookahead == ')') ADVANCE(458);
      if (lookahead == '*') ADVANCE(420);
      if (lookahead == '+') ADVANCE(569);
      if (lookahead == ',') ADVANCE(438);
      if (lookahead == '-') ADVANCE(573);
      if (lookahead == '.') ADVANCE(501);
      if (lookahead == '/') ADVANCE(576);
      if (lookahead == ':') ADVANCE(473);
      if (lookahead == ';') ADVANCE(472);
      if (lookahead == '<') ADVANCE(587);
      if (lookahead == '=') ADVANCE(134);
      if (lookahead == '>') ADVANCE(499);
      if (lookahead == '?') ADVANCE(79);
      if (lookahead == '[') ADVANCE(480);
      if (lookahead == ']') ADVANCE(481);
      if (lookahead == '^') ADVANCE(560);
      if (lookahead == '`') ADVANCE(626);
      if (lookahead == 'a') ADVANCE(317);
      if (lookahead == 'i') ADVANCE(269);
      if (lookahead == 's') ADVANCE(147);
      if (lookahead == '{') ADVANCE(437);
      if (lookahead == '|') ADVANCE(565);
      if (lookahead == '}') ADVANCE(439);
      if (sym__glimmer_template_content_character_set_1(lookahead)) SKIP(28)
      END_STATE();
    case 29:
      if (lookahead == '!') ADVANCE(454);
      if (lookahead == '%') ADVANCE(578);
      if (lookahead == '&') ADVANCE(559);
      if (lookahead == '(') ADVANCE(457);
      if (lookahead == ')') ADVANCE(458);
      if (lookahead == '*') ADVANCE(420);
      if (lookahead == '+') ADVANCE(569);
      if (lookahead == ',') ADVANCE(438);
      if (lookahead == '-') ADVANCE(573);
      if (lookahead == '.') ADVANCE(501);
      if (lookahead == '/') ADVANCE(576);
      if (lookahead == ':') ADVANCE(473);
      if (lookahead == ';') ADVANCE(472);
      if (lookahead == '<') ADVANCE(587);
      if (lookahead == '=') ADVANCE(426);
      if (lookahead == '>') ADVANCE(499);
      if (lookahead == '?') ADVANCE(1053);
      if (lookahead == '[') ADVANCE(480);
      if (lookahead == ']') ADVANCE(481);
      if (lookahead == '^') ADVANCE(560);
      if (lookahead == '`') ADVANCE(626);
      if (lookahead == 'a') ADVANCE(317);
      if (lookahead == 'e') ADVANCE(238);
      if (lookahead == 'i') ADVANCE(263);
      if (lookahead == 'o') ADVANCE(213);
      if (lookahead == 's') ADVANCE(147);
      if (lookahead == 'w') ADVANCE(220);
      if (lookahead == '{') ADVANCE(436);
      if (lookahead == '|') ADVANCE(566);
      if (lookahead == '}') ADVANCE(439);
      if (sym__glimmer_template_content_character_set_1(lookahead)) SKIP(29)
      END_STATE();
    case 30:
      if (lookahead == '!') ADVANCE(454);
      if (lookahead == '%') ADVANCE(578);
      if (lookahead == '&') ADVANCE(559);
      if (lookahead == '(') ADVANCE(457);
      if (lookahead == '*') ADVANCE(420);
      if (lookahead == '+') ADVANCE(569);
      if (lookahead == ',') ADVANCE(438);
      if (lookahead == '-') ADVANCE(573);
      if (lookahead == '.') ADVANCE(501);
      if (lookahead == '/') ADVANCE(576);
      if (lookahead == ';') ADVANCE(472);
      if (lookahead == '<') ADVANCE(587);
      if (lookahead == '=') ADVANCE(134);
      if (lookahead == '>') ADVANCE(499);
      if (lookahead == '?') ADVANCE(79);
      if (lookahead == '[') ADVANCE(480);
      if (lookahead == '^') ADVANCE(560);
      if (lookahead == '`') ADVANCE(626);
      if (lookahead == 'a') ADVANCE(651);
      if (lookahead == 'i') ADVANCE(646);
      if (lookahead == 'o') ADVANCE(639);
      if (lookahead == 's') ADVANCE(631);
      if (lookahead == '|') ADVANCE(565);
      if (('b' <= lookahead && lookahead <= 'z')) ADVANCE(658);
      if (sym__glimmer_template_content_character_set_1(lookahead)) SKIP(31)
      END_STATE();
    case 31:
      if (lookahead == '!') ADVANCE(454);
      if (lookahead == '%') ADVANCE(578);
      if (lookahead == '&') ADVANCE(559);
      if (lookahead == '(') ADVANCE(457);
      if (lookahead == '*') ADVANCE(420);
      if (lookahead == '+') ADVANCE(569);
      if (lookahead == ',') ADVANCE(438);
      if (lookahead == '-') ADVANCE(573);
      if (lookahead == '.') ADVANCE(501);
      if (lookahead == '/') ADVANCE(576);
      if (lookahead == ';') ADVANCE(472);
      if (lookahead == '<') ADVANCE(587);
      if (lookahead == '=') ADVANCE(134);
      if (lookahead == '>') ADVANCE(499);
      if (lookahead == '?') ADVANCE(79);
      if (lookahead == '[') ADVANCE(480);
      if (lookahead == '^') ADVANCE(560);
      if (lookahead == '`') ADVANCE(626);
      if (lookahead == 'a') ADVANCE(317);
      if (lookahead == 'i') ADVANCE(269);
      if (lookahead == 'o') ADVANCE(213);
      if (lookahead == 's') ADVANCE(147);
      if (lookahead == '|') ADVANCE(565);
      if (sym__glimmer_template_content_character_set_1(lookahead)) SKIP(31)
      END_STATE();
    case 32:
      if (lookahead == '!') ADVANCE(454);
      if (lookahead == '%') ADVANCE(578);
      if (lookahead == '&') ADVANCE(559);
      if (lookahead == '(') ADVANCE(457);
      if (lookahead == '*') ADVANCE(420);
      if (lookahead == '+') ADVANCE(569);
      if (lookahead == ',') ADVANCE(438);
      if (lookahead == '-') ADVANCE(573);
      if (lookahead == '.') ADVANCE(501);
      if (lookahead == '/') ADVANCE(576);
      if (lookahead == '<') ADVANCE(587);
      if (lookahead == '=') ADVANCE(134);
      if (lookahead == '>') ADVANCE(499);
      if (lookahead == '?') ADVANCE(79);
      if (lookahead == '[') ADVANCE(480);
      if (lookahead == '^') ADVANCE(560);
      if (lookahead == '`') ADVANCE(626);
      if (lookahead == 'a') ADVANCE(651);
      if (lookahead == 'i') ADVANCE(644);
      if (lookahead == 's') ADVANCE(631);
      if (lookahead == '{') ADVANCE(436);
      if (lookahead == '|') ADVANCE(565);
      if (('b' <= lookahead && lookahead <= 'z')) ADVANCE(658);
      if (sym__glimmer_template_content_character_set_1(lookahead)) SKIP(33)
      END_STATE();
    case 33:
      if (lookahead == '!') ADVANCE(454);
      if (lookahead == '%') ADVANCE(578);
      if (lookahead == '&') ADVANCE(559);
      if (lookahead == '(') ADVANCE(457);
      if (lookahead == '*') ADVANCE(420);
      if (lookahead == '+') ADVANCE(569);
      if (lookahead == ',') ADVANCE(438);
      if (lookahead == '-') ADVANCE(573);
      if (lookahead == '.') ADVANCE(501);
      if (lookahead == '/') ADVANCE(576);
      if (lookahead == '<') ADVANCE(587);
      if (lookahead == '=') ADVANCE(134);
      if (lookahead == '>') ADVANCE(499);
      if (lookahead == '?') ADVANCE(79);
      if (lookahead == '[') ADVANCE(480);
      if (lookahead == '^') ADVANCE(560);
      if (lookahead == '`') ADVANCE(626);
      if (lookahead == 'a') ADVANCE(317);
      if (lookahead == 'i') ADVANCE(262);
      if (lookahead == 's') ADVANCE(147);
      if (lookahead == '{') ADVANCE(436);
      if (lookahead == '|') ADVANCE(565);
      if (sym__glimmer_template_content_character_set_1(lookahead)) SKIP(33)
      END_STATE();
    case 34:
      if (lookahead == '!') ADVANCE(415);
      if (lookahead == '\\') ADVANCE(351);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(1043);
      END_STATE();
    case 35:
      if (lookahead == '!') ADVANCE(453);
      if (lookahead == '"') ADVANCE(506);
      if (lookahead == '#') ADVANCE(139);
      if (lookahead == '&') ADVANCE(557);
      if (lookahead == '\'') ADVANCE(507);
      if (lookahead == '(') ADVANCE(457);
      if (lookahead == ')') ADVANCE(458);
      if (lookahead == '*') ADVANCE(418);
      if (lookahead == '+') ADVANCE(569);
      if (lookahead == ',') ADVANCE(438);
      if (lookahead == '-') ADVANCE(573);
      if (lookahead == '.') ADVANCE(76);
      if (lookahead == '/') ADVANCE(576);
      if (lookahead == '0') ADVANCE(660);
      if (lookahead == '<') ADVANCE(589);
      if (lookahead == '?') ADVANCE(1050);
      if (lookahead == '@') ADVANCE(1046);
      if (lookahead == '[') ADVANCE(480);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == ']') ADVANCE(481);
      if (lookahead == '`') ADVANCE(626);
      if (lookahead == 'a') ADVANCE(812);
      if (lookahead == 'b') ADVANCE(951);
      if (lookahead == 'c') ADVANCE(897);
      if (lookahead == 'd') ADVANCE(856);
      if (lookahead == 'e') ADVANCE(1025);
      if (lookahead == 'f') ADVANCE(1015);
      if (lookahead == 'i') ADVANCE(922);
      if (lookahead == 'l') ADVANCE(837);
      if (lookahead == 'm') ADVANCE(945);
      if (lookahead == 'n') ADVANCE(780);
      if (lookahead == 'o') ADVANCE(816);
      if (lookahead == 'r') ADVANCE(862);
      if (lookahead == 's') ADVANCE(994);
      if (lookahead == 't') ADVANCE(1030);
      if (lookahead == 'u') ADVANCE(930);
      if (lookahead == 'v') ADVANCE(946);
      if (lookahead == '{') ADVANCE(437);
      if (lookahead == '|') ADVANCE(562);
      if (lookahead == '~') ADVANCE(601);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(769);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(662);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(35)
      if (lookahead != 0 &&
          lookahead > 31 &&
          (lookahead < '%' || '>' < lookahead) &&
          lookahead != '^' &&
          lookahead != '}') ADVANCE(1041);
      END_STATE();
    case 36:
      if (lookahead == '!') ADVANCE(453);
      if (lookahead == '"') ADVANCE(506);
      if (lookahead == '#') ADVANCE(139);
      if (lookahead == '&') ADVANCE(557);
      if (lookahead == '\'') ADVANCE(507);
      if (lookahead == '(') ADVANCE(457);
      if (lookahead == ')') ADVANCE(458);
      if (lookahead == '+') ADVANCE(569);
      if (lookahead == ',') ADVANCE(438);
      if (lookahead == '-') ADVANCE(573);
      if (lookahead == '.') ADVANCE(378);
      if (lookahead == '/') ADVANCE(576);
      if (lookahead == '0') ADVANCE(660);
      if (lookahead == ';') ADVANCE(472);
      if (lookahead == '<') ADVANCE(589);
      if (lookahead == '>') ADVANCE(497);
      if (lookahead == '?') ADVANCE(1050);
      if (lookahead == '@') ADVANCE(1046);
      if (lookahead == '[') ADVANCE(480);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == ']') ADVANCE(481);
      if (lookahead == '`') ADVANCE(626);
      if (lookahead == 'a') ADVANCE(925);
      if (lookahead == 'b') ADVANCE(951);
      if (lookahead == 'c') ADVANCE(898);
      if (lookahead == 'd') ADVANCE(856);
      if (lookahead == 'e') ADVANCE(1024);
      if (lookahead == 'f') ADVANCE(1015);
      if (lookahead == 'i') ADVANCE(922);
      if (lookahead == 'l') ADVANCE(837);
      if (lookahead == 'm') ADVANCE(945);
      if (lookahead == 'n') ADVANCE(781);
      if (lookahead == 'o') ADVANCE(816);
      if (lookahead == 'r') ADVANCE(862);
      if (lookahead == 's') ADVANCE(994);
      if (lookahead == 't') ADVANCE(1030);
      if (lookahead == 'v') ADVANCE(946);
      if (lookahead == '{') ADVANCE(436);
      if (lookahead == '|') ADVANCE(567);
      if (lookahead == '}') ADVANCE(439);
      if (lookahead == '~') ADVANCE(601);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(776);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(662);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(36)
      if (lookahead != 0 &&
          lookahead > 31 &&
          (lookahead < '%' || '=' < lookahead) &&
          lookahead != '^') ADVANCE(1041);
      END_STATE();
    case 37:
      if (lookahead == '!') ADVANCE(453);
      if (lookahead == '"') ADVANCE(506);
      if (lookahead == '#') ADVANCE(139);
      if (lookahead == '\'') ADVANCE(507);
      if (lookahead == '(') ADVANCE(457);
      if (lookahead == ')') ADVANCE(458);
      if (lookahead == '+') ADVANCE(569);
      if (lookahead == ',') ADVANCE(438);
      if (lookahead == '-') ADVANCE(573);
      if (lookahead == '.') ADVANCE(502);
      if (lookahead == '/') ADVANCE(576);
      if (lookahead == '0') ADVANCE(660);
      if (lookahead == ';') ADVANCE(472);
      if (lookahead == '<') ADVANCE(589);
      if (lookahead == '@') ADVANCE(1046);
      if (lookahead == '[') ADVANCE(480);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == ']') ADVANCE(481);
      if (lookahead == '`') ADVANCE(626);
      if (lookahead == 'a') ADVANCE(925);
      if (lookahead == 'b') ADVANCE(951);
      if (lookahead == 'c') ADVANCE(898);
      if (lookahead == 'd') ADVANCE(856);
      if (lookahead == 'e') ADVANCE(1025);
      if (lookahead == 'f') ADVANCE(1015);
      if (lookahead == 'i') ADVANCE(922);
      if (lookahead == 'l') ADVANCE(837);
      if (lookahead == 'm') ADVANCE(945);
      if (lookahead == 'n') ADVANCE(781);
      if (lookahead == 'o') ADVANCE(816);
      if (lookahead == 'r') ADVANCE(862);
      if (lookahead == 's') ADVANCE(994);
      if (lookahead == 't') ADVANCE(1030);
      if (lookahead == 'v') ADVANCE(946);
      if (lookahead == '{') ADVANCE(436);
      if (lookahead == '}') ADVANCE(439);
      if (lookahead == '~') ADVANCE(601);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(775);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(662);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(37)
      if (lookahead != 0 &&
          lookahead > 31 &&
          (lookahead < '%' || '?' < lookahead) &&
          lookahead != '^' &&
          lookahead != '|') ADVANCE(1041);
      END_STATE();
    case 38:
      if (lookahead == '!') ADVANCE(453);
      if (lookahead == '"') ADVANCE(506);
      if (lookahead == '#') ADVANCE(139);
      if (lookahead == '\'') ADVANCE(507);
      if (lookahead == '(') ADVANCE(457);
      if (lookahead == '*') ADVANCE(418);
      if (lookahead == '+') ADVANCE(568);
      if (lookahead == ',') ADVANCE(438);
      if (lookahead == '-') ADVANCE(572);
      if (lookahead == '.') ADVANCE(502);
      if (lookahead == '/') ADVANCE(69);
      if (lookahead == '0') ADVANCE(660);
      if (lookahead == ':') ADVANCE(473);
      if (lookahead == ';') ADVANCE(472);
      if (lookahead == '<') ADVANCE(582);
      if (lookahead == '=') ADVANCE(425);
      if (lookahead == '?') ADVANCE(1050);
      if (lookahead == '@') ADVANCE(1046);
      if (lookahead == '[') ADVANCE(480);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'a') ADVANCE(813);
      if (lookahead == 'b') ADVANCE(951);
      if (lookahead == 'd') ADVANCE(856);
      if (lookahead == 'e') ADVANCE(1025);
      if (lookahead == 'l') ADVANCE(837);
      if (lookahead == 'm') ADVANCE(945);
      if (lookahead == 'n') ADVANCE(781);
      if (lookahead == 'o') ADVANCE(816);
      if (lookahead == 'r') ADVANCE(862);
      if (lookahead == 's') ADVANCE(994);
      if (lookahead == 't') ADVANCE(1030);
      if (lookahead == '{') ADVANCE(436);
      if (lookahead == '|') ADVANCE(371);
      if (lookahead == '}') ADVANCE(439);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(777);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(662);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(38)
      if (lookahead != 0 &&
          lookahead > 31 &&
          (lookahead < '%' || '>' < lookahead) &&
          lookahead != ']' &&
          lookahead != '^' &&
          lookahead != '`' &&
          lookahead != '~') ADVANCE(1041);
      END_STATE();
    case 39:
      if (lookahead == '!') ADVANCE(453);
      if (lookahead == '"') ADVANCE(506);
      if (lookahead == '#') ADVANCE(139);
      if (lookahead == '\'') ADVANCE(507);
      if (lookahead == '(') ADVANCE(457);
      if (lookahead == '*') ADVANCE(418);
      if (lookahead == ',') ADVANCE(438);
      if (lookahead == '.') ADVANCE(76);
      if (lookahead == '/') ADVANCE(69);
      if (lookahead == '0') ADVANCE(660);
      if (lookahead == ':') ADVANCE(473);
      if (lookahead == ';') ADVANCE(472);
      if (lookahead == '<') ADVANCE(582);
      if (lookahead == '=') ADVANCE(428);
      if (lookahead == '?') ADVANCE(1050);
      if (lookahead == '[') ADVANCE(480);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'a') ADVANCE(926);
      if (lookahead == 'b') ADVANCE(951);
      if (lookahead == 'd') ADVANCE(856);
      if (lookahead == 'e') ADVANCE(1025);
      if (lookahead == 'l') ADVANCE(837);
      if (lookahead == 'm') ADVANCE(945);
      if (lookahead == 'n') ADVANCE(781);
      if (lookahead == 'o') ADVANCE(816);
      if (lookahead == 'r') ADVANCE(862);
      if (lookahead == 's') ADVANCE(994);
      if (lookahead == 't') ADVANCE(1030);
      if (lookahead == '{') ADVANCE(436);
      if (lookahead == '|') ADVANCE(371);
      if (lookahead == '}') ADVANCE(439);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(778);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(662);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(39)
      if (lookahead != 0 &&
          lookahead > 31 &&
          (lookahead < '%' || '@' < lookahead) &&
          lookahead != ']' &&
          lookahead != '^' &&
          lookahead != '`' &&
          lookahead != '~') ADVANCE(1041);
      END_STATE();
    case 40:
      if (lookahead == '!') ADVANCE(453);
      if (lookahead == '"') ADVANCE(506);
      if (lookahead == '#') ADVANCE(139);
      if (lookahead == '\'') ADVANCE(507);
      if (lookahead == '(') ADVANCE(457);
      if (lookahead == '+') ADVANCE(569);
      if (lookahead == '-') ADVANCE(573);
      if (lookahead == '.') ADVANCE(503);
      if (lookahead == '/') ADVANCE(576);
      if (lookahead == '0') ADVANCE(660);
      if (lookahead == ';') ADVANCE(472);
      if (lookahead == '<') ADVANCE(589);
      if (lookahead == '@') ADVANCE(1046);
      if (lookahead == '[') ADVANCE(480);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == '`') ADVANCE(626);
      if (lookahead == 'a') ADVANCE(812);
      if (lookahead == 'b') ADVANCE(951);
      if (lookahead == 'c') ADVANCE(806);
      if (lookahead == 'd') ADVANCE(836);
      if (lookahead == 'e') ADVANCE(928);
      if (lookahead == 'f') ADVANCE(1015);
      if (lookahead == 'i') ADVANCE(921);
      if (lookahead == 'l') ADVANCE(837);
      if (lookahead == 'm') ADVANCE(945);
      if (lookahead == 'n') ADVANCE(781);
      if (lookahead == 'o') ADVANCE(816);
      if (lookahead == 'r') ADVANCE(862);
      if (lookahead == 's') ADVANCE(994);
      if (lookahead == 't') ADVANCE(1030);
      if (lookahead == 'v') ADVANCE(792);
      if (lookahead == 'w') ADVANCE(878);
      if (lookahead == '{') ADVANCE(436);
      if (lookahead == '}') ADVANCE(439);
      if (lookahead == '~') ADVANCE(601);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(763);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(662);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(40)
      if (lookahead != 0 &&
          lookahead > 31 &&
          (lookahead < '%' || '?' < lookahead) &&
          lookahead != ']' &&
          lookahead != '^' &&
          lookahead != '|') ADVANCE(1041);
      END_STATE();
    case 41:
      if (lookahead == '!') ADVANCE(453);
      if (lookahead == '"') ADVANCE(506);
      if (lookahead == '#') ADVANCE(139);
      if (lookahead == '\'') ADVANCE(507);
      if (lookahead == '(') ADVANCE(457);
      if (lookahead == '+') ADVANCE(569);
      if (lookahead == '-') ADVANCE(573);
      if (lookahead == '.') ADVANCE(503);
      if (lookahead == '/') ADVANCE(576);
      if (lookahead == '0') ADVANCE(660);
      if (lookahead == ';') ADVANCE(472);
      if (lookahead == '<') ADVANCE(589);
      if (lookahead == '@') ADVANCE(1046);
      if (lookahead == '[') ADVANCE(480);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == '`') ADVANCE(626);
      if (lookahead == 'a') ADVANCE(812);
      if (lookahead == 'b') ADVANCE(951);
      if (lookahead == 'c') ADVANCE(806);
      if (lookahead == 'd') ADVANCE(836);
      if (lookahead == 'e') ADVANCE(895);
      if (lookahead == 'f') ADVANCE(1015);
      if (lookahead == 'i') ADVANCE(921);
      if (lookahead == 'l') ADVANCE(837);
      if (lookahead == 'm') ADVANCE(945);
      if (lookahead == 'n') ADVANCE(781);
      if (lookahead == 'o') ADVANCE(816);
      if (lookahead == 'r') ADVANCE(862);
      if (lookahead == 's') ADVANCE(994);
      if (lookahead == 't') ADVANCE(1030);
      if (lookahead == 'v') ADVANCE(792);
      if (lookahead == 'w') ADVANCE(878);
      if (lookahead == '{') ADVANCE(436);
      if (lookahead == '}') ADVANCE(439);
      if (lookahead == '~') ADVANCE(601);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(765);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(662);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(41)
      if (lookahead != 0 &&
          lookahead > 31 &&
          (lookahead < '%' || '?' < lookahead) &&
          lookahead != ']' &&
          lookahead != '^' &&
          lookahead != '|') ADVANCE(1041);
      END_STATE();
    case 42:
      if (lookahead == '!') ADVANCE(453);
      if (lookahead == '"') ADVANCE(506);
      if (lookahead == '#') ADVANCE(139);
      if (lookahead == '\'') ADVANCE(507);
      if (lookahead == '(') ADVANCE(457);
      if (lookahead == '+') ADVANCE(569);
      if (lookahead == '-') ADVANCE(573);
      if (lookahead == '.') ADVANCE(378);
      if (lookahead == '/') ADVANCE(576);
      if (lookahead == '0') ADVANCE(660);
      if (lookahead == ';') ADVANCE(472);
      if (lookahead == '<') ADVANCE(589);
      if (lookahead == '@') ADVANCE(1046);
      if (lookahead == '[') ADVANCE(480);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == '`') ADVANCE(626);
      if (lookahead == 'a') ADVANCE(812);
      if (lookahead == 'b') ADVANCE(951);
      if (lookahead == 'c') ADVANCE(779);
      if (lookahead == 'd') ADVANCE(836);
      if (lookahead == 'e') ADVANCE(928);
      if (lookahead == 'f') ADVANCE(881);
      if (lookahead == 'i') ADVANCE(921);
      if (lookahead == 'l') ADVANCE(837);
      if (lookahead == 'm') ADVANCE(945);
      if (lookahead == 'n') ADVANCE(781);
      if (lookahead == 'o') ADVANCE(816);
      if (lookahead == 'r') ADVANCE(862);
      if (lookahead == 's') ADVANCE(994);
      if (lookahead == 't') ADVANCE(1030);
      if (lookahead == 'v') ADVANCE(792);
      if (lookahead == 'w') ADVANCE(878);
      if (lookahead == '{') ADVANCE(436);
      if (lookahead == '}') ADVANCE(439);
      if (lookahead == '~') ADVANCE(601);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(760);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(662);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(42)
      if (lookahead != 0 &&
          lookahead > 31 &&
          (lookahead < '%' || '?' < lookahead) &&
          lookahead != ']' &&
          lookahead != '^' &&
          lookahead != '|') ADVANCE(1041);
      END_STATE();
    case 43:
      if (lookahead == '!') ADVANCE(453);
      if (lookahead == '"') ADVANCE(506);
      if (lookahead == '#') ADVANCE(139);
      if (lookahead == '\'') ADVANCE(507);
      if (lookahead == '(') ADVANCE(457);
      if (lookahead == '+') ADVANCE(569);
      if (lookahead == '-') ADVANCE(573);
      if (lookahead == '.') ADVANCE(378);
      if (lookahead == '/') ADVANCE(576);
      if (lookahead == '0') ADVANCE(660);
      if (lookahead == ';') ADVANCE(472);
      if (lookahead == '<') ADVANCE(589);
      if (lookahead == '@') ADVANCE(1046);
      if (lookahead == '[') ADVANCE(480);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == '`') ADVANCE(626);
      if (lookahead == 'a') ADVANCE(812);
      if (lookahead == 'b') ADVANCE(951);
      if (lookahead == 'c') ADVANCE(779);
      if (lookahead == 'd') ADVANCE(836);
      if (lookahead == 'e') ADVANCE(895);
      if (lookahead == 'f') ADVANCE(881);
      if (lookahead == 'i') ADVANCE(921);
      if (lookahead == 'l') ADVANCE(837);
      if (lookahead == 'm') ADVANCE(945);
      if (lookahead == 'n') ADVANCE(781);
      if (lookahead == 'o') ADVANCE(816);
      if (lookahead == 'r') ADVANCE(862);
      if (lookahead == 's') ADVANCE(994);
      if (lookahead == 't') ADVANCE(1030);
      if (lookahead == 'v') ADVANCE(792);
      if (lookahead == 'w') ADVANCE(878);
      if (lookahead == '{') ADVANCE(436);
      if (lookahead == '}') ADVANCE(439);
      if (lookahead == '~') ADVANCE(601);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(761);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(662);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(43)
      if (lookahead != 0 &&
          lookahead > 31 &&
          (lookahead < '%' || '?' < lookahead) &&
          lookahead != ']' &&
          lookahead != '^' &&
          lookahead != '|') ADVANCE(1041);
      END_STATE();
    case 44:
      if (lookahead == '!') ADVANCE(453);
      if (lookahead == '"') ADVANCE(506);
      if (lookahead == '#') ADVANCE(139);
      if (lookahead == '\'') ADVANCE(507);
      if (lookahead == '(') ADVANCE(457);
      if (lookahead == '+') ADVANCE(569);
      if (lookahead == '-') ADVANCE(573);
      if (lookahead == '.') ADVANCE(378);
      if (lookahead == '/') ADVANCE(576);
      if (lookahead == '0') ADVANCE(660);
      if (lookahead == ';') ADVANCE(472);
      if (lookahead == '<') ADVANCE(589);
      if (lookahead == '@') ADVANCE(1046);
      if (lookahead == '[') ADVANCE(480);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == '`') ADVANCE(626);
      if (lookahead == 'a') ADVANCE(812);
      if (lookahead == 'b') ADVANCE(951);
      if (lookahead == 'c') ADVANCE(806);
      if (lookahead == 'd') ADVANCE(836);
      if (lookahead == 'e') ADVANCE(928);
      if (lookahead == 'f') ADVANCE(881);
      if (lookahead == 'i') ADVANCE(921);
      if (lookahead == 'l') ADVANCE(837);
      if (lookahead == 'm') ADVANCE(945);
      if (lookahead == 'n') ADVANCE(781);
      if (lookahead == 'o') ADVANCE(816);
      if (lookahead == 'r') ADVANCE(862);
      if (lookahead == 's') ADVANCE(994);
      if (lookahead == 't') ADVANCE(1030);
      if (lookahead == 'v') ADVANCE(792);
      if (lookahead == 'w') ADVANCE(878);
      if (lookahead == '{') ADVANCE(436);
      if (lookahead == '}') ADVANCE(439);
      if (lookahead == '~') ADVANCE(601);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(762);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(662);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(44)
      if (lookahead != 0 &&
          lookahead > 31 &&
          (lookahead < '%' || '?' < lookahead) &&
          lookahead != ']' &&
          lookahead != '^' &&
          lookahead != '|') ADVANCE(1041);
      END_STATE();
    case 45:
      if (lookahead == '!') ADVANCE(453);
      if (lookahead == '"') ADVANCE(506);
      if (lookahead == '#') ADVANCE(139);
      if (lookahead == '\'') ADVANCE(507);
      if (lookahead == '(') ADVANCE(457);
      if (lookahead == '+') ADVANCE(569);
      if (lookahead == '-') ADVANCE(573);
      if (lookahead == '.') ADVANCE(378);
      if (lookahead == '/') ADVANCE(576);
      if (lookahead == '0') ADVANCE(660);
      if (lookahead == ';') ADVANCE(472);
      if (lookahead == '<') ADVANCE(589);
      if (lookahead == '@') ADVANCE(1046);
      if (lookahead == '[') ADVANCE(480);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == '`') ADVANCE(626);
      if (lookahead == 'a') ADVANCE(812);
      if (lookahead == 'b') ADVANCE(951);
      if (lookahead == 'c') ADVANCE(806);
      if (lookahead == 'd') ADVANCE(836);
      if (lookahead == 'e') ADVANCE(895);
      if (lookahead == 'f') ADVANCE(881);
      if (lookahead == 'i') ADVANCE(921);
      if (lookahead == 'l') ADVANCE(837);
      if (lookahead == 'm') ADVANCE(945);
      if (lookahead == 'n') ADVANCE(781);
      if (lookahead == 'o') ADVANCE(816);
      if (lookahead == 'r') ADVANCE(862);
      if (lookahead == 's') ADVANCE(994);
      if (lookahead == 't') ADVANCE(1030);
      if (lookahead == 'v') ADVANCE(792);
      if (lookahead == 'w') ADVANCE(878);
      if (lookahead == '{') ADVANCE(436);
      if (lookahead == '}') ADVANCE(439);
      if (lookahead == '~') ADVANCE(601);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(764);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(662);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(45)
      if (lookahead != 0 &&
          lookahead > 31 &&
          (lookahead < '%' || '?' < lookahead) &&
          lookahead != ']' &&
          lookahead != '^' &&
          lookahead != '|') ADVANCE(1041);
      END_STATE();
    case 46:
      if (lookahead == '!') ADVANCE(453);
      if (lookahead == '"') ADVANCE(506);
      if (lookahead == '#') ADVANCE(139);
      if (lookahead == '\'') ADVANCE(507);
      if (lookahead == '(') ADVANCE(457);
      if (lookahead == '+') ADVANCE(569);
      if (lookahead == '-') ADVANCE(573);
      if (lookahead == '.') ADVANCE(378);
      if (lookahead == '/') ADVANCE(576);
      if (lookahead == '0') ADVANCE(660);
      if (lookahead == ';') ADVANCE(472);
      if (lookahead == '<') ADVANCE(589);
      if (lookahead == '@') ADVANCE(1046);
      if (lookahead == '[') ADVANCE(480);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == '`') ADVANCE(626);
      if (lookahead == 'a') ADVANCE(925);
      if (lookahead == 'b') ADVANCE(951);
      if (lookahead == 'c') ADVANCE(897);
      if (lookahead == 'd') ADVANCE(856);
      if (lookahead == 'e') ADVANCE(1025);
      if (lookahead == 'f') ADVANCE(1015);
      if (lookahead == 'i') ADVANCE(922);
      if (lookahead == 'l') ADVANCE(837);
      if (lookahead == 'm') ADVANCE(945);
      if (lookahead == 'n') ADVANCE(781);
      if (lookahead == 'o') ADVANCE(816);
      if (lookahead == 'r') ADVANCE(862);
      if (lookahead == 's') ADVANCE(994);
      if (lookahead == 't') ADVANCE(1030);
      if (lookahead == 'v') ADVANCE(792);
      if (lookahead == '{') ADVANCE(436);
      if (lookahead == '~') ADVANCE(601);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(774);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(662);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(46)
      if (lookahead != 0 &&
          lookahead > 31 &&
          (lookahead < '%' || '?' < lookahead) &&
          lookahead != ']' &&
          lookahead != '^' &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1041);
      END_STATE();
    case 47:
      if (lookahead == '!') ADVANCE(453);
      if (lookahead == '"') ADVANCE(506);
      if (lookahead == '#') ADVANCE(139);
      if (lookahead == '\'') ADVANCE(507);
      if (lookahead == '(') ADVANCE(457);
      if (lookahead == '+') ADVANCE(569);
      if (lookahead == '-') ADVANCE(573);
      if (lookahead == '.') ADVANCE(378);
      if (lookahead == '/') ADVANCE(576);
      if (lookahead == '0') ADVANCE(660);
      if (lookahead == '<') ADVANCE(589);
      if (lookahead == '@') ADVANCE(1046);
      if (lookahead == '[') ADVANCE(480);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == '`') ADVANCE(626);
      if (lookahead == 'a') ADVANCE(812);
      if (lookahead == 'b') ADVANCE(951);
      if (lookahead == 'c') ADVANCE(897);
      if (lookahead == 'd') ADVANCE(856);
      if (lookahead == 'e') ADVANCE(928);
      if (lookahead == 'f') ADVANCE(1015);
      if (lookahead == 'i') ADVANCE(921);
      if (lookahead == 'l') ADVANCE(837);
      if (lookahead == 'm') ADVANCE(945);
      if (lookahead == 'n') ADVANCE(781);
      if (lookahead == 'o') ADVANCE(816);
      if (lookahead == 'r') ADVANCE(862);
      if (lookahead == 's') ADVANCE(994);
      if (lookahead == 't') ADVANCE(1030);
      if (lookahead == 'v') ADVANCE(792);
      if (lookahead == '{') ADVANCE(436);
      if (lookahead == '~') ADVANCE(601);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(768);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(662);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(47)
      if (lookahead != 0 &&
          lookahead > 31 &&
          (lookahead < '%' || '?' < lookahead) &&
          lookahead != ']' &&
          lookahead != '^' &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1041);
      END_STATE();
    case 48:
      if (lookahead == '!') ADVANCE(453);
      if (lookahead == '"') ADVANCE(506);
      if (lookahead == '&') ADVANCE(557);
      if (lookahead == '\'') ADVANCE(507);
      if (lookahead == '(') ADVANCE(457);
      if (lookahead == ')') ADVANCE(458);
      if (lookahead == '*') ADVANCE(418);
      if (lookahead == ',') ADVANCE(438);
      if (lookahead == '.') ADVANCE(501);
      if (lookahead == '/') ADVANCE(69);
      if (lookahead == ':') ADVANCE(473);
      if (lookahead == ';') ADVANCE(472);
      if (lookahead == '<') ADVANCE(582);
      if (lookahead == '=') ADVANCE(428);
      if (lookahead == '>') ADVANCE(497);
      if (lookahead == '?') ADVANCE(1050);
      if (lookahead == '@') ADVANCE(1046);
      if (lookahead == '[') ADVANCE(480);
      if (lookahead == ']') ADVANCE(481);
      if (lookahead == '`') ADVANCE(626);
      if (lookahead == 'a') ADVANCE(164);
      if (lookahead == 'c') ADVANCE(241);
      if (lookahead == 'd') ADVANCE(185);
      if (lookahead == 'e') ADVANCE(237);
      if (lookahead == 'f') ADVANCE(347);
      if (lookahead == 'i') ADVANCE(257);
      if (lookahead == 'l') ADVANCE(197);
      if (lookahead == 'm') ADVANCE(282);
      if (lookahead == 'n') ADVANCE(143);
      if (lookahead == 't') ADVANCE(362);
      if (lookahead == 'v') ADVANCE(150);
      if (lookahead == 'w') ADVANCE(221);
      if (lookahead == '{') ADVANCE(436);
      if (lookahead == '|') ADVANCE(567);
      if (lookahead == '}') ADVANCE(439);
      if (sym__glimmer_template_content_character_set_1(lookahead)) SKIP(48)
      END_STATE();
    case 49:
      if (lookahead == '!') ADVANCE(453);
      if (lookahead == '&') ADVANCE(557);
      if (lookahead == '(') ADVANCE(457);
      if (lookahead == ')') ADVANCE(458);
      if (lookahead == ',') ADVANCE(438);
      if (lookahead == '.') ADVANCE(501);
      if (lookahead == '/') ADVANCE(69);
      if (lookahead == ':') ADVANCE(473);
      if (lookahead == ';') ADVANCE(472);
      if (lookahead == '<') ADVANCE(582);
      if (lookahead == '=') ADVANCE(428);
      if (lookahead == '>') ADVANCE(497);
      if (lookahead == '?') ADVANCE(1051);
      if (lookahead == '@') ADVANCE(1046);
      if (lookahead == '[') ADVANCE(480);
      if (lookahead == ']') ADVANCE(481);
      if (lookahead == '`') ADVANCE(626);
      if (lookahead == 'a') ADVANCE(165);
      if (lookahead == 'c') ADVANCE(240);
      if (lookahead == 'e') ADVANCE(357);
      if (lookahead == 'i') ADVANCE(270);
      if (lookahead == 'o') ADVANCE(213);
      if (lookahead == '{') ADVANCE(436);
      if (lookahead == '|') ADVANCE(567);
      if (lookahead == '}') ADVANCE(439);
      if (sym__glimmer_template_content_character_set_1(lookahead)) SKIP(49)
      END_STATE();
    case 50:
      if (lookahead == '"') ADVANCE(506);
      if (lookahead == '#') ADVANCE(139);
      if (lookahead == '\'') ADVANCE(507);
      if (lookahead == '(') ADVANCE(457);
      if (lookahead == '*') ADVANCE(418);
      if (lookahead == '.') ADVANCE(501);
      if (lookahead == '/') ADVANCE(69);
      if (lookahead == ';') ADVANCE(472);
      if (lookahead == '<') ADVANCE(582);
      if (lookahead == '?') ADVANCE(77);
      if (lookahead == '[') ADVANCE(480);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == '`') ADVANCE(626);
      if (lookahead == '{') ADVANCE(436);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(1035);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(50)
      if (lookahead != 0 &&
          lookahead > '!' &&
          (lookahead < '%' || '@' < lookahead) &&
          lookahead != ']' &&
          lookahead != '^' &&
          (lookahead < '|' || '~' < lookahead)) ADVANCE(1041);
      END_STATE();
    case 51:
      if (lookahead == '"') ADVANCE(506);
      if (lookahead == '&') ADVANCE(557);
      if (lookahead == '\'') ADVANCE(507);
      if (lookahead == '(') ADVANCE(457);
      if (lookahead == '*') ADVANCE(418);
      if (lookahead == '+') ADVANCE(568);
      if (lookahead == ',') ADVANCE(438);
      if (lookahead == '-') ADVANCE(572);
      if (lookahead == '.') ADVANCE(76);
      if (lookahead == '/') ADVANCE(69);
      if (lookahead == '0') ADVANCE(660);
      if (lookahead == '<') ADVANCE(582);
      if (lookahead == '?') ADVANCE(1050);
      if (lookahead == '[') ADVANCE(480);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == ']') ADVANCE(481);
      if (lookahead == '`') ADVANCE(626);
      if (lookahead == 'a') ADVANCE(814);
      if (lookahead == 'b') ADVANCE(951);
      if (lookahead == 'c') ADVANCE(950);
      if (lookahead == 'n') ADVANCE(838);
      if (lookahead == 'o') ADVANCE(816);
      if (lookahead == 'r') ADVANCE(862);
      if (lookahead == 's') ADVANCE(994);
      if (lookahead == 'u') ADVANCE(930);
      if (lookahead == 'v') ADVANCE(946);
      if (lookahead == '{') ADVANCE(437);
      if (lookahead == '|') ADVANCE(562);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(758);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(662);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(51)
      if (lookahead != 0 &&
          lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          lookahead != '^' &&
          lookahead != '}' &&
          lookahead != '~') ADVANCE(1041);
      END_STATE();
    case 52:
      if (lookahead == '"') ADVANCE(506);
      if (lookahead == '&') ADVANCE(557);
      if (lookahead == '\'') ADVANCE(507);
      if (lookahead == '(') ADVANCE(457);
      if (lookahead == '*') ADVANCE(418);
      if (lookahead == '+') ADVANCE(568);
      if (lookahead == '-') ADVANCE(572);
      if (lookahead == '.') ADVANCE(378);
      if (lookahead == '/') ADVANCE(69);
      if (lookahead == '0') ADVANCE(660);
      if (lookahead == '<') ADVANCE(582);
      if (lookahead == '>') ADVANCE(497);
      if (lookahead == '?') ADVANCE(1050);
      if (lookahead == '[') ADVANCE(480);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == '`') ADVANCE(626);
      if (lookahead == 'a') ADVANCE(814);
      if (lookahead == 'b') ADVANCE(951);
      if (lookahead == 'c') ADVANCE(950);
      if (lookahead == 'i') ADVANCE(922);
      if (lookahead == 'n') ADVANCE(838);
      if (lookahead == 'o') ADVANCE(816);
      if (lookahead == 'r') ADVANCE(862);
      if (lookahead == 's') ADVANCE(994);
      if (lookahead == 'u') ADVANCE(930);
      if (lookahead == 'v') ADVANCE(946);
      if (lookahead == '{') ADVANCE(437);
      if (lookahead == '|') ADVANCE(562);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(757);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(662);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(52)
      if (lookahead != 0 &&
          lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          lookahead != ']' &&
          lookahead != '^' &&
          lookahead != '}' &&
          lookahead != '~') ADVANCE(1041);
      END_STATE();
    case 53:
      if (lookahead == '"') ADVANCE(506);
      if (lookahead == '&') ADVANCE(557);
      if (lookahead == '\'') ADVANCE(507);
      if (lookahead == '(') ADVANCE(457);
      if (lookahead == '*') ADVANCE(418);
      if (lookahead == '+') ADVANCE(568);
      if (lookahead == '-') ADVANCE(572);
      if (lookahead == '.') ADVANCE(378);
      if (lookahead == '/') ADVANCE(69);
      if (lookahead == '0') ADVANCE(660);
      if (lookahead == '<') ADVANCE(582);
      if (lookahead == '?') ADVANCE(1050);
      if (lookahead == '[') ADVANCE(480);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == '`') ADVANCE(626);
      if (lookahead == 'a') ADVANCE(681);
      if (lookahead == 'b') ADVANCE(721);
      if (lookahead == 'c') ADVANCE(719);
      if (lookahead == 'n') ADVANCE(690);
      if (lookahead == 'o') ADVANCE(682);
      if (lookahead == 'r') ADVANCE(691);
      if (lookahead == 's') ADVANCE(731);
      if (lookahead == 'u') ADVANCE(708);
      if (lookahead == 'v') ADVANCE(716);
      if (lookahead == '{') ADVANCE(437);
      if (lookahead == '|') ADVANCE(562);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(759);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(662);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(53)
      if (lookahead == '$' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(743);
      if (lookahead != 0 &&
          lookahead > '~') ADVANCE(1041);
      END_STATE();
    case 54:
      if (lookahead == '"') ADVANCE(506);
      if (lookahead == '&') ADVANCE(61);
      if (lookahead == '/') ADVANCE(510);
      if (sym__glimmer_template_content_character_set_1(lookahead)) ADVANCE(509);
      if (lookahead != 0) ADVANCE(511);
      END_STATE();
    case 55:
      if (lookahead == '"') ADVANCE(506);
      if (lookahead == '\'') ADVANCE(507);
      if (lookahead == '(') ADVANCE(457);
      if (lookahead == '*') ADVANCE(418);
      if (lookahead == ',') ADVANCE(438);
      if (lookahead == '.') ADVANCE(501);
      if (lookahead == '/') ADVANCE(69);
      if (lookahead == '<') ADVANCE(582);
      if (lookahead == '?') ADVANCE(77);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == '`') ADVANCE(626);
      if (lookahead == 't') ADVANCE(1030);
      if (lookahead == '{') ADVANCE(436);
      if (lookahead == '}') ADVANCE(439);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(1006);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(55)
      if (lookahead != 0 &&
          lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          (lookahead < '|' || '~' < lookahead)) ADVANCE(1041);
      END_STATE();
    case 56:
      if (lookahead == '"') ADVANCE(506);
      if (lookahead == '\'') ADVANCE(507);
      if (lookahead == '*') ADVANCE(418);
      if (lookahead == ',') ADVANCE(438);
      if (lookahead == '/') ADVANCE(69);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'f') ADVANCE(973);
      if (lookahead == 't') ADVANCE(1030);
      if (lookahead == '{') ADVANCE(436);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(873);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(56)
      if (lookahead != 0 &&
          lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '|' || '~' < lookahead)) ADVANCE(1041);
      END_STATE();
    case 57:
      if (lookahead == '"') ADVANCE(506);
      if (lookahead == '\'') ADVANCE(507);
      if (lookahead == ',') ADVANCE(438);
      if (lookahead == '/') ADVANCE(69);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'a') ADVANCE(985);
      if (lookahead == 't') ADVANCE(1030);
      if (lookahead == '}') ADVANCE(439);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(802);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(57)
      if (lookahead != 0 &&
          lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(1041);
      END_STATE();
    case 58:
      if (lookahead == '"') ADVANCE(506);
      if (lookahead == '/') ADVANCE(69);
      if (sym__glimmer_template_content_character_set_1(lookahead)) SKIP(58)
      END_STATE();
    case 59:
      if (lookahead == '"') ADVANCE(506);
      if (lookahead == '/') ADVANCE(607);
      if (lookahead == '\\') ADVANCE(354);
      if (lookahead == '\n' ||
          lookahead == '\r') SKIP(58)
      if (sym_unescaped_double_string_fragment_character_set_1(lookahead)) ADVANCE(610);
      if (lookahead != 0) ADVANCE(611);
      END_STATE();
    case 60:
      if (lookahead == '#') ADVANCE(374);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(133);
      END_STATE();
    case 61:
      if (lookahead == '#') ADVANCE(374);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(133);
      if (lookahead != 0) ADVANCE(511);
      END_STATE();
    case 62:
      if (lookahead == '#') ADVANCE(374);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(133);
      if (lookahead != 0) ADVANCE(517);
      END_STATE();
    case 63:
      if (lookahead == '&') ADVANCE(557);
      if (lookahead == '(') ADVANCE(457);
      if (lookahead == ')') ADVANCE(458);
      if (lookahead == ',') ADVANCE(438);
      if (lookahead == '.') ADVANCE(501);
      if (lookahead == '/') ADVANCE(69);
      if (lookahead == ':') ADVANCE(473);
      if (lookahead == '<') ADVANCE(582);
      if (lookahead == '=') ADVANCE(428);
      if (lookahead == '>') ADVANCE(497);
      if (lookahead == '?') ADVANCE(1050);
      if (lookahead == '[') ADVANCE(480);
      if (lookahead == ']') ADVANCE(481);
      if (lookahead == '`') ADVANCE(626);
      if (lookahead == 'a') ADVANCE(317);
      if (lookahead == 'e') ADVANCE(238);
      if (lookahead == 'f') ADVANCE(306);
      if (lookahead == 'i') ADVANCE(271);
      if (lookahead == 'o') ADVANCE(213);
      if (lookahead == 'w') ADVANCE(220);
      if (lookahead == '{') ADVANCE(436);
      if (lookahead == '|') ADVANCE(562);
      if (lookahead == '}') ADVANCE(439);
      if (sym__glimmer_template_content_character_set_1(lookahead)) SKIP(63)
      END_STATE();
    case 64:
      if (lookahead == '&') ADVANCE(557);
      if (lookahead == ',') ADVANCE(438);
      if (lookahead == '.') ADVANCE(501);
      if (lookahead == '/') ADVANCE(70);
      if (lookahead == ':') ADVANCE(473);
      if (lookahead == '<') ADVANCE(582);
      if (lookahead == '=') ADVANCE(425);
      if (lookahead == '>') ADVANCE(497);
      if (lookahead == '[') ADVANCE(480);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'e') ADVANCE(740);
      if (lookahead == '{') ADVANCE(436);
      if (lookahead == '|') ADVANCE(562);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(850);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(64)
      if (lookahead == '$' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(743);
      if (lookahead != 0 &&
          lookahead > '~') ADVANCE(1041);
      END_STATE();
    case 65:
      if (lookahead == '&') ADVANCE(60);
      if (lookahead == '/') ADVANCE(488);
      if (lookahead == '<') ADVANCE(583);
      if (lookahead == '{') ADVANCE(436);
      if (lookahead == '\n' ||
          lookahead == ' ') SKIP(65)
      if (aux_sym_jsx_text_token1_character_set_1(lookahead)) ADVANCE(490);
      if (lookahead != 0 &&
          lookahead != '>' &&
          lookahead != '}') ADVANCE(489);
      END_STATE();
    case 66:
      if (lookahead == '&') ADVANCE(62);
      if (lookahead == '\'') ADVANCE(507);
      if (lookahead == '/') ADVANCE(516);
      if (sym__glimmer_template_content_character_set_1(lookahead)) ADVANCE(515);
      if (lookahead != 0) ADVANCE(517);
      END_STATE();
    case 67:
      if (lookahead == '\'') ADVANCE(507);
      if (lookahead == '/') ADVANCE(69);
      if (sym__glimmer_template_content_character_set_1(lookahead)) SKIP(67)
      END_STATE();
    case 68:
      if (lookahead == '\'') ADVANCE(507);
      if (lookahead == '/') ADVANCE(612);
      if (lookahead == '\\') ADVANCE(354);
      if (lookahead == '\n' ||
          lookahead == '\r') SKIP(67)
      if (sym_unescaped_double_string_fragment_character_set_1(lookahead)) ADVANCE(615);
      if (lookahead != 0) ADVANCE(616);
      END_STATE();
    case 69:
      if (lookahead == '*') ADVANCE(72);
      if (lookahead == '/') ADVANCE(625);
      END_STATE();
    case 70:
      if (lookahead == '*') ADVANCE(72);
      if (lookahead == '/') ADVANCE(625);
      if (lookahead == '>') ADVANCE(505);
      END_STATE();
    case 71:
      if (lookahead == '*') ADVANCE(71);
      if (lookahead == '/') ADVANCE(622);
      if (lookahead != 0) ADVANCE(72);
      END_STATE();
    case 72:
      if (lookahead == '*') ADVANCE(71);
      if (lookahead != 0) ADVANCE(72);
      END_STATE();
    case 73:
      if (lookahead == '*') ADVANCE(512);
      if (lookahead == '#' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(72);
      if (lookahead != 0) ADVANCE(513);
      END_STATE();
    case 74:
      if (lookahead == '*') ADVANCE(518);
      if (lookahead == '#' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(72);
      if (lookahead != 0) ADVANCE(519);
      END_STATE();
    case 75:
      if (lookahead == '+') ADVANCE(137);
      if (lookahead == ',') ADVANCE(438);
      if (lookahead == '-') ADVANCE(138);
      if (lookahead == '.') ADVANCE(501);
      if (lookahead == '/') ADVANCE(69);
      if (lookahead == ':') ADVANCE(473);
      if (lookahead == '<') ADVANCE(582);
      if (lookahead == '?') ADVANCE(94);
      if (lookahead == 'e') ADVANCE(358);
      if (lookahead == '{') ADVANCE(437);
      if (sym__glimmer_template_content_character_set_1(lookahead)) SKIP(75)
      END_STATE();
    case 76:
      if (lookahead == '.') ADVANCE(80);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(675);
      END_STATE();
    case 77:
      if (lookahead == '.') ADVANCE(527);
      END_STATE();
    case 78:
      if (lookahead == '.') ADVANCE(527);
      if (lookahead == '?') ADVANCE(597);
      END_STATE();
    case 79:
      if (lookahead == '.') ADVANCE(527);
      if (lookahead == '?') ADVANCE(596);
      END_STATE();
    case 80:
      if (lookahead == '.') ADVANCE(546);
      END_STATE();
    case 81:
      if (lookahead == '.') ADVANCE(501);
      if (lookahead == '/') ADVANCE(70);
      if (lookahead == ':') ADVANCE(473);
      if (lookahead == '<') ADVANCE(582);
      if (lookahead == '=') ADVANCE(425);
      if (lookahead == '>') ADVANCE(497);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == '{') ADVANCE(436);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(1034);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(81)
      if (lookahead == '$' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(743);
      if (lookahead != 0 &&
          lookahead > '~') ADVANCE(1041);
      END_STATE();
    case 82:
      if (lookahead == '/') ADVANCE(628);
      if (sym__glimmer_template_content_character_set_1(lookahead)) SKIP(90)
      END_STATE();
    case 83:
      if (lookahead == '/') ADVANCE(69);
      if (lookahead == '<') ADVANCE(582);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'e') ADVANCE(1026);
      if (lookahead == 'i') ADVANCE(916);
      if (lookahead == '{') ADVANCE(436);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(852);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(83)
      if (lookahead != 0 &&
          lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '|' || '~' < lookahead)) ADVANCE(1041);
      END_STATE();
    case 84:
      if (lookahead == '/') ADVANCE(69);
      if (lookahead == '>') ADVANCE(497);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'c') ADVANCE(950);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(826);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(84)
      if (lookahead != 0 &&
          lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(1041);
      END_STATE();
    case 85:
      if (lookahead == '/') ADVANCE(69);
      if (lookahead == '[') ADVANCE(480);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'e') ADVANCE(929);
      if (lookahead == '{') ADVANCE(436);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(865);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(85)
      if (lookahead != 0 &&
          lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          lookahead != ']' &&
          lookahead != '^' &&
          lookahead != '`' &&
          (lookahead < '|' || '~' < lookahead)) ADVANCE(1041);
      END_STATE();
    case 86:
      if (lookahead == '/') ADVANCE(69);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'a') ADVANCE(926);
      if (lookahead == 'b') ADVANCE(951);
      if (lookahead == 'd') ADVANCE(856);
      if (lookahead == 'e') ADVANCE(1025);
      if (lookahead == 'l') ADVANCE(837);
      if (lookahead == 'm') ADVANCE(945);
      if (lookahead == 'n') ADVANCE(781);
      if (lookahead == 'o') ADVANCE(816);
      if (lookahead == 'r') ADVANCE(862);
      if (lookahead == 's') ADVANCE(994);
      if (lookahead == 't') ADVANCE(1030);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(790);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(86)
      if (lookahead != 0 &&
          lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(1041);
      END_STATE();
    case 87:
      if (lookahead == '/') ADVANCE(69);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'a') ADVANCE(927);
      if (lookahead == 'b') ADVANCE(951);
      if (lookahead == 'n') ADVANCE(851);
      if (lookahead == 'o') ADVANCE(816);
      if (lookahead == 's') ADVANCE(994);
      if (lookahead == 'u') ADVANCE(930);
      if (lookahead == 'v') ADVANCE(946);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(804);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(87)
      if (lookahead != 0 &&
          lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(1041);
      END_STATE();
    case 88:
      if (lookahead == '/') ADVANCE(69);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'i') ADVANCE(922);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(883);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(88)
      if (lookahead != 0 &&
          lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(1041);
      END_STATE();
    case 89:
      if (lookahead == '/') ADVANCE(69);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'r') ADVANCE(867);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(980);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(89)
      if (lookahead != 0 &&
          lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(1041);
      END_STATE();
    case 90:
      if (lookahead == '/') ADVANCE(69);
      if (sym__glimmer_template_content_character_set_1(lookahead)) SKIP(90)
      END_STATE();
    case 91:
      if (lookahead == '/') ADVANCE(70);
      if (lookahead == '>') ADVANCE(497);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'c') ADVANCE(719);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(822);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(91)
      if (lookahead == '$' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(743);
      if (lookahead != 0 &&
          lookahead > '~') ADVANCE(1041);
      END_STATE();
    case 92:
      if (lookahead == ':') ADVANCE(1097);
      END_STATE();
    case 93:
      if (lookahead == ':') ADVANCE(1096);
      END_STATE();
    case 94:
      if (lookahead == ':') ADVANCE(1098);
      END_STATE();
    case 95:
      if (lookahead == ';') ADVANCE(496);
      END_STATE();
    case 96:
      if (lookahead == ';') ADVANCE(496);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(95);
      END_STATE();
    case 97:
      if (lookahead == ';') ADVANCE(496);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(96);
      END_STATE();
    case 98:
      if (lookahead == ';') ADVANCE(496);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(97);
      END_STATE();
    case 99:
      if (lookahead == ';') ADVANCE(496);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(98);
      END_STATE();
    case 100:
      if (lookahead == ';') ADVANCE(496);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(95);
      END_STATE();
    case 101:
      if (lookahead == ';') ADVANCE(496);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(100);
      END_STATE();
    case 102:
      if (lookahead == ';') ADVANCE(496);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(101);
      END_STATE();
    case 103:
      if (lookahead == ';') ADVANCE(496);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(102);
      END_STATE();
    case 104:
      if (lookahead == ';') ADVANCE(496);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(103);
      END_STATE();
    case 105:
      if (lookahead == ';') ADVANCE(496);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(95);
      END_STATE();
    case 106:
      if (lookahead == ';') ADVANCE(496);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(105);
      END_STATE();
    case 107:
      if (lookahead == ';') ADVANCE(496);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(106);
      END_STATE();
    case 108:
      if (lookahead == ';') ADVANCE(496);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(107);
      END_STATE();
    case 109:
      if (lookahead == ';') ADVANCE(496);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(108);
      END_STATE();
    case 110:
      if (lookahead == ';') ADVANCE(496);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(109);
      END_STATE();
    case 111:
      if (lookahead == ';') ADVANCE(496);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(110);
      END_STATE();
    case 112:
      if (lookahead == ';') ADVANCE(496);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(111);
      END_STATE();
    case 113:
      if (lookahead == ';') ADVANCE(496);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(112);
      END_STATE();
    case 114:
      if (lookahead == ';') ADVANCE(496);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(113);
      END_STATE();
    case 115:
      if (lookahead == ';') ADVANCE(496);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(114);
      END_STATE();
    case 116:
      if (lookahead == ';') ADVANCE(496);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(115);
      END_STATE();
    case 117:
      if (lookahead == ';') ADVANCE(496);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(116);
      END_STATE();
    case 118:
      if (lookahead == ';') ADVANCE(496);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(117);
      END_STATE();
    case 119:
      if (lookahead == ';') ADVANCE(496);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(118);
      END_STATE();
    case 120:
      if (lookahead == ';') ADVANCE(496);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(119);
      END_STATE();
    case 121:
      if (lookahead == ';') ADVANCE(496);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(120);
      END_STATE();
    case 122:
      if (lookahead == ';') ADVANCE(496);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(121);
      END_STATE();
    case 123:
      if (lookahead == ';') ADVANCE(496);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(122);
      END_STATE();
    case 124:
      if (lookahead == ';') ADVANCE(496);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(123);
      END_STATE();
    case 125:
      if (lookahead == ';') ADVANCE(496);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(124);
      END_STATE();
    case 126:
      if (lookahead == ';') ADVANCE(496);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(125);
      END_STATE();
    case 127:
      if (lookahead == ';') ADVANCE(496);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(126);
      END_STATE();
    case 128:
      if (lookahead == ';') ADVANCE(496);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(127);
      END_STATE();
    case 129:
      if (lookahead == ';') ADVANCE(496);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(128);
      END_STATE();
    case 130:
      if (lookahead == ';') ADVANCE(496);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(129);
      END_STATE();
    case 131:
      if (lookahead == ';') ADVANCE(496);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(130);
      END_STATE();
    case 132:
      if (lookahead == ';') ADVANCE(496);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(131);
      END_STATE();
    case 133:
      if (lookahead == ';') ADVANCE(496);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(132);
      END_STATE();
    case 134:
      if (lookahead == '=') ADVANCE(591);
      END_STATE();
    case 135:
      if (lookahead == '>') ADVANCE(486);
      END_STATE();
    case 136:
      if (lookahead == '>') ADVANCE(487);
      END_STATE();
    case 137:
      if (lookahead == '?') ADVANCE(92);
      END_STATE();
    case 138:
      if (lookahead == '?') ADVANCE(93);
      END_STATE();
    case 139:
      if (lookahead == '\\') ADVANCE(351);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(1043);
      END_STATE();
    case 140:
      if (lookahead == '\\') ADVANCE(401);
      if (lookahead == ']') ADVANCE(630);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(140);
      END_STATE();
    case 141:
      if (lookahead == 'a') ADVANCE(335);
      END_STATE();
    case 142:
      if (lookahead == 'a') ADVANCE(322);
      if (lookahead == 'l') ADVANCE(149);
      if (lookahead == 'o') ADVANCE(281);
      END_STATE();
    case 143:
      if (lookahead == 'a') ADVANCE(260);
      END_STATE();
    case 144:
      if (lookahead == 'a') ADVANCE(260);
      if (lookahead == 'e') ADVANCE(355);
      if (lookahead == 'u') ADVANCE(258);
      END_STATE();
    case 145:
      if (lookahead == 'a') ADVANCE(181);
      if (lookahead == 'q') ADVANCE(349);
      END_STATE();
    case 146:
      if (lookahead == 'a') ADVANCE(301);
      if (lookahead == 'y') ADVANCE(297);
      END_STATE();
    case 147:
      if (lookahead == 'a') ADVANCE(337);
      END_STATE();
    case 148:
      if (lookahead == 'a') ADVANCE(337);
      if (lookahead == 't') ADVANCE(307);
      if (lookahead == 'y') ADVANCE(259);
      END_STATE();
    case 149:
      if (lookahead == 'a') ADVANCE(320);
      END_STATE();
    case 150:
      if (lookahead == 'a') ADVANCE(302);
      END_STATE();
    case 151:
      if (lookahead == 'a') ADVANCE(302);
      if (lookahead == 'o') ADVANCE(224);
      END_STATE();
    case 152:
      if (lookahead == 'a') ADVANCE(226);
      END_STATE();
    case 153:
      if (lookahead == 'a') ADVANCE(244);
      END_STATE();
    case 154:
      if (lookahead == 'a') ADVANCE(234);
      END_STATE();
    case 155:
      if (lookahead == 'a') ADVANCE(311);
      END_STATE();
    case 156:
      if (lookahead == 'a') ADVANCE(276);
      END_STATE();
    case 157:
      if (lookahead == 'a') ADVANCE(266);
      END_STATE();
    case 158:
      if (lookahead == 'a') ADVANCE(348);
      END_STATE();
    case 159:
      if (lookahead == 'a') ADVANCE(175);
      END_STATE();
    case 160:
      if (lookahead == 'a') ADVANCE(173);
      END_STATE();
    case 161:
      if (lookahead == 'a') ADVANCE(176);
      END_STATE();
    case 162:
      if (lookahead == 'a') ADVANCE(343);
      END_STATE();
    case 163:
      if (lookahead == 'b') ADVANCE(321);
      if (lookahead == 'n') ADVANCE(359);
      if (lookahead == 's') ADVANCE(432);
      if (lookahead == 'w') ADVANCE(152);
      END_STATE();
    case 164:
      if (lookahead == 'b') ADVANCE(321);
      if (lookahead == 's') ADVANCE(432);
      END_STATE();
    case 165:
      if (lookahead == 'b') ADVANCE(321);
      if (lookahead == 's') ADVANCE(429);
      END_STATE();
    case 166:
      if (lookahead == 'b') ADVANCE(232);
      END_STATE();
    case 167:
      if (lookahead == 'b') ADVANCE(154);
      END_STATE();
    case 168:
      if (lookahead == 'b') ADVANCE(290);
      END_STATE();
    case 169:
      if (lookahead == 'b') ADVANCE(204);
      END_STATE();
    case 170:
      if (lookahead == 'c') ADVANCE(522);
      END_STATE();
    case 171:
      if (lookahead == 'c') ADVANCE(219);
      END_STATE();
    case 172:
      if (lookahead == 'c') ADVANCE(331);
      END_STATE();
    case 173:
      if (lookahead == 'c') ADVANCE(334);
      END_STATE();
    case 174:
      if (lookahead == 'c') ADVANCE(205);
      END_STATE();
    case 175:
      if (lookahead == 'c') ADVANCE(195);
      END_STATE();
    case 176:
      if (lookahead == 'c') ADVANCE(196);
      END_STATE();
    case 177:
      if (lookahead == 'c') ADVANCE(245);
      if (lookahead == 'f') ADVANCE(158);
      END_STATE();
    case 178:
      if (lookahead == 'c') ADVANCE(338);
      END_STATE();
    case 179:
      if (lookahead == 'd') ADVANCE(602);
      END_STATE();
    case 180:
      if (lookahead == 'd') ADVANCE(353);
      END_STATE();
    case 181:
      if (lookahead == 'd') ADVANCE(291);
      END_STATE();
    case 182:
      if (lookahead == 'd') ADVANCE(314);
      END_STATE();
    case 183:
      if (lookahead == 'e') ADVANCE(253);
      END_STATE();
    case 184:
      if (lookahead == 'e') ADVANCE(135);
      END_STATE();
    case 185:
      if (lookahead == 'e') ADVANCE(177);
      END_STATE();
    case 186:
      if (lookahead == 'e') ADVANCE(145);
      END_STATE();
    case 187:
      if (lookahead == 'e') ADVANCE(474);
      END_STATE();
    case 188:
      if (lookahead == 'e') ADVANCE(455);
      END_STATE();
    case 189:
      if (lookahead == 'e') ADVANCE(423);
      END_STATE();
    case 190:
      if (lookahead == 'e') ADVANCE(470);
      END_STATE();
    case 191:
      if (lookahead == 'e') ADVANCE(1056);
      END_STATE();
    case 192:
      if (lookahead == 'e') ADVANCE(1101);
      END_STATE();
    case 193:
      if (lookahead == 'e') ADVANCE(1054);
      END_STATE();
    case 194:
      if (lookahead == 'e') ADVANCE(1082);
      END_STATE();
    case 195:
      if (lookahead == 'e') ADVANCE(1092);
      END_STATE();
    case 196:
      if (lookahead == 'e') ADVANCE(434);
      END_STATE();
    case 197:
      if (lookahead == 'e') ADVANCE(325);
      END_STATE();
    case 198:
      if (lookahead == 'e') ADVANCE(136);
      END_STATE();
    case 199:
      if (lookahead == 'e') ADVANCE(319);
      END_STATE();
    case 200:
      if (lookahead == 'e') ADVANCE(303);
      END_STATE();
    case 201:
      if (lookahead == 'e') ADVANCE(275);
      END_STATE();
    case 202:
      if (lookahead == 'e') ADVANCE(304);
      END_STATE();
    case 203:
      if (lookahead == 'e') ADVANCE(315);
      END_STATE();
    case 204:
      if (lookahead == 'e') ADVANCE(305);
      END_STATE();
    case 205:
      if (lookahead == 'e') ADVANCE(287);
      END_STATE();
    case 206:
      if (lookahead == 'e') ADVANCE(332);
      END_STATE();
    case 207:
      if (lookahead == 'e') ADVANCE(280);
      END_STATE();
    case 208:
      if (lookahead == 'e') ADVANCE(261);
      END_STATE();
    case 209:
      if (lookahead == 'e') ADVANCE(172);
      END_STATE();
    case 210:
      if (lookahead == 'e') ADVANCE(157);
      END_STATE();
    case 211:
      if (lookahead == 'e') ADVANCE(264);
      END_STATE();
    case 212:
      if (lookahead == 'f') ADVANCE(598);
      END_STATE();
    case 213:
      if (lookahead == 'f') ADVANCE(467);
      END_STATE();
    case 214:
      if (lookahead == 'f') ADVANCE(228);
      END_STATE();
    case 215:
      if (lookahead == 'f') ADVANCE(159);
      END_STATE();
    case 216:
      if (lookahead == 'g') ADVANCE(1067);
      END_STATE();
    case 217:
      if (lookahead == 'g') ADVANCE(206);
      END_STATE();
    case 218:
      if (lookahead == 'h') ADVANCE(444);
      END_STATE();
    case 219:
      if (lookahead == 'h') ADVANCE(476);
      END_STATE();
    case 220:
      if (lookahead == 'h') ADVANCE(229);
      END_STATE();
    case 221:
      if (lookahead == 'h') ADVANCE(229);
      if (lookahead == 'i') ADVANCE(326);
      END_STATE();
    case 222:
      if (lookahead == 'i') ADVANCE(300);
      if (lookahead == 'k') ADVANCE(279);
      END_STATE();
    case 223:
      if (lookahead == 'i') ADVANCE(277);
      if (lookahead == 'r') ADVANCE(288);
      if (lookahead == 'u') ADVANCE(272);
      END_STATE();
    case 224:
      if (lookahead == 'i') ADVANCE(179);
      END_STATE();
    case 225:
      if (lookahead == 'i') ADVANCE(318);
      END_STATE();
    case 226:
      if (lookahead == 'i') ADVANCE(327);
      END_STATE();
    case 227:
      if (lookahead == 'i') ADVANCE(273);
      END_STATE();
    case 228:
      if (lookahead == 'i') ADVANCE(203);
      END_STATE();
    case 229:
      if (lookahead == 'i') ADVANCE(248);
      END_STATE();
    case 230:
      if (lookahead == 'i') ADVANCE(292);
      END_STATE();
    case 231:
      if (lookahead == 'i') ADVANCE(312);
      END_STATE();
    case 232:
      if (lookahead == 'j') ADVANCE(209);
      END_STATE();
    case 233:
      if (lookahead == 'l') ADVANCE(141);
      END_STATE();
    case 234:
      if (lookahead == 'l') ADVANCE(1090);
      END_STATE();
    case 235:
      if (lookahead == 'l') ADVANCE(1070);
      END_STATE();
    case 236:
      if (lookahead == 'l') ADVANCE(323);
      if (lookahead == 'n') ADVANCE(346);
      if (lookahead == 'x') ADVANCE(295);
      END_STATE();
    case 237:
      if (lookahead == 'l') ADVANCE(323);
      if (lookahead == 'n') ADVANCE(346);
      if (lookahead == 'x') ADVANCE(339);
      END_STATE();
    case 238:
      if (lookahead == 'l') ADVANCE(323);
      if (lookahead == 'x') ADVANCE(339);
      END_STATE();
    case 239:
      if (lookahead == 'l') ADVANCE(360);
      END_STATE();
    case 240:
      if (lookahead == 'l') ADVANCE(149);
      END_STATE();
    case 241:
      if (lookahead == 'l') ADVANCE(149);
      if (lookahead == 'o') ADVANCE(281);
      END_STATE();
    case 242:
      if (lookahead == 'l') ADVANCE(361);
      END_STATE();
    case 243:
      if (lookahead == 'l') ADVANCE(284);
      END_STATE();
    case 244:
      if (lookahead == 'l') ADVANCE(239);
      END_STATE();
    case 245:
      if (lookahead == 'l') ADVANCE(155);
      END_STATE();
    case 246:
      if (lookahead == 'l') ADVANCE(333);
      END_STATE();
    case 247:
      if (lookahead == 'l') ADVANCE(210);
      END_STATE();
    case 248:
      if (lookahead == 'l') ADVANCE(190);
      END_STATE();
    case 249:
      if (lookahead == 'l') ADVANCE(191);
      END_STATE();
    case 250:
      if (lookahead == 'l') ADVANCE(208);
      END_STATE();
    case 251:
      if (lookahead == 'l') ADVANCE(208);
      if (lookahead == 'o') ADVANCE(310);
      END_STATE();
    case 252:
      if (lookahead == 'l') ADVANCE(162);
      END_STATE();
    case 253:
      if (lookahead == 'm') ADVANCE(293);
      END_STATE();
    case 254:
      if (lookahead == 'm') ADVANCE(1094);
      END_STATE();
    case 255:
      if (lookahead == 'm') ADVANCE(442);
      END_STATE();
    case 256:
      if (lookahead == 'm') ADVANCE(294);
      if (lookahead == 'n') ADVANCE(466);
      if (lookahead == 's') ADVANCE(1099);
      END_STATE();
    case 257:
      if (lookahead == 'm') ADVANCE(294);
      if (lookahead == 'n') ADVANCE(341);
      if (lookahead == 's') ADVANCE(1099);
      END_STATE();
    case 258:
      if (lookahead == 'm') ADVANCE(169);
      END_STATE();
    case 259:
      if (lookahead == 'm') ADVANCE(168);
      END_STATE();
    case 260:
      if (lookahead == 'm') ADVANCE(199);
      END_STATE();
    case 261:
      if (lookahead == 'm') ADVANCE(207);
      END_STATE();
    case 262:
      if (lookahead == 'm') ADVANCE(296);
      if (lookahead == 'n') ADVANCE(465);
      END_STATE();
    case 263:
      if (lookahead == 'm') ADVANCE(296);
      if (lookahead == 'n') ADVANCE(465);
      if (lookahead == 's') ADVANCE(1099);
      END_STATE();
    case 264:
      if (lookahead == 'm') ADVANCE(299);
      END_STATE();
    case 265:
      if (lookahead == 'n') ADVANCE(222);
      END_STATE();
    case 266:
      if (lookahead == 'n') ADVANCE(1064);
      END_STATE();
    case 267:
      if (lookahead == 'n') ADVANCE(1104);
      END_STATE();
    case 268:
      if (lookahead == 'n') ADVANCE(524);
      END_STATE();
    case 269:
      if (lookahead == 'n') ADVANCE(465);
      END_STATE();
    case 270:
      if (lookahead == 'n') ADVANCE(461);
      END_STATE();
    case 271:
      if (lookahead == 'n') ADVANCE(461);
      if (lookahead == 's') ADVANCE(1099);
      END_STATE();
    case 272:
      if (lookahead == 'n') ADVANCE(178);
      END_STATE();
    case 273:
      if (lookahead == 'n') ADVANCE(216);
      END_STATE();
    case 274:
      if (lookahead == 'n') ADVANCE(170);
      END_STATE();
    case 275:
      if (lookahead == 'n') ADVANCE(182);
      END_STATE();
    case 276:
      if (lookahead == 'n') ADVANCE(174);
      END_STATE();
    case 277:
      if (lookahead == 'n') ADVANCE(153);
      END_STATE();
    case 278:
      if (lookahead == 'n') ADVANCE(242);
      END_STATE();
    case 279:
      if (lookahead == 'n') ADVANCE(283);
      END_STATE();
    case 280:
      if (lookahead == 'n') ADVANCE(342);
      END_STATE();
    case 281:
      if (lookahead == 'n') ADVANCE(324);
      END_STATE();
    case 282:
      if (lookahead == 'o') ADVANCE(180);
      END_STATE();
    case 283:
      if (lookahead == 'o') ADVANCE(356);
      END_STATE();
    case 284:
      if (lookahead == 'o') ADVANCE(167);
      END_STATE();
    case 285:
      if (lookahead == 'o') ADVANCE(247);
      END_STATE();
    case 286:
      if (lookahead == 'o') ADVANCE(285);
      END_STATE();
    case 287:
      if (lookahead == 'o') ADVANCE(212);
      END_STATE();
    case 288:
      if (lookahead == 'o') ADVANCE(255);
      END_STATE();
    case 289:
      if (lookahead == 'o') ADVANCE(309);
      END_STATE();
    case 290:
      if (lookahead == 'o') ADVANCE(235);
      END_STATE();
    case 291:
      if (lookahead == 'o') ADVANCE(278);
      END_STATE();
    case 292:
      if (lookahead == 'o') ADVANCE(268);
      END_STATE();
    case 293:
      if (lookahead == 'p') ADVANCE(233);
      END_STATE();
    case 294:
      if (lookahead == 'p') ADVANCE(251);
      END_STATE();
    case 295:
      if (lookahead == 'p') ADVANCE(289);
      if (lookahead == 't') ADVANCE(201);
      END_STATE();
    case 296:
      if (lookahead == 'p') ADVANCE(250);
      END_STATE();
    case 297:
      if (lookahead == 'p') ADVANCE(189);
      END_STATE();
    case 298:
      if (lookahead == 'p') ADVANCE(161);
      END_STATE();
    case 299:
      if (lookahead == 'p') ADVANCE(252);
      END_STATE();
    case 300:
      if (lookahead == 'q') ADVANCE(350);
      END_STATE();
    case 301:
      if (lookahead == 'r') ADVANCE(217);
      END_STATE();
    case 302:
      if (lookahead == 'r') ADVANCE(446);
      END_STATE();
    case 303:
      if (lookahead == 'r') ADVANCE(215);
      END_STATE();
    case 304:
      if (lookahead == 'r') ADVANCE(1107);
      END_STATE();
    case 305:
      if (lookahead == 'r') ADVANCE(1061);
      END_STATE();
    case 306:
      if (lookahead == 'r') ADVANCE(288);
      END_STATE();
    case 307:
      if (lookahead == 'r') ADVANCE(227);
      END_STATE();
    case 308:
      if (lookahead == 'r') ADVANCE(160);
      END_STATE();
    case 309:
      if (lookahead == 'r') ADVANCE(329);
      END_STATE();
    case 310:
      if (lookahead == 'r') ADVANCE(330);
      END_STATE();
    case 311:
      if (lookahead == 'r') ADVANCE(193);
      END_STATE();
    case 312:
      if (lookahead == 'r') ADVANCE(194);
      END_STATE();
    case 313:
      if (lookahead == 's') ADVANCE(520);
      END_STATE();
    case 314:
      if (lookahead == 's') ADVANCE(1084);
      END_STATE();
    case 315:
      if (lookahead == 's') ADVANCE(1079);
      END_STATE();
    case 316:
      if (lookahead == 's') ADVANCE(1087);
      END_STATE();
    case 317:
      if (lookahead == 's') ADVANCE(429);
      END_STATE();
    case 318:
      if (lookahead == 's') ADVANCE(214);
      END_STATE();
    case 319:
      if (lookahead == 's') ADVANCE(298);
      END_STATE();
    case 320:
      if (lookahead == 's') ADVANCE(313);
      END_STATE();
    case 321:
      if (lookahead == 's') ADVANCE(336);
      END_STATE();
    case 322:
      if (lookahead == 's') ADVANCE(187);
      if (lookahead == 't') ADVANCE(171);
      END_STATE();
    case 323:
      if (lookahead == 's') ADVANCE(188);
      END_STATE();
    case 324:
      if (lookahead == 's') ADVANCE(328);
      END_STATE();
    case 325:
      if (lookahead == 't') ADVANCE(448);
      END_STATE();
    case 326:
      if (lookahead == 't') ADVANCE(218);
      END_STATE();
    case 327:
      if (lookahead == 't') ADVANCE(459);
      END_STATE();
    case 328:
      if (lookahead == 't') ADVANCE(450);
      END_STATE();
    case 329:
      if (lookahead == 't') ADVANCE(416);
      END_STATE();
    case 330:
      if (lookahead == 't') ADVANCE(440);
      END_STATE();
    case 331:
      if (lookahead == 't') ADVANCE(1073);
      END_STATE();
    case 332:
      if (lookahead == 't') ADVANCE(1044);
      END_STATE();
    case 333:
      if (lookahead == 't') ADVANCE(421);
      END_STATE();
    case 334:
      if (lookahead == 't') ADVANCE(1076);
      END_STATE();
    case 335:
      if (lookahead == 't') ADVANCE(184);
      END_STATE();
    case 336:
      if (lookahead == 't') ADVANCE(308);
      END_STATE();
    case 337:
      if (lookahead == 't') ADVANCE(225);
      END_STATE();
    case 338:
      if (lookahead == 't') ADVANCE(230);
      END_STATE();
    case 339:
      if (lookahead == 't') ADVANCE(201);
      END_STATE();
    case 340:
      if (lookahead == 't') ADVANCE(156);
      END_STATE();
    case 341:
      if (lookahead == 't') ADVANCE(200);
      END_STATE();
    case 342:
      if (lookahead == 't') ADVANCE(316);
      END_STATE();
    case 343:
      if (lookahead == 't') ADVANCE(198);
      END_STATE();
    case 344:
      if (lookahead == 't') ADVANCE(211);
      END_STATE();
    case 345:
      if (lookahead == 'u') ADVANCE(364);
      if (lookahead == 'x') ADVANCE(391);
      if (lookahead == '\r' ||
          lookahead == '?') ADVANCE(619);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(621);
      if (lookahead != 0) ADVANCE(617);
      END_STATE();
    case 346:
      if (lookahead == 'u') ADVANCE(254);
      END_STATE();
    case 347:
      if (lookahead == 'u') ADVANCE(272);
      END_STATE();
    case 348:
      if (lookahead == 'u') ADVANCE(246);
      END_STATE();
    case 349:
      if (lookahead == 'u') ADVANCE(231);
      END_STATE();
    case 350:
      if (lookahead == 'u') ADVANCE(192);
      END_STATE();
    case 351:
      if (lookahead == 'u') ADVANCE(365);
      END_STATE();
    case 352:
      if (lookahead == 'u') ADVANCE(366);
      END_STATE();
    case 353:
      if (lookahead == 'u') ADVANCE(249);
      END_STATE();
    case 354:
      if (lookahead == 'u') ADVANCE(367);
      if (lookahead == 'x') ADVANCE(391);
      if (lookahead == '\r' ||
          lookahead == '?') ADVANCE(619);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(621);
      if (lookahead != 0) ADVANCE(617);
      END_STATE();
    case 355:
      if (lookahead == 'v') ADVANCE(202);
      if (lookahead == 'w') ADVANCE(528);
      END_STATE();
    case 356:
      if (lookahead == 'w') ADVANCE(267);
      END_STATE();
    case 357:
      if (lookahead == 'x') ADVANCE(295);
      END_STATE();
    case 358:
      if (lookahead == 'x') ADVANCE(339);
      END_STATE();
    case 359:
      if (lookahead == 'y') ADVANCE(1058);
      END_STATE();
    case 360:
      if (lookahead == 'y') ADVANCE(478);
      END_STATE();
    case 361:
      if (lookahead == 'y') ADVANCE(1047);
      END_STATE();
    case 362:
      if (lookahead == 'y') ADVANCE(297);
      END_STATE();
    case 363:
      if (lookahead == '{') ADVANCE(627);
      END_STATE();
    case 364:
      if (lookahead == '{') ADVANCE(385);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(396);
      END_STATE();
    case 365:
      if (lookahead == '{') ADVANCE(389);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(397);
      END_STATE();
    case 366:
      if (lookahead == '{') ADVANCE(390);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(398);
      END_STATE();
    case 367:
      if (lookahead == '{') ADVANCE(392);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(388);
      END_STATE();
    case 368:
      if (lookahead == '}') ADVANCE(1041);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(368);
      END_STATE();
    case 369:
      if (lookahead == '}') ADVANCE(1043);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(369);
      END_STATE();
    case 370:
      if (lookahead == '}') ADVANCE(617);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(370);
      END_STATE();
    case 371:
      if (lookahead == '}') ADVANCE(1111);
      END_STATE();
    case 372:
      if (lookahead == '}') ADVANCE(618);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(372);
      END_STATE();
    case 373:
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(380);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(674);
      END_STATE();
    case 374:
      if (lookahead == 'X' ||
          lookahead == 'x') ADVANCE(387);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(99);
      END_STATE();
    case 375:
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(670);
      END_STATE();
    case 376:
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(671);
      END_STATE();
    case 377:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(662);
      END_STATE();
    case 378:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(675);
      END_STATE();
    case 379:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(673);
      END_STATE();
    case 380:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(674);
      END_STATE();
    case 381:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1041);
      END_STATE();
    case 382:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1043);
      END_STATE();
    case 383:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(617);
      END_STATE();
    case 384:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(672);
      END_STATE();
    case 385:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(372);
      END_STATE();
    case 386:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(618);
      END_STATE();
    case 387:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(104);
      END_STATE();
    case 388:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(391);
      END_STATE();
    case 389:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(369);
      END_STATE();
    case 390:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(368);
      END_STATE();
    case 391:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(383);
      END_STATE();
    case 392:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(370);
      END_STATE();
    case 393:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(386);
      END_STATE();
    case 394:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(382);
      END_STATE();
    case 395:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(381);
      END_STATE();
    case 396:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(393);
      END_STATE();
    case 397:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(394);
      END_STATE();
    case 398:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(395);
      END_STATE();
    case 399:
      if (lookahead != 0 &&
          lookahead != '#' &&
          (lookahead < 'A' || 'Z' < lookahead) &&
          (lookahead < 'a' || 'z' < lookahead)) ADVANCE(511);
      END_STATE();
    case 400:
      if (lookahead != 0 &&
          lookahead != '#' &&
          (lookahead < 'A' || 'Z' < lookahead) &&
          (lookahead < 'a' || 'z' < lookahead)) ADVANCE(517);
      END_STATE();
    case 401:
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(140);
      END_STATE();
    case 402:
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(630);
      END_STATE();
    case 403:
      if (eof) ADVANCE(414);
      if (lookahead == '!') ADVANCE(454);
      if (lookahead == '"') ADVANCE(506);
      if (lookahead == '#') ADVANCE(34);
      if (lookahead == '$') ADVANCE(1032);
      if (lookahead == '%') ADVANCE(579);
      if (lookahead == '&') ADVANCE(558);
      if (lookahead == '\'') ADVANCE(507);
      if (lookahead == '(') ADVANCE(457);
      if (lookahead == ')') ADVANCE(458);
      if (lookahead == '*') ADVANCE(419);
      if (lookahead == '+') ADVANCE(571);
      if (lookahead == ',') ADVANCE(438);
      if (lookahead == '-') ADVANCE(575);
      if (lookahead == '.') ADVANCE(502);
      if (lookahead == '/') ADVANCE(577);
      if (lookahead == '0') ADVANCE(660);
      if (lookahead == ':') ADVANCE(473);
      if (lookahead == ';') ADVANCE(472);
      if (lookahead == '<') ADVANCE(584);
      if (lookahead == '=') ADVANCE(427);
      if (lookahead == '>') ADVANCE(498);
      if (lookahead == '?') ADVANCE(1052);
      if (lookahead == '@') ADVANCE(1046);
      if (lookahead == '[') ADVANCE(480);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == ']') ADVANCE(481);
      if (lookahead == '^') ADVANCE(561);
      if (lookahead == '`') ADVANCE(626);
      if (lookahead == 'a') ADVANCE(810);
      if (lookahead == 'b') ADVANCE(951);
      if (lookahead == 'c') ADVANCE(779);
      if (lookahead == 'd') ADVANCE(836);
      if (lookahead == 'e') ADVANCE(894);
      if (lookahead == 'f') ADVANCE(880);
      if (lookahead == 'g') ADVANCE(900);
      if (lookahead == 'i') ADVANCE(909);
      if (lookahead == 'l') ADVANCE(837);
      if (lookahead == 'm') ADVANCE(945);
      if (lookahead == 'n') ADVANCE(780);
      if (lookahead == 'o') ADVANCE(815);
      if (lookahead == 'r') ADVANCE(839);
      if (lookahead == 's') ADVANCE(785);
      if (lookahead == 't') ADVANCE(789);
      if (lookahead == 'u') ADVANCE(930);
      if (lookahead == 'v') ADVANCE(792);
      if (lookahead == 'w') ADVANCE(878);
      if (lookahead == '{') ADVANCE(437);
      if (lookahead == '|') ADVANCE(564);
      if (lookahead == '}') ADVANCE(439);
      if (lookahead == '~') ADVANCE(601);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(677);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(662);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(403)
      if (lookahead != 0 &&
          lookahead > 31) ADVANCE(1041);
      END_STATE();
    case 404:
      if (eof) ADVANCE(414);
      if (lookahead == '!') ADVANCE(454);
      if (lookahead == '"') ADVANCE(506);
      if (lookahead == '#') ADVANCE(139);
      if (lookahead == '%') ADVANCE(578);
      if (lookahead == '&') ADVANCE(559);
      if (lookahead == '\'') ADVANCE(507);
      if (lookahead == '(') ADVANCE(457);
      if (lookahead == '*') ADVANCE(420);
      if (lookahead == '+') ADVANCE(569);
      if (lookahead == ',') ADVANCE(438);
      if (lookahead == '-') ADVANCE(573);
      if (lookahead == '.') ADVANCE(503);
      if (lookahead == '/') ADVANCE(576);
      if (lookahead == '0') ADVANCE(660);
      if (lookahead == ';') ADVANCE(472);
      if (lookahead == '<') ADVANCE(588);
      if (lookahead == '=') ADVANCE(426);
      if (lookahead == '>') ADVANCE(499);
      if (lookahead == '?') ADVANCE(79);
      if (lookahead == '@') ADVANCE(1046);
      if (lookahead == '[') ADVANCE(480);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == '^') ADVANCE(560);
      if (lookahead == '`') ADVANCE(626);
      if (lookahead == 'a') ADVANCE(810);
      if (lookahead == 'b') ADVANCE(951);
      if (lookahead == 'c') ADVANCE(897);
      if (lookahead == 'd') ADVANCE(856);
      if (lookahead == 'e') ADVANCE(928);
      if (lookahead == 'f') ADVANCE(1015);
      if (lookahead == 'i') ADVANCE(919);
      if (lookahead == 'l') ADVANCE(837);
      if (lookahead == 'm') ADVANCE(945);
      if (lookahead == 'n') ADVANCE(781);
      if (lookahead == 'o') ADVANCE(816);
      if (lookahead == 'r') ADVANCE(862);
      if (lookahead == 's') ADVANCE(785);
      if (lookahead == 't') ADVANCE(1030);
      if (lookahead == 'v') ADVANCE(792);
      if (lookahead == 'w') ADVANCE(878);
      if (lookahead == '{') ADVANCE(436);
      if (lookahead == '|') ADVANCE(565);
      if (lookahead == '}') ADVANCE(439);
      if (lookahead == '~') ADVANCE(601);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(746);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(662);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(404)
      if (lookahead != 0 &&
          lookahead > 31 &&
          (lookahead < ')' || ':' < lookahead) &&
          lookahead != ']') ADVANCE(1041);
      END_STATE();
    case 405:
      if (eof) ADVANCE(414);
      if (lookahead == '!') ADVANCE(454);
      if (lookahead == '"') ADVANCE(506);
      if (lookahead == '#') ADVANCE(139);
      if (lookahead == '%') ADVANCE(578);
      if (lookahead == '&') ADVANCE(559);
      if (lookahead == '\'') ADVANCE(507);
      if (lookahead == '(') ADVANCE(457);
      if (lookahead == '*') ADVANCE(420);
      if (lookahead == '+') ADVANCE(569);
      if (lookahead == ',') ADVANCE(438);
      if (lookahead == '-') ADVANCE(573);
      if (lookahead == '.') ADVANCE(503);
      if (lookahead == '/') ADVANCE(576);
      if (lookahead == '0') ADVANCE(660);
      if (lookahead == ';') ADVANCE(472);
      if (lookahead == '<') ADVANCE(588);
      if (lookahead == '=') ADVANCE(426);
      if (lookahead == '>') ADVANCE(499);
      if (lookahead == '?') ADVANCE(79);
      if (lookahead == '@') ADVANCE(1046);
      if (lookahead == '[') ADVANCE(480);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == '^') ADVANCE(560);
      if (lookahead == '`') ADVANCE(626);
      if (lookahead == 'a') ADVANCE(810);
      if (lookahead == 'b') ADVANCE(951);
      if (lookahead == 'c') ADVANCE(897);
      if (lookahead == 'd') ADVANCE(856);
      if (lookahead == 'e') ADVANCE(895);
      if (lookahead == 'f') ADVANCE(1015);
      if (lookahead == 'i') ADVANCE(919);
      if (lookahead == 'l') ADVANCE(837);
      if (lookahead == 'm') ADVANCE(945);
      if (lookahead == 'n') ADVANCE(781);
      if (lookahead == 'o') ADVANCE(816);
      if (lookahead == 'r') ADVANCE(862);
      if (lookahead == 's') ADVANCE(785);
      if (lookahead == 't') ADVANCE(1030);
      if (lookahead == 'v') ADVANCE(792);
      if (lookahead == 'w') ADVANCE(878);
      if (lookahead == '{') ADVANCE(436);
      if (lookahead == '|') ADVANCE(565);
      if (lookahead == '}') ADVANCE(439);
      if (lookahead == '~') ADVANCE(601);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(748);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(662);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(405)
      if (lookahead != 0 &&
          lookahead > 31 &&
          (lookahead < ')' || ':' < lookahead) &&
          lookahead != ']') ADVANCE(1041);
      END_STATE();
    case 406:
      if (eof) ADVANCE(414);
      if (lookahead == '!') ADVANCE(454);
      if (lookahead == '"') ADVANCE(506);
      if (lookahead == '$') ADVANCE(363);
      if (lookahead == '%') ADVANCE(579);
      if (lookahead == '&') ADVANCE(558);
      if (lookahead == '\'') ADVANCE(507);
      if (lookahead == '(') ADVANCE(457);
      if (lookahead == ')') ADVANCE(458);
      if (lookahead == '*') ADVANCE(419);
      if (lookahead == '+') ADVANCE(570);
      if (lookahead == ',') ADVANCE(438);
      if (lookahead == '-') ADVANCE(574);
      if (lookahead == '.') ADVANCE(503);
      if (lookahead == '/') ADVANCE(577);
      if (lookahead == '0') ADVANCE(660);
      if (lookahead == ':') ADVANCE(473);
      if (lookahead == ';') ADVANCE(472);
      if (lookahead == '<') ADVANCE(585);
      if (lookahead == '=') ADVANCE(427);
      if (lookahead == '>') ADVANCE(498);
      if (lookahead == '?') ADVANCE(1052);
      if (lookahead == '@') ADVANCE(1046);
      if (lookahead == '[') ADVANCE(480);
      if (lookahead == '\\') ADVANCE(354);
      if (lookahead == ']') ADVANCE(481);
      if (lookahead == '^') ADVANCE(561);
      if (lookahead == '`') ADVANCE(626);
      if (lookahead == 'a') ADVANCE(163);
      if (lookahead == 'b') ADVANCE(286);
      if (lookahead == 'c') ADVANCE(142);
      if (lookahead == 'd') ADVANCE(185);
      if (lookahead == 'e') ADVANCE(236);
      if (lookahead == 'f') ADVANCE(223);
      if (lookahead == 'g') ADVANCE(243);
      if (lookahead == 'i') ADVANCE(256);
      if (lookahead == 'l') ADVANCE(197);
      if (lookahead == 'm') ADVANCE(282);
      if (lookahead == 'n') ADVANCE(144);
      if (lookahead == 'o') ADVANCE(166);
      if (lookahead == 'r') ADVANCE(186);
      if (lookahead == 's') ADVANCE(148);
      if (lookahead == 't') ADVANCE(146);
      if (lookahead == 'u') ADVANCE(265);
      if (lookahead == 'v') ADVANCE(151);
      if (lookahead == 'w') ADVANCE(221);
      if (lookahead == '{') ADVANCE(436);
      if (lookahead == '|') ADVANCE(564);
      if (lookahead == '}') ADVANCE(439);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(662);
      if (sym__glimmer_template_content_character_set_1(lookahead)) SKIP(407)
      END_STATE();
    case 407:
      if (eof) ADVANCE(414);
      if (lookahead == '!') ADVANCE(454);
      if (lookahead == '"') ADVANCE(506);
      if (lookahead == '$') ADVANCE(363);
      if (lookahead == '%') ADVANCE(579);
      if (lookahead == '&') ADVANCE(558);
      if (lookahead == '\'') ADVANCE(507);
      if (lookahead == '(') ADVANCE(457);
      if (lookahead == ')') ADVANCE(458);
      if (lookahead == '*') ADVANCE(419);
      if (lookahead == '+') ADVANCE(570);
      if (lookahead == ',') ADVANCE(438);
      if (lookahead == '-') ADVANCE(574);
      if (lookahead == '.') ADVANCE(503);
      if (lookahead == '/') ADVANCE(577);
      if (lookahead == '0') ADVANCE(660);
      if (lookahead == ':') ADVANCE(473);
      if (lookahead == ';') ADVANCE(472);
      if (lookahead == '<') ADVANCE(585);
      if (lookahead == '=') ADVANCE(427);
      if (lookahead == '>') ADVANCE(498);
      if (lookahead == '?') ADVANCE(1052);
      if (lookahead == '@') ADVANCE(1046);
      if (lookahead == '[') ADVANCE(480);
      if (lookahead == ']') ADVANCE(481);
      if (lookahead == '^') ADVANCE(561);
      if (lookahead == '`') ADVANCE(626);
      if (lookahead == 'a') ADVANCE(163);
      if (lookahead == 'b') ADVANCE(286);
      if (lookahead == 'c') ADVANCE(142);
      if (lookahead == 'd') ADVANCE(185);
      if (lookahead == 'e') ADVANCE(236);
      if (lookahead == 'f') ADVANCE(223);
      if (lookahead == 'g') ADVANCE(243);
      if (lookahead == 'i') ADVANCE(256);
      if (lookahead == 'l') ADVANCE(197);
      if (lookahead == 'm') ADVANCE(282);
      if (lookahead == 'n') ADVANCE(144);
      if (lookahead == 'o') ADVANCE(166);
      if (lookahead == 'r') ADVANCE(186);
      if (lookahead == 's') ADVANCE(148);
      if (lookahead == 't') ADVANCE(146);
      if (lookahead == 'u') ADVANCE(265);
      if (lookahead == 'v') ADVANCE(151);
      if (lookahead == 'w') ADVANCE(221);
      if (lookahead == '{') ADVANCE(436);
      if (lookahead == '|') ADVANCE(564);
      if (lookahead == '}') ADVANCE(439);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(662);
      if (sym__glimmer_template_content_character_set_1(lookahead)) SKIP(407)
      END_STATE();
    case 408:
      if (eof) ADVANCE(414);
      if (lookahead == '!') ADVANCE(453);
      if (lookahead == '"') ADVANCE(506);
      if (lookahead == '#') ADVANCE(34);
      if (lookahead == '\'') ADVANCE(507);
      if (lookahead == '(') ADVANCE(457);
      if (lookahead == '*') ADVANCE(418);
      if (lookahead == '+') ADVANCE(569);
      if (lookahead == ',') ADVANCE(438);
      if (lookahead == '-') ADVANCE(573);
      if (lookahead == '.') ADVANCE(502);
      if (lookahead == '/') ADVANCE(576);
      if (lookahead == '0') ADVANCE(660);
      if (lookahead == ';') ADVANCE(472);
      if (lookahead == '<') ADVANCE(589);
      if (lookahead == '@') ADVANCE(1046);
      if (lookahead == '[') ADVANCE(480);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == '`') ADVANCE(626);
      if (lookahead == 'a') ADVANCE(812);
      if (lookahead == 'b') ADVANCE(951);
      if (lookahead == 'c') ADVANCE(897);
      if (lookahead == 'd') ADVANCE(856);
      if (lookahead == 'e') ADVANCE(928);
      if (lookahead == 'f') ADVANCE(1015);
      if (lookahead == 'i') ADVANCE(921);
      if (lookahead == 'l') ADVANCE(837);
      if (lookahead == 'm') ADVANCE(945);
      if (lookahead == 'n') ADVANCE(781);
      if (lookahead == 'o') ADVANCE(816);
      if (lookahead == 'r') ADVANCE(862);
      if (lookahead == 's') ADVANCE(994);
      if (lookahead == 't') ADVANCE(1030);
      if (lookahead == 'v') ADVANCE(792);
      if (lookahead == 'w') ADVANCE(878);
      if (lookahead == '{') ADVANCE(436);
      if (lookahead == '}') ADVANCE(439);
      if (lookahead == '~') ADVANCE(601);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(767);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(662);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(408)
      if (lookahead != 0 &&
          lookahead > 31 &&
          (lookahead < '%' || '?' < lookahead) &&
          lookahead != ']' &&
          lookahead != '^' &&
          lookahead != '|') ADVANCE(1041);
      END_STATE();
    case 409:
      if (eof) ADVANCE(414);
      if (lookahead == '!') ADVANCE(453);
      if (lookahead == '"') ADVANCE(506);
      if (lookahead == '#') ADVANCE(139);
      if (lookahead == '\'') ADVANCE(507);
      if (lookahead == '(') ADVANCE(457);
      if (lookahead == '+') ADVANCE(569);
      if (lookahead == '-') ADVANCE(573);
      if (lookahead == '.') ADVANCE(503);
      if (lookahead == '/') ADVANCE(576);
      if (lookahead == '0') ADVANCE(660);
      if (lookahead == ';') ADVANCE(472);
      if (lookahead == '<') ADVANCE(589);
      if (lookahead == '@') ADVANCE(1046);
      if (lookahead == '[') ADVANCE(480);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == '`') ADVANCE(626);
      if (lookahead == 'a') ADVANCE(812);
      if (lookahead == 'b') ADVANCE(951);
      if (lookahead == 'c') ADVANCE(897);
      if (lookahead == 'd') ADVANCE(856);
      if (lookahead == 'e') ADVANCE(895);
      if (lookahead == 'f') ADVANCE(1015);
      if (lookahead == 'i') ADVANCE(921);
      if (lookahead == 'l') ADVANCE(837);
      if (lookahead == 'm') ADVANCE(945);
      if (lookahead == 'n') ADVANCE(781);
      if (lookahead == 'o') ADVANCE(816);
      if (lookahead == 'r') ADVANCE(862);
      if (lookahead == 's') ADVANCE(994);
      if (lookahead == 't') ADVANCE(1030);
      if (lookahead == 'v') ADVANCE(792);
      if (lookahead == 'w') ADVANCE(878);
      if (lookahead == '{') ADVANCE(436);
      if (lookahead == '}') ADVANCE(439);
      if (lookahead == '~') ADVANCE(601);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(771);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(662);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(409)
      if (lookahead != 0 &&
          lookahead > 31 &&
          (lookahead < '%' || '?' < lookahead) &&
          lookahead != ']' &&
          lookahead != '^' &&
          lookahead != '|') ADVANCE(1041);
      END_STATE();
    case 410:
      if (eof) ADVANCE(414);
      if (lookahead == '!') ADVANCE(453);
      if (lookahead == '"') ADVANCE(506);
      if (lookahead == '#') ADVANCE(139);
      if (lookahead == '\'') ADVANCE(507);
      if (lookahead == '(') ADVANCE(457);
      if (lookahead == '+') ADVANCE(569);
      if (lookahead == '-') ADVANCE(573);
      if (lookahead == '.') ADVANCE(378);
      if (lookahead == '/') ADVANCE(576);
      if (lookahead == '0') ADVANCE(660);
      if (lookahead == ';') ADVANCE(472);
      if (lookahead == '<') ADVANCE(589);
      if (lookahead == '@') ADVANCE(1046);
      if (lookahead == '[') ADVANCE(480);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == '`') ADVANCE(626);
      if (lookahead == 'a') ADVANCE(812);
      if (lookahead == 'b') ADVANCE(951);
      if (lookahead == 'c') ADVANCE(897);
      if (lookahead == 'd') ADVANCE(856);
      if (lookahead == 'e') ADVANCE(928);
      if (lookahead == 'f') ADVANCE(881);
      if (lookahead == 'i') ADVANCE(921);
      if (lookahead == 'l') ADVANCE(837);
      if (lookahead == 'm') ADVANCE(945);
      if (lookahead == 'n') ADVANCE(781);
      if (lookahead == 'o') ADVANCE(816);
      if (lookahead == 'r') ADVANCE(862);
      if (lookahead == 's') ADVANCE(994);
      if (lookahead == 't') ADVANCE(1030);
      if (lookahead == 'v') ADVANCE(792);
      if (lookahead == 'w') ADVANCE(878);
      if (lookahead == '{') ADVANCE(436);
      if (lookahead == '}') ADVANCE(439);
      if (lookahead == '~') ADVANCE(601);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(766);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(662);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(410)
      if (lookahead != 0 &&
          lookahead > 31 &&
          (lookahead < '%' || '?' < lookahead) &&
          lookahead != ']' &&
          lookahead != '^' &&
          lookahead != '|') ADVANCE(1041);
      END_STATE();
    case 411:
      if (eof) ADVANCE(414);
      if (lookahead == '!') ADVANCE(453);
      if (lookahead == '"') ADVANCE(506);
      if (lookahead == '#') ADVANCE(139);
      if (lookahead == '\'') ADVANCE(507);
      if (lookahead == '(') ADVANCE(457);
      if (lookahead == '+') ADVANCE(569);
      if (lookahead == '-') ADVANCE(573);
      if (lookahead == '.') ADVANCE(378);
      if (lookahead == '/') ADVANCE(576);
      if (lookahead == '0') ADVANCE(660);
      if (lookahead == ';') ADVANCE(472);
      if (lookahead == '<') ADVANCE(589);
      if (lookahead == '@') ADVANCE(1046);
      if (lookahead == '[') ADVANCE(480);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == '`') ADVANCE(626);
      if (lookahead == 'a') ADVANCE(812);
      if (lookahead == 'b') ADVANCE(951);
      if (lookahead == 'c') ADVANCE(897);
      if (lookahead == 'd') ADVANCE(856);
      if (lookahead == 'e') ADVANCE(895);
      if (lookahead == 'f') ADVANCE(881);
      if (lookahead == 'i') ADVANCE(921);
      if (lookahead == 'l') ADVANCE(837);
      if (lookahead == 'm') ADVANCE(945);
      if (lookahead == 'n') ADVANCE(781);
      if (lookahead == 'o') ADVANCE(816);
      if (lookahead == 'r') ADVANCE(862);
      if (lookahead == 's') ADVANCE(994);
      if (lookahead == 't') ADVANCE(1030);
      if (lookahead == 'v') ADVANCE(792);
      if (lookahead == 'w') ADVANCE(878);
      if (lookahead == '{') ADVANCE(436);
      if (lookahead == '}') ADVANCE(439);
      if (lookahead == '~') ADVANCE(601);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(770);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(662);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(411)
      if (lookahead != 0 &&
          lookahead > 31 &&
          (lookahead < '%' || '?' < lookahead) &&
          lookahead != ']' &&
          lookahead != '^' &&
          lookahead != '|') ADVANCE(1041);
      END_STATE();
    case 412:
      if (eof) ADVANCE(414);
      if (lookahead == '!') ADVANCE(453);
      if (lookahead == '"') ADVANCE(506);
      if (lookahead == '#') ADVANCE(139);
      if (lookahead == '\'') ADVANCE(507);
      if (lookahead == '(') ADVANCE(457);
      if (lookahead == '+') ADVANCE(569);
      if (lookahead == '-') ADVANCE(573);
      if (lookahead == '.') ADVANCE(378);
      if (lookahead == '/') ADVANCE(576);
      if (lookahead == '0') ADVANCE(660);
      if (lookahead == ';') ADVANCE(472);
      if (lookahead == '<') ADVANCE(589);
      if (lookahead == '@') ADVANCE(1046);
      if (lookahead == '[') ADVANCE(480);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == '`') ADVANCE(626);
      if (lookahead == 'a') ADVANCE(812);
      if (lookahead == 'b') ADVANCE(951);
      if (lookahead == 'c') ADVANCE(805);
      if (lookahead == 'd') ADVANCE(856);
      if (lookahead == 'e') ADVANCE(928);
      if (lookahead == 'f') ADVANCE(881);
      if (lookahead == 'i') ADVANCE(921);
      if (lookahead == 'l') ADVANCE(837);
      if (lookahead == 'm') ADVANCE(945);
      if (lookahead == 'n') ADVANCE(781);
      if (lookahead == 'o') ADVANCE(816);
      if (lookahead == 'r') ADVANCE(862);
      if (lookahead == 's') ADVANCE(994);
      if (lookahead == 't') ADVANCE(1030);
      if (lookahead == 'v') ADVANCE(792);
      if (lookahead == 'w') ADVANCE(878);
      if (lookahead == '{') ADVANCE(436);
      if (lookahead == '}') ADVANCE(439);
      if (lookahead == '~') ADVANCE(601);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(772);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(662);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(412)
      if (lookahead != 0 &&
          lookahead > 31 &&
          (lookahead < '%' || '?' < lookahead) &&
          lookahead != ']' &&
          lookahead != '^' &&
          lookahead != '|') ADVANCE(1041);
      END_STATE();
    case 413:
      if (eof) ADVANCE(414);
      if (lookahead == '!') ADVANCE(453);
      if (lookahead == '"') ADVANCE(506);
      if (lookahead == '#') ADVANCE(139);
      if (lookahead == '\'') ADVANCE(507);
      if (lookahead == '(') ADVANCE(457);
      if (lookahead == '+') ADVANCE(569);
      if (lookahead == '-') ADVANCE(573);
      if (lookahead == '.') ADVANCE(378);
      if (lookahead == '/') ADVANCE(576);
      if (lookahead == '0') ADVANCE(660);
      if (lookahead == ';') ADVANCE(472);
      if (lookahead == '<') ADVANCE(589);
      if (lookahead == '@') ADVANCE(1046);
      if (lookahead == '[') ADVANCE(480);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == '`') ADVANCE(626);
      if (lookahead == 'a') ADVANCE(812);
      if (lookahead == 'b') ADVANCE(951);
      if (lookahead == 'c') ADVANCE(805);
      if (lookahead == 'd') ADVANCE(856);
      if (lookahead == 'e') ADVANCE(895);
      if (lookahead == 'f') ADVANCE(881);
      if (lookahead == 'i') ADVANCE(921);
      if (lookahead == 'l') ADVANCE(837);
      if (lookahead == 'm') ADVANCE(945);
      if (lookahead == 'n') ADVANCE(781);
      if (lookahead == 'o') ADVANCE(816);
      if (lookahead == 'r') ADVANCE(862);
      if (lookahead == 's') ADVANCE(994);
      if (lookahead == 't') ADVANCE(1030);
      if (lookahead == 'v') ADVANCE(792);
      if (lookahead == 'w') ADVANCE(878);
      if (lookahead == '{') ADVANCE(436);
      if (lookahead == '}') ADVANCE(439);
      if (lookahead == '~') ADVANCE(601);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(773);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(662);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(413)
      if (lookahead != 0 &&
          lookahead > 31 &&
          (lookahead < '%' || '?' < lookahead) &&
          lookahead != ']' &&
          lookahead != '^' &&
          lookahead != '|') ADVANCE(1041);
      END_STATE();
    case 414:
      ACCEPT_TOKEN(ts_builtin_sym_end);
      END_STATE();
    case 415:
      ACCEPT_TOKEN(sym_hash_bang_line);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(415);
      END_STATE();
    case 416:
      ACCEPT_TOKEN(anon_sym_export);
      END_STATE();
    case 417:
      ACCEPT_TOKEN(anon_sym_export);
      if (lookahead == '\\') ADVANCE(352);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 418:
      ACCEPT_TOKEN(anon_sym_STAR);
      END_STATE();
    case 419:
      ACCEPT_TOKEN(anon_sym_STAR);
      if (lookahead == '*') ADVANCE(581);
      if (lookahead == '=') ADVANCE(533);
      END_STATE();
    case 420:
      ACCEPT_TOKEN(anon_sym_STAR);
      if (lookahead == '*') ADVANCE(580);
      END_STATE();
    case 421:
      ACCEPT_TOKEN(anon_sym_default);
      END_STATE();
    case 422:
      ACCEPT_TOKEN(anon_sym_default);
      if (lookahead == '\\') ADVANCE(352);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 423:
      ACCEPT_TOKEN(anon_sym_type);
      END_STATE();
    case 424:
      ACCEPT_TOKEN(anon_sym_type);
      if (lookahead == '\\') ADVANCE(352);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 425:
      ACCEPT_TOKEN(anon_sym_EQ);
      END_STATE();
    case 426:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '=') ADVANCE(591);
      END_STATE();
    case 427:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '=') ADVANCE(591);
      if (lookahead == '>') ADVANCE(526);
      END_STATE();
    case 428:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '>') ADVANCE(526);
      END_STATE();
    case 429:
      ACCEPT_TOKEN(anon_sym_as);
      END_STATE();
    case 430:
      ACCEPT_TOKEN(anon_sym_as);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'y') ADVANCE(937);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 431:
      ACCEPT_TOKEN(anon_sym_as);
      if (lookahead == '\\') ADVANCE(352);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 432:
      ACCEPT_TOKEN(anon_sym_as);
      if (lookahead == 'y') ADVANCE(274);
      END_STATE();
    case 433:
      ACCEPT_TOKEN(anon_sym_as);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(658);
      END_STATE();
    case 434:
      ACCEPT_TOKEN(anon_sym_namespace);
      END_STATE();
    case 435:
      ACCEPT_TOKEN(anon_sym_namespace);
      if (lookahead == '\\') ADVANCE(352);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 436:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      END_STATE();
    case 437:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      if (lookahead == '|') ADVANCE(1110);
      END_STATE();
    case 438:
      ACCEPT_TOKEN(anon_sym_COMMA);
      END_STATE();
    case 439:
      ACCEPT_TOKEN(anon_sym_RBRACE);
      END_STATE();
    case 440:
      ACCEPT_TOKEN(anon_sym_import);
      END_STATE();
    case 441:
      ACCEPT_TOKEN(anon_sym_import);
      if (lookahead == '\\') ADVANCE(352);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 442:
      ACCEPT_TOKEN(anon_sym_from);
      END_STATE();
    case 443:
      ACCEPT_TOKEN(anon_sym_from);
      if (lookahead == '\\') ADVANCE(352);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 444:
      ACCEPT_TOKEN(anon_sym_with);
      END_STATE();
    case 445:
      ACCEPT_TOKEN(anon_sym_with);
      if (lookahead == '\\') ADVANCE(352);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 446:
      ACCEPT_TOKEN(anon_sym_var);
      END_STATE();
    case 447:
      ACCEPT_TOKEN(anon_sym_var);
      if (lookahead == '\\') ADVANCE(352);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 448:
      ACCEPT_TOKEN(anon_sym_let);
      END_STATE();
    case 449:
      ACCEPT_TOKEN(anon_sym_let);
      if (lookahead == '\\') ADVANCE(352);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 450:
      ACCEPT_TOKEN(anon_sym_const);
      END_STATE();
    case 451:
      ACCEPT_TOKEN(anon_sym_const);
      if (lookahead == '-') ADVANCE(500);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(743);
      if (!sym_identifier_character_set_2(lookahead)) ADVANCE(1041);
      END_STATE();
    case 452:
      ACCEPT_TOKEN(anon_sym_const);
      if (lookahead == '\\') ADVANCE(352);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 453:
      ACCEPT_TOKEN(anon_sym_BANG);
      END_STATE();
    case 454:
      ACCEPT_TOKEN(anon_sym_BANG);
      if (lookahead == '=') ADVANCE(593);
      END_STATE();
    case 455:
      ACCEPT_TOKEN(anon_sym_else);
      END_STATE();
    case 456:
      ACCEPT_TOKEN(anon_sym_else);
      if (lookahead == '\\') ADVANCE(352);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 457:
      ACCEPT_TOKEN(anon_sym_LPAREN);
      END_STATE();
    case 458:
      ACCEPT_TOKEN(anon_sym_RPAREN);
      END_STATE();
    case 459:
      ACCEPT_TOKEN(anon_sym_await);
      END_STATE();
    case 460:
      ACCEPT_TOKEN(anon_sym_await);
      if (lookahead == '\\') ADVANCE(352);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 461:
      ACCEPT_TOKEN(anon_sym_in);
      END_STATE();
    case 462:
      ACCEPT_TOKEN(anon_sym_in);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 's') ADVANCE(1011);
      if (lookahead == 't') ADVANCE(855);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 463:
      ACCEPT_TOKEN(anon_sym_in);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 's') ADVANCE(1011);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 464:
      ACCEPT_TOKEN(anon_sym_in);
      if (lookahead == 's') ADVANCE(656);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(658);
      END_STATE();
    case 465:
      ACCEPT_TOKEN(anon_sym_in);
      if (lookahead == 's') ADVANCE(340);
      END_STATE();
    case 466:
      ACCEPT_TOKEN(anon_sym_in);
      if (lookahead == 's') ADVANCE(340);
      if (lookahead == 't') ADVANCE(200);
      END_STATE();
    case 467:
      ACCEPT_TOKEN(anon_sym_of);
      END_STATE();
    case 468:
      ACCEPT_TOKEN(anon_sym_of);
      if (lookahead == '\\') ADVANCE(352);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 469:
      ACCEPT_TOKEN(anon_sym_of);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(658);
      END_STATE();
    case 470:
      ACCEPT_TOKEN(anon_sym_while);
      END_STATE();
    case 471:
      ACCEPT_TOKEN(anon_sym_while);
      if (lookahead == '\\') ADVANCE(352);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 472:
      ACCEPT_TOKEN(anon_sym_SEMI);
      END_STATE();
    case 473:
      ACCEPT_TOKEN(anon_sym_COLON);
      END_STATE();
    case 474:
      ACCEPT_TOKEN(anon_sym_case);
      END_STATE();
    case 475:
      ACCEPT_TOKEN(anon_sym_case);
      if (lookahead == '\\') ADVANCE(352);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 476:
      ACCEPT_TOKEN(anon_sym_catch);
      END_STATE();
    case 477:
      ACCEPT_TOKEN(anon_sym_catch);
      if (lookahead == '\\') ADVANCE(352);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 478:
      ACCEPT_TOKEN(anon_sym_finally);
      END_STATE();
    case 479:
      ACCEPT_TOKEN(anon_sym_finally);
      if (lookahead == '\\') ADVANCE(352);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 480:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      END_STATE();
    case 481:
      ACCEPT_TOKEN(anon_sym_RBRACK);
      END_STATE();
    case 482:
      ACCEPT_TOKEN(sym__glimmer_template_content);
      END_STATE();
    case 483:
      ACCEPT_TOKEN(sym__glimmer_template_content);
      if (lookahead == '*') ADVANCE(72);
      if (lookahead == '/') ADVANCE(625);
      END_STATE();
    case 484:
      ACCEPT_TOKEN(sym__glimmer_template_content);
      if (lookahead == '/') ADVANCE(483);
      if (lookahead == '<') ADVANCE(485);
      if (sym__glimmer_template_content_character_set_2(lookahead)) ADVANCE(484);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(482);
      END_STATE();
    case 485:
      ACCEPT_TOKEN(sym__glimmer_template_content);
      if (lookahead == '/') ADVANCE(344);
      END_STATE();
    case 486:
      ACCEPT_TOKEN(anon_sym_LTtemplate_GT);
      END_STATE();
    case 487:
      ACCEPT_TOKEN(anon_sym_LT_SLASHtemplate_GT);
      END_STATE();
    case 488:
      ACCEPT_TOKEN(aux_sym_jsx_text_token1);
      if (lookahead == ' ') ADVANCE(4);
      if (lookahead == '*') ADVANCE(492);
      if (lookahead == '/') ADVANCE(493);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '&' &&
          lookahead != '<' &&
          lookahead != '>' &&
          lookahead != '{' &&
          lookahead != '}') ADVANCE(489);
      END_STATE();
    case 489:
      ACCEPT_TOKEN(aux_sym_jsx_text_token1);
      if (lookahead == ' ') ADVANCE(4);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '&' &&
          lookahead != '<' &&
          lookahead != '>' &&
          lookahead != '{' &&
          lookahead != '}') ADVANCE(489);
      END_STATE();
    case 490:
      ACCEPT_TOKEN(aux_sym_jsx_text_token1);
      if (lookahead == ' ') ADVANCE(1);
      if (lookahead == '/') ADVANCE(488);
      if (aux_sym_jsx_text_token1_character_set_2(lookahead)) ADVANCE(490);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '&' &&
          lookahead != '<' &&
          lookahead != '>' &&
          lookahead != '{' &&
          lookahead != '}') ADVANCE(489);
      END_STATE();
    case 491:
      ACCEPT_TOKEN(aux_sym_jsx_text_token1);
      if (lookahead == ' ') ADVANCE(5);
      if (lookahead == '*') ADVANCE(491);
      if (lookahead == '/') ADVANCE(489);
      if (lookahead == '\n' ||
          lookahead == '&' ||
          lookahead == '<' ||
          lookahead == '>' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(72);
      if (lookahead != 0) ADVANCE(492);
      END_STATE();
    case 492:
      ACCEPT_TOKEN(aux_sym_jsx_text_token1);
      if (lookahead == ' ') ADVANCE(5);
      if (lookahead == '*') ADVANCE(491);
      if (lookahead == '\n' ||
          lookahead == '&' ||
          lookahead == '<' ||
          lookahead == '>' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(72);
      if (lookahead != 0) ADVANCE(492);
      END_STATE();
    case 493:
      ACCEPT_TOKEN(aux_sym_jsx_text_token1);
      if (lookahead == ' ') ADVANCE(494);
      if (lookahead == '&' ||
          lookahead == '<' ||
          lookahead == '>' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(495);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(493);
      END_STATE();
    case 494:
      ACCEPT_TOKEN(aux_sym_jsx_text_token2);
      if (lookahead == ' ') ADVANCE(494);
      if (lookahead == '&' ||
          lookahead == '<' ||
          lookahead == '>' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(495);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(493);
      END_STATE();
    case 495:
      ACCEPT_TOKEN(aux_sym_jsx_text_token2);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(495);
      END_STATE();
    case 496:
      ACCEPT_TOKEN(sym_html_character_reference);
      END_STATE();
    case 497:
      ACCEPT_TOKEN(anon_sym_GT);
      END_STATE();
    case 498:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(595);
      if (lookahead == '>') ADVANCE(551);
      END_STATE();
    case 499:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(595);
      if (lookahead == '>') ADVANCE(552);
      END_STATE();
    case 500:
      ACCEPT_TOKEN(sym_jsx_identifier);
      if (lookahead == '$' ||
          lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(500);
      END_STATE();
    case 501:
      ACCEPT_TOKEN(anon_sym_DOT);
      END_STATE();
    case 502:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '.') ADVANCE(80);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(675);
      END_STATE();
    case 503:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(675);
      END_STATE();
    case 504:
      ACCEPT_TOKEN(anon_sym_LT_SLASH);
      END_STATE();
    case 505:
      ACCEPT_TOKEN(anon_sym_SLASH_GT);
      END_STATE();
    case 506:
      ACCEPT_TOKEN(anon_sym_DQUOTE);
      END_STATE();
    case 507:
      ACCEPT_TOKEN(anon_sym_SQUOTE);
      END_STATE();
    case 508:
      ACCEPT_TOKEN(sym_unescaped_double_jsx_string_fragment);
      if (lookahead == '\n') ADVANCE(511);
      if (lookahead == '&') ADVANCE(623);
      if (lookahead != 0 &&
          lookahead != '"') ADVANCE(508);
      END_STATE();
    case 509:
      ACCEPT_TOKEN(sym_unescaped_double_jsx_string_fragment);
      if (lookahead == '&') ADVANCE(61);
      if (lookahead == '/') ADVANCE(510);
      if (sym__glimmer_template_content_character_set_1(lookahead)) ADVANCE(509);
      if (lookahead != 0 &&
          lookahead != '"') ADVANCE(511);
      END_STATE();
    case 510:
      ACCEPT_TOKEN(sym_unescaped_double_jsx_string_fragment);
      if (lookahead == '&') ADVANCE(399);
      if (lookahead == '*') ADVANCE(513);
      if (lookahead == '/') ADVANCE(508);
      if (lookahead != 0 &&
          lookahead != '"') ADVANCE(511);
      END_STATE();
    case 511:
      ACCEPT_TOKEN(sym_unescaped_double_jsx_string_fragment);
      if (lookahead == '&') ADVANCE(399);
      if (lookahead != 0 &&
          lookahead != '"') ADVANCE(511);
      END_STATE();
    case 512:
      ACCEPT_TOKEN(sym_unescaped_double_jsx_string_fragment);
      if (lookahead == '&') ADVANCE(73);
      if (lookahead == '*') ADVANCE(512);
      if (lookahead == '/') ADVANCE(511);
      if (lookahead != 0 &&
          lookahead != '"') ADVANCE(513);
      END_STATE();
    case 513:
      ACCEPT_TOKEN(sym_unescaped_double_jsx_string_fragment);
      if (lookahead == '&') ADVANCE(73);
      if (lookahead == '*') ADVANCE(512);
      if (lookahead != 0 &&
          lookahead != '"') ADVANCE(513);
      END_STATE();
    case 514:
      ACCEPT_TOKEN(sym_unescaped_single_jsx_string_fragment);
      if (lookahead == '\n') ADVANCE(517);
      if (lookahead == '&') ADVANCE(624);
      if (lookahead != 0 &&
          lookahead != '\'') ADVANCE(514);
      END_STATE();
    case 515:
      ACCEPT_TOKEN(sym_unescaped_single_jsx_string_fragment);
      if (lookahead == '&') ADVANCE(62);
      if (lookahead == '/') ADVANCE(516);
      if (sym__glimmer_template_content_character_set_1(lookahead)) ADVANCE(515);
      if (lookahead != 0 &&
          lookahead != '\'') ADVANCE(517);
      END_STATE();
    case 516:
      ACCEPT_TOKEN(sym_unescaped_single_jsx_string_fragment);
      if (lookahead == '&') ADVANCE(400);
      if (lookahead == '*') ADVANCE(519);
      if (lookahead == '/') ADVANCE(514);
      if (lookahead != 0 &&
          lookahead != '\'') ADVANCE(517);
      END_STATE();
    case 517:
      ACCEPT_TOKEN(sym_unescaped_single_jsx_string_fragment);
      if (lookahead == '&') ADVANCE(400);
      if (lookahead != 0 &&
          lookahead != '\'') ADVANCE(517);
      END_STATE();
    case 518:
      ACCEPT_TOKEN(sym_unescaped_single_jsx_string_fragment);
      if (lookahead == '&') ADVANCE(74);
      if (lookahead == '*') ADVANCE(518);
      if (lookahead == '/') ADVANCE(517);
      if (lookahead != 0 &&
          lookahead != '\'') ADVANCE(519);
      END_STATE();
    case 519:
      ACCEPT_TOKEN(sym_unescaped_single_jsx_string_fragment);
      if (lookahead == '&') ADVANCE(74);
      if (lookahead == '*') ADVANCE(518);
      if (lookahead != 0 &&
          lookahead != '\'') ADVANCE(519);
      END_STATE();
    case 520:
      ACCEPT_TOKEN(anon_sym_class);
      END_STATE();
    case 521:
      ACCEPT_TOKEN(anon_sym_class);
      if (lookahead == '\\') ADVANCE(352);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 522:
      ACCEPT_TOKEN(anon_sym_async);
      END_STATE();
    case 523:
      ACCEPT_TOKEN(anon_sym_async);
      if (lookahead == '\\') ADVANCE(352);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 524:
      ACCEPT_TOKEN(anon_sym_function);
      END_STATE();
    case 525:
      ACCEPT_TOKEN(anon_sym_function);
      if (lookahead == '\\') ADVANCE(352);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 526:
      ACCEPT_TOKEN(anon_sym_EQ_GT);
      END_STATE();
    case 527:
      ACCEPT_TOKEN(anon_sym_QMARK_DOT);
      END_STATE();
    case 528:
      ACCEPT_TOKEN(anon_sym_new);
      END_STATE();
    case 529:
      ACCEPT_TOKEN(anon_sym_new);
      if (lookahead == '-') ADVANCE(500);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(743);
      if (!sym_identifier_character_set_2(lookahead)) ADVANCE(1041);
      END_STATE();
    case 530:
      ACCEPT_TOKEN(anon_sym_new);
      if (lookahead == '\\') ADVANCE(352);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 531:
      ACCEPT_TOKEN(anon_sym_PLUS_EQ);
      END_STATE();
    case 532:
      ACCEPT_TOKEN(anon_sym_DASH_EQ);
      END_STATE();
    case 533:
      ACCEPT_TOKEN(anon_sym_STAR_EQ);
      END_STATE();
    case 534:
      ACCEPT_TOKEN(anon_sym_SLASH_EQ);
      END_STATE();
    case 535:
      ACCEPT_TOKEN(anon_sym_PERCENT_EQ);
      END_STATE();
    case 536:
      ACCEPT_TOKEN(anon_sym_CARET_EQ);
      END_STATE();
    case 537:
      ACCEPT_TOKEN(anon_sym_AMP_EQ);
      END_STATE();
    case 538:
      ACCEPT_TOKEN(anon_sym_PIPE_EQ);
      END_STATE();
    case 539:
      ACCEPT_TOKEN(anon_sym_GT_GT_EQ);
      END_STATE();
    case 540:
      ACCEPT_TOKEN(anon_sym_GT_GT_GT_EQ);
      END_STATE();
    case 541:
      ACCEPT_TOKEN(anon_sym_LT_LT_EQ);
      END_STATE();
    case 542:
      ACCEPT_TOKEN(anon_sym_STAR_STAR_EQ);
      END_STATE();
    case 543:
      ACCEPT_TOKEN(anon_sym_AMP_AMP_EQ);
      END_STATE();
    case 544:
      ACCEPT_TOKEN(anon_sym_PIPE_PIPE_EQ);
      END_STATE();
    case 545:
      ACCEPT_TOKEN(anon_sym_QMARK_QMARK_EQ);
      END_STATE();
    case 546:
      ACCEPT_TOKEN(anon_sym_DOT_DOT_DOT);
      END_STATE();
    case 547:
      ACCEPT_TOKEN(anon_sym_AMP_AMP);
      END_STATE();
    case 548:
      ACCEPT_TOKEN(anon_sym_AMP_AMP);
      if (lookahead == '=') ADVANCE(543);
      END_STATE();
    case 549:
      ACCEPT_TOKEN(anon_sym_PIPE_PIPE);
      END_STATE();
    case 550:
      ACCEPT_TOKEN(anon_sym_PIPE_PIPE);
      if (lookahead == '=') ADVANCE(544);
      END_STATE();
    case 551:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      if (lookahead == '=') ADVANCE(539);
      if (lookahead == '>') ADVANCE(554);
      END_STATE();
    case 552:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      if (lookahead == '>') ADVANCE(553);
      END_STATE();
    case 553:
      ACCEPT_TOKEN(anon_sym_GT_GT_GT);
      END_STATE();
    case 554:
      ACCEPT_TOKEN(anon_sym_GT_GT_GT);
      if (lookahead == '=') ADVANCE(540);
      END_STATE();
    case 555:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      END_STATE();
    case 556:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      if (lookahead == '=') ADVANCE(541);
      END_STATE();
    case 557:
      ACCEPT_TOKEN(anon_sym_AMP);
      END_STATE();
    case 558:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&') ADVANCE(548);
      if (lookahead == '=') ADVANCE(537);
      END_STATE();
    case 559:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&') ADVANCE(547);
      END_STATE();
    case 560:
      ACCEPT_TOKEN(anon_sym_CARET);
      END_STATE();
    case 561:
      ACCEPT_TOKEN(anon_sym_CARET);
      if (lookahead == '=') ADVANCE(536);
      END_STATE();
    case 562:
      ACCEPT_TOKEN(anon_sym_PIPE);
      END_STATE();
    case 563:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '=') ADVANCE(538);
      if (lookahead == '|') ADVANCE(550);
      END_STATE();
    case 564:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '=') ADVANCE(538);
      if (lookahead == '|') ADVANCE(550);
      if (lookahead == '}') ADVANCE(1111);
      END_STATE();
    case 565:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '|') ADVANCE(549);
      END_STATE();
    case 566:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '|') ADVANCE(549);
      if (lookahead == '}') ADVANCE(1111);
      END_STATE();
    case 567:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '}') ADVANCE(1111);
      END_STATE();
    case 568:
      ACCEPT_TOKEN(anon_sym_PLUS);
      END_STATE();
    case 569:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(605);
      END_STATE();
    case 570:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(605);
      if (lookahead == '=') ADVANCE(531);
      END_STATE();
    case 571:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(605);
      if (lookahead == '=') ADVANCE(531);
      if (lookahead == '?') ADVANCE(92);
      END_STATE();
    case 572:
      ACCEPT_TOKEN(anon_sym_DASH);
      END_STATE();
    case 573:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(606);
      END_STATE();
    case 574:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(606);
      if (lookahead == '=') ADVANCE(532);
      END_STATE();
    case 575:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(606);
      if (lookahead == '=') ADVANCE(532);
      if (lookahead == '?') ADVANCE(93);
      END_STATE();
    case 576:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '*') ADVANCE(72);
      if (lookahead == '/') ADVANCE(625);
      END_STATE();
    case 577:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '*') ADVANCE(72);
      if (lookahead == '/') ADVANCE(625);
      if (lookahead == '=') ADVANCE(534);
      END_STATE();
    case 578:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      END_STATE();
    case 579:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      if (lookahead == '=') ADVANCE(535);
      END_STATE();
    case 580:
      ACCEPT_TOKEN(anon_sym_STAR_STAR);
      END_STATE();
    case 581:
      ACCEPT_TOKEN(anon_sym_STAR_STAR);
      if (lookahead == '=') ADVANCE(542);
      END_STATE();
    case 582:
      ACCEPT_TOKEN(anon_sym_LT);
      END_STATE();
    case 583:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '/') ADVANCE(504);
      END_STATE();
    case 584:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '/') ADVANCE(504);
      if (lookahead == '<') ADVANCE(556);
      if (lookahead == '=') ADVANCE(590);
      if (lookahead == 't') ADVANCE(183);
      END_STATE();
    case 585:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(556);
      if (lookahead == '=') ADVANCE(590);
      END_STATE();
    case 586:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(556);
      if (lookahead == '=') ADVANCE(590);
      if (lookahead == 't') ADVANCE(183);
      END_STATE();
    case 587:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(555);
      if (lookahead == '=') ADVANCE(590);
      END_STATE();
    case 588:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(555);
      if (lookahead == '=') ADVANCE(590);
      if (lookahead == 't') ADVANCE(183);
      END_STATE();
    case 589:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == 't') ADVANCE(183);
      END_STATE();
    case 590:
      ACCEPT_TOKEN(anon_sym_LT_EQ);
      END_STATE();
    case 591:
      ACCEPT_TOKEN(anon_sym_EQ_EQ);
      if (lookahead == '=') ADVANCE(592);
      END_STATE();
    case 592:
      ACCEPT_TOKEN(anon_sym_EQ_EQ_EQ);
      END_STATE();
    case 593:
      ACCEPT_TOKEN(anon_sym_BANG_EQ);
      if (lookahead == '=') ADVANCE(594);
      END_STATE();
    case 594:
      ACCEPT_TOKEN(anon_sym_BANG_EQ_EQ);
      END_STATE();
    case 595:
      ACCEPT_TOKEN(anon_sym_GT_EQ);
      END_STATE();
    case 596:
      ACCEPT_TOKEN(anon_sym_QMARK_QMARK);
      END_STATE();
    case 597:
      ACCEPT_TOKEN(anon_sym_QMARK_QMARK);
      if (lookahead == '=') ADVANCE(545);
      END_STATE();
    case 598:
      ACCEPT_TOKEN(anon_sym_instanceof);
      END_STATE();
    case 599:
      ACCEPT_TOKEN(anon_sym_instanceof);
      if (lookahead == '\\') ADVANCE(352);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 600:
      ACCEPT_TOKEN(anon_sym_instanceof);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(658);
      END_STATE();
    case 601:
      ACCEPT_TOKEN(anon_sym_TILDE);
      END_STATE();
    case 602:
      ACCEPT_TOKEN(anon_sym_void);
      END_STATE();
    case 603:
      ACCEPT_TOKEN(anon_sym_void);
      if (lookahead == '-') ADVANCE(500);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(743);
      if (!sym_identifier_character_set_2(lookahead)) ADVANCE(1041);
      END_STATE();
    case 604:
      ACCEPT_TOKEN(anon_sym_void);
      if (lookahead == '\\') ADVANCE(352);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 605:
      ACCEPT_TOKEN(anon_sym_PLUS_PLUS);
      END_STATE();
    case 606:
      ACCEPT_TOKEN(anon_sym_DASH_DASH);
      END_STATE();
    case 607:
      ACCEPT_TOKEN(sym_unescaped_double_string_fragment);
      if (lookahead == '*') ADVANCE(609);
      if (lookahead == '/') ADVANCE(611);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(611);
      END_STATE();
    case 608:
      ACCEPT_TOKEN(sym_unescaped_double_string_fragment);
      if (lookahead == '*') ADVANCE(608);
      if (lookahead == '/') ADVANCE(611);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(609);
      END_STATE();
    case 609:
      ACCEPT_TOKEN(sym_unescaped_double_string_fragment);
      if (lookahead == '*') ADVANCE(608);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(609);
      END_STATE();
    case 610:
      ACCEPT_TOKEN(sym_unescaped_double_string_fragment);
      if (lookahead == '/') ADVANCE(607);
      if (sym_unescaped_double_string_fragment_character_set_2(lookahead)) ADVANCE(610);
      if (lookahead != 0 &&
          (lookahead < '\n' || '\r' < lookahead) &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(611);
      END_STATE();
    case 611:
      ACCEPT_TOKEN(sym_unescaped_double_string_fragment);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(611);
      END_STATE();
    case 612:
      ACCEPT_TOKEN(sym_unescaped_single_string_fragment);
      if (lookahead == '*') ADVANCE(614);
      if (lookahead == '/') ADVANCE(616);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(616);
      END_STATE();
    case 613:
      ACCEPT_TOKEN(sym_unescaped_single_string_fragment);
      if (lookahead == '*') ADVANCE(613);
      if (lookahead == '/') ADVANCE(616);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(614);
      END_STATE();
    case 614:
      ACCEPT_TOKEN(sym_unescaped_single_string_fragment);
      if (lookahead == '*') ADVANCE(613);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(614);
      END_STATE();
    case 615:
      ACCEPT_TOKEN(sym_unescaped_single_string_fragment);
      if (lookahead == '/') ADVANCE(612);
      if (sym_unescaped_double_string_fragment_character_set_2(lookahead)) ADVANCE(615);
      if (lookahead != 0 &&
          (lookahead < '\n' || '\r' < lookahead) &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(616);
      END_STATE();
    case 616:
      ACCEPT_TOKEN(sym_unescaped_single_string_fragment);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(616);
      END_STATE();
    case 617:
      ACCEPT_TOKEN(sym_escape_sequence);
      END_STATE();
    case 618:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (lookahead == '\\') ADVANCE(352);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 619:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (lookahead == '\n' ||
          lookahead == 8232 ||
          lookahead == 8233) ADVANCE(617);
      END_STATE();
    case 620:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(617);
      END_STATE();
    case 621:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(620);
      END_STATE();
    case 622:
      ACCEPT_TOKEN(aux_sym_comment_token1);
      END_STATE();
    case 623:
      ACCEPT_TOKEN(aux_sym_comment_token1);
      if (lookahead == '\n') ADVANCE(511);
      if (lookahead == '#' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(625);
      if (lookahead != 0) ADVANCE(508);
      END_STATE();
    case 624:
      ACCEPT_TOKEN(aux_sym_comment_token1);
      if (lookahead == '\n') ADVANCE(517);
      if (lookahead == '#' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(625);
      if (lookahead != 0) ADVANCE(514);
      END_STATE();
    case 625:
      ACCEPT_TOKEN(aux_sym_comment_token1);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(625);
      END_STATE();
    case 626:
      ACCEPT_TOKEN(anon_sym_BQUOTE);
      END_STATE();
    case 627:
      ACCEPT_TOKEN(anon_sym_DOLLAR_LBRACE);
      END_STATE();
    case 628:
      ACCEPT_TOKEN(anon_sym_SLASH2);
      END_STATE();
    case 629:
      ACCEPT_TOKEN(sym_regex_pattern);
      if (lookahead == '\n') SKIP(90)
      if (lookahead == '/') ADVANCE(69);
      if (lookahead == '[') ADVANCE(140);
      if (lookahead == '\\') ADVANCE(402);
      if (sym__glimmer_template_content_character_set_1(lookahead)) ADVANCE(629);
      if (lookahead != 0) ADVANCE(630);
      END_STATE();
    case 630:
      ACCEPT_TOKEN(sym_regex_pattern);
      if (lookahead == '[') ADVANCE(140);
      if (lookahead == '\\') ADVANCE(402);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '/') ADVANCE(630);
      END_STATE();
    case 631:
      ACCEPT_TOKEN(sym_regex_flags);
      if (lookahead == 'a') ADVANCE(655);
      if (('b' <= lookahead && lookahead <= 'z')) ADVANCE(658);
      END_STATE();
    case 632:
      ACCEPT_TOKEN(sym_regex_flags);
      if (lookahead == 'a') ADVANCE(647);
      if (('b' <= lookahead && lookahead <= 'z')) ADVANCE(658);
      END_STATE();
    case 633:
      ACCEPT_TOKEN(sym_regex_flags);
      if (lookahead == 'c') ADVANCE(634);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(658);
      END_STATE();
    case 634:
      ACCEPT_TOKEN(sym_regex_flags);
      if (lookahead == 'e') ADVANCE(649);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(658);
      END_STATE();
    case 635:
      ACCEPT_TOKEN(sym_regex_flags);
      if (lookahead == 'e') ADVANCE(645);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(658);
      END_STATE();
    case 636:
      ACCEPT_TOKEN(sym_regex_flags);
      if (lookahead == 'e') ADVANCE(653);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(658);
      END_STATE();
    case 637:
      ACCEPT_TOKEN(sym_regex_flags);
      if (lookahead == 'e') ADVANCE(648);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(658);
      END_STATE();
    case 638:
      ACCEPT_TOKEN(sym_regex_flags);
      if (lookahead == 'f') ADVANCE(600);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(658);
      END_STATE();
    case 639:
      ACCEPT_TOKEN(sym_regex_flags);
      if (lookahead == 'f') ADVANCE(469);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(658);
      END_STATE();
    case 640:
      ACCEPT_TOKEN(sym_regex_flags);
      if (lookahead == 'f') ADVANCE(642);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(658);
      END_STATE();
    case 641:
      ACCEPT_TOKEN(sym_regex_flags);
      if (lookahead == 'i') ADVANCE(652);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(658);
      END_STATE();
    case 642:
      ACCEPT_TOKEN(sym_regex_flags);
      if (lookahead == 'i') ADVANCE(636);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(658);
      END_STATE();
    case 643:
      ACCEPT_TOKEN(sym_regex_flags);
      if (lookahead == 'l') ADVANCE(635);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(658);
      END_STATE();
    case 644:
      ACCEPT_TOKEN(sym_regex_flags);
      if (lookahead == 'm') ADVANCE(650);
      if (lookahead == 'n') ADVANCE(464);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(658);
      END_STATE();
    case 645:
      ACCEPT_TOKEN(sym_regex_flags);
      if (lookahead == 'm') ADVANCE(637);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(658);
      END_STATE();
    case 646:
      ACCEPT_TOKEN(sym_regex_flags);
      if (lookahead == 'n') ADVANCE(464);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(658);
      END_STATE();
    case 647:
      ACCEPT_TOKEN(sym_regex_flags);
      if (lookahead == 'n') ADVANCE(633);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(658);
      END_STATE();
    case 648:
      ACCEPT_TOKEN(sym_regex_flags);
      if (lookahead == 'n') ADVANCE(657);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(658);
      END_STATE();
    case 649:
      ACCEPT_TOKEN(sym_regex_flags);
      if (lookahead == 'o') ADVANCE(638);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(658);
      END_STATE();
    case 650:
      ACCEPT_TOKEN(sym_regex_flags);
      if (lookahead == 'p') ADVANCE(643);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(658);
      END_STATE();
    case 651:
      ACCEPT_TOKEN(sym_regex_flags);
      if (lookahead == 's') ADVANCE(433);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(658);
      END_STATE();
    case 652:
      ACCEPT_TOKEN(sym_regex_flags);
      if (lookahead == 's') ADVANCE(640);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(658);
      END_STATE();
    case 653:
      ACCEPT_TOKEN(sym_regex_flags);
      if (lookahead == 's') ADVANCE(1081);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(658);
      END_STATE();
    case 654:
      ACCEPT_TOKEN(sym_regex_flags);
      if (lookahead == 's') ADVANCE(1089);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(658);
      END_STATE();
    case 655:
      ACCEPT_TOKEN(sym_regex_flags);
      if (lookahead == 't') ADVANCE(641);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(658);
      END_STATE();
    case 656:
      ACCEPT_TOKEN(sym_regex_flags);
      if (lookahead == 't') ADVANCE(632);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(658);
      END_STATE();
    case 657:
      ACCEPT_TOKEN(sym_regex_flags);
      if (lookahead == 't') ADVANCE(654);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(658);
      END_STATE();
    case 658:
      ACCEPT_TOKEN(sym_regex_flags);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(658);
      END_STATE();
    case 659:
      ACCEPT_TOKEN(sym_number);
      END_STATE();
    case 660:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '.') ADVANCE(676);
      if (lookahead == '0') ADVANCE(673);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(375);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(373);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(376);
      if (lookahead == 'X' ||
          lookahead == 'x') ADVANCE(384);
      if (lookahead == '_') ADVANCE(379);
      if (lookahead == 'n') ADVANCE(659);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(662);
      END_STATE();
    case 661:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '.') ADVANCE(676);
      if (lookahead == '0') ADVANCE(667);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(1033);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1042);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1036);
      if (lookahead == 'X' ||
          lookahead == 'x') ADVANCE(1040);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == '_') ADVANCE(1038);
      if (lookahead == 'n') ADVANCE(669);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(663);
      if (!sym_identifier_character_set_3(lookahead)) ADVANCE(1041);
      END_STATE();
    case 662:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '.') ADVANCE(676);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(373);
      if (lookahead == '_') ADVANCE(377);
      if (lookahead == 'n') ADVANCE(659);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(662);
      END_STATE();
    case 663:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '.') ADVANCE(676);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1042);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == '_') ADVANCE(1037);
      if (lookahead == 'n') ADVANCE(669);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(663);
      if (!sym_identifier_character_set_3(lookahead)) ADVANCE(1041);
      END_STATE();
    case 664:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == '_') ADVANCE(1033);
      if (lookahead == 'n') ADVANCE(669);
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(664);
      if (!sym_identifier_character_set_4(lookahead)) ADVANCE(1041);
      END_STATE();
    case 665:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == '_') ADVANCE(1036);
      if (lookahead == 'n') ADVANCE(669);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(665);
      if (!sym_identifier_character_set_4(lookahead)) ADVANCE(1041);
      END_STATE();
    case 666:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == '_') ADVANCE(1040);
      if (lookahead == 'n') ADVANCE(669);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(666);
      if (!sym_identifier_character_set_3(lookahead)) ADVANCE(1041);
      END_STATE();
    case 667:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == '_') ADVANCE(1038);
      if (lookahead == 'n') ADVANCE(669);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(667);
      if (!sym_identifier_character_set_3(lookahead)) ADVANCE(1041);
      END_STATE();
    case 668:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == '_') ADVANCE(1039);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(668);
      if (!sym_identifier_character_set_3(lookahead)) ADVANCE(1041);
      END_STATE();
    case 669:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '\\') ADVANCE(352);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 670:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '_') ADVANCE(375);
      if (lookahead == 'n') ADVANCE(659);
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(670);
      END_STATE();
    case 671:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '_') ADVANCE(376);
      if (lookahead == 'n') ADVANCE(659);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(671);
      END_STATE();
    case 672:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '_') ADVANCE(384);
      if (lookahead == 'n') ADVANCE(659);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(672);
      END_STATE();
    case 673:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '_') ADVANCE(379);
      if (lookahead == 'n') ADVANCE(659);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(673);
      END_STATE();
    case 674:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '_') ADVANCE(380);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(674);
      END_STATE();
    case 675:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(373);
      if (lookahead == '_') ADVANCE(378);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(675);
      END_STATE();
    case 676:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(373);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(675);
      END_STATE();
    case 677:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '$') ADVANCE(1032);
      if (lookahead == '0') ADVANCE(661);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'a') ADVANCE(810);
      if (lookahead == 'b') ADVANCE(951);
      if (lookahead == 'c') ADVANCE(779);
      if (lookahead == 'd') ADVANCE(836);
      if (lookahead == 'e') ADVANCE(894);
      if (lookahead == 'f') ADVANCE(880);
      if (lookahead == 'g') ADVANCE(900);
      if (lookahead == 'i') ADVANCE(909);
      if (lookahead == 'l') ADVANCE(837);
      if (lookahead == 'm') ADVANCE(945);
      if (lookahead == 'n') ADVANCE(780);
      if (lookahead == 'o') ADVANCE(815);
      if (lookahead == 'r') ADVANCE(839);
      if (lookahead == 's') ADVANCE(785);
      if (lookahead == 't') ADVANCE(789);
      if (lookahead == 'u') ADVANCE(930);
      if (lookahead == 'v') ADVANCE(792);
      if (lookahead == 'w') ADVANCE(878);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(677);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(663);
      if (!sym_identifier_character_set_5(lookahead)) ADVANCE(1041);
      END_STATE();
    case 678:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '-') ADVANCE(500);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'a') ADVANCE(689);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(743);
      if (!sym_identifier_character_set_2(lookahead)) ADVANCE(1041);
      END_STATE();
    case 679:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '-') ADVANCE(500);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'a') ADVANCE(710);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(743);
      if (!sym_identifier_character_set_2(lookahead)) ADVANCE(1041);
      END_STATE();
    case 680:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '-') ADVANCE(500);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'a') ADVANCE(686);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(743);
      if (!sym_identifier_character_set_2(lookahead)) ADVANCE(1041);
      END_STATE();
    case 681:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '-') ADVANCE(500);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'b') ADVANCE(728);
      if (lookahead == 'n') ADVANCE(741);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(743);
      if (!sym_identifier_character_set_2(lookahead)) ADVANCE(1041);
      END_STATE();
    case 682:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '-') ADVANCE(500);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'b') ADVANCE(702);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(743);
      if (!sym_identifier_character_set_2(lookahead)) ADVANCE(1041);
      END_STATE();
    case 683:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '-') ADVANCE(500);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'b') ADVANCE(720);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(743);
      if (!sym_identifier_character_set_2(lookahead)) ADVANCE(1041);
      END_STATE();
    case 684:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '-') ADVANCE(500);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'b') ADVANCE(696);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(743);
      if (!sym_identifier_character_set_2(lookahead)) ADVANCE(1041);
      END_STATE();
    case 685:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '-') ADVANCE(500);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'c') ADVANCE(733);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(743);
      if (!sym_identifier_character_set_2(lookahead)) ADVANCE(1041);
      END_STATE();
    case 686:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '-') ADVANCE(500);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'c') ADVANCE(734);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(743);
      if (!sym_identifier_character_set_2(lookahead)) ADVANCE(1041);
      END_STATE();
    case 687:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '-') ADVANCE(500);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'd') ADVANCE(603);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(743);
      if (!sym_identifier_character_set_2(lookahead)) ADVANCE(1041);
      END_STATE();
    case 688:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '-') ADVANCE(500);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'd') ADVANCE(729);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(743);
      if (!sym_identifier_character_set_2(lookahead)) ADVANCE(1041);
      END_STATE();
    case 689:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '-') ADVANCE(500);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'd') ADVANCE(722);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(743);
      if (!sym_identifier_character_set_2(lookahead)) ADVANCE(1041);
      END_STATE();
    case 690:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '-') ADVANCE(500);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'e') ADVANCE(738);
      if (lookahead == 'u') ADVANCE(706);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(743);
      if (!sym_identifier_character_set_2(lookahead)) ADVANCE(1041);
      END_STATE();
    case 691:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '-') ADVANCE(500);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'e') ADVANCE(678);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(743);
      if (!sym_identifier_character_set_2(lookahead)) ADVANCE(1041);
      END_STATE();
    case 692:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '-') ADVANCE(500);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'e') ADVANCE(685);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(743);
      if (!sym_identifier_character_set_2(lookahead)) ADVANCE(1041);
      END_STATE();
    case 693:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '-') ADVANCE(500);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'e') ADVANCE(1102);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(743);
      if (!sym_identifier_character_set_2(lookahead)) ADVANCE(1041);
      END_STATE();
    case 694:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '-') ADVANCE(500);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'e') ADVANCE(679);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(743);
      if (!sym_identifier_character_set_2(lookahead)) ADVANCE(1041);
      END_STATE();
    case 695:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '-') ADVANCE(500);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'e') ADVANCE(724);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(743);
      if (!sym_identifier_character_set_2(lookahead)) ADVANCE(1041);
      END_STATE();
    case 696:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '-') ADVANCE(500);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'e') ADVANCE(725);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(743);
      if (!sym_identifier_character_set_2(lookahead)) ADVANCE(1041);
      END_STATE();
    case 697:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '-') ADVANCE(500);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'e') ADVANCE(713);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(743);
      if (!sym_identifier_character_set_2(lookahead)) ADVANCE(1041);
      END_STATE();
    case 698:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '-') ADVANCE(500);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'g') ADVANCE(1068);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(743);
      if (!sym_identifier_character_set_2(lookahead)) ADVANCE(1041);
      END_STATE();
    case 699:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '-') ADVANCE(500);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'i') ADVANCE(723);
      if (lookahead == 'k') ADVANCE(714);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(743);
      if (!sym_identifier_character_set_2(lookahead)) ADVANCE(1041);
      END_STATE();
    case 700:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '-') ADVANCE(500);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'i') ADVANCE(687);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(743);
      if (!sym_identifier_character_set_2(lookahead)) ADVANCE(1041);
      END_STATE();
    case 701:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '-') ADVANCE(500);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'i') ADVANCE(709);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(743);
      if (!sym_identifier_character_set_2(lookahead)) ADVANCE(1041);
      END_STATE();
    case 702:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '-') ADVANCE(500);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'j') ADVANCE(692);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(743);
      if (!sym_identifier_character_set_2(lookahead)) ADVANCE(1041);
      END_STATE();
    case 703:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '-') ADVANCE(500);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'l') ADVANCE(1071);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(743);
      if (!sym_identifier_character_set_2(lookahead)) ADVANCE(1041);
      END_STATE();
    case 704:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '-') ADVANCE(500);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'l') ADVANCE(742);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(743);
      if (!sym_identifier_character_set_2(lookahead)) ADVANCE(1041);
      END_STATE();
    case 705:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '-') ADVANCE(500);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'l') ADVANCE(694);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(743);
      if (!sym_identifier_character_set_2(lookahead)) ADVANCE(1041);
      END_STATE();
    case 706:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '-') ADVANCE(500);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'm') ADVANCE(684);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(743);
      if (!sym_identifier_character_set_2(lookahead)) ADVANCE(1041);
      END_STATE();
    case 707:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '-') ADVANCE(500);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'm') ADVANCE(683);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(743);
      if (!sym_identifier_character_set_2(lookahead)) ADVANCE(1041);
      END_STATE();
    case 708:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '-') ADVANCE(500);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'n') ADVANCE(699);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(743);
      if (!sym_identifier_character_set_2(lookahead)) ADVANCE(1041);
      END_STATE();
    case 709:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '-') ADVANCE(500);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'n') ADVANCE(698);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(743);
      if (!sym_identifier_character_set_2(lookahead)) ADVANCE(1041);
      END_STATE();
    case 710:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '-') ADVANCE(500);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'n') ADVANCE(1065);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(743);
      if (!sym_identifier_character_set_2(lookahead)) ADVANCE(1041);
      END_STATE();
    case 711:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '-') ADVANCE(500);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'n') ADVANCE(1105);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(743);
      if (!sym_identifier_character_set_2(lookahead)) ADVANCE(1041);
      END_STATE();
    case 712:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '-') ADVANCE(500);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'n') ADVANCE(704);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(743);
      if (!sym_identifier_character_set_2(lookahead)) ADVANCE(1041);
      END_STATE();
    case 713:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '-') ADVANCE(500);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'n') ADVANCE(688);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(743);
      if (!sym_identifier_character_set_2(lookahead)) ADVANCE(1041);
      END_STATE();
    case 714:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '-') ADVANCE(500);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'n') ADVANCE(718);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(743);
      if (!sym_identifier_character_set_2(lookahead)) ADVANCE(1041);
      END_STATE();
    case 715:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '-') ADVANCE(500);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'n') ADVANCE(730);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(743);
      if (!sym_identifier_character_set_2(lookahead)) ADVANCE(1041);
      END_STATE();
    case 716:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '-') ADVANCE(500);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'o') ADVANCE(700);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(743);
      if (!sym_identifier_character_set_2(lookahead)) ADVANCE(1041);
      END_STATE();
    case 717:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '-') ADVANCE(500);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'o') ADVANCE(705);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(743);
      if (!sym_identifier_character_set_2(lookahead)) ADVANCE(1041);
      END_STATE();
    case 718:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '-') ADVANCE(500);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'o') ADVANCE(739);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(743);
      if (!sym_identifier_character_set_2(lookahead)) ADVANCE(1041);
      END_STATE();
    case 719:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '-') ADVANCE(500);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'o') ADVANCE(715);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(743);
      if (!sym_identifier_character_set_2(lookahead)) ADVANCE(1041);
      END_STATE();
    case 720:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '-') ADVANCE(500);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'o') ADVANCE(703);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(743);
      if (!sym_identifier_character_set_2(lookahead)) ADVANCE(1041);
      END_STATE();
    case 721:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '-') ADVANCE(500);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'o') ADVANCE(717);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(743);
      if (!sym_identifier_character_set_2(lookahead)) ADVANCE(1041);
      END_STATE();
    case 722:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '-') ADVANCE(500);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'o') ADVANCE(712);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(743);
      if (!sym_identifier_character_set_2(lookahead)) ADVANCE(1041);
      END_STATE();
    case 723:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '-') ADVANCE(500);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'q') ADVANCE(737);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(743);
      if (!sym_identifier_character_set_2(lookahead)) ADVANCE(1041);
      END_STATE();
    case 724:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '-') ADVANCE(500);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'r') ADVANCE(1108);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(743);
      if (!sym_identifier_character_set_2(lookahead)) ADVANCE(1041);
      END_STATE();
    case 725:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '-') ADVANCE(500);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'r') ADVANCE(1062);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(743);
      if (!sym_identifier_character_set_2(lookahead)) ADVANCE(1041);
      END_STATE();
    case 726:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '-') ADVANCE(500);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'r') ADVANCE(680);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(743);
      if (!sym_identifier_character_set_2(lookahead)) ADVANCE(1041);
      END_STATE();
    case 727:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '-') ADVANCE(500);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'r') ADVANCE(701);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(743);
      if (!sym_identifier_character_set_2(lookahead)) ADVANCE(1041);
      END_STATE();
    case 728:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '-') ADVANCE(500);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 's') ADVANCE(735);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(743);
      if (!sym_identifier_character_set_2(lookahead)) ADVANCE(1041);
      END_STATE();
    case 729:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '-') ADVANCE(500);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 's') ADVANCE(1085);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(743);
      if (!sym_identifier_character_set_2(lookahead)) ADVANCE(1041);
      END_STATE();
    case 730:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '-') ADVANCE(500);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 's') ADVANCE(732);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(743);
      if (!sym_identifier_character_set_2(lookahead)) ADVANCE(1041);
      END_STATE();
    case 731:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '-') ADVANCE(500);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 't') ADVANCE(727);
      if (lookahead == 'y') ADVANCE(707);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(743);
      if (!sym_identifier_character_set_2(lookahead)) ADVANCE(1041);
      END_STATE();
    case 732:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '-') ADVANCE(500);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 't') ADVANCE(451);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(743);
      if (!sym_identifier_character_set_2(lookahead)) ADVANCE(1041);
      END_STATE();
    case 733:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '-') ADVANCE(500);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 't') ADVANCE(1074);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(743);
      if (!sym_identifier_character_set_2(lookahead)) ADVANCE(1041);
      END_STATE();
    case 734:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '-') ADVANCE(500);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 't') ADVANCE(1077);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(743);
      if (!sym_identifier_character_set_2(lookahead)) ADVANCE(1041);
      END_STATE();
    case 735:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '-') ADVANCE(500);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 't') ADVANCE(726);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(743);
      if (!sym_identifier_character_set_2(lookahead)) ADVANCE(1041);
      END_STATE();
    case 736:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '-') ADVANCE(500);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 't') ADVANCE(697);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(743);
      if (!sym_identifier_character_set_2(lookahead)) ADVANCE(1041);
      END_STATE();
    case 737:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '-') ADVANCE(500);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'u') ADVANCE(693);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(743);
      if (!sym_identifier_character_set_2(lookahead)) ADVANCE(1041);
      END_STATE();
    case 738:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '-') ADVANCE(500);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'v') ADVANCE(695);
      if (lookahead == 'w') ADVANCE(529);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(743);
      if (!sym_identifier_character_set_2(lookahead)) ADVANCE(1041);
      END_STATE();
    case 739:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '-') ADVANCE(500);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'w') ADVANCE(711);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(743);
      if (!sym_identifier_character_set_2(lookahead)) ADVANCE(1041);
      END_STATE();
    case 740:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '-') ADVANCE(500);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'x') ADVANCE(736);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(743);
      if (!sym_identifier_character_set_2(lookahead)) ADVANCE(1041);
      END_STATE();
    case 741:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '-') ADVANCE(500);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'y') ADVANCE(1059);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(743);
      if (!sym_identifier_character_set_2(lookahead)) ADVANCE(1041);
      END_STATE();
    case 742:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '-') ADVANCE(500);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'y') ADVANCE(1048);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(743);
      if (!sym_identifier_character_set_2(lookahead)) ADVANCE(1041);
      END_STATE();
    case 743:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '-') ADVANCE(500);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(743);
      if (!sym_identifier_character_set_2(lookahead)) ADVANCE(1041);
      END_STATE();
    case 744:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '0') ADVANCE(661);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'a') ADVANCE(810);
      if (lookahead == 'b') ADVANCE(951);
      if (lookahead == 'c') ADVANCE(806);
      if (lookahead == 'd') ADVANCE(836);
      if (lookahead == 'e') ADVANCE(928);
      if (lookahead == 'f') ADVANCE(1015);
      if (lookahead == 'i') ADVANCE(919);
      if (lookahead == 'l') ADVANCE(837);
      if (lookahead == 'm') ADVANCE(945);
      if (lookahead == 'n') ADVANCE(781);
      if (lookahead == 'o') ADVANCE(816);
      if (lookahead == 'r') ADVANCE(862);
      if (lookahead == 's') ADVANCE(785);
      if (lookahead == 't') ADVANCE(1030);
      if (lookahead == 'v') ADVANCE(792);
      if (lookahead == 'w') ADVANCE(878);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(744);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(663);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 745:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '0') ADVANCE(661);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'a') ADVANCE(810);
      if (lookahead == 'b') ADVANCE(951);
      if (lookahead == 'c') ADVANCE(806);
      if (lookahead == 'd') ADVANCE(836);
      if (lookahead == 'e') ADVANCE(895);
      if (lookahead == 'f') ADVANCE(1015);
      if (lookahead == 'i') ADVANCE(919);
      if (lookahead == 'l') ADVANCE(837);
      if (lookahead == 'm') ADVANCE(945);
      if (lookahead == 'n') ADVANCE(781);
      if (lookahead == 'o') ADVANCE(816);
      if (lookahead == 'r') ADVANCE(862);
      if (lookahead == 's') ADVANCE(785);
      if (lookahead == 't') ADVANCE(1030);
      if (lookahead == 'v') ADVANCE(792);
      if (lookahead == 'w') ADVANCE(878);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(745);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(663);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 746:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '0') ADVANCE(661);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'a') ADVANCE(810);
      if (lookahead == 'b') ADVANCE(951);
      if (lookahead == 'c') ADVANCE(897);
      if (lookahead == 'd') ADVANCE(856);
      if (lookahead == 'e') ADVANCE(928);
      if (lookahead == 'f') ADVANCE(1015);
      if (lookahead == 'i') ADVANCE(919);
      if (lookahead == 'l') ADVANCE(837);
      if (lookahead == 'm') ADVANCE(945);
      if (lookahead == 'n') ADVANCE(781);
      if (lookahead == 'o') ADVANCE(816);
      if (lookahead == 'r') ADVANCE(862);
      if (lookahead == 's') ADVANCE(785);
      if (lookahead == 't') ADVANCE(1030);
      if (lookahead == 'v') ADVANCE(792);
      if (lookahead == 'w') ADVANCE(878);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(746);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(663);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 747:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '0') ADVANCE(661);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'a') ADVANCE(810);
      if (lookahead == 'b') ADVANCE(951);
      if (lookahead == 'c') ADVANCE(897);
      if (lookahead == 'd') ADVANCE(856);
      if (lookahead == 'e') ADVANCE(1025);
      if (lookahead == 'f') ADVANCE(1015);
      if (lookahead == 'i') ADVANCE(920);
      if (lookahead == 'l') ADVANCE(837);
      if (lookahead == 'm') ADVANCE(945);
      if (lookahead == 'n') ADVANCE(780);
      if (lookahead == 'o') ADVANCE(816);
      if (lookahead == 'r') ADVANCE(862);
      if (lookahead == 's') ADVANCE(785);
      if (lookahead == 't') ADVANCE(1030);
      if (lookahead == 'u') ADVANCE(930);
      if (lookahead == 'v') ADVANCE(946);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(747);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(663);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 748:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '0') ADVANCE(661);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'a') ADVANCE(810);
      if (lookahead == 'b') ADVANCE(951);
      if (lookahead == 'c') ADVANCE(897);
      if (lookahead == 'd') ADVANCE(856);
      if (lookahead == 'e') ADVANCE(895);
      if (lookahead == 'f') ADVANCE(1015);
      if (lookahead == 'i') ADVANCE(919);
      if (lookahead == 'l') ADVANCE(837);
      if (lookahead == 'm') ADVANCE(945);
      if (lookahead == 'n') ADVANCE(781);
      if (lookahead == 'o') ADVANCE(816);
      if (lookahead == 'r') ADVANCE(862);
      if (lookahead == 's') ADVANCE(785);
      if (lookahead == 't') ADVANCE(1030);
      if (lookahead == 'v') ADVANCE(792);
      if (lookahead == 'w') ADVANCE(878);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(748);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(663);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 749:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '0') ADVANCE(661);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'a') ADVANCE(923);
      if (lookahead == 'b') ADVANCE(951);
      if (lookahead == 'c') ADVANCE(898);
      if (lookahead == 'd') ADVANCE(856);
      if (lookahead == 'e') ADVANCE(1025);
      if (lookahead == 'f') ADVANCE(1015);
      if (lookahead == 'i') ADVANCE(920);
      if (lookahead == 'l') ADVANCE(837);
      if (lookahead == 'm') ADVANCE(945);
      if (lookahead == 'n') ADVANCE(781);
      if (lookahead == 'o') ADVANCE(815);
      if (lookahead == 'r') ADVANCE(862);
      if (lookahead == 's') ADVANCE(785);
      if (lookahead == 't') ADVANCE(1030);
      if (lookahead == 'v') ADVANCE(946);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(749);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(663);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 750:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '0') ADVANCE(661);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'a') ADVANCE(923);
      if (lookahead == 'b') ADVANCE(951);
      if (lookahead == 'c') ADVANCE(898);
      if (lookahead == 'd') ADVANCE(856);
      if (lookahead == 'e') ADVANCE(1025);
      if (lookahead == 'f') ADVANCE(1015);
      if (lookahead == 'i') ADVANCE(920);
      if (lookahead == 'l') ADVANCE(837);
      if (lookahead == 'm') ADVANCE(945);
      if (lookahead == 'n') ADVANCE(781);
      if (lookahead == 'o') ADVANCE(816);
      if (lookahead == 'r') ADVANCE(862);
      if (lookahead == 's') ADVANCE(785);
      if (lookahead == 't') ADVANCE(1030);
      if (lookahead == 'v') ADVANCE(946);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(750);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(663);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 751:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '0') ADVANCE(661);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'a') ADVANCE(923);
      if (lookahead == 'b') ADVANCE(951);
      if (lookahead == 'c') ADVANCE(898);
      if (lookahead == 'd') ADVANCE(856);
      if (lookahead == 'e') ADVANCE(1025);
      if (lookahead == 'f') ADVANCE(1015);
      if (lookahead == 'i') ADVANCE(910);
      if (lookahead == 'l') ADVANCE(837);
      if (lookahead == 'm') ADVANCE(945);
      if (lookahead == 'n') ADVANCE(781);
      if (lookahead == 'o') ADVANCE(816);
      if (lookahead == 'r') ADVANCE(862);
      if (lookahead == 's') ADVANCE(785);
      if (lookahead == 't') ADVANCE(1030);
      if (lookahead == 'v') ADVANCE(946);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(751);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(663);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 752:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '0') ADVANCE(661);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'a') ADVANCE(811);
      if (lookahead == 'b') ADVANCE(951);
      if (lookahead == 'c') ADVANCE(950);
      if (lookahead == 'i') ADVANCE(934);
      if (lookahead == 'n') ADVANCE(838);
      if (lookahead == 'o') ADVANCE(815);
      if (lookahead == 'r') ADVANCE(862);
      if (lookahead == 's') ADVANCE(785);
      if (lookahead == 'u') ADVANCE(930);
      if (lookahead == 'v') ADVANCE(946);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(752);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(663);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 753:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '0') ADVANCE(661);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'a') ADVANCE(811);
      if (lookahead == 'b') ADVANCE(951);
      if (lookahead == 'c') ADVANCE(950);
      if (lookahead == 'i') ADVANCE(934);
      if (lookahead == 'n') ADVANCE(838);
      if (lookahead == 'o') ADVANCE(816);
      if (lookahead == 'r') ADVANCE(862);
      if (lookahead == 's') ADVANCE(785);
      if (lookahead == 'u') ADVANCE(930);
      if (lookahead == 'v') ADVANCE(946);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(753);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(663);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 754:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '0') ADVANCE(661);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'a') ADVANCE(811);
      if (lookahead == 'b') ADVANCE(951);
      if (lookahead == 'c') ADVANCE(950);
      if (lookahead == 'i') ADVANCE(915);
      if (lookahead == 'n') ADVANCE(838);
      if (lookahead == 'o') ADVANCE(816);
      if (lookahead == 'r') ADVANCE(862);
      if (lookahead == 's') ADVANCE(785);
      if (lookahead == 'u') ADVANCE(930);
      if (lookahead == 'v') ADVANCE(946);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(754);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(663);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 755:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '0') ADVANCE(661);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'a') ADVANCE(924);
      if (lookahead == 'b') ADVANCE(951);
      if (lookahead == 'd') ADVANCE(856);
      if (lookahead == 'e') ADVANCE(1025);
      if (lookahead == 'f') ADVANCE(1015);
      if (lookahead == 'i') ADVANCE(934);
      if (lookahead == 'l') ADVANCE(837);
      if (lookahead == 'm') ADVANCE(945);
      if (lookahead == 'n') ADVANCE(781);
      if (lookahead == 'o') ADVANCE(816);
      if (lookahead == 'r') ADVANCE(862);
      if (lookahead == 's') ADVANCE(785);
      if (lookahead == 't') ADVANCE(1030);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(755);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(663);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 756:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '0') ADVANCE(661);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'a') ADVANCE(924);
      if (lookahead == 'b') ADVANCE(951);
      if (lookahead == 'd') ADVANCE(856);
      if (lookahead == 'e') ADVANCE(1025);
      if (lookahead == 'i') ADVANCE(934);
      if (lookahead == 'l') ADVANCE(837);
      if (lookahead == 'm') ADVANCE(945);
      if (lookahead == 'n') ADVANCE(781);
      if (lookahead == 'o') ADVANCE(816);
      if (lookahead == 'r') ADVANCE(862);
      if (lookahead == 's') ADVANCE(785);
      if (lookahead == 't') ADVANCE(1030);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(756);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(663);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 757:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '0') ADVANCE(661);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'a') ADVANCE(814);
      if (lookahead == 'b') ADVANCE(951);
      if (lookahead == 'c') ADVANCE(950);
      if (lookahead == 'i') ADVANCE(922);
      if (lookahead == 'n') ADVANCE(838);
      if (lookahead == 'o') ADVANCE(816);
      if (lookahead == 'r') ADVANCE(862);
      if (lookahead == 's') ADVANCE(994);
      if (lookahead == 'u') ADVANCE(930);
      if (lookahead == 'v') ADVANCE(946);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(757);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(663);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 758:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '0') ADVANCE(661);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'a') ADVANCE(814);
      if (lookahead == 'b') ADVANCE(951);
      if (lookahead == 'c') ADVANCE(950);
      if (lookahead == 'n') ADVANCE(838);
      if (lookahead == 'o') ADVANCE(816);
      if (lookahead == 'r') ADVANCE(862);
      if (lookahead == 's') ADVANCE(994);
      if (lookahead == 'u') ADVANCE(930);
      if (lookahead == 'v') ADVANCE(946);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(758);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(663);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 759:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '0') ADVANCE(661);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'a') ADVANCE(681);
      if (lookahead == 'b') ADVANCE(721);
      if (lookahead == 'c') ADVANCE(719);
      if (lookahead == 'n') ADVANCE(690);
      if (lookahead == 'o') ADVANCE(682);
      if (lookahead == 'r') ADVANCE(691);
      if (lookahead == 's') ADVANCE(731);
      if (lookahead == 'u') ADVANCE(708);
      if (lookahead == 'v') ADVANCE(716);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(759);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(663);
      if (lookahead == '$' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('d' <= lookahead && lookahead <= 'z')) ADVANCE(743);
      if (!sym_identifier_character_set_2(lookahead)) ADVANCE(1041);
      END_STATE();
    case 760:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '0') ADVANCE(661);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'a') ADVANCE(812);
      if (lookahead == 'b') ADVANCE(951);
      if (lookahead == 'c') ADVANCE(779);
      if (lookahead == 'd') ADVANCE(836);
      if (lookahead == 'e') ADVANCE(928);
      if (lookahead == 'f') ADVANCE(881);
      if (lookahead == 'i') ADVANCE(921);
      if (lookahead == 'l') ADVANCE(837);
      if (lookahead == 'm') ADVANCE(945);
      if (lookahead == 'n') ADVANCE(781);
      if (lookahead == 'o') ADVANCE(816);
      if (lookahead == 'r') ADVANCE(862);
      if (lookahead == 's') ADVANCE(994);
      if (lookahead == 't') ADVANCE(1030);
      if (lookahead == 'v') ADVANCE(792);
      if (lookahead == 'w') ADVANCE(878);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(760);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(663);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 761:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '0') ADVANCE(661);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'a') ADVANCE(812);
      if (lookahead == 'b') ADVANCE(951);
      if (lookahead == 'c') ADVANCE(779);
      if (lookahead == 'd') ADVANCE(836);
      if (lookahead == 'e') ADVANCE(895);
      if (lookahead == 'f') ADVANCE(881);
      if (lookahead == 'i') ADVANCE(921);
      if (lookahead == 'l') ADVANCE(837);
      if (lookahead == 'm') ADVANCE(945);
      if (lookahead == 'n') ADVANCE(781);
      if (lookahead == 'o') ADVANCE(816);
      if (lookahead == 'r') ADVANCE(862);
      if (lookahead == 's') ADVANCE(994);
      if (lookahead == 't') ADVANCE(1030);
      if (lookahead == 'v') ADVANCE(792);
      if (lookahead == 'w') ADVANCE(878);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(761);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(663);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 762:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '0') ADVANCE(661);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'a') ADVANCE(812);
      if (lookahead == 'b') ADVANCE(951);
      if (lookahead == 'c') ADVANCE(806);
      if (lookahead == 'd') ADVANCE(836);
      if (lookahead == 'e') ADVANCE(928);
      if (lookahead == 'f') ADVANCE(881);
      if (lookahead == 'i') ADVANCE(921);
      if (lookahead == 'l') ADVANCE(837);
      if (lookahead == 'm') ADVANCE(945);
      if (lookahead == 'n') ADVANCE(781);
      if (lookahead == 'o') ADVANCE(816);
      if (lookahead == 'r') ADVANCE(862);
      if (lookahead == 's') ADVANCE(994);
      if (lookahead == 't') ADVANCE(1030);
      if (lookahead == 'v') ADVANCE(792);
      if (lookahead == 'w') ADVANCE(878);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(762);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(663);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 763:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '0') ADVANCE(661);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'a') ADVANCE(812);
      if (lookahead == 'b') ADVANCE(951);
      if (lookahead == 'c') ADVANCE(806);
      if (lookahead == 'd') ADVANCE(836);
      if (lookahead == 'e') ADVANCE(928);
      if (lookahead == 'f') ADVANCE(1015);
      if (lookahead == 'i') ADVANCE(921);
      if (lookahead == 'l') ADVANCE(837);
      if (lookahead == 'm') ADVANCE(945);
      if (lookahead == 'n') ADVANCE(781);
      if (lookahead == 'o') ADVANCE(816);
      if (lookahead == 'r') ADVANCE(862);
      if (lookahead == 's') ADVANCE(994);
      if (lookahead == 't') ADVANCE(1030);
      if (lookahead == 'v') ADVANCE(792);
      if (lookahead == 'w') ADVANCE(878);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(763);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(663);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 764:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '0') ADVANCE(661);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'a') ADVANCE(812);
      if (lookahead == 'b') ADVANCE(951);
      if (lookahead == 'c') ADVANCE(806);
      if (lookahead == 'd') ADVANCE(836);
      if (lookahead == 'e') ADVANCE(895);
      if (lookahead == 'f') ADVANCE(881);
      if (lookahead == 'i') ADVANCE(921);
      if (lookahead == 'l') ADVANCE(837);
      if (lookahead == 'm') ADVANCE(945);
      if (lookahead == 'n') ADVANCE(781);
      if (lookahead == 'o') ADVANCE(816);
      if (lookahead == 'r') ADVANCE(862);
      if (lookahead == 's') ADVANCE(994);
      if (lookahead == 't') ADVANCE(1030);
      if (lookahead == 'v') ADVANCE(792);
      if (lookahead == 'w') ADVANCE(878);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(764);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(663);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 765:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '0') ADVANCE(661);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'a') ADVANCE(812);
      if (lookahead == 'b') ADVANCE(951);
      if (lookahead == 'c') ADVANCE(806);
      if (lookahead == 'd') ADVANCE(836);
      if (lookahead == 'e') ADVANCE(895);
      if (lookahead == 'f') ADVANCE(1015);
      if (lookahead == 'i') ADVANCE(921);
      if (lookahead == 'l') ADVANCE(837);
      if (lookahead == 'm') ADVANCE(945);
      if (lookahead == 'n') ADVANCE(781);
      if (lookahead == 'o') ADVANCE(816);
      if (lookahead == 'r') ADVANCE(862);
      if (lookahead == 's') ADVANCE(994);
      if (lookahead == 't') ADVANCE(1030);
      if (lookahead == 'v') ADVANCE(792);
      if (lookahead == 'w') ADVANCE(878);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(765);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(663);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 766:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '0') ADVANCE(661);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'a') ADVANCE(812);
      if (lookahead == 'b') ADVANCE(951);
      if (lookahead == 'c') ADVANCE(897);
      if (lookahead == 'd') ADVANCE(856);
      if (lookahead == 'e') ADVANCE(928);
      if (lookahead == 'f') ADVANCE(881);
      if (lookahead == 'i') ADVANCE(921);
      if (lookahead == 'l') ADVANCE(837);
      if (lookahead == 'm') ADVANCE(945);
      if (lookahead == 'n') ADVANCE(781);
      if (lookahead == 'o') ADVANCE(816);
      if (lookahead == 'r') ADVANCE(862);
      if (lookahead == 's') ADVANCE(994);
      if (lookahead == 't') ADVANCE(1030);
      if (lookahead == 'v') ADVANCE(792);
      if (lookahead == 'w') ADVANCE(878);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(766);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(663);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 767:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '0') ADVANCE(661);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'a') ADVANCE(812);
      if (lookahead == 'b') ADVANCE(951);
      if (lookahead == 'c') ADVANCE(897);
      if (lookahead == 'd') ADVANCE(856);
      if (lookahead == 'e') ADVANCE(928);
      if (lookahead == 'f') ADVANCE(1015);
      if (lookahead == 'i') ADVANCE(921);
      if (lookahead == 'l') ADVANCE(837);
      if (lookahead == 'm') ADVANCE(945);
      if (lookahead == 'n') ADVANCE(781);
      if (lookahead == 'o') ADVANCE(816);
      if (lookahead == 'r') ADVANCE(862);
      if (lookahead == 's') ADVANCE(994);
      if (lookahead == 't') ADVANCE(1030);
      if (lookahead == 'v') ADVANCE(792);
      if (lookahead == 'w') ADVANCE(878);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(767);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(663);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 768:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '0') ADVANCE(661);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'a') ADVANCE(812);
      if (lookahead == 'b') ADVANCE(951);
      if (lookahead == 'c') ADVANCE(897);
      if (lookahead == 'd') ADVANCE(856);
      if (lookahead == 'e') ADVANCE(928);
      if (lookahead == 'f') ADVANCE(1015);
      if (lookahead == 'i') ADVANCE(921);
      if (lookahead == 'l') ADVANCE(837);
      if (lookahead == 'm') ADVANCE(945);
      if (lookahead == 'n') ADVANCE(781);
      if (lookahead == 'o') ADVANCE(816);
      if (lookahead == 'r') ADVANCE(862);
      if (lookahead == 's') ADVANCE(994);
      if (lookahead == 't') ADVANCE(1030);
      if (lookahead == 'v') ADVANCE(792);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(768);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(663);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 769:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '0') ADVANCE(661);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'a') ADVANCE(812);
      if (lookahead == 'b') ADVANCE(951);
      if (lookahead == 'c') ADVANCE(897);
      if (lookahead == 'd') ADVANCE(856);
      if (lookahead == 'e') ADVANCE(1025);
      if (lookahead == 'f') ADVANCE(1015);
      if (lookahead == 'i') ADVANCE(922);
      if (lookahead == 'l') ADVANCE(837);
      if (lookahead == 'm') ADVANCE(945);
      if (lookahead == 'n') ADVANCE(780);
      if (lookahead == 'o') ADVANCE(816);
      if (lookahead == 'r') ADVANCE(862);
      if (lookahead == 's') ADVANCE(994);
      if (lookahead == 't') ADVANCE(1030);
      if (lookahead == 'u') ADVANCE(930);
      if (lookahead == 'v') ADVANCE(946);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(769);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(663);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 770:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '0') ADVANCE(661);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'a') ADVANCE(812);
      if (lookahead == 'b') ADVANCE(951);
      if (lookahead == 'c') ADVANCE(897);
      if (lookahead == 'd') ADVANCE(856);
      if (lookahead == 'e') ADVANCE(895);
      if (lookahead == 'f') ADVANCE(881);
      if (lookahead == 'i') ADVANCE(921);
      if (lookahead == 'l') ADVANCE(837);
      if (lookahead == 'm') ADVANCE(945);
      if (lookahead == 'n') ADVANCE(781);
      if (lookahead == 'o') ADVANCE(816);
      if (lookahead == 'r') ADVANCE(862);
      if (lookahead == 's') ADVANCE(994);
      if (lookahead == 't') ADVANCE(1030);
      if (lookahead == 'v') ADVANCE(792);
      if (lookahead == 'w') ADVANCE(878);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(770);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(663);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 771:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '0') ADVANCE(661);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'a') ADVANCE(812);
      if (lookahead == 'b') ADVANCE(951);
      if (lookahead == 'c') ADVANCE(897);
      if (lookahead == 'd') ADVANCE(856);
      if (lookahead == 'e') ADVANCE(895);
      if (lookahead == 'f') ADVANCE(1015);
      if (lookahead == 'i') ADVANCE(921);
      if (lookahead == 'l') ADVANCE(837);
      if (lookahead == 'm') ADVANCE(945);
      if (lookahead == 'n') ADVANCE(781);
      if (lookahead == 'o') ADVANCE(816);
      if (lookahead == 'r') ADVANCE(862);
      if (lookahead == 's') ADVANCE(994);
      if (lookahead == 't') ADVANCE(1030);
      if (lookahead == 'v') ADVANCE(792);
      if (lookahead == 'w') ADVANCE(878);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(771);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(663);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 772:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '0') ADVANCE(661);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'a') ADVANCE(812);
      if (lookahead == 'b') ADVANCE(951);
      if (lookahead == 'c') ADVANCE(805);
      if (lookahead == 'd') ADVANCE(856);
      if (lookahead == 'e') ADVANCE(928);
      if (lookahead == 'f') ADVANCE(881);
      if (lookahead == 'i') ADVANCE(921);
      if (lookahead == 'l') ADVANCE(837);
      if (lookahead == 'm') ADVANCE(945);
      if (lookahead == 'n') ADVANCE(781);
      if (lookahead == 'o') ADVANCE(816);
      if (lookahead == 'r') ADVANCE(862);
      if (lookahead == 's') ADVANCE(994);
      if (lookahead == 't') ADVANCE(1030);
      if (lookahead == 'v') ADVANCE(792);
      if (lookahead == 'w') ADVANCE(878);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(772);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(663);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 773:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '0') ADVANCE(661);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'a') ADVANCE(812);
      if (lookahead == 'b') ADVANCE(951);
      if (lookahead == 'c') ADVANCE(805);
      if (lookahead == 'd') ADVANCE(856);
      if (lookahead == 'e') ADVANCE(895);
      if (lookahead == 'f') ADVANCE(881);
      if (lookahead == 'i') ADVANCE(921);
      if (lookahead == 'l') ADVANCE(837);
      if (lookahead == 'm') ADVANCE(945);
      if (lookahead == 'n') ADVANCE(781);
      if (lookahead == 'o') ADVANCE(816);
      if (lookahead == 'r') ADVANCE(862);
      if (lookahead == 's') ADVANCE(994);
      if (lookahead == 't') ADVANCE(1030);
      if (lookahead == 'v') ADVANCE(792);
      if (lookahead == 'w') ADVANCE(878);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(773);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(663);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 774:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '0') ADVANCE(661);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'a') ADVANCE(925);
      if (lookahead == 'b') ADVANCE(951);
      if (lookahead == 'c') ADVANCE(897);
      if (lookahead == 'd') ADVANCE(856);
      if (lookahead == 'e') ADVANCE(1025);
      if (lookahead == 'f') ADVANCE(1015);
      if (lookahead == 'i') ADVANCE(922);
      if (lookahead == 'l') ADVANCE(837);
      if (lookahead == 'm') ADVANCE(945);
      if (lookahead == 'n') ADVANCE(781);
      if (lookahead == 'o') ADVANCE(816);
      if (lookahead == 'r') ADVANCE(862);
      if (lookahead == 's') ADVANCE(994);
      if (lookahead == 't') ADVANCE(1030);
      if (lookahead == 'v') ADVANCE(792);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(774);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(663);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 775:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '0') ADVANCE(661);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'a') ADVANCE(925);
      if (lookahead == 'b') ADVANCE(951);
      if (lookahead == 'c') ADVANCE(898);
      if (lookahead == 'd') ADVANCE(856);
      if (lookahead == 'e') ADVANCE(1025);
      if (lookahead == 'f') ADVANCE(1015);
      if (lookahead == 'i') ADVANCE(922);
      if (lookahead == 'l') ADVANCE(837);
      if (lookahead == 'm') ADVANCE(945);
      if (lookahead == 'n') ADVANCE(781);
      if (lookahead == 'o') ADVANCE(816);
      if (lookahead == 'r') ADVANCE(862);
      if (lookahead == 's') ADVANCE(994);
      if (lookahead == 't') ADVANCE(1030);
      if (lookahead == 'v') ADVANCE(946);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(775);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(663);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 776:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '0') ADVANCE(661);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'a') ADVANCE(925);
      if (lookahead == 'b') ADVANCE(951);
      if (lookahead == 'c') ADVANCE(898);
      if (lookahead == 'd') ADVANCE(856);
      if (lookahead == 'e') ADVANCE(1024);
      if (lookahead == 'f') ADVANCE(1015);
      if (lookahead == 'i') ADVANCE(922);
      if (lookahead == 'l') ADVANCE(837);
      if (lookahead == 'm') ADVANCE(945);
      if (lookahead == 'n') ADVANCE(781);
      if (lookahead == 'o') ADVANCE(816);
      if (lookahead == 'r') ADVANCE(862);
      if (lookahead == 's') ADVANCE(994);
      if (lookahead == 't') ADVANCE(1030);
      if (lookahead == 'v') ADVANCE(946);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(776);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(663);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 777:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '0') ADVANCE(661);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'a') ADVANCE(813);
      if (lookahead == 'b') ADVANCE(951);
      if (lookahead == 'd') ADVANCE(856);
      if (lookahead == 'e') ADVANCE(1025);
      if (lookahead == 'l') ADVANCE(837);
      if (lookahead == 'm') ADVANCE(945);
      if (lookahead == 'n') ADVANCE(781);
      if (lookahead == 'o') ADVANCE(816);
      if (lookahead == 'r') ADVANCE(862);
      if (lookahead == 's') ADVANCE(994);
      if (lookahead == 't') ADVANCE(1030);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(777);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(663);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 778:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '0') ADVANCE(661);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'a') ADVANCE(926);
      if (lookahead == 'b') ADVANCE(951);
      if (lookahead == 'd') ADVANCE(856);
      if (lookahead == 'e') ADVANCE(1025);
      if (lookahead == 'l') ADVANCE(837);
      if (lookahead == 'm') ADVANCE(945);
      if (lookahead == 'n') ADVANCE(781);
      if (lookahead == 'o') ADVANCE(816);
      if (lookahead == 'r') ADVANCE(862);
      if (lookahead == 's') ADVANCE(994);
      if (lookahead == 't') ADVANCE(1030);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(778);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(663);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 779:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'a') ADVANCE(988);
      if (lookahead == 'l') ADVANCE(791);
      if (lookahead == 'o') ADVANCE(944);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 780:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'a') ADVANCE(917);
      if (lookahead == 'e') ADVANCE(1020);
      if (lookahead == 'u') ADVANCE(913);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 781:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'a') ADVANCE(917);
      if (lookahead == 'e') ADVANCE(1022);
      if (lookahead == 'u') ADVANCE(913);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 782:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'a') ADVANCE(924);
      if (lookahead == 'b') ADVANCE(951);
      if (lookahead == 'd') ADVANCE(856);
      if (lookahead == 'e') ADVANCE(1025);
      if (lookahead == 'f') ADVANCE(1015);
      if (lookahead == 'i') ADVANCE(934);
      if (lookahead == 'l') ADVANCE(837);
      if (lookahead == 'm') ADVANCE(945);
      if (lookahead == 'n') ADVANCE(781);
      if (lookahead == 'o') ADVANCE(815);
      if (lookahead == 'r') ADVANCE(862);
      if (lookahead == 's') ADVANCE(785);
      if (lookahead == 't') ADVANCE(1030);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(782);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1041);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 783:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'a') ADVANCE(924);
      if (lookahead == 'b') ADVANCE(951);
      if (lookahead == 'd') ADVANCE(856);
      if (lookahead == 'e') ADVANCE(1025);
      if (lookahead == 'f') ADVANCE(1015);
      if (lookahead == 'i') ADVANCE(934);
      if (lookahead == 'l') ADVANCE(837);
      if (lookahead == 'm') ADVANCE(945);
      if (lookahead == 'n') ADVANCE(781);
      if (lookahead == 'o') ADVANCE(816);
      if (lookahead == 'r') ADVANCE(862);
      if (lookahead == 's') ADVANCE(785);
      if (lookahead == 't') ADVANCE(1030);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(783);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1041);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 784:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'a') ADVANCE(924);
      if (lookahead == 'b') ADVANCE(951);
      if (lookahead == 'd') ADVANCE(856);
      if (lookahead == 'e') ADVANCE(1025);
      if (lookahead == 'f') ADVANCE(1015);
      if (lookahead == 'i') ADVANCE(915);
      if (lookahead == 'l') ADVANCE(837);
      if (lookahead == 'm') ADVANCE(945);
      if (lookahead == 'n') ADVANCE(781);
      if (lookahead == 'o') ADVANCE(816);
      if (lookahead == 'r') ADVANCE(862);
      if (lookahead == 's') ADVANCE(785);
      if (lookahead == 't') ADVANCE(1030);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(784);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1041);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 785:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'a') ADVANCE(1008);
      if (lookahead == 't') ADVANCE(974);
      if (lookahead == 'y') ADVANCE(914);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 786:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'a') ADVANCE(1008);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 787:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'a') ADVANCE(834);
      if (lookahead == 'q') ADVANCE(1017);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 788:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'a') ADVANCE(834);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 789:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'a') ADVANCE(968);
      if (lookahead == 'y') ADVANCE(962);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 790:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'a') ADVANCE(926);
      if (lookahead == 'b') ADVANCE(951);
      if (lookahead == 'd') ADVANCE(856);
      if (lookahead == 'e') ADVANCE(1025);
      if (lookahead == 'l') ADVANCE(837);
      if (lookahead == 'm') ADVANCE(945);
      if (lookahead == 'n') ADVANCE(781);
      if (lookahead == 'o') ADVANCE(816);
      if (lookahead == 'r') ADVANCE(862);
      if (lookahead == 's') ADVANCE(994);
      if (lookahead == 't') ADVANCE(1030);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(790);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1041);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 791:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'a') ADVANCE(990);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 792:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'a') ADVANCE(969);
      if (lookahead == 'o') ADVANCE(882);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 793:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'a') ADVANCE(885);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 794:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'a') ADVANCE(902);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 795:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'a') ADVANCE(1016);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 796:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'a') ADVANCE(892);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 797:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'a') ADVANCE(978);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 798:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'a') ADVANCE(940);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 799:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'a') ADVANCE(985);
      if (lookahead == 'i') ADVANCE(934);
      if (lookahead == 'o') ADVANCE(869);
      if (lookahead == 's') ADVANCE(786);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(799);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1041);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 800:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'a') ADVANCE(985);
      if (lookahead == 'i') ADVANCE(934);
      if (lookahead == 's') ADVANCE(786);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(800);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1041);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 801:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'a') ADVANCE(985);
      if (lookahead == 'i') ADVANCE(915);
      if (lookahead == 's') ADVANCE(786);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(801);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1041);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 802:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'a') ADVANCE(985);
      if (lookahead == 't') ADVANCE(1030);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(802);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1041);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 803:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'a') ADVANCE(931);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 804:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'a') ADVANCE(927);
      if (lookahead == 'b') ADVANCE(951);
      if (lookahead == 'n') ADVANCE(851);
      if (lookahead == 'o') ADVANCE(816);
      if (lookahead == 's') ADVANCE(994);
      if (lookahead == 'u') ADVANCE(930);
      if (lookahead == 'v') ADVANCE(946);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(804);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1041);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 805:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'a') ADVANCE(995);
      if (lookahead == 'l') ADVANCE(791);
      if (lookahead == 'o') ADVANCE(944);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 806:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'a') ADVANCE(989);
      if (lookahead == 'l') ADVANCE(791);
      if (lookahead == 'o') ADVANCE(944);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 807:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'a') ADVANCE(827);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 808:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'a') ADVANCE(829);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 809:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'a') ADVANCE(830);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 810:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'b') ADVANCE(991);
      if (lookahead == 'n') ADVANCE(1027);
      if (lookahead == 's') ADVANCE(430);
      if (lookahead == 'w') ADVANCE(793);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 811:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'b') ADVANCE(991);
      if (lookahead == 'n') ADVANCE(1027);
      if (lookahead == 's') ADVANCE(431);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 812:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'b') ADVANCE(991);
      if (lookahead == 'n') ADVANCE(1027);
      if (lookahead == 's') ADVANCE(1031);
      if (lookahead == 'w') ADVANCE(793);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 813:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'b') ADVANCE(991);
      if (lookahead == 'n') ADVANCE(1027);
      if (lookahead == 's') ADVANCE(1031);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 814:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'b') ADVANCE(991);
      if (lookahead == 'n') ADVANCE(1027);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 815:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'b') ADVANCE(891);
      if (lookahead == 'f') ADVANCE(468);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 816:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'b') ADVANCE(891);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 817:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'b') ADVANCE(796);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 818:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'b') ADVANCE(955);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 819:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'b') ADVANCE(860);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 820:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'c') ADVANCE(523);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 821:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'c') ADVANCE(877);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 822:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'c') ADVANCE(719);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(822);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1041);
      if (lookahead == '$' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(743);
      if (!sym_identifier_character_set_2(lookahead)) ADVANCE(1041);
      END_STATE();
    case 823:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'c') ADVANCE(901);
      if (lookahead == 'f') ADVANCE(795);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 824:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'c') ADVANCE(901);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 825:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'c') ADVANCE(1002);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 826:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'c') ADVANCE(950);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(826);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1041);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 827:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'c') ADVANCE(1005);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 828:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'c') ADVANCE(861);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 829:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'c') ADVANCE(848);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 830:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'c') ADVANCE(849);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 831:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'c') ADVANCE(1012);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 832:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'd') ADVANCE(604);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 833:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'd') ADVANCE(1019);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 834:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'd') ADVANCE(956);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 835:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'd') ADVANCE(982);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 836:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'e') ADVANCE(823);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 837:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'e') ADVANCE(996);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 838:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'e') ADVANCE(1020);
      if (lookahead == 'u') ADVANCE(913);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 839:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'e') ADVANCE(787);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 840:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'e') ADVANCE(475);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 841:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'e') ADVANCE(456);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 842:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'e') ADVANCE(424);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 843:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'e') ADVANCE(471);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 844:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'e') ADVANCE(1057);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 845:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'e') ADVANCE(1103);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 846:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'e') ADVANCE(1055);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 847:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'e') ADVANCE(1083);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 848:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'e') ADVANCE(1093);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 849:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'e') ADVANCE(435);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 850:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'e') ADVANCE(740);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(850);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1041);
      if (lookahead == '$' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(743);
      if (!sym_identifier_character_set_2(lookahead)) ADVANCE(1041);
      END_STATE();
    case 851:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'e') ADVANCE(1021);
      if (lookahead == 'u') ADVANCE(913);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 852:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'e') ADVANCE(1026);
      if (lookahead == 'i') ADVANCE(916);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(852);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1041);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 853:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'e') ADVANCE(825);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 854:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'e') ADVANCE(987);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 855:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'e') ADVANCE(970);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 856:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'e') ADVANCE(824);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 857:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'e') ADVANCE(939);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 858:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'e') ADVANCE(971);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 859:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'e') ADVANCE(983);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 860:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'e') ADVANCE(972);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 861:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'e') ADVANCE(952);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 862:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'e') ADVANCE(788);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 863:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'e') ADVANCE(1003);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 864:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'e') ADVANCE(943);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 865:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'e') ADVANCE(929);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(865);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1041);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 866:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'e') ADVANCE(918);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 867:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'e') ADVANCE(966);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 868:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'e') ADVANCE(803);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 869:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'f') ADVANCE(468);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 870:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'f') ADVANCE(599);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 871:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'f') ADVANCE(887);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 872:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'f') ADVANCE(808);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 873:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'f') ADVANCE(973);
      if (lookahead == 't') ADVANCE(1030);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(873);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1041);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 874:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'g') ADVANCE(1069);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 875:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'g') ADVANCE(863);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 876:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'h') ADVANCE(445);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 877:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'h') ADVANCE(477);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 878:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'h') ADVANCE(888);
      if (lookahead == 'i') ADVANCE(997);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 879:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'i') ADVANCE(967);
      if (lookahead == 'k') ADVANCE(941);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 880:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'i') ADVANCE(938);
      if (lookahead == 'r') ADVANCE(953);
      if (lookahead == 'u') ADVANCE(935);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 881:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'i') ADVANCE(938);
      if (lookahead == 'u') ADVANCE(935);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 882:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'i') ADVANCE(832);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 883:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'i') ADVANCE(922);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(883);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1041);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 884:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'i') ADVANCE(986);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 885:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'i') ADVANCE(998);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 886:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'i') ADVANCE(936);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 887:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'i') ADVANCE(859);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 888:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'i') ADVANCE(907);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 889:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'i') ADVANCE(957);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 890:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'i') ADVANCE(979);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 891:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'j') ADVANCE(853);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 892:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'l') ADVANCE(1091);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 893:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'l') ADVANCE(1072);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 894:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'l') ADVANCE(992);
      if (lookahead == 'n') ADVANCE(1014);
      if (lookahead == 'x') ADVANCE(960);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 895:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'l') ADVANCE(992);
      if (lookahead == 'n') ADVANCE(1014);
      if (lookahead == 'x') ADVANCE(961);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 896:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'l') ADVANCE(1028);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 897:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'l') ADVANCE(791);
      if (lookahead == 'o') ADVANCE(944);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 898:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'l') ADVANCE(791);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 899:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'l') ADVANCE(1029);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 900:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'l') ADVANCE(947);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 901:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'l') ADVANCE(797);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 902:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'l') ADVANCE(896);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 903:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'l') ADVANCE(868);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 904:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'l') ADVANCE(1004);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 905:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'l') ADVANCE(866);
      if (lookahead == 'o') ADVANCE(977);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 906:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'l') ADVANCE(866);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 907:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'l') ADVANCE(843);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 908:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'l') ADVANCE(844);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 909:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'm') ADVANCE(959);
      if (lookahead == 'n') ADVANCE(462);
      if (lookahead == 's') ADVANCE(1100);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 910:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'm') ADVANCE(959);
      if (lookahead == 'n') ADVANCE(463);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 911:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'm') ADVANCE(1095);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 912:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'm') ADVANCE(443);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 913:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'm') ADVANCE(819);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 914:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'm') ADVANCE(818);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 915:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'm') ADVANCE(964);
      if (lookahead == 'n') ADVANCE(463);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 916:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'm') ADVANCE(964);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 917:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'm') ADVANCE(854);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 918:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'm') ADVANCE(864);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 919:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'm') ADVANCE(963);
      if (lookahead == 'n') ADVANCE(462);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 920:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'm') ADVANCE(963);
      if (lookahead == 'n') ADVANCE(463);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 921:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'm') ADVANCE(963);
      if (lookahead == 'n') ADVANCE(1010);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 922:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'm') ADVANCE(963);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 923:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'n') ADVANCE(1027);
      if (lookahead == 's') ADVANCE(430);
      if (lookahead == 'w') ADVANCE(793);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 924:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'n') ADVANCE(1027);
      if (lookahead == 's') ADVANCE(430);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 925:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'n') ADVANCE(1027);
      if (lookahead == 's') ADVANCE(1031);
      if (lookahead == 'w') ADVANCE(793);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 926:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'n') ADVANCE(1027);
      if (lookahead == 's') ADVANCE(1031);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 927:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'n') ADVANCE(1027);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 928:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'n') ADVANCE(1014);
      if (lookahead == 'x') ADVANCE(961);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 929:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'n') ADVANCE(1014);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 930:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'n') ADVANCE(879);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 931:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'n') ADVANCE(1066);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 932:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'n') ADVANCE(1106);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 933:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'n') ADVANCE(525);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 934:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'n') ADVANCE(463);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 935:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'n') ADVANCE(831);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 936:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'n') ADVANCE(874);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 937:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'n') ADVANCE(820);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 938:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'n') ADVANCE(794);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 939:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'n') ADVANCE(835);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 940:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'n') ADVANCE(828);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 941:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'n') ADVANCE(948);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 942:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'n') ADVANCE(899);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 943:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'n') ADVANCE(1013);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 944:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'n') ADVANCE(993);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 945:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'o') ADVANCE(833);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 946:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'o') ADVANCE(882);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 947:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'o') ADVANCE(817);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 948:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'o') ADVANCE(1023);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 949:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'o') ADVANCE(903);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 950:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'o') ADVANCE(944);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 951:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'o') ADVANCE(949);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 952:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'o') ADVANCE(870);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 953:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'o') ADVANCE(912);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 954:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'o') ADVANCE(976);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 955:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'o') ADVANCE(893);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 956:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'o') ADVANCE(942);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 957:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'o') ADVANCE(933);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 958:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'o') ADVANCE(977);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 959:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'p') ADVANCE(905);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 960:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'p') ADVANCE(954);
      if (lookahead == 't') ADVANCE(857);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 961:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'p') ADVANCE(954);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 962:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'p') ADVANCE(842);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 963:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'p') ADVANCE(958);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 964:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'p') ADVANCE(906);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 965:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'p') ADVANCE(809);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 966:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'q') ADVANCE(1017);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 967:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'q') ADVANCE(1018);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 968:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'r') ADVANCE(875);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 969:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'r') ADVANCE(447);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 970:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'r') ADVANCE(872);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 971:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'r') ADVANCE(1109);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 972:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'r') ADVANCE(1063);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 973:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'r') ADVANCE(953);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 974:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'r') ADVANCE(886);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 975:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'r') ADVANCE(807);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 976:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'r') ADVANCE(1000);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 977:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'r') ADVANCE(1001);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 978:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'r') ADVANCE(846);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 979:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'r') ADVANCE(847);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 980:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'r') ADVANCE(867);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(980);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1041);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 981:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 's') ADVANCE(521);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 982:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 's') ADVANCE(1086);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 983:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 's') ADVANCE(1080);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 984:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 's') ADVANCE(1088);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 985:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 's') ADVANCE(431);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 986:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 's') ADVANCE(871);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 987:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 's') ADVANCE(965);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 988:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 's') ADVANCE(840);
      if (lookahead == 't') ADVANCE(821);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 989:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 's') ADVANCE(840);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 990:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 's') ADVANCE(981);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 991:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 's') ADVANCE(1007);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 992:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 's') ADVANCE(841);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 993:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 's') ADVANCE(999);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 994:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 't') ADVANCE(974);
      if (lookahead == 'y') ADVANCE(914);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 995:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 't') ADVANCE(821);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 996:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 't') ADVANCE(449);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 997:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 't') ADVANCE(876);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 998:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 't') ADVANCE(460);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 999:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 't') ADVANCE(452);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 1000:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 't') ADVANCE(417);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 1001:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 't') ADVANCE(441);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 1002:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 't') ADVANCE(1075);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 1003:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 't') ADVANCE(1045);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 1004:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 't') ADVANCE(422);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 1005:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 't') ADVANCE(1078);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 1006:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 't') ADVANCE(1030);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(1006);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1041);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 1007:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 't') ADVANCE(975);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 1008:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 't') ADVANCE(884);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 1009:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 't') ADVANCE(857);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 1010:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 't') ADVANCE(855);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 1011:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 't') ADVANCE(798);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 1012:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 't') ADVANCE(889);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 1013:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 't') ADVANCE(984);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 1014:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'u') ADVANCE(911);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 1015:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'u') ADVANCE(935);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 1016:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'u') ADVANCE(904);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 1017:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'u') ADVANCE(890);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 1018:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'u') ADVANCE(845);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 1019:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'u') ADVANCE(908);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 1020:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'v') ADVANCE(858);
      if (lookahead == 'w') ADVANCE(530);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 1021:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'v') ADVANCE(858);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 1022:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'w') ADVANCE(530);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 1023:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'w') ADVANCE(932);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 1024:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'x') ADVANCE(960);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 1025:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'x') ADVANCE(961);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 1026:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'x') ADVANCE(1009);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 1027:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'y') ADVANCE(1060);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 1028:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'y') ADVANCE(479);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 1029:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'y') ADVANCE(1049);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 1030:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'y') ADVANCE(962);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 1031:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 'y') ADVANCE(937);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 1032:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == '{') ADVANCE(627);
      if (!sym_identifier_character_set_6(lookahead)) ADVANCE(1041);
      END_STATE();
    case 1033:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(664);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 1034:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(1034);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1041);
      if (lookahead == '$' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(743);
      if (!sym_identifier_character_set_2(lookahead)) ADVANCE(1041);
      END_STATE();
    case 1035:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(1035);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1041);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 1036:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(352);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(665);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 1037:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(352);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(663);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 1038:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(352);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(667);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 1039:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(352);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(668);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 1040:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(352);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(666);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 1041:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(352);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 1042:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(380);
      if (lookahead == '\\') ADVANCE(352);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(668);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 1043:
      ACCEPT_TOKEN(sym_private_property_identifier);
      if (lookahead == '\\') ADVANCE(351);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1043);
      END_STATE();
    case 1044:
      ACCEPT_TOKEN(anon_sym_target);
      END_STATE();
    case 1045:
      ACCEPT_TOKEN(anon_sym_target);
      if (lookahead == '\\') ADVANCE(352);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 1046:
      ACCEPT_TOKEN(anon_sym_AT);
      END_STATE();
    case 1047:
      ACCEPT_TOKEN(anon_sym_readonly);
      END_STATE();
    case 1048:
      ACCEPT_TOKEN(anon_sym_readonly);
      if (lookahead == '-') ADVANCE(500);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(743);
      if (!sym_identifier_character_set_2(lookahead)) ADVANCE(1041);
      END_STATE();
    case 1049:
      ACCEPT_TOKEN(anon_sym_readonly);
      if (lookahead == '\\') ADVANCE(352);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 1050:
      ACCEPT_TOKEN(anon_sym_QMARK);
      END_STATE();
    case 1051:
      ACCEPT_TOKEN(anon_sym_QMARK);
      if (lookahead == '.') ADVANCE(527);
      END_STATE();
    case 1052:
      ACCEPT_TOKEN(anon_sym_QMARK);
      if (lookahead == '.') ADVANCE(527);
      if (lookahead == '?') ADVANCE(597);
      END_STATE();
    case 1053:
      ACCEPT_TOKEN(anon_sym_QMARK);
      if (lookahead == '.') ADVANCE(527);
      if (lookahead == '?') ADVANCE(596);
      END_STATE();
    case 1054:
      ACCEPT_TOKEN(anon_sym_declare);
      END_STATE();
    case 1055:
      ACCEPT_TOKEN(anon_sym_declare);
      if (lookahead == '\\') ADVANCE(352);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 1056:
      ACCEPT_TOKEN(anon_sym_module);
      END_STATE();
    case 1057:
      ACCEPT_TOKEN(anon_sym_module);
      if (lookahead == '\\') ADVANCE(352);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 1058:
      ACCEPT_TOKEN(anon_sym_any);
      END_STATE();
    case 1059:
      ACCEPT_TOKEN(anon_sym_any);
      if (lookahead == '-') ADVANCE(500);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(743);
      if (!sym_identifier_character_set_2(lookahead)) ADVANCE(1041);
      END_STATE();
    case 1060:
      ACCEPT_TOKEN(anon_sym_any);
      if (lookahead == '\\') ADVANCE(352);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 1061:
      ACCEPT_TOKEN(anon_sym_number);
      END_STATE();
    case 1062:
      ACCEPT_TOKEN(anon_sym_number);
      if (lookahead == '-') ADVANCE(500);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(743);
      if (!sym_identifier_character_set_2(lookahead)) ADVANCE(1041);
      END_STATE();
    case 1063:
      ACCEPT_TOKEN(anon_sym_number);
      if (lookahead == '\\') ADVANCE(352);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 1064:
      ACCEPT_TOKEN(anon_sym_boolean);
      END_STATE();
    case 1065:
      ACCEPT_TOKEN(anon_sym_boolean);
      if (lookahead == '-') ADVANCE(500);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(743);
      if (!sym_identifier_character_set_2(lookahead)) ADVANCE(1041);
      END_STATE();
    case 1066:
      ACCEPT_TOKEN(anon_sym_boolean);
      if (lookahead == '\\') ADVANCE(352);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 1067:
      ACCEPT_TOKEN(anon_sym_string);
      END_STATE();
    case 1068:
      ACCEPT_TOKEN(anon_sym_string);
      if (lookahead == '-') ADVANCE(500);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(743);
      if (!sym_identifier_character_set_2(lookahead)) ADVANCE(1041);
      END_STATE();
    case 1069:
      ACCEPT_TOKEN(anon_sym_string);
      if (lookahead == '\\') ADVANCE(352);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 1070:
      ACCEPT_TOKEN(anon_sym_symbol);
      END_STATE();
    case 1071:
      ACCEPT_TOKEN(anon_sym_symbol);
      if (lookahead == '-') ADVANCE(500);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(743);
      if (!sym_identifier_character_set_2(lookahead)) ADVANCE(1041);
      END_STATE();
    case 1072:
      ACCEPT_TOKEN(anon_sym_symbol);
      if (lookahead == '\\') ADVANCE(352);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 1073:
      ACCEPT_TOKEN(anon_sym_object);
      END_STATE();
    case 1074:
      ACCEPT_TOKEN(anon_sym_object);
      if (lookahead == '-') ADVANCE(500);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(743);
      if (!sym_identifier_character_set_2(lookahead)) ADVANCE(1041);
      END_STATE();
    case 1075:
      ACCEPT_TOKEN(anon_sym_object);
      if (lookahead == '\\') ADVANCE(352);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 1076:
      ACCEPT_TOKEN(anon_sym_abstract);
      END_STATE();
    case 1077:
      ACCEPT_TOKEN(anon_sym_abstract);
      if (lookahead == '-') ADVANCE(500);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(743);
      if (!sym_identifier_character_set_2(lookahead)) ADVANCE(1041);
      END_STATE();
    case 1078:
      ACCEPT_TOKEN(anon_sym_abstract);
      if (lookahead == '\\') ADVANCE(352);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 1079:
      ACCEPT_TOKEN(anon_sym_satisfies);
      END_STATE();
    case 1080:
      ACCEPT_TOKEN(anon_sym_satisfies);
      if (lookahead == '\\') ADVANCE(352);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 1081:
      ACCEPT_TOKEN(anon_sym_satisfies);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(658);
      END_STATE();
    case 1082:
      ACCEPT_TOKEN(anon_sym_require);
      END_STATE();
    case 1083:
      ACCEPT_TOKEN(anon_sym_require);
      if (lookahead == '\\') ADVANCE(352);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 1084:
      ACCEPT_TOKEN(anon_sym_extends);
      END_STATE();
    case 1085:
      ACCEPT_TOKEN(anon_sym_extends);
      if (lookahead == '-') ADVANCE(500);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(743);
      if (!sym_identifier_character_set_2(lookahead)) ADVANCE(1041);
      END_STATE();
    case 1086:
      ACCEPT_TOKEN(anon_sym_extends);
      if (lookahead == '\\') ADVANCE(352);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 1087:
      ACCEPT_TOKEN(anon_sym_implements);
      END_STATE();
    case 1088:
      ACCEPT_TOKEN(anon_sym_implements);
      if (lookahead == '\\') ADVANCE(352);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 1089:
      ACCEPT_TOKEN(anon_sym_implements);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(658);
      END_STATE();
    case 1090:
      ACCEPT_TOKEN(anon_sym_global);
      END_STATE();
    case 1091:
      ACCEPT_TOKEN(anon_sym_global);
      if (lookahead == '\\') ADVANCE(352);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 1092:
      ACCEPT_TOKEN(anon_sym_interface);
      END_STATE();
    case 1093:
      ACCEPT_TOKEN(anon_sym_interface);
      if (lookahead == '\\') ADVANCE(352);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 1094:
      ACCEPT_TOKEN(anon_sym_enum);
      END_STATE();
    case 1095:
      ACCEPT_TOKEN(anon_sym_enum);
      if (lookahead == '\\') ADVANCE(352);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 1096:
      ACCEPT_TOKEN(anon_sym_DASH_QMARK_COLON);
      END_STATE();
    case 1097:
      ACCEPT_TOKEN(anon_sym_PLUS_QMARK_COLON);
      END_STATE();
    case 1098:
      ACCEPT_TOKEN(anon_sym_QMARK_COLON);
      END_STATE();
    case 1099:
      ACCEPT_TOKEN(anon_sym_is);
      END_STATE();
    case 1100:
      ACCEPT_TOKEN(anon_sym_is);
      if (lookahead == '\\') ADVANCE(352);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 1101:
      ACCEPT_TOKEN(anon_sym_unique);
      END_STATE();
    case 1102:
      ACCEPT_TOKEN(anon_sym_unique);
      if (lookahead == '-') ADVANCE(500);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(743);
      if (!sym_identifier_character_set_2(lookahead)) ADVANCE(1041);
      END_STATE();
    case 1103:
      ACCEPT_TOKEN(anon_sym_unique);
      if (lookahead == '\\') ADVANCE(352);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 1104:
      ACCEPT_TOKEN(anon_sym_unknown);
      END_STATE();
    case 1105:
      ACCEPT_TOKEN(anon_sym_unknown);
      if (lookahead == '-') ADVANCE(500);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(743);
      if (!sym_identifier_character_set_2(lookahead)) ADVANCE(1041);
      END_STATE();
    case 1106:
      ACCEPT_TOKEN(anon_sym_unknown);
      if (lookahead == '\\') ADVANCE(352);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 1107:
      ACCEPT_TOKEN(anon_sym_never);
      END_STATE();
    case 1108:
      ACCEPT_TOKEN(anon_sym_never);
      if (lookahead == '-') ADVANCE(500);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(743);
      if (!sym_identifier_character_set_2(lookahead)) ADVANCE(1041);
      END_STATE();
    case 1109:
      ACCEPT_TOKEN(anon_sym_never);
      if (lookahead == '\\') ADVANCE(352);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(1041);
      END_STATE();
    case 1110:
      ACCEPT_TOKEN(anon_sym_LBRACE_PIPE);
      END_STATE();
    case 1111:
      ACCEPT_TOKEN(anon_sym_PIPE_RBRACE);
      END_STATE();
    default:
      return false;
  }
}

static bool ts_lex_keywords(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (lookahead == 'a') ADVANCE(1);
      if (lookahead == 'b') ADVANCE(2);
      if (lookahead == 'c') ADVANCE(3);
      if (lookahead == 'd') ADVANCE(4);
      if (lookahead == 'f') ADVANCE(5);
      if (lookahead == 'g') ADVANCE(6);
      if (lookahead == 'i') ADVANCE(7);
      if (lookahead == 'k') ADVANCE(8);
      if (lookahead == 'n') ADVANCE(9);
      if (lookahead == 'o') ADVANCE(10);
      if (lookahead == 'p') ADVANCE(11);
      if (lookahead == 'r') ADVANCE(12);
      if (lookahead == 's') ADVANCE(13);
      if (lookahead == 't') ADVANCE(14);
      if (lookahead == 'u') ADVANCE(15);
      if (lookahead == 'y') ADVANCE(16);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 5760 ||
          (8192 <= lookahead && lookahead <= 8203) ||
          lookahead == 8232 ||
          lookahead == 8233 ||
          lookahead == 8239 ||
          lookahead == 8287 ||
          lookahead == 8288 ||
          lookahead == 12288 ||
          lookahead == 65279) SKIP(0)
      END_STATE();
    case 1:
      if (lookahead == 's') ADVANCE(17);
      END_STATE();
    case 2:
      if (lookahead == 'r') ADVANCE(18);
      END_STATE();
    case 3:
      if (lookahead == 'o') ADVANCE(19);
      END_STATE();
    case 4:
      if (lookahead == 'e') ADVANCE(20);
      if (lookahead == 'o') ADVANCE(21);
      END_STATE();
    case 5:
      if (lookahead == 'a') ADVANCE(22);
      if (lookahead == 'o') ADVANCE(23);
      END_STATE();
    case 6:
      if (lookahead == 'e') ADVANCE(24);
      END_STATE();
    case 7:
      if (lookahead == 'f') ADVANCE(25);
      if (lookahead == 'n') ADVANCE(26);
      END_STATE();
    case 8:
      if (lookahead == 'e') ADVANCE(27);
      END_STATE();
    case 9:
      if (lookahead == 'u') ADVANCE(28);
      END_STATE();
    case 10:
      if (lookahead == 'v') ADVANCE(29);
      END_STATE();
    case 11:
      if (lookahead == 'r') ADVANCE(30);
      if (lookahead == 'u') ADVANCE(31);
      END_STATE();
    case 12:
      if (lookahead == 'e') ADVANCE(32);
      END_STATE();
    case 13:
      if (lookahead == 'e') ADVANCE(33);
      if (lookahead == 't') ADVANCE(34);
      if (lookahead == 'u') ADVANCE(35);
      if (lookahead == 'w') ADVANCE(36);
      END_STATE();
    case 14:
      if (lookahead == 'h') ADVANCE(37);
      if (lookahead == 'r') ADVANCE(38);
      if (lookahead == 'y') ADVANCE(39);
      END_STATE();
    case 15:
      if (lookahead == 'n') ADVANCE(40);
      if (lookahead == 's') ADVANCE(41);
      END_STATE();
    case 16:
      if (lookahead == 'i') ADVANCE(42);
      END_STATE();
    case 17:
      if (lookahead == 's') ADVANCE(43);
      END_STATE();
    case 18:
      if (lookahead == 'e') ADVANCE(44);
      END_STATE();
    case 19:
      if (lookahead == 'n') ADVANCE(45);
      END_STATE();
    case 20:
      if (lookahead == 'b') ADVANCE(46);
      if (lookahead == 'l') ADVANCE(47);
      END_STATE();
    case 21:
      ACCEPT_TOKEN(anon_sym_do);
      END_STATE();
    case 22:
      if (lookahead == 'l') ADVANCE(48);
      END_STATE();
    case 23:
      if (lookahead == 'r') ADVANCE(49);
      END_STATE();
    case 24:
      if (lookahead == 't') ADVANCE(50);
      END_STATE();
    case 25:
      ACCEPT_TOKEN(anon_sym_if);
      END_STATE();
    case 26:
      if (lookahead == 'f') ADVANCE(51);
      END_STATE();
    case 27:
      if (lookahead == 'y') ADVANCE(52);
      END_STATE();
    case 28:
      if (lookahead == 'l') ADVANCE(53);
      END_STATE();
    case 29:
      if (lookahead == 'e') ADVANCE(54);
      END_STATE();
    case 30:
      if (lookahead == 'i') ADVANCE(55);
      if (lookahead == 'o') ADVANCE(56);
      END_STATE();
    case 31:
      if (lookahead == 'b') ADVANCE(57);
      END_STATE();
    case 32:
      if (lookahead == 't') ADVANCE(58);
      END_STATE();
    case 33:
      if (lookahead == 't') ADVANCE(59);
      END_STATE();
    case 34:
      if (lookahead == 'a') ADVANCE(60);
      END_STATE();
    case 35:
      if (lookahead == 'p') ADVANCE(61);
      END_STATE();
    case 36:
      if (lookahead == 'i') ADVANCE(62);
      END_STATE();
    case 37:
      if (lookahead == 'i') ADVANCE(63);
      if (lookahead == 'r') ADVANCE(64);
      END_STATE();
    case 38:
      if (lookahead == 'u') ADVANCE(65);
      if (lookahead == 'y') ADVANCE(66);
      END_STATE();
    case 39:
      if (lookahead == 'p') ADVANCE(67);
      END_STATE();
    case 40:
      if (lookahead == 'd') ADVANCE(68);
      END_STATE();
    case 41:
      if (lookahead == 'i') ADVANCE(69);
      END_STATE();
    case 42:
      if (lookahead == 'e') ADVANCE(70);
      END_STATE();
    case 43:
      if (lookahead == 'e') ADVANCE(71);
      END_STATE();
    case 44:
      if (lookahead == 'a') ADVANCE(72);
      END_STATE();
    case 45:
      if (lookahead == 't') ADVANCE(73);
      END_STATE();
    case 46:
      if (lookahead == 'u') ADVANCE(74);
      END_STATE();
    case 47:
      if (lookahead == 'e') ADVANCE(75);
      END_STATE();
    case 48:
      if (lookahead == 's') ADVANCE(76);
      END_STATE();
    case 49:
      ACCEPT_TOKEN(anon_sym_for);
      END_STATE();
    case 50:
      ACCEPT_TOKEN(anon_sym_get);
      END_STATE();
    case 51:
      if (lookahead == 'e') ADVANCE(77);
      END_STATE();
    case 52:
      if (lookahead == 'o') ADVANCE(78);
      END_STATE();
    case 53:
      if (lookahead == 'l') ADVANCE(79);
      END_STATE();
    case 54:
      if (lookahead == 'r') ADVANCE(80);
      END_STATE();
    case 55:
      if (lookahead == 'v') ADVANCE(81);
      END_STATE();
    case 56:
      if (lookahead == 't') ADVANCE(82);
      END_STATE();
    case 57:
      if (lookahead == 'l') ADVANCE(83);
      END_STATE();
    case 58:
      if (lookahead == 'u') ADVANCE(84);
      END_STATE();
    case 59:
      ACCEPT_TOKEN(anon_sym_set);
      END_STATE();
    case 60:
      if (lookahead == 't') ADVANCE(85);
      END_STATE();
    case 61:
      if (lookahead == 'e') ADVANCE(86);
      END_STATE();
    case 62:
      if (lookahead == 't') ADVANCE(87);
      END_STATE();
    case 63:
      if (lookahead == 's') ADVANCE(88);
      END_STATE();
    case 64:
      if (lookahead == 'o') ADVANCE(89);
      END_STATE();
    case 65:
      if (lookahead == 'e') ADVANCE(90);
      END_STATE();
    case 66:
      ACCEPT_TOKEN(anon_sym_try);
      END_STATE();
    case 67:
      if (lookahead == 'e') ADVANCE(91);
      END_STATE();
    case 68:
      if (lookahead == 'e') ADVANCE(92);
      END_STATE();
    case 69:
      if (lookahead == 'n') ADVANCE(93);
      END_STATE();
    case 70:
      if (lookahead == 'l') ADVANCE(94);
      END_STATE();
    case 71:
      if (lookahead == 'r') ADVANCE(95);
      END_STATE();
    case 72:
      if (lookahead == 'k') ADVANCE(96);
      END_STATE();
    case 73:
      if (lookahead == 'i') ADVANCE(97);
      END_STATE();
    case 74:
      if (lookahead == 'g') ADVANCE(98);
      END_STATE();
    case 75:
      if (lookahead == 't') ADVANCE(99);
      END_STATE();
    case 76:
      if (lookahead == 'e') ADVANCE(100);
      END_STATE();
    case 77:
      if (lookahead == 'r') ADVANCE(101);
      END_STATE();
    case 78:
      if (lookahead == 'f') ADVANCE(102);
      END_STATE();
    case 79:
      ACCEPT_TOKEN(sym_null);
      END_STATE();
    case 80:
      if (lookahead == 'r') ADVANCE(103);
      END_STATE();
    case 81:
      if (lookahead == 'a') ADVANCE(104);
      END_STATE();
    case 82:
      if (lookahead == 'e') ADVANCE(105);
      END_STATE();
    case 83:
      if (lookahead == 'i') ADVANCE(106);
      END_STATE();
    case 84:
      if (lookahead == 'r') ADVANCE(107);
      END_STATE();
    case 85:
      if (lookahead == 'i') ADVANCE(108);
      END_STATE();
    case 86:
      if (lookahead == 'r') ADVANCE(109);
      END_STATE();
    case 87:
      if (lookahead == 'c') ADVANCE(110);
      END_STATE();
    case 88:
      ACCEPT_TOKEN(sym_this);
      END_STATE();
    case 89:
      if (lookahead == 'w') ADVANCE(111);
      END_STATE();
    case 90:
      ACCEPT_TOKEN(sym_true);
      END_STATE();
    case 91:
      if (lookahead == 'o') ADVANCE(112);
      END_STATE();
    case 92:
      if (lookahead == 'f') ADVANCE(113);
      END_STATE();
    case 93:
      if (lookahead == 'g') ADVANCE(114);
      END_STATE();
    case 94:
      if (lookahead == 'd') ADVANCE(115);
      END_STATE();
    case 95:
      if (lookahead == 't') ADVANCE(116);
      END_STATE();
    case 96:
      ACCEPT_TOKEN(anon_sym_break);
      END_STATE();
    case 97:
      if (lookahead == 'n') ADVANCE(117);
      END_STATE();
    case 98:
      if (lookahead == 'g') ADVANCE(118);
      END_STATE();
    case 99:
      if (lookahead == 'e') ADVANCE(119);
      END_STATE();
    case 100:
      ACCEPT_TOKEN(sym_false);
      END_STATE();
    case 101:
      ACCEPT_TOKEN(anon_sym_infer);
      END_STATE();
    case 102:
      ACCEPT_TOKEN(anon_sym_keyof);
      END_STATE();
    case 103:
      if (lookahead == 'i') ADVANCE(120);
      END_STATE();
    case 104:
      if (lookahead == 't') ADVANCE(121);
      END_STATE();
    case 105:
      if (lookahead == 'c') ADVANCE(122);
      END_STATE();
    case 106:
      if (lookahead == 'c') ADVANCE(123);
      END_STATE();
    case 107:
      if (lookahead == 'n') ADVANCE(124);
      END_STATE();
    case 108:
      if (lookahead == 'c') ADVANCE(125);
      END_STATE();
    case 109:
      ACCEPT_TOKEN(sym_super);
      END_STATE();
    case 110:
      if (lookahead == 'h') ADVANCE(126);
      END_STATE();
    case 111:
      ACCEPT_TOKEN(anon_sym_throw);
      END_STATE();
    case 112:
      if (lookahead == 'f') ADVANCE(127);
      END_STATE();
    case 113:
      if (lookahead == 'i') ADVANCE(128);
      END_STATE();
    case 114:
      ACCEPT_TOKEN(anon_sym_using);
      END_STATE();
    case 115:
      ACCEPT_TOKEN(anon_sym_yield);
      END_STATE();
    case 116:
      if (lookahead == 's') ADVANCE(129);
      END_STATE();
    case 117:
      if (lookahead == 'u') ADVANCE(130);
      END_STATE();
    case 118:
      if (lookahead == 'e') ADVANCE(131);
      END_STATE();
    case 119:
      ACCEPT_TOKEN(anon_sym_delete);
      END_STATE();
    case 120:
      if (lookahead == 'd') ADVANCE(132);
      END_STATE();
    case 121:
      if (lookahead == 'e') ADVANCE(133);
      END_STATE();
    case 122:
      if (lookahead == 't') ADVANCE(134);
      END_STATE();
    case 123:
      ACCEPT_TOKEN(anon_sym_public);
      END_STATE();
    case 124:
      ACCEPT_TOKEN(anon_sym_return);
      END_STATE();
    case 125:
      ACCEPT_TOKEN(anon_sym_static);
      END_STATE();
    case 126:
      ACCEPT_TOKEN(anon_sym_switch);
      END_STATE();
    case 127:
      ACCEPT_TOKEN(anon_sym_typeof);
      END_STATE();
    case 128:
      if (lookahead == 'n') ADVANCE(135);
      END_STATE();
    case 129:
      ACCEPT_TOKEN(anon_sym_asserts);
      END_STATE();
    case 130:
      if (lookahead == 'e') ADVANCE(136);
      END_STATE();
    case 131:
      if (lookahead == 'r') ADVANCE(137);
      END_STATE();
    case 132:
      if (lookahead == 'e') ADVANCE(138);
      END_STATE();
    case 133:
      ACCEPT_TOKEN(anon_sym_private);
      END_STATE();
    case 134:
      if (lookahead == 'e') ADVANCE(139);
      END_STATE();
    case 135:
      if (lookahead == 'e') ADVANCE(140);
      END_STATE();
    case 136:
      ACCEPT_TOKEN(anon_sym_continue);
      END_STATE();
    case 137:
      ACCEPT_TOKEN(anon_sym_debugger);
      END_STATE();
    case 138:
      ACCEPT_TOKEN(anon_sym_override);
      END_STATE();
    case 139:
      if (lookahead == 'd') ADVANCE(141);
      END_STATE();
    case 140:
      if (lookahead == 'd') ADVANCE(142);
      END_STATE();
    case 141:
      ACCEPT_TOKEN(anon_sym_protected);
      END_STATE();
    case 142:
      ACCEPT_TOKEN(sym_undefined);
      END_STATE();
    default:
      return false;
  }
}

static const TSLexMode ts_lex_modes[STATE_COUNT] = {
  [0] = {.lex_state = 0, .external_lex_state = 1},
  [1] = {.lex_state = 408, .external_lex_state = 2},
  [2] = {.lex_state = 7, .external_lex_state = 3},
  [3] = {.lex_state = 7, .external_lex_state = 3},
  [4] = {.lex_state = 408, .external_lex_state = 2},
  [5] = {.lex_state = 408, .external_lex_state = 2},
  [6] = {.lex_state = 408, .external_lex_state = 2},
  [7] = {.lex_state = 408, .external_lex_state = 2},
  [8] = {.lex_state = 408, .external_lex_state = 2},
  [9] = {.lex_state = 408, .external_lex_state = 2},
  [10] = {.lex_state = 408, .external_lex_state = 2},
  [11] = {.lex_state = 408, .external_lex_state = 2},
  [12] = {.lex_state = 40, .external_lex_state = 2},
  [13] = {.lex_state = 40, .external_lex_state = 2},
  [14] = {.lex_state = 40, .external_lex_state = 2},
  [15] = {.lex_state = 40, .external_lex_state = 2},
  [16] = {.lex_state = 40, .external_lex_state = 2},
  [17] = {.lex_state = 408, .external_lex_state = 2},
  [18] = {.lex_state = 408, .external_lex_state = 2},
  [19] = {.lex_state = 408, .external_lex_state = 2},
  [20] = {.lex_state = 408, .external_lex_state = 2},
  [21] = {.lex_state = 408, .external_lex_state = 2},
  [22] = {.lex_state = 408, .external_lex_state = 2},
  [23] = {.lex_state = 408, .external_lex_state = 2},
  [24] = {.lex_state = 408, .external_lex_state = 2},
  [25] = {.lex_state = 408, .external_lex_state = 2},
  [26] = {.lex_state = 408, .external_lex_state = 2},
  [27] = {.lex_state = 408, .external_lex_state = 2},
  [28] = {.lex_state = 408, .external_lex_state = 2},
  [29] = {.lex_state = 408, .external_lex_state = 2},
  [30] = {.lex_state = 408, .external_lex_state = 2},
  [31] = {.lex_state = 408, .external_lex_state = 2},
  [32] = {.lex_state = 408, .external_lex_state = 2},
  [33] = {.lex_state = 408, .external_lex_state = 2},
  [34] = {.lex_state = 408, .external_lex_state = 2},
  [35] = {.lex_state = 408, .external_lex_state = 2},
  [36] = {.lex_state = 408, .external_lex_state = 2},
  [37] = {.lex_state = 408, .external_lex_state = 2},
  [38] = {.lex_state = 408, .external_lex_state = 2},
  [39] = {.lex_state = 408, .external_lex_state = 2},
  [40] = {.lex_state = 408, .external_lex_state = 2},
  [41] = {.lex_state = 408, .external_lex_state = 2},
  [42] = {.lex_state = 408, .external_lex_state = 2},
  [43] = {.lex_state = 408, .external_lex_state = 2},
  [44] = {.lex_state = 408, .external_lex_state = 2},
  [45] = {.lex_state = 408, .external_lex_state = 2},
  [46] = {.lex_state = 408, .external_lex_state = 2},
  [47] = {.lex_state = 408, .external_lex_state = 2},
  [48] = {.lex_state = 408, .external_lex_state = 2},
  [49] = {.lex_state = 408, .external_lex_state = 2},
  [50] = {.lex_state = 408, .external_lex_state = 2},
  [51] = {.lex_state = 408, .external_lex_state = 2},
  [52] = {.lex_state = 408, .external_lex_state = 2},
  [53] = {.lex_state = 408, .external_lex_state = 2},
  [54] = {.lex_state = 408, .external_lex_state = 2},
  [55] = {.lex_state = 408, .external_lex_state = 2},
  [56] = {.lex_state = 408, .external_lex_state = 2},
  [57] = {.lex_state = 408, .external_lex_state = 2},
  [58] = {.lex_state = 408, .external_lex_state = 2},
  [59] = {.lex_state = 408, .external_lex_state = 2},
  [60] = {.lex_state = 408, .external_lex_state = 2},
  [61] = {.lex_state = 408, .external_lex_state = 2},
  [62] = {.lex_state = 408, .external_lex_state = 2},
  [63] = {.lex_state = 408, .external_lex_state = 2},
  [64] = {.lex_state = 408, .external_lex_state = 2},
  [65] = {.lex_state = 408, .external_lex_state = 2},
  [66] = {.lex_state = 408, .external_lex_state = 2},
  [67] = {.lex_state = 408, .external_lex_state = 2},
  [68] = {.lex_state = 408, .external_lex_state = 2},
  [69] = {.lex_state = 408, .external_lex_state = 2},
  [70] = {.lex_state = 408, .external_lex_state = 2},
  [71] = {.lex_state = 408, .external_lex_state = 2},
  [72] = {.lex_state = 408, .external_lex_state = 2},
  [73] = {.lex_state = 408, .external_lex_state = 2},
  [74] = {.lex_state = 408, .external_lex_state = 2},
  [75] = {.lex_state = 408, .external_lex_state = 2},
  [76] = {.lex_state = 408, .external_lex_state = 2},
  [77] = {.lex_state = 408, .external_lex_state = 2},
  [78] = {.lex_state = 408, .external_lex_state = 2},
  [79] = {.lex_state = 408, .external_lex_state = 2},
  [80] = {.lex_state = 408, .external_lex_state = 2},
  [81] = {.lex_state = 408, .external_lex_state = 2},
  [82] = {.lex_state = 408, .external_lex_state = 2},
  [83] = {.lex_state = 408, .external_lex_state = 2},
  [84] = {.lex_state = 408, .external_lex_state = 2},
  [85] = {.lex_state = 408, .external_lex_state = 2},
  [86] = {.lex_state = 408, .external_lex_state = 2},
  [87] = {.lex_state = 408, .external_lex_state = 2},
  [88] = {.lex_state = 408, .external_lex_state = 2},
  [89] = {.lex_state = 408, .external_lex_state = 2},
  [90] = {.lex_state = 408, .external_lex_state = 2},
  [91] = {.lex_state = 408, .external_lex_state = 2},
  [92] = {.lex_state = 408, .external_lex_state = 2},
  [93] = {.lex_state = 408, .external_lex_state = 2},
  [94] = {.lex_state = 408, .external_lex_state = 2},
  [95] = {.lex_state = 408, .external_lex_state = 2},
  [96] = {.lex_state = 408, .external_lex_state = 2},
  [97] = {.lex_state = 408, .external_lex_state = 2},
  [98] = {.lex_state = 408, .external_lex_state = 2},
  [99] = {.lex_state = 408, .external_lex_state = 2},
  [100] = {.lex_state = 408, .external_lex_state = 2},
  [101] = {.lex_state = 408, .external_lex_state = 2},
  [102] = {.lex_state = 408, .external_lex_state = 2},
  [103] = {.lex_state = 408, .external_lex_state = 2},
  [104] = {.lex_state = 408, .external_lex_state = 2},
  [105] = {.lex_state = 408, .external_lex_state = 2},
  [106] = {.lex_state = 408, .external_lex_state = 2},
  [107] = {.lex_state = 408, .external_lex_state = 2},
  [108] = {.lex_state = 408, .external_lex_state = 2},
  [109] = {.lex_state = 408, .external_lex_state = 2},
  [110] = {.lex_state = 408, .external_lex_state = 2},
  [111] = {.lex_state = 408, .external_lex_state = 2},
  [112] = {.lex_state = 408, .external_lex_state = 2},
  [113] = {.lex_state = 408, .external_lex_state = 2},
  [114] = {.lex_state = 408, .external_lex_state = 2},
  [115] = {.lex_state = 408, .external_lex_state = 2},
  [116] = {.lex_state = 408, .external_lex_state = 2},
  [117] = {.lex_state = 408, .external_lex_state = 2},
  [118] = {.lex_state = 408, .external_lex_state = 2},
  [119] = {.lex_state = 408, .external_lex_state = 2},
  [120] = {.lex_state = 408, .external_lex_state = 2},
  [121] = {.lex_state = 408, .external_lex_state = 2},
  [122] = {.lex_state = 408, .external_lex_state = 2},
  [123] = {.lex_state = 35, .external_lex_state = 2},
  [124] = {.lex_state = 35, .external_lex_state = 2},
  [125] = {.lex_state = 35, .external_lex_state = 2},
  [126] = {.lex_state = 35, .external_lex_state = 2},
  [127] = {.lex_state = 6, .external_lex_state = 4},
  [128] = {.lex_state = 35, .external_lex_state = 2},
  [129] = {.lex_state = 35, .external_lex_state = 2},
  [130] = {.lex_state = 35, .external_lex_state = 2},
  [131] = {.lex_state = 6, .external_lex_state = 4},
  [132] = {.lex_state = 6, .external_lex_state = 4},
  [133] = {.lex_state = 35, .external_lex_state = 2},
  [134] = {.lex_state = 35, .external_lex_state = 2},
  [135] = {.lex_state = 35, .external_lex_state = 2},
  [136] = {.lex_state = 6, .external_lex_state = 3},
  [137] = {.lex_state = 6, .external_lex_state = 3},
  [138] = {.lex_state = 6, .external_lex_state = 3},
  [139] = {.lex_state = 6, .external_lex_state = 3},
  [140] = {.lex_state = 6, .external_lex_state = 3},
  [141] = {.lex_state = 6, .external_lex_state = 3},
  [142] = {.lex_state = 6, .external_lex_state = 3},
  [143] = {.lex_state = 6, .external_lex_state = 3},
  [144] = {.lex_state = 6, .external_lex_state = 3},
  [145] = {.lex_state = 6, .external_lex_state = 3},
  [146] = {.lex_state = 6, .external_lex_state = 3},
  [147] = {.lex_state = 6, .external_lex_state = 3},
  [148] = {.lex_state = 6, .external_lex_state = 3},
  [149] = {.lex_state = 35, .external_lex_state = 2},
  [150] = {.lex_state = 6, .external_lex_state = 3},
  [151] = {.lex_state = 6, .external_lex_state = 3},
  [152] = {.lex_state = 35, .external_lex_state = 2},
  [153] = {.lex_state = 35, .external_lex_state = 2},
  [154] = {.lex_state = 6, .external_lex_state = 4},
  [155] = {.lex_state = 35, .external_lex_state = 2},
  [156] = {.lex_state = 6, .external_lex_state = 4},
  [157] = {.lex_state = 35, .external_lex_state = 2},
  [158] = {.lex_state = 6, .external_lex_state = 4},
  [159] = {.lex_state = 6, .external_lex_state = 4},
  [160] = {.lex_state = 10, .external_lex_state = 4},
  [161] = {.lex_state = 35, .external_lex_state = 2},
  [162] = {.lex_state = 6, .external_lex_state = 4},
  [163] = {.lex_state = 35, .external_lex_state = 2},
  [164] = {.lex_state = 6, .external_lex_state = 4},
  [165] = {.lex_state = 35, .external_lex_state = 2},
  [166] = {.lex_state = 6, .external_lex_state = 4},
  [167] = {.lex_state = 6, .external_lex_state = 3},
  [168] = {.lex_state = 6, .external_lex_state = 4},
  [169] = {.lex_state = 10, .external_lex_state = 4},
  [170] = {.lex_state = 10, .external_lex_state = 4},
  [171] = {.lex_state = 10, .external_lex_state = 4},
  [172] = {.lex_state = 6, .external_lex_state = 3},
  [173] = {.lex_state = 6, .external_lex_state = 3},
  [174] = {.lex_state = 6, .external_lex_state = 3},
  [175] = {.lex_state = 6, .external_lex_state = 4},
  [176] = {.lex_state = 6, .external_lex_state = 4},
  [177] = {.lex_state = 6, .external_lex_state = 3},
  [178] = {.lex_state = 6, .external_lex_state = 3},
  [179] = {.lex_state = 6, .external_lex_state = 3},
  [180] = {.lex_state = 6, .external_lex_state = 3},
  [181] = {.lex_state = 11, .external_lex_state = 3},
  [182] = {.lex_state = 6, .external_lex_state = 3},
  [183] = {.lex_state = 6, .external_lex_state = 3},
  [184] = {.lex_state = 6, .external_lex_state = 3},
  [185] = {.lex_state = 11, .external_lex_state = 3},
  [186] = {.lex_state = 11, .external_lex_state = 3},
  [187] = {.lex_state = 6, .external_lex_state = 4},
  [188] = {.lex_state = 10, .external_lex_state = 3},
  [189] = {.lex_state = 10, .external_lex_state = 3},
  [190] = {.lex_state = 10, .external_lex_state = 3},
  [191] = {.lex_state = 6, .external_lex_state = 3},
  [192] = {.lex_state = 10, .external_lex_state = 3},
  [193] = {.lex_state = 6, .external_lex_state = 3},
  [194] = {.lex_state = 6, .external_lex_state = 3},
  [195] = {.lex_state = 6, .external_lex_state = 3},
  [196] = {.lex_state = 6, .external_lex_state = 3},
  [197] = {.lex_state = 6, .external_lex_state = 3},
  [198] = {.lex_state = 35, .external_lex_state = 2},
  [199] = {.lex_state = 6, .external_lex_state = 3},
  [200] = {.lex_state = 6, .external_lex_state = 3},
  [201] = {.lex_state = 6, .external_lex_state = 3},
  [202] = {.lex_state = 6, .external_lex_state = 3},
  [203] = {.lex_state = 6, .external_lex_state = 3},
  [204] = {.lex_state = 6, .external_lex_state = 3},
  [205] = {.lex_state = 6, .external_lex_state = 3},
  [206] = {.lex_state = 6, .external_lex_state = 3},
  [207] = {.lex_state = 6, .external_lex_state = 3},
  [208] = {.lex_state = 35, .external_lex_state = 2},
  [209] = {.lex_state = 35, .external_lex_state = 2},
  [210] = {.lex_state = 35, .external_lex_state = 2},
  [211] = {.lex_state = 35, .external_lex_state = 2},
  [212] = {.lex_state = 35, .external_lex_state = 2},
  [213] = {.lex_state = 35, .external_lex_state = 2},
  [214] = {.lex_state = 35, .external_lex_state = 2},
  [215] = {.lex_state = 35, .external_lex_state = 2},
  [216] = {.lex_state = 35, .external_lex_state = 2},
  [217] = {.lex_state = 35, .external_lex_state = 2},
  [218] = {.lex_state = 35, .external_lex_state = 2},
  [219] = {.lex_state = 35, .external_lex_state = 2},
  [220] = {.lex_state = 12, .external_lex_state = 3},
  [221] = {.lex_state = 13, .external_lex_state = 4},
  [222] = {.lex_state = 12, .external_lex_state = 4},
  [223] = {.lex_state = 16, .external_lex_state = 3},
  [224] = {.lex_state = 12, .external_lex_state = 4},
  [225] = {.lex_state = 12, .external_lex_state = 3},
  [226] = {.lex_state = 12, .external_lex_state = 3},
  [227] = {.lex_state = 13, .external_lex_state = 3},
  [228] = {.lex_state = 12, .external_lex_state = 3},
  [229] = {.lex_state = 47, .external_lex_state = 2},
  [230] = {.lex_state = 47, .external_lex_state = 2},
  [231] = {.lex_state = 47, .external_lex_state = 2},
  [232] = {.lex_state = 47, .external_lex_state = 2},
  [233] = {.lex_state = 47, .external_lex_state = 2},
  [234] = {.lex_state = 47, .external_lex_state = 2},
  [235] = {.lex_state = 47, .external_lex_state = 2},
  [236] = {.lex_state = 47, .external_lex_state = 2},
  [237] = {.lex_state = 47, .external_lex_state = 2},
  [238] = {.lex_state = 47, .external_lex_state = 2},
  [239] = {.lex_state = 47, .external_lex_state = 2},
  [240] = {.lex_state = 47, .external_lex_state = 2},
  [241] = {.lex_state = 17, .external_lex_state = 3},
  [242] = {.lex_state = 19, .external_lex_state = 4},
  [243] = {.lex_state = 17, .external_lex_state = 4},
  [244] = {.lex_state = 17, .external_lex_state = 3},
  [245] = {.lex_state = 17, .external_lex_state = 3},
  [246] = {.lex_state = 20, .external_lex_state = 3},
  [247] = {.lex_state = 17, .external_lex_state = 3},
  [248] = {.lex_state = 37, .external_lex_state = 2},
  [249] = {.lex_state = 37, .external_lex_state = 2},
  [250] = {.lex_state = 17, .external_lex_state = 3},
  [251] = {.lex_state = 17, .external_lex_state = 3},
  [252] = {.lex_state = 17, .external_lex_state = 4},
  [253] = {.lex_state = 37, .external_lex_state = 2},
  [254] = {.lex_state = 37, .external_lex_state = 2},
  [255] = {.lex_state = 37, .external_lex_state = 2},
  [256] = {.lex_state = 37, .external_lex_state = 2},
  [257] = {.lex_state = 37, .external_lex_state = 2},
  [258] = {.lex_state = 37, .external_lex_state = 2},
  [259] = {.lex_state = 17, .external_lex_state = 3},
  [260] = {.lex_state = 37, .external_lex_state = 2},
  [261] = {.lex_state = 37, .external_lex_state = 2},
  [262] = {.lex_state = 17, .external_lex_state = 3},
  [263] = {.lex_state = 37, .external_lex_state = 2},
  [264] = {.lex_state = 19, .external_lex_state = 3},
  [265] = {.lex_state = 37, .external_lex_state = 2},
  [266] = {.lex_state = 37, .external_lex_state = 2},
  [267] = {.lex_state = 37, .external_lex_state = 2},
  [268] = {.lex_state = 37, .external_lex_state = 2},
  [269] = {.lex_state = 37, .external_lex_state = 2},
  [270] = {.lex_state = 36, .external_lex_state = 2},
  [271] = {.lex_state = 37, .external_lex_state = 2},
  [272] = {.lex_state = 37, .external_lex_state = 2},
  [273] = {.lex_state = 37, .external_lex_state = 2},
  [274] = {.lex_state = 37, .external_lex_state = 2},
  [275] = {.lex_state = 17, .external_lex_state = 3},
  [276] = {.lex_state = 46, .external_lex_state = 2},
  [277] = {.lex_state = 37, .external_lex_state = 2},
  [278] = {.lex_state = 36, .external_lex_state = 5},
  [279] = {.lex_state = 46, .external_lex_state = 2},
  [280] = {.lex_state = 46, .external_lex_state = 2},
  [281] = {.lex_state = 46, .external_lex_state = 2},
  [282] = {.lex_state = 46, .external_lex_state = 2},
  [283] = {.lex_state = 36, .external_lex_state = 2},
  [284] = {.lex_state = 37, .external_lex_state = 2},
  [285] = {.lex_state = 37, .external_lex_state = 2},
  [286] = {.lex_state = 37, .external_lex_state = 2},
  [287] = {.lex_state = 37, .external_lex_state = 2},
  [288] = {.lex_state = 37, .external_lex_state = 2},
  [289] = {.lex_state = 37, .external_lex_state = 2},
  [290] = {.lex_state = 15, .external_lex_state = 4},
  [291] = {.lex_state = 15, .external_lex_state = 4},
  [292] = {.lex_state = 15, .external_lex_state = 4},
  [293] = {.lex_state = 37, .external_lex_state = 2},
  [294] = {.lex_state = 15, .external_lex_state = 4},
  [295] = {.lex_state = 15, .external_lex_state = 4},
  [296] = {.lex_state = 15, .external_lex_state = 4},
  [297] = {.lex_state = 15, .external_lex_state = 4},
  [298] = {.lex_state = 36, .external_lex_state = 2},
  [299] = {.lex_state = 15, .external_lex_state = 4},
  [300] = {.lex_state = 14, .external_lex_state = 4},
  [301] = {.lex_state = 15, .external_lex_state = 4},
  [302] = {.lex_state = 15, .external_lex_state = 4},
  [303] = {.lex_state = 14, .external_lex_state = 4},
  [304] = {.lex_state = 37, .external_lex_state = 2},
  [305] = {.lex_state = 15, .external_lex_state = 4},
  [306] = {.lex_state = 405, .external_lex_state = 4},
  [307] = {.lex_state = 15, .external_lex_state = 4},
  [308] = {.lex_state = 15, .external_lex_state = 4},
  [309] = {.lex_state = 37, .external_lex_state = 2},
  [310] = {.lex_state = 15, .external_lex_state = 4},
  [311] = {.lex_state = 15, .external_lex_state = 4},
  [312] = {.lex_state = 37, .external_lex_state = 2},
  [313] = {.lex_state = 15, .external_lex_state = 4},
  [314] = {.lex_state = 36, .external_lex_state = 2},
  [315] = {.lex_state = 15, .external_lex_state = 4},
  [316] = {.lex_state = 15, .external_lex_state = 4},
  [317] = {.lex_state = 15, .external_lex_state = 4},
  [318] = {.lex_state = 36, .external_lex_state = 2},
  [319] = {.lex_state = 37, .external_lex_state = 2},
  [320] = {.lex_state = 37, .external_lex_state = 2},
  [321] = {.lex_state = 405, .external_lex_state = 4},
  [322] = {.lex_state = 15, .external_lex_state = 4},
  [323] = {.lex_state = 36, .external_lex_state = 2},
  [324] = {.lex_state = 36, .external_lex_state = 2},
  [325] = {.lex_state = 15, .external_lex_state = 4},
  [326] = {.lex_state = 15, .external_lex_state = 4},
  [327] = {.lex_state = 15, .external_lex_state = 4},
  [328] = {.lex_state = 36, .external_lex_state = 2},
  [329] = {.lex_state = 405, .external_lex_state = 4},
  [330] = {.lex_state = 37, .external_lex_state = 2},
  [331] = {.lex_state = 15, .external_lex_state = 4},
  [332] = {.lex_state = 36, .external_lex_state = 2},
  [333] = {.lex_state = 15, .external_lex_state = 4},
  [334] = {.lex_state = 37, .external_lex_state = 2},
  [335] = {.lex_state = 37, .external_lex_state = 2},
  [336] = {.lex_state = 15, .external_lex_state = 4},
  [337] = {.lex_state = 14, .external_lex_state = 4},
  [338] = {.lex_state = 15, .external_lex_state = 4},
  [339] = {.lex_state = 37, .external_lex_state = 2},
  [340] = {.lex_state = 15, .external_lex_state = 4},
  [341] = {.lex_state = 14, .external_lex_state = 4},
  [342] = {.lex_state = 15, .external_lex_state = 4},
  [343] = {.lex_state = 405, .external_lex_state = 4},
  [344] = {.lex_state = 405, .external_lex_state = 4},
  [345] = {.lex_state = 14, .external_lex_state = 4},
  [346] = {.lex_state = 37, .external_lex_state = 2},
  [347] = {.lex_state = 405, .external_lex_state = 4},
  [348] = {.lex_state = 37, .external_lex_state = 2},
  [349] = {.lex_state = 405, .external_lex_state = 4},
  [350] = {.lex_state = 405, .external_lex_state = 4},
  [351] = {.lex_state = 14, .external_lex_state = 4},
  [352] = {.lex_state = 405, .external_lex_state = 4},
  [353] = {.lex_state = 405, .external_lex_state = 4},
  [354] = {.lex_state = 37, .external_lex_state = 2},
  [355] = {.lex_state = 405, .external_lex_state = 4},
  [356] = {.lex_state = 37, .external_lex_state = 2},
  [357] = {.lex_state = 37, .external_lex_state = 2},
  [358] = {.lex_state = 405, .external_lex_state = 4},
  [359] = {.lex_state = 14, .external_lex_state = 4},
  [360] = {.lex_state = 405, .external_lex_state = 4},
  [361] = {.lex_state = 37, .external_lex_state = 2},
  [362] = {.lex_state = 14, .external_lex_state = 4},
  [363] = {.lex_state = 14, .external_lex_state = 4},
  [364] = {.lex_state = 405, .external_lex_state = 4},
  [365] = {.lex_state = 405, .external_lex_state = 4},
  [366] = {.lex_state = 405, .external_lex_state = 4},
  [367] = {.lex_state = 405, .external_lex_state = 4},
  [368] = {.lex_state = 37, .external_lex_state = 2},
  [369] = {.lex_state = 405, .external_lex_state = 4},
  [370] = {.lex_state = 405, .external_lex_state = 4},
  [371] = {.lex_state = 405, .external_lex_state = 4},
  [372] = {.lex_state = 405, .external_lex_state = 4},
  [373] = {.lex_state = 37, .external_lex_state = 2},
  [374] = {.lex_state = 37, .external_lex_state = 2},
  [375] = {.lex_state = 14, .external_lex_state = 4},
  [376] = {.lex_state = 37, .external_lex_state = 2},
  [377] = {.lex_state = 14, .external_lex_state = 4},
  [378] = {.lex_state = 37, .external_lex_state = 2},
  [379] = {.lex_state = 14, .external_lex_state = 4},
  [380] = {.lex_state = 37, .external_lex_state = 2},
  [381] = {.lex_state = 14, .external_lex_state = 4},
  [382] = {.lex_state = 14, .external_lex_state = 4},
  [383] = {.lex_state = 37, .external_lex_state = 2},
  [384] = {.lex_state = 14, .external_lex_state = 4},
  [385] = {.lex_state = 37, .external_lex_state = 2},
  [386] = {.lex_state = 14, .external_lex_state = 4},
  [387] = {.lex_state = 405, .external_lex_state = 4},
  [388] = {.lex_state = 37, .external_lex_state = 2},
  [389] = {.lex_state = 405, .external_lex_state = 4},
  [390] = {.lex_state = 14, .external_lex_state = 4},
  [391] = {.lex_state = 37, .external_lex_state = 2},
  [392] = {.lex_state = 37, .external_lex_state = 2},
  [393] = {.lex_state = 37, .external_lex_state = 2},
  [394] = {.lex_state = 37, .external_lex_state = 2},
  [395] = {.lex_state = 405, .external_lex_state = 4},
  [396] = {.lex_state = 37, .external_lex_state = 2},
  [397] = {.lex_state = 14, .external_lex_state = 4},
  [398] = {.lex_state = 14, .external_lex_state = 4},
  [399] = {.lex_state = 14, .external_lex_state = 4},
  [400] = {.lex_state = 14, .external_lex_state = 4},
  [401] = {.lex_state = 37, .external_lex_state = 2},
  [402] = {.lex_state = 404, .external_lex_state = 4},
  [403] = {.lex_state = 405, .external_lex_state = 4},
  [404] = {.lex_state = 14, .external_lex_state = 4},
  [405] = {.lex_state = 14, .external_lex_state = 4},
  [406] = {.lex_state = 404, .external_lex_state = 4},
  [407] = {.lex_state = 404, .external_lex_state = 4},
  [408] = {.lex_state = 404, .external_lex_state = 4},
  [409] = {.lex_state = 14, .external_lex_state = 4},
  [410] = {.lex_state = 14, .external_lex_state = 4},
  [411] = {.lex_state = 14, .external_lex_state = 4},
  [412] = {.lex_state = 405, .external_lex_state = 4},
  [413] = {.lex_state = 37, .external_lex_state = 2},
  [414] = {.lex_state = 37, .external_lex_state = 2},
  [415] = {.lex_state = 405, .external_lex_state = 4},
  [416] = {.lex_state = 14, .external_lex_state = 4},
  [417] = {.lex_state = 37, .external_lex_state = 2},
  [418] = {.lex_state = 405, .external_lex_state = 4},
  [419] = {.lex_state = 14, .external_lex_state = 4},
  [420] = {.lex_state = 405, .external_lex_state = 4},
  [421] = {.lex_state = 14, .external_lex_state = 4},
  [422] = {.lex_state = 37, .external_lex_state = 2},
  [423] = {.lex_state = 404, .external_lex_state = 4},
  [424] = {.lex_state = 37, .external_lex_state = 5},
  [425] = {.lex_state = 37, .external_lex_state = 5},
  [426] = {.lex_state = 404, .external_lex_state = 4},
  [427] = {.lex_state = 404, .external_lex_state = 4},
  [428] = {.lex_state = 404, .external_lex_state = 4},
  [429] = {.lex_state = 404, .external_lex_state = 4},
  [430] = {.lex_state = 404, .external_lex_state = 4},
  [431] = {.lex_state = 37, .external_lex_state = 2},
  [432] = {.lex_state = 404, .external_lex_state = 4},
  [433] = {.lex_state = 37, .external_lex_state = 2},
  [434] = {.lex_state = 404, .external_lex_state = 4},
  [435] = {.lex_state = 404, .external_lex_state = 4},
  [436] = {.lex_state = 404, .external_lex_state = 4},
  [437] = {.lex_state = 404, .external_lex_state = 4},
  [438] = {.lex_state = 404, .external_lex_state = 4},
  [439] = {.lex_state = 6, .external_lex_state = 3},
  [440] = {.lex_state = 37, .external_lex_state = 2},
  [441] = {.lex_state = 37, .external_lex_state = 2},
  [442] = {.lex_state = 404, .external_lex_state = 4},
  [443] = {.lex_state = 404, .external_lex_state = 4},
  [444] = {.lex_state = 404, .external_lex_state = 4},
  [445] = {.lex_state = 6, .external_lex_state = 3},
  [446] = {.lex_state = 404, .external_lex_state = 4},
  [447] = {.lex_state = 6, .external_lex_state = 3},
  [448] = {.lex_state = 404, .external_lex_state = 4},
  [449] = {.lex_state = 404, .external_lex_state = 4},
  [450] = {.lex_state = 404, .external_lex_state = 4},
  [451] = {.lex_state = 37, .external_lex_state = 5},
  [452] = {.lex_state = 404, .external_lex_state = 4},
  [453] = {.lex_state = 404, .external_lex_state = 4},
  [454] = {.lex_state = 404, .external_lex_state = 4},
  [455] = {.lex_state = 37, .external_lex_state = 5},
  [456] = {.lex_state = 404, .external_lex_state = 4},
  [457] = {.lex_state = 6, .external_lex_state = 3},
  [458] = {.lex_state = 404, .external_lex_state = 4},
  [459] = {.lex_state = 404, .external_lex_state = 4},
  [460] = {.lex_state = 37, .external_lex_state = 5},
  [461] = {.lex_state = 46, .external_lex_state = 2},
  [462] = {.lex_state = 37, .external_lex_state = 2},
  [463] = {.lex_state = 37, .external_lex_state = 2},
  [464] = {.lex_state = 37, .external_lex_state = 2},
  [465] = {.lex_state = 37, .external_lex_state = 2},
  [466] = {.lex_state = 37, .external_lex_state = 2},
  [467] = {.lex_state = 37, .external_lex_state = 2},
  [468] = {.lex_state = 37, .external_lex_state = 2},
  [469] = {.lex_state = 37, .external_lex_state = 2},
  [470] = {.lex_state = 37, .external_lex_state = 2},
  [471] = {.lex_state = 37, .external_lex_state = 2},
  [472] = {.lex_state = 37, .external_lex_state = 2},
  [473] = {.lex_state = 37, .external_lex_state = 2},
  [474] = {.lex_state = 37, .external_lex_state = 2},
  [475] = {.lex_state = 37, .external_lex_state = 2},
  [476] = {.lex_state = 37, .external_lex_state = 2},
  [477] = {.lex_state = 37, .external_lex_state = 2},
  [478] = {.lex_state = 37, .external_lex_state = 2},
  [479] = {.lex_state = 37, .external_lex_state = 2},
  [480] = {.lex_state = 37, .external_lex_state = 2},
  [481] = {.lex_state = 37, .external_lex_state = 2},
  [482] = {.lex_state = 37, .external_lex_state = 2},
  [483] = {.lex_state = 37, .external_lex_state = 2},
  [484] = {.lex_state = 37, .external_lex_state = 2},
  [485] = {.lex_state = 37, .external_lex_state = 2},
  [486] = {.lex_state = 37, .external_lex_state = 2},
  [487] = {.lex_state = 37, .external_lex_state = 2},
  [488] = {.lex_state = 37, .external_lex_state = 2},
  [489] = {.lex_state = 37, .external_lex_state = 2},
  [490] = {.lex_state = 37, .external_lex_state = 2},
  [491] = {.lex_state = 37, .external_lex_state = 2},
  [492] = {.lex_state = 37, .external_lex_state = 2},
  [493] = {.lex_state = 37, .external_lex_state = 2},
  [494] = {.lex_state = 37, .external_lex_state = 2},
  [495] = {.lex_state = 37, .external_lex_state = 2},
  [496] = {.lex_state = 37, .external_lex_state = 2},
  [497] = {.lex_state = 37, .external_lex_state = 2},
  [498] = {.lex_state = 37, .external_lex_state = 2},
  [499] = {.lex_state = 37, .external_lex_state = 2},
  [500] = {.lex_state = 37, .external_lex_state = 2},
  [501] = {.lex_state = 37, .external_lex_state = 2},
  [502] = {.lex_state = 37, .external_lex_state = 2},
  [503] = {.lex_state = 37, .external_lex_state = 2},
  [504] = {.lex_state = 37, .external_lex_state = 2},
  [505] = {.lex_state = 37, .external_lex_state = 2},
  [506] = {.lex_state = 37, .external_lex_state = 2},
  [507] = {.lex_state = 37, .external_lex_state = 2},
  [508] = {.lex_state = 37, .external_lex_state = 2},
  [509] = {.lex_state = 37, .external_lex_state = 2},
  [510] = {.lex_state = 37, .external_lex_state = 2},
  [511] = {.lex_state = 37, .external_lex_state = 2},
  [512] = {.lex_state = 37, .external_lex_state = 2},
  [513] = {.lex_state = 37, .external_lex_state = 2},
  [514] = {.lex_state = 37, .external_lex_state = 2},
  [515] = {.lex_state = 37, .external_lex_state = 2},
  [516] = {.lex_state = 37, .external_lex_state = 2},
  [517] = {.lex_state = 37, .external_lex_state = 2},
  [518] = {.lex_state = 37, .external_lex_state = 2},
  [519] = {.lex_state = 37, .external_lex_state = 2},
  [520] = {.lex_state = 37, .external_lex_state = 2},
  [521] = {.lex_state = 37, .external_lex_state = 2},
  [522] = {.lex_state = 37, .external_lex_state = 2},
  [523] = {.lex_state = 37, .external_lex_state = 2},
  [524] = {.lex_state = 37, .external_lex_state = 2},
  [525] = {.lex_state = 37, .external_lex_state = 2},
  [526] = {.lex_state = 37, .external_lex_state = 2},
  [527] = {.lex_state = 37, .external_lex_state = 2},
  [528] = {.lex_state = 37, .external_lex_state = 2},
  [529] = {.lex_state = 37, .external_lex_state = 2},
  [530] = {.lex_state = 37, .external_lex_state = 2},
  [531] = {.lex_state = 37, .external_lex_state = 2},
  [532] = {.lex_state = 37, .external_lex_state = 2},
  [533] = {.lex_state = 37, .external_lex_state = 2},
  [534] = {.lex_state = 37, .external_lex_state = 2},
  [535] = {.lex_state = 37, .external_lex_state = 2},
  [536] = {.lex_state = 37, .external_lex_state = 2},
  [537] = {.lex_state = 37, .external_lex_state = 2},
  [538] = {.lex_state = 37, .external_lex_state = 2},
  [539] = {.lex_state = 37, .external_lex_state = 2},
  [540] = {.lex_state = 37, .external_lex_state = 2},
  [541] = {.lex_state = 37, .external_lex_state = 2},
  [542] = {.lex_state = 37, .external_lex_state = 2},
  [543] = {.lex_state = 37, .external_lex_state = 2},
  [544] = {.lex_state = 37, .external_lex_state = 2},
  [545] = {.lex_state = 37, .external_lex_state = 2},
  [546] = {.lex_state = 37, .external_lex_state = 2},
  [547] = {.lex_state = 37, .external_lex_state = 2},
  [548] = {.lex_state = 37, .external_lex_state = 2},
  [549] = {.lex_state = 37, .external_lex_state = 2},
  [550] = {.lex_state = 37, .external_lex_state = 2},
  [551] = {.lex_state = 37, .external_lex_state = 2},
  [552] = {.lex_state = 37, .external_lex_state = 2},
  [553] = {.lex_state = 37, .external_lex_state = 2},
  [554] = {.lex_state = 37, .external_lex_state = 2},
  [555] = {.lex_state = 37, .external_lex_state = 2},
  [556] = {.lex_state = 37, .external_lex_state = 2},
  [557] = {.lex_state = 37, .external_lex_state = 2},
  [558] = {.lex_state = 37, .external_lex_state = 2},
  [559] = {.lex_state = 37, .external_lex_state = 2},
  [560] = {.lex_state = 37, .external_lex_state = 2},
  [561] = {.lex_state = 37, .external_lex_state = 2},
  [562] = {.lex_state = 37, .external_lex_state = 2},
  [563] = {.lex_state = 37, .external_lex_state = 2},
  [564] = {.lex_state = 37, .external_lex_state = 2},
  [565] = {.lex_state = 37, .external_lex_state = 2},
  [566] = {.lex_state = 37, .external_lex_state = 2},
  [567] = {.lex_state = 37, .external_lex_state = 2},
  [568] = {.lex_state = 37, .external_lex_state = 2},
  [569] = {.lex_state = 37, .external_lex_state = 2},
  [570] = {.lex_state = 37, .external_lex_state = 2},
  [571] = {.lex_state = 37, .external_lex_state = 2},
  [572] = {.lex_state = 37, .external_lex_state = 2},
  [573] = {.lex_state = 37, .external_lex_state = 2},
  [574] = {.lex_state = 37, .external_lex_state = 2},
  [575] = {.lex_state = 37, .external_lex_state = 2},
  [576] = {.lex_state = 37, .external_lex_state = 2},
  [577] = {.lex_state = 37, .external_lex_state = 2},
  [578] = {.lex_state = 37, .external_lex_state = 2},
  [579] = {.lex_state = 37, .external_lex_state = 2},
  [580] = {.lex_state = 37, .external_lex_state = 2},
  [581] = {.lex_state = 37, .external_lex_state = 2},
  [582] = {.lex_state = 37, .external_lex_state = 2},
  [583] = {.lex_state = 37, .external_lex_state = 2},
  [584] = {.lex_state = 37, .external_lex_state = 2},
  [585] = {.lex_state = 37, .external_lex_state = 2},
  [586] = {.lex_state = 37, .external_lex_state = 2},
  [587] = {.lex_state = 37, .external_lex_state = 2},
  [588] = {.lex_state = 37, .external_lex_state = 2},
  [589] = {.lex_state = 37, .external_lex_state = 2},
  [590] = {.lex_state = 37, .external_lex_state = 2},
  [591] = {.lex_state = 37, .external_lex_state = 2},
  [592] = {.lex_state = 37, .external_lex_state = 2},
  [593] = {.lex_state = 37, .external_lex_state = 2},
  [594] = {.lex_state = 37, .external_lex_state = 2},
  [595] = {.lex_state = 37, .external_lex_state = 2},
  [596] = {.lex_state = 37, .external_lex_state = 2},
  [597] = {.lex_state = 37, .external_lex_state = 2},
  [598] = {.lex_state = 37, .external_lex_state = 2},
  [599] = {.lex_state = 37, .external_lex_state = 2},
  [600] = {.lex_state = 37, .external_lex_state = 2},
  [601] = {.lex_state = 37, .external_lex_state = 2},
  [602] = {.lex_state = 37, .external_lex_state = 2},
  [603] = {.lex_state = 37, .external_lex_state = 2},
  [604] = {.lex_state = 37, .external_lex_state = 2},
  [605] = {.lex_state = 37, .external_lex_state = 2},
  [606] = {.lex_state = 37, .external_lex_state = 2},
  [607] = {.lex_state = 37, .external_lex_state = 2},
  [608] = {.lex_state = 37, .external_lex_state = 2},
  [609] = {.lex_state = 37, .external_lex_state = 2},
  [610] = {.lex_state = 37, .external_lex_state = 2},
  [611] = {.lex_state = 37, .external_lex_state = 2},
  [612] = {.lex_state = 37, .external_lex_state = 2},
  [613] = {.lex_state = 37, .external_lex_state = 2},
  [614] = {.lex_state = 37, .external_lex_state = 2},
  [615] = {.lex_state = 37, .external_lex_state = 2},
  [616] = {.lex_state = 37, .external_lex_state = 2},
  [617] = {.lex_state = 37, .external_lex_state = 2},
  [618] = {.lex_state = 37, .external_lex_state = 2},
  [619] = {.lex_state = 37, .external_lex_state = 2},
  [620] = {.lex_state = 37, .external_lex_state = 2},
  [621] = {.lex_state = 37, .external_lex_state = 2},
  [622] = {.lex_state = 37, .external_lex_state = 2},
  [623] = {.lex_state = 37, .external_lex_state = 2},
  [624] = {.lex_state = 37, .external_lex_state = 2},
  [625] = {.lex_state = 37, .external_lex_state = 2},
  [626] = {.lex_state = 37, .external_lex_state = 2},
  [627] = {.lex_state = 37, .external_lex_state = 2},
  [628] = {.lex_state = 37, .external_lex_state = 2},
  [629] = {.lex_state = 37, .external_lex_state = 2},
  [630] = {.lex_state = 37, .external_lex_state = 2},
  [631] = {.lex_state = 37, .external_lex_state = 2},
  [632] = {.lex_state = 37, .external_lex_state = 2},
  [633] = {.lex_state = 37, .external_lex_state = 2},
  [634] = {.lex_state = 37, .external_lex_state = 2},
  [635] = {.lex_state = 37, .external_lex_state = 2},
  [636] = {.lex_state = 37, .external_lex_state = 2},
  [637] = {.lex_state = 37, .external_lex_state = 2},
  [638] = {.lex_state = 37, .external_lex_state = 2},
  [639] = {.lex_state = 37, .external_lex_state = 2},
  [640] = {.lex_state = 37, .external_lex_state = 2},
  [641] = {.lex_state = 37, .external_lex_state = 2},
  [642] = {.lex_state = 37, .external_lex_state = 2},
  [643] = {.lex_state = 37, .external_lex_state = 2},
  [644] = {.lex_state = 37, .external_lex_state = 2},
  [645] = {.lex_state = 37, .external_lex_state = 2},
  [646] = {.lex_state = 37, .external_lex_state = 2},
  [647] = {.lex_state = 37, .external_lex_state = 2},
  [648] = {.lex_state = 37, .external_lex_state = 2},
  [649] = {.lex_state = 37, .external_lex_state = 2},
  [650] = {.lex_state = 37, .external_lex_state = 2},
  [651] = {.lex_state = 37, .external_lex_state = 2},
  [652] = {.lex_state = 37, .external_lex_state = 2},
  [653] = {.lex_state = 37, .external_lex_state = 2},
  [654] = {.lex_state = 37, .external_lex_state = 2},
  [655] = {.lex_state = 37, .external_lex_state = 2},
  [656] = {.lex_state = 37, .external_lex_state = 2},
  [657] = {.lex_state = 37, .external_lex_state = 2},
  [658] = {.lex_state = 37, .external_lex_state = 2},
  [659] = {.lex_state = 37, .external_lex_state = 2},
  [660] = {.lex_state = 37, .external_lex_state = 2},
  [661] = {.lex_state = 37, .external_lex_state = 2},
  [662] = {.lex_state = 37, .external_lex_state = 2},
  [663] = {.lex_state = 37, .external_lex_state = 2},
  [664] = {.lex_state = 37, .external_lex_state = 2},
  [665] = {.lex_state = 37, .external_lex_state = 2},
  [666] = {.lex_state = 37, .external_lex_state = 2},
  [667] = {.lex_state = 37, .external_lex_state = 2},
  [668] = {.lex_state = 37, .external_lex_state = 2},
  [669] = {.lex_state = 37, .external_lex_state = 2},
  [670] = {.lex_state = 37, .external_lex_state = 2},
  [671] = {.lex_state = 37, .external_lex_state = 2},
  [672] = {.lex_state = 37, .external_lex_state = 2},
  [673] = {.lex_state = 37, .external_lex_state = 2},
  [674] = {.lex_state = 37, .external_lex_state = 2},
  [675] = {.lex_state = 37, .external_lex_state = 2},
  [676] = {.lex_state = 37, .external_lex_state = 2},
  [677] = {.lex_state = 37, .external_lex_state = 2},
  [678] = {.lex_state = 37, .external_lex_state = 2},
  [679] = {.lex_state = 37, .external_lex_state = 2},
  [680] = {.lex_state = 37, .external_lex_state = 2},
  [681] = {.lex_state = 37, .external_lex_state = 2},
  [682] = {.lex_state = 37, .external_lex_state = 2},
  [683] = {.lex_state = 37, .external_lex_state = 2},
  [684] = {.lex_state = 37, .external_lex_state = 2},
  [685] = {.lex_state = 37, .external_lex_state = 2},
  [686] = {.lex_state = 37, .external_lex_state = 2},
  [687] = {.lex_state = 37, .external_lex_state = 2},
  [688] = {.lex_state = 37, .external_lex_state = 2},
  [689] = {.lex_state = 37, .external_lex_state = 2},
  [690] = {.lex_state = 37, .external_lex_state = 2},
  [691] = {.lex_state = 37, .external_lex_state = 2},
  [692] = {.lex_state = 37, .external_lex_state = 2},
  [693] = {.lex_state = 37, .external_lex_state = 2},
  [694] = {.lex_state = 37, .external_lex_state = 2},
  [695] = {.lex_state = 37, .external_lex_state = 2},
  [696] = {.lex_state = 37, .external_lex_state = 2},
  [697] = {.lex_state = 37, .external_lex_state = 2},
  [698] = {.lex_state = 37, .external_lex_state = 2},
  [699] = {.lex_state = 37, .external_lex_state = 2},
  [700] = {.lex_state = 37, .external_lex_state = 2},
  [701] = {.lex_state = 37, .external_lex_state = 2},
  [702] = {.lex_state = 37, .external_lex_state = 2},
  [703] = {.lex_state = 37, .external_lex_state = 2},
  [704] = {.lex_state = 37, .external_lex_state = 2},
  [705] = {.lex_state = 37, .external_lex_state = 2},
  [706] = {.lex_state = 37, .external_lex_state = 2},
  [707] = {.lex_state = 37, .external_lex_state = 2},
  [708] = {.lex_state = 37, .external_lex_state = 2},
  [709] = {.lex_state = 37, .external_lex_state = 2},
  [710] = {.lex_state = 37, .external_lex_state = 2},
  [711] = {.lex_state = 37, .external_lex_state = 2},
  [712] = {.lex_state = 37, .external_lex_state = 2},
  [713] = {.lex_state = 37, .external_lex_state = 2},
  [714] = {.lex_state = 37, .external_lex_state = 2},
  [715] = {.lex_state = 37, .external_lex_state = 2},
  [716] = {.lex_state = 37, .external_lex_state = 2},
  [717] = {.lex_state = 37, .external_lex_state = 2},
  [718] = {.lex_state = 37, .external_lex_state = 2},
  [719] = {.lex_state = 37, .external_lex_state = 2},
  [720] = {.lex_state = 37, .external_lex_state = 2},
  [721] = {.lex_state = 37, .external_lex_state = 2},
  [722] = {.lex_state = 37, .external_lex_state = 2},
  [723] = {.lex_state = 37, .external_lex_state = 2},
  [724] = {.lex_state = 37, .external_lex_state = 2},
  [725] = {.lex_state = 37, .external_lex_state = 2},
  [726] = {.lex_state = 37, .external_lex_state = 2},
  [727] = {.lex_state = 37, .external_lex_state = 2},
  [728] = {.lex_state = 37, .external_lex_state = 2},
  [729] = {.lex_state = 37, .external_lex_state = 2},
  [730] = {.lex_state = 37, .external_lex_state = 2},
  [731] = {.lex_state = 37, .external_lex_state = 2},
  [732] = {.lex_state = 37, .external_lex_state = 2},
  [733] = {.lex_state = 37, .external_lex_state = 2},
  [734] = {.lex_state = 37, .external_lex_state = 2},
  [735] = {.lex_state = 37, .external_lex_state = 2},
  [736] = {.lex_state = 37, .external_lex_state = 2},
  [737] = {.lex_state = 37, .external_lex_state = 2},
  [738] = {.lex_state = 37, .external_lex_state = 2},
  [739] = {.lex_state = 37, .external_lex_state = 2},
  [740] = {.lex_state = 37, .external_lex_state = 2},
  [741] = {.lex_state = 37, .external_lex_state = 2},
  [742] = {.lex_state = 37, .external_lex_state = 2},
  [743] = {.lex_state = 37, .external_lex_state = 2},
  [744] = {.lex_state = 37, .external_lex_state = 2},
  [745] = {.lex_state = 37, .external_lex_state = 2},
  [746] = {.lex_state = 37, .external_lex_state = 2},
  [747] = {.lex_state = 37, .external_lex_state = 2},
  [748] = {.lex_state = 37, .external_lex_state = 2},
  [749] = {.lex_state = 37, .external_lex_state = 2},
  [750] = {.lex_state = 37, .external_lex_state = 2},
  [751] = {.lex_state = 37, .external_lex_state = 2},
  [752] = {.lex_state = 37, .external_lex_state = 2},
  [753] = {.lex_state = 37, .external_lex_state = 2},
  [754] = {.lex_state = 37, .external_lex_state = 2},
  [755] = {.lex_state = 37, .external_lex_state = 2},
  [756] = {.lex_state = 37, .external_lex_state = 2},
  [757] = {.lex_state = 37, .external_lex_state = 2},
  [758] = {.lex_state = 37, .external_lex_state = 2},
  [759] = {.lex_state = 37, .external_lex_state = 2},
  [760] = {.lex_state = 37, .external_lex_state = 2},
  [761] = {.lex_state = 37, .external_lex_state = 2},
  [762] = {.lex_state = 37, .external_lex_state = 2},
  [763] = {.lex_state = 37, .external_lex_state = 2},
  [764] = {.lex_state = 37, .external_lex_state = 2},
  [765] = {.lex_state = 37, .external_lex_state = 2},
  [766] = {.lex_state = 37, .external_lex_state = 2},
  [767] = {.lex_state = 37, .external_lex_state = 2},
  [768] = {.lex_state = 37, .external_lex_state = 2},
  [769] = {.lex_state = 37, .external_lex_state = 2},
  [770] = {.lex_state = 37, .external_lex_state = 2},
  [771] = {.lex_state = 37, .external_lex_state = 2},
  [772] = {.lex_state = 37, .external_lex_state = 2},
  [773] = {.lex_state = 37, .external_lex_state = 2},
  [774] = {.lex_state = 37, .external_lex_state = 2},
  [775] = {.lex_state = 37, .external_lex_state = 2},
  [776] = {.lex_state = 37, .external_lex_state = 2},
  [777] = {.lex_state = 37, .external_lex_state = 2},
  [778] = {.lex_state = 37, .external_lex_state = 2},
  [779] = {.lex_state = 37, .external_lex_state = 2},
  [780] = {.lex_state = 37, .external_lex_state = 2},
  [781] = {.lex_state = 37, .external_lex_state = 2},
  [782] = {.lex_state = 37, .external_lex_state = 2},
  [783] = {.lex_state = 37, .external_lex_state = 2},
  [784] = {.lex_state = 37, .external_lex_state = 2},
  [785] = {.lex_state = 37, .external_lex_state = 2},
  [786] = {.lex_state = 37, .external_lex_state = 2},
  [787] = {.lex_state = 37, .external_lex_state = 2},
  [788] = {.lex_state = 37, .external_lex_state = 2},
  [789] = {.lex_state = 37, .external_lex_state = 2},
  [790] = {.lex_state = 37, .external_lex_state = 2},
  [791] = {.lex_state = 37, .external_lex_state = 2},
  [792] = {.lex_state = 37, .external_lex_state = 2},
  [793] = {.lex_state = 37, .external_lex_state = 2},
  [794] = {.lex_state = 37, .external_lex_state = 2},
  [795] = {.lex_state = 37, .external_lex_state = 2},
  [796] = {.lex_state = 37, .external_lex_state = 2},
  [797] = {.lex_state = 37, .external_lex_state = 2},
  [798] = {.lex_state = 37, .external_lex_state = 2},
  [799] = {.lex_state = 37, .external_lex_state = 2},
  [800] = {.lex_state = 37, .external_lex_state = 2},
  [801] = {.lex_state = 37, .external_lex_state = 2},
  [802] = {.lex_state = 37, .external_lex_state = 2},
  [803] = {.lex_state = 37, .external_lex_state = 2},
  [804] = {.lex_state = 37, .external_lex_state = 2},
  [805] = {.lex_state = 37, .external_lex_state = 2},
  [806] = {.lex_state = 37, .external_lex_state = 2},
  [807] = {.lex_state = 406, .external_lex_state = 4},
  [808] = {.lex_state = 406, .external_lex_state = 4},
  [809] = {.lex_state = 406, .external_lex_state = 4},
  [810] = {.lex_state = 8, .external_lex_state = 4},
  [811] = {.lex_state = 8, .external_lex_state = 4},
  [812] = {.lex_state = 8, .external_lex_state = 4},
  [813] = {.lex_state = 406, .external_lex_state = 4},
  [814] = {.lex_state = 406, .external_lex_state = 4},
  [815] = {.lex_state = 406, .external_lex_state = 4},
  [816] = {.lex_state = 406, .external_lex_state = 4},
  [817] = {.lex_state = 406, .external_lex_state = 4},
  [818] = {.lex_state = 406, .external_lex_state = 4},
  [819] = {.lex_state = 406, .external_lex_state = 4},
  [820] = {.lex_state = 406, .external_lex_state = 4},
  [821] = {.lex_state = 9, .external_lex_state = 4},
  [822] = {.lex_state = 9, .external_lex_state = 4},
  [823] = {.lex_state = 9, .external_lex_state = 4},
  [824] = {.lex_state = 9, .external_lex_state = 4},
  [825] = {.lex_state = 9, .external_lex_state = 4},
  [826] = {.lex_state = 9, .external_lex_state = 4},
  [827] = {.lex_state = 9, .external_lex_state = 4},
  [828] = {.lex_state = 9, .external_lex_state = 4},
  [829] = {.lex_state = 9, .external_lex_state = 4},
  [830] = {.lex_state = 406, .external_lex_state = 4},
  [831] = {.lex_state = 406, .external_lex_state = 4},
  [832] = {.lex_state = 406, .external_lex_state = 4},
  [833] = {.lex_state = 406, .external_lex_state = 4},
  [834] = {.lex_state = 406, .external_lex_state = 4},
  [835] = {.lex_state = 9, .external_lex_state = 4},
  [836] = {.lex_state = 9, .external_lex_state = 4},
  [837] = {.lex_state = 406, .external_lex_state = 4},
  [838] = {.lex_state = 406, .external_lex_state = 4},
  [839] = {.lex_state = 9, .external_lex_state = 4},
  [840] = {.lex_state = 9, .external_lex_state = 4},
  [841] = {.lex_state = 406, .external_lex_state = 4},
  [842] = {.lex_state = 406, .external_lex_state = 4},
  [843] = {.lex_state = 9, .external_lex_state = 4},
  [844] = {.lex_state = 406, .external_lex_state = 4},
  [845] = {.lex_state = 406, .external_lex_state = 4},
  [846] = {.lex_state = 9, .external_lex_state = 4},
  [847] = {.lex_state = 23, .external_lex_state = 3},
  [848] = {.lex_state = 23, .external_lex_state = 3},
  [849] = {.lex_state = 23, .external_lex_state = 3},
  [850] = {.lex_state = 23, .external_lex_state = 3},
  [851] = {.lex_state = 23, .external_lex_state = 3},
  [852] = {.lex_state = 23, .external_lex_state = 4},
  [853] = {.lex_state = 25, .external_lex_state = 4},
  [854] = {.lex_state = 25, .external_lex_state = 4},
  [855] = {.lex_state = 23, .external_lex_state = 4},
  [856] = {.lex_state = 23, .external_lex_state = 3},
  [857] = {.lex_state = 23, .external_lex_state = 4},
  [858] = {.lex_state = 25, .external_lex_state = 4},
  [859] = {.lex_state = 23, .external_lex_state = 4},
  [860] = {.lex_state = 23, .external_lex_state = 4},
  [861] = {.lex_state = 23, .external_lex_state = 4},
  [862] = {.lex_state = 23, .external_lex_state = 4},
  [863] = {.lex_state = 26, .external_lex_state = 3},
  [864] = {.lex_state = 23, .external_lex_state = 3},
  [865] = {.lex_state = 26, .external_lex_state = 3},
  [866] = {.lex_state = 23, .external_lex_state = 4},
  [867] = {.lex_state = 23, .external_lex_state = 4},
  [868] = {.lex_state = 23, .external_lex_state = 3},
  [869] = {.lex_state = 23, .external_lex_state = 4},
  [870] = {.lex_state = 23, .external_lex_state = 3},
  [871] = {.lex_state = 23, .external_lex_state = 3},
  [872] = {.lex_state = 23, .external_lex_state = 4},
  [873] = {.lex_state = 23, .external_lex_state = 4},
  [874] = {.lex_state = 23, .external_lex_state = 4},
  [875] = {.lex_state = 23, .external_lex_state = 4},
  [876] = {.lex_state = 43, .external_lex_state = 2},
  [877] = {.lex_state = 23, .external_lex_state = 4},
  [878] = {.lex_state = 23, .external_lex_state = 3},
  [879] = {.lex_state = 23, .external_lex_state = 3},
  [880] = {.lex_state = 25, .external_lex_state = 3},
  [881] = {.lex_state = 23, .external_lex_state = 3},
  [882] = {.lex_state = 25, .external_lex_state = 3},
  [883] = {.lex_state = 43, .external_lex_state = 5},
  [884] = {.lex_state = 413, .external_lex_state = 2},
  [885] = {.lex_state = 25, .external_lex_state = 3},
  [886] = {.lex_state = 43, .external_lex_state = 5},
  [887] = {.lex_state = 23, .external_lex_state = 3},
  [888] = {.lex_state = 23, .external_lex_state = 3},
  [889] = {.lex_state = 42, .external_lex_state = 2},
  [890] = {.lex_state = 23, .external_lex_state = 3},
  [891] = {.lex_state = 23, .external_lex_state = 3},
  [892] = {.lex_state = 42, .external_lex_state = 5},
  [893] = {.lex_state = 23, .external_lex_state = 3},
  [894] = {.lex_state = 413, .external_lex_state = 5},
  [895] = {.lex_state = 23, .external_lex_state = 3},
  [896] = {.lex_state = 412, .external_lex_state = 2},
  [897] = {.lex_state = 23, .external_lex_state = 3},
  [898] = {.lex_state = 23, .external_lex_state = 3},
  [899] = {.lex_state = 45, .external_lex_state = 5},
  [900] = {.lex_state = 23, .external_lex_state = 3},
  [901] = {.lex_state = 23, .external_lex_state = 3},
  [902] = {.lex_state = 23, .external_lex_state = 3},
  [903] = {.lex_state = 413, .external_lex_state = 5},
  [904] = {.lex_state = 42, .external_lex_state = 5},
  [905] = {.lex_state = 45, .external_lex_state = 2},
  [906] = {.lex_state = 23, .external_lex_state = 3},
  [907] = {.lex_state = 45, .external_lex_state = 5},
  [908] = {.lex_state = 41, .external_lex_state = 2},
  [909] = {.lex_state = 41, .external_lex_state = 2},
  [910] = {.lex_state = 43, .external_lex_state = 2},
  [911] = {.lex_state = 43, .external_lex_state = 2},
  [912] = {.lex_state = 45, .external_lex_state = 2},
  [913] = {.lex_state = 41, .external_lex_state = 2},
  [914] = {.lex_state = 41, .external_lex_state = 5},
  [915] = {.lex_state = 41, .external_lex_state = 2},
  [916] = {.lex_state = 41, .external_lex_state = 5},
  [917] = {.lex_state = 41, .external_lex_state = 5},
  [918] = {.lex_state = 41, .external_lex_state = 5},
  [919] = {.lex_state = 41, .external_lex_state = 5},
  [920] = {.lex_state = 45, .external_lex_state = 2},
  [921] = {.lex_state = 41, .external_lex_state = 5},
  [922] = {.lex_state = 41, .external_lex_state = 5},
  [923] = {.lex_state = 41, .external_lex_state = 5},
  [924] = {.lex_state = 41, .external_lex_state = 5},
  [925] = {.lex_state = 40, .external_lex_state = 2},
  [926] = {.lex_state = 44, .external_lex_state = 5},
  [927] = {.lex_state = 45, .external_lex_state = 2},
  [928] = {.lex_state = 41, .external_lex_state = 2},
  [929] = {.lex_state = 41, .external_lex_state = 5},
  [930] = {.lex_state = 411, .external_lex_state = 5},
  [931] = {.lex_state = 41, .external_lex_state = 5},
  [932] = {.lex_state = 411, .external_lex_state = 5},
  [933] = {.lex_state = 41, .external_lex_state = 5},
  [934] = {.lex_state = 412, .external_lex_state = 5},
  [935] = {.lex_state = 41, .external_lex_state = 2},
  [936] = {.lex_state = 41, .external_lex_state = 2},
  [937] = {.lex_state = 45, .external_lex_state = 2},
  [938] = {.lex_state = 411, .external_lex_state = 2},
  [939] = {.lex_state = 41, .external_lex_state = 5},
  [940] = {.lex_state = 41, .external_lex_state = 5},
  [941] = {.lex_state = 45, .external_lex_state = 2},
  [942] = {.lex_state = 42, .external_lex_state = 2},
  [943] = {.lex_state = 42, .external_lex_state = 2},
  [944] = {.lex_state = 412, .external_lex_state = 5},
  [945] = {.lex_state = 41, .external_lex_state = 5},
  [946] = {.lex_state = 41, .external_lex_state = 5},
  [947] = {.lex_state = 44, .external_lex_state = 5},
  [948] = {.lex_state = 41, .external_lex_state = 5},
  [949] = {.lex_state = 41, .external_lex_state = 5},
  [950] = {.lex_state = 413, .external_lex_state = 2},
  [951] = {.lex_state = 44, .external_lex_state = 2},
  [952] = {.lex_state = 41, .external_lex_state = 5},
  [953] = {.lex_state = 413, .external_lex_state = 2},
  [954] = {.lex_state = 41, .external_lex_state = 5},
  [955] = {.lex_state = 41, .external_lex_state = 5},
  [956] = {.lex_state = 41, .external_lex_state = 5},
  [957] = {.lex_state = 409, .external_lex_state = 2},
  [958] = {.lex_state = 409, .external_lex_state = 2},
  [959] = {.lex_state = 41, .external_lex_state = 5},
  [960] = {.lex_state = 40, .external_lex_state = 2},
  [961] = {.lex_state = 409, .external_lex_state = 5},
  [962] = {.lex_state = 41, .external_lex_state = 2},
  [963] = {.lex_state = 410, .external_lex_state = 5},
  [964] = {.lex_state = 40, .external_lex_state = 5},
  [965] = {.lex_state = 41, .external_lex_state = 2},
  [966] = {.lex_state = 409, .external_lex_state = 5},
  [967] = {.lex_state = 410, .external_lex_state = 5},
  [968] = {.lex_state = 41, .external_lex_state = 2},
  [969] = {.lex_state = 41, .external_lex_state = 2},
  [970] = {.lex_state = 41, .external_lex_state = 2},
  [971] = {.lex_state = 409, .external_lex_state = 2},
  [972] = {.lex_state = 41, .external_lex_state = 2},
  [973] = {.lex_state = 40, .external_lex_state = 5},
  [974] = {.lex_state = 41, .external_lex_state = 2},
  [975] = {.lex_state = 41, .external_lex_state = 2},
  [976] = {.lex_state = 41, .external_lex_state = 2},
  [977] = {.lex_state = 41, .external_lex_state = 2},
  [978] = {.lex_state = 41, .external_lex_state = 2},
  [979] = {.lex_state = 41, .external_lex_state = 2},
  [980] = {.lex_state = 41, .external_lex_state = 2},
  [981] = {.lex_state = 41, .external_lex_state = 2},
  [982] = {.lex_state = 41, .external_lex_state = 2},
  [983] = {.lex_state = 41, .external_lex_state = 2},
  [984] = {.lex_state = 41, .external_lex_state = 2},
  [985] = {.lex_state = 41, .external_lex_state = 2},
  [986] = {.lex_state = 409, .external_lex_state = 5},
  [987] = {.lex_state = 41, .external_lex_state = 2},
  [988] = {.lex_state = 41, .external_lex_state = 2},
  [989] = {.lex_state = 41, .external_lex_state = 2},
  [990] = {.lex_state = 41, .external_lex_state = 2},
  [991] = {.lex_state = 41, .external_lex_state = 2},
  [992] = {.lex_state = 41, .external_lex_state = 2},
  [993] = {.lex_state = 41, .external_lex_state = 2},
  [994] = {.lex_state = 409, .external_lex_state = 5},
  [995] = {.lex_state = 41, .external_lex_state = 2},
  [996] = {.lex_state = 41, .external_lex_state = 2},
  [997] = {.lex_state = 41, .external_lex_state = 2},
  [998] = {.lex_state = 41, .external_lex_state = 2},
  [999] = {.lex_state = 409, .external_lex_state = 2},
  [1000] = {.lex_state = 41, .external_lex_state = 2},
  [1001] = {.lex_state = 41, .external_lex_state = 2},
  [1002] = {.lex_state = 41, .external_lex_state = 2},
  [1003] = {.lex_state = 409, .external_lex_state = 2},
  [1004] = {.lex_state = 409, .external_lex_state = 5},
  [1005] = {.lex_state = 41, .external_lex_state = 2},
  [1006] = {.lex_state = 41, .external_lex_state = 2},
  [1007] = {.lex_state = 41, .external_lex_state = 2},
  [1008] = {.lex_state = 41, .external_lex_state = 2},
  [1009] = {.lex_state = 41, .external_lex_state = 2},
  [1010] = {.lex_state = 41, .external_lex_state = 2},
  [1011] = {.lex_state = 41, .external_lex_state = 2},
  [1012] = {.lex_state = 41, .external_lex_state = 2},
  [1013] = {.lex_state = 41, .external_lex_state = 2},
  [1014] = {.lex_state = 41, .external_lex_state = 2},
  [1015] = {.lex_state = 41, .external_lex_state = 2},
  [1016] = {.lex_state = 41, .external_lex_state = 2},
  [1017] = {.lex_state = 41, .external_lex_state = 2},
  [1018] = {.lex_state = 41, .external_lex_state = 2},
  [1019] = {.lex_state = 41, .external_lex_state = 2},
  [1020] = {.lex_state = 41, .external_lex_state = 2},
  [1021] = {.lex_state = 41, .external_lex_state = 2},
  [1022] = {.lex_state = 41, .external_lex_state = 2},
  [1023] = {.lex_state = 41, .external_lex_state = 2},
  [1024] = {.lex_state = 41, .external_lex_state = 2},
  [1025] = {.lex_state = 41, .external_lex_state = 2},
  [1026] = {.lex_state = 41, .external_lex_state = 2},
  [1027] = {.lex_state = 41, .external_lex_state = 2},
  [1028] = {.lex_state = 41, .external_lex_state = 2},
  [1029] = {.lex_state = 41, .external_lex_state = 2},
  [1030] = {.lex_state = 41, .external_lex_state = 2},
  [1031] = {.lex_state = 41, .external_lex_state = 2},
  [1032] = {.lex_state = 40, .external_lex_state = 2},
  [1033] = {.lex_state = 44, .external_lex_state = 2},
  [1034] = {.lex_state = 44, .external_lex_state = 2},
  [1035] = {.lex_state = 41, .external_lex_state = 2},
  [1036] = {.lex_state = 41, .external_lex_state = 2},
  [1037] = {.lex_state = 41, .external_lex_state = 2},
  [1038] = {.lex_state = 40, .external_lex_state = 5},
  [1039] = {.lex_state = 41, .external_lex_state = 2},
  [1040] = {.lex_state = 41, .external_lex_state = 2},
  [1041] = {.lex_state = 41, .external_lex_state = 2},
  [1042] = {.lex_state = 41, .external_lex_state = 2},
  [1043] = {.lex_state = 41, .external_lex_state = 2},
  [1044] = {.lex_state = 41, .external_lex_state = 2},
  [1045] = {.lex_state = 40, .external_lex_state = 5},
  [1046] = {.lex_state = 41, .external_lex_state = 2},
  [1047] = {.lex_state = 41, .external_lex_state = 2},
  [1048] = {.lex_state = 41, .external_lex_state = 2},
  [1049] = {.lex_state = 41, .external_lex_state = 2},
  [1050] = {.lex_state = 40, .external_lex_state = 5},
  [1051] = {.lex_state = 41, .external_lex_state = 2},
  [1052] = {.lex_state = 41, .external_lex_state = 2},
  [1053] = {.lex_state = 40, .external_lex_state = 2},
  [1054] = {.lex_state = 41, .external_lex_state = 2},
  [1055] = {.lex_state = 41, .external_lex_state = 2},
  [1056] = {.lex_state = 41, .external_lex_state = 2},
  [1057] = {.lex_state = 40, .external_lex_state = 2},
  [1058] = {.lex_state = 41, .external_lex_state = 2},
  [1059] = {.lex_state = 40, .external_lex_state = 5},
  [1060] = {.lex_state = 41, .external_lex_state = 2},
  [1061] = {.lex_state = 41, .external_lex_state = 2},
  [1062] = {.lex_state = 41, .external_lex_state = 2},
  [1063] = {.lex_state = 41, .external_lex_state = 2},
  [1064] = {.lex_state = 41, .external_lex_state = 2},
  [1065] = {.lex_state = 41, .external_lex_state = 2},
  [1066] = {.lex_state = 41, .external_lex_state = 2},
  [1067] = {.lex_state = 41, .external_lex_state = 2},
  [1068] = {.lex_state = 41, .external_lex_state = 2},
  [1069] = {.lex_state = 41, .external_lex_state = 2},
  [1070] = {.lex_state = 41, .external_lex_state = 2},
  [1071] = {.lex_state = 41, .external_lex_state = 2},
  [1072] = {.lex_state = 41, .external_lex_state = 2},
  [1073] = {.lex_state = 41, .external_lex_state = 2},
  [1074] = {.lex_state = 41, .external_lex_state = 2},
  [1075] = {.lex_state = 41, .external_lex_state = 2},
  [1076] = {.lex_state = 41, .external_lex_state = 2},
  [1077] = {.lex_state = 40, .external_lex_state = 5},
  [1078] = {.lex_state = 409, .external_lex_state = 5},
  [1079] = {.lex_state = 41, .external_lex_state = 2},
  [1080] = {.lex_state = 41, .external_lex_state = 2},
  [1081] = {.lex_state = 41, .external_lex_state = 2},
  [1082] = {.lex_state = 40, .external_lex_state = 5},
  [1083] = {.lex_state = 40, .external_lex_state = 5},
  [1084] = {.lex_state = 41, .external_lex_state = 2},
  [1085] = {.lex_state = 41, .external_lex_state = 2},
  [1086] = {.lex_state = 41, .external_lex_state = 2},
  [1087] = {.lex_state = 409, .external_lex_state = 5},
  [1088] = {.lex_state = 41, .external_lex_state = 2},
  [1089] = {.lex_state = 41, .external_lex_state = 2},
  [1090] = {.lex_state = 41, .external_lex_state = 2},
  [1091] = {.lex_state = 41, .external_lex_state = 2},
  [1092] = {.lex_state = 41, .external_lex_state = 2},
  [1093] = {.lex_state = 41, .external_lex_state = 2},
  [1094] = {.lex_state = 41, .external_lex_state = 2},
  [1095] = {.lex_state = 411, .external_lex_state = 2},
  [1096] = {.lex_state = 411, .external_lex_state = 2},
  [1097] = {.lex_state = 41, .external_lex_state = 2},
  [1098] = {.lex_state = 409, .external_lex_state = 5},
  [1099] = {.lex_state = 41, .external_lex_state = 2},
  [1100] = {.lex_state = 41, .external_lex_state = 2},
  [1101] = {.lex_state = 409, .external_lex_state = 5},
  [1102] = {.lex_state = 41, .external_lex_state = 2},
  [1103] = {.lex_state = 41, .external_lex_state = 2},
  [1104] = {.lex_state = 409, .external_lex_state = 5},
  [1105] = {.lex_state = 41, .external_lex_state = 2},
  [1106] = {.lex_state = 41, .external_lex_state = 2},
  [1107] = {.lex_state = 41, .external_lex_state = 2},
  [1108] = {.lex_state = 40, .external_lex_state = 5},
  [1109] = {.lex_state = 44, .external_lex_state = 2},
  [1110] = {.lex_state = 41, .external_lex_state = 2},
  [1111] = {.lex_state = 41, .external_lex_state = 2},
  [1112] = {.lex_state = 41, .external_lex_state = 2},
  [1113] = {.lex_state = 41, .external_lex_state = 2},
  [1114] = {.lex_state = 41, .external_lex_state = 2},
  [1115] = {.lex_state = 40, .external_lex_state = 5},
  [1116] = {.lex_state = 41, .external_lex_state = 2},
  [1117] = {.lex_state = 40, .external_lex_state = 5},
  [1118] = {.lex_state = 41, .external_lex_state = 2},
  [1119] = {.lex_state = 40, .external_lex_state = 5},
  [1120] = {.lex_state = 40, .external_lex_state = 5},
  [1121] = {.lex_state = 44, .external_lex_state = 2},
  [1122] = {.lex_state = 44, .external_lex_state = 2},
  [1123] = {.lex_state = 40, .external_lex_state = 5},
  [1124] = {.lex_state = 40, .external_lex_state = 5},
  [1125] = {.lex_state = 409, .external_lex_state = 2},
  [1126] = {.lex_state = 409, .external_lex_state = 5},
  [1127] = {.lex_state = 411, .external_lex_state = 2},
  [1128] = {.lex_state = 411, .external_lex_state = 2},
  [1129] = {.lex_state = 411, .external_lex_state = 2},
  [1130] = {.lex_state = 409, .external_lex_state = 5},
  [1131] = {.lex_state = 40, .external_lex_state = 5},
  [1132] = {.lex_state = 409, .external_lex_state = 5},
  [1133] = {.lex_state = 40, .external_lex_state = 5},
  [1134] = {.lex_state = 409, .external_lex_state = 5},
  [1135] = {.lex_state = 409, .external_lex_state = 5},
  [1136] = {.lex_state = 41, .external_lex_state = 2},
  [1137] = {.lex_state = 41, .external_lex_state = 2},
  [1138] = {.lex_state = 41, .external_lex_state = 2},
  [1139] = {.lex_state = 41, .external_lex_state = 2},
  [1140] = {.lex_state = 41, .external_lex_state = 2},
  [1141] = {.lex_state = 409, .external_lex_state = 5},
  [1142] = {.lex_state = 41, .external_lex_state = 2},
  [1143] = {.lex_state = 41, .external_lex_state = 2},
  [1144] = {.lex_state = 41, .external_lex_state = 2},
  [1145] = {.lex_state = 41, .external_lex_state = 2},
  [1146] = {.lex_state = 409, .external_lex_state = 5},
  [1147] = {.lex_state = 41, .external_lex_state = 2},
  [1148] = {.lex_state = 40, .external_lex_state = 5},
  [1149] = {.lex_state = 40, .external_lex_state = 5},
  [1150] = {.lex_state = 409, .external_lex_state = 5},
  [1151] = {.lex_state = 409, .external_lex_state = 5},
  [1152] = {.lex_state = 40, .external_lex_state = 5},
  [1153] = {.lex_state = 41, .external_lex_state = 2},
  [1154] = {.lex_state = 41, .external_lex_state = 2},
  [1155] = {.lex_state = 41, .external_lex_state = 2},
  [1156] = {.lex_state = 41, .external_lex_state = 2},
  [1157] = {.lex_state = 409, .external_lex_state = 5},
  [1158] = {.lex_state = 41, .external_lex_state = 2},
  [1159] = {.lex_state = 409, .external_lex_state = 5},
  [1160] = {.lex_state = 41, .external_lex_state = 2},
  [1161] = {.lex_state = 410, .external_lex_state = 2},
  [1162] = {.lex_state = 41, .external_lex_state = 2},
  [1163] = {.lex_state = 41, .external_lex_state = 2},
  [1164] = {.lex_state = 41, .external_lex_state = 2},
  [1165] = {.lex_state = 41, .external_lex_state = 2},
  [1166] = {.lex_state = 41, .external_lex_state = 2},
  [1167] = {.lex_state = 41, .external_lex_state = 2},
  [1168] = {.lex_state = 409, .external_lex_state = 2},
  [1169] = {.lex_state = 41, .external_lex_state = 2},
  [1170] = {.lex_state = 41, .external_lex_state = 2},
  [1171] = {.lex_state = 41, .external_lex_state = 2},
  [1172] = {.lex_state = 41, .external_lex_state = 2},
  [1173] = {.lex_state = 41, .external_lex_state = 2},
  [1174] = {.lex_state = 41, .external_lex_state = 2},
  [1175] = {.lex_state = 41, .external_lex_state = 2},
  [1176] = {.lex_state = 41, .external_lex_state = 2},
  [1177] = {.lex_state = 41, .external_lex_state = 2},
  [1178] = {.lex_state = 41, .external_lex_state = 2},
  [1179] = {.lex_state = 41, .external_lex_state = 2},
  [1180] = {.lex_state = 41, .external_lex_state = 2},
  [1181] = {.lex_state = 41, .external_lex_state = 2},
  [1182] = {.lex_state = 409, .external_lex_state = 5},
  [1183] = {.lex_state = 412, .external_lex_state = 2},
  [1184] = {.lex_state = 41, .external_lex_state = 2},
  [1185] = {.lex_state = 41, .external_lex_state = 2},
  [1186] = {.lex_state = 409, .external_lex_state = 5},
  [1187] = {.lex_state = 41, .external_lex_state = 2},
  [1188] = {.lex_state = 41, .external_lex_state = 2},
  [1189] = {.lex_state = 412, .external_lex_state = 2},
  [1190] = {.lex_state = 40, .external_lex_state = 5},
  [1191] = {.lex_state = 408, .external_lex_state = 2},
  [1192] = {.lex_state = 41, .external_lex_state = 2},
  [1193] = {.lex_state = 41, .external_lex_state = 2},
  [1194] = {.lex_state = 408, .external_lex_state = 2},
  [1195] = {.lex_state = 40, .external_lex_state = 5},
  [1196] = {.lex_state = 40, .external_lex_state = 2},
  [1197] = {.lex_state = 409, .external_lex_state = 2},
  [1198] = {.lex_state = 40, .external_lex_state = 2},
  [1199] = {.lex_state = 40, .external_lex_state = 2},
  [1200] = {.lex_state = 40, .external_lex_state = 2},
  [1201] = {.lex_state = 40, .external_lex_state = 2},
  [1202] = {.lex_state = 408, .external_lex_state = 5},
  [1203] = {.lex_state = 408, .external_lex_state = 5},
  [1204] = {.lex_state = 40, .external_lex_state = 2},
  [1205] = {.lex_state = 40, .external_lex_state = 2},
  [1206] = {.lex_state = 40, .external_lex_state = 2},
  [1207] = {.lex_state = 408, .external_lex_state = 5},
  [1208] = {.lex_state = 40, .external_lex_state = 2},
  [1209] = {.lex_state = 408, .external_lex_state = 5},
  [1210] = {.lex_state = 40, .external_lex_state = 2},
  [1211] = {.lex_state = 410, .external_lex_state = 2},
  [1212] = {.lex_state = 40, .external_lex_state = 2},
  [1213] = {.lex_state = 40, .external_lex_state = 2},
  [1214] = {.lex_state = 40, .external_lex_state = 2},
  [1215] = {.lex_state = 408, .external_lex_state = 2},
  [1216] = {.lex_state = 408, .external_lex_state = 5},
  [1217] = {.lex_state = 40, .external_lex_state = 2},
  [1218] = {.lex_state = 409, .external_lex_state = 2},
  [1219] = {.lex_state = 40, .external_lex_state = 2},
  [1220] = {.lex_state = 409, .external_lex_state = 2},
  [1221] = {.lex_state = 409, .external_lex_state = 2},
  [1222] = {.lex_state = 40, .external_lex_state = 2},
  [1223] = {.lex_state = 408, .external_lex_state = 5},
  [1224] = {.lex_state = 409, .external_lex_state = 2},
  [1225] = {.lex_state = 409, .external_lex_state = 2},
  [1226] = {.lex_state = 40, .external_lex_state = 2},
  [1227] = {.lex_state = 409, .external_lex_state = 2},
  [1228] = {.lex_state = 40, .external_lex_state = 2},
  [1229] = {.lex_state = 40, .external_lex_state = 2},
  [1230] = {.lex_state = 409, .external_lex_state = 2},
  [1231] = {.lex_state = 409, .external_lex_state = 2},
  [1232] = {.lex_state = 409, .external_lex_state = 2},
  [1233] = {.lex_state = 40, .external_lex_state = 2},
  [1234] = {.lex_state = 40, .external_lex_state = 2},
  [1235] = {.lex_state = 40, .external_lex_state = 2},
  [1236] = {.lex_state = 40, .external_lex_state = 2},
  [1237] = {.lex_state = 409, .external_lex_state = 2},
  [1238] = {.lex_state = 409, .external_lex_state = 2},
  [1239] = {.lex_state = 40, .external_lex_state = 2},
  [1240] = {.lex_state = 410, .external_lex_state = 2},
  [1241] = {.lex_state = 409, .external_lex_state = 2},
  [1242] = {.lex_state = 40, .external_lex_state = 2},
  [1243] = {.lex_state = 40, .external_lex_state = 2},
  [1244] = {.lex_state = 40, .external_lex_state = 2},
  [1245] = {.lex_state = 40, .external_lex_state = 2},
  [1246] = {.lex_state = 40, .external_lex_state = 2},
  [1247] = {.lex_state = 40, .external_lex_state = 2},
  [1248] = {.lex_state = 409, .external_lex_state = 2},
  [1249] = {.lex_state = 40, .external_lex_state = 2},
  [1250] = {.lex_state = 40, .external_lex_state = 2},
  [1251] = {.lex_state = 409, .external_lex_state = 2},
  [1252] = {.lex_state = 40, .external_lex_state = 2},
  [1253] = {.lex_state = 409, .external_lex_state = 2},
  [1254] = {.lex_state = 409, .external_lex_state = 2},
  [1255] = {.lex_state = 409, .external_lex_state = 2},
  [1256] = {.lex_state = 40, .external_lex_state = 2},
  [1257] = {.lex_state = 409, .external_lex_state = 2},
  [1258] = {.lex_state = 409, .external_lex_state = 2},
  [1259] = {.lex_state = 409, .external_lex_state = 2},
  [1260] = {.lex_state = 40, .external_lex_state = 2},
  [1261] = {.lex_state = 40, .external_lex_state = 2},
  [1262] = {.lex_state = 40, .external_lex_state = 2},
  [1263] = {.lex_state = 409, .external_lex_state = 2},
  [1264] = {.lex_state = 40, .external_lex_state = 2},
  [1265] = {.lex_state = 40, .external_lex_state = 2},
  [1266] = {.lex_state = 40, .external_lex_state = 2},
  [1267] = {.lex_state = 409, .external_lex_state = 2},
  [1268] = {.lex_state = 409, .external_lex_state = 2},
  [1269] = {.lex_state = 40, .external_lex_state = 2},
  [1270] = {.lex_state = 40, .external_lex_state = 2},
  [1271] = {.lex_state = 40, .external_lex_state = 2},
  [1272] = {.lex_state = 40, .external_lex_state = 2},
  [1273] = {.lex_state = 40, .external_lex_state = 2},
  [1274] = {.lex_state = 40, .external_lex_state = 2},
  [1275] = {.lex_state = 40, .external_lex_state = 2},
  [1276] = {.lex_state = 40, .external_lex_state = 2},
  [1277] = {.lex_state = 40, .external_lex_state = 2},
  [1278] = {.lex_state = 409, .external_lex_state = 2},
  [1279] = {.lex_state = 40, .external_lex_state = 2},
  [1280] = {.lex_state = 40, .external_lex_state = 2},
  [1281] = {.lex_state = 40, .external_lex_state = 2},
  [1282] = {.lex_state = 40, .external_lex_state = 2},
  [1283] = {.lex_state = 40, .external_lex_state = 2},
  [1284] = {.lex_state = 40, .external_lex_state = 2},
  [1285] = {.lex_state = 40, .external_lex_state = 2},
  [1286] = {.lex_state = 40, .external_lex_state = 2},
  [1287] = {.lex_state = 409, .external_lex_state = 2},
  [1288] = {.lex_state = 408, .external_lex_state = 5},
  [1289] = {.lex_state = 408, .external_lex_state = 5},
  [1290] = {.lex_state = 409, .external_lex_state = 2},
  [1291] = {.lex_state = 409, .external_lex_state = 2},
  [1292] = {.lex_state = 409, .external_lex_state = 2},
  [1293] = {.lex_state = 409, .external_lex_state = 2},
  [1294] = {.lex_state = 409, .external_lex_state = 2},
  [1295] = {.lex_state = 409, .external_lex_state = 2},
  [1296] = {.lex_state = 409, .external_lex_state = 2},
  [1297] = {.lex_state = 409, .external_lex_state = 2},
  [1298] = {.lex_state = 40, .external_lex_state = 2},
  [1299] = {.lex_state = 409, .external_lex_state = 2},
  [1300] = {.lex_state = 409, .external_lex_state = 2},
  [1301] = {.lex_state = 40, .external_lex_state = 2},
  [1302] = {.lex_state = 40, .external_lex_state = 2},
  [1303] = {.lex_state = 409, .external_lex_state = 2},
  [1304] = {.lex_state = 409, .external_lex_state = 2},
  [1305] = {.lex_state = 409, .external_lex_state = 2},
  [1306] = {.lex_state = 40, .external_lex_state = 2},
  [1307] = {.lex_state = 40, .external_lex_state = 2},
  [1308] = {.lex_state = 408, .external_lex_state = 5},
  [1309] = {.lex_state = 40, .external_lex_state = 2},
  [1310] = {.lex_state = 408, .external_lex_state = 5},
  [1311] = {.lex_state = 409, .external_lex_state = 2},
  [1312] = {.lex_state = 409, .external_lex_state = 2},
  [1313] = {.lex_state = 409, .external_lex_state = 2},
  [1314] = {.lex_state = 40, .external_lex_state = 2},
  [1315] = {.lex_state = 40, .external_lex_state = 2},
  [1316] = {.lex_state = 409, .external_lex_state = 2},
  [1317] = {.lex_state = 409, .external_lex_state = 2},
  [1318] = {.lex_state = 409, .external_lex_state = 2},
  [1319] = {.lex_state = 409, .external_lex_state = 2},
  [1320] = {.lex_state = 40, .external_lex_state = 2},
  [1321] = {.lex_state = 40, .external_lex_state = 2},
  [1322] = {.lex_state = 409, .external_lex_state = 2},
  [1323] = {.lex_state = 409, .external_lex_state = 2},
  [1324] = {.lex_state = 409, .external_lex_state = 2},
  [1325] = {.lex_state = 409, .external_lex_state = 2},
  [1326] = {.lex_state = 409, .external_lex_state = 2},
  [1327] = {.lex_state = 409, .external_lex_state = 2},
  [1328] = {.lex_state = 409, .external_lex_state = 2},
  [1329] = {.lex_state = 40, .external_lex_state = 2},
  [1330] = {.lex_state = 409, .external_lex_state = 2},
  [1331] = {.lex_state = 409, .external_lex_state = 2},
  [1332] = {.lex_state = 409, .external_lex_state = 2},
  [1333] = {.lex_state = 409, .external_lex_state = 2},
  [1334] = {.lex_state = 409, .external_lex_state = 2},
  [1335] = {.lex_state = 409, .external_lex_state = 2},
  [1336] = {.lex_state = 409, .external_lex_state = 2},
  [1337] = {.lex_state = 409, .external_lex_state = 2},
  [1338] = {.lex_state = 409, .external_lex_state = 2},
  [1339] = {.lex_state = 40, .external_lex_state = 2},
  [1340] = {.lex_state = 409, .external_lex_state = 2},
  [1341] = {.lex_state = 40, .external_lex_state = 2},
  [1342] = {.lex_state = 409, .external_lex_state = 2},
  [1343] = {.lex_state = 409, .external_lex_state = 2},
  [1344] = {.lex_state = 40, .external_lex_state = 2},
  [1345] = {.lex_state = 40, .external_lex_state = 2},
  [1346] = {.lex_state = 40, .external_lex_state = 2},
  [1347] = {.lex_state = 409, .external_lex_state = 2},
  [1348] = {.lex_state = 409, .external_lex_state = 2},
  [1349] = {.lex_state = 410, .external_lex_state = 2},
  [1350] = {.lex_state = 40, .external_lex_state = 2},
  [1351] = {.lex_state = 408, .external_lex_state = 5},
  [1352] = {.lex_state = 410, .external_lex_state = 2},
  [1353] = {.lex_state = 410, .external_lex_state = 2},
  [1354] = {.lex_state = 409, .external_lex_state = 2},
  [1355] = {.lex_state = 409, .external_lex_state = 2},
  [1356] = {.lex_state = 40, .external_lex_state = 2},
  [1357] = {.lex_state = 40, .external_lex_state = 2},
  [1358] = {.lex_state = 40, .external_lex_state = 2},
  [1359] = {.lex_state = 408, .external_lex_state = 2},
  [1360] = {.lex_state = 408, .external_lex_state = 2},
  [1361] = {.lex_state = 409, .external_lex_state = 2},
  [1362] = {.lex_state = 409, .external_lex_state = 2},
  [1363] = {.lex_state = 409, .external_lex_state = 2},
  [1364] = {.lex_state = 409, .external_lex_state = 2},
  [1365] = {.lex_state = 409, .external_lex_state = 2},
  [1366] = {.lex_state = 409, .external_lex_state = 2},
  [1367] = {.lex_state = 409, .external_lex_state = 2},
  [1368] = {.lex_state = 409, .external_lex_state = 2},
  [1369] = {.lex_state = 409, .external_lex_state = 2},
  [1370] = {.lex_state = 409, .external_lex_state = 2},
  [1371] = {.lex_state = 409, .external_lex_state = 2},
  [1372] = {.lex_state = 409, .external_lex_state = 2},
  [1373] = {.lex_state = 409, .external_lex_state = 2},
  [1374] = {.lex_state = 409, .external_lex_state = 2},
  [1375] = {.lex_state = 409, .external_lex_state = 2},
  [1376] = {.lex_state = 409, .external_lex_state = 2},
  [1377] = {.lex_state = 409, .external_lex_state = 2},
  [1378] = {.lex_state = 409, .external_lex_state = 2},
  [1379] = {.lex_state = 40, .external_lex_state = 2},
  [1380] = {.lex_state = 40, .external_lex_state = 2},
  [1381] = {.lex_state = 409, .external_lex_state = 2},
  [1382] = {.lex_state = 40, .external_lex_state = 2},
  [1383] = {.lex_state = 409, .external_lex_state = 2},
  [1384] = {.lex_state = 40, .external_lex_state = 2},
  [1385] = {.lex_state = 40, .external_lex_state = 2},
  [1386] = {.lex_state = 409, .external_lex_state = 2},
  [1387] = {.lex_state = 40, .external_lex_state = 2},
  [1388] = {.lex_state = 409, .external_lex_state = 2},
  [1389] = {.lex_state = 408, .external_lex_state = 5},
  [1390] = {.lex_state = 40, .external_lex_state = 2},
  [1391] = {.lex_state = 409, .external_lex_state = 2},
  [1392] = {.lex_state = 409, .external_lex_state = 2},
  [1393] = {.lex_state = 409, .external_lex_state = 2},
  [1394] = {.lex_state = 409, .external_lex_state = 2},
  [1395] = {.lex_state = 409, .external_lex_state = 2},
  [1396] = {.lex_state = 409, .external_lex_state = 2},
  [1397] = {.lex_state = 40, .external_lex_state = 2},
  [1398] = {.lex_state = 40, .external_lex_state = 2},
  [1399] = {.lex_state = 40, .external_lex_state = 2},
  [1400] = {.lex_state = 409, .external_lex_state = 2},
  [1401] = {.lex_state = 409, .external_lex_state = 2},
  [1402] = {.lex_state = 409, .external_lex_state = 2},
  [1403] = {.lex_state = 409, .external_lex_state = 2},
  [1404] = {.lex_state = 40, .external_lex_state = 2},
  [1405] = {.lex_state = 409, .external_lex_state = 2},
  [1406] = {.lex_state = 409, .external_lex_state = 2},
  [1407] = {.lex_state = 409, .external_lex_state = 2},
  [1408] = {.lex_state = 409, .external_lex_state = 2},
  [1409] = {.lex_state = 409, .external_lex_state = 2},
  [1410] = {.lex_state = 40, .external_lex_state = 2},
  [1411] = {.lex_state = 408, .external_lex_state = 5},
  [1412] = {.lex_state = 40, .external_lex_state = 2},
  [1413] = {.lex_state = 40, .external_lex_state = 2},
  [1414] = {.lex_state = 40, .external_lex_state = 2},
  [1415] = {.lex_state = 40, .external_lex_state = 2},
  [1416] = {.lex_state = 40, .external_lex_state = 2},
  [1417] = {.lex_state = 408, .external_lex_state = 5},
  [1418] = {.lex_state = 40, .external_lex_state = 2},
  [1419] = {.lex_state = 40, .external_lex_state = 2},
  [1420] = {.lex_state = 40, .external_lex_state = 2},
  [1421] = {.lex_state = 40, .external_lex_state = 2},
  [1422] = {.lex_state = 409, .external_lex_state = 2},
  [1423] = {.lex_state = 409, .external_lex_state = 2},
  [1424] = {.lex_state = 409, .external_lex_state = 2},
  [1425] = {.lex_state = 409, .external_lex_state = 2},
  [1426] = {.lex_state = 409, .external_lex_state = 2},
  [1427] = {.lex_state = 40, .external_lex_state = 2},
  [1428] = {.lex_state = 409, .external_lex_state = 2},
  [1429] = {.lex_state = 409, .external_lex_state = 2},
  [1430] = {.lex_state = 409, .external_lex_state = 2},
  [1431] = {.lex_state = 40, .external_lex_state = 2},
  [1432] = {.lex_state = 40, .external_lex_state = 2},
  [1433] = {.lex_state = 408, .external_lex_state = 5},
  [1434] = {.lex_state = 409, .external_lex_state = 2},
  [1435] = {.lex_state = 40, .external_lex_state = 2},
  [1436] = {.lex_state = 40, .external_lex_state = 2},
  [1437] = {.lex_state = 40, .external_lex_state = 2},
  [1438] = {.lex_state = 409, .external_lex_state = 2},
  [1439] = {.lex_state = 40, .external_lex_state = 2},
  [1440] = {.lex_state = 40, .external_lex_state = 2},
  [1441] = {.lex_state = 40, .external_lex_state = 2},
  [1442] = {.lex_state = 40, .external_lex_state = 2},
  [1443] = {.lex_state = 40, .external_lex_state = 2},
  [1444] = {.lex_state = 40, .external_lex_state = 2},
  [1445] = {.lex_state = 409, .external_lex_state = 2},
  [1446] = {.lex_state = 40, .external_lex_state = 2},
  [1447] = {.lex_state = 40, .external_lex_state = 2},
  [1448] = {.lex_state = 409, .external_lex_state = 2},
  [1449] = {.lex_state = 409, .external_lex_state = 2},
  [1450] = {.lex_state = 409, .external_lex_state = 2},
  [1451] = {.lex_state = 409, .external_lex_state = 2},
  [1452] = {.lex_state = 409, .external_lex_state = 2},
  [1453] = {.lex_state = 409, .external_lex_state = 2},
  [1454] = {.lex_state = 40, .external_lex_state = 2},
  [1455] = {.lex_state = 40, .external_lex_state = 2},
  [1456] = {.lex_state = 40, .external_lex_state = 2},
  [1457] = {.lex_state = 40, .external_lex_state = 2},
  [1458] = {.lex_state = 40, .external_lex_state = 2},
  [1459] = {.lex_state = 40, .external_lex_state = 2},
  [1460] = {.lex_state = 40, .external_lex_state = 2},
  [1461] = {.lex_state = 40, .external_lex_state = 2},
  [1462] = {.lex_state = 40, .external_lex_state = 2},
  [1463] = {.lex_state = 40, .external_lex_state = 2},
  [1464] = {.lex_state = 40, .external_lex_state = 2},
  [1465] = {.lex_state = 409, .external_lex_state = 2},
  [1466] = {.lex_state = 409, .external_lex_state = 2},
  [1467] = {.lex_state = 40, .external_lex_state = 2},
  [1468] = {.lex_state = 409, .external_lex_state = 2},
  [1469] = {.lex_state = 40, .external_lex_state = 2},
  [1470] = {.lex_state = 40, .external_lex_state = 2},
  [1471] = {.lex_state = 408, .external_lex_state = 5},
  [1472] = {.lex_state = 40, .external_lex_state = 2},
  [1473] = {.lex_state = 409, .external_lex_state = 2},
  [1474] = {.lex_state = 40, .external_lex_state = 2},
  [1475] = {.lex_state = 409, .external_lex_state = 2},
  [1476] = {.lex_state = 40, .external_lex_state = 2},
  [1477] = {.lex_state = 40, .external_lex_state = 2},
  [1478] = {.lex_state = 40, .external_lex_state = 2},
  [1479] = {.lex_state = 409, .external_lex_state = 2},
  [1480] = {.lex_state = 409, .external_lex_state = 2},
  [1481] = {.lex_state = 409, .external_lex_state = 2},
  [1482] = {.lex_state = 409, .external_lex_state = 2},
  [1483] = {.lex_state = 409, .external_lex_state = 2},
  [1484] = {.lex_state = 409, .external_lex_state = 2},
  [1485] = {.lex_state = 409, .external_lex_state = 2},
  [1486] = {.lex_state = 409, .external_lex_state = 2},
  [1487] = {.lex_state = 409, .external_lex_state = 2},
  [1488] = {.lex_state = 409, .external_lex_state = 2},
  [1489] = {.lex_state = 409, .external_lex_state = 2},
  [1490] = {.lex_state = 409, .external_lex_state = 2},
  [1491] = {.lex_state = 409, .external_lex_state = 2},
  [1492] = {.lex_state = 409, .external_lex_state = 2},
  [1493] = {.lex_state = 409, .external_lex_state = 2},
  [1494] = {.lex_state = 409, .external_lex_state = 2},
  [1495] = {.lex_state = 409, .external_lex_state = 2},
  [1496] = {.lex_state = 409, .external_lex_state = 2},
  [1497] = {.lex_state = 409, .external_lex_state = 2},
  [1498] = {.lex_state = 408, .external_lex_state = 5},
  [1499] = {.lex_state = 409, .external_lex_state = 2},
  [1500] = {.lex_state = 409, .external_lex_state = 2},
  [1501] = {.lex_state = 409, .external_lex_state = 2},
  [1502] = {.lex_state = 40, .external_lex_state = 2},
  [1503] = {.lex_state = 40, .external_lex_state = 2},
  [1504] = {.lex_state = 40, .external_lex_state = 2},
  [1505] = {.lex_state = 40, .external_lex_state = 2},
  [1506] = {.lex_state = 409, .external_lex_state = 2},
  [1507] = {.lex_state = 40, .external_lex_state = 2},
  [1508] = {.lex_state = 40, .external_lex_state = 2},
  [1509] = {.lex_state = 409, .external_lex_state = 2},
  [1510] = {.lex_state = 409, .external_lex_state = 2},
  [1511] = {.lex_state = 409, .external_lex_state = 2},
  [1512] = {.lex_state = 40, .external_lex_state = 2},
  [1513] = {.lex_state = 40, .external_lex_state = 2},
  [1514] = {.lex_state = 40, .external_lex_state = 2},
  [1515] = {.lex_state = 40, .external_lex_state = 2},
  [1516] = {.lex_state = 409, .external_lex_state = 2},
  [1517] = {.lex_state = 40, .external_lex_state = 2},
  [1518] = {.lex_state = 40, .external_lex_state = 2},
  [1519] = {.lex_state = 40, .external_lex_state = 2},
  [1520] = {.lex_state = 40, .external_lex_state = 2},
  [1521] = {.lex_state = 40, .external_lex_state = 2},
  [1522] = {.lex_state = 40, .external_lex_state = 2},
  [1523] = {.lex_state = 40, .external_lex_state = 2},
  [1524] = {.lex_state = 40, .external_lex_state = 2},
  [1525] = {.lex_state = 40, .external_lex_state = 2},
  [1526] = {.lex_state = 40, .external_lex_state = 2},
  [1527] = {.lex_state = 409, .external_lex_state = 2},
  [1528] = {.lex_state = 409, .external_lex_state = 2},
  [1529] = {.lex_state = 409, .external_lex_state = 2},
  [1530] = {.lex_state = 409, .external_lex_state = 2},
  [1531] = {.lex_state = 40, .external_lex_state = 2},
  [1532] = {.lex_state = 408, .external_lex_state = 5},
  [1533] = {.lex_state = 40, .external_lex_state = 2},
  [1534] = {.lex_state = 40, .external_lex_state = 2},
  [1535] = {.lex_state = 409, .external_lex_state = 2},
  [1536] = {.lex_state = 40, .external_lex_state = 2},
  [1537] = {.lex_state = 40, .external_lex_state = 2},
  [1538] = {.lex_state = 409, .external_lex_state = 2},
  [1539] = {.lex_state = 40, .external_lex_state = 2},
  [1540] = {.lex_state = 408, .external_lex_state = 5},
  [1541] = {.lex_state = 409, .external_lex_state = 2},
  [1542] = {.lex_state = 408, .external_lex_state = 5},
  [1543] = {.lex_state = 408, .external_lex_state = 5},
  [1544] = {.lex_state = 408, .external_lex_state = 5},
  [1545] = {.lex_state = 40, .external_lex_state = 2},
  [1546] = {.lex_state = 408, .external_lex_state = 5},
  [1547] = {.lex_state = 409, .external_lex_state = 2},
  [1548] = {.lex_state = 40, .external_lex_state = 2},
  [1549] = {.lex_state = 40, .external_lex_state = 2},
  [1550] = {.lex_state = 40, .external_lex_state = 2},
  [1551] = {.lex_state = 409, .external_lex_state = 2},
  [1552] = {.lex_state = 40, .external_lex_state = 2},
  [1553] = {.lex_state = 40, .external_lex_state = 2},
  [1554] = {.lex_state = 40, .external_lex_state = 2},
  [1555] = {.lex_state = 40, .external_lex_state = 2},
  [1556] = {.lex_state = 408, .external_lex_state = 2},
  [1557] = {.lex_state = 408, .external_lex_state = 2},
  [1558] = {.lex_state = 408, .external_lex_state = 2},
  [1559] = {.lex_state = 408, .external_lex_state = 2},
  [1560] = {.lex_state = 408, .external_lex_state = 2},
  [1561] = {.lex_state = 408, .external_lex_state = 2},
  [1562] = {.lex_state = 408, .external_lex_state = 2},
  [1563] = {.lex_state = 408, .external_lex_state = 2},
  [1564] = {.lex_state = 408, .external_lex_state = 2},
  [1565] = {.lex_state = 408, .external_lex_state = 2},
  [1566] = {.lex_state = 408, .external_lex_state = 2},
  [1567] = {.lex_state = 408, .external_lex_state = 2},
  [1568] = {.lex_state = 408, .external_lex_state = 2},
  [1569] = {.lex_state = 408, .external_lex_state = 2},
  [1570] = {.lex_state = 408, .external_lex_state = 2},
  [1571] = {.lex_state = 408, .external_lex_state = 2},
  [1572] = {.lex_state = 408, .external_lex_state = 2},
  [1573] = {.lex_state = 408, .external_lex_state = 2},
  [1574] = {.lex_state = 408, .external_lex_state = 2},
  [1575] = {.lex_state = 408, .external_lex_state = 2},
  [1576] = {.lex_state = 408, .external_lex_state = 2},
  [1577] = {.lex_state = 408, .external_lex_state = 2},
  [1578] = {.lex_state = 408, .external_lex_state = 2},
  [1579] = {.lex_state = 408, .external_lex_state = 2},
  [1580] = {.lex_state = 408, .external_lex_state = 2},
  [1581] = {.lex_state = 408, .external_lex_state = 2},
  [1582] = {.lex_state = 408, .external_lex_state = 2},
  [1583] = {.lex_state = 408, .external_lex_state = 2},
  [1584] = {.lex_state = 408, .external_lex_state = 2},
  [1585] = {.lex_state = 408, .external_lex_state = 2},
  [1586] = {.lex_state = 408, .external_lex_state = 2},
  [1587] = {.lex_state = 408, .external_lex_state = 2},
  [1588] = {.lex_state = 408, .external_lex_state = 2},
  [1589] = {.lex_state = 408, .external_lex_state = 2},
  [1590] = {.lex_state = 408, .external_lex_state = 2},
  [1591] = {.lex_state = 408, .external_lex_state = 2},
  [1592] = {.lex_state = 408, .external_lex_state = 2},
  [1593] = {.lex_state = 408, .external_lex_state = 2},
  [1594] = {.lex_state = 408, .external_lex_state = 2},
  [1595] = {.lex_state = 408, .external_lex_state = 2},
  [1596] = {.lex_state = 408, .external_lex_state = 2},
  [1597] = {.lex_state = 408, .external_lex_state = 2},
  [1598] = {.lex_state = 408, .external_lex_state = 2},
  [1599] = {.lex_state = 408, .external_lex_state = 2},
  [1600] = {.lex_state = 408, .external_lex_state = 2},
  [1601] = {.lex_state = 408, .external_lex_state = 2},
  [1602] = {.lex_state = 408, .external_lex_state = 2},
  [1603] = {.lex_state = 408, .external_lex_state = 2},
  [1604] = {.lex_state = 408, .external_lex_state = 2},
  [1605] = {.lex_state = 408, .external_lex_state = 2},
  [1606] = {.lex_state = 408, .external_lex_state = 2},
  [1607] = {.lex_state = 408, .external_lex_state = 2},
  [1608] = {.lex_state = 408, .external_lex_state = 2},
  [1609] = {.lex_state = 408, .external_lex_state = 2},
  [1610] = {.lex_state = 408, .external_lex_state = 2},
  [1611] = {.lex_state = 408, .external_lex_state = 2},
  [1612] = {.lex_state = 408, .external_lex_state = 2},
  [1613] = {.lex_state = 408, .external_lex_state = 2},
  [1614] = {.lex_state = 408, .external_lex_state = 2},
  [1615] = {.lex_state = 408, .external_lex_state = 2},
  [1616] = {.lex_state = 408, .external_lex_state = 2},
  [1617] = {.lex_state = 408, .external_lex_state = 2},
  [1618] = {.lex_state = 408, .external_lex_state = 2},
  [1619] = {.lex_state = 408, .external_lex_state = 2},
  [1620] = {.lex_state = 408, .external_lex_state = 2},
  [1621] = {.lex_state = 408, .external_lex_state = 2},
  [1622] = {.lex_state = 408, .external_lex_state = 2},
  [1623] = {.lex_state = 408, .external_lex_state = 2},
  [1624] = {.lex_state = 408, .external_lex_state = 2},
  [1625] = {.lex_state = 408, .external_lex_state = 2},
  [1626] = {.lex_state = 408, .external_lex_state = 2},
  [1627] = {.lex_state = 408, .external_lex_state = 2},
  [1628] = {.lex_state = 408, .external_lex_state = 2},
  [1629] = {.lex_state = 408, .external_lex_state = 2},
  [1630] = {.lex_state = 408, .external_lex_state = 2},
  [1631] = {.lex_state = 408, .external_lex_state = 2},
  [1632] = {.lex_state = 408, .external_lex_state = 2},
  [1633] = {.lex_state = 408, .external_lex_state = 2},
  [1634] = {.lex_state = 408, .external_lex_state = 2},
  [1635] = {.lex_state = 408, .external_lex_state = 2},
  [1636] = {.lex_state = 408, .external_lex_state = 2},
  [1637] = {.lex_state = 408, .external_lex_state = 2},
  [1638] = {.lex_state = 408, .external_lex_state = 2},
  [1639] = {.lex_state = 408, .external_lex_state = 2},
  [1640] = {.lex_state = 408, .external_lex_state = 2},
  [1641] = {.lex_state = 408, .external_lex_state = 2},
  [1642] = {.lex_state = 408, .external_lex_state = 2},
  [1643] = {.lex_state = 408, .external_lex_state = 2},
  [1644] = {.lex_state = 408, .external_lex_state = 2},
  [1645] = {.lex_state = 408, .external_lex_state = 2},
  [1646] = {.lex_state = 408, .external_lex_state = 2},
  [1647] = {.lex_state = 408, .external_lex_state = 2},
  [1648] = {.lex_state = 408, .external_lex_state = 2},
  [1649] = {.lex_state = 408, .external_lex_state = 2},
  [1650] = {.lex_state = 408, .external_lex_state = 2},
  [1651] = {.lex_state = 408, .external_lex_state = 2},
  [1652] = {.lex_state = 408, .external_lex_state = 2},
  [1653] = {.lex_state = 408, .external_lex_state = 2},
  [1654] = {.lex_state = 408, .external_lex_state = 2},
  [1655] = {.lex_state = 408, .external_lex_state = 2},
  [1656] = {.lex_state = 408, .external_lex_state = 2},
  [1657] = {.lex_state = 408, .external_lex_state = 2},
  [1658] = {.lex_state = 408, .external_lex_state = 2},
  [1659] = {.lex_state = 408, .external_lex_state = 2},
  [1660] = {.lex_state = 408, .external_lex_state = 2},
  [1661] = {.lex_state = 408, .external_lex_state = 2},
  [1662] = {.lex_state = 408, .external_lex_state = 2},
  [1663] = {.lex_state = 408, .external_lex_state = 2},
  [1664] = {.lex_state = 408, .external_lex_state = 2},
  [1665] = {.lex_state = 408, .external_lex_state = 2},
  [1666] = {.lex_state = 408, .external_lex_state = 2},
  [1667] = {.lex_state = 408, .external_lex_state = 2},
  [1668] = {.lex_state = 408, .external_lex_state = 2},
  [1669] = {.lex_state = 408, .external_lex_state = 2},
  [1670] = {.lex_state = 408, .external_lex_state = 2},
  [1671] = {.lex_state = 408, .external_lex_state = 2},
  [1672] = {.lex_state = 408, .external_lex_state = 2},
  [1673] = {.lex_state = 408, .external_lex_state = 2},
  [1674] = {.lex_state = 408, .external_lex_state = 2},
  [1675] = {.lex_state = 408, .external_lex_state = 2},
  [1676] = {.lex_state = 408, .external_lex_state = 2},
  [1677] = {.lex_state = 408, .external_lex_state = 2},
  [1678] = {.lex_state = 408, .external_lex_state = 2},
  [1679] = {.lex_state = 408, .external_lex_state = 2},
  [1680] = {.lex_state = 408, .external_lex_state = 2},
  [1681] = {.lex_state = 408, .external_lex_state = 2},
  [1682] = {.lex_state = 408, .external_lex_state = 2},
  [1683] = {.lex_state = 408, .external_lex_state = 2},
  [1684] = {.lex_state = 408, .external_lex_state = 2},
  [1685] = {.lex_state = 408, .external_lex_state = 2},
  [1686] = {.lex_state = 408, .external_lex_state = 2},
  [1687] = {.lex_state = 408, .external_lex_state = 2},
  [1688] = {.lex_state = 408, .external_lex_state = 2},
  [1689] = {.lex_state = 408, .external_lex_state = 2},
  [1690] = {.lex_state = 408, .external_lex_state = 2},
  [1691] = {.lex_state = 408, .external_lex_state = 2},
  [1692] = {.lex_state = 408, .external_lex_state = 2},
  [1693] = {.lex_state = 408, .external_lex_state = 2},
  [1694] = {.lex_state = 408, .external_lex_state = 2},
  [1695] = {.lex_state = 408, .external_lex_state = 2},
  [1696] = {.lex_state = 408, .external_lex_state = 2},
  [1697] = {.lex_state = 408, .external_lex_state = 2},
  [1698] = {.lex_state = 408, .external_lex_state = 2},
  [1699] = {.lex_state = 408, .external_lex_state = 2},
  [1700] = {.lex_state = 408, .external_lex_state = 2},
  [1701] = {.lex_state = 408, .external_lex_state = 2},
  [1702] = {.lex_state = 408, .external_lex_state = 2},
  [1703] = {.lex_state = 408, .external_lex_state = 2},
  [1704] = {.lex_state = 408, .external_lex_state = 2},
  [1705] = {.lex_state = 408, .external_lex_state = 2},
  [1706] = {.lex_state = 408, .external_lex_state = 2},
  [1707] = {.lex_state = 408, .external_lex_state = 2},
  [1708] = {.lex_state = 408, .external_lex_state = 2},
  [1709] = {.lex_state = 408, .external_lex_state = 2},
  [1710] = {.lex_state = 408, .external_lex_state = 2},
  [1711] = {.lex_state = 408, .external_lex_state = 2},
  [1712] = {.lex_state = 408, .external_lex_state = 2},
  [1713] = {.lex_state = 408, .external_lex_state = 2},
  [1714] = {.lex_state = 408, .external_lex_state = 2},
  [1715] = {.lex_state = 408, .external_lex_state = 2},
  [1716] = {.lex_state = 408, .external_lex_state = 2},
  [1717] = {.lex_state = 408, .external_lex_state = 2},
  [1718] = {.lex_state = 408, .external_lex_state = 2},
  [1719] = {.lex_state = 408, .external_lex_state = 2},
  [1720] = {.lex_state = 408, .external_lex_state = 2},
  [1721] = {.lex_state = 51, .external_lex_state = 2},
  [1722] = {.lex_state = 51, .external_lex_state = 2},
  [1723] = {.lex_state = 51, .external_lex_state = 2},
  [1724] = {.lex_state = 51, .external_lex_state = 2},
  [1725] = {.lex_state = 51, .external_lex_state = 2},
  [1726] = {.lex_state = 408, .external_lex_state = 2},
  [1727] = {.lex_state = 51, .external_lex_state = 2},
  [1728] = {.lex_state = 408, .external_lex_state = 2},
  [1729] = {.lex_state = 408, .external_lex_state = 2},
  [1730] = {.lex_state = 408, .external_lex_state = 2},
  [1731] = {.lex_state = 408, .external_lex_state = 2},
  [1732] = {.lex_state = 408, .external_lex_state = 2},
  [1733] = {.lex_state = 408, .external_lex_state = 2},
  [1734] = {.lex_state = 51, .external_lex_state = 2},
  [1735] = {.lex_state = 51, .external_lex_state = 2},
  [1736] = {.lex_state = 408, .external_lex_state = 2},
  [1737] = {.lex_state = 408, .external_lex_state = 2},
  [1738] = {.lex_state = 408, .external_lex_state = 2},
  [1739] = {.lex_state = 408, .external_lex_state = 2},
  [1740] = {.lex_state = 408, .external_lex_state = 2},
  [1741] = {.lex_state = 51, .external_lex_state = 2},
  [1742] = {.lex_state = 51, .external_lex_state = 2},
  [1743] = {.lex_state = 51, .external_lex_state = 2},
  [1744] = {.lex_state = 51, .external_lex_state = 2},
  [1745] = {.lex_state = 408, .external_lex_state = 2},
  [1746] = {.lex_state = 51, .external_lex_state = 2},
  [1747] = {.lex_state = 51, .external_lex_state = 2},
  [1748] = {.lex_state = 51, .external_lex_state = 2},
  [1749] = {.lex_state = 52, .external_lex_state = 2},
  [1750] = {.lex_state = 52, .external_lex_state = 2},
  [1751] = {.lex_state = 52, .external_lex_state = 2},
  [1752] = {.lex_state = 51, .external_lex_state = 2},
  [1753] = {.lex_state = 52, .external_lex_state = 2},
  [1754] = {.lex_state = 52, .external_lex_state = 2},
  [1755] = {.lex_state = 52, .external_lex_state = 2},
  [1756] = {.lex_state = 52, .external_lex_state = 2},
  [1757] = {.lex_state = 52, .external_lex_state = 2},
  [1758] = {.lex_state = 52, .external_lex_state = 2},
  [1759] = {.lex_state = 52, .external_lex_state = 2},
  [1760] = {.lex_state = 52, .external_lex_state = 2},
  [1761] = {.lex_state = 52, .external_lex_state = 2},
  [1762] = {.lex_state = 52, .external_lex_state = 2},
  [1763] = {.lex_state = 52, .external_lex_state = 2},
  [1764] = {.lex_state = 52, .external_lex_state = 2},
  [1765] = {.lex_state = 52, .external_lex_state = 2},
  [1766] = {.lex_state = 52, .external_lex_state = 2},
  [1767] = {.lex_state = 52, .external_lex_state = 2},
  [1768] = {.lex_state = 52, .external_lex_state = 2},
  [1769] = {.lex_state = 52, .external_lex_state = 2},
  [1770] = {.lex_state = 52, .external_lex_state = 2},
  [1771] = {.lex_state = 52, .external_lex_state = 2},
  [1772] = {.lex_state = 52, .external_lex_state = 2},
  [1773] = {.lex_state = 52, .external_lex_state = 2},
  [1774] = {.lex_state = 52, .external_lex_state = 2},
  [1775] = {.lex_state = 52, .external_lex_state = 2},
  [1776] = {.lex_state = 52, .external_lex_state = 2},
  [1777] = {.lex_state = 52, .external_lex_state = 2},
  [1778] = {.lex_state = 52, .external_lex_state = 2},
  [1779] = {.lex_state = 52, .external_lex_state = 2},
  [1780] = {.lex_state = 52, .external_lex_state = 2},
  [1781] = {.lex_state = 52, .external_lex_state = 2},
  [1782] = {.lex_state = 52, .external_lex_state = 2},
  [1783] = {.lex_state = 52, .external_lex_state = 2},
  [1784] = {.lex_state = 52, .external_lex_state = 2},
  [1785] = {.lex_state = 52, .external_lex_state = 2},
  [1786] = {.lex_state = 52, .external_lex_state = 2},
  [1787] = {.lex_state = 52, .external_lex_state = 2},
  [1788] = {.lex_state = 52, .external_lex_state = 2},
  [1789] = {.lex_state = 52, .external_lex_state = 2},
  [1790] = {.lex_state = 52, .external_lex_state = 2},
  [1791] = {.lex_state = 52, .external_lex_state = 2},
  [1792] = {.lex_state = 52, .external_lex_state = 2},
  [1793] = {.lex_state = 52, .external_lex_state = 2},
  [1794] = {.lex_state = 52, .external_lex_state = 2},
  [1795] = {.lex_state = 52, .external_lex_state = 2},
  [1796] = {.lex_state = 52, .external_lex_state = 2},
  [1797] = {.lex_state = 52, .external_lex_state = 2},
  [1798] = {.lex_state = 52, .external_lex_state = 2},
  [1799] = {.lex_state = 52, .external_lex_state = 2},
  [1800] = {.lex_state = 52, .external_lex_state = 2},
  [1801] = {.lex_state = 52, .external_lex_state = 2},
  [1802] = {.lex_state = 52, .external_lex_state = 2},
  [1803] = {.lex_state = 52, .external_lex_state = 2},
  [1804] = {.lex_state = 52, .external_lex_state = 2},
  [1805] = {.lex_state = 51, .external_lex_state = 2},
  [1806] = {.lex_state = 51, .external_lex_state = 2},
  [1807] = {.lex_state = 51, .external_lex_state = 2},
  [1808] = {.lex_state = 51, .external_lex_state = 2},
  [1809] = {.lex_state = 51, .external_lex_state = 2},
  [1810] = {.lex_state = 51, .external_lex_state = 2},
  [1811] = {.lex_state = 51, .external_lex_state = 2},
  [1812] = {.lex_state = 51, .external_lex_state = 2},
  [1813] = {.lex_state = 51, .external_lex_state = 2},
  [1814] = {.lex_state = 51, .external_lex_state = 2},
  [1815] = {.lex_state = 38, .external_lex_state = 2},
  [1816] = {.lex_state = 38, .external_lex_state = 2},
  [1817] = {.lex_state = 38, .external_lex_state = 2},
  [1818] = {.lex_state = 38, .external_lex_state = 2},
  [1819] = {.lex_state = 38, .external_lex_state = 2},
  [1820] = {.lex_state = 38, .external_lex_state = 2},
  [1821] = {.lex_state = 38, .external_lex_state = 2},
  [1822] = {.lex_state = 38, .external_lex_state = 2},
  [1823] = {.lex_state = 38, .external_lex_state = 2},
  [1824] = {.lex_state = 38, .external_lex_state = 2},
  [1825] = {.lex_state = 38, .external_lex_state = 2},
  [1826] = {.lex_state = 38, .external_lex_state = 2},
  [1827] = {.lex_state = 18, .external_lex_state = 4},
  [1828] = {.lex_state = 18, .external_lex_state = 4},
  [1829] = {.lex_state = 18, .external_lex_state = 4},
  [1830] = {.lex_state = 51, .external_lex_state = 2},
  [1831] = {.lex_state = 51, .external_lex_state = 2},
  [1832] = {.lex_state = 18, .external_lex_state = 4},
  [1833] = {.lex_state = 53, .external_lex_state = 2},
  [1834] = {.lex_state = 18, .external_lex_state = 4},
  [1835] = {.lex_state = 18, .external_lex_state = 4},
  [1836] = {.lex_state = 18, .external_lex_state = 4},
  [1837] = {.lex_state = 51, .external_lex_state = 2},
  [1838] = {.lex_state = 18, .external_lex_state = 4},
  [1839] = {.lex_state = 18, .external_lex_state = 4},
  [1840] = {.lex_state = 51, .external_lex_state = 2},
  [1841] = {.lex_state = 51, .external_lex_state = 2},
  [1842] = {.lex_state = 51, .external_lex_state = 2},
  [1843] = {.lex_state = 51, .external_lex_state = 2},
  [1844] = {.lex_state = 51, .external_lex_state = 2},
  [1845] = {.lex_state = 51, .external_lex_state = 2},
  [1846] = {.lex_state = 51, .external_lex_state = 2},
  [1847] = {.lex_state = 51, .external_lex_state = 2},
  [1848] = {.lex_state = 51, .external_lex_state = 2},
  [1849] = {.lex_state = 51, .external_lex_state = 2},
  [1850] = {.lex_state = 51, .external_lex_state = 2},
  [1851] = {.lex_state = 51, .external_lex_state = 2},
  [1852] = {.lex_state = 51, .external_lex_state = 2},
  [1853] = {.lex_state = 51, .external_lex_state = 2},
  [1854] = {.lex_state = 51, .external_lex_state = 2},
  [1855] = {.lex_state = 51, .external_lex_state = 2},
  [1856] = {.lex_state = 51, .external_lex_state = 2},
  [1857] = {.lex_state = 51, .external_lex_state = 2},
  [1858] = {.lex_state = 51, .external_lex_state = 2},
  [1859] = {.lex_state = 51, .external_lex_state = 2},
  [1860] = {.lex_state = 51, .external_lex_state = 2},
  [1861] = {.lex_state = 51, .external_lex_state = 2},
  [1862] = {.lex_state = 51, .external_lex_state = 2},
  [1863] = {.lex_state = 51, .external_lex_state = 2},
  [1864] = {.lex_state = 51, .external_lex_state = 2},
  [1865] = {.lex_state = 51, .external_lex_state = 2},
  [1866] = {.lex_state = 51, .external_lex_state = 2},
  [1867] = {.lex_state = 51, .external_lex_state = 2},
  [1868] = {.lex_state = 51, .external_lex_state = 2},
  [1869] = {.lex_state = 51, .external_lex_state = 2},
  [1870] = {.lex_state = 51, .external_lex_state = 2},
  [1871] = {.lex_state = 51, .external_lex_state = 2},
  [1872] = {.lex_state = 51, .external_lex_state = 2},
  [1873] = {.lex_state = 51, .external_lex_state = 2},
  [1874] = {.lex_state = 51, .external_lex_state = 2},
  [1875] = {.lex_state = 51, .external_lex_state = 2},
  [1876] = {.lex_state = 51, .external_lex_state = 2},
  [1877] = {.lex_state = 51, .external_lex_state = 2},
  [1878] = {.lex_state = 51, .external_lex_state = 2},
  [1879] = {.lex_state = 51, .external_lex_state = 2},
  [1880] = {.lex_state = 51, .external_lex_state = 2},
  [1881] = {.lex_state = 51, .external_lex_state = 2},
  [1882] = {.lex_state = 51, .external_lex_state = 2},
  [1883] = {.lex_state = 51, .external_lex_state = 2},
  [1884] = {.lex_state = 51, .external_lex_state = 2},
  [1885] = {.lex_state = 51, .external_lex_state = 2},
  [1886] = {.lex_state = 51, .external_lex_state = 2},
  [1887] = {.lex_state = 51, .external_lex_state = 2},
  [1888] = {.lex_state = 51, .external_lex_state = 2},
  [1889] = {.lex_state = 51, .external_lex_state = 2},
  [1890] = {.lex_state = 51, .external_lex_state = 2},
  [1891] = {.lex_state = 51, .external_lex_state = 2},
  [1892] = {.lex_state = 51, .external_lex_state = 2},
  [1893] = {.lex_state = 51, .external_lex_state = 2},
  [1894] = {.lex_state = 51, .external_lex_state = 2},
  [1895] = {.lex_state = 51, .external_lex_state = 2},
  [1896] = {.lex_state = 51, .external_lex_state = 2},
  [1897] = {.lex_state = 51, .external_lex_state = 2},
  [1898] = {.lex_state = 51, .external_lex_state = 2},
  [1899] = {.lex_state = 51, .external_lex_state = 2},
  [1900] = {.lex_state = 51, .external_lex_state = 2},
  [1901] = {.lex_state = 51, .external_lex_state = 2},
  [1902] = {.lex_state = 51, .external_lex_state = 2},
  [1903] = {.lex_state = 51, .external_lex_state = 2},
  [1904] = {.lex_state = 51, .external_lex_state = 2},
  [1905] = {.lex_state = 51, .external_lex_state = 2},
  [1906] = {.lex_state = 51, .external_lex_state = 2},
  [1907] = {.lex_state = 51, .external_lex_state = 2},
  [1908] = {.lex_state = 51, .external_lex_state = 2},
  [1909] = {.lex_state = 51, .external_lex_state = 2},
  [1910] = {.lex_state = 51, .external_lex_state = 2},
  [1911] = {.lex_state = 51, .external_lex_state = 2},
  [1912] = {.lex_state = 51, .external_lex_state = 2},
  [1913] = {.lex_state = 51, .external_lex_state = 2},
  [1914] = {.lex_state = 51, .external_lex_state = 2},
  [1915] = {.lex_state = 51, .external_lex_state = 2},
  [1916] = {.lex_state = 51, .external_lex_state = 2},
  [1917] = {.lex_state = 51, .external_lex_state = 2},
  [1918] = {.lex_state = 51, .external_lex_state = 2},
  [1919] = {.lex_state = 51, .external_lex_state = 2},
  [1920] = {.lex_state = 51, .external_lex_state = 2},
  [1921] = {.lex_state = 51, .external_lex_state = 2},
  [1922] = {.lex_state = 51, .external_lex_state = 2},
  [1923] = {.lex_state = 51, .external_lex_state = 2},
  [1924] = {.lex_state = 51, .external_lex_state = 2},
  [1925] = {.lex_state = 51, .external_lex_state = 2},
  [1926] = {.lex_state = 51, .external_lex_state = 2},
  [1927] = {.lex_state = 51, .external_lex_state = 2},
  [1928] = {.lex_state = 51, .external_lex_state = 2},
  [1929] = {.lex_state = 51, .external_lex_state = 2},
  [1930] = {.lex_state = 51, .external_lex_state = 2},
  [1931] = {.lex_state = 51, .external_lex_state = 2},
  [1932] = {.lex_state = 51, .external_lex_state = 2},
  [1933] = {.lex_state = 51, .external_lex_state = 2},
  [1934] = {.lex_state = 51, .external_lex_state = 2},
  [1935] = {.lex_state = 51, .external_lex_state = 2},
  [1936] = {.lex_state = 51, .external_lex_state = 2},
  [1937] = {.lex_state = 51, .external_lex_state = 2},
  [1938] = {.lex_state = 51, .external_lex_state = 2},
  [1939] = {.lex_state = 51, .external_lex_state = 2},
  [1940] = {.lex_state = 51, .external_lex_state = 2},
  [1941] = {.lex_state = 51, .external_lex_state = 2},
  [1942] = {.lex_state = 51, .external_lex_state = 2},
  [1943] = {.lex_state = 51, .external_lex_state = 2},
  [1944] = {.lex_state = 51, .external_lex_state = 2},
  [1945] = {.lex_state = 51, .external_lex_state = 2},
  [1946] = {.lex_state = 51, .external_lex_state = 2},
  [1947] = {.lex_state = 51, .external_lex_state = 2},
  [1948] = {.lex_state = 51, .external_lex_state = 2},
  [1949] = {.lex_state = 51, .external_lex_state = 2},
  [1950] = {.lex_state = 51, .external_lex_state = 2},
  [1951] = {.lex_state = 51, .external_lex_state = 2},
  [1952] = {.lex_state = 51, .external_lex_state = 2},
  [1953] = {.lex_state = 51, .external_lex_state = 2},
  [1954] = {.lex_state = 51, .external_lex_state = 2},
  [1955] = {.lex_state = 51, .external_lex_state = 2},
  [1956] = {.lex_state = 51, .external_lex_state = 2},
  [1957] = {.lex_state = 51, .external_lex_state = 2},
  [1958] = {.lex_state = 51, .external_lex_state = 2},
  [1959] = {.lex_state = 51, .external_lex_state = 2},
  [1960] = {.lex_state = 51, .external_lex_state = 2},
  [1961] = {.lex_state = 51, .external_lex_state = 2},
  [1962] = {.lex_state = 51, .external_lex_state = 2},
  [1963] = {.lex_state = 51, .external_lex_state = 2},
  [1964] = {.lex_state = 51, .external_lex_state = 2},
  [1965] = {.lex_state = 18, .external_lex_state = 3},
  [1966] = {.lex_state = 18, .external_lex_state = 3},
  [1967] = {.lex_state = 18, .external_lex_state = 3},
  [1968] = {.lex_state = 38, .external_lex_state = 2},
  [1969] = {.lex_state = 38, .external_lex_state = 2},
  [1970] = {.lex_state = 18, .external_lex_state = 3},
  [1971] = {.lex_state = 18, .external_lex_state = 3},
  [1972] = {.lex_state = 18, .external_lex_state = 4},
  [1973] = {.lex_state = 18, .external_lex_state = 4},
  [1974] = {.lex_state = 18, .external_lex_state = 4},
  [1975] = {.lex_state = 18, .external_lex_state = 4},
  [1976] = {.lex_state = 18, .external_lex_state = 4},
  [1977] = {.lex_state = 18, .external_lex_state = 4},
  [1978] = {.lex_state = 18, .external_lex_state = 4},
  [1979] = {.lex_state = 18, .external_lex_state = 4},
  [1980] = {.lex_state = 18, .external_lex_state = 4},
  [1981] = {.lex_state = 18, .external_lex_state = 4},
  [1982] = {.lex_state = 18, .external_lex_state = 3},
  [1983] = {.lex_state = 18, .external_lex_state = 4},
  [1984] = {.lex_state = 18, .external_lex_state = 4},
  [1985] = {.lex_state = 18, .external_lex_state = 4},
  [1986] = {.lex_state = 18, .external_lex_state = 4},
  [1987] = {.lex_state = 21, .external_lex_state = 4},
  [1988] = {.lex_state = 18, .external_lex_state = 4},
  [1989] = {.lex_state = 18, .external_lex_state = 4},
  [1990] = {.lex_state = 21, .external_lex_state = 4},
  [1991] = {.lex_state = 18, .external_lex_state = 4},
  [1992] = {.lex_state = 21, .external_lex_state = 4},
  [1993] = {.lex_state = 21, .external_lex_state = 4},
  [1994] = {.lex_state = 22, .external_lex_state = 3},
  [1995] = {.lex_state = 18, .external_lex_state = 4},
  [1996] = {.lex_state = 18, .external_lex_state = 4},
  [1997] = {.lex_state = 22, .external_lex_state = 3},
  [1998] = {.lex_state = 18, .external_lex_state = 3},
  [1999] = {.lex_state = 18, .external_lex_state = 4},
  [2000] = {.lex_state = 24, .external_lex_state = 4},
  [2001] = {.lex_state = 24, .external_lex_state = 3},
  [2002] = {.lex_state = 18, .external_lex_state = 3},
  [2003] = {.lex_state = 24, .external_lex_state = 3},
  [2004] = {.lex_state = 24, .external_lex_state = 3},
  [2005] = {.lex_state = 18, .external_lex_state = 4},
  [2006] = {.lex_state = 24, .external_lex_state = 3},
  [2007] = {.lex_state = 24, .external_lex_state = 3},
  [2008] = {.lex_state = 18, .external_lex_state = 4},
  [2009] = {.lex_state = 18, .external_lex_state = 3},
  [2010] = {.lex_state = 18, .external_lex_state = 4},
  [2011] = {.lex_state = 18, .external_lex_state = 4},
  [2012] = {.lex_state = 18, .external_lex_state = 3},
  [2013] = {.lex_state = 18, .external_lex_state = 4},
  [2014] = {.lex_state = 24, .external_lex_state = 4},
  [2015] = {.lex_state = 24, .external_lex_state = 4},
  [2016] = {.lex_state = 18, .external_lex_state = 4},
  [2017] = {.lex_state = 18, .external_lex_state = 4},
  [2018] = {.lex_state = 18, .external_lex_state = 4},
  [2019] = {.lex_state = 24, .external_lex_state = 3},
  [2020] = {.lex_state = 18, .external_lex_state = 4},
  [2021] = {.lex_state = 18, .external_lex_state = 4},
  [2022] = {.lex_state = 24, .external_lex_state = 3},
  [2023] = {.lex_state = 24, .external_lex_state = 4},
  [2024] = {.lex_state = 18, .external_lex_state = 4},
  [2025] = {.lex_state = 24, .external_lex_state = 4},
  [2026] = {.lex_state = 18, .external_lex_state = 3},
  [2027] = {.lex_state = 18, .external_lex_state = 3},
  [2028] = {.lex_state = 18, .external_lex_state = 4},
  [2029] = {.lex_state = 24, .external_lex_state = 4},
  [2030] = {.lex_state = 24, .external_lex_state = 4},
  [2031] = {.lex_state = 18, .external_lex_state = 4},
  [2032] = {.lex_state = 18, .external_lex_state = 4},
  [2033] = {.lex_state = 18, .external_lex_state = 4},
  [2034] = {.lex_state = 18, .external_lex_state = 4},
  [2035] = {.lex_state = 24, .external_lex_state = 3},
  [2036] = {.lex_state = 18, .external_lex_state = 4},
  [2037] = {.lex_state = 18, .external_lex_state = 4},
  [2038] = {.lex_state = 21, .external_lex_state = 3},
  [2039] = {.lex_state = 24, .external_lex_state = 3},
  [2040] = {.lex_state = 24, .external_lex_state = 3},
  [2041] = {.lex_state = 21, .external_lex_state = 3},
  [2042] = {.lex_state = 24, .external_lex_state = 4},
  [2043] = {.lex_state = 24, .external_lex_state = 4},
  [2044] = {.lex_state = 18, .external_lex_state = 3},
  [2045] = {.lex_state = 24, .external_lex_state = 3},
  [2046] = {.lex_state = 18, .external_lex_state = 3},
  [2047] = {.lex_state = 21, .external_lex_state = 3},
  [2048] = {.lex_state = 24, .external_lex_state = 3},
  [2049] = {.lex_state = 18, .external_lex_state = 3},
  [2050] = {.lex_state = 24, .external_lex_state = 4},
  [2051] = {.lex_state = 24, .external_lex_state = 3},
  [2052] = {.lex_state = 24, .external_lex_state = 3},
  [2053] = {.lex_state = 18, .external_lex_state = 3},
  [2054] = {.lex_state = 37, .external_lex_state = 2},
  [2055] = {.lex_state = 24, .external_lex_state = 3},
  [2056] = {.lex_state = 24, .external_lex_state = 3},
  [2057] = {.lex_state = 18, .external_lex_state = 3},
  [2058] = {.lex_state = 24, .external_lex_state = 4},
  [2059] = {.lex_state = 18, .external_lex_state = 3},
  [2060] = {.lex_state = 24, .external_lex_state = 3},
  [2061] = {.lex_state = 24, .external_lex_state = 3},
  [2062] = {.lex_state = 24, .external_lex_state = 3},
  [2063] = {.lex_state = 18, .external_lex_state = 3},
  [2064] = {.lex_state = 24, .external_lex_state = 3},
  [2065] = {.lex_state = 18, .external_lex_state = 3},
  [2066] = {.lex_state = 24, .external_lex_state = 3},
  [2067] = {.lex_state = 24, .external_lex_state = 3},
  [2068] = {.lex_state = 21, .external_lex_state = 3},
  [2069] = {.lex_state = 24, .external_lex_state = 3},
  [2070] = {.lex_state = 24, .external_lex_state = 4},
  [2071] = {.lex_state = 18, .external_lex_state = 3},
  [2072] = {.lex_state = 24, .external_lex_state = 4},
  [2073] = {.lex_state = 37, .external_lex_state = 2},
  [2074] = {.lex_state = 18, .external_lex_state = 3},
  [2075] = {.lex_state = 37, .external_lex_state = 2},
  [2076] = {.lex_state = 18, .external_lex_state = 3},
  [2077] = {.lex_state = 24, .external_lex_state = 3},
  [2078] = {.lex_state = 24, .external_lex_state = 3},
  [2079] = {.lex_state = 24, .external_lex_state = 4},
  [2080] = {.lex_state = 24, .external_lex_state = 3},
  [2081] = {.lex_state = 18, .external_lex_state = 3},
  [2082] = {.lex_state = 18, .external_lex_state = 3},
  [2083] = {.lex_state = 24, .external_lex_state = 3},
  [2084] = {.lex_state = 24, .external_lex_state = 3},
  [2085] = {.lex_state = 18, .external_lex_state = 4},
  [2086] = {.lex_state = 24, .external_lex_state = 3},
  [2087] = {.lex_state = 24, .external_lex_state = 4},
  [2088] = {.lex_state = 24, .external_lex_state = 3},
  [2089] = {.lex_state = 24, .external_lex_state = 3},
  [2090] = {.lex_state = 37, .external_lex_state = 2},
  [2091] = {.lex_state = 18, .external_lex_state = 4},
  [2092] = {.lex_state = 24, .external_lex_state = 3},
  [2093] = {.lex_state = 24, .external_lex_state = 4},
  [2094] = {.lex_state = 24, .external_lex_state = 3},
  [2095] = {.lex_state = 18, .external_lex_state = 4},
  [2096] = {.lex_state = 24, .external_lex_state = 3},
  [2097] = {.lex_state = 24, .external_lex_state = 4},
  [2098] = {.lex_state = 24, .external_lex_state = 3},
  [2099] = {.lex_state = 24, .external_lex_state = 3},
  [2100] = {.lex_state = 37, .external_lex_state = 2},
  [2101] = {.lex_state = 24, .external_lex_state = 3},
  [2102] = {.lex_state = 24, .external_lex_state = 3},
  [2103] = {.lex_state = 24, .external_lex_state = 3},
  [2104] = {.lex_state = 18, .external_lex_state = 4},
  [2105] = {.lex_state = 24, .external_lex_state = 3},
  [2106] = {.lex_state = 24, .external_lex_state = 3},
  [2107] = {.lex_state = 18, .external_lex_state = 4},
  [2108] = {.lex_state = 37, .external_lex_state = 2},
  [2109] = {.lex_state = 24, .external_lex_state = 3},
  [2110] = {.lex_state = 24, .external_lex_state = 3},
  [2111] = {.lex_state = 24, .external_lex_state = 3},
  [2112] = {.lex_state = 24, .external_lex_state = 4},
  [2113] = {.lex_state = 37, .external_lex_state = 2},
  [2114] = {.lex_state = 37, .external_lex_state = 2},
  [2115] = {.lex_state = 24, .external_lex_state = 4},
  [2116] = {.lex_state = 24, .external_lex_state = 4},
  [2117] = {.lex_state = 24, .external_lex_state = 4},
  [2118] = {.lex_state = 24, .external_lex_state = 4},
  [2119] = {.lex_state = 24, .external_lex_state = 3},
  [2120] = {.lex_state = 24, .external_lex_state = 4},
  [2121] = {.lex_state = 24, .external_lex_state = 4},
  [2122] = {.lex_state = 24, .external_lex_state = 4},
  [2123] = {.lex_state = 24, .external_lex_state = 4},
  [2124] = {.lex_state = 24, .external_lex_state = 4},
  [2125] = {.lex_state = 24, .external_lex_state = 4},
  [2126] = {.lex_state = 24, .external_lex_state = 4},
  [2127] = {.lex_state = 24, .external_lex_state = 4},
  [2128] = {.lex_state = 24, .external_lex_state = 3},
  [2129] = {.lex_state = 24, .external_lex_state = 4},
  [2130] = {.lex_state = 24, .external_lex_state = 4},
  [2131] = {.lex_state = 24, .external_lex_state = 3},
  [2132] = {.lex_state = 24, .external_lex_state = 4},
  [2133] = {.lex_state = 24, .external_lex_state = 4},
  [2134] = {.lex_state = 24, .external_lex_state = 3},
  [2135] = {.lex_state = 24, .external_lex_state = 4},
  [2136] = {.lex_state = 24, .external_lex_state = 3},
  [2137] = {.lex_state = 24, .external_lex_state = 4},
  [2138] = {.lex_state = 24, .external_lex_state = 4},
  [2139] = {.lex_state = 24, .external_lex_state = 3},
  [2140] = {.lex_state = 24, .external_lex_state = 4},
  [2141] = {.lex_state = 37, .external_lex_state = 2},
  [2142] = {.lex_state = 24, .external_lex_state = 4},
  [2143] = {.lex_state = 24, .external_lex_state = 4},
  [2144] = {.lex_state = 24, .external_lex_state = 4},
  [2145] = {.lex_state = 37, .external_lex_state = 2},
  [2146] = {.lex_state = 24, .external_lex_state = 4},
  [2147] = {.lex_state = 37, .external_lex_state = 2},
  [2148] = {.lex_state = 24, .external_lex_state = 3},
  [2149] = {.lex_state = 37, .external_lex_state = 2},
  [2150] = {.lex_state = 37, .external_lex_state = 2},
  [2151] = {.lex_state = 24, .external_lex_state = 3},
  [2152] = {.lex_state = 37, .external_lex_state = 2},
  [2153] = {.lex_state = 24, .external_lex_state = 4},
  [2154] = {.lex_state = 24, .external_lex_state = 3},
  [2155] = {.lex_state = 24, .external_lex_state = 4},
  [2156] = {.lex_state = 24, .external_lex_state = 4},
  [2157] = {.lex_state = 24, .external_lex_state = 4},
  [2158] = {.lex_state = 24, .external_lex_state = 4},
  [2159] = {.lex_state = 24, .external_lex_state = 3},
  [2160] = {.lex_state = 24, .external_lex_state = 4},
  [2161] = {.lex_state = 37, .external_lex_state = 2},
  [2162] = {.lex_state = 24, .external_lex_state = 4},
  [2163] = {.lex_state = 24, .external_lex_state = 3},
  [2164] = {.lex_state = 24, .external_lex_state = 3},
  [2165] = {.lex_state = 24, .external_lex_state = 3},
  [2166] = {.lex_state = 37, .external_lex_state = 2},
  [2167] = {.lex_state = 24, .external_lex_state = 3},
  [2168] = {.lex_state = 24, .external_lex_state = 4},
  [2169] = {.lex_state = 24, .external_lex_state = 4},
  [2170] = {.lex_state = 24, .external_lex_state = 4},
  [2171] = {.lex_state = 24, .external_lex_state = 3},
  [2172] = {.lex_state = 18, .external_lex_state = 4},
  [2173] = {.lex_state = 24, .external_lex_state = 3},
  [2174] = {.lex_state = 24, .external_lex_state = 3},
  [2175] = {.lex_state = 24, .external_lex_state = 4},
  [2176] = {.lex_state = 18, .external_lex_state = 4},
  [2177] = {.lex_state = 24, .external_lex_state = 4},
  [2178] = {.lex_state = 18, .external_lex_state = 4},
  [2179] = {.lex_state = 24, .external_lex_state = 3},
  [2180] = {.lex_state = 18, .external_lex_state = 4},
  [2181] = {.lex_state = 24, .external_lex_state = 3},
  [2182] = {.lex_state = 24, .external_lex_state = 3},
  [2183] = {.lex_state = 24, .external_lex_state = 3},
  [2184] = {.lex_state = 24, .external_lex_state = 4},
  [2185] = {.lex_state = 24, .external_lex_state = 3},
  [2186] = {.lex_state = 18, .external_lex_state = 4},
  [2187] = {.lex_state = 24, .external_lex_state = 3},
  [2188] = {.lex_state = 18, .external_lex_state = 4},
  [2189] = {.lex_state = 24, .external_lex_state = 3},
  [2190] = {.lex_state = 24, .external_lex_state = 3},
  [2191] = {.lex_state = 24, .external_lex_state = 3},
  [2192] = {.lex_state = 38, .external_lex_state = 2},
  [2193] = {.lex_state = 38, .external_lex_state = 2},
  [2194] = {.lex_state = 24, .external_lex_state = 3},
  [2195] = {.lex_state = 24, .external_lex_state = 4},
  [2196] = {.lex_state = 24, .external_lex_state = 3},
  [2197] = {.lex_state = 24, .external_lex_state = 3},
  [2198] = {.lex_state = 24, .external_lex_state = 3},
  [2199] = {.lex_state = 24, .external_lex_state = 3},
  [2200] = {.lex_state = 24, .external_lex_state = 4},
  [2201] = {.lex_state = 24, .external_lex_state = 3},
  [2202] = {.lex_state = 24, .external_lex_state = 3},
  [2203] = {.lex_state = 24, .external_lex_state = 3},
  [2204] = {.lex_state = 24, .external_lex_state = 4},
  [2205] = {.lex_state = 24, .external_lex_state = 4},
  [2206] = {.lex_state = 24, .external_lex_state = 4},
  [2207] = {.lex_state = 24, .external_lex_state = 3},
  [2208] = {.lex_state = 38, .external_lex_state = 2},
  [2209] = {.lex_state = 24, .external_lex_state = 3},
  [2210] = {.lex_state = 24, .external_lex_state = 4},
  [2211] = {.lex_state = 24, .external_lex_state = 3},
  [2212] = {.lex_state = 38, .external_lex_state = 2},
  [2213] = {.lex_state = 38, .external_lex_state = 2},
  [2214] = {.lex_state = 24, .external_lex_state = 3},
  [2215] = {.lex_state = 38, .external_lex_state = 2},
  [2216] = {.lex_state = 38, .external_lex_state = 2},
  [2217] = {.lex_state = 38, .external_lex_state = 2},
  [2218] = {.lex_state = 38, .external_lex_state = 2},
  [2219] = {.lex_state = 24, .external_lex_state = 3},
  [2220] = {.lex_state = 24, .external_lex_state = 3},
  [2221] = {.lex_state = 24, .external_lex_state = 4},
  [2222] = {.lex_state = 24, .external_lex_state = 3},
  [2223] = {.lex_state = 24, .external_lex_state = 3},
  [2224] = {.lex_state = 24, .external_lex_state = 3},
  [2225] = {.lex_state = 24, .external_lex_state = 3},
  [2226] = {.lex_state = 24, .external_lex_state = 3},
  [2227] = {.lex_state = 24, .external_lex_state = 3},
  [2228] = {.lex_state = 24, .external_lex_state = 3},
  [2229] = {.lex_state = 24, .external_lex_state = 3},
  [2230] = {.lex_state = 24, .external_lex_state = 3},
  [2231] = {.lex_state = 24, .external_lex_state = 3},
  [2232] = {.lex_state = 24, .external_lex_state = 3},
  [2233] = {.lex_state = 38, .external_lex_state = 2},
  [2234] = {.lex_state = 38, .external_lex_state = 2},
  [2235] = {.lex_state = 24, .external_lex_state = 3},
  [2236] = {.lex_state = 38, .external_lex_state = 2},
  [2237] = {.lex_state = 24, .external_lex_state = 3},
  [2238] = {.lex_state = 24, .external_lex_state = 3},
  [2239] = {.lex_state = 24, .external_lex_state = 3},
  [2240] = {.lex_state = 38, .external_lex_state = 2},
  [2241] = {.lex_state = 24, .external_lex_state = 3},
  [2242] = {.lex_state = 38, .external_lex_state = 2},
  [2243] = {.lex_state = 38, .external_lex_state = 2},
  [2244] = {.lex_state = 24, .external_lex_state = 3},
  [2245] = {.lex_state = 24, .external_lex_state = 3},
  [2246] = {.lex_state = 38, .external_lex_state = 2},
  [2247] = {.lex_state = 24, .external_lex_state = 3},
  [2248] = {.lex_state = 24, .external_lex_state = 3},
  [2249] = {.lex_state = 24, .external_lex_state = 3},
  [2250] = {.lex_state = 24, .external_lex_state = 3},
  [2251] = {.lex_state = 38, .external_lex_state = 2},
  [2252] = {.lex_state = 38, .external_lex_state = 2},
  [2253] = {.lex_state = 24, .external_lex_state = 3},
  [2254] = {.lex_state = 24, .external_lex_state = 3},
  [2255] = {.lex_state = 24, .external_lex_state = 3},
  [2256] = {.lex_state = 38, .external_lex_state = 2},
  [2257] = {.lex_state = 38, .external_lex_state = 2},
  [2258] = {.lex_state = 38, .external_lex_state = 2},
  [2259] = {.lex_state = 24, .external_lex_state = 3},
  [2260] = {.lex_state = 38, .external_lex_state = 2},
  [2261] = {.lex_state = 38, .external_lex_state = 2},
  [2262] = {.lex_state = 38, .external_lex_state = 2},
  [2263] = {.lex_state = 38, .external_lex_state = 2},
  [2264] = {.lex_state = 38, .external_lex_state = 2},
  [2265] = {.lex_state = 24, .external_lex_state = 3},
  [2266] = {.lex_state = 38, .external_lex_state = 2},
  [2267] = {.lex_state = 38, .external_lex_state = 2},
  [2268] = {.lex_state = 24, .external_lex_state = 3},
  [2269] = {.lex_state = 38, .external_lex_state = 2},
  [2270] = {.lex_state = 24, .external_lex_state = 3},
  [2271] = {.lex_state = 24, .external_lex_state = 3},
  [2272] = {.lex_state = 38, .external_lex_state = 2},
  [2273] = {.lex_state = 38, .external_lex_state = 2},
  [2274] = {.lex_state = 38, .external_lex_state = 2},
  [2275] = {.lex_state = 24, .external_lex_state = 3},
  [2276] = {.lex_state = 24, .external_lex_state = 3},
  [2277] = {.lex_state = 24, .external_lex_state = 3},
  [2278] = {.lex_state = 24, .external_lex_state = 3},
  [2279] = {.lex_state = 24, .external_lex_state = 3},
  [2280] = {.lex_state = 38, .external_lex_state = 2},
  [2281] = {.lex_state = 38, .external_lex_state = 2},
  [2282] = {.lex_state = 38, .external_lex_state = 2},
  [2283] = {.lex_state = 38, .external_lex_state = 2},
  [2284] = {.lex_state = 24, .external_lex_state = 3},
  [2285] = {.lex_state = 24, .external_lex_state = 3},
  [2286] = {.lex_state = 24, .external_lex_state = 3},
  [2287] = {.lex_state = 24, .external_lex_state = 3},
  [2288] = {.lex_state = 24, .external_lex_state = 3},
  [2289] = {.lex_state = 24, .external_lex_state = 3},
  [2290] = {.lex_state = 24, .external_lex_state = 3},
  [2291] = {.lex_state = 24, .external_lex_state = 3},
  [2292] = {.lex_state = 24, .external_lex_state = 3},
  [2293] = {.lex_state = 38, .external_lex_state = 2},
  [2294] = {.lex_state = 38, .external_lex_state = 2},
  [2295] = {.lex_state = 38, .external_lex_state = 2},
  [2296] = {.lex_state = 38, .external_lex_state = 2},
  [2297] = {.lex_state = 38, .external_lex_state = 2},
  [2298] = {.lex_state = 38, .external_lex_state = 2},
  [2299] = {.lex_state = 38, .external_lex_state = 2},
  [2300] = {.lex_state = 38, .external_lex_state = 2},
  [2301] = {.lex_state = 38, .external_lex_state = 2},
  [2302] = {.lex_state = 38, .external_lex_state = 2},
  [2303] = {.lex_state = 48, .external_lex_state = 5},
  [2304] = {.lex_state = 48, .external_lex_state = 5},
  [2305] = {.lex_state = 48, .external_lex_state = 5},
  [2306] = {.lex_state = 48, .external_lex_state = 5},
  [2307] = {.lex_state = 48, .external_lex_state = 5},
  [2308] = {.lex_state = 38, .external_lex_state = 2},
  [2309] = {.lex_state = 39, .external_lex_state = 2},
  [2310] = {.lex_state = 38, .external_lex_state = 2},
  [2311] = {.lex_state = 38, .external_lex_state = 2},
  [2312] = {.lex_state = 38, .external_lex_state = 2},
  [2313] = {.lex_state = 39, .external_lex_state = 2},
  [2314] = {.lex_state = 39, .external_lex_state = 2},
  [2315] = {.lex_state = 39, .external_lex_state = 2},
  [2316] = {.lex_state = 38, .external_lex_state = 2},
  [2317] = {.lex_state = 38, .external_lex_state = 2},
  [2318] = {.lex_state = 38, .external_lex_state = 2},
  [2319] = {.lex_state = 38, .external_lex_state = 2},
  [2320] = {.lex_state = 38, .external_lex_state = 2},
  [2321] = {.lex_state = 38, .external_lex_state = 2},
  [2322] = {.lex_state = 38, .external_lex_state = 2},
  [2323] = {.lex_state = 38, .external_lex_state = 2},
  [2324] = {.lex_state = 38, .external_lex_state = 2},
  [2325] = {.lex_state = 38, .external_lex_state = 2},
  [2326] = {.lex_state = 39, .external_lex_state = 2},
  [2327] = {.lex_state = 39, .external_lex_state = 2},
  [2328] = {.lex_state = 38, .external_lex_state = 2},
  [2329] = {.lex_state = 38, .external_lex_state = 2},
  [2330] = {.lex_state = 38, .external_lex_state = 2},
  [2331] = {.lex_state = 38, .external_lex_state = 2},
  [2332] = {.lex_state = 38, .external_lex_state = 2},
  [2333] = {.lex_state = 38, .external_lex_state = 2},
  [2334] = {.lex_state = 39, .external_lex_state = 2},
  [2335] = {.lex_state = 38, .external_lex_state = 2},
  [2336] = {.lex_state = 38, .external_lex_state = 2},
  [2337] = {.lex_state = 38, .external_lex_state = 2},
  [2338] = {.lex_state = 38, .external_lex_state = 2},
  [2339] = {.lex_state = 38, .external_lex_state = 2},
  [2340] = {.lex_state = 38, .external_lex_state = 2},
  [2341] = {.lex_state = 38, .external_lex_state = 2},
  [2342] = {.lex_state = 38, .external_lex_state = 2},
  [2343] = {.lex_state = 38, .external_lex_state = 2},
  [2344] = {.lex_state = 38, .external_lex_state = 2},
  [2345] = {.lex_state = 38, .external_lex_state = 2},
  [2346] = {.lex_state = 38, .external_lex_state = 2},
  [2347] = {.lex_state = 38, .external_lex_state = 2},
  [2348] = {.lex_state = 29, .external_lex_state = 4},
  [2349] = {.lex_state = 29, .external_lex_state = 4},
  [2350] = {.lex_state = 48, .external_lex_state = 5},
  [2351] = {.lex_state = 48, .external_lex_state = 5},
  [2352] = {.lex_state = 29, .external_lex_state = 3},
  [2353] = {.lex_state = 39, .external_lex_state = 2},
  [2354] = {.lex_state = 29, .external_lex_state = 3},
  [2355] = {.lex_state = 29, .external_lex_state = 3},
  [2356] = {.lex_state = 29, .external_lex_state = 3},
  [2357] = {.lex_state = 29, .external_lex_state = 3},
  [2358] = {.lex_state = 29, .external_lex_state = 3},
  [2359] = {.lex_state = 29, .external_lex_state = 3},
  [2360] = {.lex_state = 29, .external_lex_state = 3},
  [2361] = {.lex_state = 29, .external_lex_state = 4},
  [2362] = {.lex_state = 29, .external_lex_state = 3},
  [2363] = {.lex_state = 29, .external_lex_state = 3},
  [2364] = {.lex_state = 29, .external_lex_state = 3},
  [2365] = {.lex_state = 29, .external_lex_state = 4},
  [2366] = {.lex_state = 29, .external_lex_state = 3},
  [2367] = {.lex_state = 29, .external_lex_state = 3},
  [2368] = {.lex_state = 29, .external_lex_state = 3},
  [2369] = {.lex_state = 29, .external_lex_state = 4},
  [2370] = {.lex_state = 29, .external_lex_state = 3},
  [2371] = {.lex_state = 29, .external_lex_state = 3},
  [2372] = {.lex_state = 29, .external_lex_state = 3},
  [2373] = {.lex_state = 29, .external_lex_state = 3},
  [2374] = {.lex_state = 29, .external_lex_state = 4},
  [2375] = {.lex_state = 29, .external_lex_state = 3},
  [2376] = {.lex_state = 29, .external_lex_state = 3},
  [2377] = {.lex_state = 29, .external_lex_state = 3},
  [2378] = {.lex_state = 29, .external_lex_state = 3},
  [2379] = {.lex_state = 29, .external_lex_state = 3},
  [2380] = {.lex_state = 29, .external_lex_state = 3},
  [2381] = {.lex_state = 39, .external_lex_state = 5},
  [2382] = {.lex_state = 29, .external_lex_state = 3},
  [2383] = {.lex_state = 29, .external_lex_state = 3},
  [2384] = {.lex_state = 29, .external_lex_state = 3},
  [2385] = {.lex_state = 29, .external_lex_state = 3},
  [2386] = {.lex_state = 29, .external_lex_state = 3},
  [2387] = {.lex_state = 29, .external_lex_state = 3},
  [2388] = {.lex_state = 29, .external_lex_state = 3},
  [2389] = {.lex_state = 29, .external_lex_state = 3},
  [2390] = {.lex_state = 29, .external_lex_state = 3},
  [2391] = {.lex_state = 29, .external_lex_state = 3},
  [2392] = {.lex_state = 29, .external_lex_state = 3},
  [2393] = {.lex_state = 29, .external_lex_state = 3},
  [2394] = {.lex_state = 29, .external_lex_state = 3},
  [2395] = {.lex_state = 29, .external_lex_state = 3},
  [2396] = {.lex_state = 29, .external_lex_state = 3},
  [2397] = {.lex_state = 29, .external_lex_state = 3},
  [2398] = {.lex_state = 29, .external_lex_state = 3},
  [2399] = {.lex_state = 29, .external_lex_state = 3},
  [2400] = {.lex_state = 29, .external_lex_state = 3},
  [2401] = {.lex_state = 29, .external_lex_state = 3},
  [2402] = {.lex_state = 29, .external_lex_state = 3},
  [2403] = {.lex_state = 29, .external_lex_state = 3},
  [2404] = {.lex_state = 29, .external_lex_state = 3},
  [2405] = {.lex_state = 29, .external_lex_state = 3},
  [2406] = {.lex_state = 29, .external_lex_state = 3},
  [2407] = {.lex_state = 29, .external_lex_state = 3},
  [2408] = {.lex_state = 29, .external_lex_state = 3},
  [2409] = {.lex_state = 29, .external_lex_state = 3},
  [2410] = {.lex_state = 29, .external_lex_state = 3},
  [2411] = {.lex_state = 29, .external_lex_state = 3},
  [2412] = {.lex_state = 29, .external_lex_state = 3},
  [2413] = {.lex_state = 29, .external_lex_state = 3},
  [2414] = {.lex_state = 29, .external_lex_state = 3},
  [2415] = {.lex_state = 29, .external_lex_state = 3},
  [2416] = {.lex_state = 29, .external_lex_state = 3},
  [2417] = {.lex_state = 29, .external_lex_state = 3},
  [2418] = {.lex_state = 29, .external_lex_state = 3},
  [2419] = {.lex_state = 29, .external_lex_state = 3},
  [2420] = {.lex_state = 29, .external_lex_state = 3},
  [2421] = {.lex_state = 29, .external_lex_state = 3},
  [2422] = {.lex_state = 29, .external_lex_state = 3},
  [2423] = {.lex_state = 29, .external_lex_state = 3},
  [2424] = {.lex_state = 29, .external_lex_state = 3},
  [2425] = {.lex_state = 29, .external_lex_state = 3},
  [2426] = {.lex_state = 29, .external_lex_state = 3},
  [2427] = {.lex_state = 29, .external_lex_state = 3},
  [2428] = {.lex_state = 29, .external_lex_state = 3},
  [2429] = {.lex_state = 29, .external_lex_state = 3},
  [2430] = {.lex_state = 29, .external_lex_state = 3},
  [2431] = {.lex_state = 29, .external_lex_state = 3},
  [2432] = {.lex_state = 29, .external_lex_state = 3},
  [2433] = {.lex_state = 29, .external_lex_state = 3},
  [2434] = {.lex_state = 29, .external_lex_state = 3},
  [2435] = {.lex_state = 29, .external_lex_state = 3},
  [2436] = {.lex_state = 29, .external_lex_state = 3},
  [2437] = {.lex_state = 29, .external_lex_state = 4},
  [2438] = {.lex_state = 29, .external_lex_state = 3},
  [2439] = {.lex_state = 29, .external_lex_state = 3},
  [2440] = {.lex_state = 29, .external_lex_state = 3},
  [2441] = {.lex_state = 29, .external_lex_state = 3},
  [2442] = {.lex_state = 29, .external_lex_state = 3},
  [2443] = {.lex_state = 29, .external_lex_state = 3},
  [2444] = {.lex_state = 29, .external_lex_state = 3},
  [2445] = {.lex_state = 29, .external_lex_state = 3},
  [2446] = {.lex_state = 29, .external_lex_state = 3},
  [2447] = {.lex_state = 39, .external_lex_state = 5},
  [2448] = {.lex_state = 29, .external_lex_state = 3},
  [2449] = {.lex_state = 29, .external_lex_state = 3},
  [2450] = {.lex_state = 29, .external_lex_state = 3},
  [2451] = {.lex_state = 29, .external_lex_state = 3},
  [2452] = {.lex_state = 29, .external_lex_state = 3},
  [2453] = {.lex_state = 29, .external_lex_state = 3},
  [2454] = {.lex_state = 29, .external_lex_state = 3},
  [2455] = {.lex_state = 29, .external_lex_state = 3},
  [2456] = {.lex_state = 29, .external_lex_state = 3},
  [2457] = {.lex_state = 29, .external_lex_state = 3},
  [2458] = {.lex_state = 29, .external_lex_state = 3},
  [2459] = {.lex_state = 29, .external_lex_state = 3},
  [2460] = {.lex_state = 29, .external_lex_state = 3},
  [2461] = {.lex_state = 29, .external_lex_state = 3},
  [2462] = {.lex_state = 29, .external_lex_state = 3},
  [2463] = {.lex_state = 29, .external_lex_state = 3},
  [2464] = {.lex_state = 29, .external_lex_state = 3},
  [2465] = {.lex_state = 29, .external_lex_state = 3},
  [2466] = {.lex_state = 29, .external_lex_state = 3},
  [2467] = {.lex_state = 29, .external_lex_state = 3},
  [2468] = {.lex_state = 29, .external_lex_state = 3},
  [2469] = {.lex_state = 29, .external_lex_state = 3},
  [2470] = {.lex_state = 29, .external_lex_state = 3},
  [2471] = {.lex_state = 29, .external_lex_state = 3},
  [2472] = {.lex_state = 29, .external_lex_state = 3},
  [2473] = {.lex_state = 29, .external_lex_state = 3},
  [2474] = {.lex_state = 29, .external_lex_state = 3},
  [2475] = {.lex_state = 29, .external_lex_state = 3},
  [2476] = {.lex_state = 29, .external_lex_state = 3},
  [2477] = {.lex_state = 39, .external_lex_state = 5},
  [2478] = {.lex_state = 29, .external_lex_state = 3},
  [2479] = {.lex_state = 29, .external_lex_state = 3},
  [2480] = {.lex_state = 29, .external_lex_state = 3},
  [2481] = {.lex_state = 29, .external_lex_state = 3},
  [2482] = {.lex_state = 29, .external_lex_state = 3},
  [2483] = {.lex_state = 29, .external_lex_state = 3},
  [2484] = {.lex_state = 29, .external_lex_state = 3},
  [2485] = {.lex_state = 29, .external_lex_state = 3},
  [2486] = {.lex_state = 29, .external_lex_state = 3},
  [2487] = {.lex_state = 29, .external_lex_state = 3},
  [2488] = {.lex_state = 29, .external_lex_state = 3},
  [2489] = {.lex_state = 29, .external_lex_state = 3},
  [2490] = {.lex_state = 29, .external_lex_state = 3},
  [2491] = {.lex_state = 29, .external_lex_state = 3},
  [2492] = {.lex_state = 39, .external_lex_state = 5},
  [2493] = {.lex_state = 29, .external_lex_state = 3},
  [2494] = {.lex_state = 29, .external_lex_state = 3},
  [2495] = {.lex_state = 29, .external_lex_state = 4},
  [2496] = {.lex_state = 29, .external_lex_state = 3},
  [2497] = {.lex_state = 29, .external_lex_state = 4},
  [2498] = {.lex_state = 29, .external_lex_state = 3},
  [2499] = {.lex_state = 29, .external_lex_state = 3},
  [2500] = {.lex_state = 29, .external_lex_state = 4},
  [2501] = {.lex_state = 29, .external_lex_state = 3},
  [2502] = {.lex_state = 29, .external_lex_state = 3},
  [2503] = {.lex_state = 29, .external_lex_state = 3},
  [2504] = {.lex_state = 29, .external_lex_state = 3},
  [2505] = {.lex_state = 29, .external_lex_state = 3},
  [2506] = {.lex_state = 29, .external_lex_state = 3},
  [2507] = {.lex_state = 29, .external_lex_state = 3},
  [2508] = {.lex_state = 29, .external_lex_state = 3},
  [2509] = {.lex_state = 29, .external_lex_state = 3},
  [2510] = {.lex_state = 29, .external_lex_state = 3},
  [2511] = {.lex_state = 29, .external_lex_state = 3},
  [2512] = {.lex_state = 29, .external_lex_state = 3},
  [2513] = {.lex_state = 29, .external_lex_state = 3},
  [2514] = {.lex_state = 29, .external_lex_state = 3},
  [2515] = {.lex_state = 29, .external_lex_state = 3},
  [2516] = {.lex_state = 29, .external_lex_state = 3},
  [2517] = {.lex_state = 29, .external_lex_state = 3},
  [2518] = {.lex_state = 29, .external_lex_state = 3},
  [2519] = {.lex_state = 29, .external_lex_state = 3},
  [2520] = {.lex_state = 29, .external_lex_state = 3},
  [2521] = {.lex_state = 29, .external_lex_state = 3},
  [2522] = {.lex_state = 29, .external_lex_state = 3},
  [2523] = {.lex_state = 29, .external_lex_state = 3},
  [2524] = {.lex_state = 29, .external_lex_state = 3},
  [2525] = {.lex_state = 29, .external_lex_state = 3},
  [2526] = {.lex_state = 29, .external_lex_state = 3},
  [2527] = {.lex_state = 29, .external_lex_state = 3},
  [2528] = {.lex_state = 29, .external_lex_state = 3},
  [2529] = {.lex_state = 39, .external_lex_state = 5},
  [2530] = {.lex_state = 29, .external_lex_state = 3},
  [2531] = {.lex_state = 29, .external_lex_state = 3},
  [2532] = {.lex_state = 29, .external_lex_state = 3},
  [2533] = {.lex_state = 29, .external_lex_state = 3},
  [2534] = {.lex_state = 29, .external_lex_state = 3},
  [2535] = {.lex_state = 29, .external_lex_state = 3},
  [2536] = {.lex_state = 39, .external_lex_state = 5},
  [2537] = {.lex_state = 29, .external_lex_state = 3},
  [2538] = {.lex_state = 29, .external_lex_state = 4},
  [2539] = {.lex_state = 29, .external_lex_state = 3},
  [2540] = {.lex_state = 29, .external_lex_state = 4},
  [2541] = {.lex_state = 29, .external_lex_state = 3},
  [2542] = {.lex_state = 29, .external_lex_state = 3},
  [2543] = {.lex_state = 29, .external_lex_state = 4},
  [2544] = {.lex_state = 29, .external_lex_state = 4},
  [2545] = {.lex_state = 29, .external_lex_state = 4},
  [2546] = {.lex_state = 29, .external_lex_state = 4},
  [2547] = {.lex_state = 29, .external_lex_state = 4},
  [2548] = {.lex_state = 29, .external_lex_state = 4},
  [2549] = {.lex_state = 39, .external_lex_state = 5},
  [2550] = {.lex_state = 39, .external_lex_state = 5},
  [2551] = {.lex_state = 29, .external_lex_state = 4},
  [2552] = {.lex_state = 29, .external_lex_state = 3},
  [2553] = {.lex_state = 29, .external_lex_state = 3},
  [2554] = {.lex_state = 29, .external_lex_state = 4},
  [2555] = {.lex_state = 29, .external_lex_state = 3},
  [2556] = {.lex_state = 29, .external_lex_state = 4},
  [2557] = {.lex_state = 29, .external_lex_state = 4},
  [2558] = {.lex_state = 29, .external_lex_state = 4},
  [2559] = {.lex_state = 29, .external_lex_state = 4},
  [2560] = {.lex_state = 29, .external_lex_state = 4},
  [2561] = {.lex_state = 29, .external_lex_state = 4},
  [2562] = {.lex_state = 29, .external_lex_state = 3},
  [2563] = {.lex_state = 29, .external_lex_state = 4},
  [2564] = {.lex_state = 29, .external_lex_state = 3},
  [2565] = {.lex_state = 29, .external_lex_state = 4},
  [2566] = {.lex_state = 29, .external_lex_state = 3},
  [2567] = {.lex_state = 29, .external_lex_state = 4},
  [2568] = {.lex_state = 29, .external_lex_state = 3},
  [2569] = {.lex_state = 29, .external_lex_state = 3},
  [2570] = {.lex_state = 29, .external_lex_state = 3},
  [2571] = {.lex_state = 29, .external_lex_state = 4},
  [2572] = {.lex_state = 29, .external_lex_state = 3},
  [2573] = {.lex_state = 29, .external_lex_state = 4},
  [2574] = {.lex_state = 29, .external_lex_state = 4},
  [2575] = {.lex_state = 29, .external_lex_state = 4},
  [2576] = {.lex_state = 29, .external_lex_state = 4},
  [2577] = {.lex_state = 29, .external_lex_state = 4},
  [2578] = {.lex_state = 29, .external_lex_state = 3},
  [2579] = {.lex_state = 29, .external_lex_state = 4},
  [2580] = {.lex_state = 29, .external_lex_state = 3},
  [2581] = {.lex_state = 29, .external_lex_state = 4},
  [2582] = {.lex_state = 29, .external_lex_state = 4},
  [2583] = {.lex_state = 29, .external_lex_state = 4},
  [2584] = {.lex_state = 29, .external_lex_state = 3},
  [2585] = {.lex_state = 29, .external_lex_state = 4},
  [2586] = {.lex_state = 29, .external_lex_state = 4},
  [2587] = {.lex_state = 29, .external_lex_state = 4},
  [2588] = {.lex_state = 29, .external_lex_state = 4},
  [2589] = {.lex_state = 29, .external_lex_state = 4},
  [2590] = {.lex_state = 29, .external_lex_state = 4},
  [2591] = {.lex_state = 29, .external_lex_state = 4},
  [2592] = {.lex_state = 29, .external_lex_state = 4},
  [2593] = {.lex_state = 29, .external_lex_state = 4},
  [2594] = {.lex_state = 29, .external_lex_state = 4},
  [2595] = {.lex_state = 29, .external_lex_state = 4},
  [2596] = {.lex_state = 29, .external_lex_state = 4},
  [2597] = {.lex_state = 29, .external_lex_state = 4},
  [2598] = {.lex_state = 29, .external_lex_state = 4},
  [2599] = {.lex_state = 29, .external_lex_state = 4},
  [2600] = {.lex_state = 29, .external_lex_state = 4},
  [2601] = {.lex_state = 29, .external_lex_state = 4},
  [2602] = {.lex_state = 29, .external_lex_state = 4},
  [2603] = {.lex_state = 29, .external_lex_state = 3},
  [2604] = {.lex_state = 29, .external_lex_state = 3},
  [2605] = {.lex_state = 29, .external_lex_state = 3},
  [2606] = {.lex_state = 29, .external_lex_state = 3},
  [2607] = {.lex_state = 29, .external_lex_state = 4},
  [2608] = {.lex_state = 29, .external_lex_state = 4},
  [2609] = {.lex_state = 29, .external_lex_state = 4},
  [2610] = {.lex_state = 29, .external_lex_state = 4},
  [2611] = {.lex_state = 29, .external_lex_state = 4},
  [2612] = {.lex_state = 29, .external_lex_state = 4},
  [2613] = {.lex_state = 29, .external_lex_state = 3},
  [2614] = {.lex_state = 29, .external_lex_state = 3},
  [2615] = {.lex_state = 29, .external_lex_state = 4},
  [2616] = {.lex_state = 29, .external_lex_state = 3},
  [2617] = {.lex_state = 29, .external_lex_state = 3},
  [2618] = {.lex_state = 29, .external_lex_state = 3},
  [2619] = {.lex_state = 29, .external_lex_state = 3},
  [2620] = {.lex_state = 29, .external_lex_state = 4},
  [2621] = {.lex_state = 29, .external_lex_state = 4},
  [2622] = {.lex_state = 39, .external_lex_state = 5},
  [2623] = {.lex_state = 39, .external_lex_state = 5},
  [2624] = {.lex_state = 29, .external_lex_state = 3},
  [2625] = {.lex_state = 29, .external_lex_state = 3},
  [2626] = {.lex_state = 29, .external_lex_state = 3},
  [2627] = {.lex_state = 29, .external_lex_state = 3},
  [2628] = {.lex_state = 29, .external_lex_state = 3},
  [2629] = {.lex_state = 29, .external_lex_state = 3},
  [2630] = {.lex_state = 29, .external_lex_state = 3},
  [2631] = {.lex_state = 29, .external_lex_state = 3},
  [2632] = {.lex_state = 29, .external_lex_state = 3},
  [2633] = {.lex_state = 29, .external_lex_state = 3},
  [2634] = {.lex_state = 29, .external_lex_state = 3},
  [2635] = {.lex_state = 29, .external_lex_state = 3},
  [2636] = {.lex_state = 29, .external_lex_state = 3},
  [2637] = {.lex_state = 29, .external_lex_state = 4},
  [2638] = {.lex_state = 29, .external_lex_state = 3},
  [2639] = {.lex_state = 29, .external_lex_state = 3},
  [2640] = {.lex_state = 29, .external_lex_state = 4},
  [2641] = {.lex_state = 29, .external_lex_state = 3},
  [2642] = {.lex_state = 29, .external_lex_state = 4},
  [2643] = {.lex_state = 29, .external_lex_state = 4},
  [2644] = {.lex_state = 29, .external_lex_state = 4},
  [2645] = {.lex_state = 29, .external_lex_state = 3},
  [2646] = {.lex_state = 29, .external_lex_state = 3},
  [2647] = {.lex_state = 29, .external_lex_state = 4},
  [2648] = {.lex_state = 29, .external_lex_state = 4},
  [2649] = {.lex_state = 29, .external_lex_state = 4},
  [2650] = {.lex_state = 29, .external_lex_state = 4},
  [2651] = {.lex_state = 29, .external_lex_state = 4},
  [2652] = {.lex_state = 29, .external_lex_state = 4},
  [2653] = {.lex_state = 29, .external_lex_state = 4},
  [2654] = {.lex_state = 29, .external_lex_state = 4},
  [2655] = {.lex_state = 29, .external_lex_state = 4},
  [2656] = {.lex_state = 29, .external_lex_state = 4},
  [2657] = {.lex_state = 29, .external_lex_state = 3},
  [2658] = {.lex_state = 29, .external_lex_state = 3},
  [2659] = {.lex_state = 29, .external_lex_state = 3},
  [2660] = {.lex_state = 29, .external_lex_state = 3},
  [2661] = {.lex_state = 29, .external_lex_state = 4},
  [2662] = {.lex_state = 29, .external_lex_state = 3},
  [2663] = {.lex_state = 29, .external_lex_state = 4},
  [2664] = {.lex_state = 29, .external_lex_state = 4},
  [2665] = {.lex_state = 29, .external_lex_state = 3},
  [2666] = {.lex_state = 29, .external_lex_state = 3},
  [2667] = {.lex_state = 29, .external_lex_state = 3},
  [2668] = {.lex_state = 29, .external_lex_state = 4},
  [2669] = {.lex_state = 29, .external_lex_state = 3},
  [2670] = {.lex_state = 29, .external_lex_state = 3},
  [2671] = {.lex_state = 29, .external_lex_state = 4},
  [2672] = {.lex_state = 29, .external_lex_state = 4},
  [2673] = {.lex_state = 29, .external_lex_state = 3},
  [2674] = {.lex_state = 29, .external_lex_state = 3},
  [2675] = {.lex_state = 39, .external_lex_state = 5},
  [2676] = {.lex_state = 29, .external_lex_state = 4},
  [2677] = {.lex_state = 29, .external_lex_state = 4},
  [2678] = {.lex_state = 29, .external_lex_state = 4},
  [2679] = {.lex_state = 29, .external_lex_state = 4},
  [2680] = {.lex_state = 29, .external_lex_state = 3},
  [2681] = {.lex_state = 39, .external_lex_state = 5},
  [2682] = {.lex_state = 29, .external_lex_state = 3},
  [2683] = {.lex_state = 29, .external_lex_state = 3},
  [2684] = {.lex_state = 29, .external_lex_state = 3},
  [2685] = {.lex_state = 29, .external_lex_state = 3},
  [2686] = {.lex_state = 29, .external_lex_state = 3},
  [2687] = {.lex_state = 29, .external_lex_state = 3},
  [2688] = {.lex_state = 29, .external_lex_state = 3},
  [2689] = {.lex_state = 29, .external_lex_state = 3},
  [2690] = {.lex_state = 29, .external_lex_state = 3},
  [2691] = {.lex_state = 29, .external_lex_state = 4},
  [2692] = {.lex_state = 29, .external_lex_state = 4},
  [2693] = {.lex_state = 29, .external_lex_state = 3},
  [2694] = {.lex_state = 29, .external_lex_state = 3},
  [2695] = {.lex_state = 29, .external_lex_state = 4},
  [2696] = {.lex_state = 29, .external_lex_state = 4},
  [2697] = {.lex_state = 29, .external_lex_state = 3},
  [2698] = {.lex_state = 29, .external_lex_state = 4},
  [2699] = {.lex_state = 29, .external_lex_state = 3},
  [2700] = {.lex_state = 29, .external_lex_state = 4},
  [2701] = {.lex_state = 29, .external_lex_state = 4},
  [2702] = {.lex_state = 29, .external_lex_state = 4},
  [2703] = {.lex_state = 29, .external_lex_state = 4},
  [2704] = {.lex_state = 29, .external_lex_state = 3},
  [2705] = {.lex_state = 29, .external_lex_state = 3},
  [2706] = {.lex_state = 29, .external_lex_state = 3},
  [2707] = {.lex_state = 29, .external_lex_state = 3},
  [2708] = {.lex_state = 29, .external_lex_state = 3},
  [2709] = {.lex_state = 39, .external_lex_state = 5},
  [2710] = {.lex_state = 29, .external_lex_state = 3},
  [2711] = {.lex_state = 29, .external_lex_state = 4},
  [2712] = {.lex_state = 29, .external_lex_state = 4},
  [2713] = {.lex_state = 39, .external_lex_state = 5},
  [2714] = {.lex_state = 29, .external_lex_state = 3},
  [2715] = {.lex_state = 29, .external_lex_state = 3},
  [2716] = {.lex_state = 29, .external_lex_state = 3},
  [2717] = {.lex_state = 29, .external_lex_state = 3},
  [2718] = {.lex_state = 29, .external_lex_state = 3},
  [2719] = {.lex_state = 29, .external_lex_state = 3},
  [2720] = {.lex_state = 29, .external_lex_state = 3},
  [2721] = {.lex_state = 29, .external_lex_state = 4},
  [2722] = {.lex_state = 39, .external_lex_state = 5},
  [2723] = {.lex_state = 29, .external_lex_state = 3},
  [2724] = {.lex_state = 39, .external_lex_state = 5},
  [2725] = {.lex_state = 29, .external_lex_state = 3},
  [2726] = {.lex_state = 29, .external_lex_state = 3},
  [2727] = {.lex_state = 29, .external_lex_state = 4},
  [2728] = {.lex_state = 29, .external_lex_state = 3},
  [2729] = {.lex_state = 29, .external_lex_state = 3},
  [2730] = {.lex_state = 29, .external_lex_state = 3},
  [2731] = {.lex_state = 29, .external_lex_state = 3},
  [2732] = {.lex_state = 29, .external_lex_state = 3},
  [2733] = {.lex_state = 29, .external_lex_state = 3},
  [2734] = {.lex_state = 29, .external_lex_state = 3},
  [2735] = {.lex_state = 29, .external_lex_state = 3},
  [2736] = {.lex_state = 29, .external_lex_state = 4},
  [2737] = {.lex_state = 29, .external_lex_state = 3},
  [2738] = {.lex_state = 29, .external_lex_state = 3},
  [2739] = {.lex_state = 29, .external_lex_state = 4},
  [2740] = {.lex_state = 29, .external_lex_state = 3},
  [2741] = {.lex_state = 29, .external_lex_state = 3},
  [2742] = {.lex_state = 29, .external_lex_state = 4},
  [2743] = {.lex_state = 29, .external_lex_state = 3},
  [2744] = {.lex_state = 39, .external_lex_state = 5},
  [2745] = {.lex_state = 29, .external_lex_state = 3},
  [2746] = {.lex_state = 29, .external_lex_state = 3},
  [2747] = {.lex_state = 29, .external_lex_state = 3},
  [2748] = {.lex_state = 29, .external_lex_state = 4},
  [2749] = {.lex_state = 29, .external_lex_state = 3},
  [2750] = {.lex_state = 29, .external_lex_state = 3},
  [2751] = {.lex_state = 29, .external_lex_state = 3},
  [2752] = {.lex_state = 29, .external_lex_state = 3},
  [2753] = {.lex_state = 29, .external_lex_state = 4},
  [2754] = {.lex_state = 29, .external_lex_state = 3},
  [2755] = {.lex_state = 29, .external_lex_state = 3},
  [2756] = {.lex_state = 29, .external_lex_state = 3},
  [2757] = {.lex_state = 29, .external_lex_state = 3},
  [2758] = {.lex_state = 29, .external_lex_state = 3},
  [2759] = {.lex_state = 29, .external_lex_state = 3},
  [2760] = {.lex_state = 29, .external_lex_state = 3},
  [2761] = {.lex_state = 29, .external_lex_state = 3},
  [2762] = {.lex_state = 29, .external_lex_state = 3},
  [2763] = {.lex_state = 29, .external_lex_state = 3},
  [2764] = {.lex_state = 29, .external_lex_state = 3},
  [2765] = {.lex_state = 29, .external_lex_state = 4},
  [2766] = {.lex_state = 29, .external_lex_state = 3},
  [2767] = {.lex_state = 29, .external_lex_state = 3},
  [2768] = {.lex_state = 29, .external_lex_state = 3},
  [2769] = {.lex_state = 29, .external_lex_state = 4},
  [2770] = {.lex_state = 29, .external_lex_state = 4},
  [2771] = {.lex_state = 29, .external_lex_state = 4},
  [2772] = {.lex_state = 29, .external_lex_state = 3},
  [2773] = {.lex_state = 29, .external_lex_state = 3},
  [2774] = {.lex_state = 29, .external_lex_state = 3},
  [2775] = {.lex_state = 29, .external_lex_state = 3},
  [2776] = {.lex_state = 29, .external_lex_state = 3},
  [2777] = {.lex_state = 29, .external_lex_state = 4},
  [2778] = {.lex_state = 38, .external_lex_state = 5},
  [2779] = {.lex_state = 29, .external_lex_state = 3},
  [2780] = {.lex_state = 29, .external_lex_state = 3},
  [2781] = {.lex_state = 29, .external_lex_state = 3},
  [2782] = {.lex_state = 29, .external_lex_state = 3},
  [2783] = {.lex_state = 29, .external_lex_state = 3},
  [2784] = {.lex_state = 29, .external_lex_state = 3},
  [2785] = {.lex_state = 29, .external_lex_state = 4},
  [2786] = {.lex_state = 38, .external_lex_state = 5},
  [2787] = {.lex_state = 29, .external_lex_state = 3},
  [2788] = {.lex_state = 39, .external_lex_state = 5},
  [2789] = {.lex_state = 39, .external_lex_state = 5},
  [2790] = {.lex_state = 29, .external_lex_state = 3},
  [2791] = {.lex_state = 29, .external_lex_state = 3},
  [2792] = {.lex_state = 29, .external_lex_state = 4},
  [2793] = {.lex_state = 29, .external_lex_state = 3},
  [2794] = {.lex_state = 29, .external_lex_state = 3},
  [2795] = {.lex_state = 29, .external_lex_state = 3},
  [2796] = {.lex_state = 39, .external_lex_state = 5},
  [2797] = {.lex_state = 29, .external_lex_state = 4},
  [2798] = {.lex_state = 29, .external_lex_state = 3},
  [2799] = {.lex_state = 29, .external_lex_state = 4},
  [2800] = {.lex_state = 29, .external_lex_state = 3},
  [2801] = {.lex_state = 29, .external_lex_state = 4},
  [2802] = {.lex_state = 29, .external_lex_state = 4},
  [2803] = {.lex_state = 29, .external_lex_state = 4},
  [2804] = {.lex_state = 29, .external_lex_state = 4},
  [2805] = {.lex_state = 29, .external_lex_state = 4},
  [2806] = {.lex_state = 29, .external_lex_state = 4},
  [2807] = {.lex_state = 29, .external_lex_state = 4},
  [2808] = {.lex_state = 29, .external_lex_state = 3},
  [2809] = {.lex_state = 29, .external_lex_state = 3},
  [2810] = {.lex_state = 29, .external_lex_state = 3},
  [2811] = {.lex_state = 29, .external_lex_state = 3},
  [2812] = {.lex_state = 29, .external_lex_state = 3},
  [2813] = {.lex_state = 39, .external_lex_state = 5},
  [2814] = {.lex_state = 29, .external_lex_state = 3},
  [2815] = {.lex_state = 29, .external_lex_state = 3},
  [2816] = {.lex_state = 29, .external_lex_state = 3},
  [2817] = {.lex_state = 29, .external_lex_state = 3},
  [2818] = {.lex_state = 29, .external_lex_state = 3},
  [2819] = {.lex_state = 29, .external_lex_state = 3},
  [2820] = {.lex_state = 29, .external_lex_state = 4},
  [2821] = {.lex_state = 29, .external_lex_state = 3},
  [2822] = {.lex_state = 29, .external_lex_state = 3},
  [2823] = {.lex_state = 29, .external_lex_state = 3},
  [2824] = {.lex_state = 29, .external_lex_state = 3},
  [2825] = {.lex_state = 39, .external_lex_state = 5},
  [2826] = {.lex_state = 29, .external_lex_state = 3},
  [2827] = {.lex_state = 29, .external_lex_state = 3},
  [2828] = {.lex_state = 29, .external_lex_state = 3},
  [2829] = {.lex_state = 29, .external_lex_state = 3},
  [2830] = {.lex_state = 29, .external_lex_state = 4},
  [2831] = {.lex_state = 29, .external_lex_state = 4},
  [2832] = {.lex_state = 29, .external_lex_state = 4},
  [2833] = {.lex_state = 29, .external_lex_state = 4},
  [2834] = {.lex_state = 29, .external_lex_state = 4},
  [2835] = {.lex_state = 29, .external_lex_state = 4},
  [2836] = {.lex_state = 29, .external_lex_state = 4},
  [2837] = {.lex_state = 29, .external_lex_state = 4},
  [2838] = {.lex_state = 29, .external_lex_state = 4},
  [2839] = {.lex_state = 29, .external_lex_state = 4},
  [2840] = {.lex_state = 29, .external_lex_state = 4},
  [2841] = {.lex_state = 29, .external_lex_state = 4},
  [2842] = {.lex_state = 29, .external_lex_state = 4},
  [2843] = {.lex_state = 29, .external_lex_state = 4},
  [2844] = {.lex_state = 29, .external_lex_state = 4},
  [2845] = {.lex_state = 29, .external_lex_state = 4},
  [2846] = {.lex_state = 29, .external_lex_state = 4},
  [2847] = {.lex_state = 29, .external_lex_state = 4},
  [2848] = {.lex_state = 29, .external_lex_state = 4},
  [2849] = {.lex_state = 29, .external_lex_state = 4},
  [2850] = {.lex_state = 29, .external_lex_state = 4},
  [2851] = {.lex_state = 29, .external_lex_state = 4},
  [2852] = {.lex_state = 29, .external_lex_state = 4},
  [2853] = {.lex_state = 29, .external_lex_state = 4},
  [2854] = {.lex_state = 29, .external_lex_state = 4},
  [2855] = {.lex_state = 29, .external_lex_state = 4},
  [2856] = {.lex_state = 29, .external_lex_state = 4},
  [2857] = {.lex_state = 29, .external_lex_state = 4},
  [2858] = {.lex_state = 29, .external_lex_state = 4},
  [2859] = {.lex_state = 29, .external_lex_state = 4},
  [2860] = {.lex_state = 29, .external_lex_state = 4},
  [2861] = {.lex_state = 29, .external_lex_state = 4},
  [2862] = {.lex_state = 29, .external_lex_state = 4},
  [2863] = {.lex_state = 29, .external_lex_state = 4},
  [2864] = {.lex_state = 29, .external_lex_state = 4},
  [2865] = {.lex_state = 29, .external_lex_state = 4},
  [2866] = {.lex_state = 29, .external_lex_state = 4},
  [2867] = {.lex_state = 29, .external_lex_state = 4},
  [2868] = {.lex_state = 29, .external_lex_state = 4},
  [2869] = {.lex_state = 29, .external_lex_state = 4},
  [2870] = {.lex_state = 29, .external_lex_state = 4},
  [2871] = {.lex_state = 39, .external_lex_state = 2},
  [2872] = {.lex_state = 29, .external_lex_state = 4},
  [2873] = {.lex_state = 29, .external_lex_state = 4},
  [2874] = {.lex_state = 29, .external_lex_state = 4},
  [2875] = {.lex_state = 29, .external_lex_state = 4},
  [2876] = {.lex_state = 29, .external_lex_state = 4},
  [2877] = {.lex_state = 39, .external_lex_state = 2},
  [2878] = {.lex_state = 39, .external_lex_state = 2},
  [2879] = {.lex_state = 29, .external_lex_state = 4},
  [2880] = {.lex_state = 29, .external_lex_state = 4},
  [2881] = {.lex_state = 29, .external_lex_state = 4},
  [2882] = {.lex_state = 29, .external_lex_state = 4},
  [2883] = {.lex_state = 39, .external_lex_state = 5},
  [2884] = {.lex_state = 29, .external_lex_state = 4},
  [2885] = {.lex_state = 29, .external_lex_state = 4},
  [2886] = {.lex_state = 39, .external_lex_state = 2},
  [2887] = {.lex_state = 29, .external_lex_state = 4},
  [2888] = {.lex_state = 29, .external_lex_state = 4},
  [2889] = {.lex_state = 29, .external_lex_state = 4},
  [2890] = {.lex_state = 39, .external_lex_state = 5},
  [2891] = {.lex_state = 29, .external_lex_state = 4},
  [2892] = {.lex_state = 39, .external_lex_state = 5},
  [2893] = {.lex_state = 39, .external_lex_state = 2},
  [2894] = {.lex_state = 29, .external_lex_state = 4},
  [2895] = {.lex_state = 29, .external_lex_state = 4},
  [2896] = {.lex_state = 29, .external_lex_state = 4},
  [2897] = {.lex_state = 29, .external_lex_state = 4},
  [2898] = {.lex_state = 29, .external_lex_state = 4},
  [2899] = {.lex_state = 29, .external_lex_state = 4},
  [2900] = {.lex_state = 29, .external_lex_state = 4},
  [2901] = {.lex_state = 29, .external_lex_state = 4},
  [2902] = {.lex_state = 29, .external_lex_state = 4},
  [2903] = {.lex_state = 29, .external_lex_state = 4},
  [2904] = {.lex_state = 29, .external_lex_state = 4},
  [2905] = {.lex_state = 29, .external_lex_state = 4},
  [2906] = {.lex_state = 29, .external_lex_state = 4},
  [2907] = {.lex_state = 29, .external_lex_state = 4},
  [2908] = {.lex_state = 29, .external_lex_state = 4},
  [2909] = {.lex_state = 29, .external_lex_state = 4},
  [2910] = {.lex_state = 29, .external_lex_state = 4},
  [2911] = {.lex_state = 29, .external_lex_state = 4},
  [2912] = {.lex_state = 29, .external_lex_state = 4},
  [2913] = {.lex_state = 39, .external_lex_state = 2},
  [2914] = {.lex_state = 29, .external_lex_state = 4},
  [2915] = {.lex_state = 29, .external_lex_state = 4},
  [2916] = {.lex_state = 29, .external_lex_state = 4},
  [2917] = {.lex_state = 29, .external_lex_state = 4},
  [2918] = {.lex_state = 29, .external_lex_state = 3},
  [2919] = {.lex_state = 29, .external_lex_state = 3},
  [2920] = {.lex_state = 29, .external_lex_state = 3},
  [2921] = {.lex_state = 29, .external_lex_state = 3},
  [2922] = {.lex_state = 29, .external_lex_state = 3},
  [2923] = {.lex_state = 29, .external_lex_state = 3},
  [2924] = {.lex_state = 39, .external_lex_state = 5},
  [2925] = {.lex_state = 38, .external_lex_state = 5},
  [2926] = {.lex_state = 38, .external_lex_state = 5},
  [2927] = {.lex_state = 29, .external_lex_state = 3},
  [2928] = {.lex_state = 29, .external_lex_state = 4},
  [2929] = {.lex_state = 29, .external_lex_state = 3},
  [2930] = {.lex_state = 29, .external_lex_state = 3},
  [2931] = {.lex_state = 29, .external_lex_state = 4},
  [2932] = {.lex_state = 29, .external_lex_state = 3},
  [2933] = {.lex_state = 29, .external_lex_state = 3},
  [2934] = {.lex_state = 29, .external_lex_state = 4},
  [2935] = {.lex_state = 29, .external_lex_state = 4},
  [2936] = {.lex_state = 29, .external_lex_state = 4},
  [2937] = {.lex_state = 29, .external_lex_state = 3},
  [2938] = {.lex_state = 29, .external_lex_state = 4},
  [2939] = {.lex_state = 29, .external_lex_state = 4},
  [2940] = {.lex_state = 29, .external_lex_state = 3},
  [2941] = {.lex_state = 29, .external_lex_state = 3},
  [2942] = {.lex_state = 29, .external_lex_state = 4},
  [2943] = {.lex_state = 29, .external_lex_state = 4},
  [2944] = {.lex_state = 29, .external_lex_state = 4},
  [2945] = {.lex_state = 29, .external_lex_state = 4},
  [2946] = {.lex_state = 29, .external_lex_state = 3},
  [2947] = {.lex_state = 29, .external_lex_state = 3},
  [2948] = {.lex_state = 29, .external_lex_state = 4},
  [2949] = {.lex_state = 29, .external_lex_state = 4},
  [2950] = {.lex_state = 29, .external_lex_state = 4},
  [2951] = {.lex_state = 29, .external_lex_state = 4},
  [2952] = {.lex_state = 29, .external_lex_state = 4},
  [2953] = {.lex_state = 29, .external_lex_state = 4},
  [2954] = {.lex_state = 29, .external_lex_state = 3},
  [2955] = {.lex_state = 29, .external_lex_state = 3},
  [2956] = {.lex_state = 29, .external_lex_state = 4},
  [2957] = {.lex_state = 29, .external_lex_state = 4},
  [2958] = {.lex_state = 29, .external_lex_state = 3},
  [2959] = {.lex_state = 29, .external_lex_state = 4},
  [2960] = {.lex_state = 29, .external_lex_state = 3},
  [2961] = {.lex_state = 29, .external_lex_state = 3},
  [2962] = {.lex_state = 29, .external_lex_state = 3},
  [2963] = {.lex_state = 29, .external_lex_state = 4},
  [2964] = {.lex_state = 27, .external_lex_state = 3},
  [2965] = {.lex_state = 29, .external_lex_state = 3},
  [2966] = {.lex_state = 29, .external_lex_state = 4},
  [2967] = {.lex_state = 29, .external_lex_state = 3},
  [2968] = {.lex_state = 39, .external_lex_state = 5},
  [2969] = {.lex_state = 29, .external_lex_state = 4},
  [2970] = {.lex_state = 29, .external_lex_state = 3},
  [2971] = {.lex_state = 29, .external_lex_state = 4},
  [2972] = {.lex_state = 29, .external_lex_state = 3},
  [2973] = {.lex_state = 29, .external_lex_state = 4},
  [2974] = {.lex_state = 29, .external_lex_state = 4},
  [2975] = {.lex_state = 29, .external_lex_state = 3},
  [2976] = {.lex_state = 29, .external_lex_state = 4},
  [2977] = {.lex_state = 29, .external_lex_state = 3},
  [2978] = {.lex_state = 29, .external_lex_state = 3},
  [2979] = {.lex_state = 29, .external_lex_state = 3},
  [2980] = {.lex_state = 29, .external_lex_state = 4},
  [2981] = {.lex_state = 29, .external_lex_state = 4},
  [2982] = {.lex_state = 29, .external_lex_state = 4},
  [2983] = {.lex_state = 29, .external_lex_state = 3},
  [2984] = {.lex_state = 29, .external_lex_state = 3},
  [2985] = {.lex_state = 29, .external_lex_state = 4},
  [2986] = {.lex_state = 29, .external_lex_state = 4},
  [2987] = {.lex_state = 29, .external_lex_state = 3},
  [2988] = {.lex_state = 29, .external_lex_state = 4},
  [2989] = {.lex_state = 29, .external_lex_state = 3},
  [2990] = {.lex_state = 29, .external_lex_state = 4},
  [2991] = {.lex_state = 29, .external_lex_state = 3},
  [2992] = {.lex_state = 29, .external_lex_state = 3},
  [2993] = {.lex_state = 29, .external_lex_state = 4},
  [2994] = {.lex_state = 29, .external_lex_state = 3},
  [2995] = {.lex_state = 38, .external_lex_state = 5},
  [2996] = {.lex_state = 29, .external_lex_state = 4},
  [2997] = {.lex_state = 29, .external_lex_state = 4},
  [2998] = {.lex_state = 29, .external_lex_state = 4},
  [2999] = {.lex_state = 38, .external_lex_state = 5},
  [3000] = {.lex_state = 29, .external_lex_state = 4},
  [3001] = {.lex_state = 39, .external_lex_state = 5},
  [3002] = {.lex_state = 29, .external_lex_state = 4},
  [3003] = {.lex_state = 29, .external_lex_state = 4},
  [3004] = {.lex_state = 29, .external_lex_state = 4},
  [3005] = {.lex_state = 29, .external_lex_state = 3},
  [3006] = {.lex_state = 29, .external_lex_state = 4},
  [3007] = {.lex_state = 29, .external_lex_state = 4},
  [3008] = {.lex_state = 38, .external_lex_state = 5},
  [3009] = {.lex_state = 38, .external_lex_state = 5},
  [3010] = {.lex_state = 39, .external_lex_state = 5},
  [3011] = {.lex_state = 29, .external_lex_state = 4},
  [3012] = {.lex_state = 29, .external_lex_state = 3},
  [3013] = {.lex_state = 29, .external_lex_state = 3},
  [3014] = {.lex_state = 29, .external_lex_state = 4},
  [3015] = {.lex_state = 29, .external_lex_state = 3},
  [3016] = {.lex_state = 29, .external_lex_state = 4},
  [3017] = {.lex_state = 29, .external_lex_state = 4},
  [3018] = {.lex_state = 29, .external_lex_state = 4},
  [3019] = {.lex_state = 29, .external_lex_state = 4},
  [3020] = {.lex_state = 29, .external_lex_state = 4},
  [3021] = {.lex_state = 29, .external_lex_state = 4},
  [3022] = {.lex_state = 29, .external_lex_state = 3},
  [3023] = {.lex_state = 29, .external_lex_state = 4},
  [3024] = {.lex_state = 29, .external_lex_state = 4},
  [3025] = {.lex_state = 29, .external_lex_state = 4},
  [3026] = {.lex_state = 29, .external_lex_state = 4},
  [3027] = {.lex_state = 39, .external_lex_state = 5},
  [3028] = {.lex_state = 39, .external_lex_state = 2},
  [3029] = {.lex_state = 29, .external_lex_state = 4},
  [3030] = {.lex_state = 29, .external_lex_state = 4},
  [3031] = {.lex_state = 29, .external_lex_state = 3},
  [3032] = {.lex_state = 29, .external_lex_state = 4},
  [3033] = {.lex_state = 39, .external_lex_state = 2},
  [3034] = {.lex_state = 29, .external_lex_state = 4},
  [3035] = {.lex_state = 29, .external_lex_state = 4},
  [3036] = {.lex_state = 29, .external_lex_state = 4},
  [3037] = {.lex_state = 29, .external_lex_state = 4},
  [3038] = {.lex_state = 29, .external_lex_state = 4},
  [3039] = {.lex_state = 29, .external_lex_state = 4},
  [3040] = {.lex_state = 29, .external_lex_state = 3},
  [3041] = {.lex_state = 29, .external_lex_state = 4},
  [3042] = {.lex_state = 29, .external_lex_state = 3},
  [3043] = {.lex_state = 29, .external_lex_state = 3},
  [3044] = {.lex_state = 29, .external_lex_state = 4},
  [3045] = {.lex_state = 29, .external_lex_state = 4},
  [3046] = {.lex_state = 29, .external_lex_state = 4},
  [3047] = {.lex_state = 29, .external_lex_state = 4},
  [3048] = {.lex_state = 29, .external_lex_state = 4},
  [3049] = {.lex_state = 29, .external_lex_state = 3},
  [3050] = {.lex_state = 29, .external_lex_state = 4},
  [3051] = {.lex_state = 29, .external_lex_state = 4},
  [3052] = {.lex_state = 29, .external_lex_state = 4},
  [3053] = {.lex_state = 29, .external_lex_state = 4},
  [3054] = {.lex_state = 39, .external_lex_state = 2},
  [3055] = {.lex_state = 29, .external_lex_state = 4},
  [3056] = {.lex_state = 29, .external_lex_state = 4},
  [3057] = {.lex_state = 29, .external_lex_state = 4},
  [3058] = {.lex_state = 29, .external_lex_state = 4},
  [3059] = {.lex_state = 29, .external_lex_state = 4},
  [3060] = {.lex_state = 29, .external_lex_state = 4},
  [3061] = {.lex_state = 29, .external_lex_state = 4},
  [3062] = {.lex_state = 29, .external_lex_state = 4},
  [3063] = {.lex_state = 29, .external_lex_state = 4},
  [3064] = {.lex_state = 29, .external_lex_state = 4},
  [3065] = {.lex_state = 29, .external_lex_state = 4},
  [3066] = {.lex_state = 29, .external_lex_state = 4},
  [3067] = {.lex_state = 29, .external_lex_state = 3},
  [3068] = {.lex_state = 39, .external_lex_state = 2},
  [3069] = {.lex_state = 29, .external_lex_state = 4},
  [3070] = {.lex_state = 39, .external_lex_state = 2},
  [3071] = {.lex_state = 29, .external_lex_state = 4},
  [3072] = {.lex_state = 39, .external_lex_state = 5},
  [3073] = {.lex_state = 29, .external_lex_state = 4},
  [3074] = {.lex_state = 29, .external_lex_state = 4},
  [3075] = {.lex_state = 29, .external_lex_state = 4},
  [3076] = {.lex_state = 29, .external_lex_state = 4},
  [3077] = {.lex_state = 39, .external_lex_state = 2},
  [3078] = {.lex_state = 29, .external_lex_state = 3},
  [3079] = {.lex_state = 39, .external_lex_state = 5},
  [3080] = {.lex_state = 29, .external_lex_state = 4},
  [3081] = {.lex_state = 29, .external_lex_state = 4},
  [3082] = {.lex_state = 39, .external_lex_state = 2},
  [3083] = {.lex_state = 29, .external_lex_state = 4},
  [3084] = {.lex_state = 39, .external_lex_state = 2},
  [3085] = {.lex_state = 29, .external_lex_state = 4},
  [3086] = {.lex_state = 29, .external_lex_state = 3},
  [3087] = {.lex_state = 39, .external_lex_state = 5},
  [3088] = {.lex_state = 39, .external_lex_state = 5},
  [3089] = {.lex_state = 29, .external_lex_state = 3},
  [3090] = {.lex_state = 29, .external_lex_state = 4},
  [3091] = {.lex_state = 29, .external_lex_state = 4},
  [3092] = {.lex_state = 39, .external_lex_state = 5},
  [3093] = {.lex_state = 39, .external_lex_state = 5},
  [3094] = {.lex_state = 29, .external_lex_state = 4},
  [3095] = {.lex_state = 29, .external_lex_state = 4},
  [3096] = {.lex_state = 29, .external_lex_state = 4},
  [3097] = {.lex_state = 29, .external_lex_state = 4},
  [3098] = {.lex_state = 29, .external_lex_state = 3},
  [3099] = {.lex_state = 29, .external_lex_state = 4},
  [3100] = {.lex_state = 29, .external_lex_state = 4},
  [3101] = {.lex_state = 29, .external_lex_state = 4},
  [3102] = {.lex_state = 29, .external_lex_state = 4},
  [3103] = {.lex_state = 29, .external_lex_state = 3},
  [3104] = {.lex_state = 29, .external_lex_state = 4},
  [3105] = {.lex_state = 29, .external_lex_state = 4},
  [3106] = {.lex_state = 39, .external_lex_state = 5},
  [3107] = {.lex_state = 29, .external_lex_state = 3},
  [3108] = {.lex_state = 29, .external_lex_state = 4},
  [3109] = {.lex_state = 29, .external_lex_state = 4},
  [3110] = {.lex_state = 29, .external_lex_state = 4},
  [3111] = {.lex_state = 29, .external_lex_state = 4},
  [3112] = {.lex_state = 29, .external_lex_state = 4},
  [3113] = {.lex_state = 29, .external_lex_state = 4},
  [3114] = {.lex_state = 29, .external_lex_state = 3},
  [3115] = {.lex_state = 29, .external_lex_state = 4},
  [3116] = {.lex_state = 39, .external_lex_state = 2},
  [3117] = {.lex_state = 29, .external_lex_state = 4},
  [3118] = {.lex_state = 29, .external_lex_state = 3},
  [3119] = {.lex_state = 29, .external_lex_state = 4},
  [3120] = {.lex_state = 29, .external_lex_state = 3},
  [3121] = {.lex_state = 29, .external_lex_state = 4},
  [3122] = {.lex_state = 29, .external_lex_state = 4},
  [3123] = {.lex_state = 29, .external_lex_state = 3},
  [3124] = {.lex_state = 29, .external_lex_state = 4},
  [3125] = {.lex_state = 39, .external_lex_state = 5},
  [3126] = {.lex_state = 39, .external_lex_state = 5},
  [3127] = {.lex_state = 29, .external_lex_state = 3},
  [3128] = {.lex_state = 29, .external_lex_state = 4},
  [3129] = {.lex_state = 29, .external_lex_state = 3},
  [3130] = {.lex_state = 29, .external_lex_state = 4},
  [3131] = {.lex_state = 39, .external_lex_state = 5},
  [3132] = {.lex_state = 29, .external_lex_state = 4},
  [3133] = {.lex_state = 29, .external_lex_state = 3},
  [3134] = {.lex_state = 39, .external_lex_state = 2},
  [3135] = {.lex_state = 29, .external_lex_state = 4},
  [3136] = {.lex_state = 29, .external_lex_state = 4},
  [3137] = {.lex_state = 39, .external_lex_state = 5},
  [3138] = {.lex_state = 39, .external_lex_state = 5},
  [3139] = {.lex_state = 29, .external_lex_state = 4},
  [3140] = {.lex_state = 29, .external_lex_state = 4},
  [3141] = {.lex_state = 39, .external_lex_state = 5},
  [3142] = {.lex_state = 39, .external_lex_state = 5},
  [3143] = {.lex_state = 29, .external_lex_state = 3},
  [3144] = {.lex_state = 39, .external_lex_state = 5},
  [3145] = {.lex_state = 29, .external_lex_state = 3},
  [3146] = {.lex_state = 29, .external_lex_state = 3},
  [3147] = {.lex_state = 29, .external_lex_state = 3},
  [3148] = {.lex_state = 39, .external_lex_state = 5},
  [3149] = {.lex_state = 29, .external_lex_state = 3},
  [3150] = {.lex_state = 29, .external_lex_state = 3},
  [3151] = {.lex_state = 29, .external_lex_state = 3},
  [3152] = {.lex_state = 39, .external_lex_state = 5},
  [3153] = {.lex_state = 29, .external_lex_state = 4},
  [3154] = {.lex_state = 29, .external_lex_state = 4},
  [3155] = {.lex_state = 29, .external_lex_state = 3},
  [3156] = {.lex_state = 29, .external_lex_state = 3},
  [3157] = {.lex_state = 29, .external_lex_state = 3},
  [3158] = {.lex_state = 29, .external_lex_state = 3},
  [3159] = {.lex_state = 29, .external_lex_state = 4},
  [3160] = {.lex_state = 29, .external_lex_state = 3},
  [3161] = {.lex_state = 39, .external_lex_state = 5},
  [3162] = {.lex_state = 39, .external_lex_state = 5},
  [3163] = {.lex_state = 29, .external_lex_state = 4},
  [3164] = {.lex_state = 29, .external_lex_state = 4},
  [3165] = {.lex_state = 39, .external_lex_state = 5},
  [3166] = {.lex_state = 29, .external_lex_state = 4},
  [3167] = {.lex_state = 29, .external_lex_state = 3},
  [3168] = {.lex_state = 29, .external_lex_state = 3},
  [3169] = {.lex_state = 29, .external_lex_state = 4},
  [3170] = {.lex_state = 29, .external_lex_state = 4},
  [3171] = {.lex_state = 29, .external_lex_state = 3},
  [3172] = {.lex_state = 29, .external_lex_state = 3},
  [3173] = {.lex_state = 29, .external_lex_state = 4},
  [3174] = {.lex_state = 29, .external_lex_state = 3},
  [3175] = {.lex_state = 29, .external_lex_state = 3},
  [3176] = {.lex_state = 29, .external_lex_state = 3},
  [3177] = {.lex_state = 39, .external_lex_state = 5},
  [3178] = {.lex_state = 29, .external_lex_state = 4},
  [3179] = {.lex_state = 29, .external_lex_state = 3},
  [3180] = {.lex_state = 39, .external_lex_state = 5},
  [3181] = {.lex_state = 29, .external_lex_state = 4},
  [3182] = {.lex_state = 29, .external_lex_state = 3},
  [3183] = {.lex_state = 29, .external_lex_state = 4},
  [3184] = {.lex_state = 29, .external_lex_state = 4},
  [3185] = {.lex_state = 29, .external_lex_state = 3},
  [3186] = {.lex_state = 29, .external_lex_state = 3},
  [3187] = {.lex_state = 29, .external_lex_state = 3},
  [3188] = {.lex_state = 29, .external_lex_state = 4},
  [3189] = {.lex_state = 39, .external_lex_state = 5},
  [3190] = {.lex_state = 29, .external_lex_state = 3},
  [3191] = {.lex_state = 39, .external_lex_state = 5},
  [3192] = {.lex_state = 29, .external_lex_state = 4},
  [3193] = {.lex_state = 29, .external_lex_state = 3},
  [3194] = {.lex_state = 27, .external_lex_state = 4},
  [3195] = {.lex_state = 39, .external_lex_state = 5},
  [3196] = {.lex_state = 29, .external_lex_state = 3},
  [3197] = {.lex_state = 39, .external_lex_state = 5},
  [3198] = {.lex_state = 39, .external_lex_state = 5},
  [3199] = {.lex_state = 29, .external_lex_state = 4},
  [3200] = {.lex_state = 29, .external_lex_state = 4},
  [3201] = {.lex_state = 39, .external_lex_state = 5},
  [3202] = {.lex_state = 39, .external_lex_state = 2},
  [3203] = {.lex_state = 39, .external_lex_state = 5},
  [3204] = {.lex_state = 39, .external_lex_state = 5},
  [3205] = {.lex_state = 39, .external_lex_state = 5},
  [3206] = {.lex_state = 39, .external_lex_state = 5},
  [3207] = {.lex_state = 29, .external_lex_state = 4},
  [3208] = {.lex_state = 29, .external_lex_state = 4},
  [3209] = {.lex_state = 29, .external_lex_state = 4},
  [3210] = {.lex_state = 29, .external_lex_state = 3},
  [3211] = {.lex_state = 29, .external_lex_state = 3},
  [3212] = {.lex_state = 29, .external_lex_state = 3},
  [3213] = {.lex_state = 29, .external_lex_state = 3},
  [3214] = {.lex_state = 29, .external_lex_state = 4},
  [3215] = {.lex_state = 30, .external_lex_state = 4},
  [3216] = {.lex_state = 29, .external_lex_state = 4},
  [3217] = {.lex_state = 29, .external_lex_state = 3},
  [3218] = {.lex_state = 29, .external_lex_state = 3},
  [3219] = {.lex_state = 29, .external_lex_state = 3},
  [3220] = {.lex_state = 29, .external_lex_state = 3},
  [3221] = {.lex_state = 29, .external_lex_state = 4},
  [3222] = {.lex_state = 29, .external_lex_state = 4},
  [3223] = {.lex_state = 39, .external_lex_state = 2},
  [3224] = {.lex_state = 39, .external_lex_state = 5},
  [3225] = {.lex_state = 29, .external_lex_state = 3},
  [3226] = {.lex_state = 29, .external_lex_state = 3},
  [3227] = {.lex_state = 29, .external_lex_state = 4},
  [3228] = {.lex_state = 29, .external_lex_state = 4},
  [3229] = {.lex_state = 39, .external_lex_state = 2},
  [3230] = {.lex_state = 39, .external_lex_state = 2},
  [3231] = {.lex_state = 39, .external_lex_state = 5},
  [3232] = {.lex_state = 29, .external_lex_state = 3},
  [3233] = {.lex_state = 29, .external_lex_state = 4},
  [3234] = {.lex_state = 29, .external_lex_state = 3},
  [3235] = {.lex_state = 29, .external_lex_state = 3},
  [3236] = {.lex_state = 29, .external_lex_state = 3},
  [3237] = {.lex_state = 29, .external_lex_state = 3},
  [3238] = {.lex_state = 29, .external_lex_state = 3},
  [3239] = {.lex_state = 29, .external_lex_state = 3},
  [3240] = {.lex_state = 29, .external_lex_state = 4},
  [3241] = {.lex_state = 29, .external_lex_state = 4},
  [3242] = {.lex_state = 29, .external_lex_state = 4},
  [3243] = {.lex_state = 39, .external_lex_state = 5},
  [3244] = {.lex_state = 39, .external_lex_state = 5},
  [3245] = {.lex_state = 29, .external_lex_state = 3},
  [3246] = {.lex_state = 29, .external_lex_state = 4},
  [3247] = {.lex_state = 29, .external_lex_state = 4},
  [3248] = {.lex_state = 29, .external_lex_state = 4},
  [3249] = {.lex_state = 29, .external_lex_state = 3},
  [3250] = {.lex_state = 29, .external_lex_state = 4},
  [3251] = {.lex_state = 29, .external_lex_state = 4},
  [3252] = {.lex_state = 29, .external_lex_state = 4},
  [3253] = {.lex_state = 29, .external_lex_state = 3},
  [3254] = {.lex_state = 29, .external_lex_state = 4},
  [3255] = {.lex_state = 29, .external_lex_state = 4},
  [3256] = {.lex_state = 29, .external_lex_state = 4},
  [3257] = {.lex_state = 29, .external_lex_state = 3},
  [3258] = {.lex_state = 29, .external_lex_state = 4},
  [3259] = {.lex_state = 29, .external_lex_state = 4},
  [3260] = {.lex_state = 29, .external_lex_state = 3},
  [3261] = {.lex_state = 39, .external_lex_state = 5},
  [3262] = {.lex_state = 29, .external_lex_state = 3},
  [3263] = {.lex_state = 29, .external_lex_state = 4},
  [3264] = {.lex_state = 29, .external_lex_state = 3},
  [3265] = {.lex_state = 29, .external_lex_state = 4},
  [3266] = {.lex_state = 29, .external_lex_state = 4},
  [3267] = {.lex_state = 29, .external_lex_state = 4},
  [3268] = {.lex_state = 29, .external_lex_state = 4},
  [3269] = {.lex_state = 29, .external_lex_state = 3},
  [3270] = {.lex_state = 39, .external_lex_state = 5},
  [3271] = {.lex_state = 29, .external_lex_state = 3},
  [3272] = {.lex_state = 29, .external_lex_state = 3},
  [3273] = {.lex_state = 29, .external_lex_state = 3},
  [3274] = {.lex_state = 29, .external_lex_state = 3},
  [3275] = {.lex_state = 39, .external_lex_state = 5},
  [3276] = {.lex_state = 39, .external_lex_state = 5},
  [3277] = {.lex_state = 29, .external_lex_state = 4},
  [3278] = {.lex_state = 39, .external_lex_state = 5},
  [3279] = {.lex_state = 29, .external_lex_state = 3},
  [3280] = {.lex_state = 39, .external_lex_state = 5},
  [3281] = {.lex_state = 29, .external_lex_state = 3},
  [3282] = {.lex_state = 29, .external_lex_state = 3},
  [3283] = {.lex_state = 29, .external_lex_state = 4},
  [3284] = {.lex_state = 29, .external_lex_state = 4},
  [3285] = {.lex_state = 29, .external_lex_state = 3},
  [3286] = {.lex_state = 29, .external_lex_state = 4},
  [3287] = {.lex_state = 29, .external_lex_state = 3},
  [3288] = {.lex_state = 29, .external_lex_state = 3},
  [3289] = {.lex_state = 39, .external_lex_state = 5},
  [3290] = {.lex_state = 29, .external_lex_state = 3},
  [3291] = {.lex_state = 39, .external_lex_state = 5},
  [3292] = {.lex_state = 39, .external_lex_state = 2},
  [3293] = {.lex_state = 29, .external_lex_state = 4},
  [3294] = {.lex_state = 39, .external_lex_state = 2},
  [3295] = {.lex_state = 39, .external_lex_state = 2},
  [3296] = {.lex_state = 29, .external_lex_state = 4},
  [3297] = {.lex_state = 29, .external_lex_state = 3},
  [3298] = {.lex_state = 39, .external_lex_state = 5},
  [3299] = {.lex_state = 39, .external_lex_state = 2},
  [3300] = {.lex_state = 29, .external_lex_state = 4},
  [3301] = {.lex_state = 29, .external_lex_state = 4},
  [3302] = {.lex_state = 29, .external_lex_state = 3},
  [3303] = {.lex_state = 29, .external_lex_state = 3},
  [3304] = {.lex_state = 29, .external_lex_state = 4},
  [3305] = {.lex_state = 29, .external_lex_state = 3},
  [3306] = {.lex_state = 29, .external_lex_state = 4},
  [3307] = {.lex_state = 29, .external_lex_state = 3},
  [3308] = {.lex_state = 29, .external_lex_state = 3},
  [3309] = {.lex_state = 29, .external_lex_state = 4},
  [3310] = {.lex_state = 29, .external_lex_state = 4},
  [3311] = {.lex_state = 29, .external_lex_state = 4},
  [3312] = {.lex_state = 29, .external_lex_state = 4},
  [3313] = {.lex_state = 29, .external_lex_state = 4},
  [3314] = {.lex_state = 29, .external_lex_state = 4},
  [3315] = {.lex_state = 29, .external_lex_state = 3},
  [3316] = {.lex_state = 29, .external_lex_state = 3},
  [3317] = {.lex_state = 39, .external_lex_state = 5},
  [3318] = {.lex_state = 29, .external_lex_state = 3},
  [3319] = {.lex_state = 29, .external_lex_state = 4},
  [3320] = {.lex_state = 29, .external_lex_state = 3},
  [3321] = {.lex_state = 29, .external_lex_state = 3},
  [3322] = {.lex_state = 29, .external_lex_state = 3},
  [3323] = {.lex_state = 29, .external_lex_state = 3},
  [3324] = {.lex_state = 29, .external_lex_state = 3},
  [3325] = {.lex_state = 29, .external_lex_state = 3},
  [3326] = {.lex_state = 29, .external_lex_state = 3},
  [3327] = {.lex_state = 29, .external_lex_state = 3},
  [3328] = {.lex_state = 39, .external_lex_state = 2},
  [3329] = {.lex_state = 29, .external_lex_state = 3},
  [3330] = {.lex_state = 29, .external_lex_state = 4},
  [3331] = {.lex_state = 29, .external_lex_state = 3},
  [3332] = {.lex_state = 29, .external_lex_state = 3},
  [3333] = {.lex_state = 29, .external_lex_state = 3},
  [3334] = {.lex_state = 29, .external_lex_state = 3},
  [3335] = {.lex_state = 29, .external_lex_state = 3},
  [3336] = {.lex_state = 29, .external_lex_state = 3},
  [3337] = {.lex_state = 39, .external_lex_state = 5},
  [3338] = {.lex_state = 39, .external_lex_state = 5},
  [3339] = {.lex_state = 39, .external_lex_state = 5},
  [3340] = {.lex_state = 39, .external_lex_state = 2},
  [3341] = {.lex_state = 39, .external_lex_state = 5},
  [3342] = {.lex_state = 39, .external_lex_state = 2},
  [3343] = {.lex_state = 39, .external_lex_state = 5},
  [3344] = {.lex_state = 29, .external_lex_state = 3},
  [3345] = {.lex_state = 29, .external_lex_state = 4},
  [3346] = {.lex_state = 39, .external_lex_state = 2},
  [3347] = {.lex_state = 29, .external_lex_state = 3},
  [3348] = {.lex_state = 39, .external_lex_state = 5},
  [3349] = {.lex_state = 39, .external_lex_state = 2},
  [3350] = {.lex_state = 39, .external_lex_state = 5},
  [3351] = {.lex_state = 39, .external_lex_state = 5},
  [3352] = {.lex_state = 39, .external_lex_state = 5},
  [3353] = {.lex_state = 39, .external_lex_state = 5},
  [3354] = {.lex_state = 39, .external_lex_state = 5},
  [3355] = {.lex_state = 29, .external_lex_state = 4},
  [3356] = {.lex_state = 39, .external_lex_state = 2},
  [3357] = {.lex_state = 39, .external_lex_state = 2},
  [3358] = {.lex_state = 29, .external_lex_state = 3},
  [3359] = {.lex_state = 29, .external_lex_state = 3},
  [3360] = {.lex_state = 32, .external_lex_state = 3},
  [3361] = {.lex_state = 39, .external_lex_state = 2},
  [3362] = {.lex_state = 29, .external_lex_state = 3},
  [3363] = {.lex_state = 29, .external_lex_state = 3},
  [3364] = {.lex_state = 29, .external_lex_state = 3},
  [3365] = {.lex_state = 29, .external_lex_state = 3},
  [3366] = {.lex_state = 29, .external_lex_state = 3},
  [3367] = {.lex_state = 29, .external_lex_state = 3},
  [3368] = {.lex_state = 39, .external_lex_state = 5},
  [3369] = {.lex_state = 39, .external_lex_state = 2},
  [3370] = {.lex_state = 29, .external_lex_state = 3},
  [3371] = {.lex_state = 39, .external_lex_state = 5},
  [3372] = {.lex_state = 39, .external_lex_state = 5},
  [3373] = {.lex_state = 29, .external_lex_state = 3},
  [3374] = {.lex_state = 39, .external_lex_state = 2},
  [3375] = {.lex_state = 29, .external_lex_state = 3},
  [3376] = {.lex_state = 29, .external_lex_state = 3},
  [3377] = {.lex_state = 29, .external_lex_state = 3},
  [3378] = {.lex_state = 29, .external_lex_state = 4},
  [3379] = {.lex_state = 29, .external_lex_state = 3},
  [3380] = {.lex_state = 29, .external_lex_state = 3},
  [3381] = {.lex_state = 29, .external_lex_state = 3},
  [3382] = {.lex_state = 29, .external_lex_state = 3},
  [3383] = {.lex_state = 29, .external_lex_state = 3},
  [3384] = {.lex_state = 29, .external_lex_state = 3},
  [3385] = {.lex_state = 29, .external_lex_state = 3},
  [3386] = {.lex_state = 29, .external_lex_state = 3},
  [3387] = {.lex_state = 29, .external_lex_state = 3},
  [3388] = {.lex_state = 39, .external_lex_state = 5},
  [3389] = {.lex_state = 29, .external_lex_state = 3},
  [3390] = {.lex_state = 29, .external_lex_state = 3},
  [3391] = {.lex_state = 39, .external_lex_state = 5},
  [3392] = {.lex_state = 39, .external_lex_state = 5},
  [3393] = {.lex_state = 29, .external_lex_state = 3},
  [3394] = {.lex_state = 29, .external_lex_state = 3},
  [3395] = {.lex_state = 39, .external_lex_state = 5},
  [3396] = {.lex_state = 29, .external_lex_state = 3},
  [3397] = {.lex_state = 39, .external_lex_state = 5},
  [3398] = {.lex_state = 29, .external_lex_state = 4},
  [3399] = {.lex_state = 39, .external_lex_state = 2},
  [3400] = {.lex_state = 39, .external_lex_state = 5},
  [3401] = {.lex_state = 29, .external_lex_state = 3},
  [3402] = {.lex_state = 39, .external_lex_state = 5},
  [3403] = {.lex_state = 29, .external_lex_state = 3},
  [3404] = {.lex_state = 29, .external_lex_state = 3},
  [3405] = {.lex_state = 29, .external_lex_state = 3},
  [3406] = {.lex_state = 29, .external_lex_state = 3},
  [3407] = {.lex_state = 39, .external_lex_state = 5},
  [3408] = {.lex_state = 29, .external_lex_state = 3},
  [3409] = {.lex_state = 39, .external_lex_state = 5},
  [3410] = {.lex_state = 29, .external_lex_state = 3},
  [3411] = {.lex_state = 39, .external_lex_state = 5},
  [3412] = {.lex_state = 29, .external_lex_state = 3},
  [3413] = {.lex_state = 29, .external_lex_state = 3},
  [3414] = {.lex_state = 29, .external_lex_state = 3},
  [3415] = {.lex_state = 29, .external_lex_state = 3},
  [3416] = {.lex_state = 29, .external_lex_state = 3},
  [3417] = {.lex_state = 39, .external_lex_state = 2},
  [3418] = {.lex_state = 39, .external_lex_state = 5},
  [3419] = {.lex_state = 29, .external_lex_state = 3},
  [3420] = {.lex_state = 29, .external_lex_state = 3},
  [3421] = {.lex_state = 38, .external_lex_state = 5},
  [3422] = {.lex_state = 29, .external_lex_state = 3},
  [3423] = {.lex_state = 39, .external_lex_state = 5},
  [3424] = {.lex_state = 38, .external_lex_state = 5},
  [3425] = {.lex_state = 39, .external_lex_state = 5},
  [3426] = {.lex_state = 29, .external_lex_state = 3},
  [3427] = {.lex_state = 29, .external_lex_state = 3},
  [3428] = {.lex_state = 29, .external_lex_state = 3},
  [3429] = {.lex_state = 29, .external_lex_state = 3},
  [3430] = {.lex_state = 39, .external_lex_state = 5},
  [3431] = {.lex_state = 29, .external_lex_state = 3},
  [3432] = {.lex_state = 38, .external_lex_state = 5},
  [3433] = {.lex_state = 39, .external_lex_state = 5},
  [3434] = {.lex_state = 39, .external_lex_state = 2},
  [3435] = {.lex_state = 39, .external_lex_state = 2},
  [3436] = {.lex_state = 38, .external_lex_state = 2},
  [3437] = {.lex_state = 29, .external_lex_state = 4},
  [3438] = {.lex_state = 38, .external_lex_state = 5},
  [3439] = {.lex_state = 29, .external_lex_state = 3},
  [3440] = {.lex_state = 38, .external_lex_state = 5},
  [3441] = {.lex_state = 39, .external_lex_state = 5},
  [3442] = {.lex_state = 29, .external_lex_state = 3},
  [3443] = {.lex_state = 29, .external_lex_state = 4},
  [3444] = {.lex_state = 39, .external_lex_state = 2},
  [3445] = {.lex_state = 39, .external_lex_state = 2},
  [3446] = {.lex_state = 38, .external_lex_state = 5},
  [3447] = {.lex_state = 29, .external_lex_state = 3},
  [3448] = {.lex_state = 29, .external_lex_state = 3},
  [3449] = {.lex_state = 29, .external_lex_state = 3},
  [3450] = {.lex_state = 39, .external_lex_state = 5},
  [3451] = {.lex_state = 29, .external_lex_state = 3},
  [3452] = {.lex_state = 29, .external_lex_state = 3},
  [3453] = {.lex_state = 29, .external_lex_state = 3},
  [3454] = {.lex_state = 39, .external_lex_state = 5},
  [3455] = {.lex_state = 39, .external_lex_state = 5},
  [3456] = {.lex_state = 39, .external_lex_state = 2},
  [3457] = {.lex_state = 39, .external_lex_state = 2},
  [3458] = {.lex_state = 39, .external_lex_state = 2},
  [3459] = {.lex_state = 39, .external_lex_state = 5},
  [3460] = {.lex_state = 39, .external_lex_state = 2},
  [3461] = {.lex_state = 39, .external_lex_state = 2},
  [3462] = {.lex_state = 39, .external_lex_state = 5},
  [3463] = {.lex_state = 39, .external_lex_state = 2},
  [3464] = {.lex_state = 39, .external_lex_state = 5},
  [3465] = {.lex_state = 39, .external_lex_state = 5},
  [3466] = {.lex_state = 39, .external_lex_state = 5},
  [3467] = {.lex_state = 39, .external_lex_state = 2},
  [3468] = {.lex_state = 29, .external_lex_state = 3},
  [3469] = {.lex_state = 39, .external_lex_state = 5},
  [3470] = {.lex_state = 39, .external_lex_state = 5},
  [3471] = {.lex_state = 29, .external_lex_state = 3},
  [3472] = {.lex_state = 30, .external_lex_state = 3},
  [3473] = {.lex_state = 29, .external_lex_state = 3},
  [3474] = {.lex_state = 39, .external_lex_state = 2},
  [3475] = {.lex_state = 39, .external_lex_state = 2},
  [3476] = {.lex_state = 39, .external_lex_state = 2},
  [3477] = {.lex_state = 39, .external_lex_state = 5},
  [3478] = {.lex_state = 39, .external_lex_state = 2},
  [3479] = {.lex_state = 29, .external_lex_state = 3},
  [3480] = {.lex_state = 39, .external_lex_state = 5},
  [3481] = {.lex_state = 39, .external_lex_state = 5},
  [3482] = {.lex_state = 39, .external_lex_state = 5},
  [3483] = {.lex_state = 29, .external_lex_state = 3},
  [3484] = {.lex_state = 29, .external_lex_state = 3},
  [3485] = {.lex_state = 39, .external_lex_state = 2},
  [3486] = {.lex_state = 39, .external_lex_state = 2},
  [3487] = {.lex_state = 39, .external_lex_state = 2},
  [3488] = {.lex_state = 39, .external_lex_state = 5},
  [3489] = {.lex_state = 39, .external_lex_state = 5},
  [3490] = {.lex_state = 39, .external_lex_state = 5},
  [3491] = {.lex_state = 39, .external_lex_state = 2},
  [3492] = {.lex_state = 29, .external_lex_state = 3},
  [3493] = {.lex_state = 39, .external_lex_state = 5},
  [3494] = {.lex_state = 39, .external_lex_state = 2},
  [3495] = {.lex_state = 39, .external_lex_state = 2},
  [3496] = {.lex_state = 39, .external_lex_state = 2},
  [3497] = {.lex_state = 29, .external_lex_state = 3},
  [3498] = {.lex_state = 29, .external_lex_state = 3},
  [3499] = {.lex_state = 29, .external_lex_state = 3},
  [3500] = {.lex_state = 29, .external_lex_state = 3},
  [3501] = {.lex_state = 29, .external_lex_state = 3},
  [3502] = {.lex_state = 29, .external_lex_state = 3},
  [3503] = {.lex_state = 29, .external_lex_state = 3},
  [3504] = {.lex_state = 29, .external_lex_state = 3},
  [3505] = {.lex_state = 39, .external_lex_state = 2},
  [3506] = {.lex_state = 29, .external_lex_state = 3},
  [3507] = {.lex_state = 38, .external_lex_state = 5},
  [3508] = {.lex_state = 38, .external_lex_state = 5},
  [3509] = {.lex_state = 38, .external_lex_state = 5},
  [3510] = {.lex_state = 38, .external_lex_state = 5},
  [3511] = {.lex_state = 38, .external_lex_state = 5},
  [3512] = {.lex_state = 38, .external_lex_state = 5},
  [3513] = {.lex_state = 38, .external_lex_state = 5},
  [3514] = {.lex_state = 38, .external_lex_state = 5},
  [3515] = {.lex_state = 38, .external_lex_state = 5},
  [3516] = {.lex_state = 38, .external_lex_state = 5},
  [3517] = {.lex_state = 38, .external_lex_state = 5},
  [3518] = {.lex_state = 38, .external_lex_state = 5},
  [3519] = {.lex_state = 38, .external_lex_state = 5},
  [3520] = {.lex_state = 38, .external_lex_state = 5},
  [3521] = {.lex_state = 38, .external_lex_state = 5},
  [3522] = {.lex_state = 38, .external_lex_state = 5},
  [3523] = {.lex_state = 38, .external_lex_state = 5},
  [3524] = {.lex_state = 38, .external_lex_state = 5},
  [3525] = {.lex_state = 38, .external_lex_state = 5},
  [3526] = {.lex_state = 38, .external_lex_state = 5},
  [3527] = {.lex_state = 38, .external_lex_state = 5},
  [3528] = {.lex_state = 38, .external_lex_state = 5},
  [3529] = {.lex_state = 38, .external_lex_state = 5},
  [3530] = {.lex_state = 38, .external_lex_state = 5},
  [3531] = {.lex_state = 38, .external_lex_state = 5},
  [3532] = {.lex_state = 38, .external_lex_state = 5},
  [3533] = {.lex_state = 38, .external_lex_state = 5},
  [3534] = {.lex_state = 38, .external_lex_state = 5},
  [3535] = {.lex_state = 38, .external_lex_state = 5},
  [3536] = {.lex_state = 38, .external_lex_state = 5},
  [3537] = {.lex_state = 38, .external_lex_state = 5},
  [3538] = {.lex_state = 38, .external_lex_state = 5},
  [3539] = {.lex_state = 38, .external_lex_state = 5},
  [3540] = {.lex_state = 39, .external_lex_state = 2},
  [3541] = {.lex_state = 38, .external_lex_state = 5},
  [3542] = {.lex_state = 38, .external_lex_state = 5},
  [3543] = {.lex_state = 38, .external_lex_state = 5},
  [3544] = {.lex_state = 38, .external_lex_state = 5},
  [3545] = {.lex_state = 38, .external_lex_state = 5},
  [3546] = {.lex_state = 38, .external_lex_state = 5},
  [3547] = {.lex_state = 38, .external_lex_state = 5},
  [3548] = {.lex_state = 38, .external_lex_state = 5},
  [3549] = {.lex_state = 39, .external_lex_state = 2},
  [3550] = {.lex_state = 39, .external_lex_state = 2},
  [3551] = {.lex_state = 38, .external_lex_state = 5},
  [3552] = {.lex_state = 38, .external_lex_state = 5},
  [3553] = {.lex_state = 38, .external_lex_state = 5},
  [3554] = {.lex_state = 38, .external_lex_state = 5},
  [3555] = {.lex_state = 38, .external_lex_state = 5},
  [3556] = {.lex_state = 38, .external_lex_state = 5},
  [3557] = {.lex_state = 38, .external_lex_state = 5},
  [3558] = {.lex_state = 39, .external_lex_state = 2},
  [3559] = {.lex_state = 38, .external_lex_state = 5},
  [3560] = {.lex_state = 38, .external_lex_state = 5},
  [3561] = {.lex_state = 38, .external_lex_state = 5},
  [3562] = {.lex_state = 38, .external_lex_state = 5},
  [3563] = {.lex_state = 39, .external_lex_state = 2},
  [3564] = {.lex_state = 39, .external_lex_state = 2},
  [3565] = {.lex_state = 38, .external_lex_state = 2},
  [3566] = {.lex_state = 38, .external_lex_state = 2},
  [3567] = {.lex_state = 38, .external_lex_state = 2},
  [3568] = {.lex_state = 38, .external_lex_state = 2},
  [3569] = {.lex_state = 39, .external_lex_state = 2},
  [3570] = {.lex_state = 38, .external_lex_state = 2},
  [3571] = {.lex_state = 38, .external_lex_state = 2},
  [3572] = {.lex_state = 38, .external_lex_state = 2},
  [3573] = {.lex_state = 39, .external_lex_state = 2},
  [3574] = {.lex_state = 39, .external_lex_state = 2},
  [3575] = {.lex_state = 39, .external_lex_state = 2},
  [3576] = {.lex_state = 39, .external_lex_state = 2},
  [3577] = {.lex_state = 39, .external_lex_state = 2},
  [3578] = {.lex_state = 39, .external_lex_state = 2},
  [3579] = {.lex_state = 39, .external_lex_state = 2},
  [3580] = {.lex_state = 39, .external_lex_state = 2},
  [3581] = {.lex_state = 39, .external_lex_state = 2},
  [3582] = {.lex_state = 38, .external_lex_state = 2},
  [3583] = {.lex_state = 39, .external_lex_state = 2},
  [3584] = {.lex_state = 39, .external_lex_state = 2},
  [3585] = {.lex_state = 39, .external_lex_state = 2},
  [3586] = {.lex_state = 39, .external_lex_state = 2},
  [3587] = {.lex_state = 39, .external_lex_state = 2},
  [3588] = {.lex_state = 39, .external_lex_state = 2},
  [3589] = {.lex_state = 39, .external_lex_state = 2},
  [3590] = {.lex_state = 39, .external_lex_state = 2},
  [3591] = {.lex_state = 39, .external_lex_state = 2},
  [3592] = {.lex_state = 39, .external_lex_state = 2},
  [3593] = {.lex_state = 39, .external_lex_state = 2},
  [3594] = {.lex_state = 39, .external_lex_state = 2},
  [3595] = {.lex_state = 39, .external_lex_state = 2},
  [3596] = {.lex_state = 39, .external_lex_state = 2},
  [3597] = {.lex_state = 39, .external_lex_state = 2},
  [3598] = {.lex_state = 38, .external_lex_state = 2},
  [3599] = {.lex_state = 39, .external_lex_state = 2},
  [3600] = {.lex_state = 39, .external_lex_state = 2},
  [3601] = {.lex_state = 39, .external_lex_state = 2},
  [3602] = {.lex_state = 39, .external_lex_state = 2},
  [3603] = {.lex_state = 38, .external_lex_state = 2},
  [3604] = {.lex_state = 39, .external_lex_state = 2},
  [3605] = {.lex_state = 39, .external_lex_state = 2},
  [3606] = {.lex_state = 39, .external_lex_state = 2},
  [3607] = {.lex_state = 39, .external_lex_state = 2},
  [3608] = {.lex_state = 39, .external_lex_state = 2},
  [3609] = {.lex_state = 39, .external_lex_state = 2},
  [3610] = {.lex_state = 39, .external_lex_state = 2},
  [3611] = {.lex_state = 39, .external_lex_state = 2},
  [3612] = {.lex_state = 39, .external_lex_state = 2},
  [3613] = {.lex_state = 39, .external_lex_state = 2},
  [3614] = {.lex_state = 39, .external_lex_state = 2},
  [3615] = {.lex_state = 39, .external_lex_state = 2},
  [3616] = {.lex_state = 39, .external_lex_state = 2},
  [3617] = {.lex_state = 38, .external_lex_state = 2},
  [3618] = {.lex_state = 406, .external_lex_state = 2},
  [3619] = {.lex_state = 39, .external_lex_state = 2},
  [3620] = {.lex_state = 39, .external_lex_state = 2},
  [3621] = {.lex_state = 39, .external_lex_state = 2},
  [3622] = {.lex_state = 38, .external_lex_state = 2},
  [3623] = {.lex_state = 39, .external_lex_state = 2},
  [3624] = {.lex_state = 39, .external_lex_state = 2},
  [3625] = {.lex_state = 39, .external_lex_state = 2},
  [3626] = {.lex_state = 406, .external_lex_state = 2},
  [3627] = {.lex_state = 39, .external_lex_state = 2},
  [3628] = {.lex_state = 39, .external_lex_state = 2},
  [3629] = {.lex_state = 39, .external_lex_state = 2},
  [3630] = {.lex_state = 406, .external_lex_state = 2},
  [3631] = {.lex_state = 39, .external_lex_state = 2},
  [3632] = {.lex_state = 39, .external_lex_state = 2},
  [3633] = {.lex_state = 406, .external_lex_state = 2},
  [3634] = {.lex_state = 39, .external_lex_state = 2},
  [3635] = {.lex_state = 39, .external_lex_state = 2},
  [3636] = {.lex_state = 39, .external_lex_state = 2},
  [3637] = {.lex_state = 39, .external_lex_state = 2},
  [3638] = {.lex_state = 38, .external_lex_state = 2},
  [3639] = {.lex_state = 39, .external_lex_state = 2},
  [3640] = {.lex_state = 39, .external_lex_state = 2},
  [3641] = {.lex_state = 39, .external_lex_state = 2},
  [3642] = {.lex_state = 406, .external_lex_state = 2},
  [3643] = {.lex_state = 406, .external_lex_state = 2},
  [3644] = {.lex_state = 39, .external_lex_state = 2},
  [3645] = {.lex_state = 406, .external_lex_state = 2},
  [3646] = {.lex_state = 406, .external_lex_state = 2},
  [3647] = {.lex_state = 406, .external_lex_state = 2},
  [3648] = {.lex_state = 406, .external_lex_state = 2},
  [3649] = {.lex_state = 406, .external_lex_state = 2},
  [3650] = {.lex_state = 39, .external_lex_state = 2},
  [3651] = {.lex_state = 39, .external_lex_state = 2},
  [3652] = {.lex_state = 39, .external_lex_state = 2},
  [3653] = {.lex_state = 39, .external_lex_state = 2},
  [3654] = {.lex_state = 39, .external_lex_state = 2},
  [3655] = {.lex_state = 39, .external_lex_state = 2},
  [3656] = {.lex_state = 38, .external_lex_state = 2},
  [3657] = {.lex_state = 39, .external_lex_state = 2},
  [3658] = {.lex_state = 406, .external_lex_state = 2},
  [3659] = {.lex_state = 39, .external_lex_state = 2},
  [3660] = {.lex_state = 39, .external_lex_state = 2},
  [3661] = {.lex_state = 39, .external_lex_state = 2},
  [3662] = {.lex_state = 39, .external_lex_state = 2},
  [3663] = {.lex_state = 39, .external_lex_state = 2},
  [3664] = {.lex_state = 39, .external_lex_state = 2},
  [3665] = {.lex_state = 39, .external_lex_state = 2},
  [3666] = {.lex_state = 39, .external_lex_state = 2},
  [3667] = {.lex_state = 39, .external_lex_state = 2},
  [3668] = {.lex_state = 39, .external_lex_state = 2},
  [3669] = {.lex_state = 39, .external_lex_state = 2},
  [3670] = {.lex_state = 39, .external_lex_state = 2},
  [3671] = {.lex_state = 39, .external_lex_state = 2},
  [3672] = {.lex_state = 39, .external_lex_state = 2},
  [3673] = {.lex_state = 39, .external_lex_state = 2},
  [3674] = {.lex_state = 39, .external_lex_state = 2},
  [3675] = {.lex_state = 39, .external_lex_state = 2},
  [3676] = {.lex_state = 39, .external_lex_state = 2},
  [3677] = {.lex_state = 39, .external_lex_state = 2},
  [3678] = {.lex_state = 39, .external_lex_state = 2},
  [3679] = {.lex_state = 39, .external_lex_state = 2},
  [3680] = {.lex_state = 39, .external_lex_state = 2},
  [3681] = {.lex_state = 39, .external_lex_state = 2},
  [3682] = {.lex_state = 39, .external_lex_state = 2},
  [3683] = {.lex_state = 39, .external_lex_state = 2},
  [3684] = {.lex_state = 39, .external_lex_state = 2},
  [3685] = {.lex_state = 39, .external_lex_state = 2},
  [3686] = {.lex_state = 39, .external_lex_state = 2},
  [3687] = {.lex_state = 39, .external_lex_state = 2},
  [3688] = {.lex_state = 39, .external_lex_state = 2},
  [3689] = {.lex_state = 39, .external_lex_state = 2},
  [3690] = {.lex_state = 39, .external_lex_state = 2},
  [3691] = {.lex_state = 39, .external_lex_state = 2},
  [3692] = {.lex_state = 39, .external_lex_state = 2},
  [3693] = {.lex_state = 39, .external_lex_state = 2},
  [3694] = {.lex_state = 39, .external_lex_state = 2},
  [3695] = {.lex_state = 39, .external_lex_state = 2},
  [3696] = {.lex_state = 39, .external_lex_state = 2},
  [3697] = {.lex_state = 39, .external_lex_state = 2},
  [3698] = {.lex_state = 39, .external_lex_state = 2},
  [3699] = {.lex_state = 39, .external_lex_state = 2},
  [3700] = {.lex_state = 39, .external_lex_state = 2},
  [3701] = {.lex_state = 39, .external_lex_state = 2},
  [3702] = {.lex_state = 39, .external_lex_state = 2},
  [3703] = {.lex_state = 39, .external_lex_state = 2},
  [3704] = {.lex_state = 39, .external_lex_state = 2},
  [3705] = {.lex_state = 39, .external_lex_state = 2},
  [3706] = {.lex_state = 39, .external_lex_state = 2},
  [3707] = {.lex_state = 39, .external_lex_state = 2},
  [3708] = {.lex_state = 39, .external_lex_state = 2},
  [3709] = {.lex_state = 39, .external_lex_state = 2},
  [3710] = {.lex_state = 39, .external_lex_state = 2},
  [3711] = {.lex_state = 39, .external_lex_state = 2},
  [3712] = {.lex_state = 38, .external_lex_state = 2},
  [3713] = {.lex_state = 39, .external_lex_state = 2},
  [3714] = {.lex_state = 39, .external_lex_state = 2},
  [3715] = {.lex_state = 39, .external_lex_state = 2},
  [3716] = {.lex_state = 39, .external_lex_state = 2},
  [3717] = {.lex_state = 39, .external_lex_state = 2},
  [3718] = {.lex_state = 39, .external_lex_state = 2},
  [3719] = {.lex_state = 39, .external_lex_state = 2},
  [3720] = {.lex_state = 39, .external_lex_state = 2},
  [3721] = {.lex_state = 39, .external_lex_state = 2},
  [3722] = {.lex_state = 39, .external_lex_state = 2},
  [3723] = {.lex_state = 39, .external_lex_state = 2},
  [3724] = {.lex_state = 38, .external_lex_state = 2},
  [3725] = {.lex_state = 39, .external_lex_state = 2},
  [3726] = {.lex_state = 39, .external_lex_state = 2},
  [3727] = {.lex_state = 39, .external_lex_state = 2},
  [3728] = {.lex_state = 38, .external_lex_state = 2},
  [3729] = {.lex_state = 39, .external_lex_state = 2},
  [3730] = {.lex_state = 39, .external_lex_state = 2},
  [3731] = {.lex_state = 39, .external_lex_state = 2},
  [3732] = {.lex_state = 38, .external_lex_state = 2},
  [3733] = {.lex_state = 39, .external_lex_state = 2},
  [3734] = {.lex_state = 39, .external_lex_state = 2},
  [3735] = {.lex_state = 39, .external_lex_state = 2},
  [3736] = {.lex_state = 38, .external_lex_state = 2},
  [3737] = {.lex_state = 38, .external_lex_state = 2},
  [3738] = {.lex_state = 39, .external_lex_state = 2},
  [3739] = {.lex_state = 39, .external_lex_state = 2},
  [3740] = {.lex_state = 39, .external_lex_state = 2},
  [3741] = {.lex_state = 39, .external_lex_state = 2},
  [3742] = {.lex_state = 39, .external_lex_state = 2},
  [3743] = {.lex_state = 86, .external_lex_state = 2},
  [3744] = {.lex_state = 49, .external_lex_state = 2},
  [3745] = {.lex_state = 49, .external_lex_state = 2},
  [3746] = {.lex_state = 49, .external_lex_state = 2},
  [3747] = {.lex_state = 49, .external_lex_state = 2},
  [3748] = {.lex_state = 49, .external_lex_state = 2},
  [3749] = {.lex_state = 49, .external_lex_state = 2},
  [3750] = {.lex_state = 63, .external_lex_state = 2},
  [3751] = {.lex_state = 63, .external_lex_state = 2},
  [3752] = {.lex_state = 49, .external_lex_state = 2},
  [3753] = {.lex_state = 49, .external_lex_state = 2},
  [3754] = {.lex_state = 49, .external_lex_state = 2},
  [3755] = {.lex_state = 49, .external_lex_state = 2},
  [3756] = {.lex_state = 49, .external_lex_state = 2},
  [3757] = {.lex_state = 49, .external_lex_state = 2},
  [3758] = {.lex_state = 49, .external_lex_state = 2},
  [3759] = {.lex_state = 49, .external_lex_state = 2},
  [3760] = {.lex_state = 49, .external_lex_state = 2},
  [3761] = {.lex_state = 49, .external_lex_state = 2},
  [3762] = {.lex_state = 49, .external_lex_state = 2},
  [3763] = {.lex_state = 49, .external_lex_state = 2},
  [3764] = {.lex_state = 49, .external_lex_state = 2},
  [3765] = {.lex_state = 49, .external_lex_state = 2},
  [3766] = {.lex_state = 49, .external_lex_state = 2},
  [3767] = {.lex_state = 49, .external_lex_state = 2},
  [3768] = {.lex_state = 49, .external_lex_state = 2},
  [3769] = {.lex_state = 49, .external_lex_state = 2},
  [3770] = {.lex_state = 49, .external_lex_state = 2},
  [3771] = {.lex_state = 49, .external_lex_state = 2},
  [3772] = {.lex_state = 49, .external_lex_state = 2},
  [3773] = {.lex_state = 49, .external_lex_state = 2},
  [3774] = {.lex_state = 49, .external_lex_state = 2},
  [3775] = {.lex_state = 49, .external_lex_state = 2},
  [3776] = {.lex_state = 49, .external_lex_state = 2},
  [3777] = {.lex_state = 49, .external_lex_state = 2},
  [3778] = {.lex_state = 49, .external_lex_state = 2},
  [3779] = {.lex_state = 49, .external_lex_state = 2},
  [3780] = {.lex_state = 49, .external_lex_state = 2},
  [3781] = {.lex_state = 49, .external_lex_state = 2},
  [3782] = {.lex_state = 49, .external_lex_state = 2},
  [3783] = {.lex_state = 49, .external_lex_state = 2},
  [3784] = {.lex_state = 63, .external_lex_state = 2},
  [3785] = {.lex_state = 49, .external_lex_state = 2},
  [3786] = {.lex_state = 49, .external_lex_state = 2},
  [3787] = {.lex_state = 55, .external_lex_state = 2},
  [3788] = {.lex_state = 55, .external_lex_state = 2},
  [3789] = {.lex_state = 55, .external_lex_state = 2},
  [3790] = {.lex_state = 64, .external_lex_state = 2},
  [3791] = {.lex_state = 55, .external_lex_state = 2},
  [3792] = {.lex_state = 64, .external_lex_state = 2},
  [3793] = {.lex_state = 55, .external_lex_state = 2},
  [3794] = {.lex_state = 63, .external_lex_state = 2},
  [3795] = {.lex_state = 63, .external_lex_state = 2},
  [3796] = {.lex_state = 48, .external_lex_state = 5},
  [3797] = {.lex_state = 63, .external_lex_state = 2},
  [3798] = {.lex_state = 63, .external_lex_state = 2},
  [3799] = {.lex_state = 63, .external_lex_state = 2},
  [3800] = {.lex_state = 63, .external_lex_state = 2},
  [3801] = {.lex_state = 63, .external_lex_state = 2},
  [3802] = {.lex_state = 63, .external_lex_state = 2},
  [3803] = {.lex_state = 63, .external_lex_state = 2},
  [3804] = {.lex_state = 49, .external_lex_state = 2},
  [3805] = {.lex_state = 63, .external_lex_state = 2},
  [3806] = {.lex_state = 63, .external_lex_state = 2},
  [3807] = {.lex_state = 63, .external_lex_state = 2},
  [3808] = {.lex_state = 63, .external_lex_state = 2},
  [3809] = {.lex_state = 49, .external_lex_state = 5},
  [3810] = {.lex_state = 63, .external_lex_state = 2},
  [3811] = {.lex_state = 49, .external_lex_state = 5},
  [3812] = {.lex_state = 48, .external_lex_state = 5},
  [3813] = {.lex_state = 49, .external_lex_state = 2},
  [3814] = {.lex_state = 49, .external_lex_state = 2},
  [3815] = {.lex_state = 63, .external_lex_state = 2},
  [3816] = {.lex_state = 63, .external_lex_state = 2},
  [3817] = {.lex_state = 49, .external_lex_state = 5},
  [3818] = {.lex_state = 49, .external_lex_state = 2},
  [3819] = {.lex_state = 63, .external_lex_state = 2},
  [3820] = {.lex_state = 63, .external_lex_state = 2},
  [3821] = {.lex_state = 63, .external_lex_state = 2},
  [3822] = {.lex_state = 63, .external_lex_state = 2},
  [3823] = {.lex_state = 63, .external_lex_state = 2},
  [3824] = {.lex_state = 63, .external_lex_state = 2},
  [3825] = {.lex_state = 63, .external_lex_state = 2},
  [3826] = {.lex_state = 63, .external_lex_state = 2},
  [3827] = {.lex_state = 63, .external_lex_state = 2},
  [3828] = {.lex_state = 49, .external_lex_state = 5},
  [3829] = {.lex_state = 49, .external_lex_state = 6},
  [3830] = {.lex_state = 63, .external_lex_state = 2},
  [3831] = {.lex_state = 48, .external_lex_state = 5},
  [3832] = {.lex_state = 406, .external_lex_state = 2},
  [3833] = {.lex_state = 63, .external_lex_state = 2},
  [3834] = {.lex_state = 63, .external_lex_state = 2},
  [3835] = {.lex_state = 406, .external_lex_state = 2},
  [3836] = {.lex_state = 63, .external_lex_state = 2},
  [3837] = {.lex_state = 63, .external_lex_state = 2},
  [3838] = {.lex_state = 63, .external_lex_state = 2},
  [3839] = {.lex_state = 63, .external_lex_state = 2},
  [3840] = {.lex_state = 406, .external_lex_state = 2},
  [3841] = {.lex_state = 406, .external_lex_state = 2},
  [3842] = {.lex_state = 406, .external_lex_state = 2},
  [3843] = {.lex_state = 63, .external_lex_state = 2},
  [3844] = {.lex_state = 406, .external_lex_state = 2},
  [3845] = {.lex_state = 406, .external_lex_state = 2},
  [3846] = {.lex_state = 49, .external_lex_state = 5},
  [3847] = {.lex_state = 49, .external_lex_state = 5},
  [3848] = {.lex_state = 49, .external_lex_state = 5},
  [3849] = {.lex_state = 49, .external_lex_state = 5},
  [3850] = {.lex_state = 49, .external_lex_state = 5},
  [3851] = {.lex_state = 49, .external_lex_state = 5},
  [3852] = {.lex_state = 49, .external_lex_state = 5},
  [3853] = {.lex_state = 49, .external_lex_state = 5},
  [3854] = {.lex_state = 49, .external_lex_state = 5},
  [3855] = {.lex_state = 49, .external_lex_state = 5},
  [3856] = {.lex_state = 49, .external_lex_state = 5},
  [3857] = {.lex_state = 49, .external_lex_state = 5},
  [3858] = {.lex_state = 49, .external_lex_state = 5},
  [3859] = {.lex_state = 406, .external_lex_state = 2},
  [3860] = {.lex_state = 406, .external_lex_state = 2},
  [3861] = {.lex_state = 406, .external_lex_state = 2},
  [3862] = {.lex_state = 63, .external_lex_state = 2},
  [3863] = {.lex_state = 406, .external_lex_state = 2},
  [3864] = {.lex_state = 406, .external_lex_state = 2},
  [3865] = {.lex_state = 406, .external_lex_state = 2},
  [3866] = {.lex_state = 63, .external_lex_state = 2},
  [3867] = {.lex_state = 406, .external_lex_state = 2},
  [3868] = {.lex_state = 406, .external_lex_state = 2},
  [3869] = {.lex_state = 406, .external_lex_state = 2},
  [3870] = {.lex_state = 63, .external_lex_state = 2},
  [3871] = {.lex_state = 63, .external_lex_state = 2},
  [3872] = {.lex_state = 63, .external_lex_state = 2},
  [3873] = {.lex_state = 63, .external_lex_state = 2},
  [3874] = {.lex_state = 63, .external_lex_state = 2},
  [3875] = {.lex_state = 63, .external_lex_state = 2},
  [3876] = {.lex_state = 63, .external_lex_state = 2},
  [3877] = {.lex_state = 63, .external_lex_state = 2},
  [3878] = {.lex_state = 406, .external_lex_state = 2},
  [3879] = {.lex_state = 63, .external_lex_state = 2},
  [3880] = {.lex_state = 63, .external_lex_state = 2},
  [3881] = {.lex_state = 63, .external_lex_state = 2},
  [3882] = {.lex_state = 63, .external_lex_state = 2},
  [3883] = {.lex_state = 406, .external_lex_state = 2},
  [3884] = {.lex_state = 63, .external_lex_state = 2},
  [3885] = {.lex_state = 49, .external_lex_state = 6},
  [3886] = {.lex_state = 49, .external_lex_state = 6},
  [3887] = {.lex_state = 63, .external_lex_state = 2},
  [3888] = {.lex_state = 49, .external_lex_state = 5},
  [3889] = {.lex_state = 49, .external_lex_state = 5},
  [3890] = {.lex_state = 49, .external_lex_state = 5},
  [3891] = {.lex_state = 49, .external_lex_state = 5},
  [3892] = {.lex_state = 49, .external_lex_state = 5},
  [3893] = {.lex_state = 49, .external_lex_state = 5},
  [3894] = {.lex_state = 49, .external_lex_state = 5},
  [3895] = {.lex_state = 49, .external_lex_state = 5},
  [3896] = {.lex_state = 49, .external_lex_state = 5},
  [3897] = {.lex_state = 49, .external_lex_state = 5},
  [3898] = {.lex_state = 63, .external_lex_state = 2},
  [3899] = {.lex_state = 63, .external_lex_state = 2},
  [3900] = {.lex_state = 63, .external_lex_state = 2},
  [3901] = {.lex_state = 63, .external_lex_state = 2},
  [3902] = {.lex_state = 63, .external_lex_state = 2},
  [3903] = {.lex_state = 49, .external_lex_state = 5},
  [3904] = {.lex_state = 49, .external_lex_state = 5},
  [3905] = {.lex_state = 49, .external_lex_state = 5},
  [3906] = {.lex_state = 49, .external_lex_state = 5},
  [3907] = {.lex_state = 49, .external_lex_state = 5},
  [3908] = {.lex_state = 49, .external_lex_state = 5},
  [3909] = {.lex_state = 49, .external_lex_state = 5},
  [3910] = {.lex_state = 49, .external_lex_state = 5},
  [3911] = {.lex_state = 49, .external_lex_state = 5},
  [3912] = {.lex_state = 49, .external_lex_state = 5},
  [3913] = {.lex_state = 63, .external_lex_state = 2},
  [3914] = {.lex_state = 63, .external_lex_state = 2},
  [3915] = {.lex_state = 63, .external_lex_state = 2},
  [3916] = {.lex_state = 63, .external_lex_state = 2},
  [3917] = {.lex_state = 63, .external_lex_state = 2},
  [3918] = {.lex_state = 406, .external_lex_state = 2},
  [3919] = {.lex_state = 63, .external_lex_state = 2},
  [3920] = {.lex_state = 63, .external_lex_state = 2},
  [3921] = {.lex_state = 63, .external_lex_state = 2},
  [3922] = {.lex_state = 406, .external_lex_state = 2},
  [3923] = {.lex_state = 406, .external_lex_state = 2},
  [3924] = {.lex_state = 63, .external_lex_state = 2},
  [3925] = {.lex_state = 63, .external_lex_state = 2},
  [3926] = {.lex_state = 63, .external_lex_state = 2},
  [3927] = {.lex_state = 406, .external_lex_state = 2},
  [3928] = {.lex_state = 406, .external_lex_state = 2},
  [3929] = {.lex_state = 63, .external_lex_state = 2},
  [3930] = {.lex_state = 63, .external_lex_state = 2},
  [3931] = {.lex_state = 406, .external_lex_state = 2},
  [3932] = {.lex_state = 406, .external_lex_state = 2},
  [3933] = {.lex_state = 63, .external_lex_state = 2},
  [3934] = {.lex_state = 63, .external_lex_state = 2},
  [3935] = {.lex_state = 406, .external_lex_state = 2},
  [3936] = {.lex_state = 406, .external_lex_state = 2},
  [3937] = {.lex_state = 406, .external_lex_state = 2},
  [3938] = {.lex_state = 406, .external_lex_state = 2},
  [3939] = {.lex_state = 48, .external_lex_state = 5},
  [3940] = {.lex_state = 56, .external_lex_state = 2},
  [3941] = {.lex_state = 56, .external_lex_state = 2},
  [3942] = {.lex_state = 87, .external_lex_state = 2},
  [3943] = {.lex_state = 48, .external_lex_state = 5},
  [3944] = {.lex_state = 87, .external_lex_state = 2},
  [3945] = {.lex_state = 48, .external_lex_state = 5},
  [3946] = {.lex_state = 87, .external_lex_state = 2},
  [3947] = {.lex_state = 48, .external_lex_state = 5},
  [3948] = {.lex_state = 48, .external_lex_state = 5},
  [3949] = {.lex_state = 48, .external_lex_state = 5},
  [3950] = {.lex_state = 56, .external_lex_state = 2},
  [3951] = {.lex_state = 48, .external_lex_state = 5},
  [3952] = {.lex_state = 48, .external_lex_state = 5},
  [3953] = {.lex_state = 48, .external_lex_state = 5},
  [3954] = {.lex_state = 48, .external_lex_state = 5},
  [3955] = {.lex_state = 48, .external_lex_state = 5},
  [3956] = {.lex_state = 48, .external_lex_state = 5},
  [3957] = {.lex_state = 48, .external_lex_state = 5},
  [3958] = {.lex_state = 48, .external_lex_state = 5},
  [3959] = {.lex_state = 48, .external_lex_state = 5},
  [3960] = {.lex_state = 87, .external_lex_state = 2},
  [3961] = {.lex_state = 48, .external_lex_state = 5},
  [3962] = {.lex_state = 56, .external_lex_state = 2},
  [3963] = {.lex_state = 48, .external_lex_state = 5},
  [3964] = {.lex_state = 48, .external_lex_state = 5},
  [3965] = {.lex_state = 48, .external_lex_state = 5},
  [3966] = {.lex_state = 48, .external_lex_state = 5},
  [3967] = {.lex_state = 48, .external_lex_state = 5},
  [3968] = {.lex_state = 87, .external_lex_state = 2},
  [3969] = {.lex_state = 48, .external_lex_state = 5},
  [3970] = {.lex_state = 48, .external_lex_state = 2},
  [3971] = {.lex_state = 48, .external_lex_state = 5},
  [3972] = {.lex_state = 48, .external_lex_state = 5},
  [3973] = {.lex_state = 48, .external_lex_state = 5},
  [3974] = {.lex_state = 64, .external_lex_state = 2},
  [3975] = {.lex_state = 48, .external_lex_state = 5},
  [3976] = {.lex_state = 48, .external_lex_state = 5},
  [3977] = {.lex_state = 48, .external_lex_state = 5},
  [3978] = {.lex_state = 56, .external_lex_state = 2},
  [3979] = {.lex_state = 48, .external_lex_state = 5},
  [3980] = {.lex_state = 49, .external_lex_state = 6},
  [3981] = {.lex_state = 48, .external_lex_state = 5},
  [3982] = {.lex_state = 48, .external_lex_state = 5},
  [3983] = {.lex_state = 48, .external_lex_state = 5},
  [3984] = {.lex_state = 49, .external_lex_state = 6},
  [3985] = {.lex_state = 49, .external_lex_state = 6},
  [3986] = {.lex_state = 49, .external_lex_state = 6},
  [3987] = {.lex_state = 48, .external_lex_state = 5},
  [3988] = {.lex_state = 49, .external_lex_state = 6},
  [3989] = {.lex_state = 49, .external_lex_state = 6},
  [3990] = {.lex_state = 49, .external_lex_state = 6},
  [3991] = {.lex_state = 49, .external_lex_state = 6},
  [3992] = {.lex_state = 49, .external_lex_state = 6},
  [3993] = {.lex_state = 49, .external_lex_state = 6},
  [3994] = {.lex_state = 49, .external_lex_state = 6},
  [3995] = {.lex_state = 49, .external_lex_state = 6},
  [3996] = {.lex_state = 49, .external_lex_state = 6},
  [3997] = {.lex_state = 49, .external_lex_state = 6},
  [3998] = {.lex_state = 48, .external_lex_state = 5},
  [3999] = {.lex_state = 49, .external_lex_state = 6},
  [4000] = {.lex_state = 49, .external_lex_state = 6},
  [4001] = {.lex_state = 49, .external_lex_state = 5},
  [4002] = {.lex_state = 48, .external_lex_state = 5},
  [4003] = {.lex_state = 49, .external_lex_state = 6},
  [4004] = {.lex_state = 49, .external_lex_state = 6},
  [4005] = {.lex_state = 49, .external_lex_state = 6},
  [4006] = {.lex_state = 49, .external_lex_state = 6},
  [4007] = {.lex_state = 49, .external_lex_state = 6},
  [4008] = {.lex_state = 65, .external_lex_state = 2},
  [4009] = {.lex_state = 48, .external_lex_state = 5},
  [4010] = {.lex_state = 65, .external_lex_state = 2},
  [4011] = {.lex_state = 48, .external_lex_state = 5},
  [4012] = {.lex_state = 65, .external_lex_state = 2},
  [4013] = {.lex_state = 48, .external_lex_state = 5},
  [4014] = {.lex_state = 48, .external_lex_state = 5},
  [4015] = {.lex_state = 48, .external_lex_state = 5},
  [4016] = {.lex_state = 49, .external_lex_state = 5},
  [4017] = {.lex_state = 48, .external_lex_state = 5},
  [4018] = {.lex_state = 48, .external_lex_state = 5},
  [4019] = {.lex_state = 48, .external_lex_state = 5},
  [4020] = {.lex_state = 65, .external_lex_state = 2},
  [4021] = {.lex_state = 48, .external_lex_state = 5},
  [4022] = {.lex_state = 49, .external_lex_state = 5},
  [4023] = {.lex_state = 49, .external_lex_state = 5},
  [4024] = {.lex_state = 49, .external_lex_state = 5},
  [4025] = {.lex_state = 49, .external_lex_state = 6},
  [4026] = {.lex_state = 48, .external_lex_state = 5},
  [4027] = {.lex_state = 48, .external_lex_state = 5},
  [4028] = {.lex_state = 48, .external_lex_state = 5},
  [4029] = {.lex_state = 49, .external_lex_state = 6},
  [4030] = {.lex_state = 65, .external_lex_state = 2},
  [4031] = {.lex_state = 48, .external_lex_state = 5},
  [4032] = {.lex_state = 48, .external_lex_state = 5},
  [4033] = {.lex_state = 49, .external_lex_state = 6},
  [4034] = {.lex_state = 48, .external_lex_state = 5},
  [4035] = {.lex_state = 49, .external_lex_state = 6},
  [4036] = {.lex_state = 49, .external_lex_state = 6},
  [4037] = {.lex_state = 65, .external_lex_state = 2},
  [4038] = {.lex_state = 49, .external_lex_state = 6},
  [4039] = {.lex_state = 49, .external_lex_state = 6},
  [4040] = {.lex_state = 49, .external_lex_state = 6},
  [4041] = {.lex_state = 49, .external_lex_state = 6},
  [4042] = {.lex_state = 48, .external_lex_state = 5},
  [4043] = {.lex_state = 48, .external_lex_state = 6},
  [4044] = {.lex_state = 49, .external_lex_state = 6},
  [4045] = {.lex_state = 49, .external_lex_state = 5},
  [4046] = {.lex_state = 49, .external_lex_state = 6},
  [4047] = {.lex_state = 49, .external_lex_state = 5},
  [4048] = {.lex_state = 65, .external_lex_state = 2},
  [4049] = {.lex_state = 81, .external_lex_state = 2},
  [4050] = {.lex_state = 48, .external_lex_state = 5},
  [4051] = {.lex_state = 48, .external_lex_state = 5},
  [4052] = {.lex_state = 49, .external_lex_state = 6},
  [4053] = {.lex_state = 48, .external_lex_state = 5},
  [4054] = {.lex_state = 81, .external_lex_state = 2},
  [4055] = {.lex_state = 65, .external_lex_state = 2},
  [4056] = {.lex_state = 49, .external_lex_state = 6},
  [4057] = {.lex_state = 48, .external_lex_state = 2},
  [4058] = {.lex_state = 48, .external_lex_state = 5},
  [4059] = {.lex_state = 48, .external_lex_state = 5},
  [4060] = {.lex_state = 48, .external_lex_state = 5},
  [4061] = {.lex_state = 48, .external_lex_state = 5},
  [4062] = {.lex_state = 48, .external_lex_state = 5},
  [4063] = {.lex_state = 48, .external_lex_state = 5},
  [4064] = {.lex_state = 48, .external_lex_state = 5},
  [4065] = {.lex_state = 65, .external_lex_state = 2},
  [4066] = {.lex_state = 48, .external_lex_state = 5},
  [4067] = {.lex_state = 55, .external_lex_state = 2},
  [4068] = {.lex_state = 48, .external_lex_state = 5},
  [4069] = {.lex_state = 48, .external_lex_state = 5},
  [4070] = {.lex_state = 48, .external_lex_state = 5},
  [4071] = {.lex_state = 48, .external_lex_state = 5},
  [4072] = {.lex_state = 48, .external_lex_state = 5},
  [4073] = {.lex_state = 81, .external_lex_state = 2},
  [4074] = {.lex_state = 81, .external_lex_state = 2},
  [4075] = {.lex_state = 48, .external_lex_state = 5},
  [4076] = {.lex_state = 48, .external_lex_state = 5},
  [4077] = {.lex_state = 48, .external_lex_state = 5},
  [4078] = {.lex_state = 48, .external_lex_state = 5},
  [4079] = {.lex_state = 48, .external_lex_state = 5},
  [4080] = {.lex_state = 48, .external_lex_state = 5},
  [4081] = {.lex_state = 48, .external_lex_state = 5},
  [4082] = {.lex_state = 48, .external_lex_state = 5},
  [4083] = {.lex_state = 55, .external_lex_state = 2},
  [4084] = {.lex_state = 48, .external_lex_state = 5},
  [4085] = {.lex_state = 48, .external_lex_state = 5},
  [4086] = {.lex_state = 48, .external_lex_state = 5},
  [4087] = {.lex_state = 48, .external_lex_state = 5},
  [4088] = {.lex_state = 48, .external_lex_state = 5},
  [4089] = {.lex_state = 48, .external_lex_state = 5},
  [4090] = {.lex_state = 48, .external_lex_state = 5},
  [4091] = {.lex_state = 81, .external_lex_state = 2},
  [4092] = {.lex_state = 48, .external_lex_state = 5},
  [4093] = {.lex_state = 48, .external_lex_state = 5},
  [4094] = {.lex_state = 48, .external_lex_state = 5},
  [4095] = {.lex_state = 48, .external_lex_state = 5},
  [4096] = {.lex_state = 48, .external_lex_state = 5},
  [4097] = {.lex_state = 48, .external_lex_state = 5},
  [4098] = {.lex_state = 48, .external_lex_state = 5},
  [4099] = {.lex_state = 48, .external_lex_state = 5},
  [4100] = {.lex_state = 48, .external_lex_state = 5},
  [4101] = {.lex_state = 48, .external_lex_state = 6},
  [4102] = {.lex_state = 48, .external_lex_state = 5},
  [4103] = {.lex_state = 48, .external_lex_state = 5},
  [4104] = {.lex_state = 48, .external_lex_state = 5},
  [4105] = {.lex_state = 48, .external_lex_state = 5},
  [4106] = {.lex_state = 55, .external_lex_state = 2},
  [4107] = {.lex_state = 55, .external_lex_state = 2},
  [4108] = {.lex_state = 48, .external_lex_state = 5},
  [4109] = {.lex_state = 48, .external_lex_state = 5},
  [4110] = {.lex_state = 55, .external_lex_state = 2},
  [4111] = {.lex_state = 81, .external_lex_state = 2},
  [4112] = {.lex_state = 48, .external_lex_state = 5},
  [4113] = {.lex_state = 48, .external_lex_state = 5},
  [4114] = {.lex_state = 48, .external_lex_state = 5},
  [4115] = {.lex_state = 48, .external_lex_state = 5},
  [4116] = {.lex_state = 48, .external_lex_state = 5},
  [4117] = {.lex_state = 55, .external_lex_state = 2},
  [4118] = {.lex_state = 48, .external_lex_state = 5},
  [4119] = {.lex_state = 48, .external_lex_state = 5},
  [4120] = {.lex_state = 48, .external_lex_state = 5},
  [4121] = {.lex_state = 48, .external_lex_state = 5},
  [4122] = {.lex_state = 48, .external_lex_state = 5},
  [4123] = {.lex_state = 48, .external_lex_state = 5},
  [4124] = {.lex_state = 48, .external_lex_state = 5},
  [4125] = {.lex_state = 48, .external_lex_state = 5},
  [4126] = {.lex_state = 48, .external_lex_state = 5},
  [4127] = {.lex_state = 48, .external_lex_state = 5},
  [4128] = {.lex_state = 48, .external_lex_state = 5},
  [4129] = {.lex_state = 48, .external_lex_state = 5},
  [4130] = {.lex_state = 48, .external_lex_state = 5},
  [4131] = {.lex_state = 49, .external_lex_state = 6},
  [4132] = {.lex_state = 48, .external_lex_state = 5},
  [4133] = {.lex_state = 48, .external_lex_state = 5},
  [4134] = {.lex_state = 48, .external_lex_state = 5},
  [4135] = {.lex_state = 48, .external_lex_state = 5},
  [4136] = {.lex_state = 48, .external_lex_state = 5},
  [4137] = {.lex_state = 48, .external_lex_state = 5},
  [4138] = {.lex_state = 48, .external_lex_state = 5},
  [4139] = {.lex_state = 48, .external_lex_state = 5},
  [4140] = {.lex_state = 48, .external_lex_state = 5},
  [4141] = {.lex_state = 48, .external_lex_state = 5},
  [4142] = {.lex_state = 48, .external_lex_state = 5},
  [4143] = {.lex_state = 48, .external_lex_state = 5},
  [4144] = {.lex_state = 48, .external_lex_state = 5},
  [4145] = {.lex_state = 48, .external_lex_state = 5},
  [4146] = {.lex_state = 49, .external_lex_state = 6},
  [4147] = {.lex_state = 48, .external_lex_state = 5},
  [4148] = {.lex_state = 49, .external_lex_state = 6},
  [4149] = {.lex_state = 49, .external_lex_state = 6},
  [4150] = {.lex_state = 48, .external_lex_state = 5},
  [4151] = {.lex_state = 48, .external_lex_state = 5},
  [4152] = {.lex_state = 48, .external_lex_state = 5},
  [4153] = {.lex_state = 48, .external_lex_state = 5},
  [4154] = {.lex_state = 48, .external_lex_state = 5},
  [4155] = {.lex_state = 48, .external_lex_state = 5},
  [4156] = {.lex_state = 48, .external_lex_state = 5},
  [4157] = {.lex_state = 49, .external_lex_state = 6},
  [4158] = {.lex_state = 48, .external_lex_state = 5},
  [4159] = {.lex_state = 48, .external_lex_state = 5},
  [4160] = {.lex_state = 49, .external_lex_state = 6},
  [4161] = {.lex_state = 48, .external_lex_state = 5},
  [4162] = {.lex_state = 49, .external_lex_state = 6},
  [4163] = {.lex_state = 48, .external_lex_state = 5},
  [4164] = {.lex_state = 48, .external_lex_state = 6},
  [4165] = {.lex_state = 48, .external_lex_state = 5},
  [4166] = {.lex_state = 48, .external_lex_state = 5},
  [4167] = {.lex_state = 48, .external_lex_state = 6},
  [4168] = {.lex_state = 48, .external_lex_state = 5},
  [4169] = {.lex_state = 48, .external_lex_state = 5},
  [4170] = {.lex_state = 48, .external_lex_state = 6},
  [4171] = {.lex_state = 48, .external_lex_state = 5},
  [4172] = {.lex_state = 48, .external_lex_state = 5},
  [4173] = {.lex_state = 48, .external_lex_state = 5},
  [4174] = {.lex_state = 48, .external_lex_state = 5},
  [4175] = {.lex_state = 48, .external_lex_state = 5},
  [4176] = {.lex_state = 48, .external_lex_state = 5},
  [4177] = {.lex_state = 48, .external_lex_state = 2},
  [4178] = {.lex_state = 81, .external_lex_state = 2},
  [4179] = {.lex_state = 406, .external_lex_state = 5},
  [4180] = {.lex_state = 48, .external_lex_state = 6},
  [4181] = {.lex_state = 48, .external_lex_state = 5},
  [4182] = {.lex_state = 83, .external_lex_state = 2},
  [4183] = {.lex_state = 83, .external_lex_state = 2},
  [4184] = {.lex_state = 83, .external_lex_state = 2},
  [4185] = {.lex_state = 49, .external_lex_state = 5},
  [4186] = {.lex_state = 83, .external_lex_state = 2},
  [4187] = {.lex_state = 83, .external_lex_state = 2},
  [4188] = {.lex_state = 83, .external_lex_state = 2},
  [4189] = {.lex_state = 49, .external_lex_state = 5},
  [4190] = {.lex_state = 83, .external_lex_state = 2},
  [4191] = {.lex_state = 55, .external_lex_state = 2},
  [4192] = {.lex_state = 48, .external_lex_state = 6},
  [4193] = {.lex_state = 406, .external_lex_state = 5},
  [4194] = {.lex_state = 48, .external_lex_state = 5},
  [4195] = {.lex_state = 83, .external_lex_state = 2},
  [4196] = {.lex_state = 55, .external_lex_state = 2},
  [4197] = {.lex_state = 48, .external_lex_state = 6},
  [4198] = {.lex_state = 48, .external_lex_state = 6},
  [4199] = {.lex_state = 81, .external_lex_state = 2},
  [4200] = {.lex_state = 406, .external_lex_state = 5},
  [4201] = {.lex_state = 81, .external_lex_state = 2},
  [4202] = {.lex_state = 83, .external_lex_state = 2},
  [4203] = {.lex_state = 83, .external_lex_state = 2},
  [4204] = {.lex_state = 83, .external_lex_state = 2},
  [4205] = {.lex_state = 83, .external_lex_state = 2},
  [4206] = {.lex_state = 83, .external_lex_state = 2},
  [4207] = {.lex_state = 83, .external_lex_state = 2},
  [4208] = {.lex_state = 83, .external_lex_state = 2},
  [4209] = {.lex_state = 57, .external_lex_state = 2},
  [4210] = {.lex_state = 55, .external_lex_state = 2},
  [4211] = {.lex_state = 48, .external_lex_state = 6},
  [4212] = {.lex_state = 83, .external_lex_state = 2},
  [4213] = {.lex_state = 83, .external_lex_state = 2},
  [4214] = {.lex_state = 81, .external_lex_state = 2},
  [4215] = {.lex_state = 48, .external_lex_state = 5},
  [4216] = {.lex_state = 81, .external_lex_state = 2},
  [4217] = {.lex_state = 48, .external_lex_state = 5},
  [4218] = {.lex_state = 48, .external_lex_state = 6},
  [4219] = {.lex_state = 48, .external_lex_state = 6},
  [4220] = {.lex_state = 48, .external_lex_state = 6},
  [4221] = {.lex_state = 48, .external_lex_state = 5},
  [4222] = {.lex_state = 48, .external_lex_state = 6},
  [4223] = {.lex_state = 48, .external_lex_state = 2},
  [4224] = {.lex_state = 48, .external_lex_state = 6},
  [4225] = {.lex_state = 48, .external_lex_state = 2},
  [4226] = {.lex_state = 48, .external_lex_state = 2},
  [4227] = {.lex_state = 48, .external_lex_state = 5},
  [4228] = {.lex_state = 48, .external_lex_state = 2},
  [4229] = {.lex_state = 48, .external_lex_state = 2},
  [4230] = {.lex_state = 63, .external_lex_state = 2},
  [4231] = {.lex_state = 48, .external_lex_state = 2},
  [4232] = {.lex_state = 81, .external_lex_state = 2},
  [4233] = {.lex_state = 48, .external_lex_state = 5},
  [4234] = {.lex_state = 55, .external_lex_state = 2},
  [4235] = {.lex_state = 81, .external_lex_state = 2},
  [4236] = {.lex_state = 48, .external_lex_state = 2},
  [4237] = {.lex_state = 48, .external_lex_state = 6},
  [4238] = {.lex_state = 48, .external_lex_state = 2},
  [4239] = {.lex_state = 48, .external_lex_state = 6},
  [4240] = {.lex_state = 48, .external_lex_state = 6},
  [4241] = {.lex_state = 48, .external_lex_state = 6},
  [4242] = {.lex_state = 48, .external_lex_state = 6},
  [4243] = {.lex_state = 48, .external_lex_state = 6},
  [4244] = {.lex_state = 48, .external_lex_state = 6},
  [4245] = {.lex_state = 48, .external_lex_state = 6},
  [4246] = {.lex_state = 48, .external_lex_state = 6},
  [4247] = {.lex_state = 48, .external_lex_state = 2},
  [4248] = {.lex_state = 81, .external_lex_state = 2},
  [4249] = {.lex_state = 81, .external_lex_state = 2},
  [4250] = {.lex_state = 63, .external_lex_state = 2},
  [4251] = {.lex_state = 48, .external_lex_state = 2},
  [4252] = {.lex_state = 48, .external_lex_state = 5},
  [4253] = {.lex_state = 48, .external_lex_state = 6},
  [4254] = {.lex_state = 81, .external_lex_state = 2},
  [4255] = {.lex_state = 81, .external_lex_state = 2},
  [4256] = {.lex_state = 406, .external_lex_state = 2},
  [4257] = {.lex_state = 81, .external_lex_state = 2},
  [4258] = {.lex_state = 49, .external_lex_state = 2},
  [4259] = {.lex_state = 49, .external_lex_state = 2},
  [4260] = {.lex_state = 48, .external_lex_state = 5},
  [4261] = {.lex_state = 63, .external_lex_state = 2},
  [4262] = {.lex_state = 48, .external_lex_state = 6},
  [4263] = {.lex_state = 48, .external_lex_state = 5},
  [4264] = {.lex_state = 81, .external_lex_state = 2},
  [4265] = {.lex_state = 48, .external_lex_state = 2},
  [4266] = {.lex_state = 406, .external_lex_state = 6},
  [4267] = {.lex_state = 48, .external_lex_state = 2},
  [4268] = {.lex_state = 81, .external_lex_state = 2},
  [4269] = {.lex_state = 48, .external_lex_state = 5},
  [4270] = {.lex_state = 48, .external_lex_state = 2},
  [4271] = {.lex_state = 48, .external_lex_state = 2},
  [4272] = {.lex_state = 48, .external_lex_state = 6},
  [4273] = {.lex_state = 48, .external_lex_state = 6},
  [4274] = {.lex_state = 48, .external_lex_state = 6},
  [4275] = {.lex_state = 49, .external_lex_state = 2},
  [4276] = {.lex_state = 48, .external_lex_state = 6},
  [4277] = {.lex_state = 48, .external_lex_state = 6},
  [4278] = {.lex_state = 48, .external_lex_state = 6},
  [4279] = {.lex_state = 48, .external_lex_state = 6},
  [4280] = {.lex_state = 48, .external_lex_state = 6},
  [4281] = {.lex_state = 49, .external_lex_state = 2},
  [4282] = {.lex_state = 48, .external_lex_state = 5},
  [4283] = {.lex_state = 63, .external_lex_state = 2},
  [4284] = {.lex_state = 48, .external_lex_state = 2},
  [4285] = {.lex_state = 81, .external_lex_state = 2},
  [4286] = {.lex_state = 48, .external_lex_state = 5},
  [4287] = {.lex_state = 48, .external_lex_state = 6},
  [4288] = {.lex_state = 48, .external_lex_state = 6},
  [4289] = {.lex_state = 48, .external_lex_state = 6},
  [4290] = {.lex_state = 48, .external_lex_state = 6},
  [4291] = {.lex_state = 81, .external_lex_state = 2},
  [4292] = {.lex_state = 48, .external_lex_state = 6},
  [4293] = {.lex_state = 48, .external_lex_state = 6},
  [4294] = {.lex_state = 48, .external_lex_state = 2},
  [4295] = {.lex_state = 81, .external_lex_state = 2},
  [4296] = {.lex_state = 48, .external_lex_state = 5},
  [4297] = {.lex_state = 55, .external_lex_state = 2},
  [4298] = {.lex_state = 48, .external_lex_state = 5},
  [4299] = {.lex_state = 48, .external_lex_state = 6},
  [4300] = {.lex_state = 48, .external_lex_state = 2},
  [4301] = {.lex_state = 48, .external_lex_state = 2},
  [4302] = {.lex_state = 48, .external_lex_state = 5},
  [4303] = {.lex_state = 48, .external_lex_state = 2},
  [4304] = {.lex_state = 48, .external_lex_state = 2},
  [4305] = {.lex_state = 48, .external_lex_state = 2},
  [4306] = {.lex_state = 55, .external_lex_state = 2},
  [4307] = {.lex_state = 48, .external_lex_state = 2},
  [4308] = {.lex_state = 48, .external_lex_state = 2},
  [4309] = {.lex_state = 48, .external_lex_state = 2},
  [4310] = {.lex_state = 48, .external_lex_state = 2},
  [4311] = {.lex_state = 48, .external_lex_state = 2},
  [4312] = {.lex_state = 49, .external_lex_state = 2},
  [4313] = {.lex_state = 48, .external_lex_state = 5},
  [4314] = {.lex_state = 81, .external_lex_state = 2},
  [4315] = {.lex_state = 81, .external_lex_state = 2},
  [4316] = {.lex_state = 81, .external_lex_state = 2},
  [4317] = {.lex_state = 48, .external_lex_state = 2},
  [4318] = {.lex_state = 49, .external_lex_state = 2},
  [4319] = {.lex_state = 81, .external_lex_state = 2},
  [4320] = {.lex_state = 48, .external_lex_state = 2},
  [4321] = {.lex_state = 81, .external_lex_state = 2},
  [4322] = {.lex_state = 48, .external_lex_state = 5},
  [4323] = {.lex_state = 81, .external_lex_state = 2},
  [4324] = {.lex_state = 81, .external_lex_state = 2},
  [4325] = {.lex_state = 48, .external_lex_state = 5},
  [4326] = {.lex_state = 48, .external_lex_state = 2},
  [4327] = {.lex_state = 48, .external_lex_state = 2},
  [4328] = {.lex_state = 81, .external_lex_state = 2},
  [4329] = {.lex_state = 48, .external_lex_state = 2},
  [4330] = {.lex_state = 81, .external_lex_state = 2},
  [4331] = {.lex_state = 48, .external_lex_state = 6},
  [4332] = {.lex_state = 48, .external_lex_state = 6},
  [4333] = {.lex_state = 48, .external_lex_state = 6},
  [4334] = {.lex_state = 48, .external_lex_state = 6},
  [4335] = {.lex_state = 48, .external_lex_state = 5},
  [4336] = {.lex_state = 48, .external_lex_state = 5},
  [4337] = {.lex_state = 49, .external_lex_state = 5},
  [4338] = {.lex_state = 63, .external_lex_state = 2},
  [4339] = {.lex_state = 48, .external_lex_state = 6},
  [4340] = {.lex_state = 48, .external_lex_state = 6},
  [4341] = {.lex_state = 81, .external_lex_state = 2},
  [4342] = {.lex_state = 81, .external_lex_state = 2},
  [4343] = {.lex_state = 48, .external_lex_state = 6},
  [4344] = {.lex_state = 48, .external_lex_state = 6},
  [4345] = {.lex_state = 48, .external_lex_state = 2},
  [4346] = {.lex_state = 48, .external_lex_state = 6},
  [4347] = {.lex_state = 49, .external_lex_state = 2},
  [4348] = {.lex_state = 48, .external_lex_state = 5},
  [4349] = {.lex_state = 48, .external_lex_state = 6},
  [4350] = {.lex_state = 48, .external_lex_state = 6},
  [4351] = {.lex_state = 48, .external_lex_state = 5},
  [4352] = {.lex_state = 48, .external_lex_state = 2},
  [4353] = {.lex_state = 48, .external_lex_state = 5},
  [4354] = {.lex_state = 81, .external_lex_state = 2},
  [4355] = {.lex_state = 48, .external_lex_state = 2},
  [4356] = {.lex_state = 48, .external_lex_state = 6},
  [4357] = {.lex_state = 48, .external_lex_state = 2},
  [4358] = {.lex_state = 48, .external_lex_state = 2},
  [4359] = {.lex_state = 48, .external_lex_state = 6},
  [4360] = {.lex_state = 48, .external_lex_state = 2},
  [4361] = {.lex_state = 48, .external_lex_state = 6},
  [4362] = {.lex_state = 49, .external_lex_state = 2},
  [4363] = {.lex_state = 48, .external_lex_state = 6},
  [4364] = {.lex_state = 81, .external_lex_state = 2},
  [4365] = {.lex_state = 48, .external_lex_state = 2},
  [4366] = {.lex_state = 48, .external_lex_state = 5},
  [4367] = {.lex_state = 81, .external_lex_state = 2},
  [4368] = {.lex_state = 48, .external_lex_state = 2},
  [4369] = {.lex_state = 49, .external_lex_state = 2},
  [4370] = {.lex_state = 48, .external_lex_state = 2},
  [4371] = {.lex_state = 48, .external_lex_state = 5},
  [4372] = {.lex_state = 48, .external_lex_state = 5},
  [4373] = {.lex_state = 81, .external_lex_state = 2},
  [4374] = {.lex_state = 81, .external_lex_state = 2},
  [4375] = {.lex_state = 48, .external_lex_state = 2},
  [4376] = {.lex_state = 48, .external_lex_state = 2},
  [4377] = {.lex_state = 48, .external_lex_state = 6},
  [4378] = {.lex_state = 48, .external_lex_state = 5},
  [4379] = {.lex_state = 406, .external_lex_state = 5},
  [4380] = {.lex_state = 48, .external_lex_state = 2},
  [4381] = {.lex_state = 48, .external_lex_state = 2},
  [4382] = {.lex_state = 48, .external_lex_state = 6},
  [4383] = {.lex_state = 48, .external_lex_state = 5},
  [4384] = {.lex_state = 48, .external_lex_state = 6},
  [4385] = {.lex_state = 48, .external_lex_state = 5},
  [4386] = {.lex_state = 81, .external_lex_state = 2},
  [4387] = {.lex_state = 49, .external_lex_state = 5},
  [4388] = {.lex_state = 48, .external_lex_state = 2},
  [4389] = {.lex_state = 48, .external_lex_state = 5},
  [4390] = {.lex_state = 48, .external_lex_state = 2},
  [4391] = {.lex_state = 49, .external_lex_state = 2},
  [4392] = {.lex_state = 48, .external_lex_state = 2},
  [4393] = {.lex_state = 48, .external_lex_state = 5},
  [4394] = {.lex_state = 48, .external_lex_state = 2},
  [4395] = {.lex_state = 48, .external_lex_state = 6},
  [4396] = {.lex_state = 48, .external_lex_state = 5},
  [4397] = {.lex_state = 48, .external_lex_state = 2},
  [4398] = {.lex_state = 63, .external_lex_state = 2},
  [4399] = {.lex_state = 49, .external_lex_state = 2},
  [4400] = {.lex_state = 406, .external_lex_state = 6},
  [4401] = {.lex_state = 48, .external_lex_state = 5},
  [4402] = {.lex_state = 48, .external_lex_state = 5},
  [4403] = {.lex_state = 81, .external_lex_state = 2},
  [4404] = {.lex_state = 48, .external_lex_state = 2},
  [4405] = {.lex_state = 48, .external_lex_state = 5},
  [4406] = {.lex_state = 48, .external_lex_state = 2},
  [4407] = {.lex_state = 48, .external_lex_state = 2},
  [4408] = {.lex_state = 48, .external_lex_state = 5},
  [4409] = {.lex_state = 48, .external_lex_state = 5},
  [4410] = {.lex_state = 48, .external_lex_state = 5},
  [4411] = {.lex_state = 48, .external_lex_state = 2},
  [4412] = {.lex_state = 81, .external_lex_state = 2},
  [4413] = {.lex_state = 48, .external_lex_state = 2},
  [4414] = {.lex_state = 48, .external_lex_state = 2},
  [4415] = {.lex_state = 48, .external_lex_state = 5},
  [4416] = {.lex_state = 81, .external_lex_state = 2},
  [4417] = {.lex_state = 81, .external_lex_state = 2},
  [4418] = {.lex_state = 48, .external_lex_state = 5},
  [4419] = {.lex_state = 81, .external_lex_state = 2},
  [4420] = {.lex_state = 48, .external_lex_state = 2},
  [4421] = {.lex_state = 48, .external_lex_state = 5},
  [4422] = {.lex_state = 406, .external_lex_state = 5},
  [4423] = {.lex_state = 406, .external_lex_state = 5},
  [4424] = {.lex_state = 48, .external_lex_state = 6},
  [4425] = {.lex_state = 48, .external_lex_state = 6},
  [4426] = {.lex_state = 49, .external_lex_state = 2},
  [4427] = {.lex_state = 48, .external_lex_state = 6},
  [4428] = {.lex_state = 48, .external_lex_state = 5},
  [4429] = {.lex_state = 48, .external_lex_state = 6},
  [4430] = {.lex_state = 49, .external_lex_state = 2},
  [4431] = {.lex_state = 48, .external_lex_state = 6},
  [4432] = {.lex_state = 81, .external_lex_state = 2},
  [4433] = {.lex_state = 406, .external_lex_state = 5},
  [4434] = {.lex_state = 406, .external_lex_state = 5},
  [4435] = {.lex_state = 48, .external_lex_state = 5},
  [4436] = {.lex_state = 48, .external_lex_state = 5},
  [4437] = {.lex_state = 48, .external_lex_state = 6},
  [4438] = {.lex_state = 48, .external_lex_state = 6},
  [4439] = {.lex_state = 406, .external_lex_state = 5},
  [4440] = {.lex_state = 48, .external_lex_state = 6},
  [4441] = {.lex_state = 81, .external_lex_state = 2},
  [4442] = {.lex_state = 48, .external_lex_state = 6},
  [4443] = {.lex_state = 48, .external_lex_state = 6},
  [4444] = {.lex_state = 48, .external_lex_state = 2},
  [4445] = {.lex_state = 48, .external_lex_state = 6},
  [4446] = {.lex_state = 48, .external_lex_state = 6},
  [4447] = {.lex_state = 48, .external_lex_state = 5},
  [4448] = {.lex_state = 48, .external_lex_state = 6},
  [4449] = {.lex_state = 406, .external_lex_state = 6},
  [4450] = {.lex_state = 48, .external_lex_state = 5},
  [4451] = {.lex_state = 85, .external_lex_state = 2},
  [4452] = {.lex_state = 75, .external_lex_state = 2},
  [4453] = {.lex_state = 75, .external_lex_state = 2},
  [4454] = {.lex_state = 75, .external_lex_state = 2},
  [4455] = {.lex_state = 75, .external_lex_state = 2},
  [4456] = {.lex_state = 85, .external_lex_state = 2},
  [4457] = {.lex_state = 48, .external_lex_state = 2},
  [4458] = {.lex_state = 48, .external_lex_state = 2},
  [4459] = {.lex_state = 406, .external_lex_state = 5},
  [4460] = {.lex_state = 91, .external_lex_state = 2},
  [4461] = {.lex_state = 406, .external_lex_state = 7},
  [4462] = {.lex_state = 406, .external_lex_state = 7},
  [4463] = {.lex_state = 85, .external_lex_state = 2},
  [4464] = {.lex_state = 406, .external_lex_state = 5},
  [4465] = {.lex_state = 75, .external_lex_state = 2},
  [4466] = {.lex_state = 406, .external_lex_state = 7},
  [4467] = {.lex_state = 406, .external_lex_state = 5},
  [4468] = {.lex_state = 48, .external_lex_state = 5},
  [4469] = {.lex_state = 85, .external_lex_state = 2},
  [4470] = {.lex_state = 55, .external_lex_state = 2},
  [4471] = {.lex_state = 75, .external_lex_state = 2},
  [4472] = {.lex_state = 48, .external_lex_state = 5},
  [4473] = {.lex_state = 75, .external_lex_state = 2},
  [4474] = {.lex_state = 91, .external_lex_state = 2},
  [4475] = {.lex_state = 406, .external_lex_state = 7},
  [4476] = {.lex_state = 85, .external_lex_state = 2},
  [4477] = {.lex_state = 406, .external_lex_state = 5},
  [4478] = {.lex_state = 75, .external_lex_state = 2},
  [4479] = {.lex_state = 75, .external_lex_state = 2},
  [4480] = {.lex_state = 85, .external_lex_state = 2},
  [4481] = {.lex_state = 406, .external_lex_state = 7},
  [4482] = {.lex_state = 48, .external_lex_state = 5},
  [4483] = {.lex_state = 406, .external_lex_state = 5},
  [4484] = {.lex_state = 406, .external_lex_state = 7},
  [4485] = {.lex_state = 406, .external_lex_state = 7},
  [4486] = {.lex_state = 406, .external_lex_state = 7},
  [4487] = {.lex_state = 406, .external_lex_state = 5},
  [4488] = {.lex_state = 406, .external_lex_state = 5},
  [4489] = {.lex_state = 406, .external_lex_state = 5},
  [4490] = {.lex_state = 406, .external_lex_state = 5},
  [4491] = {.lex_state = 406, .external_lex_state = 5},
  [4492] = {.lex_state = 406, .external_lex_state = 2},
  [4493] = {.lex_state = 406, .external_lex_state = 5},
  [4494] = {.lex_state = 406, .external_lex_state = 5},
  [4495] = {.lex_state = 406, .external_lex_state = 5},
  [4496] = {.lex_state = 406, .external_lex_state = 5},
  [4497] = {.lex_state = 406, .external_lex_state = 2},
  [4498] = {.lex_state = 406, .external_lex_state = 5},
  [4499] = {.lex_state = 406, .external_lex_state = 2},
  [4500] = {.lex_state = 406, .external_lex_state = 5},
  [4501] = {.lex_state = 406, .external_lex_state = 5},
  [4502] = {.lex_state = 49, .external_lex_state = 5},
  [4503] = {.lex_state = 406, .external_lex_state = 5},
  [4504] = {.lex_state = 406, .external_lex_state = 5},
  [4505] = {.lex_state = 406, .external_lex_state = 5},
  [4506] = {.lex_state = 406, .external_lex_state = 5},
  [4507] = {.lex_state = 50, .external_lex_state = 2},
  [4508] = {.lex_state = 50, .external_lex_state = 2},
  [4509] = {.lex_state = 406, .external_lex_state = 2},
  [4510] = {.lex_state = 406, .external_lex_state = 5},
  [4511] = {.lex_state = 49, .external_lex_state = 5},
  [4512] = {.lex_state = 406, .external_lex_state = 5},
  [4513] = {.lex_state = 50, .external_lex_state = 2},
  [4514] = {.lex_state = 406, .external_lex_state = 2},
  [4515] = {.lex_state = 406, .external_lex_state = 2},
  [4516] = {.lex_state = 406, .external_lex_state = 2},
  [4517] = {.lex_state = 406, .external_lex_state = 5},
  [4518] = {.lex_state = 406, .external_lex_state = 5},
  [4519] = {.lex_state = 88, .external_lex_state = 2},
  [4520] = {.lex_state = 406, .external_lex_state = 5},
  [4521] = {.lex_state = 406, .external_lex_state = 5},
  [4522] = {.lex_state = 406, .external_lex_state = 2},
  [4523] = {.lex_state = 50, .external_lex_state = 2},
  [4524] = {.lex_state = 406, .external_lex_state = 5},
  [4525] = {.lex_state = 406, .external_lex_state = 5},
  [4526] = {.lex_state = 406, .external_lex_state = 5},
  [4527] = {.lex_state = 406, .external_lex_state = 5},
  [4528] = {.lex_state = 406, .external_lex_state = 5},
  [4529] = {.lex_state = 406, .external_lex_state = 5},
  [4530] = {.lex_state = 406, .external_lex_state = 2},
  [4531] = {.lex_state = 406, .external_lex_state = 2},
  [4532] = {.lex_state = 406, .external_lex_state = 5},
  [4533] = {.lex_state = 406, .external_lex_state = 5},
  [4534] = {.lex_state = 406, .external_lex_state = 5},
  [4535] = {.lex_state = 406, .external_lex_state = 5},
  [4536] = {.lex_state = 406, .external_lex_state = 5},
  [4537] = {.lex_state = 406, .external_lex_state = 5},
  [4538] = {.lex_state = 406, .external_lex_state = 5},
  [4539] = {.lex_state = 406, .external_lex_state = 5},
  [4540] = {.lex_state = 48, .external_lex_state = 2},
  [4541] = {.lex_state = 50, .external_lex_state = 2},
  [4542] = {.lex_state = 406, .external_lex_state = 5},
  [4543] = {.lex_state = 406, .external_lex_state = 5},
  [4544] = {.lex_state = 406, .external_lex_state = 5},
  [4545] = {.lex_state = 406, .external_lex_state = 5},
  [4546] = {.lex_state = 50, .external_lex_state = 2},
  [4547] = {.lex_state = 406, .external_lex_state = 5},
  [4548] = {.lex_state = 406, .external_lex_state = 5},
  [4549] = {.lex_state = 406, .external_lex_state = 5},
  [4550] = {.lex_state = 406, .external_lex_state = 2},
  [4551] = {.lex_state = 49, .external_lex_state = 5},
  [4552] = {.lex_state = 50, .external_lex_state = 2},
  [4553] = {.lex_state = 75, .external_lex_state = 2},
  [4554] = {.lex_state = 406, .external_lex_state = 5},
  [4555] = {.lex_state = 406, .external_lex_state = 2},
  [4556] = {.lex_state = 50, .external_lex_state = 2},
  [4557] = {.lex_state = 406, .external_lex_state = 5},
  [4558] = {.lex_state = 406, .external_lex_state = 5},
  [4559] = {.lex_state = 406, .external_lex_state = 5},
  [4560] = {.lex_state = 48, .external_lex_state = 2},
  [4561] = {.lex_state = 406, .external_lex_state = 5},
  [4562] = {.lex_state = 50, .external_lex_state = 2},
  [4563] = {.lex_state = 49, .external_lex_state = 5},
  [4564] = {.lex_state = 406, .external_lex_state = 2},
  [4565] = {.lex_state = 406, .external_lex_state = 2},
  [4566] = {.lex_state = 406, .external_lex_state = 5},
  [4567] = {.lex_state = 75, .external_lex_state = 2},
  [4568] = {.lex_state = 406, .external_lex_state = 5},
  [4569] = {.lex_state = 50, .external_lex_state = 2},
  [4570] = {.lex_state = 49, .external_lex_state = 5},
  [4571] = {.lex_state = 406, .external_lex_state = 5},
  [4572] = {.lex_state = 406, .external_lex_state = 5},
  [4573] = {.lex_state = 406, .external_lex_state = 5},
  [4574] = {.lex_state = 406, .external_lex_state = 5},
  [4575] = {.lex_state = 406, .external_lex_state = 5},
  [4576] = {.lex_state = 406, .external_lex_state = 5},
  [4577] = {.lex_state = 406, .external_lex_state = 2},
  [4578] = {.lex_state = 50, .external_lex_state = 2},
  [4579] = {.lex_state = 406, .external_lex_state = 5},
  [4580] = {.lex_state = 406, .external_lex_state = 5},
  [4581] = {.lex_state = 406, .external_lex_state = 5},
  [4582] = {.lex_state = 406, .external_lex_state = 5},
  [4583] = {.lex_state = 406, .external_lex_state = 5},
  [4584] = {.lex_state = 406, .external_lex_state = 5},
  [4585] = {.lex_state = 406, .external_lex_state = 2},
  [4586] = {.lex_state = 406, .external_lex_state = 5},
  [4587] = {.lex_state = 50, .external_lex_state = 2},
  [4588] = {.lex_state = 406, .external_lex_state = 2},
  [4589] = {.lex_state = 88, .external_lex_state = 2},
  [4590] = {.lex_state = 406, .external_lex_state = 5},
  [4591] = {.lex_state = 406, .external_lex_state = 5},
  [4592] = {.lex_state = 48, .external_lex_state = 2},
  [4593] = {.lex_state = 406, .external_lex_state = 2},
  [4594] = {.lex_state = 406, .external_lex_state = 5},
  [4595] = {.lex_state = 406, .external_lex_state = 5},
  [4596] = {.lex_state = 406, .external_lex_state = 5},
  [4597] = {.lex_state = 406, .external_lex_state = 2},
  [4598] = {.lex_state = 50, .external_lex_state = 2},
  [4599] = {.lex_state = 406, .external_lex_state = 6},
  [4600] = {.lex_state = 406, .external_lex_state = 5},
  [4601] = {.lex_state = 406, .external_lex_state = 5},
  [4602] = {.lex_state = 406, .external_lex_state = 2},
  [4603] = {.lex_state = 406, .external_lex_state = 5},
  [4604] = {.lex_state = 406, .external_lex_state = 5},
  [4605] = {.lex_state = 406, .external_lex_state = 2},
  [4606] = {.lex_state = 406, .external_lex_state = 5},
  [4607] = {.lex_state = 88, .external_lex_state = 2},
  [4608] = {.lex_state = 406, .external_lex_state = 5},
  [4609] = {.lex_state = 406, .external_lex_state = 5},
  [4610] = {.lex_state = 406, .external_lex_state = 6},
  [4611] = {.lex_state = 406, .external_lex_state = 5},
  [4612] = {.lex_state = 406, .external_lex_state = 2},
  [4613] = {.lex_state = 406, .external_lex_state = 5},
  [4614] = {.lex_state = 406, .external_lex_state = 6},
  [4615] = {.lex_state = 406, .external_lex_state = 2},
  [4616] = {.lex_state = 406, .external_lex_state = 2},
  [4617] = {.lex_state = 406, .external_lex_state = 2},
  [4618] = {.lex_state = 406, .external_lex_state = 2},
  [4619] = {.lex_state = 406, .external_lex_state = 5},
  [4620] = {.lex_state = 406, .external_lex_state = 2},
  [4621] = {.lex_state = 406, .external_lex_state = 6},
  [4622] = {.lex_state = 406, .external_lex_state = 5},
  [4623] = {.lex_state = 406, .external_lex_state = 5},
  [4624] = {.lex_state = 75, .external_lex_state = 2},
  [4625] = {.lex_state = 50, .external_lex_state = 2},
  [4626] = {.lex_state = 406, .external_lex_state = 2},
  [4627] = {.lex_state = 406, .external_lex_state = 5},
  [4628] = {.lex_state = 406, .external_lex_state = 5},
  [4629] = {.lex_state = 406, .external_lex_state = 2},
  [4630] = {.lex_state = 406, .external_lex_state = 6},
  [4631] = {.lex_state = 48, .external_lex_state = 2},
  [4632] = {.lex_state = 406, .external_lex_state = 5},
  [4633] = {.lex_state = 50, .external_lex_state = 2},
  [4634] = {.lex_state = 406, .external_lex_state = 5},
  [4635] = {.lex_state = 75, .external_lex_state = 2},
  [4636] = {.lex_state = 406, .external_lex_state = 6},
  [4637] = {.lex_state = 50, .external_lex_state = 2},
  [4638] = {.lex_state = 50, .external_lex_state = 2},
  [4639] = {.lex_state = 406, .external_lex_state = 2},
  [4640] = {.lex_state = 406, .external_lex_state = 2},
  [4641] = {.lex_state = 50, .external_lex_state = 2},
  [4642] = {.lex_state = 81, .external_lex_state = 2},
  [4643] = {.lex_state = 81, .external_lex_state = 2},
  [4644] = {.lex_state = 49, .external_lex_state = 5},
  [4645] = {.lex_state = 49, .external_lex_state = 5},
  [4646] = {.lex_state = 406, .external_lex_state = 2},
  [4647] = {.lex_state = 50, .external_lex_state = 2},
  [4648] = {.lex_state = 406, .external_lex_state = 5},
  [4649] = {.lex_state = 50, .external_lex_state = 2},
  [4650] = {.lex_state = 406, .external_lex_state = 5},
  [4651] = {.lex_state = 50, .external_lex_state = 2},
  [4652] = {.lex_state = 406, .external_lex_state = 5},
  [4653] = {.lex_state = 406, .external_lex_state = 2},
  [4654] = {.lex_state = 406, .external_lex_state = 2},
  [4655] = {.lex_state = 49, .external_lex_state = 5},
  [4656] = {.lex_state = 406, .external_lex_state = 2},
  [4657] = {.lex_state = 50, .external_lex_state = 2},
  [4658] = {.lex_state = 406, .external_lex_state = 2},
  [4659] = {.lex_state = 406, .external_lex_state = 5},
  [4660] = {.lex_state = 406, .external_lex_state = 5},
  [4661] = {.lex_state = 406, .external_lex_state = 2},
  [4662] = {.lex_state = 48, .external_lex_state = 2},
  [4663] = {.lex_state = 406, .external_lex_state = 5},
  [4664] = {.lex_state = 406, .external_lex_state = 5},
  [4665] = {.lex_state = 50, .external_lex_state = 2},
  [4666] = {.lex_state = 406, .external_lex_state = 2},
  [4667] = {.lex_state = 49, .external_lex_state = 5},
  [4668] = {.lex_state = 406, .external_lex_state = 5},
  [4669] = {.lex_state = 48, .external_lex_state = 2},
  [4670] = {.lex_state = 406, .external_lex_state = 5},
  [4671] = {.lex_state = 406, .external_lex_state = 5},
  [4672] = {.lex_state = 50, .external_lex_state = 2},
  [4673] = {.lex_state = 48, .external_lex_state = 2},
  [4674] = {.lex_state = 406, .external_lex_state = 5},
  [4675] = {.lex_state = 406, .external_lex_state = 5},
  [4676] = {.lex_state = 406, .external_lex_state = 5},
  [4677] = {.lex_state = 55, .external_lex_state = 2},
  [4678] = {.lex_state = 48, .external_lex_state = 2},
  [4679] = {.lex_state = 406, .external_lex_state = 5},
  [4680] = {.lex_state = 81, .external_lex_state = 2},
  [4681] = {.lex_state = 406, .external_lex_state = 5},
  [4682] = {.lex_state = 50, .external_lex_state = 2},
  [4683] = {.lex_state = 50, .external_lex_state = 2},
  [4684] = {.lex_state = 406, .external_lex_state = 5},
  [4685] = {.lex_state = 50, .external_lex_state = 2},
  [4686] = {.lex_state = 406, .external_lex_state = 2},
  [4687] = {.lex_state = 406, .external_lex_state = 5},
  [4688] = {.lex_state = 50, .external_lex_state = 2},
  [4689] = {.lex_state = 406, .external_lex_state = 5},
  [4690] = {.lex_state = 406, .external_lex_state = 5},
  [4691] = {.lex_state = 50, .external_lex_state = 2},
  [4692] = {.lex_state = 406, .external_lex_state = 5},
  [4693] = {.lex_state = 48, .external_lex_state = 2},
  [4694] = {.lex_state = 406, .external_lex_state = 2},
  [4695] = {.lex_state = 406, .external_lex_state = 5},
  [4696] = {.lex_state = 406, .external_lex_state = 5},
  [4697] = {.lex_state = 406, .external_lex_state = 5},
  [4698] = {.lex_state = 48, .external_lex_state = 2},
  [4699] = {.lex_state = 406, .external_lex_state = 2},
  [4700] = {.lex_state = 50, .external_lex_state = 2},
  [4701] = {.lex_state = 406, .external_lex_state = 5},
  [4702] = {.lex_state = 48, .external_lex_state = 2},
  [4703] = {.lex_state = 406, .external_lex_state = 5},
  [4704] = {.lex_state = 88, .external_lex_state = 2},
  [4705] = {.lex_state = 406, .external_lex_state = 5},
  [4706] = {.lex_state = 406, .external_lex_state = 5},
  [4707] = {.lex_state = 406, .external_lex_state = 2},
  [4708] = {.lex_state = 406, .external_lex_state = 5},
  [4709] = {.lex_state = 406, .external_lex_state = 5},
  [4710] = {.lex_state = 406, .external_lex_state = 5},
  [4711] = {.lex_state = 406, .external_lex_state = 5},
  [4712] = {.lex_state = 406, .external_lex_state = 5},
  [4713] = {.lex_state = 406, .external_lex_state = 5},
  [4714] = {.lex_state = 406, .external_lex_state = 5},
  [4715] = {.lex_state = 406, .external_lex_state = 5},
  [4716] = {.lex_state = 406, .external_lex_state = 5},
  [4717] = {.lex_state = 48, .external_lex_state = 2},
  [4718] = {.lex_state = 406, .external_lex_state = 5},
  [4719] = {.lex_state = 50, .external_lex_state = 2},
  [4720] = {.lex_state = 50, .external_lex_state = 2},
  [4721] = {.lex_state = 406, .external_lex_state = 5},
  [4722] = {.lex_state = 50, .external_lex_state = 2},
  [4723] = {.lex_state = 406, .external_lex_state = 5},
  [4724] = {.lex_state = 406, .external_lex_state = 5},
  [4725] = {.lex_state = 406, .external_lex_state = 5},
  [4726] = {.lex_state = 88, .external_lex_state = 2},
  [4727] = {.lex_state = 406, .external_lex_state = 2},
  [4728] = {.lex_state = 50, .external_lex_state = 2},
  [4729] = {.lex_state = 406, .external_lex_state = 2},
  [4730] = {.lex_state = 406, .external_lex_state = 5},
  [4731] = {.lex_state = 50, .external_lex_state = 2},
  [4732] = {.lex_state = 406, .external_lex_state = 5},
  [4733] = {.lex_state = 75, .external_lex_state = 2},
  [4734] = {.lex_state = 406, .external_lex_state = 5},
  [4735] = {.lex_state = 406, .external_lex_state = 5},
  [4736] = {.lex_state = 50, .external_lex_state = 2},
  [4737] = {.lex_state = 75, .external_lex_state = 2},
  [4738] = {.lex_state = 406, .external_lex_state = 5},
  [4739] = {.lex_state = 406, .external_lex_state = 5},
  [4740] = {.lex_state = 48, .external_lex_state = 2},
  [4741] = {.lex_state = 50, .external_lex_state = 2},
  [4742] = {.lex_state = 406, .external_lex_state = 5},
  [4743] = {.lex_state = 406, .external_lex_state = 5},
  [4744] = {.lex_state = 406, .external_lex_state = 2},
  [4745] = {.lex_state = 406, .external_lex_state = 5},
  [4746] = {.lex_state = 406, .external_lex_state = 2},
  [4747] = {.lex_state = 406, .external_lex_state = 5},
  [4748] = {.lex_state = 406, .external_lex_state = 5},
  [4749] = {.lex_state = 406, .external_lex_state = 5},
  [4750] = {.lex_state = 406, .external_lex_state = 5},
  [4751] = {.lex_state = 75, .external_lex_state = 2},
  [4752] = {.lex_state = 406, .external_lex_state = 2},
  [4753] = {.lex_state = 406, .external_lex_state = 5},
  [4754] = {.lex_state = 50, .external_lex_state = 2},
  [4755] = {.lex_state = 406, .external_lex_state = 5},
  [4756] = {.lex_state = 406, .external_lex_state = 2},
  [4757] = {.lex_state = 50, .external_lex_state = 2},
  [4758] = {.lex_state = 406, .external_lex_state = 5},
  [4759] = {.lex_state = 406, .external_lex_state = 5},
  [4760] = {.lex_state = 406, .external_lex_state = 2},
  [4761] = {.lex_state = 48, .external_lex_state = 2},
  [4762] = {.lex_state = 75, .external_lex_state = 2},
  [4763] = {.lex_state = 406, .external_lex_state = 6},
  [4764] = {.lex_state = 406, .external_lex_state = 2},
  [4765] = {.lex_state = 48, .external_lex_state = 2},
  [4766] = {.lex_state = 48, .external_lex_state = 2},
  [4767] = {.lex_state = 48, .external_lex_state = 2},
  [4768] = {.lex_state = 406, .external_lex_state = 2},
  [4769] = {.lex_state = 406, .external_lex_state = 6},
  [4770] = {.lex_state = 50, .external_lex_state = 2},
  [4771] = {.lex_state = 406, .external_lex_state = 2},
  [4772] = {.lex_state = 50, .external_lex_state = 2},
  [4773] = {.lex_state = 406, .external_lex_state = 6},
  [4774] = {.lex_state = 48, .external_lex_state = 2},
  [4775] = {.lex_state = 50, .external_lex_state = 2},
  [4776] = {.lex_state = 406, .external_lex_state = 6},
  [4777] = {.lex_state = 48, .external_lex_state = 2},
  [4778] = {.lex_state = 65, .external_lex_state = 2},
  [4779] = {.lex_state = 406, .external_lex_state = 2},
  [4780] = {.lex_state = 65, .external_lex_state = 2},
  [4781] = {.lex_state = 406, .external_lex_state = 5},
  [4782] = {.lex_state = 48, .external_lex_state = 2},
  [4783] = {.lex_state = 406, .external_lex_state = 2},
  [4784] = {.lex_state = 65, .external_lex_state = 2},
  [4785] = {.lex_state = 406, .external_lex_state = 7},
  [4786] = {.lex_state = 50, .external_lex_state = 2},
  [4787] = {.lex_state = 65, .external_lex_state = 2},
  [4788] = {.lex_state = 406, .external_lex_state = 6},
  [4789] = {.lex_state = 406, .external_lex_state = 6},
  [4790] = {.lex_state = 406, .external_lex_state = 2},
  [4791] = {.lex_state = 406, .external_lex_state = 5},
  [4792] = {.lex_state = 406, .external_lex_state = 5},
  [4793] = {.lex_state = 65, .external_lex_state = 2},
  [4794] = {.lex_state = 48, .external_lex_state = 2},
  [4795] = {.lex_state = 50, .external_lex_state = 2},
  [4796] = {.lex_state = 50, .external_lex_state = 2},
  [4797] = {.lex_state = 50, .external_lex_state = 2},
  [4798] = {.lex_state = 50, .external_lex_state = 2},
  [4799] = {.lex_state = 50, .external_lex_state = 2},
  [4800] = {.lex_state = 406, .external_lex_state = 5},
  [4801] = {.lex_state = 65, .external_lex_state = 2},
  [4802] = {.lex_state = 50, .external_lex_state = 2},
  [4803] = {.lex_state = 406, .external_lex_state = 2},
  [4804] = {.lex_state = 65, .external_lex_state = 2},
  [4805] = {.lex_state = 48, .external_lex_state = 2},
  [4806] = {.lex_state = 48, .external_lex_state = 2},
  [4807] = {.lex_state = 406, .external_lex_state = 5},
  [4808] = {.lex_state = 65, .external_lex_state = 2},
  [4809] = {.lex_state = 406, .external_lex_state = 2},
  [4810] = {.lex_state = 406, .external_lex_state = 2},
  [4811] = {.lex_state = 48, .external_lex_state = 2},
  [4812] = {.lex_state = 50, .external_lex_state = 2},
  [4813] = {.lex_state = 81, .external_lex_state = 2},
  [4814] = {.lex_state = 50, .external_lex_state = 2},
  [4815] = {.lex_state = 50, .external_lex_state = 2},
  [4816] = {.lex_state = 406, .external_lex_state = 6},
  [4817] = {.lex_state = 48, .external_lex_state = 2},
  [4818] = {.lex_state = 406, .external_lex_state = 2},
  [4819] = {.lex_state = 406, .external_lex_state = 2},
  [4820] = {.lex_state = 48, .external_lex_state = 2},
  [4821] = {.lex_state = 48, .external_lex_state = 2},
  [4822] = {.lex_state = 48, .external_lex_state = 2},
  [4823] = {.lex_state = 65, .external_lex_state = 2},
  [4824] = {.lex_state = 406, .external_lex_state = 6},
  [4825] = {.lex_state = 406, .external_lex_state = 2},
  [4826] = {.lex_state = 48, .external_lex_state = 2},
  [4827] = {.lex_state = 48, .external_lex_state = 2},
  [4828] = {.lex_state = 48, .external_lex_state = 2},
  [4829] = {.lex_state = 406, .external_lex_state = 5},
  [4830] = {.lex_state = 48, .external_lex_state = 2},
  [4831] = {.lex_state = 406, .external_lex_state = 7},
  [4832] = {.lex_state = 81, .external_lex_state = 2},
  [4833] = {.lex_state = 48, .external_lex_state = 2},
  [4834] = {.lex_state = 65, .external_lex_state = 2},
  [4835] = {.lex_state = 48, .external_lex_state = 2},
  [4836] = {.lex_state = 50, .external_lex_state = 2},
  [4837] = {.lex_state = 406, .external_lex_state = 5},
  [4838] = {.lex_state = 48, .external_lex_state = 2},
  [4839] = {.lex_state = 81, .external_lex_state = 2},
  [4840] = {.lex_state = 50, .external_lex_state = 2},
  [4841] = {.lex_state = 406, .external_lex_state = 7},
  [4842] = {.lex_state = 50, .external_lex_state = 2},
  [4843] = {.lex_state = 48, .external_lex_state = 2},
  [4844] = {.lex_state = 48, .external_lex_state = 2},
  [4845] = {.lex_state = 48, .external_lex_state = 2},
  [4846] = {.lex_state = 406, .external_lex_state = 2},
  [4847] = {.lex_state = 50, .external_lex_state = 2},
  [4848] = {.lex_state = 50, .external_lex_state = 2},
  [4849] = {.lex_state = 65, .external_lex_state = 2},
  [4850] = {.lex_state = 406, .external_lex_state = 2},
  [4851] = {.lex_state = 65, .external_lex_state = 2},
  [4852] = {.lex_state = 406, .external_lex_state = 6},
  [4853] = {.lex_state = 406, .external_lex_state = 2},
  [4854] = {.lex_state = 406, .external_lex_state = 5},
  [4855] = {.lex_state = 406, .external_lex_state = 5},
  [4856] = {.lex_state = 406, .external_lex_state = 7},
  [4857] = {.lex_state = 406, .external_lex_state = 5},
  [4858] = {.lex_state = 406, .external_lex_state = 5},
  [4859] = {.lex_state = 48, .external_lex_state = 2},
  [4860] = {.lex_state = 48, .external_lex_state = 2},
  [4861] = {.lex_state = 406, .external_lex_state = 6},
  [4862] = {.lex_state = 48, .external_lex_state = 2},
  [4863] = {.lex_state = 406, .external_lex_state = 2},
  [4864] = {.lex_state = 406, .external_lex_state = 5},
  [4865] = {.lex_state = 406, .external_lex_state = 5},
  [4866] = {.lex_state = 406, .external_lex_state = 6},
  [4867] = {.lex_state = 65, .external_lex_state = 2},
  [4868] = {.lex_state = 50, .external_lex_state = 2},
  [4869] = {.lex_state = 406, .external_lex_state = 6},
  [4870] = {.lex_state = 48, .external_lex_state = 2},
  [4871] = {.lex_state = 406, .external_lex_state = 5},
  [4872] = {.lex_state = 406, .external_lex_state = 2},
  [4873] = {.lex_state = 65, .external_lex_state = 2},
  [4874] = {.lex_state = 65, .external_lex_state = 2},
  [4875] = {.lex_state = 48, .external_lex_state = 2},
  [4876] = {.lex_state = 65, .external_lex_state = 2},
  [4877] = {.lex_state = 406, .external_lex_state = 5},
  [4878] = {.lex_state = 65, .external_lex_state = 2},
  [4879] = {.lex_state = 406, .external_lex_state = 6},
  [4880] = {.lex_state = 406, .external_lex_state = 6},
  [4881] = {.lex_state = 65, .external_lex_state = 2},
  [4882] = {.lex_state = 65, .external_lex_state = 2},
  [4883] = {.lex_state = 65, .external_lex_state = 2},
  [4884] = {.lex_state = 406, .external_lex_state = 6},
  [4885] = {.lex_state = 406, .external_lex_state = 6},
  [4886] = {.lex_state = 50, .external_lex_state = 2},
  [4887] = {.lex_state = 50, .external_lex_state = 2},
  [4888] = {.lex_state = 406, .external_lex_state = 6},
  [4889] = {.lex_state = 406, .external_lex_state = 2},
  [4890] = {.lex_state = 48, .external_lex_state = 2},
  [4891] = {.lex_state = 406, .external_lex_state = 5},
  [4892] = {.lex_state = 48, .external_lex_state = 2},
  [4893] = {.lex_state = 406, .external_lex_state = 5},
  [4894] = {.lex_state = 406, .external_lex_state = 5},
  [4895] = {.lex_state = 406, .external_lex_state = 6},
  [4896] = {.lex_state = 406, .external_lex_state = 2},
  [4897] = {.lex_state = 50, .external_lex_state = 2},
  [4898] = {.lex_state = 48, .external_lex_state = 2},
  [4899] = {.lex_state = 406, .external_lex_state = 6},
  [4900] = {.lex_state = 50, .external_lex_state = 2},
  [4901] = {.lex_state = 406, .external_lex_state = 6},
  [4902] = {.lex_state = 48, .external_lex_state = 2},
  [4903] = {.lex_state = 48, .external_lex_state = 2},
  [4904] = {.lex_state = 406, .external_lex_state = 5},
  [4905] = {.lex_state = 406, .external_lex_state = 5},
  [4906] = {.lex_state = 50, .external_lex_state = 2},
  [4907] = {.lex_state = 406, .external_lex_state = 6},
  [4908] = {.lex_state = 65, .external_lex_state = 2},
  [4909] = {.lex_state = 406, .external_lex_state = 5},
  [4910] = {.lex_state = 65, .external_lex_state = 2},
  [4911] = {.lex_state = 65, .external_lex_state = 2},
  [4912] = {.lex_state = 65, .external_lex_state = 2},
  [4913] = {.lex_state = 406, .external_lex_state = 2},
  [4914] = {.lex_state = 48, .external_lex_state = 2},
  [4915] = {.lex_state = 406, .external_lex_state = 5},
  [4916] = {.lex_state = 406, .external_lex_state = 5},
  [4917] = {.lex_state = 48, .external_lex_state = 2},
  [4918] = {.lex_state = 406, .external_lex_state = 2},
  [4919] = {.lex_state = 50, .external_lex_state = 2},
  [4920] = {.lex_state = 48, .external_lex_state = 2},
  [4921] = {.lex_state = 406, .external_lex_state = 6},
  [4922] = {.lex_state = 50, .external_lex_state = 2},
  [4923] = {.lex_state = 406, .external_lex_state = 6},
  [4924] = {.lex_state = 50, .external_lex_state = 2},
  [4925] = {.lex_state = 48, .external_lex_state = 2},
  [4926] = {.lex_state = 48, .external_lex_state = 2},
  [4927] = {.lex_state = 48, .external_lex_state = 2},
  [4928] = {.lex_state = 48, .external_lex_state = 2},
  [4929] = {.lex_state = 406, .external_lex_state = 5},
  [4930] = {.lex_state = 406, .external_lex_state = 5},
  [4931] = {.lex_state = 48, .external_lex_state = 2},
  [4932] = {.lex_state = 406, .external_lex_state = 5},
  [4933] = {.lex_state = 406, .external_lex_state = 5},
  [4934] = {.lex_state = 50, .external_lex_state = 2},
  [4935] = {.lex_state = 406, .external_lex_state = 5},
  [4936] = {.lex_state = 406, .external_lex_state = 5},
  [4937] = {.lex_state = 50, .external_lex_state = 2},
  [4938] = {.lex_state = 406, .external_lex_state = 6},
  [4939] = {.lex_state = 50, .external_lex_state = 2},
  [4940] = {.lex_state = 65, .external_lex_state = 2},
  [4941] = {.lex_state = 406, .external_lex_state = 6},
  [4942] = {.lex_state = 65, .external_lex_state = 2},
  [4943] = {.lex_state = 406, .external_lex_state = 6},
  [4944] = {.lex_state = 406, .external_lex_state = 5},
  [4945] = {.lex_state = 65, .external_lex_state = 2},
  [4946] = {.lex_state = 48, .external_lex_state = 2},
  [4947] = {.lex_state = 75, .external_lex_state = 2},
  [4948] = {.lex_state = 48, .external_lex_state = 2},
  [4949] = {.lex_state = 406, .external_lex_state = 5},
  [4950] = {.lex_state = 48, .external_lex_state = 2},
  [4951] = {.lex_state = 406, .external_lex_state = 6},
  [4952] = {.lex_state = 50, .external_lex_state = 2},
  [4953] = {.lex_state = 406, .external_lex_state = 2},
  [4954] = {.lex_state = 406, .external_lex_state = 5},
  [4955] = {.lex_state = 50, .external_lex_state = 2},
  [4956] = {.lex_state = 48, .external_lex_state = 2},
  [4957] = {.lex_state = 50, .external_lex_state = 2},
  [4958] = {.lex_state = 48, .external_lex_state = 2},
  [4959] = {.lex_state = 406, .external_lex_state = 5},
  [4960] = {.lex_state = 48, .external_lex_state = 2},
  [4961] = {.lex_state = 406, .external_lex_state = 5},
  [4962] = {.lex_state = 50, .external_lex_state = 2},
  [4963] = {.lex_state = 50, .external_lex_state = 2},
  [4964] = {.lex_state = 50, .external_lex_state = 2},
  [4965] = {.lex_state = 406, .external_lex_state = 5},
  [4966] = {.lex_state = 406, .external_lex_state = 7},
  [4967] = {.lex_state = 406, .external_lex_state = 6},
  [4968] = {.lex_state = 406, .external_lex_state = 5},
  [4969] = {.lex_state = 48, .external_lex_state = 2},
  [4970] = {.lex_state = 406, .external_lex_state = 2},
  [4971] = {.lex_state = 50, .external_lex_state = 2},
  [4972] = {.lex_state = 406, .external_lex_state = 5},
  [4973] = {.lex_state = 406, .external_lex_state = 5},
  [4974] = {.lex_state = 48, .external_lex_state = 2},
  [4975] = {.lex_state = 48, .external_lex_state = 2},
  [4976] = {.lex_state = 50, .external_lex_state = 2},
  [4977] = {.lex_state = 50, .external_lex_state = 2},
  [4978] = {.lex_state = 50, .external_lex_state = 2},
  [4979] = {.lex_state = 65, .external_lex_state = 2},
  [4980] = {.lex_state = 406, .external_lex_state = 5},
  [4981] = {.lex_state = 406, .external_lex_state = 5},
  [4982] = {.lex_state = 81, .external_lex_state = 2},
  [4983] = {.lex_state = 50, .external_lex_state = 2},
  [4984] = {.lex_state = 406, .external_lex_state = 6},
  [4985] = {.lex_state = 406, .external_lex_state = 2},
  [4986] = {.lex_state = 65, .external_lex_state = 2},
  [4987] = {.lex_state = 65, .external_lex_state = 2},
  [4988] = {.lex_state = 65, .external_lex_state = 2},
  [4989] = {.lex_state = 406, .external_lex_state = 5},
  [4990] = {.lex_state = 406, .external_lex_state = 2},
  [4991] = {.lex_state = 406, .external_lex_state = 5},
  [4992] = {.lex_state = 48, .external_lex_state = 5},
  [4993] = {.lex_state = 406, .external_lex_state = 5},
  [4994] = {.lex_state = 406, .external_lex_state = 5},
  [4995] = {.lex_state = 406, .external_lex_state = 2},
  [4996] = {.lex_state = 406, .external_lex_state = 5},
  [4997] = {.lex_state = 48, .external_lex_state = 2},
  [4998] = {.lex_state = 406, .external_lex_state = 5},
  [4999] = {.lex_state = 406, .external_lex_state = 5},
  [5000] = {.lex_state = 406, .external_lex_state = 5},
  [5001] = {.lex_state = 48, .external_lex_state = 2},
  [5002] = {.lex_state = 406, .external_lex_state = 5},
  [5003] = {.lex_state = 406, .external_lex_state = 5},
  [5004] = {.lex_state = 406, .external_lex_state = 5},
  [5005] = {.lex_state = 406, .external_lex_state = 5},
  [5006] = {.lex_state = 406, .external_lex_state = 6},
  [5007] = {.lex_state = 406, .external_lex_state = 5},
  [5008] = {.lex_state = 406, .external_lex_state = 5},
  [5009] = {.lex_state = 406, .external_lex_state = 5},
  [5010] = {.lex_state = 406, .external_lex_state = 5},
  [5011] = {.lex_state = 81, .external_lex_state = 2},
  [5012] = {.lex_state = 406, .external_lex_state = 5},
  [5013] = {.lex_state = 406, .external_lex_state = 5},
  [5014] = {.lex_state = 406, .external_lex_state = 5},
  [5015] = {.lex_state = 406, .external_lex_state = 2},
  [5016] = {.lex_state = 406, .external_lex_state = 5},
  [5017] = {.lex_state = 48, .external_lex_state = 2},
  [5018] = {.lex_state = 406, .external_lex_state = 5},
  [5019] = {.lex_state = 406, .external_lex_state = 5},
  [5020] = {.lex_state = 406, .external_lex_state = 5},
  [5021] = {.lex_state = 406, .external_lex_state = 5},
  [5022] = {.lex_state = 406, .external_lex_state = 5},
  [5023] = {.lex_state = 406, .external_lex_state = 5},
  [5024] = {.lex_state = 406, .external_lex_state = 5},
  [5025] = {.lex_state = 406, .external_lex_state = 5},
  [5026] = {.lex_state = 406, .external_lex_state = 5},
  [5027] = {.lex_state = 406, .external_lex_state = 5},
  [5028] = {.lex_state = 406, .external_lex_state = 5},
  [5029] = {.lex_state = 406, .external_lex_state = 5},
  [5030] = {.lex_state = 406, .external_lex_state = 2},
  [5031] = {.lex_state = 406, .external_lex_state = 5},
  [5032] = {.lex_state = 48, .external_lex_state = 2},
  [5033] = {.lex_state = 81, .external_lex_state = 2},
  [5034] = {.lex_state = 406, .external_lex_state = 5},
  [5035] = {.lex_state = 406, .external_lex_state = 5},
  [5036] = {.lex_state = 406, .external_lex_state = 5},
  [5037] = {.lex_state = 406, .external_lex_state = 5},
  [5038] = {.lex_state = 406, .external_lex_state = 5},
  [5039] = {.lex_state = 48, .external_lex_state = 2},
  [5040] = {.lex_state = 406, .external_lex_state = 5},
  [5041] = {.lex_state = 48, .external_lex_state = 2},
  [5042] = {.lex_state = 48, .external_lex_state = 2},
  [5043] = {.lex_state = 406, .external_lex_state = 5},
  [5044] = {.lex_state = 406, .external_lex_state = 8},
  [5045] = {.lex_state = 48, .external_lex_state = 2},
  [5046] = {.lex_state = 406, .external_lex_state = 5},
  [5047] = {.lex_state = 406, .external_lex_state = 6},
  [5048] = {.lex_state = 81, .external_lex_state = 2},
  [5049] = {.lex_state = 81, .external_lex_state = 2},
  [5050] = {.lex_state = 406, .external_lex_state = 5},
  [5051] = {.lex_state = 406, .external_lex_state = 5},
  [5052] = {.lex_state = 406, .external_lex_state = 5},
  [5053] = {.lex_state = 406, .external_lex_state = 5},
  [5054] = {.lex_state = 406, .external_lex_state = 5},
  [5055] = {.lex_state = 48, .external_lex_state = 2},
  [5056] = {.lex_state = 406, .external_lex_state = 5},
  [5057] = {.lex_state = 81, .external_lex_state = 2},
  [5058] = {.lex_state = 406, .external_lex_state = 5},
  [5059] = {.lex_state = 406, .external_lex_state = 5},
  [5060] = {.lex_state = 406, .external_lex_state = 5},
  [5061] = {.lex_state = 48, .external_lex_state = 2},
  [5062] = {.lex_state = 406, .external_lex_state = 5},
  [5063] = {.lex_state = 406, .external_lex_state = 5},
  [5064] = {.lex_state = 48, .external_lex_state = 5},
  [5065] = {.lex_state = 406, .external_lex_state = 5},
  [5066] = {.lex_state = 406, .external_lex_state = 5},
  [5067] = {.lex_state = 406, .external_lex_state = 5},
  [5068] = {.lex_state = 75, .external_lex_state = 2},
  [5069] = {.lex_state = 406, .external_lex_state = 5},
  [5070] = {.lex_state = 406, .external_lex_state = 5},
  [5071] = {.lex_state = 406, .external_lex_state = 5},
  [5072] = {.lex_state = 406, .external_lex_state = 5},
  [5073] = {.lex_state = 406, .external_lex_state = 5},
  [5074] = {.lex_state = 406, .external_lex_state = 5},
  [5075] = {.lex_state = 406, .external_lex_state = 5},
  [5076] = {.lex_state = 406, .external_lex_state = 5},
  [5077] = {.lex_state = 406, .external_lex_state = 2},
  [5078] = {.lex_state = 406, .external_lex_state = 5},
  [5079] = {.lex_state = 406, .external_lex_state = 5},
  [5080] = {.lex_state = 406, .external_lex_state = 5},
  [5081] = {.lex_state = 406, .external_lex_state = 8},
  [5082] = {.lex_state = 406, .external_lex_state = 5},
  [5083] = {.lex_state = 406, .external_lex_state = 5},
  [5084] = {.lex_state = 406, .external_lex_state = 5},
  [5085] = {.lex_state = 406, .external_lex_state = 8},
  [5086] = {.lex_state = 406, .external_lex_state = 5},
  [5087] = {.lex_state = 48, .external_lex_state = 5},
  [5088] = {.lex_state = 406, .external_lex_state = 5},
  [5089] = {.lex_state = 406, .external_lex_state = 5},
  [5090] = {.lex_state = 406, .external_lex_state = 6},
  [5091] = {.lex_state = 48, .external_lex_state = 2},
  [5092] = {.lex_state = 48, .external_lex_state = 2},
  [5093] = {.lex_state = 406, .external_lex_state = 5},
  [5094] = {.lex_state = 406, .external_lex_state = 5},
  [5095] = {.lex_state = 406, .external_lex_state = 5},
  [5096] = {.lex_state = 48, .external_lex_state = 2},
  [5097] = {.lex_state = 406, .external_lex_state = 2},
  [5098] = {.lex_state = 81, .external_lex_state = 2},
  [5099] = {.lex_state = 81, .external_lex_state = 2},
  [5100] = {.lex_state = 406, .external_lex_state = 2},
  [5101] = {.lex_state = 406, .external_lex_state = 5},
  [5102] = {.lex_state = 406, .external_lex_state = 6},
  [5103] = {.lex_state = 406, .external_lex_state = 5},
  [5104] = {.lex_state = 48, .external_lex_state = 2},
  [5105] = {.lex_state = 48, .external_lex_state = 5},
  [5106] = {.lex_state = 48, .external_lex_state = 2},
  [5107] = {.lex_state = 406, .external_lex_state = 6},
  [5108] = {.lex_state = 48, .external_lex_state = 2},
  [5109] = {.lex_state = 406, .external_lex_state = 6},
  [5110] = {.lex_state = 48, .external_lex_state = 2},
  [5111] = {.lex_state = 406, .external_lex_state = 5},
  [5112] = {.lex_state = 406, .external_lex_state = 5},
  [5113] = {.lex_state = 81, .external_lex_state = 2},
  [5114] = {.lex_state = 81, .external_lex_state = 2},
  [5115] = {.lex_state = 406, .external_lex_state = 5},
  [5116] = {.lex_state = 406, .external_lex_state = 5},
  [5117] = {.lex_state = 406, .external_lex_state = 5},
  [5118] = {.lex_state = 406, .external_lex_state = 5},
  [5119] = {.lex_state = 406, .external_lex_state = 5},
  [5120] = {.lex_state = 75, .external_lex_state = 2},
  [5121] = {.lex_state = 48, .external_lex_state = 2},
  [5122] = {.lex_state = 48, .external_lex_state = 2},
  [5123] = {.lex_state = 406, .external_lex_state = 2},
  [5124] = {.lex_state = 406, .external_lex_state = 2},
  [5125] = {.lex_state = 81, .external_lex_state = 2},
  [5126] = {.lex_state = 406, .external_lex_state = 6},
  [5127] = {.lex_state = 406, .external_lex_state = 5},
  [5128] = {.lex_state = 406, .external_lex_state = 5},
  [5129] = {.lex_state = 406, .external_lex_state = 5},
  [5130] = {.lex_state = 81, .external_lex_state = 2},
  [5131] = {.lex_state = 406, .external_lex_state = 5},
  [5132] = {.lex_state = 406, .external_lex_state = 5},
  [5133] = {.lex_state = 406, .external_lex_state = 5},
  [5134] = {.lex_state = 406, .external_lex_state = 6},
  [5135] = {.lex_state = 406, .external_lex_state = 5},
  [5136] = {.lex_state = 48, .external_lex_state = 5},
  [5137] = {.lex_state = 406, .external_lex_state = 5},
  [5138] = {.lex_state = 48, .external_lex_state = 2},
  [5139] = {.lex_state = 406, .external_lex_state = 5},
  [5140] = {.lex_state = 406, .external_lex_state = 5},
  [5141] = {.lex_state = 406, .external_lex_state = 5},
  [5142] = {.lex_state = 406, .external_lex_state = 5},
  [5143] = {.lex_state = 406, .external_lex_state = 5},
  [5144] = {.lex_state = 406, .external_lex_state = 5},
  [5145] = {.lex_state = 406, .external_lex_state = 5},
  [5146] = {.lex_state = 406, .external_lex_state = 5},
  [5147] = {.lex_state = 81, .external_lex_state = 2},
  [5148] = {.lex_state = 406, .external_lex_state = 5},
  [5149] = {.lex_state = 406, .external_lex_state = 5},
  [5150] = {.lex_state = 81, .external_lex_state = 2},
  [5151] = {.lex_state = 406, .external_lex_state = 5},
  [5152] = {.lex_state = 81, .external_lex_state = 2},
  [5153] = {.lex_state = 48, .external_lex_state = 2},
  [5154] = {.lex_state = 48, .external_lex_state = 2},
  [5155] = {.lex_state = 406, .external_lex_state = 5},
  [5156] = {.lex_state = 406, .external_lex_state = 5},
  [5157] = {.lex_state = 48, .external_lex_state = 2},
  [5158] = {.lex_state = 406, .external_lex_state = 5},
  [5159] = {.lex_state = 48, .external_lex_state = 2},
  [5160] = {.lex_state = 48, .external_lex_state = 2},
  [5161] = {.lex_state = 406, .external_lex_state = 2},
  [5162] = {.lex_state = 406, .external_lex_state = 5},
  [5163] = {.lex_state = 406, .external_lex_state = 5},
  [5164] = {.lex_state = 48, .external_lex_state = 5},
  [5165] = {.lex_state = 48, .external_lex_state = 2},
  [5166] = {.lex_state = 406, .external_lex_state = 6},
  [5167] = {.lex_state = 48, .external_lex_state = 2},
  [5168] = {.lex_state = 48, .external_lex_state = 2},
  [5169] = {.lex_state = 406, .external_lex_state = 5},
  [5170] = {.lex_state = 406, .external_lex_state = 5},
  [5171] = {.lex_state = 406, .external_lex_state = 5},
  [5172] = {.lex_state = 48, .external_lex_state = 2},
  [5173] = {.lex_state = 50, .external_lex_state = 2},
  [5174] = {.lex_state = 406, .external_lex_state = 8},
  [5175] = {.lex_state = 48, .external_lex_state = 2},
  [5176] = {.lex_state = 406, .external_lex_state = 5},
  [5177] = {.lex_state = 406, .external_lex_state = 6},
  [5178] = {.lex_state = 48, .external_lex_state = 2},
  [5179] = {.lex_state = 75, .external_lex_state = 2},
  [5180] = {.lex_state = 48, .external_lex_state = 2},
  [5181] = {.lex_state = 48, .external_lex_state = 2},
  [5182] = {.lex_state = 50, .external_lex_state = 2},
  [5183] = {.lex_state = 406, .external_lex_state = 5},
  [5184] = {.lex_state = 48, .external_lex_state = 2},
  [5185] = {.lex_state = 406, .external_lex_state = 5},
  [5186] = {.lex_state = 81, .external_lex_state = 2},
  [5187] = {.lex_state = 406, .external_lex_state = 5},
  [5188] = {.lex_state = 81, .external_lex_state = 2},
  [5189] = {.lex_state = 81, .external_lex_state = 2},
  [5190] = {.lex_state = 406, .external_lex_state = 2},
  [5191] = {.lex_state = 48, .external_lex_state = 2},
  [5192] = {.lex_state = 406, .external_lex_state = 5},
  [5193] = {.lex_state = 406, .external_lex_state = 5},
  [5194] = {.lex_state = 406, .external_lex_state = 5},
  [5195] = {.lex_state = 48, .external_lex_state = 2},
  [5196] = {.lex_state = 406, .external_lex_state = 5},
  [5197] = {.lex_state = 48, .external_lex_state = 2},
  [5198] = {.lex_state = 48, .external_lex_state = 5},
  [5199] = {.lex_state = 49, .external_lex_state = 2},
  [5200] = {.lex_state = 406, .external_lex_state = 2},
  [5201] = {.lex_state = 48, .external_lex_state = 2},
  [5202] = {.lex_state = 406, .external_lex_state = 5},
  [5203] = {.lex_state = 406, .external_lex_state = 5},
  [5204] = {.lex_state = 406, .external_lex_state = 5},
  [5205] = {.lex_state = 406, .external_lex_state = 5},
  [5206] = {.lex_state = 406, .external_lex_state = 5},
  [5207] = {.lex_state = 406, .external_lex_state = 5},
  [5208] = {.lex_state = 48, .external_lex_state = 2},
  [5209] = {.lex_state = 406, .external_lex_state = 5},
  [5210] = {.lex_state = 406, .external_lex_state = 5},
  [5211] = {.lex_state = 406, .external_lex_state = 5},
  [5212] = {.lex_state = 48, .external_lex_state = 2},
  [5213] = {.lex_state = 406, .external_lex_state = 2},
  [5214] = {.lex_state = 406, .external_lex_state = 5},
  [5215] = {.lex_state = 406, .external_lex_state = 5},
  [5216] = {.lex_state = 406, .external_lex_state = 5},
  [5217] = {.lex_state = 406, .external_lex_state = 5},
  [5218] = {.lex_state = 406, .external_lex_state = 5},
  [5219] = {.lex_state = 406, .external_lex_state = 5},
  [5220] = {.lex_state = 406, .external_lex_state = 5},
  [5221] = {.lex_state = 48, .external_lex_state = 2},
  [5222] = {.lex_state = 406, .external_lex_state = 2},
  [5223] = {.lex_state = 406, .external_lex_state = 5},
  [5224] = {.lex_state = 406, .external_lex_state = 5},
  [5225] = {.lex_state = 48, .external_lex_state = 5},
  [5226] = {.lex_state = 406, .external_lex_state = 5},
  [5227] = {.lex_state = 48, .external_lex_state = 2},
  [5228] = {.lex_state = 406, .external_lex_state = 5},
  [5229] = {.lex_state = 406, .external_lex_state = 5},
  [5230] = {.lex_state = 406, .external_lex_state = 5},
  [5231] = {.lex_state = 406, .external_lex_state = 2},
  [5232] = {.lex_state = 406, .external_lex_state = 5},
  [5233] = {.lex_state = 406, .external_lex_state = 2},
  [5234] = {.lex_state = 406, .external_lex_state = 6},
  [5235] = {.lex_state = 48, .external_lex_state = 2},
  [5236] = {.lex_state = 406, .external_lex_state = 5},
  [5237] = {.lex_state = 48, .external_lex_state = 2},
  [5238] = {.lex_state = 406, .external_lex_state = 5},
  [5239] = {.lex_state = 406, .external_lex_state = 5},
  [5240] = {.lex_state = 406, .external_lex_state = 2},
  [5241] = {.lex_state = 406, .external_lex_state = 5},
  [5242] = {.lex_state = 75, .external_lex_state = 2},
  [5243] = {.lex_state = 75, .external_lex_state = 2},
  [5244] = {.lex_state = 50, .external_lex_state = 2},
  [5245] = {.lex_state = 48, .external_lex_state = 2},
  [5246] = {.lex_state = 406, .external_lex_state = 2},
  [5247] = {.lex_state = 406, .external_lex_state = 5},
  [5248] = {.lex_state = 406, .external_lex_state = 5},
  [5249] = {.lex_state = 406, .external_lex_state = 6},
  [5250] = {.lex_state = 406, .external_lex_state = 5},
  [5251] = {.lex_state = 406, .external_lex_state = 5},
  [5252] = {.lex_state = 406, .external_lex_state = 5},
  [5253] = {.lex_state = 406, .external_lex_state = 5},
  [5254] = {.lex_state = 48, .external_lex_state = 2},
  [5255] = {.lex_state = 406, .external_lex_state = 5},
  [5256] = {.lex_state = 406, .external_lex_state = 5},
  [5257] = {.lex_state = 406, .external_lex_state = 5},
  [5258] = {.lex_state = 406, .external_lex_state = 8},
  [5259] = {.lex_state = 406, .external_lex_state = 6},
  [5260] = {.lex_state = 406, .external_lex_state = 5},
  [5261] = {.lex_state = 48, .external_lex_state = 2},
  [5262] = {.lex_state = 406, .external_lex_state = 5},
  [5263] = {.lex_state = 48, .external_lex_state = 2},
  [5264] = {.lex_state = 406, .external_lex_state = 5},
  [5265] = {.lex_state = 406, .external_lex_state = 5},
  [5266] = {.lex_state = 50, .external_lex_state = 2},
  [5267] = {.lex_state = 48, .external_lex_state = 5},
  [5268] = {.lex_state = 406, .external_lex_state = 5},
  [5269] = {.lex_state = 48, .external_lex_state = 5},
  [5270] = {.lex_state = 48, .external_lex_state = 2},
  [5271] = {.lex_state = 406, .external_lex_state = 5},
  [5272] = {.lex_state = 406, .external_lex_state = 6},
  [5273] = {.lex_state = 48, .external_lex_state = 2},
  [5274] = {.lex_state = 48, .external_lex_state = 2},
  [5275] = {.lex_state = 406, .external_lex_state = 2},
  [5276] = {.lex_state = 406, .external_lex_state = 5},
  [5277] = {.lex_state = 406, .external_lex_state = 5},
  [5278] = {.lex_state = 48, .external_lex_state = 2},
  [5279] = {.lex_state = 48, .external_lex_state = 2},
  [5280] = {.lex_state = 406, .external_lex_state = 6},
  [5281] = {.lex_state = 81, .external_lex_state = 2},
  [5282] = {.lex_state = 406, .external_lex_state = 5},
  [5283] = {.lex_state = 406, .external_lex_state = 5},
  [5284] = {.lex_state = 406, .external_lex_state = 5},
  [5285] = {.lex_state = 406, .external_lex_state = 5},
  [5286] = {.lex_state = 48, .external_lex_state = 2},
  [5287] = {.lex_state = 48, .external_lex_state = 2},
  [5288] = {.lex_state = 406, .external_lex_state = 5},
  [5289] = {.lex_state = 406, .external_lex_state = 5},
  [5290] = {.lex_state = 75, .external_lex_state = 2},
  [5291] = {.lex_state = 48, .external_lex_state = 5},
  [5292] = {.lex_state = 406, .external_lex_state = 6},
  [5293] = {.lex_state = 406, .external_lex_state = 8},
  [5294] = {.lex_state = 406, .external_lex_state = 5},
  [5295] = {.lex_state = 406, .external_lex_state = 5},
  [5296] = {.lex_state = 406, .external_lex_state = 5},
  [5297] = {.lex_state = 48, .external_lex_state = 2},
  [5298] = {.lex_state = 406, .external_lex_state = 5},
  [5299] = {.lex_state = 48, .external_lex_state = 2},
  [5300] = {.lex_state = 406, .external_lex_state = 5},
  [5301] = {.lex_state = 48, .external_lex_state = 2},
  [5302] = {.lex_state = 406, .external_lex_state = 5},
  [5303] = {.lex_state = 406, .external_lex_state = 5},
  [5304] = {.lex_state = 48, .external_lex_state = 2},
  [5305] = {.lex_state = 406, .external_lex_state = 5},
  [5306] = {.lex_state = 406, .external_lex_state = 5},
  [5307] = {.lex_state = 48, .external_lex_state = 2},
  [5308] = {.lex_state = 406, .external_lex_state = 5},
  [5309] = {.lex_state = 48, .external_lex_state = 2},
  [5310] = {.lex_state = 406, .external_lex_state = 5},
  [5311] = {.lex_state = 81, .external_lex_state = 2},
  [5312] = {.lex_state = 406, .external_lex_state = 5},
  [5313] = {.lex_state = 48, .external_lex_state = 2},
  [5314] = {.lex_state = 406, .external_lex_state = 5},
  [5315] = {.lex_state = 81, .external_lex_state = 2},
  [5316] = {.lex_state = 48, .external_lex_state = 2},
  [5317] = {.lex_state = 406, .external_lex_state = 5},
  [5318] = {.lex_state = 406, .external_lex_state = 5},
  [5319] = {.lex_state = 406, .external_lex_state = 2},
  [5320] = {.lex_state = 406, .external_lex_state = 5},
  [5321] = {.lex_state = 48, .external_lex_state = 2},
  [5322] = {.lex_state = 406, .external_lex_state = 5},
  [5323] = {.lex_state = 406, .external_lex_state = 5},
  [5324] = {.lex_state = 81, .external_lex_state = 2},
  [5325] = {.lex_state = 48, .external_lex_state = 2},
  [5326] = {.lex_state = 48, .external_lex_state = 5},
  [5327] = {.lex_state = 406, .external_lex_state = 2},
  [5328] = {.lex_state = 406, .external_lex_state = 5},
  [5329] = {.lex_state = 406, .external_lex_state = 5},
  [5330] = {.lex_state = 406, .external_lex_state = 5},
  [5331] = {.lex_state = 406, .external_lex_state = 5},
  [5332] = {.lex_state = 406, .external_lex_state = 5},
  [5333] = {.lex_state = 406, .external_lex_state = 5},
  [5334] = {.lex_state = 48, .external_lex_state = 2},
  [5335] = {.lex_state = 48, .external_lex_state = 2},
  [5336] = {.lex_state = 48, .external_lex_state = 2},
  [5337] = {.lex_state = 406, .external_lex_state = 5},
  [5338] = {.lex_state = 81, .external_lex_state = 2},
  [5339] = {.lex_state = 48, .external_lex_state = 2},
  [5340] = {.lex_state = 406, .external_lex_state = 5},
  [5341] = {.lex_state = 406, .external_lex_state = 2},
  [5342] = {.lex_state = 406, .external_lex_state = 5},
  [5343] = {.lex_state = 406, .external_lex_state = 5},
  [5344] = {.lex_state = 48, .external_lex_state = 2},
  [5345] = {.lex_state = 406, .external_lex_state = 5},
  [5346] = {.lex_state = 63, .external_lex_state = 2},
  [5347] = {.lex_state = 48, .external_lex_state = 2},
  [5348] = {.lex_state = 406, .external_lex_state = 5},
  [5349] = {.lex_state = 48, .external_lex_state = 2},
  [5350] = {.lex_state = 406, .external_lex_state = 5},
  [5351] = {.lex_state = 48, .external_lex_state = 2},
  [5352] = {.lex_state = 406, .external_lex_state = 5},
  [5353] = {.lex_state = 406, .external_lex_state = 5},
  [5354] = {.lex_state = 406, .external_lex_state = 5},
  [5355] = {.lex_state = 48, .external_lex_state = 2},
  [5356] = {.lex_state = 406, .external_lex_state = 2},
  [5357] = {.lex_state = 406, .external_lex_state = 5},
  [5358] = {.lex_state = 406, .external_lex_state = 5},
  [5359] = {.lex_state = 48, .external_lex_state = 2},
  [5360] = {.lex_state = 406, .external_lex_state = 5},
  [5361] = {.lex_state = 406, .external_lex_state = 5},
  [5362] = {.lex_state = 406, .external_lex_state = 5},
  [5363] = {.lex_state = 48, .external_lex_state = 2},
  [5364] = {.lex_state = 406, .external_lex_state = 5},
  [5365] = {.lex_state = 406, .external_lex_state = 5},
  [5366] = {.lex_state = 48, .external_lex_state = 2},
  [5367] = {.lex_state = 48, .external_lex_state = 2},
  [5368] = {.lex_state = 406, .external_lex_state = 5},
  [5369] = {.lex_state = 81, .external_lex_state = 2},
  [5370] = {.lex_state = 406, .external_lex_state = 5},
  [5371] = {.lex_state = 406, .external_lex_state = 5},
  [5372] = {.lex_state = 49, .external_lex_state = 5},
  [5373] = {.lex_state = 49, .external_lex_state = 5},
  [5374] = {.lex_state = 406, .external_lex_state = 5},
  [5375] = {.lex_state = 406, .external_lex_state = 2},
  [5376] = {.lex_state = 48, .external_lex_state = 2},
  [5377] = {.lex_state = 406, .external_lex_state = 5},
  [5378] = {.lex_state = 406, .external_lex_state = 5},
  [5379] = {.lex_state = 406, .external_lex_state = 8},
  [5380] = {.lex_state = 75, .external_lex_state = 2},
  [5381] = {.lex_state = 406, .external_lex_state = 5},
  [5382] = {.lex_state = 406, .external_lex_state = 5},
  [5383] = {.lex_state = 406, .external_lex_state = 8},
  [5384] = {.lex_state = 406, .external_lex_state = 5},
  [5385] = {.lex_state = 406, .external_lex_state = 6},
  [5386] = {.lex_state = 406, .external_lex_state = 6},
  [5387] = {.lex_state = 48, .external_lex_state = 5},
  [5388] = {.lex_state = 406, .external_lex_state = 5},
  [5389] = {.lex_state = 81, .external_lex_state = 2},
  [5390] = {.lex_state = 406, .external_lex_state = 5},
  [5391] = {.lex_state = 406, .external_lex_state = 5},
  [5392] = {.lex_state = 406, .external_lex_state = 5},
  [5393] = {.lex_state = 48, .external_lex_state = 2},
  [5394] = {.lex_state = 81, .external_lex_state = 2},
  [5395] = {.lex_state = 48, .external_lex_state = 2},
  [5396] = {.lex_state = 406, .external_lex_state = 5},
  [5397] = {.lex_state = 406, .external_lex_state = 5},
  [5398] = {.lex_state = 406, .external_lex_state = 5},
  [5399] = {.lex_state = 406, .external_lex_state = 5},
  [5400] = {.lex_state = 49, .external_lex_state = 2},
  [5401] = {.lex_state = 49, .external_lex_state = 2},
  [5402] = {.lex_state = 75, .external_lex_state = 2},
  [5403] = {.lex_state = 406, .external_lex_state = 2},
  [5404] = {.lex_state = 406, .external_lex_state = 5},
  [5405] = {.lex_state = 48, .external_lex_state = 5},
  [5406] = {.lex_state = 81, .external_lex_state = 2},
  [5407] = {.lex_state = 48, .external_lex_state = 2},
  [5408] = {.lex_state = 48, .external_lex_state = 2},
  [5409] = {.lex_state = 406, .external_lex_state = 5},
  [5410] = {.lex_state = 406, .external_lex_state = 5},
  [5411] = {.lex_state = 48, .external_lex_state = 2},
  [5412] = {.lex_state = 406, .external_lex_state = 5},
  [5413] = {.lex_state = 48, .external_lex_state = 2},
  [5414] = {.lex_state = 406, .external_lex_state = 2},
  [5415] = {.lex_state = 406, .external_lex_state = 2},
  [5416] = {.lex_state = 81, .external_lex_state = 2},
  [5417] = {.lex_state = 406, .external_lex_state = 5},
  [5418] = {.lex_state = 406, .external_lex_state = 5},
  [5419] = {.lex_state = 406, .external_lex_state = 5},
  [5420] = {.lex_state = 406, .external_lex_state = 5},
  [5421] = {.lex_state = 406, .external_lex_state = 5},
  [5422] = {.lex_state = 406, .external_lex_state = 5},
  [5423] = {.lex_state = 81, .external_lex_state = 2},
  [5424] = {.lex_state = 406, .external_lex_state = 5},
  [5425] = {.lex_state = 406, .external_lex_state = 5},
  [5426] = {.lex_state = 406, .external_lex_state = 5},
  [5427] = {.lex_state = 406, .external_lex_state = 5},
  [5428] = {.lex_state = 406, .external_lex_state = 2},
  [5429] = {.lex_state = 406, .external_lex_state = 5},
  [5430] = {.lex_state = 406, .external_lex_state = 5},
  [5431] = {.lex_state = 406, .external_lex_state = 5},
  [5432] = {.lex_state = 406, .external_lex_state = 5},
  [5433] = {.lex_state = 406, .external_lex_state = 5},
  [5434] = {.lex_state = 406, .external_lex_state = 5},
  [5435] = {.lex_state = 48, .external_lex_state = 5},
  [5436] = {.lex_state = 406, .external_lex_state = 5},
  [5437] = {.lex_state = 406, .external_lex_state = 6},
  [5438] = {.lex_state = 406, .external_lex_state = 5},
  [5439] = {.lex_state = 406, .external_lex_state = 5},
  [5440] = {.lex_state = 48, .external_lex_state = 2},
  [5441] = {.lex_state = 406, .external_lex_state = 5},
  [5442] = {.lex_state = 406, .external_lex_state = 5},
  [5443] = {.lex_state = 406, .external_lex_state = 5},
  [5444] = {.lex_state = 48, .external_lex_state = 2},
  [5445] = {.lex_state = 48, .external_lex_state = 2},
  [5446] = {.lex_state = 48, .external_lex_state = 2},
  [5447] = {.lex_state = 48, .external_lex_state = 2},
  [5448] = {.lex_state = 48, .external_lex_state = 2},
  [5449] = {.lex_state = 406, .external_lex_state = 6},
  [5450] = {.lex_state = 48, .external_lex_state = 2},
  [5451] = {.lex_state = 48, .external_lex_state = 5},
  [5452] = {.lex_state = 48, .external_lex_state = 2},
  [5453] = {.lex_state = 48, .external_lex_state = 2},
  [5454] = {.lex_state = 81, .external_lex_state = 2},
  [5455] = {.lex_state = 406, .external_lex_state = 2},
  [5456] = {.lex_state = 49, .external_lex_state = 2},
  [5457] = {.lex_state = 406, .external_lex_state = 5},
  [5458] = {.lex_state = 406, .external_lex_state = 5},
  [5459] = {.lex_state = 81, .external_lex_state = 2},
  [5460] = {.lex_state = 81, .external_lex_state = 2},
  [5461] = {.lex_state = 48, .external_lex_state = 2},
  [5462] = {.lex_state = 406, .external_lex_state = 6},
  [5463] = {.lex_state = 48, .external_lex_state = 2},
  [5464] = {.lex_state = 406, .external_lex_state = 8},
  [5465] = {.lex_state = 406, .external_lex_state = 5},
  [5466] = {.lex_state = 406, .external_lex_state = 5},
  [5467] = {.lex_state = 406, .external_lex_state = 5},
  [5468] = {.lex_state = 49, .external_lex_state = 2},
  [5469] = {.lex_state = 406, .external_lex_state = 5},
  [5470] = {.lex_state = 406, .external_lex_state = 2},
  [5471] = {.lex_state = 406, .external_lex_state = 5},
  [5472] = {.lex_state = 48, .external_lex_state = 2},
  [5473] = {.lex_state = 406, .external_lex_state = 2},
  [5474] = {.lex_state = 406, .external_lex_state = 2},
  [5475] = {.lex_state = 48, .external_lex_state = 2},
  [5476] = {.lex_state = 406, .external_lex_state = 8},
  [5477] = {.lex_state = 406, .external_lex_state = 5},
  [5478] = {.lex_state = 48, .external_lex_state = 5},
  [5479] = {.lex_state = 48, .external_lex_state = 2},
  [5480] = {.lex_state = 406, .external_lex_state = 5},
  [5481] = {.lex_state = 406, .external_lex_state = 6},
  [5482] = {.lex_state = 406, .external_lex_state = 5},
  [5483] = {.lex_state = 81, .external_lex_state = 2},
  [5484] = {.lex_state = 406, .external_lex_state = 6},
  [5485] = {.lex_state = 406, .external_lex_state = 5},
  [5486] = {.lex_state = 406, .external_lex_state = 5},
  [5487] = {.lex_state = 406, .external_lex_state = 5},
  [5488] = {.lex_state = 48, .external_lex_state = 2},
  [5489] = {.lex_state = 81, .external_lex_state = 2},
  [5490] = {.lex_state = 406, .external_lex_state = 5},
  [5491] = {.lex_state = 406, .external_lex_state = 5},
  [5492] = {.lex_state = 406, .external_lex_state = 5},
  [5493] = {.lex_state = 406, .external_lex_state = 5},
  [5494] = {.lex_state = 406, .external_lex_state = 5},
  [5495] = {.lex_state = 406, .external_lex_state = 5},
  [5496] = {.lex_state = 406, .external_lex_state = 2},
  [5497] = {.lex_state = 48, .external_lex_state = 2},
  [5498] = {.lex_state = 48, .external_lex_state = 2},
  [5499] = {.lex_state = 406, .external_lex_state = 5},
  [5500] = {.lex_state = 406, .external_lex_state = 5},
  [5501] = {.lex_state = 48, .external_lex_state = 2},
  [5502] = {.lex_state = 75, .external_lex_state = 2},
  [5503] = {.lex_state = 48, .external_lex_state = 2},
  [5504] = {.lex_state = 406, .external_lex_state = 5},
  [5505] = {.lex_state = 406, .external_lex_state = 6},
  [5506] = {.lex_state = 406, .external_lex_state = 6},
  [5507] = {.lex_state = 406, .external_lex_state = 5},
  [5508] = {.lex_state = 406, .external_lex_state = 5},
  [5509] = {.lex_state = 406, .external_lex_state = 5},
  [5510] = {.lex_state = 406, .external_lex_state = 2},
  [5511] = {.lex_state = 81, .external_lex_state = 2},
  [5512] = {.lex_state = 406, .external_lex_state = 2},
  [5513] = {.lex_state = 406, .external_lex_state = 5},
  [5514] = {.lex_state = 81, .external_lex_state = 2},
  [5515] = {.lex_state = 406, .external_lex_state = 6},
  [5516] = {.lex_state = 406, .external_lex_state = 8},
  [5517] = {.lex_state = 81, .external_lex_state = 2},
  [5518] = {.lex_state = 406, .external_lex_state = 5},
  [5519] = {.lex_state = 406, .external_lex_state = 5},
  [5520] = {.lex_state = 406, .external_lex_state = 5},
  [5521] = {.lex_state = 406, .external_lex_state = 5},
  [5522] = {.lex_state = 406, .external_lex_state = 6},
  [5523] = {.lex_state = 406, .external_lex_state = 5},
  [5524] = {.lex_state = 406, .external_lex_state = 5},
  [5525] = {.lex_state = 406, .external_lex_state = 5},
  [5526] = {.lex_state = 48, .external_lex_state = 5},
  [5527] = {.lex_state = 406, .external_lex_state = 5},
  [5528] = {.lex_state = 406, .external_lex_state = 5},
  [5529] = {.lex_state = 48, .external_lex_state = 2},
  [5530] = {.lex_state = 406, .external_lex_state = 5},
  [5531] = {.lex_state = 406, .external_lex_state = 2},
  [5532] = {.lex_state = 406, .external_lex_state = 5},
  [5533] = {.lex_state = 406, .external_lex_state = 6},
  [5534] = {.lex_state = 48, .external_lex_state = 2},
  [5535] = {.lex_state = 406, .external_lex_state = 5},
  [5536] = {.lex_state = 406, .external_lex_state = 5},
  [5537] = {.lex_state = 48, .external_lex_state = 2},
  [5538] = {.lex_state = 81, .external_lex_state = 2},
  [5539] = {.lex_state = 406, .external_lex_state = 5},
  [5540] = {.lex_state = 406, .external_lex_state = 5},
  [5541] = {.lex_state = 48, .external_lex_state = 2},
  [5542] = {.lex_state = 48, .external_lex_state = 2},
  [5543] = {.lex_state = 406, .external_lex_state = 5},
  [5544] = {.lex_state = 406, .external_lex_state = 5},
  [5545] = {.lex_state = 81, .external_lex_state = 2},
  [5546] = {.lex_state = 406, .external_lex_state = 5},
  [5547] = {.lex_state = 406, .external_lex_state = 5},
  [5548] = {.lex_state = 406, .external_lex_state = 5},
  [5549] = {.lex_state = 406, .external_lex_state = 5},
  [5550] = {.lex_state = 406, .external_lex_state = 5},
  [5551] = {.lex_state = 406, .external_lex_state = 5},
  [5552] = {.lex_state = 48, .external_lex_state = 2},
  [5553] = {.lex_state = 406, .external_lex_state = 5},
  [5554] = {.lex_state = 406, .external_lex_state = 5},
  [5555] = {.lex_state = 406, .external_lex_state = 2},
  [5556] = {.lex_state = 68, .external_lex_state = 9},
  [5557] = {.lex_state = 48, .external_lex_state = 2},
  [5558] = {.lex_state = 406, .external_lex_state = 6},
  [5559] = {.lex_state = 48, .external_lex_state = 2},
  [5560] = {.lex_state = 406, .external_lex_state = 2},
  [5561] = {.lex_state = 406, .external_lex_state = 5},
  [5562] = {.lex_state = 406, .external_lex_state = 5},
  [5563] = {.lex_state = 406, .external_lex_state = 5},
  [5564] = {.lex_state = 406, .external_lex_state = 5},
  [5565] = {.lex_state = 406, .external_lex_state = 5},
  [5566] = {.lex_state = 406, .external_lex_state = 5},
  [5567] = {.lex_state = 48, .external_lex_state = 2},
  [5568] = {.lex_state = 68, .external_lex_state = 9},
  [5569] = {.lex_state = 59, .external_lex_state = 9},
  [5570] = {.lex_state = 84, .external_lex_state = 2},
  [5571] = {.lex_state = 48, .external_lex_state = 2},
  [5572] = {.lex_state = 406, .external_lex_state = 5},
  [5573] = {.lex_state = 48, .external_lex_state = 2},
  [5574] = {.lex_state = 48, .external_lex_state = 2},
  [5575] = {.lex_state = 48, .external_lex_state = 2},
  [5576] = {.lex_state = 406, .external_lex_state = 2},
  [5577] = {.lex_state = 406, .external_lex_state = 5},
  [5578] = {.lex_state = 406, .external_lex_state = 5},
  [5579] = {.lex_state = 406, .external_lex_state = 5},
  [5580] = {.lex_state = 406, .external_lex_state = 5},
  [5581] = {.lex_state = 48, .external_lex_state = 2},
  [5582] = {.lex_state = 406, .external_lex_state = 2},
  [5583] = {.lex_state = 406, .external_lex_state = 5},
  [5584] = {.lex_state = 406, .external_lex_state = 5},
  [5585] = {.lex_state = 48, .external_lex_state = 2},
  [5586] = {.lex_state = 48, .external_lex_state = 2},
  [5587] = {.lex_state = 59, .external_lex_state = 9},
  [5588] = {.lex_state = 406, .external_lex_state = 7},
  [5589] = {.lex_state = 59, .external_lex_state = 9},
  [5590] = {.lex_state = 48, .external_lex_state = 2},
  [5591] = {.lex_state = 406, .external_lex_state = 2},
  [5592] = {.lex_state = 54, .external_lex_state = 2},
  [5593] = {.lex_state = 48, .external_lex_state = 2},
  [5594] = {.lex_state = 48, .external_lex_state = 2},
  [5595] = {.lex_state = 406, .external_lex_state = 2},
  [5596] = {.lex_state = 68, .external_lex_state = 9},
  [5597] = {.lex_state = 84, .external_lex_state = 2},
  [5598] = {.lex_state = 406, .external_lex_state = 5},
  [5599] = {.lex_state = 406, .external_lex_state = 2},
  [5600] = {.lex_state = 48, .external_lex_state = 2},
  [5601] = {.lex_state = 68, .external_lex_state = 9},
  [5602] = {.lex_state = 59, .external_lex_state = 9},
  [5603] = {.lex_state = 406, .external_lex_state = 2},
  [5604] = {.lex_state = 66, .external_lex_state = 2},
  [5605] = {.lex_state = 48, .external_lex_state = 2},
  [5606] = {.lex_state = 59, .external_lex_state = 9},
  [5607] = {.lex_state = 406, .external_lex_state = 2},
  [5608] = {.lex_state = 2, .external_lex_state = 2},
  [5609] = {.lex_state = 48, .external_lex_state = 2},
  [5610] = {.lex_state = 59, .external_lex_state = 9},
  [5611] = {.lex_state = 68, .external_lex_state = 9},
  [5612] = {.lex_state = 2, .external_lex_state = 2},
  [5613] = {.lex_state = 48, .external_lex_state = 2},
  [5614] = {.lex_state = 48, .external_lex_state = 2},
  [5615] = {.lex_state = 406, .external_lex_state = 5},
  [5616] = {.lex_state = 406, .external_lex_state = 5},
  [5617] = {.lex_state = 406, .external_lex_state = 5},
  [5618] = {.lex_state = 406, .external_lex_state = 5},
  [5619] = {.lex_state = 406, .external_lex_state = 5},
  [5620] = {.lex_state = 406, .external_lex_state = 5},
  [5621] = {.lex_state = 27, .external_lex_state = 2},
  [5622] = {.lex_state = 406, .external_lex_state = 5},
  [5623] = {.lex_state = 406, .external_lex_state = 5},
  [5624] = {.lex_state = 406, .external_lex_state = 5},
  [5625] = {.lex_state = 406, .external_lex_state = 2},
  [5626] = {.lex_state = 48, .external_lex_state = 2},
  [5627] = {.lex_state = 406, .external_lex_state = 5},
  [5628] = {.lex_state = 59, .external_lex_state = 9},
  [5629] = {.lex_state = 68, .external_lex_state = 9},
  [5630] = {.lex_state = 48, .external_lex_state = 2},
  [5631] = {.lex_state = 48, .external_lex_state = 2},
  [5632] = {.lex_state = 48, .external_lex_state = 2},
  [5633] = {.lex_state = 406, .external_lex_state = 5},
  [5634] = {.lex_state = 48, .external_lex_state = 2},
  [5635] = {.lex_state = 68, .external_lex_state = 9},
  [5636] = {.lex_state = 406, .external_lex_state = 2},
  [5637] = {.lex_state = 406, .external_lex_state = 2},
  [5638] = {.lex_state = 406, .external_lex_state = 5},
  [5639] = {.lex_state = 48, .external_lex_state = 2},
  [5640] = {.lex_state = 406, .external_lex_state = 5},
  [5641] = {.lex_state = 406, .external_lex_state = 5},
  [5642] = {.lex_state = 406, .external_lex_state = 5},
  [5643] = {.lex_state = 406, .external_lex_state = 5},
  [5644] = {.lex_state = 48, .external_lex_state = 2},
  [5645] = {.lex_state = 406, .external_lex_state = 5},
  [5646] = {.lex_state = 48, .external_lex_state = 2},
  [5647] = {.lex_state = 48, .external_lex_state = 2},
  [5648] = {.lex_state = 48, .external_lex_state = 2},
  [5649] = {.lex_state = 68, .external_lex_state = 9},
  [5650] = {.lex_state = 59, .external_lex_state = 9},
  [5651] = {.lex_state = 406, .external_lex_state = 2},
  [5652] = {.lex_state = 49, .external_lex_state = 2},
  [5653] = {.lex_state = 59, .external_lex_state = 9},
  [5654] = {.lex_state = 406, .external_lex_state = 5},
  [5655] = {.lex_state = 406, .external_lex_state = 5},
  [5656] = {.lex_state = 48, .external_lex_state = 2},
  [5657] = {.lex_state = 48, .external_lex_state = 2},
  [5658] = {.lex_state = 406, .external_lex_state = 5},
  [5659] = {.lex_state = 406, .external_lex_state = 5},
  [5660] = {.lex_state = 406, .external_lex_state = 5},
  [5661] = {.lex_state = 406, .external_lex_state = 5},
  [5662] = {.lex_state = 406, .external_lex_state = 7},
  [5663] = {.lex_state = 406, .external_lex_state = 5},
  [5664] = {.lex_state = 406, .external_lex_state = 5},
  [5665] = {.lex_state = 48, .external_lex_state = 2},
  [5666] = {.lex_state = 48, .external_lex_state = 2},
  [5667] = {.lex_state = 48, .external_lex_state = 2},
  [5668] = {.lex_state = 2, .external_lex_state = 2},
  [5669] = {.lex_state = 48, .external_lex_state = 2},
  [5670] = {.lex_state = 406, .external_lex_state = 5},
  [5671] = {.lex_state = 48, .external_lex_state = 2},
  [5672] = {.lex_state = 68, .external_lex_state = 9},
  [5673] = {.lex_state = 59, .external_lex_state = 9},
  [5674] = {.lex_state = 48, .external_lex_state = 2},
  [5675] = {.lex_state = 48, .external_lex_state = 2},
  [5676] = {.lex_state = 66, .external_lex_state = 2},
  [5677] = {.lex_state = 54, .external_lex_state = 2},
  [5678] = {.lex_state = 406, .external_lex_state = 5},
  [5679] = {.lex_state = 59, .external_lex_state = 9},
  [5680] = {.lex_state = 68, .external_lex_state = 9},
  [5681] = {.lex_state = 24, .external_lex_state = 2},
  [5682] = {.lex_state = 406, .external_lex_state = 5},
  [5683] = {.lex_state = 406, .external_lex_state = 5},
  [5684] = {.lex_state = 50, .external_lex_state = 2},
  [5685] = {.lex_state = 48, .external_lex_state = 2},
  [5686] = {.lex_state = 406, .external_lex_state = 5},
  [5687] = {.lex_state = 406, .external_lex_state = 5},
  [5688] = {.lex_state = 48, .external_lex_state = 2},
  [5689] = {.lex_state = 406, .external_lex_state = 2},
  [5690] = {.lex_state = 48, .external_lex_state = 2},
  [5691] = {.lex_state = 59, .external_lex_state = 9},
  [5692] = {.lex_state = 48, .external_lex_state = 2},
  [5693] = {.lex_state = 68, .external_lex_state = 9},
  [5694] = {.lex_state = 406, .external_lex_state = 2},
  [5695] = {.lex_state = 27, .external_lex_state = 2},
  [5696] = {.lex_state = 406, .external_lex_state = 7},
  [5697] = {.lex_state = 84, .external_lex_state = 2},
  [5698] = {.lex_state = 406, .external_lex_state = 2},
  [5699] = {.lex_state = 406, .external_lex_state = 5},
  [5700] = {.lex_state = 406, .external_lex_state = 2},
  [5701] = {.lex_state = 406, .external_lex_state = 5},
  [5702] = {.lex_state = 2, .external_lex_state = 2},
  [5703] = {.lex_state = 48, .external_lex_state = 2},
  [5704] = {.lex_state = 406, .external_lex_state = 5},
  [5705] = {.lex_state = 406, .external_lex_state = 5},
  [5706] = {.lex_state = 48, .external_lex_state = 2},
  [5707] = {.lex_state = 59, .external_lex_state = 9},
  [5708] = {.lex_state = 68, .external_lex_state = 9},
  [5709] = {.lex_state = 406, .external_lex_state = 5},
  [5710] = {.lex_state = 48, .external_lex_state = 2},
  [5711] = {.lex_state = 48, .external_lex_state = 2},
  [5712] = {.lex_state = 406, .external_lex_state = 5},
  [5713] = {.lex_state = 406, .external_lex_state = 5},
  [5714] = {.lex_state = 48, .external_lex_state = 2},
  [5715] = {.lex_state = 406, .external_lex_state = 5},
  [5716] = {.lex_state = 84, .external_lex_state = 2},
  [5717] = {.lex_state = 68, .external_lex_state = 9},
  [5718] = {.lex_state = 59, .external_lex_state = 9},
  [5719] = {.lex_state = 68, .external_lex_state = 9},
  [5720] = {.lex_state = 48, .external_lex_state = 2},
  [5721] = {.lex_state = 59, .external_lex_state = 9},
  [5722] = {.lex_state = 68, .external_lex_state = 9},
  [5723] = {.lex_state = 406, .external_lex_state = 5},
  [5724] = {.lex_state = 48, .external_lex_state = 2},
  [5725] = {.lex_state = 406, .external_lex_state = 5},
  [5726] = {.lex_state = 59, .external_lex_state = 9},
  [5727] = {.lex_state = 68, .external_lex_state = 9},
  [5728] = {.lex_state = 59, .external_lex_state = 9},
  [5729] = {.lex_state = 68, .external_lex_state = 9},
  [5730] = {.lex_state = 406, .external_lex_state = 5},
  [5731] = {.lex_state = 48, .external_lex_state = 2},
  [5732] = {.lex_state = 48, .external_lex_state = 2},
  [5733] = {.lex_state = 406, .external_lex_state = 2},
  [5734] = {.lex_state = 68, .external_lex_state = 9},
  [5735] = {.lex_state = 48, .external_lex_state = 2},
  [5736] = {.lex_state = 59, .external_lex_state = 9},
  [5737] = {.lex_state = 48, .external_lex_state = 2},
  [5738] = {.lex_state = 68, .external_lex_state = 9},
  [5739] = {.lex_state = 406, .external_lex_state = 2},
  [5740] = {.lex_state = 406, .external_lex_state = 5},
  [5741] = {.lex_state = 59, .external_lex_state = 9},
  [5742] = {.lex_state = 406, .external_lex_state = 5},
  [5743] = {.lex_state = 406, .external_lex_state = 5},
  [5744] = {.lex_state = 406, .external_lex_state = 5},
  [5745] = {.lex_state = 406, .external_lex_state = 2},
  [5746] = {.lex_state = 59, .external_lex_state = 9},
  [5747] = {.lex_state = 48, .external_lex_state = 2},
  [5748] = {.lex_state = 48, .external_lex_state = 2},
  [5749] = {.lex_state = 54, .external_lex_state = 2},
  [5750] = {.lex_state = 66, .external_lex_state = 2},
  [5751] = {.lex_state = 68, .external_lex_state = 9},
  [5752] = {.lex_state = 406, .external_lex_state = 5},
  [5753] = {.lex_state = 406, .external_lex_state = 5},
  [5754] = {.lex_state = 406, .external_lex_state = 5},
  [5755] = {.lex_state = 406, .external_lex_state = 5},
  [5756] = {.lex_state = 59, .external_lex_state = 9},
  [5757] = {.lex_state = 68, .external_lex_state = 9},
  [5758] = {.lex_state = 406, .external_lex_state = 5},
  [5759] = {.lex_state = 406, .external_lex_state = 5},
  [5760] = {.lex_state = 59, .external_lex_state = 9},
  [5761] = {.lex_state = 68, .external_lex_state = 9},
  [5762] = {.lex_state = 406, .external_lex_state = 5},
  [5763] = {.lex_state = 406, .external_lex_state = 5},
  [5764] = {.lex_state = 48, .external_lex_state = 2},
  [5765] = {.lex_state = 59, .external_lex_state = 9},
  [5766] = {.lex_state = 406, .external_lex_state = 5},
  [5767] = {.lex_state = 50, .external_lex_state = 2},
  [5768] = {.lex_state = 406, .external_lex_state = 5},
  [5769] = {.lex_state = 59, .external_lex_state = 9},
  [5770] = {.lex_state = 68, .external_lex_state = 9},
  [5771] = {.lex_state = 68, .external_lex_state = 9},
  [5772] = {.lex_state = 27, .external_lex_state = 2},
  [5773] = {.lex_state = 406, .external_lex_state = 5},
  [5774] = {.lex_state = 27, .external_lex_state = 2},
  [5775] = {.lex_state = 59, .external_lex_state = 9},
  [5776] = {.lex_state = 27, .external_lex_state = 2},
  [5777] = {.lex_state = 406, .external_lex_state = 5},
  [5778] = {.lex_state = 406, .external_lex_state = 5},
  [5779] = {.lex_state = 406, .external_lex_state = 5},
  [5780] = {.lex_state = 68, .external_lex_state = 9},
  [5781] = {.lex_state = 59, .external_lex_state = 9},
  [5782] = {.lex_state = 68, .external_lex_state = 9},
  [5783] = {.lex_state = 406, .external_lex_state = 5},
  [5784] = {.lex_state = 406, .external_lex_state = 5},
  [5785] = {.lex_state = 59, .external_lex_state = 9},
  [5786] = {.lex_state = 68, .external_lex_state = 9},
  [5787] = {.lex_state = 48, .external_lex_state = 2},
  [5788] = {.lex_state = 55, .external_lex_state = 2},
  [5789] = {.lex_state = 50, .external_lex_state = 2},
  [5790] = {.lex_state = 406, .external_lex_state = 5},
  [5791] = {.lex_state = 406, .external_lex_state = 5},
  [5792] = {.lex_state = 406, .external_lex_state = 5},
  [5793] = {.lex_state = 406, .external_lex_state = 2},
  [5794] = {.lex_state = 48, .external_lex_state = 2},
  [5795] = {.lex_state = 27, .external_lex_state = 2},
  [5796] = {.lex_state = 406, .external_lex_state = 5},
  [5797] = {.lex_state = 406, .external_lex_state = 5},
  [5798] = {.lex_state = 406, .external_lex_state = 5},
  [5799] = {.lex_state = 406, .external_lex_state = 5},
  [5800] = {.lex_state = 406, .external_lex_state = 5},
  [5801] = {.lex_state = 66, .external_lex_state = 2},
  [5802] = {.lex_state = 54, .external_lex_state = 2},
  [5803] = {.lex_state = 406, .external_lex_state = 8},
  [5804] = {.lex_state = 406, .external_lex_state = 2},
  [5805] = {.lex_state = 406, .external_lex_state = 5},
  [5806] = {.lex_state = 406, .external_lex_state = 2},
  [5807] = {.lex_state = 406, .external_lex_state = 5},
  [5808] = {.lex_state = 406, .external_lex_state = 5},
  [5809] = {.lex_state = 406, .external_lex_state = 5},
  [5810] = {.lex_state = 406, .external_lex_state = 2},
  [5811] = {.lex_state = 48, .external_lex_state = 2},
  [5812] = {.lex_state = 406, .external_lex_state = 5},
  [5813] = {.lex_state = 406, .external_lex_state = 5},
  [5814] = {.lex_state = 406, .external_lex_state = 2},
  [5815] = {.lex_state = 406, .external_lex_state = 2},
  [5816] = {.lex_state = 406, .external_lex_state = 5},
  [5817] = {.lex_state = 406, .external_lex_state = 5},
  [5818] = {.lex_state = 406, .external_lex_state = 5},
  [5819] = {.lex_state = 50, .external_lex_state = 5},
  [5820] = {.lex_state = 406, .external_lex_state = 5},
  [5821] = {.lex_state = 50, .external_lex_state = 5},
  [5822] = {.lex_state = 406, .external_lex_state = 2},
  [5823] = {.lex_state = 406, .external_lex_state = 2},
  [5824] = {.lex_state = 406, .external_lex_state = 2},
  [5825] = {.lex_state = 48, .external_lex_state = 2},
  [5826] = {.lex_state = 406, .external_lex_state = 5},
  [5827] = {.lex_state = 406, .external_lex_state = 5},
  [5828] = {.lex_state = 406, .external_lex_state = 5},
  [5829] = {.lex_state = 406, .external_lex_state = 5},
  [5830] = {.lex_state = 406, .external_lex_state = 2},
  [5831] = {.lex_state = 406, .external_lex_state = 5},
  [5832] = {.lex_state = 406, .external_lex_state = 2},
  [5833] = {.lex_state = 406, .external_lex_state = 5},
  [5834] = {.lex_state = 406, .external_lex_state = 2},
  [5835] = {.lex_state = 48, .external_lex_state = 2},
  [5836] = {.lex_state = 406, .external_lex_state = 5},
  [5837] = {.lex_state = 406, .external_lex_state = 5},
  [5838] = {.lex_state = 406, .external_lex_state = 5},
  [5839] = {.lex_state = 406, .external_lex_state = 5},
  [5840] = {.lex_state = 406, .external_lex_state = 5},
  [5841] = {.lex_state = 406, .external_lex_state = 2},
  [5842] = {.lex_state = 406, .external_lex_state = 2},
  [5843] = {.lex_state = 406, .external_lex_state = 5},
  [5844] = {.lex_state = 406, .external_lex_state = 5},
  [5845] = {.lex_state = 406, .external_lex_state = 5},
  [5846] = {.lex_state = 27, .external_lex_state = 2},
  [5847] = {.lex_state = 406, .external_lex_state = 5},
  [5848] = {.lex_state = 406, .external_lex_state = 5},
  [5849] = {.lex_state = 406, .external_lex_state = 5},
  [5850] = {.lex_state = 406, .external_lex_state = 2},
  [5851] = {.lex_state = 406, .external_lex_state = 2},
  [5852] = {.lex_state = 406, .external_lex_state = 2},
  [5853] = {.lex_state = 406, .external_lex_state = 5},
  [5854] = {.lex_state = 406, .external_lex_state = 5},
  [5855] = {.lex_state = 406, .external_lex_state = 5},
  [5856] = {.lex_state = 406, .external_lex_state = 5},
  [5857] = {.lex_state = 50, .external_lex_state = 2},
  [5858] = {.lex_state = 406, .external_lex_state = 5},
  [5859] = {.lex_state = 406, .external_lex_state = 5},
  [5860] = {.lex_state = 50, .external_lex_state = 2},
  [5861] = {.lex_state = 406, .external_lex_state = 5},
  [5862] = {.lex_state = 406, .external_lex_state = 5},
  [5863] = {.lex_state = 48, .external_lex_state = 2},
  [5864] = {.lex_state = 406, .external_lex_state = 5},
  [5865] = {.lex_state = 406, .external_lex_state = 2},
  [5866] = {.lex_state = 48, .external_lex_state = 2},
  [5867] = {.lex_state = 406, .external_lex_state = 5},
  [5868] = {.lex_state = 24, .external_lex_state = 2},
  [5869] = {.lex_state = 50, .external_lex_state = 2},
  [5870] = {.lex_state = 406, .external_lex_state = 5},
  [5871] = {.lex_state = 406, .external_lex_state = 5},
  [5872] = {.lex_state = 50, .external_lex_state = 5},
  [5873] = {.lex_state = 50, .external_lex_state = 5},
  [5874] = {.lex_state = 406, .external_lex_state = 5},
  [5875] = {.lex_state = 406, .external_lex_state = 5},
  [5876] = {.lex_state = 406, .external_lex_state = 5},
  [5877] = {.lex_state = 406, .external_lex_state = 5},
  [5878] = {.lex_state = 406, .external_lex_state = 5},
  [5879] = {.lex_state = 406, .external_lex_state = 5},
  [5880] = {.lex_state = 406, .external_lex_state = 5},
  [5881] = {.lex_state = 406, .external_lex_state = 5},
  [5882] = {.lex_state = 406, .external_lex_state = 5},
  [5883] = {.lex_state = 406, .external_lex_state = 2},
  [5884] = {.lex_state = 406, .external_lex_state = 5},
  [5885] = {.lex_state = 406, .external_lex_state = 2},
  [5886] = {.lex_state = 406, .external_lex_state = 5},
  [5887] = {.lex_state = 406, .external_lex_state = 5},
  [5888] = {.lex_state = 406, .external_lex_state = 5},
  [5889] = {.lex_state = 406, .external_lex_state = 2},
  [5890] = {.lex_state = 406, .external_lex_state = 5},
  [5891] = {.lex_state = 406, .external_lex_state = 5},
  [5892] = {.lex_state = 406, .external_lex_state = 5},
  [5893] = {.lex_state = 48, .external_lex_state = 2},
  [5894] = {.lex_state = 406, .external_lex_state = 5},
  [5895] = {.lex_state = 406, .external_lex_state = 5},
  [5896] = {.lex_state = 406, .external_lex_state = 5},
  [5897] = {.lex_state = 406, .external_lex_state = 5},
  [5898] = {.lex_state = 406, .external_lex_state = 5},
  [5899] = {.lex_state = 27, .external_lex_state = 2},
  [5900] = {.lex_state = 406, .external_lex_state = 5},
  [5901] = {.lex_state = 406, .external_lex_state = 5},
  [5902] = {.lex_state = 406, .external_lex_state = 5},
  [5903] = {.lex_state = 27, .external_lex_state = 2},
  [5904] = {.lex_state = 406, .external_lex_state = 2},
  [5905] = {.lex_state = 406, .external_lex_state = 2},
  [5906] = {.lex_state = 406, .external_lex_state = 2},
  [5907] = {.lex_state = 406, .external_lex_state = 5},
  [5908] = {.lex_state = 48, .external_lex_state = 2},
  [5909] = {.lex_state = 406, .external_lex_state = 5},
  [5910] = {.lex_state = 48, .external_lex_state = 2},
  [5911] = {.lex_state = 406, .external_lex_state = 2},
  [5912] = {.lex_state = 406, .external_lex_state = 5},
  [5913] = {.lex_state = 48, .external_lex_state = 2},
  [5914] = {.lex_state = 406, .external_lex_state = 5},
  [5915] = {.lex_state = 48, .external_lex_state = 2},
  [5916] = {.lex_state = 406, .external_lex_state = 5},
  [5917] = {.lex_state = 406, .external_lex_state = 2},
  [5918] = {.lex_state = 406, .external_lex_state = 5},
  [5919] = {.lex_state = 406, .external_lex_state = 5},
  [5920] = {.lex_state = 406, .external_lex_state = 5},
  [5921] = {.lex_state = 406, .external_lex_state = 5},
  [5922] = {.lex_state = 406, .external_lex_state = 5},
  [5923] = {.lex_state = 48, .external_lex_state = 2},
  [5924] = {.lex_state = 406, .external_lex_state = 5},
  [5925] = {.lex_state = 406, .external_lex_state = 5},
  [5926] = {.lex_state = 406, .external_lex_state = 5},
  [5927] = {.lex_state = 406, .external_lex_state = 5},
  [5928] = {.lex_state = 406, .external_lex_state = 5},
  [5929] = {.lex_state = 406, .external_lex_state = 5},
  [5930] = {.lex_state = 406, .external_lex_state = 5},
  [5931] = {.lex_state = 406, .external_lex_state = 2},
  [5932] = {.lex_state = 406, .external_lex_state = 5},
  [5933] = {.lex_state = 406, .external_lex_state = 2},
  [5934] = {.lex_state = 406, .external_lex_state = 5},
  [5935] = {.lex_state = 406, .external_lex_state = 2},
  [5936] = {.lex_state = 50, .external_lex_state = 2},
  [5937] = {.lex_state = 406, .external_lex_state = 5},
  [5938] = {.lex_state = 50, .external_lex_state = 2},
  [5939] = {.lex_state = 406, .external_lex_state = 2},
  [5940] = {.lex_state = 50, .external_lex_state = 2},
  [5941] = {.lex_state = 75, .external_lex_state = 2},
  [5942] = {.lex_state = 50, .external_lex_state = 2},
  [5943] = {.lex_state = 406, .external_lex_state = 5},
  [5944] = {.lex_state = 406, .external_lex_state = 2},
  [5945] = {.lex_state = 406, .external_lex_state = 2},
  [5946] = {.lex_state = 48, .external_lex_state = 2},
  [5947] = {.lex_state = 406, .external_lex_state = 5},
  [5948] = {.lex_state = 406, .external_lex_state = 5},
  [5949] = {.lex_state = 50, .external_lex_state = 2},
  [5950] = {.lex_state = 406, .external_lex_state = 5},
  [5951] = {.lex_state = 406, .external_lex_state = 2},
  [5952] = {.lex_state = 406, .external_lex_state = 5},
  [5953] = {.lex_state = 406, .external_lex_state = 2},
  [5954] = {.lex_state = 406, .external_lex_state = 5},
  [5955] = {.lex_state = 406, .external_lex_state = 5},
  [5956] = {.lex_state = 24, .external_lex_state = 2},
  [5957] = {.lex_state = 48, .external_lex_state = 2},
  [5958] = {.lex_state = 406, .external_lex_state = 5},
  [5959] = {.lex_state = 406, .external_lex_state = 5},
  [5960] = {.lex_state = 406, .external_lex_state = 5},
  [5961] = {.lex_state = 406, .external_lex_state = 2},
  [5962] = {.lex_state = 406, .external_lex_state = 2},
  [5963] = {.lex_state = 406, .external_lex_state = 5},
  [5964] = {.lex_state = 406, .external_lex_state = 5},
  [5965] = {.lex_state = 406, .external_lex_state = 5},
  [5966] = {.lex_state = 406, .external_lex_state = 5},
  [5967] = {.lex_state = 406, .external_lex_state = 5},
  [5968] = {.lex_state = 406, .external_lex_state = 5},
  [5969] = {.lex_state = 406, .external_lex_state = 2},
  [5970] = {.lex_state = 406, .external_lex_state = 2},
  [5971] = {.lex_state = 89, .external_lex_state = 2},
  [5972] = {.lex_state = 84, .external_lex_state = 2},
  [5973] = {.lex_state = 406, .external_lex_state = 5},
  [5974] = {.lex_state = 406, .external_lex_state = 2},
  [5975] = {.lex_state = 406, .external_lex_state = 2},
  [5976] = {.lex_state = 50, .external_lex_state = 2},
  [5977] = {.lex_state = 406, .external_lex_state = 5},
  [5978] = {.lex_state = 406, .external_lex_state = 5},
  [5979] = {.lex_state = 24, .external_lex_state = 2},
  [5980] = {.lex_state = 75, .external_lex_state = 2},
  [5981] = {.lex_state = 406, .external_lex_state = 5},
  [5982] = {.lex_state = 406, .external_lex_state = 5},
  [5983] = {.lex_state = 406, .external_lex_state = 5},
  [5984] = {.lex_state = 406, .external_lex_state = 5},
  [5985] = {.lex_state = 406, .external_lex_state = 2},
  [5986] = {.lex_state = 406, .external_lex_state = 2},
  [5987] = {.lex_state = 406, .external_lex_state = 5},
  [5988] = {.lex_state = 406, .external_lex_state = 5},
  [5989] = {.lex_state = 50, .external_lex_state = 2},
  [5990] = {.lex_state = 89, .external_lex_state = 2},
  [5991] = {.lex_state = 406, .external_lex_state = 2},
  [5992] = {.lex_state = 406, .external_lex_state = 5},
  [5993] = {.lex_state = 406, .external_lex_state = 5},
  [5994] = {.lex_state = 406, .external_lex_state = 5},
  [5995] = {.lex_state = 406, .external_lex_state = 5},
  [5996] = {.lex_state = 50, .external_lex_state = 2},
  [5997] = {.lex_state = 406, .external_lex_state = 5},
  [5998] = {.lex_state = 24, .external_lex_state = 2},
  [5999] = {.lex_state = 406, .external_lex_state = 5},
  [6000] = {.lex_state = 406, .external_lex_state = 5},
  [6001] = {.lex_state = 406, .external_lex_state = 5},
  [6002] = {.lex_state = 406, .external_lex_state = 2},
  [6003] = {.lex_state = 406, .external_lex_state = 5},
  [6004] = {.lex_state = 406, .external_lex_state = 5},
  [6005] = {.lex_state = 406, .external_lex_state = 5},
  [6006] = {.lex_state = 50, .external_lex_state = 2},
  [6007] = {.lex_state = 406, .external_lex_state = 5},
  [6008] = {.lex_state = 406, .external_lex_state = 5},
  [6009] = {.lex_state = 406, .external_lex_state = 5},
  [6010] = {.lex_state = 406, .external_lex_state = 5},
  [6011] = {.lex_state = 50, .external_lex_state = 2},
  [6012] = {.lex_state = 406, .external_lex_state = 5},
  [6013] = {.lex_state = 406, .external_lex_state = 5},
  [6014] = {.lex_state = 406, .external_lex_state = 5},
  [6015] = {.lex_state = 406, .external_lex_state = 5},
  [6016] = {.lex_state = 406, .external_lex_state = 2},
  [6017] = {.lex_state = 406, .external_lex_state = 2},
  [6018] = {.lex_state = 406, .external_lex_state = 2},
  [6019] = {.lex_state = 406, .external_lex_state = 2},
  [6020] = {.lex_state = 406, .external_lex_state = 2},
  [6021] = {.lex_state = 50, .external_lex_state = 2},
  [6022] = {.lex_state = 59, .external_lex_state = 9},
  [6023] = {.lex_state = 50, .external_lex_state = 5},
  [6024] = {.lex_state = 50, .external_lex_state = 5},
  [6025] = {.lex_state = 68, .external_lex_state = 9},
  [6026] = {.lex_state = 84, .external_lex_state = 2},
  [6027] = {.lex_state = 406, .external_lex_state = 5},
  [6028] = {.lex_state = 406, .external_lex_state = 5},
  [6029] = {.lex_state = 406, .external_lex_state = 2},
  [6030] = {.lex_state = 406, .external_lex_state = 5},
  [6031] = {.lex_state = 406, .external_lex_state = 5},
  [6032] = {.lex_state = 406, .external_lex_state = 5},
  [6033] = {.lex_state = 406, .external_lex_state = 2},
  [6034] = {.lex_state = 406, .external_lex_state = 5},
  [6035] = {.lex_state = 406, .external_lex_state = 5},
  [6036] = {.lex_state = 75, .external_lex_state = 2},
  [6037] = {.lex_state = 406, .external_lex_state = 5},
  [6038] = {.lex_state = 406, .external_lex_state = 5},
  [6039] = {.lex_state = 89, .external_lex_state = 2},
  [6040] = {.lex_state = 406, .external_lex_state = 2},
  [6041] = {.lex_state = 406, .external_lex_state = 5},
  [6042] = {.lex_state = 406, .external_lex_state = 5},
  [6043] = {.lex_state = 406, .external_lex_state = 5},
  [6044] = {.lex_state = 50, .external_lex_state = 2},
  [6045] = {.lex_state = 406, .external_lex_state = 5},
  [6046] = {.lex_state = 24, .external_lex_state = 2},
  [6047] = {.lex_state = 406, .external_lex_state = 5},
  [6048] = {.lex_state = 406, .external_lex_state = 5},
  [6049] = {.lex_state = 406, .external_lex_state = 5},
  [6050] = {.lex_state = 406, .external_lex_state = 5},
  [6051] = {.lex_state = 406, .external_lex_state = 5},
  [6052] = {.lex_state = 406, .external_lex_state = 5},
  [6053] = {.lex_state = 406, .external_lex_state = 5},
  [6054] = {.lex_state = 406, .external_lex_state = 5},
  [6055] = {.lex_state = 406, .external_lex_state = 5},
  [6056] = {.lex_state = 406, .external_lex_state = 5},
  [6057] = {.lex_state = 406, .external_lex_state = 5},
  [6058] = {.lex_state = 406, .external_lex_state = 5},
  [6059] = {.lex_state = 406, .external_lex_state = 5},
  [6060] = {.lex_state = 406, .external_lex_state = 5},
  [6061] = {.lex_state = 406, .external_lex_state = 5},
  [6062] = {.lex_state = 406, .external_lex_state = 5},
  [6063] = {.lex_state = 406, .external_lex_state = 5},
  [6064] = {.lex_state = 406, .external_lex_state = 5},
  [6065] = {.lex_state = 406, .external_lex_state = 5},
  [6066] = {.lex_state = 406, .external_lex_state = 5},
  [6067] = {.lex_state = 406, .external_lex_state = 5},
  [6068] = {.lex_state = 406, .external_lex_state = 5},
  [6069] = {.lex_state = 406, .external_lex_state = 5},
  [6070] = {.lex_state = 406, .external_lex_state = 5},
  [6071] = {.lex_state = 406, .external_lex_state = 5},
  [6072] = {.lex_state = 406, .external_lex_state = 5},
  [6073] = {.lex_state = 406, .external_lex_state = 5},
  [6074] = {.lex_state = 406, .external_lex_state = 5},
  [6075] = {.lex_state = 406, .external_lex_state = 5},
  [6076] = {.lex_state = 406, .external_lex_state = 5},
  [6077] = {.lex_state = 406, .external_lex_state = 2},
  [6078] = {.lex_state = 406, .external_lex_state = 5},
  [6079] = {.lex_state = 406, .external_lex_state = 5},
  [6080] = {.lex_state = 406, .external_lex_state = 5},
  [6081] = {.lex_state = 406, .external_lex_state = 2},
  [6082] = {.lex_state = 49, .external_lex_state = 2},
  [6083] = {.lex_state = 406, .external_lex_state = 5},
  [6084] = {.lex_state = 406, .external_lex_state = 2},
  [6085] = {.lex_state = 48, .external_lex_state = 2},
  [6086] = {.lex_state = 406, .external_lex_state = 5},
  [6087] = {.lex_state = 406, .external_lex_state = 5},
  [6088] = {.lex_state = 406, .external_lex_state = 2},
  [6089] = {.lex_state = 50, .external_lex_state = 2},
  [6090] = {.lex_state = 406, .external_lex_state = 5},
  [6091] = {.lex_state = 406, .external_lex_state = 2},
  [6092] = {.lex_state = 406, .external_lex_state = 5},
  [6093] = {.lex_state = 50, .external_lex_state = 2},
  [6094] = {.lex_state = 406, .external_lex_state = 2},
  [6095] = {.lex_state = 406, .external_lex_state = 5},
  [6096] = {.lex_state = 406, .external_lex_state = 5},
  [6097] = {.lex_state = 406, .external_lex_state = 5},
  [6098] = {.lex_state = 406, .external_lex_state = 5},
  [6099] = {.lex_state = 406, .external_lex_state = 2},
  [6100] = {.lex_state = 406, .external_lex_state = 5},
  [6101] = {.lex_state = 406, .external_lex_state = 2},
  [6102] = {.lex_state = 55, .external_lex_state = 2},
  [6103] = {.lex_state = 406, .external_lex_state = 5},
  [6104] = {.lex_state = 406, .external_lex_state = 5},
  [6105] = {.lex_state = 406, .external_lex_state = 5},
  [6106] = {.lex_state = 406, .external_lex_state = 5},
  [6107] = {.lex_state = 27, .external_lex_state = 2},
  [6108] = {.lex_state = 406, .external_lex_state = 5},
  [6109] = {.lex_state = 406, .external_lex_state = 2},
  [6110] = {.lex_state = 27, .external_lex_state = 2},
  [6111] = {.lex_state = 406, .external_lex_state = 5},
  [6112] = {.lex_state = 406, .external_lex_state = 5},
  [6113] = {.lex_state = 406, .external_lex_state = 5},
  [6114] = {.lex_state = 406, .external_lex_state = 2},
  [6115] = {.lex_state = 406, .external_lex_state = 5},
  [6116] = {.lex_state = 406, .external_lex_state = 5},
  [6117] = {.lex_state = 406, .external_lex_state = 5},
  [6118] = {.lex_state = 406, .external_lex_state = 2},
  [6119] = {.lex_state = 406, .external_lex_state = 2},
  [6120] = {.lex_state = 406, .external_lex_state = 5},
  [6121] = {.lex_state = 406, .external_lex_state = 5},
  [6122] = {.lex_state = 406, .external_lex_state = 5},
  [6123] = {.lex_state = 406, .external_lex_state = 5},
  [6124] = {.lex_state = 406, .external_lex_state = 5},
  [6125] = {.lex_state = 89, .external_lex_state = 2},
  [6126] = {.lex_state = 406, .external_lex_state = 5},
  [6127] = {.lex_state = 48, .external_lex_state = 2},
  [6128] = {.lex_state = 406, .external_lex_state = 5},
  [6129] = {.lex_state = 406, .external_lex_state = 5},
  [6130] = {.lex_state = 406, .external_lex_state = 5},
  [6131] = {.lex_state = 406, .external_lex_state = 5},
  [6132] = {.lex_state = 406, .external_lex_state = 5},
  [6133] = {.lex_state = 406, .external_lex_state = 5},
  [6134] = {.lex_state = 406, .external_lex_state = 5},
  [6135] = {.lex_state = 406, .external_lex_state = 5},
  [6136] = {.lex_state = 48, .external_lex_state = 2},
  [6137] = {.lex_state = 406, .external_lex_state = 5},
  [6138] = {.lex_state = 48, .external_lex_state = 2},
  [6139] = {.lex_state = 27, .external_lex_state = 2},
  [6140] = {.lex_state = 48, .external_lex_state = 2},
  [6141] = {.lex_state = 48, .external_lex_state = 2},
  [6142] = {.lex_state = 406, .external_lex_state = 5},
  [6143] = {.lex_state = 406, .external_lex_state = 2},
  [6144] = {.lex_state = 406, .external_lex_state = 2},
  [6145] = {.lex_state = 406, .external_lex_state = 5},
  [6146] = {.lex_state = 406, .external_lex_state = 5},
  [6147] = {.lex_state = 406, .external_lex_state = 2},
  [6148] = {.lex_state = 406, .external_lex_state = 2},
  [6149] = {.lex_state = 406, .external_lex_state = 2},
  [6150] = {.lex_state = 27, .external_lex_state = 2},
  [6151] = {.lex_state = 406, .external_lex_state = 2},
  [6152] = {.lex_state = 24, .external_lex_state = 2},
  [6153] = {.lex_state = 48, .external_lex_state = 2},
  [6154] = {.lex_state = 48, .external_lex_state = 2},
  [6155] = {.lex_state = 406, .external_lex_state = 5},
  [6156] = {.lex_state = 406, .external_lex_state = 5},
  [6157] = {.lex_state = 406, .external_lex_state = 5},
  [6158] = {.lex_state = 406, .external_lex_state = 5},
  [6159] = {.lex_state = 406, .external_lex_state = 2},
  [6160] = {.lex_state = 84, .external_lex_state = 2},
  [6161] = {.lex_state = 406, .external_lex_state = 5},
  [6162] = {.lex_state = 406, .external_lex_state = 5},
  [6163] = {.lex_state = 406, .external_lex_state = 5},
  [6164] = {.lex_state = 406, .external_lex_state = 5},
  [6165] = {.lex_state = 406, .external_lex_state = 2},
  [6166] = {.lex_state = 48, .external_lex_state = 2},
  [6167] = {.lex_state = 406, .external_lex_state = 2},
  [6168] = {.lex_state = 27, .external_lex_state = 2},
  [6169] = {.lex_state = 406, .external_lex_state = 5},
  [6170] = {.lex_state = 406, .external_lex_state = 5},
  [6171] = {.lex_state = 406, .external_lex_state = 2},
  [6172] = {.lex_state = 48, .external_lex_state = 2},
  [6173] = {.lex_state = 406, .external_lex_state = 5},
  [6174] = {.lex_state = 406, .external_lex_state = 5},
  [6175] = {.lex_state = 406, .external_lex_state = 2},
  [6176] = {.lex_state = 406, .external_lex_state = 5},
  [6177] = {.lex_state = 406, .external_lex_state = 5},
  [6178] = {.lex_state = 406, .external_lex_state = 5},
  [6179] = {.lex_state = 406, .external_lex_state = 2},
  [6180] = {.lex_state = 406, .external_lex_state = 5},
  [6181] = {.lex_state = 406, .external_lex_state = 5},
  [6182] = {.lex_state = 50, .external_lex_state = 2},
  [6183] = {.lex_state = 48, .external_lex_state = 2},
  [6184] = {.lex_state = 24, .external_lex_state = 2},
  [6185] = {.lex_state = 406, .external_lex_state = 5},
  [6186] = {.lex_state = 406, .external_lex_state = 5},
  [6187] = {.lex_state = 406, .external_lex_state = 5},
  [6188] = {.lex_state = 406, .external_lex_state = 5},
  [6189] = {.lex_state = 406, .external_lex_state = 5},
  [6190] = {.lex_state = 406, .external_lex_state = 5},
  [6191] = {.lex_state = 406, .external_lex_state = 5},
  [6192] = {.lex_state = 406, .external_lex_state = 5},
  [6193] = {.lex_state = 27, .external_lex_state = 2},
  [6194] = {.lex_state = 406, .external_lex_state = 5},
  [6195] = {.lex_state = 406, .external_lex_state = 2},
  [6196] = {.lex_state = 406, .external_lex_state = 2},
  [6197] = {.lex_state = 406, .external_lex_state = 5},
  [6198] = {.lex_state = 48, .external_lex_state = 2},
  [6199] = {.lex_state = 406, .external_lex_state = 5},
  [6200] = {.lex_state = 48, .external_lex_state = 2},
  [6201] = {.lex_state = 406, .external_lex_state = 5},
  [6202] = {.lex_state = 48, .external_lex_state = 2},
  [6203] = {.lex_state = 406, .external_lex_state = 5},
  [6204] = {.lex_state = 406, .external_lex_state = 5},
  [6205] = {.lex_state = 406, .external_lex_state = 5},
  [6206] = {.lex_state = 406, .external_lex_state = 5},
  [6207] = {.lex_state = 406, .external_lex_state = 5},
  [6208] = {.lex_state = 406, .external_lex_state = 5},
  [6209] = {.lex_state = 406, .external_lex_state = 5},
  [6210] = {.lex_state = 406, .external_lex_state = 5},
  [6211] = {.lex_state = 406, .external_lex_state = 5},
  [6212] = {.lex_state = 406, .external_lex_state = 5},
  [6213] = {.lex_state = 406, .external_lex_state = 5},
  [6214] = {.lex_state = 406, .external_lex_state = 5},
  [6215] = {.lex_state = 406, .external_lex_state = 5},
  [6216] = {.lex_state = 406, .external_lex_state = 5},
  [6217] = {.lex_state = 48, .external_lex_state = 2},
  [6218] = {.lex_state = 406, .external_lex_state = 5},
  [6219] = {.lex_state = 406, .external_lex_state = 2},
  [6220] = {.lex_state = 406, .external_lex_state = 5},
  [6221] = {.lex_state = 406, .external_lex_state = 2},
  [6222] = {.lex_state = 406, .external_lex_state = 5},
  [6223] = {.lex_state = 406, .external_lex_state = 5},
  [6224] = {.lex_state = 48, .external_lex_state = 2},
  [6225] = {.lex_state = 406, .external_lex_state = 5},
  [6226] = {.lex_state = 406, .external_lex_state = 2},
  [6227] = {.lex_state = 406, .external_lex_state = 2},
  [6228] = {.lex_state = 406, .external_lex_state = 5},
  [6229] = {.lex_state = 406, .external_lex_state = 5},
  [6230] = {.lex_state = 406, .external_lex_state = 5},
  [6231] = {.lex_state = 406, .external_lex_state = 5},
  [6232] = {.lex_state = 406, .external_lex_state = 5},
  [6233] = {.lex_state = 406, .external_lex_state = 5},
  [6234] = {.lex_state = 406, .external_lex_state = 2},
  [6235] = {.lex_state = 406, .external_lex_state = 5},
  [6236] = {.lex_state = 406, .external_lex_state = 2},
  [6237] = {.lex_state = 406, .external_lex_state = 5},
  [6238] = {.lex_state = 406, .external_lex_state = 5},
  [6239] = {.lex_state = 406, .external_lex_state = 8},
  [6240] = {.lex_state = 406, .external_lex_state = 2},
  [6241] = {.lex_state = 406, .external_lex_state = 2},
  [6242] = {.lex_state = 406, .external_lex_state = 5},
  [6243] = {.lex_state = 406, .external_lex_state = 2},
  [6244] = {.lex_state = 406, .external_lex_state = 5},
  [6245] = {.lex_state = 406, .external_lex_state = 5},
  [6246] = {.lex_state = 406, .external_lex_state = 5},
  [6247] = {.lex_state = 406, .external_lex_state = 2},
  [6248] = {.lex_state = 406, .external_lex_state = 5},
  [6249] = {.lex_state = 406, .external_lex_state = 5},
  [6250] = {.lex_state = 406, .external_lex_state = 5},
  [6251] = {.lex_state = 406, .external_lex_state = 5},
  [6252] = {.lex_state = 406, .external_lex_state = 5},
  [6253] = {.lex_state = 406, .external_lex_state = 5},
  [6254] = {.lex_state = 406, .external_lex_state = 5},
  [6255] = {.lex_state = 406, .external_lex_state = 5},
  [6256] = {.lex_state = 406, .external_lex_state = 5},
  [6257] = {.lex_state = 406, .external_lex_state = 5},
  [6258] = {.lex_state = 406, .external_lex_state = 5},
  [6259] = {.lex_state = 406, .external_lex_state = 5},
  [6260] = {.lex_state = 48, .external_lex_state = 2},
  [6261] = {.lex_state = 406, .external_lex_state = 2},
  [6262] = {.lex_state = 27, .external_lex_state = 2},
  [6263] = {.lex_state = 406, .external_lex_state = 5},
  [6264] = {.lex_state = 406, .external_lex_state = 5},
  [6265] = {.lex_state = 406, .external_lex_state = 5},
  [6266] = {.lex_state = 406, .external_lex_state = 5},
  [6267] = {.lex_state = 406, .external_lex_state = 5},
  [6268] = {.lex_state = 406, .external_lex_state = 5},
  [6269] = {.lex_state = 406, .external_lex_state = 5},
  [6270] = {.lex_state = 406, .external_lex_state = 5},
  [6271] = {.lex_state = 406, .external_lex_state = 5},
  [6272] = {.lex_state = 406, .external_lex_state = 5},
  [6273] = {.lex_state = 406, .external_lex_state = 5},
  [6274] = {.lex_state = 406, .external_lex_state = 5},
  [6275] = {.lex_state = 406, .external_lex_state = 5},
  [6276] = {.lex_state = 406, .external_lex_state = 5},
  [6277] = {.lex_state = 406, .external_lex_state = 5},
  [6278] = {.lex_state = 406, .external_lex_state = 5},
  [6279] = {.lex_state = 48, .external_lex_state = 2},
  [6280] = {.lex_state = 406, .external_lex_state = 5},
  [6281] = {.lex_state = 406, .external_lex_state = 2},
  [6282] = {.lex_state = 406, .external_lex_state = 5},
  [6283] = {.lex_state = 406, .external_lex_state = 5},
  [6284] = {.lex_state = 406, .external_lex_state = 2},
  [6285] = {.lex_state = 406, .external_lex_state = 5},
  [6286] = {.lex_state = 406, .external_lex_state = 5},
  [6287] = {.lex_state = 406, .external_lex_state = 2},
  [6288] = {.lex_state = 406, .external_lex_state = 2},
  [6289] = {.lex_state = 406, .external_lex_state = 5},
  [6290] = {.lex_state = 406, .external_lex_state = 5},
  [6291] = {.lex_state = 27, .external_lex_state = 2},
  [6292] = {.lex_state = 50, .external_lex_state = 5},
  [6293] = {.lex_state = 50, .external_lex_state = 5},
  [6294] = {.lex_state = 27, .external_lex_state = 2},
  [6295] = {.lex_state = 406, .external_lex_state = 2},
  [6296] = {.lex_state = 406, .external_lex_state = 2},
  [6297] = {.lex_state = 27, .external_lex_state = 2},
  [6298] = {.lex_state = 406, .external_lex_state = 5},
  [6299] = {.lex_state = 406, .external_lex_state = 5},
  [6300] = {.lex_state = 27, .external_lex_state = 2},
  [6301] = {.lex_state = 406, .external_lex_state = 5},
  [6302] = {.lex_state = 27, .external_lex_state = 2},
  [6303] = {.lex_state = 406, .external_lex_state = 5},
  [6304] = {.lex_state = 406, .external_lex_state = 5},
  [6305] = {.lex_state = 27, .external_lex_state = 2},
  [6306] = {.lex_state = 406, .external_lex_state = 2},
  [6307] = {.lex_state = 27, .external_lex_state = 2},
  [6308] = {.lex_state = 406, .external_lex_state = 2},
  [6309] = {.lex_state = 27, .external_lex_state = 2},
  [6310] = {.lex_state = 27, .external_lex_state = 2},
  [6311] = {.lex_state = 406, .external_lex_state = 2},
  [6312] = {.lex_state = 27, .external_lex_state = 2},
  [6313] = {.lex_state = 406, .external_lex_state = 2},
  [6314] = {.lex_state = 27, .external_lex_state = 2},
  [6315] = {.lex_state = 406, .external_lex_state = 2},
  [6316] = {.lex_state = 406, .external_lex_state = 5},
  [6317] = {.lex_state = 406, .external_lex_state = 2},
  [6318] = {.lex_state = 406, .external_lex_state = 5},
  [6319] = {.lex_state = 406, .external_lex_state = 5},
  [6320] = {.lex_state = 406, .external_lex_state = 5},
  [6321] = {.lex_state = 406, .external_lex_state = 2},
  [6322] = {.lex_state = 406, .external_lex_state = 5},
  [6323] = {.lex_state = 406, .external_lex_state = 5},
  [6324] = {.lex_state = 406, .external_lex_state = 5},
  [6325] = {.lex_state = 48, .external_lex_state = 2},
  [6326] = {.lex_state = 406, .external_lex_state = 2},
  [6327] = {.lex_state = 48, .external_lex_state = 2},
  [6328] = {.lex_state = 406, .external_lex_state = 5},
  [6329] = {.lex_state = 406, .external_lex_state = 2},
  [6330] = {.lex_state = 48, .external_lex_state = 2},
  [6331] = {.lex_state = 406, .external_lex_state = 2},
  [6332] = {.lex_state = 406, .external_lex_state = 2},
  [6333] = {.lex_state = 406, .external_lex_state = 2},
  [6334] = {.lex_state = 406, .external_lex_state = 5},
  [6335] = {.lex_state = 406, .external_lex_state = 5},
  [6336] = {.lex_state = 406, .external_lex_state = 5},
  [6337] = {.lex_state = 406, .external_lex_state = 5},
  [6338] = {.lex_state = 406, .external_lex_state = 5},
  [6339] = {.lex_state = 406, .external_lex_state = 5},
  [6340] = {.lex_state = 406, .external_lex_state = 5},
  [6341] = {.lex_state = 406, .external_lex_state = 2},
  [6342] = {.lex_state = 406, .external_lex_state = 2},
  [6343] = {.lex_state = 406, .external_lex_state = 5},
  [6344] = {.lex_state = 406, .external_lex_state = 5},
  [6345] = {.lex_state = 406, .external_lex_state = 5},
  [6346] = {.lex_state = 406, .external_lex_state = 5},
  [6347] = {.lex_state = 406, .external_lex_state = 5},
  [6348] = {.lex_state = 406, .external_lex_state = 5},
  [6349] = {.lex_state = 406, .external_lex_state = 5},
  [6350] = {.lex_state = 406, .external_lex_state = 5},
  [6351] = {.lex_state = 406, .external_lex_state = 5},
  [6352] = {.lex_state = 24, .external_lex_state = 2},
  [6353] = {.lex_state = 406, .external_lex_state = 5},
  [6354] = {.lex_state = 50, .external_lex_state = 2},
  [6355] = {.lex_state = 406, .external_lex_state = 5},
  [6356] = {.lex_state = 406, .external_lex_state = 5},
  [6357] = {.lex_state = 406, .external_lex_state = 5},
  [6358] = {.lex_state = 406, .external_lex_state = 5},
  [6359] = {.lex_state = 406, .external_lex_state = 5},
  [6360] = {.lex_state = 406, .external_lex_state = 5},
  [6361] = {.lex_state = 406, .external_lex_state = 5},
  [6362] = {.lex_state = 406, .external_lex_state = 5},
  [6363] = {.lex_state = 406, .external_lex_state = 5},
  [6364] = {.lex_state = 406, .external_lex_state = 2},
  [6365] = {.lex_state = 406, .external_lex_state = 5},
  [6366] = {.lex_state = 89, .external_lex_state = 2},
  [6367] = {.lex_state = 406, .external_lex_state = 5},
  [6368] = {.lex_state = 406, .external_lex_state = 5},
  [6369] = {.lex_state = 406, .external_lex_state = 5},
  [6370] = {.lex_state = 406, .external_lex_state = 2},
  [6371] = {.lex_state = 406, .external_lex_state = 5},
  [6372] = {.lex_state = 406, .external_lex_state = 2},
  [6373] = {.lex_state = 406, .external_lex_state = 5},
  [6374] = {.lex_state = 406, .external_lex_state = 5},
  [6375] = {.lex_state = 406, .external_lex_state = 2},
  [6376] = {.lex_state = 406, .external_lex_state = 5},
  [6377] = {.lex_state = 406, .external_lex_state = 2},
  [6378] = {.lex_state = 406, .external_lex_state = 2},
  [6379] = {.lex_state = 406, .external_lex_state = 5},
  [6380] = {.lex_state = 406, .external_lex_state = 5},
  [6381] = {.lex_state = 406, .external_lex_state = 5},
  [6382] = {.lex_state = 406, .external_lex_state = 5},
  [6383] = {.lex_state = 406, .external_lex_state = 5},
  [6384] = {.lex_state = 406, .external_lex_state = 5},
  [6385] = {.lex_state = 406, .external_lex_state = 5},
  [6386] = {.lex_state = 406, .external_lex_state = 5},
  [6387] = {.lex_state = 406, .external_lex_state = 5},
  [6388] = {.lex_state = 406, .external_lex_state = 5},
  [6389] = {.lex_state = 406, .external_lex_state = 5},
  [6390] = {.lex_state = 406, .external_lex_state = 5},
  [6391] = {.lex_state = 48, .external_lex_state = 2},
  [6392] = {.lex_state = 27, .external_lex_state = 2},
  [6393] = {.lex_state = 48, .external_lex_state = 2},
  [6394] = {.lex_state = 406, .external_lex_state = 5},
  [6395] = {.lex_state = 48, .external_lex_state = 2},
  [6396] = {.lex_state = 406, .external_lex_state = 2},
  [6397] = {.lex_state = 406, .external_lex_state = 2},
  [6398] = {.lex_state = 406, .external_lex_state = 2},
  [6399] = {.lex_state = 406, .external_lex_state = 2},
  [6400] = {.lex_state = 406, .external_lex_state = 5},
  [6401] = {.lex_state = 406, .external_lex_state = 5},
  [6402] = {.lex_state = 406, .external_lex_state = 2},
  [6403] = {.lex_state = 406, .external_lex_state = 2},
  [6404] = {.lex_state = 406, .external_lex_state = 2},
  [6405] = {.lex_state = 406, .external_lex_state = 2},
  [6406] = {.lex_state = 406, .external_lex_state = 2},
  [6407] = {.lex_state = 406, .external_lex_state = 5},
  [6408] = {.lex_state = 27, .external_lex_state = 2},
  [6409] = {.lex_state = 406, .external_lex_state = 5},
  [6410] = {.lex_state = 406, .external_lex_state = 2},
  [6411] = {.lex_state = 55, .external_lex_state = 2},
  [6412] = {.lex_state = 406, .external_lex_state = 5},
  [6413] = {.lex_state = 406, .external_lex_state = 5},
  [6414] = {.lex_state = 406, .external_lex_state = 5},
  [6415] = {.lex_state = 55, .external_lex_state = 2},
  [6416] = {.lex_state = 24, .external_lex_state = 2},
  [6417] = {.lex_state = 406, .external_lex_state = 5},
  [6418] = {.lex_state = 406, .external_lex_state = 5},
  [6419] = {.lex_state = 406, .external_lex_state = 5},
  [6420] = {.lex_state = 406, .external_lex_state = 2},
  [6421] = {.lex_state = 406, .external_lex_state = 5},
  [6422] = {.lex_state = 406, .external_lex_state = 2},
  [6423] = {.lex_state = 406, .external_lex_state = 2},
  [6424] = {.lex_state = 406, .external_lex_state = 5},
  [6425] = {.lex_state = 406, .external_lex_state = 2},
  [6426] = {.lex_state = 406, .external_lex_state = 5},
  [6427] = {.lex_state = 27, .external_lex_state = 2},
  [6428] = {.lex_state = 406, .external_lex_state = 2},
  [6429] = {.lex_state = 406, .external_lex_state = 2},
  [6430] = {.lex_state = 406, .external_lex_state = 5},
  [6431] = {.lex_state = 406, .external_lex_state = 5},
  [6432] = {.lex_state = 48, .external_lex_state = 2},
  [6433] = {.lex_state = 406, .external_lex_state = 5},
  [6434] = {.lex_state = 406, .external_lex_state = 5},
  [6435] = {.lex_state = 406, .external_lex_state = 5},
  [6436] = {.lex_state = 406, .external_lex_state = 5},
  [6437] = {.lex_state = 406, .external_lex_state = 5},
  [6438] = {.lex_state = 406, .external_lex_state = 5},
  [6439] = {.lex_state = 406, .external_lex_state = 2},
  [6440] = {.lex_state = 27, .external_lex_state = 2},
  [6441] = {.lex_state = 406, .external_lex_state = 2},
  [6442] = {.lex_state = 406, .external_lex_state = 2},
  [6443] = {.lex_state = 406, .external_lex_state = 2},
  [6444] = {.lex_state = 406, .external_lex_state = 5},
  [6445] = {.lex_state = 48, .external_lex_state = 2},
  [6446] = {.lex_state = 406, .external_lex_state = 2},
  [6447] = {.lex_state = 48, .external_lex_state = 2},
  [6448] = {.lex_state = 406, .external_lex_state = 2},
  [6449] = {.lex_state = 48, .external_lex_state = 2},
  [6450] = {.lex_state = 2, .external_lex_state = 2},
  [6451] = {.lex_state = 406, .external_lex_state = 5},
  [6452] = {.lex_state = 406, .external_lex_state = 5},
  [6453] = {.lex_state = 406, .external_lex_state = 5},
  [6454] = {.lex_state = 406, .external_lex_state = 5},
  [6455] = {.lex_state = 406, .external_lex_state = 2},
  [6456] = {.lex_state = 48, .external_lex_state = 2},
  [6457] = {.lex_state = 406, .external_lex_state = 5},
  [6458] = {.lex_state = 24, .external_lex_state = 2},
  [6459] = {.lex_state = 406, .external_lex_state = 2},
  [6460] = {.lex_state = 406, .external_lex_state = 5},
  [6461] = {.lex_state = 406, .external_lex_state = 5},
  [6462] = {.lex_state = 406, .external_lex_state = 5},
  [6463] = {.lex_state = 406, .external_lex_state = 5},
  [6464] = {.lex_state = 406, .external_lex_state = 5},
  [6465] = {.lex_state = 406, .external_lex_state = 5},
  [6466] = {.lex_state = 406, .external_lex_state = 5},
  [6467] = {.lex_state = 406, .external_lex_state = 2},
  [6468] = {.lex_state = 50, .external_lex_state = 5},
  [6469] = {.lex_state = 50, .external_lex_state = 5},
  [6470] = {.lex_state = 50, .external_lex_state = 2},
  [6471] = {.lex_state = 406, .external_lex_state = 5},
  [6472] = {.lex_state = 50, .external_lex_state = 2},
  [6473] = {.lex_state = 406, .external_lex_state = 2},
  [6474] = {.lex_state = 50, .external_lex_state = 2},
  [6475] = {.lex_state = 406, .external_lex_state = 5},
  [6476] = {.lex_state = 50, .external_lex_state = 2},
  [6477] = {.lex_state = 49, .external_lex_state = 2},
  [6478] = {.lex_state = 406, .external_lex_state = 2},
  [6479] = {.lex_state = 406, .external_lex_state = 5},
  [6480] = {.lex_state = 406, .external_lex_state = 2},
  [6481] = {.lex_state = 406, .external_lex_state = 2},
  [6482] = {.lex_state = 406, .external_lex_state = 2},
  [6483] = {.lex_state = 50, .external_lex_state = 2},
  [6484] = {.lex_state = 406, .external_lex_state = 5},
  [6485] = {.lex_state = 406, .external_lex_state = 2},
  [6486] = {.lex_state = 406, .external_lex_state = 5},
  [6487] = {.lex_state = 406, .external_lex_state = 2},
  [6488] = {.lex_state = 406, .external_lex_state = 2},
  [6489] = {.lex_state = 406, .external_lex_state = 2},
  [6490] = {.lex_state = 406, .external_lex_state = 2},
  [6491] = {.lex_state = 406, .external_lex_state = 2},
  [6492] = {.lex_state = 406, .external_lex_state = 2},
  [6493] = {.lex_state = 406, .external_lex_state = 2},
  [6494] = {.lex_state = 406, .external_lex_state = 2},
  [6495] = {.lex_state = 406, .external_lex_state = 2},
  [6496] = {.lex_state = 406, .external_lex_state = 2},
  [6497] = {.lex_state = 406, .external_lex_state = 2},
  [6498] = {.lex_state = 406, .external_lex_state = 2},
  [6499] = {.lex_state = 406, .external_lex_state = 2},
  [6500] = {.lex_state = 406, .external_lex_state = 2},
  [6501] = {.lex_state = 406, .external_lex_state = 2},
  [6502] = {.lex_state = 406, .external_lex_state = 2},
  [6503] = {.lex_state = 406, .external_lex_state = 2},
  [6504] = {.lex_state = 406, .external_lex_state = 2},
  [6505] = {.lex_state = 50, .external_lex_state = 2},
  [6506] = {.lex_state = 406, .external_lex_state = 2},
  [6507] = {.lex_state = 50, .external_lex_state = 2},
  [6508] = {.lex_state = 406, .external_lex_state = 2},
  [6509] = {.lex_state = 406, .external_lex_state = 5},
  [6510] = {.lex_state = 406, .external_lex_state = 2},
  [6511] = {.lex_state = 406, .external_lex_state = 5},
  [6512] = {.lex_state = 50, .external_lex_state = 2},
  [6513] = {.lex_state = 50, .external_lex_state = 2},
  [6514] = {.lex_state = 406, .external_lex_state = 2},
  [6515] = {.lex_state = 406, .external_lex_state = 2},
  [6516] = {.lex_state = 406, .external_lex_state = 2},
  [6517] = {.lex_state = 50, .external_lex_state = 2},
  [6518] = {.lex_state = 406, .external_lex_state = 5},
  [6519] = {.lex_state = 406, .external_lex_state = 2},
  [6520] = {.lex_state = 406, .external_lex_state = 2},
  [6521] = {.lex_state = 406, .external_lex_state = 5},
  [6522] = {.lex_state = 406, .external_lex_state = 2},
  [6523] = {.lex_state = 406, .external_lex_state = 5},
  [6524] = {.lex_state = 406, .external_lex_state = 2},
  [6525] = {.lex_state = 50, .external_lex_state = 2},
  [6526] = {.lex_state = 406, .external_lex_state = 2},
  [6527] = {.lex_state = 406, .external_lex_state = 2},
  [6528] = {.lex_state = 406, .external_lex_state = 2},
  [6529] = {.lex_state = 406, .external_lex_state = 5},
  [6530] = {.lex_state = 406, .external_lex_state = 2},
  [6531] = {.lex_state = 406, .external_lex_state = 2},
  [6532] = {.lex_state = 406, .external_lex_state = 2},
  [6533] = {.lex_state = 406, .external_lex_state = 2},
  [6534] = {.lex_state = 406, .external_lex_state = 2},
  [6535] = {.lex_state = 406, .external_lex_state = 2},
  [6536] = {.lex_state = 406, .external_lex_state = 2},
  [6537] = {.lex_state = 406, .external_lex_state = 5},
  [6538] = {.lex_state = 406, .external_lex_state = 5},
  [6539] = {.lex_state = 406, .external_lex_state = 5},
  [6540] = {.lex_state = 406, .external_lex_state = 2},
  [6541] = {.lex_state = 406, .external_lex_state = 5},
  [6542] = {.lex_state = 406, .external_lex_state = 2},
  [6543] = {.lex_state = 406, .external_lex_state = 2},
  [6544] = {.lex_state = 406, .external_lex_state = 2},
  [6545] = {.lex_state = 48, .external_lex_state = 2},
  [6546] = {.lex_state = 406, .external_lex_state = 2},
  [6547] = {.lex_state = 48, .external_lex_state = 2},
  [6548] = {.lex_state = 406, .external_lex_state = 5},
  [6549] = {.lex_state = 50, .external_lex_state = 2},
  [6550] = {.lex_state = 406, .external_lex_state = 2},
  [6551] = {.lex_state = 50, .external_lex_state = 2},
  [6552] = {.lex_state = 406, .external_lex_state = 2},
  [6553] = {.lex_state = 406, .external_lex_state = 2},
  [6554] = {.lex_state = 406, .external_lex_state = 5},
  [6555] = {.lex_state = 406, .external_lex_state = 2},
  [6556] = {.lex_state = 406, .external_lex_state = 2},
  [6557] = {.lex_state = 406, .external_lex_state = 2},
  [6558] = {.lex_state = 50, .external_lex_state = 2},
  [6559] = {.lex_state = 406, .external_lex_state = 2},
  [6560] = {.lex_state = 406, .external_lex_state = 5},
  [6561] = {.lex_state = 406, .external_lex_state = 2},
  [6562] = {.lex_state = 406, .external_lex_state = 2},
  [6563] = {.lex_state = 406, .external_lex_state = 2},
  [6564] = {.lex_state = 406, .external_lex_state = 2},
  [6565] = {.lex_state = 406, .external_lex_state = 2},
  [6566] = {.lex_state = 406, .external_lex_state = 5},
  [6567] = {.lex_state = 406, .external_lex_state = 5},
  [6568] = {.lex_state = 50, .external_lex_state = 2},
  [6569] = {.lex_state = 406, .external_lex_state = 5},
  [6570] = {.lex_state = 406, .external_lex_state = 2},
  [6571] = {.lex_state = 406, .external_lex_state = 2},
  [6572] = {.lex_state = 406, .external_lex_state = 2},
  [6573] = {.lex_state = 406, .external_lex_state = 2},
  [6574] = {.lex_state = 406, .external_lex_state = 5},
  [6575] = {.lex_state = 406, .external_lex_state = 2},
  [6576] = {.lex_state = 406, .external_lex_state = 5},
  [6577] = {.lex_state = 406, .external_lex_state = 2},
  [6578] = {.lex_state = 406, .external_lex_state = 2},
  [6579] = {.lex_state = 406, .external_lex_state = 2},
  [6580] = {.lex_state = 2, .external_lex_state = 2},
  [6581] = {.lex_state = 406, .external_lex_state = 2},
  [6582] = {.lex_state = 406, .external_lex_state = 2},
  [6583] = {.lex_state = 406, .external_lex_state = 2},
  [6584] = {.lex_state = 50, .external_lex_state = 2},
  [6585] = {.lex_state = 406, .external_lex_state = 2},
  [6586] = {.lex_state = 406, .external_lex_state = 5},
  [6587] = {.lex_state = 406, .external_lex_state = 2},
  [6588] = {.lex_state = 406, .external_lex_state = 2},
  [6589] = {.lex_state = 406, .external_lex_state = 2},
  [6590] = {.lex_state = 406, .external_lex_state = 5},
  [6591] = {.lex_state = 406, .external_lex_state = 5},
  [6592] = {.lex_state = 406, .external_lex_state = 5},
  [6593] = {.lex_state = 406, .external_lex_state = 5},
  [6594] = {.lex_state = 406, .external_lex_state = 5},
  [6595] = {.lex_state = 406, .external_lex_state = 2},
  [6596] = {.lex_state = 406, .external_lex_state = 5},
  [6597] = {.lex_state = 50, .external_lex_state = 2},
  [6598] = {.lex_state = 406, .external_lex_state = 2},
  [6599] = {.lex_state = 406, .external_lex_state = 2},
  [6600] = {.lex_state = 406, .external_lex_state = 5},
  [6601] = {.lex_state = 406, .external_lex_state = 5},
  [6602] = {.lex_state = 406, .external_lex_state = 2},
  [6603] = {.lex_state = 406, .external_lex_state = 5},
  [6604] = {.lex_state = 406, .external_lex_state = 2},
  [6605] = {.lex_state = 81, .external_lex_state = 2},
  [6606] = {.lex_state = 406, .external_lex_state = 5},
  [6607] = {.lex_state = 406, .external_lex_state = 2},
  [6608] = {.lex_state = 406, .external_lex_state = 2},
  [6609] = {.lex_state = 406, .external_lex_state = 2},
  [6610] = {.lex_state = 406, .external_lex_state = 5},
  [6611] = {.lex_state = 406, .external_lex_state = 5},
  [6612] = {.lex_state = 406, .external_lex_state = 5},
  [6613] = {.lex_state = 406, .external_lex_state = 2},
  [6614] = {.lex_state = 406, .external_lex_state = 2},
  [6615] = {.lex_state = 406, .external_lex_state = 2},
  [6616] = {.lex_state = 406, .external_lex_state = 5},
  [6617] = {.lex_state = 406, .external_lex_state = 2},
  [6618] = {.lex_state = 406, .external_lex_state = 2},
  [6619] = {.lex_state = 406, .external_lex_state = 2},
  [6620] = {.lex_state = 406, .external_lex_state = 2},
  [6621] = {.lex_state = 406, .external_lex_state = 5},
  [6622] = {.lex_state = 406, .external_lex_state = 2},
  [6623] = {.lex_state = 406, .external_lex_state = 5},
  [6624] = {.lex_state = 406, .external_lex_state = 2},
  [6625] = {.lex_state = 406, .external_lex_state = 2},
  [6626] = {.lex_state = 48, .external_lex_state = 2},
  [6627] = {.lex_state = 406, .external_lex_state = 2},
  [6628] = {.lex_state = 406, .external_lex_state = 2},
  [6629] = {.lex_state = 406, .external_lex_state = 2},
  [6630] = {.lex_state = 406, .external_lex_state = 2},
  [6631] = {.lex_state = 406, .external_lex_state = 5},
  [6632] = {.lex_state = 406, .external_lex_state = 2},
  [6633] = {.lex_state = 406, .external_lex_state = 5},
  [6634] = {.lex_state = 406, .external_lex_state = 2},
  [6635] = {.lex_state = 406, .external_lex_state = 2},
  [6636] = {.lex_state = 48, .external_lex_state = 2},
  [6637] = {.lex_state = 406, .external_lex_state = 2},
  [6638] = {.lex_state = 406, .external_lex_state = 2},
  [6639] = {.lex_state = 406, .external_lex_state = 2},
  [6640] = {.lex_state = 406, .external_lex_state = 2},
  [6641] = {.lex_state = 48, .external_lex_state = 2},
  [6642] = {.lex_state = 406, .external_lex_state = 5},
  [6643] = {.lex_state = 406, .external_lex_state = 2},
  [6644] = {.lex_state = 406, .external_lex_state = 2},
  [6645] = {.lex_state = 406, .external_lex_state = 5},
  [6646] = {.lex_state = 406, .external_lex_state = 2},
  [6647] = {.lex_state = 406, .external_lex_state = 2},
  [6648] = {.lex_state = 406, .external_lex_state = 2},
  [6649] = {.lex_state = 406, .external_lex_state = 2},
  [6650] = {.lex_state = 406, .external_lex_state = 2},
  [6651] = {.lex_state = 406, .external_lex_state = 5},
  [6652] = {.lex_state = 406, .external_lex_state = 5},
  [6653] = {.lex_state = 406, .external_lex_state = 2},
  [6654] = {.lex_state = 406, .external_lex_state = 2},
  [6655] = {.lex_state = 406, .external_lex_state = 2},
  [6656] = {.lex_state = 406, .external_lex_state = 2},
  [6657] = {.lex_state = 406, .external_lex_state = 2},
  [6658] = {.lex_state = 406, .external_lex_state = 2},
  [6659] = {.lex_state = 406, .external_lex_state = 2},
  [6660] = {.lex_state = 406, .external_lex_state = 2},
  [6661] = {.lex_state = 406, .external_lex_state = 2},
  [6662] = {.lex_state = 406, .external_lex_state = 2},
  [6663] = {.lex_state = 406, .external_lex_state = 5},
  [6664] = {.lex_state = 406, .external_lex_state = 5},
  [6665] = {.lex_state = 50, .external_lex_state = 2},
  [6666] = {.lex_state = 406, .external_lex_state = 2},
  [6667] = {.lex_state = 406, .external_lex_state = 2},
  [6668] = {.lex_state = 50, .external_lex_state = 2},
  [6669] = {.lex_state = 406, .external_lex_state = 2},
  [6670] = {.lex_state = 406, .external_lex_state = 2},
  [6671] = {.lex_state = 406, .external_lex_state = 5},
  [6672] = {.lex_state = 406, .external_lex_state = 2},
  [6673] = {.lex_state = 406, .external_lex_state = 2},
  [6674] = {.lex_state = 406, .external_lex_state = 2},
  [6675] = {.lex_state = 406, .external_lex_state = 5},
  [6676] = {.lex_state = 406, .external_lex_state = 5},
  [6677] = {.lex_state = 406, .external_lex_state = 2},
  [6678] = {.lex_state = 406, .external_lex_state = 2},
  [6679] = {.lex_state = 406, .external_lex_state = 2},
  [6680] = {.lex_state = 49, .external_lex_state = 2},
  [6681] = {.lex_state = 406, .external_lex_state = 5},
  [6682] = {.lex_state = 406, .external_lex_state = 5},
  [6683] = {.lex_state = 406, .external_lex_state = 2},
  [6684] = {.lex_state = 406, .external_lex_state = 2},
  [6685] = {.lex_state = 406, .external_lex_state = 5},
  [6686] = {.lex_state = 406, .external_lex_state = 2},
  [6687] = {.lex_state = 406, .external_lex_state = 2},
  [6688] = {.lex_state = 406, .external_lex_state = 2},
  [6689] = {.lex_state = 406, .external_lex_state = 2},
  [6690] = {.lex_state = 406, .external_lex_state = 2},
  [6691] = {.lex_state = 406, .external_lex_state = 5},
  [6692] = {.lex_state = 406, .external_lex_state = 5},
  [6693] = {.lex_state = 406, .external_lex_state = 5},
  [6694] = {.lex_state = 406, .external_lex_state = 2},
  [6695] = {.lex_state = 406, .external_lex_state = 5},
  [6696] = {.lex_state = 50, .external_lex_state = 2},
  [6697] = {.lex_state = 406, .external_lex_state = 5},
  [6698] = {.lex_state = 406, .external_lex_state = 2},
  [6699] = {.lex_state = 406, .external_lex_state = 2},
  [6700] = {.lex_state = 406, .external_lex_state = 2},
  [6701] = {.lex_state = 406, .external_lex_state = 2},
  [6702] = {.lex_state = 406, .external_lex_state = 5},
  [6703] = {.lex_state = 406, .external_lex_state = 5},
  [6704] = {.lex_state = 406, .external_lex_state = 5},
  [6705] = {.lex_state = 406, .external_lex_state = 2},
  [6706] = {.lex_state = 406, .external_lex_state = 5},
  [6707] = {.lex_state = 406, .external_lex_state = 2},
  [6708] = {.lex_state = 406, .external_lex_state = 2},
  [6709] = {.lex_state = 406, .external_lex_state = 2},
  [6710] = {.lex_state = 406, .external_lex_state = 2},
  [6711] = {.lex_state = 406, .external_lex_state = 2},
  [6712] = {.lex_state = 406, .external_lex_state = 5},
  [6713] = {.lex_state = 406, .external_lex_state = 2},
  [6714] = {.lex_state = 406, .external_lex_state = 2},
  [6715] = {.lex_state = 49, .external_lex_state = 2},
  [6716] = {.lex_state = 406, .external_lex_state = 2},
  [6717] = {.lex_state = 406, .external_lex_state = 2},
  [6718] = {.lex_state = 406, .external_lex_state = 2},
  [6719] = {.lex_state = 406, .external_lex_state = 2},
  [6720] = {.lex_state = 406, .external_lex_state = 2},
  [6721] = {.lex_state = 406, .external_lex_state = 2},
  [6722] = {.lex_state = 406, .external_lex_state = 2},
  [6723] = {.lex_state = 406, .external_lex_state = 2},
  [6724] = {.lex_state = 406, .external_lex_state = 2},
  [6725] = {.lex_state = 406, .external_lex_state = 2},
  [6726] = {.lex_state = 406, .external_lex_state = 5},
  [6727] = {.lex_state = 406, .external_lex_state = 2},
  [6728] = {.lex_state = 406, .external_lex_state = 2},
  [6729] = {.lex_state = 406, .external_lex_state = 2},
  [6730] = {.lex_state = 406, .external_lex_state = 2},
  [6731] = {.lex_state = 406, .external_lex_state = 2},
  [6732] = {.lex_state = 406, .external_lex_state = 2},
  [6733] = {.lex_state = 406, .external_lex_state = 2},
  [6734] = {.lex_state = 406, .external_lex_state = 2},
  [6735] = {.lex_state = 81, .external_lex_state = 2},
  [6736] = {.lex_state = 406, .external_lex_state = 2},
  [6737] = {.lex_state = 406, .external_lex_state = 2},
  [6738] = {.lex_state = 406, .external_lex_state = 2},
  [6739] = {.lex_state = 406, .external_lex_state = 2},
  [6740] = {.lex_state = 406, .external_lex_state = 2},
  [6741] = {.lex_state = 406, .external_lex_state = 2},
  [6742] = {.lex_state = 406, .external_lex_state = 2},
  [6743] = {.lex_state = 406, .external_lex_state = 2},
  [6744] = {.lex_state = 406, .external_lex_state = 2},
  [6745] = {.lex_state = 406, .external_lex_state = 5},
  [6746] = {.lex_state = 406, .external_lex_state = 2},
  [6747] = {.lex_state = 50, .external_lex_state = 2},
  [6748] = {.lex_state = 406, .external_lex_state = 2},
  [6749] = {.lex_state = 406, .external_lex_state = 2},
  [6750] = {.lex_state = 406, .external_lex_state = 2},
  [6751] = {.lex_state = 406, .external_lex_state = 2},
  [6752] = {.lex_state = 406, .external_lex_state = 2},
  [6753] = {.lex_state = 406, .external_lex_state = 2},
  [6754] = {.lex_state = 406, .external_lex_state = 2},
  [6755] = {.lex_state = 406, .external_lex_state = 2},
  [6756] = {.lex_state = 406, .external_lex_state = 2},
  [6757] = {.lex_state = 406, .external_lex_state = 2},
  [6758] = {.lex_state = 406, .external_lex_state = 2},
  [6759] = {.lex_state = 50, .external_lex_state = 2},
  [6760] = {.lex_state = 50, .external_lex_state = 2},
  [6761] = {.lex_state = 406, .external_lex_state = 2},
  [6762] = {.lex_state = 406, .external_lex_state = 2},
  [6763] = {.lex_state = 406, .external_lex_state = 2},
  [6764] = {.lex_state = 406, .external_lex_state = 2},
  [6765] = {.lex_state = 406, .external_lex_state = 2},
  [6766] = {.lex_state = 406, .external_lex_state = 2},
  [6767] = {.lex_state = 406, .external_lex_state = 2},
  [6768] = {.lex_state = 406, .external_lex_state = 2},
  [6769] = {.lex_state = 406, .external_lex_state = 2},
  [6770] = {.lex_state = 406, .external_lex_state = 2},
  [6771] = {.lex_state = 406, .external_lex_state = 2},
  [6772] = {.lex_state = 406, .external_lex_state = 2},
  [6773] = {.lex_state = 406, .external_lex_state = 2},
  [6774] = {.lex_state = 406, .external_lex_state = 2},
  [6775] = {.lex_state = 406, .external_lex_state = 2},
  [6776] = {.lex_state = 406, .external_lex_state = 2},
  [6777] = {.lex_state = 406, .external_lex_state = 2},
  [6778] = {.lex_state = 406, .external_lex_state = 2},
  [6779] = {.lex_state = 50, .external_lex_state = 2},
  [6780] = {.lex_state = 406, .external_lex_state = 2},
  [6781] = {.lex_state = 406, .external_lex_state = 2},
  [6782] = {.lex_state = 50, .external_lex_state = 2},
  [6783] = {.lex_state = 406, .external_lex_state = 2},
  [6784] = {.lex_state = 406, .external_lex_state = 2},
  [6785] = {.lex_state = 406, .external_lex_state = 2},
  [6786] = {.lex_state = 406, .external_lex_state = 2},
  [6787] = {.lex_state = 406, .external_lex_state = 2},
  [6788] = {.lex_state = 406, .external_lex_state = 2},
  [6789] = {.lex_state = 406, .external_lex_state = 2},
  [6790] = {.lex_state = 406, .external_lex_state = 2},
  [6791] = {.lex_state = 50, .external_lex_state = 2},
  [6792] = {.lex_state = 406, .external_lex_state = 5},
  [6793] = {.lex_state = 50, .external_lex_state = 2},
  [6794] = {.lex_state = 406, .external_lex_state = 2},
  [6795] = {.lex_state = 406, .external_lex_state = 2},
  [6796] = {.lex_state = 406, .external_lex_state = 2},
  [6797] = {.lex_state = 50, .external_lex_state = 2},
  [6798] = {.lex_state = 50, .external_lex_state = 2},
  [6799] = {.lex_state = 50, .external_lex_state = 2},
  [6800] = {.lex_state = 406, .external_lex_state = 2},
  [6801] = {.lex_state = 50, .external_lex_state = 2},
  [6802] = {.lex_state = 406, .external_lex_state = 2},
  [6803] = {.lex_state = 406, .external_lex_state = 2},
  [6804] = {.lex_state = 406, .external_lex_state = 2},
  [6805] = {.lex_state = 406, .external_lex_state = 2},
  [6806] = {.lex_state = 406, .external_lex_state = 2},
  [6807] = {.lex_state = 50, .external_lex_state = 2},
  [6808] = {.lex_state = 406, .external_lex_state = 5},
  [6809] = {.lex_state = 48, .external_lex_state = 2},
  [6810] = {.lex_state = 406, .external_lex_state = 2},
  [6811] = {.lex_state = 406, .external_lex_state = 2},
  [6812] = {.lex_state = 406, .external_lex_state = 2},
  [6813] = {.lex_state = 406, .external_lex_state = 2},
  [6814] = {.lex_state = 406, .external_lex_state = 2},
  [6815] = {.lex_state = 406, .external_lex_state = 2},
  [6816] = {.lex_state = 48, .external_lex_state = 2},
  [6817] = {.lex_state = 406, .external_lex_state = 5},
  [6818] = {.lex_state = 406, .external_lex_state = 5},
  [6819] = {.lex_state = 406, .external_lex_state = 2},
  [6820] = {.lex_state = 406, .external_lex_state = 2},
  [6821] = {.lex_state = 406, .external_lex_state = 2},
  [6822] = {.lex_state = 50, .external_lex_state = 2},
  [6823] = {.lex_state = 406, .external_lex_state = 2},
  [6824] = {.lex_state = 406, .external_lex_state = 2},
  [6825] = {.lex_state = 406, .external_lex_state = 2},
  [6826] = {.lex_state = 406, .external_lex_state = 2},
  [6827] = {.lex_state = 406, .external_lex_state = 2},
  [6828] = {.lex_state = 406, .external_lex_state = 2},
  [6829] = {.lex_state = 406, .external_lex_state = 2},
  [6830] = {.lex_state = 406, .external_lex_state = 5},
  [6831] = {.lex_state = 406, .external_lex_state = 2},
  [6832] = {.lex_state = 406, .external_lex_state = 2},
  [6833] = {.lex_state = 406, .external_lex_state = 2},
  [6834] = {.lex_state = 406, .external_lex_state = 5},
  [6835] = {.lex_state = 48, .external_lex_state = 2},
  [6836] = {.lex_state = 406, .external_lex_state = 2},
  [6837] = {.lex_state = 50, .external_lex_state = 2},
  [6838] = {.lex_state = 406, .external_lex_state = 2},
  [6839] = {.lex_state = 406, .external_lex_state = 2},
  [6840] = {.lex_state = 406, .external_lex_state = 2},
  [6841] = {.lex_state = 406, .external_lex_state = 5},
  [6842] = {.lex_state = 406, .external_lex_state = 2},
  [6843] = {.lex_state = 406, .external_lex_state = 2},
  [6844] = {.lex_state = 406, .external_lex_state = 2},
  [6845] = {.lex_state = 50, .external_lex_state = 2},
  [6846] = {.lex_state = 406, .external_lex_state = 2},
  [6847] = {.lex_state = 406, .external_lex_state = 2},
  [6848] = {.lex_state = 50, .external_lex_state = 2},
  [6849] = {.lex_state = 48, .external_lex_state = 2},
  [6850] = {.lex_state = 406, .external_lex_state = 2},
  [6851] = {.lex_state = 406, .external_lex_state = 2},
  [6852] = {.lex_state = 48, .external_lex_state = 2},
  [6853] = {.lex_state = 50, .external_lex_state = 2},
  [6854] = {.lex_state = 406, .external_lex_state = 2},
  [6855] = {.lex_state = 406, .external_lex_state = 2},
  [6856] = {.lex_state = 406, .external_lex_state = 2},
  [6857] = {.lex_state = 406, .external_lex_state = 5},
  [6858] = {.lex_state = 406, .external_lex_state = 5},
  [6859] = {.lex_state = 406, .external_lex_state = 2},
  [6860] = {.lex_state = 406, .external_lex_state = 5},
  [6861] = {.lex_state = 406, .external_lex_state = 2},
  [6862] = {.lex_state = 406, .external_lex_state = 2},
  [6863] = {.lex_state = 406, .external_lex_state = 2},
  [6864] = {.lex_state = 406, .external_lex_state = 2},
  [6865] = {.lex_state = 406, .external_lex_state = 2},
  [6866] = {.lex_state = 406, .external_lex_state = 2},
  [6867] = {.lex_state = 406, .external_lex_state = 2},
  [6868] = {.lex_state = 406, .external_lex_state = 5},
  [6869] = {.lex_state = 50, .external_lex_state = 2},
  [6870] = {.lex_state = 406, .external_lex_state = 2},
  [6871] = {.lex_state = 406, .external_lex_state = 2},
  [6872] = {.lex_state = 406, .external_lex_state = 5},
  [6873] = {.lex_state = 406, .external_lex_state = 2},
  [6874] = {.lex_state = 406, .external_lex_state = 2},
  [6875] = {.lex_state = 406, .external_lex_state = 5},
  [6876] = {.lex_state = 406, .external_lex_state = 5},
  [6877] = {.lex_state = 406, .external_lex_state = 2},
  [6878] = {.lex_state = 50, .external_lex_state = 2},
  [6879] = {.lex_state = 406, .external_lex_state = 2},
  [6880] = {.lex_state = 406, .external_lex_state = 2},
  [6881] = {.lex_state = 50, .external_lex_state = 2},
  [6882] = {.lex_state = 50, .external_lex_state = 2},
  [6883] = {.lex_state = 406, .external_lex_state = 2},
  [6884] = {.lex_state = 48, .external_lex_state = 2},
  [6885] = {.lex_state = 406, .external_lex_state = 2},
  [6886] = {.lex_state = 406, .external_lex_state = 2},
  [6887] = {.lex_state = 50, .external_lex_state = 2},
  [6888] = {.lex_state = 406, .external_lex_state = 2},
  [6889] = {.lex_state = 50, .external_lex_state = 2},
  [6890] = {.lex_state = 406, .external_lex_state = 2},
  [6891] = {.lex_state = 50, .external_lex_state = 2},
  [6892] = {.lex_state = 406, .external_lex_state = 2},
  [6893] = {.lex_state = 50, .external_lex_state = 2},
  [6894] = {.lex_state = 406, .external_lex_state = 2},
  [6895] = {.lex_state = 406, .external_lex_state = 2},
  [6896] = {.lex_state = 406, .external_lex_state = 2},
  [6897] = {.lex_state = 406, .external_lex_state = 2},
  [6898] = {.lex_state = 406, .external_lex_state = 2},
  [6899] = {.lex_state = 406, .external_lex_state = 2},
  [6900] = {.lex_state = 406, .external_lex_state = 2},
  [6901] = {.lex_state = 48, .external_lex_state = 2},
  [6902] = {.lex_state = 406, .external_lex_state = 2},
  [6903] = {.lex_state = 406, .external_lex_state = 2},
  [6904] = {.lex_state = 406, .external_lex_state = 2},
  [6905] = {.lex_state = 406, .external_lex_state = 2},
  [6906] = {.lex_state = 406, .external_lex_state = 2},
  [6907] = {.lex_state = 406, .external_lex_state = 2},
  [6908] = {.lex_state = 406, .external_lex_state = 2},
  [6909] = {.lex_state = 406, .external_lex_state = 2},
  [6910] = {.lex_state = 406, .external_lex_state = 2},
  [6911] = {.lex_state = 406, .external_lex_state = 2},
  [6912] = {.lex_state = 406, .external_lex_state = 2},
  [6913] = {.lex_state = 406, .external_lex_state = 2},
  [6914] = {.lex_state = 50, .external_lex_state = 2},
  [6915] = {.lex_state = 406, .external_lex_state = 2},
  [6916] = {.lex_state = 406, .external_lex_state = 2},
  [6917] = {.lex_state = 406, .external_lex_state = 5},
  [6918] = {.lex_state = 406, .external_lex_state = 2},
  [6919] = {.lex_state = 406, .external_lex_state = 2},
  [6920] = {.lex_state = 406, .external_lex_state = 2},
  [6921] = {.lex_state = 406, .external_lex_state = 2},
  [6922] = {.lex_state = 406, .external_lex_state = 2},
  [6923] = {.lex_state = 406, .external_lex_state = 2},
  [6924] = {.lex_state = 406, .external_lex_state = 2},
  [6925] = {.lex_state = 406, .external_lex_state = 2},
  [6926] = {.lex_state = 50, .external_lex_state = 2},
  [6927] = {.lex_state = 406, .external_lex_state = 2},
  [6928] = {.lex_state = 406, .external_lex_state = 2},
  [6929] = {.lex_state = 406, .external_lex_state = 2},
  [6930] = {.lex_state = 50, .external_lex_state = 2},
  [6931] = {.lex_state = 406, .external_lex_state = 2},
  [6932] = {.lex_state = 406, .external_lex_state = 2},
  [6933] = {.lex_state = 406, .external_lex_state = 2},
  [6934] = {.lex_state = 406, .external_lex_state = 2},
  [6935] = {.lex_state = 406, .external_lex_state = 2},
  [6936] = {.lex_state = 406, .external_lex_state = 2},
  [6937] = {.lex_state = 406, .external_lex_state = 2},
  [6938] = {.lex_state = 406, .external_lex_state = 2},
  [6939] = {.lex_state = 406, .external_lex_state = 2},
  [6940] = {.lex_state = 406, .external_lex_state = 2},
  [6941] = {.lex_state = 406, .external_lex_state = 2},
  [6942] = {.lex_state = 406, .external_lex_state = 2},
  [6943] = {.lex_state = 406, .external_lex_state = 2},
  [6944] = {.lex_state = 406, .external_lex_state = 2},
  [6945] = {.lex_state = 406, .external_lex_state = 2},
  [6946] = {.lex_state = 406, .external_lex_state = 2},
  [6947] = {.lex_state = 406, .external_lex_state = 2},
  [6948] = {.lex_state = 406, .external_lex_state = 2},
  [6949] = {.lex_state = 406, .external_lex_state = 5},
  [6950] = {.lex_state = 406, .external_lex_state = 5},
  [6951] = {.lex_state = 406, .external_lex_state = 2},
  [6952] = {.lex_state = 406, .external_lex_state = 2},
  [6953] = {.lex_state = 406, .external_lex_state = 2},
  [6954] = {.lex_state = 406, .external_lex_state = 2},
  [6955] = {.lex_state = 406, .external_lex_state = 2},
  [6956] = {.lex_state = 406, .external_lex_state = 2},
  [6957] = {.lex_state = 406, .external_lex_state = 2},
  [6958] = {.lex_state = 406, .external_lex_state = 2},
  [6959] = {.lex_state = 406, .external_lex_state = 2},
  [6960] = {.lex_state = 406, .external_lex_state = 2},
  [6961] = {.lex_state = 406, .external_lex_state = 2},
  [6962] = {.lex_state = 406, .external_lex_state = 2},
  [6963] = {.lex_state = 406, .external_lex_state = 2},
  [6964] = {.lex_state = 406, .external_lex_state = 2},
  [6965] = {.lex_state = 406, .external_lex_state = 2},
  [6966] = {.lex_state = 406, .external_lex_state = 2},
  [6967] = {.lex_state = 406, .external_lex_state = 5},
  [6968] = {.lex_state = 406, .external_lex_state = 5},
  [6969] = {.lex_state = 406, .external_lex_state = 2},
  [6970] = {.lex_state = 406, .external_lex_state = 2},
  [6971] = {.lex_state = 406, .external_lex_state = 5},
  [6972] = {.lex_state = 406, .external_lex_state = 2},
  [6973] = {.lex_state = 406, .external_lex_state = 2},
  [6974] = {.lex_state = 406, .external_lex_state = 2},
  [6975] = {.lex_state = 406, .external_lex_state = 5},
  [6976] = {.lex_state = 406, .external_lex_state = 2},
  [6977] = {.lex_state = 406, .external_lex_state = 5},
  [6978] = {.lex_state = 406, .external_lex_state = 2},
  [6979] = {.lex_state = 406, .external_lex_state = 2},
  [6980] = {.lex_state = 406, .external_lex_state = 2},
  [6981] = {.lex_state = 406, .external_lex_state = 2},
  [6982] = {.lex_state = 50, .external_lex_state = 2},
  [6983] = {.lex_state = 406, .external_lex_state = 2},
  [6984] = {.lex_state = 50, .external_lex_state = 2},
  [6985] = {.lex_state = 2, .external_lex_state = 2},
  [6986] = {.lex_state = 406, .external_lex_state = 2},
  [6987] = {.lex_state = 406, .external_lex_state = 2},
  [6988] = {.lex_state = 406, .external_lex_state = 2},
  [6989] = {.lex_state = 49, .external_lex_state = 2},
  [6990] = {.lex_state = 406, .external_lex_state = 5},
  [6991] = {.lex_state = 406, .external_lex_state = 2},
  [6992] = {.lex_state = 406, .external_lex_state = 2},
  [6993] = {.lex_state = 50, .external_lex_state = 2},
  [6994] = {.lex_state = 50, .external_lex_state = 2},
  [6995] = {.lex_state = 406, .external_lex_state = 2},
  [6996] = {.lex_state = 406, .external_lex_state = 2},
  [6997] = {.lex_state = 406, .external_lex_state = 2},
  [6998] = {.lex_state = 50, .external_lex_state = 2},
  [6999] = {.lex_state = 406, .external_lex_state = 2},
  [7000] = {.lex_state = 50, .external_lex_state = 2},
  [7001] = {.lex_state = 406, .external_lex_state = 2},
  [7002] = {.lex_state = 406, .external_lex_state = 2},
  [7003] = {.lex_state = 406, .external_lex_state = 2},
  [7004] = {.lex_state = 406, .external_lex_state = 2},
  [7005] = {.lex_state = 406, .external_lex_state = 2},
  [7006] = {.lex_state = 406, .external_lex_state = 2},
  [7007] = {.lex_state = 406, .external_lex_state = 2},
  [7008] = {.lex_state = 406, .external_lex_state = 2},
  [7009] = {.lex_state = 406, .external_lex_state = 2},
  [7010] = {.lex_state = 406, .external_lex_state = 2},
  [7011] = {.lex_state = 406, .external_lex_state = 2},
  [7012] = {.lex_state = 406, .external_lex_state = 2},
  [7013] = {.lex_state = 406, .external_lex_state = 2},
  [7014] = {.lex_state = 406, .external_lex_state = 2},
  [7015] = {.lex_state = 406, .external_lex_state = 2},
  [7016] = {.lex_state = 406, .external_lex_state = 2},
  [7017] = {.lex_state = 406, .external_lex_state = 2},
  [7018] = {.lex_state = 406, .external_lex_state = 2},
  [7019] = {.lex_state = 406, .external_lex_state = 2},
  [7020] = {.lex_state = 406, .external_lex_state = 2},
  [7021] = {.lex_state = 406, .external_lex_state = 2},
  [7022] = {.lex_state = 406, .external_lex_state = 2},
  [7023] = {.lex_state = 406, .external_lex_state = 2},
  [7024] = {.lex_state = 406, .external_lex_state = 2},
  [7025] = {.lex_state = 406, .external_lex_state = 2},
  [7026] = {.lex_state = 406, .external_lex_state = 2},
  [7027] = {.lex_state = 406, .external_lex_state = 2},
  [7028] = {.lex_state = 406, .external_lex_state = 2},
  [7029] = {.lex_state = 406, .external_lex_state = 2},
  [7030] = {.lex_state = 406, .external_lex_state = 2},
  [7031] = {.lex_state = 406, .external_lex_state = 2},
  [7032] = {.lex_state = 406, .external_lex_state = 2},
  [7033] = {.lex_state = 48, .external_lex_state = 2},
  [7034] = {.lex_state = 406, .external_lex_state = 2},
  [7035] = {.lex_state = 406, .external_lex_state = 2},
  [7036] = {.lex_state = 406, .external_lex_state = 2},
  [7037] = {.lex_state = 406, .external_lex_state = 2},
  [7038] = {.lex_state = 406, .external_lex_state = 2},
  [7039] = {.lex_state = 406, .external_lex_state = 2},
  [7040] = {.lex_state = 406, .external_lex_state = 2},
  [7041] = {.lex_state = 406, .external_lex_state = 2},
  [7042] = {.lex_state = 406, .external_lex_state = 2},
  [7043] = {.lex_state = 406, .external_lex_state = 2},
  [7044] = {.lex_state = 406, .external_lex_state = 2},
  [7045] = {.lex_state = 406, .external_lex_state = 2},
  [7046] = {.lex_state = 406, .external_lex_state = 2},
  [7047] = {.lex_state = 406, .external_lex_state = 2},
  [7048] = {.lex_state = 406, .external_lex_state = 5},
  [7049] = {.lex_state = 406, .external_lex_state = 2},
  [7050] = {.lex_state = 406, .external_lex_state = 5},
  [7051] = {.lex_state = 406, .external_lex_state = 2},
  [7052] = {.lex_state = 406, .external_lex_state = 2},
  [7053] = {.lex_state = 406, .external_lex_state = 2},
  [7054] = {.lex_state = 406, .external_lex_state = 5},
  [7055] = {.lex_state = 406, .external_lex_state = 2},
  [7056] = {.lex_state = 406, .external_lex_state = 5},
  [7057] = {.lex_state = 406, .external_lex_state = 2},
  [7058] = {.lex_state = 406, .external_lex_state = 2},
  [7059] = {.lex_state = 406, .external_lex_state = 2},
  [7060] = {.lex_state = 406, .external_lex_state = 2},
  [7061] = {.lex_state = 406, .external_lex_state = 2},
  [7062] = {.lex_state = 406, .external_lex_state = 2},
  [7063] = {.lex_state = 406, .external_lex_state = 2},
  [7064] = {.lex_state = 406, .external_lex_state = 2},
  [7065] = {.lex_state = 406, .external_lex_state = 2},
  [7066] = {.lex_state = 406, .external_lex_state = 2},
  [7067] = {.lex_state = 50, .external_lex_state = 2},
  [7068] = {.lex_state = 406, .external_lex_state = 2},
  [7069] = {.lex_state = 406, .external_lex_state = 2},
  [7070] = {.lex_state = 406, .external_lex_state = 2},
  [7071] = {.lex_state = 406, .external_lex_state = 2},
  [7072] = {.lex_state = 406, .external_lex_state = 2},
  [7073] = {.lex_state = 50, .external_lex_state = 2},
  [7074] = {.lex_state = 406, .external_lex_state = 2},
  [7075] = {.lex_state = 406, .external_lex_state = 2},
  [7076] = {.lex_state = 406, .external_lex_state = 2},
  [7077] = {.lex_state = 406, .external_lex_state = 2},
  [7078] = {.lex_state = 406, .external_lex_state = 2},
  [7079] = {.lex_state = 406, .external_lex_state = 2},
  [7080] = {.lex_state = 406, .external_lex_state = 2},
  [7081] = {.lex_state = 406, .external_lex_state = 2},
  [7082] = {.lex_state = 406, .external_lex_state = 2},
  [7083] = {.lex_state = 406, .external_lex_state = 2},
  [7084] = {.lex_state = 406, .external_lex_state = 2},
  [7085] = {.lex_state = 406, .external_lex_state = 2},
  [7086] = {.lex_state = 406, .external_lex_state = 2},
  [7087] = {.lex_state = 406, .external_lex_state = 2},
  [7088] = {.lex_state = 406, .external_lex_state = 2},
  [7089] = {.lex_state = 406, .external_lex_state = 2},
  [7090] = {.lex_state = 406, .external_lex_state = 2},
  [7091] = {.lex_state = 406, .external_lex_state = 2},
  [7092] = {.lex_state = 406, .external_lex_state = 5},
  [7093] = {.lex_state = 406, .external_lex_state = 2},
  [7094] = {.lex_state = 406, .external_lex_state = 2},
  [7095] = {.lex_state = 406, .external_lex_state = 2},
  [7096] = {.lex_state = 406, .external_lex_state = 2},
  [7097] = {.lex_state = 406, .external_lex_state = 2},
  [7098] = {.lex_state = 406, .external_lex_state = 2},
  [7099] = {.lex_state = 406, .external_lex_state = 2},
  [7100] = {.lex_state = 406, .external_lex_state = 2},
  [7101] = {.lex_state = 406, .external_lex_state = 2},
  [7102] = {.lex_state = 406, .external_lex_state = 2},
  [7103] = {.lex_state = 406, .external_lex_state = 2},
  [7104] = {.lex_state = 406, .external_lex_state = 2},
  [7105] = {.lex_state = 406, .external_lex_state = 2},
  [7106] = {.lex_state = 406, .external_lex_state = 2},
  [7107] = {.lex_state = 406, .external_lex_state = 2},
  [7108] = {.lex_state = 406, .external_lex_state = 2},
  [7109] = {.lex_state = 406, .external_lex_state = 2},
  [7110] = {.lex_state = 406, .external_lex_state = 2},
  [7111] = {.lex_state = 406, .external_lex_state = 2},
  [7112] = {.lex_state = 406, .external_lex_state = 2},
  [7113] = {.lex_state = 406, .external_lex_state = 2},
  [7114] = {.lex_state = 406, .external_lex_state = 2},
  [7115] = {.lex_state = 50, .external_lex_state = 2},
  [7116] = {.lex_state = 406, .external_lex_state = 2},
  [7117] = {.lex_state = 406, .external_lex_state = 2},
  [7118] = {.lex_state = 406, .external_lex_state = 2},
  [7119] = {.lex_state = 406, .external_lex_state = 2},
  [7120] = {.lex_state = 406, .external_lex_state = 2},
  [7121] = {.lex_state = 406, .external_lex_state = 2},
  [7122] = {.lex_state = 406, .external_lex_state = 2},
  [7123] = {.lex_state = 406, .external_lex_state = 2},
  [7124] = {.lex_state = 406, .external_lex_state = 2},
  [7125] = {.lex_state = 406, .external_lex_state = 2},
  [7126] = {.lex_state = 406, .external_lex_state = 2},
  [7127] = {.lex_state = 406, .external_lex_state = 2},
  [7128] = {.lex_state = 406, .external_lex_state = 2},
  [7129] = {.lex_state = 406, .external_lex_state = 2},
  [7130] = {.lex_state = 406, .external_lex_state = 5},
  [7131] = {.lex_state = 406, .external_lex_state = 2},
  [7132] = {.lex_state = 406, .external_lex_state = 2},
  [7133] = {.lex_state = 406, .external_lex_state = 2},
  [7134] = {.lex_state = 50, .external_lex_state = 2},
  [7135] = {.lex_state = 406, .external_lex_state = 2},
  [7136] = {.lex_state = 406, .external_lex_state = 2},
  [7137] = {.lex_state = 406, .external_lex_state = 2},
  [7138] = {.lex_state = 406, .external_lex_state = 2},
  [7139] = {.lex_state = 406, .external_lex_state = 2},
  [7140] = {.lex_state = 406, .external_lex_state = 2},
  [7141] = {.lex_state = 406, .external_lex_state = 2},
  [7142] = {.lex_state = 406, .external_lex_state = 2},
  [7143] = {.lex_state = 406, .external_lex_state = 2},
  [7144] = {.lex_state = 406, .external_lex_state = 2},
  [7145] = {.lex_state = 50, .external_lex_state = 2},
  [7146] = {.lex_state = 406, .external_lex_state = 2},
  [7147] = {.lex_state = 406, .external_lex_state = 2},
  [7148] = {.lex_state = 406, .external_lex_state = 5},
  [7149] = {.lex_state = 406, .external_lex_state = 2},
  [7150] = {.lex_state = 406, .external_lex_state = 2},
  [7151] = {.lex_state = 406, .external_lex_state = 2},
  [7152] = {.lex_state = 406, .external_lex_state = 2},
  [7153] = {.lex_state = 406, .external_lex_state = 2},
  [7154] = {.lex_state = 406, .external_lex_state = 2},
  [7155] = {.lex_state = 406, .external_lex_state = 2},
  [7156] = {.lex_state = 406, .external_lex_state = 2},
  [7157] = {.lex_state = 406, .external_lex_state = 2},
  [7158] = {.lex_state = 406, .external_lex_state = 5},
  [7159] = {.lex_state = 406, .external_lex_state = 2},
  [7160] = {.lex_state = 406, .external_lex_state = 5},
  [7161] = {.lex_state = 406, .external_lex_state = 2},
  [7162] = {.lex_state = 406, .external_lex_state = 5},
  [7163] = {.lex_state = 406, .external_lex_state = 5},
  [7164] = {.lex_state = 50, .external_lex_state = 2},
  [7165] = {.lex_state = 406, .external_lex_state = 2},
  [7166] = {.lex_state = 406, .external_lex_state = 2},
  [7167] = {.lex_state = 406, .external_lex_state = 2},
  [7168] = {.lex_state = 406, .external_lex_state = 2},
  [7169] = {.lex_state = 406, .external_lex_state = 2},
  [7170] = {.lex_state = 406, .external_lex_state = 2},
  [7171] = {.lex_state = 406, .external_lex_state = 2},
  [7172] = {.lex_state = 406, .external_lex_state = 2},
  [7173] = {.lex_state = 50, .external_lex_state = 2},
  [7174] = {.lex_state = 406, .external_lex_state = 2},
  [7175] = {.lex_state = 406, .external_lex_state = 2},
  [7176] = {.lex_state = 406, .external_lex_state = 2},
  [7177] = {.lex_state = 406, .external_lex_state = 2},
  [7178] = {.lex_state = 406, .external_lex_state = 2},
  [7179] = {.lex_state = 406, .external_lex_state = 2},
  [7180] = {.lex_state = 406, .external_lex_state = 2},
  [7181] = {.lex_state = 406, .external_lex_state = 2},
  [7182] = {.lex_state = 406, .external_lex_state = 2},
  [7183] = {.lex_state = 406, .external_lex_state = 2},
  [7184] = {.lex_state = 406, .external_lex_state = 2},
  [7185] = {.lex_state = 406, .external_lex_state = 2},
  [7186] = {.lex_state = 406, .external_lex_state = 2},
  [7187] = {.lex_state = 406, .external_lex_state = 2},
  [7188] = {.lex_state = 406, .external_lex_state = 2},
  [7189] = {.lex_state = 406, .external_lex_state = 2},
  [7190] = {.lex_state = 406, .external_lex_state = 2},
  [7191] = {.lex_state = 406, .external_lex_state = 2},
  [7192] = {.lex_state = 406, .external_lex_state = 2},
  [7193] = {.lex_state = 49, .external_lex_state = 2},
  [7194] = {.lex_state = 406, .external_lex_state = 2},
  [7195] = {.lex_state = 406, .external_lex_state = 2},
  [7196] = {.lex_state = 406, .external_lex_state = 2},
  [7197] = {.lex_state = 406, .external_lex_state = 2},
  [7198] = {.lex_state = 3, .external_lex_state = 10},
  [7199] = {.lex_state = 50, .external_lex_state = 2},
  [7200] = {.lex_state = 50, .external_lex_state = 2},
  [7201] = {.lex_state = 50, .external_lex_state = 2},
  [7202] = {.lex_state = 50, .external_lex_state = 2},
  [7203] = {.lex_state = 406, .external_lex_state = 2},
  [7204] = {.lex_state = 406, .external_lex_state = 2},
  [7205] = {.lex_state = 406, .external_lex_state = 2},
  [7206] = {.lex_state = 50, .external_lex_state = 2},
  [7207] = {.lex_state = 50, .external_lex_state = 2},
  [7208] = {.lex_state = 50, .external_lex_state = 2},
  [7209] = {.lex_state = 406, .external_lex_state = 2},
  [7210] = {.lex_state = 406, .external_lex_state = 2},
  [7211] = {.lex_state = 50, .external_lex_state = 2},
  [7212] = {.lex_state = 50, .external_lex_state = 2},
  [7213] = {.lex_state = 406, .external_lex_state = 2},
  [7214] = {.lex_state = 406, .external_lex_state = 2},
  [7215] = {.lex_state = 50, .external_lex_state = 2},
  [7216] = {.lex_state = 50, .external_lex_state = 2},
  [7217] = {.lex_state = 406, .external_lex_state = 2},
  [7218] = {.lex_state = 50, .external_lex_state = 2},
  [7219] = {.lex_state = 406, .external_lex_state = 2},
  [7220] = {.lex_state = 50, .external_lex_state = 2},
  [7221] = {.lex_state = 406, .external_lex_state = 2},
  [7222] = {.lex_state = 50, .external_lex_state = 2},
  [7223] = {.lex_state = 406, .external_lex_state = 2},
  [7224] = {.lex_state = 50, .external_lex_state = 2},
  [7225] = {.lex_state = 406, .external_lex_state = 2},
  [7226] = {.lex_state = 50, .external_lex_state = 2},
  [7227] = {.lex_state = 3, .external_lex_state = 10},
  [7228] = {.lex_state = 406, .external_lex_state = 2},
  [7229] = {.lex_state = 406, .external_lex_state = 2},
  [7230] = {.lex_state = 406, .external_lex_state = 2},
  [7231] = {.lex_state = 406, .external_lex_state = 2},
  [7232] = {.lex_state = 406, .external_lex_state = 2},
  [7233] = {.lex_state = 50, .external_lex_state = 2},
  [7234] = {.lex_state = 406, .external_lex_state = 2},
  [7235] = {.lex_state = 406, .external_lex_state = 2},
  [7236] = {.lex_state = 406, .external_lex_state = 2},
  [7237] = {.lex_state = 50, .external_lex_state = 2},
  [7238] = {.lex_state = 406, .external_lex_state = 2},
  [7239] = {.lex_state = 406, .external_lex_state = 2},
  [7240] = {.lex_state = 406, .external_lex_state = 2},
  [7241] = {.lex_state = 406, .external_lex_state = 2},
  [7242] = {.lex_state = 406, .external_lex_state = 2},
  [7243] = {.lex_state = 406, .external_lex_state = 2},
  [7244] = {.lex_state = 406, .external_lex_state = 2},
  [7245] = {.lex_state = 406, .external_lex_state = 2},
  [7246] = {.lex_state = 406, .external_lex_state = 2},
  [7247] = {.lex_state = 406, .external_lex_state = 2},
  [7248] = {.lex_state = 406, .external_lex_state = 2},
  [7249] = {.lex_state = 406, .external_lex_state = 2},
  [7250] = {.lex_state = 406, .external_lex_state = 2},
  [7251] = {.lex_state = 406, .external_lex_state = 2},
  [7252] = {.lex_state = 406, .external_lex_state = 2},
  [7253] = {.lex_state = 406, .external_lex_state = 2},
  [7254] = {.lex_state = 406, .external_lex_state = 2},
  [7255] = {.lex_state = 406, .external_lex_state = 2},
  [7256] = {.lex_state = 406, .external_lex_state = 2},
  [7257] = {.lex_state = 48, .external_lex_state = 2},
  [7258] = {.lex_state = 406, .external_lex_state = 2},
  [7259] = {.lex_state = 406, .external_lex_state = 2},
  [7260] = {.lex_state = 406, .external_lex_state = 2},
  [7261] = {.lex_state = 49, .external_lex_state = 2},
  [7262] = {.lex_state = 406, .external_lex_state = 2},
  [7263] = {.lex_state = 82, .external_lex_state = 2},
  [7264] = {.lex_state = 3, .external_lex_state = 10},
  [7265] = {.lex_state = 50, .external_lex_state = 2},
  [7266] = {.lex_state = 50, .external_lex_state = 2},
  [7267] = {.lex_state = 50, .external_lex_state = 2},
  [7268] = {.lex_state = 406, .external_lex_state = 2},
  [7269] = {.lex_state = 406, .external_lex_state = 2},
  [7270] = {.lex_state = 82, .external_lex_state = 2},
  [7271] = {.lex_state = 406, .external_lex_state = 2},
  [7272] = {.lex_state = 50, .external_lex_state = 2},
  [7273] = {.lex_state = 406, .external_lex_state = 2},
  [7274] = {.lex_state = 406, .external_lex_state = 2},
  [7275] = {.lex_state = 406, .external_lex_state = 2},
  [7276] = {.lex_state = 50, .external_lex_state = 2},
  [7277] = {.lex_state = 50, .external_lex_state = 2},
  [7278] = {.lex_state = 50, .external_lex_state = 2},
  [7279] = {.lex_state = 406, .external_lex_state = 2},
  [7280] = {.lex_state = 406, .external_lex_state = 2},
  [7281] = {.lex_state = 50, .external_lex_state = 2},
  [7282] = {.lex_state = 406, .external_lex_state = 2},
  [7283] = {.lex_state = 406, .external_lex_state = 2},
  [7284] = {.lex_state = 406, .external_lex_state = 2},
  [7285] = {.lex_state = 406, .external_lex_state = 2},
  [7286] = {.lex_state = 50, .external_lex_state = 2},
  [7287] = {.lex_state = 406, .external_lex_state = 2},
  [7288] = {.lex_state = 50, .external_lex_state = 2},
  [7289] = {.lex_state = 406, .external_lex_state = 2},
  [7290] = {.lex_state = 406, .external_lex_state = 2},
  [7291] = {.lex_state = 406, .external_lex_state = 2},
  [7292] = {.lex_state = 406, .external_lex_state = 2},
  [7293] = {.lex_state = 406, .external_lex_state = 2},
  [7294] = {.lex_state = 406, .external_lex_state = 2},
  [7295] = {.lex_state = 406, .external_lex_state = 2},
  [7296] = {.lex_state = 50, .external_lex_state = 2},
  [7297] = {.lex_state = 406, .external_lex_state = 2},
  [7298] = {.lex_state = 50, .external_lex_state = 2},
  [7299] = {.lex_state = 50, .external_lex_state = 2},
  [7300] = {.lex_state = 406, .external_lex_state = 2},
  [7301] = {.lex_state = 406, .external_lex_state = 2},
  [7302] = {.lex_state = 406, .external_lex_state = 2},
  [7303] = {.lex_state = 24, .external_lex_state = 2},
  [7304] = {.lex_state = 406, .external_lex_state = 2},
  [7305] = {.lex_state = 50, .external_lex_state = 2},
  [7306] = {.lex_state = 406, .external_lex_state = 2},
  [7307] = {.lex_state = 406, .external_lex_state = 2},
  [7308] = {.lex_state = 406, .external_lex_state = 2},
  [7309] = {.lex_state = 406, .external_lex_state = 2},
  [7310] = {.lex_state = 406, .external_lex_state = 2},
  [7311] = {.lex_state = 406, .external_lex_state = 2},
  [7312] = {.lex_state = 406, .external_lex_state = 2},
  [7313] = {.lex_state = 406, .external_lex_state = 2},
  [7314] = {.lex_state = 50, .external_lex_state = 2},
  [7315] = {.lex_state = 406, .external_lex_state = 2},
  [7316] = {.lex_state = 406, .external_lex_state = 2},
  [7317] = {.lex_state = 406, .external_lex_state = 2},
  [7318] = {.lex_state = 406, .external_lex_state = 2},
  [7319] = {.lex_state = 50, .external_lex_state = 2},
  [7320] = {.lex_state = 50, .external_lex_state = 2},
  [7321] = {.lex_state = 406, .external_lex_state = 2},
  [7322] = {.lex_state = 406, .external_lex_state = 2},
  [7323] = {.lex_state = 50, .external_lex_state = 2},
  [7324] = {.lex_state = 406, .external_lex_state = 2},
  [7325] = {.lex_state = 48, .external_lex_state = 2},
  [7326] = {.lex_state = 50, .external_lex_state = 2},
  [7327] = {.lex_state = 50, .external_lex_state = 2},
  [7328] = {.lex_state = 406, .external_lex_state = 2},
  [7329] = {.lex_state = 406, .external_lex_state = 2},
  [7330] = {.lex_state = 50, .external_lex_state = 2},
  [7331] = {.lex_state = 50, .external_lex_state = 2},
  [7332] = {.lex_state = 406, .external_lex_state = 2},
  [7333] = {.lex_state = 50, .external_lex_state = 2},
  [7334] = {.lex_state = 50, .external_lex_state = 2},
  [7335] = {.lex_state = 50, .external_lex_state = 2},
  [7336] = {.lex_state = 50, .external_lex_state = 2},
  [7337] = {.lex_state = 406, .external_lex_state = 2},
  [7338] = {.lex_state = 406, .external_lex_state = 2},
  [7339] = {.lex_state = 50, .external_lex_state = 2},
  [7340] = {.lex_state = 50, .external_lex_state = 2},
  [7341] = {.lex_state = 50, .external_lex_state = 2},
  [7342] = {.lex_state = 50, .external_lex_state = 2},
  [7343] = {.lex_state = 406, .external_lex_state = 2},
  [7344] = {.lex_state = 406, .external_lex_state = 2},
  [7345] = {.lex_state = 406, .external_lex_state = 2},
  [7346] = {.lex_state = 50, .external_lex_state = 2},
  [7347] = {.lex_state = 50, .external_lex_state = 2},
  [7348] = {.lex_state = 406, .external_lex_state = 2},
  [7349] = {.lex_state = 406, .external_lex_state = 2},
  [7350] = {.lex_state = 406, .external_lex_state = 2},
  [7351] = {.lex_state = 406, .external_lex_state = 2},
  [7352] = {.lex_state = 406, .external_lex_state = 2},
  [7353] = {.lex_state = 50, .external_lex_state = 2},
  [7354] = {.lex_state = 50, .external_lex_state = 2},
  [7355] = {.lex_state = 50, .external_lex_state = 2},
  [7356] = {.lex_state = 406, .external_lex_state = 2},
  [7357] = {.lex_state = 50, .external_lex_state = 2},
  [7358] = {.lex_state = 50, .external_lex_state = 2},
  [7359] = {.lex_state = 3, .external_lex_state = 10},
  [7360] = {.lex_state = 50, .external_lex_state = 2},
  [7361] = {.lex_state = 406, .external_lex_state = 2},
  [7362] = {.lex_state = 406, .external_lex_state = 2},
  [7363] = {.lex_state = 406, .external_lex_state = 2},
  [7364] = {.lex_state = 48, .external_lex_state = 2},
  [7365] = {.lex_state = 406, .external_lex_state = 2},
  [7366] = {.lex_state = 406, .external_lex_state = 2},
  [7367] = {.lex_state = 406, .external_lex_state = 2},
  [7368] = {.lex_state = 406, .external_lex_state = 2},
  [7369] = {.lex_state = 50, .external_lex_state = 2},
  [7370] = {.lex_state = 49, .external_lex_state = 2},
  [7371] = {.lex_state = 50, .external_lex_state = 2},
  [7372] = {.lex_state = 406, .external_lex_state = 2},
  [7373] = {.lex_state = 50, .external_lex_state = 2},
  [7374] = {.lex_state = 406, .external_lex_state = 2},
  [7375] = {.lex_state = 50, .external_lex_state = 2},
  [7376] = {.lex_state = 406, .external_lex_state = 2},
  [7377] = {.lex_state = 406, .external_lex_state = 2},
  [7378] = {.lex_state = 406, .external_lex_state = 2},
  [7379] = {.lex_state = 406, .external_lex_state = 2},
  [7380] = {.lex_state = 406, .external_lex_state = 2},
  [7381] = {.lex_state = 50, .external_lex_state = 2},
  [7382] = {.lex_state = 50, .external_lex_state = 2},
  [7383] = {.lex_state = 406, .external_lex_state = 2},
  [7384] = {.lex_state = 406, .external_lex_state = 2},
  [7385] = {.lex_state = 50, .external_lex_state = 2},
  [7386] = {.lex_state = 406, .external_lex_state = 2},
  [7387] = {.lex_state = 50, .external_lex_state = 2},
  [7388] = {.lex_state = 406, .external_lex_state = 2},
  [7389] = {.lex_state = 406, .external_lex_state = 2},
  [7390] = {.lex_state = 406, .external_lex_state = 2},
  [7391] = {.lex_state = 406, .external_lex_state = 2},
  [7392] = {.lex_state = 406, .external_lex_state = 2},
  [7393] = {.lex_state = 406, .external_lex_state = 2},
  [7394] = {.lex_state = 406, .external_lex_state = 2},
  [7395] = {.lex_state = 406, .external_lex_state = 2},
  [7396] = {.lex_state = 406, .external_lex_state = 2},
  [7397] = {.lex_state = 406, .external_lex_state = 2},
  [7398] = {.lex_state = 406, .external_lex_state = 2},
  [7399] = {.lex_state = 50, .external_lex_state = 2},
  [7400] = {.lex_state = 406, .external_lex_state = 2},
  [7401] = {.lex_state = 50, .external_lex_state = 2},
  [7402] = {.lex_state = 50, .external_lex_state = 2},
  [7403] = {.lex_state = 406, .external_lex_state = 2},
  [7404] = {.lex_state = 406, .external_lex_state = 2},
  [7405] = {.lex_state = 50, .external_lex_state = 2},
  [7406] = {.lex_state = 406, .external_lex_state = 2},
  [7407] = {.lex_state = 406, .external_lex_state = 2},
  [7408] = {.lex_state = 406, .external_lex_state = 2},
  [7409] = {.lex_state = 406, .external_lex_state = 2},
  [7410] = {.lex_state = 406, .external_lex_state = 2},
  [7411] = {.lex_state = 406, .external_lex_state = 2},
  [7412] = {.lex_state = 406, .external_lex_state = 2},
  [7413] = {.lex_state = 406, .external_lex_state = 2},
  [7414] = {.lex_state = 406, .external_lex_state = 2},
  [7415] = {.lex_state = 406, .external_lex_state = 2},
  [7416] = {.lex_state = 406, .external_lex_state = 2},
  [7417] = {.lex_state = 406, .external_lex_state = 2},
  [7418] = {.lex_state = 49, .external_lex_state = 2},
  [7419] = {.lex_state = 50, .external_lex_state = 2},
  [7420] = {.lex_state = 406, .external_lex_state = 2},
  [7421] = {.lex_state = 406, .external_lex_state = 2},
  [7422] = {.lex_state = 406, .external_lex_state = 2},
  [7423] = {.lex_state = 406, .external_lex_state = 2},
  [7424] = {.lex_state = 406, .external_lex_state = 2},
  [7425] = {.lex_state = 406, .external_lex_state = 2},
  [7426] = {.lex_state = 406, .external_lex_state = 2},
  [7427] = {.lex_state = 50, .external_lex_state = 2},
  [7428] = {.lex_state = 50, .external_lex_state = 2},
  [7429] = {.lex_state = 406, .external_lex_state = 2},
  [7430] = {.lex_state = 406, .external_lex_state = 2},
  [7431] = {.lex_state = 50, .external_lex_state = 2},
  [7432] = {.lex_state = 406, .external_lex_state = 2},
  [7433] = {.lex_state = 406, .external_lex_state = 2},
  [7434] = {.lex_state = 406, .external_lex_state = 2},
  [7435] = {.lex_state = 406, .external_lex_state = 2},
  [7436] = {.lex_state = 50, .external_lex_state = 2},
  [7437] = {.lex_state = 406, .external_lex_state = 2},
  [7438] = {.lex_state = 406, .external_lex_state = 2},
  [7439] = {.lex_state = 406, .external_lex_state = 2},
  [7440] = {.lex_state = 50, .external_lex_state = 2},
  [7441] = {.lex_state = 50, .external_lex_state = 2},
  [7442] = {.lex_state = 406, .external_lex_state = 2},
  [7443] = {.lex_state = 406, .external_lex_state = 2},
  [7444] = {.lex_state = 50, .external_lex_state = 2},
  [7445] = {.lex_state = 50, .external_lex_state = 2},
  [7446] = {.lex_state = 406, .external_lex_state = 2},
  [7447] = {.lex_state = 50, .external_lex_state = 2},
  [7448] = {.lex_state = 406, .external_lex_state = 2},
  [7449] = {.lex_state = 406, .external_lex_state = 2},
  [7450] = {.lex_state = 406, .external_lex_state = 2},
  [7451] = {.lex_state = 406, .external_lex_state = 2},
  [7452] = {.lex_state = 406, .external_lex_state = 2},
  [7453] = {.lex_state = 406, .external_lex_state = 2},
  [7454] = {.lex_state = 406, .external_lex_state = 2},
  [7455] = {.lex_state = 50, .external_lex_state = 2},
  [7456] = {.lex_state = 406, .external_lex_state = 2},
  [7457] = {.lex_state = 406, .external_lex_state = 2},
  [7458] = {.lex_state = 406, .external_lex_state = 2},
  [7459] = {.lex_state = 406, .external_lex_state = 2},
  [7460] = {.lex_state = 406, .external_lex_state = 2},
  [7461] = {.lex_state = 406, .external_lex_state = 2},
  [7462] = {.lex_state = 406, .external_lex_state = 2},
  [7463] = {.lex_state = 406, .external_lex_state = 2},
  [7464] = {.lex_state = 406, .external_lex_state = 2},
  [7465] = {.lex_state = 406, .external_lex_state = 2},
  [7466] = {.lex_state = 406, .external_lex_state = 2},
  [7467] = {.lex_state = 406, .external_lex_state = 2},
  [7468] = {.lex_state = 406, .external_lex_state = 2},
  [7469] = {.lex_state = 50, .external_lex_state = 2},
  [7470] = {.lex_state = 406, .external_lex_state = 2},
  [7471] = {.lex_state = 50, .external_lex_state = 2},
  [7472] = {.lex_state = 50, .external_lex_state = 2},
  [7473] = {.lex_state = 50, .external_lex_state = 2},
  [7474] = {.lex_state = 406, .external_lex_state = 2},
  [7475] = {.lex_state = 50, .external_lex_state = 2},
  [7476] = {.lex_state = 406, .external_lex_state = 2},
  [7477] = {.lex_state = 406, .external_lex_state = 2},
  [7478] = {.lex_state = 406, .external_lex_state = 2},
  [7479] = {.lex_state = 406, .external_lex_state = 2},
  [7480] = {.lex_state = 406, .external_lex_state = 2},
  [7481] = {.lex_state = 406, .external_lex_state = 2},
  [7482] = {.lex_state = 82, .external_lex_state = 2},
  [7483] = {.lex_state = 406, .external_lex_state = 2},
  [7484] = {.lex_state = 406, .external_lex_state = 2},
  [7485] = {.lex_state = 50, .external_lex_state = 2},
  [7486] = {.lex_state = 406, .external_lex_state = 2},
  [7487] = {.lex_state = 50, .external_lex_state = 2},
  [7488] = {.lex_state = 24, .external_lex_state = 2},
  [7489] = {.lex_state = 406, .external_lex_state = 2},
  [7490] = {.lex_state = 50, .external_lex_state = 2},
  [7491] = {.lex_state = 406, .external_lex_state = 2},
  [7492] = {.lex_state = 50, .external_lex_state = 2},
  [7493] = {.lex_state = 82, .external_lex_state = 2},
  [7494] = {.lex_state = 406, .external_lex_state = 2},
  [7495] = {.lex_state = 406, .external_lex_state = 2},
  [7496] = {.lex_state = 50, .external_lex_state = 2},
  [7497] = {.lex_state = 50, .external_lex_state = 2},
  [7498] = {.lex_state = 406, .external_lex_state = 2},
  [7499] = {.lex_state = 406, .external_lex_state = 2},
  [7500] = {.lex_state = 48, .external_lex_state = 2},
  [7501] = {.lex_state = 49, .external_lex_state = 2},
  [7502] = {.lex_state = 406, .external_lex_state = 2},
  [7503] = {.lex_state = 406, .external_lex_state = 2},
  [7504] = {.lex_state = 406, .external_lex_state = 2},
  [7505] = {.lex_state = 406, .external_lex_state = 2},
  [7506] = {.lex_state = 406, .external_lex_state = 2},
  [7507] = {.lex_state = 406, .external_lex_state = 2},
  [7508] = {.lex_state = 406, .external_lex_state = 2},
  [7509] = {.lex_state = 49, .external_lex_state = 2},
  [7510] = {.lex_state = 406, .external_lex_state = 2},
  [7511] = {.lex_state = 406, .external_lex_state = 2},
  [7512] = {.lex_state = 406, .external_lex_state = 2},
  [7513] = {.lex_state = 50, .external_lex_state = 2},
  [7514] = {.lex_state = 406, .external_lex_state = 2},
  [7515] = {.lex_state = 406, .external_lex_state = 2},
  [7516] = {.lex_state = 49, .external_lex_state = 2},
  [7517] = {.lex_state = 406, .external_lex_state = 2},
  [7518] = {.lex_state = 49, .external_lex_state = 2},
  [7519] = {.lex_state = 406, .external_lex_state = 2},
  [7520] = {.lex_state = 406, .external_lex_state = 2},
  [7521] = {.lex_state = 406, .external_lex_state = 2},
  [7522] = {.lex_state = 406, .external_lex_state = 2},
  [7523] = {.lex_state = 406, .external_lex_state = 2},
  [7524] = {.lex_state = 50, .external_lex_state = 2},
  [7525] = {.lex_state = 3, .external_lex_state = 10},
  [7526] = {.lex_state = 50, .external_lex_state = 2},
  [7527] = {.lex_state = 50, .external_lex_state = 2},
  [7528] = {.lex_state = 406, .external_lex_state = 2},
  [7529] = {.lex_state = 406, .external_lex_state = 2},
  [7530] = {.lex_state = 406, .external_lex_state = 2},
  [7531] = {.lex_state = 24, .external_lex_state = 2},
  [7532] = {.lex_state = 406, .external_lex_state = 2},
  [7533] = {.lex_state = 406, .external_lex_state = 2},
  [7534] = {.lex_state = 406, .external_lex_state = 2},
  [7535] = {.lex_state = 50, .external_lex_state = 2},
  [7536] = {.lex_state = 50, .external_lex_state = 2},
  [7537] = {.lex_state = 406, .external_lex_state = 2},
  [7538] = {.lex_state = 406, .external_lex_state = 2},
  [7539] = {.lex_state = 50, .external_lex_state = 2},
  [7540] = {.lex_state = 406, .external_lex_state = 2},
  [7541] = {.lex_state = 406, .external_lex_state = 2},
  [7542] = {.lex_state = 406, .external_lex_state = 2},
  [7543] = {.lex_state = 406, .external_lex_state = 2},
  [7544] = {.lex_state = 406, .external_lex_state = 2},
  [7545] = {.lex_state = 50, .external_lex_state = 2},
  [7546] = {.lex_state = 406, .external_lex_state = 2},
  [7547] = {.lex_state = 406, .external_lex_state = 2},
  [7548] = {.lex_state = 406, .external_lex_state = 2},
  [7549] = {.lex_state = 50, .external_lex_state = 2},
  [7550] = {.lex_state = 406, .external_lex_state = 2},
  [7551] = {.lex_state = 406, .external_lex_state = 2},
  [7552] = {.lex_state = 406, .external_lex_state = 2},
  [7553] = {.lex_state = 406, .external_lex_state = 2},
  [7554] = {.lex_state = 406, .external_lex_state = 2},
  [7555] = {.lex_state = 406, .external_lex_state = 2},
  [7556] = {.lex_state = 50, .external_lex_state = 2},
  [7557] = {.lex_state = 406, .external_lex_state = 2},
  [7558] = {.lex_state = 50, .external_lex_state = 2},
  [7559] = {.lex_state = 406, .external_lex_state = 2},
  [7560] = {.lex_state = 406, .external_lex_state = 2},
  [7561] = {.lex_state = 406, .external_lex_state = 2},
  [7562] = {.lex_state = 50, .external_lex_state = 2},
  [7563] = {.lex_state = 406, .external_lex_state = 2},
  [7564] = {.lex_state = 406, .external_lex_state = 2},
  [7565] = {.lex_state = 406, .external_lex_state = 2},
  [7566] = {.lex_state = 50, .external_lex_state = 2},
  [7567] = {.lex_state = 406, .external_lex_state = 2},
  [7568] = {.lex_state = 406, .external_lex_state = 2},
  [7569] = {.lex_state = 406, .external_lex_state = 2},
  [7570] = {.lex_state = 406, .external_lex_state = 2},
  [7571] = {.lex_state = 406, .external_lex_state = 2},
  [7572] = {.lex_state = 406, .external_lex_state = 2},
  [7573] = {.lex_state = 50, .external_lex_state = 2},
  [7574] = {.lex_state = 406, .external_lex_state = 2},
  [7575] = {.lex_state = 406, .external_lex_state = 2},
  [7576] = {.lex_state = 406, .external_lex_state = 2},
  [7577] = {.lex_state = 406, .external_lex_state = 2},
  [7578] = {.lex_state = 50, .external_lex_state = 2},
  [7579] = {.lex_state = 50, .external_lex_state = 2},
  [7580] = {.lex_state = 406, .external_lex_state = 2},
  [7581] = {.lex_state = 406, .external_lex_state = 2},
  [7582] = {.lex_state = 406, .external_lex_state = 2},
  [7583] = {.lex_state = 50, .external_lex_state = 2},
  [7584] = {.lex_state = 406, .external_lex_state = 2},
  [7585] = {.lex_state = 406, .external_lex_state = 2},
  [7586] = {.lex_state = 48, .external_lex_state = 2},
  [7587] = {.lex_state = 406, .external_lex_state = 2},
  [7588] = {.lex_state = 50, .external_lex_state = 2},
  [7589] = {.lex_state = 406, .external_lex_state = 2},
  [7590] = {.lex_state = 406, .external_lex_state = 2},
  [7591] = {.lex_state = 50, .external_lex_state = 2},
  [7592] = {.lex_state = 406, .external_lex_state = 2},
  [7593] = {.lex_state = 406, .external_lex_state = 2},
  [7594] = {.lex_state = 406, .external_lex_state = 2},
  [7595] = {.lex_state = 406, .external_lex_state = 2},
  [7596] = {.lex_state = 50, .external_lex_state = 2},
  [7597] = {.lex_state = 406, .external_lex_state = 2},
  [7598] = {.lex_state = 406, .external_lex_state = 2},
  [7599] = {.lex_state = 406, .external_lex_state = 2},
  [7600] = {.lex_state = 406, .external_lex_state = 2},
  [7601] = {.lex_state = 50, .external_lex_state = 2},
  [7602] = {.lex_state = 406, .external_lex_state = 2},
  [7603] = {.lex_state = 406, .external_lex_state = 2},
  [7604] = {.lex_state = 406, .external_lex_state = 2},
  [7605] = {.lex_state = 406, .external_lex_state = 2},
  [7606] = {.lex_state = 406, .external_lex_state = 2},
  [7607] = {.lex_state = 50, .external_lex_state = 2},
  [7608] = {.lex_state = 406, .external_lex_state = 2},
  [7609] = {.lex_state = 406, .external_lex_state = 2},
  [7610] = {.lex_state = 406, .external_lex_state = 2},
  [7611] = {.lex_state = 50, .external_lex_state = 2},
  [7612] = {.lex_state = 406, .external_lex_state = 2},
  [7613] = {.lex_state = 406, .external_lex_state = 2},
  [7614] = {.lex_state = 406, .external_lex_state = 2},
  [7615] = {.lex_state = 82, .external_lex_state = 2},
  [7616] = {.lex_state = 406, .external_lex_state = 2},
  [7617] = {.lex_state = 406, .external_lex_state = 2},
  [7618] = {.lex_state = 406, .external_lex_state = 2},
  [7619] = {.lex_state = 406, .external_lex_state = 2},
  [7620] = {.lex_state = 406, .external_lex_state = 2},
  [7621] = {.lex_state = 406, .external_lex_state = 2},
  [7622] = {.lex_state = 406, .external_lex_state = 2},
  [7623] = {.lex_state = 406, .external_lex_state = 2},
  [7624] = {.lex_state = 50, .external_lex_state = 2},
  [7625] = {.lex_state = 406, .external_lex_state = 2},
  [7626] = {.lex_state = 406, .external_lex_state = 2},
  [7627] = {.lex_state = 406, .external_lex_state = 2},
  [7628] = {.lex_state = 406, .external_lex_state = 2},
  [7629] = {.lex_state = 50, .external_lex_state = 2},
  [7630] = {.lex_state = 406, .external_lex_state = 2},
  [7631] = {.lex_state = 406, .external_lex_state = 2},
  [7632] = {.lex_state = 50, .external_lex_state = 2},
  [7633] = {.lex_state = 406, .external_lex_state = 2},
  [7634] = {.lex_state = 406, .external_lex_state = 2},
  [7635] = {.lex_state = 406, .external_lex_state = 2},
  [7636] = {.lex_state = 406, .external_lex_state = 2},
  [7637] = {.lex_state = 50, .external_lex_state = 2},
  [7638] = {.lex_state = 406, .external_lex_state = 2},
  [7639] = {.lex_state = 406, .external_lex_state = 2},
  [7640] = {.lex_state = 406, .external_lex_state = 2},
  [7641] = {.lex_state = 50, .external_lex_state = 2},
  [7642] = {.lex_state = 49, .external_lex_state = 2},
  [7643] = {.lex_state = 406, .external_lex_state = 2},
  [7644] = {.lex_state = 50, .external_lex_state = 2},
  [7645] = {.lex_state = 406, .external_lex_state = 2},
  [7646] = {.lex_state = 406, .external_lex_state = 2},
  [7647] = {.lex_state = 50, .external_lex_state = 2},
  [7648] = {.lex_state = 406, .external_lex_state = 2},
  [7649] = {.lex_state = 50, .external_lex_state = 2},
  [7650] = {.lex_state = 406, .external_lex_state = 2},
  [7651] = {.lex_state = 406, .external_lex_state = 2},
  [7652] = {.lex_state = 50, .external_lex_state = 2},
  [7653] = {.lex_state = 406, .external_lex_state = 2},
  [7654] = {.lex_state = 50, .external_lex_state = 2},
  [7655] = {.lex_state = 406, .external_lex_state = 2},
  [7656] = {.lex_state = 406, .external_lex_state = 2},
  [7657] = {.lex_state = 50, .external_lex_state = 2},
  [7658] = {.lex_state = 406, .external_lex_state = 2},
  [7659] = {.lex_state = 50, .external_lex_state = 2},
  [7660] = {.lex_state = 406, .external_lex_state = 2},
  [7661] = {.lex_state = 406, .external_lex_state = 2},
  [7662] = {(TSStateId)(-1)},
};

static const uint16_t ts_parse_table[LARGE_STATE_COUNT][SYMBOL_COUNT] = {
  [0] = {
    [sym_comment] = STATE(0),
    [ts_builtin_sym_end] = ACTIONS(1),
    [sym_identifier] = ACTIONS(1),
    [sym_hash_bang_line] = ACTIONS(1),
    [anon_sym_export] = ACTIONS(1),
    [anon_sym_STAR] = ACTIONS(1),
    [anon_sym_default] = ACTIONS(1),
    [anon_sym_type] = ACTIONS(1),
    [anon_sym_EQ] = ACTIONS(1),
    [anon_sym_as] = ACTIONS(1),
    [anon_sym_namespace] = ACTIONS(1),
    [anon_sym_LBRACE] = ACTIONS(1),
    [anon_sym_COMMA] = ACTIONS(1),
    [anon_sym_RBRACE] = ACTIONS(1),
    [anon_sym_typeof] = ACTIONS(1),
    [anon_sym_import] = ACTIONS(1),
    [anon_sym_from] = ACTIONS(1),
    [anon_sym_with] = ACTIONS(1),
    [anon_sym_var] = ACTIONS(1),
    [anon_sym_let] = ACTIONS(1),
    [anon_sym_const] = ACTIONS(1),
    [anon_sym_BANG] = ACTIONS(1),
    [anon_sym_else] = ACTIONS(1),
    [anon_sym_if] = ACTIONS(1),
    [anon_sym_switch] = ACTIONS(1),
    [anon_sym_for] = ACTIONS(1),
    [anon_sym_LPAREN] = ACTIONS(1),
    [anon_sym_RPAREN] = ACTIONS(1),
    [anon_sym_await] = ACTIONS(1),
    [anon_sym_in] = ACTIONS(1),
    [anon_sym_of] = ACTIONS(1),
    [anon_sym_while] = ACTIONS(1),
    [anon_sym_do] = ACTIONS(1),
    [anon_sym_try] = ACTIONS(1),
    [anon_sym_break] = ACTIONS(1),
    [anon_sym_continue] = ACTIONS(1),
    [anon_sym_debugger] = ACTIONS(1),
    [anon_sym_return] = ACTIONS(1),
    [anon_sym_throw] = ACTIONS(1),
    [anon_sym_SEMI] = ACTIONS(1),
    [anon_sym_COLON] = ACTIONS(1),
    [anon_sym_case] = ACTIONS(1),
    [anon_sym_catch] = ACTIONS(1),
    [anon_sym_finally] = ACTIONS(1),
    [anon_sym_yield] = ACTIONS(1),
    [anon_sym_LBRACK] = ACTIONS(1),
    [anon_sym_RBRACK] = ACTIONS(1),
    [anon_sym_LTtemplate_GT] = ACTIONS(1),
    [anon_sym_GT] = ACTIONS(1),
    [anon_sym_DOT] = ACTIONS(1),
    [anon_sym_LT_SLASH] = ACTIONS(1),
    [anon_sym_DQUOTE] = ACTIONS(1),
    [anon_sym_SQUOTE] = ACTIONS(1),
    [anon_sym_class] = ACTIONS(1),
    [anon_sym_async] = ACTIONS(1),
    [anon_sym_function] = ACTIONS(1),
    [anon_sym_EQ_GT] = ACTIONS(1),
    [anon_sym_QMARK_DOT] = ACTIONS(1),
    [anon_sym_new] = ACTIONS(1),
    [anon_sym_using] = ACTIONS(1),
    [anon_sym_PLUS_EQ] = ACTIONS(1),
    [anon_sym_DASH_EQ] = ACTIONS(1),
    [anon_sym_STAR_EQ] = ACTIONS(1),
    [anon_sym_SLASH_EQ] = ACTIONS(1),
    [anon_sym_PERCENT_EQ] = ACTIONS(1),
    [anon_sym_CARET_EQ] = ACTIONS(1),
    [anon_sym_AMP_EQ] = ACTIONS(1),
    [anon_sym_PIPE_EQ] = ACTIONS(1),
    [anon_sym_GT_GT_EQ] = ACTIONS(1),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1),
    [anon_sym_LT_LT_EQ] = ACTIONS(1),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1),
    [anon_sym_AMP_AMP] = ACTIONS(1),
    [anon_sym_PIPE_PIPE] = ACTIONS(1),
    [anon_sym_GT_GT] = ACTIONS(1),
    [anon_sym_GT_GT_GT] = ACTIONS(1),
    [anon_sym_LT_LT] = ACTIONS(1),
    [anon_sym_AMP] = ACTIONS(1),
    [anon_sym_CARET] = ACTIONS(1),
    [anon_sym_PIPE] = ACTIONS(1),
    [anon_sym_PLUS] = ACTIONS(1),
    [anon_sym_DASH] = ACTIONS(1),
    [anon_sym_SLASH] = ACTIONS(1),
    [anon_sym_PERCENT] = ACTIONS(1),
    [anon_sym_STAR_STAR] = ACTIONS(1),
    [anon_sym_LT] = ACTIONS(1),
    [anon_sym_LT_EQ] = ACTIONS(1),
    [anon_sym_EQ_EQ] = ACTIONS(1),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1),
    [anon_sym_BANG_EQ] = ACTIONS(1),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1),
    [anon_sym_GT_EQ] = ACTIONS(1),
    [anon_sym_QMARK_QMARK] = ACTIONS(1),
    [anon_sym_instanceof] = ACTIONS(1),
    [anon_sym_TILDE] = ACTIONS(1),
    [anon_sym_void] = ACTIONS(1),
    [anon_sym_delete] = ACTIONS(1),
    [anon_sym_PLUS_PLUS] = ACTIONS(1),
    [anon_sym_DASH_DASH] = ACTIONS(1),
    [sym_escape_sequence] = ACTIONS(1),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(1),
    [anon_sym_SLASH2] = ACTIONS(1),
    [sym_number] = ACTIONS(1),
    [sym_private_property_identifier] = ACTIONS(1),
    [anon_sym_target] = ACTIONS(1),
    [sym_this] = ACTIONS(1),
    [sym_super] = ACTIONS(1),
    [sym_true] = ACTIONS(1),
    [sym_false] = ACTIONS(1),
    [sym_null] = ACTIONS(1),
    [sym_undefined] = ACTIONS(1),
    [anon_sym_AT] = ACTIONS(1),
    [anon_sym_static] = ACTIONS(1),
    [anon_sym_readonly] = ACTIONS(1),
    [anon_sym_get] = ACTIONS(1),
    [anon_sym_set] = ACTIONS(1),
    [anon_sym_QMARK] = ACTIONS(1),
    [anon_sym_declare] = ACTIONS(1),
    [anon_sym_public] = ACTIONS(1),
    [anon_sym_private] = ACTIONS(1),
    [anon_sym_protected] = ACTIONS(1),
    [anon_sym_override] = ACTIONS(1),
    [anon_sym_module] = ACTIONS(1),
    [anon_sym_any] = ACTIONS(1),
    [anon_sym_number] = ACTIONS(1),
    [anon_sym_boolean] = ACTIONS(1),
    [anon_sym_string] = ACTIONS(1),
    [anon_sym_symbol] = ACTIONS(1),
    [anon_sym_object] = ACTIONS(1),
    [anon_sym_abstract] = ACTIONS(1),
    [anon_sym_satisfies] = ACTIONS(1),
    [anon_sym_require] = ACTIONS(1),
    [anon_sym_extends] = ACTIONS(1),
    [anon_sym_implements] = ACTIONS(1),
    [anon_sym_global] = ACTIONS(1),
    [anon_sym_interface] = ACTIONS(1),
    [anon_sym_enum] = ACTIONS(1),
    [anon_sym_DASH_QMARK_COLON] = ACTIONS(1),
    [anon_sym_PLUS_QMARK_COLON] = ACTIONS(1),
    [anon_sym_asserts] = ACTIONS(1),
    [anon_sym_infer] = ACTIONS(1),
    [anon_sym_is] = ACTIONS(1),
    [anon_sym_keyof] = ACTIONS(1),
    [anon_sym_unique] = ACTIONS(1),
    [anon_sym_unknown] = ACTIONS(1),
    [anon_sym_never] = ACTIONS(1),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1),
    [anon_sym_PIPE_RBRACE] = ACTIONS(1),
    [sym__automatic_semicolon] = ACTIONS(1),
    [sym__template_chars] = ACTIONS(1),
    [sym__ternary_qmark] = ACTIONS(1),
    [sym_html_comment] = ACTIONS(5),
    [sym__function_signature_automatic_semicolon] = ACTIONS(1),
    [sym___error_recovery] = ACTIONS(1),
  },
  [1] = {
    [sym_program] = STATE(7495),
    [sym_export_statement] = STATE(1572),
    [sym_declaration] = STATE(1572),
    [sym_import] = STATE(4369),
    [sym_import_statement] = STATE(1572),
    [sym_expression_statement] = STATE(1572),
    [sym_variable_declaration] = STATE(1573),
    [sym_lexical_declaration] = STATE(1573),
    [sym_statement_block] = STATE(1572),
    [sym_if_statement] = STATE(1572),
    [sym_switch_statement] = STATE(1572),
    [sym_for_statement] = STATE(1572),
    [sym_for_in_statement] = STATE(1572),
    [sym_while_statement] = STATE(1572),
    [sym_do_statement] = STATE(1572),
    [sym_try_statement] = STATE(1572),
    [sym_with_statement] = STATE(1572),
    [sym_break_statement] = STATE(1572),
    [sym_continue_statement] = STATE(1572),
    [sym_debugger_statement] = STATE(1572),
    [sym_return_statement] = STATE(1572),
    [sym_throw_statement] = STATE(1572),
    [sym_empty_statement] = STATE(1572),
    [sym_labeled_statement] = STATE(1572),
    [sym_parenthesized_expression] = STATE(2177),
    [sym_expression] = STATE(2545),
    [sym_primary_expression] = STATE(2990),
    [sym_yield_expression] = STATE(3139),
    [sym_object] = STATE(3113),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(3113),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(3139),
    [sym_glimmer_opening_tag] = STATE(5702),
    [sym_jsx_element] = STATE(3139),
    [sym_jsx_opening_element] = STATE(4008),
    [sym_jsx_self_closing_element] = STATE(3139),
    [sym_class] = STATE(3113),
    [sym_class_declaration] = STATE(1573),
    [sym_function_expression] = STATE(3113),
    [sym_function_declaration] = STATE(1573),
    [sym_generator_function] = STATE(3113),
    [sym_generator_function_declaration] = STATE(1573),
    [sym_arrow_function] = STATE(3113),
    [sym__call_signature] = STATE(7486),
    [sym_call_expression] = STATE(3113),
    [sym_new_expression] = STATE(3139),
    [sym_await_expression] = STATE(3139),
    [sym_member_expression] = STATE(2177),
    [sym_subscript_expression] = STATE(2177),
    [sym_assignment_expression] = STATE(3139),
    [sym__augmented_assignment_lhs] = STATE(3835),
    [sym_augmented_assignment_expression] = STATE(3139),
    [sym__destructuring_pattern] = STATE(7484),
    [sym_ternary_expression] = STATE(3139),
    [sym_binary_expression] = STATE(3139),
    [sym_unary_expression] = STATE(3139),
    [sym_update_expression] = STATE(3139),
    [sym_sequence_expression] = STATE(6676),
    [sym_string] = STATE(3113),
    [sym_comment] = STATE(1),
    [sym_template_string] = STATE(3113),
    [sym_regex] = STATE(3113),
    [sym_meta_property] = STATE(3113),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2177),
    [sym_function_signature] = STATE(1573),
    [sym_as_expression] = STATE(3139),
    [sym_satisfies_expression] = STATE(3139),
    [sym_instantiation_expression] = STATE(3139),
    [sym_ambient_declaration] = STATE(1573),
    [sym_abstract_class_declaration] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_internal_module] = STATE(437),
    [sym_import_alias] = STATE(1573),
    [sym_interface_declaration] = STATE(1573),
    [sym_enum_declaration] = STATE(1573),
    [sym_type_alias_declaration] = STATE(1573),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_program_repeat1] = STATE(72),
    [aux_sym_export_statement_repeat1] = STATE(4771),
    [ts_builtin_sym_end] = ACTIONS(7),
    [sym_identifier] = ACTIONS(9),
    [sym_hash_bang_line] = ACTIONS(11),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_for] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_do] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [2] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2048),
    [sym_expression] = STATE(3359),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_nested_identifier] = STATE(7283),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7260),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2111),
    [sym_subscript_expression] = STATE(2111),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3878),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(4560),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(3103),
    [sym_comment] = STATE(2),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(5319),
    [sym_pattern] = STATE(5245),
    [sym_rest_pattern] = STATE(4693),
    [sym_non_null_expression] = STATE(2111),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_nested_type_identifier] = STATE(3821),
    [sym__type] = STATE(3902),
    [sym_constructor_type] = STATE(3924),
    [sym__primary_type] = STATE(3930),
    [sym_template_literal_type] = STATE(3873),
    [sym_infer_type] = STATE(3924),
    [sym_conditional_type] = STATE(3873),
    [sym_generic_type] = STATE(3873),
    [sym_type_query] = STATE(3873),
    [sym_index_type_query] = STATE(3873),
    [sym_lookup_type] = STATE(3873),
    [sym_literal_type] = STATE(3873),
    [sym__number] = STATE(3934),
    [sym_existential_type] = STATE(3873),
    [sym_flow_maybe_type] = STATE(3873),
    [sym_parenthesized_type] = STATE(3873),
    [sym_predefined_type] = STATE(3873),
    [sym_object_type] = STATE(3873),
    [sym_type_parameters] = STATE(6670),
    [sym_array_type] = STATE(3873),
    [sym_tuple_type] = STATE(3873),
    [sym_readonly_type] = STATE(3924),
    [sym_union_type] = STATE(3873),
    [sym_intersection_type] = STATE(3873),
    [sym_function_type] = STATE(3924),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(109),
    [anon_sym_export] = ACTIONS(111),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_type] = ACTIONS(111),
    [anon_sym_EQ] = ACTIONS(115),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(120),
    [anon_sym_LBRACE] = ACTIONS(122),
    [anon_sym_COMMA] = ACTIONS(124),
    [anon_sym_typeof] = ACTIONS(126),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(111),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_BANG] = ACTIONS(132),
    [anon_sym_LPAREN] = ACTIONS(135),
    [anon_sym_RPAREN] = ACTIONS(124),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(124),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(141),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(149),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_EQ_GT] = ACTIONS(153),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_using] = ACTIONS(157),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(161),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(167),
    [anon_sym_DASH] = ACTIONS(167),
    [anon_sym_SLASH] = ACTIONS(169),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(174),
    [anon_sym_void] = ACTIONS(176),
    [anon_sym_delete] = ACTIONS(174),
    [anon_sym_PLUS_PLUS] = ACTIONS(178),
    [anon_sym_DASH_DASH] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(181),
    [sym_number] = ACTIONS(183),
    [sym_private_property_identifier] = ACTIONS(185),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(183),
    [sym_false] = ACTIONS(183),
    [sym_null] = ACTIONS(183),
    [sym_undefined] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(111),
    [anon_sym_readonly] = ACTIONS(193),
    [anon_sym_get] = ACTIONS(111),
    [anon_sym_set] = ACTIONS(111),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_declare] = ACTIONS(111),
    [anon_sym_public] = ACTIONS(111),
    [anon_sym_private] = ACTIONS(111),
    [anon_sym_protected] = ACTIONS(111),
    [anon_sym_override] = ACTIONS(111),
    [anon_sym_module] = ACTIONS(111),
    [anon_sym_any] = ACTIONS(197),
    [anon_sym_number] = ACTIONS(197),
    [anon_sym_boolean] = ACTIONS(197),
    [anon_sym_string] = ACTIONS(197),
    [anon_sym_symbol] = ACTIONS(197),
    [anon_sym_object] = ACTIONS(197),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_satisfies] = ACTIONS(118),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [3] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2048),
    [sym_expression] = STATE(3359),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_nested_identifier] = STATE(7283),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7260),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2111),
    [sym_subscript_expression] = STATE(2111),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3878),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(4560),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(3103),
    [sym_comment] = STATE(3),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(5319),
    [sym_pattern] = STATE(5245),
    [sym_rest_pattern] = STATE(4693),
    [sym_non_null_expression] = STATE(2111),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_nested_type_identifier] = STATE(3821),
    [sym__type] = STATE(3902),
    [sym_constructor_type] = STATE(3924),
    [sym__primary_type] = STATE(3930),
    [sym_template_literal_type] = STATE(3873),
    [sym_infer_type] = STATE(3924),
    [sym_conditional_type] = STATE(3873),
    [sym_generic_type] = STATE(3873),
    [sym_type_query] = STATE(3873),
    [sym_index_type_query] = STATE(3873),
    [sym_lookup_type] = STATE(3873),
    [sym_literal_type] = STATE(3873),
    [sym__number] = STATE(3934),
    [sym_existential_type] = STATE(3873),
    [sym_flow_maybe_type] = STATE(3873),
    [sym_parenthesized_type] = STATE(3873),
    [sym_predefined_type] = STATE(3873),
    [sym_object_type] = STATE(3873),
    [sym_type_parameters] = STATE(6670),
    [sym_array_type] = STATE(3873),
    [sym_tuple_type] = STATE(3873),
    [sym_readonly_type] = STATE(3924),
    [sym_union_type] = STATE(3873),
    [sym_intersection_type] = STATE(3873),
    [sym_function_type] = STATE(3924),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(109),
    [anon_sym_export] = ACTIONS(111),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_type] = ACTIONS(111),
    [anon_sym_EQ] = ACTIONS(213),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(120),
    [anon_sym_LBRACE] = ACTIONS(122),
    [anon_sym_COMMA] = ACTIONS(216),
    [anon_sym_typeof] = ACTIONS(126),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(111),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_BANG] = ACTIONS(132),
    [anon_sym_LPAREN] = ACTIONS(135),
    [anon_sym_RPAREN] = ACTIONS(216),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(216),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(141),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(149),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_EQ_GT] = ACTIONS(219),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_using] = ACTIONS(157),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(161),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(167),
    [anon_sym_DASH] = ACTIONS(167),
    [anon_sym_SLASH] = ACTIONS(169),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(174),
    [anon_sym_void] = ACTIONS(176),
    [anon_sym_delete] = ACTIONS(174),
    [anon_sym_PLUS_PLUS] = ACTIONS(178),
    [anon_sym_DASH_DASH] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(181),
    [sym_number] = ACTIONS(183),
    [sym_private_property_identifier] = ACTIONS(185),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(183),
    [sym_false] = ACTIONS(183),
    [sym_null] = ACTIONS(183),
    [sym_undefined] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(111),
    [anon_sym_readonly] = ACTIONS(193),
    [anon_sym_get] = ACTIONS(111),
    [anon_sym_set] = ACTIONS(111),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_declare] = ACTIONS(111),
    [anon_sym_public] = ACTIONS(111),
    [anon_sym_private] = ACTIONS(111),
    [anon_sym_protected] = ACTIONS(111),
    [anon_sym_override] = ACTIONS(111),
    [anon_sym_module] = ACTIONS(111),
    [anon_sym_any] = ACTIONS(197),
    [anon_sym_number] = ACTIONS(197),
    [anon_sym_boolean] = ACTIONS(197),
    [anon_sym_string] = ACTIONS(197),
    [anon_sym_symbol] = ACTIONS(197),
    [anon_sym_object] = ACTIONS(197),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_satisfies] = ACTIONS(118),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [4] = {
    [sym_export_statement] = STATE(1572),
    [sym_declaration] = STATE(1572),
    [sym_import] = STATE(4369),
    [sym_import_statement] = STATE(1572),
    [sym_expression_statement] = STATE(1572),
    [sym_variable_declaration] = STATE(1573),
    [sym_lexical_declaration] = STATE(1573),
    [sym_statement_block] = STATE(1572),
    [sym_if_statement] = STATE(1572),
    [sym_switch_statement] = STATE(1572),
    [sym_for_statement] = STATE(1572),
    [sym_for_in_statement] = STATE(1572),
    [sym_while_statement] = STATE(1572),
    [sym_do_statement] = STATE(1572),
    [sym_try_statement] = STATE(1572),
    [sym_with_statement] = STATE(1572),
    [sym_break_statement] = STATE(1572),
    [sym_continue_statement] = STATE(1572),
    [sym_debugger_statement] = STATE(1572),
    [sym_return_statement] = STATE(1572),
    [sym_throw_statement] = STATE(1572),
    [sym_empty_statement] = STATE(1572),
    [sym_labeled_statement] = STATE(1572),
    [sym_parenthesized_expression] = STATE(2177),
    [sym_expression] = STATE(2545),
    [sym_primary_expression] = STATE(2990),
    [sym_yield_expression] = STATE(3139),
    [sym_object] = STATE(3113),
    [sym_object_pattern] = STATE(4283),
    [sym_object_assignment_pattern] = STATE(5931),
    [sym_array] = STATE(3113),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(3139),
    [sym_glimmer_opening_tag] = STATE(5702),
    [sym_jsx_element] = STATE(3139),
    [sym_jsx_opening_element] = STATE(4008),
    [sym_jsx_self_closing_element] = STATE(3139),
    [sym_class] = STATE(3113),
    [sym_class_declaration] = STATE(1573),
    [sym_function_expression] = STATE(3113),
    [sym_function_declaration] = STATE(1573),
    [sym_generator_function] = STATE(3113),
    [sym_generator_function_declaration] = STATE(1573),
    [sym_arrow_function] = STATE(3113),
    [sym__call_signature] = STATE(7486),
    [sym_call_expression] = STATE(3113),
    [sym_new_expression] = STATE(3139),
    [sym_await_expression] = STATE(3139),
    [sym_member_expression] = STATE(2177),
    [sym_subscript_expression] = STATE(2177),
    [sym_assignment_expression] = STATE(3139),
    [sym__augmented_assignment_lhs] = STATE(3835),
    [sym_augmented_assignment_expression] = STATE(3139),
    [sym__destructuring_pattern] = STATE(7363),
    [sym_spread_element] = STATE(5935),
    [sym_ternary_expression] = STATE(3139),
    [sym_binary_expression] = STATE(3139),
    [sym_unary_expression] = STATE(3139),
    [sym_update_expression] = STATE(3139),
    [sym_sequence_expression] = STATE(6676),
    [sym_string] = STATE(3277),
    [sym_comment] = STATE(4),
    [sym_template_string] = STATE(3113),
    [sym_regex] = STATE(3113),
    [sym_meta_property] = STATE(3113),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_rest_pattern] = STATE(5931),
    [sym_method_definition] = STATE(5935),
    [sym_pair] = STATE(5935),
    [sym_pair_pattern] = STATE(5931),
    [sym__property_name] = STATE(4662),
    [sym_computed_property_name] = STATE(4740),
    [sym_non_null_expression] = STATE(2177),
    [sym_function_signature] = STATE(1573),
    [sym_as_expression] = STATE(3139),
    [sym_satisfies_expression] = STATE(3139),
    [sym_instantiation_expression] = STATE(3139),
    [sym_ambient_declaration] = STATE(1573),
    [sym_abstract_class_declaration] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_internal_module] = STATE(437),
    [sym_import_alias] = STATE(1573),
    [sym_interface_declaration] = STATE(1573),
    [sym_enum_declaration] = STATE(1573),
    [sym_type_alias_declaration] = STATE(1573),
    [sym_accessibility_modifier] = STATE(3651),
    [sym_override_modifier] = STATE(3663),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_program_repeat1] = STATE(65),
    [aux_sym_export_statement_repeat1] = STATE(4771),
    [aux_sym_object_repeat1] = STATE(5939),
    [aux_sym_object_pattern_repeat1] = STATE(5945),
    [sym_identifier] = ACTIONS(221),
    [anon_sym_export] = ACTIONS(223),
    [anon_sym_STAR] = ACTIONS(225),
    [anon_sym_type] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(229),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_COMMA] = ACTIONS(231),
    [anon_sym_RBRACE] = ACTIONS(233),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(235),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_for] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_do] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(237),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(239),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(241),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(243),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(245),
    [sym_private_property_identifier] = ACTIONS(247),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(249),
    [anon_sym_readonly] = ACTIONS(251),
    [anon_sym_get] = ACTIONS(253),
    [anon_sym_set] = ACTIONS(253),
    [anon_sym_declare] = ACTIONS(255),
    [anon_sym_public] = ACTIONS(257),
    [anon_sym_private] = ACTIONS(257),
    [anon_sym_protected] = ACTIONS(257),
    [anon_sym_override] = ACTIONS(259),
    [anon_sym_module] = ACTIONS(261),
    [anon_sym_any] = ACTIONS(263),
    [anon_sym_number] = ACTIONS(263),
    [anon_sym_boolean] = ACTIONS(263),
    [anon_sym_string] = ACTIONS(263),
    [anon_sym_symbol] = ACTIONS(263),
    [anon_sym_object] = ACTIONS(263),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [5] = {
    [sym_export_statement] = STATE(1572),
    [sym_declaration] = STATE(1572),
    [sym_import] = STATE(4369),
    [sym_import_statement] = STATE(1572),
    [sym_expression_statement] = STATE(1572),
    [sym_variable_declaration] = STATE(1573),
    [sym_lexical_declaration] = STATE(1573),
    [sym_statement_block] = STATE(1572),
    [sym_if_statement] = STATE(1572),
    [sym_switch_statement] = STATE(1572),
    [sym_for_statement] = STATE(1572),
    [sym_for_in_statement] = STATE(1572),
    [sym_while_statement] = STATE(1572),
    [sym_do_statement] = STATE(1572),
    [sym_try_statement] = STATE(1572),
    [sym_with_statement] = STATE(1572),
    [sym_break_statement] = STATE(1572),
    [sym_continue_statement] = STATE(1572),
    [sym_debugger_statement] = STATE(1572),
    [sym_return_statement] = STATE(1572),
    [sym_throw_statement] = STATE(1572),
    [sym_empty_statement] = STATE(1572),
    [sym_labeled_statement] = STATE(1572),
    [sym_parenthesized_expression] = STATE(2177),
    [sym_expression] = STATE(2545),
    [sym_primary_expression] = STATE(2990),
    [sym_yield_expression] = STATE(3139),
    [sym_object] = STATE(3113),
    [sym_object_pattern] = STATE(4283),
    [sym_object_assignment_pattern] = STATE(5931),
    [sym_array] = STATE(3113),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(3139),
    [sym_glimmer_opening_tag] = STATE(5702),
    [sym_jsx_element] = STATE(3139),
    [sym_jsx_opening_element] = STATE(4008),
    [sym_jsx_self_closing_element] = STATE(3139),
    [sym_class] = STATE(3113),
    [sym_class_declaration] = STATE(1573),
    [sym_function_expression] = STATE(3113),
    [sym_function_declaration] = STATE(1573),
    [sym_generator_function] = STATE(3113),
    [sym_generator_function_declaration] = STATE(1573),
    [sym_arrow_function] = STATE(3113),
    [sym__call_signature] = STATE(7486),
    [sym_call_expression] = STATE(3113),
    [sym_new_expression] = STATE(3139),
    [sym_await_expression] = STATE(3139),
    [sym_member_expression] = STATE(2177),
    [sym_subscript_expression] = STATE(2177),
    [sym_assignment_expression] = STATE(3139),
    [sym__augmented_assignment_lhs] = STATE(3835),
    [sym_augmented_assignment_expression] = STATE(3139),
    [sym__destructuring_pattern] = STATE(7363),
    [sym_spread_element] = STATE(6446),
    [sym_ternary_expression] = STATE(3139),
    [sym_binary_expression] = STATE(3139),
    [sym_unary_expression] = STATE(3139),
    [sym_update_expression] = STATE(3139),
    [sym_sequence_expression] = STATE(6676),
    [sym_string] = STATE(3277),
    [sym_comment] = STATE(5),
    [sym_template_string] = STATE(3113),
    [sym_regex] = STATE(3113),
    [sym_meta_property] = STATE(3113),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_rest_pattern] = STATE(5931),
    [sym_method_definition] = STATE(6446),
    [sym_pair] = STATE(6446),
    [sym_pair_pattern] = STATE(5931),
    [sym__property_name] = STATE(4662),
    [sym_computed_property_name] = STATE(4740),
    [sym_non_null_expression] = STATE(2177),
    [sym_function_signature] = STATE(1573),
    [sym_as_expression] = STATE(3139),
    [sym_satisfies_expression] = STATE(3139),
    [sym_instantiation_expression] = STATE(3139),
    [sym_ambient_declaration] = STATE(1573),
    [sym_abstract_class_declaration] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_internal_module] = STATE(437),
    [sym_import_alias] = STATE(1573),
    [sym_interface_declaration] = STATE(1573),
    [sym_enum_declaration] = STATE(1573),
    [sym_type_alias_declaration] = STATE(1573),
    [sym_accessibility_modifier] = STATE(3651),
    [sym_override_modifier] = STATE(3663),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_program_repeat1] = STATE(68),
    [aux_sym_export_statement_repeat1] = STATE(4771),
    [aux_sym_object_repeat1] = STATE(6441),
    [aux_sym_object_pattern_repeat1] = STATE(5945),
    [sym_identifier] = ACTIONS(265),
    [anon_sym_export] = ACTIONS(267),
    [anon_sym_STAR] = ACTIONS(225),
    [anon_sym_type] = ACTIONS(269),
    [anon_sym_namespace] = ACTIONS(271),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_COMMA] = ACTIONS(231),
    [anon_sym_RBRACE] = ACTIONS(273),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(275),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_for] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_do] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(237),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(277),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(279),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(243),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(245),
    [sym_private_property_identifier] = ACTIONS(247),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(281),
    [anon_sym_readonly] = ACTIONS(283),
    [anon_sym_get] = ACTIONS(285),
    [anon_sym_set] = ACTIONS(285),
    [anon_sym_declare] = ACTIONS(287),
    [anon_sym_public] = ACTIONS(289),
    [anon_sym_private] = ACTIONS(289),
    [anon_sym_protected] = ACTIONS(289),
    [anon_sym_override] = ACTIONS(291),
    [anon_sym_module] = ACTIONS(293),
    [anon_sym_any] = ACTIONS(295),
    [anon_sym_number] = ACTIONS(295),
    [anon_sym_boolean] = ACTIONS(295),
    [anon_sym_string] = ACTIONS(295),
    [anon_sym_symbol] = ACTIONS(295),
    [anon_sym_object] = ACTIONS(295),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [6] = {
    [sym_export_statement] = STATE(1572),
    [sym_declaration] = STATE(1572),
    [sym_import] = STATE(4369),
    [sym_import_statement] = STATE(1572),
    [sym_expression_statement] = STATE(1572),
    [sym_variable_declaration] = STATE(1573),
    [sym_lexical_declaration] = STATE(1573),
    [sym_statement_block] = STATE(1572),
    [sym_if_statement] = STATE(1572),
    [sym_switch_statement] = STATE(1572),
    [sym_for_statement] = STATE(1572),
    [sym_for_in_statement] = STATE(1572),
    [sym_while_statement] = STATE(1572),
    [sym_do_statement] = STATE(1572),
    [sym_try_statement] = STATE(1572),
    [sym_with_statement] = STATE(1572),
    [sym_break_statement] = STATE(1572),
    [sym_continue_statement] = STATE(1572),
    [sym_debugger_statement] = STATE(1572),
    [sym_return_statement] = STATE(1572),
    [sym_throw_statement] = STATE(1572),
    [sym_empty_statement] = STATE(1572),
    [sym_labeled_statement] = STATE(1572),
    [sym_parenthesized_expression] = STATE(2177),
    [sym_expression] = STATE(2545),
    [sym_primary_expression] = STATE(2990),
    [sym_yield_expression] = STATE(3139),
    [sym_object] = STATE(3113),
    [sym_object_pattern] = STATE(4283),
    [sym_object_assignment_pattern] = STATE(5931),
    [sym_array] = STATE(3113),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(3139),
    [sym_glimmer_opening_tag] = STATE(5702),
    [sym_jsx_element] = STATE(3139),
    [sym_jsx_opening_element] = STATE(4008),
    [sym_jsx_self_closing_element] = STATE(3139),
    [sym_class] = STATE(3113),
    [sym_class_declaration] = STATE(1573),
    [sym_function_expression] = STATE(3113),
    [sym_function_declaration] = STATE(1573),
    [sym_generator_function] = STATE(3113),
    [sym_generator_function_declaration] = STATE(1573),
    [sym_arrow_function] = STATE(3113),
    [sym__call_signature] = STATE(7486),
    [sym_call_expression] = STATE(3113),
    [sym_new_expression] = STATE(3139),
    [sym_await_expression] = STATE(3139),
    [sym_member_expression] = STATE(2177),
    [sym_subscript_expression] = STATE(2177),
    [sym_assignment_expression] = STATE(3139),
    [sym__augmented_assignment_lhs] = STATE(3835),
    [sym_augmented_assignment_expression] = STATE(3139),
    [sym__destructuring_pattern] = STATE(7363),
    [sym_spread_element] = STATE(5935),
    [sym_ternary_expression] = STATE(3139),
    [sym_binary_expression] = STATE(3139),
    [sym_unary_expression] = STATE(3139),
    [sym_update_expression] = STATE(3139),
    [sym_sequence_expression] = STATE(6676),
    [sym_string] = STATE(3277),
    [sym_comment] = STATE(6),
    [sym_template_string] = STATE(3113),
    [sym_regex] = STATE(3113),
    [sym_meta_property] = STATE(3113),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_rest_pattern] = STATE(5931),
    [sym_method_definition] = STATE(5935),
    [sym_pair] = STATE(5935),
    [sym_pair_pattern] = STATE(5931),
    [sym__property_name] = STATE(4662),
    [sym_computed_property_name] = STATE(4740),
    [sym_non_null_expression] = STATE(2177),
    [sym_function_signature] = STATE(1573),
    [sym_as_expression] = STATE(3139),
    [sym_satisfies_expression] = STATE(3139),
    [sym_instantiation_expression] = STATE(3139),
    [sym_ambient_declaration] = STATE(1573),
    [sym_abstract_class_declaration] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_internal_module] = STATE(437),
    [sym_import_alias] = STATE(1573),
    [sym_interface_declaration] = STATE(1573),
    [sym_enum_declaration] = STATE(1573),
    [sym_type_alias_declaration] = STATE(1573),
    [sym_accessibility_modifier] = STATE(3651),
    [sym_override_modifier] = STATE(3663),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_program_repeat1] = STATE(43),
    [aux_sym_export_statement_repeat1] = STATE(4771),
    [aux_sym_object_repeat1] = STATE(5939),
    [aux_sym_object_pattern_repeat1] = STATE(5945),
    [sym_identifier] = ACTIONS(221),
    [anon_sym_export] = ACTIONS(223),
    [anon_sym_STAR] = ACTIONS(225),
    [anon_sym_type] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(229),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_COMMA] = ACTIONS(231),
    [anon_sym_RBRACE] = ACTIONS(297),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(235),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_for] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_do] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(237),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(239),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(241),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(243),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(245),
    [sym_private_property_identifier] = ACTIONS(247),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(249),
    [anon_sym_readonly] = ACTIONS(251),
    [anon_sym_get] = ACTIONS(253),
    [anon_sym_set] = ACTIONS(253),
    [anon_sym_declare] = ACTIONS(255),
    [anon_sym_public] = ACTIONS(257),
    [anon_sym_private] = ACTIONS(257),
    [anon_sym_protected] = ACTIONS(257),
    [anon_sym_override] = ACTIONS(259),
    [anon_sym_module] = ACTIONS(261),
    [anon_sym_any] = ACTIONS(263),
    [anon_sym_number] = ACTIONS(263),
    [anon_sym_boolean] = ACTIONS(263),
    [anon_sym_string] = ACTIONS(263),
    [anon_sym_symbol] = ACTIONS(263),
    [anon_sym_object] = ACTIONS(263),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [7] = {
    [sym_export_statement] = STATE(1572),
    [sym_declaration] = STATE(1572),
    [sym_import] = STATE(4369),
    [sym_import_statement] = STATE(1572),
    [sym_expression_statement] = STATE(1572),
    [sym_variable_declaration] = STATE(1573),
    [sym_lexical_declaration] = STATE(1573),
    [sym_statement_block] = STATE(1572),
    [sym_if_statement] = STATE(1572),
    [sym_switch_statement] = STATE(1572),
    [sym_for_statement] = STATE(1572),
    [sym_for_in_statement] = STATE(1572),
    [sym_while_statement] = STATE(1572),
    [sym_do_statement] = STATE(1572),
    [sym_try_statement] = STATE(1572),
    [sym_with_statement] = STATE(1572),
    [sym_break_statement] = STATE(1572),
    [sym_continue_statement] = STATE(1572),
    [sym_debugger_statement] = STATE(1572),
    [sym_return_statement] = STATE(1572),
    [sym_throw_statement] = STATE(1572),
    [sym_empty_statement] = STATE(1572),
    [sym_labeled_statement] = STATE(1572),
    [sym_parenthesized_expression] = STATE(2177),
    [sym_expression] = STATE(2545),
    [sym_primary_expression] = STATE(2990),
    [sym_yield_expression] = STATE(3139),
    [sym_object] = STATE(3113),
    [sym_object_pattern] = STATE(4283),
    [sym_object_assignment_pattern] = STATE(5931),
    [sym_array] = STATE(3113),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(3139),
    [sym_glimmer_opening_tag] = STATE(5702),
    [sym_jsx_element] = STATE(3139),
    [sym_jsx_opening_element] = STATE(4008),
    [sym_jsx_self_closing_element] = STATE(3139),
    [sym_class] = STATE(3113),
    [sym_class_declaration] = STATE(1573),
    [sym_function_expression] = STATE(3113),
    [sym_function_declaration] = STATE(1573),
    [sym_generator_function] = STATE(3113),
    [sym_generator_function_declaration] = STATE(1573),
    [sym_arrow_function] = STATE(3113),
    [sym__call_signature] = STATE(7486),
    [sym_call_expression] = STATE(3113),
    [sym_new_expression] = STATE(3139),
    [sym_await_expression] = STATE(3139),
    [sym_member_expression] = STATE(2177),
    [sym_subscript_expression] = STATE(2177),
    [sym_assignment_expression] = STATE(3139),
    [sym__augmented_assignment_lhs] = STATE(3835),
    [sym_augmented_assignment_expression] = STATE(3139),
    [sym__destructuring_pattern] = STATE(7363),
    [sym_spread_element] = STATE(5935),
    [sym_ternary_expression] = STATE(3139),
    [sym_binary_expression] = STATE(3139),
    [sym_unary_expression] = STATE(3139),
    [sym_update_expression] = STATE(3139),
    [sym_sequence_expression] = STATE(6676),
    [sym_string] = STATE(3277),
    [sym_comment] = STATE(7),
    [sym_template_string] = STATE(3113),
    [sym_regex] = STATE(3113),
    [sym_meta_property] = STATE(3113),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_rest_pattern] = STATE(5931),
    [sym_method_definition] = STATE(5935),
    [sym_pair] = STATE(5935),
    [sym_pair_pattern] = STATE(5931),
    [sym__property_name] = STATE(4662),
    [sym_computed_property_name] = STATE(4740),
    [sym_non_null_expression] = STATE(2177),
    [sym_function_signature] = STATE(1573),
    [sym_as_expression] = STATE(3139),
    [sym_satisfies_expression] = STATE(3139),
    [sym_instantiation_expression] = STATE(3139),
    [sym_ambient_declaration] = STATE(1573),
    [sym_abstract_class_declaration] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_internal_module] = STATE(437),
    [sym_import_alias] = STATE(1573),
    [sym_interface_declaration] = STATE(1573),
    [sym_enum_declaration] = STATE(1573),
    [sym_type_alias_declaration] = STATE(1573),
    [sym_accessibility_modifier] = STATE(3651),
    [sym_override_modifier] = STATE(3663),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_program_repeat1] = STATE(64),
    [aux_sym_export_statement_repeat1] = STATE(4771),
    [aux_sym_object_repeat1] = STATE(5939),
    [aux_sym_object_pattern_repeat1] = STATE(5945),
    [sym_identifier] = ACTIONS(221),
    [anon_sym_export] = ACTIONS(223),
    [anon_sym_STAR] = ACTIONS(225),
    [anon_sym_type] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(229),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_COMMA] = ACTIONS(231),
    [anon_sym_RBRACE] = ACTIONS(299),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(235),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_for] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_do] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(237),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(239),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(241),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(243),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(245),
    [sym_private_property_identifier] = ACTIONS(247),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(249),
    [anon_sym_readonly] = ACTIONS(251),
    [anon_sym_get] = ACTIONS(253),
    [anon_sym_set] = ACTIONS(253),
    [anon_sym_declare] = ACTIONS(255),
    [anon_sym_public] = ACTIONS(257),
    [anon_sym_private] = ACTIONS(257),
    [anon_sym_protected] = ACTIONS(257),
    [anon_sym_override] = ACTIONS(259),
    [anon_sym_module] = ACTIONS(261),
    [anon_sym_any] = ACTIONS(263),
    [anon_sym_number] = ACTIONS(263),
    [anon_sym_boolean] = ACTIONS(263),
    [anon_sym_string] = ACTIONS(263),
    [anon_sym_symbol] = ACTIONS(263),
    [anon_sym_object] = ACTIONS(263),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [8] = {
    [sym_export_statement] = STATE(1572),
    [sym_declaration] = STATE(1572),
    [sym_import] = STATE(4369),
    [sym_import_statement] = STATE(1572),
    [sym_expression_statement] = STATE(1572),
    [sym_variable_declaration] = STATE(1573),
    [sym_lexical_declaration] = STATE(1573),
    [sym_statement_block] = STATE(1572),
    [sym_if_statement] = STATE(1572),
    [sym_switch_statement] = STATE(1572),
    [sym_for_statement] = STATE(1572),
    [sym_for_in_statement] = STATE(1572),
    [sym_while_statement] = STATE(1572),
    [sym_do_statement] = STATE(1572),
    [sym_try_statement] = STATE(1572),
    [sym_with_statement] = STATE(1572),
    [sym_break_statement] = STATE(1572),
    [sym_continue_statement] = STATE(1572),
    [sym_debugger_statement] = STATE(1572),
    [sym_return_statement] = STATE(1572),
    [sym_throw_statement] = STATE(1572),
    [sym_empty_statement] = STATE(1572),
    [sym_labeled_statement] = STATE(1572),
    [sym_parenthesized_expression] = STATE(2177),
    [sym_expression] = STATE(2545),
    [sym_primary_expression] = STATE(2990),
    [sym_yield_expression] = STATE(3139),
    [sym_object] = STATE(3113),
    [sym_object_pattern] = STATE(4283),
    [sym_object_assignment_pattern] = STATE(5931),
    [sym_array] = STATE(3113),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(3139),
    [sym_glimmer_opening_tag] = STATE(5702),
    [sym_jsx_element] = STATE(3139),
    [sym_jsx_opening_element] = STATE(4008),
    [sym_jsx_self_closing_element] = STATE(3139),
    [sym_class] = STATE(3113),
    [sym_class_declaration] = STATE(1573),
    [sym_function_expression] = STATE(3113),
    [sym_function_declaration] = STATE(1573),
    [sym_generator_function] = STATE(3113),
    [sym_generator_function_declaration] = STATE(1573),
    [sym_arrow_function] = STATE(3113),
    [sym__call_signature] = STATE(7486),
    [sym_call_expression] = STATE(3113),
    [sym_new_expression] = STATE(3139),
    [sym_await_expression] = STATE(3139),
    [sym_member_expression] = STATE(2177),
    [sym_subscript_expression] = STATE(2177),
    [sym_assignment_expression] = STATE(3139),
    [sym__augmented_assignment_lhs] = STATE(3835),
    [sym_augmented_assignment_expression] = STATE(3139),
    [sym__destructuring_pattern] = STATE(7363),
    [sym_spread_element] = STATE(5935),
    [sym_ternary_expression] = STATE(3139),
    [sym_binary_expression] = STATE(3139),
    [sym_unary_expression] = STATE(3139),
    [sym_update_expression] = STATE(3139),
    [sym_sequence_expression] = STATE(6676),
    [sym_string] = STATE(3277),
    [sym_comment] = STATE(8),
    [sym_template_string] = STATE(3113),
    [sym_regex] = STATE(3113),
    [sym_meta_property] = STATE(3113),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_rest_pattern] = STATE(5931),
    [sym_method_definition] = STATE(5935),
    [sym_pair] = STATE(5935),
    [sym_pair_pattern] = STATE(5931),
    [sym__property_name] = STATE(4662),
    [sym_computed_property_name] = STATE(4740),
    [sym_non_null_expression] = STATE(2177),
    [sym_function_signature] = STATE(1573),
    [sym_as_expression] = STATE(3139),
    [sym_satisfies_expression] = STATE(3139),
    [sym_instantiation_expression] = STATE(3139),
    [sym_ambient_declaration] = STATE(1573),
    [sym_abstract_class_declaration] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_internal_module] = STATE(437),
    [sym_import_alias] = STATE(1573),
    [sym_interface_declaration] = STATE(1573),
    [sym_enum_declaration] = STATE(1573),
    [sym_type_alias_declaration] = STATE(1573),
    [sym_accessibility_modifier] = STATE(3651),
    [sym_override_modifier] = STATE(3663),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_program_repeat1] = STATE(22),
    [aux_sym_export_statement_repeat1] = STATE(4771),
    [aux_sym_object_repeat1] = STATE(5939),
    [aux_sym_object_pattern_repeat1] = STATE(5945),
    [sym_identifier] = ACTIONS(221),
    [anon_sym_export] = ACTIONS(223),
    [anon_sym_STAR] = ACTIONS(225),
    [anon_sym_type] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(229),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_COMMA] = ACTIONS(231),
    [anon_sym_RBRACE] = ACTIONS(301),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(235),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_for] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_do] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(237),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(239),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(241),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(243),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(245),
    [sym_private_property_identifier] = ACTIONS(247),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(249),
    [anon_sym_readonly] = ACTIONS(251),
    [anon_sym_get] = ACTIONS(253),
    [anon_sym_set] = ACTIONS(253),
    [anon_sym_declare] = ACTIONS(255),
    [anon_sym_public] = ACTIONS(257),
    [anon_sym_private] = ACTIONS(257),
    [anon_sym_protected] = ACTIONS(257),
    [anon_sym_override] = ACTIONS(259),
    [anon_sym_module] = ACTIONS(261),
    [anon_sym_any] = ACTIONS(263),
    [anon_sym_number] = ACTIONS(263),
    [anon_sym_boolean] = ACTIONS(263),
    [anon_sym_string] = ACTIONS(263),
    [anon_sym_symbol] = ACTIONS(263),
    [anon_sym_object] = ACTIONS(263),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [9] = {
    [sym_export_statement] = STATE(1572),
    [sym_declaration] = STATE(1572),
    [sym_import] = STATE(4369),
    [sym_import_statement] = STATE(1572),
    [sym_expression_statement] = STATE(1572),
    [sym_variable_declaration] = STATE(1573),
    [sym_lexical_declaration] = STATE(1573),
    [sym_statement_block] = STATE(1572),
    [sym_if_statement] = STATE(1572),
    [sym_switch_statement] = STATE(1572),
    [sym_for_statement] = STATE(1572),
    [sym_for_in_statement] = STATE(1572),
    [sym_while_statement] = STATE(1572),
    [sym_do_statement] = STATE(1572),
    [sym_try_statement] = STATE(1572),
    [sym_with_statement] = STATE(1572),
    [sym_break_statement] = STATE(1572),
    [sym_continue_statement] = STATE(1572),
    [sym_debugger_statement] = STATE(1572),
    [sym_return_statement] = STATE(1572),
    [sym_throw_statement] = STATE(1572),
    [sym_empty_statement] = STATE(1572),
    [sym_labeled_statement] = STATE(1572),
    [sym_parenthesized_expression] = STATE(2177),
    [sym_expression] = STATE(2545),
    [sym_primary_expression] = STATE(2990),
    [sym_yield_expression] = STATE(3139),
    [sym_object] = STATE(3113),
    [sym_object_pattern] = STATE(4283),
    [sym_object_assignment_pattern] = STATE(5931),
    [sym_array] = STATE(3113),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(3139),
    [sym_glimmer_opening_tag] = STATE(5702),
    [sym_jsx_element] = STATE(3139),
    [sym_jsx_opening_element] = STATE(4008),
    [sym_jsx_self_closing_element] = STATE(3139),
    [sym_class] = STATE(3113),
    [sym_class_declaration] = STATE(1573),
    [sym_function_expression] = STATE(3113),
    [sym_function_declaration] = STATE(1573),
    [sym_generator_function] = STATE(3113),
    [sym_generator_function_declaration] = STATE(1573),
    [sym_arrow_function] = STATE(3113),
    [sym__call_signature] = STATE(7486),
    [sym_call_expression] = STATE(3113),
    [sym_new_expression] = STATE(3139),
    [sym_await_expression] = STATE(3139),
    [sym_member_expression] = STATE(2177),
    [sym_subscript_expression] = STATE(2177),
    [sym_assignment_expression] = STATE(3139),
    [sym__augmented_assignment_lhs] = STATE(3835),
    [sym_augmented_assignment_expression] = STATE(3139),
    [sym__destructuring_pattern] = STATE(7363),
    [sym_spread_element] = STATE(5935),
    [sym_ternary_expression] = STATE(3139),
    [sym_binary_expression] = STATE(3139),
    [sym_unary_expression] = STATE(3139),
    [sym_update_expression] = STATE(3139),
    [sym_sequence_expression] = STATE(6676),
    [sym_string] = STATE(3277),
    [sym_comment] = STATE(9),
    [sym_template_string] = STATE(3113),
    [sym_regex] = STATE(3113),
    [sym_meta_property] = STATE(3113),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_rest_pattern] = STATE(5931),
    [sym_method_definition] = STATE(5935),
    [sym_pair] = STATE(5935),
    [sym_pair_pattern] = STATE(5931),
    [sym__property_name] = STATE(4662),
    [sym_computed_property_name] = STATE(4740),
    [sym_non_null_expression] = STATE(2177),
    [sym_function_signature] = STATE(1573),
    [sym_as_expression] = STATE(3139),
    [sym_satisfies_expression] = STATE(3139),
    [sym_instantiation_expression] = STATE(3139),
    [sym_ambient_declaration] = STATE(1573),
    [sym_abstract_class_declaration] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_internal_module] = STATE(437),
    [sym_import_alias] = STATE(1573),
    [sym_interface_declaration] = STATE(1573),
    [sym_enum_declaration] = STATE(1573),
    [sym_type_alias_declaration] = STATE(1573),
    [sym_accessibility_modifier] = STATE(3651),
    [sym_override_modifier] = STATE(3663),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_program_repeat1] = STATE(38),
    [aux_sym_export_statement_repeat1] = STATE(4771),
    [aux_sym_object_repeat1] = STATE(5939),
    [aux_sym_object_pattern_repeat1] = STATE(5945),
    [sym_identifier] = ACTIONS(221),
    [anon_sym_export] = ACTIONS(223),
    [anon_sym_STAR] = ACTIONS(225),
    [anon_sym_type] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(229),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_COMMA] = ACTIONS(231),
    [anon_sym_RBRACE] = ACTIONS(303),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(235),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_for] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_do] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(237),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(239),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(241),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(243),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(245),
    [sym_private_property_identifier] = ACTIONS(247),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(249),
    [anon_sym_readonly] = ACTIONS(251),
    [anon_sym_get] = ACTIONS(253),
    [anon_sym_set] = ACTIONS(253),
    [anon_sym_declare] = ACTIONS(255),
    [anon_sym_public] = ACTIONS(257),
    [anon_sym_private] = ACTIONS(257),
    [anon_sym_protected] = ACTIONS(257),
    [anon_sym_override] = ACTIONS(259),
    [anon_sym_module] = ACTIONS(261),
    [anon_sym_any] = ACTIONS(263),
    [anon_sym_number] = ACTIONS(263),
    [anon_sym_boolean] = ACTIONS(263),
    [anon_sym_string] = ACTIONS(263),
    [anon_sym_symbol] = ACTIONS(263),
    [anon_sym_object] = ACTIONS(263),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [10] = {
    [sym_export_statement] = STATE(1572),
    [sym_declaration] = STATE(1572),
    [sym_import] = STATE(4369),
    [sym_import_statement] = STATE(1572),
    [sym_expression_statement] = STATE(1572),
    [sym_variable_declaration] = STATE(1573),
    [sym_lexical_declaration] = STATE(1573),
    [sym_statement_block] = STATE(1572),
    [sym_if_statement] = STATE(1572),
    [sym_switch_statement] = STATE(1572),
    [sym_for_statement] = STATE(1572),
    [sym_for_in_statement] = STATE(1572),
    [sym_while_statement] = STATE(1572),
    [sym_do_statement] = STATE(1572),
    [sym_try_statement] = STATE(1572),
    [sym_with_statement] = STATE(1572),
    [sym_break_statement] = STATE(1572),
    [sym_continue_statement] = STATE(1572),
    [sym_debugger_statement] = STATE(1572),
    [sym_return_statement] = STATE(1572),
    [sym_throw_statement] = STATE(1572),
    [sym_empty_statement] = STATE(1572),
    [sym_labeled_statement] = STATE(1572),
    [sym_parenthesized_expression] = STATE(2177),
    [sym_expression] = STATE(2545),
    [sym_primary_expression] = STATE(2990),
    [sym_yield_expression] = STATE(3139),
    [sym_object] = STATE(3113),
    [sym_object_pattern] = STATE(4283),
    [sym_object_assignment_pattern] = STATE(5931),
    [sym_array] = STATE(3113),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(3139),
    [sym_glimmer_opening_tag] = STATE(5702),
    [sym_jsx_element] = STATE(3139),
    [sym_jsx_opening_element] = STATE(4008),
    [sym_jsx_self_closing_element] = STATE(3139),
    [sym_class] = STATE(3113),
    [sym_class_declaration] = STATE(1573),
    [sym_function_expression] = STATE(3113),
    [sym_function_declaration] = STATE(1573),
    [sym_generator_function] = STATE(3113),
    [sym_generator_function_declaration] = STATE(1573),
    [sym_arrow_function] = STATE(3113),
    [sym__call_signature] = STATE(7486),
    [sym_call_expression] = STATE(3113),
    [sym_new_expression] = STATE(3139),
    [sym_await_expression] = STATE(3139),
    [sym_member_expression] = STATE(2177),
    [sym_subscript_expression] = STATE(2177),
    [sym_assignment_expression] = STATE(3139),
    [sym__augmented_assignment_lhs] = STATE(3835),
    [sym_augmented_assignment_expression] = STATE(3139),
    [sym__destructuring_pattern] = STATE(7363),
    [sym_spread_element] = STATE(6446),
    [sym_ternary_expression] = STATE(3139),
    [sym_binary_expression] = STATE(3139),
    [sym_unary_expression] = STATE(3139),
    [sym_update_expression] = STATE(3139),
    [sym_sequence_expression] = STATE(6676),
    [sym_string] = STATE(3277),
    [sym_comment] = STATE(10),
    [sym_template_string] = STATE(3113),
    [sym_regex] = STATE(3113),
    [sym_meta_property] = STATE(3113),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_rest_pattern] = STATE(5931),
    [sym_method_definition] = STATE(6446),
    [sym_pair] = STATE(6446),
    [sym_pair_pattern] = STATE(5931),
    [sym__property_name] = STATE(4662),
    [sym_computed_property_name] = STATE(4740),
    [sym_non_null_expression] = STATE(2177),
    [sym_function_signature] = STATE(1573),
    [sym_as_expression] = STATE(3139),
    [sym_satisfies_expression] = STATE(3139),
    [sym_instantiation_expression] = STATE(3139),
    [sym_ambient_declaration] = STATE(1573),
    [sym_abstract_class_declaration] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_internal_module] = STATE(437),
    [sym_import_alias] = STATE(1573),
    [sym_interface_declaration] = STATE(1573),
    [sym_enum_declaration] = STATE(1573),
    [sym_type_alias_declaration] = STATE(1573),
    [sym_accessibility_modifier] = STATE(3651),
    [sym_override_modifier] = STATE(3663),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_program_repeat1] = STATE(68),
    [aux_sym_export_statement_repeat1] = STATE(4771),
    [aux_sym_object_repeat1] = STATE(6441),
    [aux_sym_object_pattern_repeat1] = STATE(5945),
    [sym_identifier] = ACTIONS(305),
    [anon_sym_export] = ACTIONS(307),
    [anon_sym_STAR] = ACTIONS(225),
    [anon_sym_type] = ACTIONS(309),
    [anon_sym_namespace] = ACTIONS(311),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_COMMA] = ACTIONS(231),
    [anon_sym_RBRACE] = ACTIONS(273),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(313),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_for] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_do] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(237),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(315),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(317),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(243),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(245),
    [sym_private_property_identifier] = ACTIONS(247),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(319),
    [anon_sym_readonly] = ACTIONS(321),
    [anon_sym_get] = ACTIONS(323),
    [anon_sym_set] = ACTIONS(323),
    [anon_sym_declare] = ACTIONS(325),
    [anon_sym_public] = ACTIONS(327),
    [anon_sym_private] = ACTIONS(327),
    [anon_sym_protected] = ACTIONS(327),
    [anon_sym_override] = ACTIONS(329),
    [anon_sym_module] = ACTIONS(331),
    [anon_sym_any] = ACTIONS(333),
    [anon_sym_number] = ACTIONS(333),
    [anon_sym_boolean] = ACTIONS(333),
    [anon_sym_string] = ACTIONS(333),
    [anon_sym_symbol] = ACTIONS(333),
    [anon_sym_object] = ACTIONS(333),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [11] = {
    [sym_export_statement] = STATE(1572),
    [sym_declaration] = STATE(1572),
    [sym_import] = STATE(4369),
    [sym_import_statement] = STATE(1572),
    [sym_expression_statement] = STATE(1572),
    [sym_variable_declaration] = STATE(1573),
    [sym_lexical_declaration] = STATE(1573),
    [sym_statement_block] = STATE(1572),
    [sym_if_statement] = STATE(1572),
    [sym_switch_statement] = STATE(1572),
    [sym_for_statement] = STATE(1572),
    [sym_for_in_statement] = STATE(1572),
    [sym_while_statement] = STATE(1572),
    [sym_do_statement] = STATE(1572),
    [sym_try_statement] = STATE(1572),
    [sym_with_statement] = STATE(1572),
    [sym_break_statement] = STATE(1572),
    [sym_continue_statement] = STATE(1572),
    [sym_debugger_statement] = STATE(1572),
    [sym_return_statement] = STATE(1572),
    [sym_throw_statement] = STATE(1572),
    [sym_empty_statement] = STATE(1572),
    [sym_labeled_statement] = STATE(1572),
    [sym_parenthesized_expression] = STATE(2177),
    [sym_expression] = STATE(2545),
    [sym_primary_expression] = STATE(2990),
    [sym_yield_expression] = STATE(3139),
    [sym_object] = STATE(3113),
    [sym_object_pattern] = STATE(4283),
    [sym_object_assignment_pattern] = STATE(5931),
    [sym_array] = STATE(3113),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(3139),
    [sym_glimmer_opening_tag] = STATE(5702),
    [sym_jsx_element] = STATE(3139),
    [sym_jsx_opening_element] = STATE(4008),
    [sym_jsx_self_closing_element] = STATE(3139),
    [sym_class] = STATE(3113),
    [sym_class_declaration] = STATE(1573),
    [sym_function_expression] = STATE(3113),
    [sym_function_declaration] = STATE(1573),
    [sym_generator_function] = STATE(3113),
    [sym_generator_function_declaration] = STATE(1573),
    [sym_arrow_function] = STATE(3113),
    [sym__call_signature] = STATE(7486),
    [sym_call_expression] = STATE(3113),
    [sym_new_expression] = STATE(3139),
    [sym_await_expression] = STATE(3139),
    [sym_member_expression] = STATE(2177),
    [sym_subscript_expression] = STATE(2177),
    [sym_assignment_expression] = STATE(3139),
    [sym__augmented_assignment_lhs] = STATE(3835),
    [sym_augmented_assignment_expression] = STATE(3139),
    [sym__destructuring_pattern] = STATE(7363),
    [sym_spread_element] = STATE(5935),
    [sym_ternary_expression] = STATE(3139),
    [sym_binary_expression] = STATE(3139),
    [sym_unary_expression] = STATE(3139),
    [sym_update_expression] = STATE(3139),
    [sym_sequence_expression] = STATE(6676),
    [sym_string] = STATE(3277),
    [sym_comment] = STATE(11),
    [sym_template_string] = STATE(3113),
    [sym_regex] = STATE(3113),
    [sym_meta_property] = STATE(3113),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_rest_pattern] = STATE(5931),
    [sym_method_definition] = STATE(5935),
    [sym_pair] = STATE(5935),
    [sym_pair_pattern] = STATE(5931),
    [sym__property_name] = STATE(4662),
    [sym_computed_property_name] = STATE(4740),
    [sym_non_null_expression] = STATE(2177),
    [sym_function_signature] = STATE(1573),
    [sym_as_expression] = STATE(3139),
    [sym_satisfies_expression] = STATE(3139),
    [sym_instantiation_expression] = STATE(3139),
    [sym_ambient_declaration] = STATE(1573),
    [sym_abstract_class_declaration] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_internal_module] = STATE(437),
    [sym_import_alias] = STATE(1573),
    [sym_interface_declaration] = STATE(1573),
    [sym_enum_declaration] = STATE(1573),
    [sym_type_alias_declaration] = STATE(1573),
    [sym_accessibility_modifier] = STATE(3651),
    [sym_override_modifier] = STATE(3663),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_program_repeat1] = STATE(31),
    [aux_sym_export_statement_repeat1] = STATE(4771),
    [aux_sym_object_repeat1] = STATE(5939),
    [aux_sym_object_pattern_repeat1] = STATE(5945),
    [sym_identifier] = ACTIONS(221),
    [anon_sym_export] = ACTIONS(223),
    [anon_sym_STAR] = ACTIONS(225),
    [anon_sym_type] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(229),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_COMMA] = ACTIONS(231),
    [anon_sym_RBRACE] = ACTIONS(335),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(235),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_for] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_do] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(237),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(239),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(241),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(243),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(245),
    [sym_private_property_identifier] = ACTIONS(247),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(249),
    [anon_sym_readonly] = ACTIONS(251),
    [anon_sym_get] = ACTIONS(253),
    [anon_sym_set] = ACTIONS(253),
    [anon_sym_declare] = ACTIONS(255),
    [anon_sym_public] = ACTIONS(257),
    [anon_sym_private] = ACTIONS(257),
    [anon_sym_protected] = ACTIONS(257),
    [anon_sym_override] = ACTIONS(259),
    [anon_sym_module] = ACTIONS(261),
    [anon_sym_any] = ACTIONS(263),
    [anon_sym_number] = ACTIONS(263),
    [anon_sym_boolean] = ACTIONS(263),
    [anon_sym_string] = ACTIONS(263),
    [anon_sym_symbol] = ACTIONS(263),
    [anon_sym_object] = ACTIONS(263),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [12] = {
    [sym_export_statement] = STATE(1214),
    [sym_declaration] = STATE(1214),
    [sym_import] = STATE(4369),
    [sym_import_statement] = STATE(1214),
    [sym_expression_statement] = STATE(1214),
    [sym_variable_declaration] = STATE(1382),
    [sym_lexical_declaration] = STATE(1382),
    [sym_statement_block] = STATE(1214),
    [sym_if_statement] = STATE(1214),
    [sym_switch_statement] = STATE(1214),
    [sym_for_statement] = STATE(1214),
    [sym_for_in_statement] = STATE(1214),
    [sym_while_statement] = STATE(1214),
    [sym_do_statement] = STATE(1214),
    [sym_try_statement] = STATE(1214),
    [sym_with_statement] = STATE(1214),
    [sym_break_statement] = STATE(1214),
    [sym_continue_statement] = STATE(1214),
    [sym_debugger_statement] = STATE(1214),
    [sym_return_statement] = STATE(1214),
    [sym_throw_statement] = STATE(1214),
    [sym_empty_statement] = STATE(1214),
    [sym_labeled_statement] = STATE(1214),
    [sym_parenthesized_expression] = STATE(2177),
    [sym_expression] = STATE(2668),
    [sym_primary_expression] = STATE(2990),
    [sym_yield_expression] = STATE(3139),
    [sym_object] = STATE(3113),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(3113),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(3139),
    [sym_glimmer_opening_tag] = STATE(5702),
    [sym_jsx_element] = STATE(3139),
    [sym_jsx_opening_element] = STATE(4008),
    [sym_jsx_self_closing_element] = STATE(3139),
    [sym_class] = STATE(3113),
    [sym_class_declaration] = STATE(1382),
    [sym_function_expression] = STATE(3113),
    [sym_function_declaration] = STATE(1382),
    [sym_generator_function] = STATE(3113),
    [sym_generator_function_declaration] = STATE(1382),
    [sym_arrow_function] = STATE(3113),
    [sym__call_signature] = STATE(7486),
    [sym_call_expression] = STATE(3113),
    [sym_new_expression] = STATE(3139),
    [sym_await_expression] = STATE(3139),
    [sym_member_expression] = STATE(2177),
    [sym_subscript_expression] = STATE(2177),
    [sym_assignment_expression] = STATE(3139),
    [sym__augmented_assignment_lhs] = STATE(3835),
    [sym_augmented_assignment_expression] = STATE(3139),
    [sym__destructuring_pattern] = STATE(7484),
    [sym_ternary_expression] = STATE(3139),
    [sym_binary_expression] = STATE(3139),
    [sym_unary_expression] = STATE(3139),
    [sym_update_expression] = STATE(3139),
    [sym_sequence_expression] = STATE(6712),
    [sym_string] = STATE(3113),
    [sym_comment] = STATE(12),
    [sym_template_string] = STATE(3113),
    [sym_regex] = STATE(3113),
    [sym_meta_property] = STATE(3113),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2177),
    [sym_function_signature] = STATE(1382),
    [sym_as_expression] = STATE(3139),
    [sym_satisfies_expression] = STATE(3139),
    [sym_instantiation_expression] = STATE(3139),
    [sym_ambient_declaration] = STATE(1382),
    [sym_abstract_class_declaration] = STATE(1382),
    [sym_module] = STATE(1382),
    [sym_internal_module] = STATE(345),
    [sym_import_alias] = STATE(1382),
    [sym_interface_declaration] = STATE(1382),
    [sym_enum_declaration] = STATE(1382),
    [sym_type_alias_declaration] = STATE(1382),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_program_repeat1] = STATE(14),
    [aux_sym_export_statement_repeat1] = STATE(4953),
    [sym_identifier] = ACTIONS(337),
    [anon_sym_export] = ACTIONS(339),
    [anon_sym_default] = ACTIONS(341),
    [anon_sym_type] = ACTIONS(343),
    [anon_sym_namespace] = ACTIONS(345),
    [anon_sym_LBRACE] = ACTIONS(347),
    [anon_sym_RBRACE] = ACTIONS(341),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(349),
    [anon_sym_with] = ACTIONS(351),
    [anon_sym_var] = ACTIONS(353),
    [anon_sym_let] = ACTIONS(355),
    [anon_sym_const] = ACTIONS(357),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(359),
    [anon_sym_switch] = ACTIONS(361),
    [anon_sym_for] = ACTIONS(363),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(365),
    [anon_sym_do] = ACTIONS(367),
    [anon_sym_try] = ACTIONS(369),
    [anon_sym_break] = ACTIONS(371),
    [anon_sym_continue] = ACTIONS(373),
    [anon_sym_debugger] = ACTIONS(375),
    [anon_sym_return] = ACTIONS(377),
    [anon_sym_throw] = ACTIONS(379),
    [anon_sym_SEMI] = ACTIONS(381),
    [anon_sym_case] = ACTIONS(341),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(383),
    [anon_sym_async] = ACTIONS(385),
    [anon_sym_function] = ACTIONS(387),
    [anon_sym_new] = ACTIONS(389),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(391),
    [anon_sym_readonly] = ACTIONS(391),
    [anon_sym_get] = ACTIONS(391),
    [anon_sym_set] = ACTIONS(391),
    [anon_sym_declare] = ACTIONS(393),
    [anon_sym_public] = ACTIONS(391),
    [anon_sym_private] = ACTIONS(391),
    [anon_sym_protected] = ACTIONS(391),
    [anon_sym_override] = ACTIONS(391),
    [anon_sym_module] = ACTIONS(395),
    [anon_sym_any] = ACTIONS(391),
    [anon_sym_number] = ACTIONS(391),
    [anon_sym_boolean] = ACTIONS(391),
    [anon_sym_string] = ACTIONS(391),
    [anon_sym_symbol] = ACTIONS(391),
    [anon_sym_object] = ACTIONS(391),
    [anon_sym_abstract] = ACTIONS(397),
    [anon_sym_interface] = ACTIONS(399),
    [anon_sym_enum] = ACTIONS(401),
    [sym_html_comment] = ACTIONS(5),
  },
  [13] = {
    [sym_export_statement] = STATE(1214),
    [sym_declaration] = STATE(1214),
    [sym_import] = STATE(4369),
    [sym_import_statement] = STATE(1214),
    [sym_expression_statement] = STATE(1214),
    [sym_variable_declaration] = STATE(1382),
    [sym_lexical_declaration] = STATE(1382),
    [sym_statement_block] = STATE(1214),
    [sym_if_statement] = STATE(1214),
    [sym_switch_statement] = STATE(1214),
    [sym_for_statement] = STATE(1214),
    [sym_for_in_statement] = STATE(1214),
    [sym_while_statement] = STATE(1214),
    [sym_do_statement] = STATE(1214),
    [sym_try_statement] = STATE(1214),
    [sym_with_statement] = STATE(1214),
    [sym_break_statement] = STATE(1214),
    [sym_continue_statement] = STATE(1214),
    [sym_debugger_statement] = STATE(1214),
    [sym_return_statement] = STATE(1214),
    [sym_throw_statement] = STATE(1214),
    [sym_empty_statement] = STATE(1214),
    [sym_labeled_statement] = STATE(1214),
    [sym_parenthesized_expression] = STATE(2177),
    [sym_expression] = STATE(2668),
    [sym_primary_expression] = STATE(2990),
    [sym_yield_expression] = STATE(3139),
    [sym_object] = STATE(3113),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(3113),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(3139),
    [sym_glimmer_opening_tag] = STATE(5702),
    [sym_jsx_element] = STATE(3139),
    [sym_jsx_opening_element] = STATE(4008),
    [sym_jsx_self_closing_element] = STATE(3139),
    [sym_class] = STATE(3113),
    [sym_class_declaration] = STATE(1382),
    [sym_function_expression] = STATE(3113),
    [sym_function_declaration] = STATE(1382),
    [sym_generator_function] = STATE(3113),
    [sym_generator_function_declaration] = STATE(1382),
    [sym_arrow_function] = STATE(3113),
    [sym__call_signature] = STATE(7486),
    [sym_call_expression] = STATE(3113),
    [sym_new_expression] = STATE(3139),
    [sym_await_expression] = STATE(3139),
    [sym_member_expression] = STATE(2177),
    [sym_subscript_expression] = STATE(2177),
    [sym_assignment_expression] = STATE(3139),
    [sym__augmented_assignment_lhs] = STATE(3835),
    [sym_augmented_assignment_expression] = STATE(3139),
    [sym__destructuring_pattern] = STATE(7484),
    [sym_ternary_expression] = STATE(3139),
    [sym_binary_expression] = STATE(3139),
    [sym_unary_expression] = STATE(3139),
    [sym_update_expression] = STATE(3139),
    [sym_sequence_expression] = STATE(6712),
    [sym_string] = STATE(3113),
    [sym_comment] = STATE(13),
    [sym_template_string] = STATE(3113),
    [sym_regex] = STATE(3113),
    [sym_meta_property] = STATE(3113),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2177),
    [sym_function_signature] = STATE(1382),
    [sym_as_expression] = STATE(3139),
    [sym_satisfies_expression] = STATE(3139),
    [sym_instantiation_expression] = STATE(3139),
    [sym_ambient_declaration] = STATE(1382),
    [sym_abstract_class_declaration] = STATE(1382),
    [sym_module] = STATE(1382),
    [sym_internal_module] = STATE(345),
    [sym_import_alias] = STATE(1382),
    [sym_interface_declaration] = STATE(1382),
    [sym_enum_declaration] = STATE(1382),
    [sym_type_alias_declaration] = STATE(1382),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_program_repeat1] = STATE(13),
    [aux_sym_export_statement_repeat1] = STATE(4953),
    [sym_identifier] = ACTIONS(403),
    [anon_sym_export] = ACTIONS(406),
    [anon_sym_default] = ACTIONS(409),
    [anon_sym_type] = ACTIONS(411),
    [anon_sym_namespace] = ACTIONS(414),
    [anon_sym_LBRACE] = ACTIONS(417),
    [anon_sym_RBRACE] = ACTIONS(409),
    [anon_sym_typeof] = ACTIONS(420),
    [anon_sym_import] = ACTIONS(423),
    [anon_sym_with] = ACTIONS(426),
    [anon_sym_var] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(432),
    [anon_sym_const] = ACTIONS(435),
    [anon_sym_BANG] = ACTIONS(420),
    [anon_sym_if] = ACTIONS(438),
    [anon_sym_switch] = ACTIONS(441),
    [anon_sym_for] = ACTIONS(444),
    [anon_sym_LPAREN] = ACTIONS(447),
    [anon_sym_await] = ACTIONS(450),
    [anon_sym_while] = ACTIONS(453),
    [anon_sym_do] = ACTIONS(456),
    [anon_sym_try] = ACTIONS(459),
    [anon_sym_break] = ACTIONS(462),
    [anon_sym_continue] = ACTIONS(465),
    [anon_sym_debugger] = ACTIONS(468),
    [anon_sym_return] = ACTIONS(471),
    [anon_sym_throw] = ACTIONS(474),
    [anon_sym_SEMI] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(409),
    [anon_sym_yield] = ACTIONS(480),
    [anon_sym_LBRACK] = ACTIONS(483),
    [anon_sym_LTtemplate_GT] = ACTIONS(486),
    [anon_sym_DQUOTE] = ACTIONS(489),
    [anon_sym_SQUOTE] = ACTIONS(492),
    [anon_sym_class] = ACTIONS(495),
    [anon_sym_async] = ACTIONS(498),
    [anon_sym_function] = ACTIONS(501),
    [anon_sym_new] = ACTIONS(504),
    [anon_sym_using] = ACTIONS(507),
    [anon_sym_PLUS] = ACTIONS(420),
    [anon_sym_DASH] = ACTIONS(420),
    [anon_sym_SLASH] = ACTIONS(510),
    [anon_sym_LT] = ACTIONS(513),
    [anon_sym_TILDE] = ACTIONS(420),
    [anon_sym_void] = ACTIONS(420),
    [anon_sym_delete] = ACTIONS(420),
    [anon_sym_PLUS_PLUS] = ACTIONS(516),
    [anon_sym_DASH_DASH] = ACTIONS(516),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(519),
    [sym_number] = ACTIONS(522),
    [sym_private_property_identifier] = ACTIONS(525),
    [sym_this] = ACTIONS(522),
    [sym_super] = ACTIONS(522),
    [sym_true] = ACTIONS(522),
    [sym_false] = ACTIONS(522),
    [sym_null] = ACTIONS(522),
    [sym_undefined] = ACTIONS(528),
    [anon_sym_AT] = ACTIONS(531),
    [anon_sym_static] = ACTIONS(534),
    [anon_sym_readonly] = ACTIONS(534),
    [anon_sym_get] = ACTIONS(534),
    [anon_sym_set] = ACTIONS(534),
    [anon_sym_declare] = ACTIONS(537),
    [anon_sym_public] = ACTIONS(534),
    [anon_sym_private] = ACTIONS(534),
    [anon_sym_protected] = ACTIONS(534),
    [anon_sym_override] = ACTIONS(534),
    [anon_sym_module] = ACTIONS(540),
    [anon_sym_any] = ACTIONS(534),
    [anon_sym_number] = ACTIONS(534),
    [anon_sym_boolean] = ACTIONS(534),
    [anon_sym_string] = ACTIONS(534),
    [anon_sym_symbol] = ACTIONS(534),
    [anon_sym_object] = ACTIONS(534),
    [anon_sym_abstract] = ACTIONS(543),
    [anon_sym_interface] = ACTIONS(546),
    [anon_sym_enum] = ACTIONS(549),
    [sym_html_comment] = ACTIONS(5),
  },
  [14] = {
    [sym_export_statement] = STATE(1214),
    [sym_declaration] = STATE(1214),
    [sym_import] = STATE(4369),
    [sym_import_statement] = STATE(1214),
    [sym_expression_statement] = STATE(1214),
    [sym_variable_declaration] = STATE(1382),
    [sym_lexical_declaration] = STATE(1382),
    [sym_statement_block] = STATE(1214),
    [sym_if_statement] = STATE(1214),
    [sym_switch_statement] = STATE(1214),
    [sym_for_statement] = STATE(1214),
    [sym_for_in_statement] = STATE(1214),
    [sym_while_statement] = STATE(1214),
    [sym_do_statement] = STATE(1214),
    [sym_try_statement] = STATE(1214),
    [sym_with_statement] = STATE(1214),
    [sym_break_statement] = STATE(1214),
    [sym_continue_statement] = STATE(1214),
    [sym_debugger_statement] = STATE(1214),
    [sym_return_statement] = STATE(1214),
    [sym_throw_statement] = STATE(1214),
    [sym_empty_statement] = STATE(1214),
    [sym_labeled_statement] = STATE(1214),
    [sym_parenthesized_expression] = STATE(2177),
    [sym_expression] = STATE(2668),
    [sym_primary_expression] = STATE(2990),
    [sym_yield_expression] = STATE(3139),
    [sym_object] = STATE(3113),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(3113),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(3139),
    [sym_glimmer_opening_tag] = STATE(5702),
    [sym_jsx_element] = STATE(3139),
    [sym_jsx_opening_element] = STATE(4008),
    [sym_jsx_self_closing_element] = STATE(3139),
    [sym_class] = STATE(3113),
    [sym_class_declaration] = STATE(1382),
    [sym_function_expression] = STATE(3113),
    [sym_function_declaration] = STATE(1382),
    [sym_generator_function] = STATE(3113),
    [sym_generator_function_declaration] = STATE(1382),
    [sym_arrow_function] = STATE(3113),
    [sym__call_signature] = STATE(7486),
    [sym_call_expression] = STATE(3113),
    [sym_new_expression] = STATE(3139),
    [sym_await_expression] = STATE(3139),
    [sym_member_expression] = STATE(2177),
    [sym_subscript_expression] = STATE(2177),
    [sym_assignment_expression] = STATE(3139),
    [sym__augmented_assignment_lhs] = STATE(3835),
    [sym_augmented_assignment_expression] = STATE(3139),
    [sym__destructuring_pattern] = STATE(7484),
    [sym_ternary_expression] = STATE(3139),
    [sym_binary_expression] = STATE(3139),
    [sym_unary_expression] = STATE(3139),
    [sym_update_expression] = STATE(3139),
    [sym_sequence_expression] = STATE(6712),
    [sym_string] = STATE(3113),
    [sym_comment] = STATE(14),
    [sym_template_string] = STATE(3113),
    [sym_regex] = STATE(3113),
    [sym_meta_property] = STATE(3113),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2177),
    [sym_function_signature] = STATE(1382),
    [sym_as_expression] = STATE(3139),
    [sym_satisfies_expression] = STATE(3139),
    [sym_instantiation_expression] = STATE(3139),
    [sym_ambient_declaration] = STATE(1382),
    [sym_abstract_class_declaration] = STATE(1382),
    [sym_module] = STATE(1382),
    [sym_internal_module] = STATE(345),
    [sym_import_alias] = STATE(1382),
    [sym_interface_declaration] = STATE(1382),
    [sym_enum_declaration] = STATE(1382),
    [sym_type_alias_declaration] = STATE(1382),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_program_repeat1] = STATE(13),
    [aux_sym_export_statement_repeat1] = STATE(4953),
    [sym_identifier] = ACTIONS(337),
    [anon_sym_export] = ACTIONS(339),
    [anon_sym_default] = ACTIONS(552),
    [anon_sym_type] = ACTIONS(343),
    [anon_sym_namespace] = ACTIONS(345),
    [anon_sym_LBRACE] = ACTIONS(347),
    [anon_sym_RBRACE] = ACTIONS(552),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(349),
    [anon_sym_with] = ACTIONS(351),
    [anon_sym_var] = ACTIONS(353),
    [anon_sym_let] = ACTIONS(355),
    [anon_sym_const] = ACTIONS(357),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(359),
    [anon_sym_switch] = ACTIONS(361),
    [anon_sym_for] = ACTIONS(363),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(365),
    [anon_sym_do] = ACTIONS(367),
    [anon_sym_try] = ACTIONS(369),
    [anon_sym_break] = ACTIONS(371),
    [anon_sym_continue] = ACTIONS(373),
    [anon_sym_debugger] = ACTIONS(375),
    [anon_sym_return] = ACTIONS(377),
    [anon_sym_throw] = ACTIONS(379),
    [anon_sym_SEMI] = ACTIONS(381),
    [anon_sym_case] = ACTIONS(552),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(383),
    [anon_sym_async] = ACTIONS(385),
    [anon_sym_function] = ACTIONS(387),
    [anon_sym_new] = ACTIONS(389),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(391),
    [anon_sym_readonly] = ACTIONS(391),
    [anon_sym_get] = ACTIONS(391),
    [anon_sym_set] = ACTIONS(391),
    [anon_sym_declare] = ACTIONS(393),
    [anon_sym_public] = ACTIONS(391),
    [anon_sym_private] = ACTIONS(391),
    [anon_sym_protected] = ACTIONS(391),
    [anon_sym_override] = ACTIONS(391),
    [anon_sym_module] = ACTIONS(395),
    [anon_sym_any] = ACTIONS(391),
    [anon_sym_number] = ACTIONS(391),
    [anon_sym_boolean] = ACTIONS(391),
    [anon_sym_string] = ACTIONS(391),
    [anon_sym_symbol] = ACTIONS(391),
    [anon_sym_object] = ACTIONS(391),
    [anon_sym_abstract] = ACTIONS(397),
    [anon_sym_interface] = ACTIONS(399),
    [anon_sym_enum] = ACTIONS(401),
    [sym_html_comment] = ACTIONS(5),
  },
  [15] = {
    [sym_export_statement] = STATE(1214),
    [sym_declaration] = STATE(1214),
    [sym_import] = STATE(4369),
    [sym_import_statement] = STATE(1214),
    [sym_expression_statement] = STATE(1214),
    [sym_variable_declaration] = STATE(1382),
    [sym_lexical_declaration] = STATE(1382),
    [sym_statement_block] = STATE(1214),
    [sym_if_statement] = STATE(1214),
    [sym_switch_statement] = STATE(1214),
    [sym_for_statement] = STATE(1214),
    [sym_for_in_statement] = STATE(1214),
    [sym_while_statement] = STATE(1214),
    [sym_do_statement] = STATE(1214),
    [sym_try_statement] = STATE(1214),
    [sym_with_statement] = STATE(1214),
    [sym_break_statement] = STATE(1214),
    [sym_continue_statement] = STATE(1214),
    [sym_debugger_statement] = STATE(1214),
    [sym_return_statement] = STATE(1214),
    [sym_throw_statement] = STATE(1214),
    [sym_empty_statement] = STATE(1214),
    [sym_labeled_statement] = STATE(1214),
    [sym_parenthesized_expression] = STATE(2177),
    [sym_expression] = STATE(2668),
    [sym_primary_expression] = STATE(2990),
    [sym_yield_expression] = STATE(3139),
    [sym_object] = STATE(3113),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(3113),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(3139),
    [sym_glimmer_opening_tag] = STATE(5702),
    [sym_jsx_element] = STATE(3139),
    [sym_jsx_opening_element] = STATE(4008),
    [sym_jsx_self_closing_element] = STATE(3139),
    [sym_class] = STATE(3113),
    [sym_class_declaration] = STATE(1382),
    [sym_function_expression] = STATE(3113),
    [sym_function_declaration] = STATE(1382),
    [sym_generator_function] = STATE(3113),
    [sym_generator_function_declaration] = STATE(1382),
    [sym_arrow_function] = STATE(3113),
    [sym__call_signature] = STATE(7486),
    [sym_call_expression] = STATE(3113),
    [sym_new_expression] = STATE(3139),
    [sym_await_expression] = STATE(3139),
    [sym_member_expression] = STATE(2177),
    [sym_subscript_expression] = STATE(2177),
    [sym_assignment_expression] = STATE(3139),
    [sym__augmented_assignment_lhs] = STATE(3835),
    [sym_augmented_assignment_expression] = STATE(3139),
    [sym__destructuring_pattern] = STATE(7484),
    [sym_ternary_expression] = STATE(3139),
    [sym_binary_expression] = STATE(3139),
    [sym_unary_expression] = STATE(3139),
    [sym_update_expression] = STATE(3139),
    [sym_sequence_expression] = STATE(6712),
    [sym_string] = STATE(3113),
    [sym_comment] = STATE(15),
    [sym_template_string] = STATE(3113),
    [sym_regex] = STATE(3113),
    [sym_meta_property] = STATE(3113),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2177),
    [sym_function_signature] = STATE(1382),
    [sym_as_expression] = STATE(3139),
    [sym_satisfies_expression] = STATE(3139),
    [sym_instantiation_expression] = STATE(3139),
    [sym_ambient_declaration] = STATE(1382),
    [sym_abstract_class_declaration] = STATE(1382),
    [sym_module] = STATE(1382),
    [sym_internal_module] = STATE(345),
    [sym_import_alias] = STATE(1382),
    [sym_interface_declaration] = STATE(1382),
    [sym_enum_declaration] = STATE(1382),
    [sym_type_alias_declaration] = STATE(1382),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_program_repeat1] = STATE(16),
    [aux_sym_export_statement_repeat1] = STATE(4953),
    [sym_identifier] = ACTIONS(337),
    [anon_sym_export] = ACTIONS(339),
    [anon_sym_default] = ACTIONS(554),
    [anon_sym_type] = ACTIONS(343),
    [anon_sym_namespace] = ACTIONS(345),
    [anon_sym_LBRACE] = ACTIONS(347),
    [anon_sym_RBRACE] = ACTIONS(554),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(349),
    [anon_sym_with] = ACTIONS(351),
    [anon_sym_var] = ACTIONS(353),
    [anon_sym_let] = ACTIONS(355),
    [anon_sym_const] = ACTIONS(357),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(359),
    [anon_sym_switch] = ACTIONS(361),
    [anon_sym_for] = ACTIONS(363),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(365),
    [anon_sym_do] = ACTIONS(367),
    [anon_sym_try] = ACTIONS(369),
    [anon_sym_break] = ACTIONS(371),
    [anon_sym_continue] = ACTIONS(373),
    [anon_sym_debugger] = ACTIONS(375),
    [anon_sym_return] = ACTIONS(377),
    [anon_sym_throw] = ACTIONS(379),
    [anon_sym_SEMI] = ACTIONS(381),
    [anon_sym_case] = ACTIONS(554),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(383),
    [anon_sym_async] = ACTIONS(385),
    [anon_sym_function] = ACTIONS(387),
    [anon_sym_new] = ACTIONS(389),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(391),
    [anon_sym_readonly] = ACTIONS(391),
    [anon_sym_get] = ACTIONS(391),
    [anon_sym_set] = ACTIONS(391),
    [anon_sym_declare] = ACTIONS(393),
    [anon_sym_public] = ACTIONS(391),
    [anon_sym_private] = ACTIONS(391),
    [anon_sym_protected] = ACTIONS(391),
    [anon_sym_override] = ACTIONS(391),
    [anon_sym_module] = ACTIONS(395),
    [anon_sym_any] = ACTIONS(391),
    [anon_sym_number] = ACTIONS(391),
    [anon_sym_boolean] = ACTIONS(391),
    [anon_sym_string] = ACTIONS(391),
    [anon_sym_symbol] = ACTIONS(391),
    [anon_sym_object] = ACTIONS(391),
    [anon_sym_abstract] = ACTIONS(397),
    [anon_sym_interface] = ACTIONS(399),
    [anon_sym_enum] = ACTIONS(401),
    [sym_html_comment] = ACTIONS(5),
  },
  [16] = {
    [sym_export_statement] = STATE(1214),
    [sym_declaration] = STATE(1214),
    [sym_import] = STATE(4369),
    [sym_import_statement] = STATE(1214),
    [sym_expression_statement] = STATE(1214),
    [sym_variable_declaration] = STATE(1382),
    [sym_lexical_declaration] = STATE(1382),
    [sym_statement_block] = STATE(1214),
    [sym_if_statement] = STATE(1214),
    [sym_switch_statement] = STATE(1214),
    [sym_for_statement] = STATE(1214),
    [sym_for_in_statement] = STATE(1214),
    [sym_while_statement] = STATE(1214),
    [sym_do_statement] = STATE(1214),
    [sym_try_statement] = STATE(1214),
    [sym_with_statement] = STATE(1214),
    [sym_break_statement] = STATE(1214),
    [sym_continue_statement] = STATE(1214),
    [sym_debugger_statement] = STATE(1214),
    [sym_return_statement] = STATE(1214),
    [sym_throw_statement] = STATE(1214),
    [sym_empty_statement] = STATE(1214),
    [sym_labeled_statement] = STATE(1214),
    [sym_parenthesized_expression] = STATE(2177),
    [sym_expression] = STATE(2668),
    [sym_primary_expression] = STATE(2990),
    [sym_yield_expression] = STATE(3139),
    [sym_object] = STATE(3113),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(3113),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(3139),
    [sym_glimmer_opening_tag] = STATE(5702),
    [sym_jsx_element] = STATE(3139),
    [sym_jsx_opening_element] = STATE(4008),
    [sym_jsx_self_closing_element] = STATE(3139),
    [sym_class] = STATE(3113),
    [sym_class_declaration] = STATE(1382),
    [sym_function_expression] = STATE(3113),
    [sym_function_declaration] = STATE(1382),
    [sym_generator_function] = STATE(3113),
    [sym_generator_function_declaration] = STATE(1382),
    [sym_arrow_function] = STATE(3113),
    [sym__call_signature] = STATE(7486),
    [sym_call_expression] = STATE(3113),
    [sym_new_expression] = STATE(3139),
    [sym_await_expression] = STATE(3139),
    [sym_member_expression] = STATE(2177),
    [sym_subscript_expression] = STATE(2177),
    [sym_assignment_expression] = STATE(3139),
    [sym__augmented_assignment_lhs] = STATE(3835),
    [sym_augmented_assignment_expression] = STATE(3139),
    [sym__destructuring_pattern] = STATE(7484),
    [sym_ternary_expression] = STATE(3139),
    [sym_binary_expression] = STATE(3139),
    [sym_unary_expression] = STATE(3139),
    [sym_update_expression] = STATE(3139),
    [sym_sequence_expression] = STATE(6712),
    [sym_string] = STATE(3113),
    [sym_comment] = STATE(16),
    [sym_template_string] = STATE(3113),
    [sym_regex] = STATE(3113),
    [sym_meta_property] = STATE(3113),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2177),
    [sym_function_signature] = STATE(1382),
    [sym_as_expression] = STATE(3139),
    [sym_satisfies_expression] = STATE(3139),
    [sym_instantiation_expression] = STATE(3139),
    [sym_ambient_declaration] = STATE(1382),
    [sym_abstract_class_declaration] = STATE(1382),
    [sym_module] = STATE(1382),
    [sym_internal_module] = STATE(345),
    [sym_import_alias] = STATE(1382),
    [sym_interface_declaration] = STATE(1382),
    [sym_enum_declaration] = STATE(1382),
    [sym_type_alias_declaration] = STATE(1382),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_program_repeat1] = STATE(13),
    [aux_sym_export_statement_repeat1] = STATE(4953),
    [sym_identifier] = ACTIONS(337),
    [anon_sym_export] = ACTIONS(339),
    [anon_sym_default] = ACTIONS(556),
    [anon_sym_type] = ACTIONS(343),
    [anon_sym_namespace] = ACTIONS(345),
    [anon_sym_LBRACE] = ACTIONS(347),
    [anon_sym_RBRACE] = ACTIONS(556),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(349),
    [anon_sym_with] = ACTIONS(351),
    [anon_sym_var] = ACTIONS(353),
    [anon_sym_let] = ACTIONS(355),
    [anon_sym_const] = ACTIONS(357),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(359),
    [anon_sym_switch] = ACTIONS(361),
    [anon_sym_for] = ACTIONS(363),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(365),
    [anon_sym_do] = ACTIONS(367),
    [anon_sym_try] = ACTIONS(369),
    [anon_sym_break] = ACTIONS(371),
    [anon_sym_continue] = ACTIONS(373),
    [anon_sym_debugger] = ACTIONS(375),
    [anon_sym_return] = ACTIONS(377),
    [anon_sym_throw] = ACTIONS(379),
    [anon_sym_SEMI] = ACTIONS(381),
    [anon_sym_case] = ACTIONS(556),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(383),
    [anon_sym_async] = ACTIONS(385),
    [anon_sym_function] = ACTIONS(387),
    [anon_sym_new] = ACTIONS(389),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(391),
    [anon_sym_readonly] = ACTIONS(391),
    [anon_sym_get] = ACTIONS(391),
    [anon_sym_set] = ACTIONS(391),
    [anon_sym_declare] = ACTIONS(393),
    [anon_sym_public] = ACTIONS(391),
    [anon_sym_private] = ACTIONS(391),
    [anon_sym_protected] = ACTIONS(391),
    [anon_sym_override] = ACTIONS(391),
    [anon_sym_module] = ACTIONS(395),
    [anon_sym_any] = ACTIONS(391),
    [anon_sym_number] = ACTIONS(391),
    [anon_sym_boolean] = ACTIONS(391),
    [anon_sym_string] = ACTIONS(391),
    [anon_sym_symbol] = ACTIONS(391),
    [anon_sym_object] = ACTIONS(391),
    [anon_sym_abstract] = ACTIONS(397),
    [anon_sym_interface] = ACTIONS(399),
    [anon_sym_enum] = ACTIONS(401),
    [sym_html_comment] = ACTIONS(5),
  },
  [17] = {
    [sym_export_statement] = STATE(1572),
    [sym_declaration] = STATE(1572),
    [sym_import] = STATE(4369),
    [sym_import_statement] = STATE(1572),
    [sym_expression_statement] = STATE(1572),
    [sym_variable_declaration] = STATE(1573),
    [sym_lexical_declaration] = STATE(1573),
    [sym_statement_block] = STATE(1572),
    [sym_if_statement] = STATE(1572),
    [sym_switch_statement] = STATE(1572),
    [sym_for_statement] = STATE(1572),
    [sym_for_in_statement] = STATE(1572),
    [sym_while_statement] = STATE(1572),
    [sym_do_statement] = STATE(1572),
    [sym_try_statement] = STATE(1572),
    [sym_with_statement] = STATE(1572),
    [sym_break_statement] = STATE(1572),
    [sym_continue_statement] = STATE(1572),
    [sym_debugger_statement] = STATE(1572),
    [sym_return_statement] = STATE(1572),
    [sym_throw_statement] = STATE(1572),
    [sym_empty_statement] = STATE(1572),
    [sym_labeled_statement] = STATE(1572),
    [sym_parenthesized_expression] = STATE(2177),
    [sym_expression] = STATE(2545),
    [sym_primary_expression] = STATE(2990),
    [sym_yield_expression] = STATE(3139),
    [sym_object] = STATE(3113),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(3113),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(3139),
    [sym_glimmer_opening_tag] = STATE(5702),
    [sym_jsx_element] = STATE(3139),
    [sym_jsx_opening_element] = STATE(4008),
    [sym_jsx_self_closing_element] = STATE(3139),
    [sym_class] = STATE(3113),
    [sym_class_declaration] = STATE(1573),
    [sym_function_expression] = STATE(3113),
    [sym_function_declaration] = STATE(1573),
    [sym_generator_function] = STATE(3113),
    [sym_generator_function_declaration] = STATE(1573),
    [sym_arrow_function] = STATE(3113),
    [sym__call_signature] = STATE(7486),
    [sym_call_expression] = STATE(3113),
    [sym_new_expression] = STATE(3139),
    [sym_await_expression] = STATE(3139),
    [sym_member_expression] = STATE(2177),
    [sym_subscript_expression] = STATE(2177),
    [sym_assignment_expression] = STATE(3139),
    [sym__augmented_assignment_lhs] = STATE(3835),
    [sym_augmented_assignment_expression] = STATE(3139),
    [sym__destructuring_pattern] = STATE(7484),
    [sym_ternary_expression] = STATE(3139),
    [sym_binary_expression] = STATE(3139),
    [sym_unary_expression] = STATE(3139),
    [sym_update_expression] = STATE(3139),
    [sym_sequence_expression] = STATE(6676),
    [sym_string] = STATE(3113),
    [sym_comment] = STATE(17),
    [sym_template_string] = STATE(3113),
    [sym_regex] = STATE(3113),
    [sym_meta_property] = STATE(3113),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2177),
    [sym_function_signature] = STATE(1573),
    [sym_as_expression] = STATE(3139),
    [sym_satisfies_expression] = STATE(3139),
    [sym_instantiation_expression] = STATE(3139),
    [sym_ambient_declaration] = STATE(1573),
    [sym_abstract_class_declaration] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_internal_module] = STATE(437),
    [sym_import_alias] = STATE(1573),
    [sym_interface_declaration] = STATE(1573),
    [sym_enum_declaration] = STATE(1573),
    [sym_type_alias_declaration] = STATE(1573),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_program_repeat1] = STATE(17),
    [aux_sym_export_statement_repeat1] = STATE(4771),
    [ts_builtin_sym_end] = ACTIONS(558),
    [sym_identifier] = ACTIONS(560),
    [anon_sym_export] = ACTIONS(563),
    [anon_sym_type] = ACTIONS(566),
    [anon_sym_namespace] = ACTIONS(569),
    [anon_sym_LBRACE] = ACTIONS(572),
    [anon_sym_RBRACE] = ACTIONS(409),
    [anon_sym_typeof] = ACTIONS(420),
    [anon_sym_import] = ACTIONS(575),
    [anon_sym_with] = ACTIONS(578),
    [anon_sym_var] = ACTIONS(581),
    [anon_sym_let] = ACTIONS(584),
    [anon_sym_const] = ACTIONS(587),
    [anon_sym_BANG] = ACTIONS(420),
    [anon_sym_if] = ACTIONS(590),
    [anon_sym_switch] = ACTIONS(593),
    [anon_sym_for] = ACTIONS(596),
    [anon_sym_LPAREN] = ACTIONS(447),
    [anon_sym_await] = ACTIONS(450),
    [anon_sym_while] = ACTIONS(599),
    [anon_sym_do] = ACTIONS(602),
    [anon_sym_try] = ACTIONS(605),
    [anon_sym_break] = ACTIONS(608),
    [anon_sym_continue] = ACTIONS(611),
    [anon_sym_debugger] = ACTIONS(614),
    [anon_sym_return] = ACTIONS(617),
    [anon_sym_throw] = ACTIONS(620),
    [anon_sym_SEMI] = ACTIONS(623),
    [anon_sym_yield] = ACTIONS(480),
    [anon_sym_LBRACK] = ACTIONS(483),
    [anon_sym_LTtemplate_GT] = ACTIONS(486),
    [anon_sym_DQUOTE] = ACTIONS(489),
    [anon_sym_SQUOTE] = ACTIONS(492),
    [anon_sym_class] = ACTIONS(626),
    [anon_sym_async] = ACTIONS(629),
    [anon_sym_function] = ACTIONS(632),
    [anon_sym_new] = ACTIONS(635),
    [anon_sym_using] = ACTIONS(507),
    [anon_sym_PLUS] = ACTIONS(420),
    [anon_sym_DASH] = ACTIONS(420),
    [anon_sym_SLASH] = ACTIONS(510),
    [anon_sym_LT] = ACTIONS(513),
    [anon_sym_TILDE] = ACTIONS(420),
    [anon_sym_void] = ACTIONS(420),
    [anon_sym_delete] = ACTIONS(420),
    [anon_sym_PLUS_PLUS] = ACTIONS(516),
    [anon_sym_DASH_DASH] = ACTIONS(516),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(519),
    [sym_number] = ACTIONS(522),
    [sym_private_property_identifier] = ACTIONS(525),
    [sym_this] = ACTIONS(522),
    [sym_super] = ACTIONS(522),
    [sym_true] = ACTIONS(522),
    [sym_false] = ACTIONS(522),
    [sym_null] = ACTIONS(522),
    [sym_undefined] = ACTIONS(528),
    [anon_sym_AT] = ACTIONS(531),
    [anon_sym_static] = ACTIONS(638),
    [anon_sym_readonly] = ACTIONS(638),
    [anon_sym_get] = ACTIONS(638),
    [anon_sym_set] = ACTIONS(638),
    [anon_sym_declare] = ACTIONS(641),
    [anon_sym_public] = ACTIONS(638),
    [anon_sym_private] = ACTIONS(638),
    [anon_sym_protected] = ACTIONS(638),
    [anon_sym_override] = ACTIONS(638),
    [anon_sym_module] = ACTIONS(644),
    [anon_sym_any] = ACTIONS(638),
    [anon_sym_number] = ACTIONS(638),
    [anon_sym_boolean] = ACTIONS(638),
    [anon_sym_string] = ACTIONS(638),
    [anon_sym_symbol] = ACTIONS(638),
    [anon_sym_object] = ACTIONS(638),
    [anon_sym_abstract] = ACTIONS(647),
    [anon_sym_interface] = ACTIONS(650),
    [anon_sym_enum] = ACTIONS(653),
    [sym_html_comment] = ACTIONS(5),
  },
  [18] = {
    [sym_export_statement] = STATE(1572),
    [sym_declaration] = STATE(1572),
    [sym_import] = STATE(4369),
    [sym_import_statement] = STATE(1572),
    [sym_expression_statement] = STATE(1572),
    [sym_variable_declaration] = STATE(1573),
    [sym_lexical_declaration] = STATE(1573),
    [sym_statement_block] = STATE(1572),
    [sym_if_statement] = STATE(1572),
    [sym_switch_statement] = STATE(1572),
    [sym_for_statement] = STATE(1572),
    [sym_for_in_statement] = STATE(1572),
    [sym_while_statement] = STATE(1572),
    [sym_do_statement] = STATE(1572),
    [sym_try_statement] = STATE(1572),
    [sym_with_statement] = STATE(1572),
    [sym_break_statement] = STATE(1572),
    [sym_continue_statement] = STATE(1572),
    [sym_debugger_statement] = STATE(1572),
    [sym_return_statement] = STATE(1572),
    [sym_throw_statement] = STATE(1572),
    [sym_empty_statement] = STATE(1572),
    [sym_labeled_statement] = STATE(1572),
    [sym_parenthesized_expression] = STATE(2177),
    [sym_expression] = STATE(2545),
    [sym_primary_expression] = STATE(2990),
    [sym_yield_expression] = STATE(3139),
    [sym_object] = STATE(3113),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(3113),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(3139),
    [sym_glimmer_opening_tag] = STATE(5702),
    [sym_jsx_element] = STATE(3139),
    [sym_jsx_opening_element] = STATE(4008),
    [sym_jsx_self_closing_element] = STATE(3139),
    [sym_class] = STATE(3113),
    [sym_class_declaration] = STATE(1573),
    [sym_function_expression] = STATE(3113),
    [sym_function_declaration] = STATE(1573),
    [sym_generator_function] = STATE(3113),
    [sym_generator_function_declaration] = STATE(1573),
    [sym_arrow_function] = STATE(3113),
    [sym__call_signature] = STATE(7486),
    [sym_call_expression] = STATE(3113),
    [sym_new_expression] = STATE(3139),
    [sym_await_expression] = STATE(3139),
    [sym_member_expression] = STATE(2177),
    [sym_subscript_expression] = STATE(2177),
    [sym_assignment_expression] = STATE(3139),
    [sym__augmented_assignment_lhs] = STATE(3835),
    [sym_augmented_assignment_expression] = STATE(3139),
    [sym__destructuring_pattern] = STATE(7484),
    [sym_ternary_expression] = STATE(3139),
    [sym_binary_expression] = STATE(3139),
    [sym_unary_expression] = STATE(3139),
    [sym_update_expression] = STATE(3139),
    [sym_sequence_expression] = STATE(6676),
    [sym_string] = STATE(3113),
    [sym_comment] = STATE(18),
    [sym_template_string] = STATE(3113),
    [sym_regex] = STATE(3113),
    [sym_meta_property] = STATE(3113),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2177),
    [sym_function_signature] = STATE(1573),
    [sym_as_expression] = STATE(3139),
    [sym_satisfies_expression] = STATE(3139),
    [sym_instantiation_expression] = STATE(3139),
    [sym_ambient_declaration] = STATE(1573),
    [sym_abstract_class_declaration] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_internal_module] = STATE(437),
    [sym_import_alias] = STATE(1573),
    [sym_interface_declaration] = STATE(1573),
    [sym_enum_declaration] = STATE(1573),
    [sym_type_alias_declaration] = STATE(1573),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_program_repeat1] = STATE(36),
    [aux_sym_export_statement_repeat1] = STATE(4771),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(656),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_for] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_do] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [19] = {
    [sym_export_statement] = STATE(1572),
    [sym_declaration] = STATE(1572),
    [sym_import] = STATE(4369),
    [sym_import_statement] = STATE(1572),
    [sym_expression_statement] = STATE(1572),
    [sym_variable_declaration] = STATE(1573),
    [sym_lexical_declaration] = STATE(1573),
    [sym_statement_block] = STATE(1572),
    [sym_if_statement] = STATE(1572),
    [sym_switch_statement] = STATE(1572),
    [sym_for_statement] = STATE(1572),
    [sym_for_in_statement] = STATE(1572),
    [sym_while_statement] = STATE(1572),
    [sym_do_statement] = STATE(1572),
    [sym_try_statement] = STATE(1572),
    [sym_with_statement] = STATE(1572),
    [sym_break_statement] = STATE(1572),
    [sym_continue_statement] = STATE(1572),
    [sym_debugger_statement] = STATE(1572),
    [sym_return_statement] = STATE(1572),
    [sym_throw_statement] = STATE(1572),
    [sym_empty_statement] = STATE(1572),
    [sym_labeled_statement] = STATE(1572),
    [sym_parenthesized_expression] = STATE(2177),
    [sym_expression] = STATE(2545),
    [sym_primary_expression] = STATE(2990),
    [sym_yield_expression] = STATE(3139),
    [sym_object] = STATE(3113),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(3113),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(3139),
    [sym_glimmer_opening_tag] = STATE(5702),
    [sym_jsx_element] = STATE(3139),
    [sym_jsx_opening_element] = STATE(4008),
    [sym_jsx_self_closing_element] = STATE(3139),
    [sym_class] = STATE(3113),
    [sym_class_declaration] = STATE(1573),
    [sym_function_expression] = STATE(3113),
    [sym_function_declaration] = STATE(1573),
    [sym_generator_function] = STATE(3113),
    [sym_generator_function_declaration] = STATE(1573),
    [sym_arrow_function] = STATE(3113),
    [sym__call_signature] = STATE(7486),
    [sym_call_expression] = STATE(3113),
    [sym_new_expression] = STATE(3139),
    [sym_await_expression] = STATE(3139),
    [sym_member_expression] = STATE(2177),
    [sym_subscript_expression] = STATE(2177),
    [sym_assignment_expression] = STATE(3139),
    [sym__augmented_assignment_lhs] = STATE(3835),
    [sym_augmented_assignment_expression] = STATE(3139),
    [sym__destructuring_pattern] = STATE(7484),
    [sym_ternary_expression] = STATE(3139),
    [sym_binary_expression] = STATE(3139),
    [sym_unary_expression] = STATE(3139),
    [sym_update_expression] = STATE(3139),
    [sym_sequence_expression] = STATE(6676),
    [sym_string] = STATE(3113),
    [sym_comment] = STATE(19),
    [sym_template_string] = STATE(3113),
    [sym_regex] = STATE(3113),
    [sym_meta_property] = STATE(3113),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2177),
    [sym_function_signature] = STATE(1573),
    [sym_as_expression] = STATE(3139),
    [sym_satisfies_expression] = STATE(3139),
    [sym_instantiation_expression] = STATE(3139),
    [sym_ambient_declaration] = STATE(1573),
    [sym_abstract_class_declaration] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_internal_module] = STATE(437),
    [sym_import_alias] = STATE(1573),
    [sym_interface_declaration] = STATE(1573),
    [sym_enum_declaration] = STATE(1573),
    [sym_type_alias_declaration] = STATE(1573),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_program_repeat1] = STATE(17),
    [aux_sym_export_statement_repeat1] = STATE(4771),
    [ts_builtin_sym_end] = ACTIONS(658),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_for] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_do] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [20] = {
    [sym_export_statement] = STATE(1572),
    [sym_declaration] = STATE(1572),
    [sym_import] = STATE(4369),
    [sym_import_statement] = STATE(1572),
    [sym_expression_statement] = STATE(1572),
    [sym_variable_declaration] = STATE(1573),
    [sym_lexical_declaration] = STATE(1573),
    [sym_statement_block] = STATE(1572),
    [sym_if_statement] = STATE(1572),
    [sym_switch_statement] = STATE(1572),
    [sym_for_statement] = STATE(1572),
    [sym_for_in_statement] = STATE(1572),
    [sym_while_statement] = STATE(1572),
    [sym_do_statement] = STATE(1572),
    [sym_try_statement] = STATE(1572),
    [sym_with_statement] = STATE(1572),
    [sym_break_statement] = STATE(1572),
    [sym_continue_statement] = STATE(1572),
    [sym_debugger_statement] = STATE(1572),
    [sym_return_statement] = STATE(1572),
    [sym_throw_statement] = STATE(1572),
    [sym_empty_statement] = STATE(1572),
    [sym_labeled_statement] = STATE(1572),
    [sym_parenthesized_expression] = STATE(2177),
    [sym_expression] = STATE(2545),
    [sym_primary_expression] = STATE(2990),
    [sym_yield_expression] = STATE(3139),
    [sym_object] = STATE(3113),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(3113),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(3139),
    [sym_glimmer_opening_tag] = STATE(5702),
    [sym_jsx_element] = STATE(3139),
    [sym_jsx_opening_element] = STATE(4008),
    [sym_jsx_self_closing_element] = STATE(3139),
    [sym_class] = STATE(3113),
    [sym_class_declaration] = STATE(1573),
    [sym_function_expression] = STATE(3113),
    [sym_function_declaration] = STATE(1573),
    [sym_generator_function] = STATE(3113),
    [sym_generator_function_declaration] = STATE(1573),
    [sym_arrow_function] = STATE(3113),
    [sym__call_signature] = STATE(7486),
    [sym_call_expression] = STATE(3113),
    [sym_new_expression] = STATE(3139),
    [sym_await_expression] = STATE(3139),
    [sym_member_expression] = STATE(2177),
    [sym_subscript_expression] = STATE(2177),
    [sym_assignment_expression] = STATE(3139),
    [sym__augmented_assignment_lhs] = STATE(3835),
    [sym_augmented_assignment_expression] = STATE(3139),
    [sym__destructuring_pattern] = STATE(7484),
    [sym_ternary_expression] = STATE(3139),
    [sym_binary_expression] = STATE(3139),
    [sym_unary_expression] = STATE(3139),
    [sym_update_expression] = STATE(3139),
    [sym_sequence_expression] = STATE(6676),
    [sym_string] = STATE(3113),
    [sym_comment] = STATE(20),
    [sym_template_string] = STATE(3113),
    [sym_regex] = STATE(3113),
    [sym_meta_property] = STATE(3113),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2177),
    [sym_function_signature] = STATE(1573),
    [sym_as_expression] = STATE(3139),
    [sym_satisfies_expression] = STATE(3139),
    [sym_instantiation_expression] = STATE(3139),
    [sym_ambient_declaration] = STATE(1573),
    [sym_abstract_class_declaration] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_internal_module] = STATE(437),
    [sym_import_alias] = STATE(1573),
    [sym_interface_declaration] = STATE(1573),
    [sym_enum_declaration] = STATE(1573),
    [sym_type_alias_declaration] = STATE(1573),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_program_repeat1] = STATE(17),
    [aux_sym_export_statement_repeat1] = STATE(4771),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(660),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_for] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_do] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [21] = {
    [sym_export_statement] = STATE(1572),
    [sym_declaration] = STATE(1572),
    [sym_import] = STATE(4369),
    [sym_import_statement] = STATE(1572),
    [sym_expression_statement] = STATE(1572),
    [sym_variable_declaration] = STATE(1573),
    [sym_lexical_declaration] = STATE(1573),
    [sym_statement_block] = STATE(1572),
    [sym_if_statement] = STATE(1572),
    [sym_switch_statement] = STATE(1572),
    [sym_for_statement] = STATE(1572),
    [sym_for_in_statement] = STATE(1572),
    [sym_while_statement] = STATE(1572),
    [sym_do_statement] = STATE(1572),
    [sym_try_statement] = STATE(1572),
    [sym_with_statement] = STATE(1572),
    [sym_break_statement] = STATE(1572),
    [sym_continue_statement] = STATE(1572),
    [sym_debugger_statement] = STATE(1572),
    [sym_return_statement] = STATE(1572),
    [sym_throw_statement] = STATE(1572),
    [sym_empty_statement] = STATE(1572),
    [sym_labeled_statement] = STATE(1572),
    [sym_parenthesized_expression] = STATE(2177),
    [sym_expression] = STATE(2545),
    [sym_primary_expression] = STATE(2990),
    [sym_yield_expression] = STATE(3139),
    [sym_object] = STATE(3113),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(3113),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(3139),
    [sym_glimmer_opening_tag] = STATE(5702),
    [sym_jsx_element] = STATE(3139),
    [sym_jsx_opening_element] = STATE(4008),
    [sym_jsx_self_closing_element] = STATE(3139),
    [sym_class] = STATE(3113),
    [sym_class_declaration] = STATE(1573),
    [sym_function_expression] = STATE(3113),
    [sym_function_declaration] = STATE(1573),
    [sym_generator_function] = STATE(3113),
    [sym_generator_function_declaration] = STATE(1573),
    [sym_arrow_function] = STATE(3113),
    [sym__call_signature] = STATE(7486),
    [sym_call_expression] = STATE(3113),
    [sym_new_expression] = STATE(3139),
    [sym_await_expression] = STATE(3139),
    [sym_member_expression] = STATE(2177),
    [sym_subscript_expression] = STATE(2177),
    [sym_assignment_expression] = STATE(3139),
    [sym__augmented_assignment_lhs] = STATE(3835),
    [sym_augmented_assignment_expression] = STATE(3139),
    [sym__destructuring_pattern] = STATE(7484),
    [sym_ternary_expression] = STATE(3139),
    [sym_binary_expression] = STATE(3139),
    [sym_unary_expression] = STATE(3139),
    [sym_update_expression] = STATE(3139),
    [sym_sequence_expression] = STATE(6676),
    [sym_string] = STATE(3113),
    [sym_comment] = STATE(21),
    [sym_template_string] = STATE(3113),
    [sym_regex] = STATE(3113),
    [sym_meta_property] = STATE(3113),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2177),
    [sym_function_signature] = STATE(1573),
    [sym_as_expression] = STATE(3139),
    [sym_satisfies_expression] = STATE(3139),
    [sym_instantiation_expression] = STATE(3139),
    [sym_ambient_declaration] = STATE(1573),
    [sym_abstract_class_declaration] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_internal_module] = STATE(437),
    [sym_import_alias] = STATE(1573),
    [sym_interface_declaration] = STATE(1573),
    [sym_enum_declaration] = STATE(1573),
    [sym_type_alias_declaration] = STATE(1573),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_program_repeat1] = STATE(65),
    [aux_sym_export_statement_repeat1] = STATE(4771),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(662),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_for] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_do] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [22] = {
    [sym_export_statement] = STATE(1572),
    [sym_declaration] = STATE(1572),
    [sym_import] = STATE(4369),
    [sym_import_statement] = STATE(1572),
    [sym_expression_statement] = STATE(1572),
    [sym_variable_declaration] = STATE(1573),
    [sym_lexical_declaration] = STATE(1573),
    [sym_statement_block] = STATE(1572),
    [sym_if_statement] = STATE(1572),
    [sym_switch_statement] = STATE(1572),
    [sym_for_statement] = STATE(1572),
    [sym_for_in_statement] = STATE(1572),
    [sym_while_statement] = STATE(1572),
    [sym_do_statement] = STATE(1572),
    [sym_try_statement] = STATE(1572),
    [sym_with_statement] = STATE(1572),
    [sym_break_statement] = STATE(1572),
    [sym_continue_statement] = STATE(1572),
    [sym_debugger_statement] = STATE(1572),
    [sym_return_statement] = STATE(1572),
    [sym_throw_statement] = STATE(1572),
    [sym_empty_statement] = STATE(1572),
    [sym_labeled_statement] = STATE(1572),
    [sym_parenthesized_expression] = STATE(2177),
    [sym_expression] = STATE(2545),
    [sym_primary_expression] = STATE(2990),
    [sym_yield_expression] = STATE(3139),
    [sym_object] = STATE(3113),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(3113),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(3139),
    [sym_glimmer_opening_tag] = STATE(5702),
    [sym_jsx_element] = STATE(3139),
    [sym_jsx_opening_element] = STATE(4008),
    [sym_jsx_self_closing_element] = STATE(3139),
    [sym_class] = STATE(3113),
    [sym_class_declaration] = STATE(1573),
    [sym_function_expression] = STATE(3113),
    [sym_function_declaration] = STATE(1573),
    [sym_generator_function] = STATE(3113),
    [sym_generator_function_declaration] = STATE(1573),
    [sym_arrow_function] = STATE(3113),
    [sym__call_signature] = STATE(7486),
    [sym_call_expression] = STATE(3113),
    [sym_new_expression] = STATE(3139),
    [sym_await_expression] = STATE(3139),
    [sym_member_expression] = STATE(2177),
    [sym_subscript_expression] = STATE(2177),
    [sym_assignment_expression] = STATE(3139),
    [sym__augmented_assignment_lhs] = STATE(3835),
    [sym_augmented_assignment_expression] = STATE(3139),
    [sym__destructuring_pattern] = STATE(7484),
    [sym_ternary_expression] = STATE(3139),
    [sym_binary_expression] = STATE(3139),
    [sym_unary_expression] = STATE(3139),
    [sym_update_expression] = STATE(3139),
    [sym_sequence_expression] = STATE(6676),
    [sym_string] = STATE(3113),
    [sym_comment] = STATE(22),
    [sym_template_string] = STATE(3113),
    [sym_regex] = STATE(3113),
    [sym_meta_property] = STATE(3113),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2177),
    [sym_function_signature] = STATE(1573),
    [sym_as_expression] = STATE(3139),
    [sym_satisfies_expression] = STATE(3139),
    [sym_instantiation_expression] = STATE(3139),
    [sym_ambient_declaration] = STATE(1573),
    [sym_abstract_class_declaration] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_internal_module] = STATE(437),
    [sym_import_alias] = STATE(1573),
    [sym_interface_declaration] = STATE(1573),
    [sym_enum_declaration] = STATE(1573),
    [sym_type_alias_declaration] = STATE(1573),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_program_repeat1] = STATE(17),
    [aux_sym_export_statement_repeat1] = STATE(4771),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(664),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_for] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_do] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [23] = {
    [sym_export_statement] = STATE(1572),
    [sym_declaration] = STATE(1572),
    [sym_import] = STATE(4369),
    [sym_import_statement] = STATE(1572),
    [sym_expression_statement] = STATE(1572),
    [sym_variable_declaration] = STATE(1573),
    [sym_lexical_declaration] = STATE(1573),
    [sym_statement_block] = STATE(1572),
    [sym_if_statement] = STATE(1572),
    [sym_switch_statement] = STATE(1572),
    [sym_for_statement] = STATE(1572),
    [sym_for_in_statement] = STATE(1572),
    [sym_while_statement] = STATE(1572),
    [sym_do_statement] = STATE(1572),
    [sym_try_statement] = STATE(1572),
    [sym_with_statement] = STATE(1572),
    [sym_break_statement] = STATE(1572),
    [sym_continue_statement] = STATE(1572),
    [sym_debugger_statement] = STATE(1572),
    [sym_return_statement] = STATE(1572),
    [sym_throw_statement] = STATE(1572),
    [sym_empty_statement] = STATE(1572),
    [sym_labeled_statement] = STATE(1572),
    [sym_parenthesized_expression] = STATE(2177),
    [sym_expression] = STATE(2545),
    [sym_primary_expression] = STATE(2990),
    [sym_yield_expression] = STATE(3139),
    [sym_object] = STATE(3113),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(3113),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(3139),
    [sym_glimmer_opening_tag] = STATE(5702),
    [sym_jsx_element] = STATE(3139),
    [sym_jsx_opening_element] = STATE(4008),
    [sym_jsx_self_closing_element] = STATE(3139),
    [sym_class] = STATE(3113),
    [sym_class_declaration] = STATE(1573),
    [sym_function_expression] = STATE(3113),
    [sym_function_declaration] = STATE(1573),
    [sym_generator_function] = STATE(3113),
    [sym_generator_function_declaration] = STATE(1573),
    [sym_arrow_function] = STATE(3113),
    [sym__call_signature] = STATE(7486),
    [sym_call_expression] = STATE(3113),
    [sym_new_expression] = STATE(3139),
    [sym_await_expression] = STATE(3139),
    [sym_member_expression] = STATE(2177),
    [sym_subscript_expression] = STATE(2177),
    [sym_assignment_expression] = STATE(3139),
    [sym__augmented_assignment_lhs] = STATE(3835),
    [sym_augmented_assignment_expression] = STATE(3139),
    [sym__destructuring_pattern] = STATE(7484),
    [sym_ternary_expression] = STATE(3139),
    [sym_binary_expression] = STATE(3139),
    [sym_unary_expression] = STATE(3139),
    [sym_update_expression] = STATE(3139),
    [sym_sequence_expression] = STATE(6676),
    [sym_string] = STATE(3113),
    [sym_comment] = STATE(23),
    [sym_template_string] = STATE(3113),
    [sym_regex] = STATE(3113),
    [sym_meta_property] = STATE(3113),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2177),
    [sym_function_signature] = STATE(1573),
    [sym_as_expression] = STATE(3139),
    [sym_satisfies_expression] = STATE(3139),
    [sym_instantiation_expression] = STATE(3139),
    [sym_ambient_declaration] = STATE(1573),
    [sym_abstract_class_declaration] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_internal_module] = STATE(437),
    [sym_import_alias] = STATE(1573),
    [sym_interface_declaration] = STATE(1573),
    [sym_enum_declaration] = STATE(1573),
    [sym_type_alias_declaration] = STATE(1573),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_program_repeat1] = STATE(17),
    [aux_sym_export_statement_repeat1] = STATE(4771),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(666),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_for] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_do] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [24] = {
    [sym_export_statement] = STATE(1572),
    [sym_declaration] = STATE(1572),
    [sym_import] = STATE(4369),
    [sym_import_statement] = STATE(1572),
    [sym_expression_statement] = STATE(1572),
    [sym_variable_declaration] = STATE(1573),
    [sym_lexical_declaration] = STATE(1573),
    [sym_statement_block] = STATE(1572),
    [sym_if_statement] = STATE(1572),
    [sym_switch_statement] = STATE(1572),
    [sym_for_statement] = STATE(1572),
    [sym_for_in_statement] = STATE(1572),
    [sym_while_statement] = STATE(1572),
    [sym_do_statement] = STATE(1572),
    [sym_try_statement] = STATE(1572),
    [sym_with_statement] = STATE(1572),
    [sym_break_statement] = STATE(1572),
    [sym_continue_statement] = STATE(1572),
    [sym_debugger_statement] = STATE(1572),
    [sym_return_statement] = STATE(1572),
    [sym_throw_statement] = STATE(1572),
    [sym_empty_statement] = STATE(1572),
    [sym_labeled_statement] = STATE(1572),
    [sym_parenthesized_expression] = STATE(2177),
    [sym_expression] = STATE(2545),
    [sym_primary_expression] = STATE(2990),
    [sym_yield_expression] = STATE(3139),
    [sym_object] = STATE(3113),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(3113),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(3139),
    [sym_glimmer_opening_tag] = STATE(5702),
    [sym_jsx_element] = STATE(3139),
    [sym_jsx_opening_element] = STATE(4008),
    [sym_jsx_self_closing_element] = STATE(3139),
    [sym_class] = STATE(3113),
    [sym_class_declaration] = STATE(1573),
    [sym_function_expression] = STATE(3113),
    [sym_function_declaration] = STATE(1573),
    [sym_generator_function] = STATE(3113),
    [sym_generator_function_declaration] = STATE(1573),
    [sym_arrow_function] = STATE(3113),
    [sym__call_signature] = STATE(7486),
    [sym_call_expression] = STATE(3113),
    [sym_new_expression] = STATE(3139),
    [sym_await_expression] = STATE(3139),
    [sym_member_expression] = STATE(2177),
    [sym_subscript_expression] = STATE(2177),
    [sym_assignment_expression] = STATE(3139),
    [sym__augmented_assignment_lhs] = STATE(3835),
    [sym_augmented_assignment_expression] = STATE(3139),
    [sym__destructuring_pattern] = STATE(7484),
    [sym_ternary_expression] = STATE(3139),
    [sym_binary_expression] = STATE(3139),
    [sym_unary_expression] = STATE(3139),
    [sym_update_expression] = STATE(3139),
    [sym_sequence_expression] = STATE(6676),
    [sym_string] = STATE(3113),
    [sym_comment] = STATE(24),
    [sym_template_string] = STATE(3113),
    [sym_regex] = STATE(3113),
    [sym_meta_property] = STATE(3113),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2177),
    [sym_function_signature] = STATE(1573),
    [sym_as_expression] = STATE(3139),
    [sym_satisfies_expression] = STATE(3139),
    [sym_instantiation_expression] = STATE(3139),
    [sym_ambient_declaration] = STATE(1573),
    [sym_abstract_class_declaration] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_internal_module] = STATE(437),
    [sym_import_alias] = STATE(1573),
    [sym_interface_declaration] = STATE(1573),
    [sym_enum_declaration] = STATE(1573),
    [sym_type_alias_declaration] = STATE(1573),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_program_repeat1] = STATE(26),
    [aux_sym_export_statement_repeat1] = STATE(4771),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(668),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_for] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_do] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [25] = {
    [sym_export_statement] = STATE(1572),
    [sym_declaration] = STATE(1572),
    [sym_import] = STATE(4369),
    [sym_import_statement] = STATE(1572),
    [sym_expression_statement] = STATE(1572),
    [sym_variable_declaration] = STATE(1573),
    [sym_lexical_declaration] = STATE(1573),
    [sym_statement_block] = STATE(1572),
    [sym_if_statement] = STATE(1572),
    [sym_switch_statement] = STATE(1572),
    [sym_for_statement] = STATE(1572),
    [sym_for_in_statement] = STATE(1572),
    [sym_while_statement] = STATE(1572),
    [sym_do_statement] = STATE(1572),
    [sym_try_statement] = STATE(1572),
    [sym_with_statement] = STATE(1572),
    [sym_break_statement] = STATE(1572),
    [sym_continue_statement] = STATE(1572),
    [sym_debugger_statement] = STATE(1572),
    [sym_return_statement] = STATE(1572),
    [sym_throw_statement] = STATE(1572),
    [sym_empty_statement] = STATE(1572),
    [sym_labeled_statement] = STATE(1572),
    [sym_parenthesized_expression] = STATE(2177),
    [sym_expression] = STATE(2545),
    [sym_primary_expression] = STATE(2990),
    [sym_yield_expression] = STATE(3139),
    [sym_object] = STATE(3113),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(3113),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(3139),
    [sym_glimmer_opening_tag] = STATE(5702),
    [sym_jsx_element] = STATE(3139),
    [sym_jsx_opening_element] = STATE(4008),
    [sym_jsx_self_closing_element] = STATE(3139),
    [sym_class] = STATE(3113),
    [sym_class_declaration] = STATE(1573),
    [sym_function_expression] = STATE(3113),
    [sym_function_declaration] = STATE(1573),
    [sym_generator_function] = STATE(3113),
    [sym_generator_function_declaration] = STATE(1573),
    [sym_arrow_function] = STATE(3113),
    [sym__call_signature] = STATE(7486),
    [sym_call_expression] = STATE(3113),
    [sym_new_expression] = STATE(3139),
    [sym_await_expression] = STATE(3139),
    [sym_member_expression] = STATE(2177),
    [sym_subscript_expression] = STATE(2177),
    [sym_assignment_expression] = STATE(3139),
    [sym__augmented_assignment_lhs] = STATE(3835),
    [sym_augmented_assignment_expression] = STATE(3139),
    [sym__destructuring_pattern] = STATE(7484),
    [sym_ternary_expression] = STATE(3139),
    [sym_binary_expression] = STATE(3139),
    [sym_unary_expression] = STATE(3139),
    [sym_update_expression] = STATE(3139),
    [sym_sequence_expression] = STATE(6676),
    [sym_string] = STATE(3113),
    [sym_comment] = STATE(25),
    [sym_template_string] = STATE(3113),
    [sym_regex] = STATE(3113),
    [sym_meta_property] = STATE(3113),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2177),
    [sym_function_signature] = STATE(1573),
    [sym_as_expression] = STATE(3139),
    [sym_satisfies_expression] = STATE(3139),
    [sym_instantiation_expression] = STATE(3139),
    [sym_ambient_declaration] = STATE(1573),
    [sym_abstract_class_declaration] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_internal_module] = STATE(437),
    [sym_import_alias] = STATE(1573),
    [sym_interface_declaration] = STATE(1573),
    [sym_enum_declaration] = STATE(1573),
    [sym_type_alias_declaration] = STATE(1573),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_program_repeat1] = STATE(29),
    [aux_sym_export_statement_repeat1] = STATE(4771),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(670),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_for] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_do] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [26] = {
    [sym_export_statement] = STATE(1572),
    [sym_declaration] = STATE(1572),
    [sym_import] = STATE(4369),
    [sym_import_statement] = STATE(1572),
    [sym_expression_statement] = STATE(1572),
    [sym_variable_declaration] = STATE(1573),
    [sym_lexical_declaration] = STATE(1573),
    [sym_statement_block] = STATE(1572),
    [sym_if_statement] = STATE(1572),
    [sym_switch_statement] = STATE(1572),
    [sym_for_statement] = STATE(1572),
    [sym_for_in_statement] = STATE(1572),
    [sym_while_statement] = STATE(1572),
    [sym_do_statement] = STATE(1572),
    [sym_try_statement] = STATE(1572),
    [sym_with_statement] = STATE(1572),
    [sym_break_statement] = STATE(1572),
    [sym_continue_statement] = STATE(1572),
    [sym_debugger_statement] = STATE(1572),
    [sym_return_statement] = STATE(1572),
    [sym_throw_statement] = STATE(1572),
    [sym_empty_statement] = STATE(1572),
    [sym_labeled_statement] = STATE(1572),
    [sym_parenthesized_expression] = STATE(2177),
    [sym_expression] = STATE(2545),
    [sym_primary_expression] = STATE(2990),
    [sym_yield_expression] = STATE(3139),
    [sym_object] = STATE(3113),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(3113),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(3139),
    [sym_glimmer_opening_tag] = STATE(5702),
    [sym_jsx_element] = STATE(3139),
    [sym_jsx_opening_element] = STATE(4008),
    [sym_jsx_self_closing_element] = STATE(3139),
    [sym_class] = STATE(3113),
    [sym_class_declaration] = STATE(1573),
    [sym_function_expression] = STATE(3113),
    [sym_function_declaration] = STATE(1573),
    [sym_generator_function] = STATE(3113),
    [sym_generator_function_declaration] = STATE(1573),
    [sym_arrow_function] = STATE(3113),
    [sym__call_signature] = STATE(7486),
    [sym_call_expression] = STATE(3113),
    [sym_new_expression] = STATE(3139),
    [sym_await_expression] = STATE(3139),
    [sym_member_expression] = STATE(2177),
    [sym_subscript_expression] = STATE(2177),
    [sym_assignment_expression] = STATE(3139),
    [sym__augmented_assignment_lhs] = STATE(3835),
    [sym_augmented_assignment_expression] = STATE(3139),
    [sym__destructuring_pattern] = STATE(7484),
    [sym_ternary_expression] = STATE(3139),
    [sym_binary_expression] = STATE(3139),
    [sym_unary_expression] = STATE(3139),
    [sym_update_expression] = STATE(3139),
    [sym_sequence_expression] = STATE(6676),
    [sym_string] = STATE(3113),
    [sym_comment] = STATE(26),
    [sym_template_string] = STATE(3113),
    [sym_regex] = STATE(3113),
    [sym_meta_property] = STATE(3113),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2177),
    [sym_function_signature] = STATE(1573),
    [sym_as_expression] = STATE(3139),
    [sym_satisfies_expression] = STATE(3139),
    [sym_instantiation_expression] = STATE(3139),
    [sym_ambient_declaration] = STATE(1573),
    [sym_abstract_class_declaration] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_internal_module] = STATE(437),
    [sym_import_alias] = STATE(1573),
    [sym_interface_declaration] = STATE(1573),
    [sym_enum_declaration] = STATE(1573),
    [sym_type_alias_declaration] = STATE(1573),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_program_repeat1] = STATE(17),
    [aux_sym_export_statement_repeat1] = STATE(4771),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(672),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_for] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_do] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [27] = {
    [sym_export_statement] = STATE(1572),
    [sym_declaration] = STATE(1572),
    [sym_import] = STATE(4369),
    [sym_import_statement] = STATE(1572),
    [sym_expression_statement] = STATE(1572),
    [sym_variable_declaration] = STATE(1573),
    [sym_lexical_declaration] = STATE(1573),
    [sym_statement_block] = STATE(1572),
    [sym_if_statement] = STATE(1572),
    [sym_switch_statement] = STATE(1572),
    [sym_for_statement] = STATE(1572),
    [sym_for_in_statement] = STATE(1572),
    [sym_while_statement] = STATE(1572),
    [sym_do_statement] = STATE(1572),
    [sym_try_statement] = STATE(1572),
    [sym_with_statement] = STATE(1572),
    [sym_break_statement] = STATE(1572),
    [sym_continue_statement] = STATE(1572),
    [sym_debugger_statement] = STATE(1572),
    [sym_return_statement] = STATE(1572),
    [sym_throw_statement] = STATE(1572),
    [sym_empty_statement] = STATE(1572),
    [sym_labeled_statement] = STATE(1572),
    [sym_parenthesized_expression] = STATE(2177),
    [sym_expression] = STATE(2545),
    [sym_primary_expression] = STATE(2990),
    [sym_yield_expression] = STATE(3139),
    [sym_object] = STATE(3113),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(3113),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(3139),
    [sym_glimmer_opening_tag] = STATE(5702),
    [sym_jsx_element] = STATE(3139),
    [sym_jsx_opening_element] = STATE(4008),
    [sym_jsx_self_closing_element] = STATE(3139),
    [sym_class] = STATE(3113),
    [sym_class_declaration] = STATE(1573),
    [sym_function_expression] = STATE(3113),
    [sym_function_declaration] = STATE(1573),
    [sym_generator_function] = STATE(3113),
    [sym_generator_function_declaration] = STATE(1573),
    [sym_arrow_function] = STATE(3113),
    [sym__call_signature] = STATE(7486),
    [sym_call_expression] = STATE(3113),
    [sym_new_expression] = STATE(3139),
    [sym_await_expression] = STATE(3139),
    [sym_member_expression] = STATE(2177),
    [sym_subscript_expression] = STATE(2177),
    [sym_assignment_expression] = STATE(3139),
    [sym__augmented_assignment_lhs] = STATE(3835),
    [sym_augmented_assignment_expression] = STATE(3139),
    [sym__destructuring_pattern] = STATE(7484),
    [sym_ternary_expression] = STATE(3139),
    [sym_binary_expression] = STATE(3139),
    [sym_unary_expression] = STATE(3139),
    [sym_update_expression] = STATE(3139),
    [sym_sequence_expression] = STATE(6676),
    [sym_string] = STATE(3113),
    [sym_comment] = STATE(27),
    [sym_template_string] = STATE(3113),
    [sym_regex] = STATE(3113),
    [sym_meta_property] = STATE(3113),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2177),
    [sym_function_signature] = STATE(1573),
    [sym_as_expression] = STATE(3139),
    [sym_satisfies_expression] = STATE(3139),
    [sym_instantiation_expression] = STATE(3139),
    [sym_ambient_declaration] = STATE(1573),
    [sym_abstract_class_declaration] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_internal_module] = STATE(437),
    [sym_import_alias] = STATE(1573),
    [sym_interface_declaration] = STATE(1573),
    [sym_enum_declaration] = STATE(1573),
    [sym_type_alias_declaration] = STATE(1573),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_program_repeat1] = STATE(43),
    [aux_sym_export_statement_repeat1] = STATE(4771),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(674),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_for] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_do] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [28] = {
    [sym_export_statement] = STATE(1572),
    [sym_declaration] = STATE(1572),
    [sym_import] = STATE(4369),
    [sym_import_statement] = STATE(1572),
    [sym_expression_statement] = STATE(1572),
    [sym_variable_declaration] = STATE(1573),
    [sym_lexical_declaration] = STATE(1573),
    [sym_statement_block] = STATE(1572),
    [sym_if_statement] = STATE(1572),
    [sym_switch_statement] = STATE(1572),
    [sym_for_statement] = STATE(1572),
    [sym_for_in_statement] = STATE(1572),
    [sym_while_statement] = STATE(1572),
    [sym_do_statement] = STATE(1572),
    [sym_try_statement] = STATE(1572),
    [sym_with_statement] = STATE(1572),
    [sym_break_statement] = STATE(1572),
    [sym_continue_statement] = STATE(1572),
    [sym_debugger_statement] = STATE(1572),
    [sym_return_statement] = STATE(1572),
    [sym_throw_statement] = STATE(1572),
    [sym_empty_statement] = STATE(1572),
    [sym_labeled_statement] = STATE(1572),
    [sym_parenthesized_expression] = STATE(2177),
    [sym_expression] = STATE(2545),
    [sym_primary_expression] = STATE(2990),
    [sym_yield_expression] = STATE(3139),
    [sym_object] = STATE(3113),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(3113),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(3139),
    [sym_glimmer_opening_tag] = STATE(5702),
    [sym_jsx_element] = STATE(3139),
    [sym_jsx_opening_element] = STATE(4008),
    [sym_jsx_self_closing_element] = STATE(3139),
    [sym_class] = STATE(3113),
    [sym_class_declaration] = STATE(1573),
    [sym_function_expression] = STATE(3113),
    [sym_function_declaration] = STATE(1573),
    [sym_generator_function] = STATE(3113),
    [sym_generator_function_declaration] = STATE(1573),
    [sym_arrow_function] = STATE(3113),
    [sym__call_signature] = STATE(7486),
    [sym_call_expression] = STATE(3113),
    [sym_new_expression] = STATE(3139),
    [sym_await_expression] = STATE(3139),
    [sym_member_expression] = STATE(2177),
    [sym_subscript_expression] = STATE(2177),
    [sym_assignment_expression] = STATE(3139),
    [sym__augmented_assignment_lhs] = STATE(3835),
    [sym_augmented_assignment_expression] = STATE(3139),
    [sym__destructuring_pattern] = STATE(7484),
    [sym_ternary_expression] = STATE(3139),
    [sym_binary_expression] = STATE(3139),
    [sym_unary_expression] = STATE(3139),
    [sym_update_expression] = STATE(3139),
    [sym_sequence_expression] = STATE(6676),
    [sym_string] = STATE(3113),
    [sym_comment] = STATE(28),
    [sym_template_string] = STATE(3113),
    [sym_regex] = STATE(3113),
    [sym_meta_property] = STATE(3113),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2177),
    [sym_function_signature] = STATE(1573),
    [sym_as_expression] = STATE(3139),
    [sym_satisfies_expression] = STATE(3139),
    [sym_instantiation_expression] = STATE(3139),
    [sym_ambient_declaration] = STATE(1573),
    [sym_abstract_class_declaration] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_internal_module] = STATE(437),
    [sym_import_alias] = STATE(1573),
    [sym_interface_declaration] = STATE(1573),
    [sym_enum_declaration] = STATE(1573),
    [sym_type_alias_declaration] = STATE(1573),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_program_repeat1] = STATE(31),
    [aux_sym_export_statement_repeat1] = STATE(4771),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(676),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_for] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_do] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [29] = {
    [sym_export_statement] = STATE(1572),
    [sym_declaration] = STATE(1572),
    [sym_import] = STATE(4369),
    [sym_import_statement] = STATE(1572),
    [sym_expression_statement] = STATE(1572),
    [sym_variable_declaration] = STATE(1573),
    [sym_lexical_declaration] = STATE(1573),
    [sym_statement_block] = STATE(1572),
    [sym_if_statement] = STATE(1572),
    [sym_switch_statement] = STATE(1572),
    [sym_for_statement] = STATE(1572),
    [sym_for_in_statement] = STATE(1572),
    [sym_while_statement] = STATE(1572),
    [sym_do_statement] = STATE(1572),
    [sym_try_statement] = STATE(1572),
    [sym_with_statement] = STATE(1572),
    [sym_break_statement] = STATE(1572),
    [sym_continue_statement] = STATE(1572),
    [sym_debugger_statement] = STATE(1572),
    [sym_return_statement] = STATE(1572),
    [sym_throw_statement] = STATE(1572),
    [sym_empty_statement] = STATE(1572),
    [sym_labeled_statement] = STATE(1572),
    [sym_parenthesized_expression] = STATE(2177),
    [sym_expression] = STATE(2545),
    [sym_primary_expression] = STATE(2990),
    [sym_yield_expression] = STATE(3139),
    [sym_object] = STATE(3113),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(3113),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(3139),
    [sym_glimmer_opening_tag] = STATE(5702),
    [sym_jsx_element] = STATE(3139),
    [sym_jsx_opening_element] = STATE(4008),
    [sym_jsx_self_closing_element] = STATE(3139),
    [sym_class] = STATE(3113),
    [sym_class_declaration] = STATE(1573),
    [sym_function_expression] = STATE(3113),
    [sym_function_declaration] = STATE(1573),
    [sym_generator_function] = STATE(3113),
    [sym_generator_function_declaration] = STATE(1573),
    [sym_arrow_function] = STATE(3113),
    [sym__call_signature] = STATE(7486),
    [sym_call_expression] = STATE(3113),
    [sym_new_expression] = STATE(3139),
    [sym_await_expression] = STATE(3139),
    [sym_member_expression] = STATE(2177),
    [sym_subscript_expression] = STATE(2177),
    [sym_assignment_expression] = STATE(3139),
    [sym__augmented_assignment_lhs] = STATE(3835),
    [sym_augmented_assignment_expression] = STATE(3139),
    [sym__destructuring_pattern] = STATE(7484),
    [sym_ternary_expression] = STATE(3139),
    [sym_binary_expression] = STATE(3139),
    [sym_unary_expression] = STATE(3139),
    [sym_update_expression] = STATE(3139),
    [sym_sequence_expression] = STATE(6676),
    [sym_string] = STATE(3113),
    [sym_comment] = STATE(29),
    [sym_template_string] = STATE(3113),
    [sym_regex] = STATE(3113),
    [sym_meta_property] = STATE(3113),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2177),
    [sym_function_signature] = STATE(1573),
    [sym_as_expression] = STATE(3139),
    [sym_satisfies_expression] = STATE(3139),
    [sym_instantiation_expression] = STATE(3139),
    [sym_ambient_declaration] = STATE(1573),
    [sym_abstract_class_declaration] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_internal_module] = STATE(437),
    [sym_import_alias] = STATE(1573),
    [sym_interface_declaration] = STATE(1573),
    [sym_enum_declaration] = STATE(1573),
    [sym_type_alias_declaration] = STATE(1573),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_program_repeat1] = STATE(17),
    [aux_sym_export_statement_repeat1] = STATE(4771),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(678),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_for] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_do] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [30] = {
    [sym_export_statement] = STATE(1572),
    [sym_declaration] = STATE(1572),
    [sym_import] = STATE(4369),
    [sym_import_statement] = STATE(1572),
    [sym_expression_statement] = STATE(1572),
    [sym_variable_declaration] = STATE(1573),
    [sym_lexical_declaration] = STATE(1573),
    [sym_statement_block] = STATE(1572),
    [sym_if_statement] = STATE(1572),
    [sym_switch_statement] = STATE(1572),
    [sym_for_statement] = STATE(1572),
    [sym_for_in_statement] = STATE(1572),
    [sym_while_statement] = STATE(1572),
    [sym_do_statement] = STATE(1572),
    [sym_try_statement] = STATE(1572),
    [sym_with_statement] = STATE(1572),
    [sym_break_statement] = STATE(1572),
    [sym_continue_statement] = STATE(1572),
    [sym_debugger_statement] = STATE(1572),
    [sym_return_statement] = STATE(1572),
    [sym_throw_statement] = STATE(1572),
    [sym_empty_statement] = STATE(1572),
    [sym_labeled_statement] = STATE(1572),
    [sym_parenthesized_expression] = STATE(2177),
    [sym_expression] = STATE(2545),
    [sym_primary_expression] = STATE(2990),
    [sym_yield_expression] = STATE(3139),
    [sym_object] = STATE(3113),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(3113),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(3139),
    [sym_glimmer_opening_tag] = STATE(5702),
    [sym_jsx_element] = STATE(3139),
    [sym_jsx_opening_element] = STATE(4008),
    [sym_jsx_self_closing_element] = STATE(3139),
    [sym_class] = STATE(3113),
    [sym_class_declaration] = STATE(1573),
    [sym_function_expression] = STATE(3113),
    [sym_function_declaration] = STATE(1573),
    [sym_generator_function] = STATE(3113),
    [sym_generator_function_declaration] = STATE(1573),
    [sym_arrow_function] = STATE(3113),
    [sym__call_signature] = STATE(7486),
    [sym_call_expression] = STATE(3113),
    [sym_new_expression] = STATE(3139),
    [sym_await_expression] = STATE(3139),
    [sym_member_expression] = STATE(2177),
    [sym_subscript_expression] = STATE(2177),
    [sym_assignment_expression] = STATE(3139),
    [sym__augmented_assignment_lhs] = STATE(3835),
    [sym_augmented_assignment_expression] = STATE(3139),
    [sym__destructuring_pattern] = STATE(7484),
    [sym_ternary_expression] = STATE(3139),
    [sym_binary_expression] = STATE(3139),
    [sym_unary_expression] = STATE(3139),
    [sym_update_expression] = STATE(3139),
    [sym_sequence_expression] = STATE(6676),
    [sym_string] = STATE(3113),
    [sym_comment] = STATE(30),
    [sym_template_string] = STATE(3113),
    [sym_regex] = STATE(3113),
    [sym_meta_property] = STATE(3113),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2177),
    [sym_function_signature] = STATE(1573),
    [sym_as_expression] = STATE(3139),
    [sym_satisfies_expression] = STATE(3139),
    [sym_instantiation_expression] = STATE(3139),
    [sym_ambient_declaration] = STATE(1573),
    [sym_abstract_class_declaration] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_internal_module] = STATE(437),
    [sym_import_alias] = STATE(1573),
    [sym_interface_declaration] = STATE(1573),
    [sym_enum_declaration] = STATE(1573),
    [sym_type_alias_declaration] = STATE(1573),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_program_repeat1] = STATE(32),
    [aux_sym_export_statement_repeat1] = STATE(4771),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(680),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_for] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_do] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [31] = {
    [sym_export_statement] = STATE(1572),
    [sym_declaration] = STATE(1572),
    [sym_import] = STATE(4369),
    [sym_import_statement] = STATE(1572),
    [sym_expression_statement] = STATE(1572),
    [sym_variable_declaration] = STATE(1573),
    [sym_lexical_declaration] = STATE(1573),
    [sym_statement_block] = STATE(1572),
    [sym_if_statement] = STATE(1572),
    [sym_switch_statement] = STATE(1572),
    [sym_for_statement] = STATE(1572),
    [sym_for_in_statement] = STATE(1572),
    [sym_while_statement] = STATE(1572),
    [sym_do_statement] = STATE(1572),
    [sym_try_statement] = STATE(1572),
    [sym_with_statement] = STATE(1572),
    [sym_break_statement] = STATE(1572),
    [sym_continue_statement] = STATE(1572),
    [sym_debugger_statement] = STATE(1572),
    [sym_return_statement] = STATE(1572),
    [sym_throw_statement] = STATE(1572),
    [sym_empty_statement] = STATE(1572),
    [sym_labeled_statement] = STATE(1572),
    [sym_parenthesized_expression] = STATE(2177),
    [sym_expression] = STATE(2545),
    [sym_primary_expression] = STATE(2990),
    [sym_yield_expression] = STATE(3139),
    [sym_object] = STATE(3113),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(3113),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(3139),
    [sym_glimmer_opening_tag] = STATE(5702),
    [sym_jsx_element] = STATE(3139),
    [sym_jsx_opening_element] = STATE(4008),
    [sym_jsx_self_closing_element] = STATE(3139),
    [sym_class] = STATE(3113),
    [sym_class_declaration] = STATE(1573),
    [sym_function_expression] = STATE(3113),
    [sym_function_declaration] = STATE(1573),
    [sym_generator_function] = STATE(3113),
    [sym_generator_function_declaration] = STATE(1573),
    [sym_arrow_function] = STATE(3113),
    [sym__call_signature] = STATE(7486),
    [sym_call_expression] = STATE(3113),
    [sym_new_expression] = STATE(3139),
    [sym_await_expression] = STATE(3139),
    [sym_member_expression] = STATE(2177),
    [sym_subscript_expression] = STATE(2177),
    [sym_assignment_expression] = STATE(3139),
    [sym__augmented_assignment_lhs] = STATE(3835),
    [sym_augmented_assignment_expression] = STATE(3139),
    [sym__destructuring_pattern] = STATE(7484),
    [sym_ternary_expression] = STATE(3139),
    [sym_binary_expression] = STATE(3139),
    [sym_unary_expression] = STATE(3139),
    [sym_update_expression] = STATE(3139),
    [sym_sequence_expression] = STATE(6676),
    [sym_string] = STATE(3113),
    [sym_comment] = STATE(31),
    [sym_template_string] = STATE(3113),
    [sym_regex] = STATE(3113),
    [sym_meta_property] = STATE(3113),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2177),
    [sym_function_signature] = STATE(1573),
    [sym_as_expression] = STATE(3139),
    [sym_satisfies_expression] = STATE(3139),
    [sym_instantiation_expression] = STATE(3139),
    [sym_ambient_declaration] = STATE(1573),
    [sym_abstract_class_declaration] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_internal_module] = STATE(437),
    [sym_import_alias] = STATE(1573),
    [sym_interface_declaration] = STATE(1573),
    [sym_enum_declaration] = STATE(1573),
    [sym_type_alias_declaration] = STATE(1573),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_program_repeat1] = STATE(17),
    [aux_sym_export_statement_repeat1] = STATE(4771),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(682),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_for] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_do] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [32] = {
    [sym_export_statement] = STATE(1572),
    [sym_declaration] = STATE(1572),
    [sym_import] = STATE(4369),
    [sym_import_statement] = STATE(1572),
    [sym_expression_statement] = STATE(1572),
    [sym_variable_declaration] = STATE(1573),
    [sym_lexical_declaration] = STATE(1573),
    [sym_statement_block] = STATE(1572),
    [sym_if_statement] = STATE(1572),
    [sym_switch_statement] = STATE(1572),
    [sym_for_statement] = STATE(1572),
    [sym_for_in_statement] = STATE(1572),
    [sym_while_statement] = STATE(1572),
    [sym_do_statement] = STATE(1572),
    [sym_try_statement] = STATE(1572),
    [sym_with_statement] = STATE(1572),
    [sym_break_statement] = STATE(1572),
    [sym_continue_statement] = STATE(1572),
    [sym_debugger_statement] = STATE(1572),
    [sym_return_statement] = STATE(1572),
    [sym_throw_statement] = STATE(1572),
    [sym_empty_statement] = STATE(1572),
    [sym_labeled_statement] = STATE(1572),
    [sym_parenthesized_expression] = STATE(2177),
    [sym_expression] = STATE(2545),
    [sym_primary_expression] = STATE(2990),
    [sym_yield_expression] = STATE(3139),
    [sym_object] = STATE(3113),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(3113),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(3139),
    [sym_glimmer_opening_tag] = STATE(5702),
    [sym_jsx_element] = STATE(3139),
    [sym_jsx_opening_element] = STATE(4008),
    [sym_jsx_self_closing_element] = STATE(3139),
    [sym_class] = STATE(3113),
    [sym_class_declaration] = STATE(1573),
    [sym_function_expression] = STATE(3113),
    [sym_function_declaration] = STATE(1573),
    [sym_generator_function] = STATE(3113),
    [sym_generator_function_declaration] = STATE(1573),
    [sym_arrow_function] = STATE(3113),
    [sym__call_signature] = STATE(7486),
    [sym_call_expression] = STATE(3113),
    [sym_new_expression] = STATE(3139),
    [sym_await_expression] = STATE(3139),
    [sym_member_expression] = STATE(2177),
    [sym_subscript_expression] = STATE(2177),
    [sym_assignment_expression] = STATE(3139),
    [sym__augmented_assignment_lhs] = STATE(3835),
    [sym_augmented_assignment_expression] = STATE(3139),
    [sym__destructuring_pattern] = STATE(7484),
    [sym_ternary_expression] = STATE(3139),
    [sym_binary_expression] = STATE(3139),
    [sym_unary_expression] = STATE(3139),
    [sym_update_expression] = STATE(3139),
    [sym_sequence_expression] = STATE(6676),
    [sym_string] = STATE(3113),
    [sym_comment] = STATE(32),
    [sym_template_string] = STATE(3113),
    [sym_regex] = STATE(3113),
    [sym_meta_property] = STATE(3113),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2177),
    [sym_function_signature] = STATE(1573),
    [sym_as_expression] = STATE(3139),
    [sym_satisfies_expression] = STATE(3139),
    [sym_instantiation_expression] = STATE(3139),
    [sym_ambient_declaration] = STATE(1573),
    [sym_abstract_class_declaration] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_internal_module] = STATE(437),
    [sym_import_alias] = STATE(1573),
    [sym_interface_declaration] = STATE(1573),
    [sym_enum_declaration] = STATE(1573),
    [sym_type_alias_declaration] = STATE(1573),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_program_repeat1] = STATE(17),
    [aux_sym_export_statement_repeat1] = STATE(4771),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(684),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_for] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_do] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [33] = {
    [sym_export_statement] = STATE(1572),
    [sym_declaration] = STATE(1572),
    [sym_import] = STATE(4369),
    [sym_import_statement] = STATE(1572),
    [sym_expression_statement] = STATE(1572),
    [sym_variable_declaration] = STATE(1573),
    [sym_lexical_declaration] = STATE(1573),
    [sym_statement_block] = STATE(1572),
    [sym_if_statement] = STATE(1572),
    [sym_switch_statement] = STATE(1572),
    [sym_for_statement] = STATE(1572),
    [sym_for_in_statement] = STATE(1572),
    [sym_while_statement] = STATE(1572),
    [sym_do_statement] = STATE(1572),
    [sym_try_statement] = STATE(1572),
    [sym_with_statement] = STATE(1572),
    [sym_break_statement] = STATE(1572),
    [sym_continue_statement] = STATE(1572),
    [sym_debugger_statement] = STATE(1572),
    [sym_return_statement] = STATE(1572),
    [sym_throw_statement] = STATE(1572),
    [sym_empty_statement] = STATE(1572),
    [sym_labeled_statement] = STATE(1572),
    [sym_parenthesized_expression] = STATE(2177),
    [sym_expression] = STATE(2545),
    [sym_primary_expression] = STATE(2990),
    [sym_yield_expression] = STATE(3139),
    [sym_object] = STATE(3113),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(3113),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(3139),
    [sym_glimmer_opening_tag] = STATE(5702),
    [sym_jsx_element] = STATE(3139),
    [sym_jsx_opening_element] = STATE(4008),
    [sym_jsx_self_closing_element] = STATE(3139),
    [sym_class] = STATE(3113),
    [sym_class_declaration] = STATE(1573),
    [sym_function_expression] = STATE(3113),
    [sym_function_declaration] = STATE(1573),
    [sym_generator_function] = STATE(3113),
    [sym_generator_function_declaration] = STATE(1573),
    [sym_arrow_function] = STATE(3113),
    [sym__call_signature] = STATE(7486),
    [sym_call_expression] = STATE(3113),
    [sym_new_expression] = STATE(3139),
    [sym_await_expression] = STATE(3139),
    [sym_member_expression] = STATE(2177),
    [sym_subscript_expression] = STATE(2177),
    [sym_assignment_expression] = STATE(3139),
    [sym__augmented_assignment_lhs] = STATE(3835),
    [sym_augmented_assignment_expression] = STATE(3139),
    [sym__destructuring_pattern] = STATE(7484),
    [sym_ternary_expression] = STATE(3139),
    [sym_binary_expression] = STATE(3139),
    [sym_unary_expression] = STATE(3139),
    [sym_update_expression] = STATE(3139),
    [sym_sequence_expression] = STATE(6676),
    [sym_string] = STATE(3113),
    [sym_comment] = STATE(33),
    [sym_template_string] = STATE(3113),
    [sym_regex] = STATE(3113),
    [sym_meta_property] = STATE(3113),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2177),
    [sym_function_signature] = STATE(1573),
    [sym_as_expression] = STATE(3139),
    [sym_satisfies_expression] = STATE(3139),
    [sym_instantiation_expression] = STATE(3139),
    [sym_ambient_declaration] = STATE(1573),
    [sym_abstract_class_declaration] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_internal_module] = STATE(437),
    [sym_import_alias] = STATE(1573),
    [sym_interface_declaration] = STATE(1573),
    [sym_enum_declaration] = STATE(1573),
    [sym_type_alias_declaration] = STATE(1573),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_program_repeat1] = STATE(34),
    [aux_sym_export_statement_repeat1] = STATE(4771),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(686),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_for] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_do] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [34] = {
    [sym_export_statement] = STATE(1572),
    [sym_declaration] = STATE(1572),
    [sym_import] = STATE(4369),
    [sym_import_statement] = STATE(1572),
    [sym_expression_statement] = STATE(1572),
    [sym_variable_declaration] = STATE(1573),
    [sym_lexical_declaration] = STATE(1573),
    [sym_statement_block] = STATE(1572),
    [sym_if_statement] = STATE(1572),
    [sym_switch_statement] = STATE(1572),
    [sym_for_statement] = STATE(1572),
    [sym_for_in_statement] = STATE(1572),
    [sym_while_statement] = STATE(1572),
    [sym_do_statement] = STATE(1572),
    [sym_try_statement] = STATE(1572),
    [sym_with_statement] = STATE(1572),
    [sym_break_statement] = STATE(1572),
    [sym_continue_statement] = STATE(1572),
    [sym_debugger_statement] = STATE(1572),
    [sym_return_statement] = STATE(1572),
    [sym_throw_statement] = STATE(1572),
    [sym_empty_statement] = STATE(1572),
    [sym_labeled_statement] = STATE(1572),
    [sym_parenthesized_expression] = STATE(2177),
    [sym_expression] = STATE(2545),
    [sym_primary_expression] = STATE(2990),
    [sym_yield_expression] = STATE(3139),
    [sym_object] = STATE(3113),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(3113),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(3139),
    [sym_glimmer_opening_tag] = STATE(5702),
    [sym_jsx_element] = STATE(3139),
    [sym_jsx_opening_element] = STATE(4008),
    [sym_jsx_self_closing_element] = STATE(3139),
    [sym_class] = STATE(3113),
    [sym_class_declaration] = STATE(1573),
    [sym_function_expression] = STATE(3113),
    [sym_function_declaration] = STATE(1573),
    [sym_generator_function] = STATE(3113),
    [sym_generator_function_declaration] = STATE(1573),
    [sym_arrow_function] = STATE(3113),
    [sym__call_signature] = STATE(7486),
    [sym_call_expression] = STATE(3113),
    [sym_new_expression] = STATE(3139),
    [sym_await_expression] = STATE(3139),
    [sym_member_expression] = STATE(2177),
    [sym_subscript_expression] = STATE(2177),
    [sym_assignment_expression] = STATE(3139),
    [sym__augmented_assignment_lhs] = STATE(3835),
    [sym_augmented_assignment_expression] = STATE(3139),
    [sym__destructuring_pattern] = STATE(7484),
    [sym_ternary_expression] = STATE(3139),
    [sym_binary_expression] = STATE(3139),
    [sym_unary_expression] = STATE(3139),
    [sym_update_expression] = STATE(3139),
    [sym_sequence_expression] = STATE(6676),
    [sym_string] = STATE(3113),
    [sym_comment] = STATE(34),
    [sym_template_string] = STATE(3113),
    [sym_regex] = STATE(3113),
    [sym_meta_property] = STATE(3113),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2177),
    [sym_function_signature] = STATE(1573),
    [sym_as_expression] = STATE(3139),
    [sym_satisfies_expression] = STATE(3139),
    [sym_instantiation_expression] = STATE(3139),
    [sym_ambient_declaration] = STATE(1573),
    [sym_abstract_class_declaration] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_internal_module] = STATE(437),
    [sym_import_alias] = STATE(1573),
    [sym_interface_declaration] = STATE(1573),
    [sym_enum_declaration] = STATE(1573),
    [sym_type_alias_declaration] = STATE(1573),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_program_repeat1] = STATE(17),
    [aux_sym_export_statement_repeat1] = STATE(4771),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(688),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_for] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_do] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [35] = {
    [sym_export_statement] = STATE(1572),
    [sym_declaration] = STATE(1572),
    [sym_import] = STATE(4369),
    [sym_import_statement] = STATE(1572),
    [sym_expression_statement] = STATE(1572),
    [sym_variable_declaration] = STATE(1573),
    [sym_lexical_declaration] = STATE(1573),
    [sym_statement_block] = STATE(1572),
    [sym_if_statement] = STATE(1572),
    [sym_switch_statement] = STATE(1572),
    [sym_for_statement] = STATE(1572),
    [sym_for_in_statement] = STATE(1572),
    [sym_while_statement] = STATE(1572),
    [sym_do_statement] = STATE(1572),
    [sym_try_statement] = STATE(1572),
    [sym_with_statement] = STATE(1572),
    [sym_break_statement] = STATE(1572),
    [sym_continue_statement] = STATE(1572),
    [sym_debugger_statement] = STATE(1572),
    [sym_return_statement] = STATE(1572),
    [sym_throw_statement] = STATE(1572),
    [sym_empty_statement] = STATE(1572),
    [sym_labeled_statement] = STATE(1572),
    [sym_parenthesized_expression] = STATE(2177),
    [sym_expression] = STATE(2545),
    [sym_primary_expression] = STATE(2990),
    [sym_yield_expression] = STATE(3139),
    [sym_object] = STATE(3113),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(3113),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(3139),
    [sym_glimmer_opening_tag] = STATE(5702),
    [sym_jsx_element] = STATE(3139),
    [sym_jsx_opening_element] = STATE(4008),
    [sym_jsx_self_closing_element] = STATE(3139),
    [sym_class] = STATE(3113),
    [sym_class_declaration] = STATE(1573),
    [sym_function_expression] = STATE(3113),
    [sym_function_declaration] = STATE(1573),
    [sym_generator_function] = STATE(3113),
    [sym_generator_function_declaration] = STATE(1573),
    [sym_arrow_function] = STATE(3113),
    [sym__call_signature] = STATE(7486),
    [sym_call_expression] = STATE(3113),
    [sym_new_expression] = STATE(3139),
    [sym_await_expression] = STATE(3139),
    [sym_member_expression] = STATE(2177),
    [sym_subscript_expression] = STATE(2177),
    [sym_assignment_expression] = STATE(3139),
    [sym__augmented_assignment_lhs] = STATE(3835),
    [sym_augmented_assignment_expression] = STATE(3139),
    [sym__destructuring_pattern] = STATE(7484),
    [sym_ternary_expression] = STATE(3139),
    [sym_binary_expression] = STATE(3139),
    [sym_unary_expression] = STATE(3139),
    [sym_update_expression] = STATE(3139),
    [sym_sequence_expression] = STATE(6676),
    [sym_string] = STATE(3113),
    [sym_comment] = STATE(35),
    [sym_template_string] = STATE(3113),
    [sym_regex] = STATE(3113),
    [sym_meta_property] = STATE(3113),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2177),
    [sym_function_signature] = STATE(1573),
    [sym_as_expression] = STATE(3139),
    [sym_satisfies_expression] = STATE(3139),
    [sym_instantiation_expression] = STATE(3139),
    [sym_ambient_declaration] = STATE(1573),
    [sym_abstract_class_declaration] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_internal_module] = STATE(437),
    [sym_import_alias] = STATE(1573),
    [sym_interface_declaration] = STATE(1573),
    [sym_enum_declaration] = STATE(1573),
    [sym_type_alias_declaration] = STATE(1573),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_program_repeat1] = STATE(17),
    [aux_sym_export_statement_repeat1] = STATE(4771),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(690),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_for] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_do] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [36] = {
    [sym_export_statement] = STATE(1572),
    [sym_declaration] = STATE(1572),
    [sym_import] = STATE(4369),
    [sym_import_statement] = STATE(1572),
    [sym_expression_statement] = STATE(1572),
    [sym_variable_declaration] = STATE(1573),
    [sym_lexical_declaration] = STATE(1573),
    [sym_statement_block] = STATE(1572),
    [sym_if_statement] = STATE(1572),
    [sym_switch_statement] = STATE(1572),
    [sym_for_statement] = STATE(1572),
    [sym_for_in_statement] = STATE(1572),
    [sym_while_statement] = STATE(1572),
    [sym_do_statement] = STATE(1572),
    [sym_try_statement] = STATE(1572),
    [sym_with_statement] = STATE(1572),
    [sym_break_statement] = STATE(1572),
    [sym_continue_statement] = STATE(1572),
    [sym_debugger_statement] = STATE(1572),
    [sym_return_statement] = STATE(1572),
    [sym_throw_statement] = STATE(1572),
    [sym_empty_statement] = STATE(1572),
    [sym_labeled_statement] = STATE(1572),
    [sym_parenthesized_expression] = STATE(2177),
    [sym_expression] = STATE(2545),
    [sym_primary_expression] = STATE(2990),
    [sym_yield_expression] = STATE(3139),
    [sym_object] = STATE(3113),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(3113),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(3139),
    [sym_glimmer_opening_tag] = STATE(5702),
    [sym_jsx_element] = STATE(3139),
    [sym_jsx_opening_element] = STATE(4008),
    [sym_jsx_self_closing_element] = STATE(3139),
    [sym_class] = STATE(3113),
    [sym_class_declaration] = STATE(1573),
    [sym_function_expression] = STATE(3113),
    [sym_function_declaration] = STATE(1573),
    [sym_generator_function] = STATE(3113),
    [sym_generator_function_declaration] = STATE(1573),
    [sym_arrow_function] = STATE(3113),
    [sym__call_signature] = STATE(7486),
    [sym_call_expression] = STATE(3113),
    [sym_new_expression] = STATE(3139),
    [sym_await_expression] = STATE(3139),
    [sym_member_expression] = STATE(2177),
    [sym_subscript_expression] = STATE(2177),
    [sym_assignment_expression] = STATE(3139),
    [sym__augmented_assignment_lhs] = STATE(3835),
    [sym_augmented_assignment_expression] = STATE(3139),
    [sym__destructuring_pattern] = STATE(7484),
    [sym_ternary_expression] = STATE(3139),
    [sym_binary_expression] = STATE(3139),
    [sym_unary_expression] = STATE(3139),
    [sym_update_expression] = STATE(3139),
    [sym_sequence_expression] = STATE(6676),
    [sym_string] = STATE(3113),
    [sym_comment] = STATE(36),
    [sym_template_string] = STATE(3113),
    [sym_regex] = STATE(3113),
    [sym_meta_property] = STATE(3113),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2177),
    [sym_function_signature] = STATE(1573),
    [sym_as_expression] = STATE(3139),
    [sym_satisfies_expression] = STATE(3139),
    [sym_instantiation_expression] = STATE(3139),
    [sym_ambient_declaration] = STATE(1573),
    [sym_abstract_class_declaration] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_internal_module] = STATE(437),
    [sym_import_alias] = STATE(1573),
    [sym_interface_declaration] = STATE(1573),
    [sym_enum_declaration] = STATE(1573),
    [sym_type_alias_declaration] = STATE(1573),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_program_repeat1] = STATE(17),
    [aux_sym_export_statement_repeat1] = STATE(4771),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(692),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_for] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_do] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [37] = {
    [sym_export_statement] = STATE(1572),
    [sym_declaration] = STATE(1572),
    [sym_import] = STATE(4369),
    [sym_import_statement] = STATE(1572),
    [sym_expression_statement] = STATE(1572),
    [sym_variable_declaration] = STATE(1573),
    [sym_lexical_declaration] = STATE(1573),
    [sym_statement_block] = STATE(1572),
    [sym_if_statement] = STATE(1572),
    [sym_switch_statement] = STATE(1572),
    [sym_for_statement] = STATE(1572),
    [sym_for_in_statement] = STATE(1572),
    [sym_while_statement] = STATE(1572),
    [sym_do_statement] = STATE(1572),
    [sym_try_statement] = STATE(1572),
    [sym_with_statement] = STATE(1572),
    [sym_break_statement] = STATE(1572),
    [sym_continue_statement] = STATE(1572),
    [sym_debugger_statement] = STATE(1572),
    [sym_return_statement] = STATE(1572),
    [sym_throw_statement] = STATE(1572),
    [sym_empty_statement] = STATE(1572),
    [sym_labeled_statement] = STATE(1572),
    [sym_parenthesized_expression] = STATE(2177),
    [sym_expression] = STATE(2545),
    [sym_primary_expression] = STATE(2990),
    [sym_yield_expression] = STATE(3139),
    [sym_object] = STATE(3113),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(3113),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(3139),
    [sym_glimmer_opening_tag] = STATE(5702),
    [sym_jsx_element] = STATE(3139),
    [sym_jsx_opening_element] = STATE(4008),
    [sym_jsx_self_closing_element] = STATE(3139),
    [sym_class] = STATE(3113),
    [sym_class_declaration] = STATE(1573),
    [sym_function_expression] = STATE(3113),
    [sym_function_declaration] = STATE(1573),
    [sym_generator_function] = STATE(3113),
    [sym_generator_function_declaration] = STATE(1573),
    [sym_arrow_function] = STATE(3113),
    [sym__call_signature] = STATE(7486),
    [sym_call_expression] = STATE(3113),
    [sym_new_expression] = STATE(3139),
    [sym_await_expression] = STATE(3139),
    [sym_member_expression] = STATE(2177),
    [sym_subscript_expression] = STATE(2177),
    [sym_assignment_expression] = STATE(3139),
    [sym__augmented_assignment_lhs] = STATE(3835),
    [sym_augmented_assignment_expression] = STATE(3139),
    [sym__destructuring_pattern] = STATE(7484),
    [sym_ternary_expression] = STATE(3139),
    [sym_binary_expression] = STATE(3139),
    [sym_unary_expression] = STATE(3139),
    [sym_update_expression] = STATE(3139),
    [sym_sequence_expression] = STATE(6676),
    [sym_string] = STATE(3113),
    [sym_comment] = STATE(37),
    [sym_template_string] = STATE(3113),
    [sym_regex] = STATE(3113),
    [sym_meta_property] = STATE(3113),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2177),
    [sym_function_signature] = STATE(1573),
    [sym_as_expression] = STATE(3139),
    [sym_satisfies_expression] = STATE(3139),
    [sym_instantiation_expression] = STATE(3139),
    [sym_ambient_declaration] = STATE(1573),
    [sym_abstract_class_declaration] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_internal_module] = STATE(437),
    [sym_import_alias] = STATE(1573),
    [sym_interface_declaration] = STATE(1573),
    [sym_enum_declaration] = STATE(1573),
    [sym_type_alias_declaration] = STATE(1573),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_program_repeat1] = STATE(19),
    [aux_sym_export_statement_repeat1] = STATE(4771),
    [ts_builtin_sym_end] = ACTIONS(694),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_for] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_do] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [38] = {
    [sym_export_statement] = STATE(1572),
    [sym_declaration] = STATE(1572),
    [sym_import] = STATE(4369),
    [sym_import_statement] = STATE(1572),
    [sym_expression_statement] = STATE(1572),
    [sym_variable_declaration] = STATE(1573),
    [sym_lexical_declaration] = STATE(1573),
    [sym_statement_block] = STATE(1572),
    [sym_if_statement] = STATE(1572),
    [sym_switch_statement] = STATE(1572),
    [sym_for_statement] = STATE(1572),
    [sym_for_in_statement] = STATE(1572),
    [sym_while_statement] = STATE(1572),
    [sym_do_statement] = STATE(1572),
    [sym_try_statement] = STATE(1572),
    [sym_with_statement] = STATE(1572),
    [sym_break_statement] = STATE(1572),
    [sym_continue_statement] = STATE(1572),
    [sym_debugger_statement] = STATE(1572),
    [sym_return_statement] = STATE(1572),
    [sym_throw_statement] = STATE(1572),
    [sym_empty_statement] = STATE(1572),
    [sym_labeled_statement] = STATE(1572),
    [sym_parenthesized_expression] = STATE(2177),
    [sym_expression] = STATE(2545),
    [sym_primary_expression] = STATE(2990),
    [sym_yield_expression] = STATE(3139),
    [sym_object] = STATE(3113),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(3113),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(3139),
    [sym_glimmer_opening_tag] = STATE(5702),
    [sym_jsx_element] = STATE(3139),
    [sym_jsx_opening_element] = STATE(4008),
    [sym_jsx_self_closing_element] = STATE(3139),
    [sym_class] = STATE(3113),
    [sym_class_declaration] = STATE(1573),
    [sym_function_expression] = STATE(3113),
    [sym_function_declaration] = STATE(1573),
    [sym_generator_function] = STATE(3113),
    [sym_generator_function_declaration] = STATE(1573),
    [sym_arrow_function] = STATE(3113),
    [sym__call_signature] = STATE(7486),
    [sym_call_expression] = STATE(3113),
    [sym_new_expression] = STATE(3139),
    [sym_await_expression] = STATE(3139),
    [sym_member_expression] = STATE(2177),
    [sym_subscript_expression] = STATE(2177),
    [sym_assignment_expression] = STATE(3139),
    [sym__augmented_assignment_lhs] = STATE(3835),
    [sym_augmented_assignment_expression] = STATE(3139),
    [sym__destructuring_pattern] = STATE(7484),
    [sym_ternary_expression] = STATE(3139),
    [sym_binary_expression] = STATE(3139),
    [sym_unary_expression] = STATE(3139),
    [sym_update_expression] = STATE(3139),
    [sym_sequence_expression] = STATE(6676),
    [sym_string] = STATE(3113),
    [sym_comment] = STATE(38),
    [sym_template_string] = STATE(3113),
    [sym_regex] = STATE(3113),
    [sym_meta_property] = STATE(3113),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2177),
    [sym_function_signature] = STATE(1573),
    [sym_as_expression] = STATE(3139),
    [sym_satisfies_expression] = STATE(3139),
    [sym_instantiation_expression] = STATE(3139),
    [sym_ambient_declaration] = STATE(1573),
    [sym_abstract_class_declaration] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_internal_module] = STATE(437),
    [sym_import_alias] = STATE(1573),
    [sym_interface_declaration] = STATE(1573),
    [sym_enum_declaration] = STATE(1573),
    [sym_type_alias_declaration] = STATE(1573),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_program_repeat1] = STATE(17),
    [aux_sym_export_statement_repeat1] = STATE(4771),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_for] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_do] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [39] = {
    [sym_export_statement] = STATE(1572),
    [sym_declaration] = STATE(1572),
    [sym_import] = STATE(4369),
    [sym_import_statement] = STATE(1572),
    [sym_expression_statement] = STATE(1572),
    [sym_variable_declaration] = STATE(1573),
    [sym_lexical_declaration] = STATE(1573),
    [sym_statement_block] = STATE(1572),
    [sym_if_statement] = STATE(1572),
    [sym_switch_statement] = STATE(1572),
    [sym_for_statement] = STATE(1572),
    [sym_for_in_statement] = STATE(1572),
    [sym_while_statement] = STATE(1572),
    [sym_do_statement] = STATE(1572),
    [sym_try_statement] = STATE(1572),
    [sym_with_statement] = STATE(1572),
    [sym_break_statement] = STATE(1572),
    [sym_continue_statement] = STATE(1572),
    [sym_debugger_statement] = STATE(1572),
    [sym_return_statement] = STATE(1572),
    [sym_throw_statement] = STATE(1572),
    [sym_empty_statement] = STATE(1572),
    [sym_labeled_statement] = STATE(1572),
    [sym_parenthesized_expression] = STATE(2177),
    [sym_expression] = STATE(2545),
    [sym_primary_expression] = STATE(2990),
    [sym_yield_expression] = STATE(3139),
    [sym_object] = STATE(3113),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(3113),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(3139),
    [sym_glimmer_opening_tag] = STATE(5702),
    [sym_jsx_element] = STATE(3139),
    [sym_jsx_opening_element] = STATE(4008),
    [sym_jsx_self_closing_element] = STATE(3139),
    [sym_class] = STATE(3113),
    [sym_class_declaration] = STATE(1573),
    [sym_function_expression] = STATE(3113),
    [sym_function_declaration] = STATE(1573),
    [sym_generator_function] = STATE(3113),
    [sym_generator_function_declaration] = STATE(1573),
    [sym_arrow_function] = STATE(3113),
    [sym__call_signature] = STATE(7486),
    [sym_call_expression] = STATE(3113),
    [sym_new_expression] = STATE(3139),
    [sym_await_expression] = STATE(3139),
    [sym_member_expression] = STATE(2177),
    [sym_subscript_expression] = STATE(2177),
    [sym_assignment_expression] = STATE(3139),
    [sym__augmented_assignment_lhs] = STATE(3835),
    [sym_augmented_assignment_expression] = STATE(3139),
    [sym__destructuring_pattern] = STATE(7484),
    [sym_ternary_expression] = STATE(3139),
    [sym_binary_expression] = STATE(3139),
    [sym_unary_expression] = STATE(3139),
    [sym_update_expression] = STATE(3139),
    [sym_sequence_expression] = STATE(6676),
    [sym_string] = STATE(3113),
    [sym_comment] = STATE(39),
    [sym_template_string] = STATE(3113),
    [sym_regex] = STATE(3113),
    [sym_meta_property] = STATE(3113),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2177),
    [sym_function_signature] = STATE(1573),
    [sym_as_expression] = STATE(3139),
    [sym_satisfies_expression] = STATE(3139),
    [sym_instantiation_expression] = STATE(3139),
    [sym_ambient_declaration] = STATE(1573),
    [sym_abstract_class_declaration] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_internal_module] = STATE(437),
    [sym_import_alias] = STATE(1573),
    [sym_interface_declaration] = STATE(1573),
    [sym_enum_declaration] = STATE(1573),
    [sym_type_alias_declaration] = STATE(1573),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_program_repeat1] = STATE(40),
    [aux_sym_export_statement_repeat1] = STATE(4771),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(698),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_for] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_do] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [40] = {
    [sym_export_statement] = STATE(1572),
    [sym_declaration] = STATE(1572),
    [sym_import] = STATE(4369),
    [sym_import_statement] = STATE(1572),
    [sym_expression_statement] = STATE(1572),
    [sym_variable_declaration] = STATE(1573),
    [sym_lexical_declaration] = STATE(1573),
    [sym_statement_block] = STATE(1572),
    [sym_if_statement] = STATE(1572),
    [sym_switch_statement] = STATE(1572),
    [sym_for_statement] = STATE(1572),
    [sym_for_in_statement] = STATE(1572),
    [sym_while_statement] = STATE(1572),
    [sym_do_statement] = STATE(1572),
    [sym_try_statement] = STATE(1572),
    [sym_with_statement] = STATE(1572),
    [sym_break_statement] = STATE(1572),
    [sym_continue_statement] = STATE(1572),
    [sym_debugger_statement] = STATE(1572),
    [sym_return_statement] = STATE(1572),
    [sym_throw_statement] = STATE(1572),
    [sym_empty_statement] = STATE(1572),
    [sym_labeled_statement] = STATE(1572),
    [sym_parenthesized_expression] = STATE(2177),
    [sym_expression] = STATE(2545),
    [sym_primary_expression] = STATE(2990),
    [sym_yield_expression] = STATE(3139),
    [sym_object] = STATE(3113),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(3113),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(3139),
    [sym_glimmer_opening_tag] = STATE(5702),
    [sym_jsx_element] = STATE(3139),
    [sym_jsx_opening_element] = STATE(4008),
    [sym_jsx_self_closing_element] = STATE(3139),
    [sym_class] = STATE(3113),
    [sym_class_declaration] = STATE(1573),
    [sym_function_expression] = STATE(3113),
    [sym_function_declaration] = STATE(1573),
    [sym_generator_function] = STATE(3113),
    [sym_generator_function_declaration] = STATE(1573),
    [sym_arrow_function] = STATE(3113),
    [sym__call_signature] = STATE(7486),
    [sym_call_expression] = STATE(3113),
    [sym_new_expression] = STATE(3139),
    [sym_await_expression] = STATE(3139),
    [sym_member_expression] = STATE(2177),
    [sym_subscript_expression] = STATE(2177),
    [sym_assignment_expression] = STATE(3139),
    [sym__augmented_assignment_lhs] = STATE(3835),
    [sym_augmented_assignment_expression] = STATE(3139),
    [sym__destructuring_pattern] = STATE(7484),
    [sym_ternary_expression] = STATE(3139),
    [sym_binary_expression] = STATE(3139),
    [sym_unary_expression] = STATE(3139),
    [sym_update_expression] = STATE(3139),
    [sym_sequence_expression] = STATE(6676),
    [sym_string] = STATE(3113),
    [sym_comment] = STATE(40),
    [sym_template_string] = STATE(3113),
    [sym_regex] = STATE(3113),
    [sym_meta_property] = STATE(3113),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2177),
    [sym_function_signature] = STATE(1573),
    [sym_as_expression] = STATE(3139),
    [sym_satisfies_expression] = STATE(3139),
    [sym_instantiation_expression] = STATE(3139),
    [sym_ambient_declaration] = STATE(1573),
    [sym_abstract_class_declaration] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_internal_module] = STATE(437),
    [sym_import_alias] = STATE(1573),
    [sym_interface_declaration] = STATE(1573),
    [sym_enum_declaration] = STATE(1573),
    [sym_type_alias_declaration] = STATE(1573),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_program_repeat1] = STATE(17),
    [aux_sym_export_statement_repeat1] = STATE(4771),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(700),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_for] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_do] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [41] = {
    [sym_export_statement] = STATE(1572),
    [sym_declaration] = STATE(1572),
    [sym_import] = STATE(4369),
    [sym_import_statement] = STATE(1572),
    [sym_expression_statement] = STATE(1572),
    [sym_variable_declaration] = STATE(1573),
    [sym_lexical_declaration] = STATE(1573),
    [sym_statement_block] = STATE(1572),
    [sym_if_statement] = STATE(1572),
    [sym_switch_statement] = STATE(1572),
    [sym_for_statement] = STATE(1572),
    [sym_for_in_statement] = STATE(1572),
    [sym_while_statement] = STATE(1572),
    [sym_do_statement] = STATE(1572),
    [sym_try_statement] = STATE(1572),
    [sym_with_statement] = STATE(1572),
    [sym_break_statement] = STATE(1572),
    [sym_continue_statement] = STATE(1572),
    [sym_debugger_statement] = STATE(1572),
    [sym_return_statement] = STATE(1572),
    [sym_throw_statement] = STATE(1572),
    [sym_empty_statement] = STATE(1572),
    [sym_labeled_statement] = STATE(1572),
    [sym_parenthesized_expression] = STATE(2177),
    [sym_expression] = STATE(2545),
    [sym_primary_expression] = STATE(2990),
    [sym_yield_expression] = STATE(3139),
    [sym_object] = STATE(3113),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(3113),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(3139),
    [sym_glimmer_opening_tag] = STATE(5702),
    [sym_jsx_element] = STATE(3139),
    [sym_jsx_opening_element] = STATE(4008),
    [sym_jsx_self_closing_element] = STATE(3139),
    [sym_class] = STATE(3113),
    [sym_class_declaration] = STATE(1573),
    [sym_function_expression] = STATE(3113),
    [sym_function_declaration] = STATE(1573),
    [sym_generator_function] = STATE(3113),
    [sym_generator_function_declaration] = STATE(1573),
    [sym_arrow_function] = STATE(3113),
    [sym__call_signature] = STATE(7486),
    [sym_call_expression] = STATE(3113),
    [sym_new_expression] = STATE(3139),
    [sym_await_expression] = STATE(3139),
    [sym_member_expression] = STATE(2177),
    [sym_subscript_expression] = STATE(2177),
    [sym_assignment_expression] = STATE(3139),
    [sym__augmented_assignment_lhs] = STATE(3835),
    [sym_augmented_assignment_expression] = STATE(3139),
    [sym__destructuring_pattern] = STATE(7484),
    [sym_ternary_expression] = STATE(3139),
    [sym_binary_expression] = STATE(3139),
    [sym_unary_expression] = STATE(3139),
    [sym_update_expression] = STATE(3139),
    [sym_sequence_expression] = STATE(6676),
    [sym_string] = STATE(3113),
    [sym_comment] = STATE(41),
    [sym_template_string] = STATE(3113),
    [sym_regex] = STATE(3113),
    [sym_meta_property] = STATE(3113),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2177),
    [sym_function_signature] = STATE(1573),
    [sym_as_expression] = STATE(3139),
    [sym_satisfies_expression] = STATE(3139),
    [sym_instantiation_expression] = STATE(3139),
    [sym_ambient_declaration] = STATE(1573),
    [sym_abstract_class_declaration] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_internal_module] = STATE(437),
    [sym_import_alias] = STATE(1573),
    [sym_interface_declaration] = STATE(1573),
    [sym_enum_declaration] = STATE(1573),
    [sym_type_alias_declaration] = STATE(1573),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_program_repeat1] = STATE(57),
    [aux_sym_export_statement_repeat1] = STATE(4771),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(702),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_for] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_do] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [42] = {
    [sym_export_statement] = STATE(1572),
    [sym_declaration] = STATE(1572),
    [sym_import] = STATE(4369),
    [sym_import_statement] = STATE(1572),
    [sym_expression_statement] = STATE(1572),
    [sym_variable_declaration] = STATE(1573),
    [sym_lexical_declaration] = STATE(1573),
    [sym_statement_block] = STATE(1572),
    [sym_if_statement] = STATE(1572),
    [sym_switch_statement] = STATE(1572),
    [sym_for_statement] = STATE(1572),
    [sym_for_in_statement] = STATE(1572),
    [sym_while_statement] = STATE(1572),
    [sym_do_statement] = STATE(1572),
    [sym_try_statement] = STATE(1572),
    [sym_with_statement] = STATE(1572),
    [sym_break_statement] = STATE(1572),
    [sym_continue_statement] = STATE(1572),
    [sym_debugger_statement] = STATE(1572),
    [sym_return_statement] = STATE(1572),
    [sym_throw_statement] = STATE(1572),
    [sym_empty_statement] = STATE(1572),
    [sym_labeled_statement] = STATE(1572),
    [sym_parenthesized_expression] = STATE(2177),
    [sym_expression] = STATE(2545),
    [sym_primary_expression] = STATE(2990),
    [sym_yield_expression] = STATE(3139),
    [sym_object] = STATE(3113),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(3113),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(3139),
    [sym_glimmer_opening_tag] = STATE(5702),
    [sym_jsx_element] = STATE(3139),
    [sym_jsx_opening_element] = STATE(4008),
    [sym_jsx_self_closing_element] = STATE(3139),
    [sym_class] = STATE(3113),
    [sym_class_declaration] = STATE(1573),
    [sym_function_expression] = STATE(3113),
    [sym_function_declaration] = STATE(1573),
    [sym_generator_function] = STATE(3113),
    [sym_generator_function_declaration] = STATE(1573),
    [sym_arrow_function] = STATE(3113),
    [sym__call_signature] = STATE(7486),
    [sym_call_expression] = STATE(3113),
    [sym_new_expression] = STATE(3139),
    [sym_await_expression] = STATE(3139),
    [sym_member_expression] = STATE(2177),
    [sym_subscript_expression] = STATE(2177),
    [sym_assignment_expression] = STATE(3139),
    [sym__augmented_assignment_lhs] = STATE(3835),
    [sym_augmented_assignment_expression] = STATE(3139),
    [sym__destructuring_pattern] = STATE(7484),
    [sym_ternary_expression] = STATE(3139),
    [sym_binary_expression] = STATE(3139),
    [sym_unary_expression] = STATE(3139),
    [sym_update_expression] = STATE(3139),
    [sym_sequence_expression] = STATE(6676),
    [sym_string] = STATE(3113),
    [sym_comment] = STATE(42),
    [sym_template_string] = STATE(3113),
    [sym_regex] = STATE(3113),
    [sym_meta_property] = STATE(3113),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2177),
    [sym_function_signature] = STATE(1573),
    [sym_as_expression] = STATE(3139),
    [sym_satisfies_expression] = STATE(3139),
    [sym_instantiation_expression] = STATE(3139),
    [sym_ambient_declaration] = STATE(1573),
    [sym_abstract_class_declaration] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_internal_module] = STATE(437),
    [sym_import_alias] = STATE(1573),
    [sym_interface_declaration] = STATE(1573),
    [sym_enum_declaration] = STATE(1573),
    [sym_type_alias_declaration] = STATE(1573),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_program_repeat1] = STATE(64),
    [aux_sym_export_statement_repeat1] = STATE(4771),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(704),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_for] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_do] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [43] = {
    [sym_export_statement] = STATE(1572),
    [sym_declaration] = STATE(1572),
    [sym_import] = STATE(4369),
    [sym_import_statement] = STATE(1572),
    [sym_expression_statement] = STATE(1572),
    [sym_variable_declaration] = STATE(1573),
    [sym_lexical_declaration] = STATE(1573),
    [sym_statement_block] = STATE(1572),
    [sym_if_statement] = STATE(1572),
    [sym_switch_statement] = STATE(1572),
    [sym_for_statement] = STATE(1572),
    [sym_for_in_statement] = STATE(1572),
    [sym_while_statement] = STATE(1572),
    [sym_do_statement] = STATE(1572),
    [sym_try_statement] = STATE(1572),
    [sym_with_statement] = STATE(1572),
    [sym_break_statement] = STATE(1572),
    [sym_continue_statement] = STATE(1572),
    [sym_debugger_statement] = STATE(1572),
    [sym_return_statement] = STATE(1572),
    [sym_throw_statement] = STATE(1572),
    [sym_empty_statement] = STATE(1572),
    [sym_labeled_statement] = STATE(1572),
    [sym_parenthesized_expression] = STATE(2177),
    [sym_expression] = STATE(2545),
    [sym_primary_expression] = STATE(2990),
    [sym_yield_expression] = STATE(3139),
    [sym_object] = STATE(3113),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(3113),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(3139),
    [sym_glimmer_opening_tag] = STATE(5702),
    [sym_jsx_element] = STATE(3139),
    [sym_jsx_opening_element] = STATE(4008),
    [sym_jsx_self_closing_element] = STATE(3139),
    [sym_class] = STATE(3113),
    [sym_class_declaration] = STATE(1573),
    [sym_function_expression] = STATE(3113),
    [sym_function_declaration] = STATE(1573),
    [sym_generator_function] = STATE(3113),
    [sym_generator_function_declaration] = STATE(1573),
    [sym_arrow_function] = STATE(3113),
    [sym__call_signature] = STATE(7486),
    [sym_call_expression] = STATE(3113),
    [sym_new_expression] = STATE(3139),
    [sym_await_expression] = STATE(3139),
    [sym_member_expression] = STATE(2177),
    [sym_subscript_expression] = STATE(2177),
    [sym_assignment_expression] = STATE(3139),
    [sym__augmented_assignment_lhs] = STATE(3835),
    [sym_augmented_assignment_expression] = STATE(3139),
    [sym__destructuring_pattern] = STATE(7484),
    [sym_ternary_expression] = STATE(3139),
    [sym_binary_expression] = STATE(3139),
    [sym_unary_expression] = STATE(3139),
    [sym_update_expression] = STATE(3139),
    [sym_sequence_expression] = STATE(6676),
    [sym_string] = STATE(3113),
    [sym_comment] = STATE(43),
    [sym_template_string] = STATE(3113),
    [sym_regex] = STATE(3113),
    [sym_meta_property] = STATE(3113),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2177),
    [sym_function_signature] = STATE(1573),
    [sym_as_expression] = STATE(3139),
    [sym_satisfies_expression] = STATE(3139),
    [sym_instantiation_expression] = STATE(3139),
    [sym_ambient_declaration] = STATE(1573),
    [sym_abstract_class_declaration] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_internal_module] = STATE(437),
    [sym_import_alias] = STATE(1573),
    [sym_interface_declaration] = STATE(1573),
    [sym_enum_declaration] = STATE(1573),
    [sym_type_alias_declaration] = STATE(1573),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_program_repeat1] = STATE(17),
    [aux_sym_export_statement_repeat1] = STATE(4771),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(706),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_for] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_do] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [44] = {
    [sym_export_statement] = STATE(1572),
    [sym_declaration] = STATE(1572),
    [sym_import] = STATE(4369),
    [sym_import_statement] = STATE(1572),
    [sym_expression_statement] = STATE(1572),
    [sym_variable_declaration] = STATE(1573),
    [sym_lexical_declaration] = STATE(1573),
    [sym_statement_block] = STATE(1572),
    [sym_if_statement] = STATE(1572),
    [sym_switch_statement] = STATE(1572),
    [sym_for_statement] = STATE(1572),
    [sym_for_in_statement] = STATE(1572),
    [sym_while_statement] = STATE(1572),
    [sym_do_statement] = STATE(1572),
    [sym_try_statement] = STATE(1572),
    [sym_with_statement] = STATE(1572),
    [sym_break_statement] = STATE(1572),
    [sym_continue_statement] = STATE(1572),
    [sym_debugger_statement] = STATE(1572),
    [sym_return_statement] = STATE(1572),
    [sym_throw_statement] = STATE(1572),
    [sym_empty_statement] = STATE(1572),
    [sym_labeled_statement] = STATE(1572),
    [sym_parenthesized_expression] = STATE(2177),
    [sym_expression] = STATE(2545),
    [sym_primary_expression] = STATE(2990),
    [sym_yield_expression] = STATE(3139),
    [sym_object] = STATE(3113),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(3113),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(3139),
    [sym_glimmer_opening_tag] = STATE(5702),
    [sym_jsx_element] = STATE(3139),
    [sym_jsx_opening_element] = STATE(4008),
    [sym_jsx_self_closing_element] = STATE(3139),
    [sym_class] = STATE(3113),
    [sym_class_declaration] = STATE(1573),
    [sym_function_expression] = STATE(3113),
    [sym_function_declaration] = STATE(1573),
    [sym_generator_function] = STATE(3113),
    [sym_generator_function_declaration] = STATE(1573),
    [sym_arrow_function] = STATE(3113),
    [sym__call_signature] = STATE(7486),
    [sym_call_expression] = STATE(3113),
    [sym_new_expression] = STATE(3139),
    [sym_await_expression] = STATE(3139),
    [sym_member_expression] = STATE(2177),
    [sym_subscript_expression] = STATE(2177),
    [sym_assignment_expression] = STATE(3139),
    [sym__augmented_assignment_lhs] = STATE(3835),
    [sym_augmented_assignment_expression] = STATE(3139),
    [sym__destructuring_pattern] = STATE(7484),
    [sym_ternary_expression] = STATE(3139),
    [sym_binary_expression] = STATE(3139),
    [sym_unary_expression] = STATE(3139),
    [sym_update_expression] = STATE(3139),
    [sym_sequence_expression] = STATE(6676),
    [sym_string] = STATE(3113),
    [sym_comment] = STATE(44),
    [sym_template_string] = STATE(3113),
    [sym_regex] = STATE(3113),
    [sym_meta_property] = STATE(3113),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2177),
    [sym_function_signature] = STATE(1573),
    [sym_as_expression] = STATE(3139),
    [sym_satisfies_expression] = STATE(3139),
    [sym_instantiation_expression] = STATE(3139),
    [sym_ambient_declaration] = STATE(1573),
    [sym_abstract_class_declaration] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_internal_module] = STATE(437),
    [sym_import_alias] = STATE(1573),
    [sym_interface_declaration] = STATE(1573),
    [sym_enum_declaration] = STATE(1573),
    [sym_type_alias_declaration] = STATE(1573),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_program_repeat1] = STATE(61),
    [aux_sym_export_statement_repeat1] = STATE(4771),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(708),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_for] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_do] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [45] = {
    [sym_export_statement] = STATE(1572),
    [sym_declaration] = STATE(1572),
    [sym_import] = STATE(4369),
    [sym_import_statement] = STATE(1572),
    [sym_expression_statement] = STATE(1572),
    [sym_variable_declaration] = STATE(1573),
    [sym_lexical_declaration] = STATE(1573),
    [sym_statement_block] = STATE(1572),
    [sym_if_statement] = STATE(1572),
    [sym_switch_statement] = STATE(1572),
    [sym_for_statement] = STATE(1572),
    [sym_for_in_statement] = STATE(1572),
    [sym_while_statement] = STATE(1572),
    [sym_do_statement] = STATE(1572),
    [sym_try_statement] = STATE(1572),
    [sym_with_statement] = STATE(1572),
    [sym_break_statement] = STATE(1572),
    [sym_continue_statement] = STATE(1572),
    [sym_debugger_statement] = STATE(1572),
    [sym_return_statement] = STATE(1572),
    [sym_throw_statement] = STATE(1572),
    [sym_empty_statement] = STATE(1572),
    [sym_labeled_statement] = STATE(1572),
    [sym_parenthesized_expression] = STATE(2177),
    [sym_expression] = STATE(2545),
    [sym_primary_expression] = STATE(2990),
    [sym_yield_expression] = STATE(3139),
    [sym_object] = STATE(3113),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(3113),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(3139),
    [sym_glimmer_opening_tag] = STATE(5702),
    [sym_jsx_element] = STATE(3139),
    [sym_jsx_opening_element] = STATE(4008),
    [sym_jsx_self_closing_element] = STATE(3139),
    [sym_class] = STATE(3113),
    [sym_class_declaration] = STATE(1573),
    [sym_function_expression] = STATE(3113),
    [sym_function_declaration] = STATE(1573),
    [sym_generator_function] = STATE(3113),
    [sym_generator_function_declaration] = STATE(1573),
    [sym_arrow_function] = STATE(3113),
    [sym__call_signature] = STATE(7486),
    [sym_call_expression] = STATE(3113),
    [sym_new_expression] = STATE(3139),
    [sym_await_expression] = STATE(3139),
    [sym_member_expression] = STATE(2177),
    [sym_subscript_expression] = STATE(2177),
    [sym_assignment_expression] = STATE(3139),
    [sym__augmented_assignment_lhs] = STATE(3835),
    [sym_augmented_assignment_expression] = STATE(3139),
    [sym__destructuring_pattern] = STATE(7484),
    [sym_ternary_expression] = STATE(3139),
    [sym_binary_expression] = STATE(3139),
    [sym_unary_expression] = STATE(3139),
    [sym_update_expression] = STATE(3139),
    [sym_sequence_expression] = STATE(6676),
    [sym_string] = STATE(3113),
    [sym_comment] = STATE(45),
    [sym_template_string] = STATE(3113),
    [sym_regex] = STATE(3113),
    [sym_meta_property] = STATE(3113),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2177),
    [sym_function_signature] = STATE(1573),
    [sym_as_expression] = STATE(3139),
    [sym_satisfies_expression] = STATE(3139),
    [sym_instantiation_expression] = STATE(3139),
    [sym_ambient_declaration] = STATE(1573),
    [sym_abstract_class_declaration] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_internal_module] = STATE(437),
    [sym_import_alias] = STATE(1573),
    [sym_interface_declaration] = STATE(1573),
    [sym_enum_declaration] = STATE(1573),
    [sym_type_alias_declaration] = STATE(1573),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_program_repeat1] = STATE(22),
    [aux_sym_export_statement_repeat1] = STATE(4771),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(710),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_for] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_do] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [46] = {
    [sym_export_statement] = STATE(1572),
    [sym_declaration] = STATE(1572),
    [sym_import] = STATE(4369),
    [sym_import_statement] = STATE(1572),
    [sym_expression_statement] = STATE(1572),
    [sym_variable_declaration] = STATE(1573),
    [sym_lexical_declaration] = STATE(1573),
    [sym_statement_block] = STATE(1572),
    [sym_if_statement] = STATE(1572),
    [sym_switch_statement] = STATE(1572),
    [sym_for_statement] = STATE(1572),
    [sym_for_in_statement] = STATE(1572),
    [sym_while_statement] = STATE(1572),
    [sym_do_statement] = STATE(1572),
    [sym_try_statement] = STATE(1572),
    [sym_with_statement] = STATE(1572),
    [sym_break_statement] = STATE(1572),
    [sym_continue_statement] = STATE(1572),
    [sym_debugger_statement] = STATE(1572),
    [sym_return_statement] = STATE(1572),
    [sym_throw_statement] = STATE(1572),
    [sym_empty_statement] = STATE(1572),
    [sym_labeled_statement] = STATE(1572),
    [sym_parenthesized_expression] = STATE(2177),
    [sym_expression] = STATE(2545),
    [sym_primary_expression] = STATE(2990),
    [sym_yield_expression] = STATE(3139),
    [sym_object] = STATE(3113),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(3113),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(3139),
    [sym_glimmer_opening_tag] = STATE(5702),
    [sym_jsx_element] = STATE(3139),
    [sym_jsx_opening_element] = STATE(4008),
    [sym_jsx_self_closing_element] = STATE(3139),
    [sym_class] = STATE(3113),
    [sym_class_declaration] = STATE(1573),
    [sym_function_expression] = STATE(3113),
    [sym_function_declaration] = STATE(1573),
    [sym_generator_function] = STATE(3113),
    [sym_generator_function_declaration] = STATE(1573),
    [sym_arrow_function] = STATE(3113),
    [sym__call_signature] = STATE(7486),
    [sym_call_expression] = STATE(3113),
    [sym_new_expression] = STATE(3139),
    [sym_await_expression] = STATE(3139),
    [sym_member_expression] = STATE(2177),
    [sym_subscript_expression] = STATE(2177),
    [sym_assignment_expression] = STATE(3139),
    [sym__augmented_assignment_lhs] = STATE(3835),
    [sym_augmented_assignment_expression] = STATE(3139),
    [sym__destructuring_pattern] = STATE(7484),
    [sym_ternary_expression] = STATE(3139),
    [sym_binary_expression] = STATE(3139),
    [sym_unary_expression] = STATE(3139),
    [sym_update_expression] = STATE(3139),
    [sym_sequence_expression] = STATE(6676),
    [sym_string] = STATE(3113),
    [sym_comment] = STATE(46),
    [sym_template_string] = STATE(3113),
    [sym_regex] = STATE(3113),
    [sym_meta_property] = STATE(3113),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2177),
    [sym_function_signature] = STATE(1573),
    [sym_as_expression] = STATE(3139),
    [sym_satisfies_expression] = STATE(3139),
    [sym_instantiation_expression] = STATE(3139),
    [sym_ambient_declaration] = STATE(1573),
    [sym_abstract_class_declaration] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_internal_module] = STATE(437),
    [sym_import_alias] = STATE(1573),
    [sym_interface_declaration] = STATE(1573),
    [sym_enum_declaration] = STATE(1573),
    [sym_type_alias_declaration] = STATE(1573),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_program_repeat1] = STATE(17),
    [aux_sym_export_statement_repeat1] = STATE(4771),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(712),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_for] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_do] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [47] = {
    [sym_export_statement] = STATE(1572),
    [sym_declaration] = STATE(1572),
    [sym_import] = STATE(4369),
    [sym_import_statement] = STATE(1572),
    [sym_expression_statement] = STATE(1572),
    [sym_variable_declaration] = STATE(1573),
    [sym_lexical_declaration] = STATE(1573),
    [sym_statement_block] = STATE(1572),
    [sym_if_statement] = STATE(1572),
    [sym_switch_statement] = STATE(1572),
    [sym_for_statement] = STATE(1572),
    [sym_for_in_statement] = STATE(1572),
    [sym_while_statement] = STATE(1572),
    [sym_do_statement] = STATE(1572),
    [sym_try_statement] = STATE(1572),
    [sym_with_statement] = STATE(1572),
    [sym_break_statement] = STATE(1572),
    [sym_continue_statement] = STATE(1572),
    [sym_debugger_statement] = STATE(1572),
    [sym_return_statement] = STATE(1572),
    [sym_throw_statement] = STATE(1572),
    [sym_empty_statement] = STATE(1572),
    [sym_labeled_statement] = STATE(1572),
    [sym_parenthesized_expression] = STATE(2177),
    [sym_expression] = STATE(2545),
    [sym_primary_expression] = STATE(2990),
    [sym_yield_expression] = STATE(3139),
    [sym_object] = STATE(3113),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(3113),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(3139),
    [sym_glimmer_opening_tag] = STATE(5702),
    [sym_jsx_element] = STATE(3139),
    [sym_jsx_opening_element] = STATE(4008),
    [sym_jsx_self_closing_element] = STATE(3139),
    [sym_class] = STATE(3113),
    [sym_class_declaration] = STATE(1573),
    [sym_function_expression] = STATE(3113),
    [sym_function_declaration] = STATE(1573),
    [sym_generator_function] = STATE(3113),
    [sym_generator_function_declaration] = STATE(1573),
    [sym_arrow_function] = STATE(3113),
    [sym__call_signature] = STATE(7486),
    [sym_call_expression] = STATE(3113),
    [sym_new_expression] = STATE(3139),
    [sym_await_expression] = STATE(3139),
    [sym_member_expression] = STATE(2177),
    [sym_subscript_expression] = STATE(2177),
    [sym_assignment_expression] = STATE(3139),
    [sym__augmented_assignment_lhs] = STATE(3835),
    [sym_augmented_assignment_expression] = STATE(3139),
    [sym__destructuring_pattern] = STATE(7484),
    [sym_ternary_expression] = STATE(3139),
    [sym_binary_expression] = STATE(3139),
    [sym_unary_expression] = STATE(3139),
    [sym_update_expression] = STATE(3139),
    [sym_sequence_expression] = STATE(6676),
    [sym_string] = STATE(3113),
    [sym_comment] = STATE(47),
    [sym_template_string] = STATE(3113),
    [sym_regex] = STATE(3113),
    [sym_meta_property] = STATE(3113),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2177),
    [sym_function_signature] = STATE(1573),
    [sym_as_expression] = STATE(3139),
    [sym_satisfies_expression] = STATE(3139),
    [sym_instantiation_expression] = STATE(3139),
    [sym_ambient_declaration] = STATE(1573),
    [sym_abstract_class_declaration] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_internal_module] = STATE(437),
    [sym_import_alias] = STATE(1573),
    [sym_interface_declaration] = STATE(1573),
    [sym_enum_declaration] = STATE(1573),
    [sym_type_alias_declaration] = STATE(1573),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_program_repeat1] = STATE(49),
    [aux_sym_export_statement_repeat1] = STATE(4771),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(714),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_for] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_do] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [48] = {
    [sym_export_statement] = STATE(1572),
    [sym_declaration] = STATE(1572),
    [sym_import] = STATE(4369),
    [sym_import_statement] = STATE(1572),
    [sym_expression_statement] = STATE(1572),
    [sym_variable_declaration] = STATE(1573),
    [sym_lexical_declaration] = STATE(1573),
    [sym_statement_block] = STATE(1572),
    [sym_if_statement] = STATE(1572),
    [sym_switch_statement] = STATE(1572),
    [sym_for_statement] = STATE(1572),
    [sym_for_in_statement] = STATE(1572),
    [sym_while_statement] = STATE(1572),
    [sym_do_statement] = STATE(1572),
    [sym_try_statement] = STATE(1572),
    [sym_with_statement] = STATE(1572),
    [sym_break_statement] = STATE(1572),
    [sym_continue_statement] = STATE(1572),
    [sym_debugger_statement] = STATE(1572),
    [sym_return_statement] = STATE(1572),
    [sym_throw_statement] = STATE(1572),
    [sym_empty_statement] = STATE(1572),
    [sym_labeled_statement] = STATE(1572),
    [sym_parenthesized_expression] = STATE(2177),
    [sym_expression] = STATE(2545),
    [sym_primary_expression] = STATE(2990),
    [sym_yield_expression] = STATE(3139),
    [sym_object] = STATE(3113),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(3113),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(3139),
    [sym_glimmer_opening_tag] = STATE(5702),
    [sym_jsx_element] = STATE(3139),
    [sym_jsx_opening_element] = STATE(4008),
    [sym_jsx_self_closing_element] = STATE(3139),
    [sym_class] = STATE(3113),
    [sym_class_declaration] = STATE(1573),
    [sym_function_expression] = STATE(3113),
    [sym_function_declaration] = STATE(1573),
    [sym_generator_function] = STATE(3113),
    [sym_generator_function_declaration] = STATE(1573),
    [sym_arrow_function] = STATE(3113),
    [sym__call_signature] = STATE(7486),
    [sym_call_expression] = STATE(3113),
    [sym_new_expression] = STATE(3139),
    [sym_await_expression] = STATE(3139),
    [sym_member_expression] = STATE(2177),
    [sym_subscript_expression] = STATE(2177),
    [sym_assignment_expression] = STATE(3139),
    [sym__augmented_assignment_lhs] = STATE(3835),
    [sym_augmented_assignment_expression] = STATE(3139),
    [sym__destructuring_pattern] = STATE(7484),
    [sym_ternary_expression] = STATE(3139),
    [sym_binary_expression] = STATE(3139),
    [sym_unary_expression] = STATE(3139),
    [sym_update_expression] = STATE(3139),
    [sym_sequence_expression] = STATE(6676),
    [sym_string] = STATE(3113),
    [sym_comment] = STATE(48),
    [sym_template_string] = STATE(3113),
    [sym_regex] = STATE(3113),
    [sym_meta_property] = STATE(3113),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2177),
    [sym_function_signature] = STATE(1573),
    [sym_as_expression] = STATE(3139),
    [sym_satisfies_expression] = STATE(3139),
    [sym_instantiation_expression] = STATE(3139),
    [sym_ambient_declaration] = STATE(1573),
    [sym_abstract_class_declaration] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_internal_module] = STATE(437),
    [sym_import_alias] = STATE(1573),
    [sym_interface_declaration] = STATE(1573),
    [sym_enum_declaration] = STATE(1573),
    [sym_type_alias_declaration] = STATE(1573),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_program_repeat1] = STATE(17),
    [aux_sym_export_statement_repeat1] = STATE(4771),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(716),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_for] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_do] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [49] = {
    [sym_export_statement] = STATE(1572),
    [sym_declaration] = STATE(1572),
    [sym_import] = STATE(4369),
    [sym_import_statement] = STATE(1572),
    [sym_expression_statement] = STATE(1572),
    [sym_variable_declaration] = STATE(1573),
    [sym_lexical_declaration] = STATE(1573),
    [sym_statement_block] = STATE(1572),
    [sym_if_statement] = STATE(1572),
    [sym_switch_statement] = STATE(1572),
    [sym_for_statement] = STATE(1572),
    [sym_for_in_statement] = STATE(1572),
    [sym_while_statement] = STATE(1572),
    [sym_do_statement] = STATE(1572),
    [sym_try_statement] = STATE(1572),
    [sym_with_statement] = STATE(1572),
    [sym_break_statement] = STATE(1572),
    [sym_continue_statement] = STATE(1572),
    [sym_debugger_statement] = STATE(1572),
    [sym_return_statement] = STATE(1572),
    [sym_throw_statement] = STATE(1572),
    [sym_empty_statement] = STATE(1572),
    [sym_labeled_statement] = STATE(1572),
    [sym_parenthesized_expression] = STATE(2177),
    [sym_expression] = STATE(2545),
    [sym_primary_expression] = STATE(2990),
    [sym_yield_expression] = STATE(3139),
    [sym_object] = STATE(3113),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(3113),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(3139),
    [sym_glimmer_opening_tag] = STATE(5702),
    [sym_jsx_element] = STATE(3139),
    [sym_jsx_opening_element] = STATE(4008),
    [sym_jsx_self_closing_element] = STATE(3139),
    [sym_class] = STATE(3113),
    [sym_class_declaration] = STATE(1573),
    [sym_function_expression] = STATE(3113),
    [sym_function_declaration] = STATE(1573),
    [sym_generator_function] = STATE(3113),
    [sym_generator_function_declaration] = STATE(1573),
    [sym_arrow_function] = STATE(3113),
    [sym__call_signature] = STATE(7486),
    [sym_call_expression] = STATE(3113),
    [sym_new_expression] = STATE(3139),
    [sym_await_expression] = STATE(3139),
    [sym_member_expression] = STATE(2177),
    [sym_subscript_expression] = STATE(2177),
    [sym_assignment_expression] = STATE(3139),
    [sym__augmented_assignment_lhs] = STATE(3835),
    [sym_augmented_assignment_expression] = STATE(3139),
    [sym__destructuring_pattern] = STATE(7484),
    [sym_ternary_expression] = STATE(3139),
    [sym_binary_expression] = STATE(3139),
    [sym_unary_expression] = STATE(3139),
    [sym_update_expression] = STATE(3139),
    [sym_sequence_expression] = STATE(6676),
    [sym_string] = STATE(3113),
    [sym_comment] = STATE(49),
    [sym_template_string] = STATE(3113),
    [sym_regex] = STATE(3113),
    [sym_meta_property] = STATE(3113),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2177),
    [sym_function_signature] = STATE(1573),
    [sym_as_expression] = STATE(3139),
    [sym_satisfies_expression] = STATE(3139),
    [sym_instantiation_expression] = STATE(3139),
    [sym_ambient_declaration] = STATE(1573),
    [sym_abstract_class_declaration] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_internal_module] = STATE(437),
    [sym_import_alias] = STATE(1573),
    [sym_interface_declaration] = STATE(1573),
    [sym_enum_declaration] = STATE(1573),
    [sym_type_alias_declaration] = STATE(1573),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_program_repeat1] = STATE(17),
    [aux_sym_export_statement_repeat1] = STATE(4771),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(718),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_for] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_do] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [50] = {
    [sym_export_statement] = STATE(1572),
    [sym_declaration] = STATE(1572),
    [sym_import] = STATE(4369),
    [sym_import_statement] = STATE(1572),
    [sym_expression_statement] = STATE(1572),
    [sym_variable_declaration] = STATE(1573),
    [sym_lexical_declaration] = STATE(1573),
    [sym_statement_block] = STATE(1572),
    [sym_if_statement] = STATE(1572),
    [sym_switch_statement] = STATE(1572),
    [sym_for_statement] = STATE(1572),
    [sym_for_in_statement] = STATE(1572),
    [sym_while_statement] = STATE(1572),
    [sym_do_statement] = STATE(1572),
    [sym_try_statement] = STATE(1572),
    [sym_with_statement] = STATE(1572),
    [sym_break_statement] = STATE(1572),
    [sym_continue_statement] = STATE(1572),
    [sym_debugger_statement] = STATE(1572),
    [sym_return_statement] = STATE(1572),
    [sym_throw_statement] = STATE(1572),
    [sym_empty_statement] = STATE(1572),
    [sym_labeled_statement] = STATE(1572),
    [sym_parenthesized_expression] = STATE(2177),
    [sym_expression] = STATE(2545),
    [sym_primary_expression] = STATE(2990),
    [sym_yield_expression] = STATE(3139),
    [sym_object] = STATE(3113),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(3113),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(3139),
    [sym_glimmer_opening_tag] = STATE(5702),
    [sym_jsx_element] = STATE(3139),
    [sym_jsx_opening_element] = STATE(4008),
    [sym_jsx_self_closing_element] = STATE(3139),
    [sym_class] = STATE(3113),
    [sym_class_declaration] = STATE(1573),
    [sym_function_expression] = STATE(3113),
    [sym_function_declaration] = STATE(1573),
    [sym_generator_function] = STATE(3113),
    [sym_generator_function_declaration] = STATE(1573),
    [sym_arrow_function] = STATE(3113),
    [sym__call_signature] = STATE(7486),
    [sym_call_expression] = STATE(3113),
    [sym_new_expression] = STATE(3139),
    [sym_await_expression] = STATE(3139),
    [sym_member_expression] = STATE(2177),
    [sym_subscript_expression] = STATE(2177),
    [sym_assignment_expression] = STATE(3139),
    [sym__augmented_assignment_lhs] = STATE(3835),
    [sym_augmented_assignment_expression] = STATE(3139),
    [sym__destructuring_pattern] = STATE(7484),
    [sym_ternary_expression] = STATE(3139),
    [sym_binary_expression] = STATE(3139),
    [sym_unary_expression] = STATE(3139),
    [sym_update_expression] = STATE(3139),
    [sym_sequence_expression] = STATE(6676),
    [sym_string] = STATE(3113),
    [sym_comment] = STATE(50),
    [sym_template_string] = STATE(3113),
    [sym_regex] = STATE(3113),
    [sym_meta_property] = STATE(3113),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2177),
    [sym_function_signature] = STATE(1573),
    [sym_as_expression] = STATE(3139),
    [sym_satisfies_expression] = STATE(3139),
    [sym_instantiation_expression] = STATE(3139),
    [sym_ambient_declaration] = STATE(1573),
    [sym_abstract_class_declaration] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_internal_module] = STATE(437),
    [sym_import_alias] = STATE(1573),
    [sym_interface_declaration] = STATE(1573),
    [sym_enum_declaration] = STATE(1573),
    [sym_type_alias_declaration] = STATE(1573),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_program_repeat1] = STATE(23),
    [aux_sym_export_statement_repeat1] = STATE(4771),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(720),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_for] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_do] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [51] = {
    [sym_export_statement] = STATE(1572),
    [sym_declaration] = STATE(1572),
    [sym_import] = STATE(4369),
    [sym_import_statement] = STATE(1572),
    [sym_expression_statement] = STATE(1572),
    [sym_variable_declaration] = STATE(1573),
    [sym_lexical_declaration] = STATE(1573),
    [sym_statement_block] = STATE(1572),
    [sym_if_statement] = STATE(1572),
    [sym_switch_statement] = STATE(1572),
    [sym_for_statement] = STATE(1572),
    [sym_for_in_statement] = STATE(1572),
    [sym_while_statement] = STATE(1572),
    [sym_do_statement] = STATE(1572),
    [sym_try_statement] = STATE(1572),
    [sym_with_statement] = STATE(1572),
    [sym_break_statement] = STATE(1572),
    [sym_continue_statement] = STATE(1572),
    [sym_debugger_statement] = STATE(1572),
    [sym_return_statement] = STATE(1572),
    [sym_throw_statement] = STATE(1572),
    [sym_empty_statement] = STATE(1572),
    [sym_labeled_statement] = STATE(1572),
    [sym_parenthesized_expression] = STATE(2177),
    [sym_expression] = STATE(2545),
    [sym_primary_expression] = STATE(2990),
    [sym_yield_expression] = STATE(3139),
    [sym_object] = STATE(3113),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(3113),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(3139),
    [sym_glimmer_opening_tag] = STATE(5702),
    [sym_jsx_element] = STATE(3139),
    [sym_jsx_opening_element] = STATE(4008),
    [sym_jsx_self_closing_element] = STATE(3139),
    [sym_class] = STATE(3113),
    [sym_class_declaration] = STATE(1573),
    [sym_function_expression] = STATE(3113),
    [sym_function_declaration] = STATE(1573),
    [sym_generator_function] = STATE(3113),
    [sym_generator_function_declaration] = STATE(1573),
    [sym_arrow_function] = STATE(3113),
    [sym__call_signature] = STATE(7486),
    [sym_call_expression] = STATE(3113),
    [sym_new_expression] = STATE(3139),
    [sym_await_expression] = STATE(3139),
    [sym_member_expression] = STATE(2177),
    [sym_subscript_expression] = STATE(2177),
    [sym_assignment_expression] = STATE(3139),
    [sym__augmented_assignment_lhs] = STATE(3835),
    [sym_augmented_assignment_expression] = STATE(3139),
    [sym__destructuring_pattern] = STATE(7484),
    [sym_ternary_expression] = STATE(3139),
    [sym_binary_expression] = STATE(3139),
    [sym_unary_expression] = STATE(3139),
    [sym_update_expression] = STATE(3139),
    [sym_sequence_expression] = STATE(6676),
    [sym_string] = STATE(3113),
    [sym_comment] = STATE(51),
    [sym_template_string] = STATE(3113),
    [sym_regex] = STATE(3113),
    [sym_meta_property] = STATE(3113),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2177),
    [sym_function_signature] = STATE(1573),
    [sym_as_expression] = STATE(3139),
    [sym_satisfies_expression] = STATE(3139),
    [sym_instantiation_expression] = STATE(3139),
    [sym_ambient_declaration] = STATE(1573),
    [sym_abstract_class_declaration] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_internal_module] = STATE(437),
    [sym_import_alias] = STATE(1573),
    [sym_interface_declaration] = STATE(1573),
    [sym_enum_declaration] = STATE(1573),
    [sym_type_alias_declaration] = STATE(1573),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_program_repeat1] = STATE(48),
    [aux_sym_export_statement_repeat1] = STATE(4771),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(722),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_for] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_do] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [52] = {
    [sym_export_statement] = STATE(1572),
    [sym_declaration] = STATE(1572),
    [sym_import] = STATE(4369),
    [sym_import_statement] = STATE(1572),
    [sym_expression_statement] = STATE(1572),
    [sym_variable_declaration] = STATE(1573),
    [sym_lexical_declaration] = STATE(1573),
    [sym_statement_block] = STATE(1572),
    [sym_if_statement] = STATE(1572),
    [sym_switch_statement] = STATE(1572),
    [sym_for_statement] = STATE(1572),
    [sym_for_in_statement] = STATE(1572),
    [sym_while_statement] = STATE(1572),
    [sym_do_statement] = STATE(1572),
    [sym_try_statement] = STATE(1572),
    [sym_with_statement] = STATE(1572),
    [sym_break_statement] = STATE(1572),
    [sym_continue_statement] = STATE(1572),
    [sym_debugger_statement] = STATE(1572),
    [sym_return_statement] = STATE(1572),
    [sym_throw_statement] = STATE(1572),
    [sym_empty_statement] = STATE(1572),
    [sym_labeled_statement] = STATE(1572),
    [sym_parenthesized_expression] = STATE(2177),
    [sym_expression] = STATE(2545),
    [sym_primary_expression] = STATE(2990),
    [sym_yield_expression] = STATE(3139),
    [sym_object] = STATE(3113),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(3113),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(3139),
    [sym_glimmer_opening_tag] = STATE(5702),
    [sym_jsx_element] = STATE(3139),
    [sym_jsx_opening_element] = STATE(4008),
    [sym_jsx_self_closing_element] = STATE(3139),
    [sym_class] = STATE(3113),
    [sym_class_declaration] = STATE(1573),
    [sym_function_expression] = STATE(3113),
    [sym_function_declaration] = STATE(1573),
    [sym_generator_function] = STATE(3113),
    [sym_generator_function_declaration] = STATE(1573),
    [sym_arrow_function] = STATE(3113),
    [sym__call_signature] = STATE(7486),
    [sym_call_expression] = STATE(3113),
    [sym_new_expression] = STATE(3139),
    [sym_await_expression] = STATE(3139),
    [sym_member_expression] = STATE(2177),
    [sym_subscript_expression] = STATE(2177),
    [sym_assignment_expression] = STATE(3139),
    [sym__augmented_assignment_lhs] = STATE(3835),
    [sym_augmented_assignment_expression] = STATE(3139),
    [sym__destructuring_pattern] = STATE(7484),
    [sym_ternary_expression] = STATE(3139),
    [sym_binary_expression] = STATE(3139),
    [sym_unary_expression] = STATE(3139),
    [sym_update_expression] = STATE(3139),
    [sym_sequence_expression] = STATE(6676),
    [sym_string] = STATE(3113),
    [sym_comment] = STATE(52),
    [sym_template_string] = STATE(3113),
    [sym_regex] = STATE(3113),
    [sym_meta_property] = STATE(3113),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2177),
    [sym_function_signature] = STATE(1573),
    [sym_as_expression] = STATE(3139),
    [sym_satisfies_expression] = STATE(3139),
    [sym_instantiation_expression] = STATE(3139),
    [sym_ambient_declaration] = STATE(1573),
    [sym_abstract_class_declaration] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_internal_module] = STATE(437),
    [sym_import_alias] = STATE(1573),
    [sym_interface_declaration] = STATE(1573),
    [sym_enum_declaration] = STATE(1573),
    [sym_type_alias_declaration] = STATE(1573),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_program_repeat1] = STATE(17),
    [aux_sym_export_statement_repeat1] = STATE(4771),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(724),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_for] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_do] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [53] = {
    [sym_export_statement] = STATE(1572),
    [sym_declaration] = STATE(1572),
    [sym_import] = STATE(4369),
    [sym_import_statement] = STATE(1572),
    [sym_expression_statement] = STATE(1572),
    [sym_variable_declaration] = STATE(1573),
    [sym_lexical_declaration] = STATE(1573),
    [sym_statement_block] = STATE(1572),
    [sym_if_statement] = STATE(1572),
    [sym_switch_statement] = STATE(1572),
    [sym_for_statement] = STATE(1572),
    [sym_for_in_statement] = STATE(1572),
    [sym_while_statement] = STATE(1572),
    [sym_do_statement] = STATE(1572),
    [sym_try_statement] = STATE(1572),
    [sym_with_statement] = STATE(1572),
    [sym_break_statement] = STATE(1572),
    [sym_continue_statement] = STATE(1572),
    [sym_debugger_statement] = STATE(1572),
    [sym_return_statement] = STATE(1572),
    [sym_throw_statement] = STATE(1572),
    [sym_empty_statement] = STATE(1572),
    [sym_labeled_statement] = STATE(1572),
    [sym_parenthesized_expression] = STATE(2177),
    [sym_expression] = STATE(2545),
    [sym_primary_expression] = STATE(2990),
    [sym_yield_expression] = STATE(3139),
    [sym_object] = STATE(3113),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(3113),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(3139),
    [sym_glimmer_opening_tag] = STATE(5702),
    [sym_jsx_element] = STATE(3139),
    [sym_jsx_opening_element] = STATE(4008),
    [sym_jsx_self_closing_element] = STATE(3139),
    [sym_class] = STATE(3113),
    [sym_class_declaration] = STATE(1573),
    [sym_function_expression] = STATE(3113),
    [sym_function_declaration] = STATE(1573),
    [sym_generator_function] = STATE(3113),
    [sym_generator_function_declaration] = STATE(1573),
    [sym_arrow_function] = STATE(3113),
    [sym__call_signature] = STATE(7486),
    [sym_call_expression] = STATE(3113),
    [sym_new_expression] = STATE(3139),
    [sym_await_expression] = STATE(3139),
    [sym_member_expression] = STATE(2177),
    [sym_subscript_expression] = STATE(2177),
    [sym_assignment_expression] = STATE(3139),
    [sym__augmented_assignment_lhs] = STATE(3835),
    [sym_augmented_assignment_expression] = STATE(3139),
    [sym__destructuring_pattern] = STATE(7484),
    [sym_ternary_expression] = STATE(3139),
    [sym_binary_expression] = STATE(3139),
    [sym_unary_expression] = STATE(3139),
    [sym_update_expression] = STATE(3139),
    [sym_sequence_expression] = STATE(6676),
    [sym_string] = STATE(3113),
    [sym_comment] = STATE(53),
    [sym_template_string] = STATE(3113),
    [sym_regex] = STATE(3113),
    [sym_meta_property] = STATE(3113),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2177),
    [sym_function_signature] = STATE(1573),
    [sym_as_expression] = STATE(3139),
    [sym_satisfies_expression] = STATE(3139),
    [sym_instantiation_expression] = STATE(3139),
    [sym_ambient_declaration] = STATE(1573),
    [sym_abstract_class_declaration] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_internal_module] = STATE(437),
    [sym_import_alias] = STATE(1573),
    [sym_interface_declaration] = STATE(1573),
    [sym_enum_declaration] = STATE(1573),
    [sym_type_alias_declaration] = STATE(1573),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_program_repeat1] = STATE(46),
    [aux_sym_export_statement_repeat1] = STATE(4771),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(726),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_for] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_do] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [54] = {
    [sym_export_statement] = STATE(1572),
    [sym_declaration] = STATE(1572),
    [sym_import] = STATE(4369),
    [sym_import_statement] = STATE(1572),
    [sym_expression_statement] = STATE(1572),
    [sym_variable_declaration] = STATE(1573),
    [sym_lexical_declaration] = STATE(1573),
    [sym_statement_block] = STATE(1572),
    [sym_if_statement] = STATE(1572),
    [sym_switch_statement] = STATE(1572),
    [sym_for_statement] = STATE(1572),
    [sym_for_in_statement] = STATE(1572),
    [sym_while_statement] = STATE(1572),
    [sym_do_statement] = STATE(1572),
    [sym_try_statement] = STATE(1572),
    [sym_with_statement] = STATE(1572),
    [sym_break_statement] = STATE(1572),
    [sym_continue_statement] = STATE(1572),
    [sym_debugger_statement] = STATE(1572),
    [sym_return_statement] = STATE(1572),
    [sym_throw_statement] = STATE(1572),
    [sym_empty_statement] = STATE(1572),
    [sym_labeled_statement] = STATE(1572),
    [sym_parenthesized_expression] = STATE(2177),
    [sym_expression] = STATE(2545),
    [sym_primary_expression] = STATE(2990),
    [sym_yield_expression] = STATE(3139),
    [sym_object] = STATE(3113),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(3113),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(3139),
    [sym_glimmer_opening_tag] = STATE(5702),
    [sym_jsx_element] = STATE(3139),
    [sym_jsx_opening_element] = STATE(4008),
    [sym_jsx_self_closing_element] = STATE(3139),
    [sym_class] = STATE(3113),
    [sym_class_declaration] = STATE(1573),
    [sym_function_expression] = STATE(3113),
    [sym_function_declaration] = STATE(1573),
    [sym_generator_function] = STATE(3113),
    [sym_generator_function_declaration] = STATE(1573),
    [sym_arrow_function] = STATE(3113),
    [sym__call_signature] = STATE(7486),
    [sym_call_expression] = STATE(3113),
    [sym_new_expression] = STATE(3139),
    [sym_await_expression] = STATE(3139),
    [sym_member_expression] = STATE(2177),
    [sym_subscript_expression] = STATE(2177),
    [sym_assignment_expression] = STATE(3139),
    [sym__augmented_assignment_lhs] = STATE(3835),
    [sym_augmented_assignment_expression] = STATE(3139),
    [sym__destructuring_pattern] = STATE(7484),
    [sym_ternary_expression] = STATE(3139),
    [sym_binary_expression] = STATE(3139),
    [sym_unary_expression] = STATE(3139),
    [sym_update_expression] = STATE(3139),
    [sym_sequence_expression] = STATE(6676),
    [sym_string] = STATE(3113),
    [sym_comment] = STATE(54),
    [sym_template_string] = STATE(3113),
    [sym_regex] = STATE(3113),
    [sym_meta_property] = STATE(3113),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2177),
    [sym_function_signature] = STATE(1573),
    [sym_as_expression] = STATE(3139),
    [sym_satisfies_expression] = STATE(3139),
    [sym_instantiation_expression] = STATE(3139),
    [sym_ambient_declaration] = STATE(1573),
    [sym_abstract_class_declaration] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_internal_module] = STATE(437),
    [sym_import_alias] = STATE(1573),
    [sym_interface_declaration] = STATE(1573),
    [sym_enum_declaration] = STATE(1573),
    [sym_type_alias_declaration] = STATE(1573),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_program_repeat1] = STATE(52),
    [aux_sym_export_statement_repeat1] = STATE(4771),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(728),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_for] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_do] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [55] = {
    [sym_export_statement] = STATE(1572),
    [sym_declaration] = STATE(1572),
    [sym_import] = STATE(4369),
    [sym_import_statement] = STATE(1572),
    [sym_expression_statement] = STATE(1572),
    [sym_variable_declaration] = STATE(1573),
    [sym_lexical_declaration] = STATE(1573),
    [sym_statement_block] = STATE(1572),
    [sym_if_statement] = STATE(1572),
    [sym_switch_statement] = STATE(1572),
    [sym_for_statement] = STATE(1572),
    [sym_for_in_statement] = STATE(1572),
    [sym_while_statement] = STATE(1572),
    [sym_do_statement] = STATE(1572),
    [sym_try_statement] = STATE(1572),
    [sym_with_statement] = STATE(1572),
    [sym_break_statement] = STATE(1572),
    [sym_continue_statement] = STATE(1572),
    [sym_debugger_statement] = STATE(1572),
    [sym_return_statement] = STATE(1572),
    [sym_throw_statement] = STATE(1572),
    [sym_empty_statement] = STATE(1572),
    [sym_labeled_statement] = STATE(1572),
    [sym_parenthesized_expression] = STATE(2177),
    [sym_expression] = STATE(2545),
    [sym_primary_expression] = STATE(2990),
    [sym_yield_expression] = STATE(3139),
    [sym_object] = STATE(3113),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(3113),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(3139),
    [sym_glimmer_opening_tag] = STATE(5702),
    [sym_jsx_element] = STATE(3139),
    [sym_jsx_opening_element] = STATE(4008),
    [sym_jsx_self_closing_element] = STATE(3139),
    [sym_class] = STATE(3113),
    [sym_class_declaration] = STATE(1573),
    [sym_function_expression] = STATE(3113),
    [sym_function_declaration] = STATE(1573),
    [sym_generator_function] = STATE(3113),
    [sym_generator_function_declaration] = STATE(1573),
    [sym_arrow_function] = STATE(3113),
    [sym__call_signature] = STATE(7486),
    [sym_call_expression] = STATE(3113),
    [sym_new_expression] = STATE(3139),
    [sym_await_expression] = STATE(3139),
    [sym_member_expression] = STATE(2177),
    [sym_subscript_expression] = STATE(2177),
    [sym_assignment_expression] = STATE(3139),
    [sym__augmented_assignment_lhs] = STATE(3835),
    [sym_augmented_assignment_expression] = STATE(3139),
    [sym__destructuring_pattern] = STATE(7484),
    [sym_ternary_expression] = STATE(3139),
    [sym_binary_expression] = STATE(3139),
    [sym_unary_expression] = STATE(3139),
    [sym_update_expression] = STATE(3139),
    [sym_sequence_expression] = STATE(6676),
    [sym_string] = STATE(3113),
    [sym_comment] = STATE(55),
    [sym_template_string] = STATE(3113),
    [sym_regex] = STATE(3113),
    [sym_meta_property] = STATE(3113),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2177),
    [sym_function_signature] = STATE(1573),
    [sym_as_expression] = STATE(3139),
    [sym_satisfies_expression] = STATE(3139),
    [sym_instantiation_expression] = STATE(3139),
    [sym_ambient_declaration] = STATE(1573),
    [sym_abstract_class_declaration] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_internal_module] = STATE(437),
    [sym_import_alias] = STATE(1573),
    [sym_interface_declaration] = STATE(1573),
    [sym_enum_declaration] = STATE(1573),
    [sym_type_alias_declaration] = STATE(1573),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_program_repeat1] = STATE(17),
    [aux_sym_export_statement_repeat1] = STATE(4771),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(730),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_for] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_do] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [56] = {
    [sym_export_statement] = STATE(1572),
    [sym_declaration] = STATE(1572),
    [sym_import] = STATE(4369),
    [sym_import_statement] = STATE(1572),
    [sym_expression_statement] = STATE(1572),
    [sym_variable_declaration] = STATE(1573),
    [sym_lexical_declaration] = STATE(1573),
    [sym_statement_block] = STATE(1572),
    [sym_if_statement] = STATE(1572),
    [sym_switch_statement] = STATE(1572),
    [sym_for_statement] = STATE(1572),
    [sym_for_in_statement] = STATE(1572),
    [sym_while_statement] = STATE(1572),
    [sym_do_statement] = STATE(1572),
    [sym_try_statement] = STATE(1572),
    [sym_with_statement] = STATE(1572),
    [sym_break_statement] = STATE(1572),
    [sym_continue_statement] = STATE(1572),
    [sym_debugger_statement] = STATE(1572),
    [sym_return_statement] = STATE(1572),
    [sym_throw_statement] = STATE(1572),
    [sym_empty_statement] = STATE(1572),
    [sym_labeled_statement] = STATE(1572),
    [sym_parenthesized_expression] = STATE(2177),
    [sym_expression] = STATE(2545),
    [sym_primary_expression] = STATE(2990),
    [sym_yield_expression] = STATE(3139),
    [sym_object] = STATE(3113),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(3113),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(3139),
    [sym_glimmer_opening_tag] = STATE(5702),
    [sym_jsx_element] = STATE(3139),
    [sym_jsx_opening_element] = STATE(4008),
    [sym_jsx_self_closing_element] = STATE(3139),
    [sym_class] = STATE(3113),
    [sym_class_declaration] = STATE(1573),
    [sym_function_expression] = STATE(3113),
    [sym_function_declaration] = STATE(1573),
    [sym_generator_function] = STATE(3113),
    [sym_generator_function_declaration] = STATE(1573),
    [sym_arrow_function] = STATE(3113),
    [sym__call_signature] = STATE(7486),
    [sym_call_expression] = STATE(3113),
    [sym_new_expression] = STATE(3139),
    [sym_await_expression] = STATE(3139),
    [sym_member_expression] = STATE(2177),
    [sym_subscript_expression] = STATE(2177),
    [sym_assignment_expression] = STATE(3139),
    [sym__augmented_assignment_lhs] = STATE(3835),
    [sym_augmented_assignment_expression] = STATE(3139),
    [sym__destructuring_pattern] = STATE(7484),
    [sym_ternary_expression] = STATE(3139),
    [sym_binary_expression] = STATE(3139),
    [sym_unary_expression] = STATE(3139),
    [sym_update_expression] = STATE(3139),
    [sym_sequence_expression] = STATE(6676),
    [sym_string] = STATE(3113),
    [sym_comment] = STATE(56),
    [sym_template_string] = STATE(3113),
    [sym_regex] = STATE(3113),
    [sym_meta_property] = STATE(3113),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2177),
    [sym_function_signature] = STATE(1573),
    [sym_as_expression] = STATE(3139),
    [sym_satisfies_expression] = STATE(3139),
    [sym_instantiation_expression] = STATE(3139),
    [sym_ambient_declaration] = STATE(1573),
    [sym_abstract_class_declaration] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_internal_module] = STATE(437),
    [sym_import_alias] = STATE(1573),
    [sym_interface_declaration] = STATE(1573),
    [sym_enum_declaration] = STATE(1573),
    [sym_type_alias_declaration] = STATE(1573),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_program_repeat1] = STATE(17),
    [aux_sym_export_statement_repeat1] = STATE(4771),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(732),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_for] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_do] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [57] = {
    [sym_export_statement] = STATE(1572),
    [sym_declaration] = STATE(1572),
    [sym_import] = STATE(4369),
    [sym_import_statement] = STATE(1572),
    [sym_expression_statement] = STATE(1572),
    [sym_variable_declaration] = STATE(1573),
    [sym_lexical_declaration] = STATE(1573),
    [sym_statement_block] = STATE(1572),
    [sym_if_statement] = STATE(1572),
    [sym_switch_statement] = STATE(1572),
    [sym_for_statement] = STATE(1572),
    [sym_for_in_statement] = STATE(1572),
    [sym_while_statement] = STATE(1572),
    [sym_do_statement] = STATE(1572),
    [sym_try_statement] = STATE(1572),
    [sym_with_statement] = STATE(1572),
    [sym_break_statement] = STATE(1572),
    [sym_continue_statement] = STATE(1572),
    [sym_debugger_statement] = STATE(1572),
    [sym_return_statement] = STATE(1572),
    [sym_throw_statement] = STATE(1572),
    [sym_empty_statement] = STATE(1572),
    [sym_labeled_statement] = STATE(1572),
    [sym_parenthesized_expression] = STATE(2177),
    [sym_expression] = STATE(2545),
    [sym_primary_expression] = STATE(2990),
    [sym_yield_expression] = STATE(3139),
    [sym_object] = STATE(3113),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(3113),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(3139),
    [sym_glimmer_opening_tag] = STATE(5702),
    [sym_jsx_element] = STATE(3139),
    [sym_jsx_opening_element] = STATE(4008),
    [sym_jsx_self_closing_element] = STATE(3139),
    [sym_class] = STATE(3113),
    [sym_class_declaration] = STATE(1573),
    [sym_function_expression] = STATE(3113),
    [sym_function_declaration] = STATE(1573),
    [sym_generator_function] = STATE(3113),
    [sym_generator_function_declaration] = STATE(1573),
    [sym_arrow_function] = STATE(3113),
    [sym__call_signature] = STATE(7486),
    [sym_call_expression] = STATE(3113),
    [sym_new_expression] = STATE(3139),
    [sym_await_expression] = STATE(3139),
    [sym_member_expression] = STATE(2177),
    [sym_subscript_expression] = STATE(2177),
    [sym_assignment_expression] = STATE(3139),
    [sym__augmented_assignment_lhs] = STATE(3835),
    [sym_augmented_assignment_expression] = STATE(3139),
    [sym__destructuring_pattern] = STATE(7484),
    [sym_ternary_expression] = STATE(3139),
    [sym_binary_expression] = STATE(3139),
    [sym_unary_expression] = STATE(3139),
    [sym_update_expression] = STATE(3139),
    [sym_sequence_expression] = STATE(6676),
    [sym_string] = STATE(3113),
    [sym_comment] = STATE(57),
    [sym_template_string] = STATE(3113),
    [sym_regex] = STATE(3113),
    [sym_meta_property] = STATE(3113),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2177),
    [sym_function_signature] = STATE(1573),
    [sym_as_expression] = STATE(3139),
    [sym_satisfies_expression] = STATE(3139),
    [sym_instantiation_expression] = STATE(3139),
    [sym_ambient_declaration] = STATE(1573),
    [sym_abstract_class_declaration] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_internal_module] = STATE(437),
    [sym_import_alias] = STATE(1573),
    [sym_interface_declaration] = STATE(1573),
    [sym_enum_declaration] = STATE(1573),
    [sym_type_alias_declaration] = STATE(1573),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_program_repeat1] = STATE(17),
    [aux_sym_export_statement_repeat1] = STATE(4771),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(734),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_for] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_do] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [58] = {
    [sym_export_statement] = STATE(1572),
    [sym_declaration] = STATE(1572),
    [sym_import] = STATE(4369),
    [sym_import_statement] = STATE(1572),
    [sym_expression_statement] = STATE(1572),
    [sym_variable_declaration] = STATE(1573),
    [sym_lexical_declaration] = STATE(1573),
    [sym_statement_block] = STATE(1572),
    [sym_if_statement] = STATE(1572),
    [sym_switch_statement] = STATE(1572),
    [sym_for_statement] = STATE(1572),
    [sym_for_in_statement] = STATE(1572),
    [sym_while_statement] = STATE(1572),
    [sym_do_statement] = STATE(1572),
    [sym_try_statement] = STATE(1572),
    [sym_with_statement] = STATE(1572),
    [sym_break_statement] = STATE(1572),
    [sym_continue_statement] = STATE(1572),
    [sym_debugger_statement] = STATE(1572),
    [sym_return_statement] = STATE(1572),
    [sym_throw_statement] = STATE(1572),
    [sym_empty_statement] = STATE(1572),
    [sym_labeled_statement] = STATE(1572),
    [sym_parenthesized_expression] = STATE(2177),
    [sym_expression] = STATE(2545),
    [sym_primary_expression] = STATE(2990),
    [sym_yield_expression] = STATE(3139),
    [sym_object] = STATE(3113),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(3113),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(3139),
    [sym_glimmer_opening_tag] = STATE(5702),
    [sym_jsx_element] = STATE(3139),
    [sym_jsx_opening_element] = STATE(4008),
    [sym_jsx_self_closing_element] = STATE(3139),
    [sym_class] = STATE(3113),
    [sym_class_declaration] = STATE(1573),
    [sym_function_expression] = STATE(3113),
    [sym_function_declaration] = STATE(1573),
    [sym_generator_function] = STATE(3113),
    [sym_generator_function_declaration] = STATE(1573),
    [sym_arrow_function] = STATE(3113),
    [sym__call_signature] = STATE(7486),
    [sym_call_expression] = STATE(3113),
    [sym_new_expression] = STATE(3139),
    [sym_await_expression] = STATE(3139),
    [sym_member_expression] = STATE(2177),
    [sym_subscript_expression] = STATE(2177),
    [sym_assignment_expression] = STATE(3139),
    [sym__augmented_assignment_lhs] = STATE(3835),
    [sym_augmented_assignment_expression] = STATE(3139),
    [sym__destructuring_pattern] = STATE(7484),
    [sym_ternary_expression] = STATE(3139),
    [sym_binary_expression] = STATE(3139),
    [sym_unary_expression] = STATE(3139),
    [sym_update_expression] = STATE(3139),
    [sym_sequence_expression] = STATE(6676),
    [sym_string] = STATE(3113),
    [sym_comment] = STATE(58),
    [sym_template_string] = STATE(3113),
    [sym_regex] = STATE(3113),
    [sym_meta_property] = STATE(3113),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2177),
    [sym_function_signature] = STATE(1573),
    [sym_as_expression] = STATE(3139),
    [sym_satisfies_expression] = STATE(3139),
    [sym_instantiation_expression] = STATE(3139),
    [sym_ambient_declaration] = STATE(1573),
    [sym_abstract_class_declaration] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_internal_module] = STATE(437),
    [sym_import_alias] = STATE(1573),
    [sym_interface_declaration] = STATE(1573),
    [sym_enum_declaration] = STATE(1573),
    [sym_type_alias_declaration] = STATE(1573),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_program_repeat1] = STATE(68),
    [aux_sym_export_statement_repeat1] = STATE(4771),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(736),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_for] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_do] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [59] = {
    [sym_export_statement] = STATE(1572),
    [sym_declaration] = STATE(1572),
    [sym_import] = STATE(4369),
    [sym_import_statement] = STATE(1572),
    [sym_expression_statement] = STATE(1572),
    [sym_variable_declaration] = STATE(1573),
    [sym_lexical_declaration] = STATE(1573),
    [sym_statement_block] = STATE(1572),
    [sym_if_statement] = STATE(1572),
    [sym_switch_statement] = STATE(1572),
    [sym_for_statement] = STATE(1572),
    [sym_for_in_statement] = STATE(1572),
    [sym_while_statement] = STATE(1572),
    [sym_do_statement] = STATE(1572),
    [sym_try_statement] = STATE(1572),
    [sym_with_statement] = STATE(1572),
    [sym_break_statement] = STATE(1572),
    [sym_continue_statement] = STATE(1572),
    [sym_debugger_statement] = STATE(1572),
    [sym_return_statement] = STATE(1572),
    [sym_throw_statement] = STATE(1572),
    [sym_empty_statement] = STATE(1572),
    [sym_labeled_statement] = STATE(1572),
    [sym_parenthesized_expression] = STATE(2177),
    [sym_expression] = STATE(2545),
    [sym_primary_expression] = STATE(2990),
    [sym_yield_expression] = STATE(3139),
    [sym_object] = STATE(3113),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(3113),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(3139),
    [sym_glimmer_opening_tag] = STATE(5702),
    [sym_jsx_element] = STATE(3139),
    [sym_jsx_opening_element] = STATE(4008),
    [sym_jsx_self_closing_element] = STATE(3139),
    [sym_class] = STATE(3113),
    [sym_class_declaration] = STATE(1573),
    [sym_function_expression] = STATE(3113),
    [sym_function_declaration] = STATE(1573),
    [sym_generator_function] = STATE(3113),
    [sym_generator_function_declaration] = STATE(1573),
    [sym_arrow_function] = STATE(3113),
    [sym__call_signature] = STATE(7486),
    [sym_call_expression] = STATE(3113),
    [sym_new_expression] = STATE(3139),
    [sym_await_expression] = STATE(3139),
    [sym_member_expression] = STATE(2177),
    [sym_subscript_expression] = STATE(2177),
    [sym_assignment_expression] = STATE(3139),
    [sym__augmented_assignment_lhs] = STATE(3835),
    [sym_augmented_assignment_expression] = STATE(3139),
    [sym__destructuring_pattern] = STATE(7484),
    [sym_ternary_expression] = STATE(3139),
    [sym_binary_expression] = STATE(3139),
    [sym_unary_expression] = STATE(3139),
    [sym_update_expression] = STATE(3139),
    [sym_sequence_expression] = STATE(6676),
    [sym_string] = STATE(3113),
    [sym_comment] = STATE(59),
    [sym_template_string] = STATE(3113),
    [sym_regex] = STATE(3113),
    [sym_meta_property] = STATE(3113),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2177),
    [sym_function_signature] = STATE(1573),
    [sym_as_expression] = STATE(3139),
    [sym_satisfies_expression] = STATE(3139),
    [sym_instantiation_expression] = STATE(3139),
    [sym_ambient_declaration] = STATE(1573),
    [sym_abstract_class_declaration] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_internal_module] = STATE(437),
    [sym_import_alias] = STATE(1573),
    [sym_interface_declaration] = STATE(1573),
    [sym_enum_declaration] = STATE(1573),
    [sym_type_alias_declaration] = STATE(1573),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_program_repeat1] = STATE(55),
    [aux_sym_export_statement_repeat1] = STATE(4771),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(738),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_for] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_do] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [60] = {
    [sym_export_statement] = STATE(1572),
    [sym_declaration] = STATE(1572),
    [sym_import] = STATE(4369),
    [sym_import_statement] = STATE(1572),
    [sym_expression_statement] = STATE(1572),
    [sym_variable_declaration] = STATE(1573),
    [sym_lexical_declaration] = STATE(1573),
    [sym_statement_block] = STATE(1572),
    [sym_if_statement] = STATE(1572),
    [sym_switch_statement] = STATE(1572),
    [sym_for_statement] = STATE(1572),
    [sym_for_in_statement] = STATE(1572),
    [sym_while_statement] = STATE(1572),
    [sym_do_statement] = STATE(1572),
    [sym_try_statement] = STATE(1572),
    [sym_with_statement] = STATE(1572),
    [sym_break_statement] = STATE(1572),
    [sym_continue_statement] = STATE(1572),
    [sym_debugger_statement] = STATE(1572),
    [sym_return_statement] = STATE(1572),
    [sym_throw_statement] = STATE(1572),
    [sym_empty_statement] = STATE(1572),
    [sym_labeled_statement] = STATE(1572),
    [sym_parenthesized_expression] = STATE(2177),
    [sym_expression] = STATE(2545),
    [sym_primary_expression] = STATE(2990),
    [sym_yield_expression] = STATE(3139),
    [sym_object] = STATE(3113),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(3113),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(3139),
    [sym_glimmer_opening_tag] = STATE(5702),
    [sym_jsx_element] = STATE(3139),
    [sym_jsx_opening_element] = STATE(4008),
    [sym_jsx_self_closing_element] = STATE(3139),
    [sym_class] = STATE(3113),
    [sym_class_declaration] = STATE(1573),
    [sym_function_expression] = STATE(3113),
    [sym_function_declaration] = STATE(1573),
    [sym_generator_function] = STATE(3113),
    [sym_generator_function_declaration] = STATE(1573),
    [sym_arrow_function] = STATE(3113),
    [sym__call_signature] = STATE(7486),
    [sym_call_expression] = STATE(3113),
    [sym_new_expression] = STATE(3139),
    [sym_await_expression] = STATE(3139),
    [sym_member_expression] = STATE(2177),
    [sym_subscript_expression] = STATE(2177),
    [sym_assignment_expression] = STATE(3139),
    [sym__augmented_assignment_lhs] = STATE(3835),
    [sym_augmented_assignment_expression] = STATE(3139),
    [sym__destructuring_pattern] = STATE(7484),
    [sym_ternary_expression] = STATE(3139),
    [sym_binary_expression] = STATE(3139),
    [sym_unary_expression] = STATE(3139),
    [sym_update_expression] = STATE(3139),
    [sym_sequence_expression] = STATE(6676),
    [sym_string] = STATE(3113),
    [sym_comment] = STATE(60),
    [sym_template_string] = STATE(3113),
    [sym_regex] = STATE(3113),
    [sym_meta_property] = STATE(3113),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2177),
    [sym_function_signature] = STATE(1573),
    [sym_as_expression] = STATE(3139),
    [sym_satisfies_expression] = STATE(3139),
    [sym_instantiation_expression] = STATE(3139),
    [sym_ambient_declaration] = STATE(1573),
    [sym_abstract_class_declaration] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_internal_module] = STATE(437),
    [sym_import_alias] = STATE(1573),
    [sym_interface_declaration] = STATE(1573),
    [sym_enum_declaration] = STATE(1573),
    [sym_type_alias_declaration] = STATE(1573),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_program_repeat1] = STATE(38),
    [aux_sym_export_statement_repeat1] = STATE(4771),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(740),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_for] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_do] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [61] = {
    [sym_export_statement] = STATE(1572),
    [sym_declaration] = STATE(1572),
    [sym_import] = STATE(4369),
    [sym_import_statement] = STATE(1572),
    [sym_expression_statement] = STATE(1572),
    [sym_variable_declaration] = STATE(1573),
    [sym_lexical_declaration] = STATE(1573),
    [sym_statement_block] = STATE(1572),
    [sym_if_statement] = STATE(1572),
    [sym_switch_statement] = STATE(1572),
    [sym_for_statement] = STATE(1572),
    [sym_for_in_statement] = STATE(1572),
    [sym_while_statement] = STATE(1572),
    [sym_do_statement] = STATE(1572),
    [sym_try_statement] = STATE(1572),
    [sym_with_statement] = STATE(1572),
    [sym_break_statement] = STATE(1572),
    [sym_continue_statement] = STATE(1572),
    [sym_debugger_statement] = STATE(1572),
    [sym_return_statement] = STATE(1572),
    [sym_throw_statement] = STATE(1572),
    [sym_empty_statement] = STATE(1572),
    [sym_labeled_statement] = STATE(1572),
    [sym_parenthesized_expression] = STATE(2177),
    [sym_expression] = STATE(2545),
    [sym_primary_expression] = STATE(2990),
    [sym_yield_expression] = STATE(3139),
    [sym_object] = STATE(3113),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(3113),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(3139),
    [sym_glimmer_opening_tag] = STATE(5702),
    [sym_jsx_element] = STATE(3139),
    [sym_jsx_opening_element] = STATE(4008),
    [sym_jsx_self_closing_element] = STATE(3139),
    [sym_class] = STATE(3113),
    [sym_class_declaration] = STATE(1573),
    [sym_function_expression] = STATE(3113),
    [sym_function_declaration] = STATE(1573),
    [sym_generator_function] = STATE(3113),
    [sym_generator_function_declaration] = STATE(1573),
    [sym_arrow_function] = STATE(3113),
    [sym__call_signature] = STATE(7486),
    [sym_call_expression] = STATE(3113),
    [sym_new_expression] = STATE(3139),
    [sym_await_expression] = STATE(3139),
    [sym_member_expression] = STATE(2177),
    [sym_subscript_expression] = STATE(2177),
    [sym_assignment_expression] = STATE(3139),
    [sym__augmented_assignment_lhs] = STATE(3835),
    [sym_augmented_assignment_expression] = STATE(3139),
    [sym__destructuring_pattern] = STATE(7484),
    [sym_ternary_expression] = STATE(3139),
    [sym_binary_expression] = STATE(3139),
    [sym_unary_expression] = STATE(3139),
    [sym_update_expression] = STATE(3139),
    [sym_sequence_expression] = STATE(6676),
    [sym_string] = STATE(3113),
    [sym_comment] = STATE(61),
    [sym_template_string] = STATE(3113),
    [sym_regex] = STATE(3113),
    [sym_meta_property] = STATE(3113),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2177),
    [sym_function_signature] = STATE(1573),
    [sym_as_expression] = STATE(3139),
    [sym_satisfies_expression] = STATE(3139),
    [sym_instantiation_expression] = STATE(3139),
    [sym_ambient_declaration] = STATE(1573),
    [sym_abstract_class_declaration] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_internal_module] = STATE(437),
    [sym_import_alias] = STATE(1573),
    [sym_interface_declaration] = STATE(1573),
    [sym_enum_declaration] = STATE(1573),
    [sym_type_alias_declaration] = STATE(1573),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_program_repeat1] = STATE(17),
    [aux_sym_export_statement_repeat1] = STATE(4771),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(742),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_for] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_do] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [62] = {
    [sym_export_statement] = STATE(1572),
    [sym_declaration] = STATE(1572),
    [sym_import] = STATE(4369),
    [sym_import_statement] = STATE(1572),
    [sym_expression_statement] = STATE(1572),
    [sym_variable_declaration] = STATE(1573),
    [sym_lexical_declaration] = STATE(1573),
    [sym_statement_block] = STATE(1572),
    [sym_if_statement] = STATE(1572),
    [sym_switch_statement] = STATE(1572),
    [sym_for_statement] = STATE(1572),
    [sym_for_in_statement] = STATE(1572),
    [sym_while_statement] = STATE(1572),
    [sym_do_statement] = STATE(1572),
    [sym_try_statement] = STATE(1572),
    [sym_with_statement] = STATE(1572),
    [sym_break_statement] = STATE(1572),
    [sym_continue_statement] = STATE(1572),
    [sym_debugger_statement] = STATE(1572),
    [sym_return_statement] = STATE(1572),
    [sym_throw_statement] = STATE(1572),
    [sym_empty_statement] = STATE(1572),
    [sym_labeled_statement] = STATE(1572),
    [sym_parenthesized_expression] = STATE(2177),
    [sym_expression] = STATE(2545),
    [sym_primary_expression] = STATE(2990),
    [sym_yield_expression] = STATE(3139),
    [sym_object] = STATE(3113),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(3113),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(3139),
    [sym_glimmer_opening_tag] = STATE(5702),
    [sym_jsx_element] = STATE(3139),
    [sym_jsx_opening_element] = STATE(4008),
    [sym_jsx_self_closing_element] = STATE(3139),
    [sym_class] = STATE(3113),
    [sym_class_declaration] = STATE(1573),
    [sym_function_expression] = STATE(3113),
    [sym_function_declaration] = STATE(1573),
    [sym_generator_function] = STATE(3113),
    [sym_generator_function_declaration] = STATE(1573),
    [sym_arrow_function] = STATE(3113),
    [sym__call_signature] = STATE(7486),
    [sym_call_expression] = STATE(3113),
    [sym_new_expression] = STATE(3139),
    [sym_await_expression] = STATE(3139),
    [sym_member_expression] = STATE(2177),
    [sym_subscript_expression] = STATE(2177),
    [sym_assignment_expression] = STATE(3139),
    [sym__augmented_assignment_lhs] = STATE(3835),
    [sym_augmented_assignment_expression] = STATE(3139),
    [sym__destructuring_pattern] = STATE(7484),
    [sym_ternary_expression] = STATE(3139),
    [sym_binary_expression] = STATE(3139),
    [sym_unary_expression] = STATE(3139),
    [sym_update_expression] = STATE(3139),
    [sym_sequence_expression] = STATE(6676),
    [sym_string] = STATE(3113),
    [sym_comment] = STATE(62),
    [sym_template_string] = STATE(3113),
    [sym_regex] = STATE(3113),
    [sym_meta_property] = STATE(3113),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2177),
    [sym_function_signature] = STATE(1573),
    [sym_as_expression] = STATE(3139),
    [sym_satisfies_expression] = STATE(3139),
    [sym_instantiation_expression] = STATE(3139),
    [sym_ambient_declaration] = STATE(1573),
    [sym_abstract_class_declaration] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_internal_module] = STATE(437),
    [sym_import_alias] = STATE(1573),
    [sym_interface_declaration] = STATE(1573),
    [sym_enum_declaration] = STATE(1573),
    [sym_type_alias_declaration] = STATE(1573),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_program_repeat1] = STATE(17),
    [aux_sym_export_statement_repeat1] = STATE(4771),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(744),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_for] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_do] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [63] = {
    [sym_export_statement] = STATE(1572),
    [sym_declaration] = STATE(1572),
    [sym_import] = STATE(4369),
    [sym_import_statement] = STATE(1572),
    [sym_expression_statement] = STATE(1572),
    [sym_variable_declaration] = STATE(1573),
    [sym_lexical_declaration] = STATE(1573),
    [sym_statement_block] = STATE(1572),
    [sym_if_statement] = STATE(1572),
    [sym_switch_statement] = STATE(1572),
    [sym_for_statement] = STATE(1572),
    [sym_for_in_statement] = STATE(1572),
    [sym_while_statement] = STATE(1572),
    [sym_do_statement] = STATE(1572),
    [sym_try_statement] = STATE(1572),
    [sym_with_statement] = STATE(1572),
    [sym_break_statement] = STATE(1572),
    [sym_continue_statement] = STATE(1572),
    [sym_debugger_statement] = STATE(1572),
    [sym_return_statement] = STATE(1572),
    [sym_throw_statement] = STATE(1572),
    [sym_empty_statement] = STATE(1572),
    [sym_labeled_statement] = STATE(1572),
    [sym_parenthesized_expression] = STATE(2177),
    [sym_expression] = STATE(2545),
    [sym_primary_expression] = STATE(2990),
    [sym_yield_expression] = STATE(3139),
    [sym_object] = STATE(3113),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(3113),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(3139),
    [sym_glimmer_opening_tag] = STATE(5702),
    [sym_jsx_element] = STATE(3139),
    [sym_jsx_opening_element] = STATE(4008),
    [sym_jsx_self_closing_element] = STATE(3139),
    [sym_class] = STATE(3113),
    [sym_class_declaration] = STATE(1573),
    [sym_function_expression] = STATE(3113),
    [sym_function_declaration] = STATE(1573),
    [sym_generator_function] = STATE(3113),
    [sym_generator_function_declaration] = STATE(1573),
    [sym_arrow_function] = STATE(3113),
    [sym__call_signature] = STATE(7486),
    [sym_call_expression] = STATE(3113),
    [sym_new_expression] = STATE(3139),
    [sym_await_expression] = STATE(3139),
    [sym_member_expression] = STATE(2177),
    [sym_subscript_expression] = STATE(2177),
    [sym_assignment_expression] = STATE(3139),
    [sym__augmented_assignment_lhs] = STATE(3835),
    [sym_augmented_assignment_expression] = STATE(3139),
    [sym__destructuring_pattern] = STATE(7484),
    [sym_ternary_expression] = STATE(3139),
    [sym_binary_expression] = STATE(3139),
    [sym_unary_expression] = STATE(3139),
    [sym_update_expression] = STATE(3139),
    [sym_sequence_expression] = STATE(6676),
    [sym_string] = STATE(3113),
    [sym_comment] = STATE(63),
    [sym_template_string] = STATE(3113),
    [sym_regex] = STATE(3113),
    [sym_meta_property] = STATE(3113),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2177),
    [sym_function_signature] = STATE(1573),
    [sym_as_expression] = STATE(3139),
    [sym_satisfies_expression] = STATE(3139),
    [sym_instantiation_expression] = STATE(3139),
    [sym_ambient_declaration] = STATE(1573),
    [sym_abstract_class_declaration] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_internal_module] = STATE(437),
    [sym_import_alias] = STATE(1573),
    [sym_interface_declaration] = STATE(1573),
    [sym_enum_declaration] = STATE(1573),
    [sym_type_alias_declaration] = STATE(1573),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_program_repeat1] = STATE(56),
    [aux_sym_export_statement_repeat1] = STATE(4771),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(746),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_for] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_do] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [64] = {
    [sym_export_statement] = STATE(1572),
    [sym_declaration] = STATE(1572),
    [sym_import] = STATE(4369),
    [sym_import_statement] = STATE(1572),
    [sym_expression_statement] = STATE(1572),
    [sym_variable_declaration] = STATE(1573),
    [sym_lexical_declaration] = STATE(1573),
    [sym_statement_block] = STATE(1572),
    [sym_if_statement] = STATE(1572),
    [sym_switch_statement] = STATE(1572),
    [sym_for_statement] = STATE(1572),
    [sym_for_in_statement] = STATE(1572),
    [sym_while_statement] = STATE(1572),
    [sym_do_statement] = STATE(1572),
    [sym_try_statement] = STATE(1572),
    [sym_with_statement] = STATE(1572),
    [sym_break_statement] = STATE(1572),
    [sym_continue_statement] = STATE(1572),
    [sym_debugger_statement] = STATE(1572),
    [sym_return_statement] = STATE(1572),
    [sym_throw_statement] = STATE(1572),
    [sym_empty_statement] = STATE(1572),
    [sym_labeled_statement] = STATE(1572),
    [sym_parenthesized_expression] = STATE(2177),
    [sym_expression] = STATE(2545),
    [sym_primary_expression] = STATE(2990),
    [sym_yield_expression] = STATE(3139),
    [sym_object] = STATE(3113),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(3113),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(3139),
    [sym_glimmer_opening_tag] = STATE(5702),
    [sym_jsx_element] = STATE(3139),
    [sym_jsx_opening_element] = STATE(4008),
    [sym_jsx_self_closing_element] = STATE(3139),
    [sym_class] = STATE(3113),
    [sym_class_declaration] = STATE(1573),
    [sym_function_expression] = STATE(3113),
    [sym_function_declaration] = STATE(1573),
    [sym_generator_function] = STATE(3113),
    [sym_generator_function_declaration] = STATE(1573),
    [sym_arrow_function] = STATE(3113),
    [sym__call_signature] = STATE(7486),
    [sym_call_expression] = STATE(3113),
    [sym_new_expression] = STATE(3139),
    [sym_await_expression] = STATE(3139),
    [sym_member_expression] = STATE(2177),
    [sym_subscript_expression] = STATE(2177),
    [sym_assignment_expression] = STATE(3139),
    [sym__augmented_assignment_lhs] = STATE(3835),
    [sym_augmented_assignment_expression] = STATE(3139),
    [sym__destructuring_pattern] = STATE(7484),
    [sym_ternary_expression] = STATE(3139),
    [sym_binary_expression] = STATE(3139),
    [sym_unary_expression] = STATE(3139),
    [sym_update_expression] = STATE(3139),
    [sym_sequence_expression] = STATE(6676),
    [sym_string] = STATE(3113),
    [sym_comment] = STATE(64),
    [sym_template_string] = STATE(3113),
    [sym_regex] = STATE(3113),
    [sym_meta_property] = STATE(3113),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2177),
    [sym_function_signature] = STATE(1573),
    [sym_as_expression] = STATE(3139),
    [sym_satisfies_expression] = STATE(3139),
    [sym_instantiation_expression] = STATE(3139),
    [sym_ambient_declaration] = STATE(1573),
    [sym_abstract_class_declaration] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_internal_module] = STATE(437),
    [sym_import_alias] = STATE(1573),
    [sym_interface_declaration] = STATE(1573),
    [sym_enum_declaration] = STATE(1573),
    [sym_type_alias_declaration] = STATE(1573),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_program_repeat1] = STATE(17),
    [aux_sym_export_statement_repeat1] = STATE(4771),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(748),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_for] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_do] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [65] = {
    [sym_export_statement] = STATE(1572),
    [sym_declaration] = STATE(1572),
    [sym_import] = STATE(4369),
    [sym_import_statement] = STATE(1572),
    [sym_expression_statement] = STATE(1572),
    [sym_variable_declaration] = STATE(1573),
    [sym_lexical_declaration] = STATE(1573),
    [sym_statement_block] = STATE(1572),
    [sym_if_statement] = STATE(1572),
    [sym_switch_statement] = STATE(1572),
    [sym_for_statement] = STATE(1572),
    [sym_for_in_statement] = STATE(1572),
    [sym_while_statement] = STATE(1572),
    [sym_do_statement] = STATE(1572),
    [sym_try_statement] = STATE(1572),
    [sym_with_statement] = STATE(1572),
    [sym_break_statement] = STATE(1572),
    [sym_continue_statement] = STATE(1572),
    [sym_debugger_statement] = STATE(1572),
    [sym_return_statement] = STATE(1572),
    [sym_throw_statement] = STATE(1572),
    [sym_empty_statement] = STATE(1572),
    [sym_labeled_statement] = STATE(1572),
    [sym_parenthesized_expression] = STATE(2177),
    [sym_expression] = STATE(2545),
    [sym_primary_expression] = STATE(2990),
    [sym_yield_expression] = STATE(3139),
    [sym_object] = STATE(3113),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(3113),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(3139),
    [sym_glimmer_opening_tag] = STATE(5702),
    [sym_jsx_element] = STATE(3139),
    [sym_jsx_opening_element] = STATE(4008),
    [sym_jsx_self_closing_element] = STATE(3139),
    [sym_class] = STATE(3113),
    [sym_class_declaration] = STATE(1573),
    [sym_function_expression] = STATE(3113),
    [sym_function_declaration] = STATE(1573),
    [sym_generator_function] = STATE(3113),
    [sym_generator_function_declaration] = STATE(1573),
    [sym_arrow_function] = STATE(3113),
    [sym__call_signature] = STATE(7486),
    [sym_call_expression] = STATE(3113),
    [sym_new_expression] = STATE(3139),
    [sym_await_expression] = STATE(3139),
    [sym_member_expression] = STATE(2177),
    [sym_subscript_expression] = STATE(2177),
    [sym_assignment_expression] = STATE(3139),
    [sym__augmented_assignment_lhs] = STATE(3835),
    [sym_augmented_assignment_expression] = STATE(3139),
    [sym__destructuring_pattern] = STATE(7484),
    [sym_ternary_expression] = STATE(3139),
    [sym_binary_expression] = STATE(3139),
    [sym_unary_expression] = STATE(3139),
    [sym_update_expression] = STATE(3139),
    [sym_sequence_expression] = STATE(6676),
    [sym_string] = STATE(3113),
    [sym_comment] = STATE(65),
    [sym_template_string] = STATE(3113),
    [sym_regex] = STATE(3113),
    [sym_meta_property] = STATE(3113),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2177),
    [sym_function_signature] = STATE(1573),
    [sym_as_expression] = STATE(3139),
    [sym_satisfies_expression] = STATE(3139),
    [sym_instantiation_expression] = STATE(3139),
    [sym_ambient_declaration] = STATE(1573),
    [sym_abstract_class_declaration] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_internal_module] = STATE(437),
    [sym_import_alias] = STATE(1573),
    [sym_interface_declaration] = STATE(1573),
    [sym_enum_declaration] = STATE(1573),
    [sym_type_alias_declaration] = STATE(1573),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_program_repeat1] = STATE(17),
    [aux_sym_export_statement_repeat1] = STATE(4771),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(750),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_for] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_do] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [66] = {
    [sym_export_statement] = STATE(1572),
    [sym_declaration] = STATE(1572),
    [sym_import] = STATE(4369),
    [sym_import_statement] = STATE(1572),
    [sym_expression_statement] = STATE(1572),
    [sym_variable_declaration] = STATE(1573),
    [sym_lexical_declaration] = STATE(1573),
    [sym_statement_block] = STATE(1572),
    [sym_if_statement] = STATE(1572),
    [sym_switch_statement] = STATE(1572),
    [sym_for_statement] = STATE(1572),
    [sym_for_in_statement] = STATE(1572),
    [sym_while_statement] = STATE(1572),
    [sym_do_statement] = STATE(1572),
    [sym_try_statement] = STATE(1572),
    [sym_with_statement] = STATE(1572),
    [sym_break_statement] = STATE(1572),
    [sym_continue_statement] = STATE(1572),
    [sym_debugger_statement] = STATE(1572),
    [sym_return_statement] = STATE(1572),
    [sym_throw_statement] = STATE(1572),
    [sym_empty_statement] = STATE(1572),
    [sym_labeled_statement] = STATE(1572),
    [sym_parenthesized_expression] = STATE(2177),
    [sym_expression] = STATE(2545),
    [sym_primary_expression] = STATE(2990),
    [sym_yield_expression] = STATE(3139),
    [sym_object] = STATE(3113),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(3113),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(3139),
    [sym_glimmer_opening_tag] = STATE(5702),
    [sym_jsx_element] = STATE(3139),
    [sym_jsx_opening_element] = STATE(4008),
    [sym_jsx_self_closing_element] = STATE(3139),
    [sym_class] = STATE(3113),
    [sym_class_declaration] = STATE(1573),
    [sym_function_expression] = STATE(3113),
    [sym_function_declaration] = STATE(1573),
    [sym_generator_function] = STATE(3113),
    [sym_generator_function_declaration] = STATE(1573),
    [sym_arrow_function] = STATE(3113),
    [sym__call_signature] = STATE(7486),
    [sym_call_expression] = STATE(3113),
    [sym_new_expression] = STATE(3139),
    [sym_await_expression] = STATE(3139),
    [sym_member_expression] = STATE(2177),
    [sym_subscript_expression] = STATE(2177),
    [sym_assignment_expression] = STATE(3139),
    [sym__augmented_assignment_lhs] = STATE(3835),
    [sym_augmented_assignment_expression] = STATE(3139),
    [sym__destructuring_pattern] = STATE(7484),
    [sym_ternary_expression] = STATE(3139),
    [sym_binary_expression] = STATE(3139),
    [sym_unary_expression] = STATE(3139),
    [sym_update_expression] = STATE(3139),
    [sym_sequence_expression] = STATE(6676),
    [sym_string] = STATE(3113),
    [sym_comment] = STATE(66),
    [sym_template_string] = STATE(3113),
    [sym_regex] = STATE(3113),
    [sym_meta_property] = STATE(3113),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2177),
    [sym_function_signature] = STATE(1573),
    [sym_as_expression] = STATE(3139),
    [sym_satisfies_expression] = STATE(3139),
    [sym_instantiation_expression] = STATE(3139),
    [sym_ambient_declaration] = STATE(1573),
    [sym_abstract_class_declaration] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_internal_module] = STATE(437),
    [sym_import_alias] = STATE(1573),
    [sym_interface_declaration] = STATE(1573),
    [sym_enum_declaration] = STATE(1573),
    [sym_type_alias_declaration] = STATE(1573),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_program_repeat1] = STATE(20),
    [aux_sym_export_statement_repeat1] = STATE(4771),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(752),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_for] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_do] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [67] = {
    [sym_export_statement] = STATE(1572),
    [sym_declaration] = STATE(1572),
    [sym_import] = STATE(4369),
    [sym_import_statement] = STATE(1572),
    [sym_expression_statement] = STATE(1572),
    [sym_variable_declaration] = STATE(1573),
    [sym_lexical_declaration] = STATE(1573),
    [sym_statement_block] = STATE(1572),
    [sym_if_statement] = STATE(1572),
    [sym_switch_statement] = STATE(1572),
    [sym_for_statement] = STATE(1572),
    [sym_for_in_statement] = STATE(1572),
    [sym_while_statement] = STATE(1572),
    [sym_do_statement] = STATE(1572),
    [sym_try_statement] = STATE(1572),
    [sym_with_statement] = STATE(1572),
    [sym_break_statement] = STATE(1572),
    [sym_continue_statement] = STATE(1572),
    [sym_debugger_statement] = STATE(1572),
    [sym_return_statement] = STATE(1572),
    [sym_throw_statement] = STATE(1572),
    [sym_empty_statement] = STATE(1572),
    [sym_labeled_statement] = STATE(1572),
    [sym_parenthesized_expression] = STATE(2177),
    [sym_expression] = STATE(2545),
    [sym_primary_expression] = STATE(2990),
    [sym_yield_expression] = STATE(3139),
    [sym_object] = STATE(3113),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(3113),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(3139),
    [sym_glimmer_opening_tag] = STATE(5702),
    [sym_jsx_element] = STATE(3139),
    [sym_jsx_opening_element] = STATE(4008),
    [sym_jsx_self_closing_element] = STATE(3139),
    [sym_class] = STATE(3113),
    [sym_class_declaration] = STATE(1573),
    [sym_function_expression] = STATE(3113),
    [sym_function_declaration] = STATE(1573),
    [sym_generator_function] = STATE(3113),
    [sym_generator_function_declaration] = STATE(1573),
    [sym_arrow_function] = STATE(3113),
    [sym__call_signature] = STATE(7486),
    [sym_call_expression] = STATE(3113),
    [sym_new_expression] = STATE(3139),
    [sym_await_expression] = STATE(3139),
    [sym_member_expression] = STATE(2177),
    [sym_subscript_expression] = STATE(2177),
    [sym_assignment_expression] = STATE(3139),
    [sym__augmented_assignment_lhs] = STATE(3835),
    [sym_augmented_assignment_expression] = STATE(3139),
    [sym__destructuring_pattern] = STATE(7484),
    [sym_ternary_expression] = STATE(3139),
    [sym_binary_expression] = STATE(3139),
    [sym_unary_expression] = STATE(3139),
    [sym_update_expression] = STATE(3139),
    [sym_sequence_expression] = STATE(6676),
    [sym_string] = STATE(3113),
    [sym_comment] = STATE(67),
    [sym_template_string] = STATE(3113),
    [sym_regex] = STATE(3113),
    [sym_meta_property] = STATE(3113),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2177),
    [sym_function_signature] = STATE(1573),
    [sym_as_expression] = STATE(3139),
    [sym_satisfies_expression] = STATE(3139),
    [sym_instantiation_expression] = STATE(3139),
    [sym_ambient_declaration] = STATE(1573),
    [sym_abstract_class_declaration] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_internal_module] = STATE(437),
    [sym_import_alias] = STATE(1573),
    [sym_interface_declaration] = STATE(1573),
    [sym_enum_declaration] = STATE(1573),
    [sym_type_alias_declaration] = STATE(1573),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_program_repeat1] = STATE(62),
    [aux_sym_export_statement_repeat1] = STATE(4771),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(754),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_for] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_do] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [68] = {
    [sym_export_statement] = STATE(1572),
    [sym_declaration] = STATE(1572),
    [sym_import] = STATE(4369),
    [sym_import_statement] = STATE(1572),
    [sym_expression_statement] = STATE(1572),
    [sym_variable_declaration] = STATE(1573),
    [sym_lexical_declaration] = STATE(1573),
    [sym_statement_block] = STATE(1572),
    [sym_if_statement] = STATE(1572),
    [sym_switch_statement] = STATE(1572),
    [sym_for_statement] = STATE(1572),
    [sym_for_in_statement] = STATE(1572),
    [sym_while_statement] = STATE(1572),
    [sym_do_statement] = STATE(1572),
    [sym_try_statement] = STATE(1572),
    [sym_with_statement] = STATE(1572),
    [sym_break_statement] = STATE(1572),
    [sym_continue_statement] = STATE(1572),
    [sym_debugger_statement] = STATE(1572),
    [sym_return_statement] = STATE(1572),
    [sym_throw_statement] = STATE(1572),
    [sym_empty_statement] = STATE(1572),
    [sym_labeled_statement] = STATE(1572),
    [sym_parenthesized_expression] = STATE(2177),
    [sym_expression] = STATE(2545),
    [sym_primary_expression] = STATE(2990),
    [sym_yield_expression] = STATE(3139),
    [sym_object] = STATE(3113),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(3113),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(3139),
    [sym_glimmer_opening_tag] = STATE(5702),
    [sym_jsx_element] = STATE(3139),
    [sym_jsx_opening_element] = STATE(4008),
    [sym_jsx_self_closing_element] = STATE(3139),
    [sym_class] = STATE(3113),
    [sym_class_declaration] = STATE(1573),
    [sym_function_expression] = STATE(3113),
    [sym_function_declaration] = STATE(1573),
    [sym_generator_function] = STATE(3113),
    [sym_generator_function_declaration] = STATE(1573),
    [sym_arrow_function] = STATE(3113),
    [sym__call_signature] = STATE(7486),
    [sym_call_expression] = STATE(3113),
    [sym_new_expression] = STATE(3139),
    [sym_await_expression] = STATE(3139),
    [sym_member_expression] = STATE(2177),
    [sym_subscript_expression] = STATE(2177),
    [sym_assignment_expression] = STATE(3139),
    [sym__augmented_assignment_lhs] = STATE(3835),
    [sym_augmented_assignment_expression] = STATE(3139),
    [sym__destructuring_pattern] = STATE(7484),
    [sym_ternary_expression] = STATE(3139),
    [sym_binary_expression] = STATE(3139),
    [sym_unary_expression] = STATE(3139),
    [sym_update_expression] = STATE(3139),
    [sym_sequence_expression] = STATE(6676),
    [sym_string] = STATE(3113),
    [sym_comment] = STATE(68),
    [sym_template_string] = STATE(3113),
    [sym_regex] = STATE(3113),
    [sym_meta_property] = STATE(3113),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2177),
    [sym_function_signature] = STATE(1573),
    [sym_as_expression] = STATE(3139),
    [sym_satisfies_expression] = STATE(3139),
    [sym_instantiation_expression] = STATE(3139),
    [sym_ambient_declaration] = STATE(1573),
    [sym_abstract_class_declaration] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_internal_module] = STATE(437),
    [sym_import_alias] = STATE(1573),
    [sym_interface_declaration] = STATE(1573),
    [sym_enum_declaration] = STATE(1573),
    [sym_type_alias_declaration] = STATE(1573),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_program_repeat1] = STATE(17),
    [aux_sym_export_statement_repeat1] = STATE(4771),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(756),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_for] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_do] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [69] = {
    [sym_export_statement] = STATE(1572),
    [sym_declaration] = STATE(1572),
    [sym_import] = STATE(4369),
    [sym_import_statement] = STATE(1572),
    [sym_expression_statement] = STATE(1572),
    [sym_variable_declaration] = STATE(1573),
    [sym_lexical_declaration] = STATE(1573),
    [sym_statement_block] = STATE(1572),
    [sym_if_statement] = STATE(1572),
    [sym_switch_statement] = STATE(1572),
    [sym_for_statement] = STATE(1572),
    [sym_for_in_statement] = STATE(1572),
    [sym_while_statement] = STATE(1572),
    [sym_do_statement] = STATE(1572),
    [sym_try_statement] = STATE(1572),
    [sym_with_statement] = STATE(1572),
    [sym_break_statement] = STATE(1572),
    [sym_continue_statement] = STATE(1572),
    [sym_debugger_statement] = STATE(1572),
    [sym_return_statement] = STATE(1572),
    [sym_throw_statement] = STATE(1572),
    [sym_empty_statement] = STATE(1572),
    [sym_labeled_statement] = STATE(1572),
    [sym_parenthesized_expression] = STATE(2177),
    [sym_expression] = STATE(2545),
    [sym_primary_expression] = STATE(2990),
    [sym_yield_expression] = STATE(3139),
    [sym_object] = STATE(3113),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(3113),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(3139),
    [sym_glimmer_opening_tag] = STATE(5702),
    [sym_jsx_element] = STATE(3139),
    [sym_jsx_opening_element] = STATE(4008),
    [sym_jsx_self_closing_element] = STATE(3139),
    [sym_class] = STATE(3113),
    [sym_class_declaration] = STATE(1573),
    [sym_function_expression] = STATE(3113),
    [sym_function_declaration] = STATE(1573),
    [sym_generator_function] = STATE(3113),
    [sym_generator_function_declaration] = STATE(1573),
    [sym_arrow_function] = STATE(3113),
    [sym__call_signature] = STATE(7486),
    [sym_call_expression] = STATE(3113),
    [sym_new_expression] = STATE(3139),
    [sym_await_expression] = STATE(3139),
    [sym_member_expression] = STATE(2177),
    [sym_subscript_expression] = STATE(2177),
    [sym_assignment_expression] = STATE(3139),
    [sym__augmented_assignment_lhs] = STATE(3835),
    [sym_augmented_assignment_expression] = STATE(3139),
    [sym__destructuring_pattern] = STATE(7484),
    [sym_ternary_expression] = STATE(3139),
    [sym_binary_expression] = STATE(3139),
    [sym_unary_expression] = STATE(3139),
    [sym_update_expression] = STATE(3139),
    [sym_sequence_expression] = STATE(6676),
    [sym_string] = STATE(3113),
    [sym_comment] = STATE(69),
    [sym_template_string] = STATE(3113),
    [sym_regex] = STATE(3113),
    [sym_meta_property] = STATE(3113),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2177),
    [sym_function_signature] = STATE(1573),
    [sym_as_expression] = STATE(3139),
    [sym_satisfies_expression] = STATE(3139),
    [sym_instantiation_expression] = STATE(3139),
    [sym_ambient_declaration] = STATE(1573),
    [sym_abstract_class_declaration] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_internal_module] = STATE(437),
    [sym_import_alias] = STATE(1573),
    [sym_interface_declaration] = STATE(1573),
    [sym_enum_declaration] = STATE(1573),
    [sym_type_alias_declaration] = STATE(1573),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_program_repeat1] = STATE(35),
    [aux_sym_export_statement_repeat1] = STATE(4771),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(758),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_for] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_do] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [70] = {
    [sym_export_statement] = STATE(1572),
    [sym_declaration] = STATE(1572),
    [sym_import] = STATE(4369),
    [sym_import_statement] = STATE(1572),
    [sym_expression_statement] = STATE(1572),
    [sym_variable_declaration] = STATE(1573),
    [sym_lexical_declaration] = STATE(1573),
    [sym_statement_block] = STATE(1572),
    [sym_if_statement] = STATE(1572),
    [sym_switch_statement] = STATE(1572),
    [sym_for_statement] = STATE(1572),
    [sym_for_in_statement] = STATE(1572),
    [sym_while_statement] = STATE(1572),
    [sym_do_statement] = STATE(1572),
    [sym_try_statement] = STATE(1572),
    [sym_with_statement] = STATE(1572),
    [sym_break_statement] = STATE(1572),
    [sym_continue_statement] = STATE(1572),
    [sym_debugger_statement] = STATE(1572),
    [sym_return_statement] = STATE(1572),
    [sym_throw_statement] = STATE(1572),
    [sym_empty_statement] = STATE(1572),
    [sym_labeled_statement] = STATE(1572),
    [sym_parenthesized_expression] = STATE(2177),
    [sym_expression] = STATE(2545),
    [sym_primary_expression] = STATE(2990),
    [sym_yield_expression] = STATE(3139),
    [sym_object] = STATE(3113),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(3113),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(3139),
    [sym_glimmer_opening_tag] = STATE(5702),
    [sym_jsx_element] = STATE(3139),
    [sym_jsx_opening_element] = STATE(4008),
    [sym_jsx_self_closing_element] = STATE(3139),
    [sym_class] = STATE(3113),
    [sym_class_declaration] = STATE(1573),
    [sym_function_expression] = STATE(3113),
    [sym_function_declaration] = STATE(1573),
    [sym_generator_function] = STATE(3113),
    [sym_generator_function_declaration] = STATE(1573),
    [sym_arrow_function] = STATE(3113),
    [sym__call_signature] = STATE(7486),
    [sym_call_expression] = STATE(3113),
    [sym_new_expression] = STATE(3139),
    [sym_await_expression] = STATE(3139),
    [sym_member_expression] = STATE(2177),
    [sym_subscript_expression] = STATE(2177),
    [sym_assignment_expression] = STATE(3139),
    [sym__augmented_assignment_lhs] = STATE(3835),
    [sym_augmented_assignment_expression] = STATE(3139),
    [sym__destructuring_pattern] = STATE(7484),
    [sym_ternary_expression] = STATE(3139),
    [sym_binary_expression] = STATE(3139),
    [sym_unary_expression] = STATE(3139),
    [sym_update_expression] = STATE(3139),
    [sym_sequence_expression] = STATE(6676),
    [sym_string] = STATE(3113),
    [sym_comment] = STATE(70),
    [sym_template_string] = STATE(3113),
    [sym_regex] = STATE(3113),
    [sym_meta_property] = STATE(3113),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2177),
    [sym_function_signature] = STATE(1573),
    [sym_as_expression] = STATE(3139),
    [sym_satisfies_expression] = STATE(3139),
    [sym_instantiation_expression] = STATE(3139),
    [sym_ambient_declaration] = STATE(1573),
    [sym_abstract_class_declaration] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_internal_module] = STATE(437),
    [sym_import_alias] = STATE(1573),
    [sym_interface_declaration] = STATE(1573),
    [sym_enum_declaration] = STATE(1573),
    [sym_type_alias_declaration] = STATE(1573),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_program_repeat1] = STATE(17),
    [aux_sym_export_statement_repeat1] = STATE(4771),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(760),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_for] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_do] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [71] = {
    [sym_export_statement] = STATE(1572),
    [sym_declaration] = STATE(1572),
    [sym_import] = STATE(4369),
    [sym_import_statement] = STATE(1572),
    [sym_expression_statement] = STATE(1572),
    [sym_variable_declaration] = STATE(1573),
    [sym_lexical_declaration] = STATE(1573),
    [sym_statement_block] = STATE(1572),
    [sym_if_statement] = STATE(1572),
    [sym_switch_statement] = STATE(1572),
    [sym_for_statement] = STATE(1572),
    [sym_for_in_statement] = STATE(1572),
    [sym_while_statement] = STATE(1572),
    [sym_do_statement] = STATE(1572),
    [sym_try_statement] = STATE(1572),
    [sym_with_statement] = STATE(1572),
    [sym_break_statement] = STATE(1572),
    [sym_continue_statement] = STATE(1572),
    [sym_debugger_statement] = STATE(1572),
    [sym_return_statement] = STATE(1572),
    [sym_throw_statement] = STATE(1572),
    [sym_empty_statement] = STATE(1572),
    [sym_labeled_statement] = STATE(1572),
    [sym_parenthesized_expression] = STATE(2177),
    [sym_expression] = STATE(2545),
    [sym_primary_expression] = STATE(2990),
    [sym_yield_expression] = STATE(3139),
    [sym_object] = STATE(3113),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(3113),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(3139),
    [sym_glimmer_opening_tag] = STATE(5702),
    [sym_jsx_element] = STATE(3139),
    [sym_jsx_opening_element] = STATE(4008),
    [sym_jsx_self_closing_element] = STATE(3139),
    [sym_class] = STATE(3113),
    [sym_class_declaration] = STATE(1573),
    [sym_function_expression] = STATE(3113),
    [sym_function_declaration] = STATE(1573),
    [sym_generator_function] = STATE(3113),
    [sym_generator_function_declaration] = STATE(1573),
    [sym_arrow_function] = STATE(3113),
    [sym__call_signature] = STATE(7486),
    [sym_call_expression] = STATE(3113),
    [sym_new_expression] = STATE(3139),
    [sym_await_expression] = STATE(3139),
    [sym_member_expression] = STATE(2177),
    [sym_subscript_expression] = STATE(2177),
    [sym_assignment_expression] = STATE(3139),
    [sym__augmented_assignment_lhs] = STATE(3835),
    [sym_augmented_assignment_expression] = STATE(3139),
    [sym__destructuring_pattern] = STATE(7484),
    [sym_ternary_expression] = STATE(3139),
    [sym_binary_expression] = STATE(3139),
    [sym_unary_expression] = STATE(3139),
    [sym_update_expression] = STATE(3139),
    [sym_sequence_expression] = STATE(6676),
    [sym_string] = STATE(3113),
    [sym_comment] = STATE(71),
    [sym_template_string] = STATE(3113),
    [sym_regex] = STATE(3113),
    [sym_meta_property] = STATE(3113),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2177),
    [sym_function_signature] = STATE(1573),
    [sym_as_expression] = STATE(3139),
    [sym_satisfies_expression] = STATE(3139),
    [sym_instantiation_expression] = STATE(3139),
    [sym_ambient_declaration] = STATE(1573),
    [sym_abstract_class_declaration] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_internal_module] = STATE(437),
    [sym_import_alias] = STATE(1573),
    [sym_interface_declaration] = STATE(1573),
    [sym_enum_declaration] = STATE(1573),
    [sym_type_alias_declaration] = STATE(1573),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_program_repeat1] = STATE(70),
    [aux_sym_export_statement_repeat1] = STATE(4771),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(762),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_for] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_do] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [72] = {
    [sym_export_statement] = STATE(1572),
    [sym_declaration] = STATE(1572),
    [sym_import] = STATE(4369),
    [sym_import_statement] = STATE(1572),
    [sym_expression_statement] = STATE(1572),
    [sym_variable_declaration] = STATE(1573),
    [sym_lexical_declaration] = STATE(1573),
    [sym_statement_block] = STATE(1572),
    [sym_if_statement] = STATE(1572),
    [sym_switch_statement] = STATE(1572),
    [sym_for_statement] = STATE(1572),
    [sym_for_in_statement] = STATE(1572),
    [sym_while_statement] = STATE(1572),
    [sym_do_statement] = STATE(1572),
    [sym_try_statement] = STATE(1572),
    [sym_with_statement] = STATE(1572),
    [sym_break_statement] = STATE(1572),
    [sym_continue_statement] = STATE(1572),
    [sym_debugger_statement] = STATE(1572),
    [sym_return_statement] = STATE(1572),
    [sym_throw_statement] = STATE(1572),
    [sym_empty_statement] = STATE(1572),
    [sym_labeled_statement] = STATE(1572),
    [sym_parenthesized_expression] = STATE(2177),
    [sym_expression] = STATE(2545),
    [sym_primary_expression] = STATE(2990),
    [sym_yield_expression] = STATE(3139),
    [sym_object] = STATE(3113),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(3113),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(3139),
    [sym_glimmer_opening_tag] = STATE(5702),
    [sym_jsx_element] = STATE(3139),
    [sym_jsx_opening_element] = STATE(4008),
    [sym_jsx_self_closing_element] = STATE(3139),
    [sym_class] = STATE(3113),
    [sym_class_declaration] = STATE(1573),
    [sym_function_expression] = STATE(3113),
    [sym_function_declaration] = STATE(1573),
    [sym_generator_function] = STATE(3113),
    [sym_generator_function_declaration] = STATE(1573),
    [sym_arrow_function] = STATE(3113),
    [sym__call_signature] = STATE(7486),
    [sym_call_expression] = STATE(3113),
    [sym_new_expression] = STATE(3139),
    [sym_await_expression] = STATE(3139),
    [sym_member_expression] = STATE(2177),
    [sym_subscript_expression] = STATE(2177),
    [sym_assignment_expression] = STATE(3139),
    [sym__augmented_assignment_lhs] = STATE(3835),
    [sym_augmented_assignment_expression] = STATE(3139),
    [sym__destructuring_pattern] = STATE(7484),
    [sym_ternary_expression] = STATE(3139),
    [sym_binary_expression] = STATE(3139),
    [sym_unary_expression] = STATE(3139),
    [sym_update_expression] = STATE(3139),
    [sym_sequence_expression] = STATE(6676),
    [sym_string] = STATE(3113),
    [sym_comment] = STATE(72),
    [sym_template_string] = STATE(3113),
    [sym_regex] = STATE(3113),
    [sym_meta_property] = STATE(3113),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2177),
    [sym_function_signature] = STATE(1573),
    [sym_as_expression] = STATE(3139),
    [sym_satisfies_expression] = STATE(3139),
    [sym_instantiation_expression] = STATE(3139),
    [sym_ambient_declaration] = STATE(1573),
    [sym_abstract_class_declaration] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_internal_module] = STATE(437),
    [sym_import_alias] = STATE(1573),
    [sym_interface_declaration] = STATE(1573),
    [sym_enum_declaration] = STATE(1573),
    [sym_type_alias_declaration] = STATE(1573),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_program_repeat1] = STATE(17),
    [aux_sym_export_statement_repeat1] = STATE(4771),
    [ts_builtin_sym_end] = ACTIONS(694),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_for] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_do] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [73] = {
    [sym_export_statement] = STATE(1598),
    [sym_declaration] = STATE(1598),
    [sym_import] = STATE(4369),
    [sym_import_statement] = STATE(1598),
    [sym_expression_statement] = STATE(1598),
    [sym_variable_declaration] = STATE(1573),
    [sym_lexical_declaration] = STATE(1573),
    [sym_statement_block] = STATE(1598),
    [sym_if_statement] = STATE(1598),
    [sym_switch_statement] = STATE(1598),
    [sym_for_statement] = STATE(1598),
    [sym_for_in_statement] = STATE(1598),
    [sym_while_statement] = STATE(1598),
    [sym_do_statement] = STATE(1598),
    [sym_try_statement] = STATE(1598),
    [sym_with_statement] = STATE(1598),
    [sym_break_statement] = STATE(1598),
    [sym_continue_statement] = STATE(1598),
    [sym_debugger_statement] = STATE(1598),
    [sym_return_statement] = STATE(1598),
    [sym_throw_statement] = STATE(1598),
    [sym_empty_statement] = STATE(1598),
    [sym_labeled_statement] = STATE(1598),
    [sym_parenthesized_expression] = STATE(2177),
    [sym_expression] = STATE(2545),
    [sym_primary_expression] = STATE(2990),
    [sym_yield_expression] = STATE(3139),
    [sym_object] = STATE(3113),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(3113),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(3139),
    [sym_glimmer_opening_tag] = STATE(5702),
    [sym_jsx_element] = STATE(3139),
    [sym_jsx_opening_element] = STATE(4008),
    [sym_jsx_self_closing_element] = STATE(3139),
    [sym_class] = STATE(3113),
    [sym_class_declaration] = STATE(1573),
    [sym_function_expression] = STATE(3113),
    [sym_function_declaration] = STATE(1573),
    [sym_generator_function] = STATE(3113),
    [sym_generator_function_declaration] = STATE(1573),
    [sym_arrow_function] = STATE(3113),
    [sym__call_signature] = STATE(7486),
    [sym_call_expression] = STATE(3113),
    [sym_new_expression] = STATE(3139),
    [sym_await_expression] = STATE(3139),
    [sym_member_expression] = STATE(2177),
    [sym_subscript_expression] = STATE(2177),
    [sym_assignment_expression] = STATE(3139),
    [sym__augmented_assignment_lhs] = STATE(3835),
    [sym_augmented_assignment_expression] = STATE(3139),
    [sym__destructuring_pattern] = STATE(7484),
    [sym_ternary_expression] = STATE(3139),
    [sym_binary_expression] = STATE(3139),
    [sym_unary_expression] = STATE(3139),
    [sym_update_expression] = STATE(3139),
    [sym_sequence_expression] = STATE(6676),
    [sym_string] = STATE(3113),
    [sym_comment] = STATE(73),
    [sym_template_string] = STATE(3113),
    [sym_regex] = STATE(3113),
    [sym_meta_property] = STATE(3113),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2177),
    [sym_function_signature] = STATE(1573),
    [sym_as_expression] = STATE(3139),
    [sym_satisfies_expression] = STATE(3139),
    [sym_instantiation_expression] = STATE(3139),
    [sym_ambient_declaration] = STATE(1573),
    [sym_abstract_class_declaration] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_internal_module] = STATE(437),
    [sym_import_alias] = STATE(1573),
    [sym_interface_declaration] = STATE(1573),
    [sym_enum_declaration] = STATE(1573),
    [sym_type_alias_declaration] = STATE(1573),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(4771),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_for] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_do] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [74] = {
    [sym_export_statement] = STATE(1397),
    [sym_declaration] = STATE(1397),
    [sym_import] = STATE(4369),
    [sym_import_statement] = STATE(1397),
    [sym_expression_statement] = STATE(1397),
    [sym_variable_declaration] = STATE(1382),
    [sym_lexical_declaration] = STATE(1382),
    [sym_statement_block] = STATE(1397),
    [sym_if_statement] = STATE(1397),
    [sym_switch_statement] = STATE(1397),
    [sym_for_statement] = STATE(1397),
    [sym_for_in_statement] = STATE(1397),
    [sym_while_statement] = STATE(1397),
    [sym_do_statement] = STATE(1397),
    [sym_try_statement] = STATE(1397),
    [sym_with_statement] = STATE(1397),
    [sym_break_statement] = STATE(1397),
    [sym_continue_statement] = STATE(1397),
    [sym_debugger_statement] = STATE(1397),
    [sym_return_statement] = STATE(1397),
    [sym_throw_statement] = STATE(1397),
    [sym_empty_statement] = STATE(1397),
    [sym_labeled_statement] = STATE(1397),
    [sym_parenthesized_expression] = STATE(2177),
    [sym_expression] = STATE(2668),
    [sym_primary_expression] = STATE(2990),
    [sym_yield_expression] = STATE(3139),
    [sym_object] = STATE(3113),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(3113),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(3139),
    [sym_glimmer_opening_tag] = STATE(5702),
    [sym_jsx_element] = STATE(3139),
    [sym_jsx_opening_element] = STATE(4008),
    [sym_jsx_self_closing_element] = STATE(3139),
    [sym_class] = STATE(3113),
    [sym_class_declaration] = STATE(1382),
    [sym_function_expression] = STATE(3113),
    [sym_function_declaration] = STATE(1382),
    [sym_generator_function] = STATE(3113),
    [sym_generator_function_declaration] = STATE(1382),
    [sym_arrow_function] = STATE(3113),
    [sym__call_signature] = STATE(7486),
    [sym_call_expression] = STATE(3113),
    [sym_new_expression] = STATE(3139),
    [sym_await_expression] = STATE(3139),
    [sym_member_expression] = STATE(2177),
    [sym_subscript_expression] = STATE(2177),
    [sym_assignment_expression] = STATE(3139),
    [sym__augmented_assignment_lhs] = STATE(3835),
    [sym_augmented_assignment_expression] = STATE(3139),
    [sym__destructuring_pattern] = STATE(7484),
    [sym_ternary_expression] = STATE(3139),
    [sym_binary_expression] = STATE(3139),
    [sym_unary_expression] = STATE(3139),
    [sym_update_expression] = STATE(3139),
    [sym_sequence_expression] = STATE(6712),
    [sym_string] = STATE(3113),
    [sym_comment] = STATE(74),
    [sym_template_string] = STATE(3113),
    [sym_regex] = STATE(3113),
    [sym_meta_property] = STATE(3113),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2177),
    [sym_function_signature] = STATE(1382),
    [sym_as_expression] = STATE(3139),
    [sym_satisfies_expression] = STATE(3139),
    [sym_instantiation_expression] = STATE(3139),
    [sym_ambient_declaration] = STATE(1382),
    [sym_abstract_class_declaration] = STATE(1382),
    [sym_module] = STATE(1382),
    [sym_internal_module] = STATE(345),
    [sym_import_alias] = STATE(1382),
    [sym_interface_declaration] = STATE(1382),
    [sym_enum_declaration] = STATE(1382),
    [sym_type_alias_declaration] = STATE(1382),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(4953),
    [sym_identifier] = ACTIONS(337),
    [anon_sym_export] = ACTIONS(339),
    [anon_sym_type] = ACTIONS(343),
    [anon_sym_namespace] = ACTIONS(345),
    [anon_sym_LBRACE] = ACTIONS(347),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(349),
    [anon_sym_with] = ACTIONS(351),
    [anon_sym_var] = ACTIONS(353),
    [anon_sym_let] = ACTIONS(355),
    [anon_sym_const] = ACTIONS(357),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(359),
    [anon_sym_switch] = ACTIONS(361),
    [anon_sym_for] = ACTIONS(363),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(365),
    [anon_sym_do] = ACTIONS(367),
    [anon_sym_try] = ACTIONS(369),
    [anon_sym_break] = ACTIONS(371),
    [anon_sym_continue] = ACTIONS(373),
    [anon_sym_debugger] = ACTIONS(375),
    [anon_sym_return] = ACTIONS(377),
    [anon_sym_throw] = ACTIONS(379),
    [anon_sym_SEMI] = ACTIONS(381),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(383),
    [anon_sym_async] = ACTIONS(385),
    [anon_sym_function] = ACTIONS(387),
    [anon_sym_new] = ACTIONS(389),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(391),
    [anon_sym_readonly] = ACTIONS(391),
    [anon_sym_get] = ACTIONS(391),
    [anon_sym_set] = ACTIONS(391),
    [anon_sym_declare] = ACTIONS(393),
    [anon_sym_public] = ACTIONS(391),
    [anon_sym_private] = ACTIONS(391),
    [anon_sym_protected] = ACTIONS(391),
    [anon_sym_override] = ACTIONS(391),
    [anon_sym_module] = ACTIONS(395),
    [anon_sym_any] = ACTIONS(391),
    [anon_sym_number] = ACTIONS(391),
    [anon_sym_boolean] = ACTIONS(391),
    [anon_sym_string] = ACTIONS(391),
    [anon_sym_symbol] = ACTIONS(391),
    [anon_sym_object] = ACTIONS(391),
    [anon_sym_abstract] = ACTIONS(397),
    [anon_sym_interface] = ACTIONS(399),
    [anon_sym_enum] = ACTIONS(401),
    [sym_html_comment] = ACTIONS(5),
  },
  [75] = {
    [sym_export_statement] = STATE(1153),
    [sym_declaration] = STATE(1154),
    [sym_import] = STATE(4369),
    [sym_import_statement] = STATE(1155),
    [sym_expression_statement] = STATE(1156),
    [sym_variable_declaration] = STATE(1105),
    [sym_lexical_declaration] = STATE(1105),
    [sym_statement_block] = STATE(1158),
    [sym_if_statement] = STATE(1160),
    [sym_switch_statement] = STATE(1162),
    [sym_for_statement] = STATE(1163),
    [sym_for_in_statement] = STATE(1164),
    [sym_while_statement] = STATE(1165),
    [sym_do_statement] = STATE(1166),
    [sym_try_statement] = STATE(1167),
    [sym_with_statement] = STATE(1169),
    [sym_break_statement] = STATE(1170),
    [sym_continue_statement] = STATE(1171),
    [sym_debugger_statement] = STATE(1172),
    [sym_return_statement] = STATE(1173),
    [sym_throw_statement] = STATE(1174),
    [sym_empty_statement] = STATE(1178),
    [sym_labeled_statement] = STATE(1181),
    [sym_parenthesized_expression] = STATE(2177),
    [sym_expression] = STATE(2661),
    [sym_primary_expression] = STATE(2990),
    [sym_yield_expression] = STATE(3139),
    [sym_object] = STATE(3113),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(3113),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(3139),
    [sym_glimmer_opening_tag] = STATE(5702),
    [sym_jsx_element] = STATE(3139),
    [sym_jsx_opening_element] = STATE(4008),
    [sym_jsx_self_closing_element] = STATE(3139),
    [sym_class] = STATE(3113),
    [sym_class_declaration] = STATE(1105),
    [sym_function_expression] = STATE(3113),
    [sym_function_declaration] = STATE(1105),
    [sym_generator_function] = STATE(3113),
    [sym_generator_function_declaration] = STATE(1105),
    [sym_arrow_function] = STATE(3113),
    [sym__call_signature] = STATE(7486),
    [sym_call_expression] = STATE(3113),
    [sym_new_expression] = STATE(3139),
    [sym_await_expression] = STATE(3139),
    [sym_member_expression] = STATE(2177),
    [sym_subscript_expression] = STATE(2177),
    [sym_assignment_expression] = STATE(3139),
    [sym__augmented_assignment_lhs] = STATE(3835),
    [sym_augmented_assignment_expression] = STATE(3139),
    [sym__destructuring_pattern] = STATE(7484),
    [sym_ternary_expression] = STATE(3139),
    [sym_binary_expression] = STATE(3139),
    [sym_unary_expression] = STATE(3139),
    [sym_update_expression] = STATE(3139),
    [sym_sequence_expression] = STATE(6537),
    [sym_string] = STATE(3113),
    [sym_comment] = STATE(75),
    [sym_template_string] = STATE(3113),
    [sym_regex] = STATE(3113),
    [sym_meta_property] = STATE(3113),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2177),
    [sym_function_signature] = STATE(1105),
    [sym_as_expression] = STATE(3139),
    [sym_satisfies_expression] = STATE(3139),
    [sym_instantiation_expression] = STATE(3139),
    [sym_ambient_declaration] = STATE(1105),
    [sym_abstract_class_declaration] = STATE(1105),
    [sym_module] = STATE(1105),
    [sym_internal_module] = STATE(315),
    [sym_import_alias] = STATE(1105),
    [sym_interface_declaration] = STATE(1105),
    [sym_enum_declaration] = STATE(1105),
    [sym_type_alias_declaration] = STATE(1105),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(4985),
    [sym_identifier] = ACTIONS(764),
    [anon_sym_export] = ACTIONS(766),
    [anon_sym_type] = ACTIONS(768),
    [anon_sym_namespace] = ACTIONS(770),
    [anon_sym_LBRACE] = ACTIONS(772),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(774),
    [anon_sym_with] = ACTIONS(776),
    [anon_sym_var] = ACTIONS(778),
    [anon_sym_let] = ACTIONS(780),
    [anon_sym_const] = ACTIONS(782),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(784),
    [anon_sym_switch] = ACTIONS(786),
    [anon_sym_for] = ACTIONS(788),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(790),
    [anon_sym_do] = ACTIONS(792),
    [anon_sym_try] = ACTIONS(794),
    [anon_sym_break] = ACTIONS(796),
    [anon_sym_continue] = ACTIONS(798),
    [anon_sym_debugger] = ACTIONS(800),
    [anon_sym_return] = ACTIONS(802),
    [anon_sym_throw] = ACTIONS(804),
    [anon_sym_SEMI] = ACTIONS(806),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(808),
    [anon_sym_async] = ACTIONS(810),
    [anon_sym_function] = ACTIONS(812),
    [anon_sym_new] = ACTIONS(814),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(816),
    [anon_sym_readonly] = ACTIONS(816),
    [anon_sym_get] = ACTIONS(816),
    [anon_sym_set] = ACTIONS(816),
    [anon_sym_declare] = ACTIONS(818),
    [anon_sym_public] = ACTIONS(816),
    [anon_sym_private] = ACTIONS(816),
    [anon_sym_protected] = ACTIONS(816),
    [anon_sym_override] = ACTIONS(816),
    [anon_sym_module] = ACTIONS(820),
    [anon_sym_any] = ACTIONS(816),
    [anon_sym_number] = ACTIONS(816),
    [anon_sym_boolean] = ACTIONS(816),
    [anon_sym_string] = ACTIONS(816),
    [anon_sym_symbol] = ACTIONS(816),
    [anon_sym_object] = ACTIONS(816),
    [anon_sym_abstract] = ACTIONS(822),
    [anon_sym_interface] = ACTIONS(824),
    [anon_sym_enum] = ACTIONS(826),
    [sym_html_comment] = ACTIONS(5),
  },
  [76] = {
    [sym_export_statement] = STATE(1582),
    [sym_declaration] = STATE(1582),
    [sym_import] = STATE(4369),
    [sym_import_statement] = STATE(1582),
    [sym_expression_statement] = STATE(1582),
    [sym_variable_declaration] = STATE(1573),
    [sym_lexical_declaration] = STATE(1573),
    [sym_statement_block] = STATE(1582),
    [sym_if_statement] = STATE(1582),
    [sym_switch_statement] = STATE(1582),
    [sym_for_statement] = STATE(1582),
    [sym_for_in_statement] = STATE(1582),
    [sym_while_statement] = STATE(1582),
    [sym_do_statement] = STATE(1582),
    [sym_try_statement] = STATE(1582),
    [sym_with_statement] = STATE(1582),
    [sym_break_statement] = STATE(1582),
    [sym_continue_statement] = STATE(1582),
    [sym_debugger_statement] = STATE(1582),
    [sym_return_statement] = STATE(1582),
    [sym_throw_statement] = STATE(1582),
    [sym_empty_statement] = STATE(1582),
    [sym_labeled_statement] = STATE(1582),
    [sym_parenthesized_expression] = STATE(2177),
    [sym_expression] = STATE(2545),
    [sym_primary_expression] = STATE(2990),
    [sym_yield_expression] = STATE(3139),
    [sym_object] = STATE(3113),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(3113),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(3139),
    [sym_glimmer_opening_tag] = STATE(5702),
    [sym_jsx_element] = STATE(3139),
    [sym_jsx_opening_element] = STATE(4008),
    [sym_jsx_self_closing_element] = STATE(3139),
    [sym_class] = STATE(3113),
    [sym_class_declaration] = STATE(1573),
    [sym_function_expression] = STATE(3113),
    [sym_function_declaration] = STATE(1573),
    [sym_generator_function] = STATE(3113),
    [sym_generator_function_declaration] = STATE(1573),
    [sym_arrow_function] = STATE(3113),
    [sym__call_signature] = STATE(7486),
    [sym_call_expression] = STATE(3113),
    [sym_new_expression] = STATE(3139),
    [sym_await_expression] = STATE(3139),
    [sym_member_expression] = STATE(2177),
    [sym_subscript_expression] = STATE(2177),
    [sym_assignment_expression] = STATE(3139),
    [sym__augmented_assignment_lhs] = STATE(3835),
    [sym_augmented_assignment_expression] = STATE(3139),
    [sym__destructuring_pattern] = STATE(7484),
    [sym_ternary_expression] = STATE(3139),
    [sym_binary_expression] = STATE(3139),
    [sym_unary_expression] = STATE(3139),
    [sym_update_expression] = STATE(3139),
    [sym_sequence_expression] = STATE(6676),
    [sym_string] = STATE(3113),
    [sym_comment] = STATE(76),
    [sym_template_string] = STATE(3113),
    [sym_regex] = STATE(3113),
    [sym_meta_property] = STATE(3113),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2177),
    [sym_function_signature] = STATE(1573),
    [sym_as_expression] = STATE(3139),
    [sym_satisfies_expression] = STATE(3139),
    [sym_instantiation_expression] = STATE(3139),
    [sym_ambient_declaration] = STATE(1573),
    [sym_abstract_class_declaration] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_internal_module] = STATE(437),
    [sym_import_alias] = STATE(1573),
    [sym_interface_declaration] = STATE(1573),
    [sym_enum_declaration] = STATE(1573),
    [sym_type_alias_declaration] = STATE(1573),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(4771),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_for] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_do] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [77] = {
    [sym_export_statement] = STATE(1177),
    [sym_declaration] = STATE(1177),
    [sym_import] = STATE(4369),
    [sym_import_statement] = STATE(1177),
    [sym_expression_statement] = STATE(1177),
    [sym_variable_declaration] = STATE(1105),
    [sym_lexical_declaration] = STATE(1105),
    [sym_statement_block] = STATE(1177),
    [sym_if_statement] = STATE(1177),
    [sym_switch_statement] = STATE(1177),
    [sym_for_statement] = STATE(1177),
    [sym_for_in_statement] = STATE(1177),
    [sym_while_statement] = STATE(1177),
    [sym_do_statement] = STATE(1177),
    [sym_try_statement] = STATE(1177),
    [sym_with_statement] = STATE(1177),
    [sym_break_statement] = STATE(1177),
    [sym_continue_statement] = STATE(1177),
    [sym_debugger_statement] = STATE(1177),
    [sym_return_statement] = STATE(1177),
    [sym_throw_statement] = STATE(1177),
    [sym_empty_statement] = STATE(1177),
    [sym_labeled_statement] = STATE(1177),
    [sym_parenthesized_expression] = STATE(2177),
    [sym_expression] = STATE(2661),
    [sym_primary_expression] = STATE(2990),
    [sym_yield_expression] = STATE(3139),
    [sym_object] = STATE(3113),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(3113),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(3139),
    [sym_glimmer_opening_tag] = STATE(5702),
    [sym_jsx_element] = STATE(3139),
    [sym_jsx_opening_element] = STATE(4008),
    [sym_jsx_self_closing_element] = STATE(3139),
    [sym_class] = STATE(3113),
    [sym_class_declaration] = STATE(1105),
    [sym_function_expression] = STATE(3113),
    [sym_function_declaration] = STATE(1105),
    [sym_generator_function] = STATE(3113),
    [sym_generator_function_declaration] = STATE(1105),
    [sym_arrow_function] = STATE(3113),
    [sym__call_signature] = STATE(7486),
    [sym_call_expression] = STATE(3113),
    [sym_new_expression] = STATE(3139),
    [sym_await_expression] = STATE(3139),
    [sym_member_expression] = STATE(2177),
    [sym_subscript_expression] = STATE(2177),
    [sym_assignment_expression] = STATE(3139),
    [sym__augmented_assignment_lhs] = STATE(3835),
    [sym_augmented_assignment_expression] = STATE(3139),
    [sym__destructuring_pattern] = STATE(7484),
    [sym_ternary_expression] = STATE(3139),
    [sym_binary_expression] = STATE(3139),
    [sym_unary_expression] = STATE(3139),
    [sym_update_expression] = STATE(3139),
    [sym_sequence_expression] = STATE(6537),
    [sym_string] = STATE(3113),
    [sym_comment] = STATE(77),
    [sym_template_string] = STATE(3113),
    [sym_regex] = STATE(3113),
    [sym_meta_property] = STATE(3113),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2177),
    [sym_function_signature] = STATE(1105),
    [sym_as_expression] = STATE(3139),
    [sym_satisfies_expression] = STATE(3139),
    [sym_instantiation_expression] = STATE(3139),
    [sym_ambient_declaration] = STATE(1105),
    [sym_abstract_class_declaration] = STATE(1105),
    [sym_module] = STATE(1105),
    [sym_internal_module] = STATE(315),
    [sym_import_alias] = STATE(1105),
    [sym_interface_declaration] = STATE(1105),
    [sym_enum_declaration] = STATE(1105),
    [sym_type_alias_declaration] = STATE(1105),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(4985),
    [sym_identifier] = ACTIONS(764),
    [anon_sym_export] = ACTIONS(766),
    [anon_sym_type] = ACTIONS(768),
    [anon_sym_namespace] = ACTIONS(770),
    [anon_sym_LBRACE] = ACTIONS(772),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(774),
    [anon_sym_with] = ACTIONS(776),
    [anon_sym_var] = ACTIONS(778),
    [anon_sym_let] = ACTIONS(780),
    [anon_sym_const] = ACTIONS(782),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(784),
    [anon_sym_switch] = ACTIONS(786),
    [anon_sym_for] = ACTIONS(788),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(790),
    [anon_sym_do] = ACTIONS(792),
    [anon_sym_try] = ACTIONS(794),
    [anon_sym_break] = ACTIONS(796),
    [anon_sym_continue] = ACTIONS(798),
    [anon_sym_debugger] = ACTIONS(800),
    [anon_sym_return] = ACTIONS(802),
    [anon_sym_throw] = ACTIONS(804),
    [anon_sym_SEMI] = ACTIONS(806),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(808),
    [anon_sym_async] = ACTIONS(810),
    [anon_sym_function] = ACTIONS(812),
    [anon_sym_new] = ACTIONS(814),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(816),
    [anon_sym_readonly] = ACTIONS(816),
    [anon_sym_get] = ACTIONS(816),
    [anon_sym_set] = ACTIONS(816),
    [anon_sym_declare] = ACTIONS(818),
    [anon_sym_public] = ACTIONS(816),
    [anon_sym_private] = ACTIONS(816),
    [anon_sym_protected] = ACTIONS(816),
    [anon_sym_override] = ACTIONS(816),
    [anon_sym_module] = ACTIONS(820),
    [anon_sym_any] = ACTIONS(816),
    [anon_sym_number] = ACTIONS(816),
    [anon_sym_boolean] = ACTIONS(816),
    [anon_sym_string] = ACTIONS(816),
    [anon_sym_symbol] = ACTIONS(816),
    [anon_sym_object] = ACTIONS(816),
    [anon_sym_abstract] = ACTIONS(822),
    [anon_sym_interface] = ACTIONS(824),
    [anon_sym_enum] = ACTIONS(826),
    [sym_html_comment] = ACTIONS(5),
  },
  [78] = {
    [sym_export_statement] = STATE(1168),
    [sym_declaration] = STATE(1168),
    [sym_import] = STATE(4369),
    [sym_import_statement] = STATE(1168),
    [sym_expression_statement] = STATE(1168),
    [sym_variable_declaration] = STATE(1220),
    [sym_lexical_declaration] = STATE(1220),
    [sym_statement_block] = STATE(1168),
    [sym_if_statement] = STATE(1168),
    [sym_switch_statement] = STATE(1168),
    [sym_for_statement] = STATE(1168),
    [sym_for_in_statement] = STATE(1168),
    [sym_while_statement] = STATE(1168),
    [sym_do_statement] = STATE(1168),
    [sym_try_statement] = STATE(1168),
    [sym_with_statement] = STATE(1168),
    [sym_break_statement] = STATE(1168),
    [sym_continue_statement] = STATE(1168),
    [sym_debugger_statement] = STATE(1168),
    [sym_return_statement] = STATE(1168),
    [sym_throw_statement] = STATE(1168),
    [sym_empty_statement] = STATE(1168),
    [sym_labeled_statement] = STATE(1168),
    [sym_parenthesized_expression] = STATE(2177),
    [sym_expression] = STATE(2695),
    [sym_primary_expression] = STATE(2990),
    [sym_yield_expression] = STATE(3139),
    [sym_object] = STATE(3113),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(3113),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(3139),
    [sym_glimmer_opening_tag] = STATE(5702),
    [sym_jsx_element] = STATE(3139),
    [sym_jsx_opening_element] = STATE(4008),
    [sym_jsx_self_closing_element] = STATE(3139),
    [sym_class] = STATE(3113),
    [sym_class_declaration] = STATE(1220),
    [sym_function_expression] = STATE(3113),
    [sym_function_declaration] = STATE(1220),
    [sym_generator_function] = STATE(3113),
    [sym_generator_function_declaration] = STATE(1220),
    [sym_arrow_function] = STATE(3113),
    [sym__call_signature] = STATE(7486),
    [sym_call_expression] = STATE(3113),
    [sym_new_expression] = STATE(3139),
    [sym_await_expression] = STATE(3139),
    [sym_member_expression] = STATE(2177),
    [sym_subscript_expression] = STATE(2177),
    [sym_assignment_expression] = STATE(3139),
    [sym__augmented_assignment_lhs] = STATE(3835),
    [sym_augmented_assignment_expression] = STATE(3139),
    [sym__destructuring_pattern] = STATE(7484),
    [sym_ternary_expression] = STATE(3139),
    [sym_binary_expression] = STATE(3139),
    [sym_unary_expression] = STATE(3139),
    [sym_update_expression] = STATE(3139),
    [sym_sequence_expression] = STATE(6631),
    [sym_string] = STATE(3113),
    [sym_comment] = STATE(78),
    [sym_template_string] = STATE(3113),
    [sym_regex] = STATE(3113),
    [sym_meta_property] = STATE(3113),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2177),
    [sym_function_signature] = STATE(1220),
    [sym_as_expression] = STATE(3139),
    [sym_satisfies_expression] = STATE(3139),
    [sym_instantiation_expression] = STATE(3139),
    [sym_ambient_declaration] = STATE(1220),
    [sym_abstract_class_declaration] = STATE(1220),
    [sym_module] = STATE(1220),
    [sym_internal_module] = STATE(415),
    [sym_import_alias] = STATE(1220),
    [sym_interface_declaration] = STATE(1220),
    [sym_enum_declaration] = STATE(1220),
    [sym_type_alias_declaration] = STATE(1220),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(4863),
    [sym_identifier] = ACTIONS(828),
    [anon_sym_export] = ACTIONS(830),
    [anon_sym_type] = ACTIONS(832),
    [anon_sym_namespace] = ACTIONS(834),
    [anon_sym_LBRACE] = ACTIONS(836),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(838),
    [anon_sym_with] = ACTIONS(840),
    [anon_sym_var] = ACTIONS(842),
    [anon_sym_let] = ACTIONS(844),
    [anon_sym_const] = ACTIONS(846),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(848),
    [anon_sym_switch] = ACTIONS(850),
    [anon_sym_for] = ACTIONS(852),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(854),
    [anon_sym_do] = ACTIONS(856),
    [anon_sym_try] = ACTIONS(858),
    [anon_sym_break] = ACTIONS(860),
    [anon_sym_continue] = ACTIONS(862),
    [anon_sym_debugger] = ACTIONS(864),
    [anon_sym_return] = ACTIONS(866),
    [anon_sym_throw] = ACTIONS(868),
    [anon_sym_SEMI] = ACTIONS(870),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(872),
    [anon_sym_async] = ACTIONS(874),
    [anon_sym_function] = ACTIONS(876),
    [anon_sym_new] = ACTIONS(878),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(880),
    [anon_sym_readonly] = ACTIONS(880),
    [anon_sym_get] = ACTIONS(880),
    [anon_sym_set] = ACTIONS(880),
    [anon_sym_declare] = ACTIONS(882),
    [anon_sym_public] = ACTIONS(880),
    [anon_sym_private] = ACTIONS(880),
    [anon_sym_protected] = ACTIONS(880),
    [anon_sym_override] = ACTIONS(880),
    [anon_sym_module] = ACTIONS(884),
    [anon_sym_any] = ACTIONS(880),
    [anon_sym_number] = ACTIONS(880),
    [anon_sym_boolean] = ACTIONS(880),
    [anon_sym_string] = ACTIONS(880),
    [anon_sym_symbol] = ACTIONS(880),
    [anon_sym_object] = ACTIONS(880),
    [anon_sym_abstract] = ACTIONS(886),
    [anon_sym_interface] = ACTIONS(888),
    [anon_sym_enum] = ACTIONS(890),
    [sym_html_comment] = ACTIONS(5),
  },
  [79] = {
    [sym_export_statement] = STATE(1312),
    [sym_declaration] = STATE(1312),
    [sym_import] = STATE(4369),
    [sym_import_statement] = STATE(1312),
    [sym_expression_statement] = STATE(1312),
    [sym_variable_declaration] = STATE(1220),
    [sym_lexical_declaration] = STATE(1220),
    [sym_statement_block] = STATE(1312),
    [sym_if_statement] = STATE(1312),
    [sym_switch_statement] = STATE(1312),
    [sym_for_statement] = STATE(1312),
    [sym_for_in_statement] = STATE(1312),
    [sym_while_statement] = STATE(1312),
    [sym_do_statement] = STATE(1312),
    [sym_try_statement] = STATE(1312),
    [sym_with_statement] = STATE(1312),
    [sym_break_statement] = STATE(1312),
    [sym_continue_statement] = STATE(1312),
    [sym_debugger_statement] = STATE(1312),
    [sym_return_statement] = STATE(1312),
    [sym_throw_statement] = STATE(1312),
    [sym_empty_statement] = STATE(1312),
    [sym_labeled_statement] = STATE(1312),
    [sym_parenthesized_expression] = STATE(2177),
    [sym_expression] = STATE(2695),
    [sym_primary_expression] = STATE(2990),
    [sym_yield_expression] = STATE(3139),
    [sym_object] = STATE(3113),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(3113),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(3139),
    [sym_glimmer_opening_tag] = STATE(5702),
    [sym_jsx_element] = STATE(3139),
    [sym_jsx_opening_element] = STATE(4008),
    [sym_jsx_self_closing_element] = STATE(3139),
    [sym_class] = STATE(3113),
    [sym_class_declaration] = STATE(1220),
    [sym_function_expression] = STATE(3113),
    [sym_function_declaration] = STATE(1220),
    [sym_generator_function] = STATE(3113),
    [sym_generator_function_declaration] = STATE(1220),
    [sym_arrow_function] = STATE(3113),
    [sym__call_signature] = STATE(7486),
    [sym_call_expression] = STATE(3113),
    [sym_new_expression] = STATE(3139),
    [sym_await_expression] = STATE(3139),
    [sym_member_expression] = STATE(2177),
    [sym_subscript_expression] = STATE(2177),
    [sym_assignment_expression] = STATE(3139),
    [sym__augmented_assignment_lhs] = STATE(3835),
    [sym_augmented_assignment_expression] = STATE(3139),
    [sym__destructuring_pattern] = STATE(7484),
    [sym_ternary_expression] = STATE(3139),
    [sym_binary_expression] = STATE(3139),
    [sym_unary_expression] = STATE(3139),
    [sym_update_expression] = STATE(3139),
    [sym_sequence_expression] = STATE(6631),
    [sym_string] = STATE(3113),
    [sym_comment] = STATE(79),
    [sym_template_string] = STATE(3113),
    [sym_regex] = STATE(3113),
    [sym_meta_property] = STATE(3113),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2177),
    [sym_function_signature] = STATE(1220),
    [sym_as_expression] = STATE(3139),
    [sym_satisfies_expression] = STATE(3139),
    [sym_instantiation_expression] = STATE(3139),
    [sym_ambient_declaration] = STATE(1220),
    [sym_abstract_class_declaration] = STATE(1220),
    [sym_module] = STATE(1220),
    [sym_internal_module] = STATE(415),
    [sym_import_alias] = STATE(1220),
    [sym_interface_declaration] = STATE(1220),
    [sym_enum_declaration] = STATE(1220),
    [sym_type_alias_declaration] = STATE(1220),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(4863),
    [sym_identifier] = ACTIONS(828),
    [anon_sym_export] = ACTIONS(830),
    [anon_sym_type] = ACTIONS(832),
    [anon_sym_namespace] = ACTIONS(834),
    [anon_sym_LBRACE] = ACTIONS(836),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(838),
    [anon_sym_with] = ACTIONS(840),
    [anon_sym_var] = ACTIONS(842),
    [anon_sym_let] = ACTIONS(844),
    [anon_sym_const] = ACTIONS(846),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(848),
    [anon_sym_switch] = ACTIONS(850),
    [anon_sym_for] = ACTIONS(852),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(854),
    [anon_sym_do] = ACTIONS(856),
    [anon_sym_try] = ACTIONS(858),
    [anon_sym_break] = ACTIONS(860),
    [anon_sym_continue] = ACTIONS(862),
    [anon_sym_debugger] = ACTIONS(864),
    [anon_sym_return] = ACTIONS(866),
    [anon_sym_throw] = ACTIONS(868),
    [anon_sym_SEMI] = ACTIONS(870),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(872),
    [anon_sym_async] = ACTIONS(874),
    [anon_sym_function] = ACTIONS(876),
    [anon_sym_new] = ACTIONS(878),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(880),
    [anon_sym_readonly] = ACTIONS(880),
    [anon_sym_get] = ACTIONS(880),
    [anon_sym_set] = ACTIONS(880),
    [anon_sym_declare] = ACTIONS(882),
    [anon_sym_public] = ACTIONS(880),
    [anon_sym_private] = ACTIONS(880),
    [anon_sym_protected] = ACTIONS(880),
    [anon_sym_override] = ACTIONS(880),
    [anon_sym_module] = ACTIONS(884),
    [anon_sym_any] = ACTIONS(880),
    [anon_sym_number] = ACTIONS(880),
    [anon_sym_boolean] = ACTIONS(880),
    [anon_sym_string] = ACTIONS(880),
    [anon_sym_symbol] = ACTIONS(880),
    [anon_sym_object] = ACTIONS(880),
    [anon_sym_abstract] = ACTIONS(886),
    [anon_sym_interface] = ACTIONS(888),
    [anon_sym_enum] = ACTIONS(890),
    [sym_html_comment] = ACTIONS(5),
  },
  [80] = {
    [sym_export_statement] = STATE(1142),
    [sym_declaration] = STATE(1142),
    [sym_import] = STATE(4369),
    [sym_import_statement] = STATE(1142),
    [sym_expression_statement] = STATE(1142),
    [sym_variable_declaration] = STATE(1105),
    [sym_lexical_declaration] = STATE(1105),
    [sym_statement_block] = STATE(1142),
    [sym_if_statement] = STATE(1142),
    [sym_switch_statement] = STATE(1142),
    [sym_for_statement] = STATE(1142),
    [sym_for_in_statement] = STATE(1142),
    [sym_while_statement] = STATE(1142),
    [sym_do_statement] = STATE(1142),
    [sym_try_statement] = STATE(1142),
    [sym_with_statement] = STATE(1142),
    [sym_break_statement] = STATE(1142),
    [sym_continue_statement] = STATE(1142),
    [sym_debugger_statement] = STATE(1142),
    [sym_return_statement] = STATE(1142),
    [sym_throw_statement] = STATE(1142),
    [sym_empty_statement] = STATE(1142),
    [sym_labeled_statement] = STATE(1142),
    [sym_parenthesized_expression] = STATE(2177),
    [sym_expression] = STATE(2661),
    [sym_primary_expression] = STATE(2990),
    [sym_yield_expression] = STATE(3139),
    [sym_object] = STATE(3113),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(3113),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(3139),
    [sym_glimmer_opening_tag] = STATE(5702),
    [sym_jsx_element] = STATE(3139),
    [sym_jsx_opening_element] = STATE(4008),
    [sym_jsx_self_closing_element] = STATE(3139),
    [sym_class] = STATE(3113),
    [sym_class_declaration] = STATE(1105),
    [sym_function_expression] = STATE(3113),
    [sym_function_declaration] = STATE(1105),
    [sym_generator_function] = STATE(3113),
    [sym_generator_function_declaration] = STATE(1105),
    [sym_arrow_function] = STATE(3113),
    [sym__call_signature] = STATE(7486),
    [sym_call_expression] = STATE(3113),
    [sym_new_expression] = STATE(3139),
    [sym_await_expression] = STATE(3139),
    [sym_member_expression] = STATE(2177),
    [sym_subscript_expression] = STATE(2177),
    [sym_assignment_expression] = STATE(3139),
    [sym__augmented_assignment_lhs] = STATE(3835),
    [sym_augmented_assignment_expression] = STATE(3139),
    [sym__destructuring_pattern] = STATE(7484),
    [sym_ternary_expression] = STATE(3139),
    [sym_binary_expression] = STATE(3139),
    [sym_unary_expression] = STATE(3139),
    [sym_update_expression] = STATE(3139),
    [sym_sequence_expression] = STATE(6537),
    [sym_string] = STATE(3113),
    [sym_comment] = STATE(80),
    [sym_template_string] = STATE(3113),
    [sym_regex] = STATE(3113),
    [sym_meta_property] = STATE(3113),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2177),
    [sym_function_signature] = STATE(1105),
    [sym_as_expression] = STATE(3139),
    [sym_satisfies_expression] = STATE(3139),
    [sym_instantiation_expression] = STATE(3139),
    [sym_ambient_declaration] = STATE(1105),
    [sym_abstract_class_declaration] = STATE(1105),
    [sym_module] = STATE(1105),
    [sym_internal_module] = STATE(315),
    [sym_import_alias] = STATE(1105),
    [sym_interface_declaration] = STATE(1105),
    [sym_enum_declaration] = STATE(1105),
    [sym_type_alias_declaration] = STATE(1105),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(4985),
    [sym_identifier] = ACTIONS(764),
    [anon_sym_export] = ACTIONS(766),
    [anon_sym_type] = ACTIONS(768),
    [anon_sym_namespace] = ACTIONS(770),
    [anon_sym_LBRACE] = ACTIONS(772),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(774),
    [anon_sym_with] = ACTIONS(776),
    [anon_sym_var] = ACTIONS(778),
    [anon_sym_let] = ACTIONS(780),
    [anon_sym_const] = ACTIONS(782),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(784),
    [anon_sym_switch] = ACTIONS(786),
    [anon_sym_for] = ACTIONS(788),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(790),
    [anon_sym_do] = ACTIONS(792),
    [anon_sym_try] = ACTIONS(794),
    [anon_sym_break] = ACTIONS(796),
    [anon_sym_continue] = ACTIONS(798),
    [anon_sym_debugger] = ACTIONS(800),
    [anon_sym_return] = ACTIONS(802),
    [anon_sym_throw] = ACTIONS(804),
    [anon_sym_SEMI] = ACTIONS(806),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(808),
    [anon_sym_async] = ACTIONS(810),
    [anon_sym_function] = ACTIONS(812),
    [anon_sym_new] = ACTIONS(814),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(816),
    [anon_sym_readonly] = ACTIONS(816),
    [anon_sym_get] = ACTIONS(816),
    [anon_sym_set] = ACTIONS(816),
    [anon_sym_declare] = ACTIONS(818),
    [anon_sym_public] = ACTIONS(816),
    [anon_sym_private] = ACTIONS(816),
    [anon_sym_protected] = ACTIONS(816),
    [anon_sym_override] = ACTIONS(816),
    [anon_sym_module] = ACTIONS(820),
    [anon_sym_any] = ACTIONS(816),
    [anon_sym_number] = ACTIONS(816),
    [anon_sym_boolean] = ACTIONS(816),
    [anon_sym_string] = ACTIONS(816),
    [anon_sym_symbol] = ACTIONS(816),
    [anon_sym_object] = ACTIONS(816),
    [anon_sym_abstract] = ACTIONS(822),
    [anon_sym_interface] = ACTIONS(824),
    [anon_sym_enum] = ACTIONS(826),
    [sym_html_comment] = ACTIONS(5),
  },
  [81] = {
    [sym_export_statement] = STATE(1413),
    [sym_declaration] = STATE(1413),
    [sym_import] = STATE(4369),
    [sym_import_statement] = STATE(1413),
    [sym_expression_statement] = STATE(1413),
    [sym_variable_declaration] = STATE(1382),
    [sym_lexical_declaration] = STATE(1382),
    [sym_statement_block] = STATE(1413),
    [sym_if_statement] = STATE(1413),
    [sym_switch_statement] = STATE(1413),
    [sym_for_statement] = STATE(1413),
    [sym_for_in_statement] = STATE(1413),
    [sym_while_statement] = STATE(1413),
    [sym_do_statement] = STATE(1413),
    [sym_try_statement] = STATE(1413),
    [sym_with_statement] = STATE(1413),
    [sym_break_statement] = STATE(1413),
    [sym_continue_statement] = STATE(1413),
    [sym_debugger_statement] = STATE(1413),
    [sym_return_statement] = STATE(1413),
    [sym_throw_statement] = STATE(1413),
    [sym_empty_statement] = STATE(1413),
    [sym_labeled_statement] = STATE(1413),
    [sym_parenthesized_expression] = STATE(2177),
    [sym_expression] = STATE(2668),
    [sym_primary_expression] = STATE(2990),
    [sym_yield_expression] = STATE(3139),
    [sym_object] = STATE(3113),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(3113),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(3139),
    [sym_glimmer_opening_tag] = STATE(5702),
    [sym_jsx_element] = STATE(3139),
    [sym_jsx_opening_element] = STATE(4008),
    [sym_jsx_self_closing_element] = STATE(3139),
    [sym_class] = STATE(3113),
    [sym_class_declaration] = STATE(1382),
    [sym_function_expression] = STATE(3113),
    [sym_function_declaration] = STATE(1382),
    [sym_generator_function] = STATE(3113),
    [sym_generator_function_declaration] = STATE(1382),
    [sym_arrow_function] = STATE(3113),
    [sym__call_signature] = STATE(7486),
    [sym_call_expression] = STATE(3113),
    [sym_new_expression] = STATE(3139),
    [sym_await_expression] = STATE(3139),
    [sym_member_expression] = STATE(2177),
    [sym_subscript_expression] = STATE(2177),
    [sym_assignment_expression] = STATE(3139),
    [sym__augmented_assignment_lhs] = STATE(3835),
    [sym_augmented_assignment_expression] = STATE(3139),
    [sym__destructuring_pattern] = STATE(7484),
    [sym_ternary_expression] = STATE(3139),
    [sym_binary_expression] = STATE(3139),
    [sym_unary_expression] = STATE(3139),
    [sym_update_expression] = STATE(3139),
    [sym_sequence_expression] = STATE(6712),
    [sym_string] = STATE(3113),
    [sym_comment] = STATE(81),
    [sym_template_string] = STATE(3113),
    [sym_regex] = STATE(3113),
    [sym_meta_property] = STATE(3113),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2177),
    [sym_function_signature] = STATE(1382),
    [sym_as_expression] = STATE(3139),
    [sym_satisfies_expression] = STATE(3139),
    [sym_instantiation_expression] = STATE(3139),
    [sym_ambient_declaration] = STATE(1382),
    [sym_abstract_class_declaration] = STATE(1382),
    [sym_module] = STATE(1382),
    [sym_internal_module] = STATE(345),
    [sym_import_alias] = STATE(1382),
    [sym_interface_declaration] = STATE(1382),
    [sym_enum_declaration] = STATE(1382),
    [sym_type_alias_declaration] = STATE(1382),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(4953),
    [sym_identifier] = ACTIONS(337),
    [anon_sym_export] = ACTIONS(339),
    [anon_sym_type] = ACTIONS(343),
    [anon_sym_namespace] = ACTIONS(345),
    [anon_sym_LBRACE] = ACTIONS(347),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(349),
    [anon_sym_with] = ACTIONS(351),
    [anon_sym_var] = ACTIONS(353),
    [anon_sym_let] = ACTIONS(355),
    [anon_sym_const] = ACTIONS(357),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(359),
    [anon_sym_switch] = ACTIONS(361),
    [anon_sym_for] = ACTIONS(363),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(365),
    [anon_sym_do] = ACTIONS(367),
    [anon_sym_try] = ACTIONS(369),
    [anon_sym_break] = ACTIONS(371),
    [anon_sym_continue] = ACTIONS(373),
    [anon_sym_debugger] = ACTIONS(375),
    [anon_sym_return] = ACTIONS(377),
    [anon_sym_throw] = ACTIONS(379),
    [anon_sym_SEMI] = ACTIONS(381),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(383),
    [anon_sym_async] = ACTIONS(385),
    [anon_sym_function] = ACTIONS(387),
    [anon_sym_new] = ACTIONS(389),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(391),
    [anon_sym_readonly] = ACTIONS(391),
    [anon_sym_get] = ACTIONS(391),
    [anon_sym_set] = ACTIONS(391),
    [anon_sym_declare] = ACTIONS(393),
    [anon_sym_public] = ACTIONS(391),
    [anon_sym_private] = ACTIONS(391),
    [anon_sym_protected] = ACTIONS(391),
    [anon_sym_override] = ACTIONS(391),
    [anon_sym_module] = ACTIONS(395),
    [anon_sym_any] = ACTIONS(391),
    [anon_sym_number] = ACTIONS(391),
    [anon_sym_boolean] = ACTIONS(391),
    [anon_sym_string] = ACTIONS(391),
    [anon_sym_symbol] = ACTIONS(391),
    [anon_sym_object] = ACTIONS(391),
    [anon_sym_abstract] = ACTIONS(397),
    [anon_sym_interface] = ACTIONS(399),
    [anon_sym_enum] = ACTIONS(401),
    [sym_html_comment] = ACTIONS(5),
  },
  [82] = {
    [sym_export_statement] = STATE(1118),
    [sym_declaration] = STATE(1118),
    [sym_import] = STATE(4369),
    [sym_import_statement] = STATE(1118),
    [sym_expression_statement] = STATE(1118),
    [sym_variable_declaration] = STATE(1105),
    [sym_lexical_declaration] = STATE(1105),
    [sym_statement_block] = STATE(1118),
    [sym_if_statement] = STATE(1118),
    [sym_switch_statement] = STATE(1118),
    [sym_for_statement] = STATE(1118),
    [sym_for_in_statement] = STATE(1118),
    [sym_while_statement] = STATE(1118),
    [sym_do_statement] = STATE(1118),
    [sym_try_statement] = STATE(1118),
    [sym_with_statement] = STATE(1118),
    [sym_break_statement] = STATE(1118),
    [sym_continue_statement] = STATE(1118),
    [sym_debugger_statement] = STATE(1118),
    [sym_return_statement] = STATE(1118),
    [sym_throw_statement] = STATE(1118),
    [sym_empty_statement] = STATE(1118),
    [sym_labeled_statement] = STATE(1118),
    [sym_parenthesized_expression] = STATE(2177),
    [sym_expression] = STATE(2661),
    [sym_primary_expression] = STATE(2990),
    [sym_yield_expression] = STATE(3139),
    [sym_object] = STATE(3113),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(3113),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(3139),
    [sym_glimmer_opening_tag] = STATE(5702),
    [sym_jsx_element] = STATE(3139),
    [sym_jsx_opening_element] = STATE(4008),
    [sym_jsx_self_closing_element] = STATE(3139),
    [sym_class] = STATE(3113),
    [sym_class_declaration] = STATE(1105),
    [sym_function_expression] = STATE(3113),
    [sym_function_declaration] = STATE(1105),
    [sym_generator_function] = STATE(3113),
    [sym_generator_function_declaration] = STATE(1105),
    [sym_arrow_function] = STATE(3113),
    [sym__call_signature] = STATE(7486),
    [sym_call_expression] = STATE(3113),
    [sym_new_expression] = STATE(3139),
    [sym_await_expression] = STATE(3139),
    [sym_member_expression] = STATE(2177),
    [sym_subscript_expression] = STATE(2177),
    [sym_assignment_expression] = STATE(3139),
    [sym__augmented_assignment_lhs] = STATE(3835),
    [sym_augmented_assignment_expression] = STATE(3139),
    [sym__destructuring_pattern] = STATE(7484),
    [sym_ternary_expression] = STATE(3139),
    [sym_binary_expression] = STATE(3139),
    [sym_unary_expression] = STATE(3139),
    [sym_update_expression] = STATE(3139),
    [sym_sequence_expression] = STATE(6537),
    [sym_string] = STATE(3113),
    [sym_comment] = STATE(82),
    [sym_template_string] = STATE(3113),
    [sym_regex] = STATE(3113),
    [sym_meta_property] = STATE(3113),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2177),
    [sym_function_signature] = STATE(1105),
    [sym_as_expression] = STATE(3139),
    [sym_satisfies_expression] = STATE(3139),
    [sym_instantiation_expression] = STATE(3139),
    [sym_ambient_declaration] = STATE(1105),
    [sym_abstract_class_declaration] = STATE(1105),
    [sym_module] = STATE(1105),
    [sym_internal_module] = STATE(315),
    [sym_import_alias] = STATE(1105),
    [sym_interface_declaration] = STATE(1105),
    [sym_enum_declaration] = STATE(1105),
    [sym_type_alias_declaration] = STATE(1105),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(4985),
    [sym_identifier] = ACTIONS(764),
    [anon_sym_export] = ACTIONS(766),
    [anon_sym_type] = ACTIONS(768),
    [anon_sym_namespace] = ACTIONS(770),
    [anon_sym_LBRACE] = ACTIONS(772),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(774),
    [anon_sym_with] = ACTIONS(776),
    [anon_sym_var] = ACTIONS(778),
    [anon_sym_let] = ACTIONS(780),
    [anon_sym_const] = ACTIONS(782),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(784),
    [anon_sym_switch] = ACTIONS(786),
    [anon_sym_for] = ACTIONS(788),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(790),
    [anon_sym_do] = ACTIONS(792),
    [anon_sym_try] = ACTIONS(794),
    [anon_sym_break] = ACTIONS(796),
    [anon_sym_continue] = ACTIONS(798),
    [anon_sym_debugger] = ACTIONS(800),
    [anon_sym_return] = ACTIONS(802),
    [anon_sym_throw] = ACTIONS(804),
    [anon_sym_SEMI] = ACTIONS(806),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(808),
    [anon_sym_async] = ACTIONS(810),
    [anon_sym_function] = ACTIONS(812),
    [anon_sym_new] = ACTIONS(814),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(816),
    [anon_sym_readonly] = ACTIONS(816),
    [anon_sym_get] = ACTIONS(816),
    [anon_sym_set] = ACTIONS(816),
    [anon_sym_declare] = ACTIONS(818),
    [anon_sym_public] = ACTIONS(816),
    [anon_sym_private] = ACTIONS(816),
    [anon_sym_protected] = ACTIONS(816),
    [anon_sym_override] = ACTIONS(816),
    [anon_sym_module] = ACTIONS(820),
    [anon_sym_any] = ACTIONS(816),
    [anon_sym_number] = ACTIONS(816),
    [anon_sym_boolean] = ACTIONS(816),
    [anon_sym_string] = ACTIONS(816),
    [anon_sym_symbol] = ACTIONS(816),
    [anon_sym_object] = ACTIONS(816),
    [anon_sym_abstract] = ACTIONS(822),
    [anon_sym_interface] = ACTIONS(824),
    [anon_sym_enum] = ACTIONS(826),
    [sym_html_comment] = ACTIONS(5),
  },
  [83] = {
    [sym_export_statement] = STATE(6997),
    [sym_declaration] = STATE(6997),
    [sym_import] = STATE(4369),
    [sym_import_statement] = STATE(6997),
    [sym_expression_statement] = STATE(6997),
    [sym_variable_declaration] = STATE(6895),
    [sym_lexical_declaration] = STATE(6895),
    [sym_statement_block] = STATE(6997),
    [sym_if_statement] = STATE(6997),
    [sym_switch_statement] = STATE(6997),
    [sym_for_statement] = STATE(6997),
    [sym_for_in_statement] = STATE(6997),
    [sym_while_statement] = STATE(6997),
    [sym_do_statement] = STATE(6997),
    [sym_try_statement] = STATE(6997),
    [sym_with_statement] = STATE(6997),
    [sym_break_statement] = STATE(6997),
    [sym_continue_statement] = STATE(6997),
    [sym_debugger_statement] = STATE(6997),
    [sym_return_statement] = STATE(6997),
    [sym_throw_statement] = STATE(6997),
    [sym_empty_statement] = STATE(6997),
    [sym_labeled_statement] = STATE(6997),
    [sym_parenthesized_expression] = STATE(2177),
    [sym_expression] = STATE(2577),
    [sym_primary_expression] = STATE(2990),
    [sym_yield_expression] = STATE(3139),
    [sym_object] = STATE(3113),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(3113),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(3139),
    [sym_glimmer_opening_tag] = STATE(5702),
    [sym_jsx_element] = STATE(3139),
    [sym_jsx_opening_element] = STATE(4008),
    [sym_jsx_self_closing_element] = STATE(3139),
    [sym_class] = STATE(3113),
    [sym_class_declaration] = STATE(6895),
    [sym_function_expression] = STATE(3113),
    [sym_function_declaration] = STATE(6895),
    [sym_generator_function] = STATE(3113),
    [sym_generator_function_declaration] = STATE(6895),
    [sym_arrow_function] = STATE(3113),
    [sym__call_signature] = STATE(7486),
    [sym_call_expression] = STATE(3113),
    [sym_new_expression] = STATE(3139),
    [sym_await_expression] = STATE(3139),
    [sym_member_expression] = STATE(2177),
    [sym_subscript_expression] = STATE(2177),
    [sym_assignment_expression] = STATE(3139),
    [sym__augmented_assignment_lhs] = STATE(3835),
    [sym_augmented_assignment_expression] = STATE(3139),
    [sym__destructuring_pattern] = STATE(7484),
    [sym_ternary_expression] = STATE(3139),
    [sym_binary_expression] = STATE(3139),
    [sym_unary_expression] = STATE(3139),
    [sym_update_expression] = STATE(3139),
    [sym_sequence_expression] = STATE(6529),
    [sym_string] = STATE(3113),
    [sym_comment] = STATE(83),
    [sym_template_string] = STATE(3113),
    [sym_regex] = STATE(3113),
    [sym_meta_property] = STATE(3113),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2177),
    [sym_function_signature] = STATE(6895),
    [sym_as_expression] = STATE(3139),
    [sym_satisfies_expression] = STATE(3139),
    [sym_instantiation_expression] = STATE(3139),
    [sym_ambient_declaration] = STATE(6895),
    [sym_abstract_class_declaration] = STATE(6895),
    [sym_module] = STATE(6895),
    [sym_internal_module] = STATE(3105),
    [sym_import_alias] = STATE(6895),
    [sym_interface_declaration] = STATE(6895),
    [sym_enum_declaration] = STATE(6895),
    [sym_type_alias_declaration] = STATE(6895),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(4783),
    [sym_identifier] = ACTIONS(892),
    [anon_sym_export] = ACTIONS(894),
    [anon_sym_type] = ACTIONS(896),
    [anon_sym_namespace] = ACTIONS(898),
    [anon_sym_LBRACE] = ACTIONS(900),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(902),
    [anon_sym_with] = ACTIONS(904),
    [anon_sym_var] = ACTIONS(906),
    [anon_sym_let] = ACTIONS(908),
    [anon_sym_const] = ACTIONS(910),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(912),
    [anon_sym_switch] = ACTIONS(914),
    [anon_sym_for] = ACTIONS(916),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(918),
    [anon_sym_do] = ACTIONS(920),
    [anon_sym_try] = ACTIONS(922),
    [anon_sym_break] = ACTIONS(924),
    [anon_sym_continue] = ACTIONS(926),
    [anon_sym_debugger] = ACTIONS(928),
    [anon_sym_return] = ACTIONS(930),
    [anon_sym_throw] = ACTIONS(932),
    [anon_sym_SEMI] = ACTIONS(934),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(936),
    [anon_sym_async] = ACTIONS(938),
    [anon_sym_function] = ACTIONS(940),
    [anon_sym_new] = ACTIONS(942),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(944),
    [anon_sym_readonly] = ACTIONS(944),
    [anon_sym_get] = ACTIONS(944),
    [anon_sym_set] = ACTIONS(944),
    [anon_sym_declare] = ACTIONS(946),
    [anon_sym_public] = ACTIONS(944),
    [anon_sym_private] = ACTIONS(944),
    [anon_sym_protected] = ACTIONS(944),
    [anon_sym_override] = ACTIONS(944),
    [anon_sym_module] = ACTIONS(948),
    [anon_sym_any] = ACTIONS(944),
    [anon_sym_number] = ACTIONS(944),
    [anon_sym_boolean] = ACTIONS(944),
    [anon_sym_string] = ACTIONS(944),
    [anon_sym_symbol] = ACTIONS(944),
    [anon_sym_object] = ACTIONS(944),
    [anon_sym_abstract] = ACTIONS(950),
    [anon_sym_interface] = ACTIONS(952),
    [anon_sym_enum] = ACTIONS(954),
    [sym_html_comment] = ACTIONS(5),
  },
  [84] = {
    [sym_export_statement] = STATE(1465),
    [sym_declaration] = STATE(1465),
    [sym_import] = STATE(4369),
    [sym_import_statement] = STATE(1465),
    [sym_expression_statement] = STATE(1465),
    [sym_variable_declaration] = STATE(1220),
    [sym_lexical_declaration] = STATE(1220),
    [sym_statement_block] = STATE(1465),
    [sym_if_statement] = STATE(1465),
    [sym_switch_statement] = STATE(1465),
    [sym_for_statement] = STATE(1465),
    [sym_for_in_statement] = STATE(1465),
    [sym_while_statement] = STATE(1465),
    [sym_do_statement] = STATE(1465),
    [sym_try_statement] = STATE(1465),
    [sym_with_statement] = STATE(1465),
    [sym_break_statement] = STATE(1465),
    [sym_continue_statement] = STATE(1465),
    [sym_debugger_statement] = STATE(1465),
    [sym_return_statement] = STATE(1465),
    [sym_throw_statement] = STATE(1465),
    [sym_empty_statement] = STATE(1465),
    [sym_labeled_statement] = STATE(1465),
    [sym_parenthesized_expression] = STATE(2177),
    [sym_expression] = STATE(2695),
    [sym_primary_expression] = STATE(2990),
    [sym_yield_expression] = STATE(3139),
    [sym_object] = STATE(3113),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(3113),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(3139),
    [sym_glimmer_opening_tag] = STATE(5702),
    [sym_jsx_element] = STATE(3139),
    [sym_jsx_opening_element] = STATE(4008),
    [sym_jsx_self_closing_element] = STATE(3139),
    [sym_class] = STATE(3113),
    [sym_class_declaration] = STATE(1220),
    [sym_function_expression] = STATE(3113),
    [sym_function_declaration] = STATE(1220),
    [sym_generator_function] = STATE(3113),
    [sym_generator_function_declaration] = STATE(1220),
    [sym_arrow_function] = STATE(3113),
    [sym__call_signature] = STATE(7486),
    [sym_call_expression] = STATE(3113),
    [sym_new_expression] = STATE(3139),
    [sym_await_expression] = STATE(3139),
    [sym_member_expression] = STATE(2177),
    [sym_subscript_expression] = STATE(2177),
    [sym_assignment_expression] = STATE(3139),
    [sym__augmented_assignment_lhs] = STATE(3835),
    [sym_augmented_assignment_expression] = STATE(3139),
    [sym__destructuring_pattern] = STATE(7484),
    [sym_ternary_expression] = STATE(3139),
    [sym_binary_expression] = STATE(3139),
    [sym_unary_expression] = STATE(3139),
    [sym_update_expression] = STATE(3139),
    [sym_sequence_expression] = STATE(6631),
    [sym_string] = STATE(3113),
    [sym_comment] = STATE(84),
    [sym_template_string] = STATE(3113),
    [sym_regex] = STATE(3113),
    [sym_meta_property] = STATE(3113),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2177),
    [sym_function_signature] = STATE(1220),
    [sym_as_expression] = STATE(3139),
    [sym_satisfies_expression] = STATE(3139),
    [sym_instantiation_expression] = STATE(3139),
    [sym_ambient_declaration] = STATE(1220),
    [sym_abstract_class_declaration] = STATE(1220),
    [sym_module] = STATE(1220),
    [sym_internal_module] = STATE(415),
    [sym_import_alias] = STATE(1220),
    [sym_interface_declaration] = STATE(1220),
    [sym_enum_declaration] = STATE(1220),
    [sym_type_alias_declaration] = STATE(1220),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(4863),
    [sym_identifier] = ACTIONS(828),
    [anon_sym_export] = ACTIONS(830),
    [anon_sym_type] = ACTIONS(832),
    [anon_sym_namespace] = ACTIONS(834),
    [anon_sym_LBRACE] = ACTIONS(836),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(838),
    [anon_sym_with] = ACTIONS(840),
    [anon_sym_var] = ACTIONS(842),
    [anon_sym_let] = ACTIONS(844),
    [anon_sym_const] = ACTIONS(846),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(848),
    [anon_sym_switch] = ACTIONS(850),
    [anon_sym_for] = ACTIONS(852),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(854),
    [anon_sym_do] = ACTIONS(856),
    [anon_sym_try] = ACTIONS(858),
    [anon_sym_break] = ACTIONS(860),
    [anon_sym_continue] = ACTIONS(862),
    [anon_sym_debugger] = ACTIONS(864),
    [anon_sym_return] = ACTIONS(866),
    [anon_sym_throw] = ACTIONS(868),
    [anon_sym_SEMI] = ACTIONS(870),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(872),
    [anon_sym_async] = ACTIONS(874),
    [anon_sym_function] = ACTIONS(876),
    [anon_sym_new] = ACTIONS(878),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(880),
    [anon_sym_readonly] = ACTIONS(880),
    [anon_sym_get] = ACTIONS(880),
    [anon_sym_set] = ACTIONS(880),
    [anon_sym_declare] = ACTIONS(882),
    [anon_sym_public] = ACTIONS(880),
    [anon_sym_private] = ACTIONS(880),
    [anon_sym_protected] = ACTIONS(880),
    [anon_sym_override] = ACTIONS(880),
    [anon_sym_module] = ACTIONS(884),
    [anon_sym_any] = ACTIONS(880),
    [anon_sym_number] = ACTIONS(880),
    [anon_sym_boolean] = ACTIONS(880),
    [anon_sym_string] = ACTIONS(880),
    [anon_sym_symbol] = ACTIONS(880),
    [anon_sym_object] = ACTIONS(880),
    [anon_sym_abstract] = ACTIONS(886),
    [anon_sym_interface] = ACTIONS(888),
    [anon_sym_enum] = ACTIONS(890),
    [sym_html_comment] = ACTIONS(5),
  },
  [85] = {
    [sym_export_statement] = STATE(1263),
    [sym_declaration] = STATE(1267),
    [sym_import] = STATE(4369),
    [sym_import_statement] = STATE(1268),
    [sym_expression_statement] = STATE(1278),
    [sym_variable_declaration] = STATE(1220),
    [sym_lexical_declaration] = STATE(1220),
    [sym_statement_block] = STATE(1287),
    [sym_if_statement] = STATE(1290),
    [sym_switch_statement] = STATE(1291),
    [sym_for_statement] = STATE(1292),
    [sym_for_in_statement] = STATE(1293),
    [sym_while_statement] = STATE(1294),
    [sym_do_statement] = STATE(1295),
    [sym_try_statement] = STATE(1296),
    [sym_with_statement] = STATE(1297),
    [sym_break_statement] = STATE(1299),
    [sym_continue_statement] = STATE(1197),
    [sym_debugger_statement] = STATE(1300),
    [sym_return_statement] = STATE(1303),
    [sym_throw_statement] = STATE(1304),
    [sym_empty_statement] = STATE(1305),
    [sym_labeled_statement] = STATE(1311),
    [sym_parenthesized_expression] = STATE(2177),
    [sym_expression] = STATE(2695),
    [sym_primary_expression] = STATE(2990),
    [sym_yield_expression] = STATE(3139),
    [sym_object] = STATE(3113),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(3113),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(3139),
    [sym_glimmer_opening_tag] = STATE(5702),
    [sym_jsx_element] = STATE(3139),
    [sym_jsx_opening_element] = STATE(4008),
    [sym_jsx_self_closing_element] = STATE(3139),
    [sym_class] = STATE(3113),
    [sym_class_declaration] = STATE(1220),
    [sym_function_expression] = STATE(3113),
    [sym_function_declaration] = STATE(1220),
    [sym_generator_function] = STATE(3113),
    [sym_generator_function_declaration] = STATE(1220),
    [sym_arrow_function] = STATE(3113),
    [sym__call_signature] = STATE(7486),
    [sym_call_expression] = STATE(3113),
    [sym_new_expression] = STATE(3139),
    [sym_await_expression] = STATE(3139),
    [sym_member_expression] = STATE(2177),
    [sym_subscript_expression] = STATE(2177),
    [sym_assignment_expression] = STATE(3139),
    [sym__augmented_assignment_lhs] = STATE(3835),
    [sym_augmented_assignment_expression] = STATE(3139),
    [sym__destructuring_pattern] = STATE(7484),
    [sym_ternary_expression] = STATE(3139),
    [sym_binary_expression] = STATE(3139),
    [sym_unary_expression] = STATE(3139),
    [sym_update_expression] = STATE(3139),
    [sym_sequence_expression] = STATE(6631),
    [sym_string] = STATE(3113),
    [sym_comment] = STATE(85),
    [sym_template_string] = STATE(3113),
    [sym_regex] = STATE(3113),
    [sym_meta_property] = STATE(3113),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2177),
    [sym_function_signature] = STATE(1220),
    [sym_as_expression] = STATE(3139),
    [sym_satisfies_expression] = STATE(3139),
    [sym_instantiation_expression] = STATE(3139),
    [sym_ambient_declaration] = STATE(1220),
    [sym_abstract_class_declaration] = STATE(1220),
    [sym_module] = STATE(1220),
    [sym_internal_module] = STATE(415),
    [sym_import_alias] = STATE(1220),
    [sym_interface_declaration] = STATE(1220),
    [sym_enum_declaration] = STATE(1220),
    [sym_type_alias_declaration] = STATE(1220),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(4863),
    [sym_identifier] = ACTIONS(828),
    [anon_sym_export] = ACTIONS(830),
    [anon_sym_type] = ACTIONS(832),
    [anon_sym_namespace] = ACTIONS(834),
    [anon_sym_LBRACE] = ACTIONS(836),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(838),
    [anon_sym_with] = ACTIONS(840),
    [anon_sym_var] = ACTIONS(842),
    [anon_sym_let] = ACTIONS(844),
    [anon_sym_const] = ACTIONS(846),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(848),
    [anon_sym_switch] = ACTIONS(850),
    [anon_sym_for] = ACTIONS(852),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(854),
    [anon_sym_do] = ACTIONS(856),
    [anon_sym_try] = ACTIONS(858),
    [anon_sym_break] = ACTIONS(860),
    [anon_sym_continue] = ACTIONS(862),
    [anon_sym_debugger] = ACTIONS(864),
    [anon_sym_return] = ACTIONS(866),
    [anon_sym_throw] = ACTIONS(868),
    [anon_sym_SEMI] = ACTIONS(870),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(872),
    [anon_sym_async] = ACTIONS(874),
    [anon_sym_function] = ACTIONS(876),
    [anon_sym_new] = ACTIONS(878),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(880),
    [anon_sym_readonly] = ACTIONS(880),
    [anon_sym_get] = ACTIONS(880),
    [anon_sym_set] = ACTIONS(880),
    [anon_sym_declare] = ACTIONS(882),
    [anon_sym_public] = ACTIONS(880),
    [anon_sym_private] = ACTIONS(880),
    [anon_sym_protected] = ACTIONS(880),
    [anon_sym_override] = ACTIONS(880),
    [anon_sym_module] = ACTIONS(884),
    [anon_sym_any] = ACTIONS(880),
    [anon_sym_number] = ACTIONS(880),
    [anon_sym_boolean] = ACTIONS(880),
    [anon_sym_string] = ACTIONS(880),
    [anon_sym_symbol] = ACTIONS(880),
    [anon_sym_object] = ACTIONS(880),
    [anon_sym_abstract] = ACTIONS(886),
    [anon_sym_interface] = ACTIONS(888),
    [anon_sym_enum] = ACTIONS(890),
    [sym_html_comment] = ACTIONS(5),
  },
  [86] = {
    [sym_export_statement] = STATE(1255),
    [sym_declaration] = STATE(1255),
    [sym_import] = STATE(4369),
    [sym_import_statement] = STATE(1255),
    [sym_expression_statement] = STATE(1255),
    [sym_variable_declaration] = STATE(1220),
    [sym_lexical_declaration] = STATE(1220),
    [sym_statement_block] = STATE(1255),
    [sym_if_statement] = STATE(1255),
    [sym_switch_statement] = STATE(1255),
    [sym_for_statement] = STATE(1255),
    [sym_for_in_statement] = STATE(1255),
    [sym_while_statement] = STATE(1255),
    [sym_do_statement] = STATE(1255),
    [sym_try_statement] = STATE(1255),
    [sym_with_statement] = STATE(1255),
    [sym_break_statement] = STATE(1255),
    [sym_continue_statement] = STATE(1255),
    [sym_debugger_statement] = STATE(1255),
    [sym_return_statement] = STATE(1255),
    [sym_throw_statement] = STATE(1255),
    [sym_empty_statement] = STATE(1255),
    [sym_labeled_statement] = STATE(1255),
    [sym_parenthesized_expression] = STATE(2177),
    [sym_expression] = STATE(2695),
    [sym_primary_expression] = STATE(2990),
    [sym_yield_expression] = STATE(3139),
    [sym_object] = STATE(3113),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(3113),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(3139),
    [sym_glimmer_opening_tag] = STATE(5702),
    [sym_jsx_element] = STATE(3139),
    [sym_jsx_opening_element] = STATE(4008),
    [sym_jsx_self_closing_element] = STATE(3139),
    [sym_class] = STATE(3113),
    [sym_class_declaration] = STATE(1220),
    [sym_function_expression] = STATE(3113),
    [sym_function_declaration] = STATE(1220),
    [sym_generator_function] = STATE(3113),
    [sym_generator_function_declaration] = STATE(1220),
    [sym_arrow_function] = STATE(3113),
    [sym__call_signature] = STATE(7486),
    [sym_call_expression] = STATE(3113),
    [sym_new_expression] = STATE(3139),
    [sym_await_expression] = STATE(3139),
    [sym_member_expression] = STATE(2177),
    [sym_subscript_expression] = STATE(2177),
    [sym_assignment_expression] = STATE(3139),
    [sym__augmented_assignment_lhs] = STATE(3835),
    [sym_augmented_assignment_expression] = STATE(3139),
    [sym__destructuring_pattern] = STATE(7484),
    [sym_ternary_expression] = STATE(3139),
    [sym_binary_expression] = STATE(3139),
    [sym_unary_expression] = STATE(3139),
    [sym_update_expression] = STATE(3139),
    [sym_sequence_expression] = STATE(6631),
    [sym_string] = STATE(3113),
    [sym_comment] = STATE(86),
    [sym_template_string] = STATE(3113),
    [sym_regex] = STATE(3113),
    [sym_meta_property] = STATE(3113),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2177),
    [sym_function_signature] = STATE(1220),
    [sym_as_expression] = STATE(3139),
    [sym_satisfies_expression] = STATE(3139),
    [sym_instantiation_expression] = STATE(3139),
    [sym_ambient_declaration] = STATE(1220),
    [sym_abstract_class_declaration] = STATE(1220),
    [sym_module] = STATE(1220),
    [sym_internal_module] = STATE(415),
    [sym_import_alias] = STATE(1220),
    [sym_interface_declaration] = STATE(1220),
    [sym_enum_declaration] = STATE(1220),
    [sym_type_alias_declaration] = STATE(1220),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(4863),
    [sym_identifier] = ACTIONS(828),
    [anon_sym_export] = ACTIONS(830),
    [anon_sym_type] = ACTIONS(832),
    [anon_sym_namespace] = ACTIONS(834),
    [anon_sym_LBRACE] = ACTIONS(836),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(838),
    [anon_sym_with] = ACTIONS(840),
    [anon_sym_var] = ACTIONS(842),
    [anon_sym_let] = ACTIONS(844),
    [anon_sym_const] = ACTIONS(846),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(848),
    [anon_sym_switch] = ACTIONS(850),
    [anon_sym_for] = ACTIONS(852),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(854),
    [anon_sym_do] = ACTIONS(856),
    [anon_sym_try] = ACTIONS(858),
    [anon_sym_break] = ACTIONS(860),
    [anon_sym_continue] = ACTIONS(862),
    [anon_sym_debugger] = ACTIONS(864),
    [anon_sym_return] = ACTIONS(866),
    [anon_sym_throw] = ACTIONS(868),
    [anon_sym_SEMI] = ACTIONS(870),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(872),
    [anon_sym_async] = ACTIONS(874),
    [anon_sym_function] = ACTIONS(876),
    [anon_sym_new] = ACTIONS(878),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(880),
    [anon_sym_readonly] = ACTIONS(880),
    [anon_sym_get] = ACTIONS(880),
    [anon_sym_set] = ACTIONS(880),
    [anon_sym_declare] = ACTIONS(882),
    [anon_sym_public] = ACTIONS(880),
    [anon_sym_private] = ACTIONS(880),
    [anon_sym_protected] = ACTIONS(880),
    [anon_sym_override] = ACTIONS(880),
    [anon_sym_module] = ACTIONS(884),
    [anon_sym_any] = ACTIONS(880),
    [anon_sym_number] = ACTIONS(880),
    [anon_sym_boolean] = ACTIONS(880),
    [anon_sym_string] = ACTIONS(880),
    [anon_sym_symbol] = ACTIONS(880),
    [anon_sym_object] = ACTIONS(880),
    [anon_sym_abstract] = ACTIONS(886),
    [anon_sym_interface] = ACTIONS(888),
    [anon_sym_enum] = ACTIONS(890),
    [sym_html_comment] = ACTIONS(5),
  },
  [87] = {
    [sym_export_statement] = STATE(1610),
    [sym_declaration] = STATE(1610),
    [sym_import] = STATE(4369),
    [sym_import_statement] = STATE(1610),
    [sym_expression_statement] = STATE(1610),
    [sym_variable_declaration] = STATE(1573),
    [sym_lexical_declaration] = STATE(1573),
    [sym_statement_block] = STATE(1610),
    [sym_if_statement] = STATE(1610),
    [sym_switch_statement] = STATE(1610),
    [sym_for_statement] = STATE(1610),
    [sym_for_in_statement] = STATE(1610),
    [sym_while_statement] = STATE(1610),
    [sym_do_statement] = STATE(1610),
    [sym_try_statement] = STATE(1610),
    [sym_with_statement] = STATE(1610),
    [sym_break_statement] = STATE(1610),
    [sym_continue_statement] = STATE(1610),
    [sym_debugger_statement] = STATE(1610),
    [sym_return_statement] = STATE(1610),
    [sym_throw_statement] = STATE(1610),
    [sym_empty_statement] = STATE(1610),
    [sym_labeled_statement] = STATE(1610),
    [sym_parenthesized_expression] = STATE(2177),
    [sym_expression] = STATE(2545),
    [sym_primary_expression] = STATE(2990),
    [sym_yield_expression] = STATE(3139),
    [sym_object] = STATE(3113),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(3113),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(3139),
    [sym_glimmer_opening_tag] = STATE(5702),
    [sym_jsx_element] = STATE(3139),
    [sym_jsx_opening_element] = STATE(4008),
    [sym_jsx_self_closing_element] = STATE(3139),
    [sym_class] = STATE(3113),
    [sym_class_declaration] = STATE(1573),
    [sym_function_expression] = STATE(3113),
    [sym_function_declaration] = STATE(1573),
    [sym_generator_function] = STATE(3113),
    [sym_generator_function_declaration] = STATE(1573),
    [sym_arrow_function] = STATE(3113),
    [sym__call_signature] = STATE(7486),
    [sym_call_expression] = STATE(3113),
    [sym_new_expression] = STATE(3139),
    [sym_await_expression] = STATE(3139),
    [sym_member_expression] = STATE(2177),
    [sym_subscript_expression] = STATE(2177),
    [sym_assignment_expression] = STATE(3139),
    [sym__augmented_assignment_lhs] = STATE(3835),
    [sym_augmented_assignment_expression] = STATE(3139),
    [sym__destructuring_pattern] = STATE(7484),
    [sym_ternary_expression] = STATE(3139),
    [sym_binary_expression] = STATE(3139),
    [sym_unary_expression] = STATE(3139),
    [sym_update_expression] = STATE(3139),
    [sym_sequence_expression] = STATE(6676),
    [sym_string] = STATE(3113),
    [sym_comment] = STATE(87),
    [sym_template_string] = STATE(3113),
    [sym_regex] = STATE(3113),
    [sym_meta_property] = STATE(3113),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2177),
    [sym_function_signature] = STATE(1573),
    [sym_as_expression] = STATE(3139),
    [sym_satisfies_expression] = STATE(3139),
    [sym_instantiation_expression] = STATE(3139),
    [sym_ambient_declaration] = STATE(1573),
    [sym_abstract_class_declaration] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_internal_module] = STATE(437),
    [sym_import_alias] = STATE(1573),
    [sym_interface_declaration] = STATE(1573),
    [sym_enum_declaration] = STATE(1573),
    [sym_type_alias_declaration] = STATE(1573),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(4771),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_for] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_do] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [88] = {
    [sym_export_statement] = STATE(913),
    [sym_declaration] = STATE(913),
    [sym_import] = STATE(4369),
    [sym_import_statement] = STATE(913),
    [sym_expression_statement] = STATE(913),
    [sym_variable_declaration] = STATE(1105),
    [sym_lexical_declaration] = STATE(1105),
    [sym_statement_block] = STATE(913),
    [sym_if_statement] = STATE(913),
    [sym_switch_statement] = STATE(913),
    [sym_for_statement] = STATE(913),
    [sym_for_in_statement] = STATE(913),
    [sym_while_statement] = STATE(913),
    [sym_do_statement] = STATE(913),
    [sym_try_statement] = STATE(913),
    [sym_with_statement] = STATE(913),
    [sym_break_statement] = STATE(913),
    [sym_continue_statement] = STATE(913),
    [sym_debugger_statement] = STATE(913),
    [sym_return_statement] = STATE(913),
    [sym_throw_statement] = STATE(913),
    [sym_empty_statement] = STATE(913),
    [sym_labeled_statement] = STATE(913),
    [sym_parenthesized_expression] = STATE(2177),
    [sym_expression] = STATE(2661),
    [sym_primary_expression] = STATE(2990),
    [sym_yield_expression] = STATE(3139),
    [sym_object] = STATE(3113),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(3113),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(3139),
    [sym_glimmer_opening_tag] = STATE(5702),
    [sym_jsx_element] = STATE(3139),
    [sym_jsx_opening_element] = STATE(4008),
    [sym_jsx_self_closing_element] = STATE(3139),
    [sym_class] = STATE(3113),
    [sym_class_declaration] = STATE(1105),
    [sym_function_expression] = STATE(3113),
    [sym_function_declaration] = STATE(1105),
    [sym_generator_function] = STATE(3113),
    [sym_generator_function_declaration] = STATE(1105),
    [sym_arrow_function] = STATE(3113),
    [sym__call_signature] = STATE(7486),
    [sym_call_expression] = STATE(3113),
    [sym_new_expression] = STATE(3139),
    [sym_await_expression] = STATE(3139),
    [sym_member_expression] = STATE(2177),
    [sym_subscript_expression] = STATE(2177),
    [sym_assignment_expression] = STATE(3139),
    [sym__augmented_assignment_lhs] = STATE(3835),
    [sym_augmented_assignment_expression] = STATE(3139),
    [sym__destructuring_pattern] = STATE(7484),
    [sym_ternary_expression] = STATE(3139),
    [sym_binary_expression] = STATE(3139),
    [sym_unary_expression] = STATE(3139),
    [sym_update_expression] = STATE(3139),
    [sym_sequence_expression] = STATE(6537),
    [sym_string] = STATE(3113),
    [sym_comment] = STATE(88),
    [sym_template_string] = STATE(3113),
    [sym_regex] = STATE(3113),
    [sym_meta_property] = STATE(3113),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2177),
    [sym_function_signature] = STATE(1105),
    [sym_as_expression] = STATE(3139),
    [sym_satisfies_expression] = STATE(3139),
    [sym_instantiation_expression] = STATE(3139),
    [sym_ambient_declaration] = STATE(1105),
    [sym_abstract_class_declaration] = STATE(1105),
    [sym_module] = STATE(1105),
    [sym_internal_module] = STATE(315),
    [sym_import_alias] = STATE(1105),
    [sym_interface_declaration] = STATE(1105),
    [sym_enum_declaration] = STATE(1105),
    [sym_type_alias_declaration] = STATE(1105),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(4985),
    [sym_identifier] = ACTIONS(764),
    [anon_sym_export] = ACTIONS(766),
    [anon_sym_type] = ACTIONS(768),
    [anon_sym_namespace] = ACTIONS(770),
    [anon_sym_LBRACE] = ACTIONS(772),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(774),
    [anon_sym_with] = ACTIONS(776),
    [anon_sym_var] = ACTIONS(778),
    [anon_sym_let] = ACTIONS(780),
    [anon_sym_const] = ACTIONS(782),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(784),
    [anon_sym_switch] = ACTIONS(786),
    [anon_sym_for] = ACTIONS(788),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(790),
    [anon_sym_do] = ACTIONS(792),
    [anon_sym_try] = ACTIONS(794),
    [anon_sym_break] = ACTIONS(796),
    [anon_sym_continue] = ACTIONS(798),
    [anon_sym_debugger] = ACTIONS(800),
    [anon_sym_return] = ACTIONS(802),
    [anon_sym_throw] = ACTIONS(804),
    [anon_sym_SEMI] = ACTIONS(806),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(808),
    [anon_sym_async] = ACTIONS(810),
    [anon_sym_function] = ACTIONS(812),
    [anon_sym_new] = ACTIONS(814),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(816),
    [anon_sym_readonly] = ACTIONS(816),
    [anon_sym_get] = ACTIONS(816),
    [anon_sym_set] = ACTIONS(816),
    [anon_sym_declare] = ACTIONS(818),
    [anon_sym_public] = ACTIONS(816),
    [anon_sym_private] = ACTIONS(816),
    [anon_sym_protected] = ACTIONS(816),
    [anon_sym_override] = ACTIONS(816),
    [anon_sym_module] = ACTIONS(820),
    [anon_sym_any] = ACTIONS(816),
    [anon_sym_number] = ACTIONS(816),
    [anon_sym_boolean] = ACTIONS(816),
    [anon_sym_string] = ACTIONS(816),
    [anon_sym_symbol] = ACTIONS(816),
    [anon_sym_object] = ACTIONS(816),
    [anon_sym_abstract] = ACTIONS(822),
    [anon_sym_interface] = ACTIONS(824),
    [anon_sym_enum] = ACTIONS(826),
    [sym_html_comment] = ACTIONS(5),
  },
  [89] = {
    [sym_export_statement] = STATE(1550),
    [sym_declaration] = STATE(1550),
    [sym_import] = STATE(4369),
    [sym_import_statement] = STATE(1550),
    [sym_expression_statement] = STATE(1550),
    [sym_variable_declaration] = STATE(1382),
    [sym_lexical_declaration] = STATE(1382),
    [sym_statement_block] = STATE(1550),
    [sym_if_statement] = STATE(1550),
    [sym_switch_statement] = STATE(1550),
    [sym_for_statement] = STATE(1550),
    [sym_for_in_statement] = STATE(1550),
    [sym_while_statement] = STATE(1550),
    [sym_do_statement] = STATE(1550),
    [sym_try_statement] = STATE(1550),
    [sym_with_statement] = STATE(1550),
    [sym_break_statement] = STATE(1550),
    [sym_continue_statement] = STATE(1550),
    [sym_debugger_statement] = STATE(1550),
    [sym_return_statement] = STATE(1550),
    [sym_throw_statement] = STATE(1550),
    [sym_empty_statement] = STATE(1550),
    [sym_labeled_statement] = STATE(1550),
    [sym_parenthesized_expression] = STATE(2177),
    [sym_expression] = STATE(2668),
    [sym_primary_expression] = STATE(2990),
    [sym_yield_expression] = STATE(3139),
    [sym_object] = STATE(3113),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(3113),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(3139),
    [sym_glimmer_opening_tag] = STATE(5702),
    [sym_jsx_element] = STATE(3139),
    [sym_jsx_opening_element] = STATE(4008),
    [sym_jsx_self_closing_element] = STATE(3139),
    [sym_class] = STATE(3113),
    [sym_class_declaration] = STATE(1382),
    [sym_function_expression] = STATE(3113),
    [sym_function_declaration] = STATE(1382),
    [sym_generator_function] = STATE(3113),
    [sym_generator_function_declaration] = STATE(1382),
    [sym_arrow_function] = STATE(3113),
    [sym__call_signature] = STATE(7486),
    [sym_call_expression] = STATE(3113),
    [sym_new_expression] = STATE(3139),
    [sym_await_expression] = STATE(3139),
    [sym_member_expression] = STATE(2177),
    [sym_subscript_expression] = STATE(2177),
    [sym_assignment_expression] = STATE(3139),
    [sym__augmented_assignment_lhs] = STATE(3835),
    [sym_augmented_assignment_expression] = STATE(3139),
    [sym__destructuring_pattern] = STATE(7484),
    [sym_ternary_expression] = STATE(3139),
    [sym_binary_expression] = STATE(3139),
    [sym_unary_expression] = STATE(3139),
    [sym_update_expression] = STATE(3139),
    [sym_sequence_expression] = STATE(6712),
    [sym_string] = STATE(3113),
    [sym_comment] = STATE(89),
    [sym_template_string] = STATE(3113),
    [sym_regex] = STATE(3113),
    [sym_meta_property] = STATE(3113),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2177),
    [sym_function_signature] = STATE(1382),
    [sym_as_expression] = STATE(3139),
    [sym_satisfies_expression] = STATE(3139),
    [sym_instantiation_expression] = STATE(3139),
    [sym_ambient_declaration] = STATE(1382),
    [sym_abstract_class_declaration] = STATE(1382),
    [sym_module] = STATE(1382),
    [sym_internal_module] = STATE(345),
    [sym_import_alias] = STATE(1382),
    [sym_interface_declaration] = STATE(1382),
    [sym_enum_declaration] = STATE(1382),
    [sym_type_alias_declaration] = STATE(1382),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(4953),
    [sym_identifier] = ACTIONS(337),
    [anon_sym_export] = ACTIONS(339),
    [anon_sym_type] = ACTIONS(343),
    [anon_sym_namespace] = ACTIONS(345),
    [anon_sym_LBRACE] = ACTIONS(347),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(349),
    [anon_sym_with] = ACTIONS(351),
    [anon_sym_var] = ACTIONS(353),
    [anon_sym_let] = ACTIONS(355),
    [anon_sym_const] = ACTIONS(357),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(359),
    [anon_sym_switch] = ACTIONS(361),
    [anon_sym_for] = ACTIONS(363),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(365),
    [anon_sym_do] = ACTIONS(367),
    [anon_sym_try] = ACTIONS(369),
    [anon_sym_break] = ACTIONS(371),
    [anon_sym_continue] = ACTIONS(373),
    [anon_sym_debugger] = ACTIONS(375),
    [anon_sym_return] = ACTIONS(377),
    [anon_sym_throw] = ACTIONS(379),
    [anon_sym_SEMI] = ACTIONS(381),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(383),
    [anon_sym_async] = ACTIONS(385),
    [anon_sym_function] = ACTIONS(387),
    [anon_sym_new] = ACTIONS(389),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(391),
    [anon_sym_readonly] = ACTIONS(391),
    [anon_sym_get] = ACTIONS(391),
    [anon_sym_set] = ACTIONS(391),
    [anon_sym_declare] = ACTIONS(393),
    [anon_sym_public] = ACTIONS(391),
    [anon_sym_private] = ACTIONS(391),
    [anon_sym_protected] = ACTIONS(391),
    [anon_sym_override] = ACTIONS(391),
    [anon_sym_module] = ACTIONS(395),
    [anon_sym_any] = ACTIONS(391),
    [anon_sym_number] = ACTIONS(391),
    [anon_sym_boolean] = ACTIONS(391),
    [anon_sym_string] = ACTIONS(391),
    [anon_sym_symbol] = ACTIONS(391),
    [anon_sym_object] = ACTIONS(391),
    [anon_sym_abstract] = ACTIONS(397),
    [anon_sym_interface] = ACTIONS(399),
    [anon_sym_enum] = ACTIONS(401),
    [sym_html_comment] = ACTIONS(5),
  },
  [90] = {
    [sym_export_statement] = STATE(6986),
    [sym_declaration] = STATE(6986),
    [sym_import] = STATE(4369),
    [sym_import_statement] = STATE(6986),
    [sym_expression_statement] = STATE(6986),
    [sym_variable_declaration] = STATE(6895),
    [sym_lexical_declaration] = STATE(6895),
    [sym_statement_block] = STATE(6986),
    [sym_if_statement] = STATE(6986),
    [sym_switch_statement] = STATE(6986),
    [sym_for_statement] = STATE(6986),
    [sym_for_in_statement] = STATE(6986),
    [sym_while_statement] = STATE(6986),
    [sym_do_statement] = STATE(6986),
    [sym_try_statement] = STATE(6986),
    [sym_with_statement] = STATE(6986),
    [sym_break_statement] = STATE(6986),
    [sym_continue_statement] = STATE(6986),
    [sym_debugger_statement] = STATE(6986),
    [sym_return_statement] = STATE(6986),
    [sym_throw_statement] = STATE(6986),
    [sym_empty_statement] = STATE(6986),
    [sym_labeled_statement] = STATE(6986),
    [sym_parenthesized_expression] = STATE(2177),
    [sym_expression] = STATE(2577),
    [sym_primary_expression] = STATE(2990),
    [sym_yield_expression] = STATE(3139),
    [sym_object] = STATE(3113),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(3113),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(3139),
    [sym_glimmer_opening_tag] = STATE(5702),
    [sym_jsx_element] = STATE(3139),
    [sym_jsx_opening_element] = STATE(4008),
    [sym_jsx_self_closing_element] = STATE(3139),
    [sym_class] = STATE(3113),
    [sym_class_declaration] = STATE(6895),
    [sym_function_expression] = STATE(3113),
    [sym_function_declaration] = STATE(6895),
    [sym_generator_function] = STATE(3113),
    [sym_generator_function_declaration] = STATE(6895),
    [sym_arrow_function] = STATE(3113),
    [sym__call_signature] = STATE(7486),
    [sym_call_expression] = STATE(3113),
    [sym_new_expression] = STATE(3139),
    [sym_await_expression] = STATE(3139),
    [sym_member_expression] = STATE(2177),
    [sym_subscript_expression] = STATE(2177),
    [sym_assignment_expression] = STATE(3139),
    [sym__augmented_assignment_lhs] = STATE(3835),
    [sym_augmented_assignment_expression] = STATE(3139),
    [sym__destructuring_pattern] = STATE(7484),
    [sym_ternary_expression] = STATE(3139),
    [sym_binary_expression] = STATE(3139),
    [sym_unary_expression] = STATE(3139),
    [sym_update_expression] = STATE(3139),
    [sym_sequence_expression] = STATE(6529),
    [sym_string] = STATE(3113),
    [sym_comment] = STATE(90),
    [sym_template_string] = STATE(3113),
    [sym_regex] = STATE(3113),
    [sym_meta_property] = STATE(3113),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2177),
    [sym_function_signature] = STATE(6895),
    [sym_as_expression] = STATE(3139),
    [sym_satisfies_expression] = STATE(3139),
    [sym_instantiation_expression] = STATE(3139),
    [sym_ambient_declaration] = STATE(6895),
    [sym_abstract_class_declaration] = STATE(6895),
    [sym_module] = STATE(6895),
    [sym_internal_module] = STATE(3105),
    [sym_import_alias] = STATE(6895),
    [sym_interface_declaration] = STATE(6895),
    [sym_enum_declaration] = STATE(6895),
    [sym_type_alias_declaration] = STATE(6895),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(4783),
    [sym_identifier] = ACTIONS(892),
    [anon_sym_export] = ACTIONS(894),
    [anon_sym_type] = ACTIONS(896),
    [anon_sym_namespace] = ACTIONS(898),
    [anon_sym_LBRACE] = ACTIONS(900),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(902),
    [anon_sym_with] = ACTIONS(904),
    [anon_sym_var] = ACTIONS(906),
    [anon_sym_let] = ACTIONS(908),
    [anon_sym_const] = ACTIONS(910),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(912),
    [anon_sym_switch] = ACTIONS(914),
    [anon_sym_for] = ACTIONS(916),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(918),
    [anon_sym_do] = ACTIONS(920),
    [anon_sym_try] = ACTIONS(922),
    [anon_sym_break] = ACTIONS(924),
    [anon_sym_continue] = ACTIONS(926),
    [anon_sym_debugger] = ACTIONS(928),
    [anon_sym_return] = ACTIONS(930),
    [anon_sym_throw] = ACTIONS(932),
    [anon_sym_SEMI] = ACTIONS(934),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(936),
    [anon_sym_async] = ACTIONS(938),
    [anon_sym_function] = ACTIONS(940),
    [anon_sym_new] = ACTIONS(942),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(944),
    [anon_sym_readonly] = ACTIONS(944),
    [anon_sym_get] = ACTIONS(944),
    [anon_sym_set] = ACTIONS(944),
    [anon_sym_declare] = ACTIONS(946),
    [anon_sym_public] = ACTIONS(944),
    [anon_sym_private] = ACTIONS(944),
    [anon_sym_protected] = ACTIONS(944),
    [anon_sym_override] = ACTIONS(944),
    [anon_sym_module] = ACTIONS(948),
    [anon_sym_any] = ACTIONS(944),
    [anon_sym_number] = ACTIONS(944),
    [anon_sym_boolean] = ACTIONS(944),
    [anon_sym_string] = ACTIONS(944),
    [anon_sym_symbol] = ACTIONS(944),
    [anon_sym_object] = ACTIONS(944),
    [anon_sym_abstract] = ACTIONS(950),
    [anon_sym_interface] = ACTIONS(952),
    [anon_sym_enum] = ACTIONS(954),
    [sym_html_comment] = ACTIONS(5),
  },
  [91] = {
    [sym_export_statement] = STATE(1248),
    [sym_declaration] = STATE(1248),
    [sym_import] = STATE(4369),
    [sym_import_statement] = STATE(1248),
    [sym_expression_statement] = STATE(1248),
    [sym_variable_declaration] = STATE(1220),
    [sym_lexical_declaration] = STATE(1220),
    [sym_statement_block] = STATE(1248),
    [sym_if_statement] = STATE(1248),
    [sym_switch_statement] = STATE(1248),
    [sym_for_statement] = STATE(1248),
    [sym_for_in_statement] = STATE(1248),
    [sym_while_statement] = STATE(1248),
    [sym_do_statement] = STATE(1248),
    [sym_try_statement] = STATE(1248),
    [sym_with_statement] = STATE(1248),
    [sym_break_statement] = STATE(1248),
    [sym_continue_statement] = STATE(1248),
    [sym_debugger_statement] = STATE(1248),
    [sym_return_statement] = STATE(1248),
    [sym_throw_statement] = STATE(1248),
    [sym_empty_statement] = STATE(1248),
    [sym_labeled_statement] = STATE(1248),
    [sym_parenthesized_expression] = STATE(2177),
    [sym_expression] = STATE(2695),
    [sym_primary_expression] = STATE(2990),
    [sym_yield_expression] = STATE(3139),
    [sym_object] = STATE(3113),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(3113),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(3139),
    [sym_glimmer_opening_tag] = STATE(5702),
    [sym_jsx_element] = STATE(3139),
    [sym_jsx_opening_element] = STATE(4008),
    [sym_jsx_self_closing_element] = STATE(3139),
    [sym_class] = STATE(3113),
    [sym_class_declaration] = STATE(1220),
    [sym_function_expression] = STATE(3113),
    [sym_function_declaration] = STATE(1220),
    [sym_generator_function] = STATE(3113),
    [sym_generator_function_declaration] = STATE(1220),
    [sym_arrow_function] = STATE(3113),
    [sym__call_signature] = STATE(7486),
    [sym_call_expression] = STATE(3113),
    [sym_new_expression] = STATE(3139),
    [sym_await_expression] = STATE(3139),
    [sym_member_expression] = STATE(2177),
    [sym_subscript_expression] = STATE(2177),
    [sym_assignment_expression] = STATE(3139),
    [sym__augmented_assignment_lhs] = STATE(3835),
    [sym_augmented_assignment_expression] = STATE(3139),
    [sym__destructuring_pattern] = STATE(7484),
    [sym_ternary_expression] = STATE(3139),
    [sym_binary_expression] = STATE(3139),
    [sym_unary_expression] = STATE(3139),
    [sym_update_expression] = STATE(3139),
    [sym_sequence_expression] = STATE(6631),
    [sym_string] = STATE(3113),
    [sym_comment] = STATE(91),
    [sym_template_string] = STATE(3113),
    [sym_regex] = STATE(3113),
    [sym_meta_property] = STATE(3113),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2177),
    [sym_function_signature] = STATE(1220),
    [sym_as_expression] = STATE(3139),
    [sym_satisfies_expression] = STATE(3139),
    [sym_instantiation_expression] = STATE(3139),
    [sym_ambient_declaration] = STATE(1220),
    [sym_abstract_class_declaration] = STATE(1220),
    [sym_module] = STATE(1220),
    [sym_internal_module] = STATE(415),
    [sym_import_alias] = STATE(1220),
    [sym_interface_declaration] = STATE(1220),
    [sym_enum_declaration] = STATE(1220),
    [sym_type_alias_declaration] = STATE(1220),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(4863),
    [sym_identifier] = ACTIONS(828),
    [anon_sym_export] = ACTIONS(830),
    [anon_sym_type] = ACTIONS(832),
    [anon_sym_namespace] = ACTIONS(834),
    [anon_sym_LBRACE] = ACTIONS(836),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(838),
    [anon_sym_with] = ACTIONS(840),
    [anon_sym_var] = ACTIONS(842),
    [anon_sym_let] = ACTIONS(844),
    [anon_sym_const] = ACTIONS(846),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(848),
    [anon_sym_switch] = ACTIONS(850),
    [anon_sym_for] = ACTIONS(852),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(854),
    [anon_sym_do] = ACTIONS(856),
    [anon_sym_try] = ACTIONS(858),
    [anon_sym_break] = ACTIONS(860),
    [anon_sym_continue] = ACTIONS(862),
    [anon_sym_debugger] = ACTIONS(864),
    [anon_sym_return] = ACTIONS(866),
    [anon_sym_throw] = ACTIONS(868),
    [anon_sym_SEMI] = ACTIONS(870),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(872),
    [anon_sym_async] = ACTIONS(874),
    [anon_sym_function] = ACTIONS(876),
    [anon_sym_new] = ACTIONS(878),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(880),
    [anon_sym_readonly] = ACTIONS(880),
    [anon_sym_get] = ACTIONS(880),
    [anon_sym_set] = ACTIONS(880),
    [anon_sym_declare] = ACTIONS(882),
    [anon_sym_public] = ACTIONS(880),
    [anon_sym_private] = ACTIONS(880),
    [anon_sym_protected] = ACTIONS(880),
    [anon_sym_override] = ACTIONS(880),
    [anon_sym_module] = ACTIONS(884),
    [anon_sym_any] = ACTIONS(880),
    [anon_sym_number] = ACTIONS(880),
    [anon_sym_boolean] = ACTIONS(880),
    [anon_sym_string] = ACTIONS(880),
    [anon_sym_symbol] = ACTIONS(880),
    [anon_sym_object] = ACTIONS(880),
    [anon_sym_abstract] = ACTIONS(886),
    [anon_sym_interface] = ACTIONS(888),
    [anon_sym_enum] = ACTIONS(890),
    [sym_html_comment] = ACTIONS(5),
  },
  [92] = {
    [sym_export_statement] = STATE(1529),
    [sym_declaration] = STATE(1529),
    [sym_import] = STATE(4369),
    [sym_import_statement] = STATE(1529),
    [sym_expression_statement] = STATE(1529),
    [sym_variable_declaration] = STATE(1220),
    [sym_lexical_declaration] = STATE(1220),
    [sym_statement_block] = STATE(1529),
    [sym_if_statement] = STATE(1529),
    [sym_switch_statement] = STATE(1529),
    [sym_for_statement] = STATE(1529),
    [sym_for_in_statement] = STATE(1529),
    [sym_while_statement] = STATE(1529),
    [sym_do_statement] = STATE(1529),
    [sym_try_statement] = STATE(1529),
    [sym_with_statement] = STATE(1529),
    [sym_break_statement] = STATE(1529),
    [sym_continue_statement] = STATE(1529),
    [sym_debugger_statement] = STATE(1529),
    [sym_return_statement] = STATE(1529),
    [sym_throw_statement] = STATE(1529),
    [sym_empty_statement] = STATE(1529),
    [sym_labeled_statement] = STATE(1529),
    [sym_parenthesized_expression] = STATE(2177),
    [sym_expression] = STATE(2695),
    [sym_primary_expression] = STATE(2990),
    [sym_yield_expression] = STATE(3139),
    [sym_object] = STATE(3113),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(3113),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(3139),
    [sym_glimmer_opening_tag] = STATE(5702),
    [sym_jsx_element] = STATE(3139),
    [sym_jsx_opening_element] = STATE(4008),
    [sym_jsx_self_closing_element] = STATE(3139),
    [sym_class] = STATE(3113),
    [sym_class_declaration] = STATE(1220),
    [sym_function_expression] = STATE(3113),
    [sym_function_declaration] = STATE(1220),
    [sym_generator_function] = STATE(3113),
    [sym_generator_function_declaration] = STATE(1220),
    [sym_arrow_function] = STATE(3113),
    [sym__call_signature] = STATE(7486),
    [sym_call_expression] = STATE(3113),
    [sym_new_expression] = STATE(3139),
    [sym_await_expression] = STATE(3139),
    [sym_member_expression] = STATE(2177),
    [sym_subscript_expression] = STATE(2177),
    [sym_assignment_expression] = STATE(3139),
    [sym__augmented_assignment_lhs] = STATE(3835),
    [sym_augmented_assignment_expression] = STATE(3139),
    [sym__destructuring_pattern] = STATE(7484),
    [sym_ternary_expression] = STATE(3139),
    [sym_binary_expression] = STATE(3139),
    [sym_unary_expression] = STATE(3139),
    [sym_update_expression] = STATE(3139),
    [sym_sequence_expression] = STATE(6631),
    [sym_string] = STATE(3113),
    [sym_comment] = STATE(92),
    [sym_template_string] = STATE(3113),
    [sym_regex] = STATE(3113),
    [sym_meta_property] = STATE(3113),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2177),
    [sym_function_signature] = STATE(1220),
    [sym_as_expression] = STATE(3139),
    [sym_satisfies_expression] = STATE(3139),
    [sym_instantiation_expression] = STATE(3139),
    [sym_ambient_declaration] = STATE(1220),
    [sym_abstract_class_declaration] = STATE(1220),
    [sym_module] = STATE(1220),
    [sym_internal_module] = STATE(415),
    [sym_import_alias] = STATE(1220),
    [sym_interface_declaration] = STATE(1220),
    [sym_enum_declaration] = STATE(1220),
    [sym_type_alias_declaration] = STATE(1220),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(4863),
    [sym_identifier] = ACTIONS(828),
    [anon_sym_export] = ACTIONS(830),
    [anon_sym_type] = ACTIONS(832),
    [anon_sym_namespace] = ACTIONS(834),
    [anon_sym_LBRACE] = ACTIONS(836),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(838),
    [anon_sym_with] = ACTIONS(840),
    [anon_sym_var] = ACTIONS(842),
    [anon_sym_let] = ACTIONS(844),
    [anon_sym_const] = ACTIONS(846),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(848),
    [anon_sym_switch] = ACTIONS(850),
    [anon_sym_for] = ACTIONS(852),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(854),
    [anon_sym_do] = ACTIONS(856),
    [anon_sym_try] = ACTIONS(858),
    [anon_sym_break] = ACTIONS(860),
    [anon_sym_continue] = ACTIONS(862),
    [anon_sym_debugger] = ACTIONS(864),
    [anon_sym_return] = ACTIONS(866),
    [anon_sym_throw] = ACTIONS(868),
    [anon_sym_SEMI] = ACTIONS(870),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(872),
    [anon_sym_async] = ACTIONS(874),
    [anon_sym_function] = ACTIONS(876),
    [anon_sym_new] = ACTIONS(878),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(880),
    [anon_sym_readonly] = ACTIONS(880),
    [anon_sym_get] = ACTIONS(880),
    [anon_sym_set] = ACTIONS(880),
    [anon_sym_declare] = ACTIONS(882),
    [anon_sym_public] = ACTIONS(880),
    [anon_sym_private] = ACTIONS(880),
    [anon_sym_protected] = ACTIONS(880),
    [anon_sym_override] = ACTIONS(880),
    [anon_sym_module] = ACTIONS(884),
    [anon_sym_any] = ACTIONS(880),
    [anon_sym_number] = ACTIONS(880),
    [anon_sym_boolean] = ACTIONS(880),
    [anon_sym_string] = ACTIONS(880),
    [anon_sym_symbol] = ACTIONS(880),
    [anon_sym_object] = ACTIONS(880),
    [anon_sym_abstract] = ACTIONS(886),
    [anon_sym_interface] = ACTIONS(888),
    [anon_sym_enum] = ACTIONS(890),
    [sym_html_comment] = ACTIONS(5),
  },
  [93] = {
    [sym_export_statement] = STATE(7279),
    [sym_declaration] = STATE(7279),
    [sym_import] = STATE(4369),
    [sym_import_statement] = STATE(7279),
    [sym_expression_statement] = STATE(7279),
    [sym_variable_declaration] = STATE(6895),
    [sym_lexical_declaration] = STATE(6895),
    [sym_statement_block] = STATE(7279),
    [sym_if_statement] = STATE(7279),
    [sym_switch_statement] = STATE(7279),
    [sym_for_statement] = STATE(7279),
    [sym_for_in_statement] = STATE(7279),
    [sym_while_statement] = STATE(7279),
    [sym_do_statement] = STATE(7279),
    [sym_try_statement] = STATE(7279),
    [sym_with_statement] = STATE(7279),
    [sym_break_statement] = STATE(7279),
    [sym_continue_statement] = STATE(7279),
    [sym_debugger_statement] = STATE(7279),
    [sym_return_statement] = STATE(7279),
    [sym_throw_statement] = STATE(7279),
    [sym_empty_statement] = STATE(7279),
    [sym_labeled_statement] = STATE(7279),
    [sym_parenthesized_expression] = STATE(2177),
    [sym_expression] = STATE(2577),
    [sym_primary_expression] = STATE(2990),
    [sym_yield_expression] = STATE(3139),
    [sym_object] = STATE(3113),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(3113),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(3139),
    [sym_glimmer_opening_tag] = STATE(5702),
    [sym_jsx_element] = STATE(3139),
    [sym_jsx_opening_element] = STATE(4008),
    [sym_jsx_self_closing_element] = STATE(3139),
    [sym_class] = STATE(3113),
    [sym_class_declaration] = STATE(6895),
    [sym_function_expression] = STATE(3113),
    [sym_function_declaration] = STATE(6895),
    [sym_generator_function] = STATE(3113),
    [sym_generator_function_declaration] = STATE(6895),
    [sym_arrow_function] = STATE(3113),
    [sym__call_signature] = STATE(7486),
    [sym_call_expression] = STATE(3113),
    [sym_new_expression] = STATE(3139),
    [sym_await_expression] = STATE(3139),
    [sym_member_expression] = STATE(2177),
    [sym_subscript_expression] = STATE(2177),
    [sym_assignment_expression] = STATE(3139),
    [sym__augmented_assignment_lhs] = STATE(3835),
    [sym_augmented_assignment_expression] = STATE(3139),
    [sym__destructuring_pattern] = STATE(7484),
    [sym_ternary_expression] = STATE(3139),
    [sym_binary_expression] = STATE(3139),
    [sym_unary_expression] = STATE(3139),
    [sym_update_expression] = STATE(3139),
    [sym_sequence_expression] = STATE(6529),
    [sym_string] = STATE(3113),
    [sym_comment] = STATE(93),
    [sym_template_string] = STATE(3113),
    [sym_regex] = STATE(3113),
    [sym_meta_property] = STATE(3113),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2177),
    [sym_function_signature] = STATE(6895),
    [sym_as_expression] = STATE(3139),
    [sym_satisfies_expression] = STATE(3139),
    [sym_instantiation_expression] = STATE(3139),
    [sym_ambient_declaration] = STATE(6895),
    [sym_abstract_class_declaration] = STATE(6895),
    [sym_module] = STATE(6895),
    [sym_internal_module] = STATE(3105),
    [sym_import_alias] = STATE(6895),
    [sym_interface_declaration] = STATE(6895),
    [sym_enum_declaration] = STATE(6895),
    [sym_type_alias_declaration] = STATE(6895),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(4783),
    [sym_identifier] = ACTIONS(892),
    [anon_sym_export] = ACTIONS(894),
    [anon_sym_type] = ACTIONS(896),
    [anon_sym_namespace] = ACTIONS(898),
    [anon_sym_LBRACE] = ACTIONS(900),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(902),
    [anon_sym_with] = ACTIONS(904),
    [anon_sym_var] = ACTIONS(906),
    [anon_sym_let] = ACTIONS(908),
    [anon_sym_const] = ACTIONS(910),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(912),
    [anon_sym_switch] = ACTIONS(914),
    [anon_sym_for] = ACTIONS(916),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(918),
    [anon_sym_do] = ACTIONS(920),
    [anon_sym_try] = ACTIONS(922),
    [anon_sym_break] = ACTIONS(924),
    [anon_sym_continue] = ACTIONS(926),
    [anon_sym_debugger] = ACTIONS(928),
    [anon_sym_return] = ACTIONS(930),
    [anon_sym_throw] = ACTIONS(932),
    [anon_sym_SEMI] = ACTIONS(934),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(936),
    [anon_sym_async] = ACTIONS(938),
    [anon_sym_function] = ACTIONS(940),
    [anon_sym_new] = ACTIONS(942),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(944),
    [anon_sym_readonly] = ACTIONS(944),
    [anon_sym_get] = ACTIONS(944),
    [anon_sym_set] = ACTIONS(944),
    [anon_sym_declare] = ACTIONS(946),
    [anon_sym_public] = ACTIONS(944),
    [anon_sym_private] = ACTIONS(944),
    [anon_sym_protected] = ACTIONS(944),
    [anon_sym_override] = ACTIONS(944),
    [anon_sym_module] = ACTIONS(948),
    [anon_sym_any] = ACTIONS(944),
    [anon_sym_number] = ACTIONS(944),
    [anon_sym_boolean] = ACTIONS(944),
    [anon_sym_string] = ACTIONS(944),
    [anon_sym_symbol] = ACTIONS(944),
    [anon_sym_object] = ACTIONS(944),
    [anon_sym_abstract] = ACTIONS(950),
    [anon_sym_interface] = ACTIONS(952),
    [anon_sym_enum] = ACTIONS(954),
    [sym_html_comment] = ACTIONS(5),
  },
  [94] = {
    [sym_export_statement] = STATE(1607),
    [sym_declaration] = STATE(1613),
    [sym_import] = STATE(4369),
    [sym_import_statement] = STATE(1614),
    [sym_expression_statement] = STATE(1619),
    [sym_variable_declaration] = STATE(1573),
    [sym_lexical_declaration] = STATE(1573),
    [sym_statement_block] = STATE(1620),
    [sym_if_statement] = STATE(1621),
    [sym_switch_statement] = STATE(1622),
    [sym_for_statement] = STATE(1631),
    [sym_for_in_statement] = STATE(1642),
    [sym_while_statement] = STATE(1647),
    [sym_do_statement] = STATE(1648),
    [sym_try_statement] = STATE(1584),
    [sym_with_statement] = STATE(1656),
    [sym_break_statement] = STATE(1657),
    [sym_continue_statement] = STATE(1660),
    [sym_debugger_statement] = STATE(1661),
    [sym_return_statement] = STATE(1662),
    [sym_throw_statement] = STATE(1664),
    [sym_empty_statement] = STATE(1667),
    [sym_labeled_statement] = STATE(1669),
    [sym_parenthesized_expression] = STATE(2177),
    [sym_expression] = STATE(2545),
    [sym_primary_expression] = STATE(2990),
    [sym_yield_expression] = STATE(3139),
    [sym_object] = STATE(3113),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(3113),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(3139),
    [sym_glimmer_opening_tag] = STATE(5702),
    [sym_jsx_element] = STATE(3139),
    [sym_jsx_opening_element] = STATE(4008),
    [sym_jsx_self_closing_element] = STATE(3139),
    [sym_class] = STATE(3113),
    [sym_class_declaration] = STATE(1573),
    [sym_function_expression] = STATE(3113),
    [sym_function_declaration] = STATE(1573),
    [sym_generator_function] = STATE(3113),
    [sym_generator_function_declaration] = STATE(1573),
    [sym_arrow_function] = STATE(3113),
    [sym__call_signature] = STATE(7486),
    [sym_call_expression] = STATE(3113),
    [sym_new_expression] = STATE(3139),
    [sym_await_expression] = STATE(3139),
    [sym_member_expression] = STATE(2177),
    [sym_subscript_expression] = STATE(2177),
    [sym_assignment_expression] = STATE(3139),
    [sym__augmented_assignment_lhs] = STATE(3835),
    [sym_augmented_assignment_expression] = STATE(3139),
    [sym__destructuring_pattern] = STATE(7484),
    [sym_ternary_expression] = STATE(3139),
    [sym_binary_expression] = STATE(3139),
    [sym_unary_expression] = STATE(3139),
    [sym_update_expression] = STATE(3139),
    [sym_sequence_expression] = STATE(6676),
    [sym_string] = STATE(3113),
    [sym_comment] = STATE(94),
    [sym_template_string] = STATE(3113),
    [sym_regex] = STATE(3113),
    [sym_meta_property] = STATE(3113),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2177),
    [sym_function_signature] = STATE(1573),
    [sym_as_expression] = STATE(3139),
    [sym_satisfies_expression] = STATE(3139),
    [sym_instantiation_expression] = STATE(3139),
    [sym_ambient_declaration] = STATE(1573),
    [sym_abstract_class_declaration] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_internal_module] = STATE(437),
    [sym_import_alias] = STATE(1573),
    [sym_interface_declaration] = STATE(1573),
    [sym_enum_declaration] = STATE(1573),
    [sym_type_alias_declaration] = STATE(1573),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(4771),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_for] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_do] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [95] = {
    [sym_export_statement] = STATE(6710),
    [sym_declaration] = STATE(6710),
    [sym_import] = STATE(4369),
    [sym_import_statement] = STATE(6710),
    [sym_expression_statement] = STATE(6710),
    [sym_variable_declaration] = STATE(6895),
    [sym_lexical_declaration] = STATE(6895),
    [sym_statement_block] = STATE(6710),
    [sym_if_statement] = STATE(6710),
    [sym_switch_statement] = STATE(6710),
    [sym_for_statement] = STATE(6710),
    [sym_for_in_statement] = STATE(6710),
    [sym_while_statement] = STATE(6710),
    [sym_do_statement] = STATE(6710),
    [sym_try_statement] = STATE(6710),
    [sym_with_statement] = STATE(6710),
    [sym_break_statement] = STATE(6710),
    [sym_continue_statement] = STATE(6710),
    [sym_debugger_statement] = STATE(6710),
    [sym_return_statement] = STATE(6710),
    [sym_throw_statement] = STATE(6710),
    [sym_empty_statement] = STATE(6710),
    [sym_labeled_statement] = STATE(6710),
    [sym_parenthesized_expression] = STATE(2177),
    [sym_expression] = STATE(2577),
    [sym_primary_expression] = STATE(2990),
    [sym_yield_expression] = STATE(3139),
    [sym_object] = STATE(3113),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(3113),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(3139),
    [sym_glimmer_opening_tag] = STATE(5702),
    [sym_jsx_element] = STATE(3139),
    [sym_jsx_opening_element] = STATE(4008),
    [sym_jsx_self_closing_element] = STATE(3139),
    [sym_class] = STATE(3113),
    [sym_class_declaration] = STATE(6895),
    [sym_function_expression] = STATE(3113),
    [sym_function_declaration] = STATE(6895),
    [sym_generator_function] = STATE(3113),
    [sym_generator_function_declaration] = STATE(6895),
    [sym_arrow_function] = STATE(3113),
    [sym__call_signature] = STATE(7486),
    [sym_call_expression] = STATE(3113),
    [sym_new_expression] = STATE(3139),
    [sym_await_expression] = STATE(3139),
    [sym_member_expression] = STATE(2177),
    [sym_subscript_expression] = STATE(2177),
    [sym_assignment_expression] = STATE(3139),
    [sym__augmented_assignment_lhs] = STATE(3835),
    [sym_augmented_assignment_expression] = STATE(3139),
    [sym__destructuring_pattern] = STATE(7484),
    [sym_ternary_expression] = STATE(3139),
    [sym_binary_expression] = STATE(3139),
    [sym_unary_expression] = STATE(3139),
    [sym_update_expression] = STATE(3139),
    [sym_sequence_expression] = STATE(6529),
    [sym_string] = STATE(3113),
    [sym_comment] = STATE(95),
    [sym_template_string] = STATE(3113),
    [sym_regex] = STATE(3113),
    [sym_meta_property] = STATE(3113),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2177),
    [sym_function_signature] = STATE(6895),
    [sym_as_expression] = STATE(3139),
    [sym_satisfies_expression] = STATE(3139),
    [sym_instantiation_expression] = STATE(3139),
    [sym_ambient_declaration] = STATE(6895),
    [sym_abstract_class_declaration] = STATE(6895),
    [sym_module] = STATE(6895),
    [sym_internal_module] = STATE(3105),
    [sym_import_alias] = STATE(6895),
    [sym_interface_declaration] = STATE(6895),
    [sym_enum_declaration] = STATE(6895),
    [sym_type_alias_declaration] = STATE(6895),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(4783),
    [sym_identifier] = ACTIONS(892),
    [anon_sym_export] = ACTIONS(894),
    [anon_sym_type] = ACTIONS(896),
    [anon_sym_namespace] = ACTIONS(898),
    [anon_sym_LBRACE] = ACTIONS(900),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(902),
    [anon_sym_with] = ACTIONS(904),
    [anon_sym_var] = ACTIONS(906),
    [anon_sym_let] = ACTIONS(908),
    [anon_sym_const] = ACTIONS(910),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(912),
    [anon_sym_switch] = ACTIONS(914),
    [anon_sym_for] = ACTIONS(916),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(918),
    [anon_sym_do] = ACTIONS(920),
    [anon_sym_try] = ACTIONS(922),
    [anon_sym_break] = ACTIONS(924),
    [anon_sym_continue] = ACTIONS(926),
    [anon_sym_debugger] = ACTIONS(928),
    [anon_sym_return] = ACTIONS(930),
    [anon_sym_throw] = ACTIONS(932),
    [anon_sym_SEMI] = ACTIONS(934),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(936),
    [anon_sym_async] = ACTIONS(938),
    [anon_sym_function] = ACTIONS(940),
    [anon_sym_new] = ACTIONS(942),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(944),
    [anon_sym_readonly] = ACTIONS(944),
    [anon_sym_get] = ACTIONS(944),
    [anon_sym_set] = ACTIONS(944),
    [anon_sym_declare] = ACTIONS(946),
    [anon_sym_public] = ACTIONS(944),
    [anon_sym_private] = ACTIONS(944),
    [anon_sym_protected] = ACTIONS(944),
    [anon_sym_override] = ACTIONS(944),
    [anon_sym_module] = ACTIONS(948),
    [anon_sym_any] = ACTIONS(944),
    [anon_sym_number] = ACTIONS(944),
    [anon_sym_boolean] = ACTIONS(944),
    [anon_sym_string] = ACTIONS(944),
    [anon_sym_symbol] = ACTIONS(944),
    [anon_sym_object] = ACTIONS(944),
    [anon_sym_abstract] = ACTIONS(950),
    [anon_sym_interface] = ACTIONS(952),
    [anon_sym_enum] = ACTIONS(954),
    [sym_html_comment] = ACTIONS(5),
  },
  [96] = {
    [sym_export_statement] = STATE(1585),
    [sym_declaration] = STATE(1585),
    [sym_import] = STATE(4369),
    [sym_import_statement] = STATE(1585),
    [sym_expression_statement] = STATE(1585),
    [sym_variable_declaration] = STATE(1573),
    [sym_lexical_declaration] = STATE(1573),
    [sym_statement_block] = STATE(1585),
    [sym_if_statement] = STATE(1585),
    [sym_switch_statement] = STATE(1585),
    [sym_for_statement] = STATE(1585),
    [sym_for_in_statement] = STATE(1585),
    [sym_while_statement] = STATE(1585),
    [sym_do_statement] = STATE(1585),
    [sym_try_statement] = STATE(1585),
    [sym_with_statement] = STATE(1585),
    [sym_break_statement] = STATE(1585),
    [sym_continue_statement] = STATE(1585),
    [sym_debugger_statement] = STATE(1585),
    [sym_return_statement] = STATE(1585),
    [sym_throw_statement] = STATE(1585),
    [sym_empty_statement] = STATE(1585),
    [sym_labeled_statement] = STATE(1585),
    [sym_parenthesized_expression] = STATE(2177),
    [sym_expression] = STATE(2545),
    [sym_primary_expression] = STATE(2990),
    [sym_yield_expression] = STATE(3139),
    [sym_object] = STATE(3113),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(3113),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(3139),
    [sym_glimmer_opening_tag] = STATE(5702),
    [sym_jsx_element] = STATE(3139),
    [sym_jsx_opening_element] = STATE(4008),
    [sym_jsx_self_closing_element] = STATE(3139),
    [sym_class] = STATE(3113),
    [sym_class_declaration] = STATE(1573),
    [sym_function_expression] = STATE(3113),
    [sym_function_declaration] = STATE(1573),
    [sym_generator_function] = STATE(3113),
    [sym_generator_function_declaration] = STATE(1573),
    [sym_arrow_function] = STATE(3113),
    [sym__call_signature] = STATE(7486),
    [sym_call_expression] = STATE(3113),
    [sym_new_expression] = STATE(3139),
    [sym_await_expression] = STATE(3139),
    [sym_member_expression] = STATE(2177),
    [sym_subscript_expression] = STATE(2177),
    [sym_assignment_expression] = STATE(3139),
    [sym__augmented_assignment_lhs] = STATE(3835),
    [sym_augmented_assignment_expression] = STATE(3139),
    [sym__destructuring_pattern] = STATE(7484),
    [sym_ternary_expression] = STATE(3139),
    [sym_binary_expression] = STATE(3139),
    [sym_unary_expression] = STATE(3139),
    [sym_update_expression] = STATE(3139),
    [sym_sequence_expression] = STATE(6676),
    [sym_string] = STATE(3113),
    [sym_comment] = STATE(96),
    [sym_template_string] = STATE(3113),
    [sym_regex] = STATE(3113),
    [sym_meta_property] = STATE(3113),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2177),
    [sym_function_signature] = STATE(1573),
    [sym_as_expression] = STATE(3139),
    [sym_satisfies_expression] = STATE(3139),
    [sym_instantiation_expression] = STATE(3139),
    [sym_ambient_declaration] = STATE(1573),
    [sym_abstract_class_declaration] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_internal_module] = STATE(437),
    [sym_import_alias] = STATE(1573),
    [sym_interface_declaration] = STATE(1573),
    [sym_enum_declaration] = STATE(1573),
    [sym_type_alias_declaration] = STATE(1573),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(4771),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_for] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_do] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [97] = {
    [sym_export_statement] = STATE(6769),
    [sym_declaration] = STATE(6769),
    [sym_import] = STATE(4369),
    [sym_import_statement] = STATE(6769),
    [sym_expression_statement] = STATE(6769),
    [sym_variable_declaration] = STATE(6895),
    [sym_lexical_declaration] = STATE(6895),
    [sym_statement_block] = STATE(6769),
    [sym_if_statement] = STATE(6769),
    [sym_switch_statement] = STATE(6769),
    [sym_for_statement] = STATE(6769),
    [sym_for_in_statement] = STATE(6769),
    [sym_while_statement] = STATE(6769),
    [sym_do_statement] = STATE(6769),
    [sym_try_statement] = STATE(6769),
    [sym_with_statement] = STATE(6769),
    [sym_break_statement] = STATE(6769),
    [sym_continue_statement] = STATE(6769),
    [sym_debugger_statement] = STATE(6769),
    [sym_return_statement] = STATE(6769),
    [sym_throw_statement] = STATE(6769),
    [sym_empty_statement] = STATE(6769),
    [sym_labeled_statement] = STATE(6769),
    [sym_parenthesized_expression] = STATE(2177),
    [sym_expression] = STATE(2577),
    [sym_primary_expression] = STATE(2990),
    [sym_yield_expression] = STATE(3139),
    [sym_object] = STATE(3113),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(3113),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(3139),
    [sym_glimmer_opening_tag] = STATE(5702),
    [sym_jsx_element] = STATE(3139),
    [sym_jsx_opening_element] = STATE(4008),
    [sym_jsx_self_closing_element] = STATE(3139),
    [sym_class] = STATE(3113),
    [sym_class_declaration] = STATE(6895),
    [sym_function_expression] = STATE(3113),
    [sym_function_declaration] = STATE(6895),
    [sym_generator_function] = STATE(3113),
    [sym_generator_function_declaration] = STATE(6895),
    [sym_arrow_function] = STATE(3113),
    [sym__call_signature] = STATE(7486),
    [sym_call_expression] = STATE(3113),
    [sym_new_expression] = STATE(3139),
    [sym_await_expression] = STATE(3139),
    [sym_member_expression] = STATE(2177),
    [sym_subscript_expression] = STATE(2177),
    [sym_assignment_expression] = STATE(3139),
    [sym__augmented_assignment_lhs] = STATE(3835),
    [sym_augmented_assignment_expression] = STATE(3139),
    [sym__destructuring_pattern] = STATE(7484),
    [sym_ternary_expression] = STATE(3139),
    [sym_binary_expression] = STATE(3139),
    [sym_unary_expression] = STATE(3139),
    [sym_update_expression] = STATE(3139),
    [sym_sequence_expression] = STATE(6529),
    [sym_string] = STATE(3113),
    [sym_comment] = STATE(97),
    [sym_template_string] = STATE(3113),
    [sym_regex] = STATE(3113),
    [sym_meta_property] = STATE(3113),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2177),
    [sym_function_signature] = STATE(6895),
    [sym_as_expression] = STATE(3139),
    [sym_satisfies_expression] = STATE(3139),
    [sym_instantiation_expression] = STATE(3139),
    [sym_ambient_declaration] = STATE(6895),
    [sym_abstract_class_declaration] = STATE(6895),
    [sym_module] = STATE(6895),
    [sym_internal_module] = STATE(3105),
    [sym_import_alias] = STATE(6895),
    [sym_interface_declaration] = STATE(6895),
    [sym_enum_declaration] = STATE(6895),
    [sym_type_alias_declaration] = STATE(6895),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(4783),
    [sym_identifier] = ACTIONS(892),
    [anon_sym_export] = ACTIONS(894),
    [anon_sym_type] = ACTIONS(896),
    [anon_sym_namespace] = ACTIONS(898),
    [anon_sym_LBRACE] = ACTIONS(900),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(902),
    [anon_sym_with] = ACTIONS(904),
    [anon_sym_var] = ACTIONS(906),
    [anon_sym_let] = ACTIONS(908),
    [anon_sym_const] = ACTIONS(910),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(912),
    [anon_sym_switch] = ACTIONS(914),
    [anon_sym_for] = ACTIONS(916),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(918),
    [anon_sym_do] = ACTIONS(920),
    [anon_sym_try] = ACTIONS(922),
    [anon_sym_break] = ACTIONS(924),
    [anon_sym_continue] = ACTIONS(926),
    [anon_sym_debugger] = ACTIONS(928),
    [anon_sym_return] = ACTIONS(930),
    [anon_sym_throw] = ACTIONS(932),
    [anon_sym_SEMI] = ACTIONS(934),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(936),
    [anon_sym_async] = ACTIONS(938),
    [anon_sym_function] = ACTIONS(940),
    [anon_sym_new] = ACTIONS(942),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(944),
    [anon_sym_readonly] = ACTIONS(944),
    [anon_sym_get] = ACTIONS(944),
    [anon_sym_set] = ACTIONS(944),
    [anon_sym_declare] = ACTIONS(946),
    [anon_sym_public] = ACTIONS(944),
    [anon_sym_private] = ACTIONS(944),
    [anon_sym_protected] = ACTIONS(944),
    [anon_sym_override] = ACTIONS(944),
    [anon_sym_module] = ACTIONS(948),
    [anon_sym_any] = ACTIONS(944),
    [anon_sym_number] = ACTIONS(944),
    [anon_sym_boolean] = ACTIONS(944),
    [anon_sym_string] = ACTIONS(944),
    [anon_sym_symbol] = ACTIONS(944),
    [anon_sym_object] = ACTIONS(944),
    [anon_sym_abstract] = ACTIONS(950),
    [anon_sym_interface] = ACTIONS(952),
    [anon_sym_enum] = ACTIONS(954),
    [sym_html_comment] = ACTIONS(5),
  },
  [98] = {
    [sym_export_statement] = STATE(7016),
    [sym_declaration] = STATE(7020),
    [sym_import] = STATE(4369),
    [sym_import_statement] = STATE(6974),
    [sym_expression_statement] = STATE(7029),
    [sym_variable_declaration] = STATE(6895),
    [sym_lexical_declaration] = STATE(6895),
    [sym_statement_block] = STATE(7035),
    [sym_if_statement] = STATE(7037),
    [sym_switch_statement] = STATE(7040),
    [sym_for_statement] = STATE(7045),
    [sym_for_in_statement] = STATE(7047),
    [sym_while_statement] = STATE(7051),
    [sym_do_statement] = STATE(7052),
    [sym_try_statement] = STATE(7053),
    [sym_with_statement] = STATE(7055),
    [sym_break_statement] = STATE(7057),
    [sym_continue_statement] = STATE(7059),
    [sym_debugger_statement] = STATE(7061),
    [sym_return_statement] = STATE(7064),
    [sym_throw_statement] = STATE(7069),
    [sym_empty_statement] = STATE(7071),
    [sym_labeled_statement] = STATE(7077),
    [sym_parenthesized_expression] = STATE(2177),
    [sym_expression] = STATE(2577),
    [sym_primary_expression] = STATE(2990),
    [sym_yield_expression] = STATE(3139),
    [sym_object] = STATE(3113),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(3113),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(3139),
    [sym_glimmer_opening_tag] = STATE(5702),
    [sym_jsx_element] = STATE(3139),
    [sym_jsx_opening_element] = STATE(4008),
    [sym_jsx_self_closing_element] = STATE(3139),
    [sym_class] = STATE(3113),
    [sym_class_declaration] = STATE(6895),
    [sym_function_expression] = STATE(3113),
    [sym_function_declaration] = STATE(6895),
    [sym_generator_function] = STATE(3113),
    [sym_generator_function_declaration] = STATE(6895),
    [sym_arrow_function] = STATE(3113),
    [sym__call_signature] = STATE(7486),
    [sym_call_expression] = STATE(3113),
    [sym_new_expression] = STATE(3139),
    [sym_await_expression] = STATE(3139),
    [sym_member_expression] = STATE(2177),
    [sym_subscript_expression] = STATE(2177),
    [sym_assignment_expression] = STATE(3139),
    [sym__augmented_assignment_lhs] = STATE(3835),
    [sym_augmented_assignment_expression] = STATE(3139),
    [sym__destructuring_pattern] = STATE(7484),
    [sym_ternary_expression] = STATE(3139),
    [sym_binary_expression] = STATE(3139),
    [sym_unary_expression] = STATE(3139),
    [sym_update_expression] = STATE(3139),
    [sym_sequence_expression] = STATE(6529),
    [sym_string] = STATE(3113),
    [sym_comment] = STATE(98),
    [sym_template_string] = STATE(3113),
    [sym_regex] = STATE(3113),
    [sym_meta_property] = STATE(3113),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2177),
    [sym_function_signature] = STATE(6895),
    [sym_as_expression] = STATE(3139),
    [sym_satisfies_expression] = STATE(3139),
    [sym_instantiation_expression] = STATE(3139),
    [sym_ambient_declaration] = STATE(6895),
    [sym_abstract_class_declaration] = STATE(6895),
    [sym_module] = STATE(6895),
    [sym_internal_module] = STATE(3105),
    [sym_import_alias] = STATE(6895),
    [sym_interface_declaration] = STATE(6895),
    [sym_enum_declaration] = STATE(6895),
    [sym_type_alias_declaration] = STATE(6895),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(4783),
    [sym_identifier] = ACTIONS(892),
    [anon_sym_export] = ACTIONS(894),
    [anon_sym_type] = ACTIONS(896),
    [anon_sym_namespace] = ACTIONS(898),
    [anon_sym_LBRACE] = ACTIONS(900),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(902),
    [anon_sym_with] = ACTIONS(904),
    [anon_sym_var] = ACTIONS(906),
    [anon_sym_let] = ACTIONS(908),
    [anon_sym_const] = ACTIONS(910),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(912),
    [anon_sym_switch] = ACTIONS(914),
    [anon_sym_for] = ACTIONS(916),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(918),
    [anon_sym_do] = ACTIONS(920),
    [anon_sym_try] = ACTIONS(922),
    [anon_sym_break] = ACTIONS(924),
    [anon_sym_continue] = ACTIONS(926),
    [anon_sym_debugger] = ACTIONS(928),
    [anon_sym_return] = ACTIONS(930),
    [anon_sym_throw] = ACTIONS(932),
    [anon_sym_SEMI] = ACTIONS(934),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(936),
    [anon_sym_async] = ACTIONS(938),
    [anon_sym_function] = ACTIONS(940),
    [anon_sym_new] = ACTIONS(942),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(944),
    [anon_sym_readonly] = ACTIONS(944),
    [anon_sym_get] = ACTIONS(944),
    [anon_sym_set] = ACTIONS(944),
    [anon_sym_declare] = ACTIONS(946),
    [anon_sym_public] = ACTIONS(944),
    [anon_sym_private] = ACTIONS(944),
    [anon_sym_protected] = ACTIONS(944),
    [anon_sym_override] = ACTIONS(944),
    [anon_sym_module] = ACTIONS(948),
    [anon_sym_any] = ACTIONS(944),
    [anon_sym_number] = ACTIONS(944),
    [anon_sym_boolean] = ACTIONS(944),
    [anon_sym_string] = ACTIONS(944),
    [anon_sym_symbol] = ACTIONS(944),
    [anon_sym_object] = ACTIONS(944),
    [anon_sym_abstract] = ACTIONS(950),
    [anon_sym_interface] = ACTIONS(952),
    [anon_sym_enum] = ACTIONS(954),
    [sym_html_comment] = ACTIONS(5),
  },
  [99] = {
    [sym_export_statement] = STATE(1623),
    [sym_declaration] = STATE(1623),
    [sym_import] = STATE(4369),
    [sym_import_statement] = STATE(1623),
    [sym_expression_statement] = STATE(1623),
    [sym_variable_declaration] = STATE(1573),
    [sym_lexical_declaration] = STATE(1573),
    [sym_statement_block] = STATE(1623),
    [sym_if_statement] = STATE(1623),
    [sym_switch_statement] = STATE(1623),
    [sym_for_statement] = STATE(1623),
    [sym_for_in_statement] = STATE(1623),
    [sym_while_statement] = STATE(1623),
    [sym_do_statement] = STATE(1623),
    [sym_try_statement] = STATE(1623),
    [sym_with_statement] = STATE(1623),
    [sym_break_statement] = STATE(1623),
    [sym_continue_statement] = STATE(1623),
    [sym_debugger_statement] = STATE(1623),
    [sym_return_statement] = STATE(1623),
    [sym_throw_statement] = STATE(1623),
    [sym_empty_statement] = STATE(1623),
    [sym_labeled_statement] = STATE(1623),
    [sym_parenthesized_expression] = STATE(2177),
    [sym_expression] = STATE(2545),
    [sym_primary_expression] = STATE(2990),
    [sym_yield_expression] = STATE(3139),
    [sym_object] = STATE(3113),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(3113),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(3139),
    [sym_glimmer_opening_tag] = STATE(5702),
    [sym_jsx_element] = STATE(3139),
    [sym_jsx_opening_element] = STATE(4008),
    [sym_jsx_self_closing_element] = STATE(3139),
    [sym_class] = STATE(3113),
    [sym_class_declaration] = STATE(1573),
    [sym_function_expression] = STATE(3113),
    [sym_function_declaration] = STATE(1573),
    [sym_generator_function] = STATE(3113),
    [sym_generator_function_declaration] = STATE(1573),
    [sym_arrow_function] = STATE(3113),
    [sym__call_signature] = STATE(7486),
    [sym_call_expression] = STATE(3113),
    [sym_new_expression] = STATE(3139),
    [sym_await_expression] = STATE(3139),
    [sym_member_expression] = STATE(2177),
    [sym_subscript_expression] = STATE(2177),
    [sym_assignment_expression] = STATE(3139),
    [sym__augmented_assignment_lhs] = STATE(3835),
    [sym_augmented_assignment_expression] = STATE(3139),
    [sym__destructuring_pattern] = STATE(7484),
    [sym_ternary_expression] = STATE(3139),
    [sym_binary_expression] = STATE(3139),
    [sym_unary_expression] = STATE(3139),
    [sym_update_expression] = STATE(3139),
    [sym_sequence_expression] = STATE(6676),
    [sym_string] = STATE(3113),
    [sym_comment] = STATE(99),
    [sym_template_string] = STATE(3113),
    [sym_regex] = STATE(3113),
    [sym_meta_property] = STATE(3113),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2177),
    [sym_function_signature] = STATE(1573),
    [sym_as_expression] = STATE(3139),
    [sym_satisfies_expression] = STATE(3139),
    [sym_instantiation_expression] = STATE(3139),
    [sym_ambient_declaration] = STATE(1573),
    [sym_abstract_class_declaration] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_internal_module] = STATE(437),
    [sym_import_alias] = STATE(1573),
    [sym_interface_declaration] = STATE(1573),
    [sym_enum_declaration] = STATE(1573),
    [sym_type_alias_declaration] = STATE(1573),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(4771),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_for] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_do] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [100] = {
    [sym_export_statement] = STATE(1710),
    [sym_declaration] = STATE(1710),
    [sym_import] = STATE(4369),
    [sym_import_statement] = STATE(1710),
    [sym_expression_statement] = STATE(1710),
    [sym_variable_declaration] = STATE(1573),
    [sym_lexical_declaration] = STATE(1573),
    [sym_statement_block] = STATE(1710),
    [sym_if_statement] = STATE(1710),
    [sym_switch_statement] = STATE(1710),
    [sym_for_statement] = STATE(1710),
    [sym_for_in_statement] = STATE(1710),
    [sym_while_statement] = STATE(1710),
    [sym_do_statement] = STATE(1710),
    [sym_try_statement] = STATE(1710),
    [sym_with_statement] = STATE(1710),
    [sym_break_statement] = STATE(1710),
    [sym_continue_statement] = STATE(1710),
    [sym_debugger_statement] = STATE(1710),
    [sym_return_statement] = STATE(1710),
    [sym_throw_statement] = STATE(1710),
    [sym_empty_statement] = STATE(1710),
    [sym_labeled_statement] = STATE(1710),
    [sym_parenthesized_expression] = STATE(2177),
    [sym_expression] = STATE(2545),
    [sym_primary_expression] = STATE(2990),
    [sym_yield_expression] = STATE(3139),
    [sym_object] = STATE(3113),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(3113),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(3139),
    [sym_glimmer_opening_tag] = STATE(5702),
    [sym_jsx_element] = STATE(3139),
    [sym_jsx_opening_element] = STATE(4008),
    [sym_jsx_self_closing_element] = STATE(3139),
    [sym_class] = STATE(3113),
    [sym_class_declaration] = STATE(1573),
    [sym_function_expression] = STATE(3113),
    [sym_function_declaration] = STATE(1573),
    [sym_generator_function] = STATE(3113),
    [sym_generator_function_declaration] = STATE(1573),
    [sym_arrow_function] = STATE(3113),
    [sym__call_signature] = STATE(7486),
    [sym_call_expression] = STATE(3113),
    [sym_new_expression] = STATE(3139),
    [sym_await_expression] = STATE(3139),
    [sym_member_expression] = STATE(2177),
    [sym_subscript_expression] = STATE(2177),
    [sym_assignment_expression] = STATE(3139),
    [sym__augmented_assignment_lhs] = STATE(3835),
    [sym_augmented_assignment_expression] = STATE(3139),
    [sym__destructuring_pattern] = STATE(7484),
    [sym_ternary_expression] = STATE(3139),
    [sym_binary_expression] = STATE(3139),
    [sym_unary_expression] = STATE(3139),
    [sym_update_expression] = STATE(3139),
    [sym_sequence_expression] = STATE(6676),
    [sym_string] = STATE(3113),
    [sym_comment] = STATE(100),
    [sym_template_string] = STATE(3113),
    [sym_regex] = STATE(3113),
    [sym_meta_property] = STATE(3113),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2177),
    [sym_function_signature] = STATE(1573),
    [sym_as_expression] = STATE(3139),
    [sym_satisfies_expression] = STATE(3139),
    [sym_instantiation_expression] = STATE(3139),
    [sym_ambient_declaration] = STATE(1573),
    [sym_abstract_class_declaration] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_internal_module] = STATE(437),
    [sym_import_alias] = STATE(1573),
    [sym_interface_declaration] = STATE(1573),
    [sym_enum_declaration] = STATE(1573),
    [sym_type_alias_declaration] = STATE(1573),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(4771),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_for] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_do] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [101] = {
    [sym_export_statement] = STATE(6088),
    [sym_declaration] = STATE(6088),
    [sym_import] = STATE(4369),
    [sym_import_statement] = STATE(6088),
    [sym_expression_statement] = STATE(6088),
    [sym_variable_declaration] = STATE(6895),
    [sym_lexical_declaration] = STATE(6895),
    [sym_statement_block] = STATE(6088),
    [sym_if_statement] = STATE(6088),
    [sym_switch_statement] = STATE(6088),
    [sym_for_statement] = STATE(6088),
    [sym_for_in_statement] = STATE(6088),
    [sym_while_statement] = STATE(6088),
    [sym_do_statement] = STATE(6088),
    [sym_try_statement] = STATE(6088),
    [sym_with_statement] = STATE(6088),
    [sym_break_statement] = STATE(6088),
    [sym_continue_statement] = STATE(6088),
    [sym_debugger_statement] = STATE(6088),
    [sym_return_statement] = STATE(6088),
    [sym_throw_statement] = STATE(6088),
    [sym_empty_statement] = STATE(6088),
    [sym_labeled_statement] = STATE(6088),
    [sym_parenthesized_expression] = STATE(2177),
    [sym_expression] = STATE(2577),
    [sym_primary_expression] = STATE(2990),
    [sym_yield_expression] = STATE(3139),
    [sym_object] = STATE(3113),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(3113),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(3139),
    [sym_glimmer_opening_tag] = STATE(5702),
    [sym_jsx_element] = STATE(3139),
    [sym_jsx_opening_element] = STATE(4008),
    [sym_jsx_self_closing_element] = STATE(3139),
    [sym_class] = STATE(3113),
    [sym_class_declaration] = STATE(6895),
    [sym_function_expression] = STATE(3113),
    [sym_function_declaration] = STATE(6895),
    [sym_generator_function] = STATE(3113),
    [sym_generator_function_declaration] = STATE(6895),
    [sym_arrow_function] = STATE(3113),
    [sym__call_signature] = STATE(7486),
    [sym_call_expression] = STATE(3113),
    [sym_new_expression] = STATE(3139),
    [sym_await_expression] = STATE(3139),
    [sym_member_expression] = STATE(2177),
    [sym_subscript_expression] = STATE(2177),
    [sym_assignment_expression] = STATE(3139),
    [sym__augmented_assignment_lhs] = STATE(3835),
    [sym_augmented_assignment_expression] = STATE(3139),
    [sym__destructuring_pattern] = STATE(7484),
    [sym_ternary_expression] = STATE(3139),
    [sym_binary_expression] = STATE(3139),
    [sym_unary_expression] = STATE(3139),
    [sym_update_expression] = STATE(3139),
    [sym_sequence_expression] = STATE(6529),
    [sym_string] = STATE(3113),
    [sym_comment] = STATE(101),
    [sym_template_string] = STATE(3113),
    [sym_regex] = STATE(3113),
    [sym_meta_property] = STATE(3113),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2177),
    [sym_function_signature] = STATE(6895),
    [sym_as_expression] = STATE(3139),
    [sym_satisfies_expression] = STATE(3139),
    [sym_instantiation_expression] = STATE(3139),
    [sym_ambient_declaration] = STATE(6895),
    [sym_abstract_class_declaration] = STATE(6895),
    [sym_module] = STATE(6895),
    [sym_internal_module] = STATE(3105),
    [sym_import_alias] = STATE(6895),
    [sym_interface_declaration] = STATE(6895),
    [sym_enum_declaration] = STATE(6895),
    [sym_type_alias_declaration] = STATE(6895),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(4783),
    [sym_identifier] = ACTIONS(892),
    [anon_sym_export] = ACTIONS(894),
    [anon_sym_type] = ACTIONS(896),
    [anon_sym_namespace] = ACTIONS(898),
    [anon_sym_LBRACE] = ACTIONS(900),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(902),
    [anon_sym_with] = ACTIONS(904),
    [anon_sym_var] = ACTIONS(906),
    [anon_sym_let] = ACTIONS(908),
    [anon_sym_const] = ACTIONS(910),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(912),
    [anon_sym_switch] = ACTIONS(914),
    [anon_sym_for] = ACTIONS(916),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(918),
    [anon_sym_do] = ACTIONS(920),
    [anon_sym_try] = ACTIONS(922),
    [anon_sym_break] = ACTIONS(924),
    [anon_sym_continue] = ACTIONS(926),
    [anon_sym_debugger] = ACTIONS(928),
    [anon_sym_return] = ACTIONS(930),
    [anon_sym_throw] = ACTIONS(932),
    [anon_sym_SEMI] = ACTIONS(934),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(936),
    [anon_sym_async] = ACTIONS(938),
    [anon_sym_function] = ACTIONS(940),
    [anon_sym_new] = ACTIONS(942),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(944),
    [anon_sym_readonly] = ACTIONS(944),
    [anon_sym_get] = ACTIONS(944),
    [anon_sym_set] = ACTIONS(944),
    [anon_sym_declare] = ACTIONS(946),
    [anon_sym_public] = ACTIONS(944),
    [anon_sym_private] = ACTIONS(944),
    [anon_sym_protected] = ACTIONS(944),
    [anon_sym_override] = ACTIONS(944),
    [anon_sym_module] = ACTIONS(948),
    [anon_sym_any] = ACTIONS(944),
    [anon_sym_number] = ACTIONS(944),
    [anon_sym_boolean] = ACTIONS(944),
    [anon_sym_string] = ACTIONS(944),
    [anon_sym_symbol] = ACTIONS(944),
    [anon_sym_object] = ACTIONS(944),
    [anon_sym_abstract] = ACTIONS(950),
    [anon_sym_interface] = ACTIONS(952),
    [anon_sym_enum] = ACTIONS(954),
    [sym_html_comment] = ACTIONS(5),
  },
  [102] = {
    [sym_export_statement] = STATE(1390),
    [sym_declaration] = STATE(1390),
    [sym_import] = STATE(4369),
    [sym_import_statement] = STATE(1390),
    [sym_expression_statement] = STATE(1390),
    [sym_variable_declaration] = STATE(1382),
    [sym_lexical_declaration] = STATE(1382),
    [sym_statement_block] = STATE(1390),
    [sym_if_statement] = STATE(1390),
    [sym_switch_statement] = STATE(1390),
    [sym_for_statement] = STATE(1390),
    [sym_for_in_statement] = STATE(1390),
    [sym_while_statement] = STATE(1390),
    [sym_do_statement] = STATE(1390),
    [sym_try_statement] = STATE(1390),
    [sym_with_statement] = STATE(1390),
    [sym_break_statement] = STATE(1390),
    [sym_continue_statement] = STATE(1390),
    [sym_debugger_statement] = STATE(1390),
    [sym_return_statement] = STATE(1390),
    [sym_throw_statement] = STATE(1390),
    [sym_empty_statement] = STATE(1390),
    [sym_labeled_statement] = STATE(1390),
    [sym_parenthesized_expression] = STATE(2177),
    [sym_expression] = STATE(2668),
    [sym_primary_expression] = STATE(2990),
    [sym_yield_expression] = STATE(3139),
    [sym_object] = STATE(3113),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(3113),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(3139),
    [sym_glimmer_opening_tag] = STATE(5702),
    [sym_jsx_element] = STATE(3139),
    [sym_jsx_opening_element] = STATE(4008),
    [sym_jsx_self_closing_element] = STATE(3139),
    [sym_class] = STATE(3113),
    [sym_class_declaration] = STATE(1382),
    [sym_function_expression] = STATE(3113),
    [sym_function_declaration] = STATE(1382),
    [sym_generator_function] = STATE(3113),
    [sym_generator_function_declaration] = STATE(1382),
    [sym_arrow_function] = STATE(3113),
    [sym__call_signature] = STATE(7486),
    [sym_call_expression] = STATE(3113),
    [sym_new_expression] = STATE(3139),
    [sym_await_expression] = STATE(3139),
    [sym_member_expression] = STATE(2177),
    [sym_subscript_expression] = STATE(2177),
    [sym_assignment_expression] = STATE(3139),
    [sym__augmented_assignment_lhs] = STATE(3835),
    [sym_augmented_assignment_expression] = STATE(3139),
    [sym__destructuring_pattern] = STATE(7484),
    [sym_ternary_expression] = STATE(3139),
    [sym_binary_expression] = STATE(3139),
    [sym_unary_expression] = STATE(3139),
    [sym_update_expression] = STATE(3139),
    [sym_sequence_expression] = STATE(6712),
    [sym_string] = STATE(3113),
    [sym_comment] = STATE(102),
    [sym_template_string] = STATE(3113),
    [sym_regex] = STATE(3113),
    [sym_meta_property] = STATE(3113),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2177),
    [sym_function_signature] = STATE(1382),
    [sym_as_expression] = STATE(3139),
    [sym_satisfies_expression] = STATE(3139),
    [sym_instantiation_expression] = STATE(3139),
    [sym_ambient_declaration] = STATE(1382),
    [sym_abstract_class_declaration] = STATE(1382),
    [sym_module] = STATE(1382),
    [sym_internal_module] = STATE(345),
    [sym_import_alias] = STATE(1382),
    [sym_interface_declaration] = STATE(1382),
    [sym_enum_declaration] = STATE(1382),
    [sym_type_alias_declaration] = STATE(1382),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(4953),
    [sym_identifier] = ACTIONS(337),
    [anon_sym_export] = ACTIONS(339),
    [anon_sym_type] = ACTIONS(343),
    [anon_sym_namespace] = ACTIONS(345),
    [anon_sym_LBRACE] = ACTIONS(347),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(349),
    [anon_sym_with] = ACTIONS(351),
    [anon_sym_var] = ACTIONS(353),
    [anon_sym_let] = ACTIONS(355),
    [anon_sym_const] = ACTIONS(357),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(359),
    [anon_sym_switch] = ACTIONS(361),
    [anon_sym_for] = ACTIONS(363),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(365),
    [anon_sym_do] = ACTIONS(367),
    [anon_sym_try] = ACTIONS(369),
    [anon_sym_break] = ACTIONS(371),
    [anon_sym_continue] = ACTIONS(373),
    [anon_sym_debugger] = ACTIONS(375),
    [anon_sym_return] = ACTIONS(377),
    [anon_sym_throw] = ACTIONS(379),
    [anon_sym_SEMI] = ACTIONS(381),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(383),
    [anon_sym_async] = ACTIONS(385),
    [anon_sym_function] = ACTIONS(387),
    [anon_sym_new] = ACTIONS(389),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(391),
    [anon_sym_readonly] = ACTIONS(391),
    [anon_sym_get] = ACTIONS(391),
    [anon_sym_set] = ACTIONS(391),
    [anon_sym_declare] = ACTIONS(393),
    [anon_sym_public] = ACTIONS(391),
    [anon_sym_private] = ACTIONS(391),
    [anon_sym_protected] = ACTIONS(391),
    [anon_sym_override] = ACTIONS(391),
    [anon_sym_module] = ACTIONS(395),
    [anon_sym_any] = ACTIONS(391),
    [anon_sym_number] = ACTIONS(391),
    [anon_sym_boolean] = ACTIONS(391),
    [anon_sym_string] = ACTIONS(391),
    [anon_sym_symbol] = ACTIONS(391),
    [anon_sym_object] = ACTIONS(391),
    [anon_sym_abstract] = ACTIONS(397),
    [anon_sym_interface] = ACTIONS(399),
    [anon_sym_enum] = ACTIONS(401),
    [sym_html_comment] = ACTIONS(5),
  },
  [103] = {
    [sym_export_statement] = STATE(1495),
    [sym_declaration] = STATE(1495),
    [sym_import] = STATE(4369),
    [sym_import_statement] = STATE(1495),
    [sym_expression_statement] = STATE(1495),
    [sym_variable_declaration] = STATE(1220),
    [sym_lexical_declaration] = STATE(1220),
    [sym_statement_block] = STATE(1495),
    [sym_if_statement] = STATE(1495),
    [sym_switch_statement] = STATE(1495),
    [sym_for_statement] = STATE(1495),
    [sym_for_in_statement] = STATE(1495),
    [sym_while_statement] = STATE(1495),
    [sym_do_statement] = STATE(1495),
    [sym_try_statement] = STATE(1495),
    [sym_with_statement] = STATE(1495),
    [sym_break_statement] = STATE(1495),
    [sym_continue_statement] = STATE(1495),
    [sym_debugger_statement] = STATE(1495),
    [sym_return_statement] = STATE(1495),
    [sym_throw_statement] = STATE(1495),
    [sym_empty_statement] = STATE(1495),
    [sym_labeled_statement] = STATE(1495),
    [sym_parenthesized_expression] = STATE(2177),
    [sym_expression] = STATE(2695),
    [sym_primary_expression] = STATE(2990),
    [sym_yield_expression] = STATE(3139),
    [sym_object] = STATE(3113),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(3113),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(3139),
    [sym_glimmer_opening_tag] = STATE(5702),
    [sym_jsx_element] = STATE(3139),
    [sym_jsx_opening_element] = STATE(4008),
    [sym_jsx_self_closing_element] = STATE(3139),
    [sym_class] = STATE(3113),
    [sym_class_declaration] = STATE(1220),
    [sym_function_expression] = STATE(3113),
    [sym_function_declaration] = STATE(1220),
    [sym_generator_function] = STATE(3113),
    [sym_generator_function_declaration] = STATE(1220),
    [sym_arrow_function] = STATE(3113),
    [sym__call_signature] = STATE(7486),
    [sym_call_expression] = STATE(3113),
    [sym_new_expression] = STATE(3139),
    [sym_await_expression] = STATE(3139),
    [sym_member_expression] = STATE(2177),
    [sym_subscript_expression] = STATE(2177),
    [sym_assignment_expression] = STATE(3139),
    [sym__augmented_assignment_lhs] = STATE(3835),
    [sym_augmented_assignment_expression] = STATE(3139),
    [sym__destructuring_pattern] = STATE(7484),
    [sym_ternary_expression] = STATE(3139),
    [sym_binary_expression] = STATE(3139),
    [sym_unary_expression] = STATE(3139),
    [sym_update_expression] = STATE(3139),
    [sym_sequence_expression] = STATE(6631),
    [sym_string] = STATE(3113),
    [sym_comment] = STATE(103),
    [sym_template_string] = STATE(3113),
    [sym_regex] = STATE(3113),
    [sym_meta_property] = STATE(3113),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2177),
    [sym_function_signature] = STATE(1220),
    [sym_as_expression] = STATE(3139),
    [sym_satisfies_expression] = STATE(3139),
    [sym_instantiation_expression] = STATE(3139),
    [sym_ambient_declaration] = STATE(1220),
    [sym_abstract_class_declaration] = STATE(1220),
    [sym_module] = STATE(1220),
    [sym_internal_module] = STATE(415),
    [sym_import_alias] = STATE(1220),
    [sym_interface_declaration] = STATE(1220),
    [sym_enum_declaration] = STATE(1220),
    [sym_type_alias_declaration] = STATE(1220),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(4863),
    [sym_identifier] = ACTIONS(828),
    [anon_sym_export] = ACTIONS(830),
    [anon_sym_type] = ACTIONS(832),
    [anon_sym_namespace] = ACTIONS(834),
    [anon_sym_LBRACE] = ACTIONS(836),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(838),
    [anon_sym_with] = ACTIONS(840),
    [anon_sym_var] = ACTIONS(842),
    [anon_sym_let] = ACTIONS(844),
    [anon_sym_const] = ACTIONS(846),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(848),
    [anon_sym_switch] = ACTIONS(850),
    [anon_sym_for] = ACTIONS(852),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(854),
    [anon_sym_do] = ACTIONS(856),
    [anon_sym_try] = ACTIONS(858),
    [anon_sym_break] = ACTIONS(860),
    [anon_sym_continue] = ACTIONS(862),
    [anon_sym_debugger] = ACTIONS(864),
    [anon_sym_return] = ACTIONS(866),
    [anon_sym_throw] = ACTIONS(868),
    [anon_sym_SEMI] = ACTIONS(870),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(872),
    [anon_sym_async] = ACTIONS(874),
    [anon_sym_function] = ACTIONS(876),
    [anon_sym_new] = ACTIONS(878),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(880),
    [anon_sym_readonly] = ACTIONS(880),
    [anon_sym_get] = ACTIONS(880),
    [anon_sym_set] = ACTIONS(880),
    [anon_sym_declare] = ACTIONS(882),
    [anon_sym_public] = ACTIONS(880),
    [anon_sym_private] = ACTIONS(880),
    [anon_sym_protected] = ACTIONS(880),
    [anon_sym_override] = ACTIONS(880),
    [anon_sym_module] = ACTIONS(884),
    [anon_sym_any] = ACTIONS(880),
    [anon_sym_number] = ACTIONS(880),
    [anon_sym_boolean] = ACTIONS(880),
    [anon_sym_string] = ACTIONS(880),
    [anon_sym_symbol] = ACTIONS(880),
    [anon_sym_object] = ACTIONS(880),
    [anon_sym_abstract] = ACTIONS(886),
    [anon_sym_interface] = ACTIONS(888),
    [anon_sym_enum] = ACTIONS(890),
    [sym_html_comment] = ACTIONS(5),
  },
  [104] = {
    [sym_export_statement] = STATE(981),
    [sym_declaration] = STATE(990),
    [sym_import] = STATE(4369),
    [sym_import_statement] = STATE(1000),
    [sym_expression_statement] = STATE(1025),
    [sym_variable_declaration] = STATE(1105),
    [sym_lexical_declaration] = STATE(1105),
    [sym_statement_block] = STATE(1040),
    [sym_if_statement] = STATE(1049),
    [sym_switch_statement] = STATE(1052),
    [sym_for_statement] = STATE(1054),
    [sym_for_in_statement] = STATE(1055),
    [sym_while_statement] = STATE(1056),
    [sym_do_statement] = STATE(1061),
    [sym_try_statement] = STATE(1062),
    [sym_with_statement] = STATE(1063),
    [sym_break_statement] = STATE(1074),
    [sym_continue_statement] = STATE(1075),
    [sym_debugger_statement] = STATE(1076),
    [sym_return_statement] = STATE(1085),
    [sym_throw_statement] = STATE(1086),
    [sym_empty_statement] = STATE(1088),
    [sym_labeled_statement] = STATE(1097),
    [sym_parenthesized_expression] = STATE(2177),
    [sym_expression] = STATE(2661),
    [sym_primary_expression] = STATE(2990),
    [sym_yield_expression] = STATE(3139),
    [sym_object] = STATE(3113),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(3113),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(3139),
    [sym_glimmer_opening_tag] = STATE(5702),
    [sym_jsx_element] = STATE(3139),
    [sym_jsx_opening_element] = STATE(4008),
    [sym_jsx_self_closing_element] = STATE(3139),
    [sym_class] = STATE(3113),
    [sym_class_declaration] = STATE(1105),
    [sym_function_expression] = STATE(3113),
    [sym_function_declaration] = STATE(1105),
    [sym_generator_function] = STATE(3113),
    [sym_generator_function_declaration] = STATE(1105),
    [sym_arrow_function] = STATE(3113),
    [sym__call_signature] = STATE(7486),
    [sym_call_expression] = STATE(3113),
    [sym_new_expression] = STATE(3139),
    [sym_await_expression] = STATE(3139),
    [sym_member_expression] = STATE(2177),
    [sym_subscript_expression] = STATE(2177),
    [sym_assignment_expression] = STATE(3139),
    [sym__augmented_assignment_lhs] = STATE(3835),
    [sym_augmented_assignment_expression] = STATE(3139),
    [sym__destructuring_pattern] = STATE(7484),
    [sym_ternary_expression] = STATE(3139),
    [sym_binary_expression] = STATE(3139),
    [sym_unary_expression] = STATE(3139),
    [sym_update_expression] = STATE(3139),
    [sym_sequence_expression] = STATE(6537),
    [sym_string] = STATE(3113),
    [sym_comment] = STATE(104),
    [sym_template_string] = STATE(3113),
    [sym_regex] = STATE(3113),
    [sym_meta_property] = STATE(3113),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2177),
    [sym_function_signature] = STATE(1105),
    [sym_as_expression] = STATE(3139),
    [sym_satisfies_expression] = STATE(3139),
    [sym_instantiation_expression] = STATE(3139),
    [sym_ambient_declaration] = STATE(1105),
    [sym_abstract_class_declaration] = STATE(1105),
    [sym_module] = STATE(1105),
    [sym_internal_module] = STATE(315),
    [sym_import_alias] = STATE(1105),
    [sym_interface_declaration] = STATE(1105),
    [sym_enum_declaration] = STATE(1105),
    [sym_type_alias_declaration] = STATE(1105),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(4985),
    [sym_identifier] = ACTIONS(764),
    [anon_sym_export] = ACTIONS(766),
    [anon_sym_type] = ACTIONS(768),
    [anon_sym_namespace] = ACTIONS(770),
    [anon_sym_LBRACE] = ACTIONS(772),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(774),
    [anon_sym_with] = ACTIONS(776),
    [anon_sym_var] = ACTIONS(778),
    [anon_sym_let] = ACTIONS(780),
    [anon_sym_const] = ACTIONS(782),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(784),
    [anon_sym_switch] = ACTIONS(786),
    [anon_sym_for] = ACTIONS(788),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(790),
    [anon_sym_do] = ACTIONS(792),
    [anon_sym_try] = ACTIONS(794),
    [anon_sym_break] = ACTIONS(796),
    [anon_sym_continue] = ACTIONS(798),
    [anon_sym_debugger] = ACTIONS(800),
    [anon_sym_return] = ACTIONS(802),
    [anon_sym_throw] = ACTIONS(804),
    [anon_sym_SEMI] = ACTIONS(806),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(808),
    [anon_sym_async] = ACTIONS(810),
    [anon_sym_function] = ACTIONS(812),
    [anon_sym_new] = ACTIONS(814),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(816),
    [anon_sym_readonly] = ACTIONS(816),
    [anon_sym_get] = ACTIONS(816),
    [anon_sym_set] = ACTIONS(816),
    [anon_sym_declare] = ACTIONS(818),
    [anon_sym_public] = ACTIONS(816),
    [anon_sym_private] = ACTIONS(816),
    [anon_sym_protected] = ACTIONS(816),
    [anon_sym_override] = ACTIONS(816),
    [anon_sym_module] = ACTIONS(820),
    [anon_sym_any] = ACTIONS(816),
    [anon_sym_number] = ACTIONS(816),
    [anon_sym_boolean] = ACTIONS(816),
    [anon_sym_string] = ACTIONS(816),
    [anon_sym_symbol] = ACTIONS(816),
    [anon_sym_object] = ACTIONS(816),
    [anon_sym_abstract] = ACTIONS(822),
    [anon_sym_interface] = ACTIONS(824),
    [anon_sym_enum] = ACTIONS(826),
    [sym_html_comment] = ACTIONS(5),
  },
  [105] = {
    [sym_export_statement] = STATE(6883),
    [sym_declaration] = STATE(6883),
    [sym_import] = STATE(4369),
    [sym_import_statement] = STATE(6883),
    [sym_expression_statement] = STATE(6883),
    [sym_variable_declaration] = STATE(6895),
    [sym_lexical_declaration] = STATE(6895),
    [sym_statement_block] = STATE(6883),
    [sym_if_statement] = STATE(6883),
    [sym_switch_statement] = STATE(6883),
    [sym_for_statement] = STATE(6883),
    [sym_for_in_statement] = STATE(6883),
    [sym_while_statement] = STATE(6883),
    [sym_do_statement] = STATE(6883),
    [sym_try_statement] = STATE(6883),
    [sym_with_statement] = STATE(6883),
    [sym_break_statement] = STATE(6883),
    [sym_continue_statement] = STATE(6883),
    [sym_debugger_statement] = STATE(6883),
    [sym_return_statement] = STATE(6883),
    [sym_throw_statement] = STATE(6883),
    [sym_empty_statement] = STATE(6883),
    [sym_labeled_statement] = STATE(6883),
    [sym_parenthesized_expression] = STATE(2177),
    [sym_expression] = STATE(2577),
    [sym_primary_expression] = STATE(2990),
    [sym_yield_expression] = STATE(3139),
    [sym_object] = STATE(3113),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(3113),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(3139),
    [sym_glimmer_opening_tag] = STATE(5702),
    [sym_jsx_element] = STATE(3139),
    [sym_jsx_opening_element] = STATE(4008),
    [sym_jsx_self_closing_element] = STATE(3139),
    [sym_class] = STATE(3113),
    [sym_class_declaration] = STATE(6895),
    [sym_function_expression] = STATE(3113),
    [sym_function_declaration] = STATE(6895),
    [sym_generator_function] = STATE(3113),
    [sym_generator_function_declaration] = STATE(6895),
    [sym_arrow_function] = STATE(3113),
    [sym__call_signature] = STATE(7486),
    [sym_call_expression] = STATE(3113),
    [sym_new_expression] = STATE(3139),
    [sym_await_expression] = STATE(3139),
    [sym_member_expression] = STATE(2177),
    [sym_subscript_expression] = STATE(2177),
    [sym_assignment_expression] = STATE(3139),
    [sym__augmented_assignment_lhs] = STATE(3835),
    [sym_augmented_assignment_expression] = STATE(3139),
    [sym__destructuring_pattern] = STATE(7484),
    [sym_ternary_expression] = STATE(3139),
    [sym_binary_expression] = STATE(3139),
    [sym_unary_expression] = STATE(3139),
    [sym_update_expression] = STATE(3139),
    [sym_sequence_expression] = STATE(6529),
    [sym_string] = STATE(3113),
    [sym_comment] = STATE(105),
    [sym_template_string] = STATE(3113),
    [sym_regex] = STATE(3113),
    [sym_meta_property] = STATE(3113),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2177),
    [sym_function_signature] = STATE(6895),
    [sym_as_expression] = STATE(3139),
    [sym_satisfies_expression] = STATE(3139),
    [sym_instantiation_expression] = STATE(3139),
    [sym_ambient_declaration] = STATE(6895),
    [sym_abstract_class_declaration] = STATE(6895),
    [sym_module] = STATE(6895),
    [sym_internal_module] = STATE(3105),
    [sym_import_alias] = STATE(6895),
    [sym_interface_declaration] = STATE(6895),
    [sym_enum_declaration] = STATE(6895),
    [sym_type_alias_declaration] = STATE(6895),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(4783),
    [sym_identifier] = ACTIONS(892),
    [anon_sym_export] = ACTIONS(894),
    [anon_sym_type] = ACTIONS(896),
    [anon_sym_namespace] = ACTIONS(898),
    [anon_sym_LBRACE] = ACTIONS(900),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(902),
    [anon_sym_with] = ACTIONS(904),
    [anon_sym_var] = ACTIONS(906),
    [anon_sym_let] = ACTIONS(908),
    [anon_sym_const] = ACTIONS(910),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(912),
    [anon_sym_switch] = ACTIONS(914),
    [anon_sym_for] = ACTIONS(916),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(918),
    [anon_sym_do] = ACTIONS(920),
    [anon_sym_try] = ACTIONS(922),
    [anon_sym_break] = ACTIONS(924),
    [anon_sym_continue] = ACTIONS(926),
    [anon_sym_debugger] = ACTIONS(928),
    [anon_sym_return] = ACTIONS(930),
    [anon_sym_throw] = ACTIONS(932),
    [anon_sym_SEMI] = ACTIONS(934),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(936),
    [anon_sym_async] = ACTIONS(938),
    [anon_sym_function] = ACTIONS(940),
    [anon_sym_new] = ACTIONS(942),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(944),
    [anon_sym_readonly] = ACTIONS(944),
    [anon_sym_get] = ACTIONS(944),
    [anon_sym_set] = ACTIONS(944),
    [anon_sym_declare] = ACTIONS(946),
    [anon_sym_public] = ACTIONS(944),
    [anon_sym_private] = ACTIONS(944),
    [anon_sym_protected] = ACTIONS(944),
    [anon_sym_override] = ACTIONS(944),
    [anon_sym_module] = ACTIONS(948),
    [anon_sym_any] = ACTIONS(944),
    [anon_sym_number] = ACTIONS(944),
    [anon_sym_boolean] = ACTIONS(944),
    [anon_sym_string] = ACTIONS(944),
    [anon_sym_symbol] = ACTIONS(944),
    [anon_sym_object] = ACTIONS(944),
    [anon_sym_abstract] = ACTIONS(950),
    [anon_sym_interface] = ACTIONS(952),
    [anon_sym_enum] = ACTIONS(954),
    [sym_html_comment] = ACTIONS(5),
  },
  [106] = {
    [sym_export_statement] = STATE(7176),
    [sym_declaration] = STATE(7176),
    [sym_import] = STATE(4369),
    [sym_import_statement] = STATE(7176),
    [sym_expression_statement] = STATE(7176),
    [sym_variable_declaration] = STATE(6895),
    [sym_lexical_declaration] = STATE(6895),
    [sym_statement_block] = STATE(7176),
    [sym_if_statement] = STATE(7176),
    [sym_switch_statement] = STATE(7176),
    [sym_for_statement] = STATE(7176),
    [sym_for_in_statement] = STATE(7176),
    [sym_while_statement] = STATE(7176),
    [sym_do_statement] = STATE(7176),
    [sym_try_statement] = STATE(7176),
    [sym_with_statement] = STATE(7176),
    [sym_break_statement] = STATE(7176),
    [sym_continue_statement] = STATE(7176),
    [sym_debugger_statement] = STATE(7176),
    [sym_return_statement] = STATE(7176),
    [sym_throw_statement] = STATE(7176),
    [sym_empty_statement] = STATE(7176),
    [sym_labeled_statement] = STATE(7176),
    [sym_parenthesized_expression] = STATE(2177),
    [sym_expression] = STATE(2577),
    [sym_primary_expression] = STATE(2990),
    [sym_yield_expression] = STATE(3139),
    [sym_object] = STATE(3113),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(3113),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(3139),
    [sym_glimmer_opening_tag] = STATE(5702),
    [sym_jsx_element] = STATE(3139),
    [sym_jsx_opening_element] = STATE(4008),
    [sym_jsx_self_closing_element] = STATE(3139),
    [sym_class] = STATE(3113),
    [sym_class_declaration] = STATE(6895),
    [sym_function_expression] = STATE(3113),
    [sym_function_declaration] = STATE(6895),
    [sym_generator_function] = STATE(3113),
    [sym_generator_function_declaration] = STATE(6895),
    [sym_arrow_function] = STATE(3113),
    [sym__call_signature] = STATE(7486),
    [sym_call_expression] = STATE(3113),
    [sym_new_expression] = STATE(3139),
    [sym_await_expression] = STATE(3139),
    [sym_member_expression] = STATE(2177),
    [sym_subscript_expression] = STATE(2177),
    [sym_assignment_expression] = STATE(3139),
    [sym__augmented_assignment_lhs] = STATE(3835),
    [sym_augmented_assignment_expression] = STATE(3139),
    [sym__destructuring_pattern] = STATE(7484),
    [sym_ternary_expression] = STATE(3139),
    [sym_binary_expression] = STATE(3139),
    [sym_unary_expression] = STATE(3139),
    [sym_update_expression] = STATE(3139),
    [sym_sequence_expression] = STATE(6529),
    [sym_string] = STATE(3113),
    [sym_comment] = STATE(106),
    [sym_template_string] = STATE(3113),
    [sym_regex] = STATE(3113),
    [sym_meta_property] = STATE(3113),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2177),
    [sym_function_signature] = STATE(6895),
    [sym_as_expression] = STATE(3139),
    [sym_satisfies_expression] = STATE(3139),
    [sym_instantiation_expression] = STATE(3139),
    [sym_ambient_declaration] = STATE(6895),
    [sym_abstract_class_declaration] = STATE(6895),
    [sym_module] = STATE(6895),
    [sym_internal_module] = STATE(3105),
    [sym_import_alias] = STATE(6895),
    [sym_interface_declaration] = STATE(6895),
    [sym_enum_declaration] = STATE(6895),
    [sym_type_alias_declaration] = STATE(6895),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(4783),
    [sym_identifier] = ACTIONS(892),
    [anon_sym_export] = ACTIONS(894),
    [anon_sym_type] = ACTIONS(896),
    [anon_sym_namespace] = ACTIONS(898),
    [anon_sym_LBRACE] = ACTIONS(900),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(902),
    [anon_sym_with] = ACTIONS(904),
    [anon_sym_var] = ACTIONS(906),
    [anon_sym_let] = ACTIONS(908),
    [anon_sym_const] = ACTIONS(910),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(912),
    [anon_sym_switch] = ACTIONS(914),
    [anon_sym_for] = ACTIONS(916),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(918),
    [anon_sym_do] = ACTIONS(920),
    [anon_sym_try] = ACTIONS(922),
    [anon_sym_break] = ACTIONS(924),
    [anon_sym_continue] = ACTIONS(926),
    [anon_sym_debugger] = ACTIONS(928),
    [anon_sym_return] = ACTIONS(930),
    [anon_sym_throw] = ACTIONS(932),
    [anon_sym_SEMI] = ACTIONS(934),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(936),
    [anon_sym_async] = ACTIONS(938),
    [anon_sym_function] = ACTIONS(940),
    [anon_sym_new] = ACTIONS(942),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(944),
    [anon_sym_readonly] = ACTIONS(944),
    [anon_sym_get] = ACTIONS(944),
    [anon_sym_set] = ACTIONS(944),
    [anon_sym_declare] = ACTIONS(946),
    [anon_sym_public] = ACTIONS(944),
    [anon_sym_private] = ACTIONS(944),
    [anon_sym_protected] = ACTIONS(944),
    [anon_sym_override] = ACTIONS(944),
    [anon_sym_module] = ACTIONS(948),
    [anon_sym_any] = ACTIONS(944),
    [anon_sym_number] = ACTIONS(944),
    [anon_sym_boolean] = ACTIONS(944),
    [anon_sym_string] = ACTIONS(944),
    [anon_sym_symbol] = ACTIONS(944),
    [anon_sym_object] = ACTIONS(944),
    [anon_sym_abstract] = ACTIONS(950),
    [anon_sym_interface] = ACTIONS(952),
    [anon_sym_enum] = ACTIONS(954),
    [sym_html_comment] = ACTIONS(5),
  },
  [107] = {
    [sym_export_statement] = STATE(7146),
    [sym_declaration] = STATE(7139),
    [sym_import] = STATE(4369),
    [sym_import_statement] = STATE(7137),
    [sym_expression_statement] = STATE(7132),
    [sym_variable_declaration] = STATE(6895),
    [sym_lexical_declaration] = STATE(6895),
    [sym_statement_block] = STATE(7124),
    [sym_if_statement] = STATE(7118),
    [sym_switch_statement] = STATE(7114),
    [sym_for_statement] = STATE(7107),
    [sym_for_in_statement] = STATE(7101),
    [sym_while_statement] = STATE(7100),
    [sym_do_statement] = STATE(7096),
    [sym_try_statement] = STATE(7094),
    [sym_with_statement] = STATE(7093),
    [sym_break_statement] = STATE(7087),
    [sym_continue_statement] = STATE(7015),
    [sym_debugger_statement] = STATE(7076),
    [sym_return_statement] = STATE(7072),
    [sym_throw_statement] = STATE(7070),
    [sym_empty_statement] = STATE(7066),
    [sym_labeled_statement] = STATE(7065),
    [sym_parenthesized_expression] = STATE(2177),
    [sym_expression] = STATE(2577),
    [sym_primary_expression] = STATE(2990),
    [sym_yield_expression] = STATE(3139),
    [sym_object] = STATE(3113),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(3113),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(3139),
    [sym_glimmer_opening_tag] = STATE(5702),
    [sym_jsx_element] = STATE(3139),
    [sym_jsx_opening_element] = STATE(4008),
    [sym_jsx_self_closing_element] = STATE(3139),
    [sym_class] = STATE(3113),
    [sym_class_declaration] = STATE(6895),
    [sym_function_expression] = STATE(3113),
    [sym_function_declaration] = STATE(6895),
    [sym_generator_function] = STATE(3113),
    [sym_generator_function_declaration] = STATE(6895),
    [sym_arrow_function] = STATE(3113),
    [sym__call_signature] = STATE(7486),
    [sym_call_expression] = STATE(3113),
    [sym_new_expression] = STATE(3139),
    [sym_await_expression] = STATE(3139),
    [sym_member_expression] = STATE(2177),
    [sym_subscript_expression] = STATE(2177),
    [sym_assignment_expression] = STATE(3139),
    [sym__augmented_assignment_lhs] = STATE(3835),
    [sym_augmented_assignment_expression] = STATE(3139),
    [sym__destructuring_pattern] = STATE(7484),
    [sym_ternary_expression] = STATE(3139),
    [sym_binary_expression] = STATE(3139),
    [sym_unary_expression] = STATE(3139),
    [sym_update_expression] = STATE(3139),
    [sym_sequence_expression] = STATE(6529),
    [sym_string] = STATE(3113),
    [sym_comment] = STATE(107),
    [sym_template_string] = STATE(3113),
    [sym_regex] = STATE(3113),
    [sym_meta_property] = STATE(3113),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2177),
    [sym_function_signature] = STATE(6895),
    [sym_as_expression] = STATE(3139),
    [sym_satisfies_expression] = STATE(3139),
    [sym_instantiation_expression] = STATE(3139),
    [sym_ambient_declaration] = STATE(6895),
    [sym_abstract_class_declaration] = STATE(6895),
    [sym_module] = STATE(6895),
    [sym_internal_module] = STATE(3105),
    [sym_import_alias] = STATE(6895),
    [sym_interface_declaration] = STATE(6895),
    [sym_enum_declaration] = STATE(6895),
    [sym_type_alias_declaration] = STATE(6895),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(4783),
    [sym_identifier] = ACTIONS(892),
    [anon_sym_export] = ACTIONS(894),
    [anon_sym_type] = ACTIONS(896),
    [anon_sym_namespace] = ACTIONS(898),
    [anon_sym_LBRACE] = ACTIONS(900),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(902),
    [anon_sym_with] = ACTIONS(904),
    [anon_sym_var] = ACTIONS(906),
    [anon_sym_let] = ACTIONS(908),
    [anon_sym_const] = ACTIONS(910),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(912),
    [anon_sym_switch] = ACTIONS(914),
    [anon_sym_for] = ACTIONS(916),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(918),
    [anon_sym_do] = ACTIONS(920),
    [anon_sym_try] = ACTIONS(922),
    [anon_sym_break] = ACTIONS(924),
    [anon_sym_continue] = ACTIONS(926),
    [anon_sym_debugger] = ACTIONS(928),
    [anon_sym_return] = ACTIONS(930),
    [anon_sym_throw] = ACTIONS(932),
    [anon_sym_SEMI] = ACTIONS(934),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(936),
    [anon_sym_async] = ACTIONS(938),
    [anon_sym_function] = ACTIONS(940),
    [anon_sym_new] = ACTIONS(942),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(944),
    [anon_sym_readonly] = ACTIONS(944),
    [anon_sym_get] = ACTIONS(944),
    [anon_sym_set] = ACTIONS(944),
    [anon_sym_declare] = ACTIONS(946),
    [anon_sym_public] = ACTIONS(944),
    [anon_sym_private] = ACTIONS(944),
    [anon_sym_protected] = ACTIONS(944),
    [anon_sym_override] = ACTIONS(944),
    [anon_sym_module] = ACTIONS(948),
    [anon_sym_any] = ACTIONS(944),
    [anon_sym_number] = ACTIONS(944),
    [anon_sym_boolean] = ACTIONS(944),
    [anon_sym_string] = ACTIONS(944),
    [anon_sym_symbol] = ACTIONS(944),
    [anon_sym_object] = ACTIONS(944),
    [anon_sym_abstract] = ACTIONS(950),
    [anon_sym_interface] = ACTIONS(952),
    [anon_sym_enum] = ACTIONS(954),
    [sym_html_comment] = ACTIONS(5),
  },
  [108] = {
    [sym_export_statement] = STATE(1107),
    [sym_declaration] = STATE(1107),
    [sym_import] = STATE(4369),
    [sym_import_statement] = STATE(1107),
    [sym_expression_statement] = STATE(1107),
    [sym_variable_declaration] = STATE(1105),
    [sym_lexical_declaration] = STATE(1105),
    [sym_statement_block] = STATE(1107),
    [sym_if_statement] = STATE(1107),
    [sym_switch_statement] = STATE(1107),
    [sym_for_statement] = STATE(1107),
    [sym_for_in_statement] = STATE(1107),
    [sym_while_statement] = STATE(1107),
    [sym_do_statement] = STATE(1107),
    [sym_try_statement] = STATE(1107),
    [sym_with_statement] = STATE(1107),
    [sym_break_statement] = STATE(1107),
    [sym_continue_statement] = STATE(1107),
    [sym_debugger_statement] = STATE(1107),
    [sym_return_statement] = STATE(1107),
    [sym_throw_statement] = STATE(1107),
    [sym_empty_statement] = STATE(1107),
    [sym_labeled_statement] = STATE(1107),
    [sym_parenthesized_expression] = STATE(2177),
    [sym_expression] = STATE(2661),
    [sym_primary_expression] = STATE(2990),
    [sym_yield_expression] = STATE(3139),
    [sym_object] = STATE(3113),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(3113),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(3139),
    [sym_glimmer_opening_tag] = STATE(5702),
    [sym_jsx_element] = STATE(3139),
    [sym_jsx_opening_element] = STATE(4008),
    [sym_jsx_self_closing_element] = STATE(3139),
    [sym_class] = STATE(3113),
    [sym_class_declaration] = STATE(1105),
    [sym_function_expression] = STATE(3113),
    [sym_function_declaration] = STATE(1105),
    [sym_generator_function] = STATE(3113),
    [sym_generator_function_declaration] = STATE(1105),
    [sym_arrow_function] = STATE(3113),
    [sym__call_signature] = STATE(7486),
    [sym_call_expression] = STATE(3113),
    [sym_new_expression] = STATE(3139),
    [sym_await_expression] = STATE(3139),
    [sym_member_expression] = STATE(2177),
    [sym_subscript_expression] = STATE(2177),
    [sym_assignment_expression] = STATE(3139),
    [sym__augmented_assignment_lhs] = STATE(3835),
    [sym_augmented_assignment_expression] = STATE(3139),
    [sym__destructuring_pattern] = STATE(7484),
    [sym_ternary_expression] = STATE(3139),
    [sym_binary_expression] = STATE(3139),
    [sym_unary_expression] = STATE(3139),
    [sym_update_expression] = STATE(3139),
    [sym_sequence_expression] = STATE(6537),
    [sym_string] = STATE(3113),
    [sym_comment] = STATE(108),
    [sym_template_string] = STATE(3113),
    [sym_regex] = STATE(3113),
    [sym_meta_property] = STATE(3113),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2177),
    [sym_function_signature] = STATE(1105),
    [sym_as_expression] = STATE(3139),
    [sym_satisfies_expression] = STATE(3139),
    [sym_instantiation_expression] = STATE(3139),
    [sym_ambient_declaration] = STATE(1105),
    [sym_abstract_class_declaration] = STATE(1105),
    [sym_module] = STATE(1105),
    [sym_internal_module] = STATE(315),
    [sym_import_alias] = STATE(1105),
    [sym_interface_declaration] = STATE(1105),
    [sym_enum_declaration] = STATE(1105),
    [sym_type_alias_declaration] = STATE(1105),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(4985),
    [sym_identifier] = ACTIONS(764),
    [anon_sym_export] = ACTIONS(766),
    [anon_sym_type] = ACTIONS(768),
    [anon_sym_namespace] = ACTIONS(770),
    [anon_sym_LBRACE] = ACTIONS(772),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(774),
    [anon_sym_with] = ACTIONS(776),
    [anon_sym_var] = ACTIONS(778),
    [anon_sym_let] = ACTIONS(780),
    [anon_sym_const] = ACTIONS(782),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(784),
    [anon_sym_switch] = ACTIONS(786),
    [anon_sym_for] = ACTIONS(788),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(790),
    [anon_sym_do] = ACTIONS(792),
    [anon_sym_try] = ACTIONS(794),
    [anon_sym_break] = ACTIONS(796),
    [anon_sym_continue] = ACTIONS(798),
    [anon_sym_debugger] = ACTIONS(800),
    [anon_sym_return] = ACTIONS(802),
    [anon_sym_throw] = ACTIONS(804),
    [anon_sym_SEMI] = ACTIONS(806),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(808),
    [anon_sym_async] = ACTIONS(810),
    [anon_sym_function] = ACTIONS(812),
    [anon_sym_new] = ACTIONS(814),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(816),
    [anon_sym_readonly] = ACTIONS(816),
    [anon_sym_get] = ACTIONS(816),
    [anon_sym_set] = ACTIONS(816),
    [anon_sym_declare] = ACTIONS(818),
    [anon_sym_public] = ACTIONS(816),
    [anon_sym_private] = ACTIONS(816),
    [anon_sym_protected] = ACTIONS(816),
    [anon_sym_override] = ACTIONS(816),
    [anon_sym_module] = ACTIONS(820),
    [anon_sym_any] = ACTIONS(816),
    [anon_sym_number] = ACTIONS(816),
    [anon_sym_boolean] = ACTIONS(816),
    [anon_sym_string] = ACTIONS(816),
    [anon_sym_symbol] = ACTIONS(816),
    [anon_sym_object] = ACTIONS(816),
    [anon_sym_abstract] = ACTIONS(822),
    [anon_sym_interface] = ACTIONS(824),
    [anon_sym_enum] = ACTIONS(826),
    [sym_html_comment] = ACTIONS(5),
  },
  [109] = {
    [sym_export_statement] = STATE(1125),
    [sym_declaration] = STATE(1125),
    [sym_import] = STATE(4369),
    [sym_import_statement] = STATE(1125),
    [sym_expression_statement] = STATE(1125),
    [sym_variable_declaration] = STATE(1220),
    [sym_lexical_declaration] = STATE(1220),
    [sym_statement_block] = STATE(1125),
    [sym_if_statement] = STATE(1125),
    [sym_switch_statement] = STATE(1125),
    [sym_for_statement] = STATE(1125),
    [sym_for_in_statement] = STATE(1125),
    [sym_while_statement] = STATE(1125),
    [sym_do_statement] = STATE(1125),
    [sym_try_statement] = STATE(1125),
    [sym_with_statement] = STATE(1125),
    [sym_break_statement] = STATE(1125),
    [sym_continue_statement] = STATE(1125),
    [sym_debugger_statement] = STATE(1125),
    [sym_return_statement] = STATE(1125),
    [sym_throw_statement] = STATE(1125),
    [sym_empty_statement] = STATE(1125),
    [sym_labeled_statement] = STATE(1125),
    [sym_parenthesized_expression] = STATE(2177),
    [sym_expression] = STATE(2695),
    [sym_primary_expression] = STATE(2990),
    [sym_yield_expression] = STATE(3139),
    [sym_object] = STATE(3113),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(3113),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(3139),
    [sym_glimmer_opening_tag] = STATE(5702),
    [sym_jsx_element] = STATE(3139),
    [sym_jsx_opening_element] = STATE(4008),
    [sym_jsx_self_closing_element] = STATE(3139),
    [sym_class] = STATE(3113),
    [sym_class_declaration] = STATE(1220),
    [sym_function_expression] = STATE(3113),
    [sym_function_declaration] = STATE(1220),
    [sym_generator_function] = STATE(3113),
    [sym_generator_function_declaration] = STATE(1220),
    [sym_arrow_function] = STATE(3113),
    [sym__call_signature] = STATE(7486),
    [sym_call_expression] = STATE(3113),
    [sym_new_expression] = STATE(3139),
    [sym_await_expression] = STATE(3139),
    [sym_member_expression] = STATE(2177),
    [sym_subscript_expression] = STATE(2177),
    [sym_assignment_expression] = STATE(3139),
    [sym__augmented_assignment_lhs] = STATE(3835),
    [sym_augmented_assignment_expression] = STATE(3139),
    [sym__destructuring_pattern] = STATE(7484),
    [sym_ternary_expression] = STATE(3139),
    [sym_binary_expression] = STATE(3139),
    [sym_unary_expression] = STATE(3139),
    [sym_update_expression] = STATE(3139),
    [sym_sequence_expression] = STATE(6631),
    [sym_string] = STATE(3113),
    [sym_comment] = STATE(109),
    [sym_template_string] = STATE(3113),
    [sym_regex] = STATE(3113),
    [sym_meta_property] = STATE(3113),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2177),
    [sym_function_signature] = STATE(1220),
    [sym_as_expression] = STATE(3139),
    [sym_satisfies_expression] = STATE(3139),
    [sym_instantiation_expression] = STATE(3139),
    [sym_ambient_declaration] = STATE(1220),
    [sym_abstract_class_declaration] = STATE(1220),
    [sym_module] = STATE(1220),
    [sym_internal_module] = STATE(415),
    [sym_import_alias] = STATE(1220),
    [sym_interface_declaration] = STATE(1220),
    [sym_enum_declaration] = STATE(1220),
    [sym_type_alias_declaration] = STATE(1220),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(4863),
    [sym_identifier] = ACTIONS(828),
    [anon_sym_export] = ACTIONS(830),
    [anon_sym_type] = ACTIONS(832),
    [anon_sym_namespace] = ACTIONS(834),
    [anon_sym_LBRACE] = ACTIONS(836),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(838),
    [anon_sym_with] = ACTIONS(840),
    [anon_sym_var] = ACTIONS(842),
    [anon_sym_let] = ACTIONS(844),
    [anon_sym_const] = ACTIONS(846),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(848),
    [anon_sym_switch] = ACTIONS(850),
    [anon_sym_for] = ACTIONS(852),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(854),
    [anon_sym_do] = ACTIONS(856),
    [anon_sym_try] = ACTIONS(858),
    [anon_sym_break] = ACTIONS(860),
    [anon_sym_continue] = ACTIONS(862),
    [anon_sym_debugger] = ACTIONS(864),
    [anon_sym_return] = ACTIONS(866),
    [anon_sym_throw] = ACTIONS(868),
    [anon_sym_SEMI] = ACTIONS(870),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(872),
    [anon_sym_async] = ACTIONS(874),
    [anon_sym_function] = ACTIONS(876),
    [anon_sym_new] = ACTIONS(878),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(880),
    [anon_sym_readonly] = ACTIONS(880),
    [anon_sym_get] = ACTIONS(880),
    [anon_sym_set] = ACTIONS(880),
    [anon_sym_declare] = ACTIONS(882),
    [anon_sym_public] = ACTIONS(880),
    [anon_sym_private] = ACTIONS(880),
    [anon_sym_protected] = ACTIONS(880),
    [anon_sym_override] = ACTIONS(880),
    [anon_sym_module] = ACTIONS(884),
    [anon_sym_any] = ACTIONS(880),
    [anon_sym_number] = ACTIONS(880),
    [anon_sym_boolean] = ACTIONS(880),
    [anon_sym_string] = ACTIONS(880),
    [anon_sym_symbol] = ACTIONS(880),
    [anon_sym_object] = ACTIONS(880),
    [anon_sym_abstract] = ACTIONS(886),
    [anon_sym_interface] = ACTIONS(888),
    [anon_sym_enum] = ACTIONS(890),
    [sym_html_comment] = ACTIONS(5),
  },
  [110] = {
    [sym_export_statement] = STATE(970),
    [sym_declaration] = STATE(970),
    [sym_import] = STATE(4369),
    [sym_import_statement] = STATE(970),
    [sym_expression_statement] = STATE(970),
    [sym_variable_declaration] = STATE(1105),
    [sym_lexical_declaration] = STATE(1105),
    [sym_statement_block] = STATE(970),
    [sym_if_statement] = STATE(970),
    [sym_switch_statement] = STATE(970),
    [sym_for_statement] = STATE(970),
    [sym_for_in_statement] = STATE(970),
    [sym_while_statement] = STATE(970),
    [sym_do_statement] = STATE(970),
    [sym_try_statement] = STATE(970),
    [sym_with_statement] = STATE(970),
    [sym_break_statement] = STATE(970),
    [sym_continue_statement] = STATE(970),
    [sym_debugger_statement] = STATE(970),
    [sym_return_statement] = STATE(970),
    [sym_throw_statement] = STATE(970),
    [sym_empty_statement] = STATE(970),
    [sym_labeled_statement] = STATE(970),
    [sym_parenthesized_expression] = STATE(2177),
    [sym_expression] = STATE(2661),
    [sym_primary_expression] = STATE(2990),
    [sym_yield_expression] = STATE(3139),
    [sym_object] = STATE(3113),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(3113),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(3139),
    [sym_glimmer_opening_tag] = STATE(5702),
    [sym_jsx_element] = STATE(3139),
    [sym_jsx_opening_element] = STATE(4008),
    [sym_jsx_self_closing_element] = STATE(3139),
    [sym_class] = STATE(3113),
    [sym_class_declaration] = STATE(1105),
    [sym_function_expression] = STATE(3113),
    [sym_function_declaration] = STATE(1105),
    [sym_generator_function] = STATE(3113),
    [sym_generator_function_declaration] = STATE(1105),
    [sym_arrow_function] = STATE(3113),
    [sym__call_signature] = STATE(7486),
    [sym_call_expression] = STATE(3113),
    [sym_new_expression] = STATE(3139),
    [sym_await_expression] = STATE(3139),
    [sym_member_expression] = STATE(2177),
    [sym_subscript_expression] = STATE(2177),
    [sym_assignment_expression] = STATE(3139),
    [sym__augmented_assignment_lhs] = STATE(3835),
    [sym_augmented_assignment_expression] = STATE(3139),
    [sym__destructuring_pattern] = STATE(7484),
    [sym_ternary_expression] = STATE(3139),
    [sym_binary_expression] = STATE(3139),
    [sym_unary_expression] = STATE(3139),
    [sym_update_expression] = STATE(3139),
    [sym_sequence_expression] = STATE(6537),
    [sym_string] = STATE(3113),
    [sym_comment] = STATE(110),
    [sym_template_string] = STATE(3113),
    [sym_regex] = STATE(3113),
    [sym_meta_property] = STATE(3113),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2177),
    [sym_function_signature] = STATE(1105),
    [sym_as_expression] = STATE(3139),
    [sym_satisfies_expression] = STATE(3139),
    [sym_instantiation_expression] = STATE(3139),
    [sym_ambient_declaration] = STATE(1105),
    [sym_abstract_class_declaration] = STATE(1105),
    [sym_module] = STATE(1105),
    [sym_internal_module] = STATE(315),
    [sym_import_alias] = STATE(1105),
    [sym_interface_declaration] = STATE(1105),
    [sym_enum_declaration] = STATE(1105),
    [sym_type_alias_declaration] = STATE(1105),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(4985),
    [sym_identifier] = ACTIONS(764),
    [anon_sym_export] = ACTIONS(766),
    [anon_sym_type] = ACTIONS(768),
    [anon_sym_namespace] = ACTIONS(770),
    [anon_sym_LBRACE] = ACTIONS(772),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(774),
    [anon_sym_with] = ACTIONS(776),
    [anon_sym_var] = ACTIONS(778),
    [anon_sym_let] = ACTIONS(780),
    [anon_sym_const] = ACTIONS(782),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(784),
    [anon_sym_switch] = ACTIONS(786),
    [anon_sym_for] = ACTIONS(788),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(790),
    [anon_sym_do] = ACTIONS(792),
    [anon_sym_try] = ACTIONS(794),
    [anon_sym_break] = ACTIONS(796),
    [anon_sym_continue] = ACTIONS(798),
    [anon_sym_debugger] = ACTIONS(800),
    [anon_sym_return] = ACTIONS(802),
    [anon_sym_throw] = ACTIONS(804),
    [anon_sym_SEMI] = ACTIONS(806),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(808),
    [anon_sym_async] = ACTIONS(810),
    [anon_sym_function] = ACTIONS(812),
    [anon_sym_new] = ACTIONS(814),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(816),
    [anon_sym_readonly] = ACTIONS(816),
    [anon_sym_get] = ACTIONS(816),
    [anon_sym_set] = ACTIONS(816),
    [anon_sym_declare] = ACTIONS(818),
    [anon_sym_public] = ACTIONS(816),
    [anon_sym_private] = ACTIONS(816),
    [anon_sym_protected] = ACTIONS(816),
    [anon_sym_override] = ACTIONS(816),
    [anon_sym_module] = ACTIONS(820),
    [anon_sym_any] = ACTIONS(816),
    [anon_sym_number] = ACTIONS(816),
    [anon_sym_boolean] = ACTIONS(816),
    [anon_sym_string] = ACTIONS(816),
    [anon_sym_symbol] = ACTIONS(816),
    [anon_sym_object] = ACTIONS(816),
    [anon_sym_abstract] = ACTIONS(822),
    [anon_sym_interface] = ACTIONS(824),
    [anon_sym_enum] = ACTIONS(826),
    [sym_html_comment] = ACTIONS(5),
  },
  [111] = {
    [sym_export_statement] = STATE(1371),
    [sym_declaration] = STATE(1372),
    [sym_import] = STATE(4369),
    [sym_import_statement] = STATE(1373),
    [sym_expression_statement] = STATE(1374),
    [sym_variable_declaration] = STATE(1220),
    [sym_lexical_declaration] = STATE(1220),
    [sym_statement_block] = STATE(1375),
    [sym_if_statement] = STATE(1376),
    [sym_switch_statement] = STATE(1377),
    [sym_for_statement] = STATE(1378),
    [sym_for_in_statement] = STATE(1381),
    [sym_while_statement] = STATE(1383),
    [sym_do_statement] = STATE(1386),
    [sym_try_statement] = STATE(1388),
    [sym_with_statement] = STATE(1391),
    [sym_break_statement] = STATE(1392),
    [sym_continue_statement] = STATE(1393),
    [sym_debugger_statement] = STATE(1394),
    [sym_return_statement] = STATE(1395),
    [sym_throw_statement] = STATE(1396),
    [sym_empty_statement] = STATE(1401),
    [sym_labeled_statement] = STATE(1403),
    [sym_parenthesized_expression] = STATE(2177),
    [sym_expression] = STATE(2695),
    [sym_primary_expression] = STATE(2990),
    [sym_yield_expression] = STATE(3139),
    [sym_object] = STATE(3113),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(3113),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(3139),
    [sym_glimmer_opening_tag] = STATE(5702),
    [sym_jsx_element] = STATE(3139),
    [sym_jsx_opening_element] = STATE(4008),
    [sym_jsx_self_closing_element] = STATE(3139),
    [sym_class] = STATE(3113),
    [sym_class_declaration] = STATE(1220),
    [sym_function_expression] = STATE(3113),
    [sym_function_declaration] = STATE(1220),
    [sym_generator_function] = STATE(3113),
    [sym_generator_function_declaration] = STATE(1220),
    [sym_arrow_function] = STATE(3113),
    [sym__call_signature] = STATE(7486),
    [sym_call_expression] = STATE(3113),
    [sym_new_expression] = STATE(3139),
    [sym_await_expression] = STATE(3139),
    [sym_member_expression] = STATE(2177),
    [sym_subscript_expression] = STATE(2177),
    [sym_assignment_expression] = STATE(3139),
    [sym__augmented_assignment_lhs] = STATE(3835),
    [sym_augmented_assignment_expression] = STATE(3139),
    [sym__destructuring_pattern] = STATE(7484),
    [sym_ternary_expression] = STATE(3139),
    [sym_binary_expression] = STATE(3139),
    [sym_unary_expression] = STATE(3139),
    [sym_update_expression] = STATE(3139),
    [sym_sequence_expression] = STATE(6631),
    [sym_string] = STATE(3113),
    [sym_comment] = STATE(111),
    [sym_template_string] = STATE(3113),
    [sym_regex] = STATE(3113),
    [sym_meta_property] = STATE(3113),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2177),
    [sym_function_signature] = STATE(1220),
    [sym_as_expression] = STATE(3139),
    [sym_satisfies_expression] = STATE(3139),
    [sym_instantiation_expression] = STATE(3139),
    [sym_ambient_declaration] = STATE(1220),
    [sym_abstract_class_declaration] = STATE(1220),
    [sym_module] = STATE(1220),
    [sym_internal_module] = STATE(415),
    [sym_import_alias] = STATE(1220),
    [sym_interface_declaration] = STATE(1220),
    [sym_enum_declaration] = STATE(1220),
    [sym_type_alias_declaration] = STATE(1220),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(4863),
    [sym_identifier] = ACTIONS(828),
    [anon_sym_export] = ACTIONS(830),
    [anon_sym_type] = ACTIONS(832),
    [anon_sym_namespace] = ACTIONS(834),
    [anon_sym_LBRACE] = ACTIONS(836),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(838),
    [anon_sym_with] = ACTIONS(840),
    [anon_sym_var] = ACTIONS(842),
    [anon_sym_let] = ACTIONS(844),
    [anon_sym_const] = ACTIONS(846),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(848),
    [anon_sym_switch] = ACTIONS(850),
    [anon_sym_for] = ACTIONS(852),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(854),
    [anon_sym_do] = ACTIONS(856),
    [anon_sym_try] = ACTIONS(858),
    [anon_sym_break] = ACTIONS(860),
    [anon_sym_continue] = ACTIONS(862),
    [anon_sym_debugger] = ACTIONS(864),
    [anon_sym_return] = ACTIONS(866),
    [anon_sym_throw] = ACTIONS(868),
    [anon_sym_SEMI] = ACTIONS(870),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(872),
    [anon_sym_async] = ACTIONS(874),
    [anon_sym_function] = ACTIONS(876),
    [anon_sym_new] = ACTIONS(878),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(880),
    [anon_sym_readonly] = ACTIONS(880),
    [anon_sym_get] = ACTIONS(880),
    [anon_sym_set] = ACTIONS(880),
    [anon_sym_declare] = ACTIONS(882),
    [anon_sym_public] = ACTIONS(880),
    [anon_sym_private] = ACTIONS(880),
    [anon_sym_protected] = ACTIONS(880),
    [anon_sym_override] = ACTIONS(880),
    [anon_sym_module] = ACTIONS(884),
    [anon_sym_any] = ACTIONS(880),
    [anon_sym_number] = ACTIONS(880),
    [anon_sym_boolean] = ACTIONS(880),
    [anon_sym_string] = ACTIONS(880),
    [anon_sym_symbol] = ACTIONS(880),
    [anon_sym_object] = ACTIONS(880),
    [anon_sym_abstract] = ACTIONS(886),
    [anon_sym_interface] = ACTIONS(888),
    [anon_sym_enum] = ACTIONS(890),
    [sym_html_comment] = ACTIONS(5),
  },
  [112] = {
    [sym_export_statement] = STATE(1545),
    [sym_declaration] = STATE(1545),
    [sym_import] = STATE(4369),
    [sym_import_statement] = STATE(1545),
    [sym_expression_statement] = STATE(1545),
    [sym_variable_declaration] = STATE(1382),
    [sym_lexical_declaration] = STATE(1382),
    [sym_statement_block] = STATE(1545),
    [sym_if_statement] = STATE(1545),
    [sym_switch_statement] = STATE(1545),
    [sym_for_statement] = STATE(1545),
    [sym_for_in_statement] = STATE(1545),
    [sym_while_statement] = STATE(1545),
    [sym_do_statement] = STATE(1545),
    [sym_try_statement] = STATE(1545),
    [sym_with_statement] = STATE(1545),
    [sym_break_statement] = STATE(1545),
    [sym_continue_statement] = STATE(1545),
    [sym_debugger_statement] = STATE(1545),
    [sym_return_statement] = STATE(1545),
    [sym_throw_statement] = STATE(1545),
    [sym_empty_statement] = STATE(1545),
    [sym_labeled_statement] = STATE(1545),
    [sym_parenthesized_expression] = STATE(2177),
    [sym_expression] = STATE(2668),
    [sym_primary_expression] = STATE(2990),
    [sym_yield_expression] = STATE(3139),
    [sym_object] = STATE(3113),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(3113),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(3139),
    [sym_glimmer_opening_tag] = STATE(5702),
    [sym_jsx_element] = STATE(3139),
    [sym_jsx_opening_element] = STATE(4008),
    [sym_jsx_self_closing_element] = STATE(3139),
    [sym_class] = STATE(3113),
    [sym_class_declaration] = STATE(1382),
    [sym_function_expression] = STATE(3113),
    [sym_function_declaration] = STATE(1382),
    [sym_generator_function] = STATE(3113),
    [sym_generator_function_declaration] = STATE(1382),
    [sym_arrow_function] = STATE(3113),
    [sym__call_signature] = STATE(7486),
    [sym_call_expression] = STATE(3113),
    [sym_new_expression] = STATE(3139),
    [sym_await_expression] = STATE(3139),
    [sym_member_expression] = STATE(2177),
    [sym_subscript_expression] = STATE(2177),
    [sym_assignment_expression] = STATE(3139),
    [sym__augmented_assignment_lhs] = STATE(3835),
    [sym_augmented_assignment_expression] = STATE(3139),
    [sym__destructuring_pattern] = STATE(7484),
    [sym_ternary_expression] = STATE(3139),
    [sym_binary_expression] = STATE(3139),
    [sym_unary_expression] = STATE(3139),
    [sym_update_expression] = STATE(3139),
    [sym_sequence_expression] = STATE(6712),
    [sym_string] = STATE(3113),
    [sym_comment] = STATE(112),
    [sym_template_string] = STATE(3113),
    [sym_regex] = STATE(3113),
    [sym_meta_property] = STATE(3113),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2177),
    [sym_function_signature] = STATE(1382),
    [sym_as_expression] = STATE(3139),
    [sym_satisfies_expression] = STATE(3139),
    [sym_instantiation_expression] = STATE(3139),
    [sym_ambient_declaration] = STATE(1382),
    [sym_abstract_class_declaration] = STATE(1382),
    [sym_module] = STATE(1382),
    [sym_internal_module] = STATE(345),
    [sym_import_alias] = STATE(1382),
    [sym_interface_declaration] = STATE(1382),
    [sym_enum_declaration] = STATE(1382),
    [sym_type_alias_declaration] = STATE(1382),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(4953),
    [sym_identifier] = ACTIONS(337),
    [anon_sym_export] = ACTIONS(339),
    [anon_sym_type] = ACTIONS(343),
    [anon_sym_namespace] = ACTIONS(345),
    [anon_sym_LBRACE] = ACTIONS(347),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(349),
    [anon_sym_with] = ACTIONS(351),
    [anon_sym_var] = ACTIONS(353),
    [anon_sym_let] = ACTIONS(355),
    [anon_sym_const] = ACTIONS(357),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(359),
    [anon_sym_switch] = ACTIONS(361),
    [anon_sym_for] = ACTIONS(363),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(365),
    [anon_sym_do] = ACTIONS(367),
    [anon_sym_try] = ACTIONS(369),
    [anon_sym_break] = ACTIONS(371),
    [anon_sym_continue] = ACTIONS(373),
    [anon_sym_debugger] = ACTIONS(375),
    [anon_sym_return] = ACTIONS(377),
    [anon_sym_throw] = ACTIONS(379),
    [anon_sym_SEMI] = ACTIONS(381),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(383),
    [anon_sym_async] = ACTIONS(385),
    [anon_sym_function] = ACTIONS(387),
    [anon_sym_new] = ACTIONS(389),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(391),
    [anon_sym_readonly] = ACTIONS(391),
    [anon_sym_get] = ACTIONS(391),
    [anon_sym_set] = ACTIONS(391),
    [anon_sym_declare] = ACTIONS(393),
    [anon_sym_public] = ACTIONS(391),
    [anon_sym_private] = ACTIONS(391),
    [anon_sym_protected] = ACTIONS(391),
    [anon_sym_override] = ACTIONS(391),
    [anon_sym_module] = ACTIONS(395),
    [anon_sym_any] = ACTIONS(391),
    [anon_sym_number] = ACTIONS(391),
    [anon_sym_boolean] = ACTIONS(391),
    [anon_sym_string] = ACTIONS(391),
    [anon_sym_symbol] = ACTIONS(391),
    [anon_sym_object] = ACTIONS(391),
    [anon_sym_abstract] = ACTIONS(397),
    [anon_sym_interface] = ACTIONS(399),
    [anon_sym_enum] = ACTIONS(401),
    [sym_html_comment] = ACTIONS(5),
  },
  [113] = {
    [sym_export_statement] = STATE(1507),
    [sym_declaration] = STATE(1507),
    [sym_import] = STATE(4369),
    [sym_import_statement] = STATE(1507),
    [sym_expression_statement] = STATE(1507),
    [sym_variable_declaration] = STATE(1382),
    [sym_lexical_declaration] = STATE(1382),
    [sym_statement_block] = STATE(1507),
    [sym_if_statement] = STATE(1507),
    [sym_switch_statement] = STATE(1507),
    [sym_for_statement] = STATE(1507),
    [sym_for_in_statement] = STATE(1507),
    [sym_while_statement] = STATE(1507),
    [sym_do_statement] = STATE(1507),
    [sym_try_statement] = STATE(1507),
    [sym_with_statement] = STATE(1507),
    [sym_break_statement] = STATE(1507),
    [sym_continue_statement] = STATE(1507),
    [sym_debugger_statement] = STATE(1507),
    [sym_return_statement] = STATE(1507),
    [sym_throw_statement] = STATE(1507),
    [sym_empty_statement] = STATE(1507),
    [sym_labeled_statement] = STATE(1507),
    [sym_parenthesized_expression] = STATE(2177),
    [sym_expression] = STATE(2668),
    [sym_primary_expression] = STATE(2990),
    [sym_yield_expression] = STATE(3139),
    [sym_object] = STATE(3113),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(3113),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(3139),
    [sym_glimmer_opening_tag] = STATE(5702),
    [sym_jsx_element] = STATE(3139),
    [sym_jsx_opening_element] = STATE(4008),
    [sym_jsx_self_closing_element] = STATE(3139),
    [sym_class] = STATE(3113),
    [sym_class_declaration] = STATE(1382),
    [sym_function_expression] = STATE(3113),
    [sym_function_declaration] = STATE(1382),
    [sym_generator_function] = STATE(3113),
    [sym_generator_function_declaration] = STATE(1382),
    [sym_arrow_function] = STATE(3113),
    [sym__call_signature] = STATE(7486),
    [sym_call_expression] = STATE(3113),
    [sym_new_expression] = STATE(3139),
    [sym_await_expression] = STATE(3139),
    [sym_member_expression] = STATE(2177),
    [sym_subscript_expression] = STATE(2177),
    [sym_assignment_expression] = STATE(3139),
    [sym__augmented_assignment_lhs] = STATE(3835),
    [sym_augmented_assignment_expression] = STATE(3139),
    [sym__destructuring_pattern] = STATE(7484),
    [sym_ternary_expression] = STATE(3139),
    [sym_binary_expression] = STATE(3139),
    [sym_unary_expression] = STATE(3139),
    [sym_update_expression] = STATE(3139),
    [sym_sequence_expression] = STATE(6712),
    [sym_string] = STATE(3113),
    [sym_comment] = STATE(113),
    [sym_template_string] = STATE(3113),
    [sym_regex] = STATE(3113),
    [sym_meta_property] = STATE(3113),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2177),
    [sym_function_signature] = STATE(1382),
    [sym_as_expression] = STATE(3139),
    [sym_satisfies_expression] = STATE(3139),
    [sym_instantiation_expression] = STATE(3139),
    [sym_ambient_declaration] = STATE(1382),
    [sym_abstract_class_declaration] = STATE(1382),
    [sym_module] = STATE(1382),
    [sym_internal_module] = STATE(345),
    [sym_import_alias] = STATE(1382),
    [sym_interface_declaration] = STATE(1382),
    [sym_enum_declaration] = STATE(1382),
    [sym_type_alias_declaration] = STATE(1382),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(4953),
    [sym_identifier] = ACTIONS(337),
    [anon_sym_export] = ACTIONS(339),
    [anon_sym_type] = ACTIONS(343),
    [anon_sym_namespace] = ACTIONS(345),
    [anon_sym_LBRACE] = ACTIONS(347),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(349),
    [anon_sym_with] = ACTIONS(351),
    [anon_sym_var] = ACTIONS(353),
    [anon_sym_let] = ACTIONS(355),
    [anon_sym_const] = ACTIONS(357),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(359),
    [anon_sym_switch] = ACTIONS(361),
    [anon_sym_for] = ACTIONS(363),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(365),
    [anon_sym_do] = ACTIONS(367),
    [anon_sym_try] = ACTIONS(369),
    [anon_sym_break] = ACTIONS(371),
    [anon_sym_continue] = ACTIONS(373),
    [anon_sym_debugger] = ACTIONS(375),
    [anon_sym_return] = ACTIONS(377),
    [anon_sym_throw] = ACTIONS(379),
    [anon_sym_SEMI] = ACTIONS(381),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(383),
    [anon_sym_async] = ACTIONS(385),
    [anon_sym_function] = ACTIONS(387),
    [anon_sym_new] = ACTIONS(389),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(391),
    [anon_sym_readonly] = ACTIONS(391),
    [anon_sym_get] = ACTIONS(391),
    [anon_sym_set] = ACTIONS(391),
    [anon_sym_declare] = ACTIONS(393),
    [anon_sym_public] = ACTIONS(391),
    [anon_sym_private] = ACTIONS(391),
    [anon_sym_protected] = ACTIONS(391),
    [anon_sym_override] = ACTIONS(391),
    [anon_sym_module] = ACTIONS(395),
    [anon_sym_any] = ACTIONS(391),
    [anon_sym_number] = ACTIONS(391),
    [anon_sym_boolean] = ACTIONS(391),
    [anon_sym_string] = ACTIONS(391),
    [anon_sym_symbol] = ACTIONS(391),
    [anon_sym_object] = ACTIONS(391),
    [anon_sym_abstract] = ACTIONS(397),
    [anon_sym_interface] = ACTIONS(399),
    [anon_sym_enum] = ACTIONS(401),
    [sym_html_comment] = ACTIONS(5),
  },
  [114] = {
    [sym_export_statement] = STATE(1467),
    [sym_declaration] = STATE(1464),
    [sym_import] = STATE(4369),
    [sym_import_statement] = STATE(1463),
    [sym_expression_statement] = STATE(1462),
    [sym_variable_declaration] = STATE(1382),
    [sym_lexical_declaration] = STATE(1382),
    [sym_statement_block] = STATE(1461),
    [sym_if_statement] = STATE(1460),
    [sym_switch_statement] = STATE(1459),
    [sym_for_statement] = STATE(1458),
    [sym_for_in_statement] = STATE(1457),
    [sym_while_statement] = STATE(1456),
    [sym_do_statement] = STATE(1455),
    [sym_try_statement] = STATE(1454),
    [sym_with_statement] = STATE(1447),
    [sym_break_statement] = STATE(1446),
    [sym_continue_statement] = STATE(1444),
    [sym_debugger_statement] = STATE(1443),
    [sym_return_statement] = STATE(1442),
    [sym_throw_statement] = STATE(1441),
    [sym_empty_statement] = STATE(1440),
    [sym_labeled_statement] = STATE(1439),
    [sym_parenthesized_expression] = STATE(2177),
    [sym_expression] = STATE(2668),
    [sym_primary_expression] = STATE(2990),
    [sym_yield_expression] = STATE(3139),
    [sym_object] = STATE(3113),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(3113),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(3139),
    [sym_glimmer_opening_tag] = STATE(5702),
    [sym_jsx_element] = STATE(3139),
    [sym_jsx_opening_element] = STATE(4008),
    [sym_jsx_self_closing_element] = STATE(3139),
    [sym_class] = STATE(3113),
    [sym_class_declaration] = STATE(1382),
    [sym_function_expression] = STATE(3113),
    [sym_function_declaration] = STATE(1382),
    [sym_generator_function] = STATE(3113),
    [sym_generator_function_declaration] = STATE(1382),
    [sym_arrow_function] = STATE(3113),
    [sym__call_signature] = STATE(7486),
    [sym_call_expression] = STATE(3113),
    [sym_new_expression] = STATE(3139),
    [sym_await_expression] = STATE(3139),
    [sym_member_expression] = STATE(2177),
    [sym_subscript_expression] = STATE(2177),
    [sym_assignment_expression] = STATE(3139),
    [sym__augmented_assignment_lhs] = STATE(3835),
    [sym_augmented_assignment_expression] = STATE(3139),
    [sym__destructuring_pattern] = STATE(7484),
    [sym_ternary_expression] = STATE(3139),
    [sym_binary_expression] = STATE(3139),
    [sym_unary_expression] = STATE(3139),
    [sym_update_expression] = STATE(3139),
    [sym_sequence_expression] = STATE(6712),
    [sym_string] = STATE(3113),
    [sym_comment] = STATE(114),
    [sym_template_string] = STATE(3113),
    [sym_regex] = STATE(3113),
    [sym_meta_property] = STATE(3113),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2177),
    [sym_function_signature] = STATE(1382),
    [sym_as_expression] = STATE(3139),
    [sym_satisfies_expression] = STATE(3139),
    [sym_instantiation_expression] = STATE(3139),
    [sym_ambient_declaration] = STATE(1382),
    [sym_abstract_class_declaration] = STATE(1382),
    [sym_module] = STATE(1382),
    [sym_internal_module] = STATE(345),
    [sym_import_alias] = STATE(1382),
    [sym_interface_declaration] = STATE(1382),
    [sym_enum_declaration] = STATE(1382),
    [sym_type_alias_declaration] = STATE(1382),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(4953),
    [sym_identifier] = ACTIONS(337),
    [anon_sym_export] = ACTIONS(339),
    [anon_sym_type] = ACTIONS(343),
    [anon_sym_namespace] = ACTIONS(345),
    [anon_sym_LBRACE] = ACTIONS(347),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(349),
    [anon_sym_with] = ACTIONS(351),
    [anon_sym_var] = ACTIONS(353),
    [anon_sym_let] = ACTIONS(355),
    [anon_sym_const] = ACTIONS(357),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(359),
    [anon_sym_switch] = ACTIONS(361),
    [anon_sym_for] = ACTIONS(363),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(365),
    [anon_sym_do] = ACTIONS(367),
    [anon_sym_try] = ACTIONS(369),
    [anon_sym_break] = ACTIONS(371),
    [anon_sym_continue] = ACTIONS(373),
    [anon_sym_debugger] = ACTIONS(375),
    [anon_sym_return] = ACTIONS(377),
    [anon_sym_throw] = ACTIONS(379),
    [anon_sym_SEMI] = ACTIONS(381),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(383),
    [anon_sym_async] = ACTIONS(385),
    [anon_sym_function] = ACTIONS(387),
    [anon_sym_new] = ACTIONS(389),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(391),
    [anon_sym_readonly] = ACTIONS(391),
    [anon_sym_get] = ACTIONS(391),
    [anon_sym_set] = ACTIONS(391),
    [anon_sym_declare] = ACTIONS(393),
    [anon_sym_public] = ACTIONS(391),
    [anon_sym_private] = ACTIONS(391),
    [anon_sym_protected] = ACTIONS(391),
    [anon_sym_override] = ACTIONS(391),
    [anon_sym_module] = ACTIONS(395),
    [anon_sym_any] = ACTIONS(391),
    [anon_sym_number] = ACTIONS(391),
    [anon_sym_boolean] = ACTIONS(391),
    [anon_sym_string] = ACTIONS(391),
    [anon_sym_symbol] = ACTIONS(391),
    [anon_sym_object] = ACTIONS(391),
    [anon_sym_abstract] = ACTIONS(397),
    [anon_sym_interface] = ACTIONS(399),
    [anon_sym_enum] = ACTIONS(401),
    [sym_html_comment] = ACTIONS(5),
  },
  [115] = {
    [sym_export_statement] = STATE(7337),
    [sym_declaration] = STATE(7337),
    [sym_import] = STATE(4369),
    [sym_import_statement] = STATE(7337),
    [sym_expression_statement] = STATE(7337),
    [sym_variable_declaration] = STATE(6895),
    [sym_lexical_declaration] = STATE(6895),
    [sym_statement_block] = STATE(7337),
    [sym_if_statement] = STATE(7337),
    [sym_switch_statement] = STATE(7337),
    [sym_for_statement] = STATE(7337),
    [sym_for_in_statement] = STATE(7337),
    [sym_while_statement] = STATE(7337),
    [sym_do_statement] = STATE(7337),
    [sym_try_statement] = STATE(7337),
    [sym_with_statement] = STATE(7337),
    [sym_break_statement] = STATE(7337),
    [sym_continue_statement] = STATE(7337),
    [sym_debugger_statement] = STATE(7337),
    [sym_return_statement] = STATE(7337),
    [sym_throw_statement] = STATE(7337),
    [sym_empty_statement] = STATE(7337),
    [sym_labeled_statement] = STATE(7337),
    [sym_parenthesized_expression] = STATE(2177),
    [sym_expression] = STATE(2577),
    [sym_primary_expression] = STATE(2990),
    [sym_yield_expression] = STATE(3139),
    [sym_object] = STATE(3113),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(3113),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(3139),
    [sym_glimmer_opening_tag] = STATE(5702),
    [sym_jsx_element] = STATE(3139),
    [sym_jsx_opening_element] = STATE(4008),
    [sym_jsx_self_closing_element] = STATE(3139),
    [sym_class] = STATE(3113),
    [sym_class_declaration] = STATE(6895),
    [sym_function_expression] = STATE(3113),
    [sym_function_declaration] = STATE(6895),
    [sym_generator_function] = STATE(3113),
    [sym_generator_function_declaration] = STATE(6895),
    [sym_arrow_function] = STATE(3113),
    [sym__call_signature] = STATE(7486),
    [sym_call_expression] = STATE(3113),
    [sym_new_expression] = STATE(3139),
    [sym_await_expression] = STATE(3139),
    [sym_member_expression] = STATE(2177),
    [sym_subscript_expression] = STATE(2177),
    [sym_assignment_expression] = STATE(3139),
    [sym__augmented_assignment_lhs] = STATE(3835),
    [sym_augmented_assignment_expression] = STATE(3139),
    [sym__destructuring_pattern] = STATE(7484),
    [sym_ternary_expression] = STATE(3139),
    [sym_binary_expression] = STATE(3139),
    [sym_unary_expression] = STATE(3139),
    [sym_update_expression] = STATE(3139),
    [sym_sequence_expression] = STATE(6529),
    [sym_string] = STATE(3113),
    [sym_comment] = STATE(115),
    [sym_template_string] = STATE(3113),
    [sym_regex] = STATE(3113),
    [sym_meta_property] = STATE(3113),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2177),
    [sym_function_signature] = STATE(6895),
    [sym_as_expression] = STATE(3139),
    [sym_satisfies_expression] = STATE(3139),
    [sym_instantiation_expression] = STATE(3139),
    [sym_ambient_declaration] = STATE(6895),
    [sym_abstract_class_declaration] = STATE(6895),
    [sym_module] = STATE(6895),
    [sym_internal_module] = STATE(3105),
    [sym_import_alias] = STATE(6895),
    [sym_interface_declaration] = STATE(6895),
    [sym_enum_declaration] = STATE(6895),
    [sym_type_alias_declaration] = STATE(6895),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(4783),
    [sym_identifier] = ACTIONS(892),
    [anon_sym_export] = ACTIONS(894),
    [anon_sym_type] = ACTIONS(896),
    [anon_sym_namespace] = ACTIONS(898),
    [anon_sym_LBRACE] = ACTIONS(900),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(902),
    [anon_sym_with] = ACTIONS(904),
    [anon_sym_var] = ACTIONS(906),
    [anon_sym_let] = ACTIONS(908),
    [anon_sym_const] = ACTIONS(910),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(912),
    [anon_sym_switch] = ACTIONS(914),
    [anon_sym_for] = ACTIONS(916),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(918),
    [anon_sym_do] = ACTIONS(920),
    [anon_sym_try] = ACTIONS(922),
    [anon_sym_break] = ACTIONS(924),
    [anon_sym_continue] = ACTIONS(926),
    [anon_sym_debugger] = ACTIONS(928),
    [anon_sym_return] = ACTIONS(930),
    [anon_sym_throw] = ACTIONS(932),
    [anon_sym_SEMI] = ACTIONS(934),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(936),
    [anon_sym_async] = ACTIONS(938),
    [anon_sym_function] = ACTIONS(940),
    [anon_sym_new] = ACTIONS(942),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(944),
    [anon_sym_readonly] = ACTIONS(944),
    [anon_sym_get] = ACTIONS(944),
    [anon_sym_set] = ACTIONS(944),
    [anon_sym_declare] = ACTIONS(946),
    [anon_sym_public] = ACTIONS(944),
    [anon_sym_private] = ACTIONS(944),
    [anon_sym_protected] = ACTIONS(944),
    [anon_sym_override] = ACTIONS(944),
    [anon_sym_module] = ACTIONS(948),
    [anon_sym_any] = ACTIONS(944),
    [anon_sym_number] = ACTIONS(944),
    [anon_sym_boolean] = ACTIONS(944),
    [anon_sym_string] = ACTIONS(944),
    [anon_sym_symbol] = ACTIONS(944),
    [anon_sym_object] = ACTIONS(944),
    [anon_sym_abstract] = ACTIONS(950),
    [anon_sym_interface] = ACTIONS(952),
    [anon_sym_enum] = ACTIONS(954),
    [sym_html_comment] = ACTIONS(5),
  },
  [116] = {
    [sym_export_statement] = STATE(1537),
    [sym_declaration] = STATE(1536),
    [sym_import] = STATE(4369),
    [sym_import_statement] = STATE(1534),
    [sym_expression_statement] = STATE(1533),
    [sym_variable_declaration] = STATE(1382),
    [sym_lexical_declaration] = STATE(1382),
    [sym_statement_block] = STATE(1531),
    [sym_if_statement] = STATE(1526),
    [sym_switch_statement] = STATE(1525),
    [sym_for_statement] = STATE(1524),
    [sym_for_in_statement] = STATE(1523),
    [sym_while_statement] = STATE(1522),
    [sym_do_statement] = STATE(1521),
    [sym_try_statement] = STATE(1520),
    [sym_with_statement] = STATE(1519),
    [sym_break_statement] = STATE(1518),
    [sym_continue_statement] = STATE(1517),
    [sym_debugger_statement] = STATE(1515),
    [sym_return_statement] = STATE(1514),
    [sym_throw_statement] = STATE(1513),
    [sym_empty_statement] = STATE(1512),
    [sym_labeled_statement] = STATE(1508),
    [sym_parenthesized_expression] = STATE(2177),
    [sym_expression] = STATE(2668),
    [sym_primary_expression] = STATE(2990),
    [sym_yield_expression] = STATE(3139),
    [sym_object] = STATE(3113),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(3113),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(3139),
    [sym_glimmer_opening_tag] = STATE(5702),
    [sym_jsx_element] = STATE(3139),
    [sym_jsx_opening_element] = STATE(4008),
    [sym_jsx_self_closing_element] = STATE(3139),
    [sym_class] = STATE(3113),
    [sym_class_declaration] = STATE(1382),
    [sym_function_expression] = STATE(3113),
    [sym_function_declaration] = STATE(1382),
    [sym_generator_function] = STATE(3113),
    [sym_generator_function_declaration] = STATE(1382),
    [sym_arrow_function] = STATE(3113),
    [sym__call_signature] = STATE(7486),
    [sym_call_expression] = STATE(3113),
    [sym_new_expression] = STATE(3139),
    [sym_await_expression] = STATE(3139),
    [sym_member_expression] = STATE(2177),
    [sym_subscript_expression] = STATE(2177),
    [sym_assignment_expression] = STATE(3139),
    [sym__augmented_assignment_lhs] = STATE(3835),
    [sym_augmented_assignment_expression] = STATE(3139),
    [sym__destructuring_pattern] = STATE(7484),
    [sym_ternary_expression] = STATE(3139),
    [sym_binary_expression] = STATE(3139),
    [sym_unary_expression] = STATE(3139),
    [sym_update_expression] = STATE(3139),
    [sym_sequence_expression] = STATE(6712),
    [sym_string] = STATE(3113),
    [sym_comment] = STATE(116),
    [sym_template_string] = STATE(3113),
    [sym_regex] = STATE(3113),
    [sym_meta_property] = STATE(3113),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2177),
    [sym_function_signature] = STATE(1382),
    [sym_as_expression] = STATE(3139),
    [sym_satisfies_expression] = STATE(3139),
    [sym_instantiation_expression] = STATE(3139),
    [sym_ambient_declaration] = STATE(1382),
    [sym_abstract_class_declaration] = STATE(1382),
    [sym_module] = STATE(1382),
    [sym_internal_module] = STATE(345),
    [sym_import_alias] = STATE(1382),
    [sym_interface_declaration] = STATE(1382),
    [sym_enum_declaration] = STATE(1382),
    [sym_type_alias_declaration] = STATE(1382),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(4953),
    [sym_identifier] = ACTIONS(337),
    [anon_sym_export] = ACTIONS(339),
    [anon_sym_type] = ACTIONS(343),
    [anon_sym_namespace] = ACTIONS(345),
    [anon_sym_LBRACE] = ACTIONS(347),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(349),
    [anon_sym_with] = ACTIONS(351),
    [anon_sym_var] = ACTIONS(353),
    [anon_sym_let] = ACTIONS(355),
    [anon_sym_const] = ACTIONS(357),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(359),
    [anon_sym_switch] = ACTIONS(361),
    [anon_sym_for] = ACTIONS(363),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(365),
    [anon_sym_do] = ACTIONS(367),
    [anon_sym_try] = ACTIONS(369),
    [anon_sym_break] = ACTIONS(371),
    [anon_sym_continue] = ACTIONS(373),
    [anon_sym_debugger] = ACTIONS(375),
    [anon_sym_return] = ACTIONS(377),
    [anon_sym_throw] = ACTIONS(379),
    [anon_sym_SEMI] = ACTIONS(381),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(383),
    [anon_sym_async] = ACTIONS(385),
    [anon_sym_function] = ACTIONS(387),
    [anon_sym_new] = ACTIONS(389),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(391),
    [anon_sym_readonly] = ACTIONS(391),
    [anon_sym_get] = ACTIONS(391),
    [anon_sym_set] = ACTIONS(391),
    [anon_sym_declare] = ACTIONS(393),
    [anon_sym_public] = ACTIONS(391),
    [anon_sym_private] = ACTIONS(391),
    [anon_sym_protected] = ACTIONS(391),
    [anon_sym_override] = ACTIONS(391),
    [anon_sym_module] = ACTIONS(395),
    [anon_sym_any] = ACTIONS(391),
    [anon_sym_number] = ACTIONS(391),
    [anon_sym_boolean] = ACTIONS(391),
    [anon_sym_string] = ACTIONS(391),
    [anon_sym_symbol] = ACTIONS(391),
    [anon_sym_object] = ACTIONS(391),
    [anon_sym_abstract] = ACTIONS(397),
    [anon_sym_interface] = ACTIONS(399),
    [anon_sym_enum] = ACTIONS(401),
    [sym_html_comment] = ACTIONS(5),
  },
  [117] = {
    [sym_export_statement] = STATE(7082),
    [sym_declaration] = STATE(7082),
    [sym_import] = STATE(4369),
    [sym_import_statement] = STATE(7082),
    [sym_expression_statement] = STATE(7082),
    [sym_variable_declaration] = STATE(6895),
    [sym_lexical_declaration] = STATE(6895),
    [sym_statement_block] = STATE(7082),
    [sym_if_statement] = STATE(7082),
    [sym_switch_statement] = STATE(7082),
    [sym_for_statement] = STATE(7082),
    [sym_for_in_statement] = STATE(7082),
    [sym_while_statement] = STATE(7082),
    [sym_do_statement] = STATE(7082),
    [sym_try_statement] = STATE(7082),
    [sym_with_statement] = STATE(7082),
    [sym_break_statement] = STATE(7082),
    [sym_continue_statement] = STATE(7082),
    [sym_debugger_statement] = STATE(7082),
    [sym_return_statement] = STATE(7082),
    [sym_throw_statement] = STATE(7082),
    [sym_empty_statement] = STATE(7082),
    [sym_labeled_statement] = STATE(7082),
    [sym_parenthesized_expression] = STATE(2177),
    [sym_expression] = STATE(2577),
    [sym_primary_expression] = STATE(2990),
    [sym_yield_expression] = STATE(3139),
    [sym_object] = STATE(3113),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(3113),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(3139),
    [sym_glimmer_opening_tag] = STATE(5702),
    [sym_jsx_element] = STATE(3139),
    [sym_jsx_opening_element] = STATE(4008),
    [sym_jsx_self_closing_element] = STATE(3139),
    [sym_class] = STATE(3113),
    [sym_class_declaration] = STATE(6895),
    [sym_function_expression] = STATE(3113),
    [sym_function_declaration] = STATE(6895),
    [sym_generator_function] = STATE(3113),
    [sym_generator_function_declaration] = STATE(6895),
    [sym_arrow_function] = STATE(3113),
    [sym__call_signature] = STATE(7486),
    [sym_call_expression] = STATE(3113),
    [sym_new_expression] = STATE(3139),
    [sym_await_expression] = STATE(3139),
    [sym_member_expression] = STATE(2177),
    [sym_subscript_expression] = STATE(2177),
    [sym_assignment_expression] = STATE(3139),
    [sym__augmented_assignment_lhs] = STATE(3835),
    [sym_augmented_assignment_expression] = STATE(3139),
    [sym__destructuring_pattern] = STATE(7484),
    [sym_ternary_expression] = STATE(3139),
    [sym_binary_expression] = STATE(3139),
    [sym_unary_expression] = STATE(3139),
    [sym_update_expression] = STATE(3139),
    [sym_sequence_expression] = STATE(6529),
    [sym_string] = STATE(3113),
    [sym_comment] = STATE(117),
    [sym_template_string] = STATE(3113),
    [sym_regex] = STATE(3113),
    [sym_meta_property] = STATE(3113),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2177),
    [sym_function_signature] = STATE(6895),
    [sym_as_expression] = STATE(3139),
    [sym_satisfies_expression] = STATE(3139),
    [sym_instantiation_expression] = STATE(3139),
    [sym_ambient_declaration] = STATE(6895),
    [sym_abstract_class_declaration] = STATE(6895),
    [sym_module] = STATE(6895),
    [sym_internal_module] = STATE(3105),
    [sym_import_alias] = STATE(6895),
    [sym_interface_declaration] = STATE(6895),
    [sym_enum_declaration] = STATE(6895),
    [sym_type_alias_declaration] = STATE(6895),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(4783),
    [sym_identifier] = ACTIONS(892),
    [anon_sym_export] = ACTIONS(894),
    [anon_sym_type] = ACTIONS(896),
    [anon_sym_namespace] = ACTIONS(898),
    [anon_sym_LBRACE] = ACTIONS(900),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(902),
    [anon_sym_with] = ACTIONS(904),
    [anon_sym_var] = ACTIONS(906),
    [anon_sym_let] = ACTIONS(908),
    [anon_sym_const] = ACTIONS(910),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(912),
    [anon_sym_switch] = ACTIONS(914),
    [anon_sym_for] = ACTIONS(916),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(918),
    [anon_sym_do] = ACTIONS(920),
    [anon_sym_try] = ACTIONS(922),
    [anon_sym_break] = ACTIONS(924),
    [anon_sym_continue] = ACTIONS(926),
    [anon_sym_debugger] = ACTIONS(928),
    [anon_sym_return] = ACTIONS(930),
    [anon_sym_throw] = ACTIONS(932),
    [anon_sym_SEMI] = ACTIONS(934),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(936),
    [anon_sym_async] = ACTIONS(938),
    [anon_sym_function] = ACTIONS(940),
    [anon_sym_new] = ACTIONS(942),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(944),
    [anon_sym_readonly] = ACTIONS(944),
    [anon_sym_get] = ACTIONS(944),
    [anon_sym_set] = ACTIONS(944),
    [anon_sym_declare] = ACTIONS(946),
    [anon_sym_public] = ACTIONS(944),
    [anon_sym_private] = ACTIONS(944),
    [anon_sym_protected] = ACTIONS(944),
    [anon_sym_override] = ACTIONS(944),
    [anon_sym_module] = ACTIONS(948),
    [anon_sym_any] = ACTIONS(944),
    [anon_sym_number] = ACTIONS(944),
    [anon_sym_boolean] = ACTIONS(944),
    [anon_sym_string] = ACTIONS(944),
    [anon_sym_symbol] = ACTIONS(944),
    [anon_sym_object] = ACTIONS(944),
    [anon_sym_abstract] = ACTIONS(950),
    [anon_sym_interface] = ACTIONS(952),
    [anon_sym_enum] = ACTIONS(954),
    [sym_html_comment] = ACTIONS(5),
  },
  [118] = {
    [sym_export_statement] = STATE(7214),
    [sym_declaration] = STATE(7214),
    [sym_import] = STATE(4369),
    [sym_import_statement] = STATE(7214),
    [sym_expression_statement] = STATE(7214),
    [sym_variable_declaration] = STATE(6895),
    [sym_lexical_declaration] = STATE(6895),
    [sym_statement_block] = STATE(7214),
    [sym_if_statement] = STATE(7214),
    [sym_switch_statement] = STATE(7214),
    [sym_for_statement] = STATE(7214),
    [sym_for_in_statement] = STATE(7214),
    [sym_while_statement] = STATE(7214),
    [sym_do_statement] = STATE(7214),
    [sym_try_statement] = STATE(7214),
    [sym_with_statement] = STATE(7214),
    [sym_break_statement] = STATE(7214),
    [sym_continue_statement] = STATE(7214),
    [sym_debugger_statement] = STATE(7214),
    [sym_return_statement] = STATE(7214),
    [sym_throw_statement] = STATE(7214),
    [sym_empty_statement] = STATE(7214),
    [sym_labeled_statement] = STATE(7214),
    [sym_parenthesized_expression] = STATE(2177),
    [sym_expression] = STATE(2577),
    [sym_primary_expression] = STATE(2990),
    [sym_yield_expression] = STATE(3139),
    [sym_object] = STATE(3113),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(3113),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(3139),
    [sym_glimmer_opening_tag] = STATE(5702),
    [sym_jsx_element] = STATE(3139),
    [sym_jsx_opening_element] = STATE(4008),
    [sym_jsx_self_closing_element] = STATE(3139),
    [sym_class] = STATE(3113),
    [sym_class_declaration] = STATE(6895),
    [sym_function_expression] = STATE(3113),
    [sym_function_declaration] = STATE(6895),
    [sym_generator_function] = STATE(3113),
    [sym_generator_function_declaration] = STATE(6895),
    [sym_arrow_function] = STATE(3113),
    [sym__call_signature] = STATE(7486),
    [sym_call_expression] = STATE(3113),
    [sym_new_expression] = STATE(3139),
    [sym_await_expression] = STATE(3139),
    [sym_member_expression] = STATE(2177),
    [sym_subscript_expression] = STATE(2177),
    [sym_assignment_expression] = STATE(3139),
    [sym__augmented_assignment_lhs] = STATE(3835),
    [sym_augmented_assignment_expression] = STATE(3139),
    [sym__destructuring_pattern] = STATE(7484),
    [sym_ternary_expression] = STATE(3139),
    [sym_binary_expression] = STATE(3139),
    [sym_unary_expression] = STATE(3139),
    [sym_update_expression] = STATE(3139),
    [sym_sequence_expression] = STATE(6529),
    [sym_string] = STATE(3113),
    [sym_comment] = STATE(118),
    [sym_template_string] = STATE(3113),
    [sym_regex] = STATE(3113),
    [sym_meta_property] = STATE(3113),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2177),
    [sym_function_signature] = STATE(6895),
    [sym_as_expression] = STATE(3139),
    [sym_satisfies_expression] = STATE(3139),
    [sym_instantiation_expression] = STATE(3139),
    [sym_ambient_declaration] = STATE(6895),
    [sym_abstract_class_declaration] = STATE(6895),
    [sym_module] = STATE(6895),
    [sym_internal_module] = STATE(3105),
    [sym_import_alias] = STATE(6895),
    [sym_interface_declaration] = STATE(6895),
    [sym_enum_declaration] = STATE(6895),
    [sym_type_alias_declaration] = STATE(6895),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(4783),
    [sym_identifier] = ACTIONS(892),
    [anon_sym_export] = ACTIONS(894),
    [anon_sym_type] = ACTIONS(896),
    [anon_sym_namespace] = ACTIONS(898),
    [anon_sym_LBRACE] = ACTIONS(900),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(902),
    [anon_sym_with] = ACTIONS(904),
    [anon_sym_var] = ACTIONS(906),
    [anon_sym_let] = ACTIONS(908),
    [anon_sym_const] = ACTIONS(910),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(912),
    [anon_sym_switch] = ACTIONS(914),
    [anon_sym_for] = ACTIONS(916),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(918),
    [anon_sym_do] = ACTIONS(920),
    [anon_sym_try] = ACTIONS(922),
    [anon_sym_break] = ACTIONS(924),
    [anon_sym_continue] = ACTIONS(926),
    [anon_sym_debugger] = ACTIONS(928),
    [anon_sym_return] = ACTIONS(930),
    [anon_sym_throw] = ACTIONS(932),
    [anon_sym_SEMI] = ACTIONS(934),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(936),
    [anon_sym_async] = ACTIONS(938),
    [anon_sym_function] = ACTIONS(940),
    [anon_sym_new] = ACTIONS(942),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(944),
    [anon_sym_readonly] = ACTIONS(944),
    [anon_sym_get] = ACTIONS(944),
    [anon_sym_set] = ACTIONS(944),
    [anon_sym_declare] = ACTIONS(946),
    [anon_sym_public] = ACTIONS(944),
    [anon_sym_private] = ACTIONS(944),
    [anon_sym_protected] = ACTIONS(944),
    [anon_sym_override] = ACTIONS(944),
    [anon_sym_module] = ACTIONS(948),
    [anon_sym_any] = ACTIONS(944),
    [anon_sym_number] = ACTIONS(944),
    [anon_sym_boolean] = ACTIONS(944),
    [anon_sym_string] = ACTIONS(944),
    [anon_sym_symbol] = ACTIONS(944),
    [anon_sym_object] = ACTIONS(944),
    [anon_sym_abstract] = ACTIONS(950),
    [anon_sym_interface] = ACTIONS(952),
    [anon_sym_enum] = ACTIONS(954),
    [sym_html_comment] = ACTIONS(5),
  },
  [119] = {
    [sym_export_statement] = STATE(7213),
    [sym_declaration] = STATE(7213),
    [sym_import] = STATE(4369),
    [sym_import_statement] = STATE(7213),
    [sym_expression_statement] = STATE(7213),
    [sym_variable_declaration] = STATE(6895),
    [sym_lexical_declaration] = STATE(6895),
    [sym_statement_block] = STATE(7213),
    [sym_if_statement] = STATE(7213),
    [sym_switch_statement] = STATE(7213),
    [sym_for_statement] = STATE(7213),
    [sym_for_in_statement] = STATE(7213),
    [sym_while_statement] = STATE(7213),
    [sym_do_statement] = STATE(7213),
    [sym_try_statement] = STATE(7213),
    [sym_with_statement] = STATE(7213),
    [sym_break_statement] = STATE(7213),
    [sym_continue_statement] = STATE(7213),
    [sym_debugger_statement] = STATE(7213),
    [sym_return_statement] = STATE(7213),
    [sym_throw_statement] = STATE(7213),
    [sym_empty_statement] = STATE(7213),
    [sym_labeled_statement] = STATE(7213),
    [sym_parenthesized_expression] = STATE(2177),
    [sym_expression] = STATE(2577),
    [sym_primary_expression] = STATE(2990),
    [sym_yield_expression] = STATE(3139),
    [sym_object] = STATE(3113),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(3113),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(3139),
    [sym_glimmer_opening_tag] = STATE(5702),
    [sym_jsx_element] = STATE(3139),
    [sym_jsx_opening_element] = STATE(4008),
    [sym_jsx_self_closing_element] = STATE(3139),
    [sym_class] = STATE(3113),
    [sym_class_declaration] = STATE(6895),
    [sym_function_expression] = STATE(3113),
    [sym_function_declaration] = STATE(6895),
    [sym_generator_function] = STATE(3113),
    [sym_generator_function_declaration] = STATE(6895),
    [sym_arrow_function] = STATE(3113),
    [sym__call_signature] = STATE(7486),
    [sym_call_expression] = STATE(3113),
    [sym_new_expression] = STATE(3139),
    [sym_await_expression] = STATE(3139),
    [sym_member_expression] = STATE(2177),
    [sym_subscript_expression] = STATE(2177),
    [sym_assignment_expression] = STATE(3139),
    [sym__augmented_assignment_lhs] = STATE(3835),
    [sym_augmented_assignment_expression] = STATE(3139),
    [sym__destructuring_pattern] = STATE(7484),
    [sym_ternary_expression] = STATE(3139),
    [sym_binary_expression] = STATE(3139),
    [sym_unary_expression] = STATE(3139),
    [sym_update_expression] = STATE(3139),
    [sym_sequence_expression] = STATE(6529),
    [sym_string] = STATE(3113),
    [sym_comment] = STATE(119),
    [sym_template_string] = STATE(3113),
    [sym_regex] = STATE(3113),
    [sym_meta_property] = STATE(3113),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2177),
    [sym_function_signature] = STATE(6895),
    [sym_as_expression] = STATE(3139),
    [sym_satisfies_expression] = STATE(3139),
    [sym_instantiation_expression] = STATE(3139),
    [sym_ambient_declaration] = STATE(6895),
    [sym_abstract_class_declaration] = STATE(6895),
    [sym_module] = STATE(6895),
    [sym_internal_module] = STATE(3105),
    [sym_import_alias] = STATE(6895),
    [sym_interface_declaration] = STATE(6895),
    [sym_enum_declaration] = STATE(6895),
    [sym_type_alias_declaration] = STATE(6895),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(4783),
    [sym_identifier] = ACTIONS(892),
    [anon_sym_export] = ACTIONS(894),
    [anon_sym_type] = ACTIONS(896),
    [anon_sym_namespace] = ACTIONS(898),
    [anon_sym_LBRACE] = ACTIONS(900),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(902),
    [anon_sym_with] = ACTIONS(904),
    [anon_sym_var] = ACTIONS(906),
    [anon_sym_let] = ACTIONS(908),
    [anon_sym_const] = ACTIONS(910),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(912),
    [anon_sym_switch] = ACTIONS(914),
    [anon_sym_for] = ACTIONS(916),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(918),
    [anon_sym_do] = ACTIONS(920),
    [anon_sym_try] = ACTIONS(922),
    [anon_sym_break] = ACTIONS(924),
    [anon_sym_continue] = ACTIONS(926),
    [anon_sym_debugger] = ACTIONS(928),
    [anon_sym_return] = ACTIONS(930),
    [anon_sym_throw] = ACTIONS(932),
    [anon_sym_SEMI] = ACTIONS(934),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(936),
    [anon_sym_async] = ACTIONS(938),
    [anon_sym_function] = ACTIONS(940),
    [anon_sym_new] = ACTIONS(942),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(944),
    [anon_sym_readonly] = ACTIONS(944),
    [anon_sym_get] = ACTIONS(944),
    [anon_sym_set] = ACTIONS(944),
    [anon_sym_declare] = ACTIONS(946),
    [anon_sym_public] = ACTIONS(944),
    [anon_sym_private] = ACTIONS(944),
    [anon_sym_protected] = ACTIONS(944),
    [anon_sym_override] = ACTIONS(944),
    [anon_sym_module] = ACTIONS(948),
    [anon_sym_any] = ACTIONS(944),
    [anon_sym_number] = ACTIONS(944),
    [anon_sym_boolean] = ACTIONS(944),
    [anon_sym_string] = ACTIONS(944),
    [anon_sym_symbol] = ACTIONS(944),
    [anon_sym_object] = ACTIONS(944),
    [anon_sym_abstract] = ACTIONS(950),
    [anon_sym_interface] = ACTIONS(952),
    [anon_sym_enum] = ACTIONS(954),
    [sym_html_comment] = ACTIONS(5),
  },
  [120] = {
    [sym_export_statement] = STATE(1720),
    [sym_declaration] = STATE(1719),
    [sym_import] = STATE(4369),
    [sym_import_statement] = STATE(1715),
    [sym_expression_statement] = STATE(1714),
    [sym_variable_declaration] = STATE(1573),
    [sym_lexical_declaration] = STATE(1573),
    [sym_statement_block] = STATE(1708),
    [sym_if_statement] = STATE(1703),
    [sym_switch_statement] = STATE(1700),
    [sym_for_statement] = STATE(1699),
    [sym_for_in_statement] = STATE(1698),
    [sym_while_statement] = STATE(1694),
    [sym_do_statement] = STATE(1677),
    [sym_try_statement] = STATE(1689),
    [sym_with_statement] = STATE(1688),
    [sym_break_statement] = STATE(1687),
    [sym_continue_statement] = STATE(1686),
    [sym_debugger_statement] = STATE(1684),
    [sym_return_statement] = STATE(1683),
    [sym_throw_statement] = STATE(1682),
    [sym_empty_statement] = STATE(1681),
    [sym_labeled_statement] = STATE(1680),
    [sym_parenthesized_expression] = STATE(2177),
    [sym_expression] = STATE(2545),
    [sym_primary_expression] = STATE(2990),
    [sym_yield_expression] = STATE(3139),
    [sym_object] = STATE(3113),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(3113),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(3139),
    [sym_glimmer_opening_tag] = STATE(5702),
    [sym_jsx_element] = STATE(3139),
    [sym_jsx_opening_element] = STATE(4008),
    [sym_jsx_self_closing_element] = STATE(3139),
    [sym_class] = STATE(3113),
    [sym_class_declaration] = STATE(1573),
    [sym_function_expression] = STATE(3113),
    [sym_function_declaration] = STATE(1573),
    [sym_generator_function] = STATE(3113),
    [sym_generator_function_declaration] = STATE(1573),
    [sym_arrow_function] = STATE(3113),
    [sym__call_signature] = STATE(7486),
    [sym_call_expression] = STATE(3113),
    [sym_new_expression] = STATE(3139),
    [sym_await_expression] = STATE(3139),
    [sym_member_expression] = STATE(2177),
    [sym_subscript_expression] = STATE(2177),
    [sym_assignment_expression] = STATE(3139),
    [sym__augmented_assignment_lhs] = STATE(3835),
    [sym_augmented_assignment_expression] = STATE(3139),
    [sym__destructuring_pattern] = STATE(7484),
    [sym_ternary_expression] = STATE(3139),
    [sym_binary_expression] = STATE(3139),
    [sym_unary_expression] = STATE(3139),
    [sym_update_expression] = STATE(3139),
    [sym_sequence_expression] = STATE(6676),
    [sym_string] = STATE(3113),
    [sym_comment] = STATE(120),
    [sym_template_string] = STATE(3113),
    [sym_regex] = STATE(3113),
    [sym_meta_property] = STATE(3113),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2177),
    [sym_function_signature] = STATE(1573),
    [sym_as_expression] = STATE(3139),
    [sym_satisfies_expression] = STATE(3139),
    [sym_instantiation_expression] = STATE(3139),
    [sym_ambient_declaration] = STATE(1573),
    [sym_abstract_class_declaration] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_internal_module] = STATE(437),
    [sym_import_alias] = STATE(1573),
    [sym_interface_declaration] = STATE(1573),
    [sym_enum_declaration] = STATE(1573),
    [sym_type_alias_declaration] = STATE(1573),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(4771),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_for] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_do] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [121] = {
    [sym_export_statement] = STATE(928),
    [sym_declaration] = STATE(928),
    [sym_import] = STATE(4369),
    [sym_import_statement] = STATE(928),
    [sym_expression_statement] = STATE(928),
    [sym_variable_declaration] = STATE(1105),
    [sym_lexical_declaration] = STATE(1105),
    [sym_statement_block] = STATE(928),
    [sym_if_statement] = STATE(928),
    [sym_switch_statement] = STATE(928),
    [sym_for_statement] = STATE(928),
    [sym_for_in_statement] = STATE(928),
    [sym_while_statement] = STATE(928),
    [sym_do_statement] = STATE(928),
    [sym_try_statement] = STATE(928),
    [sym_with_statement] = STATE(928),
    [sym_break_statement] = STATE(928),
    [sym_continue_statement] = STATE(928),
    [sym_debugger_statement] = STATE(928),
    [sym_return_statement] = STATE(928),
    [sym_throw_statement] = STATE(928),
    [sym_empty_statement] = STATE(928),
    [sym_labeled_statement] = STATE(928),
    [sym_parenthesized_expression] = STATE(2177),
    [sym_expression] = STATE(2661),
    [sym_primary_expression] = STATE(2990),
    [sym_yield_expression] = STATE(3139),
    [sym_object] = STATE(3113),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(3113),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(3139),
    [sym_glimmer_opening_tag] = STATE(5702),
    [sym_jsx_element] = STATE(3139),
    [sym_jsx_opening_element] = STATE(4008),
    [sym_jsx_self_closing_element] = STATE(3139),
    [sym_class] = STATE(3113),
    [sym_class_declaration] = STATE(1105),
    [sym_function_expression] = STATE(3113),
    [sym_function_declaration] = STATE(1105),
    [sym_generator_function] = STATE(3113),
    [sym_generator_function_declaration] = STATE(1105),
    [sym_arrow_function] = STATE(3113),
    [sym__call_signature] = STATE(7486),
    [sym_call_expression] = STATE(3113),
    [sym_new_expression] = STATE(3139),
    [sym_await_expression] = STATE(3139),
    [sym_member_expression] = STATE(2177),
    [sym_subscript_expression] = STATE(2177),
    [sym_assignment_expression] = STATE(3139),
    [sym__augmented_assignment_lhs] = STATE(3835),
    [sym_augmented_assignment_expression] = STATE(3139),
    [sym__destructuring_pattern] = STATE(7484),
    [sym_ternary_expression] = STATE(3139),
    [sym_binary_expression] = STATE(3139),
    [sym_unary_expression] = STATE(3139),
    [sym_update_expression] = STATE(3139),
    [sym_sequence_expression] = STATE(6537),
    [sym_string] = STATE(3113),
    [sym_comment] = STATE(121),
    [sym_template_string] = STATE(3113),
    [sym_regex] = STATE(3113),
    [sym_meta_property] = STATE(3113),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2177),
    [sym_function_signature] = STATE(1105),
    [sym_as_expression] = STATE(3139),
    [sym_satisfies_expression] = STATE(3139),
    [sym_instantiation_expression] = STATE(3139),
    [sym_ambient_declaration] = STATE(1105),
    [sym_abstract_class_declaration] = STATE(1105),
    [sym_module] = STATE(1105),
    [sym_internal_module] = STATE(315),
    [sym_import_alias] = STATE(1105),
    [sym_interface_declaration] = STATE(1105),
    [sym_enum_declaration] = STATE(1105),
    [sym_type_alias_declaration] = STATE(1105),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(4985),
    [sym_identifier] = ACTIONS(764),
    [anon_sym_export] = ACTIONS(766),
    [anon_sym_type] = ACTIONS(768),
    [anon_sym_namespace] = ACTIONS(770),
    [anon_sym_LBRACE] = ACTIONS(772),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(774),
    [anon_sym_with] = ACTIONS(776),
    [anon_sym_var] = ACTIONS(778),
    [anon_sym_let] = ACTIONS(780),
    [anon_sym_const] = ACTIONS(782),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(784),
    [anon_sym_switch] = ACTIONS(786),
    [anon_sym_for] = ACTIONS(788),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(790),
    [anon_sym_do] = ACTIONS(792),
    [anon_sym_try] = ACTIONS(794),
    [anon_sym_break] = ACTIONS(796),
    [anon_sym_continue] = ACTIONS(798),
    [anon_sym_debugger] = ACTIONS(800),
    [anon_sym_return] = ACTIONS(802),
    [anon_sym_throw] = ACTIONS(804),
    [anon_sym_SEMI] = ACTIONS(806),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(808),
    [anon_sym_async] = ACTIONS(810),
    [anon_sym_function] = ACTIONS(812),
    [anon_sym_new] = ACTIONS(814),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(816),
    [anon_sym_readonly] = ACTIONS(816),
    [anon_sym_get] = ACTIONS(816),
    [anon_sym_set] = ACTIONS(816),
    [anon_sym_declare] = ACTIONS(818),
    [anon_sym_public] = ACTIONS(816),
    [anon_sym_private] = ACTIONS(816),
    [anon_sym_protected] = ACTIONS(816),
    [anon_sym_override] = ACTIONS(816),
    [anon_sym_module] = ACTIONS(820),
    [anon_sym_any] = ACTIONS(816),
    [anon_sym_number] = ACTIONS(816),
    [anon_sym_boolean] = ACTIONS(816),
    [anon_sym_string] = ACTIONS(816),
    [anon_sym_symbol] = ACTIONS(816),
    [anon_sym_object] = ACTIONS(816),
    [anon_sym_abstract] = ACTIONS(822),
    [anon_sym_interface] = ACTIONS(824),
    [anon_sym_enum] = ACTIONS(826),
    [sym_html_comment] = ACTIONS(5),
  },
  [122] = {
    [sym_export_statement] = STATE(982),
    [sym_declaration] = STATE(982),
    [sym_import] = STATE(4369),
    [sym_import_statement] = STATE(982),
    [sym_expression_statement] = STATE(982),
    [sym_variable_declaration] = STATE(1105),
    [sym_lexical_declaration] = STATE(1105),
    [sym_statement_block] = STATE(982),
    [sym_if_statement] = STATE(982),
    [sym_switch_statement] = STATE(982),
    [sym_for_statement] = STATE(982),
    [sym_for_in_statement] = STATE(982),
    [sym_while_statement] = STATE(982),
    [sym_do_statement] = STATE(982),
    [sym_try_statement] = STATE(982),
    [sym_with_statement] = STATE(982),
    [sym_break_statement] = STATE(982),
    [sym_continue_statement] = STATE(982),
    [sym_debugger_statement] = STATE(982),
    [sym_return_statement] = STATE(982),
    [sym_throw_statement] = STATE(982),
    [sym_empty_statement] = STATE(982),
    [sym_labeled_statement] = STATE(982),
    [sym_parenthesized_expression] = STATE(2177),
    [sym_expression] = STATE(2661),
    [sym_primary_expression] = STATE(2990),
    [sym_yield_expression] = STATE(3139),
    [sym_object] = STATE(3113),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(3113),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(3139),
    [sym_glimmer_opening_tag] = STATE(5702),
    [sym_jsx_element] = STATE(3139),
    [sym_jsx_opening_element] = STATE(4008),
    [sym_jsx_self_closing_element] = STATE(3139),
    [sym_class] = STATE(3113),
    [sym_class_declaration] = STATE(1105),
    [sym_function_expression] = STATE(3113),
    [sym_function_declaration] = STATE(1105),
    [sym_generator_function] = STATE(3113),
    [sym_generator_function_declaration] = STATE(1105),
    [sym_arrow_function] = STATE(3113),
    [sym__call_signature] = STATE(7486),
    [sym_call_expression] = STATE(3113),
    [sym_new_expression] = STATE(3139),
    [sym_await_expression] = STATE(3139),
    [sym_member_expression] = STATE(2177),
    [sym_subscript_expression] = STATE(2177),
    [sym_assignment_expression] = STATE(3139),
    [sym__augmented_assignment_lhs] = STATE(3835),
    [sym_augmented_assignment_expression] = STATE(3139),
    [sym__destructuring_pattern] = STATE(7484),
    [sym_ternary_expression] = STATE(3139),
    [sym_binary_expression] = STATE(3139),
    [sym_unary_expression] = STATE(3139),
    [sym_update_expression] = STATE(3139),
    [sym_sequence_expression] = STATE(6537),
    [sym_string] = STATE(3113),
    [sym_comment] = STATE(122),
    [sym_template_string] = STATE(3113),
    [sym_regex] = STATE(3113),
    [sym_meta_property] = STATE(3113),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2177),
    [sym_function_signature] = STATE(1105),
    [sym_as_expression] = STATE(3139),
    [sym_satisfies_expression] = STATE(3139),
    [sym_instantiation_expression] = STATE(3139),
    [sym_ambient_declaration] = STATE(1105),
    [sym_abstract_class_declaration] = STATE(1105),
    [sym_module] = STATE(1105),
    [sym_internal_module] = STATE(315),
    [sym_import_alias] = STATE(1105),
    [sym_interface_declaration] = STATE(1105),
    [sym_enum_declaration] = STATE(1105),
    [sym_type_alias_declaration] = STATE(1105),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(4985),
    [sym_identifier] = ACTIONS(764),
    [anon_sym_export] = ACTIONS(766),
    [anon_sym_type] = ACTIONS(768),
    [anon_sym_namespace] = ACTIONS(770),
    [anon_sym_LBRACE] = ACTIONS(772),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(774),
    [anon_sym_with] = ACTIONS(776),
    [anon_sym_var] = ACTIONS(778),
    [anon_sym_let] = ACTIONS(780),
    [anon_sym_const] = ACTIONS(782),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(784),
    [anon_sym_switch] = ACTIONS(786),
    [anon_sym_for] = ACTIONS(788),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(790),
    [anon_sym_do] = ACTIONS(792),
    [anon_sym_try] = ACTIONS(794),
    [anon_sym_break] = ACTIONS(796),
    [anon_sym_continue] = ACTIONS(798),
    [anon_sym_debugger] = ACTIONS(800),
    [anon_sym_return] = ACTIONS(802),
    [anon_sym_throw] = ACTIONS(804),
    [anon_sym_SEMI] = ACTIONS(806),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(808),
    [anon_sym_async] = ACTIONS(810),
    [anon_sym_function] = ACTIONS(812),
    [anon_sym_new] = ACTIONS(814),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(816),
    [anon_sym_readonly] = ACTIONS(816),
    [anon_sym_get] = ACTIONS(816),
    [anon_sym_set] = ACTIONS(816),
    [anon_sym_declare] = ACTIONS(818),
    [anon_sym_public] = ACTIONS(816),
    [anon_sym_private] = ACTIONS(816),
    [anon_sym_protected] = ACTIONS(816),
    [anon_sym_override] = ACTIONS(816),
    [anon_sym_module] = ACTIONS(820),
    [anon_sym_any] = ACTIONS(816),
    [anon_sym_number] = ACTIONS(816),
    [anon_sym_boolean] = ACTIONS(816),
    [anon_sym_string] = ACTIONS(816),
    [anon_sym_symbol] = ACTIONS(816),
    [anon_sym_object] = ACTIONS(816),
    [anon_sym_abstract] = ACTIONS(822),
    [anon_sym_interface] = ACTIONS(824),
    [anon_sym_enum] = ACTIONS(826),
    [sym_html_comment] = ACTIONS(5),
  },
  [123] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2151),
    [sym_expression] = STATE(2818),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_assignment_pattern] = STATE(6016),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_nested_identifier] = STATE(7283),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7643),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2101),
    [sym_subscript_expression] = STATE(2101),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3918),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(4717),
    [sym_spread_element] = STATE(6405),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(3103),
    [sym_comment] = STATE(123),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(5319),
    [sym_pattern] = STATE(5560),
    [sym_rest_pattern] = STATE(5231),
    [sym_non_null_expression] = STATE(2101),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_nested_type_identifier] = STATE(3821),
    [sym__type] = STATE(4875),
    [sym_tuple_parameter] = STATE(6776),
    [sym_optional_tuple_parameter] = STATE(6776),
    [sym_optional_type] = STATE(6776),
    [sym_rest_type] = STATE(6776),
    [sym__tuple_type_member] = STATE(5889),
    [sym_constructor_type] = STATE(3924),
    [sym__primary_type] = STATE(3930),
    [sym_template_literal_type] = STATE(3873),
    [sym_infer_type] = STATE(3924),
    [sym_conditional_type] = STATE(3873),
    [sym_generic_type] = STATE(3873),
    [sym_type_query] = STATE(3873),
    [sym_index_type_query] = STATE(3873),
    [sym_lookup_type] = STATE(3873),
    [sym_literal_type] = STATE(3873),
    [sym__number] = STATE(3934),
    [sym_existential_type] = STATE(3873),
    [sym_flow_maybe_type] = STATE(3873),
    [sym_parenthesized_type] = STATE(3873),
    [sym_predefined_type] = STATE(3873),
    [sym_object_type] = STATE(3873),
    [sym_type_parameters] = STATE(6670),
    [sym_array_type] = STATE(3873),
    [sym_tuple_type] = STATE(3873),
    [sym_readonly_type] = STATE(3924),
    [sym_union_type] = STATE(3873),
    [sym_intersection_type] = STATE(3873),
    [sym_function_type] = STATE(3924),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [aux_sym_array_repeat1] = STATE(6404),
    [aux_sym_array_pattern_repeat1] = STATE(6020),
    [sym_identifier] = ACTIONS(956),
    [anon_sym_export] = ACTIONS(958),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_type] = ACTIONS(958),
    [anon_sym_namespace] = ACTIONS(960),
    [anon_sym_LBRACE] = ACTIONS(962),
    [anon_sym_COMMA] = ACTIONS(964),
    [anon_sym_typeof] = ACTIONS(966),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(958),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(135),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(974),
    [anon_sym_RBRACK] = ACTIONS(976),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(978),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(980),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(984),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(986),
    [anon_sym_DASH] = ACTIONS(986),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(990),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(181),
    [sym_number] = ACTIONS(183),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(996),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(183),
    [sym_false] = ACTIONS(183),
    [sym_null] = ACTIONS(183),
    [sym_undefined] = ACTIONS(998),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(958),
    [anon_sym_readonly] = ACTIONS(1000),
    [anon_sym_get] = ACTIONS(958),
    [anon_sym_set] = ACTIONS(958),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_declare] = ACTIONS(958),
    [anon_sym_public] = ACTIONS(958),
    [anon_sym_private] = ACTIONS(958),
    [anon_sym_protected] = ACTIONS(958),
    [anon_sym_override] = ACTIONS(958),
    [anon_sym_module] = ACTIONS(958),
    [anon_sym_any] = ACTIONS(1002),
    [anon_sym_number] = ACTIONS(1002),
    [anon_sym_boolean] = ACTIONS(1002),
    [anon_sym_string] = ACTIONS(1002),
    [anon_sym_symbol] = ACTIONS(1002),
    [anon_sym_object] = ACTIONS(1002),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [124] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2151),
    [sym_expression] = STATE(2818),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_assignment_pattern] = STATE(6016),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_nested_identifier] = STATE(7283),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7643),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2101),
    [sym_subscript_expression] = STATE(2101),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3918),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(4717),
    [sym_spread_element] = STATE(6405),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(3103),
    [sym_comment] = STATE(124),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(5319),
    [sym_pattern] = STATE(5560),
    [sym_rest_pattern] = STATE(5231),
    [sym_non_null_expression] = STATE(2101),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_nested_type_identifier] = STATE(3821),
    [sym__type] = STATE(4875),
    [sym_tuple_parameter] = STATE(6776),
    [sym_optional_tuple_parameter] = STATE(6776),
    [sym_optional_type] = STATE(6776),
    [sym_rest_type] = STATE(6776),
    [sym__tuple_type_member] = STATE(6241),
    [sym_constructor_type] = STATE(3924),
    [sym__primary_type] = STATE(3930),
    [sym_template_literal_type] = STATE(3873),
    [sym_infer_type] = STATE(3924),
    [sym_conditional_type] = STATE(3873),
    [sym_generic_type] = STATE(3873),
    [sym_type_query] = STATE(3873),
    [sym_index_type_query] = STATE(3873),
    [sym_lookup_type] = STATE(3873),
    [sym_literal_type] = STATE(3873),
    [sym__number] = STATE(3934),
    [sym_existential_type] = STATE(3873),
    [sym_flow_maybe_type] = STATE(3873),
    [sym_parenthesized_type] = STATE(3873),
    [sym_predefined_type] = STATE(3873),
    [sym_object_type] = STATE(3873),
    [sym_type_parameters] = STATE(6670),
    [sym_array_type] = STATE(3873),
    [sym_tuple_type] = STATE(3873),
    [sym_readonly_type] = STATE(3924),
    [sym_union_type] = STATE(3873),
    [sym_intersection_type] = STATE(3873),
    [sym_function_type] = STATE(3924),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [aux_sym_array_repeat1] = STATE(6404),
    [aux_sym_array_pattern_repeat1] = STATE(6020),
    [sym_identifier] = ACTIONS(956),
    [anon_sym_export] = ACTIONS(958),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_type] = ACTIONS(958),
    [anon_sym_namespace] = ACTIONS(960),
    [anon_sym_LBRACE] = ACTIONS(962),
    [anon_sym_COMMA] = ACTIONS(1004),
    [anon_sym_typeof] = ACTIONS(966),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(958),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(135),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(974),
    [anon_sym_RBRACK] = ACTIONS(1006),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(978),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(980),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(984),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(986),
    [anon_sym_DASH] = ACTIONS(986),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(990),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(181),
    [sym_number] = ACTIONS(183),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(996),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(183),
    [sym_false] = ACTIONS(183),
    [sym_null] = ACTIONS(183),
    [sym_undefined] = ACTIONS(998),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(958),
    [anon_sym_readonly] = ACTIONS(1000),
    [anon_sym_get] = ACTIONS(958),
    [anon_sym_set] = ACTIONS(958),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_declare] = ACTIONS(958),
    [anon_sym_public] = ACTIONS(958),
    [anon_sym_private] = ACTIONS(958),
    [anon_sym_protected] = ACTIONS(958),
    [anon_sym_override] = ACTIONS(958),
    [anon_sym_module] = ACTIONS(958),
    [anon_sym_any] = ACTIONS(1002),
    [anon_sym_number] = ACTIONS(1002),
    [anon_sym_boolean] = ACTIONS(1002),
    [anon_sym_string] = ACTIONS(1002),
    [anon_sym_symbol] = ACTIONS(1002),
    [anon_sym_object] = ACTIONS(1002),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [125] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2151),
    [sym_expression] = STATE(2818),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_assignment_pattern] = STATE(6016),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_nested_identifier] = STATE(7283),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7643),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2101),
    [sym_subscript_expression] = STATE(2101),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3918),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(4717),
    [sym_spread_element] = STATE(6405),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(3103),
    [sym_comment] = STATE(125),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(5319),
    [sym_pattern] = STATE(5560),
    [sym_rest_pattern] = STATE(5231),
    [sym_non_null_expression] = STATE(2101),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_nested_type_identifier] = STATE(3821),
    [sym__type] = STATE(4875),
    [sym_tuple_parameter] = STATE(6776),
    [sym_optional_tuple_parameter] = STATE(6776),
    [sym_optional_type] = STATE(6776),
    [sym_rest_type] = STATE(6776),
    [sym__tuple_type_member] = STATE(6241),
    [sym_constructor_type] = STATE(3924),
    [sym__primary_type] = STATE(3930),
    [sym_template_literal_type] = STATE(3873),
    [sym_infer_type] = STATE(3924),
    [sym_conditional_type] = STATE(3873),
    [sym_generic_type] = STATE(3873),
    [sym_type_query] = STATE(3873),
    [sym_index_type_query] = STATE(3873),
    [sym_lookup_type] = STATE(3873),
    [sym_literal_type] = STATE(3873),
    [sym__number] = STATE(3934),
    [sym_existential_type] = STATE(3873),
    [sym_flow_maybe_type] = STATE(3873),
    [sym_parenthesized_type] = STATE(3873),
    [sym_predefined_type] = STATE(3873),
    [sym_object_type] = STATE(3873),
    [sym_type_parameters] = STATE(6670),
    [sym_array_type] = STATE(3873),
    [sym_tuple_type] = STATE(3873),
    [sym_readonly_type] = STATE(3924),
    [sym_union_type] = STATE(3873),
    [sym_intersection_type] = STATE(3873),
    [sym_function_type] = STATE(3924),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [aux_sym_array_repeat1] = STATE(6404),
    [aux_sym_array_pattern_repeat1] = STATE(6020),
    [sym_identifier] = ACTIONS(956),
    [anon_sym_export] = ACTIONS(958),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_type] = ACTIONS(958),
    [anon_sym_namespace] = ACTIONS(960),
    [anon_sym_LBRACE] = ACTIONS(962),
    [anon_sym_COMMA] = ACTIONS(1004),
    [anon_sym_typeof] = ACTIONS(966),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(958),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(135),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(974),
    [anon_sym_RBRACK] = ACTIONS(1008),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(978),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(980),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(984),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(986),
    [anon_sym_DASH] = ACTIONS(986),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(990),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(181),
    [sym_number] = ACTIONS(183),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(996),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(183),
    [sym_false] = ACTIONS(183),
    [sym_null] = ACTIONS(183),
    [sym_undefined] = ACTIONS(998),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(958),
    [anon_sym_readonly] = ACTIONS(1000),
    [anon_sym_get] = ACTIONS(958),
    [anon_sym_set] = ACTIONS(958),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_declare] = ACTIONS(958),
    [anon_sym_public] = ACTIONS(958),
    [anon_sym_private] = ACTIONS(958),
    [anon_sym_protected] = ACTIONS(958),
    [anon_sym_override] = ACTIONS(958),
    [anon_sym_module] = ACTIONS(958),
    [anon_sym_any] = ACTIONS(1002),
    [anon_sym_number] = ACTIONS(1002),
    [anon_sym_boolean] = ACTIONS(1002),
    [anon_sym_string] = ACTIONS(1002),
    [anon_sym_symbol] = ACTIONS(1002),
    [anon_sym_object] = ACTIONS(1002),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [126] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2151),
    [sym_expression] = STATE(2818),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_assignment_pattern] = STATE(6016),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_nested_identifier] = STATE(7283),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7643),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2101),
    [sym_subscript_expression] = STATE(2101),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3918),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(4717),
    [sym_spread_element] = STATE(6405),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(3103),
    [sym_comment] = STATE(126),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(5319),
    [sym_pattern] = STATE(5560),
    [sym_rest_pattern] = STATE(5231),
    [sym_non_null_expression] = STATE(2101),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_nested_type_identifier] = STATE(3821),
    [sym__type] = STATE(4875),
    [sym_tuple_parameter] = STATE(6776),
    [sym_optional_tuple_parameter] = STATE(6776),
    [sym_optional_type] = STATE(6776),
    [sym_rest_type] = STATE(6776),
    [sym__tuple_type_member] = STATE(6241),
    [sym_constructor_type] = STATE(3924),
    [sym__primary_type] = STATE(3930),
    [sym_template_literal_type] = STATE(3873),
    [sym_infer_type] = STATE(3924),
    [sym_conditional_type] = STATE(3873),
    [sym_generic_type] = STATE(3873),
    [sym_type_query] = STATE(3873),
    [sym_index_type_query] = STATE(3873),
    [sym_lookup_type] = STATE(3873),
    [sym_literal_type] = STATE(3873),
    [sym__number] = STATE(3934),
    [sym_existential_type] = STATE(3873),
    [sym_flow_maybe_type] = STATE(3873),
    [sym_parenthesized_type] = STATE(3873),
    [sym_predefined_type] = STATE(3873),
    [sym_object_type] = STATE(3873),
    [sym_type_parameters] = STATE(6670),
    [sym_array_type] = STATE(3873),
    [sym_tuple_type] = STATE(3873),
    [sym_readonly_type] = STATE(3924),
    [sym_union_type] = STATE(3873),
    [sym_intersection_type] = STATE(3873),
    [sym_function_type] = STATE(3924),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [aux_sym_array_repeat1] = STATE(6404),
    [aux_sym_array_pattern_repeat1] = STATE(6020),
    [sym_identifier] = ACTIONS(956),
    [anon_sym_export] = ACTIONS(958),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_type] = ACTIONS(958),
    [anon_sym_namespace] = ACTIONS(960),
    [anon_sym_LBRACE] = ACTIONS(962),
    [anon_sym_COMMA] = ACTIONS(1004),
    [anon_sym_typeof] = ACTIONS(966),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(958),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(135),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(974),
    [anon_sym_RBRACK] = ACTIONS(1010),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(978),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(980),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(984),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(986),
    [anon_sym_DASH] = ACTIONS(986),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(990),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(181),
    [sym_number] = ACTIONS(183),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(996),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(183),
    [sym_false] = ACTIONS(183),
    [sym_null] = ACTIONS(183),
    [sym_undefined] = ACTIONS(998),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(958),
    [anon_sym_readonly] = ACTIONS(1000),
    [anon_sym_get] = ACTIONS(958),
    [anon_sym_set] = ACTIONS(958),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_declare] = ACTIONS(958),
    [anon_sym_public] = ACTIONS(958),
    [anon_sym_private] = ACTIONS(958),
    [anon_sym_protected] = ACTIONS(958),
    [anon_sym_override] = ACTIONS(958),
    [anon_sym_module] = ACTIONS(958),
    [anon_sym_any] = ACTIONS(1002),
    [anon_sym_number] = ACTIONS(1002),
    [anon_sym_boolean] = ACTIONS(1002),
    [anon_sym_string] = ACTIONS(1002),
    [anon_sym_symbol] = ACTIONS(1002),
    [anon_sym_object] = ACTIONS(1002),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [127] = {
    [sym_import] = STATE(4369),
    [sym_parenthesized_expression] = STATE(2158),
    [sym_expression] = STATE(3364),
    [sym_primary_expression] = STATE(2594),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(3113),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(3113),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(3113),
    [sym_function_expression] = STATE(3113),
    [sym_generator_function] = STATE(3113),
    [sym_arrow_function] = STATE(3113),
    [sym__call_signature] = STATE(7486),
    [sym_call_expression] = STATE(3113),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2158),
    [sym_subscript_expression] = STATE(2158),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3878),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7646),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(3113),
    [sym_comment] = STATE(127),
    [sym_template_string] = STATE(3113),
    [sym_regex] = STATE(3113),
    [sym_meta_property] = STATE(3113),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2158),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5555),
    [aux_sym_object_repeat1] = STATE(6333),
    [aux_sym_object_pattern_repeat1] = STATE(6171),
    [sym_identifier] = ACTIONS(1012),
    [anon_sym_export] = ACTIONS(1014),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1014),
    [anon_sym_EQ] = ACTIONS(1016),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1018),
    [anon_sym_LBRACE] = ACTIONS(1020),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_RBRACE] = ACTIONS(1022),
    [anon_sym_typeof] = ACTIONS(174),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1014),
    [anon_sym_BANG] = ACTIONS(174),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1024),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1027),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1029),
    [anon_sym_async] = ACTIONS(1031),
    [anon_sym_function] = ACTIONS(1033),
    [anon_sym_EQ_GT] = ACTIONS(1035),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1037),
    [anon_sym_using] = ACTIONS(157),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(174),
    [anon_sym_DASH] = ACTIONS(174),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(174),
    [anon_sym_void] = ACTIONS(174),
    [anon_sym_delete] = ACTIONS(174),
    [anon_sym_PLUS_PLUS] = ACTIONS(1039),
    [anon_sym_DASH_DASH] = ACTIONS(1039),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(185),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1041),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1014),
    [anon_sym_readonly] = ACTIONS(1014),
    [anon_sym_get] = ACTIONS(1014),
    [anon_sym_set] = ACTIONS(1014),
    [anon_sym_QMARK] = ACTIONS(1043),
    [anon_sym_declare] = ACTIONS(1014),
    [anon_sym_public] = ACTIONS(1014),
    [anon_sym_private] = ACTIONS(1014),
    [anon_sym_protected] = ACTIONS(1014),
    [anon_sym_override] = ACTIONS(1014),
    [anon_sym_module] = ACTIONS(1014),
    [anon_sym_any] = ACTIONS(1014),
    [anon_sym_number] = ACTIONS(1014),
    [anon_sym_boolean] = ACTIONS(1014),
    [anon_sym_string] = ACTIONS(1014),
    [anon_sym_symbol] = ACTIONS(1014),
    [anon_sym_object] = ACTIONS(1014),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(211),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [128] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2151),
    [sym_expression] = STATE(2808),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_assignment_pattern] = STATE(6016),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_nested_identifier] = STATE(7283),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7643),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2101),
    [sym_subscript_expression] = STATE(2101),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3918),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(4717),
    [sym_spread_element] = STATE(6017),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(3103),
    [sym_comment] = STATE(128),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(5319),
    [sym_pattern] = STATE(5560),
    [sym_rest_pattern] = STATE(5231),
    [sym_non_null_expression] = STATE(2101),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_nested_type_identifier] = STATE(3821),
    [sym__type] = STATE(4875),
    [sym_tuple_parameter] = STATE(6776),
    [sym_optional_tuple_parameter] = STATE(6776),
    [sym_optional_type] = STATE(6776),
    [sym_rest_type] = STATE(6776),
    [sym__tuple_type_member] = STATE(6241),
    [sym_constructor_type] = STATE(3924),
    [sym__primary_type] = STATE(3930),
    [sym_template_literal_type] = STATE(3873),
    [sym_infer_type] = STATE(3924),
    [sym_conditional_type] = STATE(3873),
    [sym_generic_type] = STATE(3873),
    [sym_type_query] = STATE(3873),
    [sym_index_type_query] = STATE(3873),
    [sym_lookup_type] = STATE(3873),
    [sym_literal_type] = STATE(3873),
    [sym__number] = STATE(3934),
    [sym_existential_type] = STATE(3873),
    [sym_flow_maybe_type] = STATE(3873),
    [sym_parenthesized_type] = STATE(3873),
    [sym_predefined_type] = STATE(3873),
    [sym_object_type] = STATE(3873),
    [sym_type_parameters] = STATE(6670),
    [sym_array_type] = STATE(3873),
    [sym_tuple_type] = STATE(3873),
    [sym_readonly_type] = STATE(3924),
    [sym_union_type] = STATE(3873),
    [sym_intersection_type] = STATE(3873),
    [sym_function_type] = STATE(3924),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [aux_sym_array_repeat1] = STATE(6018),
    [aux_sym_array_pattern_repeat1] = STATE(6020),
    [sym_identifier] = ACTIONS(956),
    [anon_sym_export] = ACTIONS(958),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_type] = ACTIONS(958),
    [anon_sym_namespace] = ACTIONS(960),
    [anon_sym_LBRACE] = ACTIONS(962),
    [anon_sym_COMMA] = ACTIONS(1004),
    [anon_sym_typeof] = ACTIONS(966),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(958),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(135),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(974),
    [anon_sym_RBRACK] = ACTIONS(1045),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(978),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(980),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(984),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(986),
    [anon_sym_DASH] = ACTIONS(986),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(990),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(181),
    [sym_number] = ACTIONS(183),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(996),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(183),
    [sym_false] = ACTIONS(183),
    [sym_null] = ACTIONS(183),
    [sym_undefined] = ACTIONS(998),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(958),
    [anon_sym_readonly] = ACTIONS(1000),
    [anon_sym_get] = ACTIONS(958),
    [anon_sym_set] = ACTIONS(958),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_declare] = ACTIONS(958),
    [anon_sym_public] = ACTIONS(958),
    [anon_sym_private] = ACTIONS(958),
    [anon_sym_protected] = ACTIONS(958),
    [anon_sym_override] = ACTIONS(958),
    [anon_sym_module] = ACTIONS(958),
    [anon_sym_any] = ACTIONS(1002),
    [anon_sym_number] = ACTIONS(1002),
    [anon_sym_boolean] = ACTIONS(1002),
    [anon_sym_string] = ACTIONS(1002),
    [anon_sym_symbol] = ACTIONS(1002),
    [anon_sym_object] = ACTIONS(1002),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [129] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2151),
    [sym_expression] = STATE(2818),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_assignment_pattern] = STATE(6016),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_nested_identifier] = STATE(7283),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7643),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2101),
    [sym_subscript_expression] = STATE(2101),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3918),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(4717),
    [sym_spread_element] = STATE(6405),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(3103),
    [sym_comment] = STATE(129),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(5319),
    [sym_pattern] = STATE(5560),
    [sym_rest_pattern] = STATE(5231),
    [sym_non_null_expression] = STATE(2101),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_nested_type_identifier] = STATE(3821),
    [sym__type] = STATE(4875),
    [sym_tuple_parameter] = STATE(6776),
    [sym_optional_tuple_parameter] = STATE(6776),
    [sym_optional_type] = STATE(6776),
    [sym_rest_type] = STATE(6776),
    [sym__tuple_type_member] = STATE(6241),
    [sym_constructor_type] = STATE(3924),
    [sym__primary_type] = STATE(3930),
    [sym_template_literal_type] = STATE(3873),
    [sym_infer_type] = STATE(3924),
    [sym_conditional_type] = STATE(3873),
    [sym_generic_type] = STATE(3873),
    [sym_type_query] = STATE(3873),
    [sym_index_type_query] = STATE(3873),
    [sym_lookup_type] = STATE(3873),
    [sym_literal_type] = STATE(3873),
    [sym__number] = STATE(3934),
    [sym_existential_type] = STATE(3873),
    [sym_flow_maybe_type] = STATE(3873),
    [sym_parenthesized_type] = STATE(3873),
    [sym_predefined_type] = STATE(3873),
    [sym_object_type] = STATE(3873),
    [sym_type_parameters] = STATE(6670),
    [sym_array_type] = STATE(3873),
    [sym_tuple_type] = STATE(3873),
    [sym_readonly_type] = STATE(3924),
    [sym_union_type] = STATE(3873),
    [sym_intersection_type] = STATE(3873),
    [sym_function_type] = STATE(3924),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [aux_sym_array_repeat1] = STATE(6404),
    [aux_sym_array_pattern_repeat1] = STATE(6020),
    [sym_identifier] = ACTIONS(956),
    [anon_sym_export] = ACTIONS(958),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_type] = ACTIONS(958),
    [anon_sym_namespace] = ACTIONS(960),
    [anon_sym_LBRACE] = ACTIONS(962),
    [anon_sym_COMMA] = ACTIONS(1004),
    [anon_sym_typeof] = ACTIONS(966),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(958),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(135),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(974),
    [anon_sym_RBRACK] = ACTIONS(1047),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(978),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(980),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(984),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(986),
    [anon_sym_DASH] = ACTIONS(986),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(990),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(181),
    [sym_number] = ACTIONS(183),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(996),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(183),
    [sym_false] = ACTIONS(183),
    [sym_null] = ACTIONS(183),
    [sym_undefined] = ACTIONS(998),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(958),
    [anon_sym_readonly] = ACTIONS(1000),
    [anon_sym_get] = ACTIONS(958),
    [anon_sym_set] = ACTIONS(958),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_declare] = ACTIONS(958),
    [anon_sym_public] = ACTIONS(958),
    [anon_sym_private] = ACTIONS(958),
    [anon_sym_protected] = ACTIONS(958),
    [anon_sym_override] = ACTIONS(958),
    [anon_sym_module] = ACTIONS(958),
    [anon_sym_any] = ACTIONS(1002),
    [anon_sym_number] = ACTIONS(1002),
    [anon_sym_boolean] = ACTIONS(1002),
    [anon_sym_string] = ACTIONS(1002),
    [anon_sym_symbol] = ACTIONS(1002),
    [anon_sym_object] = ACTIONS(1002),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [130] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2151),
    [sym_expression] = STATE(2818),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_assignment_pattern] = STATE(6016),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_nested_identifier] = STATE(7283),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7643),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2101),
    [sym_subscript_expression] = STATE(2101),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3918),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(4717),
    [sym_spread_element] = STATE(6405),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(3103),
    [sym_comment] = STATE(130),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(5319),
    [sym_pattern] = STATE(5560),
    [sym_rest_pattern] = STATE(5231),
    [sym_non_null_expression] = STATE(2101),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_nested_type_identifier] = STATE(3821),
    [sym__type] = STATE(4875),
    [sym_tuple_parameter] = STATE(6776),
    [sym_optional_tuple_parameter] = STATE(6776),
    [sym_optional_type] = STATE(6776),
    [sym_rest_type] = STATE(6776),
    [sym__tuple_type_member] = STATE(6241),
    [sym_constructor_type] = STATE(3924),
    [sym__primary_type] = STATE(3930),
    [sym_template_literal_type] = STATE(3873),
    [sym_infer_type] = STATE(3924),
    [sym_conditional_type] = STATE(3873),
    [sym_generic_type] = STATE(3873),
    [sym_type_query] = STATE(3873),
    [sym_index_type_query] = STATE(3873),
    [sym_lookup_type] = STATE(3873),
    [sym_literal_type] = STATE(3873),
    [sym__number] = STATE(3934),
    [sym_existential_type] = STATE(3873),
    [sym_flow_maybe_type] = STATE(3873),
    [sym_parenthesized_type] = STATE(3873),
    [sym_predefined_type] = STATE(3873),
    [sym_object_type] = STATE(3873),
    [sym_type_parameters] = STATE(6670),
    [sym_array_type] = STATE(3873),
    [sym_tuple_type] = STATE(3873),
    [sym_readonly_type] = STATE(3924),
    [sym_union_type] = STATE(3873),
    [sym_intersection_type] = STATE(3873),
    [sym_function_type] = STATE(3924),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [aux_sym_array_repeat1] = STATE(6404),
    [aux_sym_array_pattern_repeat1] = STATE(6020),
    [sym_identifier] = ACTIONS(956),
    [anon_sym_export] = ACTIONS(958),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_type] = ACTIONS(958),
    [anon_sym_namespace] = ACTIONS(960),
    [anon_sym_LBRACE] = ACTIONS(962),
    [anon_sym_COMMA] = ACTIONS(1004),
    [anon_sym_typeof] = ACTIONS(966),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(958),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(135),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(974),
    [anon_sym_RBRACK] = ACTIONS(1049),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(978),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(980),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(984),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(986),
    [anon_sym_DASH] = ACTIONS(986),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(990),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(181),
    [sym_number] = ACTIONS(183),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(996),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(183),
    [sym_false] = ACTIONS(183),
    [sym_null] = ACTIONS(183),
    [sym_undefined] = ACTIONS(998),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(958),
    [anon_sym_readonly] = ACTIONS(1000),
    [anon_sym_get] = ACTIONS(958),
    [anon_sym_set] = ACTIONS(958),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_declare] = ACTIONS(958),
    [anon_sym_public] = ACTIONS(958),
    [anon_sym_private] = ACTIONS(958),
    [anon_sym_protected] = ACTIONS(958),
    [anon_sym_override] = ACTIONS(958),
    [anon_sym_module] = ACTIONS(958),
    [anon_sym_any] = ACTIONS(1002),
    [anon_sym_number] = ACTIONS(1002),
    [anon_sym_boolean] = ACTIONS(1002),
    [anon_sym_string] = ACTIONS(1002),
    [anon_sym_symbol] = ACTIONS(1002),
    [anon_sym_object] = ACTIONS(1002),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [131] = {
    [sym_import] = STATE(4369),
    [sym_parenthesized_expression] = STATE(2158),
    [sym_expression] = STATE(3364),
    [sym_primary_expression] = STATE(2594),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(3113),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(3113),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(3113),
    [sym_function_expression] = STATE(3113),
    [sym_generator_function] = STATE(3113),
    [sym_arrow_function] = STATE(3113),
    [sym__call_signature] = STATE(7486),
    [sym_call_expression] = STATE(3113),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2158),
    [sym_subscript_expression] = STATE(2158),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3878),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7646),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(3113),
    [sym_comment] = STATE(131),
    [sym_template_string] = STATE(3113),
    [sym_regex] = STATE(3113),
    [sym_meta_property] = STATE(3113),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2158),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5555),
    [aux_sym_object_repeat1] = STATE(6165),
    [aux_sym_object_pattern_repeat1] = STATE(6171),
    [sym_identifier] = ACTIONS(1012),
    [anon_sym_export] = ACTIONS(1014),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1014),
    [anon_sym_EQ] = ACTIONS(1016),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1018),
    [anon_sym_LBRACE] = ACTIONS(1020),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_RBRACE] = ACTIONS(1051),
    [anon_sym_typeof] = ACTIONS(174),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1014),
    [anon_sym_BANG] = ACTIONS(174),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1024),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1027),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1029),
    [anon_sym_async] = ACTIONS(1031),
    [anon_sym_function] = ACTIONS(1033),
    [anon_sym_EQ_GT] = ACTIONS(1035),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1037),
    [anon_sym_using] = ACTIONS(157),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(174),
    [anon_sym_DASH] = ACTIONS(174),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(174),
    [anon_sym_void] = ACTIONS(174),
    [anon_sym_delete] = ACTIONS(174),
    [anon_sym_PLUS_PLUS] = ACTIONS(1039),
    [anon_sym_DASH_DASH] = ACTIONS(1039),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(185),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1041),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1014),
    [anon_sym_readonly] = ACTIONS(1014),
    [anon_sym_get] = ACTIONS(1014),
    [anon_sym_set] = ACTIONS(1014),
    [anon_sym_QMARK] = ACTIONS(1043),
    [anon_sym_declare] = ACTIONS(1014),
    [anon_sym_public] = ACTIONS(1014),
    [anon_sym_private] = ACTIONS(1014),
    [anon_sym_protected] = ACTIONS(1014),
    [anon_sym_override] = ACTIONS(1014),
    [anon_sym_module] = ACTIONS(1014),
    [anon_sym_any] = ACTIONS(1014),
    [anon_sym_number] = ACTIONS(1014),
    [anon_sym_boolean] = ACTIONS(1014),
    [anon_sym_string] = ACTIONS(1014),
    [anon_sym_symbol] = ACTIONS(1014),
    [anon_sym_object] = ACTIONS(1014),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(211),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [132] = {
    [sym_import] = STATE(4369),
    [sym_parenthesized_expression] = STATE(2158),
    [sym_expression] = STATE(3364),
    [sym_primary_expression] = STATE(2594),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(3113),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(3113),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(3113),
    [sym_function_expression] = STATE(3113),
    [sym_generator_function] = STATE(3113),
    [sym_arrow_function] = STATE(3113),
    [sym__call_signature] = STATE(7486),
    [sym_call_expression] = STATE(3113),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2158),
    [sym_subscript_expression] = STATE(2158),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3878),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7646),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(3113),
    [sym_comment] = STATE(132),
    [sym_template_string] = STATE(3113),
    [sym_regex] = STATE(3113),
    [sym_meta_property] = STATE(3113),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2158),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5555),
    [aux_sym_object_repeat1] = STATE(6333),
    [aux_sym_object_pattern_repeat1] = STATE(6171),
    [sym_identifier] = ACTIONS(1012),
    [anon_sym_export] = ACTIONS(1014),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1014),
    [anon_sym_EQ] = ACTIONS(1016),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1018),
    [anon_sym_LBRACE] = ACTIONS(1020),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_RBRACE] = ACTIONS(1053),
    [anon_sym_typeof] = ACTIONS(174),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1014),
    [anon_sym_BANG] = ACTIONS(174),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1024),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1027),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1029),
    [anon_sym_async] = ACTIONS(1031),
    [anon_sym_function] = ACTIONS(1033),
    [anon_sym_EQ_GT] = ACTIONS(1035),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1037),
    [anon_sym_using] = ACTIONS(157),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(174),
    [anon_sym_DASH] = ACTIONS(174),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(174),
    [anon_sym_void] = ACTIONS(174),
    [anon_sym_delete] = ACTIONS(174),
    [anon_sym_PLUS_PLUS] = ACTIONS(1039),
    [anon_sym_DASH_DASH] = ACTIONS(1039),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(185),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1041),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1014),
    [anon_sym_readonly] = ACTIONS(1014),
    [anon_sym_get] = ACTIONS(1014),
    [anon_sym_set] = ACTIONS(1014),
    [anon_sym_QMARK] = ACTIONS(1043),
    [anon_sym_declare] = ACTIONS(1014),
    [anon_sym_public] = ACTIONS(1014),
    [anon_sym_private] = ACTIONS(1014),
    [anon_sym_protected] = ACTIONS(1014),
    [anon_sym_override] = ACTIONS(1014),
    [anon_sym_module] = ACTIONS(1014),
    [anon_sym_any] = ACTIONS(1014),
    [anon_sym_number] = ACTIONS(1014),
    [anon_sym_boolean] = ACTIONS(1014),
    [anon_sym_string] = ACTIONS(1014),
    [anon_sym_symbol] = ACTIONS(1014),
    [anon_sym_object] = ACTIONS(1014),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(211),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [133] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2151),
    [sym_expression] = STATE(2818),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_assignment_pattern] = STATE(6016),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_nested_identifier] = STATE(7283),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7643),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2101),
    [sym_subscript_expression] = STATE(2101),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3918),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(4717),
    [sym_spread_element] = STATE(6405),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(3103),
    [sym_comment] = STATE(133),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(5319),
    [sym_pattern] = STATE(5560),
    [sym_rest_pattern] = STATE(5231),
    [sym_non_null_expression] = STATE(2101),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_nested_type_identifier] = STATE(3821),
    [sym__type] = STATE(4875),
    [sym_tuple_parameter] = STATE(6776),
    [sym_optional_tuple_parameter] = STATE(6776),
    [sym_optional_type] = STATE(6776),
    [sym_rest_type] = STATE(6776),
    [sym__tuple_type_member] = STATE(6241),
    [sym_constructor_type] = STATE(3924),
    [sym__primary_type] = STATE(3930),
    [sym_template_literal_type] = STATE(3873),
    [sym_infer_type] = STATE(3924),
    [sym_conditional_type] = STATE(3873),
    [sym_generic_type] = STATE(3873),
    [sym_type_query] = STATE(3873),
    [sym_index_type_query] = STATE(3873),
    [sym_lookup_type] = STATE(3873),
    [sym_literal_type] = STATE(3873),
    [sym__number] = STATE(3934),
    [sym_existential_type] = STATE(3873),
    [sym_flow_maybe_type] = STATE(3873),
    [sym_parenthesized_type] = STATE(3873),
    [sym_predefined_type] = STATE(3873),
    [sym_object_type] = STATE(3873),
    [sym_type_parameters] = STATE(6670),
    [sym_array_type] = STATE(3873),
    [sym_tuple_type] = STATE(3873),
    [sym_readonly_type] = STATE(3924),
    [sym_union_type] = STATE(3873),
    [sym_intersection_type] = STATE(3873),
    [sym_function_type] = STATE(3924),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [aux_sym_array_repeat1] = STATE(6404),
    [aux_sym_array_pattern_repeat1] = STATE(6020),
    [sym_identifier] = ACTIONS(956),
    [anon_sym_export] = ACTIONS(958),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_type] = ACTIONS(958),
    [anon_sym_namespace] = ACTIONS(960),
    [anon_sym_LBRACE] = ACTIONS(962),
    [anon_sym_COMMA] = ACTIONS(1004),
    [anon_sym_typeof] = ACTIONS(966),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(958),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(135),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(974),
    [anon_sym_RBRACK] = ACTIONS(1055),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(978),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(980),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(984),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(986),
    [anon_sym_DASH] = ACTIONS(986),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(990),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(181),
    [sym_number] = ACTIONS(183),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(996),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(183),
    [sym_false] = ACTIONS(183),
    [sym_null] = ACTIONS(183),
    [sym_undefined] = ACTIONS(998),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(958),
    [anon_sym_readonly] = ACTIONS(1000),
    [anon_sym_get] = ACTIONS(958),
    [anon_sym_set] = ACTIONS(958),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_declare] = ACTIONS(958),
    [anon_sym_public] = ACTIONS(958),
    [anon_sym_private] = ACTIONS(958),
    [anon_sym_protected] = ACTIONS(958),
    [anon_sym_override] = ACTIONS(958),
    [anon_sym_module] = ACTIONS(958),
    [anon_sym_any] = ACTIONS(1002),
    [anon_sym_number] = ACTIONS(1002),
    [anon_sym_boolean] = ACTIONS(1002),
    [anon_sym_string] = ACTIONS(1002),
    [anon_sym_symbol] = ACTIONS(1002),
    [anon_sym_object] = ACTIONS(1002),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [134] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2151),
    [sym_expression] = STATE(2808),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_assignment_pattern] = STATE(6016),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_nested_identifier] = STATE(7283),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7643),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2101),
    [sym_subscript_expression] = STATE(2101),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3918),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(4717),
    [sym_spread_element] = STATE(6017),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(3103),
    [sym_comment] = STATE(134),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(5319),
    [sym_pattern] = STATE(5560),
    [sym_rest_pattern] = STATE(5231),
    [sym_non_null_expression] = STATE(2101),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_nested_type_identifier] = STATE(3821),
    [sym__type] = STATE(4875),
    [sym_tuple_parameter] = STATE(6776),
    [sym_optional_tuple_parameter] = STATE(6776),
    [sym_optional_type] = STATE(6776),
    [sym_rest_type] = STATE(6776),
    [sym__tuple_type_member] = STATE(6241),
    [sym_constructor_type] = STATE(3924),
    [sym__primary_type] = STATE(3930),
    [sym_template_literal_type] = STATE(3873),
    [sym_infer_type] = STATE(3924),
    [sym_conditional_type] = STATE(3873),
    [sym_generic_type] = STATE(3873),
    [sym_type_query] = STATE(3873),
    [sym_index_type_query] = STATE(3873),
    [sym_lookup_type] = STATE(3873),
    [sym_literal_type] = STATE(3873),
    [sym__number] = STATE(3934),
    [sym_existential_type] = STATE(3873),
    [sym_flow_maybe_type] = STATE(3873),
    [sym_parenthesized_type] = STATE(3873),
    [sym_predefined_type] = STATE(3873),
    [sym_object_type] = STATE(3873),
    [sym_type_parameters] = STATE(6670),
    [sym_array_type] = STATE(3873),
    [sym_tuple_type] = STATE(3873),
    [sym_readonly_type] = STATE(3924),
    [sym_union_type] = STATE(3873),
    [sym_intersection_type] = STATE(3873),
    [sym_function_type] = STATE(3924),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [aux_sym_array_repeat1] = STATE(6018),
    [aux_sym_array_pattern_repeat1] = STATE(6020),
    [sym_identifier] = ACTIONS(956),
    [anon_sym_export] = ACTIONS(958),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_type] = ACTIONS(958),
    [anon_sym_namespace] = ACTIONS(960),
    [anon_sym_LBRACE] = ACTIONS(962),
    [anon_sym_COMMA] = ACTIONS(1004),
    [anon_sym_typeof] = ACTIONS(966),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(958),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(135),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(974),
    [anon_sym_RBRACK] = ACTIONS(1057),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(978),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(980),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(984),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(986),
    [anon_sym_DASH] = ACTIONS(986),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(990),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(181),
    [sym_number] = ACTIONS(183),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(996),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(183),
    [sym_false] = ACTIONS(183),
    [sym_null] = ACTIONS(183),
    [sym_undefined] = ACTIONS(998),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(958),
    [anon_sym_readonly] = ACTIONS(1000),
    [anon_sym_get] = ACTIONS(958),
    [anon_sym_set] = ACTIONS(958),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_declare] = ACTIONS(958),
    [anon_sym_public] = ACTIONS(958),
    [anon_sym_private] = ACTIONS(958),
    [anon_sym_protected] = ACTIONS(958),
    [anon_sym_override] = ACTIONS(958),
    [anon_sym_module] = ACTIONS(958),
    [anon_sym_any] = ACTIONS(1002),
    [anon_sym_number] = ACTIONS(1002),
    [anon_sym_boolean] = ACTIONS(1002),
    [anon_sym_string] = ACTIONS(1002),
    [anon_sym_symbol] = ACTIONS(1002),
    [anon_sym_object] = ACTIONS(1002),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [135] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2151),
    [sym_expression] = STATE(2818),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_assignment_pattern] = STATE(6016),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_nested_identifier] = STATE(7283),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7643),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2101),
    [sym_subscript_expression] = STATE(2101),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3918),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(4717),
    [sym_spread_element] = STATE(6405),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(3103),
    [sym_comment] = STATE(135),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(5319),
    [sym_pattern] = STATE(5560),
    [sym_rest_pattern] = STATE(5231),
    [sym_non_null_expression] = STATE(2101),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_nested_type_identifier] = STATE(3821),
    [sym__type] = STATE(4875),
    [sym_tuple_parameter] = STATE(6776),
    [sym_optional_tuple_parameter] = STATE(6776),
    [sym_optional_type] = STATE(6776),
    [sym_rest_type] = STATE(6776),
    [sym__tuple_type_member] = STATE(6241),
    [sym_constructor_type] = STATE(3924),
    [sym__primary_type] = STATE(3930),
    [sym_template_literal_type] = STATE(3873),
    [sym_infer_type] = STATE(3924),
    [sym_conditional_type] = STATE(3873),
    [sym_generic_type] = STATE(3873),
    [sym_type_query] = STATE(3873),
    [sym_index_type_query] = STATE(3873),
    [sym_lookup_type] = STATE(3873),
    [sym_literal_type] = STATE(3873),
    [sym__number] = STATE(3934),
    [sym_existential_type] = STATE(3873),
    [sym_flow_maybe_type] = STATE(3873),
    [sym_parenthesized_type] = STATE(3873),
    [sym_predefined_type] = STATE(3873),
    [sym_object_type] = STATE(3873),
    [sym_type_parameters] = STATE(6670),
    [sym_array_type] = STATE(3873),
    [sym_tuple_type] = STATE(3873),
    [sym_readonly_type] = STATE(3924),
    [sym_union_type] = STATE(3873),
    [sym_intersection_type] = STATE(3873),
    [sym_function_type] = STATE(3924),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [aux_sym_array_repeat1] = STATE(6404),
    [aux_sym_array_pattern_repeat1] = STATE(6020),
    [sym_identifier] = ACTIONS(956),
    [anon_sym_export] = ACTIONS(958),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_type] = ACTIONS(958),
    [anon_sym_namespace] = ACTIONS(960),
    [anon_sym_LBRACE] = ACTIONS(962),
    [anon_sym_COMMA] = ACTIONS(1004),
    [anon_sym_typeof] = ACTIONS(966),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(958),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(135),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(974),
    [anon_sym_RBRACK] = ACTIONS(1059),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(978),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(980),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(984),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(986),
    [anon_sym_DASH] = ACTIONS(986),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(990),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(181),
    [sym_number] = ACTIONS(183),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(996),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(183),
    [sym_false] = ACTIONS(183),
    [sym_null] = ACTIONS(183),
    [sym_undefined] = ACTIONS(998),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(958),
    [anon_sym_readonly] = ACTIONS(1000),
    [anon_sym_get] = ACTIONS(958),
    [anon_sym_set] = ACTIONS(958),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_declare] = ACTIONS(958),
    [anon_sym_public] = ACTIONS(958),
    [anon_sym_private] = ACTIONS(958),
    [anon_sym_protected] = ACTIONS(958),
    [anon_sym_override] = ACTIONS(958),
    [anon_sym_module] = ACTIONS(958),
    [anon_sym_any] = ACTIONS(1002),
    [anon_sym_number] = ACTIONS(1002),
    [anon_sym_boolean] = ACTIONS(1002),
    [anon_sym_string] = ACTIONS(1002),
    [anon_sym_symbol] = ACTIONS(1002),
    [anon_sym_object] = ACTIONS(1002),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [136] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2048),
    [sym_expression] = STATE(3359),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7260),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2111),
    [sym_subscript_expression] = STATE(2111),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3878),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(4560),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(136),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_pattern] = STATE(5245),
    [sym_rest_pattern] = STATE(4693),
    [sym_non_null_expression] = STATE(2111),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1061),
    [anon_sym_export] = ACTIONS(111),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(111),
    [anon_sym_EQ] = ACTIONS(213),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(120),
    [anon_sym_LBRACE] = ACTIONS(1063),
    [anon_sym_COMMA] = ACTIONS(216),
    [anon_sym_typeof] = ACTIONS(174),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(111),
    [anon_sym_BANG] = ACTIONS(132),
    [anon_sym_LPAREN] = ACTIONS(1065),
    [anon_sym_RPAREN] = ACTIONS(216),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(216),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1068),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(149),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_EQ_GT] = ACTIONS(219),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1071),
    [anon_sym_using] = ACTIONS(157),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(161),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(132),
    [anon_sym_DASH] = ACTIONS(132),
    [anon_sym_SLASH] = ACTIONS(169),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(1073),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(174),
    [anon_sym_void] = ACTIONS(174),
    [anon_sym_delete] = ACTIONS(174),
    [anon_sym_PLUS_PLUS] = ACTIONS(178),
    [anon_sym_DASH_DASH] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1076),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(185),
    [sym_this] = ACTIONS(1079),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1081),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(111),
    [anon_sym_readonly] = ACTIONS(111),
    [anon_sym_get] = ACTIONS(111),
    [anon_sym_set] = ACTIONS(111),
    [anon_sym_QMARK] = ACTIONS(124),
    [anon_sym_declare] = ACTIONS(111),
    [anon_sym_public] = ACTIONS(111),
    [anon_sym_private] = ACTIONS(111),
    [anon_sym_protected] = ACTIONS(111),
    [anon_sym_override] = ACTIONS(111),
    [anon_sym_module] = ACTIONS(111),
    [anon_sym_any] = ACTIONS(111),
    [anon_sym_number] = ACTIONS(111),
    [anon_sym_boolean] = ACTIONS(111),
    [anon_sym_string] = ACTIONS(111),
    [anon_sym_symbol] = ACTIONS(111),
    [anon_sym_object] = ACTIONS(111),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [137] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2048),
    [sym_expression] = STATE(3359),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7260),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2111),
    [sym_subscript_expression] = STATE(2111),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3878),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(4560),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(137),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_pattern] = STATE(5245),
    [sym_rest_pattern] = STATE(4693),
    [sym_non_null_expression] = STATE(2111),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1061),
    [anon_sym_export] = ACTIONS(111),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(111),
    [anon_sym_EQ] = ACTIONS(115),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(120),
    [anon_sym_LBRACE] = ACTIONS(1063),
    [anon_sym_COMMA] = ACTIONS(124),
    [anon_sym_typeof] = ACTIONS(174),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(111),
    [anon_sym_BANG] = ACTIONS(132),
    [anon_sym_LPAREN] = ACTIONS(1065),
    [anon_sym_RPAREN] = ACTIONS(124),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(124),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1068),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(149),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_EQ_GT] = ACTIONS(153),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1071),
    [anon_sym_using] = ACTIONS(157),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(161),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(132),
    [anon_sym_DASH] = ACTIONS(132),
    [anon_sym_SLASH] = ACTIONS(169),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(1073),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(174),
    [anon_sym_void] = ACTIONS(174),
    [anon_sym_delete] = ACTIONS(174),
    [anon_sym_PLUS_PLUS] = ACTIONS(178),
    [anon_sym_DASH_DASH] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1076),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(185),
    [sym_this] = ACTIONS(1079),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1081),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(111),
    [anon_sym_readonly] = ACTIONS(111),
    [anon_sym_get] = ACTIONS(111),
    [anon_sym_set] = ACTIONS(111),
    [anon_sym_QMARK] = ACTIONS(124),
    [anon_sym_declare] = ACTIONS(111),
    [anon_sym_public] = ACTIONS(111),
    [anon_sym_private] = ACTIONS(111),
    [anon_sym_protected] = ACTIONS(111),
    [anon_sym_override] = ACTIONS(111),
    [anon_sym_module] = ACTIONS(111),
    [anon_sym_any] = ACTIONS(111),
    [anon_sym_number] = ACTIONS(111),
    [anon_sym_boolean] = ACTIONS(111),
    [anon_sym_string] = ACTIONS(111),
    [anon_sym_symbol] = ACTIONS(111),
    [anon_sym_object] = ACTIONS(111),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [138] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2048),
    [sym_expression] = STATE(3359),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7260),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2111),
    [sym_subscript_expression] = STATE(2111),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3878),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(4560),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(138),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_pattern] = STATE(5411),
    [sym_rest_pattern] = STATE(4693),
    [sym_non_null_expression] = STATE(2111),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1061),
    [anon_sym_export] = ACTIONS(111),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(111),
    [anon_sym_EQ] = ACTIONS(115),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(120),
    [anon_sym_LBRACE] = ACTIONS(1063),
    [anon_sym_COMMA] = ACTIONS(124),
    [anon_sym_typeof] = ACTIONS(174),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(111),
    [anon_sym_BANG] = ACTIONS(132),
    [anon_sym_LPAREN] = ACTIONS(1065),
    [anon_sym_RPAREN] = ACTIONS(124),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(124),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1068),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(149),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_EQ_GT] = ACTIONS(153),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1071),
    [anon_sym_using] = ACTIONS(157),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(161),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(132),
    [anon_sym_DASH] = ACTIONS(132),
    [anon_sym_SLASH] = ACTIONS(169),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(1073),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(174),
    [anon_sym_void] = ACTIONS(174),
    [anon_sym_delete] = ACTIONS(174),
    [anon_sym_PLUS_PLUS] = ACTIONS(178),
    [anon_sym_DASH_DASH] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1076),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(185),
    [sym_this] = ACTIONS(1083),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1081),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(111),
    [anon_sym_readonly] = ACTIONS(111),
    [anon_sym_get] = ACTIONS(111),
    [anon_sym_set] = ACTIONS(111),
    [anon_sym_QMARK] = ACTIONS(124),
    [anon_sym_declare] = ACTIONS(111),
    [anon_sym_public] = ACTIONS(111),
    [anon_sym_private] = ACTIONS(111),
    [anon_sym_protected] = ACTIONS(111),
    [anon_sym_override] = ACTIONS(111),
    [anon_sym_module] = ACTIONS(111),
    [anon_sym_any] = ACTIONS(111),
    [anon_sym_number] = ACTIONS(111),
    [anon_sym_boolean] = ACTIONS(111),
    [anon_sym_string] = ACTIONS(111),
    [anon_sym_symbol] = ACTIONS(111),
    [anon_sym_object] = ACTIONS(111),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [139] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2048),
    [sym_expression] = STATE(3359),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7260),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2111),
    [sym_subscript_expression] = STATE(2111),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3878),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(4560),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(139),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_pattern] = STATE(5045),
    [sym_rest_pattern] = STATE(4693),
    [sym_non_null_expression] = STATE(2111),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1061),
    [anon_sym_export] = ACTIONS(111),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(111),
    [anon_sym_EQ] = ACTIONS(115),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(120),
    [anon_sym_LBRACE] = ACTIONS(1063),
    [anon_sym_COMMA] = ACTIONS(124),
    [anon_sym_typeof] = ACTIONS(174),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(111),
    [anon_sym_BANG] = ACTIONS(132),
    [anon_sym_LPAREN] = ACTIONS(1065),
    [anon_sym_RPAREN] = ACTIONS(124),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(124),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1068),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(149),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_EQ_GT] = ACTIONS(153),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1071),
    [anon_sym_using] = ACTIONS(157),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(161),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(132),
    [anon_sym_DASH] = ACTIONS(132),
    [anon_sym_SLASH] = ACTIONS(169),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(1073),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(174),
    [anon_sym_void] = ACTIONS(174),
    [anon_sym_delete] = ACTIONS(174),
    [anon_sym_PLUS_PLUS] = ACTIONS(178),
    [anon_sym_DASH_DASH] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1076),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(185),
    [sym_this] = ACTIONS(1085),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1081),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(111),
    [anon_sym_readonly] = ACTIONS(111),
    [anon_sym_get] = ACTIONS(111),
    [anon_sym_set] = ACTIONS(111),
    [anon_sym_QMARK] = ACTIONS(124),
    [anon_sym_declare] = ACTIONS(111),
    [anon_sym_public] = ACTIONS(111),
    [anon_sym_private] = ACTIONS(111),
    [anon_sym_protected] = ACTIONS(111),
    [anon_sym_override] = ACTIONS(111),
    [anon_sym_module] = ACTIONS(111),
    [anon_sym_any] = ACTIONS(111),
    [anon_sym_number] = ACTIONS(111),
    [anon_sym_boolean] = ACTIONS(111),
    [anon_sym_string] = ACTIONS(111),
    [anon_sym_symbol] = ACTIONS(111),
    [anon_sym_object] = ACTIONS(111),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [140] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2048),
    [sym_expression] = STATE(3359),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7260),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2111),
    [sym_subscript_expression] = STATE(2111),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3878),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(4560),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(140),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_pattern] = STATE(5407),
    [sym_rest_pattern] = STATE(4693),
    [sym_non_null_expression] = STATE(2111),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1061),
    [anon_sym_export] = ACTIONS(111),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(111),
    [anon_sym_EQ] = ACTIONS(115),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(120),
    [anon_sym_LBRACE] = ACTIONS(1063),
    [anon_sym_COMMA] = ACTIONS(124),
    [anon_sym_typeof] = ACTIONS(174),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(111),
    [anon_sym_BANG] = ACTIONS(132),
    [anon_sym_LPAREN] = ACTIONS(1065),
    [anon_sym_RPAREN] = ACTIONS(124),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(124),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1068),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(149),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_EQ_GT] = ACTIONS(153),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1071),
    [anon_sym_using] = ACTIONS(157),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(161),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(132),
    [anon_sym_DASH] = ACTIONS(132),
    [anon_sym_SLASH] = ACTIONS(169),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(1073),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(174),
    [anon_sym_void] = ACTIONS(174),
    [anon_sym_delete] = ACTIONS(174),
    [anon_sym_PLUS_PLUS] = ACTIONS(178),
    [anon_sym_DASH_DASH] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1076),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(185),
    [sym_this] = ACTIONS(1087),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1081),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(111),
    [anon_sym_readonly] = ACTIONS(111),
    [anon_sym_get] = ACTIONS(111),
    [anon_sym_set] = ACTIONS(111),
    [anon_sym_QMARK] = ACTIONS(124),
    [anon_sym_declare] = ACTIONS(111),
    [anon_sym_public] = ACTIONS(111),
    [anon_sym_private] = ACTIONS(111),
    [anon_sym_protected] = ACTIONS(111),
    [anon_sym_override] = ACTIONS(111),
    [anon_sym_module] = ACTIONS(111),
    [anon_sym_any] = ACTIONS(111),
    [anon_sym_number] = ACTIONS(111),
    [anon_sym_boolean] = ACTIONS(111),
    [anon_sym_string] = ACTIONS(111),
    [anon_sym_symbol] = ACTIONS(111),
    [anon_sym_object] = ACTIONS(111),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [141] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2048),
    [sym_expression] = STATE(3359),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7260),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2111),
    [sym_subscript_expression] = STATE(2111),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3878),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(4560),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(141),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_pattern] = STATE(5061),
    [sym_rest_pattern] = STATE(4693),
    [sym_non_null_expression] = STATE(2111),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1061),
    [anon_sym_export] = ACTIONS(111),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(111),
    [anon_sym_EQ] = ACTIONS(115),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(120),
    [anon_sym_LBRACE] = ACTIONS(1063),
    [anon_sym_COMMA] = ACTIONS(124),
    [anon_sym_typeof] = ACTIONS(174),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(111),
    [anon_sym_BANG] = ACTIONS(132),
    [anon_sym_LPAREN] = ACTIONS(1065),
    [anon_sym_RPAREN] = ACTIONS(124),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(124),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1068),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(149),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_EQ_GT] = ACTIONS(153),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1071),
    [anon_sym_using] = ACTIONS(157),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(161),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(132),
    [anon_sym_DASH] = ACTIONS(132),
    [anon_sym_SLASH] = ACTIONS(169),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(1073),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(174),
    [anon_sym_void] = ACTIONS(174),
    [anon_sym_delete] = ACTIONS(174),
    [anon_sym_PLUS_PLUS] = ACTIONS(178),
    [anon_sym_DASH_DASH] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1076),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(185),
    [sym_this] = ACTIONS(1089),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1081),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(111),
    [anon_sym_readonly] = ACTIONS(111),
    [anon_sym_get] = ACTIONS(111),
    [anon_sym_set] = ACTIONS(111),
    [anon_sym_QMARK] = ACTIONS(124),
    [anon_sym_declare] = ACTIONS(111),
    [anon_sym_public] = ACTIONS(111),
    [anon_sym_private] = ACTIONS(111),
    [anon_sym_protected] = ACTIONS(111),
    [anon_sym_override] = ACTIONS(111),
    [anon_sym_module] = ACTIONS(111),
    [anon_sym_any] = ACTIONS(111),
    [anon_sym_number] = ACTIONS(111),
    [anon_sym_boolean] = ACTIONS(111),
    [anon_sym_string] = ACTIONS(111),
    [anon_sym_symbol] = ACTIONS(111),
    [anon_sym_object] = ACTIONS(111),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [142] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2048),
    [sym_expression] = STATE(3359),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7260),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2111),
    [sym_subscript_expression] = STATE(2111),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3878),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(4560),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(142),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_pattern] = STATE(5227),
    [sym_rest_pattern] = STATE(4693),
    [sym_non_null_expression] = STATE(2111),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1061),
    [anon_sym_export] = ACTIONS(111),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(111),
    [anon_sym_EQ] = ACTIONS(115),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(120),
    [anon_sym_LBRACE] = ACTIONS(1063),
    [anon_sym_COMMA] = ACTIONS(124),
    [anon_sym_typeof] = ACTIONS(174),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(111),
    [anon_sym_BANG] = ACTIONS(132),
    [anon_sym_LPAREN] = ACTIONS(1065),
    [anon_sym_RPAREN] = ACTIONS(124),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(124),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1068),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(149),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_EQ_GT] = ACTIONS(153),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1071),
    [anon_sym_using] = ACTIONS(157),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(161),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(132),
    [anon_sym_DASH] = ACTIONS(132),
    [anon_sym_SLASH] = ACTIONS(169),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(1073),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(174),
    [anon_sym_void] = ACTIONS(174),
    [anon_sym_delete] = ACTIONS(174),
    [anon_sym_PLUS_PLUS] = ACTIONS(178),
    [anon_sym_DASH_DASH] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1076),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(185),
    [sym_this] = ACTIONS(1091),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1081),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(111),
    [anon_sym_readonly] = ACTIONS(111),
    [anon_sym_get] = ACTIONS(111),
    [anon_sym_set] = ACTIONS(111),
    [anon_sym_QMARK] = ACTIONS(124),
    [anon_sym_declare] = ACTIONS(111),
    [anon_sym_public] = ACTIONS(111),
    [anon_sym_private] = ACTIONS(111),
    [anon_sym_protected] = ACTIONS(111),
    [anon_sym_override] = ACTIONS(111),
    [anon_sym_module] = ACTIONS(111),
    [anon_sym_any] = ACTIONS(111),
    [anon_sym_number] = ACTIONS(111),
    [anon_sym_boolean] = ACTIONS(111),
    [anon_sym_string] = ACTIONS(111),
    [anon_sym_symbol] = ACTIONS(111),
    [anon_sym_object] = ACTIONS(111),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [143] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2048),
    [sym_expression] = STATE(3359),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7260),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2111),
    [sym_subscript_expression] = STATE(2111),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3878),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(4560),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(143),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_pattern] = STATE(5393),
    [sym_rest_pattern] = STATE(4693),
    [sym_non_null_expression] = STATE(2111),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1061),
    [anon_sym_export] = ACTIONS(111),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(111),
    [anon_sym_EQ] = ACTIONS(115),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(120),
    [anon_sym_LBRACE] = ACTIONS(1063),
    [anon_sym_COMMA] = ACTIONS(124),
    [anon_sym_typeof] = ACTIONS(174),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(111),
    [anon_sym_BANG] = ACTIONS(132),
    [anon_sym_LPAREN] = ACTIONS(1065),
    [anon_sym_RPAREN] = ACTIONS(124),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(124),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1068),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(149),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_EQ_GT] = ACTIONS(153),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1071),
    [anon_sym_using] = ACTIONS(157),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(161),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(132),
    [anon_sym_DASH] = ACTIONS(132),
    [anon_sym_SLASH] = ACTIONS(169),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(1073),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(174),
    [anon_sym_void] = ACTIONS(174),
    [anon_sym_delete] = ACTIONS(174),
    [anon_sym_PLUS_PLUS] = ACTIONS(178),
    [anon_sym_DASH_DASH] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1076),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(185),
    [sym_this] = ACTIONS(1093),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1081),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(111),
    [anon_sym_readonly] = ACTIONS(111),
    [anon_sym_get] = ACTIONS(111),
    [anon_sym_set] = ACTIONS(111),
    [anon_sym_QMARK] = ACTIONS(124),
    [anon_sym_declare] = ACTIONS(111),
    [anon_sym_public] = ACTIONS(111),
    [anon_sym_private] = ACTIONS(111),
    [anon_sym_protected] = ACTIONS(111),
    [anon_sym_override] = ACTIONS(111),
    [anon_sym_module] = ACTIONS(111),
    [anon_sym_any] = ACTIONS(111),
    [anon_sym_number] = ACTIONS(111),
    [anon_sym_boolean] = ACTIONS(111),
    [anon_sym_string] = ACTIONS(111),
    [anon_sym_symbol] = ACTIONS(111),
    [anon_sym_object] = ACTIONS(111),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [144] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2048),
    [sym_expression] = STATE(3359),
    [sym_primary_expression] = STATE(2354),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7260),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2048),
    [sym_subscript_expression] = STATE(2048),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3878),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7646),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(144),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2048),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1095),
    [anon_sym_export] = ACTIONS(1097),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1097),
    [anon_sym_EQ] = ACTIONS(115),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1099),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_COMMA] = ACTIONS(124),
    [anon_sym_RBRACE] = ACTIONS(124),
    [anon_sym_typeof] = ACTIONS(174),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1097),
    [anon_sym_BANG] = ACTIONS(174),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_RPAREN] = ACTIONS(124),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(124),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_RBRACK] = ACTIONS(124),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1107),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1109),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_EQ_GT] = ACTIONS(153),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1111),
    [anon_sym_using] = ACTIONS(157),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(174),
    [anon_sym_DASH] = ACTIONS(174),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(174),
    [anon_sym_void] = ACTIONS(174),
    [anon_sym_delete] = ACTIONS(174),
    [anon_sym_PLUS_PLUS] = ACTIONS(1039),
    [anon_sym_DASH_DASH] = ACTIONS(1039),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(185),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1115),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1097),
    [anon_sym_readonly] = ACTIONS(1097),
    [anon_sym_get] = ACTIONS(1097),
    [anon_sym_set] = ACTIONS(1097),
    [anon_sym_QMARK] = ACTIONS(124),
    [anon_sym_declare] = ACTIONS(1097),
    [anon_sym_public] = ACTIONS(1097),
    [anon_sym_private] = ACTIONS(1097),
    [anon_sym_protected] = ACTIONS(1097),
    [anon_sym_override] = ACTIONS(1097),
    [anon_sym_module] = ACTIONS(1097),
    [anon_sym_any] = ACTIONS(1097),
    [anon_sym_number] = ACTIONS(1097),
    [anon_sym_boolean] = ACTIONS(1097),
    [anon_sym_string] = ACTIONS(1097),
    [anon_sym_symbol] = ACTIONS(1097),
    [anon_sym_object] = ACTIONS(1097),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [145] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2048),
    [sym_expression] = STATE(3359),
    [sym_primary_expression] = STATE(2354),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7260),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2048),
    [sym_subscript_expression] = STATE(2048),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3878),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7646),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(145),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2048),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1095),
    [anon_sym_export] = ACTIONS(1097),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1097),
    [anon_sym_EQ] = ACTIONS(1117),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1099),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_COMMA] = ACTIONS(1119),
    [anon_sym_RBRACE] = ACTIONS(1119),
    [anon_sym_typeof] = ACTIONS(174),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1097),
    [anon_sym_BANG] = ACTIONS(174),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_RPAREN] = ACTIONS(1119),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1119),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_RBRACK] = ACTIONS(1119),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1107),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1109),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_EQ_GT] = ACTIONS(153),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1111),
    [anon_sym_using] = ACTIONS(157),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(174),
    [anon_sym_DASH] = ACTIONS(174),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(174),
    [anon_sym_void] = ACTIONS(174),
    [anon_sym_delete] = ACTIONS(174),
    [anon_sym_PLUS_PLUS] = ACTIONS(1039),
    [anon_sym_DASH_DASH] = ACTIONS(1039),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(185),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1115),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1097),
    [anon_sym_readonly] = ACTIONS(1097),
    [anon_sym_get] = ACTIONS(1097),
    [anon_sym_set] = ACTIONS(1097),
    [anon_sym_QMARK] = ACTIONS(1119),
    [anon_sym_declare] = ACTIONS(1097),
    [anon_sym_public] = ACTIONS(1097),
    [anon_sym_private] = ACTIONS(1097),
    [anon_sym_protected] = ACTIONS(1097),
    [anon_sym_override] = ACTIONS(1097),
    [anon_sym_module] = ACTIONS(1097),
    [anon_sym_any] = ACTIONS(1097),
    [anon_sym_number] = ACTIONS(1097),
    [anon_sym_boolean] = ACTIONS(1097),
    [anon_sym_string] = ACTIONS(1097),
    [anon_sym_symbol] = ACTIONS(1097),
    [anon_sym_object] = ACTIONS(1097),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [146] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2048),
    [sym_expression] = STATE(3359),
    [sym_primary_expression] = STATE(2354),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7643),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2048),
    [sym_subscript_expression] = STATE(2048),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3878),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7646),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(146),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2048),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1121),
    [anon_sym_export] = ACTIONS(1123),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1123),
    [anon_sym_EQ] = ACTIONS(213),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1125),
    [anon_sym_LBRACE] = ACTIONS(1127),
    [anon_sym_COMMA] = ACTIONS(216),
    [anon_sym_RBRACE] = ACTIONS(216),
    [anon_sym_typeof] = ACTIONS(174),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1123),
    [anon_sym_BANG] = ACTIONS(174),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_RPAREN] = ACTIONS(216),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(216),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1129),
    [anon_sym_RBRACK] = ACTIONS(216),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1107),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1131),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_EQ_GT] = ACTIONS(219),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1133),
    [anon_sym_using] = ACTIONS(157),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(174),
    [anon_sym_DASH] = ACTIONS(174),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(174),
    [anon_sym_void] = ACTIONS(174),
    [anon_sym_delete] = ACTIONS(174),
    [anon_sym_PLUS_PLUS] = ACTIONS(1039),
    [anon_sym_DASH_DASH] = ACTIONS(1039),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(185),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1115),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1123),
    [anon_sym_readonly] = ACTIONS(1123),
    [anon_sym_get] = ACTIONS(1123),
    [anon_sym_set] = ACTIONS(1123),
    [anon_sym_QMARK] = ACTIONS(124),
    [anon_sym_declare] = ACTIONS(1123),
    [anon_sym_public] = ACTIONS(1123),
    [anon_sym_private] = ACTIONS(1123),
    [anon_sym_protected] = ACTIONS(1123),
    [anon_sym_override] = ACTIONS(1123),
    [anon_sym_module] = ACTIONS(1123),
    [anon_sym_any] = ACTIONS(1123),
    [anon_sym_number] = ACTIONS(1123),
    [anon_sym_boolean] = ACTIONS(1123),
    [anon_sym_string] = ACTIONS(1123),
    [anon_sym_symbol] = ACTIONS(1123),
    [anon_sym_object] = ACTIONS(1123),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [147] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2048),
    [sym_expression] = STATE(3359),
    [sym_primary_expression] = STATE(2354),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7643),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2048),
    [sym_subscript_expression] = STATE(2048),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3878),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7646),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(147),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(5233),
    [sym_non_null_expression] = STATE(2048),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6912),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1121),
    [anon_sym_export] = ACTIONS(1123),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1123),
    [anon_sym_EQ] = ACTIONS(213),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1125),
    [anon_sym_LBRACE] = ACTIONS(1127),
    [anon_sym_COMMA] = ACTIONS(216),
    [anon_sym_typeof] = ACTIONS(174),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1123),
    [anon_sym_BANG] = ACTIONS(174),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_RPAREN] = ACTIONS(216),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(216),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1129),
    [anon_sym_RBRACK] = ACTIONS(216),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1107),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1131),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_EQ_GT] = ACTIONS(219),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1133),
    [anon_sym_using] = ACTIONS(157),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(174),
    [anon_sym_DASH] = ACTIONS(174),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(174),
    [anon_sym_void] = ACTIONS(174),
    [anon_sym_delete] = ACTIONS(174),
    [anon_sym_PLUS_PLUS] = ACTIONS(1039),
    [anon_sym_DASH_DASH] = ACTIONS(1039),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(185),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1115),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1123),
    [anon_sym_readonly] = ACTIONS(1123),
    [anon_sym_get] = ACTIONS(1123),
    [anon_sym_set] = ACTIONS(1123),
    [anon_sym_QMARK] = ACTIONS(124),
    [anon_sym_declare] = ACTIONS(1123),
    [anon_sym_public] = ACTIONS(1123),
    [anon_sym_private] = ACTIONS(1123),
    [anon_sym_protected] = ACTIONS(1123),
    [anon_sym_override] = ACTIONS(1123),
    [anon_sym_module] = ACTIONS(1123),
    [anon_sym_any] = ACTIONS(1123),
    [anon_sym_number] = ACTIONS(1123),
    [anon_sym_boolean] = ACTIONS(1123),
    [anon_sym_string] = ACTIONS(1123),
    [anon_sym_symbol] = ACTIONS(1123),
    [anon_sym_object] = ACTIONS(1123),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [148] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2048),
    [sym_expression] = STATE(3359),
    [sym_primary_expression] = STATE(2354),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7643),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2048),
    [sym_subscript_expression] = STATE(2048),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3878),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7646),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(148),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2048),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1121),
    [anon_sym_export] = ACTIONS(1123),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1123),
    [anon_sym_EQ] = ACTIONS(1135),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1125),
    [anon_sym_LBRACE] = ACTIONS(1127),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_RBRACE] = ACTIONS(118),
    [anon_sym_typeof] = ACTIONS(174),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1123),
    [anon_sym_BANG] = ACTIONS(174),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_RPAREN] = ACTIONS(118),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(118),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1129),
    [anon_sym_RBRACK] = ACTIONS(118),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1107),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1131),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_EQ_GT] = ACTIONS(219),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1133),
    [anon_sym_using] = ACTIONS(157),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(174),
    [anon_sym_DASH] = ACTIONS(174),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(174),
    [anon_sym_void] = ACTIONS(174),
    [anon_sym_delete] = ACTIONS(174),
    [anon_sym_PLUS_PLUS] = ACTIONS(1039),
    [anon_sym_DASH_DASH] = ACTIONS(1039),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(185),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1115),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1123),
    [anon_sym_readonly] = ACTIONS(1123),
    [anon_sym_get] = ACTIONS(1123),
    [anon_sym_set] = ACTIONS(1123),
    [anon_sym_declare] = ACTIONS(1123),
    [anon_sym_public] = ACTIONS(1123),
    [anon_sym_private] = ACTIONS(1123),
    [anon_sym_protected] = ACTIONS(1123),
    [anon_sym_override] = ACTIONS(1123),
    [anon_sym_module] = ACTIONS(1123),
    [anon_sym_any] = ACTIONS(1123),
    [anon_sym_number] = ACTIONS(1123),
    [anon_sym_boolean] = ACTIONS(1123),
    [anon_sym_string] = ACTIONS(1123),
    [anon_sym_symbol] = ACTIONS(1123),
    [anon_sym_object] = ACTIONS(1123),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [149] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2151),
    [sym_expression] = STATE(2510),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_nested_identifier] = STATE(7283),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7643),
    [sym__formal_parameter] = STATE(6002),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2101),
    [sym_subscript_expression] = STATE(2101),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3918),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(4717),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_sequence_expression] = STATE(7600),
    [sym_string] = STATE(3327),
    [sym_comment] = STATE(149),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(2152),
    [sym_formal_parameters] = STATE(5319),
    [sym_pattern] = STATE(5367),
    [sym_rest_pattern] = STATE(4693),
    [sym_non_null_expression] = STATE(2101),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_nested_type_identifier] = STATE(3821),
    [sym_accessibility_modifier] = STATE(391),
    [sym_override_modifier] = STATE(433),
    [sym_required_parameter] = STATE(7169),
    [sym_optional_parameter] = STATE(7169),
    [sym__parameter_name] = STATE(4673),
    [sym__type] = STATE(5731),
    [sym_constructor_type] = STATE(3924),
    [sym__primary_type] = STATE(3930),
    [sym_template_literal_type] = STATE(3873),
    [sym_infer_type] = STATE(3924),
    [sym_conditional_type] = STATE(3873),
    [sym_generic_type] = STATE(3873),
    [sym_type_query] = STATE(3873),
    [sym_index_type_query] = STATE(3873),
    [sym_lookup_type] = STATE(3873),
    [sym_literal_type] = STATE(3873),
    [sym__number] = STATE(3934),
    [sym_existential_type] = STATE(3873),
    [sym_flow_maybe_type] = STATE(3873),
    [sym_parenthesized_type] = STATE(3873),
    [sym_predefined_type] = STATE(3873),
    [sym_object_type] = STATE(3873),
    [sym_type_parameters] = STATE(6670),
    [sym_array_type] = STATE(3873),
    [sym_tuple_type] = STATE(3873),
    [sym_readonly_type] = STATE(3924),
    [sym_union_type] = STATE(3873),
    [sym_intersection_type] = STATE(3873),
    [sym_function_type] = STATE(3924),
    [aux_sym_export_statement_repeat1] = STATE(339),
    [sym_identifier] = ACTIONS(1137),
    [anon_sym_export] = ACTIONS(958),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_type] = ACTIONS(958),
    [anon_sym_namespace] = ACTIONS(960),
    [anon_sym_LBRACE] = ACTIONS(1139),
    [anon_sym_typeof] = ACTIONS(1141),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(958),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(135),
    [anon_sym_RPAREN] = ACTIONS(1143),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(1145),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(978),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(980),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(161),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(1147),
    [anon_sym_DASH] = ACTIONS(1147),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(990),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1149),
    [sym_number] = ACTIONS(1151),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(1153),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(1151),
    [sym_false] = ACTIONS(1151),
    [sym_null] = ACTIONS(1151),
    [sym_undefined] = ACTIONS(1155),
    [anon_sym_AT] = ACTIONS(1157),
    [anon_sym_static] = ACTIONS(958),
    [anon_sym_readonly] = ACTIONS(1159),
    [anon_sym_get] = ACTIONS(958),
    [anon_sym_set] = ACTIONS(958),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_declare] = ACTIONS(958),
    [anon_sym_public] = ACTIONS(1161),
    [anon_sym_private] = ACTIONS(1161),
    [anon_sym_protected] = ACTIONS(1161),
    [anon_sym_override] = ACTIONS(1163),
    [anon_sym_module] = ACTIONS(958),
    [anon_sym_any] = ACTIONS(1165),
    [anon_sym_number] = ACTIONS(1165),
    [anon_sym_boolean] = ACTIONS(1165),
    [anon_sym_string] = ACTIONS(1165),
    [anon_sym_symbol] = ACTIONS(1165),
    [anon_sym_object] = ACTIONS(1165),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [150] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2048),
    [sym_expression] = STATE(3359),
    [sym_primary_expression] = STATE(2354),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7643),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2048),
    [sym_subscript_expression] = STATE(2048),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3878),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7646),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(150),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(5233),
    [sym_non_null_expression] = STATE(2048),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6912),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1121),
    [anon_sym_export] = ACTIONS(1123),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1123),
    [anon_sym_EQ] = ACTIONS(1135),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1125),
    [anon_sym_LBRACE] = ACTIONS(1127),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_RBRACE] = ACTIONS(118),
    [anon_sym_typeof] = ACTIONS(174),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1123),
    [anon_sym_BANG] = ACTIONS(174),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_RPAREN] = ACTIONS(118),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(118),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1129),
    [anon_sym_RBRACK] = ACTIONS(118),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1107),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1131),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_EQ_GT] = ACTIONS(219),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1133),
    [anon_sym_using] = ACTIONS(157),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(174),
    [anon_sym_DASH] = ACTIONS(174),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(174),
    [anon_sym_void] = ACTIONS(174),
    [anon_sym_delete] = ACTIONS(174),
    [anon_sym_PLUS_PLUS] = ACTIONS(1039),
    [anon_sym_DASH_DASH] = ACTIONS(1039),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(185),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1115),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1123),
    [anon_sym_readonly] = ACTIONS(1123),
    [anon_sym_get] = ACTIONS(1123),
    [anon_sym_set] = ACTIONS(1123),
    [anon_sym_declare] = ACTIONS(1123),
    [anon_sym_public] = ACTIONS(1123),
    [anon_sym_private] = ACTIONS(1123),
    [anon_sym_protected] = ACTIONS(1123),
    [anon_sym_override] = ACTIONS(1123),
    [anon_sym_module] = ACTIONS(1123),
    [anon_sym_any] = ACTIONS(1123),
    [anon_sym_number] = ACTIONS(1123),
    [anon_sym_boolean] = ACTIONS(1123),
    [anon_sym_string] = ACTIONS(1123),
    [anon_sym_symbol] = ACTIONS(1123),
    [anon_sym_object] = ACTIONS(1123),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [151] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2048),
    [sym_expression] = STATE(3359),
    [sym_primary_expression] = STATE(2354),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7260),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2048),
    [sym_subscript_expression] = STATE(2048),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3878),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7646),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(151),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2048),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1095),
    [anon_sym_export] = ACTIONS(1097),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1097),
    [anon_sym_EQ] = ACTIONS(1117),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1099),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_RBRACE] = ACTIONS(118),
    [anon_sym_typeof] = ACTIONS(174),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1097),
    [anon_sym_BANG] = ACTIONS(174),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_RPAREN] = ACTIONS(118),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(118),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_RBRACK] = ACTIONS(118),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1107),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1109),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_EQ_GT] = ACTIONS(219),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1111),
    [anon_sym_using] = ACTIONS(157),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(174),
    [anon_sym_DASH] = ACTIONS(174),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(174),
    [anon_sym_void] = ACTIONS(174),
    [anon_sym_delete] = ACTIONS(174),
    [anon_sym_PLUS_PLUS] = ACTIONS(1039),
    [anon_sym_DASH_DASH] = ACTIONS(1039),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(185),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1115),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1097),
    [anon_sym_readonly] = ACTIONS(1097),
    [anon_sym_get] = ACTIONS(1097),
    [anon_sym_set] = ACTIONS(1097),
    [anon_sym_declare] = ACTIONS(1097),
    [anon_sym_public] = ACTIONS(1097),
    [anon_sym_private] = ACTIONS(1097),
    [anon_sym_protected] = ACTIONS(1097),
    [anon_sym_override] = ACTIONS(1097),
    [anon_sym_module] = ACTIONS(1097),
    [anon_sym_any] = ACTIONS(1097),
    [anon_sym_number] = ACTIONS(1097),
    [anon_sym_boolean] = ACTIONS(1097),
    [anon_sym_string] = ACTIONS(1097),
    [anon_sym_symbol] = ACTIONS(1097),
    [anon_sym_object] = ACTIONS(1097),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [152] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2151),
    [sym_expression] = STATE(2485),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_nested_identifier] = STATE(7283),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7643),
    [sym__formal_parameter] = STATE(6002),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2101),
    [sym_subscript_expression] = STATE(2101),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3918),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(4717),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_sequence_expression] = STATE(7244),
    [sym_string] = STATE(3327),
    [sym_comment] = STATE(152),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(2152),
    [sym_formal_parameters] = STATE(5319),
    [sym_pattern] = STATE(5367),
    [sym_rest_pattern] = STATE(4693),
    [sym_non_null_expression] = STATE(2101),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_nested_type_identifier] = STATE(3821),
    [sym_accessibility_modifier] = STATE(391),
    [sym_override_modifier] = STATE(433),
    [sym_required_parameter] = STATE(7169),
    [sym_optional_parameter] = STATE(7169),
    [sym__parameter_name] = STATE(4673),
    [sym__type] = STATE(5731),
    [sym_constructor_type] = STATE(3924),
    [sym__primary_type] = STATE(3930),
    [sym_template_literal_type] = STATE(3873),
    [sym_infer_type] = STATE(3924),
    [sym_conditional_type] = STATE(3873),
    [sym_generic_type] = STATE(3873),
    [sym_type_query] = STATE(3873),
    [sym_index_type_query] = STATE(3873),
    [sym_lookup_type] = STATE(3873),
    [sym_literal_type] = STATE(3873),
    [sym__number] = STATE(3934),
    [sym_existential_type] = STATE(3873),
    [sym_flow_maybe_type] = STATE(3873),
    [sym_parenthesized_type] = STATE(3873),
    [sym_predefined_type] = STATE(3873),
    [sym_object_type] = STATE(3873),
    [sym_type_parameters] = STATE(6670),
    [sym_array_type] = STATE(3873),
    [sym_tuple_type] = STATE(3873),
    [sym_readonly_type] = STATE(3924),
    [sym_union_type] = STATE(3873),
    [sym_intersection_type] = STATE(3873),
    [sym_function_type] = STATE(3924),
    [aux_sym_export_statement_repeat1] = STATE(339),
    [sym_identifier] = ACTIONS(1137),
    [anon_sym_export] = ACTIONS(958),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_type] = ACTIONS(958),
    [anon_sym_namespace] = ACTIONS(960),
    [anon_sym_LBRACE] = ACTIONS(1139),
    [anon_sym_typeof] = ACTIONS(1141),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(958),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(135),
    [anon_sym_RPAREN] = ACTIONS(1143),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(1145),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(978),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(980),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(161),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(1147),
    [anon_sym_DASH] = ACTIONS(1147),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(990),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1149),
    [sym_number] = ACTIONS(1151),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(1153),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(1151),
    [sym_false] = ACTIONS(1151),
    [sym_null] = ACTIONS(1151),
    [sym_undefined] = ACTIONS(1155),
    [anon_sym_AT] = ACTIONS(1157),
    [anon_sym_static] = ACTIONS(958),
    [anon_sym_readonly] = ACTIONS(1159),
    [anon_sym_get] = ACTIONS(958),
    [anon_sym_set] = ACTIONS(958),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_declare] = ACTIONS(958),
    [anon_sym_public] = ACTIONS(1161),
    [anon_sym_private] = ACTIONS(1161),
    [anon_sym_protected] = ACTIONS(1161),
    [anon_sym_override] = ACTIONS(1163),
    [anon_sym_module] = ACTIONS(958),
    [anon_sym_any] = ACTIONS(1165),
    [anon_sym_number] = ACTIONS(1165),
    [anon_sym_boolean] = ACTIONS(1165),
    [anon_sym_string] = ACTIONS(1165),
    [anon_sym_symbol] = ACTIONS(1165),
    [anon_sym_object] = ACTIONS(1165),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [153] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2151),
    [sym_expression] = STATE(2485),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_nested_identifier] = STATE(7283),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7643),
    [sym__formal_parameter] = STATE(6002),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2101),
    [sym_subscript_expression] = STATE(2101),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3918),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(4717),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_sequence_expression] = STATE(7244),
    [sym_string] = STATE(3327),
    [sym_comment] = STATE(153),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(2152),
    [sym_formal_parameters] = STATE(5319),
    [sym_pattern] = STATE(5367),
    [sym_rest_pattern] = STATE(4693),
    [sym_non_null_expression] = STATE(2101),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_nested_type_identifier] = STATE(3821),
    [sym_accessibility_modifier] = STATE(391),
    [sym_override_modifier] = STATE(433),
    [sym_required_parameter] = STATE(7169),
    [sym_optional_parameter] = STATE(7169),
    [sym__parameter_name] = STATE(4673),
    [sym__type] = STATE(5690),
    [sym_constructor_type] = STATE(3924),
    [sym__primary_type] = STATE(3930),
    [sym_template_literal_type] = STATE(3873),
    [sym_infer_type] = STATE(3924),
    [sym_conditional_type] = STATE(3873),
    [sym_generic_type] = STATE(3873),
    [sym_type_query] = STATE(3873),
    [sym_index_type_query] = STATE(3873),
    [sym_lookup_type] = STATE(3873),
    [sym_literal_type] = STATE(3873),
    [sym__number] = STATE(3934),
    [sym_existential_type] = STATE(3873),
    [sym_flow_maybe_type] = STATE(3873),
    [sym_parenthesized_type] = STATE(3873),
    [sym_predefined_type] = STATE(3873),
    [sym_object_type] = STATE(3873),
    [sym_type_parameters] = STATE(6670),
    [sym_array_type] = STATE(3873),
    [sym_tuple_type] = STATE(3873),
    [sym_readonly_type] = STATE(3924),
    [sym_union_type] = STATE(3873),
    [sym_intersection_type] = STATE(3873),
    [sym_function_type] = STATE(3924),
    [aux_sym_export_statement_repeat1] = STATE(339),
    [sym_identifier] = ACTIONS(1137),
    [anon_sym_export] = ACTIONS(958),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_type] = ACTIONS(958),
    [anon_sym_namespace] = ACTIONS(960),
    [anon_sym_LBRACE] = ACTIONS(1139),
    [anon_sym_typeof] = ACTIONS(1141),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(958),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(135),
    [anon_sym_RPAREN] = ACTIONS(1143),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(1145),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(978),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(980),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(161),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(1147),
    [anon_sym_DASH] = ACTIONS(1147),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(990),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1149),
    [sym_number] = ACTIONS(1151),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(1153),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(1151),
    [sym_false] = ACTIONS(1151),
    [sym_null] = ACTIONS(1151),
    [sym_undefined] = ACTIONS(1155),
    [anon_sym_AT] = ACTIONS(1157),
    [anon_sym_static] = ACTIONS(958),
    [anon_sym_readonly] = ACTIONS(1159),
    [anon_sym_get] = ACTIONS(958),
    [anon_sym_set] = ACTIONS(958),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_declare] = ACTIONS(958),
    [anon_sym_public] = ACTIONS(1161),
    [anon_sym_private] = ACTIONS(1161),
    [anon_sym_protected] = ACTIONS(1161),
    [anon_sym_override] = ACTIONS(1163),
    [anon_sym_module] = ACTIONS(958),
    [anon_sym_any] = ACTIONS(1165),
    [anon_sym_number] = ACTIONS(1165),
    [anon_sym_boolean] = ACTIONS(1165),
    [anon_sym_string] = ACTIONS(1165),
    [anon_sym_symbol] = ACTIONS(1165),
    [anon_sym_object] = ACTIONS(1165),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [154] = {
    [sym_import] = STATE(4369),
    [sym_parenthesized_expression] = STATE(2158),
    [sym_expression] = STATE(3364),
    [sym_primary_expression] = STATE(2594),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(3113),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(3113),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(3113),
    [sym_function_expression] = STATE(3113),
    [sym_generator_function] = STATE(3113),
    [sym_arrow_function] = STATE(3113),
    [sym__call_signature] = STATE(7486),
    [sym_call_expression] = STATE(3113),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2158),
    [sym_subscript_expression] = STATE(2158),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3878),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7646),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(3113),
    [sym_comment] = STATE(154),
    [sym_template_string] = STATE(3113),
    [sym_regex] = STATE(3113),
    [sym_meta_property] = STATE(3113),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2158),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5555),
    [sym_identifier] = ACTIONS(1012),
    [anon_sym_export] = ACTIONS(1014),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1014),
    [anon_sym_EQ] = ACTIONS(1167),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1018),
    [anon_sym_LBRACE] = ACTIONS(1020),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_RBRACE] = ACTIONS(118),
    [anon_sym_typeof] = ACTIONS(174),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1014),
    [anon_sym_BANG] = ACTIONS(174),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1027),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1029),
    [anon_sym_async] = ACTIONS(1031),
    [anon_sym_function] = ACTIONS(1033),
    [anon_sym_EQ_GT] = ACTIONS(1035),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1037),
    [anon_sym_using] = ACTIONS(157),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(174),
    [anon_sym_DASH] = ACTIONS(174),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(174),
    [anon_sym_void] = ACTIONS(174),
    [anon_sym_delete] = ACTIONS(174),
    [anon_sym_PLUS_PLUS] = ACTIONS(1039),
    [anon_sym_DASH_DASH] = ACTIONS(1039),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(185),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1041),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1014),
    [anon_sym_readonly] = ACTIONS(1014),
    [anon_sym_get] = ACTIONS(1014),
    [anon_sym_set] = ACTIONS(1014),
    [anon_sym_declare] = ACTIONS(1014),
    [anon_sym_public] = ACTIONS(1014),
    [anon_sym_private] = ACTIONS(1014),
    [anon_sym_protected] = ACTIONS(1014),
    [anon_sym_override] = ACTIONS(1014),
    [anon_sym_module] = ACTIONS(1014),
    [anon_sym_any] = ACTIONS(1014),
    [anon_sym_number] = ACTIONS(1014),
    [anon_sym_boolean] = ACTIONS(1014),
    [anon_sym_string] = ACTIONS(1014),
    [anon_sym_symbol] = ACTIONS(1014),
    [anon_sym_object] = ACTIONS(1014),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(211),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [155] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2048),
    [sym_expression] = STATE(3359),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_nested_identifier] = STATE(7283),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7260),
    [sym__formal_parameter] = STATE(6002),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2111),
    [sym_subscript_expression] = STATE(2111),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3878),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(4560),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(3103),
    [sym_comment] = STATE(155),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(2152),
    [sym_formal_parameters] = STATE(5319),
    [sym_pattern] = STATE(5367),
    [sym_rest_pattern] = STATE(4693),
    [sym_non_null_expression] = STATE(2111),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_nested_type_identifier] = STATE(3821),
    [sym_accessibility_modifier] = STATE(391),
    [sym_override_modifier] = STATE(433),
    [sym_required_parameter] = STATE(7169),
    [sym_optional_parameter] = STATE(7169),
    [sym__parameter_name] = STATE(4673),
    [sym__type] = STATE(5731),
    [sym_constructor_type] = STATE(3924),
    [sym__primary_type] = STATE(3930),
    [sym_template_literal_type] = STATE(3873),
    [sym_infer_type] = STATE(3924),
    [sym_conditional_type] = STATE(3873),
    [sym_generic_type] = STATE(3873),
    [sym_type_query] = STATE(3873),
    [sym_index_type_query] = STATE(3873),
    [sym_lookup_type] = STATE(3873),
    [sym_literal_type] = STATE(3873),
    [sym__number] = STATE(3934),
    [sym_existential_type] = STATE(3873),
    [sym_flow_maybe_type] = STATE(3873),
    [sym_parenthesized_type] = STATE(3873),
    [sym_predefined_type] = STATE(3873),
    [sym_object_type] = STATE(3873),
    [sym_type_parameters] = STATE(6670),
    [sym_array_type] = STATE(3873),
    [sym_tuple_type] = STATE(3873),
    [sym_readonly_type] = STATE(3924),
    [sym_union_type] = STATE(3873),
    [sym_intersection_type] = STATE(3873),
    [sym_function_type] = STATE(3924),
    [aux_sym_export_statement_repeat1] = STATE(339),
    [sym_identifier] = ACTIONS(109),
    [anon_sym_export] = ACTIONS(111),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_type] = ACTIONS(111),
    [anon_sym_namespace] = ACTIONS(120),
    [anon_sym_LBRACE] = ACTIONS(122),
    [anon_sym_typeof] = ACTIONS(126),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(111),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_BANG] = ACTIONS(174),
    [anon_sym_LPAREN] = ACTIONS(135),
    [anon_sym_RPAREN] = ACTIONS(1143),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(141),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(149),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_using] = ACTIONS(157),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(161),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(167),
    [anon_sym_DASH] = ACTIONS(167),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(174),
    [anon_sym_void] = ACTIONS(176),
    [anon_sym_delete] = ACTIONS(174),
    [anon_sym_PLUS_PLUS] = ACTIONS(1039),
    [anon_sym_DASH_DASH] = ACTIONS(1039),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(181),
    [sym_number] = ACTIONS(183),
    [sym_private_property_identifier] = ACTIONS(185),
    [sym_this] = ACTIONS(1169),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(183),
    [sym_false] = ACTIONS(183),
    [sym_null] = ACTIONS(183),
    [sym_undefined] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(1157),
    [anon_sym_static] = ACTIONS(111),
    [anon_sym_readonly] = ACTIONS(1171),
    [anon_sym_get] = ACTIONS(111),
    [anon_sym_set] = ACTIONS(111),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_declare] = ACTIONS(111),
    [anon_sym_public] = ACTIONS(1173),
    [anon_sym_private] = ACTIONS(1173),
    [anon_sym_protected] = ACTIONS(1173),
    [anon_sym_override] = ACTIONS(1175),
    [anon_sym_module] = ACTIONS(111),
    [anon_sym_any] = ACTIONS(197),
    [anon_sym_number] = ACTIONS(197),
    [anon_sym_boolean] = ACTIONS(197),
    [anon_sym_string] = ACTIONS(197),
    [anon_sym_symbol] = ACTIONS(197),
    [anon_sym_object] = ACTIONS(197),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [156] = {
    [sym_import] = STATE(4369),
    [sym_parenthesized_expression] = STATE(2158),
    [sym_expression] = STATE(3364),
    [sym_primary_expression] = STATE(2594),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(3113),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(3113),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(3113),
    [sym_function_expression] = STATE(3113),
    [sym_generator_function] = STATE(3113),
    [sym_arrow_function] = STATE(3113),
    [sym__call_signature] = STATE(7486),
    [sym_call_expression] = STATE(3113),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2158),
    [sym_subscript_expression] = STATE(2158),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3878),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7646),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(3113),
    [sym_comment] = STATE(156),
    [sym_template_string] = STATE(3113),
    [sym_regex] = STATE(3113),
    [sym_meta_property] = STATE(3113),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2158),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5555),
    [sym_identifier] = ACTIONS(1012),
    [anon_sym_export] = ACTIONS(1014),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1014),
    [anon_sym_EQ] = ACTIONS(1167),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1018),
    [anon_sym_LBRACE] = ACTIONS(1020),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_typeof] = ACTIONS(174),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1014),
    [anon_sym_BANG] = ACTIONS(174),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1177),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1027),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1029),
    [anon_sym_async] = ACTIONS(1031),
    [anon_sym_function] = ACTIONS(1033),
    [anon_sym_EQ_GT] = ACTIONS(1035),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1037),
    [anon_sym_using] = ACTIONS(157),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(174),
    [anon_sym_DASH] = ACTIONS(174),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(174),
    [anon_sym_void] = ACTIONS(174),
    [anon_sym_delete] = ACTIONS(174),
    [anon_sym_PLUS_PLUS] = ACTIONS(1039),
    [anon_sym_DASH_DASH] = ACTIONS(1039),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(185),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1041),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1014),
    [anon_sym_readonly] = ACTIONS(1014),
    [anon_sym_get] = ACTIONS(1014),
    [anon_sym_set] = ACTIONS(1014),
    [anon_sym_declare] = ACTIONS(1014),
    [anon_sym_public] = ACTIONS(1014),
    [anon_sym_private] = ACTIONS(1014),
    [anon_sym_protected] = ACTIONS(1014),
    [anon_sym_override] = ACTIONS(1014),
    [anon_sym_module] = ACTIONS(1014),
    [anon_sym_any] = ACTIONS(1014),
    [anon_sym_number] = ACTIONS(1014),
    [anon_sym_boolean] = ACTIONS(1014),
    [anon_sym_string] = ACTIONS(1014),
    [anon_sym_symbol] = ACTIONS(1014),
    [anon_sym_object] = ACTIONS(1014),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(211),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [157] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2048),
    [sym_expression] = STATE(3359),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_nested_identifier] = STATE(7283),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7260),
    [sym__formal_parameter] = STATE(6002),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2111),
    [sym_subscript_expression] = STATE(2111),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3878),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(4560),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(3103),
    [sym_comment] = STATE(157),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(2152),
    [sym_formal_parameters] = STATE(5319),
    [sym_pattern] = STATE(5367),
    [sym_rest_pattern] = STATE(4693),
    [sym_non_null_expression] = STATE(2111),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_nested_type_identifier] = STATE(3821),
    [sym_accessibility_modifier] = STATE(391),
    [sym_override_modifier] = STATE(433),
    [sym_required_parameter] = STATE(7169),
    [sym_optional_parameter] = STATE(7169),
    [sym__parameter_name] = STATE(4673),
    [sym__type] = STATE(5690),
    [sym_constructor_type] = STATE(3924),
    [sym__primary_type] = STATE(3930),
    [sym_template_literal_type] = STATE(3873),
    [sym_infer_type] = STATE(3924),
    [sym_conditional_type] = STATE(3873),
    [sym_generic_type] = STATE(3873),
    [sym_type_query] = STATE(3873),
    [sym_index_type_query] = STATE(3873),
    [sym_lookup_type] = STATE(3873),
    [sym_literal_type] = STATE(3873),
    [sym__number] = STATE(3934),
    [sym_existential_type] = STATE(3873),
    [sym_flow_maybe_type] = STATE(3873),
    [sym_parenthesized_type] = STATE(3873),
    [sym_predefined_type] = STATE(3873),
    [sym_object_type] = STATE(3873),
    [sym_type_parameters] = STATE(6670),
    [sym_array_type] = STATE(3873),
    [sym_tuple_type] = STATE(3873),
    [sym_readonly_type] = STATE(3924),
    [sym_union_type] = STATE(3873),
    [sym_intersection_type] = STATE(3873),
    [sym_function_type] = STATE(3924),
    [aux_sym_export_statement_repeat1] = STATE(339),
    [sym_identifier] = ACTIONS(109),
    [anon_sym_export] = ACTIONS(111),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_type] = ACTIONS(111),
    [anon_sym_namespace] = ACTIONS(120),
    [anon_sym_LBRACE] = ACTIONS(122),
    [anon_sym_typeof] = ACTIONS(126),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(111),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_BANG] = ACTIONS(174),
    [anon_sym_LPAREN] = ACTIONS(135),
    [anon_sym_RPAREN] = ACTIONS(1143),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(141),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(149),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_using] = ACTIONS(157),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(161),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(167),
    [anon_sym_DASH] = ACTIONS(167),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(174),
    [anon_sym_void] = ACTIONS(176),
    [anon_sym_delete] = ACTIONS(174),
    [anon_sym_PLUS_PLUS] = ACTIONS(1039),
    [anon_sym_DASH_DASH] = ACTIONS(1039),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(181),
    [sym_number] = ACTIONS(183),
    [sym_private_property_identifier] = ACTIONS(185),
    [sym_this] = ACTIONS(1169),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(183),
    [sym_false] = ACTIONS(183),
    [sym_null] = ACTIONS(183),
    [sym_undefined] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(1157),
    [anon_sym_static] = ACTIONS(111),
    [anon_sym_readonly] = ACTIONS(1171),
    [anon_sym_get] = ACTIONS(111),
    [anon_sym_set] = ACTIONS(111),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_declare] = ACTIONS(111),
    [anon_sym_public] = ACTIONS(1173),
    [anon_sym_private] = ACTIONS(1173),
    [anon_sym_protected] = ACTIONS(1173),
    [anon_sym_override] = ACTIONS(1175),
    [anon_sym_module] = ACTIONS(111),
    [anon_sym_any] = ACTIONS(197),
    [anon_sym_number] = ACTIONS(197),
    [anon_sym_boolean] = ACTIONS(197),
    [anon_sym_string] = ACTIONS(197),
    [anon_sym_symbol] = ACTIONS(197),
    [anon_sym_object] = ACTIONS(197),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [158] = {
    [sym_import] = STATE(4369),
    [sym_parenthesized_expression] = STATE(2158),
    [sym_expression] = STATE(3364),
    [sym_primary_expression] = STATE(2594),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(3113),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(3113),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(3113),
    [sym_function_expression] = STATE(3113),
    [sym_generator_function] = STATE(3113),
    [sym_arrow_function] = STATE(3113),
    [sym__call_signature] = STATE(7486),
    [sym_call_expression] = STATE(3113),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2158),
    [sym_subscript_expression] = STATE(2158),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3878),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7646),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(3113),
    [sym_comment] = STATE(158),
    [sym_template_string] = STATE(3113),
    [sym_regex] = STATE(3113),
    [sym_meta_property] = STATE(3113),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2158),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5555),
    [sym_identifier] = ACTIONS(1012),
    [anon_sym_export] = ACTIONS(1014),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1014),
    [anon_sym_EQ] = ACTIONS(1167),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1018),
    [anon_sym_LBRACE] = ACTIONS(1020),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_typeof] = ACTIONS(174),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1014),
    [anon_sym_BANG] = ACTIONS(174),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1179),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1027),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1029),
    [anon_sym_async] = ACTIONS(1031),
    [anon_sym_function] = ACTIONS(1033),
    [anon_sym_EQ_GT] = ACTIONS(1035),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1037),
    [anon_sym_using] = ACTIONS(157),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(174),
    [anon_sym_DASH] = ACTIONS(174),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(174),
    [anon_sym_void] = ACTIONS(174),
    [anon_sym_delete] = ACTIONS(174),
    [anon_sym_PLUS_PLUS] = ACTIONS(1039),
    [anon_sym_DASH_DASH] = ACTIONS(1039),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(185),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1041),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1014),
    [anon_sym_readonly] = ACTIONS(1014),
    [anon_sym_get] = ACTIONS(1014),
    [anon_sym_set] = ACTIONS(1014),
    [anon_sym_declare] = ACTIONS(1014),
    [anon_sym_public] = ACTIONS(1014),
    [anon_sym_private] = ACTIONS(1014),
    [anon_sym_protected] = ACTIONS(1014),
    [anon_sym_override] = ACTIONS(1014),
    [anon_sym_module] = ACTIONS(1014),
    [anon_sym_any] = ACTIONS(1014),
    [anon_sym_number] = ACTIONS(1014),
    [anon_sym_boolean] = ACTIONS(1014),
    [anon_sym_string] = ACTIONS(1014),
    [anon_sym_symbol] = ACTIONS(1014),
    [anon_sym_object] = ACTIONS(1014),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(211),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [159] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2048),
    [sym_expression] = STATE(3359),
    [sym_primary_expression] = STATE(2354),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7260),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2048),
    [sym_subscript_expression] = STATE(2048),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3878),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7646),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(159),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2048),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1095),
    [anon_sym_export] = ACTIONS(1097),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1097),
    [anon_sym_EQ] = ACTIONS(1117),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1099),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_RBRACE] = ACTIONS(118),
    [anon_sym_typeof] = ACTIONS(174),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1097),
    [anon_sym_BANG] = ACTIONS(174),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1027),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1109),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_EQ_GT] = ACTIONS(1035),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1111),
    [anon_sym_using] = ACTIONS(157),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(174),
    [anon_sym_DASH] = ACTIONS(174),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(174),
    [anon_sym_void] = ACTIONS(174),
    [anon_sym_delete] = ACTIONS(174),
    [anon_sym_PLUS_PLUS] = ACTIONS(1039),
    [anon_sym_DASH_DASH] = ACTIONS(1039),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(185),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1115),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1097),
    [anon_sym_readonly] = ACTIONS(1097),
    [anon_sym_get] = ACTIONS(1097),
    [anon_sym_set] = ACTIONS(1097),
    [anon_sym_declare] = ACTIONS(1097),
    [anon_sym_public] = ACTIONS(1097),
    [anon_sym_private] = ACTIONS(1097),
    [anon_sym_protected] = ACTIONS(1097),
    [anon_sym_override] = ACTIONS(1097),
    [anon_sym_module] = ACTIONS(1097),
    [anon_sym_any] = ACTIONS(1097),
    [anon_sym_number] = ACTIONS(1097),
    [anon_sym_boolean] = ACTIONS(1097),
    [anon_sym_string] = ACTIONS(1097),
    [anon_sym_symbol] = ACTIONS(1097),
    [anon_sym_object] = ACTIONS(1097),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(211),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [160] = {
    [sym_import] = STATE(4369),
    [sym_parenthesized_expression] = STATE(2158),
    [sym_expression] = STATE(3364),
    [sym_primary_expression] = STATE(2594),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(3113),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(3113),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(3113),
    [sym_function_expression] = STATE(3113),
    [sym_generator_function] = STATE(3113),
    [sym_arrow_function] = STATE(3113),
    [sym__call_signature] = STATE(7205),
    [sym_call_expression] = STATE(3113),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2158),
    [sym_subscript_expression] = STATE(2158),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3878),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7646),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(3113),
    [sym_comment] = STATE(160),
    [sym_template_string] = STATE(3113),
    [sym_regex] = STATE(3113),
    [sym_meta_property] = STATE(3113),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2158),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5555),
    [sym_identifier] = ACTIONS(1181),
    [anon_sym_export] = ACTIONS(1183),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1183),
    [anon_sym_EQ] = ACTIONS(1185),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1187),
    [anon_sym_LBRACE] = ACTIONS(1020),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_typeof] = ACTIONS(174),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1183),
    [anon_sym_BANG] = ACTIONS(174),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_of] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1027),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1029),
    [anon_sym_async] = ACTIONS(1189),
    [anon_sym_function] = ACTIONS(1033),
    [anon_sym_EQ_GT] = ACTIONS(1191),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1193),
    [anon_sym_using] = ACTIONS(157),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(174),
    [anon_sym_DASH] = ACTIONS(174),
    [anon_sym_SLASH] = ACTIONS(1195),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(174),
    [anon_sym_void] = ACTIONS(174),
    [anon_sym_delete] = ACTIONS(174),
    [anon_sym_PLUS_PLUS] = ACTIONS(1039),
    [anon_sym_DASH_DASH] = ACTIONS(1039),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(185),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1041),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1183),
    [anon_sym_readonly] = ACTIONS(1183),
    [anon_sym_get] = ACTIONS(1183),
    [anon_sym_set] = ACTIONS(1183),
    [anon_sym_declare] = ACTIONS(1183),
    [anon_sym_public] = ACTIONS(1183),
    [anon_sym_private] = ACTIONS(1183),
    [anon_sym_protected] = ACTIONS(1183),
    [anon_sym_override] = ACTIONS(1183),
    [anon_sym_module] = ACTIONS(1183),
    [anon_sym_any] = ACTIONS(1183),
    [anon_sym_number] = ACTIONS(1183),
    [anon_sym_boolean] = ACTIONS(1183),
    [anon_sym_string] = ACTIONS(1183),
    [anon_sym_symbol] = ACTIONS(1183),
    [anon_sym_object] = ACTIONS(1183),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(211),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [161] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2048),
    [sym_expression] = STATE(3359),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_nested_identifier] = STATE(7283),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7260),
    [sym__formal_parameter] = STATE(6002),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2111),
    [sym_subscript_expression] = STATE(2111),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3878),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(4560),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(3103),
    [sym_comment] = STATE(161),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(2152),
    [sym_formal_parameters] = STATE(5319),
    [sym_pattern] = STATE(5367),
    [sym_rest_pattern] = STATE(4693),
    [sym_non_null_expression] = STATE(2111),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_nested_type_identifier] = STATE(3821),
    [sym_accessibility_modifier] = STATE(391),
    [sym_override_modifier] = STATE(433),
    [sym_required_parameter] = STATE(7169),
    [sym_optional_parameter] = STATE(7169),
    [sym__parameter_name] = STATE(4673),
    [sym__type] = STATE(5657),
    [sym_constructor_type] = STATE(3924),
    [sym__primary_type] = STATE(3930),
    [sym_template_literal_type] = STATE(3873),
    [sym_infer_type] = STATE(3924),
    [sym_conditional_type] = STATE(3873),
    [sym_generic_type] = STATE(3873),
    [sym_type_query] = STATE(3873),
    [sym_index_type_query] = STATE(3873),
    [sym_lookup_type] = STATE(3873),
    [sym_literal_type] = STATE(3873),
    [sym__number] = STATE(3934),
    [sym_existential_type] = STATE(3873),
    [sym_flow_maybe_type] = STATE(3873),
    [sym_parenthesized_type] = STATE(3873),
    [sym_predefined_type] = STATE(3873),
    [sym_object_type] = STATE(3873),
    [sym_type_parameters] = STATE(6670),
    [sym_array_type] = STATE(3873),
    [sym_tuple_type] = STATE(3873),
    [sym_readonly_type] = STATE(3924),
    [sym_union_type] = STATE(3873),
    [sym_intersection_type] = STATE(3873),
    [sym_function_type] = STATE(3924),
    [aux_sym_export_statement_repeat1] = STATE(339),
    [sym_identifier] = ACTIONS(109),
    [anon_sym_export] = ACTIONS(111),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_type] = ACTIONS(111),
    [anon_sym_namespace] = ACTIONS(120),
    [anon_sym_LBRACE] = ACTIONS(122),
    [anon_sym_typeof] = ACTIONS(126),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(111),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_BANG] = ACTIONS(174),
    [anon_sym_LPAREN] = ACTIONS(135),
    [anon_sym_RPAREN] = ACTIONS(1143),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(141),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(149),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_using] = ACTIONS(157),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(161),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(167),
    [anon_sym_DASH] = ACTIONS(167),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(174),
    [anon_sym_void] = ACTIONS(176),
    [anon_sym_delete] = ACTIONS(174),
    [anon_sym_PLUS_PLUS] = ACTIONS(1039),
    [anon_sym_DASH_DASH] = ACTIONS(1039),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(181),
    [sym_number] = ACTIONS(183),
    [sym_private_property_identifier] = ACTIONS(185),
    [sym_this] = ACTIONS(1169),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(183),
    [sym_false] = ACTIONS(183),
    [sym_null] = ACTIONS(183),
    [sym_undefined] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(1157),
    [anon_sym_static] = ACTIONS(111),
    [anon_sym_readonly] = ACTIONS(1171),
    [anon_sym_get] = ACTIONS(111),
    [anon_sym_set] = ACTIONS(111),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_declare] = ACTIONS(111),
    [anon_sym_public] = ACTIONS(1173),
    [anon_sym_private] = ACTIONS(1173),
    [anon_sym_protected] = ACTIONS(1173),
    [anon_sym_override] = ACTIONS(1175),
    [anon_sym_module] = ACTIONS(111),
    [anon_sym_any] = ACTIONS(197),
    [anon_sym_number] = ACTIONS(197),
    [anon_sym_boolean] = ACTIONS(197),
    [anon_sym_string] = ACTIONS(197),
    [anon_sym_symbol] = ACTIONS(197),
    [anon_sym_object] = ACTIONS(197),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [162] = {
    [sym_import] = STATE(4369),
    [sym_parenthesized_expression] = STATE(2158),
    [sym_expression] = STATE(3364),
    [sym_primary_expression] = STATE(2594),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(3113),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(3113),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(3113),
    [sym_function_expression] = STATE(3113),
    [sym_generator_function] = STATE(3113),
    [sym_arrow_function] = STATE(3113),
    [sym__call_signature] = STATE(7486),
    [sym_call_expression] = STATE(3113),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2158),
    [sym_subscript_expression] = STATE(2158),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3878),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7646),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(3113),
    [sym_comment] = STATE(162),
    [sym_template_string] = STATE(3113),
    [sym_regex] = STATE(3113),
    [sym_meta_property] = STATE(3113),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(5233),
    [sym_non_null_expression] = STATE(2158),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6912),
    [aux_sym_export_statement_repeat1] = STATE(5555),
    [sym_identifier] = ACTIONS(1012),
    [anon_sym_export] = ACTIONS(1014),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1014),
    [anon_sym_EQ] = ACTIONS(1167),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1018),
    [anon_sym_LBRACE] = ACTIONS(1020),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_RBRACE] = ACTIONS(118),
    [anon_sym_typeof] = ACTIONS(174),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1014),
    [anon_sym_BANG] = ACTIONS(174),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1027),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1029),
    [anon_sym_async] = ACTIONS(1031),
    [anon_sym_function] = ACTIONS(1033),
    [anon_sym_EQ_GT] = ACTIONS(1035),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1037),
    [anon_sym_using] = ACTIONS(157),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(174),
    [anon_sym_DASH] = ACTIONS(174),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(174),
    [anon_sym_void] = ACTIONS(174),
    [anon_sym_delete] = ACTIONS(174),
    [anon_sym_PLUS_PLUS] = ACTIONS(1039),
    [anon_sym_DASH_DASH] = ACTIONS(1039),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(185),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1041),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1014),
    [anon_sym_readonly] = ACTIONS(1014),
    [anon_sym_get] = ACTIONS(1014),
    [anon_sym_set] = ACTIONS(1014),
    [anon_sym_declare] = ACTIONS(1014),
    [anon_sym_public] = ACTIONS(1014),
    [anon_sym_private] = ACTIONS(1014),
    [anon_sym_protected] = ACTIONS(1014),
    [anon_sym_override] = ACTIONS(1014),
    [anon_sym_module] = ACTIONS(1014),
    [anon_sym_any] = ACTIONS(1014),
    [anon_sym_number] = ACTIONS(1014),
    [anon_sym_boolean] = ACTIONS(1014),
    [anon_sym_string] = ACTIONS(1014),
    [anon_sym_symbol] = ACTIONS(1014),
    [anon_sym_object] = ACTIONS(1014),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(211),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [163] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2048),
    [sym_expression] = STATE(3359),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_nested_identifier] = STATE(7283),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7260),
    [sym__formal_parameter] = STATE(6002),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2111),
    [sym_subscript_expression] = STATE(2111),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3878),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(4560),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(3103),
    [sym_comment] = STATE(163),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(2152),
    [sym_formal_parameters] = STATE(5319),
    [sym_pattern] = STATE(5367),
    [sym_rest_pattern] = STATE(4693),
    [sym_non_null_expression] = STATE(2111),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_nested_type_identifier] = STATE(3821),
    [sym_accessibility_modifier] = STATE(391),
    [sym_override_modifier] = STATE(433),
    [sym_required_parameter] = STATE(7169),
    [sym_optional_parameter] = STATE(7169),
    [sym__parameter_name] = STATE(4673),
    [sym__type] = STATE(5581),
    [sym_constructor_type] = STATE(3924),
    [sym__primary_type] = STATE(3930),
    [sym_template_literal_type] = STATE(3873),
    [sym_infer_type] = STATE(3924),
    [sym_conditional_type] = STATE(3873),
    [sym_generic_type] = STATE(3873),
    [sym_type_query] = STATE(3873),
    [sym_index_type_query] = STATE(3873),
    [sym_lookup_type] = STATE(3873),
    [sym_literal_type] = STATE(3873),
    [sym__number] = STATE(3934),
    [sym_existential_type] = STATE(3873),
    [sym_flow_maybe_type] = STATE(3873),
    [sym_parenthesized_type] = STATE(3873),
    [sym_predefined_type] = STATE(3873),
    [sym_object_type] = STATE(3873),
    [sym_type_parameters] = STATE(6670),
    [sym_array_type] = STATE(3873),
    [sym_tuple_type] = STATE(3873),
    [sym_readonly_type] = STATE(3924),
    [sym_union_type] = STATE(3873),
    [sym_intersection_type] = STATE(3873),
    [sym_function_type] = STATE(3924),
    [aux_sym_export_statement_repeat1] = STATE(339),
    [sym_identifier] = ACTIONS(109),
    [anon_sym_export] = ACTIONS(111),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_type] = ACTIONS(111),
    [anon_sym_namespace] = ACTIONS(120),
    [anon_sym_LBRACE] = ACTIONS(122),
    [anon_sym_typeof] = ACTIONS(126),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(111),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_BANG] = ACTIONS(174),
    [anon_sym_LPAREN] = ACTIONS(135),
    [anon_sym_RPAREN] = ACTIONS(1143),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(141),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(149),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_using] = ACTIONS(157),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(161),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(167),
    [anon_sym_DASH] = ACTIONS(167),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(174),
    [anon_sym_void] = ACTIONS(176),
    [anon_sym_delete] = ACTIONS(174),
    [anon_sym_PLUS_PLUS] = ACTIONS(1039),
    [anon_sym_DASH_DASH] = ACTIONS(1039),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(181),
    [sym_number] = ACTIONS(183),
    [sym_private_property_identifier] = ACTIONS(185),
    [sym_this] = ACTIONS(1169),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(183),
    [sym_false] = ACTIONS(183),
    [sym_null] = ACTIONS(183),
    [sym_undefined] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(1157),
    [anon_sym_static] = ACTIONS(111),
    [anon_sym_readonly] = ACTIONS(1171),
    [anon_sym_get] = ACTIONS(111),
    [anon_sym_set] = ACTIONS(111),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_declare] = ACTIONS(111),
    [anon_sym_public] = ACTIONS(1173),
    [anon_sym_private] = ACTIONS(1173),
    [anon_sym_protected] = ACTIONS(1173),
    [anon_sym_override] = ACTIONS(1175),
    [anon_sym_module] = ACTIONS(111),
    [anon_sym_any] = ACTIONS(197),
    [anon_sym_number] = ACTIONS(197),
    [anon_sym_boolean] = ACTIONS(197),
    [anon_sym_string] = ACTIONS(197),
    [anon_sym_symbol] = ACTIONS(197),
    [anon_sym_object] = ACTIONS(197),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [164] = {
    [sym_import] = STATE(4369),
    [sym_parenthesized_expression] = STATE(2158),
    [sym_expression] = STATE(3364),
    [sym_primary_expression] = STATE(2594),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(3113),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(3113),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(3113),
    [sym_function_expression] = STATE(3113),
    [sym_generator_function] = STATE(3113),
    [sym_arrow_function] = STATE(3113),
    [sym__call_signature] = STATE(7486),
    [sym_call_expression] = STATE(3113),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2158),
    [sym_subscript_expression] = STATE(2158),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3878),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7646),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(3113),
    [sym_comment] = STATE(164),
    [sym_template_string] = STATE(3113),
    [sym_regex] = STATE(3113),
    [sym_meta_property] = STATE(3113),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2158),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5555),
    [sym_identifier] = ACTIONS(1012),
    [anon_sym_export] = ACTIONS(1014),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1014),
    [anon_sym_EQ] = ACTIONS(1167),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1018),
    [anon_sym_LBRACE] = ACTIONS(1020),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_typeof] = ACTIONS(174),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1014),
    [anon_sym_BANG] = ACTIONS(174),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1197),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1027),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1029),
    [anon_sym_async] = ACTIONS(1031),
    [anon_sym_function] = ACTIONS(1033),
    [anon_sym_EQ_GT] = ACTIONS(1035),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1037),
    [anon_sym_using] = ACTIONS(157),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(174),
    [anon_sym_DASH] = ACTIONS(174),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(174),
    [anon_sym_void] = ACTIONS(174),
    [anon_sym_delete] = ACTIONS(174),
    [anon_sym_PLUS_PLUS] = ACTIONS(1039),
    [anon_sym_DASH_DASH] = ACTIONS(1039),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(185),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1041),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1014),
    [anon_sym_readonly] = ACTIONS(1014),
    [anon_sym_get] = ACTIONS(1014),
    [anon_sym_set] = ACTIONS(1014),
    [anon_sym_declare] = ACTIONS(1014),
    [anon_sym_public] = ACTIONS(1014),
    [anon_sym_private] = ACTIONS(1014),
    [anon_sym_protected] = ACTIONS(1014),
    [anon_sym_override] = ACTIONS(1014),
    [anon_sym_module] = ACTIONS(1014),
    [anon_sym_any] = ACTIONS(1014),
    [anon_sym_number] = ACTIONS(1014),
    [anon_sym_boolean] = ACTIONS(1014),
    [anon_sym_string] = ACTIONS(1014),
    [anon_sym_symbol] = ACTIONS(1014),
    [anon_sym_object] = ACTIONS(1014),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(211),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [165] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2048),
    [sym_expression] = STATE(3359),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_nested_identifier] = STATE(7283),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7260),
    [sym__formal_parameter] = STATE(6002),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2111),
    [sym_subscript_expression] = STATE(2111),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3878),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(4560),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(3103),
    [sym_comment] = STATE(165),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(2152),
    [sym_formal_parameters] = STATE(5319),
    [sym_pattern] = STATE(5367),
    [sym_rest_pattern] = STATE(4693),
    [sym_non_null_expression] = STATE(2111),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_nested_type_identifier] = STATE(3821),
    [sym_accessibility_modifier] = STATE(391),
    [sym_override_modifier] = STATE(433),
    [sym_required_parameter] = STATE(7169),
    [sym_optional_parameter] = STATE(7169),
    [sym__parameter_name] = STATE(4673),
    [sym__type] = STATE(5573),
    [sym_constructor_type] = STATE(3924),
    [sym__primary_type] = STATE(3930),
    [sym_template_literal_type] = STATE(3873),
    [sym_infer_type] = STATE(3924),
    [sym_conditional_type] = STATE(3873),
    [sym_generic_type] = STATE(3873),
    [sym_type_query] = STATE(3873),
    [sym_index_type_query] = STATE(3873),
    [sym_lookup_type] = STATE(3873),
    [sym_literal_type] = STATE(3873),
    [sym__number] = STATE(3934),
    [sym_existential_type] = STATE(3873),
    [sym_flow_maybe_type] = STATE(3873),
    [sym_parenthesized_type] = STATE(3873),
    [sym_predefined_type] = STATE(3873),
    [sym_object_type] = STATE(3873),
    [sym_type_parameters] = STATE(6670),
    [sym_array_type] = STATE(3873),
    [sym_tuple_type] = STATE(3873),
    [sym_readonly_type] = STATE(3924),
    [sym_union_type] = STATE(3873),
    [sym_intersection_type] = STATE(3873),
    [sym_function_type] = STATE(3924),
    [aux_sym_export_statement_repeat1] = STATE(339),
    [sym_identifier] = ACTIONS(109),
    [anon_sym_export] = ACTIONS(111),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_type] = ACTIONS(111),
    [anon_sym_namespace] = ACTIONS(120),
    [anon_sym_LBRACE] = ACTIONS(122),
    [anon_sym_typeof] = ACTIONS(126),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(111),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_BANG] = ACTIONS(174),
    [anon_sym_LPAREN] = ACTIONS(135),
    [anon_sym_RPAREN] = ACTIONS(1143),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(141),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(149),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_using] = ACTIONS(157),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(161),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(167),
    [anon_sym_DASH] = ACTIONS(167),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(174),
    [anon_sym_void] = ACTIONS(176),
    [anon_sym_delete] = ACTIONS(174),
    [anon_sym_PLUS_PLUS] = ACTIONS(1039),
    [anon_sym_DASH_DASH] = ACTIONS(1039),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(181),
    [sym_number] = ACTIONS(183),
    [sym_private_property_identifier] = ACTIONS(185),
    [sym_this] = ACTIONS(1169),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(183),
    [sym_false] = ACTIONS(183),
    [sym_null] = ACTIONS(183),
    [sym_undefined] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(1157),
    [anon_sym_static] = ACTIONS(111),
    [anon_sym_readonly] = ACTIONS(1171),
    [anon_sym_get] = ACTIONS(111),
    [anon_sym_set] = ACTIONS(111),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_declare] = ACTIONS(111),
    [anon_sym_public] = ACTIONS(1173),
    [anon_sym_private] = ACTIONS(1173),
    [anon_sym_protected] = ACTIONS(1173),
    [anon_sym_override] = ACTIONS(1175),
    [anon_sym_module] = ACTIONS(111),
    [anon_sym_any] = ACTIONS(197),
    [anon_sym_number] = ACTIONS(197),
    [anon_sym_boolean] = ACTIONS(197),
    [anon_sym_string] = ACTIONS(197),
    [anon_sym_symbol] = ACTIONS(197),
    [anon_sym_object] = ACTIONS(197),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [166] = {
    [sym_import] = STATE(4369),
    [sym_parenthesized_expression] = STATE(2158),
    [sym_expression] = STATE(3364),
    [sym_primary_expression] = STATE(2594),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(3113),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(3113),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(3113),
    [sym_function_expression] = STATE(3113),
    [sym_generator_function] = STATE(3113),
    [sym_arrow_function] = STATE(3113),
    [sym__call_signature] = STATE(7486),
    [sym_call_expression] = STATE(3113),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2158),
    [sym_subscript_expression] = STATE(2158),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3878),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7646),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(3113),
    [sym_comment] = STATE(166),
    [sym_template_string] = STATE(3113),
    [sym_regex] = STATE(3113),
    [sym_meta_property] = STATE(3113),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2158),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5555),
    [sym_identifier] = ACTIONS(1012),
    [anon_sym_export] = ACTIONS(1014),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1014),
    [anon_sym_EQ] = ACTIONS(1167),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1018),
    [anon_sym_LBRACE] = ACTIONS(1020),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_typeof] = ACTIONS(174),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1014),
    [anon_sym_BANG] = ACTIONS(174),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1199),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1027),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1029),
    [anon_sym_async] = ACTIONS(1031),
    [anon_sym_function] = ACTIONS(1033),
    [anon_sym_EQ_GT] = ACTIONS(1035),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1037),
    [anon_sym_using] = ACTIONS(157),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(174),
    [anon_sym_DASH] = ACTIONS(174),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(174),
    [anon_sym_void] = ACTIONS(174),
    [anon_sym_delete] = ACTIONS(174),
    [anon_sym_PLUS_PLUS] = ACTIONS(1039),
    [anon_sym_DASH_DASH] = ACTIONS(1039),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(185),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1041),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1014),
    [anon_sym_readonly] = ACTIONS(1014),
    [anon_sym_get] = ACTIONS(1014),
    [anon_sym_set] = ACTIONS(1014),
    [anon_sym_declare] = ACTIONS(1014),
    [anon_sym_public] = ACTIONS(1014),
    [anon_sym_private] = ACTIONS(1014),
    [anon_sym_protected] = ACTIONS(1014),
    [anon_sym_override] = ACTIONS(1014),
    [anon_sym_module] = ACTIONS(1014),
    [anon_sym_any] = ACTIONS(1014),
    [anon_sym_number] = ACTIONS(1014),
    [anon_sym_boolean] = ACTIONS(1014),
    [anon_sym_string] = ACTIONS(1014),
    [anon_sym_symbol] = ACTIONS(1014),
    [anon_sym_object] = ACTIONS(1014),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(211),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [167] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2048),
    [sym_expression] = STATE(3359),
    [sym_primary_expression] = STATE(2354),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7260),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2048),
    [sym_subscript_expression] = STATE(2048),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3878),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7646),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(167),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(5233),
    [sym_non_null_expression] = STATE(2048),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6912),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1095),
    [anon_sym_export] = ACTIONS(1097),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1097),
    [anon_sym_EQ] = ACTIONS(115),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1099),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_COMMA] = ACTIONS(124),
    [anon_sym_typeof] = ACTIONS(174),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1097),
    [anon_sym_BANG] = ACTIONS(174),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_RPAREN] = ACTIONS(124),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(124),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1107),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1109),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_EQ_GT] = ACTIONS(153),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1111),
    [anon_sym_using] = ACTIONS(157),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(174),
    [anon_sym_DASH] = ACTIONS(174),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(174),
    [anon_sym_void] = ACTIONS(174),
    [anon_sym_delete] = ACTIONS(174),
    [anon_sym_PLUS_PLUS] = ACTIONS(1039),
    [anon_sym_DASH_DASH] = ACTIONS(1039),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(185),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1115),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1097),
    [anon_sym_readonly] = ACTIONS(1097),
    [anon_sym_get] = ACTIONS(1097),
    [anon_sym_set] = ACTIONS(1097),
    [anon_sym_QMARK] = ACTIONS(124),
    [anon_sym_declare] = ACTIONS(1097),
    [anon_sym_public] = ACTIONS(1097),
    [anon_sym_private] = ACTIONS(1097),
    [anon_sym_protected] = ACTIONS(1097),
    [anon_sym_override] = ACTIONS(1097),
    [anon_sym_module] = ACTIONS(1097),
    [anon_sym_any] = ACTIONS(1097),
    [anon_sym_number] = ACTIONS(1097),
    [anon_sym_boolean] = ACTIONS(1097),
    [anon_sym_string] = ACTIONS(1097),
    [anon_sym_symbol] = ACTIONS(1097),
    [anon_sym_object] = ACTIONS(1097),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [168] = {
    [sym_import] = STATE(4369),
    [sym_parenthesized_expression] = STATE(2158),
    [sym_expression] = STATE(3364),
    [sym_primary_expression] = STATE(2594),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(3113),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(3113),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(3113),
    [sym_function_expression] = STATE(3113),
    [sym_generator_function] = STATE(3113),
    [sym_arrow_function] = STATE(3113),
    [sym__call_signature] = STATE(7486),
    [sym_call_expression] = STATE(3113),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2158),
    [sym_subscript_expression] = STATE(2158),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3878),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7646),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(3113),
    [sym_comment] = STATE(168),
    [sym_template_string] = STATE(3113),
    [sym_regex] = STATE(3113),
    [sym_meta_property] = STATE(3113),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2158),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5555),
    [sym_identifier] = ACTIONS(1012),
    [anon_sym_export] = ACTIONS(1014),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1014),
    [anon_sym_EQ] = ACTIONS(1167),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1018),
    [anon_sym_LBRACE] = ACTIONS(1020),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_typeof] = ACTIONS(174),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1014),
    [anon_sym_BANG] = ACTIONS(174),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1201),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1027),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1029),
    [anon_sym_async] = ACTIONS(1031),
    [anon_sym_function] = ACTIONS(1033),
    [anon_sym_EQ_GT] = ACTIONS(1035),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1037),
    [anon_sym_using] = ACTIONS(157),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(174),
    [anon_sym_DASH] = ACTIONS(174),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(174),
    [anon_sym_void] = ACTIONS(174),
    [anon_sym_delete] = ACTIONS(174),
    [anon_sym_PLUS_PLUS] = ACTIONS(1039),
    [anon_sym_DASH_DASH] = ACTIONS(1039),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(185),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1041),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1014),
    [anon_sym_readonly] = ACTIONS(1014),
    [anon_sym_get] = ACTIONS(1014),
    [anon_sym_set] = ACTIONS(1014),
    [anon_sym_declare] = ACTIONS(1014),
    [anon_sym_public] = ACTIONS(1014),
    [anon_sym_private] = ACTIONS(1014),
    [anon_sym_protected] = ACTIONS(1014),
    [anon_sym_override] = ACTIONS(1014),
    [anon_sym_module] = ACTIONS(1014),
    [anon_sym_any] = ACTIONS(1014),
    [anon_sym_number] = ACTIONS(1014),
    [anon_sym_boolean] = ACTIONS(1014),
    [anon_sym_string] = ACTIONS(1014),
    [anon_sym_symbol] = ACTIONS(1014),
    [anon_sym_object] = ACTIONS(1014),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(211),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [169] = {
    [sym_import] = STATE(4369),
    [sym_parenthesized_expression] = STATE(2158),
    [sym_expression] = STATE(3364),
    [sym_primary_expression] = STATE(2594),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(3113),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(3113),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(3113),
    [sym_function_expression] = STATE(3113),
    [sym_generator_function] = STATE(3113),
    [sym_arrow_function] = STATE(3113),
    [sym__call_signature] = STATE(7205),
    [sym_call_expression] = STATE(3113),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2158),
    [sym_subscript_expression] = STATE(2158),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3878),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7646),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(3113),
    [sym_comment] = STATE(169),
    [sym_template_string] = STATE(3113),
    [sym_regex] = STATE(3113),
    [sym_meta_property] = STATE(3113),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(5233),
    [sym_non_null_expression] = STATE(2158),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6912),
    [aux_sym_export_statement_repeat1] = STATE(5555),
    [sym_identifier] = ACTIONS(1181),
    [anon_sym_export] = ACTIONS(1183),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1183),
    [anon_sym_EQ] = ACTIONS(1185),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1187),
    [anon_sym_LBRACE] = ACTIONS(1020),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_typeof] = ACTIONS(174),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1183),
    [anon_sym_BANG] = ACTIONS(174),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_of] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1027),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1029),
    [anon_sym_async] = ACTIONS(1189),
    [anon_sym_function] = ACTIONS(1033),
    [anon_sym_EQ_GT] = ACTIONS(1191),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1193),
    [anon_sym_using] = ACTIONS(157),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(174),
    [anon_sym_DASH] = ACTIONS(174),
    [anon_sym_SLASH] = ACTIONS(1195),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(174),
    [anon_sym_void] = ACTIONS(174),
    [anon_sym_delete] = ACTIONS(174),
    [anon_sym_PLUS_PLUS] = ACTIONS(1039),
    [anon_sym_DASH_DASH] = ACTIONS(1039),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(185),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1041),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1183),
    [anon_sym_readonly] = ACTIONS(1183),
    [anon_sym_get] = ACTIONS(1183),
    [anon_sym_set] = ACTIONS(1183),
    [anon_sym_declare] = ACTIONS(1183),
    [anon_sym_public] = ACTIONS(1183),
    [anon_sym_private] = ACTIONS(1183),
    [anon_sym_protected] = ACTIONS(1183),
    [anon_sym_override] = ACTIONS(1183),
    [anon_sym_module] = ACTIONS(1183),
    [anon_sym_any] = ACTIONS(1183),
    [anon_sym_number] = ACTIONS(1183),
    [anon_sym_boolean] = ACTIONS(1183),
    [anon_sym_string] = ACTIONS(1183),
    [anon_sym_symbol] = ACTIONS(1183),
    [anon_sym_object] = ACTIONS(1183),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(211),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [170] = {
    [sym_import] = STATE(4369),
    [sym_parenthesized_expression] = STATE(2158),
    [sym_expression] = STATE(3364),
    [sym_primary_expression] = STATE(2594),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(3113),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(3113),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(3113),
    [sym_function_expression] = STATE(3113),
    [sym_generator_function] = STATE(3113),
    [sym_arrow_function] = STATE(3113),
    [sym__call_signature] = STATE(7486),
    [sym_call_expression] = STATE(3113),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2158),
    [sym_subscript_expression] = STATE(2158),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3878),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7646),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(3113),
    [sym_comment] = STATE(170),
    [sym_template_string] = STATE(3113),
    [sym_regex] = STATE(3113),
    [sym_meta_property] = STATE(3113),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2158),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5555),
    [sym_identifier] = ACTIONS(1012),
    [anon_sym_export] = ACTIONS(1014),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1014),
    [anon_sym_EQ] = ACTIONS(1167),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1018),
    [anon_sym_LBRACE] = ACTIONS(1020),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_typeof] = ACTIONS(174),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1014),
    [anon_sym_BANG] = ACTIONS(174),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_in] = ACTIONS(1203),
    [anon_sym_of] = ACTIONS(1206),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1027),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1029),
    [anon_sym_async] = ACTIONS(1031),
    [anon_sym_function] = ACTIONS(1033),
    [anon_sym_EQ_GT] = ACTIONS(1035),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1037),
    [anon_sym_using] = ACTIONS(157),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(174),
    [anon_sym_DASH] = ACTIONS(174),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(174),
    [anon_sym_void] = ACTIONS(174),
    [anon_sym_delete] = ACTIONS(174),
    [anon_sym_PLUS_PLUS] = ACTIONS(1039),
    [anon_sym_DASH_DASH] = ACTIONS(1039),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(185),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1041),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1014),
    [anon_sym_readonly] = ACTIONS(1014),
    [anon_sym_get] = ACTIONS(1014),
    [anon_sym_set] = ACTIONS(1014),
    [anon_sym_declare] = ACTIONS(1014),
    [anon_sym_public] = ACTIONS(1014),
    [anon_sym_private] = ACTIONS(1014),
    [anon_sym_protected] = ACTIONS(1014),
    [anon_sym_override] = ACTIONS(1014),
    [anon_sym_module] = ACTIONS(1014),
    [anon_sym_any] = ACTIONS(1014),
    [anon_sym_number] = ACTIONS(1014),
    [anon_sym_boolean] = ACTIONS(1014),
    [anon_sym_string] = ACTIONS(1014),
    [anon_sym_symbol] = ACTIONS(1014),
    [anon_sym_object] = ACTIONS(1014),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(211),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [171] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2048),
    [sym_expression] = STATE(3359),
    [sym_primary_expression] = STATE(2354),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7260),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2048),
    [sym_subscript_expression] = STATE(2048),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3878),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7646),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(171),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2048),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1095),
    [anon_sym_export] = ACTIONS(1097),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1097),
    [anon_sym_EQ] = ACTIONS(1117),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1099),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_typeof] = ACTIONS(174),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1097),
    [anon_sym_BANG] = ACTIONS(174),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_of] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1027),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1109),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_EQ_GT] = ACTIONS(1191),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1111),
    [anon_sym_using] = ACTIONS(157),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(174),
    [anon_sym_DASH] = ACTIONS(174),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(174),
    [anon_sym_void] = ACTIONS(174),
    [anon_sym_delete] = ACTIONS(174),
    [anon_sym_PLUS_PLUS] = ACTIONS(1039),
    [anon_sym_DASH_DASH] = ACTIONS(1039),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(185),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1115),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1097),
    [anon_sym_readonly] = ACTIONS(1097),
    [anon_sym_get] = ACTIONS(1097),
    [anon_sym_set] = ACTIONS(1097),
    [anon_sym_declare] = ACTIONS(1097),
    [anon_sym_public] = ACTIONS(1097),
    [anon_sym_private] = ACTIONS(1097),
    [anon_sym_protected] = ACTIONS(1097),
    [anon_sym_override] = ACTIONS(1097),
    [anon_sym_module] = ACTIONS(1097),
    [anon_sym_any] = ACTIONS(1097),
    [anon_sym_number] = ACTIONS(1097),
    [anon_sym_boolean] = ACTIONS(1097),
    [anon_sym_string] = ACTIONS(1097),
    [anon_sym_symbol] = ACTIONS(1097),
    [anon_sym_object] = ACTIONS(1097),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(211),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [172] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2048),
    [sym_expression] = STATE(3359),
    [sym_primary_expression] = STATE(2354),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7643),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2048),
    [sym_subscript_expression] = STATE(2048),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3878),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7646),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(172),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2048),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1121),
    [anon_sym_export] = ACTIONS(1123),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1123),
    [anon_sym_EQ] = ACTIONS(1135),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1125),
    [anon_sym_LBRACE] = ACTIONS(1127),
    [anon_sym_COMMA] = ACTIONS(1208),
    [anon_sym_RBRACE] = ACTIONS(1208),
    [anon_sym_typeof] = ACTIONS(174),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1123),
    [anon_sym_BANG] = ACTIONS(174),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1129),
    [anon_sym_RBRACK] = ACTIONS(1208),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1107),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1131),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_EQ_GT] = ACTIONS(219),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1133),
    [anon_sym_using] = ACTIONS(157),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(174),
    [anon_sym_DASH] = ACTIONS(174),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(174),
    [anon_sym_void] = ACTIONS(174),
    [anon_sym_delete] = ACTIONS(174),
    [anon_sym_PLUS_PLUS] = ACTIONS(1039),
    [anon_sym_DASH_DASH] = ACTIONS(1039),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(185),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1115),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1123),
    [anon_sym_readonly] = ACTIONS(1123),
    [anon_sym_get] = ACTIONS(1123),
    [anon_sym_set] = ACTIONS(1123),
    [anon_sym_declare] = ACTIONS(1123),
    [anon_sym_public] = ACTIONS(1123),
    [anon_sym_private] = ACTIONS(1123),
    [anon_sym_protected] = ACTIONS(1123),
    [anon_sym_override] = ACTIONS(1123),
    [anon_sym_module] = ACTIONS(1123),
    [anon_sym_any] = ACTIONS(1123),
    [anon_sym_number] = ACTIONS(1123),
    [anon_sym_boolean] = ACTIONS(1123),
    [anon_sym_string] = ACTIONS(1123),
    [anon_sym_symbol] = ACTIONS(1123),
    [anon_sym_object] = ACTIONS(1123),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [173] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2048),
    [sym_expression] = STATE(3359),
    [sym_primary_expression] = STATE(2354),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7643),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2048),
    [sym_subscript_expression] = STATE(2048),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3878),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7646),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(173),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(5233),
    [sym_non_null_expression] = STATE(2048),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6912),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1121),
    [anon_sym_export] = ACTIONS(1123),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1123),
    [anon_sym_EQ] = ACTIONS(1135),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1125),
    [anon_sym_LBRACE] = ACTIONS(1127),
    [anon_sym_COMMA] = ACTIONS(1208),
    [anon_sym_typeof] = ACTIONS(174),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1123),
    [anon_sym_BANG] = ACTIONS(174),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1119),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1129),
    [anon_sym_RBRACK] = ACTIONS(1208),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1107),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1131),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_EQ_GT] = ACTIONS(219),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1133),
    [anon_sym_using] = ACTIONS(157),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(174),
    [anon_sym_DASH] = ACTIONS(174),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(174),
    [anon_sym_void] = ACTIONS(174),
    [anon_sym_delete] = ACTIONS(174),
    [anon_sym_PLUS_PLUS] = ACTIONS(1039),
    [anon_sym_DASH_DASH] = ACTIONS(1039),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(185),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1115),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1123),
    [anon_sym_readonly] = ACTIONS(1123),
    [anon_sym_get] = ACTIONS(1123),
    [anon_sym_set] = ACTIONS(1123),
    [anon_sym_declare] = ACTIONS(1123),
    [anon_sym_public] = ACTIONS(1123),
    [anon_sym_private] = ACTIONS(1123),
    [anon_sym_protected] = ACTIONS(1123),
    [anon_sym_override] = ACTIONS(1123),
    [anon_sym_module] = ACTIONS(1123),
    [anon_sym_any] = ACTIONS(1123),
    [anon_sym_number] = ACTIONS(1123),
    [anon_sym_boolean] = ACTIONS(1123),
    [anon_sym_string] = ACTIONS(1123),
    [anon_sym_symbol] = ACTIONS(1123),
    [anon_sym_object] = ACTIONS(1123),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [174] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2048),
    [sym_expression] = STATE(3359),
    [sym_primary_expression] = STATE(2354),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7502),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2048),
    [sym_subscript_expression] = STATE(2048),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3878),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7646),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(174),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2048),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1211),
    [anon_sym_export] = ACTIONS(1213),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1213),
    [anon_sym_EQ] = ACTIONS(1215),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1218),
    [anon_sym_LBRACE] = ACTIONS(1127),
    [anon_sym_COMMA] = ACTIONS(124),
    [anon_sym_typeof] = ACTIONS(174),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1213),
    [anon_sym_BANG] = ACTIONS(174),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1220),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1129),
    [anon_sym_RBRACK] = ACTIONS(216),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1107),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1222),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_EQ_GT] = ACTIONS(1224),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1226),
    [anon_sym_using] = ACTIONS(157),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(174),
    [anon_sym_DASH] = ACTIONS(174),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(174),
    [anon_sym_void] = ACTIONS(174),
    [anon_sym_delete] = ACTIONS(174),
    [anon_sym_PLUS_PLUS] = ACTIONS(1039),
    [anon_sym_DASH_DASH] = ACTIONS(1039),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(185),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1115),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1213),
    [anon_sym_readonly] = ACTIONS(1213),
    [anon_sym_get] = ACTIONS(1213),
    [anon_sym_set] = ACTIONS(1213),
    [anon_sym_declare] = ACTIONS(1213),
    [anon_sym_public] = ACTIONS(1213),
    [anon_sym_private] = ACTIONS(1213),
    [anon_sym_protected] = ACTIONS(1213),
    [anon_sym_override] = ACTIONS(1213),
    [anon_sym_module] = ACTIONS(1213),
    [anon_sym_any] = ACTIONS(1213),
    [anon_sym_number] = ACTIONS(1213),
    [anon_sym_boolean] = ACTIONS(1213),
    [anon_sym_string] = ACTIONS(1213),
    [anon_sym_symbol] = ACTIONS(1213),
    [anon_sym_object] = ACTIONS(1213),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [175] = {
    [sym_import] = STATE(4369),
    [sym_parenthesized_expression] = STATE(2158),
    [sym_expression] = STATE(3364),
    [sym_primary_expression] = STATE(2594),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(3113),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(3113),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(3113),
    [sym_function_expression] = STATE(3113),
    [sym_generator_function] = STATE(3113),
    [sym_arrow_function] = STATE(3113),
    [sym__call_signature] = STATE(7374),
    [sym_call_expression] = STATE(3113),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2158),
    [sym_subscript_expression] = STATE(2158),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3878),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7646),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(3113),
    [sym_comment] = STATE(175),
    [sym_template_string] = STATE(3113),
    [sym_regex] = STATE(3113),
    [sym_meta_property] = STATE(3113),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2158),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5555),
    [sym_identifier] = ACTIONS(1228),
    [anon_sym_export] = ACTIONS(1230),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1230),
    [anon_sym_EQ] = ACTIONS(1232),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1234),
    [anon_sym_LBRACE] = ACTIONS(1020),
    [anon_sym_typeof] = ACTIONS(174),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1230),
    [anon_sym_BANG] = ACTIONS(174),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1027),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1029),
    [anon_sym_async] = ACTIONS(1236),
    [anon_sym_function] = ACTIONS(1033),
    [anon_sym_EQ_GT] = ACTIONS(1238),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1240),
    [anon_sym_using] = ACTIONS(157),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(174),
    [anon_sym_DASH] = ACTIONS(174),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(174),
    [anon_sym_void] = ACTIONS(174),
    [anon_sym_delete] = ACTIONS(174),
    [anon_sym_PLUS_PLUS] = ACTIONS(1039),
    [anon_sym_DASH_DASH] = ACTIONS(1039),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(185),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1041),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1230),
    [anon_sym_readonly] = ACTIONS(1230),
    [anon_sym_get] = ACTIONS(1230),
    [anon_sym_set] = ACTIONS(1230),
    [anon_sym_declare] = ACTIONS(1230),
    [anon_sym_public] = ACTIONS(1230),
    [anon_sym_private] = ACTIONS(1230),
    [anon_sym_protected] = ACTIONS(1230),
    [anon_sym_override] = ACTIONS(1230),
    [anon_sym_module] = ACTIONS(1230),
    [anon_sym_any] = ACTIONS(1230),
    [anon_sym_number] = ACTIONS(1230),
    [anon_sym_boolean] = ACTIONS(1230),
    [anon_sym_string] = ACTIONS(1230),
    [anon_sym_symbol] = ACTIONS(1230),
    [anon_sym_object] = ACTIONS(1230),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(211),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [176] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2048),
    [sym_expression] = STATE(3359),
    [sym_primary_expression] = STATE(2354),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7260),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2048),
    [sym_subscript_expression] = STATE(2048),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3878),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7646),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(176),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2048),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1095),
    [anon_sym_export] = ACTIONS(1097),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1097),
    [anon_sym_EQ] = ACTIONS(1117),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1099),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(174),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1097),
    [anon_sym_BANG] = ACTIONS(174),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1027),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1109),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_EQ_GT] = ACTIONS(1238),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1111),
    [anon_sym_using] = ACTIONS(157),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(174),
    [anon_sym_DASH] = ACTIONS(174),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(174),
    [anon_sym_void] = ACTIONS(174),
    [anon_sym_delete] = ACTIONS(174),
    [anon_sym_PLUS_PLUS] = ACTIONS(1039),
    [anon_sym_DASH_DASH] = ACTIONS(1039),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(185),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1115),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1097),
    [anon_sym_readonly] = ACTIONS(1097),
    [anon_sym_get] = ACTIONS(1097),
    [anon_sym_set] = ACTIONS(1097),
    [anon_sym_declare] = ACTIONS(1097),
    [anon_sym_public] = ACTIONS(1097),
    [anon_sym_private] = ACTIONS(1097),
    [anon_sym_protected] = ACTIONS(1097),
    [anon_sym_override] = ACTIONS(1097),
    [anon_sym_module] = ACTIONS(1097),
    [anon_sym_any] = ACTIONS(1097),
    [anon_sym_number] = ACTIONS(1097),
    [anon_sym_boolean] = ACTIONS(1097),
    [anon_sym_string] = ACTIONS(1097),
    [anon_sym_symbol] = ACTIONS(1097),
    [anon_sym_object] = ACTIONS(1097),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(211),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [177] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2048),
    [sym_expression] = STATE(3359),
    [sym_primary_expression] = STATE(2354),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7643),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2048),
    [sym_subscript_expression] = STATE(2048),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3878),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7646),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(177),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(5510),
    [sym_non_null_expression] = STATE(2048),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6945),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1121),
    [anon_sym_export] = ACTIONS(1123),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1123),
    [anon_sym_EQ] = ACTIONS(213),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1125),
    [anon_sym_LBRACE] = ACTIONS(1127),
    [anon_sym_COMMA] = ACTIONS(216),
    [anon_sym_RBRACE] = ACTIONS(216),
    [anon_sym_typeof] = ACTIONS(174),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1123),
    [anon_sym_BANG] = ACTIONS(174),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1129),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1107),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1131),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_EQ_GT] = ACTIONS(219),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1133),
    [anon_sym_using] = ACTIONS(157),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(174),
    [anon_sym_DASH] = ACTIONS(174),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(174),
    [anon_sym_void] = ACTIONS(174),
    [anon_sym_delete] = ACTIONS(174),
    [anon_sym_PLUS_PLUS] = ACTIONS(1039),
    [anon_sym_DASH_DASH] = ACTIONS(1039),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(185),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1115),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1123),
    [anon_sym_readonly] = ACTIONS(1123),
    [anon_sym_get] = ACTIONS(1123),
    [anon_sym_set] = ACTIONS(1123),
    [anon_sym_declare] = ACTIONS(1123),
    [anon_sym_public] = ACTIONS(1123),
    [anon_sym_private] = ACTIONS(1123),
    [anon_sym_protected] = ACTIONS(1123),
    [anon_sym_override] = ACTIONS(1123),
    [anon_sym_module] = ACTIONS(1123),
    [anon_sym_any] = ACTIONS(1123),
    [anon_sym_number] = ACTIONS(1123),
    [anon_sym_boolean] = ACTIONS(1123),
    [anon_sym_string] = ACTIONS(1123),
    [anon_sym_symbol] = ACTIONS(1123),
    [anon_sym_object] = ACTIONS(1123),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [178] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2048),
    [sym_expression] = STATE(3359),
    [sym_primary_expression] = STATE(2354),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7260),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2048),
    [sym_subscript_expression] = STATE(2048),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3878),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7646),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(178),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2048),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1095),
    [anon_sym_export] = ACTIONS(1097),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1097),
    [anon_sym_EQ] = ACTIONS(1117),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1099),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_RBRACE] = ACTIONS(118),
    [anon_sym_typeof] = ACTIONS(174),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1097),
    [anon_sym_BANG] = ACTIONS(174),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(118),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1107),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1109),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_EQ_GT] = ACTIONS(1242),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1111),
    [anon_sym_using] = ACTIONS(157),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(174),
    [anon_sym_DASH] = ACTIONS(174),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(174),
    [anon_sym_void] = ACTIONS(174),
    [anon_sym_delete] = ACTIONS(174),
    [anon_sym_PLUS_PLUS] = ACTIONS(1039),
    [anon_sym_DASH_DASH] = ACTIONS(1039),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(185),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1115),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1097),
    [anon_sym_readonly] = ACTIONS(1097),
    [anon_sym_get] = ACTIONS(1097),
    [anon_sym_set] = ACTIONS(1097),
    [anon_sym_declare] = ACTIONS(1097),
    [anon_sym_public] = ACTIONS(1097),
    [anon_sym_private] = ACTIONS(1097),
    [anon_sym_protected] = ACTIONS(1097),
    [anon_sym_override] = ACTIONS(1097),
    [anon_sym_module] = ACTIONS(1097),
    [anon_sym_any] = ACTIONS(1097),
    [anon_sym_number] = ACTIONS(1097),
    [anon_sym_boolean] = ACTIONS(1097),
    [anon_sym_string] = ACTIONS(1097),
    [anon_sym_symbol] = ACTIONS(1097),
    [anon_sym_object] = ACTIONS(1097),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [179] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2048),
    [sym_expression] = STATE(3359),
    [sym_primary_expression] = STATE(2354),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7502),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2048),
    [sym_subscript_expression] = STATE(2048),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3878),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7646),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(179),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2048),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1211),
    [anon_sym_export] = ACTIONS(1213),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1213),
    [anon_sym_EQ] = ACTIONS(1244),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1218),
    [anon_sym_LBRACE] = ACTIONS(1127),
    [anon_sym_typeof] = ACTIONS(174),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1213),
    [anon_sym_BANG] = ACTIONS(174),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1246),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1129),
    [anon_sym_RBRACK] = ACTIONS(118),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1107),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1222),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_EQ_GT] = ACTIONS(1224),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1226),
    [anon_sym_using] = ACTIONS(157),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(174),
    [anon_sym_DASH] = ACTIONS(174),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(174),
    [anon_sym_void] = ACTIONS(174),
    [anon_sym_delete] = ACTIONS(174),
    [anon_sym_PLUS_PLUS] = ACTIONS(1039),
    [anon_sym_DASH_DASH] = ACTIONS(1039),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(185),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1115),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1213),
    [anon_sym_readonly] = ACTIONS(1213),
    [anon_sym_get] = ACTIONS(1213),
    [anon_sym_set] = ACTIONS(1213),
    [anon_sym_declare] = ACTIONS(1213),
    [anon_sym_public] = ACTIONS(1213),
    [anon_sym_private] = ACTIONS(1213),
    [anon_sym_protected] = ACTIONS(1213),
    [anon_sym_override] = ACTIONS(1213),
    [anon_sym_module] = ACTIONS(1213),
    [anon_sym_any] = ACTIONS(1213),
    [anon_sym_number] = ACTIONS(1213),
    [anon_sym_boolean] = ACTIONS(1213),
    [anon_sym_string] = ACTIONS(1213),
    [anon_sym_symbol] = ACTIONS(1213),
    [anon_sym_object] = ACTIONS(1213),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [180] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2048),
    [sym_expression] = STATE(3359),
    [sym_primary_expression] = STATE(2354),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7175),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2048),
    [sym_subscript_expression] = STATE(2048),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3878),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7646),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(180),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2048),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1248),
    [anon_sym_export] = ACTIONS(1250),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1250),
    [anon_sym_EQ] = ACTIONS(1252),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1254),
    [anon_sym_LBRACE] = ACTIONS(1127),
    [anon_sym_RBRACE] = ACTIONS(118),
    [anon_sym_typeof] = ACTIONS(174),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1250),
    [anon_sym_BANG] = ACTIONS(174),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(118),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1129),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1107),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1256),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_EQ_GT] = ACTIONS(1242),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1258),
    [anon_sym_using] = ACTIONS(157),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(174),
    [anon_sym_DASH] = ACTIONS(174),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(174),
    [anon_sym_void] = ACTIONS(174),
    [anon_sym_delete] = ACTIONS(174),
    [anon_sym_PLUS_PLUS] = ACTIONS(1039),
    [anon_sym_DASH_DASH] = ACTIONS(1039),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(185),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1115),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1250),
    [anon_sym_readonly] = ACTIONS(1250),
    [anon_sym_get] = ACTIONS(1250),
    [anon_sym_set] = ACTIONS(1250),
    [anon_sym_declare] = ACTIONS(1250),
    [anon_sym_public] = ACTIONS(1250),
    [anon_sym_private] = ACTIONS(1250),
    [anon_sym_protected] = ACTIONS(1250),
    [anon_sym_override] = ACTIONS(1250),
    [anon_sym_module] = ACTIONS(1250),
    [anon_sym_any] = ACTIONS(1250),
    [anon_sym_number] = ACTIONS(1250),
    [anon_sym_boolean] = ACTIONS(1250),
    [anon_sym_string] = ACTIONS(1250),
    [anon_sym_symbol] = ACTIONS(1250),
    [anon_sym_object] = ACTIONS(1250),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [181] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2048),
    [sym_expression] = STATE(3359),
    [sym_primary_expression] = STATE(2354),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7510),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2048),
    [sym_subscript_expression] = STATE(2048),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3878),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7646),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(181),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(5233),
    [sym_non_null_expression] = STATE(2048),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6912),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1260),
    [anon_sym_export] = ACTIONS(1262),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1262),
    [anon_sym_EQ] = ACTIONS(1264),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1266),
    [anon_sym_LBRACE] = ACTIONS(1127),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_typeof] = ACTIONS(174),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1262),
    [anon_sym_BANG] = ACTIONS(174),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1129),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1107),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1268),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_EQ_GT] = ACTIONS(1270),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1272),
    [anon_sym_using] = ACTIONS(157),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(174),
    [anon_sym_DASH] = ACTIONS(174),
    [anon_sym_SLASH] = ACTIONS(1274),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(174),
    [anon_sym_void] = ACTIONS(174),
    [anon_sym_delete] = ACTIONS(174),
    [anon_sym_PLUS_PLUS] = ACTIONS(1039),
    [anon_sym_DASH_DASH] = ACTIONS(1039),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(185),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1115),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1262),
    [anon_sym_readonly] = ACTIONS(1262),
    [anon_sym_get] = ACTIONS(1262),
    [anon_sym_set] = ACTIONS(1262),
    [anon_sym_declare] = ACTIONS(1262),
    [anon_sym_public] = ACTIONS(1262),
    [anon_sym_private] = ACTIONS(1262),
    [anon_sym_protected] = ACTIONS(1262),
    [anon_sym_override] = ACTIONS(1262),
    [anon_sym_module] = ACTIONS(1262),
    [anon_sym_any] = ACTIONS(1262),
    [anon_sym_number] = ACTIONS(1262),
    [anon_sym_boolean] = ACTIONS(1262),
    [anon_sym_string] = ACTIONS(1262),
    [anon_sym_symbol] = ACTIONS(1262),
    [anon_sym_object] = ACTIONS(1262),
    [anon_sym_satisfies] = ACTIONS(118),
    [anon_sym_implements] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [182] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2048),
    [sym_expression] = STATE(3359),
    [sym_primary_expression] = STATE(2354),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7175),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2048),
    [sym_subscript_expression] = STATE(2048),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3878),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7646),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(182),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(5233),
    [sym_non_null_expression] = STATE(2048),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6912),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1248),
    [anon_sym_export] = ACTIONS(1250),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1250),
    [anon_sym_EQ] = ACTIONS(1252),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1254),
    [anon_sym_LBRACE] = ACTIONS(1127),
    [anon_sym_RBRACE] = ACTIONS(118),
    [anon_sym_typeof] = ACTIONS(174),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1250),
    [anon_sym_BANG] = ACTIONS(174),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(118),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1129),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1107),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1256),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_EQ_GT] = ACTIONS(1242),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1258),
    [anon_sym_using] = ACTIONS(157),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(174),
    [anon_sym_DASH] = ACTIONS(174),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(174),
    [anon_sym_void] = ACTIONS(174),
    [anon_sym_delete] = ACTIONS(174),
    [anon_sym_PLUS_PLUS] = ACTIONS(1039),
    [anon_sym_DASH_DASH] = ACTIONS(1039),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(185),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1115),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1250),
    [anon_sym_readonly] = ACTIONS(1250),
    [anon_sym_get] = ACTIONS(1250),
    [anon_sym_set] = ACTIONS(1250),
    [anon_sym_declare] = ACTIONS(1250),
    [anon_sym_public] = ACTIONS(1250),
    [anon_sym_private] = ACTIONS(1250),
    [anon_sym_protected] = ACTIONS(1250),
    [anon_sym_override] = ACTIONS(1250),
    [anon_sym_module] = ACTIONS(1250),
    [anon_sym_any] = ACTIONS(1250),
    [anon_sym_number] = ACTIONS(1250),
    [anon_sym_boolean] = ACTIONS(1250),
    [anon_sym_string] = ACTIONS(1250),
    [anon_sym_symbol] = ACTIONS(1250),
    [anon_sym_object] = ACTIONS(1250),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [183] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2048),
    [sym_expression] = STATE(3359),
    [sym_primary_expression] = STATE(2354),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7502),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2048),
    [sym_subscript_expression] = STATE(2048),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3878),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7646),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(183),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2048),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1211),
    [anon_sym_export] = ACTIONS(1213),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1213),
    [anon_sym_EQ] = ACTIONS(1244),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1218),
    [anon_sym_LBRACE] = ACTIONS(1127),
    [anon_sym_typeof] = ACTIONS(174),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1213),
    [anon_sym_BANG] = ACTIONS(174),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1220),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1129),
    [anon_sym_RBRACK] = ACTIONS(118),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1107),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1222),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_EQ_GT] = ACTIONS(1224),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1226),
    [anon_sym_using] = ACTIONS(157),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(174),
    [anon_sym_DASH] = ACTIONS(174),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(174),
    [anon_sym_void] = ACTIONS(174),
    [anon_sym_delete] = ACTIONS(174),
    [anon_sym_PLUS_PLUS] = ACTIONS(1039),
    [anon_sym_DASH_DASH] = ACTIONS(1039),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(185),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1115),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1213),
    [anon_sym_readonly] = ACTIONS(1213),
    [anon_sym_get] = ACTIONS(1213),
    [anon_sym_set] = ACTIONS(1213),
    [anon_sym_declare] = ACTIONS(1213),
    [anon_sym_public] = ACTIONS(1213),
    [anon_sym_private] = ACTIONS(1213),
    [anon_sym_protected] = ACTIONS(1213),
    [anon_sym_override] = ACTIONS(1213),
    [anon_sym_module] = ACTIONS(1213),
    [anon_sym_any] = ACTIONS(1213),
    [anon_sym_number] = ACTIONS(1213),
    [anon_sym_boolean] = ACTIONS(1213),
    [anon_sym_string] = ACTIONS(1213),
    [anon_sym_symbol] = ACTIONS(1213),
    [anon_sym_object] = ACTIONS(1213),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [184] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2048),
    [sym_expression] = STATE(3359),
    [sym_primary_expression] = STATE(2354),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7502),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2048),
    [sym_subscript_expression] = STATE(2048),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3878),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7646),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(184),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2048),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1211),
    [anon_sym_export] = ACTIONS(1213),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1213),
    [anon_sym_EQ] = ACTIONS(1215),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1218),
    [anon_sym_LBRACE] = ACTIONS(1127),
    [anon_sym_COMMA] = ACTIONS(124),
    [anon_sym_typeof] = ACTIONS(174),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1213),
    [anon_sym_BANG] = ACTIONS(174),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1129),
    [anon_sym_RBRACK] = ACTIONS(216),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1107),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1222),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_EQ_GT] = ACTIONS(1224),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1226),
    [anon_sym_using] = ACTIONS(157),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(174),
    [anon_sym_DASH] = ACTIONS(174),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(174),
    [anon_sym_void] = ACTIONS(174),
    [anon_sym_delete] = ACTIONS(174),
    [anon_sym_PLUS_PLUS] = ACTIONS(1039),
    [anon_sym_DASH_DASH] = ACTIONS(1039),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(185),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1115),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1213),
    [anon_sym_readonly] = ACTIONS(1213),
    [anon_sym_get] = ACTIONS(1213),
    [anon_sym_set] = ACTIONS(1213),
    [anon_sym_declare] = ACTIONS(1213),
    [anon_sym_public] = ACTIONS(1213),
    [anon_sym_private] = ACTIONS(1213),
    [anon_sym_protected] = ACTIONS(1213),
    [anon_sym_override] = ACTIONS(1213),
    [anon_sym_module] = ACTIONS(1213),
    [anon_sym_any] = ACTIONS(1213),
    [anon_sym_number] = ACTIONS(1213),
    [anon_sym_boolean] = ACTIONS(1213),
    [anon_sym_string] = ACTIONS(1213),
    [anon_sym_symbol] = ACTIONS(1213),
    [anon_sym_object] = ACTIONS(1213),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [185] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2048),
    [sym_expression] = STATE(3359),
    [sym_primary_expression] = STATE(2354),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7510),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2048),
    [sym_subscript_expression] = STATE(2048),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3878),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7646),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(185),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2048),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1260),
    [anon_sym_export] = ACTIONS(1262),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1262),
    [anon_sym_EQ] = ACTIONS(1264),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1266),
    [anon_sym_LBRACE] = ACTIONS(1127),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_typeof] = ACTIONS(174),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1262),
    [anon_sym_BANG] = ACTIONS(174),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1129),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1107),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1268),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_EQ_GT] = ACTIONS(1270),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1272),
    [anon_sym_using] = ACTIONS(157),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(174),
    [anon_sym_DASH] = ACTIONS(174),
    [anon_sym_SLASH] = ACTIONS(1274),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(174),
    [anon_sym_void] = ACTIONS(174),
    [anon_sym_delete] = ACTIONS(174),
    [anon_sym_PLUS_PLUS] = ACTIONS(1039),
    [anon_sym_DASH_DASH] = ACTIONS(1039),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(185),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1115),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1262),
    [anon_sym_readonly] = ACTIONS(1262),
    [anon_sym_get] = ACTIONS(1262),
    [anon_sym_set] = ACTIONS(1262),
    [anon_sym_declare] = ACTIONS(1262),
    [anon_sym_public] = ACTIONS(1262),
    [anon_sym_private] = ACTIONS(1262),
    [anon_sym_protected] = ACTIONS(1262),
    [anon_sym_override] = ACTIONS(1262),
    [anon_sym_module] = ACTIONS(1262),
    [anon_sym_any] = ACTIONS(1262),
    [anon_sym_number] = ACTIONS(1262),
    [anon_sym_boolean] = ACTIONS(1262),
    [anon_sym_string] = ACTIONS(1262),
    [anon_sym_symbol] = ACTIONS(1262),
    [anon_sym_object] = ACTIONS(1262),
    [anon_sym_satisfies] = ACTIONS(118),
    [anon_sym_implements] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [186] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2048),
    [sym_expression] = STATE(3359),
    [sym_primary_expression] = STATE(2354),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7260),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2048),
    [sym_subscript_expression] = STATE(2048),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3878),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7646),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(186),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2048),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1095),
    [anon_sym_export] = ACTIONS(1097),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1097),
    [anon_sym_EQ] = ACTIONS(1117),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1099),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_typeof] = ACTIONS(174),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1097),
    [anon_sym_BANG] = ACTIONS(174),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1107),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1109),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_EQ_GT] = ACTIONS(1270),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1111),
    [anon_sym_using] = ACTIONS(157),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(174),
    [anon_sym_DASH] = ACTIONS(174),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(174),
    [anon_sym_void] = ACTIONS(174),
    [anon_sym_delete] = ACTIONS(174),
    [anon_sym_PLUS_PLUS] = ACTIONS(1039),
    [anon_sym_DASH_DASH] = ACTIONS(1039),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(185),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1115),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1097),
    [anon_sym_readonly] = ACTIONS(1097),
    [anon_sym_get] = ACTIONS(1097),
    [anon_sym_set] = ACTIONS(1097),
    [anon_sym_declare] = ACTIONS(1097),
    [anon_sym_public] = ACTIONS(1097),
    [anon_sym_private] = ACTIONS(1097),
    [anon_sym_protected] = ACTIONS(1097),
    [anon_sym_override] = ACTIONS(1097),
    [anon_sym_module] = ACTIONS(1097),
    [anon_sym_any] = ACTIONS(1097),
    [anon_sym_number] = ACTIONS(1097),
    [anon_sym_boolean] = ACTIONS(1097),
    [anon_sym_string] = ACTIONS(1097),
    [anon_sym_symbol] = ACTIONS(1097),
    [anon_sym_object] = ACTIONS(1097),
    [anon_sym_satisfies] = ACTIONS(118),
    [anon_sym_implements] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [187] = {
    [sym_import] = STATE(4369),
    [sym_parenthesized_expression] = STATE(2158),
    [sym_expression] = STATE(3364),
    [sym_primary_expression] = STATE(2594),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(3113),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(3113),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(3113),
    [sym_function_expression] = STATE(3113),
    [sym_generator_function] = STATE(3113),
    [sym_arrow_function] = STATE(3113),
    [sym__call_signature] = STATE(7374),
    [sym_call_expression] = STATE(3113),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2158),
    [sym_subscript_expression] = STATE(2158),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3878),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7646),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(3113),
    [sym_comment] = STATE(187),
    [sym_template_string] = STATE(3113),
    [sym_regex] = STATE(3113),
    [sym_meta_property] = STATE(3113),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(5233),
    [sym_non_null_expression] = STATE(2158),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6912),
    [aux_sym_export_statement_repeat1] = STATE(5555),
    [sym_identifier] = ACTIONS(1228),
    [anon_sym_export] = ACTIONS(1230),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1230),
    [anon_sym_EQ] = ACTIONS(1232),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1234),
    [anon_sym_LBRACE] = ACTIONS(1020),
    [anon_sym_typeof] = ACTIONS(174),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1230),
    [anon_sym_BANG] = ACTIONS(174),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1027),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1029),
    [anon_sym_async] = ACTIONS(1236),
    [anon_sym_function] = ACTIONS(1033),
    [anon_sym_EQ_GT] = ACTIONS(1238),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1240),
    [anon_sym_using] = ACTIONS(157),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(174),
    [anon_sym_DASH] = ACTIONS(174),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(174),
    [anon_sym_void] = ACTIONS(174),
    [anon_sym_delete] = ACTIONS(174),
    [anon_sym_PLUS_PLUS] = ACTIONS(1039),
    [anon_sym_DASH_DASH] = ACTIONS(1039),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(185),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1041),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1230),
    [anon_sym_readonly] = ACTIONS(1230),
    [anon_sym_get] = ACTIONS(1230),
    [anon_sym_set] = ACTIONS(1230),
    [anon_sym_declare] = ACTIONS(1230),
    [anon_sym_public] = ACTIONS(1230),
    [anon_sym_private] = ACTIONS(1230),
    [anon_sym_protected] = ACTIONS(1230),
    [anon_sym_override] = ACTIONS(1230),
    [anon_sym_module] = ACTIONS(1230),
    [anon_sym_any] = ACTIONS(1230),
    [anon_sym_number] = ACTIONS(1230),
    [anon_sym_boolean] = ACTIONS(1230),
    [anon_sym_string] = ACTIONS(1230),
    [anon_sym_symbol] = ACTIONS(1230),
    [anon_sym_object] = ACTIONS(1230),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(211),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [188] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2048),
    [sym_expression] = STATE(3359),
    [sym_primary_expression] = STATE(2354),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7446),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2048),
    [sym_subscript_expression] = STATE(2048),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3878),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7646),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(188),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(5233),
    [sym_non_null_expression] = STATE(2048),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6912),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1276),
    [anon_sym_export] = ACTIONS(1278),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1278),
    [anon_sym_EQ] = ACTIONS(1280),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1282),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(174),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1278),
    [anon_sym_BANG] = ACTIONS(174),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_of] = ACTIONS(118),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1107),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1284),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_EQ_GT] = ACTIONS(1286),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1288),
    [anon_sym_using] = ACTIONS(157),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(174),
    [anon_sym_DASH] = ACTIONS(174),
    [anon_sym_SLASH] = ACTIONS(1290),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(174),
    [anon_sym_void] = ACTIONS(174),
    [anon_sym_delete] = ACTIONS(174),
    [anon_sym_PLUS_PLUS] = ACTIONS(1039),
    [anon_sym_DASH_DASH] = ACTIONS(1039),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(185),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1115),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1278),
    [anon_sym_readonly] = ACTIONS(1278),
    [anon_sym_get] = ACTIONS(1278),
    [anon_sym_set] = ACTIONS(1278),
    [anon_sym_declare] = ACTIONS(1278),
    [anon_sym_public] = ACTIONS(1278),
    [anon_sym_private] = ACTIONS(1278),
    [anon_sym_protected] = ACTIONS(1278),
    [anon_sym_override] = ACTIONS(1278),
    [anon_sym_module] = ACTIONS(1278),
    [anon_sym_any] = ACTIONS(1278),
    [anon_sym_number] = ACTIONS(1278),
    [anon_sym_boolean] = ACTIONS(1278),
    [anon_sym_string] = ACTIONS(1278),
    [anon_sym_symbol] = ACTIONS(1278),
    [anon_sym_object] = ACTIONS(1278),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [189] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2048),
    [sym_expression] = STATE(3359),
    [sym_primary_expression] = STATE(2354),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7260),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2048),
    [sym_subscript_expression] = STATE(2048),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3878),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7646),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(189),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2048),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1095),
    [anon_sym_export] = ACTIONS(1097),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1097),
    [anon_sym_EQ] = ACTIONS(1117),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1099),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(174),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1097),
    [anon_sym_BANG] = ACTIONS(174),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_of] = ACTIONS(118),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1107),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1109),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_EQ_GT] = ACTIONS(1286),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1111),
    [anon_sym_using] = ACTIONS(157),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(174),
    [anon_sym_DASH] = ACTIONS(174),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(174),
    [anon_sym_void] = ACTIONS(174),
    [anon_sym_delete] = ACTIONS(174),
    [anon_sym_PLUS_PLUS] = ACTIONS(1039),
    [anon_sym_DASH_DASH] = ACTIONS(1039),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(185),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1115),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1097),
    [anon_sym_readonly] = ACTIONS(1097),
    [anon_sym_get] = ACTIONS(1097),
    [anon_sym_set] = ACTIONS(1097),
    [anon_sym_declare] = ACTIONS(1097),
    [anon_sym_public] = ACTIONS(1097),
    [anon_sym_private] = ACTIONS(1097),
    [anon_sym_protected] = ACTIONS(1097),
    [anon_sym_override] = ACTIONS(1097),
    [anon_sym_module] = ACTIONS(1097),
    [anon_sym_any] = ACTIONS(1097),
    [anon_sym_number] = ACTIONS(1097),
    [anon_sym_boolean] = ACTIONS(1097),
    [anon_sym_string] = ACTIONS(1097),
    [anon_sym_symbol] = ACTIONS(1097),
    [anon_sym_object] = ACTIONS(1097),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [190] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2048),
    [sym_expression] = STATE(3359),
    [sym_primary_expression] = STATE(2354),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7260),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2048),
    [sym_subscript_expression] = STATE(2048),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3878),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7646),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(190),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2048),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1095),
    [anon_sym_export] = ACTIONS(1097),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1097),
    [anon_sym_EQ] = ACTIONS(1117),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1099),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(174),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1097),
    [anon_sym_BANG] = ACTIONS(174),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_in] = ACTIONS(1203),
    [anon_sym_of] = ACTIONS(1206),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1107),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1109),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_EQ_GT] = ACTIONS(153),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1111),
    [anon_sym_using] = ACTIONS(157),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(174),
    [anon_sym_DASH] = ACTIONS(174),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(174),
    [anon_sym_void] = ACTIONS(174),
    [anon_sym_delete] = ACTIONS(174),
    [anon_sym_PLUS_PLUS] = ACTIONS(1039),
    [anon_sym_DASH_DASH] = ACTIONS(1039),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(185),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1115),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1097),
    [anon_sym_readonly] = ACTIONS(1097),
    [anon_sym_get] = ACTIONS(1097),
    [anon_sym_set] = ACTIONS(1097),
    [anon_sym_declare] = ACTIONS(1097),
    [anon_sym_public] = ACTIONS(1097),
    [anon_sym_private] = ACTIONS(1097),
    [anon_sym_protected] = ACTIONS(1097),
    [anon_sym_override] = ACTIONS(1097),
    [anon_sym_module] = ACTIONS(1097),
    [anon_sym_any] = ACTIONS(1097),
    [anon_sym_number] = ACTIONS(1097),
    [anon_sym_boolean] = ACTIONS(1097),
    [anon_sym_string] = ACTIONS(1097),
    [anon_sym_symbol] = ACTIONS(1097),
    [anon_sym_object] = ACTIONS(1097),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [191] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2048),
    [sym_expression] = STATE(3359),
    [sym_primary_expression] = STATE(2354),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7502),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2048),
    [sym_subscript_expression] = STATE(2048),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3878),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7646),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(191),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2048),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1211),
    [anon_sym_export] = ACTIONS(1213),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1213),
    [anon_sym_EQ] = ACTIONS(1244),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1218),
    [anon_sym_LBRACE] = ACTIONS(1127),
    [anon_sym_typeof] = ACTIONS(174),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1213),
    [anon_sym_BANG] = ACTIONS(174),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1129),
    [anon_sym_RBRACK] = ACTIONS(118),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1107),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1222),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_EQ_GT] = ACTIONS(1224),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1226),
    [anon_sym_using] = ACTIONS(157),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(174),
    [anon_sym_DASH] = ACTIONS(174),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(174),
    [anon_sym_void] = ACTIONS(174),
    [anon_sym_delete] = ACTIONS(174),
    [anon_sym_PLUS_PLUS] = ACTIONS(1039),
    [anon_sym_DASH_DASH] = ACTIONS(1039),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(185),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1115),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1213),
    [anon_sym_readonly] = ACTIONS(1213),
    [anon_sym_get] = ACTIONS(1213),
    [anon_sym_set] = ACTIONS(1213),
    [anon_sym_declare] = ACTIONS(1213),
    [anon_sym_public] = ACTIONS(1213),
    [anon_sym_private] = ACTIONS(1213),
    [anon_sym_protected] = ACTIONS(1213),
    [anon_sym_override] = ACTIONS(1213),
    [anon_sym_module] = ACTIONS(1213),
    [anon_sym_any] = ACTIONS(1213),
    [anon_sym_number] = ACTIONS(1213),
    [anon_sym_boolean] = ACTIONS(1213),
    [anon_sym_string] = ACTIONS(1213),
    [anon_sym_symbol] = ACTIONS(1213),
    [anon_sym_object] = ACTIONS(1213),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [192] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2048),
    [sym_expression] = STATE(3359),
    [sym_primary_expression] = STATE(2354),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7446),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2048),
    [sym_subscript_expression] = STATE(2048),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3878),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7646),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(192),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2048),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1276),
    [anon_sym_export] = ACTIONS(1278),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1278),
    [anon_sym_EQ] = ACTIONS(1280),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1282),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(174),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1278),
    [anon_sym_BANG] = ACTIONS(174),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_of] = ACTIONS(118),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1107),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1284),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_EQ_GT] = ACTIONS(1286),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1288),
    [anon_sym_using] = ACTIONS(157),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(174),
    [anon_sym_DASH] = ACTIONS(174),
    [anon_sym_SLASH] = ACTIONS(1290),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(174),
    [anon_sym_void] = ACTIONS(174),
    [anon_sym_delete] = ACTIONS(174),
    [anon_sym_PLUS_PLUS] = ACTIONS(1039),
    [anon_sym_DASH_DASH] = ACTIONS(1039),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(185),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1115),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1278),
    [anon_sym_readonly] = ACTIONS(1278),
    [anon_sym_get] = ACTIONS(1278),
    [anon_sym_set] = ACTIONS(1278),
    [anon_sym_declare] = ACTIONS(1278),
    [anon_sym_public] = ACTIONS(1278),
    [anon_sym_private] = ACTIONS(1278),
    [anon_sym_protected] = ACTIONS(1278),
    [anon_sym_override] = ACTIONS(1278),
    [anon_sym_module] = ACTIONS(1278),
    [anon_sym_any] = ACTIONS(1278),
    [anon_sym_number] = ACTIONS(1278),
    [anon_sym_boolean] = ACTIONS(1278),
    [anon_sym_string] = ACTIONS(1278),
    [anon_sym_symbol] = ACTIONS(1278),
    [anon_sym_object] = ACTIONS(1278),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [193] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2048),
    [sym_expression] = STATE(3359),
    [sym_primary_expression] = STATE(2354),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7260),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2048),
    [sym_subscript_expression] = STATE(2048),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3878),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7646),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(193),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2048),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1095),
    [anon_sym_export] = ACTIONS(1097),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1097),
    [anon_sym_EQ] = ACTIONS(1117),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1099),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(174),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1097),
    [anon_sym_BANG] = ACTIONS(174),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_RBRACK] = ACTIONS(118),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1107),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1109),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_EQ_GT] = ACTIONS(1224),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1111),
    [anon_sym_using] = ACTIONS(157),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(174),
    [anon_sym_DASH] = ACTIONS(174),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(174),
    [anon_sym_void] = ACTIONS(174),
    [anon_sym_delete] = ACTIONS(174),
    [anon_sym_PLUS_PLUS] = ACTIONS(1039),
    [anon_sym_DASH_DASH] = ACTIONS(1039),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(185),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1115),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1097),
    [anon_sym_readonly] = ACTIONS(1097),
    [anon_sym_get] = ACTIONS(1097),
    [anon_sym_set] = ACTIONS(1097),
    [anon_sym_declare] = ACTIONS(1097),
    [anon_sym_public] = ACTIONS(1097),
    [anon_sym_private] = ACTIONS(1097),
    [anon_sym_protected] = ACTIONS(1097),
    [anon_sym_override] = ACTIONS(1097),
    [anon_sym_module] = ACTIONS(1097),
    [anon_sym_any] = ACTIONS(1097),
    [anon_sym_number] = ACTIONS(1097),
    [anon_sym_boolean] = ACTIONS(1097),
    [anon_sym_string] = ACTIONS(1097),
    [anon_sym_symbol] = ACTIONS(1097),
    [anon_sym_object] = ACTIONS(1097),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [194] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2048),
    [sym_expression] = STATE(3359),
    [sym_primary_expression] = STATE(2354),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7502),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2048),
    [sym_subscript_expression] = STATE(2048),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3878),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7646),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(194),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(5233),
    [sym_non_null_expression] = STATE(2048),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6912),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1211),
    [anon_sym_export] = ACTIONS(1213),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1213),
    [anon_sym_EQ] = ACTIONS(1244),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1218),
    [anon_sym_LBRACE] = ACTIONS(1127),
    [anon_sym_typeof] = ACTIONS(174),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1213),
    [anon_sym_BANG] = ACTIONS(174),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1129),
    [anon_sym_RBRACK] = ACTIONS(118),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1107),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1222),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_EQ_GT] = ACTIONS(1224),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1226),
    [anon_sym_using] = ACTIONS(157),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(174),
    [anon_sym_DASH] = ACTIONS(174),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(174),
    [anon_sym_void] = ACTIONS(174),
    [anon_sym_delete] = ACTIONS(174),
    [anon_sym_PLUS_PLUS] = ACTIONS(1039),
    [anon_sym_DASH_DASH] = ACTIONS(1039),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(185),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1115),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1213),
    [anon_sym_readonly] = ACTIONS(1213),
    [anon_sym_get] = ACTIONS(1213),
    [anon_sym_set] = ACTIONS(1213),
    [anon_sym_declare] = ACTIONS(1213),
    [anon_sym_public] = ACTIONS(1213),
    [anon_sym_private] = ACTIONS(1213),
    [anon_sym_protected] = ACTIONS(1213),
    [anon_sym_override] = ACTIONS(1213),
    [anon_sym_module] = ACTIONS(1213),
    [anon_sym_any] = ACTIONS(1213),
    [anon_sym_number] = ACTIONS(1213),
    [anon_sym_boolean] = ACTIONS(1213),
    [anon_sym_string] = ACTIONS(1213),
    [anon_sym_symbol] = ACTIONS(1213),
    [anon_sym_object] = ACTIONS(1213),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [195] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2048),
    [sym_expression] = STATE(3359),
    [sym_primary_expression] = STATE(2354),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7260),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2048),
    [sym_subscript_expression] = STATE(2048),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3878),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7646),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(195),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(5233),
    [sym_non_null_expression] = STATE(2048),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6912),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1095),
    [anon_sym_export] = ACTIONS(1097),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1097),
    [anon_sym_EQ] = ACTIONS(1117),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1099),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(174),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1097),
    [anon_sym_BANG] = ACTIONS(174),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1119),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1107),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1109),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_EQ_GT] = ACTIONS(153),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1111),
    [anon_sym_using] = ACTIONS(157),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(174),
    [anon_sym_DASH] = ACTIONS(174),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(174),
    [anon_sym_void] = ACTIONS(174),
    [anon_sym_delete] = ACTIONS(174),
    [anon_sym_PLUS_PLUS] = ACTIONS(1039),
    [anon_sym_DASH_DASH] = ACTIONS(1039),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(185),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1115),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1097),
    [anon_sym_readonly] = ACTIONS(1097),
    [anon_sym_get] = ACTIONS(1097),
    [anon_sym_set] = ACTIONS(1097),
    [anon_sym_declare] = ACTIONS(1097),
    [anon_sym_public] = ACTIONS(1097),
    [anon_sym_private] = ACTIONS(1097),
    [anon_sym_protected] = ACTIONS(1097),
    [anon_sym_override] = ACTIONS(1097),
    [anon_sym_module] = ACTIONS(1097),
    [anon_sym_any] = ACTIONS(1097),
    [anon_sym_number] = ACTIONS(1097),
    [anon_sym_boolean] = ACTIONS(1097),
    [anon_sym_string] = ACTIONS(1097),
    [anon_sym_symbol] = ACTIONS(1097),
    [anon_sym_object] = ACTIONS(1097),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [196] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2048),
    [sym_expression] = STATE(3359),
    [sym_primary_expression] = STATE(2354),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7260),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2048),
    [sym_subscript_expression] = STATE(2048),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3878),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7646),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(196),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2048),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1095),
    [anon_sym_export] = ACTIONS(1097),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1097),
    [anon_sym_EQ] = ACTIONS(1292),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1099),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(174),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1097),
    [anon_sym_BANG] = ACTIONS(174),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1107),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1109),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_EQ_GT] = ACTIONS(153),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1111),
    [anon_sym_using] = ACTIONS(157),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(174),
    [anon_sym_DASH] = ACTIONS(174),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(174),
    [anon_sym_void] = ACTIONS(174),
    [anon_sym_delete] = ACTIONS(174),
    [anon_sym_PLUS_PLUS] = ACTIONS(1039),
    [anon_sym_DASH_DASH] = ACTIONS(1039),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(185),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1115),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1097),
    [anon_sym_readonly] = ACTIONS(1097),
    [anon_sym_get] = ACTIONS(1097),
    [anon_sym_set] = ACTIONS(1097),
    [anon_sym_declare] = ACTIONS(1097),
    [anon_sym_public] = ACTIONS(1097),
    [anon_sym_private] = ACTIONS(1097),
    [anon_sym_protected] = ACTIONS(1097),
    [anon_sym_override] = ACTIONS(1097),
    [anon_sym_module] = ACTIONS(1097),
    [anon_sym_any] = ACTIONS(1097),
    [anon_sym_number] = ACTIONS(1097),
    [anon_sym_boolean] = ACTIONS(1097),
    [anon_sym_string] = ACTIONS(1097),
    [anon_sym_symbol] = ACTIONS(1097),
    [anon_sym_object] = ACTIONS(1097),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [197] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2048),
    [sym_expression] = STATE(3359),
    [sym_primary_expression] = STATE(2354),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7260),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2048),
    [sym_subscript_expression] = STATE(2048),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3878),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7646),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(197),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(5233),
    [sym_non_null_expression] = STATE(2048),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6912),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1095),
    [anon_sym_export] = ACTIONS(1097),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1097),
    [anon_sym_EQ] = ACTIONS(1117),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1099),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(174),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1097),
    [anon_sym_BANG] = ACTIONS(174),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1107),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1109),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_EQ_GT] = ACTIONS(153),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1111),
    [anon_sym_using] = ACTIONS(157),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(174),
    [anon_sym_DASH] = ACTIONS(174),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(174),
    [anon_sym_void] = ACTIONS(174),
    [anon_sym_delete] = ACTIONS(174),
    [anon_sym_PLUS_PLUS] = ACTIONS(1039),
    [anon_sym_DASH_DASH] = ACTIONS(1039),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(185),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1115),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1097),
    [anon_sym_readonly] = ACTIONS(1097),
    [anon_sym_get] = ACTIONS(1097),
    [anon_sym_set] = ACTIONS(1097),
    [anon_sym_declare] = ACTIONS(1097),
    [anon_sym_public] = ACTIONS(1097),
    [anon_sym_private] = ACTIONS(1097),
    [anon_sym_protected] = ACTIONS(1097),
    [anon_sym_override] = ACTIONS(1097),
    [anon_sym_module] = ACTIONS(1097),
    [anon_sym_any] = ACTIONS(1097),
    [anon_sym_number] = ACTIONS(1097),
    [anon_sym_boolean] = ACTIONS(1097),
    [anon_sym_string] = ACTIONS(1097),
    [anon_sym_symbol] = ACTIONS(1097),
    [anon_sym_object] = ACTIONS(1097),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [198] = {
    [sym_import] = STATE(4312),
    [sym_parenthesized_expression] = STATE(2151),
    [sym_expression] = STATE(2922),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_assignment_pattern] = STATE(6571),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_nested_identifier] = STATE(7203),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7643),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2101),
    [sym_subscript_expression] = STATE(2101),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3918),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(4717),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(3065),
    [sym_comment] = STATE(198),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(5428),
    [sym_pattern] = STATE(6429),
    [sym_rest_pattern] = STATE(4693),
    [sym_non_null_expression] = STATE(2101),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_nested_type_identifier] = STATE(4018),
    [sym__type_query_member_expression_in_type_annotation] = STATE(4193),
    [sym__type_query_call_expression_in_type_annotation] = STATE(4477),
    [sym__type] = STATE(4194),
    [sym_constructor_type] = STATE(4150),
    [sym__primary_type] = STATE(4152),
    [sym_template_literal_type] = STATE(4126),
    [sym_infer_type] = STATE(4150),
    [sym_conditional_type] = STATE(4126),
    [sym_generic_type] = STATE(4126),
    [sym_type_query] = STATE(4126),
    [sym_index_type_query] = STATE(4126),
    [sym_lookup_type] = STATE(4126),
    [sym_literal_type] = STATE(4126),
    [sym__number] = STATE(4153),
    [sym_existential_type] = STATE(4126),
    [sym_flow_maybe_type] = STATE(4126),
    [sym_parenthesized_type] = STATE(4126),
    [sym_predefined_type] = STATE(4126),
    [sym_object_type] = STATE(4126),
    [sym_type_parameters] = STATE(6923),
    [sym_array_type] = STATE(4126),
    [sym_tuple_type] = STATE(4126),
    [sym_readonly_type] = STATE(4150),
    [sym_union_type] = STATE(4126),
    [sym_intersection_type] = STATE(4126),
    [sym_function_type] = STATE(4150),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1294),
    [anon_sym_export] = ACTIONS(958),
    [anon_sym_STAR] = ACTIONS(1296),
    [anon_sym_type] = ACTIONS(958),
    [anon_sym_namespace] = ACTIONS(960),
    [anon_sym_LBRACE] = ACTIONS(1298),
    [anon_sym_typeof] = ACTIONS(1300),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(958),
    [anon_sym_const] = ACTIONS(1302),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(1304),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(1306),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(978),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1308),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(161),
    [anon_sym_AMP] = ACTIONS(1310),
    [anon_sym_PIPE] = ACTIONS(1312),
    [anon_sym_PLUS] = ACTIONS(1314),
    [anon_sym_DASH] = ACTIONS(1314),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(1316),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1318),
    [sym_number] = ACTIONS(1320),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(1322),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(1320),
    [sym_false] = ACTIONS(1320),
    [sym_null] = ACTIONS(1320),
    [sym_undefined] = ACTIONS(1324),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(958),
    [anon_sym_readonly] = ACTIONS(1326),
    [anon_sym_get] = ACTIONS(958),
    [anon_sym_set] = ACTIONS(958),
    [anon_sym_QMARK] = ACTIONS(1328),
    [anon_sym_declare] = ACTIONS(958),
    [anon_sym_public] = ACTIONS(958),
    [anon_sym_private] = ACTIONS(958),
    [anon_sym_protected] = ACTIONS(958),
    [anon_sym_override] = ACTIONS(958),
    [anon_sym_module] = ACTIONS(958),
    [anon_sym_any] = ACTIONS(1330),
    [anon_sym_number] = ACTIONS(1330),
    [anon_sym_boolean] = ACTIONS(1330),
    [anon_sym_string] = ACTIONS(1330),
    [anon_sym_symbol] = ACTIONS(1330),
    [anon_sym_object] = ACTIONS(1330),
    [anon_sym_abstract] = ACTIONS(1332),
    [anon_sym_infer] = ACTIONS(1334),
    [anon_sym_keyof] = ACTIONS(1336),
    [anon_sym_unique] = ACTIONS(1338),
    [anon_sym_unknown] = ACTIONS(1340),
    [anon_sym_never] = ACTIONS(1340),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1342),
    [sym_html_comment] = ACTIONS(5),
  },
  [199] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2048),
    [sym_expression] = STATE(3359),
    [sym_primary_expression] = STATE(2354),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7260),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2048),
    [sym_subscript_expression] = STATE(2048),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3878),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7646),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(199),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2048),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1095),
    [anon_sym_export] = ACTIONS(1097),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1097),
    [anon_sym_EQ] = ACTIONS(1344),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1099),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(174),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1097),
    [anon_sym_BANG] = ACTIONS(174),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1107),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1109),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_EQ_GT] = ACTIONS(153),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1111),
    [anon_sym_using] = ACTIONS(157),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(174),
    [anon_sym_DASH] = ACTIONS(174),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(174),
    [anon_sym_void] = ACTIONS(174),
    [anon_sym_delete] = ACTIONS(174),
    [anon_sym_PLUS_PLUS] = ACTIONS(1039),
    [anon_sym_DASH_DASH] = ACTIONS(1039),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(185),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1115),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1097),
    [anon_sym_readonly] = ACTIONS(1097),
    [anon_sym_get] = ACTIONS(1097),
    [anon_sym_set] = ACTIONS(1097),
    [anon_sym_declare] = ACTIONS(1097),
    [anon_sym_public] = ACTIONS(1097),
    [anon_sym_private] = ACTIONS(1097),
    [anon_sym_protected] = ACTIONS(1097),
    [anon_sym_override] = ACTIONS(1097),
    [anon_sym_module] = ACTIONS(1097),
    [anon_sym_any] = ACTIONS(1097),
    [anon_sym_number] = ACTIONS(1097),
    [anon_sym_boolean] = ACTIONS(1097),
    [anon_sym_string] = ACTIONS(1097),
    [anon_sym_symbol] = ACTIONS(1097),
    [anon_sym_object] = ACTIONS(1097),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [200] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2048),
    [sym_expression] = STATE(3359),
    [sym_primary_expression] = STATE(2354),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7260),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2048),
    [sym_subscript_expression] = STATE(2048),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3878),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7646),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(200),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2048),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1095),
    [anon_sym_export] = ACTIONS(1097),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1097),
    [anon_sym_EQ] = ACTIONS(1346),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1099),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(174),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1097),
    [anon_sym_BANG] = ACTIONS(174),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1107),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1109),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_EQ_GT] = ACTIONS(153),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1111),
    [anon_sym_using] = ACTIONS(157),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(174),
    [anon_sym_DASH] = ACTIONS(174),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(174),
    [anon_sym_void] = ACTIONS(174),
    [anon_sym_delete] = ACTIONS(174),
    [anon_sym_PLUS_PLUS] = ACTIONS(1039),
    [anon_sym_DASH_DASH] = ACTIONS(1039),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(185),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1115),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1097),
    [anon_sym_readonly] = ACTIONS(1097),
    [anon_sym_get] = ACTIONS(1097),
    [anon_sym_set] = ACTIONS(1097),
    [anon_sym_declare] = ACTIONS(1097),
    [anon_sym_public] = ACTIONS(1097),
    [anon_sym_private] = ACTIONS(1097),
    [anon_sym_protected] = ACTIONS(1097),
    [anon_sym_override] = ACTIONS(1097),
    [anon_sym_module] = ACTIONS(1097),
    [anon_sym_any] = ACTIONS(1097),
    [anon_sym_number] = ACTIONS(1097),
    [anon_sym_boolean] = ACTIONS(1097),
    [anon_sym_string] = ACTIONS(1097),
    [anon_sym_symbol] = ACTIONS(1097),
    [anon_sym_object] = ACTIONS(1097),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [201] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2048),
    [sym_expression] = STATE(3359),
    [sym_primary_expression] = STATE(2354),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7260),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2048),
    [sym_subscript_expression] = STATE(2048),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3878),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7646),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(201),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2048),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1095),
    [anon_sym_export] = ACTIONS(1097),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1097),
    [anon_sym_EQ] = ACTIONS(1348),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1099),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(174),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1097),
    [anon_sym_BANG] = ACTIONS(174),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1107),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1109),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_EQ_GT] = ACTIONS(153),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1111),
    [anon_sym_using] = ACTIONS(157),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(174),
    [anon_sym_DASH] = ACTIONS(174),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(174),
    [anon_sym_void] = ACTIONS(174),
    [anon_sym_delete] = ACTIONS(174),
    [anon_sym_PLUS_PLUS] = ACTIONS(1039),
    [anon_sym_DASH_DASH] = ACTIONS(1039),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(185),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1115),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1097),
    [anon_sym_readonly] = ACTIONS(1097),
    [anon_sym_get] = ACTIONS(1097),
    [anon_sym_set] = ACTIONS(1097),
    [anon_sym_declare] = ACTIONS(1097),
    [anon_sym_public] = ACTIONS(1097),
    [anon_sym_private] = ACTIONS(1097),
    [anon_sym_protected] = ACTIONS(1097),
    [anon_sym_override] = ACTIONS(1097),
    [anon_sym_module] = ACTIONS(1097),
    [anon_sym_any] = ACTIONS(1097),
    [anon_sym_number] = ACTIONS(1097),
    [anon_sym_boolean] = ACTIONS(1097),
    [anon_sym_string] = ACTIONS(1097),
    [anon_sym_symbol] = ACTIONS(1097),
    [anon_sym_object] = ACTIONS(1097),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [202] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2048),
    [sym_expression] = STATE(3359),
    [sym_primary_expression] = STATE(2354),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7260),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2048),
    [sym_subscript_expression] = STATE(2048),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3878),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7646),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(202),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2048),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1095),
    [anon_sym_export] = ACTIONS(1097),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1097),
    [anon_sym_EQ] = ACTIONS(1117),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1099),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(174),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1097),
    [anon_sym_BANG] = ACTIONS(174),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1107),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1109),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_EQ_GT] = ACTIONS(153),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1111),
    [anon_sym_using] = ACTIONS(157),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(174),
    [anon_sym_DASH] = ACTIONS(174),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(174),
    [anon_sym_void] = ACTIONS(174),
    [anon_sym_delete] = ACTIONS(174),
    [anon_sym_PLUS_PLUS] = ACTIONS(1039),
    [anon_sym_DASH_DASH] = ACTIONS(1039),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(185),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1115),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1097),
    [anon_sym_readonly] = ACTIONS(1097),
    [anon_sym_get] = ACTIONS(1097),
    [anon_sym_set] = ACTIONS(1097),
    [anon_sym_declare] = ACTIONS(1097),
    [anon_sym_public] = ACTIONS(1097),
    [anon_sym_private] = ACTIONS(1097),
    [anon_sym_protected] = ACTIONS(1097),
    [anon_sym_override] = ACTIONS(1097),
    [anon_sym_module] = ACTIONS(1097),
    [anon_sym_any] = ACTIONS(1097),
    [anon_sym_number] = ACTIONS(1097),
    [anon_sym_boolean] = ACTIONS(1097),
    [anon_sym_string] = ACTIONS(1097),
    [anon_sym_symbol] = ACTIONS(1097),
    [anon_sym_object] = ACTIONS(1097),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [203] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2048),
    [sym_expression] = STATE(3359),
    [sym_primary_expression] = STATE(2354),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7260),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2048),
    [sym_subscript_expression] = STATE(2048),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3878),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7646),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(203),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2048),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1095),
    [anon_sym_export] = ACTIONS(1097),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1097),
    [anon_sym_EQ] = ACTIONS(1350),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1099),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(174),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1097),
    [anon_sym_BANG] = ACTIONS(174),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1107),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1109),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_EQ_GT] = ACTIONS(153),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1111),
    [anon_sym_using] = ACTIONS(157),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(174),
    [anon_sym_DASH] = ACTIONS(174),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(174),
    [anon_sym_void] = ACTIONS(174),
    [anon_sym_delete] = ACTIONS(174),
    [anon_sym_PLUS_PLUS] = ACTIONS(1039),
    [anon_sym_DASH_DASH] = ACTIONS(1039),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(185),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1115),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1097),
    [anon_sym_readonly] = ACTIONS(1097),
    [anon_sym_get] = ACTIONS(1097),
    [anon_sym_set] = ACTIONS(1097),
    [anon_sym_declare] = ACTIONS(1097),
    [anon_sym_public] = ACTIONS(1097),
    [anon_sym_private] = ACTIONS(1097),
    [anon_sym_protected] = ACTIONS(1097),
    [anon_sym_override] = ACTIONS(1097),
    [anon_sym_module] = ACTIONS(1097),
    [anon_sym_any] = ACTIONS(1097),
    [anon_sym_number] = ACTIONS(1097),
    [anon_sym_boolean] = ACTIONS(1097),
    [anon_sym_string] = ACTIONS(1097),
    [anon_sym_symbol] = ACTIONS(1097),
    [anon_sym_object] = ACTIONS(1097),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [204] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2048),
    [sym_expression] = STATE(3359),
    [sym_primary_expression] = STATE(2354),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7260),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2048),
    [sym_subscript_expression] = STATE(2048),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3878),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7646),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(204),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2048),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1095),
    [anon_sym_export] = ACTIONS(1097),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1097),
    [anon_sym_EQ] = ACTIONS(1352),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1099),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(174),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1097),
    [anon_sym_BANG] = ACTIONS(174),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1107),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1109),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_EQ_GT] = ACTIONS(153),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1111),
    [anon_sym_using] = ACTIONS(157),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(174),
    [anon_sym_DASH] = ACTIONS(174),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(174),
    [anon_sym_void] = ACTIONS(174),
    [anon_sym_delete] = ACTIONS(174),
    [anon_sym_PLUS_PLUS] = ACTIONS(1039),
    [anon_sym_DASH_DASH] = ACTIONS(1039),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(185),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1115),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1097),
    [anon_sym_readonly] = ACTIONS(1097),
    [anon_sym_get] = ACTIONS(1097),
    [anon_sym_set] = ACTIONS(1097),
    [anon_sym_declare] = ACTIONS(1097),
    [anon_sym_public] = ACTIONS(1097),
    [anon_sym_private] = ACTIONS(1097),
    [anon_sym_protected] = ACTIONS(1097),
    [anon_sym_override] = ACTIONS(1097),
    [anon_sym_module] = ACTIONS(1097),
    [anon_sym_any] = ACTIONS(1097),
    [anon_sym_number] = ACTIONS(1097),
    [anon_sym_boolean] = ACTIONS(1097),
    [anon_sym_string] = ACTIONS(1097),
    [anon_sym_symbol] = ACTIONS(1097),
    [anon_sym_object] = ACTIONS(1097),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [205] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2048),
    [sym_expression] = STATE(3359),
    [sym_primary_expression] = STATE(2354),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7260),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2048),
    [sym_subscript_expression] = STATE(2048),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3878),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7646),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(205),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2048),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1095),
    [anon_sym_export] = ACTIONS(1097),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1097),
    [anon_sym_EQ] = ACTIONS(1354),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1099),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(174),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1097),
    [anon_sym_BANG] = ACTIONS(174),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1107),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1109),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_EQ_GT] = ACTIONS(153),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1111),
    [anon_sym_using] = ACTIONS(157),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(174),
    [anon_sym_DASH] = ACTIONS(174),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(174),
    [anon_sym_void] = ACTIONS(174),
    [anon_sym_delete] = ACTIONS(174),
    [anon_sym_PLUS_PLUS] = ACTIONS(1039),
    [anon_sym_DASH_DASH] = ACTIONS(1039),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(185),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1115),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1097),
    [anon_sym_readonly] = ACTIONS(1097),
    [anon_sym_get] = ACTIONS(1097),
    [anon_sym_set] = ACTIONS(1097),
    [anon_sym_declare] = ACTIONS(1097),
    [anon_sym_public] = ACTIONS(1097),
    [anon_sym_private] = ACTIONS(1097),
    [anon_sym_protected] = ACTIONS(1097),
    [anon_sym_override] = ACTIONS(1097),
    [anon_sym_module] = ACTIONS(1097),
    [anon_sym_any] = ACTIONS(1097),
    [anon_sym_number] = ACTIONS(1097),
    [anon_sym_boolean] = ACTIONS(1097),
    [anon_sym_string] = ACTIONS(1097),
    [anon_sym_symbol] = ACTIONS(1097),
    [anon_sym_object] = ACTIONS(1097),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [206] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2048),
    [sym_expression] = STATE(3359),
    [sym_primary_expression] = STATE(2354),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7260),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2048),
    [sym_subscript_expression] = STATE(2048),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3878),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7646),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(206),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2048),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1095),
    [anon_sym_export] = ACTIONS(1097),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1097),
    [anon_sym_EQ] = ACTIONS(1356),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1099),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(174),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1097),
    [anon_sym_BANG] = ACTIONS(174),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1107),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1109),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_EQ_GT] = ACTIONS(153),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1111),
    [anon_sym_using] = ACTIONS(157),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(174),
    [anon_sym_DASH] = ACTIONS(174),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(174),
    [anon_sym_void] = ACTIONS(174),
    [anon_sym_delete] = ACTIONS(174),
    [anon_sym_PLUS_PLUS] = ACTIONS(1039),
    [anon_sym_DASH_DASH] = ACTIONS(1039),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(185),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1115),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1097),
    [anon_sym_readonly] = ACTIONS(1097),
    [anon_sym_get] = ACTIONS(1097),
    [anon_sym_set] = ACTIONS(1097),
    [anon_sym_declare] = ACTIONS(1097),
    [anon_sym_public] = ACTIONS(1097),
    [anon_sym_private] = ACTIONS(1097),
    [anon_sym_protected] = ACTIONS(1097),
    [anon_sym_override] = ACTIONS(1097),
    [anon_sym_module] = ACTIONS(1097),
    [anon_sym_any] = ACTIONS(1097),
    [anon_sym_number] = ACTIONS(1097),
    [anon_sym_boolean] = ACTIONS(1097),
    [anon_sym_string] = ACTIONS(1097),
    [anon_sym_symbol] = ACTIONS(1097),
    [anon_sym_object] = ACTIONS(1097),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [207] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2048),
    [sym_expression] = STATE(3359),
    [sym_primary_expression] = STATE(2354),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7260),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2048),
    [sym_subscript_expression] = STATE(2048),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3878),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7646),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(207),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2048),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1095),
    [anon_sym_export] = ACTIONS(1097),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1097),
    [anon_sym_EQ] = ACTIONS(1358),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1099),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(174),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1097),
    [anon_sym_BANG] = ACTIONS(174),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1107),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1109),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_EQ_GT] = ACTIONS(153),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1111),
    [anon_sym_using] = ACTIONS(157),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(174),
    [anon_sym_DASH] = ACTIONS(174),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(174),
    [anon_sym_void] = ACTIONS(174),
    [anon_sym_delete] = ACTIONS(174),
    [anon_sym_PLUS_PLUS] = ACTIONS(1039),
    [anon_sym_DASH_DASH] = ACTIONS(1039),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(185),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1115),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1097),
    [anon_sym_readonly] = ACTIONS(1097),
    [anon_sym_get] = ACTIONS(1097),
    [anon_sym_set] = ACTIONS(1097),
    [anon_sym_declare] = ACTIONS(1097),
    [anon_sym_public] = ACTIONS(1097),
    [anon_sym_private] = ACTIONS(1097),
    [anon_sym_protected] = ACTIONS(1097),
    [anon_sym_override] = ACTIONS(1097),
    [anon_sym_module] = ACTIONS(1097),
    [anon_sym_any] = ACTIONS(1097),
    [anon_sym_number] = ACTIONS(1097),
    [anon_sym_boolean] = ACTIONS(1097),
    [anon_sym_string] = ACTIONS(1097),
    [anon_sym_symbol] = ACTIONS(1097),
    [anon_sym_object] = ACTIONS(1097),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [208] = {
    [sym_import] = STATE(4347),
    [sym_parenthesized_expression] = STATE(2221),
    [sym_expression] = STATE(2996),
    [sym_primary_expression] = STATE(2990),
    [sym_yield_expression] = STATE(3139),
    [sym_object] = STATE(3113),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(3113),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(3139),
    [sym_glimmer_opening_tag] = STATE(5702),
    [sym_jsx_element] = STATE(3139),
    [sym_jsx_opening_element] = STATE(4008),
    [sym_nested_identifier] = STATE(7283),
    [sym_jsx_self_closing_element] = STATE(3139),
    [sym_class] = STATE(3113),
    [sym_function_expression] = STATE(3113),
    [sym_generator_function] = STATE(3113),
    [sym_arrow_function] = STATE(3113),
    [sym__call_signature] = STATE(7374),
    [sym_call_expression] = STATE(3113),
    [sym_new_expression] = STATE(3139),
    [sym_await_expression] = STATE(3139),
    [sym_member_expression] = STATE(2221),
    [sym_subscript_expression] = STATE(2221),
    [sym_assignment_expression] = STATE(3139),
    [sym__augmented_assignment_lhs] = STATE(3860),
    [sym_augmented_assignment_expression] = STATE(3139),
    [sym__destructuring_pattern] = STATE(7376),
    [sym_ternary_expression] = STATE(3139),
    [sym_binary_expression] = STATE(3139),
    [sym_unary_expression] = STATE(3139),
    [sym_update_expression] = STATE(3139),
    [sym_string] = STATE(3355),
    [sym_comment] = STATE(208),
    [sym_template_string] = STATE(3113),
    [sym_regex] = STATE(3113),
    [sym_meta_property] = STATE(3113),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(5319),
    [sym_non_null_expression] = STATE(2221),
    [sym_as_expression] = STATE(3139),
    [sym_satisfies_expression] = STATE(3139),
    [sym_instantiation_expression] = STATE(3139),
    [sym_internal_module] = STATE(3139),
    [sym_nested_type_identifier] = STATE(3821),
    [sym__type_query_member_expression_in_type_annotation] = STATE(4859),
    [sym__type_query_call_expression_in_type_annotation] = STATE(5590),
    [sym__type] = STATE(4860),
    [sym_constructor_type] = STATE(3924),
    [sym__primary_type] = STATE(3930),
    [sym_template_literal_type] = STATE(3873),
    [sym_infer_type] = STATE(3924),
    [sym_conditional_type] = STATE(3873),
    [sym_generic_type] = STATE(3873),
    [sym_type_query] = STATE(3873),
    [sym_index_type_query] = STATE(3873),
    [sym_lookup_type] = STATE(3873),
    [sym_literal_type] = STATE(3873),
    [sym__number] = STATE(3934),
    [sym_existential_type] = STATE(3873),
    [sym_flow_maybe_type] = STATE(3873),
    [sym_parenthesized_type] = STATE(3873),
    [sym_predefined_type] = STATE(3873),
    [sym_object_type] = STATE(3873),
    [sym_type_parameters] = STATE(6670),
    [sym_array_type] = STATE(3873),
    [sym_tuple_type] = STATE(3873),
    [sym_readonly_type] = STATE(3924),
    [sym_union_type] = STATE(3873),
    [sym_intersection_type] = STATE(3873),
    [sym_function_type] = STATE(3924),
    [aux_sym_export_statement_repeat1] = STATE(5555),
    [sym_identifier] = ACTIONS(1360),
    [anon_sym_export] = ACTIONS(1362),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_type] = ACTIONS(1362),
    [anon_sym_namespace] = ACTIONS(1364),
    [anon_sym_LBRACE] = ACTIONS(1366),
    [anon_sym_typeof] = ACTIONS(1368),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1362),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_BANG] = ACTIONS(1370),
    [anon_sym_LPAREN] = ACTIONS(1372),
    [anon_sym_await] = ACTIONS(1374),
    [anon_sym_yield] = ACTIONS(1376),
    [anon_sym_LBRACK] = ACTIONS(1378),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1029),
    [anon_sym_async] = ACTIONS(1380),
    [anon_sym_function] = ACTIONS(1033),
    [anon_sym_new] = ACTIONS(1382),
    [anon_sym_using] = ACTIONS(1384),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(1386),
    [anon_sym_DASH] = ACTIONS(1386),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1370),
    [anon_sym_void] = ACTIONS(1388),
    [anon_sym_delete] = ACTIONS(1370),
    [anon_sym_PLUS_PLUS] = ACTIONS(1390),
    [anon_sym_DASH_DASH] = ACTIONS(1390),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1392),
    [sym_number] = ACTIONS(1394),
    [sym_private_property_identifier] = ACTIONS(1396),
    [sym_this] = ACTIONS(1398),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(1394),
    [sym_false] = ACTIONS(1394),
    [sym_null] = ACTIONS(1394),
    [sym_undefined] = ACTIONS(1400),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1362),
    [anon_sym_readonly] = ACTIONS(1402),
    [anon_sym_get] = ACTIONS(1362),
    [anon_sym_set] = ACTIONS(1362),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_declare] = ACTIONS(1362),
    [anon_sym_public] = ACTIONS(1362),
    [anon_sym_private] = ACTIONS(1362),
    [anon_sym_protected] = ACTIONS(1362),
    [anon_sym_override] = ACTIONS(1362),
    [anon_sym_module] = ACTIONS(1362),
    [anon_sym_any] = ACTIONS(1404),
    [anon_sym_number] = ACTIONS(1404),
    [anon_sym_boolean] = ACTIONS(1404),
    [anon_sym_string] = ACTIONS(1404),
    [anon_sym_symbol] = ACTIONS(1404),
    [anon_sym_object] = ACTIONS(1404),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [209] = {
    [sym_import] = STATE(4426),
    [sym_parenthesized_expression] = STATE(2239),
    [sym_expression] = STATE(3272),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_nested_identifier] = STATE(7283),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7446),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2239),
    [sym_subscript_expression] = STATE(2239),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3938),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7450),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2929),
    [sym_comment] = STATE(209),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(5319),
    [sym_non_null_expression] = STATE(2239),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_nested_type_identifier] = STATE(3821),
    [sym__type_query_member_expression_in_type_annotation] = STATE(4975),
    [sym__type_query_call_expression_in_type_annotation] = STATE(5724),
    [sym__type] = STATE(4974),
    [sym_constructor_type] = STATE(3924),
    [sym__primary_type] = STATE(3930),
    [sym_template_literal_type] = STATE(3873),
    [sym_infer_type] = STATE(3924),
    [sym_conditional_type] = STATE(3873),
    [sym_generic_type] = STATE(3873),
    [sym_type_query] = STATE(3873),
    [sym_index_type_query] = STATE(3873),
    [sym_lookup_type] = STATE(3873),
    [sym_literal_type] = STATE(3873),
    [sym__number] = STATE(3934),
    [sym_existential_type] = STATE(3873),
    [sym_flow_maybe_type] = STATE(3873),
    [sym_parenthesized_type] = STATE(3873),
    [sym_predefined_type] = STATE(3873),
    [sym_object_type] = STATE(3873),
    [sym_type_parameters] = STATE(6670),
    [sym_array_type] = STATE(3873),
    [sym_tuple_type] = STATE(3873),
    [sym_readonly_type] = STATE(3924),
    [sym_union_type] = STATE(3873),
    [sym_intersection_type] = STATE(3873),
    [sym_function_type] = STATE(3924),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1406),
    [anon_sym_export] = ACTIONS(1408),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_type] = ACTIONS(1408),
    [anon_sym_namespace] = ACTIONS(1410),
    [anon_sym_LBRACE] = ACTIONS(1412),
    [anon_sym_typeof] = ACTIONS(1414),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1408),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_BANG] = ACTIONS(1416),
    [anon_sym_LPAREN] = ACTIONS(135),
    [anon_sym_await] = ACTIONS(1418),
    [anon_sym_yield] = ACTIONS(1420),
    [anon_sym_LBRACK] = ACTIONS(1422),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1424),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1426),
    [anon_sym_using] = ACTIONS(1428),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(1430),
    [anon_sym_DASH] = ACTIONS(1430),
    [anon_sym_SLASH] = ACTIONS(1290),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(1416),
    [anon_sym_void] = ACTIONS(1432),
    [anon_sym_delete] = ACTIONS(1416),
    [anon_sym_PLUS_PLUS] = ACTIONS(1434),
    [anon_sym_DASH_DASH] = ACTIONS(1434),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1436),
    [sym_number] = ACTIONS(1438),
    [sym_private_property_identifier] = ACTIONS(1440),
    [sym_this] = ACTIONS(1442),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(1438),
    [sym_false] = ACTIONS(1438),
    [sym_null] = ACTIONS(1438),
    [sym_undefined] = ACTIONS(1444),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1408),
    [anon_sym_readonly] = ACTIONS(1446),
    [anon_sym_get] = ACTIONS(1408),
    [anon_sym_set] = ACTIONS(1408),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_declare] = ACTIONS(1408),
    [anon_sym_public] = ACTIONS(1408),
    [anon_sym_private] = ACTIONS(1408),
    [anon_sym_protected] = ACTIONS(1408),
    [anon_sym_override] = ACTIONS(1408),
    [anon_sym_module] = ACTIONS(1408),
    [anon_sym_any] = ACTIONS(1448),
    [anon_sym_number] = ACTIONS(1448),
    [anon_sym_boolean] = ACTIONS(1448),
    [anon_sym_string] = ACTIONS(1448),
    [anon_sym_symbol] = ACTIONS(1448),
    [anon_sym_object] = ACTIONS(1448),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [210] = {
    [sym_import] = STATE(4430),
    [sym_parenthesized_expression] = STATE(2151),
    [sym_expression] = STATE(2386),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_nested_identifier] = STATE(7283),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7643),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2151),
    [sym_subscript_expression] = STATE(2151),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3918),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7259),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2674),
    [sym_comment] = STATE(210),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(5319),
    [sym_non_null_expression] = STATE(2151),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_nested_type_identifier] = STATE(3821),
    [sym__type_query_member_expression_in_type_annotation] = STATE(4975),
    [sym__type_query_call_expression_in_type_annotation] = STATE(5724),
    [sym__type] = STATE(4974),
    [sym_constructor_type] = STATE(3924),
    [sym__primary_type] = STATE(3930),
    [sym_template_literal_type] = STATE(3873),
    [sym_infer_type] = STATE(3924),
    [sym_conditional_type] = STATE(3873),
    [sym_generic_type] = STATE(3873),
    [sym_type_query] = STATE(3873),
    [sym_index_type_query] = STATE(3873),
    [sym_lookup_type] = STATE(3873),
    [sym_literal_type] = STATE(3873),
    [sym__number] = STATE(3934),
    [sym_existential_type] = STATE(3873),
    [sym_flow_maybe_type] = STATE(3873),
    [sym_parenthesized_type] = STATE(3873),
    [sym_predefined_type] = STATE(3873),
    [sym_object_type] = STATE(3873),
    [sym_type_parameters] = STATE(6670),
    [sym_array_type] = STATE(3873),
    [sym_tuple_type] = STATE(3873),
    [sym_readonly_type] = STATE(3924),
    [sym_union_type] = STATE(3873),
    [sym_intersection_type] = STATE(3873),
    [sym_function_type] = STATE(3924),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1450),
    [anon_sym_export] = ACTIONS(1452),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_type] = ACTIONS(1452),
    [anon_sym_namespace] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(1456),
    [anon_sym_typeof] = ACTIONS(1458),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1452),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(135),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(1460),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1462),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1464),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(1466),
    [anon_sym_DASH] = ACTIONS(1466),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(990),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1468),
    [sym_number] = ACTIONS(1470),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(1472),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(1470),
    [sym_false] = ACTIONS(1470),
    [sym_null] = ACTIONS(1470),
    [sym_undefined] = ACTIONS(1474),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1452),
    [anon_sym_readonly] = ACTIONS(1476),
    [anon_sym_get] = ACTIONS(1452),
    [anon_sym_set] = ACTIONS(1452),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_declare] = ACTIONS(1452),
    [anon_sym_public] = ACTIONS(1452),
    [anon_sym_private] = ACTIONS(1452),
    [anon_sym_protected] = ACTIONS(1452),
    [anon_sym_override] = ACTIONS(1452),
    [anon_sym_module] = ACTIONS(1452),
    [anon_sym_any] = ACTIONS(1478),
    [anon_sym_number] = ACTIONS(1478),
    [anon_sym_boolean] = ACTIONS(1478),
    [anon_sym_string] = ACTIONS(1478),
    [anon_sym_symbol] = ACTIONS(1478),
    [anon_sym_object] = ACTIONS(1478),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [211] = {
    [sym_import] = STATE(4426),
    [sym_parenthesized_expression] = STATE(2229),
    [sym_expression] = STATE(2992),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_nested_identifier] = STATE(7283),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7175),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2229),
    [sym_subscript_expression] = STATE(2229),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3935),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7438),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2929),
    [sym_comment] = STATE(211),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(5319),
    [sym_non_null_expression] = STATE(2229),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_nested_type_identifier] = STATE(3821),
    [sym__type_query_member_expression_in_type_annotation] = STATE(4975),
    [sym__type_query_call_expression_in_type_annotation] = STATE(5724),
    [sym__type] = STATE(4974),
    [sym_constructor_type] = STATE(3924),
    [sym__primary_type] = STATE(3930),
    [sym_template_literal_type] = STATE(3873),
    [sym_infer_type] = STATE(3924),
    [sym_conditional_type] = STATE(3873),
    [sym_generic_type] = STATE(3873),
    [sym_type_query] = STATE(3873),
    [sym_index_type_query] = STATE(3873),
    [sym_lookup_type] = STATE(3873),
    [sym_literal_type] = STATE(3873),
    [sym__number] = STATE(3934),
    [sym_existential_type] = STATE(3873),
    [sym_flow_maybe_type] = STATE(3873),
    [sym_parenthesized_type] = STATE(3873),
    [sym_predefined_type] = STATE(3873),
    [sym_object_type] = STATE(3873),
    [sym_type_parameters] = STATE(6670),
    [sym_array_type] = STATE(3873),
    [sym_tuple_type] = STATE(3873),
    [sym_readonly_type] = STATE(3924),
    [sym_union_type] = STATE(3873),
    [sym_intersection_type] = STATE(3873),
    [sym_function_type] = STATE(3924),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1480),
    [anon_sym_export] = ACTIONS(1482),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_type] = ACTIONS(1482),
    [anon_sym_namespace] = ACTIONS(1484),
    [anon_sym_LBRACE] = ACTIONS(1486),
    [anon_sym_typeof] = ACTIONS(1488),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1482),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_BANG] = ACTIONS(1490),
    [anon_sym_LPAREN] = ACTIONS(135),
    [anon_sym_await] = ACTIONS(1492),
    [anon_sym_yield] = ACTIONS(1494),
    [anon_sym_LBRACK] = ACTIONS(1422),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1496),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1498),
    [anon_sym_using] = ACTIONS(1500),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(1502),
    [anon_sym_DASH] = ACTIONS(1502),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(1490),
    [anon_sym_void] = ACTIONS(1504),
    [anon_sym_delete] = ACTIONS(1490),
    [anon_sym_PLUS_PLUS] = ACTIONS(1506),
    [anon_sym_DASH_DASH] = ACTIONS(1506),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1436),
    [sym_number] = ACTIONS(1438),
    [sym_private_property_identifier] = ACTIONS(1508),
    [sym_this] = ACTIONS(1442),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(1438),
    [sym_false] = ACTIONS(1438),
    [sym_null] = ACTIONS(1438),
    [sym_undefined] = ACTIONS(1510),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1482),
    [anon_sym_readonly] = ACTIONS(1512),
    [anon_sym_get] = ACTIONS(1482),
    [anon_sym_set] = ACTIONS(1482),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_declare] = ACTIONS(1482),
    [anon_sym_public] = ACTIONS(1482),
    [anon_sym_private] = ACTIONS(1482),
    [anon_sym_protected] = ACTIONS(1482),
    [anon_sym_override] = ACTIONS(1482),
    [anon_sym_module] = ACTIONS(1482),
    [anon_sym_any] = ACTIONS(1514),
    [anon_sym_number] = ACTIONS(1514),
    [anon_sym_boolean] = ACTIONS(1514),
    [anon_sym_string] = ACTIONS(1514),
    [anon_sym_symbol] = ACTIONS(1514),
    [anon_sym_object] = ACTIONS(1514),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [212] = {
    [sym_import] = STATE(4362),
    [sym_parenthesized_expression] = STATE(2175),
    [sym_expression] = STATE(2593),
    [sym_primary_expression] = STATE(2990),
    [sym_yield_expression] = STATE(3139),
    [sym_object] = STATE(3113),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(3113),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(3139),
    [sym_glimmer_opening_tag] = STATE(5702),
    [sym_jsx_element] = STATE(3139),
    [sym_jsx_opening_element] = STATE(4008),
    [sym_nested_identifier] = STATE(7283),
    [sym_jsx_self_closing_element] = STATE(3139),
    [sym_class] = STATE(3113),
    [sym_function_expression] = STATE(3113),
    [sym_generator_function] = STATE(3113),
    [sym_arrow_function] = STATE(3113),
    [sym__call_signature] = STATE(7205),
    [sym_call_expression] = STATE(3113),
    [sym_new_expression] = STATE(3139),
    [sym_await_expression] = STATE(3139),
    [sym_member_expression] = STATE(2175),
    [sym_subscript_expression] = STATE(2175),
    [sym_assignment_expression] = STATE(3139),
    [sym__augmented_assignment_lhs] = STATE(3844),
    [sym_augmented_assignment_expression] = STATE(3139),
    [sym__destructuring_pattern] = STATE(7209),
    [sym_ternary_expression] = STATE(3139),
    [sym_binary_expression] = STATE(3139),
    [sym_unary_expression] = STATE(3139),
    [sym_update_expression] = STATE(3139),
    [sym_string] = STATE(2888),
    [sym_comment] = STATE(212),
    [sym_template_string] = STATE(3113),
    [sym_regex] = STATE(3113),
    [sym_meta_property] = STATE(3113),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(5319),
    [sym_non_null_expression] = STATE(2175),
    [sym_as_expression] = STATE(3139),
    [sym_satisfies_expression] = STATE(3139),
    [sym_instantiation_expression] = STATE(3139),
    [sym_internal_module] = STATE(3139),
    [sym_nested_type_identifier] = STATE(3821),
    [sym__type_query_member_expression_in_type_annotation] = STATE(4859),
    [sym__type_query_call_expression_in_type_annotation] = STATE(5590),
    [sym__type] = STATE(4860),
    [sym_constructor_type] = STATE(3924),
    [sym__primary_type] = STATE(3930),
    [sym_template_literal_type] = STATE(3873),
    [sym_infer_type] = STATE(3924),
    [sym_conditional_type] = STATE(3873),
    [sym_generic_type] = STATE(3873),
    [sym_type_query] = STATE(3873),
    [sym_index_type_query] = STATE(3873),
    [sym_lookup_type] = STATE(3873),
    [sym_literal_type] = STATE(3873),
    [sym__number] = STATE(3934),
    [sym_existential_type] = STATE(3873),
    [sym_flow_maybe_type] = STATE(3873),
    [sym_parenthesized_type] = STATE(3873),
    [sym_predefined_type] = STATE(3873),
    [sym_object_type] = STATE(3873),
    [sym_type_parameters] = STATE(6670),
    [sym_array_type] = STATE(3873),
    [sym_tuple_type] = STATE(3873),
    [sym_readonly_type] = STATE(3924),
    [sym_union_type] = STATE(3873),
    [sym_intersection_type] = STATE(3873),
    [sym_function_type] = STATE(3924),
    [aux_sym_export_statement_repeat1] = STATE(5555),
    [sym_identifier] = ACTIONS(1516),
    [anon_sym_export] = ACTIONS(1518),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_type] = ACTIONS(1518),
    [anon_sym_namespace] = ACTIONS(1520),
    [anon_sym_LBRACE] = ACTIONS(1522),
    [anon_sym_typeof] = ACTIONS(1524),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1518),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_BANG] = ACTIONS(1526),
    [anon_sym_LPAREN] = ACTIONS(1372),
    [anon_sym_await] = ACTIONS(1528),
    [anon_sym_yield] = ACTIONS(1530),
    [anon_sym_LBRACK] = ACTIONS(1532),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1029),
    [anon_sym_async] = ACTIONS(1534),
    [anon_sym_function] = ACTIONS(1033),
    [anon_sym_new] = ACTIONS(1536),
    [anon_sym_using] = ACTIONS(1538),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(1540),
    [anon_sym_DASH] = ACTIONS(1540),
    [anon_sym_SLASH] = ACTIONS(1195),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1526),
    [anon_sym_void] = ACTIONS(1542),
    [anon_sym_delete] = ACTIONS(1526),
    [anon_sym_PLUS_PLUS] = ACTIONS(1544),
    [anon_sym_DASH_DASH] = ACTIONS(1544),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1546),
    [sym_number] = ACTIONS(1548),
    [sym_private_property_identifier] = ACTIONS(1550),
    [sym_this] = ACTIONS(1552),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(1548),
    [sym_false] = ACTIONS(1548),
    [sym_null] = ACTIONS(1548),
    [sym_undefined] = ACTIONS(1554),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1518),
    [anon_sym_readonly] = ACTIONS(1556),
    [anon_sym_get] = ACTIONS(1518),
    [anon_sym_set] = ACTIONS(1518),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_declare] = ACTIONS(1518),
    [anon_sym_public] = ACTIONS(1518),
    [anon_sym_private] = ACTIONS(1518),
    [anon_sym_protected] = ACTIONS(1518),
    [anon_sym_override] = ACTIONS(1518),
    [anon_sym_module] = ACTIONS(1518),
    [anon_sym_any] = ACTIONS(1558),
    [anon_sym_number] = ACTIONS(1558),
    [anon_sym_boolean] = ACTIONS(1558),
    [anon_sym_string] = ACTIONS(1558),
    [anon_sym_symbol] = ACTIONS(1558),
    [anon_sym_object] = ACTIONS(1558),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [213] = {
    [sym_import] = STATE(4430),
    [sym_parenthesized_expression] = STATE(2196),
    [sym_expression] = STATE(2747),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_nested_identifier] = STATE(7283),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7510),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2196),
    [sym_subscript_expression] = STATE(2196),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3936),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7511),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2674),
    [sym_comment] = STATE(213),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(5319),
    [sym_non_null_expression] = STATE(2196),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_nested_type_identifier] = STATE(3821),
    [sym__type_query_member_expression_in_type_annotation] = STATE(4975),
    [sym__type_query_call_expression_in_type_annotation] = STATE(5724),
    [sym__type] = STATE(4974),
    [sym_constructor_type] = STATE(3924),
    [sym__primary_type] = STATE(3930),
    [sym_template_literal_type] = STATE(3873),
    [sym_infer_type] = STATE(3924),
    [sym_conditional_type] = STATE(3873),
    [sym_generic_type] = STATE(3873),
    [sym_type_query] = STATE(3873),
    [sym_index_type_query] = STATE(3873),
    [sym_lookup_type] = STATE(3873),
    [sym_literal_type] = STATE(3873),
    [sym__number] = STATE(3934),
    [sym_existential_type] = STATE(3873),
    [sym_flow_maybe_type] = STATE(3873),
    [sym_parenthesized_type] = STATE(3873),
    [sym_predefined_type] = STATE(3873),
    [sym_object_type] = STATE(3873),
    [sym_type_parameters] = STATE(6670),
    [sym_array_type] = STATE(3873),
    [sym_tuple_type] = STATE(3873),
    [sym_readonly_type] = STATE(3924),
    [sym_union_type] = STATE(3873),
    [sym_intersection_type] = STATE(3873),
    [sym_function_type] = STATE(3924),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1560),
    [anon_sym_export] = ACTIONS(1562),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_type] = ACTIONS(1562),
    [anon_sym_namespace] = ACTIONS(1564),
    [anon_sym_LBRACE] = ACTIONS(1456),
    [anon_sym_typeof] = ACTIONS(1566),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1562),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_BANG] = ACTIONS(1568),
    [anon_sym_LPAREN] = ACTIONS(135),
    [anon_sym_await] = ACTIONS(1570),
    [anon_sym_yield] = ACTIONS(1572),
    [anon_sym_LBRACK] = ACTIONS(1460),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1574),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1576),
    [anon_sym_using] = ACTIONS(1578),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(1580),
    [anon_sym_DASH] = ACTIONS(1580),
    [anon_sym_SLASH] = ACTIONS(1274),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(1568),
    [anon_sym_void] = ACTIONS(1582),
    [anon_sym_delete] = ACTIONS(1568),
    [anon_sym_PLUS_PLUS] = ACTIONS(1584),
    [anon_sym_DASH_DASH] = ACTIONS(1584),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1468),
    [sym_number] = ACTIONS(1470),
    [sym_private_property_identifier] = ACTIONS(1586),
    [sym_this] = ACTIONS(1472),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(1470),
    [sym_false] = ACTIONS(1470),
    [sym_null] = ACTIONS(1470),
    [sym_undefined] = ACTIONS(1588),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1562),
    [anon_sym_readonly] = ACTIONS(1590),
    [anon_sym_get] = ACTIONS(1562),
    [anon_sym_set] = ACTIONS(1562),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_declare] = ACTIONS(1562),
    [anon_sym_public] = ACTIONS(1562),
    [anon_sym_private] = ACTIONS(1562),
    [anon_sym_protected] = ACTIONS(1562),
    [anon_sym_override] = ACTIONS(1562),
    [anon_sym_module] = ACTIONS(1562),
    [anon_sym_any] = ACTIONS(1592),
    [anon_sym_number] = ACTIONS(1592),
    [anon_sym_boolean] = ACTIONS(1592),
    [anon_sym_string] = ACTIONS(1592),
    [anon_sym_symbol] = ACTIONS(1592),
    [anon_sym_object] = ACTIONS(1592),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [214] = {
    [sym_import] = STATE(4362),
    [sym_parenthesized_expression] = STATE(2177),
    [sym_expression] = STATE(2702),
    [sym_primary_expression] = STATE(2990),
    [sym_yield_expression] = STATE(3139),
    [sym_object] = STATE(3113),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(3113),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(3139),
    [sym_glimmer_opening_tag] = STATE(5702),
    [sym_jsx_element] = STATE(3139),
    [sym_jsx_opening_element] = STATE(4008),
    [sym_nested_identifier] = STATE(7283),
    [sym_jsx_self_closing_element] = STATE(3139),
    [sym_class] = STATE(3113),
    [sym_function_expression] = STATE(3113),
    [sym_generator_function] = STATE(3113),
    [sym_arrow_function] = STATE(3113),
    [sym__call_signature] = STATE(7486),
    [sym_call_expression] = STATE(3113),
    [sym_new_expression] = STATE(3139),
    [sym_await_expression] = STATE(3139),
    [sym_member_expression] = STATE(2177),
    [sym_subscript_expression] = STATE(2177),
    [sym_assignment_expression] = STATE(3139),
    [sym__augmented_assignment_lhs] = STATE(3835),
    [sym_augmented_assignment_expression] = STATE(3139),
    [sym__destructuring_pattern] = STATE(7484),
    [sym_ternary_expression] = STATE(3139),
    [sym_binary_expression] = STATE(3139),
    [sym_unary_expression] = STATE(3139),
    [sym_update_expression] = STATE(3139),
    [sym_string] = STATE(2888),
    [sym_comment] = STATE(214),
    [sym_template_string] = STATE(3113),
    [sym_regex] = STATE(3113),
    [sym_meta_property] = STATE(3113),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(5319),
    [sym_non_null_expression] = STATE(2177),
    [sym_as_expression] = STATE(3139),
    [sym_satisfies_expression] = STATE(3139),
    [sym_instantiation_expression] = STATE(3139),
    [sym_internal_module] = STATE(3139),
    [sym_nested_type_identifier] = STATE(3821),
    [sym__type_query_member_expression_in_type_annotation] = STATE(4859),
    [sym__type_query_call_expression_in_type_annotation] = STATE(5590),
    [sym__type] = STATE(4860),
    [sym_constructor_type] = STATE(3924),
    [sym__primary_type] = STATE(3930),
    [sym_template_literal_type] = STATE(3873),
    [sym_infer_type] = STATE(3924),
    [sym_conditional_type] = STATE(3873),
    [sym_generic_type] = STATE(3873),
    [sym_type_query] = STATE(3873),
    [sym_index_type_query] = STATE(3873),
    [sym_lookup_type] = STATE(3873),
    [sym_literal_type] = STATE(3873),
    [sym__number] = STATE(3934),
    [sym_existential_type] = STATE(3873),
    [sym_flow_maybe_type] = STATE(3873),
    [sym_parenthesized_type] = STATE(3873),
    [sym_predefined_type] = STATE(3873),
    [sym_object_type] = STATE(3873),
    [sym_type_parameters] = STATE(6670),
    [sym_array_type] = STATE(3873),
    [sym_tuple_type] = STATE(3873),
    [sym_readonly_type] = STATE(3924),
    [sym_union_type] = STATE(3873),
    [sym_intersection_type] = STATE(3873),
    [sym_function_type] = STATE(3924),
    [aux_sym_export_statement_repeat1] = STATE(5555),
    [sym_identifier] = ACTIONS(1594),
    [anon_sym_export] = ACTIONS(1596),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_type] = ACTIONS(1596),
    [anon_sym_namespace] = ACTIONS(1598),
    [anon_sym_LBRACE] = ACTIONS(1522),
    [anon_sym_typeof] = ACTIONS(1600),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1596),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(1372),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(1532),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1029),
    [anon_sym_async] = ACTIONS(1602),
    [anon_sym_function] = ACTIONS(1033),
    [anon_sym_new] = ACTIONS(1604),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(1606),
    [anon_sym_DASH] = ACTIONS(1606),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(1608),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1546),
    [sym_number] = ACTIONS(1548),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(1552),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(1548),
    [sym_false] = ACTIONS(1548),
    [sym_null] = ACTIONS(1548),
    [sym_undefined] = ACTIONS(1610),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1596),
    [anon_sym_readonly] = ACTIONS(1612),
    [anon_sym_get] = ACTIONS(1596),
    [anon_sym_set] = ACTIONS(1596),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_declare] = ACTIONS(1596),
    [anon_sym_public] = ACTIONS(1596),
    [anon_sym_private] = ACTIONS(1596),
    [anon_sym_protected] = ACTIONS(1596),
    [anon_sym_override] = ACTIONS(1596),
    [anon_sym_module] = ACTIONS(1596),
    [anon_sym_any] = ACTIONS(1614),
    [anon_sym_number] = ACTIONS(1614),
    [anon_sym_boolean] = ACTIONS(1614),
    [anon_sym_string] = ACTIONS(1614),
    [anon_sym_symbol] = ACTIONS(1614),
    [anon_sym_object] = ACTIONS(1614),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [215] = {
    [sym_import] = STATE(4426),
    [sym_parenthesized_expression] = STATE(2248),
    [sym_expression] = STATE(3220),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_nested_identifier] = STATE(7283),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7502),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2248),
    [sym_subscript_expression] = STATE(2248),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3928),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7561),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2929),
    [sym_comment] = STATE(215),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(5319),
    [sym_non_null_expression] = STATE(2248),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_nested_type_identifier] = STATE(3821),
    [sym__type_query_member_expression_in_type_annotation] = STATE(4975),
    [sym__type_query_call_expression_in_type_annotation] = STATE(5724),
    [sym__type] = STATE(4974),
    [sym_constructor_type] = STATE(3924),
    [sym__primary_type] = STATE(3930),
    [sym_template_literal_type] = STATE(3873),
    [sym_infer_type] = STATE(3924),
    [sym_conditional_type] = STATE(3873),
    [sym_generic_type] = STATE(3873),
    [sym_type_query] = STATE(3873),
    [sym_index_type_query] = STATE(3873),
    [sym_lookup_type] = STATE(3873),
    [sym_literal_type] = STATE(3873),
    [sym__number] = STATE(3934),
    [sym_existential_type] = STATE(3873),
    [sym_flow_maybe_type] = STATE(3873),
    [sym_parenthesized_type] = STATE(3873),
    [sym_predefined_type] = STATE(3873),
    [sym_object_type] = STATE(3873),
    [sym_type_parameters] = STATE(6670),
    [sym_array_type] = STATE(3873),
    [sym_tuple_type] = STATE(3873),
    [sym_readonly_type] = STATE(3924),
    [sym_union_type] = STATE(3873),
    [sym_intersection_type] = STATE(3873),
    [sym_function_type] = STATE(3924),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1616),
    [anon_sym_export] = ACTIONS(1618),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_type] = ACTIONS(1618),
    [anon_sym_namespace] = ACTIONS(1620),
    [anon_sym_LBRACE] = ACTIONS(1486),
    [anon_sym_typeof] = ACTIONS(1622),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1618),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_BANG] = ACTIONS(1624),
    [anon_sym_LPAREN] = ACTIONS(135),
    [anon_sym_await] = ACTIONS(1626),
    [anon_sym_yield] = ACTIONS(1628),
    [anon_sym_LBRACK] = ACTIONS(1422),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1630),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1632),
    [anon_sym_using] = ACTIONS(1634),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(1636),
    [anon_sym_DASH] = ACTIONS(1636),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(1624),
    [anon_sym_void] = ACTIONS(1638),
    [anon_sym_delete] = ACTIONS(1624),
    [anon_sym_PLUS_PLUS] = ACTIONS(1640),
    [anon_sym_DASH_DASH] = ACTIONS(1640),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1436),
    [sym_number] = ACTIONS(1438),
    [sym_private_property_identifier] = ACTIONS(1642),
    [sym_this] = ACTIONS(1442),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(1438),
    [sym_false] = ACTIONS(1438),
    [sym_null] = ACTIONS(1438),
    [sym_undefined] = ACTIONS(1644),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1618),
    [anon_sym_readonly] = ACTIONS(1646),
    [anon_sym_get] = ACTIONS(1618),
    [anon_sym_set] = ACTIONS(1618),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_declare] = ACTIONS(1618),
    [anon_sym_public] = ACTIONS(1618),
    [anon_sym_private] = ACTIONS(1618),
    [anon_sym_protected] = ACTIONS(1618),
    [anon_sym_override] = ACTIONS(1618),
    [anon_sym_module] = ACTIONS(1618),
    [anon_sym_any] = ACTIONS(1648),
    [anon_sym_number] = ACTIONS(1648),
    [anon_sym_boolean] = ACTIONS(1648),
    [anon_sym_string] = ACTIONS(1648),
    [anon_sym_symbol] = ACTIONS(1648),
    [anon_sym_object] = ACTIONS(1648),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [216] = {
    [sym_import] = STATE(4426),
    [sym_parenthesized_expression] = STATE(2048),
    [sym_expression] = STATE(3370),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_nested_identifier] = STATE(7283),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7260),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2048),
    [sym_subscript_expression] = STATE(2048),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3878),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7646),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2929),
    [sym_comment] = STATE(216),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(5319),
    [sym_non_null_expression] = STATE(2048),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_nested_type_identifier] = STATE(3821),
    [sym__type_query_member_expression_in_type_annotation] = STATE(4975),
    [sym__type_query_call_expression_in_type_annotation] = STATE(5724),
    [sym__type] = STATE(4974),
    [sym_constructor_type] = STATE(3924),
    [sym__primary_type] = STATE(3930),
    [sym_template_literal_type] = STATE(3873),
    [sym_infer_type] = STATE(3924),
    [sym_conditional_type] = STATE(3873),
    [sym_generic_type] = STATE(3873),
    [sym_type_query] = STATE(3873),
    [sym_index_type_query] = STATE(3873),
    [sym_lookup_type] = STATE(3873),
    [sym_literal_type] = STATE(3873),
    [sym__number] = STATE(3934),
    [sym_existential_type] = STATE(3873),
    [sym_flow_maybe_type] = STATE(3873),
    [sym_parenthesized_type] = STATE(3873),
    [sym_predefined_type] = STATE(3873),
    [sym_object_type] = STATE(3873),
    [sym_type_parameters] = STATE(6670),
    [sym_array_type] = STATE(3873),
    [sym_tuple_type] = STATE(3873),
    [sym_readonly_type] = STATE(3924),
    [sym_union_type] = STATE(3873),
    [sym_intersection_type] = STATE(3873),
    [sym_function_type] = STATE(3924),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1650),
    [anon_sym_export] = ACTIONS(1097),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_type] = ACTIONS(1097),
    [anon_sym_namespace] = ACTIONS(1099),
    [anon_sym_LBRACE] = ACTIONS(1412),
    [anon_sym_typeof] = ACTIONS(1652),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1097),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_BANG] = ACTIONS(174),
    [anon_sym_LPAREN] = ACTIONS(135),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1422),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1109),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1654),
    [anon_sym_using] = ACTIONS(157),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(1656),
    [anon_sym_DASH] = ACTIONS(1656),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(174),
    [anon_sym_void] = ACTIONS(176),
    [anon_sym_delete] = ACTIONS(174),
    [anon_sym_PLUS_PLUS] = ACTIONS(1039),
    [anon_sym_DASH_DASH] = ACTIONS(1039),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1436),
    [sym_number] = ACTIONS(1438),
    [sym_private_property_identifier] = ACTIONS(185),
    [sym_this] = ACTIONS(1442),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(1438),
    [sym_false] = ACTIONS(1438),
    [sym_null] = ACTIONS(1438),
    [sym_undefined] = ACTIONS(1658),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1097),
    [anon_sym_readonly] = ACTIONS(1660),
    [anon_sym_get] = ACTIONS(1097),
    [anon_sym_set] = ACTIONS(1097),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_declare] = ACTIONS(1097),
    [anon_sym_public] = ACTIONS(1097),
    [anon_sym_private] = ACTIONS(1097),
    [anon_sym_protected] = ACTIONS(1097),
    [anon_sym_override] = ACTIONS(1097),
    [anon_sym_module] = ACTIONS(1097),
    [anon_sym_any] = ACTIONS(1662),
    [anon_sym_number] = ACTIONS(1662),
    [anon_sym_boolean] = ACTIONS(1662),
    [anon_sym_string] = ACTIONS(1662),
    [anon_sym_symbol] = ACTIONS(1662),
    [anon_sym_object] = ACTIONS(1662),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [217] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2151),
    [sym_expression] = STATE(2809),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_nested_identifier] = STATE(7283),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7643),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2151),
    [sym_subscript_expression] = STATE(2151),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3918),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7259),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_sequence_expression] = STATE(7498),
    [sym_string] = STATE(3327),
    [sym_comment] = STATE(217),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(5319),
    [sym_non_null_expression] = STATE(2151),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_nested_type_identifier] = STATE(3821),
    [sym__type] = STATE(6224),
    [sym_constructor_type] = STATE(3924),
    [sym__primary_type] = STATE(5157),
    [sym_template_literal_type] = STATE(3873),
    [sym_infer_type] = STATE(5720),
    [sym_conditional_type] = STATE(3873),
    [sym_generic_type] = STATE(3873),
    [sym_type_query] = STATE(3873),
    [sym_index_type_query] = STATE(3873),
    [sym_lookup_type] = STATE(3873),
    [sym_literal_type] = STATE(3873),
    [sym__number] = STATE(3934),
    [sym_existential_type] = STATE(3873),
    [sym_flow_maybe_type] = STATE(3873),
    [sym_parenthesized_type] = STATE(3873),
    [sym_predefined_type] = STATE(3873),
    [sym_object_type] = STATE(3873),
    [sym_type_parameters] = STATE(6670),
    [sym_array_type] = STATE(3873),
    [sym_tuple_type] = STATE(3873),
    [sym_readonly_type] = STATE(3924),
    [sym_union_type] = STATE(3873),
    [sym_intersection_type] = STATE(3873),
    [sym_function_type] = STATE(3924),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1664),
    [anon_sym_export] = ACTIONS(1452),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_type] = ACTIONS(1452),
    [anon_sym_namespace] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(1666),
    [anon_sym_typeof] = ACTIONS(1141),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1452),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(135),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(1668),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1462),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1464),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(1147),
    [anon_sym_DASH] = ACTIONS(1147),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(990),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1149),
    [sym_number] = ACTIONS(1151),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(1670),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(1151),
    [sym_false] = ACTIONS(1151),
    [sym_null] = ACTIONS(1151),
    [sym_undefined] = ACTIONS(1672),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1452),
    [anon_sym_readonly] = ACTIONS(1476),
    [anon_sym_get] = ACTIONS(1452),
    [anon_sym_set] = ACTIONS(1452),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_declare] = ACTIONS(1452),
    [anon_sym_public] = ACTIONS(1452),
    [anon_sym_private] = ACTIONS(1452),
    [anon_sym_protected] = ACTIONS(1452),
    [anon_sym_override] = ACTIONS(1452),
    [anon_sym_module] = ACTIONS(1452),
    [anon_sym_any] = ACTIONS(1674),
    [anon_sym_number] = ACTIONS(1674),
    [anon_sym_boolean] = ACTIONS(1674),
    [anon_sym_string] = ACTIONS(1674),
    [anon_sym_symbol] = ACTIONS(1674),
    [anon_sym_object] = ACTIONS(1674),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [218] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2048),
    [sym_expression] = STATE(3359),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_nested_identifier] = STATE(7283),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7260),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2270),
    [sym_subscript_expression] = STATE(2270),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3878),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(4631),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(3453),
    [sym_comment] = STATE(218),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(5319),
    [sym_non_null_expression] = STATE(2270),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_nested_type_identifier] = STATE(3821),
    [sym__type] = STATE(5279),
    [sym_constructor_type] = STATE(3924),
    [sym__primary_type] = STATE(3930),
    [sym_template_literal_type] = STATE(3873),
    [sym_infer_type] = STATE(3924),
    [sym_conditional_type] = STATE(3873),
    [sym_generic_type] = STATE(3873),
    [sym_type_query] = STATE(3873),
    [sym_index_type_query] = STATE(3873),
    [sym_lookup_type] = STATE(3873),
    [sym_literal_type] = STATE(3873),
    [sym__number] = STATE(3934),
    [sym_existential_type] = STATE(3873),
    [sym_flow_maybe_type] = STATE(3873),
    [sym_parenthesized_type] = STATE(3873),
    [sym_predefined_type] = STATE(3873),
    [sym_object_type] = STATE(3873),
    [sym_type_parameters] = STATE(6670),
    [sym_array_type] = STATE(3873),
    [sym_tuple_type] = STATE(3873),
    [sym_readonly_type] = STATE(3924),
    [sym_union_type] = STATE(3873),
    [sym_intersection_type] = STATE(3873),
    [sym_function_type] = STATE(3924),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1676),
    [anon_sym_export] = ACTIONS(1678),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_type] = ACTIONS(1678),
    [anon_sym_namespace] = ACTIONS(1680),
    [anon_sym_LBRACE] = ACTIONS(1682),
    [anon_sym_typeof] = ACTIONS(1684),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1678),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_BANG] = ACTIONS(174),
    [anon_sym_LPAREN] = ACTIONS(135),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1686),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1688),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1690),
    [anon_sym_using] = ACTIONS(157),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(1692),
    [anon_sym_DASH] = ACTIONS(1692),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(174),
    [anon_sym_void] = ACTIONS(176),
    [anon_sym_delete] = ACTIONS(174),
    [anon_sym_PLUS_PLUS] = ACTIONS(1039),
    [anon_sym_DASH_DASH] = ACTIONS(1039),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1694),
    [sym_number] = ACTIONS(1696),
    [sym_private_property_identifier] = ACTIONS(185),
    [sym_this] = ACTIONS(1698),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(1696),
    [sym_false] = ACTIONS(1696),
    [sym_null] = ACTIONS(1696),
    [sym_undefined] = ACTIONS(1700),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1678),
    [anon_sym_readonly] = ACTIONS(1702),
    [anon_sym_get] = ACTIONS(1678),
    [anon_sym_set] = ACTIONS(1678),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_declare] = ACTIONS(1678),
    [anon_sym_public] = ACTIONS(1678),
    [anon_sym_private] = ACTIONS(1678),
    [anon_sym_protected] = ACTIONS(1678),
    [anon_sym_override] = ACTIONS(1678),
    [anon_sym_module] = ACTIONS(1678),
    [anon_sym_any] = ACTIONS(1704),
    [anon_sym_number] = ACTIONS(1704),
    [anon_sym_boolean] = ACTIONS(1704),
    [anon_sym_string] = ACTIONS(1704),
    [anon_sym_symbol] = ACTIONS(1704),
    [anon_sym_object] = ACTIONS(1704),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [219] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2151),
    [sym_expression] = STATE(2657),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_nested_identifier] = STATE(7283),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7643),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2185),
    [sym_subscript_expression] = STATE(2185),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3918),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(5123),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(3103),
    [sym_comment] = STATE(219),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(5319),
    [sym_non_null_expression] = STATE(2185),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_nested_type_identifier] = STATE(3821),
    [sym__type] = STATE(5279),
    [sym_constructor_type] = STATE(3924),
    [sym__primary_type] = STATE(3930),
    [sym_template_literal_type] = STATE(3873),
    [sym_infer_type] = STATE(3924),
    [sym_conditional_type] = STATE(3873),
    [sym_generic_type] = STATE(3873),
    [sym_type_query] = STATE(3873),
    [sym_index_type_query] = STATE(3873),
    [sym_lookup_type] = STATE(3873),
    [sym_literal_type] = STATE(3873),
    [sym__number] = STATE(3934),
    [sym_existential_type] = STATE(3873),
    [sym_flow_maybe_type] = STATE(3873),
    [sym_parenthesized_type] = STATE(3873),
    [sym_predefined_type] = STATE(3873),
    [sym_object_type] = STATE(3873),
    [sym_type_parameters] = STATE(6670),
    [sym_array_type] = STATE(3873),
    [sym_tuple_type] = STATE(3873),
    [sym_readonly_type] = STATE(3924),
    [sym_union_type] = STATE(3873),
    [sym_intersection_type] = STATE(3873),
    [sym_function_type] = STATE(3924),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1706),
    [anon_sym_export] = ACTIONS(1708),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_type] = ACTIONS(1708),
    [anon_sym_namespace] = ACTIONS(1710),
    [anon_sym_LBRACE] = ACTIONS(1712),
    [anon_sym_typeof] = ACTIONS(966),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1708),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(135),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(974),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1714),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1716),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(986),
    [anon_sym_DASH] = ACTIONS(986),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(990),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(181),
    [sym_number] = ACTIONS(183),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(996),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(183),
    [sym_false] = ACTIONS(183),
    [sym_null] = ACTIONS(183),
    [sym_undefined] = ACTIONS(1718),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1708),
    [anon_sym_readonly] = ACTIONS(1720),
    [anon_sym_get] = ACTIONS(1708),
    [anon_sym_set] = ACTIONS(1708),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_declare] = ACTIONS(1708),
    [anon_sym_public] = ACTIONS(1708),
    [anon_sym_private] = ACTIONS(1708),
    [anon_sym_protected] = ACTIONS(1708),
    [anon_sym_override] = ACTIONS(1708),
    [anon_sym_module] = ACTIONS(1708),
    [anon_sym_any] = ACTIONS(1722),
    [anon_sym_number] = ACTIONS(1722),
    [anon_sym_boolean] = ACTIONS(1722),
    [anon_sym_string] = ACTIONS(1722),
    [anon_sym_symbol] = ACTIONS(1722),
    [anon_sym_object] = ACTIONS(1722),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [220] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2151),
    [sym_expression] = STATE(2376),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7643),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2151),
    [sym_subscript_expression] = STATE(2151),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3918),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7259),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(220),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2151),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1724),
    [anon_sym_export] = ACTIONS(1452),
    [anon_sym_STAR] = ACTIONS(1726),
    [anon_sym_type] = ACTIONS(1452),
    [anon_sym_as] = ACTIONS(1728),
    [anon_sym_namespace] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(1127),
    [anon_sym_COMMA] = ACTIONS(1728),
    [anon_sym_RBRACE] = ACTIONS(1728),
    [anon_sym_typeof] = ACTIONS(968),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1452),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_RPAREN] = ACTIONS(1728),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_in] = ACTIONS(1728),
    [anon_sym_COLON] = ACTIONS(1728),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(1129),
    [anon_sym_RBRACK] = ACTIONS(1728),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(1728),
    [anon_sym_DOT] = ACTIONS(1728),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1462),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_QMARK_DOT] = ACTIONS(1728),
    [anon_sym_new] = ACTIONS(1730),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_AMP_AMP] = ACTIONS(1728),
    [anon_sym_PIPE_PIPE] = ACTIONS(1728),
    [anon_sym_GT_GT] = ACTIONS(1728),
    [anon_sym_GT_GT_GT] = ACTIONS(1728),
    [anon_sym_LT_LT] = ACTIONS(1728),
    [anon_sym_AMP] = ACTIONS(1728),
    [anon_sym_CARET] = ACTIONS(1728),
    [anon_sym_PIPE] = ACTIONS(1728),
    [anon_sym_PLUS] = ACTIONS(968),
    [anon_sym_DASH] = ACTIONS(968),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_PERCENT] = ACTIONS(1728),
    [anon_sym_STAR_STAR] = ACTIONS(1728),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_LT_EQ] = ACTIONS(1728),
    [anon_sym_EQ_EQ] = ACTIONS(1728),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1728),
    [anon_sym_BANG_EQ] = ACTIONS(1728),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1728),
    [anon_sym_GT_EQ] = ACTIONS(1728),
    [anon_sym_QMARK_QMARK] = ACTIONS(1728),
    [anon_sym_instanceof] = ACTIONS(1728),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(968),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1732),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1452),
    [anon_sym_readonly] = ACTIONS(1452),
    [anon_sym_get] = ACTIONS(1452),
    [anon_sym_set] = ACTIONS(1452),
    [anon_sym_declare] = ACTIONS(1452),
    [anon_sym_public] = ACTIONS(1452),
    [anon_sym_private] = ACTIONS(1452),
    [anon_sym_protected] = ACTIONS(1452),
    [anon_sym_override] = ACTIONS(1452),
    [anon_sym_module] = ACTIONS(1452),
    [anon_sym_any] = ACTIONS(1452),
    [anon_sym_number] = ACTIONS(1452),
    [anon_sym_boolean] = ACTIONS(1452),
    [anon_sym_string] = ACTIONS(1452),
    [anon_sym_symbol] = ACTIONS(1452),
    [anon_sym_object] = ACTIONS(1452),
    [anon_sym_satisfies] = ACTIONS(1728),
    [sym__ternary_qmark] = ACTIONS(1734),
    [sym_html_comment] = ACTIONS(5),
  },
  [221] = {
    [sym_import] = STATE(4369),
    [sym_parenthesized_expression] = STATE(2175),
    [sym_expression] = STATE(2558),
    [sym_primary_expression] = STATE(2990),
    [sym_yield_expression] = STATE(3139),
    [sym_object] = STATE(3113),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(3113),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(3139),
    [sym_glimmer_opening_tag] = STATE(5702),
    [sym_jsx_element] = STATE(3139),
    [sym_jsx_opening_element] = STATE(4008),
    [sym_jsx_self_closing_element] = STATE(3139),
    [sym_class] = STATE(3113),
    [sym_function_expression] = STATE(3113),
    [sym_generator_function] = STATE(3113),
    [sym_arrow_function] = STATE(3113),
    [sym__call_signature] = STATE(7205),
    [sym_call_expression] = STATE(3113),
    [sym_new_expression] = STATE(3139),
    [sym_await_expression] = STATE(3139),
    [sym_member_expression] = STATE(2175),
    [sym_subscript_expression] = STATE(2175),
    [sym_assignment_expression] = STATE(3139),
    [sym__augmented_assignment_lhs] = STATE(3844),
    [sym_augmented_assignment_expression] = STATE(3139),
    [sym__destructuring_pattern] = STATE(7209),
    [sym_ternary_expression] = STATE(3139),
    [sym_binary_expression] = STATE(3139),
    [sym_unary_expression] = STATE(3139),
    [sym_update_expression] = STATE(3139),
    [sym_string] = STATE(3113),
    [sym_comment] = STATE(221),
    [sym_template_string] = STATE(3113),
    [sym_regex] = STATE(3113),
    [sym_meta_property] = STATE(3113),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2175),
    [sym_as_expression] = STATE(3139),
    [sym_satisfies_expression] = STATE(3139),
    [sym_instantiation_expression] = STATE(3139),
    [sym_internal_module] = STATE(3139),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5555),
    [sym_identifier] = ACTIONS(1736),
    [anon_sym_export] = ACTIONS(1518),
    [anon_sym_STAR] = ACTIONS(1738),
    [anon_sym_type] = ACTIONS(1518),
    [anon_sym_as] = ACTIONS(1728),
    [anon_sym_namespace] = ACTIONS(1520),
    [anon_sym_LBRACE] = ACTIONS(1020),
    [anon_sym_COMMA] = ACTIONS(1728),
    [anon_sym_typeof] = ACTIONS(1526),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1518),
    [anon_sym_BANG] = ACTIONS(1526),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1528),
    [anon_sym_in] = ACTIONS(1728),
    [anon_sym_of] = ACTIONS(1728),
    [anon_sym_SEMI] = ACTIONS(1728),
    [anon_sym_yield] = ACTIONS(1530),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(1728),
    [anon_sym_DOT] = ACTIONS(1728),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1029),
    [anon_sym_async] = ACTIONS(1534),
    [anon_sym_function] = ACTIONS(1033),
    [anon_sym_QMARK_DOT] = ACTIONS(1728),
    [anon_sym_new] = ACTIONS(1740),
    [anon_sym_using] = ACTIONS(1538),
    [anon_sym_AMP_AMP] = ACTIONS(1728),
    [anon_sym_PIPE_PIPE] = ACTIONS(1728),
    [anon_sym_GT_GT] = ACTIONS(1728),
    [anon_sym_GT_GT_GT] = ACTIONS(1728),
    [anon_sym_LT_LT] = ACTIONS(1728),
    [anon_sym_AMP] = ACTIONS(1728),
    [anon_sym_CARET] = ACTIONS(1728),
    [anon_sym_PIPE] = ACTIONS(1728),
    [anon_sym_PLUS] = ACTIONS(1526),
    [anon_sym_DASH] = ACTIONS(1526),
    [anon_sym_SLASH] = ACTIONS(1195),
    [anon_sym_PERCENT] = ACTIONS(1728),
    [anon_sym_STAR_STAR] = ACTIONS(1728),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_LT_EQ] = ACTIONS(1728),
    [anon_sym_EQ_EQ] = ACTIONS(1728),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1728),
    [anon_sym_BANG_EQ] = ACTIONS(1728),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1728),
    [anon_sym_GT_EQ] = ACTIONS(1728),
    [anon_sym_QMARK_QMARK] = ACTIONS(1728),
    [anon_sym_instanceof] = ACTIONS(1728),
    [anon_sym_TILDE] = ACTIONS(1526),
    [anon_sym_void] = ACTIONS(1526),
    [anon_sym_delete] = ACTIONS(1526),
    [anon_sym_PLUS_PLUS] = ACTIONS(1544),
    [anon_sym_DASH_DASH] = ACTIONS(1544),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1550),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1742),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1518),
    [anon_sym_readonly] = ACTIONS(1518),
    [anon_sym_get] = ACTIONS(1518),
    [anon_sym_set] = ACTIONS(1518),
    [anon_sym_declare] = ACTIONS(1518),
    [anon_sym_public] = ACTIONS(1518),
    [anon_sym_private] = ACTIONS(1518),
    [anon_sym_protected] = ACTIONS(1518),
    [anon_sym_override] = ACTIONS(1518),
    [anon_sym_module] = ACTIONS(1518),
    [anon_sym_any] = ACTIONS(1518),
    [anon_sym_number] = ACTIONS(1518),
    [anon_sym_boolean] = ACTIONS(1518),
    [anon_sym_string] = ACTIONS(1518),
    [anon_sym_symbol] = ACTIONS(1518),
    [anon_sym_object] = ACTIONS(1518),
    [anon_sym_satisfies] = ACTIONS(1728),
    [sym__automatic_semicolon] = ACTIONS(1734),
    [sym__ternary_qmark] = ACTIONS(1734),
    [sym_html_comment] = ACTIONS(5),
  },
  [222] = {
    [sym_import] = STATE(4369),
    [sym_parenthesized_expression] = STATE(2177),
    [sym_expression] = STATE(2587),
    [sym_primary_expression] = STATE(2990),
    [sym_yield_expression] = STATE(3139),
    [sym_object] = STATE(3113),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(3113),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(3139),
    [sym_glimmer_opening_tag] = STATE(5702),
    [sym_jsx_element] = STATE(3139),
    [sym_jsx_opening_element] = STATE(4008),
    [sym_jsx_self_closing_element] = STATE(3139),
    [sym_class] = STATE(3113),
    [sym_function_expression] = STATE(3113),
    [sym_generator_function] = STATE(3113),
    [sym_arrow_function] = STATE(3113),
    [sym__call_signature] = STATE(7486),
    [sym_call_expression] = STATE(3113),
    [sym_new_expression] = STATE(3139),
    [sym_await_expression] = STATE(3139),
    [sym_member_expression] = STATE(2177),
    [sym_subscript_expression] = STATE(2177),
    [sym_assignment_expression] = STATE(3139),
    [sym__augmented_assignment_lhs] = STATE(3835),
    [sym_augmented_assignment_expression] = STATE(3139),
    [sym__destructuring_pattern] = STATE(7484),
    [sym_ternary_expression] = STATE(3139),
    [sym_binary_expression] = STATE(3139),
    [sym_unary_expression] = STATE(3139),
    [sym_update_expression] = STATE(3139),
    [sym_string] = STATE(3113),
    [sym_comment] = STATE(222),
    [sym_template_string] = STATE(3113),
    [sym_regex] = STATE(3113),
    [sym_meta_property] = STATE(3113),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2177),
    [sym_as_expression] = STATE(3139),
    [sym_satisfies_expression] = STATE(3139),
    [sym_instantiation_expression] = STATE(3139),
    [sym_internal_module] = STATE(3139),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5555),
    [sym_identifier] = ACTIONS(1744),
    [anon_sym_export] = ACTIONS(1596),
    [anon_sym_STAR] = ACTIONS(1746),
    [anon_sym_type] = ACTIONS(1596),
    [anon_sym_as] = ACTIONS(1728),
    [anon_sym_namespace] = ACTIONS(1598),
    [anon_sym_LBRACE] = ACTIONS(1020),
    [anon_sym_COMMA] = ACTIONS(1728),
    [anon_sym_RBRACE] = ACTIONS(1728),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1596),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_in] = ACTIONS(1728),
    [anon_sym_SEMI] = ACTIONS(1728),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(1728),
    [anon_sym_DOT] = ACTIONS(1728),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1029),
    [anon_sym_async] = ACTIONS(1602),
    [anon_sym_function] = ACTIONS(1033),
    [anon_sym_QMARK_DOT] = ACTIONS(1728),
    [anon_sym_new] = ACTIONS(1748),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_AMP_AMP] = ACTIONS(1728),
    [anon_sym_PIPE_PIPE] = ACTIONS(1728),
    [anon_sym_GT_GT] = ACTIONS(1728),
    [anon_sym_GT_GT_GT] = ACTIONS(1728),
    [anon_sym_LT_LT] = ACTIONS(1728),
    [anon_sym_AMP] = ACTIONS(1728),
    [anon_sym_CARET] = ACTIONS(1728),
    [anon_sym_PIPE] = ACTIONS(1728),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_PERCENT] = ACTIONS(1728),
    [anon_sym_STAR_STAR] = ACTIONS(1728),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_LT_EQ] = ACTIONS(1728),
    [anon_sym_EQ_EQ] = ACTIONS(1728),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1728),
    [anon_sym_BANG_EQ] = ACTIONS(1728),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1728),
    [anon_sym_GT_EQ] = ACTIONS(1728),
    [anon_sym_QMARK_QMARK] = ACTIONS(1728),
    [anon_sym_instanceof] = ACTIONS(1728),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1596),
    [anon_sym_readonly] = ACTIONS(1596),
    [anon_sym_get] = ACTIONS(1596),
    [anon_sym_set] = ACTIONS(1596),
    [anon_sym_declare] = ACTIONS(1596),
    [anon_sym_public] = ACTIONS(1596),
    [anon_sym_private] = ACTIONS(1596),
    [anon_sym_protected] = ACTIONS(1596),
    [anon_sym_override] = ACTIONS(1596),
    [anon_sym_module] = ACTIONS(1596),
    [anon_sym_any] = ACTIONS(1596),
    [anon_sym_number] = ACTIONS(1596),
    [anon_sym_boolean] = ACTIONS(1596),
    [anon_sym_string] = ACTIONS(1596),
    [anon_sym_symbol] = ACTIONS(1596),
    [anon_sym_object] = ACTIONS(1596),
    [anon_sym_satisfies] = ACTIONS(1728),
    [sym__automatic_semicolon] = ACTIONS(1734),
    [sym__ternary_qmark] = ACTIONS(1734),
    [sym_html_comment] = ACTIONS(5),
  },
  [223] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2196),
    [sym_expression] = STATE(2746),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7510),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2196),
    [sym_subscript_expression] = STATE(2196),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3936),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7511),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(223),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2196),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1750),
    [anon_sym_export] = ACTIONS(1562),
    [anon_sym_STAR] = ACTIONS(1752),
    [anon_sym_type] = ACTIONS(1562),
    [anon_sym_as] = ACTIONS(1728),
    [anon_sym_namespace] = ACTIONS(1564),
    [anon_sym_LBRACE] = ACTIONS(1127),
    [anon_sym_COMMA] = ACTIONS(1728),
    [anon_sym_typeof] = ACTIONS(1568),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1562),
    [anon_sym_BANG] = ACTIONS(1568),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1570),
    [anon_sym_in] = ACTIONS(1728),
    [anon_sym_yield] = ACTIONS(1572),
    [anon_sym_LBRACK] = ACTIONS(1129),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(1728),
    [anon_sym_DOT] = ACTIONS(1728),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1574),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_QMARK_DOT] = ACTIONS(1728),
    [anon_sym_new] = ACTIONS(1754),
    [anon_sym_using] = ACTIONS(1578),
    [anon_sym_AMP_AMP] = ACTIONS(1728),
    [anon_sym_PIPE_PIPE] = ACTIONS(1728),
    [anon_sym_GT_GT] = ACTIONS(1728),
    [anon_sym_GT_GT_GT] = ACTIONS(1728),
    [anon_sym_LT_LT] = ACTIONS(1728),
    [anon_sym_AMP] = ACTIONS(1728),
    [anon_sym_CARET] = ACTIONS(1728),
    [anon_sym_PIPE] = ACTIONS(1728),
    [anon_sym_PLUS] = ACTIONS(1568),
    [anon_sym_DASH] = ACTIONS(1568),
    [anon_sym_SLASH] = ACTIONS(1274),
    [anon_sym_PERCENT] = ACTIONS(1728),
    [anon_sym_STAR_STAR] = ACTIONS(1728),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_LT_EQ] = ACTIONS(1728),
    [anon_sym_EQ_EQ] = ACTIONS(1728),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1728),
    [anon_sym_BANG_EQ] = ACTIONS(1728),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1728),
    [anon_sym_GT_EQ] = ACTIONS(1728),
    [anon_sym_QMARK_QMARK] = ACTIONS(1728),
    [anon_sym_instanceof] = ACTIONS(1728),
    [anon_sym_TILDE] = ACTIONS(1568),
    [anon_sym_void] = ACTIONS(1568),
    [anon_sym_delete] = ACTIONS(1568),
    [anon_sym_PLUS_PLUS] = ACTIONS(1584),
    [anon_sym_DASH_DASH] = ACTIONS(1584),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(1586),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1756),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1562),
    [anon_sym_readonly] = ACTIONS(1562),
    [anon_sym_get] = ACTIONS(1562),
    [anon_sym_set] = ACTIONS(1562),
    [anon_sym_declare] = ACTIONS(1562),
    [anon_sym_public] = ACTIONS(1562),
    [anon_sym_private] = ACTIONS(1562),
    [anon_sym_protected] = ACTIONS(1562),
    [anon_sym_override] = ACTIONS(1562),
    [anon_sym_module] = ACTIONS(1562),
    [anon_sym_any] = ACTIONS(1562),
    [anon_sym_number] = ACTIONS(1562),
    [anon_sym_boolean] = ACTIONS(1562),
    [anon_sym_string] = ACTIONS(1562),
    [anon_sym_symbol] = ACTIONS(1562),
    [anon_sym_object] = ACTIONS(1562),
    [anon_sym_satisfies] = ACTIONS(1728),
    [anon_sym_implements] = ACTIONS(1728),
    [sym__ternary_qmark] = ACTIONS(1734),
    [sym_html_comment] = ACTIONS(5),
  },
  [224] = {
    [sym_import] = STATE(4369),
    [sym_parenthesized_expression] = STATE(2221),
    [sym_expression] = STATE(3063),
    [sym_primary_expression] = STATE(2990),
    [sym_yield_expression] = STATE(3139),
    [sym_object] = STATE(3113),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(3113),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(3139),
    [sym_glimmer_opening_tag] = STATE(5702),
    [sym_jsx_element] = STATE(3139),
    [sym_jsx_opening_element] = STATE(4008),
    [sym_jsx_self_closing_element] = STATE(3139),
    [sym_class] = STATE(3113),
    [sym_function_expression] = STATE(3113),
    [sym_generator_function] = STATE(3113),
    [sym_arrow_function] = STATE(3113),
    [sym__call_signature] = STATE(7374),
    [sym_call_expression] = STATE(3113),
    [sym_new_expression] = STATE(3139),
    [sym_await_expression] = STATE(3139),
    [sym_member_expression] = STATE(2221),
    [sym_subscript_expression] = STATE(2221),
    [sym_assignment_expression] = STATE(3139),
    [sym__augmented_assignment_lhs] = STATE(3860),
    [sym_augmented_assignment_expression] = STATE(3139),
    [sym__destructuring_pattern] = STATE(7376),
    [sym_ternary_expression] = STATE(3139),
    [sym_binary_expression] = STATE(3139),
    [sym_unary_expression] = STATE(3139),
    [sym_update_expression] = STATE(3139),
    [sym_string] = STATE(3113),
    [sym_comment] = STATE(224),
    [sym_template_string] = STATE(3113),
    [sym_regex] = STATE(3113),
    [sym_meta_property] = STATE(3113),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2221),
    [sym_as_expression] = STATE(3139),
    [sym_satisfies_expression] = STATE(3139),
    [sym_instantiation_expression] = STATE(3139),
    [sym_internal_module] = STATE(3139),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5555),
    [sym_identifier] = ACTIONS(1758),
    [anon_sym_export] = ACTIONS(1362),
    [anon_sym_STAR] = ACTIONS(1760),
    [anon_sym_type] = ACTIONS(1362),
    [anon_sym_as] = ACTIONS(1728),
    [anon_sym_namespace] = ACTIONS(1364),
    [anon_sym_LBRACE] = ACTIONS(1020),
    [anon_sym_typeof] = ACTIONS(1370),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1362),
    [anon_sym_BANG] = ACTIONS(1370),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1374),
    [anon_sym_in] = ACTIONS(1728),
    [anon_sym_SEMI] = ACTIONS(1728),
    [anon_sym_yield] = ACTIONS(1376),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(1728),
    [anon_sym_DOT] = ACTIONS(1728),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1029),
    [anon_sym_async] = ACTIONS(1380),
    [anon_sym_function] = ACTIONS(1033),
    [anon_sym_QMARK_DOT] = ACTIONS(1728),
    [anon_sym_new] = ACTIONS(1762),
    [anon_sym_using] = ACTIONS(1384),
    [anon_sym_AMP_AMP] = ACTIONS(1728),
    [anon_sym_PIPE_PIPE] = ACTIONS(1728),
    [anon_sym_GT_GT] = ACTIONS(1728),
    [anon_sym_GT_GT_GT] = ACTIONS(1728),
    [anon_sym_LT_LT] = ACTIONS(1728),
    [anon_sym_AMP] = ACTIONS(1728),
    [anon_sym_CARET] = ACTIONS(1728),
    [anon_sym_PIPE] = ACTIONS(1728),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_PERCENT] = ACTIONS(1728),
    [anon_sym_STAR_STAR] = ACTIONS(1728),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_LT_EQ] = ACTIONS(1728),
    [anon_sym_EQ_EQ] = ACTIONS(1728),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1728),
    [anon_sym_BANG_EQ] = ACTIONS(1728),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1728),
    [anon_sym_GT_EQ] = ACTIONS(1728),
    [anon_sym_QMARK_QMARK] = ACTIONS(1728),
    [anon_sym_instanceof] = ACTIONS(1728),
    [anon_sym_TILDE] = ACTIONS(1370),
    [anon_sym_void] = ACTIONS(1370),
    [anon_sym_delete] = ACTIONS(1370),
    [anon_sym_PLUS_PLUS] = ACTIONS(1390),
    [anon_sym_DASH_DASH] = ACTIONS(1390),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1396),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1764),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1362),
    [anon_sym_readonly] = ACTIONS(1362),
    [anon_sym_get] = ACTIONS(1362),
    [anon_sym_set] = ACTIONS(1362),
    [anon_sym_declare] = ACTIONS(1362),
    [anon_sym_public] = ACTIONS(1362),
    [anon_sym_private] = ACTIONS(1362),
    [anon_sym_protected] = ACTIONS(1362),
    [anon_sym_override] = ACTIONS(1362),
    [anon_sym_module] = ACTIONS(1362),
    [anon_sym_any] = ACTIONS(1362),
    [anon_sym_number] = ACTIONS(1362),
    [anon_sym_boolean] = ACTIONS(1362),
    [anon_sym_string] = ACTIONS(1362),
    [anon_sym_symbol] = ACTIONS(1362),
    [anon_sym_object] = ACTIONS(1362),
    [anon_sym_satisfies] = ACTIONS(1728),
    [sym__automatic_semicolon] = ACTIONS(1734),
    [sym__ternary_qmark] = ACTIONS(1734),
    [sym_html_comment] = ACTIONS(5),
  },
  [225] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2229),
    [sym_expression] = STATE(2919),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7175),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2229),
    [sym_subscript_expression] = STATE(2229),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3935),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7438),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(225),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2229),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1766),
    [anon_sym_export] = ACTIONS(1482),
    [anon_sym_STAR] = ACTIONS(1768),
    [anon_sym_type] = ACTIONS(1482),
    [anon_sym_as] = ACTIONS(1728),
    [anon_sym_namespace] = ACTIONS(1484),
    [anon_sym_LBRACE] = ACTIONS(1127),
    [anon_sym_RBRACE] = ACTIONS(1728),
    [anon_sym_typeof] = ACTIONS(1490),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1482),
    [anon_sym_BANG] = ACTIONS(1490),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1492),
    [anon_sym_in] = ACTIONS(1728),
    [anon_sym_COLON] = ACTIONS(1728),
    [anon_sym_yield] = ACTIONS(1494),
    [anon_sym_LBRACK] = ACTIONS(1129),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(1728),
    [anon_sym_DOT] = ACTIONS(1728),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1496),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_QMARK_DOT] = ACTIONS(1728),
    [anon_sym_new] = ACTIONS(1770),
    [anon_sym_using] = ACTIONS(1500),
    [anon_sym_AMP_AMP] = ACTIONS(1728),
    [anon_sym_PIPE_PIPE] = ACTIONS(1728),
    [anon_sym_GT_GT] = ACTIONS(1728),
    [anon_sym_GT_GT_GT] = ACTIONS(1728),
    [anon_sym_LT_LT] = ACTIONS(1728),
    [anon_sym_AMP] = ACTIONS(1728),
    [anon_sym_CARET] = ACTIONS(1728),
    [anon_sym_PIPE] = ACTIONS(1728),
    [anon_sym_PLUS] = ACTIONS(1490),
    [anon_sym_DASH] = ACTIONS(1490),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_PERCENT] = ACTIONS(1728),
    [anon_sym_STAR_STAR] = ACTIONS(1728),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_LT_EQ] = ACTIONS(1728),
    [anon_sym_EQ_EQ] = ACTIONS(1728),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1728),
    [anon_sym_BANG_EQ] = ACTIONS(1728),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1728),
    [anon_sym_GT_EQ] = ACTIONS(1728),
    [anon_sym_QMARK_QMARK] = ACTIONS(1728),
    [anon_sym_instanceof] = ACTIONS(1728),
    [anon_sym_TILDE] = ACTIONS(1490),
    [anon_sym_void] = ACTIONS(1490),
    [anon_sym_delete] = ACTIONS(1490),
    [anon_sym_PLUS_PLUS] = ACTIONS(1506),
    [anon_sym_DASH_DASH] = ACTIONS(1506),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(1508),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1772),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1482),
    [anon_sym_readonly] = ACTIONS(1482),
    [anon_sym_get] = ACTIONS(1482),
    [anon_sym_set] = ACTIONS(1482),
    [anon_sym_declare] = ACTIONS(1482),
    [anon_sym_public] = ACTIONS(1482),
    [anon_sym_private] = ACTIONS(1482),
    [anon_sym_protected] = ACTIONS(1482),
    [anon_sym_override] = ACTIONS(1482),
    [anon_sym_module] = ACTIONS(1482),
    [anon_sym_any] = ACTIONS(1482),
    [anon_sym_number] = ACTIONS(1482),
    [anon_sym_boolean] = ACTIONS(1482),
    [anon_sym_string] = ACTIONS(1482),
    [anon_sym_symbol] = ACTIONS(1482),
    [anon_sym_object] = ACTIONS(1482),
    [anon_sym_satisfies] = ACTIONS(1728),
    [sym__ternary_qmark] = ACTIONS(1734),
    [sym_html_comment] = ACTIONS(5),
  },
  [226] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2248),
    [sym_expression] = STATE(3147),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7502),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2248),
    [sym_subscript_expression] = STATE(2248),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3928),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7561),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(226),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2248),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1774),
    [anon_sym_export] = ACTIONS(1618),
    [anon_sym_STAR] = ACTIONS(1776),
    [anon_sym_type] = ACTIONS(1618),
    [anon_sym_as] = ACTIONS(1728),
    [anon_sym_namespace] = ACTIONS(1620),
    [anon_sym_LBRACE] = ACTIONS(1127),
    [anon_sym_typeof] = ACTIONS(1624),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1618),
    [anon_sym_BANG] = ACTIONS(1624),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1626),
    [anon_sym_in] = ACTIONS(1728),
    [anon_sym_yield] = ACTIONS(1628),
    [anon_sym_LBRACK] = ACTIONS(1129),
    [anon_sym_RBRACK] = ACTIONS(1728),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(1728),
    [anon_sym_DOT] = ACTIONS(1728),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1630),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_QMARK_DOT] = ACTIONS(1728),
    [anon_sym_new] = ACTIONS(1778),
    [anon_sym_using] = ACTIONS(1634),
    [anon_sym_AMP_AMP] = ACTIONS(1728),
    [anon_sym_PIPE_PIPE] = ACTIONS(1728),
    [anon_sym_GT_GT] = ACTIONS(1728),
    [anon_sym_GT_GT_GT] = ACTIONS(1728),
    [anon_sym_LT_LT] = ACTIONS(1728),
    [anon_sym_AMP] = ACTIONS(1728),
    [anon_sym_CARET] = ACTIONS(1728),
    [anon_sym_PIPE] = ACTIONS(1728),
    [anon_sym_PLUS] = ACTIONS(1624),
    [anon_sym_DASH] = ACTIONS(1624),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_PERCENT] = ACTIONS(1728),
    [anon_sym_STAR_STAR] = ACTIONS(1728),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_LT_EQ] = ACTIONS(1728),
    [anon_sym_EQ_EQ] = ACTIONS(1728),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1728),
    [anon_sym_BANG_EQ] = ACTIONS(1728),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1728),
    [anon_sym_GT_EQ] = ACTIONS(1728),
    [anon_sym_QMARK_QMARK] = ACTIONS(1728),
    [anon_sym_instanceof] = ACTIONS(1728),
    [anon_sym_TILDE] = ACTIONS(1624),
    [anon_sym_void] = ACTIONS(1624),
    [anon_sym_delete] = ACTIONS(1624),
    [anon_sym_PLUS_PLUS] = ACTIONS(1640),
    [anon_sym_DASH_DASH] = ACTIONS(1640),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(1642),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1780),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1618),
    [anon_sym_readonly] = ACTIONS(1618),
    [anon_sym_get] = ACTIONS(1618),
    [anon_sym_set] = ACTIONS(1618),
    [anon_sym_declare] = ACTIONS(1618),
    [anon_sym_public] = ACTIONS(1618),
    [anon_sym_private] = ACTIONS(1618),
    [anon_sym_protected] = ACTIONS(1618),
    [anon_sym_override] = ACTIONS(1618),
    [anon_sym_module] = ACTIONS(1618),
    [anon_sym_any] = ACTIONS(1618),
    [anon_sym_number] = ACTIONS(1618),
    [anon_sym_boolean] = ACTIONS(1618),
    [anon_sym_string] = ACTIONS(1618),
    [anon_sym_symbol] = ACTIONS(1618),
    [anon_sym_object] = ACTIONS(1618),
    [anon_sym_satisfies] = ACTIONS(1728),
    [sym__ternary_qmark] = ACTIONS(1734),
    [sym_html_comment] = ACTIONS(5),
  },
  [227] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2239),
    [sym_expression] = STATE(3156),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7446),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2239),
    [sym_subscript_expression] = STATE(2239),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3938),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7450),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(227),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2239),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1782),
    [anon_sym_export] = ACTIONS(1408),
    [anon_sym_STAR] = ACTIONS(1784),
    [anon_sym_type] = ACTIONS(1408),
    [anon_sym_as] = ACTIONS(1728),
    [anon_sym_namespace] = ACTIONS(1410),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(1416),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1408),
    [anon_sym_BANG] = ACTIONS(1416),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1418),
    [anon_sym_in] = ACTIONS(1728),
    [anon_sym_of] = ACTIONS(1728),
    [anon_sym_yield] = ACTIONS(1420),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(1728),
    [anon_sym_DOT] = ACTIONS(1728),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1424),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_QMARK_DOT] = ACTIONS(1728),
    [anon_sym_new] = ACTIONS(1786),
    [anon_sym_using] = ACTIONS(1428),
    [anon_sym_AMP_AMP] = ACTIONS(1728),
    [anon_sym_PIPE_PIPE] = ACTIONS(1728),
    [anon_sym_GT_GT] = ACTIONS(1728),
    [anon_sym_GT_GT_GT] = ACTIONS(1728),
    [anon_sym_LT_LT] = ACTIONS(1728),
    [anon_sym_AMP] = ACTIONS(1728),
    [anon_sym_CARET] = ACTIONS(1728),
    [anon_sym_PIPE] = ACTIONS(1728),
    [anon_sym_PLUS] = ACTIONS(1416),
    [anon_sym_DASH] = ACTIONS(1416),
    [anon_sym_SLASH] = ACTIONS(1290),
    [anon_sym_PERCENT] = ACTIONS(1728),
    [anon_sym_STAR_STAR] = ACTIONS(1728),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_LT_EQ] = ACTIONS(1728),
    [anon_sym_EQ_EQ] = ACTIONS(1728),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1728),
    [anon_sym_BANG_EQ] = ACTIONS(1728),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1728),
    [anon_sym_GT_EQ] = ACTIONS(1728),
    [anon_sym_QMARK_QMARK] = ACTIONS(1728),
    [anon_sym_instanceof] = ACTIONS(1728),
    [anon_sym_TILDE] = ACTIONS(1416),
    [anon_sym_void] = ACTIONS(1416),
    [anon_sym_delete] = ACTIONS(1416),
    [anon_sym_PLUS_PLUS] = ACTIONS(1434),
    [anon_sym_DASH_DASH] = ACTIONS(1434),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(1440),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1788),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1408),
    [anon_sym_readonly] = ACTIONS(1408),
    [anon_sym_get] = ACTIONS(1408),
    [anon_sym_set] = ACTIONS(1408),
    [anon_sym_declare] = ACTIONS(1408),
    [anon_sym_public] = ACTIONS(1408),
    [anon_sym_private] = ACTIONS(1408),
    [anon_sym_protected] = ACTIONS(1408),
    [anon_sym_override] = ACTIONS(1408),
    [anon_sym_module] = ACTIONS(1408),
    [anon_sym_any] = ACTIONS(1408),
    [anon_sym_number] = ACTIONS(1408),
    [anon_sym_boolean] = ACTIONS(1408),
    [anon_sym_string] = ACTIONS(1408),
    [anon_sym_symbol] = ACTIONS(1408),
    [anon_sym_object] = ACTIONS(1408),
    [anon_sym_satisfies] = ACTIONS(1728),
    [sym__ternary_qmark] = ACTIONS(1734),
    [sym_html_comment] = ACTIONS(5),
  },
  [228] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2048),
    [sym_expression] = STATE(3380),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7260),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2048),
    [sym_subscript_expression] = STATE(2048),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3878),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7646),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(228),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2048),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1095),
    [anon_sym_export] = ACTIONS(1097),
    [anon_sym_STAR] = ACTIONS(1790),
    [anon_sym_type] = ACTIONS(1097),
    [anon_sym_as] = ACTIONS(1728),
    [anon_sym_namespace] = ACTIONS(1099),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(174),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1097),
    [anon_sym_BANG] = ACTIONS(174),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_in] = ACTIONS(1728),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(1728),
    [anon_sym_DOT] = ACTIONS(1728),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1109),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_QMARK_DOT] = ACTIONS(1728),
    [anon_sym_new] = ACTIONS(1111),
    [anon_sym_using] = ACTIONS(157),
    [anon_sym_AMP_AMP] = ACTIONS(1728),
    [anon_sym_PIPE_PIPE] = ACTIONS(1728),
    [anon_sym_GT_GT] = ACTIONS(1728),
    [anon_sym_GT_GT_GT] = ACTIONS(1728),
    [anon_sym_LT_LT] = ACTIONS(1728),
    [anon_sym_AMP] = ACTIONS(1728),
    [anon_sym_CARET] = ACTIONS(1728),
    [anon_sym_PIPE] = ACTIONS(1728),
    [anon_sym_PLUS] = ACTIONS(174),
    [anon_sym_DASH] = ACTIONS(174),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_PERCENT] = ACTIONS(1728),
    [anon_sym_STAR_STAR] = ACTIONS(1728),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_LT_EQ] = ACTIONS(1728),
    [anon_sym_EQ_EQ] = ACTIONS(1728),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1728),
    [anon_sym_BANG_EQ] = ACTIONS(1728),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1728),
    [anon_sym_GT_EQ] = ACTIONS(1728),
    [anon_sym_QMARK_QMARK] = ACTIONS(1728),
    [anon_sym_instanceof] = ACTIONS(1728),
    [anon_sym_TILDE] = ACTIONS(174),
    [anon_sym_void] = ACTIONS(174),
    [anon_sym_delete] = ACTIONS(174),
    [anon_sym_PLUS_PLUS] = ACTIONS(1039),
    [anon_sym_DASH_DASH] = ACTIONS(1039),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(185),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1115),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1097),
    [anon_sym_readonly] = ACTIONS(1097),
    [anon_sym_get] = ACTIONS(1097),
    [anon_sym_set] = ACTIONS(1097),
    [anon_sym_declare] = ACTIONS(1097),
    [anon_sym_public] = ACTIONS(1097),
    [anon_sym_private] = ACTIONS(1097),
    [anon_sym_protected] = ACTIONS(1097),
    [anon_sym_override] = ACTIONS(1097),
    [anon_sym_module] = ACTIONS(1097),
    [anon_sym_any] = ACTIONS(1097),
    [anon_sym_number] = ACTIONS(1097),
    [anon_sym_boolean] = ACTIONS(1097),
    [anon_sym_string] = ACTIONS(1097),
    [anon_sym_symbol] = ACTIONS(1097),
    [anon_sym_object] = ACTIONS(1097),
    [anon_sym_satisfies] = ACTIONS(1728),
    [sym__ternary_qmark] = ACTIONS(1734),
    [sym_html_comment] = ACTIONS(5),
  },
  [229] = {
    [sym_declaration] = STATE(1341),
    [sym_import] = STATE(4369),
    [sym_variable_declaration] = STATE(1382),
    [sym_lexical_declaration] = STATE(1382),
    [sym_parenthesized_expression] = STATE(2221),
    [sym_expression] = STATE(3019),
    [sym_primary_expression] = STATE(2990),
    [sym_yield_expression] = STATE(3139),
    [sym_object] = STATE(3113),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(3113),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(3139),
    [sym_glimmer_opening_tag] = STATE(5702),
    [sym_jsx_element] = STATE(3139),
    [sym_jsx_opening_element] = STATE(4008),
    [sym_jsx_self_closing_element] = STATE(3139),
    [sym_class] = STATE(3113),
    [sym_class_declaration] = STATE(1382),
    [sym_function_expression] = STATE(3113),
    [sym_function_declaration] = STATE(1382),
    [sym_generator_function] = STATE(3113),
    [sym_generator_function_declaration] = STATE(1382),
    [sym_arrow_function] = STATE(3113),
    [sym__call_signature] = STATE(7374),
    [sym_call_expression] = STATE(3113),
    [sym_new_expression] = STATE(3139),
    [sym_await_expression] = STATE(3139),
    [sym_member_expression] = STATE(2221),
    [sym_subscript_expression] = STATE(2221),
    [sym_assignment_expression] = STATE(3139),
    [sym__augmented_assignment_lhs] = STATE(3860),
    [sym_augmented_assignment_expression] = STATE(3139),
    [sym__destructuring_pattern] = STATE(7376),
    [sym_ternary_expression] = STATE(3139),
    [sym_binary_expression] = STATE(3139),
    [sym_unary_expression] = STATE(3139),
    [sym_update_expression] = STATE(3139),
    [sym_string] = STATE(3113),
    [sym_comment] = STATE(229),
    [sym_template_string] = STATE(3113),
    [sym_regex] = STATE(3113),
    [sym_meta_property] = STATE(3113),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2221),
    [sym_function_signature] = STATE(1382),
    [sym_as_expression] = STATE(3139),
    [sym_satisfies_expression] = STATE(3139),
    [sym_instantiation_expression] = STATE(3139),
    [sym_ambient_declaration] = STATE(1382),
    [sym_abstract_class_declaration] = STATE(1382),
    [sym_module] = STATE(1382),
    [sym_internal_module] = STATE(345),
    [sym_import_alias] = STATE(1382),
    [sym_interface_declaration] = STATE(1382),
    [sym_enum_declaration] = STATE(1382),
    [sym_type_alias_declaration] = STATE(1382),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5015),
    [sym_identifier] = ACTIONS(1758),
    [anon_sym_export] = ACTIONS(1362),
    [anon_sym_type] = ACTIONS(1792),
    [anon_sym_namespace] = ACTIONS(1794),
    [anon_sym_LBRACE] = ACTIONS(1020),
    [anon_sym_typeof] = ACTIONS(1370),
    [anon_sym_import] = ACTIONS(1796),
    [anon_sym_var] = ACTIONS(353),
    [anon_sym_let] = ACTIONS(1798),
    [anon_sym_const] = ACTIONS(357),
    [anon_sym_BANG] = ACTIONS(1370),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1374),
    [anon_sym_yield] = ACTIONS(1376),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(383),
    [anon_sym_async] = ACTIONS(1800),
    [anon_sym_function] = ACTIONS(387),
    [anon_sym_new] = ACTIONS(1762),
    [anon_sym_using] = ACTIONS(1384),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1370),
    [anon_sym_void] = ACTIONS(1370),
    [anon_sym_delete] = ACTIONS(1370),
    [anon_sym_PLUS_PLUS] = ACTIONS(1390),
    [anon_sym_DASH_DASH] = ACTIONS(1390),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1396),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1764),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1362),
    [anon_sym_readonly] = ACTIONS(1362),
    [anon_sym_get] = ACTIONS(1362),
    [anon_sym_set] = ACTIONS(1362),
    [anon_sym_declare] = ACTIONS(1802),
    [anon_sym_public] = ACTIONS(1362),
    [anon_sym_private] = ACTIONS(1362),
    [anon_sym_protected] = ACTIONS(1362),
    [anon_sym_override] = ACTIONS(1362),
    [anon_sym_module] = ACTIONS(1804),
    [anon_sym_any] = ACTIONS(1362),
    [anon_sym_number] = ACTIONS(1362),
    [anon_sym_boolean] = ACTIONS(1362),
    [anon_sym_string] = ACTIONS(1362),
    [anon_sym_symbol] = ACTIONS(1362),
    [anon_sym_object] = ACTIONS(1362),
    [anon_sym_abstract] = ACTIONS(397),
    [anon_sym_interface] = ACTIONS(399),
    [anon_sym_enum] = ACTIONS(401),
    [sym_html_comment] = ACTIONS(5),
  },
  [230] = {
    [sym_declaration] = STATE(5203),
    [sym_import] = STATE(4369),
    [sym_variable_declaration] = STATE(5192),
    [sym_lexical_declaration] = STATE(5192),
    [sym_parenthesized_expression] = STATE(2221),
    [sym_expression] = STATE(2998),
    [sym_primary_expression] = STATE(2990),
    [sym_yield_expression] = STATE(3139),
    [sym_object] = STATE(3113),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(3113),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(3139),
    [sym_glimmer_opening_tag] = STATE(5702),
    [sym_jsx_element] = STATE(3139),
    [sym_jsx_opening_element] = STATE(4008),
    [sym_jsx_self_closing_element] = STATE(3139),
    [sym_class] = STATE(3113),
    [sym_class_declaration] = STATE(5192),
    [sym_function_expression] = STATE(3113),
    [sym_function_declaration] = STATE(5192),
    [sym_generator_function] = STATE(3113),
    [sym_generator_function_declaration] = STATE(5192),
    [sym_arrow_function] = STATE(3113),
    [sym__call_signature] = STATE(7374),
    [sym_call_expression] = STATE(3113),
    [sym_new_expression] = STATE(3139),
    [sym_await_expression] = STATE(3139),
    [sym_member_expression] = STATE(2221),
    [sym_subscript_expression] = STATE(2221),
    [sym_assignment_expression] = STATE(3139),
    [sym__augmented_assignment_lhs] = STATE(3860),
    [sym_augmented_assignment_expression] = STATE(3139),
    [sym__destructuring_pattern] = STATE(7376),
    [sym_ternary_expression] = STATE(3139),
    [sym_binary_expression] = STATE(3139),
    [sym_unary_expression] = STATE(3139),
    [sym_update_expression] = STATE(3139),
    [sym_string] = STATE(3113),
    [sym_comment] = STATE(230),
    [sym_template_string] = STATE(3113),
    [sym_regex] = STATE(3113),
    [sym_meta_property] = STATE(3113),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2221),
    [sym_function_signature] = STATE(5192),
    [sym_as_expression] = STATE(3139),
    [sym_satisfies_expression] = STATE(3139),
    [sym_instantiation_expression] = STATE(3139),
    [sym_ambient_declaration] = STATE(5192),
    [sym_abstract_class_declaration] = STATE(5192),
    [sym_module] = STATE(5192),
    [sym_internal_module] = STATE(3199),
    [sym_import_alias] = STATE(5192),
    [sym_interface_declaration] = STATE(5192),
    [sym_enum_declaration] = STATE(5192),
    [sym_type_alias_declaration] = STATE(5192),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5275),
    [sym_identifier] = ACTIONS(1758),
    [anon_sym_export] = ACTIONS(1362),
    [anon_sym_type] = ACTIONS(1806),
    [anon_sym_namespace] = ACTIONS(1364),
    [anon_sym_LBRACE] = ACTIONS(1020),
    [anon_sym_typeof] = ACTIONS(1370),
    [anon_sym_import] = ACTIONS(1808),
    [anon_sym_var] = ACTIONS(1810),
    [anon_sym_let] = ACTIONS(1812),
    [anon_sym_const] = ACTIONS(1814),
    [anon_sym_BANG] = ACTIONS(1370),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1374),
    [anon_sym_yield] = ACTIONS(1376),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1816),
    [anon_sym_async] = ACTIONS(1818),
    [anon_sym_function] = ACTIONS(1820),
    [anon_sym_new] = ACTIONS(1762),
    [anon_sym_using] = ACTIONS(1384),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1370),
    [anon_sym_void] = ACTIONS(1370),
    [anon_sym_delete] = ACTIONS(1370),
    [anon_sym_PLUS_PLUS] = ACTIONS(1390),
    [anon_sym_DASH_DASH] = ACTIONS(1390),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1396),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1764),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1362),
    [anon_sym_readonly] = ACTIONS(1362),
    [anon_sym_get] = ACTIONS(1362),
    [anon_sym_set] = ACTIONS(1362),
    [anon_sym_declare] = ACTIONS(1822),
    [anon_sym_public] = ACTIONS(1362),
    [anon_sym_private] = ACTIONS(1362),
    [anon_sym_protected] = ACTIONS(1362),
    [anon_sym_override] = ACTIONS(1362),
    [anon_sym_module] = ACTIONS(1824),
    [anon_sym_any] = ACTIONS(1362),
    [anon_sym_number] = ACTIONS(1362),
    [anon_sym_boolean] = ACTIONS(1362),
    [anon_sym_string] = ACTIONS(1362),
    [anon_sym_symbol] = ACTIONS(1362),
    [anon_sym_object] = ACTIONS(1362),
    [anon_sym_abstract] = ACTIONS(1826),
    [anon_sym_interface] = ACTIONS(1828),
    [anon_sym_enum] = ACTIONS(1830),
    [sym_html_comment] = ACTIONS(5),
  },
  [231] = {
    [sym_declaration] = STATE(6983),
    [sym_import] = STATE(4369),
    [sym_variable_declaration] = STATE(6895),
    [sym_lexical_declaration] = STATE(6895),
    [sym_parenthesized_expression] = STATE(2221),
    [sym_expression] = STATE(3056),
    [sym_primary_expression] = STATE(2990),
    [sym_yield_expression] = STATE(3139),
    [sym_object] = STATE(3113),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(3113),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(3139),
    [sym_glimmer_opening_tag] = STATE(5702),
    [sym_jsx_element] = STATE(3139),
    [sym_jsx_opening_element] = STATE(4008),
    [sym_jsx_self_closing_element] = STATE(3139),
    [sym_class] = STATE(3113),
    [sym_class_declaration] = STATE(6895),
    [sym_function_expression] = STATE(3113),
    [sym_function_declaration] = STATE(6895),
    [sym_generator_function] = STATE(3113),
    [sym_generator_function_declaration] = STATE(6895),
    [sym_arrow_function] = STATE(3113),
    [sym__call_signature] = STATE(7374),
    [sym_call_expression] = STATE(3113),
    [sym_new_expression] = STATE(3139),
    [sym_await_expression] = STATE(3139),
    [sym_member_expression] = STATE(2221),
    [sym_subscript_expression] = STATE(2221),
    [sym_assignment_expression] = STATE(3139),
    [sym__augmented_assignment_lhs] = STATE(3860),
    [sym_augmented_assignment_expression] = STATE(3139),
    [sym__destructuring_pattern] = STATE(7376),
    [sym_ternary_expression] = STATE(3139),
    [sym_binary_expression] = STATE(3139),
    [sym_unary_expression] = STATE(3139),
    [sym_update_expression] = STATE(3139),
    [sym_string] = STATE(3113),
    [sym_comment] = STATE(231),
    [sym_template_string] = STATE(3113),
    [sym_regex] = STATE(3113),
    [sym_meta_property] = STATE(3113),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2221),
    [sym_function_signature] = STATE(6895),
    [sym_as_expression] = STATE(3139),
    [sym_satisfies_expression] = STATE(3139),
    [sym_instantiation_expression] = STATE(3139),
    [sym_ambient_declaration] = STATE(6895),
    [sym_abstract_class_declaration] = STATE(6895),
    [sym_module] = STATE(6895),
    [sym_internal_module] = STATE(3105),
    [sym_import_alias] = STATE(6895),
    [sym_interface_declaration] = STATE(6895),
    [sym_enum_declaration] = STATE(6895),
    [sym_type_alias_declaration] = STATE(6895),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5200),
    [sym_identifier] = ACTIONS(1758),
    [anon_sym_export] = ACTIONS(1362),
    [anon_sym_type] = ACTIONS(1832),
    [anon_sym_namespace] = ACTIONS(1364),
    [anon_sym_LBRACE] = ACTIONS(1020),
    [anon_sym_typeof] = ACTIONS(1370),
    [anon_sym_import] = ACTIONS(1834),
    [anon_sym_var] = ACTIONS(906),
    [anon_sym_let] = ACTIONS(1836),
    [anon_sym_const] = ACTIONS(910),
    [anon_sym_BANG] = ACTIONS(1370),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1374),
    [anon_sym_yield] = ACTIONS(1376),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(936),
    [anon_sym_async] = ACTIONS(1838),
    [anon_sym_function] = ACTIONS(940),
    [anon_sym_new] = ACTIONS(1762),
    [anon_sym_using] = ACTIONS(1384),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1370),
    [anon_sym_void] = ACTIONS(1370),
    [anon_sym_delete] = ACTIONS(1370),
    [anon_sym_PLUS_PLUS] = ACTIONS(1390),
    [anon_sym_DASH_DASH] = ACTIONS(1390),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1396),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1764),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1362),
    [anon_sym_readonly] = ACTIONS(1362),
    [anon_sym_get] = ACTIONS(1362),
    [anon_sym_set] = ACTIONS(1362),
    [anon_sym_declare] = ACTIONS(1840),
    [anon_sym_public] = ACTIONS(1362),
    [anon_sym_private] = ACTIONS(1362),
    [anon_sym_protected] = ACTIONS(1362),
    [anon_sym_override] = ACTIONS(1362),
    [anon_sym_module] = ACTIONS(1842),
    [anon_sym_any] = ACTIONS(1362),
    [anon_sym_number] = ACTIONS(1362),
    [anon_sym_boolean] = ACTIONS(1362),
    [anon_sym_string] = ACTIONS(1362),
    [anon_sym_symbol] = ACTIONS(1362),
    [anon_sym_object] = ACTIONS(1362),
    [anon_sym_abstract] = ACTIONS(950),
    [anon_sym_interface] = ACTIONS(952),
    [anon_sym_enum] = ACTIONS(954),
    [sym_html_comment] = ACTIONS(5),
  },
  [232] = {
    [sym_declaration] = STATE(6973),
    [sym_import] = STATE(4369),
    [sym_variable_declaration] = STATE(6895),
    [sym_lexical_declaration] = STATE(6895),
    [sym_parenthesized_expression] = STATE(2221),
    [sym_expression] = STATE(2935),
    [sym_primary_expression] = STATE(2990),
    [sym_yield_expression] = STATE(3139),
    [sym_object] = STATE(3113),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(3113),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(3139),
    [sym_glimmer_opening_tag] = STATE(5702),
    [sym_jsx_element] = STATE(3139),
    [sym_jsx_opening_element] = STATE(4008),
    [sym_jsx_self_closing_element] = STATE(3139),
    [sym_class] = STATE(3113),
    [sym_class_declaration] = STATE(6895),
    [sym_function_expression] = STATE(3113),
    [sym_function_declaration] = STATE(6895),
    [sym_generator_function] = STATE(3113),
    [sym_generator_function_declaration] = STATE(6895),
    [sym_arrow_function] = STATE(3113),
    [sym__call_signature] = STATE(7374),
    [sym_call_expression] = STATE(3113),
    [sym_new_expression] = STATE(3139),
    [sym_await_expression] = STATE(3139),
    [sym_member_expression] = STATE(2221),
    [sym_subscript_expression] = STATE(2221),
    [sym_assignment_expression] = STATE(3139),
    [sym__augmented_assignment_lhs] = STATE(3860),
    [sym_augmented_assignment_expression] = STATE(3139),
    [sym__destructuring_pattern] = STATE(7376),
    [sym_ternary_expression] = STATE(3139),
    [sym_binary_expression] = STATE(3139),
    [sym_unary_expression] = STATE(3139),
    [sym_update_expression] = STATE(3139),
    [sym_string] = STATE(3113),
    [sym_comment] = STATE(232),
    [sym_template_string] = STATE(3113),
    [sym_regex] = STATE(3113),
    [sym_meta_property] = STATE(3113),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2221),
    [sym_function_signature] = STATE(6895),
    [sym_as_expression] = STATE(3139),
    [sym_satisfies_expression] = STATE(3139),
    [sym_instantiation_expression] = STATE(3139),
    [sym_ambient_declaration] = STATE(6895),
    [sym_abstract_class_declaration] = STATE(6895),
    [sym_module] = STATE(6895),
    [sym_internal_module] = STATE(3105),
    [sym_import_alias] = STATE(6895),
    [sym_interface_declaration] = STATE(6895),
    [sym_enum_declaration] = STATE(6895),
    [sym_type_alias_declaration] = STATE(6895),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5200),
    [sym_identifier] = ACTIONS(1758),
    [anon_sym_export] = ACTIONS(1362),
    [anon_sym_type] = ACTIONS(1832),
    [anon_sym_namespace] = ACTIONS(1364),
    [anon_sym_LBRACE] = ACTIONS(1020),
    [anon_sym_typeof] = ACTIONS(1370),
    [anon_sym_import] = ACTIONS(1834),
    [anon_sym_var] = ACTIONS(906),
    [anon_sym_let] = ACTIONS(1836),
    [anon_sym_const] = ACTIONS(910),
    [anon_sym_BANG] = ACTIONS(1370),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1374),
    [anon_sym_yield] = ACTIONS(1376),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(936),
    [anon_sym_async] = ACTIONS(1838),
    [anon_sym_function] = ACTIONS(940),
    [anon_sym_new] = ACTIONS(1762),
    [anon_sym_using] = ACTIONS(1384),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1370),
    [anon_sym_void] = ACTIONS(1370),
    [anon_sym_delete] = ACTIONS(1370),
    [anon_sym_PLUS_PLUS] = ACTIONS(1390),
    [anon_sym_DASH_DASH] = ACTIONS(1390),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1396),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1764),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1362),
    [anon_sym_readonly] = ACTIONS(1362),
    [anon_sym_get] = ACTIONS(1362),
    [anon_sym_set] = ACTIONS(1362),
    [anon_sym_declare] = ACTIONS(1840),
    [anon_sym_public] = ACTIONS(1362),
    [anon_sym_private] = ACTIONS(1362),
    [anon_sym_protected] = ACTIONS(1362),
    [anon_sym_override] = ACTIONS(1362),
    [anon_sym_module] = ACTIONS(1842),
    [anon_sym_any] = ACTIONS(1362),
    [anon_sym_number] = ACTIONS(1362),
    [anon_sym_boolean] = ACTIONS(1362),
    [anon_sym_string] = ACTIONS(1362),
    [anon_sym_symbol] = ACTIONS(1362),
    [anon_sym_object] = ACTIONS(1362),
    [anon_sym_abstract] = ACTIONS(950),
    [anon_sym_interface] = ACTIONS(952),
    [anon_sym_enum] = ACTIONS(954),
    [sym_html_comment] = ACTIONS(5),
  },
  [233] = {
    [sym_declaration] = STATE(1428),
    [sym_import] = STATE(4369),
    [sym_variable_declaration] = STATE(1220),
    [sym_lexical_declaration] = STATE(1220),
    [sym_parenthesized_expression] = STATE(2221),
    [sym_expression] = STATE(2969),
    [sym_primary_expression] = STATE(2990),
    [sym_yield_expression] = STATE(3139),
    [sym_object] = STATE(3113),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(3113),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(3139),
    [sym_glimmer_opening_tag] = STATE(5702),
    [sym_jsx_element] = STATE(3139),
    [sym_jsx_opening_element] = STATE(4008),
    [sym_jsx_self_closing_element] = STATE(3139),
    [sym_class] = STATE(3113),
    [sym_class_declaration] = STATE(1220),
    [sym_function_expression] = STATE(3113),
    [sym_function_declaration] = STATE(1220),
    [sym_generator_function] = STATE(3113),
    [sym_generator_function_declaration] = STATE(1220),
    [sym_arrow_function] = STATE(3113),
    [sym__call_signature] = STATE(7374),
    [sym_call_expression] = STATE(3113),
    [sym_new_expression] = STATE(3139),
    [sym_await_expression] = STATE(3139),
    [sym_member_expression] = STATE(2221),
    [sym_subscript_expression] = STATE(2221),
    [sym_assignment_expression] = STATE(3139),
    [sym__augmented_assignment_lhs] = STATE(3860),
    [sym_augmented_assignment_expression] = STATE(3139),
    [sym__destructuring_pattern] = STATE(7376),
    [sym_ternary_expression] = STATE(3139),
    [sym_binary_expression] = STATE(3139),
    [sym_unary_expression] = STATE(3139),
    [sym_update_expression] = STATE(3139),
    [sym_string] = STATE(3113),
    [sym_comment] = STATE(233),
    [sym_template_string] = STATE(3113),
    [sym_regex] = STATE(3113),
    [sym_meta_property] = STATE(3113),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2221),
    [sym_function_signature] = STATE(1220),
    [sym_as_expression] = STATE(3139),
    [sym_satisfies_expression] = STATE(3139),
    [sym_instantiation_expression] = STATE(3139),
    [sym_ambient_declaration] = STATE(1220),
    [sym_abstract_class_declaration] = STATE(1220),
    [sym_module] = STATE(1220),
    [sym_internal_module] = STATE(415),
    [sym_import_alias] = STATE(1220),
    [sym_interface_declaration] = STATE(1220),
    [sym_enum_declaration] = STATE(1220),
    [sym_type_alias_declaration] = STATE(1220),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5474),
    [sym_identifier] = ACTIONS(1758),
    [anon_sym_export] = ACTIONS(1362),
    [anon_sym_type] = ACTIONS(1844),
    [anon_sym_namespace] = ACTIONS(1846),
    [anon_sym_LBRACE] = ACTIONS(1020),
    [anon_sym_typeof] = ACTIONS(1370),
    [anon_sym_import] = ACTIONS(1848),
    [anon_sym_var] = ACTIONS(842),
    [anon_sym_let] = ACTIONS(1850),
    [anon_sym_const] = ACTIONS(846),
    [anon_sym_BANG] = ACTIONS(1370),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1374),
    [anon_sym_yield] = ACTIONS(1376),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(872),
    [anon_sym_async] = ACTIONS(1852),
    [anon_sym_function] = ACTIONS(876),
    [anon_sym_new] = ACTIONS(1762),
    [anon_sym_using] = ACTIONS(1384),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1370),
    [anon_sym_void] = ACTIONS(1370),
    [anon_sym_delete] = ACTIONS(1370),
    [anon_sym_PLUS_PLUS] = ACTIONS(1390),
    [anon_sym_DASH_DASH] = ACTIONS(1390),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1396),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1764),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1362),
    [anon_sym_readonly] = ACTIONS(1362),
    [anon_sym_get] = ACTIONS(1362),
    [anon_sym_set] = ACTIONS(1362),
    [anon_sym_declare] = ACTIONS(1854),
    [anon_sym_public] = ACTIONS(1362),
    [anon_sym_private] = ACTIONS(1362),
    [anon_sym_protected] = ACTIONS(1362),
    [anon_sym_override] = ACTIONS(1362),
    [anon_sym_module] = ACTIONS(1856),
    [anon_sym_any] = ACTIONS(1362),
    [anon_sym_number] = ACTIONS(1362),
    [anon_sym_boolean] = ACTIONS(1362),
    [anon_sym_string] = ACTIONS(1362),
    [anon_sym_symbol] = ACTIONS(1362),
    [anon_sym_object] = ACTIONS(1362),
    [anon_sym_abstract] = ACTIONS(886),
    [anon_sym_interface] = ACTIONS(888),
    [anon_sym_enum] = ACTIONS(890),
    [sym_html_comment] = ACTIONS(5),
  },
  [234] = {
    [sym_declaration] = STATE(1039),
    [sym_import] = STATE(4369),
    [sym_variable_declaration] = STATE(1105),
    [sym_lexical_declaration] = STATE(1105),
    [sym_parenthesized_expression] = STATE(2221),
    [sym_expression] = STATE(3032),
    [sym_primary_expression] = STATE(2990),
    [sym_yield_expression] = STATE(3139),
    [sym_object] = STATE(3113),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(3113),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(3139),
    [sym_glimmer_opening_tag] = STATE(5702),
    [sym_jsx_element] = STATE(3139),
    [sym_jsx_opening_element] = STATE(4008),
    [sym_jsx_self_closing_element] = STATE(3139),
    [sym_class] = STATE(3113),
    [sym_class_declaration] = STATE(1105),
    [sym_function_expression] = STATE(3113),
    [sym_function_declaration] = STATE(1105),
    [sym_generator_function] = STATE(3113),
    [sym_generator_function_declaration] = STATE(1105),
    [sym_arrow_function] = STATE(3113),
    [sym__call_signature] = STATE(7374),
    [sym_call_expression] = STATE(3113),
    [sym_new_expression] = STATE(3139),
    [sym_await_expression] = STATE(3139),
    [sym_member_expression] = STATE(2221),
    [sym_subscript_expression] = STATE(2221),
    [sym_assignment_expression] = STATE(3139),
    [sym__augmented_assignment_lhs] = STATE(3860),
    [sym_augmented_assignment_expression] = STATE(3139),
    [sym__destructuring_pattern] = STATE(7376),
    [sym_ternary_expression] = STATE(3139),
    [sym_binary_expression] = STATE(3139),
    [sym_unary_expression] = STATE(3139),
    [sym_update_expression] = STATE(3139),
    [sym_string] = STATE(3113),
    [sym_comment] = STATE(234),
    [sym_template_string] = STATE(3113),
    [sym_regex] = STATE(3113),
    [sym_meta_property] = STATE(3113),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2221),
    [sym_function_signature] = STATE(1105),
    [sym_as_expression] = STATE(3139),
    [sym_satisfies_expression] = STATE(3139),
    [sym_instantiation_expression] = STATE(3139),
    [sym_ambient_declaration] = STATE(1105),
    [sym_abstract_class_declaration] = STATE(1105),
    [sym_module] = STATE(1105),
    [sym_internal_module] = STATE(315),
    [sym_import_alias] = STATE(1105),
    [sym_interface_declaration] = STATE(1105),
    [sym_enum_declaration] = STATE(1105),
    [sym_type_alias_declaration] = STATE(1105),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(4995),
    [sym_identifier] = ACTIONS(1758),
    [anon_sym_export] = ACTIONS(1362),
    [anon_sym_type] = ACTIONS(1858),
    [anon_sym_namespace] = ACTIONS(1860),
    [anon_sym_LBRACE] = ACTIONS(1020),
    [anon_sym_typeof] = ACTIONS(1370),
    [anon_sym_import] = ACTIONS(1862),
    [anon_sym_var] = ACTIONS(778),
    [anon_sym_let] = ACTIONS(1864),
    [anon_sym_const] = ACTIONS(782),
    [anon_sym_BANG] = ACTIONS(1370),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1374),
    [anon_sym_yield] = ACTIONS(1376),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(808),
    [anon_sym_async] = ACTIONS(1866),
    [anon_sym_function] = ACTIONS(812),
    [anon_sym_new] = ACTIONS(1762),
    [anon_sym_using] = ACTIONS(1384),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1370),
    [anon_sym_void] = ACTIONS(1370),
    [anon_sym_delete] = ACTIONS(1370),
    [anon_sym_PLUS_PLUS] = ACTIONS(1390),
    [anon_sym_DASH_DASH] = ACTIONS(1390),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1396),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1764),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1362),
    [anon_sym_readonly] = ACTIONS(1362),
    [anon_sym_get] = ACTIONS(1362),
    [anon_sym_set] = ACTIONS(1362),
    [anon_sym_declare] = ACTIONS(1868),
    [anon_sym_public] = ACTIONS(1362),
    [anon_sym_private] = ACTIONS(1362),
    [anon_sym_protected] = ACTIONS(1362),
    [anon_sym_override] = ACTIONS(1362),
    [anon_sym_module] = ACTIONS(1870),
    [anon_sym_any] = ACTIONS(1362),
    [anon_sym_number] = ACTIONS(1362),
    [anon_sym_boolean] = ACTIONS(1362),
    [anon_sym_string] = ACTIONS(1362),
    [anon_sym_symbol] = ACTIONS(1362),
    [anon_sym_object] = ACTIONS(1362),
    [anon_sym_abstract] = ACTIONS(822),
    [anon_sym_interface] = ACTIONS(824),
    [anon_sym_enum] = ACTIONS(826),
    [sym_html_comment] = ACTIONS(5),
  },
  [235] = {
    [sym_declaration] = STATE(5306),
    [sym_import] = STATE(4369),
    [sym_variable_declaration] = STATE(5192),
    [sym_lexical_declaration] = STATE(5192),
    [sym_parenthesized_expression] = STATE(2221),
    [sym_expression] = STATE(2988),
    [sym_primary_expression] = STATE(2990),
    [sym_yield_expression] = STATE(3139),
    [sym_object] = STATE(3113),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(3113),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(3139),
    [sym_glimmer_opening_tag] = STATE(5702),
    [sym_jsx_element] = STATE(3139),
    [sym_jsx_opening_element] = STATE(4008),
    [sym_jsx_self_closing_element] = STATE(3139),
    [sym_class] = STATE(3113),
    [sym_class_declaration] = STATE(5192),
    [sym_function_expression] = STATE(3113),
    [sym_function_declaration] = STATE(5192),
    [sym_generator_function] = STATE(3113),
    [sym_generator_function_declaration] = STATE(5192),
    [sym_arrow_function] = STATE(3113),
    [sym__call_signature] = STATE(7374),
    [sym_call_expression] = STATE(3113),
    [sym_new_expression] = STATE(3139),
    [sym_await_expression] = STATE(3139),
    [sym_member_expression] = STATE(2221),
    [sym_subscript_expression] = STATE(2221),
    [sym_assignment_expression] = STATE(3139),
    [sym__augmented_assignment_lhs] = STATE(3860),
    [sym_augmented_assignment_expression] = STATE(3139),
    [sym__destructuring_pattern] = STATE(7376),
    [sym_ternary_expression] = STATE(3139),
    [sym_binary_expression] = STATE(3139),
    [sym_unary_expression] = STATE(3139),
    [sym_update_expression] = STATE(3139),
    [sym_string] = STATE(3113),
    [sym_comment] = STATE(235),
    [sym_template_string] = STATE(3113),
    [sym_regex] = STATE(3113),
    [sym_meta_property] = STATE(3113),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2221),
    [sym_function_signature] = STATE(5192),
    [sym_as_expression] = STATE(3139),
    [sym_satisfies_expression] = STATE(3139),
    [sym_instantiation_expression] = STATE(3139),
    [sym_ambient_declaration] = STATE(5192),
    [sym_abstract_class_declaration] = STATE(5192),
    [sym_module] = STATE(5192),
    [sym_internal_module] = STATE(3199),
    [sym_import_alias] = STATE(5192),
    [sym_interface_declaration] = STATE(5192),
    [sym_enum_declaration] = STATE(5192),
    [sym_type_alias_declaration] = STATE(5192),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5275),
    [sym_identifier] = ACTIONS(1758),
    [anon_sym_export] = ACTIONS(1362),
    [anon_sym_type] = ACTIONS(1806),
    [anon_sym_namespace] = ACTIONS(1364),
    [anon_sym_LBRACE] = ACTIONS(1020),
    [anon_sym_typeof] = ACTIONS(1370),
    [anon_sym_import] = ACTIONS(1808),
    [anon_sym_var] = ACTIONS(1810),
    [anon_sym_let] = ACTIONS(1812),
    [anon_sym_const] = ACTIONS(1814),
    [anon_sym_BANG] = ACTIONS(1370),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1374),
    [anon_sym_yield] = ACTIONS(1376),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1816),
    [anon_sym_async] = ACTIONS(1818),
    [anon_sym_function] = ACTIONS(1820),
    [anon_sym_new] = ACTIONS(1762),
    [anon_sym_using] = ACTIONS(1384),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1370),
    [anon_sym_void] = ACTIONS(1370),
    [anon_sym_delete] = ACTIONS(1370),
    [anon_sym_PLUS_PLUS] = ACTIONS(1390),
    [anon_sym_DASH_DASH] = ACTIONS(1390),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1396),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1764),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1362),
    [anon_sym_readonly] = ACTIONS(1362),
    [anon_sym_get] = ACTIONS(1362),
    [anon_sym_set] = ACTIONS(1362),
    [anon_sym_declare] = ACTIONS(1822),
    [anon_sym_public] = ACTIONS(1362),
    [anon_sym_private] = ACTIONS(1362),
    [anon_sym_protected] = ACTIONS(1362),
    [anon_sym_override] = ACTIONS(1362),
    [anon_sym_module] = ACTIONS(1824),
    [anon_sym_any] = ACTIONS(1362),
    [anon_sym_number] = ACTIONS(1362),
    [anon_sym_boolean] = ACTIONS(1362),
    [anon_sym_string] = ACTIONS(1362),
    [anon_sym_symbol] = ACTIONS(1362),
    [anon_sym_object] = ACTIONS(1362),
    [anon_sym_abstract] = ACTIONS(1826),
    [anon_sym_interface] = ACTIONS(1828),
    [anon_sym_enum] = ACTIONS(1830),
    [sym_html_comment] = ACTIONS(5),
  },
  [236] = {
    [sym_declaration] = STATE(1201),
    [sym_import] = STATE(4369),
    [sym_variable_declaration] = STATE(1382),
    [sym_lexical_declaration] = STATE(1382),
    [sym_parenthesized_expression] = STATE(2221),
    [sym_expression] = STATE(3024),
    [sym_primary_expression] = STATE(2990),
    [sym_yield_expression] = STATE(3139),
    [sym_object] = STATE(3113),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(3113),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(3139),
    [sym_glimmer_opening_tag] = STATE(5702),
    [sym_jsx_element] = STATE(3139),
    [sym_jsx_opening_element] = STATE(4008),
    [sym_jsx_self_closing_element] = STATE(3139),
    [sym_class] = STATE(3113),
    [sym_class_declaration] = STATE(1382),
    [sym_function_expression] = STATE(3113),
    [sym_function_declaration] = STATE(1382),
    [sym_generator_function] = STATE(3113),
    [sym_generator_function_declaration] = STATE(1382),
    [sym_arrow_function] = STATE(3113),
    [sym__call_signature] = STATE(7374),
    [sym_call_expression] = STATE(3113),
    [sym_new_expression] = STATE(3139),
    [sym_await_expression] = STATE(3139),
    [sym_member_expression] = STATE(2221),
    [sym_subscript_expression] = STATE(2221),
    [sym_assignment_expression] = STATE(3139),
    [sym__augmented_assignment_lhs] = STATE(3860),
    [sym_augmented_assignment_expression] = STATE(3139),
    [sym__destructuring_pattern] = STATE(7376),
    [sym_ternary_expression] = STATE(3139),
    [sym_binary_expression] = STATE(3139),
    [sym_unary_expression] = STATE(3139),
    [sym_update_expression] = STATE(3139),
    [sym_string] = STATE(3113),
    [sym_comment] = STATE(236),
    [sym_template_string] = STATE(3113),
    [sym_regex] = STATE(3113),
    [sym_meta_property] = STATE(3113),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2221),
    [sym_function_signature] = STATE(1382),
    [sym_as_expression] = STATE(3139),
    [sym_satisfies_expression] = STATE(3139),
    [sym_instantiation_expression] = STATE(3139),
    [sym_ambient_declaration] = STATE(1382),
    [sym_abstract_class_declaration] = STATE(1382),
    [sym_module] = STATE(1382),
    [sym_internal_module] = STATE(345),
    [sym_import_alias] = STATE(1382),
    [sym_interface_declaration] = STATE(1382),
    [sym_enum_declaration] = STATE(1382),
    [sym_type_alias_declaration] = STATE(1382),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5015),
    [sym_identifier] = ACTIONS(1758),
    [anon_sym_export] = ACTIONS(1362),
    [anon_sym_type] = ACTIONS(1792),
    [anon_sym_namespace] = ACTIONS(1794),
    [anon_sym_LBRACE] = ACTIONS(1020),
    [anon_sym_typeof] = ACTIONS(1370),
    [anon_sym_import] = ACTIONS(1796),
    [anon_sym_var] = ACTIONS(353),
    [anon_sym_let] = ACTIONS(1798),
    [anon_sym_const] = ACTIONS(357),
    [anon_sym_BANG] = ACTIONS(1370),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1374),
    [anon_sym_yield] = ACTIONS(1376),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(383),
    [anon_sym_async] = ACTIONS(1800),
    [anon_sym_function] = ACTIONS(387),
    [anon_sym_new] = ACTIONS(1762),
    [anon_sym_using] = ACTIONS(1384),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1370),
    [anon_sym_void] = ACTIONS(1370),
    [anon_sym_delete] = ACTIONS(1370),
    [anon_sym_PLUS_PLUS] = ACTIONS(1390),
    [anon_sym_DASH_DASH] = ACTIONS(1390),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1396),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1764),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1362),
    [anon_sym_readonly] = ACTIONS(1362),
    [anon_sym_get] = ACTIONS(1362),
    [anon_sym_set] = ACTIONS(1362),
    [anon_sym_declare] = ACTIONS(1802),
    [anon_sym_public] = ACTIONS(1362),
    [anon_sym_private] = ACTIONS(1362),
    [anon_sym_protected] = ACTIONS(1362),
    [anon_sym_override] = ACTIONS(1362),
    [anon_sym_module] = ACTIONS(1804),
    [anon_sym_any] = ACTIONS(1362),
    [anon_sym_number] = ACTIONS(1362),
    [anon_sym_boolean] = ACTIONS(1362),
    [anon_sym_string] = ACTIONS(1362),
    [anon_sym_symbol] = ACTIONS(1362),
    [anon_sym_object] = ACTIONS(1362),
    [anon_sym_abstract] = ACTIONS(397),
    [anon_sym_interface] = ACTIONS(399),
    [anon_sym_enum] = ACTIONS(401),
    [sym_html_comment] = ACTIONS(5),
  },
  [237] = {
    [sym_declaration] = STATE(1655),
    [sym_import] = STATE(4369),
    [sym_variable_declaration] = STATE(1573),
    [sym_lexical_declaration] = STATE(1573),
    [sym_parenthesized_expression] = STATE(2221),
    [sym_expression] = STATE(3041),
    [sym_primary_expression] = STATE(2990),
    [sym_yield_expression] = STATE(3139),
    [sym_object] = STATE(3113),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(3113),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(3139),
    [sym_glimmer_opening_tag] = STATE(5702),
    [sym_jsx_element] = STATE(3139),
    [sym_jsx_opening_element] = STATE(4008),
    [sym_jsx_self_closing_element] = STATE(3139),
    [sym_class] = STATE(3113),
    [sym_class_declaration] = STATE(1573),
    [sym_function_expression] = STATE(3113),
    [sym_function_declaration] = STATE(1573),
    [sym_generator_function] = STATE(3113),
    [sym_generator_function_declaration] = STATE(1573),
    [sym_arrow_function] = STATE(3113),
    [sym__call_signature] = STATE(7374),
    [sym_call_expression] = STATE(3113),
    [sym_new_expression] = STATE(3139),
    [sym_await_expression] = STATE(3139),
    [sym_member_expression] = STATE(2221),
    [sym_subscript_expression] = STATE(2221),
    [sym_assignment_expression] = STATE(3139),
    [sym__augmented_assignment_lhs] = STATE(3860),
    [sym_augmented_assignment_expression] = STATE(3139),
    [sym__destructuring_pattern] = STATE(7376),
    [sym_ternary_expression] = STATE(3139),
    [sym_binary_expression] = STATE(3139),
    [sym_unary_expression] = STATE(3139),
    [sym_update_expression] = STATE(3139),
    [sym_string] = STATE(3113),
    [sym_comment] = STATE(237),
    [sym_template_string] = STATE(3113),
    [sym_regex] = STATE(3113),
    [sym_meta_property] = STATE(3113),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2221),
    [sym_function_signature] = STATE(1573),
    [sym_as_expression] = STATE(3139),
    [sym_satisfies_expression] = STATE(3139),
    [sym_instantiation_expression] = STATE(3139),
    [sym_ambient_declaration] = STATE(1573),
    [sym_abstract_class_declaration] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_internal_module] = STATE(437),
    [sym_import_alias] = STATE(1573),
    [sym_interface_declaration] = STATE(1573),
    [sym_enum_declaration] = STATE(1573),
    [sym_type_alias_declaration] = STATE(1573),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5222),
    [sym_identifier] = ACTIONS(1758),
    [anon_sym_export] = ACTIONS(1362),
    [anon_sym_type] = ACTIONS(1872),
    [anon_sym_namespace] = ACTIONS(1874),
    [anon_sym_LBRACE] = ACTIONS(1020),
    [anon_sym_typeof] = ACTIONS(1370),
    [anon_sym_import] = ACTIONS(1876),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(1878),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(1370),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1374),
    [anon_sym_yield] = ACTIONS(1376),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(1880),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(1762),
    [anon_sym_using] = ACTIONS(1384),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1370),
    [anon_sym_void] = ACTIONS(1370),
    [anon_sym_delete] = ACTIONS(1370),
    [anon_sym_PLUS_PLUS] = ACTIONS(1390),
    [anon_sym_DASH_DASH] = ACTIONS(1390),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1396),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1764),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1362),
    [anon_sym_readonly] = ACTIONS(1362),
    [anon_sym_get] = ACTIONS(1362),
    [anon_sym_set] = ACTIONS(1362),
    [anon_sym_declare] = ACTIONS(1882),
    [anon_sym_public] = ACTIONS(1362),
    [anon_sym_private] = ACTIONS(1362),
    [anon_sym_protected] = ACTIONS(1362),
    [anon_sym_override] = ACTIONS(1362),
    [anon_sym_module] = ACTIONS(1884),
    [anon_sym_any] = ACTIONS(1362),
    [anon_sym_number] = ACTIONS(1362),
    [anon_sym_boolean] = ACTIONS(1362),
    [anon_sym_string] = ACTIONS(1362),
    [anon_sym_symbol] = ACTIONS(1362),
    [anon_sym_object] = ACTIONS(1362),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [238] = {
    [sym_declaration] = STATE(1091),
    [sym_import] = STATE(4369),
    [sym_variable_declaration] = STATE(1105),
    [sym_lexical_declaration] = STATE(1105),
    [sym_parenthesized_expression] = STATE(2221),
    [sym_expression] = STATE(3030),
    [sym_primary_expression] = STATE(2990),
    [sym_yield_expression] = STATE(3139),
    [sym_object] = STATE(3113),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(3113),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(3139),
    [sym_glimmer_opening_tag] = STATE(5702),
    [sym_jsx_element] = STATE(3139),
    [sym_jsx_opening_element] = STATE(4008),
    [sym_jsx_self_closing_element] = STATE(3139),
    [sym_class] = STATE(3113),
    [sym_class_declaration] = STATE(1105),
    [sym_function_expression] = STATE(3113),
    [sym_function_declaration] = STATE(1105),
    [sym_generator_function] = STATE(3113),
    [sym_generator_function_declaration] = STATE(1105),
    [sym_arrow_function] = STATE(3113),
    [sym__call_signature] = STATE(7374),
    [sym_call_expression] = STATE(3113),
    [sym_new_expression] = STATE(3139),
    [sym_await_expression] = STATE(3139),
    [sym_member_expression] = STATE(2221),
    [sym_subscript_expression] = STATE(2221),
    [sym_assignment_expression] = STATE(3139),
    [sym__augmented_assignment_lhs] = STATE(3860),
    [sym_augmented_assignment_expression] = STATE(3139),
    [sym__destructuring_pattern] = STATE(7376),
    [sym_ternary_expression] = STATE(3139),
    [sym_binary_expression] = STATE(3139),
    [sym_unary_expression] = STATE(3139),
    [sym_update_expression] = STATE(3139),
    [sym_string] = STATE(3113),
    [sym_comment] = STATE(238),
    [sym_template_string] = STATE(3113),
    [sym_regex] = STATE(3113),
    [sym_meta_property] = STATE(3113),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2221),
    [sym_function_signature] = STATE(1105),
    [sym_as_expression] = STATE(3139),
    [sym_satisfies_expression] = STATE(3139),
    [sym_instantiation_expression] = STATE(3139),
    [sym_ambient_declaration] = STATE(1105),
    [sym_abstract_class_declaration] = STATE(1105),
    [sym_module] = STATE(1105),
    [sym_internal_module] = STATE(315),
    [sym_import_alias] = STATE(1105),
    [sym_interface_declaration] = STATE(1105),
    [sym_enum_declaration] = STATE(1105),
    [sym_type_alias_declaration] = STATE(1105),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(4995),
    [sym_identifier] = ACTIONS(1758),
    [anon_sym_export] = ACTIONS(1362),
    [anon_sym_type] = ACTIONS(1858),
    [anon_sym_namespace] = ACTIONS(1860),
    [anon_sym_LBRACE] = ACTIONS(1020),
    [anon_sym_typeof] = ACTIONS(1370),
    [anon_sym_import] = ACTIONS(1862),
    [anon_sym_var] = ACTIONS(778),
    [anon_sym_let] = ACTIONS(1864),
    [anon_sym_const] = ACTIONS(782),
    [anon_sym_BANG] = ACTIONS(1370),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1374),
    [anon_sym_yield] = ACTIONS(1376),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(808),
    [anon_sym_async] = ACTIONS(1866),
    [anon_sym_function] = ACTIONS(812),
    [anon_sym_new] = ACTIONS(1762),
    [anon_sym_using] = ACTIONS(1384),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1370),
    [anon_sym_void] = ACTIONS(1370),
    [anon_sym_delete] = ACTIONS(1370),
    [anon_sym_PLUS_PLUS] = ACTIONS(1390),
    [anon_sym_DASH_DASH] = ACTIONS(1390),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1396),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1764),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1362),
    [anon_sym_readonly] = ACTIONS(1362),
    [anon_sym_get] = ACTIONS(1362),
    [anon_sym_set] = ACTIONS(1362),
    [anon_sym_declare] = ACTIONS(1868),
    [anon_sym_public] = ACTIONS(1362),
    [anon_sym_private] = ACTIONS(1362),
    [anon_sym_protected] = ACTIONS(1362),
    [anon_sym_override] = ACTIONS(1362),
    [anon_sym_module] = ACTIONS(1870),
    [anon_sym_any] = ACTIONS(1362),
    [anon_sym_number] = ACTIONS(1362),
    [anon_sym_boolean] = ACTIONS(1362),
    [anon_sym_string] = ACTIONS(1362),
    [anon_sym_symbol] = ACTIONS(1362),
    [anon_sym_object] = ACTIONS(1362),
    [anon_sym_abstract] = ACTIONS(822),
    [anon_sym_interface] = ACTIONS(824),
    [anon_sym_enum] = ACTIONS(826),
    [sym_html_comment] = ACTIONS(5),
  },
  [239] = {
    [sym_declaration] = STATE(1241),
    [sym_import] = STATE(4369),
    [sym_variable_declaration] = STATE(1220),
    [sym_lexical_declaration] = STATE(1220),
    [sym_parenthesized_expression] = STATE(2221),
    [sym_expression] = STATE(2956),
    [sym_primary_expression] = STATE(2990),
    [sym_yield_expression] = STATE(3139),
    [sym_object] = STATE(3113),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(3113),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(3139),
    [sym_glimmer_opening_tag] = STATE(5702),
    [sym_jsx_element] = STATE(3139),
    [sym_jsx_opening_element] = STATE(4008),
    [sym_jsx_self_closing_element] = STATE(3139),
    [sym_class] = STATE(3113),
    [sym_class_declaration] = STATE(1220),
    [sym_function_expression] = STATE(3113),
    [sym_function_declaration] = STATE(1220),
    [sym_generator_function] = STATE(3113),
    [sym_generator_function_declaration] = STATE(1220),
    [sym_arrow_function] = STATE(3113),
    [sym__call_signature] = STATE(7374),
    [sym_call_expression] = STATE(3113),
    [sym_new_expression] = STATE(3139),
    [sym_await_expression] = STATE(3139),
    [sym_member_expression] = STATE(2221),
    [sym_subscript_expression] = STATE(2221),
    [sym_assignment_expression] = STATE(3139),
    [sym__augmented_assignment_lhs] = STATE(3860),
    [sym_augmented_assignment_expression] = STATE(3139),
    [sym__destructuring_pattern] = STATE(7376),
    [sym_ternary_expression] = STATE(3139),
    [sym_binary_expression] = STATE(3139),
    [sym_unary_expression] = STATE(3139),
    [sym_update_expression] = STATE(3139),
    [sym_string] = STATE(3113),
    [sym_comment] = STATE(239),
    [sym_template_string] = STATE(3113),
    [sym_regex] = STATE(3113),
    [sym_meta_property] = STATE(3113),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2221),
    [sym_function_signature] = STATE(1220),
    [sym_as_expression] = STATE(3139),
    [sym_satisfies_expression] = STATE(3139),
    [sym_instantiation_expression] = STATE(3139),
    [sym_ambient_declaration] = STATE(1220),
    [sym_abstract_class_declaration] = STATE(1220),
    [sym_module] = STATE(1220),
    [sym_internal_module] = STATE(415),
    [sym_import_alias] = STATE(1220),
    [sym_interface_declaration] = STATE(1220),
    [sym_enum_declaration] = STATE(1220),
    [sym_type_alias_declaration] = STATE(1220),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5474),
    [sym_identifier] = ACTIONS(1758),
    [anon_sym_export] = ACTIONS(1362),
    [anon_sym_type] = ACTIONS(1844),
    [anon_sym_namespace] = ACTIONS(1846),
    [anon_sym_LBRACE] = ACTIONS(1020),
    [anon_sym_typeof] = ACTIONS(1370),
    [anon_sym_import] = ACTIONS(1848),
    [anon_sym_var] = ACTIONS(842),
    [anon_sym_let] = ACTIONS(1850),
    [anon_sym_const] = ACTIONS(846),
    [anon_sym_BANG] = ACTIONS(1370),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1374),
    [anon_sym_yield] = ACTIONS(1376),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(872),
    [anon_sym_async] = ACTIONS(1852),
    [anon_sym_function] = ACTIONS(876),
    [anon_sym_new] = ACTIONS(1762),
    [anon_sym_using] = ACTIONS(1384),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1370),
    [anon_sym_void] = ACTIONS(1370),
    [anon_sym_delete] = ACTIONS(1370),
    [anon_sym_PLUS_PLUS] = ACTIONS(1390),
    [anon_sym_DASH_DASH] = ACTIONS(1390),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1396),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1764),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1362),
    [anon_sym_readonly] = ACTIONS(1362),
    [anon_sym_get] = ACTIONS(1362),
    [anon_sym_set] = ACTIONS(1362),
    [anon_sym_declare] = ACTIONS(1854),
    [anon_sym_public] = ACTIONS(1362),
    [anon_sym_private] = ACTIONS(1362),
    [anon_sym_protected] = ACTIONS(1362),
    [anon_sym_override] = ACTIONS(1362),
    [anon_sym_module] = ACTIONS(1856),
    [anon_sym_any] = ACTIONS(1362),
    [anon_sym_number] = ACTIONS(1362),
    [anon_sym_boolean] = ACTIONS(1362),
    [anon_sym_string] = ACTIONS(1362),
    [anon_sym_symbol] = ACTIONS(1362),
    [anon_sym_object] = ACTIONS(1362),
    [anon_sym_abstract] = ACTIONS(886),
    [anon_sym_interface] = ACTIONS(888),
    [anon_sym_enum] = ACTIONS(890),
    [sym_html_comment] = ACTIONS(5),
  },
  [240] = {
    [sym_declaration] = STATE(1595),
    [sym_import] = STATE(4369),
    [sym_variable_declaration] = STATE(1573),
    [sym_lexical_declaration] = STATE(1573),
    [sym_parenthesized_expression] = STATE(2221),
    [sym_expression] = STATE(3000),
    [sym_primary_expression] = STATE(2990),
    [sym_yield_expression] = STATE(3139),
    [sym_object] = STATE(3113),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(3113),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(3139),
    [sym_glimmer_opening_tag] = STATE(5702),
    [sym_jsx_element] = STATE(3139),
    [sym_jsx_opening_element] = STATE(4008),
    [sym_jsx_self_closing_element] = STATE(3139),
    [sym_class] = STATE(3113),
    [sym_class_declaration] = STATE(1573),
    [sym_function_expression] = STATE(3113),
    [sym_function_declaration] = STATE(1573),
    [sym_generator_function] = STATE(3113),
    [sym_generator_function_declaration] = STATE(1573),
    [sym_arrow_function] = STATE(3113),
    [sym__call_signature] = STATE(7374),
    [sym_call_expression] = STATE(3113),
    [sym_new_expression] = STATE(3139),
    [sym_await_expression] = STATE(3139),
    [sym_member_expression] = STATE(2221),
    [sym_subscript_expression] = STATE(2221),
    [sym_assignment_expression] = STATE(3139),
    [sym__augmented_assignment_lhs] = STATE(3860),
    [sym_augmented_assignment_expression] = STATE(3139),
    [sym__destructuring_pattern] = STATE(7376),
    [sym_ternary_expression] = STATE(3139),
    [sym_binary_expression] = STATE(3139),
    [sym_unary_expression] = STATE(3139),
    [sym_update_expression] = STATE(3139),
    [sym_string] = STATE(3113),
    [sym_comment] = STATE(240),
    [sym_template_string] = STATE(3113),
    [sym_regex] = STATE(3113),
    [sym_meta_property] = STATE(3113),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2221),
    [sym_function_signature] = STATE(1573),
    [sym_as_expression] = STATE(3139),
    [sym_satisfies_expression] = STATE(3139),
    [sym_instantiation_expression] = STATE(3139),
    [sym_ambient_declaration] = STATE(1573),
    [sym_abstract_class_declaration] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_internal_module] = STATE(437),
    [sym_import_alias] = STATE(1573),
    [sym_interface_declaration] = STATE(1573),
    [sym_enum_declaration] = STATE(1573),
    [sym_type_alias_declaration] = STATE(1573),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5222),
    [sym_identifier] = ACTIONS(1758),
    [anon_sym_export] = ACTIONS(1362),
    [anon_sym_type] = ACTIONS(1872),
    [anon_sym_namespace] = ACTIONS(1874),
    [anon_sym_LBRACE] = ACTIONS(1020),
    [anon_sym_typeof] = ACTIONS(1370),
    [anon_sym_import] = ACTIONS(1876),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(1878),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(1370),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1374),
    [anon_sym_yield] = ACTIONS(1376),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(1880),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(1762),
    [anon_sym_using] = ACTIONS(1384),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1370),
    [anon_sym_void] = ACTIONS(1370),
    [anon_sym_delete] = ACTIONS(1370),
    [anon_sym_PLUS_PLUS] = ACTIONS(1390),
    [anon_sym_DASH_DASH] = ACTIONS(1390),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1396),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1764),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1362),
    [anon_sym_readonly] = ACTIONS(1362),
    [anon_sym_get] = ACTIONS(1362),
    [anon_sym_set] = ACTIONS(1362),
    [anon_sym_declare] = ACTIONS(1882),
    [anon_sym_public] = ACTIONS(1362),
    [anon_sym_private] = ACTIONS(1362),
    [anon_sym_protected] = ACTIONS(1362),
    [anon_sym_override] = ACTIONS(1362),
    [anon_sym_module] = ACTIONS(1884),
    [anon_sym_any] = ACTIONS(1362),
    [anon_sym_number] = ACTIONS(1362),
    [anon_sym_boolean] = ACTIONS(1362),
    [anon_sym_string] = ACTIONS(1362),
    [anon_sym_symbol] = ACTIONS(1362),
    [anon_sym_object] = ACTIONS(1362),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [241] = {
    [sym_nested_identifier] = STATE(7283),
    [sym_string] = STATE(3875),
    [sym_comment] = STATE(241),
    [sym_formal_parameters] = STATE(7329),
    [sym_nested_type_identifier] = STATE(3821),
    [sym__type] = STATE(3902),
    [sym_constructor_type] = STATE(3924),
    [sym__primary_type] = STATE(3930),
    [sym_template_literal_type] = STATE(3873),
    [sym_infer_type] = STATE(3924),
    [sym_conditional_type] = STATE(3873),
    [sym_generic_type] = STATE(3873),
    [sym_type_query] = STATE(3873),
    [sym_index_type_query] = STATE(3873),
    [sym_lookup_type] = STATE(3873),
    [sym_literal_type] = STATE(3873),
    [sym__number] = STATE(3934),
    [sym_existential_type] = STATE(3873),
    [sym_flow_maybe_type] = STATE(3873),
    [sym_parenthesized_type] = STATE(3873),
    [sym_predefined_type] = STATE(3873),
    [sym_object_type] = STATE(3873),
    [sym_type_parameters] = STATE(6758),
    [sym_array_type] = STATE(3873),
    [sym_tuple_type] = STATE(3873),
    [sym_readonly_type] = STATE(3924),
    [sym_union_type] = STATE(3873),
    [sym_intersection_type] = STATE(3873),
    [sym_function_type] = STATE(3924),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_EQ] = ACTIONS(1135),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_LBRACE] = ACTIONS(209),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_RBRACE] = ACTIONS(118),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_RPAREN] = ACTIONS(118),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_RBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [anon_sym_EQ_GT] = ACTIONS(219),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1898),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(1900),
    [anon_sym_DASH] = ACTIONS(1900),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_void] = ACTIONS(207),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_any] = ACTIONS(207),
    [anon_sym_number] = ACTIONS(207),
    [anon_sym_boolean] = ACTIONS(207),
    [anon_sym_string] = ACTIONS(207),
    [anon_sym_symbol] = ACTIONS(207),
    [anon_sym_object] = ACTIONS(207),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_satisfies] = ACTIONS(118),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [242] = {
    [sym_nested_identifier] = STATE(7283),
    [sym_string] = STATE(3875),
    [sym_comment] = STATE(242),
    [sym_formal_parameters] = STATE(7329),
    [sym_nested_type_identifier] = STATE(3821),
    [sym__type] = STATE(3902),
    [sym_constructor_type] = STATE(3924),
    [sym__primary_type] = STATE(3930),
    [sym_template_literal_type] = STATE(3873),
    [sym_infer_type] = STATE(3924),
    [sym_conditional_type] = STATE(3873),
    [sym_generic_type] = STATE(3873),
    [sym_type_query] = STATE(3873),
    [sym_index_type_query] = STATE(3873),
    [sym_lookup_type] = STATE(3873),
    [sym_literal_type] = STATE(3873),
    [sym__number] = STATE(3934),
    [sym_existential_type] = STATE(3873),
    [sym_flow_maybe_type] = STATE(3873),
    [sym_parenthesized_type] = STATE(3873),
    [sym_predefined_type] = STATE(3873),
    [sym_object_type] = STATE(3873),
    [sym_type_parameters] = STATE(6758),
    [sym_array_type] = STATE(3873),
    [sym_tuple_type] = STATE(3873),
    [sym_readonly_type] = STATE(3924),
    [sym_union_type] = STATE(3873),
    [sym_intersection_type] = STATE(3873),
    [sym_function_type] = STATE(3924),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_EQ] = ACTIONS(1185),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_LBRACE] = ACTIONS(209),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_of] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [anon_sym_EQ_GT] = ACTIONS(1191),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1898),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(1900),
    [anon_sym_DASH] = ACTIONS(1900),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_void] = ACTIONS(207),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_any] = ACTIONS(207),
    [anon_sym_number] = ACTIONS(207),
    [anon_sym_boolean] = ACTIONS(207),
    [anon_sym_string] = ACTIONS(207),
    [anon_sym_symbol] = ACTIONS(207),
    [anon_sym_object] = ACTIONS(207),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_satisfies] = ACTIONS(118),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym__automatic_semicolon] = ACTIONS(211),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [243] = {
    [sym_nested_identifier] = STATE(7283),
    [sym_string] = STATE(3875),
    [sym_comment] = STATE(243),
    [sym_formal_parameters] = STATE(7329),
    [sym_nested_type_identifier] = STATE(3821),
    [sym__type] = STATE(3902),
    [sym_constructor_type] = STATE(3924),
    [sym__primary_type] = STATE(3930),
    [sym_template_literal_type] = STATE(3873),
    [sym_infer_type] = STATE(3924),
    [sym_conditional_type] = STATE(3873),
    [sym_generic_type] = STATE(3873),
    [sym_type_query] = STATE(3873),
    [sym_index_type_query] = STATE(3873),
    [sym_lookup_type] = STATE(3873),
    [sym_literal_type] = STATE(3873),
    [sym__number] = STATE(3934),
    [sym_existential_type] = STATE(3873),
    [sym_flow_maybe_type] = STATE(3873),
    [sym_parenthesized_type] = STATE(3873),
    [sym_predefined_type] = STATE(3873),
    [sym_object_type] = STATE(3873),
    [sym_type_parameters] = STATE(6758),
    [sym_array_type] = STATE(3873),
    [sym_tuple_type] = STATE(3873),
    [sym_readonly_type] = STATE(3924),
    [sym_union_type] = STATE(3873),
    [sym_intersection_type] = STATE(3873),
    [sym_function_type] = STATE(3924),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_EQ] = ACTIONS(1167),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_LBRACE] = ACTIONS(209),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_RBRACE] = ACTIONS(118),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [anon_sym_EQ_GT] = ACTIONS(1035),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1898),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(1900),
    [anon_sym_DASH] = ACTIONS(1900),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_void] = ACTIONS(207),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_any] = ACTIONS(207),
    [anon_sym_number] = ACTIONS(207),
    [anon_sym_boolean] = ACTIONS(207),
    [anon_sym_string] = ACTIONS(207),
    [anon_sym_symbol] = ACTIONS(207),
    [anon_sym_object] = ACTIONS(207),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_satisfies] = ACTIONS(118),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym__automatic_semicolon] = ACTIONS(211),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [244] = {
    [sym_nested_identifier] = STATE(7283),
    [sym_string] = STATE(3875),
    [sym_comment] = STATE(244),
    [sym_formal_parameters] = STATE(7329),
    [sym_nested_type_identifier] = STATE(3821),
    [sym__type] = STATE(3902),
    [sym_constructor_type] = STATE(3924),
    [sym__primary_type] = STATE(3930),
    [sym_template_literal_type] = STATE(3873),
    [sym_infer_type] = STATE(3924),
    [sym_conditional_type] = STATE(3873),
    [sym_generic_type] = STATE(3873),
    [sym_type_query] = STATE(3873),
    [sym_index_type_query] = STATE(3873),
    [sym_lookup_type] = STATE(3873),
    [sym_literal_type] = STATE(3873),
    [sym__number] = STATE(3934),
    [sym_existential_type] = STATE(3873),
    [sym_flow_maybe_type] = STATE(3873),
    [sym_parenthesized_type] = STATE(3873),
    [sym_predefined_type] = STATE(3873),
    [sym_object_type] = STATE(3873),
    [sym_type_parameters] = STATE(6758),
    [sym_array_type] = STATE(3873),
    [sym_tuple_type] = STATE(3873),
    [sym_readonly_type] = STATE(3924),
    [sym_union_type] = STATE(3873),
    [sym_intersection_type] = STATE(3873),
    [sym_function_type] = STATE(3924),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_EQ] = ACTIONS(1135),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_LBRACE] = ACTIONS(209),
    [anon_sym_COMMA] = ACTIONS(1208),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1119),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_RBRACK] = ACTIONS(1208),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [anon_sym_EQ_GT] = ACTIONS(219),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1898),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(1900),
    [anon_sym_DASH] = ACTIONS(1900),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_void] = ACTIONS(207),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_any] = ACTIONS(207),
    [anon_sym_number] = ACTIONS(207),
    [anon_sym_boolean] = ACTIONS(207),
    [anon_sym_string] = ACTIONS(207),
    [anon_sym_symbol] = ACTIONS(207),
    [anon_sym_object] = ACTIONS(207),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_satisfies] = ACTIONS(118),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [245] = {
    [sym_nested_identifier] = STATE(7283),
    [sym_string] = STATE(3875),
    [sym_comment] = STATE(245),
    [sym_formal_parameters] = STATE(7329),
    [sym_nested_type_identifier] = STATE(3821),
    [sym__type] = STATE(3902),
    [sym_constructor_type] = STATE(3924),
    [sym__primary_type] = STATE(3930),
    [sym_template_literal_type] = STATE(3873),
    [sym_infer_type] = STATE(3924),
    [sym_conditional_type] = STATE(3873),
    [sym_generic_type] = STATE(3873),
    [sym_type_query] = STATE(3873),
    [sym_index_type_query] = STATE(3873),
    [sym_lookup_type] = STATE(3873),
    [sym_literal_type] = STATE(3873),
    [sym__number] = STATE(3934),
    [sym_existential_type] = STATE(3873),
    [sym_flow_maybe_type] = STATE(3873),
    [sym_parenthesized_type] = STATE(3873),
    [sym_predefined_type] = STATE(3873),
    [sym_object_type] = STATE(3873),
    [sym_type_parameters] = STATE(6758),
    [sym_array_type] = STATE(3873),
    [sym_tuple_type] = STATE(3873),
    [sym_readonly_type] = STATE(3924),
    [sym_union_type] = STATE(3873),
    [sym_intersection_type] = STATE(3873),
    [sym_function_type] = STATE(3924),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_EQ] = ACTIONS(115),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_LBRACE] = ACTIONS(209),
    [anon_sym_COMMA] = ACTIONS(124),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_RPAREN] = ACTIONS(124),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(124),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [anon_sym_EQ_GT] = ACTIONS(153),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1898),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(1900),
    [anon_sym_DASH] = ACTIONS(1900),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_void] = ACTIONS(207),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_any] = ACTIONS(207),
    [anon_sym_number] = ACTIONS(207),
    [anon_sym_boolean] = ACTIONS(207),
    [anon_sym_string] = ACTIONS(207),
    [anon_sym_symbol] = ACTIONS(207),
    [anon_sym_object] = ACTIONS(207),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_satisfies] = ACTIONS(118),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [246] = {
    [sym_nested_identifier] = STATE(7283),
    [sym_string] = STATE(3875),
    [sym_comment] = STATE(246),
    [sym_formal_parameters] = STATE(7329),
    [sym_nested_type_identifier] = STATE(3821),
    [sym__type] = STATE(3902),
    [sym_constructor_type] = STATE(3924),
    [sym__primary_type] = STATE(3930),
    [sym_template_literal_type] = STATE(3873),
    [sym_infer_type] = STATE(3924),
    [sym_conditional_type] = STATE(3873),
    [sym_generic_type] = STATE(3873),
    [sym_type_query] = STATE(3873),
    [sym_index_type_query] = STATE(3873),
    [sym_lookup_type] = STATE(3873),
    [sym_literal_type] = STATE(3873),
    [sym__number] = STATE(3934),
    [sym_existential_type] = STATE(3873),
    [sym_flow_maybe_type] = STATE(3873),
    [sym_parenthesized_type] = STATE(3873),
    [sym_predefined_type] = STATE(3873),
    [sym_object_type] = STATE(3873),
    [sym_type_parameters] = STATE(6758),
    [sym_array_type] = STATE(3873),
    [sym_tuple_type] = STATE(3873),
    [sym_readonly_type] = STATE(3924),
    [sym_union_type] = STATE(3873),
    [sym_intersection_type] = STATE(3873),
    [sym_function_type] = STATE(3924),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_EQ] = ACTIONS(1264),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_LBRACE] = ACTIONS(209),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [anon_sym_EQ_GT] = ACTIONS(1270),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1898),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(1900),
    [anon_sym_DASH] = ACTIONS(1900),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_void] = ACTIONS(207),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_any] = ACTIONS(207),
    [anon_sym_number] = ACTIONS(207),
    [anon_sym_boolean] = ACTIONS(207),
    [anon_sym_string] = ACTIONS(207),
    [anon_sym_symbol] = ACTIONS(207),
    [anon_sym_object] = ACTIONS(207),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_satisfies] = ACTIONS(118),
    [anon_sym_implements] = ACTIONS(118),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [247] = {
    [sym_nested_identifier] = STATE(7283),
    [sym_string] = STATE(3875),
    [sym_comment] = STATE(247),
    [sym_formal_parameters] = STATE(7329),
    [sym_nested_type_identifier] = STATE(3821),
    [sym__type] = STATE(3902),
    [sym_constructor_type] = STATE(3924),
    [sym__primary_type] = STATE(3930),
    [sym_template_literal_type] = STATE(3873),
    [sym_infer_type] = STATE(3924),
    [sym_conditional_type] = STATE(3873),
    [sym_generic_type] = STATE(3873),
    [sym_type_query] = STATE(3873),
    [sym_index_type_query] = STATE(3873),
    [sym_lookup_type] = STATE(3873),
    [sym_literal_type] = STATE(3873),
    [sym__number] = STATE(3934),
    [sym_existential_type] = STATE(3873),
    [sym_flow_maybe_type] = STATE(3873),
    [sym_parenthesized_type] = STATE(3873),
    [sym_predefined_type] = STATE(3873),
    [sym_object_type] = STATE(3873),
    [sym_type_parameters] = STATE(6758),
    [sym_array_type] = STATE(3873),
    [sym_tuple_type] = STATE(3873),
    [sym_readonly_type] = STATE(3924),
    [sym_union_type] = STATE(3873),
    [sym_intersection_type] = STATE(3873),
    [sym_function_type] = STATE(3924),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_EQ] = ACTIONS(1252),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_LBRACE] = ACTIONS(209),
    [anon_sym_RBRACE] = ACTIONS(118),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [anon_sym_EQ_GT] = ACTIONS(1242),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1898),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(1900),
    [anon_sym_DASH] = ACTIONS(1900),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_void] = ACTIONS(207),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_any] = ACTIONS(207),
    [anon_sym_number] = ACTIONS(207),
    [anon_sym_boolean] = ACTIONS(207),
    [anon_sym_string] = ACTIONS(207),
    [anon_sym_symbol] = ACTIONS(207),
    [anon_sym_object] = ACTIONS(207),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_satisfies] = ACTIONS(118),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [248] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2151),
    [sym_expression] = STATE(2485),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7643),
    [sym__formal_parameter] = STATE(6002),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2101),
    [sym_subscript_expression] = STATE(2101),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3918),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(4717),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_sequence_expression] = STATE(7244),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(248),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(2152),
    [sym_formal_parameters] = STATE(4790),
    [sym_pattern] = STATE(5367),
    [sym_rest_pattern] = STATE(4693),
    [sym_non_null_expression] = STATE(2101),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_accessibility_modifier] = STATE(391),
    [sym_override_modifier] = STATE(433),
    [sym_required_parameter] = STATE(7169),
    [sym_optional_parameter] = STATE(7169),
    [sym__parameter_name] = STATE(4673),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(339),
    [sym_identifier] = ACTIONS(1912),
    [anon_sym_export] = ACTIONS(958),
    [anon_sym_type] = ACTIONS(958),
    [anon_sym_namespace] = ACTIONS(960),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(968),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(958),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_RPAREN] = ACTIONS(1143),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(978),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1914),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(161),
    [anon_sym_PLUS] = ACTIONS(968),
    [anon_sym_DASH] = ACTIONS(968),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(968),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(1916),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1918),
    [anon_sym_AT] = ACTIONS(1157),
    [anon_sym_static] = ACTIONS(958),
    [anon_sym_readonly] = ACTIONS(1920),
    [anon_sym_get] = ACTIONS(958),
    [anon_sym_set] = ACTIONS(958),
    [anon_sym_declare] = ACTIONS(958),
    [anon_sym_public] = ACTIONS(1161),
    [anon_sym_private] = ACTIONS(1161),
    [anon_sym_protected] = ACTIONS(1161),
    [anon_sym_override] = ACTIONS(1163),
    [anon_sym_module] = ACTIONS(958),
    [anon_sym_any] = ACTIONS(958),
    [anon_sym_number] = ACTIONS(958),
    [anon_sym_boolean] = ACTIONS(958),
    [anon_sym_string] = ACTIONS(958),
    [anon_sym_symbol] = ACTIONS(958),
    [anon_sym_object] = ACTIONS(958),
    [sym_html_comment] = ACTIONS(5),
  },
  [249] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2151),
    [sym_expression] = STATE(2510),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7643),
    [sym__formal_parameter] = STATE(6002),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2101),
    [sym_subscript_expression] = STATE(2101),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3918),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(4717),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_sequence_expression] = STATE(7600),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(249),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(2152),
    [sym_formal_parameters] = STATE(4790),
    [sym_pattern] = STATE(5367),
    [sym_rest_pattern] = STATE(4693),
    [sym_non_null_expression] = STATE(2101),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_accessibility_modifier] = STATE(391),
    [sym_override_modifier] = STATE(433),
    [sym_required_parameter] = STATE(7169),
    [sym_optional_parameter] = STATE(7169),
    [sym__parameter_name] = STATE(4673),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(339),
    [sym_identifier] = ACTIONS(1912),
    [anon_sym_export] = ACTIONS(958),
    [anon_sym_type] = ACTIONS(958),
    [anon_sym_namespace] = ACTIONS(960),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(968),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(958),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_RPAREN] = ACTIONS(1143),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(978),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1914),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(161),
    [anon_sym_PLUS] = ACTIONS(968),
    [anon_sym_DASH] = ACTIONS(968),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(968),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(1916),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1918),
    [anon_sym_AT] = ACTIONS(1157),
    [anon_sym_static] = ACTIONS(958),
    [anon_sym_readonly] = ACTIONS(1920),
    [anon_sym_get] = ACTIONS(958),
    [anon_sym_set] = ACTIONS(958),
    [anon_sym_declare] = ACTIONS(958),
    [anon_sym_public] = ACTIONS(1161),
    [anon_sym_private] = ACTIONS(1161),
    [anon_sym_protected] = ACTIONS(1161),
    [anon_sym_override] = ACTIONS(1163),
    [anon_sym_module] = ACTIONS(958),
    [anon_sym_any] = ACTIONS(958),
    [anon_sym_number] = ACTIONS(958),
    [anon_sym_boolean] = ACTIONS(958),
    [anon_sym_string] = ACTIONS(958),
    [anon_sym_symbol] = ACTIONS(958),
    [anon_sym_object] = ACTIONS(958),
    [sym_html_comment] = ACTIONS(5),
  },
  [250] = {
    [sym_nested_identifier] = STATE(7283),
    [sym_string] = STATE(3875),
    [sym_comment] = STATE(250),
    [sym_formal_parameters] = STATE(7329),
    [sym_nested_type_identifier] = STATE(3821),
    [sym__type] = STATE(3902),
    [sym_constructor_type] = STATE(3924),
    [sym__primary_type] = STATE(3930),
    [sym_template_literal_type] = STATE(3873),
    [sym_infer_type] = STATE(3924),
    [sym_conditional_type] = STATE(3873),
    [sym_generic_type] = STATE(3873),
    [sym_type_query] = STATE(3873),
    [sym_index_type_query] = STATE(3873),
    [sym_lookup_type] = STATE(3873),
    [sym_literal_type] = STATE(3873),
    [sym__number] = STATE(3934),
    [sym_existential_type] = STATE(3873),
    [sym_flow_maybe_type] = STATE(3873),
    [sym_parenthesized_type] = STATE(3873),
    [sym_predefined_type] = STATE(3873),
    [sym_object_type] = STATE(3873),
    [sym_type_parameters] = STATE(6758),
    [sym_array_type] = STATE(3873),
    [sym_tuple_type] = STATE(3873),
    [sym_readonly_type] = STATE(3924),
    [sym_union_type] = STATE(3873),
    [sym_intersection_type] = STATE(3873),
    [sym_function_type] = STATE(3924),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_EQ] = ACTIONS(213),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_LBRACE] = ACTIONS(209),
    [anon_sym_COMMA] = ACTIONS(216),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_RBRACK] = ACTIONS(216),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [anon_sym_EQ_GT] = ACTIONS(219),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1898),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(1900),
    [anon_sym_DASH] = ACTIONS(1900),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_void] = ACTIONS(207),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_any] = ACTIONS(207),
    [anon_sym_number] = ACTIONS(207),
    [anon_sym_boolean] = ACTIONS(207),
    [anon_sym_string] = ACTIONS(207),
    [anon_sym_symbol] = ACTIONS(207),
    [anon_sym_object] = ACTIONS(207),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_satisfies] = ACTIONS(118),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [251] = {
    [sym_nested_identifier] = STATE(7203),
    [sym_string] = STATE(4142),
    [sym_comment] = STATE(251),
    [sym_formal_parameters] = STATE(7533),
    [sym_nested_type_identifier] = STATE(4018),
    [sym__type] = STATE(4132),
    [sym_constructor_type] = STATE(4150),
    [sym__primary_type] = STATE(4152),
    [sym_template_literal_type] = STATE(4126),
    [sym_infer_type] = STATE(4150),
    [sym_conditional_type] = STATE(4126),
    [sym_generic_type] = STATE(4126),
    [sym_type_query] = STATE(4126),
    [sym_index_type_query] = STATE(4126),
    [sym_lookup_type] = STATE(4126),
    [sym_literal_type] = STATE(4126),
    [sym__number] = STATE(4153),
    [sym_existential_type] = STATE(4126),
    [sym_flow_maybe_type] = STATE(4126),
    [sym_parenthesized_type] = STATE(4126),
    [sym_predefined_type] = STATE(4126),
    [sym_object_type] = STATE(4126),
    [sym_type_parameters] = STATE(7111),
    [sym_array_type] = STATE(4126),
    [sym_tuple_type] = STATE(4126),
    [sym_readonly_type] = STATE(4150),
    [sym_union_type] = STATE(4126),
    [sym_intersection_type] = STATE(4126),
    [sym_function_type] = STATE(4150),
    [sym_identifier] = ACTIONS(1922),
    [anon_sym_STAR] = ACTIONS(1296),
    [anon_sym_EQ] = ACTIONS(213),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_LBRACE] = ACTIONS(1342),
    [anon_sym_COMMA] = ACTIONS(216),
    [anon_sym_RBRACE] = ACTIONS(216),
    [anon_sym_typeof] = ACTIONS(1924),
    [anon_sym_const] = ACTIONS(1302),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(1926),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(1928),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(1930),
    [anon_sym_SQUOTE] = ACTIONS(1932),
    [anon_sym_EQ_GT] = ACTIONS(219),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1934),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(1310),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(1312),
    [anon_sym_PLUS] = ACTIONS(1936),
    [anon_sym_DASH] = ACTIONS(1936),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_void] = ACTIONS(1340),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1938),
    [sym_number] = ACTIONS(1940),
    [sym_this] = ACTIONS(1942),
    [sym_true] = ACTIONS(1940),
    [sym_false] = ACTIONS(1940),
    [sym_null] = ACTIONS(1940),
    [sym_undefined] = ACTIONS(1940),
    [anon_sym_readonly] = ACTIONS(1944),
    [anon_sym_QMARK] = ACTIONS(1328),
    [anon_sym_any] = ACTIONS(1340),
    [anon_sym_number] = ACTIONS(1340),
    [anon_sym_boolean] = ACTIONS(1340),
    [anon_sym_string] = ACTIONS(1340),
    [anon_sym_symbol] = ACTIONS(1340),
    [anon_sym_object] = ACTIONS(1340),
    [anon_sym_abstract] = ACTIONS(1332),
    [anon_sym_satisfies] = ACTIONS(118),
    [anon_sym_infer] = ACTIONS(1334),
    [anon_sym_keyof] = ACTIONS(1336),
    [anon_sym_unique] = ACTIONS(1338),
    [anon_sym_unknown] = ACTIONS(1340),
    [anon_sym_never] = ACTIONS(1340),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1342),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [252] = {
    [sym_nested_identifier] = STATE(7283),
    [sym_string] = STATE(3875),
    [sym_comment] = STATE(252),
    [sym_formal_parameters] = STATE(7329),
    [sym_nested_type_identifier] = STATE(3821),
    [sym__type] = STATE(3902),
    [sym_constructor_type] = STATE(3924),
    [sym__primary_type] = STATE(3930),
    [sym_template_literal_type] = STATE(3873),
    [sym_infer_type] = STATE(3924),
    [sym_conditional_type] = STATE(3873),
    [sym_generic_type] = STATE(3873),
    [sym_type_query] = STATE(3873),
    [sym_index_type_query] = STATE(3873),
    [sym_lookup_type] = STATE(3873),
    [sym_literal_type] = STATE(3873),
    [sym__number] = STATE(3934),
    [sym_existential_type] = STATE(3873),
    [sym_flow_maybe_type] = STATE(3873),
    [sym_parenthesized_type] = STATE(3873),
    [sym_predefined_type] = STATE(3873),
    [sym_object_type] = STATE(3873),
    [sym_type_parameters] = STATE(6758),
    [sym_array_type] = STATE(3873),
    [sym_tuple_type] = STATE(3873),
    [sym_readonly_type] = STATE(3924),
    [sym_union_type] = STATE(3873),
    [sym_intersection_type] = STATE(3873),
    [sym_function_type] = STATE(3924),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_EQ] = ACTIONS(1232),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_LBRACE] = ACTIONS(209),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [anon_sym_EQ_GT] = ACTIONS(1238),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1898),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(1900),
    [anon_sym_DASH] = ACTIONS(1900),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_void] = ACTIONS(207),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_any] = ACTIONS(207),
    [anon_sym_number] = ACTIONS(207),
    [anon_sym_boolean] = ACTIONS(207),
    [anon_sym_string] = ACTIONS(207),
    [anon_sym_symbol] = ACTIONS(207),
    [anon_sym_object] = ACTIONS(207),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_satisfies] = ACTIONS(118),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym__automatic_semicolon] = ACTIONS(211),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [253] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2048),
    [sym_expression] = STATE(3359),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7260),
    [sym__formal_parameter] = STATE(5830),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2111),
    [sym_subscript_expression] = STATE(2111),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3878),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(4560),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(253),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(2152),
    [sym_formal_parameters] = STATE(4790),
    [sym_pattern] = STATE(5367),
    [sym_rest_pattern] = STATE(4693),
    [sym_non_null_expression] = STATE(2111),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_accessibility_modifier] = STATE(391),
    [sym_override_modifier] = STATE(433),
    [sym_required_parameter] = STATE(7169),
    [sym_optional_parameter] = STATE(7169),
    [sym__parameter_name] = STATE(4673),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(339),
    [sym_identifier] = ACTIONS(1061),
    [anon_sym_export] = ACTIONS(111),
    [anon_sym_type] = ACTIONS(111),
    [anon_sym_namespace] = ACTIONS(120),
    [anon_sym_LBRACE] = ACTIONS(1063),
    [anon_sym_typeof] = ACTIONS(174),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(111),
    [anon_sym_BANG] = ACTIONS(174),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_RPAREN] = ACTIONS(1946),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1948),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(149),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1071),
    [anon_sym_using] = ACTIONS(157),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(161),
    [anon_sym_PLUS] = ACTIONS(174),
    [anon_sym_DASH] = ACTIONS(174),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(174),
    [anon_sym_void] = ACTIONS(174),
    [anon_sym_delete] = ACTIONS(174),
    [anon_sym_PLUS_PLUS] = ACTIONS(1039),
    [anon_sym_DASH_DASH] = ACTIONS(1039),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(185),
    [sym_this] = ACTIONS(1950),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1081),
    [anon_sym_AT] = ACTIONS(1157),
    [anon_sym_static] = ACTIONS(111),
    [anon_sym_readonly] = ACTIONS(1952),
    [anon_sym_get] = ACTIONS(111),
    [anon_sym_set] = ACTIONS(111),
    [anon_sym_declare] = ACTIONS(111),
    [anon_sym_public] = ACTIONS(1173),
    [anon_sym_private] = ACTIONS(1173),
    [anon_sym_protected] = ACTIONS(1173),
    [anon_sym_override] = ACTIONS(1175),
    [anon_sym_module] = ACTIONS(111),
    [anon_sym_any] = ACTIONS(111),
    [anon_sym_number] = ACTIONS(111),
    [anon_sym_boolean] = ACTIONS(111),
    [anon_sym_string] = ACTIONS(111),
    [anon_sym_symbol] = ACTIONS(111),
    [anon_sym_object] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [254] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2048),
    [sym_expression] = STATE(3359),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7260),
    [sym__formal_parameter] = STATE(6649),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2111),
    [sym_subscript_expression] = STATE(2111),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3878),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(4560),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(254),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(2152),
    [sym_formal_parameters] = STATE(4790),
    [sym_pattern] = STATE(5367),
    [sym_rest_pattern] = STATE(4693),
    [sym_non_null_expression] = STATE(2111),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_accessibility_modifier] = STATE(391),
    [sym_override_modifier] = STATE(433),
    [sym_required_parameter] = STATE(7169),
    [sym_optional_parameter] = STATE(7169),
    [sym__parameter_name] = STATE(4673),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(339),
    [sym_identifier] = ACTIONS(1061),
    [anon_sym_export] = ACTIONS(111),
    [anon_sym_type] = ACTIONS(111),
    [anon_sym_namespace] = ACTIONS(120),
    [anon_sym_LBRACE] = ACTIONS(1063),
    [anon_sym_typeof] = ACTIONS(174),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(111),
    [anon_sym_BANG] = ACTIONS(174),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_RPAREN] = ACTIONS(1954),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1948),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(149),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1071),
    [anon_sym_using] = ACTIONS(157),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(161),
    [anon_sym_PLUS] = ACTIONS(174),
    [anon_sym_DASH] = ACTIONS(174),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(174),
    [anon_sym_void] = ACTIONS(174),
    [anon_sym_delete] = ACTIONS(174),
    [anon_sym_PLUS_PLUS] = ACTIONS(1039),
    [anon_sym_DASH_DASH] = ACTIONS(1039),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(185),
    [sym_this] = ACTIONS(1950),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1081),
    [anon_sym_AT] = ACTIONS(1157),
    [anon_sym_static] = ACTIONS(111),
    [anon_sym_readonly] = ACTIONS(1952),
    [anon_sym_get] = ACTIONS(111),
    [anon_sym_set] = ACTIONS(111),
    [anon_sym_declare] = ACTIONS(111),
    [anon_sym_public] = ACTIONS(1173),
    [anon_sym_private] = ACTIONS(1173),
    [anon_sym_protected] = ACTIONS(1173),
    [anon_sym_override] = ACTIONS(1175),
    [anon_sym_module] = ACTIONS(111),
    [anon_sym_any] = ACTIONS(111),
    [anon_sym_number] = ACTIONS(111),
    [anon_sym_boolean] = ACTIONS(111),
    [anon_sym_string] = ACTIONS(111),
    [anon_sym_symbol] = ACTIONS(111),
    [anon_sym_object] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [255] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2048),
    [sym_expression] = STATE(3359),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7260),
    [sym__formal_parameter] = STATE(6649),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2111),
    [sym_subscript_expression] = STATE(2111),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3878),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(4560),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(255),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(2152),
    [sym_formal_parameters] = STATE(4790),
    [sym_pattern] = STATE(5367),
    [sym_rest_pattern] = STATE(4693),
    [sym_non_null_expression] = STATE(2111),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_accessibility_modifier] = STATE(391),
    [sym_override_modifier] = STATE(433),
    [sym_required_parameter] = STATE(7169),
    [sym_optional_parameter] = STATE(7169),
    [sym__parameter_name] = STATE(4673),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(339),
    [sym_identifier] = ACTIONS(1061),
    [anon_sym_export] = ACTIONS(111),
    [anon_sym_type] = ACTIONS(111),
    [anon_sym_namespace] = ACTIONS(120),
    [anon_sym_LBRACE] = ACTIONS(1063),
    [anon_sym_typeof] = ACTIONS(174),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(111),
    [anon_sym_BANG] = ACTIONS(174),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_RPAREN] = ACTIONS(1956),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1948),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(149),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1071),
    [anon_sym_using] = ACTIONS(157),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(161),
    [anon_sym_PLUS] = ACTIONS(174),
    [anon_sym_DASH] = ACTIONS(174),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(174),
    [anon_sym_void] = ACTIONS(174),
    [anon_sym_delete] = ACTIONS(174),
    [anon_sym_PLUS_PLUS] = ACTIONS(1039),
    [anon_sym_DASH_DASH] = ACTIONS(1039),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(185),
    [sym_this] = ACTIONS(1950),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1081),
    [anon_sym_AT] = ACTIONS(1157),
    [anon_sym_static] = ACTIONS(111),
    [anon_sym_readonly] = ACTIONS(1952),
    [anon_sym_get] = ACTIONS(111),
    [anon_sym_set] = ACTIONS(111),
    [anon_sym_declare] = ACTIONS(111),
    [anon_sym_public] = ACTIONS(1173),
    [anon_sym_private] = ACTIONS(1173),
    [anon_sym_protected] = ACTIONS(1173),
    [anon_sym_override] = ACTIONS(1175),
    [anon_sym_module] = ACTIONS(111),
    [anon_sym_any] = ACTIONS(111),
    [anon_sym_number] = ACTIONS(111),
    [anon_sym_boolean] = ACTIONS(111),
    [anon_sym_string] = ACTIONS(111),
    [anon_sym_symbol] = ACTIONS(111),
    [anon_sym_object] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [256] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2048),
    [sym_expression] = STATE(3359),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7260),
    [sym__formal_parameter] = STATE(6649),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2111),
    [sym_subscript_expression] = STATE(2111),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3878),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(4560),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(256),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(2152),
    [sym_formal_parameters] = STATE(4790),
    [sym_pattern] = STATE(5367),
    [sym_rest_pattern] = STATE(4693),
    [sym_non_null_expression] = STATE(2111),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_accessibility_modifier] = STATE(391),
    [sym_override_modifier] = STATE(433),
    [sym_required_parameter] = STATE(7169),
    [sym_optional_parameter] = STATE(7169),
    [sym__parameter_name] = STATE(4673),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(339),
    [sym_identifier] = ACTIONS(1061),
    [anon_sym_export] = ACTIONS(111),
    [anon_sym_type] = ACTIONS(111),
    [anon_sym_namespace] = ACTIONS(120),
    [anon_sym_LBRACE] = ACTIONS(1063),
    [anon_sym_typeof] = ACTIONS(174),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(111),
    [anon_sym_BANG] = ACTIONS(174),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_RPAREN] = ACTIONS(1958),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1948),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(149),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1071),
    [anon_sym_using] = ACTIONS(157),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(161),
    [anon_sym_PLUS] = ACTIONS(174),
    [anon_sym_DASH] = ACTIONS(174),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(174),
    [anon_sym_void] = ACTIONS(174),
    [anon_sym_delete] = ACTIONS(174),
    [anon_sym_PLUS_PLUS] = ACTIONS(1039),
    [anon_sym_DASH_DASH] = ACTIONS(1039),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(185),
    [sym_this] = ACTIONS(1950),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1081),
    [anon_sym_AT] = ACTIONS(1157),
    [anon_sym_static] = ACTIONS(111),
    [anon_sym_readonly] = ACTIONS(1952),
    [anon_sym_get] = ACTIONS(111),
    [anon_sym_set] = ACTIONS(111),
    [anon_sym_declare] = ACTIONS(111),
    [anon_sym_public] = ACTIONS(1173),
    [anon_sym_private] = ACTIONS(1173),
    [anon_sym_protected] = ACTIONS(1173),
    [anon_sym_override] = ACTIONS(1175),
    [anon_sym_module] = ACTIONS(111),
    [anon_sym_any] = ACTIONS(111),
    [anon_sym_number] = ACTIONS(111),
    [anon_sym_boolean] = ACTIONS(111),
    [anon_sym_string] = ACTIONS(111),
    [anon_sym_symbol] = ACTIONS(111),
    [anon_sym_object] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [257] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2048),
    [sym_expression] = STATE(3359),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7260),
    [sym__formal_parameter] = STATE(6649),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2111),
    [sym_subscript_expression] = STATE(2111),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3878),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(4560),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(257),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(2152),
    [sym_formal_parameters] = STATE(4790),
    [sym_pattern] = STATE(5367),
    [sym_rest_pattern] = STATE(4693),
    [sym_non_null_expression] = STATE(2111),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_accessibility_modifier] = STATE(391),
    [sym_override_modifier] = STATE(433),
    [sym_required_parameter] = STATE(7169),
    [sym_optional_parameter] = STATE(7169),
    [sym__parameter_name] = STATE(4673),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(339),
    [sym_identifier] = ACTIONS(1061),
    [anon_sym_export] = ACTIONS(111),
    [anon_sym_type] = ACTIONS(111),
    [anon_sym_namespace] = ACTIONS(120),
    [anon_sym_LBRACE] = ACTIONS(1063),
    [anon_sym_typeof] = ACTIONS(174),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(111),
    [anon_sym_BANG] = ACTIONS(174),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_RPAREN] = ACTIONS(1960),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1948),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(149),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1071),
    [anon_sym_using] = ACTIONS(157),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(161),
    [anon_sym_PLUS] = ACTIONS(174),
    [anon_sym_DASH] = ACTIONS(174),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(174),
    [anon_sym_void] = ACTIONS(174),
    [anon_sym_delete] = ACTIONS(174),
    [anon_sym_PLUS_PLUS] = ACTIONS(1039),
    [anon_sym_DASH_DASH] = ACTIONS(1039),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(185),
    [sym_this] = ACTIONS(1950),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1081),
    [anon_sym_AT] = ACTIONS(1157),
    [anon_sym_static] = ACTIONS(111),
    [anon_sym_readonly] = ACTIONS(1952),
    [anon_sym_get] = ACTIONS(111),
    [anon_sym_set] = ACTIONS(111),
    [anon_sym_declare] = ACTIONS(111),
    [anon_sym_public] = ACTIONS(1173),
    [anon_sym_private] = ACTIONS(1173),
    [anon_sym_protected] = ACTIONS(1173),
    [anon_sym_override] = ACTIONS(1175),
    [anon_sym_module] = ACTIONS(111),
    [anon_sym_any] = ACTIONS(111),
    [anon_sym_number] = ACTIONS(111),
    [anon_sym_boolean] = ACTIONS(111),
    [anon_sym_string] = ACTIONS(111),
    [anon_sym_symbol] = ACTIONS(111),
    [anon_sym_object] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [258] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2048),
    [sym_expression] = STATE(3359),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7260),
    [sym__formal_parameter] = STATE(6002),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2111),
    [sym_subscript_expression] = STATE(2111),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3878),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(4560),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(258),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(2152),
    [sym_formal_parameters] = STATE(4790),
    [sym_pattern] = STATE(5367),
    [sym_rest_pattern] = STATE(4693),
    [sym_non_null_expression] = STATE(2111),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_accessibility_modifier] = STATE(391),
    [sym_override_modifier] = STATE(433),
    [sym_required_parameter] = STATE(7169),
    [sym_optional_parameter] = STATE(7169),
    [sym__parameter_name] = STATE(4673),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(339),
    [sym_identifier] = ACTIONS(1061),
    [anon_sym_export] = ACTIONS(111),
    [anon_sym_type] = ACTIONS(111),
    [anon_sym_namespace] = ACTIONS(120),
    [anon_sym_LBRACE] = ACTIONS(1063),
    [anon_sym_typeof] = ACTIONS(174),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(111),
    [anon_sym_BANG] = ACTIONS(174),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_RPAREN] = ACTIONS(1143),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1948),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(149),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1071),
    [anon_sym_using] = ACTIONS(157),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(161),
    [anon_sym_PLUS] = ACTIONS(174),
    [anon_sym_DASH] = ACTIONS(174),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(174),
    [anon_sym_void] = ACTIONS(174),
    [anon_sym_delete] = ACTIONS(174),
    [anon_sym_PLUS_PLUS] = ACTIONS(1039),
    [anon_sym_DASH_DASH] = ACTIONS(1039),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(185),
    [sym_this] = ACTIONS(1950),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1081),
    [anon_sym_AT] = ACTIONS(1157),
    [anon_sym_static] = ACTIONS(111),
    [anon_sym_readonly] = ACTIONS(1952),
    [anon_sym_get] = ACTIONS(111),
    [anon_sym_set] = ACTIONS(111),
    [anon_sym_declare] = ACTIONS(111),
    [anon_sym_public] = ACTIONS(1173),
    [anon_sym_private] = ACTIONS(1173),
    [anon_sym_protected] = ACTIONS(1173),
    [anon_sym_override] = ACTIONS(1175),
    [anon_sym_module] = ACTIONS(111),
    [anon_sym_any] = ACTIONS(111),
    [anon_sym_number] = ACTIONS(111),
    [anon_sym_boolean] = ACTIONS(111),
    [anon_sym_string] = ACTIONS(111),
    [anon_sym_symbol] = ACTIONS(111),
    [anon_sym_object] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [259] = {
    [sym_nested_identifier] = STATE(7283),
    [sym_string] = STATE(3875),
    [sym_comment] = STATE(259),
    [sym_formal_parameters] = STATE(7329),
    [sym_nested_type_identifier] = STATE(3821),
    [sym__type] = STATE(3902),
    [sym_constructor_type] = STATE(3924),
    [sym__primary_type] = STATE(3930),
    [sym_template_literal_type] = STATE(3873),
    [sym_infer_type] = STATE(3924),
    [sym_conditional_type] = STATE(3873),
    [sym_generic_type] = STATE(3873),
    [sym_type_query] = STATE(3873),
    [sym_index_type_query] = STATE(3873),
    [sym_lookup_type] = STATE(3873),
    [sym_literal_type] = STATE(3873),
    [sym__number] = STATE(3934),
    [sym_existential_type] = STATE(3873),
    [sym_flow_maybe_type] = STATE(3873),
    [sym_parenthesized_type] = STATE(3873),
    [sym_predefined_type] = STATE(3873),
    [sym_object_type] = STATE(3873),
    [sym_type_parameters] = STATE(6758),
    [sym_array_type] = STATE(3873),
    [sym_tuple_type] = STATE(3873),
    [sym_readonly_type] = STATE(3924),
    [sym_union_type] = STATE(3873),
    [sym_intersection_type] = STATE(3873),
    [sym_function_type] = STATE(3924),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_EQ] = ACTIONS(1244),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_LBRACE] = ACTIONS(209),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_RBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [anon_sym_EQ_GT] = ACTIONS(1224),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1898),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(1900),
    [anon_sym_DASH] = ACTIONS(1900),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_void] = ACTIONS(207),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_any] = ACTIONS(207),
    [anon_sym_number] = ACTIONS(207),
    [anon_sym_boolean] = ACTIONS(207),
    [anon_sym_string] = ACTIONS(207),
    [anon_sym_symbol] = ACTIONS(207),
    [anon_sym_object] = ACTIONS(207),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_satisfies] = ACTIONS(118),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [260] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2048),
    [sym_expression] = STATE(3359),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7260),
    [sym__formal_parameter] = STATE(6649),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2111),
    [sym_subscript_expression] = STATE(2111),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3878),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(4560),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(260),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(2152),
    [sym_formal_parameters] = STATE(4790),
    [sym_pattern] = STATE(5367),
    [sym_rest_pattern] = STATE(4693),
    [sym_non_null_expression] = STATE(2111),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_accessibility_modifier] = STATE(391),
    [sym_override_modifier] = STATE(433),
    [sym_required_parameter] = STATE(7169),
    [sym_optional_parameter] = STATE(7169),
    [sym__parameter_name] = STATE(4673),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(339),
    [sym_identifier] = ACTIONS(1061),
    [anon_sym_export] = ACTIONS(111),
    [anon_sym_type] = ACTIONS(111),
    [anon_sym_namespace] = ACTIONS(120),
    [anon_sym_LBRACE] = ACTIONS(1063),
    [anon_sym_typeof] = ACTIONS(174),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(111),
    [anon_sym_BANG] = ACTIONS(174),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_RPAREN] = ACTIONS(1962),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1948),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(149),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1071),
    [anon_sym_using] = ACTIONS(157),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(161),
    [anon_sym_PLUS] = ACTIONS(174),
    [anon_sym_DASH] = ACTIONS(174),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(174),
    [anon_sym_void] = ACTIONS(174),
    [anon_sym_delete] = ACTIONS(174),
    [anon_sym_PLUS_PLUS] = ACTIONS(1039),
    [anon_sym_DASH_DASH] = ACTIONS(1039),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(185),
    [sym_this] = ACTIONS(1950),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1081),
    [anon_sym_AT] = ACTIONS(1157),
    [anon_sym_static] = ACTIONS(111),
    [anon_sym_readonly] = ACTIONS(1952),
    [anon_sym_get] = ACTIONS(111),
    [anon_sym_set] = ACTIONS(111),
    [anon_sym_declare] = ACTIONS(111),
    [anon_sym_public] = ACTIONS(1173),
    [anon_sym_private] = ACTIONS(1173),
    [anon_sym_protected] = ACTIONS(1173),
    [anon_sym_override] = ACTIONS(1175),
    [anon_sym_module] = ACTIONS(111),
    [anon_sym_any] = ACTIONS(111),
    [anon_sym_number] = ACTIONS(111),
    [anon_sym_boolean] = ACTIONS(111),
    [anon_sym_string] = ACTIONS(111),
    [anon_sym_symbol] = ACTIONS(111),
    [anon_sym_object] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [261] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2048),
    [sym_expression] = STATE(3359),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7260),
    [sym__formal_parameter] = STATE(6649),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2111),
    [sym_subscript_expression] = STATE(2111),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3878),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(4560),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(261),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(2152),
    [sym_formal_parameters] = STATE(4790),
    [sym_pattern] = STATE(5367),
    [sym_rest_pattern] = STATE(4693),
    [sym_non_null_expression] = STATE(2111),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_accessibility_modifier] = STATE(391),
    [sym_override_modifier] = STATE(433),
    [sym_required_parameter] = STATE(7169),
    [sym_optional_parameter] = STATE(7169),
    [sym__parameter_name] = STATE(4673),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(339),
    [sym_identifier] = ACTIONS(1061),
    [anon_sym_export] = ACTIONS(111),
    [anon_sym_type] = ACTIONS(111),
    [anon_sym_namespace] = ACTIONS(120),
    [anon_sym_LBRACE] = ACTIONS(1063),
    [anon_sym_typeof] = ACTIONS(174),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(111),
    [anon_sym_BANG] = ACTIONS(174),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_RPAREN] = ACTIONS(1964),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1948),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(149),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1071),
    [anon_sym_using] = ACTIONS(157),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(161),
    [anon_sym_PLUS] = ACTIONS(174),
    [anon_sym_DASH] = ACTIONS(174),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(174),
    [anon_sym_void] = ACTIONS(174),
    [anon_sym_delete] = ACTIONS(174),
    [anon_sym_PLUS_PLUS] = ACTIONS(1039),
    [anon_sym_DASH_DASH] = ACTIONS(1039),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(185),
    [sym_this] = ACTIONS(1950),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1081),
    [anon_sym_AT] = ACTIONS(1157),
    [anon_sym_static] = ACTIONS(111),
    [anon_sym_readonly] = ACTIONS(1952),
    [anon_sym_get] = ACTIONS(111),
    [anon_sym_set] = ACTIONS(111),
    [anon_sym_declare] = ACTIONS(111),
    [anon_sym_public] = ACTIONS(1173),
    [anon_sym_private] = ACTIONS(1173),
    [anon_sym_protected] = ACTIONS(1173),
    [anon_sym_override] = ACTIONS(1175),
    [anon_sym_module] = ACTIONS(111),
    [anon_sym_any] = ACTIONS(111),
    [anon_sym_number] = ACTIONS(111),
    [anon_sym_boolean] = ACTIONS(111),
    [anon_sym_string] = ACTIONS(111),
    [anon_sym_symbol] = ACTIONS(111),
    [anon_sym_object] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [262] = {
    [sym_nested_identifier] = STATE(7283),
    [sym_string] = STATE(3875),
    [sym_comment] = STATE(262),
    [sym_formal_parameters] = STATE(7329),
    [sym_nested_type_identifier] = STATE(3821),
    [sym__type] = STATE(3902),
    [sym_constructor_type] = STATE(3924),
    [sym__primary_type] = STATE(3930),
    [sym_template_literal_type] = STATE(3873),
    [sym_infer_type] = STATE(3924),
    [sym_conditional_type] = STATE(3873),
    [sym_generic_type] = STATE(3873),
    [sym_type_query] = STATE(3873),
    [sym_index_type_query] = STATE(3873),
    [sym_lookup_type] = STATE(3873),
    [sym_literal_type] = STATE(3873),
    [sym__number] = STATE(3934),
    [sym_existential_type] = STATE(3873),
    [sym_flow_maybe_type] = STATE(3873),
    [sym_parenthesized_type] = STATE(3873),
    [sym_predefined_type] = STATE(3873),
    [sym_object_type] = STATE(3873),
    [sym_type_parameters] = STATE(6758),
    [sym_array_type] = STATE(3873),
    [sym_tuple_type] = STATE(3873),
    [sym_readonly_type] = STATE(3924),
    [sym_union_type] = STATE(3873),
    [sym_intersection_type] = STATE(3873),
    [sym_function_type] = STATE(3924),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_EQ] = ACTIONS(1117),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_LBRACE] = ACTIONS(209),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1119),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [anon_sym_EQ_GT] = ACTIONS(153),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1898),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(1900),
    [anon_sym_DASH] = ACTIONS(1900),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_void] = ACTIONS(207),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_any] = ACTIONS(207),
    [anon_sym_number] = ACTIONS(207),
    [anon_sym_boolean] = ACTIONS(207),
    [anon_sym_string] = ACTIONS(207),
    [anon_sym_symbol] = ACTIONS(207),
    [anon_sym_object] = ACTIONS(207),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_satisfies] = ACTIONS(118),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [263] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2048),
    [sym_expression] = STATE(3359),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7260),
    [sym__formal_parameter] = STATE(6425),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2111),
    [sym_subscript_expression] = STATE(2111),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3878),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(4560),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(263),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(2152),
    [sym_formal_parameters] = STATE(4790),
    [sym_pattern] = STATE(5367),
    [sym_rest_pattern] = STATE(4693),
    [sym_non_null_expression] = STATE(2111),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_accessibility_modifier] = STATE(391),
    [sym_override_modifier] = STATE(433),
    [sym_required_parameter] = STATE(7169),
    [sym_optional_parameter] = STATE(7169),
    [sym__parameter_name] = STATE(4673),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(339),
    [sym_identifier] = ACTIONS(1061),
    [anon_sym_export] = ACTIONS(111),
    [anon_sym_type] = ACTIONS(111),
    [anon_sym_namespace] = ACTIONS(120),
    [anon_sym_LBRACE] = ACTIONS(1063),
    [anon_sym_typeof] = ACTIONS(174),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(111),
    [anon_sym_BANG] = ACTIONS(174),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_RPAREN] = ACTIONS(1966),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1948),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(149),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1071),
    [anon_sym_using] = ACTIONS(157),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(161),
    [anon_sym_PLUS] = ACTIONS(174),
    [anon_sym_DASH] = ACTIONS(174),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(174),
    [anon_sym_void] = ACTIONS(174),
    [anon_sym_delete] = ACTIONS(174),
    [anon_sym_PLUS_PLUS] = ACTIONS(1039),
    [anon_sym_DASH_DASH] = ACTIONS(1039),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(185),
    [sym_this] = ACTIONS(1950),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1081),
    [anon_sym_AT] = ACTIONS(1157),
    [anon_sym_static] = ACTIONS(111),
    [anon_sym_readonly] = ACTIONS(1952),
    [anon_sym_get] = ACTIONS(111),
    [anon_sym_set] = ACTIONS(111),
    [anon_sym_declare] = ACTIONS(111),
    [anon_sym_public] = ACTIONS(1173),
    [anon_sym_private] = ACTIONS(1173),
    [anon_sym_protected] = ACTIONS(1173),
    [anon_sym_override] = ACTIONS(1175),
    [anon_sym_module] = ACTIONS(111),
    [anon_sym_any] = ACTIONS(111),
    [anon_sym_number] = ACTIONS(111),
    [anon_sym_boolean] = ACTIONS(111),
    [anon_sym_string] = ACTIONS(111),
    [anon_sym_symbol] = ACTIONS(111),
    [anon_sym_object] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [264] = {
    [sym_nested_identifier] = STATE(7283),
    [sym_string] = STATE(3875),
    [sym_comment] = STATE(264),
    [sym_formal_parameters] = STATE(7329),
    [sym_nested_type_identifier] = STATE(3821),
    [sym__type] = STATE(3902),
    [sym_constructor_type] = STATE(3924),
    [sym__primary_type] = STATE(3930),
    [sym_template_literal_type] = STATE(3873),
    [sym_infer_type] = STATE(3924),
    [sym_conditional_type] = STATE(3873),
    [sym_generic_type] = STATE(3873),
    [sym_type_query] = STATE(3873),
    [sym_index_type_query] = STATE(3873),
    [sym_lookup_type] = STATE(3873),
    [sym_literal_type] = STATE(3873),
    [sym__number] = STATE(3934),
    [sym_existential_type] = STATE(3873),
    [sym_flow_maybe_type] = STATE(3873),
    [sym_parenthesized_type] = STATE(3873),
    [sym_predefined_type] = STATE(3873),
    [sym_object_type] = STATE(3873),
    [sym_type_parameters] = STATE(6758),
    [sym_array_type] = STATE(3873),
    [sym_tuple_type] = STATE(3873),
    [sym_readonly_type] = STATE(3924),
    [sym_union_type] = STATE(3873),
    [sym_intersection_type] = STATE(3873),
    [sym_function_type] = STATE(3924),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_EQ] = ACTIONS(1280),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_LBRACE] = ACTIONS(209),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_of] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [anon_sym_EQ_GT] = ACTIONS(1286),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1898),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(1900),
    [anon_sym_DASH] = ACTIONS(1900),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_void] = ACTIONS(207),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_any] = ACTIONS(207),
    [anon_sym_number] = ACTIONS(207),
    [anon_sym_boolean] = ACTIONS(207),
    [anon_sym_string] = ACTIONS(207),
    [anon_sym_symbol] = ACTIONS(207),
    [anon_sym_object] = ACTIONS(207),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_satisfies] = ACTIONS(118),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [265] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2151),
    [sym_expression] = STATE(2735),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_assignment_pattern] = STATE(6016),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7643),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2101),
    [sym_subscript_expression] = STATE(2101),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3918),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(4717),
    [sym_spread_element] = STATE(6017),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(265),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_pattern] = STATE(5560),
    [sym_rest_pattern] = STATE(4693),
    [sym_non_null_expression] = STATE(2101),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [aux_sym_array_repeat1] = STATE(6018),
    [aux_sym_array_pattern_repeat1] = STATE(6020),
    [sym_identifier] = ACTIONS(1912),
    [anon_sym_export] = ACTIONS(958),
    [anon_sym_type] = ACTIONS(958),
    [anon_sym_namespace] = ACTIONS(960),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_COMMA] = ACTIONS(1968),
    [anon_sym_typeof] = ACTIONS(968),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(958),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_RBRACK] = ACTIONS(1970),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(978),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1914),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(243),
    [anon_sym_PLUS] = ACTIONS(968),
    [anon_sym_DASH] = ACTIONS(968),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(968),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1918),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(958),
    [anon_sym_readonly] = ACTIONS(958),
    [anon_sym_get] = ACTIONS(958),
    [anon_sym_set] = ACTIONS(958),
    [anon_sym_declare] = ACTIONS(958),
    [anon_sym_public] = ACTIONS(958),
    [anon_sym_private] = ACTIONS(958),
    [anon_sym_protected] = ACTIONS(958),
    [anon_sym_override] = ACTIONS(958),
    [anon_sym_module] = ACTIONS(958),
    [anon_sym_any] = ACTIONS(958),
    [anon_sym_number] = ACTIONS(958),
    [anon_sym_boolean] = ACTIONS(958),
    [anon_sym_string] = ACTIONS(958),
    [anon_sym_symbol] = ACTIONS(958),
    [anon_sym_object] = ACTIONS(958),
    [sym_html_comment] = ACTIONS(5),
  },
  [266] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2151),
    [sym_expression] = STATE(2808),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_assignment_pattern] = STATE(6016),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7643),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2101),
    [sym_subscript_expression] = STATE(2101),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3918),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(4717),
    [sym_spread_element] = STATE(6017),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(266),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_pattern] = STATE(5560),
    [sym_rest_pattern] = STATE(4693),
    [sym_non_null_expression] = STATE(2101),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [aux_sym_array_repeat1] = STATE(6018),
    [aux_sym_array_pattern_repeat1] = STATE(6020),
    [sym_identifier] = ACTIONS(1912),
    [anon_sym_export] = ACTIONS(958),
    [anon_sym_type] = ACTIONS(958),
    [anon_sym_namespace] = ACTIONS(960),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_COMMA] = ACTIONS(1968),
    [anon_sym_typeof] = ACTIONS(968),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(958),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_RBRACK] = ACTIONS(1970),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(978),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1914),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(243),
    [anon_sym_PLUS] = ACTIONS(968),
    [anon_sym_DASH] = ACTIONS(968),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(968),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1918),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(958),
    [anon_sym_readonly] = ACTIONS(958),
    [anon_sym_get] = ACTIONS(958),
    [anon_sym_set] = ACTIONS(958),
    [anon_sym_declare] = ACTIONS(958),
    [anon_sym_public] = ACTIONS(958),
    [anon_sym_private] = ACTIONS(958),
    [anon_sym_protected] = ACTIONS(958),
    [anon_sym_override] = ACTIONS(958),
    [anon_sym_module] = ACTIONS(958),
    [anon_sym_any] = ACTIONS(958),
    [anon_sym_number] = ACTIONS(958),
    [anon_sym_boolean] = ACTIONS(958),
    [anon_sym_string] = ACTIONS(958),
    [anon_sym_symbol] = ACTIONS(958),
    [anon_sym_object] = ACTIONS(958),
    [sym_html_comment] = ACTIONS(5),
  },
  [267] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2151),
    [sym_expression] = STATE(2818),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_assignment_pattern] = STATE(6016),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7643),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2101),
    [sym_subscript_expression] = STATE(2101),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3918),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(4717),
    [sym_spread_element] = STATE(6405),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(267),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_pattern] = STATE(5560),
    [sym_rest_pattern] = STATE(4693),
    [sym_non_null_expression] = STATE(2101),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [aux_sym_array_repeat1] = STATE(6404),
    [aux_sym_array_pattern_repeat1] = STATE(6020),
    [sym_identifier] = ACTIONS(1912),
    [anon_sym_export] = ACTIONS(958),
    [anon_sym_type] = ACTIONS(958),
    [anon_sym_namespace] = ACTIONS(960),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_COMMA] = ACTIONS(1968),
    [anon_sym_typeof] = ACTIONS(968),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(958),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_RBRACK] = ACTIONS(1972),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(978),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1914),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(243),
    [anon_sym_PLUS] = ACTIONS(968),
    [anon_sym_DASH] = ACTIONS(968),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(968),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1918),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(958),
    [anon_sym_readonly] = ACTIONS(958),
    [anon_sym_get] = ACTIONS(958),
    [anon_sym_set] = ACTIONS(958),
    [anon_sym_declare] = ACTIONS(958),
    [anon_sym_public] = ACTIONS(958),
    [anon_sym_private] = ACTIONS(958),
    [anon_sym_protected] = ACTIONS(958),
    [anon_sym_override] = ACTIONS(958),
    [anon_sym_module] = ACTIONS(958),
    [anon_sym_any] = ACTIONS(958),
    [anon_sym_number] = ACTIONS(958),
    [anon_sym_boolean] = ACTIONS(958),
    [anon_sym_string] = ACTIONS(958),
    [anon_sym_symbol] = ACTIONS(958),
    [anon_sym_object] = ACTIONS(958),
    [sym_html_comment] = ACTIONS(5),
  },
  [268] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2151),
    [sym_expression] = STATE(2818),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_assignment_pattern] = STATE(6016),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7643),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2101),
    [sym_subscript_expression] = STATE(2101),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3918),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(4717),
    [sym_spread_element] = STATE(6405),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(268),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_pattern] = STATE(5560),
    [sym_rest_pattern] = STATE(4693),
    [sym_non_null_expression] = STATE(2101),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [aux_sym_array_repeat1] = STATE(6404),
    [aux_sym_array_pattern_repeat1] = STATE(6020),
    [sym_identifier] = ACTIONS(1912),
    [anon_sym_export] = ACTIONS(958),
    [anon_sym_type] = ACTIONS(958),
    [anon_sym_namespace] = ACTIONS(960),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_COMMA] = ACTIONS(1968),
    [anon_sym_typeof] = ACTIONS(968),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(958),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_RBRACK] = ACTIONS(1974),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(978),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1914),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(243),
    [anon_sym_PLUS] = ACTIONS(968),
    [anon_sym_DASH] = ACTIONS(968),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(968),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1918),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(958),
    [anon_sym_readonly] = ACTIONS(958),
    [anon_sym_get] = ACTIONS(958),
    [anon_sym_set] = ACTIONS(958),
    [anon_sym_declare] = ACTIONS(958),
    [anon_sym_public] = ACTIONS(958),
    [anon_sym_private] = ACTIONS(958),
    [anon_sym_protected] = ACTIONS(958),
    [anon_sym_override] = ACTIONS(958),
    [anon_sym_module] = ACTIONS(958),
    [anon_sym_any] = ACTIONS(958),
    [anon_sym_number] = ACTIONS(958),
    [anon_sym_boolean] = ACTIONS(958),
    [anon_sym_string] = ACTIONS(958),
    [anon_sym_symbol] = ACTIONS(958),
    [anon_sym_object] = ACTIONS(958),
    [sym_html_comment] = ACTIONS(5),
  },
  [269] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2151),
    [sym_expression] = STATE(2818),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_assignment_pattern] = STATE(6016),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7643),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2101),
    [sym_subscript_expression] = STATE(2101),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3918),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(4717),
    [sym_spread_element] = STATE(6405),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(269),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_pattern] = STATE(5560),
    [sym_rest_pattern] = STATE(4693),
    [sym_non_null_expression] = STATE(2101),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [aux_sym_array_repeat1] = STATE(6404),
    [aux_sym_array_pattern_repeat1] = STATE(6020),
    [sym_identifier] = ACTIONS(1912),
    [anon_sym_export] = ACTIONS(958),
    [anon_sym_type] = ACTIONS(958),
    [anon_sym_namespace] = ACTIONS(960),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_COMMA] = ACTIONS(1968),
    [anon_sym_typeof] = ACTIONS(968),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(958),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_RBRACK] = ACTIONS(1976),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(978),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1914),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(243),
    [anon_sym_PLUS] = ACTIONS(968),
    [anon_sym_DASH] = ACTIONS(968),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(968),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1918),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(958),
    [anon_sym_readonly] = ACTIONS(958),
    [anon_sym_get] = ACTIONS(958),
    [anon_sym_set] = ACTIONS(958),
    [anon_sym_declare] = ACTIONS(958),
    [anon_sym_public] = ACTIONS(958),
    [anon_sym_private] = ACTIONS(958),
    [anon_sym_protected] = ACTIONS(958),
    [anon_sym_override] = ACTIONS(958),
    [anon_sym_module] = ACTIONS(958),
    [anon_sym_any] = ACTIONS(958),
    [anon_sym_number] = ACTIONS(958),
    [anon_sym_boolean] = ACTIONS(958),
    [anon_sym_string] = ACTIONS(958),
    [anon_sym_symbol] = ACTIONS(958),
    [anon_sym_object] = ACTIONS(958),
    [sym_html_comment] = ACTIONS(5),
  },
  [270] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2151),
    [sym_expression] = STATE(2464),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7643),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2151),
    [sym_subscript_expression] = STATE(2151),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3918),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7259),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(270),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2151),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1724),
    [anon_sym_export] = ACTIONS(1452),
    [anon_sym_type] = ACTIONS(1452),
    [anon_sym_namespace] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(1127),
    [anon_sym_COMMA] = ACTIONS(1978),
    [anon_sym_RBRACE] = ACTIONS(1978),
    [anon_sym_typeof] = ACTIONS(968),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1452),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_RPAREN] = ACTIONS(1978),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [anon_sym_RBRACK] = ACTIONS(1978),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(1978),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1462),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1730),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_AMP] = ACTIONS(1978),
    [anon_sym_PIPE] = ACTIONS(1978),
    [anon_sym_PLUS] = ACTIONS(968),
    [anon_sym_DASH] = ACTIONS(968),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(968),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1732),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1452),
    [anon_sym_readonly] = ACTIONS(1452),
    [anon_sym_get] = ACTIONS(1452),
    [anon_sym_set] = ACTIONS(1452),
    [anon_sym_QMARK] = ACTIONS(1978),
    [anon_sym_declare] = ACTIONS(1452),
    [anon_sym_public] = ACTIONS(1452),
    [anon_sym_private] = ACTIONS(1452),
    [anon_sym_protected] = ACTIONS(1452),
    [anon_sym_override] = ACTIONS(1452),
    [anon_sym_module] = ACTIONS(1452),
    [anon_sym_any] = ACTIONS(1452),
    [anon_sym_number] = ACTIONS(1452),
    [anon_sym_boolean] = ACTIONS(1452),
    [anon_sym_string] = ACTIONS(1452),
    [anon_sym_symbol] = ACTIONS(1452),
    [anon_sym_object] = ACTIONS(1452),
    [anon_sym_extends] = ACTIONS(1978),
    [sym_html_comment] = ACTIONS(5),
  },
  [271] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2151),
    [sym_expression] = STATE(2818),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_assignment_pattern] = STATE(6016),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7643),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2101),
    [sym_subscript_expression] = STATE(2101),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3918),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(4717),
    [sym_spread_element] = STATE(6405),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(271),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_pattern] = STATE(5560),
    [sym_rest_pattern] = STATE(4693),
    [sym_non_null_expression] = STATE(2101),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [aux_sym_array_repeat1] = STATE(6404),
    [aux_sym_array_pattern_repeat1] = STATE(6020),
    [sym_identifier] = ACTIONS(1912),
    [anon_sym_export] = ACTIONS(958),
    [anon_sym_type] = ACTIONS(958),
    [anon_sym_namespace] = ACTIONS(960),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_COMMA] = ACTIONS(1968),
    [anon_sym_typeof] = ACTIONS(968),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(958),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_RBRACK] = ACTIONS(1980),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(978),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1914),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(243),
    [anon_sym_PLUS] = ACTIONS(968),
    [anon_sym_DASH] = ACTIONS(968),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(968),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1918),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(958),
    [anon_sym_readonly] = ACTIONS(958),
    [anon_sym_get] = ACTIONS(958),
    [anon_sym_set] = ACTIONS(958),
    [anon_sym_declare] = ACTIONS(958),
    [anon_sym_public] = ACTIONS(958),
    [anon_sym_private] = ACTIONS(958),
    [anon_sym_protected] = ACTIONS(958),
    [anon_sym_override] = ACTIONS(958),
    [anon_sym_module] = ACTIONS(958),
    [anon_sym_any] = ACTIONS(958),
    [anon_sym_number] = ACTIONS(958),
    [anon_sym_boolean] = ACTIONS(958),
    [anon_sym_string] = ACTIONS(958),
    [anon_sym_symbol] = ACTIONS(958),
    [anon_sym_object] = ACTIONS(958),
    [sym_html_comment] = ACTIONS(5),
  },
  [272] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2151),
    [sym_expression] = STATE(2808),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_assignment_pattern] = STATE(6016),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7643),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2101),
    [sym_subscript_expression] = STATE(2101),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3918),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(4717),
    [sym_spread_element] = STATE(6017),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(272),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_pattern] = STATE(5560),
    [sym_rest_pattern] = STATE(4693),
    [sym_non_null_expression] = STATE(2101),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [aux_sym_array_repeat1] = STATE(6018),
    [aux_sym_array_pattern_repeat1] = STATE(6020),
    [sym_identifier] = ACTIONS(1912),
    [anon_sym_export] = ACTIONS(958),
    [anon_sym_type] = ACTIONS(958),
    [anon_sym_namespace] = ACTIONS(960),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_COMMA] = ACTIONS(1968),
    [anon_sym_typeof] = ACTIONS(968),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(958),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_RBRACK] = ACTIONS(1982),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(978),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1914),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(243),
    [anon_sym_PLUS] = ACTIONS(968),
    [anon_sym_DASH] = ACTIONS(968),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(968),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1918),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(958),
    [anon_sym_readonly] = ACTIONS(958),
    [anon_sym_get] = ACTIONS(958),
    [anon_sym_set] = ACTIONS(958),
    [anon_sym_declare] = ACTIONS(958),
    [anon_sym_public] = ACTIONS(958),
    [anon_sym_private] = ACTIONS(958),
    [anon_sym_protected] = ACTIONS(958),
    [anon_sym_override] = ACTIONS(958),
    [anon_sym_module] = ACTIONS(958),
    [anon_sym_any] = ACTIONS(958),
    [anon_sym_number] = ACTIONS(958),
    [anon_sym_boolean] = ACTIONS(958),
    [anon_sym_string] = ACTIONS(958),
    [anon_sym_symbol] = ACTIONS(958),
    [anon_sym_object] = ACTIONS(958),
    [sym_html_comment] = ACTIONS(5),
  },
  [273] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2151),
    [sym_expression] = STATE(2818),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_assignment_pattern] = STATE(6016),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7643),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2101),
    [sym_subscript_expression] = STATE(2101),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3918),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(4717),
    [sym_spread_element] = STATE(6405),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(273),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_pattern] = STATE(5560),
    [sym_rest_pattern] = STATE(4693),
    [sym_non_null_expression] = STATE(2101),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [aux_sym_array_repeat1] = STATE(6404),
    [aux_sym_array_pattern_repeat1] = STATE(6020),
    [sym_identifier] = ACTIONS(1912),
    [anon_sym_export] = ACTIONS(958),
    [anon_sym_type] = ACTIONS(958),
    [anon_sym_namespace] = ACTIONS(960),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_COMMA] = ACTIONS(1968),
    [anon_sym_typeof] = ACTIONS(968),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(958),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_RBRACK] = ACTIONS(1984),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(978),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1914),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(243),
    [anon_sym_PLUS] = ACTIONS(968),
    [anon_sym_DASH] = ACTIONS(968),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(968),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1918),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(958),
    [anon_sym_readonly] = ACTIONS(958),
    [anon_sym_get] = ACTIONS(958),
    [anon_sym_set] = ACTIONS(958),
    [anon_sym_declare] = ACTIONS(958),
    [anon_sym_public] = ACTIONS(958),
    [anon_sym_private] = ACTIONS(958),
    [anon_sym_protected] = ACTIONS(958),
    [anon_sym_override] = ACTIONS(958),
    [anon_sym_module] = ACTIONS(958),
    [anon_sym_any] = ACTIONS(958),
    [anon_sym_number] = ACTIONS(958),
    [anon_sym_boolean] = ACTIONS(958),
    [anon_sym_string] = ACTIONS(958),
    [anon_sym_symbol] = ACTIONS(958),
    [anon_sym_object] = ACTIONS(958),
    [sym_html_comment] = ACTIONS(5),
  },
  [274] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2048),
    [sym_expression] = STATE(3359),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7260),
    [sym__formal_parameter] = STATE(6649),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2111),
    [sym_subscript_expression] = STATE(2111),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3878),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(4560),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(274),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(2152),
    [sym_formal_parameters] = STATE(4790),
    [sym_pattern] = STATE(5367),
    [sym_rest_pattern] = STATE(4693),
    [sym_non_null_expression] = STATE(2111),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_accessibility_modifier] = STATE(391),
    [sym_override_modifier] = STATE(433),
    [sym_required_parameter] = STATE(7169),
    [sym_optional_parameter] = STATE(7169),
    [sym__parameter_name] = STATE(4673),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(339),
    [sym_identifier] = ACTIONS(1061),
    [anon_sym_export] = ACTIONS(111),
    [anon_sym_type] = ACTIONS(111),
    [anon_sym_namespace] = ACTIONS(120),
    [anon_sym_LBRACE] = ACTIONS(1063),
    [anon_sym_typeof] = ACTIONS(174),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(111),
    [anon_sym_BANG] = ACTIONS(174),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1948),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(149),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1071),
    [anon_sym_using] = ACTIONS(157),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(161),
    [anon_sym_PLUS] = ACTIONS(174),
    [anon_sym_DASH] = ACTIONS(174),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(174),
    [anon_sym_void] = ACTIONS(174),
    [anon_sym_delete] = ACTIONS(174),
    [anon_sym_PLUS_PLUS] = ACTIONS(1039),
    [anon_sym_DASH_DASH] = ACTIONS(1039),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(185),
    [sym_this] = ACTIONS(1950),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1081),
    [anon_sym_AT] = ACTIONS(1157),
    [anon_sym_static] = ACTIONS(111),
    [anon_sym_readonly] = ACTIONS(1952),
    [anon_sym_get] = ACTIONS(111),
    [anon_sym_set] = ACTIONS(111),
    [anon_sym_declare] = ACTIONS(111),
    [anon_sym_public] = ACTIONS(1173),
    [anon_sym_private] = ACTIONS(1173),
    [anon_sym_protected] = ACTIONS(1173),
    [anon_sym_override] = ACTIONS(1175),
    [anon_sym_module] = ACTIONS(111),
    [anon_sym_any] = ACTIONS(111),
    [anon_sym_number] = ACTIONS(111),
    [anon_sym_boolean] = ACTIONS(111),
    [anon_sym_string] = ACTIONS(111),
    [anon_sym_symbol] = ACTIONS(111),
    [anon_sym_object] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [275] = {
    [sym_nested_identifier] = STATE(7283),
    [sym_string] = STATE(3875),
    [sym_comment] = STATE(275),
    [sym_formal_parameters] = STATE(7329),
    [sym_nested_type_identifier] = STATE(3821),
    [sym__type] = STATE(3902),
    [sym_constructor_type] = STATE(3924),
    [sym__primary_type] = STATE(3930),
    [sym_template_literal_type] = STATE(3873),
    [sym_infer_type] = STATE(3924),
    [sym_conditional_type] = STATE(3873),
    [sym_generic_type] = STATE(3873),
    [sym_type_query] = STATE(3873),
    [sym_index_type_query] = STATE(3873),
    [sym_lookup_type] = STATE(3873),
    [sym_literal_type] = STATE(3873),
    [sym__number] = STATE(3934),
    [sym_existential_type] = STATE(3873),
    [sym_flow_maybe_type] = STATE(3873),
    [sym_parenthesized_type] = STATE(3873),
    [sym_predefined_type] = STATE(3873),
    [sym_object_type] = STATE(3873),
    [sym_type_parameters] = STATE(6758),
    [sym_array_type] = STATE(3873),
    [sym_tuple_type] = STATE(3873),
    [sym_readonly_type] = STATE(3924),
    [sym_union_type] = STATE(3873),
    [sym_intersection_type] = STATE(3873),
    [sym_function_type] = STATE(3924),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_EQ] = ACTIONS(1117),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_LBRACE] = ACTIONS(209),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [anon_sym_EQ_GT] = ACTIONS(153),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1898),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(1900),
    [anon_sym_DASH] = ACTIONS(1900),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_void] = ACTIONS(207),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_any] = ACTIONS(207),
    [anon_sym_number] = ACTIONS(207),
    [anon_sym_boolean] = ACTIONS(207),
    [anon_sym_string] = ACTIONS(207),
    [anon_sym_symbol] = ACTIONS(207),
    [anon_sym_object] = ACTIONS(207),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_satisfies] = ACTIONS(118),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [276] = {
    [sym_import] = STATE(4369),
    [sym_expression_statement] = STATE(376),
    [sym_variable_declaration] = STATE(376),
    [sym_lexical_declaration] = STATE(376),
    [sym_empty_statement] = STATE(376),
    [sym_parenthesized_expression] = STATE(2184),
    [sym_expression] = STATE(2679),
    [sym_primary_expression] = STATE(2990),
    [sym_yield_expression] = STATE(3139),
    [sym_object] = STATE(3113),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(3113),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(3139),
    [sym_glimmer_opening_tag] = STATE(5702),
    [sym_jsx_element] = STATE(3139),
    [sym_jsx_opening_element] = STATE(4008),
    [sym_jsx_self_closing_element] = STATE(3139),
    [sym_class] = STATE(3113),
    [sym_function_expression] = STATE(3113),
    [sym_generator_function] = STATE(3113),
    [sym_arrow_function] = STATE(3113),
    [sym__call_signature] = STATE(7486),
    [sym_call_expression] = STATE(3113),
    [sym_new_expression] = STATE(3139),
    [sym_await_expression] = STATE(3139),
    [sym_member_expression] = STATE(2184),
    [sym_subscript_expression] = STATE(2184),
    [sym_assignment_expression] = STATE(3139),
    [sym__augmented_assignment_lhs] = STATE(3835),
    [sym_augmented_assignment_expression] = STATE(3139),
    [sym__destructuring_pattern] = STATE(6477),
    [sym_ternary_expression] = STATE(3139),
    [sym_binary_expression] = STATE(3139),
    [sym_unary_expression] = STATE(3139),
    [sym_update_expression] = STATE(3139),
    [sym_sequence_expression] = STATE(7092),
    [sym_string] = STATE(3113),
    [sym_comment] = STATE(276),
    [sym_template_string] = STATE(3113),
    [sym_regex] = STATE(3113),
    [sym_meta_property] = STATE(3113),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2184),
    [sym_as_expression] = STATE(3139),
    [sym_satisfies_expression] = STATE(3139),
    [sym_instantiation_expression] = STATE(3139),
    [sym_internal_module] = STATE(3139),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5555),
    [sym_identifier] = ACTIONS(1986),
    [anon_sym_export] = ACTIONS(1988),
    [anon_sym_type] = ACTIONS(1988),
    [anon_sym_namespace] = ACTIONS(1990),
    [anon_sym_LBRACE] = ACTIONS(1992),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_var] = ACTIONS(1994),
    [anon_sym_let] = ACTIONS(1996),
    [anon_sym_const] = ACTIONS(1998),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_SEMI] = ACTIONS(2000),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(2002),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1029),
    [anon_sym_async] = ACTIONS(2004),
    [anon_sym_function] = ACTIONS(1033),
    [anon_sym_new] = ACTIONS(2006),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(2008),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1988),
    [anon_sym_readonly] = ACTIONS(1988),
    [anon_sym_get] = ACTIONS(1988),
    [anon_sym_set] = ACTIONS(1988),
    [anon_sym_declare] = ACTIONS(1988),
    [anon_sym_public] = ACTIONS(1988),
    [anon_sym_private] = ACTIONS(1988),
    [anon_sym_protected] = ACTIONS(1988),
    [anon_sym_override] = ACTIONS(1988),
    [anon_sym_module] = ACTIONS(1988),
    [anon_sym_any] = ACTIONS(1988),
    [anon_sym_number] = ACTIONS(1988),
    [anon_sym_boolean] = ACTIONS(1988),
    [anon_sym_string] = ACTIONS(1988),
    [anon_sym_symbol] = ACTIONS(1988),
    [anon_sym_object] = ACTIONS(1988),
    [sym_html_comment] = ACTIONS(5),
  },
  [277] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2248),
    [sym_expression] = STATE(3127),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_assignment_pattern] = STATE(6016),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7502),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2228),
    [sym_subscript_expression] = STATE(2228),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3928),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(5832),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(277),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_pattern] = STATE(5560),
    [sym_rest_pattern] = STATE(4693),
    [sym_non_null_expression] = STATE(2228),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_mapped_type_clause] = STATE(7478),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [aux_sym_array_pattern_repeat1] = STATE(6020),
    [sym_identifier] = ACTIONS(2010),
    [anon_sym_export] = ACTIONS(2012),
    [anon_sym_type] = ACTIONS(2012),
    [anon_sym_namespace] = ACTIONS(2014),
    [anon_sym_LBRACE] = ACTIONS(2016),
    [anon_sym_COMMA] = ACTIONS(2018),
    [anon_sym_typeof] = ACTIONS(1624),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(2012),
    [anon_sym_BANG] = ACTIONS(1624),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1626),
    [anon_sym_yield] = ACTIONS(1628),
    [anon_sym_LBRACK] = ACTIONS(2020),
    [anon_sym_RBRACK] = ACTIONS(2022),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(2024),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(2026),
    [anon_sym_using] = ACTIONS(1634),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(161),
    [anon_sym_PLUS] = ACTIONS(1624),
    [anon_sym_DASH] = ACTIONS(1624),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(1624),
    [anon_sym_void] = ACTIONS(1624),
    [anon_sym_delete] = ACTIONS(1624),
    [anon_sym_PLUS_PLUS] = ACTIONS(1640),
    [anon_sym_DASH_DASH] = ACTIONS(1640),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(1642),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(2028),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(2012),
    [anon_sym_readonly] = ACTIONS(2012),
    [anon_sym_get] = ACTIONS(2012),
    [anon_sym_set] = ACTIONS(2012),
    [anon_sym_declare] = ACTIONS(2012),
    [anon_sym_public] = ACTIONS(2012),
    [anon_sym_private] = ACTIONS(2012),
    [anon_sym_protected] = ACTIONS(2012),
    [anon_sym_override] = ACTIONS(2012),
    [anon_sym_module] = ACTIONS(2012),
    [anon_sym_any] = ACTIONS(2012),
    [anon_sym_number] = ACTIONS(2012),
    [anon_sym_boolean] = ACTIONS(2012),
    [anon_sym_string] = ACTIONS(2012),
    [anon_sym_symbol] = ACTIONS(2012),
    [anon_sym_object] = ACTIONS(2012),
    [sym_html_comment] = ACTIONS(5),
  },
  [278] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2151),
    [sym_expression] = STATE(2464),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7643),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2151),
    [sym_subscript_expression] = STATE(2151),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3918),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7259),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(278),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2151),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1724),
    [anon_sym_export] = ACTIONS(1452),
    [anon_sym_type] = ACTIONS(1452),
    [anon_sym_namespace] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(1127),
    [anon_sym_COMMA] = ACTIONS(1978),
    [anon_sym_RBRACE] = ACTIONS(1978),
    [anon_sym_typeof] = ACTIONS(968),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1452),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_SEMI] = ACTIONS(1978),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1462),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1730),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_AMP] = ACTIONS(1978),
    [anon_sym_PIPE] = ACTIONS(1978),
    [anon_sym_PLUS] = ACTIONS(968),
    [anon_sym_DASH] = ACTIONS(968),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(968),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1732),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1452),
    [anon_sym_readonly] = ACTIONS(1452),
    [anon_sym_get] = ACTIONS(1452),
    [anon_sym_set] = ACTIONS(1452),
    [anon_sym_declare] = ACTIONS(1452),
    [anon_sym_public] = ACTIONS(1452),
    [anon_sym_private] = ACTIONS(1452),
    [anon_sym_protected] = ACTIONS(1452),
    [anon_sym_override] = ACTIONS(1452),
    [anon_sym_module] = ACTIONS(1452),
    [anon_sym_any] = ACTIONS(1452),
    [anon_sym_number] = ACTIONS(1452),
    [anon_sym_boolean] = ACTIONS(1452),
    [anon_sym_string] = ACTIONS(1452),
    [anon_sym_symbol] = ACTIONS(1452),
    [anon_sym_object] = ACTIONS(1452),
    [anon_sym_extends] = ACTIONS(1978),
    [anon_sym_PIPE_RBRACE] = ACTIONS(1978),
    [sym__automatic_semicolon] = ACTIONS(2030),
    [sym_html_comment] = ACTIONS(5),
  },
  [279] = {
    [sym_import] = STATE(4369),
    [sym_expression_statement] = STATE(354),
    [sym_variable_declaration] = STATE(354),
    [sym_lexical_declaration] = STATE(354),
    [sym_empty_statement] = STATE(354),
    [sym_parenthesized_expression] = STATE(2184),
    [sym_expression] = STATE(2679),
    [sym_primary_expression] = STATE(2990),
    [sym_yield_expression] = STATE(3139),
    [sym_object] = STATE(3113),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(3113),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(3139),
    [sym_glimmer_opening_tag] = STATE(5702),
    [sym_jsx_element] = STATE(3139),
    [sym_jsx_opening_element] = STATE(4008),
    [sym_jsx_self_closing_element] = STATE(3139),
    [sym_class] = STATE(3113),
    [sym_function_expression] = STATE(3113),
    [sym_generator_function] = STATE(3113),
    [sym_arrow_function] = STATE(3113),
    [sym__call_signature] = STATE(7486),
    [sym_call_expression] = STATE(3113),
    [sym_new_expression] = STATE(3139),
    [sym_await_expression] = STATE(3139),
    [sym_member_expression] = STATE(2184),
    [sym_subscript_expression] = STATE(2184),
    [sym_assignment_expression] = STATE(3139),
    [sym__augmented_assignment_lhs] = STATE(3835),
    [sym_augmented_assignment_expression] = STATE(3139),
    [sym__destructuring_pattern] = STATE(6477),
    [sym_ternary_expression] = STATE(3139),
    [sym_binary_expression] = STATE(3139),
    [sym_unary_expression] = STATE(3139),
    [sym_update_expression] = STATE(3139),
    [sym_sequence_expression] = STATE(7092),
    [sym_string] = STATE(3113),
    [sym_comment] = STATE(279),
    [sym_template_string] = STATE(3113),
    [sym_regex] = STATE(3113),
    [sym_meta_property] = STATE(3113),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2184),
    [sym_as_expression] = STATE(3139),
    [sym_satisfies_expression] = STATE(3139),
    [sym_instantiation_expression] = STATE(3139),
    [sym_internal_module] = STATE(3139),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5555),
    [sym_identifier] = ACTIONS(1986),
    [anon_sym_export] = ACTIONS(1988),
    [anon_sym_type] = ACTIONS(1988),
    [anon_sym_namespace] = ACTIONS(1990),
    [anon_sym_LBRACE] = ACTIONS(1992),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_var] = ACTIONS(1994),
    [anon_sym_let] = ACTIONS(1996),
    [anon_sym_const] = ACTIONS(1998),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_SEMI] = ACTIONS(2000),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(2002),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1029),
    [anon_sym_async] = ACTIONS(2004),
    [anon_sym_function] = ACTIONS(1033),
    [anon_sym_new] = ACTIONS(2006),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(2008),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1988),
    [anon_sym_readonly] = ACTIONS(1988),
    [anon_sym_get] = ACTIONS(1988),
    [anon_sym_set] = ACTIONS(1988),
    [anon_sym_declare] = ACTIONS(1988),
    [anon_sym_public] = ACTIONS(1988),
    [anon_sym_private] = ACTIONS(1988),
    [anon_sym_protected] = ACTIONS(1988),
    [anon_sym_override] = ACTIONS(1988),
    [anon_sym_module] = ACTIONS(1988),
    [anon_sym_any] = ACTIONS(1988),
    [anon_sym_number] = ACTIONS(1988),
    [anon_sym_boolean] = ACTIONS(1988),
    [anon_sym_string] = ACTIONS(1988),
    [anon_sym_symbol] = ACTIONS(1988),
    [anon_sym_object] = ACTIONS(1988),
    [sym_html_comment] = ACTIONS(5),
  },
  [280] = {
    [sym_import] = STATE(4369),
    [sym_expression_statement] = STATE(356),
    [sym_variable_declaration] = STATE(356),
    [sym_lexical_declaration] = STATE(356),
    [sym_empty_statement] = STATE(356),
    [sym_parenthesized_expression] = STATE(2184),
    [sym_expression] = STATE(2679),
    [sym_primary_expression] = STATE(2990),
    [sym_yield_expression] = STATE(3139),
    [sym_object] = STATE(3113),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(3113),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(3139),
    [sym_glimmer_opening_tag] = STATE(5702),
    [sym_jsx_element] = STATE(3139),
    [sym_jsx_opening_element] = STATE(4008),
    [sym_jsx_self_closing_element] = STATE(3139),
    [sym_class] = STATE(3113),
    [sym_function_expression] = STATE(3113),
    [sym_generator_function] = STATE(3113),
    [sym_arrow_function] = STATE(3113),
    [sym__call_signature] = STATE(7486),
    [sym_call_expression] = STATE(3113),
    [sym_new_expression] = STATE(3139),
    [sym_await_expression] = STATE(3139),
    [sym_member_expression] = STATE(2184),
    [sym_subscript_expression] = STATE(2184),
    [sym_assignment_expression] = STATE(3139),
    [sym__augmented_assignment_lhs] = STATE(3835),
    [sym_augmented_assignment_expression] = STATE(3139),
    [sym__destructuring_pattern] = STATE(6477),
    [sym_ternary_expression] = STATE(3139),
    [sym_binary_expression] = STATE(3139),
    [sym_unary_expression] = STATE(3139),
    [sym_update_expression] = STATE(3139),
    [sym_sequence_expression] = STATE(7092),
    [sym_string] = STATE(3113),
    [sym_comment] = STATE(280),
    [sym_template_string] = STATE(3113),
    [sym_regex] = STATE(3113),
    [sym_meta_property] = STATE(3113),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2184),
    [sym_as_expression] = STATE(3139),
    [sym_satisfies_expression] = STATE(3139),
    [sym_instantiation_expression] = STATE(3139),
    [sym_internal_module] = STATE(3139),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5555),
    [sym_identifier] = ACTIONS(1986),
    [anon_sym_export] = ACTIONS(1988),
    [anon_sym_type] = ACTIONS(1988),
    [anon_sym_namespace] = ACTIONS(1990),
    [anon_sym_LBRACE] = ACTIONS(1992),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_var] = ACTIONS(1994),
    [anon_sym_let] = ACTIONS(1996),
    [anon_sym_const] = ACTIONS(1998),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_SEMI] = ACTIONS(2000),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(2002),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1029),
    [anon_sym_async] = ACTIONS(2004),
    [anon_sym_function] = ACTIONS(1033),
    [anon_sym_new] = ACTIONS(2006),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(2008),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1988),
    [anon_sym_readonly] = ACTIONS(1988),
    [anon_sym_get] = ACTIONS(1988),
    [anon_sym_set] = ACTIONS(1988),
    [anon_sym_declare] = ACTIONS(1988),
    [anon_sym_public] = ACTIONS(1988),
    [anon_sym_private] = ACTIONS(1988),
    [anon_sym_protected] = ACTIONS(1988),
    [anon_sym_override] = ACTIONS(1988),
    [anon_sym_module] = ACTIONS(1988),
    [anon_sym_any] = ACTIONS(1988),
    [anon_sym_number] = ACTIONS(1988),
    [anon_sym_boolean] = ACTIONS(1988),
    [anon_sym_string] = ACTIONS(1988),
    [anon_sym_symbol] = ACTIONS(1988),
    [anon_sym_object] = ACTIONS(1988),
    [sym_html_comment] = ACTIONS(5),
  },
  [281] = {
    [sym_import] = STATE(4369),
    [sym_expression_statement] = STATE(394),
    [sym_variable_declaration] = STATE(394),
    [sym_lexical_declaration] = STATE(394),
    [sym_empty_statement] = STATE(394),
    [sym_parenthesized_expression] = STATE(2184),
    [sym_expression] = STATE(2679),
    [sym_primary_expression] = STATE(2990),
    [sym_yield_expression] = STATE(3139),
    [sym_object] = STATE(3113),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(3113),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(3139),
    [sym_glimmer_opening_tag] = STATE(5702),
    [sym_jsx_element] = STATE(3139),
    [sym_jsx_opening_element] = STATE(4008),
    [sym_jsx_self_closing_element] = STATE(3139),
    [sym_class] = STATE(3113),
    [sym_function_expression] = STATE(3113),
    [sym_generator_function] = STATE(3113),
    [sym_arrow_function] = STATE(3113),
    [sym__call_signature] = STATE(7486),
    [sym_call_expression] = STATE(3113),
    [sym_new_expression] = STATE(3139),
    [sym_await_expression] = STATE(3139),
    [sym_member_expression] = STATE(2184),
    [sym_subscript_expression] = STATE(2184),
    [sym_assignment_expression] = STATE(3139),
    [sym__augmented_assignment_lhs] = STATE(3835),
    [sym_augmented_assignment_expression] = STATE(3139),
    [sym__destructuring_pattern] = STATE(6477),
    [sym_ternary_expression] = STATE(3139),
    [sym_binary_expression] = STATE(3139),
    [sym_unary_expression] = STATE(3139),
    [sym_update_expression] = STATE(3139),
    [sym_sequence_expression] = STATE(7092),
    [sym_string] = STATE(3113),
    [sym_comment] = STATE(281),
    [sym_template_string] = STATE(3113),
    [sym_regex] = STATE(3113),
    [sym_meta_property] = STATE(3113),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2184),
    [sym_as_expression] = STATE(3139),
    [sym_satisfies_expression] = STATE(3139),
    [sym_instantiation_expression] = STATE(3139),
    [sym_internal_module] = STATE(3139),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5555),
    [sym_identifier] = ACTIONS(1986),
    [anon_sym_export] = ACTIONS(1988),
    [anon_sym_type] = ACTIONS(1988),
    [anon_sym_namespace] = ACTIONS(1990),
    [anon_sym_LBRACE] = ACTIONS(1992),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_var] = ACTIONS(1994),
    [anon_sym_let] = ACTIONS(1996),
    [anon_sym_const] = ACTIONS(1998),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_SEMI] = ACTIONS(2000),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(2002),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1029),
    [anon_sym_async] = ACTIONS(2004),
    [anon_sym_function] = ACTIONS(1033),
    [anon_sym_new] = ACTIONS(2006),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(2008),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1988),
    [anon_sym_readonly] = ACTIONS(1988),
    [anon_sym_get] = ACTIONS(1988),
    [anon_sym_set] = ACTIONS(1988),
    [anon_sym_declare] = ACTIONS(1988),
    [anon_sym_public] = ACTIONS(1988),
    [anon_sym_private] = ACTIONS(1988),
    [anon_sym_protected] = ACTIONS(1988),
    [anon_sym_override] = ACTIONS(1988),
    [anon_sym_module] = ACTIONS(1988),
    [anon_sym_any] = ACTIONS(1988),
    [anon_sym_number] = ACTIONS(1988),
    [anon_sym_boolean] = ACTIONS(1988),
    [anon_sym_string] = ACTIONS(1988),
    [anon_sym_symbol] = ACTIONS(1988),
    [anon_sym_object] = ACTIONS(1988),
    [sym_html_comment] = ACTIONS(5),
  },
  [282] = {
    [sym_import] = STATE(4369),
    [sym_expression_statement] = STATE(374),
    [sym_variable_declaration] = STATE(374),
    [sym_lexical_declaration] = STATE(374),
    [sym_empty_statement] = STATE(374),
    [sym_parenthesized_expression] = STATE(2184),
    [sym_expression] = STATE(2679),
    [sym_primary_expression] = STATE(2990),
    [sym_yield_expression] = STATE(3139),
    [sym_object] = STATE(3113),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(3113),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(3139),
    [sym_glimmer_opening_tag] = STATE(5702),
    [sym_jsx_element] = STATE(3139),
    [sym_jsx_opening_element] = STATE(4008),
    [sym_jsx_self_closing_element] = STATE(3139),
    [sym_class] = STATE(3113),
    [sym_function_expression] = STATE(3113),
    [sym_generator_function] = STATE(3113),
    [sym_arrow_function] = STATE(3113),
    [sym__call_signature] = STATE(7486),
    [sym_call_expression] = STATE(3113),
    [sym_new_expression] = STATE(3139),
    [sym_await_expression] = STATE(3139),
    [sym_member_expression] = STATE(2184),
    [sym_subscript_expression] = STATE(2184),
    [sym_assignment_expression] = STATE(3139),
    [sym__augmented_assignment_lhs] = STATE(3835),
    [sym_augmented_assignment_expression] = STATE(3139),
    [sym__destructuring_pattern] = STATE(6477),
    [sym_ternary_expression] = STATE(3139),
    [sym_binary_expression] = STATE(3139),
    [sym_unary_expression] = STATE(3139),
    [sym_update_expression] = STATE(3139),
    [sym_sequence_expression] = STATE(7092),
    [sym_string] = STATE(3113),
    [sym_comment] = STATE(282),
    [sym_template_string] = STATE(3113),
    [sym_regex] = STATE(3113),
    [sym_meta_property] = STATE(3113),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2184),
    [sym_as_expression] = STATE(3139),
    [sym_satisfies_expression] = STATE(3139),
    [sym_instantiation_expression] = STATE(3139),
    [sym_internal_module] = STATE(3139),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5555),
    [sym_identifier] = ACTIONS(1986),
    [anon_sym_export] = ACTIONS(1988),
    [anon_sym_type] = ACTIONS(1988),
    [anon_sym_namespace] = ACTIONS(1990),
    [anon_sym_LBRACE] = ACTIONS(1992),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_var] = ACTIONS(1994),
    [anon_sym_let] = ACTIONS(1996),
    [anon_sym_const] = ACTIONS(1998),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_SEMI] = ACTIONS(2000),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(2002),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1029),
    [anon_sym_async] = ACTIONS(2004),
    [anon_sym_function] = ACTIONS(1033),
    [anon_sym_new] = ACTIONS(2006),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(2008),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1988),
    [anon_sym_readonly] = ACTIONS(1988),
    [anon_sym_get] = ACTIONS(1988),
    [anon_sym_set] = ACTIONS(1988),
    [anon_sym_declare] = ACTIONS(1988),
    [anon_sym_public] = ACTIONS(1988),
    [anon_sym_private] = ACTIONS(1988),
    [anon_sym_protected] = ACTIONS(1988),
    [anon_sym_override] = ACTIONS(1988),
    [anon_sym_module] = ACTIONS(1988),
    [anon_sym_any] = ACTIONS(1988),
    [anon_sym_number] = ACTIONS(1988),
    [anon_sym_boolean] = ACTIONS(1988),
    [anon_sym_string] = ACTIONS(1988),
    [anon_sym_symbol] = ACTIONS(1988),
    [anon_sym_object] = ACTIONS(1988),
    [sym_html_comment] = ACTIONS(5),
  },
  [283] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2048),
    [sym_expression] = STATE(3373),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7260),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2048),
    [sym_subscript_expression] = STATE(2048),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3878),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7646),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(283),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2048),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1095),
    [anon_sym_export] = ACTIONS(1097),
    [anon_sym_type] = ACTIONS(1097),
    [anon_sym_namespace] = ACTIONS(1099),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_COMMA] = ACTIONS(1978),
    [anon_sym_typeof] = ACTIONS(174),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1097),
    [anon_sym_BANG] = ACTIONS(174),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_RPAREN] = ACTIONS(1978),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [anon_sym_RBRACK] = ACTIONS(1978),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(1978),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1109),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1111),
    [anon_sym_using] = ACTIONS(157),
    [anon_sym_AMP] = ACTIONS(1978),
    [anon_sym_PIPE] = ACTIONS(1978),
    [anon_sym_PLUS] = ACTIONS(174),
    [anon_sym_DASH] = ACTIONS(174),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(174),
    [anon_sym_void] = ACTIONS(174),
    [anon_sym_delete] = ACTIONS(174),
    [anon_sym_PLUS_PLUS] = ACTIONS(1039),
    [anon_sym_DASH_DASH] = ACTIONS(1039),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(185),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1115),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1097),
    [anon_sym_readonly] = ACTIONS(1097),
    [anon_sym_get] = ACTIONS(1097),
    [anon_sym_set] = ACTIONS(1097),
    [anon_sym_declare] = ACTIONS(1097),
    [anon_sym_public] = ACTIONS(1097),
    [anon_sym_private] = ACTIONS(1097),
    [anon_sym_protected] = ACTIONS(1097),
    [anon_sym_override] = ACTIONS(1097),
    [anon_sym_module] = ACTIONS(1097),
    [anon_sym_any] = ACTIONS(1097),
    [anon_sym_number] = ACTIONS(1097),
    [anon_sym_boolean] = ACTIONS(1097),
    [anon_sym_string] = ACTIONS(1097),
    [anon_sym_symbol] = ACTIONS(1097),
    [anon_sym_object] = ACTIONS(1097),
    [anon_sym_extends] = ACTIONS(1978),
    [sym_html_comment] = ACTIONS(5),
  },
  [284] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2151),
    [sym_expression] = STATE(2773),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_assignment_pattern] = STATE(6723),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7643),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2101),
    [sym_subscript_expression] = STATE(2101),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3918),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(4717),
    [sym_spread_element] = STATE(6296),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(284),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_pattern] = STATE(6295),
    [sym_rest_pattern] = STATE(4693),
    [sym_non_null_expression] = STATE(2101),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1912),
    [anon_sym_export] = ACTIONS(958),
    [anon_sym_type] = ACTIONS(958),
    [anon_sym_namespace] = ACTIONS(960),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_COMMA] = ACTIONS(2032),
    [anon_sym_typeof] = ACTIONS(968),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(958),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_RBRACK] = ACTIONS(2035),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(978),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1914),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(243),
    [anon_sym_PLUS] = ACTIONS(968),
    [anon_sym_DASH] = ACTIONS(968),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(968),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1918),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(958),
    [anon_sym_readonly] = ACTIONS(958),
    [anon_sym_get] = ACTIONS(958),
    [anon_sym_set] = ACTIONS(958),
    [anon_sym_declare] = ACTIONS(958),
    [anon_sym_public] = ACTIONS(958),
    [anon_sym_private] = ACTIONS(958),
    [anon_sym_protected] = ACTIONS(958),
    [anon_sym_override] = ACTIONS(958),
    [anon_sym_module] = ACTIONS(958),
    [anon_sym_any] = ACTIONS(958),
    [anon_sym_number] = ACTIONS(958),
    [anon_sym_boolean] = ACTIONS(958),
    [anon_sym_string] = ACTIONS(958),
    [anon_sym_symbol] = ACTIONS(958),
    [anon_sym_object] = ACTIONS(958),
    [sym_html_comment] = ACTIONS(5),
  },
  [285] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2048),
    [sym_expression] = STATE(3359),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_assignment_pattern] = STATE(6016),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7260),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2111),
    [sym_subscript_expression] = STATE(2111),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3878),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(4560),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(285),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_pattern] = STATE(5560),
    [sym_rest_pattern] = STATE(4693),
    [sym_non_null_expression] = STATE(2111),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [aux_sym_array_pattern_repeat1] = STATE(6020),
    [sym_identifier] = ACTIONS(1061),
    [anon_sym_export] = ACTIONS(111),
    [anon_sym_type] = ACTIONS(111),
    [anon_sym_namespace] = ACTIONS(120),
    [anon_sym_LBRACE] = ACTIONS(1063),
    [anon_sym_COMMA] = ACTIONS(2018),
    [anon_sym_typeof] = ACTIONS(174),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(111),
    [anon_sym_BANG] = ACTIONS(174),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1948),
    [anon_sym_RBRACK] = ACTIONS(2022),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(149),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1071),
    [anon_sym_using] = ACTIONS(157),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(161),
    [anon_sym_PLUS] = ACTIONS(174),
    [anon_sym_DASH] = ACTIONS(174),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(174),
    [anon_sym_void] = ACTIONS(174),
    [anon_sym_delete] = ACTIONS(174),
    [anon_sym_PLUS_PLUS] = ACTIONS(1039),
    [anon_sym_DASH_DASH] = ACTIONS(1039),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(185),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1081),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(111),
    [anon_sym_readonly] = ACTIONS(111),
    [anon_sym_get] = ACTIONS(111),
    [anon_sym_set] = ACTIONS(111),
    [anon_sym_declare] = ACTIONS(111),
    [anon_sym_public] = ACTIONS(111),
    [anon_sym_private] = ACTIONS(111),
    [anon_sym_protected] = ACTIONS(111),
    [anon_sym_override] = ACTIONS(111),
    [anon_sym_module] = ACTIONS(111),
    [anon_sym_any] = ACTIONS(111),
    [anon_sym_number] = ACTIONS(111),
    [anon_sym_boolean] = ACTIONS(111),
    [anon_sym_string] = ACTIONS(111),
    [anon_sym_symbol] = ACTIONS(111),
    [anon_sym_object] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [286] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2048),
    [sym_expression] = STATE(3359),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_assignment_pattern] = STATE(6406),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7260),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2111),
    [sym_subscript_expression] = STATE(2111),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3878),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(4560),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(286),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_pattern] = STATE(5651),
    [sym_rest_pattern] = STATE(4693),
    [sym_non_null_expression] = STATE(2111),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [aux_sym_array_pattern_repeat1] = STATE(6402),
    [sym_identifier] = ACTIONS(1061),
    [anon_sym_export] = ACTIONS(111),
    [anon_sym_type] = ACTIONS(111),
    [anon_sym_namespace] = ACTIONS(120),
    [anon_sym_LBRACE] = ACTIONS(1063),
    [anon_sym_COMMA] = ACTIONS(2018),
    [anon_sym_typeof] = ACTIONS(174),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(111),
    [anon_sym_BANG] = ACTIONS(174),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1948),
    [anon_sym_RBRACK] = ACTIONS(2039),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(149),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1071),
    [anon_sym_using] = ACTIONS(157),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(161),
    [anon_sym_PLUS] = ACTIONS(174),
    [anon_sym_DASH] = ACTIONS(174),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(174),
    [anon_sym_void] = ACTIONS(174),
    [anon_sym_delete] = ACTIONS(174),
    [anon_sym_PLUS_PLUS] = ACTIONS(1039),
    [anon_sym_DASH_DASH] = ACTIONS(1039),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(185),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1081),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(111),
    [anon_sym_readonly] = ACTIONS(111),
    [anon_sym_get] = ACTIONS(111),
    [anon_sym_set] = ACTIONS(111),
    [anon_sym_declare] = ACTIONS(111),
    [anon_sym_public] = ACTIONS(111),
    [anon_sym_private] = ACTIONS(111),
    [anon_sym_protected] = ACTIONS(111),
    [anon_sym_override] = ACTIONS(111),
    [anon_sym_module] = ACTIONS(111),
    [anon_sym_any] = ACTIONS(111),
    [anon_sym_number] = ACTIONS(111),
    [anon_sym_boolean] = ACTIONS(111),
    [anon_sym_string] = ACTIONS(111),
    [anon_sym_symbol] = ACTIONS(111),
    [anon_sym_object] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [287] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2151),
    [sym_expression] = STATE(2773),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_assignment_pattern] = STATE(6723),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7643),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2101),
    [sym_subscript_expression] = STATE(2101),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3918),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(4717),
    [sym_spread_element] = STATE(6296),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(287),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_pattern] = STATE(6295),
    [sym_rest_pattern] = STATE(4693),
    [sym_non_null_expression] = STATE(2101),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1912),
    [anon_sym_export] = ACTIONS(958),
    [anon_sym_type] = ACTIONS(958),
    [anon_sym_namespace] = ACTIONS(960),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_COMMA] = ACTIONS(2032),
    [anon_sym_typeof] = ACTIONS(968),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(958),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_RBRACK] = ACTIONS(2032),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(978),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1914),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(243),
    [anon_sym_PLUS] = ACTIONS(968),
    [anon_sym_DASH] = ACTIONS(968),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(968),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1918),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(958),
    [anon_sym_readonly] = ACTIONS(958),
    [anon_sym_get] = ACTIONS(958),
    [anon_sym_set] = ACTIONS(958),
    [anon_sym_declare] = ACTIONS(958),
    [anon_sym_public] = ACTIONS(958),
    [anon_sym_private] = ACTIONS(958),
    [anon_sym_protected] = ACTIONS(958),
    [anon_sym_override] = ACTIONS(958),
    [anon_sym_module] = ACTIONS(958),
    [anon_sym_any] = ACTIONS(958),
    [anon_sym_number] = ACTIONS(958),
    [anon_sym_boolean] = ACTIONS(958),
    [anon_sym_string] = ACTIONS(958),
    [anon_sym_symbol] = ACTIONS(958),
    [anon_sym_object] = ACTIONS(958),
    [sym_html_comment] = ACTIONS(5),
  },
  [288] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2248),
    [sym_expression] = STATE(3239),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_assignment_pattern] = STATE(6016),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7502),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2228),
    [sym_subscript_expression] = STATE(2228),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3928),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(5832),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(288),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_pattern] = STATE(5560),
    [sym_rest_pattern] = STATE(4693),
    [sym_non_null_expression] = STATE(2228),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [aux_sym_array_pattern_repeat1] = STATE(6020),
    [sym_identifier] = ACTIONS(2041),
    [anon_sym_export] = ACTIONS(2043),
    [anon_sym_type] = ACTIONS(2043),
    [anon_sym_namespace] = ACTIONS(2045),
    [anon_sym_LBRACE] = ACTIONS(2016),
    [anon_sym_COMMA] = ACTIONS(2018),
    [anon_sym_typeof] = ACTIONS(1624),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(2043),
    [anon_sym_BANG] = ACTIONS(1624),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1626),
    [anon_sym_yield] = ACTIONS(1628),
    [anon_sym_LBRACK] = ACTIONS(2020),
    [anon_sym_RBRACK] = ACTIONS(2022),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(2047),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(2049),
    [anon_sym_using] = ACTIONS(1634),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(161),
    [anon_sym_PLUS] = ACTIONS(1624),
    [anon_sym_DASH] = ACTIONS(1624),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(1624),
    [anon_sym_void] = ACTIONS(1624),
    [anon_sym_delete] = ACTIONS(1624),
    [anon_sym_PLUS_PLUS] = ACTIONS(1640),
    [anon_sym_DASH_DASH] = ACTIONS(1640),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(1642),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(2028),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(2043),
    [anon_sym_readonly] = ACTIONS(2043),
    [anon_sym_get] = ACTIONS(2043),
    [anon_sym_set] = ACTIONS(2043),
    [anon_sym_declare] = ACTIONS(2043),
    [anon_sym_public] = ACTIONS(2043),
    [anon_sym_private] = ACTIONS(2043),
    [anon_sym_protected] = ACTIONS(2043),
    [anon_sym_override] = ACTIONS(2043),
    [anon_sym_module] = ACTIONS(2043),
    [anon_sym_any] = ACTIONS(2043),
    [anon_sym_number] = ACTIONS(2043),
    [anon_sym_boolean] = ACTIONS(2043),
    [anon_sym_string] = ACTIONS(2043),
    [anon_sym_symbol] = ACTIONS(2043),
    [anon_sym_object] = ACTIONS(2043),
    [sym_html_comment] = ACTIONS(5),
  },
  [289] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2151),
    [sym_expression] = STATE(2773),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_assignment_pattern] = STATE(6723),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7643),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2101),
    [sym_subscript_expression] = STATE(2101),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3918),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(4717),
    [sym_spread_element] = STATE(6296),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(289),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_pattern] = STATE(6295),
    [sym_rest_pattern] = STATE(4693),
    [sym_non_null_expression] = STATE(2101),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1912),
    [anon_sym_export] = ACTIONS(958),
    [anon_sym_type] = ACTIONS(958),
    [anon_sym_namespace] = ACTIONS(960),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_COMMA] = ACTIONS(2032),
    [anon_sym_typeof] = ACTIONS(968),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(958),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_RBRACK] = ACTIONS(2051),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(978),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1914),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(243),
    [anon_sym_PLUS] = ACTIONS(968),
    [anon_sym_DASH] = ACTIONS(968),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(968),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1918),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(958),
    [anon_sym_readonly] = ACTIONS(958),
    [anon_sym_get] = ACTIONS(958),
    [anon_sym_set] = ACTIONS(958),
    [anon_sym_declare] = ACTIONS(958),
    [anon_sym_public] = ACTIONS(958),
    [anon_sym_private] = ACTIONS(958),
    [anon_sym_protected] = ACTIONS(958),
    [anon_sym_override] = ACTIONS(958),
    [anon_sym_module] = ACTIONS(958),
    [anon_sym_any] = ACTIONS(958),
    [anon_sym_number] = ACTIONS(958),
    [anon_sym_boolean] = ACTIONS(958),
    [anon_sym_string] = ACTIONS(958),
    [anon_sym_symbol] = ACTIONS(958),
    [anon_sym_object] = ACTIONS(958),
    [sym_html_comment] = ACTIONS(5),
  },
  [290] = {
    [sym_statement_block] = STATE(326),
    [sym_comment] = STATE(290),
    [sym_identifier] = ACTIONS(2055),
    [anon_sym_export] = ACTIONS(2055),
    [anon_sym_STAR] = ACTIONS(2055),
    [anon_sym_default] = ACTIONS(2055),
    [anon_sym_type] = ACTIONS(2055),
    [anon_sym_as] = ACTIONS(2055),
    [anon_sym_namespace] = ACTIONS(2055),
    [anon_sym_LBRACE] = ACTIONS(2057),
    [anon_sym_COMMA] = ACTIONS(2055),
    [anon_sym_RBRACE] = ACTIONS(2055),
    [anon_sym_typeof] = ACTIONS(2055),
    [anon_sym_import] = ACTIONS(2055),
    [anon_sym_with] = ACTIONS(2055),
    [anon_sym_var] = ACTIONS(2055),
    [anon_sym_let] = ACTIONS(2055),
    [anon_sym_const] = ACTIONS(2055),
    [anon_sym_BANG] = ACTIONS(2055),
    [anon_sym_else] = ACTIONS(2055),
    [anon_sym_if] = ACTIONS(2055),
    [anon_sym_switch] = ACTIONS(2055),
    [anon_sym_for] = ACTIONS(2055),
    [anon_sym_LPAREN] = ACTIONS(2055),
    [anon_sym_await] = ACTIONS(2055),
    [anon_sym_in] = ACTIONS(2055),
    [anon_sym_while] = ACTIONS(2055),
    [anon_sym_do] = ACTIONS(2055),
    [anon_sym_try] = ACTIONS(2055),
    [anon_sym_break] = ACTIONS(2055),
    [anon_sym_continue] = ACTIONS(2055),
    [anon_sym_debugger] = ACTIONS(2055),
    [anon_sym_return] = ACTIONS(2055),
    [anon_sym_throw] = ACTIONS(2055),
    [anon_sym_SEMI] = ACTIONS(2055),
    [anon_sym_case] = ACTIONS(2055),
    [anon_sym_yield] = ACTIONS(2055),
    [anon_sym_LBRACK] = ACTIONS(2055),
    [anon_sym_LTtemplate_GT] = ACTIONS(2055),
    [anon_sym_GT] = ACTIONS(2055),
    [anon_sym_DOT] = ACTIONS(2055),
    [anon_sym_DQUOTE] = ACTIONS(2055),
    [anon_sym_SQUOTE] = ACTIONS(2055),
    [anon_sym_class] = ACTIONS(2055),
    [anon_sym_async] = ACTIONS(2055),
    [anon_sym_function] = ACTIONS(2055),
    [anon_sym_QMARK_DOT] = ACTIONS(2055),
    [anon_sym_new] = ACTIONS(2055),
    [anon_sym_using] = ACTIONS(2055),
    [anon_sym_AMP_AMP] = ACTIONS(2055),
    [anon_sym_PIPE_PIPE] = ACTIONS(2055),
    [anon_sym_GT_GT] = ACTIONS(2055),
    [anon_sym_GT_GT_GT] = ACTIONS(2055),
    [anon_sym_LT_LT] = ACTIONS(2055),
    [anon_sym_AMP] = ACTIONS(2055),
    [anon_sym_CARET] = ACTIONS(2055),
    [anon_sym_PIPE] = ACTIONS(2055),
    [anon_sym_PLUS] = ACTIONS(2055),
    [anon_sym_DASH] = ACTIONS(2055),
    [anon_sym_SLASH] = ACTIONS(2055),
    [anon_sym_PERCENT] = ACTIONS(2055),
    [anon_sym_STAR_STAR] = ACTIONS(2055),
    [anon_sym_LT] = ACTIONS(2055),
    [anon_sym_LT_EQ] = ACTIONS(2055),
    [anon_sym_EQ_EQ] = ACTIONS(2055),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2055),
    [anon_sym_BANG_EQ] = ACTIONS(2055),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2055),
    [anon_sym_GT_EQ] = ACTIONS(2055),
    [anon_sym_QMARK_QMARK] = ACTIONS(2055),
    [anon_sym_instanceof] = ACTIONS(2055),
    [anon_sym_TILDE] = ACTIONS(2055),
    [anon_sym_void] = ACTIONS(2055),
    [anon_sym_delete] = ACTIONS(2055),
    [anon_sym_PLUS_PLUS] = ACTIONS(2055),
    [anon_sym_DASH_DASH] = ACTIONS(2055),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2055),
    [sym_number] = ACTIONS(2055),
    [sym_private_property_identifier] = ACTIONS(2055),
    [sym_this] = ACTIONS(2055),
    [sym_super] = ACTIONS(2055),
    [sym_true] = ACTIONS(2055),
    [sym_false] = ACTIONS(2055),
    [sym_null] = ACTIONS(2055),
    [sym_undefined] = ACTIONS(2055),
    [anon_sym_AT] = ACTIONS(2055),
    [anon_sym_static] = ACTIONS(2055),
    [anon_sym_readonly] = ACTIONS(2055),
    [anon_sym_get] = ACTIONS(2055),
    [anon_sym_set] = ACTIONS(2055),
    [anon_sym_declare] = ACTIONS(2055),
    [anon_sym_public] = ACTIONS(2055),
    [anon_sym_private] = ACTIONS(2055),
    [anon_sym_protected] = ACTIONS(2055),
    [anon_sym_override] = ACTIONS(2055),
    [anon_sym_module] = ACTIONS(2055),
    [anon_sym_any] = ACTIONS(2055),
    [anon_sym_number] = ACTIONS(2055),
    [anon_sym_boolean] = ACTIONS(2055),
    [anon_sym_string] = ACTIONS(2055),
    [anon_sym_symbol] = ACTIONS(2055),
    [anon_sym_object] = ACTIONS(2055),
    [anon_sym_abstract] = ACTIONS(2055),
    [anon_sym_satisfies] = ACTIONS(2055),
    [anon_sym_interface] = ACTIONS(2055),
    [anon_sym_enum] = ACTIONS(2055),
    [sym__automatic_semicolon] = ACTIONS(2059),
    [sym__ternary_qmark] = ACTIONS(2059),
    [sym_html_comment] = ACTIONS(5),
  },
  [291] = {
    [sym_statement_block] = STATE(326),
    [sym_comment] = STATE(291),
    [sym_identifier] = ACTIONS(2055),
    [anon_sym_export] = ACTIONS(2055),
    [anon_sym_STAR] = ACTIONS(2055),
    [anon_sym_default] = ACTIONS(2055),
    [anon_sym_type] = ACTIONS(2055),
    [anon_sym_as] = ACTIONS(2055),
    [anon_sym_namespace] = ACTIONS(2055),
    [anon_sym_LBRACE] = ACTIONS(2057),
    [anon_sym_COMMA] = ACTIONS(2055),
    [anon_sym_RBRACE] = ACTIONS(2055),
    [anon_sym_typeof] = ACTIONS(2055),
    [anon_sym_import] = ACTIONS(2055),
    [anon_sym_with] = ACTIONS(2055),
    [anon_sym_var] = ACTIONS(2055),
    [anon_sym_let] = ACTIONS(2055),
    [anon_sym_const] = ACTIONS(2055),
    [anon_sym_BANG] = ACTIONS(2055),
    [anon_sym_else] = ACTIONS(2055),
    [anon_sym_if] = ACTIONS(2055),
    [anon_sym_switch] = ACTIONS(2055),
    [anon_sym_for] = ACTIONS(2055),
    [anon_sym_LPAREN] = ACTIONS(2055),
    [anon_sym_await] = ACTIONS(2055),
    [anon_sym_in] = ACTIONS(2055),
    [anon_sym_while] = ACTIONS(2055),
    [anon_sym_do] = ACTIONS(2055),
    [anon_sym_try] = ACTIONS(2055),
    [anon_sym_break] = ACTIONS(2055),
    [anon_sym_continue] = ACTIONS(2055),
    [anon_sym_debugger] = ACTIONS(2055),
    [anon_sym_return] = ACTIONS(2055),
    [anon_sym_throw] = ACTIONS(2055),
    [anon_sym_SEMI] = ACTIONS(2055),
    [anon_sym_case] = ACTIONS(2055),
    [anon_sym_yield] = ACTIONS(2055),
    [anon_sym_LBRACK] = ACTIONS(2055),
    [anon_sym_LTtemplate_GT] = ACTIONS(2055),
    [anon_sym_GT] = ACTIONS(2055),
    [anon_sym_DOT] = ACTIONS(2061),
    [anon_sym_DQUOTE] = ACTIONS(2055),
    [anon_sym_SQUOTE] = ACTIONS(2055),
    [anon_sym_class] = ACTIONS(2055),
    [anon_sym_async] = ACTIONS(2055),
    [anon_sym_function] = ACTIONS(2055),
    [anon_sym_QMARK_DOT] = ACTIONS(2055),
    [anon_sym_new] = ACTIONS(2055),
    [anon_sym_using] = ACTIONS(2055),
    [anon_sym_AMP_AMP] = ACTIONS(2055),
    [anon_sym_PIPE_PIPE] = ACTIONS(2055),
    [anon_sym_GT_GT] = ACTIONS(2055),
    [anon_sym_GT_GT_GT] = ACTIONS(2055),
    [anon_sym_LT_LT] = ACTIONS(2055),
    [anon_sym_AMP] = ACTIONS(2055),
    [anon_sym_CARET] = ACTIONS(2055),
    [anon_sym_PIPE] = ACTIONS(2055),
    [anon_sym_PLUS] = ACTIONS(2055),
    [anon_sym_DASH] = ACTIONS(2055),
    [anon_sym_SLASH] = ACTIONS(2055),
    [anon_sym_PERCENT] = ACTIONS(2055),
    [anon_sym_STAR_STAR] = ACTIONS(2055),
    [anon_sym_LT] = ACTIONS(2055),
    [anon_sym_LT_EQ] = ACTIONS(2055),
    [anon_sym_EQ_EQ] = ACTIONS(2055),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2055),
    [anon_sym_BANG_EQ] = ACTIONS(2055),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2055),
    [anon_sym_GT_EQ] = ACTIONS(2055),
    [anon_sym_QMARK_QMARK] = ACTIONS(2055),
    [anon_sym_instanceof] = ACTIONS(2055),
    [anon_sym_TILDE] = ACTIONS(2055),
    [anon_sym_void] = ACTIONS(2055),
    [anon_sym_delete] = ACTIONS(2055),
    [anon_sym_PLUS_PLUS] = ACTIONS(2055),
    [anon_sym_DASH_DASH] = ACTIONS(2055),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2055),
    [sym_number] = ACTIONS(2055),
    [sym_private_property_identifier] = ACTIONS(2055),
    [sym_this] = ACTIONS(2055),
    [sym_super] = ACTIONS(2055),
    [sym_true] = ACTIONS(2055),
    [sym_false] = ACTIONS(2055),
    [sym_null] = ACTIONS(2055),
    [sym_undefined] = ACTIONS(2055),
    [anon_sym_AT] = ACTIONS(2055),
    [anon_sym_static] = ACTIONS(2055),
    [anon_sym_readonly] = ACTIONS(2055),
    [anon_sym_get] = ACTIONS(2055),
    [anon_sym_set] = ACTIONS(2055),
    [anon_sym_declare] = ACTIONS(2055),
    [anon_sym_public] = ACTIONS(2055),
    [anon_sym_private] = ACTIONS(2055),
    [anon_sym_protected] = ACTIONS(2055),
    [anon_sym_override] = ACTIONS(2055),
    [anon_sym_module] = ACTIONS(2055),
    [anon_sym_any] = ACTIONS(2055),
    [anon_sym_number] = ACTIONS(2055),
    [anon_sym_boolean] = ACTIONS(2055),
    [anon_sym_string] = ACTIONS(2055),
    [anon_sym_symbol] = ACTIONS(2055),
    [anon_sym_object] = ACTIONS(2055),
    [anon_sym_abstract] = ACTIONS(2055),
    [anon_sym_satisfies] = ACTIONS(2055),
    [anon_sym_interface] = ACTIONS(2055),
    [anon_sym_enum] = ACTIONS(2055),
    [sym__automatic_semicolon] = ACTIONS(2059),
    [sym__ternary_qmark] = ACTIONS(2059),
    [sym_html_comment] = ACTIONS(5),
  },
  [292] = {
    [sym_statement_block] = STATE(326),
    [sym_comment] = STATE(292),
    [sym_identifier] = ACTIONS(2055),
    [anon_sym_export] = ACTIONS(2055),
    [anon_sym_STAR] = ACTIONS(2055),
    [anon_sym_default] = ACTIONS(2055),
    [anon_sym_type] = ACTIONS(2055),
    [anon_sym_as] = ACTIONS(2055),
    [anon_sym_namespace] = ACTIONS(2055),
    [anon_sym_LBRACE] = ACTIONS(2057),
    [anon_sym_COMMA] = ACTIONS(2055),
    [anon_sym_RBRACE] = ACTIONS(2055),
    [anon_sym_typeof] = ACTIONS(2055),
    [anon_sym_import] = ACTIONS(2055),
    [anon_sym_with] = ACTIONS(2055),
    [anon_sym_var] = ACTIONS(2055),
    [anon_sym_let] = ACTIONS(2055),
    [anon_sym_const] = ACTIONS(2055),
    [anon_sym_BANG] = ACTIONS(2055),
    [anon_sym_else] = ACTIONS(2055),
    [anon_sym_if] = ACTIONS(2055),
    [anon_sym_switch] = ACTIONS(2055),
    [anon_sym_for] = ACTIONS(2055),
    [anon_sym_LPAREN] = ACTIONS(2055),
    [anon_sym_await] = ACTIONS(2055),
    [anon_sym_in] = ACTIONS(2055),
    [anon_sym_while] = ACTIONS(2055),
    [anon_sym_do] = ACTIONS(2055),
    [anon_sym_try] = ACTIONS(2055),
    [anon_sym_break] = ACTIONS(2055),
    [anon_sym_continue] = ACTIONS(2055),
    [anon_sym_debugger] = ACTIONS(2055),
    [anon_sym_return] = ACTIONS(2055),
    [anon_sym_throw] = ACTIONS(2055),
    [anon_sym_SEMI] = ACTIONS(2055),
    [anon_sym_case] = ACTIONS(2055),
    [anon_sym_yield] = ACTIONS(2055),
    [anon_sym_LBRACK] = ACTIONS(2055),
    [anon_sym_LTtemplate_GT] = ACTIONS(2055),
    [anon_sym_GT] = ACTIONS(2055),
    [anon_sym_DOT] = ACTIONS(2063),
    [anon_sym_DQUOTE] = ACTIONS(2055),
    [anon_sym_SQUOTE] = ACTIONS(2055),
    [anon_sym_class] = ACTIONS(2055),
    [anon_sym_async] = ACTIONS(2055),
    [anon_sym_function] = ACTIONS(2055),
    [anon_sym_QMARK_DOT] = ACTIONS(2055),
    [anon_sym_new] = ACTIONS(2055),
    [anon_sym_using] = ACTIONS(2055),
    [anon_sym_AMP_AMP] = ACTIONS(2055),
    [anon_sym_PIPE_PIPE] = ACTIONS(2055),
    [anon_sym_GT_GT] = ACTIONS(2055),
    [anon_sym_GT_GT_GT] = ACTIONS(2055),
    [anon_sym_LT_LT] = ACTIONS(2055),
    [anon_sym_AMP] = ACTIONS(2055),
    [anon_sym_CARET] = ACTIONS(2055),
    [anon_sym_PIPE] = ACTIONS(2055),
    [anon_sym_PLUS] = ACTIONS(2055),
    [anon_sym_DASH] = ACTIONS(2055),
    [anon_sym_SLASH] = ACTIONS(2055),
    [anon_sym_PERCENT] = ACTIONS(2055),
    [anon_sym_STAR_STAR] = ACTIONS(2055),
    [anon_sym_LT] = ACTIONS(2055),
    [anon_sym_LT_EQ] = ACTIONS(2055),
    [anon_sym_EQ_EQ] = ACTIONS(2055),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2055),
    [anon_sym_BANG_EQ] = ACTIONS(2055),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2055),
    [anon_sym_GT_EQ] = ACTIONS(2055),
    [anon_sym_QMARK_QMARK] = ACTIONS(2055),
    [anon_sym_instanceof] = ACTIONS(2055),
    [anon_sym_TILDE] = ACTIONS(2055),
    [anon_sym_void] = ACTIONS(2055),
    [anon_sym_delete] = ACTIONS(2055),
    [anon_sym_PLUS_PLUS] = ACTIONS(2055),
    [anon_sym_DASH_DASH] = ACTIONS(2055),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2055),
    [sym_number] = ACTIONS(2055),
    [sym_private_property_identifier] = ACTIONS(2055),
    [sym_this] = ACTIONS(2055),
    [sym_super] = ACTIONS(2055),
    [sym_true] = ACTIONS(2055),
    [sym_false] = ACTIONS(2055),
    [sym_null] = ACTIONS(2055),
    [sym_undefined] = ACTIONS(2055),
    [anon_sym_AT] = ACTIONS(2055),
    [anon_sym_static] = ACTIONS(2055),
    [anon_sym_readonly] = ACTIONS(2055),
    [anon_sym_get] = ACTIONS(2055),
    [anon_sym_set] = ACTIONS(2055),
    [anon_sym_declare] = ACTIONS(2055),
    [anon_sym_public] = ACTIONS(2055),
    [anon_sym_private] = ACTIONS(2055),
    [anon_sym_protected] = ACTIONS(2055),
    [anon_sym_override] = ACTIONS(2055),
    [anon_sym_module] = ACTIONS(2055),
    [anon_sym_any] = ACTIONS(2055),
    [anon_sym_number] = ACTIONS(2055),
    [anon_sym_boolean] = ACTIONS(2055),
    [anon_sym_string] = ACTIONS(2055),
    [anon_sym_symbol] = ACTIONS(2055),
    [anon_sym_object] = ACTIONS(2055),
    [anon_sym_abstract] = ACTIONS(2055),
    [anon_sym_satisfies] = ACTIONS(2055),
    [anon_sym_interface] = ACTIONS(2055),
    [anon_sym_enum] = ACTIONS(2055),
    [sym__automatic_semicolon] = ACTIONS(2059),
    [sym__ternary_qmark] = ACTIONS(2059),
    [sym_html_comment] = ACTIONS(5),
  },
  [293] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2048),
    [sym_expression] = STATE(3359),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_assignment_pattern] = STATE(6723),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7260),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2111),
    [sym_subscript_expression] = STATE(2111),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3878),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(4560),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(293),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_pattern] = STATE(6295),
    [sym_rest_pattern] = STATE(4693),
    [sym_non_null_expression] = STATE(2111),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1061),
    [anon_sym_export] = ACTIONS(111),
    [anon_sym_type] = ACTIONS(111),
    [anon_sym_namespace] = ACTIONS(120),
    [anon_sym_LBRACE] = ACTIONS(1063),
    [anon_sym_COMMA] = ACTIONS(2065),
    [anon_sym_typeof] = ACTIONS(174),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(111),
    [anon_sym_BANG] = ACTIONS(174),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1948),
    [anon_sym_RBRACK] = ACTIONS(2065),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(149),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1071),
    [anon_sym_using] = ACTIONS(157),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(161),
    [anon_sym_PLUS] = ACTIONS(174),
    [anon_sym_DASH] = ACTIONS(174),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(174),
    [anon_sym_void] = ACTIONS(174),
    [anon_sym_delete] = ACTIONS(174),
    [anon_sym_PLUS_PLUS] = ACTIONS(1039),
    [anon_sym_DASH_DASH] = ACTIONS(1039),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(185),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1081),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(111),
    [anon_sym_readonly] = ACTIONS(111),
    [anon_sym_get] = ACTIONS(111),
    [anon_sym_set] = ACTIONS(111),
    [anon_sym_declare] = ACTIONS(111),
    [anon_sym_public] = ACTIONS(111),
    [anon_sym_private] = ACTIONS(111),
    [anon_sym_protected] = ACTIONS(111),
    [anon_sym_override] = ACTIONS(111),
    [anon_sym_module] = ACTIONS(111),
    [anon_sym_any] = ACTIONS(111),
    [anon_sym_number] = ACTIONS(111),
    [anon_sym_boolean] = ACTIONS(111),
    [anon_sym_string] = ACTIONS(111),
    [anon_sym_symbol] = ACTIONS(111),
    [anon_sym_object] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [294] = {
    [sym_comment] = STATE(294),
    [sym_identifier] = ACTIONS(2067),
    [anon_sym_export] = ACTIONS(2067),
    [anon_sym_STAR] = ACTIONS(2069),
    [anon_sym_default] = ACTIONS(2067),
    [anon_sym_type] = ACTIONS(2067),
    [anon_sym_EQ] = ACTIONS(2071),
    [anon_sym_as] = ACTIONS(2069),
    [anon_sym_namespace] = ACTIONS(2067),
    [anon_sym_LBRACE] = ACTIONS(2067),
    [anon_sym_COMMA] = ACTIONS(2069),
    [anon_sym_RBRACE] = ACTIONS(2067),
    [anon_sym_typeof] = ACTIONS(2067),
    [anon_sym_import] = ACTIONS(2067),
    [anon_sym_with] = ACTIONS(2067),
    [anon_sym_var] = ACTIONS(2067),
    [anon_sym_let] = ACTIONS(2067),
    [anon_sym_const] = ACTIONS(2067),
    [anon_sym_BANG] = ACTIONS(2067),
    [anon_sym_else] = ACTIONS(2067),
    [anon_sym_if] = ACTIONS(2067),
    [anon_sym_switch] = ACTIONS(2067),
    [anon_sym_for] = ACTIONS(2067),
    [anon_sym_LPAREN] = ACTIONS(2067),
    [anon_sym_await] = ACTIONS(2067),
    [anon_sym_in] = ACTIONS(2069),
    [anon_sym_while] = ACTIONS(2067),
    [anon_sym_do] = ACTIONS(2067),
    [anon_sym_try] = ACTIONS(2067),
    [anon_sym_break] = ACTIONS(2067),
    [anon_sym_continue] = ACTIONS(2067),
    [anon_sym_debugger] = ACTIONS(2067),
    [anon_sym_return] = ACTIONS(2067),
    [anon_sym_throw] = ACTIONS(2067),
    [anon_sym_SEMI] = ACTIONS(2067),
    [anon_sym_case] = ACTIONS(2067),
    [anon_sym_yield] = ACTIONS(2067),
    [anon_sym_LBRACK] = ACTIONS(2067),
    [anon_sym_LTtemplate_GT] = ACTIONS(2067),
    [anon_sym_GT] = ACTIONS(2069),
    [anon_sym_DOT] = ACTIONS(2069),
    [anon_sym_DQUOTE] = ACTIONS(2067),
    [anon_sym_SQUOTE] = ACTIONS(2067),
    [anon_sym_class] = ACTIONS(2067),
    [anon_sym_async] = ACTIONS(2067),
    [anon_sym_function] = ACTIONS(2067),
    [anon_sym_QMARK_DOT] = ACTIONS(2069),
    [anon_sym_new] = ACTIONS(2067),
    [anon_sym_using] = ACTIONS(2067),
    [anon_sym_AMP_AMP] = ACTIONS(2069),
    [anon_sym_PIPE_PIPE] = ACTIONS(2069),
    [anon_sym_GT_GT] = ACTIONS(2069),
    [anon_sym_GT_GT_GT] = ACTIONS(2069),
    [anon_sym_LT_LT] = ACTIONS(2069),
    [anon_sym_AMP] = ACTIONS(2069),
    [anon_sym_CARET] = ACTIONS(2069),
    [anon_sym_PIPE] = ACTIONS(2069),
    [anon_sym_PLUS] = ACTIONS(2067),
    [anon_sym_DASH] = ACTIONS(2067),
    [anon_sym_SLASH] = ACTIONS(2067),
    [anon_sym_PERCENT] = ACTIONS(2069),
    [anon_sym_STAR_STAR] = ACTIONS(2069),
    [anon_sym_LT] = ACTIONS(2067),
    [anon_sym_LT_EQ] = ACTIONS(2069),
    [anon_sym_EQ_EQ] = ACTIONS(2069),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2069),
    [anon_sym_BANG_EQ] = ACTIONS(2069),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2069),
    [anon_sym_GT_EQ] = ACTIONS(2069),
    [anon_sym_QMARK_QMARK] = ACTIONS(2069),
    [anon_sym_instanceof] = ACTIONS(2069),
    [anon_sym_TILDE] = ACTIONS(2067),
    [anon_sym_void] = ACTIONS(2067),
    [anon_sym_delete] = ACTIONS(2067),
    [anon_sym_PLUS_PLUS] = ACTIONS(2067),
    [anon_sym_DASH_DASH] = ACTIONS(2067),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2067),
    [sym_number] = ACTIONS(2067),
    [sym_private_property_identifier] = ACTIONS(2067),
    [sym_this] = ACTIONS(2067),
    [sym_super] = ACTIONS(2067),
    [sym_true] = ACTIONS(2067),
    [sym_false] = ACTIONS(2067),
    [sym_null] = ACTIONS(2067),
    [sym_undefined] = ACTIONS(2067),
    [anon_sym_AT] = ACTIONS(2067),
    [anon_sym_static] = ACTIONS(2067),
    [anon_sym_readonly] = ACTIONS(2067),
    [anon_sym_get] = ACTIONS(2067),
    [anon_sym_set] = ACTIONS(2067),
    [anon_sym_declare] = ACTIONS(2067),
    [anon_sym_public] = ACTIONS(2067),
    [anon_sym_private] = ACTIONS(2067),
    [anon_sym_protected] = ACTIONS(2067),
    [anon_sym_override] = ACTIONS(2067),
    [anon_sym_module] = ACTIONS(2067),
    [anon_sym_any] = ACTIONS(2067),
    [anon_sym_number] = ACTIONS(2067),
    [anon_sym_boolean] = ACTIONS(2067),
    [anon_sym_string] = ACTIONS(2067),
    [anon_sym_symbol] = ACTIONS(2067),
    [anon_sym_object] = ACTIONS(2067),
    [anon_sym_abstract] = ACTIONS(2067),
    [anon_sym_satisfies] = ACTIONS(2069),
    [anon_sym_interface] = ACTIONS(2067),
    [anon_sym_enum] = ACTIONS(2067),
    [sym__automatic_semicolon] = ACTIONS(2073),
    [sym__ternary_qmark] = ACTIONS(2075),
    [sym_html_comment] = ACTIONS(5),
  },
  [295] = {
    [sym_comment] = STATE(295),
    [sym_identifier] = ACTIONS(2077),
    [anon_sym_export] = ACTIONS(2077),
    [anon_sym_STAR] = ACTIONS(2077),
    [anon_sym_default] = ACTIONS(2077),
    [anon_sym_type] = ACTIONS(2077),
    [anon_sym_as] = ACTIONS(2077),
    [anon_sym_namespace] = ACTIONS(2077),
    [anon_sym_LBRACE] = ACTIONS(2077),
    [anon_sym_COMMA] = ACTIONS(2077),
    [anon_sym_RBRACE] = ACTIONS(2077),
    [anon_sym_typeof] = ACTIONS(2077),
    [anon_sym_import] = ACTIONS(2077),
    [anon_sym_with] = ACTIONS(2077),
    [anon_sym_var] = ACTIONS(2077),
    [anon_sym_let] = ACTIONS(2077),
    [anon_sym_const] = ACTIONS(2077),
    [anon_sym_BANG] = ACTIONS(2077),
    [anon_sym_else] = ACTIONS(2077),
    [anon_sym_if] = ACTIONS(2077),
    [anon_sym_switch] = ACTIONS(2077),
    [anon_sym_for] = ACTIONS(2077),
    [anon_sym_LPAREN] = ACTIONS(2077),
    [anon_sym_await] = ACTIONS(2077),
    [anon_sym_in] = ACTIONS(2077),
    [anon_sym_while] = ACTIONS(2077),
    [anon_sym_do] = ACTIONS(2077),
    [anon_sym_try] = ACTIONS(2077),
    [anon_sym_break] = ACTIONS(2077),
    [anon_sym_continue] = ACTIONS(2077),
    [anon_sym_debugger] = ACTIONS(2077),
    [anon_sym_return] = ACTIONS(2077),
    [anon_sym_throw] = ACTIONS(2077),
    [anon_sym_SEMI] = ACTIONS(2077),
    [anon_sym_case] = ACTIONS(2077),
    [anon_sym_yield] = ACTIONS(2077),
    [anon_sym_LBRACK] = ACTIONS(2077),
    [anon_sym_LTtemplate_GT] = ACTIONS(2077),
    [anon_sym_GT] = ACTIONS(2077),
    [anon_sym_DOT] = ACTIONS(2077),
    [anon_sym_DQUOTE] = ACTIONS(2077),
    [anon_sym_SQUOTE] = ACTIONS(2077),
    [anon_sym_class] = ACTIONS(2077),
    [anon_sym_async] = ACTIONS(2077),
    [anon_sym_function] = ACTIONS(2077),
    [anon_sym_QMARK_DOT] = ACTIONS(2077),
    [anon_sym_new] = ACTIONS(2077),
    [anon_sym_using] = ACTIONS(2077),
    [anon_sym_AMP_AMP] = ACTIONS(2077),
    [anon_sym_PIPE_PIPE] = ACTIONS(2077),
    [anon_sym_GT_GT] = ACTIONS(2077),
    [anon_sym_GT_GT_GT] = ACTIONS(2077),
    [anon_sym_LT_LT] = ACTIONS(2077),
    [anon_sym_AMP] = ACTIONS(2077),
    [anon_sym_CARET] = ACTIONS(2077),
    [anon_sym_PIPE] = ACTIONS(2077),
    [anon_sym_PLUS] = ACTIONS(2077),
    [anon_sym_DASH] = ACTIONS(2077),
    [anon_sym_SLASH] = ACTIONS(2077),
    [anon_sym_PERCENT] = ACTIONS(2077),
    [anon_sym_STAR_STAR] = ACTIONS(2077),
    [anon_sym_LT] = ACTIONS(2077),
    [anon_sym_LT_EQ] = ACTIONS(2077),
    [anon_sym_EQ_EQ] = ACTIONS(2077),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2077),
    [anon_sym_BANG_EQ] = ACTIONS(2077),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2077),
    [anon_sym_GT_EQ] = ACTIONS(2077),
    [anon_sym_QMARK_QMARK] = ACTIONS(2077),
    [anon_sym_instanceof] = ACTIONS(2077),
    [anon_sym_TILDE] = ACTIONS(2077),
    [anon_sym_void] = ACTIONS(2077),
    [anon_sym_delete] = ACTIONS(2077),
    [anon_sym_PLUS_PLUS] = ACTIONS(2077),
    [anon_sym_DASH_DASH] = ACTIONS(2077),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2077),
    [sym_number] = ACTIONS(2077),
    [sym_private_property_identifier] = ACTIONS(2077),
    [sym_this] = ACTIONS(2077),
    [sym_super] = ACTIONS(2077),
    [sym_true] = ACTIONS(2077),
    [sym_false] = ACTIONS(2077),
    [sym_null] = ACTIONS(2077),
    [sym_undefined] = ACTIONS(2077),
    [anon_sym_AT] = ACTIONS(2077),
    [anon_sym_static] = ACTIONS(2077),
    [anon_sym_readonly] = ACTIONS(2077),
    [anon_sym_get] = ACTIONS(2077),
    [anon_sym_set] = ACTIONS(2077),
    [anon_sym_declare] = ACTIONS(2077),
    [anon_sym_public] = ACTIONS(2077),
    [anon_sym_private] = ACTIONS(2077),
    [anon_sym_protected] = ACTIONS(2077),
    [anon_sym_override] = ACTIONS(2077),
    [anon_sym_module] = ACTIONS(2077),
    [anon_sym_any] = ACTIONS(2077),
    [anon_sym_number] = ACTIONS(2077),
    [anon_sym_boolean] = ACTIONS(2077),
    [anon_sym_string] = ACTIONS(2077),
    [anon_sym_symbol] = ACTIONS(2077),
    [anon_sym_object] = ACTIONS(2077),
    [anon_sym_abstract] = ACTIONS(2077),
    [anon_sym_satisfies] = ACTIONS(2077),
    [anon_sym_interface] = ACTIONS(2077),
    [anon_sym_enum] = ACTIONS(2077),
    [sym__automatic_semicolon] = ACTIONS(2079),
    [sym__ternary_qmark] = ACTIONS(2079),
    [sym_html_comment] = ACTIONS(5),
  },
  [296] = {
    [sym_comment] = STATE(296),
    [sym_identifier] = ACTIONS(2081),
    [anon_sym_export] = ACTIONS(2081),
    [anon_sym_STAR] = ACTIONS(2081),
    [anon_sym_default] = ACTIONS(2081),
    [anon_sym_type] = ACTIONS(2081),
    [anon_sym_as] = ACTIONS(2081),
    [anon_sym_namespace] = ACTIONS(2081),
    [anon_sym_LBRACE] = ACTIONS(2081),
    [anon_sym_COMMA] = ACTIONS(2081),
    [anon_sym_RBRACE] = ACTIONS(2081),
    [anon_sym_typeof] = ACTIONS(2081),
    [anon_sym_import] = ACTIONS(2081),
    [anon_sym_with] = ACTIONS(2081),
    [anon_sym_var] = ACTIONS(2081),
    [anon_sym_let] = ACTIONS(2081),
    [anon_sym_const] = ACTIONS(2081),
    [anon_sym_BANG] = ACTIONS(2081),
    [anon_sym_else] = ACTIONS(2081),
    [anon_sym_if] = ACTIONS(2081),
    [anon_sym_switch] = ACTIONS(2081),
    [anon_sym_for] = ACTIONS(2081),
    [anon_sym_LPAREN] = ACTIONS(2081),
    [anon_sym_await] = ACTIONS(2081),
    [anon_sym_in] = ACTIONS(2081),
    [anon_sym_while] = ACTIONS(2081),
    [anon_sym_do] = ACTIONS(2081),
    [anon_sym_try] = ACTIONS(2081),
    [anon_sym_break] = ACTIONS(2081),
    [anon_sym_continue] = ACTIONS(2081),
    [anon_sym_debugger] = ACTIONS(2081),
    [anon_sym_return] = ACTIONS(2081),
    [anon_sym_throw] = ACTIONS(2081),
    [anon_sym_SEMI] = ACTIONS(2081),
    [anon_sym_case] = ACTIONS(2081),
    [anon_sym_yield] = ACTIONS(2081),
    [anon_sym_LBRACK] = ACTIONS(2081),
    [anon_sym_LTtemplate_GT] = ACTIONS(2081),
    [anon_sym_GT] = ACTIONS(2081),
    [anon_sym_DOT] = ACTIONS(2081),
    [anon_sym_DQUOTE] = ACTIONS(2081),
    [anon_sym_SQUOTE] = ACTIONS(2081),
    [anon_sym_class] = ACTIONS(2081),
    [anon_sym_async] = ACTIONS(2081),
    [anon_sym_function] = ACTIONS(2081),
    [anon_sym_QMARK_DOT] = ACTIONS(2081),
    [anon_sym_new] = ACTIONS(2081),
    [anon_sym_using] = ACTIONS(2081),
    [anon_sym_AMP_AMP] = ACTIONS(2081),
    [anon_sym_PIPE_PIPE] = ACTIONS(2081),
    [anon_sym_GT_GT] = ACTIONS(2081),
    [anon_sym_GT_GT_GT] = ACTIONS(2081),
    [anon_sym_LT_LT] = ACTIONS(2081),
    [anon_sym_AMP] = ACTIONS(2081),
    [anon_sym_CARET] = ACTIONS(2081),
    [anon_sym_PIPE] = ACTIONS(2081),
    [anon_sym_PLUS] = ACTIONS(2081),
    [anon_sym_DASH] = ACTIONS(2081),
    [anon_sym_SLASH] = ACTIONS(2081),
    [anon_sym_PERCENT] = ACTIONS(2081),
    [anon_sym_STAR_STAR] = ACTIONS(2081),
    [anon_sym_LT] = ACTIONS(2081),
    [anon_sym_LT_EQ] = ACTIONS(2081),
    [anon_sym_EQ_EQ] = ACTIONS(2081),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2081),
    [anon_sym_BANG_EQ] = ACTIONS(2081),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2081),
    [anon_sym_GT_EQ] = ACTIONS(2081),
    [anon_sym_QMARK_QMARK] = ACTIONS(2081),
    [anon_sym_instanceof] = ACTIONS(2081),
    [anon_sym_TILDE] = ACTIONS(2081),
    [anon_sym_void] = ACTIONS(2081),
    [anon_sym_delete] = ACTIONS(2081),
    [anon_sym_PLUS_PLUS] = ACTIONS(2081),
    [anon_sym_DASH_DASH] = ACTIONS(2081),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2081),
    [sym_number] = ACTIONS(2081),
    [sym_private_property_identifier] = ACTIONS(2081),
    [sym_this] = ACTIONS(2081),
    [sym_super] = ACTIONS(2081),
    [sym_true] = ACTIONS(2081),
    [sym_false] = ACTIONS(2081),
    [sym_null] = ACTIONS(2081),
    [sym_undefined] = ACTIONS(2081),
    [anon_sym_AT] = ACTIONS(2081),
    [anon_sym_static] = ACTIONS(2081),
    [anon_sym_readonly] = ACTIONS(2081),
    [anon_sym_get] = ACTIONS(2081),
    [anon_sym_set] = ACTIONS(2081),
    [anon_sym_declare] = ACTIONS(2081),
    [anon_sym_public] = ACTIONS(2081),
    [anon_sym_private] = ACTIONS(2081),
    [anon_sym_protected] = ACTIONS(2081),
    [anon_sym_override] = ACTIONS(2081),
    [anon_sym_module] = ACTIONS(2081),
    [anon_sym_any] = ACTIONS(2081),
    [anon_sym_number] = ACTIONS(2081),
    [anon_sym_boolean] = ACTIONS(2081),
    [anon_sym_string] = ACTIONS(2081),
    [anon_sym_symbol] = ACTIONS(2081),
    [anon_sym_object] = ACTIONS(2081),
    [anon_sym_abstract] = ACTIONS(2081),
    [anon_sym_satisfies] = ACTIONS(2081),
    [anon_sym_interface] = ACTIONS(2081),
    [anon_sym_enum] = ACTIONS(2081),
    [sym__automatic_semicolon] = ACTIONS(2083),
    [sym__ternary_qmark] = ACTIONS(2083),
    [sym_html_comment] = ACTIONS(5),
  },
  [297] = {
    [sym_comment] = STATE(297),
    [sym_identifier] = ACTIONS(2085),
    [anon_sym_export] = ACTIONS(2085),
    [anon_sym_STAR] = ACTIONS(2087),
    [anon_sym_default] = ACTIONS(2085),
    [anon_sym_type] = ACTIONS(2085),
    [anon_sym_as] = ACTIONS(2087),
    [anon_sym_namespace] = ACTIONS(2085),
    [anon_sym_LBRACE] = ACTIONS(2085),
    [anon_sym_COMMA] = ACTIONS(2087),
    [anon_sym_RBRACE] = ACTIONS(2085),
    [anon_sym_typeof] = ACTIONS(2085),
    [anon_sym_import] = ACTIONS(2085),
    [anon_sym_with] = ACTIONS(2085),
    [anon_sym_var] = ACTIONS(2085),
    [anon_sym_let] = ACTIONS(2085),
    [anon_sym_const] = ACTIONS(2085),
    [anon_sym_BANG] = ACTIONS(2085),
    [anon_sym_else] = ACTIONS(2085),
    [anon_sym_if] = ACTIONS(2085),
    [anon_sym_switch] = ACTIONS(2085),
    [anon_sym_for] = ACTIONS(2085),
    [anon_sym_LPAREN] = ACTIONS(2085),
    [anon_sym_await] = ACTIONS(2085),
    [anon_sym_in] = ACTIONS(2087),
    [anon_sym_while] = ACTIONS(2085),
    [anon_sym_do] = ACTIONS(2085),
    [anon_sym_try] = ACTIONS(2085),
    [anon_sym_break] = ACTIONS(2085),
    [anon_sym_continue] = ACTIONS(2085),
    [anon_sym_debugger] = ACTIONS(2085),
    [anon_sym_return] = ACTIONS(2085),
    [anon_sym_throw] = ACTIONS(2085),
    [anon_sym_SEMI] = ACTIONS(2085),
    [anon_sym_case] = ACTIONS(2085),
    [anon_sym_yield] = ACTIONS(2085),
    [anon_sym_LBRACK] = ACTIONS(2085),
    [anon_sym_LTtemplate_GT] = ACTIONS(2085),
    [anon_sym_GT] = ACTIONS(2087),
    [anon_sym_DOT] = ACTIONS(2087),
    [anon_sym_DQUOTE] = ACTIONS(2085),
    [anon_sym_SQUOTE] = ACTIONS(2085),
    [anon_sym_class] = ACTIONS(2085),
    [anon_sym_async] = ACTIONS(2085),
    [anon_sym_function] = ACTIONS(2085),
    [anon_sym_QMARK_DOT] = ACTIONS(2087),
    [anon_sym_new] = ACTIONS(2085),
    [anon_sym_using] = ACTIONS(2085),
    [anon_sym_AMP_AMP] = ACTIONS(2087),
    [anon_sym_PIPE_PIPE] = ACTIONS(2087),
    [anon_sym_GT_GT] = ACTIONS(2087),
    [anon_sym_GT_GT_GT] = ACTIONS(2087),
    [anon_sym_LT_LT] = ACTIONS(2087),
    [anon_sym_AMP] = ACTIONS(2087),
    [anon_sym_CARET] = ACTIONS(2087),
    [anon_sym_PIPE] = ACTIONS(2087),
    [anon_sym_PLUS] = ACTIONS(2085),
    [anon_sym_DASH] = ACTIONS(2085),
    [anon_sym_SLASH] = ACTIONS(2085),
    [anon_sym_PERCENT] = ACTIONS(2087),
    [anon_sym_STAR_STAR] = ACTIONS(2087),
    [anon_sym_LT] = ACTIONS(2085),
    [anon_sym_LT_EQ] = ACTIONS(2087),
    [anon_sym_EQ_EQ] = ACTIONS(2087),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2087),
    [anon_sym_BANG_EQ] = ACTIONS(2087),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2087),
    [anon_sym_GT_EQ] = ACTIONS(2087),
    [anon_sym_QMARK_QMARK] = ACTIONS(2087),
    [anon_sym_instanceof] = ACTIONS(2087),
    [anon_sym_TILDE] = ACTIONS(2085),
    [anon_sym_void] = ACTIONS(2085),
    [anon_sym_delete] = ACTIONS(2085),
    [anon_sym_PLUS_PLUS] = ACTIONS(2085),
    [anon_sym_DASH_DASH] = ACTIONS(2085),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2085),
    [sym_number] = ACTIONS(2085),
    [sym_private_property_identifier] = ACTIONS(2085),
    [sym_this] = ACTIONS(2085),
    [sym_super] = ACTIONS(2085),
    [sym_true] = ACTIONS(2085),
    [sym_false] = ACTIONS(2085),
    [sym_null] = ACTIONS(2085),
    [sym_undefined] = ACTIONS(2085),
    [anon_sym_AT] = ACTIONS(2085),
    [anon_sym_static] = ACTIONS(2085),
    [anon_sym_readonly] = ACTIONS(2085),
    [anon_sym_get] = ACTIONS(2085),
    [anon_sym_set] = ACTIONS(2085),
    [anon_sym_declare] = ACTIONS(2085),
    [anon_sym_public] = ACTIONS(2085),
    [anon_sym_private] = ACTIONS(2085),
    [anon_sym_protected] = ACTIONS(2085),
    [anon_sym_override] = ACTIONS(2085),
    [anon_sym_module] = ACTIONS(2085),
    [anon_sym_any] = ACTIONS(2085),
    [anon_sym_number] = ACTIONS(2085),
    [anon_sym_boolean] = ACTIONS(2085),
    [anon_sym_string] = ACTIONS(2085),
    [anon_sym_symbol] = ACTIONS(2085),
    [anon_sym_object] = ACTIONS(2085),
    [anon_sym_abstract] = ACTIONS(2085),
    [anon_sym_satisfies] = ACTIONS(2087),
    [anon_sym_interface] = ACTIONS(2085),
    [anon_sym_enum] = ACTIONS(2085),
    [sym__automatic_semicolon] = ACTIONS(2089),
    [sym__ternary_qmark] = ACTIONS(2091),
    [sym_html_comment] = ACTIONS(5),
  },
  [298] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2196),
    [sym_expression] = STATE(2741),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7510),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2196),
    [sym_subscript_expression] = STATE(2196),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3936),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7511),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(298),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2196),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1750),
    [anon_sym_export] = ACTIONS(1562),
    [anon_sym_type] = ACTIONS(1562),
    [anon_sym_namespace] = ACTIONS(1564),
    [anon_sym_LBRACE] = ACTIONS(1127),
    [anon_sym_COMMA] = ACTIONS(1978),
    [anon_sym_typeof] = ACTIONS(1568),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1562),
    [anon_sym_BANG] = ACTIONS(1568),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1570),
    [anon_sym_yield] = ACTIONS(1572),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(1978),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1574),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1754),
    [anon_sym_using] = ACTIONS(1578),
    [anon_sym_AMP] = ACTIONS(1978),
    [anon_sym_PIPE] = ACTIONS(1978),
    [anon_sym_PLUS] = ACTIONS(1568),
    [anon_sym_DASH] = ACTIONS(1568),
    [anon_sym_SLASH] = ACTIONS(1274),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(1568),
    [anon_sym_void] = ACTIONS(1568),
    [anon_sym_delete] = ACTIONS(1568),
    [anon_sym_PLUS_PLUS] = ACTIONS(1584),
    [anon_sym_DASH_DASH] = ACTIONS(1584),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(1586),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1756),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1562),
    [anon_sym_readonly] = ACTIONS(1562),
    [anon_sym_get] = ACTIONS(1562),
    [anon_sym_set] = ACTIONS(1562),
    [anon_sym_declare] = ACTIONS(1562),
    [anon_sym_public] = ACTIONS(1562),
    [anon_sym_private] = ACTIONS(1562),
    [anon_sym_protected] = ACTIONS(1562),
    [anon_sym_override] = ACTIONS(1562),
    [anon_sym_module] = ACTIONS(1562),
    [anon_sym_any] = ACTIONS(1562),
    [anon_sym_number] = ACTIONS(1562),
    [anon_sym_boolean] = ACTIONS(1562),
    [anon_sym_string] = ACTIONS(1562),
    [anon_sym_symbol] = ACTIONS(1562),
    [anon_sym_object] = ACTIONS(1562),
    [anon_sym_extends] = ACTIONS(1978),
    [sym_html_comment] = ACTIONS(5),
  },
  [299] = {
    [sym_comment] = STATE(299),
    [sym_identifier] = ACTIONS(2093),
    [anon_sym_export] = ACTIONS(2093),
    [anon_sym_STAR] = ACTIONS(2093),
    [anon_sym_default] = ACTIONS(2093),
    [anon_sym_type] = ACTIONS(2093),
    [anon_sym_as] = ACTIONS(2093),
    [anon_sym_namespace] = ACTIONS(2093),
    [anon_sym_LBRACE] = ACTIONS(2093),
    [anon_sym_COMMA] = ACTIONS(2093),
    [anon_sym_RBRACE] = ACTIONS(2093),
    [anon_sym_typeof] = ACTIONS(2093),
    [anon_sym_import] = ACTIONS(2093),
    [anon_sym_with] = ACTIONS(2093),
    [anon_sym_var] = ACTIONS(2093),
    [anon_sym_let] = ACTIONS(2093),
    [anon_sym_const] = ACTIONS(2093),
    [anon_sym_BANG] = ACTIONS(2093),
    [anon_sym_else] = ACTIONS(2093),
    [anon_sym_if] = ACTIONS(2093),
    [anon_sym_switch] = ACTIONS(2093),
    [anon_sym_for] = ACTIONS(2093),
    [anon_sym_LPAREN] = ACTIONS(2093),
    [anon_sym_await] = ACTIONS(2093),
    [anon_sym_in] = ACTIONS(2093),
    [anon_sym_while] = ACTIONS(2093),
    [anon_sym_do] = ACTIONS(2093),
    [anon_sym_try] = ACTIONS(2093),
    [anon_sym_break] = ACTIONS(2093),
    [anon_sym_continue] = ACTIONS(2093),
    [anon_sym_debugger] = ACTIONS(2093),
    [anon_sym_return] = ACTIONS(2093),
    [anon_sym_throw] = ACTIONS(2093),
    [anon_sym_SEMI] = ACTIONS(2093),
    [anon_sym_case] = ACTIONS(2093),
    [anon_sym_yield] = ACTIONS(2093),
    [anon_sym_LBRACK] = ACTIONS(2093),
    [anon_sym_LTtemplate_GT] = ACTIONS(2093),
    [anon_sym_GT] = ACTIONS(2093),
    [anon_sym_DOT] = ACTIONS(2093),
    [anon_sym_DQUOTE] = ACTIONS(2093),
    [anon_sym_SQUOTE] = ACTIONS(2093),
    [anon_sym_class] = ACTIONS(2093),
    [anon_sym_async] = ACTIONS(2093),
    [anon_sym_function] = ACTIONS(2093),
    [anon_sym_QMARK_DOT] = ACTIONS(2093),
    [anon_sym_new] = ACTIONS(2093),
    [anon_sym_using] = ACTIONS(2093),
    [anon_sym_AMP_AMP] = ACTIONS(2093),
    [anon_sym_PIPE_PIPE] = ACTIONS(2093),
    [anon_sym_GT_GT] = ACTIONS(2093),
    [anon_sym_GT_GT_GT] = ACTIONS(2093),
    [anon_sym_LT_LT] = ACTIONS(2093),
    [anon_sym_AMP] = ACTIONS(2093),
    [anon_sym_CARET] = ACTIONS(2093),
    [anon_sym_PIPE] = ACTIONS(2093),
    [anon_sym_PLUS] = ACTIONS(2093),
    [anon_sym_DASH] = ACTIONS(2093),
    [anon_sym_SLASH] = ACTIONS(2093),
    [anon_sym_PERCENT] = ACTIONS(2093),
    [anon_sym_STAR_STAR] = ACTIONS(2093),
    [anon_sym_LT] = ACTIONS(2093),
    [anon_sym_LT_EQ] = ACTIONS(2093),
    [anon_sym_EQ_EQ] = ACTIONS(2093),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2093),
    [anon_sym_BANG_EQ] = ACTIONS(2093),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2093),
    [anon_sym_GT_EQ] = ACTIONS(2093),
    [anon_sym_QMARK_QMARK] = ACTIONS(2093),
    [anon_sym_instanceof] = ACTIONS(2093),
    [anon_sym_TILDE] = ACTIONS(2093),
    [anon_sym_void] = ACTIONS(2093),
    [anon_sym_delete] = ACTIONS(2093),
    [anon_sym_PLUS_PLUS] = ACTIONS(2093),
    [anon_sym_DASH_DASH] = ACTIONS(2093),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2093),
    [sym_number] = ACTIONS(2093),
    [sym_private_property_identifier] = ACTIONS(2093),
    [sym_this] = ACTIONS(2093),
    [sym_super] = ACTIONS(2093),
    [sym_true] = ACTIONS(2093),
    [sym_false] = ACTIONS(2093),
    [sym_null] = ACTIONS(2093),
    [sym_undefined] = ACTIONS(2093),
    [anon_sym_AT] = ACTIONS(2093),
    [anon_sym_static] = ACTIONS(2093),
    [anon_sym_readonly] = ACTIONS(2093),
    [anon_sym_get] = ACTIONS(2093),
    [anon_sym_set] = ACTIONS(2093),
    [anon_sym_declare] = ACTIONS(2093),
    [anon_sym_public] = ACTIONS(2093),
    [anon_sym_private] = ACTIONS(2093),
    [anon_sym_protected] = ACTIONS(2093),
    [anon_sym_override] = ACTIONS(2093),
    [anon_sym_module] = ACTIONS(2093),
    [anon_sym_any] = ACTIONS(2093),
    [anon_sym_number] = ACTIONS(2093),
    [anon_sym_boolean] = ACTIONS(2093),
    [anon_sym_string] = ACTIONS(2093),
    [anon_sym_symbol] = ACTIONS(2093),
    [anon_sym_object] = ACTIONS(2093),
    [anon_sym_abstract] = ACTIONS(2093),
    [anon_sym_satisfies] = ACTIONS(2093),
    [anon_sym_interface] = ACTIONS(2093),
    [anon_sym_enum] = ACTIONS(2093),
    [sym__automatic_semicolon] = ACTIONS(2095),
    [sym__ternary_qmark] = ACTIONS(2095),
    [sym_html_comment] = ACTIONS(5),
  },
  [300] = {
    [sym_statement_block] = STATE(382),
    [sym_comment] = STATE(300),
    [sym_identifier] = ACTIONS(2055),
    [anon_sym_export] = ACTIONS(2055),
    [anon_sym_STAR] = ACTIONS(2055),
    [anon_sym_default] = ACTIONS(2055),
    [anon_sym_type] = ACTIONS(2055),
    [anon_sym_as] = ACTIONS(2055),
    [anon_sym_namespace] = ACTIONS(2055),
    [anon_sym_LBRACE] = ACTIONS(2097),
    [anon_sym_COMMA] = ACTIONS(2055),
    [anon_sym_RBRACE] = ACTIONS(2055),
    [anon_sym_typeof] = ACTIONS(2055),
    [anon_sym_import] = ACTIONS(2055),
    [anon_sym_with] = ACTIONS(2055),
    [anon_sym_var] = ACTIONS(2055),
    [anon_sym_let] = ACTIONS(2055),
    [anon_sym_const] = ACTIONS(2055),
    [anon_sym_BANG] = ACTIONS(2055),
    [anon_sym_if] = ACTIONS(2055),
    [anon_sym_switch] = ACTIONS(2055),
    [anon_sym_for] = ACTIONS(2055),
    [anon_sym_LPAREN] = ACTIONS(2055),
    [anon_sym_await] = ACTIONS(2055),
    [anon_sym_in] = ACTIONS(2055),
    [anon_sym_while] = ACTIONS(2055),
    [anon_sym_do] = ACTIONS(2055),
    [anon_sym_try] = ACTIONS(2055),
    [anon_sym_break] = ACTIONS(2055),
    [anon_sym_continue] = ACTIONS(2055),
    [anon_sym_debugger] = ACTIONS(2055),
    [anon_sym_return] = ACTIONS(2055),
    [anon_sym_throw] = ACTIONS(2055),
    [anon_sym_SEMI] = ACTIONS(2055),
    [anon_sym_case] = ACTIONS(2055),
    [anon_sym_yield] = ACTIONS(2055),
    [anon_sym_LBRACK] = ACTIONS(2055),
    [anon_sym_LTtemplate_GT] = ACTIONS(2055),
    [anon_sym_GT] = ACTIONS(2055),
    [anon_sym_DOT] = ACTIONS(2099),
    [anon_sym_DQUOTE] = ACTIONS(2055),
    [anon_sym_SQUOTE] = ACTIONS(2055),
    [anon_sym_class] = ACTIONS(2055),
    [anon_sym_async] = ACTIONS(2055),
    [anon_sym_function] = ACTIONS(2055),
    [anon_sym_QMARK_DOT] = ACTIONS(2055),
    [anon_sym_new] = ACTIONS(2055),
    [anon_sym_using] = ACTIONS(2055),
    [anon_sym_AMP_AMP] = ACTIONS(2055),
    [anon_sym_PIPE_PIPE] = ACTIONS(2055),
    [anon_sym_GT_GT] = ACTIONS(2055),
    [anon_sym_GT_GT_GT] = ACTIONS(2055),
    [anon_sym_LT_LT] = ACTIONS(2055),
    [anon_sym_AMP] = ACTIONS(2055),
    [anon_sym_CARET] = ACTIONS(2055),
    [anon_sym_PIPE] = ACTIONS(2055),
    [anon_sym_PLUS] = ACTIONS(2055),
    [anon_sym_DASH] = ACTIONS(2055),
    [anon_sym_SLASH] = ACTIONS(2055),
    [anon_sym_PERCENT] = ACTIONS(2055),
    [anon_sym_STAR_STAR] = ACTIONS(2055),
    [anon_sym_LT] = ACTIONS(2055),
    [anon_sym_LT_EQ] = ACTIONS(2055),
    [anon_sym_EQ_EQ] = ACTIONS(2055),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2055),
    [anon_sym_BANG_EQ] = ACTIONS(2055),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2055),
    [anon_sym_GT_EQ] = ACTIONS(2055),
    [anon_sym_QMARK_QMARK] = ACTIONS(2055),
    [anon_sym_instanceof] = ACTIONS(2055),
    [anon_sym_TILDE] = ACTIONS(2055),
    [anon_sym_void] = ACTIONS(2055),
    [anon_sym_delete] = ACTIONS(2055),
    [anon_sym_PLUS_PLUS] = ACTIONS(2055),
    [anon_sym_DASH_DASH] = ACTIONS(2055),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2055),
    [sym_number] = ACTIONS(2055),
    [sym_private_property_identifier] = ACTIONS(2055),
    [sym_this] = ACTIONS(2055),
    [sym_super] = ACTIONS(2055),
    [sym_true] = ACTIONS(2055),
    [sym_false] = ACTIONS(2055),
    [sym_null] = ACTIONS(2055),
    [sym_undefined] = ACTIONS(2055),
    [anon_sym_AT] = ACTIONS(2055),
    [anon_sym_static] = ACTIONS(2055),
    [anon_sym_readonly] = ACTIONS(2055),
    [anon_sym_get] = ACTIONS(2055),
    [anon_sym_set] = ACTIONS(2055),
    [anon_sym_declare] = ACTIONS(2055),
    [anon_sym_public] = ACTIONS(2055),
    [anon_sym_private] = ACTIONS(2055),
    [anon_sym_protected] = ACTIONS(2055),
    [anon_sym_override] = ACTIONS(2055),
    [anon_sym_module] = ACTIONS(2055),
    [anon_sym_any] = ACTIONS(2055),
    [anon_sym_number] = ACTIONS(2055),
    [anon_sym_boolean] = ACTIONS(2055),
    [anon_sym_string] = ACTIONS(2055),
    [anon_sym_symbol] = ACTIONS(2055),
    [anon_sym_object] = ACTIONS(2055),
    [anon_sym_abstract] = ACTIONS(2055),
    [anon_sym_satisfies] = ACTIONS(2055),
    [anon_sym_interface] = ACTIONS(2055),
    [anon_sym_enum] = ACTIONS(2055),
    [sym__automatic_semicolon] = ACTIONS(2059),
    [sym__ternary_qmark] = ACTIONS(2059),
    [sym_html_comment] = ACTIONS(5),
  },
  [301] = {
    [sym_comment] = STATE(301),
    [sym_identifier] = ACTIONS(2067),
    [anon_sym_export] = ACTIONS(2067),
    [anon_sym_STAR] = ACTIONS(2067),
    [anon_sym_default] = ACTIONS(2067),
    [anon_sym_type] = ACTIONS(2067),
    [anon_sym_as] = ACTIONS(2067),
    [anon_sym_namespace] = ACTIONS(2067),
    [anon_sym_LBRACE] = ACTIONS(2067),
    [anon_sym_COMMA] = ACTIONS(2067),
    [anon_sym_RBRACE] = ACTIONS(2067),
    [anon_sym_typeof] = ACTIONS(2067),
    [anon_sym_import] = ACTIONS(2067),
    [anon_sym_with] = ACTIONS(2067),
    [anon_sym_var] = ACTIONS(2067),
    [anon_sym_let] = ACTIONS(2067),
    [anon_sym_const] = ACTIONS(2067),
    [anon_sym_BANG] = ACTIONS(2067),
    [anon_sym_else] = ACTIONS(2067),
    [anon_sym_if] = ACTIONS(2067),
    [anon_sym_switch] = ACTIONS(2067),
    [anon_sym_for] = ACTIONS(2067),
    [anon_sym_LPAREN] = ACTIONS(2067),
    [anon_sym_await] = ACTIONS(2067),
    [anon_sym_in] = ACTIONS(2067),
    [anon_sym_while] = ACTIONS(2067),
    [anon_sym_do] = ACTIONS(2067),
    [anon_sym_try] = ACTIONS(2067),
    [anon_sym_break] = ACTIONS(2067),
    [anon_sym_continue] = ACTIONS(2067),
    [anon_sym_debugger] = ACTIONS(2067),
    [anon_sym_return] = ACTIONS(2067),
    [anon_sym_throw] = ACTIONS(2067),
    [anon_sym_SEMI] = ACTIONS(2067),
    [anon_sym_case] = ACTIONS(2067),
    [anon_sym_yield] = ACTIONS(2067),
    [anon_sym_LBRACK] = ACTIONS(2067),
    [anon_sym_LTtemplate_GT] = ACTIONS(2067),
    [anon_sym_GT] = ACTIONS(2067),
    [anon_sym_DOT] = ACTIONS(2067),
    [anon_sym_DQUOTE] = ACTIONS(2067),
    [anon_sym_SQUOTE] = ACTIONS(2067),
    [anon_sym_class] = ACTIONS(2067),
    [anon_sym_async] = ACTIONS(2067),
    [anon_sym_function] = ACTIONS(2067),
    [anon_sym_QMARK_DOT] = ACTIONS(2067),
    [anon_sym_new] = ACTIONS(2067),
    [anon_sym_using] = ACTIONS(2067),
    [anon_sym_AMP_AMP] = ACTIONS(2067),
    [anon_sym_PIPE_PIPE] = ACTIONS(2067),
    [anon_sym_GT_GT] = ACTIONS(2067),
    [anon_sym_GT_GT_GT] = ACTIONS(2067),
    [anon_sym_LT_LT] = ACTIONS(2067),
    [anon_sym_AMP] = ACTIONS(2067),
    [anon_sym_CARET] = ACTIONS(2067),
    [anon_sym_PIPE] = ACTIONS(2067),
    [anon_sym_PLUS] = ACTIONS(2067),
    [anon_sym_DASH] = ACTIONS(2067),
    [anon_sym_SLASH] = ACTIONS(2067),
    [anon_sym_PERCENT] = ACTIONS(2067),
    [anon_sym_STAR_STAR] = ACTIONS(2067),
    [anon_sym_LT] = ACTIONS(2067),
    [anon_sym_LT_EQ] = ACTIONS(2067),
    [anon_sym_EQ_EQ] = ACTIONS(2067),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2067),
    [anon_sym_BANG_EQ] = ACTIONS(2067),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2067),
    [anon_sym_GT_EQ] = ACTIONS(2067),
    [anon_sym_QMARK_QMARK] = ACTIONS(2067),
    [anon_sym_instanceof] = ACTIONS(2067),
    [anon_sym_TILDE] = ACTIONS(2067),
    [anon_sym_void] = ACTIONS(2067),
    [anon_sym_delete] = ACTIONS(2067),
    [anon_sym_PLUS_PLUS] = ACTIONS(2067),
    [anon_sym_DASH_DASH] = ACTIONS(2067),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2067),
    [sym_number] = ACTIONS(2067),
    [sym_private_property_identifier] = ACTIONS(2067),
    [sym_this] = ACTIONS(2067),
    [sym_super] = ACTIONS(2067),
    [sym_true] = ACTIONS(2067),
    [sym_false] = ACTIONS(2067),
    [sym_null] = ACTIONS(2067),
    [sym_undefined] = ACTIONS(2067),
    [anon_sym_AT] = ACTIONS(2067),
    [anon_sym_static] = ACTIONS(2067),
    [anon_sym_readonly] = ACTIONS(2067),
    [anon_sym_get] = ACTIONS(2067),
    [anon_sym_set] = ACTIONS(2067),
    [anon_sym_declare] = ACTIONS(2067),
    [anon_sym_public] = ACTIONS(2067),
    [anon_sym_private] = ACTIONS(2067),
    [anon_sym_protected] = ACTIONS(2067),
    [anon_sym_override] = ACTIONS(2067),
    [anon_sym_module] = ACTIONS(2067),
    [anon_sym_any] = ACTIONS(2067),
    [anon_sym_number] = ACTIONS(2067),
    [anon_sym_boolean] = ACTIONS(2067),
    [anon_sym_string] = ACTIONS(2067),
    [anon_sym_symbol] = ACTIONS(2067),
    [anon_sym_object] = ACTIONS(2067),
    [anon_sym_abstract] = ACTIONS(2067),
    [anon_sym_satisfies] = ACTIONS(2067),
    [anon_sym_interface] = ACTIONS(2067),
    [anon_sym_enum] = ACTIONS(2067),
    [sym__automatic_semicolon] = ACTIONS(2101),
    [sym__ternary_qmark] = ACTIONS(2103),
    [sym_html_comment] = ACTIONS(5),
  },
  [302] = {
    [sym_comment] = STATE(302),
    [sym_identifier] = ACTIONS(2105),
    [anon_sym_export] = ACTIONS(2105),
    [anon_sym_STAR] = ACTIONS(2105),
    [anon_sym_default] = ACTIONS(2105),
    [anon_sym_type] = ACTIONS(2105),
    [anon_sym_as] = ACTIONS(2105),
    [anon_sym_namespace] = ACTIONS(2105),
    [anon_sym_LBRACE] = ACTIONS(2105),
    [anon_sym_COMMA] = ACTIONS(2105),
    [anon_sym_RBRACE] = ACTIONS(2105),
    [anon_sym_typeof] = ACTIONS(2105),
    [anon_sym_import] = ACTIONS(2105),
    [anon_sym_with] = ACTIONS(2105),
    [anon_sym_var] = ACTIONS(2105),
    [anon_sym_let] = ACTIONS(2105),
    [anon_sym_const] = ACTIONS(2105),
    [anon_sym_BANG] = ACTIONS(2105),
    [anon_sym_else] = ACTIONS(2105),
    [anon_sym_if] = ACTIONS(2105),
    [anon_sym_switch] = ACTIONS(2105),
    [anon_sym_for] = ACTIONS(2105),
    [anon_sym_LPAREN] = ACTIONS(2105),
    [anon_sym_await] = ACTIONS(2105),
    [anon_sym_in] = ACTIONS(2105),
    [anon_sym_while] = ACTIONS(2105),
    [anon_sym_do] = ACTIONS(2105),
    [anon_sym_try] = ACTIONS(2105),
    [anon_sym_break] = ACTIONS(2105),
    [anon_sym_continue] = ACTIONS(2105),
    [anon_sym_debugger] = ACTIONS(2105),
    [anon_sym_return] = ACTIONS(2105),
    [anon_sym_throw] = ACTIONS(2105),
    [anon_sym_SEMI] = ACTIONS(2105),
    [anon_sym_case] = ACTIONS(2105),
    [anon_sym_yield] = ACTIONS(2105),
    [anon_sym_LBRACK] = ACTIONS(2105),
    [anon_sym_LTtemplate_GT] = ACTIONS(2105),
    [anon_sym_GT] = ACTIONS(2105),
    [anon_sym_DOT] = ACTIONS(2105),
    [anon_sym_DQUOTE] = ACTIONS(2105),
    [anon_sym_SQUOTE] = ACTIONS(2105),
    [anon_sym_class] = ACTIONS(2105),
    [anon_sym_async] = ACTIONS(2105),
    [anon_sym_function] = ACTIONS(2105),
    [anon_sym_QMARK_DOT] = ACTIONS(2105),
    [anon_sym_new] = ACTIONS(2105),
    [anon_sym_using] = ACTIONS(2105),
    [anon_sym_AMP_AMP] = ACTIONS(2105),
    [anon_sym_PIPE_PIPE] = ACTIONS(2105),
    [anon_sym_GT_GT] = ACTIONS(2105),
    [anon_sym_GT_GT_GT] = ACTIONS(2105),
    [anon_sym_LT_LT] = ACTIONS(2105),
    [anon_sym_AMP] = ACTIONS(2105),
    [anon_sym_CARET] = ACTIONS(2105),
    [anon_sym_PIPE] = ACTIONS(2105),
    [anon_sym_PLUS] = ACTIONS(2105),
    [anon_sym_DASH] = ACTIONS(2105),
    [anon_sym_SLASH] = ACTIONS(2105),
    [anon_sym_PERCENT] = ACTIONS(2105),
    [anon_sym_STAR_STAR] = ACTIONS(2105),
    [anon_sym_LT] = ACTIONS(2105),
    [anon_sym_LT_EQ] = ACTIONS(2105),
    [anon_sym_EQ_EQ] = ACTIONS(2105),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2105),
    [anon_sym_BANG_EQ] = ACTIONS(2105),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2105),
    [anon_sym_GT_EQ] = ACTIONS(2105),
    [anon_sym_QMARK_QMARK] = ACTIONS(2105),
    [anon_sym_instanceof] = ACTIONS(2105),
    [anon_sym_TILDE] = ACTIONS(2105),
    [anon_sym_void] = ACTIONS(2105),
    [anon_sym_delete] = ACTIONS(2105),
    [anon_sym_PLUS_PLUS] = ACTIONS(2105),
    [anon_sym_DASH_DASH] = ACTIONS(2105),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2105),
    [sym_number] = ACTIONS(2105),
    [sym_private_property_identifier] = ACTIONS(2105),
    [sym_this] = ACTIONS(2105),
    [sym_super] = ACTIONS(2105),
    [sym_true] = ACTIONS(2105),
    [sym_false] = ACTIONS(2105),
    [sym_null] = ACTIONS(2105),
    [sym_undefined] = ACTIONS(2105),
    [anon_sym_AT] = ACTIONS(2105),
    [anon_sym_static] = ACTIONS(2105),
    [anon_sym_readonly] = ACTIONS(2105),
    [anon_sym_get] = ACTIONS(2105),
    [anon_sym_set] = ACTIONS(2105),
    [anon_sym_declare] = ACTIONS(2105),
    [anon_sym_public] = ACTIONS(2105),
    [anon_sym_private] = ACTIONS(2105),
    [anon_sym_protected] = ACTIONS(2105),
    [anon_sym_override] = ACTIONS(2105),
    [anon_sym_module] = ACTIONS(2105),
    [anon_sym_any] = ACTIONS(2105),
    [anon_sym_number] = ACTIONS(2105),
    [anon_sym_boolean] = ACTIONS(2105),
    [anon_sym_string] = ACTIONS(2105),
    [anon_sym_symbol] = ACTIONS(2105),
    [anon_sym_object] = ACTIONS(2105),
    [anon_sym_abstract] = ACTIONS(2105),
    [anon_sym_satisfies] = ACTIONS(2105),
    [anon_sym_interface] = ACTIONS(2105),
    [anon_sym_enum] = ACTIONS(2105),
    [sym__automatic_semicolon] = ACTIONS(2107),
    [sym__ternary_qmark] = ACTIONS(2107),
    [sym_html_comment] = ACTIONS(5),
  },
  [303] = {
    [sym_comment] = STATE(303),
    [sym_identifier] = ACTIONS(2067),
    [anon_sym_export] = ACTIONS(2067),
    [anon_sym_STAR] = ACTIONS(2069),
    [anon_sym_default] = ACTIONS(2067),
    [anon_sym_type] = ACTIONS(2067),
    [anon_sym_EQ] = ACTIONS(2071),
    [anon_sym_as] = ACTIONS(2069),
    [anon_sym_namespace] = ACTIONS(2067),
    [anon_sym_LBRACE] = ACTIONS(2067),
    [anon_sym_COMMA] = ACTIONS(2069),
    [anon_sym_RBRACE] = ACTIONS(2067),
    [anon_sym_typeof] = ACTIONS(2067),
    [anon_sym_import] = ACTIONS(2067),
    [anon_sym_with] = ACTIONS(2067),
    [anon_sym_var] = ACTIONS(2067),
    [anon_sym_let] = ACTIONS(2067),
    [anon_sym_const] = ACTIONS(2067),
    [anon_sym_BANG] = ACTIONS(2067),
    [anon_sym_if] = ACTIONS(2067),
    [anon_sym_switch] = ACTIONS(2067),
    [anon_sym_for] = ACTIONS(2067),
    [anon_sym_LPAREN] = ACTIONS(2067),
    [anon_sym_await] = ACTIONS(2067),
    [anon_sym_in] = ACTIONS(2069),
    [anon_sym_while] = ACTIONS(2067),
    [anon_sym_do] = ACTIONS(2067),
    [anon_sym_try] = ACTIONS(2067),
    [anon_sym_break] = ACTIONS(2067),
    [anon_sym_continue] = ACTIONS(2067),
    [anon_sym_debugger] = ACTIONS(2067),
    [anon_sym_return] = ACTIONS(2067),
    [anon_sym_throw] = ACTIONS(2067),
    [anon_sym_SEMI] = ACTIONS(2067),
    [anon_sym_case] = ACTIONS(2067),
    [anon_sym_yield] = ACTIONS(2067),
    [anon_sym_LBRACK] = ACTIONS(2067),
    [anon_sym_LTtemplate_GT] = ACTIONS(2067),
    [anon_sym_GT] = ACTIONS(2069),
    [anon_sym_DOT] = ACTIONS(2069),
    [anon_sym_DQUOTE] = ACTIONS(2067),
    [anon_sym_SQUOTE] = ACTIONS(2067),
    [anon_sym_class] = ACTIONS(2067),
    [anon_sym_async] = ACTIONS(2067),
    [anon_sym_function] = ACTIONS(2067),
    [anon_sym_QMARK_DOT] = ACTIONS(2069),
    [anon_sym_new] = ACTIONS(2067),
    [anon_sym_using] = ACTIONS(2067),
    [anon_sym_AMP_AMP] = ACTIONS(2069),
    [anon_sym_PIPE_PIPE] = ACTIONS(2069),
    [anon_sym_GT_GT] = ACTIONS(2069),
    [anon_sym_GT_GT_GT] = ACTIONS(2069),
    [anon_sym_LT_LT] = ACTIONS(2069),
    [anon_sym_AMP] = ACTIONS(2069),
    [anon_sym_CARET] = ACTIONS(2069),
    [anon_sym_PIPE] = ACTIONS(2069),
    [anon_sym_PLUS] = ACTIONS(2067),
    [anon_sym_DASH] = ACTIONS(2067),
    [anon_sym_SLASH] = ACTIONS(2067),
    [anon_sym_PERCENT] = ACTIONS(2069),
    [anon_sym_STAR_STAR] = ACTIONS(2069),
    [anon_sym_LT] = ACTIONS(2067),
    [anon_sym_LT_EQ] = ACTIONS(2069),
    [anon_sym_EQ_EQ] = ACTIONS(2069),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2069),
    [anon_sym_BANG_EQ] = ACTIONS(2069),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2069),
    [anon_sym_GT_EQ] = ACTIONS(2069),
    [anon_sym_QMARK_QMARK] = ACTIONS(2069),
    [anon_sym_instanceof] = ACTIONS(2069),
    [anon_sym_TILDE] = ACTIONS(2067),
    [anon_sym_void] = ACTIONS(2067),
    [anon_sym_delete] = ACTIONS(2067),
    [anon_sym_PLUS_PLUS] = ACTIONS(2067),
    [anon_sym_DASH_DASH] = ACTIONS(2067),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2067),
    [sym_number] = ACTIONS(2067),
    [sym_private_property_identifier] = ACTIONS(2067),
    [sym_this] = ACTIONS(2067),
    [sym_super] = ACTIONS(2067),
    [sym_true] = ACTIONS(2067),
    [sym_false] = ACTIONS(2067),
    [sym_null] = ACTIONS(2067),
    [sym_undefined] = ACTIONS(2067),
    [anon_sym_AT] = ACTIONS(2067),
    [anon_sym_static] = ACTIONS(2067),
    [anon_sym_readonly] = ACTIONS(2067),
    [anon_sym_get] = ACTIONS(2067),
    [anon_sym_set] = ACTIONS(2067),
    [anon_sym_declare] = ACTIONS(2067),
    [anon_sym_public] = ACTIONS(2067),
    [anon_sym_private] = ACTIONS(2067),
    [anon_sym_protected] = ACTIONS(2067),
    [anon_sym_override] = ACTIONS(2067),
    [anon_sym_module] = ACTIONS(2067),
    [anon_sym_any] = ACTIONS(2067),
    [anon_sym_number] = ACTIONS(2067),
    [anon_sym_boolean] = ACTIONS(2067),
    [anon_sym_string] = ACTIONS(2067),
    [anon_sym_symbol] = ACTIONS(2067),
    [anon_sym_object] = ACTIONS(2067),
    [anon_sym_abstract] = ACTIONS(2067),
    [anon_sym_satisfies] = ACTIONS(2069),
    [anon_sym_interface] = ACTIONS(2067),
    [anon_sym_enum] = ACTIONS(2067),
    [sym__automatic_semicolon] = ACTIONS(2109),
    [sym__ternary_qmark] = ACTIONS(2075),
    [sym_html_comment] = ACTIONS(5),
  },
  [304] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2151),
    [sym_expression] = STATE(2762),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7643),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2151),
    [sym_subscript_expression] = STATE(2151),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3918),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7259),
    [sym_spread_element] = STATE(6396),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(304),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2151),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [aux_sym_array_repeat1] = STATE(6397),
    [sym_identifier] = ACTIONS(1724),
    [anon_sym_export] = ACTIONS(1452),
    [anon_sym_type] = ACTIONS(1452),
    [anon_sym_namespace] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(1127),
    [anon_sym_COMMA] = ACTIONS(2111),
    [anon_sym_typeof] = ACTIONS(968),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1452),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_RPAREN] = ACTIONS(2113),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(1129),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1462),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1730),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2115),
    [anon_sym_PLUS] = ACTIONS(968),
    [anon_sym_DASH] = ACTIONS(968),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(968),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1732),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1452),
    [anon_sym_readonly] = ACTIONS(1452),
    [anon_sym_get] = ACTIONS(1452),
    [anon_sym_set] = ACTIONS(1452),
    [anon_sym_declare] = ACTIONS(1452),
    [anon_sym_public] = ACTIONS(1452),
    [anon_sym_private] = ACTIONS(1452),
    [anon_sym_protected] = ACTIONS(1452),
    [anon_sym_override] = ACTIONS(1452),
    [anon_sym_module] = ACTIONS(1452),
    [anon_sym_any] = ACTIONS(1452),
    [anon_sym_number] = ACTIONS(1452),
    [anon_sym_boolean] = ACTIONS(1452),
    [anon_sym_string] = ACTIONS(1452),
    [anon_sym_symbol] = ACTIONS(1452),
    [anon_sym_object] = ACTIONS(1452),
    [sym_html_comment] = ACTIONS(5),
  },
  [305] = {
    [sym_comment] = STATE(305),
    [sym_identifier] = ACTIONS(2117),
    [anon_sym_export] = ACTIONS(2117),
    [anon_sym_STAR] = ACTIONS(2119),
    [anon_sym_default] = ACTIONS(2117),
    [anon_sym_type] = ACTIONS(2117),
    [anon_sym_as] = ACTIONS(2119),
    [anon_sym_namespace] = ACTIONS(2117),
    [anon_sym_LBRACE] = ACTIONS(2117),
    [anon_sym_COMMA] = ACTIONS(2119),
    [anon_sym_RBRACE] = ACTIONS(2117),
    [anon_sym_typeof] = ACTIONS(2117),
    [anon_sym_import] = ACTIONS(2117),
    [anon_sym_with] = ACTIONS(2117),
    [anon_sym_var] = ACTIONS(2117),
    [anon_sym_let] = ACTIONS(2117),
    [anon_sym_const] = ACTIONS(2117),
    [anon_sym_BANG] = ACTIONS(2117),
    [anon_sym_else] = ACTIONS(2117),
    [anon_sym_if] = ACTIONS(2117),
    [anon_sym_switch] = ACTIONS(2117),
    [anon_sym_for] = ACTIONS(2117),
    [anon_sym_LPAREN] = ACTIONS(2117),
    [anon_sym_await] = ACTIONS(2117),
    [anon_sym_in] = ACTIONS(2119),
    [anon_sym_while] = ACTIONS(2117),
    [anon_sym_do] = ACTIONS(2117),
    [anon_sym_try] = ACTIONS(2117),
    [anon_sym_break] = ACTIONS(2117),
    [anon_sym_continue] = ACTIONS(2117),
    [anon_sym_debugger] = ACTIONS(2117),
    [anon_sym_return] = ACTIONS(2117),
    [anon_sym_throw] = ACTIONS(2117),
    [anon_sym_SEMI] = ACTIONS(2117),
    [anon_sym_case] = ACTIONS(2117),
    [anon_sym_yield] = ACTIONS(2117),
    [anon_sym_LBRACK] = ACTIONS(2117),
    [anon_sym_LTtemplate_GT] = ACTIONS(2117),
    [anon_sym_GT] = ACTIONS(2119),
    [anon_sym_DOT] = ACTIONS(2119),
    [anon_sym_DQUOTE] = ACTIONS(2117),
    [anon_sym_SQUOTE] = ACTIONS(2117),
    [anon_sym_class] = ACTIONS(2117),
    [anon_sym_async] = ACTIONS(2117),
    [anon_sym_function] = ACTIONS(2117),
    [anon_sym_QMARK_DOT] = ACTIONS(2119),
    [anon_sym_new] = ACTIONS(2117),
    [anon_sym_using] = ACTIONS(2117),
    [anon_sym_AMP_AMP] = ACTIONS(2119),
    [anon_sym_PIPE_PIPE] = ACTIONS(2119),
    [anon_sym_GT_GT] = ACTIONS(2119),
    [anon_sym_GT_GT_GT] = ACTIONS(2119),
    [anon_sym_LT_LT] = ACTIONS(2119),
    [anon_sym_AMP] = ACTIONS(2119),
    [anon_sym_CARET] = ACTIONS(2119),
    [anon_sym_PIPE] = ACTIONS(2119),
    [anon_sym_PLUS] = ACTIONS(2117),
    [anon_sym_DASH] = ACTIONS(2117),
    [anon_sym_SLASH] = ACTIONS(2117),
    [anon_sym_PERCENT] = ACTIONS(2119),
    [anon_sym_STAR_STAR] = ACTIONS(2119),
    [anon_sym_LT] = ACTIONS(2117),
    [anon_sym_LT_EQ] = ACTIONS(2119),
    [anon_sym_EQ_EQ] = ACTIONS(2119),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2119),
    [anon_sym_BANG_EQ] = ACTIONS(2119),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2119),
    [anon_sym_GT_EQ] = ACTIONS(2119),
    [anon_sym_QMARK_QMARK] = ACTIONS(2119),
    [anon_sym_instanceof] = ACTIONS(2119),
    [anon_sym_TILDE] = ACTIONS(2117),
    [anon_sym_void] = ACTIONS(2117),
    [anon_sym_delete] = ACTIONS(2117),
    [anon_sym_PLUS_PLUS] = ACTIONS(2117),
    [anon_sym_DASH_DASH] = ACTIONS(2117),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2117),
    [sym_number] = ACTIONS(2117),
    [sym_private_property_identifier] = ACTIONS(2117),
    [sym_this] = ACTIONS(2117),
    [sym_super] = ACTIONS(2117),
    [sym_true] = ACTIONS(2117),
    [sym_false] = ACTIONS(2117),
    [sym_null] = ACTIONS(2117),
    [sym_undefined] = ACTIONS(2117),
    [anon_sym_AT] = ACTIONS(2117),
    [anon_sym_static] = ACTIONS(2117),
    [anon_sym_readonly] = ACTIONS(2117),
    [anon_sym_get] = ACTIONS(2117),
    [anon_sym_set] = ACTIONS(2117),
    [anon_sym_declare] = ACTIONS(2117),
    [anon_sym_public] = ACTIONS(2117),
    [anon_sym_private] = ACTIONS(2117),
    [anon_sym_protected] = ACTIONS(2117),
    [anon_sym_override] = ACTIONS(2117),
    [anon_sym_module] = ACTIONS(2117),
    [anon_sym_any] = ACTIONS(2117),
    [anon_sym_number] = ACTIONS(2117),
    [anon_sym_boolean] = ACTIONS(2117),
    [anon_sym_string] = ACTIONS(2117),
    [anon_sym_symbol] = ACTIONS(2117),
    [anon_sym_object] = ACTIONS(2117),
    [anon_sym_abstract] = ACTIONS(2117),
    [anon_sym_satisfies] = ACTIONS(2119),
    [anon_sym_interface] = ACTIONS(2117),
    [anon_sym_enum] = ACTIONS(2117),
    [sym__automatic_semicolon] = ACTIONS(2121),
    [sym__ternary_qmark] = ACTIONS(2123),
    [sym_html_comment] = ACTIONS(5),
  },
  [306] = {
    [sym_comment] = STATE(306),
    [ts_builtin_sym_end] = ACTIONS(2103),
    [sym_identifier] = ACTIONS(2067),
    [anon_sym_export] = ACTIONS(2067),
    [anon_sym_STAR] = ACTIONS(2069),
    [anon_sym_type] = ACTIONS(2067),
    [anon_sym_EQ] = ACTIONS(2071),
    [anon_sym_as] = ACTIONS(2069),
    [anon_sym_namespace] = ACTIONS(2067),
    [anon_sym_LBRACE] = ACTIONS(2067),
    [anon_sym_COMMA] = ACTIONS(2069),
    [anon_sym_RBRACE] = ACTIONS(2067),
    [anon_sym_typeof] = ACTIONS(2067),
    [anon_sym_import] = ACTIONS(2067),
    [anon_sym_with] = ACTIONS(2067),
    [anon_sym_var] = ACTIONS(2067),
    [anon_sym_let] = ACTIONS(2067),
    [anon_sym_const] = ACTIONS(2067),
    [anon_sym_BANG] = ACTIONS(2067),
    [anon_sym_else] = ACTIONS(2067),
    [anon_sym_if] = ACTIONS(2067),
    [anon_sym_switch] = ACTIONS(2067),
    [anon_sym_for] = ACTIONS(2067),
    [anon_sym_LPAREN] = ACTIONS(2067),
    [anon_sym_await] = ACTIONS(2067),
    [anon_sym_in] = ACTIONS(2069),
    [anon_sym_while] = ACTIONS(2067),
    [anon_sym_do] = ACTIONS(2067),
    [anon_sym_try] = ACTIONS(2067),
    [anon_sym_break] = ACTIONS(2067),
    [anon_sym_continue] = ACTIONS(2067),
    [anon_sym_debugger] = ACTIONS(2067),
    [anon_sym_return] = ACTIONS(2067),
    [anon_sym_throw] = ACTIONS(2067),
    [anon_sym_SEMI] = ACTIONS(2067),
    [anon_sym_yield] = ACTIONS(2067),
    [anon_sym_LBRACK] = ACTIONS(2067),
    [anon_sym_LTtemplate_GT] = ACTIONS(2067),
    [anon_sym_GT] = ACTIONS(2069),
    [anon_sym_DOT] = ACTIONS(2069),
    [anon_sym_DQUOTE] = ACTIONS(2067),
    [anon_sym_SQUOTE] = ACTIONS(2067),
    [anon_sym_class] = ACTIONS(2067),
    [anon_sym_async] = ACTIONS(2067),
    [anon_sym_function] = ACTIONS(2067),
    [anon_sym_QMARK_DOT] = ACTIONS(2069),
    [anon_sym_new] = ACTIONS(2067),
    [anon_sym_using] = ACTIONS(2067),
    [anon_sym_AMP_AMP] = ACTIONS(2069),
    [anon_sym_PIPE_PIPE] = ACTIONS(2069),
    [anon_sym_GT_GT] = ACTIONS(2069),
    [anon_sym_GT_GT_GT] = ACTIONS(2069),
    [anon_sym_LT_LT] = ACTIONS(2069),
    [anon_sym_AMP] = ACTIONS(2069),
    [anon_sym_CARET] = ACTIONS(2069),
    [anon_sym_PIPE] = ACTIONS(2069),
    [anon_sym_PLUS] = ACTIONS(2067),
    [anon_sym_DASH] = ACTIONS(2067),
    [anon_sym_SLASH] = ACTIONS(2067),
    [anon_sym_PERCENT] = ACTIONS(2069),
    [anon_sym_STAR_STAR] = ACTIONS(2069),
    [anon_sym_LT] = ACTIONS(2067),
    [anon_sym_LT_EQ] = ACTIONS(2069),
    [anon_sym_EQ_EQ] = ACTIONS(2069),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2069),
    [anon_sym_BANG_EQ] = ACTIONS(2069),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2069),
    [anon_sym_GT_EQ] = ACTIONS(2069),
    [anon_sym_QMARK_QMARK] = ACTIONS(2069),
    [anon_sym_instanceof] = ACTIONS(2069),
    [anon_sym_TILDE] = ACTIONS(2067),
    [anon_sym_void] = ACTIONS(2067),
    [anon_sym_delete] = ACTIONS(2067),
    [anon_sym_PLUS_PLUS] = ACTIONS(2067),
    [anon_sym_DASH_DASH] = ACTIONS(2067),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2067),
    [sym_number] = ACTIONS(2067),
    [sym_private_property_identifier] = ACTIONS(2067),
    [sym_this] = ACTIONS(2067),
    [sym_super] = ACTIONS(2067),
    [sym_true] = ACTIONS(2067),
    [sym_false] = ACTIONS(2067),
    [sym_null] = ACTIONS(2067),
    [sym_undefined] = ACTIONS(2067),
    [anon_sym_AT] = ACTIONS(2067),
    [anon_sym_static] = ACTIONS(2067),
    [anon_sym_readonly] = ACTIONS(2067),
    [anon_sym_get] = ACTIONS(2067),
    [anon_sym_set] = ACTIONS(2067),
    [anon_sym_declare] = ACTIONS(2067),
    [anon_sym_public] = ACTIONS(2067),
    [anon_sym_private] = ACTIONS(2067),
    [anon_sym_protected] = ACTIONS(2067),
    [anon_sym_override] = ACTIONS(2067),
    [anon_sym_module] = ACTIONS(2067),
    [anon_sym_any] = ACTIONS(2067),
    [anon_sym_number] = ACTIONS(2067),
    [anon_sym_boolean] = ACTIONS(2067),
    [anon_sym_string] = ACTIONS(2067),
    [anon_sym_symbol] = ACTIONS(2067),
    [anon_sym_object] = ACTIONS(2067),
    [anon_sym_abstract] = ACTIONS(2067),
    [anon_sym_satisfies] = ACTIONS(2069),
    [anon_sym_interface] = ACTIONS(2067),
    [anon_sym_enum] = ACTIONS(2067),
    [sym__automatic_semicolon] = ACTIONS(2125),
    [sym__ternary_qmark] = ACTIONS(2075),
    [sym_html_comment] = ACTIONS(5),
  },
  [307] = {
    [sym_comment] = STATE(307),
    [sym_identifier] = ACTIONS(2127),
    [anon_sym_export] = ACTIONS(2127),
    [anon_sym_STAR] = ACTIONS(2129),
    [anon_sym_default] = ACTIONS(2127),
    [anon_sym_type] = ACTIONS(2127),
    [anon_sym_as] = ACTIONS(2129),
    [anon_sym_namespace] = ACTIONS(2127),
    [anon_sym_LBRACE] = ACTIONS(2127),
    [anon_sym_COMMA] = ACTIONS(2129),
    [anon_sym_RBRACE] = ACTIONS(2127),
    [anon_sym_typeof] = ACTIONS(2127),
    [anon_sym_import] = ACTIONS(2127),
    [anon_sym_with] = ACTIONS(2127),
    [anon_sym_var] = ACTIONS(2127),
    [anon_sym_let] = ACTIONS(2127),
    [anon_sym_const] = ACTIONS(2127),
    [anon_sym_BANG] = ACTIONS(2127),
    [anon_sym_else] = ACTIONS(2127),
    [anon_sym_if] = ACTIONS(2127),
    [anon_sym_switch] = ACTIONS(2127),
    [anon_sym_for] = ACTIONS(2127),
    [anon_sym_LPAREN] = ACTIONS(2127),
    [anon_sym_await] = ACTIONS(2127),
    [anon_sym_in] = ACTIONS(2129),
    [anon_sym_while] = ACTIONS(2127),
    [anon_sym_do] = ACTIONS(2127),
    [anon_sym_try] = ACTIONS(2127),
    [anon_sym_break] = ACTIONS(2127),
    [anon_sym_continue] = ACTIONS(2127),
    [anon_sym_debugger] = ACTIONS(2127),
    [anon_sym_return] = ACTIONS(2127),
    [anon_sym_throw] = ACTIONS(2127),
    [anon_sym_SEMI] = ACTIONS(2127),
    [anon_sym_case] = ACTIONS(2127),
    [anon_sym_yield] = ACTIONS(2127),
    [anon_sym_LBRACK] = ACTIONS(2127),
    [anon_sym_LTtemplate_GT] = ACTIONS(2127),
    [anon_sym_GT] = ACTIONS(2129),
    [anon_sym_DOT] = ACTIONS(2129),
    [anon_sym_DQUOTE] = ACTIONS(2127),
    [anon_sym_SQUOTE] = ACTIONS(2127),
    [anon_sym_class] = ACTIONS(2127),
    [anon_sym_async] = ACTIONS(2127),
    [anon_sym_function] = ACTIONS(2127),
    [anon_sym_QMARK_DOT] = ACTIONS(2129),
    [anon_sym_new] = ACTIONS(2127),
    [anon_sym_using] = ACTIONS(2127),
    [anon_sym_AMP_AMP] = ACTIONS(2129),
    [anon_sym_PIPE_PIPE] = ACTIONS(2129),
    [anon_sym_GT_GT] = ACTIONS(2129),
    [anon_sym_GT_GT_GT] = ACTIONS(2129),
    [anon_sym_LT_LT] = ACTIONS(2129),
    [anon_sym_AMP] = ACTIONS(2129),
    [anon_sym_CARET] = ACTIONS(2129),
    [anon_sym_PIPE] = ACTIONS(2129),
    [anon_sym_PLUS] = ACTIONS(2127),
    [anon_sym_DASH] = ACTIONS(2127),
    [anon_sym_SLASH] = ACTIONS(2127),
    [anon_sym_PERCENT] = ACTIONS(2129),
    [anon_sym_STAR_STAR] = ACTIONS(2129),
    [anon_sym_LT] = ACTIONS(2127),
    [anon_sym_LT_EQ] = ACTIONS(2129),
    [anon_sym_EQ_EQ] = ACTIONS(2129),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2129),
    [anon_sym_BANG_EQ] = ACTIONS(2129),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2129),
    [anon_sym_GT_EQ] = ACTIONS(2129),
    [anon_sym_QMARK_QMARK] = ACTIONS(2129),
    [anon_sym_instanceof] = ACTIONS(2129),
    [anon_sym_TILDE] = ACTIONS(2127),
    [anon_sym_void] = ACTIONS(2127),
    [anon_sym_delete] = ACTIONS(2127),
    [anon_sym_PLUS_PLUS] = ACTIONS(2127),
    [anon_sym_DASH_DASH] = ACTIONS(2127),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2127),
    [sym_number] = ACTIONS(2127),
    [sym_private_property_identifier] = ACTIONS(2127),
    [sym_this] = ACTIONS(2127),
    [sym_super] = ACTIONS(2127),
    [sym_true] = ACTIONS(2127),
    [sym_false] = ACTIONS(2127),
    [sym_null] = ACTIONS(2127),
    [sym_undefined] = ACTIONS(2127),
    [anon_sym_AT] = ACTIONS(2127),
    [anon_sym_static] = ACTIONS(2127),
    [anon_sym_readonly] = ACTIONS(2127),
    [anon_sym_get] = ACTIONS(2127),
    [anon_sym_set] = ACTIONS(2127),
    [anon_sym_declare] = ACTIONS(2127),
    [anon_sym_public] = ACTIONS(2127),
    [anon_sym_private] = ACTIONS(2127),
    [anon_sym_protected] = ACTIONS(2127),
    [anon_sym_override] = ACTIONS(2127),
    [anon_sym_module] = ACTIONS(2127),
    [anon_sym_any] = ACTIONS(2127),
    [anon_sym_number] = ACTIONS(2127),
    [anon_sym_boolean] = ACTIONS(2127),
    [anon_sym_string] = ACTIONS(2127),
    [anon_sym_symbol] = ACTIONS(2127),
    [anon_sym_object] = ACTIONS(2127),
    [anon_sym_abstract] = ACTIONS(2127),
    [anon_sym_satisfies] = ACTIONS(2129),
    [anon_sym_interface] = ACTIONS(2127),
    [anon_sym_enum] = ACTIONS(2127),
    [sym__automatic_semicolon] = ACTIONS(2131),
    [sym__ternary_qmark] = ACTIONS(2133),
    [sym_html_comment] = ACTIONS(5),
  },
  [308] = {
    [sym_comment] = STATE(308),
    [sym_identifier] = ACTIONS(2135),
    [anon_sym_export] = ACTIONS(2135),
    [anon_sym_STAR] = ACTIONS(2137),
    [anon_sym_default] = ACTIONS(2135),
    [anon_sym_type] = ACTIONS(2135),
    [anon_sym_as] = ACTIONS(2137),
    [anon_sym_namespace] = ACTIONS(2135),
    [anon_sym_LBRACE] = ACTIONS(2135),
    [anon_sym_COMMA] = ACTIONS(2137),
    [anon_sym_RBRACE] = ACTIONS(2135),
    [anon_sym_typeof] = ACTIONS(2135),
    [anon_sym_import] = ACTIONS(2135),
    [anon_sym_with] = ACTIONS(2135),
    [anon_sym_var] = ACTIONS(2135),
    [anon_sym_let] = ACTIONS(2135),
    [anon_sym_const] = ACTIONS(2135),
    [anon_sym_BANG] = ACTIONS(2135),
    [anon_sym_else] = ACTIONS(2135),
    [anon_sym_if] = ACTIONS(2135),
    [anon_sym_switch] = ACTIONS(2135),
    [anon_sym_for] = ACTIONS(2135),
    [anon_sym_LPAREN] = ACTIONS(2135),
    [anon_sym_await] = ACTIONS(2135),
    [anon_sym_in] = ACTIONS(2137),
    [anon_sym_while] = ACTIONS(2135),
    [anon_sym_do] = ACTIONS(2135),
    [anon_sym_try] = ACTIONS(2135),
    [anon_sym_break] = ACTIONS(2135),
    [anon_sym_continue] = ACTIONS(2135),
    [anon_sym_debugger] = ACTIONS(2135),
    [anon_sym_return] = ACTIONS(2135),
    [anon_sym_throw] = ACTIONS(2135),
    [anon_sym_SEMI] = ACTIONS(2135),
    [anon_sym_case] = ACTIONS(2135),
    [anon_sym_yield] = ACTIONS(2135),
    [anon_sym_LBRACK] = ACTIONS(2135),
    [anon_sym_LTtemplate_GT] = ACTIONS(2135),
    [anon_sym_GT] = ACTIONS(2137),
    [anon_sym_DOT] = ACTIONS(2137),
    [anon_sym_DQUOTE] = ACTIONS(2135),
    [anon_sym_SQUOTE] = ACTIONS(2135),
    [anon_sym_class] = ACTIONS(2135),
    [anon_sym_async] = ACTIONS(2135),
    [anon_sym_function] = ACTIONS(2135),
    [anon_sym_QMARK_DOT] = ACTIONS(2137),
    [anon_sym_new] = ACTIONS(2135),
    [anon_sym_using] = ACTIONS(2135),
    [anon_sym_AMP_AMP] = ACTIONS(2137),
    [anon_sym_PIPE_PIPE] = ACTIONS(2137),
    [anon_sym_GT_GT] = ACTIONS(2137),
    [anon_sym_GT_GT_GT] = ACTIONS(2137),
    [anon_sym_LT_LT] = ACTIONS(2137),
    [anon_sym_AMP] = ACTIONS(2137),
    [anon_sym_CARET] = ACTIONS(2137),
    [anon_sym_PIPE] = ACTIONS(2137),
    [anon_sym_PLUS] = ACTIONS(2135),
    [anon_sym_DASH] = ACTIONS(2135),
    [anon_sym_SLASH] = ACTIONS(2135),
    [anon_sym_PERCENT] = ACTIONS(2137),
    [anon_sym_STAR_STAR] = ACTIONS(2137),
    [anon_sym_LT] = ACTIONS(2135),
    [anon_sym_LT_EQ] = ACTIONS(2137),
    [anon_sym_EQ_EQ] = ACTIONS(2137),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2137),
    [anon_sym_BANG_EQ] = ACTIONS(2137),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2137),
    [anon_sym_GT_EQ] = ACTIONS(2137),
    [anon_sym_QMARK_QMARK] = ACTIONS(2137),
    [anon_sym_instanceof] = ACTIONS(2137),
    [anon_sym_TILDE] = ACTIONS(2135),
    [anon_sym_void] = ACTIONS(2135),
    [anon_sym_delete] = ACTIONS(2135),
    [anon_sym_PLUS_PLUS] = ACTIONS(2135),
    [anon_sym_DASH_DASH] = ACTIONS(2135),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2135),
    [sym_number] = ACTIONS(2135),
    [sym_private_property_identifier] = ACTIONS(2135),
    [sym_this] = ACTIONS(2135),
    [sym_super] = ACTIONS(2135),
    [sym_true] = ACTIONS(2135),
    [sym_false] = ACTIONS(2135),
    [sym_null] = ACTIONS(2135),
    [sym_undefined] = ACTIONS(2135),
    [anon_sym_AT] = ACTIONS(2135),
    [anon_sym_static] = ACTIONS(2135),
    [anon_sym_readonly] = ACTIONS(2135),
    [anon_sym_get] = ACTIONS(2135),
    [anon_sym_set] = ACTIONS(2135),
    [anon_sym_declare] = ACTIONS(2135),
    [anon_sym_public] = ACTIONS(2135),
    [anon_sym_private] = ACTIONS(2135),
    [anon_sym_protected] = ACTIONS(2135),
    [anon_sym_override] = ACTIONS(2135),
    [anon_sym_module] = ACTIONS(2135),
    [anon_sym_any] = ACTIONS(2135),
    [anon_sym_number] = ACTIONS(2135),
    [anon_sym_boolean] = ACTIONS(2135),
    [anon_sym_string] = ACTIONS(2135),
    [anon_sym_symbol] = ACTIONS(2135),
    [anon_sym_object] = ACTIONS(2135),
    [anon_sym_abstract] = ACTIONS(2135),
    [anon_sym_satisfies] = ACTIONS(2137),
    [anon_sym_interface] = ACTIONS(2135),
    [anon_sym_enum] = ACTIONS(2135),
    [sym__automatic_semicolon] = ACTIONS(2139),
    [sym__ternary_qmark] = ACTIONS(2141),
    [sym_html_comment] = ACTIONS(5),
  },
  [309] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2151),
    [sym_expression] = STATE(2795),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7643),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2151),
    [sym_subscript_expression] = STATE(2151),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3918),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7259),
    [sym_spread_element] = STATE(6342),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(309),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2151),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [aux_sym_array_repeat1] = STATE(6341),
    [sym_identifier] = ACTIONS(1724),
    [anon_sym_export] = ACTIONS(1452),
    [anon_sym_type] = ACTIONS(1452),
    [anon_sym_namespace] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(1127),
    [anon_sym_COMMA] = ACTIONS(2111),
    [anon_sym_typeof] = ACTIONS(968),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1452),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_RPAREN] = ACTIONS(2143),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(1129),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1462),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1730),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2115),
    [anon_sym_PLUS] = ACTIONS(968),
    [anon_sym_DASH] = ACTIONS(968),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(968),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1732),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1452),
    [anon_sym_readonly] = ACTIONS(1452),
    [anon_sym_get] = ACTIONS(1452),
    [anon_sym_set] = ACTIONS(1452),
    [anon_sym_declare] = ACTIONS(1452),
    [anon_sym_public] = ACTIONS(1452),
    [anon_sym_private] = ACTIONS(1452),
    [anon_sym_protected] = ACTIONS(1452),
    [anon_sym_override] = ACTIONS(1452),
    [anon_sym_module] = ACTIONS(1452),
    [anon_sym_any] = ACTIONS(1452),
    [anon_sym_number] = ACTIONS(1452),
    [anon_sym_boolean] = ACTIONS(1452),
    [anon_sym_string] = ACTIONS(1452),
    [anon_sym_symbol] = ACTIONS(1452),
    [anon_sym_object] = ACTIONS(1452),
    [sym_html_comment] = ACTIONS(5),
  },
  [310] = {
    [sym_comment] = STATE(310),
    [sym_identifier] = ACTIONS(2145),
    [anon_sym_export] = ACTIONS(2145),
    [anon_sym_STAR] = ACTIONS(2145),
    [anon_sym_default] = ACTIONS(2145),
    [anon_sym_type] = ACTIONS(2145),
    [anon_sym_as] = ACTIONS(2145),
    [anon_sym_namespace] = ACTIONS(2145),
    [anon_sym_LBRACE] = ACTIONS(2145),
    [anon_sym_COMMA] = ACTIONS(2145),
    [anon_sym_RBRACE] = ACTIONS(2145),
    [anon_sym_typeof] = ACTIONS(2145),
    [anon_sym_import] = ACTIONS(2145),
    [anon_sym_with] = ACTIONS(2145),
    [anon_sym_var] = ACTIONS(2145),
    [anon_sym_let] = ACTIONS(2145),
    [anon_sym_const] = ACTIONS(2145),
    [anon_sym_BANG] = ACTIONS(2145),
    [anon_sym_else] = ACTIONS(2145),
    [anon_sym_if] = ACTIONS(2145),
    [anon_sym_switch] = ACTIONS(2145),
    [anon_sym_for] = ACTIONS(2145),
    [anon_sym_LPAREN] = ACTIONS(2145),
    [anon_sym_await] = ACTIONS(2145),
    [anon_sym_in] = ACTIONS(2145),
    [anon_sym_while] = ACTIONS(2145),
    [anon_sym_do] = ACTIONS(2145),
    [anon_sym_try] = ACTIONS(2145),
    [anon_sym_break] = ACTIONS(2145),
    [anon_sym_continue] = ACTIONS(2145),
    [anon_sym_debugger] = ACTIONS(2145),
    [anon_sym_return] = ACTIONS(2145),
    [anon_sym_throw] = ACTIONS(2145),
    [anon_sym_SEMI] = ACTIONS(2145),
    [anon_sym_case] = ACTIONS(2145),
    [anon_sym_yield] = ACTIONS(2145),
    [anon_sym_LBRACK] = ACTIONS(2145),
    [anon_sym_LTtemplate_GT] = ACTIONS(2145),
    [anon_sym_GT] = ACTIONS(2145),
    [anon_sym_DOT] = ACTIONS(2145),
    [anon_sym_DQUOTE] = ACTIONS(2145),
    [anon_sym_SQUOTE] = ACTIONS(2145),
    [anon_sym_class] = ACTIONS(2145),
    [anon_sym_async] = ACTIONS(2145),
    [anon_sym_function] = ACTIONS(2145),
    [anon_sym_QMARK_DOT] = ACTIONS(2145),
    [anon_sym_new] = ACTIONS(2145),
    [anon_sym_using] = ACTIONS(2145),
    [anon_sym_AMP_AMP] = ACTIONS(2145),
    [anon_sym_PIPE_PIPE] = ACTIONS(2145),
    [anon_sym_GT_GT] = ACTIONS(2145),
    [anon_sym_GT_GT_GT] = ACTIONS(2145),
    [anon_sym_LT_LT] = ACTIONS(2145),
    [anon_sym_AMP] = ACTIONS(2145),
    [anon_sym_CARET] = ACTIONS(2145),
    [anon_sym_PIPE] = ACTIONS(2145),
    [anon_sym_PLUS] = ACTIONS(2145),
    [anon_sym_DASH] = ACTIONS(2145),
    [anon_sym_SLASH] = ACTIONS(2145),
    [anon_sym_PERCENT] = ACTIONS(2145),
    [anon_sym_STAR_STAR] = ACTIONS(2145),
    [anon_sym_LT] = ACTIONS(2145),
    [anon_sym_LT_EQ] = ACTIONS(2145),
    [anon_sym_EQ_EQ] = ACTIONS(2145),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2145),
    [anon_sym_BANG_EQ] = ACTIONS(2145),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2145),
    [anon_sym_GT_EQ] = ACTIONS(2145),
    [anon_sym_QMARK_QMARK] = ACTIONS(2145),
    [anon_sym_instanceof] = ACTIONS(2145),
    [anon_sym_TILDE] = ACTIONS(2145),
    [anon_sym_void] = ACTIONS(2145),
    [anon_sym_delete] = ACTIONS(2145),
    [anon_sym_PLUS_PLUS] = ACTIONS(2145),
    [anon_sym_DASH_DASH] = ACTIONS(2145),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2145),
    [sym_number] = ACTIONS(2145),
    [sym_private_property_identifier] = ACTIONS(2145),
    [sym_this] = ACTIONS(2145),
    [sym_super] = ACTIONS(2145),
    [sym_true] = ACTIONS(2145),
    [sym_false] = ACTIONS(2145),
    [sym_null] = ACTIONS(2145),
    [sym_undefined] = ACTIONS(2145),
    [anon_sym_AT] = ACTIONS(2145),
    [anon_sym_static] = ACTIONS(2145),
    [anon_sym_readonly] = ACTIONS(2145),
    [anon_sym_get] = ACTIONS(2145),
    [anon_sym_set] = ACTIONS(2145),
    [anon_sym_declare] = ACTIONS(2145),
    [anon_sym_public] = ACTIONS(2145),
    [anon_sym_private] = ACTIONS(2145),
    [anon_sym_protected] = ACTIONS(2145),
    [anon_sym_override] = ACTIONS(2145),
    [anon_sym_module] = ACTIONS(2145),
    [anon_sym_any] = ACTIONS(2145),
    [anon_sym_number] = ACTIONS(2145),
    [anon_sym_boolean] = ACTIONS(2145),
    [anon_sym_string] = ACTIONS(2145),
    [anon_sym_symbol] = ACTIONS(2145),
    [anon_sym_object] = ACTIONS(2145),
    [anon_sym_abstract] = ACTIONS(2145),
    [anon_sym_satisfies] = ACTIONS(2145),
    [anon_sym_interface] = ACTIONS(2145),
    [anon_sym_enum] = ACTIONS(2145),
    [sym__automatic_semicolon] = ACTIONS(2147),
    [sym__ternary_qmark] = ACTIONS(2147),
    [sym_html_comment] = ACTIONS(5),
  },
  [311] = {
    [sym_comment] = STATE(311),
    [sym_identifier] = ACTIONS(2149),
    [anon_sym_export] = ACTIONS(2149),
    [anon_sym_STAR] = ACTIONS(2151),
    [anon_sym_default] = ACTIONS(2149),
    [anon_sym_type] = ACTIONS(2149),
    [anon_sym_as] = ACTIONS(2151),
    [anon_sym_namespace] = ACTIONS(2149),
    [anon_sym_LBRACE] = ACTIONS(2149),
    [anon_sym_COMMA] = ACTIONS(2151),
    [anon_sym_RBRACE] = ACTIONS(2149),
    [anon_sym_typeof] = ACTIONS(2149),
    [anon_sym_import] = ACTIONS(2149),
    [anon_sym_with] = ACTIONS(2149),
    [anon_sym_var] = ACTIONS(2149),
    [anon_sym_let] = ACTIONS(2149),
    [anon_sym_const] = ACTIONS(2149),
    [anon_sym_BANG] = ACTIONS(2149),
    [anon_sym_else] = ACTIONS(2149),
    [anon_sym_if] = ACTIONS(2149),
    [anon_sym_switch] = ACTIONS(2149),
    [anon_sym_for] = ACTIONS(2149),
    [anon_sym_LPAREN] = ACTIONS(2149),
    [anon_sym_await] = ACTIONS(2149),
    [anon_sym_in] = ACTIONS(2151),
    [anon_sym_while] = ACTIONS(2149),
    [anon_sym_do] = ACTIONS(2149),
    [anon_sym_try] = ACTIONS(2149),
    [anon_sym_break] = ACTIONS(2149),
    [anon_sym_continue] = ACTIONS(2149),
    [anon_sym_debugger] = ACTIONS(2149),
    [anon_sym_return] = ACTIONS(2149),
    [anon_sym_throw] = ACTIONS(2149),
    [anon_sym_SEMI] = ACTIONS(2149),
    [anon_sym_case] = ACTIONS(2149),
    [anon_sym_yield] = ACTIONS(2149),
    [anon_sym_LBRACK] = ACTIONS(2149),
    [anon_sym_LTtemplate_GT] = ACTIONS(2149),
    [anon_sym_GT] = ACTIONS(2151),
    [anon_sym_DOT] = ACTIONS(2151),
    [anon_sym_DQUOTE] = ACTIONS(2149),
    [anon_sym_SQUOTE] = ACTIONS(2149),
    [anon_sym_class] = ACTIONS(2149),
    [anon_sym_async] = ACTIONS(2149),
    [anon_sym_function] = ACTIONS(2149),
    [anon_sym_QMARK_DOT] = ACTIONS(2151),
    [anon_sym_new] = ACTIONS(2149),
    [anon_sym_using] = ACTIONS(2149),
    [anon_sym_AMP_AMP] = ACTIONS(2151),
    [anon_sym_PIPE_PIPE] = ACTIONS(2151),
    [anon_sym_GT_GT] = ACTIONS(2151),
    [anon_sym_GT_GT_GT] = ACTIONS(2151),
    [anon_sym_LT_LT] = ACTIONS(2151),
    [anon_sym_AMP] = ACTIONS(2151),
    [anon_sym_CARET] = ACTIONS(2151),
    [anon_sym_PIPE] = ACTIONS(2151),
    [anon_sym_PLUS] = ACTIONS(2149),
    [anon_sym_DASH] = ACTIONS(2149),
    [anon_sym_SLASH] = ACTIONS(2149),
    [anon_sym_PERCENT] = ACTIONS(2151),
    [anon_sym_STAR_STAR] = ACTIONS(2151),
    [anon_sym_LT] = ACTIONS(2149),
    [anon_sym_LT_EQ] = ACTIONS(2151),
    [anon_sym_EQ_EQ] = ACTIONS(2151),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2151),
    [anon_sym_BANG_EQ] = ACTIONS(2151),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2151),
    [anon_sym_GT_EQ] = ACTIONS(2151),
    [anon_sym_QMARK_QMARK] = ACTIONS(2151),
    [anon_sym_instanceof] = ACTIONS(2151),
    [anon_sym_TILDE] = ACTIONS(2149),
    [anon_sym_void] = ACTIONS(2149),
    [anon_sym_delete] = ACTIONS(2149),
    [anon_sym_PLUS_PLUS] = ACTIONS(2149),
    [anon_sym_DASH_DASH] = ACTIONS(2149),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2149),
    [sym_number] = ACTIONS(2149),
    [sym_private_property_identifier] = ACTIONS(2149),
    [sym_this] = ACTIONS(2149),
    [sym_super] = ACTIONS(2149),
    [sym_true] = ACTIONS(2149),
    [sym_false] = ACTIONS(2149),
    [sym_null] = ACTIONS(2149),
    [sym_undefined] = ACTIONS(2149),
    [anon_sym_AT] = ACTIONS(2149),
    [anon_sym_static] = ACTIONS(2149),
    [anon_sym_readonly] = ACTIONS(2149),
    [anon_sym_get] = ACTIONS(2149),
    [anon_sym_set] = ACTIONS(2149),
    [anon_sym_declare] = ACTIONS(2149),
    [anon_sym_public] = ACTIONS(2149),
    [anon_sym_private] = ACTIONS(2149),
    [anon_sym_protected] = ACTIONS(2149),
    [anon_sym_override] = ACTIONS(2149),
    [anon_sym_module] = ACTIONS(2149),
    [anon_sym_any] = ACTIONS(2149),
    [anon_sym_number] = ACTIONS(2149),
    [anon_sym_boolean] = ACTIONS(2149),
    [anon_sym_string] = ACTIONS(2149),
    [anon_sym_symbol] = ACTIONS(2149),
    [anon_sym_object] = ACTIONS(2149),
    [anon_sym_abstract] = ACTIONS(2149),
    [anon_sym_satisfies] = ACTIONS(2151),
    [anon_sym_interface] = ACTIONS(2149),
    [anon_sym_enum] = ACTIONS(2149),
    [sym__automatic_semicolon] = ACTIONS(2153),
    [sym__ternary_qmark] = ACTIONS(2155),
    [sym_html_comment] = ACTIONS(5),
  },
  [312] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2151),
    [sym_expression] = STATE(2773),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7643),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2151),
    [sym_subscript_expression] = STATE(2151),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3918),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7259),
    [sym_spread_element] = STATE(6296),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(312),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2151),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1724),
    [anon_sym_export] = ACTIONS(1452),
    [anon_sym_type] = ACTIONS(1452),
    [anon_sym_namespace] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(1127),
    [anon_sym_COMMA] = ACTIONS(2157),
    [anon_sym_typeof] = ACTIONS(968),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1452),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_RPAREN] = ACTIONS(2157),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(1129),
    [anon_sym_RBRACK] = ACTIONS(2157),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1462),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1730),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2115),
    [anon_sym_PLUS] = ACTIONS(968),
    [anon_sym_DASH] = ACTIONS(968),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(968),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1732),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1452),
    [anon_sym_readonly] = ACTIONS(1452),
    [anon_sym_get] = ACTIONS(1452),
    [anon_sym_set] = ACTIONS(1452),
    [anon_sym_declare] = ACTIONS(1452),
    [anon_sym_public] = ACTIONS(1452),
    [anon_sym_private] = ACTIONS(1452),
    [anon_sym_protected] = ACTIONS(1452),
    [anon_sym_override] = ACTIONS(1452),
    [anon_sym_module] = ACTIONS(1452),
    [anon_sym_any] = ACTIONS(1452),
    [anon_sym_number] = ACTIONS(1452),
    [anon_sym_boolean] = ACTIONS(1452),
    [anon_sym_string] = ACTIONS(1452),
    [anon_sym_symbol] = ACTIONS(1452),
    [anon_sym_object] = ACTIONS(1452),
    [sym_html_comment] = ACTIONS(5),
  },
  [313] = {
    [sym_comment] = STATE(313),
    [sym_identifier] = ACTIONS(2159),
    [anon_sym_export] = ACTIONS(2159),
    [anon_sym_STAR] = ACTIONS(2161),
    [anon_sym_default] = ACTIONS(2159),
    [anon_sym_type] = ACTIONS(2159),
    [anon_sym_as] = ACTIONS(2161),
    [anon_sym_namespace] = ACTIONS(2159),
    [anon_sym_LBRACE] = ACTIONS(2159),
    [anon_sym_COMMA] = ACTIONS(2161),
    [anon_sym_RBRACE] = ACTIONS(2159),
    [anon_sym_typeof] = ACTIONS(2159),
    [anon_sym_import] = ACTIONS(2159),
    [anon_sym_with] = ACTIONS(2159),
    [anon_sym_var] = ACTIONS(2159),
    [anon_sym_let] = ACTIONS(2159),
    [anon_sym_const] = ACTIONS(2159),
    [anon_sym_BANG] = ACTIONS(2159),
    [anon_sym_else] = ACTIONS(2159),
    [anon_sym_if] = ACTIONS(2159),
    [anon_sym_switch] = ACTIONS(2159),
    [anon_sym_for] = ACTIONS(2159),
    [anon_sym_LPAREN] = ACTIONS(2159),
    [anon_sym_await] = ACTIONS(2159),
    [anon_sym_in] = ACTIONS(2161),
    [anon_sym_while] = ACTIONS(2159),
    [anon_sym_do] = ACTIONS(2159),
    [anon_sym_try] = ACTIONS(2159),
    [anon_sym_break] = ACTIONS(2159),
    [anon_sym_continue] = ACTIONS(2159),
    [anon_sym_debugger] = ACTIONS(2159),
    [anon_sym_return] = ACTIONS(2159),
    [anon_sym_throw] = ACTIONS(2159),
    [anon_sym_SEMI] = ACTIONS(2159),
    [anon_sym_case] = ACTIONS(2159),
    [anon_sym_yield] = ACTIONS(2159),
    [anon_sym_LBRACK] = ACTIONS(2159),
    [anon_sym_LTtemplate_GT] = ACTIONS(2159),
    [anon_sym_GT] = ACTIONS(2161),
    [anon_sym_DOT] = ACTIONS(2161),
    [anon_sym_DQUOTE] = ACTIONS(2159),
    [anon_sym_SQUOTE] = ACTIONS(2159),
    [anon_sym_class] = ACTIONS(2159),
    [anon_sym_async] = ACTIONS(2159),
    [anon_sym_function] = ACTIONS(2159),
    [anon_sym_QMARK_DOT] = ACTIONS(2161),
    [anon_sym_new] = ACTIONS(2159),
    [anon_sym_using] = ACTIONS(2159),
    [anon_sym_AMP_AMP] = ACTIONS(2161),
    [anon_sym_PIPE_PIPE] = ACTIONS(2161),
    [anon_sym_GT_GT] = ACTIONS(2161),
    [anon_sym_GT_GT_GT] = ACTIONS(2161),
    [anon_sym_LT_LT] = ACTIONS(2161),
    [anon_sym_AMP] = ACTIONS(2161),
    [anon_sym_CARET] = ACTIONS(2161),
    [anon_sym_PIPE] = ACTIONS(2161),
    [anon_sym_PLUS] = ACTIONS(2159),
    [anon_sym_DASH] = ACTIONS(2159),
    [anon_sym_SLASH] = ACTIONS(2159),
    [anon_sym_PERCENT] = ACTIONS(2161),
    [anon_sym_STAR_STAR] = ACTIONS(2161),
    [anon_sym_LT] = ACTIONS(2159),
    [anon_sym_LT_EQ] = ACTIONS(2161),
    [anon_sym_EQ_EQ] = ACTIONS(2161),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2161),
    [anon_sym_BANG_EQ] = ACTIONS(2161),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2161),
    [anon_sym_GT_EQ] = ACTIONS(2161),
    [anon_sym_QMARK_QMARK] = ACTIONS(2161),
    [anon_sym_instanceof] = ACTIONS(2161),
    [anon_sym_TILDE] = ACTIONS(2159),
    [anon_sym_void] = ACTIONS(2159),
    [anon_sym_delete] = ACTIONS(2159),
    [anon_sym_PLUS_PLUS] = ACTIONS(2159),
    [anon_sym_DASH_DASH] = ACTIONS(2159),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2159),
    [sym_number] = ACTIONS(2159),
    [sym_private_property_identifier] = ACTIONS(2159),
    [sym_this] = ACTIONS(2159),
    [sym_super] = ACTIONS(2159),
    [sym_true] = ACTIONS(2159),
    [sym_false] = ACTIONS(2159),
    [sym_null] = ACTIONS(2159),
    [sym_undefined] = ACTIONS(2159),
    [anon_sym_AT] = ACTIONS(2159),
    [anon_sym_static] = ACTIONS(2159),
    [anon_sym_readonly] = ACTIONS(2159),
    [anon_sym_get] = ACTIONS(2159),
    [anon_sym_set] = ACTIONS(2159),
    [anon_sym_declare] = ACTIONS(2159),
    [anon_sym_public] = ACTIONS(2159),
    [anon_sym_private] = ACTIONS(2159),
    [anon_sym_protected] = ACTIONS(2159),
    [anon_sym_override] = ACTIONS(2159),
    [anon_sym_module] = ACTIONS(2159),
    [anon_sym_any] = ACTIONS(2159),
    [anon_sym_number] = ACTIONS(2159),
    [anon_sym_boolean] = ACTIONS(2159),
    [anon_sym_string] = ACTIONS(2159),
    [anon_sym_symbol] = ACTIONS(2159),
    [anon_sym_object] = ACTIONS(2159),
    [anon_sym_abstract] = ACTIONS(2159),
    [anon_sym_satisfies] = ACTIONS(2161),
    [anon_sym_interface] = ACTIONS(2159),
    [anon_sym_enum] = ACTIONS(2159),
    [sym__automatic_semicolon] = ACTIONS(2163),
    [sym__ternary_qmark] = ACTIONS(2165),
    [sym_html_comment] = ACTIONS(5),
  },
  [314] = {
    [sym_import] = STATE(4369),
    [sym_parenthesized_expression] = STATE(2177),
    [sym_expression] = STATE(2573),
    [sym_primary_expression] = STATE(2990),
    [sym_yield_expression] = STATE(3139),
    [sym_object] = STATE(3113),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(3113),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(3139),
    [sym_glimmer_opening_tag] = STATE(5702),
    [sym_jsx_element] = STATE(3139),
    [sym_jsx_opening_element] = STATE(4008),
    [sym_jsx_self_closing_element] = STATE(3139),
    [sym_class] = STATE(3113),
    [sym_function_expression] = STATE(3113),
    [sym_generator_function] = STATE(3113),
    [sym_arrow_function] = STATE(3113),
    [sym__call_signature] = STATE(7486),
    [sym_call_expression] = STATE(3113),
    [sym_new_expression] = STATE(3139),
    [sym_await_expression] = STATE(3139),
    [sym_member_expression] = STATE(2177),
    [sym_subscript_expression] = STATE(2177),
    [sym_assignment_expression] = STATE(3139),
    [sym__augmented_assignment_lhs] = STATE(3835),
    [sym_augmented_assignment_expression] = STATE(3139),
    [sym__destructuring_pattern] = STATE(7484),
    [sym_ternary_expression] = STATE(3139),
    [sym_binary_expression] = STATE(3139),
    [sym_unary_expression] = STATE(3139),
    [sym_update_expression] = STATE(3139),
    [sym_string] = STATE(3113),
    [sym_comment] = STATE(314),
    [sym_template_string] = STATE(3113),
    [sym_regex] = STATE(3113),
    [sym_meta_property] = STATE(3113),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2177),
    [sym_as_expression] = STATE(3139),
    [sym_satisfies_expression] = STATE(3139),
    [sym_instantiation_expression] = STATE(3139),
    [sym_internal_module] = STATE(3139),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5555),
    [sym_identifier] = ACTIONS(1744),
    [anon_sym_export] = ACTIONS(1596),
    [anon_sym_type] = ACTIONS(1596),
    [anon_sym_namespace] = ACTIONS(1598),
    [anon_sym_LBRACE] = ACTIONS(1020),
    [anon_sym_COMMA] = ACTIONS(1978),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1596),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(1978),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1029),
    [anon_sym_async] = ACTIONS(1602),
    [anon_sym_function] = ACTIONS(1033),
    [anon_sym_new] = ACTIONS(1748),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_AMP] = ACTIONS(1978),
    [anon_sym_PIPE] = ACTIONS(1978),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1596),
    [anon_sym_readonly] = ACTIONS(1596),
    [anon_sym_get] = ACTIONS(1596),
    [anon_sym_set] = ACTIONS(1596),
    [anon_sym_declare] = ACTIONS(1596),
    [anon_sym_public] = ACTIONS(1596),
    [anon_sym_private] = ACTIONS(1596),
    [anon_sym_protected] = ACTIONS(1596),
    [anon_sym_override] = ACTIONS(1596),
    [anon_sym_module] = ACTIONS(1596),
    [anon_sym_any] = ACTIONS(1596),
    [anon_sym_number] = ACTIONS(1596),
    [anon_sym_boolean] = ACTIONS(1596),
    [anon_sym_string] = ACTIONS(1596),
    [anon_sym_symbol] = ACTIONS(1596),
    [anon_sym_object] = ACTIONS(1596),
    [anon_sym_extends] = ACTIONS(1978),
    [sym_html_comment] = ACTIONS(5),
  },
  [315] = {
    [sym_comment] = STATE(315),
    [sym_identifier] = ACTIONS(2167),
    [anon_sym_export] = ACTIONS(2167),
    [anon_sym_STAR] = ACTIONS(2169),
    [anon_sym_default] = ACTIONS(2167),
    [anon_sym_type] = ACTIONS(2167),
    [anon_sym_as] = ACTIONS(2169),
    [anon_sym_namespace] = ACTIONS(2167),
    [anon_sym_LBRACE] = ACTIONS(2167),
    [anon_sym_COMMA] = ACTIONS(2169),
    [anon_sym_RBRACE] = ACTIONS(2167),
    [anon_sym_typeof] = ACTIONS(2167),
    [anon_sym_import] = ACTIONS(2167),
    [anon_sym_with] = ACTIONS(2167),
    [anon_sym_var] = ACTIONS(2167),
    [anon_sym_let] = ACTIONS(2167),
    [anon_sym_const] = ACTIONS(2167),
    [anon_sym_BANG] = ACTIONS(2167),
    [anon_sym_else] = ACTIONS(2167),
    [anon_sym_if] = ACTIONS(2167),
    [anon_sym_switch] = ACTIONS(2167),
    [anon_sym_for] = ACTIONS(2167),
    [anon_sym_LPAREN] = ACTIONS(2167),
    [anon_sym_await] = ACTIONS(2167),
    [anon_sym_in] = ACTIONS(2169),
    [anon_sym_while] = ACTIONS(2167),
    [anon_sym_do] = ACTIONS(2167),
    [anon_sym_try] = ACTIONS(2167),
    [anon_sym_break] = ACTIONS(2167),
    [anon_sym_continue] = ACTIONS(2167),
    [anon_sym_debugger] = ACTIONS(2167),
    [anon_sym_return] = ACTIONS(2167),
    [anon_sym_throw] = ACTIONS(2167),
    [anon_sym_SEMI] = ACTIONS(2167),
    [anon_sym_case] = ACTIONS(2167),
    [anon_sym_yield] = ACTIONS(2167),
    [anon_sym_LBRACK] = ACTIONS(2167),
    [anon_sym_LTtemplate_GT] = ACTIONS(2167),
    [anon_sym_GT] = ACTIONS(2169),
    [anon_sym_DOT] = ACTIONS(2169),
    [anon_sym_DQUOTE] = ACTIONS(2167),
    [anon_sym_SQUOTE] = ACTIONS(2167),
    [anon_sym_class] = ACTIONS(2167),
    [anon_sym_async] = ACTIONS(2167),
    [anon_sym_function] = ACTIONS(2167),
    [anon_sym_QMARK_DOT] = ACTIONS(2169),
    [anon_sym_new] = ACTIONS(2167),
    [anon_sym_using] = ACTIONS(2167),
    [anon_sym_AMP_AMP] = ACTIONS(2169),
    [anon_sym_PIPE_PIPE] = ACTIONS(2169),
    [anon_sym_GT_GT] = ACTIONS(2169),
    [anon_sym_GT_GT_GT] = ACTIONS(2169),
    [anon_sym_LT_LT] = ACTIONS(2169),
    [anon_sym_AMP] = ACTIONS(2169),
    [anon_sym_CARET] = ACTIONS(2169),
    [anon_sym_PIPE] = ACTIONS(2169),
    [anon_sym_PLUS] = ACTIONS(2167),
    [anon_sym_DASH] = ACTIONS(2167),
    [anon_sym_SLASH] = ACTIONS(2167),
    [anon_sym_PERCENT] = ACTIONS(2169),
    [anon_sym_STAR_STAR] = ACTIONS(2169),
    [anon_sym_LT] = ACTIONS(2167),
    [anon_sym_LT_EQ] = ACTIONS(2169),
    [anon_sym_EQ_EQ] = ACTIONS(2169),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2169),
    [anon_sym_BANG_EQ] = ACTIONS(2169),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2169),
    [anon_sym_GT_EQ] = ACTIONS(2169),
    [anon_sym_QMARK_QMARK] = ACTIONS(2169),
    [anon_sym_instanceof] = ACTIONS(2169),
    [anon_sym_TILDE] = ACTIONS(2167),
    [anon_sym_void] = ACTIONS(2167),
    [anon_sym_delete] = ACTIONS(2167),
    [anon_sym_PLUS_PLUS] = ACTIONS(2167),
    [anon_sym_DASH_DASH] = ACTIONS(2167),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2167),
    [sym_number] = ACTIONS(2167),
    [sym_private_property_identifier] = ACTIONS(2167),
    [sym_this] = ACTIONS(2167),
    [sym_super] = ACTIONS(2167),
    [sym_true] = ACTIONS(2167),
    [sym_false] = ACTIONS(2167),
    [sym_null] = ACTIONS(2167),
    [sym_undefined] = ACTIONS(2167),
    [anon_sym_AT] = ACTIONS(2167),
    [anon_sym_static] = ACTIONS(2167),
    [anon_sym_readonly] = ACTIONS(2167),
    [anon_sym_get] = ACTIONS(2167),
    [anon_sym_set] = ACTIONS(2167),
    [anon_sym_declare] = ACTIONS(2167),
    [anon_sym_public] = ACTIONS(2167),
    [anon_sym_private] = ACTIONS(2167),
    [anon_sym_protected] = ACTIONS(2167),
    [anon_sym_override] = ACTIONS(2167),
    [anon_sym_module] = ACTIONS(2167),
    [anon_sym_any] = ACTIONS(2167),
    [anon_sym_number] = ACTIONS(2167),
    [anon_sym_boolean] = ACTIONS(2167),
    [anon_sym_string] = ACTIONS(2167),
    [anon_sym_symbol] = ACTIONS(2167),
    [anon_sym_object] = ACTIONS(2167),
    [anon_sym_abstract] = ACTIONS(2167),
    [anon_sym_satisfies] = ACTIONS(2169),
    [anon_sym_interface] = ACTIONS(2167),
    [anon_sym_enum] = ACTIONS(2167),
    [sym__automatic_semicolon] = ACTIONS(2171),
    [sym__ternary_qmark] = ACTIONS(2171),
    [sym_html_comment] = ACTIONS(5),
  },
  [316] = {
    [sym_comment] = STATE(316),
    [sym_identifier] = ACTIONS(2173),
    [anon_sym_export] = ACTIONS(2173),
    [anon_sym_STAR] = ACTIONS(2175),
    [anon_sym_default] = ACTIONS(2173),
    [anon_sym_type] = ACTIONS(2173),
    [anon_sym_as] = ACTIONS(2175),
    [anon_sym_namespace] = ACTIONS(2173),
    [anon_sym_LBRACE] = ACTIONS(2173),
    [anon_sym_COMMA] = ACTIONS(2175),
    [anon_sym_RBRACE] = ACTIONS(2173),
    [anon_sym_typeof] = ACTIONS(2173),
    [anon_sym_import] = ACTIONS(2173),
    [anon_sym_with] = ACTIONS(2173),
    [anon_sym_var] = ACTIONS(2173),
    [anon_sym_let] = ACTIONS(2173),
    [anon_sym_const] = ACTIONS(2173),
    [anon_sym_BANG] = ACTIONS(2173),
    [anon_sym_else] = ACTIONS(2173),
    [anon_sym_if] = ACTIONS(2173),
    [anon_sym_switch] = ACTIONS(2173),
    [anon_sym_for] = ACTIONS(2173),
    [anon_sym_LPAREN] = ACTIONS(2173),
    [anon_sym_await] = ACTIONS(2173),
    [anon_sym_in] = ACTIONS(2175),
    [anon_sym_while] = ACTIONS(2173),
    [anon_sym_do] = ACTIONS(2173),
    [anon_sym_try] = ACTIONS(2173),
    [anon_sym_break] = ACTIONS(2173),
    [anon_sym_continue] = ACTIONS(2173),
    [anon_sym_debugger] = ACTIONS(2173),
    [anon_sym_return] = ACTIONS(2173),
    [anon_sym_throw] = ACTIONS(2173),
    [anon_sym_SEMI] = ACTIONS(2173),
    [anon_sym_case] = ACTIONS(2173),
    [anon_sym_yield] = ACTIONS(2173),
    [anon_sym_LBRACK] = ACTIONS(2173),
    [anon_sym_LTtemplate_GT] = ACTIONS(2173),
    [anon_sym_GT] = ACTIONS(2175),
    [anon_sym_DOT] = ACTIONS(2175),
    [anon_sym_DQUOTE] = ACTIONS(2173),
    [anon_sym_SQUOTE] = ACTIONS(2173),
    [anon_sym_class] = ACTIONS(2173),
    [anon_sym_async] = ACTIONS(2173),
    [anon_sym_function] = ACTIONS(2173),
    [anon_sym_QMARK_DOT] = ACTIONS(2175),
    [anon_sym_new] = ACTIONS(2173),
    [anon_sym_using] = ACTIONS(2173),
    [anon_sym_AMP_AMP] = ACTIONS(2175),
    [anon_sym_PIPE_PIPE] = ACTIONS(2175),
    [anon_sym_GT_GT] = ACTIONS(2175),
    [anon_sym_GT_GT_GT] = ACTIONS(2175),
    [anon_sym_LT_LT] = ACTIONS(2175),
    [anon_sym_AMP] = ACTIONS(2175),
    [anon_sym_CARET] = ACTIONS(2175),
    [anon_sym_PIPE] = ACTIONS(2175),
    [anon_sym_PLUS] = ACTIONS(2173),
    [anon_sym_DASH] = ACTIONS(2173),
    [anon_sym_SLASH] = ACTIONS(2173),
    [anon_sym_PERCENT] = ACTIONS(2175),
    [anon_sym_STAR_STAR] = ACTIONS(2175),
    [anon_sym_LT] = ACTIONS(2173),
    [anon_sym_LT_EQ] = ACTIONS(2175),
    [anon_sym_EQ_EQ] = ACTIONS(2175),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2175),
    [anon_sym_BANG_EQ] = ACTIONS(2175),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2175),
    [anon_sym_GT_EQ] = ACTIONS(2175),
    [anon_sym_QMARK_QMARK] = ACTIONS(2175),
    [anon_sym_instanceof] = ACTIONS(2175),
    [anon_sym_TILDE] = ACTIONS(2173),
    [anon_sym_void] = ACTIONS(2173),
    [anon_sym_delete] = ACTIONS(2173),
    [anon_sym_PLUS_PLUS] = ACTIONS(2173),
    [anon_sym_DASH_DASH] = ACTIONS(2173),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2173),
    [sym_number] = ACTIONS(2173),
    [sym_private_property_identifier] = ACTIONS(2173),
    [sym_this] = ACTIONS(2173),
    [sym_super] = ACTIONS(2173),
    [sym_true] = ACTIONS(2173),
    [sym_false] = ACTIONS(2173),
    [sym_null] = ACTIONS(2173),
    [sym_undefined] = ACTIONS(2173),
    [anon_sym_AT] = ACTIONS(2173),
    [anon_sym_static] = ACTIONS(2173),
    [anon_sym_readonly] = ACTIONS(2173),
    [anon_sym_get] = ACTIONS(2173),
    [anon_sym_set] = ACTIONS(2173),
    [anon_sym_declare] = ACTIONS(2173),
    [anon_sym_public] = ACTIONS(2173),
    [anon_sym_private] = ACTIONS(2173),
    [anon_sym_protected] = ACTIONS(2173),
    [anon_sym_override] = ACTIONS(2173),
    [anon_sym_module] = ACTIONS(2173),
    [anon_sym_any] = ACTIONS(2173),
    [anon_sym_number] = ACTIONS(2173),
    [anon_sym_boolean] = ACTIONS(2173),
    [anon_sym_string] = ACTIONS(2173),
    [anon_sym_symbol] = ACTIONS(2173),
    [anon_sym_object] = ACTIONS(2173),
    [anon_sym_abstract] = ACTIONS(2173),
    [anon_sym_satisfies] = ACTIONS(2175),
    [anon_sym_interface] = ACTIONS(2173),
    [anon_sym_enum] = ACTIONS(2173),
    [sym__automatic_semicolon] = ACTIONS(2177),
    [sym__ternary_qmark] = ACTIONS(2179),
    [sym_html_comment] = ACTIONS(5),
  },
  [317] = {
    [sym_comment] = STATE(317),
    [sym_identifier] = ACTIONS(2181),
    [anon_sym_export] = ACTIONS(2181),
    [anon_sym_STAR] = ACTIONS(2183),
    [anon_sym_default] = ACTIONS(2181),
    [anon_sym_type] = ACTIONS(2181),
    [anon_sym_as] = ACTIONS(2183),
    [anon_sym_namespace] = ACTIONS(2181),
    [anon_sym_LBRACE] = ACTIONS(2181),
    [anon_sym_COMMA] = ACTIONS(2183),
    [anon_sym_RBRACE] = ACTIONS(2181),
    [anon_sym_typeof] = ACTIONS(2181),
    [anon_sym_import] = ACTIONS(2181),
    [anon_sym_with] = ACTIONS(2181),
    [anon_sym_var] = ACTIONS(2181),
    [anon_sym_let] = ACTIONS(2181),
    [anon_sym_const] = ACTIONS(2181),
    [anon_sym_BANG] = ACTIONS(2181),
    [anon_sym_else] = ACTIONS(2181),
    [anon_sym_if] = ACTIONS(2181),
    [anon_sym_switch] = ACTIONS(2181),
    [anon_sym_for] = ACTIONS(2181),
    [anon_sym_LPAREN] = ACTIONS(2181),
    [anon_sym_await] = ACTIONS(2181),
    [anon_sym_in] = ACTIONS(2183),
    [anon_sym_while] = ACTIONS(2181),
    [anon_sym_do] = ACTIONS(2181),
    [anon_sym_try] = ACTIONS(2181),
    [anon_sym_break] = ACTIONS(2181),
    [anon_sym_continue] = ACTIONS(2181),
    [anon_sym_debugger] = ACTIONS(2181),
    [anon_sym_return] = ACTIONS(2181),
    [anon_sym_throw] = ACTIONS(2181),
    [anon_sym_SEMI] = ACTIONS(2181),
    [anon_sym_case] = ACTIONS(2181),
    [anon_sym_yield] = ACTIONS(2181),
    [anon_sym_LBRACK] = ACTIONS(2181),
    [anon_sym_LTtemplate_GT] = ACTIONS(2181),
    [anon_sym_GT] = ACTIONS(2183),
    [anon_sym_DOT] = ACTIONS(2183),
    [anon_sym_DQUOTE] = ACTIONS(2181),
    [anon_sym_SQUOTE] = ACTIONS(2181),
    [anon_sym_class] = ACTIONS(2181),
    [anon_sym_async] = ACTIONS(2181),
    [anon_sym_function] = ACTIONS(2181),
    [anon_sym_QMARK_DOT] = ACTIONS(2183),
    [anon_sym_new] = ACTIONS(2181),
    [anon_sym_using] = ACTIONS(2181),
    [anon_sym_AMP_AMP] = ACTIONS(2183),
    [anon_sym_PIPE_PIPE] = ACTIONS(2183),
    [anon_sym_GT_GT] = ACTIONS(2183),
    [anon_sym_GT_GT_GT] = ACTIONS(2183),
    [anon_sym_LT_LT] = ACTIONS(2183),
    [anon_sym_AMP] = ACTIONS(2183),
    [anon_sym_CARET] = ACTIONS(2183),
    [anon_sym_PIPE] = ACTIONS(2183),
    [anon_sym_PLUS] = ACTIONS(2181),
    [anon_sym_DASH] = ACTIONS(2181),
    [anon_sym_SLASH] = ACTIONS(2181),
    [anon_sym_PERCENT] = ACTIONS(2183),
    [anon_sym_STAR_STAR] = ACTIONS(2183),
    [anon_sym_LT] = ACTIONS(2181),
    [anon_sym_LT_EQ] = ACTIONS(2183),
    [anon_sym_EQ_EQ] = ACTIONS(2183),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2183),
    [anon_sym_BANG_EQ] = ACTIONS(2183),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2183),
    [anon_sym_GT_EQ] = ACTIONS(2183),
    [anon_sym_QMARK_QMARK] = ACTIONS(2183),
    [anon_sym_instanceof] = ACTIONS(2183),
    [anon_sym_TILDE] = ACTIONS(2181),
    [anon_sym_void] = ACTIONS(2181),
    [anon_sym_delete] = ACTIONS(2181),
    [anon_sym_PLUS_PLUS] = ACTIONS(2181),
    [anon_sym_DASH_DASH] = ACTIONS(2181),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2181),
    [sym_number] = ACTIONS(2181),
    [sym_private_property_identifier] = ACTIONS(2181),
    [sym_this] = ACTIONS(2181),
    [sym_super] = ACTIONS(2181),
    [sym_true] = ACTIONS(2181),
    [sym_false] = ACTIONS(2181),
    [sym_null] = ACTIONS(2181),
    [sym_undefined] = ACTIONS(2181),
    [anon_sym_AT] = ACTIONS(2181),
    [anon_sym_static] = ACTIONS(2181),
    [anon_sym_readonly] = ACTIONS(2181),
    [anon_sym_get] = ACTIONS(2181),
    [anon_sym_set] = ACTIONS(2181),
    [anon_sym_declare] = ACTIONS(2181),
    [anon_sym_public] = ACTIONS(2181),
    [anon_sym_private] = ACTIONS(2181),
    [anon_sym_protected] = ACTIONS(2181),
    [anon_sym_override] = ACTIONS(2181),
    [anon_sym_module] = ACTIONS(2181),
    [anon_sym_any] = ACTIONS(2181),
    [anon_sym_number] = ACTIONS(2181),
    [anon_sym_boolean] = ACTIONS(2181),
    [anon_sym_string] = ACTIONS(2181),
    [anon_sym_symbol] = ACTIONS(2181),
    [anon_sym_object] = ACTIONS(2181),
    [anon_sym_abstract] = ACTIONS(2181),
    [anon_sym_satisfies] = ACTIONS(2183),
    [anon_sym_interface] = ACTIONS(2181),
    [anon_sym_enum] = ACTIONS(2181),
    [sym__automatic_semicolon] = ACTIONS(2185),
    [sym__ternary_qmark] = ACTIONS(2187),
    [sym_html_comment] = ACTIONS(5),
  },
  [318] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2248),
    [sym_expression] = STATE(3167),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7502),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2248),
    [sym_subscript_expression] = STATE(2248),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3928),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7561),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(318),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2248),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1774),
    [anon_sym_export] = ACTIONS(1618),
    [anon_sym_type] = ACTIONS(1618),
    [anon_sym_namespace] = ACTIONS(1620),
    [anon_sym_LBRACE] = ACTIONS(1127),
    [anon_sym_COMMA] = ACTIONS(1978),
    [anon_sym_typeof] = ACTIONS(1624),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1618),
    [anon_sym_BANG] = ACTIONS(1624),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1626),
    [anon_sym_yield] = ACTIONS(1628),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(1978),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1630),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1778),
    [anon_sym_using] = ACTIONS(1634),
    [anon_sym_AMP] = ACTIONS(1978),
    [anon_sym_PIPE] = ACTIONS(1978),
    [anon_sym_PLUS] = ACTIONS(1624),
    [anon_sym_DASH] = ACTIONS(1624),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(1624),
    [anon_sym_void] = ACTIONS(1624),
    [anon_sym_delete] = ACTIONS(1624),
    [anon_sym_PLUS_PLUS] = ACTIONS(1640),
    [anon_sym_DASH_DASH] = ACTIONS(1640),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(1642),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1780),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1618),
    [anon_sym_readonly] = ACTIONS(1618),
    [anon_sym_get] = ACTIONS(1618),
    [anon_sym_set] = ACTIONS(1618),
    [anon_sym_declare] = ACTIONS(1618),
    [anon_sym_public] = ACTIONS(1618),
    [anon_sym_private] = ACTIONS(1618),
    [anon_sym_protected] = ACTIONS(1618),
    [anon_sym_override] = ACTIONS(1618),
    [anon_sym_module] = ACTIONS(1618),
    [anon_sym_any] = ACTIONS(1618),
    [anon_sym_number] = ACTIONS(1618),
    [anon_sym_boolean] = ACTIONS(1618),
    [anon_sym_string] = ACTIONS(1618),
    [anon_sym_symbol] = ACTIONS(1618),
    [anon_sym_object] = ACTIONS(1618),
    [anon_sym_extends] = ACTIONS(1978),
    [sym_html_comment] = ACTIONS(5),
  },
  [319] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2151),
    [sym_expression] = STATE(2821),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7643),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2151),
    [sym_subscript_expression] = STATE(2151),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3918),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7259),
    [sym_spread_element] = STATE(5904),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(319),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2151),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [aux_sym_array_repeat1] = STATE(5911),
    [sym_identifier] = ACTIONS(1724),
    [anon_sym_export] = ACTIONS(1452),
    [anon_sym_type] = ACTIONS(1452),
    [anon_sym_namespace] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(1127),
    [anon_sym_COMMA] = ACTIONS(2111),
    [anon_sym_typeof] = ACTIONS(968),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1452),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_RPAREN] = ACTIONS(2189),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(1129),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1462),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1730),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2115),
    [anon_sym_PLUS] = ACTIONS(968),
    [anon_sym_DASH] = ACTIONS(968),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(968),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1732),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1452),
    [anon_sym_readonly] = ACTIONS(1452),
    [anon_sym_get] = ACTIONS(1452),
    [anon_sym_set] = ACTIONS(1452),
    [anon_sym_declare] = ACTIONS(1452),
    [anon_sym_public] = ACTIONS(1452),
    [anon_sym_private] = ACTIONS(1452),
    [anon_sym_protected] = ACTIONS(1452),
    [anon_sym_override] = ACTIONS(1452),
    [anon_sym_module] = ACTIONS(1452),
    [anon_sym_any] = ACTIONS(1452),
    [anon_sym_number] = ACTIONS(1452),
    [anon_sym_boolean] = ACTIONS(1452),
    [anon_sym_string] = ACTIONS(1452),
    [anon_sym_symbol] = ACTIONS(1452),
    [anon_sym_object] = ACTIONS(1452),
    [sym_html_comment] = ACTIONS(5),
  },
  [320] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2151),
    [sym_expression] = STATE(2779),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7643),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2151),
    [sym_subscript_expression] = STATE(2151),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3918),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7259),
    [sym_spread_element] = STATE(6143),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(320),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2151),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [aux_sym_array_repeat1] = STATE(6144),
    [sym_identifier] = ACTIONS(1724),
    [anon_sym_export] = ACTIONS(1452),
    [anon_sym_type] = ACTIONS(1452),
    [anon_sym_namespace] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(1127),
    [anon_sym_COMMA] = ACTIONS(2111),
    [anon_sym_typeof] = ACTIONS(968),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1452),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_RPAREN] = ACTIONS(2191),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(1129),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1462),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1730),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2115),
    [anon_sym_PLUS] = ACTIONS(968),
    [anon_sym_DASH] = ACTIONS(968),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(968),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1732),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1452),
    [anon_sym_readonly] = ACTIONS(1452),
    [anon_sym_get] = ACTIONS(1452),
    [anon_sym_set] = ACTIONS(1452),
    [anon_sym_declare] = ACTIONS(1452),
    [anon_sym_public] = ACTIONS(1452),
    [anon_sym_private] = ACTIONS(1452),
    [anon_sym_protected] = ACTIONS(1452),
    [anon_sym_override] = ACTIONS(1452),
    [anon_sym_module] = ACTIONS(1452),
    [anon_sym_any] = ACTIONS(1452),
    [anon_sym_number] = ACTIONS(1452),
    [anon_sym_boolean] = ACTIONS(1452),
    [anon_sym_string] = ACTIONS(1452),
    [anon_sym_symbol] = ACTIONS(1452),
    [anon_sym_object] = ACTIONS(1452),
    [sym_html_comment] = ACTIONS(5),
  },
  [321] = {
    [sym_statement_block] = STATE(412),
    [sym_comment] = STATE(321),
    [ts_builtin_sym_end] = ACTIONS(2059),
    [sym_identifier] = ACTIONS(2055),
    [anon_sym_export] = ACTIONS(2055),
    [anon_sym_STAR] = ACTIONS(2055),
    [anon_sym_type] = ACTIONS(2055),
    [anon_sym_as] = ACTIONS(2055),
    [anon_sym_namespace] = ACTIONS(2055),
    [anon_sym_LBRACE] = ACTIONS(2193),
    [anon_sym_COMMA] = ACTIONS(2055),
    [anon_sym_RBRACE] = ACTIONS(2055),
    [anon_sym_typeof] = ACTIONS(2055),
    [anon_sym_import] = ACTIONS(2055),
    [anon_sym_with] = ACTIONS(2055),
    [anon_sym_var] = ACTIONS(2055),
    [anon_sym_let] = ACTIONS(2055),
    [anon_sym_const] = ACTIONS(2055),
    [anon_sym_BANG] = ACTIONS(2055),
    [anon_sym_else] = ACTIONS(2055),
    [anon_sym_if] = ACTIONS(2055),
    [anon_sym_switch] = ACTIONS(2055),
    [anon_sym_for] = ACTIONS(2055),
    [anon_sym_LPAREN] = ACTIONS(2055),
    [anon_sym_await] = ACTIONS(2055),
    [anon_sym_in] = ACTIONS(2055),
    [anon_sym_while] = ACTIONS(2055),
    [anon_sym_do] = ACTIONS(2055),
    [anon_sym_try] = ACTIONS(2055),
    [anon_sym_break] = ACTIONS(2055),
    [anon_sym_continue] = ACTIONS(2055),
    [anon_sym_debugger] = ACTIONS(2055),
    [anon_sym_return] = ACTIONS(2055),
    [anon_sym_throw] = ACTIONS(2055),
    [anon_sym_SEMI] = ACTIONS(2055),
    [anon_sym_yield] = ACTIONS(2055),
    [anon_sym_LBRACK] = ACTIONS(2055),
    [anon_sym_LTtemplate_GT] = ACTIONS(2055),
    [anon_sym_GT] = ACTIONS(2055),
    [anon_sym_DOT] = ACTIONS(2055),
    [anon_sym_DQUOTE] = ACTIONS(2055),
    [anon_sym_SQUOTE] = ACTIONS(2055),
    [anon_sym_class] = ACTIONS(2055),
    [anon_sym_async] = ACTIONS(2055),
    [anon_sym_function] = ACTIONS(2055),
    [anon_sym_QMARK_DOT] = ACTIONS(2055),
    [anon_sym_new] = ACTIONS(2055),
    [anon_sym_using] = ACTIONS(2055),
    [anon_sym_AMP_AMP] = ACTIONS(2055),
    [anon_sym_PIPE_PIPE] = ACTIONS(2055),
    [anon_sym_GT_GT] = ACTIONS(2055),
    [anon_sym_GT_GT_GT] = ACTIONS(2055),
    [anon_sym_LT_LT] = ACTIONS(2055),
    [anon_sym_AMP] = ACTIONS(2055),
    [anon_sym_CARET] = ACTIONS(2055),
    [anon_sym_PIPE] = ACTIONS(2055),
    [anon_sym_PLUS] = ACTIONS(2055),
    [anon_sym_DASH] = ACTIONS(2055),
    [anon_sym_SLASH] = ACTIONS(2055),
    [anon_sym_PERCENT] = ACTIONS(2055),
    [anon_sym_STAR_STAR] = ACTIONS(2055),
    [anon_sym_LT] = ACTIONS(2055),
    [anon_sym_LT_EQ] = ACTIONS(2055),
    [anon_sym_EQ_EQ] = ACTIONS(2055),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2055),
    [anon_sym_BANG_EQ] = ACTIONS(2055),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2055),
    [anon_sym_GT_EQ] = ACTIONS(2055),
    [anon_sym_QMARK_QMARK] = ACTIONS(2055),
    [anon_sym_instanceof] = ACTIONS(2055),
    [anon_sym_TILDE] = ACTIONS(2055),
    [anon_sym_void] = ACTIONS(2055),
    [anon_sym_delete] = ACTIONS(2055),
    [anon_sym_PLUS_PLUS] = ACTIONS(2055),
    [anon_sym_DASH_DASH] = ACTIONS(2055),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2055),
    [sym_number] = ACTIONS(2055),
    [sym_private_property_identifier] = ACTIONS(2055),
    [sym_this] = ACTIONS(2055),
    [sym_super] = ACTIONS(2055),
    [sym_true] = ACTIONS(2055),
    [sym_false] = ACTIONS(2055),
    [sym_null] = ACTIONS(2055),
    [sym_undefined] = ACTIONS(2055),
    [anon_sym_AT] = ACTIONS(2055),
    [anon_sym_static] = ACTIONS(2055),
    [anon_sym_readonly] = ACTIONS(2055),
    [anon_sym_get] = ACTIONS(2055),
    [anon_sym_set] = ACTIONS(2055),
    [anon_sym_declare] = ACTIONS(2055),
    [anon_sym_public] = ACTIONS(2055),
    [anon_sym_private] = ACTIONS(2055),
    [anon_sym_protected] = ACTIONS(2055),
    [anon_sym_override] = ACTIONS(2055),
    [anon_sym_module] = ACTIONS(2055),
    [anon_sym_any] = ACTIONS(2055),
    [anon_sym_number] = ACTIONS(2055),
    [anon_sym_boolean] = ACTIONS(2055),
    [anon_sym_string] = ACTIONS(2055),
    [anon_sym_symbol] = ACTIONS(2055),
    [anon_sym_object] = ACTIONS(2055),
    [anon_sym_abstract] = ACTIONS(2055),
    [anon_sym_satisfies] = ACTIONS(2055),
    [anon_sym_interface] = ACTIONS(2055),
    [anon_sym_enum] = ACTIONS(2055),
    [sym__automatic_semicolon] = ACTIONS(2059),
    [sym__ternary_qmark] = ACTIONS(2059),
    [sym_html_comment] = ACTIONS(5),
  },
  [322] = {
    [sym_comment] = STATE(322),
    [sym_identifier] = ACTIONS(2195),
    [anon_sym_export] = ACTIONS(2195),
    [anon_sym_STAR] = ACTIONS(2195),
    [anon_sym_default] = ACTIONS(2195),
    [anon_sym_type] = ACTIONS(2195),
    [anon_sym_as] = ACTIONS(2195),
    [anon_sym_namespace] = ACTIONS(2195),
    [anon_sym_LBRACE] = ACTIONS(2195),
    [anon_sym_COMMA] = ACTIONS(2195),
    [anon_sym_RBRACE] = ACTIONS(2195),
    [anon_sym_typeof] = ACTIONS(2195),
    [anon_sym_import] = ACTIONS(2195),
    [anon_sym_with] = ACTIONS(2195),
    [anon_sym_var] = ACTIONS(2195),
    [anon_sym_let] = ACTIONS(2195),
    [anon_sym_const] = ACTIONS(2195),
    [anon_sym_BANG] = ACTIONS(2195),
    [anon_sym_else] = ACTIONS(2195),
    [anon_sym_if] = ACTIONS(2195),
    [anon_sym_switch] = ACTIONS(2195),
    [anon_sym_for] = ACTIONS(2195),
    [anon_sym_LPAREN] = ACTIONS(2195),
    [anon_sym_await] = ACTIONS(2195),
    [anon_sym_in] = ACTIONS(2195),
    [anon_sym_while] = ACTIONS(2195),
    [anon_sym_do] = ACTIONS(2195),
    [anon_sym_try] = ACTIONS(2195),
    [anon_sym_break] = ACTIONS(2195),
    [anon_sym_continue] = ACTIONS(2195),
    [anon_sym_debugger] = ACTIONS(2195),
    [anon_sym_return] = ACTIONS(2195),
    [anon_sym_throw] = ACTIONS(2195),
    [anon_sym_SEMI] = ACTIONS(2195),
    [anon_sym_case] = ACTIONS(2195),
    [anon_sym_yield] = ACTIONS(2195),
    [anon_sym_LBRACK] = ACTIONS(2195),
    [anon_sym_LTtemplate_GT] = ACTIONS(2195),
    [anon_sym_GT] = ACTIONS(2195),
    [anon_sym_DOT] = ACTIONS(2195),
    [anon_sym_DQUOTE] = ACTIONS(2195),
    [anon_sym_SQUOTE] = ACTIONS(2195),
    [anon_sym_class] = ACTIONS(2195),
    [anon_sym_async] = ACTIONS(2195),
    [anon_sym_function] = ACTIONS(2195),
    [anon_sym_QMARK_DOT] = ACTIONS(2195),
    [anon_sym_new] = ACTIONS(2195),
    [anon_sym_using] = ACTIONS(2195),
    [anon_sym_AMP_AMP] = ACTIONS(2195),
    [anon_sym_PIPE_PIPE] = ACTIONS(2195),
    [anon_sym_GT_GT] = ACTIONS(2195),
    [anon_sym_GT_GT_GT] = ACTIONS(2195),
    [anon_sym_LT_LT] = ACTIONS(2195),
    [anon_sym_AMP] = ACTIONS(2195),
    [anon_sym_CARET] = ACTIONS(2195),
    [anon_sym_PIPE] = ACTIONS(2195),
    [anon_sym_PLUS] = ACTIONS(2195),
    [anon_sym_DASH] = ACTIONS(2195),
    [anon_sym_SLASH] = ACTIONS(2195),
    [anon_sym_PERCENT] = ACTIONS(2195),
    [anon_sym_STAR_STAR] = ACTIONS(2195),
    [anon_sym_LT] = ACTIONS(2195),
    [anon_sym_LT_EQ] = ACTIONS(2195),
    [anon_sym_EQ_EQ] = ACTIONS(2195),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2195),
    [anon_sym_BANG_EQ] = ACTIONS(2195),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2195),
    [anon_sym_GT_EQ] = ACTIONS(2195),
    [anon_sym_QMARK_QMARK] = ACTIONS(2195),
    [anon_sym_instanceof] = ACTIONS(2195),
    [anon_sym_TILDE] = ACTIONS(2195),
    [anon_sym_void] = ACTIONS(2195),
    [anon_sym_delete] = ACTIONS(2195),
    [anon_sym_PLUS_PLUS] = ACTIONS(2195),
    [anon_sym_DASH_DASH] = ACTIONS(2195),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2195),
    [sym_number] = ACTIONS(2195),
    [sym_private_property_identifier] = ACTIONS(2195),
    [sym_this] = ACTIONS(2195),
    [sym_super] = ACTIONS(2195),
    [sym_true] = ACTIONS(2195),
    [sym_false] = ACTIONS(2195),
    [sym_null] = ACTIONS(2195),
    [sym_undefined] = ACTIONS(2195),
    [anon_sym_AT] = ACTIONS(2195),
    [anon_sym_static] = ACTIONS(2195),
    [anon_sym_readonly] = ACTIONS(2195),
    [anon_sym_get] = ACTIONS(2195),
    [anon_sym_set] = ACTIONS(2195),
    [anon_sym_declare] = ACTIONS(2195),
    [anon_sym_public] = ACTIONS(2195),
    [anon_sym_private] = ACTIONS(2195),
    [anon_sym_protected] = ACTIONS(2195),
    [anon_sym_override] = ACTIONS(2195),
    [anon_sym_module] = ACTIONS(2195),
    [anon_sym_any] = ACTIONS(2195),
    [anon_sym_number] = ACTIONS(2195),
    [anon_sym_boolean] = ACTIONS(2195),
    [anon_sym_string] = ACTIONS(2195),
    [anon_sym_symbol] = ACTIONS(2195),
    [anon_sym_object] = ACTIONS(2195),
    [anon_sym_abstract] = ACTIONS(2195),
    [anon_sym_satisfies] = ACTIONS(2195),
    [anon_sym_interface] = ACTIONS(2195),
    [anon_sym_enum] = ACTIONS(2195),
    [sym__automatic_semicolon] = ACTIONS(2197),
    [sym__ternary_qmark] = ACTIONS(2197),
    [sym_html_comment] = ACTIONS(5),
  },
  [323] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2239),
    [sym_expression] = STATE(3160),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7446),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2239),
    [sym_subscript_expression] = STATE(2239),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3938),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7450),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(323),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2239),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1782),
    [anon_sym_export] = ACTIONS(1408),
    [anon_sym_type] = ACTIONS(1408),
    [anon_sym_namespace] = ACTIONS(1410),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_COMMA] = ACTIONS(1978),
    [anon_sym_typeof] = ACTIONS(1416),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1408),
    [anon_sym_BANG] = ACTIONS(1416),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1418),
    [anon_sym_yield] = ACTIONS(1420),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(1978),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1424),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1786),
    [anon_sym_using] = ACTIONS(1428),
    [anon_sym_AMP] = ACTIONS(1978),
    [anon_sym_PIPE] = ACTIONS(1978),
    [anon_sym_PLUS] = ACTIONS(1416),
    [anon_sym_DASH] = ACTIONS(1416),
    [anon_sym_SLASH] = ACTIONS(1290),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(1416),
    [anon_sym_void] = ACTIONS(1416),
    [anon_sym_delete] = ACTIONS(1416),
    [anon_sym_PLUS_PLUS] = ACTIONS(1434),
    [anon_sym_DASH_DASH] = ACTIONS(1434),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(1440),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1788),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1408),
    [anon_sym_readonly] = ACTIONS(1408),
    [anon_sym_get] = ACTIONS(1408),
    [anon_sym_set] = ACTIONS(1408),
    [anon_sym_declare] = ACTIONS(1408),
    [anon_sym_public] = ACTIONS(1408),
    [anon_sym_private] = ACTIONS(1408),
    [anon_sym_protected] = ACTIONS(1408),
    [anon_sym_override] = ACTIONS(1408),
    [anon_sym_module] = ACTIONS(1408),
    [anon_sym_any] = ACTIONS(1408),
    [anon_sym_number] = ACTIONS(1408),
    [anon_sym_boolean] = ACTIONS(1408),
    [anon_sym_string] = ACTIONS(1408),
    [anon_sym_symbol] = ACTIONS(1408),
    [anon_sym_object] = ACTIONS(1408),
    [anon_sym_extends] = ACTIONS(1978),
    [sym_html_comment] = ACTIONS(5),
  },
  [324] = {
    [sym_import] = STATE(4369),
    [sym_parenthesized_expression] = STATE(2175),
    [sym_expression] = STATE(2565),
    [sym_primary_expression] = STATE(2990),
    [sym_yield_expression] = STATE(3139),
    [sym_object] = STATE(3113),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(3113),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(3139),
    [sym_glimmer_opening_tag] = STATE(5702),
    [sym_jsx_element] = STATE(3139),
    [sym_jsx_opening_element] = STATE(4008),
    [sym_jsx_self_closing_element] = STATE(3139),
    [sym_class] = STATE(3113),
    [sym_function_expression] = STATE(3113),
    [sym_generator_function] = STATE(3113),
    [sym_arrow_function] = STATE(3113),
    [sym__call_signature] = STATE(7205),
    [sym_call_expression] = STATE(3113),
    [sym_new_expression] = STATE(3139),
    [sym_await_expression] = STATE(3139),
    [sym_member_expression] = STATE(2175),
    [sym_subscript_expression] = STATE(2175),
    [sym_assignment_expression] = STATE(3139),
    [sym__augmented_assignment_lhs] = STATE(3844),
    [sym_augmented_assignment_expression] = STATE(3139),
    [sym__destructuring_pattern] = STATE(7209),
    [sym_ternary_expression] = STATE(3139),
    [sym_binary_expression] = STATE(3139),
    [sym_unary_expression] = STATE(3139),
    [sym_update_expression] = STATE(3139),
    [sym_string] = STATE(3113),
    [sym_comment] = STATE(324),
    [sym_template_string] = STATE(3113),
    [sym_regex] = STATE(3113),
    [sym_meta_property] = STATE(3113),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2175),
    [sym_as_expression] = STATE(3139),
    [sym_satisfies_expression] = STATE(3139),
    [sym_instantiation_expression] = STATE(3139),
    [sym_internal_module] = STATE(3139),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5555),
    [sym_identifier] = ACTIONS(1736),
    [anon_sym_export] = ACTIONS(1518),
    [anon_sym_type] = ACTIONS(1518),
    [anon_sym_namespace] = ACTIONS(1520),
    [anon_sym_LBRACE] = ACTIONS(1020),
    [anon_sym_COMMA] = ACTIONS(1978),
    [anon_sym_typeof] = ACTIONS(1526),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1518),
    [anon_sym_BANG] = ACTIONS(1526),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1528),
    [anon_sym_yield] = ACTIONS(1530),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(1978),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1029),
    [anon_sym_async] = ACTIONS(1534),
    [anon_sym_function] = ACTIONS(1033),
    [anon_sym_new] = ACTIONS(1740),
    [anon_sym_using] = ACTIONS(1538),
    [anon_sym_AMP] = ACTIONS(1978),
    [anon_sym_PIPE] = ACTIONS(1978),
    [anon_sym_PLUS] = ACTIONS(1526),
    [anon_sym_DASH] = ACTIONS(1526),
    [anon_sym_SLASH] = ACTIONS(1195),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1526),
    [anon_sym_void] = ACTIONS(1526),
    [anon_sym_delete] = ACTIONS(1526),
    [anon_sym_PLUS_PLUS] = ACTIONS(1544),
    [anon_sym_DASH_DASH] = ACTIONS(1544),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1550),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1742),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1518),
    [anon_sym_readonly] = ACTIONS(1518),
    [anon_sym_get] = ACTIONS(1518),
    [anon_sym_set] = ACTIONS(1518),
    [anon_sym_declare] = ACTIONS(1518),
    [anon_sym_public] = ACTIONS(1518),
    [anon_sym_private] = ACTIONS(1518),
    [anon_sym_protected] = ACTIONS(1518),
    [anon_sym_override] = ACTIONS(1518),
    [anon_sym_module] = ACTIONS(1518),
    [anon_sym_any] = ACTIONS(1518),
    [anon_sym_number] = ACTIONS(1518),
    [anon_sym_boolean] = ACTIONS(1518),
    [anon_sym_string] = ACTIONS(1518),
    [anon_sym_symbol] = ACTIONS(1518),
    [anon_sym_object] = ACTIONS(1518),
    [anon_sym_extends] = ACTIONS(1978),
    [sym_html_comment] = ACTIONS(5),
  },
  [325] = {
    [sym_comment] = STATE(325),
    [sym_identifier] = ACTIONS(2199),
    [anon_sym_export] = ACTIONS(2199),
    [anon_sym_STAR] = ACTIONS(2199),
    [anon_sym_default] = ACTIONS(2199),
    [anon_sym_type] = ACTIONS(2199),
    [anon_sym_as] = ACTIONS(2199),
    [anon_sym_namespace] = ACTIONS(2199),
    [anon_sym_LBRACE] = ACTIONS(2199),
    [anon_sym_COMMA] = ACTIONS(2199),
    [anon_sym_RBRACE] = ACTIONS(2199),
    [anon_sym_typeof] = ACTIONS(2199),
    [anon_sym_import] = ACTIONS(2199),
    [anon_sym_with] = ACTIONS(2199),
    [anon_sym_var] = ACTIONS(2199),
    [anon_sym_let] = ACTIONS(2199),
    [anon_sym_const] = ACTIONS(2199),
    [anon_sym_BANG] = ACTIONS(2199),
    [anon_sym_else] = ACTIONS(2199),
    [anon_sym_if] = ACTIONS(2199),
    [anon_sym_switch] = ACTIONS(2199),
    [anon_sym_for] = ACTIONS(2199),
    [anon_sym_LPAREN] = ACTIONS(2199),
    [anon_sym_await] = ACTIONS(2199),
    [anon_sym_in] = ACTIONS(2199),
    [anon_sym_while] = ACTIONS(2199),
    [anon_sym_do] = ACTIONS(2199),
    [anon_sym_try] = ACTIONS(2199),
    [anon_sym_break] = ACTIONS(2199),
    [anon_sym_continue] = ACTIONS(2199),
    [anon_sym_debugger] = ACTIONS(2199),
    [anon_sym_return] = ACTIONS(2199),
    [anon_sym_throw] = ACTIONS(2199),
    [anon_sym_SEMI] = ACTIONS(2199),
    [anon_sym_case] = ACTIONS(2199),
    [anon_sym_yield] = ACTIONS(2199),
    [anon_sym_LBRACK] = ACTIONS(2199),
    [anon_sym_LTtemplate_GT] = ACTIONS(2199),
    [anon_sym_GT] = ACTIONS(2199),
    [anon_sym_DOT] = ACTIONS(2199),
    [anon_sym_DQUOTE] = ACTIONS(2199),
    [anon_sym_SQUOTE] = ACTIONS(2199),
    [anon_sym_class] = ACTIONS(2199),
    [anon_sym_async] = ACTIONS(2199),
    [anon_sym_function] = ACTIONS(2199),
    [anon_sym_QMARK_DOT] = ACTIONS(2199),
    [anon_sym_new] = ACTIONS(2199),
    [anon_sym_using] = ACTIONS(2199),
    [anon_sym_AMP_AMP] = ACTIONS(2199),
    [anon_sym_PIPE_PIPE] = ACTIONS(2199),
    [anon_sym_GT_GT] = ACTIONS(2199),
    [anon_sym_GT_GT_GT] = ACTIONS(2199),
    [anon_sym_LT_LT] = ACTIONS(2199),
    [anon_sym_AMP] = ACTIONS(2199),
    [anon_sym_CARET] = ACTIONS(2199),
    [anon_sym_PIPE] = ACTIONS(2199),
    [anon_sym_PLUS] = ACTIONS(2199),
    [anon_sym_DASH] = ACTIONS(2199),
    [anon_sym_SLASH] = ACTIONS(2199),
    [anon_sym_PERCENT] = ACTIONS(2199),
    [anon_sym_STAR_STAR] = ACTIONS(2199),
    [anon_sym_LT] = ACTIONS(2199),
    [anon_sym_LT_EQ] = ACTIONS(2199),
    [anon_sym_EQ_EQ] = ACTIONS(2199),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2199),
    [anon_sym_BANG_EQ] = ACTIONS(2199),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2199),
    [anon_sym_GT_EQ] = ACTIONS(2199),
    [anon_sym_QMARK_QMARK] = ACTIONS(2199),
    [anon_sym_instanceof] = ACTIONS(2199),
    [anon_sym_TILDE] = ACTIONS(2199),
    [anon_sym_void] = ACTIONS(2199),
    [anon_sym_delete] = ACTIONS(2199),
    [anon_sym_PLUS_PLUS] = ACTIONS(2199),
    [anon_sym_DASH_DASH] = ACTIONS(2199),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2199),
    [sym_number] = ACTIONS(2199),
    [sym_private_property_identifier] = ACTIONS(2199),
    [sym_this] = ACTIONS(2199),
    [sym_super] = ACTIONS(2199),
    [sym_true] = ACTIONS(2199),
    [sym_false] = ACTIONS(2199),
    [sym_null] = ACTIONS(2199),
    [sym_undefined] = ACTIONS(2199),
    [anon_sym_AT] = ACTIONS(2199),
    [anon_sym_static] = ACTIONS(2199),
    [anon_sym_readonly] = ACTIONS(2199),
    [anon_sym_get] = ACTIONS(2199),
    [anon_sym_set] = ACTIONS(2199),
    [anon_sym_declare] = ACTIONS(2199),
    [anon_sym_public] = ACTIONS(2199),
    [anon_sym_private] = ACTIONS(2199),
    [anon_sym_protected] = ACTIONS(2199),
    [anon_sym_override] = ACTIONS(2199),
    [anon_sym_module] = ACTIONS(2199),
    [anon_sym_any] = ACTIONS(2199),
    [anon_sym_number] = ACTIONS(2199),
    [anon_sym_boolean] = ACTIONS(2199),
    [anon_sym_string] = ACTIONS(2199),
    [anon_sym_symbol] = ACTIONS(2199),
    [anon_sym_object] = ACTIONS(2199),
    [anon_sym_abstract] = ACTIONS(2199),
    [anon_sym_satisfies] = ACTIONS(2199),
    [anon_sym_interface] = ACTIONS(2199),
    [anon_sym_enum] = ACTIONS(2199),
    [sym__automatic_semicolon] = ACTIONS(2201),
    [sym__ternary_qmark] = ACTIONS(2201),
    [sym_html_comment] = ACTIONS(5),
  },
  [326] = {
    [sym_comment] = STATE(326),
    [sym_identifier] = ACTIONS(2203),
    [anon_sym_export] = ACTIONS(2203),
    [anon_sym_STAR] = ACTIONS(2203),
    [anon_sym_default] = ACTIONS(2203),
    [anon_sym_type] = ACTIONS(2203),
    [anon_sym_as] = ACTIONS(2203),
    [anon_sym_namespace] = ACTIONS(2203),
    [anon_sym_LBRACE] = ACTIONS(2203),
    [anon_sym_COMMA] = ACTIONS(2203),
    [anon_sym_RBRACE] = ACTIONS(2203),
    [anon_sym_typeof] = ACTIONS(2203),
    [anon_sym_import] = ACTIONS(2203),
    [anon_sym_with] = ACTIONS(2203),
    [anon_sym_var] = ACTIONS(2203),
    [anon_sym_let] = ACTIONS(2203),
    [anon_sym_const] = ACTIONS(2203),
    [anon_sym_BANG] = ACTIONS(2203),
    [anon_sym_else] = ACTIONS(2203),
    [anon_sym_if] = ACTIONS(2203),
    [anon_sym_switch] = ACTIONS(2203),
    [anon_sym_for] = ACTIONS(2203),
    [anon_sym_LPAREN] = ACTIONS(2203),
    [anon_sym_await] = ACTIONS(2203),
    [anon_sym_in] = ACTIONS(2203),
    [anon_sym_while] = ACTIONS(2203),
    [anon_sym_do] = ACTIONS(2203),
    [anon_sym_try] = ACTIONS(2203),
    [anon_sym_break] = ACTIONS(2203),
    [anon_sym_continue] = ACTIONS(2203),
    [anon_sym_debugger] = ACTIONS(2203),
    [anon_sym_return] = ACTIONS(2203),
    [anon_sym_throw] = ACTIONS(2203),
    [anon_sym_SEMI] = ACTIONS(2203),
    [anon_sym_case] = ACTIONS(2203),
    [anon_sym_yield] = ACTIONS(2203),
    [anon_sym_LBRACK] = ACTIONS(2203),
    [anon_sym_LTtemplate_GT] = ACTIONS(2203),
    [anon_sym_GT] = ACTIONS(2203),
    [anon_sym_DOT] = ACTIONS(2203),
    [anon_sym_DQUOTE] = ACTIONS(2203),
    [anon_sym_SQUOTE] = ACTIONS(2203),
    [anon_sym_class] = ACTIONS(2203),
    [anon_sym_async] = ACTIONS(2203),
    [anon_sym_function] = ACTIONS(2203),
    [anon_sym_QMARK_DOT] = ACTIONS(2203),
    [anon_sym_new] = ACTIONS(2203),
    [anon_sym_using] = ACTIONS(2203),
    [anon_sym_AMP_AMP] = ACTIONS(2203),
    [anon_sym_PIPE_PIPE] = ACTIONS(2203),
    [anon_sym_GT_GT] = ACTIONS(2203),
    [anon_sym_GT_GT_GT] = ACTIONS(2203),
    [anon_sym_LT_LT] = ACTIONS(2203),
    [anon_sym_AMP] = ACTIONS(2203),
    [anon_sym_CARET] = ACTIONS(2203),
    [anon_sym_PIPE] = ACTIONS(2203),
    [anon_sym_PLUS] = ACTIONS(2203),
    [anon_sym_DASH] = ACTIONS(2203),
    [anon_sym_SLASH] = ACTIONS(2203),
    [anon_sym_PERCENT] = ACTIONS(2203),
    [anon_sym_STAR_STAR] = ACTIONS(2203),
    [anon_sym_LT] = ACTIONS(2203),
    [anon_sym_LT_EQ] = ACTIONS(2203),
    [anon_sym_EQ_EQ] = ACTIONS(2203),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2203),
    [anon_sym_BANG_EQ] = ACTIONS(2203),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2203),
    [anon_sym_GT_EQ] = ACTIONS(2203),
    [anon_sym_QMARK_QMARK] = ACTIONS(2203),
    [anon_sym_instanceof] = ACTIONS(2203),
    [anon_sym_TILDE] = ACTIONS(2203),
    [anon_sym_void] = ACTIONS(2203),
    [anon_sym_delete] = ACTIONS(2203),
    [anon_sym_PLUS_PLUS] = ACTIONS(2203),
    [anon_sym_DASH_DASH] = ACTIONS(2203),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2203),
    [sym_number] = ACTIONS(2203),
    [sym_private_property_identifier] = ACTIONS(2203),
    [sym_this] = ACTIONS(2203),
    [sym_super] = ACTIONS(2203),
    [sym_true] = ACTIONS(2203),
    [sym_false] = ACTIONS(2203),
    [sym_null] = ACTIONS(2203),
    [sym_undefined] = ACTIONS(2203),
    [anon_sym_AT] = ACTIONS(2203),
    [anon_sym_static] = ACTIONS(2203),
    [anon_sym_readonly] = ACTIONS(2203),
    [anon_sym_get] = ACTIONS(2203),
    [anon_sym_set] = ACTIONS(2203),
    [anon_sym_declare] = ACTIONS(2203),
    [anon_sym_public] = ACTIONS(2203),
    [anon_sym_private] = ACTIONS(2203),
    [anon_sym_protected] = ACTIONS(2203),
    [anon_sym_override] = ACTIONS(2203),
    [anon_sym_module] = ACTIONS(2203),
    [anon_sym_any] = ACTIONS(2203),
    [anon_sym_number] = ACTIONS(2203),
    [anon_sym_boolean] = ACTIONS(2203),
    [anon_sym_string] = ACTIONS(2203),
    [anon_sym_symbol] = ACTIONS(2203),
    [anon_sym_object] = ACTIONS(2203),
    [anon_sym_abstract] = ACTIONS(2203),
    [anon_sym_satisfies] = ACTIONS(2203),
    [anon_sym_interface] = ACTIONS(2203),
    [anon_sym_enum] = ACTIONS(2203),
    [sym__automatic_semicolon] = ACTIONS(2205),
    [sym__ternary_qmark] = ACTIONS(2205),
    [sym_html_comment] = ACTIONS(5),
  },
  [327] = {
    [sym_comment] = STATE(327),
    [sym_identifier] = ACTIONS(2093),
    [anon_sym_export] = ACTIONS(2093),
    [anon_sym_STAR] = ACTIONS(2093),
    [anon_sym_default] = ACTIONS(2093),
    [anon_sym_type] = ACTIONS(2093),
    [anon_sym_as] = ACTIONS(2093),
    [anon_sym_namespace] = ACTIONS(2093),
    [anon_sym_LBRACE] = ACTIONS(2093),
    [anon_sym_COMMA] = ACTIONS(2093),
    [anon_sym_RBRACE] = ACTIONS(2093),
    [anon_sym_typeof] = ACTIONS(2093),
    [anon_sym_import] = ACTIONS(2093),
    [anon_sym_with] = ACTIONS(2093),
    [anon_sym_var] = ACTIONS(2093),
    [anon_sym_let] = ACTIONS(2093),
    [anon_sym_const] = ACTIONS(2093),
    [anon_sym_BANG] = ACTIONS(2093),
    [anon_sym_else] = ACTIONS(2093),
    [anon_sym_if] = ACTIONS(2093),
    [anon_sym_switch] = ACTIONS(2093),
    [anon_sym_for] = ACTIONS(2093),
    [anon_sym_LPAREN] = ACTIONS(2093),
    [anon_sym_await] = ACTIONS(2093),
    [anon_sym_in] = ACTIONS(2093),
    [anon_sym_while] = ACTIONS(2093),
    [anon_sym_do] = ACTIONS(2093),
    [anon_sym_try] = ACTIONS(2093),
    [anon_sym_break] = ACTIONS(2093),
    [anon_sym_continue] = ACTIONS(2093),
    [anon_sym_debugger] = ACTIONS(2093),
    [anon_sym_return] = ACTIONS(2093),
    [anon_sym_throw] = ACTIONS(2093),
    [anon_sym_SEMI] = ACTIONS(2093),
    [anon_sym_case] = ACTIONS(2093),
    [anon_sym_yield] = ACTIONS(2093),
    [anon_sym_LBRACK] = ACTIONS(2093),
    [anon_sym_LTtemplate_GT] = ACTIONS(2093),
    [anon_sym_GT] = ACTIONS(2093),
    [anon_sym_DOT] = ACTIONS(2093),
    [anon_sym_DQUOTE] = ACTIONS(2093),
    [anon_sym_SQUOTE] = ACTIONS(2093),
    [anon_sym_class] = ACTIONS(2093),
    [anon_sym_async] = ACTIONS(2093),
    [anon_sym_function] = ACTIONS(2093),
    [anon_sym_QMARK_DOT] = ACTIONS(2093),
    [anon_sym_new] = ACTIONS(2093),
    [anon_sym_using] = ACTIONS(2093),
    [anon_sym_AMP_AMP] = ACTIONS(2093),
    [anon_sym_PIPE_PIPE] = ACTIONS(2093),
    [anon_sym_GT_GT] = ACTIONS(2093),
    [anon_sym_GT_GT_GT] = ACTIONS(2093),
    [anon_sym_LT_LT] = ACTIONS(2093),
    [anon_sym_AMP] = ACTIONS(2093),
    [anon_sym_CARET] = ACTIONS(2093),
    [anon_sym_PIPE] = ACTIONS(2093),
    [anon_sym_PLUS] = ACTIONS(2093),
    [anon_sym_DASH] = ACTIONS(2093),
    [anon_sym_SLASH] = ACTIONS(2093),
    [anon_sym_PERCENT] = ACTIONS(2093),
    [anon_sym_STAR_STAR] = ACTIONS(2093),
    [anon_sym_LT] = ACTIONS(2093),
    [anon_sym_LT_EQ] = ACTIONS(2093),
    [anon_sym_EQ_EQ] = ACTIONS(2093),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2093),
    [anon_sym_BANG_EQ] = ACTIONS(2093),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2093),
    [anon_sym_GT_EQ] = ACTIONS(2093),
    [anon_sym_QMARK_QMARK] = ACTIONS(2093),
    [anon_sym_instanceof] = ACTIONS(2093),
    [anon_sym_TILDE] = ACTIONS(2093),
    [anon_sym_void] = ACTIONS(2093),
    [anon_sym_delete] = ACTIONS(2093),
    [anon_sym_PLUS_PLUS] = ACTIONS(2093),
    [anon_sym_DASH_DASH] = ACTIONS(2093),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2093),
    [sym_number] = ACTIONS(2093),
    [sym_private_property_identifier] = ACTIONS(2093),
    [sym_this] = ACTIONS(2093),
    [sym_super] = ACTIONS(2093),
    [sym_true] = ACTIONS(2093),
    [sym_false] = ACTIONS(2093),
    [sym_null] = ACTIONS(2093),
    [sym_undefined] = ACTIONS(2093),
    [anon_sym_AT] = ACTIONS(2093),
    [anon_sym_static] = ACTIONS(2093),
    [anon_sym_readonly] = ACTIONS(2093),
    [anon_sym_get] = ACTIONS(2093),
    [anon_sym_set] = ACTIONS(2093),
    [anon_sym_declare] = ACTIONS(2093),
    [anon_sym_public] = ACTIONS(2093),
    [anon_sym_private] = ACTIONS(2093),
    [anon_sym_protected] = ACTIONS(2093),
    [anon_sym_override] = ACTIONS(2093),
    [anon_sym_module] = ACTIONS(2093),
    [anon_sym_any] = ACTIONS(2093),
    [anon_sym_number] = ACTIONS(2093),
    [anon_sym_boolean] = ACTIONS(2093),
    [anon_sym_string] = ACTIONS(2093),
    [anon_sym_symbol] = ACTIONS(2093),
    [anon_sym_object] = ACTIONS(2093),
    [anon_sym_abstract] = ACTIONS(2093),
    [anon_sym_satisfies] = ACTIONS(2093),
    [anon_sym_interface] = ACTIONS(2093),
    [anon_sym_enum] = ACTIONS(2093),
    [sym__automatic_semicolon] = ACTIONS(2207),
    [sym__ternary_qmark] = ACTIONS(2095),
    [sym_html_comment] = ACTIONS(5),
  },
  [328] = {
    [sym_import] = STATE(4369),
    [sym_parenthesized_expression] = STATE(2221),
    [sym_expression] = STATE(3060),
    [sym_primary_expression] = STATE(2990),
    [sym_yield_expression] = STATE(3139),
    [sym_object] = STATE(3113),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(3113),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(3139),
    [sym_glimmer_opening_tag] = STATE(5702),
    [sym_jsx_element] = STATE(3139),
    [sym_jsx_opening_element] = STATE(4008),
    [sym_jsx_self_closing_element] = STATE(3139),
    [sym_class] = STATE(3113),
    [sym_function_expression] = STATE(3113),
    [sym_generator_function] = STATE(3113),
    [sym_arrow_function] = STATE(3113),
    [sym__call_signature] = STATE(7374),
    [sym_call_expression] = STATE(3113),
    [sym_new_expression] = STATE(3139),
    [sym_await_expression] = STATE(3139),
    [sym_member_expression] = STATE(2221),
    [sym_subscript_expression] = STATE(2221),
    [sym_assignment_expression] = STATE(3139),
    [sym__augmented_assignment_lhs] = STATE(3860),
    [sym_augmented_assignment_expression] = STATE(3139),
    [sym__destructuring_pattern] = STATE(7376),
    [sym_ternary_expression] = STATE(3139),
    [sym_binary_expression] = STATE(3139),
    [sym_unary_expression] = STATE(3139),
    [sym_update_expression] = STATE(3139),
    [sym_string] = STATE(3113),
    [sym_comment] = STATE(328),
    [sym_template_string] = STATE(3113),
    [sym_regex] = STATE(3113),
    [sym_meta_property] = STATE(3113),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2221),
    [sym_as_expression] = STATE(3139),
    [sym_satisfies_expression] = STATE(3139),
    [sym_instantiation_expression] = STATE(3139),
    [sym_internal_module] = STATE(3139),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5555),
    [sym_identifier] = ACTIONS(1758),
    [anon_sym_export] = ACTIONS(1362),
    [anon_sym_type] = ACTIONS(1362),
    [anon_sym_namespace] = ACTIONS(1364),
    [anon_sym_LBRACE] = ACTIONS(1020),
    [anon_sym_COMMA] = ACTIONS(1978),
    [anon_sym_typeof] = ACTIONS(1370),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1362),
    [anon_sym_BANG] = ACTIONS(1370),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1374),
    [anon_sym_yield] = ACTIONS(1376),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(1978),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1029),
    [anon_sym_async] = ACTIONS(1380),
    [anon_sym_function] = ACTIONS(1033),
    [anon_sym_new] = ACTIONS(1762),
    [anon_sym_using] = ACTIONS(1384),
    [anon_sym_AMP] = ACTIONS(1978),
    [anon_sym_PIPE] = ACTIONS(1978),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1370),
    [anon_sym_void] = ACTIONS(1370),
    [anon_sym_delete] = ACTIONS(1370),
    [anon_sym_PLUS_PLUS] = ACTIONS(1390),
    [anon_sym_DASH_DASH] = ACTIONS(1390),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1396),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1764),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1362),
    [anon_sym_readonly] = ACTIONS(1362),
    [anon_sym_get] = ACTIONS(1362),
    [anon_sym_set] = ACTIONS(1362),
    [anon_sym_declare] = ACTIONS(1362),
    [anon_sym_public] = ACTIONS(1362),
    [anon_sym_private] = ACTIONS(1362),
    [anon_sym_protected] = ACTIONS(1362),
    [anon_sym_override] = ACTIONS(1362),
    [anon_sym_module] = ACTIONS(1362),
    [anon_sym_any] = ACTIONS(1362),
    [anon_sym_number] = ACTIONS(1362),
    [anon_sym_boolean] = ACTIONS(1362),
    [anon_sym_string] = ACTIONS(1362),
    [anon_sym_symbol] = ACTIONS(1362),
    [anon_sym_object] = ACTIONS(1362),
    [anon_sym_extends] = ACTIONS(1978),
    [sym_html_comment] = ACTIONS(5),
  },
  [329] = {
    [sym_statement_block] = STATE(412),
    [sym_comment] = STATE(329),
    [ts_builtin_sym_end] = ACTIONS(2059),
    [sym_identifier] = ACTIONS(2055),
    [anon_sym_export] = ACTIONS(2055),
    [anon_sym_STAR] = ACTIONS(2055),
    [anon_sym_type] = ACTIONS(2055),
    [anon_sym_as] = ACTIONS(2055),
    [anon_sym_namespace] = ACTIONS(2055),
    [anon_sym_LBRACE] = ACTIONS(2193),
    [anon_sym_COMMA] = ACTIONS(2055),
    [anon_sym_RBRACE] = ACTIONS(2055),
    [anon_sym_typeof] = ACTIONS(2055),
    [anon_sym_import] = ACTIONS(2055),
    [anon_sym_with] = ACTIONS(2055),
    [anon_sym_var] = ACTIONS(2055),
    [anon_sym_let] = ACTIONS(2055),
    [anon_sym_const] = ACTIONS(2055),
    [anon_sym_BANG] = ACTIONS(2055),
    [anon_sym_else] = ACTIONS(2055),
    [anon_sym_if] = ACTIONS(2055),
    [anon_sym_switch] = ACTIONS(2055),
    [anon_sym_for] = ACTIONS(2055),
    [anon_sym_LPAREN] = ACTIONS(2055),
    [anon_sym_await] = ACTIONS(2055),
    [anon_sym_in] = ACTIONS(2055),
    [anon_sym_while] = ACTIONS(2055),
    [anon_sym_do] = ACTIONS(2055),
    [anon_sym_try] = ACTIONS(2055),
    [anon_sym_break] = ACTIONS(2055),
    [anon_sym_continue] = ACTIONS(2055),
    [anon_sym_debugger] = ACTIONS(2055),
    [anon_sym_return] = ACTIONS(2055),
    [anon_sym_throw] = ACTIONS(2055),
    [anon_sym_SEMI] = ACTIONS(2055),
    [anon_sym_yield] = ACTIONS(2055),
    [anon_sym_LBRACK] = ACTIONS(2055),
    [anon_sym_LTtemplate_GT] = ACTIONS(2055),
    [anon_sym_GT] = ACTIONS(2055),
    [anon_sym_DOT] = ACTIONS(2209),
    [anon_sym_DQUOTE] = ACTIONS(2055),
    [anon_sym_SQUOTE] = ACTIONS(2055),
    [anon_sym_class] = ACTIONS(2055),
    [anon_sym_async] = ACTIONS(2055),
    [anon_sym_function] = ACTIONS(2055),
    [anon_sym_QMARK_DOT] = ACTIONS(2055),
    [anon_sym_new] = ACTIONS(2055),
    [anon_sym_using] = ACTIONS(2055),
    [anon_sym_AMP_AMP] = ACTIONS(2055),
    [anon_sym_PIPE_PIPE] = ACTIONS(2055),
    [anon_sym_GT_GT] = ACTIONS(2055),
    [anon_sym_GT_GT_GT] = ACTIONS(2055),
    [anon_sym_LT_LT] = ACTIONS(2055),
    [anon_sym_AMP] = ACTIONS(2055),
    [anon_sym_CARET] = ACTIONS(2055),
    [anon_sym_PIPE] = ACTIONS(2055),
    [anon_sym_PLUS] = ACTIONS(2055),
    [anon_sym_DASH] = ACTIONS(2055),
    [anon_sym_SLASH] = ACTIONS(2055),
    [anon_sym_PERCENT] = ACTIONS(2055),
    [anon_sym_STAR_STAR] = ACTIONS(2055),
    [anon_sym_LT] = ACTIONS(2055),
    [anon_sym_LT_EQ] = ACTIONS(2055),
    [anon_sym_EQ_EQ] = ACTIONS(2055),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2055),
    [anon_sym_BANG_EQ] = ACTIONS(2055),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2055),
    [anon_sym_GT_EQ] = ACTIONS(2055),
    [anon_sym_QMARK_QMARK] = ACTIONS(2055),
    [anon_sym_instanceof] = ACTIONS(2055),
    [anon_sym_TILDE] = ACTIONS(2055),
    [anon_sym_void] = ACTIONS(2055),
    [anon_sym_delete] = ACTIONS(2055),
    [anon_sym_PLUS_PLUS] = ACTIONS(2055),
    [anon_sym_DASH_DASH] = ACTIONS(2055),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2055),
    [sym_number] = ACTIONS(2055),
    [sym_private_property_identifier] = ACTIONS(2055),
    [sym_this] = ACTIONS(2055),
    [sym_super] = ACTIONS(2055),
    [sym_true] = ACTIONS(2055),
    [sym_false] = ACTIONS(2055),
    [sym_null] = ACTIONS(2055),
    [sym_undefined] = ACTIONS(2055),
    [anon_sym_AT] = ACTIONS(2055),
    [anon_sym_static] = ACTIONS(2055),
    [anon_sym_readonly] = ACTIONS(2055),
    [anon_sym_get] = ACTIONS(2055),
    [anon_sym_set] = ACTIONS(2055),
    [anon_sym_declare] = ACTIONS(2055),
    [anon_sym_public] = ACTIONS(2055),
    [anon_sym_private] = ACTIONS(2055),
    [anon_sym_protected] = ACTIONS(2055),
    [anon_sym_override] = ACTIONS(2055),
    [anon_sym_module] = ACTIONS(2055),
    [anon_sym_any] = ACTIONS(2055),
    [anon_sym_number] = ACTIONS(2055),
    [anon_sym_boolean] = ACTIONS(2055),
    [anon_sym_string] = ACTIONS(2055),
    [anon_sym_symbol] = ACTIONS(2055),
    [anon_sym_object] = ACTIONS(2055),
    [anon_sym_abstract] = ACTIONS(2055),
    [anon_sym_satisfies] = ACTIONS(2055),
    [anon_sym_interface] = ACTIONS(2055),
    [anon_sym_enum] = ACTIONS(2055),
    [sym__automatic_semicolon] = ACTIONS(2059),
    [sym__ternary_qmark] = ACTIONS(2059),
    [sym_html_comment] = ACTIONS(5),
  },
  [330] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2151),
    [sym_expression] = STATE(2772),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7643),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2151),
    [sym_subscript_expression] = STATE(2151),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3918),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7259),
    [sym_spread_element] = STATE(6261),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(330),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2151),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [aux_sym_array_repeat1] = STATE(6219),
    [sym_identifier] = ACTIONS(1724),
    [anon_sym_export] = ACTIONS(1452),
    [anon_sym_type] = ACTIONS(1452),
    [anon_sym_namespace] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(1127),
    [anon_sym_COMMA] = ACTIONS(2111),
    [anon_sym_typeof] = ACTIONS(968),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1452),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_RPAREN] = ACTIONS(2211),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(1129),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1462),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1730),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2115),
    [anon_sym_PLUS] = ACTIONS(968),
    [anon_sym_DASH] = ACTIONS(968),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(968),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1732),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1452),
    [anon_sym_readonly] = ACTIONS(1452),
    [anon_sym_get] = ACTIONS(1452),
    [anon_sym_set] = ACTIONS(1452),
    [anon_sym_declare] = ACTIONS(1452),
    [anon_sym_public] = ACTIONS(1452),
    [anon_sym_private] = ACTIONS(1452),
    [anon_sym_protected] = ACTIONS(1452),
    [anon_sym_override] = ACTIONS(1452),
    [anon_sym_module] = ACTIONS(1452),
    [anon_sym_any] = ACTIONS(1452),
    [anon_sym_number] = ACTIONS(1452),
    [anon_sym_boolean] = ACTIONS(1452),
    [anon_sym_string] = ACTIONS(1452),
    [anon_sym_symbol] = ACTIONS(1452),
    [anon_sym_object] = ACTIONS(1452),
    [sym_html_comment] = ACTIONS(5),
  },
  [331] = {
    [sym_comment] = STATE(331),
    [sym_identifier] = ACTIONS(2213),
    [anon_sym_export] = ACTIONS(2213),
    [anon_sym_STAR] = ACTIONS(2215),
    [anon_sym_default] = ACTIONS(2213),
    [anon_sym_type] = ACTIONS(2213),
    [anon_sym_as] = ACTIONS(2215),
    [anon_sym_namespace] = ACTIONS(2213),
    [anon_sym_LBRACE] = ACTIONS(2213),
    [anon_sym_COMMA] = ACTIONS(2215),
    [anon_sym_RBRACE] = ACTIONS(2213),
    [anon_sym_typeof] = ACTIONS(2213),
    [anon_sym_import] = ACTIONS(2213),
    [anon_sym_with] = ACTIONS(2213),
    [anon_sym_var] = ACTIONS(2213),
    [anon_sym_let] = ACTIONS(2213),
    [anon_sym_const] = ACTIONS(2213),
    [anon_sym_BANG] = ACTIONS(2213),
    [anon_sym_else] = ACTIONS(2213),
    [anon_sym_if] = ACTIONS(2213),
    [anon_sym_switch] = ACTIONS(2213),
    [anon_sym_for] = ACTIONS(2213),
    [anon_sym_LPAREN] = ACTIONS(2213),
    [anon_sym_await] = ACTIONS(2213),
    [anon_sym_in] = ACTIONS(2215),
    [anon_sym_while] = ACTIONS(2213),
    [anon_sym_do] = ACTIONS(2213),
    [anon_sym_try] = ACTIONS(2213),
    [anon_sym_break] = ACTIONS(2213),
    [anon_sym_continue] = ACTIONS(2213),
    [anon_sym_debugger] = ACTIONS(2213),
    [anon_sym_return] = ACTIONS(2213),
    [anon_sym_throw] = ACTIONS(2213),
    [anon_sym_SEMI] = ACTIONS(2213),
    [anon_sym_case] = ACTIONS(2213),
    [anon_sym_yield] = ACTIONS(2213),
    [anon_sym_LBRACK] = ACTIONS(2213),
    [anon_sym_LTtemplate_GT] = ACTIONS(2213),
    [anon_sym_GT] = ACTIONS(2215),
    [anon_sym_DOT] = ACTIONS(2215),
    [anon_sym_DQUOTE] = ACTIONS(2213),
    [anon_sym_SQUOTE] = ACTIONS(2213),
    [anon_sym_class] = ACTIONS(2213),
    [anon_sym_async] = ACTIONS(2213),
    [anon_sym_function] = ACTIONS(2213),
    [anon_sym_QMARK_DOT] = ACTIONS(2215),
    [anon_sym_new] = ACTIONS(2213),
    [anon_sym_using] = ACTIONS(2213),
    [anon_sym_AMP_AMP] = ACTIONS(2215),
    [anon_sym_PIPE_PIPE] = ACTIONS(2215),
    [anon_sym_GT_GT] = ACTIONS(2215),
    [anon_sym_GT_GT_GT] = ACTIONS(2215),
    [anon_sym_LT_LT] = ACTIONS(2215),
    [anon_sym_AMP] = ACTIONS(2215),
    [anon_sym_CARET] = ACTIONS(2215),
    [anon_sym_PIPE] = ACTIONS(2215),
    [anon_sym_PLUS] = ACTIONS(2213),
    [anon_sym_DASH] = ACTIONS(2213),
    [anon_sym_SLASH] = ACTIONS(2213),
    [anon_sym_PERCENT] = ACTIONS(2215),
    [anon_sym_STAR_STAR] = ACTIONS(2215),
    [anon_sym_LT] = ACTIONS(2213),
    [anon_sym_LT_EQ] = ACTIONS(2215),
    [anon_sym_EQ_EQ] = ACTIONS(2215),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2215),
    [anon_sym_BANG_EQ] = ACTIONS(2215),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2215),
    [anon_sym_GT_EQ] = ACTIONS(2215),
    [anon_sym_QMARK_QMARK] = ACTIONS(2215),
    [anon_sym_instanceof] = ACTIONS(2215),
    [anon_sym_TILDE] = ACTIONS(2213),
    [anon_sym_void] = ACTIONS(2213),
    [anon_sym_delete] = ACTIONS(2213),
    [anon_sym_PLUS_PLUS] = ACTIONS(2213),
    [anon_sym_DASH_DASH] = ACTIONS(2213),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2213),
    [sym_number] = ACTIONS(2213),
    [sym_private_property_identifier] = ACTIONS(2213),
    [sym_this] = ACTIONS(2213),
    [sym_super] = ACTIONS(2213),
    [sym_true] = ACTIONS(2213),
    [sym_false] = ACTIONS(2213),
    [sym_null] = ACTIONS(2213),
    [sym_undefined] = ACTIONS(2213),
    [anon_sym_AT] = ACTIONS(2213),
    [anon_sym_static] = ACTIONS(2213),
    [anon_sym_readonly] = ACTIONS(2213),
    [anon_sym_get] = ACTIONS(2213),
    [anon_sym_set] = ACTIONS(2213),
    [anon_sym_declare] = ACTIONS(2213),
    [anon_sym_public] = ACTIONS(2213),
    [anon_sym_private] = ACTIONS(2213),
    [anon_sym_protected] = ACTIONS(2213),
    [anon_sym_override] = ACTIONS(2213),
    [anon_sym_module] = ACTIONS(2213),
    [anon_sym_any] = ACTIONS(2213),
    [anon_sym_number] = ACTIONS(2213),
    [anon_sym_boolean] = ACTIONS(2213),
    [anon_sym_string] = ACTIONS(2213),
    [anon_sym_symbol] = ACTIONS(2213),
    [anon_sym_object] = ACTIONS(2213),
    [anon_sym_abstract] = ACTIONS(2213),
    [anon_sym_satisfies] = ACTIONS(2215),
    [anon_sym_interface] = ACTIONS(2213),
    [anon_sym_enum] = ACTIONS(2213),
    [sym__automatic_semicolon] = ACTIONS(2217),
    [sym__ternary_qmark] = ACTIONS(2219),
    [sym_html_comment] = ACTIONS(5),
  },
  [332] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2229),
    [sym_expression] = STATE(2920),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7175),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2229),
    [sym_subscript_expression] = STATE(2229),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3935),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7438),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(332),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2229),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1766),
    [anon_sym_export] = ACTIONS(1482),
    [anon_sym_type] = ACTIONS(1482),
    [anon_sym_namespace] = ACTIONS(1484),
    [anon_sym_LBRACE] = ACTIONS(1127),
    [anon_sym_COMMA] = ACTIONS(1978),
    [anon_sym_typeof] = ACTIONS(1490),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1482),
    [anon_sym_BANG] = ACTIONS(1490),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1492),
    [anon_sym_yield] = ACTIONS(1494),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(1978),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1496),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1770),
    [anon_sym_using] = ACTIONS(1500),
    [anon_sym_AMP] = ACTIONS(1978),
    [anon_sym_PIPE] = ACTIONS(1978),
    [anon_sym_PLUS] = ACTIONS(1490),
    [anon_sym_DASH] = ACTIONS(1490),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(1490),
    [anon_sym_void] = ACTIONS(1490),
    [anon_sym_delete] = ACTIONS(1490),
    [anon_sym_PLUS_PLUS] = ACTIONS(1506),
    [anon_sym_DASH_DASH] = ACTIONS(1506),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(1508),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1772),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1482),
    [anon_sym_readonly] = ACTIONS(1482),
    [anon_sym_get] = ACTIONS(1482),
    [anon_sym_set] = ACTIONS(1482),
    [anon_sym_declare] = ACTIONS(1482),
    [anon_sym_public] = ACTIONS(1482),
    [anon_sym_private] = ACTIONS(1482),
    [anon_sym_protected] = ACTIONS(1482),
    [anon_sym_override] = ACTIONS(1482),
    [anon_sym_module] = ACTIONS(1482),
    [anon_sym_any] = ACTIONS(1482),
    [anon_sym_number] = ACTIONS(1482),
    [anon_sym_boolean] = ACTIONS(1482),
    [anon_sym_string] = ACTIONS(1482),
    [anon_sym_symbol] = ACTIONS(1482),
    [anon_sym_object] = ACTIONS(1482),
    [anon_sym_extends] = ACTIONS(1978),
    [sym_html_comment] = ACTIONS(5),
  },
  [333] = {
    [sym_comment] = STATE(333),
    [sym_identifier] = ACTIONS(2221),
    [anon_sym_export] = ACTIONS(2221),
    [anon_sym_STAR] = ACTIONS(2221),
    [anon_sym_default] = ACTIONS(2221),
    [anon_sym_type] = ACTIONS(2221),
    [anon_sym_as] = ACTIONS(2221),
    [anon_sym_namespace] = ACTIONS(2221),
    [anon_sym_LBRACE] = ACTIONS(2221),
    [anon_sym_COMMA] = ACTIONS(2221),
    [anon_sym_RBRACE] = ACTIONS(2221),
    [anon_sym_typeof] = ACTIONS(2221),
    [anon_sym_import] = ACTIONS(2221),
    [anon_sym_with] = ACTIONS(2221),
    [anon_sym_var] = ACTIONS(2221),
    [anon_sym_let] = ACTIONS(2221),
    [anon_sym_const] = ACTIONS(2221),
    [anon_sym_BANG] = ACTIONS(2221),
    [anon_sym_else] = ACTIONS(2221),
    [anon_sym_if] = ACTIONS(2221),
    [anon_sym_switch] = ACTIONS(2221),
    [anon_sym_for] = ACTIONS(2221),
    [anon_sym_LPAREN] = ACTIONS(2221),
    [anon_sym_await] = ACTIONS(2221),
    [anon_sym_in] = ACTIONS(2221),
    [anon_sym_while] = ACTIONS(2221),
    [anon_sym_do] = ACTIONS(2221),
    [anon_sym_try] = ACTIONS(2221),
    [anon_sym_break] = ACTIONS(2221),
    [anon_sym_continue] = ACTIONS(2221),
    [anon_sym_debugger] = ACTIONS(2221),
    [anon_sym_return] = ACTIONS(2221),
    [anon_sym_throw] = ACTIONS(2221),
    [anon_sym_SEMI] = ACTIONS(2221),
    [anon_sym_case] = ACTIONS(2221),
    [anon_sym_yield] = ACTIONS(2221),
    [anon_sym_LBRACK] = ACTIONS(2221),
    [anon_sym_LTtemplate_GT] = ACTIONS(2221),
    [anon_sym_GT] = ACTIONS(2221),
    [anon_sym_DOT] = ACTIONS(2221),
    [anon_sym_DQUOTE] = ACTIONS(2221),
    [anon_sym_SQUOTE] = ACTIONS(2221),
    [anon_sym_class] = ACTIONS(2221),
    [anon_sym_async] = ACTIONS(2221),
    [anon_sym_function] = ACTIONS(2221),
    [anon_sym_QMARK_DOT] = ACTIONS(2221),
    [anon_sym_new] = ACTIONS(2221),
    [anon_sym_using] = ACTIONS(2221),
    [anon_sym_AMP_AMP] = ACTIONS(2221),
    [anon_sym_PIPE_PIPE] = ACTIONS(2221),
    [anon_sym_GT_GT] = ACTIONS(2221),
    [anon_sym_GT_GT_GT] = ACTIONS(2221),
    [anon_sym_LT_LT] = ACTIONS(2221),
    [anon_sym_AMP] = ACTIONS(2221),
    [anon_sym_CARET] = ACTIONS(2221),
    [anon_sym_PIPE] = ACTIONS(2221),
    [anon_sym_PLUS] = ACTIONS(2221),
    [anon_sym_DASH] = ACTIONS(2221),
    [anon_sym_SLASH] = ACTIONS(2221),
    [anon_sym_PERCENT] = ACTIONS(2221),
    [anon_sym_STAR_STAR] = ACTIONS(2221),
    [anon_sym_LT] = ACTIONS(2221),
    [anon_sym_LT_EQ] = ACTIONS(2221),
    [anon_sym_EQ_EQ] = ACTIONS(2221),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2221),
    [anon_sym_BANG_EQ] = ACTIONS(2221),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2221),
    [anon_sym_GT_EQ] = ACTIONS(2221),
    [anon_sym_QMARK_QMARK] = ACTIONS(2221),
    [anon_sym_instanceof] = ACTIONS(2221),
    [anon_sym_TILDE] = ACTIONS(2221),
    [anon_sym_void] = ACTIONS(2221),
    [anon_sym_delete] = ACTIONS(2221),
    [anon_sym_PLUS_PLUS] = ACTIONS(2221),
    [anon_sym_DASH_DASH] = ACTIONS(2221),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2221),
    [sym_number] = ACTIONS(2221),
    [sym_private_property_identifier] = ACTIONS(2221),
    [sym_this] = ACTIONS(2221),
    [sym_super] = ACTIONS(2221),
    [sym_true] = ACTIONS(2221),
    [sym_false] = ACTIONS(2221),
    [sym_null] = ACTIONS(2221),
    [sym_undefined] = ACTIONS(2221),
    [anon_sym_AT] = ACTIONS(2221),
    [anon_sym_static] = ACTIONS(2221),
    [anon_sym_readonly] = ACTIONS(2221),
    [anon_sym_get] = ACTIONS(2221),
    [anon_sym_set] = ACTIONS(2221),
    [anon_sym_declare] = ACTIONS(2221),
    [anon_sym_public] = ACTIONS(2221),
    [anon_sym_private] = ACTIONS(2221),
    [anon_sym_protected] = ACTIONS(2221),
    [anon_sym_override] = ACTIONS(2221),
    [anon_sym_module] = ACTIONS(2221),
    [anon_sym_any] = ACTIONS(2221),
    [anon_sym_number] = ACTIONS(2221),
    [anon_sym_boolean] = ACTIONS(2221),
    [anon_sym_string] = ACTIONS(2221),
    [anon_sym_symbol] = ACTIONS(2221),
    [anon_sym_object] = ACTIONS(2221),
    [anon_sym_abstract] = ACTIONS(2221),
    [anon_sym_satisfies] = ACTIONS(2221),
    [anon_sym_interface] = ACTIONS(2221),
    [anon_sym_enum] = ACTIONS(2221),
    [sym__automatic_semicolon] = ACTIONS(2223),
    [sym__ternary_qmark] = ACTIONS(2223),
    [sym_html_comment] = ACTIONS(5),
  },
  [334] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2151),
    [sym_expression] = STATE(2755),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7643),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2151),
    [sym_subscript_expression] = STATE(2151),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3918),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7259),
    [sym_spread_element] = STATE(6423),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(334),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2151),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [aux_sym_array_repeat1] = STATE(6420),
    [sym_identifier] = ACTIONS(1724),
    [anon_sym_export] = ACTIONS(1452),
    [anon_sym_type] = ACTIONS(1452),
    [anon_sym_namespace] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(1127),
    [anon_sym_COMMA] = ACTIONS(2111),
    [anon_sym_typeof] = ACTIONS(968),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1452),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_RPAREN] = ACTIONS(2225),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(1129),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1462),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1730),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2115),
    [anon_sym_PLUS] = ACTIONS(968),
    [anon_sym_DASH] = ACTIONS(968),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(968),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1732),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1452),
    [anon_sym_readonly] = ACTIONS(1452),
    [anon_sym_get] = ACTIONS(1452),
    [anon_sym_set] = ACTIONS(1452),
    [anon_sym_declare] = ACTIONS(1452),
    [anon_sym_public] = ACTIONS(1452),
    [anon_sym_private] = ACTIONS(1452),
    [anon_sym_protected] = ACTIONS(1452),
    [anon_sym_override] = ACTIONS(1452),
    [anon_sym_module] = ACTIONS(1452),
    [anon_sym_any] = ACTIONS(1452),
    [anon_sym_number] = ACTIONS(1452),
    [anon_sym_boolean] = ACTIONS(1452),
    [anon_sym_string] = ACTIONS(1452),
    [anon_sym_symbol] = ACTIONS(1452),
    [anon_sym_object] = ACTIONS(1452),
    [sym_html_comment] = ACTIONS(5),
  },
  [335] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2151),
    [sym_expression] = STATE(2826),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7643),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2151),
    [sym_subscript_expression] = STATE(2151),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3918),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7259),
    [sym_spread_element] = STATE(5850),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(335),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2151),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [aux_sym_array_repeat1] = STATE(5851),
    [sym_identifier] = ACTIONS(1724),
    [anon_sym_export] = ACTIONS(1452),
    [anon_sym_type] = ACTIONS(1452),
    [anon_sym_namespace] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(1127),
    [anon_sym_COMMA] = ACTIONS(2111),
    [anon_sym_typeof] = ACTIONS(968),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1452),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_RPAREN] = ACTIONS(2227),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(1129),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1462),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1730),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2115),
    [anon_sym_PLUS] = ACTIONS(968),
    [anon_sym_DASH] = ACTIONS(968),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(968),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1732),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1452),
    [anon_sym_readonly] = ACTIONS(1452),
    [anon_sym_get] = ACTIONS(1452),
    [anon_sym_set] = ACTIONS(1452),
    [anon_sym_declare] = ACTIONS(1452),
    [anon_sym_public] = ACTIONS(1452),
    [anon_sym_private] = ACTIONS(1452),
    [anon_sym_protected] = ACTIONS(1452),
    [anon_sym_override] = ACTIONS(1452),
    [anon_sym_module] = ACTIONS(1452),
    [anon_sym_any] = ACTIONS(1452),
    [anon_sym_number] = ACTIONS(1452),
    [anon_sym_boolean] = ACTIONS(1452),
    [anon_sym_string] = ACTIONS(1452),
    [anon_sym_symbol] = ACTIONS(1452),
    [anon_sym_object] = ACTIONS(1452),
    [sym_html_comment] = ACTIONS(5),
  },
  [336] = {
    [sym_comment] = STATE(336),
    [sym_identifier] = ACTIONS(2229),
    [anon_sym_export] = ACTIONS(2229),
    [anon_sym_STAR] = ACTIONS(2231),
    [anon_sym_default] = ACTIONS(2229),
    [anon_sym_type] = ACTIONS(2229),
    [anon_sym_as] = ACTIONS(2231),
    [anon_sym_namespace] = ACTIONS(2229),
    [anon_sym_LBRACE] = ACTIONS(2229),
    [anon_sym_COMMA] = ACTIONS(2231),
    [anon_sym_RBRACE] = ACTIONS(2229),
    [anon_sym_typeof] = ACTIONS(2229),
    [anon_sym_import] = ACTIONS(2229),
    [anon_sym_with] = ACTIONS(2229),
    [anon_sym_var] = ACTIONS(2229),
    [anon_sym_let] = ACTIONS(2229),
    [anon_sym_const] = ACTIONS(2229),
    [anon_sym_BANG] = ACTIONS(2229),
    [anon_sym_else] = ACTIONS(2229),
    [anon_sym_if] = ACTIONS(2229),
    [anon_sym_switch] = ACTIONS(2229),
    [anon_sym_for] = ACTIONS(2229),
    [anon_sym_LPAREN] = ACTIONS(2229),
    [anon_sym_await] = ACTIONS(2229),
    [anon_sym_in] = ACTIONS(2231),
    [anon_sym_while] = ACTIONS(2229),
    [anon_sym_do] = ACTIONS(2229),
    [anon_sym_try] = ACTIONS(2229),
    [anon_sym_break] = ACTIONS(2229),
    [anon_sym_continue] = ACTIONS(2229),
    [anon_sym_debugger] = ACTIONS(2229),
    [anon_sym_return] = ACTIONS(2229),
    [anon_sym_throw] = ACTIONS(2229),
    [anon_sym_SEMI] = ACTIONS(2229),
    [anon_sym_case] = ACTIONS(2229),
    [anon_sym_yield] = ACTIONS(2229),
    [anon_sym_LBRACK] = ACTIONS(2229),
    [anon_sym_LTtemplate_GT] = ACTIONS(2229),
    [anon_sym_GT] = ACTIONS(2231),
    [anon_sym_DOT] = ACTIONS(2231),
    [anon_sym_DQUOTE] = ACTIONS(2229),
    [anon_sym_SQUOTE] = ACTIONS(2229),
    [anon_sym_class] = ACTIONS(2229),
    [anon_sym_async] = ACTIONS(2229),
    [anon_sym_function] = ACTIONS(2229),
    [anon_sym_QMARK_DOT] = ACTIONS(2231),
    [anon_sym_new] = ACTIONS(2229),
    [anon_sym_using] = ACTIONS(2229),
    [anon_sym_AMP_AMP] = ACTIONS(2231),
    [anon_sym_PIPE_PIPE] = ACTIONS(2231),
    [anon_sym_GT_GT] = ACTIONS(2231),
    [anon_sym_GT_GT_GT] = ACTIONS(2231),
    [anon_sym_LT_LT] = ACTIONS(2231),
    [anon_sym_AMP] = ACTIONS(2231),
    [anon_sym_CARET] = ACTIONS(2231),
    [anon_sym_PIPE] = ACTIONS(2231),
    [anon_sym_PLUS] = ACTIONS(2229),
    [anon_sym_DASH] = ACTIONS(2229),
    [anon_sym_SLASH] = ACTIONS(2229),
    [anon_sym_PERCENT] = ACTIONS(2231),
    [anon_sym_STAR_STAR] = ACTIONS(2231),
    [anon_sym_LT] = ACTIONS(2229),
    [anon_sym_LT_EQ] = ACTIONS(2231),
    [anon_sym_EQ_EQ] = ACTIONS(2231),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2231),
    [anon_sym_BANG_EQ] = ACTIONS(2231),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2231),
    [anon_sym_GT_EQ] = ACTIONS(2231),
    [anon_sym_QMARK_QMARK] = ACTIONS(2231),
    [anon_sym_instanceof] = ACTIONS(2231),
    [anon_sym_TILDE] = ACTIONS(2229),
    [anon_sym_void] = ACTIONS(2229),
    [anon_sym_delete] = ACTIONS(2229),
    [anon_sym_PLUS_PLUS] = ACTIONS(2229),
    [anon_sym_DASH_DASH] = ACTIONS(2229),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2229),
    [sym_number] = ACTIONS(2229),
    [sym_private_property_identifier] = ACTIONS(2229),
    [sym_this] = ACTIONS(2229),
    [sym_super] = ACTIONS(2229),
    [sym_true] = ACTIONS(2229),
    [sym_false] = ACTIONS(2229),
    [sym_null] = ACTIONS(2229),
    [sym_undefined] = ACTIONS(2229),
    [anon_sym_AT] = ACTIONS(2229),
    [anon_sym_static] = ACTIONS(2229),
    [anon_sym_readonly] = ACTIONS(2229),
    [anon_sym_get] = ACTIONS(2229),
    [anon_sym_set] = ACTIONS(2229),
    [anon_sym_declare] = ACTIONS(2229),
    [anon_sym_public] = ACTIONS(2229),
    [anon_sym_private] = ACTIONS(2229),
    [anon_sym_protected] = ACTIONS(2229),
    [anon_sym_override] = ACTIONS(2229),
    [anon_sym_module] = ACTIONS(2229),
    [anon_sym_any] = ACTIONS(2229),
    [anon_sym_number] = ACTIONS(2229),
    [anon_sym_boolean] = ACTIONS(2229),
    [anon_sym_string] = ACTIONS(2229),
    [anon_sym_symbol] = ACTIONS(2229),
    [anon_sym_object] = ACTIONS(2229),
    [anon_sym_abstract] = ACTIONS(2229),
    [anon_sym_satisfies] = ACTIONS(2231),
    [anon_sym_interface] = ACTIONS(2229),
    [anon_sym_enum] = ACTIONS(2229),
    [sym__automatic_semicolon] = ACTIONS(2233),
    [sym__ternary_qmark] = ACTIONS(2235),
    [sym_html_comment] = ACTIONS(5),
  },
  [337] = {
    [sym_statement_block] = STATE(382),
    [sym_comment] = STATE(337),
    [sym_identifier] = ACTIONS(2055),
    [anon_sym_export] = ACTIONS(2055),
    [anon_sym_STAR] = ACTIONS(2055),
    [anon_sym_default] = ACTIONS(2055),
    [anon_sym_type] = ACTIONS(2055),
    [anon_sym_as] = ACTIONS(2055),
    [anon_sym_namespace] = ACTIONS(2055),
    [anon_sym_LBRACE] = ACTIONS(2097),
    [anon_sym_COMMA] = ACTIONS(2055),
    [anon_sym_RBRACE] = ACTIONS(2055),
    [anon_sym_typeof] = ACTIONS(2055),
    [anon_sym_import] = ACTIONS(2055),
    [anon_sym_with] = ACTIONS(2055),
    [anon_sym_var] = ACTIONS(2055),
    [anon_sym_let] = ACTIONS(2055),
    [anon_sym_const] = ACTIONS(2055),
    [anon_sym_BANG] = ACTIONS(2055),
    [anon_sym_if] = ACTIONS(2055),
    [anon_sym_switch] = ACTIONS(2055),
    [anon_sym_for] = ACTIONS(2055),
    [anon_sym_LPAREN] = ACTIONS(2055),
    [anon_sym_await] = ACTIONS(2055),
    [anon_sym_in] = ACTIONS(2055),
    [anon_sym_while] = ACTIONS(2055),
    [anon_sym_do] = ACTIONS(2055),
    [anon_sym_try] = ACTIONS(2055),
    [anon_sym_break] = ACTIONS(2055),
    [anon_sym_continue] = ACTIONS(2055),
    [anon_sym_debugger] = ACTIONS(2055),
    [anon_sym_return] = ACTIONS(2055),
    [anon_sym_throw] = ACTIONS(2055),
    [anon_sym_SEMI] = ACTIONS(2055),
    [anon_sym_case] = ACTIONS(2055),
    [anon_sym_yield] = ACTIONS(2055),
    [anon_sym_LBRACK] = ACTIONS(2055),
    [anon_sym_LTtemplate_GT] = ACTIONS(2055),
    [anon_sym_GT] = ACTIONS(2055),
    [anon_sym_DOT] = ACTIONS(2055),
    [anon_sym_DQUOTE] = ACTIONS(2055),
    [anon_sym_SQUOTE] = ACTIONS(2055),
    [anon_sym_class] = ACTIONS(2055),
    [anon_sym_async] = ACTIONS(2055),
    [anon_sym_function] = ACTIONS(2055),
    [anon_sym_QMARK_DOT] = ACTIONS(2055),
    [anon_sym_new] = ACTIONS(2055),
    [anon_sym_using] = ACTIONS(2055),
    [anon_sym_AMP_AMP] = ACTIONS(2055),
    [anon_sym_PIPE_PIPE] = ACTIONS(2055),
    [anon_sym_GT_GT] = ACTIONS(2055),
    [anon_sym_GT_GT_GT] = ACTIONS(2055),
    [anon_sym_LT_LT] = ACTIONS(2055),
    [anon_sym_AMP] = ACTIONS(2055),
    [anon_sym_CARET] = ACTIONS(2055),
    [anon_sym_PIPE] = ACTIONS(2055),
    [anon_sym_PLUS] = ACTIONS(2055),
    [anon_sym_DASH] = ACTIONS(2055),
    [anon_sym_SLASH] = ACTIONS(2055),
    [anon_sym_PERCENT] = ACTIONS(2055),
    [anon_sym_STAR_STAR] = ACTIONS(2055),
    [anon_sym_LT] = ACTIONS(2055),
    [anon_sym_LT_EQ] = ACTIONS(2055),
    [anon_sym_EQ_EQ] = ACTIONS(2055),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2055),
    [anon_sym_BANG_EQ] = ACTIONS(2055),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2055),
    [anon_sym_GT_EQ] = ACTIONS(2055),
    [anon_sym_QMARK_QMARK] = ACTIONS(2055),
    [anon_sym_instanceof] = ACTIONS(2055),
    [anon_sym_TILDE] = ACTIONS(2055),
    [anon_sym_void] = ACTIONS(2055),
    [anon_sym_delete] = ACTIONS(2055),
    [anon_sym_PLUS_PLUS] = ACTIONS(2055),
    [anon_sym_DASH_DASH] = ACTIONS(2055),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2055),
    [sym_number] = ACTIONS(2055),
    [sym_private_property_identifier] = ACTIONS(2055),
    [sym_this] = ACTIONS(2055),
    [sym_super] = ACTIONS(2055),
    [sym_true] = ACTIONS(2055),
    [sym_false] = ACTIONS(2055),
    [sym_null] = ACTIONS(2055),
    [sym_undefined] = ACTIONS(2055),
    [anon_sym_AT] = ACTIONS(2055),
    [anon_sym_static] = ACTIONS(2055),
    [anon_sym_readonly] = ACTIONS(2055),
    [anon_sym_get] = ACTIONS(2055),
    [anon_sym_set] = ACTIONS(2055),
    [anon_sym_declare] = ACTIONS(2055),
    [anon_sym_public] = ACTIONS(2055),
    [anon_sym_private] = ACTIONS(2055),
    [anon_sym_protected] = ACTIONS(2055),
    [anon_sym_override] = ACTIONS(2055),
    [anon_sym_module] = ACTIONS(2055),
    [anon_sym_any] = ACTIONS(2055),
    [anon_sym_number] = ACTIONS(2055),
    [anon_sym_boolean] = ACTIONS(2055),
    [anon_sym_string] = ACTIONS(2055),
    [anon_sym_symbol] = ACTIONS(2055),
    [anon_sym_object] = ACTIONS(2055),
    [anon_sym_abstract] = ACTIONS(2055),
    [anon_sym_satisfies] = ACTIONS(2055),
    [anon_sym_interface] = ACTIONS(2055),
    [anon_sym_enum] = ACTIONS(2055),
    [sym__automatic_semicolon] = ACTIONS(2059),
    [sym__ternary_qmark] = ACTIONS(2059),
    [sym_html_comment] = ACTIONS(5),
  },
  [338] = {
    [sym_comment] = STATE(338),
    [sym_identifier] = ACTIONS(2237),
    [anon_sym_export] = ACTIONS(2237),
    [anon_sym_STAR] = ACTIONS(2239),
    [anon_sym_default] = ACTIONS(2237),
    [anon_sym_type] = ACTIONS(2237),
    [anon_sym_as] = ACTIONS(2239),
    [anon_sym_namespace] = ACTIONS(2237),
    [anon_sym_LBRACE] = ACTIONS(2237),
    [anon_sym_COMMA] = ACTIONS(2239),
    [anon_sym_RBRACE] = ACTIONS(2237),
    [anon_sym_typeof] = ACTIONS(2237),
    [anon_sym_import] = ACTIONS(2237),
    [anon_sym_with] = ACTIONS(2237),
    [anon_sym_var] = ACTIONS(2237),
    [anon_sym_let] = ACTIONS(2237),
    [anon_sym_const] = ACTIONS(2237),
    [anon_sym_BANG] = ACTIONS(2237),
    [anon_sym_else] = ACTIONS(2237),
    [anon_sym_if] = ACTIONS(2237),
    [anon_sym_switch] = ACTIONS(2237),
    [anon_sym_for] = ACTIONS(2237),
    [anon_sym_LPAREN] = ACTIONS(2237),
    [anon_sym_await] = ACTIONS(2237),
    [anon_sym_in] = ACTIONS(2239),
    [anon_sym_while] = ACTIONS(2237),
    [anon_sym_do] = ACTIONS(2237),
    [anon_sym_try] = ACTIONS(2237),
    [anon_sym_break] = ACTIONS(2237),
    [anon_sym_continue] = ACTIONS(2237),
    [anon_sym_debugger] = ACTIONS(2237),
    [anon_sym_return] = ACTIONS(2237),
    [anon_sym_throw] = ACTIONS(2237),
    [anon_sym_SEMI] = ACTIONS(2237),
    [anon_sym_case] = ACTIONS(2237),
    [anon_sym_yield] = ACTIONS(2237),
    [anon_sym_LBRACK] = ACTIONS(2237),
    [anon_sym_LTtemplate_GT] = ACTIONS(2237),
    [anon_sym_GT] = ACTIONS(2239),
    [anon_sym_DOT] = ACTIONS(2239),
    [anon_sym_DQUOTE] = ACTIONS(2237),
    [anon_sym_SQUOTE] = ACTIONS(2237),
    [anon_sym_class] = ACTIONS(2237),
    [anon_sym_async] = ACTIONS(2237),
    [anon_sym_function] = ACTIONS(2237),
    [anon_sym_QMARK_DOT] = ACTIONS(2239),
    [anon_sym_new] = ACTIONS(2237),
    [anon_sym_using] = ACTIONS(2237),
    [anon_sym_AMP_AMP] = ACTIONS(2239),
    [anon_sym_PIPE_PIPE] = ACTIONS(2239),
    [anon_sym_GT_GT] = ACTIONS(2239),
    [anon_sym_GT_GT_GT] = ACTIONS(2239),
    [anon_sym_LT_LT] = ACTIONS(2239),
    [anon_sym_AMP] = ACTIONS(2239),
    [anon_sym_CARET] = ACTIONS(2239),
    [anon_sym_PIPE] = ACTIONS(2239),
    [anon_sym_PLUS] = ACTIONS(2237),
    [anon_sym_DASH] = ACTIONS(2237),
    [anon_sym_SLASH] = ACTIONS(2237),
    [anon_sym_PERCENT] = ACTIONS(2239),
    [anon_sym_STAR_STAR] = ACTIONS(2239),
    [anon_sym_LT] = ACTIONS(2237),
    [anon_sym_LT_EQ] = ACTIONS(2239),
    [anon_sym_EQ_EQ] = ACTIONS(2239),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2239),
    [anon_sym_BANG_EQ] = ACTIONS(2239),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2239),
    [anon_sym_GT_EQ] = ACTIONS(2239),
    [anon_sym_QMARK_QMARK] = ACTIONS(2239),
    [anon_sym_instanceof] = ACTIONS(2239),
    [anon_sym_TILDE] = ACTIONS(2237),
    [anon_sym_void] = ACTIONS(2237),
    [anon_sym_delete] = ACTIONS(2237),
    [anon_sym_PLUS_PLUS] = ACTIONS(2237),
    [anon_sym_DASH_DASH] = ACTIONS(2237),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2237),
    [sym_number] = ACTIONS(2237),
    [sym_private_property_identifier] = ACTIONS(2237),
    [sym_this] = ACTIONS(2237),
    [sym_super] = ACTIONS(2237),
    [sym_true] = ACTIONS(2237),
    [sym_false] = ACTIONS(2237),
    [sym_null] = ACTIONS(2237),
    [sym_undefined] = ACTIONS(2237),
    [anon_sym_AT] = ACTIONS(2237),
    [anon_sym_static] = ACTIONS(2237),
    [anon_sym_readonly] = ACTIONS(2237),
    [anon_sym_get] = ACTIONS(2237),
    [anon_sym_set] = ACTIONS(2237),
    [anon_sym_declare] = ACTIONS(2237),
    [anon_sym_public] = ACTIONS(2237),
    [anon_sym_private] = ACTIONS(2237),
    [anon_sym_protected] = ACTIONS(2237),
    [anon_sym_override] = ACTIONS(2237),
    [anon_sym_module] = ACTIONS(2237),
    [anon_sym_any] = ACTIONS(2237),
    [anon_sym_number] = ACTIONS(2237),
    [anon_sym_boolean] = ACTIONS(2237),
    [anon_sym_string] = ACTIONS(2237),
    [anon_sym_symbol] = ACTIONS(2237),
    [anon_sym_object] = ACTIONS(2237),
    [anon_sym_abstract] = ACTIONS(2237),
    [anon_sym_satisfies] = ACTIONS(2239),
    [anon_sym_interface] = ACTIONS(2237),
    [anon_sym_enum] = ACTIONS(2237),
    [sym__automatic_semicolon] = ACTIONS(2241),
    [sym__ternary_qmark] = ACTIONS(2243),
    [sym_html_comment] = ACTIONS(5),
  },
  [339] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2048),
    [sym_expression] = STATE(3359),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7260),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2111),
    [sym_subscript_expression] = STATE(2111),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3878),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(4560),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(339),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(2152),
    [sym_formal_parameters] = STATE(4790),
    [sym_pattern] = STATE(5335),
    [sym_rest_pattern] = STATE(4693),
    [sym_non_null_expression] = STATE(2111),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_accessibility_modifier] = STATE(361),
    [sym_override_modifier] = STATE(431),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(2073),
    [sym_identifier] = ACTIONS(1061),
    [anon_sym_export] = ACTIONS(111),
    [anon_sym_type] = ACTIONS(111),
    [anon_sym_namespace] = ACTIONS(120),
    [anon_sym_LBRACE] = ACTIONS(1063),
    [anon_sym_typeof] = ACTIONS(174),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(111),
    [anon_sym_BANG] = ACTIONS(174),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1948),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(2245),
    [anon_sym_async] = ACTIONS(149),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1071),
    [anon_sym_using] = ACTIONS(157),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(161),
    [anon_sym_PLUS] = ACTIONS(174),
    [anon_sym_DASH] = ACTIONS(174),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(174),
    [anon_sym_void] = ACTIONS(174),
    [anon_sym_delete] = ACTIONS(174),
    [anon_sym_PLUS_PLUS] = ACTIONS(1039),
    [anon_sym_DASH_DASH] = ACTIONS(1039),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(185),
    [sym_this] = ACTIONS(2247),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1081),
    [anon_sym_AT] = ACTIONS(1157),
    [anon_sym_static] = ACTIONS(111),
    [anon_sym_readonly] = ACTIONS(2249),
    [anon_sym_get] = ACTIONS(111),
    [anon_sym_set] = ACTIONS(111),
    [anon_sym_declare] = ACTIONS(111),
    [anon_sym_public] = ACTIONS(1173),
    [anon_sym_private] = ACTIONS(1173),
    [anon_sym_protected] = ACTIONS(1173),
    [anon_sym_override] = ACTIONS(1175),
    [anon_sym_module] = ACTIONS(111),
    [anon_sym_any] = ACTIONS(111),
    [anon_sym_number] = ACTIONS(111),
    [anon_sym_boolean] = ACTIONS(111),
    [anon_sym_string] = ACTIONS(111),
    [anon_sym_symbol] = ACTIONS(111),
    [anon_sym_object] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [340] = {
    [sym_comment] = STATE(340),
    [sym_identifier] = ACTIONS(2251),
    [anon_sym_export] = ACTIONS(2251),
    [anon_sym_STAR] = ACTIONS(2251),
    [anon_sym_default] = ACTIONS(2251),
    [anon_sym_type] = ACTIONS(2251),
    [anon_sym_as] = ACTIONS(2251),
    [anon_sym_namespace] = ACTIONS(2251),
    [anon_sym_LBRACE] = ACTIONS(2251),
    [anon_sym_COMMA] = ACTIONS(2251),
    [anon_sym_RBRACE] = ACTIONS(2251),
    [anon_sym_typeof] = ACTIONS(2251),
    [anon_sym_import] = ACTIONS(2251),
    [anon_sym_with] = ACTIONS(2251),
    [anon_sym_var] = ACTIONS(2251),
    [anon_sym_let] = ACTIONS(2251),
    [anon_sym_const] = ACTIONS(2251),
    [anon_sym_BANG] = ACTIONS(2251),
    [anon_sym_else] = ACTIONS(2251),
    [anon_sym_if] = ACTIONS(2251),
    [anon_sym_switch] = ACTIONS(2251),
    [anon_sym_for] = ACTIONS(2251),
    [anon_sym_LPAREN] = ACTIONS(2251),
    [anon_sym_await] = ACTIONS(2251),
    [anon_sym_in] = ACTIONS(2251),
    [anon_sym_while] = ACTIONS(2251),
    [anon_sym_do] = ACTIONS(2251),
    [anon_sym_try] = ACTIONS(2251),
    [anon_sym_break] = ACTIONS(2251),
    [anon_sym_continue] = ACTIONS(2251),
    [anon_sym_debugger] = ACTIONS(2251),
    [anon_sym_return] = ACTIONS(2251),
    [anon_sym_throw] = ACTIONS(2251),
    [anon_sym_SEMI] = ACTIONS(2251),
    [anon_sym_case] = ACTIONS(2251),
    [anon_sym_yield] = ACTIONS(2251),
    [anon_sym_LBRACK] = ACTIONS(2251),
    [anon_sym_LTtemplate_GT] = ACTIONS(2251),
    [anon_sym_GT] = ACTIONS(2251),
    [anon_sym_DOT] = ACTIONS(2251),
    [anon_sym_DQUOTE] = ACTIONS(2251),
    [anon_sym_SQUOTE] = ACTIONS(2251),
    [anon_sym_class] = ACTIONS(2251),
    [anon_sym_async] = ACTIONS(2251),
    [anon_sym_function] = ACTIONS(2251),
    [anon_sym_QMARK_DOT] = ACTIONS(2251),
    [anon_sym_new] = ACTIONS(2251),
    [anon_sym_using] = ACTIONS(2251),
    [anon_sym_AMP_AMP] = ACTIONS(2251),
    [anon_sym_PIPE_PIPE] = ACTIONS(2251),
    [anon_sym_GT_GT] = ACTIONS(2251),
    [anon_sym_GT_GT_GT] = ACTIONS(2251),
    [anon_sym_LT_LT] = ACTIONS(2251),
    [anon_sym_AMP] = ACTIONS(2251),
    [anon_sym_CARET] = ACTIONS(2251),
    [anon_sym_PIPE] = ACTIONS(2251),
    [anon_sym_PLUS] = ACTIONS(2251),
    [anon_sym_DASH] = ACTIONS(2251),
    [anon_sym_SLASH] = ACTIONS(2251),
    [anon_sym_PERCENT] = ACTIONS(2251),
    [anon_sym_STAR_STAR] = ACTIONS(2251),
    [anon_sym_LT] = ACTIONS(2251),
    [anon_sym_LT_EQ] = ACTIONS(2251),
    [anon_sym_EQ_EQ] = ACTIONS(2251),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2251),
    [anon_sym_BANG_EQ] = ACTIONS(2251),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2251),
    [anon_sym_GT_EQ] = ACTIONS(2251),
    [anon_sym_QMARK_QMARK] = ACTIONS(2251),
    [anon_sym_instanceof] = ACTIONS(2251),
    [anon_sym_TILDE] = ACTIONS(2251),
    [anon_sym_void] = ACTIONS(2251),
    [anon_sym_delete] = ACTIONS(2251),
    [anon_sym_PLUS_PLUS] = ACTIONS(2251),
    [anon_sym_DASH_DASH] = ACTIONS(2251),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2251),
    [sym_number] = ACTIONS(2251),
    [sym_private_property_identifier] = ACTIONS(2251),
    [sym_this] = ACTIONS(2251),
    [sym_super] = ACTIONS(2251),
    [sym_true] = ACTIONS(2251),
    [sym_false] = ACTIONS(2251),
    [sym_null] = ACTIONS(2251),
    [sym_undefined] = ACTIONS(2251),
    [anon_sym_AT] = ACTIONS(2251),
    [anon_sym_static] = ACTIONS(2251),
    [anon_sym_readonly] = ACTIONS(2251),
    [anon_sym_get] = ACTIONS(2251),
    [anon_sym_set] = ACTIONS(2251),
    [anon_sym_declare] = ACTIONS(2251),
    [anon_sym_public] = ACTIONS(2251),
    [anon_sym_private] = ACTIONS(2251),
    [anon_sym_protected] = ACTIONS(2251),
    [anon_sym_override] = ACTIONS(2251),
    [anon_sym_module] = ACTIONS(2251),
    [anon_sym_any] = ACTIONS(2251),
    [anon_sym_number] = ACTIONS(2251),
    [anon_sym_boolean] = ACTIONS(2251),
    [anon_sym_string] = ACTIONS(2251),
    [anon_sym_symbol] = ACTIONS(2251),
    [anon_sym_object] = ACTIONS(2251),
    [anon_sym_abstract] = ACTIONS(2251),
    [anon_sym_satisfies] = ACTIONS(2251),
    [anon_sym_interface] = ACTIONS(2251),
    [anon_sym_enum] = ACTIONS(2251),
    [sym__automatic_semicolon] = ACTIONS(2253),
    [sym__ternary_qmark] = ACTIONS(2253),
    [sym_html_comment] = ACTIONS(5),
  },
  [341] = {
    [sym_statement_block] = STATE(382),
    [sym_comment] = STATE(341),
    [sym_identifier] = ACTIONS(2055),
    [anon_sym_export] = ACTIONS(2055),
    [anon_sym_STAR] = ACTIONS(2055),
    [anon_sym_default] = ACTIONS(2055),
    [anon_sym_type] = ACTIONS(2055),
    [anon_sym_as] = ACTIONS(2055),
    [anon_sym_namespace] = ACTIONS(2055),
    [anon_sym_LBRACE] = ACTIONS(2097),
    [anon_sym_COMMA] = ACTIONS(2055),
    [anon_sym_RBRACE] = ACTIONS(2055),
    [anon_sym_typeof] = ACTIONS(2055),
    [anon_sym_import] = ACTIONS(2055),
    [anon_sym_with] = ACTIONS(2055),
    [anon_sym_var] = ACTIONS(2055),
    [anon_sym_let] = ACTIONS(2055),
    [anon_sym_const] = ACTIONS(2055),
    [anon_sym_BANG] = ACTIONS(2055),
    [anon_sym_if] = ACTIONS(2055),
    [anon_sym_switch] = ACTIONS(2055),
    [anon_sym_for] = ACTIONS(2055),
    [anon_sym_LPAREN] = ACTIONS(2055),
    [anon_sym_await] = ACTIONS(2055),
    [anon_sym_in] = ACTIONS(2055),
    [anon_sym_while] = ACTIONS(2055),
    [anon_sym_do] = ACTIONS(2055),
    [anon_sym_try] = ACTIONS(2055),
    [anon_sym_break] = ACTIONS(2055),
    [anon_sym_continue] = ACTIONS(2055),
    [anon_sym_debugger] = ACTIONS(2055),
    [anon_sym_return] = ACTIONS(2055),
    [anon_sym_throw] = ACTIONS(2055),
    [anon_sym_SEMI] = ACTIONS(2055),
    [anon_sym_case] = ACTIONS(2055),
    [anon_sym_yield] = ACTIONS(2055),
    [anon_sym_LBRACK] = ACTIONS(2055),
    [anon_sym_LTtemplate_GT] = ACTIONS(2055),
    [anon_sym_GT] = ACTIONS(2055),
    [anon_sym_DOT] = ACTIONS(2255),
    [anon_sym_DQUOTE] = ACTIONS(2055),
    [anon_sym_SQUOTE] = ACTIONS(2055),
    [anon_sym_class] = ACTIONS(2055),
    [anon_sym_async] = ACTIONS(2055),
    [anon_sym_function] = ACTIONS(2055),
    [anon_sym_QMARK_DOT] = ACTIONS(2055),
    [anon_sym_new] = ACTIONS(2055),
    [anon_sym_using] = ACTIONS(2055),
    [anon_sym_AMP_AMP] = ACTIONS(2055),
    [anon_sym_PIPE_PIPE] = ACTIONS(2055),
    [anon_sym_GT_GT] = ACTIONS(2055),
    [anon_sym_GT_GT_GT] = ACTIONS(2055),
    [anon_sym_LT_LT] = ACTIONS(2055),
    [anon_sym_AMP] = ACTIONS(2055),
    [anon_sym_CARET] = ACTIONS(2055),
    [anon_sym_PIPE] = ACTIONS(2055),
    [anon_sym_PLUS] = ACTIONS(2055),
    [anon_sym_DASH] = ACTIONS(2055),
    [anon_sym_SLASH] = ACTIONS(2055),
    [anon_sym_PERCENT] = ACTIONS(2055),
    [anon_sym_STAR_STAR] = ACTIONS(2055),
    [anon_sym_LT] = ACTIONS(2055),
    [anon_sym_LT_EQ] = ACTIONS(2055),
    [anon_sym_EQ_EQ] = ACTIONS(2055),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2055),
    [anon_sym_BANG_EQ] = ACTIONS(2055),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2055),
    [anon_sym_GT_EQ] = ACTIONS(2055),
    [anon_sym_QMARK_QMARK] = ACTIONS(2055),
    [anon_sym_instanceof] = ACTIONS(2055),
    [anon_sym_TILDE] = ACTIONS(2055),
    [anon_sym_void] = ACTIONS(2055),
    [anon_sym_delete] = ACTIONS(2055),
    [anon_sym_PLUS_PLUS] = ACTIONS(2055),
    [anon_sym_DASH_DASH] = ACTIONS(2055),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2055),
    [sym_number] = ACTIONS(2055),
    [sym_private_property_identifier] = ACTIONS(2055),
    [sym_this] = ACTIONS(2055),
    [sym_super] = ACTIONS(2055),
    [sym_true] = ACTIONS(2055),
    [sym_false] = ACTIONS(2055),
    [sym_null] = ACTIONS(2055),
    [sym_undefined] = ACTIONS(2055),
    [anon_sym_AT] = ACTIONS(2055),
    [anon_sym_static] = ACTIONS(2055),
    [anon_sym_readonly] = ACTIONS(2055),
    [anon_sym_get] = ACTIONS(2055),
    [anon_sym_set] = ACTIONS(2055),
    [anon_sym_declare] = ACTIONS(2055),
    [anon_sym_public] = ACTIONS(2055),
    [anon_sym_private] = ACTIONS(2055),
    [anon_sym_protected] = ACTIONS(2055),
    [anon_sym_override] = ACTIONS(2055),
    [anon_sym_module] = ACTIONS(2055),
    [anon_sym_any] = ACTIONS(2055),
    [anon_sym_number] = ACTIONS(2055),
    [anon_sym_boolean] = ACTIONS(2055),
    [anon_sym_string] = ACTIONS(2055),
    [anon_sym_symbol] = ACTIONS(2055),
    [anon_sym_object] = ACTIONS(2055),
    [anon_sym_abstract] = ACTIONS(2055),
    [anon_sym_satisfies] = ACTIONS(2055),
    [anon_sym_interface] = ACTIONS(2055),
    [anon_sym_enum] = ACTIONS(2055),
    [sym__automatic_semicolon] = ACTIONS(2059),
    [sym__ternary_qmark] = ACTIONS(2059),
    [sym_html_comment] = ACTIONS(5),
  },
  [342] = {
    [sym_comment] = STATE(342),
    [sym_identifier] = ACTIONS(2257),
    [anon_sym_export] = ACTIONS(2257),
    [anon_sym_STAR] = ACTIONS(2259),
    [anon_sym_default] = ACTIONS(2257),
    [anon_sym_type] = ACTIONS(2257),
    [anon_sym_as] = ACTIONS(2259),
    [anon_sym_namespace] = ACTIONS(2257),
    [anon_sym_LBRACE] = ACTIONS(2257),
    [anon_sym_COMMA] = ACTIONS(2259),
    [anon_sym_RBRACE] = ACTIONS(2257),
    [anon_sym_typeof] = ACTIONS(2257),
    [anon_sym_import] = ACTIONS(2257),
    [anon_sym_with] = ACTIONS(2257),
    [anon_sym_var] = ACTIONS(2257),
    [anon_sym_let] = ACTIONS(2257),
    [anon_sym_const] = ACTIONS(2257),
    [anon_sym_BANG] = ACTIONS(2257),
    [anon_sym_else] = ACTIONS(2257),
    [anon_sym_if] = ACTIONS(2257),
    [anon_sym_switch] = ACTIONS(2257),
    [anon_sym_for] = ACTIONS(2257),
    [anon_sym_LPAREN] = ACTIONS(2257),
    [anon_sym_await] = ACTIONS(2257),
    [anon_sym_in] = ACTIONS(2259),
    [anon_sym_while] = ACTIONS(2257),
    [anon_sym_do] = ACTIONS(2257),
    [anon_sym_try] = ACTIONS(2257),
    [anon_sym_break] = ACTIONS(2257),
    [anon_sym_continue] = ACTIONS(2257),
    [anon_sym_debugger] = ACTIONS(2257),
    [anon_sym_return] = ACTIONS(2257),
    [anon_sym_throw] = ACTIONS(2257),
    [anon_sym_SEMI] = ACTIONS(2257),
    [anon_sym_case] = ACTIONS(2257),
    [anon_sym_yield] = ACTIONS(2257),
    [anon_sym_LBRACK] = ACTIONS(2257),
    [anon_sym_LTtemplate_GT] = ACTIONS(2257),
    [anon_sym_GT] = ACTIONS(2259),
    [anon_sym_DOT] = ACTIONS(2259),
    [anon_sym_DQUOTE] = ACTIONS(2257),
    [anon_sym_SQUOTE] = ACTIONS(2257),
    [anon_sym_class] = ACTIONS(2257),
    [anon_sym_async] = ACTIONS(2257),
    [anon_sym_function] = ACTIONS(2257),
    [anon_sym_QMARK_DOT] = ACTIONS(2259),
    [anon_sym_new] = ACTIONS(2257),
    [anon_sym_using] = ACTIONS(2257),
    [anon_sym_AMP_AMP] = ACTIONS(2259),
    [anon_sym_PIPE_PIPE] = ACTIONS(2259),
    [anon_sym_GT_GT] = ACTIONS(2259),
    [anon_sym_GT_GT_GT] = ACTIONS(2259),
    [anon_sym_LT_LT] = ACTIONS(2259),
    [anon_sym_AMP] = ACTIONS(2259),
    [anon_sym_CARET] = ACTIONS(2259),
    [anon_sym_PIPE] = ACTIONS(2259),
    [anon_sym_PLUS] = ACTIONS(2257),
    [anon_sym_DASH] = ACTIONS(2257),
    [anon_sym_SLASH] = ACTIONS(2257),
    [anon_sym_PERCENT] = ACTIONS(2259),
    [anon_sym_STAR_STAR] = ACTIONS(2259),
    [anon_sym_LT] = ACTIONS(2257),
    [anon_sym_LT_EQ] = ACTIONS(2259),
    [anon_sym_EQ_EQ] = ACTIONS(2259),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2259),
    [anon_sym_BANG_EQ] = ACTIONS(2259),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2259),
    [anon_sym_GT_EQ] = ACTIONS(2259),
    [anon_sym_QMARK_QMARK] = ACTIONS(2259),
    [anon_sym_instanceof] = ACTIONS(2259),
    [anon_sym_TILDE] = ACTIONS(2257),
    [anon_sym_void] = ACTIONS(2257),
    [anon_sym_delete] = ACTIONS(2257),
    [anon_sym_PLUS_PLUS] = ACTIONS(2257),
    [anon_sym_DASH_DASH] = ACTIONS(2257),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2257),
    [sym_number] = ACTIONS(2257),
    [sym_private_property_identifier] = ACTIONS(2257),
    [sym_this] = ACTIONS(2257),
    [sym_super] = ACTIONS(2257),
    [sym_true] = ACTIONS(2257),
    [sym_false] = ACTIONS(2257),
    [sym_null] = ACTIONS(2257),
    [sym_undefined] = ACTIONS(2257),
    [anon_sym_AT] = ACTIONS(2257),
    [anon_sym_static] = ACTIONS(2257),
    [anon_sym_readonly] = ACTIONS(2257),
    [anon_sym_get] = ACTIONS(2257),
    [anon_sym_set] = ACTIONS(2257),
    [anon_sym_declare] = ACTIONS(2257),
    [anon_sym_public] = ACTIONS(2257),
    [anon_sym_private] = ACTIONS(2257),
    [anon_sym_protected] = ACTIONS(2257),
    [anon_sym_override] = ACTIONS(2257),
    [anon_sym_module] = ACTIONS(2257),
    [anon_sym_any] = ACTIONS(2257),
    [anon_sym_number] = ACTIONS(2257),
    [anon_sym_boolean] = ACTIONS(2257),
    [anon_sym_string] = ACTIONS(2257),
    [anon_sym_symbol] = ACTIONS(2257),
    [anon_sym_object] = ACTIONS(2257),
    [anon_sym_abstract] = ACTIONS(2257),
    [anon_sym_satisfies] = ACTIONS(2259),
    [anon_sym_interface] = ACTIONS(2257),
    [anon_sym_enum] = ACTIONS(2257),
    [sym__automatic_semicolon] = ACTIONS(2261),
    [sym__ternary_qmark] = ACTIONS(2263),
    [sym_html_comment] = ACTIONS(5),
  },
  [343] = {
    [sym_statement_block] = STATE(412),
    [sym_comment] = STATE(343),
    [ts_builtin_sym_end] = ACTIONS(2059),
    [sym_identifier] = ACTIONS(2055),
    [anon_sym_export] = ACTIONS(2055),
    [anon_sym_STAR] = ACTIONS(2055),
    [anon_sym_type] = ACTIONS(2055),
    [anon_sym_as] = ACTIONS(2055),
    [anon_sym_namespace] = ACTIONS(2055),
    [anon_sym_LBRACE] = ACTIONS(2193),
    [anon_sym_COMMA] = ACTIONS(2055),
    [anon_sym_RBRACE] = ACTIONS(2055),
    [anon_sym_typeof] = ACTIONS(2055),
    [anon_sym_import] = ACTIONS(2055),
    [anon_sym_with] = ACTIONS(2055),
    [anon_sym_var] = ACTIONS(2055),
    [anon_sym_let] = ACTIONS(2055),
    [anon_sym_const] = ACTIONS(2055),
    [anon_sym_BANG] = ACTIONS(2055),
    [anon_sym_else] = ACTIONS(2055),
    [anon_sym_if] = ACTIONS(2055),
    [anon_sym_switch] = ACTIONS(2055),
    [anon_sym_for] = ACTIONS(2055),
    [anon_sym_LPAREN] = ACTIONS(2055),
    [anon_sym_await] = ACTIONS(2055),
    [anon_sym_in] = ACTIONS(2055),
    [anon_sym_while] = ACTIONS(2055),
    [anon_sym_do] = ACTIONS(2055),
    [anon_sym_try] = ACTIONS(2055),
    [anon_sym_break] = ACTIONS(2055),
    [anon_sym_continue] = ACTIONS(2055),
    [anon_sym_debugger] = ACTIONS(2055),
    [anon_sym_return] = ACTIONS(2055),
    [anon_sym_throw] = ACTIONS(2055),
    [anon_sym_SEMI] = ACTIONS(2055),
    [anon_sym_yield] = ACTIONS(2055),
    [anon_sym_LBRACK] = ACTIONS(2055),
    [anon_sym_LTtemplate_GT] = ACTIONS(2055),
    [anon_sym_GT] = ACTIONS(2055),
    [anon_sym_DOT] = ACTIONS(2265),
    [anon_sym_DQUOTE] = ACTIONS(2055),
    [anon_sym_SQUOTE] = ACTIONS(2055),
    [anon_sym_class] = ACTIONS(2055),
    [anon_sym_async] = ACTIONS(2055),
    [anon_sym_function] = ACTIONS(2055),
    [anon_sym_QMARK_DOT] = ACTIONS(2055),
    [anon_sym_new] = ACTIONS(2055),
    [anon_sym_using] = ACTIONS(2055),
    [anon_sym_AMP_AMP] = ACTIONS(2055),
    [anon_sym_PIPE_PIPE] = ACTIONS(2055),
    [anon_sym_GT_GT] = ACTIONS(2055),
    [anon_sym_GT_GT_GT] = ACTIONS(2055),
    [anon_sym_LT_LT] = ACTIONS(2055),
    [anon_sym_AMP] = ACTIONS(2055),
    [anon_sym_CARET] = ACTIONS(2055),
    [anon_sym_PIPE] = ACTIONS(2055),
    [anon_sym_PLUS] = ACTIONS(2055),
    [anon_sym_DASH] = ACTIONS(2055),
    [anon_sym_SLASH] = ACTIONS(2055),
    [anon_sym_PERCENT] = ACTIONS(2055),
    [anon_sym_STAR_STAR] = ACTIONS(2055),
    [anon_sym_LT] = ACTIONS(2055),
    [anon_sym_LT_EQ] = ACTIONS(2055),
    [anon_sym_EQ_EQ] = ACTIONS(2055),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2055),
    [anon_sym_BANG_EQ] = ACTIONS(2055),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2055),
    [anon_sym_GT_EQ] = ACTIONS(2055),
    [anon_sym_QMARK_QMARK] = ACTIONS(2055),
    [anon_sym_instanceof] = ACTIONS(2055),
    [anon_sym_TILDE] = ACTIONS(2055),
    [anon_sym_void] = ACTIONS(2055),
    [anon_sym_delete] = ACTIONS(2055),
    [anon_sym_PLUS_PLUS] = ACTIONS(2055),
    [anon_sym_DASH_DASH] = ACTIONS(2055),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2055),
    [sym_number] = ACTIONS(2055),
    [sym_private_property_identifier] = ACTIONS(2055),
    [sym_this] = ACTIONS(2055),
    [sym_super] = ACTIONS(2055),
    [sym_true] = ACTIONS(2055),
    [sym_false] = ACTIONS(2055),
    [sym_null] = ACTIONS(2055),
    [sym_undefined] = ACTIONS(2055),
    [anon_sym_AT] = ACTIONS(2055),
    [anon_sym_static] = ACTIONS(2055),
    [anon_sym_readonly] = ACTIONS(2055),
    [anon_sym_get] = ACTIONS(2055),
    [anon_sym_set] = ACTIONS(2055),
    [anon_sym_declare] = ACTIONS(2055),
    [anon_sym_public] = ACTIONS(2055),
    [anon_sym_private] = ACTIONS(2055),
    [anon_sym_protected] = ACTIONS(2055),
    [anon_sym_override] = ACTIONS(2055),
    [anon_sym_module] = ACTIONS(2055),
    [anon_sym_any] = ACTIONS(2055),
    [anon_sym_number] = ACTIONS(2055),
    [anon_sym_boolean] = ACTIONS(2055),
    [anon_sym_string] = ACTIONS(2055),
    [anon_sym_symbol] = ACTIONS(2055),
    [anon_sym_object] = ACTIONS(2055),
    [anon_sym_abstract] = ACTIONS(2055),
    [anon_sym_satisfies] = ACTIONS(2055),
    [anon_sym_interface] = ACTIONS(2055),
    [anon_sym_enum] = ACTIONS(2055),
    [sym__automatic_semicolon] = ACTIONS(2059),
    [sym__ternary_qmark] = ACTIONS(2059),
    [sym_html_comment] = ACTIONS(5),
  },
  [344] = {
    [sym_comment] = STATE(344),
    [ts_builtin_sym_end] = ACTIONS(2267),
    [sym_identifier] = ACTIONS(2213),
    [anon_sym_export] = ACTIONS(2213),
    [anon_sym_STAR] = ACTIONS(2215),
    [anon_sym_type] = ACTIONS(2213),
    [anon_sym_as] = ACTIONS(2215),
    [anon_sym_namespace] = ACTIONS(2213),
    [anon_sym_LBRACE] = ACTIONS(2213),
    [anon_sym_COMMA] = ACTIONS(2215),
    [anon_sym_RBRACE] = ACTIONS(2213),
    [anon_sym_typeof] = ACTIONS(2213),
    [anon_sym_import] = ACTIONS(2213),
    [anon_sym_with] = ACTIONS(2213),
    [anon_sym_var] = ACTIONS(2213),
    [anon_sym_let] = ACTIONS(2213),
    [anon_sym_const] = ACTIONS(2213),
    [anon_sym_BANG] = ACTIONS(2213),
    [anon_sym_else] = ACTIONS(2213),
    [anon_sym_if] = ACTIONS(2213),
    [anon_sym_switch] = ACTIONS(2213),
    [anon_sym_for] = ACTIONS(2213),
    [anon_sym_LPAREN] = ACTIONS(2213),
    [anon_sym_await] = ACTIONS(2213),
    [anon_sym_in] = ACTIONS(2215),
    [anon_sym_while] = ACTIONS(2213),
    [anon_sym_do] = ACTIONS(2213),
    [anon_sym_try] = ACTIONS(2213),
    [anon_sym_break] = ACTIONS(2213),
    [anon_sym_continue] = ACTIONS(2213),
    [anon_sym_debugger] = ACTIONS(2213),
    [anon_sym_return] = ACTIONS(2213),
    [anon_sym_throw] = ACTIONS(2213),
    [anon_sym_SEMI] = ACTIONS(2213),
    [anon_sym_yield] = ACTIONS(2213),
    [anon_sym_LBRACK] = ACTIONS(2213),
    [anon_sym_LTtemplate_GT] = ACTIONS(2213),
    [anon_sym_GT] = ACTIONS(2215),
    [anon_sym_DOT] = ACTIONS(2215),
    [anon_sym_DQUOTE] = ACTIONS(2213),
    [anon_sym_SQUOTE] = ACTIONS(2213),
    [anon_sym_class] = ACTIONS(2213),
    [anon_sym_async] = ACTIONS(2213),
    [anon_sym_function] = ACTIONS(2213),
    [anon_sym_QMARK_DOT] = ACTIONS(2215),
    [anon_sym_new] = ACTIONS(2213),
    [anon_sym_using] = ACTIONS(2213),
    [anon_sym_AMP_AMP] = ACTIONS(2215),
    [anon_sym_PIPE_PIPE] = ACTIONS(2215),
    [anon_sym_GT_GT] = ACTIONS(2215),
    [anon_sym_GT_GT_GT] = ACTIONS(2215),
    [anon_sym_LT_LT] = ACTIONS(2215),
    [anon_sym_AMP] = ACTIONS(2215),
    [anon_sym_CARET] = ACTIONS(2215),
    [anon_sym_PIPE] = ACTIONS(2215),
    [anon_sym_PLUS] = ACTIONS(2213),
    [anon_sym_DASH] = ACTIONS(2213),
    [anon_sym_SLASH] = ACTIONS(2213),
    [anon_sym_PERCENT] = ACTIONS(2215),
    [anon_sym_STAR_STAR] = ACTIONS(2215),
    [anon_sym_LT] = ACTIONS(2213),
    [anon_sym_LT_EQ] = ACTIONS(2215),
    [anon_sym_EQ_EQ] = ACTIONS(2215),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2215),
    [anon_sym_BANG_EQ] = ACTIONS(2215),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2215),
    [anon_sym_GT_EQ] = ACTIONS(2215),
    [anon_sym_QMARK_QMARK] = ACTIONS(2215),
    [anon_sym_instanceof] = ACTIONS(2215),
    [anon_sym_TILDE] = ACTIONS(2213),
    [anon_sym_void] = ACTIONS(2213),
    [anon_sym_delete] = ACTIONS(2213),
    [anon_sym_PLUS_PLUS] = ACTIONS(2213),
    [anon_sym_DASH_DASH] = ACTIONS(2213),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2213),
    [sym_number] = ACTIONS(2213),
    [sym_private_property_identifier] = ACTIONS(2213),
    [sym_this] = ACTIONS(2213),
    [sym_super] = ACTIONS(2213),
    [sym_true] = ACTIONS(2213),
    [sym_false] = ACTIONS(2213),
    [sym_null] = ACTIONS(2213),
    [sym_undefined] = ACTIONS(2213),
    [anon_sym_AT] = ACTIONS(2213),
    [anon_sym_static] = ACTIONS(2213),
    [anon_sym_readonly] = ACTIONS(2213),
    [anon_sym_get] = ACTIONS(2213),
    [anon_sym_set] = ACTIONS(2213),
    [anon_sym_declare] = ACTIONS(2213),
    [anon_sym_public] = ACTIONS(2213),
    [anon_sym_private] = ACTIONS(2213),
    [anon_sym_protected] = ACTIONS(2213),
    [anon_sym_override] = ACTIONS(2213),
    [anon_sym_module] = ACTIONS(2213),
    [anon_sym_any] = ACTIONS(2213),
    [anon_sym_number] = ACTIONS(2213),
    [anon_sym_boolean] = ACTIONS(2213),
    [anon_sym_string] = ACTIONS(2213),
    [anon_sym_symbol] = ACTIONS(2213),
    [anon_sym_object] = ACTIONS(2213),
    [anon_sym_abstract] = ACTIONS(2213),
    [anon_sym_satisfies] = ACTIONS(2215),
    [anon_sym_interface] = ACTIONS(2213),
    [anon_sym_enum] = ACTIONS(2213),
    [sym__automatic_semicolon] = ACTIONS(2269),
    [sym__ternary_qmark] = ACTIONS(2219),
    [sym_html_comment] = ACTIONS(5),
  },
  [345] = {
    [sym_comment] = STATE(345),
    [sym_identifier] = ACTIONS(2167),
    [anon_sym_export] = ACTIONS(2167),
    [anon_sym_STAR] = ACTIONS(2169),
    [anon_sym_default] = ACTIONS(2167),
    [anon_sym_type] = ACTIONS(2167),
    [anon_sym_as] = ACTIONS(2169),
    [anon_sym_namespace] = ACTIONS(2167),
    [anon_sym_LBRACE] = ACTIONS(2167),
    [anon_sym_COMMA] = ACTIONS(2169),
    [anon_sym_RBRACE] = ACTIONS(2167),
    [anon_sym_typeof] = ACTIONS(2167),
    [anon_sym_import] = ACTIONS(2167),
    [anon_sym_with] = ACTIONS(2167),
    [anon_sym_var] = ACTIONS(2167),
    [anon_sym_let] = ACTIONS(2167),
    [anon_sym_const] = ACTIONS(2167),
    [anon_sym_BANG] = ACTIONS(2167),
    [anon_sym_if] = ACTIONS(2167),
    [anon_sym_switch] = ACTIONS(2167),
    [anon_sym_for] = ACTIONS(2167),
    [anon_sym_LPAREN] = ACTIONS(2167),
    [anon_sym_await] = ACTIONS(2167),
    [anon_sym_in] = ACTIONS(2169),
    [anon_sym_while] = ACTIONS(2167),
    [anon_sym_do] = ACTIONS(2167),
    [anon_sym_try] = ACTIONS(2167),
    [anon_sym_break] = ACTIONS(2167),
    [anon_sym_continue] = ACTIONS(2167),
    [anon_sym_debugger] = ACTIONS(2167),
    [anon_sym_return] = ACTIONS(2167),
    [anon_sym_throw] = ACTIONS(2167),
    [anon_sym_SEMI] = ACTIONS(2167),
    [anon_sym_case] = ACTIONS(2167),
    [anon_sym_yield] = ACTIONS(2167),
    [anon_sym_LBRACK] = ACTIONS(2167),
    [anon_sym_LTtemplate_GT] = ACTIONS(2167),
    [anon_sym_GT] = ACTIONS(2169),
    [anon_sym_DOT] = ACTIONS(2169),
    [anon_sym_DQUOTE] = ACTIONS(2167),
    [anon_sym_SQUOTE] = ACTIONS(2167),
    [anon_sym_class] = ACTIONS(2167),
    [anon_sym_async] = ACTIONS(2167),
    [anon_sym_function] = ACTIONS(2167),
    [anon_sym_QMARK_DOT] = ACTIONS(2169),
    [anon_sym_new] = ACTIONS(2167),
    [anon_sym_using] = ACTIONS(2167),
    [anon_sym_AMP_AMP] = ACTIONS(2169),
    [anon_sym_PIPE_PIPE] = ACTIONS(2169),
    [anon_sym_GT_GT] = ACTIONS(2169),
    [anon_sym_GT_GT_GT] = ACTIONS(2169),
    [anon_sym_LT_LT] = ACTIONS(2169),
    [anon_sym_AMP] = ACTIONS(2169),
    [anon_sym_CARET] = ACTIONS(2169),
    [anon_sym_PIPE] = ACTIONS(2169),
    [anon_sym_PLUS] = ACTIONS(2167),
    [anon_sym_DASH] = ACTIONS(2167),
    [anon_sym_SLASH] = ACTIONS(2167),
    [anon_sym_PERCENT] = ACTIONS(2169),
    [anon_sym_STAR_STAR] = ACTIONS(2169),
    [anon_sym_LT] = ACTIONS(2167),
    [anon_sym_LT_EQ] = ACTIONS(2169),
    [anon_sym_EQ_EQ] = ACTIONS(2169),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2169),
    [anon_sym_BANG_EQ] = ACTIONS(2169),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2169),
    [anon_sym_GT_EQ] = ACTIONS(2169),
    [anon_sym_QMARK_QMARK] = ACTIONS(2169),
    [anon_sym_instanceof] = ACTIONS(2169),
    [anon_sym_TILDE] = ACTIONS(2167),
    [anon_sym_void] = ACTIONS(2167),
    [anon_sym_delete] = ACTIONS(2167),
    [anon_sym_PLUS_PLUS] = ACTIONS(2167),
    [anon_sym_DASH_DASH] = ACTIONS(2167),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2167),
    [sym_number] = ACTIONS(2167),
    [sym_private_property_identifier] = ACTIONS(2167),
    [sym_this] = ACTIONS(2167),
    [sym_super] = ACTIONS(2167),
    [sym_true] = ACTIONS(2167),
    [sym_false] = ACTIONS(2167),
    [sym_null] = ACTIONS(2167),
    [sym_undefined] = ACTIONS(2167),
    [anon_sym_AT] = ACTIONS(2167),
    [anon_sym_static] = ACTIONS(2167),
    [anon_sym_readonly] = ACTIONS(2167),
    [anon_sym_get] = ACTIONS(2167),
    [anon_sym_set] = ACTIONS(2167),
    [anon_sym_declare] = ACTIONS(2167),
    [anon_sym_public] = ACTIONS(2167),
    [anon_sym_private] = ACTIONS(2167),
    [anon_sym_protected] = ACTIONS(2167),
    [anon_sym_override] = ACTIONS(2167),
    [anon_sym_module] = ACTIONS(2167),
    [anon_sym_any] = ACTIONS(2167),
    [anon_sym_number] = ACTIONS(2167),
    [anon_sym_boolean] = ACTIONS(2167),
    [anon_sym_string] = ACTIONS(2167),
    [anon_sym_symbol] = ACTIONS(2167),
    [anon_sym_object] = ACTIONS(2167),
    [anon_sym_abstract] = ACTIONS(2167),
    [anon_sym_satisfies] = ACTIONS(2169),
    [anon_sym_interface] = ACTIONS(2167),
    [anon_sym_enum] = ACTIONS(2167),
    [sym__automatic_semicolon] = ACTIONS(2171),
    [sym__ternary_qmark] = ACTIONS(2171),
    [sym_html_comment] = ACTIONS(5),
  },
  [346] = {
    [sym_import] = STATE(4275),
    [sym_parenthesized_expression] = STATE(2229),
    [sym_expression] = STATE(2920),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7175),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2229),
    [sym_subscript_expression] = STATE(2229),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3935),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7438),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(346),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2229),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym__type_query_member_expression] = STATE(3745),
    [sym__type_query_subscript_expression] = STATE(3744),
    [sym__type_query_call_expression] = STATE(3813),
    [sym__type_query_instantiation_expression] = STATE(3926),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(2271),
    [anon_sym_export] = ACTIONS(1482),
    [anon_sym_type] = ACTIONS(1482),
    [anon_sym_namespace] = ACTIONS(1484),
    [anon_sym_LBRACE] = ACTIONS(1127),
    [anon_sym_typeof] = ACTIONS(1490),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1482),
    [anon_sym_BANG] = ACTIONS(1490),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1492),
    [anon_sym_yield] = ACTIONS(1494),
    [anon_sym_LBRACK] = ACTIONS(1129),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1496),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1770),
    [anon_sym_using] = ACTIONS(1500),
    [anon_sym_PLUS] = ACTIONS(1490),
    [anon_sym_DASH] = ACTIONS(1490),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(1490),
    [anon_sym_void] = ACTIONS(1490),
    [anon_sym_delete] = ACTIONS(1490),
    [anon_sym_PLUS_PLUS] = ACTIONS(1506),
    [anon_sym_DASH_DASH] = ACTIONS(1506),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(1508),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1772),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1482),
    [anon_sym_readonly] = ACTIONS(1482),
    [anon_sym_get] = ACTIONS(1482),
    [anon_sym_set] = ACTIONS(1482),
    [anon_sym_declare] = ACTIONS(1482),
    [anon_sym_public] = ACTIONS(1482),
    [anon_sym_private] = ACTIONS(1482),
    [anon_sym_protected] = ACTIONS(1482),
    [anon_sym_override] = ACTIONS(1482),
    [anon_sym_module] = ACTIONS(1482),
    [anon_sym_any] = ACTIONS(1482),
    [anon_sym_number] = ACTIONS(1482),
    [anon_sym_boolean] = ACTIONS(1482),
    [anon_sym_string] = ACTIONS(1482),
    [anon_sym_symbol] = ACTIONS(1482),
    [anon_sym_object] = ACTIONS(1482),
    [sym_html_comment] = ACTIONS(5),
  },
  [347] = {
    [sym_comment] = STATE(347),
    [ts_builtin_sym_end] = ACTIONS(2095),
    [sym_identifier] = ACTIONS(2093),
    [anon_sym_export] = ACTIONS(2093),
    [anon_sym_STAR] = ACTIONS(2093),
    [anon_sym_type] = ACTIONS(2093),
    [anon_sym_as] = ACTIONS(2093),
    [anon_sym_namespace] = ACTIONS(2093),
    [anon_sym_LBRACE] = ACTIONS(2093),
    [anon_sym_COMMA] = ACTIONS(2093),
    [anon_sym_RBRACE] = ACTIONS(2093),
    [anon_sym_typeof] = ACTIONS(2093),
    [anon_sym_import] = ACTIONS(2093),
    [anon_sym_with] = ACTIONS(2093),
    [anon_sym_var] = ACTIONS(2093),
    [anon_sym_let] = ACTIONS(2093),
    [anon_sym_const] = ACTIONS(2093),
    [anon_sym_BANG] = ACTIONS(2093),
    [anon_sym_else] = ACTIONS(2093),
    [anon_sym_if] = ACTIONS(2093),
    [anon_sym_switch] = ACTIONS(2093),
    [anon_sym_for] = ACTIONS(2093),
    [anon_sym_LPAREN] = ACTIONS(2093),
    [anon_sym_await] = ACTIONS(2093),
    [anon_sym_in] = ACTIONS(2093),
    [anon_sym_while] = ACTIONS(2093),
    [anon_sym_do] = ACTIONS(2093),
    [anon_sym_try] = ACTIONS(2093),
    [anon_sym_break] = ACTIONS(2093),
    [anon_sym_continue] = ACTIONS(2093),
    [anon_sym_debugger] = ACTIONS(2093),
    [anon_sym_return] = ACTIONS(2093),
    [anon_sym_throw] = ACTIONS(2093),
    [anon_sym_SEMI] = ACTIONS(2093),
    [anon_sym_yield] = ACTIONS(2093),
    [anon_sym_LBRACK] = ACTIONS(2093),
    [anon_sym_LTtemplate_GT] = ACTIONS(2093),
    [anon_sym_GT] = ACTIONS(2093),
    [anon_sym_DOT] = ACTIONS(2093),
    [anon_sym_DQUOTE] = ACTIONS(2093),
    [anon_sym_SQUOTE] = ACTIONS(2093),
    [anon_sym_class] = ACTIONS(2093),
    [anon_sym_async] = ACTIONS(2093),
    [anon_sym_function] = ACTIONS(2093),
    [anon_sym_QMARK_DOT] = ACTIONS(2093),
    [anon_sym_new] = ACTIONS(2093),
    [anon_sym_using] = ACTIONS(2093),
    [anon_sym_AMP_AMP] = ACTIONS(2093),
    [anon_sym_PIPE_PIPE] = ACTIONS(2093),
    [anon_sym_GT_GT] = ACTIONS(2093),
    [anon_sym_GT_GT_GT] = ACTIONS(2093),
    [anon_sym_LT_LT] = ACTIONS(2093),
    [anon_sym_AMP] = ACTIONS(2093),
    [anon_sym_CARET] = ACTIONS(2093),
    [anon_sym_PIPE] = ACTIONS(2093),
    [anon_sym_PLUS] = ACTIONS(2093),
    [anon_sym_DASH] = ACTIONS(2093),
    [anon_sym_SLASH] = ACTIONS(2093),
    [anon_sym_PERCENT] = ACTIONS(2093),
    [anon_sym_STAR_STAR] = ACTIONS(2093),
    [anon_sym_LT] = ACTIONS(2093),
    [anon_sym_LT_EQ] = ACTIONS(2093),
    [anon_sym_EQ_EQ] = ACTIONS(2093),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2093),
    [anon_sym_BANG_EQ] = ACTIONS(2093),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2093),
    [anon_sym_GT_EQ] = ACTIONS(2093),
    [anon_sym_QMARK_QMARK] = ACTIONS(2093),
    [anon_sym_instanceof] = ACTIONS(2093),
    [anon_sym_TILDE] = ACTIONS(2093),
    [anon_sym_void] = ACTIONS(2093),
    [anon_sym_delete] = ACTIONS(2093),
    [anon_sym_PLUS_PLUS] = ACTIONS(2093),
    [anon_sym_DASH_DASH] = ACTIONS(2093),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2093),
    [sym_number] = ACTIONS(2093),
    [sym_private_property_identifier] = ACTIONS(2093),
    [sym_this] = ACTIONS(2093),
    [sym_super] = ACTIONS(2093),
    [sym_true] = ACTIONS(2093),
    [sym_false] = ACTIONS(2093),
    [sym_null] = ACTIONS(2093),
    [sym_undefined] = ACTIONS(2093),
    [anon_sym_AT] = ACTIONS(2093),
    [anon_sym_static] = ACTIONS(2093),
    [anon_sym_readonly] = ACTIONS(2093),
    [anon_sym_get] = ACTIONS(2093),
    [anon_sym_set] = ACTIONS(2093),
    [anon_sym_declare] = ACTIONS(2093),
    [anon_sym_public] = ACTIONS(2093),
    [anon_sym_private] = ACTIONS(2093),
    [anon_sym_protected] = ACTIONS(2093),
    [anon_sym_override] = ACTIONS(2093),
    [anon_sym_module] = ACTIONS(2093),
    [anon_sym_any] = ACTIONS(2093),
    [anon_sym_number] = ACTIONS(2093),
    [anon_sym_boolean] = ACTIONS(2093),
    [anon_sym_string] = ACTIONS(2093),
    [anon_sym_symbol] = ACTIONS(2093),
    [anon_sym_object] = ACTIONS(2093),
    [anon_sym_abstract] = ACTIONS(2093),
    [anon_sym_satisfies] = ACTIONS(2093),
    [anon_sym_interface] = ACTIONS(2093),
    [anon_sym_enum] = ACTIONS(2093),
    [sym__automatic_semicolon] = ACTIONS(2095),
    [sym__ternary_qmark] = ACTIONS(2095),
    [sym_html_comment] = ACTIONS(5),
  },
  [348] = {
    [sym_import] = STATE(4318),
    [sym_parenthesized_expression] = STATE(2151),
    [sym_expression] = STATE(2464),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7643),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2151),
    [sym_subscript_expression] = STATE(2151),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3918),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7259),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(348),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2151),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym__type_query_member_expression] = STATE(3745),
    [sym__type_query_subscript_expression] = STATE(3744),
    [sym__type_query_call_expression] = STATE(3813),
    [sym__type_query_instantiation_expression] = STATE(3926),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(2273),
    [anon_sym_export] = ACTIONS(1452),
    [anon_sym_type] = ACTIONS(1452),
    [anon_sym_namespace] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(1127),
    [anon_sym_typeof] = ACTIONS(968),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1452),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(1129),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1462),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1730),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_PLUS] = ACTIONS(968),
    [anon_sym_DASH] = ACTIONS(968),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(968),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1732),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1452),
    [anon_sym_readonly] = ACTIONS(1452),
    [anon_sym_get] = ACTIONS(1452),
    [anon_sym_set] = ACTIONS(1452),
    [anon_sym_declare] = ACTIONS(1452),
    [anon_sym_public] = ACTIONS(1452),
    [anon_sym_private] = ACTIONS(1452),
    [anon_sym_protected] = ACTIONS(1452),
    [anon_sym_override] = ACTIONS(1452),
    [anon_sym_module] = ACTIONS(1452),
    [anon_sym_any] = ACTIONS(1452),
    [anon_sym_number] = ACTIONS(1452),
    [anon_sym_boolean] = ACTIONS(1452),
    [anon_sym_string] = ACTIONS(1452),
    [anon_sym_symbol] = ACTIONS(1452),
    [anon_sym_object] = ACTIONS(1452),
    [sym_html_comment] = ACTIONS(5),
  },
  [349] = {
    [sym_comment] = STATE(349),
    [ts_builtin_sym_end] = ACTIONS(2079),
    [sym_identifier] = ACTIONS(2077),
    [anon_sym_export] = ACTIONS(2077),
    [anon_sym_STAR] = ACTIONS(2077),
    [anon_sym_type] = ACTIONS(2077),
    [anon_sym_as] = ACTIONS(2077),
    [anon_sym_namespace] = ACTIONS(2077),
    [anon_sym_LBRACE] = ACTIONS(2077),
    [anon_sym_COMMA] = ACTIONS(2077),
    [anon_sym_RBRACE] = ACTIONS(2077),
    [anon_sym_typeof] = ACTIONS(2077),
    [anon_sym_import] = ACTIONS(2077),
    [anon_sym_with] = ACTIONS(2077),
    [anon_sym_var] = ACTIONS(2077),
    [anon_sym_let] = ACTIONS(2077),
    [anon_sym_const] = ACTIONS(2077),
    [anon_sym_BANG] = ACTIONS(2077),
    [anon_sym_else] = ACTIONS(2077),
    [anon_sym_if] = ACTIONS(2077),
    [anon_sym_switch] = ACTIONS(2077),
    [anon_sym_for] = ACTIONS(2077),
    [anon_sym_LPAREN] = ACTIONS(2077),
    [anon_sym_await] = ACTIONS(2077),
    [anon_sym_in] = ACTIONS(2077),
    [anon_sym_while] = ACTIONS(2077),
    [anon_sym_do] = ACTIONS(2077),
    [anon_sym_try] = ACTIONS(2077),
    [anon_sym_break] = ACTIONS(2077),
    [anon_sym_continue] = ACTIONS(2077),
    [anon_sym_debugger] = ACTIONS(2077),
    [anon_sym_return] = ACTIONS(2077),
    [anon_sym_throw] = ACTIONS(2077),
    [anon_sym_SEMI] = ACTIONS(2077),
    [anon_sym_yield] = ACTIONS(2077),
    [anon_sym_LBRACK] = ACTIONS(2077),
    [anon_sym_LTtemplate_GT] = ACTIONS(2077),
    [anon_sym_GT] = ACTIONS(2077),
    [anon_sym_DOT] = ACTIONS(2077),
    [anon_sym_DQUOTE] = ACTIONS(2077),
    [anon_sym_SQUOTE] = ACTIONS(2077),
    [anon_sym_class] = ACTIONS(2077),
    [anon_sym_async] = ACTIONS(2077),
    [anon_sym_function] = ACTIONS(2077),
    [anon_sym_QMARK_DOT] = ACTIONS(2077),
    [anon_sym_new] = ACTIONS(2077),
    [anon_sym_using] = ACTIONS(2077),
    [anon_sym_AMP_AMP] = ACTIONS(2077),
    [anon_sym_PIPE_PIPE] = ACTIONS(2077),
    [anon_sym_GT_GT] = ACTIONS(2077),
    [anon_sym_GT_GT_GT] = ACTIONS(2077),
    [anon_sym_LT_LT] = ACTIONS(2077),
    [anon_sym_AMP] = ACTIONS(2077),
    [anon_sym_CARET] = ACTIONS(2077),
    [anon_sym_PIPE] = ACTIONS(2077),
    [anon_sym_PLUS] = ACTIONS(2077),
    [anon_sym_DASH] = ACTIONS(2077),
    [anon_sym_SLASH] = ACTIONS(2077),
    [anon_sym_PERCENT] = ACTIONS(2077),
    [anon_sym_STAR_STAR] = ACTIONS(2077),
    [anon_sym_LT] = ACTIONS(2077),
    [anon_sym_LT_EQ] = ACTIONS(2077),
    [anon_sym_EQ_EQ] = ACTIONS(2077),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2077),
    [anon_sym_BANG_EQ] = ACTIONS(2077),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2077),
    [anon_sym_GT_EQ] = ACTIONS(2077),
    [anon_sym_QMARK_QMARK] = ACTIONS(2077),
    [anon_sym_instanceof] = ACTIONS(2077),
    [anon_sym_TILDE] = ACTIONS(2077),
    [anon_sym_void] = ACTIONS(2077),
    [anon_sym_delete] = ACTIONS(2077),
    [anon_sym_PLUS_PLUS] = ACTIONS(2077),
    [anon_sym_DASH_DASH] = ACTIONS(2077),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2077),
    [sym_number] = ACTIONS(2077),
    [sym_private_property_identifier] = ACTIONS(2077),
    [sym_this] = ACTIONS(2077),
    [sym_super] = ACTIONS(2077),
    [sym_true] = ACTIONS(2077),
    [sym_false] = ACTIONS(2077),
    [sym_null] = ACTIONS(2077),
    [sym_undefined] = ACTIONS(2077),
    [anon_sym_AT] = ACTIONS(2077),
    [anon_sym_static] = ACTIONS(2077),
    [anon_sym_readonly] = ACTIONS(2077),
    [anon_sym_get] = ACTIONS(2077),
    [anon_sym_set] = ACTIONS(2077),
    [anon_sym_declare] = ACTIONS(2077),
    [anon_sym_public] = ACTIONS(2077),
    [anon_sym_private] = ACTIONS(2077),
    [anon_sym_protected] = ACTIONS(2077),
    [anon_sym_override] = ACTIONS(2077),
    [anon_sym_module] = ACTIONS(2077),
    [anon_sym_any] = ACTIONS(2077),
    [anon_sym_number] = ACTIONS(2077),
    [anon_sym_boolean] = ACTIONS(2077),
    [anon_sym_string] = ACTIONS(2077),
    [anon_sym_symbol] = ACTIONS(2077),
    [anon_sym_object] = ACTIONS(2077),
    [anon_sym_abstract] = ACTIONS(2077),
    [anon_sym_satisfies] = ACTIONS(2077),
    [anon_sym_interface] = ACTIONS(2077),
    [anon_sym_enum] = ACTIONS(2077),
    [sym__automatic_semicolon] = ACTIONS(2079),
    [sym__ternary_qmark] = ACTIONS(2079),
    [sym_html_comment] = ACTIONS(5),
  },
  [350] = {
    [sym_comment] = STATE(350),
    [ts_builtin_sym_end] = ACTIONS(2275),
    [sym_identifier] = ACTIONS(2135),
    [anon_sym_export] = ACTIONS(2135),
    [anon_sym_STAR] = ACTIONS(2137),
    [anon_sym_type] = ACTIONS(2135),
    [anon_sym_as] = ACTIONS(2137),
    [anon_sym_namespace] = ACTIONS(2135),
    [anon_sym_LBRACE] = ACTIONS(2135),
    [anon_sym_COMMA] = ACTIONS(2137),
    [anon_sym_RBRACE] = ACTIONS(2135),
    [anon_sym_typeof] = ACTIONS(2135),
    [anon_sym_import] = ACTIONS(2135),
    [anon_sym_with] = ACTIONS(2135),
    [anon_sym_var] = ACTIONS(2135),
    [anon_sym_let] = ACTIONS(2135),
    [anon_sym_const] = ACTIONS(2135),
    [anon_sym_BANG] = ACTIONS(2135),
    [anon_sym_else] = ACTIONS(2135),
    [anon_sym_if] = ACTIONS(2135),
    [anon_sym_switch] = ACTIONS(2135),
    [anon_sym_for] = ACTIONS(2135),
    [anon_sym_LPAREN] = ACTIONS(2135),
    [anon_sym_await] = ACTIONS(2135),
    [anon_sym_in] = ACTIONS(2137),
    [anon_sym_while] = ACTIONS(2135),
    [anon_sym_do] = ACTIONS(2135),
    [anon_sym_try] = ACTIONS(2135),
    [anon_sym_break] = ACTIONS(2135),
    [anon_sym_continue] = ACTIONS(2135),
    [anon_sym_debugger] = ACTIONS(2135),
    [anon_sym_return] = ACTIONS(2135),
    [anon_sym_throw] = ACTIONS(2135),
    [anon_sym_SEMI] = ACTIONS(2135),
    [anon_sym_yield] = ACTIONS(2135),
    [anon_sym_LBRACK] = ACTIONS(2135),
    [anon_sym_LTtemplate_GT] = ACTIONS(2135),
    [anon_sym_GT] = ACTIONS(2137),
    [anon_sym_DOT] = ACTIONS(2137),
    [anon_sym_DQUOTE] = ACTIONS(2135),
    [anon_sym_SQUOTE] = ACTIONS(2135),
    [anon_sym_class] = ACTIONS(2135),
    [anon_sym_async] = ACTIONS(2135),
    [anon_sym_function] = ACTIONS(2135),
    [anon_sym_QMARK_DOT] = ACTIONS(2137),
    [anon_sym_new] = ACTIONS(2135),
    [anon_sym_using] = ACTIONS(2135),
    [anon_sym_AMP_AMP] = ACTIONS(2137),
    [anon_sym_PIPE_PIPE] = ACTIONS(2137),
    [anon_sym_GT_GT] = ACTIONS(2137),
    [anon_sym_GT_GT_GT] = ACTIONS(2137),
    [anon_sym_LT_LT] = ACTIONS(2137),
    [anon_sym_AMP] = ACTIONS(2137),
    [anon_sym_CARET] = ACTIONS(2137),
    [anon_sym_PIPE] = ACTIONS(2137),
    [anon_sym_PLUS] = ACTIONS(2135),
    [anon_sym_DASH] = ACTIONS(2135),
    [anon_sym_SLASH] = ACTIONS(2135),
    [anon_sym_PERCENT] = ACTIONS(2137),
    [anon_sym_STAR_STAR] = ACTIONS(2137),
    [anon_sym_LT] = ACTIONS(2135),
    [anon_sym_LT_EQ] = ACTIONS(2137),
    [anon_sym_EQ_EQ] = ACTIONS(2137),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2137),
    [anon_sym_BANG_EQ] = ACTIONS(2137),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2137),
    [anon_sym_GT_EQ] = ACTIONS(2137),
    [anon_sym_QMARK_QMARK] = ACTIONS(2137),
    [anon_sym_instanceof] = ACTIONS(2137),
    [anon_sym_TILDE] = ACTIONS(2135),
    [anon_sym_void] = ACTIONS(2135),
    [anon_sym_delete] = ACTIONS(2135),
    [anon_sym_PLUS_PLUS] = ACTIONS(2135),
    [anon_sym_DASH_DASH] = ACTIONS(2135),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2135),
    [sym_number] = ACTIONS(2135),
    [sym_private_property_identifier] = ACTIONS(2135),
    [sym_this] = ACTIONS(2135),
    [sym_super] = ACTIONS(2135),
    [sym_true] = ACTIONS(2135),
    [sym_false] = ACTIONS(2135),
    [sym_null] = ACTIONS(2135),
    [sym_undefined] = ACTIONS(2135),
    [anon_sym_AT] = ACTIONS(2135),
    [anon_sym_static] = ACTIONS(2135),
    [anon_sym_readonly] = ACTIONS(2135),
    [anon_sym_get] = ACTIONS(2135),
    [anon_sym_set] = ACTIONS(2135),
    [anon_sym_declare] = ACTIONS(2135),
    [anon_sym_public] = ACTIONS(2135),
    [anon_sym_private] = ACTIONS(2135),
    [anon_sym_protected] = ACTIONS(2135),
    [anon_sym_override] = ACTIONS(2135),
    [anon_sym_module] = ACTIONS(2135),
    [anon_sym_any] = ACTIONS(2135),
    [anon_sym_number] = ACTIONS(2135),
    [anon_sym_boolean] = ACTIONS(2135),
    [anon_sym_string] = ACTIONS(2135),
    [anon_sym_symbol] = ACTIONS(2135),
    [anon_sym_object] = ACTIONS(2135),
    [anon_sym_abstract] = ACTIONS(2135),
    [anon_sym_satisfies] = ACTIONS(2137),
    [anon_sym_interface] = ACTIONS(2135),
    [anon_sym_enum] = ACTIONS(2135),
    [sym__automatic_semicolon] = ACTIONS(2277),
    [sym__ternary_qmark] = ACTIONS(2141),
    [sym_html_comment] = ACTIONS(5),
  },
  [351] = {
    [sym_comment] = STATE(351),
    [sym_identifier] = ACTIONS(2093),
    [anon_sym_export] = ACTIONS(2093),
    [anon_sym_STAR] = ACTIONS(2093),
    [anon_sym_default] = ACTIONS(2093),
    [anon_sym_type] = ACTIONS(2093),
    [anon_sym_as] = ACTIONS(2093),
    [anon_sym_namespace] = ACTIONS(2093),
    [anon_sym_LBRACE] = ACTIONS(2093),
    [anon_sym_COMMA] = ACTIONS(2093),
    [anon_sym_RBRACE] = ACTIONS(2093),
    [anon_sym_typeof] = ACTIONS(2093),
    [anon_sym_import] = ACTIONS(2093),
    [anon_sym_with] = ACTIONS(2093),
    [anon_sym_var] = ACTIONS(2093),
    [anon_sym_let] = ACTIONS(2093),
    [anon_sym_const] = ACTIONS(2093),
    [anon_sym_BANG] = ACTIONS(2093),
    [anon_sym_if] = ACTIONS(2093),
    [anon_sym_switch] = ACTIONS(2093),
    [anon_sym_for] = ACTIONS(2093),
    [anon_sym_LPAREN] = ACTIONS(2093),
    [anon_sym_await] = ACTIONS(2093),
    [anon_sym_in] = ACTIONS(2093),
    [anon_sym_while] = ACTIONS(2093),
    [anon_sym_do] = ACTIONS(2093),
    [anon_sym_try] = ACTIONS(2093),
    [anon_sym_break] = ACTIONS(2093),
    [anon_sym_continue] = ACTIONS(2093),
    [anon_sym_debugger] = ACTIONS(2093),
    [anon_sym_return] = ACTIONS(2093),
    [anon_sym_throw] = ACTIONS(2093),
    [anon_sym_SEMI] = ACTIONS(2093),
    [anon_sym_case] = ACTIONS(2093),
    [anon_sym_yield] = ACTIONS(2093),
    [anon_sym_LBRACK] = ACTIONS(2093),
    [anon_sym_LTtemplate_GT] = ACTIONS(2093),
    [anon_sym_GT] = ACTIONS(2093),
    [anon_sym_DOT] = ACTIONS(2093),
    [anon_sym_DQUOTE] = ACTIONS(2093),
    [anon_sym_SQUOTE] = ACTIONS(2093),
    [anon_sym_class] = ACTIONS(2093),
    [anon_sym_async] = ACTIONS(2093),
    [anon_sym_function] = ACTIONS(2093),
    [anon_sym_QMARK_DOT] = ACTIONS(2093),
    [anon_sym_new] = ACTIONS(2093),
    [anon_sym_using] = ACTIONS(2093),
    [anon_sym_AMP_AMP] = ACTIONS(2093),
    [anon_sym_PIPE_PIPE] = ACTIONS(2093),
    [anon_sym_GT_GT] = ACTIONS(2093),
    [anon_sym_GT_GT_GT] = ACTIONS(2093),
    [anon_sym_LT_LT] = ACTIONS(2093),
    [anon_sym_AMP] = ACTIONS(2093),
    [anon_sym_CARET] = ACTIONS(2093),
    [anon_sym_PIPE] = ACTIONS(2093),
    [anon_sym_PLUS] = ACTIONS(2093),
    [anon_sym_DASH] = ACTIONS(2093),
    [anon_sym_SLASH] = ACTIONS(2093),
    [anon_sym_PERCENT] = ACTIONS(2093),
    [anon_sym_STAR_STAR] = ACTIONS(2093),
    [anon_sym_LT] = ACTIONS(2093),
    [anon_sym_LT_EQ] = ACTIONS(2093),
    [anon_sym_EQ_EQ] = ACTIONS(2093),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2093),
    [anon_sym_BANG_EQ] = ACTIONS(2093),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2093),
    [anon_sym_GT_EQ] = ACTIONS(2093),
    [anon_sym_QMARK_QMARK] = ACTIONS(2093),
    [anon_sym_instanceof] = ACTIONS(2093),
    [anon_sym_TILDE] = ACTIONS(2093),
    [anon_sym_void] = ACTIONS(2093),
    [anon_sym_delete] = ACTIONS(2093),
    [anon_sym_PLUS_PLUS] = ACTIONS(2093),
    [anon_sym_DASH_DASH] = ACTIONS(2093),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2093),
    [sym_number] = ACTIONS(2093),
    [sym_private_property_identifier] = ACTIONS(2093),
    [sym_this] = ACTIONS(2093),
    [sym_super] = ACTIONS(2093),
    [sym_true] = ACTIONS(2093),
    [sym_false] = ACTIONS(2093),
    [sym_null] = ACTIONS(2093),
    [sym_undefined] = ACTIONS(2093),
    [anon_sym_AT] = ACTIONS(2093),
    [anon_sym_static] = ACTIONS(2093),
    [anon_sym_readonly] = ACTIONS(2093),
    [anon_sym_get] = ACTIONS(2093),
    [anon_sym_set] = ACTIONS(2093),
    [anon_sym_declare] = ACTIONS(2093),
    [anon_sym_public] = ACTIONS(2093),
    [anon_sym_private] = ACTIONS(2093),
    [anon_sym_protected] = ACTIONS(2093),
    [anon_sym_override] = ACTIONS(2093),
    [anon_sym_module] = ACTIONS(2093),
    [anon_sym_any] = ACTIONS(2093),
    [anon_sym_number] = ACTIONS(2093),
    [anon_sym_boolean] = ACTIONS(2093),
    [anon_sym_string] = ACTIONS(2093),
    [anon_sym_symbol] = ACTIONS(2093),
    [anon_sym_object] = ACTIONS(2093),
    [anon_sym_abstract] = ACTIONS(2093),
    [anon_sym_satisfies] = ACTIONS(2093),
    [anon_sym_interface] = ACTIONS(2093),
    [anon_sym_enum] = ACTIONS(2093),
    [sym__automatic_semicolon] = ACTIONS(2095),
    [sym__ternary_qmark] = ACTIONS(2095),
    [sym_html_comment] = ACTIONS(5),
  },
  [352] = {
    [sym_comment] = STATE(352),
    [ts_builtin_sym_end] = ACTIONS(2279),
    [sym_identifier] = ACTIONS(2149),
    [anon_sym_export] = ACTIONS(2149),
    [anon_sym_STAR] = ACTIONS(2151),
    [anon_sym_type] = ACTIONS(2149),
    [anon_sym_as] = ACTIONS(2151),
    [anon_sym_namespace] = ACTIONS(2149),
    [anon_sym_LBRACE] = ACTIONS(2149),
    [anon_sym_COMMA] = ACTIONS(2151),
    [anon_sym_RBRACE] = ACTIONS(2149),
    [anon_sym_typeof] = ACTIONS(2149),
    [anon_sym_import] = ACTIONS(2149),
    [anon_sym_with] = ACTIONS(2149),
    [anon_sym_var] = ACTIONS(2149),
    [anon_sym_let] = ACTIONS(2149),
    [anon_sym_const] = ACTIONS(2149),
    [anon_sym_BANG] = ACTIONS(2149),
    [anon_sym_else] = ACTIONS(2149),
    [anon_sym_if] = ACTIONS(2149),
    [anon_sym_switch] = ACTIONS(2149),
    [anon_sym_for] = ACTIONS(2149),
    [anon_sym_LPAREN] = ACTIONS(2149),
    [anon_sym_await] = ACTIONS(2149),
    [anon_sym_in] = ACTIONS(2151),
    [anon_sym_while] = ACTIONS(2149),
    [anon_sym_do] = ACTIONS(2149),
    [anon_sym_try] = ACTIONS(2149),
    [anon_sym_break] = ACTIONS(2149),
    [anon_sym_continue] = ACTIONS(2149),
    [anon_sym_debugger] = ACTIONS(2149),
    [anon_sym_return] = ACTIONS(2149),
    [anon_sym_throw] = ACTIONS(2149),
    [anon_sym_SEMI] = ACTIONS(2149),
    [anon_sym_yield] = ACTIONS(2149),
    [anon_sym_LBRACK] = ACTIONS(2149),
    [anon_sym_LTtemplate_GT] = ACTIONS(2149),
    [anon_sym_GT] = ACTIONS(2151),
    [anon_sym_DOT] = ACTIONS(2151),
    [anon_sym_DQUOTE] = ACTIONS(2149),
    [anon_sym_SQUOTE] = ACTIONS(2149),
    [anon_sym_class] = ACTIONS(2149),
    [anon_sym_async] = ACTIONS(2149),
    [anon_sym_function] = ACTIONS(2149),
    [anon_sym_QMARK_DOT] = ACTIONS(2151),
    [anon_sym_new] = ACTIONS(2149),
    [anon_sym_using] = ACTIONS(2149),
    [anon_sym_AMP_AMP] = ACTIONS(2151),
    [anon_sym_PIPE_PIPE] = ACTIONS(2151),
    [anon_sym_GT_GT] = ACTIONS(2151),
    [anon_sym_GT_GT_GT] = ACTIONS(2151),
    [anon_sym_LT_LT] = ACTIONS(2151),
    [anon_sym_AMP] = ACTIONS(2151),
    [anon_sym_CARET] = ACTIONS(2151),
    [anon_sym_PIPE] = ACTIONS(2151),
    [anon_sym_PLUS] = ACTIONS(2149),
    [anon_sym_DASH] = ACTIONS(2149),
    [anon_sym_SLASH] = ACTIONS(2149),
    [anon_sym_PERCENT] = ACTIONS(2151),
    [anon_sym_STAR_STAR] = ACTIONS(2151),
    [anon_sym_LT] = ACTIONS(2149),
    [anon_sym_LT_EQ] = ACTIONS(2151),
    [anon_sym_EQ_EQ] = ACTIONS(2151),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2151),
    [anon_sym_BANG_EQ] = ACTIONS(2151),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2151),
    [anon_sym_GT_EQ] = ACTIONS(2151),
    [anon_sym_QMARK_QMARK] = ACTIONS(2151),
    [anon_sym_instanceof] = ACTIONS(2151),
    [anon_sym_TILDE] = ACTIONS(2149),
    [anon_sym_void] = ACTIONS(2149),
    [anon_sym_delete] = ACTIONS(2149),
    [anon_sym_PLUS_PLUS] = ACTIONS(2149),
    [anon_sym_DASH_DASH] = ACTIONS(2149),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2149),
    [sym_number] = ACTIONS(2149),
    [sym_private_property_identifier] = ACTIONS(2149),
    [sym_this] = ACTIONS(2149),
    [sym_super] = ACTIONS(2149),
    [sym_true] = ACTIONS(2149),
    [sym_false] = ACTIONS(2149),
    [sym_null] = ACTIONS(2149),
    [sym_undefined] = ACTIONS(2149),
    [anon_sym_AT] = ACTIONS(2149),
    [anon_sym_static] = ACTIONS(2149),
    [anon_sym_readonly] = ACTIONS(2149),
    [anon_sym_get] = ACTIONS(2149),
    [anon_sym_set] = ACTIONS(2149),
    [anon_sym_declare] = ACTIONS(2149),
    [anon_sym_public] = ACTIONS(2149),
    [anon_sym_private] = ACTIONS(2149),
    [anon_sym_protected] = ACTIONS(2149),
    [anon_sym_override] = ACTIONS(2149),
    [anon_sym_module] = ACTIONS(2149),
    [anon_sym_any] = ACTIONS(2149),
    [anon_sym_number] = ACTIONS(2149),
    [anon_sym_boolean] = ACTIONS(2149),
    [anon_sym_string] = ACTIONS(2149),
    [anon_sym_symbol] = ACTIONS(2149),
    [anon_sym_object] = ACTIONS(2149),
    [anon_sym_abstract] = ACTIONS(2149),
    [anon_sym_satisfies] = ACTIONS(2151),
    [anon_sym_interface] = ACTIONS(2149),
    [anon_sym_enum] = ACTIONS(2149),
    [sym__automatic_semicolon] = ACTIONS(2281),
    [sym__ternary_qmark] = ACTIONS(2155),
    [sym_html_comment] = ACTIONS(5),
  },
  [353] = {
    [sym_comment] = STATE(353),
    [ts_builtin_sym_end] = ACTIONS(2283),
    [sym_identifier] = ACTIONS(2229),
    [anon_sym_export] = ACTIONS(2229),
    [anon_sym_STAR] = ACTIONS(2231),
    [anon_sym_type] = ACTIONS(2229),
    [anon_sym_as] = ACTIONS(2231),
    [anon_sym_namespace] = ACTIONS(2229),
    [anon_sym_LBRACE] = ACTIONS(2229),
    [anon_sym_COMMA] = ACTIONS(2231),
    [anon_sym_RBRACE] = ACTIONS(2229),
    [anon_sym_typeof] = ACTIONS(2229),
    [anon_sym_import] = ACTIONS(2229),
    [anon_sym_with] = ACTIONS(2229),
    [anon_sym_var] = ACTIONS(2229),
    [anon_sym_let] = ACTIONS(2229),
    [anon_sym_const] = ACTIONS(2229),
    [anon_sym_BANG] = ACTIONS(2229),
    [anon_sym_else] = ACTIONS(2229),
    [anon_sym_if] = ACTIONS(2229),
    [anon_sym_switch] = ACTIONS(2229),
    [anon_sym_for] = ACTIONS(2229),
    [anon_sym_LPAREN] = ACTIONS(2229),
    [anon_sym_await] = ACTIONS(2229),
    [anon_sym_in] = ACTIONS(2231),
    [anon_sym_while] = ACTIONS(2229),
    [anon_sym_do] = ACTIONS(2229),
    [anon_sym_try] = ACTIONS(2229),
    [anon_sym_break] = ACTIONS(2229),
    [anon_sym_continue] = ACTIONS(2229),
    [anon_sym_debugger] = ACTIONS(2229),
    [anon_sym_return] = ACTIONS(2229),
    [anon_sym_throw] = ACTIONS(2229),
    [anon_sym_SEMI] = ACTIONS(2229),
    [anon_sym_yield] = ACTIONS(2229),
    [anon_sym_LBRACK] = ACTIONS(2229),
    [anon_sym_LTtemplate_GT] = ACTIONS(2229),
    [anon_sym_GT] = ACTIONS(2231),
    [anon_sym_DOT] = ACTIONS(2231),
    [anon_sym_DQUOTE] = ACTIONS(2229),
    [anon_sym_SQUOTE] = ACTIONS(2229),
    [anon_sym_class] = ACTIONS(2229),
    [anon_sym_async] = ACTIONS(2229),
    [anon_sym_function] = ACTIONS(2229),
    [anon_sym_QMARK_DOT] = ACTIONS(2231),
    [anon_sym_new] = ACTIONS(2229),
    [anon_sym_using] = ACTIONS(2229),
    [anon_sym_AMP_AMP] = ACTIONS(2231),
    [anon_sym_PIPE_PIPE] = ACTIONS(2231),
    [anon_sym_GT_GT] = ACTIONS(2231),
    [anon_sym_GT_GT_GT] = ACTIONS(2231),
    [anon_sym_LT_LT] = ACTIONS(2231),
    [anon_sym_AMP] = ACTIONS(2231),
    [anon_sym_CARET] = ACTIONS(2231),
    [anon_sym_PIPE] = ACTIONS(2231),
    [anon_sym_PLUS] = ACTIONS(2229),
    [anon_sym_DASH] = ACTIONS(2229),
    [anon_sym_SLASH] = ACTIONS(2229),
    [anon_sym_PERCENT] = ACTIONS(2231),
    [anon_sym_STAR_STAR] = ACTIONS(2231),
    [anon_sym_LT] = ACTIONS(2229),
    [anon_sym_LT_EQ] = ACTIONS(2231),
    [anon_sym_EQ_EQ] = ACTIONS(2231),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2231),
    [anon_sym_BANG_EQ] = ACTIONS(2231),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2231),
    [anon_sym_GT_EQ] = ACTIONS(2231),
    [anon_sym_QMARK_QMARK] = ACTIONS(2231),
    [anon_sym_instanceof] = ACTIONS(2231),
    [anon_sym_TILDE] = ACTIONS(2229),
    [anon_sym_void] = ACTIONS(2229),
    [anon_sym_delete] = ACTIONS(2229),
    [anon_sym_PLUS_PLUS] = ACTIONS(2229),
    [anon_sym_DASH_DASH] = ACTIONS(2229),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2229),
    [sym_number] = ACTIONS(2229),
    [sym_private_property_identifier] = ACTIONS(2229),
    [sym_this] = ACTIONS(2229),
    [sym_super] = ACTIONS(2229),
    [sym_true] = ACTIONS(2229),
    [sym_false] = ACTIONS(2229),
    [sym_null] = ACTIONS(2229),
    [sym_undefined] = ACTIONS(2229),
    [anon_sym_AT] = ACTIONS(2229),
    [anon_sym_static] = ACTIONS(2229),
    [anon_sym_readonly] = ACTIONS(2229),
    [anon_sym_get] = ACTIONS(2229),
    [anon_sym_set] = ACTIONS(2229),
    [anon_sym_declare] = ACTIONS(2229),
    [anon_sym_public] = ACTIONS(2229),
    [anon_sym_private] = ACTIONS(2229),
    [anon_sym_protected] = ACTIONS(2229),
    [anon_sym_override] = ACTIONS(2229),
    [anon_sym_module] = ACTIONS(2229),
    [anon_sym_any] = ACTIONS(2229),
    [anon_sym_number] = ACTIONS(2229),
    [anon_sym_boolean] = ACTIONS(2229),
    [anon_sym_string] = ACTIONS(2229),
    [anon_sym_symbol] = ACTIONS(2229),
    [anon_sym_object] = ACTIONS(2229),
    [anon_sym_abstract] = ACTIONS(2229),
    [anon_sym_satisfies] = ACTIONS(2231),
    [anon_sym_interface] = ACTIONS(2229),
    [anon_sym_enum] = ACTIONS(2229),
    [sym__automatic_semicolon] = ACTIONS(2285),
    [sym__ternary_qmark] = ACTIONS(2235),
    [sym_html_comment] = ACTIONS(5),
  },
  [354] = {
    [sym_import] = STATE(4369),
    [sym_expression_statement] = STATE(466),
    [sym_empty_statement] = STATE(466),
    [sym_parenthesized_expression] = STATE(2177),
    [sym_expression] = STATE(2679),
    [sym_primary_expression] = STATE(2990),
    [sym_yield_expression] = STATE(3139),
    [sym_object] = STATE(3113),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(3113),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(3139),
    [sym_glimmer_opening_tag] = STATE(5702),
    [sym_jsx_element] = STATE(3139),
    [sym_jsx_opening_element] = STATE(4008),
    [sym_jsx_self_closing_element] = STATE(3139),
    [sym_class] = STATE(3113),
    [sym_function_expression] = STATE(3113),
    [sym_generator_function] = STATE(3113),
    [sym_arrow_function] = STATE(3113),
    [sym__call_signature] = STATE(7486),
    [sym_call_expression] = STATE(3113),
    [sym_new_expression] = STATE(3139),
    [sym_await_expression] = STATE(3139),
    [sym_member_expression] = STATE(2177),
    [sym_subscript_expression] = STATE(2177),
    [sym_assignment_expression] = STATE(3139),
    [sym__augmented_assignment_lhs] = STATE(3835),
    [sym_augmented_assignment_expression] = STATE(3139),
    [sym__destructuring_pattern] = STATE(7484),
    [sym_ternary_expression] = STATE(3139),
    [sym_binary_expression] = STATE(3139),
    [sym_unary_expression] = STATE(3139),
    [sym_update_expression] = STATE(3139),
    [sym_sequence_expression] = STATE(7092),
    [sym_string] = STATE(3113),
    [sym_comment] = STATE(354),
    [sym_template_string] = STATE(3113),
    [sym_regex] = STATE(3113),
    [sym_meta_property] = STATE(3113),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2177),
    [sym_as_expression] = STATE(3139),
    [sym_satisfies_expression] = STATE(3139),
    [sym_instantiation_expression] = STATE(3139),
    [sym_internal_module] = STATE(3139),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5555),
    [sym_identifier] = ACTIONS(1744),
    [anon_sym_export] = ACTIONS(1596),
    [anon_sym_type] = ACTIONS(1596),
    [anon_sym_namespace] = ACTIONS(1598),
    [anon_sym_LBRACE] = ACTIONS(1020),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1596),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_SEMI] = ACTIONS(2000),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1029),
    [anon_sym_async] = ACTIONS(1602),
    [anon_sym_function] = ACTIONS(1033),
    [anon_sym_new] = ACTIONS(1748),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1596),
    [anon_sym_readonly] = ACTIONS(1596),
    [anon_sym_get] = ACTIONS(1596),
    [anon_sym_set] = ACTIONS(1596),
    [anon_sym_declare] = ACTIONS(1596),
    [anon_sym_public] = ACTIONS(1596),
    [anon_sym_private] = ACTIONS(1596),
    [anon_sym_protected] = ACTIONS(1596),
    [anon_sym_override] = ACTIONS(1596),
    [anon_sym_module] = ACTIONS(1596),
    [anon_sym_any] = ACTIONS(1596),
    [anon_sym_number] = ACTIONS(1596),
    [anon_sym_boolean] = ACTIONS(1596),
    [anon_sym_string] = ACTIONS(1596),
    [anon_sym_symbol] = ACTIONS(1596),
    [anon_sym_object] = ACTIONS(1596),
    [sym_html_comment] = ACTIONS(5),
  },
  [355] = {
    [sym_comment] = STATE(355),
    [ts_builtin_sym_end] = ACTIONS(2147),
    [sym_identifier] = ACTIONS(2145),
    [anon_sym_export] = ACTIONS(2145),
    [anon_sym_STAR] = ACTIONS(2145),
    [anon_sym_type] = ACTIONS(2145),
    [anon_sym_as] = ACTIONS(2145),
    [anon_sym_namespace] = ACTIONS(2145),
    [anon_sym_LBRACE] = ACTIONS(2145),
    [anon_sym_COMMA] = ACTIONS(2145),
    [anon_sym_RBRACE] = ACTIONS(2145),
    [anon_sym_typeof] = ACTIONS(2145),
    [anon_sym_import] = ACTIONS(2145),
    [anon_sym_with] = ACTIONS(2145),
    [anon_sym_var] = ACTIONS(2145),
    [anon_sym_let] = ACTIONS(2145),
    [anon_sym_const] = ACTIONS(2145),
    [anon_sym_BANG] = ACTIONS(2145),
    [anon_sym_else] = ACTIONS(2145),
    [anon_sym_if] = ACTIONS(2145),
    [anon_sym_switch] = ACTIONS(2145),
    [anon_sym_for] = ACTIONS(2145),
    [anon_sym_LPAREN] = ACTIONS(2145),
    [anon_sym_await] = ACTIONS(2145),
    [anon_sym_in] = ACTIONS(2145),
    [anon_sym_while] = ACTIONS(2145),
    [anon_sym_do] = ACTIONS(2145),
    [anon_sym_try] = ACTIONS(2145),
    [anon_sym_break] = ACTIONS(2145),
    [anon_sym_continue] = ACTIONS(2145),
    [anon_sym_debugger] = ACTIONS(2145),
    [anon_sym_return] = ACTIONS(2145),
    [anon_sym_throw] = ACTIONS(2145),
    [anon_sym_SEMI] = ACTIONS(2145),
    [anon_sym_yield] = ACTIONS(2145),
    [anon_sym_LBRACK] = ACTIONS(2145),
    [anon_sym_LTtemplate_GT] = ACTIONS(2145),
    [anon_sym_GT] = ACTIONS(2145),
    [anon_sym_DOT] = ACTIONS(2145),
    [anon_sym_DQUOTE] = ACTIONS(2145),
    [anon_sym_SQUOTE] = ACTIONS(2145),
    [anon_sym_class] = ACTIONS(2145),
    [anon_sym_async] = ACTIONS(2145),
    [anon_sym_function] = ACTIONS(2145),
    [anon_sym_QMARK_DOT] = ACTIONS(2145),
    [anon_sym_new] = ACTIONS(2145),
    [anon_sym_using] = ACTIONS(2145),
    [anon_sym_AMP_AMP] = ACTIONS(2145),
    [anon_sym_PIPE_PIPE] = ACTIONS(2145),
    [anon_sym_GT_GT] = ACTIONS(2145),
    [anon_sym_GT_GT_GT] = ACTIONS(2145),
    [anon_sym_LT_LT] = ACTIONS(2145),
    [anon_sym_AMP] = ACTIONS(2145),
    [anon_sym_CARET] = ACTIONS(2145),
    [anon_sym_PIPE] = ACTIONS(2145),
    [anon_sym_PLUS] = ACTIONS(2145),
    [anon_sym_DASH] = ACTIONS(2145),
    [anon_sym_SLASH] = ACTIONS(2145),
    [anon_sym_PERCENT] = ACTIONS(2145),
    [anon_sym_STAR_STAR] = ACTIONS(2145),
    [anon_sym_LT] = ACTIONS(2145),
    [anon_sym_LT_EQ] = ACTIONS(2145),
    [anon_sym_EQ_EQ] = ACTIONS(2145),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2145),
    [anon_sym_BANG_EQ] = ACTIONS(2145),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2145),
    [anon_sym_GT_EQ] = ACTIONS(2145),
    [anon_sym_QMARK_QMARK] = ACTIONS(2145),
    [anon_sym_instanceof] = ACTIONS(2145),
    [anon_sym_TILDE] = ACTIONS(2145),
    [anon_sym_void] = ACTIONS(2145),
    [anon_sym_delete] = ACTIONS(2145),
    [anon_sym_PLUS_PLUS] = ACTIONS(2145),
    [anon_sym_DASH_DASH] = ACTIONS(2145),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2145),
    [sym_number] = ACTIONS(2145),
    [sym_private_property_identifier] = ACTIONS(2145),
    [sym_this] = ACTIONS(2145),
    [sym_super] = ACTIONS(2145),
    [sym_true] = ACTIONS(2145),
    [sym_false] = ACTIONS(2145),
    [sym_null] = ACTIONS(2145),
    [sym_undefined] = ACTIONS(2145),
    [anon_sym_AT] = ACTIONS(2145),
    [anon_sym_static] = ACTIONS(2145),
    [anon_sym_readonly] = ACTIONS(2145),
    [anon_sym_get] = ACTIONS(2145),
    [anon_sym_set] = ACTIONS(2145),
    [anon_sym_declare] = ACTIONS(2145),
    [anon_sym_public] = ACTIONS(2145),
    [anon_sym_private] = ACTIONS(2145),
    [anon_sym_protected] = ACTIONS(2145),
    [anon_sym_override] = ACTIONS(2145),
    [anon_sym_module] = ACTIONS(2145),
    [anon_sym_any] = ACTIONS(2145),
    [anon_sym_number] = ACTIONS(2145),
    [anon_sym_boolean] = ACTIONS(2145),
    [anon_sym_string] = ACTIONS(2145),
    [anon_sym_symbol] = ACTIONS(2145),
    [anon_sym_object] = ACTIONS(2145),
    [anon_sym_abstract] = ACTIONS(2145),
    [anon_sym_satisfies] = ACTIONS(2145),
    [anon_sym_interface] = ACTIONS(2145),
    [anon_sym_enum] = ACTIONS(2145),
    [sym__automatic_semicolon] = ACTIONS(2147),
    [sym__ternary_qmark] = ACTIONS(2147),
    [sym_html_comment] = ACTIONS(5),
  },
  [356] = {
    [sym_import] = STATE(4369),
    [sym_expression_statement] = STATE(464),
    [sym_empty_statement] = STATE(464),
    [sym_parenthesized_expression] = STATE(2177),
    [sym_expression] = STATE(2679),
    [sym_primary_expression] = STATE(2990),
    [sym_yield_expression] = STATE(3139),
    [sym_object] = STATE(3113),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(3113),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(3139),
    [sym_glimmer_opening_tag] = STATE(5702),
    [sym_jsx_element] = STATE(3139),
    [sym_jsx_opening_element] = STATE(4008),
    [sym_jsx_self_closing_element] = STATE(3139),
    [sym_class] = STATE(3113),
    [sym_function_expression] = STATE(3113),
    [sym_generator_function] = STATE(3113),
    [sym_arrow_function] = STATE(3113),
    [sym__call_signature] = STATE(7486),
    [sym_call_expression] = STATE(3113),
    [sym_new_expression] = STATE(3139),
    [sym_await_expression] = STATE(3139),
    [sym_member_expression] = STATE(2177),
    [sym_subscript_expression] = STATE(2177),
    [sym_assignment_expression] = STATE(3139),
    [sym__augmented_assignment_lhs] = STATE(3835),
    [sym_augmented_assignment_expression] = STATE(3139),
    [sym__destructuring_pattern] = STATE(7484),
    [sym_ternary_expression] = STATE(3139),
    [sym_binary_expression] = STATE(3139),
    [sym_unary_expression] = STATE(3139),
    [sym_update_expression] = STATE(3139),
    [sym_sequence_expression] = STATE(7092),
    [sym_string] = STATE(3113),
    [sym_comment] = STATE(356),
    [sym_template_string] = STATE(3113),
    [sym_regex] = STATE(3113),
    [sym_meta_property] = STATE(3113),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2177),
    [sym_as_expression] = STATE(3139),
    [sym_satisfies_expression] = STATE(3139),
    [sym_instantiation_expression] = STATE(3139),
    [sym_internal_module] = STATE(3139),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5555),
    [sym_identifier] = ACTIONS(1744),
    [anon_sym_export] = ACTIONS(1596),
    [anon_sym_type] = ACTIONS(1596),
    [anon_sym_namespace] = ACTIONS(1598),
    [anon_sym_LBRACE] = ACTIONS(1020),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1596),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_SEMI] = ACTIONS(2000),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1029),
    [anon_sym_async] = ACTIONS(1602),
    [anon_sym_function] = ACTIONS(1033),
    [anon_sym_new] = ACTIONS(1748),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1596),
    [anon_sym_readonly] = ACTIONS(1596),
    [anon_sym_get] = ACTIONS(1596),
    [anon_sym_set] = ACTIONS(1596),
    [anon_sym_declare] = ACTIONS(1596),
    [anon_sym_public] = ACTIONS(1596),
    [anon_sym_private] = ACTIONS(1596),
    [anon_sym_protected] = ACTIONS(1596),
    [anon_sym_override] = ACTIONS(1596),
    [anon_sym_module] = ACTIONS(1596),
    [anon_sym_any] = ACTIONS(1596),
    [anon_sym_number] = ACTIONS(1596),
    [anon_sym_boolean] = ACTIONS(1596),
    [anon_sym_string] = ACTIONS(1596),
    [anon_sym_symbol] = ACTIONS(1596),
    [anon_sym_object] = ACTIONS(1596),
    [sym_html_comment] = ACTIONS(5),
  },
  [357] = {
    [sym_import] = STATE(4275),
    [sym_parenthesized_expression] = STATE(2048),
    [sym_expression] = STATE(3373),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7260),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2048),
    [sym_subscript_expression] = STATE(2048),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3878),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7646),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(357),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2048),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym__type_query_member_expression] = STATE(3745),
    [sym__type_query_subscript_expression] = STATE(3744),
    [sym__type_query_call_expression] = STATE(3813),
    [sym__type_query_instantiation_expression] = STATE(3926),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(2287),
    [anon_sym_export] = ACTIONS(1097),
    [anon_sym_type] = ACTIONS(1097),
    [anon_sym_namespace] = ACTIONS(1099),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(174),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1097),
    [anon_sym_BANG] = ACTIONS(174),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1109),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1111),
    [anon_sym_using] = ACTIONS(157),
    [anon_sym_PLUS] = ACTIONS(174),
    [anon_sym_DASH] = ACTIONS(174),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(174),
    [anon_sym_void] = ACTIONS(174),
    [anon_sym_delete] = ACTIONS(174),
    [anon_sym_PLUS_PLUS] = ACTIONS(1039),
    [anon_sym_DASH_DASH] = ACTIONS(1039),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(185),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1115),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1097),
    [anon_sym_readonly] = ACTIONS(1097),
    [anon_sym_get] = ACTIONS(1097),
    [anon_sym_set] = ACTIONS(1097),
    [anon_sym_declare] = ACTIONS(1097),
    [anon_sym_public] = ACTIONS(1097),
    [anon_sym_private] = ACTIONS(1097),
    [anon_sym_protected] = ACTIONS(1097),
    [anon_sym_override] = ACTIONS(1097),
    [anon_sym_module] = ACTIONS(1097),
    [anon_sym_any] = ACTIONS(1097),
    [anon_sym_number] = ACTIONS(1097),
    [anon_sym_boolean] = ACTIONS(1097),
    [anon_sym_string] = ACTIONS(1097),
    [anon_sym_symbol] = ACTIONS(1097),
    [anon_sym_object] = ACTIONS(1097),
    [sym_html_comment] = ACTIONS(5),
  },
  [358] = {
    [sym_comment] = STATE(358),
    [ts_builtin_sym_end] = ACTIONS(2289),
    [sym_identifier] = ACTIONS(2237),
    [anon_sym_export] = ACTIONS(2237),
    [anon_sym_STAR] = ACTIONS(2239),
    [anon_sym_type] = ACTIONS(2237),
    [anon_sym_as] = ACTIONS(2239),
    [anon_sym_namespace] = ACTIONS(2237),
    [anon_sym_LBRACE] = ACTIONS(2237),
    [anon_sym_COMMA] = ACTIONS(2239),
    [anon_sym_RBRACE] = ACTIONS(2237),
    [anon_sym_typeof] = ACTIONS(2237),
    [anon_sym_import] = ACTIONS(2237),
    [anon_sym_with] = ACTIONS(2237),
    [anon_sym_var] = ACTIONS(2237),
    [anon_sym_let] = ACTIONS(2237),
    [anon_sym_const] = ACTIONS(2237),
    [anon_sym_BANG] = ACTIONS(2237),
    [anon_sym_else] = ACTIONS(2237),
    [anon_sym_if] = ACTIONS(2237),
    [anon_sym_switch] = ACTIONS(2237),
    [anon_sym_for] = ACTIONS(2237),
    [anon_sym_LPAREN] = ACTIONS(2237),
    [anon_sym_await] = ACTIONS(2237),
    [anon_sym_in] = ACTIONS(2239),
    [anon_sym_while] = ACTIONS(2237),
    [anon_sym_do] = ACTIONS(2237),
    [anon_sym_try] = ACTIONS(2237),
    [anon_sym_break] = ACTIONS(2237),
    [anon_sym_continue] = ACTIONS(2237),
    [anon_sym_debugger] = ACTIONS(2237),
    [anon_sym_return] = ACTIONS(2237),
    [anon_sym_throw] = ACTIONS(2237),
    [anon_sym_SEMI] = ACTIONS(2237),
    [anon_sym_yield] = ACTIONS(2237),
    [anon_sym_LBRACK] = ACTIONS(2237),
    [anon_sym_LTtemplate_GT] = ACTIONS(2237),
    [anon_sym_GT] = ACTIONS(2239),
    [anon_sym_DOT] = ACTIONS(2239),
    [anon_sym_DQUOTE] = ACTIONS(2237),
    [anon_sym_SQUOTE] = ACTIONS(2237),
    [anon_sym_class] = ACTIONS(2237),
    [anon_sym_async] = ACTIONS(2237),
    [anon_sym_function] = ACTIONS(2237),
    [anon_sym_QMARK_DOT] = ACTIONS(2239),
    [anon_sym_new] = ACTIONS(2237),
    [anon_sym_using] = ACTIONS(2237),
    [anon_sym_AMP_AMP] = ACTIONS(2239),
    [anon_sym_PIPE_PIPE] = ACTIONS(2239),
    [anon_sym_GT_GT] = ACTIONS(2239),
    [anon_sym_GT_GT_GT] = ACTIONS(2239),
    [anon_sym_LT_LT] = ACTIONS(2239),
    [anon_sym_AMP] = ACTIONS(2239),
    [anon_sym_CARET] = ACTIONS(2239),
    [anon_sym_PIPE] = ACTIONS(2239),
    [anon_sym_PLUS] = ACTIONS(2237),
    [anon_sym_DASH] = ACTIONS(2237),
    [anon_sym_SLASH] = ACTIONS(2237),
    [anon_sym_PERCENT] = ACTIONS(2239),
    [anon_sym_STAR_STAR] = ACTIONS(2239),
    [anon_sym_LT] = ACTIONS(2237),
    [anon_sym_LT_EQ] = ACTIONS(2239),
    [anon_sym_EQ_EQ] = ACTIONS(2239),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2239),
    [anon_sym_BANG_EQ] = ACTIONS(2239),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2239),
    [anon_sym_GT_EQ] = ACTIONS(2239),
    [anon_sym_QMARK_QMARK] = ACTIONS(2239),
    [anon_sym_instanceof] = ACTIONS(2239),
    [anon_sym_TILDE] = ACTIONS(2237),
    [anon_sym_void] = ACTIONS(2237),
    [anon_sym_delete] = ACTIONS(2237),
    [anon_sym_PLUS_PLUS] = ACTIONS(2237),
    [anon_sym_DASH_DASH] = ACTIONS(2237),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2237),
    [sym_number] = ACTIONS(2237),
    [sym_private_property_identifier] = ACTIONS(2237),
    [sym_this] = ACTIONS(2237),
    [sym_super] = ACTIONS(2237),
    [sym_true] = ACTIONS(2237),
    [sym_false] = ACTIONS(2237),
    [sym_null] = ACTIONS(2237),
    [sym_undefined] = ACTIONS(2237),
    [anon_sym_AT] = ACTIONS(2237),
    [anon_sym_static] = ACTIONS(2237),
    [anon_sym_readonly] = ACTIONS(2237),
    [anon_sym_get] = ACTIONS(2237),
    [anon_sym_set] = ACTIONS(2237),
    [anon_sym_declare] = ACTIONS(2237),
    [anon_sym_public] = ACTIONS(2237),
    [anon_sym_private] = ACTIONS(2237),
    [anon_sym_protected] = ACTIONS(2237),
    [anon_sym_override] = ACTIONS(2237),
    [anon_sym_module] = ACTIONS(2237),
    [anon_sym_any] = ACTIONS(2237),
    [anon_sym_number] = ACTIONS(2237),
    [anon_sym_boolean] = ACTIONS(2237),
    [anon_sym_string] = ACTIONS(2237),
    [anon_sym_symbol] = ACTIONS(2237),
    [anon_sym_object] = ACTIONS(2237),
    [anon_sym_abstract] = ACTIONS(2237),
    [anon_sym_satisfies] = ACTIONS(2239),
    [anon_sym_interface] = ACTIONS(2237),
    [anon_sym_enum] = ACTIONS(2237),
    [sym__automatic_semicolon] = ACTIONS(2291),
    [sym__ternary_qmark] = ACTIONS(2243),
    [sym_html_comment] = ACTIONS(5),
  },
  [359] = {
    [sym_comment] = STATE(359),
    [sym_identifier] = ACTIONS(2145),
    [anon_sym_export] = ACTIONS(2145),
    [anon_sym_STAR] = ACTIONS(2145),
    [anon_sym_default] = ACTIONS(2145),
    [anon_sym_type] = ACTIONS(2145),
    [anon_sym_as] = ACTIONS(2145),
    [anon_sym_namespace] = ACTIONS(2145),
    [anon_sym_LBRACE] = ACTIONS(2145),
    [anon_sym_COMMA] = ACTIONS(2145),
    [anon_sym_RBRACE] = ACTIONS(2145),
    [anon_sym_typeof] = ACTIONS(2145),
    [anon_sym_import] = ACTIONS(2145),
    [anon_sym_with] = ACTIONS(2145),
    [anon_sym_var] = ACTIONS(2145),
    [anon_sym_let] = ACTIONS(2145),
    [anon_sym_const] = ACTIONS(2145),
    [anon_sym_BANG] = ACTIONS(2145),
    [anon_sym_if] = ACTIONS(2145),
    [anon_sym_switch] = ACTIONS(2145),
    [anon_sym_for] = ACTIONS(2145),
    [anon_sym_LPAREN] = ACTIONS(2145),
    [anon_sym_await] = ACTIONS(2145),
    [anon_sym_in] = ACTIONS(2145),
    [anon_sym_while] = ACTIONS(2145),
    [anon_sym_do] = ACTIONS(2145),
    [anon_sym_try] = ACTIONS(2145),
    [anon_sym_break] = ACTIONS(2145),
    [anon_sym_continue] = ACTIONS(2145),
    [anon_sym_debugger] = ACTIONS(2145),
    [anon_sym_return] = ACTIONS(2145),
    [anon_sym_throw] = ACTIONS(2145),
    [anon_sym_SEMI] = ACTIONS(2145),
    [anon_sym_case] = ACTIONS(2145),
    [anon_sym_yield] = ACTIONS(2145),
    [anon_sym_LBRACK] = ACTIONS(2145),
    [anon_sym_LTtemplate_GT] = ACTIONS(2145),
    [anon_sym_GT] = ACTIONS(2145),
    [anon_sym_DOT] = ACTIONS(2145),
    [anon_sym_DQUOTE] = ACTIONS(2145),
    [anon_sym_SQUOTE] = ACTIONS(2145),
    [anon_sym_class] = ACTIONS(2145),
    [anon_sym_async] = ACTIONS(2145),
    [anon_sym_function] = ACTIONS(2145),
    [anon_sym_QMARK_DOT] = ACTIONS(2145),
    [anon_sym_new] = ACTIONS(2145),
    [anon_sym_using] = ACTIONS(2145),
    [anon_sym_AMP_AMP] = ACTIONS(2145),
    [anon_sym_PIPE_PIPE] = ACTIONS(2145),
    [anon_sym_GT_GT] = ACTIONS(2145),
    [anon_sym_GT_GT_GT] = ACTIONS(2145),
    [anon_sym_LT_LT] = ACTIONS(2145),
    [anon_sym_AMP] = ACTIONS(2145),
    [anon_sym_CARET] = ACTIONS(2145),
    [anon_sym_PIPE] = ACTIONS(2145),
    [anon_sym_PLUS] = ACTIONS(2145),
    [anon_sym_DASH] = ACTIONS(2145),
    [anon_sym_SLASH] = ACTIONS(2145),
    [anon_sym_PERCENT] = ACTIONS(2145),
    [anon_sym_STAR_STAR] = ACTIONS(2145),
    [anon_sym_LT] = ACTIONS(2145),
    [anon_sym_LT_EQ] = ACTIONS(2145),
    [anon_sym_EQ_EQ] = ACTIONS(2145),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2145),
    [anon_sym_BANG_EQ] = ACTIONS(2145),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2145),
    [anon_sym_GT_EQ] = ACTIONS(2145),
    [anon_sym_QMARK_QMARK] = ACTIONS(2145),
    [anon_sym_instanceof] = ACTIONS(2145),
    [anon_sym_TILDE] = ACTIONS(2145),
    [anon_sym_void] = ACTIONS(2145),
    [anon_sym_delete] = ACTIONS(2145),
    [anon_sym_PLUS_PLUS] = ACTIONS(2145),
    [anon_sym_DASH_DASH] = ACTIONS(2145),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2145),
    [sym_number] = ACTIONS(2145),
    [sym_private_property_identifier] = ACTIONS(2145),
    [sym_this] = ACTIONS(2145),
    [sym_super] = ACTIONS(2145),
    [sym_true] = ACTIONS(2145),
    [sym_false] = ACTIONS(2145),
    [sym_null] = ACTIONS(2145),
    [sym_undefined] = ACTIONS(2145),
    [anon_sym_AT] = ACTIONS(2145),
    [anon_sym_static] = ACTIONS(2145),
    [anon_sym_readonly] = ACTIONS(2145),
    [anon_sym_get] = ACTIONS(2145),
    [anon_sym_set] = ACTIONS(2145),
    [anon_sym_declare] = ACTIONS(2145),
    [anon_sym_public] = ACTIONS(2145),
    [anon_sym_private] = ACTIONS(2145),
    [anon_sym_protected] = ACTIONS(2145),
    [anon_sym_override] = ACTIONS(2145),
    [anon_sym_module] = ACTIONS(2145),
    [anon_sym_any] = ACTIONS(2145),
    [anon_sym_number] = ACTIONS(2145),
    [anon_sym_boolean] = ACTIONS(2145),
    [anon_sym_string] = ACTIONS(2145),
    [anon_sym_symbol] = ACTIONS(2145),
    [anon_sym_object] = ACTIONS(2145),
    [anon_sym_abstract] = ACTIONS(2145),
    [anon_sym_satisfies] = ACTIONS(2145),
    [anon_sym_interface] = ACTIONS(2145),
    [anon_sym_enum] = ACTIONS(2145),
    [sym__automatic_semicolon] = ACTIONS(2147),
    [sym__ternary_qmark] = ACTIONS(2147),
    [sym_html_comment] = ACTIONS(5),
  },
  [360] = {
    [sym_comment] = STATE(360),
    [ts_builtin_sym_end] = ACTIONS(2223),
    [sym_identifier] = ACTIONS(2221),
    [anon_sym_export] = ACTIONS(2221),
    [anon_sym_STAR] = ACTIONS(2221),
    [anon_sym_type] = ACTIONS(2221),
    [anon_sym_as] = ACTIONS(2221),
    [anon_sym_namespace] = ACTIONS(2221),
    [anon_sym_LBRACE] = ACTIONS(2221),
    [anon_sym_COMMA] = ACTIONS(2221),
    [anon_sym_RBRACE] = ACTIONS(2221),
    [anon_sym_typeof] = ACTIONS(2221),
    [anon_sym_import] = ACTIONS(2221),
    [anon_sym_with] = ACTIONS(2221),
    [anon_sym_var] = ACTIONS(2221),
    [anon_sym_let] = ACTIONS(2221),
    [anon_sym_const] = ACTIONS(2221),
    [anon_sym_BANG] = ACTIONS(2221),
    [anon_sym_else] = ACTIONS(2221),
    [anon_sym_if] = ACTIONS(2221),
    [anon_sym_switch] = ACTIONS(2221),
    [anon_sym_for] = ACTIONS(2221),
    [anon_sym_LPAREN] = ACTIONS(2221),
    [anon_sym_await] = ACTIONS(2221),
    [anon_sym_in] = ACTIONS(2221),
    [anon_sym_while] = ACTIONS(2221),
    [anon_sym_do] = ACTIONS(2221),
    [anon_sym_try] = ACTIONS(2221),
    [anon_sym_break] = ACTIONS(2221),
    [anon_sym_continue] = ACTIONS(2221),
    [anon_sym_debugger] = ACTIONS(2221),
    [anon_sym_return] = ACTIONS(2221),
    [anon_sym_throw] = ACTIONS(2221),
    [anon_sym_SEMI] = ACTIONS(2221),
    [anon_sym_yield] = ACTIONS(2221),
    [anon_sym_LBRACK] = ACTIONS(2221),
    [anon_sym_LTtemplate_GT] = ACTIONS(2221),
    [anon_sym_GT] = ACTIONS(2221),
    [anon_sym_DOT] = ACTIONS(2221),
    [anon_sym_DQUOTE] = ACTIONS(2221),
    [anon_sym_SQUOTE] = ACTIONS(2221),
    [anon_sym_class] = ACTIONS(2221),
    [anon_sym_async] = ACTIONS(2221),
    [anon_sym_function] = ACTIONS(2221),
    [anon_sym_QMARK_DOT] = ACTIONS(2221),
    [anon_sym_new] = ACTIONS(2221),
    [anon_sym_using] = ACTIONS(2221),
    [anon_sym_AMP_AMP] = ACTIONS(2221),
    [anon_sym_PIPE_PIPE] = ACTIONS(2221),
    [anon_sym_GT_GT] = ACTIONS(2221),
    [anon_sym_GT_GT_GT] = ACTIONS(2221),
    [anon_sym_LT_LT] = ACTIONS(2221),
    [anon_sym_AMP] = ACTIONS(2221),
    [anon_sym_CARET] = ACTIONS(2221),
    [anon_sym_PIPE] = ACTIONS(2221),
    [anon_sym_PLUS] = ACTIONS(2221),
    [anon_sym_DASH] = ACTIONS(2221),
    [anon_sym_SLASH] = ACTIONS(2221),
    [anon_sym_PERCENT] = ACTIONS(2221),
    [anon_sym_STAR_STAR] = ACTIONS(2221),
    [anon_sym_LT] = ACTIONS(2221),
    [anon_sym_LT_EQ] = ACTIONS(2221),
    [anon_sym_EQ_EQ] = ACTIONS(2221),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2221),
    [anon_sym_BANG_EQ] = ACTIONS(2221),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2221),
    [anon_sym_GT_EQ] = ACTIONS(2221),
    [anon_sym_QMARK_QMARK] = ACTIONS(2221),
    [anon_sym_instanceof] = ACTIONS(2221),
    [anon_sym_TILDE] = ACTIONS(2221),
    [anon_sym_void] = ACTIONS(2221),
    [anon_sym_delete] = ACTIONS(2221),
    [anon_sym_PLUS_PLUS] = ACTIONS(2221),
    [anon_sym_DASH_DASH] = ACTIONS(2221),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2221),
    [sym_number] = ACTIONS(2221),
    [sym_private_property_identifier] = ACTIONS(2221),
    [sym_this] = ACTIONS(2221),
    [sym_super] = ACTIONS(2221),
    [sym_true] = ACTIONS(2221),
    [sym_false] = ACTIONS(2221),
    [sym_null] = ACTIONS(2221),
    [sym_undefined] = ACTIONS(2221),
    [anon_sym_AT] = ACTIONS(2221),
    [anon_sym_static] = ACTIONS(2221),
    [anon_sym_readonly] = ACTIONS(2221),
    [anon_sym_get] = ACTIONS(2221),
    [anon_sym_set] = ACTIONS(2221),
    [anon_sym_declare] = ACTIONS(2221),
    [anon_sym_public] = ACTIONS(2221),
    [anon_sym_private] = ACTIONS(2221),
    [anon_sym_protected] = ACTIONS(2221),
    [anon_sym_override] = ACTIONS(2221),
    [anon_sym_module] = ACTIONS(2221),
    [anon_sym_any] = ACTIONS(2221),
    [anon_sym_number] = ACTIONS(2221),
    [anon_sym_boolean] = ACTIONS(2221),
    [anon_sym_string] = ACTIONS(2221),
    [anon_sym_symbol] = ACTIONS(2221),
    [anon_sym_object] = ACTIONS(2221),
    [anon_sym_abstract] = ACTIONS(2221),
    [anon_sym_satisfies] = ACTIONS(2221),
    [anon_sym_interface] = ACTIONS(2221),
    [anon_sym_enum] = ACTIONS(2221),
    [sym__automatic_semicolon] = ACTIONS(2223),
    [sym__ternary_qmark] = ACTIONS(2223),
    [sym_html_comment] = ACTIONS(5),
  },
  [361] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2048),
    [sym_expression] = STATE(3359),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7260),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2111),
    [sym_subscript_expression] = STATE(2111),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3878),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(4560),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(361),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_pattern] = STATE(5041),
    [sym_rest_pattern] = STATE(4693),
    [sym_non_null_expression] = STATE(2111),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_override_modifier] = STATE(441),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1061),
    [anon_sym_export] = ACTIONS(111),
    [anon_sym_type] = ACTIONS(111),
    [anon_sym_namespace] = ACTIONS(120),
    [anon_sym_LBRACE] = ACTIONS(1063),
    [anon_sym_typeof] = ACTIONS(174),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(111),
    [anon_sym_BANG] = ACTIONS(174),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1948),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(149),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1071),
    [anon_sym_using] = ACTIONS(157),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(161),
    [anon_sym_PLUS] = ACTIONS(174),
    [anon_sym_DASH] = ACTIONS(174),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(174),
    [anon_sym_void] = ACTIONS(174),
    [anon_sym_delete] = ACTIONS(174),
    [anon_sym_PLUS_PLUS] = ACTIONS(1039),
    [anon_sym_DASH_DASH] = ACTIONS(1039),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(185),
    [sym_this] = ACTIONS(2293),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1081),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(111),
    [anon_sym_readonly] = ACTIONS(2295),
    [anon_sym_get] = ACTIONS(111),
    [anon_sym_set] = ACTIONS(111),
    [anon_sym_declare] = ACTIONS(111),
    [anon_sym_public] = ACTIONS(111),
    [anon_sym_private] = ACTIONS(111),
    [anon_sym_protected] = ACTIONS(111),
    [anon_sym_override] = ACTIONS(1175),
    [anon_sym_module] = ACTIONS(111),
    [anon_sym_any] = ACTIONS(111),
    [anon_sym_number] = ACTIONS(111),
    [anon_sym_boolean] = ACTIONS(111),
    [anon_sym_string] = ACTIONS(111),
    [anon_sym_symbol] = ACTIONS(111),
    [anon_sym_object] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [362] = {
    [sym_comment] = STATE(362),
    [sym_identifier] = ACTIONS(2251),
    [anon_sym_export] = ACTIONS(2251),
    [anon_sym_STAR] = ACTIONS(2251),
    [anon_sym_default] = ACTIONS(2251),
    [anon_sym_type] = ACTIONS(2251),
    [anon_sym_as] = ACTIONS(2251),
    [anon_sym_namespace] = ACTIONS(2251),
    [anon_sym_LBRACE] = ACTIONS(2251),
    [anon_sym_COMMA] = ACTIONS(2251),
    [anon_sym_RBRACE] = ACTIONS(2251),
    [anon_sym_typeof] = ACTIONS(2251),
    [anon_sym_import] = ACTIONS(2251),
    [anon_sym_with] = ACTIONS(2251),
    [anon_sym_var] = ACTIONS(2251),
    [anon_sym_let] = ACTIONS(2251),
    [anon_sym_const] = ACTIONS(2251),
    [anon_sym_BANG] = ACTIONS(2251),
    [anon_sym_if] = ACTIONS(2251),
    [anon_sym_switch] = ACTIONS(2251),
    [anon_sym_for] = ACTIONS(2251),
    [anon_sym_LPAREN] = ACTIONS(2251),
    [anon_sym_await] = ACTIONS(2251),
    [anon_sym_in] = ACTIONS(2251),
    [anon_sym_while] = ACTIONS(2251),
    [anon_sym_do] = ACTIONS(2251),
    [anon_sym_try] = ACTIONS(2251),
    [anon_sym_break] = ACTIONS(2251),
    [anon_sym_continue] = ACTIONS(2251),
    [anon_sym_debugger] = ACTIONS(2251),
    [anon_sym_return] = ACTIONS(2251),
    [anon_sym_throw] = ACTIONS(2251),
    [anon_sym_SEMI] = ACTIONS(2251),
    [anon_sym_case] = ACTIONS(2251),
    [anon_sym_yield] = ACTIONS(2251),
    [anon_sym_LBRACK] = ACTIONS(2251),
    [anon_sym_LTtemplate_GT] = ACTIONS(2251),
    [anon_sym_GT] = ACTIONS(2251),
    [anon_sym_DOT] = ACTIONS(2251),
    [anon_sym_DQUOTE] = ACTIONS(2251),
    [anon_sym_SQUOTE] = ACTIONS(2251),
    [anon_sym_class] = ACTIONS(2251),
    [anon_sym_async] = ACTIONS(2251),
    [anon_sym_function] = ACTIONS(2251),
    [anon_sym_QMARK_DOT] = ACTIONS(2251),
    [anon_sym_new] = ACTIONS(2251),
    [anon_sym_using] = ACTIONS(2251),
    [anon_sym_AMP_AMP] = ACTIONS(2251),
    [anon_sym_PIPE_PIPE] = ACTIONS(2251),
    [anon_sym_GT_GT] = ACTIONS(2251),
    [anon_sym_GT_GT_GT] = ACTIONS(2251),
    [anon_sym_LT_LT] = ACTIONS(2251),
    [anon_sym_AMP] = ACTIONS(2251),
    [anon_sym_CARET] = ACTIONS(2251),
    [anon_sym_PIPE] = ACTIONS(2251),
    [anon_sym_PLUS] = ACTIONS(2251),
    [anon_sym_DASH] = ACTIONS(2251),
    [anon_sym_SLASH] = ACTIONS(2251),
    [anon_sym_PERCENT] = ACTIONS(2251),
    [anon_sym_STAR_STAR] = ACTIONS(2251),
    [anon_sym_LT] = ACTIONS(2251),
    [anon_sym_LT_EQ] = ACTIONS(2251),
    [anon_sym_EQ_EQ] = ACTIONS(2251),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2251),
    [anon_sym_BANG_EQ] = ACTIONS(2251),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2251),
    [anon_sym_GT_EQ] = ACTIONS(2251),
    [anon_sym_QMARK_QMARK] = ACTIONS(2251),
    [anon_sym_instanceof] = ACTIONS(2251),
    [anon_sym_TILDE] = ACTIONS(2251),
    [anon_sym_void] = ACTIONS(2251),
    [anon_sym_delete] = ACTIONS(2251),
    [anon_sym_PLUS_PLUS] = ACTIONS(2251),
    [anon_sym_DASH_DASH] = ACTIONS(2251),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2251),
    [sym_number] = ACTIONS(2251),
    [sym_private_property_identifier] = ACTIONS(2251),
    [sym_this] = ACTIONS(2251),
    [sym_super] = ACTIONS(2251),
    [sym_true] = ACTIONS(2251),
    [sym_false] = ACTIONS(2251),
    [sym_null] = ACTIONS(2251),
    [sym_undefined] = ACTIONS(2251),
    [anon_sym_AT] = ACTIONS(2251),
    [anon_sym_static] = ACTIONS(2251),
    [anon_sym_readonly] = ACTIONS(2251),
    [anon_sym_get] = ACTIONS(2251),
    [anon_sym_set] = ACTIONS(2251),
    [anon_sym_declare] = ACTIONS(2251),
    [anon_sym_public] = ACTIONS(2251),
    [anon_sym_private] = ACTIONS(2251),
    [anon_sym_protected] = ACTIONS(2251),
    [anon_sym_override] = ACTIONS(2251),
    [anon_sym_module] = ACTIONS(2251),
    [anon_sym_any] = ACTIONS(2251),
    [anon_sym_number] = ACTIONS(2251),
    [anon_sym_boolean] = ACTIONS(2251),
    [anon_sym_string] = ACTIONS(2251),
    [anon_sym_symbol] = ACTIONS(2251),
    [anon_sym_object] = ACTIONS(2251),
    [anon_sym_abstract] = ACTIONS(2251),
    [anon_sym_satisfies] = ACTIONS(2251),
    [anon_sym_interface] = ACTIONS(2251),
    [anon_sym_enum] = ACTIONS(2251),
    [sym__automatic_semicolon] = ACTIONS(2253),
    [sym__ternary_qmark] = ACTIONS(2253),
    [sym_html_comment] = ACTIONS(5),
  },
  [363] = {
    [sym_comment] = STATE(363),
    [sym_identifier] = ACTIONS(2105),
    [anon_sym_export] = ACTIONS(2105),
    [anon_sym_STAR] = ACTIONS(2105),
    [anon_sym_default] = ACTIONS(2105),
    [anon_sym_type] = ACTIONS(2105),
    [anon_sym_as] = ACTIONS(2105),
    [anon_sym_namespace] = ACTIONS(2105),
    [anon_sym_LBRACE] = ACTIONS(2105),
    [anon_sym_COMMA] = ACTIONS(2105),
    [anon_sym_RBRACE] = ACTIONS(2105),
    [anon_sym_typeof] = ACTIONS(2105),
    [anon_sym_import] = ACTIONS(2105),
    [anon_sym_with] = ACTIONS(2105),
    [anon_sym_var] = ACTIONS(2105),
    [anon_sym_let] = ACTIONS(2105),
    [anon_sym_const] = ACTIONS(2105),
    [anon_sym_BANG] = ACTIONS(2105),
    [anon_sym_if] = ACTIONS(2105),
    [anon_sym_switch] = ACTIONS(2105),
    [anon_sym_for] = ACTIONS(2105),
    [anon_sym_LPAREN] = ACTIONS(2105),
    [anon_sym_await] = ACTIONS(2105),
    [anon_sym_in] = ACTIONS(2105),
    [anon_sym_while] = ACTIONS(2105),
    [anon_sym_do] = ACTIONS(2105),
    [anon_sym_try] = ACTIONS(2105),
    [anon_sym_break] = ACTIONS(2105),
    [anon_sym_continue] = ACTIONS(2105),
    [anon_sym_debugger] = ACTIONS(2105),
    [anon_sym_return] = ACTIONS(2105),
    [anon_sym_throw] = ACTIONS(2105),
    [anon_sym_SEMI] = ACTIONS(2105),
    [anon_sym_case] = ACTIONS(2105),
    [anon_sym_yield] = ACTIONS(2105),
    [anon_sym_LBRACK] = ACTIONS(2105),
    [anon_sym_LTtemplate_GT] = ACTIONS(2105),
    [anon_sym_GT] = ACTIONS(2105),
    [anon_sym_DOT] = ACTIONS(2105),
    [anon_sym_DQUOTE] = ACTIONS(2105),
    [anon_sym_SQUOTE] = ACTIONS(2105),
    [anon_sym_class] = ACTIONS(2105),
    [anon_sym_async] = ACTIONS(2105),
    [anon_sym_function] = ACTIONS(2105),
    [anon_sym_QMARK_DOT] = ACTIONS(2105),
    [anon_sym_new] = ACTIONS(2105),
    [anon_sym_using] = ACTIONS(2105),
    [anon_sym_AMP_AMP] = ACTIONS(2105),
    [anon_sym_PIPE_PIPE] = ACTIONS(2105),
    [anon_sym_GT_GT] = ACTIONS(2105),
    [anon_sym_GT_GT_GT] = ACTIONS(2105),
    [anon_sym_LT_LT] = ACTIONS(2105),
    [anon_sym_AMP] = ACTIONS(2105),
    [anon_sym_CARET] = ACTIONS(2105),
    [anon_sym_PIPE] = ACTIONS(2105),
    [anon_sym_PLUS] = ACTIONS(2105),
    [anon_sym_DASH] = ACTIONS(2105),
    [anon_sym_SLASH] = ACTIONS(2105),
    [anon_sym_PERCENT] = ACTIONS(2105),
    [anon_sym_STAR_STAR] = ACTIONS(2105),
    [anon_sym_LT] = ACTIONS(2105),
    [anon_sym_LT_EQ] = ACTIONS(2105),
    [anon_sym_EQ_EQ] = ACTIONS(2105),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2105),
    [anon_sym_BANG_EQ] = ACTIONS(2105),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2105),
    [anon_sym_GT_EQ] = ACTIONS(2105),
    [anon_sym_QMARK_QMARK] = ACTIONS(2105),
    [anon_sym_instanceof] = ACTIONS(2105),
    [anon_sym_TILDE] = ACTIONS(2105),
    [anon_sym_void] = ACTIONS(2105),
    [anon_sym_delete] = ACTIONS(2105),
    [anon_sym_PLUS_PLUS] = ACTIONS(2105),
    [anon_sym_DASH_DASH] = ACTIONS(2105),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2105),
    [sym_number] = ACTIONS(2105),
    [sym_private_property_identifier] = ACTIONS(2105),
    [sym_this] = ACTIONS(2105),
    [sym_super] = ACTIONS(2105),
    [sym_true] = ACTIONS(2105),
    [sym_false] = ACTIONS(2105),
    [sym_null] = ACTIONS(2105),
    [sym_undefined] = ACTIONS(2105),
    [anon_sym_AT] = ACTIONS(2105),
    [anon_sym_static] = ACTIONS(2105),
    [anon_sym_readonly] = ACTIONS(2105),
    [anon_sym_get] = ACTIONS(2105),
    [anon_sym_set] = ACTIONS(2105),
    [anon_sym_declare] = ACTIONS(2105),
    [anon_sym_public] = ACTIONS(2105),
    [anon_sym_private] = ACTIONS(2105),
    [anon_sym_protected] = ACTIONS(2105),
    [anon_sym_override] = ACTIONS(2105),
    [anon_sym_module] = ACTIONS(2105),
    [anon_sym_any] = ACTIONS(2105),
    [anon_sym_number] = ACTIONS(2105),
    [anon_sym_boolean] = ACTIONS(2105),
    [anon_sym_string] = ACTIONS(2105),
    [anon_sym_symbol] = ACTIONS(2105),
    [anon_sym_object] = ACTIONS(2105),
    [anon_sym_abstract] = ACTIONS(2105),
    [anon_sym_satisfies] = ACTIONS(2105),
    [anon_sym_interface] = ACTIONS(2105),
    [anon_sym_enum] = ACTIONS(2105),
    [sym__automatic_semicolon] = ACTIONS(2107),
    [sym__ternary_qmark] = ACTIONS(2107),
    [sym_html_comment] = ACTIONS(5),
  },
  [364] = {
    [sym_comment] = STATE(364),
    [ts_builtin_sym_end] = ACTIONS(2197),
    [sym_identifier] = ACTIONS(2195),
    [anon_sym_export] = ACTIONS(2195),
    [anon_sym_STAR] = ACTIONS(2195),
    [anon_sym_type] = ACTIONS(2195),
    [anon_sym_as] = ACTIONS(2195),
    [anon_sym_namespace] = ACTIONS(2195),
    [anon_sym_LBRACE] = ACTIONS(2195),
    [anon_sym_COMMA] = ACTIONS(2195),
    [anon_sym_RBRACE] = ACTIONS(2195),
    [anon_sym_typeof] = ACTIONS(2195),
    [anon_sym_import] = ACTIONS(2195),
    [anon_sym_with] = ACTIONS(2195),
    [anon_sym_var] = ACTIONS(2195),
    [anon_sym_let] = ACTIONS(2195),
    [anon_sym_const] = ACTIONS(2195),
    [anon_sym_BANG] = ACTIONS(2195),
    [anon_sym_else] = ACTIONS(2195),
    [anon_sym_if] = ACTIONS(2195),
    [anon_sym_switch] = ACTIONS(2195),
    [anon_sym_for] = ACTIONS(2195),
    [anon_sym_LPAREN] = ACTIONS(2195),
    [anon_sym_await] = ACTIONS(2195),
    [anon_sym_in] = ACTIONS(2195),
    [anon_sym_while] = ACTIONS(2195),
    [anon_sym_do] = ACTIONS(2195),
    [anon_sym_try] = ACTIONS(2195),
    [anon_sym_break] = ACTIONS(2195),
    [anon_sym_continue] = ACTIONS(2195),
    [anon_sym_debugger] = ACTIONS(2195),
    [anon_sym_return] = ACTIONS(2195),
    [anon_sym_throw] = ACTIONS(2195),
    [anon_sym_SEMI] = ACTIONS(2195),
    [anon_sym_yield] = ACTIONS(2195),
    [anon_sym_LBRACK] = ACTIONS(2195),
    [anon_sym_LTtemplate_GT] = ACTIONS(2195),
    [anon_sym_GT] = ACTIONS(2195),
    [anon_sym_DOT] = ACTIONS(2195),
    [anon_sym_DQUOTE] = ACTIONS(2195),
    [anon_sym_SQUOTE] = ACTIONS(2195),
    [anon_sym_class] = ACTIONS(2195),
    [anon_sym_async] = ACTIONS(2195),
    [anon_sym_function] = ACTIONS(2195),
    [anon_sym_QMARK_DOT] = ACTIONS(2195),
    [anon_sym_new] = ACTIONS(2195),
    [anon_sym_using] = ACTIONS(2195),
    [anon_sym_AMP_AMP] = ACTIONS(2195),
    [anon_sym_PIPE_PIPE] = ACTIONS(2195),
    [anon_sym_GT_GT] = ACTIONS(2195),
    [anon_sym_GT_GT_GT] = ACTIONS(2195),
    [anon_sym_LT_LT] = ACTIONS(2195),
    [anon_sym_AMP] = ACTIONS(2195),
    [anon_sym_CARET] = ACTIONS(2195),
    [anon_sym_PIPE] = ACTIONS(2195),
    [anon_sym_PLUS] = ACTIONS(2195),
    [anon_sym_DASH] = ACTIONS(2195),
    [anon_sym_SLASH] = ACTIONS(2195),
    [anon_sym_PERCENT] = ACTIONS(2195),
    [anon_sym_STAR_STAR] = ACTIONS(2195),
    [anon_sym_LT] = ACTIONS(2195),
    [anon_sym_LT_EQ] = ACTIONS(2195),
    [anon_sym_EQ_EQ] = ACTIONS(2195),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2195),
    [anon_sym_BANG_EQ] = ACTIONS(2195),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2195),
    [anon_sym_GT_EQ] = ACTIONS(2195),
    [anon_sym_QMARK_QMARK] = ACTIONS(2195),
    [anon_sym_instanceof] = ACTIONS(2195),
    [anon_sym_TILDE] = ACTIONS(2195),
    [anon_sym_void] = ACTIONS(2195),
    [anon_sym_delete] = ACTIONS(2195),
    [anon_sym_PLUS_PLUS] = ACTIONS(2195),
    [anon_sym_DASH_DASH] = ACTIONS(2195),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2195),
    [sym_number] = ACTIONS(2195),
    [sym_private_property_identifier] = ACTIONS(2195),
    [sym_this] = ACTIONS(2195),
    [sym_super] = ACTIONS(2195),
    [sym_true] = ACTIONS(2195),
    [sym_false] = ACTIONS(2195),
    [sym_null] = ACTIONS(2195),
    [sym_undefined] = ACTIONS(2195),
    [anon_sym_AT] = ACTIONS(2195),
    [anon_sym_static] = ACTIONS(2195),
    [anon_sym_readonly] = ACTIONS(2195),
    [anon_sym_get] = ACTIONS(2195),
    [anon_sym_set] = ACTIONS(2195),
    [anon_sym_declare] = ACTIONS(2195),
    [anon_sym_public] = ACTIONS(2195),
    [anon_sym_private] = ACTIONS(2195),
    [anon_sym_protected] = ACTIONS(2195),
    [anon_sym_override] = ACTIONS(2195),
    [anon_sym_module] = ACTIONS(2195),
    [anon_sym_any] = ACTIONS(2195),
    [anon_sym_number] = ACTIONS(2195),
    [anon_sym_boolean] = ACTIONS(2195),
    [anon_sym_string] = ACTIONS(2195),
    [anon_sym_symbol] = ACTIONS(2195),
    [anon_sym_object] = ACTIONS(2195),
    [anon_sym_abstract] = ACTIONS(2195),
    [anon_sym_satisfies] = ACTIONS(2195),
    [anon_sym_interface] = ACTIONS(2195),
    [anon_sym_enum] = ACTIONS(2195),
    [sym__automatic_semicolon] = ACTIONS(2197),
    [sym__ternary_qmark] = ACTIONS(2197),
    [sym_html_comment] = ACTIONS(5),
  },
  [365] = {
    [sym_comment] = STATE(365),
    [ts_builtin_sym_end] = ACTIONS(2297),
    [sym_identifier] = ACTIONS(2117),
    [anon_sym_export] = ACTIONS(2117),
    [anon_sym_STAR] = ACTIONS(2119),
    [anon_sym_type] = ACTIONS(2117),
    [anon_sym_as] = ACTIONS(2119),
    [anon_sym_namespace] = ACTIONS(2117),
    [anon_sym_LBRACE] = ACTIONS(2117),
    [anon_sym_COMMA] = ACTIONS(2119),
    [anon_sym_RBRACE] = ACTIONS(2117),
    [anon_sym_typeof] = ACTIONS(2117),
    [anon_sym_import] = ACTIONS(2117),
    [anon_sym_with] = ACTIONS(2117),
    [anon_sym_var] = ACTIONS(2117),
    [anon_sym_let] = ACTIONS(2117),
    [anon_sym_const] = ACTIONS(2117),
    [anon_sym_BANG] = ACTIONS(2117),
    [anon_sym_else] = ACTIONS(2117),
    [anon_sym_if] = ACTIONS(2117),
    [anon_sym_switch] = ACTIONS(2117),
    [anon_sym_for] = ACTIONS(2117),
    [anon_sym_LPAREN] = ACTIONS(2117),
    [anon_sym_await] = ACTIONS(2117),
    [anon_sym_in] = ACTIONS(2119),
    [anon_sym_while] = ACTIONS(2117),
    [anon_sym_do] = ACTIONS(2117),
    [anon_sym_try] = ACTIONS(2117),
    [anon_sym_break] = ACTIONS(2117),
    [anon_sym_continue] = ACTIONS(2117),
    [anon_sym_debugger] = ACTIONS(2117),
    [anon_sym_return] = ACTIONS(2117),
    [anon_sym_throw] = ACTIONS(2117),
    [anon_sym_SEMI] = ACTIONS(2117),
    [anon_sym_yield] = ACTIONS(2117),
    [anon_sym_LBRACK] = ACTIONS(2117),
    [anon_sym_LTtemplate_GT] = ACTIONS(2117),
    [anon_sym_GT] = ACTIONS(2119),
    [anon_sym_DOT] = ACTIONS(2119),
    [anon_sym_DQUOTE] = ACTIONS(2117),
    [anon_sym_SQUOTE] = ACTIONS(2117),
    [anon_sym_class] = ACTIONS(2117),
    [anon_sym_async] = ACTIONS(2117),
    [anon_sym_function] = ACTIONS(2117),
    [anon_sym_QMARK_DOT] = ACTIONS(2119),
    [anon_sym_new] = ACTIONS(2117),
    [anon_sym_using] = ACTIONS(2117),
    [anon_sym_AMP_AMP] = ACTIONS(2119),
    [anon_sym_PIPE_PIPE] = ACTIONS(2119),
    [anon_sym_GT_GT] = ACTIONS(2119),
    [anon_sym_GT_GT_GT] = ACTIONS(2119),
    [anon_sym_LT_LT] = ACTIONS(2119),
    [anon_sym_AMP] = ACTIONS(2119),
    [anon_sym_CARET] = ACTIONS(2119),
    [anon_sym_PIPE] = ACTIONS(2119),
    [anon_sym_PLUS] = ACTIONS(2117),
    [anon_sym_DASH] = ACTIONS(2117),
    [anon_sym_SLASH] = ACTIONS(2117),
    [anon_sym_PERCENT] = ACTIONS(2119),
    [anon_sym_STAR_STAR] = ACTIONS(2119),
    [anon_sym_LT] = ACTIONS(2117),
    [anon_sym_LT_EQ] = ACTIONS(2119),
    [anon_sym_EQ_EQ] = ACTIONS(2119),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2119),
    [anon_sym_BANG_EQ] = ACTIONS(2119),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2119),
    [anon_sym_GT_EQ] = ACTIONS(2119),
    [anon_sym_QMARK_QMARK] = ACTIONS(2119),
    [anon_sym_instanceof] = ACTIONS(2119),
    [anon_sym_TILDE] = ACTIONS(2117),
    [anon_sym_void] = ACTIONS(2117),
    [anon_sym_delete] = ACTIONS(2117),
    [anon_sym_PLUS_PLUS] = ACTIONS(2117),
    [anon_sym_DASH_DASH] = ACTIONS(2117),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2117),
    [sym_number] = ACTIONS(2117),
    [sym_private_property_identifier] = ACTIONS(2117),
    [sym_this] = ACTIONS(2117),
    [sym_super] = ACTIONS(2117),
    [sym_true] = ACTIONS(2117),
    [sym_false] = ACTIONS(2117),
    [sym_null] = ACTIONS(2117),
    [sym_undefined] = ACTIONS(2117),
    [anon_sym_AT] = ACTIONS(2117),
    [anon_sym_static] = ACTIONS(2117),
    [anon_sym_readonly] = ACTIONS(2117),
    [anon_sym_get] = ACTIONS(2117),
    [anon_sym_set] = ACTIONS(2117),
    [anon_sym_declare] = ACTIONS(2117),
    [anon_sym_public] = ACTIONS(2117),
    [anon_sym_private] = ACTIONS(2117),
    [anon_sym_protected] = ACTIONS(2117),
    [anon_sym_override] = ACTIONS(2117),
    [anon_sym_module] = ACTIONS(2117),
    [anon_sym_any] = ACTIONS(2117),
    [anon_sym_number] = ACTIONS(2117),
    [anon_sym_boolean] = ACTIONS(2117),
    [anon_sym_string] = ACTIONS(2117),
    [anon_sym_symbol] = ACTIONS(2117),
    [anon_sym_object] = ACTIONS(2117),
    [anon_sym_abstract] = ACTIONS(2117),
    [anon_sym_satisfies] = ACTIONS(2119),
    [anon_sym_interface] = ACTIONS(2117),
    [anon_sym_enum] = ACTIONS(2117),
    [sym__automatic_semicolon] = ACTIONS(2299),
    [sym__ternary_qmark] = ACTIONS(2123),
    [sym_html_comment] = ACTIONS(5),
  },
  [366] = {
    [sym_comment] = STATE(366),
    [ts_builtin_sym_end] = ACTIONS(2301),
    [sym_identifier] = ACTIONS(2127),
    [anon_sym_export] = ACTIONS(2127),
    [anon_sym_STAR] = ACTIONS(2129),
    [anon_sym_type] = ACTIONS(2127),
    [anon_sym_as] = ACTIONS(2129),
    [anon_sym_namespace] = ACTIONS(2127),
    [anon_sym_LBRACE] = ACTIONS(2127),
    [anon_sym_COMMA] = ACTIONS(2129),
    [anon_sym_RBRACE] = ACTIONS(2127),
    [anon_sym_typeof] = ACTIONS(2127),
    [anon_sym_import] = ACTIONS(2127),
    [anon_sym_with] = ACTIONS(2127),
    [anon_sym_var] = ACTIONS(2127),
    [anon_sym_let] = ACTIONS(2127),
    [anon_sym_const] = ACTIONS(2127),
    [anon_sym_BANG] = ACTIONS(2127),
    [anon_sym_else] = ACTIONS(2127),
    [anon_sym_if] = ACTIONS(2127),
    [anon_sym_switch] = ACTIONS(2127),
    [anon_sym_for] = ACTIONS(2127),
    [anon_sym_LPAREN] = ACTIONS(2127),
    [anon_sym_await] = ACTIONS(2127),
    [anon_sym_in] = ACTIONS(2129),
    [anon_sym_while] = ACTIONS(2127),
    [anon_sym_do] = ACTIONS(2127),
    [anon_sym_try] = ACTIONS(2127),
    [anon_sym_break] = ACTIONS(2127),
    [anon_sym_continue] = ACTIONS(2127),
    [anon_sym_debugger] = ACTIONS(2127),
    [anon_sym_return] = ACTIONS(2127),
    [anon_sym_throw] = ACTIONS(2127),
    [anon_sym_SEMI] = ACTIONS(2127),
    [anon_sym_yield] = ACTIONS(2127),
    [anon_sym_LBRACK] = ACTIONS(2127),
    [anon_sym_LTtemplate_GT] = ACTIONS(2127),
    [anon_sym_GT] = ACTIONS(2129),
    [anon_sym_DOT] = ACTIONS(2129),
    [anon_sym_DQUOTE] = ACTIONS(2127),
    [anon_sym_SQUOTE] = ACTIONS(2127),
    [anon_sym_class] = ACTIONS(2127),
    [anon_sym_async] = ACTIONS(2127),
    [anon_sym_function] = ACTIONS(2127),
    [anon_sym_QMARK_DOT] = ACTIONS(2129),
    [anon_sym_new] = ACTIONS(2127),
    [anon_sym_using] = ACTIONS(2127),
    [anon_sym_AMP_AMP] = ACTIONS(2129),
    [anon_sym_PIPE_PIPE] = ACTIONS(2129),
    [anon_sym_GT_GT] = ACTIONS(2129),
    [anon_sym_GT_GT_GT] = ACTIONS(2129),
    [anon_sym_LT_LT] = ACTIONS(2129),
    [anon_sym_AMP] = ACTIONS(2129),
    [anon_sym_CARET] = ACTIONS(2129),
    [anon_sym_PIPE] = ACTIONS(2129),
    [anon_sym_PLUS] = ACTIONS(2127),
    [anon_sym_DASH] = ACTIONS(2127),
    [anon_sym_SLASH] = ACTIONS(2127),
    [anon_sym_PERCENT] = ACTIONS(2129),
    [anon_sym_STAR_STAR] = ACTIONS(2129),
    [anon_sym_LT] = ACTIONS(2127),
    [anon_sym_LT_EQ] = ACTIONS(2129),
    [anon_sym_EQ_EQ] = ACTIONS(2129),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2129),
    [anon_sym_BANG_EQ] = ACTIONS(2129),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2129),
    [anon_sym_GT_EQ] = ACTIONS(2129),
    [anon_sym_QMARK_QMARK] = ACTIONS(2129),
    [anon_sym_instanceof] = ACTIONS(2129),
    [anon_sym_TILDE] = ACTIONS(2127),
    [anon_sym_void] = ACTIONS(2127),
    [anon_sym_delete] = ACTIONS(2127),
    [anon_sym_PLUS_PLUS] = ACTIONS(2127),
    [anon_sym_DASH_DASH] = ACTIONS(2127),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2127),
    [sym_number] = ACTIONS(2127),
    [sym_private_property_identifier] = ACTIONS(2127),
    [sym_this] = ACTIONS(2127),
    [sym_super] = ACTIONS(2127),
    [sym_true] = ACTIONS(2127),
    [sym_false] = ACTIONS(2127),
    [sym_null] = ACTIONS(2127),
    [sym_undefined] = ACTIONS(2127),
    [anon_sym_AT] = ACTIONS(2127),
    [anon_sym_static] = ACTIONS(2127),
    [anon_sym_readonly] = ACTIONS(2127),
    [anon_sym_get] = ACTIONS(2127),
    [anon_sym_set] = ACTIONS(2127),
    [anon_sym_declare] = ACTIONS(2127),
    [anon_sym_public] = ACTIONS(2127),
    [anon_sym_private] = ACTIONS(2127),
    [anon_sym_protected] = ACTIONS(2127),
    [anon_sym_override] = ACTIONS(2127),
    [anon_sym_module] = ACTIONS(2127),
    [anon_sym_any] = ACTIONS(2127),
    [anon_sym_number] = ACTIONS(2127),
    [anon_sym_boolean] = ACTIONS(2127),
    [anon_sym_string] = ACTIONS(2127),
    [anon_sym_symbol] = ACTIONS(2127),
    [anon_sym_object] = ACTIONS(2127),
    [anon_sym_abstract] = ACTIONS(2127),
    [anon_sym_satisfies] = ACTIONS(2129),
    [anon_sym_interface] = ACTIONS(2127),
    [anon_sym_enum] = ACTIONS(2127),
    [sym__automatic_semicolon] = ACTIONS(2303),
    [sym__ternary_qmark] = ACTIONS(2133),
    [sym_html_comment] = ACTIONS(5),
  },
  [367] = {
    [sym_comment] = STATE(367),
    [ts_builtin_sym_end] = ACTIONS(2083),
    [sym_identifier] = ACTIONS(2081),
    [anon_sym_export] = ACTIONS(2081),
    [anon_sym_STAR] = ACTIONS(2081),
    [anon_sym_type] = ACTIONS(2081),
    [anon_sym_as] = ACTIONS(2081),
    [anon_sym_namespace] = ACTIONS(2081),
    [anon_sym_LBRACE] = ACTIONS(2081),
    [anon_sym_COMMA] = ACTIONS(2081),
    [anon_sym_RBRACE] = ACTIONS(2081),
    [anon_sym_typeof] = ACTIONS(2081),
    [anon_sym_import] = ACTIONS(2081),
    [anon_sym_with] = ACTIONS(2081),
    [anon_sym_var] = ACTIONS(2081),
    [anon_sym_let] = ACTIONS(2081),
    [anon_sym_const] = ACTIONS(2081),
    [anon_sym_BANG] = ACTIONS(2081),
    [anon_sym_else] = ACTIONS(2081),
    [anon_sym_if] = ACTIONS(2081),
    [anon_sym_switch] = ACTIONS(2081),
    [anon_sym_for] = ACTIONS(2081),
    [anon_sym_LPAREN] = ACTIONS(2081),
    [anon_sym_await] = ACTIONS(2081),
    [anon_sym_in] = ACTIONS(2081),
    [anon_sym_while] = ACTIONS(2081),
    [anon_sym_do] = ACTIONS(2081),
    [anon_sym_try] = ACTIONS(2081),
    [anon_sym_break] = ACTIONS(2081),
    [anon_sym_continue] = ACTIONS(2081),
    [anon_sym_debugger] = ACTIONS(2081),
    [anon_sym_return] = ACTIONS(2081),
    [anon_sym_throw] = ACTIONS(2081),
    [anon_sym_SEMI] = ACTIONS(2081),
    [anon_sym_yield] = ACTIONS(2081),
    [anon_sym_LBRACK] = ACTIONS(2081),
    [anon_sym_LTtemplate_GT] = ACTIONS(2081),
    [anon_sym_GT] = ACTIONS(2081),
    [anon_sym_DOT] = ACTIONS(2081),
    [anon_sym_DQUOTE] = ACTIONS(2081),
    [anon_sym_SQUOTE] = ACTIONS(2081),
    [anon_sym_class] = ACTIONS(2081),
    [anon_sym_async] = ACTIONS(2081),
    [anon_sym_function] = ACTIONS(2081),
    [anon_sym_QMARK_DOT] = ACTIONS(2081),
    [anon_sym_new] = ACTIONS(2081),
    [anon_sym_using] = ACTIONS(2081),
    [anon_sym_AMP_AMP] = ACTIONS(2081),
    [anon_sym_PIPE_PIPE] = ACTIONS(2081),
    [anon_sym_GT_GT] = ACTIONS(2081),
    [anon_sym_GT_GT_GT] = ACTIONS(2081),
    [anon_sym_LT_LT] = ACTIONS(2081),
    [anon_sym_AMP] = ACTIONS(2081),
    [anon_sym_CARET] = ACTIONS(2081),
    [anon_sym_PIPE] = ACTIONS(2081),
    [anon_sym_PLUS] = ACTIONS(2081),
    [anon_sym_DASH] = ACTIONS(2081),
    [anon_sym_SLASH] = ACTIONS(2081),
    [anon_sym_PERCENT] = ACTIONS(2081),
    [anon_sym_STAR_STAR] = ACTIONS(2081),
    [anon_sym_LT] = ACTIONS(2081),
    [anon_sym_LT_EQ] = ACTIONS(2081),
    [anon_sym_EQ_EQ] = ACTIONS(2081),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2081),
    [anon_sym_BANG_EQ] = ACTIONS(2081),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2081),
    [anon_sym_GT_EQ] = ACTIONS(2081),
    [anon_sym_QMARK_QMARK] = ACTIONS(2081),
    [anon_sym_instanceof] = ACTIONS(2081),
    [anon_sym_TILDE] = ACTIONS(2081),
    [anon_sym_void] = ACTIONS(2081),
    [anon_sym_delete] = ACTIONS(2081),
    [anon_sym_PLUS_PLUS] = ACTIONS(2081),
    [anon_sym_DASH_DASH] = ACTIONS(2081),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2081),
    [sym_number] = ACTIONS(2081),
    [sym_private_property_identifier] = ACTIONS(2081),
    [sym_this] = ACTIONS(2081),
    [sym_super] = ACTIONS(2081),
    [sym_true] = ACTIONS(2081),
    [sym_false] = ACTIONS(2081),
    [sym_null] = ACTIONS(2081),
    [sym_undefined] = ACTIONS(2081),
    [anon_sym_AT] = ACTIONS(2081),
    [anon_sym_static] = ACTIONS(2081),
    [anon_sym_readonly] = ACTIONS(2081),
    [anon_sym_get] = ACTIONS(2081),
    [anon_sym_set] = ACTIONS(2081),
    [anon_sym_declare] = ACTIONS(2081),
    [anon_sym_public] = ACTIONS(2081),
    [anon_sym_private] = ACTIONS(2081),
    [anon_sym_protected] = ACTIONS(2081),
    [anon_sym_override] = ACTIONS(2081),
    [anon_sym_module] = ACTIONS(2081),
    [anon_sym_any] = ACTIONS(2081),
    [anon_sym_number] = ACTIONS(2081),
    [anon_sym_boolean] = ACTIONS(2081),
    [anon_sym_string] = ACTIONS(2081),
    [anon_sym_symbol] = ACTIONS(2081),
    [anon_sym_object] = ACTIONS(2081),
    [anon_sym_abstract] = ACTIONS(2081),
    [anon_sym_satisfies] = ACTIONS(2081),
    [anon_sym_interface] = ACTIONS(2081),
    [anon_sym_enum] = ACTIONS(2081),
    [sym__automatic_semicolon] = ACTIONS(2083),
    [sym__ternary_qmark] = ACTIONS(2083),
    [sym_html_comment] = ACTIONS(5),
  },
  [368] = {
    [sym_import] = STATE(4318),
    [sym_parenthesized_expression] = STATE(2196),
    [sym_expression] = STATE(2741),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7510),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2196),
    [sym_subscript_expression] = STATE(2196),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3936),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7511),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(368),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2196),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym__type_query_member_expression] = STATE(3745),
    [sym__type_query_subscript_expression] = STATE(3744),
    [sym__type_query_call_expression] = STATE(3813),
    [sym__type_query_instantiation_expression] = STATE(3926),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(2305),
    [anon_sym_export] = ACTIONS(1562),
    [anon_sym_type] = ACTIONS(1562),
    [anon_sym_namespace] = ACTIONS(1564),
    [anon_sym_LBRACE] = ACTIONS(1127),
    [anon_sym_typeof] = ACTIONS(1568),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1562),
    [anon_sym_BANG] = ACTIONS(1568),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1570),
    [anon_sym_yield] = ACTIONS(1572),
    [anon_sym_LBRACK] = ACTIONS(1129),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1574),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1754),
    [anon_sym_using] = ACTIONS(1578),
    [anon_sym_PLUS] = ACTIONS(1568),
    [anon_sym_DASH] = ACTIONS(1568),
    [anon_sym_SLASH] = ACTIONS(1274),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(1568),
    [anon_sym_void] = ACTIONS(1568),
    [anon_sym_delete] = ACTIONS(1568),
    [anon_sym_PLUS_PLUS] = ACTIONS(1584),
    [anon_sym_DASH_DASH] = ACTIONS(1584),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(1586),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1756),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1562),
    [anon_sym_readonly] = ACTIONS(1562),
    [anon_sym_get] = ACTIONS(1562),
    [anon_sym_set] = ACTIONS(1562),
    [anon_sym_declare] = ACTIONS(1562),
    [anon_sym_public] = ACTIONS(1562),
    [anon_sym_private] = ACTIONS(1562),
    [anon_sym_protected] = ACTIONS(1562),
    [anon_sym_override] = ACTIONS(1562),
    [anon_sym_module] = ACTIONS(1562),
    [anon_sym_any] = ACTIONS(1562),
    [anon_sym_number] = ACTIONS(1562),
    [anon_sym_boolean] = ACTIONS(1562),
    [anon_sym_string] = ACTIONS(1562),
    [anon_sym_symbol] = ACTIONS(1562),
    [anon_sym_object] = ACTIONS(1562),
    [sym_html_comment] = ACTIONS(5),
  },
  [369] = {
    [sym_comment] = STATE(369),
    [ts_builtin_sym_end] = ACTIONS(2307),
    [sym_identifier] = ACTIONS(2173),
    [anon_sym_export] = ACTIONS(2173),
    [anon_sym_STAR] = ACTIONS(2175),
    [anon_sym_type] = ACTIONS(2173),
    [anon_sym_as] = ACTIONS(2175),
    [anon_sym_namespace] = ACTIONS(2173),
    [anon_sym_LBRACE] = ACTIONS(2173),
    [anon_sym_COMMA] = ACTIONS(2175),
    [anon_sym_RBRACE] = ACTIONS(2173),
    [anon_sym_typeof] = ACTIONS(2173),
    [anon_sym_import] = ACTIONS(2173),
    [anon_sym_with] = ACTIONS(2173),
    [anon_sym_var] = ACTIONS(2173),
    [anon_sym_let] = ACTIONS(2173),
    [anon_sym_const] = ACTIONS(2173),
    [anon_sym_BANG] = ACTIONS(2173),
    [anon_sym_else] = ACTIONS(2173),
    [anon_sym_if] = ACTIONS(2173),
    [anon_sym_switch] = ACTIONS(2173),
    [anon_sym_for] = ACTIONS(2173),
    [anon_sym_LPAREN] = ACTIONS(2173),
    [anon_sym_await] = ACTIONS(2173),
    [anon_sym_in] = ACTIONS(2175),
    [anon_sym_while] = ACTIONS(2173),
    [anon_sym_do] = ACTIONS(2173),
    [anon_sym_try] = ACTIONS(2173),
    [anon_sym_break] = ACTIONS(2173),
    [anon_sym_continue] = ACTIONS(2173),
    [anon_sym_debugger] = ACTIONS(2173),
    [anon_sym_return] = ACTIONS(2173),
    [anon_sym_throw] = ACTIONS(2173),
    [anon_sym_SEMI] = ACTIONS(2173),
    [anon_sym_yield] = ACTIONS(2173),
    [anon_sym_LBRACK] = ACTIONS(2173),
    [anon_sym_LTtemplate_GT] = ACTIONS(2173),
    [anon_sym_GT] = ACTIONS(2175),
    [anon_sym_DOT] = ACTIONS(2175),
    [anon_sym_DQUOTE] = ACTIONS(2173),
    [anon_sym_SQUOTE] = ACTIONS(2173),
    [anon_sym_class] = ACTIONS(2173),
    [anon_sym_async] = ACTIONS(2173),
    [anon_sym_function] = ACTIONS(2173),
    [anon_sym_QMARK_DOT] = ACTIONS(2175),
    [anon_sym_new] = ACTIONS(2173),
    [anon_sym_using] = ACTIONS(2173),
    [anon_sym_AMP_AMP] = ACTIONS(2175),
    [anon_sym_PIPE_PIPE] = ACTIONS(2175),
    [anon_sym_GT_GT] = ACTIONS(2175),
    [anon_sym_GT_GT_GT] = ACTIONS(2175),
    [anon_sym_LT_LT] = ACTIONS(2175),
    [anon_sym_AMP] = ACTIONS(2175),
    [anon_sym_CARET] = ACTIONS(2175),
    [anon_sym_PIPE] = ACTIONS(2175),
    [anon_sym_PLUS] = ACTIONS(2173),
    [anon_sym_DASH] = ACTIONS(2173),
    [anon_sym_SLASH] = ACTIONS(2173),
    [anon_sym_PERCENT] = ACTIONS(2175),
    [anon_sym_STAR_STAR] = ACTIONS(2175),
    [anon_sym_LT] = ACTIONS(2173),
    [anon_sym_LT_EQ] = ACTIONS(2175),
    [anon_sym_EQ_EQ] = ACTIONS(2175),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2175),
    [anon_sym_BANG_EQ] = ACTIONS(2175),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2175),
    [anon_sym_GT_EQ] = ACTIONS(2175),
    [anon_sym_QMARK_QMARK] = ACTIONS(2175),
    [anon_sym_instanceof] = ACTIONS(2175),
    [anon_sym_TILDE] = ACTIONS(2173),
    [anon_sym_void] = ACTIONS(2173),
    [anon_sym_delete] = ACTIONS(2173),
    [anon_sym_PLUS_PLUS] = ACTIONS(2173),
    [anon_sym_DASH_DASH] = ACTIONS(2173),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2173),
    [sym_number] = ACTIONS(2173),
    [sym_private_property_identifier] = ACTIONS(2173),
    [sym_this] = ACTIONS(2173),
    [sym_super] = ACTIONS(2173),
    [sym_true] = ACTIONS(2173),
    [sym_false] = ACTIONS(2173),
    [sym_null] = ACTIONS(2173),
    [sym_undefined] = ACTIONS(2173),
    [anon_sym_AT] = ACTIONS(2173),
    [anon_sym_static] = ACTIONS(2173),
    [anon_sym_readonly] = ACTIONS(2173),
    [anon_sym_get] = ACTIONS(2173),
    [anon_sym_set] = ACTIONS(2173),
    [anon_sym_declare] = ACTIONS(2173),
    [anon_sym_public] = ACTIONS(2173),
    [anon_sym_private] = ACTIONS(2173),
    [anon_sym_protected] = ACTIONS(2173),
    [anon_sym_override] = ACTIONS(2173),
    [anon_sym_module] = ACTIONS(2173),
    [anon_sym_any] = ACTIONS(2173),
    [anon_sym_number] = ACTIONS(2173),
    [anon_sym_boolean] = ACTIONS(2173),
    [anon_sym_string] = ACTIONS(2173),
    [anon_sym_symbol] = ACTIONS(2173),
    [anon_sym_object] = ACTIONS(2173),
    [anon_sym_abstract] = ACTIONS(2173),
    [anon_sym_satisfies] = ACTIONS(2175),
    [anon_sym_interface] = ACTIONS(2173),
    [anon_sym_enum] = ACTIONS(2173),
    [sym__automatic_semicolon] = ACTIONS(2309),
    [sym__ternary_qmark] = ACTIONS(2179),
    [sym_html_comment] = ACTIONS(5),
  },
  [370] = {
    [sym_comment] = STATE(370),
    [ts_builtin_sym_end] = ACTIONS(2311),
    [sym_identifier] = ACTIONS(2181),
    [anon_sym_export] = ACTIONS(2181),
    [anon_sym_STAR] = ACTIONS(2183),
    [anon_sym_type] = ACTIONS(2181),
    [anon_sym_as] = ACTIONS(2183),
    [anon_sym_namespace] = ACTIONS(2181),
    [anon_sym_LBRACE] = ACTIONS(2181),
    [anon_sym_COMMA] = ACTIONS(2183),
    [anon_sym_RBRACE] = ACTIONS(2181),
    [anon_sym_typeof] = ACTIONS(2181),
    [anon_sym_import] = ACTIONS(2181),
    [anon_sym_with] = ACTIONS(2181),
    [anon_sym_var] = ACTIONS(2181),
    [anon_sym_let] = ACTIONS(2181),
    [anon_sym_const] = ACTIONS(2181),
    [anon_sym_BANG] = ACTIONS(2181),
    [anon_sym_else] = ACTIONS(2181),
    [anon_sym_if] = ACTIONS(2181),
    [anon_sym_switch] = ACTIONS(2181),
    [anon_sym_for] = ACTIONS(2181),
    [anon_sym_LPAREN] = ACTIONS(2181),
    [anon_sym_await] = ACTIONS(2181),
    [anon_sym_in] = ACTIONS(2183),
    [anon_sym_while] = ACTIONS(2181),
    [anon_sym_do] = ACTIONS(2181),
    [anon_sym_try] = ACTIONS(2181),
    [anon_sym_break] = ACTIONS(2181),
    [anon_sym_continue] = ACTIONS(2181),
    [anon_sym_debugger] = ACTIONS(2181),
    [anon_sym_return] = ACTIONS(2181),
    [anon_sym_throw] = ACTIONS(2181),
    [anon_sym_SEMI] = ACTIONS(2181),
    [anon_sym_yield] = ACTIONS(2181),
    [anon_sym_LBRACK] = ACTIONS(2181),
    [anon_sym_LTtemplate_GT] = ACTIONS(2181),
    [anon_sym_GT] = ACTIONS(2183),
    [anon_sym_DOT] = ACTIONS(2183),
    [anon_sym_DQUOTE] = ACTIONS(2181),
    [anon_sym_SQUOTE] = ACTIONS(2181),
    [anon_sym_class] = ACTIONS(2181),
    [anon_sym_async] = ACTIONS(2181),
    [anon_sym_function] = ACTIONS(2181),
    [anon_sym_QMARK_DOT] = ACTIONS(2183),
    [anon_sym_new] = ACTIONS(2181),
    [anon_sym_using] = ACTIONS(2181),
    [anon_sym_AMP_AMP] = ACTIONS(2183),
    [anon_sym_PIPE_PIPE] = ACTIONS(2183),
    [anon_sym_GT_GT] = ACTIONS(2183),
    [anon_sym_GT_GT_GT] = ACTIONS(2183),
    [anon_sym_LT_LT] = ACTIONS(2183),
    [anon_sym_AMP] = ACTIONS(2183),
    [anon_sym_CARET] = ACTIONS(2183),
    [anon_sym_PIPE] = ACTIONS(2183),
    [anon_sym_PLUS] = ACTIONS(2181),
    [anon_sym_DASH] = ACTIONS(2181),
    [anon_sym_SLASH] = ACTIONS(2181),
    [anon_sym_PERCENT] = ACTIONS(2183),
    [anon_sym_STAR_STAR] = ACTIONS(2183),
    [anon_sym_LT] = ACTIONS(2181),
    [anon_sym_LT_EQ] = ACTIONS(2183),
    [anon_sym_EQ_EQ] = ACTIONS(2183),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2183),
    [anon_sym_BANG_EQ] = ACTIONS(2183),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2183),
    [anon_sym_GT_EQ] = ACTIONS(2183),
    [anon_sym_QMARK_QMARK] = ACTIONS(2183),
    [anon_sym_instanceof] = ACTIONS(2183),
    [anon_sym_TILDE] = ACTIONS(2181),
    [anon_sym_void] = ACTIONS(2181),
    [anon_sym_delete] = ACTIONS(2181),
    [anon_sym_PLUS_PLUS] = ACTIONS(2181),
    [anon_sym_DASH_DASH] = ACTIONS(2181),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2181),
    [sym_number] = ACTIONS(2181),
    [sym_private_property_identifier] = ACTIONS(2181),
    [sym_this] = ACTIONS(2181),
    [sym_super] = ACTIONS(2181),
    [sym_true] = ACTIONS(2181),
    [sym_false] = ACTIONS(2181),
    [sym_null] = ACTIONS(2181),
    [sym_undefined] = ACTIONS(2181),
    [anon_sym_AT] = ACTIONS(2181),
    [anon_sym_static] = ACTIONS(2181),
    [anon_sym_readonly] = ACTIONS(2181),
    [anon_sym_get] = ACTIONS(2181),
    [anon_sym_set] = ACTIONS(2181),
    [anon_sym_declare] = ACTIONS(2181),
    [anon_sym_public] = ACTIONS(2181),
    [anon_sym_private] = ACTIONS(2181),
    [anon_sym_protected] = ACTIONS(2181),
    [anon_sym_override] = ACTIONS(2181),
    [anon_sym_module] = ACTIONS(2181),
    [anon_sym_any] = ACTIONS(2181),
    [anon_sym_number] = ACTIONS(2181),
    [anon_sym_boolean] = ACTIONS(2181),
    [anon_sym_string] = ACTIONS(2181),
    [anon_sym_symbol] = ACTIONS(2181),
    [anon_sym_object] = ACTIONS(2181),
    [anon_sym_abstract] = ACTIONS(2181),
    [anon_sym_satisfies] = ACTIONS(2183),
    [anon_sym_interface] = ACTIONS(2181),
    [anon_sym_enum] = ACTIONS(2181),
    [sym__automatic_semicolon] = ACTIONS(2313),
    [sym__ternary_qmark] = ACTIONS(2187),
    [sym_html_comment] = ACTIONS(5),
  },
  [371] = {
    [sym_comment] = STATE(371),
    [ts_builtin_sym_end] = ACTIONS(2315),
    [sym_identifier] = ACTIONS(2159),
    [anon_sym_export] = ACTIONS(2159),
    [anon_sym_STAR] = ACTIONS(2161),
    [anon_sym_type] = ACTIONS(2159),
    [anon_sym_as] = ACTIONS(2161),
    [anon_sym_namespace] = ACTIONS(2159),
    [anon_sym_LBRACE] = ACTIONS(2159),
    [anon_sym_COMMA] = ACTIONS(2161),
    [anon_sym_RBRACE] = ACTIONS(2159),
    [anon_sym_typeof] = ACTIONS(2159),
    [anon_sym_import] = ACTIONS(2159),
    [anon_sym_with] = ACTIONS(2159),
    [anon_sym_var] = ACTIONS(2159),
    [anon_sym_let] = ACTIONS(2159),
    [anon_sym_const] = ACTIONS(2159),
    [anon_sym_BANG] = ACTIONS(2159),
    [anon_sym_else] = ACTIONS(2159),
    [anon_sym_if] = ACTIONS(2159),
    [anon_sym_switch] = ACTIONS(2159),
    [anon_sym_for] = ACTIONS(2159),
    [anon_sym_LPAREN] = ACTIONS(2159),
    [anon_sym_await] = ACTIONS(2159),
    [anon_sym_in] = ACTIONS(2161),
    [anon_sym_while] = ACTIONS(2159),
    [anon_sym_do] = ACTIONS(2159),
    [anon_sym_try] = ACTIONS(2159),
    [anon_sym_break] = ACTIONS(2159),
    [anon_sym_continue] = ACTIONS(2159),
    [anon_sym_debugger] = ACTIONS(2159),
    [anon_sym_return] = ACTIONS(2159),
    [anon_sym_throw] = ACTIONS(2159),
    [anon_sym_SEMI] = ACTIONS(2159),
    [anon_sym_yield] = ACTIONS(2159),
    [anon_sym_LBRACK] = ACTIONS(2159),
    [anon_sym_LTtemplate_GT] = ACTIONS(2159),
    [anon_sym_GT] = ACTIONS(2161),
    [anon_sym_DOT] = ACTIONS(2161),
    [anon_sym_DQUOTE] = ACTIONS(2159),
    [anon_sym_SQUOTE] = ACTIONS(2159),
    [anon_sym_class] = ACTIONS(2159),
    [anon_sym_async] = ACTIONS(2159),
    [anon_sym_function] = ACTIONS(2159),
    [anon_sym_QMARK_DOT] = ACTIONS(2161),
    [anon_sym_new] = ACTIONS(2159),
    [anon_sym_using] = ACTIONS(2159),
    [anon_sym_AMP_AMP] = ACTIONS(2161),
    [anon_sym_PIPE_PIPE] = ACTIONS(2161),
    [anon_sym_GT_GT] = ACTIONS(2161),
    [anon_sym_GT_GT_GT] = ACTIONS(2161),
    [anon_sym_LT_LT] = ACTIONS(2161),
    [anon_sym_AMP] = ACTIONS(2161),
    [anon_sym_CARET] = ACTIONS(2161),
    [anon_sym_PIPE] = ACTIONS(2161),
    [anon_sym_PLUS] = ACTIONS(2159),
    [anon_sym_DASH] = ACTIONS(2159),
    [anon_sym_SLASH] = ACTIONS(2159),
    [anon_sym_PERCENT] = ACTIONS(2161),
    [anon_sym_STAR_STAR] = ACTIONS(2161),
    [anon_sym_LT] = ACTIONS(2159),
    [anon_sym_LT_EQ] = ACTIONS(2161),
    [anon_sym_EQ_EQ] = ACTIONS(2161),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2161),
    [anon_sym_BANG_EQ] = ACTIONS(2161),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2161),
    [anon_sym_GT_EQ] = ACTIONS(2161),
    [anon_sym_QMARK_QMARK] = ACTIONS(2161),
    [anon_sym_instanceof] = ACTIONS(2161),
    [anon_sym_TILDE] = ACTIONS(2159),
    [anon_sym_void] = ACTIONS(2159),
    [anon_sym_delete] = ACTIONS(2159),
    [anon_sym_PLUS_PLUS] = ACTIONS(2159),
    [anon_sym_DASH_DASH] = ACTIONS(2159),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2159),
    [sym_number] = ACTIONS(2159),
    [sym_private_property_identifier] = ACTIONS(2159),
    [sym_this] = ACTIONS(2159),
    [sym_super] = ACTIONS(2159),
    [sym_true] = ACTIONS(2159),
    [sym_false] = ACTIONS(2159),
    [sym_null] = ACTIONS(2159),
    [sym_undefined] = ACTIONS(2159),
    [anon_sym_AT] = ACTIONS(2159),
    [anon_sym_static] = ACTIONS(2159),
    [anon_sym_readonly] = ACTIONS(2159),
    [anon_sym_get] = ACTIONS(2159),
    [anon_sym_set] = ACTIONS(2159),
    [anon_sym_declare] = ACTIONS(2159),
    [anon_sym_public] = ACTIONS(2159),
    [anon_sym_private] = ACTIONS(2159),
    [anon_sym_protected] = ACTIONS(2159),
    [anon_sym_override] = ACTIONS(2159),
    [anon_sym_module] = ACTIONS(2159),
    [anon_sym_any] = ACTIONS(2159),
    [anon_sym_number] = ACTIONS(2159),
    [anon_sym_boolean] = ACTIONS(2159),
    [anon_sym_string] = ACTIONS(2159),
    [anon_sym_symbol] = ACTIONS(2159),
    [anon_sym_object] = ACTIONS(2159),
    [anon_sym_abstract] = ACTIONS(2159),
    [anon_sym_satisfies] = ACTIONS(2161),
    [anon_sym_interface] = ACTIONS(2159),
    [anon_sym_enum] = ACTIONS(2159),
    [sym__automatic_semicolon] = ACTIONS(2317),
    [sym__ternary_qmark] = ACTIONS(2165),
    [sym_html_comment] = ACTIONS(5),
  },
  [372] = {
    [sym_comment] = STATE(372),
    [ts_builtin_sym_end] = ACTIONS(2103),
    [sym_identifier] = ACTIONS(2067),
    [anon_sym_export] = ACTIONS(2067),
    [anon_sym_STAR] = ACTIONS(2067),
    [anon_sym_type] = ACTIONS(2067),
    [anon_sym_as] = ACTIONS(2067),
    [anon_sym_namespace] = ACTIONS(2067),
    [anon_sym_LBRACE] = ACTIONS(2067),
    [anon_sym_COMMA] = ACTIONS(2067),
    [anon_sym_RBRACE] = ACTIONS(2067),
    [anon_sym_typeof] = ACTIONS(2067),
    [anon_sym_import] = ACTIONS(2067),
    [anon_sym_with] = ACTIONS(2067),
    [anon_sym_var] = ACTIONS(2067),
    [anon_sym_let] = ACTIONS(2067),
    [anon_sym_const] = ACTIONS(2067),
    [anon_sym_BANG] = ACTIONS(2067),
    [anon_sym_else] = ACTIONS(2067),
    [anon_sym_if] = ACTIONS(2067),
    [anon_sym_switch] = ACTIONS(2067),
    [anon_sym_for] = ACTIONS(2067),
    [anon_sym_LPAREN] = ACTIONS(2067),
    [anon_sym_await] = ACTIONS(2067),
    [anon_sym_in] = ACTIONS(2067),
    [anon_sym_while] = ACTIONS(2067),
    [anon_sym_do] = ACTIONS(2067),
    [anon_sym_try] = ACTIONS(2067),
    [anon_sym_break] = ACTIONS(2067),
    [anon_sym_continue] = ACTIONS(2067),
    [anon_sym_debugger] = ACTIONS(2067),
    [anon_sym_return] = ACTIONS(2067),
    [anon_sym_throw] = ACTIONS(2067),
    [anon_sym_SEMI] = ACTIONS(2067),
    [anon_sym_yield] = ACTIONS(2067),
    [anon_sym_LBRACK] = ACTIONS(2067),
    [anon_sym_LTtemplate_GT] = ACTIONS(2067),
    [anon_sym_GT] = ACTIONS(2067),
    [anon_sym_DOT] = ACTIONS(2067),
    [anon_sym_DQUOTE] = ACTIONS(2067),
    [anon_sym_SQUOTE] = ACTIONS(2067),
    [anon_sym_class] = ACTIONS(2067),
    [anon_sym_async] = ACTIONS(2067),
    [anon_sym_function] = ACTIONS(2067),
    [anon_sym_QMARK_DOT] = ACTIONS(2067),
    [anon_sym_new] = ACTIONS(2067),
    [anon_sym_using] = ACTIONS(2067),
    [anon_sym_AMP_AMP] = ACTIONS(2067),
    [anon_sym_PIPE_PIPE] = ACTIONS(2067),
    [anon_sym_GT_GT] = ACTIONS(2067),
    [anon_sym_GT_GT_GT] = ACTIONS(2067),
    [anon_sym_LT_LT] = ACTIONS(2067),
    [anon_sym_AMP] = ACTIONS(2067),
    [anon_sym_CARET] = ACTIONS(2067),
    [anon_sym_PIPE] = ACTIONS(2067),
    [anon_sym_PLUS] = ACTIONS(2067),
    [anon_sym_DASH] = ACTIONS(2067),
    [anon_sym_SLASH] = ACTIONS(2067),
    [anon_sym_PERCENT] = ACTIONS(2067),
    [anon_sym_STAR_STAR] = ACTIONS(2067),
    [anon_sym_LT] = ACTIONS(2067),
    [anon_sym_LT_EQ] = ACTIONS(2067),
    [anon_sym_EQ_EQ] = ACTIONS(2067),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2067),
    [anon_sym_BANG_EQ] = ACTIONS(2067),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2067),
    [anon_sym_GT_EQ] = ACTIONS(2067),
    [anon_sym_QMARK_QMARK] = ACTIONS(2067),
    [anon_sym_instanceof] = ACTIONS(2067),
    [anon_sym_TILDE] = ACTIONS(2067),
    [anon_sym_void] = ACTIONS(2067),
    [anon_sym_delete] = ACTIONS(2067),
    [anon_sym_PLUS_PLUS] = ACTIONS(2067),
    [anon_sym_DASH_DASH] = ACTIONS(2067),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2067),
    [sym_number] = ACTIONS(2067),
    [sym_private_property_identifier] = ACTIONS(2067),
    [sym_this] = ACTIONS(2067),
    [sym_super] = ACTIONS(2067),
    [sym_true] = ACTIONS(2067),
    [sym_false] = ACTIONS(2067),
    [sym_null] = ACTIONS(2067),
    [sym_undefined] = ACTIONS(2067),
    [anon_sym_AT] = ACTIONS(2067),
    [anon_sym_static] = ACTIONS(2067),
    [anon_sym_readonly] = ACTIONS(2067),
    [anon_sym_get] = ACTIONS(2067),
    [anon_sym_set] = ACTIONS(2067),
    [anon_sym_declare] = ACTIONS(2067),
    [anon_sym_public] = ACTIONS(2067),
    [anon_sym_private] = ACTIONS(2067),
    [anon_sym_protected] = ACTIONS(2067),
    [anon_sym_override] = ACTIONS(2067),
    [anon_sym_module] = ACTIONS(2067),
    [anon_sym_any] = ACTIONS(2067),
    [anon_sym_number] = ACTIONS(2067),
    [anon_sym_boolean] = ACTIONS(2067),
    [anon_sym_string] = ACTIONS(2067),
    [anon_sym_symbol] = ACTIONS(2067),
    [anon_sym_object] = ACTIONS(2067),
    [anon_sym_abstract] = ACTIONS(2067),
    [anon_sym_satisfies] = ACTIONS(2067),
    [anon_sym_interface] = ACTIONS(2067),
    [anon_sym_enum] = ACTIONS(2067),
    [sym__automatic_semicolon] = ACTIONS(2319),
    [sym__ternary_qmark] = ACTIONS(2103),
    [sym_html_comment] = ACTIONS(5),
  },
  [373] = {
    [sym_import] = STATE(4258),
    [sym_parenthesized_expression] = STATE(2175),
    [sym_expression] = STATE(2565),
    [sym_primary_expression] = STATE(2990),
    [sym_yield_expression] = STATE(3139),
    [sym_object] = STATE(3113),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(3113),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(3139),
    [sym_glimmer_opening_tag] = STATE(5702),
    [sym_jsx_element] = STATE(3139),
    [sym_jsx_opening_element] = STATE(4008),
    [sym_jsx_self_closing_element] = STATE(3139),
    [sym_class] = STATE(3113),
    [sym_function_expression] = STATE(3113),
    [sym_generator_function] = STATE(3113),
    [sym_arrow_function] = STATE(3113),
    [sym__call_signature] = STATE(7205),
    [sym_call_expression] = STATE(3113),
    [sym_new_expression] = STATE(3139),
    [sym_await_expression] = STATE(3139),
    [sym_member_expression] = STATE(2175),
    [sym_subscript_expression] = STATE(2175),
    [sym_assignment_expression] = STATE(3139),
    [sym__augmented_assignment_lhs] = STATE(3844),
    [sym_augmented_assignment_expression] = STATE(3139),
    [sym__destructuring_pattern] = STATE(7209),
    [sym_ternary_expression] = STATE(3139),
    [sym_binary_expression] = STATE(3139),
    [sym_unary_expression] = STATE(3139),
    [sym_update_expression] = STATE(3139),
    [sym_string] = STATE(3113),
    [sym_comment] = STATE(373),
    [sym_template_string] = STATE(3113),
    [sym_regex] = STATE(3113),
    [sym_meta_property] = STATE(3113),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2175),
    [sym_as_expression] = STATE(3139),
    [sym_satisfies_expression] = STATE(3139),
    [sym_instantiation_expression] = STATE(3139),
    [sym_internal_module] = STATE(3139),
    [sym__type_query_member_expression] = STATE(3745),
    [sym__type_query_subscript_expression] = STATE(3744),
    [sym__type_query_call_expression] = STATE(3813),
    [sym__type_query_instantiation_expression] = STATE(3926),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5555),
    [sym_identifier] = ACTIONS(2321),
    [anon_sym_export] = ACTIONS(1518),
    [anon_sym_type] = ACTIONS(1518),
    [anon_sym_namespace] = ACTIONS(1520),
    [anon_sym_LBRACE] = ACTIONS(1020),
    [anon_sym_typeof] = ACTIONS(1526),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1518),
    [anon_sym_BANG] = ACTIONS(1526),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1528),
    [anon_sym_yield] = ACTIONS(1530),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1029),
    [anon_sym_async] = ACTIONS(1534),
    [anon_sym_function] = ACTIONS(1033),
    [anon_sym_new] = ACTIONS(1740),
    [anon_sym_using] = ACTIONS(1538),
    [anon_sym_PLUS] = ACTIONS(1526),
    [anon_sym_DASH] = ACTIONS(1526),
    [anon_sym_SLASH] = ACTIONS(1195),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1526),
    [anon_sym_void] = ACTIONS(1526),
    [anon_sym_delete] = ACTIONS(1526),
    [anon_sym_PLUS_PLUS] = ACTIONS(1544),
    [anon_sym_DASH_DASH] = ACTIONS(1544),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1550),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1742),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1518),
    [anon_sym_readonly] = ACTIONS(1518),
    [anon_sym_get] = ACTIONS(1518),
    [anon_sym_set] = ACTIONS(1518),
    [anon_sym_declare] = ACTIONS(1518),
    [anon_sym_public] = ACTIONS(1518),
    [anon_sym_private] = ACTIONS(1518),
    [anon_sym_protected] = ACTIONS(1518),
    [anon_sym_override] = ACTIONS(1518),
    [anon_sym_module] = ACTIONS(1518),
    [anon_sym_any] = ACTIONS(1518),
    [anon_sym_number] = ACTIONS(1518),
    [anon_sym_boolean] = ACTIONS(1518),
    [anon_sym_string] = ACTIONS(1518),
    [anon_sym_symbol] = ACTIONS(1518),
    [anon_sym_object] = ACTIONS(1518),
    [sym_html_comment] = ACTIONS(5),
  },
  [374] = {
    [sym_import] = STATE(4369),
    [sym_expression_statement] = STATE(463),
    [sym_empty_statement] = STATE(463),
    [sym_parenthesized_expression] = STATE(2177),
    [sym_expression] = STATE(2679),
    [sym_primary_expression] = STATE(2990),
    [sym_yield_expression] = STATE(3139),
    [sym_object] = STATE(3113),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(3113),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(3139),
    [sym_glimmer_opening_tag] = STATE(5702),
    [sym_jsx_element] = STATE(3139),
    [sym_jsx_opening_element] = STATE(4008),
    [sym_jsx_self_closing_element] = STATE(3139),
    [sym_class] = STATE(3113),
    [sym_function_expression] = STATE(3113),
    [sym_generator_function] = STATE(3113),
    [sym_arrow_function] = STATE(3113),
    [sym__call_signature] = STATE(7486),
    [sym_call_expression] = STATE(3113),
    [sym_new_expression] = STATE(3139),
    [sym_await_expression] = STATE(3139),
    [sym_member_expression] = STATE(2177),
    [sym_subscript_expression] = STATE(2177),
    [sym_assignment_expression] = STATE(3139),
    [sym__augmented_assignment_lhs] = STATE(3835),
    [sym_augmented_assignment_expression] = STATE(3139),
    [sym__destructuring_pattern] = STATE(7484),
    [sym_ternary_expression] = STATE(3139),
    [sym_binary_expression] = STATE(3139),
    [sym_unary_expression] = STATE(3139),
    [sym_update_expression] = STATE(3139),
    [sym_sequence_expression] = STATE(7092),
    [sym_string] = STATE(3113),
    [sym_comment] = STATE(374),
    [sym_template_string] = STATE(3113),
    [sym_regex] = STATE(3113),
    [sym_meta_property] = STATE(3113),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2177),
    [sym_as_expression] = STATE(3139),
    [sym_satisfies_expression] = STATE(3139),
    [sym_instantiation_expression] = STATE(3139),
    [sym_internal_module] = STATE(3139),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5555),
    [sym_identifier] = ACTIONS(1744),
    [anon_sym_export] = ACTIONS(1596),
    [anon_sym_type] = ACTIONS(1596),
    [anon_sym_namespace] = ACTIONS(1598),
    [anon_sym_LBRACE] = ACTIONS(1020),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1596),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_SEMI] = ACTIONS(2000),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1029),
    [anon_sym_async] = ACTIONS(1602),
    [anon_sym_function] = ACTIONS(1033),
    [anon_sym_new] = ACTIONS(1748),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1596),
    [anon_sym_readonly] = ACTIONS(1596),
    [anon_sym_get] = ACTIONS(1596),
    [anon_sym_set] = ACTIONS(1596),
    [anon_sym_declare] = ACTIONS(1596),
    [anon_sym_public] = ACTIONS(1596),
    [anon_sym_private] = ACTIONS(1596),
    [anon_sym_protected] = ACTIONS(1596),
    [anon_sym_override] = ACTIONS(1596),
    [anon_sym_module] = ACTIONS(1596),
    [anon_sym_any] = ACTIONS(1596),
    [anon_sym_number] = ACTIONS(1596),
    [anon_sym_boolean] = ACTIONS(1596),
    [anon_sym_string] = ACTIONS(1596),
    [anon_sym_symbol] = ACTIONS(1596),
    [anon_sym_object] = ACTIONS(1596),
    [sym_html_comment] = ACTIONS(5),
  },
  [375] = {
    [sym_comment] = STATE(375),
    [sym_identifier] = ACTIONS(2085),
    [anon_sym_export] = ACTIONS(2085),
    [anon_sym_STAR] = ACTIONS(2087),
    [anon_sym_default] = ACTIONS(2085),
    [anon_sym_type] = ACTIONS(2085),
    [anon_sym_as] = ACTIONS(2087),
    [anon_sym_namespace] = ACTIONS(2085),
    [anon_sym_LBRACE] = ACTIONS(2085),
    [anon_sym_COMMA] = ACTIONS(2087),
    [anon_sym_RBRACE] = ACTIONS(2085),
    [anon_sym_typeof] = ACTIONS(2085),
    [anon_sym_import] = ACTIONS(2085),
    [anon_sym_with] = ACTIONS(2085),
    [anon_sym_var] = ACTIONS(2085),
    [anon_sym_let] = ACTIONS(2085),
    [anon_sym_const] = ACTIONS(2085),
    [anon_sym_BANG] = ACTIONS(2085),
    [anon_sym_if] = ACTIONS(2085),
    [anon_sym_switch] = ACTIONS(2085),
    [anon_sym_for] = ACTIONS(2085),
    [anon_sym_LPAREN] = ACTIONS(2085),
    [anon_sym_await] = ACTIONS(2085),
    [anon_sym_in] = ACTIONS(2087),
    [anon_sym_while] = ACTIONS(2085),
    [anon_sym_do] = ACTIONS(2085),
    [anon_sym_try] = ACTIONS(2085),
    [anon_sym_break] = ACTIONS(2085),
    [anon_sym_continue] = ACTIONS(2085),
    [anon_sym_debugger] = ACTIONS(2085),
    [anon_sym_return] = ACTIONS(2085),
    [anon_sym_throw] = ACTIONS(2085),
    [anon_sym_SEMI] = ACTIONS(2085),
    [anon_sym_case] = ACTIONS(2085),
    [anon_sym_yield] = ACTIONS(2085),
    [anon_sym_LBRACK] = ACTIONS(2085),
    [anon_sym_LTtemplate_GT] = ACTIONS(2085),
    [anon_sym_GT] = ACTIONS(2087),
    [anon_sym_DOT] = ACTIONS(2087),
    [anon_sym_DQUOTE] = ACTIONS(2085),
    [anon_sym_SQUOTE] = ACTIONS(2085),
    [anon_sym_class] = ACTIONS(2085),
    [anon_sym_async] = ACTIONS(2085),
    [anon_sym_function] = ACTIONS(2085),
    [anon_sym_QMARK_DOT] = ACTIONS(2087),
    [anon_sym_new] = ACTIONS(2085),
    [anon_sym_using] = ACTIONS(2085),
    [anon_sym_AMP_AMP] = ACTIONS(2087),
    [anon_sym_PIPE_PIPE] = ACTIONS(2087),
    [anon_sym_GT_GT] = ACTIONS(2087),
    [anon_sym_GT_GT_GT] = ACTIONS(2087),
    [anon_sym_LT_LT] = ACTIONS(2087),
    [anon_sym_AMP] = ACTIONS(2087),
    [anon_sym_CARET] = ACTIONS(2087),
    [anon_sym_PIPE] = ACTIONS(2087),
    [anon_sym_PLUS] = ACTIONS(2085),
    [anon_sym_DASH] = ACTIONS(2085),
    [anon_sym_SLASH] = ACTIONS(2085),
    [anon_sym_PERCENT] = ACTIONS(2087),
    [anon_sym_STAR_STAR] = ACTIONS(2087),
    [anon_sym_LT] = ACTIONS(2085),
    [anon_sym_LT_EQ] = ACTIONS(2087),
    [anon_sym_EQ_EQ] = ACTIONS(2087),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2087),
    [anon_sym_BANG_EQ] = ACTIONS(2087),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2087),
    [anon_sym_GT_EQ] = ACTIONS(2087),
    [anon_sym_QMARK_QMARK] = ACTIONS(2087),
    [anon_sym_instanceof] = ACTIONS(2087),
    [anon_sym_TILDE] = ACTIONS(2085),
    [anon_sym_void] = ACTIONS(2085),
    [anon_sym_delete] = ACTIONS(2085),
    [anon_sym_PLUS_PLUS] = ACTIONS(2085),
    [anon_sym_DASH_DASH] = ACTIONS(2085),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2085),
    [sym_number] = ACTIONS(2085),
    [sym_private_property_identifier] = ACTIONS(2085),
    [sym_this] = ACTIONS(2085),
    [sym_super] = ACTIONS(2085),
    [sym_true] = ACTIONS(2085),
    [sym_false] = ACTIONS(2085),
    [sym_null] = ACTIONS(2085),
    [sym_undefined] = ACTIONS(2085),
    [anon_sym_AT] = ACTIONS(2085),
    [anon_sym_static] = ACTIONS(2085),
    [anon_sym_readonly] = ACTIONS(2085),
    [anon_sym_get] = ACTIONS(2085),
    [anon_sym_set] = ACTIONS(2085),
    [anon_sym_declare] = ACTIONS(2085),
    [anon_sym_public] = ACTIONS(2085),
    [anon_sym_private] = ACTIONS(2085),
    [anon_sym_protected] = ACTIONS(2085),
    [anon_sym_override] = ACTIONS(2085),
    [anon_sym_module] = ACTIONS(2085),
    [anon_sym_any] = ACTIONS(2085),
    [anon_sym_number] = ACTIONS(2085),
    [anon_sym_boolean] = ACTIONS(2085),
    [anon_sym_string] = ACTIONS(2085),
    [anon_sym_symbol] = ACTIONS(2085),
    [anon_sym_object] = ACTIONS(2085),
    [anon_sym_abstract] = ACTIONS(2085),
    [anon_sym_satisfies] = ACTIONS(2087),
    [anon_sym_interface] = ACTIONS(2085),
    [anon_sym_enum] = ACTIONS(2085),
    [sym__automatic_semicolon] = ACTIONS(2323),
    [sym__ternary_qmark] = ACTIONS(2091),
    [sym_html_comment] = ACTIONS(5),
  },
  [376] = {
    [sym_import] = STATE(4369),
    [sym_expression_statement] = STATE(465),
    [sym_empty_statement] = STATE(465),
    [sym_parenthesized_expression] = STATE(2177),
    [sym_expression] = STATE(2679),
    [sym_primary_expression] = STATE(2990),
    [sym_yield_expression] = STATE(3139),
    [sym_object] = STATE(3113),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(3113),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(3139),
    [sym_glimmer_opening_tag] = STATE(5702),
    [sym_jsx_element] = STATE(3139),
    [sym_jsx_opening_element] = STATE(4008),
    [sym_jsx_self_closing_element] = STATE(3139),
    [sym_class] = STATE(3113),
    [sym_function_expression] = STATE(3113),
    [sym_generator_function] = STATE(3113),
    [sym_arrow_function] = STATE(3113),
    [sym__call_signature] = STATE(7486),
    [sym_call_expression] = STATE(3113),
    [sym_new_expression] = STATE(3139),
    [sym_await_expression] = STATE(3139),
    [sym_member_expression] = STATE(2177),
    [sym_subscript_expression] = STATE(2177),
    [sym_assignment_expression] = STATE(3139),
    [sym__augmented_assignment_lhs] = STATE(3835),
    [sym_augmented_assignment_expression] = STATE(3139),
    [sym__destructuring_pattern] = STATE(7484),
    [sym_ternary_expression] = STATE(3139),
    [sym_binary_expression] = STATE(3139),
    [sym_unary_expression] = STATE(3139),
    [sym_update_expression] = STATE(3139),
    [sym_sequence_expression] = STATE(7092),
    [sym_string] = STATE(3113),
    [sym_comment] = STATE(376),
    [sym_template_string] = STATE(3113),
    [sym_regex] = STATE(3113),
    [sym_meta_property] = STATE(3113),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2177),
    [sym_as_expression] = STATE(3139),
    [sym_satisfies_expression] = STATE(3139),
    [sym_instantiation_expression] = STATE(3139),
    [sym_internal_module] = STATE(3139),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5555),
    [sym_identifier] = ACTIONS(1744),
    [anon_sym_export] = ACTIONS(1596),
    [anon_sym_type] = ACTIONS(1596),
    [anon_sym_namespace] = ACTIONS(1598),
    [anon_sym_LBRACE] = ACTIONS(1020),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1596),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_SEMI] = ACTIONS(2000),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1029),
    [anon_sym_async] = ACTIONS(1602),
    [anon_sym_function] = ACTIONS(1033),
    [anon_sym_new] = ACTIONS(1748),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1596),
    [anon_sym_readonly] = ACTIONS(1596),
    [anon_sym_get] = ACTIONS(1596),
    [anon_sym_set] = ACTIONS(1596),
    [anon_sym_declare] = ACTIONS(1596),
    [anon_sym_public] = ACTIONS(1596),
    [anon_sym_private] = ACTIONS(1596),
    [anon_sym_protected] = ACTIONS(1596),
    [anon_sym_override] = ACTIONS(1596),
    [anon_sym_module] = ACTIONS(1596),
    [anon_sym_any] = ACTIONS(1596),
    [anon_sym_number] = ACTIONS(1596),
    [anon_sym_boolean] = ACTIONS(1596),
    [anon_sym_string] = ACTIONS(1596),
    [anon_sym_symbol] = ACTIONS(1596),
    [anon_sym_object] = ACTIONS(1596),
    [sym_html_comment] = ACTIONS(5),
  },
  [377] = {
    [sym_comment] = STATE(377),
    [sym_identifier] = ACTIONS(2117),
    [anon_sym_export] = ACTIONS(2117),
    [anon_sym_STAR] = ACTIONS(2119),
    [anon_sym_default] = ACTIONS(2117),
    [anon_sym_type] = ACTIONS(2117),
    [anon_sym_as] = ACTIONS(2119),
    [anon_sym_namespace] = ACTIONS(2117),
    [anon_sym_LBRACE] = ACTIONS(2117),
    [anon_sym_COMMA] = ACTIONS(2119),
    [anon_sym_RBRACE] = ACTIONS(2117),
    [anon_sym_typeof] = ACTIONS(2117),
    [anon_sym_import] = ACTIONS(2117),
    [anon_sym_with] = ACTIONS(2117),
    [anon_sym_var] = ACTIONS(2117),
    [anon_sym_let] = ACTIONS(2117),
    [anon_sym_const] = ACTIONS(2117),
    [anon_sym_BANG] = ACTIONS(2117),
    [anon_sym_if] = ACTIONS(2117),
    [anon_sym_switch] = ACTIONS(2117),
    [anon_sym_for] = ACTIONS(2117),
    [anon_sym_LPAREN] = ACTIONS(2117),
    [anon_sym_await] = ACTIONS(2117),
    [anon_sym_in] = ACTIONS(2119),
    [anon_sym_while] = ACTIONS(2117),
    [anon_sym_do] = ACTIONS(2117),
    [anon_sym_try] = ACTIONS(2117),
    [anon_sym_break] = ACTIONS(2117),
    [anon_sym_continue] = ACTIONS(2117),
    [anon_sym_debugger] = ACTIONS(2117),
    [anon_sym_return] = ACTIONS(2117),
    [anon_sym_throw] = ACTIONS(2117),
    [anon_sym_SEMI] = ACTIONS(2117),
    [anon_sym_case] = ACTIONS(2117),
    [anon_sym_yield] = ACTIONS(2117),
    [anon_sym_LBRACK] = ACTIONS(2117),
    [anon_sym_LTtemplate_GT] = ACTIONS(2117),
    [anon_sym_GT] = ACTIONS(2119),
    [anon_sym_DOT] = ACTIONS(2119),
    [anon_sym_DQUOTE] = ACTIONS(2117),
    [anon_sym_SQUOTE] = ACTIONS(2117),
    [anon_sym_class] = ACTIONS(2117),
    [anon_sym_async] = ACTIONS(2117),
    [anon_sym_function] = ACTIONS(2117),
    [anon_sym_QMARK_DOT] = ACTIONS(2119),
    [anon_sym_new] = ACTIONS(2117),
    [anon_sym_using] = ACTIONS(2117),
    [anon_sym_AMP_AMP] = ACTIONS(2119),
    [anon_sym_PIPE_PIPE] = ACTIONS(2119),
    [anon_sym_GT_GT] = ACTIONS(2119),
    [anon_sym_GT_GT_GT] = ACTIONS(2119),
    [anon_sym_LT_LT] = ACTIONS(2119),
    [anon_sym_AMP] = ACTIONS(2119),
    [anon_sym_CARET] = ACTIONS(2119),
    [anon_sym_PIPE] = ACTIONS(2119),
    [anon_sym_PLUS] = ACTIONS(2117),
    [anon_sym_DASH] = ACTIONS(2117),
    [anon_sym_SLASH] = ACTIONS(2117),
    [anon_sym_PERCENT] = ACTIONS(2119),
    [anon_sym_STAR_STAR] = ACTIONS(2119),
    [anon_sym_LT] = ACTIONS(2117),
    [anon_sym_LT_EQ] = ACTIONS(2119),
    [anon_sym_EQ_EQ] = ACTIONS(2119),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2119),
    [anon_sym_BANG_EQ] = ACTIONS(2119),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2119),
    [anon_sym_GT_EQ] = ACTIONS(2119),
    [anon_sym_QMARK_QMARK] = ACTIONS(2119),
    [anon_sym_instanceof] = ACTIONS(2119),
    [anon_sym_TILDE] = ACTIONS(2117),
    [anon_sym_void] = ACTIONS(2117),
    [anon_sym_delete] = ACTIONS(2117),
    [anon_sym_PLUS_PLUS] = ACTIONS(2117),
    [anon_sym_DASH_DASH] = ACTIONS(2117),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2117),
    [sym_number] = ACTIONS(2117),
    [sym_private_property_identifier] = ACTIONS(2117),
    [sym_this] = ACTIONS(2117),
    [sym_super] = ACTIONS(2117),
    [sym_true] = ACTIONS(2117),
    [sym_false] = ACTIONS(2117),
    [sym_null] = ACTIONS(2117),
    [sym_undefined] = ACTIONS(2117),
    [anon_sym_AT] = ACTIONS(2117),
    [anon_sym_static] = ACTIONS(2117),
    [anon_sym_readonly] = ACTIONS(2117),
    [anon_sym_get] = ACTIONS(2117),
    [anon_sym_set] = ACTIONS(2117),
    [anon_sym_declare] = ACTIONS(2117),
    [anon_sym_public] = ACTIONS(2117),
    [anon_sym_private] = ACTIONS(2117),
    [anon_sym_protected] = ACTIONS(2117),
    [anon_sym_override] = ACTIONS(2117),
    [anon_sym_module] = ACTIONS(2117),
    [anon_sym_any] = ACTIONS(2117),
    [anon_sym_number] = ACTIONS(2117),
    [anon_sym_boolean] = ACTIONS(2117),
    [anon_sym_string] = ACTIONS(2117),
    [anon_sym_symbol] = ACTIONS(2117),
    [anon_sym_object] = ACTIONS(2117),
    [anon_sym_abstract] = ACTIONS(2117),
    [anon_sym_satisfies] = ACTIONS(2119),
    [anon_sym_interface] = ACTIONS(2117),
    [anon_sym_enum] = ACTIONS(2117),
    [sym__automatic_semicolon] = ACTIONS(2325),
    [sym__ternary_qmark] = ACTIONS(2123),
    [sym_html_comment] = ACTIONS(5),
  },
  [378] = {
    [sym_import] = STATE(4275),
    [sym_parenthesized_expression] = STATE(2048),
    [sym_expression] = STATE(3373),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7260),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2048),
    [sym_subscript_expression] = STATE(2048),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3878),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7646),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(378),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2048),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym__type_query_member_expression] = STATE(3745),
    [sym__type_query_subscript_expression] = STATE(3744),
    [sym__type_query_call_expression] = STATE(3813),
    [sym__type_query_instantiation_expression] = STATE(3926),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(2327),
    [anon_sym_export] = ACTIONS(1097),
    [anon_sym_type] = ACTIONS(1097),
    [anon_sym_namespace] = ACTIONS(1099),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(174),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1097),
    [anon_sym_BANG] = ACTIONS(174),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1109),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1111),
    [anon_sym_using] = ACTIONS(157),
    [anon_sym_PLUS] = ACTIONS(174),
    [anon_sym_DASH] = ACTIONS(174),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(174),
    [anon_sym_void] = ACTIONS(174),
    [anon_sym_delete] = ACTIONS(174),
    [anon_sym_PLUS_PLUS] = ACTIONS(1039),
    [anon_sym_DASH_DASH] = ACTIONS(1039),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(185),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1115),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1097),
    [anon_sym_readonly] = ACTIONS(1097),
    [anon_sym_get] = ACTIONS(1097),
    [anon_sym_set] = ACTIONS(1097),
    [anon_sym_declare] = ACTIONS(1097),
    [anon_sym_public] = ACTIONS(1097),
    [anon_sym_private] = ACTIONS(1097),
    [anon_sym_protected] = ACTIONS(1097),
    [anon_sym_override] = ACTIONS(1097),
    [anon_sym_module] = ACTIONS(1097),
    [anon_sym_any] = ACTIONS(1097),
    [anon_sym_number] = ACTIONS(1097),
    [anon_sym_boolean] = ACTIONS(1097),
    [anon_sym_string] = ACTIONS(1097),
    [anon_sym_symbol] = ACTIONS(1097),
    [anon_sym_object] = ACTIONS(1097),
    [sym_html_comment] = ACTIONS(5),
  },
  [379] = {
    [sym_comment] = STATE(379),
    [sym_identifier] = ACTIONS(2159),
    [anon_sym_export] = ACTIONS(2159),
    [anon_sym_STAR] = ACTIONS(2161),
    [anon_sym_default] = ACTIONS(2159),
    [anon_sym_type] = ACTIONS(2159),
    [anon_sym_as] = ACTIONS(2161),
    [anon_sym_namespace] = ACTIONS(2159),
    [anon_sym_LBRACE] = ACTIONS(2159),
    [anon_sym_COMMA] = ACTIONS(2161),
    [anon_sym_RBRACE] = ACTIONS(2159),
    [anon_sym_typeof] = ACTIONS(2159),
    [anon_sym_import] = ACTIONS(2159),
    [anon_sym_with] = ACTIONS(2159),
    [anon_sym_var] = ACTIONS(2159),
    [anon_sym_let] = ACTIONS(2159),
    [anon_sym_const] = ACTIONS(2159),
    [anon_sym_BANG] = ACTIONS(2159),
    [anon_sym_if] = ACTIONS(2159),
    [anon_sym_switch] = ACTIONS(2159),
    [anon_sym_for] = ACTIONS(2159),
    [anon_sym_LPAREN] = ACTIONS(2159),
    [anon_sym_await] = ACTIONS(2159),
    [anon_sym_in] = ACTIONS(2161),
    [anon_sym_while] = ACTIONS(2159),
    [anon_sym_do] = ACTIONS(2159),
    [anon_sym_try] = ACTIONS(2159),
    [anon_sym_break] = ACTIONS(2159),
    [anon_sym_continue] = ACTIONS(2159),
    [anon_sym_debugger] = ACTIONS(2159),
    [anon_sym_return] = ACTIONS(2159),
    [anon_sym_throw] = ACTIONS(2159),
    [anon_sym_SEMI] = ACTIONS(2159),
    [anon_sym_case] = ACTIONS(2159),
    [anon_sym_yield] = ACTIONS(2159),
    [anon_sym_LBRACK] = ACTIONS(2159),
    [anon_sym_LTtemplate_GT] = ACTIONS(2159),
    [anon_sym_GT] = ACTIONS(2161),
    [anon_sym_DOT] = ACTIONS(2161),
    [anon_sym_DQUOTE] = ACTIONS(2159),
    [anon_sym_SQUOTE] = ACTIONS(2159),
    [anon_sym_class] = ACTIONS(2159),
    [anon_sym_async] = ACTIONS(2159),
    [anon_sym_function] = ACTIONS(2159),
    [anon_sym_QMARK_DOT] = ACTIONS(2161),
    [anon_sym_new] = ACTIONS(2159),
    [anon_sym_using] = ACTIONS(2159),
    [anon_sym_AMP_AMP] = ACTIONS(2161),
    [anon_sym_PIPE_PIPE] = ACTIONS(2161),
    [anon_sym_GT_GT] = ACTIONS(2161),
    [anon_sym_GT_GT_GT] = ACTIONS(2161),
    [anon_sym_LT_LT] = ACTIONS(2161),
    [anon_sym_AMP] = ACTIONS(2161),
    [anon_sym_CARET] = ACTIONS(2161),
    [anon_sym_PIPE] = ACTIONS(2161),
    [anon_sym_PLUS] = ACTIONS(2159),
    [anon_sym_DASH] = ACTIONS(2159),
    [anon_sym_SLASH] = ACTIONS(2159),
    [anon_sym_PERCENT] = ACTIONS(2161),
    [anon_sym_STAR_STAR] = ACTIONS(2161),
    [anon_sym_LT] = ACTIONS(2159),
    [anon_sym_LT_EQ] = ACTIONS(2161),
    [anon_sym_EQ_EQ] = ACTIONS(2161),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2161),
    [anon_sym_BANG_EQ] = ACTIONS(2161),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2161),
    [anon_sym_GT_EQ] = ACTIONS(2161),
    [anon_sym_QMARK_QMARK] = ACTIONS(2161),
    [anon_sym_instanceof] = ACTIONS(2161),
    [anon_sym_TILDE] = ACTIONS(2159),
    [anon_sym_void] = ACTIONS(2159),
    [anon_sym_delete] = ACTIONS(2159),
    [anon_sym_PLUS_PLUS] = ACTIONS(2159),
    [anon_sym_DASH_DASH] = ACTIONS(2159),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2159),
    [sym_number] = ACTIONS(2159),
    [sym_private_property_identifier] = ACTIONS(2159),
    [sym_this] = ACTIONS(2159),
    [sym_super] = ACTIONS(2159),
    [sym_true] = ACTIONS(2159),
    [sym_false] = ACTIONS(2159),
    [sym_null] = ACTIONS(2159),
    [sym_undefined] = ACTIONS(2159),
    [anon_sym_AT] = ACTIONS(2159),
    [anon_sym_static] = ACTIONS(2159),
    [anon_sym_readonly] = ACTIONS(2159),
    [anon_sym_get] = ACTIONS(2159),
    [anon_sym_set] = ACTIONS(2159),
    [anon_sym_declare] = ACTIONS(2159),
    [anon_sym_public] = ACTIONS(2159),
    [anon_sym_private] = ACTIONS(2159),
    [anon_sym_protected] = ACTIONS(2159),
    [anon_sym_override] = ACTIONS(2159),
    [anon_sym_module] = ACTIONS(2159),
    [anon_sym_any] = ACTIONS(2159),
    [anon_sym_number] = ACTIONS(2159),
    [anon_sym_boolean] = ACTIONS(2159),
    [anon_sym_string] = ACTIONS(2159),
    [anon_sym_symbol] = ACTIONS(2159),
    [anon_sym_object] = ACTIONS(2159),
    [anon_sym_abstract] = ACTIONS(2159),
    [anon_sym_satisfies] = ACTIONS(2161),
    [anon_sym_interface] = ACTIONS(2159),
    [anon_sym_enum] = ACTIONS(2159),
    [sym__automatic_semicolon] = ACTIONS(2329),
    [sym__ternary_qmark] = ACTIONS(2165),
    [sym_html_comment] = ACTIONS(5),
  },
  [380] = {
    [sym_import] = STATE(4275),
    [sym_parenthesized_expression] = STATE(2048),
    [sym_expression] = STATE(3373),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7260),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2048),
    [sym_subscript_expression] = STATE(2048),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3878),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7646),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(380),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2048),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym__type_query_member_expression] = STATE(3745),
    [sym__type_query_subscript_expression] = STATE(3744),
    [sym__type_query_call_expression] = STATE(3813),
    [sym__type_query_instantiation_expression] = STATE(3926),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(2331),
    [anon_sym_export] = ACTIONS(1097),
    [anon_sym_type] = ACTIONS(1097),
    [anon_sym_namespace] = ACTIONS(1099),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(174),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1097),
    [anon_sym_BANG] = ACTIONS(174),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1109),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1111),
    [anon_sym_using] = ACTIONS(157),
    [anon_sym_PLUS] = ACTIONS(174),
    [anon_sym_DASH] = ACTIONS(174),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(174),
    [anon_sym_void] = ACTIONS(174),
    [anon_sym_delete] = ACTIONS(174),
    [anon_sym_PLUS_PLUS] = ACTIONS(1039),
    [anon_sym_DASH_DASH] = ACTIONS(1039),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(185),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1115),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1097),
    [anon_sym_readonly] = ACTIONS(1097),
    [anon_sym_get] = ACTIONS(1097),
    [anon_sym_set] = ACTIONS(1097),
    [anon_sym_declare] = ACTIONS(1097),
    [anon_sym_public] = ACTIONS(1097),
    [anon_sym_private] = ACTIONS(1097),
    [anon_sym_protected] = ACTIONS(1097),
    [anon_sym_override] = ACTIONS(1097),
    [anon_sym_module] = ACTIONS(1097),
    [anon_sym_any] = ACTIONS(1097),
    [anon_sym_number] = ACTIONS(1097),
    [anon_sym_boolean] = ACTIONS(1097),
    [anon_sym_string] = ACTIONS(1097),
    [anon_sym_symbol] = ACTIONS(1097),
    [anon_sym_object] = ACTIONS(1097),
    [sym_html_comment] = ACTIONS(5),
  },
  [381] = {
    [sym_comment] = STATE(381),
    [sym_identifier] = ACTIONS(2199),
    [anon_sym_export] = ACTIONS(2199),
    [anon_sym_STAR] = ACTIONS(2199),
    [anon_sym_default] = ACTIONS(2199),
    [anon_sym_type] = ACTIONS(2199),
    [anon_sym_as] = ACTIONS(2199),
    [anon_sym_namespace] = ACTIONS(2199),
    [anon_sym_LBRACE] = ACTIONS(2199),
    [anon_sym_COMMA] = ACTIONS(2199),
    [anon_sym_RBRACE] = ACTIONS(2199),
    [anon_sym_typeof] = ACTIONS(2199),
    [anon_sym_import] = ACTIONS(2199),
    [anon_sym_with] = ACTIONS(2199),
    [anon_sym_var] = ACTIONS(2199),
    [anon_sym_let] = ACTIONS(2199),
    [anon_sym_const] = ACTIONS(2199),
    [anon_sym_BANG] = ACTIONS(2199),
    [anon_sym_if] = ACTIONS(2199),
    [anon_sym_switch] = ACTIONS(2199),
    [anon_sym_for] = ACTIONS(2199),
    [anon_sym_LPAREN] = ACTIONS(2199),
    [anon_sym_await] = ACTIONS(2199),
    [anon_sym_in] = ACTIONS(2199),
    [anon_sym_while] = ACTIONS(2199),
    [anon_sym_do] = ACTIONS(2199),
    [anon_sym_try] = ACTIONS(2199),
    [anon_sym_break] = ACTIONS(2199),
    [anon_sym_continue] = ACTIONS(2199),
    [anon_sym_debugger] = ACTIONS(2199),
    [anon_sym_return] = ACTIONS(2199),
    [anon_sym_throw] = ACTIONS(2199),
    [anon_sym_SEMI] = ACTIONS(2199),
    [anon_sym_case] = ACTIONS(2199),
    [anon_sym_yield] = ACTIONS(2199),
    [anon_sym_LBRACK] = ACTIONS(2199),
    [anon_sym_LTtemplate_GT] = ACTIONS(2199),
    [anon_sym_GT] = ACTIONS(2199),
    [anon_sym_DOT] = ACTIONS(2199),
    [anon_sym_DQUOTE] = ACTIONS(2199),
    [anon_sym_SQUOTE] = ACTIONS(2199),
    [anon_sym_class] = ACTIONS(2199),
    [anon_sym_async] = ACTIONS(2199),
    [anon_sym_function] = ACTIONS(2199),
    [anon_sym_QMARK_DOT] = ACTIONS(2199),
    [anon_sym_new] = ACTIONS(2199),
    [anon_sym_using] = ACTIONS(2199),
    [anon_sym_AMP_AMP] = ACTIONS(2199),
    [anon_sym_PIPE_PIPE] = ACTIONS(2199),
    [anon_sym_GT_GT] = ACTIONS(2199),
    [anon_sym_GT_GT_GT] = ACTIONS(2199),
    [anon_sym_LT_LT] = ACTIONS(2199),
    [anon_sym_AMP] = ACTIONS(2199),
    [anon_sym_CARET] = ACTIONS(2199),
    [anon_sym_PIPE] = ACTIONS(2199),
    [anon_sym_PLUS] = ACTIONS(2199),
    [anon_sym_DASH] = ACTIONS(2199),
    [anon_sym_SLASH] = ACTIONS(2199),
    [anon_sym_PERCENT] = ACTIONS(2199),
    [anon_sym_STAR_STAR] = ACTIONS(2199),
    [anon_sym_LT] = ACTIONS(2199),
    [anon_sym_LT_EQ] = ACTIONS(2199),
    [anon_sym_EQ_EQ] = ACTIONS(2199),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2199),
    [anon_sym_BANG_EQ] = ACTIONS(2199),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2199),
    [anon_sym_GT_EQ] = ACTIONS(2199),
    [anon_sym_QMARK_QMARK] = ACTIONS(2199),
    [anon_sym_instanceof] = ACTIONS(2199),
    [anon_sym_TILDE] = ACTIONS(2199),
    [anon_sym_void] = ACTIONS(2199),
    [anon_sym_delete] = ACTIONS(2199),
    [anon_sym_PLUS_PLUS] = ACTIONS(2199),
    [anon_sym_DASH_DASH] = ACTIONS(2199),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2199),
    [sym_number] = ACTIONS(2199),
    [sym_private_property_identifier] = ACTIONS(2199),
    [sym_this] = ACTIONS(2199),
    [sym_super] = ACTIONS(2199),
    [sym_true] = ACTIONS(2199),
    [sym_false] = ACTIONS(2199),
    [sym_null] = ACTIONS(2199),
    [sym_undefined] = ACTIONS(2199),
    [anon_sym_AT] = ACTIONS(2199),
    [anon_sym_static] = ACTIONS(2199),
    [anon_sym_readonly] = ACTIONS(2199),
    [anon_sym_get] = ACTIONS(2199),
    [anon_sym_set] = ACTIONS(2199),
    [anon_sym_declare] = ACTIONS(2199),
    [anon_sym_public] = ACTIONS(2199),
    [anon_sym_private] = ACTIONS(2199),
    [anon_sym_protected] = ACTIONS(2199),
    [anon_sym_override] = ACTIONS(2199),
    [anon_sym_module] = ACTIONS(2199),
    [anon_sym_any] = ACTIONS(2199),
    [anon_sym_number] = ACTIONS(2199),
    [anon_sym_boolean] = ACTIONS(2199),
    [anon_sym_string] = ACTIONS(2199),
    [anon_sym_symbol] = ACTIONS(2199),
    [anon_sym_object] = ACTIONS(2199),
    [anon_sym_abstract] = ACTIONS(2199),
    [anon_sym_satisfies] = ACTIONS(2199),
    [anon_sym_interface] = ACTIONS(2199),
    [anon_sym_enum] = ACTIONS(2199),
    [sym__automatic_semicolon] = ACTIONS(2201),
    [sym__ternary_qmark] = ACTIONS(2201),
    [sym_html_comment] = ACTIONS(5),
  },
  [382] = {
    [sym_comment] = STATE(382),
    [sym_identifier] = ACTIONS(2203),
    [anon_sym_export] = ACTIONS(2203),
    [anon_sym_STAR] = ACTIONS(2203),
    [anon_sym_default] = ACTIONS(2203),
    [anon_sym_type] = ACTIONS(2203),
    [anon_sym_as] = ACTIONS(2203),
    [anon_sym_namespace] = ACTIONS(2203),
    [anon_sym_LBRACE] = ACTIONS(2203),
    [anon_sym_COMMA] = ACTIONS(2203),
    [anon_sym_RBRACE] = ACTIONS(2203),
    [anon_sym_typeof] = ACTIONS(2203),
    [anon_sym_import] = ACTIONS(2203),
    [anon_sym_with] = ACTIONS(2203),
    [anon_sym_var] = ACTIONS(2203),
    [anon_sym_let] = ACTIONS(2203),
    [anon_sym_const] = ACTIONS(2203),
    [anon_sym_BANG] = ACTIONS(2203),
    [anon_sym_if] = ACTIONS(2203),
    [anon_sym_switch] = ACTIONS(2203),
    [anon_sym_for] = ACTIONS(2203),
    [anon_sym_LPAREN] = ACTIONS(2203),
    [anon_sym_await] = ACTIONS(2203),
    [anon_sym_in] = ACTIONS(2203),
    [anon_sym_while] = ACTIONS(2203),
    [anon_sym_do] = ACTIONS(2203),
    [anon_sym_try] = ACTIONS(2203),
    [anon_sym_break] = ACTIONS(2203),
    [anon_sym_continue] = ACTIONS(2203),
    [anon_sym_debugger] = ACTIONS(2203),
    [anon_sym_return] = ACTIONS(2203),
    [anon_sym_throw] = ACTIONS(2203),
    [anon_sym_SEMI] = ACTIONS(2203),
    [anon_sym_case] = ACTIONS(2203),
    [anon_sym_yield] = ACTIONS(2203),
    [anon_sym_LBRACK] = ACTIONS(2203),
    [anon_sym_LTtemplate_GT] = ACTIONS(2203),
    [anon_sym_GT] = ACTIONS(2203),
    [anon_sym_DOT] = ACTIONS(2203),
    [anon_sym_DQUOTE] = ACTIONS(2203),
    [anon_sym_SQUOTE] = ACTIONS(2203),
    [anon_sym_class] = ACTIONS(2203),
    [anon_sym_async] = ACTIONS(2203),
    [anon_sym_function] = ACTIONS(2203),
    [anon_sym_QMARK_DOT] = ACTIONS(2203),
    [anon_sym_new] = ACTIONS(2203),
    [anon_sym_using] = ACTIONS(2203),
    [anon_sym_AMP_AMP] = ACTIONS(2203),
    [anon_sym_PIPE_PIPE] = ACTIONS(2203),
    [anon_sym_GT_GT] = ACTIONS(2203),
    [anon_sym_GT_GT_GT] = ACTIONS(2203),
    [anon_sym_LT_LT] = ACTIONS(2203),
    [anon_sym_AMP] = ACTIONS(2203),
    [anon_sym_CARET] = ACTIONS(2203),
    [anon_sym_PIPE] = ACTIONS(2203),
    [anon_sym_PLUS] = ACTIONS(2203),
    [anon_sym_DASH] = ACTIONS(2203),
    [anon_sym_SLASH] = ACTIONS(2203),
    [anon_sym_PERCENT] = ACTIONS(2203),
    [anon_sym_STAR_STAR] = ACTIONS(2203),
    [anon_sym_LT] = ACTIONS(2203),
    [anon_sym_LT_EQ] = ACTIONS(2203),
    [anon_sym_EQ_EQ] = ACTIONS(2203),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2203),
    [anon_sym_BANG_EQ] = ACTIONS(2203),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2203),
    [anon_sym_GT_EQ] = ACTIONS(2203),
    [anon_sym_QMARK_QMARK] = ACTIONS(2203),
    [anon_sym_instanceof] = ACTIONS(2203),
    [anon_sym_TILDE] = ACTIONS(2203),
    [anon_sym_void] = ACTIONS(2203),
    [anon_sym_delete] = ACTIONS(2203),
    [anon_sym_PLUS_PLUS] = ACTIONS(2203),
    [anon_sym_DASH_DASH] = ACTIONS(2203),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2203),
    [sym_number] = ACTIONS(2203),
    [sym_private_property_identifier] = ACTIONS(2203),
    [sym_this] = ACTIONS(2203),
    [sym_super] = ACTIONS(2203),
    [sym_true] = ACTIONS(2203),
    [sym_false] = ACTIONS(2203),
    [sym_null] = ACTIONS(2203),
    [sym_undefined] = ACTIONS(2203),
    [anon_sym_AT] = ACTIONS(2203),
    [anon_sym_static] = ACTIONS(2203),
    [anon_sym_readonly] = ACTIONS(2203),
    [anon_sym_get] = ACTIONS(2203),
    [anon_sym_set] = ACTIONS(2203),
    [anon_sym_declare] = ACTIONS(2203),
    [anon_sym_public] = ACTIONS(2203),
    [anon_sym_private] = ACTIONS(2203),
    [anon_sym_protected] = ACTIONS(2203),
    [anon_sym_override] = ACTIONS(2203),
    [anon_sym_module] = ACTIONS(2203),
    [anon_sym_any] = ACTIONS(2203),
    [anon_sym_number] = ACTIONS(2203),
    [anon_sym_boolean] = ACTIONS(2203),
    [anon_sym_string] = ACTIONS(2203),
    [anon_sym_symbol] = ACTIONS(2203),
    [anon_sym_object] = ACTIONS(2203),
    [anon_sym_abstract] = ACTIONS(2203),
    [anon_sym_satisfies] = ACTIONS(2203),
    [anon_sym_interface] = ACTIONS(2203),
    [anon_sym_enum] = ACTIONS(2203),
    [sym__automatic_semicolon] = ACTIONS(2205),
    [sym__ternary_qmark] = ACTIONS(2205),
    [sym_html_comment] = ACTIONS(5),
  },
  [383] = {
    [sym_import] = STATE(4399),
    [sym_parenthesized_expression] = STATE(2221),
    [sym_expression] = STATE(3060),
    [sym_primary_expression] = STATE(2990),
    [sym_yield_expression] = STATE(3139),
    [sym_object] = STATE(3113),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(3113),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(3139),
    [sym_glimmer_opening_tag] = STATE(5702),
    [sym_jsx_element] = STATE(3139),
    [sym_jsx_opening_element] = STATE(4008),
    [sym_jsx_self_closing_element] = STATE(3139),
    [sym_class] = STATE(3113),
    [sym_function_expression] = STATE(3113),
    [sym_generator_function] = STATE(3113),
    [sym_arrow_function] = STATE(3113),
    [sym__call_signature] = STATE(7374),
    [sym_call_expression] = STATE(3113),
    [sym_new_expression] = STATE(3139),
    [sym_await_expression] = STATE(3139),
    [sym_member_expression] = STATE(2221),
    [sym_subscript_expression] = STATE(2221),
    [sym_assignment_expression] = STATE(3139),
    [sym__augmented_assignment_lhs] = STATE(3860),
    [sym_augmented_assignment_expression] = STATE(3139),
    [sym__destructuring_pattern] = STATE(7376),
    [sym_ternary_expression] = STATE(3139),
    [sym_binary_expression] = STATE(3139),
    [sym_unary_expression] = STATE(3139),
    [sym_update_expression] = STATE(3139),
    [sym_string] = STATE(3113),
    [sym_comment] = STATE(383),
    [sym_template_string] = STATE(3113),
    [sym_regex] = STATE(3113),
    [sym_meta_property] = STATE(3113),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2221),
    [sym_as_expression] = STATE(3139),
    [sym_satisfies_expression] = STATE(3139),
    [sym_instantiation_expression] = STATE(3139),
    [sym_internal_module] = STATE(3139),
    [sym__type_query_member_expression] = STATE(3745),
    [sym__type_query_subscript_expression] = STATE(3744),
    [sym__type_query_call_expression] = STATE(3813),
    [sym__type_query_instantiation_expression] = STATE(3926),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5555),
    [sym_identifier] = ACTIONS(2333),
    [anon_sym_export] = ACTIONS(1362),
    [anon_sym_type] = ACTIONS(1362),
    [anon_sym_namespace] = ACTIONS(1364),
    [anon_sym_LBRACE] = ACTIONS(1020),
    [anon_sym_typeof] = ACTIONS(1370),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1362),
    [anon_sym_BANG] = ACTIONS(1370),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1374),
    [anon_sym_yield] = ACTIONS(1376),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1029),
    [anon_sym_async] = ACTIONS(1380),
    [anon_sym_function] = ACTIONS(1033),
    [anon_sym_new] = ACTIONS(1762),
    [anon_sym_using] = ACTIONS(1384),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1370),
    [anon_sym_void] = ACTIONS(1370),
    [anon_sym_delete] = ACTIONS(1370),
    [anon_sym_PLUS_PLUS] = ACTIONS(1390),
    [anon_sym_DASH_DASH] = ACTIONS(1390),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1396),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1764),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1362),
    [anon_sym_readonly] = ACTIONS(1362),
    [anon_sym_get] = ACTIONS(1362),
    [anon_sym_set] = ACTIONS(1362),
    [anon_sym_declare] = ACTIONS(1362),
    [anon_sym_public] = ACTIONS(1362),
    [anon_sym_private] = ACTIONS(1362),
    [anon_sym_protected] = ACTIONS(1362),
    [anon_sym_override] = ACTIONS(1362),
    [anon_sym_module] = ACTIONS(1362),
    [anon_sym_any] = ACTIONS(1362),
    [anon_sym_number] = ACTIONS(1362),
    [anon_sym_boolean] = ACTIONS(1362),
    [anon_sym_string] = ACTIONS(1362),
    [anon_sym_symbol] = ACTIONS(1362),
    [anon_sym_object] = ACTIONS(1362),
    [sym_html_comment] = ACTIONS(5),
  },
  [384] = {
    [sym_comment] = STATE(384),
    [sym_identifier] = ACTIONS(2127),
    [anon_sym_export] = ACTIONS(2127),
    [anon_sym_STAR] = ACTIONS(2129),
    [anon_sym_default] = ACTIONS(2127),
    [anon_sym_type] = ACTIONS(2127),
    [anon_sym_as] = ACTIONS(2129),
    [anon_sym_namespace] = ACTIONS(2127),
    [anon_sym_LBRACE] = ACTIONS(2127),
    [anon_sym_COMMA] = ACTIONS(2129),
    [anon_sym_RBRACE] = ACTIONS(2127),
    [anon_sym_typeof] = ACTIONS(2127),
    [anon_sym_import] = ACTIONS(2127),
    [anon_sym_with] = ACTIONS(2127),
    [anon_sym_var] = ACTIONS(2127),
    [anon_sym_let] = ACTIONS(2127),
    [anon_sym_const] = ACTIONS(2127),
    [anon_sym_BANG] = ACTIONS(2127),
    [anon_sym_if] = ACTIONS(2127),
    [anon_sym_switch] = ACTIONS(2127),
    [anon_sym_for] = ACTIONS(2127),
    [anon_sym_LPAREN] = ACTIONS(2127),
    [anon_sym_await] = ACTIONS(2127),
    [anon_sym_in] = ACTIONS(2129),
    [anon_sym_while] = ACTIONS(2127),
    [anon_sym_do] = ACTIONS(2127),
    [anon_sym_try] = ACTIONS(2127),
    [anon_sym_break] = ACTIONS(2127),
    [anon_sym_continue] = ACTIONS(2127),
    [anon_sym_debugger] = ACTIONS(2127),
    [anon_sym_return] = ACTIONS(2127),
    [anon_sym_throw] = ACTIONS(2127),
    [anon_sym_SEMI] = ACTIONS(2127),
    [anon_sym_case] = ACTIONS(2127),
    [anon_sym_yield] = ACTIONS(2127),
    [anon_sym_LBRACK] = ACTIONS(2127),
    [anon_sym_LTtemplate_GT] = ACTIONS(2127),
    [anon_sym_GT] = ACTIONS(2129),
    [anon_sym_DOT] = ACTIONS(2129),
    [anon_sym_DQUOTE] = ACTIONS(2127),
    [anon_sym_SQUOTE] = ACTIONS(2127),
    [anon_sym_class] = ACTIONS(2127),
    [anon_sym_async] = ACTIONS(2127),
    [anon_sym_function] = ACTIONS(2127),
    [anon_sym_QMARK_DOT] = ACTIONS(2129),
    [anon_sym_new] = ACTIONS(2127),
    [anon_sym_using] = ACTIONS(2127),
    [anon_sym_AMP_AMP] = ACTIONS(2129),
    [anon_sym_PIPE_PIPE] = ACTIONS(2129),
    [anon_sym_GT_GT] = ACTIONS(2129),
    [anon_sym_GT_GT_GT] = ACTIONS(2129),
    [anon_sym_LT_LT] = ACTIONS(2129),
    [anon_sym_AMP] = ACTIONS(2129),
    [anon_sym_CARET] = ACTIONS(2129),
    [anon_sym_PIPE] = ACTIONS(2129),
    [anon_sym_PLUS] = ACTIONS(2127),
    [anon_sym_DASH] = ACTIONS(2127),
    [anon_sym_SLASH] = ACTIONS(2127),
    [anon_sym_PERCENT] = ACTIONS(2129),
    [anon_sym_STAR_STAR] = ACTIONS(2129),
    [anon_sym_LT] = ACTIONS(2127),
    [anon_sym_LT_EQ] = ACTIONS(2129),
    [anon_sym_EQ_EQ] = ACTIONS(2129),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2129),
    [anon_sym_BANG_EQ] = ACTIONS(2129),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2129),
    [anon_sym_GT_EQ] = ACTIONS(2129),
    [anon_sym_QMARK_QMARK] = ACTIONS(2129),
    [anon_sym_instanceof] = ACTIONS(2129),
    [anon_sym_TILDE] = ACTIONS(2127),
    [anon_sym_void] = ACTIONS(2127),
    [anon_sym_delete] = ACTIONS(2127),
    [anon_sym_PLUS_PLUS] = ACTIONS(2127),
    [anon_sym_DASH_DASH] = ACTIONS(2127),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2127),
    [sym_number] = ACTIONS(2127),
    [sym_private_property_identifier] = ACTIONS(2127),
    [sym_this] = ACTIONS(2127),
    [sym_super] = ACTIONS(2127),
    [sym_true] = ACTIONS(2127),
    [sym_false] = ACTIONS(2127),
    [sym_null] = ACTIONS(2127),
    [sym_undefined] = ACTIONS(2127),
    [anon_sym_AT] = ACTIONS(2127),
    [anon_sym_static] = ACTIONS(2127),
    [anon_sym_readonly] = ACTIONS(2127),
    [anon_sym_get] = ACTIONS(2127),
    [anon_sym_set] = ACTIONS(2127),
    [anon_sym_declare] = ACTIONS(2127),
    [anon_sym_public] = ACTIONS(2127),
    [anon_sym_private] = ACTIONS(2127),
    [anon_sym_protected] = ACTIONS(2127),
    [anon_sym_override] = ACTIONS(2127),
    [anon_sym_module] = ACTIONS(2127),
    [anon_sym_any] = ACTIONS(2127),
    [anon_sym_number] = ACTIONS(2127),
    [anon_sym_boolean] = ACTIONS(2127),
    [anon_sym_string] = ACTIONS(2127),
    [anon_sym_symbol] = ACTIONS(2127),
    [anon_sym_object] = ACTIONS(2127),
    [anon_sym_abstract] = ACTIONS(2127),
    [anon_sym_satisfies] = ACTIONS(2129),
    [anon_sym_interface] = ACTIONS(2127),
    [anon_sym_enum] = ACTIONS(2127),
    [sym__automatic_semicolon] = ACTIONS(2335),
    [sym__ternary_qmark] = ACTIONS(2133),
    [sym_html_comment] = ACTIONS(5),
  },
  [385] = {
    [sym_import] = STATE(4275),
    [sym_parenthesized_expression] = STATE(2239),
    [sym_expression] = STATE(3160),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7446),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2239),
    [sym_subscript_expression] = STATE(2239),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3938),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7450),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(385),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2239),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym__type_query_member_expression] = STATE(3745),
    [sym__type_query_subscript_expression] = STATE(3744),
    [sym__type_query_call_expression] = STATE(3813),
    [sym__type_query_instantiation_expression] = STATE(3926),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(2337),
    [anon_sym_export] = ACTIONS(1408),
    [anon_sym_type] = ACTIONS(1408),
    [anon_sym_namespace] = ACTIONS(1410),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(1416),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1408),
    [anon_sym_BANG] = ACTIONS(1416),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1418),
    [anon_sym_yield] = ACTIONS(1420),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1424),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1786),
    [anon_sym_using] = ACTIONS(1428),
    [anon_sym_PLUS] = ACTIONS(1416),
    [anon_sym_DASH] = ACTIONS(1416),
    [anon_sym_SLASH] = ACTIONS(1290),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(1416),
    [anon_sym_void] = ACTIONS(1416),
    [anon_sym_delete] = ACTIONS(1416),
    [anon_sym_PLUS_PLUS] = ACTIONS(1434),
    [anon_sym_DASH_DASH] = ACTIONS(1434),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(1440),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1788),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1408),
    [anon_sym_readonly] = ACTIONS(1408),
    [anon_sym_get] = ACTIONS(1408),
    [anon_sym_set] = ACTIONS(1408),
    [anon_sym_declare] = ACTIONS(1408),
    [anon_sym_public] = ACTIONS(1408),
    [anon_sym_private] = ACTIONS(1408),
    [anon_sym_protected] = ACTIONS(1408),
    [anon_sym_override] = ACTIONS(1408),
    [anon_sym_module] = ACTIONS(1408),
    [anon_sym_any] = ACTIONS(1408),
    [anon_sym_number] = ACTIONS(1408),
    [anon_sym_boolean] = ACTIONS(1408),
    [anon_sym_string] = ACTIONS(1408),
    [anon_sym_symbol] = ACTIONS(1408),
    [anon_sym_object] = ACTIONS(1408),
    [sym_html_comment] = ACTIONS(5),
  },
  [386] = {
    [sym_comment] = STATE(386),
    [sym_identifier] = ACTIONS(2173),
    [anon_sym_export] = ACTIONS(2173),
    [anon_sym_STAR] = ACTIONS(2175),
    [anon_sym_default] = ACTIONS(2173),
    [anon_sym_type] = ACTIONS(2173),
    [anon_sym_as] = ACTIONS(2175),
    [anon_sym_namespace] = ACTIONS(2173),
    [anon_sym_LBRACE] = ACTIONS(2173),
    [anon_sym_COMMA] = ACTIONS(2175),
    [anon_sym_RBRACE] = ACTIONS(2173),
    [anon_sym_typeof] = ACTIONS(2173),
    [anon_sym_import] = ACTIONS(2173),
    [anon_sym_with] = ACTIONS(2173),
    [anon_sym_var] = ACTIONS(2173),
    [anon_sym_let] = ACTIONS(2173),
    [anon_sym_const] = ACTIONS(2173),
    [anon_sym_BANG] = ACTIONS(2173),
    [anon_sym_if] = ACTIONS(2173),
    [anon_sym_switch] = ACTIONS(2173),
    [anon_sym_for] = ACTIONS(2173),
    [anon_sym_LPAREN] = ACTIONS(2173),
    [anon_sym_await] = ACTIONS(2173),
    [anon_sym_in] = ACTIONS(2175),
    [anon_sym_while] = ACTIONS(2173),
    [anon_sym_do] = ACTIONS(2173),
    [anon_sym_try] = ACTIONS(2173),
    [anon_sym_break] = ACTIONS(2173),
    [anon_sym_continue] = ACTIONS(2173),
    [anon_sym_debugger] = ACTIONS(2173),
    [anon_sym_return] = ACTIONS(2173),
    [anon_sym_throw] = ACTIONS(2173),
    [anon_sym_SEMI] = ACTIONS(2173),
    [anon_sym_case] = ACTIONS(2173),
    [anon_sym_yield] = ACTIONS(2173),
    [anon_sym_LBRACK] = ACTIONS(2173),
    [anon_sym_LTtemplate_GT] = ACTIONS(2173),
    [anon_sym_GT] = ACTIONS(2175),
    [anon_sym_DOT] = ACTIONS(2175),
    [anon_sym_DQUOTE] = ACTIONS(2173),
    [anon_sym_SQUOTE] = ACTIONS(2173),
    [anon_sym_class] = ACTIONS(2173),
    [anon_sym_async] = ACTIONS(2173),
    [anon_sym_function] = ACTIONS(2173),
    [anon_sym_QMARK_DOT] = ACTIONS(2175),
    [anon_sym_new] = ACTIONS(2173),
    [anon_sym_using] = ACTIONS(2173),
    [anon_sym_AMP_AMP] = ACTIONS(2175),
    [anon_sym_PIPE_PIPE] = ACTIONS(2175),
    [anon_sym_GT_GT] = ACTIONS(2175),
    [anon_sym_GT_GT_GT] = ACTIONS(2175),
    [anon_sym_LT_LT] = ACTIONS(2175),
    [anon_sym_AMP] = ACTIONS(2175),
    [anon_sym_CARET] = ACTIONS(2175),
    [anon_sym_PIPE] = ACTIONS(2175),
    [anon_sym_PLUS] = ACTIONS(2173),
    [anon_sym_DASH] = ACTIONS(2173),
    [anon_sym_SLASH] = ACTIONS(2173),
    [anon_sym_PERCENT] = ACTIONS(2175),
    [anon_sym_STAR_STAR] = ACTIONS(2175),
    [anon_sym_LT] = ACTIONS(2173),
    [anon_sym_LT_EQ] = ACTIONS(2175),
    [anon_sym_EQ_EQ] = ACTIONS(2175),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2175),
    [anon_sym_BANG_EQ] = ACTIONS(2175),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2175),
    [anon_sym_GT_EQ] = ACTIONS(2175),
    [anon_sym_QMARK_QMARK] = ACTIONS(2175),
    [anon_sym_instanceof] = ACTIONS(2175),
    [anon_sym_TILDE] = ACTIONS(2173),
    [anon_sym_void] = ACTIONS(2173),
    [anon_sym_delete] = ACTIONS(2173),
    [anon_sym_PLUS_PLUS] = ACTIONS(2173),
    [anon_sym_DASH_DASH] = ACTIONS(2173),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2173),
    [sym_number] = ACTIONS(2173),
    [sym_private_property_identifier] = ACTIONS(2173),
    [sym_this] = ACTIONS(2173),
    [sym_super] = ACTIONS(2173),
    [sym_true] = ACTIONS(2173),
    [sym_false] = ACTIONS(2173),
    [sym_null] = ACTIONS(2173),
    [sym_undefined] = ACTIONS(2173),
    [anon_sym_AT] = ACTIONS(2173),
    [anon_sym_static] = ACTIONS(2173),
    [anon_sym_readonly] = ACTIONS(2173),
    [anon_sym_get] = ACTIONS(2173),
    [anon_sym_set] = ACTIONS(2173),
    [anon_sym_declare] = ACTIONS(2173),
    [anon_sym_public] = ACTIONS(2173),
    [anon_sym_private] = ACTIONS(2173),
    [anon_sym_protected] = ACTIONS(2173),
    [anon_sym_override] = ACTIONS(2173),
    [anon_sym_module] = ACTIONS(2173),
    [anon_sym_any] = ACTIONS(2173),
    [anon_sym_number] = ACTIONS(2173),
    [anon_sym_boolean] = ACTIONS(2173),
    [anon_sym_string] = ACTIONS(2173),
    [anon_sym_symbol] = ACTIONS(2173),
    [anon_sym_object] = ACTIONS(2173),
    [anon_sym_abstract] = ACTIONS(2173),
    [anon_sym_satisfies] = ACTIONS(2175),
    [anon_sym_interface] = ACTIONS(2173),
    [anon_sym_enum] = ACTIONS(2173),
    [sym__automatic_semicolon] = ACTIONS(2339),
    [sym__ternary_qmark] = ACTIONS(2179),
    [sym_html_comment] = ACTIONS(5),
  },
  [387] = {
    [sym_comment] = STATE(387),
    [ts_builtin_sym_end] = ACTIONS(2341),
    [sym_identifier] = ACTIONS(2085),
    [anon_sym_export] = ACTIONS(2085),
    [anon_sym_STAR] = ACTIONS(2087),
    [anon_sym_type] = ACTIONS(2085),
    [anon_sym_as] = ACTIONS(2087),
    [anon_sym_namespace] = ACTIONS(2085),
    [anon_sym_LBRACE] = ACTIONS(2085),
    [anon_sym_COMMA] = ACTIONS(2087),
    [anon_sym_RBRACE] = ACTIONS(2085),
    [anon_sym_typeof] = ACTIONS(2085),
    [anon_sym_import] = ACTIONS(2085),
    [anon_sym_with] = ACTIONS(2085),
    [anon_sym_var] = ACTIONS(2085),
    [anon_sym_let] = ACTIONS(2085),
    [anon_sym_const] = ACTIONS(2085),
    [anon_sym_BANG] = ACTIONS(2085),
    [anon_sym_else] = ACTIONS(2085),
    [anon_sym_if] = ACTIONS(2085),
    [anon_sym_switch] = ACTIONS(2085),
    [anon_sym_for] = ACTIONS(2085),
    [anon_sym_LPAREN] = ACTIONS(2085),
    [anon_sym_await] = ACTIONS(2085),
    [anon_sym_in] = ACTIONS(2087),
    [anon_sym_while] = ACTIONS(2085),
    [anon_sym_do] = ACTIONS(2085),
    [anon_sym_try] = ACTIONS(2085),
    [anon_sym_break] = ACTIONS(2085),
    [anon_sym_continue] = ACTIONS(2085),
    [anon_sym_debugger] = ACTIONS(2085),
    [anon_sym_return] = ACTIONS(2085),
    [anon_sym_throw] = ACTIONS(2085),
    [anon_sym_SEMI] = ACTIONS(2085),
    [anon_sym_yield] = ACTIONS(2085),
    [anon_sym_LBRACK] = ACTIONS(2085),
    [anon_sym_LTtemplate_GT] = ACTIONS(2085),
    [anon_sym_GT] = ACTIONS(2087),
    [anon_sym_DOT] = ACTIONS(2087),
    [anon_sym_DQUOTE] = ACTIONS(2085),
    [anon_sym_SQUOTE] = ACTIONS(2085),
    [anon_sym_class] = ACTIONS(2085),
    [anon_sym_async] = ACTIONS(2085),
    [anon_sym_function] = ACTIONS(2085),
    [anon_sym_QMARK_DOT] = ACTIONS(2087),
    [anon_sym_new] = ACTIONS(2085),
    [anon_sym_using] = ACTIONS(2085),
    [anon_sym_AMP_AMP] = ACTIONS(2087),
    [anon_sym_PIPE_PIPE] = ACTIONS(2087),
    [anon_sym_GT_GT] = ACTIONS(2087),
    [anon_sym_GT_GT_GT] = ACTIONS(2087),
    [anon_sym_LT_LT] = ACTIONS(2087),
    [anon_sym_AMP] = ACTIONS(2087),
    [anon_sym_CARET] = ACTIONS(2087),
    [anon_sym_PIPE] = ACTIONS(2087),
    [anon_sym_PLUS] = ACTIONS(2085),
    [anon_sym_DASH] = ACTIONS(2085),
    [anon_sym_SLASH] = ACTIONS(2085),
    [anon_sym_PERCENT] = ACTIONS(2087),
    [anon_sym_STAR_STAR] = ACTIONS(2087),
    [anon_sym_LT] = ACTIONS(2085),
    [anon_sym_LT_EQ] = ACTIONS(2087),
    [anon_sym_EQ_EQ] = ACTIONS(2087),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2087),
    [anon_sym_BANG_EQ] = ACTIONS(2087),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2087),
    [anon_sym_GT_EQ] = ACTIONS(2087),
    [anon_sym_QMARK_QMARK] = ACTIONS(2087),
    [anon_sym_instanceof] = ACTIONS(2087),
    [anon_sym_TILDE] = ACTIONS(2085),
    [anon_sym_void] = ACTIONS(2085),
    [anon_sym_delete] = ACTIONS(2085),
    [anon_sym_PLUS_PLUS] = ACTIONS(2085),
    [anon_sym_DASH_DASH] = ACTIONS(2085),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2085),
    [sym_number] = ACTIONS(2085),
    [sym_private_property_identifier] = ACTIONS(2085),
    [sym_this] = ACTIONS(2085),
    [sym_super] = ACTIONS(2085),
    [sym_true] = ACTIONS(2085),
    [sym_false] = ACTIONS(2085),
    [sym_null] = ACTIONS(2085),
    [sym_undefined] = ACTIONS(2085),
    [anon_sym_AT] = ACTIONS(2085),
    [anon_sym_static] = ACTIONS(2085),
    [anon_sym_readonly] = ACTIONS(2085),
    [anon_sym_get] = ACTIONS(2085),
    [anon_sym_set] = ACTIONS(2085),
    [anon_sym_declare] = ACTIONS(2085),
    [anon_sym_public] = ACTIONS(2085),
    [anon_sym_private] = ACTIONS(2085),
    [anon_sym_protected] = ACTIONS(2085),
    [anon_sym_override] = ACTIONS(2085),
    [anon_sym_module] = ACTIONS(2085),
    [anon_sym_any] = ACTIONS(2085),
    [anon_sym_number] = ACTIONS(2085),
    [anon_sym_boolean] = ACTIONS(2085),
    [anon_sym_string] = ACTIONS(2085),
    [anon_sym_symbol] = ACTIONS(2085),
    [anon_sym_object] = ACTIONS(2085),
    [anon_sym_abstract] = ACTIONS(2085),
    [anon_sym_satisfies] = ACTIONS(2087),
    [anon_sym_interface] = ACTIONS(2085),
    [anon_sym_enum] = ACTIONS(2085),
    [sym__automatic_semicolon] = ACTIONS(2343),
    [sym__ternary_qmark] = ACTIONS(2091),
    [sym_html_comment] = ACTIONS(5),
  },
  [388] = {
    [sym_import] = STATE(4281),
    [sym_parenthesized_expression] = STATE(2248),
    [sym_expression] = STATE(3167),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7502),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2248),
    [sym_subscript_expression] = STATE(2248),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3928),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7561),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(388),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2248),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym__type_query_member_expression] = STATE(3745),
    [sym__type_query_subscript_expression] = STATE(3744),
    [sym__type_query_call_expression] = STATE(3813),
    [sym__type_query_instantiation_expression] = STATE(3926),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(2345),
    [anon_sym_export] = ACTIONS(1618),
    [anon_sym_type] = ACTIONS(1618),
    [anon_sym_namespace] = ACTIONS(1620),
    [anon_sym_LBRACE] = ACTIONS(1127),
    [anon_sym_typeof] = ACTIONS(1624),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1618),
    [anon_sym_BANG] = ACTIONS(1624),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1626),
    [anon_sym_yield] = ACTIONS(1628),
    [anon_sym_LBRACK] = ACTIONS(1129),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1630),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1778),
    [anon_sym_using] = ACTIONS(1634),
    [anon_sym_PLUS] = ACTIONS(1624),
    [anon_sym_DASH] = ACTIONS(1624),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(1624),
    [anon_sym_void] = ACTIONS(1624),
    [anon_sym_delete] = ACTIONS(1624),
    [anon_sym_PLUS_PLUS] = ACTIONS(1640),
    [anon_sym_DASH_DASH] = ACTIONS(1640),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(1642),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1780),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1618),
    [anon_sym_readonly] = ACTIONS(1618),
    [anon_sym_get] = ACTIONS(1618),
    [anon_sym_set] = ACTIONS(1618),
    [anon_sym_declare] = ACTIONS(1618),
    [anon_sym_public] = ACTIONS(1618),
    [anon_sym_private] = ACTIONS(1618),
    [anon_sym_protected] = ACTIONS(1618),
    [anon_sym_override] = ACTIONS(1618),
    [anon_sym_module] = ACTIONS(1618),
    [anon_sym_any] = ACTIONS(1618),
    [anon_sym_number] = ACTIONS(1618),
    [anon_sym_boolean] = ACTIONS(1618),
    [anon_sym_string] = ACTIONS(1618),
    [anon_sym_symbol] = ACTIONS(1618),
    [anon_sym_object] = ACTIONS(1618),
    [sym_html_comment] = ACTIONS(5),
  },
  [389] = {
    [sym_comment] = STATE(389),
    [ts_builtin_sym_end] = ACTIONS(2347),
    [sym_identifier] = ACTIONS(2257),
    [anon_sym_export] = ACTIONS(2257),
    [anon_sym_STAR] = ACTIONS(2259),
    [anon_sym_type] = ACTIONS(2257),
    [anon_sym_as] = ACTIONS(2259),
    [anon_sym_namespace] = ACTIONS(2257),
    [anon_sym_LBRACE] = ACTIONS(2257),
    [anon_sym_COMMA] = ACTIONS(2259),
    [anon_sym_RBRACE] = ACTIONS(2257),
    [anon_sym_typeof] = ACTIONS(2257),
    [anon_sym_import] = ACTIONS(2257),
    [anon_sym_with] = ACTIONS(2257),
    [anon_sym_var] = ACTIONS(2257),
    [anon_sym_let] = ACTIONS(2257),
    [anon_sym_const] = ACTIONS(2257),
    [anon_sym_BANG] = ACTIONS(2257),
    [anon_sym_else] = ACTIONS(2257),
    [anon_sym_if] = ACTIONS(2257),
    [anon_sym_switch] = ACTIONS(2257),
    [anon_sym_for] = ACTIONS(2257),
    [anon_sym_LPAREN] = ACTIONS(2257),
    [anon_sym_await] = ACTIONS(2257),
    [anon_sym_in] = ACTIONS(2259),
    [anon_sym_while] = ACTIONS(2257),
    [anon_sym_do] = ACTIONS(2257),
    [anon_sym_try] = ACTIONS(2257),
    [anon_sym_break] = ACTIONS(2257),
    [anon_sym_continue] = ACTIONS(2257),
    [anon_sym_debugger] = ACTIONS(2257),
    [anon_sym_return] = ACTIONS(2257),
    [anon_sym_throw] = ACTIONS(2257),
    [anon_sym_SEMI] = ACTIONS(2257),
    [anon_sym_yield] = ACTIONS(2257),
    [anon_sym_LBRACK] = ACTIONS(2257),
    [anon_sym_LTtemplate_GT] = ACTIONS(2257),
    [anon_sym_GT] = ACTIONS(2259),
    [anon_sym_DOT] = ACTIONS(2259),
    [anon_sym_DQUOTE] = ACTIONS(2257),
    [anon_sym_SQUOTE] = ACTIONS(2257),
    [anon_sym_class] = ACTIONS(2257),
    [anon_sym_async] = ACTIONS(2257),
    [anon_sym_function] = ACTIONS(2257),
    [anon_sym_QMARK_DOT] = ACTIONS(2259),
    [anon_sym_new] = ACTIONS(2257),
    [anon_sym_using] = ACTIONS(2257),
    [anon_sym_AMP_AMP] = ACTIONS(2259),
    [anon_sym_PIPE_PIPE] = ACTIONS(2259),
    [anon_sym_GT_GT] = ACTIONS(2259),
    [anon_sym_GT_GT_GT] = ACTIONS(2259),
    [anon_sym_LT_LT] = ACTIONS(2259),
    [anon_sym_AMP] = ACTIONS(2259),
    [anon_sym_CARET] = ACTIONS(2259),
    [anon_sym_PIPE] = ACTIONS(2259),
    [anon_sym_PLUS] = ACTIONS(2257),
    [anon_sym_DASH] = ACTIONS(2257),
    [anon_sym_SLASH] = ACTIONS(2257),
    [anon_sym_PERCENT] = ACTIONS(2259),
    [anon_sym_STAR_STAR] = ACTIONS(2259),
    [anon_sym_LT] = ACTIONS(2257),
    [anon_sym_LT_EQ] = ACTIONS(2259),
    [anon_sym_EQ_EQ] = ACTIONS(2259),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2259),
    [anon_sym_BANG_EQ] = ACTIONS(2259),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2259),
    [anon_sym_GT_EQ] = ACTIONS(2259),
    [anon_sym_QMARK_QMARK] = ACTIONS(2259),
    [anon_sym_instanceof] = ACTIONS(2259),
    [anon_sym_TILDE] = ACTIONS(2257),
    [anon_sym_void] = ACTIONS(2257),
    [anon_sym_delete] = ACTIONS(2257),
    [anon_sym_PLUS_PLUS] = ACTIONS(2257),
    [anon_sym_DASH_DASH] = ACTIONS(2257),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2257),
    [sym_number] = ACTIONS(2257),
    [sym_private_property_identifier] = ACTIONS(2257),
    [sym_this] = ACTIONS(2257),
    [sym_super] = ACTIONS(2257),
    [sym_true] = ACTIONS(2257),
    [sym_false] = ACTIONS(2257),
    [sym_null] = ACTIONS(2257),
    [sym_undefined] = ACTIONS(2257),
    [anon_sym_AT] = ACTIONS(2257),
    [anon_sym_static] = ACTIONS(2257),
    [anon_sym_readonly] = ACTIONS(2257),
    [anon_sym_get] = ACTIONS(2257),
    [anon_sym_set] = ACTIONS(2257),
    [anon_sym_declare] = ACTIONS(2257),
    [anon_sym_public] = ACTIONS(2257),
    [anon_sym_private] = ACTIONS(2257),
    [anon_sym_protected] = ACTIONS(2257),
    [anon_sym_override] = ACTIONS(2257),
    [anon_sym_module] = ACTIONS(2257),
    [anon_sym_any] = ACTIONS(2257),
    [anon_sym_number] = ACTIONS(2257),
    [anon_sym_boolean] = ACTIONS(2257),
    [anon_sym_string] = ACTIONS(2257),
    [anon_sym_symbol] = ACTIONS(2257),
    [anon_sym_object] = ACTIONS(2257),
    [anon_sym_abstract] = ACTIONS(2257),
    [anon_sym_satisfies] = ACTIONS(2259),
    [anon_sym_interface] = ACTIONS(2257),
    [anon_sym_enum] = ACTIONS(2257),
    [sym__automatic_semicolon] = ACTIONS(2349),
    [sym__ternary_qmark] = ACTIONS(2263),
    [sym_html_comment] = ACTIONS(5),
  },
  [390] = {
    [sym_comment] = STATE(390),
    [sym_identifier] = ACTIONS(2181),
    [anon_sym_export] = ACTIONS(2181),
    [anon_sym_STAR] = ACTIONS(2183),
    [anon_sym_default] = ACTIONS(2181),
    [anon_sym_type] = ACTIONS(2181),
    [anon_sym_as] = ACTIONS(2183),
    [anon_sym_namespace] = ACTIONS(2181),
    [anon_sym_LBRACE] = ACTIONS(2181),
    [anon_sym_COMMA] = ACTIONS(2183),
    [anon_sym_RBRACE] = ACTIONS(2181),
    [anon_sym_typeof] = ACTIONS(2181),
    [anon_sym_import] = ACTIONS(2181),
    [anon_sym_with] = ACTIONS(2181),
    [anon_sym_var] = ACTIONS(2181),
    [anon_sym_let] = ACTIONS(2181),
    [anon_sym_const] = ACTIONS(2181),
    [anon_sym_BANG] = ACTIONS(2181),
    [anon_sym_if] = ACTIONS(2181),
    [anon_sym_switch] = ACTIONS(2181),
    [anon_sym_for] = ACTIONS(2181),
    [anon_sym_LPAREN] = ACTIONS(2181),
    [anon_sym_await] = ACTIONS(2181),
    [anon_sym_in] = ACTIONS(2183),
    [anon_sym_while] = ACTIONS(2181),
    [anon_sym_do] = ACTIONS(2181),
    [anon_sym_try] = ACTIONS(2181),
    [anon_sym_break] = ACTIONS(2181),
    [anon_sym_continue] = ACTIONS(2181),
    [anon_sym_debugger] = ACTIONS(2181),
    [anon_sym_return] = ACTIONS(2181),
    [anon_sym_throw] = ACTIONS(2181),
    [anon_sym_SEMI] = ACTIONS(2181),
    [anon_sym_case] = ACTIONS(2181),
    [anon_sym_yield] = ACTIONS(2181),
    [anon_sym_LBRACK] = ACTIONS(2181),
    [anon_sym_LTtemplate_GT] = ACTIONS(2181),
    [anon_sym_GT] = ACTIONS(2183),
    [anon_sym_DOT] = ACTIONS(2183),
    [anon_sym_DQUOTE] = ACTIONS(2181),
    [anon_sym_SQUOTE] = ACTIONS(2181),
    [anon_sym_class] = ACTIONS(2181),
    [anon_sym_async] = ACTIONS(2181),
    [anon_sym_function] = ACTIONS(2181),
    [anon_sym_QMARK_DOT] = ACTIONS(2183),
    [anon_sym_new] = ACTIONS(2181),
    [anon_sym_using] = ACTIONS(2181),
    [anon_sym_AMP_AMP] = ACTIONS(2183),
    [anon_sym_PIPE_PIPE] = ACTIONS(2183),
    [anon_sym_GT_GT] = ACTIONS(2183),
    [anon_sym_GT_GT_GT] = ACTIONS(2183),
    [anon_sym_LT_LT] = ACTIONS(2183),
    [anon_sym_AMP] = ACTIONS(2183),
    [anon_sym_CARET] = ACTIONS(2183),
    [anon_sym_PIPE] = ACTIONS(2183),
    [anon_sym_PLUS] = ACTIONS(2181),
    [anon_sym_DASH] = ACTIONS(2181),
    [anon_sym_SLASH] = ACTIONS(2181),
    [anon_sym_PERCENT] = ACTIONS(2183),
    [anon_sym_STAR_STAR] = ACTIONS(2183),
    [anon_sym_LT] = ACTIONS(2181),
    [anon_sym_LT_EQ] = ACTIONS(2183),
    [anon_sym_EQ_EQ] = ACTIONS(2183),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2183),
    [anon_sym_BANG_EQ] = ACTIONS(2183),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2183),
    [anon_sym_GT_EQ] = ACTIONS(2183),
    [anon_sym_QMARK_QMARK] = ACTIONS(2183),
    [anon_sym_instanceof] = ACTIONS(2183),
    [anon_sym_TILDE] = ACTIONS(2181),
    [anon_sym_void] = ACTIONS(2181),
    [anon_sym_delete] = ACTIONS(2181),
    [anon_sym_PLUS_PLUS] = ACTIONS(2181),
    [anon_sym_DASH_DASH] = ACTIONS(2181),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2181),
    [sym_number] = ACTIONS(2181),
    [sym_private_property_identifier] = ACTIONS(2181),
    [sym_this] = ACTIONS(2181),
    [sym_super] = ACTIONS(2181),
    [sym_true] = ACTIONS(2181),
    [sym_false] = ACTIONS(2181),
    [sym_null] = ACTIONS(2181),
    [sym_undefined] = ACTIONS(2181),
    [anon_sym_AT] = ACTIONS(2181),
    [anon_sym_static] = ACTIONS(2181),
    [anon_sym_readonly] = ACTIONS(2181),
    [anon_sym_get] = ACTIONS(2181),
    [anon_sym_set] = ACTIONS(2181),
    [anon_sym_declare] = ACTIONS(2181),
    [anon_sym_public] = ACTIONS(2181),
    [anon_sym_private] = ACTIONS(2181),
    [anon_sym_protected] = ACTIONS(2181),
    [anon_sym_override] = ACTIONS(2181),
    [anon_sym_module] = ACTIONS(2181),
    [anon_sym_any] = ACTIONS(2181),
    [anon_sym_number] = ACTIONS(2181),
    [anon_sym_boolean] = ACTIONS(2181),
    [anon_sym_string] = ACTIONS(2181),
    [anon_sym_symbol] = ACTIONS(2181),
    [anon_sym_object] = ACTIONS(2181),
    [anon_sym_abstract] = ACTIONS(2181),
    [anon_sym_satisfies] = ACTIONS(2183),
    [anon_sym_interface] = ACTIONS(2181),
    [anon_sym_enum] = ACTIONS(2181),
    [sym__automatic_semicolon] = ACTIONS(2351),
    [sym__ternary_qmark] = ACTIONS(2187),
    [sym_html_comment] = ACTIONS(5),
  },
  [391] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2048),
    [sym_expression] = STATE(3359),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7260),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2111),
    [sym_subscript_expression] = STATE(2111),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3878),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(4560),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(391),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_pattern] = STATE(5245),
    [sym_rest_pattern] = STATE(4693),
    [sym_non_null_expression] = STATE(2111),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_override_modifier] = STATE(440),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1061),
    [anon_sym_export] = ACTIONS(111),
    [anon_sym_type] = ACTIONS(111),
    [anon_sym_namespace] = ACTIONS(120),
    [anon_sym_LBRACE] = ACTIONS(1063),
    [anon_sym_typeof] = ACTIONS(174),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(111),
    [anon_sym_BANG] = ACTIONS(174),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1948),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(149),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1071),
    [anon_sym_using] = ACTIONS(157),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(161),
    [anon_sym_PLUS] = ACTIONS(174),
    [anon_sym_DASH] = ACTIONS(174),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(174),
    [anon_sym_void] = ACTIONS(174),
    [anon_sym_delete] = ACTIONS(174),
    [anon_sym_PLUS_PLUS] = ACTIONS(1039),
    [anon_sym_DASH_DASH] = ACTIONS(1039),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(185),
    [sym_this] = ACTIONS(1079),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1081),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(111),
    [anon_sym_readonly] = ACTIONS(2353),
    [anon_sym_get] = ACTIONS(111),
    [anon_sym_set] = ACTIONS(111),
    [anon_sym_declare] = ACTIONS(111),
    [anon_sym_public] = ACTIONS(111),
    [anon_sym_private] = ACTIONS(111),
    [anon_sym_protected] = ACTIONS(111),
    [anon_sym_override] = ACTIONS(1175),
    [anon_sym_module] = ACTIONS(111),
    [anon_sym_any] = ACTIONS(111),
    [anon_sym_number] = ACTIONS(111),
    [anon_sym_boolean] = ACTIONS(111),
    [anon_sym_string] = ACTIONS(111),
    [anon_sym_symbol] = ACTIONS(111),
    [anon_sym_object] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [392] = {
    [sym_import] = STATE(4318),
    [sym_parenthesized_expression] = STATE(2151),
    [sym_expression] = STATE(2464),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7643),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2151),
    [sym_subscript_expression] = STATE(2151),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3918),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7259),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(392),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2151),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym__type_query_member_expression] = STATE(3745),
    [sym__type_query_subscript_expression] = STATE(3744),
    [sym__type_query_call_expression] = STATE(3813),
    [sym__type_query_instantiation_expression] = STATE(3926),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(2355),
    [anon_sym_export] = ACTIONS(1452),
    [anon_sym_type] = ACTIONS(1452),
    [anon_sym_namespace] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(1127),
    [anon_sym_typeof] = ACTIONS(968),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1452),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(1129),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1462),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1730),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_PLUS] = ACTIONS(968),
    [anon_sym_DASH] = ACTIONS(968),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(968),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1732),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1452),
    [anon_sym_readonly] = ACTIONS(1452),
    [anon_sym_get] = ACTIONS(1452),
    [anon_sym_set] = ACTIONS(1452),
    [anon_sym_declare] = ACTIONS(1452),
    [anon_sym_public] = ACTIONS(1452),
    [anon_sym_private] = ACTIONS(1452),
    [anon_sym_protected] = ACTIONS(1452),
    [anon_sym_override] = ACTIONS(1452),
    [anon_sym_module] = ACTIONS(1452),
    [anon_sym_any] = ACTIONS(1452),
    [anon_sym_number] = ACTIONS(1452),
    [anon_sym_boolean] = ACTIONS(1452),
    [anon_sym_string] = ACTIONS(1452),
    [anon_sym_symbol] = ACTIONS(1452),
    [anon_sym_object] = ACTIONS(1452),
    [sym_html_comment] = ACTIONS(5),
  },
  [393] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2048),
    [sym_expression] = STATE(3359),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_assignment_pattern] = STATE(6571),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7260),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2111),
    [sym_subscript_expression] = STATE(2111),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3878),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(4560),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(393),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_pattern] = STATE(6429),
    [sym_rest_pattern] = STATE(4693),
    [sym_non_null_expression] = STATE(2111),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1061),
    [anon_sym_export] = ACTIONS(111),
    [anon_sym_type] = ACTIONS(111),
    [anon_sym_namespace] = ACTIONS(120),
    [anon_sym_LBRACE] = ACTIONS(1063),
    [anon_sym_typeof] = ACTIONS(174),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(111),
    [anon_sym_BANG] = ACTIONS(174),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1948),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(149),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1071),
    [anon_sym_using] = ACTIONS(157),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(161),
    [anon_sym_PLUS] = ACTIONS(174),
    [anon_sym_DASH] = ACTIONS(174),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(174),
    [anon_sym_void] = ACTIONS(174),
    [anon_sym_delete] = ACTIONS(174),
    [anon_sym_PLUS_PLUS] = ACTIONS(1039),
    [anon_sym_DASH_DASH] = ACTIONS(1039),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(185),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1081),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(111),
    [anon_sym_readonly] = ACTIONS(111),
    [anon_sym_get] = ACTIONS(111),
    [anon_sym_set] = ACTIONS(111),
    [anon_sym_declare] = ACTIONS(111),
    [anon_sym_public] = ACTIONS(111),
    [anon_sym_private] = ACTIONS(111),
    [anon_sym_protected] = ACTIONS(111),
    [anon_sym_override] = ACTIONS(111),
    [anon_sym_module] = ACTIONS(111),
    [anon_sym_any] = ACTIONS(111),
    [anon_sym_number] = ACTIONS(111),
    [anon_sym_boolean] = ACTIONS(111),
    [anon_sym_string] = ACTIONS(111),
    [anon_sym_symbol] = ACTIONS(111),
    [anon_sym_object] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [394] = {
    [sym_import] = STATE(4369),
    [sym_expression_statement] = STATE(462),
    [sym_empty_statement] = STATE(462),
    [sym_parenthesized_expression] = STATE(2177),
    [sym_expression] = STATE(2679),
    [sym_primary_expression] = STATE(2990),
    [sym_yield_expression] = STATE(3139),
    [sym_object] = STATE(3113),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(3113),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(3139),
    [sym_glimmer_opening_tag] = STATE(5702),
    [sym_jsx_element] = STATE(3139),
    [sym_jsx_opening_element] = STATE(4008),
    [sym_jsx_self_closing_element] = STATE(3139),
    [sym_class] = STATE(3113),
    [sym_function_expression] = STATE(3113),
    [sym_generator_function] = STATE(3113),
    [sym_arrow_function] = STATE(3113),
    [sym__call_signature] = STATE(7486),
    [sym_call_expression] = STATE(3113),
    [sym_new_expression] = STATE(3139),
    [sym_await_expression] = STATE(3139),
    [sym_member_expression] = STATE(2177),
    [sym_subscript_expression] = STATE(2177),
    [sym_assignment_expression] = STATE(3139),
    [sym__augmented_assignment_lhs] = STATE(3835),
    [sym_augmented_assignment_expression] = STATE(3139),
    [sym__destructuring_pattern] = STATE(7484),
    [sym_ternary_expression] = STATE(3139),
    [sym_binary_expression] = STATE(3139),
    [sym_unary_expression] = STATE(3139),
    [sym_update_expression] = STATE(3139),
    [sym_sequence_expression] = STATE(7092),
    [sym_string] = STATE(3113),
    [sym_comment] = STATE(394),
    [sym_template_string] = STATE(3113),
    [sym_regex] = STATE(3113),
    [sym_meta_property] = STATE(3113),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2177),
    [sym_as_expression] = STATE(3139),
    [sym_satisfies_expression] = STATE(3139),
    [sym_instantiation_expression] = STATE(3139),
    [sym_internal_module] = STATE(3139),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5555),
    [sym_identifier] = ACTIONS(1744),
    [anon_sym_export] = ACTIONS(1596),
    [anon_sym_type] = ACTIONS(1596),
    [anon_sym_namespace] = ACTIONS(1598),
    [anon_sym_LBRACE] = ACTIONS(1020),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1596),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_SEMI] = ACTIONS(2000),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1029),
    [anon_sym_async] = ACTIONS(1602),
    [anon_sym_function] = ACTIONS(1033),
    [anon_sym_new] = ACTIONS(1748),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1596),
    [anon_sym_readonly] = ACTIONS(1596),
    [anon_sym_get] = ACTIONS(1596),
    [anon_sym_set] = ACTIONS(1596),
    [anon_sym_declare] = ACTIONS(1596),
    [anon_sym_public] = ACTIONS(1596),
    [anon_sym_private] = ACTIONS(1596),
    [anon_sym_protected] = ACTIONS(1596),
    [anon_sym_override] = ACTIONS(1596),
    [anon_sym_module] = ACTIONS(1596),
    [anon_sym_any] = ACTIONS(1596),
    [anon_sym_number] = ACTIONS(1596),
    [anon_sym_boolean] = ACTIONS(1596),
    [anon_sym_string] = ACTIONS(1596),
    [anon_sym_symbol] = ACTIONS(1596),
    [anon_sym_object] = ACTIONS(1596),
    [sym_html_comment] = ACTIONS(5),
  },
  [395] = {
    [sym_comment] = STATE(395),
    [ts_builtin_sym_end] = ACTIONS(2107),
    [sym_identifier] = ACTIONS(2105),
    [anon_sym_export] = ACTIONS(2105),
    [anon_sym_STAR] = ACTIONS(2105),
    [anon_sym_type] = ACTIONS(2105),
    [anon_sym_as] = ACTIONS(2105),
    [anon_sym_namespace] = ACTIONS(2105),
    [anon_sym_LBRACE] = ACTIONS(2105),
    [anon_sym_COMMA] = ACTIONS(2105),
    [anon_sym_RBRACE] = ACTIONS(2105),
    [anon_sym_typeof] = ACTIONS(2105),
    [anon_sym_import] = ACTIONS(2105),
    [anon_sym_with] = ACTIONS(2105),
    [anon_sym_var] = ACTIONS(2105),
    [anon_sym_let] = ACTIONS(2105),
    [anon_sym_const] = ACTIONS(2105),
    [anon_sym_BANG] = ACTIONS(2105),
    [anon_sym_else] = ACTIONS(2105),
    [anon_sym_if] = ACTIONS(2105),
    [anon_sym_switch] = ACTIONS(2105),
    [anon_sym_for] = ACTIONS(2105),
    [anon_sym_LPAREN] = ACTIONS(2105),
    [anon_sym_await] = ACTIONS(2105),
    [anon_sym_in] = ACTIONS(2105),
    [anon_sym_while] = ACTIONS(2105),
    [anon_sym_do] = ACTIONS(2105),
    [anon_sym_try] = ACTIONS(2105),
    [anon_sym_break] = ACTIONS(2105),
    [anon_sym_continue] = ACTIONS(2105),
    [anon_sym_debugger] = ACTIONS(2105),
    [anon_sym_return] = ACTIONS(2105),
    [anon_sym_throw] = ACTIONS(2105),
    [anon_sym_SEMI] = ACTIONS(2105),
    [anon_sym_yield] = ACTIONS(2105),
    [anon_sym_LBRACK] = ACTIONS(2105),
    [anon_sym_LTtemplate_GT] = ACTIONS(2105),
    [anon_sym_GT] = ACTIONS(2105),
    [anon_sym_DOT] = ACTIONS(2105),
    [anon_sym_DQUOTE] = ACTIONS(2105),
    [anon_sym_SQUOTE] = ACTIONS(2105),
    [anon_sym_class] = ACTIONS(2105),
    [anon_sym_async] = ACTIONS(2105),
    [anon_sym_function] = ACTIONS(2105),
    [anon_sym_QMARK_DOT] = ACTIONS(2105),
    [anon_sym_new] = ACTIONS(2105),
    [anon_sym_using] = ACTIONS(2105),
    [anon_sym_AMP_AMP] = ACTIONS(2105),
    [anon_sym_PIPE_PIPE] = ACTIONS(2105),
    [anon_sym_GT_GT] = ACTIONS(2105),
    [anon_sym_GT_GT_GT] = ACTIONS(2105),
    [anon_sym_LT_LT] = ACTIONS(2105),
    [anon_sym_AMP] = ACTIONS(2105),
    [anon_sym_CARET] = ACTIONS(2105),
    [anon_sym_PIPE] = ACTIONS(2105),
    [anon_sym_PLUS] = ACTIONS(2105),
    [anon_sym_DASH] = ACTIONS(2105),
    [anon_sym_SLASH] = ACTIONS(2105),
    [anon_sym_PERCENT] = ACTIONS(2105),
    [anon_sym_STAR_STAR] = ACTIONS(2105),
    [anon_sym_LT] = ACTIONS(2105),
    [anon_sym_LT_EQ] = ACTIONS(2105),
    [anon_sym_EQ_EQ] = ACTIONS(2105),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2105),
    [anon_sym_BANG_EQ] = ACTIONS(2105),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2105),
    [anon_sym_GT_EQ] = ACTIONS(2105),
    [anon_sym_QMARK_QMARK] = ACTIONS(2105),
    [anon_sym_instanceof] = ACTIONS(2105),
    [anon_sym_TILDE] = ACTIONS(2105),
    [anon_sym_void] = ACTIONS(2105),
    [anon_sym_delete] = ACTIONS(2105),
    [anon_sym_PLUS_PLUS] = ACTIONS(2105),
    [anon_sym_DASH_DASH] = ACTIONS(2105),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2105),
    [sym_number] = ACTIONS(2105),
    [sym_private_property_identifier] = ACTIONS(2105),
    [sym_this] = ACTIONS(2105),
    [sym_super] = ACTIONS(2105),
    [sym_true] = ACTIONS(2105),
    [sym_false] = ACTIONS(2105),
    [sym_null] = ACTIONS(2105),
    [sym_undefined] = ACTIONS(2105),
    [anon_sym_AT] = ACTIONS(2105),
    [anon_sym_static] = ACTIONS(2105),
    [anon_sym_readonly] = ACTIONS(2105),
    [anon_sym_get] = ACTIONS(2105),
    [anon_sym_set] = ACTIONS(2105),
    [anon_sym_declare] = ACTIONS(2105),
    [anon_sym_public] = ACTIONS(2105),
    [anon_sym_private] = ACTIONS(2105),
    [anon_sym_protected] = ACTIONS(2105),
    [anon_sym_override] = ACTIONS(2105),
    [anon_sym_module] = ACTIONS(2105),
    [anon_sym_any] = ACTIONS(2105),
    [anon_sym_number] = ACTIONS(2105),
    [anon_sym_boolean] = ACTIONS(2105),
    [anon_sym_string] = ACTIONS(2105),
    [anon_sym_symbol] = ACTIONS(2105),
    [anon_sym_object] = ACTIONS(2105),
    [anon_sym_abstract] = ACTIONS(2105),
    [anon_sym_satisfies] = ACTIONS(2105),
    [anon_sym_interface] = ACTIONS(2105),
    [anon_sym_enum] = ACTIONS(2105),
    [sym__automatic_semicolon] = ACTIONS(2107),
    [sym__ternary_qmark] = ACTIONS(2107),
    [sym_html_comment] = ACTIONS(5),
  },
  [396] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2151),
    [sym_expression] = STATE(2815),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7643),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2151),
    [sym_subscript_expression] = STATE(2151),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3918),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7259),
    [sym_spread_element] = STATE(7575),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_sequence_expression] = STATE(7575),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(396),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2151),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1724),
    [anon_sym_export] = ACTIONS(1452),
    [anon_sym_type] = ACTIONS(1452),
    [anon_sym_namespace] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(1127),
    [anon_sym_RBRACE] = ACTIONS(2357),
    [anon_sym_typeof] = ACTIONS(968),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1452),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(1129),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1462),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1730),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2359),
    [anon_sym_PLUS] = ACTIONS(968),
    [anon_sym_DASH] = ACTIONS(968),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(968),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1732),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1452),
    [anon_sym_readonly] = ACTIONS(1452),
    [anon_sym_get] = ACTIONS(1452),
    [anon_sym_set] = ACTIONS(1452),
    [anon_sym_declare] = ACTIONS(1452),
    [anon_sym_public] = ACTIONS(1452),
    [anon_sym_private] = ACTIONS(1452),
    [anon_sym_protected] = ACTIONS(1452),
    [anon_sym_override] = ACTIONS(1452),
    [anon_sym_module] = ACTIONS(1452),
    [anon_sym_any] = ACTIONS(1452),
    [anon_sym_number] = ACTIONS(1452),
    [anon_sym_boolean] = ACTIONS(1452),
    [anon_sym_string] = ACTIONS(1452),
    [anon_sym_symbol] = ACTIONS(1452),
    [anon_sym_object] = ACTIONS(1452),
    [sym_html_comment] = ACTIONS(5),
  },
  [397] = {
    [sym_comment] = STATE(397),
    [sym_identifier] = ACTIONS(2237),
    [anon_sym_export] = ACTIONS(2237),
    [anon_sym_STAR] = ACTIONS(2239),
    [anon_sym_default] = ACTIONS(2237),
    [anon_sym_type] = ACTIONS(2237),
    [anon_sym_as] = ACTIONS(2239),
    [anon_sym_namespace] = ACTIONS(2237),
    [anon_sym_LBRACE] = ACTIONS(2237),
    [anon_sym_COMMA] = ACTIONS(2239),
    [anon_sym_RBRACE] = ACTIONS(2237),
    [anon_sym_typeof] = ACTIONS(2237),
    [anon_sym_import] = ACTIONS(2237),
    [anon_sym_with] = ACTIONS(2237),
    [anon_sym_var] = ACTIONS(2237),
    [anon_sym_let] = ACTIONS(2237),
    [anon_sym_const] = ACTIONS(2237),
    [anon_sym_BANG] = ACTIONS(2237),
    [anon_sym_if] = ACTIONS(2237),
    [anon_sym_switch] = ACTIONS(2237),
    [anon_sym_for] = ACTIONS(2237),
    [anon_sym_LPAREN] = ACTIONS(2237),
    [anon_sym_await] = ACTIONS(2237),
    [anon_sym_in] = ACTIONS(2239),
    [anon_sym_while] = ACTIONS(2237),
    [anon_sym_do] = ACTIONS(2237),
    [anon_sym_try] = ACTIONS(2237),
    [anon_sym_break] = ACTIONS(2237),
    [anon_sym_continue] = ACTIONS(2237),
    [anon_sym_debugger] = ACTIONS(2237),
    [anon_sym_return] = ACTIONS(2237),
    [anon_sym_throw] = ACTIONS(2237),
    [anon_sym_SEMI] = ACTIONS(2237),
    [anon_sym_case] = ACTIONS(2237),
    [anon_sym_yield] = ACTIONS(2237),
    [anon_sym_LBRACK] = ACTIONS(2237),
    [anon_sym_LTtemplate_GT] = ACTIONS(2237),
    [anon_sym_GT] = ACTIONS(2239),
    [anon_sym_DOT] = ACTIONS(2239),
    [anon_sym_DQUOTE] = ACTIONS(2237),
    [anon_sym_SQUOTE] = ACTIONS(2237),
    [anon_sym_class] = ACTIONS(2237),
    [anon_sym_async] = ACTIONS(2237),
    [anon_sym_function] = ACTIONS(2237),
    [anon_sym_QMARK_DOT] = ACTIONS(2239),
    [anon_sym_new] = ACTIONS(2237),
    [anon_sym_using] = ACTIONS(2237),
    [anon_sym_AMP_AMP] = ACTIONS(2239),
    [anon_sym_PIPE_PIPE] = ACTIONS(2239),
    [anon_sym_GT_GT] = ACTIONS(2239),
    [anon_sym_GT_GT_GT] = ACTIONS(2239),
    [anon_sym_LT_LT] = ACTIONS(2239),
    [anon_sym_AMP] = ACTIONS(2239),
    [anon_sym_CARET] = ACTIONS(2239),
    [anon_sym_PIPE] = ACTIONS(2239),
    [anon_sym_PLUS] = ACTIONS(2237),
    [anon_sym_DASH] = ACTIONS(2237),
    [anon_sym_SLASH] = ACTIONS(2237),
    [anon_sym_PERCENT] = ACTIONS(2239),
    [anon_sym_STAR_STAR] = ACTIONS(2239),
    [anon_sym_LT] = ACTIONS(2237),
    [anon_sym_LT_EQ] = ACTIONS(2239),
    [anon_sym_EQ_EQ] = ACTIONS(2239),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2239),
    [anon_sym_BANG_EQ] = ACTIONS(2239),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2239),
    [anon_sym_GT_EQ] = ACTIONS(2239),
    [anon_sym_QMARK_QMARK] = ACTIONS(2239),
    [anon_sym_instanceof] = ACTIONS(2239),
    [anon_sym_TILDE] = ACTIONS(2237),
    [anon_sym_void] = ACTIONS(2237),
    [anon_sym_delete] = ACTIONS(2237),
    [anon_sym_PLUS_PLUS] = ACTIONS(2237),
    [anon_sym_DASH_DASH] = ACTIONS(2237),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2237),
    [sym_number] = ACTIONS(2237),
    [sym_private_property_identifier] = ACTIONS(2237),
    [sym_this] = ACTIONS(2237),
    [sym_super] = ACTIONS(2237),
    [sym_true] = ACTIONS(2237),
    [sym_false] = ACTIONS(2237),
    [sym_null] = ACTIONS(2237),
    [sym_undefined] = ACTIONS(2237),
    [anon_sym_AT] = ACTIONS(2237),
    [anon_sym_static] = ACTIONS(2237),
    [anon_sym_readonly] = ACTIONS(2237),
    [anon_sym_get] = ACTIONS(2237),
    [anon_sym_set] = ACTIONS(2237),
    [anon_sym_declare] = ACTIONS(2237),
    [anon_sym_public] = ACTIONS(2237),
    [anon_sym_private] = ACTIONS(2237),
    [anon_sym_protected] = ACTIONS(2237),
    [anon_sym_override] = ACTIONS(2237),
    [anon_sym_module] = ACTIONS(2237),
    [anon_sym_any] = ACTIONS(2237),
    [anon_sym_number] = ACTIONS(2237),
    [anon_sym_boolean] = ACTIONS(2237),
    [anon_sym_string] = ACTIONS(2237),
    [anon_sym_symbol] = ACTIONS(2237),
    [anon_sym_object] = ACTIONS(2237),
    [anon_sym_abstract] = ACTIONS(2237),
    [anon_sym_satisfies] = ACTIONS(2239),
    [anon_sym_interface] = ACTIONS(2237),
    [anon_sym_enum] = ACTIONS(2237),
    [sym__automatic_semicolon] = ACTIONS(2361),
    [sym__ternary_qmark] = ACTIONS(2243),
    [sym_html_comment] = ACTIONS(5),
  },
  [398] = {
    [sym_comment] = STATE(398),
    [sym_identifier] = ACTIONS(2081),
    [anon_sym_export] = ACTIONS(2081),
    [anon_sym_STAR] = ACTIONS(2081),
    [anon_sym_default] = ACTIONS(2081),
    [anon_sym_type] = ACTIONS(2081),
    [anon_sym_as] = ACTIONS(2081),
    [anon_sym_namespace] = ACTIONS(2081),
    [anon_sym_LBRACE] = ACTIONS(2081),
    [anon_sym_COMMA] = ACTIONS(2081),
    [anon_sym_RBRACE] = ACTIONS(2081),
    [anon_sym_typeof] = ACTIONS(2081),
    [anon_sym_import] = ACTIONS(2081),
    [anon_sym_with] = ACTIONS(2081),
    [anon_sym_var] = ACTIONS(2081),
    [anon_sym_let] = ACTIONS(2081),
    [anon_sym_const] = ACTIONS(2081),
    [anon_sym_BANG] = ACTIONS(2081),
    [anon_sym_if] = ACTIONS(2081),
    [anon_sym_switch] = ACTIONS(2081),
    [anon_sym_for] = ACTIONS(2081),
    [anon_sym_LPAREN] = ACTIONS(2081),
    [anon_sym_await] = ACTIONS(2081),
    [anon_sym_in] = ACTIONS(2081),
    [anon_sym_while] = ACTIONS(2081),
    [anon_sym_do] = ACTIONS(2081),
    [anon_sym_try] = ACTIONS(2081),
    [anon_sym_break] = ACTIONS(2081),
    [anon_sym_continue] = ACTIONS(2081),
    [anon_sym_debugger] = ACTIONS(2081),
    [anon_sym_return] = ACTIONS(2081),
    [anon_sym_throw] = ACTIONS(2081),
    [anon_sym_SEMI] = ACTIONS(2081),
    [anon_sym_case] = ACTIONS(2081),
    [anon_sym_yield] = ACTIONS(2081),
    [anon_sym_LBRACK] = ACTIONS(2081),
    [anon_sym_LTtemplate_GT] = ACTIONS(2081),
    [anon_sym_GT] = ACTIONS(2081),
    [anon_sym_DOT] = ACTIONS(2081),
    [anon_sym_DQUOTE] = ACTIONS(2081),
    [anon_sym_SQUOTE] = ACTIONS(2081),
    [anon_sym_class] = ACTIONS(2081),
    [anon_sym_async] = ACTIONS(2081),
    [anon_sym_function] = ACTIONS(2081),
    [anon_sym_QMARK_DOT] = ACTIONS(2081),
    [anon_sym_new] = ACTIONS(2081),
    [anon_sym_using] = ACTIONS(2081),
    [anon_sym_AMP_AMP] = ACTIONS(2081),
    [anon_sym_PIPE_PIPE] = ACTIONS(2081),
    [anon_sym_GT_GT] = ACTIONS(2081),
    [anon_sym_GT_GT_GT] = ACTIONS(2081),
    [anon_sym_LT_LT] = ACTIONS(2081),
    [anon_sym_AMP] = ACTIONS(2081),
    [anon_sym_CARET] = ACTIONS(2081),
    [anon_sym_PIPE] = ACTIONS(2081),
    [anon_sym_PLUS] = ACTIONS(2081),
    [anon_sym_DASH] = ACTIONS(2081),
    [anon_sym_SLASH] = ACTIONS(2081),
    [anon_sym_PERCENT] = ACTIONS(2081),
    [anon_sym_STAR_STAR] = ACTIONS(2081),
    [anon_sym_LT] = ACTIONS(2081),
    [anon_sym_LT_EQ] = ACTIONS(2081),
    [anon_sym_EQ_EQ] = ACTIONS(2081),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2081),
    [anon_sym_BANG_EQ] = ACTIONS(2081),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2081),
    [anon_sym_GT_EQ] = ACTIONS(2081),
    [anon_sym_QMARK_QMARK] = ACTIONS(2081),
    [anon_sym_instanceof] = ACTIONS(2081),
    [anon_sym_TILDE] = ACTIONS(2081),
    [anon_sym_void] = ACTIONS(2081),
    [anon_sym_delete] = ACTIONS(2081),
    [anon_sym_PLUS_PLUS] = ACTIONS(2081),
    [anon_sym_DASH_DASH] = ACTIONS(2081),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2081),
    [sym_number] = ACTIONS(2081),
    [sym_private_property_identifier] = ACTIONS(2081),
    [sym_this] = ACTIONS(2081),
    [sym_super] = ACTIONS(2081),
    [sym_true] = ACTIONS(2081),
    [sym_false] = ACTIONS(2081),
    [sym_null] = ACTIONS(2081),
    [sym_undefined] = ACTIONS(2081),
    [anon_sym_AT] = ACTIONS(2081),
    [anon_sym_static] = ACTIONS(2081),
    [anon_sym_readonly] = ACTIONS(2081),
    [anon_sym_get] = ACTIONS(2081),
    [anon_sym_set] = ACTIONS(2081),
    [anon_sym_declare] = ACTIONS(2081),
    [anon_sym_public] = ACTIONS(2081),
    [anon_sym_private] = ACTIONS(2081),
    [anon_sym_protected] = ACTIONS(2081),
    [anon_sym_override] = ACTIONS(2081),
    [anon_sym_module] = ACTIONS(2081),
    [anon_sym_any] = ACTIONS(2081),
    [anon_sym_number] = ACTIONS(2081),
    [anon_sym_boolean] = ACTIONS(2081),
    [anon_sym_string] = ACTIONS(2081),
    [anon_sym_symbol] = ACTIONS(2081),
    [anon_sym_object] = ACTIONS(2081),
    [anon_sym_abstract] = ACTIONS(2081),
    [anon_sym_satisfies] = ACTIONS(2081),
    [anon_sym_interface] = ACTIONS(2081),
    [anon_sym_enum] = ACTIONS(2081),
    [sym__automatic_semicolon] = ACTIONS(2083),
    [sym__ternary_qmark] = ACTIONS(2083),
    [sym_html_comment] = ACTIONS(5),
  },
  [399] = {
    [sym_comment] = STATE(399),
    [sym_identifier] = ACTIONS(2195),
    [anon_sym_export] = ACTIONS(2195),
    [anon_sym_STAR] = ACTIONS(2195),
    [anon_sym_default] = ACTIONS(2195),
    [anon_sym_type] = ACTIONS(2195),
    [anon_sym_as] = ACTIONS(2195),
    [anon_sym_namespace] = ACTIONS(2195),
    [anon_sym_LBRACE] = ACTIONS(2195),
    [anon_sym_COMMA] = ACTIONS(2195),
    [anon_sym_RBRACE] = ACTIONS(2195),
    [anon_sym_typeof] = ACTIONS(2195),
    [anon_sym_import] = ACTIONS(2195),
    [anon_sym_with] = ACTIONS(2195),
    [anon_sym_var] = ACTIONS(2195),
    [anon_sym_let] = ACTIONS(2195),
    [anon_sym_const] = ACTIONS(2195),
    [anon_sym_BANG] = ACTIONS(2195),
    [anon_sym_if] = ACTIONS(2195),
    [anon_sym_switch] = ACTIONS(2195),
    [anon_sym_for] = ACTIONS(2195),
    [anon_sym_LPAREN] = ACTIONS(2195),
    [anon_sym_await] = ACTIONS(2195),
    [anon_sym_in] = ACTIONS(2195),
    [anon_sym_while] = ACTIONS(2195),
    [anon_sym_do] = ACTIONS(2195),
    [anon_sym_try] = ACTIONS(2195),
    [anon_sym_break] = ACTIONS(2195),
    [anon_sym_continue] = ACTIONS(2195),
    [anon_sym_debugger] = ACTIONS(2195),
    [anon_sym_return] = ACTIONS(2195),
    [anon_sym_throw] = ACTIONS(2195),
    [anon_sym_SEMI] = ACTIONS(2195),
    [anon_sym_case] = ACTIONS(2195),
    [anon_sym_yield] = ACTIONS(2195),
    [anon_sym_LBRACK] = ACTIONS(2195),
    [anon_sym_LTtemplate_GT] = ACTIONS(2195),
    [anon_sym_GT] = ACTIONS(2195),
    [anon_sym_DOT] = ACTIONS(2195),
    [anon_sym_DQUOTE] = ACTIONS(2195),
    [anon_sym_SQUOTE] = ACTIONS(2195),
    [anon_sym_class] = ACTIONS(2195),
    [anon_sym_async] = ACTIONS(2195),
    [anon_sym_function] = ACTIONS(2195),
    [anon_sym_QMARK_DOT] = ACTIONS(2195),
    [anon_sym_new] = ACTIONS(2195),
    [anon_sym_using] = ACTIONS(2195),
    [anon_sym_AMP_AMP] = ACTIONS(2195),
    [anon_sym_PIPE_PIPE] = ACTIONS(2195),
    [anon_sym_GT_GT] = ACTIONS(2195),
    [anon_sym_GT_GT_GT] = ACTIONS(2195),
    [anon_sym_LT_LT] = ACTIONS(2195),
    [anon_sym_AMP] = ACTIONS(2195),
    [anon_sym_CARET] = ACTIONS(2195),
    [anon_sym_PIPE] = ACTIONS(2195),
    [anon_sym_PLUS] = ACTIONS(2195),
    [anon_sym_DASH] = ACTIONS(2195),
    [anon_sym_SLASH] = ACTIONS(2195),
    [anon_sym_PERCENT] = ACTIONS(2195),
    [anon_sym_STAR_STAR] = ACTIONS(2195),
    [anon_sym_LT] = ACTIONS(2195),
    [anon_sym_LT_EQ] = ACTIONS(2195),
    [anon_sym_EQ_EQ] = ACTIONS(2195),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2195),
    [anon_sym_BANG_EQ] = ACTIONS(2195),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2195),
    [anon_sym_GT_EQ] = ACTIONS(2195),
    [anon_sym_QMARK_QMARK] = ACTIONS(2195),
    [anon_sym_instanceof] = ACTIONS(2195),
    [anon_sym_TILDE] = ACTIONS(2195),
    [anon_sym_void] = ACTIONS(2195),
    [anon_sym_delete] = ACTIONS(2195),
    [anon_sym_PLUS_PLUS] = ACTIONS(2195),
    [anon_sym_DASH_DASH] = ACTIONS(2195),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2195),
    [sym_number] = ACTIONS(2195),
    [sym_private_property_identifier] = ACTIONS(2195),
    [sym_this] = ACTIONS(2195),
    [sym_super] = ACTIONS(2195),
    [sym_true] = ACTIONS(2195),
    [sym_false] = ACTIONS(2195),
    [sym_null] = ACTIONS(2195),
    [sym_undefined] = ACTIONS(2195),
    [anon_sym_AT] = ACTIONS(2195),
    [anon_sym_static] = ACTIONS(2195),
    [anon_sym_readonly] = ACTIONS(2195),
    [anon_sym_get] = ACTIONS(2195),
    [anon_sym_set] = ACTIONS(2195),
    [anon_sym_declare] = ACTIONS(2195),
    [anon_sym_public] = ACTIONS(2195),
    [anon_sym_private] = ACTIONS(2195),
    [anon_sym_protected] = ACTIONS(2195),
    [anon_sym_override] = ACTIONS(2195),
    [anon_sym_module] = ACTIONS(2195),
    [anon_sym_any] = ACTIONS(2195),
    [anon_sym_number] = ACTIONS(2195),
    [anon_sym_boolean] = ACTIONS(2195),
    [anon_sym_string] = ACTIONS(2195),
    [anon_sym_symbol] = ACTIONS(2195),
    [anon_sym_object] = ACTIONS(2195),
    [anon_sym_abstract] = ACTIONS(2195),
    [anon_sym_satisfies] = ACTIONS(2195),
    [anon_sym_interface] = ACTIONS(2195),
    [anon_sym_enum] = ACTIONS(2195),
    [sym__automatic_semicolon] = ACTIONS(2197),
    [sym__ternary_qmark] = ACTIONS(2197),
    [sym_html_comment] = ACTIONS(5),
  },
  [400] = {
    [sym_comment] = STATE(400),
    [sym_identifier] = ACTIONS(2135),
    [anon_sym_export] = ACTIONS(2135),
    [anon_sym_STAR] = ACTIONS(2137),
    [anon_sym_default] = ACTIONS(2135),
    [anon_sym_type] = ACTIONS(2135),
    [anon_sym_as] = ACTIONS(2137),
    [anon_sym_namespace] = ACTIONS(2135),
    [anon_sym_LBRACE] = ACTIONS(2135),
    [anon_sym_COMMA] = ACTIONS(2137),
    [anon_sym_RBRACE] = ACTIONS(2135),
    [anon_sym_typeof] = ACTIONS(2135),
    [anon_sym_import] = ACTIONS(2135),
    [anon_sym_with] = ACTIONS(2135),
    [anon_sym_var] = ACTIONS(2135),
    [anon_sym_let] = ACTIONS(2135),
    [anon_sym_const] = ACTIONS(2135),
    [anon_sym_BANG] = ACTIONS(2135),
    [anon_sym_if] = ACTIONS(2135),
    [anon_sym_switch] = ACTIONS(2135),
    [anon_sym_for] = ACTIONS(2135),
    [anon_sym_LPAREN] = ACTIONS(2135),
    [anon_sym_await] = ACTIONS(2135),
    [anon_sym_in] = ACTIONS(2137),
    [anon_sym_while] = ACTIONS(2135),
    [anon_sym_do] = ACTIONS(2135),
    [anon_sym_try] = ACTIONS(2135),
    [anon_sym_break] = ACTIONS(2135),
    [anon_sym_continue] = ACTIONS(2135),
    [anon_sym_debugger] = ACTIONS(2135),
    [anon_sym_return] = ACTIONS(2135),
    [anon_sym_throw] = ACTIONS(2135),
    [anon_sym_SEMI] = ACTIONS(2135),
    [anon_sym_case] = ACTIONS(2135),
    [anon_sym_yield] = ACTIONS(2135),
    [anon_sym_LBRACK] = ACTIONS(2135),
    [anon_sym_LTtemplate_GT] = ACTIONS(2135),
    [anon_sym_GT] = ACTIONS(2137),
    [anon_sym_DOT] = ACTIONS(2137),
    [anon_sym_DQUOTE] = ACTIONS(2135),
    [anon_sym_SQUOTE] = ACTIONS(2135),
    [anon_sym_class] = ACTIONS(2135),
    [anon_sym_async] = ACTIONS(2135),
    [anon_sym_function] = ACTIONS(2135),
    [anon_sym_QMARK_DOT] = ACTIONS(2137),
    [anon_sym_new] = ACTIONS(2135),
    [anon_sym_using] = ACTIONS(2135),
    [anon_sym_AMP_AMP] = ACTIONS(2137),
    [anon_sym_PIPE_PIPE] = ACTIONS(2137),
    [anon_sym_GT_GT] = ACTIONS(2137),
    [anon_sym_GT_GT_GT] = ACTIONS(2137),
    [anon_sym_LT_LT] = ACTIONS(2137),
    [anon_sym_AMP] = ACTIONS(2137),
    [anon_sym_CARET] = ACTIONS(2137),
    [anon_sym_PIPE] = ACTIONS(2137),
    [anon_sym_PLUS] = ACTIONS(2135),
    [anon_sym_DASH] = ACTIONS(2135),
    [anon_sym_SLASH] = ACTIONS(2135),
    [anon_sym_PERCENT] = ACTIONS(2137),
    [anon_sym_STAR_STAR] = ACTIONS(2137),
    [anon_sym_LT] = ACTIONS(2135),
    [anon_sym_LT_EQ] = ACTIONS(2137),
    [anon_sym_EQ_EQ] = ACTIONS(2137),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2137),
    [anon_sym_BANG_EQ] = ACTIONS(2137),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2137),
    [anon_sym_GT_EQ] = ACTIONS(2137),
    [anon_sym_QMARK_QMARK] = ACTIONS(2137),
    [anon_sym_instanceof] = ACTIONS(2137),
    [anon_sym_TILDE] = ACTIONS(2135),
    [anon_sym_void] = ACTIONS(2135),
    [anon_sym_delete] = ACTIONS(2135),
    [anon_sym_PLUS_PLUS] = ACTIONS(2135),
    [anon_sym_DASH_DASH] = ACTIONS(2135),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2135),
    [sym_number] = ACTIONS(2135),
    [sym_private_property_identifier] = ACTIONS(2135),
    [sym_this] = ACTIONS(2135),
    [sym_super] = ACTIONS(2135),
    [sym_true] = ACTIONS(2135),
    [sym_false] = ACTIONS(2135),
    [sym_null] = ACTIONS(2135),
    [sym_undefined] = ACTIONS(2135),
    [anon_sym_AT] = ACTIONS(2135),
    [anon_sym_static] = ACTIONS(2135),
    [anon_sym_readonly] = ACTIONS(2135),
    [anon_sym_get] = ACTIONS(2135),
    [anon_sym_set] = ACTIONS(2135),
    [anon_sym_declare] = ACTIONS(2135),
    [anon_sym_public] = ACTIONS(2135),
    [anon_sym_private] = ACTIONS(2135),
    [anon_sym_protected] = ACTIONS(2135),
    [anon_sym_override] = ACTIONS(2135),
    [anon_sym_module] = ACTIONS(2135),
    [anon_sym_any] = ACTIONS(2135),
    [anon_sym_number] = ACTIONS(2135),
    [anon_sym_boolean] = ACTIONS(2135),
    [anon_sym_string] = ACTIONS(2135),
    [anon_sym_symbol] = ACTIONS(2135),
    [anon_sym_object] = ACTIONS(2135),
    [anon_sym_abstract] = ACTIONS(2135),
    [anon_sym_satisfies] = ACTIONS(2137),
    [anon_sym_interface] = ACTIONS(2135),
    [anon_sym_enum] = ACTIONS(2135),
    [sym__automatic_semicolon] = ACTIONS(2363),
    [sym__ternary_qmark] = ACTIONS(2141),
    [sym_html_comment] = ACTIONS(5),
  },
  [401] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2151),
    [sym_expression] = STATE(2774),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7643),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2151),
    [sym_subscript_expression] = STATE(2151),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3918),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7259),
    [sym_spread_element] = STATE(7366),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_sequence_expression] = STATE(7366),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(401),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2151),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1724),
    [anon_sym_export] = ACTIONS(1452),
    [anon_sym_type] = ACTIONS(1452),
    [anon_sym_namespace] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(1127),
    [anon_sym_RBRACE] = ACTIONS(2365),
    [anon_sym_typeof] = ACTIONS(968),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1452),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(1129),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1462),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1730),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2359),
    [anon_sym_PLUS] = ACTIONS(968),
    [anon_sym_DASH] = ACTIONS(968),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(968),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1732),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1452),
    [anon_sym_readonly] = ACTIONS(1452),
    [anon_sym_get] = ACTIONS(1452),
    [anon_sym_set] = ACTIONS(1452),
    [anon_sym_declare] = ACTIONS(1452),
    [anon_sym_public] = ACTIONS(1452),
    [anon_sym_private] = ACTIONS(1452),
    [anon_sym_protected] = ACTIONS(1452),
    [anon_sym_override] = ACTIONS(1452),
    [anon_sym_module] = ACTIONS(1452),
    [anon_sym_any] = ACTIONS(1452),
    [anon_sym_number] = ACTIONS(1452),
    [anon_sym_boolean] = ACTIONS(1452),
    [anon_sym_string] = ACTIONS(1452),
    [anon_sym_symbol] = ACTIONS(1452),
    [anon_sym_object] = ACTIONS(1452),
    [sym_html_comment] = ACTIONS(5),
  },
  [402] = {
    [sym_comment] = STATE(402),
    [ts_builtin_sym_end] = ACTIONS(2103),
    [sym_identifier] = ACTIONS(2067),
    [anon_sym_export] = ACTIONS(2067),
    [anon_sym_STAR] = ACTIONS(2069),
    [anon_sym_type] = ACTIONS(2067),
    [anon_sym_EQ] = ACTIONS(2071),
    [anon_sym_as] = ACTIONS(2069),
    [anon_sym_namespace] = ACTIONS(2067),
    [anon_sym_LBRACE] = ACTIONS(2067),
    [anon_sym_COMMA] = ACTIONS(2069),
    [anon_sym_RBRACE] = ACTIONS(2067),
    [anon_sym_typeof] = ACTIONS(2067),
    [anon_sym_import] = ACTIONS(2067),
    [anon_sym_with] = ACTIONS(2067),
    [anon_sym_var] = ACTIONS(2067),
    [anon_sym_let] = ACTIONS(2067),
    [anon_sym_const] = ACTIONS(2067),
    [anon_sym_BANG] = ACTIONS(2067),
    [anon_sym_if] = ACTIONS(2067),
    [anon_sym_switch] = ACTIONS(2067),
    [anon_sym_for] = ACTIONS(2067),
    [anon_sym_LPAREN] = ACTIONS(2067),
    [anon_sym_await] = ACTIONS(2067),
    [anon_sym_in] = ACTIONS(2069),
    [anon_sym_while] = ACTIONS(2067),
    [anon_sym_do] = ACTIONS(2067),
    [anon_sym_try] = ACTIONS(2067),
    [anon_sym_break] = ACTIONS(2067),
    [anon_sym_continue] = ACTIONS(2067),
    [anon_sym_debugger] = ACTIONS(2067),
    [anon_sym_return] = ACTIONS(2067),
    [anon_sym_throw] = ACTIONS(2067),
    [anon_sym_SEMI] = ACTIONS(2067),
    [anon_sym_yield] = ACTIONS(2067),
    [anon_sym_LBRACK] = ACTIONS(2067),
    [anon_sym_LTtemplate_GT] = ACTIONS(2067),
    [anon_sym_GT] = ACTIONS(2069),
    [anon_sym_DOT] = ACTIONS(2069),
    [anon_sym_DQUOTE] = ACTIONS(2067),
    [anon_sym_SQUOTE] = ACTIONS(2067),
    [anon_sym_class] = ACTIONS(2067),
    [anon_sym_async] = ACTIONS(2067),
    [anon_sym_function] = ACTIONS(2067),
    [anon_sym_QMARK_DOT] = ACTIONS(2069),
    [anon_sym_new] = ACTIONS(2067),
    [anon_sym_using] = ACTIONS(2067),
    [anon_sym_AMP_AMP] = ACTIONS(2069),
    [anon_sym_PIPE_PIPE] = ACTIONS(2069),
    [anon_sym_GT_GT] = ACTIONS(2069),
    [anon_sym_GT_GT_GT] = ACTIONS(2069),
    [anon_sym_LT_LT] = ACTIONS(2069),
    [anon_sym_AMP] = ACTIONS(2069),
    [anon_sym_CARET] = ACTIONS(2069),
    [anon_sym_PIPE] = ACTIONS(2069),
    [anon_sym_PLUS] = ACTIONS(2067),
    [anon_sym_DASH] = ACTIONS(2067),
    [anon_sym_SLASH] = ACTIONS(2067),
    [anon_sym_PERCENT] = ACTIONS(2069),
    [anon_sym_STAR_STAR] = ACTIONS(2069),
    [anon_sym_LT] = ACTIONS(2067),
    [anon_sym_LT_EQ] = ACTIONS(2069),
    [anon_sym_EQ_EQ] = ACTIONS(2069),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2069),
    [anon_sym_BANG_EQ] = ACTIONS(2069),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2069),
    [anon_sym_GT_EQ] = ACTIONS(2069),
    [anon_sym_QMARK_QMARK] = ACTIONS(2069),
    [anon_sym_instanceof] = ACTIONS(2069),
    [anon_sym_TILDE] = ACTIONS(2067),
    [anon_sym_void] = ACTIONS(2067),
    [anon_sym_delete] = ACTIONS(2067),
    [anon_sym_PLUS_PLUS] = ACTIONS(2067),
    [anon_sym_DASH_DASH] = ACTIONS(2067),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2067),
    [sym_number] = ACTIONS(2067),
    [sym_private_property_identifier] = ACTIONS(2067),
    [sym_this] = ACTIONS(2067),
    [sym_super] = ACTIONS(2067),
    [sym_true] = ACTIONS(2067),
    [sym_false] = ACTIONS(2067),
    [sym_null] = ACTIONS(2067),
    [sym_undefined] = ACTIONS(2067),
    [anon_sym_AT] = ACTIONS(2067),
    [anon_sym_static] = ACTIONS(2067),
    [anon_sym_readonly] = ACTIONS(2067),
    [anon_sym_get] = ACTIONS(2067),
    [anon_sym_set] = ACTIONS(2067),
    [anon_sym_declare] = ACTIONS(2067),
    [anon_sym_public] = ACTIONS(2067),
    [anon_sym_private] = ACTIONS(2067),
    [anon_sym_protected] = ACTIONS(2067),
    [anon_sym_override] = ACTIONS(2067),
    [anon_sym_module] = ACTIONS(2067),
    [anon_sym_any] = ACTIONS(2067),
    [anon_sym_number] = ACTIONS(2067),
    [anon_sym_boolean] = ACTIONS(2067),
    [anon_sym_string] = ACTIONS(2067),
    [anon_sym_symbol] = ACTIONS(2067),
    [anon_sym_object] = ACTIONS(2067),
    [anon_sym_abstract] = ACTIONS(2067),
    [anon_sym_satisfies] = ACTIONS(2069),
    [anon_sym_interface] = ACTIONS(2067),
    [anon_sym_enum] = ACTIONS(2067),
    [sym__automatic_semicolon] = ACTIONS(2367),
    [sym__ternary_qmark] = ACTIONS(2075),
    [sym_html_comment] = ACTIONS(5),
  },
  [403] = {
    [sym_comment] = STATE(403),
    [ts_builtin_sym_end] = ACTIONS(2253),
    [sym_identifier] = ACTIONS(2251),
    [anon_sym_export] = ACTIONS(2251),
    [anon_sym_STAR] = ACTIONS(2251),
    [anon_sym_type] = ACTIONS(2251),
    [anon_sym_as] = ACTIONS(2251),
    [anon_sym_namespace] = ACTIONS(2251),
    [anon_sym_LBRACE] = ACTIONS(2251),
    [anon_sym_COMMA] = ACTIONS(2251),
    [anon_sym_RBRACE] = ACTIONS(2251),
    [anon_sym_typeof] = ACTIONS(2251),
    [anon_sym_import] = ACTIONS(2251),
    [anon_sym_with] = ACTIONS(2251),
    [anon_sym_var] = ACTIONS(2251),
    [anon_sym_let] = ACTIONS(2251),
    [anon_sym_const] = ACTIONS(2251),
    [anon_sym_BANG] = ACTIONS(2251),
    [anon_sym_else] = ACTIONS(2251),
    [anon_sym_if] = ACTIONS(2251),
    [anon_sym_switch] = ACTIONS(2251),
    [anon_sym_for] = ACTIONS(2251),
    [anon_sym_LPAREN] = ACTIONS(2251),
    [anon_sym_await] = ACTIONS(2251),
    [anon_sym_in] = ACTIONS(2251),
    [anon_sym_while] = ACTIONS(2251),
    [anon_sym_do] = ACTIONS(2251),
    [anon_sym_try] = ACTIONS(2251),
    [anon_sym_break] = ACTIONS(2251),
    [anon_sym_continue] = ACTIONS(2251),
    [anon_sym_debugger] = ACTIONS(2251),
    [anon_sym_return] = ACTIONS(2251),
    [anon_sym_throw] = ACTIONS(2251),
    [anon_sym_SEMI] = ACTIONS(2251),
    [anon_sym_yield] = ACTIONS(2251),
    [anon_sym_LBRACK] = ACTIONS(2251),
    [anon_sym_LTtemplate_GT] = ACTIONS(2251),
    [anon_sym_GT] = ACTIONS(2251),
    [anon_sym_DOT] = ACTIONS(2251),
    [anon_sym_DQUOTE] = ACTIONS(2251),
    [anon_sym_SQUOTE] = ACTIONS(2251),
    [anon_sym_class] = ACTIONS(2251),
    [anon_sym_async] = ACTIONS(2251),
    [anon_sym_function] = ACTIONS(2251),
    [anon_sym_QMARK_DOT] = ACTIONS(2251),
    [anon_sym_new] = ACTIONS(2251),
    [anon_sym_using] = ACTIONS(2251),
    [anon_sym_AMP_AMP] = ACTIONS(2251),
    [anon_sym_PIPE_PIPE] = ACTIONS(2251),
    [anon_sym_GT_GT] = ACTIONS(2251),
    [anon_sym_GT_GT_GT] = ACTIONS(2251),
    [anon_sym_LT_LT] = ACTIONS(2251),
    [anon_sym_AMP] = ACTIONS(2251),
    [anon_sym_CARET] = ACTIONS(2251),
    [anon_sym_PIPE] = ACTIONS(2251),
    [anon_sym_PLUS] = ACTIONS(2251),
    [anon_sym_DASH] = ACTIONS(2251),
    [anon_sym_SLASH] = ACTIONS(2251),
    [anon_sym_PERCENT] = ACTIONS(2251),
    [anon_sym_STAR_STAR] = ACTIONS(2251),
    [anon_sym_LT] = ACTIONS(2251),
    [anon_sym_LT_EQ] = ACTIONS(2251),
    [anon_sym_EQ_EQ] = ACTIONS(2251),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2251),
    [anon_sym_BANG_EQ] = ACTIONS(2251),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2251),
    [anon_sym_GT_EQ] = ACTIONS(2251),
    [anon_sym_QMARK_QMARK] = ACTIONS(2251),
    [anon_sym_instanceof] = ACTIONS(2251),
    [anon_sym_TILDE] = ACTIONS(2251),
    [anon_sym_void] = ACTIONS(2251),
    [anon_sym_delete] = ACTIONS(2251),
    [anon_sym_PLUS_PLUS] = ACTIONS(2251),
    [anon_sym_DASH_DASH] = ACTIONS(2251),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2251),
    [sym_number] = ACTIONS(2251),
    [sym_private_property_identifier] = ACTIONS(2251),
    [sym_this] = ACTIONS(2251),
    [sym_super] = ACTIONS(2251),
    [sym_true] = ACTIONS(2251),
    [sym_false] = ACTIONS(2251),
    [sym_null] = ACTIONS(2251),
    [sym_undefined] = ACTIONS(2251),
    [anon_sym_AT] = ACTIONS(2251),
    [anon_sym_static] = ACTIONS(2251),
    [anon_sym_readonly] = ACTIONS(2251),
    [anon_sym_get] = ACTIONS(2251),
    [anon_sym_set] = ACTIONS(2251),
    [anon_sym_declare] = ACTIONS(2251),
    [anon_sym_public] = ACTIONS(2251),
    [anon_sym_private] = ACTIONS(2251),
    [anon_sym_protected] = ACTIONS(2251),
    [anon_sym_override] = ACTIONS(2251),
    [anon_sym_module] = ACTIONS(2251),
    [anon_sym_any] = ACTIONS(2251),
    [anon_sym_number] = ACTIONS(2251),
    [anon_sym_boolean] = ACTIONS(2251),
    [anon_sym_string] = ACTIONS(2251),
    [anon_sym_symbol] = ACTIONS(2251),
    [anon_sym_object] = ACTIONS(2251),
    [anon_sym_abstract] = ACTIONS(2251),
    [anon_sym_satisfies] = ACTIONS(2251),
    [anon_sym_interface] = ACTIONS(2251),
    [anon_sym_enum] = ACTIONS(2251),
    [sym__automatic_semicolon] = ACTIONS(2253),
    [sym__ternary_qmark] = ACTIONS(2253),
    [sym_html_comment] = ACTIONS(5),
  },
  [404] = {
    [sym_comment] = STATE(404),
    [sym_identifier] = ACTIONS(2149),
    [anon_sym_export] = ACTIONS(2149),
    [anon_sym_STAR] = ACTIONS(2151),
    [anon_sym_default] = ACTIONS(2149),
    [anon_sym_type] = ACTIONS(2149),
    [anon_sym_as] = ACTIONS(2151),
    [anon_sym_namespace] = ACTIONS(2149),
    [anon_sym_LBRACE] = ACTIONS(2149),
    [anon_sym_COMMA] = ACTIONS(2151),
    [anon_sym_RBRACE] = ACTIONS(2149),
    [anon_sym_typeof] = ACTIONS(2149),
    [anon_sym_import] = ACTIONS(2149),
    [anon_sym_with] = ACTIONS(2149),
    [anon_sym_var] = ACTIONS(2149),
    [anon_sym_let] = ACTIONS(2149),
    [anon_sym_const] = ACTIONS(2149),
    [anon_sym_BANG] = ACTIONS(2149),
    [anon_sym_if] = ACTIONS(2149),
    [anon_sym_switch] = ACTIONS(2149),
    [anon_sym_for] = ACTIONS(2149),
    [anon_sym_LPAREN] = ACTIONS(2149),
    [anon_sym_await] = ACTIONS(2149),
    [anon_sym_in] = ACTIONS(2151),
    [anon_sym_while] = ACTIONS(2149),
    [anon_sym_do] = ACTIONS(2149),
    [anon_sym_try] = ACTIONS(2149),
    [anon_sym_break] = ACTIONS(2149),
    [anon_sym_continue] = ACTIONS(2149),
    [anon_sym_debugger] = ACTIONS(2149),
    [anon_sym_return] = ACTIONS(2149),
    [anon_sym_throw] = ACTIONS(2149),
    [anon_sym_SEMI] = ACTIONS(2149),
    [anon_sym_case] = ACTIONS(2149),
    [anon_sym_yield] = ACTIONS(2149),
    [anon_sym_LBRACK] = ACTIONS(2149),
    [anon_sym_LTtemplate_GT] = ACTIONS(2149),
    [anon_sym_GT] = ACTIONS(2151),
    [anon_sym_DOT] = ACTIONS(2151),
    [anon_sym_DQUOTE] = ACTIONS(2149),
    [anon_sym_SQUOTE] = ACTIONS(2149),
    [anon_sym_class] = ACTIONS(2149),
    [anon_sym_async] = ACTIONS(2149),
    [anon_sym_function] = ACTIONS(2149),
    [anon_sym_QMARK_DOT] = ACTIONS(2151),
    [anon_sym_new] = ACTIONS(2149),
    [anon_sym_using] = ACTIONS(2149),
    [anon_sym_AMP_AMP] = ACTIONS(2151),
    [anon_sym_PIPE_PIPE] = ACTIONS(2151),
    [anon_sym_GT_GT] = ACTIONS(2151),
    [anon_sym_GT_GT_GT] = ACTIONS(2151),
    [anon_sym_LT_LT] = ACTIONS(2151),
    [anon_sym_AMP] = ACTIONS(2151),
    [anon_sym_CARET] = ACTIONS(2151),
    [anon_sym_PIPE] = ACTIONS(2151),
    [anon_sym_PLUS] = ACTIONS(2149),
    [anon_sym_DASH] = ACTIONS(2149),
    [anon_sym_SLASH] = ACTIONS(2149),
    [anon_sym_PERCENT] = ACTIONS(2151),
    [anon_sym_STAR_STAR] = ACTIONS(2151),
    [anon_sym_LT] = ACTIONS(2149),
    [anon_sym_LT_EQ] = ACTIONS(2151),
    [anon_sym_EQ_EQ] = ACTIONS(2151),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2151),
    [anon_sym_BANG_EQ] = ACTIONS(2151),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2151),
    [anon_sym_GT_EQ] = ACTIONS(2151),
    [anon_sym_QMARK_QMARK] = ACTIONS(2151),
    [anon_sym_instanceof] = ACTIONS(2151),
    [anon_sym_TILDE] = ACTIONS(2149),
    [anon_sym_void] = ACTIONS(2149),
    [anon_sym_delete] = ACTIONS(2149),
    [anon_sym_PLUS_PLUS] = ACTIONS(2149),
    [anon_sym_DASH_DASH] = ACTIONS(2149),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2149),
    [sym_number] = ACTIONS(2149),
    [sym_private_property_identifier] = ACTIONS(2149),
    [sym_this] = ACTIONS(2149),
    [sym_super] = ACTIONS(2149),
    [sym_true] = ACTIONS(2149),
    [sym_false] = ACTIONS(2149),
    [sym_null] = ACTIONS(2149),
    [sym_undefined] = ACTIONS(2149),
    [anon_sym_AT] = ACTIONS(2149),
    [anon_sym_static] = ACTIONS(2149),
    [anon_sym_readonly] = ACTIONS(2149),
    [anon_sym_get] = ACTIONS(2149),
    [anon_sym_set] = ACTIONS(2149),
    [anon_sym_declare] = ACTIONS(2149),
    [anon_sym_public] = ACTIONS(2149),
    [anon_sym_private] = ACTIONS(2149),
    [anon_sym_protected] = ACTIONS(2149),
    [anon_sym_override] = ACTIONS(2149),
    [anon_sym_module] = ACTIONS(2149),
    [anon_sym_any] = ACTIONS(2149),
    [anon_sym_number] = ACTIONS(2149),
    [anon_sym_boolean] = ACTIONS(2149),
    [anon_sym_string] = ACTIONS(2149),
    [anon_sym_symbol] = ACTIONS(2149),
    [anon_sym_object] = ACTIONS(2149),
    [anon_sym_abstract] = ACTIONS(2149),
    [anon_sym_satisfies] = ACTIONS(2151),
    [anon_sym_interface] = ACTIONS(2149),
    [anon_sym_enum] = ACTIONS(2149),
    [sym__automatic_semicolon] = ACTIONS(2369),
    [sym__ternary_qmark] = ACTIONS(2155),
    [sym_html_comment] = ACTIONS(5),
  },
  [405] = {
    [sym_comment] = STATE(405),
    [sym_identifier] = ACTIONS(2229),
    [anon_sym_export] = ACTIONS(2229),
    [anon_sym_STAR] = ACTIONS(2231),
    [anon_sym_default] = ACTIONS(2229),
    [anon_sym_type] = ACTIONS(2229),
    [anon_sym_as] = ACTIONS(2231),
    [anon_sym_namespace] = ACTIONS(2229),
    [anon_sym_LBRACE] = ACTIONS(2229),
    [anon_sym_COMMA] = ACTIONS(2231),
    [anon_sym_RBRACE] = ACTIONS(2229),
    [anon_sym_typeof] = ACTIONS(2229),
    [anon_sym_import] = ACTIONS(2229),
    [anon_sym_with] = ACTIONS(2229),
    [anon_sym_var] = ACTIONS(2229),
    [anon_sym_let] = ACTIONS(2229),
    [anon_sym_const] = ACTIONS(2229),
    [anon_sym_BANG] = ACTIONS(2229),
    [anon_sym_if] = ACTIONS(2229),
    [anon_sym_switch] = ACTIONS(2229),
    [anon_sym_for] = ACTIONS(2229),
    [anon_sym_LPAREN] = ACTIONS(2229),
    [anon_sym_await] = ACTIONS(2229),
    [anon_sym_in] = ACTIONS(2231),
    [anon_sym_while] = ACTIONS(2229),
    [anon_sym_do] = ACTIONS(2229),
    [anon_sym_try] = ACTIONS(2229),
    [anon_sym_break] = ACTIONS(2229),
    [anon_sym_continue] = ACTIONS(2229),
    [anon_sym_debugger] = ACTIONS(2229),
    [anon_sym_return] = ACTIONS(2229),
    [anon_sym_throw] = ACTIONS(2229),
    [anon_sym_SEMI] = ACTIONS(2229),
    [anon_sym_case] = ACTIONS(2229),
    [anon_sym_yield] = ACTIONS(2229),
    [anon_sym_LBRACK] = ACTIONS(2229),
    [anon_sym_LTtemplate_GT] = ACTIONS(2229),
    [anon_sym_GT] = ACTIONS(2231),
    [anon_sym_DOT] = ACTIONS(2231),
    [anon_sym_DQUOTE] = ACTIONS(2229),
    [anon_sym_SQUOTE] = ACTIONS(2229),
    [anon_sym_class] = ACTIONS(2229),
    [anon_sym_async] = ACTIONS(2229),
    [anon_sym_function] = ACTIONS(2229),
    [anon_sym_QMARK_DOT] = ACTIONS(2231),
    [anon_sym_new] = ACTIONS(2229),
    [anon_sym_using] = ACTIONS(2229),
    [anon_sym_AMP_AMP] = ACTIONS(2231),
    [anon_sym_PIPE_PIPE] = ACTIONS(2231),
    [anon_sym_GT_GT] = ACTIONS(2231),
    [anon_sym_GT_GT_GT] = ACTIONS(2231),
    [anon_sym_LT_LT] = ACTIONS(2231),
    [anon_sym_AMP] = ACTIONS(2231),
    [anon_sym_CARET] = ACTIONS(2231),
    [anon_sym_PIPE] = ACTIONS(2231),
    [anon_sym_PLUS] = ACTIONS(2229),
    [anon_sym_DASH] = ACTIONS(2229),
    [anon_sym_SLASH] = ACTIONS(2229),
    [anon_sym_PERCENT] = ACTIONS(2231),
    [anon_sym_STAR_STAR] = ACTIONS(2231),
    [anon_sym_LT] = ACTIONS(2229),
    [anon_sym_LT_EQ] = ACTIONS(2231),
    [anon_sym_EQ_EQ] = ACTIONS(2231),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2231),
    [anon_sym_BANG_EQ] = ACTIONS(2231),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2231),
    [anon_sym_GT_EQ] = ACTIONS(2231),
    [anon_sym_QMARK_QMARK] = ACTIONS(2231),
    [anon_sym_instanceof] = ACTIONS(2231),
    [anon_sym_TILDE] = ACTIONS(2229),
    [anon_sym_void] = ACTIONS(2229),
    [anon_sym_delete] = ACTIONS(2229),
    [anon_sym_PLUS_PLUS] = ACTIONS(2229),
    [anon_sym_DASH_DASH] = ACTIONS(2229),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2229),
    [sym_number] = ACTIONS(2229),
    [sym_private_property_identifier] = ACTIONS(2229),
    [sym_this] = ACTIONS(2229),
    [sym_super] = ACTIONS(2229),
    [sym_true] = ACTIONS(2229),
    [sym_false] = ACTIONS(2229),
    [sym_null] = ACTIONS(2229),
    [sym_undefined] = ACTIONS(2229),
    [anon_sym_AT] = ACTIONS(2229),
    [anon_sym_static] = ACTIONS(2229),
    [anon_sym_readonly] = ACTIONS(2229),
    [anon_sym_get] = ACTIONS(2229),
    [anon_sym_set] = ACTIONS(2229),
    [anon_sym_declare] = ACTIONS(2229),
    [anon_sym_public] = ACTIONS(2229),
    [anon_sym_private] = ACTIONS(2229),
    [anon_sym_protected] = ACTIONS(2229),
    [anon_sym_override] = ACTIONS(2229),
    [anon_sym_module] = ACTIONS(2229),
    [anon_sym_any] = ACTIONS(2229),
    [anon_sym_number] = ACTIONS(2229),
    [anon_sym_boolean] = ACTIONS(2229),
    [anon_sym_string] = ACTIONS(2229),
    [anon_sym_symbol] = ACTIONS(2229),
    [anon_sym_object] = ACTIONS(2229),
    [anon_sym_abstract] = ACTIONS(2229),
    [anon_sym_satisfies] = ACTIONS(2231),
    [anon_sym_interface] = ACTIONS(2229),
    [anon_sym_enum] = ACTIONS(2229),
    [sym__automatic_semicolon] = ACTIONS(2371),
    [sym__ternary_qmark] = ACTIONS(2235),
    [sym_html_comment] = ACTIONS(5),
  },
  [406] = {
    [sym_statement_block] = STATE(442),
    [sym_comment] = STATE(406),
    [ts_builtin_sym_end] = ACTIONS(2059),
    [sym_identifier] = ACTIONS(2055),
    [anon_sym_export] = ACTIONS(2055),
    [anon_sym_STAR] = ACTIONS(2055),
    [anon_sym_type] = ACTIONS(2055),
    [anon_sym_as] = ACTIONS(2055),
    [anon_sym_namespace] = ACTIONS(2055),
    [anon_sym_LBRACE] = ACTIONS(2373),
    [anon_sym_COMMA] = ACTIONS(2055),
    [anon_sym_RBRACE] = ACTIONS(2055),
    [anon_sym_typeof] = ACTIONS(2055),
    [anon_sym_import] = ACTIONS(2055),
    [anon_sym_with] = ACTIONS(2055),
    [anon_sym_var] = ACTIONS(2055),
    [anon_sym_let] = ACTIONS(2055),
    [anon_sym_const] = ACTIONS(2055),
    [anon_sym_BANG] = ACTIONS(2055),
    [anon_sym_if] = ACTIONS(2055),
    [anon_sym_switch] = ACTIONS(2055),
    [anon_sym_for] = ACTIONS(2055),
    [anon_sym_LPAREN] = ACTIONS(2055),
    [anon_sym_await] = ACTIONS(2055),
    [anon_sym_in] = ACTIONS(2055),
    [anon_sym_while] = ACTIONS(2055),
    [anon_sym_do] = ACTIONS(2055),
    [anon_sym_try] = ACTIONS(2055),
    [anon_sym_break] = ACTIONS(2055),
    [anon_sym_continue] = ACTIONS(2055),
    [anon_sym_debugger] = ACTIONS(2055),
    [anon_sym_return] = ACTIONS(2055),
    [anon_sym_throw] = ACTIONS(2055),
    [anon_sym_SEMI] = ACTIONS(2055),
    [anon_sym_yield] = ACTIONS(2055),
    [anon_sym_LBRACK] = ACTIONS(2055),
    [anon_sym_LTtemplate_GT] = ACTIONS(2055),
    [anon_sym_GT] = ACTIONS(2055),
    [anon_sym_DOT] = ACTIONS(2055),
    [anon_sym_DQUOTE] = ACTIONS(2055),
    [anon_sym_SQUOTE] = ACTIONS(2055),
    [anon_sym_class] = ACTIONS(2055),
    [anon_sym_async] = ACTIONS(2055),
    [anon_sym_function] = ACTIONS(2055),
    [anon_sym_QMARK_DOT] = ACTIONS(2055),
    [anon_sym_new] = ACTIONS(2055),
    [anon_sym_using] = ACTIONS(2055),
    [anon_sym_AMP_AMP] = ACTIONS(2055),
    [anon_sym_PIPE_PIPE] = ACTIONS(2055),
    [anon_sym_GT_GT] = ACTIONS(2055),
    [anon_sym_GT_GT_GT] = ACTIONS(2055),
    [anon_sym_LT_LT] = ACTIONS(2055),
    [anon_sym_AMP] = ACTIONS(2055),
    [anon_sym_CARET] = ACTIONS(2055),
    [anon_sym_PIPE] = ACTIONS(2055),
    [anon_sym_PLUS] = ACTIONS(2055),
    [anon_sym_DASH] = ACTIONS(2055),
    [anon_sym_SLASH] = ACTIONS(2055),
    [anon_sym_PERCENT] = ACTIONS(2055),
    [anon_sym_STAR_STAR] = ACTIONS(2055),
    [anon_sym_LT] = ACTIONS(2055),
    [anon_sym_LT_EQ] = ACTIONS(2055),
    [anon_sym_EQ_EQ] = ACTIONS(2055),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2055),
    [anon_sym_BANG_EQ] = ACTIONS(2055),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2055),
    [anon_sym_GT_EQ] = ACTIONS(2055),
    [anon_sym_QMARK_QMARK] = ACTIONS(2055),
    [anon_sym_instanceof] = ACTIONS(2055),
    [anon_sym_TILDE] = ACTIONS(2055),
    [anon_sym_void] = ACTIONS(2055),
    [anon_sym_delete] = ACTIONS(2055),
    [anon_sym_PLUS_PLUS] = ACTIONS(2055),
    [anon_sym_DASH_DASH] = ACTIONS(2055),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2055),
    [sym_number] = ACTIONS(2055),
    [sym_private_property_identifier] = ACTIONS(2055),
    [sym_this] = ACTIONS(2055),
    [sym_super] = ACTIONS(2055),
    [sym_true] = ACTIONS(2055),
    [sym_false] = ACTIONS(2055),
    [sym_null] = ACTIONS(2055),
    [sym_undefined] = ACTIONS(2055),
    [anon_sym_AT] = ACTIONS(2055),
    [anon_sym_static] = ACTIONS(2055),
    [anon_sym_readonly] = ACTIONS(2055),
    [anon_sym_get] = ACTIONS(2055),
    [anon_sym_set] = ACTIONS(2055),
    [anon_sym_declare] = ACTIONS(2055),
    [anon_sym_public] = ACTIONS(2055),
    [anon_sym_private] = ACTIONS(2055),
    [anon_sym_protected] = ACTIONS(2055),
    [anon_sym_override] = ACTIONS(2055),
    [anon_sym_module] = ACTIONS(2055),
    [anon_sym_any] = ACTIONS(2055),
    [anon_sym_number] = ACTIONS(2055),
    [anon_sym_boolean] = ACTIONS(2055),
    [anon_sym_string] = ACTIONS(2055),
    [anon_sym_symbol] = ACTIONS(2055),
    [anon_sym_object] = ACTIONS(2055),
    [anon_sym_abstract] = ACTIONS(2055),
    [anon_sym_satisfies] = ACTIONS(2055),
    [anon_sym_interface] = ACTIONS(2055),
    [anon_sym_enum] = ACTIONS(2055),
    [sym__automatic_semicolon] = ACTIONS(2059),
    [sym__ternary_qmark] = ACTIONS(2059),
    [sym_html_comment] = ACTIONS(5),
  },
  [407] = {
    [sym_statement_block] = STATE(442),
    [sym_comment] = STATE(407),
    [ts_builtin_sym_end] = ACTIONS(2059),
    [sym_identifier] = ACTIONS(2055),
    [anon_sym_export] = ACTIONS(2055),
    [anon_sym_STAR] = ACTIONS(2055),
    [anon_sym_type] = ACTIONS(2055),
    [anon_sym_as] = ACTIONS(2055),
    [anon_sym_namespace] = ACTIONS(2055),
    [anon_sym_LBRACE] = ACTIONS(2373),
    [anon_sym_COMMA] = ACTIONS(2055),
    [anon_sym_RBRACE] = ACTIONS(2055),
    [anon_sym_typeof] = ACTIONS(2055),
    [anon_sym_import] = ACTIONS(2055),
    [anon_sym_with] = ACTIONS(2055),
    [anon_sym_var] = ACTIONS(2055),
    [anon_sym_let] = ACTIONS(2055),
    [anon_sym_const] = ACTIONS(2055),
    [anon_sym_BANG] = ACTIONS(2055),
    [anon_sym_if] = ACTIONS(2055),
    [anon_sym_switch] = ACTIONS(2055),
    [anon_sym_for] = ACTIONS(2055),
    [anon_sym_LPAREN] = ACTIONS(2055),
    [anon_sym_await] = ACTIONS(2055),
    [anon_sym_in] = ACTIONS(2055),
    [anon_sym_while] = ACTIONS(2055),
    [anon_sym_do] = ACTIONS(2055),
    [anon_sym_try] = ACTIONS(2055),
    [anon_sym_break] = ACTIONS(2055),
    [anon_sym_continue] = ACTIONS(2055),
    [anon_sym_debugger] = ACTIONS(2055),
    [anon_sym_return] = ACTIONS(2055),
    [anon_sym_throw] = ACTIONS(2055),
    [anon_sym_SEMI] = ACTIONS(2055),
    [anon_sym_yield] = ACTIONS(2055),
    [anon_sym_LBRACK] = ACTIONS(2055),
    [anon_sym_LTtemplate_GT] = ACTIONS(2055),
    [anon_sym_GT] = ACTIONS(2055),
    [anon_sym_DOT] = ACTIONS(2375),
    [anon_sym_DQUOTE] = ACTIONS(2055),
    [anon_sym_SQUOTE] = ACTIONS(2055),
    [anon_sym_class] = ACTIONS(2055),
    [anon_sym_async] = ACTIONS(2055),
    [anon_sym_function] = ACTIONS(2055),
    [anon_sym_QMARK_DOT] = ACTIONS(2055),
    [anon_sym_new] = ACTIONS(2055),
    [anon_sym_using] = ACTIONS(2055),
    [anon_sym_AMP_AMP] = ACTIONS(2055),
    [anon_sym_PIPE_PIPE] = ACTIONS(2055),
    [anon_sym_GT_GT] = ACTIONS(2055),
    [anon_sym_GT_GT_GT] = ACTIONS(2055),
    [anon_sym_LT_LT] = ACTIONS(2055),
    [anon_sym_AMP] = ACTIONS(2055),
    [anon_sym_CARET] = ACTIONS(2055),
    [anon_sym_PIPE] = ACTIONS(2055),
    [anon_sym_PLUS] = ACTIONS(2055),
    [anon_sym_DASH] = ACTIONS(2055),
    [anon_sym_SLASH] = ACTIONS(2055),
    [anon_sym_PERCENT] = ACTIONS(2055),
    [anon_sym_STAR_STAR] = ACTIONS(2055),
    [anon_sym_LT] = ACTIONS(2055),
    [anon_sym_LT_EQ] = ACTIONS(2055),
    [anon_sym_EQ_EQ] = ACTIONS(2055),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2055),
    [anon_sym_BANG_EQ] = ACTIONS(2055),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2055),
    [anon_sym_GT_EQ] = ACTIONS(2055),
    [anon_sym_QMARK_QMARK] = ACTIONS(2055),
    [anon_sym_instanceof] = ACTIONS(2055),
    [anon_sym_TILDE] = ACTIONS(2055),
    [anon_sym_void] = ACTIONS(2055),
    [anon_sym_delete] = ACTIONS(2055),
    [anon_sym_PLUS_PLUS] = ACTIONS(2055),
    [anon_sym_DASH_DASH] = ACTIONS(2055),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2055),
    [sym_number] = ACTIONS(2055),
    [sym_private_property_identifier] = ACTIONS(2055),
    [sym_this] = ACTIONS(2055),
    [sym_super] = ACTIONS(2055),
    [sym_true] = ACTIONS(2055),
    [sym_false] = ACTIONS(2055),
    [sym_null] = ACTIONS(2055),
    [sym_undefined] = ACTIONS(2055),
    [anon_sym_AT] = ACTIONS(2055),
    [anon_sym_static] = ACTIONS(2055),
    [anon_sym_readonly] = ACTIONS(2055),
    [anon_sym_get] = ACTIONS(2055),
    [anon_sym_set] = ACTIONS(2055),
    [anon_sym_declare] = ACTIONS(2055),
    [anon_sym_public] = ACTIONS(2055),
    [anon_sym_private] = ACTIONS(2055),
    [anon_sym_protected] = ACTIONS(2055),
    [anon_sym_override] = ACTIONS(2055),
    [anon_sym_module] = ACTIONS(2055),
    [anon_sym_any] = ACTIONS(2055),
    [anon_sym_number] = ACTIONS(2055),
    [anon_sym_boolean] = ACTIONS(2055),
    [anon_sym_string] = ACTIONS(2055),
    [anon_sym_symbol] = ACTIONS(2055),
    [anon_sym_object] = ACTIONS(2055),
    [anon_sym_abstract] = ACTIONS(2055),
    [anon_sym_satisfies] = ACTIONS(2055),
    [anon_sym_interface] = ACTIONS(2055),
    [anon_sym_enum] = ACTIONS(2055),
    [sym__automatic_semicolon] = ACTIONS(2059),
    [sym__ternary_qmark] = ACTIONS(2059),
    [sym_html_comment] = ACTIONS(5),
  },
  [408] = {
    [sym_statement_block] = STATE(442),
    [sym_comment] = STATE(408),
    [ts_builtin_sym_end] = ACTIONS(2059),
    [sym_identifier] = ACTIONS(2055),
    [anon_sym_export] = ACTIONS(2055),
    [anon_sym_STAR] = ACTIONS(2055),
    [anon_sym_type] = ACTIONS(2055),
    [anon_sym_as] = ACTIONS(2055),
    [anon_sym_namespace] = ACTIONS(2055),
    [anon_sym_LBRACE] = ACTIONS(2373),
    [anon_sym_COMMA] = ACTIONS(2055),
    [anon_sym_RBRACE] = ACTIONS(2055),
    [anon_sym_typeof] = ACTIONS(2055),
    [anon_sym_import] = ACTIONS(2055),
    [anon_sym_with] = ACTIONS(2055),
    [anon_sym_var] = ACTIONS(2055),
    [anon_sym_let] = ACTIONS(2055),
    [anon_sym_const] = ACTIONS(2055),
    [anon_sym_BANG] = ACTIONS(2055),
    [anon_sym_if] = ACTIONS(2055),
    [anon_sym_switch] = ACTIONS(2055),
    [anon_sym_for] = ACTIONS(2055),
    [anon_sym_LPAREN] = ACTIONS(2055),
    [anon_sym_await] = ACTIONS(2055),
    [anon_sym_in] = ACTIONS(2055),
    [anon_sym_while] = ACTIONS(2055),
    [anon_sym_do] = ACTIONS(2055),
    [anon_sym_try] = ACTIONS(2055),
    [anon_sym_break] = ACTIONS(2055),
    [anon_sym_continue] = ACTIONS(2055),
    [anon_sym_debugger] = ACTIONS(2055),
    [anon_sym_return] = ACTIONS(2055),
    [anon_sym_throw] = ACTIONS(2055),
    [anon_sym_SEMI] = ACTIONS(2055),
    [anon_sym_yield] = ACTIONS(2055),
    [anon_sym_LBRACK] = ACTIONS(2055),
    [anon_sym_LTtemplate_GT] = ACTIONS(2055),
    [anon_sym_GT] = ACTIONS(2055),
    [anon_sym_DOT] = ACTIONS(2377),
    [anon_sym_DQUOTE] = ACTIONS(2055),
    [anon_sym_SQUOTE] = ACTIONS(2055),
    [anon_sym_class] = ACTIONS(2055),
    [anon_sym_async] = ACTIONS(2055),
    [anon_sym_function] = ACTIONS(2055),
    [anon_sym_QMARK_DOT] = ACTIONS(2055),
    [anon_sym_new] = ACTIONS(2055),
    [anon_sym_using] = ACTIONS(2055),
    [anon_sym_AMP_AMP] = ACTIONS(2055),
    [anon_sym_PIPE_PIPE] = ACTIONS(2055),
    [anon_sym_GT_GT] = ACTIONS(2055),
    [anon_sym_GT_GT_GT] = ACTIONS(2055),
    [anon_sym_LT_LT] = ACTIONS(2055),
    [anon_sym_AMP] = ACTIONS(2055),
    [anon_sym_CARET] = ACTIONS(2055),
    [anon_sym_PIPE] = ACTIONS(2055),
    [anon_sym_PLUS] = ACTIONS(2055),
    [anon_sym_DASH] = ACTIONS(2055),
    [anon_sym_SLASH] = ACTIONS(2055),
    [anon_sym_PERCENT] = ACTIONS(2055),
    [anon_sym_STAR_STAR] = ACTIONS(2055),
    [anon_sym_LT] = ACTIONS(2055),
    [anon_sym_LT_EQ] = ACTIONS(2055),
    [anon_sym_EQ_EQ] = ACTIONS(2055),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2055),
    [anon_sym_BANG_EQ] = ACTIONS(2055),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2055),
    [anon_sym_GT_EQ] = ACTIONS(2055),
    [anon_sym_QMARK_QMARK] = ACTIONS(2055),
    [anon_sym_instanceof] = ACTIONS(2055),
    [anon_sym_TILDE] = ACTIONS(2055),
    [anon_sym_void] = ACTIONS(2055),
    [anon_sym_delete] = ACTIONS(2055),
    [anon_sym_PLUS_PLUS] = ACTIONS(2055),
    [anon_sym_DASH_DASH] = ACTIONS(2055),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2055),
    [sym_number] = ACTIONS(2055),
    [sym_private_property_identifier] = ACTIONS(2055),
    [sym_this] = ACTIONS(2055),
    [sym_super] = ACTIONS(2055),
    [sym_true] = ACTIONS(2055),
    [sym_false] = ACTIONS(2055),
    [sym_null] = ACTIONS(2055),
    [sym_undefined] = ACTIONS(2055),
    [anon_sym_AT] = ACTIONS(2055),
    [anon_sym_static] = ACTIONS(2055),
    [anon_sym_readonly] = ACTIONS(2055),
    [anon_sym_get] = ACTIONS(2055),
    [anon_sym_set] = ACTIONS(2055),
    [anon_sym_declare] = ACTIONS(2055),
    [anon_sym_public] = ACTIONS(2055),
    [anon_sym_private] = ACTIONS(2055),
    [anon_sym_protected] = ACTIONS(2055),
    [anon_sym_override] = ACTIONS(2055),
    [anon_sym_module] = ACTIONS(2055),
    [anon_sym_any] = ACTIONS(2055),
    [anon_sym_number] = ACTIONS(2055),
    [anon_sym_boolean] = ACTIONS(2055),
    [anon_sym_string] = ACTIONS(2055),
    [anon_sym_symbol] = ACTIONS(2055),
    [anon_sym_object] = ACTIONS(2055),
    [anon_sym_abstract] = ACTIONS(2055),
    [anon_sym_satisfies] = ACTIONS(2055),
    [anon_sym_interface] = ACTIONS(2055),
    [anon_sym_enum] = ACTIONS(2055),
    [sym__automatic_semicolon] = ACTIONS(2059),
    [sym__ternary_qmark] = ACTIONS(2059),
    [sym_html_comment] = ACTIONS(5),
  },
  [409] = {
    [sym_comment] = STATE(409),
    [sym_identifier] = ACTIONS(2213),
    [anon_sym_export] = ACTIONS(2213),
    [anon_sym_STAR] = ACTIONS(2215),
    [anon_sym_default] = ACTIONS(2213),
    [anon_sym_type] = ACTIONS(2213),
    [anon_sym_as] = ACTIONS(2215),
    [anon_sym_namespace] = ACTIONS(2213),
    [anon_sym_LBRACE] = ACTIONS(2213),
    [anon_sym_COMMA] = ACTIONS(2215),
    [anon_sym_RBRACE] = ACTIONS(2213),
    [anon_sym_typeof] = ACTIONS(2213),
    [anon_sym_import] = ACTIONS(2213),
    [anon_sym_with] = ACTIONS(2213),
    [anon_sym_var] = ACTIONS(2213),
    [anon_sym_let] = ACTIONS(2213),
    [anon_sym_const] = ACTIONS(2213),
    [anon_sym_BANG] = ACTIONS(2213),
    [anon_sym_if] = ACTIONS(2213),
    [anon_sym_switch] = ACTIONS(2213),
    [anon_sym_for] = ACTIONS(2213),
    [anon_sym_LPAREN] = ACTIONS(2213),
    [anon_sym_await] = ACTIONS(2213),
    [anon_sym_in] = ACTIONS(2215),
    [anon_sym_while] = ACTIONS(2213),
    [anon_sym_do] = ACTIONS(2213),
    [anon_sym_try] = ACTIONS(2213),
    [anon_sym_break] = ACTIONS(2213),
    [anon_sym_continue] = ACTIONS(2213),
    [anon_sym_debugger] = ACTIONS(2213),
    [anon_sym_return] = ACTIONS(2213),
    [anon_sym_throw] = ACTIONS(2213),
    [anon_sym_SEMI] = ACTIONS(2213),
    [anon_sym_case] = ACTIONS(2213),
    [anon_sym_yield] = ACTIONS(2213),
    [anon_sym_LBRACK] = ACTIONS(2213),
    [anon_sym_LTtemplate_GT] = ACTIONS(2213),
    [anon_sym_GT] = ACTIONS(2215),
    [anon_sym_DOT] = ACTIONS(2215),
    [anon_sym_DQUOTE] = ACTIONS(2213),
    [anon_sym_SQUOTE] = ACTIONS(2213),
    [anon_sym_class] = ACTIONS(2213),
    [anon_sym_async] = ACTIONS(2213),
    [anon_sym_function] = ACTIONS(2213),
    [anon_sym_QMARK_DOT] = ACTIONS(2215),
    [anon_sym_new] = ACTIONS(2213),
    [anon_sym_using] = ACTIONS(2213),
    [anon_sym_AMP_AMP] = ACTIONS(2215),
    [anon_sym_PIPE_PIPE] = ACTIONS(2215),
    [anon_sym_GT_GT] = ACTIONS(2215),
    [anon_sym_GT_GT_GT] = ACTIONS(2215),
    [anon_sym_LT_LT] = ACTIONS(2215),
    [anon_sym_AMP] = ACTIONS(2215),
    [anon_sym_CARET] = ACTIONS(2215),
    [anon_sym_PIPE] = ACTIONS(2215),
    [anon_sym_PLUS] = ACTIONS(2213),
    [anon_sym_DASH] = ACTIONS(2213),
    [anon_sym_SLASH] = ACTIONS(2213),
    [anon_sym_PERCENT] = ACTIONS(2215),
    [anon_sym_STAR_STAR] = ACTIONS(2215),
    [anon_sym_LT] = ACTIONS(2213),
    [anon_sym_LT_EQ] = ACTIONS(2215),
    [anon_sym_EQ_EQ] = ACTIONS(2215),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2215),
    [anon_sym_BANG_EQ] = ACTIONS(2215),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2215),
    [anon_sym_GT_EQ] = ACTIONS(2215),
    [anon_sym_QMARK_QMARK] = ACTIONS(2215),
    [anon_sym_instanceof] = ACTIONS(2215),
    [anon_sym_TILDE] = ACTIONS(2213),
    [anon_sym_void] = ACTIONS(2213),
    [anon_sym_delete] = ACTIONS(2213),
    [anon_sym_PLUS_PLUS] = ACTIONS(2213),
    [anon_sym_DASH_DASH] = ACTIONS(2213),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2213),
    [sym_number] = ACTIONS(2213),
    [sym_private_property_identifier] = ACTIONS(2213),
    [sym_this] = ACTIONS(2213),
    [sym_super] = ACTIONS(2213),
    [sym_true] = ACTIONS(2213),
    [sym_false] = ACTIONS(2213),
    [sym_null] = ACTIONS(2213),
    [sym_undefined] = ACTIONS(2213),
    [anon_sym_AT] = ACTIONS(2213),
    [anon_sym_static] = ACTIONS(2213),
    [anon_sym_readonly] = ACTIONS(2213),
    [anon_sym_get] = ACTIONS(2213),
    [anon_sym_set] = ACTIONS(2213),
    [anon_sym_declare] = ACTIONS(2213),
    [anon_sym_public] = ACTIONS(2213),
    [anon_sym_private] = ACTIONS(2213),
    [anon_sym_protected] = ACTIONS(2213),
    [anon_sym_override] = ACTIONS(2213),
    [anon_sym_module] = ACTIONS(2213),
    [anon_sym_any] = ACTIONS(2213),
    [anon_sym_number] = ACTIONS(2213),
    [anon_sym_boolean] = ACTIONS(2213),
    [anon_sym_string] = ACTIONS(2213),
    [anon_sym_symbol] = ACTIONS(2213),
    [anon_sym_object] = ACTIONS(2213),
    [anon_sym_abstract] = ACTIONS(2213),
    [anon_sym_satisfies] = ACTIONS(2215),
    [anon_sym_interface] = ACTIONS(2213),
    [anon_sym_enum] = ACTIONS(2213),
    [sym__automatic_semicolon] = ACTIONS(2379),
    [sym__ternary_qmark] = ACTIONS(2219),
    [sym_html_comment] = ACTIONS(5),
  },
  [410] = {
    [sym_comment] = STATE(410),
    [sym_identifier] = ACTIONS(2257),
    [anon_sym_export] = ACTIONS(2257),
    [anon_sym_STAR] = ACTIONS(2259),
    [anon_sym_default] = ACTIONS(2257),
    [anon_sym_type] = ACTIONS(2257),
    [anon_sym_as] = ACTIONS(2259),
    [anon_sym_namespace] = ACTIONS(2257),
    [anon_sym_LBRACE] = ACTIONS(2257),
    [anon_sym_COMMA] = ACTIONS(2259),
    [anon_sym_RBRACE] = ACTIONS(2257),
    [anon_sym_typeof] = ACTIONS(2257),
    [anon_sym_import] = ACTIONS(2257),
    [anon_sym_with] = ACTIONS(2257),
    [anon_sym_var] = ACTIONS(2257),
    [anon_sym_let] = ACTIONS(2257),
    [anon_sym_const] = ACTIONS(2257),
    [anon_sym_BANG] = ACTIONS(2257),
    [anon_sym_if] = ACTIONS(2257),
    [anon_sym_switch] = ACTIONS(2257),
    [anon_sym_for] = ACTIONS(2257),
    [anon_sym_LPAREN] = ACTIONS(2257),
    [anon_sym_await] = ACTIONS(2257),
    [anon_sym_in] = ACTIONS(2259),
    [anon_sym_while] = ACTIONS(2257),
    [anon_sym_do] = ACTIONS(2257),
    [anon_sym_try] = ACTIONS(2257),
    [anon_sym_break] = ACTIONS(2257),
    [anon_sym_continue] = ACTIONS(2257),
    [anon_sym_debugger] = ACTIONS(2257),
    [anon_sym_return] = ACTIONS(2257),
    [anon_sym_throw] = ACTIONS(2257),
    [anon_sym_SEMI] = ACTIONS(2257),
    [anon_sym_case] = ACTIONS(2257),
    [anon_sym_yield] = ACTIONS(2257),
    [anon_sym_LBRACK] = ACTIONS(2257),
    [anon_sym_LTtemplate_GT] = ACTIONS(2257),
    [anon_sym_GT] = ACTIONS(2259),
    [anon_sym_DOT] = ACTIONS(2259),
    [anon_sym_DQUOTE] = ACTIONS(2257),
    [anon_sym_SQUOTE] = ACTIONS(2257),
    [anon_sym_class] = ACTIONS(2257),
    [anon_sym_async] = ACTIONS(2257),
    [anon_sym_function] = ACTIONS(2257),
    [anon_sym_QMARK_DOT] = ACTIONS(2259),
    [anon_sym_new] = ACTIONS(2257),
    [anon_sym_using] = ACTIONS(2257),
    [anon_sym_AMP_AMP] = ACTIONS(2259),
    [anon_sym_PIPE_PIPE] = ACTIONS(2259),
    [anon_sym_GT_GT] = ACTIONS(2259),
    [anon_sym_GT_GT_GT] = ACTIONS(2259),
    [anon_sym_LT_LT] = ACTIONS(2259),
    [anon_sym_AMP] = ACTIONS(2259),
    [anon_sym_CARET] = ACTIONS(2259),
    [anon_sym_PIPE] = ACTIONS(2259),
    [anon_sym_PLUS] = ACTIONS(2257),
    [anon_sym_DASH] = ACTIONS(2257),
    [anon_sym_SLASH] = ACTIONS(2257),
    [anon_sym_PERCENT] = ACTIONS(2259),
    [anon_sym_STAR_STAR] = ACTIONS(2259),
    [anon_sym_LT] = ACTIONS(2257),
    [anon_sym_LT_EQ] = ACTIONS(2259),
    [anon_sym_EQ_EQ] = ACTIONS(2259),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2259),
    [anon_sym_BANG_EQ] = ACTIONS(2259),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2259),
    [anon_sym_GT_EQ] = ACTIONS(2259),
    [anon_sym_QMARK_QMARK] = ACTIONS(2259),
    [anon_sym_instanceof] = ACTIONS(2259),
    [anon_sym_TILDE] = ACTIONS(2257),
    [anon_sym_void] = ACTIONS(2257),
    [anon_sym_delete] = ACTIONS(2257),
    [anon_sym_PLUS_PLUS] = ACTIONS(2257),
    [anon_sym_DASH_DASH] = ACTIONS(2257),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2257),
    [sym_number] = ACTIONS(2257),
    [sym_private_property_identifier] = ACTIONS(2257),
    [sym_this] = ACTIONS(2257),
    [sym_super] = ACTIONS(2257),
    [sym_true] = ACTIONS(2257),
    [sym_false] = ACTIONS(2257),
    [sym_null] = ACTIONS(2257),
    [sym_undefined] = ACTIONS(2257),
    [anon_sym_AT] = ACTIONS(2257),
    [anon_sym_static] = ACTIONS(2257),
    [anon_sym_readonly] = ACTIONS(2257),
    [anon_sym_get] = ACTIONS(2257),
    [anon_sym_set] = ACTIONS(2257),
    [anon_sym_declare] = ACTIONS(2257),
    [anon_sym_public] = ACTIONS(2257),
    [anon_sym_private] = ACTIONS(2257),
    [anon_sym_protected] = ACTIONS(2257),
    [anon_sym_override] = ACTIONS(2257),
    [anon_sym_module] = ACTIONS(2257),
    [anon_sym_any] = ACTIONS(2257),
    [anon_sym_number] = ACTIONS(2257),
    [anon_sym_boolean] = ACTIONS(2257),
    [anon_sym_string] = ACTIONS(2257),
    [anon_sym_symbol] = ACTIONS(2257),
    [anon_sym_object] = ACTIONS(2257),
    [anon_sym_abstract] = ACTIONS(2257),
    [anon_sym_satisfies] = ACTIONS(2259),
    [anon_sym_interface] = ACTIONS(2257),
    [anon_sym_enum] = ACTIONS(2257),
    [sym__automatic_semicolon] = ACTIONS(2381),
    [sym__ternary_qmark] = ACTIONS(2263),
    [sym_html_comment] = ACTIONS(5),
  },
  [411] = {
    [sym_comment] = STATE(411),
    [sym_identifier] = ACTIONS(2221),
    [anon_sym_export] = ACTIONS(2221),
    [anon_sym_STAR] = ACTIONS(2221),
    [anon_sym_default] = ACTIONS(2221),
    [anon_sym_type] = ACTIONS(2221),
    [anon_sym_as] = ACTIONS(2221),
    [anon_sym_namespace] = ACTIONS(2221),
    [anon_sym_LBRACE] = ACTIONS(2221),
    [anon_sym_COMMA] = ACTIONS(2221),
    [anon_sym_RBRACE] = ACTIONS(2221),
    [anon_sym_typeof] = ACTIONS(2221),
    [anon_sym_import] = ACTIONS(2221),
    [anon_sym_with] = ACTIONS(2221),
    [anon_sym_var] = ACTIONS(2221),
    [anon_sym_let] = ACTIONS(2221),
    [anon_sym_const] = ACTIONS(2221),
    [anon_sym_BANG] = ACTIONS(2221),
    [anon_sym_if] = ACTIONS(2221),
    [anon_sym_switch] = ACTIONS(2221),
    [anon_sym_for] = ACTIONS(2221),
    [anon_sym_LPAREN] = ACTIONS(2221),
    [anon_sym_await] = ACTIONS(2221),
    [anon_sym_in] = ACTIONS(2221),
    [anon_sym_while] = ACTIONS(2221),
    [anon_sym_do] = ACTIONS(2221),
    [anon_sym_try] = ACTIONS(2221),
    [anon_sym_break] = ACTIONS(2221),
    [anon_sym_continue] = ACTIONS(2221),
    [anon_sym_debugger] = ACTIONS(2221),
    [anon_sym_return] = ACTIONS(2221),
    [anon_sym_throw] = ACTIONS(2221),
    [anon_sym_SEMI] = ACTIONS(2221),
    [anon_sym_case] = ACTIONS(2221),
    [anon_sym_yield] = ACTIONS(2221),
    [anon_sym_LBRACK] = ACTIONS(2221),
    [anon_sym_LTtemplate_GT] = ACTIONS(2221),
    [anon_sym_GT] = ACTIONS(2221),
    [anon_sym_DOT] = ACTIONS(2221),
    [anon_sym_DQUOTE] = ACTIONS(2221),
    [anon_sym_SQUOTE] = ACTIONS(2221),
    [anon_sym_class] = ACTIONS(2221),
    [anon_sym_async] = ACTIONS(2221),
    [anon_sym_function] = ACTIONS(2221),
    [anon_sym_QMARK_DOT] = ACTIONS(2221),
    [anon_sym_new] = ACTIONS(2221),
    [anon_sym_using] = ACTIONS(2221),
    [anon_sym_AMP_AMP] = ACTIONS(2221),
    [anon_sym_PIPE_PIPE] = ACTIONS(2221),
    [anon_sym_GT_GT] = ACTIONS(2221),
    [anon_sym_GT_GT_GT] = ACTIONS(2221),
    [anon_sym_LT_LT] = ACTIONS(2221),
    [anon_sym_AMP] = ACTIONS(2221),
    [anon_sym_CARET] = ACTIONS(2221),
    [anon_sym_PIPE] = ACTIONS(2221),
    [anon_sym_PLUS] = ACTIONS(2221),
    [anon_sym_DASH] = ACTIONS(2221),
    [anon_sym_SLASH] = ACTIONS(2221),
    [anon_sym_PERCENT] = ACTIONS(2221),
    [anon_sym_STAR_STAR] = ACTIONS(2221),
    [anon_sym_LT] = ACTIONS(2221),
    [anon_sym_LT_EQ] = ACTIONS(2221),
    [anon_sym_EQ_EQ] = ACTIONS(2221),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2221),
    [anon_sym_BANG_EQ] = ACTIONS(2221),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2221),
    [anon_sym_GT_EQ] = ACTIONS(2221),
    [anon_sym_QMARK_QMARK] = ACTIONS(2221),
    [anon_sym_instanceof] = ACTIONS(2221),
    [anon_sym_TILDE] = ACTIONS(2221),
    [anon_sym_void] = ACTIONS(2221),
    [anon_sym_delete] = ACTIONS(2221),
    [anon_sym_PLUS_PLUS] = ACTIONS(2221),
    [anon_sym_DASH_DASH] = ACTIONS(2221),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2221),
    [sym_number] = ACTIONS(2221),
    [sym_private_property_identifier] = ACTIONS(2221),
    [sym_this] = ACTIONS(2221),
    [sym_super] = ACTIONS(2221),
    [sym_true] = ACTIONS(2221),
    [sym_false] = ACTIONS(2221),
    [sym_null] = ACTIONS(2221),
    [sym_undefined] = ACTIONS(2221),
    [anon_sym_AT] = ACTIONS(2221),
    [anon_sym_static] = ACTIONS(2221),
    [anon_sym_readonly] = ACTIONS(2221),
    [anon_sym_get] = ACTIONS(2221),
    [anon_sym_set] = ACTIONS(2221),
    [anon_sym_declare] = ACTIONS(2221),
    [anon_sym_public] = ACTIONS(2221),
    [anon_sym_private] = ACTIONS(2221),
    [anon_sym_protected] = ACTIONS(2221),
    [anon_sym_override] = ACTIONS(2221),
    [anon_sym_module] = ACTIONS(2221),
    [anon_sym_any] = ACTIONS(2221),
    [anon_sym_number] = ACTIONS(2221),
    [anon_sym_boolean] = ACTIONS(2221),
    [anon_sym_string] = ACTIONS(2221),
    [anon_sym_symbol] = ACTIONS(2221),
    [anon_sym_object] = ACTIONS(2221),
    [anon_sym_abstract] = ACTIONS(2221),
    [anon_sym_satisfies] = ACTIONS(2221),
    [anon_sym_interface] = ACTIONS(2221),
    [anon_sym_enum] = ACTIONS(2221),
    [sym__automatic_semicolon] = ACTIONS(2223),
    [sym__ternary_qmark] = ACTIONS(2223),
    [sym_html_comment] = ACTIONS(5),
  },
  [412] = {
    [sym_comment] = STATE(412),
    [ts_builtin_sym_end] = ACTIONS(2205),
    [sym_identifier] = ACTIONS(2203),
    [anon_sym_export] = ACTIONS(2203),
    [anon_sym_STAR] = ACTIONS(2203),
    [anon_sym_type] = ACTIONS(2203),
    [anon_sym_as] = ACTIONS(2203),
    [anon_sym_namespace] = ACTIONS(2203),
    [anon_sym_LBRACE] = ACTIONS(2203),
    [anon_sym_COMMA] = ACTIONS(2203),
    [anon_sym_RBRACE] = ACTIONS(2203),
    [anon_sym_typeof] = ACTIONS(2203),
    [anon_sym_import] = ACTIONS(2203),
    [anon_sym_with] = ACTIONS(2203),
    [anon_sym_var] = ACTIONS(2203),
    [anon_sym_let] = ACTIONS(2203),
    [anon_sym_const] = ACTIONS(2203),
    [anon_sym_BANG] = ACTIONS(2203),
    [anon_sym_else] = ACTIONS(2203),
    [anon_sym_if] = ACTIONS(2203),
    [anon_sym_switch] = ACTIONS(2203),
    [anon_sym_for] = ACTIONS(2203),
    [anon_sym_LPAREN] = ACTIONS(2203),
    [anon_sym_await] = ACTIONS(2203),
    [anon_sym_in] = ACTIONS(2203),
    [anon_sym_while] = ACTIONS(2203),
    [anon_sym_do] = ACTIONS(2203),
    [anon_sym_try] = ACTIONS(2203),
    [anon_sym_break] = ACTIONS(2203),
    [anon_sym_continue] = ACTIONS(2203),
    [anon_sym_debugger] = ACTIONS(2203),
    [anon_sym_return] = ACTIONS(2203),
    [anon_sym_throw] = ACTIONS(2203),
    [anon_sym_SEMI] = ACTIONS(2203),
    [anon_sym_yield] = ACTIONS(2203),
    [anon_sym_LBRACK] = ACTIONS(2203),
    [anon_sym_LTtemplate_GT] = ACTIONS(2203),
    [anon_sym_GT] = ACTIONS(2203),
    [anon_sym_DOT] = ACTIONS(2203),
    [anon_sym_DQUOTE] = ACTIONS(2203),
    [anon_sym_SQUOTE] = ACTIONS(2203),
    [anon_sym_class] = ACTIONS(2203),
    [anon_sym_async] = ACTIONS(2203),
    [anon_sym_function] = ACTIONS(2203),
    [anon_sym_QMARK_DOT] = ACTIONS(2203),
    [anon_sym_new] = ACTIONS(2203),
    [anon_sym_using] = ACTIONS(2203),
    [anon_sym_AMP_AMP] = ACTIONS(2203),
    [anon_sym_PIPE_PIPE] = ACTIONS(2203),
    [anon_sym_GT_GT] = ACTIONS(2203),
    [anon_sym_GT_GT_GT] = ACTIONS(2203),
    [anon_sym_LT_LT] = ACTIONS(2203),
    [anon_sym_AMP] = ACTIONS(2203),
    [anon_sym_CARET] = ACTIONS(2203),
    [anon_sym_PIPE] = ACTIONS(2203),
    [anon_sym_PLUS] = ACTIONS(2203),
    [anon_sym_DASH] = ACTIONS(2203),
    [anon_sym_SLASH] = ACTIONS(2203),
    [anon_sym_PERCENT] = ACTIONS(2203),
    [anon_sym_STAR_STAR] = ACTIONS(2203),
    [anon_sym_LT] = ACTIONS(2203),
    [anon_sym_LT_EQ] = ACTIONS(2203),
    [anon_sym_EQ_EQ] = ACTIONS(2203),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2203),
    [anon_sym_BANG_EQ] = ACTIONS(2203),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2203),
    [anon_sym_GT_EQ] = ACTIONS(2203),
    [anon_sym_QMARK_QMARK] = ACTIONS(2203),
    [anon_sym_instanceof] = ACTIONS(2203),
    [anon_sym_TILDE] = ACTIONS(2203),
    [anon_sym_void] = ACTIONS(2203),
    [anon_sym_delete] = ACTIONS(2203),
    [anon_sym_PLUS_PLUS] = ACTIONS(2203),
    [anon_sym_DASH_DASH] = ACTIONS(2203),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2203),
    [sym_number] = ACTIONS(2203),
    [sym_private_property_identifier] = ACTIONS(2203),
    [sym_this] = ACTIONS(2203),
    [sym_super] = ACTIONS(2203),
    [sym_true] = ACTIONS(2203),
    [sym_false] = ACTIONS(2203),
    [sym_null] = ACTIONS(2203),
    [sym_undefined] = ACTIONS(2203),
    [anon_sym_AT] = ACTIONS(2203),
    [anon_sym_static] = ACTIONS(2203),
    [anon_sym_readonly] = ACTIONS(2203),
    [anon_sym_get] = ACTIONS(2203),
    [anon_sym_set] = ACTIONS(2203),
    [anon_sym_declare] = ACTIONS(2203),
    [anon_sym_public] = ACTIONS(2203),
    [anon_sym_private] = ACTIONS(2203),
    [anon_sym_protected] = ACTIONS(2203),
    [anon_sym_override] = ACTIONS(2203),
    [anon_sym_module] = ACTIONS(2203),
    [anon_sym_any] = ACTIONS(2203),
    [anon_sym_number] = ACTIONS(2203),
    [anon_sym_boolean] = ACTIONS(2203),
    [anon_sym_string] = ACTIONS(2203),
    [anon_sym_symbol] = ACTIONS(2203),
    [anon_sym_object] = ACTIONS(2203),
    [anon_sym_abstract] = ACTIONS(2203),
    [anon_sym_satisfies] = ACTIONS(2203),
    [anon_sym_interface] = ACTIONS(2203),
    [anon_sym_enum] = ACTIONS(2203),
    [sym__automatic_semicolon] = ACTIONS(2205),
    [sym__ternary_qmark] = ACTIONS(2205),
    [sym_html_comment] = ACTIONS(5),
  },
  [413] = {
    [sym_import] = STATE(4391),
    [sym_parenthesized_expression] = STATE(2151),
    [sym_expression] = STATE(2464),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7643),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2151),
    [sym_subscript_expression] = STATE(2151),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3918),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7259),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(413),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2151),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym__type_query_member_expression] = STATE(3817),
    [sym__type_query_subscript_expression] = STATE(3811),
    [sym__type_query_call_expression] = STATE(4045),
    [sym__type_query_instantiation_expression] = STATE(4140),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(2383),
    [anon_sym_export] = ACTIONS(1452),
    [anon_sym_type] = ACTIONS(1452),
    [anon_sym_namespace] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(1127),
    [anon_sym_typeof] = ACTIONS(968),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1452),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(1129),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1462),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1730),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_PLUS] = ACTIONS(968),
    [anon_sym_DASH] = ACTIONS(968),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(968),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1732),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1452),
    [anon_sym_readonly] = ACTIONS(1452),
    [anon_sym_get] = ACTIONS(1452),
    [anon_sym_set] = ACTIONS(1452),
    [anon_sym_declare] = ACTIONS(1452),
    [anon_sym_public] = ACTIONS(1452),
    [anon_sym_private] = ACTIONS(1452),
    [anon_sym_protected] = ACTIONS(1452),
    [anon_sym_override] = ACTIONS(1452),
    [anon_sym_module] = ACTIONS(1452),
    [anon_sym_any] = ACTIONS(1452),
    [anon_sym_number] = ACTIONS(1452),
    [anon_sym_boolean] = ACTIONS(1452),
    [anon_sym_string] = ACTIONS(1452),
    [anon_sym_symbol] = ACTIONS(1452),
    [anon_sym_object] = ACTIONS(1452),
    [sym_html_comment] = ACTIONS(5),
  },
  [414] = {
    [sym_import] = STATE(4318),
    [sym_parenthesized_expression] = STATE(2151),
    [sym_expression] = STATE(2464),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7643),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2151),
    [sym_subscript_expression] = STATE(2151),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3918),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7259),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(414),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2151),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym__type_query_member_expression] = STATE(3745),
    [sym__type_query_subscript_expression] = STATE(3744),
    [sym__type_query_call_expression] = STATE(3813),
    [sym__type_query_instantiation_expression] = STATE(3926),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(2385),
    [anon_sym_export] = ACTIONS(1452),
    [anon_sym_type] = ACTIONS(1452),
    [anon_sym_namespace] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(1127),
    [anon_sym_typeof] = ACTIONS(968),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1452),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(1129),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1462),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1730),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_PLUS] = ACTIONS(968),
    [anon_sym_DASH] = ACTIONS(968),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(968),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1732),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1452),
    [anon_sym_readonly] = ACTIONS(1452),
    [anon_sym_get] = ACTIONS(1452),
    [anon_sym_set] = ACTIONS(1452),
    [anon_sym_declare] = ACTIONS(1452),
    [anon_sym_public] = ACTIONS(1452),
    [anon_sym_private] = ACTIONS(1452),
    [anon_sym_protected] = ACTIONS(1452),
    [anon_sym_override] = ACTIONS(1452),
    [anon_sym_module] = ACTIONS(1452),
    [anon_sym_any] = ACTIONS(1452),
    [anon_sym_number] = ACTIONS(1452),
    [anon_sym_boolean] = ACTIONS(1452),
    [anon_sym_string] = ACTIONS(1452),
    [anon_sym_symbol] = ACTIONS(1452),
    [anon_sym_object] = ACTIONS(1452),
    [sym_html_comment] = ACTIONS(5),
  },
  [415] = {
    [sym_comment] = STATE(415),
    [ts_builtin_sym_end] = ACTIONS(2387),
    [sym_identifier] = ACTIONS(2167),
    [anon_sym_export] = ACTIONS(2167),
    [anon_sym_STAR] = ACTIONS(2169),
    [anon_sym_type] = ACTIONS(2167),
    [anon_sym_as] = ACTIONS(2169),
    [anon_sym_namespace] = ACTIONS(2167),
    [anon_sym_LBRACE] = ACTIONS(2167),
    [anon_sym_COMMA] = ACTIONS(2169),
    [anon_sym_RBRACE] = ACTIONS(2167),
    [anon_sym_typeof] = ACTIONS(2167),
    [anon_sym_import] = ACTIONS(2167),
    [anon_sym_with] = ACTIONS(2167),
    [anon_sym_var] = ACTIONS(2167),
    [anon_sym_let] = ACTIONS(2167),
    [anon_sym_const] = ACTIONS(2167),
    [anon_sym_BANG] = ACTIONS(2167),
    [anon_sym_else] = ACTIONS(2167),
    [anon_sym_if] = ACTIONS(2167),
    [anon_sym_switch] = ACTIONS(2167),
    [anon_sym_for] = ACTIONS(2167),
    [anon_sym_LPAREN] = ACTIONS(2167),
    [anon_sym_await] = ACTIONS(2167),
    [anon_sym_in] = ACTIONS(2169),
    [anon_sym_while] = ACTIONS(2167),
    [anon_sym_do] = ACTIONS(2167),
    [anon_sym_try] = ACTIONS(2167),
    [anon_sym_break] = ACTIONS(2167),
    [anon_sym_continue] = ACTIONS(2167),
    [anon_sym_debugger] = ACTIONS(2167),
    [anon_sym_return] = ACTIONS(2167),
    [anon_sym_throw] = ACTIONS(2167),
    [anon_sym_SEMI] = ACTIONS(2167),
    [anon_sym_yield] = ACTIONS(2167),
    [anon_sym_LBRACK] = ACTIONS(2167),
    [anon_sym_LTtemplate_GT] = ACTIONS(2167),
    [anon_sym_GT] = ACTIONS(2169),
    [anon_sym_DOT] = ACTIONS(2169),
    [anon_sym_DQUOTE] = ACTIONS(2167),
    [anon_sym_SQUOTE] = ACTIONS(2167),
    [anon_sym_class] = ACTIONS(2167),
    [anon_sym_async] = ACTIONS(2167),
    [anon_sym_function] = ACTIONS(2167),
    [anon_sym_QMARK_DOT] = ACTIONS(2169),
    [anon_sym_new] = ACTIONS(2167),
    [anon_sym_using] = ACTIONS(2167),
    [anon_sym_AMP_AMP] = ACTIONS(2169),
    [anon_sym_PIPE_PIPE] = ACTIONS(2169),
    [anon_sym_GT_GT] = ACTIONS(2169),
    [anon_sym_GT_GT_GT] = ACTIONS(2169),
    [anon_sym_LT_LT] = ACTIONS(2169),
    [anon_sym_AMP] = ACTIONS(2169),
    [anon_sym_CARET] = ACTIONS(2169),
    [anon_sym_PIPE] = ACTIONS(2169),
    [anon_sym_PLUS] = ACTIONS(2167),
    [anon_sym_DASH] = ACTIONS(2167),
    [anon_sym_SLASH] = ACTIONS(2167),
    [anon_sym_PERCENT] = ACTIONS(2169),
    [anon_sym_STAR_STAR] = ACTIONS(2169),
    [anon_sym_LT] = ACTIONS(2167),
    [anon_sym_LT_EQ] = ACTIONS(2169),
    [anon_sym_EQ_EQ] = ACTIONS(2169),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2169),
    [anon_sym_BANG_EQ] = ACTIONS(2169),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2169),
    [anon_sym_GT_EQ] = ACTIONS(2169),
    [anon_sym_QMARK_QMARK] = ACTIONS(2169),
    [anon_sym_instanceof] = ACTIONS(2169),
    [anon_sym_TILDE] = ACTIONS(2167),
    [anon_sym_void] = ACTIONS(2167),
    [anon_sym_delete] = ACTIONS(2167),
    [anon_sym_PLUS_PLUS] = ACTIONS(2167),
    [anon_sym_DASH_DASH] = ACTIONS(2167),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2167),
    [sym_number] = ACTIONS(2167),
    [sym_private_property_identifier] = ACTIONS(2167),
    [sym_this] = ACTIONS(2167),
    [sym_super] = ACTIONS(2167),
    [sym_true] = ACTIONS(2167),
    [sym_false] = ACTIONS(2167),
    [sym_null] = ACTIONS(2167),
    [sym_undefined] = ACTIONS(2167),
    [anon_sym_AT] = ACTIONS(2167),
    [anon_sym_static] = ACTIONS(2167),
    [anon_sym_readonly] = ACTIONS(2167),
    [anon_sym_get] = ACTIONS(2167),
    [anon_sym_set] = ACTIONS(2167),
    [anon_sym_declare] = ACTIONS(2167),
    [anon_sym_public] = ACTIONS(2167),
    [anon_sym_private] = ACTIONS(2167),
    [anon_sym_protected] = ACTIONS(2167),
    [anon_sym_override] = ACTIONS(2167),
    [anon_sym_module] = ACTIONS(2167),
    [anon_sym_any] = ACTIONS(2167),
    [anon_sym_number] = ACTIONS(2167),
    [anon_sym_boolean] = ACTIONS(2167),
    [anon_sym_string] = ACTIONS(2167),
    [anon_sym_symbol] = ACTIONS(2167),
    [anon_sym_object] = ACTIONS(2167),
    [anon_sym_abstract] = ACTIONS(2167),
    [anon_sym_satisfies] = ACTIONS(2169),
    [anon_sym_interface] = ACTIONS(2167),
    [anon_sym_enum] = ACTIONS(2167),
    [sym__automatic_semicolon] = ACTIONS(2171),
    [sym__ternary_qmark] = ACTIONS(2171),
    [sym_html_comment] = ACTIONS(5),
  },
  [416] = {
    [sym_comment] = STATE(416),
    [sym_identifier] = ACTIONS(2077),
    [anon_sym_export] = ACTIONS(2077),
    [anon_sym_STAR] = ACTIONS(2077),
    [anon_sym_default] = ACTIONS(2077),
    [anon_sym_type] = ACTIONS(2077),
    [anon_sym_as] = ACTIONS(2077),
    [anon_sym_namespace] = ACTIONS(2077),
    [anon_sym_LBRACE] = ACTIONS(2077),
    [anon_sym_COMMA] = ACTIONS(2077),
    [anon_sym_RBRACE] = ACTIONS(2077),
    [anon_sym_typeof] = ACTIONS(2077),
    [anon_sym_import] = ACTIONS(2077),
    [anon_sym_with] = ACTIONS(2077),
    [anon_sym_var] = ACTIONS(2077),
    [anon_sym_let] = ACTIONS(2077),
    [anon_sym_const] = ACTIONS(2077),
    [anon_sym_BANG] = ACTIONS(2077),
    [anon_sym_if] = ACTIONS(2077),
    [anon_sym_switch] = ACTIONS(2077),
    [anon_sym_for] = ACTIONS(2077),
    [anon_sym_LPAREN] = ACTIONS(2077),
    [anon_sym_await] = ACTIONS(2077),
    [anon_sym_in] = ACTIONS(2077),
    [anon_sym_while] = ACTIONS(2077),
    [anon_sym_do] = ACTIONS(2077),
    [anon_sym_try] = ACTIONS(2077),
    [anon_sym_break] = ACTIONS(2077),
    [anon_sym_continue] = ACTIONS(2077),
    [anon_sym_debugger] = ACTIONS(2077),
    [anon_sym_return] = ACTIONS(2077),
    [anon_sym_throw] = ACTIONS(2077),
    [anon_sym_SEMI] = ACTIONS(2077),
    [anon_sym_case] = ACTIONS(2077),
    [anon_sym_yield] = ACTIONS(2077),
    [anon_sym_LBRACK] = ACTIONS(2077),
    [anon_sym_LTtemplate_GT] = ACTIONS(2077),
    [anon_sym_GT] = ACTIONS(2077),
    [anon_sym_DOT] = ACTIONS(2077),
    [anon_sym_DQUOTE] = ACTIONS(2077),
    [anon_sym_SQUOTE] = ACTIONS(2077),
    [anon_sym_class] = ACTIONS(2077),
    [anon_sym_async] = ACTIONS(2077),
    [anon_sym_function] = ACTIONS(2077),
    [anon_sym_QMARK_DOT] = ACTIONS(2077),
    [anon_sym_new] = ACTIONS(2077),
    [anon_sym_using] = ACTIONS(2077),
    [anon_sym_AMP_AMP] = ACTIONS(2077),
    [anon_sym_PIPE_PIPE] = ACTIONS(2077),
    [anon_sym_GT_GT] = ACTIONS(2077),
    [anon_sym_GT_GT_GT] = ACTIONS(2077),
    [anon_sym_LT_LT] = ACTIONS(2077),
    [anon_sym_AMP] = ACTIONS(2077),
    [anon_sym_CARET] = ACTIONS(2077),
    [anon_sym_PIPE] = ACTIONS(2077),
    [anon_sym_PLUS] = ACTIONS(2077),
    [anon_sym_DASH] = ACTIONS(2077),
    [anon_sym_SLASH] = ACTIONS(2077),
    [anon_sym_PERCENT] = ACTIONS(2077),
    [anon_sym_STAR_STAR] = ACTIONS(2077),
    [anon_sym_LT] = ACTIONS(2077),
    [anon_sym_LT_EQ] = ACTIONS(2077),
    [anon_sym_EQ_EQ] = ACTIONS(2077),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2077),
    [anon_sym_BANG_EQ] = ACTIONS(2077),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2077),
    [anon_sym_GT_EQ] = ACTIONS(2077),
    [anon_sym_QMARK_QMARK] = ACTIONS(2077),
    [anon_sym_instanceof] = ACTIONS(2077),
    [anon_sym_TILDE] = ACTIONS(2077),
    [anon_sym_void] = ACTIONS(2077),
    [anon_sym_delete] = ACTIONS(2077),
    [anon_sym_PLUS_PLUS] = ACTIONS(2077),
    [anon_sym_DASH_DASH] = ACTIONS(2077),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2077),
    [sym_number] = ACTIONS(2077),
    [sym_private_property_identifier] = ACTIONS(2077),
    [sym_this] = ACTIONS(2077),
    [sym_super] = ACTIONS(2077),
    [sym_true] = ACTIONS(2077),
    [sym_false] = ACTIONS(2077),
    [sym_null] = ACTIONS(2077),
    [sym_undefined] = ACTIONS(2077),
    [anon_sym_AT] = ACTIONS(2077),
    [anon_sym_static] = ACTIONS(2077),
    [anon_sym_readonly] = ACTIONS(2077),
    [anon_sym_get] = ACTIONS(2077),
    [anon_sym_set] = ACTIONS(2077),
    [anon_sym_declare] = ACTIONS(2077),
    [anon_sym_public] = ACTIONS(2077),
    [anon_sym_private] = ACTIONS(2077),
    [anon_sym_protected] = ACTIONS(2077),
    [anon_sym_override] = ACTIONS(2077),
    [anon_sym_module] = ACTIONS(2077),
    [anon_sym_any] = ACTIONS(2077),
    [anon_sym_number] = ACTIONS(2077),
    [anon_sym_boolean] = ACTIONS(2077),
    [anon_sym_string] = ACTIONS(2077),
    [anon_sym_symbol] = ACTIONS(2077),
    [anon_sym_object] = ACTIONS(2077),
    [anon_sym_abstract] = ACTIONS(2077),
    [anon_sym_satisfies] = ACTIONS(2077),
    [anon_sym_interface] = ACTIONS(2077),
    [anon_sym_enum] = ACTIONS(2077),
    [sym__automatic_semicolon] = ACTIONS(2079),
    [sym__ternary_qmark] = ACTIONS(2079),
    [sym_html_comment] = ACTIONS(5),
  },
  [417] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2151),
    [sym_expression] = STATE(2922),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_assignment_pattern] = STATE(6571),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7643),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2101),
    [sym_subscript_expression] = STATE(2101),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3918),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(4717),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(417),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_pattern] = STATE(6429),
    [sym_rest_pattern] = STATE(4693),
    [sym_non_null_expression] = STATE(2101),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1912),
    [anon_sym_export] = ACTIONS(958),
    [anon_sym_type] = ACTIONS(958),
    [anon_sym_namespace] = ACTIONS(960),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(968),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(958),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(978),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1914),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(161),
    [anon_sym_PLUS] = ACTIONS(968),
    [anon_sym_DASH] = ACTIONS(968),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(968),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1918),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(958),
    [anon_sym_readonly] = ACTIONS(958),
    [anon_sym_get] = ACTIONS(958),
    [anon_sym_set] = ACTIONS(958),
    [anon_sym_declare] = ACTIONS(958),
    [anon_sym_public] = ACTIONS(958),
    [anon_sym_private] = ACTIONS(958),
    [anon_sym_protected] = ACTIONS(958),
    [anon_sym_override] = ACTIONS(958),
    [anon_sym_module] = ACTIONS(958),
    [anon_sym_any] = ACTIONS(958),
    [anon_sym_number] = ACTIONS(958),
    [anon_sym_boolean] = ACTIONS(958),
    [anon_sym_string] = ACTIONS(958),
    [anon_sym_symbol] = ACTIONS(958),
    [anon_sym_object] = ACTIONS(958),
    [sym_html_comment] = ACTIONS(5),
  },
  [418] = {
    [sym_comment] = STATE(418),
    [ts_builtin_sym_end] = ACTIONS(2201),
    [sym_identifier] = ACTIONS(2199),
    [anon_sym_export] = ACTIONS(2199),
    [anon_sym_STAR] = ACTIONS(2199),
    [anon_sym_type] = ACTIONS(2199),
    [anon_sym_as] = ACTIONS(2199),
    [anon_sym_namespace] = ACTIONS(2199),
    [anon_sym_LBRACE] = ACTIONS(2199),
    [anon_sym_COMMA] = ACTIONS(2199),
    [anon_sym_RBRACE] = ACTIONS(2199),
    [anon_sym_typeof] = ACTIONS(2199),
    [anon_sym_import] = ACTIONS(2199),
    [anon_sym_with] = ACTIONS(2199),
    [anon_sym_var] = ACTIONS(2199),
    [anon_sym_let] = ACTIONS(2199),
    [anon_sym_const] = ACTIONS(2199),
    [anon_sym_BANG] = ACTIONS(2199),
    [anon_sym_else] = ACTIONS(2199),
    [anon_sym_if] = ACTIONS(2199),
    [anon_sym_switch] = ACTIONS(2199),
    [anon_sym_for] = ACTIONS(2199),
    [anon_sym_LPAREN] = ACTIONS(2199),
    [anon_sym_await] = ACTIONS(2199),
    [anon_sym_in] = ACTIONS(2199),
    [anon_sym_while] = ACTIONS(2199),
    [anon_sym_do] = ACTIONS(2199),
    [anon_sym_try] = ACTIONS(2199),
    [anon_sym_break] = ACTIONS(2199),
    [anon_sym_continue] = ACTIONS(2199),
    [anon_sym_debugger] = ACTIONS(2199),
    [anon_sym_return] = ACTIONS(2199),
    [anon_sym_throw] = ACTIONS(2199),
    [anon_sym_SEMI] = ACTIONS(2199),
    [anon_sym_yield] = ACTIONS(2199),
    [anon_sym_LBRACK] = ACTIONS(2199),
    [anon_sym_LTtemplate_GT] = ACTIONS(2199),
    [anon_sym_GT] = ACTIONS(2199),
    [anon_sym_DOT] = ACTIONS(2199),
    [anon_sym_DQUOTE] = ACTIONS(2199),
    [anon_sym_SQUOTE] = ACTIONS(2199),
    [anon_sym_class] = ACTIONS(2199),
    [anon_sym_async] = ACTIONS(2199),
    [anon_sym_function] = ACTIONS(2199),
    [anon_sym_QMARK_DOT] = ACTIONS(2199),
    [anon_sym_new] = ACTIONS(2199),
    [anon_sym_using] = ACTIONS(2199),
    [anon_sym_AMP_AMP] = ACTIONS(2199),
    [anon_sym_PIPE_PIPE] = ACTIONS(2199),
    [anon_sym_GT_GT] = ACTIONS(2199),
    [anon_sym_GT_GT_GT] = ACTIONS(2199),
    [anon_sym_LT_LT] = ACTIONS(2199),
    [anon_sym_AMP] = ACTIONS(2199),
    [anon_sym_CARET] = ACTIONS(2199),
    [anon_sym_PIPE] = ACTIONS(2199),
    [anon_sym_PLUS] = ACTIONS(2199),
    [anon_sym_DASH] = ACTIONS(2199),
    [anon_sym_SLASH] = ACTIONS(2199),
    [anon_sym_PERCENT] = ACTIONS(2199),
    [anon_sym_STAR_STAR] = ACTIONS(2199),
    [anon_sym_LT] = ACTIONS(2199),
    [anon_sym_LT_EQ] = ACTIONS(2199),
    [anon_sym_EQ_EQ] = ACTIONS(2199),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2199),
    [anon_sym_BANG_EQ] = ACTIONS(2199),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2199),
    [anon_sym_GT_EQ] = ACTIONS(2199),
    [anon_sym_QMARK_QMARK] = ACTIONS(2199),
    [anon_sym_instanceof] = ACTIONS(2199),
    [anon_sym_TILDE] = ACTIONS(2199),
    [anon_sym_void] = ACTIONS(2199),
    [anon_sym_delete] = ACTIONS(2199),
    [anon_sym_PLUS_PLUS] = ACTIONS(2199),
    [anon_sym_DASH_DASH] = ACTIONS(2199),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2199),
    [sym_number] = ACTIONS(2199),
    [sym_private_property_identifier] = ACTIONS(2199),
    [sym_this] = ACTIONS(2199),
    [sym_super] = ACTIONS(2199),
    [sym_true] = ACTIONS(2199),
    [sym_false] = ACTIONS(2199),
    [sym_null] = ACTIONS(2199),
    [sym_undefined] = ACTIONS(2199),
    [anon_sym_AT] = ACTIONS(2199),
    [anon_sym_static] = ACTIONS(2199),
    [anon_sym_readonly] = ACTIONS(2199),
    [anon_sym_get] = ACTIONS(2199),
    [anon_sym_set] = ACTIONS(2199),
    [anon_sym_declare] = ACTIONS(2199),
    [anon_sym_public] = ACTIONS(2199),
    [anon_sym_private] = ACTIONS(2199),
    [anon_sym_protected] = ACTIONS(2199),
    [anon_sym_override] = ACTIONS(2199),
    [anon_sym_module] = ACTIONS(2199),
    [anon_sym_any] = ACTIONS(2199),
    [anon_sym_number] = ACTIONS(2199),
    [anon_sym_boolean] = ACTIONS(2199),
    [anon_sym_string] = ACTIONS(2199),
    [anon_sym_symbol] = ACTIONS(2199),
    [anon_sym_object] = ACTIONS(2199),
    [anon_sym_abstract] = ACTIONS(2199),
    [anon_sym_satisfies] = ACTIONS(2199),
    [anon_sym_interface] = ACTIONS(2199),
    [anon_sym_enum] = ACTIONS(2199),
    [sym__automatic_semicolon] = ACTIONS(2201),
    [sym__ternary_qmark] = ACTIONS(2201),
    [sym_html_comment] = ACTIONS(5),
  },
  [419] = {
    [sym_comment] = STATE(419),
    [sym_identifier] = ACTIONS(2093),
    [anon_sym_export] = ACTIONS(2093),
    [anon_sym_STAR] = ACTIONS(2093),
    [anon_sym_default] = ACTIONS(2093),
    [anon_sym_type] = ACTIONS(2093),
    [anon_sym_as] = ACTIONS(2093),
    [anon_sym_namespace] = ACTIONS(2093),
    [anon_sym_LBRACE] = ACTIONS(2093),
    [anon_sym_COMMA] = ACTIONS(2093),
    [anon_sym_RBRACE] = ACTIONS(2093),
    [anon_sym_typeof] = ACTIONS(2093),
    [anon_sym_import] = ACTIONS(2093),
    [anon_sym_with] = ACTIONS(2093),
    [anon_sym_var] = ACTIONS(2093),
    [anon_sym_let] = ACTIONS(2093),
    [anon_sym_const] = ACTIONS(2093),
    [anon_sym_BANG] = ACTIONS(2093),
    [anon_sym_if] = ACTIONS(2093),
    [anon_sym_switch] = ACTIONS(2093),
    [anon_sym_for] = ACTIONS(2093),
    [anon_sym_LPAREN] = ACTIONS(2093),
    [anon_sym_await] = ACTIONS(2093),
    [anon_sym_in] = ACTIONS(2093),
    [anon_sym_while] = ACTIONS(2093),
    [anon_sym_do] = ACTIONS(2093),
    [anon_sym_try] = ACTIONS(2093),
    [anon_sym_break] = ACTIONS(2093),
    [anon_sym_continue] = ACTIONS(2093),
    [anon_sym_debugger] = ACTIONS(2093),
    [anon_sym_return] = ACTIONS(2093),
    [anon_sym_throw] = ACTIONS(2093),
    [anon_sym_SEMI] = ACTIONS(2093),
    [anon_sym_case] = ACTIONS(2093),
    [anon_sym_yield] = ACTIONS(2093),
    [anon_sym_LBRACK] = ACTIONS(2093),
    [anon_sym_LTtemplate_GT] = ACTIONS(2093),
    [anon_sym_GT] = ACTIONS(2093),
    [anon_sym_DOT] = ACTIONS(2093),
    [anon_sym_DQUOTE] = ACTIONS(2093),
    [anon_sym_SQUOTE] = ACTIONS(2093),
    [anon_sym_class] = ACTIONS(2093),
    [anon_sym_async] = ACTIONS(2093),
    [anon_sym_function] = ACTIONS(2093),
    [anon_sym_QMARK_DOT] = ACTIONS(2093),
    [anon_sym_new] = ACTIONS(2093),
    [anon_sym_using] = ACTIONS(2093),
    [anon_sym_AMP_AMP] = ACTIONS(2093),
    [anon_sym_PIPE_PIPE] = ACTIONS(2093),
    [anon_sym_GT_GT] = ACTIONS(2093),
    [anon_sym_GT_GT_GT] = ACTIONS(2093),
    [anon_sym_LT_LT] = ACTIONS(2093),
    [anon_sym_AMP] = ACTIONS(2093),
    [anon_sym_CARET] = ACTIONS(2093),
    [anon_sym_PIPE] = ACTIONS(2093),
    [anon_sym_PLUS] = ACTIONS(2093),
    [anon_sym_DASH] = ACTIONS(2093),
    [anon_sym_SLASH] = ACTIONS(2093),
    [anon_sym_PERCENT] = ACTIONS(2093),
    [anon_sym_STAR_STAR] = ACTIONS(2093),
    [anon_sym_LT] = ACTIONS(2093),
    [anon_sym_LT_EQ] = ACTIONS(2093),
    [anon_sym_EQ_EQ] = ACTIONS(2093),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2093),
    [anon_sym_BANG_EQ] = ACTIONS(2093),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2093),
    [anon_sym_GT_EQ] = ACTIONS(2093),
    [anon_sym_QMARK_QMARK] = ACTIONS(2093),
    [anon_sym_instanceof] = ACTIONS(2093),
    [anon_sym_TILDE] = ACTIONS(2093),
    [anon_sym_void] = ACTIONS(2093),
    [anon_sym_delete] = ACTIONS(2093),
    [anon_sym_PLUS_PLUS] = ACTIONS(2093),
    [anon_sym_DASH_DASH] = ACTIONS(2093),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2093),
    [sym_number] = ACTIONS(2093),
    [sym_private_property_identifier] = ACTIONS(2093),
    [sym_this] = ACTIONS(2093),
    [sym_super] = ACTIONS(2093),
    [sym_true] = ACTIONS(2093),
    [sym_false] = ACTIONS(2093),
    [sym_null] = ACTIONS(2093),
    [sym_undefined] = ACTIONS(2093),
    [anon_sym_AT] = ACTIONS(2093),
    [anon_sym_static] = ACTIONS(2093),
    [anon_sym_readonly] = ACTIONS(2093),
    [anon_sym_get] = ACTIONS(2093),
    [anon_sym_set] = ACTIONS(2093),
    [anon_sym_declare] = ACTIONS(2093),
    [anon_sym_public] = ACTIONS(2093),
    [anon_sym_private] = ACTIONS(2093),
    [anon_sym_protected] = ACTIONS(2093),
    [anon_sym_override] = ACTIONS(2093),
    [anon_sym_module] = ACTIONS(2093),
    [anon_sym_any] = ACTIONS(2093),
    [anon_sym_number] = ACTIONS(2093),
    [anon_sym_boolean] = ACTIONS(2093),
    [anon_sym_string] = ACTIONS(2093),
    [anon_sym_symbol] = ACTIONS(2093),
    [anon_sym_object] = ACTIONS(2093),
    [anon_sym_abstract] = ACTIONS(2093),
    [anon_sym_satisfies] = ACTIONS(2093),
    [anon_sym_interface] = ACTIONS(2093),
    [anon_sym_enum] = ACTIONS(2093),
    [sym__automatic_semicolon] = ACTIONS(2389),
    [sym__ternary_qmark] = ACTIONS(2095),
    [sym_html_comment] = ACTIONS(5),
  },
  [420] = {
    [sym_comment] = STATE(420),
    [ts_builtin_sym_end] = ACTIONS(2095),
    [sym_identifier] = ACTIONS(2093),
    [anon_sym_export] = ACTIONS(2093),
    [anon_sym_STAR] = ACTIONS(2093),
    [anon_sym_type] = ACTIONS(2093),
    [anon_sym_as] = ACTIONS(2093),
    [anon_sym_namespace] = ACTIONS(2093),
    [anon_sym_LBRACE] = ACTIONS(2093),
    [anon_sym_COMMA] = ACTIONS(2093),
    [anon_sym_RBRACE] = ACTIONS(2093),
    [anon_sym_typeof] = ACTIONS(2093),
    [anon_sym_import] = ACTIONS(2093),
    [anon_sym_with] = ACTIONS(2093),
    [anon_sym_var] = ACTIONS(2093),
    [anon_sym_let] = ACTIONS(2093),
    [anon_sym_const] = ACTIONS(2093),
    [anon_sym_BANG] = ACTIONS(2093),
    [anon_sym_else] = ACTIONS(2093),
    [anon_sym_if] = ACTIONS(2093),
    [anon_sym_switch] = ACTIONS(2093),
    [anon_sym_for] = ACTIONS(2093),
    [anon_sym_LPAREN] = ACTIONS(2093),
    [anon_sym_await] = ACTIONS(2093),
    [anon_sym_in] = ACTIONS(2093),
    [anon_sym_while] = ACTIONS(2093),
    [anon_sym_do] = ACTIONS(2093),
    [anon_sym_try] = ACTIONS(2093),
    [anon_sym_break] = ACTIONS(2093),
    [anon_sym_continue] = ACTIONS(2093),
    [anon_sym_debugger] = ACTIONS(2093),
    [anon_sym_return] = ACTIONS(2093),
    [anon_sym_throw] = ACTIONS(2093),
    [anon_sym_SEMI] = ACTIONS(2093),
    [anon_sym_yield] = ACTIONS(2093),
    [anon_sym_LBRACK] = ACTIONS(2093),
    [anon_sym_LTtemplate_GT] = ACTIONS(2093),
    [anon_sym_GT] = ACTIONS(2093),
    [anon_sym_DOT] = ACTIONS(2093),
    [anon_sym_DQUOTE] = ACTIONS(2093),
    [anon_sym_SQUOTE] = ACTIONS(2093),
    [anon_sym_class] = ACTIONS(2093),
    [anon_sym_async] = ACTIONS(2093),
    [anon_sym_function] = ACTIONS(2093),
    [anon_sym_QMARK_DOT] = ACTIONS(2093),
    [anon_sym_new] = ACTIONS(2093),
    [anon_sym_using] = ACTIONS(2093),
    [anon_sym_AMP_AMP] = ACTIONS(2093),
    [anon_sym_PIPE_PIPE] = ACTIONS(2093),
    [anon_sym_GT_GT] = ACTIONS(2093),
    [anon_sym_GT_GT_GT] = ACTIONS(2093),
    [anon_sym_LT_LT] = ACTIONS(2093),
    [anon_sym_AMP] = ACTIONS(2093),
    [anon_sym_CARET] = ACTIONS(2093),
    [anon_sym_PIPE] = ACTIONS(2093),
    [anon_sym_PLUS] = ACTIONS(2093),
    [anon_sym_DASH] = ACTIONS(2093),
    [anon_sym_SLASH] = ACTIONS(2093),
    [anon_sym_PERCENT] = ACTIONS(2093),
    [anon_sym_STAR_STAR] = ACTIONS(2093),
    [anon_sym_LT] = ACTIONS(2093),
    [anon_sym_LT_EQ] = ACTIONS(2093),
    [anon_sym_EQ_EQ] = ACTIONS(2093),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2093),
    [anon_sym_BANG_EQ] = ACTIONS(2093),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2093),
    [anon_sym_GT_EQ] = ACTIONS(2093),
    [anon_sym_QMARK_QMARK] = ACTIONS(2093),
    [anon_sym_instanceof] = ACTIONS(2093),
    [anon_sym_TILDE] = ACTIONS(2093),
    [anon_sym_void] = ACTIONS(2093),
    [anon_sym_delete] = ACTIONS(2093),
    [anon_sym_PLUS_PLUS] = ACTIONS(2093),
    [anon_sym_DASH_DASH] = ACTIONS(2093),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2093),
    [sym_number] = ACTIONS(2093),
    [sym_private_property_identifier] = ACTIONS(2093),
    [sym_this] = ACTIONS(2093),
    [sym_super] = ACTIONS(2093),
    [sym_true] = ACTIONS(2093),
    [sym_false] = ACTIONS(2093),
    [sym_null] = ACTIONS(2093),
    [sym_undefined] = ACTIONS(2093),
    [anon_sym_AT] = ACTIONS(2093),
    [anon_sym_static] = ACTIONS(2093),
    [anon_sym_readonly] = ACTIONS(2093),
    [anon_sym_get] = ACTIONS(2093),
    [anon_sym_set] = ACTIONS(2093),
    [anon_sym_declare] = ACTIONS(2093),
    [anon_sym_public] = ACTIONS(2093),
    [anon_sym_private] = ACTIONS(2093),
    [anon_sym_protected] = ACTIONS(2093),
    [anon_sym_override] = ACTIONS(2093),
    [anon_sym_module] = ACTIONS(2093),
    [anon_sym_any] = ACTIONS(2093),
    [anon_sym_number] = ACTIONS(2093),
    [anon_sym_boolean] = ACTIONS(2093),
    [anon_sym_string] = ACTIONS(2093),
    [anon_sym_symbol] = ACTIONS(2093),
    [anon_sym_object] = ACTIONS(2093),
    [anon_sym_abstract] = ACTIONS(2093),
    [anon_sym_satisfies] = ACTIONS(2093),
    [anon_sym_interface] = ACTIONS(2093),
    [anon_sym_enum] = ACTIONS(2093),
    [sym__automatic_semicolon] = ACTIONS(2391),
    [sym__ternary_qmark] = ACTIONS(2095),
    [sym_html_comment] = ACTIONS(5),
  },
  [421] = {
    [sym_comment] = STATE(421),
    [sym_identifier] = ACTIONS(2067),
    [anon_sym_export] = ACTIONS(2067),
    [anon_sym_STAR] = ACTIONS(2067),
    [anon_sym_default] = ACTIONS(2067),
    [anon_sym_type] = ACTIONS(2067),
    [anon_sym_as] = ACTIONS(2067),
    [anon_sym_namespace] = ACTIONS(2067),
    [anon_sym_LBRACE] = ACTIONS(2067),
    [anon_sym_COMMA] = ACTIONS(2067),
    [anon_sym_RBRACE] = ACTIONS(2067),
    [anon_sym_typeof] = ACTIONS(2067),
    [anon_sym_import] = ACTIONS(2067),
    [anon_sym_with] = ACTIONS(2067),
    [anon_sym_var] = ACTIONS(2067),
    [anon_sym_let] = ACTIONS(2067),
    [anon_sym_const] = ACTIONS(2067),
    [anon_sym_BANG] = ACTIONS(2067),
    [anon_sym_if] = ACTIONS(2067),
    [anon_sym_switch] = ACTIONS(2067),
    [anon_sym_for] = ACTIONS(2067),
    [anon_sym_LPAREN] = ACTIONS(2067),
    [anon_sym_await] = ACTIONS(2067),
    [anon_sym_in] = ACTIONS(2067),
    [anon_sym_while] = ACTIONS(2067),
    [anon_sym_do] = ACTIONS(2067),
    [anon_sym_try] = ACTIONS(2067),
    [anon_sym_break] = ACTIONS(2067),
    [anon_sym_continue] = ACTIONS(2067),
    [anon_sym_debugger] = ACTIONS(2067),
    [anon_sym_return] = ACTIONS(2067),
    [anon_sym_throw] = ACTIONS(2067),
    [anon_sym_SEMI] = ACTIONS(2067),
    [anon_sym_case] = ACTIONS(2067),
    [anon_sym_yield] = ACTIONS(2067),
    [anon_sym_LBRACK] = ACTIONS(2067),
    [anon_sym_LTtemplate_GT] = ACTIONS(2067),
    [anon_sym_GT] = ACTIONS(2067),
    [anon_sym_DOT] = ACTIONS(2067),
    [anon_sym_DQUOTE] = ACTIONS(2067),
    [anon_sym_SQUOTE] = ACTIONS(2067),
    [anon_sym_class] = ACTIONS(2067),
    [anon_sym_async] = ACTIONS(2067),
    [anon_sym_function] = ACTIONS(2067),
    [anon_sym_QMARK_DOT] = ACTIONS(2067),
    [anon_sym_new] = ACTIONS(2067),
    [anon_sym_using] = ACTIONS(2067),
    [anon_sym_AMP_AMP] = ACTIONS(2067),
    [anon_sym_PIPE_PIPE] = ACTIONS(2067),
    [anon_sym_GT_GT] = ACTIONS(2067),
    [anon_sym_GT_GT_GT] = ACTIONS(2067),
    [anon_sym_LT_LT] = ACTIONS(2067),
    [anon_sym_AMP] = ACTIONS(2067),
    [anon_sym_CARET] = ACTIONS(2067),
    [anon_sym_PIPE] = ACTIONS(2067),
    [anon_sym_PLUS] = ACTIONS(2067),
    [anon_sym_DASH] = ACTIONS(2067),
    [anon_sym_SLASH] = ACTIONS(2067),
    [anon_sym_PERCENT] = ACTIONS(2067),
    [anon_sym_STAR_STAR] = ACTIONS(2067),
    [anon_sym_LT] = ACTIONS(2067),
    [anon_sym_LT_EQ] = ACTIONS(2067),
    [anon_sym_EQ_EQ] = ACTIONS(2067),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2067),
    [anon_sym_BANG_EQ] = ACTIONS(2067),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2067),
    [anon_sym_GT_EQ] = ACTIONS(2067),
    [anon_sym_QMARK_QMARK] = ACTIONS(2067),
    [anon_sym_instanceof] = ACTIONS(2067),
    [anon_sym_TILDE] = ACTIONS(2067),
    [anon_sym_void] = ACTIONS(2067),
    [anon_sym_delete] = ACTIONS(2067),
    [anon_sym_PLUS_PLUS] = ACTIONS(2067),
    [anon_sym_DASH_DASH] = ACTIONS(2067),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2067),
    [sym_number] = ACTIONS(2067),
    [sym_private_property_identifier] = ACTIONS(2067),
    [sym_this] = ACTIONS(2067),
    [sym_super] = ACTIONS(2067),
    [sym_true] = ACTIONS(2067),
    [sym_false] = ACTIONS(2067),
    [sym_null] = ACTIONS(2067),
    [sym_undefined] = ACTIONS(2067),
    [anon_sym_AT] = ACTIONS(2067),
    [anon_sym_static] = ACTIONS(2067),
    [anon_sym_readonly] = ACTIONS(2067),
    [anon_sym_get] = ACTIONS(2067),
    [anon_sym_set] = ACTIONS(2067),
    [anon_sym_declare] = ACTIONS(2067),
    [anon_sym_public] = ACTIONS(2067),
    [anon_sym_private] = ACTIONS(2067),
    [anon_sym_protected] = ACTIONS(2067),
    [anon_sym_override] = ACTIONS(2067),
    [anon_sym_module] = ACTIONS(2067),
    [anon_sym_any] = ACTIONS(2067),
    [anon_sym_number] = ACTIONS(2067),
    [anon_sym_boolean] = ACTIONS(2067),
    [anon_sym_string] = ACTIONS(2067),
    [anon_sym_symbol] = ACTIONS(2067),
    [anon_sym_object] = ACTIONS(2067),
    [anon_sym_abstract] = ACTIONS(2067),
    [anon_sym_satisfies] = ACTIONS(2067),
    [anon_sym_interface] = ACTIONS(2067),
    [anon_sym_enum] = ACTIONS(2067),
    [sym__automatic_semicolon] = ACTIONS(2393),
    [sym__ternary_qmark] = ACTIONS(2103),
    [sym_html_comment] = ACTIONS(5),
  },
  [422] = {
    [sym_import] = STATE(4258),
    [sym_parenthesized_expression] = STATE(2177),
    [sym_expression] = STATE(2573),
    [sym_primary_expression] = STATE(2990),
    [sym_yield_expression] = STATE(3139),
    [sym_object] = STATE(3113),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(3113),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(3139),
    [sym_glimmer_opening_tag] = STATE(5702),
    [sym_jsx_element] = STATE(3139),
    [sym_jsx_opening_element] = STATE(4008),
    [sym_jsx_self_closing_element] = STATE(3139),
    [sym_class] = STATE(3113),
    [sym_function_expression] = STATE(3113),
    [sym_generator_function] = STATE(3113),
    [sym_arrow_function] = STATE(3113),
    [sym__call_signature] = STATE(7486),
    [sym_call_expression] = STATE(3113),
    [sym_new_expression] = STATE(3139),
    [sym_await_expression] = STATE(3139),
    [sym_member_expression] = STATE(2177),
    [sym_subscript_expression] = STATE(2177),
    [sym_assignment_expression] = STATE(3139),
    [sym__augmented_assignment_lhs] = STATE(3835),
    [sym_augmented_assignment_expression] = STATE(3139),
    [sym__destructuring_pattern] = STATE(7484),
    [sym_ternary_expression] = STATE(3139),
    [sym_binary_expression] = STATE(3139),
    [sym_unary_expression] = STATE(3139),
    [sym_update_expression] = STATE(3139),
    [sym_string] = STATE(3113),
    [sym_comment] = STATE(422),
    [sym_template_string] = STATE(3113),
    [sym_regex] = STATE(3113),
    [sym_meta_property] = STATE(3113),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2177),
    [sym_as_expression] = STATE(3139),
    [sym_satisfies_expression] = STATE(3139),
    [sym_instantiation_expression] = STATE(3139),
    [sym_internal_module] = STATE(3139),
    [sym__type_query_member_expression] = STATE(3745),
    [sym__type_query_subscript_expression] = STATE(3744),
    [sym__type_query_call_expression] = STATE(3813),
    [sym__type_query_instantiation_expression] = STATE(3926),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5555),
    [sym_identifier] = ACTIONS(2395),
    [anon_sym_export] = ACTIONS(1596),
    [anon_sym_type] = ACTIONS(1596),
    [anon_sym_namespace] = ACTIONS(1598),
    [anon_sym_LBRACE] = ACTIONS(1020),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1596),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1029),
    [anon_sym_async] = ACTIONS(1602),
    [anon_sym_function] = ACTIONS(1033),
    [anon_sym_new] = ACTIONS(1748),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1596),
    [anon_sym_readonly] = ACTIONS(1596),
    [anon_sym_get] = ACTIONS(1596),
    [anon_sym_set] = ACTIONS(1596),
    [anon_sym_declare] = ACTIONS(1596),
    [anon_sym_public] = ACTIONS(1596),
    [anon_sym_private] = ACTIONS(1596),
    [anon_sym_protected] = ACTIONS(1596),
    [anon_sym_override] = ACTIONS(1596),
    [anon_sym_module] = ACTIONS(1596),
    [anon_sym_any] = ACTIONS(1596),
    [anon_sym_number] = ACTIONS(1596),
    [anon_sym_boolean] = ACTIONS(1596),
    [anon_sym_string] = ACTIONS(1596),
    [anon_sym_symbol] = ACTIONS(1596),
    [anon_sym_object] = ACTIONS(1596),
    [sym_html_comment] = ACTIONS(5),
  },
  [423] = {
    [sym_comment] = STATE(423),
    [ts_builtin_sym_end] = ACTIONS(2107),
    [sym_identifier] = ACTIONS(2105),
    [anon_sym_export] = ACTIONS(2105),
    [anon_sym_STAR] = ACTIONS(2105),
    [anon_sym_type] = ACTIONS(2105),
    [anon_sym_as] = ACTIONS(2105),
    [anon_sym_namespace] = ACTIONS(2105),
    [anon_sym_LBRACE] = ACTIONS(2105),
    [anon_sym_COMMA] = ACTIONS(2105),
    [anon_sym_RBRACE] = ACTIONS(2105),
    [anon_sym_typeof] = ACTIONS(2105),
    [anon_sym_import] = ACTIONS(2105),
    [anon_sym_with] = ACTIONS(2105),
    [anon_sym_var] = ACTIONS(2105),
    [anon_sym_let] = ACTIONS(2105),
    [anon_sym_const] = ACTIONS(2105),
    [anon_sym_BANG] = ACTIONS(2105),
    [anon_sym_if] = ACTIONS(2105),
    [anon_sym_switch] = ACTIONS(2105),
    [anon_sym_for] = ACTIONS(2105),
    [anon_sym_LPAREN] = ACTIONS(2105),
    [anon_sym_await] = ACTIONS(2105),
    [anon_sym_in] = ACTIONS(2105),
    [anon_sym_while] = ACTIONS(2105),
    [anon_sym_do] = ACTIONS(2105),
    [anon_sym_try] = ACTIONS(2105),
    [anon_sym_break] = ACTIONS(2105),
    [anon_sym_continue] = ACTIONS(2105),
    [anon_sym_debugger] = ACTIONS(2105),
    [anon_sym_return] = ACTIONS(2105),
    [anon_sym_throw] = ACTIONS(2105),
    [anon_sym_SEMI] = ACTIONS(2105),
    [anon_sym_yield] = ACTIONS(2105),
    [anon_sym_LBRACK] = ACTIONS(2105),
    [anon_sym_LTtemplate_GT] = ACTIONS(2105),
    [anon_sym_GT] = ACTIONS(2105),
    [anon_sym_DOT] = ACTIONS(2105),
    [anon_sym_DQUOTE] = ACTIONS(2105),
    [anon_sym_SQUOTE] = ACTIONS(2105),
    [anon_sym_class] = ACTIONS(2105),
    [anon_sym_async] = ACTIONS(2105),
    [anon_sym_function] = ACTIONS(2105),
    [anon_sym_QMARK_DOT] = ACTIONS(2105),
    [anon_sym_new] = ACTIONS(2105),
    [anon_sym_using] = ACTIONS(2105),
    [anon_sym_AMP_AMP] = ACTIONS(2105),
    [anon_sym_PIPE_PIPE] = ACTIONS(2105),
    [anon_sym_GT_GT] = ACTIONS(2105),
    [anon_sym_GT_GT_GT] = ACTIONS(2105),
    [anon_sym_LT_LT] = ACTIONS(2105),
    [anon_sym_AMP] = ACTIONS(2105),
    [anon_sym_CARET] = ACTIONS(2105),
    [anon_sym_PIPE] = ACTIONS(2105),
    [anon_sym_PLUS] = ACTIONS(2105),
    [anon_sym_DASH] = ACTIONS(2105),
    [anon_sym_SLASH] = ACTIONS(2105),
    [anon_sym_PERCENT] = ACTIONS(2105),
    [anon_sym_STAR_STAR] = ACTIONS(2105),
    [anon_sym_LT] = ACTIONS(2105),
    [anon_sym_LT_EQ] = ACTIONS(2105),
    [anon_sym_EQ_EQ] = ACTIONS(2105),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2105),
    [anon_sym_BANG_EQ] = ACTIONS(2105),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2105),
    [anon_sym_GT_EQ] = ACTIONS(2105),
    [anon_sym_QMARK_QMARK] = ACTIONS(2105),
    [anon_sym_instanceof] = ACTIONS(2105),
    [anon_sym_TILDE] = ACTIONS(2105),
    [anon_sym_void] = ACTIONS(2105),
    [anon_sym_delete] = ACTIONS(2105),
    [anon_sym_PLUS_PLUS] = ACTIONS(2105),
    [anon_sym_DASH_DASH] = ACTIONS(2105),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2105),
    [sym_number] = ACTIONS(2105),
    [sym_private_property_identifier] = ACTIONS(2105),
    [sym_this] = ACTIONS(2105),
    [sym_super] = ACTIONS(2105),
    [sym_true] = ACTIONS(2105),
    [sym_false] = ACTIONS(2105),
    [sym_null] = ACTIONS(2105),
    [sym_undefined] = ACTIONS(2105),
    [anon_sym_AT] = ACTIONS(2105),
    [anon_sym_static] = ACTIONS(2105),
    [anon_sym_readonly] = ACTIONS(2105),
    [anon_sym_get] = ACTIONS(2105),
    [anon_sym_set] = ACTIONS(2105),
    [anon_sym_declare] = ACTIONS(2105),
    [anon_sym_public] = ACTIONS(2105),
    [anon_sym_private] = ACTIONS(2105),
    [anon_sym_protected] = ACTIONS(2105),
    [anon_sym_override] = ACTIONS(2105),
    [anon_sym_module] = ACTIONS(2105),
    [anon_sym_any] = ACTIONS(2105),
    [anon_sym_number] = ACTIONS(2105),
    [anon_sym_boolean] = ACTIONS(2105),
    [anon_sym_string] = ACTIONS(2105),
    [anon_sym_symbol] = ACTIONS(2105),
    [anon_sym_object] = ACTIONS(2105),
    [anon_sym_abstract] = ACTIONS(2105),
    [anon_sym_satisfies] = ACTIONS(2105),
    [anon_sym_interface] = ACTIONS(2105),
    [anon_sym_enum] = ACTIONS(2105),
    [sym__automatic_semicolon] = ACTIONS(2107),
    [sym__ternary_qmark] = ACTIONS(2107),
    [sym_html_comment] = ACTIONS(5),
  },
  [424] = {
    [sym_import] = STATE(4369),
    [sym_parenthesized_expression] = STATE(2177),
    [sym_expression] = STATE(2692),
    [sym_primary_expression] = STATE(2990),
    [sym_yield_expression] = STATE(3139),
    [sym_object] = STATE(3113),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(3113),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(3139),
    [sym_glimmer_opening_tag] = STATE(5702),
    [sym_jsx_element] = STATE(3139),
    [sym_jsx_opening_element] = STATE(4008),
    [sym_jsx_self_closing_element] = STATE(3139),
    [sym_class] = STATE(3113),
    [sym_function_expression] = STATE(3113),
    [sym_generator_function] = STATE(3113),
    [sym_arrow_function] = STATE(3113),
    [sym__call_signature] = STATE(7486),
    [sym_call_expression] = STATE(3113),
    [sym_new_expression] = STATE(3139),
    [sym_await_expression] = STATE(3139),
    [sym_member_expression] = STATE(2177),
    [sym_subscript_expression] = STATE(2177),
    [sym_assignment_expression] = STATE(3139),
    [sym__augmented_assignment_lhs] = STATE(3835),
    [sym_augmented_assignment_expression] = STATE(3139),
    [sym__destructuring_pattern] = STATE(7484),
    [sym_ternary_expression] = STATE(3139),
    [sym_binary_expression] = STATE(3139),
    [sym_unary_expression] = STATE(3139),
    [sym_update_expression] = STATE(3139),
    [sym_sequence_expression] = STATE(6616),
    [sym_string] = STATE(3113),
    [sym_comment] = STATE(424),
    [sym_template_string] = STATE(3113),
    [sym_regex] = STATE(3113),
    [sym_meta_property] = STATE(3113),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2177),
    [sym_as_expression] = STATE(3139),
    [sym_satisfies_expression] = STATE(3139),
    [sym_instantiation_expression] = STATE(3139),
    [sym_internal_module] = STATE(3139),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5555),
    [sym_identifier] = ACTIONS(1744),
    [anon_sym_export] = ACTIONS(1596),
    [anon_sym_type] = ACTIONS(1596),
    [anon_sym_namespace] = ACTIONS(1598),
    [anon_sym_LBRACE] = ACTIONS(1020),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1596),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_SEMI] = ACTIONS(2397),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1029),
    [anon_sym_async] = ACTIONS(1602),
    [anon_sym_function] = ACTIONS(1033),
    [anon_sym_new] = ACTIONS(1748),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1596),
    [anon_sym_readonly] = ACTIONS(1596),
    [anon_sym_get] = ACTIONS(1596),
    [anon_sym_set] = ACTIONS(1596),
    [anon_sym_declare] = ACTIONS(1596),
    [anon_sym_public] = ACTIONS(1596),
    [anon_sym_private] = ACTIONS(1596),
    [anon_sym_protected] = ACTIONS(1596),
    [anon_sym_override] = ACTIONS(1596),
    [anon_sym_module] = ACTIONS(1596),
    [anon_sym_any] = ACTIONS(1596),
    [anon_sym_number] = ACTIONS(1596),
    [anon_sym_boolean] = ACTIONS(1596),
    [anon_sym_string] = ACTIONS(1596),
    [anon_sym_symbol] = ACTIONS(1596),
    [anon_sym_object] = ACTIONS(1596),
    [sym__automatic_semicolon] = ACTIONS(2399),
    [sym_html_comment] = ACTIONS(5),
  },
  [425] = {
    [sym_import] = STATE(4369),
    [sym_parenthesized_expression] = STATE(2177),
    [sym_expression] = STATE(2664),
    [sym_primary_expression] = STATE(2990),
    [sym_yield_expression] = STATE(3139),
    [sym_object] = STATE(3113),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(3113),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(3139),
    [sym_glimmer_opening_tag] = STATE(5702),
    [sym_jsx_element] = STATE(3139),
    [sym_jsx_opening_element] = STATE(4008),
    [sym_jsx_self_closing_element] = STATE(3139),
    [sym_class] = STATE(3113),
    [sym_function_expression] = STATE(3113),
    [sym_generator_function] = STATE(3113),
    [sym_arrow_function] = STATE(3113),
    [sym__call_signature] = STATE(7486),
    [sym_call_expression] = STATE(3113),
    [sym_new_expression] = STATE(3139),
    [sym_await_expression] = STATE(3139),
    [sym_member_expression] = STATE(2177),
    [sym_subscript_expression] = STATE(2177),
    [sym_assignment_expression] = STATE(3139),
    [sym__augmented_assignment_lhs] = STATE(3835),
    [sym_augmented_assignment_expression] = STATE(3139),
    [sym__destructuring_pattern] = STATE(7484),
    [sym_ternary_expression] = STATE(3139),
    [sym_binary_expression] = STATE(3139),
    [sym_unary_expression] = STATE(3139),
    [sym_update_expression] = STATE(3139),
    [sym_sequence_expression] = STATE(6692),
    [sym_string] = STATE(3113),
    [sym_comment] = STATE(425),
    [sym_template_string] = STATE(3113),
    [sym_regex] = STATE(3113),
    [sym_meta_property] = STATE(3113),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2177),
    [sym_as_expression] = STATE(3139),
    [sym_satisfies_expression] = STATE(3139),
    [sym_instantiation_expression] = STATE(3139),
    [sym_internal_module] = STATE(3139),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5555),
    [sym_identifier] = ACTIONS(1744),
    [anon_sym_export] = ACTIONS(1596),
    [anon_sym_type] = ACTIONS(1596),
    [anon_sym_namespace] = ACTIONS(1598),
    [anon_sym_LBRACE] = ACTIONS(1020),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1596),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_SEMI] = ACTIONS(2401),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1029),
    [anon_sym_async] = ACTIONS(1602),
    [anon_sym_function] = ACTIONS(1033),
    [anon_sym_new] = ACTIONS(1748),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1596),
    [anon_sym_readonly] = ACTIONS(1596),
    [anon_sym_get] = ACTIONS(1596),
    [anon_sym_set] = ACTIONS(1596),
    [anon_sym_declare] = ACTIONS(1596),
    [anon_sym_public] = ACTIONS(1596),
    [anon_sym_private] = ACTIONS(1596),
    [anon_sym_protected] = ACTIONS(1596),
    [anon_sym_override] = ACTIONS(1596),
    [anon_sym_module] = ACTIONS(1596),
    [anon_sym_any] = ACTIONS(1596),
    [anon_sym_number] = ACTIONS(1596),
    [anon_sym_boolean] = ACTIONS(1596),
    [anon_sym_string] = ACTIONS(1596),
    [anon_sym_symbol] = ACTIONS(1596),
    [anon_sym_object] = ACTIONS(1596),
    [sym__automatic_semicolon] = ACTIONS(2403),
    [sym_html_comment] = ACTIONS(5),
  },
  [426] = {
    [sym_comment] = STATE(426),
    [ts_builtin_sym_end] = ACTIONS(2083),
    [sym_identifier] = ACTIONS(2081),
    [anon_sym_export] = ACTIONS(2081),
    [anon_sym_STAR] = ACTIONS(2081),
    [anon_sym_type] = ACTIONS(2081),
    [anon_sym_as] = ACTIONS(2081),
    [anon_sym_namespace] = ACTIONS(2081),
    [anon_sym_LBRACE] = ACTIONS(2081),
    [anon_sym_COMMA] = ACTIONS(2081),
    [anon_sym_RBRACE] = ACTIONS(2081),
    [anon_sym_typeof] = ACTIONS(2081),
    [anon_sym_import] = ACTIONS(2081),
    [anon_sym_with] = ACTIONS(2081),
    [anon_sym_var] = ACTIONS(2081),
    [anon_sym_let] = ACTIONS(2081),
    [anon_sym_const] = ACTIONS(2081),
    [anon_sym_BANG] = ACTIONS(2081),
    [anon_sym_if] = ACTIONS(2081),
    [anon_sym_switch] = ACTIONS(2081),
    [anon_sym_for] = ACTIONS(2081),
    [anon_sym_LPAREN] = ACTIONS(2081),
    [anon_sym_await] = ACTIONS(2081),
    [anon_sym_in] = ACTIONS(2081),
    [anon_sym_while] = ACTIONS(2081),
    [anon_sym_do] = ACTIONS(2081),
    [anon_sym_try] = ACTIONS(2081),
    [anon_sym_break] = ACTIONS(2081),
    [anon_sym_continue] = ACTIONS(2081),
    [anon_sym_debugger] = ACTIONS(2081),
    [anon_sym_return] = ACTIONS(2081),
    [anon_sym_throw] = ACTIONS(2081),
    [anon_sym_SEMI] = ACTIONS(2081),
    [anon_sym_yield] = ACTIONS(2081),
    [anon_sym_LBRACK] = ACTIONS(2081),
    [anon_sym_LTtemplate_GT] = ACTIONS(2081),
    [anon_sym_GT] = ACTIONS(2081),
    [anon_sym_DOT] = ACTIONS(2081),
    [anon_sym_DQUOTE] = ACTIONS(2081),
    [anon_sym_SQUOTE] = ACTIONS(2081),
    [anon_sym_class] = ACTIONS(2081),
    [anon_sym_async] = ACTIONS(2081),
    [anon_sym_function] = ACTIONS(2081),
    [anon_sym_QMARK_DOT] = ACTIONS(2081),
    [anon_sym_new] = ACTIONS(2081),
    [anon_sym_using] = ACTIONS(2081),
    [anon_sym_AMP_AMP] = ACTIONS(2081),
    [anon_sym_PIPE_PIPE] = ACTIONS(2081),
    [anon_sym_GT_GT] = ACTIONS(2081),
    [anon_sym_GT_GT_GT] = ACTIONS(2081),
    [anon_sym_LT_LT] = ACTIONS(2081),
    [anon_sym_AMP] = ACTIONS(2081),
    [anon_sym_CARET] = ACTIONS(2081),
    [anon_sym_PIPE] = ACTIONS(2081),
    [anon_sym_PLUS] = ACTIONS(2081),
    [anon_sym_DASH] = ACTIONS(2081),
    [anon_sym_SLASH] = ACTIONS(2081),
    [anon_sym_PERCENT] = ACTIONS(2081),
    [anon_sym_STAR_STAR] = ACTIONS(2081),
    [anon_sym_LT] = ACTIONS(2081),
    [anon_sym_LT_EQ] = ACTIONS(2081),
    [anon_sym_EQ_EQ] = ACTIONS(2081),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2081),
    [anon_sym_BANG_EQ] = ACTIONS(2081),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2081),
    [anon_sym_GT_EQ] = ACTIONS(2081),
    [anon_sym_QMARK_QMARK] = ACTIONS(2081),
    [anon_sym_instanceof] = ACTIONS(2081),
    [anon_sym_TILDE] = ACTIONS(2081),
    [anon_sym_void] = ACTIONS(2081),
    [anon_sym_delete] = ACTIONS(2081),
    [anon_sym_PLUS_PLUS] = ACTIONS(2081),
    [anon_sym_DASH_DASH] = ACTIONS(2081),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2081),
    [sym_number] = ACTIONS(2081),
    [sym_private_property_identifier] = ACTIONS(2081),
    [sym_this] = ACTIONS(2081),
    [sym_super] = ACTIONS(2081),
    [sym_true] = ACTIONS(2081),
    [sym_false] = ACTIONS(2081),
    [sym_null] = ACTIONS(2081),
    [sym_undefined] = ACTIONS(2081),
    [anon_sym_AT] = ACTIONS(2081),
    [anon_sym_static] = ACTIONS(2081),
    [anon_sym_readonly] = ACTIONS(2081),
    [anon_sym_get] = ACTIONS(2081),
    [anon_sym_set] = ACTIONS(2081),
    [anon_sym_declare] = ACTIONS(2081),
    [anon_sym_public] = ACTIONS(2081),
    [anon_sym_private] = ACTIONS(2081),
    [anon_sym_protected] = ACTIONS(2081),
    [anon_sym_override] = ACTIONS(2081),
    [anon_sym_module] = ACTIONS(2081),
    [anon_sym_any] = ACTIONS(2081),
    [anon_sym_number] = ACTIONS(2081),
    [anon_sym_boolean] = ACTIONS(2081),
    [anon_sym_string] = ACTIONS(2081),
    [anon_sym_symbol] = ACTIONS(2081),
    [anon_sym_object] = ACTIONS(2081),
    [anon_sym_abstract] = ACTIONS(2081),
    [anon_sym_satisfies] = ACTIONS(2081),
    [anon_sym_interface] = ACTIONS(2081),
    [anon_sym_enum] = ACTIONS(2081),
    [sym__automatic_semicolon] = ACTIONS(2083),
    [sym__ternary_qmark] = ACTIONS(2083),
    [sym_html_comment] = ACTIONS(5),
  },
  [427] = {
    [sym_comment] = STATE(427),
    [ts_builtin_sym_end] = ACTIONS(2147),
    [sym_identifier] = ACTIONS(2145),
    [anon_sym_export] = ACTIONS(2145),
    [anon_sym_STAR] = ACTIONS(2145),
    [anon_sym_type] = ACTIONS(2145),
    [anon_sym_as] = ACTIONS(2145),
    [anon_sym_namespace] = ACTIONS(2145),
    [anon_sym_LBRACE] = ACTIONS(2145),
    [anon_sym_COMMA] = ACTIONS(2145),
    [anon_sym_RBRACE] = ACTIONS(2145),
    [anon_sym_typeof] = ACTIONS(2145),
    [anon_sym_import] = ACTIONS(2145),
    [anon_sym_with] = ACTIONS(2145),
    [anon_sym_var] = ACTIONS(2145),
    [anon_sym_let] = ACTIONS(2145),
    [anon_sym_const] = ACTIONS(2145),
    [anon_sym_BANG] = ACTIONS(2145),
    [anon_sym_if] = ACTIONS(2145),
    [anon_sym_switch] = ACTIONS(2145),
    [anon_sym_for] = ACTIONS(2145),
    [anon_sym_LPAREN] = ACTIONS(2145),
    [anon_sym_await] = ACTIONS(2145),
    [anon_sym_in] = ACTIONS(2145),
    [anon_sym_while] = ACTIONS(2145),
    [anon_sym_do] = ACTIONS(2145),
    [anon_sym_try] = ACTIONS(2145),
    [anon_sym_break] = ACTIONS(2145),
    [anon_sym_continue] = ACTIONS(2145),
    [anon_sym_debugger] = ACTIONS(2145),
    [anon_sym_return] = ACTIONS(2145),
    [anon_sym_throw] = ACTIONS(2145),
    [anon_sym_SEMI] = ACTIONS(2145),
    [anon_sym_yield] = ACTIONS(2145),
    [anon_sym_LBRACK] = ACTIONS(2145),
    [anon_sym_LTtemplate_GT] = ACTIONS(2145),
    [anon_sym_GT] = ACTIONS(2145),
    [anon_sym_DOT] = ACTIONS(2145),
    [anon_sym_DQUOTE] = ACTIONS(2145),
    [anon_sym_SQUOTE] = ACTIONS(2145),
    [anon_sym_class] = ACTIONS(2145),
    [anon_sym_async] = ACTIONS(2145),
    [anon_sym_function] = ACTIONS(2145),
    [anon_sym_QMARK_DOT] = ACTIONS(2145),
    [anon_sym_new] = ACTIONS(2145),
    [anon_sym_using] = ACTIONS(2145),
    [anon_sym_AMP_AMP] = ACTIONS(2145),
    [anon_sym_PIPE_PIPE] = ACTIONS(2145),
    [anon_sym_GT_GT] = ACTIONS(2145),
    [anon_sym_GT_GT_GT] = ACTIONS(2145),
    [anon_sym_LT_LT] = ACTIONS(2145),
    [anon_sym_AMP] = ACTIONS(2145),
    [anon_sym_CARET] = ACTIONS(2145),
    [anon_sym_PIPE] = ACTIONS(2145),
    [anon_sym_PLUS] = ACTIONS(2145),
    [anon_sym_DASH] = ACTIONS(2145),
    [anon_sym_SLASH] = ACTIONS(2145),
    [anon_sym_PERCENT] = ACTIONS(2145),
    [anon_sym_STAR_STAR] = ACTIONS(2145),
    [anon_sym_LT] = ACTIONS(2145),
    [anon_sym_LT_EQ] = ACTIONS(2145),
    [anon_sym_EQ_EQ] = ACTIONS(2145),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2145),
    [anon_sym_BANG_EQ] = ACTIONS(2145),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2145),
    [anon_sym_GT_EQ] = ACTIONS(2145),
    [anon_sym_QMARK_QMARK] = ACTIONS(2145),
    [anon_sym_instanceof] = ACTIONS(2145),
    [anon_sym_TILDE] = ACTIONS(2145),
    [anon_sym_void] = ACTIONS(2145),
    [anon_sym_delete] = ACTIONS(2145),
    [anon_sym_PLUS_PLUS] = ACTIONS(2145),
    [anon_sym_DASH_DASH] = ACTIONS(2145),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2145),
    [sym_number] = ACTIONS(2145),
    [sym_private_property_identifier] = ACTIONS(2145),
    [sym_this] = ACTIONS(2145),
    [sym_super] = ACTIONS(2145),
    [sym_true] = ACTIONS(2145),
    [sym_false] = ACTIONS(2145),
    [sym_null] = ACTIONS(2145),
    [sym_undefined] = ACTIONS(2145),
    [anon_sym_AT] = ACTIONS(2145),
    [anon_sym_static] = ACTIONS(2145),
    [anon_sym_readonly] = ACTIONS(2145),
    [anon_sym_get] = ACTIONS(2145),
    [anon_sym_set] = ACTIONS(2145),
    [anon_sym_declare] = ACTIONS(2145),
    [anon_sym_public] = ACTIONS(2145),
    [anon_sym_private] = ACTIONS(2145),
    [anon_sym_protected] = ACTIONS(2145),
    [anon_sym_override] = ACTIONS(2145),
    [anon_sym_module] = ACTIONS(2145),
    [anon_sym_any] = ACTIONS(2145),
    [anon_sym_number] = ACTIONS(2145),
    [anon_sym_boolean] = ACTIONS(2145),
    [anon_sym_string] = ACTIONS(2145),
    [anon_sym_symbol] = ACTIONS(2145),
    [anon_sym_object] = ACTIONS(2145),
    [anon_sym_abstract] = ACTIONS(2145),
    [anon_sym_satisfies] = ACTIONS(2145),
    [anon_sym_interface] = ACTIONS(2145),
    [anon_sym_enum] = ACTIONS(2145),
    [sym__automatic_semicolon] = ACTIONS(2147),
    [sym__ternary_qmark] = ACTIONS(2147),
    [sym_html_comment] = ACTIONS(5),
  },
  [428] = {
    [sym_comment] = STATE(428),
    [ts_builtin_sym_end] = ACTIONS(2197),
    [sym_identifier] = ACTIONS(2195),
    [anon_sym_export] = ACTIONS(2195),
    [anon_sym_STAR] = ACTIONS(2195),
    [anon_sym_type] = ACTIONS(2195),
    [anon_sym_as] = ACTIONS(2195),
    [anon_sym_namespace] = ACTIONS(2195),
    [anon_sym_LBRACE] = ACTIONS(2195),
    [anon_sym_COMMA] = ACTIONS(2195),
    [anon_sym_RBRACE] = ACTIONS(2195),
    [anon_sym_typeof] = ACTIONS(2195),
    [anon_sym_import] = ACTIONS(2195),
    [anon_sym_with] = ACTIONS(2195),
    [anon_sym_var] = ACTIONS(2195),
    [anon_sym_let] = ACTIONS(2195),
    [anon_sym_const] = ACTIONS(2195),
    [anon_sym_BANG] = ACTIONS(2195),
    [anon_sym_if] = ACTIONS(2195),
    [anon_sym_switch] = ACTIONS(2195),
    [anon_sym_for] = ACTIONS(2195),
    [anon_sym_LPAREN] = ACTIONS(2195),
    [anon_sym_await] = ACTIONS(2195),
    [anon_sym_in] = ACTIONS(2195),
    [anon_sym_while] = ACTIONS(2195),
    [anon_sym_do] = ACTIONS(2195),
    [anon_sym_try] = ACTIONS(2195),
    [anon_sym_break] = ACTIONS(2195),
    [anon_sym_continue] = ACTIONS(2195),
    [anon_sym_debugger] = ACTIONS(2195),
    [anon_sym_return] = ACTIONS(2195),
    [anon_sym_throw] = ACTIONS(2195),
    [anon_sym_SEMI] = ACTIONS(2195),
    [anon_sym_yield] = ACTIONS(2195),
    [anon_sym_LBRACK] = ACTIONS(2195),
    [anon_sym_LTtemplate_GT] = ACTIONS(2195),
    [anon_sym_GT] = ACTIONS(2195),
    [anon_sym_DOT] = ACTIONS(2195),
    [anon_sym_DQUOTE] = ACTIONS(2195),
    [anon_sym_SQUOTE] = ACTIONS(2195),
    [anon_sym_class] = ACTIONS(2195),
    [anon_sym_async] = ACTIONS(2195),
    [anon_sym_function] = ACTIONS(2195),
    [anon_sym_QMARK_DOT] = ACTIONS(2195),
    [anon_sym_new] = ACTIONS(2195),
    [anon_sym_using] = ACTIONS(2195),
    [anon_sym_AMP_AMP] = ACTIONS(2195),
    [anon_sym_PIPE_PIPE] = ACTIONS(2195),
    [anon_sym_GT_GT] = ACTIONS(2195),
    [anon_sym_GT_GT_GT] = ACTIONS(2195),
    [anon_sym_LT_LT] = ACTIONS(2195),
    [anon_sym_AMP] = ACTIONS(2195),
    [anon_sym_CARET] = ACTIONS(2195),
    [anon_sym_PIPE] = ACTIONS(2195),
    [anon_sym_PLUS] = ACTIONS(2195),
    [anon_sym_DASH] = ACTIONS(2195),
    [anon_sym_SLASH] = ACTIONS(2195),
    [anon_sym_PERCENT] = ACTIONS(2195),
    [anon_sym_STAR_STAR] = ACTIONS(2195),
    [anon_sym_LT] = ACTIONS(2195),
    [anon_sym_LT_EQ] = ACTIONS(2195),
    [anon_sym_EQ_EQ] = ACTIONS(2195),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2195),
    [anon_sym_BANG_EQ] = ACTIONS(2195),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2195),
    [anon_sym_GT_EQ] = ACTIONS(2195),
    [anon_sym_QMARK_QMARK] = ACTIONS(2195),
    [anon_sym_instanceof] = ACTIONS(2195),
    [anon_sym_TILDE] = ACTIONS(2195),
    [anon_sym_void] = ACTIONS(2195),
    [anon_sym_delete] = ACTIONS(2195),
    [anon_sym_PLUS_PLUS] = ACTIONS(2195),
    [anon_sym_DASH_DASH] = ACTIONS(2195),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2195),
    [sym_number] = ACTIONS(2195),
    [sym_private_property_identifier] = ACTIONS(2195),
    [sym_this] = ACTIONS(2195),
    [sym_super] = ACTIONS(2195),
    [sym_true] = ACTIONS(2195),
    [sym_false] = ACTIONS(2195),
    [sym_null] = ACTIONS(2195),
    [sym_undefined] = ACTIONS(2195),
    [anon_sym_AT] = ACTIONS(2195),
    [anon_sym_static] = ACTIONS(2195),
    [anon_sym_readonly] = ACTIONS(2195),
    [anon_sym_get] = ACTIONS(2195),
    [anon_sym_set] = ACTIONS(2195),
    [anon_sym_declare] = ACTIONS(2195),
    [anon_sym_public] = ACTIONS(2195),
    [anon_sym_private] = ACTIONS(2195),
    [anon_sym_protected] = ACTIONS(2195),
    [anon_sym_override] = ACTIONS(2195),
    [anon_sym_module] = ACTIONS(2195),
    [anon_sym_any] = ACTIONS(2195),
    [anon_sym_number] = ACTIONS(2195),
    [anon_sym_boolean] = ACTIONS(2195),
    [anon_sym_string] = ACTIONS(2195),
    [anon_sym_symbol] = ACTIONS(2195),
    [anon_sym_object] = ACTIONS(2195),
    [anon_sym_abstract] = ACTIONS(2195),
    [anon_sym_satisfies] = ACTIONS(2195),
    [anon_sym_interface] = ACTIONS(2195),
    [anon_sym_enum] = ACTIONS(2195),
    [sym__automatic_semicolon] = ACTIONS(2197),
    [sym__ternary_qmark] = ACTIONS(2197),
    [sym_html_comment] = ACTIONS(5),
  },
  [429] = {
    [sym_comment] = STATE(429),
    [ts_builtin_sym_end] = ACTIONS(2283),
    [sym_identifier] = ACTIONS(2229),
    [anon_sym_export] = ACTIONS(2229),
    [anon_sym_STAR] = ACTIONS(2231),
    [anon_sym_type] = ACTIONS(2229),
    [anon_sym_as] = ACTIONS(2231),
    [anon_sym_namespace] = ACTIONS(2229),
    [anon_sym_LBRACE] = ACTIONS(2229),
    [anon_sym_COMMA] = ACTIONS(2231),
    [anon_sym_RBRACE] = ACTIONS(2229),
    [anon_sym_typeof] = ACTIONS(2229),
    [anon_sym_import] = ACTIONS(2229),
    [anon_sym_with] = ACTIONS(2229),
    [anon_sym_var] = ACTIONS(2229),
    [anon_sym_let] = ACTIONS(2229),
    [anon_sym_const] = ACTIONS(2229),
    [anon_sym_BANG] = ACTIONS(2229),
    [anon_sym_if] = ACTIONS(2229),
    [anon_sym_switch] = ACTIONS(2229),
    [anon_sym_for] = ACTIONS(2229),
    [anon_sym_LPAREN] = ACTIONS(2229),
    [anon_sym_await] = ACTIONS(2229),
    [anon_sym_in] = ACTIONS(2231),
    [anon_sym_while] = ACTIONS(2229),
    [anon_sym_do] = ACTIONS(2229),
    [anon_sym_try] = ACTIONS(2229),
    [anon_sym_break] = ACTIONS(2229),
    [anon_sym_continue] = ACTIONS(2229),
    [anon_sym_debugger] = ACTIONS(2229),
    [anon_sym_return] = ACTIONS(2229),
    [anon_sym_throw] = ACTIONS(2229),
    [anon_sym_SEMI] = ACTIONS(2229),
    [anon_sym_yield] = ACTIONS(2229),
    [anon_sym_LBRACK] = ACTIONS(2229),
    [anon_sym_LTtemplate_GT] = ACTIONS(2229),
    [anon_sym_GT] = ACTIONS(2231),
    [anon_sym_DOT] = ACTIONS(2231),
    [anon_sym_DQUOTE] = ACTIONS(2229),
    [anon_sym_SQUOTE] = ACTIONS(2229),
    [anon_sym_class] = ACTIONS(2229),
    [anon_sym_async] = ACTIONS(2229),
    [anon_sym_function] = ACTIONS(2229),
    [anon_sym_QMARK_DOT] = ACTIONS(2231),
    [anon_sym_new] = ACTIONS(2229),
    [anon_sym_using] = ACTIONS(2229),
    [anon_sym_AMP_AMP] = ACTIONS(2231),
    [anon_sym_PIPE_PIPE] = ACTIONS(2231),
    [anon_sym_GT_GT] = ACTIONS(2231),
    [anon_sym_GT_GT_GT] = ACTIONS(2231),
    [anon_sym_LT_LT] = ACTIONS(2231),
    [anon_sym_AMP] = ACTIONS(2231),
    [anon_sym_CARET] = ACTIONS(2231),
    [anon_sym_PIPE] = ACTIONS(2231),
    [anon_sym_PLUS] = ACTIONS(2229),
    [anon_sym_DASH] = ACTIONS(2229),
    [anon_sym_SLASH] = ACTIONS(2229),
    [anon_sym_PERCENT] = ACTIONS(2231),
    [anon_sym_STAR_STAR] = ACTIONS(2231),
    [anon_sym_LT] = ACTIONS(2229),
    [anon_sym_LT_EQ] = ACTIONS(2231),
    [anon_sym_EQ_EQ] = ACTIONS(2231),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2231),
    [anon_sym_BANG_EQ] = ACTIONS(2231),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2231),
    [anon_sym_GT_EQ] = ACTIONS(2231),
    [anon_sym_QMARK_QMARK] = ACTIONS(2231),
    [anon_sym_instanceof] = ACTIONS(2231),
    [anon_sym_TILDE] = ACTIONS(2229),
    [anon_sym_void] = ACTIONS(2229),
    [anon_sym_delete] = ACTIONS(2229),
    [anon_sym_PLUS_PLUS] = ACTIONS(2229),
    [anon_sym_DASH_DASH] = ACTIONS(2229),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2229),
    [sym_number] = ACTIONS(2229),
    [sym_private_property_identifier] = ACTIONS(2229),
    [sym_this] = ACTIONS(2229),
    [sym_super] = ACTIONS(2229),
    [sym_true] = ACTIONS(2229),
    [sym_false] = ACTIONS(2229),
    [sym_null] = ACTIONS(2229),
    [sym_undefined] = ACTIONS(2229),
    [anon_sym_AT] = ACTIONS(2229),
    [anon_sym_static] = ACTIONS(2229),
    [anon_sym_readonly] = ACTIONS(2229),
    [anon_sym_get] = ACTIONS(2229),
    [anon_sym_set] = ACTIONS(2229),
    [anon_sym_declare] = ACTIONS(2229),
    [anon_sym_public] = ACTIONS(2229),
    [anon_sym_private] = ACTIONS(2229),
    [anon_sym_protected] = ACTIONS(2229),
    [anon_sym_override] = ACTIONS(2229),
    [anon_sym_module] = ACTIONS(2229),
    [anon_sym_any] = ACTIONS(2229),
    [anon_sym_number] = ACTIONS(2229),
    [anon_sym_boolean] = ACTIONS(2229),
    [anon_sym_string] = ACTIONS(2229),
    [anon_sym_symbol] = ACTIONS(2229),
    [anon_sym_object] = ACTIONS(2229),
    [anon_sym_abstract] = ACTIONS(2229),
    [anon_sym_satisfies] = ACTIONS(2231),
    [anon_sym_interface] = ACTIONS(2229),
    [anon_sym_enum] = ACTIONS(2229),
    [sym__automatic_semicolon] = ACTIONS(2405),
    [sym__ternary_qmark] = ACTIONS(2235),
    [sym_html_comment] = ACTIONS(5),
  },
  [430] = {
    [sym_comment] = STATE(430),
    [ts_builtin_sym_end] = ACTIONS(2297),
    [sym_identifier] = ACTIONS(2117),
    [anon_sym_export] = ACTIONS(2117),
    [anon_sym_STAR] = ACTIONS(2119),
    [anon_sym_type] = ACTIONS(2117),
    [anon_sym_as] = ACTIONS(2119),
    [anon_sym_namespace] = ACTIONS(2117),
    [anon_sym_LBRACE] = ACTIONS(2117),
    [anon_sym_COMMA] = ACTIONS(2119),
    [anon_sym_RBRACE] = ACTIONS(2117),
    [anon_sym_typeof] = ACTIONS(2117),
    [anon_sym_import] = ACTIONS(2117),
    [anon_sym_with] = ACTIONS(2117),
    [anon_sym_var] = ACTIONS(2117),
    [anon_sym_let] = ACTIONS(2117),
    [anon_sym_const] = ACTIONS(2117),
    [anon_sym_BANG] = ACTIONS(2117),
    [anon_sym_if] = ACTIONS(2117),
    [anon_sym_switch] = ACTIONS(2117),
    [anon_sym_for] = ACTIONS(2117),
    [anon_sym_LPAREN] = ACTIONS(2117),
    [anon_sym_await] = ACTIONS(2117),
    [anon_sym_in] = ACTIONS(2119),
    [anon_sym_while] = ACTIONS(2117),
    [anon_sym_do] = ACTIONS(2117),
    [anon_sym_try] = ACTIONS(2117),
    [anon_sym_break] = ACTIONS(2117),
    [anon_sym_continue] = ACTIONS(2117),
    [anon_sym_debugger] = ACTIONS(2117),
    [anon_sym_return] = ACTIONS(2117),
    [anon_sym_throw] = ACTIONS(2117),
    [anon_sym_SEMI] = ACTIONS(2117),
    [anon_sym_yield] = ACTIONS(2117),
    [anon_sym_LBRACK] = ACTIONS(2117),
    [anon_sym_LTtemplate_GT] = ACTIONS(2117),
    [anon_sym_GT] = ACTIONS(2119),
    [anon_sym_DOT] = ACTIONS(2119),
    [anon_sym_DQUOTE] = ACTIONS(2117),
    [anon_sym_SQUOTE] = ACTIONS(2117),
    [anon_sym_class] = ACTIONS(2117),
    [anon_sym_async] = ACTIONS(2117),
    [anon_sym_function] = ACTIONS(2117),
    [anon_sym_QMARK_DOT] = ACTIONS(2119),
    [anon_sym_new] = ACTIONS(2117),
    [anon_sym_using] = ACTIONS(2117),
    [anon_sym_AMP_AMP] = ACTIONS(2119),
    [anon_sym_PIPE_PIPE] = ACTIONS(2119),
    [anon_sym_GT_GT] = ACTIONS(2119),
    [anon_sym_GT_GT_GT] = ACTIONS(2119),
    [anon_sym_LT_LT] = ACTIONS(2119),
    [anon_sym_AMP] = ACTIONS(2119),
    [anon_sym_CARET] = ACTIONS(2119),
    [anon_sym_PIPE] = ACTIONS(2119),
    [anon_sym_PLUS] = ACTIONS(2117),
    [anon_sym_DASH] = ACTIONS(2117),
    [anon_sym_SLASH] = ACTIONS(2117),
    [anon_sym_PERCENT] = ACTIONS(2119),
    [anon_sym_STAR_STAR] = ACTIONS(2119),
    [anon_sym_LT] = ACTIONS(2117),
    [anon_sym_LT_EQ] = ACTIONS(2119),
    [anon_sym_EQ_EQ] = ACTIONS(2119),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2119),
    [anon_sym_BANG_EQ] = ACTIONS(2119),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2119),
    [anon_sym_GT_EQ] = ACTIONS(2119),
    [anon_sym_QMARK_QMARK] = ACTIONS(2119),
    [anon_sym_instanceof] = ACTIONS(2119),
    [anon_sym_TILDE] = ACTIONS(2117),
    [anon_sym_void] = ACTIONS(2117),
    [anon_sym_delete] = ACTIONS(2117),
    [anon_sym_PLUS_PLUS] = ACTIONS(2117),
    [anon_sym_DASH_DASH] = ACTIONS(2117),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2117),
    [sym_number] = ACTIONS(2117),
    [sym_private_property_identifier] = ACTIONS(2117),
    [sym_this] = ACTIONS(2117),
    [sym_super] = ACTIONS(2117),
    [sym_true] = ACTIONS(2117),
    [sym_false] = ACTIONS(2117),
    [sym_null] = ACTIONS(2117),
    [sym_undefined] = ACTIONS(2117),
    [anon_sym_AT] = ACTIONS(2117),
    [anon_sym_static] = ACTIONS(2117),
    [anon_sym_readonly] = ACTIONS(2117),
    [anon_sym_get] = ACTIONS(2117),
    [anon_sym_set] = ACTIONS(2117),
    [anon_sym_declare] = ACTIONS(2117),
    [anon_sym_public] = ACTIONS(2117),
    [anon_sym_private] = ACTIONS(2117),
    [anon_sym_protected] = ACTIONS(2117),
    [anon_sym_override] = ACTIONS(2117),
    [anon_sym_module] = ACTIONS(2117),
    [anon_sym_any] = ACTIONS(2117),
    [anon_sym_number] = ACTIONS(2117),
    [anon_sym_boolean] = ACTIONS(2117),
    [anon_sym_string] = ACTIONS(2117),
    [anon_sym_symbol] = ACTIONS(2117),
    [anon_sym_object] = ACTIONS(2117),
    [anon_sym_abstract] = ACTIONS(2117),
    [anon_sym_satisfies] = ACTIONS(2119),
    [anon_sym_interface] = ACTIONS(2117),
    [anon_sym_enum] = ACTIONS(2117),
    [sym__automatic_semicolon] = ACTIONS(2407),
    [sym__ternary_qmark] = ACTIONS(2123),
    [sym_html_comment] = ACTIONS(5),
  },
  [431] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2048),
    [sym_expression] = STATE(3359),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7260),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2111),
    [sym_subscript_expression] = STATE(2111),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3878),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(4560),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(431),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_pattern] = STATE(5039),
    [sym_rest_pattern] = STATE(4693),
    [sym_non_null_expression] = STATE(2111),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1061),
    [anon_sym_export] = ACTIONS(111),
    [anon_sym_type] = ACTIONS(111),
    [anon_sym_namespace] = ACTIONS(120),
    [anon_sym_LBRACE] = ACTIONS(1063),
    [anon_sym_typeof] = ACTIONS(174),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(111),
    [anon_sym_BANG] = ACTIONS(174),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1948),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(149),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1071),
    [anon_sym_using] = ACTIONS(157),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(161),
    [anon_sym_PLUS] = ACTIONS(174),
    [anon_sym_DASH] = ACTIONS(174),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(174),
    [anon_sym_void] = ACTIONS(174),
    [anon_sym_delete] = ACTIONS(174),
    [anon_sym_PLUS_PLUS] = ACTIONS(1039),
    [anon_sym_DASH_DASH] = ACTIONS(1039),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(185),
    [sym_this] = ACTIONS(2409),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1081),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(111),
    [anon_sym_readonly] = ACTIONS(2411),
    [anon_sym_get] = ACTIONS(111),
    [anon_sym_set] = ACTIONS(111),
    [anon_sym_declare] = ACTIONS(111),
    [anon_sym_public] = ACTIONS(111),
    [anon_sym_private] = ACTIONS(111),
    [anon_sym_protected] = ACTIONS(111),
    [anon_sym_override] = ACTIONS(111),
    [anon_sym_module] = ACTIONS(111),
    [anon_sym_any] = ACTIONS(111),
    [anon_sym_number] = ACTIONS(111),
    [anon_sym_boolean] = ACTIONS(111),
    [anon_sym_string] = ACTIONS(111),
    [anon_sym_symbol] = ACTIONS(111),
    [anon_sym_object] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [432] = {
    [sym_comment] = STATE(432),
    [ts_builtin_sym_end] = ACTIONS(2095),
    [sym_identifier] = ACTIONS(2093),
    [anon_sym_export] = ACTIONS(2093),
    [anon_sym_STAR] = ACTIONS(2093),
    [anon_sym_type] = ACTIONS(2093),
    [anon_sym_as] = ACTIONS(2093),
    [anon_sym_namespace] = ACTIONS(2093),
    [anon_sym_LBRACE] = ACTIONS(2093),
    [anon_sym_COMMA] = ACTIONS(2093),
    [anon_sym_RBRACE] = ACTIONS(2093),
    [anon_sym_typeof] = ACTIONS(2093),
    [anon_sym_import] = ACTIONS(2093),
    [anon_sym_with] = ACTIONS(2093),
    [anon_sym_var] = ACTIONS(2093),
    [anon_sym_let] = ACTIONS(2093),
    [anon_sym_const] = ACTIONS(2093),
    [anon_sym_BANG] = ACTIONS(2093),
    [anon_sym_if] = ACTIONS(2093),
    [anon_sym_switch] = ACTIONS(2093),
    [anon_sym_for] = ACTIONS(2093),
    [anon_sym_LPAREN] = ACTIONS(2093),
    [anon_sym_await] = ACTIONS(2093),
    [anon_sym_in] = ACTIONS(2093),
    [anon_sym_while] = ACTIONS(2093),
    [anon_sym_do] = ACTIONS(2093),
    [anon_sym_try] = ACTIONS(2093),
    [anon_sym_break] = ACTIONS(2093),
    [anon_sym_continue] = ACTIONS(2093),
    [anon_sym_debugger] = ACTIONS(2093),
    [anon_sym_return] = ACTIONS(2093),
    [anon_sym_throw] = ACTIONS(2093),
    [anon_sym_SEMI] = ACTIONS(2093),
    [anon_sym_yield] = ACTIONS(2093),
    [anon_sym_LBRACK] = ACTIONS(2093),
    [anon_sym_LTtemplate_GT] = ACTIONS(2093),
    [anon_sym_GT] = ACTIONS(2093),
    [anon_sym_DOT] = ACTIONS(2093),
    [anon_sym_DQUOTE] = ACTIONS(2093),
    [anon_sym_SQUOTE] = ACTIONS(2093),
    [anon_sym_class] = ACTIONS(2093),
    [anon_sym_async] = ACTIONS(2093),
    [anon_sym_function] = ACTIONS(2093),
    [anon_sym_QMARK_DOT] = ACTIONS(2093),
    [anon_sym_new] = ACTIONS(2093),
    [anon_sym_using] = ACTIONS(2093),
    [anon_sym_AMP_AMP] = ACTIONS(2093),
    [anon_sym_PIPE_PIPE] = ACTIONS(2093),
    [anon_sym_GT_GT] = ACTIONS(2093),
    [anon_sym_GT_GT_GT] = ACTIONS(2093),
    [anon_sym_LT_LT] = ACTIONS(2093),
    [anon_sym_AMP] = ACTIONS(2093),
    [anon_sym_CARET] = ACTIONS(2093),
    [anon_sym_PIPE] = ACTIONS(2093),
    [anon_sym_PLUS] = ACTIONS(2093),
    [anon_sym_DASH] = ACTIONS(2093),
    [anon_sym_SLASH] = ACTIONS(2093),
    [anon_sym_PERCENT] = ACTIONS(2093),
    [anon_sym_STAR_STAR] = ACTIONS(2093),
    [anon_sym_LT] = ACTIONS(2093),
    [anon_sym_LT_EQ] = ACTIONS(2093),
    [anon_sym_EQ_EQ] = ACTIONS(2093),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2093),
    [anon_sym_BANG_EQ] = ACTIONS(2093),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2093),
    [anon_sym_GT_EQ] = ACTIONS(2093),
    [anon_sym_QMARK_QMARK] = ACTIONS(2093),
    [anon_sym_instanceof] = ACTIONS(2093),
    [anon_sym_TILDE] = ACTIONS(2093),
    [anon_sym_void] = ACTIONS(2093),
    [anon_sym_delete] = ACTIONS(2093),
    [anon_sym_PLUS_PLUS] = ACTIONS(2093),
    [anon_sym_DASH_DASH] = ACTIONS(2093),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2093),
    [sym_number] = ACTIONS(2093),
    [sym_private_property_identifier] = ACTIONS(2093),
    [sym_this] = ACTIONS(2093),
    [sym_super] = ACTIONS(2093),
    [sym_true] = ACTIONS(2093),
    [sym_false] = ACTIONS(2093),
    [sym_null] = ACTIONS(2093),
    [sym_undefined] = ACTIONS(2093),
    [anon_sym_AT] = ACTIONS(2093),
    [anon_sym_static] = ACTIONS(2093),
    [anon_sym_readonly] = ACTIONS(2093),
    [anon_sym_get] = ACTIONS(2093),
    [anon_sym_set] = ACTIONS(2093),
    [anon_sym_declare] = ACTIONS(2093),
    [anon_sym_public] = ACTIONS(2093),
    [anon_sym_private] = ACTIONS(2093),
    [anon_sym_protected] = ACTIONS(2093),
    [anon_sym_override] = ACTIONS(2093),
    [anon_sym_module] = ACTIONS(2093),
    [anon_sym_any] = ACTIONS(2093),
    [anon_sym_number] = ACTIONS(2093),
    [anon_sym_boolean] = ACTIONS(2093),
    [anon_sym_string] = ACTIONS(2093),
    [anon_sym_symbol] = ACTIONS(2093),
    [anon_sym_object] = ACTIONS(2093),
    [anon_sym_abstract] = ACTIONS(2093),
    [anon_sym_satisfies] = ACTIONS(2093),
    [anon_sym_interface] = ACTIONS(2093),
    [anon_sym_enum] = ACTIONS(2093),
    [sym__automatic_semicolon] = ACTIONS(2413),
    [sym__ternary_qmark] = ACTIONS(2095),
    [sym_html_comment] = ACTIONS(5),
  },
  [433] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2048),
    [sym_expression] = STATE(3359),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7260),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2111),
    [sym_subscript_expression] = STATE(2111),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3878),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(4560),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(433),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_pattern] = STATE(5245),
    [sym_rest_pattern] = STATE(4693),
    [sym_non_null_expression] = STATE(2111),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1061),
    [anon_sym_export] = ACTIONS(111),
    [anon_sym_type] = ACTIONS(111),
    [anon_sym_namespace] = ACTIONS(120),
    [anon_sym_LBRACE] = ACTIONS(1063),
    [anon_sym_typeof] = ACTIONS(174),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(111),
    [anon_sym_BANG] = ACTIONS(174),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1948),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(149),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1071),
    [anon_sym_using] = ACTIONS(157),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(161),
    [anon_sym_PLUS] = ACTIONS(174),
    [anon_sym_DASH] = ACTIONS(174),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(174),
    [anon_sym_void] = ACTIONS(174),
    [anon_sym_delete] = ACTIONS(174),
    [anon_sym_PLUS_PLUS] = ACTIONS(1039),
    [anon_sym_DASH_DASH] = ACTIONS(1039),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(185),
    [sym_this] = ACTIONS(1079),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1081),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(111),
    [anon_sym_readonly] = ACTIONS(2353),
    [anon_sym_get] = ACTIONS(111),
    [anon_sym_set] = ACTIONS(111),
    [anon_sym_declare] = ACTIONS(111),
    [anon_sym_public] = ACTIONS(111),
    [anon_sym_private] = ACTIONS(111),
    [anon_sym_protected] = ACTIONS(111),
    [anon_sym_override] = ACTIONS(111),
    [anon_sym_module] = ACTIONS(111),
    [anon_sym_any] = ACTIONS(111),
    [anon_sym_number] = ACTIONS(111),
    [anon_sym_boolean] = ACTIONS(111),
    [anon_sym_string] = ACTIONS(111),
    [anon_sym_symbol] = ACTIONS(111),
    [anon_sym_object] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [434] = {
    [sym_comment] = STATE(434),
    [ts_builtin_sym_end] = ACTIONS(2079),
    [sym_identifier] = ACTIONS(2077),
    [anon_sym_export] = ACTIONS(2077),
    [anon_sym_STAR] = ACTIONS(2077),
    [anon_sym_type] = ACTIONS(2077),
    [anon_sym_as] = ACTIONS(2077),
    [anon_sym_namespace] = ACTIONS(2077),
    [anon_sym_LBRACE] = ACTIONS(2077),
    [anon_sym_COMMA] = ACTIONS(2077),
    [anon_sym_RBRACE] = ACTIONS(2077),
    [anon_sym_typeof] = ACTIONS(2077),
    [anon_sym_import] = ACTIONS(2077),
    [anon_sym_with] = ACTIONS(2077),
    [anon_sym_var] = ACTIONS(2077),
    [anon_sym_let] = ACTIONS(2077),
    [anon_sym_const] = ACTIONS(2077),
    [anon_sym_BANG] = ACTIONS(2077),
    [anon_sym_if] = ACTIONS(2077),
    [anon_sym_switch] = ACTIONS(2077),
    [anon_sym_for] = ACTIONS(2077),
    [anon_sym_LPAREN] = ACTIONS(2077),
    [anon_sym_await] = ACTIONS(2077),
    [anon_sym_in] = ACTIONS(2077),
    [anon_sym_while] = ACTIONS(2077),
    [anon_sym_do] = ACTIONS(2077),
    [anon_sym_try] = ACTIONS(2077),
    [anon_sym_break] = ACTIONS(2077),
    [anon_sym_continue] = ACTIONS(2077),
    [anon_sym_debugger] = ACTIONS(2077),
    [anon_sym_return] = ACTIONS(2077),
    [anon_sym_throw] = ACTIONS(2077),
    [anon_sym_SEMI] = ACTIONS(2077),
    [anon_sym_yield] = ACTIONS(2077),
    [anon_sym_LBRACK] = ACTIONS(2077),
    [anon_sym_LTtemplate_GT] = ACTIONS(2077),
    [anon_sym_GT] = ACTIONS(2077),
    [anon_sym_DOT] = ACTIONS(2077),
    [anon_sym_DQUOTE] = ACTIONS(2077),
    [anon_sym_SQUOTE] = ACTIONS(2077),
    [anon_sym_class] = ACTIONS(2077),
    [anon_sym_async] = ACTIONS(2077),
    [anon_sym_function] = ACTIONS(2077),
    [anon_sym_QMARK_DOT] = ACTIONS(2077),
    [anon_sym_new] = ACTIONS(2077),
    [anon_sym_using] = ACTIONS(2077),
    [anon_sym_AMP_AMP] = ACTIONS(2077),
    [anon_sym_PIPE_PIPE] = ACTIONS(2077),
    [anon_sym_GT_GT] = ACTIONS(2077),
    [anon_sym_GT_GT_GT] = ACTIONS(2077),
    [anon_sym_LT_LT] = ACTIONS(2077),
    [anon_sym_AMP] = ACTIONS(2077),
    [anon_sym_CARET] = ACTIONS(2077),
    [anon_sym_PIPE] = ACTIONS(2077),
    [anon_sym_PLUS] = ACTIONS(2077),
    [anon_sym_DASH] = ACTIONS(2077),
    [anon_sym_SLASH] = ACTIONS(2077),
    [anon_sym_PERCENT] = ACTIONS(2077),
    [anon_sym_STAR_STAR] = ACTIONS(2077),
    [anon_sym_LT] = ACTIONS(2077),
    [anon_sym_LT_EQ] = ACTIONS(2077),
    [anon_sym_EQ_EQ] = ACTIONS(2077),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2077),
    [anon_sym_BANG_EQ] = ACTIONS(2077),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2077),
    [anon_sym_GT_EQ] = ACTIONS(2077),
    [anon_sym_QMARK_QMARK] = ACTIONS(2077),
    [anon_sym_instanceof] = ACTIONS(2077),
    [anon_sym_TILDE] = ACTIONS(2077),
    [anon_sym_void] = ACTIONS(2077),
    [anon_sym_delete] = ACTIONS(2077),
    [anon_sym_PLUS_PLUS] = ACTIONS(2077),
    [anon_sym_DASH_DASH] = ACTIONS(2077),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2077),
    [sym_number] = ACTIONS(2077),
    [sym_private_property_identifier] = ACTIONS(2077),
    [sym_this] = ACTIONS(2077),
    [sym_super] = ACTIONS(2077),
    [sym_true] = ACTIONS(2077),
    [sym_false] = ACTIONS(2077),
    [sym_null] = ACTIONS(2077),
    [sym_undefined] = ACTIONS(2077),
    [anon_sym_AT] = ACTIONS(2077),
    [anon_sym_static] = ACTIONS(2077),
    [anon_sym_readonly] = ACTIONS(2077),
    [anon_sym_get] = ACTIONS(2077),
    [anon_sym_set] = ACTIONS(2077),
    [anon_sym_declare] = ACTIONS(2077),
    [anon_sym_public] = ACTIONS(2077),
    [anon_sym_private] = ACTIONS(2077),
    [anon_sym_protected] = ACTIONS(2077),
    [anon_sym_override] = ACTIONS(2077),
    [anon_sym_module] = ACTIONS(2077),
    [anon_sym_any] = ACTIONS(2077),
    [anon_sym_number] = ACTIONS(2077),
    [anon_sym_boolean] = ACTIONS(2077),
    [anon_sym_string] = ACTIONS(2077),
    [anon_sym_symbol] = ACTIONS(2077),
    [anon_sym_object] = ACTIONS(2077),
    [anon_sym_abstract] = ACTIONS(2077),
    [anon_sym_satisfies] = ACTIONS(2077),
    [anon_sym_interface] = ACTIONS(2077),
    [anon_sym_enum] = ACTIONS(2077),
    [sym__automatic_semicolon] = ACTIONS(2079),
    [sym__ternary_qmark] = ACTIONS(2079),
    [sym_html_comment] = ACTIONS(5),
  },
  [435] = {
    [sym_comment] = STATE(435),
    [ts_builtin_sym_end] = ACTIONS(2095),
    [sym_identifier] = ACTIONS(2093),
    [anon_sym_export] = ACTIONS(2093),
    [anon_sym_STAR] = ACTIONS(2093),
    [anon_sym_type] = ACTIONS(2093),
    [anon_sym_as] = ACTIONS(2093),
    [anon_sym_namespace] = ACTIONS(2093),
    [anon_sym_LBRACE] = ACTIONS(2093),
    [anon_sym_COMMA] = ACTIONS(2093),
    [anon_sym_RBRACE] = ACTIONS(2093),
    [anon_sym_typeof] = ACTIONS(2093),
    [anon_sym_import] = ACTIONS(2093),
    [anon_sym_with] = ACTIONS(2093),
    [anon_sym_var] = ACTIONS(2093),
    [anon_sym_let] = ACTIONS(2093),
    [anon_sym_const] = ACTIONS(2093),
    [anon_sym_BANG] = ACTIONS(2093),
    [anon_sym_if] = ACTIONS(2093),
    [anon_sym_switch] = ACTIONS(2093),
    [anon_sym_for] = ACTIONS(2093),
    [anon_sym_LPAREN] = ACTIONS(2093),
    [anon_sym_await] = ACTIONS(2093),
    [anon_sym_in] = ACTIONS(2093),
    [anon_sym_while] = ACTIONS(2093),
    [anon_sym_do] = ACTIONS(2093),
    [anon_sym_try] = ACTIONS(2093),
    [anon_sym_break] = ACTIONS(2093),
    [anon_sym_continue] = ACTIONS(2093),
    [anon_sym_debugger] = ACTIONS(2093),
    [anon_sym_return] = ACTIONS(2093),
    [anon_sym_throw] = ACTIONS(2093),
    [anon_sym_SEMI] = ACTIONS(2093),
    [anon_sym_yield] = ACTIONS(2093),
    [anon_sym_LBRACK] = ACTIONS(2093),
    [anon_sym_LTtemplate_GT] = ACTIONS(2093),
    [anon_sym_GT] = ACTIONS(2093),
    [anon_sym_DOT] = ACTIONS(2093),
    [anon_sym_DQUOTE] = ACTIONS(2093),
    [anon_sym_SQUOTE] = ACTIONS(2093),
    [anon_sym_class] = ACTIONS(2093),
    [anon_sym_async] = ACTIONS(2093),
    [anon_sym_function] = ACTIONS(2093),
    [anon_sym_QMARK_DOT] = ACTIONS(2093),
    [anon_sym_new] = ACTIONS(2093),
    [anon_sym_using] = ACTIONS(2093),
    [anon_sym_AMP_AMP] = ACTIONS(2093),
    [anon_sym_PIPE_PIPE] = ACTIONS(2093),
    [anon_sym_GT_GT] = ACTIONS(2093),
    [anon_sym_GT_GT_GT] = ACTIONS(2093),
    [anon_sym_LT_LT] = ACTIONS(2093),
    [anon_sym_AMP] = ACTIONS(2093),
    [anon_sym_CARET] = ACTIONS(2093),
    [anon_sym_PIPE] = ACTIONS(2093),
    [anon_sym_PLUS] = ACTIONS(2093),
    [anon_sym_DASH] = ACTIONS(2093),
    [anon_sym_SLASH] = ACTIONS(2093),
    [anon_sym_PERCENT] = ACTIONS(2093),
    [anon_sym_STAR_STAR] = ACTIONS(2093),
    [anon_sym_LT] = ACTIONS(2093),
    [anon_sym_LT_EQ] = ACTIONS(2093),
    [anon_sym_EQ_EQ] = ACTIONS(2093),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2093),
    [anon_sym_BANG_EQ] = ACTIONS(2093),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2093),
    [anon_sym_GT_EQ] = ACTIONS(2093),
    [anon_sym_QMARK_QMARK] = ACTIONS(2093),
    [anon_sym_instanceof] = ACTIONS(2093),
    [anon_sym_TILDE] = ACTIONS(2093),
    [anon_sym_void] = ACTIONS(2093),
    [anon_sym_delete] = ACTIONS(2093),
    [anon_sym_PLUS_PLUS] = ACTIONS(2093),
    [anon_sym_DASH_DASH] = ACTIONS(2093),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2093),
    [sym_number] = ACTIONS(2093),
    [sym_private_property_identifier] = ACTIONS(2093),
    [sym_this] = ACTIONS(2093),
    [sym_super] = ACTIONS(2093),
    [sym_true] = ACTIONS(2093),
    [sym_false] = ACTIONS(2093),
    [sym_null] = ACTIONS(2093),
    [sym_undefined] = ACTIONS(2093),
    [anon_sym_AT] = ACTIONS(2093),
    [anon_sym_static] = ACTIONS(2093),
    [anon_sym_readonly] = ACTIONS(2093),
    [anon_sym_get] = ACTIONS(2093),
    [anon_sym_set] = ACTIONS(2093),
    [anon_sym_declare] = ACTIONS(2093),
    [anon_sym_public] = ACTIONS(2093),
    [anon_sym_private] = ACTIONS(2093),
    [anon_sym_protected] = ACTIONS(2093),
    [anon_sym_override] = ACTIONS(2093),
    [anon_sym_module] = ACTIONS(2093),
    [anon_sym_any] = ACTIONS(2093),
    [anon_sym_number] = ACTIONS(2093),
    [anon_sym_boolean] = ACTIONS(2093),
    [anon_sym_string] = ACTIONS(2093),
    [anon_sym_symbol] = ACTIONS(2093),
    [anon_sym_object] = ACTIONS(2093),
    [anon_sym_abstract] = ACTIONS(2093),
    [anon_sym_satisfies] = ACTIONS(2093),
    [anon_sym_interface] = ACTIONS(2093),
    [anon_sym_enum] = ACTIONS(2093),
    [sym__automatic_semicolon] = ACTIONS(2095),
    [sym__ternary_qmark] = ACTIONS(2095),
    [sym_html_comment] = ACTIONS(5),
  },
  [436] = {
    [sym_comment] = STATE(436),
    [ts_builtin_sym_end] = ACTIONS(2301),
    [sym_identifier] = ACTIONS(2127),
    [anon_sym_export] = ACTIONS(2127),
    [anon_sym_STAR] = ACTIONS(2129),
    [anon_sym_type] = ACTIONS(2127),
    [anon_sym_as] = ACTIONS(2129),
    [anon_sym_namespace] = ACTIONS(2127),
    [anon_sym_LBRACE] = ACTIONS(2127),
    [anon_sym_COMMA] = ACTIONS(2129),
    [anon_sym_RBRACE] = ACTIONS(2127),
    [anon_sym_typeof] = ACTIONS(2127),
    [anon_sym_import] = ACTIONS(2127),
    [anon_sym_with] = ACTIONS(2127),
    [anon_sym_var] = ACTIONS(2127),
    [anon_sym_let] = ACTIONS(2127),
    [anon_sym_const] = ACTIONS(2127),
    [anon_sym_BANG] = ACTIONS(2127),
    [anon_sym_if] = ACTIONS(2127),
    [anon_sym_switch] = ACTIONS(2127),
    [anon_sym_for] = ACTIONS(2127),
    [anon_sym_LPAREN] = ACTIONS(2127),
    [anon_sym_await] = ACTIONS(2127),
    [anon_sym_in] = ACTIONS(2129),
    [anon_sym_while] = ACTIONS(2127),
    [anon_sym_do] = ACTIONS(2127),
    [anon_sym_try] = ACTIONS(2127),
    [anon_sym_break] = ACTIONS(2127),
    [anon_sym_continue] = ACTIONS(2127),
    [anon_sym_debugger] = ACTIONS(2127),
    [anon_sym_return] = ACTIONS(2127),
    [anon_sym_throw] = ACTIONS(2127),
    [anon_sym_SEMI] = ACTIONS(2127),
    [anon_sym_yield] = ACTIONS(2127),
    [anon_sym_LBRACK] = ACTIONS(2127),
    [anon_sym_LTtemplate_GT] = ACTIONS(2127),
    [anon_sym_GT] = ACTIONS(2129),
    [anon_sym_DOT] = ACTIONS(2129),
    [anon_sym_DQUOTE] = ACTIONS(2127),
    [anon_sym_SQUOTE] = ACTIONS(2127),
    [anon_sym_class] = ACTIONS(2127),
    [anon_sym_async] = ACTIONS(2127),
    [anon_sym_function] = ACTIONS(2127),
    [anon_sym_QMARK_DOT] = ACTIONS(2129),
    [anon_sym_new] = ACTIONS(2127),
    [anon_sym_using] = ACTIONS(2127),
    [anon_sym_AMP_AMP] = ACTIONS(2129),
    [anon_sym_PIPE_PIPE] = ACTIONS(2129),
    [anon_sym_GT_GT] = ACTIONS(2129),
    [anon_sym_GT_GT_GT] = ACTIONS(2129),
    [anon_sym_LT_LT] = ACTIONS(2129),
    [anon_sym_AMP] = ACTIONS(2129),
    [anon_sym_CARET] = ACTIONS(2129),
    [anon_sym_PIPE] = ACTIONS(2129),
    [anon_sym_PLUS] = ACTIONS(2127),
    [anon_sym_DASH] = ACTIONS(2127),
    [anon_sym_SLASH] = ACTIONS(2127),
    [anon_sym_PERCENT] = ACTIONS(2129),
    [anon_sym_STAR_STAR] = ACTIONS(2129),
    [anon_sym_LT] = ACTIONS(2127),
    [anon_sym_LT_EQ] = ACTIONS(2129),
    [anon_sym_EQ_EQ] = ACTIONS(2129),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2129),
    [anon_sym_BANG_EQ] = ACTIONS(2129),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2129),
    [anon_sym_GT_EQ] = ACTIONS(2129),
    [anon_sym_QMARK_QMARK] = ACTIONS(2129),
    [anon_sym_instanceof] = ACTIONS(2129),
    [anon_sym_TILDE] = ACTIONS(2127),
    [anon_sym_void] = ACTIONS(2127),
    [anon_sym_delete] = ACTIONS(2127),
    [anon_sym_PLUS_PLUS] = ACTIONS(2127),
    [anon_sym_DASH_DASH] = ACTIONS(2127),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2127),
    [sym_number] = ACTIONS(2127),
    [sym_private_property_identifier] = ACTIONS(2127),
    [sym_this] = ACTIONS(2127),
    [sym_super] = ACTIONS(2127),
    [sym_true] = ACTIONS(2127),
    [sym_false] = ACTIONS(2127),
    [sym_null] = ACTIONS(2127),
    [sym_undefined] = ACTIONS(2127),
    [anon_sym_AT] = ACTIONS(2127),
    [anon_sym_static] = ACTIONS(2127),
    [anon_sym_readonly] = ACTIONS(2127),
    [anon_sym_get] = ACTIONS(2127),
    [anon_sym_set] = ACTIONS(2127),
    [anon_sym_declare] = ACTIONS(2127),
    [anon_sym_public] = ACTIONS(2127),
    [anon_sym_private] = ACTIONS(2127),
    [anon_sym_protected] = ACTIONS(2127),
    [anon_sym_override] = ACTIONS(2127),
    [anon_sym_module] = ACTIONS(2127),
    [anon_sym_any] = ACTIONS(2127),
    [anon_sym_number] = ACTIONS(2127),
    [anon_sym_boolean] = ACTIONS(2127),
    [anon_sym_string] = ACTIONS(2127),
    [anon_sym_symbol] = ACTIONS(2127),
    [anon_sym_object] = ACTIONS(2127),
    [anon_sym_abstract] = ACTIONS(2127),
    [anon_sym_satisfies] = ACTIONS(2129),
    [anon_sym_interface] = ACTIONS(2127),
    [anon_sym_enum] = ACTIONS(2127),
    [sym__automatic_semicolon] = ACTIONS(2415),
    [sym__ternary_qmark] = ACTIONS(2133),
    [sym_html_comment] = ACTIONS(5),
  },
  [437] = {
    [sym_comment] = STATE(437),
    [ts_builtin_sym_end] = ACTIONS(2387),
    [sym_identifier] = ACTIONS(2167),
    [anon_sym_export] = ACTIONS(2167),
    [anon_sym_STAR] = ACTIONS(2169),
    [anon_sym_type] = ACTIONS(2167),
    [anon_sym_as] = ACTIONS(2169),
    [anon_sym_namespace] = ACTIONS(2167),
    [anon_sym_LBRACE] = ACTIONS(2167),
    [anon_sym_COMMA] = ACTIONS(2169),
    [anon_sym_RBRACE] = ACTIONS(2167),
    [anon_sym_typeof] = ACTIONS(2167),
    [anon_sym_import] = ACTIONS(2167),
    [anon_sym_with] = ACTIONS(2167),
    [anon_sym_var] = ACTIONS(2167),
    [anon_sym_let] = ACTIONS(2167),
    [anon_sym_const] = ACTIONS(2167),
    [anon_sym_BANG] = ACTIONS(2167),
    [anon_sym_if] = ACTIONS(2167),
    [anon_sym_switch] = ACTIONS(2167),
    [anon_sym_for] = ACTIONS(2167),
    [anon_sym_LPAREN] = ACTIONS(2167),
    [anon_sym_await] = ACTIONS(2167),
    [anon_sym_in] = ACTIONS(2169),
    [anon_sym_while] = ACTIONS(2167),
    [anon_sym_do] = ACTIONS(2167),
    [anon_sym_try] = ACTIONS(2167),
    [anon_sym_break] = ACTIONS(2167),
    [anon_sym_continue] = ACTIONS(2167),
    [anon_sym_debugger] = ACTIONS(2167),
    [anon_sym_return] = ACTIONS(2167),
    [anon_sym_throw] = ACTIONS(2167),
    [anon_sym_SEMI] = ACTIONS(2167),
    [anon_sym_yield] = ACTIONS(2167),
    [anon_sym_LBRACK] = ACTIONS(2167),
    [anon_sym_LTtemplate_GT] = ACTIONS(2167),
    [anon_sym_GT] = ACTIONS(2169),
    [anon_sym_DOT] = ACTIONS(2169),
    [anon_sym_DQUOTE] = ACTIONS(2167),
    [anon_sym_SQUOTE] = ACTIONS(2167),
    [anon_sym_class] = ACTIONS(2167),
    [anon_sym_async] = ACTIONS(2167),
    [anon_sym_function] = ACTIONS(2167),
    [anon_sym_QMARK_DOT] = ACTIONS(2169),
    [anon_sym_new] = ACTIONS(2167),
    [anon_sym_using] = ACTIONS(2167),
    [anon_sym_AMP_AMP] = ACTIONS(2169),
    [anon_sym_PIPE_PIPE] = ACTIONS(2169),
    [anon_sym_GT_GT] = ACTIONS(2169),
    [anon_sym_GT_GT_GT] = ACTIONS(2169),
    [anon_sym_LT_LT] = ACTIONS(2169),
    [anon_sym_AMP] = ACTIONS(2169),
    [anon_sym_CARET] = ACTIONS(2169),
    [anon_sym_PIPE] = ACTIONS(2169),
    [anon_sym_PLUS] = ACTIONS(2167),
    [anon_sym_DASH] = ACTIONS(2167),
    [anon_sym_SLASH] = ACTIONS(2167),
    [anon_sym_PERCENT] = ACTIONS(2169),
    [anon_sym_STAR_STAR] = ACTIONS(2169),
    [anon_sym_LT] = ACTIONS(2167),
    [anon_sym_LT_EQ] = ACTIONS(2169),
    [anon_sym_EQ_EQ] = ACTIONS(2169),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2169),
    [anon_sym_BANG_EQ] = ACTIONS(2169),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2169),
    [anon_sym_GT_EQ] = ACTIONS(2169),
    [anon_sym_QMARK_QMARK] = ACTIONS(2169),
    [anon_sym_instanceof] = ACTIONS(2169),
    [anon_sym_TILDE] = ACTIONS(2167),
    [anon_sym_void] = ACTIONS(2167),
    [anon_sym_delete] = ACTIONS(2167),
    [anon_sym_PLUS_PLUS] = ACTIONS(2167),
    [anon_sym_DASH_DASH] = ACTIONS(2167),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2167),
    [sym_number] = ACTIONS(2167),
    [sym_private_property_identifier] = ACTIONS(2167),
    [sym_this] = ACTIONS(2167),
    [sym_super] = ACTIONS(2167),
    [sym_true] = ACTIONS(2167),
    [sym_false] = ACTIONS(2167),
    [sym_null] = ACTIONS(2167),
    [sym_undefined] = ACTIONS(2167),
    [anon_sym_AT] = ACTIONS(2167),
    [anon_sym_static] = ACTIONS(2167),
    [anon_sym_readonly] = ACTIONS(2167),
    [anon_sym_get] = ACTIONS(2167),
    [anon_sym_set] = ACTIONS(2167),
    [anon_sym_declare] = ACTIONS(2167),
    [anon_sym_public] = ACTIONS(2167),
    [anon_sym_private] = ACTIONS(2167),
    [anon_sym_protected] = ACTIONS(2167),
    [anon_sym_override] = ACTIONS(2167),
    [anon_sym_module] = ACTIONS(2167),
    [anon_sym_any] = ACTIONS(2167),
    [anon_sym_number] = ACTIONS(2167),
    [anon_sym_boolean] = ACTIONS(2167),
    [anon_sym_string] = ACTIONS(2167),
    [anon_sym_symbol] = ACTIONS(2167),
    [anon_sym_object] = ACTIONS(2167),
    [anon_sym_abstract] = ACTIONS(2167),
    [anon_sym_satisfies] = ACTIONS(2169),
    [anon_sym_interface] = ACTIONS(2167),
    [anon_sym_enum] = ACTIONS(2167),
    [sym__automatic_semicolon] = ACTIONS(2171),
    [sym__ternary_qmark] = ACTIONS(2171),
    [sym_html_comment] = ACTIONS(5),
  },
  [438] = {
    [sym_comment] = STATE(438),
    [ts_builtin_sym_end] = ACTIONS(2341),
    [sym_identifier] = ACTIONS(2085),
    [anon_sym_export] = ACTIONS(2085),
    [anon_sym_STAR] = ACTIONS(2087),
    [anon_sym_type] = ACTIONS(2085),
    [anon_sym_as] = ACTIONS(2087),
    [anon_sym_namespace] = ACTIONS(2085),
    [anon_sym_LBRACE] = ACTIONS(2085),
    [anon_sym_COMMA] = ACTIONS(2087),
    [anon_sym_RBRACE] = ACTIONS(2085),
    [anon_sym_typeof] = ACTIONS(2085),
    [anon_sym_import] = ACTIONS(2085),
    [anon_sym_with] = ACTIONS(2085),
    [anon_sym_var] = ACTIONS(2085),
    [anon_sym_let] = ACTIONS(2085),
    [anon_sym_const] = ACTIONS(2085),
    [anon_sym_BANG] = ACTIONS(2085),
    [anon_sym_if] = ACTIONS(2085),
    [anon_sym_switch] = ACTIONS(2085),
    [anon_sym_for] = ACTIONS(2085),
    [anon_sym_LPAREN] = ACTIONS(2085),
    [anon_sym_await] = ACTIONS(2085),
    [anon_sym_in] = ACTIONS(2087),
    [anon_sym_while] = ACTIONS(2085),
    [anon_sym_do] = ACTIONS(2085),
    [anon_sym_try] = ACTIONS(2085),
    [anon_sym_break] = ACTIONS(2085),
    [anon_sym_continue] = ACTIONS(2085),
    [anon_sym_debugger] = ACTIONS(2085),
    [anon_sym_return] = ACTIONS(2085),
    [anon_sym_throw] = ACTIONS(2085),
    [anon_sym_SEMI] = ACTIONS(2085),
    [anon_sym_yield] = ACTIONS(2085),
    [anon_sym_LBRACK] = ACTIONS(2085),
    [anon_sym_LTtemplate_GT] = ACTIONS(2085),
    [anon_sym_GT] = ACTIONS(2087),
    [anon_sym_DOT] = ACTIONS(2087),
    [anon_sym_DQUOTE] = ACTIONS(2085),
    [anon_sym_SQUOTE] = ACTIONS(2085),
    [anon_sym_class] = ACTIONS(2085),
    [anon_sym_async] = ACTIONS(2085),
    [anon_sym_function] = ACTIONS(2085),
    [anon_sym_QMARK_DOT] = ACTIONS(2087),
    [anon_sym_new] = ACTIONS(2085),
    [anon_sym_using] = ACTIONS(2085),
    [anon_sym_AMP_AMP] = ACTIONS(2087),
    [anon_sym_PIPE_PIPE] = ACTIONS(2087),
    [anon_sym_GT_GT] = ACTIONS(2087),
    [anon_sym_GT_GT_GT] = ACTIONS(2087),
    [anon_sym_LT_LT] = ACTIONS(2087),
    [anon_sym_AMP] = ACTIONS(2087),
    [anon_sym_CARET] = ACTIONS(2087),
    [anon_sym_PIPE] = ACTIONS(2087),
    [anon_sym_PLUS] = ACTIONS(2085),
    [anon_sym_DASH] = ACTIONS(2085),
    [anon_sym_SLASH] = ACTIONS(2085),
    [anon_sym_PERCENT] = ACTIONS(2087),
    [anon_sym_STAR_STAR] = ACTIONS(2087),
    [anon_sym_LT] = ACTIONS(2085),
    [anon_sym_LT_EQ] = ACTIONS(2087),
    [anon_sym_EQ_EQ] = ACTIONS(2087),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2087),
    [anon_sym_BANG_EQ] = ACTIONS(2087),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2087),
    [anon_sym_GT_EQ] = ACTIONS(2087),
    [anon_sym_QMARK_QMARK] = ACTIONS(2087),
    [anon_sym_instanceof] = ACTIONS(2087),
    [anon_sym_TILDE] = ACTIONS(2085),
    [anon_sym_void] = ACTIONS(2085),
    [anon_sym_delete] = ACTIONS(2085),
    [anon_sym_PLUS_PLUS] = ACTIONS(2085),
    [anon_sym_DASH_DASH] = ACTIONS(2085),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2085),
    [sym_number] = ACTIONS(2085),
    [sym_private_property_identifier] = ACTIONS(2085),
    [sym_this] = ACTIONS(2085),
    [sym_super] = ACTIONS(2085),
    [sym_true] = ACTIONS(2085),
    [sym_false] = ACTIONS(2085),
    [sym_null] = ACTIONS(2085),
    [sym_undefined] = ACTIONS(2085),
    [anon_sym_AT] = ACTIONS(2085),
    [anon_sym_static] = ACTIONS(2085),
    [anon_sym_readonly] = ACTIONS(2085),
    [anon_sym_get] = ACTIONS(2085),
    [anon_sym_set] = ACTIONS(2085),
    [anon_sym_declare] = ACTIONS(2085),
    [anon_sym_public] = ACTIONS(2085),
    [anon_sym_private] = ACTIONS(2085),
    [anon_sym_protected] = ACTIONS(2085),
    [anon_sym_override] = ACTIONS(2085),
    [anon_sym_module] = ACTIONS(2085),
    [anon_sym_any] = ACTIONS(2085),
    [anon_sym_number] = ACTIONS(2085),
    [anon_sym_boolean] = ACTIONS(2085),
    [anon_sym_string] = ACTIONS(2085),
    [anon_sym_symbol] = ACTIONS(2085),
    [anon_sym_object] = ACTIONS(2085),
    [anon_sym_abstract] = ACTIONS(2085),
    [anon_sym_satisfies] = ACTIONS(2087),
    [anon_sym_interface] = ACTIONS(2085),
    [anon_sym_enum] = ACTIONS(2085),
    [sym__automatic_semicolon] = ACTIONS(2417),
    [sym__ternary_qmark] = ACTIONS(2091),
    [sym_html_comment] = ACTIONS(5),
  },
  [439] = {
    [sym_comment] = STATE(439),
    [sym_identifier] = ACTIONS(2419),
    [anon_sym_export] = ACTIONS(2419),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(2419),
    [anon_sym_EQ] = ACTIONS(213),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2419),
    [anon_sym_LBRACE] = ACTIONS(2419),
    [anon_sym_COMMA] = ACTIONS(216),
    [anon_sym_typeof] = ACTIONS(2419),
    [anon_sym_import] = ACTIONS(2419),
    [anon_sym_let] = ACTIONS(2419),
    [anon_sym_BANG] = ACTIONS(2419),
    [anon_sym_LPAREN] = ACTIONS(2419),
    [anon_sym_RPAREN] = ACTIONS(216),
    [anon_sym_await] = ACTIONS(2419),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(216),
    [anon_sym_yield] = ACTIONS(2419),
    [anon_sym_LBRACK] = ACTIONS(2419),
    [anon_sym_LTtemplate_GT] = ACTIONS(2419),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(2419),
    [anon_sym_SQUOTE] = ACTIONS(2419),
    [anon_sym_class] = ACTIONS(2419),
    [anon_sym_async] = ACTIONS(2419),
    [anon_sym_function] = ACTIONS(2419),
    [anon_sym_EQ_GT] = ACTIONS(219),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(2419),
    [anon_sym_using] = ACTIONS(2419),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2419),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(2419),
    [anon_sym_DASH] = ACTIONS(2419),
    [anon_sym_SLASH] = ACTIONS(2419),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2419),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(2419),
    [anon_sym_void] = ACTIONS(2419),
    [anon_sym_delete] = ACTIONS(2419),
    [anon_sym_PLUS_PLUS] = ACTIONS(2419),
    [anon_sym_DASH_DASH] = ACTIONS(2419),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2419),
    [sym_number] = ACTIONS(2419),
    [sym_private_property_identifier] = ACTIONS(2419),
    [sym_this] = ACTIONS(2419),
    [sym_super] = ACTIONS(2419),
    [sym_true] = ACTIONS(2419),
    [sym_false] = ACTIONS(2419),
    [sym_null] = ACTIONS(2419),
    [sym_undefined] = ACTIONS(2419),
    [anon_sym_AT] = ACTIONS(2419),
    [anon_sym_static] = ACTIONS(2419),
    [anon_sym_readonly] = ACTIONS(2419),
    [anon_sym_get] = ACTIONS(2419),
    [anon_sym_set] = ACTIONS(2419),
    [anon_sym_QMARK] = ACTIONS(124),
    [anon_sym_declare] = ACTIONS(2419),
    [anon_sym_public] = ACTIONS(2419),
    [anon_sym_private] = ACTIONS(2419),
    [anon_sym_protected] = ACTIONS(2419),
    [anon_sym_override] = ACTIONS(2419),
    [anon_sym_module] = ACTIONS(2419),
    [anon_sym_any] = ACTIONS(2419),
    [anon_sym_number] = ACTIONS(2419),
    [anon_sym_boolean] = ACTIONS(2419),
    [anon_sym_string] = ACTIONS(2419),
    [anon_sym_symbol] = ACTIONS(2419),
    [anon_sym_object] = ACTIONS(2419),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [440] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2048),
    [sym_expression] = STATE(3359),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7260),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2111),
    [sym_subscript_expression] = STATE(2111),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3878),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(4560),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(440),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_pattern] = STATE(5061),
    [sym_rest_pattern] = STATE(4693),
    [sym_non_null_expression] = STATE(2111),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1061),
    [anon_sym_export] = ACTIONS(111),
    [anon_sym_type] = ACTIONS(111),
    [anon_sym_namespace] = ACTIONS(120),
    [anon_sym_LBRACE] = ACTIONS(1063),
    [anon_sym_typeof] = ACTIONS(174),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(111),
    [anon_sym_BANG] = ACTIONS(174),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1948),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(149),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1071),
    [anon_sym_using] = ACTIONS(157),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(161),
    [anon_sym_PLUS] = ACTIONS(174),
    [anon_sym_DASH] = ACTIONS(174),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(174),
    [anon_sym_void] = ACTIONS(174),
    [anon_sym_delete] = ACTIONS(174),
    [anon_sym_PLUS_PLUS] = ACTIONS(1039),
    [anon_sym_DASH_DASH] = ACTIONS(1039),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(185),
    [sym_this] = ACTIONS(1089),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1081),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(111),
    [anon_sym_readonly] = ACTIONS(2421),
    [anon_sym_get] = ACTIONS(111),
    [anon_sym_set] = ACTIONS(111),
    [anon_sym_declare] = ACTIONS(111),
    [anon_sym_public] = ACTIONS(111),
    [anon_sym_private] = ACTIONS(111),
    [anon_sym_protected] = ACTIONS(111),
    [anon_sym_override] = ACTIONS(111),
    [anon_sym_module] = ACTIONS(111),
    [anon_sym_any] = ACTIONS(111),
    [anon_sym_number] = ACTIONS(111),
    [anon_sym_boolean] = ACTIONS(111),
    [anon_sym_string] = ACTIONS(111),
    [anon_sym_symbol] = ACTIONS(111),
    [anon_sym_object] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [441] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2048),
    [sym_expression] = STATE(3359),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7260),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2111),
    [sym_subscript_expression] = STATE(2111),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3878),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(4560),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(441),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_pattern] = STATE(5408),
    [sym_rest_pattern] = STATE(4693),
    [sym_non_null_expression] = STATE(2111),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1061),
    [anon_sym_export] = ACTIONS(111),
    [anon_sym_type] = ACTIONS(111),
    [anon_sym_namespace] = ACTIONS(120),
    [anon_sym_LBRACE] = ACTIONS(1063),
    [anon_sym_typeof] = ACTIONS(174),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(111),
    [anon_sym_BANG] = ACTIONS(174),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1948),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(149),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1071),
    [anon_sym_using] = ACTIONS(157),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(161),
    [anon_sym_PLUS] = ACTIONS(174),
    [anon_sym_DASH] = ACTIONS(174),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(174),
    [anon_sym_void] = ACTIONS(174),
    [anon_sym_delete] = ACTIONS(174),
    [anon_sym_PLUS_PLUS] = ACTIONS(1039),
    [anon_sym_DASH_DASH] = ACTIONS(1039),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(185),
    [sym_this] = ACTIONS(2423),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1081),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(111),
    [anon_sym_readonly] = ACTIONS(2425),
    [anon_sym_get] = ACTIONS(111),
    [anon_sym_set] = ACTIONS(111),
    [anon_sym_declare] = ACTIONS(111),
    [anon_sym_public] = ACTIONS(111),
    [anon_sym_private] = ACTIONS(111),
    [anon_sym_protected] = ACTIONS(111),
    [anon_sym_override] = ACTIONS(111),
    [anon_sym_module] = ACTIONS(111),
    [anon_sym_any] = ACTIONS(111),
    [anon_sym_number] = ACTIONS(111),
    [anon_sym_boolean] = ACTIONS(111),
    [anon_sym_string] = ACTIONS(111),
    [anon_sym_symbol] = ACTIONS(111),
    [anon_sym_object] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [442] = {
    [sym_comment] = STATE(442),
    [ts_builtin_sym_end] = ACTIONS(2205),
    [sym_identifier] = ACTIONS(2203),
    [anon_sym_export] = ACTIONS(2203),
    [anon_sym_STAR] = ACTIONS(2203),
    [anon_sym_type] = ACTIONS(2203),
    [anon_sym_as] = ACTIONS(2203),
    [anon_sym_namespace] = ACTIONS(2203),
    [anon_sym_LBRACE] = ACTIONS(2203),
    [anon_sym_COMMA] = ACTIONS(2203),
    [anon_sym_RBRACE] = ACTIONS(2203),
    [anon_sym_typeof] = ACTIONS(2203),
    [anon_sym_import] = ACTIONS(2203),
    [anon_sym_with] = ACTIONS(2203),
    [anon_sym_var] = ACTIONS(2203),
    [anon_sym_let] = ACTIONS(2203),
    [anon_sym_const] = ACTIONS(2203),
    [anon_sym_BANG] = ACTIONS(2203),
    [anon_sym_if] = ACTIONS(2203),
    [anon_sym_switch] = ACTIONS(2203),
    [anon_sym_for] = ACTIONS(2203),
    [anon_sym_LPAREN] = ACTIONS(2203),
    [anon_sym_await] = ACTIONS(2203),
    [anon_sym_in] = ACTIONS(2203),
    [anon_sym_while] = ACTIONS(2203),
    [anon_sym_do] = ACTIONS(2203),
    [anon_sym_try] = ACTIONS(2203),
    [anon_sym_break] = ACTIONS(2203),
    [anon_sym_continue] = ACTIONS(2203),
    [anon_sym_debugger] = ACTIONS(2203),
    [anon_sym_return] = ACTIONS(2203),
    [anon_sym_throw] = ACTIONS(2203),
    [anon_sym_SEMI] = ACTIONS(2203),
    [anon_sym_yield] = ACTIONS(2203),
    [anon_sym_LBRACK] = ACTIONS(2203),
    [anon_sym_LTtemplate_GT] = ACTIONS(2203),
    [anon_sym_GT] = ACTIONS(2203),
    [anon_sym_DOT] = ACTIONS(2203),
    [anon_sym_DQUOTE] = ACTIONS(2203),
    [anon_sym_SQUOTE] = ACTIONS(2203),
    [anon_sym_class] = ACTIONS(2203),
    [anon_sym_async] = ACTIONS(2203),
    [anon_sym_function] = ACTIONS(2203),
    [anon_sym_QMARK_DOT] = ACTIONS(2203),
    [anon_sym_new] = ACTIONS(2203),
    [anon_sym_using] = ACTIONS(2203),
    [anon_sym_AMP_AMP] = ACTIONS(2203),
    [anon_sym_PIPE_PIPE] = ACTIONS(2203),
    [anon_sym_GT_GT] = ACTIONS(2203),
    [anon_sym_GT_GT_GT] = ACTIONS(2203),
    [anon_sym_LT_LT] = ACTIONS(2203),
    [anon_sym_AMP] = ACTIONS(2203),
    [anon_sym_CARET] = ACTIONS(2203),
    [anon_sym_PIPE] = ACTIONS(2203),
    [anon_sym_PLUS] = ACTIONS(2203),
    [anon_sym_DASH] = ACTIONS(2203),
    [anon_sym_SLASH] = ACTIONS(2203),
    [anon_sym_PERCENT] = ACTIONS(2203),
    [anon_sym_STAR_STAR] = ACTIONS(2203),
    [anon_sym_LT] = ACTIONS(2203),
    [anon_sym_LT_EQ] = ACTIONS(2203),
    [anon_sym_EQ_EQ] = ACTIONS(2203),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2203),
    [anon_sym_BANG_EQ] = ACTIONS(2203),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2203),
    [anon_sym_GT_EQ] = ACTIONS(2203),
    [anon_sym_QMARK_QMARK] = ACTIONS(2203),
    [anon_sym_instanceof] = ACTIONS(2203),
    [anon_sym_TILDE] = ACTIONS(2203),
    [anon_sym_void] = ACTIONS(2203),
    [anon_sym_delete] = ACTIONS(2203),
    [anon_sym_PLUS_PLUS] = ACTIONS(2203),
    [anon_sym_DASH_DASH] = ACTIONS(2203),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2203),
    [sym_number] = ACTIONS(2203),
    [sym_private_property_identifier] = ACTIONS(2203),
    [sym_this] = ACTIONS(2203),
    [sym_super] = ACTIONS(2203),
    [sym_true] = ACTIONS(2203),
    [sym_false] = ACTIONS(2203),
    [sym_null] = ACTIONS(2203),
    [sym_undefined] = ACTIONS(2203),
    [anon_sym_AT] = ACTIONS(2203),
    [anon_sym_static] = ACTIONS(2203),
    [anon_sym_readonly] = ACTIONS(2203),
    [anon_sym_get] = ACTIONS(2203),
    [anon_sym_set] = ACTIONS(2203),
    [anon_sym_declare] = ACTIONS(2203),
    [anon_sym_public] = ACTIONS(2203),
    [anon_sym_private] = ACTIONS(2203),
    [anon_sym_protected] = ACTIONS(2203),
    [anon_sym_override] = ACTIONS(2203),
    [anon_sym_module] = ACTIONS(2203),
    [anon_sym_any] = ACTIONS(2203),
    [anon_sym_number] = ACTIONS(2203),
    [anon_sym_boolean] = ACTIONS(2203),
    [anon_sym_string] = ACTIONS(2203),
    [anon_sym_symbol] = ACTIONS(2203),
    [anon_sym_object] = ACTIONS(2203),
    [anon_sym_abstract] = ACTIONS(2203),
    [anon_sym_satisfies] = ACTIONS(2203),
    [anon_sym_interface] = ACTIONS(2203),
    [anon_sym_enum] = ACTIONS(2203),
    [sym__automatic_semicolon] = ACTIONS(2205),
    [sym__ternary_qmark] = ACTIONS(2205),
    [sym_html_comment] = ACTIONS(5),
  },
  [443] = {
    [sym_comment] = STATE(443),
    [ts_builtin_sym_end] = ACTIONS(2267),
    [sym_identifier] = ACTIONS(2213),
    [anon_sym_export] = ACTIONS(2213),
    [anon_sym_STAR] = ACTIONS(2215),
    [anon_sym_type] = ACTIONS(2213),
    [anon_sym_as] = ACTIONS(2215),
    [anon_sym_namespace] = ACTIONS(2213),
    [anon_sym_LBRACE] = ACTIONS(2213),
    [anon_sym_COMMA] = ACTIONS(2215),
    [anon_sym_RBRACE] = ACTIONS(2213),
    [anon_sym_typeof] = ACTIONS(2213),
    [anon_sym_import] = ACTIONS(2213),
    [anon_sym_with] = ACTIONS(2213),
    [anon_sym_var] = ACTIONS(2213),
    [anon_sym_let] = ACTIONS(2213),
    [anon_sym_const] = ACTIONS(2213),
    [anon_sym_BANG] = ACTIONS(2213),
    [anon_sym_if] = ACTIONS(2213),
    [anon_sym_switch] = ACTIONS(2213),
    [anon_sym_for] = ACTIONS(2213),
    [anon_sym_LPAREN] = ACTIONS(2213),
    [anon_sym_await] = ACTIONS(2213),
    [anon_sym_in] = ACTIONS(2215),
    [anon_sym_while] = ACTIONS(2213),
    [anon_sym_do] = ACTIONS(2213),
    [anon_sym_try] = ACTIONS(2213),
    [anon_sym_break] = ACTIONS(2213),
    [anon_sym_continue] = ACTIONS(2213),
    [anon_sym_debugger] = ACTIONS(2213),
    [anon_sym_return] = ACTIONS(2213),
    [anon_sym_throw] = ACTIONS(2213),
    [anon_sym_SEMI] = ACTIONS(2213),
    [anon_sym_yield] = ACTIONS(2213),
    [anon_sym_LBRACK] = ACTIONS(2213),
    [anon_sym_LTtemplate_GT] = ACTIONS(2213),
    [anon_sym_GT] = ACTIONS(2215),
    [anon_sym_DOT] = ACTIONS(2215),
    [anon_sym_DQUOTE] = ACTIONS(2213),
    [anon_sym_SQUOTE] = ACTIONS(2213),
    [anon_sym_class] = ACTIONS(2213),
    [anon_sym_async] = ACTIONS(2213),
    [anon_sym_function] = ACTIONS(2213),
    [anon_sym_QMARK_DOT] = ACTIONS(2215),
    [anon_sym_new] = ACTIONS(2213),
    [anon_sym_using] = ACTIONS(2213),
    [anon_sym_AMP_AMP] = ACTIONS(2215),
    [anon_sym_PIPE_PIPE] = ACTIONS(2215),
    [anon_sym_GT_GT] = ACTIONS(2215),
    [anon_sym_GT_GT_GT] = ACTIONS(2215),
    [anon_sym_LT_LT] = ACTIONS(2215),
    [anon_sym_AMP] = ACTIONS(2215),
    [anon_sym_CARET] = ACTIONS(2215),
    [anon_sym_PIPE] = ACTIONS(2215),
    [anon_sym_PLUS] = ACTIONS(2213),
    [anon_sym_DASH] = ACTIONS(2213),
    [anon_sym_SLASH] = ACTIONS(2213),
    [anon_sym_PERCENT] = ACTIONS(2215),
    [anon_sym_STAR_STAR] = ACTIONS(2215),
    [anon_sym_LT] = ACTIONS(2213),
    [anon_sym_LT_EQ] = ACTIONS(2215),
    [anon_sym_EQ_EQ] = ACTIONS(2215),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2215),
    [anon_sym_BANG_EQ] = ACTIONS(2215),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2215),
    [anon_sym_GT_EQ] = ACTIONS(2215),
    [anon_sym_QMARK_QMARK] = ACTIONS(2215),
    [anon_sym_instanceof] = ACTIONS(2215),
    [anon_sym_TILDE] = ACTIONS(2213),
    [anon_sym_void] = ACTIONS(2213),
    [anon_sym_delete] = ACTIONS(2213),
    [anon_sym_PLUS_PLUS] = ACTIONS(2213),
    [anon_sym_DASH_DASH] = ACTIONS(2213),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2213),
    [sym_number] = ACTIONS(2213),
    [sym_private_property_identifier] = ACTIONS(2213),
    [sym_this] = ACTIONS(2213),
    [sym_super] = ACTIONS(2213),
    [sym_true] = ACTIONS(2213),
    [sym_false] = ACTIONS(2213),
    [sym_null] = ACTIONS(2213),
    [sym_undefined] = ACTIONS(2213),
    [anon_sym_AT] = ACTIONS(2213),
    [anon_sym_static] = ACTIONS(2213),
    [anon_sym_readonly] = ACTIONS(2213),
    [anon_sym_get] = ACTIONS(2213),
    [anon_sym_set] = ACTIONS(2213),
    [anon_sym_declare] = ACTIONS(2213),
    [anon_sym_public] = ACTIONS(2213),
    [anon_sym_private] = ACTIONS(2213),
    [anon_sym_protected] = ACTIONS(2213),
    [anon_sym_override] = ACTIONS(2213),
    [anon_sym_module] = ACTIONS(2213),
    [anon_sym_any] = ACTIONS(2213),
    [anon_sym_number] = ACTIONS(2213),
    [anon_sym_boolean] = ACTIONS(2213),
    [anon_sym_string] = ACTIONS(2213),
    [anon_sym_symbol] = ACTIONS(2213),
    [anon_sym_object] = ACTIONS(2213),
    [anon_sym_abstract] = ACTIONS(2213),
    [anon_sym_satisfies] = ACTIONS(2215),
    [anon_sym_interface] = ACTIONS(2213),
    [anon_sym_enum] = ACTIONS(2213),
    [sym__automatic_semicolon] = ACTIONS(2427),
    [sym__ternary_qmark] = ACTIONS(2219),
    [sym_html_comment] = ACTIONS(5),
  },
  [444] = {
    [sym_comment] = STATE(444),
    [ts_builtin_sym_end] = ACTIONS(2315),
    [sym_identifier] = ACTIONS(2159),
    [anon_sym_export] = ACTIONS(2159),
    [anon_sym_STAR] = ACTIONS(2161),
    [anon_sym_type] = ACTIONS(2159),
    [anon_sym_as] = ACTIONS(2161),
    [anon_sym_namespace] = ACTIONS(2159),
    [anon_sym_LBRACE] = ACTIONS(2159),
    [anon_sym_COMMA] = ACTIONS(2161),
    [anon_sym_RBRACE] = ACTIONS(2159),
    [anon_sym_typeof] = ACTIONS(2159),
    [anon_sym_import] = ACTIONS(2159),
    [anon_sym_with] = ACTIONS(2159),
    [anon_sym_var] = ACTIONS(2159),
    [anon_sym_let] = ACTIONS(2159),
    [anon_sym_const] = ACTIONS(2159),
    [anon_sym_BANG] = ACTIONS(2159),
    [anon_sym_if] = ACTIONS(2159),
    [anon_sym_switch] = ACTIONS(2159),
    [anon_sym_for] = ACTIONS(2159),
    [anon_sym_LPAREN] = ACTIONS(2159),
    [anon_sym_await] = ACTIONS(2159),
    [anon_sym_in] = ACTIONS(2161),
    [anon_sym_while] = ACTIONS(2159),
    [anon_sym_do] = ACTIONS(2159),
    [anon_sym_try] = ACTIONS(2159),
    [anon_sym_break] = ACTIONS(2159),
    [anon_sym_continue] = ACTIONS(2159),
    [anon_sym_debugger] = ACTIONS(2159),
    [anon_sym_return] = ACTIONS(2159),
    [anon_sym_throw] = ACTIONS(2159),
    [anon_sym_SEMI] = ACTIONS(2159),
    [anon_sym_yield] = ACTIONS(2159),
    [anon_sym_LBRACK] = ACTIONS(2159),
    [anon_sym_LTtemplate_GT] = ACTIONS(2159),
    [anon_sym_GT] = ACTIONS(2161),
    [anon_sym_DOT] = ACTIONS(2161),
    [anon_sym_DQUOTE] = ACTIONS(2159),
    [anon_sym_SQUOTE] = ACTIONS(2159),
    [anon_sym_class] = ACTIONS(2159),
    [anon_sym_async] = ACTIONS(2159),
    [anon_sym_function] = ACTIONS(2159),
    [anon_sym_QMARK_DOT] = ACTIONS(2161),
    [anon_sym_new] = ACTIONS(2159),
    [anon_sym_using] = ACTIONS(2159),
    [anon_sym_AMP_AMP] = ACTIONS(2161),
    [anon_sym_PIPE_PIPE] = ACTIONS(2161),
    [anon_sym_GT_GT] = ACTIONS(2161),
    [anon_sym_GT_GT_GT] = ACTIONS(2161),
    [anon_sym_LT_LT] = ACTIONS(2161),
    [anon_sym_AMP] = ACTIONS(2161),
    [anon_sym_CARET] = ACTIONS(2161),
    [anon_sym_PIPE] = ACTIONS(2161),
    [anon_sym_PLUS] = ACTIONS(2159),
    [anon_sym_DASH] = ACTIONS(2159),
    [anon_sym_SLASH] = ACTIONS(2159),
    [anon_sym_PERCENT] = ACTIONS(2161),
    [anon_sym_STAR_STAR] = ACTIONS(2161),
    [anon_sym_LT] = ACTIONS(2159),
    [anon_sym_LT_EQ] = ACTIONS(2161),
    [anon_sym_EQ_EQ] = ACTIONS(2161),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2161),
    [anon_sym_BANG_EQ] = ACTIONS(2161),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2161),
    [anon_sym_GT_EQ] = ACTIONS(2161),
    [anon_sym_QMARK_QMARK] = ACTIONS(2161),
    [anon_sym_instanceof] = ACTIONS(2161),
    [anon_sym_TILDE] = ACTIONS(2159),
    [anon_sym_void] = ACTIONS(2159),
    [anon_sym_delete] = ACTIONS(2159),
    [anon_sym_PLUS_PLUS] = ACTIONS(2159),
    [anon_sym_DASH_DASH] = ACTIONS(2159),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2159),
    [sym_number] = ACTIONS(2159),
    [sym_private_property_identifier] = ACTIONS(2159),
    [sym_this] = ACTIONS(2159),
    [sym_super] = ACTIONS(2159),
    [sym_true] = ACTIONS(2159),
    [sym_false] = ACTIONS(2159),
    [sym_null] = ACTIONS(2159),
    [sym_undefined] = ACTIONS(2159),
    [anon_sym_AT] = ACTIONS(2159),
    [anon_sym_static] = ACTIONS(2159),
    [anon_sym_readonly] = ACTIONS(2159),
    [anon_sym_get] = ACTIONS(2159),
    [anon_sym_set] = ACTIONS(2159),
    [anon_sym_declare] = ACTIONS(2159),
    [anon_sym_public] = ACTIONS(2159),
    [anon_sym_private] = ACTIONS(2159),
    [anon_sym_protected] = ACTIONS(2159),
    [anon_sym_override] = ACTIONS(2159),
    [anon_sym_module] = ACTIONS(2159),
    [anon_sym_any] = ACTIONS(2159),
    [anon_sym_number] = ACTIONS(2159),
    [anon_sym_boolean] = ACTIONS(2159),
    [anon_sym_string] = ACTIONS(2159),
    [anon_sym_symbol] = ACTIONS(2159),
    [anon_sym_object] = ACTIONS(2159),
    [anon_sym_abstract] = ACTIONS(2159),
    [anon_sym_satisfies] = ACTIONS(2161),
    [anon_sym_interface] = ACTIONS(2159),
    [anon_sym_enum] = ACTIONS(2159),
    [sym__automatic_semicolon] = ACTIONS(2429),
    [sym__ternary_qmark] = ACTIONS(2165),
    [sym_html_comment] = ACTIONS(5),
  },
  [445] = {
    [sym_comment] = STATE(445),
    [sym_identifier] = ACTIONS(2431),
    [anon_sym_export] = ACTIONS(2431),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(2431),
    [anon_sym_EQ] = ACTIONS(213),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2431),
    [anon_sym_LBRACE] = ACTIONS(2431),
    [anon_sym_COMMA] = ACTIONS(216),
    [anon_sym_typeof] = ACTIONS(2431),
    [anon_sym_import] = ACTIONS(2431),
    [anon_sym_let] = ACTIONS(2431),
    [anon_sym_BANG] = ACTIONS(2431),
    [anon_sym_LPAREN] = ACTIONS(2431),
    [anon_sym_RPAREN] = ACTIONS(216),
    [anon_sym_await] = ACTIONS(2431),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(216),
    [anon_sym_yield] = ACTIONS(2431),
    [anon_sym_LBRACK] = ACTIONS(2431),
    [anon_sym_LTtemplate_GT] = ACTIONS(2431),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(2431),
    [anon_sym_SQUOTE] = ACTIONS(2431),
    [anon_sym_class] = ACTIONS(2431),
    [anon_sym_async] = ACTIONS(2431),
    [anon_sym_function] = ACTIONS(2431),
    [anon_sym_EQ_GT] = ACTIONS(219),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(2431),
    [anon_sym_using] = ACTIONS(2431),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2431),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(2431),
    [anon_sym_DASH] = ACTIONS(2431),
    [anon_sym_SLASH] = ACTIONS(2431),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2431),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(2431),
    [anon_sym_void] = ACTIONS(2431),
    [anon_sym_delete] = ACTIONS(2431),
    [anon_sym_PLUS_PLUS] = ACTIONS(2431),
    [anon_sym_DASH_DASH] = ACTIONS(2431),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2431),
    [sym_number] = ACTIONS(2431),
    [sym_private_property_identifier] = ACTIONS(2431),
    [sym_this] = ACTIONS(2431),
    [sym_super] = ACTIONS(2431),
    [sym_true] = ACTIONS(2431),
    [sym_false] = ACTIONS(2431),
    [sym_null] = ACTIONS(2431),
    [sym_undefined] = ACTIONS(2431),
    [anon_sym_AT] = ACTIONS(2431),
    [anon_sym_static] = ACTIONS(2431),
    [anon_sym_readonly] = ACTIONS(2431),
    [anon_sym_get] = ACTIONS(2431),
    [anon_sym_set] = ACTIONS(2431),
    [anon_sym_QMARK] = ACTIONS(124),
    [anon_sym_declare] = ACTIONS(2431),
    [anon_sym_public] = ACTIONS(2431),
    [anon_sym_private] = ACTIONS(2431),
    [anon_sym_protected] = ACTIONS(2431),
    [anon_sym_override] = ACTIONS(2431),
    [anon_sym_module] = ACTIONS(2431),
    [anon_sym_any] = ACTIONS(2431),
    [anon_sym_number] = ACTIONS(2431),
    [anon_sym_boolean] = ACTIONS(2431),
    [anon_sym_string] = ACTIONS(2431),
    [anon_sym_symbol] = ACTIONS(2431),
    [anon_sym_object] = ACTIONS(2431),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [446] = {
    [sym_comment] = STATE(446),
    [ts_builtin_sym_end] = ACTIONS(2253),
    [sym_identifier] = ACTIONS(2251),
    [anon_sym_export] = ACTIONS(2251),
    [anon_sym_STAR] = ACTIONS(2251),
    [anon_sym_type] = ACTIONS(2251),
    [anon_sym_as] = ACTIONS(2251),
    [anon_sym_namespace] = ACTIONS(2251),
    [anon_sym_LBRACE] = ACTIONS(2251),
    [anon_sym_COMMA] = ACTIONS(2251),
    [anon_sym_RBRACE] = ACTIONS(2251),
    [anon_sym_typeof] = ACTIONS(2251),
    [anon_sym_import] = ACTIONS(2251),
    [anon_sym_with] = ACTIONS(2251),
    [anon_sym_var] = ACTIONS(2251),
    [anon_sym_let] = ACTIONS(2251),
    [anon_sym_const] = ACTIONS(2251),
    [anon_sym_BANG] = ACTIONS(2251),
    [anon_sym_if] = ACTIONS(2251),
    [anon_sym_switch] = ACTIONS(2251),
    [anon_sym_for] = ACTIONS(2251),
    [anon_sym_LPAREN] = ACTIONS(2251),
    [anon_sym_await] = ACTIONS(2251),
    [anon_sym_in] = ACTIONS(2251),
    [anon_sym_while] = ACTIONS(2251),
    [anon_sym_do] = ACTIONS(2251),
    [anon_sym_try] = ACTIONS(2251),
    [anon_sym_break] = ACTIONS(2251),
    [anon_sym_continue] = ACTIONS(2251),
    [anon_sym_debugger] = ACTIONS(2251),
    [anon_sym_return] = ACTIONS(2251),
    [anon_sym_throw] = ACTIONS(2251),
    [anon_sym_SEMI] = ACTIONS(2251),
    [anon_sym_yield] = ACTIONS(2251),
    [anon_sym_LBRACK] = ACTIONS(2251),
    [anon_sym_LTtemplate_GT] = ACTIONS(2251),
    [anon_sym_GT] = ACTIONS(2251),
    [anon_sym_DOT] = ACTIONS(2251),
    [anon_sym_DQUOTE] = ACTIONS(2251),
    [anon_sym_SQUOTE] = ACTIONS(2251),
    [anon_sym_class] = ACTIONS(2251),
    [anon_sym_async] = ACTIONS(2251),
    [anon_sym_function] = ACTIONS(2251),
    [anon_sym_QMARK_DOT] = ACTIONS(2251),
    [anon_sym_new] = ACTIONS(2251),
    [anon_sym_using] = ACTIONS(2251),
    [anon_sym_AMP_AMP] = ACTIONS(2251),
    [anon_sym_PIPE_PIPE] = ACTIONS(2251),
    [anon_sym_GT_GT] = ACTIONS(2251),
    [anon_sym_GT_GT_GT] = ACTIONS(2251),
    [anon_sym_LT_LT] = ACTIONS(2251),
    [anon_sym_AMP] = ACTIONS(2251),
    [anon_sym_CARET] = ACTIONS(2251),
    [anon_sym_PIPE] = ACTIONS(2251),
    [anon_sym_PLUS] = ACTIONS(2251),
    [anon_sym_DASH] = ACTIONS(2251),
    [anon_sym_SLASH] = ACTIONS(2251),
    [anon_sym_PERCENT] = ACTIONS(2251),
    [anon_sym_STAR_STAR] = ACTIONS(2251),
    [anon_sym_LT] = ACTIONS(2251),
    [anon_sym_LT_EQ] = ACTIONS(2251),
    [anon_sym_EQ_EQ] = ACTIONS(2251),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2251),
    [anon_sym_BANG_EQ] = ACTIONS(2251),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2251),
    [anon_sym_GT_EQ] = ACTIONS(2251),
    [anon_sym_QMARK_QMARK] = ACTIONS(2251),
    [anon_sym_instanceof] = ACTIONS(2251),
    [anon_sym_TILDE] = ACTIONS(2251),
    [anon_sym_void] = ACTIONS(2251),
    [anon_sym_delete] = ACTIONS(2251),
    [anon_sym_PLUS_PLUS] = ACTIONS(2251),
    [anon_sym_DASH_DASH] = ACTIONS(2251),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2251),
    [sym_number] = ACTIONS(2251),
    [sym_private_property_identifier] = ACTIONS(2251),
    [sym_this] = ACTIONS(2251),
    [sym_super] = ACTIONS(2251),
    [sym_true] = ACTIONS(2251),
    [sym_false] = ACTIONS(2251),
    [sym_null] = ACTIONS(2251),
    [sym_undefined] = ACTIONS(2251),
    [anon_sym_AT] = ACTIONS(2251),
    [anon_sym_static] = ACTIONS(2251),
    [anon_sym_readonly] = ACTIONS(2251),
    [anon_sym_get] = ACTIONS(2251),
    [anon_sym_set] = ACTIONS(2251),
    [anon_sym_declare] = ACTIONS(2251),
    [anon_sym_public] = ACTIONS(2251),
    [anon_sym_private] = ACTIONS(2251),
    [anon_sym_protected] = ACTIONS(2251),
    [anon_sym_override] = ACTIONS(2251),
    [anon_sym_module] = ACTIONS(2251),
    [anon_sym_any] = ACTIONS(2251),
    [anon_sym_number] = ACTIONS(2251),
    [anon_sym_boolean] = ACTIONS(2251),
    [anon_sym_string] = ACTIONS(2251),
    [anon_sym_symbol] = ACTIONS(2251),
    [anon_sym_object] = ACTIONS(2251),
    [anon_sym_abstract] = ACTIONS(2251),
    [anon_sym_satisfies] = ACTIONS(2251),
    [anon_sym_interface] = ACTIONS(2251),
    [anon_sym_enum] = ACTIONS(2251),
    [sym__automatic_semicolon] = ACTIONS(2253),
    [sym__ternary_qmark] = ACTIONS(2253),
    [sym_html_comment] = ACTIONS(5),
  },
  [447] = {
    [sym_comment] = STATE(447),
    [sym_identifier] = ACTIONS(2431),
    [anon_sym_export] = ACTIONS(2431),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(2431),
    [anon_sym_EQ] = ACTIONS(115),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2431),
    [anon_sym_LBRACE] = ACTIONS(2431),
    [anon_sym_COMMA] = ACTIONS(124),
    [anon_sym_typeof] = ACTIONS(2431),
    [anon_sym_import] = ACTIONS(2431),
    [anon_sym_let] = ACTIONS(2431),
    [anon_sym_BANG] = ACTIONS(2431),
    [anon_sym_LPAREN] = ACTIONS(2431),
    [anon_sym_RPAREN] = ACTIONS(124),
    [anon_sym_await] = ACTIONS(2431),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(124),
    [anon_sym_yield] = ACTIONS(2431),
    [anon_sym_LBRACK] = ACTIONS(2431),
    [anon_sym_LTtemplate_GT] = ACTIONS(2431),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(2431),
    [anon_sym_SQUOTE] = ACTIONS(2431),
    [anon_sym_class] = ACTIONS(2431),
    [anon_sym_async] = ACTIONS(2431),
    [anon_sym_function] = ACTIONS(2431),
    [anon_sym_EQ_GT] = ACTIONS(153),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(2431),
    [anon_sym_using] = ACTIONS(2431),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2431),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(2431),
    [anon_sym_DASH] = ACTIONS(2431),
    [anon_sym_SLASH] = ACTIONS(2431),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2431),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(2431),
    [anon_sym_void] = ACTIONS(2431),
    [anon_sym_delete] = ACTIONS(2431),
    [anon_sym_PLUS_PLUS] = ACTIONS(2431),
    [anon_sym_DASH_DASH] = ACTIONS(2431),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2431),
    [sym_number] = ACTIONS(2431),
    [sym_private_property_identifier] = ACTIONS(2431),
    [sym_this] = ACTIONS(2431),
    [sym_super] = ACTIONS(2431),
    [sym_true] = ACTIONS(2431),
    [sym_false] = ACTIONS(2431),
    [sym_null] = ACTIONS(2431),
    [sym_undefined] = ACTIONS(2431),
    [anon_sym_AT] = ACTIONS(2431),
    [anon_sym_static] = ACTIONS(2431),
    [anon_sym_readonly] = ACTIONS(2431),
    [anon_sym_get] = ACTIONS(2431),
    [anon_sym_set] = ACTIONS(2431),
    [anon_sym_QMARK] = ACTIONS(124),
    [anon_sym_declare] = ACTIONS(2431),
    [anon_sym_public] = ACTIONS(2431),
    [anon_sym_private] = ACTIONS(2431),
    [anon_sym_protected] = ACTIONS(2431),
    [anon_sym_override] = ACTIONS(2431),
    [anon_sym_module] = ACTIONS(2431),
    [anon_sym_any] = ACTIONS(2431),
    [anon_sym_number] = ACTIONS(2431),
    [anon_sym_boolean] = ACTIONS(2431),
    [anon_sym_string] = ACTIONS(2431),
    [anon_sym_symbol] = ACTIONS(2431),
    [anon_sym_object] = ACTIONS(2431),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [448] = {
    [sym_comment] = STATE(448),
    [ts_builtin_sym_end] = ACTIONS(2347),
    [sym_identifier] = ACTIONS(2257),
    [anon_sym_export] = ACTIONS(2257),
    [anon_sym_STAR] = ACTIONS(2259),
    [anon_sym_type] = ACTIONS(2257),
    [anon_sym_as] = ACTIONS(2259),
    [anon_sym_namespace] = ACTIONS(2257),
    [anon_sym_LBRACE] = ACTIONS(2257),
    [anon_sym_COMMA] = ACTIONS(2259),
    [anon_sym_RBRACE] = ACTIONS(2257),
    [anon_sym_typeof] = ACTIONS(2257),
    [anon_sym_import] = ACTIONS(2257),
    [anon_sym_with] = ACTIONS(2257),
    [anon_sym_var] = ACTIONS(2257),
    [anon_sym_let] = ACTIONS(2257),
    [anon_sym_const] = ACTIONS(2257),
    [anon_sym_BANG] = ACTIONS(2257),
    [anon_sym_if] = ACTIONS(2257),
    [anon_sym_switch] = ACTIONS(2257),
    [anon_sym_for] = ACTIONS(2257),
    [anon_sym_LPAREN] = ACTIONS(2257),
    [anon_sym_await] = ACTIONS(2257),
    [anon_sym_in] = ACTIONS(2259),
    [anon_sym_while] = ACTIONS(2257),
    [anon_sym_do] = ACTIONS(2257),
    [anon_sym_try] = ACTIONS(2257),
    [anon_sym_break] = ACTIONS(2257),
    [anon_sym_continue] = ACTIONS(2257),
    [anon_sym_debugger] = ACTIONS(2257),
    [anon_sym_return] = ACTIONS(2257),
    [anon_sym_throw] = ACTIONS(2257),
    [anon_sym_SEMI] = ACTIONS(2257),
    [anon_sym_yield] = ACTIONS(2257),
    [anon_sym_LBRACK] = ACTIONS(2257),
    [anon_sym_LTtemplate_GT] = ACTIONS(2257),
    [anon_sym_GT] = ACTIONS(2259),
    [anon_sym_DOT] = ACTIONS(2259),
    [anon_sym_DQUOTE] = ACTIONS(2257),
    [anon_sym_SQUOTE] = ACTIONS(2257),
    [anon_sym_class] = ACTIONS(2257),
    [anon_sym_async] = ACTIONS(2257),
    [anon_sym_function] = ACTIONS(2257),
    [anon_sym_QMARK_DOT] = ACTIONS(2259),
    [anon_sym_new] = ACTIONS(2257),
    [anon_sym_using] = ACTIONS(2257),
    [anon_sym_AMP_AMP] = ACTIONS(2259),
    [anon_sym_PIPE_PIPE] = ACTIONS(2259),
    [anon_sym_GT_GT] = ACTIONS(2259),
    [anon_sym_GT_GT_GT] = ACTIONS(2259),
    [anon_sym_LT_LT] = ACTIONS(2259),
    [anon_sym_AMP] = ACTIONS(2259),
    [anon_sym_CARET] = ACTIONS(2259),
    [anon_sym_PIPE] = ACTIONS(2259),
    [anon_sym_PLUS] = ACTIONS(2257),
    [anon_sym_DASH] = ACTIONS(2257),
    [anon_sym_SLASH] = ACTIONS(2257),
    [anon_sym_PERCENT] = ACTIONS(2259),
    [anon_sym_STAR_STAR] = ACTIONS(2259),
    [anon_sym_LT] = ACTIONS(2257),
    [anon_sym_LT_EQ] = ACTIONS(2259),
    [anon_sym_EQ_EQ] = ACTIONS(2259),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2259),
    [anon_sym_BANG_EQ] = ACTIONS(2259),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2259),
    [anon_sym_GT_EQ] = ACTIONS(2259),
    [anon_sym_QMARK_QMARK] = ACTIONS(2259),
    [anon_sym_instanceof] = ACTIONS(2259),
    [anon_sym_TILDE] = ACTIONS(2257),
    [anon_sym_void] = ACTIONS(2257),
    [anon_sym_delete] = ACTIONS(2257),
    [anon_sym_PLUS_PLUS] = ACTIONS(2257),
    [anon_sym_DASH_DASH] = ACTIONS(2257),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2257),
    [sym_number] = ACTIONS(2257),
    [sym_private_property_identifier] = ACTIONS(2257),
    [sym_this] = ACTIONS(2257),
    [sym_super] = ACTIONS(2257),
    [sym_true] = ACTIONS(2257),
    [sym_false] = ACTIONS(2257),
    [sym_null] = ACTIONS(2257),
    [sym_undefined] = ACTIONS(2257),
    [anon_sym_AT] = ACTIONS(2257),
    [anon_sym_static] = ACTIONS(2257),
    [anon_sym_readonly] = ACTIONS(2257),
    [anon_sym_get] = ACTIONS(2257),
    [anon_sym_set] = ACTIONS(2257),
    [anon_sym_declare] = ACTIONS(2257),
    [anon_sym_public] = ACTIONS(2257),
    [anon_sym_private] = ACTIONS(2257),
    [anon_sym_protected] = ACTIONS(2257),
    [anon_sym_override] = ACTIONS(2257),
    [anon_sym_module] = ACTIONS(2257),
    [anon_sym_any] = ACTIONS(2257),
    [anon_sym_number] = ACTIONS(2257),
    [anon_sym_boolean] = ACTIONS(2257),
    [anon_sym_string] = ACTIONS(2257),
    [anon_sym_symbol] = ACTIONS(2257),
    [anon_sym_object] = ACTIONS(2257),
    [anon_sym_abstract] = ACTIONS(2257),
    [anon_sym_satisfies] = ACTIONS(2259),
    [anon_sym_interface] = ACTIONS(2257),
    [anon_sym_enum] = ACTIONS(2257),
    [sym__automatic_semicolon] = ACTIONS(2433),
    [sym__ternary_qmark] = ACTIONS(2263),
    [sym_html_comment] = ACTIONS(5),
  },
  [449] = {
    [sym_comment] = STATE(449),
    [ts_builtin_sym_end] = ACTIONS(2279),
    [sym_identifier] = ACTIONS(2149),
    [anon_sym_export] = ACTIONS(2149),
    [anon_sym_STAR] = ACTIONS(2151),
    [anon_sym_type] = ACTIONS(2149),
    [anon_sym_as] = ACTIONS(2151),
    [anon_sym_namespace] = ACTIONS(2149),
    [anon_sym_LBRACE] = ACTIONS(2149),
    [anon_sym_COMMA] = ACTIONS(2151),
    [anon_sym_RBRACE] = ACTIONS(2149),
    [anon_sym_typeof] = ACTIONS(2149),
    [anon_sym_import] = ACTIONS(2149),
    [anon_sym_with] = ACTIONS(2149),
    [anon_sym_var] = ACTIONS(2149),
    [anon_sym_let] = ACTIONS(2149),
    [anon_sym_const] = ACTIONS(2149),
    [anon_sym_BANG] = ACTIONS(2149),
    [anon_sym_if] = ACTIONS(2149),
    [anon_sym_switch] = ACTIONS(2149),
    [anon_sym_for] = ACTIONS(2149),
    [anon_sym_LPAREN] = ACTIONS(2149),
    [anon_sym_await] = ACTIONS(2149),
    [anon_sym_in] = ACTIONS(2151),
    [anon_sym_while] = ACTIONS(2149),
    [anon_sym_do] = ACTIONS(2149),
    [anon_sym_try] = ACTIONS(2149),
    [anon_sym_break] = ACTIONS(2149),
    [anon_sym_continue] = ACTIONS(2149),
    [anon_sym_debugger] = ACTIONS(2149),
    [anon_sym_return] = ACTIONS(2149),
    [anon_sym_throw] = ACTIONS(2149),
    [anon_sym_SEMI] = ACTIONS(2149),
    [anon_sym_yield] = ACTIONS(2149),
    [anon_sym_LBRACK] = ACTIONS(2149),
    [anon_sym_LTtemplate_GT] = ACTIONS(2149),
    [anon_sym_GT] = ACTIONS(2151),
    [anon_sym_DOT] = ACTIONS(2151),
    [anon_sym_DQUOTE] = ACTIONS(2149),
    [anon_sym_SQUOTE] = ACTIONS(2149),
    [anon_sym_class] = ACTIONS(2149),
    [anon_sym_async] = ACTIONS(2149),
    [anon_sym_function] = ACTIONS(2149),
    [anon_sym_QMARK_DOT] = ACTIONS(2151),
    [anon_sym_new] = ACTIONS(2149),
    [anon_sym_using] = ACTIONS(2149),
    [anon_sym_AMP_AMP] = ACTIONS(2151),
    [anon_sym_PIPE_PIPE] = ACTIONS(2151),
    [anon_sym_GT_GT] = ACTIONS(2151),
    [anon_sym_GT_GT_GT] = ACTIONS(2151),
    [anon_sym_LT_LT] = ACTIONS(2151),
    [anon_sym_AMP] = ACTIONS(2151),
    [anon_sym_CARET] = ACTIONS(2151),
    [anon_sym_PIPE] = ACTIONS(2151),
    [anon_sym_PLUS] = ACTIONS(2149),
    [anon_sym_DASH] = ACTIONS(2149),
    [anon_sym_SLASH] = ACTIONS(2149),
    [anon_sym_PERCENT] = ACTIONS(2151),
    [anon_sym_STAR_STAR] = ACTIONS(2151),
    [anon_sym_LT] = ACTIONS(2149),
    [anon_sym_LT_EQ] = ACTIONS(2151),
    [anon_sym_EQ_EQ] = ACTIONS(2151),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2151),
    [anon_sym_BANG_EQ] = ACTIONS(2151),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2151),
    [anon_sym_GT_EQ] = ACTIONS(2151),
    [anon_sym_QMARK_QMARK] = ACTIONS(2151),
    [anon_sym_instanceof] = ACTIONS(2151),
    [anon_sym_TILDE] = ACTIONS(2149),
    [anon_sym_void] = ACTIONS(2149),
    [anon_sym_delete] = ACTIONS(2149),
    [anon_sym_PLUS_PLUS] = ACTIONS(2149),
    [anon_sym_DASH_DASH] = ACTIONS(2149),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2149),
    [sym_number] = ACTIONS(2149),
    [sym_private_property_identifier] = ACTIONS(2149),
    [sym_this] = ACTIONS(2149),
    [sym_super] = ACTIONS(2149),
    [sym_true] = ACTIONS(2149),
    [sym_false] = ACTIONS(2149),
    [sym_null] = ACTIONS(2149),
    [sym_undefined] = ACTIONS(2149),
    [anon_sym_AT] = ACTIONS(2149),
    [anon_sym_static] = ACTIONS(2149),
    [anon_sym_readonly] = ACTIONS(2149),
    [anon_sym_get] = ACTIONS(2149),
    [anon_sym_set] = ACTIONS(2149),
    [anon_sym_declare] = ACTIONS(2149),
    [anon_sym_public] = ACTIONS(2149),
    [anon_sym_private] = ACTIONS(2149),
    [anon_sym_protected] = ACTIONS(2149),
    [anon_sym_override] = ACTIONS(2149),
    [anon_sym_module] = ACTIONS(2149),
    [anon_sym_any] = ACTIONS(2149),
    [anon_sym_number] = ACTIONS(2149),
    [anon_sym_boolean] = ACTIONS(2149),
    [anon_sym_string] = ACTIONS(2149),
    [anon_sym_symbol] = ACTIONS(2149),
    [anon_sym_object] = ACTIONS(2149),
    [anon_sym_abstract] = ACTIONS(2149),
    [anon_sym_satisfies] = ACTIONS(2151),
    [anon_sym_interface] = ACTIONS(2149),
    [anon_sym_enum] = ACTIONS(2149),
    [sym__automatic_semicolon] = ACTIONS(2435),
    [sym__ternary_qmark] = ACTIONS(2155),
    [sym_html_comment] = ACTIONS(5),
  },
  [450] = {
    [sym_comment] = STATE(450),
    [ts_builtin_sym_end] = ACTIONS(2311),
    [sym_identifier] = ACTIONS(2181),
    [anon_sym_export] = ACTIONS(2181),
    [anon_sym_STAR] = ACTIONS(2183),
    [anon_sym_type] = ACTIONS(2181),
    [anon_sym_as] = ACTIONS(2183),
    [anon_sym_namespace] = ACTIONS(2181),
    [anon_sym_LBRACE] = ACTIONS(2181),
    [anon_sym_COMMA] = ACTIONS(2183),
    [anon_sym_RBRACE] = ACTIONS(2181),
    [anon_sym_typeof] = ACTIONS(2181),
    [anon_sym_import] = ACTIONS(2181),
    [anon_sym_with] = ACTIONS(2181),
    [anon_sym_var] = ACTIONS(2181),
    [anon_sym_let] = ACTIONS(2181),
    [anon_sym_const] = ACTIONS(2181),
    [anon_sym_BANG] = ACTIONS(2181),
    [anon_sym_if] = ACTIONS(2181),
    [anon_sym_switch] = ACTIONS(2181),
    [anon_sym_for] = ACTIONS(2181),
    [anon_sym_LPAREN] = ACTIONS(2181),
    [anon_sym_await] = ACTIONS(2181),
    [anon_sym_in] = ACTIONS(2183),
    [anon_sym_while] = ACTIONS(2181),
    [anon_sym_do] = ACTIONS(2181),
    [anon_sym_try] = ACTIONS(2181),
    [anon_sym_break] = ACTIONS(2181),
    [anon_sym_continue] = ACTIONS(2181),
    [anon_sym_debugger] = ACTIONS(2181),
    [anon_sym_return] = ACTIONS(2181),
    [anon_sym_throw] = ACTIONS(2181),
    [anon_sym_SEMI] = ACTIONS(2181),
    [anon_sym_yield] = ACTIONS(2181),
    [anon_sym_LBRACK] = ACTIONS(2181),
    [anon_sym_LTtemplate_GT] = ACTIONS(2181),
    [anon_sym_GT] = ACTIONS(2183),
    [anon_sym_DOT] = ACTIONS(2183),
    [anon_sym_DQUOTE] = ACTIONS(2181),
    [anon_sym_SQUOTE] = ACTIONS(2181),
    [anon_sym_class] = ACTIONS(2181),
    [anon_sym_async] = ACTIONS(2181),
    [anon_sym_function] = ACTIONS(2181),
    [anon_sym_QMARK_DOT] = ACTIONS(2183),
    [anon_sym_new] = ACTIONS(2181),
    [anon_sym_using] = ACTIONS(2181),
    [anon_sym_AMP_AMP] = ACTIONS(2183),
    [anon_sym_PIPE_PIPE] = ACTIONS(2183),
    [anon_sym_GT_GT] = ACTIONS(2183),
    [anon_sym_GT_GT_GT] = ACTIONS(2183),
    [anon_sym_LT_LT] = ACTIONS(2183),
    [anon_sym_AMP] = ACTIONS(2183),
    [anon_sym_CARET] = ACTIONS(2183),
    [anon_sym_PIPE] = ACTIONS(2183),
    [anon_sym_PLUS] = ACTIONS(2181),
    [anon_sym_DASH] = ACTIONS(2181),
    [anon_sym_SLASH] = ACTIONS(2181),
    [anon_sym_PERCENT] = ACTIONS(2183),
    [anon_sym_STAR_STAR] = ACTIONS(2183),
    [anon_sym_LT] = ACTIONS(2181),
    [anon_sym_LT_EQ] = ACTIONS(2183),
    [anon_sym_EQ_EQ] = ACTIONS(2183),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2183),
    [anon_sym_BANG_EQ] = ACTIONS(2183),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2183),
    [anon_sym_GT_EQ] = ACTIONS(2183),
    [anon_sym_QMARK_QMARK] = ACTIONS(2183),
    [anon_sym_instanceof] = ACTIONS(2183),
    [anon_sym_TILDE] = ACTIONS(2181),
    [anon_sym_void] = ACTIONS(2181),
    [anon_sym_delete] = ACTIONS(2181),
    [anon_sym_PLUS_PLUS] = ACTIONS(2181),
    [anon_sym_DASH_DASH] = ACTIONS(2181),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2181),
    [sym_number] = ACTIONS(2181),
    [sym_private_property_identifier] = ACTIONS(2181),
    [sym_this] = ACTIONS(2181),
    [sym_super] = ACTIONS(2181),
    [sym_true] = ACTIONS(2181),
    [sym_false] = ACTIONS(2181),
    [sym_null] = ACTIONS(2181),
    [sym_undefined] = ACTIONS(2181),
    [anon_sym_AT] = ACTIONS(2181),
    [anon_sym_static] = ACTIONS(2181),
    [anon_sym_readonly] = ACTIONS(2181),
    [anon_sym_get] = ACTIONS(2181),
    [anon_sym_set] = ACTIONS(2181),
    [anon_sym_declare] = ACTIONS(2181),
    [anon_sym_public] = ACTIONS(2181),
    [anon_sym_private] = ACTIONS(2181),
    [anon_sym_protected] = ACTIONS(2181),
    [anon_sym_override] = ACTIONS(2181),
    [anon_sym_module] = ACTIONS(2181),
    [anon_sym_any] = ACTIONS(2181),
    [anon_sym_number] = ACTIONS(2181),
    [anon_sym_boolean] = ACTIONS(2181),
    [anon_sym_string] = ACTIONS(2181),
    [anon_sym_symbol] = ACTIONS(2181),
    [anon_sym_object] = ACTIONS(2181),
    [anon_sym_abstract] = ACTIONS(2181),
    [anon_sym_satisfies] = ACTIONS(2183),
    [anon_sym_interface] = ACTIONS(2181),
    [anon_sym_enum] = ACTIONS(2181),
    [sym__automatic_semicolon] = ACTIONS(2437),
    [sym__ternary_qmark] = ACTIONS(2187),
    [sym_html_comment] = ACTIONS(5),
  },
  [451] = {
    [sym_import] = STATE(4369),
    [sym_parenthesized_expression] = STATE(2177),
    [sym_expression] = STATE(2583),
    [sym_primary_expression] = STATE(2990),
    [sym_yield_expression] = STATE(3139),
    [sym_object] = STATE(3113),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(3113),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(3139),
    [sym_glimmer_opening_tag] = STATE(5702),
    [sym_jsx_element] = STATE(3139),
    [sym_jsx_opening_element] = STATE(4008),
    [sym_jsx_self_closing_element] = STATE(3139),
    [sym_class] = STATE(3113),
    [sym_function_expression] = STATE(3113),
    [sym_generator_function] = STATE(3113),
    [sym_arrow_function] = STATE(3113),
    [sym__call_signature] = STATE(7486),
    [sym_call_expression] = STATE(3113),
    [sym_new_expression] = STATE(3139),
    [sym_await_expression] = STATE(3139),
    [sym_member_expression] = STATE(2177),
    [sym_subscript_expression] = STATE(2177),
    [sym_assignment_expression] = STATE(3139),
    [sym__augmented_assignment_lhs] = STATE(3835),
    [sym_augmented_assignment_expression] = STATE(3139),
    [sym__destructuring_pattern] = STATE(7484),
    [sym_ternary_expression] = STATE(3139),
    [sym_binary_expression] = STATE(3139),
    [sym_unary_expression] = STATE(3139),
    [sym_update_expression] = STATE(3139),
    [sym_sequence_expression] = STATE(7160),
    [sym_string] = STATE(3113),
    [sym_comment] = STATE(451),
    [sym_template_string] = STATE(3113),
    [sym_regex] = STATE(3113),
    [sym_meta_property] = STATE(3113),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2177),
    [sym_as_expression] = STATE(3139),
    [sym_satisfies_expression] = STATE(3139),
    [sym_instantiation_expression] = STATE(3139),
    [sym_internal_module] = STATE(3139),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5555),
    [sym_identifier] = ACTIONS(1744),
    [anon_sym_export] = ACTIONS(1596),
    [anon_sym_type] = ACTIONS(1596),
    [anon_sym_namespace] = ACTIONS(1598),
    [anon_sym_LBRACE] = ACTIONS(1020),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1596),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_SEMI] = ACTIONS(2439),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1029),
    [anon_sym_async] = ACTIONS(1602),
    [anon_sym_function] = ACTIONS(1033),
    [anon_sym_new] = ACTIONS(1748),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1596),
    [anon_sym_readonly] = ACTIONS(1596),
    [anon_sym_get] = ACTIONS(1596),
    [anon_sym_set] = ACTIONS(1596),
    [anon_sym_declare] = ACTIONS(1596),
    [anon_sym_public] = ACTIONS(1596),
    [anon_sym_private] = ACTIONS(1596),
    [anon_sym_protected] = ACTIONS(1596),
    [anon_sym_override] = ACTIONS(1596),
    [anon_sym_module] = ACTIONS(1596),
    [anon_sym_any] = ACTIONS(1596),
    [anon_sym_number] = ACTIONS(1596),
    [anon_sym_boolean] = ACTIONS(1596),
    [anon_sym_string] = ACTIONS(1596),
    [anon_sym_symbol] = ACTIONS(1596),
    [anon_sym_object] = ACTIONS(1596),
    [sym__automatic_semicolon] = ACTIONS(2441),
    [sym_html_comment] = ACTIONS(5),
  },
  [452] = {
    [sym_comment] = STATE(452),
    [ts_builtin_sym_end] = ACTIONS(2275),
    [sym_identifier] = ACTIONS(2135),
    [anon_sym_export] = ACTIONS(2135),
    [anon_sym_STAR] = ACTIONS(2137),
    [anon_sym_type] = ACTIONS(2135),
    [anon_sym_as] = ACTIONS(2137),
    [anon_sym_namespace] = ACTIONS(2135),
    [anon_sym_LBRACE] = ACTIONS(2135),
    [anon_sym_COMMA] = ACTIONS(2137),
    [anon_sym_RBRACE] = ACTIONS(2135),
    [anon_sym_typeof] = ACTIONS(2135),
    [anon_sym_import] = ACTIONS(2135),
    [anon_sym_with] = ACTIONS(2135),
    [anon_sym_var] = ACTIONS(2135),
    [anon_sym_let] = ACTIONS(2135),
    [anon_sym_const] = ACTIONS(2135),
    [anon_sym_BANG] = ACTIONS(2135),
    [anon_sym_if] = ACTIONS(2135),
    [anon_sym_switch] = ACTIONS(2135),
    [anon_sym_for] = ACTIONS(2135),
    [anon_sym_LPAREN] = ACTIONS(2135),
    [anon_sym_await] = ACTIONS(2135),
    [anon_sym_in] = ACTIONS(2137),
    [anon_sym_while] = ACTIONS(2135),
    [anon_sym_do] = ACTIONS(2135),
    [anon_sym_try] = ACTIONS(2135),
    [anon_sym_break] = ACTIONS(2135),
    [anon_sym_continue] = ACTIONS(2135),
    [anon_sym_debugger] = ACTIONS(2135),
    [anon_sym_return] = ACTIONS(2135),
    [anon_sym_throw] = ACTIONS(2135),
    [anon_sym_SEMI] = ACTIONS(2135),
    [anon_sym_yield] = ACTIONS(2135),
    [anon_sym_LBRACK] = ACTIONS(2135),
    [anon_sym_LTtemplate_GT] = ACTIONS(2135),
    [anon_sym_GT] = ACTIONS(2137),
    [anon_sym_DOT] = ACTIONS(2137),
    [anon_sym_DQUOTE] = ACTIONS(2135),
    [anon_sym_SQUOTE] = ACTIONS(2135),
    [anon_sym_class] = ACTIONS(2135),
    [anon_sym_async] = ACTIONS(2135),
    [anon_sym_function] = ACTIONS(2135),
    [anon_sym_QMARK_DOT] = ACTIONS(2137),
    [anon_sym_new] = ACTIONS(2135),
    [anon_sym_using] = ACTIONS(2135),
    [anon_sym_AMP_AMP] = ACTIONS(2137),
    [anon_sym_PIPE_PIPE] = ACTIONS(2137),
    [anon_sym_GT_GT] = ACTIONS(2137),
    [anon_sym_GT_GT_GT] = ACTIONS(2137),
    [anon_sym_LT_LT] = ACTIONS(2137),
    [anon_sym_AMP] = ACTIONS(2137),
    [anon_sym_CARET] = ACTIONS(2137),
    [anon_sym_PIPE] = ACTIONS(2137),
    [anon_sym_PLUS] = ACTIONS(2135),
    [anon_sym_DASH] = ACTIONS(2135),
    [anon_sym_SLASH] = ACTIONS(2135),
    [anon_sym_PERCENT] = ACTIONS(2137),
    [anon_sym_STAR_STAR] = ACTIONS(2137),
    [anon_sym_LT] = ACTIONS(2135),
    [anon_sym_LT_EQ] = ACTIONS(2137),
    [anon_sym_EQ_EQ] = ACTIONS(2137),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2137),
    [anon_sym_BANG_EQ] = ACTIONS(2137),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2137),
    [anon_sym_GT_EQ] = ACTIONS(2137),
    [anon_sym_QMARK_QMARK] = ACTIONS(2137),
    [anon_sym_instanceof] = ACTIONS(2137),
    [anon_sym_TILDE] = ACTIONS(2135),
    [anon_sym_void] = ACTIONS(2135),
    [anon_sym_delete] = ACTIONS(2135),
    [anon_sym_PLUS_PLUS] = ACTIONS(2135),
    [anon_sym_DASH_DASH] = ACTIONS(2135),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2135),
    [sym_number] = ACTIONS(2135),
    [sym_private_property_identifier] = ACTIONS(2135),
    [sym_this] = ACTIONS(2135),
    [sym_super] = ACTIONS(2135),
    [sym_true] = ACTIONS(2135),
    [sym_false] = ACTIONS(2135),
    [sym_null] = ACTIONS(2135),
    [sym_undefined] = ACTIONS(2135),
    [anon_sym_AT] = ACTIONS(2135),
    [anon_sym_static] = ACTIONS(2135),
    [anon_sym_readonly] = ACTIONS(2135),
    [anon_sym_get] = ACTIONS(2135),
    [anon_sym_set] = ACTIONS(2135),
    [anon_sym_declare] = ACTIONS(2135),
    [anon_sym_public] = ACTIONS(2135),
    [anon_sym_private] = ACTIONS(2135),
    [anon_sym_protected] = ACTIONS(2135),
    [anon_sym_override] = ACTIONS(2135),
    [anon_sym_module] = ACTIONS(2135),
    [anon_sym_any] = ACTIONS(2135),
    [anon_sym_number] = ACTIONS(2135),
    [anon_sym_boolean] = ACTIONS(2135),
    [anon_sym_string] = ACTIONS(2135),
    [anon_sym_symbol] = ACTIONS(2135),
    [anon_sym_object] = ACTIONS(2135),
    [anon_sym_abstract] = ACTIONS(2135),
    [anon_sym_satisfies] = ACTIONS(2137),
    [anon_sym_interface] = ACTIONS(2135),
    [anon_sym_enum] = ACTIONS(2135),
    [sym__automatic_semicolon] = ACTIONS(2443),
    [sym__ternary_qmark] = ACTIONS(2141),
    [sym_html_comment] = ACTIONS(5),
  },
  [453] = {
    [sym_comment] = STATE(453),
    [ts_builtin_sym_end] = ACTIONS(2223),
    [sym_identifier] = ACTIONS(2221),
    [anon_sym_export] = ACTIONS(2221),
    [anon_sym_STAR] = ACTIONS(2221),
    [anon_sym_type] = ACTIONS(2221),
    [anon_sym_as] = ACTIONS(2221),
    [anon_sym_namespace] = ACTIONS(2221),
    [anon_sym_LBRACE] = ACTIONS(2221),
    [anon_sym_COMMA] = ACTIONS(2221),
    [anon_sym_RBRACE] = ACTIONS(2221),
    [anon_sym_typeof] = ACTIONS(2221),
    [anon_sym_import] = ACTIONS(2221),
    [anon_sym_with] = ACTIONS(2221),
    [anon_sym_var] = ACTIONS(2221),
    [anon_sym_let] = ACTIONS(2221),
    [anon_sym_const] = ACTIONS(2221),
    [anon_sym_BANG] = ACTIONS(2221),
    [anon_sym_if] = ACTIONS(2221),
    [anon_sym_switch] = ACTIONS(2221),
    [anon_sym_for] = ACTIONS(2221),
    [anon_sym_LPAREN] = ACTIONS(2221),
    [anon_sym_await] = ACTIONS(2221),
    [anon_sym_in] = ACTIONS(2221),
    [anon_sym_while] = ACTIONS(2221),
    [anon_sym_do] = ACTIONS(2221),
    [anon_sym_try] = ACTIONS(2221),
    [anon_sym_break] = ACTIONS(2221),
    [anon_sym_continue] = ACTIONS(2221),
    [anon_sym_debugger] = ACTIONS(2221),
    [anon_sym_return] = ACTIONS(2221),
    [anon_sym_throw] = ACTIONS(2221),
    [anon_sym_SEMI] = ACTIONS(2221),
    [anon_sym_yield] = ACTIONS(2221),
    [anon_sym_LBRACK] = ACTIONS(2221),
    [anon_sym_LTtemplate_GT] = ACTIONS(2221),
    [anon_sym_GT] = ACTIONS(2221),
    [anon_sym_DOT] = ACTIONS(2221),
    [anon_sym_DQUOTE] = ACTIONS(2221),
    [anon_sym_SQUOTE] = ACTIONS(2221),
    [anon_sym_class] = ACTIONS(2221),
    [anon_sym_async] = ACTIONS(2221),
    [anon_sym_function] = ACTIONS(2221),
    [anon_sym_QMARK_DOT] = ACTIONS(2221),
    [anon_sym_new] = ACTIONS(2221),
    [anon_sym_using] = ACTIONS(2221),
    [anon_sym_AMP_AMP] = ACTIONS(2221),
    [anon_sym_PIPE_PIPE] = ACTIONS(2221),
    [anon_sym_GT_GT] = ACTIONS(2221),
    [anon_sym_GT_GT_GT] = ACTIONS(2221),
    [anon_sym_LT_LT] = ACTIONS(2221),
    [anon_sym_AMP] = ACTIONS(2221),
    [anon_sym_CARET] = ACTIONS(2221),
    [anon_sym_PIPE] = ACTIONS(2221),
    [anon_sym_PLUS] = ACTIONS(2221),
    [anon_sym_DASH] = ACTIONS(2221),
    [anon_sym_SLASH] = ACTIONS(2221),
    [anon_sym_PERCENT] = ACTIONS(2221),
    [anon_sym_STAR_STAR] = ACTIONS(2221),
    [anon_sym_LT] = ACTIONS(2221),
    [anon_sym_LT_EQ] = ACTIONS(2221),
    [anon_sym_EQ_EQ] = ACTIONS(2221),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2221),
    [anon_sym_BANG_EQ] = ACTIONS(2221),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2221),
    [anon_sym_GT_EQ] = ACTIONS(2221),
    [anon_sym_QMARK_QMARK] = ACTIONS(2221),
    [anon_sym_instanceof] = ACTIONS(2221),
    [anon_sym_TILDE] = ACTIONS(2221),
    [anon_sym_void] = ACTIONS(2221),
    [anon_sym_delete] = ACTIONS(2221),
    [anon_sym_PLUS_PLUS] = ACTIONS(2221),
    [anon_sym_DASH_DASH] = ACTIONS(2221),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2221),
    [sym_number] = ACTIONS(2221),
    [sym_private_property_identifier] = ACTIONS(2221),
    [sym_this] = ACTIONS(2221),
    [sym_super] = ACTIONS(2221),
    [sym_true] = ACTIONS(2221),
    [sym_false] = ACTIONS(2221),
    [sym_null] = ACTIONS(2221),
    [sym_undefined] = ACTIONS(2221),
    [anon_sym_AT] = ACTIONS(2221),
    [anon_sym_static] = ACTIONS(2221),
    [anon_sym_readonly] = ACTIONS(2221),
    [anon_sym_get] = ACTIONS(2221),
    [anon_sym_set] = ACTIONS(2221),
    [anon_sym_declare] = ACTIONS(2221),
    [anon_sym_public] = ACTIONS(2221),
    [anon_sym_private] = ACTIONS(2221),
    [anon_sym_protected] = ACTIONS(2221),
    [anon_sym_override] = ACTIONS(2221),
    [anon_sym_module] = ACTIONS(2221),
    [anon_sym_any] = ACTIONS(2221),
    [anon_sym_number] = ACTIONS(2221),
    [anon_sym_boolean] = ACTIONS(2221),
    [anon_sym_string] = ACTIONS(2221),
    [anon_sym_symbol] = ACTIONS(2221),
    [anon_sym_object] = ACTIONS(2221),
    [anon_sym_abstract] = ACTIONS(2221),
    [anon_sym_satisfies] = ACTIONS(2221),
    [anon_sym_interface] = ACTIONS(2221),
    [anon_sym_enum] = ACTIONS(2221),
    [sym__automatic_semicolon] = ACTIONS(2223),
    [sym__ternary_qmark] = ACTIONS(2223),
    [sym_html_comment] = ACTIONS(5),
  },
  [454] = {
    [sym_comment] = STATE(454),
    [ts_builtin_sym_end] = ACTIONS(2307),
    [sym_identifier] = ACTIONS(2173),
    [anon_sym_export] = ACTIONS(2173),
    [anon_sym_STAR] = ACTIONS(2175),
    [anon_sym_type] = ACTIONS(2173),
    [anon_sym_as] = ACTIONS(2175),
    [anon_sym_namespace] = ACTIONS(2173),
    [anon_sym_LBRACE] = ACTIONS(2173),
    [anon_sym_COMMA] = ACTIONS(2175),
    [anon_sym_RBRACE] = ACTIONS(2173),
    [anon_sym_typeof] = ACTIONS(2173),
    [anon_sym_import] = ACTIONS(2173),
    [anon_sym_with] = ACTIONS(2173),
    [anon_sym_var] = ACTIONS(2173),
    [anon_sym_let] = ACTIONS(2173),
    [anon_sym_const] = ACTIONS(2173),
    [anon_sym_BANG] = ACTIONS(2173),
    [anon_sym_if] = ACTIONS(2173),
    [anon_sym_switch] = ACTIONS(2173),
    [anon_sym_for] = ACTIONS(2173),
    [anon_sym_LPAREN] = ACTIONS(2173),
    [anon_sym_await] = ACTIONS(2173),
    [anon_sym_in] = ACTIONS(2175),
    [anon_sym_while] = ACTIONS(2173),
    [anon_sym_do] = ACTIONS(2173),
    [anon_sym_try] = ACTIONS(2173),
    [anon_sym_break] = ACTIONS(2173),
    [anon_sym_continue] = ACTIONS(2173),
    [anon_sym_debugger] = ACTIONS(2173),
    [anon_sym_return] = ACTIONS(2173),
    [anon_sym_throw] = ACTIONS(2173),
    [anon_sym_SEMI] = ACTIONS(2173),
    [anon_sym_yield] = ACTIONS(2173),
    [anon_sym_LBRACK] = ACTIONS(2173),
    [anon_sym_LTtemplate_GT] = ACTIONS(2173),
    [anon_sym_GT] = ACTIONS(2175),
    [anon_sym_DOT] = ACTIONS(2175),
    [anon_sym_DQUOTE] = ACTIONS(2173),
    [anon_sym_SQUOTE] = ACTIONS(2173),
    [anon_sym_class] = ACTIONS(2173),
    [anon_sym_async] = ACTIONS(2173),
    [anon_sym_function] = ACTIONS(2173),
    [anon_sym_QMARK_DOT] = ACTIONS(2175),
    [anon_sym_new] = ACTIONS(2173),
    [anon_sym_using] = ACTIONS(2173),
    [anon_sym_AMP_AMP] = ACTIONS(2175),
    [anon_sym_PIPE_PIPE] = ACTIONS(2175),
    [anon_sym_GT_GT] = ACTIONS(2175),
    [anon_sym_GT_GT_GT] = ACTIONS(2175),
    [anon_sym_LT_LT] = ACTIONS(2175),
    [anon_sym_AMP] = ACTIONS(2175),
    [anon_sym_CARET] = ACTIONS(2175),
    [anon_sym_PIPE] = ACTIONS(2175),
    [anon_sym_PLUS] = ACTIONS(2173),
    [anon_sym_DASH] = ACTIONS(2173),
    [anon_sym_SLASH] = ACTIONS(2173),
    [anon_sym_PERCENT] = ACTIONS(2175),
    [anon_sym_STAR_STAR] = ACTIONS(2175),
    [anon_sym_LT] = ACTIONS(2173),
    [anon_sym_LT_EQ] = ACTIONS(2175),
    [anon_sym_EQ_EQ] = ACTIONS(2175),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2175),
    [anon_sym_BANG_EQ] = ACTIONS(2175),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2175),
    [anon_sym_GT_EQ] = ACTIONS(2175),
    [anon_sym_QMARK_QMARK] = ACTIONS(2175),
    [anon_sym_instanceof] = ACTIONS(2175),
    [anon_sym_TILDE] = ACTIONS(2173),
    [anon_sym_void] = ACTIONS(2173),
    [anon_sym_delete] = ACTIONS(2173),
    [anon_sym_PLUS_PLUS] = ACTIONS(2173),
    [anon_sym_DASH_DASH] = ACTIONS(2173),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2173),
    [sym_number] = ACTIONS(2173),
    [sym_private_property_identifier] = ACTIONS(2173),
    [sym_this] = ACTIONS(2173),
    [sym_super] = ACTIONS(2173),
    [sym_true] = ACTIONS(2173),
    [sym_false] = ACTIONS(2173),
    [sym_null] = ACTIONS(2173),
    [sym_undefined] = ACTIONS(2173),
    [anon_sym_AT] = ACTIONS(2173),
    [anon_sym_static] = ACTIONS(2173),
    [anon_sym_readonly] = ACTIONS(2173),
    [anon_sym_get] = ACTIONS(2173),
    [anon_sym_set] = ACTIONS(2173),
    [anon_sym_declare] = ACTIONS(2173),
    [anon_sym_public] = ACTIONS(2173),
    [anon_sym_private] = ACTIONS(2173),
    [anon_sym_protected] = ACTIONS(2173),
    [anon_sym_override] = ACTIONS(2173),
    [anon_sym_module] = ACTIONS(2173),
    [anon_sym_any] = ACTIONS(2173),
    [anon_sym_number] = ACTIONS(2173),
    [anon_sym_boolean] = ACTIONS(2173),
    [anon_sym_string] = ACTIONS(2173),
    [anon_sym_symbol] = ACTIONS(2173),
    [anon_sym_object] = ACTIONS(2173),
    [anon_sym_abstract] = ACTIONS(2173),
    [anon_sym_satisfies] = ACTIONS(2175),
    [anon_sym_interface] = ACTIONS(2173),
    [anon_sym_enum] = ACTIONS(2173),
    [sym__automatic_semicolon] = ACTIONS(2445),
    [sym__ternary_qmark] = ACTIONS(2179),
    [sym_html_comment] = ACTIONS(5),
  },
  [455] = {
    [sym_import] = STATE(4369),
    [sym_parenthesized_expression] = STATE(2177),
    [sym_expression] = STATE(2677),
    [sym_primary_expression] = STATE(2990),
    [sym_yield_expression] = STATE(3139),
    [sym_object] = STATE(3113),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(3113),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(3139),
    [sym_glimmer_opening_tag] = STATE(5702),
    [sym_jsx_element] = STATE(3139),
    [sym_jsx_opening_element] = STATE(4008),
    [sym_jsx_self_closing_element] = STATE(3139),
    [sym_class] = STATE(3113),
    [sym_function_expression] = STATE(3113),
    [sym_generator_function] = STATE(3113),
    [sym_arrow_function] = STATE(3113),
    [sym__call_signature] = STATE(7486),
    [sym_call_expression] = STATE(3113),
    [sym_new_expression] = STATE(3139),
    [sym_await_expression] = STATE(3139),
    [sym_member_expression] = STATE(2177),
    [sym_subscript_expression] = STATE(2177),
    [sym_assignment_expression] = STATE(3139),
    [sym__augmented_assignment_lhs] = STATE(3835),
    [sym_augmented_assignment_expression] = STATE(3139),
    [sym__destructuring_pattern] = STATE(7484),
    [sym_ternary_expression] = STATE(3139),
    [sym_binary_expression] = STATE(3139),
    [sym_unary_expression] = STATE(3139),
    [sym_update_expression] = STATE(3139),
    [sym_sequence_expression] = STATE(7050),
    [sym_string] = STATE(3113),
    [sym_comment] = STATE(455),
    [sym_template_string] = STATE(3113),
    [sym_regex] = STATE(3113),
    [sym_meta_property] = STATE(3113),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2177),
    [sym_as_expression] = STATE(3139),
    [sym_satisfies_expression] = STATE(3139),
    [sym_instantiation_expression] = STATE(3139),
    [sym_internal_module] = STATE(3139),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5555),
    [sym_identifier] = ACTIONS(1744),
    [anon_sym_export] = ACTIONS(1596),
    [anon_sym_type] = ACTIONS(1596),
    [anon_sym_namespace] = ACTIONS(1598),
    [anon_sym_LBRACE] = ACTIONS(1020),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1596),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_SEMI] = ACTIONS(2447),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1029),
    [anon_sym_async] = ACTIONS(1602),
    [anon_sym_function] = ACTIONS(1033),
    [anon_sym_new] = ACTIONS(1748),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1596),
    [anon_sym_readonly] = ACTIONS(1596),
    [anon_sym_get] = ACTIONS(1596),
    [anon_sym_set] = ACTIONS(1596),
    [anon_sym_declare] = ACTIONS(1596),
    [anon_sym_public] = ACTIONS(1596),
    [anon_sym_private] = ACTIONS(1596),
    [anon_sym_protected] = ACTIONS(1596),
    [anon_sym_override] = ACTIONS(1596),
    [anon_sym_module] = ACTIONS(1596),
    [anon_sym_any] = ACTIONS(1596),
    [anon_sym_number] = ACTIONS(1596),
    [anon_sym_boolean] = ACTIONS(1596),
    [anon_sym_string] = ACTIONS(1596),
    [anon_sym_symbol] = ACTIONS(1596),
    [anon_sym_object] = ACTIONS(1596),
    [sym__automatic_semicolon] = ACTIONS(2449),
    [sym_html_comment] = ACTIONS(5),
  },
  [456] = {
    [sym_comment] = STATE(456),
    [ts_builtin_sym_end] = ACTIONS(2201),
    [sym_identifier] = ACTIONS(2199),
    [anon_sym_export] = ACTIONS(2199),
    [anon_sym_STAR] = ACTIONS(2199),
    [anon_sym_type] = ACTIONS(2199),
    [anon_sym_as] = ACTIONS(2199),
    [anon_sym_namespace] = ACTIONS(2199),
    [anon_sym_LBRACE] = ACTIONS(2199),
    [anon_sym_COMMA] = ACTIONS(2199),
    [anon_sym_RBRACE] = ACTIONS(2199),
    [anon_sym_typeof] = ACTIONS(2199),
    [anon_sym_import] = ACTIONS(2199),
    [anon_sym_with] = ACTIONS(2199),
    [anon_sym_var] = ACTIONS(2199),
    [anon_sym_let] = ACTIONS(2199),
    [anon_sym_const] = ACTIONS(2199),
    [anon_sym_BANG] = ACTIONS(2199),
    [anon_sym_if] = ACTIONS(2199),
    [anon_sym_switch] = ACTIONS(2199),
    [anon_sym_for] = ACTIONS(2199),
    [anon_sym_LPAREN] = ACTIONS(2199),
    [anon_sym_await] = ACTIONS(2199),
    [anon_sym_in] = ACTIONS(2199),
    [anon_sym_while] = ACTIONS(2199),
    [anon_sym_do] = ACTIONS(2199),
    [anon_sym_try] = ACTIONS(2199),
    [anon_sym_break] = ACTIONS(2199),
    [anon_sym_continue] = ACTIONS(2199),
    [anon_sym_debugger] = ACTIONS(2199),
    [anon_sym_return] = ACTIONS(2199),
    [anon_sym_throw] = ACTIONS(2199),
    [anon_sym_SEMI] = ACTIONS(2199),
    [anon_sym_yield] = ACTIONS(2199),
    [anon_sym_LBRACK] = ACTIONS(2199),
    [anon_sym_LTtemplate_GT] = ACTIONS(2199),
    [anon_sym_GT] = ACTIONS(2199),
    [anon_sym_DOT] = ACTIONS(2199),
    [anon_sym_DQUOTE] = ACTIONS(2199),
    [anon_sym_SQUOTE] = ACTIONS(2199),
    [anon_sym_class] = ACTIONS(2199),
    [anon_sym_async] = ACTIONS(2199),
    [anon_sym_function] = ACTIONS(2199),
    [anon_sym_QMARK_DOT] = ACTIONS(2199),
    [anon_sym_new] = ACTIONS(2199),
    [anon_sym_using] = ACTIONS(2199),
    [anon_sym_AMP_AMP] = ACTIONS(2199),
    [anon_sym_PIPE_PIPE] = ACTIONS(2199),
    [anon_sym_GT_GT] = ACTIONS(2199),
    [anon_sym_GT_GT_GT] = ACTIONS(2199),
    [anon_sym_LT_LT] = ACTIONS(2199),
    [anon_sym_AMP] = ACTIONS(2199),
    [anon_sym_CARET] = ACTIONS(2199),
    [anon_sym_PIPE] = ACTIONS(2199),
    [anon_sym_PLUS] = ACTIONS(2199),
    [anon_sym_DASH] = ACTIONS(2199),
    [anon_sym_SLASH] = ACTIONS(2199),
    [anon_sym_PERCENT] = ACTIONS(2199),
    [anon_sym_STAR_STAR] = ACTIONS(2199),
    [anon_sym_LT] = ACTIONS(2199),
    [anon_sym_LT_EQ] = ACTIONS(2199),
    [anon_sym_EQ_EQ] = ACTIONS(2199),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2199),
    [anon_sym_BANG_EQ] = ACTIONS(2199),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2199),
    [anon_sym_GT_EQ] = ACTIONS(2199),
    [anon_sym_QMARK_QMARK] = ACTIONS(2199),
    [anon_sym_instanceof] = ACTIONS(2199),
    [anon_sym_TILDE] = ACTIONS(2199),
    [anon_sym_void] = ACTIONS(2199),
    [anon_sym_delete] = ACTIONS(2199),
    [anon_sym_PLUS_PLUS] = ACTIONS(2199),
    [anon_sym_DASH_DASH] = ACTIONS(2199),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2199),
    [sym_number] = ACTIONS(2199),
    [sym_private_property_identifier] = ACTIONS(2199),
    [sym_this] = ACTIONS(2199),
    [sym_super] = ACTIONS(2199),
    [sym_true] = ACTIONS(2199),
    [sym_false] = ACTIONS(2199),
    [sym_null] = ACTIONS(2199),
    [sym_undefined] = ACTIONS(2199),
    [anon_sym_AT] = ACTIONS(2199),
    [anon_sym_static] = ACTIONS(2199),
    [anon_sym_readonly] = ACTIONS(2199),
    [anon_sym_get] = ACTIONS(2199),
    [anon_sym_set] = ACTIONS(2199),
    [anon_sym_declare] = ACTIONS(2199),
    [anon_sym_public] = ACTIONS(2199),
    [anon_sym_private] = ACTIONS(2199),
    [anon_sym_protected] = ACTIONS(2199),
    [anon_sym_override] = ACTIONS(2199),
    [anon_sym_module] = ACTIONS(2199),
    [anon_sym_any] = ACTIONS(2199),
    [anon_sym_number] = ACTIONS(2199),
    [anon_sym_boolean] = ACTIONS(2199),
    [anon_sym_string] = ACTIONS(2199),
    [anon_sym_symbol] = ACTIONS(2199),
    [anon_sym_object] = ACTIONS(2199),
    [anon_sym_abstract] = ACTIONS(2199),
    [anon_sym_satisfies] = ACTIONS(2199),
    [anon_sym_interface] = ACTIONS(2199),
    [anon_sym_enum] = ACTIONS(2199),
    [sym__automatic_semicolon] = ACTIONS(2201),
    [sym__ternary_qmark] = ACTIONS(2201),
    [sym_html_comment] = ACTIONS(5),
  },
  [457] = {
    [sym_comment] = STATE(457),
    [sym_identifier] = ACTIONS(2419),
    [anon_sym_export] = ACTIONS(2419),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(2419),
    [anon_sym_EQ] = ACTIONS(115),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2419),
    [anon_sym_LBRACE] = ACTIONS(2419),
    [anon_sym_COMMA] = ACTIONS(124),
    [anon_sym_typeof] = ACTIONS(2419),
    [anon_sym_import] = ACTIONS(2419),
    [anon_sym_let] = ACTIONS(2419),
    [anon_sym_BANG] = ACTIONS(2419),
    [anon_sym_LPAREN] = ACTIONS(2419),
    [anon_sym_RPAREN] = ACTIONS(124),
    [anon_sym_await] = ACTIONS(2419),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(124),
    [anon_sym_yield] = ACTIONS(2419),
    [anon_sym_LBRACK] = ACTIONS(2419),
    [anon_sym_LTtemplate_GT] = ACTIONS(2419),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(2419),
    [anon_sym_SQUOTE] = ACTIONS(2419),
    [anon_sym_class] = ACTIONS(2419),
    [anon_sym_async] = ACTIONS(2419),
    [anon_sym_function] = ACTIONS(2419),
    [anon_sym_EQ_GT] = ACTIONS(153),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(2419),
    [anon_sym_using] = ACTIONS(2419),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2419),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(2419),
    [anon_sym_DASH] = ACTIONS(2419),
    [anon_sym_SLASH] = ACTIONS(2419),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2419),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(2419),
    [anon_sym_void] = ACTIONS(2419),
    [anon_sym_delete] = ACTIONS(2419),
    [anon_sym_PLUS_PLUS] = ACTIONS(2419),
    [anon_sym_DASH_DASH] = ACTIONS(2419),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2419),
    [sym_number] = ACTIONS(2419),
    [sym_private_property_identifier] = ACTIONS(2419),
    [sym_this] = ACTIONS(2419),
    [sym_super] = ACTIONS(2419),
    [sym_true] = ACTIONS(2419),
    [sym_false] = ACTIONS(2419),
    [sym_null] = ACTIONS(2419),
    [sym_undefined] = ACTIONS(2419),
    [anon_sym_AT] = ACTIONS(2419),
    [anon_sym_static] = ACTIONS(2419),
    [anon_sym_readonly] = ACTIONS(2419),
    [anon_sym_get] = ACTIONS(2419),
    [anon_sym_set] = ACTIONS(2419),
    [anon_sym_QMARK] = ACTIONS(124),
    [anon_sym_declare] = ACTIONS(2419),
    [anon_sym_public] = ACTIONS(2419),
    [anon_sym_private] = ACTIONS(2419),
    [anon_sym_protected] = ACTIONS(2419),
    [anon_sym_override] = ACTIONS(2419),
    [anon_sym_module] = ACTIONS(2419),
    [anon_sym_any] = ACTIONS(2419),
    [anon_sym_number] = ACTIONS(2419),
    [anon_sym_boolean] = ACTIONS(2419),
    [anon_sym_string] = ACTIONS(2419),
    [anon_sym_symbol] = ACTIONS(2419),
    [anon_sym_object] = ACTIONS(2419),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [458] = {
    [sym_comment] = STATE(458),
    [ts_builtin_sym_end] = ACTIONS(2103),
    [sym_identifier] = ACTIONS(2067),
    [anon_sym_export] = ACTIONS(2067),
    [anon_sym_STAR] = ACTIONS(2067),
    [anon_sym_type] = ACTIONS(2067),
    [anon_sym_as] = ACTIONS(2067),
    [anon_sym_namespace] = ACTIONS(2067),
    [anon_sym_LBRACE] = ACTIONS(2067),
    [anon_sym_COMMA] = ACTIONS(2067),
    [anon_sym_RBRACE] = ACTIONS(2067),
    [anon_sym_typeof] = ACTIONS(2067),
    [anon_sym_import] = ACTIONS(2067),
    [anon_sym_with] = ACTIONS(2067),
    [anon_sym_var] = ACTIONS(2067),
    [anon_sym_let] = ACTIONS(2067),
    [anon_sym_const] = ACTIONS(2067),
    [anon_sym_BANG] = ACTIONS(2067),
    [anon_sym_if] = ACTIONS(2067),
    [anon_sym_switch] = ACTIONS(2067),
    [anon_sym_for] = ACTIONS(2067),
    [anon_sym_LPAREN] = ACTIONS(2067),
    [anon_sym_await] = ACTIONS(2067),
    [anon_sym_in] = ACTIONS(2067),
    [anon_sym_while] = ACTIONS(2067),
    [anon_sym_do] = ACTIONS(2067),
    [anon_sym_try] = ACTIONS(2067),
    [anon_sym_break] = ACTIONS(2067),
    [anon_sym_continue] = ACTIONS(2067),
    [anon_sym_debugger] = ACTIONS(2067),
    [anon_sym_return] = ACTIONS(2067),
    [anon_sym_throw] = ACTIONS(2067),
    [anon_sym_SEMI] = ACTIONS(2067),
    [anon_sym_yield] = ACTIONS(2067),
    [anon_sym_LBRACK] = ACTIONS(2067),
    [anon_sym_LTtemplate_GT] = ACTIONS(2067),
    [anon_sym_GT] = ACTIONS(2067),
    [anon_sym_DOT] = ACTIONS(2067),
    [anon_sym_DQUOTE] = ACTIONS(2067),
    [anon_sym_SQUOTE] = ACTIONS(2067),
    [anon_sym_class] = ACTIONS(2067),
    [anon_sym_async] = ACTIONS(2067),
    [anon_sym_function] = ACTIONS(2067),
    [anon_sym_QMARK_DOT] = ACTIONS(2067),
    [anon_sym_new] = ACTIONS(2067),
    [anon_sym_using] = ACTIONS(2067),
    [anon_sym_AMP_AMP] = ACTIONS(2067),
    [anon_sym_PIPE_PIPE] = ACTIONS(2067),
    [anon_sym_GT_GT] = ACTIONS(2067),
    [anon_sym_GT_GT_GT] = ACTIONS(2067),
    [anon_sym_LT_LT] = ACTIONS(2067),
    [anon_sym_AMP] = ACTIONS(2067),
    [anon_sym_CARET] = ACTIONS(2067),
    [anon_sym_PIPE] = ACTIONS(2067),
    [anon_sym_PLUS] = ACTIONS(2067),
    [anon_sym_DASH] = ACTIONS(2067),
    [anon_sym_SLASH] = ACTIONS(2067),
    [anon_sym_PERCENT] = ACTIONS(2067),
    [anon_sym_STAR_STAR] = ACTIONS(2067),
    [anon_sym_LT] = ACTIONS(2067),
    [anon_sym_LT_EQ] = ACTIONS(2067),
    [anon_sym_EQ_EQ] = ACTIONS(2067),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2067),
    [anon_sym_BANG_EQ] = ACTIONS(2067),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2067),
    [anon_sym_GT_EQ] = ACTIONS(2067),
    [anon_sym_QMARK_QMARK] = ACTIONS(2067),
    [anon_sym_instanceof] = ACTIONS(2067),
    [anon_sym_TILDE] = ACTIONS(2067),
    [anon_sym_void] = ACTIONS(2067),
    [anon_sym_delete] = ACTIONS(2067),
    [anon_sym_PLUS_PLUS] = ACTIONS(2067),
    [anon_sym_DASH_DASH] = ACTIONS(2067),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2067),
    [sym_number] = ACTIONS(2067),
    [sym_private_property_identifier] = ACTIONS(2067),
    [sym_this] = ACTIONS(2067),
    [sym_super] = ACTIONS(2067),
    [sym_true] = ACTIONS(2067),
    [sym_false] = ACTIONS(2067),
    [sym_null] = ACTIONS(2067),
    [sym_undefined] = ACTIONS(2067),
    [anon_sym_AT] = ACTIONS(2067),
    [anon_sym_static] = ACTIONS(2067),
    [anon_sym_readonly] = ACTIONS(2067),
    [anon_sym_get] = ACTIONS(2067),
    [anon_sym_set] = ACTIONS(2067),
    [anon_sym_declare] = ACTIONS(2067),
    [anon_sym_public] = ACTIONS(2067),
    [anon_sym_private] = ACTIONS(2067),
    [anon_sym_protected] = ACTIONS(2067),
    [anon_sym_override] = ACTIONS(2067),
    [anon_sym_module] = ACTIONS(2067),
    [anon_sym_any] = ACTIONS(2067),
    [anon_sym_number] = ACTIONS(2067),
    [anon_sym_boolean] = ACTIONS(2067),
    [anon_sym_string] = ACTIONS(2067),
    [anon_sym_symbol] = ACTIONS(2067),
    [anon_sym_object] = ACTIONS(2067),
    [anon_sym_abstract] = ACTIONS(2067),
    [anon_sym_satisfies] = ACTIONS(2067),
    [anon_sym_interface] = ACTIONS(2067),
    [anon_sym_enum] = ACTIONS(2067),
    [sym__automatic_semicolon] = ACTIONS(2451),
    [sym__ternary_qmark] = ACTIONS(2103),
    [sym_html_comment] = ACTIONS(5),
  },
  [459] = {
    [sym_comment] = STATE(459),
    [ts_builtin_sym_end] = ACTIONS(2289),
    [sym_identifier] = ACTIONS(2237),
    [anon_sym_export] = ACTIONS(2237),
    [anon_sym_STAR] = ACTIONS(2239),
    [anon_sym_type] = ACTIONS(2237),
    [anon_sym_as] = ACTIONS(2239),
    [anon_sym_namespace] = ACTIONS(2237),
    [anon_sym_LBRACE] = ACTIONS(2237),
    [anon_sym_COMMA] = ACTIONS(2239),
    [anon_sym_RBRACE] = ACTIONS(2237),
    [anon_sym_typeof] = ACTIONS(2237),
    [anon_sym_import] = ACTIONS(2237),
    [anon_sym_with] = ACTIONS(2237),
    [anon_sym_var] = ACTIONS(2237),
    [anon_sym_let] = ACTIONS(2237),
    [anon_sym_const] = ACTIONS(2237),
    [anon_sym_BANG] = ACTIONS(2237),
    [anon_sym_if] = ACTIONS(2237),
    [anon_sym_switch] = ACTIONS(2237),
    [anon_sym_for] = ACTIONS(2237),
    [anon_sym_LPAREN] = ACTIONS(2237),
    [anon_sym_await] = ACTIONS(2237),
    [anon_sym_in] = ACTIONS(2239),
    [anon_sym_while] = ACTIONS(2237),
    [anon_sym_do] = ACTIONS(2237),
    [anon_sym_try] = ACTIONS(2237),
    [anon_sym_break] = ACTIONS(2237),
    [anon_sym_continue] = ACTIONS(2237),
    [anon_sym_debugger] = ACTIONS(2237),
    [anon_sym_return] = ACTIONS(2237),
    [anon_sym_throw] = ACTIONS(2237),
    [anon_sym_SEMI] = ACTIONS(2237),
    [anon_sym_yield] = ACTIONS(2237),
    [anon_sym_LBRACK] = ACTIONS(2237),
    [anon_sym_LTtemplate_GT] = ACTIONS(2237),
    [anon_sym_GT] = ACTIONS(2239),
    [anon_sym_DOT] = ACTIONS(2239),
    [anon_sym_DQUOTE] = ACTIONS(2237),
    [anon_sym_SQUOTE] = ACTIONS(2237),
    [anon_sym_class] = ACTIONS(2237),
    [anon_sym_async] = ACTIONS(2237),
    [anon_sym_function] = ACTIONS(2237),
    [anon_sym_QMARK_DOT] = ACTIONS(2239),
    [anon_sym_new] = ACTIONS(2237),
    [anon_sym_using] = ACTIONS(2237),
    [anon_sym_AMP_AMP] = ACTIONS(2239),
    [anon_sym_PIPE_PIPE] = ACTIONS(2239),
    [anon_sym_GT_GT] = ACTIONS(2239),
    [anon_sym_GT_GT_GT] = ACTIONS(2239),
    [anon_sym_LT_LT] = ACTIONS(2239),
    [anon_sym_AMP] = ACTIONS(2239),
    [anon_sym_CARET] = ACTIONS(2239),
    [anon_sym_PIPE] = ACTIONS(2239),
    [anon_sym_PLUS] = ACTIONS(2237),
    [anon_sym_DASH] = ACTIONS(2237),
    [anon_sym_SLASH] = ACTIONS(2237),
    [anon_sym_PERCENT] = ACTIONS(2239),
    [anon_sym_STAR_STAR] = ACTIONS(2239),
    [anon_sym_LT] = ACTIONS(2237),
    [anon_sym_LT_EQ] = ACTIONS(2239),
    [anon_sym_EQ_EQ] = ACTIONS(2239),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2239),
    [anon_sym_BANG_EQ] = ACTIONS(2239),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2239),
    [anon_sym_GT_EQ] = ACTIONS(2239),
    [anon_sym_QMARK_QMARK] = ACTIONS(2239),
    [anon_sym_instanceof] = ACTIONS(2239),
    [anon_sym_TILDE] = ACTIONS(2237),
    [anon_sym_void] = ACTIONS(2237),
    [anon_sym_delete] = ACTIONS(2237),
    [anon_sym_PLUS_PLUS] = ACTIONS(2237),
    [anon_sym_DASH_DASH] = ACTIONS(2237),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2237),
    [sym_number] = ACTIONS(2237),
    [sym_private_property_identifier] = ACTIONS(2237),
    [sym_this] = ACTIONS(2237),
    [sym_super] = ACTIONS(2237),
    [sym_true] = ACTIONS(2237),
    [sym_false] = ACTIONS(2237),
    [sym_null] = ACTIONS(2237),
    [sym_undefined] = ACTIONS(2237),
    [anon_sym_AT] = ACTIONS(2237),
    [anon_sym_static] = ACTIONS(2237),
    [anon_sym_readonly] = ACTIONS(2237),
    [anon_sym_get] = ACTIONS(2237),
    [anon_sym_set] = ACTIONS(2237),
    [anon_sym_declare] = ACTIONS(2237),
    [anon_sym_public] = ACTIONS(2237),
    [anon_sym_private] = ACTIONS(2237),
    [anon_sym_protected] = ACTIONS(2237),
    [anon_sym_override] = ACTIONS(2237),
    [anon_sym_module] = ACTIONS(2237),
    [anon_sym_any] = ACTIONS(2237),
    [anon_sym_number] = ACTIONS(2237),
    [anon_sym_boolean] = ACTIONS(2237),
    [anon_sym_string] = ACTIONS(2237),
    [anon_sym_symbol] = ACTIONS(2237),
    [anon_sym_object] = ACTIONS(2237),
    [anon_sym_abstract] = ACTIONS(2237),
    [anon_sym_satisfies] = ACTIONS(2239),
    [anon_sym_interface] = ACTIONS(2237),
    [anon_sym_enum] = ACTIONS(2237),
    [sym__automatic_semicolon] = ACTIONS(2453),
    [sym__ternary_qmark] = ACTIONS(2243),
    [sym_html_comment] = ACTIONS(5),
  },
  [460] = {
    [sym_import] = STATE(4369),
    [sym_parenthesized_expression] = STATE(2177),
    [sym_expression] = STATE(2560),
    [sym_primary_expression] = STATE(2990),
    [sym_yield_expression] = STATE(3139),
    [sym_object] = STATE(3113),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(3113),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(3139),
    [sym_glimmer_opening_tag] = STATE(5702),
    [sym_jsx_element] = STATE(3139),
    [sym_jsx_opening_element] = STATE(4008),
    [sym_jsx_self_closing_element] = STATE(3139),
    [sym_class] = STATE(3113),
    [sym_function_expression] = STATE(3113),
    [sym_generator_function] = STATE(3113),
    [sym_arrow_function] = STATE(3113),
    [sym__call_signature] = STATE(7486),
    [sym_call_expression] = STATE(3113),
    [sym_new_expression] = STATE(3139),
    [sym_await_expression] = STATE(3139),
    [sym_member_expression] = STATE(2177),
    [sym_subscript_expression] = STATE(2177),
    [sym_assignment_expression] = STATE(3139),
    [sym__augmented_assignment_lhs] = STATE(3835),
    [sym_augmented_assignment_expression] = STATE(3139),
    [sym__destructuring_pattern] = STATE(7484),
    [sym_ternary_expression] = STATE(3139),
    [sym_binary_expression] = STATE(3139),
    [sym_unary_expression] = STATE(3139),
    [sym_update_expression] = STATE(3139),
    [sym_sequence_expression] = STATE(6603),
    [sym_string] = STATE(3113),
    [sym_comment] = STATE(460),
    [sym_template_string] = STATE(3113),
    [sym_regex] = STATE(3113),
    [sym_meta_property] = STATE(3113),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2177),
    [sym_as_expression] = STATE(3139),
    [sym_satisfies_expression] = STATE(3139),
    [sym_instantiation_expression] = STATE(3139),
    [sym_internal_module] = STATE(3139),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5555),
    [sym_identifier] = ACTIONS(1744),
    [anon_sym_export] = ACTIONS(1596),
    [anon_sym_type] = ACTIONS(1596),
    [anon_sym_namespace] = ACTIONS(1598),
    [anon_sym_LBRACE] = ACTIONS(1020),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1596),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_SEMI] = ACTIONS(2455),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1029),
    [anon_sym_async] = ACTIONS(1602),
    [anon_sym_function] = ACTIONS(1033),
    [anon_sym_new] = ACTIONS(1748),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1596),
    [anon_sym_readonly] = ACTIONS(1596),
    [anon_sym_get] = ACTIONS(1596),
    [anon_sym_set] = ACTIONS(1596),
    [anon_sym_declare] = ACTIONS(1596),
    [anon_sym_public] = ACTIONS(1596),
    [anon_sym_private] = ACTIONS(1596),
    [anon_sym_protected] = ACTIONS(1596),
    [anon_sym_override] = ACTIONS(1596),
    [anon_sym_module] = ACTIONS(1596),
    [anon_sym_any] = ACTIONS(1596),
    [anon_sym_number] = ACTIONS(1596),
    [anon_sym_boolean] = ACTIONS(1596),
    [anon_sym_string] = ACTIONS(1596),
    [anon_sym_symbol] = ACTIONS(1596),
    [anon_sym_object] = ACTIONS(1596),
    [sym__automatic_semicolon] = ACTIONS(2457),
    [sym_html_comment] = ACTIONS(5),
  },
  [461] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2238),
    [sym_expression] = STATE(3359),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7260),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2238),
    [sym_subscript_expression] = STATE(2238),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3878),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(6082),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(461),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2238),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(2459),
    [anon_sym_export] = ACTIONS(2461),
    [anon_sym_type] = ACTIONS(2461),
    [anon_sym_namespace] = ACTIONS(2463),
    [anon_sym_LBRACE] = ACTIONS(2465),
    [anon_sym_typeof] = ACTIONS(174),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_var] = ACTIONS(2467),
    [anon_sym_let] = ACTIONS(2469),
    [anon_sym_const] = ACTIONS(2471),
    [anon_sym_BANG] = ACTIONS(174),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(2473),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(2475),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(2477),
    [anon_sym_using] = ACTIONS(157),
    [anon_sym_PLUS] = ACTIONS(174),
    [anon_sym_DASH] = ACTIONS(174),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(174),
    [anon_sym_void] = ACTIONS(174),
    [anon_sym_delete] = ACTIONS(174),
    [anon_sym_PLUS_PLUS] = ACTIONS(1039),
    [anon_sym_DASH_DASH] = ACTIONS(1039),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(185),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(2479),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(2461),
    [anon_sym_readonly] = ACTIONS(2461),
    [anon_sym_get] = ACTIONS(2461),
    [anon_sym_set] = ACTIONS(2461),
    [anon_sym_declare] = ACTIONS(2461),
    [anon_sym_public] = ACTIONS(2461),
    [anon_sym_private] = ACTIONS(2461),
    [anon_sym_protected] = ACTIONS(2461),
    [anon_sym_override] = ACTIONS(2461),
    [anon_sym_module] = ACTIONS(2461),
    [anon_sym_any] = ACTIONS(2461),
    [anon_sym_number] = ACTIONS(2461),
    [anon_sym_boolean] = ACTIONS(2461),
    [anon_sym_string] = ACTIONS(2461),
    [anon_sym_symbol] = ACTIONS(2461),
    [anon_sym_object] = ACTIONS(2461),
    [sym_html_comment] = ACTIONS(5),
  },
  [462] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2151),
    [sym_expression] = STATE(2776),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7643),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2151),
    [sym_subscript_expression] = STATE(2151),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3918),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7259),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_sequence_expression] = STATE(7365),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(462),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2151),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1724),
    [anon_sym_export] = ACTIONS(1452),
    [anon_sym_type] = ACTIONS(1452),
    [anon_sym_namespace] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(1127),
    [anon_sym_typeof] = ACTIONS(968),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1452),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_RPAREN] = ACTIONS(2481),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(1129),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1462),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1730),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_PLUS] = ACTIONS(968),
    [anon_sym_DASH] = ACTIONS(968),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(968),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1732),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1452),
    [anon_sym_readonly] = ACTIONS(1452),
    [anon_sym_get] = ACTIONS(1452),
    [anon_sym_set] = ACTIONS(1452),
    [anon_sym_declare] = ACTIONS(1452),
    [anon_sym_public] = ACTIONS(1452),
    [anon_sym_private] = ACTIONS(1452),
    [anon_sym_protected] = ACTIONS(1452),
    [anon_sym_override] = ACTIONS(1452),
    [anon_sym_module] = ACTIONS(1452),
    [anon_sym_any] = ACTIONS(1452),
    [anon_sym_number] = ACTIONS(1452),
    [anon_sym_boolean] = ACTIONS(1452),
    [anon_sym_string] = ACTIONS(1452),
    [anon_sym_symbol] = ACTIONS(1452),
    [anon_sym_object] = ACTIONS(1452),
    [sym_html_comment] = ACTIONS(5),
  },
  [463] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2151),
    [sym_expression] = STATE(2793),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7643),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2151),
    [sym_subscript_expression] = STATE(2151),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3918),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7259),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_sequence_expression] = STATE(7367),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(463),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2151),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1724),
    [anon_sym_export] = ACTIONS(1452),
    [anon_sym_type] = ACTIONS(1452),
    [anon_sym_namespace] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(1127),
    [anon_sym_typeof] = ACTIONS(968),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1452),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_RPAREN] = ACTIONS(2483),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(1129),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1462),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1730),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_PLUS] = ACTIONS(968),
    [anon_sym_DASH] = ACTIONS(968),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(968),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1732),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1452),
    [anon_sym_readonly] = ACTIONS(1452),
    [anon_sym_get] = ACTIONS(1452),
    [anon_sym_set] = ACTIONS(1452),
    [anon_sym_declare] = ACTIONS(1452),
    [anon_sym_public] = ACTIONS(1452),
    [anon_sym_private] = ACTIONS(1452),
    [anon_sym_protected] = ACTIONS(1452),
    [anon_sym_override] = ACTIONS(1452),
    [anon_sym_module] = ACTIONS(1452),
    [anon_sym_any] = ACTIONS(1452),
    [anon_sym_number] = ACTIONS(1452),
    [anon_sym_boolean] = ACTIONS(1452),
    [anon_sym_string] = ACTIONS(1452),
    [anon_sym_symbol] = ACTIONS(1452),
    [anon_sym_object] = ACTIONS(1452),
    [sym_html_comment] = ACTIONS(5),
  },
  [464] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2151),
    [sym_expression] = STATE(2760),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7643),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2151),
    [sym_subscript_expression] = STATE(2151),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3918),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7259),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_sequence_expression] = STATE(7589),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(464),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2151),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1724),
    [anon_sym_export] = ACTIONS(1452),
    [anon_sym_type] = ACTIONS(1452),
    [anon_sym_namespace] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(1127),
    [anon_sym_typeof] = ACTIONS(968),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1452),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_RPAREN] = ACTIONS(2485),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(1129),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1462),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1730),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_PLUS] = ACTIONS(968),
    [anon_sym_DASH] = ACTIONS(968),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(968),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1732),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1452),
    [anon_sym_readonly] = ACTIONS(1452),
    [anon_sym_get] = ACTIONS(1452),
    [anon_sym_set] = ACTIONS(1452),
    [anon_sym_declare] = ACTIONS(1452),
    [anon_sym_public] = ACTIONS(1452),
    [anon_sym_private] = ACTIONS(1452),
    [anon_sym_protected] = ACTIONS(1452),
    [anon_sym_override] = ACTIONS(1452),
    [anon_sym_module] = ACTIONS(1452),
    [anon_sym_any] = ACTIONS(1452),
    [anon_sym_number] = ACTIONS(1452),
    [anon_sym_boolean] = ACTIONS(1452),
    [anon_sym_string] = ACTIONS(1452),
    [anon_sym_symbol] = ACTIONS(1452),
    [anon_sym_object] = ACTIONS(1452),
    [sym_html_comment] = ACTIONS(5),
  },
  [465] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2151),
    [sym_expression] = STATE(2823),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7643),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2151),
    [sym_subscript_expression] = STATE(2151),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3918),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7259),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_sequence_expression] = STATE(7280),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(465),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2151),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1724),
    [anon_sym_export] = ACTIONS(1452),
    [anon_sym_type] = ACTIONS(1452),
    [anon_sym_namespace] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(1127),
    [anon_sym_typeof] = ACTIONS(968),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1452),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_RPAREN] = ACTIONS(2487),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(1129),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1462),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1730),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_PLUS] = ACTIONS(968),
    [anon_sym_DASH] = ACTIONS(968),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(968),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1732),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1452),
    [anon_sym_readonly] = ACTIONS(1452),
    [anon_sym_get] = ACTIONS(1452),
    [anon_sym_set] = ACTIONS(1452),
    [anon_sym_declare] = ACTIONS(1452),
    [anon_sym_public] = ACTIONS(1452),
    [anon_sym_private] = ACTIONS(1452),
    [anon_sym_protected] = ACTIONS(1452),
    [anon_sym_override] = ACTIONS(1452),
    [anon_sym_module] = ACTIONS(1452),
    [anon_sym_any] = ACTIONS(1452),
    [anon_sym_number] = ACTIONS(1452),
    [anon_sym_boolean] = ACTIONS(1452),
    [anon_sym_string] = ACTIONS(1452),
    [anon_sym_symbol] = ACTIONS(1452),
    [anon_sym_object] = ACTIONS(1452),
    [sym_html_comment] = ACTIONS(5),
  },
  [466] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2151),
    [sym_expression] = STATE(2811),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7643),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2151),
    [sym_subscript_expression] = STATE(2151),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3918),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7259),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_sequence_expression] = STATE(7290),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(466),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2151),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1724),
    [anon_sym_export] = ACTIONS(1452),
    [anon_sym_type] = ACTIONS(1452),
    [anon_sym_namespace] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(1127),
    [anon_sym_typeof] = ACTIONS(968),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1452),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_RPAREN] = ACTIONS(2489),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(1129),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1462),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1730),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_PLUS] = ACTIONS(968),
    [anon_sym_DASH] = ACTIONS(968),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(968),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1732),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1452),
    [anon_sym_readonly] = ACTIONS(1452),
    [anon_sym_get] = ACTIONS(1452),
    [anon_sym_set] = ACTIONS(1452),
    [anon_sym_declare] = ACTIONS(1452),
    [anon_sym_public] = ACTIONS(1452),
    [anon_sym_private] = ACTIONS(1452),
    [anon_sym_protected] = ACTIONS(1452),
    [anon_sym_override] = ACTIONS(1452),
    [anon_sym_module] = ACTIONS(1452),
    [anon_sym_any] = ACTIONS(1452),
    [anon_sym_number] = ACTIONS(1452),
    [anon_sym_boolean] = ACTIONS(1452),
    [anon_sym_string] = ACTIONS(1452),
    [anon_sym_symbol] = ACTIONS(1452),
    [anon_sym_object] = ACTIONS(1452),
    [sym_html_comment] = ACTIONS(5),
  },
  [467] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2151),
    [sym_expression] = STATE(2535),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7643),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2151),
    [sym_subscript_expression] = STATE(2151),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3918),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7259),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_sequence_expression] = STATE(7463),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(467),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2151),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1724),
    [anon_sym_export] = ACTIONS(1452),
    [anon_sym_type] = ACTIONS(1452),
    [anon_sym_namespace] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(1127),
    [anon_sym_typeof] = ACTIONS(968),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1452),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(1129),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1462),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1730),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_PLUS] = ACTIONS(968),
    [anon_sym_DASH] = ACTIONS(968),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(968),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1732),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1452),
    [anon_sym_readonly] = ACTIONS(1452),
    [anon_sym_get] = ACTIONS(1452),
    [anon_sym_set] = ACTIONS(1452),
    [anon_sym_declare] = ACTIONS(1452),
    [anon_sym_public] = ACTIONS(1452),
    [anon_sym_private] = ACTIONS(1452),
    [anon_sym_protected] = ACTIONS(1452),
    [anon_sym_override] = ACTIONS(1452),
    [anon_sym_module] = ACTIONS(1452),
    [anon_sym_any] = ACTIONS(1452),
    [anon_sym_number] = ACTIONS(1452),
    [anon_sym_boolean] = ACTIONS(1452),
    [anon_sym_string] = ACTIONS(1452),
    [anon_sym_symbol] = ACTIONS(1452),
    [anon_sym_object] = ACTIONS(1452),
    [sym_html_comment] = ACTIONS(5),
  },
  [468] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2151),
    [sym_expression] = STATE(2417),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7643),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2151),
    [sym_subscript_expression] = STATE(2151),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3918),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7259),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_sequence_expression] = STATE(7560),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(468),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2151),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1724),
    [anon_sym_export] = ACTIONS(1452),
    [anon_sym_type] = ACTIONS(1452),
    [anon_sym_namespace] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(1127),
    [anon_sym_typeof] = ACTIONS(968),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1452),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(1129),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1462),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1730),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_PLUS] = ACTIONS(968),
    [anon_sym_DASH] = ACTIONS(968),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(968),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1732),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1452),
    [anon_sym_readonly] = ACTIONS(1452),
    [anon_sym_get] = ACTIONS(1452),
    [anon_sym_set] = ACTIONS(1452),
    [anon_sym_declare] = ACTIONS(1452),
    [anon_sym_public] = ACTIONS(1452),
    [anon_sym_private] = ACTIONS(1452),
    [anon_sym_protected] = ACTIONS(1452),
    [anon_sym_override] = ACTIONS(1452),
    [anon_sym_module] = ACTIONS(1452),
    [anon_sym_any] = ACTIONS(1452),
    [anon_sym_number] = ACTIONS(1452),
    [anon_sym_boolean] = ACTIONS(1452),
    [anon_sym_string] = ACTIONS(1452),
    [anon_sym_symbol] = ACTIONS(1452),
    [anon_sym_object] = ACTIONS(1452),
    [sym_html_comment] = ACTIONS(5),
  },
  [469] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2151),
    [sym_expression] = STATE(2798),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7643),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2151),
    [sym_subscript_expression] = STATE(2151),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3918),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7259),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_sequence_expression] = STATE(7318),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(469),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2151),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1724),
    [anon_sym_export] = ACTIONS(1452),
    [anon_sym_type] = ACTIONS(1452),
    [anon_sym_namespace] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(1127),
    [anon_sym_typeof] = ACTIONS(968),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1452),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(1129),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1462),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1730),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_PLUS] = ACTIONS(968),
    [anon_sym_DASH] = ACTIONS(968),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(968),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1732),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1452),
    [anon_sym_readonly] = ACTIONS(1452),
    [anon_sym_get] = ACTIONS(1452),
    [anon_sym_set] = ACTIONS(1452),
    [anon_sym_declare] = ACTIONS(1452),
    [anon_sym_public] = ACTIONS(1452),
    [anon_sym_private] = ACTIONS(1452),
    [anon_sym_protected] = ACTIONS(1452),
    [anon_sym_override] = ACTIONS(1452),
    [anon_sym_module] = ACTIONS(1452),
    [anon_sym_any] = ACTIONS(1452),
    [anon_sym_number] = ACTIONS(1452),
    [anon_sym_boolean] = ACTIONS(1452),
    [anon_sym_string] = ACTIONS(1452),
    [anon_sym_symbol] = ACTIONS(1452),
    [anon_sym_object] = ACTIONS(1452),
    [sym_html_comment] = ACTIONS(5),
  },
  [470] = {
    [sym_import] = STATE(4259),
    [sym_statement_block] = STATE(2665),
    [sym_parenthesized_expression] = STATE(2048),
    [sym_expression] = STATE(3405),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7260),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2048),
    [sym_subscript_expression] = STATE(2048),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3878),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7646),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(470),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2048),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1095),
    [anon_sym_export] = ACTIONS(1097),
    [anon_sym_type] = ACTIONS(1097),
    [anon_sym_namespace] = ACTIONS(1099),
    [anon_sym_LBRACE] = ACTIONS(2491),
    [anon_sym_typeof] = ACTIONS(174),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1097),
    [anon_sym_BANG] = ACTIONS(174),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1109),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1111),
    [anon_sym_using] = ACTIONS(157),
    [anon_sym_PLUS] = ACTIONS(174),
    [anon_sym_DASH] = ACTIONS(174),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(174),
    [anon_sym_void] = ACTIONS(174),
    [anon_sym_delete] = ACTIONS(174),
    [anon_sym_PLUS_PLUS] = ACTIONS(1039),
    [anon_sym_DASH_DASH] = ACTIONS(1039),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(185),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1115),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1097),
    [anon_sym_readonly] = ACTIONS(1097),
    [anon_sym_get] = ACTIONS(1097),
    [anon_sym_set] = ACTIONS(1097),
    [anon_sym_declare] = ACTIONS(1097),
    [anon_sym_public] = ACTIONS(1097),
    [anon_sym_private] = ACTIONS(1097),
    [anon_sym_protected] = ACTIONS(1097),
    [anon_sym_override] = ACTIONS(1097),
    [anon_sym_module] = ACTIONS(1097),
    [anon_sym_any] = ACTIONS(1097),
    [anon_sym_number] = ACTIONS(1097),
    [anon_sym_boolean] = ACTIONS(1097),
    [anon_sym_string] = ACTIONS(1097),
    [anon_sym_symbol] = ACTIONS(1097),
    [anon_sym_object] = ACTIONS(1097),
    [sym_html_comment] = ACTIONS(5),
  },
  [471] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2196),
    [sym_expression] = STATE(2726),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7510),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2196),
    [sym_subscript_expression] = STATE(2196),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3936),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7511),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(471),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2196),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym__extends_clause_single] = STATE(6040),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1750),
    [anon_sym_export] = ACTIONS(1562),
    [anon_sym_type] = ACTIONS(1562),
    [anon_sym_namespace] = ACTIONS(1564),
    [anon_sym_LBRACE] = ACTIONS(1127),
    [anon_sym_typeof] = ACTIONS(1568),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1562),
    [anon_sym_BANG] = ACTIONS(1568),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1570),
    [anon_sym_yield] = ACTIONS(1572),
    [anon_sym_LBRACK] = ACTIONS(1129),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1574),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1754),
    [anon_sym_using] = ACTIONS(1578),
    [anon_sym_PLUS] = ACTIONS(1568),
    [anon_sym_DASH] = ACTIONS(1568),
    [anon_sym_SLASH] = ACTIONS(1274),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(1568),
    [anon_sym_void] = ACTIONS(1568),
    [anon_sym_delete] = ACTIONS(1568),
    [anon_sym_PLUS_PLUS] = ACTIONS(1584),
    [anon_sym_DASH_DASH] = ACTIONS(1584),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(1586),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1756),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1562),
    [anon_sym_readonly] = ACTIONS(1562),
    [anon_sym_get] = ACTIONS(1562),
    [anon_sym_set] = ACTIONS(1562),
    [anon_sym_declare] = ACTIONS(1562),
    [anon_sym_public] = ACTIONS(1562),
    [anon_sym_private] = ACTIONS(1562),
    [anon_sym_protected] = ACTIONS(1562),
    [anon_sym_override] = ACTIONS(1562),
    [anon_sym_module] = ACTIONS(1562),
    [anon_sym_any] = ACTIONS(1562),
    [anon_sym_number] = ACTIONS(1562),
    [anon_sym_boolean] = ACTIONS(1562),
    [anon_sym_string] = ACTIONS(1562),
    [anon_sym_symbol] = ACTIONS(1562),
    [anon_sym_object] = ACTIONS(1562),
    [sym_html_comment] = ACTIONS(5),
  },
  [472] = {
    [sym_import] = STATE(4259),
    [sym_statement_block] = STATE(2638),
    [sym_parenthesized_expression] = STATE(2048),
    [sym_expression] = STATE(3387),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7260),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2048),
    [sym_subscript_expression] = STATE(2048),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3878),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7646),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(472),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2048),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1095),
    [anon_sym_export] = ACTIONS(1097),
    [anon_sym_type] = ACTIONS(1097),
    [anon_sym_namespace] = ACTIONS(1099),
    [anon_sym_LBRACE] = ACTIONS(2491),
    [anon_sym_typeof] = ACTIONS(174),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1097),
    [anon_sym_BANG] = ACTIONS(174),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1109),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1111),
    [anon_sym_using] = ACTIONS(157),
    [anon_sym_PLUS] = ACTIONS(174),
    [anon_sym_DASH] = ACTIONS(174),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(174),
    [anon_sym_void] = ACTIONS(174),
    [anon_sym_delete] = ACTIONS(174),
    [anon_sym_PLUS_PLUS] = ACTIONS(1039),
    [anon_sym_DASH_DASH] = ACTIONS(1039),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(185),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1115),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1097),
    [anon_sym_readonly] = ACTIONS(1097),
    [anon_sym_get] = ACTIONS(1097),
    [anon_sym_set] = ACTIONS(1097),
    [anon_sym_declare] = ACTIONS(1097),
    [anon_sym_public] = ACTIONS(1097),
    [anon_sym_private] = ACTIONS(1097),
    [anon_sym_protected] = ACTIONS(1097),
    [anon_sym_override] = ACTIONS(1097),
    [anon_sym_module] = ACTIONS(1097),
    [anon_sym_any] = ACTIONS(1097),
    [anon_sym_number] = ACTIONS(1097),
    [anon_sym_boolean] = ACTIONS(1097),
    [anon_sym_string] = ACTIONS(1097),
    [anon_sym_symbol] = ACTIONS(1097),
    [anon_sym_object] = ACTIONS(1097),
    [sym_html_comment] = ACTIONS(5),
  },
  [473] = {
    [sym_import] = STATE(4369),
    [sym_statement_block] = STATE(3259),
    [sym_parenthesized_expression] = STATE(2177),
    [sym_expression] = STATE(2700),
    [sym_primary_expression] = STATE(2990),
    [sym_yield_expression] = STATE(3139),
    [sym_object] = STATE(3113),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(3113),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(3139),
    [sym_glimmer_opening_tag] = STATE(5702),
    [sym_jsx_element] = STATE(3139),
    [sym_jsx_opening_element] = STATE(4008),
    [sym_jsx_self_closing_element] = STATE(3139),
    [sym_class] = STATE(3113),
    [sym_function_expression] = STATE(3113),
    [sym_generator_function] = STATE(3113),
    [sym_arrow_function] = STATE(3113),
    [sym__call_signature] = STATE(7486),
    [sym_call_expression] = STATE(3113),
    [sym_new_expression] = STATE(3139),
    [sym_await_expression] = STATE(3139),
    [sym_member_expression] = STATE(2177),
    [sym_subscript_expression] = STATE(2177),
    [sym_assignment_expression] = STATE(3139),
    [sym__augmented_assignment_lhs] = STATE(3835),
    [sym_augmented_assignment_expression] = STATE(3139),
    [sym__destructuring_pattern] = STATE(7484),
    [sym_ternary_expression] = STATE(3139),
    [sym_binary_expression] = STATE(3139),
    [sym_unary_expression] = STATE(3139),
    [sym_update_expression] = STATE(3139),
    [sym_string] = STATE(3113),
    [sym_comment] = STATE(473),
    [sym_template_string] = STATE(3113),
    [sym_regex] = STATE(3113),
    [sym_meta_property] = STATE(3113),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2177),
    [sym_as_expression] = STATE(3139),
    [sym_satisfies_expression] = STATE(3139),
    [sym_instantiation_expression] = STATE(3139),
    [sym_internal_module] = STATE(3139),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5555),
    [sym_identifier] = ACTIONS(1744),
    [anon_sym_export] = ACTIONS(1596),
    [anon_sym_type] = ACTIONS(1596),
    [anon_sym_namespace] = ACTIONS(1598),
    [anon_sym_LBRACE] = ACTIONS(2493),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1596),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1029),
    [anon_sym_async] = ACTIONS(1602),
    [anon_sym_function] = ACTIONS(1033),
    [anon_sym_new] = ACTIONS(1748),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1596),
    [anon_sym_readonly] = ACTIONS(1596),
    [anon_sym_get] = ACTIONS(1596),
    [anon_sym_set] = ACTIONS(1596),
    [anon_sym_declare] = ACTIONS(1596),
    [anon_sym_public] = ACTIONS(1596),
    [anon_sym_private] = ACTIONS(1596),
    [anon_sym_protected] = ACTIONS(1596),
    [anon_sym_override] = ACTIONS(1596),
    [anon_sym_module] = ACTIONS(1596),
    [anon_sym_any] = ACTIONS(1596),
    [anon_sym_number] = ACTIONS(1596),
    [anon_sym_boolean] = ACTIONS(1596),
    [anon_sym_string] = ACTIONS(1596),
    [anon_sym_symbol] = ACTIONS(1596),
    [anon_sym_object] = ACTIONS(1596),
    [sym_html_comment] = ACTIONS(5),
  },
  [474] = {
    [sym_import] = STATE(4369),
    [sym_parenthesized_expression] = STATE(2177),
    [sym_expression] = STATE(2559),
    [sym_primary_expression] = STATE(2990),
    [sym_yield_expression] = STATE(3139),
    [sym_object] = STATE(3113),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(3113),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(3139),
    [sym_glimmer_opening_tag] = STATE(5702),
    [sym_jsx_element] = STATE(3139),
    [sym_jsx_opening_element] = STATE(4008),
    [sym_jsx_self_closing_element] = STATE(3139),
    [sym_class] = STATE(3113),
    [sym_function_expression] = STATE(3113),
    [sym_generator_function] = STATE(3113),
    [sym_arrow_function] = STATE(3113),
    [sym__call_signature] = STATE(7486),
    [sym_call_expression] = STATE(3113),
    [sym_new_expression] = STATE(3139),
    [sym_await_expression] = STATE(3139),
    [sym_member_expression] = STATE(2177),
    [sym_subscript_expression] = STATE(2177),
    [sym_assignment_expression] = STATE(3139),
    [sym__augmented_assignment_lhs] = STATE(3835),
    [sym_augmented_assignment_expression] = STATE(3139),
    [sym__destructuring_pattern] = STATE(7484),
    [sym_ternary_expression] = STATE(3139),
    [sym_binary_expression] = STATE(3139),
    [sym_unary_expression] = STATE(3139),
    [sym_update_expression] = STATE(3139),
    [sym_sequence_expression] = STATE(6606),
    [sym_string] = STATE(3113),
    [sym_comment] = STATE(474),
    [sym_template_string] = STATE(3113),
    [sym_regex] = STATE(3113),
    [sym_meta_property] = STATE(3113),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2177),
    [sym_as_expression] = STATE(3139),
    [sym_satisfies_expression] = STATE(3139),
    [sym_instantiation_expression] = STATE(3139),
    [sym_internal_module] = STATE(3139),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5555),
    [sym_identifier] = ACTIONS(1744),
    [anon_sym_export] = ACTIONS(1596),
    [anon_sym_type] = ACTIONS(1596),
    [anon_sym_namespace] = ACTIONS(1598),
    [anon_sym_LBRACE] = ACTIONS(1020),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1596),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1029),
    [anon_sym_async] = ACTIONS(1602),
    [anon_sym_function] = ACTIONS(1033),
    [anon_sym_new] = ACTIONS(1748),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1596),
    [anon_sym_readonly] = ACTIONS(1596),
    [anon_sym_get] = ACTIONS(1596),
    [anon_sym_set] = ACTIONS(1596),
    [anon_sym_declare] = ACTIONS(1596),
    [anon_sym_public] = ACTIONS(1596),
    [anon_sym_private] = ACTIONS(1596),
    [anon_sym_protected] = ACTIONS(1596),
    [anon_sym_override] = ACTIONS(1596),
    [anon_sym_module] = ACTIONS(1596),
    [anon_sym_any] = ACTIONS(1596),
    [anon_sym_number] = ACTIONS(1596),
    [anon_sym_boolean] = ACTIONS(1596),
    [anon_sym_string] = ACTIONS(1596),
    [anon_sym_symbol] = ACTIONS(1596),
    [anon_sym_object] = ACTIONS(1596),
    [sym_html_comment] = ACTIONS(5),
  },
  [475] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2151),
    [sym_expression] = STATE(2767),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7643),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2151),
    [sym_subscript_expression] = STATE(2151),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3918),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7259),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_sequence_expression] = STATE(7310),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(475),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2151),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1724),
    [anon_sym_export] = ACTIONS(1452),
    [anon_sym_type] = ACTIONS(1452),
    [anon_sym_namespace] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(1127),
    [anon_sym_typeof] = ACTIONS(968),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1452),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(1129),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1462),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1730),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_PLUS] = ACTIONS(968),
    [anon_sym_DASH] = ACTIONS(968),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(968),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1732),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1452),
    [anon_sym_readonly] = ACTIONS(1452),
    [anon_sym_get] = ACTIONS(1452),
    [anon_sym_set] = ACTIONS(1452),
    [anon_sym_declare] = ACTIONS(1452),
    [anon_sym_public] = ACTIONS(1452),
    [anon_sym_private] = ACTIONS(1452),
    [anon_sym_protected] = ACTIONS(1452),
    [anon_sym_override] = ACTIONS(1452),
    [anon_sym_module] = ACTIONS(1452),
    [anon_sym_any] = ACTIONS(1452),
    [anon_sym_number] = ACTIONS(1452),
    [anon_sym_boolean] = ACTIONS(1452),
    [anon_sym_string] = ACTIONS(1452),
    [anon_sym_symbol] = ACTIONS(1452),
    [anon_sym_object] = ACTIONS(1452),
    [sym_html_comment] = ACTIONS(5),
  },
  [476] = {
    [sym_import] = STATE(4259),
    [sym_statement_block] = STATE(2635),
    [sym_parenthesized_expression] = STATE(2048),
    [sym_expression] = STATE(3383),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7260),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2048),
    [sym_subscript_expression] = STATE(2048),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3878),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7646),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(476),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2048),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1095),
    [anon_sym_export] = ACTIONS(1097),
    [anon_sym_type] = ACTIONS(1097),
    [anon_sym_namespace] = ACTIONS(1099),
    [anon_sym_LBRACE] = ACTIONS(2491),
    [anon_sym_typeof] = ACTIONS(174),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1097),
    [anon_sym_BANG] = ACTIONS(174),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1109),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1111),
    [anon_sym_using] = ACTIONS(157),
    [anon_sym_PLUS] = ACTIONS(174),
    [anon_sym_DASH] = ACTIONS(174),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(174),
    [anon_sym_void] = ACTIONS(174),
    [anon_sym_delete] = ACTIONS(174),
    [anon_sym_PLUS_PLUS] = ACTIONS(1039),
    [anon_sym_DASH_DASH] = ACTIONS(1039),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(185),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1115),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1097),
    [anon_sym_readonly] = ACTIONS(1097),
    [anon_sym_get] = ACTIONS(1097),
    [anon_sym_set] = ACTIONS(1097),
    [anon_sym_declare] = ACTIONS(1097),
    [anon_sym_public] = ACTIONS(1097),
    [anon_sym_private] = ACTIONS(1097),
    [anon_sym_protected] = ACTIONS(1097),
    [anon_sym_override] = ACTIONS(1097),
    [anon_sym_module] = ACTIONS(1097),
    [anon_sym_any] = ACTIONS(1097),
    [anon_sym_number] = ACTIONS(1097),
    [anon_sym_boolean] = ACTIONS(1097),
    [anon_sym_string] = ACTIONS(1097),
    [anon_sym_symbol] = ACTIONS(1097),
    [anon_sym_object] = ACTIONS(1097),
    [sym_html_comment] = ACTIONS(5),
  },
  [477] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2151),
    [sym_expression] = STATE(2809),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7643),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2151),
    [sym_subscript_expression] = STATE(2151),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3918),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7259),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_sequence_expression] = STATE(7498),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(477),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2151),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1724),
    [anon_sym_export] = ACTIONS(1452),
    [anon_sym_type] = ACTIONS(1452),
    [anon_sym_namespace] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(1127),
    [anon_sym_typeof] = ACTIONS(968),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1452),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(1129),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1462),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1730),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_PLUS] = ACTIONS(968),
    [anon_sym_DASH] = ACTIONS(968),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(968),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1732),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1452),
    [anon_sym_readonly] = ACTIONS(1452),
    [anon_sym_get] = ACTIONS(1452),
    [anon_sym_set] = ACTIONS(1452),
    [anon_sym_declare] = ACTIONS(1452),
    [anon_sym_public] = ACTIONS(1452),
    [anon_sym_private] = ACTIONS(1452),
    [anon_sym_protected] = ACTIONS(1452),
    [anon_sym_override] = ACTIONS(1452),
    [anon_sym_module] = ACTIONS(1452),
    [anon_sym_any] = ACTIONS(1452),
    [anon_sym_number] = ACTIONS(1452),
    [anon_sym_boolean] = ACTIONS(1452),
    [anon_sym_string] = ACTIONS(1452),
    [anon_sym_symbol] = ACTIONS(1452),
    [anon_sym_object] = ACTIONS(1452),
    [sym_html_comment] = ACTIONS(5),
  },
  [478] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2151),
    [sym_expression] = STATE(2824),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7643),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2151),
    [sym_subscript_expression] = STATE(2151),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3918),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7259),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_sequence_expression] = STATE(7423),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(478),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2151),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1724),
    [anon_sym_export] = ACTIONS(1452),
    [anon_sym_type] = ACTIONS(1452),
    [anon_sym_namespace] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(1127),
    [anon_sym_typeof] = ACTIONS(968),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1452),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(1129),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1462),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1730),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_PLUS] = ACTIONS(968),
    [anon_sym_DASH] = ACTIONS(968),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(968),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1732),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1452),
    [anon_sym_readonly] = ACTIONS(1452),
    [anon_sym_get] = ACTIONS(1452),
    [anon_sym_set] = ACTIONS(1452),
    [anon_sym_declare] = ACTIONS(1452),
    [anon_sym_public] = ACTIONS(1452),
    [anon_sym_private] = ACTIONS(1452),
    [anon_sym_protected] = ACTIONS(1452),
    [anon_sym_override] = ACTIONS(1452),
    [anon_sym_module] = ACTIONS(1452),
    [anon_sym_any] = ACTIONS(1452),
    [anon_sym_number] = ACTIONS(1452),
    [anon_sym_boolean] = ACTIONS(1452),
    [anon_sym_string] = ACTIONS(1452),
    [anon_sym_symbol] = ACTIONS(1452),
    [anon_sym_object] = ACTIONS(1452),
    [sym_html_comment] = ACTIONS(5),
  },
  [479] = {
    [sym_import] = STATE(4259),
    [sym_statement_block] = STATE(2634),
    [sym_parenthesized_expression] = STATE(2048),
    [sym_expression] = STATE(3382),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7260),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2048),
    [sym_subscript_expression] = STATE(2048),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3878),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7646),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(479),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2048),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1095),
    [anon_sym_export] = ACTIONS(1097),
    [anon_sym_type] = ACTIONS(1097),
    [anon_sym_namespace] = ACTIONS(1099),
    [anon_sym_LBRACE] = ACTIONS(2491),
    [anon_sym_typeof] = ACTIONS(174),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1097),
    [anon_sym_BANG] = ACTIONS(174),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1109),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1111),
    [anon_sym_using] = ACTIONS(157),
    [anon_sym_PLUS] = ACTIONS(174),
    [anon_sym_DASH] = ACTIONS(174),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(174),
    [anon_sym_void] = ACTIONS(174),
    [anon_sym_delete] = ACTIONS(174),
    [anon_sym_PLUS_PLUS] = ACTIONS(1039),
    [anon_sym_DASH_DASH] = ACTIONS(1039),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(185),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1115),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1097),
    [anon_sym_readonly] = ACTIONS(1097),
    [anon_sym_get] = ACTIONS(1097),
    [anon_sym_set] = ACTIONS(1097),
    [anon_sym_declare] = ACTIONS(1097),
    [anon_sym_public] = ACTIONS(1097),
    [anon_sym_private] = ACTIONS(1097),
    [anon_sym_protected] = ACTIONS(1097),
    [anon_sym_override] = ACTIONS(1097),
    [anon_sym_module] = ACTIONS(1097),
    [anon_sym_any] = ACTIONS(1097),
    [anon_sym_number] = ACTIONS(1097),
    [anon_sym_boolean] = ACTIONS(1097),
    [anon_sym_string] = ACTIONS(1097),
    [anon_sym_symbol] = ACTIONS(1097),
    [anon_sym_object] = ACTIONS(1097),
    [sym_html_comment] = ACTIONS(5),
  },
  [480] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2151),
    [sym_expression] = STATE(2418),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7643),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2151),
    [sym_subscript_expression] = STATE(2151),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3918),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7259),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_sequence_expression] = STATE(7433),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(480),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2151),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1724),
    [anon_sym_export] = ACTIONS(1452),
    [anon_sym_type] = ACTIONS(1452),
    [anon_sym_namespace] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(1127),
    [anon_sym_typeof] = ACTIONS(968),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1452),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(1129),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1462),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1730),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_PLUS] = ACTIONS(968),
    [anon_sym_DASH] = ACTIONS(968),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(968),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1732),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1452),
    [anon_sym_readonly] = ACTIONS(1452),
    [anon_sym_get] = ACTIONS(1452),
    [anon_sym_set] = ACTIONS(1452),
    [anon_sym_declare] = ACTIONS(1452),
    [anon_sym_public] = ACTIONS(1452),
    [anon_sym_private] = ACTIONS(1452),
    [anon_sym_protected] = ACTIONS(1452),
    [anon_sym_override] = ACTIONS(1452),
    [anon_sym_module] = ACTIONS(1452),
    [anon_sym_any] = ACTIONS(1452),
    [anon_sym_number] = ACTIONS(1452),
    [anon_sym_boolean] = ACTIONS(1452),
    [anon_sym_string] = ACTIONS(1452),
    [anon_sym_symbol] = ACTIONS(1452),
    [anon_sym_object] = ACTIONS(1452),
    [sym_html_comment] = ACTIONS(5),
  },
  [481] = {
    [sym_import] = STATE(4369),
    [sym_statement_block] = STATE(3259),
    [sym_parenthesized_expression] = STATE(2175),
    [sym_expression] = STATE(2590),
    [sym_primary_expression] = STATE(2990),
    [sym_yield_expression] = STATE(3139),
    [sym_object] = STATE(3113),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(3113),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(3139),
    [sym_glimmer_opening_tag] = STATE(5702),
    [sym_jsx_element] = STATE(3139),
    [sym_jsx_opening_element] = STATE(4008),
    [sym_jsx_self_closing_element] = STATE(3139),
    [sym_class] = STATE(3113),
    [sym_function_expression] = STATE(3113),
    [sym_generator_function] = STATE(3113),
    [sym_arrow_function] = STATE(3113),
    [sym__call_signature] = STATE(7205),
    [sym_call_expression] = STATE(3113),
    [sym_new_expression] = STATE(3139),
    [sym_await_expression] = STATE(3139),
    [sym_member_expression] = STATE(2175),
    [sym_subscript_expression] = STATE(2175),
    [sym_assignment_expression] = STATE(3139),
    [sym__augmented_assignment_lhs] = STATE(3844),
    [sym_augmented_assignment_expression] = STATE(3139),
    [sym__destructuring_pattern] = STATE(7209),
    [sym_ternary_expression] = STATE(3139),
    [sym_binary_expression] = STATE(3139),
    [sym_unary_expression] = STATE(3139),
    [sym_update_expression] = STATE(3139),
    [sym_string] = STATE(3113),
    [sym_comment] = STATE(481),
    [sym_template_string] = STATE(3113),
    [sym_regex] = STATE(3113),
    [sym_meta_property] = STATE(3113),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2175),
    [sym_as_expression] = STATE(3139),
    [sym_satisfies_expression] = STATE(3139),
    [sym_instantiation_expression] = STATE(3139),
    [sym_internal_module] = STATE(3139),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5555),
    [sym_identifier] = ACTIONS(1736),
    [anon_sym_export] = ACTIONS(1518),
    [anon_sym_type] = ACTIONS(1518),
    [anon_sym_namespace] = ACTIONS(1520),
    [anon_sym_LBRACE] = ACTIONS(2493),
    [anon_sym_typeof] = ACTIONS(1526),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1518),
    [anon_sym_BANG] = ACTIONS(1526),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1528),
    [anon_sym_yield] = ACTIONS(1530),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1029),
    [anon_sym_async] = ACTIONS(1534),
    [anon_sym_function] = ACTIONS(1033),
    [anon_sym_new] = ACTIONS(1740),
    [anon_sym_using] = ACTIONS(1538),
    [anon_sym_PLUS] = ACTIONS(1526),
    [anon_sym_DASH] = ACTIONS(1526),
    [anon_sym_SLASH] = ACTIONS(1195),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1526),
    [anon_sym_void] = ACTIONS(1526),
    [anon_sym_delete] = ACTIONS(1526),
    [anon_sym_PLUS_PLUS] = ACTIONS(1544),
    [anon_sym_DASH_DASH] = ACTIONS(1544),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1550),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1742),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1518),
    [anon_sym_readonly] = ACTIONS(1518),
    [anon_sym_get] = ACTIONS(1518),
    [anon_sym_set] = ACTIONS(1518),
    [anon_sym_declare] = ACTIONS(1518),
    [anon_sym_public] = ACTIONS(1518),
    [anon_sym_private] = ACTIONS(1518),
    [anon_sym_protected] = ACTIONS(1518),
    [anon_sym_override] = ACTIONS(1518),
    [anon_sym_module] = ACTIONS(1518),
    [anon_sym_any] = ACTIONS(1518),
    [anon_sym_number] = ACTIONS(1518),
    [anon_sym_boolean] = ACTIONS(1518),
    [anon_sym_string] = ACTIONS(1518),
    [anon_sym_symbol] = ACTIONS(1518),
    [anon_sym_object] = ACTIONS(1518),
    [sym_html_comment] = ACTIONS(5),
  },
  [482] = {
    [sym_import] = STATE(4369),
    [sym_statement_block] = STATE(3258),
    [sym_parenthesized_expression] = STATE(2175),
    [sym_expression] = STATE(2648),
    [sym_primary_expression] = STATE(2990),
    [sym_yield_expression] = STATE(3139),
    [sym_object] = STATE(3113),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(3113),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(3139),
    [sym_glimmer_opening_tag] = STATE(5702),
    [sym_jsx_element] = STATE(3139),
    [sym_jsx_opening_element] = STATE(4008),
    [sym_jsx_self_closing_element] = STATE(3139),
    [sym_class] = STATE(3113),
    [sym_function_expression] = STATE(3113),
    [sym_generator_function] = STATE(3113),
    [sym_arrow_function] = STATE(3113),
    [sym__call_signature] = STATE(7205),
    [sym_call_expression] = STATE(3113),
    [sym_new_expression] = STATE(3139),
    [sym_await_expression] = STATE(3139),
    [sym_member_expression] = STATE(2175),
    [sym_subscript_expression] = STATE(2175),
    [sym_assignment_expression] = STATE(3139),
    [sym__augmented_assignment_lhs] = STATE(3844),
    [sym_augmented_assignment_expression] = STATE(3139),
    [sym__destructuring_pattern] = STATE(7209),
    [sym_ternary_expression] = STATE(3139),
    [sym_binary_expression] = STATE(3139),
    [sym_unary_expression] = STATE(3139),
    [sym_update_expression] = STATE(3139),
    [sym_string] = STATE(3113),
    [sym_comment] = STATE(482),
    [sym_template_string] = STATE(3113),
    [sym_regex] = STATE(3113),
    [sym_meta_property] = STATE(3113),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2175),
    [sym_as_expression] = STATE(3139),
    [sym_satisfies_expression] = STATE(3139),
    [sym_instantiation_expression] = STATE(3139),
    [sym_internal_module] = STATE(3139),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5555),
    [sym_identifier] = ACTIONS(1736),
    [anon_sym_export] = ACTIONS(1518),
    [anon_sym_type] = ACTIONS(1518),
    [anon_sym_namespace] = ACTIONS(1520),
    [anon_sym_LBRACE] = ACTIONS(2493),
    [anon_sym_typeof] = ACTIONS(1526),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1518),
    [anon_sym_BANG] = ACTIONS(1526),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1528),
    [anon_sym_yield] = ACTIONS(1530),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1029),
    [anon_sym_async] = ACTIONS(1534),
    [anon_sym_function] = ACTIONS(1033),
    [anon_sym_new] = ACTIONS(1740),
    [anon_sym_using] = ACTIONS(1538),
    [anon_sym_PLUS] = ACTIONS(1526),
    [anon_sym_DASH] = ACTIONS(1526),
    [anon_sym_SLASH] = ACTIONS(1195),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1526),
    [anon_sym_void] = ACTIONS(1526),
    [anon_sym_delete] = ACTIONS(1526),
    [anon_sym_PLUS_PLUS] = ACTIONS(1544),
    [anon_sym_DASH_DASH] = ACTIONS(1544),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1550),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1742),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1518),
    [anon_sym_readonly] = ACTIONS(1518),
    [anon_sym_get] = ACTIONS(1518),
    [anon_sym_set] = ACTIONS(1518),
    [anon_sym_declare] = ACTIONS(1518),
    [anon_sym_public] = ACTIONS(1518),
    [anon_sym_private] = ACTIONS(1518),
    [anon_sym_protected] = ACTIONS(1518),
    [anon_sym_override] = ACTIONS(1518),
    [anon_sym_module] = ACTIONS(1518),
    [anon_sym_any] = ACTIONS(1518),
    [anon_sym_number] = ACTIONS(1518),
    [anon_sym_boolean] = ACTIONS(1518),
    [anon_sym_string] = ACTIONS(1518),
    [anon_sym_symbol] = ACTIONS(1518),
    [anon_sym_object] = ACTIONS(1518),
    [sym_html_comment] = ACTIONS(5),
  },
  [483] = {
    [sym_import] = STATE(4369),
    [sym_statement_block] = STATE(3304),
    [sym_parenthesized_expression] = STATE(2175),
    [sym_expression] = STATE(2649),
    [sym_primary_expression] = STATE(2990),
    [sym_yield_expression] = STATE(3139),
    [sym_object] = STATE(3113),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(3113),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(3139),
    [sym_glimmer_opening_tag] = STATE(5702),
    [sym_jsx_element] = STATE(3139),
    [sym_jsx_opening_element] = STATE(4008),
    [sym_jsx_self_closing_element] = STATE(3139),
    [sym_class] = STATE(3113),
    [sym_function_expression] = STATE(3113),
    [sym_generator_function] = STATE(3113),
    [sym_arrow_function] = STATE(3113),
    [sym__call_signature] = STATE(7205),
    [sym_call_expression] = STATE(3113),
    [sym_new_expression] = STATE(3139),
    [sym_await_expression] = STATE(3139),
    [sym_member_expression] = STATE(2175),
    [sym_subscript_expression] = STATE(2175),
    [sym_assignment_expression] = STATE(3139),
    [sym__augmented_assignment_lhs] = STATE(3844),
    [sym_augmented_assignment_expression] = STATE(3139),
    [sym__destructuring_pattern] = STATE(7209),
    [sym_ternary_expression] = STATE(3139),
    [sym_binary_expression] = STATE(3139),
    [sym_unary_expression] = STATE(3139),
    [sym_update_expression] = STATE(3139),
    [sym_string] = STATE(3113),
    [sym_comment] = STATE(483),
    [sym_template_string] = STATE(3113),
    [sym_regex] = STATE(3113),
    [sym_meta_property] = STATE(3113),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2175),
    [sym_as_expression] = STATE(3139),
    [sym_satisfies_expression] = STATE(3139),
    [sym_instantiation_expression] = STATE(3139),
    [sym_internal_module] = STATE(3139),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5555),
    [sym_identifier] = ACTIONS(1736),
    [anon_sym_export] = ACTIONS(1518),
    [anon_sym_type] = ACTIONS(1518),
    [anon_sym_namespace] = ACTIONS(1520),
    [anon_sym_LBRACE] = ACTIONS(2493),
    [anon_sym_typeof] = ACTIONS(1526),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1518),
    [anon_sym_BANG] = ACTIONS(1526),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1528),
    [anon_sym_yield] = ACTIONS(1530),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1029),
    [anon_sym_async] = ACTIONS(1534),
    [anon_sym_function] = ACTIONS(1033),
    [anon_sym_new] = ACTIONS(1740),
    [anon_sym_using] = ACTIONS(1538),
    [anon_sym_PLUS] = ACTIONS(1526),
    [anon_sym_DASH] = ACTIONS(1526),
    [anon_sym_SLASH] = ACTIONS(1195),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1526),
    [anon_sym_void] = ACTIONS(1526),
    [anon_sym_delete] = ACTIONS(1526),
    [anon_sym_PLUS_PLUS] = ACTIONS(1544),
    [anon_sym_DASH_DASH] = ACTIONS(1544),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1550),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1742),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1518),
    [anon_sym_readonly] = ACTIONS(1518),
    [anon_sym_get] = ACTIONS(1518),
    [anon_sym_set] = ACTIONS(1518),
    [anon_sym_declare] = ACTIONS(1518),
    [anon_sym_public] = ACTIONS(1518),
    [anon_sym_private] = ACTIONS(1518),
    [anon_sym_protected] = ACTIONS(1518),
    [anon_sym_override] = ACTIONS(1518),
    [anon_sym_module] = ACTIONS(1518),
    [anon_sym_any] = ACTIONS(1518),
    [anon_sym_number] = ACTIONS(1518),
    [anon_sym_boolean] = ACTIONS(1518),
    [anon_sym_string] = ACTIONS(1518),
    [anon_sym_symbol] = ACTIONS(1518),
    [anon_sym_object] = ACTIONS(1518),
    [sym_html_comment] = ACTIONS(5),
  },
  [484] = {
    [sym_import] = STATE(4369),
    [sym_parenthesized_expression] = STATE(2177),
    [sym_expression] = STATE(2691),
    [sym_primary_expression] = STATE(2990),
    [sym_yield_expression] = STATE(3139),
    [sym_object] = STATE(3113),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(3113),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(3139),
    [sym_glimmer_opening_tag] = STATE(5702),
    [sym_jsx_element] = STATE(3139),
    [sym_jsx_opening_element] = STATE(4008),
    [sym_jsx_self_closing_element] = STATE(3139),
    [sym_class] = STATE(3113),
    [sym_function_expression] = STATE(3113),
    [sym_generator_function] = STATE(3113),
    [sym_arrow_function] = STATE(3113),
    [sym__call_signature] = STATE(7486),
    [sym_call_expression] = STATE(3113),
    [sym_new_expression] = STATE(3139),
    [sym_await_expression] = STATE(3139),
    [sym_member_expression] = STATE(2177),
    [sym_subscript_expression] = STATE(2177),
    [sym_assignment_expression] = STATE(3139),
    [sym__augmented_assignment_lhs] = STATE(3835),
    [sym_augmented_assignment_expression] = STATE(3139),
    [sym__destructuring_pattern] = STATE(7484),
    [sym_ternary_expression] = STATE(3139),
    [sym_binary_expression] = STATE(3139),
    [sym_unary_expression] = STATE(3139),
    [sym_update_expression] = STATE(3139),
    [sym_sequence_expression] = STATE(6486),
    [sym_string] = STATE(3113),
    [sym_comment] = STATE(484),
    [sym_template_string] = STATE(3113),
    [sym_regex] = STATE(3113),
    [sym_meta_property] = STATE(3113),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2177),
    [sym_as_expression] = STATE(3139),
    [sym_satisfies_expression] = STATE(3139),
    [sym_instantiation_expression] = STATE(3139),
    [sym_internal_module] = STATE(3139),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5555),
    [sym_identifier] = ACTIONS(1744),
    [anon_sym_export] = ACTIONS(1596),
    [anon_sym_type] = ACTIONS(1596),
    [anon_sym_namespace] = ACTIONS(1598),
    [anon_sym_LBRACE] = ACTIONS(1020),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1596),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1029),
    [anon_sym_async] = ACTIONS(1602),
    [anon_sym_function] = ACTIONS(1033),
    [anon_sym_new] = ACTIONS(1748),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1596),
    [anon_sym_readonly] = ACTIONS(1596),
    [anon_sym_get] = ACTIONS(1596),
    [anon_sym_set] = ACTIONS(1596),
    [anon_sym_declare] = ACTIONS(1596),
    [anon_sym_public] = ACTIONS(1596),
    [anon_sym_private] = ACTIONS(1596),
    [anon_sym_protected] = ACTIONS(1596),
    [anon_sym_override] = ACTIONS(1596),
    [anon_sym_module] = ACTIONS(1596),
    [anon_sym_any] = ACTIONS(1596),
    [anon_sym_number] = ACTIONS(1596),
    [anon_sym_boolean] = ACTIONS(1596),
    [anon_sym_string] = ACTIONS(1596),
    [anon_sym_symbol] = ACTIONS(1596),
    [anon_sym_object] = ACTIONS(1596),
    [sym_html_comment] = ACTIONS(5),
  },
  [485] = {
    [sym_import] = STATE(4369),
    [sym_statement_block] = STATE(3085),
    [sym_parenthesized_expression] = STATE(2177),
    [sym_expression] = STATE(2654),
    [sym_primary_expression] = STATE(2990),
    [sym_yield_expression] = STATE(3139),
    [sym_object] = STATE(3113),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(3113),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(3139),
    [sym_glimmer_opening_tag] = STATE(5702),
    [sym_jsx_element] = STATE(3139),
    [sym_jsx_opening_element] = STATE(4008),
    [sym_jsx_self_closing_element] = STATE(3139),
    [sym_class] = STATE(3113),
    [sym_function_expression] = STATE(3113),
    [sym_generator_function] = STATE(3113),
    [sym_arrow_function] = STATE(3113),
    [sym__call_signature] = STATE(7486),
    [sym_call_expression] = STATE(3113),
    [sym_new_expression] = STATE(3139),
    [sym_await_expression] = STATE(3139),
    [sym_member_expression] = STATE(2177),
    [sym_subscript_expression] = STATE(2177),
    [sym_assignment_expression] = STATE(3139),
    [sym__augmented_assignment_lhs] = STATE(3835),
    [sym_augmented_assignment_expression] = STATE(3139),
    [sym__destructuring_pattern] = STATE(7484),
    [sym_ternary_expression] = STATE(3139),
    [sym_binary_expression] = STATE(3139),
    [sym_unary_expression] = STATE(3139),
    [sym_update_expression] = STATE(3139),
    [sym_string] = STATE(3113),
    [sym_comment] = STATE(485),
    [sym_template_string] = STATE(3113),
    [sym_regex] = STATE(3113),
    [sym_meta_property] = STATE(3113),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2177),
    [sym_as_expression] = STATE(3139),
    [sym_satisfies_expression] = STATE(3139),
    [sym_instantiation_expression] = STATE(3139),
    [sym_internal_module] = STATE(3139),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5555),
    [sym_identifier] = ACTIONS(1744),
    [anon_sym_export] = ACTIONS(1596),
    [anon_sym_type] = ACTIONS(1596),
    [anon_sym_namespace] = ACTIONS(1598),
    [anon_sym_LBRACE] = ACTIONS(2493),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1596),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1029),
    [anon_sym_async] = ACTIONS(1602),
    [anon_sym_function] = ACTIONS(1033),
    [anon_sym_new] = ACTIONS(1748),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1596),
    [anon_sym_readonly] = ACTIONS(1596),
    [anon_sym_get] = ACTIONS(1596),
    [anon_sym_set] = ACTIONS(1596),
    [anon_sym_declare] = ACTIONS(1596),
    [anon_sym_public] = ACTIONS(1596),
    [anon_sym_private] = ACTIONS(1596),
    [anon_sym_protected] = ACTIONS(1596),
    [anon_sym_override] = ACTIONS(1596),
    [anon_sym_module] = ACTIONS(1596),
    [anon_sym_any] = ACTIONS(1596),
    [anon_sym_number] = ACTIONS(1596),
    [anon_sym_boolean] = ACTIONS(1596),
    [anon_sym_string] = ACTIONS(1596),
    [anon_sym_symbol] = ACTIONS(1596),
    [anon_sym_object] = ACTIONS(1596),
    [sym_html_comment] = ACTIONS(5),
  },
  [486] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2151),
    [sym_expression] = STATE(2829),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7643),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2151),
    [sym_subscript_expression] = STATE(2151),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3918),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7259),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_sequence_expression] = STATE(7289),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(486),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2151),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1724),
    [anon_sym_export] = ACTIONS(1452),
    [anon_sym_type] = ACTIONS(1452),
    [anon_sym_namespace] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(1127),
    [anon_sym_typeof] = ACTIONS(968),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1452),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(1129),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1462),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1730),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_PLUS] = ACTIONS(968),
    [anon_sym_DASH] = ACTIONS(968),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(968),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1732),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1452),
    [anon_sym_readonly] = ACTIONS(1452),
    [anon_sym_get] = ACTIONS(1452),
    [anon_sym_set] = ACTIONS(1452),
    [anon_sym_declare] = ACTIONS(1452),
    [anon_sym_public] = ACTIONS(1452),
    [anon_sym_private] = ACTIONS(1452),
    [anon_sym_protected] = ACTIONS(1452),
    [anon_sym_override] = ACTIONS(1452),
    [anon_sym_module] = ACTIONS(1452),
    [anon_sym_any] = ACTIONS(1452),
    [anon_sym_number] = ACTIONS(1452),
    [anon_sym_boolean] = ACTIONS(1452),
    [anon_sym_string] = ACTIONS(1452),
    [anon_sym_symbol] = ACTIONS(1452),
    [anon_sym_object] = ACTIONS(1452),
    [sym_html_comment] = ACTIONS(5),
  },
  [487] = {
    [sym_import] = STATE(4369),
    [sym_statement_block] = STATE(3222),
    [sym_parenthesized_expression] = STATE(2175),
    [sym_expression] = STATE(2650),
    [sym_primary_expression] = STATE(2990),
    [sym_yield_expression] = STATE(3139),
    [sym_object] = STATE(3113),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(3113),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(3139),
    [sym_glimmer_opening_tag] = STATE(5702),
    [sym_jsx_element] = STATE(3139),
    [sym_jsx_opening_element] = STATE(4008),
    [sym_jsx_self_closing_element] = STATE(3139),
    [sym_class] = STATE(3113),
    [sym_function_expression] = STATE(3113),
    [sym_generator_function] = STATE(3113),
    [sym_arrow_function] = STATE(3113),
    [sym__call_signature] = STATE(7205),
    [sym_call_expression] = STATE(3113),
    [sym_new_expression] = STATE(3139),
    [sym_await_expression] = STATE(3139),
    [sym_member_expression] = STATE(2175),
    [sym_subscript_expression] = STATE(2175),
    [sym_assignment_expression] = STATE(3139),
    [sym__augmented_assignment_lhs] = STATE(3844),
    [sym_augmented_assignment_expression] = STATE(3139),
    [sym__destructuring_pattern] = STATE(7209),
    [sym_ternary_expression] = STATE(3139),
    [sym_binary_expression] = STATE(3139),
    [sym_unary_expression] = STATE(3139),
    [sym_update_expression] = STATE(3139),
    [sym_string] = STATE(3113),
    [sym_comment] = STATE(487),
    [sym_template_string] = STATE(3113),
    [sym_regex] = STATE(3113),
    [sym_meta_property] = STATE(3113),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2175),
    [sym_as_expression] = STATE(3139),
    [sym_satisfies_expression] = STATE(3139),
    [sym_instantiation_expression] = STATE(3139),
    [sym_internal_module] = STATE(3139),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5555),
    [sym_identifier] = ACTIONS(1736),
    [anon_sym_export] = ACTIONS(1518),
    [anon_sym_type] = ACTIONS(1518),
    [anon_sym_namespace] = ACTIONS(1520),
    [anon_sym_LBRACE] = ACTIONS(2493),
    [anon_sym_typeof] = ACTIONS(1526),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1518),
    [anon_sym_BANG] = ACTIONS(1526),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1528),
    [anon_sym_yield] = ACTIONS(1530),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1029),
    [anon_sym_async] = ACTIONS(1534),
    [anon_sym_function] = ACTIONS(1033),
    [anon_sym_new] = ACTIONS(1740),
    [anon_sym_using] = ACTIONS(1538),
    [anon_sym_PLUS] = ACTIONS(1526),
    [anon_sym_DASH] = ACTIONS(1526),
    [anon_sym_SLASH] = ACTIONS(1195),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1526),
    [anon_sym_void] = ACTIONS(1526),
    [anon_sym_delete] = ACTIONS(1526),
    [anon_sym_PLUS_PLUS] = ACTIONS(1544),
    [anon_sym_DASH_DASH] = ACTIONS(1544),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1550),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1742),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1518),
    [anon_sym_readonly] = ACTIONS(1518),
    [anon_sym_get] = ACTIONS(1518),
    [anon_sym_set] = ACTIONS(1518),
    [anon_sym_declare] = ACTIONS(1518),
    [anon_sym_public] = ACTIONS(1518),
    [anon_sym_private] = ACTIONS(1518),
    [anon_sym_protected] = ACTIONS(1518),
    [anon_sym_override] = ACTIONS(1518),
    [anon_sym_module] = ACTIONS(1518),
    [anon_sym_any] = ACTIONS(1518),
    [anon_sym_number] = ACTIONS(1518),
    [anon_sym_boolean] = ACTIONS(1518),
    [anon_sym_string] = ACTIONS(1518),
    [anon_sym_symbol] = ACTIONS(1518),
    [anon_sym_object] = ACTIONS(1518),
    [sym_html_comment] = ACTIONS(5),
  },
  [488] = {
    [sym_import] = STATE(4259),
    [sym_statement_block] = STATE(2705),
    [sym_parenthesized_expression] = STATE(2048),
    [sym_expression] = STATE(3362),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7260),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2048),
    [sym_subscript_expression] = STATE(2048),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3878),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7646),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(488),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2048),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1095),
    [anon_sym_export] = ACTIONS(1097),
    [anon_sym_type] = ACTIONS(1097),
    [anon_sym_namespace] = ACTIONS(1099),
    [anon_sym_LBRACE] = ACTIONS(2491),
    [anon_sym_typeof] = ACTIONS(174),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1097),
    [anon_sym_BANG] = ACTIONS(174),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1109),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1111),
    [anon_sym_using] = ACTIONS(157),
    [anon_sym_PLUS] = ACTIONS(174),
    [anon_sym_DASH] = ACTIONS(174),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(174),
    [anon_sym_void] = ACTIONS(174),
    [anon_sym_delete] = ACTIONS(174),
    [anon_sym_PLUS_PLUS] = ACTIONS(1039),
    [anon_sym_DASH_DASH] = ACTIONS(1039),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(185),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1115),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1097),
    [anon_sym_readonly] = ACTIONS(1097),
    [anon_sym_get] = ACTIONS(1097),
    [anon_sym_set] = ACTIONS(1097),
    [anon_sym_declare] = ACTIONS(1097),
    [anon_sym_public] = ACTIONS(1097),
    [anon_sym_private] = ACTIONS(1097),
    [anon_sym_protected] = ACTIONS(1097),
    [anon_sym_override] = ACTIONS(1097),
    [anon_sym_module] = ACTIONS(1097),
    [anon_sym_any] = ACTIONS(1097),
    [anon_sym_number] = ACTIONS(1097),
    [anon_sym_boolean] = ACTIONS(1097),
    [anon_sym_string] = ACTIONS(1097),
    [anon_sym_symbol] = ACTIONS(1097),
    [anon_sym_object] = ACTIONS(1097),
    [sym_html_comment] = ACTIONS(5),
  },
  [489] = {
    [sym_import] = STATE(4369),
    [sym_statement_block] = STATE(3085),
    [sym_parenthesized_expression] = STATE(2221),
    [sym_expression] = STATE(2982),
    [sym_primary_expression] = STATE(2990),
    [sym_yield_expression] = STATE(3139),
    [sym_object] = STATE(3113),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(3113),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(3139),
    [sym_glimmer_opening_tag] = STATE(5702),
    [sym_jsx_element] = STATE(3139),
    [sym_jsx_opening_element] = STATE(4008),
    [sym_jsx_self_closing_element] = STATE(3139),
    [sym_class] = STATE(3113),
    [sym_function_expression] = STATE(3113),
    [sym_generator_function] = STATE(3113),
    [sym_arrow_function] = STATE(3113),
    [sym__call_signature] = STATE(7374),
    [sym_call_expression] = STATE(3113),
    [sym_new_expression] = STATE(3139),
    [sym_await_expression] = STATE(3139),
    [sym_member_expression] = STATE(2221),
    [sym_subscript_expression] = STATE(2221),
    [sym_assignment_expression] = STATE(3139),
    [sym__augmented_assignment_lhs] = STATE(3860),
    [sym_augmented_assignment_expression] = STATE(3139),
    [sym__destructuring_pattern] = STATE(7376),
    [sym_ternary_expression] = STATE(3139),
    [sym_binary_expression] = STATE(3139),
    [sym_unary_expression] = STATE(3139),
    [sym_update_expression] = STATE(3139),
    [sym_string] = STATE(3113),
    [sym_comment] = STATE(489),
    [sym_template_string] = STATE(3113),
    [sym_regex] = STATE(3113),
    [sym_meta_property] = STATE(3113),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2221),
    [sym_as_expression] = STATE(3139),
    [sym_satisfies_expression] = STATE(3139),
    [sym_instantiation_expression] = STATE(3139),
    [sym_internal_module] = STATE(3139),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5555),
    [sym_identifier] = ACTIONS(1758),
    [anon_sym_export] = ACTIONS(1362),
    [anon_sym_type] = ACTIONS(1362),
    [anon_sym_namespace] = ACTIONS(1364),
    [anon_sym_LBRACE] = ACTIONS(2493),
    [anon_sym_typeof] = ACTIONS(1370),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1362),
    [anon_sym_BANG] = ACTIONS(1370),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1374),
    [anon_sym_yield] = ACTIONS(1376),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1029),
    [anon_sym_async] = ACTIONS(1380),
    [anon_sym_function] = ACTIONS(1033),
    [anon_sym_new] = ACTIONS(1762),
    [anon_sym_using] = ACTIONS(1384),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1370),
    [anon_sym_void] = ACTIONS(1370),
    [anon_sym_delete] = ACTIONS(1370),
    [anon_sym_PLUS_PLUS] = ACTIONS(1390),
    [anon_sym_DASH_DASH] = ACTIONS(1390),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1396),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1764),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1362),
    [anon_sym_readonly] = ACTIONS(1362),
    [anon_sym_get] = ACTIONS(1362),
    [anon_sym_set] = ACTIONS(1362),
    [anon_sym_declare] = ACTIONS(1362),
    [anon_sym_public] = ACTIONS(1362),
    [anon_sym_private] = ACTIONS(1362),
    [anon_sym_protected] = ACTIONS(1362),
    [anon_sym_override] = ACTIONS(1362),
    [anon_sym_module] = ACTIONS(1362),
    [anon_sym_any] = ACTIONS(1362),
    [anon_sym_number] = ACTIONS(1362),
    [anon_sym_boolean] = ACTIONS(1362),
    [anon_sym_string] = ACTIONS(1362),
    [anon_sym_symbol] = ACTIONS(1362),
    [anon_sym_object] = ACTIONS(1362),
    [sym_html_comment] = ACTIONS(5),
  },
  [490] = {
    [sym_import] = STATE(4259),
    [sym_statement_block] = STATE(2665),
    [sym_parenthesized_expression] = STATE(2196),
    [sym_expression] = STATE(2766),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7510),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2196),
    [sym_subscript_expression] = STATE(2196),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3936),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7511),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(490),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2196),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1750),
    [anon_sym_export] = ACTIONS(1562),
    [anon_sym_type] = ACTIONS(1562),
    [anon_sym_namespace] = ACTIONS(1564),
    [anon_sym_LBRACE] = ACTIONS(2495),
    [anon_sym_typeof] = ACTIONS(1568),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1562),
    [anon_sym_BANG] = ACTIONS(1568),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1570),
    [anon_sym_yield] = ACTIONS(1572),
    [anon_sym_LBRACK] = ACTIONS(1129),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1574),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1754),
    [anon_sym_using] = ACTIONS(1578),
    [anon_sym_PLUS] = ACTIONS(1568),
    [anon_sym_DASH] = ACTIONS(1568),
    [anon_sym_SLASH] = ACTIONS(1274),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(1568),
    [anon_sym_void] = ACTIONS(1568),
    [anon_sym_delete] = ACTIONS(1568),
    [anon_sym_PLUS_PLUS] = ACTIONS(1584),
    [anon_sym_DASH_DASH] = ACTIONS(1584),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(1586),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1756),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1562),
    [anon_sym_readonly] = ACTIONS(1562),
    [anon_sym_get] = ACTIONS(1562),
    [anon_sym_set] = ACTIONS(1562),
    [anon_sym_declare] = ACTIONS(1562),
    [anon_sym_public] = ACTIONS(1562),
    [anon_sym_private] = ACTIONS(1562),
    [anon_sym_protected] = ACTIONS(1562),
    [anon_sym_override] = ACTIONS(1562),
    [anon_sym_module] = ACTIONS(1562),
    [anon_sym_any] = ACTIONS(1562),
    [anon_sym_number] = ACTIONS(1562),
    [anon_sym_boolean] = ACTIONS(1562),
    [anon_sym_string] = ACTIONS(1562),
    [anon_sym_symbol] = ACTIONS(1562),
    [anon_sym_object] = ACTIONS(1562),
    [sym_html_comment] = ACTIONS(5),
  },
  [491] = {
    [sym_import] = STATE(4369),
    [sym_statement_block] = STATE(3258),
    [sym_parenthesized_expression] = STATE(2177),
    [sym_expression] = STATE(2698),
    [sym_primary_expression] = STATE(2990),
    [sym_yield_expression] = STATE(3139),
    [sym_object] = STATE(3113),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(3113),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(3139),
    [sym_glimmer_opening_tag] = STATE(5702),
    [sym_jsx_element] = STATE(3139),
    [sym_jsx_opening_element] = STATE(4008),
    [sym_jsx_self_closing_element] = STATE(3139),
    [sym_class] = STATE(3113),
    [sym_function_expression] = STATE(3113),
    [sym_generator_function] = STATE(3113),
    [sym_arrow_function] = STATE(3113),
    [sym__call_signature] = STATE(7486),
    [sym_call_expression] = STATE(3113),
    [sym_new_expression] = STATE(3139),
    [sym_await_expression] = STATE(3139),
    [sym_member_expression] = STATE(2177),
    [sym_subscript_expression] = STATE(2177),
    [sym_assignment_expression] = STATE(3139),
    [sym__augmented_assignment_lhs] = STATE(3835),
    [sym_augmented_assignment_expression] = STATE(3139),
    [sym__destructuring_pattern] = STATE(7484),
    [sym_ternary_expression] = STATE(3139),
    [sym_binary_expression] = STATE(3139),
    [sym_unary_expression] = STATE(3139),
    [sym_update_expression] = STATE(3139),
    [sym_string] = STATE(3113),
    [sym_comment] = STATE(491),
    [sym_template_string] = STATE(3113),
    [sym_regex] = STATE(3113),
    [sym_meta_property] = STATE(3113),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2177),
    [sym_as_expression] = STATE(3139),
    [sym_satisfies_expression] = STATE(3139),
    [sym_instantiation_expression] = STATE(3139),
    [sym_internal_module] = STATE(3139),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5555),
    [sym_identifier] = ACTIONS(1744),
    [anon_sym_export] = ACTIONS(1596),
    [anon_sym_type] = ACTIONS(1596),
    [anon_sym_namespace] = ACTIONS(1598),
    [anon_sym_LBRACE] = ACTIONS(2493),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1596),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1029),
    [anon_sym_async] = ACTIONS(1602),
    [anon_sym_function] = ACTIONS(1033),
    [anon_sym_new] = ACTIONS(1748),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1596),
    [anon_sym_readonly] = ACTIONS(1596),
    [anon_sym_get] = ACTIONS(1596),
    [anon_sym_set] = ACTIONS(1596),
    [anon_sym_declare] = ACTIONS(1596),
    [anon_sym_public] = ACTIONS(1596),
    [anon_sym_private] = ACTIONS(1596),
    [anon_sym_protected] = ACTIONS(1596),
    [anon_sym_override] = ACTIONS(1596),
    [anon_sym_module] = ACTIONS(1596),
    [anon_sym_any] = ACTIONS(1596),
    [anon_sym_number] = ACTIONS(1596),
    [anon_sym_boolean] = ACTIONS(1596),
    [anon_sym_string] = ACTIONS(1596),
    [anon_sym_symbol] = ACTIONS(1596),
    [anon_sym_object] = ACTIONS(1596),
    [sym_html_comment] = ACTIONS(5),
  },
  [492] = {
    [sym_import] = STATE(4259),
    [sym_statement_block] = STATE(2682),
    [sym_parenthesized_expression] = STATE(2196),
    [sym_expression] = STATE(2745),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7510),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2196),
    [sym_subscript_expression] = STATE(2196),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3936),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7511),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(492),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2196),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1750),
    [anon_sym_export] = ACTIONS(1562),
    [anon_sym_type] = ACTIONS(1562),
    [anon_sym_namespace] = ACTIONS(1564),
    [anon_sym_LBRACE] = ACTIONS(2495),
    [anon_sym_typeof] = ACTIONS(1568),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1562),
    [anon_sym_BANG] = ACTIONS(1568),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1570),
    [anon_sym_yield] = ACTIONS(1572),
    [anon_sym_LBRACK] = ACTIONS(1129),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1574),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1754),
    [anon_sym_using] = ACTIONS(1578),
    [anon_sym_PLUS] = ACTIONS(1568),
    [anon_sym_DASH] = ACTIONS(1568),
    [anon_sym_SLASH] = ACTIONS(1274),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(1568),
    [anon_sym_void] = ACTIONS(1568),
    [anon_sym_delete] = ACTIONS(1568),
    [anon_sym_PLUS_PLUS] = ACTIONS(1584),
    [anon_sym_DASH_DASH] = ACTIONS(1584),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(1586),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1756),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1562),
    [anon_sym_readonly] = ACTIONS(1562),
    [anon_sym_get] = ACTIONS(1562),
    [anon_sym_set] = ACTIONS(1562),
    [anon_sym_declare] = ACTIONS(1562),
    [anon_sym_public] = ACTIONS(1562),
    [anon_sym_private] = ACTIONS(1562),
    [anon_sym_protected] = ACTIONS(1562),
    [anon_sym_override] = ACTIONS(1562),
    [anon_sym_module] = ACTIONS(1562),
    [anon_sym_any] = ACTIONS(1562),
    [anon_sym_number] = ACTIONS(1562),
    [anon_sym_boolean] = ACTIONS(1562),
    [anon_sym_string] = ACTIONS(1562),
    [anon_sym_symbol] = ACTIONS(1562),
    [anon_sym_object] = ACTIONS(1562),
    [sym_html_comment] = ACTIONS(5),
  },
  [493] = {
    [sym_import] = STATE(4369),
    [sym_parenthesized_expression] = STATE(2177),
    [sym_expression] = STATE(2585),
    [sym_primary_expression] = STATE(2990),
    [sym_yield_expression] = STATE(3139),
    [sym_object] = STATE(3113),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(3113),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(3139),
    [sym_glimmer_opening_tag] = STATE(5702),
    [sym_jsx_element] = STATE(3139),
    [sym_jsx_opening_element] = STATE(4008),
    [sym_jsx_self_closing_element] = STATE(3139),
    [sym_class] = STATE(3113),
    [sym_function_expression] = STATE(3113),
    [sym_generator_function] = STATE(3113),
    [sym_arrow_function] = STATE(3113),
    [sym__call_signature] = STATE(7486),
    [sym_call_expression] = STATE(3113),
    [sym_new_expression] = STATE(3139),
    [sym_await_expression] = STATE(3139),
    [sym_member_expression] = STATE(2177),
    [sym_subscript_expression] = STATE(2177),
    [sym_assignment_expression] = STATE(3139),
    [sym__augmented_assignment_lhs] = STATE(3835),
    [sym_augmented_assignment_expression] = STATE(3139),
    [sym__destructuring_pattern] = STATE(7484),
    [sym_ternary_expression] = STATE(3139),
    [sym_binary_expression] = STATE(3139),
    [sym_unary_expression] = STATE(3139),
    [sym_update_expression] = STATE(3139),
    [sym_sequence_expression] = STATE(7158),
    [sym_string] = STATE(3113),
    [sym_comment] = STATE(493),
    [sym_template_string] = STATE(3113),
    [sym_regex] = STATE(3113),
    [sym_meta_property] = STATE(3113),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2177),
    [sym_as_expression] = STATE(3139),
    [sym_satisfies_expression] = STATE(3139),
    [sym_instantiation_expression] = STATE(3139),
    [sym_internal_module] = STATE(3139),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5555),
    [sym_identifier] = ACTIONS(1744),
    [anon_sym_export] = ACTIONS(1596),
    [anon_sym_type] = ACTIONS(1596),
    [anon_sym_namespace] = ACTIONS(1598),
    [anon_sym_LBRACE] = ACTIONS(1020),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1596),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1029),
    [anon_sym_async] = ACTIONS(1602),
    [anon_sym_function] = ACTIONS(1033),
    [anon_sym_new] = ACTIONS(1748),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1596),
    [anon_sym_readonly] = ACTIONS(1596),
    [anon_sym_get] = ACTIONS(1596),
    [anon_sym_set] = ACTIONS(1596),
    [anon_sym_declare] = ACTIONS(1596),
    [anon_sym_public] = ACTIONS(1596),
    [anon_sym_private] = ACTIONS(1596),
    [anon_sym_protected] = ACTIONS(1596),
    [anon_sym_override] = ACTIONS(1596),
    [anon_sym_module] = ACTIONS(1596),
    [anon_sym_any] = ACTIONS(1596),
    [anon_sym_number] = ACTIONS(1596),
    [anon_sym_boolean] = ACTIONS(1596),
    [anon_sym_string] = ACTIONS(1596),
    [anon_sym_symbol] = ACTIONS(1596),
    [anon_sym_object] = ACTIONS(1596),
    [sym_html_comment] = ACTIONS(5),
  },
  [494] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2151),
    [sym_expression] = STATE(2399),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7643),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2151),
    [sym_subscript_expression] = STATE(2151),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3918),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7259),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_sequence_expression] = STATE(7584),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(494),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2151),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1724),
    [anon_sym_export] = ACTIONS(1452),
    [anon_sym_type] = ACTIONS(1452),
    [anon_sym_namespace] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(1127),
    [anon_sym_typeof] = ACTIONS(968),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1452),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(1129),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1462),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1730),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_PLUS] = ACTIONS(968),
    [anon_sym_DASH] = ACTIONS(968),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(968),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1732),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1452),
    [anon_sym_readonly] = ACTIONS(1452),
    [anon_sym_get] = ACTIONS(1452),
    [anon_sym_set] = ACTIONS(1452),
    [anon_sym_declare] = ACTIONS(1452),
    [anon_sym_public] = ACTIONS(1452),
    [anon_sym_private] = ACTIONS(1452),
    [anon_sym_protected] = ACTIONS(1452),
    [anon_sym_override] = ACTIONS(1452),
    [anon_sym_module] = ACTIONS(1452),
    [anon_sym_any] = ACTIONS(1452),
    [anon_sym_number] = ACTIONS(1452),
    [anon_sym_boolean] = ACTIONS(1452),
    [anon_sym_string] = ACTIONS(1452),
    [anon_sym_symbol] = ACTIONS(1452),
    [anon_sym_object] = ACTIONS(1452),
    [sym_html_comment] = ACTIONS(5),
  },
  [495] = {
    [sym_import] = STATE(4259),
    [sym_statement_block] = STATE(2705),
    [sym_parenthesized_expression] = STATE(2229),
    [sym_expression] = STATE(3015),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7175),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2229),
    [sym_subscript_expression] = STATE(2229),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3935),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7438),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(495),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2229),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1766),
    [anon_sym_export] = ACTIONS(1482),
    [anon_sym_type] = ACTIONS(1482),
    [anon_sym_namespace] = ACTIONS(1484),
    [anon_sym_LBRACE] = ACTIONS(2495),
    [anon_sym_typeof] = ACTIONS(1490),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1482),
    [anon_sym_BANG] = ACTIONS(1490),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1492),
    [anon_sym_yield] = ACTIONS(1494),
    [anon_sym_LBRACK] = ACTIONS(1129),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1496),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1770),
    [anon_sym_using] = ACTIONS(1500),
    [anon_sym_PLUS] = ACTIONS(1490),
    [anon_sym_DASH] = ACTIONS(1490),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(1490),
    [anon_sym_void] = ACTIONS(1490),
    [anon_sym_delete] = ACTIONS(1490),
    [anon_sym_PLUS_PLUS] = ACTIONS(1506),
    [anon_sym_DASH_DASH] = ACTIONS(1506),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(1508),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1772),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1482),
    [anon_sym_readonly] = ACTIONS(1482),
    [anon_sym_get] = ACTIONS(1482),
    [anon_sym_set] = ACTIONS(1482),
    [anon_sym_declare] = ACTIONS(1482),
    [anon_sym_public] = ACTIONS(1482),
    [anon_sym_private] = ACTIONS(1482),
    [anon_sym_protected] = ACTIONS(1482),
    [anon_sym_override] = ACTIONS(1482),
    [anon_sym_module] = ACTIONS(1482),
    [anon_sym_any] = ACTIONS(1482),
    [anon_sym_number] = ACTIONS(1482),
    [anon_sym_boolean] = ACTIONS(1482),
    [anon_sym_string] = ACTIONS(1482),
    [anon_sym_symbol] = ACTIONS(1482),
    [anon_sym_object] = ACTIONS(1482),
    [sym_html_comment] = ACTIONS(5),
  },
  [496] = {
    [sym_import] = STATE(4259),
    [sym_statement_block] = STATE(2682),
    [sym_parenthesized_expression] = STATE(2048),
    [sym_expression] = STATE(3367),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7260),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2048),
    [sym_subscript_expression] = STATE(2048),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3878),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7646),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(496),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2048),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1095),
    [anon_sym_export] = ACTIONS(1097),
    [anon_sym_type] = ACTIONS(1097),
    [anon_sym_namespace] = ACTIONS(1099),
    [anon_sym_LBRACE] = ACTIONS(2491),
    [anon_sym_typeof] = ACTIONS(174),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1097),
    [anon_sym_BANG] = ACTIONS(174),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1109),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1111),
    [anon_sym_using] = ACTIONS(157),
    [anon_sym_PLUS] = ACTIONS(174),
    [anon_sym_DASH] = ACTIONS(174),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(174),
    [anon_sym_void] = ACTIONS(174),
    [anon_sym_delete] = ACTIONS(174),
    [anon_sym_PLUS_PLUS] = ACTIONS(1039),
    [anon_sym_DASH_DASH] = ACTIONS(1039),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(185),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1115),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1097),
    [anon_sym_readonly] = ACTIONS(1097),
    [anon_sym_get] = ACTIONS(1097),
    [anon_sym_set] = ACTIONS(1097),
    [anon_sym_declare] = ACTIONS(1097),
    [anon_sym_public] = ACTIONS(1097),
    [anon_sym_private] = ACTIONS(1097),
    [anon_sym_protected] = ACTIONS(1097),
    [anon_sym_override] = ACTIONS(1097),
    [anon_sym_module] = ACTIONS(1097),
    [anon_sym_any] = ACTIONS(1097),
    [anon_sym_number] = ACTIONS(1097),
    [anon_sym_boolean] = ACTIONS(1097),
    [anon_sym_string] = ACTIONS(1097),
    [anon_sym_symbol] = ACTIONS(1097),
    [anon_sym_object] = ACTIONS(1097),
    [sym_html_comment] = ACTIONS(5),
  },
  [497] = {
    [sym_import] = STATE(4369),
    [sym_statement_block] = STATE(3247),
    [sym_parenthesized_expression] = STATE(2221),
    [sym_expression] = STATE(3006),
    [sym_primary_expression] = STATE(2990),
    [sym_yield_expression] = STATE(3139),
    [sym_object] = STATE(3113),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(3113),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(3139),
    [sym_glimmer_opening_tag] = STATE(5702),
    [sym_jsx_element] = STATE(3139),
    [sym_jsx_opening_element] = STATE(4008),
    [sym_jsx_self_closing_element] = STATE(3139),
    [sym_class] = STATE(3113),
    [sym_function_expression] = STATE(3113),
    [sym_generator_function] = STATE(3113),
    [sym_arrow_function] = STATE(3113),
    [sym__call_signature] = STATE(7374),
    [sym_call_expression] = STATE(3113),
    [sym_new_expression] = STATE(3139),
    [sym_await_expression] = STATE(3139),
    [sym_member_expression] = STATE(2221),
    [sym_subscript_expression] = STATE(2221),
    [sym_assignment_expression] = STATE(3139),
    [sym__augmented_assignment_lhs] = STATE(3860),
    [sym_augmented_assignment_expression] = STATE(3139),
    [sym__destructuring_pattern] = STATE(7376),
    [sym_ternary_expression] = STATE(3139),
    [sym_binary_expression] = STATE(3139),
    [sym_unary_expression] = STATE(3139),
    [sym_update_expression] = STATE(3139),
    [sym_string] = STATE(3113),
    [sym_comment] = STATE(497),
    [sym_template_string] = STATE(3113),
    [sym_regex] = STATE(3113),
    [sym_meta_property] = STATE(3113),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2221),
    [sym_as_expression] = STATE(3139),
    [sym_satisfies_expression] = STATE(3139),
    [sym_instantiation_expression] = STATE(3139),
    [sym_internal_module] = STATE(3139),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5555),
    [sym_identifier] = ACTIONS(1758),
    [anon_sym_export] = ACTIONS(1362),
    [anon_sym_type] = ACTIONS(1362),
    [anon_sym_namespace] = ACTIONS(1364),
    [anon_sym_LBRACE] = ACTIONS(2493),
    [anon_sym_typeof] = ACTIONS(1370),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1362),
    [anon_sym_BANG] = ACTIONS(1370),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1374),
    [anon_sym_yield] = ACTIONS(1376),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1029),
    [anon_sym_async] = ACTIONS(1380),
    [anon_sym_function] = ACTIONS(1033),
    [anon_sym_new] = ACTIONS(1762),
    [anon_sym_using] = ACTIONS(1384),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1370),
    [anon_sym_void] = ACTIONS(1370),
    [anon_sym_delete] = ACTIONS(1370),
    [anon_sym_PLUS_PLUS] = ACTIONS(1390),
    [anon_sym_DASH_DASH] = ACTIONS(1390),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1396),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1764),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1362),
    [anon_sym_readonly] = ACTIONS(1362),
    [anon_sym_get] = ACTIONS(1362),
    [anon_sym_set] = ACTIONS(1362),
    [anon_sym_declare] = ACTIONS(1362),
    [anon_sym_public] = ACTIONS(1362),
    [anon_sym_private] = ACTIONS(1362),
    [anon_sym_protected] = ACTIONS(1362),
    [anon_sym_override] = ACTIONS(1362),
    [anon_sym_module] = ACTIONS(1362),
    [anon_sym_any] = ACTIONS(1362),
    [anon_sym_number] = ACTIONS(1362),
    [anon_sym_boolean] = ACTIONS(1362),
    [anon_sym_string] = ACTIONS(1362),
    [anon_sym_symbol] = ACTIONS(1362),
    [anon_sym_object] = ACTIONS(1362),
    [sym_html_comment] = ACTIONS(5),
  },
  [498] = {
    [sym_import] = STATE(4259),
    [sym_statement_block] = STATE(2665),
    [sym_parenthesized_expression] = STATE(2239),
    [sym_expression] = STATE(3324),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7446),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2239),
    [sym_subscript_expression] = STATE(2239),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3938),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7450),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(498),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2239),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1782),
    [anon_sym_export] = ACTIONS(1408),
    [anon_sym_type] = ACTIONS(1408),
    [anon_sym_namespace] = ACTIONS(1410),
    [anon_sym_LBRACE] = ACTIONS(2491),
    [anon_sym_typeof] = ACTIONS(1416),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1408),
    [anon_sym_BANG] = ACTIONS(1416),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1418),
    [anon_sym_yield] = ACTIONS(1420),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1424),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1786),
    [anon_sym_using] = ACTIONS(1428),
    [anon_sym_PLUS] = ACTIONS(1416),
    [anon_sym_DASH] = ACTIONS(1416),
    [anon_sym_SLASH] = ACTIONS(1290),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(1416),
    [anon_sym_void] = ACTIONS(1416),
    [anon_sym_delete] = ACTIONS(1416),
    [anon_sym_PLUS_PLUS] = ACTIONS(1434),
    [anon_sym_DASH_DASH] = ACTIONS(1434),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(1440),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1788),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1408),
    [anon_sym_readonly] = ACTIONS(1408),
    [anon_sym_get] = ACTIONS(1408),
    [anon_sym_set] = ACTIONS(1408),
    [anon_sym_declare] = ACTIONS(1408),
    [anon_sym_public] = ACTIONS(1408),
    [anon_sym_private] = ACTIONS(1408),
    [anon_sym_protected] = ACTIONS(1408),
    [anon_sym_override] = ACTIONS(1408),
    [anon_sym_module] = ACTIONS(1408),
    [anon_sym_any] = ACTIONS(1408),
    [anon_sym_number] = ACTIONS(1408),
    [anon_sym_boolean] = ACTIONS(1408),
    [anon_sym_string] = ACTIONS(1408),
    [anon_sym_symbol] = ACTIONS(1408),
    [anon_sym_object] = ACTIONS(1408),
    [sym_html_comment] = ACTIONS(5),
  },
  [499] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2151),
    [sym_expression] = STATE(2828),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7643),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2151),
    [sym_subscript_expression] = STATE(2151),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3918),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7259),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_sequence_expression] = STATE(7287),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(499),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2151),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1724),
    [anon_sym_export] = ACTIONS(1452),
    [anon_sym_type] = ACTIONS(1452),
    [anon_sym_namespace] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(1127),
    [anon_sym_typeof] = ACTIONS(968),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1452),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(1129),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1462),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1730),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_PLUS] = ACTIONS(968),
    [anon_sym_DASH] = ACTIONS(968),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(968),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1732),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1452),
    [anon_sym_readonly] = ACTIONS(1452),
    [anon_sym_get] = ACTIONS(1452),
    [anon_sym_set] = ACTIONS(1452),
    [anon_sym_declare] = ACTIONS(1452),
    [anon_sym_public] = ACTIONS(1452),
    [anon_sym_private] = ACTIONS(1452),
    [anon_sym_protected] = ACTIONS(1452),
    [anon_sym_override] = ACTIONS(1452),
    [anon_sym_module] = ACTIONS(1452),
    [anon_sym_any] = ACTIONS(1452),
    [anon_sym_number] = ACTIONS(1452),
    [anon_sym_boolean] = ACTIONS(1452),
    [anon_sym_string] = ACTIONS(1452),
    [anon_sym_symbol] = ACTIONS(1452),
    [anon_sym_object] = ACTIONS(1452),
    [sym_html_comment] = ACTIONS(5),
  },
  [500] = {
    [sym_import] = STATE(4259),
    [sym_statement_block] = STATE(2638),
    [sym_parenthesized_expression] = STATE(2151),
    [sym_expression] = STATE(2471),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7643),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2151),
    [sym_subscript_expression] = STATE(2151),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3918),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7259),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(500),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2151),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1724),
    [anon_sym_export] = ACTIONS(1452),
    [anon_sym_type] = ACTIONS(1452),
    [anon_sym_namespace] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(2495),
    [anon_sym_typeof] = ACTIONS(968),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1452),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(1129),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1462),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1730),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_PLUS] = ACTIONS(968),
    [anon_sym_DASH] = ACTIONS(968),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(968),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1732),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1452),
    [anon_sym_readonly] = ACTIONS(1452),
    [anon_sym_get] = ACTIONS(1452),
    [anon_sym_set] = ACTIONS(1452),
    [anon_sym_declare] = ACTIONS(1452),
    [anon_sym_public] = ACTIONS(1452),
    [anon_sym_private] = ACTIONS(1452),
    [anon_sym_protected] = ACTIONS(1452),
    [anon_sym_override] = ACTIONS(1452),
    [anon_sym_module] = ACTIONS(1452),
    [anon_sym_any] = ACTIONS(1452),
    [anon_sym_number] = ACTIONS(1452),
    [anon_sym_boolean] = ACTIONS(1452),
    [anon_sym_string] = ACTIONS(1452),
    [anon_sym_symbol] = ACTIONS(1452),
    [anon_sym_object] = ACTIONS(1452),
    [sym_html_comment] = ACTIONS(5),
  },
  [501] = {
    [sym_import] = STATE(4259),
    [sym_statement_block] = STATE(2682),
    [sym_parenthesized_expression] = STATE(2239),
    [sym_expression] = STATE(3271),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7446),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2239),
    [sym_subscript_expression] = STATE(2239),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3938),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7450),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(501),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2239),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1782),
    [anon_sym_export] = ACTIONS(1408),
    [anon_sym_type] = ACTIONS(1408),
    [anon_sym_namespace] = ACTIONS(1410),
    [anon_sym_LBRACE] = ACTIONS(2491),
    [anon_sym_typeof] = ACTIONS(1416),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1408),
    [anon_sym_BANG] = ACTIONS(1416),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1418),
    [anon_sym_yield] = ACTIONS(1420),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1424),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1786),
    [anon_sym_using] = ACTIONS(1428),
    [anon_sym_PLUS] = ACTIONS(1416),
    [anon_sym_DASH] = ACTIONS(1416),
    [anon_sym_SLASH] = ACTIONS(1290),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(1416),
    [anon_sym_void] = ACTIONS(1416),
    [anon_sym_delete] = ACTIONS(1416),
    [anon_sym_PLUS_PLUS] = ACTIONS(1434),
    [anon_sym_DASH_DASH] = ACTIONS(1434),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(1440),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1788),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1408),
    [anon_sym_readonly] = ACTIONS(1408),
    [anon_sym_get] = ACTIONS(1408),
    [anon_sym_set] = ACTIONS(1408),
    [anon_sym_declare] = ACTIONS(1408),
    [anon_sym_public] = ACTIONS(1408),
    [anon_sym_private] = ACTIONS(1408),
    [anon_sym_protected] = ACTIONS(1408),
    [anon_sym_override] = ACTIONS(1408),
    [anon_sym_module] = ACTIONS(1408),
    [anon_sym_any] = ACTIONS(1408),
    [anon_sym_number] = ACTIONS(1408),
    [anon_sym_boolean] = ACTIONS(1408),
    [anon_sym_string] = ACTIONS(1408),
    [anon_sym_symbol] = ACTIONS(1408),
    [anon_sym_object] = ACTIONS(1408),
    [sym_html_comment] = ACTIONS(5),
  },
  [502] = {
    [sym_import] = STATE(4259),
    [sym_statement_block] = STATE(2634),
    [sym_parenthesized_expression] = STATE(2248),
    [sym_expression] = STATE(3187),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7502),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2248),
    [sym_subscript_expression] = STATE(2248),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3928),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7561),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(502),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2248),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1774),
    [anon_sym_export] = ACTIONS(1618),
    [anon_sym_type] = ACTIONS(1618),
    [anon_sym_namespace] = ACTIONS(1620),
    [anon_sym_LBRACE] = ACTIONS(2495),
    [anon_sym_typeof] = ACTIONS(1624),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1618),
    [anon_sym_BANG] = ACTIONS(1624),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1626),
    [anon_sym_yield] = ACTIONS(1628),
    [anon_sym_LBRACK] = ACTIONS(1129),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1630),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1778),
    [anon_sym_using] = ACTIONS(1634),
    [anon_sym_PLUS] = ACTIONS(1624),
    [anon_sym_DASH] = ACTIONS(1624),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(1624),
    [anon_sym_void] = ACTIONS(1624),
    [anon_sym_delete] = ACTIONS(1624),
    [anon_sym_PLUS_PLUS] = ACTIONS(1640),
    [anon_sym_DASH_DASH] = ACTIONS(1640),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(1642),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1780),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1618),
    [anon_sym_readonly] = ACTIONS(1618),
    [anon_sym_get] = ACTIONS(1618),
    [anon_sym_set] = ACTIONS(1618),
    [anon_sym_declare] = ACTIONS(1618),
    [anon_sym_public] = ACTIONS(1618),
    [anon_sym_private] = ACTIONS(1618),
    [anon_sym_protected] = ACTIONS(1618),
    [anon_sym_override] = ACTIONS(1618),
    [anon_sym_module] = ACTIONS(1618),
    [anon_sym_any] = ACTIONS(1618),
    [anon_sym_number] = ACTIONS(1618),
    [anon_sym_boolean] = ACTIONS(1618),
    [anon_sym_string] = ACTIONS(1618),
    [anon_sym_symbol] = ACTIONS(1618),
    [anon_sym_object] = ACTIONS(1618),
    [sym_html_comment] = ACTIONS(5),
  },
  [503] = {
    [sym_import] = STATE(4369),
    [sym_parenthesized_expression] = STATE(2177),
    [sym_expression] = STATE(2676),
    [sym_primary_expression] = STATE(2990),
    [sym_yield_expression] = STATE(3139),
    [sym_object] = STATE(3113),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(3113),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(3139),
    [sym_glimmer_opening_tag] = STATE(5702),
    [sym_jsx_element] = STATE(3139),
    [sym_jsx_opening_element] = STATE(4008),
    [sym_jsx_self_closing_element] = STATE(3139),
    [sym_class] = STATE(3113),
    [sym_function_expression] = STATE(3113),
    [sym_generator_function] = STATE(3113),
    [sym_arrow_function] = STATE(3113),
    [sym__call_signature] = STATE(7486),
    [sym_call_expression] = STATE(3113),
    [sym_new_expression] = STATE(3139),
    [sym_await_expression] = STATE(3139),
    [sym_member_expression] = STATE(2177),
    [sym_subscript_expression] = STATE(2177),
    [sym_assignment_expression] = STATE(3139),
    [sym__augmented_assignment_lhs] = STATE(3835),
    [sym_augmented_assignment_expression] = STATE(3139),
    [sym__destructuring_pattern] = STATE(7484),
    [sym_ternary_expression] = STATE(3139),
    [sym_binary_expression] = STATE(3139),
    [sym_unary_expression] = STATE(3139),
    [sym_update_expression] = STATE(3139),
    [sym_sequence_expression] = STATE(7048),
    [sym_string] = STATE(3113),
    [sym_comment] = STATE(503),
    [sym_template_string] = STATE(3113),
    [sym_regex] = STATE(3113),
    [sym_meta_property] = STATE(3113),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2177),
    [sym_as_expression] = STATE(3139),
    [sym_satisfies_expression] = STATE(3139),
    [sym_instantiation_expression] = STATE(3139),
    [sym_internal_module] = STATE(3139),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5555),
    [sym_identifier] = ACTIONS(1744),
    [anon_sym_export] = ACTIONS(1596),
    [anon_sym_type] = ACTIONS(1596),
    [anon_sym_namespace] = ACTIONS(1598),
    [anon_sym_LBRACE] = ACTIONS(1020),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1596),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1029),
    [anon_sym_async] = ACTIONS(1602),
    [anon_sym_function] = ACTIONS(1033),
    [anon_sym_new] = ACTIONS(1748),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1596),
    [anon_sym_readonly] = ACTIONS(1596),
    [anon_sym_get] = ACTIONS(1596),
    [anon_sym_set] = ACTIONS(1596),
    [anon_sym_declare] = ACTIONS(1596),
    [anon_sym_public] = ACTIONS(1596),
    [anon_sym_private] = ACTIONS(1596),
    [anon_sym_protected] = ACTIONS(1596),
    [anon_sym_override] = ACTIONS(1596),
    [anon_sym_module] = ACTIONS(1596),
    [anon_sym_any] = ACTIONS(1596),
    [anon_sym_number] = ACTIONS(1596),
    [anon_sym_boolean] = ACTIONS(1596),
    [anon_sym_string] = ACTIONS(1596),
    [anon_sym_symbol] = ACTIONS(1596),
    [anon_sym_object] = ACTIONS(1596),
    [sym_html_comment] = ACTIONS(5),
  },
  [504] = {
    [sym_import] = STATE(4259),
    [sym_statement_block] = STATE(2635),
    [sym_parenthesized_expression] = STATE(2248),
    [sym_expression] = STATE(3193),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7502),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2248),
    [sym_subscript_expression] = STATE(2248),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3928),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7561),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(504),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2248),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1774),
    [anon_sym_export] = ACTIONS(1618),
    [anon_sym_type] = ACTIONS(1618),
    [anon_sym_namespace] = ACTIONS(1620),
    [anon_sym_LBRACE] = ACTIONS(2495),
    [anon_sym_typeof] = ACTIONS(1624),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1618),
    [anon_sym_BANG] = ACTIONS(1624),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1626),
    [anon_sym_yield] = ACTIONS(1628),
    [anon_sym_LBRACK] = ACTIONS(1129),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1630),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1778),
    [anon_sym_using] = ACTIONS(1634),
    [anon_sym_PLUS] = ACTIONS(1624),
    [anon_sym_DASH] = ACTIONS(1624),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(1624),
    [anon_sym_void] = ACTIONS(1624),
    [anon_sym_delete] = ACTIONS(1624),
    [anon_sym_PLUS_PLUS] = ACTIONS(1640),
    [anon_sym_DASH_DASH] = ACTIONS(1640),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(1642),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1780),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1618),
    [anon_sym_readonly] = ACTIONS(1618),
    [anon_sym_get] = ACTIONS(1618),
    [anon_sym_set] = ACTIONS(1618),
    [anon_sym_declare] = ACTIONS(1618),
    [anon_sym_public] = ACTIONS(1618),
    [anon_sym_private] = ACTIONS(1618),
    [anon_sym_protected] = ACTIONS(1618),
    [anon_sym_override] = ACTIONS(1618),
    [anon_sym_module] = ACTIONS(1618),
    [anon_sym_any] = ACTIONS(1618),
    [anon_sym_number] = ACTIONS(1618),
    [anon_sym_boolean] = ACTIONS(1618),
    [anon_sym_string] = ACTIONS(1618),
    [anon_sym_symbol] = ACTIONS(1618),
    [anon_sym_object] = ACTIONS(1618),
    [sym_html_comment] = ACTIONS(5),
  },
  [505] = {
    [sym_import] = STATE(4259),
    [sym_statement_block] = STATE(2638),
    [sym_parenthesized_expression] = STATE(2196),
    [sym_expression] = STATE(2780),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7510),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2196),
    [sym_subscript_expression] = STATE(2196),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3936),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7511),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(505),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2196),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1750),
    [anon_sym_export] = ACTIONS(1562),
    [anon_sym_type] = ACTIONS(1562),
    [anon_sym_namespace] = ACTIONS(1564),
    [anon_sym_LBRACE] = ACTIONS(2495),
    [anon_sym_typeof] = ACTIONS(1568),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1562),
    [anon_sym_BANG] = ACTIONS(1568),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1570),
    [anon_sym_yield] = ACTIONS(1572),
    [anon_sym_LBRACK] = ACTIONS(1129),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1574),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1754),
    [anon_sym_using] = ACTIONS(1578),
    [anon_sym_PLUS] = ACTIONS(1568),
    [anon_sym_DASH] = ACTIONS(1568),
    [anon_sym_SLASH] = ACTIONS(1274),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(1568),
    [anon_sym_void] = ACTIONS(1568),
    [anon_sym_delete] = ACTIONS(1568),
    [anon_sym_PLUS_PLUS] = ACTIONS(1584),
    [anon_sym_DASH_DASH] = ACTIONS(1584),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(1586),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1756),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1562),
    [anon_sym_readonly] = ACTIONS(1562),
    [anon_sym_get] = ACTIONS(1562),
    [anon_sym_set] = ACTIONS(1562),
    [anon_sym_declare] = ACTIONS(1562),
    [anon_sym_public] = ACTIONS(1562),
    [anon_sym_private] = ACTIONS(1562),
    [anon_sym_protected] = ACTIONS(1562),
    [anon_sym_override] = ACTIONS(1562),
    [anon_sym_module] = ACTIONS(1562),
    [anon_sym_any] = ACTIONS(1562),
    [anon_sym_number] = ACTIONS(1562),
    [anon_sym_boolean] = ACTIONS(1562),
    [anon_sym_string] = ACTIONS(1562),
    [anon_sym_symbol] = ACTIONS(1562),
    [anon_sym_object] = ACTIONS(1562),
    [sym_html_comment] = ACTIONS(5),
  },
  [506] = {
    [sym_import] = STATE(4259),
    [sym_statement_block] = STATE(2635),
    [sym_parenthesized_expression] = STATE(2196),
    [sym_expression] = STATE(2781),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7510),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2196),
    [sym_subscript_expression] = STATE(2196),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3936),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7511),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(506),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2196),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1750),
    [anon_sym_export] = ACTIONS(1562),
    [anon_sym_type] = ACTIONS(1562),
    [anon_sym_namespace] = ACTIONS(1564),
    [anon_sym_LBRACE] = ACTIONS(2495),
    [anon_sym_typeof] = ACTIONS(1568),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1562),
    [anon_sym_BANG] = ACTIONS(1568),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1570),
    [anon_sym_yield] = ACTIONS(1572),
    [anon_sym_LBRACK] = ACTIONS(1129),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1574),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1754),
    [anon_sym_using] = ACTIONS(1578),
    [anon_sym_PLUS] = ACTIONS(1568),
    [anon_sym_DASH] = ACTIONS(1568),
    [anon_sym_SLASH] = ACTIONS(1274),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(1568),
    [anon_sym_void] = ACTIONS(1568),
    [anon_sym_delete] = ACTIONS(1568),
    [anon_sym_PLUS_PLUS] = ACTIONS(1584),
    [anon_sym_DASH_DASH] = ACTIONS(1584),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(1586),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1756),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1562),
    [anon_sym_readonly] = ACTIONS(1562),
    [anon_sym_get] = ACTIONS(1562),
    [anon_sym_set] = ACTIONS(1562),
    [anon_sym_declare] = ACTIONS(1562),
    [anon_sym_public] = ACTIONS(1562),
    [anon_sym_private] = ACTIONS(1562),
    [anon_sym_protected] = ACTIONS(1562),
    [anon_sym_override] = ACTIONS(1562),
    [anon_sym_module] = ACTIONS(1562),
    [anon_sym_any] = ACTIONS(1562),
    [anon_sym_number] = ACTIONS(1562),
    [anon_sym_boolean] = ACTIONS(1562),
    [anon_sym_string] = ACTIONS(1562),
    [anon_sym_symbol] = ACTIONS(1562),
    [anon_sym_object] = ACTIONS(1562),
    [sym_html_comment] = ACTIONS(5),
  },
  [507] = {
    [sym_import] = STATE(4259),
    [sym_statement_block] = STATE(2634),
    [sym_parenthesized_expression] = STATE(2196),
    [sym_expression] = STATE(2782),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7510),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2196),
    [sym_subscript_expression] = STATE(2196),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3936),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7511),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(507),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2196),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1750),
    [anon_sym_export] = ACTIONS(1562),
    [anon_sym_type] = ACTIONS(1562),
    [anon_sym_namespace] = ACTIONS(1564),
    [anon_sym_LBRACE] = ACTIONS(2495),
    [anon_sym_typeof] = ACTIONS(1568),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1562),
    [anon_sym_BANG] = ACTIONS(1568),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1570),
    [anon_sym_yield] = ACTIONS(1572),
    [anon_sym_LBRACK] = ACTIONS(1129),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1574),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1754),
    [anon_sym_using] = ACTIONS(1578),
    [anon_sym_PLUS] = ACTIONS(1568),
    [anon_sym_DASH] = ACTIONS(1568),
    [anon_sym_SLASH] = ACTIONS(1274),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(1568),
    [anon_sym_void] = ACTIONS(1568),
    [anon_sym_delete] = ACTIONS(1568),
    [anon_sym_PLUS_PLUS] = ACTIONS(1584),
    [anon_sym_DASH_DASH] = ACTIONS(1584),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(1586),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1756),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1562),
    [anon_sym_readonly] = ACTIONS(1562),
    [anon_sym_get] = ACTIONS(1562),
    [anon_sym_set] = ACTIONS(1562),
    [anon_sym_declare] = ACTIONS(1562),
    [anon_sym_public] = ACTIONS(1562),
    [anon_sym_private] = ACTIONS(1562),
    [anon_sym_protected] = ACTIONS(1562),
    [anon_sym_override] = ACTIONS(1562),
    [anon_sym_module] = ACTIONS(1562),
    [anon_sym_any] = ACTIONS(1562),
    [anon_sym_number] = ACTIONS(1562),
    [anon_sym_boolean] = ACTIONS(1562),
    [anon_sym_string] = ACTIONS(1562),
    [anon_sym_symbol] = ACTIONS(1562),
    [anon_sym_object] = ACTIONS(1562),
    [sym_html_comment] = ACTIONS(5),
  },
  [508] = {
    [sym_import] = STATE(4369),
    [sym_statement_block] = STATE(3247),
    [sym_parenthesized_expression] = STATE(2177),
    [sym_expression] = STATE(2576),
    [sym_primary_expression] = STATE(2990),
    [sym_yield_expression] = STATE(3139),
    [sym_object] = STATE(3113),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(3113),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(3139),
    [sym_glimmer_opening_tag] = STATE(5702),
    [sym_jsx_element] = STATE(3139),
    [sym_jsx_opening_element] = STATE(4008),
    [sym_jsx_self_closing_element] = STATE(3139),
    [sym_class] = STATE(3113),
    [sym_function_expression] = STATE(3113),
    [sym_generator_function] = STATE(3113),
    [sym_arrow_function] = STATE(3113),
    [sym__call_signature] = STATE(7486),
    [sym_call_expression] = STATE(3113),
    [sym_new_expression] = STATE(3139),
    [sym_await_expression] = STATE(3139),
    [sym_member_expression] = STATE(2177),
    [sym_subscript_expression] = STATE(2177),
    [sym_assignment_expression] = STATE(3139),
    [sym__augmented_assignment_lhs] = STATE(3835),
    [sym_augmented_assignment_expression] = STATE(3139),
    [sym__destructuring_pattern] = STATE(7484),
    [sym_ternary_expression] = STATE(3139),
    [sym_binary_expression] = STATE(3139),
    [sym_unary_expression] = STATE(3139),
    [sym_update_expression] = STATE(3139),
    [sym_string] = STATE(3113),
    [sym_comment] = STATE(508),
    [sym_template_string] = STATE(3113),
    [sym_regex] = STATE(3113),
    [sym_meta_property] = STATE(3113),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2177),
    [sym_as_expression] = STATE(3139),
    [sym_satisfies_expression] = STATE(3139),
    [sym_instantiation_expression] = STATE(3139),
    [sym_internal_module] = STATE(3139),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5555),
    [sym_identifier] = ACTIONS(1744),
    [anon_sym_export] = ACTIONS(1596),
    [anon_sym_type] = ACTIONS(1596),
    [anon_sym_namespace] = ACTIONS(1598),
    [anon_sym_LBRACE] = ACTIONS(2493),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1596),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1029),
    [anon_sym_async] = ACTIONS(1602),
    [anon_sym_function] = ACTIONS(1033),
    [anon_sym_new] = ACTIONS(1748),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1596),
    [anon_sym_readonly] = ACTIONS(1596),
    [anon_sym_get] = ACTIONS(1596),
    [anon_sym_set] = ACTIONS(1596),
    [anon_sym_declare] = ACTIONS(1596),
    [anon_sym_public] = ACTIONS(1596),
    [anon_sym_private] = ACTIONS(1596),
    [anon_sym_protected] = ACTIONS(1596),
    [anon_sym_override] = ACTIONS(1596),
    [anon_sym_module] = ACTIONS(1596),
    [anon_sym_any] = ACTIONS(1596),
    [anon_sym_number] = ACTIONS(1596),
    [anon_sym_boolean] = ACTIONS(1596),
    [anon_sym_string] = ACTIONS(1596),
    [anon_sym_symbol] = ACTIONS(1596),
    [anon_sym_object] = ACTIONS(1596),
    [sym_html_comment] = ACTIONS(5),
  },
  [509] = {
    [sym_import] = STATE(4369),
    [sym_statement_block] = STATE(3222),
    [sym_parenthesized_expression] = STATE(2221),
    [sym_expression] = STATE(3053),
    [sym_primary_expression] = STATE(2990),
    [sym_yield_expression] = STATE(3139),
    [sym_object] = STATE(3113),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(3113),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(3139),
    [sym_glimmer_opening_tag] = STATE(5702),
    [sym_jsx_element] = STATE(3139),
    [sym_jsx_opening_element] = STATE(4008),
    [sym_jsx_self_closing_element] = STATE(3139),
    [sym_class] = STATE(3113),
    [sym_function_expression] = STATE(3113),
    [sym_generator_function] = STATE(3113),
    [sym_arrow_function] = STATE(3113),
    [sym__call_signature] = STATE(7374),
    [sym_call_expression] = STATE(3113),
    [sym_new_expression] = STATE(3139),
    [sym_await_expression] = STATE(3139),
    [sym_member_expression] = STATE(2221),
    [sym_subscript_expression] = STATE(2221),
    [sym_assignment_expression] = STATE(3139),
    [sym__augmented_assignment_lhs] = STATE(3860),
    [sym_augmented_assignment_expression] = STATE(3139),
    [sym__destructuring_pattern] = STATE(7376),
    [sym_ternary_expression] = STATE(3139),
    [sym_binary_expression] = STATE(3139),
    [sym_unary_expression] = STATE(3139),
    [sym_update_expression] = STATE(3139),
    [sym_string] = STATE(3113),
    [sym_comment] = STATE(509),
    [sym_template_string] = STATE(3113),
    [sym_regex] = STATE(3113),
    [sym_meta_property] = STATE(3113),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2221),
    [sym_as_expression] = STATE(3139),
    [sym_satisfies_expression] = STATE(3139),
    [sym_instantiation_expression] = STATE(3139),
    [sym_internal_module] = STATE(3139),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5555),
    [sym_identifier] = ACTIONS(1758),
    [anon_sym_export] = ACTIONS(1362),
    [anon_sym_type] = ACTIONS(1362),
    [anon_sym_namespace] = ACTIONS(1364),
    [anon_sym_LBRACE] = ACTIONS(2493),
    [anon_sym_typeof] = ACTIONS(1370),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1362),
    [anon_sym_BANG] = ACTIONS(1370),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1374),
    [anon_sym_yield] = ACTIONS(1376),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1029),
    [anon_sym_async] = ACTIONS(1380),
    [anon_sym_function] = ACTIONS(1033),
    [anon_sym_new] = ACTIONS(1762),
    [anon_sym_using] = ACTIONS(1384),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1370),
    [anon_sym_void] = ACTIONS(1370),
    [anon_sym_delete] = ACTIONS(1370),
    [anon_sym_PLUS_PLUS] = ACTIONS(1390),
    [anon_sym_DASH_DASH] = ACTIONS(1390),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1396),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1764),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1362),
    [anon_sym_readonly] = ACTIONS(1362),
    [anon_sym_get] = ACTIONS(1362),
    [anon_sym_set] = ACTIONS(1362),
    [anon_sym_declare] = ACTIONS(1362),
    [anon_sym_public] = ACTIONS(1362),
    [anon_sym_private] = ACTIONS(1362),
    [anon_sym_protected] = ACTIONS(1362),
    [anon_sym_override] = ACTIONS(1362),
    [anon_sym_module] = ACTIONS(1362),
    [anon_sym_any] = ACTIONS(1362),
    [anon_sym_number] = ACTIONS(1362),
    [anon_sym_boolean] = ACTIONS(1362),
    [anon_sym_string] = ACTIONS(1362),
    [anon_sym_symbol] = ACTIONS(1362),
    [anon_sym_object] = ACTIONS(1362),
    [sym_html_comment] = ACTIONS(5),
  },
  [510] = {
    [sym_import] = STATE(4259),
    [sym_statement_block] = STATE(2682),
    [sym_parenthesized_expression] = STATE(2151),
    [sym_expression] = STATE(2389),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7643),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2151),
    [sym_subscript_expression] = STATE(2151),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3918),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7259),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(510),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2151),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1724),
    [anon_sym_export] = ACTIONS(1452),
    [anon_sym_type] = ACTIONS(1452),
    [anon_sym_namespace] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(2495),
    [anon_sym_typeof] = ACTIONS(968),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1452),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(1129),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1462),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1730),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_PLUS] = ACTIONS(968),
    [anon_sym_DASH] = ACTIONS(968),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(968),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1732),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1452),
    [anon_sym_readonly] = ACTIONS(1452),
    [anon_sym_get] = ACTIONS(1452),
    [anon_sym_set] = ACTIONS(1452),
    [anon_sym_declare] = ACTIONS(1452),
    [anon_sym_public] = ACTIONS(1452),
    [anon_sym_private] = ACTIONS(1452),
    [anon_sym_protected] = ACTIONS(1452),
    [anon_sym_override] = ACTIONS(1452),
    [anon_sym_module] = ACTIONS(1452),
    [anon_sym_any] = ACTIONS(1452),
    [anon_sym_number] = ACTIONS(1452),
    [anon_sym_boolean] = ACTIONS(1452),
    [anon_sym_string] = ACTIONS(1452),
    [anon_sym_symbol] = ACTIONS(1452),
    [anon_sym_object] = ACTIONS(1452),
    [sym_html_comment] = ACTIONS(5),
  },
  [511] = {
    [sym_import] = STATE(4259),
    [sym_statement_block] = STATE(2638),
    [sym_parenthesized_expression] = STATE(2248),
    [sym_expression] = STATE(3232),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7502),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2248),
    [sym_subscript_expression] = STATE(2248),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3928),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7561),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(511),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2248),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1774),
    [anon_sym_export] = ACTIONS(1618),
    [anon_sym_type] = ACTIONS(1618),
    [anon_sym_namespace] = ACTIONS(1620),
    [anon_sym_LBRACE] = ACTIONS(2495),
    [anon_sym_typeof] = ACTIONS(1624),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1618),
    [anon_sym_BANG] = ACTIONS(1624),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1626),
    [anon_sym_yield] = ACTIONS(1628),
    [anon_sym_LBRACK] = ACTIONS(1129),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1630),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1778),
    [anon_sym_using] = ACTIONS(1634),
    [anon_sym_PLUS] = ACTIONS(1624),
    [anon_sym_DASH] = ACTIONS(1624),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(1624),
    [anon_sym_void] = ACTIONS(1624),
    [anon_sym_delete] = ACTIONS(1624),
    [anon_sym_PLUS_PLUS] = ACTIONS(1640),
    [anon_sym_DASH_DASH] = ACTIONS(1640),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(1642),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1780),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1618),
    [anon_sym_readonly] = ACTIONS(1618),
    [anon_sym_get] = ACTIONS(1618),
    [anon_sym_set] = ACTIONS(1618),
    [anon_sym_declare] = ACTIONS(1618),
    [anon_sym_public] = ACTIONS(1618),
    [anon_sym_private] = ACTIONS(1618),
    [anon_sym_protected] = ACTIONS(1618),
    [anon_sym_override] = ACTIONS(1618),
    [anon_sym_module] = ACTIONS(1618),
    [anon_sym_any] = ACTIONS(1618),
    [anon_sym_number] = ACTIONS(1618),
    [anon_sym_boolean] = ACTIONS(1618),
    [anon_sym_string] = ACTIONS(1618),
    [anon_sym_symbol] = ACTIONS(1618),
    [anon_sym_object] = ACTIONS(1618),
    [sym_html_comment] = ACTIONS(5),
  },
  [512] = {
    [sym_import] = STATE(4369),
    [sym_statement_block] = STATE(3304),
    [sym_parenthesized_expression] = STATE(2177),
    [sym_expression] = STATE(2701),
    [sym_primary_expression] = STATE(2990),
    [sym_yield_expression] = STATE(3139),
    [sym_object] = STATE(3113),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(3113),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(3139),
    [sym_glimmer_opening_tag] = STATE(5702),
    [sym_jsx_element] = STATE(3139),
    [sym_jsx_opening_element] = STATE(4008),
    [sym_jsx_self_closing_element] = STATE(3139),
    [sym_class] = STATE(3113),
    [sym_function_expression] = STATE(3113),
    [sym_generator_function] = STATE(3113),
    [sym_arrow_function] = STATE(3113),
    [sym__call_signature] = STATE(7486),
    [sym_call_expression] = STATE(3113),
    [sym_new_expression] = STATE(3139),
    [sym_await_expression] = STATE(3139),
    [sym_member_expression] = STATE(2177),
    [sym_subscript_expression] = STATE(2177),
    [sym_assignment_expression] = STATE(3139),
    [sym__augmented_assignment_lhs] = STATE(3835),
    [sym_augmented_assignment_expression] = STATE(3139),
    [sym__destructuring_pattern] = STATE(7484),
    [sym_ternary_expression] = STATE(3139),
    [sym_binary_expression] = STATE(3139),
    [sym_unary_expression] = STATE(3139),
    [sym_update_expression] = STATE(3139),
    [sym_string] = STATE(3113),
    [sym_comment] = STATE(512),
    [sym_template_string] = STATE(3113),
    [sym_regex] = STATE(3113),
    [sym_meta_property] = STATE(3113),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2177),
    [sym_as_expression] = STATE(3139),
    [sym_satisfies_expression] = STATE(3139),
    [sym_instantiation_expression] = STATE(3139),
    [sym_internal_module] = STATE(3139),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5555),
    [sym_identifier] = ACTIONS(1744),
    [anon_sym_export] = ACTIONS(1596),
    [anon_sym_type] = ACTIONS(1596),
    [anon_sym_namespace] = ACTIONS(1598),
    [anon_sym_LBRACE] = ACTIONS(2493),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1596),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1029),
    [anon_sym_async] = ACTIONS(1602),
    [anon_sym_function] = ACTIONS(1033),
    [anon_sym_new] = ACTIONS(1748),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1596),
    [anon_sym_readonly] = ACTIONS(1596),
    [anon_sym_get] = ACTIONS(1596),
    [anon_sym_set] = ACTIONS(1596),
    [anon_sym_declare] = ACTIONS(1596),
    [anon_sym_public] = ACTIONS(1596),
    [anon_sym_private] = ACTIONS(1596),
    [anon_sym_protected] = ACTIONS(1596),
    [anon_sym_override] = ACTIONS(1596),
    [anon_sym_module] = ACTIONS(1596),
    [anon_sym_any] = ACTIONS(1596),
    [anon_sym_number] = ACTIONS(1596),
    [anon_sym_boolean] = ACTIONS(1596),
    [anon_sym_string] = ACTIONS(1596),
    [anon_sym_symbol] = ACTIONS(1596),
    [anon_sym_object] = ACTIONS(1596),
    [sym_html_comment] = ACTIONS(5),
  },
  [513] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2196),
    [sym_expression] = STATE(2726),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7510),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2196),
    [sym_subscript_expression] = STATE(2196),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3936),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7511),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(513),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2196),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym__extends_clause_single] = STATE(5599),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1750),
    [anon_sym_export] = ACTIONS(1562),
    [anon_sym_type] = ACTIONS(1562),
    [anon_sym_namespace] = ACTIONS(1564),
    [anon_sym_LBRACE] = ACTIONS(1127),
    [anon_sym_typeof] = ACTIONS(1568),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1562),
    [anon_sym_BANG] = ACTIONS(1568),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1570),
    [anon_sym_yield] = ACTIONS(1572),
    [anon_sym_LBRACK] = ACTIONS(1129),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1574),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1754),
    [anon_sym_using] = ACTIONS(1578),
    [anon_sym_PLUS] = ACTIONS(1568),
    [anon_sym_DASH] = ACTIONS(1568),
    [anon_sym_SLASH] = ACTIONS(1274),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(1568),
    [anon_sym_void] = ACTIONS(1568),
    [anon_sym_delete] = ACTIONS(1568),
    [anon_sym_PLUS_PLUS] = ACTIONS(1584),
    [anon_sym_DASH_DASH] = ACTIONS(1584),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(1586),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1756),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1562),
    [anon_sym_readonly] = ACTIONS(1562),
    [anon_sym_get] = ACTIONS(1562),
    [anon_sym_set] = ACTIONS(1562),
    [anon_sym_declare] = ACTIONS(1562),
    [anon_sym_public] = ACTIONS(1562),
    [anon_sym_private] = ACTIONS(1562),
    [anon_sym_protected] = ACTIONS(1562),
    [anon_sym_override] = ACTIONS(1562),
    [anon_sym_module] = ACTIONS(1562),
    [anon_sym_any] = ACTIONS(1562),
    [anon_sym_number] = ACTIONS(1562),
    [anon_sym_boolean] = ACTIONS(1562),
    [anon_sym_string] = ACTIONS(1562),
    [anon_sym_symbol] = ACTIONS(1562),
    [anon_sym_object] = ACTIONS(1562),
    [sym_html_comment] = ACTIONS(5),
  },
  [514] = {
    [sym_import] = STATE(4259),
    [sym_statement_block] = STATE(2682),
    [sym_parenthesized_expression] = STATE(2229),
    [sym_expression] = STATE(2994),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7175),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2229),
    [sym_subscript_expression] = STATE(2229),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3935),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7438),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(514),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2229),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1766),
    [anon_sym_export] = ACTIONS(1482),
    [anon_sym_type] = ACTIONS(1482),
    [anon_sym_namespace] = ACTIONS(1484),
    [anon_sym_LBRACE] = ACTIONS(2495),
    [anon_sym_typeof] = ACTIONS(1490),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1482),
    [anon_sym_BANG] = ACTIONS(1490),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1492),
    [anon_sym_yield] = ACTIONS(1494),
    [anon_sym_LBRACK] = ACTIONS(1129),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1496),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1770),
    [anon_sym_using] = ACTIONS(1500),
    [anon_sym_PLUS] = ACTIONS(1490),
    [anon_sym_DASH] = ACTIONS(1490),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(1490),
    [anon_sym_void] = ACTIONS(1490),
    [anon_sym_delete] = ACTIONS(1490),
    [anon_sym_PLUS_PLUS] = ACTIONS(1506),
    [anon_sym_DASH_DASH] = ACTIONS(1506),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(1508),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1772),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1482),
    [anon_sym_readonly] = ACTIONS(1482),
    [anon_sym_get] = ACTIONS(1482),
    [anon_sym_set] = ACTIONS(1482),
    [anon_sym_declare] = ACTIONS(1482),
    [anon_sym_public] = ACTIONS(1482),
    [anon_sym_private] = ACTIONS(1482),
    [anon_sym_protected] = ACTIONS(1482),
    [anon_sym_override] = ACTIONS(1482),
    [anon_sym_module] = ACTIONS(1482),
    [anon_sym_any] = ACTIONS(1482),
    [anon_sym_number] = ACTIONS(1482),
    [anon_sym_boolean] = ACTIONS(1482),
    [anon_sym_string] = ACTIONS(1482),
    [anon_sym_symbol] = ACTIONS(1482),
    [anon_sym_object] = ACTIONS(1482),
    [sym_html_comment] = ACTIONS(5),
  },
  [515] = {
    [sym_import] = STATE(4369),
    [sym_statement_block] = STATE(3222),
    [sym_parenthesized_expression] = STATE(2177),
    [sym_expression] = STATE(2703),
    [sym_primary_expression] = STATE(2990),
    [sym_yield_expression] = STATE(3139),
    [sym_object] = STATE(3113),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(3113),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(3139),
    [sym_glimmer_opening_tag] = STATE(5702),
    [sym_jsx_element] = STATE(3139),
    [sym_jsx_opening_element] = STATE(4008),
    [sym_jsx_self_closing_element] = STATE(3139),
    [sym_class] = STATE(3113),
    [sym_function_expression] = STATE(3113),
    [sym_generator_function] = STATE(3113),
    [sym_arrow_function] = STATE(3113),
    [sym__call_signature] = STATE(7486),
    [sym_call_expression] = STATE(3113),
    [sym_new_expression] = STATE(3139),
    [sym_await_expression] = STATE(3139),
    [sym_member_expression] = STATE(2177),
    [sym_subscript_expression] = STATE(2177),
    [sym_assignment_expression] = STATE(3139),
    [sym__augmented_assignment_lhs] = STATE(3835),
    [sym_augmented_assignment_expression] = STATE(3139),
    [sym__destructuring_pattern] = STATE(7484),
    [sym_ternary_expression] = STATE(3139),
    [sym_binary_expression] = STATE(3139),
    [sym_unary_expression] = STATE(3139),
    [sym_update_expression] = STATE(3139),
    [sym_string] = STATE(3113),
    [sym_comment] = STATE(515),
    [sym_template_string] = STATE(3113),
    [sym_regex] = STATE(3113),
    [sym_meta_property] = STATE(3113),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2177),
    [sym_as_expression] = STATE(3139),
    [sym_satisfies_expression] = STATE(3139),
    [sym_instantiation_expression] = STATE(3139),
    [sym_internal_module] = STATE(3139),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5555),
    [sym_identifier] = ACTIONS(1744),
    [anon_sym_export] = ACTIONS(1596),
    [anon_sym_type] = ACTIONS(1596),
    [anon_sym_namespace] = ACTIONS(1598),
    [anon_sym_LBRACE] = ACTIONS(2493),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1596),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1029),
    [anon_sym_async] = ACTIONS(1602),
    [anon_sym_function] = ACTIONS(1033),
    [anon_sym_new] = ACTIONS(1748),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1596),
    [anon_sym_readonly] = ACTIONS(1596),
    [anon_sym_get] = ACTIONS(1596),
    [anon_sym_set] = ACTIONS(1596),
    [anon_sym_declare] = ACTIONS(1596),
    [anon_sym_public] = ACTIONS(1596),
    [anon_sym_private] = ACTIONS(1596),
    [anon_sym_protected] = ACTIONS(1596),
    [anon_sym_override] = ACTIONS(1596),
    [anon_sym_module] = ACTIONS(1596),
    [anon_sym_any] = ACTIONS(1596),
    [anon_sym_number] = ACTIONS(1596),
    [anon_sym_boolean] = ACTIONS(1596),
    [anon_sym_string] = ACTIONS(1596),
    [anon_sym_symbol] = ACTIONS(1596),
    [anon_sym_object] = ACTIONS(1596),
    [sym_html_comment] = ACTIONS(5),
  },
  [516] = {
    [sym_import] = STATE(4259),
    [sym_statement_block] = STATE(2665),
    [sym_parenthesized_expression] = STATE(2248),
    [sym_expression] = STATE(3236),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7502),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2248),
    [sym_subscript_expression] = STATE(2248),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3928),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7561),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(516),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2248),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1774),
    [anon_sym_export] = ACTIONS(1618),
    [anon_sym_type] = ACTIONS(1618),
    [anon_sym_namespace] = ACTIONS(1620),
    [anon_sym_LBRACE] = ACTIONS(2495),
    [anon_sym_typeof] = ACTIONS(1624),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1618),
    [anon_sym_BANG] = ACTIONS(1624),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1626),
    [anon_sym_yield] = ACTIONS(1628),
    [anon_sym_LBRACK] = ACTIONS(1129),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1630),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1778),
    [anon_sym_using] = ACTIONS(1634),
    [anon_sym_PLUS] = ACTIONS(1624),
    [anon_sym_DASH] = ACTIONS(1624),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(1624),
    [anon_sym_void] = ACTIONS(1624),
    [anon_sym_delete] = ACTIONS(1624),
    [anon_sym_PLUS_PLUS] = ACTIONS(1640),
    [anon_sym_DASH_DASH] = ACTIONS(1640),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(1642),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1780),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1618),
    [anon_sym_readonly] = ACTIONS(1618),
    [anon_sym_get] = ACTIONS(1618),
    [anon_sym_set] = ACTIONS(1618),
    [anon_sym_declare] = ACTIONS(1618),
    [anon_sym_public] = ACTIONS(1618),
    [anon_sym_private] = ACTIONS(1618),
    [anon_sym_protected] = ACTIONS(1618),
    [anon_sym_override] = ACTIONS(1618),
    [anon_sym_module] = ACTIONS(1618),
    [anon_sym_any] = ACTIONS(1618),
    [anon_sym_number] = ACTIONS(1618),
    [anon_sym_boolean] = ACTIONS(1618),
    [anon_sym_string] = ACTIONS(1618),
    [anon_sym_symbol] = ACTIONS(1618),
    [anon_sym_object] = ACTIONS(1618),
    [sym_html_comment] = ACTIONS(5),
  },
  [517] = {
    [sym_import] = STATE(4259),
    [sym_statement_block] = STATE(2634),
    [sym_parenthesized_expression] = STATE(2239),
    [sym_expression] = STATE(3217),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7446),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2239),
    [sym_subscript_expression] = STATE(2239),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3938),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7450),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(517),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2239),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1782),
    [anon_sym_export] = ACTIONS(1408),
    [anon_sym_type] = ACTIONS(1408),
    [anon_sym_namespace] = ACTIONS(1410),
    [anon_sym_LBRACE] = ACTIONS(2491),
    [anon_sym_typeof] = ACTIONS(1416),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1408),
    [anon_sym_BANG] = ACTIONS(1416),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1418),
    [anon_sym_yield] = ACTIONS(1420),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1424),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1786),
    [anon_sym_using] = ACTIONS(1428),
    [anon_sym_PLUS] = ACTIONS(1416),
    [anon_sym_DASH] = ACTIONS(1416),
    [anon_sym_SLASH] = ACTIONS(1290),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(1416),
    [anon_sym_void] = ACTIONS(1416),
    [anon_sym_delete] = ACTIONS(1416),
    [anon_sym_PLUS_PLUS] = ACTIONS(1434),
    [anon_sym_DASH_DASH] = ACTIONS(1434),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(1440),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1788),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1408),
    [anon_sym_readonly] = ACTIONS(1408),
    [anon_sym_get] = ACTIONS(1408),
    [anon_sym_set] = ACTIONS(1408),
    [anon_sym_declare] = ACTIONS(1408),
    [anon_sym_public] = ACTIONS(1408),
    [anon_sym_private] = ACTIONS(1408),
    [anon_sym_protected] = ACTIONS(1408),
    [anon_sym_override] = ACTIONS(1408),
    [anon_sym_module] = ACTIONS(1408),
    [anon_sym_any] = ACTIONS(1408),
    [anon_sym_number] = ACTIONS(1408),
    [anon_sym_boolean] = ACTIONS(1408),
    [anon_sym_string] = ACTIONS(1408),
    [anon_sym_symbol] = ACTIONS(1408),
    [anon_sym_object] = ACTIONS(1408),
    [sym_html_comment] = ACTIONS(5),
  },
  [518] = {
    [sym_import] = STATE(4259),
    [sym_statement_block] = STATE(2635),
    [sym_parenthesized_expression] = STATE(2239),
    [sym_expression] = STATE(3218),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7446),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2239),
    [sym_subscript_expression] = STATE(2239),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3938),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7450),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(518),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2239),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1782),
    [anon_sym_export] = ACTIONS(1408),
    [anon_sym_type] = ACTIONS(1408),
    [anon_sym_namespace] = ACTIONS(1410),
    [anon_sym_LBRACE] = ACTIONS(2491),
    [anon_sym_typeof] = ACTIONS(1416),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1408),
    [anon_sym_BANG] = ACTIONS(1416),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1418),
    [anon_sym_yield] = ACTIONS(1420),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1424),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1786),
    [anon_sym_using] = ACTIONS(1428),
    [anon_sym_PLUS] = ACTIONS(1416),
    [anon_sym_DASH] = ACTIONS(1416),
    [anon_sym_SLASH] = ACTIONS(1290),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(1416),
    [anon_sym_void] = ACTIONS(1416),
    [anon_sym_delete] = ACTIONS(1416),
    [anon_sym_PLUS_PLUS] = ACTIONS(1434),
    [anon_sym_DASH_DASH] = ACTIONS(1434),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(1440),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1788),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1408),
    [anon_sym_readonly] = ACTIONS(1408),
    [anon_sym_get] = ACTIONS(1408),
    [anon_sym_set] = ACTIONS(1408),
    [anon_sym_declare] = ACTIONS(1408),
    [anon_sym_public] = ACTIONS(1408),
    [anon_sym_private] = ACTIONS(1408),
    [anon_sym_protected] = ACTIONS(1408),
    [anon_sym_override] = ACTIONS(1408),
    [anon_sym_module] = ACTIONS(1408),
    [anon_sym_any] = ACTIONS(1408),
    [anon_sym_number] = ACTIONS(1408),
    [anon_sym_boolean] = ACTIONS(1408),
    [anon_sym_string] = ACTIONS(1408),
    [anon_sym_symbol] = ACTIONS(1408),
    [anon_sym_object] = ACTIONS(1408),
    [sym_html_comment] = ACTIONS(5),
  },
  [519] = {
    [sym_import] = STATE(4259),
    [sym_statement_block] = STATE(2638),
    [sym_parenthesized_expression] = STATE(2239),
    [sym_expression] = STATE(3219),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7446),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2239),
    [sym_subscript_expression] = STATE(2239),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3938),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7450),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(519),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2239),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1782),
    [anon_sym_export] = ACTIONS(1408),
    [anon_sym_type] = ACTIONS(1408),
    [anon_sym_namespace] = ACTIONS(1410),
    [anon_sym_LBRACE] = ACTIONS(2491),
    [anon_sym_typeof] = ACTIONS(1416),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1408),
    [anon_sym_BANG] = ACTIONS(1416),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1418),
    [anon_sym_yield] = ACTIONS(1420),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1424),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1786),
    [anon_sym_using] = ACTIONS(1428),
    [anon_sym_PLUS] = ACTIONS(1416),
    [anon_sym_DASH] = ACTIONS(1416),
    [anon_sym_SLASH] = ACTIONS(1290),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(1416),
    [anon_sym_void] = ACTIONS(1416),
    [anon_sym_delete] = ACTIONS(1416),
    [anon_sym_PLUS_PLUS] = ACTIONS(1434),
    [anon_sym_DASH_DASH] = ACTIONS(1434),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(1440),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1788),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1408),
    [anon_sym_readonly] = ACTIONS(1408),
    [anon_sym_get] = ACTIONS(1408),
    [anon_sym_set] = ACTIONS(1408),
    [anon_sym_declare] = ACTIONS(1408),
    [anon_sym_public] = ACTIONS(1408),
    [anon_sym_private] = ACTIONS(1408),
    [anon_sym_protected] = ACTIONS(1408),
    [anon_sym_override] = ACTIONS(1408),
    [anon_sym_module] = ACTIONS(1408),
    [anon_sym_any] = ACTIONS(1408),
    [anon_sym_number] = ACTIONS(1408),
    [anon_sym_boolean] = ACTIONS(1408),
    [anon_sym_string] = ACTIONS(1408),
    [anon_sym_symbol] = ACTIONS(1408),
    [anon_sym_object] = ACTIONS(1408),
    [sym_html_comment] = ACTIONS(5),
  },
  [520] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2151),
    [sym_expression] = STATE(2412),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7643),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2151),
    [sym_subscript_expression] = STATE(2151),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3918),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7259),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_sequence_expression] = STATE(7451),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(520),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2151),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1724),
    [anon_sym_export] = ACTIONS(1452),
    [anon_sym_type] = ACTIONS(1452),
    [anon_sym_namespace] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(1127),
    [anon_sym_typeof] = ACTIONS(968),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1452),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(1129),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1462),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1730),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_PLUS] = ACTIONS(968),
    [anon_sym_DASH] = ACTIONS(968),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(968),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1732),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1452),
    [anon_sym_readonly] = ACTIONS(1452),
    [anon_sym_get] = ACTIONS(1452),
    [anon_sym_set] = ACTIONS(1452),
    [anon_sym_declare] = ACTIONS(1452),
    [anon_sym_public] = ACTIONS(1452),
    [anon_sym_private] = ACTIONS(1452),
    [anon_sym_protected] = ACTIONS(1452),
    [anon_sym_override] = ACTIONS(1452),
    [anon_sym_module] = ACTIONS(1452),
    [anon_sym_any] = ACTIONS(1452),
    [anon_sym_number] = ACTIONS(1452),
    [anon_sym_boolean] = ACTIONS(1452),
    [anon_sym_string] = ACTIONS(1452),
    [anon_sym_symbol] = ACTIONS(1452),
    [anon_sym_object] = ACTIONS(1452),
    [sym_html_comment] = ACTIONS(5),
  },
  [521] = {
    [sym_import] = STATE(4259),
    [sym_statement_block] = STATE(2635),
    [sym_parenthesized_expression] = STATE(2151),
    [sym_expression] = STATE(2472),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7643),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2151),
    [sym_subscript_expression] = STATE(2151),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3918),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7259),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(521),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2151),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1724),
    [anon_sym_export] = ACTIONS(1452),
    [anon_sym_type] = ACTIONS(1452),
    [anon_sym_namespace] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(2495),
    [anon_sym_typeof] = ACTIONS(968),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1452),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(1129),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1462),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1730),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_PLUS] = ACTIONS(968),
    [anon_sym_DASH] = ACTIONS(968),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(968),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1732),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1452),
    [anon_sym_readonly] = ACTIONS(1452),
    [anon_sym_get] = ACTIONS(1452),
    [anon_sym_set] = ACTIONS(1452),
    [anon_sym_declare] = ACTIONS(1452),
    [anon_sym_public] = ACTIONS(1452),
    [anon_sym_private] = ACTIONS(1452),
    [anon_sym_protected] = ACTIONS(1452),
    [anon_sym_override] = ACTIONS(1452),
    [anon_sym_module] = ACTIONS(1452),
    [anon_sym_any] = ACTIONS(1452),
    [anon_sym_number] = ACTIONS(1452),
    [anon_sym_boolean] = ACTIONS(1452),
    [anon_sym_string] = ACTIONS(1452),
    [anon_sym_symbol] = ACTIONS(1452),
    [anon_sym_object] = ACTIONS(1452),
    [sym_html_comment] = ACTIONS(5),
  },
  [522] = {
    [sym_import] = STATE(4369),
    [sym_statement_block] = STATE(3259),
    [sym_parenthesized_expression] = STATE(2221),
    [sym_expression] = STATE(2986),
    [sym_primary_expression] = STATE(2990),
    [sym_yield_expression] = STATE(3139),
    [sym_object] = STATE(3113),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(3113),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(3139),
    [sym_glimmer_opening_tag] = STATE(5702),
    [sym_jsx_element] = STATE(3139),
    [sym_jsx_opening_element] = STATE(4008),
    [sym_jsx_self_closing_element] = STATE(3139),
    [sym_class] = STATE(3113),
    [sym_function_expression] = STATE(3113),
    [sym_generator_function] = STATE(3113),
    [sym_arrow_function] = STATE(3113),
    [sym__call_signature] = STATE(7374),
    [sym_call_expression] = STATE(3113),
    [sym_new_expression] = STATE(3139),
    [sym_await_expression] = STATE(3139),
    [sym_member_expression] = STATE(2221),
    [sym_subscript_expression] = STATE(2221),
    [sym_assignment_expression] = STATE(3139),
    [sym__augmented_assignment_lhs] = STATE(3860),
    [sym_augmented_assignment_expression] = STATE(3139),
    [sym__destructuring_pattern] = STATE(7376),
    [sym_ternary_expression] = STATE(3139),
    [sym_binary_expression] = STATE(3139),
    [sym_unary_expression] = STATE(3139),
    [sym_update_expression] = STATE(3139),
    [sym_string] = STATE(3113),
    [sym_comment] = STATE(522),
    [sym_template_string] = STATE(3113),
    [sym_regex] = STATE(3113),
    [sym_meta_property] = STATE(3113),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2221),
    [sym_as_expression] = STATE(3139),
    [sym_satisfies_expression] = STATE(3139),
    [sym_instantiation_expression] = STATE(3139),
    [sym_internal_module] = STATE(3139),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5555),
    [sym_identifier] = ACTIONS(1758),
    [anon_sym_export] = ACTIONS(1362),
    [anon_sym_type] = ACTIONS(1362),
    [anon_sym_namespace] = ACTIONS(1364),
    [anon_sym_LBRACE] = ACTIONS(2493),
    [anon_sym_typeof] = ACTIONS(1370),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1362),
    [anon_sym_BANG] = ACTIONS(1370),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1374),
    [anon_sym_yield] = ACTIONS(1376),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1029),
    [anon_sym_async] = ACTIONS(1380),
    [anon_sym_function] = ACTIONS(1033),
    [anon_sym_new] = ACTIONS(1762),
    [anon_sym_using] = ACTIONS(1384),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1370),
    [anon_sym_void] = ACTIONS(1370),
    [anon_sym_delete] = ACTIONS(1370),
    [anon_sym_PLUS_PLUS] = ACTIONS(1390),
    [anon_sym_DASH_DASH] = ACTIONS(1390),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1396),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1764),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1362),
    [anon_sym_readonly] = ACTIONS(1362),
    [anon_sym_get] = ACTIONS(1362),
    [anon_sym_set] = ACTIONS(1362),
    [anon_sym_declare] = ACTIONS(1362),
    [anon_sym_public] = ACTIONS(1362),
    [anon_sym_private] = ACTIONS(1362),
    [anon_sym_protected] = ACTIONS(1362),
    [anon_sym_override] = ACTIONS(1362),
    [anon_sym_module] = ACTIONS(1362),
    [anon_sym_any] = ACTIONS(1362),
    [anon_sym_number] = ACTIONS(1362),
    [anon_sym_boolean] = ACTIONS(1362),
    [anon_sym_string] = ACTIONS(1362),
    [anon_sym_symbol] = ACTIONS(1362),
    [anon_sym_object] = ACTIONS(1362),
    [sym_html_comment] = ACTIONS(5),
  },
  [523] = {
    [sym_import] = STATE(4259),
    [sym_statement_block] = STATE(2705),
    [sym_parenthesized_expression] = STATE(2196),
    [sym_expression] = STATE(2733),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7510),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2196),
    [sym_subscript_expression] = STATE(2196),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3936),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7511),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(523),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2196),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1750),
    [anon_sym_export] = ACTIONS(1562),
    [anon_sym_type] = ACTIONS(1562),
    [anon_sym_namespace] = ACTIONS(1564),
    [anon_sym_LBRACE] = ACTIONS(2495),
    [anon_sym_typeof] = ACTIONS(1568),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1562),
    [anon_sym_BANG] = ACTIONS(1568),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1570),
    [anon_sym_yield] = ACTIONS(1572),
    [anon_sym_LBRACK] = ACTIONS(1129),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1574),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1754),
    [anon_sym_using] = ACTIONS(1578),
    [anon_sym_PLUS] = ACTIONS(1568),
    [anon_sym_DASH] = ACTIONS(1568),
    [anon_sym_SLASH] = ACTIONS(1274),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(1568),
    [anon_sym_void] = ACTIONS(1568),
    [anon_sym_delete] = ACTIONS(1568),
    [anon_sym_PLUS_PLUS] = ACTIONS(1584),
    [anon_sym_DASH_DASH] = ACTIONS(1584),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(1586),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1756),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1562),
    [anon_sym_readonly] = ACTIONS(1562),
    [anon_sym_get] = ACTIONS(1562),
    [anon_sym_set] = ACTIONS(1562),
    [anon_sym_declare] = ACTIONS(1562),
    [anon_sym_public] = ACTIONS(1562),
    [anon_sym_private] = ACTIONS(1562),
    [anon_sym_protected] = ACTIONS(1562),
    [anon_sym_override] = ACTIONS(1562),
    [anon_sym_module] = ACTIONS(1562),
    [anon_sym_any] = ACTIONS(1562),
    [anon_sym_number] = ACTIONS(1562),
    [anon_sym_boolean] = ACTIONS(1562),
    [anon_sym_string] = ACTIONS(1562),
    [anon_sym_symbol] = ACTIONS(1562),
    [anon_sym_object] = ACTIONS(1562),
    [sym_html_comment] = ACTIONS(5),
  },
  [524] = {
    [sym_import] = STATE(4259),
    [sym_statement_block] = STATE(2705),
    [sym_parenthesized_expression] = STATE(2239),
    [sym_expression] = STATE(3225),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7446),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2239),
    [sym_subscript_expression] = STATE(2239),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3938),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7450),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(524),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2239),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1782),
    [anon_sym_export] = ACTIONS(1408),
    [anon_sym_type] = ACTIONS(1408),
    [anon_sym_namespace] = ACTIONS(1410),
    [anon_sym_LBRACE] = ACTIONS(2491),
    [anon_sym_typeof] = ACTIONS(1416),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1408),
    [anon_sym_BANG] = ACTIONS(1416),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1418),
    [anon_sym_yield] = ACTIONS(1420),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1424),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1786),
    [anon_sym_using] = ACTIONS(1428),
    [anon_sym_PLUS] = ACTIONS(1416),
    [anon_sym_DASH] = ACTIONS(1416),
    [anon_sym_SLASH] = ACTIONS(1290),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(1416),
    [anon_sym_void] = ACTIONS(1416),
    [anon_sym_delete] = ACTIONS(1416),
    [anon_sym_PLUS_PLUS] = ACTIONS(1434),
    [anon_sym_DASH_DASH] = ACTIONS(1434),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(1440),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1788),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1408),
    [anon_sym_readonly] = ACTIONS(1408),
    [anon_sym_get] = ACTIONS(1408),
    [anon_sym_set] = ACTIONS(1408),
    [anon_sym_declare] = ACTIONS(1408),
    [anon_sym_public] = ACTIONS(1408),
    [anon_sym_private] = ACTIONS(1408),
    [anon_sym_protected] = ACTIONS(1408),
    [anon_sym_override] = ACTIONS(1408),
    [anon_sym_module] = ACTIONS(1408),
    [anon_sym_any] = ACTIONS(1408),
    [anon_sym_number] = ACTIONS(1408),
    [anon_sym_boolean] = ACTIONS(1408),
    [anon_sym_string] = ACTIONS(1408),
    [anon_sym_symbol] = ACTIONS(1408),
    [anon_sym_object] = ACTIONS(1408),
    [sym_html_comment] = ACTIONS(5),
  },
  [525] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2151),
    [sym_expression] = STATE(2787),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7643),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2151),
    [sym_subscript_expression] = STATE(2151),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3918),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7259),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_sequence_expression] = STATE(7462),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(525),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2151),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1724),
    [anon_sym_export] = ACTIONS(1452),
    [anon_sym_type] = ACTIONS(1452),
    [anon_sym_namespace] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(1127),
    [anon_sym_typeof] = ACTIONS(968),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1452),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(1129),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1462),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1730),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_PLUS] = ACTIONS(968),
    [anon_sym_DASH] = ACTIONS(968),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(968),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1732),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1452),
    [anon_sym_readonly] = ACTIONS(1452),
    [anon_sym_get] = ACTIONS(1452),
    [anon_sym_set] = ACTIONS(1452),
    [anon_sym_declare] = ACTIONS(1452),
    [anon_sym_public] = ACTIONS(1452),
    [anon_sym_private] = ACTIONS(1452),
    [anon_sym_protected] = ACTIONS(1452),
    [anon_sym_override] = ACTIONS(1452),
    [anon_sym_module] = ACTIONS(1452),
    [anon_sym_any] = ACTIONS(1452),
    [anon_sym_number] = ACTIONS(1452),
    [anon_sym_boolean] = ACTIONS(1452),
    [anon_sym_string] = ACTIONS(1452),
    [anon_sym_symbol] = ACTIONS(1452),
    [anon_sym_object] = ACTIONS(1452),
    [sym_html_comment] = ACTIONS(5),
  },
  [526] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2248),
    [sym_expression] = STATE(3127),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7502),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2248),
    [sym_subscript_expression] = STATE(2248),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3928),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7561),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(526),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2248),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_mapped_type_clause] = STATE(7249),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(2497),
    [anon_sym_export] = ACTIONS(2499),
    [anon_sym_type] = ACTIONS(2499),
    [anon_sym_namespace] = ACTIONS(2501),
    [anon_sym_LBRACE] = ACTIONS(1127),
    [anon_sym_typeof] = ACTIONS(1624),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(2499),
    [anon_sym_BANG] = ACTIONS(1624),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1626),
    [anon_sym_yield] = ACTIONS(1628),
    [anon_sym_LBRACK] = ACTIONS(1129),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(2503),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(2505),
    [anon_sym_using] = ACTIONS(1634),
    [anon_sym_PLUS] = ACTIONS(1624),
    [anon_sym_DASH] = ACTIONS(1624),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(1624),
    [anon_sym_void] = ACTIONS(1624),
    [anon_sym_delete] = ACTIONS(1624),
    [anon_sym_PLUS_PLUS] = ACTIONS(1640),
    [anon_sym_DASH_DASH] = ACTIONS(1640),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(1642),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1780),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(2499),
    [anon_sym_readonly] = ACTIONS(2499),
    [anon_sym_get] = ACTIONS(2499),
    [anon_sym_set] = ACTIONS(2499),
    [anon_sym_declare] = ACTIONS(2499),
    [anon_sym_public] = ACTIONS(2499),
    [anon_sym_private] = ACTIONS(2499),
    [anon_sym_protected] = ACTIONS(2499),
    [anon_sym_override] = ACTIONS(2499),
    [anon_sym_module] = ACTIONS(2499),
    [anon_sym_any] = ACTIONS(2499),
    [anon_sym_number] = ACTIONS(2499),
    [anon_sym_boolean] = ACTIONS(2499),
    [anon_sym_string] = ACTIONS(2499),
    [anon_sym_symbol] = ACTIONS(2499),
    [anon_sym_object] = ACTIONS(2499),
    [sym_html_comment] = ACTIONS(5),
  },
  [527] = {
    [sym_import] = STATE(4369),
    [sym_statement_block] = STATE(3304),
    [sym_parenthesized_expression] = STATE(2221),
    [sym_expression] = STATE(2981),
    [sym_primary_expression] = STATE(2990),
    [sym_yield_expression] = STATE(3139),
    [sym_object] = STATE(3113),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(3113),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(3139),
    [sym_glimmer_opening_tag] = STATE(5702),
    [sym_jsx_element] = STATE(3139),
    [sym_jsx_opening_element] = STATE(4008),
    [sym_jsx_self_closing_element] = STATE(3139),
    [sym_class] = STATE(3113),
    [sym_function_expression] = STATE(3113),
    [sym_generator_function] = STATE(3113),
    [sym_arrow_function] = STATE(3113),
    [sym__call_signature] = STATE(7374),
    [sym_call_expression] = STATE(3113),
    [sym_new_expression] = STATE(3139),
    [sym_await_expression] = STATE(3139),
    [sym_member_expression] = STATE(2221),
    [sym_subscript_expression] = STATE(2221),
    [sym_assignment_expression] = STATE(3139),
    [sym__augmented_assignment_lhs] = STATE(3860),
    [sym_augmented_assignment_expression] = STATE(3139),
    [sym__destructuring_pattern] = STATE(7376),
    [sym_ternary_expression] = STATE(3139),
    [sym_binary_expression] = STATE(3139),
    [sym_unary_expression] = STATE(3139),
    [sym_update_expression] = STATE(3139),
    [sym_string] = STATE(3113),
    [sym_comment] = STATE(527),
    [sym_template_string] = STATE(3113),
    [sym_regex] = STATE(3113),
    [sym_meta_property] = STATE(3113),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2221),
    [sym_as_expression] = STATE(3139),
    [sym_satisfies_expression] = STATE(3139),
    [sym_instantiation_expression] = STATE(3139),
    [sym_internal_module] = STATE(3139),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5555),
    [sym_identifier] = ACTIONS(1758),
    [anon_sym_export] = ACTIONS(1362),
    [anon_sym_type] = ACTIONS(1362),
    [anon_sym_namespace] = ACTIONS(1364),
    [anon_sym_LBRACE] = ACTIONS(2493),
    [anon_sym_typeof] = ACTIONS(1370),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1362),
    [anon_sym_BANG] = ACTIONS(1370),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1374),
    [anon_sym_yield] = ACTIONS(1376),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1029),
    [anon_sym_async] = ACTIONS(1380),
    [anon_sym_function] = ACTIONS(1033),
    [anon_sym_new] = ACTIONS(1762),
    [anon_sym_using] = ACTIONS(1384),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1370),
    [anon_sym_void] = ACTIONS(1370),
    [anon_sym_delete] = ACTIONS(1370),
    [anon_sym_PLUS_PLUS] = ACTIONS(1390),
    [anon_sym_DASH_DASH] = ACTIONS(1390),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1396),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1764),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1362),
    [anon_sym_readonly] = ACTIONS(1362),
    [anon_sym_get] = ACTIONS(1362),
    [anon_sym_set] = ACTIONS(1362),
    [anon_sym_declare] = ACTIONS(1362),
    [anon_sym_public] = ACTIONS(1362),
    [anon_sym_private] = ACTIONS(1362),
    [anon_sym_protected] = ACTIONS(1362),
    [anon_sym_override] = ACTIONS(1362),
    [anon_sym_module] = ACTIONS(1362),
    [anon_sym_any] = ACTIONS(1362),
    [anon_sym_number] = ACTIONS(1362),
    [anon_sym_boolean] = ACTIONS(1362),
    [anon_sym_string] = ACTIONS(1362),
    [anon_sym_symbol] = ACTIONS(1362),
    [anon_sym_object] = ACTIONS(1362),
    [sym_html_comment] = ACTIONS(5),
  },
  [528] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2151),
    [sym_expression] = STATE(2827),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7643),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2151),
    [sym_subscript_expression] = STATE(2151),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3918),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7259),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_sequence_expression] = STATE(7282),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(528),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2151),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1724),
    [anon_sym_export] = ACTIONS(1452),
    [anon_sym_type] = ACTIONS(1452),
    [anon_sym_namespace] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(1127),
    [anon_sym_typeof] = ACTIONS(968),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1452),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(1129),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1462),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1730),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_PLUS] = ACTIONS(968),
    [anon_sym_DASH] = ACTIONS(968),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(968),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1732),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1452),
    [anon_sym_readonly] = ACTIONS(1452),
    [anon_sym_get] = ACTIONS(1452),
    [anon_sym_set] = ACTIONS(1452),
    [anon_sym_declare] = ACTIONS(1452),
    [anon_sym_public] = ACTIONS(1452),
    [anon_sym_private] = ACTIONS(1452),
    [anon_sym_protected] = ACTIONS(1452),
    [anon_sym_override] = ACTIONS(1452),
    [anon_sym_module] = ACTIONS(1452),
    [anon_sym_any] = ACTIONS(1452),
    [anon_sym_number] = ACTIONS(1452),
    [anon_sym_boolean] = ACTIONS(1452),
    [anon_sym_string] = ACTIONS(1452),
    [anon_sym_symbol] = ACTIONS(1452),
    [anon_sym_object] = ACTIONS(1452),
    [sym_html_comment] = ACTIONS(5),
  },
  [529] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2151),
    [sym_expression] = STATE(2533),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7643),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2151),
    [sym_subscript_expression] = STATE(2151),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3918),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7259),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_sequence_expression] = STATE(7544),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(529),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2151),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1724),
    [anon_sym_export] = ACTIONS(1452),
    [anon_sym_type] = ACTIONS(1452),
    [anon_sym_namespace] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(1127),
    [anon_sym_typeof] = ACTIONS(968),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1452),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(1129),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1462),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1730),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_PLUS] = ACTIONS(968),
    [anon_sym_DASH] = ACTIONS(968),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(968),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1732),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1452),
    [anon_sym_readonly] = ACTIONS(1452),
    [anon_sym_get] = ACTIONS(1452),
    [anon_sym_set] = ACTIONS(1452),
    [anon_sym_declare] = ACTIONS(1452),
    [anon_sym_public] = ACTIONS(1452),
    [anon_sym_private] = ACTIONS(1452),
    [anon_sym_protected] = ACTIONS(1452),
    [anon_sym_override] = ACTIONS(1452),
    [anon_sym_module] = ACTIONS(1452),
    [anon_sym_any] = ACTIONS(1452),
    [anon_sym_number] = ACTIONS(1452),
    [anon_sym_boolean] = ACTIONS(1452),
    [anon_sym_string] = ACTIONS(1452),
    [anon_sym_symbol] = ACTIONS(1452),
    [anon_sym_object] = ACTIONS(1452),
    [sym_html_comment] = ACTIONS(5),
  },
  [530] = {
    [sym_import] = STATE(4369),
    [sym_statement_block] = STATE(3085),
    [sym_parenthesized_expression] = STATE(2175),
    [sym_expression] = STATE(2556),
    [sym_primary_expression] = STATE(2990),
    [sym_yield_expression] = STATE(3139),
    [sym_object] = STATE(3113),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(3113),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(3139),
    [sym_glimmer_opening_tag] = STATE(5702),
    [sym_jsx_element] = STATE(3139),
    [sym_jsx_opening_element] = STATE(4008),
    [sym_jsx_self_closing_element] = STATE(3139),
    [sym_class] = STATE(3113),
    [sym_function_expression] = STATE(3113),
    [sym_generator_function] = STATE(3113),
    [sym_arrow_function] = STATE(3113),
    [sym__call_signature] = STATE(7205),
    [sym_call_expression] = STATE(3113),
    [sym_new_expression] = STATE(3139),
    [sym_await_expression] = STATE(3139),
    [sym_member_expression] = STATE(2175),
    [sym_subscript_expression] = STATE(2175),
    [sym_assignment_expression] = STATE(3139),
    [sym__augmented_assignment_lhs] = STATE(3844),
    [sym_augmented_assignment_expression] = STATE(3139),
    [sym__destructuring_pattern] = STATE(7209),
    [sym_ternary_expression] = STATE(3139),
    [sym_binary_expression] = STATE(3139),
    [sym_unary_expression] = STATE(3139),
    [sym_update_expression] = STATE(3139),
    [sym_string] = STATE(3113),
    [sym_comment] = STATE(530),
    [sym_template_string] = STATE(3113),
    [sym_regex] = STATE(3113),
    [sym_meta_property] = STATE(3113),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2175),
    [sym_as_expression] = STATE(3139),
    [sym_satisfies_expression] = STATE(3139),
    [sym_instantiation_expression] = STATE(3139),
    [sym_internal_module] = STATE(3139),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5555),
    [sym_identifier] = ACTIONS(1736),
    [anon_sym_export] = ACTIONS(1518),
    [anon_sym_type] = ACTIONS(1518),
    [anon_sym_namespace] = ACTIONS(1520),
    [anon_sym_LBRACE] = ACTIONS(2493),
    [anon_sym_typeof] = ACTIONS(1526),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1518),
    [anon_sym_BANG] = ACTIONS(1526),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1528),
    [anon_sym_yield] = ACTIONS(1530),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1029),
    [anon_sym_async] = ACTIONS(1534),
    [anon_sym_function] = ACTIONS(1033),
    [anon_sym_new] = ACTIONS(1740),
    [anon_sym_using] = ACTIONS(1538),
    [anon_sym_PLUS] = ACTIONS(1526),
    [anon_sym_DASH] = ACTIONS(1526),
    [anon_sym_SLASH] = ACTIONS(1195),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1526),
    [anon_sym_void] = ACTIONS(1526),
    [anon_sym_delete] = ACTIONS(1526),
    [anon_sym_PLUS_PLUS] = ACTIONS(1544),
    [anon_sym_DASH_DASH] = ACTIONS(1544),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1550),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1742),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1518),
    [anon_sym_readonly] = ACTIONS(1518),
    [anon_sym_get] = ACTIONS(1518),
    [anon_sym_set] = ACTIONS(1518),
    [anon_sym_declare] = ACTIONS(1518),
    [anon_sym_public] = ACTIONS(1518),
    [anon_sym_private] = ACTIONS(1518),
    [anon_sym_protected] = ACTIONS(1518),
    [anon_sym_override] = ACTIONS(1518),
    [anon_sym_module] = ACTIONS(1518),
    [anon_sym_any] = ACTIONS(1518),
    [anon_sym_number] = ACTIONS(1518),
    [anon_sym_boolean] = ACTIONS(1518),
    [anon_sym_string] = ACTIONS(1518),
    [anon_sym_symbol] = ACTIONS(1518),
    [anon_sym_object] = ACTIONS(1518),
    [sym_html_comment] = ACTIONS(5),
  },
  [531] = {
    [sym_import] = STATE(4259),
    [sym_statement_block] = STATE(2682),
    [sym_parenthesized_expression] = STATE(2248),
    [sym_expression] = STATE(3333),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7502),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2248),
    [sym_subscript_expression] = STATE(2248),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3928),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7561),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(531),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2248),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1774),
    [anon_sym_export] = ACTIONS(1618),
    [anon_sym_type] = ACTIONS(1618),
    [anon_sym_namespace] = ACTIONS(1620),
    [anon_sym_LBRACE] = ACTIONS(2495),
    [anon_sym_typeof] = ACTIONS(1624),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1618),
    [anon_sym_BANG] = ACTIONS(1624),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1626),
    [anon_sym_yield] = ACTIONS(1628),
    [anon_sym_LBRACK] = ACTIONS(1129),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1630),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1778),
    [anon_sym_using] = ACTIONS(1634),
    [anon_sym_PLUS] = ACTIONS(1624),
    [anon_sym_DASH] = ACTIONS(1624),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(1624),
    [anon_sym_void] = ACTIONS(1624),
    [anon_sym_delete] = ACTIONS(1624),
    [anon_sym_PLUS_PLUS] = ACTIONS(1640),
    [anon_sym_DASH_DASH] = ACTIONS(1640),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(1642),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1780),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1618),
    [anon_sym_readonly] = ACTIONS(1618),
    [anon_sym_get] = ACTIONS(1618),
    [anon_sym_set] = ACTIONS(1618),
    [anon_sym_declare] = ACTIONS(1618),
    [anon_sym_public] = ACTIONS(1618),
    [anon_sym_private] = ACTIONS(1618),
    [anon_sym_protected] = ACTIONS(1618),
    [anon_sym_override] = ACTIONS(1618),
    [anon_sym_module] = ACTIONS(1618),
    [anon_sym_any] = ACTIONS(1618),
    [anon_sym_number] = ACTIONS(1618),
    [anon_sym_boolean] = ACTIONS(1618),
    [anon_sym_string] = ACTIONS(1618),
    [anon_sym_symbol] = ACTIONS(1618),
    [anon_sym_object] = ACTIONS(1618),
    [sym_html_comment] = ACTIONS(5),
  },
  [532] = {
    [sym_import] = STATE(4369),
    [sym_statement_block] = STATE(3247),
    [sym_parenthesized_expression] = STATE(2175),
    [sym_expression] = STATE(2610),
    [sym_primary_expression] = STATE(2990),
    [sym_yield_expression] = STATE(3139),
    [sym_object] = STATE(3113),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(3113),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(3139),
    [sym_glimmer_opening_tag] = STATE(5702),
    [sym_jsx_element] = STATE(3139),
    [sym_jsx_opening_element] = STATE(4008),
    [sym_jsx_self_closing_element] = STATE(3139),
    [sym_class] = STATE(3113),
    [sym_function_expression] = STATE(3113),
    [sym_generator_function] = STATE(3113),
    [sym_arrow_function] = STATE(3113),
    [sym__call_signature] = STATE(7205),
    [sym_call_expression] = STATE(3113),
    [sym_new_expression] = STATE(3139),
    [sym_await_expression] = STATE(3139),
    [sym_member_expression] = STATE(2175),
    [sym_subscript_expression] = STATE(2175),
    [sym_assignment_expression] = STATE(3139),
    [sym__augmented_assignment_lhs] = STATE(3844),
    [sym_augmented_assignment_expression] = STATE(3139),
    [sym__destructuring_pattern] = STATE(7209),
    [sym_ternary_expression] = STATE(3139),
    [sym_binary_expression] = STATE(3139),
    [sym_unary_expression] = STATE(3139),
    [sym_update_expression] = STATE(3139),
    [sym_string] = STATE(3113),
    [sym_comment] = STATE(532),
    [sym_template_string] = STATE(3113),
    [sym_regex] = STATE(3113),
    [sym_meta_property] = STATE(3113),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2175),
    [sym_as_expression] = STATE(3139),
    [sym_satisfies_expression] = STATE(3139),
    [sym_instantiation_expression] = STATE(3139),
    [sym_internal_module] = STATE(3139),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5555),
    [sym_identifier] = ACTIONS(1736),
    [anon_sym_export] = ACTIONS(1518),
    [anon_sym_type] = ACTIONS(1518),
    [anon_sym_namespace] = ACTIONS(1520),
    [anon_sym_LBRACE] = ACTIONS(2493),
    [anon_sym_typeof] = ACTIONS(1526),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1518),
    [anon_sym_BANG] = ACTIONS(1526),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1528),
    [anon_sym_yield] = ACTIONS(1530),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1029),
    [anon_sym_async] = ACTIONS(1534),
    [anon_sym_function] = ACTIONS(1033),
    [anon_sym_new] = ACTIONS(1740),
    [anon_sym_using] = ACTIONS(1538),
    [anon_sym_PLUS] = ACTIONS(1526),
    [anon_sym_DASH] = ACTIONS(1526),
    [anon_sym_SLASH] = ACTIONS(1195),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1526),
    [anon_sym_void] = ACTIONS(1526),
    [anon_sym_delete] = ACTIONS(1526),
    [anon_sym_PLUS_PLUS] = ACTIONS(1544),
    [anon_sym_DASH_DASH] = ACTIONS(1544),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1550),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1742),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1518),
    [anon_sym_readonly] = ACTIONS(1518),
    [anon_sym_get] = ACTIONS(1518),
    [anon_sym_set] = ACTIONS(1518),
    [anon_sym_declare] = ACTIONS(1518),
    [anon_sym_public] = ACTIONS(1518),
    [anon_sym_private] = ACTIONS(1518),
    [anon_sym_protected] = ACTIONS(1518),
    [anon_sym_override] = ACTIONS(1518),
    [anon_sym_module] = ACTIONS(1518),
    [anon_sym_any] = ACTIONS(1518),
    [anon_sym_number] = ACTIONS(1518),
    [anon_sym_boolean] = ACTIONS(1518),
    [anon_sym_string] = ACTIONS(1518),
    [anon_sym_symbol] = ACTIONS(1518),
    [anon_sym_object] = ACTIONS(1518),
    [sym_html_comment] = ACTIONS(5),
  },
  [533] = {
    [sym_import] = STATE(4259),
    [sym_statement_block] = STATE(2665),
    [sym_parenthesized_expression] = STATE(2229),
    [sym_expression] = STATE(2960),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7175),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2229),
    [sym_subscript_expression] = STATE(2229),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3935),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7438),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(533),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2229),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1766),
    [anon_sym_export] = ACTIONS(1482),
    [anon_sym_type] = ACTIONS(1482),
    [anon_sym_namespace] = ACTIONS(1484),
    [anon_sym_LBRACE] = ACTIONS(2495),
    [anon_sym_typeof] = ACTIONS(1490),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1482),
    [anon_sym_BANG] = ACTIONS(1490),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1492),
    [anon_sym_yield] = ACTIONS(1494),
    [anon_sym_LBRACK] = ACTIONS(1129),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1496),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1770),
    [anon_sym_using] = ACTIONS(1500),
    [anon_sym_PLUS] = ACTIONS(1490),
    [anon_sym_DASH] = ACTIONS(1490),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(1490),
    [anon_sym_void] = ACTIONS(1490),
    [anon_sym_delete] = ACTIONS(1490),
    [anon_sym_PLUS_PLUS] = ACTIONS(1506),
    [anon_sym_DASH_DASH] = ACTIONS(1506),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(1508),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1772),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1482),
    [anon_sym_readonly] = ACTIONS(1482),
    [anon_sym_get] = ACTIONS(1482),
    [anon_sym_set] = ACTIONS(1482),
    [anon_sym_declare] = ACTIONS(1482),
    [anon_sym_public] = ACTIONS(1482),
    [anon_sym_private] = ACTIONS(1482),
    [anon_sym_protected] = ACTIONS(1482),
    [anon_sym_override] = ACTIONS(1482),
    [anon_sym_module] = ACTIONS(1482),
    [anon_sym_any] = ACTIONS(1482),
    [anon_sym_number] = ACTIONS(1482),
    [anon_sym_boolean] = ACTIONS(1482),
    [anon_sym_string] = ACTIONS(1482),
    [anon_sym_symbol] = ACTIONS(1482),
    [anon_sym_object] = ACTIONS(1482),
    [sym_html_comment] = ACTIONS(5),
  },
  [534] = {
    [sym_import] = STATE(4369),
    [sym_statement_block] = STATE(3258),
    [sym_parenthesized_expression] = STATE(2221),
    [sym_expression] = STATE(3038),
    [sym_primary_expression] = STATE(2990),
    [sym_yield_expression] = STATE(3139),
    [sym_object] = STATE(3113),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(3113),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(3139),
    [sym_glimmer_opening_tag] = STATE(5702),
    [sym_jsx_element] = STATE(3139),
    [sym_jsx_opening_element] = STATE(4008),
    [sym_jsx_self_closing_element] = STATE(3139),
    [sym_class] = STATE(3113),
    [sym_function_expression] = STATE(3113),
    [sym_generator_function] = STATE(3113),
    [sym_arrow_function] = STATE(3113),
    [sym__call_signature] = STATE(7374),
    [sym_call_expression] = STATE(3113),
    [sym_new_expression] = STATE(3139),
    [sym_await_expression] = STATE(3139),
    [sym_member_expression] = STATE(2221),
    [sym_subscript_expression] = STATE(2221),
    [sym_assignment_expression] = STATE(3139),
    [sym__augmented_assignment_lhs] = STATE(3860),
    [sym_augmented_assignment_expression] = STATE(3139),
    [sym__destructuring_pattern] = STATE(7376),
    [sym_ternary_expression] = STATE(3139),
    [sym_binary_expression] = STATE(3139),
    [sym_unary_expression] = STATE(3139),
    [sym_update_expression] = STATE(3139),
    [sym_string] = STATE(3113),
    [sym_comment] = STATE(534),
    [sym_template_string] = STATE(3113),
    [sym_regex] = STATE(3113),
    [sym_meta_property] = STATE(3113),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2221),
    [sym_as_expression] = STATE(3139),
    [sym_satisfies_expression] = STATE(3139),
    [sym_instantiation_expression] = STATE(3139),
    [sym_internal_module] = STATE(3139),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5555),
    [sym_identifier] = ACTIONS(1758),
    [anon_sym_export] = ACTIONS(1362),
    [anon_sym_type] = ACTIONS(1362),
    [anon_sym_namespace] = ACTIONS(1364),
    [anon_sym_LBRACE] = ACTIONS(2493),
    [anon_sym_typeof] = ACTIONS(1370),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1362),
    [anon_sym_BANG] = ACTIONS(1370),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1374),
    [anon_sym_yield] = ACTIONS(1376),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1029),
    [anon_sym_async] = ACTIONS(1380),
    [anon_sym_function] = ACTIONS(1033),
    [anon_sym_new] = ACTIONS(1762),
    [anon_sym_using] = ACTIONS(1384),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1370),
    [anon_sym_void] = ACTIONS(1370),
    [anon_sym_delete] = ACTIONS(1370),
    [anon_sym_PLUS_PLUS] = ACTIONS(1390),
    [anon_sym_DASH_DASH] = ACTIONS(1390),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1396),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1764),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1362),
    [anon_sym_readonly] = ACTIONS(1362),
    [anon_sym_get] = ACTIONS(1362),
    [anon_sym_set] = ACTIONS(1362),
    [anon_sym_declare] = ACTIONS(1362),
    [anon_sym_public] = ACTIONS(1362),
    [anon_sym_private] = ACTIONS(1362),
    [anon_sym_protected] = ACTIONS(1362),
    [anon_sym_override] = ACTIONS(1362),
    [anon_sym_module] = ACTIONS(1362),
    [anon_sym_any] = ACTIONS(1362),
    [anon_sym_number] = ACTIONS(1362),
    [anon_sym_boolean] = ACTIONS(1362),
    [anon_sym_string] = ACTIONS(1362),
    [anon_sym_symbol] = ACTIONS(1362),
    [anon_sym_object] = ACTIONS(1362),
    [sym_html_comment] = ACTIONS(5),
  },
  [535] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2151),
    [sym_expression] = STATE(2816),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7643),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2151),
    [sym_subscript_expression] = STATE(2151),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3918),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7259),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_sequence_expression] = STATE(7383),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(535),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2151),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1724),
    [anon_sym_export] = ACTIONS(1452),
    [anon_sym_type] = ACTIONS(1452),
    [anon_sym_namespace] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(1127),
    [anon_sym_typeof] = ACTIONS(968),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1452),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(1129),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1462),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1730),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_PLUS] = ACTIONS(968),
    [anon_sym_DASH] = ACTIONS(968),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(968),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1732),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1452),
    [anon_sym_readonly] = ACTIONS(1452),
    [anon_sym_get] = ACTIONS(1452),
    [anon_sym_set] = ACTIONS(1452),
    [anon_sym_declare] = ACTIONS(1452),
    [anon_sym_public] = ACTIONS(1452),
    [anon_sym_private] = ACTIONS(1452),
    [anon_sym_protected] = ACTIONS(1452),
    [anon_sym_override] = ACTIONS(1452),
    [anon_sym_module] = ACTIONS(1452),
    [anon_sym_any] = ACTIONS(1452),
    [anon_sym_number] = ACTIONS(1452),
    [anon_sym_boolean] = ACTIONS(1452),
    [anon_sym_string] = ACTIONS(1452),
    [anon_sym_symbol] = ACTIONS(1452),
    [anon_sym_object] = ACTIONS(1452),
    [sym_html_comment] = ACTIONS(5),
  },
  [536] = {
    [sym_import] = STATE(4369),
    [sym_parenthesized_expression] = STATE(2177),
    [sym_expression] = STATE(2663),
    [sym_primary_expression] = STATE(2990),
    [sym_yield_expression] = STATE(3139),
    [sym_object] = STATE(3113),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(3113),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(3139),
    [sym_glimmer_opening_tag] = STATE(5702),
    [sym_jsx_element] = STATE(3139),
    [sym_jsx_opening_element] = STATE(4008),
    [sym_jsx_self_closing_element] = STATE(3139),
    [sym_class] = STATE(3113),
    [sym_function_expression] = STATE(3113),
    [sym_generator_function] = STATE(3113),
    [sym_arrow_function] = STATE(3113),
    [sym__call_signature] = STATE(7486),
    [sym_call_expression] = STATE(3113),
    [sym_new_expression] = STATE(3139),
    [sym_await_expression] = STATE(3139),
    [sym_member_expression] = STATE(2177),
    [sym_subscript_expression] = STATE(2177),
    [sym_assignment_expression] = STATE(3139),
    [sym__augmented_assignment_lhs] = STATE(3835),
    [sym_augmented_assignment_expression] = STATE(3139),
    [sym__destructuring_pattern] = STATE(7484),
    [sym_ternary_expression] = STATE(3139),
    [sym_binary_expression] = STATE(3139),
    [sym_unary_expression] = STATE(3139),
    [sym_update_expression] = STATE(3139),
    [sym_sequence_expression] = STATE(6691),
    [sym_string] = STATE(3113),
    [sym_comment] = STATE(536),
    [sym_template_string] = STATE(3113),
    [sym_regex] = STATE(3113),
    [sym_meta_property] = STATE(3113),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2177),
    [sym_as_expression] = STATE(3139),
    [sym_satisfies_expression] = STATE(3139),
    [sym_instantiation_expression] = STATE(3139),
    [sym_internal_module] = STATE(3139),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5555),
    [sym_identifier] = ACTIONS(1744),
    [anon_sym_export] = ACTIONS(1596),
    [anon_sym_type] = ACTIONS(1596),
    [anon_sym_namespace] = ACTIONS(1598),
    [anon_sym_LBRACE] = ACTIONS(1020),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1596),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1029),
    [anon_sym_async] = ACTIONS(1602),
    [anon_sym_function] = ACTIONS(1033),
    [anon_sym_new] = ACTIONS(1748),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1596),
    [anon_sym_readonly] = ACTIONS(1596),
    [anon_sym_get] = ACTIONS(1596),
    [anon_sym_set] = ACTIONS(1596),
    [anon_sym_declare] = ACTIONS(1596),
    [anon_sym_public] = ACTIONS(1596),
    [anon_sym_private] = ACTIONS(1596),
    [anon_sym_protected] = ACTIONS(1596),
    [anon_sym_override] = ACTIONS(1596),
    [anon_sym_module] = ACTIONS(1596),
    [anon_sym_any] = ACTIONS(1596),
    [anon_sym_number] = ACTIONS(1596),
    [anon_sym_boolean] = ACTIONS(1596),
    [anon_sym_string] = ACTIONS(1596),
    [anon_sym_symbol] = ACTIONS(1596),
    [anon_sym_object] = ACTIONS(1596),
    [sym_html_comment] = ACTIONS(5),
  },
  [537] = {
    [sym_import] = STATE(4259),
    [sym_statement_block] = STATE(2705),
    [sym_parenthesized_expression] = STATE(2248),
    [sym_expression] = STATE(3282),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7502),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2248),
    [sym_subscript_expression] = STATE(2248),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3928),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7561),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(537),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2248),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1774),
    [anon_sym_export] = ACTIONS(1618),
    [anon_sym_type] = ACTIONS(1618),
    [anon_sym_namespace] = ACTIONS(1620),
    [anon_sym_LBRACE] = ACTIONS(2495),
    [anon_sym_typeof] = ACTIONS(1624),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1618),
    [anon_sym_BANG] = ACTIONS(1624),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1626),
    [anon_sym_yield] = ACTIONS(1628),
    [anon_sym_LBRACK] = ACTIONS(1129),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1630),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1778),
    [anon_sym_using] = ACTIONS(1634),
    [anon_sym_PLUS] = ACTIONS(1624),
    [anon_sym_DASH] = ACTIONS(1624),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(1624),
    [anon_sym_void] = ACTIONS(1624),
    [anon_sym_delete] = ACTIONS(1624),
    [anon_sym_PLUS_PLUS] = ACTIONS(1640),
    [anon_sym_DASH_DASH] = ACTIONS(1640),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(1642),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1780),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1618),
    [anon_sym_readonly] = ACTIONS(1618),
    [anon_sym_get] = ACTIONS(1618),
    [anon_sym_set] = ACTIONS(1618),
    [anon_sym_declare] = ACTIONS(1618),
    [anon_sym_public] = ACTIONS(1618),
    [anon_sym_private] = ACTIONS(1618),
    [anon_sym_protected] = ACTIONS(1618),
    [anon_sym_override] = ACTIONS(1618),
    [anon_sym_module] = ACTIONS(1618),
    [anon_sym_any] = ACTIONS(1618),
    [anon_sym_number] = ACTIONS(1618),
    [anon_sym_boolean] = ACTIONS(1618),
    [anon_sym_string] = ACTIONS(1618),
    [anon_sym_symbol] = ACTIONS(1618),
    [anon_sym_object] = ACTIONS(1618),
    [sym_html_comment] = ACTIONS(5),
  },
  [538] = {
    [sym_import] = STATE(4259),
    [sym_statement_block] = STATE(2705),
    [sym_parenthesized_expression] = STATE(2151),
    [sym_expression] = STATE(2440),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7643),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2151),
    [sym_subscript_expression] = STATE(2151),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3918),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7259),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(538),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2151),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1724),
    [anon_sym_export] = ACTIONS(1452),
    [anon_sym_type] = ACTIONS(1452),
    [anon_sym_namespace] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(2495),
    [anon_sym_typeof] = ACTIONS(968),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1452),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(1129),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1462),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1730),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_PLUS] = ACTIONS(968),
    [anon_sym_DASH] = ACTIONS(968),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(968),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1732),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1452),
    [anon_sym_readonly] = ACTIONS(1452),
    [anon_sym_get] = ACTIONS(1452),
    [anon_sym_set] = ACTIONS(1452),
    [anon_sym_declare] = ACTIONS(1452),
    [anon_sym_public] = ACTIONS(1452),
    [anon_sym_private] = ACTIONS(1452),
    [anon_sym_protected] = ACTIONS(1452),
    [anon_sym_override] = ACTIONS(1452),
    [anon_sym_module] = ACTIONS(1452),
    [anon_sym_any] = ACTIONS(1452),
    [anon_sym_number] = ACTIONS(1452),
    [anon_sym_boolean] = ACTIONS(1452),
    [anon_sym_string] = ACTIONS(1452),
    [anon_sym_symbol] = ACTIONS(1452),
    [anon_sym_object] = ACTIONS(1452),
    [sym_html_comment] = ACTIONS(5),
  },
  [539] = {
    [sym_import] = STATE(4259),
    [sym_statement_block] = STATE(2638),
    [sym_parenthesized_expression] = STATE(2229),
    [sym_expression] = STATE(2947),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7175),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2229),
    [sym_subscript_expression] = STATE(2229),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3935),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7438),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(539),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2229),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1766),
    [anon_sym_export] = ACTIONS(1482),
    [anon_sym_type] = ACTIONS(1482),
    [anon_sym_namespace] = ACTIONS(1484),
    [anon_sym_LBRACE] = ACTIONS(2495),
    [anon_sym_typeof] = ACTIONS(1490),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1482),
    [anon_sym_BANG] = ACTIONS(1490),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1492),
    [anon_sym_yield] = ACTIONS(1494),
    [anon_sym_LBRACK] = ACTIONS(1129),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1496),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1770),
    [anon_sym_using] = ACTIONS(1500),
    [anon_sym_PLUS] = ACTIONS(1490),
    [anon_sym_DASH] = ACTIONS(1490),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(1490),
    [anon_sym_void] = ACTIONS(1490),
    [anon_sym_delete] = ACTIONS(1490),
    [anon_sym_PLUS_PLUS] = ACTIONS(1506),
    [anon_sym_DASH_DASH] = ACTIONS(1506),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(1508),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1772),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1482),
    [anon_sym_readonly] = ACTIONS(1482),
    [anon_sym_get] = ACTIONS(1482),
    [anon_sym_set] = ACTIONS(1482),
    [anon_sym_declare] = ACTIONS(1482),
    [anon_sym_public] = ACTIONS(1482),
    [anon_sym_private] = ACTIONS(1482),
    [anon_sym_protected] = ACTIONS(1482),
    [anon_sym_override] = ACTIONS(1482),
    [anon_sym_module] = ACTIONS(1482),
    [anon_sym_any] = ACTIONS(1482),
    [anon_sym_number] = ACTIONS(1482),
    [anon_sym_boolean] = ACTIONS(1482),
    [anon_sym_string] = ACTIONS(1482),
    [anon_sym_symbol] = ACTIONS(1482),
    [anon_sym_object] = ACTIONS(1482),
    [sym_html_comment] = ACTIONS(5),
  },
  [540] = {
    [sym_import] = STATE(4259),
    [sym_statement_block] = STATE(2634),
    [sym_parenthesized_expression] = STATE(2151),
    [sym_expression] = STATE(2473),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7643),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2151),
    [sym_subscript_expression] = STATE(2151),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3918),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7259),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(540),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2151),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1724),
    [anon_sym_export] = ACTIONS(1452),
    [anon_sym_type] = ACTIONS(1452),
    [anon_sym_namespace] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(2495),
    [anon_sym_typeof] = ACTIONS(968),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1452),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(1129),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1462),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1730),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_PLUS] = ACTIONS(968),
    [anon_sym_DASH] = ACTIONS(968),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(968),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1732),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1452),
    [anon_sym_readonly] = ACTIONS(1452),
    [anon_sym_get] = ACTIONS(1452),
    [anon_sym_set] = ACTIONS(1452),
    [anon_sym_declare] = ACTIONS(1452),
    [anon_sym_public] = ACTIONS(1452),
    [anon_sym_private] = ACTIONS(1452),
    [anon_sym_protected] = ACTIONS(1452),
    [anon_sym_override] = ACTIONS(1452),
    [anon_sym_module] = ACTIONS(1452),
    [anon_sym_any] = ACTIONS(1452),
    [anon_sym_number] = ACTIONS(1452),
    [anon_sym_boolean] = ACTIONS(1452),
    [anon_sym_string] = ACTIONS(1452),
    [anon_sym_symbol] = ACTIONS(1452),
    [anon_sym_object] = ACTIONS(1452),
    [sym_html_comment] = ACTIONS(5),
  },
  [541] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2151),
    [sym_expression] = STATE(2732),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7643),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2151),
    [sym_subscript_expression] = STATE(2151),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3918),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7259),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_sequence_expression] = STATE(7661),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(541),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2151),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1724),
    [anon_sym_export] = ACTIONS(1452),
    [anon_sym_type] = ACTIONS(1452),
    [anon_sym_namespace] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(1127),
    [anon_sym_typeof] = ACTIONS(968),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1452),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(1129),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1462),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1730),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_PLUS] = ACTIONS(968),
    [anon_sym_DASH] = ACTIONS(968),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(968),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1732),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1452),
    [anon_sym_readonly] = ACTIONS(1452),
    [anon_sym_get] = ACTIONS(1452),
    [anon_sym_set] = ACTIONS(1452),
    [anon_sym_declare] = ACTIONS(1452),
    [anon_sym_public] = ACTIONS(1452),
    [anon_sym_private] = ACTIONS(1452),
    [anon_sym_protected] = ACTIONS(1452),
    [anon_sym_override] = ACTIONS(1452),
    [anon_sym_module] = ACTIONS(1452),
    [anon_sym_any] = ACTIONS(1452),
    [anon_sym_number] = ACTIONS(1452),
    [anon_sym_boolean] = ACTIONS(1452),
    [anon_sym_string] = ACTIONS(1452),
    [anon_sym_symbol] = ACTIONS(1452),
    [anon_sym_object] = ACTIONS(1452),
    [sym_html_comment] = ACTIONS(5),
  },
  [542] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2151),
    [sym_expression] = STATE(2791),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7643),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2151),
    [sym_subscript_expression] = STATE(2151),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3918),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7259),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_sequence_expression] = STATE(7658),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(542),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2151),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1724),
    [anon_sym_export] = ACTIONS(1452),
    [anon_sym_type] = ACTIONS(1452),
    [anon_sym_namespace] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(1127),
    [anon_sym_typeof] = ACTIONS(968),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1452),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(1129),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1462),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1730),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_PLUS] = ACTIONS(968),
    [anon_sym_DASH] = ACTIONS(968),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(968),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1732),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1452),
    [anon_sym_readonly] = ACTIONS(1452),
    [anon_sym_get] = ACTIONS(1452),
    [anon_sym_set] = ACTIONS(1452),
    [anon_sym_declare] = ACTIONS(1452),
    [anon_sym_public] = ACTIONS(1452),
    [anon_sym_private] = ACTIONS(1452),
    [anon_sym_protected] = ACTIONS(1452),
    [anon_sym_override] = ACTIONS(1452),
    [anon_sym_module] = ACTIONS(1452),
    [anon_sym_any] = ACTIONS(1452),
    [anon_sym_number] = ACTIONS(1452),
    [anon_sym_boolean] = ACTIONS(1452),
    [anon_sym_string] = ACTIONS(1452),
    [anon_sym_symbol] = ACTIONS(1452),
    [anon_sym_object] = ACTIONS(1452),
    [sym_html_comment] = ACTIONS(5),
  },
  [543] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2151),
    [sym_expression] = STATE(2734),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7643),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2151),
    [sym_subscript_expression] = STATE(2151),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3918),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7259),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_sequence_expression] = STATE(7653),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(543),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2151),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1724),
    [anon_sym_export] = ACTIONS(1452),
    [anon_sym_type] = ACTIONS(1452),
    [anon_sym_namespace] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(1127),
    [anon_sym_typeof] = ACTIONS(968),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1452),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(1129),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1462),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1730),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_PLUS] = ACTIONS(968),
    [anon_sym_DASH] = ACTIONS(968),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(968),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1732),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1452),
    [anon_sym_readonly] = ACTIONS(1452),
    [anon_sym_get] = ACTIONS(1452),
    [anon_sym_set] = ACTIONS(1452),
    [anon_sym_declare] = ACTIONS(1452),
    [anon_sym_public] = ACTIONS(1452),
    [anon_sym_private] = ACTIONS(1452),
    [anon_sym_protected] = ACTIONS(1452),
    [anon_sym_override] = ACTIONS(1452),
    [anon_sym_module] = ACTIONS(1452),
    [anon_sym_any] = ACTIONS(1452),
    [anon_sym_number] = ACTIONS(1452),
    [anon_sym_boolean] = ACTIONS(1452),
    [anon_sym_string] = ACTIONS(1452),
    [anon_sym_symbol] = ACTIONS(1452),
    [anon_sym_object] = ACTIONS(1452),
    [sym_html_comment] = ACTIONS(5),
  },
  [544] = {
    [sym_import] = STATE(4259),
    [sym_statement_block] = STATE(2635),
    [sym_parenthesized_expression] = STATE(2229),
    [sym_expression] = STATE(2946),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7175),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2229),
    [sym_subscript_expression] = STATE(2229),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3935),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7438),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(544),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2229),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1766),
    [anon_sym_export] = ACTIONS(1482),
    [anon_sym_type] = ACTIONS(1482),
    [anon_sym_namespace] = ACTIONS(1484),
    [anon_sym_LBRACE] = ACTIONS(2495),
    [anon_sym_typeof] = ACTIONS(1490),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1482),
    [anon_sym_BANG] = ACTIONS(1490),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1492),
    [anon_sym_yield] = ACTIONS(1494),
    [anon_sym_LBRACK] = ACTIONS(1129),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1496),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1770),
    [anon_sym_using] = ACTIONS(1500),
    [anon_sym_PLUS] = ACTIONS(1490),
    [anon_sym_DASH] = ACTIONS(1490),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(1490),
    [anon_sym_void] = ACTIONS(1490),
    [anon_sym_delete] = ACTIONS(1490),
    [anon_sym_PLUS_PLUS] = ACTIONS(1506),
    [anon_sym_DASH_DASH] = ACTIONS(1506),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(1508),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1772),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1482),
    [anon_sym_readonly] = ACTIONS(1482),
    [anon_sym_get] = ACTIONS(1482),
    [anon_sym_set] = ACTIONS(1482),
    [anon_sym_declare] = ACTIONS(1482),
    [anon_sym_public] = ACTIONS(1482),
    [anon_sym_private] = ACTIONS(1482),
    [anon_sym_protected] = ACTIONS(1482),
    [anon_sym_override] = ACTIONS(1482),
    [anon_sym_module] = ACTIONS(1482),
    [anon_sym_any] = ACTIONS(1482),
    [anon_sym_number] = ACTIONS(1482),
    [anon_sym_boolean] = ACTIONS(1482),
    [anon_sym_string] = ACTIONS(1482),
    [anon_sym_symbol] = ACTIONS(1482),
    [anon_sym_object] = ACTIONS(1482),
    [sym_html_comment] = ACTIONS(5),
  },
  [545] = {
    [sym_import] = STATE(4259),
    [sym_statement_block] = STATE(2634),
    [sym_parenthesized_expression] = STATE(2229),
    [sym_expression] = STATE(2941),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7175),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2229),
    [sym_subscript_expression] = STATE(2229),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3935),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7438),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(545),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2229),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1766),
    [anon_sym_export] = ACTIONS(1482),
    [anon_sym_type] = ACTIONS(1482),
    [anon_sym_namespace] = ACTIONS(1484),
    [anon_sym_LBRACE] = ACTIONS(2495),
    [anon_sym_typeof] = ACTIONS(1490),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1482),
    [anon_sym_BANG] = ACTIONS(1490),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1492),
    [anon_sym_yield] = ACTIONS(1494),
    [anon_sym_LBRACK] = ACTIONS(1129),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1496),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1770),
    [anon_sym_using] = ACTIONS(1500),
    [anon_sym_PLUS] = ACTIONS(1490),
    [anon_sym_DASH] = ACTIONS(1490),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(1490),
    [anon_sym_void] = ACTIONS(1490),
    [anon_sym_delete] = ACTIONS(1490),
    [anon_sym_PLUS_PLUS] = ACTIONS(1506),
    [anon_sym_DASH_DASH] = ACTIONS(1506),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(1508),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1772),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1482),
    [anon_sym_readonly] = ACTIONS(1482),
    [anon_sym_get] = ACTIONS(1482),
    [anon_sym_set] = ACTIONS(1482),
    [anon_sym_declare] = ACTIONS(1482),
    [anon_sym_public] = ACTIONS(1482),
    [anon_sym_private] = ACTIONS(1482),
    [anon_sym_protected] = ACTIONS(1482),
    [anon_sym_override] = ACTIONS(1482),
    [anon_sym_module] = ACTIONS(1482),
    [anon_sym_any] = ACTIONS(1482),
    [anon_sym_number] = ACTIONS(1482),
    [anon_sym_boolean] = ACTIONS(1482),
    [anon_sym_string] = ACTIONS(1482),
    [anon_sym_symbol] = ACTIONS(1482),
    [anon_sym_object] = ACTIONS(1482),
    [sym_html_comment] = ACTIONS(5),
  },
  [546] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2151),
    [sym_expression] = STATE(2408),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7643),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2151),
    [sym_subscript_expression] = STATE(2151),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3918),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7259),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_sequence_expression] = STATE(7489),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(546),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2151),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1724),
    [anon_sym_export] = ACTIONS(1452),
    [anon_sym_type] = ACTIONS(1452),
    [anon_sym_namespace] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(1127),
    [anon_sym_typeof] = ACTIONS(968),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1452),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(1129),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1462),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1730),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_PLUS] = ACTIONS(968),
    [anon_sym_DASH] = ACTIONS(968),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(968),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1732),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1452),
    [anon_sym_readonly] = ACTIONS(1452),
    [anon_sym_get] = ACTIONS(1452),
    [anon_sym_set] = ACTIONS(1452),
    [anon_sym_declare] = ACTIONS(1452),
    [anon_sym_public] = ACTIONS(1452),
    [anon_sym_private] = ACTIONS(1452),
    [anon_sym_protected] = ACTIONS(1452),
    [anon_sym_override] = ACTIONS(1452),
    [anon_sym_module] = ACTIONS(1452),
    [anon_sym_any] = ACTIONS(1452),
    [anon_sym_number] = ACTIONS(1452),
    [anon_sym_boolean] = ACTIONS(1452),
    [anon_sym_string] = ACTIONS(1452),
    [anon_sym_symbol] = ACTIONS(1452),
    [anon_sym_object] = ACTIONS(1452),
    [sym_html_comment] = ACTIONS(5),
  },
  [547] = {
    [sym_import] = STATE(4259),
    [sym_statement_block] = STATE(2665),
    [sym_parenthesized_expression] = STATE(2151),
    [sym_expression] = STATE(2456),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7643),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2151),
    [sym_subscript_expression] = STATE(2151),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3918),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7259),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(547),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2151),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1724),
    [anon_sym_export] = ACTIONS(1452),
    [anon_sym_type] = ACTIONS(1452),
    [anon_sym_namespace] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(2495),
    [anon_sym_typeof] = ACTIONS(968),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1452),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(1129),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1462),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1730),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_PLUS] = ACTIONS(968),
    [anon_sym_DASH] = ACTIONS(968),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(968),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1732),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1452),
    [anon_sym_readonly] = ACTIONS(1452),
    [anon_sym_get] = ACTIONS(1452),
    [anon_sym_set] = ACTIONS(1452),
    [anon_sym_declare] = ACTIONS(1452),
    [anon_sym_public] = ACTIONS(1452),
    [anon_sym_private] = ACTIONS(1452),
    [anon_sym_protected] = ACTIONS(1452),
    [anon_sym_override] = ACTIONS(1452),
    [anon_sym_module] = ACTIONS(1452),
    [anon_sym_any] = ACTIONS(1452),
    [anon_sym_number] = ACTIONS(1452),
    [anon_sym_boolean] = ACTIONS(1452),
    [anon_sym_string] = ACTIONS(1452),
    [anon_sym_symbol] = ACTIONS(1452),
    [anon_sym_object] = ACTIONS(1452),
    [sym_html_comment] = ACTIONS(5),
  },
  [548] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2151),
    [sym_expression] = STATE(2728),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7643),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2151),
    [sym_subscript_expression] = STATE(2151),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3918),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7259),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_sequence_expression] = STATE(7651),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(548),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2151),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1724),
    [anon_sym_export] = ACTIONS(1452),
    [anon_sym_type] = ACTIONS(1452),
    [anon_sym_namespace] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(1127),
    [anon_sym_typeof] = ACTIONS(968),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1452),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(1129),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1462),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1730),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_PLUS] = ACTIONS(968),
    [anon_sym_DASH] = ACTIONS(968),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(968),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1732),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1452),
    [anon_sym_readonly] = ACTIONS(1452),
    [anon_sym_get] = ACTIONS(1452),
    [anon_sym_set] = ACTIONS(1452),
    [anon_sym_declare] = ACTIONS(1452),
    [anon_sym_public] = ACTIONS(1452),
    [anon_sym_private] = ACTIONS(1452),
    [anon_sym_protected] = ACTIONS(1452),
    [anon_sym_override] = ACTIONS(1452),
    [anon_sym_module] = ACTIONS(1452),
    [anon_sym_any] = ACTIONS(1452),
    [anon_sym_number] = ACTIONS(1452),
    [anon_sym_boolean] = ACTIONS(1452),
    [anon_sym_string] = ACTIONS(1452),
    [anon_sym_symbol] = ACTIONS(1452),
    [anon_sym_object] = ACTIONS(1452),
    [sym_html_comment] = ACTIONS(5),
  },
  [549] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2248),
    [sym_expression] = STATE(3127),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7502),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2248),
    [sym_subscript_expression] = STATE(2248),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3928),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7561),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(549),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2248),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_mapped_type_clause] = STATE(7478),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(2507),
    [anon_sym_export] = ACTIONS(2509),
    [anon_sym_type] = ACTIONS(2509),
    [anon_sym_namespace] = ACTIONS(2511),
    [anon_sym_LBRACE] = ACTIONS(1127),
    [anon_sym_typeof] = ACTIONS(1624),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(2509),
    [anon_sym_BANG] = ACTIONS(1624),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1626),
    [anon_sym_yield] = ACTIONS(1628),
    [anon_sym_LBRACK] = ACTIONS(1129),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(2513),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(2515),
    [anon_sym_using] = ACTIONS(1634),
    [anon_sym_PLUS] = ACTIONS(1624),
    [anon_sym_DASH] = ACTIONS(1624),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(1624),
    [anon_sym_void] = ACTIONS(1624),
    [anon_sym_delete] = ACTIONS(1624),
    [anon_sym_PLUS_PLUS] = ACTIONS(1640),
    [anon_sym_DASH_DASH] = ACTIONS(1640),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(1642),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1780),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(2509),
    [anon_sym_readonly] = ACTIONS(2509),
    [anon_sym_get] = ACTIONS(2509),
    [anon_sym_set] = ACTIONS(2509),
    [anon_sym_declare] = ACTIONS(2509),
    [anon_sym_public] = ACTIONS(2509),
    [anon_sym_private] = ACTIONS(2509),
    [anon_sym_protected] = ACTIONS(2509),
    [anon_sym_override] = ACTIONS(2509),
    [anon_sym_module] = ACTIONS(2509),
    [anon_sym_any] = ACTIONS(2509),
    [anon_sym_number] = ACTIONS(2509),
    [anon_sym_boolean] = ACTIONS(2509),
    [anon_sym_string] = ACTIONS(2509),
    [anon_sym_symbol] = ACTIONS(2509),
    [anon_sym_object] = ACTIONS(2509),
    [sym_html_comment] = ACTIONS(5),
  },
  [550] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2229),
    [sym_expression] = STATE(3133),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7175),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2229),
    [sym_subscript_expression] = STATE(2229),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3935),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7438),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(550),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2229),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1766),
    [anon_sym_export] = ACTIONS(1482),
    [anon_sym_type] = ACTIONS(1482),
    [anon_sym_namespace] = ACTIONS(1484),
    [anon_sym_LBRACE] = ACTIONS(1127),
    [anon_sym_typeof] = ACTIONS(1490),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1482),
    [anon_sym_BANG] = ACTIONS(1490),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1492),
    [anon_sym_yield] = ACTIONS(1494),
    [anon_sym_LBRACK] = ACTIONS(1129),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1496),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1770),
    [anon_sym_using] = ACTIONS(1500),
    [anon_sym_PLUS] = ACTIONS(1490),
    [anon_sym_DASH] = ACTIONS(1490),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(1490),
    [anon_sym_void] = ACTIONS(1490),
    [anon_sym_delete] = ACTIONS(1490),
    [anon_sym_PLUS_PLUS] = ACTIONS(1506),
    [anon_sym_DASH_DASH] = ACTIONS(1506),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(1508),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1772),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1482),
    [anon_sym_readonly] = ACTIONS(1482),
    [anon_sym_get] = ACTIONS(1482),
    [anon_sym_set] = ACTIONS(1482),
    [anon_sym_declare] = ACTIONS(1482),
    [anon_sym_public] = ACTIONS(1482),
    [anon_sym_private] = ACTIONS(1482),
    [anon_sym_protected] = ACTIONS(1482),
    [anon_sym_override] = ACTIONS(1482),
    [anon_sym_module] = ACTIONS(1482),
    [anon_sym_any] = ACTIONS(1482),
    [anon_sym_number] = ACTIONS(1482),
    [anon_sym_boolean] = ACTIONS(1482),
    [anon_sym_string] = ACTIONS(1482),
    [anon_sym_symbol] = ACTIONS(1482),
    [anon_sym_object] = ACTIONS(1482),
    [sym_html_comment] = ACTIONS(5),
  },
  [551] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2151),
    [sym_expression] = STATE(2730),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7643),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2151),
    [sym_subscript_expression] = STATE(2151),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3918),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7259),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(551),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2151),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1724),
    [anon_sym_export] = ACTIONS(1452),
    [anon_sym_type] = ACTIONS(1452),
    [anon_sym_namespace] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(1127),
    [anon_sym_typeof] = ACTIONS(968),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1452),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(1129),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1462),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1730),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_PLUS] = ACTIONS(968),
    [anon_sym_DASH] = ACTIONS(968),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(968),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1732),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1452),
    [anon_sym_readonly] = ACTIONS(1452),
    [anon_sym_get] = ACTIONS(1452),
    [anon_sym_set] = ACTIONS(1452),
    [anon_sym_declare] = ACTIONS(1452),
    [anon_sym_public] = ACTIONS(1452),
    [anon_sym_private] = ACTIONS(1452),
    [anon_sym_protected] = ACTIONS(1452),
    [anon_sym_override] = ACTIONS(1452),
    [anon_sym_module] = ACTIONS(1452),
    [anon_sym_any] = ACTIONS(1452),
    [anon_sym_number] = ACTIONS(1452),
    [anon_sym_boolean] = ACTIONS(1452),
    [anon_sym_string] = ACTIONS(1452),
    [anon_sym_symbol] = ACTIONS(1452),
    [anon_sym_object] = ACTIONS(1452),
    [sym_html_comment] = ACTIONS(5),
  },
  [552] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2151),
    [sym_expression] = STATE(2454),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7643),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2151),
    [sym_subscript_expression] = STATE(2151),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3918),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7259),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(552),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2151),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1724),
    [anon_sym_export] = ACTIONS(1452),
    [anon_sym_type] = ACTIONS(1452),
    [anon_sym_namespace] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(1127),
    [anon_sym_typeof] = ACTIONS(968),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1452),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(1129),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1462),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1730),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_PLUS] = ACTIONS(968),
    [anon_sym_DASH] = ACTIONS(968),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(968),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1732),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1452),
    [anon_sym_readonly] = ACTIONS(1452),
    [anon_sym_get] = ACTIONS(1452),
    [anon_sym_set] = ACTIONS(1452),
    [anon_sym_declare] = ACTIONS(1452),
    [anon_sym_public] = ACTIONS(1452),
    [anon_sym_private] = ACTIONS(1452),
    [anon_sym_protected] = ACTIONS(1452),
    [anon_sym_override] = ACTIONS(1452),
    [anon_sym_module] = ACTIONS(1452),
    [anon_sym_any] = ACTIONS(1452),
    [anon_sym_number] = ACTIONS(1452),
    [anon_sym_boolean] = ACTIONS(1452),
    [anon_sym_string] = ACTIONS(1452),
    [anon_sym_symbol] = ACTIONS(1452),
    [anon_sym_object] = ACTIONS(1452),
    [sym_html_comment] = ACTIONS(5),
  },
  [553] = {
    [sym_import] = STATE(4369),
    [sym_parenthesized_expression] = STATE(2177),
    [sym_expression] = STATE(2573),
    [sym_primary_expression] = STATE(2990),
    [sym_yield_expression] = STATE(3139),
    [sym_object] = STATE(3113),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(3113),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(3139),
    [sym_glimmer_opening_tag] = STATE(5702),
    [sym_jsx_element] = STATE(3139),
    [sym_jsx_opening_element] = STATE(4008),
    [sym_jsx_self_closing_element] = STATE(3139),
    [sym_class] = STATE(3113),
    [sym_function_expression] = STATE(3113),
    [sym_generator_function] = STATE(3113),
    [sym_arrow_function] = STATE(3113),
    [sym__call_signature] = STATE(7486),
    [sym_call_expression] = STATE(3113),
    [sym_new_expression] = STATE(3139),
    [sym_await_expression] = STATE(3139),
    [sym_member_expression] = STATE(2177),
    [sym_subscript_expression] = STATE(2177),
    [sym_assignment_expression] = STATE(3139),
    [sym__augmented_assignment_lhs] = STATE(3835),
    [sym_augmented_assignment_expression] = STATE(3139),
    [sym__destructuring_pattern] = STATE(7484),
    [sym_ternary_expression] = STATE(3139),
    [sym_binary_expression] = STATE(3139),
    [sym_unary_expression] = STATE(3139),
    [sym_update_expression] = STATE(3139),
    [sym_string] = STATE(3113),
    [sym_comment] = STATE(553),
    [sym_template_string] = STATE(3113),
    [sym_regex] = STATE(3113),
    [sym_meta_property] = STATE(3113),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2177),
    [sym_as_expression] = STATE(3139),
    [sym_satisfies_expression] = STATE(3139),
    [sym_instantiation_expression] = STATE(3139),
    [sym_internal_module] = STATE(3139),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5555),
    [sym_identifier] = ACTIONS(1744),
    [anon_sym_export] = ACTIONS(1596),
    [anon_sym_type] = ACTIONS(1596),
    [anon_sym_namespace] = ACTIONS(1598),
    [anon_sym_LBRACE] = ACTIONS(1020),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1596),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1029),
    [anon_sym_async] = ACTIONS(1602),
    [anon_sym_function] = ACTIONS(1033),
    [anon_sym_new] = ACTIONS(1748),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1596),
    [anon_sym_readonly] = ACTIONS(1596),
    [anon_sym_get] = ACTIONS(1596),
    [anon_sym_set] = ACTIONS(1596),
    [anon_sym_declare] = ACTIONS(1596),
    [anon_sym_public] = ACTIONS(1596),
    [anon_sym_private] = ACTIONS(1596),
    [anon_sym_protected] = ACTIONS(1596),
    [anon_sym_override] = ACTIONS(1596),
    [anon_sym_module] = ACTIONS(1596),
    [anon_sym_any] = ACTIONS(1596),
    [anon_sym_number] = ACTIONS(1596),
    [anon_sym_boolean] = ACTIONS(1596),
    [anon_sym_string] = ACTIONS(1596),
    [anon_sym_symbol] = ACTIONS(1596),
    [anon_sym_object] = ACTIONS(1596),
    [sym_html_comment] = ACTIONS(5),
  },
  [554] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2151),
    [sym_expression] = STATE(2794),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7643),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2151),
    [sym_subscript_expression] = STATE(2151),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3918),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7259),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(554),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2151),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1724),
    [anon_sym_export] = ACTIONS(1452),
    [anon_sym_type] = ACTIONS(1452),
    [anon_sym_namespace] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(1127),
    [anon_sym_typeof] = ACTIONS(968),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1452),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(1129),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1462),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1730),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_PLUS] = ACTIONS(968),
    [anon_sym_DASH] = ACTIONS(968),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(968),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1732),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1452),
    [anon_sym_readonly] = ACTIONS(1452),
    [anon_sym_get] = ACTIONS(1452),
    [anon_sym_set] = ACTIONS(1452),
    [anon_sym_declare] = ACTIONS(1452),
    [anon_sym_public] = ACTIONS(1452),
    [anon_sym_private] = ACTIONS(1452),
    [anon_sym_protected] = ACTIONS(1452),
    [anon_sym_override] = ACTIONS(1452),
    [anon_sym_module] = ACTIONS(1452),
    [anon_sym_any] = ACTIONS(1452),
    [anon_sym_number] = ACTIONS(1452),
    [anon_sym_boolean] = ACTIONS(1452),
    [anon_sym_string] = ACTIONS(1452),
    [anon_sym_symbol] = ACTIONS(1452),
    [anon_sym_object] = ACTIONS(1452),
    [sym_html_comment] = ACTIONS(5),
  },
  [555] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2151),
    [sym_expression] = STATE(2438),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7643),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2151),
    [sym_subscript_expression] = STATE(2151),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3918),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7259),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(555),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2151),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1724),
    [anon_sym_export] = ACTIONS(1452),
    [anon_sym_type] = ACTIONS(1452),
    [anon_sym_namespace] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(1127),
    [anon_sym_typeof] = ACTIONS(968),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1452),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(1129),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1462),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1730),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_PLUS] = ACTIONS(968),
    [anon_sym_DASH] = ACTIONS(968),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(968),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1732),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1452),
    [anon_sym_readonly] = ACTIONS(1452),
    [anon_sym_get] = ACTIONS(1452),
    [anon_sym_set] = ACTIONS(1452),
    [anon_sym_declare] = ACTIONS(1452),
    [anon_sym_public] = ACTIONS(1452),
    [anon_sym_private] = ACTIONS(1452),
    [anon_sym_protected] = ACTIONS(1452),
    [anon_sym_override] = ACTIONS(1452),
    [anon_sym_module] = ACTIONS(1452),
    [anon_sym_any] = ACTIONS(1452),
    [anon_sym_number] = ACTIONS(1452),
    [anon_sym_boolean] = ACTIONS(1452),
    [anon_sym_string] = ACTIONS(1452),
    [anon_sym_symbol] = ACTIONS(1452),
    [anon_sym_object] = ACTIONS(1452),
    [sym_html_comment] = ACTIONS(5),
  },
  [556] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2239),
    [sym_expression] = STATE(3098),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7446),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2239),
    [sym_subscript_expression] = STATE(2239),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3938),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7450),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(556),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2239),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1782),
    [anon_sym_export] = ACTIONS(1408),
    [anon_sym_type] = ACTIONS(1408),
    [anon_sym_namespace] = ACTIONS(1410),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(1416),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1408),
    [anon_sym_BANG] = ACTIONS(1416),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1418),
    [anon_sym_yield] = ACTIONS(1420),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1424),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1786),
    [anon_sym_using] = ACTIONS(1428),
    [anon_sym_PLUS] = ACTIONS(1416),
    [anon_sym_DASH] = ACTIONS(1416),
    [anon_sym_SLASH] = ACTIONS(1290),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(1416),
    [anon_sym_void] = ACTIONS(1416),
    [anon_sym_delete] = ACTIONS(1416),
    [anon_sym_PLUS_PLUS] = ACTIONS(1434),
    [anon_sym_DASH_DASH] = ACTIONS(1434),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(1440),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1788),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1408),
    [anon_sym_readonly] = ACTIONS(1408),
    [anon_sym_get] = ACTIONS(1408),
    [anon_sym_set] = ACTIONS(1408),
    [anon_sym_declare] = ACTIONS(1408),
    [anon_sym_public] = ACTIONS(1408),
    [anon_sym_private] = ACTIONS(1408),
    [anon_sym_protected] = ACTIONS(1408),
    [anon_sym_override] = ACTIONS(1408),
    [anon_sym_module] = ACTIONS(1408),
    [anon_sym_any] = ACTIONS(1408),
    [anon_sym_number] = ACTIONS(1408),
    [anon_sym_boolean] = ACTIONS(1408),
    [anon_sym_string] = ACTIONS(1408),
    [anon_sym_symbol] = ACTIONS(1408),
    [anon_sym_object] = ACTIONS(1408),
    [sym_html_comment] = ACTIONS(5),
  },
  [557] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2151),
    [sym_expression] = STATE(2464),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7643),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2151),
    [sym_subscript_expression] = STATE(2151),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3918),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7259),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(557),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2151),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1724),
    [anon_sym_export] = ACTIONS(1452),
    [anon_sym_type] = ACTIONS(1452),
    [anon_sym_namespace] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(1127),
    [anon_sym_typeof] = ACTIONS(968),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1452),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(1129),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1462),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1730),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_PLUS] = ACTIONS(968),
    [anon_sym_DASH] = ACTIONS(968),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(968),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(2517),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1732),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1452),
    [anon_sym_readonly] = ACTIONS(1452),
    [anon_sym_get] = ACTIONS(1452),
    [anon_sym_set] = ACTIONS(1452),
    [anon_sym_declare] = ACTIONS(1452),
    [anon_sym_public] = ACTIONS(1452),
    [anon_sym_private] = ACTIONS(1452),
    [anon_sym_protected] = ACTIONS(1452),
    [anon_sym_override] = ACTIONS(1452),
    [anon_sym_module] = ACTIONS(1452),
    [anon_sym_any] = ACTIONS(1452),
    [anon_sym_number] = ACTIONS(1452),
    [anon_sym_boolean] = ACTIONS(1452),
    [anon_sym_string] = ACTIONS(1452),
    [anon_sym_symbol] = ACTIONS(1452),
    [anon_sym_object] = ACTIONS(1452),
    [sym_html_comment] = ACTIONS(5),
  },
  [558] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2151),
    [sym_expression] = STATE(2922),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7643),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2151),
    [sym_subscript_expression] = STATE(2151),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3918),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7259),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(558),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2151),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1724),
    [anon_sym_export] = ACTIONS(1452),
    [anon_sym_type] = ACTIONS(1452),
    [anon_sym_namespace] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(1127),
    [anon_sym_typeof] = ACTIONS(968),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1452),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(1129),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1462),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1730),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_PLUS] = ACTIONS(968),
    [anon_sym_DASH] = ACTIONS(968),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(968),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1732),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1452),
    [anon_sym_readonly] = ACTIONS(1452),
    [anon_sym_get] = ACTIONS(1452),
    [anon_sym_set] = ACTIONS(1452),
    [anon_sym_declare] = ACTIONS(1452),
    [anon_sym_public] = ACTIONS(1452),
    [anon_sym_private] = ACTIONS(1452),
    [anon_sym_protected] = ACTIONS(1452),
    [anon_sym_override] = ACTIONS(1452),
    [anon_sym_module] = ACTIONS(1452),
    [anon_sym_any] = ACTIONS(1452),
    [anon_sym_number] = ACTIONS(1452),
    [anon_sym_boolean] = ACTIONS(1452),
    [anon_sym_string] = ACTIONS(1452),
    [anon_sym_symbol] = ACTIONS(1452),
    [anon_sym_object] = ACTIONS(1452),
    [sym_html_comment] = ACTIONS(5),
  },
  [559] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2229),
    [sym_expression] = STATE(3279),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7175),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2229),
    [sym_subscript_expression] = STATE(2229),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3935),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7438),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(559),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2229),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1766),
    [anon_sym_export] = ACTIONS(1482),
    [anon_sym_type] = ACTIONS(1482),
    [anon_sym_namespace] = ACTIONS(1484),
    [anon_sym_LBRACE] = ACTIONS(1127),
    [anon_sym_typeof] = ACTIONS(1490),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1482),
    [anon_sym_BANG] = ACTIONS(1490),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1492),
    [anon_sym_yield] = ACTIONS(1494),
    [anon_sym_LBRACK] = ACTIONS(1129),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1496),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1770),
    [anon_sym_using] = ACTIONS(1500),
    [anon_sym_PLUS] = ACTIONS(1490),
    [anon_sym_DASH] = ACTIONS(1490),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(1490),
    [anon_sym_void] = ACTIONS(1490),
    [anon_sym_delete] = ACTIONS(1490),
    [anon_sym_PLUS_PLUS] = ACTIONS(1506),
    [anon_sym_DASH_DASH] = ACTIONS(1506),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(1508),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1772),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1482),
    [anon_sym_readonly] = ACTIONS(1482),
    [anon_sym_get] = ACTIONS(1482),
    [anon_sym_set] = ACTIONS(1482),
    [anon_sym_declare] = ACTIONS(1482),
    [anon_sym_public] = ACTIONS(1482),
    [anon_sym_private] = ACTIONS(1482),
    [anon_sym_protected] = ACTIONS(1482),
    [anon_sym_override] = ACTIONS(1482),
    [anon_sym_module] = ACTIONS(1482),
    [anon_sym_any] = ACTIONS(1482),
    [anon_sym_number] = ACTIONS(1482),
    [anon_sym_boolean] = ACTIONS(1482),
    [anon_sym_string] = ACTIONS(1482),
    [anon_sym_symbol] = ACTIONS(1482),
    [anon_sym_object] = ACTIONS(1482),
    [sym_html_comment] = ACTIONS(5),
  },
  [560] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2286),
    [sym_expression] = STATE(3359),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7260),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2286),
    [sym_subscript_expression] = STATE(2286),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3878),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7398),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(560),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2286),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(2519),
    [anon_sym_export] = ACTIONS(2521),
    [anon_sym_type] = ACTIONS(2521),
    [anon_sym_namespace] = ACTIONS(2523),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(174),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(2521),
    [anon_sym_BANG] = ACTIONS(174),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(2525),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(2527),
    [anon_sym_using] = ACTIONS(157),
    [anon_sym_PLUS] = ACTIONS(174),
    [anon_sym_DASH] = ACTIONS(174),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(174),
    [anon_sym_void] = ACTIONS(174),
    [anon_sym_delete] = ACTIONS(174),
    [anon_sym_PLUS_PLUS] = ACTIONS(1039),
    [anon_sym_DASH_DASH] = ACTIONS(1039),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(185),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(2529),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(2521),
    [anon_sym_readonly] = ACTIONS(2521),
    [anon_sym_get] = ACTIONS(2521),
    [anon_sym_set] = ACTIONS(2521),
    [anon_sym_declare] = ACTIONS(2521),
    [anon_sym_public] = ACTIONS(2521),
    [anon_sym_private] = ACTIONS(2521),
    [anon_sym_protected] = ACTIONS(2521),
    [anon_sym_override] = ACTIONS(2521),
    [anon_sym_module] = ACTIONS(2521),
    [anon_sym_any] = ACTIONS(2521),
    [anon_sym_number] = ACTIONS(2521),
    [anon_sym_boolean] = ACTIONS(2521),
    [anon_sym_string] = ACTIONS(2521),
    [anon_sym_symbol] = ACTIONS(2521),
    [anon_sym_object] = ACTIONS(2521),
    [sym_html_comment] = ACTIONS(5),
  },
  [561] = {
    [sym_import] = STATE(4369),
    [sym_parenthesized_expression] = STATE(2177),
    [sym_expression] = STATE(2582),
    [sym_primary_expression] = STATE(2990),
    [sym_yield_expression] = STATE(3139),
    [sym_object] = STATE(3113),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(3113),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(3139),
    [sym_glimmer_opening_tag] = STATE(5702),
    [sym_jsx_element] = STATE(3139),
    [sym_jsx_opening_element] = STATE(4008),
    [sym_jsx_self_closing_element] = STATE(3139),
    [sym_class] = STATE(3113),
    [sym_function_expression] = STATE(3113),
    [sym_generator_function] = STATE(3113),
    [sym_arrow_function] = STATE(3113),
    [sym__call_signature] = STATE(7486),
    [sym_call_expression] = STATE(3113),
    [sym_new_expression] = STATE(3139),
    [sym_await_expression] = STATE(3139),
    [sym_member_expression] = STATE(2177),
    [sym_subscript_expression] = STATE(2177),
    [sym_assignment_expression] = STATE(3139),
    [sym__augmented_assignment_lhs] = STATE(3835),
    [sym_augmented_assignment_expression] = STATE(3139),
    [sym__destructuring_pattern] = STATE(7484),
    [sym_ternary_expression] = STATE(3139),
    [sym_binary_expression] = STATE(3139),
    [sym_unary_expression] = STATE(3139),
    [sym_update_expression] = STATE(3139),
    [sym_string] = STATE(3113),
    [sym_comment] = STATE(561),
    [sym_template_string] = STATE(3113),
    [sym_regex] = STATE(3113),
    [sym_meta_property] = STATE(3113),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2177),
    [sym_as_expression] = STATE(3139),
    [sym_satisfies_expression] = STATE(3139),
    [sym_instantiation_expression] = STATE(3139),
    [sym_internal_module] = STATE(3139),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5555),
    [sym_identifier] = ACTIONS(1744),
    [anon_sym_export] = ACTIONS(1596),
    [anon_sym_type] = ACTIONS(1596),
    [anon_sym_namespace] = ACTIONS(1598),
    [anon_sym_LBRACE] = ACTIONS(1020),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1596),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1029),
    [anon_sym_async] = ACTIONS(1602),
    [anon_sym_function] = ACTIONS(1033),
    [anon_sym_new] = ACTIONS(1748),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1596),
    [anon_sym_readonly] = ACTIONS(1596),
    [anon_sym_get] = ACTIONS(1596),
    [anon_sym_set] = ACTIONS(1596),
    [anon_sym_declare] = ACTIONS(1596),
    [anon_sym_public] = ACTIONS(1596),
    [anon_sym_private] = ACTIONS(1596),
    [anon_sym_protected] = ACTIONS(1596),
    [anon_sym_override] = ACTIONS(1596),
    [anon_sym_module] = ACTIONS(1596),
    [anon_sym_any] = ACTIONS(1596),
    [anon_sym_number] = ACTIONS(1596),
    [anon_sym_boolean] = ACTIONS(1596),
    [anon_sym_string] = ACTIONS(1596),
    [anon_sym_symbol] = ACTIONS(1596),
    [anon_sym_object] = ACTIONS(1596),
    [sym_html_comment] = ACTIONS(5),
  },
  [562] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2239),
    [sym_expression] = STATE(3157),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7446),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2239),
    [sym_subscript_expression] = STATE(2239),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3938),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7450),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(562),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2239),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1782),
    [anon_sym_export] = ACTIONS(1408),
    [anon_sym_type] = ACTIONS(1408),
    [anon_sym_namespace] = ACTIONS(1410),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(1416),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1408),
    [anon_sym_BANG] = ACTIONS(1416),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1418),
    [anon_sym_yield] = ACTIONS(1420),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1424),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1786),
    [anon_sym_using] = ACTIONS(1428),
    [anon_sym_PLUS] = ACTIONS(1416),
    [anon_sym_DASH] = ACTIONS(1416),
    [anon_sym_SLASH] = ACTIONS(1290),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(1416),
    [anon_sym_void] = ACTIONS(1416),
    [anon_sym_delete] = ACTIONS(1416),
    [anon_sym_PLUS_PLUS] = ACTIONS(1434),
    [anon_sym_DASH_DASH] = ACTIONS(1434),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(1440),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1788),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1408),
    [anon_sym_readonly] = ACTIONS(1408),
    [anon_sym_get] = ACTIONS(1408),
    [anon_sym_set] = ACTIONS(1408),
    [anon_sym_declare] = ACTIONS(1408),
    [anon_sym_public] = ACTIONS(1408),
    [anon_sym_private] = ACTIONS(1408),
    [anon_sym_protected] = ACTIONS(1408),
    [anon_sym_override] = ACTIONS(1408),
    [anon_sym_module] = ACTIONS(1408),
    [anon_sym_any] = ACTIONS(1408),
    [anon_sym_number] = ACTIONS(1408),
    [anon_sym_boolean] = ACTIONS(1408),
    [anon_sym_string] = ACTIONS(1408),
    [anon_sym_symbol] = ACTIONS(1408),
    [anon_sym_object] = ACTIONS(1408),
    [sym_html_comment] = ACTIONS(5),
  },
  [563] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2248),
    [sym_expression] = STATE(3146),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7502),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2248),
    [sym_subscript_expression] = STATE(2248),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3928),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7561),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(563),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2248),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1774),
    [anon_sym_export] = ACTIONS(1618),
    [anon_sym_type] = ACTIONS(1618),
    [anon_sym_namespace] = ACTIONS(1620),
    [anon_sym_LBRACE] = ACTIONS(1127),
    [anon_sym_typeof] = ACTIONS(1624),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1618),
    [anon_sym_BANG] = ACTIONS(1624),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1626),
    [anon_sym_yield] = ACTIONS(1628),
    [anon_sym_LBRACK] = ACTIONS(1129),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1630),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1778),
    [anon_sym_using] = ACTIONS(1634),
    [anon_sym_PLUS] = ACTIONS(1624),
    [anon_sym_DASH] = ACTIONS(1624),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(1624),
    [anon_sym_void] = ACTIONS(1624),
    [anon_sym_delete] = ACTIONS(1624),
    [anon_sym_PLUS_PLUS] = ACTIONS(1640),
    [anon_sym_DASH_DASH] = ACTIONS(1640),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(1642),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1780),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1618),
    [anon_sym_readonly] = ACTIONS(1618),
    [anon_sym_get] = ACTIONS(1618),
    [anon_sym_set] = ACTIONS(1618),
    [anon_sym_declare] = ACTIONS(1618),
    [anon_sym_public] = ACTIONS(1618),
    [anon_sym_private] = ACTIONS(1618),
    [anon_sym_protected] = ACTIONS(1618),
    [anon_sym_override] = ACTIONS(1618),
    [anon_sym_module] = ACTIONS(1618),
    [anon_sym_any] = ACTIONS(1618),
    [anon_sym_number] = ACTIONS(1618),
    [anon_sym_boolean] = ACTIONS(1618),
    [anon_sym_string] = ACTIONS(1618),
    [anon_sym_symbol] = ACTIONS(1618),
    [anon_sym_object] = ACTIONS(1618),
    [sym_html_comment] = ACTIONS(5),
  },
  [564] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2196),
    [sym_expression] = STATE(2810),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7510),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2196),
    [sym_subscript_expression] = STATE(2196),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3936),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7511),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(564),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2196),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1750),
    [anon_sym_export] = ACTIONS(1562),
    [anon_sym_type] = ACTIONS(1562),
    [anon_sym_namespace] = ACTIONS(1564),
    [anon_sym_LBRACE] = ACTIONS(1127),
    [anon_sym_typeof] = ACTIONS(1568),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1562),
    [anon_sym_BANG] = ACTIONS(1568),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1570),
    [anon_sym_yield] = ACTIONS(1572),
    [anon_sym_LBRACK] = ACTIONS(1129),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1574),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1754),
    [anon_sym_using] = ACTIONS(1578),
    [anon_sym_PLUS] = ACTIONS(1568),
    [anon_sym_DASH] = ACTIONS(1568),
    [anon_sym_SLASH] = ACTIONS(1274),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(1568),
    [anon_sym_void] = ACTIONS(1568),
    [anon_sym_delete] = ACTIONS(1568),
    [anon_sym_PLUS_PLUS] = ACTIONS(1584),
    [anon_sym_DASH_DASH] = ACTIONS(1584),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(1586),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1756),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1562),
    [anon_sym_readonly] = ACTIONS(1562),
    [anon_sym_get] = ACTIONS(1562),
    [anon_sym_set] = ACTIONS(1562),
    [anon_sym_declare] = ACTIONS(1562),
    [anon_sym_public] = ACTIONS(1562),
    [anon_sym_private] = ACTIONS(1562),
    [anon_sym_protected] = ACTIONS(1562),
    [anon_sym_override] = ACTIONS(1562),
    [anon_sym_module] = ACTIONS(1562),
    [anon_sym_any] = ACTIONS(1562),
    [anon_sym_number] = ACTIONS(1562),
    [anon_sym_boolean] = ACTIONS(1562),
    [anon_sym_string] = ACTIONS(1562),
    [anon_sym_symbol] = ACTIONS(1562),
    [anon_sym_object] = ACTIONS(1562),
    [sym_html_comment] = ACTIONS(5),
  },
  [565] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2196),
    [sym_expression] = STATE(2768),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7510),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2196),
    [sym_subscript_expression] = STATE(2196),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3936),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7511),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(565),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2196),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1750),
    [anon_sym_export] = ACTIONS(1562),
    [anon_sym_type] = ACTIONS(1562),
    [anon_sym_namespace] = ACTIONS(1564),
    [anon_sym_LBRACE] = ACTIONS(1127),
    [anon_sym_typeof] = ACTIONS(1568),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1562),
    [anon_sym_BANG] = ACTIONS(1568),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1570),
    [anon_sym_yield] = ACTIONS(1572),
    [anon_sym_LBRACK] = ACTIONS(1129),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1574),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1754),
    [anon_sym_using] = ACTIONS(1578),
    [anon_sym_PLUS] = ACTIONS(1568),
    [anon_sym_DASH] = ACTIONS(1568),
    [anon_sym_SLASH] = ACTIONS(1274),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(1568),
    [anon_sym_void] = ACTIONS(1568),
    [anon_sym_delete] = ACTIONS(1568),
    [anon_sym_PLUS_PLUS] = ACTIONS(1584),
    [anon_sym_DASH_DASH] = ACTIONS(1584),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(1586),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1756),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1562),
    [anon_sym_readonly] = ACTIONS(1562),
    [anon_sym_get] = ACTIONS(1562),
    [anon_sym_set] = ACTIONS(1562),
    [anon_sym_declare] = ACTIONS(1562),
    [anon_sym_public] = ACTIONS(1562),
    [anon_sym_private] = ACTIONS(1562),
    [anon_sym_protected] = ACTIONS(1562),
    [anon_sym_override] = ACTIONS(1562),
    [anon_sym_module] = ACTIONS(1562),
    [anon_sym_any] = ACTIONS(1562),
    [anon_sym_number] = ACTIONS(1562),
    [anon_sym_boolean] = ACTIONS(1562),
    [anon_sym_string] = ACTIONS(1562),
    [anon_sym_symbol] = ACTIONS(1562),
    [anon_sym_object] = ACTIONS(1562),
    [sym_html_comment] = ACTIONS(5),
  },
  [566] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2239),
    [sym_expression] = STATE(3318),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7446),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2239),
    [sym_subscript_expression] = STATE(2239),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3938),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7450),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(566),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2239),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1782),
    [anon_sym_export] = ACTIONS(1408),
    [anon_sym_type] = ACTIONS(1408),
    [anon_sym_namespace] = ACTIONS(1410),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(1416),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1408),
    [anon_sym_BANG] = ACTIONS(1416),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1418),
    [anon_sym_yield] = ACTIONS(1420),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1424),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1786),
    [anon_sym_using] = ACTIONS(1428),
    [anon_sym_PLUS] = ACTIONS(1416),
    [anon_sym_DASH] = ACTIONS(1416),
    [anon_sym_SLASH] = ACTIONS(1290),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(1416),
    [anon_sym_void] = ACTIONS(1416),
    [anon_sym_delete] = ACTIONS(1416),
    [anon_sym_PLUS_PLUS] = ACTIONS(1434),
    [anon_sym_DASH_DASH] = ACTIONS(1434),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(1440),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1788),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1408),
    [anon_sym_readonly] = ACTIONS(1408),
    [anon_sym_get] = ACTIONS(1408),
    [anon_sym_set] = ACTIONS(1408),
    [anon_sym_declare] = ACTIONS(1408),
    [anon_sym_public] = ACTIONS(1408),
    [anon_sym_private] = ACTIONS(1408),
    [anon_sym_protected] = ACTIONS(1408),
    [anon_sym_override] = ACTIONS(1408),
    [anon_sym_module] = ACTIONS(1408),
    [anon_sym_any] = ACTIONS(1408),
    [anon_sym_number] = ACTIONS(1408),
    [anon_sym_boolean] = ACTIONS(1408),
    [anon_sym_string] = ACTIONS(1408),
    [anon_sym_symbol] = ACTIONS(1408),
    [anon_sym_object] = ACTIONS(1408),
    [sym_html_comment] = ACTIONS(5),
  },
  [567] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2196),
    [sym_expression] = STATE(2741),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7510),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2196),
    [sym_subscript_expression] = STATE(2196),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3936),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7511),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(567),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2196),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1750),
    [anon_sym_export] = ACTIONS(1562),
    [anon_sym_type] = ACTIONS(1562),
    [anon_sym_namespace] = ACTIONS(1564),
    [anon_sym_LBRACE] = ACTIONS(1127),
    [anon_sym_typeof] = ACTIONS(1568),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1562),
    [anon_sym_BANG] = ACTIONS(1568),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1570),
    [anon_sym_yield] = ACTIONS(1572),
    [anon_sym_LBRACK] = ACTIONS(1129),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1574),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1754),
    [anon_sym_using] = ACTIONS(1578),
    [anon_sym_PLUS] = ACTIONS(1568),
    [anon_sym_DASH] = ACTIONS(1568),
    [anon_sym_SLASH] = ACTIONS(1274),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(1568),
    [anon_sym_void] = ACTIONS(1568),
    [anon_sym_delete] = ACTIONS(1568),
    [anon_sym_PLUS_PLUS] = ACTIONS(1584),
    [anon_sym_DASH_DASH] = ACTIONS(1584),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(2531),
    [sym_private_property_identifier] = ACTIONS(1586),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1756),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1562),
    [anon_sym_readonly] = ACTIONS(1562),
    [anon_sym_get] = ACTIONS(1562),
    [anon_sym_set] = ACTIONS(1562),
    [anon_sym_declare] = ACTIONS(1562),
    [anon_sym_public] = ACTIONS(1562),
    [anon_sym_private] = ACTIONS(1562),
    [anon_sym_protected] = ACTIONS(1562),
    [anon_sym_override] = ACTIONS(1562),
    [anon_sym_module] = ACTIONS(1562),
    [anon_sym_any] = ACTIONS(1562),
    [anon_sym_number] = ACTIONS(1562),
    [anon_sym_boolean] = ACTIONS(1562),
    [anon_sym_string] = ACTIONS(1562),
    [anon_sym_symbol] = ACTIONS(1562),
    [anon_sym_object] = ACTIONS(1562),
    [sym_html_comment] = ACTIONS(5),
  },
  [568] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2196),
    [sym_expression] = STATE(2784),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7510),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2196),
    [sym_subscript_expression] = STATE(2196),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3936),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7511),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(568),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2196),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1750),
    [anon_sym_export] = ACTIONS(1562),
    [anon_sym_type] = ACTIONS(1562),
    [anon_sym_namespace] = ACTIONS(1564),
    [anon_sym_LBRACE] = ACTIONS(1127),
    [anon_sym_typeof] = ACTIONS(1568),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1562),
    [anon_sym_BANG] = ACTIONS(1568),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1570),
    [anon_sym_yield] = ACTIONS(1572),
    [anon_sym_LBRACK] = ACTIONS(1129),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1574),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1754),
    [anon_sym_using] = ACTIONS(1578),
    [anon_sym_PLUS] = ACTIONS(1568),
    [anon_sym_DASH] = ACTIONS(1568),
    [anon_sym_SLASH] = ACTIONS(1274),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(1568),
    [anon_sym_void] = ACTIONS(1568),
    [anon_sym_delete] = ACTIONS(1568),
    [anon_sym_PLUS_PLUS] = ACTIONS(1584),
    [anon_sym_DASH_DASH] = ACTIONS(1584),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(1586),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1756),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1562),
    [anon_sym_readonly] = ACTIONS(1562),
    [anon_sym_get] = ACTIONS(1562),
    [anon_sym_set] = ACTIONS(1562),
    [anon_sym_declare] = ACTIONS(1562),
    [anon_sym_public] = ACTIONS(1562),
    [anon_sym_private] = ACTIONS(1562),
    [anon_sym_protected] = ACTIONS(1562),
    [anon_sym_override] = ACTIONS(1562),
    [anon_sym_module] = ACTIONS(1562),
    [anon_sym_any] = ACTIONS(1562),
    [anon_sym_number] = ACTIONS(1562),
    [anon_sym_boolean] = ACTIONS(1562),
    [anon_sym_string] = ACTIONS(1562),
    [anon_sym_symbol] = ACTIONS(1562),
    [anon_sym_object] = ACTIONS(1562),
    [sym_html_comment] = ACTIONS(5),
  },
  [569] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2196),
    [sym_expression] = STATE(2783),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7510),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2196),
    [sym_subscript_expression] = STATE(2196),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3936),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7511),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(569),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2196),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1750),
    [anon_sym_export] = ACTIONS(1562),
    [anon_sym_type] = ACTIONS(1562),
    [anon_sym_namespace] = ACTIONS(1564),
    [anon_sym_LBRACE] = ACTIONS(1127),
    [anon_sym_typeof] = ACTIONS(1568),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1562),
    [anon_sym_BANG] = ACTIONS(1568),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1570),
    [anon_sym_yield] = ACTIONS(1572),
    [anon_sym_LBRACK] = ACTIONS(1129),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1574),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1754),
    [anon_sym_using] = ACTIONS(1578),
    [anon_sym_PLUS] = ACTIONS(1568),
    [anon_sym_DASH] = ACTIONS(1568),
    [anon_sym_SLASH] = ACTIONS(1274),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(1568),
    [anon_sym_void] = ACTIONS(1568),
    [anon_sym_delete] = ACTIONS(1568),
    [anon_sym_PLUS_PLUS] = ACTIONS(1584),
    [anon_sym_DASH_DASH] = ACTIONS(1584),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(1586),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1756),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1562),
    [anon_sym_readonly] = ACTIONS(1562),
    [anon_sym_get] = ACTIONS(1562),
    [anon_sym_set] = ACTIONS(1562),
    [anon_sym_declare] = ACTIONS(1562),
    [anon_sym_public] = ACTIONS(1562),
    [anon_sym_private] = ACTIONS(1562),
    [anon_sym_protected] = ACTIONS(1562),
    [anon_sym_override] = ACTIONS(1562),
    [anon_sym_module] = ACTIONS(1562),
    [anon_sym_any] = ACTIONS(1562),
    [anon_sym_number] = ACTIONS(1562),
    [anon_sym_boolean] = ACTIONS(1562),
    [anon_sym_string] = ACTIONS(1562),
    [anon_sym_symbol] = ACTIONS(1562),
    [anon_sym_object] = ACTIONS(1562),
    [sym_html_comment] = ACTIONS(5),
  },
  [570] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2239),
    [sym_expression] = STATE(3329),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7446),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2239),
    [sym_subscript_expression] = STATE(2239),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3938),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7450),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(570),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2239),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1782),
    [anon_sym_export] = ACTIONS(1408),
    [anon_sym_type] = ACTIONS(1408),
    [anon_sym_namespace] = ACTIONS(1410),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(1416),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1408),
    [anon_sym_BANG] = ACTIONS(1416),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1418),
    [anon_sym_yield] = ACTIONS(1420),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1424),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1786),
    [anon_sym_using] = ACTIONS(1428),
    [anon_sym_PLUS] = ACTIONS(1416),
    [anon_sym_DASH] = ACTIONS(1416),
    [anon_sym_SLASH] = ACTIONS(1290),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(1416),
    [anon_sym_void] = ACTIONS(1416),
    [anon_sym_delete] = ACTIONS(1416),
    [anon_sym_PLUS_PLUS] = ACTIONS(1434),
    [anon_sym_DASH_DASH] = ACTIONS(1434),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(1440),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1788),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1408),
    [anon_sym_readonly] = ACTIONS(1408),
    [anon_sym_get] = ACTIONS(1408),
    [anon_sym_set] = ACTIONS(1408),
    [anon_sym_declare] = ACTIONS(1408),
    [anon_sym_public] = ACTIONS(1408),
    [anon_sym_private] = ACTIONS(1408),
    [anon_sym_protected] = ACTIONS(1408),
    [anon_sym_override] = ACTIONS(1408),
    [anon_sym_module] = ACTIONS(1408),
    [anon_sym_any] = ACTIONS(1408),
    [anon_sym_number] = ACTIONS(1408),
    [anon_sym_boolean] = ACTIONS(1408),
    [anon_sym_string] = ACTIONS(1408),
    [anon_sym_symbol] = ACTIONS(1408),
    [anon_sym_object] = ACTIONS(1408),
    [sym_html_comment] = ACTIONS(5),
  },
  [571] = {
    [sym_import] = STATE(4369),
    [sym_parenthesized_expression] = STATE(2177),
    [sym_expression] = STATE(2581),
    [sym_primary_expression] = STATE(2990),
    [sym_yield_expression] = STATE(3139),
    [sym_object] = STATE(3113),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(3113),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(3139),
    [sym_glimmer_opening_tag] = STATE(5702),
    [sym_jsx_element] = STATE(3139),
    [sym_jsx_opening_element] = STATE(4008),
    [sym_jsx_self_closing_element] = STATE(3139),
    [sym_class] = STATE(3113),
    [sym_function_expression] = STATE(3113),
    [sym_generator_function] = STATE(3113),
    [sym_arrow_function] = STATE(3113),
    [sym__call_signature] = STATE(7486),
    [sym_call_expression] = STATE(3113),
    [sym_new_expression] = STATE(3139),
    [sym_await_expression] = STATE(3139),
    [sym_member_expression] = STATE(2177),
    [sym_subscript_expression] = STATE(2177),
    [sym_assignment_expression] = STATE(3139),
    [sym__augmented_assignment_lhs] = STATE(3835),
    [sym_augmented_assignment_expression] = STATE(3139),
    [sym__destructuring_pattern] = STATE(7484),
    [sym_ternary_expression] = STATE(3139),
    [sym_binary_expression] = STATE(3139),
    [sym_unary_expression] = STATE(3139),
    [sym_update_expression] = STATE(3139),
    [sym_string] = STATE(3113),
    [sym_comment] = STATE(571),
    [sym_template_string] = STATE(3113),
    [sym_regex] = STATE(3113),
    [sym_meta_property] = STATE(3113),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2177),
    [sym_as_expression] = STATE(3139),
    [sym_satisfies_expression] = STATE(3139),
    [sym_instantiation_expression] = STATE(3139),
    [sym_internal_module] = STATE(3139),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5555),
    [sym_identifier] = ACTIONS(1744),
    [anon_sym_export] = ACTIONS(1596),
    [anon_sym_type] = ACTIONS(1596),
    [anon_sym_namespace] = ACTIONS(1598),
    [anon_sym_LBRACE] = ACTIONS(1020),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1596),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1029),
    [anon_sym_async] = ACTIONS(1602),
    [anon_sym_function] = ACTIONS(1033),
    [anon_sym_new] = ACTIONS(1748),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1596),
    [anon_sym_readonly] = ACTIONS(1596),
    [anon_sym_get] = ACTIONS(1596),
    [anon_sym_set] = ACTIONS(1596),
    [anon_sym_declare] = ACTIONS(1596),
    [anon_sym_public] = ACTIONS(1596),
    [anon_sym_private] = ACTIONS(1596),
    [anon_sym_protected] = ACTIONS(1596),
    [anon_sym_override] = ACTIONS(1596),
    [anon_sym_module] = ACTIONS(1596),
    [anon_sym_any] = ACTIONS(1596),
    [anon_sym_number] = ACTIONS(1596),
    [anon_sym_boolean] = ACTIONS(1596),
    [anon_sym_string] = ACTIONS(1596),
    [anon_sym_symbol] = ACTIONS(1596),
    [anon_sym_object] = ACTIONS(1596),
    [sym_html_comment] = ACTIONS(5),
  },
  [572] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2239),
    [sym_expression] = STATE(3331),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7446),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2239),
    [sym_subscript_expression] = STATE(2239),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3938),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7450),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(572),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2239),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1782),
    [anon_sym_export] = ACTIONS(1408),
    [anon_sym_type] = ACTIONS(1408),
    [anon_sym_namespace] = ACTIONS(1410),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(1416),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1408),
    [anon_sym_BANG] = ACTIONS(1416),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1418),
    [anon_sym_yield] = ACTIONS(1420),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1424),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1786),
    [anon_sym_using] = ACTIONS(1428),
    [anon_sym_PLUS] = ACTIONS(1416),
    [anon_sym_DASH] = ACTIONS(1416),
    [anon_sym_SLASH] = ACTIONS(1290),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(1416),
    [anon_sym_void] = ACTIONS(1416),
    [anon_sym_delete] = ACTIONS(1416),
    [anon_sym_PLUS_PLUS] = ACTIONS(1434),
    [anon_sym_DASH_DASH] = ACTIONS(1434),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(1440),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1788),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1408),
    [anon_sym_readonly] = ACTIONS(1408),
    [anon_sym_get] = ACTIONS(1408),
    [anon_sym_set] = ACTIONS(1408),
    [anon_sym_declare] = ACTIONS(1408),
    [anon_sym_public] = ACTIONS(1408),
    [anon_sym_private] = ACTIONS(1408),
    [anon_sym_protected] = ACTIONS(1408),
    [anon_sym_override] = ACTIONS(1408),
    [anon_sym_module] = ACTIONS(1408),
    [anon_sym_any] = ACTIONS(1408),
    [anon_sym_number] = ACTIONS(1408),
    [anon_sym_boolean] = ACTIONS(1408),
    [anon_sym_string] = ACTIONS(1408),
    [anon_sym_symbol] = ACTIONS(1408),
    [anon_sym_object] = ACTIONS(1408),
    [sym_html_comment] = ACTIONS(5),
  },
  [573] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2239),
    [sym_expression] = STATE(3326),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7446),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2239),
    [sym_subscript_expression] = STATE(2239),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3938),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7450),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(573),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2239),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1782),
    [anon_sym_export] = ACTIONS(1408),
    [anon_sym_type] = ACTIONS(1408),
    [anon_sym_namespace] = ACTIONS(1410),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(1416),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1408),
    [anon_sym_BANG] = ACTIONS(1416),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1418),
    [anon_sym_yield] = ACTIONS(1420),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1424),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1786),
    [anon_sym_using] = ACTIONS(1428),
    [anon_sym_PLUS] = ACTIONS(1416),
    [anon_sym_DASH] = ACTIONS(1416),
    [anon_sym_SLASH] = ACTIONS(1290),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(1416),
    [anon_sym_void] = ACTIONS(1416),
    [anon_sym_delete] = ACTIONS(1416),
    [anon_sym_PLUS_PLUS] = ACTIONS(1434),
    [anon_sym_DASH_DASH] = ACTIONS(1434),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(1440),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1788),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1408),
    [anon_sym_readonly] = ACTIONS(1408),
    [anon_sym_get] = ACTIONS(1408),
    [anon_sym_set] = ACTIONS(1408),
    [anon_sym_declare] = ACTIONS(1408),
    [anon_sym_public] = ACTIONS(1408),
    [anon_sym_private] = ACTIONS(1408),
    [anon_sym_protected] = ACTIONS(1408),
    [anon_sym_override] = ACTIONS(1408),
    [anon_sym_module] = ACTIONS(1408),
    [anon_sym_any] = ACTIONS(1408),
    [anon_sym_number] = ACTIONS(1408),
    [anon_sym_boolean] = ACTIONS(1408),
    [anon_sym_string] = ACTIONS(1408),
    [anon_sym_symbol] = ACTIONS(1408),
    [anon_sym_object] = ACTIONS(1408),
    [sym_html_comment] = ACTIONS(5),
  },
  [574] = {
    [sym_import] = STATE(4369),
    [sym_parenthesized_expression] = STATE(2175),
    [sym_expression] = STATE(2544),
    [sym_primary_expression] = STATE(2990),
    [sym_yield_expression] = STATE(3139),
    [sym_object] = STATE(3113),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(3113),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(3139),
    [sym_glimmer_opening_tag] = STATE(5702),
    [sym_jsx_element] = STATE(3139),
    [sym_jsx_opening_element] = STATE(4008),
    [sym_jsx_self_closing_element] = STATE(3139),
    [sym_class] = STATE(3113),
    [sym_function_expression] = STATE(3113),
    [sym_generator_function] = STATE(3113),
    [sym_arrow_function] = STATE(3113),
    [sym__call_signature] = STATE(7205),
    [sym_call_expression] = STATE(3113),
    [sym_new_expression] = STATE(3139),
    [sym_await_expression] = STATE(3139),
    [sym_member_expression] = STATE(2175),
    [sym_subscript_expression] = STATE(2175),
    [sym_assignment_expression] = STATE(3139),
    [sym__augmented_assignment_lhs] = STATE(3844),
    [sym_augmented_assignment_expression] = STATE(3139),
    [sym__destructuring_pattern] = STATE(7209),
    [sym_ternary_expression] = STATE(3139),
    [sym_binary_expression] = STATE(3139),
    [sym_unary_expression] = STATE(3139),
    [sym_update_expression] = STATE(3139),
    [sym_string] = STATE(3113),
    [sym_comment] = STATE(574),
    [sym_template_string] = STATE(3113),
    [sym_regex] = STATE(3113),
    [sym_meta_property] = STATE(3113),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2175),
    [sym_as_expression] = STATE(3139),
    [sym_satisfies_expression] = STATE(3139),
    [sym_instantiation_expression] = STATE(3139),
    [sym_internal_module] = STATE(3139),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5555),
    [sym_identifier] = ACTIONS(1736),
    [anon_sym_export] = ACTIONS(1518),
    [anon_sym_type] = ACTIONS(1518),
    [anon_sym_namespace] = ACTIONS(1520),
    [anon_sym_LBRACE] = ACTIONS(1020),
    [anon_sym_typeof] = ACTIONS(1526),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1518),
    [anon_sym_BANG] = ACTIONS(1526),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1528),
    [anon_sym_yield] = ACTIONS(1530),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1029),
    [anon_sym_async] = ACTIONS(1534),
    [anon_sym_function] = ACTIONS(1033),
    [anon_sym_new] = ACTIONS(1740),
    [anon_sym_using] = ACTIONS(1538),
    [anon_sym_PLUS] = ACTIONS(1526),
    [anon_sym_DASH] = ACTIONS(1526),
    [anon_sym_SLASH] = ACTIONS(1195),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1526),
    [anon_sym_void] = ACTIONS(1526),
    [anon_sym_delete] = ACTIONS(1526),
    [anon_sym_PLUS_PLUS] = ACTIONS(1544),
    [anon_sym_DASH_DASH] = ACTIONS(1544),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1550),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1742),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1518),
    [anon_sym_readonly] = ACTIONS(1518),
    [anon_sym_get] = ACTIONS(1518),
    [anon_sym_set] = ACTIONS(1518),
    [anon_sym_declare] = ACTIONS(1518),
    [anon_sym_public] = ACTIONS(1518),
    [anon_sym_private] = ACTIONS(1518),
    [anon_sym_protected] = ACTIONS(1518),
    [anon_sym_override] = ACTIONS(1518),
    [anon_sym_module] = ACTIONS(1518),
    [anon_sym_any] = ACTIONS(1518),
    [anon_sym_number] = ACTIONS(1518),
    [anon_sym_boolean] = ACTIONS(1518),
    [anon_sym_string] = ACTIONS(1518),
    [anon_sym_symbol] = ACTIONS(1518),
    [anon_sym_object] = ACTIONS(1518),
    [sym_html_comment] = ACTIONS(5),
  },
  [575] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2239),
    [sym_expression] = STATE(3323),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7446),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2239),
    [sym_subscript_expression] = STATE(2239),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3938),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7450),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(575),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2239),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1782),
    [anon_sym_export] = ACTIONS(1408),
    [anon_sym_type] = ACTIONS(1408),
    [anon_sym_namespace] = ACTIONS(1410),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(1416),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1408),
    [anon_sym_BANG] = ACTIONS(1416),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1418),
    [anon_sym_yield] = ACTIONS(1420),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1424),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1786),
    [anon_sym_using] = ACTIONS(1428),
    [anon_sym_PLUS] = ACTIONS(1416),
    [anon_sym_DASH] = ACTIONS(1416),
    [anon_sym_SLASH] = ACTIONS(1290),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(1416),
    [anon_sym_void] = ACTIONS(1416),
    [anon_sym_delete] = ACTIONS(1416),
    [anon_sym_PLUS_PLUS] = ACTIONS(1434),
    [anon_sym_DASH_DASH] = ACTIONS(1434),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(1440),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1788),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1408),
    [anon_sym_readonly] = ACTIONS(1408),
    [anon_sym_get] = ACTIONS(1408),
    [anon_sym_set] = ACTIONS(1408),
    [anon_sym_declare] = ACTIONS(1408),
    [anon_sym_public] = ACTIONS(1408),
    [anon_sym_private] = ACTIONS(1408),
    [anon_sym_protected] = ACTIONS(1408),
    [anon_sym_override] = ACTIONS(1408),
    [anon_sym_module] = ACTIONS(1408),
    [anon_sym_any] = ACTIONS(1408),
    [anon_sym_number] = ACTIONS(1408),
    [anon_sym_boolean] = ACTIONS(1408),
    [anon_sym_string] = ACTIONS(1408),
    [anon_sym_symbol] = ACTIONS(1408),
    [anon_sym_object] = ACTIONS(1408),
    [sym_html_comment] = ACTIONS(5),
  },
  [576] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2239),
    [sym_expression] = STATE(3322),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7446),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2239),
    [sym_subscript_expression] = STATE(2239),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3938),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7450),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(576),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2239),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1782),
    [anon_sym_export] = ACTIONS(1408),
    [anon_sym_type] = ACTIONS(1408),
    [anon_sym_namespace] = ACTIONS(1410),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(1416),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1408),
    [anon_sym_BANG] = ACTIONS(1416),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1418),
    [anon_sym_yield] = ACTIONS(1420),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1424),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1786),
    [anon_sym_using] = ACTIONS(1428),
    [anon_sym_PLUS] = ACTIONS(1416),
    [anon_sym_DASH] = ACTIONS(1416),
    [anon_sym_SLASH] = ACTIONS(1290),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(1416),
    [anon_sym_void] = ACTIONS(1416),
    [anon_sym_delete] = ACTIONS(1416),
    [anon_sym_PLUS_PLUS] = ACTIONS(1434),
    [anon_sym_DASH_DASH] = ACTIONS(1434),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(1440),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1788),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1408),
    [anon_sym_readonly] = ACTIONS(1408),
    [anon_sym_get] = ACTIONS(1408),
    [anon_sym_set] = ACTIONS(1408),
    [anon_sym_declare] = ACTIONS(1408),
    [anon_sym_public] = ACTIONS(1408),
    [anon_sym_private] = ACTIONS(1408),
    [anon_sym_protected] = ACTIONS(1408),
    [anon_sym_override] = ACTIONS(1408),
    [anon_sym_module] = ACTIONS(1408),
    [anon_sym_any] = ACTIONS(1408),
    [anon_sym_number] = ACTIONS(1408),
    [anon_sym_boolean] = ACTIONS(1408),
    [anon_sym_string] = ACTIONS(1408),
    [anon_sym_symbol] = ACTIONS(1408),
    [anon_sym_object] = ACTIONS(1408),
    [sym_html_comment] = ACTIONS(5),
  },
  [577] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2151),
    [sym_expression] = STATE(2513),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7643),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2151),
    [sym_subscript_expression] = STATE(2151),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3918),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7259),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(577),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2151),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1724),
    [anon_sym_export] = ACTIONS(1452),
    [anon_sym_type] = ACTIONS(1452),
    [anon_sym_namespace] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(1127),
    [anon_sym_typeof] = ACTIONS(968),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1452),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(1129),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1462),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1730),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_PLUS] = ACTIONS(968),
    [anon_sym_DASH] = ACTIONS(968),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(968),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1732),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1452),
    [anon_sym_readonly] = ACTIONS(1452),
    [anon_sym_get] = ACTIONS(1452),
    [anon_sym_set] = ACTIONS(1452),
    [anon_sym_declare] = ACTIONS(1452),
    [anon_sym_public] = ACTIONS(1452),
    [anon_sym_private] = ACTIONS(1452),
    [anon_sym_protected] = ACTIONS(1452),
    [anon_sym_override] = ACTIONS(1452),
    [anon_sym_module] = ACTIONS(1452),
    [anon_sym_any] = ACTIONS(1452),
    [anon_sym_number] = ACTIONS(1452),
    [anon_sym_boolean] = ACTIONS(1452),
    [anon_sym_string] = ACTIONS(1452),
    [anon_sym_symbol] = ACTIONS(1452),
    [anon_sym_object] = ACTIONS(1452),
    [sym_html_comment] = ACTIONS(5),
  },
  [578] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2196),
    [sym_expression] = STATE(2764),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7510),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2196),
    [sym_subscript_expression] = STATE(2196),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3936),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7511),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(578),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2196),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1750),
    [anon_sym_export] = ACTIONS(1562),
    [anon_sym_type] = ACTIONS(1562),
    [anon_sym_namespace] = ACTIONS(1564),
    [anon_sym_LBRACE] = ACTIONS(1127),
    [anon_sym_typeof] = ACTIONS(1568),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1562),
    [anon_sym_BANG] = ACTIONS(1568),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1570),
    [anon_sym_yield] = ACTIONS(1572),
    [anon_sym_LBRACK] = ACTIONS(1129),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1574),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1754),
    [anon_sym_using] = ACTIONS(1578),
    [anon_sym_PLUS] = ACTIONS(1568),
    [anon_sym_DASH] = ACTIONS(1568),
    [anon_sym_SLASH] = ACTIONS(1274),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(1568),
    [anon_sym_void] = ACTIONS(1568),
    [anon_sym_delete] = ACTIONS(1568),
    [anon_sym_PLUS_PLUS] = ACTIONS(1584),
    [anon_sym_DASH_DASH] = ACTIONS(1584),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(1586),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1756),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1562),
    [anon_sym_readonly] = ACTIONS(1562),
    [anon_sym_get] = ACTIONS(1562),
    [anon_sym_set] = ACTIONS(1562),
    [anon_sym_declare] = ACTIONS(1562),
    [anon_sym_public] = ACTIONS(1562),
    [anon_sym_private] = ACTIONS(1562),
    [anon_sym_protected] = ACTIONS(1562),
    [anon_sym_override] = ACTIONS(1562),
    [anon_sym_module] = ACTIONS(1562),
    [anon_sym_any] = ACTIONS(1562),
    [anon_sym_number] = ACTIONS(1562),
    [anon_sym_boolean] = ACTIONS(1562),
    [anon_sym_string] = ACTIONS(1562),
    [anon_sym_symbol] = ACTIONS(1562),
    [anon_sym_object] = ACTIONS(1562),
    [sym_html_comment] = ACTIONS(5),
  },
  [579] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2196),
    [sym_expression] = STATE(2763),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7510),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2196),
    [sym_subscript_expression] = STATE(2196),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3936),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7511),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(579),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2196),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1750),
    [anon_sym_export] = ACTIONS(1562),
    [anon_sym_type] = ACTIONS(1562),
    [anon_sym_namespace] = ACTIONS(1564),
    [anon_sym_LBRACE] = ACTIONS(1127),
    [anon_sym_typeof] = ACTIONS(1568),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1562),
    [anon_sym_BANG] = ACTIONS(1568),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1570),
    [anon_sym_yield] = ACTIONS(1572),
    [anon_sym_LBRACK] = ACTIONS(1129),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1574),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1754),
    [anon_sym_using] = ACTIONS(1578),
    [anon_sym_PLUS] = ACTIONS(1568),
    [anon_sym_DASH] = ACTIONS(1568),
    [anon_sym_SLASH] = ACTIONS(1274),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(1568),
    [anon_sym_void] = ACTIONS(1568),
    [anon_sym_delete] = ACTIONS(1568),
    [anon_sym_PLUS_PLUS] = ACTIONS(1584),
    [anon_sym_DASH_DASH] = ACTIONS(1584),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(1586),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1756),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1562),
    [anon_sym_readonly] = ACTIONS(1562),
    [anon_sym_get] = ACTIONS(1562),
    [anon_sym_set] = ACTIONS(1562),
    [anon_sym_declare] = ACTIONS(1562),
    [anon_sym_public] = ACTIONS(1562),
    [anon_sym_private] = ACTIONS(1562),
    [anon_sym_protected] = ACTIONS(1562),
    [anon_sym_override] = ACTIONS(1562),
    [anon_sym_module] = ACTIONS(1562),
    [anon_sym_any] = ACTIONS(1562),
    [anon_sym_number] = ACTIONS(1562),
    [anon_sym_boolean] = ACTIONS(1562),
    [anon_sym_string] = ACTIONS(1562),
    [anon_sym_symbol] = ACTIONS(1562),
    [anon_sym_object] = ACTIONS(1562),
    [sym_html_comment] = ACTIONS(5),
  },
  [580] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2239),
    [sym_expression] = STATE(3321),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7446),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2239),
    [sym_subscript_expression] = STATE(2239),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3938),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7450),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(580),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2239),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1782),
    [anon_sym_export] = ACTIONS(1408),
    [anon_sym_type] = ACTIONS(1408),
    [anon_sym_namespace] = ACTIONS(1410),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(1416),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1408),
    [anon_sym_BANG] = ACTIONS(1416),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1418),
    [anon_sym_yield] = ACTIONS(1420),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1424),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1786),
    [anon_sym_using] = ACTIONS(1428),
    [anon_sym_PLUS] = ACTIONS(1416),
    [anon_sym_DASH] = ACTIONS(1416),
    [anon_sym_SLASH] = ACTIONS(1290),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(1416),
    [anon_sym_void] = ACTIONS(1416),
    [anon_sym_delete] = ACTIONS(1416),
    [anon_sym_PLUS_PLUS] = ACTIONS(1434),
    [anon_sym_DASH_DASH] = ACTIONS(1434),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(1440),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1788),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1408),
    [anon_sym_readonly] = ACTIONS(1408),
    [anon_sym_get] = ACTIONS(1408),
    [anon_sym_set] = ACTIONS(1408),
    [anon_sym_declare] = ACTIONS(1408),
    [anon_sym_public] = ACTIONS(1408),
    [anon_sym_private] = ACTIONS(1408),
    [anon_sym_protected] = ACTIONS(1408),
    [anon_sym_override] = ACTIONS(1408),
    [anon_sym_module] = ACTIONS(1408),
    [anon_sym_any] = ACTIONS(1408),
    [anon_sym_number] = ACTIONS(1408),
    [anon_sym_boolean] = ACTIONS(1408),
    [anon_sym_string] = ACTIONS(1408),
    [anon_sym_symbol] = ACTIONS(1408),
    [anon_sym_object] = ACTIONS(1408),
    [sym_html_comment] = ACTIONS(5),
  },
  [581] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2196),
    [sym_expression] = STATE(2761),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7510),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2196),
    [sym_subscript_expression] = STATE(2196),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3936),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7511),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(581),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2196),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1750),
    [anon_sym_export] = ACTIONS(1562),
    [anon_sym_type] = ACTIONS(1562),
    [anon_sym_namespace] = ACTIONS(1564),
    [anon_sym_LBRACE] = ACTIONS(1127),
    [anon_sym_typeof] = ACTIONS(1568),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1562),
    [anon_sym_BANG] = ACTIONS(1568),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1570),
    [anon_sym_yield] = ACTIONS(1572),
    [anon_sym_LBRACK] = ACTIONS(1129),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1574),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1754),
    [anon_sym_using] = ACTIONS(1578),
    [anon_sym_PLUS] = ACTIONS(1568),
    [anon_sym_DASH] = ACTIONS(1568),
    [anon_sym_SLASH] = ACTIONS(1274),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(1568),
    [anon_sym_void] = ACTIONS(1568),
    [anon_sym_delete] = ACTIONS(1568),
    [anon_sym_PLUS_PLUS] = ACTIONS(1584),
    [anon_sym_DASH_DASH] = ACTIONS(1584),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(1586),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1756),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1562),
    [anon_sym_readonly] = ACTIONS(1562),
    [anon_sym_get] = ACTIONS(1562),
    [anon_sym_set] = ACTIONS(1562),
    [anon_sym_declare] = ACTIONS(1562),
    [anon_sym_public] = ACTIONS(1562),
    [anon_sym_private] = ACTIONS(1562),
    [anon_sym_protected] = ACTIONS(1562),
    [anon_sym_override] = ACTIONS(1562),
    [anon_sym_module] = ACTIONS(1562),
    [anon_sym_any] = ACTIONS(1562),
    [anon_sym_number] = ACTIONS(1562),
    [anon_sym_boolean] = ACTIONS(1562),
    [anon_sym_string] = ACTIONS(1562),
    [anon_sym_symbol] = ACTIONS(1562),
    [anon_sym_object] = ACTIONS(1562),
    [sym_html_comment] = ACTIONS(5),
  },
  [582] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2196),
    [sym_expression] = STATE(2759),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7510),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2196),
    [sym_subscript_expression] = STATE(2196),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3936),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7511),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(582),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2196),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1750),
    [anon_sym_export] = ACTIONS(1562),
    [anon_sym_type] = ACTIONS(1562),
    [anon_sym_namespace] = ACTIONS(1564),
    [anon_sym_LBRACE] = ACTIONS(1127),
    [anon_sym_typeof] = ACTIONS(1568),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1562),
    [anon_sym_BANG] = ACTIONS(1568),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1570),
    [anon_sym_yield] = ACTIONS(1572),
    [anon_sym_LBRACK] = ACTIONS(1129),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1574),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1754),
    [anon_sym_using] = ACTIONS(1578),
    [anon_sym_PLUS] = ACTIONS(1568),
    [anon_sym_DASH] = ACTIONS(1568),
    [anon_sym_SLASH] = ACTIONS(1274),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(1568),
    [anon_sym_void] = ACTIONS(1568),
    [anon_sym_delete] = ACTIONS(1568),
    [anon_sym_PLUS_PLUS] = ACTIONS(1584),
    [anon_sym_DASH_DASH] = ACTIONS(1584),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(1586),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1756),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1562),
    [anon_sym_readonly] = ACTIONS(1562),
    [anon_sym_get] = ACTIONS(1562),
    [anon_sym_set] = ACTIONS(1562),
    [anon_sym_declare] = ACTIONS(1562),
    [anon_sym_public] = ACTIONS(1562),
    [anon_sym_private] = ACTIONS(1562),
    [anon_sym_protected] = ACTIONS(1562),
    [anon_sym_override] = ACTIONS(1562),
    [anon_sym_module] = ACTIONS(1562),
    [anon_sym_any] = ACTIONS(1562),
    [anon_sym_number] = ACTIONS(1562),
    [anon_sym_boolean] = ACTIONS(1562),
    [anon_sym_string] = ACTIONS(1562),
    [anon_sym_symbol] = ACTIONS(1562),
    [anon_sym_object] = ACTIONS(1562),
    [sym_html_comment] = ACTIONS(5),
  },
  [583] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2292),
    [sym_expression] = STATE(3359),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7260),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2292),
    [sym_subscript_expression] = STATE(2292),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3878),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7262),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(583),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2292),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(2533),
    [anon_sym_export] = ACTIONS(2535),
    [anon_sym_type] = ACTIONS(2535),
    [anon_sym_namespace] = ACTIONS(2537),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(174),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(2535),
    [anon_sym_BANG] = ACTIONS(174),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(2539),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(2541),
    [anon_sym_using] = ACTIONS(157),
    [anon_sym_PLUS] = ACTIONS(174),
    [anon_sym_DASH] = ACTIONS(174),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(174),
    [anon_sym_void] = ACTIONS(174),
    [anon_sym_delete] = ACTIONS(174),
    [anon_sym_PLUS_PLUS] = ACTIONS(1039),
    [anon_sym_DASH_DASH] = ACTIONS(1039),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(185),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(2543),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(2535),
    [anon_sym_readonly] = ACTIONS(2535),
    [anon_sym_get] = ACTIONS(2535),
    [anon_sym_set] = ACTIONS(2535),
    [anon_sym_declare] = ACTIONS(2535),
    [anon_sym_public] = ACTIONS(2535),
    [anon_sym_private] = ACTIONS(2535),
    [anon_sym_protected] = ACTIONS(2535),
    [anon_sym_override] = ACTIONS(2535),
    [anon_sym_module] = ACTIONS(2535),
    [anon_sym_any] = ACTIONS(2535),
    [anon_sym_number] = ACTIONS(2535),
    [anon_sym_boolean] = ACTIONS(2535),
    [anon_sym_string] = ACTIONS(2535),
    [anon_sym_symbol] = ACTIONS(2535),
    [anon_sym_object] = ACTIONS(2535),
    [sym_html_comment] = ACTIONS(5),
  },
  [584] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2196),
    [sym_expression] = STATE(2758),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7510),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2196),
    [sym_subscript_expression] = STATE(2196),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3936),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7511),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(584),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2196),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1750),
    [anon_sym_export] = ACTIONS(1562),
    [anon_sym_type] = ACTIONS(1562),
    [anon_sym_namespace] = ACTIONS(1564),
    [anon_sym_LBRACE] = ACTIONS(1127),
    [anon_sym_typeof] = ACTIONS(1568),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1562),
    [anon_sym_BANG] = ACTIONS(1568),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1570),
    [anon_sym_yield] = ACTIONS(1572),
    [anon_sym_LBRACK] = ACTIONS(1129),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1574),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1754),
    [anon_sym_using] = ACTIONS(1578),
    [anon_sym_PLUS] = ACTIONS(1568),
    [anon_sym_DASH] = ACTIONS(1568),
    [anon_sym_SLASH] = ACTIONS(1274),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(1568),
    [anon_sym_void] = ACTIONS(1568),
    [anon_sym_delete] = ACTIONS(1568),
    [anon_sym_PLUS_PLUS] = ACTIONS(1584),
    [anon_sym_DASH_DASH] = ACTIONS(1584),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(1586),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1756),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1562),
    [anon_sym_readonly] = ACTIONS(1562),
    [anon_sym_get] = ACTIONS(1562),
    [anon_sym_set] = ACTIONS(1562),
    [anon_sym_declare] = ACTIONS(1562),
    [anon_sym_public] = ACTIONS(1562),
    [anon_sym_private] = ACTIONS(1562),
    [anon_sym_protected] = ACTIONS(1562),
    [anon_sym_override] = ACTIONS(1562),
    [anon_sym_module] = ACTIONS(1562),
    [anon_sym_any] = ACTIONS(1562),
    [anon_sym_number] = ACTIONS(1562),
    [anon_sym_boolean] = ACTIONS(1562),
    [anon_sym_string] = ACTIONS(1562),
    [anon_sym_symbol] = ACTIONS(1562),
    [anon_sym_object] = ACTIONS(1562),
    [sym_html_comment] = ACTIONS(5),
  },
  [585] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2229),
    [sym_expression] = STATE(3114),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7175),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2229),
    [sym_subscript_expression] = STATE(2229),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3935),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7438),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(585),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2229),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1766),
    [anon_sym_export] = ACTIONS(1482),
    [anon_sym_type] = ACTIONS(1482),
    [anon_sym_namespace] = ACTIONS(1484),
    [anon_sym_LBRACE] = ACTIONS(1127),
    [anon_sym_typeof] = ACTIONS(1490),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1482),
    [anon_sym_BANG] = ACTIONS(1490),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1492),
    [anon_sym_yield] = ACTIONS(1494),
    [anon_sym_LBRACK] = ACTIONS(1129),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1496),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1770),
    [anon_sym_using] = ACTIONS(1500),
    [anon_sym_PLUS] = ACTIONS(1490),
    [anon_sym_DASH] = ACTIONS(1490),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(1490),
    [anon_sym_void] = ACTIONS(1490),
    [anon_sym_delete] = ACTIONS(1490),
    [anon_sym_PLUS_PLUS] = ACTIONS(1506),
    [anon_sym_DASH_DASH] = ACTIONS(1506),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(1508),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1772),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1482),
    [anon_sym_readonly] = ACTIONS(1482),
    [anon_sym_get] = ACTIONS(1482),
    [anon_sym_set] = ACTIONS(1482),
    [anon_sym_declare] = ACTIONS(1482),
    [anon_sym_public] = ACTIONS(1482),
    [anon_sym_private] = ACTIONS(1482),
    [anon_sym_protected] = ACTIONS(1482),
    [anon_sym_override] = ACTIONS(1482),
    [anon_sym_module] = ACTIONS(1482),
    [anon_sym_any] = ACTIONS(1482),
    [anon_sym_number] = ACTIONS(1482),
    [anon_sym_boolean] = ACTIONS(1482),
    [anon_sym_string] = ACTIONS(1482),
    [anon_sym_symbol] = ACTIONS(1482),
    [anon_sym_object] = ACTIONS(1482),
    [sym_html_comment] = ACTIONS(5),
  },
  [586] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2196),
    [sym_expression] = STATE(2757),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7510),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2196),
    [sym_subscript_expression] = STATE(2196),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3936),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7511),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(586),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2196),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1750),
    [anon_sym_export] = ACTIONS(1562),
    [anon_sym_type] = ACTIONS(1562),
    [anon_sym_namespace] = ACTIONS(1564),
    [anon_sym_LBRACE] = ACTIONS(1127),
    [anon_sym_typeof] = ACTIONS(1568),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1562),
    [anon_sym_BANG] = ACTIONS(1568),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1570),
    [anon_sym_yield] = ACTIONS(1572),
    [anon_sym_LBRACK] = ACTIONS(1129),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1574),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1754),
    [anon_sym_using] = ACTIONS(1578),
    [anon_sym_PLUS] = ACTIONS(1568),
    [anon_sym_DASH] = ACTIONS(1568),
    [anon_sym_SLASH] = ACTIONS(1274),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(1568),
    [anon_sym_void] = ACTIONS(1568),
    [anon_sym_delete] = ACTIONS(1568),
    [anon_sym_PLUS_PLUS] = ACTIONS(1584),
    [anon_sym_DASH_DASH] = ACTIONS(1584),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(1586),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1756),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1562),
    [anon_sym_readonly] = ACTIONS(1562),
    [anon_sym_get] = ACTIONS(1562),
    [anon_sym_set] = ACTIONS(1562),
    [anon_sym_declare] = ACTIONS(1562),
    [anon_sym_public] = ACTIONS(1562),
    [anon_sym_private] = ACTIONS(1562),
    [anon_sym_protected] = ACTIONS(1562),
    [anon_sym_override] = ACTIONS(1562),
    [anon_sym_module] = ACTIONS(1562),
    [anon_sym_any] = ACTIONS(1562),
    [anon_sym_number] = ACTIONS(1562),
    [anon_sym_boolean] = ACTIONS(1562),
    [anon_sym_string] = ACTIONS(1562),
    [anon_sym_symbol] = ACTIONS(1562),
    [anon_sym_object] = ACTIONS(1562),
    [sym_html_comment] = ACTIONS(5),
  },
  [587] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2048),
    [sym_expression] = STATE(3373),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7260),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2048),
    [sym_subscript_expression] = STATE(2048),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3878),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7646),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(587),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2048),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1095),
    [anon_sym_export] = ACTIONS(1097),
    [anon_sym_type] = ACTIONS(1097),
    [anon_sym_namespace] = ACTIONS(1099),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(174),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1097),
    [anon_sym_BANG] = ACTIONS(174),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1109),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1111),
    [anon_sym_using] = ACTIONS(157),
    [anon_sym_PLUS] = ACTIONS(174),
    [anon_sym_DASH] = ACTIONS(174),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(174),
    [anon_sym_void] = ACTIONS(174),
    [anon_sym_delete] = ACTIONS(174),
    [anon_sym_PLUS_PLUS] = ACTIONS(1039),
    [anon_sym_DASH_DASH] = ACTIONS(1039),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(2517),
    [sym_private_property_identifier] = ACTIONS(185),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1115),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1097),
    [anon_sym_readonly] = ACTIONS(1097),
    [anon_sym_get] = ACTIONS(1097),
    [anon_sym_set] = ACTIONS(1097),
    [anon_sym_declare] = ACTIONS(1097),
    [anon_sym_public] = ACTIONS(1097),
    [anon_sym_private] = ACTIONS(1097),
    [anon_sym_protected] = ACTIONS(1097),
    [anon_sym_override] = ACTIONS(1097),
    [anon_sym_module] = ACTIONS(1097),
    [anon_sym_any] = ACTIONS(1097),
    [anon_sym_number] = ACTIONS(1097),
    [anon_sym_boolean] = ACTIONS(1097),
    [anon_sym_string] = ACTIONS(1097),
    [anon_sym_symbol] = ACTIONS(1097),
    [anon_sym_object] = ACTIONS(1097),
    [sym_html_comment] = ACTIONS(5),
  },
  [588] = {
    [sym_import] = STATE(4369),
    [sym_parenthesized_expression] = STATE(2175),
    [sym_expression] = STATE(2561),
    [sym_primary_expression] = STATE(2990),
    [sym_yield_expression] = STATE(3139),
    [sym_object] = STATE(3113),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(3113),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(3139),
    [sym_glimmer_opening_tag] = STATE(5702),
    [sym_jsx_element] = STATE(3139),
    [sym_jsx_opening_element] = STATE(4008),
    [sym_jsx_self_closing_element] = STATE(3139),
    [sym_class] = STATE(3113),
    [sym_function_expression] = STATE(3113),
    [sym_generator_function] = STATE(3113),
    [sym_arrow_function] = STATE(3113),
    [sym__call_signature] = STATE(7205),
    [sym_call_expression] = STATE(3113),
    [sym_new_expression] = STATE(3139),
    [sym_await_expression] = STATE(3139),
    [sym_member_expression] = STATE(2175),
    [sym_subscript_expression] = STATE(2175),
    [sym_assignment_expression] = STATE(3139),
    [sym__augmented_assignment_lhs] = STATE(3844),
    [sym_augmented_assignment_expression] = STATE(3139),
    [sym__destructuring_pattern] = STATE(7209),
    [sym_ternary_expression] = STATE(3139),
    [sym_binary_expression] = STATE(3139),
    [sym_unary_expression] = STATE(3139),
    [sym_update_expression] = STATE(3139),
    [sym_string] = STATE(3113),
    [sym_comment] = STATE(588),
    [sym_template_string] = STATE(3113),
    [sym_regex] = STATE(3113),
    [sym_meta_property] = STATE(3113),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2175),
    [sym_as_expression] = STATE(3139),
    [sym_satisfies_expression] = STATE(3139),
    [sym_instantiation_expression] = STATE(3139),
    [sym_internal_module] = STATE(3139),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5555),
    [sym_identifier] = ACTIONS(1736),
    [anon_sym_export] = ACTIONS(1518),
    [anon_sym_type] = ACTIONS(1518),
    [anon_sym_namespace] = ACTIONS(1520),
    [anon_sym_LBRACE] = ACTIONS(1020),
    [anon_sym_typeof] = ACTIONS(1526),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1518),
    [anon_sym_BANG] = ACTIONS(1526),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1528),
    [anon_sym_yield] = ACTIONS(1530),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1029),
    [anon_sym_async] = ACTIONS(1534),
    [anon_sym_function] = ACTIONS(1033),
    [anon_sym_new] = ACTIONS(1740),
    [anon_sym_using] = ACTIONS(1538),
    [anon_sym_PLUS] = ACTIONS(1526),
    [anon_sym_DASH] = ACTIONS(1526),
    [anon_sym_SLASH] = ACTIONS(1195),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1526),
    [anon_sym_void] = ACTIONS(1526),
    [anon_sym_delete] = ACTIONS(1526),
    [anon_sym_PLUS_PLUS] = ACTIONS(1544),
    [anon_sym_DASH_DASH] = ACTIONS(1544),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1550),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1742),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1518),
    [anon_sym_readonly] = ACTIONS(1518),
    [anon_sym_get] = ACTIONS(1518),
    [anon_sym_set] = ACTIONS(1518),
    [anon_sym_declare] = ACTIONS(1518),
    [anon_sym_public] = ACTIONS(1518),
    [anon_sym_private] = ACTIONS(1518),
    [anon_sym_protected] = ACTIONS(1518),
    [anon_sym_override] = ACTIONS(1518),
    [anon_sym_module] = ACTIONS(1518),
    [anon_sym_any] = ACTIONS(1518),
    [anon_sym_number] = ACTIONS(1518),
    [anon_sym_boolean] = ACTIONS(1518),
    [anon_sym_string] = ACTIONS(1518),
    [anon_sym_symbol] = ACTIONS(1518),
    [anon_sym_object] = ACTIONS(1518),
    [sym_html_comment] = ACTIONS(5),
  },
  [589] = {
    [sym_import] = STATE(4369),
    [sym_parenthesized_expression] = STATE(2177),
    [sym_expression] = STATE(2637),
    [sym_primary_expression] = STATE(2990),
    [sym_yield_expression] = STATE(3139),
    [sym_object] = STATE(3113),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(3113),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(3139),
    [sym_glimmer_opening_tag] = STATE(5702),
    [sym_jsx_element] = STATE(3139),
    [sym_jsx_opening_element] = STATE(4008),
    [sym_jsx_self_closing_element] = STATE(3139),
    [sym_class] = STATE(3113),
    [sym_function_expression] = STATE(3113),
    [sym_generator_function] = STATE(3113),
    [sym_arrow_function] = STATE(3113),
    [sym__call_signature] = STATE(7486),
    [sym_call_expression] = STATE(3113),
    [sym_new_expression] = STATE(3139),
    [sym_await_expression] = STATE(3139),
    [sym_member_expression] = STATE(2177),
    [sym_subscript_expression] = STATE(2177),
    [sym_assignment_expression] = STATE(3139),
    [sym__augmented_assignment_lhs] = STATE(3835),
    [sym_augmented_assignment_expression] = STATE(3139),
    [sym__destructuring_pattern] = STATE(7484),
    [sym_ternary_expression] = STATE(3139),
    [sym_binary_expression] = STATE(3139),
    [sym_unary_expression] = STATE(3139),
    [sym_update_expression] = STATE(3139),
    [sym_string] = STATE(3113),
    [sym_comment] = STATE(589),
    [sym_template_string] = STATE(3113),
    [sym_regex] = STATE(3113),
    [sym_meta_property] = STATE(3113),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2177),
    [sym_as_expression] = STATE(3139),
    [sym_satisfies_expression] = STATE(3139),
    [sym_instantiation_expression] = STATE(3139),
    [sym_internal_module] = STATE(3139),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5555),
    [sym_identifier] = ACTIONS(1744),
    [anon_sym_export] = ACTIONS(1596),
    [anon_sym_type] = ACTIONS(1596),
    [anon_sym_namespace] = ACTIONS(1598),
    [anon_sym_LBRACE] = ACTIONS(1020),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1596),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1029),
    [anon_sym_async] = ACTIONS(1602),
    [anon_sym_function] = ACTIONS(1033),
    [anon_sym_new] = ACTIONS(1748),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1596),
    [anon_sym_readonly] = ACTIONS(1596),
    [anon_sym_get] = ACTIONS(1596),
    [anon_sym_set] = ACTIONS(1596),
    [anon_sym_declare] = ACTIONS(1596),
    [anon_sym_public] = ACTIONS(1596),
    [anon_sym_private] = ACTIONS(1596),
    [anon_sym_protected] = ACTIONS(1596),
    [anon_sym_override] = ACTIONS(1596),
    [anon_sym_module] = ACTIONS(1596),
    [anon_sym_any] = ACTIONS(1596),
    [anon_sym_number] = ACTIONS(1596),
    [anon_sym_boolean] = ACTIONS(1596),
    [anon_sym_string] = ACTIONS(1596),
    [anon_sym_symbol] = ACTIONS(1596),
    [anon_sym_object] = ACTIONS(1596),
    [sym_html_comment] = ACTIONS(5),
  },
  [590] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2196),
    [sym_expression] = STATE(2756),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7510),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2196),
    [sym_subscript_expression] = STATE(2196),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3936),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7511),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(590),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2196),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1750),
    [anon_sym_export] = ACTIONS(1562),
    [anon_sym_type] = ACTIONS(1562),
    [anon_sym_namespace] = ACTIONS(1564),
    [anon_sym_LBRACE] = ACTIONS(1127),
    [anon_sym_typeof] = ACTIONS(1568),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1562),
    [anon_sym_BANG] = ACTIONS(1568),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1570),
    [anon_sym_yield] = ACTIONS(1572),
    [anon_sym_LBRACK] = ACTIONS(1129),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1574),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1754),
    [anon_sym_using] = ACTIONS(1578),
    [anon_sym_PLUS] = ACTIONS(1568),
    [anon_sym_DASH] = ACTIONS(1568),
    [anon_sym_SLASH] = ACTIONS(1274),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(1568),
    [anon_sym_void] = ACTIONS(1568),
    [anon_sym_delete] = ACTIONS(1568),
    [anon_sym_PLUS_PLUS] = ACTIONS(1584),
    [anon_sym_DASH_DASH] = ACTIONS(1584),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(1586),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1756),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1562),
    [anon_sym_readonly] = ACTIONS(1562),
    [anon_sym_get] = ACTIONS(1562),
    [anon_sym_set] = ACTIONS(1562),
    [anon_sym_declare] = ACTIONS(1562),
    [anon_sym_public] = ACTIONS(1562),
    [anon_sym_private] = ACTIONS(1562),
    [anon_sym_protected] = ACTIONS(1562),
    [anon_sym_override] = ACTIONS(1562),
    [anon_sym_module] = ACTIONS(1562),
    [anon_sym_any] = ACTIONS(1562),
    [anon_sym_number] = ACTIONS(1562),
    [anon_sym_boolean] = ACTIONS(1562),
    [anon_sym_string] = ACTIONS(1562),
    [anon_sym_symbol] = ACTIONS(1562),
    [anon_sym_object] = ACTIONS(1562),
    [sym_html_comment] = ACTIONS(5),
  },
  [591] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2196),
    [sym_expression] = STATE(2754),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7510),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2196),
    [sym_subscript_expression] = STATE(2196),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3936),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7511),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(591),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2196),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1750),
    [anon_sym_export] = ACTIONS(1562),
    [anon_sym_type] = ACTIONS(1562),
    [anon_sym_namespace] = ACTIONS(1564),
    [anon_sym_LBRACE] = ACTIONS(1127),
    [anon_sym_typeof] = ACTIONS(1568),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1562),
    [anon_sym_BANG] = ACTIONS(1568),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1570),
    [anon_sym_yield] = ACTIONS(1572),
    [anon_sym_LBRACK] = ACTIONS(1129),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1574),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1754),
    [anon_sym_using] = ACTIONS(1578),
    [anon_sym_PLUS] = ACTIONS(1568),
    [anon_sym_DASH] = ACTIONS(1568),
    [anon_sym_SLASH] = ACTIONS(1274),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(1568),
    [anon_sym_void] = ACTIONS(1568),
    [anon_sym_delete] = ACTIONS(1568),
    [anon_sym_PLUS_PLUS] = ACTIONS(1584),
    [anon_sym_DASH_DASH] = ACTIONS(1584),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(1586),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1756),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1562),
    [anon_sym_readonly] = ACTIONS(1562),
    [anon_sym_get] = ACTIONS(1562),
    [anon_sym_set] = ACTIONS(1562),
    [anon_sym_declare] = ACTIONS(1562),
    [anon_sym_public] = ACTIONS(1562),
    [anon_sym_private] = ACTIONS(1562),
    [anon_sym_protected] = ACTIONS(1562),
    [anon_sym_override] = ACTIONS(1562),
    [anon_sym_module] = ACTIONS(1562),
    [anon_sym_any] = ACTIONS(1562),
    [anon_sym_number] = ACTIONS(1562),
    [anon_sym_boolean] = ACTIONS(1562),
    [anon_sym_string] = ACTIONS(1562),
    [anon_sym_symbol] = ACTIONS(1562),
    [anon_sym_object] = ACTIONS(1562),
    [sym_html_comment] = ACTIONS(5),
  },
  [592] = {
    [sym_import] = STATE(4369),
    [sym_parenthesized_expression] = STATE(2175),
    [sym_expression] = STATE(2565),
    [sym_primary_expression] = STATE(2990),
    [sym_yield_expression] = STATE(3139),
    [sym_object] = STATE(3113),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(3113),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(3139),
    [sym_glimmer_opening_tag] = STATE(5702),
    [sym_jsx_element] = STATE(3139),
    [sym_jsx_opening_element] = STATE(4008),
    [sym_jsx_self_closing_element] = STATE(3139),
    [sym_class] = STATE(3113),
    [sym_function_expression] = STATE(3113),
    [sym_generator_function] = STATE(3113),
    [sym_arrow_function] = STATE(3113),
    [sym__call_signature] = STATE(7205),
    [sym_call_expression] = STATE(3113),
    [sym_new_expression] = STATE(3139),
    [sym_await_expression] = STATE(3139),
    [sym_member_expression] = STATE(2175),
    [sym_subscript_expression] = STATE(2175),
    [sym_assignment_expression] = STATE(3139),
    [sym__augmented_assignment_lhs] = STATE(3844),
    [sym_augmented_assignment_expression] = STATE(3139),
    [sym__destructuring_pattern] = STATE(7209),
    [sym_ternary_expression] = STATE(3139),
    [sym_binary_expression] = STATE(3139),
    [sym_unary_expression] = STATE(3139),
    [sym_update_expression] = STATE(3139),
    [sym_string] = STATE(3113),
    [sym_comment] = STATE(592),
    [sym_template_string] = STATE(3113),
    [sym_regex] = STATE(3113),
    [sym_meta_property] = STATE(3113),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2175),
    [sym_as_expression] = STATE(3139),
    [sym_satisfies_expression] = STATE(3139),
    [sym_instantiation_expression] = STATE(3139),
    [sym_internal_module] = STATE(3139),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5555),
    [sym_identifier] = ACTIONS(1736),
    [anon_sym_export] = ACTIONS(1518),
    [anon_sym_type] = ACTIONS(1518),
    [anon_sym_namespace] = ACTIONS(1520),
    [anon_sym_LBRACE] = ACTIONS(1020),
    [anon_sym_typeof] = ACTIONS(1526),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1518),
    [anon_sym_BANG] = ACTIONS(1526),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1528),
    [anon_sym_yield] = ACTIONS(1530),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1029),
    [anon_sym_async] = ACTIONS(1534),
    [anon_sym_function] = ACTIONS(1033),
    [anon_sym_new] = ACTIONS(1740),
    [anon_sym_using] = ACTIONS(1538),
    [anon_sym_PLUS] = ACTIONS(1526),
    [anon_sym_DASH] = ACTIONS(1526),
    [anon_sym_SLASH] = ACTIONS(1195),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1526),
    [anon_sym_void] = ACTIONS(1526),
    [anon_sym_delete] = ACTIONS(1526),
    [anon_sym_PLUS_PLUS] = ACTIONS(1544),
    [anon_sym_DASH_DASH] = ACTIONS(1544),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1550),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1742),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1518),
    [anon_sym_readonly] = ACTIONS(1518),
    [anon_sym_get] = ACTIONS(1518),
    [anon_sym_set] = ACTIONS(1518),
    [anon_sym_declare] = ACTIONS(1518),
    [anon_sym_public] = ACTIONS(1518),
    [anon_sym_private] = ACTIONS(1518),
    [anon_sym_protected] = ACTIONS(1518),
    [anon_sym_override] = ACTIONS(1518),
    [anon_sym_module] = ACTIONS(1518),
    [anon_sym_any] = ACTIONS(1518),
    [anon_sym_number] = ACTIONS(1518),
    [anon_sym_boolean] = ACTIONS(1518),
    [anon_sym_string] = ACTIONS(1518),
    [anon_sym_symbol] = ACTIONS(1518),
    [anon_sym_object] = ACTIONS(1518),
    [sym_html_comment] = ACTIONS(5),
  },
  [593] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2196),
    [sym_expression] = STATE(2752),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7510),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2196),
    [sym_subscript_expression] = STATE(2196),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3936),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7511),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(593),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2196),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1750),
    [anon_sym_export] = ACTIONS(1562),
    [anon_sym_type] = ACTIONS(1562),
    [anon_sym_namespace] = ACTIONS(1564),
    [anon_sym_LBRACE] = ACTIONS(1127),
    [anon_sym_typeof] = ACTIONS(1568),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1562),
    [anon_sym_BANG] = ACTIONS(1568),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1570),
    [anon_sym_yield] = ACTIONS(1572),
    [anon_sym_LBRACK] = ACTIONS(1129),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1574),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1754),
    [anon_sym_using] = ACTIONS(1578),
    [anon_sym_PLUS] = ACTIONS(1568),
    [anon_sym_DASH] = ACTIONS(1568),
    [anon_sym_SLASH] = ACTIONS(1274),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(1568),
    [anon_sym_void] = ACTIONS(1568),
    [anon_sym_delete] = ACTIONS(1568),
    [anon_sym_PLUS_PLUS] = ACTIONS(1584),
    [anon_sym_DASH_DASH] = ACTIONS(1584),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(1586),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1756),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1562),
    [anon_sym_readonly] = ACTIONS(1562),
    [anon_sym_get] = ACTIONS(1562),
    [anon_sym_set] = ACTIONS(1562),
    [anon_sym_declare] = ACTIONS(1562),
    [anon_sym_public] = ACTIONS(1562),
    [anon_sym_private] = ACTIONS(1562),
    [anon_sym_protected] = ACTIONS(1562),
    [anon_sym_override] = ACTIONS(1562),
    [anon_sym_module] = ACTIONS(1562),
    [anon_sym_any] = ACTIONS(1562),
    [anon_sym_number] = ACTIONS(1562),
    [anon_sym_boolean] = ACTIONS(1562),
    [anon_sym_string] = ACTIONS(1562),
    [anon_sym_symbol] = ACTIONS(1562),
    [anon_sym_object] = ACTIONS(1562),
    [sym_html_comment] = ACTIONS(5),
  },
  [594] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2289),
    [sym_expression] = STATE(3359),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7260),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2289),
    [sym_subscript_expression] = STATE(2289),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3878),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7514),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(594),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2289),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(2545),
    [anon_sym_export] = ACTIONS(2547),
    [anon_sym_type] = ACTIONS(2547),
    [anon_sym_namespace] = ACTIONS(2549),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(174),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(2547),
    [anon_sym_BANG] = ACTIONS(174),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(2551),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(2553),
    [anon_sym_using] = ACTIONS(157),
    [anon_sym_PLUS] = ACTIONS(174),
    [anon_sym_DASH] = ACTIONS(174),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(174),
    [anon_sym_void] = ACTIONS(174),
    [anon_sym_delete] = ACTIONS(174),
    [anon_sym_PLUS_PLUS] = ACTIONS(1039),
    [anon_sym_DASH_DASH] = ACTIONS(1039),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(185),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(2555),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(2547),
    [anon_sym_readonly] = ACTIONS(2547),
    [anon_sym_get] = ACTIONS(2547),
    [anon_sym_set] = ACTIONS(2547),
    [anon_sym_declare] = ACTIONS(2547),
    [anon_sym_public] = ACTIONS(2547),
    [anon_sym_private] = ACTIONS(2547),
    [anon_sym_protected] = ACTIONS(2547),
    [anon_sym_override] = ACTIONS(2547),
    [anon_sym_module] = ACTIONS(2547),
    [anon_sym_any] = ACTIONS(2547),
    [anon_sym_number] = ACTIONS(2547),
    [anon_sym_boolean] = ACTIONS(2547),
    [anon_sym_string] = ACTIONS(2547),
    [anon_sym_symbol] = ACTIONS(2547),
    [anon_sym_object] = ACTIONS(2547),
    [sym_html_comment] = ACTIONS(5),
  },
  [595] = {
    [sym_import] = STATE(4369),
    [sym_parenthesized_expression] = STATE(2177),
    [sym_expression] = STATE(2807),
    [sym_primary_expression] = STATE(2990),
    [sym_yield_expression] = STATE(3139),
    [sym_object] = STATE(3113),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(3113),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(3139),
    [sym_glimmer_opening_tag] = STATE(5702),
    [sym_jsx_element] = STATE(3139),
    [sym_jsx_opening_element] = STATE(4008),
    [sym_jsx_self_closing_element] = STATE(3139),
    [sym_class] = STATE(3113),
    [sym_function_expression] = STATE(3113),
    [sym_generator_function] = STATE(3113),
    [sym_arrow_function] = STATE(3113),
    [sym__call_signature] = STATE(7486),
    [sym_call_expression] = STATE(3113),
    [sym_new_expression] = STATE(3139),
    [sym_await_expression] = STATE(3139),
    [sym_member_expression] = STATE(2177),
    [sym_subscript_expression] = STATE(2177),
    [sym_assignment_expression] = STATE(3139),
    [sym__augmented_assignment_lhs] = STATE(3835),
    [sym_augmented_assignment_expression] = STATE(3139),
    [sym__destructuring_pattern] = STATE(7484),
    [sym_ternary_expression] = STATE(3139),
    [sym_binary_expression] = STATE(3139),
    [sym_unary_expression] = STATE(3139),
    [sym_update_expression] = STATE(3139),
    [sym_string] = STATE(3113),
    [sym_comment] = STATE(595),
    [sym_template_string] = STATE(3113),
    [sym_regex] = STATE(3113),
    [sym_meta_property] = STATE(3113),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2177),
    [sym_as_expression] = STATE(3139),
    [sym_satisfies_expression] = STATE(3139),
    [sym_instantiation_expression] = STATE(3139),
    [sym_internal_module] = STATE(3139),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5555),
    [sym_identifier] = ACTIONS(1744),
    [anon_sym_export] = ACTIONS(1596),
    [anon_sym_type] = ACTIONS(1596),
    [anon_sym_namespace] = ACTIONS(1598),
    [anon_sym_LBRACE] = ACTIONS(1020),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1596),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1029),
    [anon_sym_async] = ACTIONS(1602),
    [anon_sym_function] = ACTIONS(1033),
    [anon_sym_new] = ACTIONS(1748),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1596),
    [anon_sym_readonly] = ACTIONS(1596),
    [anon_sym_get] = ACTIONS(1596),
    [anon_sym_set] = ACTIONS(1596),
    [anon_sym_declare] = ACTIONS(1596),
    [anon_sym_public] = ACTIONS(1596),
    [anon_sym_private] = ACTIONS(1596),
    [anon_sym_protected] = ACTIONS(1596),
    [anon_sym_override] = ACTIONS(1596),
    [anon_sym_module] = ACTIONS(1596),
    [anon_sym_any] = ACTIONS(1596),
    [anon_sym_number] = ACTIONS(1596),
    [anon_sym_boolean] = ACTIONS(1596),
    [anon_sym_string] = ACTIONS(1596),
    [anon_sym_symbol] = ACTIONS(1596),
    [anon_sym_object] = ACTIONS(1596),
    [sym_html_comment] = ACTIONS(5),
  },
  [596] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2196),
    [sym_expression] = STATE(2751),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7510),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2196),
    [sym_subscript_expression] = STATE(2196),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3936),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7511),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(596),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2196),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1750),
    [anon_sym_export] = ACTIONS(1562),
    [anon_sym_type] = ACTIONS(1562),
    [anon_sym_namespace] = ACTIONS(1564),
    [anon_sym_LBRACE] = ACTIONS(1127),
    [anon_sym_typeof] = ACTIONS(1568),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1562),
    [anon_sym_BANG] = ACTIONS(1568),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1570),
    [anon_sym_yield] = ACTIONS(1572),
    [anon_sym_LBRACK] = ACTIONS(1129),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1574),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1754),
    [anon_sym_using] = ACTIONS(1578),
    [anon_sym_PLUS] = ACTIONS(1568),
    [anon_sym_DASH] = ACTIONS(1568),
    [anon_sym_SLASH] = ACTIONS(1274),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(1568),
    [anon_sym_void] = ACTIONS(1568),
    [anon_sym_delete] = ACTIONS(1568),
    [anon_sym_PLUS_PLUS] = ACTIONS(1584),
    [anon_sym_DASH_DASH] = ACTIONS(1584),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(1586),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1756),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1562),
    [anon_sym_readonly] = ACTIONS(1562),
    [anon_sym_get] = ACTIONS(1562),
    [anon_sym_set] = ACTIONS(1562),
    [anon_sym_declare] = ACTIONS(1562),
    [anon_sym_public] = ACTIONS(1562),
    [anon_sym_private] = ACTIONS(1562),
    [anon_sym_protected] = ACTIONS(1562),
    [anon_sym_override] = ACTIONS(1562),
    [anon_sym_module] = ACTIONS(1562),
    [anon_sym_any] = ACTIONS(1562),
    [anon_sym_number] = ACTIONS(1562),
    [anon_sym_boolean] = ACTIONS(1562),
    [anon_sym_string] = ACTIONS(1562),
    [anon_sym_symbol] = ACTIONS(1562),
    [anon_sym_object] = ACTIONS(1562),
    [sym_html_comment] = ACTIONS(5),
  },
  [597] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2248),
    [sym_expression] = STATE(3150),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7502),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2248),
    [sym_subscript_expression] = STATE(2248),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3928),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7561),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(597),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2248),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1774),
    [anon_sym_export] = ACTIONS(1618),
    [anon_sym_type] = ACTIONS(1618),
    [anon_sym_namespace] = ACTIONS(1620),
    [anon_sym_LBRACE] = ACTIONS(1127),
    [anon_sym_typeof] = ACTIONS(1624),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1618),
    [anon_sym_BANG] = ACTIONS(1624),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1626),
    [anon_sym_yield] = ACTIONS(1628),
    [anon_sym_LBRACK] = ACTIONS(1129),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1630),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1778),
    [anon_sym_using] = ACTIONS(1634),
    [anon_sym_PLUS] = ACTIONS(1624),
    [anon_sym_DASH] = ACTIONS(1624),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(1624),
    [anon_sym_void] = ACTIONS(1624),
    [anon_sym_delete] = ACTIONS(1624),
    [anon_sym_PLUS_PLUS] = ACTIONS(1640),
    [anon_sym_DASH_DASH] = ACTIONS(1640),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(1642),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1780),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1618),
    [anon_sym_readonly] = ACTIONS(1618),
    [anon_sym_get] = ACTIONS(1618),
    [anon_sym_set] = ACTIONS(1618),
    [anon_sym_declare] = ACTIONS(1618),
    [anon_sym_public] = ACTIONS(1618),
    [anon_sym_private] = ACTIONS(1618),
    [anon_sym_protected] = ACTIONS(1618),
    [anon_sym_override] = ACTIONS(1618),
    [anon_sym_module] = ACTIONS(1618),
    [anon_sym_any] = ACTIONS(1618),
    [anon_sym_number] = ACTIONS(1618),
    [anon_sym_boolean] = ACTIONS(1618),
    [anon_sym_string] = ACTIONS(1618),
    [anon_sym_symbol] = ACTIONS(1618),
    [anon_sym_object] = ACTIONS(1618),
    [sym_html_comment] = ACTIONS(5),
  },
  [598] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2196),
    [sym_expression] = STATE(2750),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7510),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2196),
    [sym_subscript_expression] = STATE(2196),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3936),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7511),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(598),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2196),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1750),
    [anon_sym_export] = ACTIONS(1562),
    [anon_sym_type] = ACTIONS(1562),
    [anon_sym_namespace] = ACTIONS(1564),
    [anon_sym_LBRACE] = ACTIONS(1127),
    [anon_sym_typeof] = ACTIONS(1568),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1562),
    [anon_sym_BANG] = ACTIONS(1568),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1570),
    [anon_sym_yield] = ACTIONS(1572),
    [anon_sym_LBRACK] = ACTIONS(1129),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1574),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1754),
    [anon_sym_using] = ACTIONS(1578),
    [anon_sym_PLUS] = ACTIONS(1568),
    [anon_sym_DASH] = ACTIONS(1568),
    [anon_sym_SLASH] = ACTIONS(1274),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(1568),
    [anon_sym_void] = ACTIONS(1568),
    [anon_sym_delete] = ACTIONS(1568),
    [anon_sym_PLUS_PLUS] = ACTIONS(1584),
    [anon_sym_DASH_DASH] = ACTIONS(1584),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(1586),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1756),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1562),
    [anon_sym_readonly] = ACTIONS(1562),
    [anon_sym_get] = ACTIONS(1562),
    [anon_sym_set] = ACTIONS(1562),
    [anon_sym_declare] = ACTIONS(1562),
    [anon_sym_public] = ACTIONS(1562),
    [anon_sym_private] = ACTIONS(1562),
    [anon_sym_protected] = ACTIONS(1562),
    [anon_sym_override] = ACTIONS(1562),
    [anon_sym_module] = ACTIONS(1562),
    [anon_sym_any] = ACTIONS(1562),
    [anon_sym_number] = ACTIONS(1562),
    [anon_sym_boolean] = ACTIONS(1562),
    [anon_sym_string] = ACTIONS(1562),
    [anon_sym_symbol] = ACTIONS(1562),
    [anon_sym_object] = ACTIONS(1562),
    [sym_html_comment] = ACTIONS(5),
  },
  [599] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2196),
    [sym_expression] = STATE(2747),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7510),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2196),
    [sym_subscript_expression] = STATE(2196),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3936),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7511),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(599),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2196),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1750),
    [anon_sym_export] = ACTIONS(1562),
    [anon_sym_type] = ACTIONS(1562),
    [anon_sym_namespace] = ACTIONS(1564),
    [anon_sym_LBRACE] = ACTIONS(1127),
    [anon_sym_typeof] = ACTIONS(1568),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1562),
    [anon_sym_BANG] = ACTIONS(1568),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1570),
    [anon_sym_yield] = ACTIONS(1572),
    [anon_sym_LBRACK] = ACTIONS(1129),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1574),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1754),
    [anon_sym_using] = ACTIONS(1578),
    [anon_sym_PLUS] = ACTIONS(1568),
    [anon_sym_DASH] = ACTIONS(1568),
    [anon_sym_SLASH] = ACTIONS(1274),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(1568),
    [anon_sym_void] = ACTIONS(1568),
    [anon_sym_delete] = ACTIONS(1568),
    [anon_sym_PLUS_PLUS] = ACTIONS(1584),
    [anon_sym_DASH_DASH] = ACTIONS(1584),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(1586),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1756),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1562),
    [anon_sym_readonly] = ACTIONS(1562),
    [anon_sym_get] = ACTIONS(1562),
    [anon_sym_set] = ACTIONS(1562),
    [anon_sym_declare] = ACTIONS(1562),
    [anon_sym_public] = ACTIONS(1562),
    [anon_sym_private] = ACTIONS(1562),
    [anon_sym_protected] = ACTIONS(1562),
    [anon_sym_override] = ACTIONS(1562),
    [anon_sym_module] = ACTIONS(1562),
    [anon_sym_any] = ACTIONS(1562),
    [anon_sym_number] = ACTIONS(1562),
    [anon_sym_boolean] = ACTIONS(1562),
    [anon_sym_string] = ACTIONS(1562),
    [anon_sym_symbol] = ACTIONS(1562),
    [anon_sym_object] = ACTIONS(1562),
    [sym_html_comment] = ACTIONS(5),
  },
  [600] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2196),
    [sym_expression] = STATE(2740),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7510),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2196),
    [sym_subscript_expression] = STATE(2196),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3936),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7511),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(600),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2196),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1750),
    [anon_sym_export] = ACTIONS(1562),
    [anon_sym_type] = ACTIONS(1562),
    [anon_sym_namespace] = ACTIONS(1564),
    [anon_sym_LBRACE] = ACTIONS(1127),
    [anon_sym_typeof] = ACTIONS(1568),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1562),
    [anon_sym_BANG] = ACTIONS(1568),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1570),
    [anon_sym_yield] = ACTIONS(1572),
    [anon_sym_LBRACK] = ACTIONS(1129),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1574),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1754),
    [anon_sym_using] = ACTIONS(1578),
    [anon_sym_PLUS] = ACTIONS(1568),
    [anon_sym_DASH] = ACTIONS(1568),
    [anon_sym_SLASH] = ACTIONS(1274),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(1568),
    [anon_sym_void] = ACTIONS(1568),
    [anon_sym_delete] = ACTIONS(1568),
    [anon_sym_PLUS_PLUS] = ACTIONS(1584),
    [anon_sym_DASH_DASH] = ACTIONS(1584),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(1586),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1756),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1562),
    [anon_sym_readonly] = ACTIONS(1562),
    [anon_sym_get] = ACTIONS(1562),
    [anon_sym_set] = ACTIONS(1562),
    [anon_sym_declare] = ACTIONS(1562),
    [anon_sym_public] = ACTIONS(1562),
    [anon_sym_private] = ACTIONS(1562),
    [anon_sym_protected] = ACTIONS(1562),
    [anon_sym_override] = ACTIONS(1562),
    [anon_sym_module] = ACTIONS(1562),
    [anon_sym_any] = ACTIONS(1562),
    [anon_sym_number] = ACTIONS(1562),
    [anon_sym_boolean] = ACTIONS(1562),
    [anon_sym_string] = ACTIONS(1562),
    [anon_sym_symbol] = ACTIONS(1562),
    [anon_sym_object] = ACTIONS(1562),
    [sym_html_comment] = ACTIONS(5),
  },
  [601] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2239),
    [sym_expression] = STATE(3160),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7446),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2239),
    [sym_subscript_expression] = STATE(2239),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3938),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7450),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(601),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2239),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1782),
    [anon_sym_export] = ACTIONS(1408),
    [anon_sym_type] = ACTIONS(1408),
    [anon_sym_namespace] = ACTIONS(1410),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(1416),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1408),
    [anon_sym_BANG] = ACTIONS(1416),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1418),
    [anon_sym_yield] = ACTIONS(1420),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1424),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1786),
    [anon_sym_using] = ACTIONS(1428),
    [anon_sym_PLUS] = ACTIONS(1416),
    [anon_sym_DASH] = ACTIONS(1416),
    [anon_sym_SLASH] = ACTIONS(1290),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(1416),
    [anon_sym_void] = ACTIONS(1416),
    [anon_sym_delete] = ACTIONS(1416),
    [anon_sym_PLUS_PLUS] = ACTIONS(1434),
    [anon_sym_DASH_DASH] = ACTIONS(1434),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(2531),
    [sym_private_property_identifier] = ACTIONS(1440),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1788),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1408),
    [anon_sym_readonly] = ACTIONS(1408),
    [anon_sym_get] = ACTIONS(1408),
    [anon_sym_set] = ACTIONS(1408),
    [anon_sym_declare] = ACTIONS(1408),
    [anon_sym_public] = ACTIONS(1408),
    [anon_sym_private] = ACTIONS(1408),
    [anon_sym_protected] = ACTIONS(1408),
    [anon_sym_override] = ACTIONS(1408),
    [anon_sym_module] = ACTIONS(1408),
    [anon_sym_any] = ACTIONS(1408),
    [anon_sym_number] = ACTIONS(1408),
    [anon_sym_boolean] = ACTIONS(1408),
    [anon_sym_string] = ACTIONS(1408),
    [anon_sym_symbol] = ACTIONS(1408),
    [anon_sym_object] = ACTIONS(1408),
    [sym_html_comment] = ACTIONS(5),
  },
  [602] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2196),
    [sym_expression] = STATE(2738),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7510),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2196),
    [sym_subscript_expression] = STATE(2196),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3936),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7511),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(602),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2196),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1750),
    [anon_sym_export] = ACTIONS(1562),
    [anon_sym_type] = ACTIONS(1562),
    [anon_sym_namespace] = ACTIONS(1564),
    [anon_sym_LBRACE] = ACTIONS(1127),
    [anon_sym_typeof] = ACTIONS(1568),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1562),
    [anon_sym_BANG] = ACTIONS(1568),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1570),
    [anon_sym_yield] = ACTIONS(1572),
    [anon_sym_LBRACK] = ACTIONS(1129),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1574),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1754),
    [anon_sym_using] = ACTIONS(1578),
    [anon_sym_PLUS] = ACTIONS(1568),
    [anon_sym_DASH] = ACTIONS(1568),
    [anon_sym_SLASH] = ACTIONS(1274),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(1568),
    [anon_sym_void] = ACTIONS(1568),
    [anon_sym_delete] = ACTIONS(1568),
    [anon_sym_PLUS_PLUS] = ACTIONS(1584),
    [anon_sym_DASH_DASH] = ACTIONS(1584),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(1586),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1756),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1562),
    [anon_sym_readonly] = ACTIONS(1562),
    [anon_sym_get] = ACTIONS(1562),
    [anon_sym_set] = ACTIONS(1562),
    [anon_sym_declare] = ACTIONS(1562),
    [anon_sym_public] = ACTIONS(1562),
    [anon_sym_private] = ACTIONS(1562),
    [anon_sym_protected] = ACTIONS(1562),
    [anon_sym_override] = ACTIONS(1562),
    [anon_sym_module] = ACTIONS(1562),
    [anon_sym_any] = ACTIONS(1562),
    [anon_sym_number] = ACTIONS(1562),
    [anon_sym_boolean] = ACTIONS(1562),
    [anon_sym_string] = ACTIONS(1562),
    [anon_sym_symbol] = ACTIONS(1562),
    [anon_sym_object] = ACTIONS(1562),
    [sym_html_comment] = ACTIONS(5),
  },
  [603] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2151),
    [sym_expression] = STATE(2464),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7643),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2151),
    [sym_subscript_expression] = STATE(2151),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3918),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7259),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(603),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2151),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1724),
    [anon_sym_export] = ACTIONS(1452),
    [anon_sym_type] = ACTIONS(1452),
    [anon_sym_namespace] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(1127),
    [anon_sym_typeof] = ACTIONS(968),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1452),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(1129),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1462),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1730),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_PLUS] = ACTIONS(968),
    [anon_sym_DASH] = ACTIONS(968),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(968),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(2557),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1732),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1452),
    [anon_sym_readonly] = ACTIONS(1452),
    [anon_sym_get] = ACTIONS(1452),
    [anon_sym_set] = ACTIONS(1452),
    [anon_sym_declare] = ACTIONS(1452),
    [anon_sym_public] = ACTIONS(1452),
    [anon_sym_private] = ACTIONS(1452),
    [anon_sym_protected] = ACTIONS(1452),
    [anon_sym_override] = ACTIONS(1452),
    [anon_sym_module] = ACTIONS(1452),
    [anon_sym_any] = ACTIONS(1452),
    [anon_sym_number] = ACTIONS(1452),
    [anon_sym_boolean] = ACTIONS(1452),
    [anon_sym_string] = ACTIONS(1452),
    [anon_sym_symbol] = ACTIONS(1452),
    [anon_sym_object] = ACTIONS(1452),
    [sym_html_comment] = ACTIONS(5),
  },
  [604] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2239),
    [sym_expression] = STATE(3320),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7446),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2239),
    [sym_subscript_expression] = STATE(2239),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3938),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7450),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(604),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2239),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1782),
    [anon_sym_export] = ACTIONS(1408),
    [anon_sym_type] = ACTIONS(1408),
    [anon_sym_namespace] = ACTIONS(1410),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(1416),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1408),
    [anon_sym_BANG] = ACTIONS(1416),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1418),
    [anon_sym_yield] = ACTIONS(1420),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1424),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1786),
    [anon_sym_using] = ACTIONS(1428),
    [anon_sym_PLUS] = ACTIONS(1416),
    [anon_sym_DASH] = ACTIONS(1416),
    [anon_sym_SLASH] = ACTIONS(1290),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(1416),
    [anon_sym_void] = ACTIONS(1416),
    [anon_sym_delete] = ACTIONS(1416),
    [anon_sym_PLUS_PLUS] = ACTIONS(1434),
    [anon_sym_DASH_DASH] = ACTIONS(1434),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(1440),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1788),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1408),
    [anon_sym_readonly] = ACTIONS(1408),
    [anon_sym_get] = ACTIONS(1408),
    [anon_sym_set] = ACTIONS(1408),
    [anon_sym_declare] = ACTIONS(1408),
    [anon_sym_public] = ACTIONS(1408),
    [anon_sym_private] = ACTIONS(1408),
    [anon_sym_protected] = ACTIONS(1408),
    [anon_sym_override] = ACTIONS(1408),
    [anon_sym_module] = ACTIONS(1408),
    [anon_sym_any] = ACTIONS(1408),
    [anon_sym_number] = ACTIONS(1408),
    [anon_sym_boolean] = ACTIONS(1408),
    [anon_sym_string] = ACTIONS(1408),
    [anon_sym_symbol] = ACTIONS(1408),
    [anon_sym_object] = ACTIONS(1408),
    [sym_html_comment] = ACTIONS(5),
  },
  [605] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2151),
    [sym_expression] = STATE(2464),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7643),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2151),
    [sym_subscript_expression] = STATE(2151),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3918),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7259),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(605),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2151),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1724),
    [anon_sym_export] = ACTIONS(1452),
    [anon_sym_type] = ACTIONS(1452),
    [anon_sym_namespace] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(1127),
    [anon_sym_typeof] = ACTIONS(968),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1452),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(1129),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1462),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1730),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_PLUS] = ACTIONS(968),
    [anon_sym_DASH] = ACTIONS(968),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(968),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(2559),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1732),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1452),
    [anon_sym_readonly] = ACTIONS(1452),
    [anon_sym_get] = ACTIONS(1452),
    [anon_sym_set] = ACTIONS(1452),
    [anon_sym_declare] = ACTIONS(1452),
    [anon_sym_public] = ACTIONS(1452),
    [anon_sym_private] = ACTIONS(1452),
    [anon_sym_protected] = ACTIONS(1452),
    [anon_sym_override] = ACTIONS(1452),
    [anon_sym_module] = ACTIONS(1452),
    [anon_sym_any] = ACTIONS(1452),
    [anon_sym_number] = ACTIONS(1452),
    [anon_sym_boolean] = ACTIONS(1452),
    [anon_sym_string] = ACTIONS(1452),
    [anon_sym_symbol] = ACTIONS(1452),
    [anon_sym_object] = ACTIONS(1452),
    [sym_html_comment] = ACTIONS(5),
  },
  [606] = {
    [sym_import] = STATE(4369),
    [sym_parenthesized_expression] = STATE(2175),
    [sym_expression] = STATE(2547),
    [sym_primary_expression] = STATE(2990),
    [sym_yield_expression] = STATE(3139),
    [sym_object] = STATE(3113),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(3113),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(3139),
    [sym_glimmer_opening_tag] = STATE(5702),
    [sym_jsx_element] = STATE(3139),
    [sym_jsx_opening_element] = STATE(4008),
    [sym_jsx_self_closing_element] = STATE(3139),
    [sym_class] = STATE(3113),
    [sym_function_expression] = STATE(3113),
    [sym_generator_function] = STATE(3113),
    [sym_arrow_function] = STATE(3113),
    [sym__call_signature] = STATE(7205),
    [sym_call_expression] = STATE(3113),
    [sym_new_expression] = STATE(3139),
    [sym_await_expression] = STATE(3139),
    [sym_member_expression] = STATE(2175),
    [sym_subscript_expression] = STATE(2175),
    [sym_assignment_expression] = STATE(3139),
    [sym__augmented_assignment_lhs] = STATE(3844),
    [sym_augmented_assignment_expression] = STATE(3139),
    [sym__destructuring_pattern] = STATE(7209),
    [sym_ternary_expression] = STATE(3139),
    [sym_binary_expression] = STATE(3139),
    [sym_unary_expression] = STATE(3139),
    [sym_update_expression] = STATE(3139),
    [sym_string] = STATE(3113),
    [sym_comment] = STATE(606),
    [sym_template_string] = STATE(3113),
    [sym_regex] = STATE(3113),
    [sym_meta_property] = STATE(3113),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2175),
    [sym_as_expression] = STATE(3139),
    [sym_satisfies_expression] = STATE(3139),
    [sym_instantiation_expression] = STATE(3139),
    [sym_internal_module] = STATE(3139),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5555),
    [sym_identifier] = ACTIONS(1736),
    [anon_sym_export] = ACTIONS(1518),
    [anon_sym_type] = ACTIONS(1518),
    [anon_sym_namespace] = ACTIONS(1520),
    [anon_sym_LBRACE] = ACTIONS(1020),
    [anon_sym_typeof] = ACTIONS(1526),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1518),
    [anon_sym_BANG] = ACTIONS(1526),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1528),
    [anon_sym_yield] = ACTIONS(1530),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1029),
    [anon_sym_async] = ACTIONS(1534),
    [anon_sym_function] = ACTIONS(1033),
    [anon_sym_new] = ACTIONS(1740),
    [anon_sym_using] = ACTIONS(1538),
    [anon_sym_PLUS] = ACTIONS(1526),
    [anon_sym_DASH] = ACTIONS(1526),
    [anon_sym_SLASH] = ACTIONS(1195),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1526),
    [anon_sym_void] = ACTIONS(1526),
    [anon_sym_delete] = ACTIONS(1526),
    [anon_sym_PLUS_PLUS] = ACTIONS(1544),
    [anon_sym_DASH_DASH] = ACTIONS(1544),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1550),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1742),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1518),
    [anon_sym_readonly] = ACTIONS(1518),
    [anon_sym_get] = ACTIONS(1518),
    [anon_sym_set] = ACTIONS(1518),
    [anon_sym_declare] = ACTIONS(1518),
    [anon_sym_public] = ACTIONS(1518),
    [anon_sym_private] = ACTIONS(1518),
    [anon_sym_protected] = ACTIONS(1518),
    [anon_sym_override] = ACTIONS(1518),
    [anon_sym_module] = ACTIONS(1518),
    [anon_sym_any] = ACTIONS(1518),
    [anon_sym_number] = ACTIONS(1518),
    [anon_sym_boolean] = ACTIONS(1518),
    [anon_sym_string] = ACTIONS(1518),
    [anon_sym_symbol] = ACTIONS(1518),
    [anon_sym_object] = ACTIONS(1518),
    [sym_html_comment] = ACTIONS(5),
  },
  [607] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2248),
    [sym_expression] = STATE(3167),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7502),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2248),
    [sym_subscript_expression] = STATE(2248),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3928),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7561),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(607),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2248),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1774),
    [anon_sym_export] = ACTIONS(1618),
    [anon_sym_type] = ACTIONS(1618),
    [anon_sym_namespace] = ACTIONS(1620),
    [anon_sym_LBRACE] = ACTIONS(1127),
    [anon_sym_typeof] = ACTIONS(1624),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1618),
    [anon_sym_BANG] = ACTIONS(1624),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1626),
    [anon_sym_yield] = ACTIONS(1628),
    [anon_sym_LBRACK] = ACTIONS(1129),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1630),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1778),
    [anon_sym_using] = ACTIONS(1634),
    [anon_sym_PLUS] = ACTIONS(1624),
    [anon_sym_DASH] = ACTIONS(1624),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(1624),
    [anon_sym_void] = ACTIONS(1624),
    [anon_sym_delete] = ACTIONS(1624),
    [anon_sym_PLUS_PLUS] = ACTIONS(1640),
    [anon_sym_DASH_DASH] = ACTIONS(1640),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(1642),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1780),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1618),
    [anon_sym_readonly] = ACTIONS(1618),
    [anon_sym_get] = ACTIONS(1618),
    [anon_sym_set] = ACTIONS(1618),
    [anon_sym_declare] = ACTIONS(1618),
    [anon_sym_public] = ACTIONS(1618),
    [anon_sym_private] = ACTIONS(1618),
    [anon_sym_protected] = ACTIONS(1618),
    [anon_sym_override] = ACTIONS(1618),
    [anon_sym_module] = ACTIONS(1618),
    [anon_sym_any] = ACTIONS(1618),
    [anon_sym_number] = ACTIONS(1618),
    [anon_sym_boolean] = ACTIONS(1618),
    [anon_sym_string] = ACTIONS(1618),
    [anon_sym_symbol] = ACTIONS(1618),
    [anon_sym_object] = ACTIONS(1618),
    [sym_html_comment] = ACTIONS(5),
  },
  [608] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2239),
    [sym_expression] = STATE(3305),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7446),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2239),
    [sym_subscript_expression] = STATE(2239),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3938),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7450),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(608),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2239),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1782),
    [anon_sym_export] = ACTIONS(1408),
    [anon_sym_type] = ACTIONS(1408),
    [anon_sym_namespace] = ACTIONS(1410),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(1416),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1408),
    [anon_sym_BANG] = ACTIONS(1416),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1418),
    [anon_sym_yield] = ACTIONS(1420),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1424),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1786),
    [anon_sym_using] = ACTIONS(1428),
    [anon_sym_PLUS] = ACTIONS(1416),
    [anon_sym_DASH] = ACTIONS(1416),
    [anon_sym_SLASH] = ACTIONS(1290),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(1416),
    [anon_sym_void] = ACTIONS(1416),
    [anon_sym_delete] = ACTIONS(1416),
    [anon_sym_PLUS_PLUS] = ACTIONS(1434),
    [anon_sym_DASH_DASH] = ACTIONS(1434),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(1440),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1788),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1408),
    [anon_sym_readonly] = ACTIONS(1408),
    [anon_sym_get] = ACTIONS(1408),
    [anon_sym_set] = ACTIONS(1408),
    [anon_sym_declare] = ACTIONS(1408),
    [anon_sym_public] = ACTIONS(1408),
    [anon_sym_private] = ACTIONS(1408),
    [anon_sym_protected] = ACTIONS(1408),
    [anon_sym_override] = ACTIONS(1408),
    [anon_sym_module] = ACTIONS(1408),
    [anon_sym_any] = ACTIONS(1408),
    [anon_sym_number] = ACTIONS(1408),
    [anon_sym_boolean] = ACTIONS(1408),
    [anon_sym_string] = ACTIONS(1408),
    [anon_sym_symbol] = ACTIONS(1408),
    [anon_sym_object] = ACTIONS(1408),
    [sym_html_comment] = ACTIONS(5),
  },
  [609] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2196),
    [sym_expression] = STATE(2731),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7510),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2196),
    [sym_subscript_expression] = STATE(2196),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3936),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7511),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(609),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2196),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1750),
    [anon_sym_export] = ACTIONS(1562),
    [anon_sym_type] = ACTIONS(1562),
    [anon_sym_namespace] = ACTIONS(1564),
    [anon_sym_LBRACE] = ACTIONS(1127),
    [anon_sym_typeof] = ACTIONS(1568),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1562),
    [anon_sym_BANG] = ACTIONS(1568),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1570),
    [anon_sym_yield] = ACTIONS(1572),
    [anon_sym_LBRACK] = ACTIONS(1129),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1574),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1754),
    [anon_sym_using] = ACTIONS(1578),
    [anon_sym_PLUS] = ACTIONS(1568),
    [anon_sym_DASH] = ACTIONS(1568),
    [anon_sym_SLASH] = ACTIONS(1274),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(1568),
    [anon_sym_void] = ACTIONS(1568),
    [anon_sym_delete] = ACTIONS(1568),
    [anon_sym_PLUS_PLUS] = ACTIONS(1584),
    [anon_sym_DASH_DASH] = ACTIONS(1584),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(1586),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1756),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1562),
    [anon_sym_readonly] = ACTIONS(1562),
    [anon_sym_get] = ACTIONS(1562),
    [anon_sym_set] = ACTIONS(1562),
    [anon_sym_declare] = ACTIONS(1562),
    [anon_sym_public] = ACTIONS(1562),
    [anon_sym_private] = ACTIONS(1562),
    [anon_sym_protected] = ACTIONS(1562),
    [anon_sym_override] = ACTIONS(1562),
    [anon_sym_module] = ACTIONS(1562),
    [anon_sym_any] = ACTIONS(1562),
    [anon_sym_number] = ACTIONS(1562),
    [anon_sym_boolean] = ACTIONS(1562),
    [anon_sym_string] = ACTIONS(1562),
    [anon_sym_symbol] = ACTIONS(1562),
    [anon_sym_object] = ACTIONS(1562),
    [sym_html_comment] = ACTIONS(5),
  },
  [610] = {
    [sym_import] = STATE(4369),
    [sym_parenthesized_expression] = STATE(2175),
    [sym_expression] = STATE(2557),
    [sym_primary_expression] = STATE(2990),
    [sym_yield_expression] = STATE(3139),
    [sym_object] = STATE(3113),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(3113),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(3139),
    [sym_glimmer_opening_tag] = STATE(5702),
    [sym_jsx_element] = STATE(3139),
    [sym_jsx_opening_element] = STATE(4008),
    [sym_jsx_self_closing_element] = STATE(3139),
    [sym_class] = STATE(3113),
    [sym_function_expression] = STATE(3113),
    [sym_generator_function] = STATE(3113),
    [sym_arrow_function] = STATE(3113),
    [sym__call_signature] = STATE(7205),
    [sym_call_expression] = STATE(3113),
    [sym_new_expression] = STATE(3139),
    [sym_await_expression] = STATE(3139),
    [sym_member_expression] = STATE(2175),
    [sym_subscript_expression] = STATE(2175),
    [sym_assignment_expression] = STATE(3139),
    [sym__augmented_assignment_lhs] = STATE(3844),
    [sym_augmented_assignment_expression] = STATE(3139),
    [sym__destructuring_pattern] = STATE(7209),
    [sym_ternary_expression] = STATE(3139),
    [sym_binary_expression] = STATE(3139),
    [sym_unary_expression] = STATE(3139),
    [sym_update_expression] = STATE(3139),
    [sym_string] = STATE(3113),
    [sym_comment] = STATE(610),
    [sym_template_string] = STATE(3113),
    [sym_regex] = STATE(3113),
    [sym_meta_property] = STATE(3113),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2175),
    [sym_as_expression] = STATE(3139),
    [sym_satisfies_expression] = STATE(3139),
    [sym_instantiation_expression] = STATE(3139),
    [sym_internal_module] = STATE(3139),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5555),
    [sym_identifier] = ACTIONS(1736),
    [anon_sym_export] = ACTIONS(1518),
    [anon_sym_type] = ACTIONS(1518),
    [anon_sym_namespace] = ACTIONS(1520),
    [anon_sym_LBRACE] = ACTIONS(1020),
    [anon_sym_typeof] = ACTIONS(1526),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1518),
    [anon_sym_BANG] = ACTIONS(1526),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1528),
    [anon_sym_yield] = ACTIONS(1530),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1029),
    [anon_sym_async] = ACTIONS(1534),
    [anon_sym_function] = ACTIONS(1033),
    [anon_sym_new] = ACTIONS(1740),
    [anon_sym_using] = ACTIONS(1538),
    [anon_sym_PLUS] = ACTIONS(1526),
    [anon_sym_DASH] = ACTIONS(1526),
    [anon_sym_SLASH] = ACTIONS(1195),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1526),
    [anon_sym_void] = ACTIONS(1526),
    [anon_sym_delete] = ACTIONS(1526),
    [anon_sym_PLUS_PLUS] = ACTIONS(1544),
    [anon_sym_DASH_DASH] = ACTIONS(1544),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1550),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1742),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1518),
    [anon_sym_readonly] = ACTIONS(1518),
    [anon_sym_get] = ACTIONS(1518),
    [anon_sym_set] = ACTIONS(1518),
    [anon_sym_declare] = ACTIONS(1518),
    [anon_sym_public] = ACTIONS(1518),
    [anon_sym_private] = ACTIONS(1518),
    [anon_sym_protected] = ACTIONS(1518),
    [anon_sym_override] = ACTIONS(1518),
    [anon_sym_module] = ACTIONS(1518),
    [anon_sym_any] = ACTIONS(1518),
    [anon_sym_number] = ACTIONS(1518),
    [anon_sym_boolean] = ACTIONS(1518),
    [anon_sym_string] = ACTIONS(1518),
    [anon_sym_symbol] = ACTIONS(1518),
    [anon_sym_object] = ACTIONS(1518),
    [sym_html_comment] = ACTIONS(5),
  },
  [611] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2196),
    [sym_expression] = STATE(2749),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7510),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2196),
    [sym_subscript_expression] = STATE(2196),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3936),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7511),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(611),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2196),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1750),
    [anon_sym_export] = ACTIONS(1562),
    [anon_sym_type] = ACTIONS(1562),
    [anon_sym_namespace] = ACTIONS(1564),
    [anon_sym_LBRACE] = ACTIONS(1127),
    [anon_sym_typeof] = ACTIONS(1568),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1562),
    [anon_sym_BANG] = ACTIONS(1568),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1570),
    [anon_sym_yield] = ACTIONS(1572),
    [anon_sym_LBRACK] = ACTIONS(1129),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1574),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1754),
    [anon_sym_using] = ACTIONS(1578),
    [anon_sym_PLUS] = ACTIONS(1568),
    [anon_sym_DASH] = ACTIONS(1568),
    [anon_sym_SLASH] = ACTIONS(1274),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(1568),
    [anon_sym_void] = ACTIONS(1568),
    [anon_sym_delete] = ACTIONS(1568),
    [anon_sym_PLUS_PLUS] = ACTIONS(1584),
    [anon_sym_DASH_DASH] = ACTIONS(1584),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(1586),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1756),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1562),
    [anon_sym_readonly] = ACTIONS(1562),
    [anon_sym_get] = ACTIONS(1562),
    [anon_sym_set] = ACTIONS(1562),
    [anon_sym_declare] = ACTIONS(1562),
    [anon_sym_public] = ACTIONS(1562),
    [anon_sym_private] = ACTIONS(1562),
    [anon_sym_protected] = ACTIONS(1562),
    [anon_sym_override] = ACTIONS(1562),
    [anon_sym_module] = ACTIONS(1562),
    [anon_sym_any] = ACTIONS(1562),
    [anon_sym_number] = ACTIONS(1562),
    [anon_sym_boolean] = ACTIONS(1562),
    [anon_sym_string] = ACTIONS(1562),
    [anon_sym_symbol] = ACTIONS(1562),
    [anon_sym_object] = ACTIONS(1562),
    [sym_html_comment] = ACTIONS(5),
  },
  [612] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2248),
    [sym_expression] = STATE(3171),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7502),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2248),
    [sym_subscript_expression] = STATE(2248),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3928),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7561),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(612),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2248),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1774),
    [anon_sym_export] = ACTIONS(1618),
    [anon_sym_type] = ACTIONS(1618),
    [anon_sym_namespace] = ACTIONS(1620),
    [anon_sym_LBRACE] = ACTIONS(1127),
    [anon_sym_typeof] = ACTIONS(1624),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1618),
    [anon_sym_BANG] = ACTIONS(1624),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1626),
    [anon_sym_yield] = ACTIONS(1628),
    [anon_sym_LBRACK] = ACTIONS(1129),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1630),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1778),
    [anon_sym_using] = ACTIONS(1634),
    [anon_sym_PLUS] = ACTIONS(1624),
    [anon_sym_DASH] = ACTIONS(1624),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(1624),
    [anon_sym_void] = ACTIONS(1624),
    [anon_sym_delete] = ACTIONS(1624),
    [anon_sym_PLUS_PLUS] = ACTIONS(1640),
    [anon_sym_DASH_DASH] = ACTIONS(1640),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(1642),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1780),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1618),
    [anon_sym_readonly] = ACTIONS(1618),
    [anon_sym_get] = ACTIONS(1618),
    [anon_sym_set] = ACTIONS(1618),
    [anon_sym_declare] = ACTIONS(1618),
    [anon_sym_public] = ACTIONS(1618),
    [anon_sym_private] = ACTIONS(1618),
    [anon_sym_protected] = ACTIONS(1618),
    [anon_sym_override] = ACTIONS(1618),
    [anon_sym_module] = ACTIONS(1618),
    [anon_sym_any] = ACTIONS(1618),
    [anon_sym_number] = ACTIONS(1618),
    [anon_sym_boolean] = ACTIONS(1618),
    [anon_sym_string] = ACTIONS(1618),
    [anon_sym_symbol] = ACTIONS(1618),
    [anon_sym_object] = ACTIONS(1618),
    [sym_html_comment] = ACTIONS(5),
  },
  [613] = {
    [sym_import] = STATE(4369),
    [sym_parenthesized_expression] = STATE(2177),
    [sym_expression] = STATE(2592),
    [sym_primary_expression] = STATE(2990),
    [sym_yield_expression] = STATE(3139),
    [sym_object] = STATE(3113),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(3113),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(3139),
    [sym_glimmer_opening_tag] = STATE(5702),
    [sym_jsx_element] = STATE(3139),
    [sym_jsx_opening_element] = STATE(4008),
    [sym_jsx_self_closing_element] = STATE(3139),
    [sym_class] = STATE(3113),
    [sym_function_expression] = STATE(3113),
    [sym_generator_function] = STATE(3113),
    [sym_arrow_function] = STATE(3113),
    [sym__call_signature] = STATE(7486),
    [sym_call_expression] = STATE(3113),
    [sym_new_expression] = STATE(3139),
    [sym_await_expression] = STATE(3139),
    [sym_member_expression] = STATE(2177),
    [sym_subscript_expression] = STATE(2177),
    [sym_assignment_expression] = STATE(3139),
    [sym__augmented_assignment_lhs] = STATE(3835),
    [sym_augmented_assignment_expression] = STATE(3139),
    [sym__destructuring_pattern] = STATE(7484),
    [sym_ternary_expression] = STATE(3139),
    [sym_binary_expression] = STATE(3139),
    [sym_unary_expression] = STATE(3139),
    [sym_update_expression] = STATE(3139),
    [sym_string] = STATE(3113),
    [sym_comment] = STATE(613),
    [sym_template_string] = STATE(3113),
    [sym_regex] = STATE(3113),
    [sym_meta_property] = STATE(3113),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2177),
    [sym_as_expression] = STATE(3139),
    [sym_satisfies_expression] = STATE(3139),
    [sym_instantiation_expression] = STATE(3139),
    [sym_internal_module] = STATE(3139),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5555),
    [sym_identifier] = ACTIONS(1744),
    [anon_sym_export] = ACTIONS(1596),
    [anon_sym_type] = ACTIONS(1596),
    [anon_sym_namespace] = ACTIONS(1598),
    [anon_sym_LBRACE] = ACTIONS(1020),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1596),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1029),
    [anon_sym_async] = ACTIONS(1602),
    [anon_sym_function] = ACTIONS(1033),
    [anon_sym_new] = ACTIONS(1748),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1596),
    [anon_sym_readonly] = ACTIONS(1596),
    [anon_sym_get] = ACTIONS(1596),
    [anon_sym_set] = ACTIONS(1596),
    [anon_sym_declare] = ACTIONS(1596),
    [anon_sym_public] = ACTIONS(1596),
    [anon_sym_private] = ACTIONS(1596),
    [anon_sym_protected] = ACTIONS(1596),
    [anon_sym_override] = ACTIONS(1596),
    [anon_sym_module] = ACTIONS(1596),
    [anon_sym_any] = ACTIONS(1596),
    [anon_sym_number] = ACTIONS(1596),
    [anon_sym_boolean] = ACTIONS(1596),
    [anon_sym_string] = ACTIONS(1596),
    [anon_sym_symbol] = ACTIONS(1596),
    [anon_sym_object] = ACTIONS(1596),
    [sym_html_comment] = ACTIONS(5),
  },
  [614] = {
    [sym_import] = STATE(4369),
    [sym_parenthesized_expression] = STATE(2177),
    [sym_expression] = STATE(2591),
    [sym_primary_expression] = STATE(2990),
    [sym_yield_expression] = STATE(3139),
    [sym_object] = STATE(3113),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(3113),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(3139),
    [sym_glimmer_opening_tag] = STATE(5702),
    [sym_jsx_element] = STATE(3139),
    [sym_jsx_opening_element] = STATE(4008),
    [sym_jsx_self_closing_element] = STATE(3139),
    [sym_class] = STATE(3113),
    [sym_function_expression] = STATE(3113),
    [sym_generator_function] = STATE(3113),
    [sym_arrow_function] = STATE(3113),
    [sym__call_signature] = STATE(7486),
    [sym_call_expression] = STATE(3113),
    [sym_new_expression] = STATE(3139),
    [sym_await_expression] = STATE(3139),
    [sym_member_expression] = STATE(2177),
    [sym_subscript_expression] = STATE(2177),
    [sym_assignment_expression] = STATE(3139),
    [sym__augmented_assignment_lhs] = STATE(3835),
    [sym_augmented_assignment_expression] = STATE(3139),
    [sym__destructuring_pattern] = STATE(7484),
    [sym_ternary_expression] = STATE(3139),
    [sym_binary_expression] = STATE(3139),
    [sym_unary_expression] = STATE(3139),
    [sym_update_expression] = STATE(3139),
    [sym_string] = STATE(3113),
    [sym_comment] = STATE(614),
    [sym_template_string] = STATE(3113),
    [sym_regex] = STATE(3113),
    [sym_meta_property] = STATE(3113),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2177),
    [sym_as_expression] = STATE(3139),
    [sym_satisfies_expression] = STATE(3139),
    [sym_instantiation_expression] = STATE(3139),
    [sym_internal_module] = STATE(3139),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5555),
    [sym_identifier] = ACTIONS(1744),
    [anon_sym_export] = ACTIONS(1596),
    [anon_sym_type] = ACTIONS(1596),
    [anon_sym_namespace] = ACTIONS(1598),
    [anon_sym_LBRACE] = ACTIONS(1020),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1596),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1029),
    [anon_sym_async] = ACTIONS(1602),
    [anon_sym_function] = ACTIONS(1033),
    [anon_sym_new] = ACTIONS(1748),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1596),
    [anon_sym_readonly] = ACTIONS(1596),
    [anon_sym_get] = ACTIONS(1596),
    [anon_sym_set] = ACTIONS(1596),
    [anon_sym_declare] = ACTIONS(1596),
    [anon_sym_public] = ACTIONS(1596),
    [anon_sym_private] = ACTIONS(1596),
    [anon_sym_protected] = ACTIONS(1596),
    [anon_sym_override] = ACTIONS(1596),
    [anon_sym_module] = ACTIONS(1596),
    [anon_sym_any] = ACTIONS(1596),
    [anon_sym_number] = ACTIONS(1596),
    [anon_sym_boolean] = ACTIONS(1596),
    [anon_sym_string] = ACTIONS(1596),
    [anon_sym_symbol] = ACTIONS(1596),
    [anon_sym_object] = ACTIONS(1596),
    [sym_html_comment] = ACTIONS(5),
  },
  [615] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2248),
    [sym_expression] = STATE(3167),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7502),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2248),
    [sym_subscript_expression] = STATE(2248),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3928),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7561),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(615),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2248),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1774),
    [anon_sym_export] = ACTIONS(1618),
    [anon_sym_type] = ACTIONS(1618),
    [anon_sym_namespace] = ACTIONS(1620),
    [anon_sym_LBRACE] = ACTIONS(1127),
    [anon_sym_typeof] = ACTIONS(1624),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1618),
    [anon_sym_BANG] = ACTIONS(1624),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1626),
    [anon_sym_yield] = ACTIONS(1628),
    [anon_sym_LBRACK] = ACTIONS(1129),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1630),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1778),
    [anon_sym_using] = ACTIONS(1634),
    [anon_sym_PLUS] = ACTIONS(1624),
    [anon_sym_DASH] = ACTIONS(1624),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(1624),
    [anon_sym_void] = ACTIONS(1624),
    [anon_sym_delete] = ACTIONS(1624),
    [anon_sym_PLUS_PLUS] = ACTIONS(1640),
    [anon_sym_DASH_DASH] = ACTIONS(1640),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(2531),
    [sym_private_property_identifier] = ACTIONS(1642),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1780),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1618),
    [anon_sym_readonly] = ACTIONS(1618),
    [anon_sym_get] = ACTIONS(1618),
    [anon_sym_set] = ACTIONS(1618),
    [anon_sym_declare] = ACTIONS(1618),
    [anon_sym_public] = ACTIONS(1618),
    [anon_sym_private] = ACTIONS(1618),
    [anon_sym_protected] = ACTIONS(1618),
    [anon_sym_override] = ACTIONS(1618),
    [anon_sym_module] = ACTIONS(1618),
    [anon_sym_any] = ACTIONS(1618),
    [anon_sym_number] = ACTIONS(1618),
    [anon_sym_boolean] = ACTIONS(1618),
    [anon_sym_string] = ACTIONS(1618),
    [anon_sym_symbol] = ACTIONS(1618),
    [anon_sym_object] = ACTIONS(1618),
    [sym_html_comment] = ACTIONS(5),
  },
  [616] = {
    [sym_import] = STATE(4369),
    [sym_parenthesized_expression] = STATE(2177),
    [sym_expression] = STATE(2651),
    [sym_primary_expression] = STATE(2990),
    [sym_yield_expression] = STATE(3139),
    [sym_object] = STATE(3113),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(3113),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(3139),
    [sym_glimmer_opening_tag] = STATE(5702),
    [sym_jsx_element] = STATE(3139),
    [sym_jsx_opening_element] = STATE(4008),
    [sym_jsx_self_closing_element] = STATE(3139),
    [sym_class] = STATE(3113),
    [sym_function_expression] = STATE(3113),
    [sym_generator_function] = STATE(3113),
    [sym_arrow_function] = STATE(3113),
    [sym__call_signature] = STATE(7486),
    [sym_call_expression] = STATE(3113),
    [sym_new_expression] = STATE(3139),
    [sym_await_expression] = STATE(3139),
    [sym_member_expression] = STATE(2177),
    [sym_subscript_expression] = STATE(2177),
    [sym_assignment_expression] = STATE(3139),
    [sym__augmented_assignment_lhs] = STATE(3835),
    [sym_augmented_assignment_expression] = STATE(3139),
    [sym__destructuring_pattern] = STATE(7484),
    [sym_ternary_expression] = STATE(3139),
    [sym_binary_expression] = STATE(3139),
    [sym_unary_expression] = STATE(3139),
    [sym_update_expression] = STATE(3139),
    [sym_string] = STATE(3113),
    [sym_comment] = STATE(616),
    [sym_template_string] = STATE(3113),
    [sym_regex] = STATE(3113),
    [sym_meta_property] = STATE(3113),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2177),
    [sym_as_expression] = STATE(3139),
    [sym_satisfies_expression] = STATE(3139),
    [sym_instantiation_expression] = STATE(3139),
    [sym_internal_module] = STATE(3139),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5555),
    [sym_identifier] = ACTIONS(1744),
    [anon_sym_export] = ACTIONS(1596),
    [anon_sym_type] = ACTIONS(1596),
    [anon_sym_namespace] = ACTIONS(1598),
    [anon_sym_LBRACE] = ACTIONS(1020),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1596),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1029),
    [anon_sym_async] = ACTIONS(1602),
    [anon_sym_function] = ACTIONS(1033),
    [anon_sym_new] = ACTIONS(1748),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1596),
    [anon_sym_readonly] = ACTIONS(1596),
    [anon_sym_get] = ACTIONS(1596),
    [anon_sym_set] = ACTIONS(1596),
    [anon_sym_declare] = ACTIONS(1596),
    [anon_sym_public] = ACTIONS(1596),
    [anon_sym_private] = ACTIONS(1596),
    [anon_sym_protected] = ACTIONS(1596),
    [anon_sym_override] = ACTIONS(1596),
    [anon_sym_module] = ACTIONS(1596),
    [anon_sym_any] = ACTIONS(1596),
    [anon_sym_number] = ACTIONS(1596),
    [anon_sym_boolean] = ACTIONS(1596),
    [anon_sym_string] = ACTIONS(1596),
    [anon_sym_symbol] = ACTIONS(1596),
    [anon_sym_object] = ACTIONS(1596),
    [sym_html_comment] = ACTIONS(5),
  },
  [617] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2290),
    [sym_expression] = STATE(3359),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7260),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2290),
    [sym_subscript_expression] = STATE(2290),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3878),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7503),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(617),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2290),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(2561),
    [anon_sym_export] = ACTIONS(2563),
    [anon_sym_type] = ACTIONS(2563),
    [anon_sym_namespace] = ACTIONS(2565),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(174),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(2563),
    [anon_sym_BANG] = ACTIONS(174),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(2567),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(2569),
    [anon_sym_using] = ACTIONS(157),
    [anon_sym_PLUS] = ACTIONS(174),
    [anon_sym_DASH] = ACTIONS(174),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(174),
    [anon_sym_void] = ACTIONS(174),
    [anon_sym_delete] = ACTIONS(174),
    [anon_sym_PLUS_PLUS] = ACTIONS(1039),
    [anon_sym_DASH_DASH] = ACTIONS(1039),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(185),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(2571),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(2563),
    [anon_sym_readonly] = ACTIONS(2563),
    [anon_sym_get] = ACTIONS(2563),
    [anon_sym_set] = ACTIONS(2563),
    [anon_sym_declare] = ACTIONS(2563),
    [anon_sym_public] = ACTIONS(2563),
    [anon_sym_private] = ACTIONS(2563),
    [anon_sym_protected] = ACTIONS(2563),
    [anon_sym_override] = ACTIONS(2563),
    [anon_sym_module] = ACTIONS(2563),
    [anon_sym_any] = ACTIONS(2563),
    [anon_sym_number] = ACTIONS(2563),
    [anon_sym_boolean] = ACTIONS(2563),
    [anon_sym_string] = ACTIONS(2563),
    [anon_sym_symbol] = ACTIONS(2563),
    [anon_sym_object] = ACTIONS(2563),
    [sym_html_comment] = ACTIONS(5),
  },
  [618] = {
    [sym_import] = STATE(4369),
    [sym_parenthesized_expression] = STATE(2177),
    [sym_expression] = STATE(2727),
    [sym_primary_expression] = STATE(2990),
    [sym_yield_expression] = STATE(3139),
    [sym_object] = STATE(3113),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(3113),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(3139),
    [sym_glimmer_opening_tag] = STATE(5702),
    [sym_jsx_element] = STATE(3139),
    [sym_jsx_opening_element] = STATE(4008),
    [sym_jsx_self_closing_element] = STATE(3139),
    [sym_class] = STATE(3113),
    [sym_function_expression] = STATE(3113),
    [sym_generator_function] = STATE(3113),
    [sym_arrow_function] = STATE(3113),
    [sym__call_signature] = STATE(7486),
    [sym_call_expression] = STATE(3113),
    [sym_new_expression] = STATE(3139),
    [sym_await_expression] = STATE(3139),
    [sym_member_expression] = STATE(2177),
    [sym_subscript_expression] = STATE(2177),
    [sym_assignment_expression] = STATE(3139),
    [sym__augmented_assignment_lhs] = STATE(3835),
    [sym_augmented_assignment_expression] = STATE(3139),
    [sym__destructuring_pattern] = STATE(7484),
    [sym_ternary_expression] = STATE(3139),
    [sym_binary_expression] = STATE(3139),
    [sym_unary_expression] = STATE(3139),
    [sym_update_expression] = STATE(3139),
    [sym_string] = STATE(3113),
    [sym_comment] = STATE(618),
    [sym_template_string] = STATE(3113),
    [sym_regex] = STATE(3113),
    [sym_meta_property] = STATE(3113),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2177),
    [sym_as_expression] = STATE(3139),
    [sym_satisfies_expression] = STATE(3139),
    [sym_instantiation_expression] = STATE(3139),
    [sym_internal_module] = STATE(3139),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5555),
    [sym_identifier] = ACTIONS(1744),
    [anon_sym_export] = ACTIONS(1596),
    [anon_sym_type] = ACTIONS(1596),
    [anon_sym_namespace] = ACTIONS(1598),
    [anon_sym_LBRACE] = ACTIONS(1020),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1596),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1029),
    [anon_sym_async] = ACTIONS(1602),
    [anon_sym_function] = ACTIONS(1033),
    [anon_sym_new] = ACTIONS(1748),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1596),
    [anon_sym_readonly] = ACTIONS(1596),
    [anon_sym_get] = ACTIONS(1596),
    [anon_sym_set] = ACTIONS(1596),
    [anon_sym_declare] = ACTIONS(1596),
    [anon_sym_public] = ACTIONS(1596),
    [anon_sym_private] = ACTIONS(1596),
    [anon_sym_protected] = ACTIONS(1596),
    [anon_sym_override] = ACTIONS(1596),
    [anon_sym_module] = ACTIONS(1596),
    [anon_sym_any] = ACTIONS(1596),
    [anon_sym_number] = ACTIONS(1596),
    [anon_sym_boolean] = ACTIONS(1596),
    [anon_sym_string] = ACTIONS(1596),
    [anon_sym_symbol] = ACTIONS(1596),
    [anon_sym_object] = ACTIONS(1596),
    [sym_html_comment] = ACTIONS(5),
  },
  [619] = {
    [sym_import] = STATE(4369),
    [sym_parenthesized_expression] = STATE(2177),
    [sym_expression] = STATE(2589),
    [sym_primary_expression] = STATE(2990),
    [sym_yield_expression] = STATE(3139),
    [sym_object] = STATE(3113),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(3113),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(3139),
    [sym_glimmer_opening_tag] = STATE(5702),
    [sym_jsx_element] = STATE(3139),
    [sym_jsx_opening_element] = STATE(4008),
    [sym_jsx_self_closing_element] = STATE(3139),
    [sym_class] = STATE(3113),
    [sym_function_expression] = STATE(3113),
    [sym_generator_function] = STATE(3113),
    [sym_arrow_function] = STATE(3113),
    [sym__call_signature] = STATE(7486),
    [sym_call_expression] = STATE(3113),
    [sym_new_expression] = STATE(3139),
    [sym_await_expression] = STATE(3139),
    [sym_member_expression] = STATE(2177),
    [sym_subscript_expression] = STATE(2177),
    [sym_assignment_expression] = STATE(3139),
    [sym__augmented_assignment_lhs] = STATE(3835),
    [sym_augmented_assignment_expression] = STATE(3139),
    [sym__destructuring_pattern] = STATE(7484),
    [sym_ternary_expression] = STATE(3139),
    [sym_binary_expression] = STATE(3139),
    [sym_unary_expression] = STATE(3139),
    [sym_update_expression] = STATE(3139),
    [sym_string] = STATE(3113),
    [sym_comment] = STATE(619),
    [sym_template_string] = STATE(3113),
    [sym_regex] = STATE(3113),
    [sym_meta_property] = STATE(3113),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2177),
    [sym_as_expression] = STATE(3139),
    [sym_satisfies_expression] = STATE(3139),
    [sym_instantiation_expression] = STATE(3139),
    [sym_internal_module] = STATE(3139),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5555),
    [sym_identifier] = ACTIONS(1744),
    [anon_sym_export] = ACTIONS(1596),
    [anon_sym_type] = ACTIONS(1596),
    [anon_sym_namespace] = ACTIONS(1598),
    [anon_sym_LBRACE] = ACTIONS(1020),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1596),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1029),
    [anon_sym_async] = ACTIONS(1602),
    [anon_sym_function] = ACTIONS(1033),
    [anon_sym_new] = ACTIONS(1748),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1596),
    [anon_sym_readonly] = ACTIONS(1596),
    [anon_sym_get] = ACTIONS(1596),
    [anon_sym_set] = ACTIONS(1596),
    [anon_sym_declare] = ACTIONS(1596),
    [anon_sym_public] = ACTIONS(1596),
    [anon_sym_private] = ACTIONS(1596),
    [anon_sym_protected] = ACTIONS(1596),
    [anon_sym_override] = ACTIONS(1596),
    [anon_sym_module] = ACTIONS(1596),
    [anon_sym_any] = ACTIONS(1596),
    [anon_sym_number] = ACTIONS(1596),
    [anon_sym_boolean] = ACTIONS(1596),
    [anon_sym_string] = ACTIONS(1596),
    [anon_sym_symbol] = ACTIONS(1596),
    [anon_sym_object] = ACTIONS(1596),
    [sym_html_comment] = ACTIONS(5),
  },
  [620] = {
    [sym_import] = STATE(4369),
    [sym_parenthesized_expression] = STATE(2221),
    [sym_expression] = STATE(2889),
    [sym_primary_expression] = STATE(2990),
    [sym_yield_expression] = STATE(3139),
    [sym_object] = STATE(3113),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(3113),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(3139),
    [sym_glimmer_opening_tag] = STATE(5702),
    [sym_jsx_element] = STATE(3139),
    [sym_jsx_opening_element] = STATE(4008),
    [sym_jsx_self_closing_element] = STATE(3139),
    [sym_class] = STATE(3113),
    [sym_function_expression] = STATE(3113),
    [sym_generator_function] = STATE(3113),
    [sym_arrow_function] = STATE(3113),
    [sym__call_signature] = STATE(7374),
    [sym_call_expression] = STATE(3113),
    [sym_new_expression] = STATE(3139),
    [sym_await_expression] = STATE(3139),
    [sym_member_expression] = STATE(2221),
    [sym_subscript_expression] = STATE(2221),
    [sym_assignment_expression] = STATE(3139),
    [sym__augmented_assignment_lhs] = STATE(3860),
    [sym_augmented_assignment_expression] = STATE(3139),
    [sym__destructuring_pattern] = STATE(7376),
    [sym_ternary_expression] = STATE(3139),
    [sym_binary_expression] = STATE(3139),
    [sym_unary_expression] = STATE(3139),
    [sym_update_expression] = STATE(3139),
    [sym_string] = STATE(3113),
    [sym_comment] = STATE(620),
    [sym_template_string] = STATE(3113),
    [sym_regex] = STATE(3113),
    [sym_meta_property] = STATE(3113),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2221),
    [sym_as_expression] = STATE(3139),
    [sym_satisfies_expression] = STATE(3139),
    [sym_instantiation_expression] = STATE(3139),
    [sym_internal_module] = STATE(3139),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5555),
    [sym_identifier] = ACTIONS(1758),
    [anon_sym_export] = ACTIONS(1362),
    [anon_sym_type] = ACTIONS(1362),
    [anon_sym_namespace] = ACTIONS(1364),
    [anon_sym_LBRACE] = ACTIONS(1020),
    [anon_sym_typeof] = ACTIONS(1370),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1362),
    [anon_sym_BANG] = ACTIONS(1370),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1374),
    [anon_sym_yield] = ACTIONS(1376),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1029),
    [anon_sym_async] = ACTIONS(1380),
    [anon_sym_function] = ACTIONS(1033),
    [anon_sym_new] = ACTIONS(1762),
    [anon_sym_using] = ACTIONS(1384),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1370),
    [anon_sym_void] = ACTIONS(1370),
    [anon_sym_delete] = ACTIONS(1370),
    [anon_sym_PLUS_PLUS] = ACTIONS(1390),
    [anon_sym_DASH_DASH] = ACTIONS(1390),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1396),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1764),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1362),
    [anon_sym_readonly] = ACTIONS(1362),
    [anon_sym_get] = ACTIONS(1362),
    [anon_sym_set] = ACTIONS(1362),
    [anon_sym_declare] = ACTIONS(1362),
    [anon_sym_public] = ACTIONS(1362),
    [anon_sym_private] = ACTIONS(1362),
    [anon_sym_protected] = ACTIONS(1362),
    [anon_sym_override] = ACTIONS(1362),
    [anon_sym_module] = ACTIONS(1362),
    [anon_sym_any] = ACTIONS(1362),
    [anon_sym_number] = ACTIONS(1362),
    [anon_sym_boolean] = ACTIONS(1362),
    [anon_sym_string] = ACTIONS(1362),
    [anon_sym_symbol] = ACTIONS(1362),
    [anon_sym_object] = ACTIONS(1362),
    [sym_html_comment] = ACTIONS(5),
  },
  [621] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2248),
    [sym_expression] = STATE(3239),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7502),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2248),
    [sym_subscript_expression] = STATE(2248),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3928),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7561),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(621),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2248),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1774),
    [anon_sym_export] = ACTIONS(1618),
    [anon_sym_type] = ACTIONS(1618),
    [anon_sym_namespace] = ACTIONS(1620),
    [anon_sym_LBRACE] = ACTIONS(1127),
    [anon_sym_typeof] = ACTIONS(1624),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1618),
    [anon_sym_BANG] = ACTIONS(1624),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1626),
    [anon_sym_yield] = ACTIONS(1628),
    [anon_sym_LBRACK] = ACTIONS(1129),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1630),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1778),
    [anon_sym_using] = ACTIONS(1634),
    [anon_sym_PLUS] = ACTIONS(1624),
    [anon_sym_DASH] = ACTIONS(1624),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(1624),
    [anon_sym_void] = ACTIONS(1624),
    [anon_sym_delete] = ACTIONS(1624),
    [anon_sym_PLUS_PLUS] = ACTIONS(1640),
    [anon_sym_DASH_DASH] = ACTIONS(1640),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(1642),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1780),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1618),
    [anon_sym_readonly] = ACTIONS(1618),
    [anon_sym_get] = ACTIONS(1618),
    [anon_sym_set] = ACTIONS(1618),
    [anon_sym_declare] = ACTIONS(1618),
    [anon_sym_public] = ACTIONS(1618),
    [anon_sym_private] = ACTIONS(1618),
    [anon_sym_protected] = ACTIONS(1618),
    [anon_sym_override] = ACTIONS(1618),
    [anon_sym_module] = ACTIONS(1618),
    [anon_sym_any] = ACTIONS(1618),
    [anon_sym_number] = ACTIONS(1618),
    [anon_sym_boolean] = ACTIONS(1618),
    [anon_sym_string] = ACTIONS(1618),
    [anon_sym_symbol] = ACTIONS(1618),
    [anon_sym_object] = ACTIONS(1618),
    [sym_html_comment] = ACTIONS(5),
  },
  [622] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2248),
    [sym_expression] = STATE(3175),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7502),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2248),
    [sym_subscript_expression] = STATE(2248),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3928),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7561),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(622),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2248),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1774),
    [anon_sym_export] = ACTIONS(1618),
    [anon_sym_type] = ACTIONS(1618),
    [anon_sym_namespace] = ACTIONS(1620),
    [anon_sym_LBRACE] = ACTIONS(1127),
    [anon_sym_typeof] = ACTIONS(1624),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1618),
    [anon_sym_BANG] = ACTIONS(1624),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1626),
    [anon_sym_yield] = ACTIONS(1628),
    [anon_sym_LBRACK] = ACTIONS(1129),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1630),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1778),
    [anon_sym_using] = ACTIONS(1634),
    [anon_sym_PLUS] = ACTIONS(1624),
    [anon_sym_DASH] = ACTIONS(1624),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(1624),
    [anon_sym_void] = ACTIONS(1624),
    [anon_sym_delete] = ACTIONS(1624),
    [anon_sym_PLUS_PLUS] = ACTIONS(1640),
    [anon_sym_DASH_DASH] = ACTIONS(1640),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(1642),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1780),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1618),
    [anon_sym_readonly] = ACTIONS(1618),
    [anon_sym_get] = ACTIONS(1618),
    [anon_sym_set] = ACTIONS(1618),
    [anon_sym_declare] = ACTIONS(1618),
    [anon_sym_public] = ACTIONS(1618),
    [anon_sym_private] = ACTIONS(1618),
    [anon_sym_protected] = ACTIONS(1618),
    [anon_sym_override] = ACTIONS(1618),
    [anon_sym_module] = ACTIONS(1618),
    [anon_sym_any] = ACTIONS(1618),
    [anon_sym_number] = ACTIONS(1618),
    [anon_sym_boolean] = ACTIONS(1618),
    [anon_sym_string] = ACTIONS(1618),
    [anon_sym_symbol] = ACTIONS(1618),
    [anon_sym_object] = ACTIONS(1618),
    [sym_html_comment] = ACTIONS(5),
  },
  [623] = {
    [sym_import] = STATE(4369),
    [sym_parenthesized_expression] = STATE(2177),
    [sym_expression] = STATE(2586),
    [sym_primary_expression] = STATE(2990),
    [sym_yield_expression] = STATE(3139),
    [sym_object] = STATE(3113),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(3113),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(3139),
    [sym_glimmer_opening_tag] = STATE(5702),
    [sym_jsx_element] = STATE(3139),
    [sym_jsx_opening_element] = STATE(4008),
    [sym_jsx_self_closing_element] = STATE(3139),
    [sym_class] = STATE(3113),
    [sym_function_expression] = STATE(3113),
    [sym_generator_function] = STATE(3113),
    [sym_arrow_function] = STATE(3113),
    [sym__call_signature] = STATE(7486),
    [sym_call_expression] = STATE(3113),
    [sym_new_expression] = STATE(3139),
    [sym_await_expression] = STATE(3139),
    [sym_member_expression] = STATE(2177),
    [sym_subscript_expression] = STATE(2177),
    [sym_assignment_expression] = STATE(3139),
    [sym__augmented_assignment_lhs] = STATE(3835),
    [sym_augmented_assignment_expression] = STATE(3139),
    [sym__destructuring_pattern] = STATE(7484),
    [sym_ternary_expression] = STATE(3139),
    [sym_binary_expression] = STATE(3139),
    [sym_unary_expression] = STATE(3139),
    [sym_update_expression] = STATE(3139),
    [sym_string] = STATE(3113),
    [sym_comment] = STATE(623),
    [sym_template_string] = STATE(3113),
    [sym_regex] = STATE(3113),
    [sym_meta_property] = STATE(3113),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2177),
    [sym_as_expression] = STATE(3139),
    [sym_satisfies_expression] = STATE(3139),
    [sym_instantiation_expression] = STATE(3139),
    [sym_internal_module] = STATE(3139),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5555),
    [sym_identifier] = ACTIONS(1744),
    [anon_sym_export] = ACTIONS(1596),
    [anon_sym_type] = ACTIONS(1596),
    [anon_sym_namespace] = ACTIONS(1598),
    [anon_sym_LBRACE] = ACTIONS(1020),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1596),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1029),
    [anon_sym_async] = ACTIONS(1602),
    [anon_sym_function] = ACTIONS(1033),
    [anon_sym_new] = ACTIONS(1748),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1596),
    [anon_sym_readonly] = ACTIONS(1596),
    [anon_sym_get] = ACTIONS(1596),
    [anon_sym_set] = ACTIONS(1596),
    [anon_sym_declare] = ACTIONS(1596),
    [anon_sym_public] = ACTIONS(1596),
    [anon_sym_private] = ACTIONS(1596),
    [anon_sym_protected] = ACTIONS(1596),
    [anon_sym_override] = ACTIONS(1596),
    [anon_sym_module] = ACTIONS(1596),
    [anon_sym_any] = ACTIONS(1596),
    [anon_sym_number] = ACTIONS(1596),
    [anon_sym_boolean] = ACTIONS(1596),
    [anon_sym_string] = ACTIONS(1596),
    [anon_sym_symbol] = ACTIONS(1596),
    [anon_sym_object] = ACTIONS(1596),
    [sym_html_comment] = ACTIONS(5),
  },
  [624] = {
    [sym_import] = STATE(4369),
    [sym_parenthesized_expression] = STATE(2221),
    [sym_expression] = STATE(2872),
    [sym_primary_expression] = STATE(2990),
    [sym_yield_expression] = STATE(3139),
    [sym_object] = STATE(3113),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(3113),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(3139),
    [sym_glimmer_opening_tag] = STATE(5702),
    [sym_jsx_element] = STATE(3139),
    [sym_jsx_opening_element] = STATE(4008),
    [sym_jsx_self_closing_element] = STATE(3139),
    [sym_class] = STATE(3113),
    [sym_function_expression] = STATE(3113),
    [sym_generator_function] = STATE(3113),
    [sym_arrow_function] = STATE(3113),
    [sym__call_signature] = STATE(7374),
    [sym_call_expression] = STATE(3113),
    [sym_new_expression] = STATE(3139),
    [sym_await_expression] = STATE(3139),
    [sym_member_expression] = STATE(2221),
    [sym_subscript_expression] = STATE(2221),
    [sym_assignment_expression] = STATE(3139),
    [sym__augmented_assignment_lhs] = STATE(3860),
    [sym_augmented_assignment_expression] = STATE(3139),
    [sym__destructuring_pattern] = STATE(7376),
    [sym_ternary_expression] = STATE(3139),
    [sym_binary_expression] = STATE(3139),
    [sym_unary_expression] = STATE(3139),
    [sym_update_expression] = STATE(3139),
    [sym_string] = STATE(3113),
    [sym_comment] = STATE(624),
    [sym_template_string] = STATE(3113),
    [sym_regex] = STATE(3113),
    [sym_meta_property] = STATE(3113),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2221),
    [sym_as_expression] = STATE(3139),
    [sym_satisfies_expression] = STATE(3139),
    [sym_instantiation_expression] = STATE(3139),
    [sym_internal_module] = STATE(3139),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5555),
    [sym_identifier] = ACTIONS(1758),
    [anon_sym_export] = ACTIONS(1362),
    [anon_sym_type] = ACTIONS(1362),
    [anon_sym_namespace] = ACTIONS(1364),
    [anon_sym_LBRACE] = ACTIONS(1020),
    [anon_sym_typeof] = ACTIONS(1370),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1362),
    [anon_sym_BANG] = ACTIONS(1370),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1374),
    [anon_sym_yield] = ACTIONS(1376),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1029),
    [anon_sym_async] = ACTIONS(1380),
    [anon_sym_function] = ACTIONS(1033),
    [anon_sym_new] = ACTIONS(1762),
    [anon_sym_using] = ACTIONS(1384),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1370),
    [anon_sym_void] = ACTIONS(1370),
    [anon_sym_delete] = ACTIONS(1370),
    [anon_sym_PLUS_PLUS] = ACTIONS(1390),
    [anon_sym_DASH_DASH] = ACTIONS(1390),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1396),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1764),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1362),
    [anon_sym_readonly] = ACTIONS(1362),
    [anon_sym_get] = ACTIONS(1362),
    [anon_sym_set] = ACTIONS(1362),
    [anon_sym_declare] = ACTIONS(1362),
    [anon_sym_public] = ACTIONS(1362),
    [anon_sym_private] = ACTIONS(1362),
    [anon_sym_protected] = ACTIONS(1362),
    [anon_sym_override] = ACTIONS(1362),
    [anon_sym_module] = ACTIONS(1362),
    [anon_sym_any] = ACTIONS(1362),
    [anon_sym_number] = ACTIONS(1362),
    [anon_sym_boolean] = ACTIONS(1362),
    [anon_sym_string] = ACTIONS(1362),
    [anon_sym_symbol] = ACTIONS(1362),
    [anon_sym_object] = ACTIONS(1362),
    [sym_html_comment] = ACTIONS(5),
  },
  [625] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2248),
    [sym_expression] = STATE(3182),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7502),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2248),
    [sym_subscript_expression] = STATE(2248),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3928),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7561),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(625),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2248),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1774),
    [anon_sym_export] = ACTIONS(1618),
    [anon_sym_type] = ACTIONS(1618),
    [anon_sym_namespace] = ACTIONS(1620),
    [anon_sym_LBRACE] = ACTIONS(1127),
    [anon_sym_typeof] = ACTIONS(1624),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1618),
    [anon_sym_BANG] = ACTIONS(1624),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1626),
    [anon_sym_yield] = ACTIONS(1628),
    [anon_sym_LBRACK] = ACTIONS(1129),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1630),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1778),
    [anon_sym_using] = ACTIONS(1634),
    [anon_sym_PLUS] = ACTIONS(1624),
    [anon_sym_DASH] = ACTIONS(1624),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(1624),
    [anon_sym_void] = ACTIONS(1624),
    [anon_sym_delete] = ACTIONS(1624),
    [anon_sym_PLUS_PLUS] = ACTIONS(1640),
    [anon_sym_DASH_DASH] = ACTIONS(1640),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(1642),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1780),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1618),
    [anon_sym_readonly] = ACTIONS(1618),
    [anon_sym_get] = ACTIONS(1618),
    [anon_sym_set] = ACTIONS(1618),
    [anon_sym_declare] = ACTIONS(1618),
    [anon_sym_public] = ACTIONS(1618),
    [anon_sym_private] = ACTIONS(1618),
    [anon_sym_protected] = ACTIONS(1618),
    [anon_sym_override] = ACTIONS(1618),
    [anon_sym_module] = ACTIONS(1618),
    [anon_sym_any] = ACTIONS(1618),
    [anon_sym_number] = ACTIONS(1618),
    [anon_sym_boolean] = ACTIONS(1618),
    [anon_sym_string] = ACTIONS(1618),
    [anon_sym_symbol] = ACTIONS(1618),
    [anon_sym_object] = ACTIONS(1618),
    [sym_html_comment] = ACTIONS(5),
  },
  [626] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2239),
    [sym_expression] = STATE(3303),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7446),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2239),
    [sym_subscript_expression] = STATE(2239),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3938),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7450),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(626),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2239),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1782),
    [anon_sym_export] = ACTIONS(1408),
    [anon_sym_type] = ACTIONS(1408),
    [anon_sym_namespace] = ACTIONS(1410),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(1416),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1408),
    [anon_sym_BANG] = ACTIONS(1416),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1418),
    [anon_sym_yield] = ACTIONS(1420),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1424),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1786),
    [anon_sym_using] = ACTIONS(1428),
    [anon_sym_PLUS] = ACTIONS(1416),
    [anon_sym_DASH] = ACTIONS(1416),
    [anon_sym_SLASH] = ACTIONS(1290),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(1416),
    [anon_sym_void] = ACTIONS(1416),
    [anon_sym_delete] = ACTIONS(1416),
    [anon_sym_PLUS_PLUS] = ACTIONS(1434),
    [anon_sym_DASH_DASH] = ACTIONS(1434),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(1440),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1788),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1408),
    [anon_sym_readonly] = ACTIONS(1408),
    [anon_sym_get] = ACTIONS(1408),
    [anon_sym_set] = ACTIONS(1408),
    [anon_sym_declare] = ACTIONS(1408),
    [anon_sym_public] = ACTIONS(1408),
    [anon_sym_private] = ACTIONS(1408),
    [anon_sym_protected] = ACTIONS(1408),
    [anon_sym_override] = ACTIONS(1408),
    [anon_sym_module] = ACTIONS(1408),
    [anon_sym_any] = ACTIONS(1408),
    [anon_sym_number] = ACTIONS(1408),
    [anon_sym_boolean] = ACTIONS(1408),
    [anon_sym_string] = ACTIONS(1408),
    [anon_sym_symbol] = ACTIONS(1408),
    [anon_sym_object] = ACTIONS(1408),
    [sym_html_comment] = ACTIONS(5),
  },
  [627] = {
    [sym_import] = STATE(4369),
    [sym_parenthesized_expression] = STATE(2221),
    [sym_expression] = STATE(2832),
    [sym_primary_expression] = STATE(2990),
    [sym_yield_expression] = STATE(3139),
    [sym_object] = STATE(3113),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(3113),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(3139),
    [sym_glimmer_opening_tag] = STATE(5702),
    [sym_jsx_element] = STATE(3139),
    [sym_jsx_opening_element] = STATE(4008),
    [sym_jsx_self_closing_element] = STATE(3139),
    [sym_class] = STATE(3113),
    [sym_function_expression] = STATE(3113),
    [sym_generator_function] = STATE(3113),
    [sym_arrow_function] = STATE(3113),
    [sym__call_signature] = STATE(7374),
    [sym_call_expression] = STATE(3113),
    [sym_new_expression] = STATE(3139),
    [sym_await_expression] = STATE(3139),
    [sym_member_expression] = STATE(2221),
    [sym_subscript_expression] = STATE(2221),
    [sym_assignment_expression] = STATE(3139),
    [sym__augmented_assignment_lhs] = STATE(3860),
    [sym_augmented_assignment_expression] = STATE(3139),
    [sym__destructuring_pattern] = STATE(7376),
    [sym_ternary_expression] = STATE(3139),
    [sym_binary_expression] = STATE(3139),
    [sym_unary_expression] = STATE(3139),
    [sym_update_expression] = STATE(3139),
    [sym_string] = STATE(3113),
    [sym_comment] = STATE(627),
    [sym_template_string] = STATE(3113),
    [sym_regex] = STATE(3113),
    [sym_meta_property] = STATE(3113),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2221),
    [sym_as_expression] = STATE(3139),
    [sym_satisfies_expression] = STATE(3139),
    [sym_instantiation_expression] = STATE(3139),
    [sym_internal_module] = STATE(3139),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5555),
    [sym_identifier] = ACTIONS(1758),
    [anon_sym_export] = ACTIONS(1362),
    [anon_sym_type] = ACTIONS(1362),
    [anon_sym_namespace] = ACTIONS(1364),
    [anon_sym_LBRACE] = ACTIONS(1020),
    [anon_sym_typeof] = ACTIONS(1370),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1362),
    [anon_sym_BANG] = ACTIONS(1370),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1374),
    [anon_sym_yield] = ACTIONS(1376),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1029),
    [anon_sym_async] = ACTIONS(1380),
    [anon_sym_function] = ACTIONS(1033),
    [anon_sym_new] = ACTIONS(1762),
    [anon_sym_using] = ACTIONS(1384),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1370),
    [anon_sym_void] = ACTIONS(1370),
    [anon_sym_delete] = ACTIONS(1370),
    [anon_sym_PLUS_PLUS] = ACTIONS(1390),
    [anon_sym_DASH_DASH] = ACTIONS(1390),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1396),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1764),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1362),
    [anon_sym_readonly] = ACTIONS(1362),
    [anon_sym_get] = ACTIONS(1362),
    [anon_sym_set] = ACTIONS(1362),
    [anon_sym_declare] = ACTIONS(1362),
    [anon_sym_public] = ACTIONS(1362),
    [anon_sym_private] = ACTIONS(1362),
    [anon_sym_protected] = ACTIONS(1362),
    [anon_sym_override] = ACTIONS(1362),
    [anon_sym_module] = ACTIONS(1362),
    [anon_sym_any] = ACTIONS(1362),
    [anon_sym_number] = ACTIONS(1362),
    [anon_sym_boolean] = ACTIONS(1362),
    [anon_sym_string] = ACTIONS(1362),
    [anon_sym_symbol] = ACTIONS(1362),
    [anon_sym_object] = ACTIONS(1362),
    [sym_html_comment] = ACTIONS(5),
  },
  [628] = {
    [sym_import] = STATE(4369),
    [sym_parenthesized_expression] = STATE(2221),
    [sym_expression] = STATE(2996),
    [sym_primary_expression] = STATE(2990),
    [sym_yield_expression] = STATE(3139),
    [sym_object] = STATE(3113),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(3113),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(3139),
    [sym_glimmer_opening_tag] = STATE(5702),
    [sym_jsx_element] = STATE(3139),
    [sym_jsx_opening_element] = STATE(4008),
    [sym_jsx_self_closing_element] = STATE(3139),
    [sym_class] = STATE(3113),
    [sym_function_expression] = STATE(3113),
    [sym_generator_function] = STATE(3113),
    [sym_arrow_function] = STATE(3113),
    [sym__call_signature] = STATE(7374),
    [sym_call_expression] = STATE(3113),
    [sym_new_expression] = STATE(3139),
    [sym_await_expression] = STATE(3139),
    [sym_member_expression] = STATE(2221),
    [sym_subscript_expression] = STATE(2221),
    [sym_assignment_expression] = STATE(3139),
    [sym__augmented_assignment_lhs] = STATE(3860),
    [sym_augmented_assignment_expression] = STATE(3139),
    [sym__destructuring_pattern] = STATE(7376),
    [sym_ternary_expression] = STATE(3139),
    [sym_binary_expression] = STATE(3139),
    [sym_unary_expression] = STATE(3139),
    [sym_update_expression] = STATE(3139),
    [sym_string] = STATE(3113),
    [sym_comment] = STATE(628),
    [sym_template_string] = STATE(3113),
    [sym_regex] = STATE(3113),
    [sym_meta_property] = STATE(3113),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2221),
    [sym_as_expression] = STATE(3139),
    [sym_satisfies_expression] = STATE(3139),
    [sym_instantiation_expression] = STATE(3139),
    [sym_internal_module] = STATE(3139),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5555),
    [sym_identifier] = ACTIONS(1758),
    [anon_sym_export] = ACTIONS(1362),
    [anon_sym_type] = ACTIONS(1362),
    [anon_sym_namespace] = ACTIONS(1364),
    [anon_sym_LBRACE] = ACTIONS(1020),
    [anon_sym_typeof] = ACTIONS(1370),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1362),
    [anon_sym_BANG] = ACTIONS(1370),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1374),
    [anon_sym_yield] = ACTIONS(1376),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1029),
    [anon_sym_async] = ACTIONS(1380),
    [anon_sym_function] = ACTIONS(1033),
    [anon_sym_new] = ACTIONS(1762),
    [anon_sym_using] = ACTIONS(1384),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1370),
    [anon_sym_void] = ACTIONS(1370),
    [anon_sym_delete] = ACTIONS(1370),
    [anon_sym_PLUS_PLUS] = ACTIONS(1390),
    [anon_sym_DASH_DASH] = ACTIONS(1390),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1396),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1764),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1362),
    [anon_sym_readonly] = ACTIONS(1362),
    [anon_sym_get] = ACTIONS(1362),
    [anon_sym_set] = ACTIONS(1362),
    [anon_sym_declare] = ACTIONS(1362),
    [anon_sym_public] = ACTIONS(1362),
    [anon_sym_private] = ACTIONS(1362),
    [anon_sym_protected] = ACTIONS(1362),
    [anon_sym_override] = ACTIONS(1362),
    [anon_sym_module] = ACTIONS(1362),
    [anon_sym_any] = ACTIONS(1362),
    [anon_sym_number] = ACTIONS(1362),
    [anon_sym_boolean] = ACTIONS(1362),
    [anon_sym_string] = ACTIONS(1362),
    [anon_sym_symbol] = ACTIONS(1362),
    [anon_sym_object] = ACTIONS(1362),
    [sym_html_comment] = ACTIONS(5),
  },
  [629] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2239),
    [sym_expression] = STATE(3302),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7446),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2239),
    [sym_subscript_expression] = STATE(2239),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3938),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7450),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(629),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2239),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1782),
    [anon_sym_export] = ACTIONS(1408),
    [anon_sym_type] = ACTIONS(1408),
    [anon_sym_namespace] = ACTIONS(1410),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(1416),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1408),
    [anon_sym_BANG] = ACTIONS(1416),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1418),
    [anon_sym_yield] = ACTIONS(1420),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1424),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1786),
    [anon_sym_using] = ACTIONS(1428),
    [anon_sym_PLUS] = ACTIONS(1416),
    [anon_sym_DASH] = ACTIONS(1416),
    [anon_sym_SLASH] = ACTIONS(1290),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(1416),
    [anon_sym_void] = ACTIONS(1416),
    [anon_sym_delete] = ACTIONS(1416),
    [anon_sym_PLUS_PLUS] = ACTIONS(1434),
    [anon_sym_DASH_DASH] = ACTIONS(1434),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(1440),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1788),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1408),
    [anon_sym_readonly] = ACTIONS(1408),
    [anon_sym_get] = ACTIONS(1408),
    [anon_sym_set] = ACTIONS(1408),
    [anon_sym_declare] = ACTIONS(1408),
    [anon_sym_public] = ACTIONS(1408),
    [anon_sym_private] = ACTIONS(1408),
    [anon_sym_protected] = ACTIONS(1408),
    [anon_sym_override] = ACTIONS(1408),
    [anon_sym_module] = ACTIONS(1408),
    [anon_sym_any] = ACTIONS(1408),
    [anon_sym_number] = ACTIONS(1408),
    [anon_sym_boolean] = ACTIONS(1408),
    [anon_sym_string] = ACTIONS(1408),
    [anon_sym_symbol] = ACTIONS(1408),
    [anon_sym_object] = ACTIONS(1408),
    [sym_html_comment] = ACTIONS(5),
  },
  [630] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2229),
    [sym_expression] = STATE(3107),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7175),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2229),
    [sym_subscript_expression] = STATE(2229),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3935),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7438),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(630),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2229),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1766),
    [anon_sym_export] = ACTIONS(1482),
    [anon_sym_type] = ACTIONS(1482),
    [anon_sym_namespace] = ACTIONS(1484),
    [anon_sym_LBRACE] = ACTIONS(1127),
    [anon_sym_typeof] = ACTIONS(1490),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1482),
    [anon_sym_BANG] = ACTIONS(1490),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1492),
    [anon_sym_yield] = ACTIONS(1494),
    [anon_sym_LBRACK] = ACTIONS(1129),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1496),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1770),
    [anon_sym_using] = ACTIONS(1500),
    [anon_sym_PLUS] = ACTIONS(1490),
    [anon_sym_DASH] = ACTIONS(1490),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(1490),
    [anon_sym_void] = ACTIONS(1490),
    [anon_sym_delete] = ACTIONS(1490),
    [anon_sym_PLUS_PLUS] = ACTIONS(1506),
    [anon_sym_DASH_DASH] = ACTIONS(1506),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(1508),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1772),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1482),
    [anon_sym_readonly] = ACTIONS(1482),
    [anon_sym_get] = ACTIONS(1482),
    [anon_sym_set] = ACTIONS(1482),
    [anon_sym_declare] = ACTIONS(1482),
    [anon_sym_public] = ACTIONS(1482),
    [anon_sym_private] = ACTIONS(1482),
    [anon_sym_protected] = ACTIONS(1482),
    [anon_sym_override] = ACTIONS(1482),
    [anon_sym_module] = ACTIONS(1482),
    [anon_sym_any] = ACTIONS(1482),
    [anon_sym_number] = ACTIONS(1482),
    [anon_sym_boolean] = ACTIONS(1482),
    [anon_sym_string] = ACTIONS(1482),
    [anon_sym_symbol] = ACTIONS(1482),
    [anon_sym_object] = ACTIONS(1482),
    [sym_html_comment] = ACTIONS(5),
  },
  [631] = {
    [sym_import] = STATE(4369),
    [sym_parenthesized_expression] = STATE(2221),
    [sym_expression] = STATE(3055),
    [sym_primary_expression] = STATE(2990),
    [sym_yield_expression] = STATE(3139),
    [sym_object] = STATE(3113),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(3113),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(3139),
    [sym_glimmer_opening_tag] = STATE(5702),
    [sym_jsx_element] = STATE(3139),
    [sym_jsx_opening_element] = STATE(4008),
    [sym_jsx_self_closing_element] = STATE(3139),
    [sym_class] = STATE(3113),
    [sym_function_expression] = STATE(3113),
    [sym_generator_function] = STATE(3113),
    [sym_arrow_function] = STATE(3113),
    [sym__call_signature] = STATE(7374),
    [sym_call_expression] = STATE(3113),
    [sym_new_expression] = STATE(3139),
    [sym_await_expression] = STATE(3139),
    [sym_member_expression] = STATE(2221),
    [sym_subscript_expression] = STATE(2221),
    [sym_assignment_expression] = STATE(3139),
    [sym__augmented_assignment_lhs] = STATE(3860),
    [sym_augmented_assignment_expression] = STATE(3139),
    [sym__destructuring_pattern] = STATE(7376),
    [sym_ternary_expression] = STATE(3139),
    [sym_binary_expression] = STATE(3139),
    [sym_unary_expression] = STATE(3139),
    [sym_update_expression] = STATE(3139),
    [sym_string] = STATE(3113),
    [sym_comment] = STATE(631),
    [sym_template_string] = STATE(3113),
    [sym_regex] = STATE(3113),
    [sym_meta_property] = STATE(3113),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2221),
    [sym_as_expression] = STATE(3139),
    [sym_satisfies_expression] = STATE(3139),
    [sym_instantiation_expression] = STATE(3139),
    [sym_internal_module] = STATE(3139),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5555),
    [sym_identifier] = ACTIONS(1758),
    [anon_sym_export] = ACTIONS(1362),
    [anon_sym_type] = ACTIONS(1362),
    [anon_sym_namespace] = ACTIONS(1364),
    [anon_sym_LBRACE] = ACTIONS(1020),
    [anon_sym_typeof] = ACTIONS(1370),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1362),
    [anon_sym_BANG] = ACTIONS(1370),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1374),
    [anon_sym_yield] = ACTIONS(1376),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1029),
    [anon_sym_async] = ACTIONS(1380),
    [anon_sym_function] = ACTIONS(1033),
    [anon_sym_new] = ACTIONS(1762),
    [anon_sym_using] = ACTIONS(1384),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1370),
    [anon_sym_void] = ACTIONS(1370),
    [anon_sym_delete] = ACTIONS(1370),
    [anon_sym_PLUS_PLUS] = ACTIONS(1390),
    [anon_sym_DASH_DASH] = ACTIONS(1390),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1396),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1764),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1362),
    [anon_sym_readonly] = ACTIONS(1362),
    [anon_sym_get] = ACTIONS(1362),
    [anon_sym_set] = ACTIONS(1362),
    [anon_sym_declare] = ACTIONS(1362),
    [anon_sym_public] = ACTIONS(1362),
    [anon_sym_private] = ACTIONS(1362),
    [anon_sym_protected] = ACTIONS(1362),
    [anon_sym_override] = ACTIONS(1362),
    [anon_sym_module] = ACTIONS(1362),
    [anon_sym_any] = ACTIONS(1362),
    [anon_sym_number] = ACTIONS(1362),
    [anon_sym_boolean] = ACTIONS(1362),
    [anon_sym_string] = ACTIONS(1362),
    [anon_sym_symbol] = ACTIONS(1362),
    [anon_sym_object] = ACTIONS(1362),
    [sym_html_comment] = ACTIONS(5),
  },
  [632] = {
    [sym_import] = STATE(4369),
    [sym_parenthesized_expression] = STATE(2177),
    [sym_expression] = STATE(2711),
    [sym_primary_expression] = STATE(2990),
    [sym_yield_expression] = STATE(3139),
    [sym_object] = STATE(3113),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(3113),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(3139),
    [sym_glimmer_opening_tag] = STATE(5702),
    [sym_jsx_element] = STATE(3139),
    [sym_jsx_opening_element] = STATE(4008),
    [sym_jsx_self_closing_element] = STATE(3139),
    [sym_class] = STATE(3113),
    [sym_function_expression] = STATE(3113),
    [sym_generator_function] = STATE(3113),
    [sym_arrow_function] = STATE(3113),
    [sym__call_signature] = STATE(7486),
    [sym_call_expression] = STATE(3113),
    [sym_new_expression] = STATE(3139),
    [sym_await_expression] = STATE(3139),
    [sym_member_expression] = STATE(2177),
    [sym_subscript_expression] = STATE(2177),
    [sym_assignment_expression] = STATE(3139),
    [sym__augmented_assignment_lhs] = STATE(3835),
    [sym_augmented_assignment_expression] = STATE(3139),
    [sym__destructuring_pattern] = STATE(7484),
    [sym_ternary_expression] = STATE(3139),
    [sym_binary_expression] = STATE(3139),
    [sym_unary_expression] = STATE(3139),
    [sym_update_expression] = STATE(3139),
    [sym_string] = STATE(3113),
    [sym_comment] = STATE(632),
    [sym_template_string] = STATE(3113),
    [sym_regex] = STATE(3113),
    [sym_meta_property] = STATE(3113),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2177),
    [sym_as_expression] = STATE(3139),
    [sym_satisfies_expression] = STATE(3139),
    [sym_instantiation_expression] = STATE(3139),
    [sym_internal_module] = STATE(3139),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5555),
    [sym_identifier] = ACTIONS(1744),
    [anon_sym_export] = ACTIONS(1596),
    [anon_sym_type] = ACTIONS(1596),
    [anon_sym_namespace] = ACTIONS(1598),
    [anon_sym_LBRACE] = ACTIONS(1020),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1596),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1029),
    [anon_sym_async] = ACTIONS(1602),
    [anon_sym_function] = ACTIONS(1033),
    [anon_sym_new] = ACTIONS(1748),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1596),
    [anon_sym_readonly] = ACTIONS(1596),
    [anon_sym_get] = ACTIONS(1596),
    [anon_sym_set] = ACTIONS(1596),
    [anon_sym_declare] = ACTIONS(1596),
    [anon_sym_public] = ACTIONS(1596),
    [anon_sym_private] = ACTIONS(1596),
    [anon_sym_protected] = ACTIONS(1596),
    [anon_sym_override] = ACTIONS(1596),
    [anon_sym_module] = ACTIONS(1596),
    [anon_sym_any] = ACTIONS(1596),
    [anon_sym_number] = ACTIONS(1596),
    [anon_sym_boolean] = ACTIONS(1596),
    [anon_sym_string] = ACTIONS(1596),
    [anon_sym_symbol] = ACTIONS(1596),
    [anon_sym_object] = ACTIONS(1596),
    [sym_html_comment] = ACTIONS(5),
  },
  [633] = {
    [sym_import] = STATE(4369),
    [sym_parenthesized_expression] = STATE(2177),
    [sym_expression] = STATE(2712),
    [sym_primary_expression] = STATE(2990),
    [sym_yield_expression] = STATE(3139),
    [sym_object] = STATE(3113),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(3113),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(3139),
    [sym_glimmer_opening_tag] = STATE(5702),
    [sym_jsx_element] = STATE(3139),
    [sym_jsx_opening_element] = STATE(4008),
    [sym_jsx_self_closing_element] = STATE(3139),
    [sym_class] = STATE(3113),
    [sym_function_expression] = STATE(3113),
    [sym_generator_function] = STATE(3113),
    [sym_arrow_function] = STATE(3113),
    [sym__call_signature] = STATE(7486),
    [sym_call_expression] = STATE(3113),
    [sym_new_expression] = STATE(3139),
    [sym_await_expression] = STATE(3139),
    [sym_member_expression] = STATE(2177),
    [sym_subscript_expression] = STATE(2177),
    [sym_assignment_expression] = STATE(3139),
    [sym__augmented_assignment_lhs] = STATE(3835),
    [sym_augmented_assignment_expression] = STATE(3139),
    [sym__destructuring_pattern] = STATE(7484),
    [sym_ternary_expression] = STATE(3139),
    [sym_binary_expression] = STATE(3139),
    [sym_unary_expression] = STATE(3139),
    [sym_update_expression] = STATE(3139),
    [sym_string] = STATE(3113),
    [sym_comment] = STATE(633),
    [sym_template_string] = STATE(3113),
    [sym_regex] = STATE(3113),
    [sym_meta_property] = STATE(3113),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2177),
    [sym_as_expression] = STATE(3139),
    [sym_satisfies_expression] = STATE(3139),
    [sym_instantiation_expression] = STATE(3139),
    [sym_internal_module] = STATE(3139),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5555),
    [sym_identifier] = ACTIONS(1744),
    [anon_sym_export] = ACTIONS(1596),
    [anon_sym_type] = ACTIONS(1596),
    [anon_sym_namespace] = ACTIONS(1598),
    [anon_sym_LBRACE] = ACTIONS(1020),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1596),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1029),
    [anon_sym_async] = ACTIONS(1602),
    [anon_sym_function] = ACTIONS(1033),
    [anon_sym_new] = ACTIONS(1748),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1596),
    [anon_sym_readonly] = ACTIONS(1596),
    [anon_sym_get] = ACTIONS(1596),
    [anon_sym_set] = ACTIONS(1596),
    [anon_sym_declare] = ACTIONS(1596),
    [anon_sym_public] = ACTIONS(1596),
    [anon_sym_private] = ACTIONS(1596),
    [anon_sym_protected] = ACTIONS(1596),
    [anon_sym_override] = ACTIONS(1596),
    [anon_sym_module] = ACTIONS(1596),
    [anon_sym_any] = ACTIONS(1596),
    [anon_sym_number] = ACTIONS(1596),
    [anon_sym_boolean] = ACTIONS(1596),
    [anon_sym_string] = ACTIONS(1596),
    [anon_sym_symbol] = ACTIONS(1596),
    [anon_sym_object] = ACTIONS(1596),
    [sym_html_comment] = ACTIONS(5),
  },
  [634] = {
    [sym_import] = STATE(4369),
    [sym_parenthesized_expression] = STATE(2221),
    [sym_expression] = STATE(2869),
    [sym_primary_expression] = STATE(2990),
    [sym_yield_expression] = STATE(3139),
    [sym_object] = STATE(3113),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(3113),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(3139),
    [sym_glimmer_opening_tag] = STATE(5702),
    [sym_jsx_element] = STATE(3139),
    [sym_jsx_opening_element] = STATE(4008),
    [sym_jsx_self_closing_element] = STATE(3139),
    [sym_class] = STATE(3113),
    [sym_function_expression] = STATE(3113),
    [sym_generator_function] = STATE(3113),
    [sym_arrow_function] = STATE(3113),
    [sym__call_signature] = STATE(7374),
    [sym_call_expression] = STATE(3113),
    [sym_new_expression] = STATE(3139),
    [sym_await_expression] = STATE(3139),
    [sym_member_expression] = STATE(2221),
    [sym_subscript_expression] = STATE(2221),
    [sym_assignment_expression] = STATE(3139),
    [sym__augmented_assignment_lhs] = STATE(3860),
    [sym_augmented_assignment_expression] = STATE(3139),
    [sym__destructuring_pattern] = STATE(7376),
    [sym_ternary_expression] = STATE(3139),
    [sym_binary_expression] = STATE(3139),
    [sym_unary_expression] = STATE(3139),
    [sym_update_expression] = STATE(3139),
    [sym_string] = STATE(3113),
    [sym_comment] = STATE(634),
    [sym_template_string] = STATE(3113),
    [sym_regex] = STATE(3113),
    [sym_meta_property] = STATE(3113),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2221),
    [sym_as_expression] = STATE(3139),
    [sym_satisfies_expression] = STATE(3139),
    [sym_instantiation_expression] = STATE(3139),
    [sym_internal_module] = STATE(3139),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5555),
    [sym_identifier] = ACTIONS(1758),
    [anon_sym_export] = ACTIONS(1362),
    [anon_sym_type] = ACTIONS(1362),
    [anon_sym_namespace] = ACTIONS(1364),
    [anon_sym_LBRACE] = ACTIONS(1020),
    [anon_sym_typeof] = ACTIONS(1370),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1362),
    [anon_sym_BANG] = ACTIONS(1370),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1374),
    [anon_sym_yield] = ACTIONS(1376),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1029),
    [anon_sym_async] = ACTIONS(1380),
    [anon_sym_function] = ACTIONS(1033),
    [anon_sym_new] = ACTIONS(1762),
    [anon_sym_using] = ACTIONS(1384),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1370),
    [anon_sym_void] = ACTIONS(1370),
    [anon_sym_delete] = ACTIONS(1370),
    [anon_sym_PLUS_PLUS] = ACTIONS(1390),
    [anon_sym_DASH_DASH] = ACTIONS(1390),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1396),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1764),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1362),
    [anon_sym_readonly] = ACTIONS(1362),
    [anon_sym_get] = ACTIONS(1362),
    [anon_sym_set] = ACTIONS(1362),
    [anon_sym_declare] = ACTIONS(1362),
    [anon_sym_public] = ACTIONS(1362),
    [anon_sym_private] = ACTIONS(1362),
    [anon_sym_protected] = ACTIONS(1362),
    [anon_sym_override] = ACTIONS(1362),
    [anon_sym_module] = ACTIONS(1362),
    [anon_sym_any] = ACTIONS(1362),
    [anon_sym_number] = ACTIONS(1362),
    [anon_sym_boolean] = ACTIONS(1362),
    [anon_sym_string] = ACTIONS(1362),
    [anon_sym_symbol] = ACTIONS(1362),
    [anon_sym_object] = ACTIONS(1362),
    [sym_html_comment] = ACTIONS(5),
  },
  [635] = {
    [sym_import] = STATE(4369),
    [sym_parenthesized_expression] = STATE(2221),
    [sym_expression] = STATE(2841),
    [sym_primary_expression] = STATE(2990),
    [sym_yield_expression] = STATE(3139),
    [sym_object] = STATE(3113),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(3113),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(3139),
    [sym_glimmer_opening_tag] = STATE(5702),
    [sym_jsx_element] = STATE(3139),
    [sym_jsx_opening_element] = STATE(4008),
    [sym_jsx_self_closing_element] = STATE(3139),
    [sym_class] = STATE(3113),
    [sym_function_expression] = STATE(3113),
    [sym_generator_function] = STATE(3113),
    [sym_arrow_function] = STATE(3113),
    [sym__call_signature] = STATE(7374),
    [sym_call_expression] = STATE(3113),
    [sym_new_expression] = STATE(3139),
    [sym_await_expression] = STATE(3139),
    [sym_member_expression] = STATE(2221),
    [sym_subscript_expression] = STATE(2221),
    [sym_assignment_expression] = STATE(3139),
    [sym__augmented_assignment_lhs] = STATE(3860),
    [sym_augmented_assignment_expression] = STATE(3139),
    [sym__destructuring_pattern] = STATE(7376),
    [sym_ternary_expression] = STATE(3139),
    [sym_binary_expression] = STATE(3139),
    [sym_unary_expression] = STATE(3139),
    [sym_update_expression] = STATE(3139),
    [sym_string] = STATE(3113),
    [sym_comment] = STATE(635),
    [sym_template_string] = STATE(3113),
    [sym_regex] = STATE(3113),
    [sym_meta_property] = STATE(3113),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2221),
    [sym_as_expression] = STATE(3139),
    [sym_satisfies_expression] = STATE(3139),
    [sym_instantiation_expression] = STATE(3139),
    [sym_internal_module] = STATE(3139),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5555),
    [sym_identifier] = ACTIONS(1758),
    [anon_sym_export] = ACTIONS(1362),
    [anon_sym_type] = ACTIONS(1362),
    [anon_sym_namespace] = ACTIONS(1364),
    [anon_sym_LBRACE] = ACTIONS(1020),
    [anon_sym_typeof] = ACTIONS(1370),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1362),
    [anon_sym_BANG] = ACTIONS(1370),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1374),
    [anon_sym_yield] = ACTIONS(1376),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1029),
    [anon_sym_async] = ACTIONS(1380),
    [anon_sym_function] = ACTIONS(1033),
    [anon_sym_new] = ACTIONS(1762),
    [anon_sym_using] = ACTIONS(1384),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1370),
    [anon_sym_void] = ACTIONS(1370),
    [anon_sym_delete] = ACTIONS(1370),
    [anon_sym_PLUS_PLUS] = ACTIONS(1390),
    [anon_sym_DASH_DASH] = ACTIONS(1390),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1396),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1764),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1362),
    [anon_sym_readonly] = ACTIONS(1362),
    [anon_sym_get] = ACTIONS(1362),
    [anon_sym_set] = ACTIONS(1362),
    [anon_sym_declare] = ACTIONS(1362),
    [anon_sym_public] = ACTIONS(1362),
    [anon_sym_private] = ACTIONS(1362),
    [anon_sym_protected] = ACTIONS(1362),
    [anon_sym_override] = ACTIONS(1362),
    [anon_sym_module] = ACTIONS(1362),
    [anon_sym_any] = ACTIONS(1362),
    [anon_sym_number] = ACTIONS(1362),
    [anon_sym_boolean] = ACTIONS(1362),
    [anon_sym_string] = ACTIONS(1362),
    [anon_sym_symbol] = ACTIONS(1362),
    [anon_sym_object] = ACTIONS(1362),
    [sym_html_comment] = ACTIONS(5),
  },
  [636] = {
    [sym_import] = STATE(4369),
    [sym_parenthesized_expression] = STATE(2221),
    [sym_expression] = STATE(2879),
    [sym_primary_expression] = STATE(2990),
    [sym_yield_expression] = STATE(3139),
    [sym_object] = STATE(3113),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(3113),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(3139),
    [sym_glimmer_opening_tag] = STATE(5702),
    [sym_jsx_element] = STATE(3139),
    [sym_jsx_opening_element] = STATE(4008),
    [sym_jsx_self_closing_element] = STATE(3139),
    [sym_class] = STATE(3113),
    [sym_function_expression] = STATE(3113),
    [sym_generator_function] = STATE(3113),
    [sym_arrow_function] = STATE(3113),
    [sym__call_signature] = STATE(7374),
    [sym_call_expression] = STATE(3113),
    [sym_new_expression] = STATE(3139),
    [sym_await_expression] = STATE(3139),
    [sym_member_expression] = STATE(2221),
    [sym_subscript_expression] = STATE(2221),
    [sym_assignment_expression] = STATE(3139),
    [sym__augmented_assignment_lhs] = STATE(3860),
    [sym_augmented_assignment_expression] = STATE(3139),
    [sym__destructuring_pattern] = STATE(7376),
    [sym_ternary_expression] = STATE(3139),
    [sym_binary_expression] = STATE(3139),
    [sym_unary_expression] = STATE(3139),
    [sym_update_expression] = STATE(3139),
    [sym_string] = STATE(3113),
    [sym_comment] = STATE(636),
    [sym_template_string] = STATE(3113),
    [sym_regex] = STATE(3113),
    [sym_meta_property] = STATE(3113),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2221),
    [sym_as_expression] = STATE(3139),
    [sym_satisfies_expression] = STATE(3139),
    [sym_instantiation_expression] = STATE(3139),
    [sym_internal_module] = STATE(3139),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5555),
    [sym_identifier] = ACTIONS(1758),
    [anon_sym_export] = ACTIONS(1362),
    [anon_sym_type] = ACTIONS(1362),
    [anon_sym_namespace] = ACTIONS(1364),
    [anon_sym_LBRACE] = ACTIONS(1020),
    [anon_sym_typeof] = ACTIONS(1370),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1362),
    [anon_sym_BANG] = ACTIONS(1370),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1374),
    [anon_sym_yield] = ACTIONS(1376),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1029),
    [anon_sym_async] = ACTIONS(1380),
    [anon_sym_function] = ACTIONS(1033),
    [anon_sym_new] = ACTIONS(1762),
    [anon_sym_using] = ACTIONS(1384),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1370),
    [anon_sym_void] = ACTIONS(1370),
    [anon_sym_delete] = ACTIONS(1370),
    [anon_sym_PLUS_PLUS] = ACTIONS(1390),
    [anon_sym_DASH_DASH] = ACTIONS(1390),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1396),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1764),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1362),
    [anon_sym_readonly] = ACTIONS(1362),
    [anon_sym_get] = ACTIONS(1362),
    [anon_sym_set] = ACTIONS(1362),
    [anon_sym_declare] = ACTIONS(1362),
    [anon_sym_public] = ACTIONS(1362),
    [anon_sym_private] = ACTIONS(1362),
    [anon_sym_protected] = ACTIONS(1362),
    [anon_sym_override] = ACTIONS(1362),
    [anon_sym_module] = ACTIONS(1362),
    [anon_sym_any] = ACTIONS(1362),
    [anon_sym_number] = ACTIONS(1362),
    [anon_sym_boolean] = ACTIONS(1362),
    [anon_sym_string] = ACTIONS(1362),
    [anon_sym_symbol] = ACTIONS(1362),
    [anon_sym_object] = ACTIONS(1362),
    [sym_html_comment] = ACTIONS(5),
  },
  [637] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2239),
    [sym_expression] = STATE(3273),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7446),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2239),
    [sym_subscript_expression] = STATE(2239),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3938),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7450),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(637),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2239),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1782),
    [anon_sym_export] = ACTIONS(1408),
    [anon_sym_type] = ACTIONS(1408),
    [anon_sym_namespace] = ACTIONS(1410),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(1416),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1408),
    [anon_sym_BANG] = ACTIONS(1416),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1418),
    [anon_sym_yield] = ACTIONS(1420),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1424),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1786),
    [anon_sym_using] = ACTIONS(1428),
    [anon_sym_PLUS] = ACTIONS(1416),
    [anon_sym_DASH] = ACTIONS(1416),
    [anon_sym_SLASH] = ACTIONS(1290),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(1416),
    [anon_sym_void] = ACTIONS(1416),
    [anon_sym_delete] = ACTIONS(1416),
    [anon_sym_PLUS_PLUS] = ACTIONS(1434),
    [anon_sym_DASH_DASH] = ACTIONS(1434),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(1440),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1788),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1408),
    [anon_sym_readonly] = ACTIONS(1408),
    [anon_sym_get] = ACTIONS(1408),
    [anon_sym_set] = ACTIONS(1408),
    [anon_sym_declare] = ACTIONS(1408),
    [anon_sym_public] = ACTIONS(1408),
    [anon_sym_private] = ACTIONS(1408),
    [anon_sym_protected] = ACTIONS(1408),
    [anon_sym_override] = ACTIONS(1408),
    [anon_sym_module] = ACTIONS(1408),
    [anon_sym_any] = ACTIONS(1408),
    [anon_sym_number] = ACTIONS(1408),
    [anon_sym_boolean] = ACTIONS(1408),
    [anon_sym_string] = ACTIONS(1408),
    [anon_sym_symbol] = ACTIONS(1408),
    [anon_sym_object] = ACTIONS(1408),
    [sym_html_comment] = ACTIONS(5),
  },
  [638] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2239),
    [sym_expression] = STATE(3272),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7446),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2239),
    [sym_subscript_expression] = STATE(2239),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3938),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7450),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(638),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2239),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1782),
    [anon_sym_export] = ACTIONS(1408),
    [anon_sym_type] = ACTIONS(1408),
    [anon_sym_namespace] = ACTIONS(1410),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(1416),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1408),
    [anon_sym_BANG] = ACTIONS(1416),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1418),
    [anon_sym_yield] = ACTIONS(1420),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1424),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1786),
    [anon_sym_using] = ACTIONS(1428),
    [anon_sym_PLUS] = ACTIONS(1416),
    [anon_sym_DASH] = ACTIONS(1416),
    [anon_sym_SLASH] = ACTIONS(1290),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(1416),
    [anon_sym_void] = ACTIONS(1416),
    [anon_sym_delete] = ACTIONS(1416),
    [anon_sym_PLUS_PLUS] = ACTIONS(1434),
    [anon_sym_DASH_DASH] = ACTIONS(1434),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(1440),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1788),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1408),
    [anon_sym_readonly] = ACTIONS(1408),
    [anon_sym_get] = ACTIONS(1408),
    [anon_sym_set] = ACTIONS(1408),
    [anon_sym_declare] = ACTIONS(1408),
    [anon_sym_public] = ACTIONS(1408),
    [anon_sym_private] = ACTIONS(1408),
    [anon_sym_protected] = ACTIONS(1408),
    [anon_sym_override] = ACTIONS(1408),
    [anon_sym_module] = ACTIONS(1408),
    [anon_sym_any] = ACTIONS(1408),
    [anon_sym_number] = ACTIONS(1408),
    [anon_sym_boolean] = ACTIONS(1408),
    [anon_sym_string] = ACTIONS(1408),
    [anon_sym_symbol] = ACTIONS(1408),
    [anon_sym_object] = ACTIONS(1408),
    [sym_html_comment] = ACTIONS(5),
  },
  [639] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2248),
    [sym_expression] = STATE(3235),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7502),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2248),
    [sym_subscript_expression] = STATE(2248),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3928),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7561),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(639),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2248),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1774),
    [anon_sym_export] = ACTIONS(1618),
    [anon_sym_type] = ACTIONS(1618),
    [anon_sym_namespace] = ACTIONS(1620),
    [anon_sym_LBRACE] = ACTIONS(1127),
    [anon_sym_typeof] = ACTIONS(1624),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1618),
    [anon_sym_BANG] = ACTIONS(1624),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1626),
    [anon_sym_yield] = ACTIONS(1628),
    [anon_sym_LBRACK] = ACTIONS(1129),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1630),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1778),
    [anon_sym_using] = ACTIONS(1634),
    [anon_sym_PLUS] = ACTIONS(1624),
    [anon_sym_DASH] = ACTIONS(1624),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(1624),
    [anon_sym_void] = ACTIONS(1624),
    [anon_sym_delete] = ACTIONS(1624),
    [anon_sym_PLUS_PLUS] = ACTIONS(1640),
    [anon_sym_DASH_DASH] = ACTIONS(1640),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(1642),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1780),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1618),
    [anon_sym_readonly] = ACTIONS(1618),
    [anon_sym_get] = ACTIONS(1618),
    [anon_sym_set] = ACTIONS(1618),
    [anon_sym_declare] = ACTIONS(1618),
    [anon_sym_public] = ACTIONS(1618),
    [anon_sym_private] = ACTIONS(1618),
    [anon_sym_protected] = ACTIONS(1618),
    [anon_sym_override] = ACTIONS(1618),
    [anon_sym_module] = ACTIONS(1618),
    [anon_sym_any] = ACTIONS(1618),
    [anon_sym_number] = ACTIONS(1618),
    [anon_sym_boolean] = ACTIONS(1618),
    [anon_sym_string] = ACTIONS(1618),
    [anon_sym_symbol] = ACTIONS(1618),
    [anon_sym_object] = ACTIONS(1618),
    [sym_html_comment] = ACTIONS(5),
  },
  [640] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2239),
    [sym_expression] = STATE(3269),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7446),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2239),
    [sym_subscript_expression] = STATE(2239),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3938),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7450),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(640),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2239),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1782),
    [anon_sym_export] = ACTIONS(1408),
    [anon_sym_type] = ACTIONS(1408),
    [anon_sym_namespace] = ACTIONS(1410),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(1416),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1408),
    [anon_sym_BANG] = ACTIONS(1416),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1418),
    [anon_sym_yield] = ACTIONS(1420),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1424),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1786),
    [anon_sym_using] = ACTIONS(1428),
    [anon_sym_PLUS] = ACTIONS(1416),
    [anon_sym_DASH] = ACTIONS(1416),
    [anon_sym_SLASH] = ACTIONS(1290),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(1416),
    [anon_sym_void] = ACTIONS(1416),
    [anon_sym_delete] = ACTIONS(1416),
    [anon_sym_PLUS_PLUS] = ACTIONS(1434),
    [anon_sym_DASH_DASH] = ACTIONS(1434),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(1440),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1788),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1408),
    [anon_sym_readonly] = ACTIONS(1408),
    [anon_sym_get] = ACTIONS(1408),
    [anon_sym_set] = ACTIONS(1408),
    [anon_sym_declare] = ACTIONS(1408),
    [anon_sym_public] = ACTIONS(1408),
    [anon_sym_private] = ACTIONS(1408),
    [anon_sym_protected] = ACTIONS(1408),
    [anon_sym_override] = ACTIONS(1408),
    [anon_sym_module] = ACTIONS(1408),
    [anon_sym_any] = ACTIONS(1408),
    [anon_sym_number] = ACTIONS(1408),
    [anon_sym_boolean] = ACTIONS(1408),
    [anon_sym_string] = ACTIONS(1408),
    [anon_sym_symbol] = ACTIONS(1408),
    [anon_sym_object] = ACTIONS(1408),
    [sym_html_comment] = ACTIONS(5),
  },
  [641] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2239),
    [sym_expression] = STATE(3245),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7446),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2239),
    [sym_subscript_expression] = STATE(2239),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3938),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7450),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(641),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2239),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1782),
    [anon_sym_export] = ACTIONS(1408),
    [anon_sym_type] = ACTIONS(1408),
    [anon_sym_namespace] = ACTIONS(1410),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(1416),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1408),
    [anon_sym_BANG] = ACTIONS(1416),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1418),
    [anon_sym_yield] = ACTIONS(1420),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1424),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1786),
    [anon_sym_using] = ACTIONS(1428),
    [anon_sym_PLUS] = ACTIONS(1416),
    [anon_sym_DASH] = ACTIONS(1416),
    [anon_sym_SLASH] = ACTIONS(1290),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(1416),
    [anon_sym_void] = ACTIONS(1416),
    [anon_sym_delete] = ACTIONS(1416),
    [anon_sym_PLUS_PLUS] = ACTIONS(1434),
    [anon_sym_DASH_DASH] = ACTIONS(1434),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(1440),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1788),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1408),
    [anon_sym_readonly] = ACTIONS(1408),
    [anon_sym_get] = ACTIONS(1408),
    [anon_sym_set] = ACTIONS(1408),
    [anon_sym_declare] = ACTIONS(1408),
    [anon_sym_public] = ACTIONS(1408),
    [anon_sym_private] = ACTIONS(1408),
    [anon_sym_protected] = ACTIONS(1408),
    [anon_sym_override] = ACTIONS(1408),
    [anon_sym_module] = ACTIONS(1408),
    [anon_sym_any] = ACTIONS(1408),
    [anon_sym_number] = ACTIONS(1408),
    [anon_sym_boolean] = ACTIONS(1408),
    [anon_sym_string] = ACTIONS(1408),
    [anon_sym_symbol] = ACTIONS(1408),
    [anon_sym_object] = ACTIONS(1408),
    [sym_html_comment] = ACTIONS(5),
  },
  [642] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2248),
    [sym_expression] = STATE(3237),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7502),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2248),
    [sym_subscript_expression] = STATE(2248),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3928),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7561),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(642),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2248),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1774),
    [anon_sym_export] = ACTIONS(1618),
    [anon_sym_type] = ACTIONS(1618),
    [anon_sym_namespace] = ACTIONS(1620),
    [anon_sym_LBRACE] = ACTIONS(1127),
    [anon_sym_typeof] = ACTIONS(1624),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1618),
    [anon_sym_BANG] = ACTIONS(1624),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1626),
    [anon_sym_yield] = ACTIONS(1628),
    [anon_sym_LBRACK] = ACTIONS(1129),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1630),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1778),
    [anon_sym_using] = ACTIONS(1634),
    [anon_sym_PLUS] = ACTIONS(1624),
    [anon_sym_DASH] = ACTIONS(1624),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(1624),
    [anon_sym_void] = ACTIONS(1624),
    [anon_sym_delete] = ACTIONS(1624),
    [anon_sym_PLUS_PLUS] = ACTIONS(1640),
    [anon_sym_DASH_DASH] = ACTIONS(1640),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(1642),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1780),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1618),
    [anon_sym_readonly] = ACTIONS(1618),
    [anon_sym_get] = ACTIONS(1618),
    [anon_sym_set] = ACTIONS(1618),
    [anon_sym_declare] = ACTIONS(1618),
    [anon_sym_public] = ACTIONS(1618),
    [anon_sym_private] = ACTIONS(1618),
    [anon_sym_protected] = ACTIONS(1618),
    [anon_sym_override] = ACTIONS(1618),
    [anon_sym_module] = ACTIONS(1618),
    [anon_sym_any] = ACTIONS(1618),
    [anon_sym_number] = ACTIONS(1618),
    [anon_sym_boolean] = ACTIONS(1618),
    [anon_sym_string] = ACTIONS(1618),
    [anon_sym_symbol] = ACTIONS(1618),
    [anon_sym_object] = ACTIONS(1618),
    [sym_html_comment] = ACTIONS(5),
  },
  [643] = {
    [sym_import] = STATE(4369),
    [sym_parenthesized_expression] = STATE(2221),
    [sym_expression] = STATE(2874),
    [sym_primary_expression] = STATE(2990),
    [sym_yield_expression] = STATE(3139),
    [sym_object] = STATE(3113),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(3113),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(3139),
    [sym_glimmer_opening_tag] = STATE(5702),
    [sym_jsx_element] = STATE(3139),
    [sym_jsx_opening_element] = STATE(4008),
    [sym_jsx_self_closing_element] = STATE(3139),
    [sym_class] = STATE(3113),
    [sym_function_expression] = STATE(3113),
    [sym_generator_function] = STATE(3113),
    [sym_arrow_function] = STATE(3113),
    [sym__call_signature] = STATE(7374),
    [sym_call_expression] = STATE(3113),
    [sym_new_expression] = STATE(3139),
    [sym_await_expression] = STATE(3139),
    [sym_member_expression] = STATE(2221),
    [sym_subscript_expression] = STATE(2221),
    [sym_assignment_expression] = STATE(3139),
    [sym__augmented_assignment_lhs] = STATE(3860),
    [sym_augmented_assignment_expression] = STATE(3139),
    [sym__destructuring_pattern] = STATE(7376),
    [sym_ternary_expression] = STATE(3139),
    [sym_binary_expression] = STATE(3139),
    [sym_unary_expression] = STATE(3139),
    [sym_update_expression] = STATE(3139),
    [sym_string] = STATE(3113),
    [sym_comment] = STATE(643),
    [sym_template_string] = STATE(3113),
    [sym_regex] = STATE(3113),
    [sym_meta_property] = STATE(3113),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2221),
    [sym_as_expression] = STATE(3139),
    [sym_satisfies_expression] = STATE(3139),
    [sym_instantiation_expression] = STATE(3139),
    [sym_internal_module] = STATE(3139),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5555),
    [sym_identifier] = ACTIONS(1758),
    [anon_sym_export] = ACTIONS(1362),
    [anon_sym_type] = ACTIONS(1362),
    [anon_sym_namespace] = ACTIONS(1364),
    [anon_sym_LBRACE] = ACTIONS(1020),
    [anon_sym_typeof] = ACTIONS(1370),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1362),
    [anon_sym_BANG] = ACTIONS(1370),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1374),
    [anon_sym_yield] = ACTIONS(1376),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1029),
    [anon_sym_async] = ACTIONS(1380),
    [anon_sym_function] = ACTIONS(1033),
    [anon_sym_new] = ACTIONS(1762),
    [anon_sym_using] = ACTIONS(1384),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1370),
    [anon_sym_void] = ACTIONS(1370),
    [anon_sym_delete] = ACTIONS(1370),
    [anon_sym_PLUS_PLUS] = ACTIONS(1390),
    [anon_sym_DASH_DASH] = ACTIONS(1390),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1396),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1764),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1362),
    [anon_sym_readonly] = ACTIONS(1362),
    [anon_sym_get] = ACTIONS(1362),
    [anon_sym_set] = ACTIONS(1362),
    [anon_sym_declare] = ACTIONS(1362),
    [anon_sym_public] = ACTIONS(1362),
    [anon_sym_private] = ACTIONS(1362),
    [anon_sym_protected] = ACTIONS(1362),
    [anon_sym_override] = ACTIONS(1362),
    [anon_sym_module] = ACTIONS(1362),
    [anon_sym_any] = ACTIONS(1362),
    [anon_sym_number] = ACTIONS(1362),
    [anon_sym_boolean] = ACTIONS(1362),
    [anon_sym_string] = ACTIONS(1362),
    [anon_sym_symbol] = ACTIONS(1362),
    [anon_sym_object] = ACTIONS(1362),
    [sym_html_comment] = ACTIONS(5),
  },
  [644] = {
    [sym_import] = STATE(4369),
    [sym_parenthesized_expression] = STATE(2221),
    [sym_expression] = STATE(2894),
    [sym_primary_expression] = STATE(2990),
    [sym_yield_expression] = STATE(3139),
    [sym_object] = STATE(3113),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(3113),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(3139),
    [sym_glimmer_opening_tag] = STATE(5702),
    [sym_jsx_element] = STATE(3139),
    [sym_jsx_opening_element] = STATE(4008),
    [sym_jsx_self_closing_element] = STATE(3139),
    [sym_class] = STATE(3113),
    [sym_function_expression] = STATE(3113),
    [sym_generator_function] = STATE(3113),
    [sym_arrow_function] = STATE(3113),
    [sym__call_signature] = STATE(7374),
    [sym_call_expression] = STATE(3113),
    [sym_new_expression] = STATE(3139),
    [sym_await_expression] = STATE(3139),
    [sym_member_expression] = STATE(2221),
    [sym_subscript_expression] = STATE(2221),
    [sym_assignment_expression] = STATE(3139),
    [sym__augmented_assignment_lhs] = STATE(3860),
    [sym_augmented_assignment_expression] = STATE(3139),
    [sym__destructuring_pattern] = STATE(7376),
    [sym_ternary_expression] = STATE(3139),
    [sym_binary_expression] = STATE(3139),
    [sym_unary_expression] = STATE(3139),
    [sym_update_expression] = STATE(3139),
    [sym_string] = STATE(3113),
    [sym_comment] = STATE(644),
    [sym_template_string] = STATE(3113),
    [sym_regex] = STATE(3113),
    [sym_meta_property] = STATE(3113),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2221),
    [sym_as_expression] = STATE(3139),
    [sym_satisfies_expression] = STATE(3139),
    [sym_instantiation_expression] = STATE(3139),
    [sym_internal_module] = STATE(3139),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5555),
    [sym_identifier] = ACTIONS(1758),
    [anon_sym_export] = ACTIONS(1362),
    [anon_sym_type] = ACTIONS(1362),
    [anon_sym_namespace] = ACTIONS(1364),
    [anon_sym_LBRACE] = ACTIONS(1020),
    [anon_sym_typeof] = ACTIONS(1370),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1362),
    [anon_sym_BANG] = ACTIONS(1370),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1374),
    [anon_sym_yield] = ACTIONS(1376),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1029),
    [anon_sym_async] = ACTIONS(1380),
    [anon_sym_function] = ACTIONS(1033),
    [anon_sym_new] = ACTIONS(1762),
    [anon_sym_using] = ACTIONS(1384),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1370),
    [anon_sym_void] = ACTIONS(1370),
    [anon_sym_delete] = ACTIONS(1370),
    [anon_sym_PLUS_PLUS] = ACTIONS(1390),
    [anon_sym_DASH_DASH] = ACTIONS(1390),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1396),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1764),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1362),
    [anon_sym_readonly] = ACTIONS(1362),
    [anon_sym_get] = ACTIONS(1362),
    [anon_sym_set] = ACTIONS(1362),
    [anon_sym_declare] = ACTIONS(1362),
    [anon_sym_public] = ACTIONS(1362),
    [anon_sym_private] = ACTIONS(1362),
    [anon_sym_protected] = ACTIONS(1362),
    [anon_sym_override] = ACTIONS(1362),
    [anon_sym_module] = ACTIONS(1362),
    [anon_sym_any] = ACTIONS(1362),
    [anon_sym_number] = ACTIONS(1362),
    [anon_sym_boolean] = ACTIONS(1362),
    [anon_sym_string] = ACTIONS(1362),
    [anon_sym_symbol] = ACTIONS(1362),
    [anon_sym_object] = ACTIONS(1362),
    [sym_html_comment] = ACTIONS(5),
  },
  [645] = {
    [sym_import] = STATE(4369),
    [sym_parenthesized_expression] = STATE(2221),
    [sym_expression] = STATE(2896),
    [sym_primary_expression] = STATE(2990),
    [sym_yield_expression] = STATE(3139),
    [sym_object] = STATE(3113),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(3113),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(3139),
    [sym_glimmer_opening_tag] = STATE(5702),
    [sym_jsx_element] = STATE(3139),
    [sym_jsx_opening_element] = STATE(4008),
    [sym_jsx_self_closing_element] = STATE(3139),
    [sym_class] = STATE(3113),
    [sym_function_expression] = STATE(3113),
    [sym_generator_function] = STATE(3113),
    [sym_arrow_function] = STATE(3113),
    [sym__call_signature] = STATE(7374),
    [sym_call_expression] = STATE(3113),
    [sym_new_expression] = STATE(3139),
    [sym_await_expression] = STATE(3139),
    [sym_member_expression] = STATE(2221),
    [sym_subscript_expression] = STATE(2221),
    [sym_assignment_expression] = STATE(3139),
    [sym__augmented_assignment_lhs] = STATE(3860),
    [sym_augmented_assignment_expression] = STATE(3139),
    [sym__destructuring_pattern] = STATE(7376),
    [sym_ternary_expression] = STATE(3139),
    [sym_binary_expression] = STATE(3139),
    [sym_unary_expression] = STATE(3139),
    [sym_update_expression] = STATE(3139),
    [sym_string] = STATE(3113),
    [sym_comment] = STATE(645),
    [sym_template_string] = STATE(3113),
    [sym_regex] = STATE(3113),
    [sym_meta_property] = STATE(3113),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2221),
    [sym_as_expression] = STATE(3139),
    [sym_satisfies_expression] = STATE(3139),
    [sym_instantiation_expression] = STATE(3139),
    [sym_internal_module] = STATE(3139),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5555),
    [sym_identifier] = ACTIONS(1758),
    [anon_sym_export] = ACTIONS(1362),
    [anon_sym_type] = ACTIONS(1362),
    [anon_sym_namespace] = ACTIONS(1364),
    [anon_sym_LBRACE] = ACTIONS(1020),
    [anon_sym_typeof] = ACTIONS(1370),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1362),
    [anon_sym_BANG] = ACTIONS(1370),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1374),
    [anon_sym_yield] = ACTIONS(1376),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1029),
    [anon_sym_async] = ACTIONS(1380),
    [anon_sym_function] = ACTIONS(1033),
    [anon_sym_new] = ACTIONS(1762),
    [anon_sym_using] = ACTIONS(1384),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1370),
    [anon_sym_void] = ACTIONS(1370),
    [anon_sym_delete] = ACTIONS(1370),
    [anon_sym_PLUS_PLUS] = ACTIONS(1390),
    [anon_sym_DASH_DASH] = ACTIONS(1390),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1396),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1764),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1362),
    [anon_sym_readonly] = ACTIONS(1362),
    [anon_sym_get] = ACTIONS(1362),
    [anon_sym_set] = ACTIONS(1362),
    [anon_sym_declare] = ACTIONS(1362),
    [anon_sym_public] = ACTIONS(1362),
    [anon_sym_private] = ACTIONS(1362),
    [anon_sym_protected] = ACTIONS(1362),
    [anon_sym_override] = ACTIONS(1362),
    [anon_sym_module] = ACTIONS(1362),
    [anon_sym_any] = ACTIONS(1362),
    [anon_sym_number] = ACTIONS(1362),
    [anon_sym_boolean] = ACTIONS(1362),
    [anon_sym_string] = ACTIONS(1362),
    [anon_sym_symbol] = ACTIONS(1362),
    [anon_sym_object] = ACTIONS(1362),
    [sym_html_comment] = ACTIONS(5),
  },
  [646] = {
    [sym_import] = STATE(4369),
    [sym_parenthesized_expression] = STATE(2221),
    [sym_expression] = STATE(2897),
    [sym_primary_expression] = STATE(2990),
    [sym_yield_expression] = STATE(3139),
    [sym_object] = STATE(3113),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(3113),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(3139),
    [sym_glimmer_opening_tag] = STATE(5702),
    [sym_jsx_element] = STATE(3139),
    [sym_jsx_opening_element] = STATE(4008),
    [sym_jsx_self_closing_element] = STATE(3139),
    [sym_class] = STATE(3113),
    [sym_function_expression] = STATE(3113),
    [sym_generator_function] = STATE(3113),
    [sym_arrow_function] = STATE(3113),
    [sym__call_signature] = STATE(7374),
    [sym_call_expression] = STATE(3113),
    [sym_new_expression] = STATE(3139),
    [sym_await_expression] = STATE(3139),
    [sym_member_expression] = STATE(2221),
    [sym_subscript_expression] = STATE(2221),
    [sym_assignment_expression] = STATE(3139),
    [sym__augmented_assignment_lhs] = STATE(3860),
    [sym_augmented_assignment_expression] = STATE(3139),
    [sym__destructuring_pattern] = STATE(7376),
    [sym_ternary_expression] = STATE(3139),
    [sym_binary_expression] = STATE(3139),
    [sym_unary_expression] = STATE(3139),
    [sym_update_expression] = STATE(3139),
    [sym_string] = STATE(3113),
    [sym_comment] = STATE(646),
    [sym_template_string] = STATE(3113),
    [sym_regex] = STATE(3113),
    [sym_meta_property] = STATE(3113),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2221),
    [sym_as_expression] = STATE(3139),
    [sym_satisfies_expression] = STATE(3139),
    [sym_instantiation_expression] = STATE(3139),
    [sym_internal_module] = STATE(3139),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5555),
    [sym_identifier] = ACTIONS(1758),
    [anon_sym_export] = ACTIONS(1362),
    [anon_sym_type] = ACTIONS(1362),
    [anon_sym_namespace] = ACTIONS(1364),
    [anon_sym_LBRACE] = ACTIONS(1020),
    [anon_sym_typeof] = ACTIONS(1370),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1362),
    [anon_sym_BANG] = ACTIONS(1370),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1374),
    [anon_sym_yield] = ACTIONS(1376),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1029),
    [anon_sym_async] = ACTIONS(1380),
    [anon_sym_function] = ACTIONS(1033),
    [anon_sym_new] = ACTIONS(1762),
    [anon_sym_using] = ACTIONS(1384),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1370),
    [anon_sym_void] = ACTIONS(1370),
    [anon_sym_delete] = ACTIONS(1370),
    [anon_sym_PLUS_PLUS] = ACTIONS(1390),
    [anon_sym_DASH_DASH] = ACTIONS(1390),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1396),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1764),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1362),
    [anon_sym_readonly] = ACTIONS(1362),
    [anon_sym_get] = ACTIONS(1362),
    [anon_sym_set] = ACTIONS(1362),
    [anon_sym_declare] = ACTIONS(1362),
    [anon_sym_public] = ACTIONS(1362),
    [anon_sym_private] = ACTIONS(1362),
    [anon_sym_protected] = ACTIONS(1362),
    [anon_sym_override] = ACTIONS(1362),
    [anon_sym_module] = ACTIONS(1362),
    [anon_sym_any] = ACTIONS(1362),
    [anon_sym_number] = ACTIONS(1362),
    [anon_sym_boolean] = ACTIONS(1362),
    [anon_sym_string] = ACTIONS(1362),
    [anon_sym_symbol] = ACTIONS(1362),
    [anon_sym_object] = ACTIONS(1362),
    [sym_html_comment] = ACTIONS(5),
  },
  [647] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2248),
    [sym_expression] = STATE(3238),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7502),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2248),
    [sym_subscript_expression] = STATE(2248),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3928),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7561),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(647),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2248),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1774),
    [anon_sym_export] = ACTIONS(1618),
    [anon_sym_type] = ACTIONS(1618),
    [anon_sym_namespace] = ACTIONS(1620),
    [anon_sym_LBRACE] = ACTIONS(1127),
    [anon_sym_typeof] = ACTIONS(1624),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1618),
    [anon_sym_BANG] = ACTIONS(1624),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1626),
    [anon_sym_yield] = ACTIONS(1628),
    [anon_sym_LBRACK] = ACTIONS(1129),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1630),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1778),
    [anon_sym_using] = ACTIONS(1634),
    [anon_sym_PLUS] = ACTIONS(1624),
    [anon_sym_DASH] = ACTIONS(1624),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(1624),
    [anon_sym_void] = ACTIONS(1624),
    [anon_sym_delete] = ACTIONS(1624),
    [anon_sym_PLUS_PLUS] = ACTIONS(1640),
    [anon_sym_DASH_DASH] = ACTIONS(1640),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(1642),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1780),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1618),
    [anon_sym_readonly] = ACTIONS(1618),
    [anon_sym_get] = ACTIONS(1618),
    [anon_sym_set] = ACTIONS(1618),
    [anon_sym_declare] = ACTIONS(1618),
    [anon_sym_public] = ACTIONS(1618),
    [anon_sym_private] = ACTIONS(1618),
    [anon_sym_protected] = ACTIONS(1618),
    [anon_sym_override] = ACTIONS(1618),
    [anon_sym_module] = ACTIONS(1618),
    [anon_sym_any] = ACTIONS(1618),
    [anon_sym_number] = ACTIONS(1618),
    [anon_sym_boolean] = ACTIONS(1618),
    [anon_sym_string] = ACTIONS(1618),
    [anon_sym_symbol] = ACTIONS(1618),
    [anon_sym_object] = ACTIONS(1618),
    [sym_html_comment] = ACTIONS(5),
  },
  [648] = {
    [sym_import] = STATE(4369),
    [sym_parenthesized_expression] = STATE(2221),
    [sym_expression] = STATE(2936),
    [sym_primary_expression] = STATE(2990),
    [sym_yield_expression] = STATE(3139),
    [sym_object] = STATE(3113),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(3113),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(3139),
    [sym_glimmer_opening_tag] = STATE(5702),
    [sym_jsx_element] = STATE(3139),
    [sym_jsx_opening_element] = STATE(4008),
    [sym_jsx_self_closing_element] = STATE(3139),
    [sym_class] = STATE(3113),
    [sym_function_expression] = STATE(3113),
    [sym_generator_function] = STATE(3113),
    [sym_arrow_function] = STATE(3113),
    [sym__call_signature] = STATE(7374),
    [sym_call_expression] = STATE(3113),
    [sym_new_expression] = STATE(3139),
    [sym_await_expression] = STATE(3139),
    [sym_member_expression] = STATE(2221),
    [sym_subscript_expression] = STATE(2221),
    [sym_assignment_expression] = STATE(3139),
    [sym__augmented_assignment_lhs] = STATE(3860),
    [sym_augmented_assignment_expression] = STATE(3139),
    [sym__destructuring_pattern] = STATE(7376),
    [sym_ternary_expression] = STATE(3139),
    [sym_binary_expression] = STATE(3139),
    [sym_unary_expression] = STATE(3139),
    [sym_update_expression] = STATE(3139),
    [sym_string] = STATE(3113),
    [sym_comment] = STATE(648),
    [sym_template_string] = STATE(3113),
    [sym_regex] = STATE(3113),
    [sym_meta_property] = STATE(3113),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2221),
    [sym_as_expression] = STATE(3139),
    [sym_satisfies_expression] = STATE(3139),
    [sym_instantiation_expression] = STATE(3139),
    [sym_internal_module] = STATE(3139),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5555),
    [sym_identifier] = ACTIONS(1758),
    [anon_sym_export] = ACTIONS(1362),
    [anon_sym_type] = ACTIONS(1362),
    [anon_sym_namespace] = ACTIONS(1364),
    [anon_sym_LBRACE] = ACTIONS(1020),
    [anon_sym_typeof] = ACTIONS(1370),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1362),
    [anon_sym_BANG] = ACTIONS(1370),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1374),
    [anon_sym_yield] = ACTIONS(1376),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1029),
    [anon_sym_async] = ACTIONS(1380),
    [anon_sym_function] = ACTIONS(1033),
    [anon_sym_new] = ACTIONS(1762),
    [anon_sym_using] = ACTIONS(1384),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1370),
    [anon_sym_void] = ACTIONS(1370),
    [anon_sym_delete] = ACTIONS(1370),
    [anon_sym_PLUS_PLUS] = ACTIONS(1390),
    [anon_sym_DASH_DASH] = ACTIONS(1390),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1396),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1764),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1362),
    [anon_sym_readonly] = ACTIONS(1362),
    [anon_sym_get] = ACTIONS(1362),
    [anon_sym_set] = ACTIONS(1362),
    [anon_sym_declare] = ACTIONS(1362),
    [anon_sym_public] = ACTIONS(1362),
    [anon_sym_private] = ACTIONS(1362),
    [anon_sym_protected] = ACTIONS(1362),
    [anon_sym_override] = ACTIONS(1362),
    [anon_sym_module] = ACTIONS(1362),
    [anon_sym_any] = ACTIONS(1362),
    [anon_sym_number] = ACTIONS(1362),
    [anon_sym_boolean] = ACTIONS(1362),
    [anon_sym_string] = ACTIONS(1362),
    [anon_sym_symbol] = ACTIONS(1362),
    [anon_sym_object] = ACTIONS(1362),
    [sym_html_comment] = ACTIONS(5),
  },
  [649] = {
    [sym_import] = STATE(4369),
    [sym_parenthesized_expression] = STATE(2221),
    [sym_expression] = STATE(2997),
    [sym_primary_expression] = STATE(2990),
    [sym_yield_expression] = STATE(3139),
    [sym_object] = STATE(3113),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(3113),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(3139),
    [sym_glimmer_opening_tag] = STATE(5702),
    [sym_jsx_element] = STATE(3139),
    [sym_jsx_opening_element] = STATE(4008),
    [sym_jsx_self_closing_element] = STATE(3139),
    [sym_class] = STATE(3113),
    [sym_function_expression] = STATE(3113),
    [sym_generator_function] = STATE(3113),
    [sym_arrow_function] = STATE(3113),
    [sym__call_signature] = STATE(7374),
    [sym_call_expression] = STATE(3113),
    [sym_new_expression] = STATE(3139),
    [sym_await_expression] = STATE(3139),
    [sym_member_expression] = STATE(2221),
    [sym_subscript_expression] = STATE(2221),
    [sym_assignment_expression] = STATE(3139),
    [sym__augmented_assignment_lhs] = STATE(3860),
    [sym_augmented_assignment_expression] = STATE(3139),
    [sym__destructuring_pattern] = STATE(7376),
    [sym_ternary_expression] = STATE(3139),
    [sym_binary_expression] = STATE(3139),
    [sym_unary_expression] = STATE(3139),
    [sym_update_expression] = STATE(3139),
    [sym_string] = STATE(3113),
    [sym_comment] = STATE(649),
    [sym_template_string] = STATE(3113),
    [sym_regex] = STATE(3113),
    [sym_meta_property] = STATE(3113),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2221),
    [sym_as_expression] = STATE(3139),
    [sym_satisfies_expression] = STATE(3139),
    [sym_instantiation_expression] = STATE(3139),
    [sym_internal_module] = STATE(3139),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5555),
    [sym_identifier] = ACTIONS(1758),
    [anon_sym_export] = ACTIONS(1362),
    [anon_sym_type] = ACTIONS(1362),
    [anon_sym_namespace] = ACTIONS(1364),
    [anon_sym_LBRACE] = ACTIONS(1020),
    [anon_sym_typeof] = ACTIONS(1370),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1362),
    [anon_sym_BANG] = ACTIONS(1370),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1374),
    [anon_sym_yield] = ACTIONS(1376),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1029),
    [anon_sym_async] = ACTIONS(1380),
    [anon_sym_function] = ACTIONS(1033),
    [anon_sym_new] = ACTIONS(1762),
    [anon_sym_using] = ACTIONS(1384),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1370),
    [anon_sym_void] = ACTIONS(1370),
    [anon_sym_delete] = ACTIONS(1370),
    [anon_sym_PLUS_PLUS] = ACTIONS(1390),
    [anon_sym_DASH_DASH] = ACTIONS(1390),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1396),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1764),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1362),
    [anon_sym_readonly] = ACTIONS(1362),
    [anon_sym_get] = ACTIONS(1362),
    [anon_sym_set] = ACTIONS(1362),
    [anon_sym_declare] = ACTIONS(1362),
    [anon_sym_public] = ACTIONS(1362),
    [anon_sym_private] = ACTIONS(1362),
    [anon_sym_protected] = ACTIONS(1362),
    [anon_sym_override] = ACTIONS(1362),
    [anon_sym_module] = ACTIONS(1362),
    [anon_sym_any] = ACTIONS(1362),
    [anon_sym_number] = ACTIONS(1362),
    [anon_sym_boolean] = ACTIONS(1362),
    [anon_sym_string] = ACTIONS(1362),
    [anon_sym_symbol] = ACTIONS(1362),
    [anon_sym_object] = ACTIONS(1362),
    [sym_html_comment] = ACTIONS(5),
  },
  [650] = {
    [sym_import] = STATE(4369),
    [sym_parenthesized_expression] = STATE(2221),
    [sym_expression] = STATE(3003),
    [sym_primary_expression] = STATE(2990),
    [sym_yield_expression] = STATE(3139),
    [sym_object] = STATE(3113),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(3113),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(3139),
    [sym_glimmer_opening_tag] = STATE(5702),
    [sym_jsx_element] = STATE(3139),
    [sym_jsx_opening_element] = STATE(4008),
    [sym_jsx_self_closing_element] = STATE(3139),
    [sym_class] = STATE(3113),
    [sym_function_expression] = STATE(3113),
    [sym_generator_function] = STATE(3113),
    [sym_arrow_function] = STATE(3113),
    [sym__call_signature] = STATE(7374),
    [sym_call_expression] = STATE(3113),
    [sym_new_expression] = STATE(3139),
    [sym_await_expression] = STATE(3139),
    [sym_member_expression] = STATE(2221),
    [sym_subscript_expression] = STATE(2221),
    [sym_assignment_expression] = STATE(3139),
    [sym__augmented_assignment_lhs] = STATE(3860),
    [sym_augmented_assignment_expression] = STATE(3139),
    [sym__destructuring_pattern] = STATE(7376),
    [sym_ternary_expression] = STATE(3139),
    [sym_binary_expression] = STATE(3139),
    [sym_unary_expression] = STATE(3139),
    [sym_update_expression] = STATE(3139),
    [sym_string] = STATE(3113),
    [sym_comment] = STATE(650),
    [sym_template_string] = STATE(3113),
    [sym_regex] = STATE(3113),
    [sym_meta_property] = STATE(3113),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2221),
    [sym_as_expression] = STATE(3139),
    [sym_satisfies_expression] = STATE(3139),
    [sym_instantiation_expression] = STATE(3139),
    [sym_internal_module] = STATE(3139),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5555),
    [sym_identifier] = ACTIONS(1758),
    [anon_sym_export] = ACTIONS(1362),
    [anon_sym_type] = ACTIONS(1362),
    [anon_sym_namespace] = ACTIONS(1364),
    [anon_sym_LBRACE] = ACTIONS(1020),
    [anon_sym_typeof] = ACTIONS(1370),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1362),
    [anon_sym_BANG] = ACTIONS(1370),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1374),
    [anon_sym_yield] = ACTIONS(1376),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1029),
    [anon_sym_async] = ACTIONS(1380),
    [anon_sym_function] = ACTIONS(1033),
    [anon_sym_new] = ACTIONS(1762),
    [anon_sym_using] = ACTIONS(1384),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1370),
    [anon_sym_void] = ACTIONS(1370),
    [anon_sym_delete] = ACTIONS(1370),
    [anon_sym_PLUS_PLUS] = ACTIONS(1390),
    [anon_sym_DASH_DASH] = ACTIONS(1390),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1396),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1764),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1362),
    [anon_sym_readonly] = ACTIONS(1362),
    [anon_sym_get] = ACTIONS(1362),
    [anon_sym_set] = ACTIONS(1362),
    [anon_sym_declare] = ACTIONS(1362),
    [anon_sym_public] = ACTIONS(1362),
    [anon_sym_private] = ACTIONS(1362),
    [anon_sym_protected] = ACTIONS(1362),
    [anon_sym_override] = ACTIONS(1362),
    [anon_sym_module] = ACTIONS(1362),
    [anon_sym_any] = ACTIONS(1362),
    [anon_sym_number] = ACTIONS(1362),
    [anon_sym_boolean] = ACTIONS(1362),
    [anon_sym_string] = ACTIONS(1362),
    [anon_sym_symbol] = ACTIONS(1362),
    [anon_sym_object] = ACTIONS(1362),
    [sym_html_comment] = ACTIONS(5),
  },
  [651] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2248),
    [sym_expression] = STATE(3253),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7502),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2248),
    [sym_subscript_expression] = STATE(2248),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3928),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7561),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(651),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2248),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1774),
    [anon_sym_export] = ACTIONS(1618),
    [anon_sym_type] = ACTIONS(1618),
    [anon_sym_namespace] = ACTIONS(1620),
    [anon_sym_LBRACE] = ACTIONS(1127),
    [anon_sym_typeof] = ACTIONS(1624),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1618),
    [anon_sym_BANG] = ACTIONS(1624),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1626),
    [anon_sym_yield] = ACTIONS(1628),
    [anon_sym_LBRACK] = ACTIONS(1129),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1630),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1778),
    [anon_sym_using] = ACTIONS(1634),
    [anon_sym_PLUS] = ACTIONS(1624),
    [anon_sym_DASH] = ACTIONS(1624),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(1624),
    [anon_sym_void] = ACTIONS(1624),
    [anon_sym_delete] = ACTIONS(1624),
    [anon_sym_PLUS_PLUS] = ACTIONS(1640),
    [anon_sym_DASH_DASH] = ACTIONS(1640),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(1642),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1780),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1618),
    [anon_sym_readonly] = ACTIONS(1618),
    [anon_sym_get] = ACTIONS(1618),
    [anon_sym_set] = ACTIONS(1618),
    [anon_sym_declare] = ACTIONS(1618),
    [anon_sym_public] = ACTIONS(1618),
    [anon_sym_private] = ACTIONS(1618),
    [anon_sym_protected] = ACTIONS(1618),
    [anon_sym_override] = ACTIONS(1618),
    [anon_sym_module] = ACTIONS(1618),
    [anon_sym_any] = ACTIONS(1618),
    [anon_sym_number] = ACTIONS(1618),
    [anon_sym_boolean] = ACTIONS(1618),
    [anon_sym_string] = ACTIONS(1618),
    [anon_sym_symbol] = ACTIONS(1618),
    [anon_sym_object] = ACTIONS(1618),
    [sym_html_comment] = ACTIONS(5),
  },
  [652] = {
    [sym_import] = STATE(4369),
    [sym_parenthesized_expression] = STATE(2221),
    [sym_expression] = STATE(3014),
    [sym_primary_expression] = STATE(2990),
    [sym_yield_expression] = STATE(3139),
    [sym_object] = STATE(3113),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(3113),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(3139),
    [sym_glimmer_opening_tag] = STATE(5702),
    [sym_jsx_element] = STATE(3139),
    [sym_jsx_opening_element] = STATE(4008),
    [sym_jsx_self_closing_element] = STATE(3139),
    [sym_class] = STATE(3113),
    [sym_function_expression] = STATE(3113),
    [sym_generator_function] = STATE(3113),
    [sym_arrow_function] = STATE(3113),
    [sym__call_signature] = STATE(7374),
    [sym_call_expression] = STATE(3113),
    [sym_new_expression] = STATE(3139),
    [sym_await_expression] = STATE(3139),
    [sym_member_expression] = STATE(2221),
    [sym_subscript_expression] = STATE(2221),
    [sym_assignment_expression] = STATE(3139),
    [sym__augmented_assignment_lhs] = STATE(3860),
    [sym_augmented_assignment_expression] = STATE(3139),
    [sym__destructuring_pattern] = STATE(7376),
    [sym_ternary_expression] = STATE(3139),
    [sym_binary_expression] = STATE(3139),
    [sym_unary_expression] = STATE(3139),
    [sym_update_expression] = STATE(3139),
    [sym_string] = STATE(3113),
    [sym_comment] = STATE(652),
    [sym_template_string] = STATE(3113),
    [sym_regex] = STATE(3113),
    [sym_meta_property] = STATE(3113),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2221),
    [sym_as_expression] = STATE(3139),
    [sym_satisfies_expression] = STATE(3139),
    [sym_instantiation_expression] = STATE(3139),
    [sym_internal_module] = STATE(3139),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5555),
    [sym_identifier] = ACTIONS(1758),
    [anon_sym_export] = ACTIONS(1362),
    [anon_sym_type] = ACTIONS(1362),
    [anon_sym_namespace] = ACTIONS(1364),
    [anon_sym_LBRACE] = ACTIONS(1020),
    [anon_sym_typeof] = ACTIONS(1370),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1362),
    [anon_sym_BANG] = ACTIONS(1370),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1374),
    [anon_sym_yield] = ACTIONS(1376),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1029),
    [anon_sym_async] = ACTIONS(1380),
    [anon_sym_function] = ACTIONS(1033),
    [anon_sym_new] = ACTIONS(1762),
    [anon_sym_using] = ACTIONS(1384),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1370),
    [anon_sym_void] = ACTIONS(1370),
    [anon_sym_delete] = ACTIONS(1370),
    [anon_sym_PLUS_PLUS] = ACTIONS(1390),
    [anon_sym_DASH_DASH] = ACTIONS(1390),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1396),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1764),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1362),
    [anon_sym_readonly] = ACTIONS(1362),
    [anon_sym_get] = ACTIONS(1362),
    [anon_sym_set] = ACTIONS(1362),
    [anon_sym_declare] = ACTIONS(1362),
    [anon_sym_public] = ACTIONS(1362),
    [anon_sym_private] = ACTIONS(1362),
    [anon_sym_protected] = ACTIONS(1362),
    [anon_sym_override] = ACTIONS(1362),
    [anon_sym_module] = ACTIONS(1362),
    [anon_sym_any] = ACTIONS(1362),
    [anon_sym_number] = ACTIONS(1362),
    [anon_sym_boolean] = ACTIONS(1362),
    [anon_sym_string] = ACTIONS(1362),
    [anon_sym_symbol] = ACTIONS(1362),
    [anon_sym_object] = ACTIONS(1362),
    [sym_html_comment] = ACTIONS(5),
  },
  [653] = {
    [sym_import] = STATE(4369),
    [sym_parenthesized_expression] = STATE(2175),
    [sym_expression] = STATE(2575),
    [sym_primary_expression] = STATE(2990),
    [sym_yield_expression] = STATE(3139),
    [sym_object] = STATE(3113),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(3113),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(3139),
    [sym_glimmer_opening_tag] = STATE(5702),
    [sym_jsx_element] = STATE(3139),
    [sym_jsx_opening_element] = STATE(4008),
    [sym_jsx_self_closing_element] = STATE(3139),
    [sym_class] = STATE(3113),
    [sym_function_expression] = STATE(3113),
    [sym_generator_function] = STATE(3113),
    [sym_arrow_function] = STATE(3113),
    [sym__call_signature] = STATE(7205),
    [sym_call_expression] = STATE(3113),
    [sym_new_expression] = STATE(3139),
    [sym_await_expression] = STATE(3139),
    [sym_member_expression] = STATE(2175),
    [sym_subscript_expression] = STATE(2175),
    [sym_assignment_expression] = STATE(3139),
    [sym__augmented_assignment_lhs] = STATE(3844),
    [sym_augmented_assignment_expression] = STATE(3139),
    [sym__destructuring_pattern] = STATE(7209),
    [sym_ternary_expression] = STATE(3139),
    [sym_binary_expression] = STATE(3139),
    [sym_unary_expression] = STATE(3139),
    [sym_update_expression] = STATE(3139),
    [sym_string] = STATE(3113),
    [sym_comment] = STATE(653),
    [sym_template_string] = STATE(3113),
    [sym_regex] = STATE(3113),
    [sym_meta_property] = STATE(3113),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2175),
    [sym_as_expression] = STATE(3139),
    [sym_satisfies_expression] = STATE(3139),
    [sym_instantiation_expression] = STATE(3139),
    [sym_internal_module] = STATE(3139),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5555),
    [sym_identifier] = ACTIONS(1736),
    [anon_sym_export] = ACTIONS(1518),
    [anon_sym_type] = ACTIONS(1518),
    [anon_sym_namespace] = ACTIONS(1520),
    [anon_sym_LBRACE] = ACTIONS(1020),
    [anon_sym_typeof] = ACTIONS(1526),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1518),
    [anon_sym_BANG] = ACTIONS(1526),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1528),
    [anon_sym_yield] = ACTIONS(1530),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1029),
    [anon_sym_async] = ACTIONS(1534),
    [anon_sym_function] = ACTIONS(1033),
    [anon_sym_new] = ACTIONS(1740),
    [anon_sym_using] = ACTIONS(1538),
    [anon_sym_PLUS] = ACTIONS(1526),
    [anon_sym_DASH] = ACTIONS(1526),
    [anon_sym_SLASH] = ACTIONS(1195),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1526),
    [anon_sym_void] = ACTIONS(1526),
    [anon_sym_delete] = ACTIONS(1526),
    [anon_sym_PLUS_PLUS] = ACTIONS(1544),
    [anon_sym_DASH_DASH] = ACTIONS(1544),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1550),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1742),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1518),
    [anon_sym_readonly] = ACTIONS(1518),
    [anon_sym_get] = ACTIONS(1518),
    [anon_sym_set] = ACTIONS(1518),
    [anon_sym_declare] = ACTIONS(1518),
    [anon_sym_public] = ACTIONS(1518),
    [anon_sym_private] = ACTIONS(1518),
    [anon_sym_protected] = ACTIONS(1518),
    [anon_sym_override] = ACTIONS(1518),
    [anon_sym_module] = ACTIONS(1518),
    [anon_sym_any] = ACTIONS(1518),
    [anon_sym_number] = ACTIONS(1518),
    [anon_sym_boolean] = ACTIONS(1518),
    [anon_sym_string] = ACTIONS(1518),
    [anon_sym_symbol] = ACTIONS(1518),
    [anon_sym_object] = ACTIONS(1518),
    [sym_html_comment] = ACTIONS(5),
  },
  [654] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2248),
    [sym_expression] = STATE(3274),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7502),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2248),
    [sym_subscript_expression] = STATE(2248),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3928),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7561),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(654),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2248),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1774),
    [anon_sym_export] = ACTIONS(1618),
    [anon_sym_type] = ACTIONS(1618),
    [anon_sym_namespace] = ACTIONS(1620),
    [anon_sym_LBRACE] = ACTIONS(1127),
    [anon_sym_typeof] = ACTIONS(1624),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1618),
    [anon_sym_BANG] = ACTIONS(1624),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1626),
    [anon_sym_yield] = ACTIONS(1628),
    [anon_sym_LBRACK] = ACTIONS(1129),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1630),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1778),
    [anon_sym_using] = ACTIONS(1634),
    [anon_sym_PLUS] = ACTIONS(1624),
    [anon_sym_DASH] = ACTIONS(1624),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(1624),
    [anon_sym_void] = ACTIONS(1624),
    [anon_sym_delete] = ACTIONS(1624),
    [anon_sym_PLUS_PLUS] = ACTIONS(1640),
    [anon_sym_DASH_DASH] = ACTIONS(1640),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(1642),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1780),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1618),
    [anon_sym_readonly] = ACTIONS(1618),
    [anon_sym_get] = ACTIONS(1618),
    [anon_sym_set] = ACTIONS(1618),
    [anon_sym_declare] = ACTIONS(1618),
    [anon_sym_public] = ACTIONS(1618),
    [anon_sym_private] = ACTIONS(1618),
    [anon_sym_protected] = ACTIONS(1618),
    [anon_sym_override] = ACTIONS(1618),
    [anon_sym_module] = ACTIONS(1618),
    [anon_sym_any] = ACTIONS(1618),
    [anon_sym_number] = ACTIONS(1618),
    [anon_sym_boolean] = ACTIONS(1618),
    [anon_sym_string] = ACTIONS(1618),
    [anon_sym_symbol] = ACTIONS(1618),
    [anon_sym_object] = ACTIONS(1618),
    [sym_html_comment] = ACTIONS(5),
  },
  [655] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2248),
    [sym_expression] = STATE(3127),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7502),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2248),
    [sym_subscript_expression] = STATE(2248),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3928),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7561),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(655),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2248),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1774),
    [anon_sym_export] = ACTIONS(1618),
    [anon_sym_type] = ACTIONS(1618),
    [anon_sym_namespace] = ACTIONS(1620),
    [anon_sym_LBRACE] = ACTIONS(1127),
    [anon_sym_typeof] = ACTIONS(1624),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1618),
    [anon_sym_BANG] = ACTIONS(1624),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1626),
    [anon_sym_yield] = ACTIONS(1628),
    [anon_sym_LBRACK] = ACTIONS(1129),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1630),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1778),
    [anon_sym_using] = ACTIONS(1634),
    [anon_sym_PLUS] = ACTIONS(1624),
    [anon_sym_DASH] = ACTIONS(1624),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(1624),
    [anon_sym_void] = ACTIONS(1624),
    [anon_sym_delete] = ACTIONS(1624),
    [anon_sym_PLUS_PLUS] = ACTIONS(1640),
    [anon_sym_DASH_DASH] = ACTIONS(1640),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(1642),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1780),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1618),
    [anon_sym_readonly] = ACTIONS(1618),
    [anon_sym_get] = ACTIONS(1618),
    [anon_sym_set] = ACTIONS(1618),
    [anon_sym_declare] = ACTIONS(1618),
    [anon_sym_public] = ACTIONS(1618),
    [anon_sym_private] = ACTIONS(1618),
    [anon_sym_protected] = ACTIONS(1618),
    [anon_sym_override] = ACTIONS(1618),
    [anon_sym_module] = ACTIONS(1618),
    [anon_sym_any] = ACTIONS(1618),
    [anon_sym_number] = ACTIONS(1618),
    [anon_sym_boolean] = ACTIONS(1618),
    [anon_sym_string] = ACTIONS(1618),
    [anon_sym_symbol] = ACTIONS(1618),
    [anon_sym_object] = ACTIONS(1618),
    [sym_html_comment] = ACTIONS(5),
  },
  [656] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2248),
    [sym_expression] = STATE(3287),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7502),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2248),
    [sym_subscript_expression] = STATE(2248),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3928),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7561),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(656),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2248),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1774),
    [anon_sym_export] = ACTIONS(1618),
    [anon_sym_type] = ACTIONS(1618),
    [anon_sym_namespace] = ACTIONS(1620),
    [anon_sym_LBRACE] = ACTIONS(1127),
    [anon_sym_typeof] = ACTIONS(1624),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1618),
    [anon_sym_BANG] = ACTIONS(1624),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1626),
    [anon_sym_yield] = ACTIONS(1628),
    [anon_sym_LBRACK] = ACTIONS(1129),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1630),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1778),
    [anon_sym_using] = ACTIONS(1634),
    [anon_sym_PLUS] = ACTIONS(1624),
    [anon_sym_DASH] = ACTIONS(1624),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(1624),
    [anon_sym_void] = ACTIONS(1624),
    [anon_sym_delete] = ACTIONS(1624),
    [anon_sym_PLUS_PLUS] = ACTIONS(1640),
    [anon_sym_DASH_DASH] = ACTIONS(1640),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(1642),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1780),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1618),
    [anon_sym_readonly] = ACTIONS(1618),
    [anon_sym_get] = ACTIONS(1618),
    [anon_sym_set] = ACTIONS(1618),
    [anon_sym_declare] = ACTIONS(1618),
    [anon_sym_public] = ACTIONS(1618),
    [anon_sym_private] = ACTIONS(1618),
    [anon_sym_protected] = ACTIONS(1618),
    [anon_sym_override] = ACTIONS(1618),
    [anon_sym_module] = ACTIONS(1618),
    [anon_sym_any] = ACTIONS(1618),
    [anon_sym_number] = ACTIONS(1618),
    [anon_sym_boolean] = ACTIONS(1618),
    [anon_sym_string] = ACTIONS(1618),
    [anon_sym_symbol] = ACTIONS(1618),
    [anon_sym_object] = ACTIONS(1618),
    [sym_html_comment] = ACTIONS(5),
  },
  [657] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2248),
    [sym_expression] = STATE(3288),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7502),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2248),
    [sym_subscript_expression] = STATE(2248),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3928),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7561),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(657),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2248),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1774),
    [anon_sym_export] = ACTIONS(1618),
    [anon_sym_type] = ACTIONS(1618),
    [anon_sym_namespace] = ACTIONS(1620),
    [anon_sym_LBRACE] = ACTIONS(1127),
    [anon_sym_typeof] = ACTIONS(1624),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1618),
    [anon_sym_BANG] = ACTIONS(1624),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1626),
    [anon_sym_yield] = ACTIONS(1628),
    [anon_sym_LBRACK] = ACTIONS(1129),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1630),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1778),
    [anon_sym_using] = ACTIONS(1634),
    [anon_sym_PLUS] = ACTIONS(1624),
    [anon_sym_DASH] = ACTIONS(1624),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(1624),
    [anon_sym_void] = ACTIONS(1624),
    [anon_sym_delete] = ACTIONS(1624),
    [anon_sym_PLUS_PLUS] = ACTIONS(1640),
    [anon_sym_DASH_DASH] = ACTIONS(1640),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(1642),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1780),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1618),
    [anon_sym_readonly] = ACTIONS(1618),
    [anon_sym_get] = ACTIONS(1618),
    [anon_sym_set] = ACTIONS(1618),
    [anon_sym_declare] = ACTIONS(1618),
    [anon_sym_public] = ACTIONS(1618),
    [anon_sym_private] = ACTIONS(1618),
    [anon_sym_protected] = ACTIONS(1618),
    [anon_sym_override] = ACTIONS(1618),
    [anon_sym_module] = ACTIONS(1618),
    [anon_sym_any] = ACTIONS(1618),
    [anon_sym_number] = ACTIONS(1618),
    [anon_sym_boolean] = ACTIONS(1618),
    [anon_sym_string] = ACTIONS(1618),
    [anon_sym_symbol] = ACTIONS(1618),
    [anon_sym_object] = ACTIONS(1618),
    [sym_html_comment] = ACTIONS(5),
  },
  [658] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2248),
    [sym_expression] = STATE(3290),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7502),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2248),
    [sym_subscript_expression] = STATE(2248),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3928),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7561),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(658),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2248),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1774),
    [anon_sym_export] = ACTIONS(1618),
    [anon_sym_type] = ACTIONS(1618),
    [anon_sym_namespace] = ACTIONS(1620),
    [anon_sym_LBRACE] = ACTIONS(1127),
    [anon_sym_typeof] = ACTIONS(1624),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1618),
    [anon_sym_BANG] = ACTIONS(1624),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1626),
    [anon_sym_yield] = ACTIONS(1628),
    [anon_sym_LBRACK] = ACTIONS(1129),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1630),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1778),
    [anon_sym_using] = ACTIONS(1634),
    [anon_sym_PLUS] = ACTIONS(1624),
    [anon_sym_DASH] = ACTIONS(1624),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(1624),
    [anon_sym_void] = ACTIONS(1624),
    [anon_sym_delete] = ACTIONS(1624),
    [anon_sym_PLUS_PLUS] = ACTIONS(1640),
    [anon_sym_DASH_DASH] = ACTIONS(1640),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(1642),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1780),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1618),
    [anon_sym_readonly] = ACTIONS(1618),
    [anon_sym_get] = ACTIONS(1618),
    [anon_sym_set] = ACTIONS(1618),
    [anon_sym_declare] = ACTIONS(1618),
    [anon_sym_public] = ACTIONS(1618),
    [anon_sym_private] = ACTIONS(1618),
    [anon_sym_protected] = ACTIONS(1618),
    [anon_sym_override] = ACTIONS(1618),
    [anon_sym_module] = ACTIONS(1618),
    [anon_sym_any] = ACTIONS(1618),
    [anon_sym_number] = ACTIONS(1618),
    [anon_sym_boolean] = ACTIONS(1618),
    [anon_sym_string] = ACTIONS(1618),
    [anon_sym_symbol] = ACTIONS(1618),
    [anon_sym_object] = ACTIONS(1618),
    [sym_html_comment] = ACTIONS(5),
  },
  [659] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2196),
    [sym_expression] = STATE(2743),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7510),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2196),
    [sym_subscript_expression] = STATE(2196),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3936),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7511),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(659),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2196),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1750),
    [anon_sym_export] = ACTIONS(1562),
    [anon_sym_type] = ACTIONS(1562),
    [anon_sym_namespace] = ACTIONS(1564),
    [anon_sym_LBRACE] = ACTIONS(1127),
    [anon_sym_typeof] = ACTIONS(1568),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1562),
    [anon_sym_BANG] = ACTIONS(1568),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1570),
    [anon_sym_yield] = ACTIONS(1572),
    [anon_sym_LBRACK] = ACTIONS(1129),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1574),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1754),
    [anon_sym_using] = ACTIONS(1578),
    [anon_sym_PLUS] = ACTIONS(1568),
    [anon_sym_DASH] = ACTIONS(1568),
    [anon_sym_SLASH] = ACTIONS(1274),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(1568),
    [anon_sym_void] = ACTIONS(1568),
    [anon_sym_delete] = ACTIONS(1568),
    [anon_sym_PLUS_PLUS] = ACTIONS(1584),
    [anon_sym_DASH_DASH] = ACTIONS(1584),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(1586),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1756),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1562),
    [anon_sym_readonly] = ACTIONS(1562),
    [anon_sym_get] = ACTIONS(1562),
    [anon_sym_set] = ACTIONS(1562),
    [anon_sym_declare] = ACTIONS(1562),
    [anon_sym_public] = ACTIONS(1562),
    [anon_sym_private] = ACTIONS(1562),
    [anon_sym_protected] = ACTIONS(1562),
    [anon_sym_override] = ACTIONS(1562),
    [anon_sym_module] = ACTIONS(1562),
    [anon_sym_any] = ACTIONS(1562),
    [anon_sym_number] = ACTIONS(1562),
    [anon_sym_boolean] = ACTIONS(1562),
    [anon_sym_string] = ACTIONS(1562),
    [anon_sym_symbol] = ACTIONS(1562),
    [anon_sym_object] = ACTIONS(1562),
    [sym_html_comment] = ACTIONS(5),
  },
  [660] = {
    [sym_import] = STATE(4369),
    [sym_parenthesized_expression] = STATE(2175),
    [sym_expression] = STATE(2588),
    [sym_primary_expression] = STATE(2990),
    [sym_yield_expression] = STATE(3139),
    [sym_object] = STATE(3113),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(3113),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(3139),
    [sym_glimmer_opening_tag] = STATE(5702),
    [sym_jsx_element] = STATE(3139),
    [sym_jsx_opening_element] = STATE(4008),
    [sym_jsx_self_closing_element] = STATE(3139),
    [sym_class] = STATE(3113),
    [sym_function_expression] = STATE(3113),
    [sym_generator_function] = STATE(3113),
    [sym_arrow_function] = STATE(3113),
    [sym__call_signature] = STATE(7205),
    [sym_call_expression] = STATE(3113),
    [sym_new_expression] = STATE(3139),
    [sym_await_expression] = STATE(3139),
    [sym_member_expression] = STATE(2175),
    [sym_subscript_expression] = STATE(2175),
    [sym_assignment_expression] = STATE(3139),
    [sym__augmented_assignment_lhs] = STATE(3844),
    [sym_augmented_assignment_expression] = STATE(3139),
    [sym__destructuring_pattern] = STATE(7209),
    [sym_ternary_expression] = STATE(3139),
    [sym_binary_expression] = STATE(3139),
    [sym_unary_expression] = STATE(3139),
    [sym_update_expression] = STATE(3139),
    [sym_string] = STATE(3113),
    [sym_comment] = STATE(660),
    [sym_template_string] = STATE(3113),
    [sym_regex] = STATE(3113),
    [sym_meta_property] = STATE(3113),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2175),
    [sym_as_expression] = STATE(3139),
    [sym_satisfies_expression] = STATE(3139),
    [sym_instantiation_expression] = STATE(3139),
    [sym_internal_module] = STATE(3139),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5555),
    [sym_identifier] = ACTIONS(1736),
    [anon_sym_export] = ACTIONS(1518),
    [anon_sym_type] = ACTIONS(1518),
    [anon_sym_namespace] = ACTIONS(1520),
    [anon_sym_LBRACE] = ACTIONS(1020),
    [anon_sym_typeof] = ACTIONS(1526),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1518),
    [anon_sym_BANG] = ACTIONS(1526),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1528),
    [anon_sym_yield] = ACTIONS(1530),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1029),
    [anon_sym_async] = ACTIONS(1534),
    [anon_sym_function] = ACTIONS(1033),
    [anon_sym_new] = ACTIONS(1740),
    [anon_sym_using] = ACTIONS(1538),
    [anon_sym_PLUS] = ACTIONS(1526),
    [anon_sym_DASH] = ACTIONS(1526),
    [anon_sym_SLASH] = ACTIONS(1195),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1526),
    [anon_sym_void] = ACTIONS(1526),
    [anon_sym_delete] = ACTIONS(1526),
    [anon_sym_PLUS_PLUS] = ACTIONS(1544),
    [anon_sym_DASH_DASH] = ACTIONS(1544),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1550),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1742),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1518),
    [anon_sym_readonly] = ACTIONS(1518),
    [anon_sym_get] = ACTIONS(1518),
    [anon_sym_set] = ACTIONS(1518),
    [anon_sym_declare] = ACTIONS(1518),
    [anon_sym_public] = ACTIONS(1518),
    [anon_sym_private] = ACTIONS(1518),
    [anon_sym_protected] = ACTIONS(1518),
    [anon_sym_override] = ACTIONS(1518),
    [anon_sym_module] = ACTIONS(1518),
    [anon_sym_any] = ACTIONS(1518),
    [anon_sym_number] = ACTIONS(1518),
    [anon_sym_boolean] = ACTIONS(1518),
    [anon_sym_string] = ACTIONS(1518),
    [anon_sym_symbol] = ACTIONS(1518),
    [anon_sym_object] = ACTIONS(1518),
    [sym_html_comment] = ACTIONS(5),
  },
  [661] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2196),
    [sym_expression] = STATE(2741),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7510),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2196),
    [sym_subscript_expression] = STATE(2196),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3936),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7511),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(661),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2196),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1750),
    [anon_sym_export] = ACTIONS(1562),
    [anon_sym_type] = ACTIONS(1562),
    [anon_sym_namespace] = ACTIONS(1564),
    [anon_sym_LBRACE] = ACTIONS(1127),
    [anon_sym_typeof] = ACTIONS(1568),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1562),
    [anon_sym_BANG] = ACTIONS(1568),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1570),
    [anon_sym_yield] = ACTIONS(1572),
    [anon_sym_LBRACK] = ACTIONS(1129),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1574),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1754),
    [anon_sym_using] = ACTIONS(1578),
    [anon_sym_PLUS] = ACTIONS(1568),
    [anon_sym_DASH] = ACTIONS(1568),
    [anon_sym_SLASH] = ACTIONS(1274),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(1568),
    [anon_sym_void] = ACTIONS(1568),
    [anon_sym_delete] = ACTIONS(1568),
    [anon_sym_PLUS_PLUS] = ACTIONS(1584),
    [anon_sym_DASH_DASH] = ACTIONS(1584),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(1586),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1756),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1562),
    [anon_sym_readonly] = ACTIONS(1562),
    [anon_sym_get] = ACTIONS(1562),
    [anon_sym_set] = ACTIONS(1562),
    [anon_sym_declare] = ACTIONS(1562),
    [anon_sym_public] = ACTIONS(1562),
    [anon_sym_private] = ACTIONS(1562),
    [anon_sym_protected] = ACTIONS(1562),
    [anon_sym_override] = ACTIONS(1562),
    [anon_sym_module] = ACTIONS(1562),
    [anon_sym_any] = ACTIONS(1562),
    [anon_sym_number] = ACTIONS(1562),
    [anon_sym_boolean] = ACTIONS(1562),
    [anon_sym_string] = ACTIONS(1562),
    [anon_sym_symbol] = ACTIONS(1562),
    [anon_sym_object] = ACTIONS(1562),
    [sym_html_comment] = ACTIONS(5),
  },
  [662] = {
    [sym_import] = STATE(4369),
    [sym_parenthesized_expression] = STATE(2221),
    [sym_expression] = STATE(3011),
    [sym_primary_expression] = STATE(2990),
    [sym_yield_expression] = STATE(3139),
    [sym_object] = STATE(3113),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(3113),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(3139),
    [sym_glimmer_opening_tag] = STATE(5702),
    [sym_jsx_element] = STATE(3139),
    [sym_jsx_opening_element] = STATE(4008),
    [sym_jsx_self_closing_element] = STATE(3139),
    [sym_class] = STATE(3113),
    [sym_function_expression] = STATE(3113),
    [sym_generator_function] = STATE(3113),
    [sym_arrow_function] = STATE(3113),
    [sym__call_signature] = STATE(7374),
    [sym_call_expression] = STATE(3113),
    [sym_new_expression] = STATE(3139),
    [sym_await_expression] = STATE(3139),
    [sym_member_expression] = STATE(2221),
    [sym_subscript_expression] = STATE(2221),
    [sym_assignment_expression] = STATE(3139),
    [sym__augmented_assignment_lhs] = STATE(3860),
    [sym_augmented_assignment_expression] = STATE(3139),
    [sym__destructuring_pattern] = STATE(7376),
    [sym_ternary_expression] = STATE(3139),
    [sym_binary_expression] = STATE(3139),
    [sym_unary_expression] = STATE(3139),
    [sym_update_expression] = STATE(3139),
    [sym_string] = STATE(3113),
    [sym_comment] = STATE(662),
    [sym_template_string] = STATE(3113),
    [sym_regex] = STATE(3113),
    [sym_meta_property] = STATE(3113),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2221),
    [sym_as_expression] = STATE(3139),
    [sym_satisfies_expression] = STATE(3139),
    [sym_instantiation_expression] = STATE(3139),
    [sym_internal_module] = STATE(3139),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5555),
    [sym_identifier] = ACTIONS(1758),
    [anon_sym_export] = ACTIONS(1362),
    [anon_sym_type] = ACTIONS(1362),
    [anon_sym_namespace] = ACTIONS(1364),
    [anon_sym_LBRACE] = ACTIONS(1020),
    [anon_sym_typeof] = ACTIONS(1370),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1362),
    [anon_sym_BANG] = ACTIONS(1370),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1374),
    [anon_sym_yield] = ACTIONS(1376),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1029),
    [anon_sym_async] = ACTIONS(1380),
    [anon_sym_function] = ACTIONS(1033),
    [anon_sym_new] = ACTIONS(1762),
    [anon_sym_using] = ACTIONS(1384),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1370),
    [anon_sym_void] = ACTIONS(1370),
    [anon_sym_delete] = ACTIONS(1370),
    [anon_sym_PLUS_PLUS] = ACTIONS(1390),
    [anon_sym_DASH_DASH] = ACTIONS(1390),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1396),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1764),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1362),
    [anon_sym_readonly] = ACTIONS(1362),
    [anon_sym_get] = ACTIONS(1362),
    [anon_sym_set] = ACTIONS(1362),
    [anon_sym_declare] = ACTIONS(1362),
    [anon_sym_public] = ACTIONS(1362),
    [anon_sym_private] = ACTIONS(1362),
    [anon_sym_protected] = ACTIONS(1362),
    [anon_sym_override] = ACTIONS(1362),
    [anon_sym_module] = ACTIONS(1362),
    [anon_sym_any] = ACTIONS(1362),
    [anon_sym_number] = ACTIONS(1362),
    [anon_sym_boolean] = ACTIONS(1362),
    [anon_sym_string] = ACTIONS(1362),
    [anon_sym_symbol] = ACTIONS(1362),
    [anon_sym_object] = ACTIONS(1362),
    [sym_html_comment] = ACTIONS(5),
  },
  [663] = {
    [sym_import] = STATE(4369),
    [sym_parenthesized_expression] = STATE(2221),
    [sym_expression] = STATE(2985),
    [sym_primary_expression] = STATE(2990),
    [sym_yield_expression] = STATE(3139),
    [sym_object] = STATE(3113),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(3113),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(3139),
    [sym_glimmer_opening_tag] = STATE(5702),
    [sym_jsx_element] = STATE(3139),
    [sym_jsx_opening_element] = STATE(4008),
    [sym_jsx_self_closing_element] = STATE(3139),
    [sym_class] = STATE(3113),
    [sym_function_expression] = STATE(3113),
    [sym_generator_function] = STATE(3113),
    [sym_arrow_function] = STATE(3113),
    [sym__call_signature] = STATE(7374),
    [sym_call_expression] = STATE(3113),
    [sym_new_expression] = STATE(3139),
    [sym_await_expression] = STATE(3139),
    [sym_member_expression] = STATE(2221),
    [sym_subscript_expression] = STATE(2221),
    [sym_assignment_expression] = STATE(3139),
    [sym__augmented_assignment_lhs] = STATE(3860),
    [sym_augmented_assignment_expression] = STATE(3139),
    [sym__destructuring_pattern] = STATE(7376),
    [sym_ternary_expression] = STATE(3139),
    [sym_binary_expression] = STATE(3139),
    [sym_unary_expression] = STATE(3139),
    [sym_update_expression] = STATE(3139),
    [sym_string] = STATE(3113),
    [sym_comment] = STATE(663),
    [sym_template_string] = STATE(3113),
    [sym_regex] = STATE(3113),
    [sym_meta_property] = STATE(3113),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2221),
    [sym_as_expression] = STATE(3139),
    [sym_satisfies_expression] = STATE(3139),
    [sym_instantiation_expression] = STATE(3139),
    [sym_internal_module] = STATE(3139),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5555),
    [sym_identifier] = ACTIONS(1758),
    [anon_sym_export] = ACTIONS(1362),
    [anon_sym_type] = ACTIONS(1362),
    [anon_sym_namespace] = ACTIONS(1364),
    [anon_sym_LBRACE] = ACTIONS(1020),
    [anon_sym_typeof] = ACTIONS(1370),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1362),
    [anon_sym_BANG] = ACTIONS(1370),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1374),
    [anon_sym_yield] = ACTIONS(1376),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1029),
    [anon_sym_async] = ACTIONS(1380),
    [anon_sym_function] = ACTIONS(1033),
    [anon_sym_new] = ACTIONS(1762),
    [anon_sym_using] = ACTIONS(1384),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1370),
    [anon_sym_void] = ACTIONS(1370),
    [anon_sym_delete] = ACTIONS(1370),
    [anon_sym_PLUS_PLUS] = ACTIONS(1390),
    [anon_sym_DASH_DASH] = ACTIONS(1390),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1396),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1764),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1362),
    [anon_sym_readonly] = ACTIONS(1362),
    [anon_sym_get] = ACTIONS(1362),
    [anon_sym_set] = ACTIONS(1362),
    [anon_sym_declare] = ACTIONS(1362),
    [anon_sym_public] = ACTIONS(1362),
    [anon_sym_private] = ACTIONS(1362),
    [anon_sym_protected] = ACTIONS(1362),
    [anon_sym_override] = ACTIONS(1362),
    [anon_sym_module] = ACTIONS(1362),
    [anon_sym_any] = ACTIONS(1362),
    [anon_sym_number] = ACTIONS(1362),
    [anon_sym_boolean] = ACTIONS(1362),
    [anon_sym_string] = ACTIONS(1362),
    [anon_sym_symbol] = ACTIONS(1362),
    [anon_sym_object] = ACTIONS(1362),
    [sym_html_comment] = ACTIONS(5),
  },
  [664] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2248),
    [sym_expression] = STATE(3297),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7502),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2248),
    [sym_subscript_expression] = STATE(2248),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3928),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7561),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(664),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2248),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1774),
    [anon_sym_export] = ACTIONS(1618),
    [anon_sym_type] = ACTIONS(1618),
    [anon_sym_namespace] = ACTIONS(1620),
    [anon_sym_LBRACE] = ACTIONS(1127),
    [anon_sym_typeof] = ACTIONS(1624),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1618),
    [anon_sym_BANG] = ACTIONS(1624),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1626),
    [anon_sym_yield] = ACTIONS(1628),
    [anon_sym_LBRACK] = ACTIONS(1129),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1630),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1778),
    [anon_sym_using] = ACTIONS(1634),
    [anon_sym_PLUS] = ACTIONS(1624),
    [anon_sym_DASH] = ACTIONS(1624),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(1624),
    [anon_sym_void] = ACTIONS(1624),
    [anon_sym_delete] = ACTIONS(1624),
    [anon_sym_PLUS_PLUS] = ACTIONS(1640),
    [anon_sym_DASH_DASH] = ACTIONS(1640),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(1642),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1780),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1618),
    [anon_sym_readonly] = ACTIONS(1618),
    [anon_sym_get] = ACTIONS(1618),
    [anon_sym_set] = ACTIONS(1618),
    [anon_sym_declare] = ACTIONS(1618),
    [anon_sym_public] = ACTIONS(1618),
    [anon_sym_private] = ACTIONS(1618),
    [anon_sym_protected] = ACTIONS(1618),
    [anon_sym_override] = ACTIONS(1618),
    [anon_sym_module] = ACTIONS(1618),
    [anon_sym_any] = ACTIONS(1618),
    [anon_sym_number] = ACTIONS(1618),
    [anon_sym_boolean] = ACTIONS(1618),
    [anon_sym_string] = ACTIONS(1618),
    [anon_sym_symbol] = ACTIONS(1618),
    [anon_sym_object] = ACTIONS(1618),
    [sym_html_comment] = ACTIONS(5),
  },
  [665] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2239),
    [sym_expression] = STATE(3226),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7446),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2239),
    [sym_subscript_expression] = STATE(2239),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3938),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7450),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(665),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2239),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1782),
    [anon_sym_export] = ACTIONS(1408),
    [anon_sym_type] = ACTIONS(1408),
    [anon_sym_namespace] = ACTIONS(1410),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(1416),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1408),
    [anon_sym_BANG] = ACTIONS(1416),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1418),
    [anon_sym_yield] = ACTIONS(1420),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1424),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1786),
    [anon_sym_using] = ACTIONS(1428),
    [anon_sym_PLUS] = ACTIONS(1416),
    [anon_sym_DASH] = ACTIONS(1416),
    [anon_sym_SLASH] = ACTIONS(1290),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(1416),
    [anon_sym_void] = ACTIONS(1416),
    [anon_sym_delete] = ACTIONS(1416),
    [anon_sym_PLUS_PLUS] = ACTIONS(1434),
    [anon_sym_DASH_DASH] = ACTIONS(1434),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(1440),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1788),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1408),
    [anon_sym_readonly] = ACTIONS(1408),
    [anon_sym_get] = ACTIONS(1408),
    [anon_sym_set] = ACTIONS(1408),
    [anon_sym_declare] = ACTIONS(1408),
    [anon_sym_public] = ACTIONS(1408),
    [anon_sym_private] = ACTIONS(1408),
    [anon_sym_protected] = ACTIONS(1408),
    [anon_sym_override] = ACTIONS(1408),
    [anon_sym_module] = ACTIONS(1408),
    [anon_sym_any] = ACTIONS(1408),
    [anon_sym_number] = ACTIONS(1408),
    [anon_sym_boolean] = ACTIONS(1408),
    [anon_sym_string] = ACTIONS(1408),
    [anon_sym_symbol] = ACTIONS(1408),
    [anon_sym_object] = ACTIONS(1408),
    [sym_html_comment] = ACTIONS(5),
  },
  [666] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2229),
    [sym_expression] = STATE(3086),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7175),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2229),
    [sym_subscript_expression] = STATE(2229),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3935),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7438),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(666),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2229),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1766),
    [anon_sym_export] = ACTIONS(1482),
    [anon_sym_type] = ACTIONS(1482),
    [anon_sym_namespace] = ACTIONS(1484),
    [anon_sym_LBRACE] = ACTIONS(1127),
    [anon_sym_typeof] = ACTIONS(1490),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1482),
    [anon_sym_BANG] = ACTIONS(1490),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1492),
    [anon_sym_yield] = ACTIONS(1494),
    [anon_sym_LBRACK] = ACTIONS(1129),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1496),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1770),
    [anon_sym_using] = ACTIONS(1500),
    [anon_sym_PLUS] = ACTIONS(1490),
    [anon_sym_DASH] = ACTIONS(1490),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(1490),
    [anon_sym_void] = ACTIONS(1490),
    [anon_sym_delete] = ACTIONS(1490),
    [anon_sym_PLUS_PLUS] = ACTIONS(1506),
    [anon_sym_DASH_DASH] = ACTIONS(1506),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(1508),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1772),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1482),
    [anon_sym_readonly] = ACTIONS(1482),
    [anon_sym_get] = ACTIONS(1482),
    [anon_sym_set] = ACTIONS(1482),
    [anon_sym_declare] = ACTIONS(1482),
    [anon_sym_public] = ACTIONS(1482),
    [anon_sym_private] = ACTIONS(1482),
    [anon_sym_protected] = ACTIONS(1482),
    [anon_sym_override] = ACTIONS(1482),
    [anon_sym_module] = ACTIONS(1482),
    [anon_sym_any] = ACTIONS(1482),
    [anon_sym_number] = ACTIONS(1482),
    [anon_sym_boolean] = ACTIONS(1482),
    [anon_sym_string] = ACTIONS(1482),
    [anon_sym_symbol] = ACTIONS(1482),
    [anon_sym_object] = ACTIONS(1482),
    [sym_html_comment] = ACTIONS(5),
  },
  [667] = {
    [sym_import] = STATE(4369),
    [sym_parenthesized_expression] = STATE(2221),
    [sym_expression] = STATE(3060),
    [sym_primary_expression] = STATE(2990),
    [sym_yield_expression] = STATE(3139),
    [sym_object] = STATE(3113),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(3113),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(3139),
    [sym_glimmer_opening_tag] = STATE(5702),
    [sym_jsx_element] = STATE(3139),
    [sym_jsx_opening_element] = STATE(4008),
    [sym_jsx_self_closing_element] = STATE(3139),
    [sym_class] = STATE(3113),
    [sym_function_expression] = STATE(3113),
    [sym_generator_function] = STATE(3113),
    [sym_arrow_function] = STATE(3113),
    [sym__call_signature] = STATE(7374),
    [sym_call_expression] = STATE(3113),
    [sym_new_expression] = STATE(3139),
    [sym_await_expression] = STATE(3139),
    [sym_member_expression] = STATE(2221),
    [sym_subscript_expression] = STATE(2221),
    [sym_assignment_expression] = STATE(3139),
    [sym__augmented_assignment_lhs] = STATE(3860),
    [sym_augmented_assignment_expression] = STATE(3139),
    [sym__destructuring_pattern] = STATE(7376),
    [sym_ternary_expression] = STATE(3139),
    [sym_binary_expression] = STATE(3139),
    [sym_unary_expression] = STATE(3139),
    [sym_update_expression] = STATE(3139),
    [sym_string] = STATE(3113),
    [sym_comment] = STATE(667),
    [sym_template_string] = STATE(3113),
    [sym_regex] = STATE(3113),
    [sym_meta_property] = STATE(3113),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2221),
    [sym_as_expression] = STATE(3139),
    [sym_satisfies_expression] = STATE(3139),
    [sym_instantiation_expression] = STATE(3139),
    [sym_internal_module] = STATE(3139),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5555),
    [sym_identifier] = ACTIONS(1758),
    [anon_sym_export] = ACTIONS(1362),
    [anon_sym_type] = ACTIONS(1362),
    [anon_sym_namespace] = ACTIONS(1364),
    [anon_sym_LBRACE] = ACTIONS(1020),
    [anon_sym_typeof] = ACTIONS(1370),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1362),
    [anon_sym_BANG] = ACTIONS(1370),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1374),
    [anon_sym_yield] = ACTIONS(1376),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1029),
    [anon_sym_async] = ACTIONS(1380),
    [anon_sym_function] = ACTIONS(1033),
    [anon_sym_new] = ACTIONS(1762),
    [anon_sym_using] = ACTIONS(1384),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1370),
    [anon_sym_void] = ACTIONS(1370),
    [anon_sym_delete] = ACTIONS(1370),
    [anon_sym_PLUS_PLUS] = ACTIONS(1390),
    [anon_sym_DASH_DASH] = ACTIONS(1390),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(2573),
    [sym_private_property_identifier] = ACTIONS(1396),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1764),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1362),
    [anon_sym_readonly] = ACTIONS(1362),
    [anon_sym_get] = ACTIONS(1362),
    [anon_sym_set] = ACTIONS(1362),
    [anon_sym_declare] = ACTIONS(1362),
    [anon_sym_public] = ACTIONS(1362),
    [anon_sym_private] = ACTIONS(1362),
    [anon_sym_protected] = ACTIONS(1362),
    [anon_sym_override] = ACTIONS(1362),
    [anon_sym_module] = ACTIONS(1362),
    [anon_sym_any] = ACTIONS(1362),
    [anon_sym_number] = ACTIONS(1362),
    [anon_sym_boolean] = ACTIONS(1362),
    [anon_sym_string] = ACTIONS(1362),
    [anon_sym_symbol] = ACTIONS(1362),
    [anon_sym_object] = ACTIONS(1362),
    [sym_html_comment] = ACTIONS(5),
  },
  [668] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2151),
    [sym_expression] = STATE(2464),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7643),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2151),
    [sym_subscript_expression] = STATE(2151),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3918),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7259),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(668),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2151),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1724),
    [anon_sym_export] = ACTIONS(1452),
    [anon_sym_type] = ACTIONS(1452),
    [anon_sym_namespace] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(1127),
    [anon_sym_typeof] = ACTIONS(968),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1452),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(1129),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1462),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1730),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_PLUS] = ACTIONS(968),
    [anon_sym_DASH] = ACTIONS(968),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(968),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(2531),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1732),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1452),
    [anon_sym_readonly] = ACTIONS(1452),
    [anon_sym_get] = ACTIONS(1452),
    [anon_sym_set] = ACTIONS(1452),
    [anon_sym_declare] = ACTIONS(1452),
    [anon_sym_public] = ACTIONS(1452),
    [anon_sym_private] = ACTIONS(1452),
    [anon_sym_protected] = ACTIONS(1452),
    [anon_sym_override] = ACTIONS(1452),
    [anon_sym_module] = ACTIONS(1452),
    [anon_sym_any] = ACTIONS(1452),
    [anon_sym_number] = ACTIONS(1452),
    [anon_sym_boolean] = ACTIONS(1452),
    [anon_sym_string] = ACTIONS(1452),
    [anon_sym_symbol] = ACTIONS(1452),
    [anon_sym_object] = ACTIONS(1452),
    [sym_html_comment] = ACTIONS(5),
  },
  [669] = {
    [sym_import] = STATE(4369),
    [sym_parenthesized_expression] = STATE(2175),
    [sym_expression] = STATE(2593),
    [sym_primary_expression] = STATE(2990),
    [sym_yield_expression] = STATE(3139),
    [sym_object] = STATE(3113),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(3113),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(3139),
    [sym_glimmer_opening_tag] = STATE(5702),
    [sym_jsx_element] = STATE(3139),
    [sym_jsx_opening_element] = STATE(4008),
    [sym_jsx_self_closing_element] = STATE(3139),
    [sym_class] = STATE(3113),
    [sym_function_expression] = STATE(3113),
    [sym_generator_function] = STATE(3113),
    [sym_arrow_function] = STATE(3113),
    [sym__call_signature] = STATE(7205),
    [sym_call_expression] = STATE(3113),
    [sym_new_expression] = STATE(3139),
    [sym_await_expression] = STATE(3139),
    [sym_member_expression] = STATE(2175),
    [sym_subscript_expression] = STATE(2175),
    [sym_assignment_expression] = STATE(3139),
    [sym__augmented_assignment_lhs] = STATE(3844),
    [sym_augmented_assignment_expression] = STATE(3139),
    [sym__destructuring_pattern] = STATE(7209),
    [sym_ternary_expression] = STATE(3139),
    [sym_binary_expression] = STATE(3139),
    [sym_unary_expression] = STATE(3139),
    [sym_update_expression] = STATE(3139),
    [sym_string] = STATE(3113),
    [sym_comment] = STATE(669),
    [sym_template_string] = STATE(3113),
    [sym_regex] = STATE(3113),
    [sym_meta_property] = STATE(3113),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2175),
    [sym_as_expression] = STATE(3139),
    [sym_satisfies_expression] = STATE(3139),
    [sym_instantiation_expression] = STATE(3139),
    [sym_internal_module] = STATE(3139),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5555),
    [sym_identifier] = ACTIONS(1736),
    [anon_sym_export] = ACTIONS(1518),
    [anon_sym_type] = ACTIONS(1518),
    [anon_sym_namespace] = ACTIONS(1520),
    [anon_sym_LBRACE] = ACTIONS(1020),
    [anon_sym_typeof] = ACTIONS(1526),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1518),
    [anon_sym_BANG] = ACTIONS(1526),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1528),
    [anon_sym_yield] = ACTIONS(1530),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1029),
    [anon_sym_async] = ACTIONS(1534),
    [anon_sym_function] = ACTIONS(1033),
    [anon_sym_new] = ACTIONS(1740),
    [anon_sym_using] = ACTIONS(1538),
    [anon_sym_PLUS] = ACTIONS(1526),
    [anon_sym_DASH] = ACTIONS(1526),
    [anon_sym_SLASH] = ACTIONS(1195),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1526),
    [anon_sym_void] = ACTIONS(1526),
    [anon_sym_delete] = ACTIONS(1526),
    [anon_sym_PLUS_PLUS] = ACTIONS(1544),
    [anon_sym_DASH_DASH] = ACTIONS(1544),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1550),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1742),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1518),
    [anon_sym_readonly] = ACTIONS(1518),
    [anon_sym_get] = ACTIONS(1518),
    [anon_sym_set] = ACTIONS(1518),
    [anon_sym_declare] = ACTIONS(1518),
    [anon_sym_public] = ACTIONS(1518),
    [anon_sym_private] = ACTIONS(1518),
    [anon_sym_protected] = ACTIONS(1518),
    [anon_sym_override] = ACTIONS(1518),
    [anon_sym_module] = ACTIONS(1518),
    [anon_sym_any] = ACTIONS(1518),
    [anon_sym_number] = ACTIONS(1518),
    [anon_sym_boolean] = ACTIONS(1518),
    [anon_sym_string] = ACTIONS(1518),
    [anon_sym_symbol] = ACTIONS(1518),
    [anon_sym_object] = ACTIONS(1518),
    [sym_html_comment] = ACTIONS(5),
  },
  [670] = {
    [sym_import] = STATE(4369),
    [sym_parenthesized_expression] = STATE(2177),
    [sym_expression] = STATE(2579),
    [sym_primary_expression] = STATE(2990),
    [sym_yield_expression] = STATE(3139),
    [sym_object] = STATE(3113),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(3113),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(3139),
    [sym_glimmer_opening_tag] = STATE(5702),
    [sym_jsx_element] = STATE(3139),
    [sym_jsx_opening_element] = STATE(4008),
    [sym_jsx_self_closing_element] = STATE(3139),
    [sym_class] = STATE(3113),
    [sym_function_expression] = STATE(3113),
    [sym_generator_function] = STATE(3113),
    [sym_arrow_function] = STATE(3113),
    [sym__call_signature] = STATE(7486),
    [sym_call_expression] = STATE(3113),
    [sym_new_expression] = STATE(3139),
    [sym_await_expression] = STATE(3139),
    [sym_member_expression] = STATE(2177),
    [sym_subscript_expression] = STATE(2177),
    [sym_assignment_expression] = STATE(3139),
    [sym__augmented_assignment_lhs] = STATE(3835),
    [sym_augmented_assignment_expression] = STATE(3139),
    [sym__destructuring_pattern] = STATE(7484),
    [sym_ternary_expression] = STATE(3139),
    [sym_binary_expression] = STATE(3139),
    [sym_unary_expression] = STATE(3139),
    [sym_update_expression] = STATE(3139),
    [sym_string] = STATE(3113),
    [sym_comment] = STATE(670),
    [sym_template_string] = STATE(3113),
    [sym_regex] = STATE(3113),
    [sym_meta_property] = STATE(3113),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2177),
    [sym_as_expression] = STATE(3139),
    [sym_satisfies_expression] = STATE(3139),
    [sym_instantiation_expression] = STATE(3139),
    [sym_internal_module] = STATE(3139),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5555),
    [sym_identifier] = ACTIONS(1744),
    [anon_sym_export] = ACTIONS(1596),
    [anon_sym_type] = ACTIONS(1596),
    [anon_sym_namespace] = ACTIONS(1598),
    [anon_sym_LBRACE] = ACTIONS(1020),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1596),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1029),
    [anon_sym_async] = ACTIONS(1602),
    [anon_sym_function] = ACTIONS(1033),
    [anon_sym_new] = ACTIONS(1748),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1596),
    [anon_sym_readonly] = ACTIONS(1596),
    [anon_sym_get] = ACTIONS(1596),
    [anon_sym_set] = ACTIONS(1596),
    [anon_sym_declare] = ACTIONS(1596),
    [anon_sym_public] = ACTIONS(1596),
    [anon_sym_private] = ACTIONS(1596),
    [anon_sym_protected] = ACTIONS(1596),
    [anon_sym_override] = ACTIONS(1596),
    [anon_sym_module] = ACTIONS(1596),
    [anon_sym_any] = ACTIONS(1596),
    [anon_sym_number] = ACTIONS(1596),
    [anon_sym_boolean] = ACTIONS(1596),
    [anon_sym_string] = ACTIONS(1596),
    [anon_sym_symbol] = ACTIONS(1596),
    [anon_sym_object] = ACTIONS(1596),
    [sym_html_comment] = ACTIONS(5),
  },
  [671] = {
    [sym_import] = STATE(4369),
    [sym_parenthesized_expression] = STATE(2221),
    [sym_expression] = STATE(3047),
    [sym_primary_expression] = STATE(2990),
    [sym_yield_expression] = STATE(3139),
    [sym_object] = STATE(3113),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(3113),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(3139),
    [sym_glimmer_opening_tag] = STATE(5702),
    [sym_jsx_element] = STATE(3139),
    [sym_jsx_opening_element] = STATE(4008),
    [sym_jsx_self_closing_element] = STATE(3139),
    [sym_class] = STATE(3113),
    [sym_function_expression] = STATE(3113),
    [sym_generator_function] = STATE(3113),
    [sym_arrow_function] = STATE(3113),
    [sym__call_signature] = STATE(7374),
    [sym_call_expression] = STATE(3113),
    [sym_new_expression] = STATE(3139),
    [sym_await_expression] = STATE(3139),
    [sym_member_expression] = STATE(2221),
    [sym_subscript_expression] = STATE(2221),
    [sym_assignment_expression] = STATE(3139),
    [sym__augmented_assignment_lhs] = STATE(3860),
    [sym_augmented_assignment_expression] = STATE(3139),
    [sym__destructuring_pattern] = STATE(7376),
    [sym_ternary_expression] = STATE(3139),
    [sym_binary_expression] = STATE(3139),
    [sym_unary_expression] = STATE(3139),
    [sym_update_expression] = STATE(3139),
    [sym_string] = STATE(3113),
    [sym_comment] = STATE(671),
    [sym_template_string] = STATE(3113),
    [sym_regex] = STATE(3113),
    [sym_meta_property] = STATE(3113),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2221),
    [sym_as_expression] = STATE(3139),
    [sym_satisfies_expression] = STATE(3139),
    [sym_instantiation_expression] = STATE(3139),
    [sym_internal_module] = STATE(3139),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5555),
    [sym_identifier] = ACTIONS(1758),
    [anon_sym_export] = ACTIONS(1362),
    [anon_sym_type] = ACTIONS(1362),
    [anon_sym_namespace] = ACTIONS(1364),
    [anon_sym_LBRACE] = ACTIONS(1020),
    [anon_sym_typeof] = ACTIONS(1370),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1362),
    [anon_sym_BANG] = ACTIONS(1370),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1374),
    [anon_sym_yield] = ACTIONS(1376),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1029),
    [anon_sym_async] = ACTIONS(1380),
    [anon_sym_function] = ACTIONS(1033),
    [anon_sym_new] = ACTIONS(1762),
    [anon_sym_using] = ACTIONS(1384),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1370),
    [anon_sym_void] = ACTIONS(1370),
    [anon_sym_delete] = ACTIONS(1370),
    [anon_sym_PLUS_PLUS] = ACTIONS(1390),
    [anon_sym_DASH_DASH] = ACTIONS(1390),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1396),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1764),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1362),
    [anon_sym_readonly] = ACTIONS(1362),
    [anon_sym_get] = ACTIONS(1362),
    [anon_sym_set] = ACTIONS(1362),
    [anon_sym_declare] = ACTIONS(1362),
    [anon_sym_public] = ACTIONS(1362),
    [anon_sym_private] = ACTIONS(1362),
    [anon_sym_protected] = ACTIONS(1362),
    [anon_sym_override] = ACTIONS(1362),
    [anon_sym_module] = ACTIONS(1362),
    [anon_sym_any] = ACTIONS(1362),
    [anon_sym_number] = ACTIONS(1362),
    [anon_sym_boolean] = ACTIONS(1362),
    [anon_sym_string] = ACTIONS(1362),
    [anon_sym_symbol] = ACTIONS(1362),
    [anon_sym_object] = ACTIONS(1362),
    [sym_html_comment] = ACTIONS(5),
  },
  [672] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2151),
    [sym_expression] = STATE(2411),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7643),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2151),
    [sym_subscript_expression] = STATE(2151),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3918),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7259),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(672),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2151),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1724),
    [anon_sym_export] = ACTIONS(1452),
    [anon_sym_type] = ACTIONS(1452),
    [anon_sym_namespace] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(1127),
    [anon_sym_typeof] = ACTIONS(968),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1452),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(1129),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1462),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1730),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_PLUS] = ACTIONS(968),
    [anon_sym_DASH] = ACTIONS(968),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(968),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1732),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1452),
    [anon_sym_readonly] = ACTIONS(1452),
    [anon_sym_get] = ACTIONS(1452),
    [anon_sym_set] = ACTIONS(1452),
    [anon_sym_declare] = ACTIONS(1452),
    [anon_sym_public] = ACTIONS(1452),
    [anon_sym_private] = ACTIONS(1452),
    [anon_sym_protected] = ACTIONS(1452),
    [anon_sym_override] = ACTIONS(1452),
    [anon_sym_module] = ACTIONS(1452),
    [anon_sym_any] = ACTIONS(1452),
    [anon_sym_number] = ACTIONS(1452),
    [anon_sym_boolean] = ACTIONS(1452),
    [anon_sym_string] = ACTIONS(1452),
    [anon_sym_symbol] = ACTIONS(1452),
    [anon_sym_object] = ACTIONS(1452),
    [sym_html_comment] = ACTIONS(5),
  },
  [673] = {
    [sym_import] = STATE(4369),
    [sym_parenthesized_expression] = STATE(2175),
    [sym_expression] = STATE(2595),
    [sym_primary_expression] = STATE(2990),
    [sym_yield_expression] = STATE(3139),
    [sym_object] = STATE(3113),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(3113),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(3139),
    [sym_glimmer_opening_tag] = STATE(5702),
    [sym_jsx_element] = STATE(3139),
    [sym_jsx_opening_element] = STATE(4008),
    [sym_jsx_self_closing_element] = STATE(3139),
    [sym_class] = STATE(3113),
    [sym_function_expression] = STATE(3113),
    [sym_generator_function] = STATE(3113),
    [sym_arrow_function] = STATE(3113),
    [sym__call_signature] = STATE(7205),
    [sym_call_expression] = STATE(3113),
    [sym_new_expression] = STATE(3139),
    [sym_await_expression] = STATE(3139),
    [sym_member_expression] = STATE(2175),
    [sym_subscript_expression] = STATE(2175),
    [sym_assignment_expression] = STATE(3139),
    [sym__augmented_assignment_lhs] = STATE(3844),
    [sym_augmented_assignment_expression] = STATE(3139),
    [sym__destructuring_pattern] = STATE(7209),
    [sym_ternary_expression] = STATE(3139),
    [sym_binary_expression] = STATE(3139),
    [sym_unary_expression] = STATE(3139),
    [sym_update_expression] = STATE(3139),
    [sym_string] = STATE(3113),
    [sym_comment] = STATE(673),
    [sym_template_string] = STATE(3113),
    [sym_regex] = STATE(3113),
    [sym_meta_property] = STATE(3113),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2175),
    [sym_as_expression] = STATE(3139),
    [sym_satisfies_expression] = STATE(3139),
    [sym_instantiation_expression] = STATE(3139),
    [sym_internal_module] = STATE(3139),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5555),
    [sym_identifier] = ACTIONS(1736),
    [anon_sym_export] = ACTIONS(1518),
    [anon_sym_type] = ACTIONS(1518),
    [anon_sym_namespace] = ACTIONS(1520),
    [anon_sym_LBRACE] = ACTIONS(1020),
    [anon_sym_typeof] = ACTIONS(1526),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1518),
    [anon_sym_BANG] = ACTIONS(1526),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1528),
    [anon_sym_yield] = ACTIONS(1530),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1029),
    [anon_sym_async] = ACTIONS(1534),
    [anon_sym_function] = ACTIONS(1033),
    [anon_sym_new] = ACTIONS(1740),
    [anon_sym_using] = ACTIONS(1538),
    [anon_sym_PLUS] = ACTIONS(1526),
    [anon_sym_DASH] = ACTIONS(1526),
    [anon_sym_SLASH] = ACTIONS(1195),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1526),
    [anon_sym_void] = ACTIONS(1526),
    [anon_sym_delete] = ACTIONS(1526),
    [anon_sym_PLUS_PLUS] = ACTIONS(1544),
    [anon_sym_DASH_DASH] = ACTIONS(1544),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1550),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1742),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1518),
    [anon_sym_readonly] = ACTIONS(1518),
    [anon_sym_get] = ACTIONS(1518),
    [anon_sym_set] = ACTIONS(1518),
    [anon_sym_declare] = ACTIONS(1518),
    [anon_sym_public] = ACTIONS(1518),
    [anon_sym_private] = ACTIONS(1518),
    [anon_sym_protected] = ACTIONS(1518),
    [anon_sym_override] = ACTIONS(1518),
    [anon_sym_module] = ACTIONS(1518),
    [anon_sym_any] = ACTIONS(1518),
    [anon_sym_number] = ACTIONS(1518),
    [anon_sym_boolean] = ACTIONS(1518),
    [anon_sym_string] = ACTIONS(1518),
    [anon_sym_symbol] = ACTIONS(1518),
    [anon_sym_object] = ACTIONS(1518),
    [sym_html_comment] = ACTIONS(5),
  },
  [674] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2151),
    [sym_expression] = STATE(2480),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7643),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2151),
    [sym_subscript_expression] = STATE(2151),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3918),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7259),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(674),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2151),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1724),
    [anon_sym_export] = ACTIONS(1452),
    [anon_sym_type] = ACTIONS(1452),
    [anon_sym_namespace] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(1127),
    [anon_sym_typeof] = ACTIONS(968),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1452),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(1129),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1462),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1730),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_PLUS] = ACTIONS(968),
    [anon_sym_DASH] = ACTIONS(968),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(968),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1732),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1452),
    [anon_sym_readonly] = ACTIONS(1452),
    [anon_sym_get] = ACTIONS(1452),
    [anon_sym_set] = ACTIONS(1452),
    [anon_sym_declare] = ACTIONS(1452),
    [anon_sym_public] = ACTIONS(1452),
    [anon_sym_private] = ACTIONS(1452),
    [anon_sym_protected] = ACTIONS(1452),
    [anon_sym_override] = ACTIONS(1452),
    [anon_sym_module] = ACTIONS(1452),
    [anon_sym_any] = ACTIONS(1452),
    [anon_sym_number] = ACTIONS(1452),
    [anon_sym_boolean] = ACTIONS(1452),
    [anon_sym_string] = ACTIONS(1452),
    [anon_sym_symbol] = ACTIONS(1452),
    [anon_sym_object] = ACTIONS(1452),
    [sym_html_comment] = ACTIONS(5),
  },
  [675] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2048),
    [sym_expression] = STATE(3384),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7260),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2048),
    [sym_subscript_expression] = STATE(2048),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3878),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7646),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(675),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2048),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1095),
    [anon_sym_export] = ACTIONS(1097),
    [anon_sym_type] = ACTIONS(1097),
    [anon_sym_namespace] = ACTIONS(1099),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(174),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1097),
    [anon_sym_BANG] = ACTIONS(174),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1109),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1111),
    [anon_sym_using] = ACTIONS(157),
    [anon_sym_PLUS] = ACTIONS(174),
    [anon_sym_DASH] = ACTIONS(174),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(174),
    [anon_sym_void] = ACTIONS(174),
    [anon_sym_delete] = ACTIONS(174),
    [anon_sym_PLUS_PLUS] = ACTIONS(1039),
    [anon_sym_DASH_DASH] = ACTIONS(1039),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(185),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1115),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1097),
    [anon_sym_readonly] = ACTIONS(1097),
    [anon_sym_get] = ACTIONS(1097),
    [anon_sym_set] = ACTIONS(1097),
    [anon_sym_declare] = ACTIONS(1097),
    [anon_sym_public] = ACTIONS(1097),
    [anon_sym_private] = ACTIONS(1097),
    [anon_sym_protected] = ACTIONS(1097),
    [anon_sym_override] = ACTIONS(1097),
    [anon_sym_module] = ACTIONS(1097),
    [anon_sym_any] = ACTIONS(1097),
    [anon_sym_number] = ACTIONS(1097),
    [anon_sym_boolean] = ACTIONS(1097),
    [anon_sym_string] = ACTIONS(1097),
    [anon_sym_symbol] = ACTIONS(1097),
    [anon_sym_object] = ACTIONS(1097),
    [sym_html_comment] = ACTIONS(5),
  },
  [676] = {
    [sym_import] = STATE(4369),
    [sym_parenthesized_expression] = STATE(2175),
    [sym_expression] = STATE(2596),
    [sym_primary_expression] = STATE(2990),
    [sym_yield_expression] = STATE(3139),
    [sym_object] = STATE(3113),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(3113),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(3139),
    [sym_glimmer_opening_tag] = STATE(5702),
    [sym_jsx_element] = STATE(3139),
    [sym_jsx_opening_element] = STATE(4008),
    [sym_jsx_self_closing_element] = STATE(3139),
    [sym_class] = STATE(3113),
    [sym_function_expression] = STATE(3113),
    [sym_generator_function] = STATE(3113),
    [sym_arrow_function] = STATE(3113),
    [sym__call_signature] = STATE(7205),
    [sym_call_expression] = STATE(3113),
    [sym_new_expression] = STATE(3139),
    [sym_await_expression] = STATE(3139),
    [sym_member_expression] = STATE(2175),
    [sym_subscript_expression] = STATE(2175),
    [sym_assignment_expression] = STATE(3139),
    [sym__augmented_assignment_lhs] = STATE(3844),
    [sym_augmented_assignment_expression] = STATE(3139),
    [sym__destructuring_pattern] = STATE(7209),
    [sym_ternary_expression] = STATE(3139),
    [sym_binary_expression] = STATE(3139),
    [sym_unary_expression] = STATE(3139),
    [sym_update_expression] = STATE(3139),
    [sym_string] = STATE(3113),
    [sym_comment] = STATE(676),
    [sym_template_string] = STATE(3113),
    [sym_regex] = STATE(3113),
    [sym_meta_property] = STATE(3113),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2175),
    [sym_as_expression] = STATE(3139),
    [sym_satisfies_expression] = STATE(3139),
    [sym_instantiation_expression] = STATE(3139),
    [sym_internal_module] = STATE(3139),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5555),
    [sym_identifier] = ACTIONS(1736),
    [anon_sym_export] = ACTIONS(1518),
    [anon_sym_type] = ACTIONS(1518),
    [anon_sym_namespace] = ACTIONS(1520),
    [anon_sym_LBRACE] = ACTIONS(1020),
    [anon_sym_typeof] = ACTIONS(1526),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1518),
    [anon_sym_BANG] = ACTIONS(1526),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1528),
    [anon_sym_yield] = ACTIONS(1530),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1029),
    [anon_sym_async] = ACTIONS(1534),
    [anon_sym_function] = ACTIONS(1033),
    [anon_sym_new] = ACTIONS(1740),
    [anon_sym_using] = ACTIONS(1538),
    [anon_sym_PLUS] = ACTIONS(1526),
    [anon_sym_DASH] = ACTIONS(1526),
    [anon_sym_SLASH] = ACTIONS(1195),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1526),
    [anon_sym_void] = ACTIONS(1526),
    [anon_sym_delete] = ACTIONS(1526),
    [anon_sym_PLUS_PLUS] = ACTIONS(1544),
    [anon_sym_DASH_DASH] = ACTIONS(1544),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1550),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1742),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1518),
    [anon_sym_readonly] = ACTIONS(1518),
    [anon_sym_get] = ACTIONS(1518),
    [anon_sym_set] = ACTIONS(1518),
    [anon_sym_declare] = ACTIONS(1518),
    [anon_sym_public] = ACTIONS(1518),
    [anon_sym_private] = ACTIONS(1518),
    [anon_sym_protected] = ACTIONS(1518),
    [anon_sym_override] = ACTIONS(1518),
    [anon_sym_module] = ACTIONS(1518),
    [anon_sym_any] = ACTIONS(1518),
    [anon_sym_number] = ACTIONS(1518),
    [anon_sym_boolean] = ACTIONS(1518),
    [anon_sym_string] = ACTIONS(1518),
    [anon_sym_symbol] = ACTIONS(1518),
    [anon_sym_object] = ACTIONS(1518),
    [sym_html_comment] = ACTIONS(5),
  },
  [677] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2048),
    [sym_expression] = STATE(3363),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7260),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2048),
    [sym_subscript_expression] = STATE(2048),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3878),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7646),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(677),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2048),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1095),
    [anon_sym_export] = ACTIONS(1097),
    [anon_sym_type] = ACTIONS(1097),
    [anon_sym_namespace] = ACTIONS(1099),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(174),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1097),
    [anon_sym_BANG] = ACTIONS(174),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1109),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1111),
    [anon_sym_using] = ACTIONS(157),
    [anon_sym_PLUS] = ACTIONS(174),
    [anon_sym_DASH] = ACTIONS(174),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(174),
    [anon_sym_void] = ACTIONS(174),
    [anon_sym_delete] = ACTIONS(174),
    [anon_sym_PLUS_PLUS] = ACTIONS(1039),
    [anon_sym_DASH_DASH] = ACTIONS(1039),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(185),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1115),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1097),
    [anon_sym_readonly] = ACTIONS(1097),
    [anon_sym_get] = ACTIONS(1097),
    [anon_sym_set] = ACTIONS(1097),
    [anon_sym_declare] = ACTIONS(1097),
    [anon_sym_public] = ACTIONS(1097),
    [anon_sym_private] = ACTIONS(1097),
    [anon_sym_protected] = ACTIONS(1097),
    [anon_sym_override] = ACTIONS(1097),
    [anon_sym_module] = ACTIONS(1097),
    [anon_sym_any] = ACTIONS(1097),
    [anon_sym_number] = ACTIONS(1097),
    [anon_sym_boolean] = ACTIONS(1097),
    [anon_sym_string] = ACTIONS(1097),
    [anon_sym_symbol] = ACTIONS(1097),
    [anon_sym_object] = ACTIONS(1097),
    [sym_html_comment] = ACTIONS(5),
  },
  [678] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2151),
    [sym_expression] = STATE(2657),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7643),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2151),
    [sym_subscript_expression] = STATE(2151),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3918),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7259),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(678),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2151),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1724),
    [anon_sym_export] = ACTIONS(1452),
    [anon_sym_type] = ACTIONS(1452),
    [anon_sym_namespace] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(1127),
    [anon_sym_typeof] = ACTIONS(968),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1452),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(1129),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1462),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1730),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_PLUS] = ACTIONS(968),
    [anon_sym_DASH] = ACTIONS(968),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(968),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1732),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1452),
    [anon_sym_readonly] = ACTIONS(1452),
    [anon_sym_get] = ACTIONS(1452),
    [anon_sym_set] = ACTIONS(1452),
    [anon_sym_declare] = ACTIONS(1452),
    [anon_sym_public] = ACTIONS(1452),
    [anon_sym_private] = ACTIONS(1452),
    [anon_sym_protected] = ACTIONS(1452),
    [anon_sym_override] = ACTIONS(1452),
    [anon_sym_module] = ACTIONS(1452),
    [anon_sym_any] = ACTIONS(1452),
    [anon_sym_number] = ACTIONS(1452),
    [anon_sym_boolean] = ACTIONS(1452),
    [anon_sym_string] = ACTIONS(1452),
    [anon_sym_symbol] = ACTIONS(1452),
    [anon_sym_object] = ACTIONS(1452),
    [sym_html_comment] = ACTIONS(5),
  },
  [679] = {
    [sym_import] = STATE(4369),
    [sym_parenthesized_expression] = STATE(2221),
    [sym_expression] = STATE(3004),
    [sym_primary_expression] = STATE(2990),
    [sym_yield_expression] = STATE(3139),
    [sym_object] = STATE(3113),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(3113),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(3139),
    [sym_glimmer_opening_tag] = STATE(5702),
    [sym_jsx_element] = STATE(3139),
    [sym_jsx_opening_element] = STATE(4008),
    [sym_jsx_self_closing_element] = STATE(3139),
    [sym_class] = STATE(3113),
    [sym_function_expression] = STATE(3113),
    [sym_generator_function] = STATE(3113),
    [sym_arrow_function] = STATE(3113),
    [sym__call_signature] = STATE(7374),
    [sym_call_expression] = STATE(3113),
    [sym_new_expression] = STATE(3139),
    [sym_await_expression] = STATE(3139),
    [sym_member_expression] = STATE(2221),
    [sym_subscript_expression] = STATE(2221),
    [sym_assignment_expression] = STATE(3139),
    [sym__augmented_assignment_lhs] = STATE(3860),
    [sym_augmented_assignment_expression] = STATE(3139),
    [sym__destructuring_pattern] = STATE(7376),
    [sym_ternary_expression] = STATE(3139),
    [sym_binary_expression] = STATE(3139),
    [sym_unary_expression] = STATE(3139),
    [sym_update_expression] = STATE(3139),
    [sym_string] = STATE(3113),
    [sym_comment] = STATE(679),
    [sym_template_string] = STATE(3113),
    [sym_regex] = STATE(3113),
    [sym_meta_property] = STATE(3113),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2221),
    [sym_as_expression] = STATE(3139),
    [sym_satisfies_expression] = STATE(3139),
    [sym_instantiation_expression] = STATE(3139),
    [sym_internal_module] = STATE(3139),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5555),
    [sym_identifier] = ACTIONS(1758),
    [anon_sym_export] = ACTIONS(1362),
    [anon_sym_type] = ACTIONS(1362),
    [anon_sym_namespace] = ACTIONS(1364),
    [anon_sym_LBRACE] = ACTIONS(1020),
    [anon_sym_typeof] = ACTIONS(1370),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1362),
    [anon_sym_BANG] = ACTIONS(1370),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1374),
    [anon_sym_yield] = ACTIONS(1376),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1029),
    [anon_sym_async] = ACTIONS(1380),
    [anon_sym_function] = ACTIONS(1033),
    [anon_sym_new] = ACTIONS(1762),
    [anon_sym_using] = ACTIONS(1384),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1370),
    [anon_sym_void] = ACTIONS(1370),
    [anon_sym_delete] = ACTIONS(1370),
    [anon_sym_PLUS_PLUS] = ACTIONS(1390),
    [anon_sym_DASH_DASH] = ACTIONS(1390),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1396),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1764),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1362),
    [anon_sym_readonly] = ACTIONS(1362),
    [anon_sym_get] = ACTIONS(1362),
    [anon_sym_set] = ACTIONS(1362),
    [anon_sym_declare] = ACTIONS(1362),
    [anon_sym_public] = ACTIONS(1362),
    [anon_sym_private] = ACTIONS(1362),
    [anon_sym_protected] = ACTIONS(1362),
    [anon_sym_override] = ACTIONS(1362),
    [anon_sym_module] = ACTIONS(1362),
    [anon_sym_any] = ACTIONS(1362),
    [anon_sym_number] = ACTIONS(1362),
    [anon_sym_boolean] = ACTIONS(1362),
    [anon_sym_string] = ACTIONS(1362),
    [anon_sym_symbol] = ACTIONS(1362),
    [anon_sym_object] = ACTIONS(1362),
    [sym_html_comment] = ACTIONS(5),
  },
  [680] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2248),
    [sym_expression] = STATE(3307),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7502),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2248),
    [sym_subscript_expression] = STATE(2248),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3928),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7561),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(680),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2248),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1774),
    [anon_sym_export] = ACTIONS(1618),
    [anon_sym_type] = ACTIONS(1618),
    [anon_sym_namespace] = ACTIONS(1620),
    [anon_sym_LBRACE] = ACTIONS(1127),
    [anon_sym_typeof] = ACTIONS(1624),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1618),
    [anon_sym_BANG] = ACTIONS(1624),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1626),
    [anon_sym_yield] = ACTIONS(1628),
    [anon_sym_LBRACK] = ACTIONS(1129),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1630),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1778),
    [anon_sym_using] = ACTIONS(1634),
    [anon_sym_PLUS] = ACTIONS(1624),
    [anon_sym_DASH] = ACTIONS(1624),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(1624),
    [anon_sym_void] = ACTIONS(1624),
    [anon_sym_delete] = ACTIONS(1624),
    [anon_sym_PLUS_PLUS] = ACTIONS(1640),
    [anon_sym_DASH_DASH] = ACTIONS(1640),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(1642),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1780),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1618),
    [anon_sym_readonly] = ACTIONS(1618),
    [anon_sym_get] = ACTIONS(1618),
    [anon_sym_set] = ACTIONS(1618),
    [anon_sym_declare] = ACTIONS(1618),
    [anon_sym_public] = ACTIONS(1618),
    [anon_sym_private] = ACTIONS(1618),
    [anon_sym_protected] = ACTIONS(1618),
    [anon_sym_override] = ACTIONS(1618),
    [anon_sym_module] = ACTIONS(1618),
    [anon_sym_any] = ACTIONS(1618),
    [anon_sym_number] = ACTIONS(1618),
    [anon_sym_boolean] = ACTIONS(1618),
    [anon_sym_string] = ACTIONS(1618),
    [anon_sym_symbol] = ACTIONS(1618),
    [anon_sym_object] = ACTIONS(1618),
    [sym_html_comment] = ACTIONS(5),
  },
  [681] = {
    [sym_import] = STATE(4369),
    [sym_parenthesized_expression] = STATE(2175),
    [sym_expression] = STATE(2597),
    [sym_primary_expression] = STATE(2990),
    [sym_yield_expression] = STATE(3139),
    [sym_object] = STATE(3113),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(3113),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(3139),
    [sym_glimmer_opening_tag] = STATE(5702),
    [sym_jsx_element] = STATE(3139),
    [sym_jsx_opening_element] = STATE(4008),
    [sym_jsx_self_closing_element] = STATE(3139),
    [sym_class] = STATE(3113),
    [sym_function_expression] = STATE(3113),
    [sym_generator_function] = STATE(3113),
    [sym_arrow_function] = STATE(3113),
    [sym__call_signature] = STATE(7205),
    [sym_call_expression] = STATE(3113),
    [sym_new_expression] = STATE(3139),
    [sym_await_expression] = STATE(3139),
    [sym_member_expression] = STATE(2175),
    [sym_subscript_expression] = STATE(2175),
    [sym_assignment_expression] = STATE(3139),
    [sym__augmented_assignment_lhs] = STATE(3844),
    [sym_augmented_assignment_expression] = STATE(3139),
    [sym__destructuring_pattern] = STATE(7209),
    [sym_ternary_expression] = STATE(3139),
    [sym_binary_expression] = STATE(3139),
    [sym_unary_expression] = STATE(3139),
    [sym_update_expression] = STATE(3139),
    [sym_string] = STATE(3113),
    [sym_comment] = STATE(681),
    [sym_template_string] = STATE(3113),
    [sym_regex] = STATE(3113),
    [sym_meta_property] = STATE(3113),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2175),
    [sym_as_expression] = STATE(3139),
    [sym_satisfies_expression] = STATE(3139),
    [sym_instantiation_expression] = STATE(3139),
    [sym_internal_module] = STATE(3139),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5555),
    [sym_identifier] = ACTIONS(1736),
    [anon_sym_export] = ACTIONS(1518),
    [anon_sym_type] = ACTIONS(1518),
    [anon_sym_namespace] = ACTIONS(1520),
    [anon_sym_LBRACE] = ACTIONS(1020),
    [anon_sym_typeof] = ACTIONS(1526),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1518),
    [anon_sym_BANG] = ACTIONS(1526),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1528),
    [anon_sym_yield] = ACTIONS(1530),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1029),
    [anon_sym_async] = ACTIONS(1534),
    [anon_sym_function] = ACTIONS(1033),
    [anon_sym_new] = ACTIONS(1740),
    [anon_sym_using] = ACTIONS(1538),
    [anon_sym_PLUS] = ACTIONS(1526),
    [anon_sym_DASH] = ACTIONS(1526),
    [anon_sym_SLASH] = ACTIONS(1195),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1526),
    [anon_sym_void] = ACTIONS(1526),
    [anon_sym_delete] = ACTIONS(1526),
    [anon_sym_PLUS_PLUS] = ACTIONS(1544),
    [anon_sym_DASH_DASH] = ACTIONS(1544),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1550),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1742),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1518),
    [anon_sym_readonly] = ACTIONS(1518),
    [anon_sym_get] = ACTIONS(1518),
    [anon_sym_set] = ACTIONS(1518),
    [anon_sym_declare] = ACTIONS(1518),
    [anon_sym_public] = ACTIONS(1518),
    [anon_sym_private] = ACTIONS(1518),
    [anon_sym_protected] = ACTIONS(1518),
    [anon_sym_override] = ACTIONS(1518),
    [anon_sym_module] = ACTIONS(1518),
    [anon_sym_any] = ACTIONS(1518),
    [anon_sym_number] = ACTIONS(1518),
    [anon_sym_boolean] = ACTIONS(1518),
    [anon_sym_string] = ACTIONS(1518),
    [anon_sym_symbol] = ACTIONS(1518),
    [anon_sym_object] = ACTIONS(1518),
    [sym_html_comment] = ACTIONS(5),
  },
  [682] = {
    [sym_import] = STATE(4369),
    [sym_parenthesized_expression] = STATE(2175),
    [sym_expression] = STATE(2598),
    [sym_primary_expression] = STATE(2990),
    [sym_yield_expression] = STATE(3139),
    [sym_object] = STATE(3113),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(3113),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(3139),
    [sym_glimmer_opening_tag] = STATE(5702),
    [sym_jsx_element] = STATE(3139),
    [sym_jsx_opening_element] = STATE(4008),
    [sym_jsx_self_closing_element] = STATE(3139),
    [sym_class] = STATE(3113),
    [sym_function_expression] = STATE(3113),
    [sym_generator_function] = STATE(3113),
    [sym_arrow_function] = STATE(3113),
    [sym__call_signature] = STATE(7205),
    [sym_call_expression] = STATE(3113),
    [sym_new_expression] = STATE(3139),
    [sym_await_expression] = STATE(3139),
    [sym_member_expression] = STATE(2175),
    [sym_subscript_expression] = STATE(2175),
    [sym_assignment_expression] = STATE(3139),
    [sym__augmented_assignment_lhs] = STATE(3844),
    [sym_augmented_assignment_expression] = STATE(3139),
    [sym__destructuring_pattern] = STATE(7209),
    [sym_ternary_expression] = STATE(3139),
    [sym_binary_expression] = STATE(3139),
    [sym_unary_expression] = STATE(3139),
    [sym_update_expression] = STATE(3139),
    [sym_string] = STATE(3113),
    [sym_comment] = STATE(682),
    [sym_template_string] = STATE(3113),
    [sym_regex] = STATE(3113),
    [sym_meta_property] = STATE(3113),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2175),
    [sym_as_expression] = STATE(3139),
    [sym_satisfies_expression] = STATE(3139),
    [sym_instantiation_expression] = STATE(3139),
    [sym_internal_module] = STATE(3139),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5555),
    [sym_identifier] = ACTIONS(1736),
    [anon_sym_export] = ACTIONS(1518),
    [anon_sym_type] = ACTIONS(1518),
    [anon_sym_namespace] = ACTIONS(1520),
    [anon_sym_LBRACE] = ACTIONS(1020),
    [anon_sym_typeof] = ACTIONS(1526),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1518),
    [anon_sym_BANG] = ACTIONS(1526),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1528),
    [anon_sym_yield] = ACTIONS(1530),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1029),
    [anon_sym_async] = ACTIONS(1534),
    [anon_sym_function] = ACTIONS(1033),
    [anon_sym_new] = ACTIONS(1740),
    [anon_sym_using] = ACTIONS(1538),
    [anon_sym_PLUS] = ACTIONS(1526),
    [anon_sym_DASH] = ACTIONS(1526),
    [anon_sym_SLASH] = ACTIONS(1195),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1526),
    [anon_sym_void] = ACTIONS(1526),
    [anon_sym_delete] = ACTIONS(1526),
    [anon_sym_PLUS_PLUS] = ACTIONS(1544),
    [anon_sym_DASH_DASH] = ACTIONS(1544),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1550),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1742),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1518),
    [anon_sym_readonly] = ACTIONS(1518),
    [anon_sym_get] = ACTIONS(1518),
    [anon_sym_set] = ACTIONS(1518),
    [anon_sym_declare] = ACTIONS(1518),
    [anon_sym_public] = ACTIONS(1518),
    [anon_sym_private] = ACTIONS(1518),
    [anon_sym_protected] = ACTIONS(1518),
    [anon_sym_override] = ACTIONS(1518),
    [anon_sym_module] = ACTIONS(1518),
    [anon_sym_any] = ACTIONS(1518),
    [anon_sym_number] = ACTIONS(1518),
    [anon_sym_boolean] = ACTIONS(1518),
    [anon_sym_string] = ACTIONS(1518),
    [anon_sym_symbol] = ACTIONS(1518),
    [anon_sym_object] = ACTIONS(1518),
    [sym_html_comment] = ACTIONS(5),
  },
  [683] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2048),
    [sym_expression] = STATE(3365),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7260),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2048),
    [sym_subscript_expression] = STATE(2048),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3878),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7646),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(683),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2048),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1095),
    [anon_sym_export] = ACTIONS(1097),
    [anon_sym_type] = ACTIONS(1097),
    [anon_sym_namespace] = ACTIONS(1099),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(174),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1097),
    [anon_sym_BANG] = ACTIONS(174),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1109),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1111),
    [anon_sym_using] = ACTIONS(157),
    [anon_sym_PLUS] = ACTIONS(174),
    [anon_sym_DASH] = ACTIONS(174),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(174),
    [anon_sym_void] = ACTIONS(174),
    [anon_sym_delete] = ACTIONS(174),
    [anon_sym_PLUS_PLUS] = ACTIONS(1039),
    [anon_sym_DASH_DASH] = ACTIONS(1039),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(185),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1115),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1097),
    [anon_sym_readonly] = ACTIONS(1097),
    [anon_sym_get] = ACTIONS(1097),
    [anon_sym_set] = ACTIONS(1097),
    [anon_sym_declare] = ACTIONS(1097),
    [anon_sym_public] = ACTIONS(1097),
    [anon_sym_private] = ACTIONS(1097),
    [anon_sym_protected] = ACTIONS(1097),
    [anon_sym_override] = ACTIONS(1097),
    [anon_sym_module] = ACTIONS(1097),
    [anon_sym_any] = ACTIONS(1097),
    [anon_sym_number] = ACTIONS(1097),
    [anon_sym_boolean] = ACTIONS(1097),
    [anon_sym_string] = ACTIONS(1097),
    [anon_sym_symbol] = ACTIONS(1097),
    [anon_sym_object] = ACTIONS(1097),
    [sym_html_comment] = ACTIONS(5),
  },
  [684] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2048),
    [sym_expression] = STATE(3366),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7260),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2048),
    [sym_subscript_expression] = STATE(2048),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3878),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7646),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(684),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2048),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1095),
    [anon_sym_export] = ACTIONS(1097),
    [anon_sym_type] = ACTIONS(1097),
    [anon_sym_namespace] = ACTIONS(1099),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(174),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1097),
    [anon_sym_BANG] = ACTIONS(174),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1109),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1111),
    [anon_sym_using] = ACTIONS(157),
    [anon_sym_PLUS] = ACTIONS(174),
    [anon_sym_DASH] = ACTIONS(174),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(174),
    [anon_sym_void] = ACTIONS(174),
    [anon_sym_delete] = ACTIONS(174),
    [anon_sym_PLUS_PLUS] = ACTIONS(1039),
    [anon_sym_DASH_DASH] = ACTIONS(1039),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(185),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1115),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1097),
    [anon_sym_readonly] = ACTIONS(1097),
    [anon_sym_get] = ACTIONS(1097),
    [anon_sym_set] = ACTIONS(1097),
    [anon_sym_declare] = ACTIONS(1097),
    [anon_sym_public] = ACTIONS(1097),
    [anon_sym_private] = ACTIONS(1097),
    [anon_sym_protected] = ACTIONS(1097),
    [anon_sym_override] = ACTIONS(1097),
    [anon_sym_module] = ACTIONS(1097),
    [anon_sym_any] = ACTIONS(1097),
    [anon_sym_number] = ACTIONS(1097),
    [anon_sym_boolean] = ACTIONS(1097),
    [anon_sym_string] = ACTIONS(1097),
    [anon_sym_symbol] = ACTIONS(1097),
    [anon_sym_object] = ACTIONS(1097),
    [sym_html_comment] = ACTIONS(5),
  },
  [685] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2048),
    [sym_expression] = STATE(3373),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7260),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2048),
    [sym_subscript_expression] = STATE(2048),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3878),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7646),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(685),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2048),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1095),
    [anon_sym_export] = ACTIONS(1097),
    [anon_sym_type] = ACTIONS(1097),
    [anon_sym_namespace] = ACTIONS(1099),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(174),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1097),
    [anon_sym_BANG] = ACTIONS(174),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1109),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1111),
    [anon_sym_using] = ACTIONS(157),
    [anon_sym_PLUS] = ACTIONS(174),
    [anon_sym_DASH] = ACTIONS(174),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(174),
    [anon_sym_void] = ACTIONS(174),
    [anon_sym_delete] = ACTIONS(174),
    [anon_sym_PLUS_PLUS] = ACTIONS(1039),
    [anon_sym_DASH_DASH] = ACTIONS(1039),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(2557),
    [sym_private_property_identifier] = ACTIONS(185),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1115),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1097),
    [anon_sym_readonly] = ACTIONS(1097),
    [anon_sym_get] = ACTIONS(1097),
    [anon_sym_set] = ACTIONS(1097),
    [anon_sym_declare] = ACTIONS(1097),
    [anon_sym_public] = ACTIONS(1097),
    [anon_sym_private] = ACTIONS(1097),
    [anon_sym_protected] = ACTIONS(1097),
    [anon_sym_override] = ACTIONS(1097),
    [anon_sym_module] = ACTIONS(1097),
    [anon_sym_any] = ACTIONS(1097),
    [anon_sym_number] = ACTIONS(1097),
    [anon_sym_boolean] = ACTIONS(1097),
    [anon_sym_string] = ACTIONS(1097),
    [anon_sym_symbol] = ACTIONS(1097),
    [anon_sym_object] = ACTIONS(1097),
    [sym_html_comment] = ACTIONS(5),
  },
  [686] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2048),
    [sym_expression] = STATE(3370),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7260),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2048),
    [sym_subscript_expression] = STATE(2048),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3878),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7646),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(686),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2048),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1095),
    [anon_sym_export] = ACTIONS(1097),
    [anon_sym_type] = ACTIONS(1097),
    [anon_sym_namespace] = ACTIONS(1099),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(174),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1097),
    [anon_sym_BANG] = ACTIONS(174),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1109),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1111),
    [anon_sym_using] = ACTIONS(157),
    [anon_sym_PLUS] = ACTIONS(174),
    [anon_sym_DASH] = ACTIONS(174),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(174),
    [anon_sym_void] = ACTIONS(174),
    [anon_sym_delete] = ACTIONS(174),
    [anon_sym_PLUS_PLUS] = ACTIONS(1039),
    [anon_sym_DASH_DASH] = ACTIONS(1039),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(185),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1115),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1097),
    [anon_sym_readonly] = ACTIONS(1097),
    [anon_sym_get] = ACTIONS(1097),
    [anon_sym_set] = ACTIONS(1097),
    [anon_sym_declare] = ACTIONS(1097),
    [anon_sym_public] = ACTIONS(1097),
    [anon_sym_private] = ACTIONS(1097),
    [anon_sym_protected] = ACTIONS(1097),
    [anon_sym_override] = ACTIONS(1097),
    [anon_sym_module] = ACTIONS(1097),
    [anon_sym_any] = ACTIONS(1097),
    [anon_sym_number] = ACTIONS(1097),
    [anon_sym_boolean] = ACTIONS(1097),
    [anon_sym_string] = ACTIONS(1097),
    [anon_sym_symbol] = ACTIONS(1097),
    [anon_sym_object] = ACTIONS(1097),
    [sym_html_comment] = ACTIONS(5),
  },
  [687] = {
    [sym_import] = STATE(4369),
    [sym_parenthesized_expression] = STATE(2177),
    [sym_expression] = STATE(2551),
    [sym_primary_expression] = STATE(2990),
    [sym_yield_expression] = STATE(3139),
    [sym_object] = STATE(3113),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(3113),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(3139),
    [sym_glimmer_opening_tag] = STATE(5702),
    [sym_jsx_element] = STATE(3139),
    [sym_jsx_opening_element] = STATE(4008),
    [sym_jsx_self_closing_element] = STATE(3139),
    [sym_class] = STATE(3113),
    [sym_function_expression] = STATE(3113),
    [sym_generator_function] = STATE(3113),
    [sym_arrow_function] = STATE(3113),
    [sym__call_signature] = STATE(7486),
    [sym_call_expression] = STATE(3113),
    [sym_new_expression] = STATE(3139),
    [sym_await_expression] = STATE(3139),
    [sym_member_expression] = STATE(2177),
    [sym_subscript_expression] = STATE(2177),
    [sym_assignment_expression] = STATE(3139),
    [sym__augmented_assignment_lhs] = STATE(3835),
    [sym_augmented_assignment_expression] = STATE(3139),
    [sym__destructuring_pattern] = STATE(7484),
    [sym_ternary_expression] = STATE(3139),
    [sym_binary_expression] = STATE(3139),
    [sym_unary_expression] = STATE(3139),
    [sym_update_expression] = STATE(3139),
    [sym_string] = STATE(3113),
    [sym_comment] = STATE(687),
    [sym_template_string] = STATE(3113),
    [sym_regex] = STATE(3113),
    [sym_meta_property] = STATE(3113),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2177),
    [sym_as_expression] = STATE(3139),
    [sym_satisfies_expression] = STATE(3139),
    [sym_instantiation_expression] = STATE(3139),
    [sym_internal_module] = STATE(3139),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5555),
    [sym_identifier] = ACTIONS(1744),
    [anon_sym_export] = ACTIONS(1596),
    [anon_sym_type] = ACTIONS(1596),
    [anon_sym_namespace] = ACTIONS(1598),
    [anon_sym_LBRACE] = ACTIONS(1020),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1596),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1029),
    [anon_sym_async] = ACTIONS(1602),
    [anon_sym_function] = ACTIONS(1033),
    [anon_sym_new] = ACTIONS(1748),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1596),
    [anon_sym_readonly] = ACTIONS(1596),
    [anon_sym_get] = ACTIONS(1596),
    [anon_sym_set] = ACTIONS(1596),
    [anon_sym_declare] = ACTIONS(1596),
    [anon_sym_public] = ACTIONS(1596),
    [anon_sym_private] = ACTIONS(1596),
    [anon_sym_protected] = ACTIONS(1596),
    [anon_sym_override] = ACTIONS(1596),
    [anon_sym_module] = ACTIONS(1596),
    [anon_sym_any] = ACTIONS(1596),
    [anon_sym_number] = ACTIONS(1596),
    [anon_sym_boolean] = ACTIONS(1596),
    [anon_sym_string] = ACTIONS(1596),
    [anon_sym_symbol] = ACTIONS(1596),
    [anon_sym_object] = ACTIONS(1596),
    [sym_html_comment] = ACTIONS(5),
  },
  [688] = {
    [sym_import] = STATE(4369),
    [sym_parenthesized_expression] = STATE(2175),
    [sym_expression] = STATE(2599),
    [sym_primary_expression] = STATE(2990),
    [sym_yield_expression] = STATE(3139),
    [sym_object] = STATE(3113),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(3113),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(3139),
    [sym_glimmer_opening_tag] = STATE(5702),
    [sym_jsx_element] = STATE(3139),
    [sym_jsx_opening_element] = STATE(4008),
    [sym_jsx_self_closing_element] = STATE(3139),
    [sym_class] = STATE(3113),
    [sym_function_expression] = STATE(3113),
    [sym_generator_function] = STATE(3113),
    [sym_arrow_function] = STATE(3113),
    [sym__call_signature] = STATE(7205),
    [sym_call_expression] = STATE(3113),
    [sym_new_expression] = STATE(3139),
    [sym_await_expression] = STATE(3139),
    [sym_member_expression] = STATE(2175),
    [sym_subscript_expression] = STATE(2175),
    [sym_assignment_expression] = STATE(3139),
    [sym__augmented_assignment_lhs] = STATE(3844),
    [sym_augmented_assignment_expression] = STATE(3139),
    [sym__destructuring_pattern] = STATE(7209),
    [sym_ternary_expression] = STATE(3139),
    [sym_binary_expression] = STATE(3139),
    [sym_unary_expression] = STATE(3139),
    [sym_update_expression] = STATE(3139),
    [sym_string] = STATE(3113),
    [sym_comment] = STATE(688),
    [sym_template_string] = STATE(3113),
    [sym_regex] = STATE(3113),
    [sym_meta_property] = STATE(3113),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2175),
    [sym_as_expression] = STATE(3139),
    [sym_satisfies_expression] = STATE(3139),
    [sym_instantiation_expression] = STATE(3139),
    [sym_internal_module] = STATE(3139),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5555),
    [sym_identifier] = ACTIONS(1736),
    [anon_sym_export] = ACTIONS(1518),
    [anon_sym_type] = ACTIONS(1518),
    [anon_sym_namespace] = ACTIONS(1520),
    [anon_sym_LBRACE] = ACTIONS(1020),
    [anon_sym_typeof] = ACTIONS(1526),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1518),
    [anon_sym_BANG] = ACTIONS(1526),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1528),
    [anon_sym_yield] = ACTIONS(1530),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1029),
    [anon_sym_async] = ACTIONS(1534),
    [anon_sym_function] = ACTIONS(1033),
    [anon_sym_new] = ACTIONS(1740),
    [anon_sym_using] = ACTIONS(1538),
    [anon_sym_PLUS] = ACTIONS(1526),
    [anon_sym_DASH] = ACTIONS(1526),
    [anon_sym_SLASH] = ACTIONS(1195),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1526),
    [anon_sym_void] = ACTIONS(1526),
    [anon_sym_delete] = ACTIONS(1526),
    [anon_sym_PLUS_PLUS] = ACTIONS(1544),
    [anon_sym_DASH_DASH] = ACTIONS(1544),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1550),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1742),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1518),
    [anon_sym_readonly] = ACTIONS(1518),
    [anon_sym_get] = ACTIONS(1518),
    [anon_sym_set] = ACTIONS(1518),
    [anon_sym_declare] = ACTIONS(1518),
    [anon_sym_public] = ACTIONS(1518),
    [anon_sym_private] = ACTIONS(1518),
    [anon_sym_protected] = ACTIONS(1518),
    [anon_sym_override] = ACTIONS(1518),
    [anon_sym_module] = ACTIONS(1518),
    [anon_sym_any] = ACTIONS(1518),
    [anon_sym_number] = ACTIONS(1518),
    [anon_sym_boolean] = ACTIONS(1518),
    [anon_sym_string] = ACTIONS(1518),
    [anon_sym_symbol] = ACTIONS(1518),
    [anon_sym_object] = ACTIONS(1518),
    [sym_html_comment] = ACTIONS(5),
  },
  [689] = {
    [sym_import] = STATE(4369),
    [sym_parenthesized_expression] = STATE(2175),
    [sym_expression] = STATE(2600),
    [sym_primary_expression] = STATE(2990),
    [sym_yield_expression] = STATE(3139),
    [sym_object] = STATE(3113),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(3113),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(3139),
    [sym_glimmer_opening_tag] = STATE(5702),
    [sym_jsx_element] = STATE(3139),
    [sym_jsx_opening_element] = STATE(4008),
    [sym_jsx_self_closing_element] = STATE(3139),
    [sym_class] = STATE(3113),
    [sym_function_expression] = STATE(3113),
    [sym_generator_function] = STATE(3113),
    [sym_arrow_function] = STATE(3113),
    [sym__call_signature] = STATE(7205),
    [sym_call_expression] = STATE(3113),
    [sym_new_expression] = STATE(3139),
    [sym_await_expression] = STATE(3139),
    [sym_member_expression] = STATE(2175),
    [sym_subscript_expression] = STATE(2175),
    [sym_assignment_expression] = STATE(3139),
    [sym__augmented_assignment_lhs] = STATE(3844),
    [sym_augmented_assignment_expression] = STATE(3139),
    [sym__destructuring_pattern] = STATE(7209),
    [sym_ternary_expression] = STATE(3139),
    [sym_binary_expression] = STATE(3139),
    [sym_unary_expression] = STATE(3139),
    [sym_update_expression] = STATE(3139),
    [sym_string] = STATE(3113),
    [sym_comment] = STATE(689),
    [sym_template_string] = STATE(3113),
    [sym_regex] = STATE(3113),
    [sym_meta_property] = STATE(3113),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2175),
    [sym_as_expression] = STATE(3139),
    [sym_satisfies_expression] = STATE(3139),
    [sym_instantiation_expression] = STATE(3139),
    [sym_internal_module] = STATE(3139),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5555),
    [sym_identifier] = ACTIONS(1736),
    [anon_sym_export] = ACTIONS(1518),
    [anon_sym_type] = ACTIONS(1518),
    [anon_sym_namespace] = ACTIONS(1520),
    [anon_sym_LBRACE] = ACTIONS(1020),
    [anon_sym_typeof] = ACTIONS(1526),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1518),
    [anon_sym_BANG] = ACTIONS(1526),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1528),
    [anon_sym_yield] = ACTIONS(1530),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1029),
    [anon_sym_async] = ACTIONS(1534),
    [anon_sym_function] = ACTIONS(1033),
    [anon_sym_new] = ACTIONS(1740),
    [anon_sym_using] = ACTIONS(1538),
    [anon_sym_PLUS] = ACTIONS(1526),
    [anon_sym_DASH] = ACTIONS(1526),
    [anon_sym_SLASH] = ACTIONS(1195),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1526),
    [anon_sym_void] = ACTIONS(1526),
    [anon_sym_delete] = ACTIONS(1526),
    [anon_sym_PLUS_PLUS] = ACTIONS(1544),
    [anon_sym_DASH_DASH] = ACTIONS(1544),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1550),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1742),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1518),
    [anon_sym_readonly] = ACTIONS(1518),
    [anon_sym_get] = ACTIONS(1518),
    [anon_sym_set] = ACTIONS(1518),
    [anon_sym_declare] = ACTIONS(1518),
    [anon_sym_public] = ACTIONS(1518),
    [anon_sym_private] = ACTIONS(1518),
    [anon_sym_protected] = ACTIONS(1518),
    [anon_sym_override] = ACTIONS(1518),
    [anon_sym_module] = ACTIONS(1518),
    [anon_sym_any] = ACTIONS(1518),
    [anon_sym_number] = ACTIONS(1518),
    [anon_sym_boolean] = ACTIONS(1518),
    [anon_sym_string] = ACTIONS(1518),
    [anon_sym_symbol] = ACTIONS(1518),
    [anon_sym_object] = ACTIONS(1518),
    [sym_html_comment] = ACTIONS(5),
  },
  [690] = {
    [sym_import] = STATE(4369),
    [sym_parenthesized_expression] = STATE(2175),
    [sym_expression] = STATE(2601),
    [sym_primary_expression] = STATE(2990),
    [sym_yield_expression] = STATE(3139),
    [sym_object] = STATE(3113),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(3113),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(3139),
    [sym_glimmer_opening_tag] = STATE(5702),
    [sym_jsx_element] = STATE(3139),
    [sym_jsx_opening_element] = STATE(4008),
    [sym_jsx_self_closing_element] = STATE(3139),
    [sym_class] = STATE(3113),
    [sym_function_expression] = STATE(3113),
    [sym_generator_function] = STATE(3113),
    [sym_arrow_function] = STATE(3113),
    [sym__call_signature] = STATE(7205),
    [sym_call_expression] = STATE(3113),
    [sym_new_expression] = STATE(3139),
    [sym_await_expression] = STATE(3139),
    [sym_member_expression] = STATE(2175),
    [sym_subscript_expression] = STATE(2175),
    [sym_assignment_expression] = STATE(3139),
    [sym__augmented_assignment_lhs] = STATE(3844),
    [sym_augmented_assignment_expression] = STATE(3139),
    [sym__destructuring_pattern] = STATE(7209),
    [sym_ternary_expression] = STATE(3139),
    [sym_binary_expression] = STATE(3139),
    [sym_unary_expression] = STATE(3139),
    [sym_update_expression] = STATE(3139),
    [sym_string] = STATE(3113),
    [sym_comment] = STATE(690),
    [sym_template_string] = STATE(3113),
    [sym_regex] = STATE(3113),
    [sym_meta_property] = STATE(3113),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2175),
    [sym_as_expression] = STATE(3139),
    [sym_satisfies_expression] = STATE(3139),
    [sym_instantiation_expression] = STATE(3139),
    [sym_internal_module] = STATE(3139),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5555),
    [sym_identifier] = ACTIONS(1736),
    [anon_sym_export] = ACTIONS(1518),
    [anon_sym_type] = ACTIONS(1518),
    [anon_sym_namespace] = ACTIONS(1520),
    [anon_sym_LBRACE] = ACTIONS(1020),
    [anon_sym_typeof] = ACTIONS(1526),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1518),
    [anon_sym_BANG] = ACTIONS(1526),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1528),
    [anon_sym_yield] = ACTIONS(1530),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1029),
    [anon_sym_async] = ACTIONS(1534),
    [anon_sym_function] = ACTIONS(1033),
    [anon_sym_new] = ACTIONS(1740),
    [anon_sym_using] = ACTIONS(1538),
    [anon_sym_PLUS] = ACTIONS(1526),
    [anon_sym_DASH] = ACTIONS(1526),
    [anon_sym_SLASH] = ACTIONS(1195),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1526),
    [anon_sym_void] = ACTIONS(1526),
    [anon_sym_delete] = ACTIONS(1526),
    [anon_sym_PLUS_PLUS] = ACTIONS(1544),
    [anon_sym_DASH_DASH] = ACTIONS(1544),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1550),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1742),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1518),
    [anon_sym_readonly] = ACTIONS(1518),
    [anon_sym_get] = ACTIONS(1518),
    [anon_sym_set] = ACTIONS(1518),
    [anon_sym_declare] = ACTIONS(1518),
    [anon_sym_public] = ACTIONS(1518),
    [anon_sym_private] = ACTIONS(1518),
    [anon_sym_protected] = ACTIONS(1518),
    [anon_sym_override] = ACTIONS(1518),
    [anon_sym_module] = ACTIONS(1518),
    [anon_sym_any] = ACTIONS(1518),
    [anon_sym_number] = ACTIONS(1518),
    [anon_sym_boolean] = ACTIONS(1518),
    [anon_sym_string] = ACTIONS(1518),
    [anon_sym_symbol] = ACTIONS(1518),
    [anon_sym_object] = ACTIONS(1518),
    [sym_html_comment] = ACTIONS(5),
  },
  [691] = {
    [sym_import] = STATE(4369),
    [sym_parenthesized_expression] = STATE(2175),
    [sym_expression] = STATE(2602),
    [sym_primary_expression] = STATE(2990),
    [sym_yield_expression] = STATE(3139),
    [sym_object] = STATE(3113),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(3113),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(3139),
    [sym_glimmer_opening_tag] = STATE(5702),
    [sym_jsx_element] = STATE(3139),
    [sym_jsx_opening_element] = STATE(4008),
    [sym_jsx_self_closing_element] = STATE(3139),
    [sym_class] = STATE(3113),
    [sym_function_expression] = STATE(3113),
    [sym_generator_function] = STATE(3113),
    [sym_arrow_function] = STATE(3113),
    [sym__call_signature] = STATE(7205),
    [sym_call_expression] = STATE(3113),
    [sym_new_expression] = STATE(3139),
    [sym_await_expression] = STATE(3139),
    [sym_member_expression] = STATE(2175),
    [sym_subscript_expression] = STATE(2175),
    [sym_assignment_expression] = STATE(3139),
    [sym__augmented_assignment_lhs] = STATE(3844),
    [sym_augmented_assignment_expression] = STATE(3139),
    [sym__destructuring_pattern] = STATE(7209),
    [sym_ternary_expression] = STATE(3139),
    [sym_binary_expression] = STATE(3139),
    [sym_unary_expression] = STATE(3139),
    [sym_update_expression] = STATE(3139),
    [sym_string] = STATE(3113),
    [sym_comment] = STATE(691),
    [sym_template_string] = STATE(3113),
    [sym_regex] = STATE(3113),
    [sym_meta_property] = STATE(3113),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2175),
    [sym_as_expression] = STATE(3139),
    [sym_satisfies_expression] = STATE(3139),
    [sym_instantiation_expression] = STATE(3139),
    [sym_internal_module] = STATE(3139),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5555),
    [sym_identifier] = ACTIONS(1736),
    [anon_sym_export] = ACTIONS(1518),
    [anon_sym_type] = ACTIONS(1518),
    [anon_sym_namespace] = ACTIONS(1520),
    [anon_sym_LBRACE] = ACTIONS(1020),
    [anon_sym_typeof] = ACTIONS(1526),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1518),
    [anon_sym_BANG] = ACTIONS(1526),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1528),
    [anon_sym_yield] = ACTIONS(1530),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1029),
    [anon_sym_async] = ACTIONS(1534),
    [anon_sym_function] = ACTIONS(1033),
    [anon_sym_new] = ACTIONS(1740),
    [anon_sym_using] = ACTIONS(1538),
    [anon_sym_PLUS] = ACTIONS(1526),
    [anon_sym_DASH] = ACTIONS(1526),
    [anon_sym_SLASH] = ACTIONS(1195),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1526),
    [anon_sym_void] = ACTIONS(1526),
    [anon_sym_delete] = ACTIONS(1526),
    [anon_sym_PLUS_PLUS] = ACTIONS(1544),
    [anon_sym_DASH_DASH] = ACTIONS(1544),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1550),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1742),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1518),
    [anon_sym_readonly] = ACTIONS(1518),
    [anon_sym_get] = ACTIONS(1518),
    [anon_sym_set] = ACTIONS(1518),
    [anon_sym_declare] = ACTIONS(1518),
    [anon_sym_public] = ACTIONS(1518),
    [anon_sym_private] = ACTIONS(1518),
    [anon_sym_protected] = ACTIONS(1518),
    [anon_sym_override] = ACTIONS(1518),
    [anon_sym_module] = ACTIONS(1518),
    [anon_sym_any] = ACTIONS(1518),
    [anon_sym_number] = ACTIONS(1518),
    [anon_sym_boolean] = ACTIONS(1518),
    [anon_sym_string] = ACTIONS(1518),
    [anon_sym_symbol] = ACTIONS(1518),
    [anon_sym_object] = ACTIONS(1518),
    [sym_html_comment] = ACTIONS(5),
  },
  [692] = {
    [sym_import] = STATE(4369),
    [sym_parenthesized_expression] = STATE(2175),
    [sym_expression] = STATE(2607),
    [sym_primary_expression] = STATE(2990),
    [sym_yield_expression] = STATE(3139),
    [sym_object] = STATE(3113),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(3113),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(3139),
    [sym_glimmer_opening_tag] = STATE(5702),
    [sym_jsx_element] = STATE(3139),
    [sym_jsx_opening_element] = STATE(4008),
    [sym_jsx_self_closing_element] = STATE(3139),
    [sym_class] = STATE(3113),
    [sym_function_expression] = STATE(3113),
    [sym_generator_function] = STATE(3113),
    [sym_arrow_function] = STATE(3113),
    [sym__call_signature] = STATE(7205),
    [sym_call_expression] = STATE(3113),
    [sym_new_expression] = STATE(3139),
    [sym_await_expression] = STATE(3139),
    [sym_member_expression] = STATE(2175),
    [sym_subscript_expression] = STATE(2175),
    [sym_assignment_expression] = STATE(3139),
    [sym__augmented_assignment_lhs] = STATE(3844),
    [sym_augmented_assignment_expression] = STATE(3139),
    [sym__destructuring_pattern] = STATE(7209),
    [sym_ternary_expression] = STATE(3139),
    [sym_binary_expression] = STATE(3139),
    [sym_unary_expression] = STATE(3139),
    [sym_update_expression] = STATE(3139),
    [sym_string] = STATE(3113),
    [sym_comment] = STATE(692),
    [sym_template_string] = STATE(3113),
    [sym_regex] = STATE(3113),
    [sym_meta_property] = STATE(3113),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2175),
    [sym_as_expression] = STATE(3139),
    [sym_satisfies_expression] = STATE(3139),
    [sym_instantiation_expression] = STATE(3139),
    [sym_internal_module] = STATE(3139),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5555),
    [sym_identifier] = ACTIONS(1736),
    [anon_sym_export] = ACTIONS(1518),
    [anon_sym_type] = ACTIONS(1518),
    [anon_sym_namespace] = ACTIONS(1520),
    [anon_sym_LBRACE] = ACTIONS(1020),
    [anon_sym_typeof] = ACTIONS(1526),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1518),
    [anon_sym_BANG] = ACTIONS(1526),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1528),
    [anon_sym_yield] = ACTIONS(1530),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1029),
    [anon_sym_async] = ACTIONS(1534),
    [anon_sym_function] = ACTIONS(1033),
    [anon_sym_new] = ACTIONS(1740),
    [anon_sym_using] = ACTIONS(1538),
    [anon_sym_PLUS] = ACTIONS(1526),
    [anon_sym_DASH] = ACTIONS(1526),
    [anon_sym_SLASH] = ACTIONS(1195),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1526),
    [anon_sym_void] = ACTIONS(1526),
    [anon_sym_delete] = ACTIONS(1526),
    [anon_sym_PLUS_PLUS] = ACTIONS(1544),
    [anon_sym_DASH_DASH] = ACTIONS(1544),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1550),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1742),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1518),
    [anon_sym_readonly] = ACTIONS(1518),
    [anon_sym_get] = ACTIONS(1518),
    [anon_sym_set] = ACTIONS(1518),
    [anon_sym_declare] = ACTIONS(1518),
    [anon_sym_public] = ACTIONS(1518),
    [anon_sym_private] = ACTIONS(1518),
    [anon_sym_protected] = ACTIONS(1518),
    [anon_sym_override] = ACTIONS(1518),
    [anon_sym_module] = ACTIONS(1518),
    [anon_sym_any] = ACTIONS(1518),
    [anon_sym_number] = ACTIONS(1518),
    [anon_sym_boolean] = ACTIONS(1518),
    [anon_sym_string] = ACTIONS(1518),
    [anon_sym_symbol] = ACTIONS(1518),
    [anon_sym_object] = ACTIONS(1518),
    [sym_html_comment] = ACTIONS(5),
  },
  [693] = {
    [sym_import] = STATE(4369),
    [sym_parenthesized_expression] = STATE(2177),
    [sym_expression] = STATE(2546),
    [sym_primary_expression] = STATE(2990),
    [sym_yield_expression] = STATE(3139),
    [sym_object] = STATE(3113),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(3113),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(3139),
    [sym_glimmer_opening_tag] = STATE(5702),
    [sym_jsx_element] = STATE(3139),
    [sym_jsx_opening_element] = STATE(4008),
    [sym_jsx_self_closing_element] = STATE(3139),
    [sym_class] = STATE(3113),
    [sym_function_expression] = STATE(3113),
    [sym_generator_function] = STATE(3113),
    [sym_arrow_function] = STATE(3113),
    [sym__call_signature] = STATE(7486),
    [sym_call_expression] = STATE(3113),
    [sym_new_expression] = STATE(3139),
    [sym_await_expression] = STATE(3139),
    [sym_member_expression] = STATE(2177),
    [sym_subscript_expression] = STATE(2177),
    [sym_assignment_expression] = STATE(3139),
    [sym__augmented_assignment_lhs] = STATE(3835),
    [sym_augmented_assignment_expression] = STATE(3139),
    [sym__destructuring_pattern] = STATE(7484),
    [sym_ternary_expression] = STATE(3139),
    [sym_binary_expression] = STATE(3139),
    [sym_unary_expression] = STATE(3139),
    [sym_update_expression] = STATE(3139),
    [sym_string] = STATE(3113),
    [sym_comment] = STATE(693),
    [sym_template_string] = STATE(3113),
    [sym_regex] = STATE(3113),
    [sym_meta_property] = STATE(3113),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2177),
    [sym_as_expression] = STATE(3139),
    [sym_satisfies_expression] = STATE(3139),
    [sym_instantiation_expression] = STATE(3139),
    [sym_internal_module] = STATE(3139),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5555),
    [sym_identifier] = ACTIONS(1744),
    [anon_sym_export] = ACTIONS(1596),
    [anon_sym_type] = ACTIONS(1596),
    [anon_sym_namespace] = ACTIONS(1598),
    [anon_sym_LBRACE] = ACTIONS(1020),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1596),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1029),
    [anon_sym_async] = ACTIONS(1602),
    [anon_sym_function] = ACTIONS(1033),
    [anon_sym_new] = ACTIONS(1748),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1596),
    [anon_sym_readonly] = ACTIONS(1596),
    [anon_sym_get] = ACTIONS(1596),
    [anon_sym_set] = ACTIONS(1596),
    [anon_sym_declare] = ACTIONS(1596),
    [anon_sym_public] = ACTIONS(1596),
    [anon_sym_private] = ACTIONS(1596),
    [anon_sym_protected] = ACTIONS(1596),
    [anon_sym_override] = ACTIONS(1596),
    [anon_sym_module] = ACTIONS(1596),
    [anon_sym_any] = ACTIONS(1596),
    [anon_sym_number] = ACTIONS(1596),
    [anon_sym_boolean] = ACTIONS(1596),
    [anon_sym_string] = ACTIONS(1596),
    [anon_sym_symbol] = ACTIONS(1596),
    [anon_sym_object] = ACTIONS(1596),
    [sym_html_comment] = ACTIONS(5),
  },
  [694] = {
    [sym_import] = STATE(4369),
    [sym_parenthesized_expression] = STATE(2177),
    [sym_expression] = STATE(2567),
    [sym_primary_expression] = STATE(2990),
    [sym_yield_expression] = STATE(3139),
    [sym_object] = STATE(3113),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(3113),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(3139),
    [sym_glimmer_opening_tag] = STATE(5702),
    [sym_jsx_element] = STATE(3139),
    [sym_jsx_opening_element] = STATE(4008),
    [sym_jsx_self_closing_element] = STATE(3139),
    [sym_class] = STATE(3113),
    [sym_function_expression] = STATE(3113),
    [sym_generator_function] = STATE(3113),
    [sym_arrow_function] = STATE(3113),
    [sym__call_signature] = STATE(7486),
    [sym_call_expression] = STATE(3113),
    [sym_new_expression] = STATE(3139),
    [sym_await_expression] = STATE(3139),
    [sym_member_expression] = STATE(2177),
    [sym_subscript_expression] = STATE(2177),
    [sym_assignment_expression] = STATE(3139),
    [sym__augmented_assignment_lhs] = STATE(3835),
    [sym_augmented_assignment_expression] = STATE(3139),
    [sym__destructuring_pattern] = STATE(7484),
    [sym_ternary_expression] = STATE(3139),
    [sym_binary_expression] = STATE(3139),
    [sym_unary_expression] = STATE(3139),
    [sym_update_expression] = STATE(3139),
    [sym_string] = STATE(3113),
    [sym_comment] = STATE(694),
    [sym_template_string] = STATE(3113),
    [sym_regex] = STATE(3113),
    [sym_meta_property] = STATE(3113),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2177),
    [sym_as_expression] = STATE(3139),
    [sym_satisfies_expression] = STATE(3139),
    [sym_instantiation_expression] = STATE(3139),
    [sym_internal_module] = STATE(3139),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5555),
    [sym_identifier] = ACTIONS(1744),
    [anon_sym_export] = ACTIONS(1596),
    [anon_sym_type] = ACTIONS(1596),
    [anon_sym_namespace] = ACTIONS(1598),
    [anon_sym_LBRACE] = ACTIONS(1020),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1596),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1029),
    [anon_sym_async] = ACTIONS(1602),
    [anon_sym_function] = ACTIONS(1033),
    [anon_sym_new] = ACTIONS(1748),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1596),
    [anon_sym_readonly] = ACTIONS(1596),
    [anon_sym_get] = ACTIONS(1596),
    [anon_sym_set] = ACTIONS(1596),
    [anon_sym_declare] = ACTIONS(1596),
    [anon_sym_public] = ACTIONS(1596),
    [anon_sym_private] = ACTIONS(1596),
    [anon_sym_protected] = ACTIONS(1596),
    [anon_sym_override] = ACTIONS(1596),
    [anon_sym_module] = ACTIONS(1596),
    [anon_sym_any] = ACTIONS(1596),
    [anon_sym_number] = ACTIONS(1596),
    [anon_sym_boolean] = ACTIONS(1596),
    [anon_sym_string] = ACTIONS(1596),
    [anon_sym_symbol] = ACTIONS(1596),
    [anon_sym_object] = ACTIONS(1596),
    [sym_html_comment] = ACTIONS(5),
  },
  [695] = {
    [sym_import] = STATE(4369),
    [sym_parenthesized_expression] = STATE(2175),
    [sym_expression] = STATE(2608),
    [sym_primary_expression] = STATE(2990),
    [sym_yield_expression] = STATE(3139),
    [sym_object] = STATE(3113),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(3113),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(3139),
    [sym_glimmer_opening_tag] = STATE(5702),
    [sym_jsx_element] = STATE(3139),
    [sym_jsx_opening_element] = STATE(4008),
    [sym_jsx_self_closing_element] = STATE(3139),
    [sym_class] = STATE(3113),
    [sym_function_expression] = STATE(3113),
    [sym_generator_function] = STATE(3113),
    [sym_arrow_function] = STATE(3113),
    [sym__call_signature] = STATE(7205),
    [sym_call_expression] = STATE(3113),
    [sym_new_expression] = STATE(3139),
    [sym_await_expression] = STATE(3139),
    [sym_member_expression] = STATE(2175),
    [sym_subscript_expression] = STATE(2175),
    [sym_assignment_expression] = STATE(3139),
    [sym__augmented_assignment_lhs] = STATE(3844),
    [sym_augmented_assignment_expression] = STATE(3139),
    [sym__destructuring_pattern] = STATE(7209),
    [sym_ternary_expression] = STATE(3139),
    [sym_binary_expression] = STATE(3139),
    [sym_unary_expression] = STATE(3139),
    [sym_update_expression] = STATE(3139),
    [sym_string] = STATE(3113),
    [sym_comment] = STATE(695),
    [sym_template_string] = STATE(3113),
    [sym_regex] = STATE(3113),
    [sym_meta_property] = STATE(3113),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2175),
    [sym_as_expression] = STATE(3139),
    [sym_satisfies_expression] = STATE(3139),
    [sym_instantiation_expression] = STATE(3139),
    [sym_internal_module] = STATE(3139),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5555),
    [sym_identifier] = ACTIONS(1736),
    [anon_sym_export] = ACTIONS(1518),
    [anon_sym_type] = ACTIONS(1518),
    [anon_sym_namespace] = ACTIONS(1520),
    [anon_sym_LBRACE] = ACTIONS(1020),
    [anon_sym_typeof] = ACTIONS(1526),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1518),
    [anon_sym_BANG] = ACTIONS(1526),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1528),
    [anon_sym_yield] = ACTIONS(1530),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1029),
    [anon_sym_async] = ACTIONS(1534),
    [anon_sym_function] = ACTIONS(1033),
    [anon_sym_new] = ACTIONS(1740),
    [anon_sym_using] = ACTIONS(1538),
    [anon_sym_PLUS] = ACTIONS(1526),
    [anon_sym_DASH] = ACTIONS(1526),
    [anon_sym_SLASH] = ACTIONS(1195),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1526),
    [anon_sym_void] = ACTIONS(1526),
    [anon_sym_delete] = ACTIONS(1526),
    [anon_sym_PLUS_PLUS] = ACTIONS(1544),
    [anon_sym_DASH_DASH] = ACTIONS(1544),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1550),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1742),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1518),
    [anon_sym_readonly] = ACTIONS(1518),
    [anon_sym_get] = ACTIONS(1518),
    [anon_sym_set] = ACTIONS(1518),
    [anon_sym_declare] = ACTIONS(1518),
    [anon_sym_public] = ACTIONS(1518),
    [anon_sym_private] = ACTIONS(1518),
    [anon_sym_protected] = ACTIONS(1518),
    [anon_sym_override] = ACTIONS(1518),
    [anon_sym_module] = ACTIONS(1518),
    [anon_sym_any] = ACTIONS(1518),
    [anon_sym_number] = ACTIONS(1518),
    [anon_sym_boolean] = ACTIONS(1518),
    [anon_sym_string] = ACTIONS(1518),
    [anon_sym_symbol] = ACTIONS(1518),
    [anon_sym_object] = ACTIONS(1518),
    [sym_html_comment] = ACTIONS(5),
  },
  [696] = {
    [sym_import] = STATE(4369),
    [sym_parenthesized_expression] = STATE(2175),
    [sym_expression] = STATE(2609),
    [sym_primary_expression] = STATE(2990),
    [sym_yield_expression] = STATE(3139),
    [sym_object] = STATE(3113),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(3113),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(3139),
    [sym_glimmer_opening_tag] = STATE(5702),
    [sym_jsx_element] = STATE(3139),
    [sym_jsx_opening_element] = STATE(4008),
    [sym_jsx_self_closing_element] = STATE(3139),
    [sym_class] = STATE(3113),
    [sym_function_expression] = STATE(3113),
    [sym_generator_function] = STATE(3113),
    [sym_arrow_function] = STATE(3113),
    [sym__call_signature] = STATE(7205),
    [sym_call_expression] = STATE(3113),
    [sym_new_expression] = STATE(3139),
    [sym_await_expression] = STATE(3139),
    [sym_member_expression] = STATE(2175),
    [sym_subscript_expression] = STATE(2175),
    [sym_assignment_expression] = STATE(3139),
    [sym__augmented_assignment_lhs] = STATE(3844),
    [sym_augmented_assignment_expression] = STATE(3139),
    [sym__destructuring_pattern] = STATE(7209),
    [sym_ternary_expression] = STATE(3139),
    [sym_binary_expression] = STATE(3139),
    [sym_unary_expression] = STATE(3139),
    [sym_update_expression] = STATE(3139),
    [sym_string] = STATE(3113),
    [sym_comment] = STATE(696),
    [sym_template_string] = STATE(3113),
    [sym_regex] = STATE(3113),
    [sym_meta_property] = STATE(3113),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2175),
    [sym_as_expression] = STATE(3139),
    [sym_satisfies_expression] = STATE(3139),
    [sym_instantiation_expression] = STATE(3139),
    [sym_internal_module] = STATE(3139),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5555),
    [sym_identifier] = ACTIONS(1736),
    [anon_sym_export] = ACTIONS(1518),
    [anon_sym_type] = ACTIONS(1518),
    [anon_sym_namespace] = ACTIONS(1520),
    [anon_sym_LBRACE] = ACTIONS(1020),
    [anon_sym_typeof] = ACTIONS(1526),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1518),
    [anon_sym_BANG] = ACTIONS(1526),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1528),
    [anon_sym_yield] = ACTIONS(1530),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1029),
    [anon_sym_async] = ACTIONS(1534),
    [anon_sym_function] = ACTIONS(1033),
    [anon_sym_new] = ACTIONS(1740),
    [anon_sym_using] = ACTIONS(1538),
    [anon_sym_PLUS] = ACTIONS(1526),
    [anon_sym_DASH] = ACTIONS(1526),
    [anon_sym_SLASH] = ACTIONS(1195),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1526),
    [anon_sym_void] = ACTIONS(1526),
    [anon_sym_delete] = ACTIONS(1526),
    [anon_sym_PLUS_PLUS] = ACTIONS(1544),
    [anon_sym_DASH_DASH] = ACTIONS(1544),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1550),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1742),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1518),
    [anon_sym_readonly] = ACTIONS(1518),
    [anon_sym_get] = ACTIONS(1518),
    [anon_sym_set] = ACTIONS(1518),
    [anon_sym_declare] = ACTIONS(1518),
    [anon_sym_public] = ACTIONS(1518),
    [anon_sym_private] = ACTIONS(1518),
    [anon_sym_protected] = ACTIONS(1518),
    [anon_sym_override] = ACTIONS(1518),
    [anon_sym_module] = ACTIONS(1518),
    [anon_sym_any] = ACTIONS(1518),
    [anon_sym_number] = ACTIONS(1518),
    [anon_sym_boolean] = ACTIONS(1518),
    [anon_sym_string] = ACTIONS(1518),
    [anon_sym_symbol] = ACTIONS(1518),
    [anon_sym_object] = ACTIONS(1518),
    [sym_html_comment] = ACTIONS(5),
  },
  [697] = {
    [sym_import] = STATE(4369),
    [sym_parenthesized_expression] = STATE(2177),
    [sym_expression] = STATE(2554),
    [sym_primary_expression] = STATE(2990),
    [sym_yield_expression] = STATE(3139),
    [sym_object] = STATE(3113),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(3113),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(3139),
    [sym_glimmer_opening_tag] = STATE(5702),
    [sym_jsx_element] = STATE(3139),
    [sym_jsx_opening_element] = STATE(4008),
    [sym_jsx_self_closing_element] = STATE(3139),
    [sym_class] = STATE(3113),
    [sym_function_expression] = STATE(3113),
    [sym_generator_function] = STATE(3113),
    [sym_arrow_function] = STATE(3113),
    [sym__call_signature] = STATE(7486),
    [sym_call_expression] = STATE(3113),
    [sym_new_expression] = STATE(3139),
    [sym_await_expression] = STATE(3139),
    [sym_member_expression] = STATE(2177),
    [sym_subscript_expression] = STATE(2177),
    [sym_assignment_expression] = STATE(3139),
    [sym__augmented_assignment_lhs] = STATE(3835),
    [sym_augmented_assignment_expression] = STATE(3139),
    [sym__destructuring_pattern] = STATE(7484),
    [sym_ternary_expression] = STATE(3139),
    [sym_binary_expression] = STATE(3139),
    [sym_unary_expression] = STATE(3139),
    [sym_update_expression] = STATE(3139),
    [sym_string] = STATE(3113),
    [sym_comment] = STATE(697),
    [sym_template_string] = STATE(3113),
    [sym_regex] = STATE(3113),
    [sym_meta_property] = STATE(3113),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2177),
    [sym_as_expression] = STATE(3139),
    [sym_satisfies_expression] = STATE(3139),
    [sym_instantiation_expression] = STATE(3139),
    [sym_internal_module] = STATE(3139),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5555),
    [sym_identifier] = ACTIONS(1744),
    [anon_sym_export] = ACTIONS(1596),
    [anon_sym_type] = ACTIONS(1596),
    [anon_sym_namespace] = ACTIONS(1598),
    [anon_sym_LBRACE] = ACTIONS(1020),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1596),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1029),
    [anon_sym_async] = ACTIONS(1602),
    [anon_sym_function] = ACTIONS(1033),
    [anon_sym_new] = ACTIONS(1748),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1596),
    [anon_sym_readonly] = ACTIONS(1596),
    [anon_sym_get] = ACTIONS(1596),
    [anon_sym_set] = ACTIONS(1596),
    [anon_sym_declare] = ACTIONS(1596),
    [anon_sym_public] = ACTIONS(1596),
    [anon_sym_private] = ACTIONS(1596),
    [anon_sym_protected] = ACTIONS(1596),
    [anon_sym_override] = ACTIONS(1596),
    [anon_sym_module] = ACTIONS(1596),
    [anon_sym_any] = ACTIONS(1596),
    [anon_sym_number] = ACTIONS(1596),
    [anon_sym_boolean] = ACTIONS(1596),
    [anon_sym_string] = ACTIONS(1596),
    [anon_sym_symbol] = ACTIONS(1596),
    [anon_sym_object] = ACTIONS(1596),
    [sym_html_comment] = ACTIONS(5),
  },
  [698] = {
    [sym_import] = STATE(4369),
    [sym_parenthesized_expression] = STATE(2177),
    [sym_expression] = STATE(2611),
    [sym_primary_expression] = STATE(2990),
    [sym_yield_expression] = STATE(3139),
    [sym_object] = STATE(3113),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(3113),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(3139),
    [sym_glimmer_opening_tag] = STATE(5702),
    [sym_jsx_element] = STATE(3139),
    [sym_jsx_opening_element] = STATE(4008),
    [sym_jsx_self_closing_element] = STATE(3139),
    [sym_class] = STATE(3113),
    [sym_function_expression] = STATE(3113),
    [sym_generator_function] = STATE(3113),
    [sym_arrow_function] = STATE(3113),
    [sym__call_signature] = STATE(7486),
    [sym_call_expression] = STATE(3113),
    [sym_new_expression] = STATE(3139),
    [sym_await_expression] = STATE(3139),
    [sym_member_expression] = STATE(2177),
    [sym_subscript_expression] = STATE(2177),
    [sym_assignment_expression] = STATE(3139),
    [sym__augmented_assignment_lhs] = STATE(3835),
    [sym_augmented_assignment_expression] = STATE(3139),
    [sym__destructuring_pattern] = STATE(7484),
    [sym_ternary_expression] = STATE(3139),
    [sym_binary_expression] = STATE(3139),
    [sym_unary_expression] = STATE(3139),
    [sym_update_expression] = STATE(3139),
    [sym_string] = STATE(3113),
    [sym_comment] = STATE(698),
    [sym_template_string] = STATE(3113),
    [sym_regex] = STATE(3113),
    [sym_meta_property] = STATE(3113),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2177),
    [sym_as_expression] = STATE(3139),
    [sym_satisfies_expression] = STATE(3139),
    [sym_instantiation_expression] = STATE(3139),
    [sym_internal_module] = STATE(3139),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5555),
    [sym_identifier] = ACTIONS(1744),
    [anon_sym_export] = ACTIONS(1596),
    [anon_sym_type] = ACTIONS(1596),
    [anon_sym_namespace] = ACTIONS(1598),
    [anon_sym_LBRACE] = ACTIONS(1020),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1596),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1029),
    [anon_sym_async] = ACTIONS(1602),
    [anon_sym_function] = ACTIONS(1033),
    [anon_sym_new] = ACTIONS(1748),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1596),
    [anon_sym_readonly] = ACTIONS(1596),
    [anon_sym_get] = ACTIONS(1596),
    [anon_sym_set] = ACTIONS(1596),
    [anon_sym_declare] = ACTIONS(1596),
    [anon_sym_public] = ACTIONS(1596),
    [anon_sym_private] = ACTIONS(1596),
    [anon_sym_protected] = ACTIONS(1596),
    [anon_sym_override] = ACTIONS(1596),
    [anon_sym_module] = ACTIONS(1596),
    [anon_sym_any] = ACTIONS(1596),
    [anon_sym_number] = ACTIONS(1596),
    [anon_sym_boolean] = ACTIONS(1596),
    [anon_sym_string] = ACTIONS(1596),
    [anon_sym_symbol] = ACTIONS(1596),
    [anon_sym_object] = ACTIONS(1596),
    [sym_html_comment] = ACTIONS(5),
  },
  [699] = {
    [sym_import] = STATE(4369),
    [sym_parenthesized_expression] = STATE(2177),
    [sym_expression] = STATE(2620),
    [sym_primary_expression] = STATE(2990),
    [sym_yield_expression] = STATE(3139),
    [sym_object] = STATE(3113),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(3113),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(3139),
    [sym_glimmer_opening_tag] = STATE(5702),
    [sym_jsx_element] = STATE(3139),
    [sym_jsx_opening_element] = STATE(4008),
    [sym_jsx_self_closing_element] = STATE(3139),
    [sym_class] = STATE(3113),
    [sym_function_expression] = STATE(3113),
    [sym_generator_function] = STATE(3113),
    [sym_arrow_function] = STATE(3113),
    [sym__call_signature] = STATE(7486),
    [sym_call_expression] = STATE(3113),
    [sym_new_expression] = STATE(3139),
    [sym_await_expression] = STATE(3139),
    [sym_member_expression] = STATE(2177),
    [sym_subscript_expression] = STATE(2177),
    [sym_assignment_expression] = STATE(3139),
    [sym__augmented_assignment_lhs] = STATE(3835),
    [sym_augmented_assignment_expression] = STATE(3139),
    [sym__destructuring_pattern] = STATE(7484),
    [sym_ternary_expression] = STATE(3139),
    [sym_binary_expression] = STATE(3139),
    [sym_unary_expression] = STATE(3139),
    [sym_update_expression] = STATE(3139),
    [sym_string] = STATE(3113),
    [sym_comment] = STATE(699),
    [sym_template_string] = STATE(3113),
    [sym_regex] = STATE(3113),
    [sym_meta_property] = STATE(3113),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2177),
    [sym_as_expression] = STATE(3139),
    [sym_satisfies_expression] = STATE(3139),
    [sym_instantiation_expression] = STATE(3139),
    [sym_internal_module] = STATE(3139),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5555),
    [sym_identifier] = ACTIONS(1744),
    [anon_sym_export] = ACTIONS(1596),
    [anon_sym_type] = ACTIONS(1596),
    [anon_sym_namespace] = ACTIONS(1598),
    [anon_sym_LBRACE] = ACTIONS(1020),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1596),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1029),
    [anon_sym_async] = ACTIONS(1602),
    [anon_sym_function] = ACTIONS(1033),
    [anon_sym_new] = ACTIONS(1748),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1596),
    [anon_sym_readonly] = ACTIONS(1596),
    [anon_sym_get] = ACTIONS(1596),
    [anon_sym_set] = ACTIONS(1596),
    [anon_sym_declare] = ACTIONS(1596),
    [anon_sym_public] = ACTIONS(1596),
    [anon_sym_private] = ACTIONS(1596),
    [anon_sym_protected] = ACTIONS(1596),
    [anon_sym_override] = ACTIONS(1596),
    [anon_sym_module] = ACTIONS(1596),
    [anon_sym_any] = ACTIONS(1596),
    [anon_sym_number] = ACTIONS(1596),
    [anon_sym_boolean] = ACTIONS(1596),
    [anon_sym_string] = ACTIONS(1596),
    [anon_sym_symbol] = ACTIONS(1596),
    [anon_sym_object] = ACTIONS(1596),
    [sym_html_comment] = ACTIONS(5),
  },
  [700] = {
    [sym_import] = STATE(4369),
    [sym_parenthesized_expression] = STATE(2177),
    [sym_expression] = STATE(2621),
    [sym_primary_expression] = STATE(2990),
    [sym_yield_expression] = STATE(3139),
    [sym_object] = STATE(3113),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(3113),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(3139),
    [sym_glimmer_opening_tag] = STATE(5702),
    [sym_jsx_element] = STATE(3139),
    [sym_jsx_opening_element] = STATE(4008),
    [sym_jsx_self_closing_element] = STATE(3139),
    [sym_class] = STATE(3113),
    [sym_function_expression] = STATE(3113),
    [sym_generator_function] = STATE(3113),
    [sym_arrow_function] = STATE(3113),
    [sym__call_signature] = STATE(7486),
    [sym_call_expression] = STATE(3113),
    [sym_new_expression] = STATE(3139),
    [sym_await_expression] = STATE(3139),
    [sym_member_expression] = STATE(2177),
    [sym_subscript_expression] = STATE(2177),
    [sym_assignment_expression] = STATE(3139),
    [sym__augmented_assignment_lhs] = STATE(3835),
    [sym_augmented_assignment_expression] = STATE(3139),
    [sym__destructuring_pattern] = STATE(7484),
    [sym_ternary_expression] = STATE(3139),
    [sym_binary_expression] = STATE(3139),
    [sym_unary_expression] = STATE(3139),
    [sym_update_expression] = STATE(3139),
    [sym_string] = STATE(3113),
    [sym_comment] = STATE(700),
    [sym_template_string] = STATE(3113),
    [sym_regex] = STATE(3113),
    [sym_meta_property] = STATE(3113),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2177),
    [sym_as_expression] = STATE(3139),
    [sym_satisfies_expression] = STATE(3139),
    [sym_instantiation_expression] = STATE(3139),
    [sym_internal_module] = STATE(3139),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5555),
    [sym_identifier] = ACTIONS(1744),
    [anon_sym_export] = ACTIONS(1596),
    [anon_sym_type] = ACTIONS(1596),
    [anon_sym_namespace] = ACTIONS(1598),
    [anon_sym_LBRACE] = ACTIONS(1020),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1596),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1029),
    [anon_sym_async] = ACTIONS(1602),
    [anon_sym_function] = ACTIONS(1033),
    [anon_sym_new] = ACTIONS(1748),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1596),
    [anon_sym_readonly] = ACTIONS(1596),
    [anon_sym_get] = ACTIONS(1596),
    [anon_sym_set] = ACTIONS(1596),
    [anon_sym_declare] = ACTIONS(1596),
    [anon_sym_public] = ACTIONS(1596),
    [anon_sym_private] = ACTIONS(1596),
    [anon_sym_protected] = ACTIONS(1596),
    [anon_sym_override] = ACTIONS(1596),
    [anon_sym_module] = ACTIONS(1596),
    [anon_sym_any] = ACTIONS(1596),
    [anon_sym_number] = ACTIONS(1596),
    [anon_sym_boolean] = ACTIONS(1596),
    [anon_sym_string] = ACTIONS(1596),
    [anon_sym_symbol] = ACTIONS(1596),
    [anon_sym_object] = ACTIONS(1596),
    [sym_html_comment] = ACTIONS(5),
  },
  [701] = {
    [sym_import] = STATE(4369),
    [sym_parenthesized_expression] = STATE(2177),
    [sym_expression] = STATE(2644),
    [sym_primary_expression] = STATE(2990),
    [sym_yield_expression] = STATE(3139),
    [sym_object] = STATE(3113),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(3113),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(3139),
    [sym_glimmer_opening_tag] = STATE(5702),
    [sym_jsx_element] = STATE(3139),
    [sym_jsx_opening_element] = STATE(4008),
    [sym_jsx_self_closing_element] = STATE(3139),
    [sym_class] = STATE(3113),
    [sym_function_expression] = STATE(3113),
    [sym_generator_function] = STATE(3113),
    [sym_arrow_function] = STATE(3113),
    [sym__call_signature] = STATE(7486),
    [sym_call_expression] = STATE(3113),
    [sym_new_expression] = STATE(3139),
    [sym_await_expression] = STATE(3139),
    [sym_member_expression] = STATE(2177),
    [sym_subscript_expression] = STATE(2177),
    [sym_assignment_expression] = STATE(3139),
    [sym__augmented_assignment_lhs] = STATE(3835),
    [sym_augmented_assignment_expression] = STATE(3139),
    [sym__destructuring_pattern] = STATE(7484),
    [sym_ternary_expression] = STATE(3139),
    [sym_binary_expression] = STATE(3139),
    [sym_unary_expression] = STATE(3139),
    [sym_update_expression] = STATE(3139),
    [sym_string] = STATE(3113),
    [sym_comment] = STATE(701),
    [sym_template_string] = STATE(3113),
    [sym_regex] = STATE(3113),
    [sym_meta_property] = STATE(3113),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2177),
    [sym_as_expression] = STATE(3139),
    [sym_satisfies_expression] = STATE(3139),
    [sym_instantiation_expression] = STATE(3139),
    [sym_internal_module] = STATE(3139),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5555),
    [sym_identifier] = ACTIONS(1744),
    [anon_sym_export] = ACTIONS(1596),
    [anon_sym_type] = ACTIONS(1596),
    [anon_sym_namespace] = ACTIONS(1598),
    [anon_sym_LBRACE] = ACTIONS(1020),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1596),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1029),
    [anon_sym_async] = ACTIONS(1602),
    [anon_sym_function] = ACTIONS(1033),
    [anon_sym_new] = ACTIONS(1748),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1596),
    [anon_sym_readonly] = ACTIONS(1596),
    [anon_sym_get] = ACTIONS(1596),
    [anon_sym_set] = ACTIONS(1596),
    [anon_sym_declare] = ACTIONS(1596),
    [anon_sym_public] = ACTIONS(1596),
    [anon_sym_private] = ACTIONS(1596),
    [anon_sym_protected] = ACTIONS(1596),
    [anon_sym_override] = ACTIONS(1596),
    [anon_sym_module] = ACTIONS(1596),
    [anon_sym_any] = ACTIONS(1596),
    [anon_sym_number] = ACTIONS(1596),
    [anon_sym_boolean] = ACTIONS(1596),
    [anon_sym_string] = ACTIONS(1596),
    [anon_sym_symbol] = ACTIONS(1596),
    [anon_sym_object] = ACTIONS(1596),
    [sym_html_comment] = ACTIONS(5),
  },
  [702] = {
    [sym_import] = STATE(4369),
    [sym_parenthesized_expression] = STATE(2175),
    [sym_expression] = STATE(2612),
    [sym_primary_expression] = STATE(2990),
    [sym_yield_expression] = STATE(3139),
    [sym_object] = STATE(3113),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(3113),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(3139),
    [sym_glimmer_opening_tag] = STATE(5702),
    [sym_jsx_element] = STATE(3139),
    [sym_jsx_opening_element] = STATE(4008),
    [sym_jsx_self_closing_element] = STATE(3139),
    [sym_class] = STATE(3113),
    [sym_function_expression] = STATE(3113),
    [sym_generator_function] = STATE(3113),
    [sym_arrow_function] = STATE(3113),
    [sym__call_signature] = STATE(7205),
    [sym_call_expression] = STATE(3113),
    [sym_new_expression] = STATE(3139),
    [sym_await_expression] = STATE(3139),
    [sym_member_expression] = STATE(2175),
    [sym_subscript_expression] = STATE(2175),
    [sym_assignment_expression] = STATE(3139),
    [sym__augmented_assignment_lhs] = STATE(3844),
    [sym_augmented_assignment_expression] = STATE(3139),
    [sym__destructuring_pattern] = STATE(7209),
    [sym_ternary_expression] = STATE(3139),
    [sym_binary_expression] = STATE(3139),
    [sym_unary_expression] = STATE(3139),
    [sym_update_expression] = STATE(3139),
    [sym_string] = STATE(3113),
    [sym_comment] = STATE(702),
    [sym_template_string] = STATE(3113),
    [sym_regex] = STATE(3113),
    [sym_meta_property] = STATE(3113),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2175),
    [sym_as_expression] = STATE(3139),
    [sym_satisfies_expression] = STATE(3139),
    [sym_instantiation_expression] = STATE(3139),
    [sym_internal_module] = STATE(3139),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5555),
    [sym_identifier] = ACTIONS(1736),
    [anon_sym_export] = ACTIONS(1518),
    [anon_sym_type] = ACTIONS(1518),
    [anon_sym_namespace] = ACTIONS(1520),
    [anon_sym_LBRACE] = ACTIONS(1020),
    [anon_sym_typeof] = ACTIONS(1526),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1518),
    [anon_sym_BANG] = ACTIONS(1526),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1528),
    [anon_sym_yield] = ACTIONS(1530),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1029),
    [anon_sym_async] = ACTIONS(1534),
    [anon_sym_function] = ACTIONS(1033),
    [anon_sym_new] = ACTIONS(1740),
    [anon_sym_using] = ACTIONS(1538),
    [anon_sym_PLUS] = ACTIONS(1526),
    [anon_sym_DASH] = ACTIONS(1526),
    [anon_sym_SLASH] = ACTIONS(1195),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1526),
    [anon_sym_void] = ACTIONS(1526),
    [anon_sym_delete] = ACTIONS(1526),
    [anon_sym_PLUS_PLUS] = ACTIONS(1544),
    [anon_sym_DASH_DASH] = ACTIONS(1544),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1550),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1742),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1518),
    [anon_sym_readonly] = ACTIONS(1518),
    [anon_sym_get] = ACTIONS(1518),
    [anon_sym_set] = ACTIONS(1518),
    [anon_sym_declare] = ACTIONS(1518),
    [anon_sym_public] = ACTIONS(1518),
    [anon_sym_private] = ACTIONS(1518),
    [anon_sym_protected] = ACTIONS(1518),
    [anon_sym_override] = ACTIONS(1518),
    [anon_sym_module] = ACTIONS(1518),
    [anon_sym_any] = ACTIONS(1518),
    [anon_sym_number] = ACTIONS(1518),
    [anon_sym_boolean] = ACTIONS(1518),
    [anon_sym_string] = ACTIONS(1518),
    [anon_sym_symbol] = ACTIONS(1518),
    [anon_sym_object] = ACTIONS(1518),
    [sym_html_comment] = ACTIONS(5),
  },
  [703] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2239),
    [sym_expression] = STATE(3179),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7446),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2239),
    [sym_subscript_expression] = STATE(2239),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3938),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7450),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(703),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2239),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1782),
    [anon_sym_export] = ACTIONS(1408),
    [anon_sym_type] = ACTIONS(1408),
    [anon_sym_namespace] = ACTIONS(1410),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(1416),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1408),
    [anon_sym_BANG] = ACTIONS(1416),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1418),
    [anon_sym_yield] = ACTIONS(1420),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1424),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1786),
    [anon_sym_using] = ACTIONS(1428),
    [anon_sym_PLUS] = ACTIONS(1416),
    [anon_sym_DASH] = ACTIONS(1416),
    [anon_sym_SLASH] = ACTIONS(1290),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(1416),
    [anon_sym_void] = ACTIONS(1416),
    [anon_sym_delete] = ACTIONS(1416),
    [anon_sym_PLUS_PLUS] = ACTIONS(1434),
    [anon_sym_DASH_DASH] = ACTIONS(1434),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(1440),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1788),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1408),
    [anon_sym_readonly] = ACTIONS(1408),
    [anon_sym_get] = ACTIONS(1408),
    [anon_sym_set] = ACTIONS(1408),
    [anon_sym_declare] = ACTIONS(1408),
    [anon_sym_public] = ACTIONS(1408),
    [anon_sym_private] = ACTIONS(1408),
    [anon_sym_protected] = ACTIONS(1408),
    [anon_sym_override] = ACTIONS(1408),
    [anon_sym_module] = ACTIONS(1408),
    [anon_sym_any] = ACTIONS(1408),
    [anon_sym_number] = ACTIONS(1408),
    [anon_sym_boolean] = ACTIONS(1408),
    [anon_sym_string] = ACTIONS(1408),
    [anon_sym_symbol] = ACTIONS(1408),
    [anon_sym_object] = ACTIONS(1408),
    [sym_html_comment] = ACTIONS(5),
  },
  [704] = {
    [sym_import] = STATE(4369),
    [sym_parenthesized_expression] = STATE(2177),
    [sym_expression] = STATE(2647),
    [sym_primary_expression] = STATE(2990),
    [sym_yield_expression] = STATE(3139),
    [sym_object] = STATE(3113),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(3113),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(3139),
    [sym_glimmer_opening_tag] = STATE(5702),
    [sym_jsx_element] = STATE(3139),
    [sym_jsx_opening_element] = STATE(4008),
    [sym_jsx_self_closing_element] = STATE(3139),
    [sym_class] = STATE(3113),
    [sym_function_expression] = STATE(3113),
    [sym_generator_function] = STATE(3113),
    [sym_arrow_function] = STATE(3113),
    [sym__call_signature] = STATE(7486),
    [sym_call_expression] = STATE(3113),
    [sym_new_expression] = STATE(3139),
    [sym_await_expression] = STATE(3139),
    [sym_member_expression] = STATE(2177),
    [sym_subscript_expression] = STATE(2177),
    [sym_assignment_expression] = STATE(3139),
    [sym__augmented_assignment_lhs] = STATE(3835),
    [sym_augmented_assignment_expression] = STATE(3139),
    [sym__destructuring_pattern] = STATE(7484),
    [sym_ternary_expression] = STATE(3139),
    [sym_binary_expression] = STATE(3139),
    [sym_unary_expression] = STATE(3139),
    [sym_update_expression] = STATE(3139),
    [sym_string] = STATE(3113),
    [sym_comment] = STATE(704),
    [sym_template_string] = STATE(3113),
    [sym_regex] = STATE(3113),
    [sym_meta_property] = STATE(3113),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2177),
    [sym_as_expression] = STATE(3139),
    [sym_satisfies_expression] = STATE(3139),
    [sym_instantiation_expression] = STATE(3139),
    [sym_internal_module] = STATE(3139),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5555),
    [sym_identifier] = ACTIONS(1744),
    [anon_sym_export] = ACTIONS(1596),
    [anon_sym_type] = ACTIONS(1596),
    [anon_sym_namespace] = ACTIONS(1598),
    [anon_sym_LBRACE] = ACTIONS(1020),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1596),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1029),
    [anon_sym_async] = ACTIONS(1602),
    [anon_sym_function] = ACTIONS(1033),
    [anon_sym_new] = ACTIONS(1748),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1596),
    [anon_sym_readonly] = ACTIONS(1596),
    [anon_sym_get] = ACTIONS(1596),
    [anon_sym_set] = ACTIONS(1596),
    [anon_sym_declare] = ACTIONS(1596),
    [anon_sym_public] = ACTIONS(1596),
    [anon_sym_private] = ACTIONS(1596),
    [anon_sym_protected] = ACTIONS(1596),
    [anon_sym_override] = ACTIONS(1596),
    [anon_sym_module] = ACTIONS(1596),
    [anon_sym_any] = ACTIONS(1596),
    [anon_sym_number] = ACTIONS(1596),
    [anon_sym_boolean] = ACTIONS(1596),
    [anon_sym_string] = ACTIONS(1596),
    [anon_sym_symbol] = ACTIONS(1596),
    [anon_sym_object] = ACTIONS(1596),
    [sym_html_comment] = ACTIONS(5),
  },
  [705] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2239),
    [sym_expression] = STATE(3212),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7446),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2239),
    [sym_subscript_expression] = STATE(2239),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3938),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7450),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(705),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2239),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1782),
    [anon_sym_export] = ACTIONS(1408),
    [anon_sym_type] = ACTIONS(1408),
    [anon_sym_namespace] = ACTIONS(1410),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(1416),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1408),
    [anon_sym_BANG] = ACTIONS(1416),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1418),
    [anon_sym_yield] = ACTIONS(1420),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1424),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1786),
    [anon_sym_using] = ACTIONS(1428),
    [anon_sym_PLUS] = ACTIONS(1416),
    [anon_sym_DASH] = ACTIONS(1416),
    [anon_sym_SLASH] = ACTIONS(1290),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(1416),
    [anon_sym_void] = ACTIONS(1416),
    [anon_sym_delete] = ACTIONS(1416),
    [anon_sym_PLUS_PLUS] = ACTIONS(1434),
    [anon_sym_DASH_DASH] = ACTIONS(1434),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(1440),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1788),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1408),
    [anon_sym_readonly] = ACTIONS(1408),
    [anon_sym_get] = ACTIONS(1408),
    [anon_sym_set] = ACTIONS(1408),
    [anon_sym_declare] = ACTIONS(1408),
    [anon_sym_public] = ACTIONS(1408),
    [anon_sym_private] = ACTIONS(1408),
    [anon_sym_protected] = ACTIONS(1408),
    [anon_sym_override] = ACTIONS(1408),
    [anon_sym_module] = ACTIONS(1408),
    [anon_sym_any] = ACTIONS(1408),
    [anon_sym_number] = ACTIONS(1408),
    [anon_sym_boolean] = ACTIONS(1408),
    [anon_sym_string] = ACTIONS(1408),
    [anon_sym_symbol] = ACTIONS(1408),
    [anon_sym_object] = ACTIONS(1408),
    [sym_html_comment] = ACTIONS(5),
  },
  [706] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2048),
    [sym_expression] = STATE(3335),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7260),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2048),
    [sym_subscript_expression] = STATE(2048),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3878),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7646),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(706),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2048),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1095),
    [anon_sym_export] = ACTIONS(1097),
    [anon_sym_type] = ACTIONS(1097),
    [anon_sym_namespace] = ACTIONS(1099),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(174),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1097),
    [anon_sym_BANG] = ACTIONS(174),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1109),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1111),
    [anon_sym_using] = ACTIONS(157),
    [anon_sym_PLUS] = ACTIONS(174),
    [anon_sym_DASH] = ACTIONS(174),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(174),
    [anon_sym_void] = ACTIONS(174),
    [anon_sym_delete] = ACTIONS(174),
    [anon_sym_PLUS_PLUS] = ACTIONS(1039),
    [anon_sym_DASH_DASH] = ACTIONS(1039),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(185),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1115),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1097),
    [anon_sym_readonly] = ACTIONS(1097),
    [anon_sym_get] = ACTIONS(1097),
    [anon_sym_set] = ACTIONS(1097),
    [anon_sym_declare] = ACTIONS(1097),
    [anon_sym_public] = ACTIONS(1097),
    [anon_sym_private] = ACTIONS(1097),
    [anon_sym_protected] = ACTIONS(1097),
    [anon_sym_override] = ACTIONS(1097),
    [anon_sym_module] = ACTIONS(1097),
    [anon_sym_any] = ACTIONS(1097),
    [anon_sym_number] = ACTIONS(1097),
    [anon_sym_boolean] = ACTIONS(1097),
    [anon_sym_string] = ACTIONS(1097),
    [anon_sym_symbol] = ACTIONS(1097),
    [anon_sym_object] = ACTIONS(1097),
    [sym_html_comment] = ACTIONS(5),
  },
  [707] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2048),
    [sym_expression] = STATE(3381),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7260),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2048),
    [sym_subscript_expression] = STATE(2048),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3878),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7646),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(707),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2048),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1095),
    [anon_sym_export] = ACTIONS(1097),
    [anon_sym_type] = ACTIONS(1097),
    [anon_sym_namespace] = ACTIONS(1099),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(174),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1097),
    [anon_sym_BANG] = ACTIONS(174),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1109),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1111),
    [anon_sym_using] = ACTIONS(157),
    [anon_sym_PLUS] = ACTIONS(174),
    [anon_sym_DASH] = ACTIONS(174),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(174),
    [anon_sym_void] = ACTIONS(174),
    [anon_sym_delete] = ACTIONS(174),
    [anon_sym_PLUS_PLUS] = ACTIONS(1039),
    [anon_sym_DASH_DASH] = ACTIONS(1039),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(185),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1115),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1097),
    [anon_sym_readonly] = ACTIONS(1097),
    [anon_sym_get] = ACTIONS(1097),
    [anon_sym_set] = ACTIONS(1097),
    [anon_sym_declare] = ACTIONS(1097),
    [anon_sym_public] = ACTIONS(1097),
    [anon_sym_private] = ACTIONS(1097),
    [anon_sym_protected] = ACTIONS(1097),
    [anon_sym_override] = ACTIONS(1097),
    [anon_sym_module] = ACTIONS(1097),
    [anon_sym_any] = ACTIONS(1097),
    [anon_sym_number] = ACTIONS(1097),
    [anon_sym_boolean] = ACTIONS(1097),
    [anon_sym_string] = ACTIONS(1097),
    [anon_sym_symbol] = ACTIONS(1097),
    [anon_sym_object] = ACTIONS(1097),
    [sym_html_comment] = ACTIONS(5),
  },
  [708] = {
    [sym_import] = STATE(4369),
    [sym_parenthesized_expression] = STATE(2177),
    [sym_expression] = STATE(2792),
    [sym_primary_expression] = STATE(2990),
    [sym_yield_expression] = STATE(3139),
    [sym_object] = STATE(3113),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(3113),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(3139),
    [sym_glimmer_opening_tag] = STATE(5702),
    [sym_jsx_element] = STATE(3139),
    [sym_jsx_opening_element] = STATE(4008),
    [sym_jsx_self_closing_element] = STATE(3139),
    [sym_class] = STATE(3113),
    [sym_function_expression] = STATE(3113),
    [sym_generator_function] = STATE(3113),
    [sym_arrow_function] = STATE(3113),
    [sym__call_signature] = STATE(7486),
    [sym_call_expression] = STATE(3113),
    [sym_new_expression] = STATE(3139),
    [sym_await_expression] = STATE(3139),
    [sym_member_expression] = STATE(2177),
    [sym_subscript_expression] = STATE(2177),
    [sym_assignment_expression] = STATE(3139),
    [sym__augmented_assignment_lhs] = STATE(3835),
    [sym_augmented_assignment_expression] = STATE(3139),
    [sym__destructuring_pattern] = STATE(7484),
    [sym_ternary_expression] = STATE(3139),
    [sym_binary_expression] = STATE(3139),
    [sym_unary_expression] = STATE(3139),
    [sym_update_expression] = STATE(3139),
    [sym_string] = STATE(3113),
    [sym_comment] = STATE(708),
    [sym_template_string] = STATE(3113),
    [sym_regex] = STATE(3113),
    [sym_meta_property] = STATE(3113),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2177),
    [sym_as_expression] = STATE(3139),
    [sym_satisfies_expression] = STATE(3139),
    [sym_instantiation_expression] = STATE(3139),
    [sym_internal_module] = STATE(3139),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5555),
    [sym_identifier] = ACTIONS(1744),
    [anon_sym_export] = ACTIONS(1596),
    [anon_sym_type] = ACTIONS(1596),
    [anon_sym_namespace] = ACTIONS(1598),
    [anon_sym_LBRACE] = ACTIONS(1020),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1596),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1029),
    [anon_sym_async] = ACTIONS(1602),
    [anon_sym_function] = ACTIONS(1033),
    [anon_sym_new] = ACTIONS(1748),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1596),
    [anon_sym_readonly] = ACTIONS(1596),
    [anon_sym_get] = ACTIONS(1596),
    [anon_sym_set] = ACTIONS(1596),
    [anon_sym_declare] = ACTIONS(1596),
    [anon_sym_public] = ACTIONS(1596),
    [anon_sym_private] = ACTIONS(1596),
    [anon_sym_protected] = ACTIONS(1596),
    [anon_sym_override] = ACTIONS(1596),
    [anon_sym_module] = ACTIONS(1596),
    [anon_sym_any] = ACTIONS(1596),
    [anon_sym_number] = ACTIONS(1596),
    [anon_sym_boolean] = ACTIONS(1596),
    [anon_sym_string] = ACTIONS(1596),
    [anon_sym_symbol] = ACTIONS(1596),
    [anon_sym_object] = ACTIONS(1596),
    [sym_html_comment] = ACTIONS(5),
  },
  [709] = {
    [sym_import] = STATE(4369),
    [sym_parenthesized_expression] = STATE(2177),
    [sym_expression] = STATE(2721),
    [sym_primary_expression] = STATE(2990),
    [sym_yield_expression] = STATE(3139),
    [sym_object] = STATE(3113),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(3113),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(3139),
    [sym_glimmer_opening_tag] = STATE(5702),
    [sym_jsx_element] = STATE(3139),
    [sym_jsx_opening_element] = STATE(4008),
    [sym_jsx_self_closing_element] = STATE(3139),
    [sym_class] = STATE(3113),
    [sym_function_expression] = STATE(3113),
    [sym_generator_function] = STATE(3113),
    [sym_arrow_function] = STATE(3113),
    [sym__call_signature] = STATE(7486),
    [sym_call_expression] = STATE(3113),
    [sym_new_expression] = STATE(3139),
    [sym_await_expression] = STATE(3139),
    [sym_member_expression] = STATE(2177),
    [sym_subscript_expression] = STATE(2177),
    [sym_assignment_expression] = STATE(3139),
    [sym__augmented_assignment_lhs] = STATE(3835),
    [sym_augmented_assignment_expression] = STATE(3139),
    [sym__destructuring_pattern] = STATE(7484),
    [sym_ternary_expression] = STATE(3139),
    [sym_binary_expression] = STATE(3139),
    [sym_unary_expression] = STATE(3139),
    [sym_update_expression] = STATE(3139),
    [sym_string] = STATE(3113),
    [sym_comment] = STATE(709),
    [sym_template_string] = STATE(3113),
    [sym_regex] = STATE(3113),
    [sym_meta_property] = STATE(3113),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2177),
    [sym_as_expression] = STATE(3139),
    [sym_satisfies_expression] = STATE(3139),
    [sym_instantiation_expression] = STATE(3139),
    [sym_internal_module] = STATE(3139),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5555),
    [sym_identifier] = ACTIONS(1744),
    [anon_sym_export] = ACTIONS(1596),
    [anon_sym_type] = ACTIONS(1596),
    [anon_sym_namespace] = ACTIONS(1598),
    [anon_sym_LBRACE] = ACTIONS(1020),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1596),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1029),
    [anon_sym_async] = ACTIONS(1602),
    [anon_sym_function] = ACTIONS(1033),
    [anon_sym_new] = ACTIONS(1748),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1596),
    [anon_sym_readonly] = ACTIONS(1596),
    [anon_sym_get] = ACTIONS(1596),
    [anon_sym_set] = ACTIONS(1596),
    [anon_sym_declare] = ACTIONS(1596),
    [anon_sym_public] = ACTIONS(1596),
    [anon_sym_private] = ACTIONS(1596),
    [anon_sym_protected] = ACTIONS(1596),
    [anon_sym_override] = ACTIONS(1596),
    [anon_sym_module] = ACTIONS(1596),
    [anon_sym_any] = ACTIONS(1596),
    [anon_sym_number] = ACTIONS(1596),
    [anon_sym_boolean] = ACTIONS(1596),
    [anon_sym_string] = ACTIONS(1596),
    [anon_sym_symbol] = ACTIONS(1596),
    [anon_sym_object] = ACTIONS(1596),
    [sym_html_comment] = ACTIONS(5),
  },
  [710] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2229),
    [sym_expression] = STATE(3078),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7175),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2229),
    [sym_subscript_expression] = STATE(2229),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3935),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7438),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(710),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2229),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1766),
    [anon_sym_export] = ACTIONS(1482),
    [anon_sym_type] = ACTIONS(1482),
    [anon_sym_namespace] = ACTIONS(1484),
    [anon_sym_LBRACE] = ACTIONS(1127),
    [anon_sym_typeof] = ACTIONS(1490),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1482),
    [anon_sym_BANG] = ACTIONS(1490),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1492),
    [anon_sym_yield] = ACTIONS(1494),
    [anon_sym_LBRACK] = ACTIONS(1129),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1496),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1770),
    [anon_sym_using] = ACTIONS(1500),
    [anon_sym_PLUS] = ACTIONS(1490),
    [anon_sym_DASH] = ACTIONS(1490),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(1490),
    [anon_sym_void] = ACTIONS(1490),
    [anon_sym_delete] = ACTIONS(1490),
    [anon_sym_PLUS_PLUS] = ACTIONS(1506),
    [anon_sym_DASH_DASH] = ACTIONS(1506),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(1508),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1772),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1482),
    [anon_sym_readonly] = ACTIONS(1482),
    [anon_sym_get] = ACTIONS(1482),
    [anon_sym_set] = ACTIONS(1482),
    [anon_sym_declare] = ACTIONS(1482),
    [anon_sym_public] = ACTIONS(1482),
    [anon_sym_private] = ACTIONS(1482),
    [anon_sym_protected] = ACTIONS(1482),
    [anon_sym_override] = ACTIONS(1482),
    [anon_sym_module] = ACTIONS(1482),
    [anon_sym_any] = ACTIONS(1482),
    [anon_sym_number] = ACTIONS(1482),
    [anon_sym_boolean] = ACTIONS(1482),
    [anon_sym_string] = ACTIONS(1482),
    [anon_sym_symbol] = ACTIONS(1482),
    [anon_sym_object] = ACTIONS(1482),
    [sym_html_comment] = ACTIONS(5),
  },
  [711] = {
    [sym_import] = STATE(4369),
    [sym_parenthesized_expression] = STATE(2177),
    [sym_expression] = STATE(2573),
    [sym_primary_expression] = STATE(2990),
    [sym_yield_expression] = STATE(3139),
    [sym_object] = STATE(3113),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(3113),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(3139),
    [sym_glimmer_opening_tag] = STATE(5702),
    [sym_jsx_element] = STATE(3139),
    [sym_jsx_opening_element] = STATE(4008),
    [sym_jsx_self_closing_element] = STATE(3139),
    [sym_class] = STATE(3113),
    [sym_function_expression] = STATE(3113),
    [sym_generator_function] = STATE(3113),
    [sym_arrow_function] = STATE(3113),
    [sym__call_signature] = STATE(7486),
    [sym_call_expression] = STATE(3113),
    [sym_new_expression] = STATE(3139),
    [sym_await_expression] = STATE(3139),
    [sym_member_expression] = STATE(2177),
    [sym_subscript_expression] = STATE(2177),
    [sym_assignment_expression] = STATE(3139),
    [sym__augmented_assignment_lhs] = STATE(3835),
    [sym_augmented_assignment_expression] = STATE(3139),
    [sym__destructuring_pattern] = STATE(7484),
    [sym_ternary_expression] = STATE(3139),
    [sym_binary_expression] = STATE(3139),
    [sym_unary_expression] = STATE(3139),
    [sym_update_expression] = STATE(3139),
    [sym_string] = STATE(3113),
    [sym_comment] = STATE(711),
    [sym_template_string] = STATE(3113),
    [sym_regex] = STATE(3113),
    [sym_meta_property] = STATE(3113),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2177),
    [sym_as_expression] = STATE(3139),
    [sym_satisfies_expression] = STATE(3139),
    [sym_instantiation_expression] = STATE(3139),
    [sym_internal_module] = STATE(3139),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5555),
    [sym_identifier] = ACTIONS(1744),
    [anon_sym_export] = ACTIONS(1596),
    [anon_sym_type] = ACTIONS(1596),
    [anon_sym_namespace] = ACTIONS(1598),
    [anon_sym_LBRACE] = ACTIONS(1020),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1596),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1029),
    [anon_sym_async] = ACTIONS(1602),
    [anon_sym_function] = ACTIONS(1033),
    [anon_sym_new] = ACTIONS(1748),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(2573),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1596),
    [anon_sym_readonly] = ACTIONS(1596),
    [anon_sym_get] = ACTIONS(1596),
    [anon_sym_set] = ACTIONS(1596),
    [anon_sym_declare] = ACTIONS(1596),
    [anon_sym_public] = ACTIONS(1596),
    [anon_sym_private] = ACTIONS(1596),
    [anon_sym_protected] = ACTIONS(1596),
    [anon_sym_override] = ACTIONS(1596),
    [anon_sym_module] = ACTIONS(1596),
    [anon_sym_any] = ACTIONS(1596),
    [anon_sym_number] = ACTIONS(1596),
    [anon_sym_boolean] = ACTIONS(1596),
    [anon_sym_string] = ACTIONS(1596),
    [anon_sym_symbol] = ACTIONS(1596),
    [anon_sym_object] = ACTIONS(1596),
    [sym_html_comment] = ACTIONS(5),
  },
  [712] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2048),
    [sym_expression] = STATE(3386),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7260),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2048),
    [sym_subscript_expression] = STATE(2048),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3878),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7646),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(712),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2048),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1095),
    [anon_sym_export] = ACTIONS(1097),
    [anon_sym_type] = ACTIONS(1097),
    [anon_sym_namespace] = ACTIONS(1099),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(174),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1097),
    [anon_sym_BANG] = ACTIONS(174),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1109),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1111),
    [anon_sym_using] = ACTIONS(157),
    [anon_sym_PLUS] = ACTIONS(174),
    [anon_sym_DASH] = ACTIONS(174),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(174),
    [anon_sym_void] = ACTIONS(174),
    [anon_sym_delete] = ACTIONS(174),
    [anon_sym_PLUS_PLUS] = ACTIONS(1039),
    [anon_sym_DASH_DASH] = ACTIONS(1039),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(185),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1115),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1097),
    [anon_sym_readonly] = ACTIONS(1097),
    [anon_sym_get] = ACTIONS(1097),
    [anon_sym_set] = ACTIONS(1097),
    [anon_sym_declare] = ACTIONS(1097),
    [anon_sym_public] = ACTIONS(1097),
    [anon_sym_private] = ACTIONS(1097),
    [anon_sym_protected] = ACTIONS(1097),
    [anon_sym_override] = ACTIONS(1097),
    [anon_sym_module] = ACTIONS(1097),
    [anon_sym_any] = ACTIONS(1097),
    [anon_sym_number] = ACTIONS(1097),
    [anon_sym_boolean] = ACTIONS(1097),
    [anon_sym_string] = ACTIONS(1097),
    [anon_sym_symbol] = ACTIONS(1097),
    [anon_sym_object] = ACTIONS(1097),
    [sym_html_comment] = ACTIONS(5),
  },
  [713] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2048),
    [sym_expression] = STATE(3389),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7260),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2048),
    [sym_subscript_expression] = STATE(2048),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3878),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7646),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(713),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2048),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1095),
    [anon_sym_export] = ACTIONS(1097),
    [anon_sym_type] = ACTIONS(1097),
    [anon_sym_namespace] = ACTIONS(1099),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(174),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1097),
    [anon_sym_BANG] = ACTIONS(174),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1109),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1111),
    [anon_sym_using] = ACTIONS(157),
    [anon_sym_PLUS] = ACTIONS(174),
    [anon_sym_DASH] = ACTIONS(174),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(174),
    [anon_sym_void] = ACTIONS(174),
    [anon_sym_delete] = ACTIONS(174),
    [anon_sym_PLUS_PLUS] = ACTIONS(1039),
    [anon_sym_DASH_DASH] = ACTIONS(1039),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(185),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1115),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1097),
    [anon_sym_readonly] = ACTIONS(1097),
    [anon_sym_get] = ACTIONS(1097),
    [anon_sym_set] = ACTIONS(1097),
    [anon_sym_declare] = ACTIONS(1097),
    [anon_sym_public] = ACTIONS(1097),
    [anon_sym_private] = ACTIONS(1097),
    [anon_sym_protected] = ACTIONS(1097),
    [anon_sym_override] = ACTIONS(1097),
    [anon_sym_module] = ACTIONS(1097),
    [anon_sym_any] = ACTIONS(1097),
    [anon_sym_number] = ACTIONS(1097),
    [anon_sym_boolean] = ACTIONS(1097),
    [anon_sym_string] = ACTIONS(1097),
    [anon_sym_symbol] = ACTIONS(1097),
    [anon_sym_object] = ACTIONS(1097),
    [sym_html_comment] = ACTIONS(5),
  },
  [714] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2048),
    [sym_expression] = STATE(3390),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7260),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2048),
    [sym_subscript_expression] = STATE(2048),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3878),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7646),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(714),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2048),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1095),
    [anon_sym_export] = ACTIONS(1097),
    [anon_sym_type] = ACTIONS(1097),
    [anon_sym_namespace] = ACTIONS(1099),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(174),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1097),
    [anon_sym_BANG] = ACTIONS(174),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1109),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1111),
    [anon_sym_using] = ACTIONS(157),
    [anon_sym_PLUS] = ACTIONS(174),
    [anon_sym_DASH] = ACTIONS(174),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(174),
    [anon_sym_void] = ACTIONS(174),
    [anon_sym_delete] = ACTIONS(174),
    [anon_sym_PLUS_PLUS] = ACTIONS(1039),
    [anon_sym_DASH_DASH] = ACTIONS(1039),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(185),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1115),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1097),
    [anon_sym_readonly] = ACTIONS(1097),
    [anon_sym_get] = ACTIONS(1097),
    [anon_sym_set] = ACTIONS(1097),
    [anon_sym_declare] = ACTIONS(1097),
    [anon_sym_public] = ACTIONS(1097),
    [anon_sym_private] = ACTIONS(1097),
    [anon_sym_protected] = ACTIONS(1097),
    [anon_sym_override] = ACTIONS(1097),
    [anon_sym_module] = ACTIONS(1097),
    [anon_sym_any] = ACTIONS(1097),
    [anon_sym_number] = ACTIONS(1097),
    [anon_sym_boolean] = ACTIONS(1097),
    [anon_sym_string] = ACTIONS(1097),
    [anon_sym_symbol] = ACTIONS(1097),
    [anon_sym_object] = ACTIONS(1097),
    [sym_html_comment] = ACTIONS(5),
  },
  [715] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2248),
    [sym_expression] = STATE(3308),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7502),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2248),
    [sym_subscript_expression] = STATE(2248),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3928),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7561),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(715),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2248),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1774),
    [anon_sym_export] = ACTIONS(1618),
    [anon_sym_type] = ACTIONS(1618),
    [anon_sym_namespace] = ACTIONS(1620),
    [anon_sym_LBRACE] = ACTIONS(1127),
    [anon_sym_typeof] = ACTIONS(1624),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1618),
    [anon_sym_BANG] = ACTIONS(1624),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1626),
    [anon_sym_yield] = ACTIONS(1628),
    [anon_sym_LBRACK] = ACTIONS(1129),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1630),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1778),
    [anon_sym_using] = ACTIONS(1634),
    [anon_sym_PLUS] = ACTIONS(1624),
    [anon_sym_DASH] = ACTIONS(1624),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(1624),
    [anon_sym_void] = ACTIONS(1624),
    [anon_sym_delete] = ACTIONS(1624),
    [anon_sym_PLUS_PLUS] = ACTIONS(1640),
    [anon_sym_DASH_DASH] = ACTIONS(1640),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(1642),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1780),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1618),
    [anon_sym_readonly] = ACTIONS(1618),
    [anon_sym_get] = ACTIONS(1618),
    [anon_sym_set] = ACTIONS(1618),
    [anon_sym_declare] = ACTIONS(1618),
    [anon_sym_public] = ACTIONS(1618),
    [anon_sym_private] = ACTIONS(1618),
    [anon_sym_protected] = ACTIONS(1618),
    [anon_sym_override] = ACTIONS(1618),
    [anon_sym_module] = ACTIONS(1618),
    [anon_sym_any] = ACTIONS(1618),
    [anon_sym_number] = ACTIONS(1618),
    [anon_sym_boolean] = ACTIONS(1618),
    [anon_sym_string] = ACTIONS(1618),
    [anon_sym_symbol] = ACTIONS(1618),
    [anon_sym_object] = ACTIONS(1618),
    [sym_html_comment] = ACTIONS(5),
  },
  [716] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2048),
    [sym_expression] = STATE(3393),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7260),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2048),
    [sym_subscript_expression] = STATE(2048),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3878),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7646),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(716),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2048),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1095),
    [anon_sym_export] = ACTIONS(1097),
    [anon_sym_type] = ACTIONS(1097),
    [anon_sym_namespace] = ACTIONS(1099),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(174),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1097),
    [anon_sym_BANG] = ACTIONS(174),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1109),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1111),
    [anon_sym_using] = ACTIONS(157),
    [anon_sym_PLUS] = ACTIONS(174),
    [anon_sym_DASH] = ACTIONS(174),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(174),
    [anon_sym_void] = ACTIONS(174),
    [anon_sym_delete] = ACTIONS(174),
    [anon_sym_PLUS_PLUS] = ACTIONS(1039),
    [anon_sym_DASH_DASH] = ACTIONS(1039),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(185),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1115),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1097),
    [anon_sym_readonly] = ACTIONS(1097),
    [anon_sym_get] = ACTIONS(1097),
    [anon_sym_set] = ACTIONS(1097),
    [anon_sym_declare] = ACTIONS(1097),
    [anon_sym_public] = ACTIONS(1097),
    [anon_sym_private] = ACTIONS(1097),
    [anon_sym_protected] = ACTIONS(1097),
    [anon_sym_override] = ACTIONS(1097),
    [anon_sym_module] = ACTIONS(1097),
    [anon_sym_any] = ACTIONS(1097),
    [anon_sym_number] = ACTIONS(1097),
    [anon_sym_boolean] = ACTIONS(1097),
    [anon_sym_string] = ACTIONS(1097),
    [anon_sym_symbol] = ACTIONS(1097),
    [anon_sym_object] = ACTIONS(1097),
    [sym_html_comment] = ACTIONS(5),
  },
  [717] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2048),
    [sym_expression] = STATE(3394),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7260),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2048),
    [sym_subscript_expression] = STATE(2048),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3878),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7646),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(717),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2048),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1095),
    [anon_sym_export] = ACTIONS(1097),
    [anon_sym_type] = ACTIONS(1097),
    [anon_sym_namespace] = ACTIONS(1099),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(174),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1097),
    [anon_sym_BANG] = ACTIONS(174),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1109),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1111),
    [anon_sym_using] = ACTIONS(157),
    [anon_sym_PLUS] = ACTIONS(174),
    [anon_sym_DASH] = ACTIONS(174),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(174),
    [anon_sym_void] = ACTIONS(174),
    [anon_sym_delete] = ACTIONS(174),
    [anon_sym_PLUS_PLUS] = ACTIONS(1039),
    [anon_sym_DASH_DASH] = ACTIONS(1039),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(185),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1115),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1097),
    [anon_sym_readonly] = ACTIONS(1097),
    [anon_sym_get] = ACTIONS(1097),
    [anon_sym_set] = ACTIONS(1097),
    [anon_sym_declare] = ACTIONS(1097),
    [anon_sym_public] = ACTIONS(1097),
    [anon_sym_private] = ACTIONS(1097),
    [anon_sym_protected] = ACTIONS(1097),
    [anon_sym_override] = ACTIONS(1097),
    [anon_sym_module] = ACTIONS(1097),
    [anon_sym_any] = ACTIONS(1097),
    [anon_sym_number] = ACTIONS(1097),
    [anon_sym_boolean] = ACTIONS(1097),
    [anon_sym_string] = ACTIONS(1097),
    [anon_sym_symbol] = ACTIONS(1097),
    [anon_sym_object] = ACTIONS(1097),
    [sym_html_comment] = ACTIONS(5),
  },
  [718] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2048),
    [sym_expression] = STATE(3396),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7260),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2048),
    [sym_subscript_expression] = STATE(2048),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3878),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7646),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(718),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2048),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1095),
    [anon_sym_export] = ACTIONS(1097),
    [anon_sym_type] = ACTIONS(1097),
    [anon_sym_namespace] = ACTIONS(1099),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(174),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1097),
    [anon_sym_BANG] = ACTIONS(174),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1109),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1111),
    [anon_sym_using] = ACTIONS(157),
    [anon_sym_PLUS] = ACTIONS(174),
    [anon_sym_DASH] = ACTIONS(174),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(174),
    [anon_sym_void] = ACTIONS(174),
    [anon_sym_delete] = ACTIONS(174),
    [anon_sym_PLUS_PLUS] = ACTIONS(1039),
    [anon_sym_DASH_DASH] = ACTIONS(1039),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(185),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1115),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1097),
    [anon_sym_readonly] = ACTIONS(1097),
    [anon_sym_get] = ACTIONS(1097),
    [anon_sym_set] = ACTIONS(1097),
    [anon_sym_declare] = ACTIONS(1097),
    [anon_sym_public] = ACTIONS(1097),
    [anon_sym_private] = ACTIONS(1097),
    [anon_sym_protected] = ACTIONS(1097),
    [anon_sym_override] = ACTIONS(1097),
    [anon_sym_module] = ACTIONS(1097),
    [anon_sym_any] = ACTIONS(1097),
    [anon_sym_number] = ACTIONS(1097),
    [anon_sym_boolean] = ACTIONS(1097),
    [anon_sym_string] = ACTIONS(1097),
    [anon_sym_symbol] = ACTIONS(1097),
    [anon_sym_object] = ACTIONS(1097),
    [sym_html_comment] = ACTIONS(5),
  },
  [719] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2048),
    [sym_expression] = STATE(3406),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7260),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2048),
    [sym_subscript_expression] = STATE(2048),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3878),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7646),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(719),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2048),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1095),
    [anon_sym_export] = ACTIONS(1097),
    [anon_sym_type] = ACTIONS(1097),
    [anon_sym_namespace] = ACTIONS(1099),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(174),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1097),
    [anon_sym_BANG] = ACTIONS(174),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1109),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1111),
    [anon_sym_using] = ACTIONS(157),
    [anon_sym_PLUS] = ACTIONS(174),
    [anon_sym_DASH] = ACTIONS(174),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(174),
    [anon_sym_void] = ACTIONS(174),
    [anon_sym_delete] = ACTIONS(174),
    [anon_sym_PLUS_PLUS] = ACTIONS(1039),
    [anon_sym_DASH_DASH] = ACTIONS(1039),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(185),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1115),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1097),
    [anon_sym_readonly] = ACTIONS(1097),
    [anon_sym_get] = ACTIONS(1097),
    [anon_sym_set] = ACTIONS(1097),
    [anon_sym_declare] = ACTIONS(1097),
    [anon_sym_public] = ACTIONS(1097),
    [anon_sym_private] = ACTIONS(1097),
    [anon_sym_protected] = ACTIONS(1097),
    [anon_sym_override] = ACTIONS(1097),
    [anon_sym_module] = ACTIONS(1097),
    [anon_sym_any] = ACTIONS(1097),
    [anon_sym_number] = ACTIONS(1097),
    [anon_sym_boolean] = ACTIONS(1097),
    [anon_sym_string] = ACTIONS(1097),
    [anon_sym_symbol] = ACTIONS(1097),
    [anon_sym_object] = ACTIONS(1097),
    [sym_html_comment] = ACTIONS(5),
  },
  [720] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2048),
    [sym_expression] = STATE(3408),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7260),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2048),
    [sym_subscript_expression] = STATE(2048),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3878),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7646),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(720),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2048),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1095),
    [anon_sym_export] = ACTIONS(1097),
    [anon_sym_type] = ACTIONS(1097),
    [anon_sym_namespace] = ACTIONS(1099),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(174),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1097),
    [anon_sym_BANG] = ACTIONS(174),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1109),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1111),
    [anon_sym_using] = ACTIONS(157),
    [anon_sym_PLUS] = ACTIONS(174),
    [anon_sym_DASH] = ACTIONS(174),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(174),
    [anon_sym_void] = ACTIONS(174),
    [anon_sym_delete] = ACTIONS(174),
    [anon_sym_PLUS_PLUS] = ACTIONS(1039),
    [anon_sym_DASH_DASH] = ACTIONS(1039),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(185),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1115),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1097),
    [anon_sym_readonly] = ACTIONS(1097),
    [anon_sym_get] = ACTIONS(1097),
    [anon_sym_set] = ACTIONS(1097),
    [anon_sym_declare] = ACTIONS(1097),
    [anon_sym_public] = ACTIONS(1097),
    [anon_sym_private] = ACTIONS(1097),
    [anon_sym_protected] = ACTIONS(1097),
    [anon_sym_override] = ACTIONS(1097),
    [anon_sym_module] = ACTIONS(1097),
    [anon_sym_any] = ACTIONS(1097),
    [anon_sym_number] = ACTIONS(1097),
    [anon_sym_boolean] = ACTIONS(1097),
    [anon_sym_string] = ACTIONS(1097),
    [anon_sym_symbol] = ACTIONS(1097),
    [anon_sym_object] = ACTIONS(1097),
    [sym_html_comment] = ACTIONS(5),
  },
  [721] = {
    [sym_import] = STATE(4369),
    [sym_parenthesized_expression] = STATE(2177),
    [sym_expression] = STATE(2753),
    [sym_primary_expression] = STATE(2990),
    [sym_yield_expression] = STATE(3139),
    [sym_object] = STATE(3113),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(3113),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(3139),
    [sym_glimmer_opening_tag] = STATE(5702),
    [sym_jsx_element] = STATE(3139),
    [sym_jsx_opening_element] = STATE(4008),
    [sym_jsx_self_closing_element] = STATE(3139),
    [sym_class] = STATE(3113),
    [sym_function_expression] = STATE(3113),
    [sym_generator_function] = STATE(3113),
    [sym_arrow_function] = STATE(3113),
    [sym__call_signature] = STATE(7486),
    [sym_call_expression] = STATE(3113),
    [sym_new_expression] = STATE(3139),
    [sym_await_expression] = STATE(3139),
    [sym_member_expression] = STATE(2177),
    [sym_subscript_expression] = STATE(2177),
    [sym_assignment_expression] = STATE(3139),
    [sym__augmented_assignment_lhs] = STATE(3835),
    [sym_augmented_assignment_expression] = STATE(3139),
    [sym__destructuring_pattern] = STATE(7484),
    [sym_ternary_expression] = STATE(3139),
    [sym_binary_expression] = STATE(3139),
    [sym_unary_expression] = STATE(3139),
    [sym_update_expression] = STATE(3139),
    [sym_string] = STATE(3113),
    [sym_comment] = STATE(721),
    [sym_template_string] = STATE(3113),
    [sym_regex] = STATE(3113),
    [sym_meta_property] = STATE(3113),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2177),
    [sym_as_expression] = STATE(3139),
    [sym_satisfies_expression] = STATE(3139),
    [sym_instantiation_expression] = STATE(3139),
    [sym_internal_module] = STATE(3139),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5555),
    [sym_identifier] = ACTIONS(1744),
    [anon_sym_export] = ACTIONS(1596),
    [anon_sym_type] = ACTIONS(1596),
    [anon_sym_namespace] = ACTIONS(1598),
    [anon_sym_LBRACE] = ACTIONS(1020),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1596),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1029),
    [anon_sym_async] = ACTIONS(1602),
    [anon_sym_function] = ACTIONS(1033),
    [anon_sym_new] = ACTIONS(1748),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1596),
    [anon_sym_readonly] = ACTIONS(1596),
    [anon_sym_get] = ACTIONS(1596),
    [anon_sym_set] = ACTIONS(1596),
    [anon_sym_declare] = ACTIONS(1596),
    [anon_sym_public] = ACTIONS(1596),
    [anon_sym_private] = ACTIONS(1596),
    [anon_sym_protected] = ACTIONS(1596),
    [anon_sym_override] = ACTIONS(1596),
    [anon_sym_module] = ACTIONS(1596),
    [anon_sym_any] = ACTIONS(1596),
    [anon_sym_number] = ACTIONS(1596),
    [anon_sym_boolean] = ACTIONS(1596),
    [anon_sym_string] = ACTIONS(1596),
    [anon_sym_symbol] = ACTIONS(1596),
    [anon_sym_object] = ACTIONS(1596),
    [sym_html_comment] = ACTIONS(5),
  },
  [722] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2048),
    [sym_expression] = STATE(3413),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7260),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2048),
    [sym_subscript_expression] = STATE(2048),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3878),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7646),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(722),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2048),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1095),
    [anon_sym_export] = ACTIONS(1097),
    [anon_sym_type] = ACTIONS(1097),
    [anon_sym_namespace] = ACTIONS(1099),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(174),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1097),
    [anon_sym_BANG] = ACTIONS(174),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1109),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1111),
    [anon_sym_using] = ACTIONS(157),
    [anon_sym_PLUS] = ACTIONS(174),
    [anon_sym_DASH] = ACTIONS(174),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(174),
    [anon_sym_void] = ACTIONS(174),
    [anon_sym_delete] = ACTIONS(174),
    [anon_sym_PLUS_PLUS] = ACTIONS(1039),
    [anon_sym_DASH_DASH] = ACTIONS(1039),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(185),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1115),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1097),
    [anon_sym_readonly] = ACTIONS(1097),
    [anon_sym_get] = ACTIONS(1097),
    [anon_sym_set] = ACTIONS(1097),
    [anon_sym_declare] = ACTIONS(1097),
    [anon_sym_public] = ACTIONS(1097),
    [anon_sym_private] = ACTIONS(1097),
    [anon_sym_protected] = ACTIONS(1097),
    [anon_sym_override] = ACTIONS(1097),
    [anon_sym_module] = ACTIONS(1097),
    [anon_sym_any] = ACTIONS(1097),
    [anon_sym_number] = ACTIONS(1097),
    [anon_sym_boolean] = ACTIONS(1097),
    [anon_sym_string] = ACTIONS(1097),
    [anon_sym_symbol] = ACTIONS(1097),
    [anon_sym_object] = ACTIONS(1097),
    [sym_html_comment] = ACTIONS(5),
  },
  [723] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2048),
    [sym_expression] = STATE(3412),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7260),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2048),
    [sym_subscript_expression] = STATE(2048),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3878),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7646),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(723),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2048),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1095),
    [anon_sym_export] = ACTIONS(1097),
    [anon_sym_type] = ACTIONS(1097),
    [anon_sym_namespace] = ACTIONS(1099),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(174),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1097),
    [anon_sym_BANG] = ACTIONS(174),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1109),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1111),
    [anon_sym_using] = ACTIONS(157),
    [anon_sym_PLUS] = ACTIONS(174),
    [anon_sym_DASH] = ACTIONS(174),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(174),
    [anon_sym_void] = ACTIONS(174),
    [anon_sym_delete] = ACTIONS(174),
    [anon_sym_PLUS_PLUS] = ACTIONS(1039),
    [anon_sym_DASH_DASH] = ACTIONS(1039),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(185),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1115),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1097),
    [anon_sym_readonly] = ACTIONS(1097),
    [anon_sym_get] = ACTIONS(1097),
    [anon_sym_set] = ACTIONS(1097),
    [anon_sym_declare] = ACTIONS(1097),
    [anon_sym_public] = ACTIONS(1097),
    [anon_sym_private] = ACTIONS(1097),
    [anon_sym_protected] = ACTIONS(1097),
    [anon_sym_override] = ACTIONS(1097),
    [anon_sym_module] = ACTIONS(1097),
    [anon_sym_any] = ACTIONS(1097),
    [anon_sym_number] = ACTIONS(1097),
    [anon_sym_boolean] = ACTIONS(1097),
    [anon_sym_string] = ACTIONS(1097),
    [anon_sym_symbol] = ACTIONS(1097),
    [anon_sym_object] = ACTIONS(1097),
    [sym_html_comment] = ACTIONS(5),
  },
  [724] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2248),
    [sym_expression] = STATE(3316),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7502),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2248),
    [sym_subscript_expression] = STATE(2248),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3928),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7561),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(724),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2248),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1774),
    [anon_sym_export] = ACTIONS(1618),
    [anon_sym_type] = ACTIONS(1618),
    [anon_sym_namespace] = ACTIONS(1620),
    [anon_sym_LBRACE] = ACTIONS(1127),
    [anon_sym_typeof] = ACTIONS(1624),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1618),
    [anon_sym_BANG] = ACTIONS(1624),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1626),
    [anon_sym_yield] = ACTIONS(1628),
    [anon_sym_LBRACK] = ACTIONS(1129),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1630),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1778),
    [anon_sym_using] = ACTIONS(1634),
    [anon_sym_PLUS] = ACTIONS(1624),
    [anon_sym_DASH] = ACTIONS(1624),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(1624),
    [anon_sym_void] = ACTIONS(1624),
    [anon_sym_delete] = ACTIONS(1624),
    [anon_sym_PLUS_PLUS] = ACTIONS(1640),
    [anon_sym_DASH_DASH] = ACTIONS(1640),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(1642),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1780),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1618),
    [anon_sym_readonly] = ACTIONS(1618),
    [anon_sym_get] = ACTIONS(1618),
    [anon_sym_set] = ACTIONS(1618),
    [anon_sym_declare] = ACTIONS(1618),
    [anon_sym_public] = ACTIONS(1618),
    [anon_sym_private] = ACTIONS(1618),
    [anon_sym_protected] = ACTIONS(1618),
    [anon_sym_override] = ACTIONS(1618),
    [anon_sym_module] = ACTIONS(1618),
    [anon_sym_any] = ACTIONS(1618),
    [anon_sym_number] = ACTIONS(1618),
    [anon_sym_boolean] = ACTIONS(1618),
    [anon_sym_string] = ACTIONS(1618),
    [anon_sym_symbol] = ACTIONS(1618),
    [anon_sym_object] = ACTIONS(1618),
    [sym_html_comment] = ACTIONS(5),
  },
  [725] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2048),
    [sym_expression] = STATE(3401),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7260),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2048),
    [sym_subscript_expression] = STATE(2048),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3878),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7646),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(725),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2048),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1095),
    [anon_sym_export] = ACTIONS(1097),
    [anon_sym_type] = ACTIONS(1097),
    [anon_sym_namespace] = ACTIONS(1099),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(174),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1097),
    [anon_sym_BANG] = ACTIONS(174),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1109),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1111),
    [anon_sym_using] = ACTIONS(157),
    [anon_sym_PLUS] = ACTIONS(174),
    [anon_sym_DASH] = ACTIONS(174),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(174),
    [anon_sym_void] = ACTIONS(174),
    [anon_sym_delete] = ACTIONS(174),
    [anon_sym_PLUS_PLUS] = ACTIONS(1039),
    [anon_sym_DASH_DASH] = ACTIONS(1039),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(185),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1115),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1097),
    [anon_sym_readonly] = ACTIONS(1097),
    [anon_sym_get] = ACTIONS(1097),
    [anon_sym_set] = ACTIONS(1097),
    [anon_sym_declare] = ACTIONS(1097),
    [anon_sym_public] = ACTIONS(1097),
    [anon_sym_private] = ACTIONS(1097),
    [anon_sym_protected] = ACTIONS(1097),
    [anon_sym_override] = ACTIONS(1097),
    [anon_sym_module] = ACTIONS(1097),
    [anon_sym_any] = ACTIONS(1097),
    [anon_sym_number] = ACTIONS(1097),
    [anon_sym_boolean] = ACTIONS(1097),
    [anon_sym_string] = ACTIONS(1097),
    [anon_sym_symbol] = ACTIONS(1097),
    [anon_sym_object] = ACTIONS(1097),
    [sym_html_comment] = ACTIONS(5),
  },
  [726] = {
    [sym_import] = STATE(4369),
    [sym_parenthesized_expression] = STATE(2177),
    [sym_expression] = STATE(2702),
    [sym_primary_expression] = STATE(2990),
    [sym_yield_expression] = STATE(3139),
    [sym_object] = STATE(3113),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(3113),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(3139),
    [sym_glimmer_opening_tag] = STATE(5702),
    [sym_jsx_element] = STATE(3139),
    [sym_jsx_opening_element] = STATE(4008),
    [sym_jsx_self_closing_element] = STATE(3139),
    [sym_class] = STATE(3113),
    [sym_function_expression] = STATE(3113),
    [sym_generator_function] = STATE(3113),
    [sym_arrow_function] = STATE(3113),
    [sym__call_signature] = STATE(7486),
    [sym_call_expression] = STATE(3113),
    [sym_new_expression] = STATE(3139),
    [sym_await_expression] = STATE(3139),
    [sym_member_expression] = STATE(2177),
    [sym_subscript_expression] = STATE(2177),
    [sym_assignment_expression] = STATE(3139),
    [sym__augmented_assignment_lhs] = STATE(3835),
    [sym_augmented_assignment_expression] = STATE(3139),
    [sym__destructuring_pattern] = STATE(7484),
    [sym_ternary_expression] = STATE(3139),
    [sym_binary_expression] = STATE(3139),
    [sym_unary_expression] = STATE(3139),
    [sym_update_expression] = STATE(3139),
    [sym_string] = STATE(3113),
    [sym_comment] = STATE(726),
    [sym_template_string] = STATE(3113),
    [sym_regex] = STATE(3113),
    [sym_meta_property] = STATE(3113),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2177),
    [sym_as_expression] = STATE(3139),
    [sym_satisfies_expression] = STATE(3139),
    [sym_instantiation_expression] = STATE(3139),
    [sym_internal_module] = STATE(3139),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5555),
    [sym_identifier] = ACTIONS(1744),
    [anon_sym_export] = ACTIONS(1596),
    [anon_sym_type] = ACTIONS(1596),
    [anon_sym_namespace] = ACTIONS(1598),
    [anon_sym_LBRACE] = ACTIONS(1020),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1596),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1029),
    [anon_sym_async] = ACTIONS(1602),
    [anon_sym_function] = ACTIONS(1033),
    [anon_sym_new] = ACTIONS(1748),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1596),
    [anon_sym_readonly] = ACTIONS(1596),
    [anon_sym_get] = ACTIONS(1596),
    [anon_sym_set] = ACTIONS(1596),
    [anon_sym_declare] = ACTIONS(1596),
    [anon_sym_public] = ACTIONS(1596),
    [anon_sym_private] = ACTIONS(1596),
    [anon_sym_protected] = ACTIONS(1596),
    [anon_sym_override] = ACTIONS(1596),
    [anon_sym_module] = ACTIONS(1596),
    [anon_sym_any] = ACTIONS(1596),
    [anon_sym_number] = ACTIONS(1596),
    [anon_sym_boolean] = ACTIONS(1596),
    [anon_sym_string] = ACTIONS(1596),
    [anon_sym_symbol] = ACTIONS(1596),
    [anon_sym_object] = ACTIONS(1596),
    [sym_html_comment] = ACTIONS(5),
  },
  [727] = {
    [sym_import] = STATE(4369),
    [sym_parenthesized_expression] = STATE(2177),
    [sym_expression] = STATE(2696),
    [sym_primary_expression] = STATE(2990),
    [sym_yield_expression] = STATE(3139),
    [sym_object] = STATE(3113),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(3113),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(3139),
    [sym_glimmer_opening_tag] = STATE(5702),
    [sym_jsx_element] = STATE(3139),
    [sym_jsx_opening_element] = STATE(4008),
    [sym_jsx_self_closing_element] = STATE(3139),
    [sym_class] = STATE(3113),
    [sym_function_expression] = STATE(3113),
    [sym_generator_function] = STATE(3113),
    [sym_arrow_function] = STATE(3113),
    [sym__call_signature] = STATE(7486),
    [sym_call_expression] = STATE(3113),
    [sym_new_expression] = STATE(3139),
    [sym_await_expression] = STATE(3139),
    [sym_member_expression] = STATE(2177),
    [sym_subscript_expression] = STATE(2177),
    [sym_assignment_expression] = STATE(3139),
    [sym__augmented_assignment_lhs] = STATE(3835),
    [sym_augmented_assignment_expression] = STATE(3139),
    [sym__destructuring_pattern] = STATE(7484),
    [sym_ternary_expression] = STATE(3139),
    [sym_binary_expression] = STATE(3139),
    [sym_unary_expression] = STATE(3139),
    [sym_update_expression] = STATE(3139),
    [sym_string] = STATE(3113),
    [sym_comment] = STATE(727),
    [sym_template_string] = STATE(3113),
    [sym_regex] = STATE(3113),
    [sym_meta_property] = STATE(3113),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2177),
    [sym_as_expression] = STATE(3139),
    [sym_satisfies_expression] = STATE(3139),
    [sym_instantiation_expression] = STATE(3139),
    [sym_internal_module] = STATE(3139),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5555),
    [sym_identifier] = ACTIONS(1744),
    [anon_sym_export] = ACTIONS(1596),
    [anon_sym_type] = ACTIONS(1596),
    [anon_sym_namespace] = ACTIONS(1598),
    [anon_sym_LBRACE] = ACTIONS(1020),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1596),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1029),
    [anon_sym_async] = ACTIONS(1602),
    [anon_sym_function] = ACTIONS(1033),
    [anon_sym_new] = ACTIONS(1748),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1596),
    [anon_sym_readonly] = ACTIONS(1596),
    [anon_sym_get] = ACTIONS(1596),
    [anon_sym_set] = ACTIONS(1596),
    [anon_sym_declare] = ACTIONS(1596),
    [anon_sym_public] = ACTIONS(1596),
    [anon_sym_private] = ACTIONS(1596),
    [anon_sym_protected] = ACTIONS(1596),
    [anon_sym_override] = ACTIONS(1596),
    [anon_sym_module] = ACTIONS(1596),
    [anon_sym_any] = ACTIONS(1596),
    [anon_sym_number] = ACTIONS(1596),
    [anon_sym_boolean] = ACTIONS(1596),
    [anon_sym_string] = ACTIONS(1596),
    [anon_sym_symbol] = ACTIONS(1596),
    [anon_sym_object] = ACTIONS(1596),
    [sym_html_comment] = ACTIONS(5),
  },
  [728] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2048),
    [sym_expression] = STATE(3375),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7260),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2048),
    [sym_subscript_expression] = STATE(2048),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3878),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7646),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(728),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2048),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1095),
    [anon_sym_export] = ACTIONS(1097),
    [anon_sym_type] = ACTIONS(1097),
    [anon_sym_namespace] = ACTIONS(1099),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(174),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1097),
    [anon_sym_BANG] = ACTIONS(174),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1109),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1111),
    [anon_sym_using] = ACTIONS(157),
    [anon_sym_PLUS] = ACTIONS(174),
    [anon_sym_DASH] = ACTIONS(174),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(174),
    [anon_sym_void] = ACTIONS(174),
    [anon_sym_delete] = ACTIONS(174),
    [anon_sym_PLUS_PLUS] = ACTIONS(1039),
    [anon_sym_DASH_DASH] = ACTIONS(1039),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(185),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1115),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1097),
    [anon_sym_readonly] = ACTIONS(1097),
    [anon_sym_get] = ACTIONS(1097),
    [anon_sym_set] = ACTIONS(1097),
    [anon_sym_declare] = ACTIONS(1097),
    [anon_sym_public] = ACTIONS(1097),
    [anon_sym_private] = ACTIONS(1097),
    [anon_sym_protected] = ACTIONS(1097),
    [anon_sym_override] = ACTIONS(1097),
    [anon_sym_module] = ACTIONS(1097),
    [anon_sym_any] = ACTIONS(1097),
    [anon_sym_number] = ACTIONS(1097),
    [anon_sym_boolean] = ACTIONS(1097),
    [anon_sym_string] = ACTIONS(1097),
    [anon_sym_symbol] = ACTIONS(1097),
    [anon_sym_object] = ACTIONS(1097),
    [sym_html_comment] = ACTIONS(5),
  },
  [729] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2151),
    [sym_expression] = STATE(2441),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7643),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2151),
    [sym_subscript_expression] = STATE(2151),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3918),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7259),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(729),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2151),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1724),
    [anon_sym_export] = ACTIONS(1452),
    [anon_sym_type] = ACTIONS(1452),
    [anon_sym_namespace] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(1127),
    [anon_sym_typeof] = ACTIONS(968),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1452),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(1129),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1462),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1730),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_PLUS] = ACTIONS(968),
    [anon_sym_DASH] = ACTIONS(968),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(968),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1732),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1452),
    [anon_sym_readonly] = ACTIONS(1452),
    [anon_sym_get] = ACTIONS(1452),
    [anon_sym_set] = ACTIONS(1452),
    [anon_sym_declare] = ACTIONS(1452),
    [anon_sym_public] = ACTIONS(1452),
    [anon_sym_private] = ACTIONS(1452),
    [anon_sym_protected] = ACTIONS(1452),
    [anon_sym_override] = ACTIONS(1452),
    [anon_sym_module] = ACTIONS(1452),
    [anon_sym_any] = ACTIONS(1452),
    [anon_sym_number] = ACTIONS(1452),
    [anon_sym_boolean] = ACTIONS(1452),
    [anon_sym_string] = ACTIONS(1452),
    [anon_sym_symbol] = ACTIONS(1452),
    [anon_sym_object] = ACTIONS(1452),
    [sym_html_comment] = ACTIONS(5),
  },
  [730] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2248),
    [sym_expression] = STATE(3220),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7502),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2248),
    [sym_subscript_expression] = STATE(2248),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3928),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7561),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(730),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2248),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1774),
    [anon_sym_export] = ACTIONS(1618),
    [anon_sym_type] = ACTIONS(1618),
    [anon_sym_namespace] = ACTIONS(1620),
    [anon_sym_LBRACE] = ACTIONS(1127),
    [anon_sym_typeof] = ACTIONS(1624),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1618),
    [anon_sym_BANG] = ACTIONS(1624),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1626),
    [anon_sym_yield] = ACTIONS(1628),
    [anon_sym_LBRACK] = ACTIONS(1129),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1630),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1778),
    [anon_sym_using] = ACTIONS(1634),
    [anon_sym_PLUS] = ACTIONS(1624),
    [anon_sym_DASH] = ACTIONS(1624),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(1624),
    [anon_sym_void] = ACTIONS(1624),
    [anon_sym_delete] = ACTIONS(1624),
    [anon_sym_PLUS_PLUS] = ACTIONS(1640),
    [anon_sym_DASH_DASH] = ACTIONS(1640),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(1642),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1780),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1618),
    [anon_sym_readonly] = ACTIONS(1618),
    [anon_sym_get] = ACTIONS(1618),
    [anon_sym_set] = ACTIONS(1618),
    [anon_sym_declare] = ACTIONS(1618),
    [anon_sym_public] = ACTIONS(1618),
    [anon_sym_private] = ACTIONS(1618),
    [anon_sym_protected] = ACTIONS(1618),
    [anon_sym_override] = ACTIONS(1618),
    [anon_sym_module] = ACTIONS(1618),
    [anon_sym_any] = ACTIONS(1618),
    [anon_sym_number] = ACTIONS(1618),
    [anon_sym_boolean] = ACTIONS(1618),
    [anon_sym_string] = ACTIONS(1618),
    [anon_sym_symbol] = ACTIONS(1618),
    [anon_sym_object] = ACTIONS(1618),
    [sym_html_comment] = ACTIONS(5),
  },
  [731] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2239),
    [sym_expression] = STATE(3155),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7446),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2239),
    [sym_subscript_expression] = STATE(2239),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3938),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7450),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(731),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2239),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1782),
    [anon_sym_export] = ACTIONS(1408),
    [anon_sym_type] = ACTIONS(1408),
    [anon_sym_namespace] = ACTIONS(1410),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(1416),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1408),
    [anon_sym_BANG] = ACTIONS(1416),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1418),
    [anon_sym_yield] = ACTIONS(1420),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1424),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1786),
    [anon_sym_using] = ACTIONS(1428),
    [anon_sym_PLUS] = ACTIONS(1416),
    [anon_sym_DASH] = ACTIONS(1416),
    [anon_sym_SLASH] = ACTIONS(1290),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(1416),
    [anon_sym_void] = ACTIONS(1416),
    [anon_sym_delete] = ACTIONS(1416),
    [anon_sym_PLUS_PLUS] = ACTIONS(1434),
    [anon_sym_DASH_DASH] = ACTIONS(1434),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(1440),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1788),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1408),
    [anon_sym_readonly] = ACTIONS(1408),
    [anon_sym_get] = ACTIONS(1408),
    [anon_sym_set] = ACTIONS(1408),
    [anon_sym_declare] = ACTIONS(1408),
    [anon_sym_public] = ACTIONS(1408),
    [anon_sym_private] = ACTIONS(1408),
    [anon_sym_protected] = ACTIONS(1408),
    [anon_sym_override] = ACTIONS(1408),
    [anon_sym_module] = ACTIONS(1408),
    [anon_sym_any] = ACTIONS(1408),
    [anon_sym_number] = ACTIONS(1408),
    [anon_sym_boolean] = ACTIONS(1408),
    [anon_sym_string] = ACTIONS(1408),
    [anon_sym_symbol] = ACTIONS(1408),
    [anon_sym_object] = ACTIONS(1408),
    [sym_html_comment] = ACTIONS(5),
  },
  [732] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2248),
    [sym_expression] = STATE(3315),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7502),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2248),
    [sym_subscript_expression] = STATE(2248),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3928),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7561),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(732),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2248),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1774),
    [anon_sym_export] = ACTIONS(1618),
    [anon_sym_type] = ACTIONS(1618),
    [anon_sym_namespace] = ACTIONS(1620),
    [anon_sym_LBRACE] = ACTIONS(1127),
    [anon_sym_typeof] = ACTIONS(1624),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1618),
    [anon_sym_BANG] = ACTIONS(1624),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1626),
    [anon_sym_yield] = ACTIONS(1628),
    [anon_sym_LBRACK] = ACTIONS(1129),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1630),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1778),
    [anon_sym_using] = ACTIONS(1634),
    [anon_sym_PLUS] = ACTIONS(1624),
    [anon_sym_DASH] = ACTIONS(1624),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(1624),
    [anon_sym_void] = ACTIONS(1624),
    [anon_sym_delete] = ACTIONS(1624),
    [anon_sym_PLUS_PLUS] = ACTIONS(1640),
    [anon_sym_DASH_DASH] = ACTIONS(1640),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(1642),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1780),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1618),
    [anon_sym_readonly] = ACTIONS(1618),
    [anon_sym_get] = ACTIONS(1618),
    [anon_sym_set] = ACTIONS(1618),
    [anon_sym_declare] = ACTIONS(1618),
    [anon_sym_public] = ACTIONS(1618),
    [anon_sym_private] = ACTIONS(1618),
    [anon_sym_protected] = ACTIONS(1618),
    [anon_sym_override] = ACTIONS(1618),
    [anon_sym_module] = ACTIONS(1618),
    [anon_sym_any] = ACTIONS(1618),
    [anon_sym_number] = ACTIONS(1618),
    [anon_sym_boolean] = ACTIONS(1618),
    [anon_sym_string] = ACTIONS(1618),
    [anon_sym_symbol] = ACTIONS(1618),
    [anon_sym_object] = ACTIONS(1618),
    [sym_html_comment] = ACTIONS(5),
  },
  [733] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2248),
    [sym_expression] = STATE(3067),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7502),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2248),
    [sym_subscript_expression] = STATE(2248),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3928),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7561),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(733),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2248),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1774),
    [anon_sym_export] = ACTIONS(1618),
    [anon_sym_type] = ACTIONS(1618),
    [anon_sym_namespace] = ACTIONS(1620),
    [anon_sym_LBRACE] = ACTIONS(1127),
    [anon_sym_typeof] = ACTIONS(1624),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1618),
    [anon_sym_BANG] = ACTIONS(1624),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1626),
    [anon_sym_yield] = ACTIONS(1628),
    [anon_sym_LBRACK] = ACTIONS(1129),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1630),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1778),
    [anon_sym_using] = ACTIONS(1634),
    [anon_sym_PLUS] = ACTIONS(1624),
    [anon_sym_DASH] = ACTIONS(1624),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(1624),
    [anon_sym_void] = ACTIONS(1624),
    [anon_sym_delete] = ACTIONS(1624),
    [anon_sym_PLUS_PLUS] = ACTIONS(1640),
    [anon_sym_DASH_DASH] = ACTIONS(1640),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(1642),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1780),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1618),
    [anon_sym_readonly] = ACTIONS(1618),
    [anon_sym_get] = ACTIONS(1618),
    [anon_sym_set] = ACTIONS(1618),
    [anon_sym_declare] = ACTIONS(1618),
    [anon_sym_public] = ACTIONS(1618),
    [anon_sym_private] = ACTIONS(1618),
    [anon_sym_protected] = ACTIONS(1618),
    [anon_sym_override] = ACTIONS(1618),
    [anon_sym_module] = ACTIONS(1618),
    [anon_sym_any] = ACTIONS(1618),
    [anon_sym_number] = ACTIONS(1618),
    [anon_sym_boolean] = ACTIONS(1618),
    [anon_sym_string] = ACTIONS(1618),
    [anon_sym_symbol] = ACTIONS(1618),
    [anon_sym_object] = ACTIONS(1618),
    [sym_html_comment] = ACTIONS(5),
  },
  [734] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2248),
    [sym_expression] = STATE(3285),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7502),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2248),
    [sym_subscript_expression] = STATE(2248),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3928),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7561),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(734),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2248),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1774),
    [anon_sym_export] = ACTIONS(1618),
    [anon_sym_type] = ACTIONS(1618),
    [anon_sym_namespace] = ACTIONS(1620),
    [anon_sym_LBRACE] = ACTIONS(1127),
    [anon_sym_typeof] = ACTIONS(1624),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1618),
    [anon_sym_BANG] = ACTIONS(1624),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1626),
    [anon_sym_yield] = ACTIONS(1628),
    [anon_sym_LBRACK] = ACTIONS(1129),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1630),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1778),
    [anon_sym_using] = ACTIONS(1634),
    [anon_sym_PLUS] = ACTIONS(1624),
    [anon_sym_DASH] = ACTIONS(1624),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(1624),
    [anon_sym_void] = ACTIONS(1624),
    [anon_sym_delete] = ACTIONS(1624),
    [anon_sym_PLUS_PLUS] = ACTIONS(1640),
    [anon_sym_DASH_DASH] = ACTIONS(1640),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(1642),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1780),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1618),
    [anon_sym_readonly] = ACTIONS(1618),
    [anon_sym_get] = ACTIONS(1618),
    [anon_sym_set] = ACTIONS(1618),
    [anon_sym_declare] = ACTIONS(1618),
    [anon_sym_public] = ACTIONS(1618),
    [anon_sym_private] = ACTIONS(1618),
    [anon_sym_protected] = ACTIONS(1618),
    [anon_sym_override] = ACTIONS(1618),
    [anon_sym_module] = ACTIONS(1618),
    [anon_sym_any] = ACTIONS(1618),
    [anon_sym_number] = ACTIONS(1618),
    [anon_sym_boolean] = ACTIONS(1618),
    [anon_sym_string] = ACTIONS(1618),
    [anon_sym_symbol] = ACTIONS(1618),
    [anon_sym_object] = ACTIONS(1618),
    [sym_html_comment] = ACTIONS(5),
  },
  [735] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2229),
    [sym_expression] = STATE(2918),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7175),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2229),
    [sym_subscript_expression] = STATE(2229),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3935),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7438),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(735),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2229),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1766),
    [anon_sym_export] = ACTIONS(1482),
    [anon_sym_type] = ACTIONS(1482),
    [anon_sym_namespace] = ACTIONS(1484),
    [anon_sym_LBRACE] = ACTIONS(1127),
    [anon_sym_typeof] = ACTIONS(1490),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1482),
    [anon_sym_BANG] = ACTIONS(1490),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1492),
    [anon_sym_yield] = ACTIONS(1494),
    [anon_sym_LBRACK] = ACTIONS(1129),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1496),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1770),
    [anon_sym_using] = ACTIONS(1500),
    [anon_sym_PLUS] = ACTIONS(1490),
    [anon_sym_DASH] = ACTIONS(1490),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(1490),
    [anon_sym_void] = ACTIONS(1490),
    [anon_sym_delete] = ACTIONS(1490),
    [anon_sym_PLUS_PLUS] = ACTIONS(1506),
    [anon_sym_DASH_DASH] = ACTIONS(1506),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(1508),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1772),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1482),
    [anon_sym_readonly] = ACTIONS(1482),
    [anon_sym_get] = ACTIONS(1482),
    [anon_sym_set] = ACTIONS(1482),
    [anon_sym_declare] = ACTIONS(1482),
    [anon_sym_public] = ACTIONS(1482),
    [anon_sym_private] = ACTIONS(1482),
    [anon_sym_protected] = ACTIONS(1482),
    [anon_sym_override] = ACTIONS(1482),
    [anon_sym_module] = ACTIONS(1482),
    [anon_sym_any] = ACTIONS(1482),
    [anon_sym_number] = ACTIONS(1482),
    [anon_sym_boolean] = ACTIONS(1482),
    [anon_sym_string] = ACTIONS(1482),
    [anon_sym_symbol] = ACTIONS(1482),
    [anon_sym_object] = ACTIONS(1482),
    [sym_html_comment] = ACTIONS(5),
  },
  [736] = {
    [sym_import] = STATE(4369),
    [sym_parenthesized_expression] = STATE(2177),
    [sym_expression] = STATE(2655),
    [sym_primary_expression] = STATE(2990),
    [sym_yield_expression] = STATE(3139),
    [sym_object] = STATE(3113),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(3113),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(3139),
    [sym_glimmer_opening_tag] = STATE(5702),
    [sym_jsx_element] = STATE(3139),
    [sym_jsx_opening_element] = STATE(4008),
    [sym_jsx_self_closing_element] = STATE(3139),
    [sym_class] = STATE(3113),
    [sym_function_expression] = STATE(3113),
    [sym_generator_function] = STATE(3113),
    [sym_arrow_function] = STATE(3113),
    [sym__call_signature] = STATE(7486),
    [sym_call_expression] = STATE(3113),
    [sym_new_expression] = STATE(3139),
    [sym_await_expression] = STATE(3139),
    [sym_member_expression] = STATE(2177),
    [sym_subscript_expression] = STATE(2177),
    [sym_assignment_expression] = STATE(3139),
    [sym__augmented_assignment_lhs] = STATE(3835),
    [sym_augmented_assignment_expression] = STATE(3139),
    [sym__destructuring_pattern] = STATE(7484),
    [sym_ternary_expression] = STATE(3139),
    [sym_binary_expression] = STATE(3139),
    [sym_unary_expression] = STATE(3139),
    [sym_update_expression] = STATE(3139),
    [sym_string] = STATE(3113),
    [sym_comment] = STATE(736),
    [sym_template_string] = STATE(3113),
    [sym_regex] = STATE(3113),
    [sym_meta_property] = STATE(3113),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2177),
    [sym_as_expression] = STATE(3139),
    [sym_satisfies_expression] = STATE(3139),
    [sym_instantiation_expression] = STATE(3139),
    [sym_internal_module] = STATE(3139),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5555),
    [sym_identifier] = ACTIONS(1744),
    [anon_sym_export] = ACTIONS(1596),
    [anon_sym_type] = ACTIONS(1596),
    [anon_sym_namespace] = ACTIONS(1598),
    [anon_sym_LBRACE] = ACTIONS(1020),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1596),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1029),
    [anon_sym_async] = ACTIONS(1602),
    [anon_sym_function] = ACTIONS(1033),
    [anon_sym_new] = ACTIONS(1748),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1596),
    [anon_sym_readonly] = ACTIONS(1596),
    [anon_sym_get] = ACTIONS(1596),
    [anon_sym_set] = ACTIONS(1596),
    [anon_sym_declare] = ACTIONS(1596),
    [anon_sym_public] = ACTIONS(1596),
    [anon_sym_private] = ACTIONS(1596),
    [anon_sym_protected] = ACTIONS(1596),
    [anon_sym_override] = ACTIONS(1596),
    [anon_sym_module] = ACTIONS(1596),
    [anon_sym_any] = ACTIONS(1596),
    [anon_sym_number] = ACTIONS(1596),
    [anon_sym_boolean] = ACTIONS(1596),
    [anon_sym_string] = ACTIONS(1596),
    [anon_sym_symbol] = ACTIONS(1596),
    [anon_sym_object] = ACTIONS(1596),
    [sym_html_comment] = ACTIONS(5),
  },
  [737] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2048),
    [sym_expression] = STATE(3373),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7260),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2048),
    [sym_subscript_expression] = STATE(2048),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3878),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7646),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(737),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2048),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1095),
    [anon_sym_export] = ACTIONS(1097),
    [anon_sym_type] = ACTIONS(1097),
    [anon_sym_namespace] = ACTIONS(1099),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(174),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1097),
    [anon_sym_BANG] = ACTIONS(174),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1109),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1111),
    [anon_sym_using] = ACTIONS(157),
    [anon_sym_PLUS] = ACTIONS(174),
    [anon_sym_DASH] = ACTIONS(174),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(174),
    [anon_sym_void] = ACTIONS(174),
    [anon_sym_delete] = ACTIONS(174),
    [anon_sym_PLUS_PLUS] = ACTIONS(1039),
    [anon_sym_DASH_DASH] = ACTIONS(1039),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(2531),
    [sym_private_property_identifier] = ACTIONS(185),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1115),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1097),
    [anon_sym_readonly] = ACTIONS(1097),
    [anon_sym_get] = ACTIONS(1097),
    [anon_sym_set] = ACTIONS(1097),
    [anon_sym_declare] = ACTIONS(1097),
    [anon_sym_public] = ACTIONS(1097),
    [anon_sym_private] = ACTIONS(1097),
    [anon_sym_protected] = ACTIONS(1097),
    [anon_sym_override] = ACTIONS(1097),
    [anon_sym_module] = ACTIONS(1097),
    [anon_sym_any] = ACTIONS(1097),
    [anon_sym_number] = ACTIONS(1097),
    [anon_sym_boolean] = ACTIONS(1097),
    [anon_sym_string] = ACTIONS(1097),
    [anon_sym_symbol] = ACTIONS(1097),
    [anon_sym_object] = ACTIONS(1097),
    [sym_html_comment] = ACTIONS(5),
  },
  [738] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2151),
    [sym_expression] = STATE(2657),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7643),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2185),
    [sym_subscript_expression] = STATE(2185),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3918),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(5123),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(738),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2185),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(2575),
    [anon_sym_export] = ACTIONS(1708),
    [anon_sym_type] = ACTIONS(1708),
    [anon_sym_namespace] = ACTIONS(1710),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(968),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1708),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1714),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(2577),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_PLUS] = ACTIONS(968),
    [anon_sym_DASH] = ACTIONS(968),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(968),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(2579),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1708),
    [anon_sym_readonly] = ACTIONS(1708),
    [anon_sym_get] = ACTIONS(1708),
    [anon_sym_set] = ACTIONS(1708),
    [anon_sym_declare] = ACTIONS(1708),
    [anon_sym_public] = ACTIONS(1708),
    [anon_sym_private] = ACTIONS(1708),
    [anon_sym_protected] = ACTIONS(1708),
    [anon_sym_override] = ACTIONS(1708),
    [anon_sym_module] = ACTIONS(1708),
    [anon_sym_any] = ACTIONS(1708),
    [anon_sym_number] = ACTIONS(1708),
    [anon_sym_boolean] = ACTIONS(1708),
    [anon_sym_string] = ACTIONS(1708),
    [anon_sym_symbol] = ACTIONS(1708),
    [anon_sym_object] = ACTIONS(1708),
    [sym_html_comment] = ACTIONS(5),
  },
  [739] = {
    [sym_import] = STATE(4369),
    [sym_parenthesized_expression] = STATE(2177),
    [sym_expression] = STATE(2538),
    [sym_primary_expression] = STATE(2990),
    [sym_yield_expression] = STATE(3139),
    [sym_object] = STATE(3113),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(3113),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(3139),
    [sym_glimmer_opening_tag] = STATE(5702),
    [sym_jsx_element] = STATE(3139),
    [sym_jsx_opening_element] = STATE(4008),
    [sym_jsx_self_closing_element] = STATE(3139),
    [sym_class] = STATE(3113),
    [sym_function_expression] = STATE(3113),
    [sym_generator_function] = STATE(3113),
    [sym_arrow_function] = STATE(3113),
    [sym__call_signature] = STATE(7486),
    [sym_call_expression] = STATE(3113),
    [sym_new_expression] = STATE(3139),
    [sym_await_expression] = STATE(3139),
    [sym_member_expression] = STATE(2177),
    [sym_subscript_expression] = STATE(2177),
    [sym_assignment_expression] = STATE(3139),
    [sym__augmented_assignment_lhs] = STATE(3835),
    [sym_augmented_assignment_expression] = STATE(3139),
    [sym__destructuring_pattern] = STATE(7484),
    [sym_ternary_expression] = STATE(3139),
    [sym_binary_expression] = STATE(3139),
    [sym_unary_expression] = STATE(3139),
    [sym_update_expression] = STATE(3139),
    [sym_string] = STATE(3113),
    [sym_comment] = STATE(739),
    [sym_template_string] = STATE(3113),
    [sym_regex] = STATE(3113),
    [sym_meta_property] = STATE(3113),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2177),
    [sym_as_expression] = STATE(3139),
    [sym_satisfies_expression] = STATE(3139),
    [sym_instantiation_expression] = STATE(3139),
    [sym_internal_module] = STATE(3139),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5555),
    [sym_identifier] = ACTIONS(1744),
    [anon_sym_export] = ACTIONS(1596),
    [anon_sym_type] = ACTIONS(1596),
    [anon_sym_namespace] = ACTIONS(1598),
    [anon_sym_LBRACE] = ACTIONS(1020),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1596),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1029),
    [anon_sym_async] = ACTIONS(1602),
    [anon_sym_function] = ACTIONS(1033),
    [anon_sym_new] = ACTIONS(1748),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1596),
    [anon_sym_readonly] = ACTIONS(1596),
    [anon_sym_get] = ACTIONS(1596),
    [anon_sym_set] = ACTIONS(1596),
    [anon_sym_declare] = ACTIONS(1596),
    [anon_sym_public] = ACTIONS(1596),
    [anon_sym_private] = ACTIONS(1596),
    [anon_sym_protected] = ACTIONS(1596),
    [anon_sym_override] = ACTIONS(1596),
    [anon_sym_module] = ACTIONS(1596),
    [anon_sym_any] = ACTIONS(1596),
    [anon_sym_number] = ACTIONS(1596),
    [anon_sym_boolean] = ACTIONS(1596),
    [anon_sym_string] = ACTIONS(1596),
    [anon_sym_symbol] = ACTIONS(1596),
    [anon_sym_object] = ACTIONS(1596),
    [sym_html_comment] = ACTIONS(5),
  },
  [740] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2048),
    [sym_expression] = STATE(3336),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7260),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2048),
    [sym_subscript_expression] = STATE(2048),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3878),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7646),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(740),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2048),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1095),
    [anon_sym_export] = ACTIONS(1097),
    [anon_sym_type] = ACTIONS(1097),
    [anon_sym_namespace] = ACTIONS(1099),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(174),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1097),
    [anon_sym_BANG] = ACTIONS(174),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1109),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1111),
    [anon_sym_using] = ACTIONS(157),
    [anon_sym_PLUS] = ACTIONS(174),
    [anon_sym_DASH] = ACTIONS(174),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(174),
    [anon_sym_void] = ACTIONS(174),
    [anon_sym_delete] = ACTIONS(174),
    [anon_sym_PLUS_PLUS] = ACTIONS(1039),
    [anon_sym_DASH_DASH] = ACTIONS(1039),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(185),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1115),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1097),
    [anon_sym_readonly] = ACTIONS(1097),
    [anon_sym_get] = ACTIONS(1097),
    [anon_sym_set] = ACTIONS(1097),
    [anon_sym_declare] = ACTIONS(1097),
    [anon_sym_public] = ACTIONS(1097),
    [anon_sym_private] = ACTIONS(1097),
    [anon_sym_protected] = ACTIONS(1097),
    [anon_sym_override] = ACTIONS(1097),
    [anon_sym_module] = ACTIONS(1097),
    [anon_sym_any] = ACTIONS(1097),
    [anon_sym_number] = ACTIONS(1097),
    [anon_sym_boolean] = ACTIONS(1097),
    [anon_sym_string] = ACTIONS(1097),
    [anon_sym_symbol] = ACTIONS(1097),
    [anon_sym_object] = ACTIONS(1097),
    [sym_html_comment] = ACTIONS(5),
  },
  [741] = {
    [sym_import] = STATE(4369),
    [sym_parenthesized_expression] = STATE(2221),
    [sym_expression] = STATE(3064),
    [sym_primary_expression] = STATE(2990),
    [sym_yield_expression] = STATE(3139),
    [sym_object] = STATE(3113),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(3113),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(3139),
    [sym_glimmer_opening_tag] = STATE(5702),
    [sym_jsx_element] = STATE(3139),
    [sym_jsx_opening_element] = STATE(4008),
    [sym_jsx_self_closing_element] = STATE(3139),
    [sym_class] = STATE(3113),
    [sym_function_expression] = STATE(3113),
    [sym_generator_function] = STATE(3113),
    [sym_arrow_function] = STATE(3113),
    [sym__call_signature] = STATE(7374),
    [sym_call_expression] = STATE(3113),
    [sym_new_expression] = STATE(3139),
    [sym_await_expression] = STATE(3139),
    [sym_member_expression] = STATE(2221),
    [sym_subscript_expression] = STATE(2221),
    [sym_assignment_expression] = STATE(3139),
    [sym__augmented_assignment_lhs] = STATE(3860),
    [sym_augmented_assignment_expression] = STATE(3139),
    [sym__destructuring_pattern] = STATE(7376),
    [sym_ternary_expression] = STATE(3139),
    [sym_binary_expression] = STATE(3139),
    [sym_unary_expression] = STATE(3139),
    [sym_update_expression] = STATE(3139),
    [sym_string] = STATE(3113),
    [sym_comment] = STATE(741),
    [sym_template_string] = STATE(3113),
    [sym_regex] = STATE(3113),
    [sym_meta_property] = STATE(3113),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2221),
    [sym_as_expression] = STATE(3139),
    [sym_satisfies_expression] = STATE(3139),
    [sym_instantiation_expression] = STATE(3139),
    [sym_internal_module] = STATE(3139),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5555),
    [sym_identifier] = ACTIONS(1758),
    [anon_sym_export] = ACTIONS(1362),
    [anon_sym_type] = ACTIONS(1362),
    [anon_sym_namespace] = ACTIONS(1364),
    [anon_sym_LBRACE] = ACTIONS(1020),
    [anon_sym_typeof] = ACTIONS(1370),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1362),
    [anon_sym_BANG] = ACTIONS(1370),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1374),
    [anon_sym_yield] = ACTIONS(1376),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1029),
    [anon_sym_async] = ACTIONS(1380),
    [anon_sym_function] = ACTIONS(1033),
    [anon_sym_new] = ACTIONS(1762),
    [anon_sym_using] = ACTIONS(1384),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1370),
    [anon_sym_void] = ACTIONS(1370),
    [anon_sym_delete] = ACTIONS(1370),
    [anon_sym_PLUS_PLUS] = ACTIONS(1390),
    [anon_sym_DASH_DASH] = ACTIONS(1390),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1396),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1764),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1362),
    [anon_sym_readonly] = ACTIONS(1362),
    [anon_sym_get] = ACTIONS(1362),
    [anon_sym_set] = ACTIONS(1362),
    [anon_sym_declare] = ACTIONS(1362),
    [anon_sym_public] = ACTIONS(1362),
    [anon_sym_private] = ACTIONS(1362),
    [anon_sym_protected] = ACTIONS(1362),
    [anon_sym_override] = ACTIONS(1362),
    [anon_sym_module] = ACTIONS(1362),
    [anon_sym_any] = ACTIONS(1362),
    [anon_sym_number] = ACTIONS(1362),
    [anon_sym_boolean] = ACTIONS(1362),
    [anon_sym_string] = ACTIONS(1362),
    [anon_sym_symbol] = ACTIONS(1362),
    [anon_sym_object] = ACTIONS(1362),
    [sym_html_comment] = ACTIONS(5),
  },
  [742] = {
    [sym_import] = STATE(4369),
    [sym_parenthesized_expression] = STATE(2221),
    [sym_expression] = STATE(3062),
    [sym_primary_expression] = STATE(2990),
    [sym_yield_expression] = STATE(3139),
    [sym_object] = STATE(3113),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(3113),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(3139),
    [sym_glimmer_opening_tag] = STATE(5702),
    [sym_jsx_element] = STATE(3139),
    [sym_jsx_opening_element] = STATE(4008),
    [sym_jsx_self_closing_element] = STATE(3139),
    [sym_class] = STATE(3113),
    [sym_function_expression] = STATE(3113),
    [sym_generator_function] = STATE(3113),
    [sym_arrow_function] = STATE(3113),
    [sym__call_signature] = STATE(7374),
    [sym_call_expression] = STATE(3113),
    [sym_new_expression] = STATE(3139),
    [sym_await_expression] = STATE(3139),
    [sym_member_expression] = STATE(2221),
    [sym_subscript_expression] = STATE(2221),
    [sym_assignment_expression] = STATE(3139),
    [sym__augmented_assignment_lhs] = STATE(3860),
    [sym_augmented_assignment_expression] = STATE(3139),
    [sym__destructuring_pattern] = STATE(7376),
    [sym_ternary_expression] = STATE(3139),
    [sym_binary_expression] = STATE(3139),
    [sym_unary_expression] = STATE(3139),
    [sym_update_expression] = STATE(3139),
    [sym_string] = STATE(3113),
    [sym_comment] = STATE(742),
    [sym_template_string] = STATE(3113),
    [sym_regex] = STATE(3113),
    [sym_meta_property] = STATE(3113),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2221),
    [sym_as_expression] = STATE(3139),
    [sym_satisfies_expression] = STATE(3139),
    [sym_instantiation_expression] = STATE(3139),
    [sym_internal_module] = STATE(3139),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5555),
    [sym_identifier] = ACTIONS(1758),
    [anon_sym_export] = ACTIONS(1362),
    [anon_sym_type] = ACTIONS(1362),
    [anon_sym_namespace] = ACTIONS(1364),
    [anon_sym_LBRACE] = ACTIONS(1020),
    [anon_sym_typeof] = ACTIONS(1370),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1362),
    [anon_sym_BANG] = ACTIONS(1370),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1374),
    [anon_sym_yield] = ACTIONS(1376),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1029),
    [anon_sym_async] = ACTIONS(1380),
    [anon_sym_function] = ACTIONS(1033),
    [anon_sym_new] = ACTIONS(1762),
    [anon_sym_using] = ACTIONS(1384),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1370),
    [anon_sym_void] = ACTIONS(1370),
    [anon_sym_delete] = ACTIONS(1370),
    [anon_sym_PLUS_PLUS] = ACTIONS(1390),
    [anon_sym_DASH_DASH] = ACTIONS(1390),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1396),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1764),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1362),
    [anon_sym_readonly] = ACTIONS(1362),
    [anon_sym_get] = ACTIONS(1362),
    [anon_sym_set] = ACTIONS(1362),
    [anon_sym_declare] = ACTIONS(1362),
    [anon_sym_public] = ACTIONS(1362),
    [anon_sym_private] = ACTIONS(1362),
    [anon_sym_protected] = ACTIONS(1362),
    [anon_sym_override] = ACTIONS(1362),
    [anon_sym_module] = ACTIONS(1362),
    [anon_sym_any] = ACTIONS(1362),
    [anon_sym_number] = ACTIONS(1362),
    [anon_sym_boolean] = ACTIONS(1362),
    [anon_sym_string] = ACTIONS(1362),
    [anon_sym_symbol] = ACTIONS(1362),
    [anon_sym_object] = ACTIONS(1362),
    [sym_html_comment] = ACTIONS(5),
  },
  [743] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2048),
    [sym_expression] = STATE(3373),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7260),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2048),
    [sym_subscript_expression] = STATE(2048),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3878),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7646),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(743),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2048),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1095),
    [anon_sym_export] = ACTIONS(1097),
    [anon_sym_type] = ACTIONS(1097),
    [anon_sym_namespace] = ACTIONS(1099),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(174),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1097),
    [anon_sym_BANG] = ACTIONS(174),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1109),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1111),
    [anon_sym_using] = ACTIONS(157),
    [anon_sym_PLUS] = ACTIONS(174),
    [anon_sym_DASH] = ACTIONS(174),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(174),
    [anon_sym_void] = ACTIONS(174),
    [anon_sym_delete] = ACTIONS(174),
    [anon_sym_PLUS_PLUS] = ACTIONS(1039),
    [anon_sym_DASH_DASH] = ACTIONS(1039),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(185),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1115),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1097),
    [anon_sym_readonly] = ACTIONS(1097),
    [anon_sym_get] = ACTIONS(1097),
    [anon_sym_set] = ACTIONS(1097),
    [anon_sym_declare] = ACTIONS(1097),
    [anon_sym_public] = ACTIONS(1097),
    [anon_sym_private] = ACTIONS(1097),
    [anon_sym_protected] = ACTIONS(1097),
    [anon_sym_override] = ACTIONS(1097),
    [anon_sym_module] = ACTIONS(1097),
    [anon_sym_any] = ACTIONS(1097),
    [anon_sym_number] = ACTIONS(1097),
    [anon_sym_boolean] = ACTIONS(1097),
    [anon_sym_string] = ACTIONS(1097),
    [anon_sym_symbol] = ACTIONS(1097),
    [anon_sym_object] = ACTIONS(1097),
    [sym_html_comment] = ACTIONS(5),
  },
  [744] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2048),
    [sym_expression] = STATE(3377),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7260),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2048),
    [sym_subscript_expression] = STATE(2048),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3878),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7646),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(744),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2048),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1095),
    [anon_sym_export] = ACTIONS(1097),
    [anon_sym_type] = ACTIONS(1097),
    [anon_sym_namespace] = ACTIONS(1099),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(174),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1097),
    [anon_sym_BANG] = ACTIONS(174),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1109),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1111),
    [anon_sym_using] = ACTIONS(157),
    [anon_sym_PLUS] = ACTIONS(174),
    [anon_sym_DASH] = ACTIONS(174),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(174),
    [anon_sym_void] = ACTIONS(174),
    [anon_sym_delete] = ACTIONS(174),
    [anon_sym_PLUS_PLUS] = ACTIONS(1039),
    [anon_sym_DASH_DASH] = ACTIONS(1039),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(185),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1115),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1097),
    [anon_sym_readonly] = ACTIONS(1097),
    [anon_sym_get] = ACTIONS(1097),
    [anon_sym_set] = ACTIONS(1097),
    [anon_sym_declare] = ACTIONS(1097),
    [anon_sym_public] = ACTIONS(1097),
    [anon_sym_private] = ACTIONS(1097),
    [anon_sym_protected] = ACTIONS(1097),
    [anon_sym_override] = ACTIONS(1097),
    [anon_sym_module] = ACTIONS(1097),
    [anon_sym_any] = ACTIONS(1097),
    [anon_sym_number] = ACTIONS(1097),
    [anon_sym_boolean] = ACTIONS(1097),
    [anon_sym_string] = ACTIONS(1097),
    [anon_sym_symbol] = ACTIONS(1097),
    [anon_sym_object] = ACTIONS(1097),
    [sym_html_comment] = ACTIONS(5),
  },
  [745] = {
    [sym_import] = STATE(4369),
    [sym_parenthesized_expression] = STATE(2221),
    [sym_expression] = STATE(3060),
    [sym_primary_expression] = STATE(2990),
    [sym_yield_expression] = STATE(3139),
    [sym_object] = STATE(3113),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(3113),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(3139),
    [sym_glimmer_opening_tag] = STATE(5702),
    [sym_jsx_element] = STATE(3139),
    [sym_jsx_opening_element] = STATE(4008),
    [sym_jsx_self_closing_element] = STATE(3139),
    [sym_class] = STATE(3113),
    [sym_function_expression] = STATE(3113),
    [sym_generator_function] = STATE(3113),
    [sym_arrow_function] = STATE(3113),
    [sym__call_signature] = STATE(7374),
    [sym_call_expression] = STATE(3113),
    [sym_new_expression] = STATE(3139),
    [sym_await_expression] = STATE(3139),
    [sym_member_expression] = STATE(2221),
    [sym_subscript_expression] = STATE(2221),
    [sym_assignment_expression] = STATE(3139),
    [sym__augmented_assignment_lhs] = STATE(3860),
    [sym_augmented_assignment_expression] = STATE(3139),
    [sym__destructuring_pattern] = STATE(7376),
    [sym_ternary_expression] = STATE(3139),
    [sym_binary_expression] = STATE(3139),
    [sym_unary_expression] = STATE(3139),
    [sym_update_expression] = STATE(3139),
    [sym_string] = STATE(3113),
    [sym_comment] = STATE(745),
    [sym_template_string] = STATE(3113),
    [sym_regex] = STATE(3113),
    [sym_meta_property] = STATE(3113),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2221),
    [sym_as_expression] = STATE(3139),
    [sym_satisfies_expression] = STATE(3139),
    [sym_instantiation_expression] = STATE(3139),
    [sym_internal_module] = STATE(3139),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5555),
    [sym_identifier] = ACTIONS(1758),
    [anon_sym_export] = ACTIONS(1362),
    [anon_sym_type] = ACTIONS(1362),
    [anon_sym_namespace] = ACTIONS(1364),
    [anon_sym_LBRACE] = ACTIONS(1020),
    [anon_sym_typeof] = ACTIONS(1370),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1362),
    [anon_sym_BANG] = ACTIONS(1370),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1374),
    [anon_sym_yield] = ACTIONS(1376),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1029),
    [anon_sym_async] = ACTIONS(1380),
    [anon_sym_function] = ACTIONS(1033),
    [anon_sym_new] = ACTIONS(1762),
    [anon_sym_using] = ACTIONS(1384),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1370),
    [anon_sym_void] = ACTIONS(1370),
    [anon_sym_delete] = ACTIONS(1370),
    [anon_sym_PLUS_PLUS] = ACTIONS(1390),
    [anon_sym_DASH_DASH] = ACTIONS(1390),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1396),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1764),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1362),
    [anon_sym_readonly] = ACTIONS(1362),
    [anon_sym_get] = ACTIONS(1362),
    [anon_sym_set] = ACTIONS(1362),
    [anon_sym_declare] = ACTIONS(1362),
    [anon_sym_public] = ACTIONS(1362),
    [anon_sym_private] = ACTIONS(1362),
    [anon_sym_protected] = ACTIONS(1362),
    [anon_sym_override] = ACTIONS(1362),
    [anon_sym_module] = ACTIONS(1362),
    [anon_sym_any] = ACTIONS(1362),
    [anon_sym_number] = ACTIONS(1362),
    [anon_sym_boolean] = ACTIONS(1362),
    [anon_sym_string] = ACTIONS(1362),
    [anon_sym_symbol] = ACTIONS(1362),
    [anon_sym_object] = ACTIONS(1362),
    [sym_html_comment] = ACTIONS(5),
  },
  [746] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2229),
    [sym_expression] = STATE(3118),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7175),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2229),
    [sym_subscript_expression] = STATE(2229),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3935),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7438),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(746),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2229),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1766),
    [anon_sym_export] = ACTIONS(1482),
    [anon_sym_type] = ACTIONS(1482),
    [anon_sym_namespace] = ACTIONS(1484),
    [anon_sym_LBRACE] = ACTIONS(1127),
    [anon_sym_typeof] = ACTIONS(1490),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1482),
    [anon_sym_BANG] = ACTIONS(1490),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1492),
    [anon_sym_yield] = ACTIONS(1494),
    [anon_sym_LBRACK] = ACTIONS(1129),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1496),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1770),
    [anon_sym_using] = ACTIONS(1500),
    [anon_sym_PLUS] = ACTIONS(1490),
    [anon_sym_DASH] = ACTIONS(1490),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(1490),
    [anon_sym_void] = ACTIONS(1490),
    [anon_sym_delete] = ACTIONS(1490),
    [anon_sym_PLUS_PLUS] = ACTIONS(1506),
    [anon_sym_DASH_DASH] = ACTIONS(1506),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(1508),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1772),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1482),
    [anon_sym_readonly] = ACTIONS(1482),
    [anon_sym_get] = ACTIONS(1482),
    [anon_sym_set] = ACTIONS(1482),
    [anon_sym_declare] = ACTIONS(1482),
    [anon_sym_public] = ACTIONS(1482),
    [anon_sym_private] = ACTIONS(1482),
    [anon_sym_protected] = ACTIONS(1482),
    [anon_sym_override] = ACTIONS(1482),
    [anon_sym_module] = ACTIONS(1482),
    [anon_sym_any] = ACTIONS(1482),
    [anon_sym_number] = ACTIONS(1482),
    [anon_sym_boolean] = ACTIONS(1482),
    [anon_sym_string] = ACTIONS(1482),
    [anon_sym_symbol] = ACTIONS(1482),
    [anon_sym_object] = ACTIONS(1482),
    [sym_html_comment] = ACTIONS(5),
  },
  [747] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2288),
    [sym_expression] = STATE(3359),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7260),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2288),
    [sym_subscript_expression] = STATE(2288),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3878),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7481),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(747),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2288),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(2581),
    [anon_sym_export] = ACTIONS(2583),
    [anon_sym_type] = ACTIONS(2583),
    [anon_sym_namespace] = ACTIONS(2585),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(174),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(2583),
    [anon_sym_BANG] = ACTIONS(174),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(2587),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(2589),
    [anon_sym_using] = ACTIONS(157),
    [anon_sym_PLUS] = ACTIONS(174),
    [anon_sym_DASH] = ACTIONS(174),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(174),
    [anon_sym_void] = ACTIONS(174),
    [anon_sym_delete] = ACTIONS(174),
    [anon_sym_PLUS_PLUS] = ACTIONS(1039),
    [anon_sym_DASH_DASH] = ACTIONS(1039),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(185),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(2591),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(2583),
    [anon_sym_readonly] = ACTIONS(2583),
    [anon_sym_get] = ACTIONS(2583),
    [anon_sym_set] = ACTIONS(2583),
    [anon_sym_declare] = ACTIONS(2583),
    [anon_sym_public] = ACTIONS(2583),
    [anon_sym_private] = ACTIONS(2583),
    [anon_sym_protected] = ACTIONS(2583),
    [anon_sym_override] = ACTIONS(2583),
    [anon_sym_module] = ACTIONS(2583),
    [anon_sym_any] = ACTIONS(2583),
    [anon_sym_number] = ACTIONS(2583),
    [anon_sym_boolean] = ACTIONS(2583),
    [anon_sym_string] = ACTIONS(2583),
    [anon_sym_symbol] = ACTIONS(2583),
    [anon_sym_object] = ACTIONS(2583),
    [sym_html_comment] = ACTIONS(5),
  },
  [748] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2151),
    [sym_expression] = STATE(2416),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7643),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2151),
    [sym_subscript_expression] = STATE(2151),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3918),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7259),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(748),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2151),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1724),
    [anon_sym_export] = ACTIONS(1452),
    [anon_sym_type] = ACTIONS(1452),
    [anon_sym_namespace] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(1127),
    [anon_sym_typeof] = ACTIONS(968),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1452),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(1129),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1462),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1730),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_PLUS] = ACTIONS(968),
    [anon_sym_DASH] = ACTIONS(968),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(968),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1732),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1452),
    [anon_sym_readonly] = ACTIONS(1452),
    [anon_sym_get] = ACTIONS(1452),
    [anon_sym_set] = ACTIONS(1452),
    [anon_sym_declare] = ACTIONS(1452),
    [anon_sym_public] = ACTIONS(1452),
    [anon_sym_private] = ACTIONS(1452),
    [anon_sym_protected] = ACTIONS(1452),
    [anon_sym_override] = ACTIONS(1452),
    [anon_sym_module] = ACTIONS(1452),
    [anon_sym_any] = ACTIONS(1452),
    [anon_sym_number] = ACTIONS(1452),
    [anon_sym_boolean] = ACTIONS(1452),
    [anon_sym_string] = ACTIONS(1452),
    [anon_sym_symbol] = ACTIONS(1452),
    [anon_sym_object] = ACTIONS(1452),
    [sym_html_comment] = ACTIONS(5),
  },
  [749] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2284),
    [sym_expression] = STATE(3359),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7260),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2284),
    [sym_subscript_expression] = STATE(2284),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3878),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7247),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(749),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2284),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(2593),
    [anon_sym_export] = ACTIONS(2595),
    [anon_sym_type] = ACTIONS(2595),
    [anon_sym_namespace] = ACTIONS(2597),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(174),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(2595),
    [anon_sym_BANG] = ACTIONS(174),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(2599),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(2601),
    [anon_sym_using] = ACTIONS(157),
    [anon_sym_PLUS] = ACTIONS(174),
    [anon_sym_DASH] = ACTIONS(174),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(174),
    [anon_sym_void] = ACTIONS(174),
    [anon_sym_delete] = ACTIONS(174),
    [anon_sym_PLUS_PLUS] = ACTIONS(1039),
    [anon_sym_DASH_DASH] = ACTIONS(1039),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(185),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(2603),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(2595),
    [anon_sym_readonly] = ACTIONS(2595),
    [anon_sym_get] = ACTIONS(2595),
    [anon_sym_set] = ACTIONS(2595),
    [anon_sym_declare] = ACTIONS(2595),
    [anon_sym_public] = ACTIONS(2595),
    [anon_sym_private] = ACTIONS(2595),
    [anon_sym_protected] = ACTIONS(2595),
    [anon_sym_override] = ACTIONS(2595),
    [anon_sym_module] = ACTIONS(2595),
    [anon_sym_any] = ACTIONS(2595),
    [anon_sym_number] = ACTIONS(2595),
    [anon_sym_boolean] = ACTIONS(2595),
    [anon_sym_string] = ACTIONS(2595),
    [anon_sym_symbol] = ACTIONS(2595),
    [anon_sym_object] = ACTIONS(2595),
    [sym_html_comment] = ACTIONS(5),
  },
  [750] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2151),
    [sym_expression] = STATE(2457),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7643),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2151),
    [sym_subscript_expression] = STATE(2151),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3918),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7259),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(750),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2151),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1724),
    [anon_sym_export] = ACTIONS(1452),
    [anon_sym_type] = ACTIONS(1452),
    [anon_sym_namespace] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(1127),
    [anon_sym_typeof] = ACTIONS(968),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1452),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(1129),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1462),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1730),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_PLUS] = ACTIONS(968),
    [anon_sym_DASH] = ACTIONS(968),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(968),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1732),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1452),
    [anon_sym_readonly] = ACTIONS(1452),
    [anon_sym_get] = ACTIONS(1452),
    [anon_sym_set] = ACTIONS(1452),
    [anon_sym_declare] = ACTIONS(1452),
    [anon_sym_public] = ACTIONS(1452),
    [anon_sym_private] = ACTIONS(1452),
    [anon_sym_protected] = ACTIONS(1452),
    [anon_sym_override] = ACTIONS(1452),
    [anon_sym_module] = ACTIONS(1452),
    [anon_sym_any] = ACTIONS(1452),
    [anon_sym_number] = ACTIONS(1452),
    [anon_sym_boolean] = ACTIONS(1452),
    [anon_sym_string] = ACTIONS(1452),
    [anon_sym_symbol] = ACTIONS(1452),
    [anon_sym_object] = ACTIONS(1452),
    [sym_html_comment] = ACTIONS(5),
  },
  [751] = {
    [sym_import] = STATE(4369),
    [sym_parenthesized_expression] = STATE(2177),
    [sym_expression] = STATE(2797),
    [sym_primary_expression] = STATE(2990),
    [sym_yield_expression] = STATE(3139),
    [sym_object] = STATE(3113),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(3113),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(3139),
    [sym_glimmer_opening_tag] = STATE(5702),
    [sym_jsx_element] = STATE(3139),
    [sym_jsx_opening_element] = STATE(4008),
    [sym_jsx_self_closing_element] = STATE(3139),
    [sym_class] = STATE(3113),
    [sym_function_expression] = STATE(3113),
    [sym_generator_function] = STATE(3113),
    [sym_arrow_function] = STATE(3113),
    [sym__call_signature] = STATE(7486),
    [sym_call_expression] = STATE(3113),
    [sym_new_expression] = STATE(3139),
    [sym_await_expression] = STATE(3139),
    [sym_member_expression] = STATE(2177),
    [sym_subscript_expression] = STATE(2177),
    [sym_assignment_expression] = STATE(3139),
    [sym__augmented_assignment_lhs] = STATE(3835),
    [sym_augmented_assignment_expression] = STATE(3139),
    [sym__destructuring_pattern] = STATE(7484),
    [sym_ternary_expression] = STATE(3139),
    [sym_binary_expression] = STATE(3139),
    [sym_unary_expression] = STATE(3139),
    [sym_update_expression] = STATE(3139),
    [sym_string] = STATE(3113),
    [sym_comment] = STATE(751),
    [sym_template_string] = STATE(3113),
    [sym_regex] = STATE(3113),
    [sym_meta_property] = STATE(3113),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2177),
    [sym_as_expression] = STATE(3139),
    [sym_satisfies_expression] = STATE(3139),
    [sym_instantiation_expression] = STATE(3139),
    [sym_internal_module] = STATE(3139),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5555),
    [sym_identifier] = ACTIONS(1744),
    [anon_sym_export] = ACTIONS(1596),
    [anon_sym_type] = ACTIONS(1596),
    [anon_sym_namespace] = ACTIONS(1598),
    [anon_sym_LBRACE] = ACTIONS(1020),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1596),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1029),
    [anon_sym_async] = ACTIONS(1602),
    [anon_sym_function] = ACTIONS(1033),
    [anon_sym_new] = ACTIONS(1748),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1596),
    [anon_sym_readonly] = ACTIONS(1596),
    [anon_sym_get] = ACTIONS(1596),
    [anon_sym_set] = ACTIONS(1596),
    [anon_sym_declare] = ACTIONS(1596),
    [anon_sym_public] = ACTIONS(1596),
    [anon_sym_private] = ACTIONS(1596),
    [anon_sym_protected] = ACTIONS(1596),
    [anon_sym_override] = ACTIONS(1596),
    [anon_sym_module] = ACTIONS(1596),
    [anon_sym_any] = ACTIONS(1596),
    [anon_sym_number] = ACTIONS(1596),
    [anon_sym_boolean] = ACTIONS(1596),
    [anon_sym_string] = ACTIONS(1596),
    [anon_sym_symbol] = ACTIONS(1596),
    [anon_sym_object] = ACTIONS(1596),
    [sym_html_comment] = ACTIONS(5),
  },
  [752] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2151),
    [sym_expression] = STATE(2464),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7643),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2151),
    [sym_subscript_expression] = STATE(2151),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3918),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7259),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(752),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2151),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1724),
    [anon_sym_export] = ACTIONS(1452),
    [anon_sym_type] = ACTIONS(1452),
    [anon_sym_namespace] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(1127),
    [anon_sym_typeof] = ACTIONS(968),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1452),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(1129),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1462),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1730),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_PLUS] = ACTIONS(968),
    [anon_sym_DASH] = ACTIONS(968),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(968),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1732),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1452),
    [anon_sym_readonly] = ACTIONS(1452),
    [anon_sym_get] = ACTIONS(1452),
    [anon_sym_set] = ACTIONS(1452),
    [anon_sym_declare] = ACTIONS(1452),
    [anon_sym_public] = ACTIONS(1452),
    [anon_sym_private] = ACTIONS(1452),
    [anon_sym_protected] = ACTIONS(1452),
    [anon_sym_override] = ACTIONS(1452),
    [anon_sym_module] = ACTIONS(1452),
    [anon_sym_any] = ACTIONS(1452),
    [anon_sym_number] = ACTIONS(1452),
    [anon_sym_boolean] = ACTIONS(1452),
    [anon_sym_string] = ACTIONS(1452),
    [anon_sym_symbol] = ACTIONS(1452),
    [anon_sym_object] = ACTIONS(1452),
    [sym_html_comment] = ACTIONS(5),
  },
  [753] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2151),
    [sym_expression] = STATE(2393),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7643),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2151),
    [sym_subscript_expression] = STATE(2151),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3918),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7259),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(753),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2151),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1724),
    [anon_sym_export] = ACTIONS(1452),
    [anon_sym_type] = ACTIONS(1452),
    [anon_sym_namespace] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(1127),
    [anon_sym_typeof] = ACTIONS(968),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1452),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(1129),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1462),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1730),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_PLUS] = ACTIONS(968),
    [anon_sym_DASH] = ACTIONS(968),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(968),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1732),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1452),
    [anon_sym_readonly] = ACTIONS(1452),
    [anon_sym_get] = ACTIONS(1452),
    [anon_sym_set] = ACTIONS(1452),
    [anon_sym_declare] = ACTIONS(1452),
    [anon_sym_public] = ACTIONS(1452),
    [anon_sym_private] = ACTIONS(1452),
    [anon_sym_protected] = ACTIONS(1452),
    [anon_sym_override] = ACTIONS(1452),
    [anon_sym_module] = ACTIONS(1452),
    [anon_sym_any] = ACTIONS(1452),
    [anon_sym_number] = ACTIONS(1452),
    [anon_sym_boolean] = ACTIONS(1452),
    [anon_sym_string] = ACTIONS(1452),
    [anon_sym_symbol] = ACTIONS(1452),
    [anon_sym_object] = ACTIONS(1452),
    [sym_html_comment] = ACTIONS(5),
  },
  [754] = {
    [sym_import] = STATE(4369),
    [sym_parenthesized_expression] = STATE(2175),
    [sym_expression] = STATE(2652),
    [sym_primary_expression] = STATE(2990),
    [sym_yield_expression] = STATE(3139),
    [sym_object] = STATE(3113),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(3113),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(3139),
    [sym_glimmer_opening_tag] = STATE(5702),
    [sym_jsx_element] = STATE(3139),
    [sym_jsx_opening_element] = STATE(4008),
    [sym_jsx_self_closing_element] = STATE(3139),
    [sym_class] = STATE(3113),
    [sym_function_expression] = STATE(3113),
    [sym_generator_function] = STATE(3113),
    [sym_arrow_function] = STATE(3113),
    [sym__call_signature] = STATE(7205),
    [sym_call_expression] = STATE(3113),
    [sym_new_expression] = STATE(3139),
    [sym_await_expression] = STATE(3139),
    [sym_member_expression] = STATE(2175),
    [sym_subscript_expression] = STATE(2175),
    [sym_assignment_expression] = STATE(3139),
    [sym__augmented_assignment_lhs] = STATE(3844),
    [sym_augmented_assignment_expression] = STATE(3139),
    [sym__destructuring_pattern] = STATE(7209),
    [sym_ternary_expression] = STATE(3139),
    [sym_binary_expression] = STATE(3139),
    [sym_unary_expression] = STATE(3139),
    [sym_update_expression] = STATE(3139),
    [sym_string] = STATE(3113),
    [sym_comment] = STATE(754),
    [sym_template_string] = STATE(3113),
    [sym_regex] = STATE(3113),
    [sym_meta_property] = STATE(3113),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2175),
    [sym_as_expression] = STATE(3139),
    [sym_satisfies_expression] = STATE(3139),
    [sym_instantiation_expression] = STATE(3139),
    [sym_internal_module] = STATE(3139),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5555),
    [sym_identifier] = ACTIONS(1736),
    [anon_sym_export] = ACTIONS(1518),
    [anon_sym_type] = ACTIONS(1518),
    [anon_sym_namespace] = ACTIONS(1520),
    [anon_sym_LBRACE] = ACTIONS(1020),
    [anon_sym_typeof] = ACTIONS(1526),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1518),
    [anon_sym_BANG] = ACTIONS(1526),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1528),
    [anon_sym_yield] = ACTIONS(1530),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1029),
    [anon_sym_async] = ACTIONS(1534),
    [anon_sym_function] = ACTIONS(1033),
    [anon_sym_new] = ACTIONS(1740),
    [anon_sym_using] = ACTIONS(1538),
    [anon_sym_PLUS] = ACTIONS(1526),
    [anon_sym_DASH] = ACTIONS(1526),
    [anon_sym_SLASH] = ACTIONS(1195),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1526),
    [anon_sym_void] = ACTIONS(1526),
    [anon_sym_delete] = ACTIONS(1526),
    [anon_sym_PLUS_PLUS] = ACTIONS(1544),
    [anon_sym_DASH_DASH] = ACTIONS(1544),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1550),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1742),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1518),
    [anon_sym_readonly] = ACTIONS(1518),
    [anon_sym_get] = ACTIONS(1518),
    [anon_sym_set] = ACTIONS(1518),
    [anon_sym_declare] = ACTIONS(1518),
    [anon_sym_public] = ACTIONS(1518),
    [anon_sym_private] = ACTIONS(1518),
    [anon_sym_protected] = ACTIONS(1518),
    [anon_sym_override] = ACTIONS(1518),
    [anon_sym_module] = ACTIONS(1518),
    [anon_sym_any] = ACTIONS(1518),
    [anon_sym_number] = ACTIONS(1518),
    [anon_sym_boolean] = ACTIONS(1518),
    [anon_sym_string] = ACTIONS(1518),
    [anon_sym_symbol] = ACTIONS(1518),
    [anon_sym_object] = ACTIONS(1518),
    [sym_html_comment] = ACTIONS(5),
  },
  [755] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2287),
    [sym_expression] = STATE(3359),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7260),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2287),
    [sym_subscript_expression] = STATE(2287),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3878),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7269),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(755),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2287),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(2605),
    [anon_sym_export] = ACTIONS(2607),
    [anon_sym_type] = ACTIONS(2607),
    [anon_sym_namespace] = ACTIONS(2609),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(174),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(2607),
    [anon_sym_BANG] = ACTIONS(174),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(2611),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(2613),
    [anon_sym_using] = ACTIONS(157),
    [anon_sym_PLUS] = ACTIONS(174),
    [anon_sym_DASH] = ACTIONS(174),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(174),
    [anon_sym_void] = ACTIONS(174),
    [anon_sym_delete] = ACTIONS(174),
    [anon_sym_PLUS_PLUS] = ACTIONS(1039),
    [anon_sym_DASH_DASH] = ACTIONS(1039),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(185),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(2615),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(2607),
    [anon_sym_readonly] = ACTIONS(2607),
    [anon_sym_get] = ACTIONS(2607),
    [anon_sym_set] = ACTIONS(2607),
    [anon_sym_declare] = ACTIONS(2607),
    [anon_sym_public] = ACTIONS(2607),
    [anon_sym_private] = ACTIONS(2607),
    [anon_sym_protected] = ACTIONS(2607),
    [anon_sym_override] = ACTIONS(2607),
    [anon_sym_module] = ACTIONS(2607),
    [anon_sym_any] = ACTIONS(2607),
    [anon_sym_number] = ACTIONS(2607),
    [anon_sym_boolean] = ACTIONS(2607),
    [anon_sym_string] = ACTIONS(2607),
    [anon_sym_symbol] = ACTIONS(2607),
    [anon_sym_object] = ACTIONS(2607),
    [sym_html_comment] = ACTIONS(5),
  },
  [756] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2239),
    [sym_expression] = STATE(3160),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7446),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2239),
    [sym_subscript_expression] = STATE(2239),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3938),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7450),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(756),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2239),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1782),
    [anon_sym_export] = ACTIONS(1408),
    [anon_sym_type] = ACTIONS(1408),
    [anon_sym_namespace] = ACTIONS(1410),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(1416),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1408),
    [anon_sym_BANG] = ACTIONS(1416),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1418),
    [anon_sym_yield] = ACTIONS(1420),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1424),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1786),
    [anon_sym_using] = ACTIONS(1428),
    [anon_sym_PLUS] = ACTIONS(1416),
    [anon_sym_DASH] = ACTIONS(1416),
    [anon_sym_SLASH] = ACTIONS(1290),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(1416),
    [anon_sym_void] = ACTIONS(1416),
    [anon_sym_delete] = ACTIONS(1416),
    [anon_sym_PLUS_PLUS] = ACTIONS(1434),
    [anon_sym_DASH_DASH] = ACTIONS(1434),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(1440),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1788),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1408),
    [anon_sym_readonly] = ACTIONS(1408),
    [anon_sym_get] = ACTIONS(1408),
    [anon_sym_set] = ACTIONS(1408),
    [anon_sym_declare] = ACTIONS(1408),
    [anon_sym_public] = ACTIONS(1408),
    [anon_sym_private] = ACTIONS(1408),
    [anon_sym_protected] = ACTIONS(1408),
    [anon_sym_override] = ACTIONS(1408),
    [anon_sym_module] = ACTIONS(1408),
    [anon_sym_any] = ACTIONS(1408),
    [anon_sym_number] = ACTIONS(1408),
    [anon_sym_boolean] = ACTIONS(1408),
    [anon_sym_string] = ACTIONS(1408),
    [anon_sym_symbol] = ACTIONS(1408),
    [anon_sym_object] = ACTIONS(1408),
    [sym_html_comment] = ACTIONS(5),
  },
  [757] = {
    [sym_import] = STATE(4369),
    [sym_parenthesized_expression] = STATE(2175),
    [sym_expression] = STATE(2653),
    [sym_primary_expression] = STATE(2990),
    [sym_yield_expression] = STATE(3139),
    [sym_object] = STATE(3113),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(3113),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(3139),
    [sym_glimmer_opening_tag] = STATE(5702),
    [sym_jsx_element] = STATE(3139),
    [sym_jsx_opening_element] = STATE(4008),
    [sym_jsx_self_closing_element] = STATE(3139),
    [sym_class] = STATE(3113),
    [sym_function_expression] = STATE(3113),
    [sym_generator_function] = STATE(3113),
    [sym_arrow_function] = STATE(3113),
    [sym__call_signature] = STATE(7205),
    [sym_call_expression] = STATE(3113),
    [sym_new_expression] = STATE(3139),
    [sym_await_expression] = STATE(3139),
    [sym_member_expression] = STATE(2175),
    [sym_subscript_expression] = STATE(2175),
    [sym_assignment_expression] = STATE(3139),
    [sym__augmented_assignment_lhs] = STATE(3844),
    [sym_augmented_assignment_expression] = STATE(3139),
    [sym__destructuring_pattern] = STATE(7209),
    [sym_ternary_expression] = STATE(3139),
    [sym_binary_expression] = STATE(3139),
    [sym_unary_expression] = STATE(3139),
    [sym_update_expression] = STATE(3139),
    [sym_string] = STATE(3113),
    [sym_comment] = STATE(757),
    [sym_template_string] = STATE(3113),
    [sym_regex] = STATE(3113),
    [sym_meta_property] = STATE(3113),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2175),
    [sym_as_expression] = STATE(3139),
    [sym_satisfies_expression] = STATE(3139),
    [sym_instantiation_expression] = STATE(3139),
    [sym_internal_module] = STATE(3139),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5555),
    [sym_identifier] = ACTIONS(1736),
    [anon_sym_export] = ACTIONS(1518),
    [anon_sym_type] = ACTIONS(1518),
    [anon_sym_namespace] = ACTIONS(1520),
    [anon_sym_LBRACE] = ACTIONS(1020),
    [anon_sym_typeof] = ACTIONS(1526),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1518),
    [anon_sym_BANG] = ACTIONS(1526),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1528),
    [anon_sym_yield] = ACTIONS(1530),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1029),
    [anon_sym_async] = ACTIONS(1534),
    [anon_sym_function] = ACTIONS(1033),
    [anon_sym_new] = ACTIONS(1740),
    [anon_sym_using] = ACTIONS(1538),
    [anon_sym_PLUS] = ACTIONS(1526),
    [anon_sym_DASH] = ACTIONS(1526),
    [anon_sym_SLASH] = ACTIONS(1195),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1526),
    [anon_sym_void] = ACTIONS(1526),
    [anon_sym_delete] = ACTIONS(1526),
    [anon_sym_PLUS_PLUS] = ACTIONS(1544),
    [anon_sym_DASH_DASH] = ACTIONS(1544),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1550),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1742),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1518),
    [anon_sym_readonly] = ACTIONS(1518),
    [anon_sym_get] = ACTIONS(1518),
    [anon_sym_set] = ACTIONS(1518),
    [anon_sym_declare] = ACTIONS(1518),
    [anon_sym_public] = ACTIONS(1518),
    [anon_sym_private] = ACTIONS(1518),
    [anon_sym_protected] = ACTIONS(1518),
    [anon_sym_override] = ACTIONS(1518),
    [anon_sym_module] = ACTIONS(1518),
    [anon_sym_any] = ACTIONS(1518),
    [anon_sym_number] = ACTIONS(1518),
    [anon_sym_boolean] = ACTIONS(1518),
    [anon_sym_string] = ACTIONS(1518),
    [anon_sym_symbol] = ACTIONS(1518),
    [anon_sym_object] = ACTIONS(1518),
    [sym_html_comment] = ACTIONS(5),
  },
  [758] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2151),
    [sym_expression] = STATE(2386),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7643),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2151),
    [sym_subscript_expression] = STATE(2151),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3918),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7259),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(758),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2151),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1724),
    [anon_sym_export] = ACTIONS(1452),
    [anon_sym_type] = ACTIONS(1452),
    [anon_sym_namespace] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(1127),
    [anon_sym_typeof] = ACTIONS(968),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1452),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(1129),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1462),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1730),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_PLUS] = ACTIONS(968),
    [anon_sym_DASH] = ACTIONS(968),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(968),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1732),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1452),
    [anon_sym_readonly] = ACTIONS(1452),
    [anon_sym_get] = ACTIONS(1452),
    [anon_sym_set] = ACTIONS(1452),
    [anon_sym_declare] = ACTIONS(1452),
    [anon_sym_public] = ACTIONS(1452),
    [anon_sym_private] = ACTIONS(1452),
    [anon_sym_protected] = ACTIONS(1452),
    [anon_sym_override] = ACTIONS(1452),
    [anon_sym_module] = ACTIONS(1452),
    [anon_sym_any] = ACTIONS(1452),
    [anon_sym_number] = ACTIONS(1452),
    [anon_sym_boolean] = ACTIONS(1452),
    [anon_sym_string] = ACTIONS(1452),
    [anon_sym_symbol] = ACTIONS(1452),
    [anon_sym_object] = ACTIONS(1452),
    [sym_html_comment] = ACTIONS(5),
  },
  [759] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2151),
    [sym_expression] = STATE(2488),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7643),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2151),
    [sym_subscript_expression] = STATE(2151),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3918),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7259),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(759),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2151),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1724),
    [anon_sym_export] = ACTIONS(1452),
    [anon_sym_type] = ACTIONS(1452),
    [anon_sym_namespace] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(1127),
    [anon_sym_typeof] = ACTIONS(968),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1452),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(1129),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1462),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1730),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_PLUS] = ACTIONS(968),
    [anon_sym_DASH] = ACTIONS(968),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(968),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1732),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1452),
    [anon_sym_readonly] = ACTIONS(1452),
    [anon_sym_get] = ACTIONS(1452),
    [anon_sym_set] = ACTIONS(1452),
    [anon_sym_declare] = ACTIONS(1452),
    [anon_sym_public] = ACTIONS(1452),
    [anon_sym_private] = ACTIONS(1452),
    [anon_sym_protected] = ACTIONS(1452),
    [anon_sym_override] = ACTIONS(1452),
    [anon_sym_module] = ACTIONS(1452),
    [anon_sym_any] = ACTIONS(1452),
    [anon_sym_number] = ACTIONS(1452),
    [anon_sym_boolean] = ACTIONS(1452),
    [anon_sym_string] = ACTIONS(1452),
    [anon_sym_symbol] = ACTIONS(1452),
    [anon_sym_object] = ACTIONS(1452),
    [sym_html_comment] = ACTIONS(5),
  },
  [760] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2151),
    [sym_expression] = STATE(2509),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7643),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2151),
    [sym_subscript_expression] = STATE(2151),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3918),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7259),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(760),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2151),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1724),
    [anon_sym_export] = ACTIONS(1452),
    [anon_sym_type] = ACTIONS(1452),
    [anon_sym_namespace] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(1127),
    [anon_sym_typeof] = ACTIONS(968),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1452),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(1129),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1462),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1730),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_PLUS] = ACTIONS(968),
    [anon_sym_DASH] = ACTIONS(968),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(968),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1732),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1452),
    [anon_sym_readonly] = ACTIONS(1452),
    [anon_sym_get] = ACTIONS(1452),
    [anon_sym_set] = ACTIONS(1452),
    [anon_sym_declare] = ACTIONS(1452),
    [anon_sym_public] = ACTIONS(1452),
    [anon_sym_private] = ACTIONS(1452),
    [anon_sym_protected] = ACTIONS(1452),
    [anon_sym_override] = ACTIONS(1452),
    [anon_sym_module] = ACTIONS(1452),
    [anon_sym_any] = ACTIONS(1452),
    [anon_sym_number] = ACTIONS(1452),
    [anon_sym_boolean] = ACTIONS(1452),
    [anon_sym_string] = ACTIONS(1452),
    [anon_sym_symbol] = ACTIONS(1452),
    [anon_sym_object] = ACTIONS(1452),
    [sym_html_comment] = ACTIONS(5),
  },
  [761] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2151),
    [sym_expression] = STATE(2517),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7643),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2151),
    [sym_subscript_expression] = STATE(2151),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3918),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7259),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(761),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2151),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1724),
    [anon_sym_export] = ACTIONS(1452),
    [anon_sym_type] = ACTIONS(1452),
    [anon_sym_namespace] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(1127),
    [anon_sym_typeof] = ACTIONS(968),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1452),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(1129),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1462),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1730),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_PLUS] = ACTIONS(968),
    [anon_sym_DASH] = ACTIONS(968),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(968),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1732),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1452),
    [anon_sym_readonly] = ACTIONS(1452),
    [anon_sym_get] = ACTIONS(1452),
    [anon_sym_set] = ACTIONS(1452),
    [anon_sym_declare] = ACTIONS(1452),
    [anon_sym_public] = ACTIONS(1452),
    [anon_sym_private] = ACTIONS(1452),
    [anon_sym_protected] = ACTIONS(1452),
    [anon_sym_override] = ACTIONS(1452),
    [anon_sym_module] = ACTIONS(1452),
    [anon_sym_any] = ACTIONS(1452),
    [anon_sym_number] = ACTIONS(1452),
    [anon_sym_boolean] = ACTIONS(1452),
    [anon_sym_string] = ACTIONS(1452),
    [anon_sym_symbol] = ACTIONS(1452),
    [anon_sym_object] = ACTIONS(1452),
    [sym_html_comment] = ACTIONS(5),
  },
  [762] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2229),
    [sym_expression] = STATE(3257),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7175),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2229),
    [sym_subscript_expression] = STATE(2229),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3935),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7438),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(762),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2229),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1766),
    [anon_sym_export] = ACTIONS(1482),
    [anon_sym_type] = ACTIONS(1482),
    [anon_sym_namespace] = ACTIONS(1484),
    [anon_sym_LBRACE] = ACTIONS(1127),
    [anon_sym_typeof] = ACTIONS(1490),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1482),
    [anon_sym_BANG] = ACTIONS(1490),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1492),
    [anon_sym_yield] = ACTIONS(1494),
    [anon_sym_LBRACK] = ACTIONS(1129),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1496),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1770),
    [anon_sym_using] = ACTIONS(1500),
    [anon_sym_PLUS] = ACTIONS(1490),
    [anon_sym_DASH] = ACTIONS(1490),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(1490),
    [anon_sym_void] = ACTIONS(1490),
    [anon_sym_delete] = ACTIONS(1490),
    [anon_sym_PLUS_PLUS] = ACTIONS(1506),
    [anon_sym_DASH_DASH] = ACTIONS(1506),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(1508),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1772),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1482),
    [anon_sym_readonly] = ACTIONS(1482),
    [anon_sym_get] = ACTIONS(1482),
    [anon_sym_set] = ACTIONS(1482),
    [anon_sym_declare] = ACTIONS(1482),
    [anon_sym_public] = ACTIONS(1482),
    [anon_sym_private] = ACTIONS(1482),
    [anon_sym_protected] = ACTIONS(1482),
    [anon_sym_override] = ACTIONS(1482),
    [anon_sym_module] = ACTIONS(1482),
    [anon_sym_any] = ACTIONS(1482),
    [anon_sym_number] = ACTIONS(1482),
    [anon_sym_boolean] = ACTIONS(1482),
    [anon_sym_string] = ACTIONS(1482),
    [anon_sym_symbol] = ACTIONS(1482),
    [anon_sym_object] = ACTIONS(1482),
    [sym_html_comment] = ACTIONS(5),
  },
  [763] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2151),
    [sym_expression] = STATE(2534),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7643),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2151),
    [sym_subscript_expression] = STATE(2151),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3918),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7259),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(763),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2151),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1724),
    [anon_sym_export] = ACTIONS(1452),
    [anon_sym_type] = ACTIONS(1452),
    [anon_sym_namespace] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(1127),
    [anon_sym_typeof] = ACTIONS(968),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1452),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(1129),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1462),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1730),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_PLUS] = ACTIONS(968),
    [anon_sym_DASH] = ACTIONS(968),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(968),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1732),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1452),
    [anon_sym_readonly] = ACTIONS(1452),
    [anon_sym_get] = ACTIONS(1452),
    [anon_sym_set] = ACTIONS(1452),
    [anon_sym_declare] = ACTIONS(1452),
    [anon_sym_public] = ACTIONS(1452),
    [anon_sym_private] = ACTIONS(1452),
    [anon_sym_protected] = ACTIONS(1452),
    [anon_sym_override] = ACTIONS(1452),
    [anon_sym_module] = ACTIONS(1452),
    [anon_sym_any] = ACTIONS(1452),
    [anon_sym_number] = ACTIONS(1452),
    [anon_sym_boolean] = ACTIONS(1452),
    [anon_sym_string] = ACTIONS(1452),
    [anon_sym_symbol] = ACTIONS(1452),
    [anon_sym_object] = ACTIONS(1452),
    [sym_html_comment] = ACTIONS(5),
  },
  [764] = {
    [sym_import] = STATE(4369),
    [sym_parenthesized_expression] = STATE(2177),
    [sym_expression] = STATE(2769),
    [sym_primary_expression] = STATE(2990),
    [sym_yield_expression] = STATE(3139),
    [sym_object] = STATE(3113),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(3113),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(3139),
    [sym_glimmer_opening_tag] = STATE(5702),
    [sym_jsx_element] = STATE(3139),
    [sym_jsx_opening_element] = STATE(4008),
    [sym_jsx_self_closing_element] = STATE(3139),
    [sym_class] = STATE(3113),
    [sym_function_expression] = STATE(3113),
    [sym_generator_function] = STATE(3113),
    [sym_arrow_function] = STATE(3113),
    [sym__call_signature] = STATE(7486),
    [sym_call_expression] = STATE(3113),
    [sym_new_expression] = STATE(3139),
    [sym_await_expression] = STATE(3139),
    [sym_member_expression] = STATE(2177),
    [sym_subscript_expression] = STATE(2177),
    [sym_assignment_expression] = STATE(3139),
    [sym__augmented_assignment_lhs] = STATE(3835),
    [sym_augmented_assignment_expression] = STATE(3139),
    [sym__destructuring_pattern] = STATE(7484),
    [sym_ternary_expression] = STATE(3139),
    [sym_binary_expression] = STATE(3139),
    [sym_unary_expression] = STATE(3139),
    [sym_update_expression] = STATE(3139),
    [sym_string] = STATE(3113),
    [sym_comment] = STATE(764),
    [sym_template_string] = STATE(3113),
    [sym_regex] = STATE(3113),
    [sym_meta_property] = STATE(3113),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2177),
    [sym_as_expression] = STATE(3139),
    [sym_satisfies_expression] = STATE(3139),
    [sym_instantiation_expression] = STATE(3139),
    [sym_internal_module] = STATE(3139),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5555),
    [sym_identifier] = ACTIONS(1744),
    [anon_sym_export] = ACTIONS(1596),
    [anon_sym_type] = ACTIONS(1596),
    [anon_sym_namespace] = ACTIONS(1598),
    [anon_sym_LBRACE] = ACTIONS(1020),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1596),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1029),
    [anon_sym_async] = ACTIONS(1602),
    [anon_sym_function] = ACTIONS(1033),
    [anon_sym_new] = ACTIONS(1748),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1596),
    [anon_sym_readonly] = ACTIONS(1596),
    [anon_sym_get] = ACTIONS(1596),
    [anon_sym_set] = ACTIONS(1596),
    [anon_sym_declare] = ACTIONS(1596),
    [anon_sym_public] = ACTIONS(1596),
    [anon_sym_private] = ACTIONS(1596),
    [anon_sym_protected] = ACTIONS(1596),
    [anon_sym_override] = ACTIONS(1596),
    [anon_sym_module] = ACTIONS(1596),
    [anon_sym_any] = ACTIONS(1596),
    [anon_sym_number] = ACTIONS(1596),
    [anon_sym_boolean] = ACTIONS(1596),
    [anon_sym_string] = ACTIONS(1596),
    [anon_sym_symbol] = ACTIONS(1596),
    [anon_sym_object] = ACTIONS(1596),
    [sym_html_comment] = ACTIONS(5),
  },
  [765] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2229),
    [sym_expression] = STATE(3013),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7175),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2229),
    [sym_subscript_expression] = STATE(2229),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3935),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7438),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(765),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2229),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1766),
    [anon_sym_export] = ACTIONS(1482),
    [anon_sym_type] = ACTIONS(1482),
    [anon_sym_namespace] = ACTIONS(1484),
    [anon_sym_LBRACE] = ACTIONS(1127),
    [anon_sym_typeof] = ACTIONS(1490),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1482),
    [anon_sym_BANG] = ACTIONS(1490),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1492),
    [anon_sym_yield] = ACTIONS(1494),
    [anon_sym_LBRACK] = ACTIONS(1129),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1496),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1770),
    [anon_sym_using] = ACTIONS(1500),
    [anon_sym_PLUS] = ACTIONS(1490),
    [anon_sym_DASH] = ACTIONS(1490),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(1490),
    [anon_sym_void] = ACTIONS(1490),
    [anon_sym_delete] = ACTIONS(1490),
    [anon_sym_PLUS_PLUS] = ACTIONS(1506),
    [anon_sym_DASH_DASH] = ACTIONS(1506),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(1508),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1772),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1482),
    [anon_sym_readonly] = ACTIONS(1482),
    [anon_sym_get] = ACTIONS(1482),
    [anon_sym_set] = ACTIONS(1482),
    [anon_sym_declare] = ACTIONS(1482),
    [anon_sym_public] = ACTIONS(1482),
    [anon_sym_private] = ACTIONS(1482),
    [anon_sym_protected] = ACTIONS(1482),
    [anon_sym_override] = ACTIONS(1482),
    [anon_sym_module] = ACTIONS(1482),
    [anon_sym_any] = ACTIONS(1482),
    [anon_sym_number] = ACTIONS(1482),
    [anon_sym_boolean] = ACTIONS(1482),
    [anon_sym_string] = ACTIONS(1482),
    [anon_sym_symbol] = ACTIONS(1482),
    [anon_sym_object] = ACTIONS(1482),
    [sym_html_comment] = ACTIONS(5),
  },
  [766] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2229),
    [sym_expression] = STATE(3012),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7175),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2229),
    [sym_subscript_expression] = STATE(2229),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3935),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7438),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(766),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2229),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1766),
    [anon_sym_export] = ACTIONS(1482),
    [anon_sym_type] = ACTIONS(1482),
    [anon_sym_namespace] = ACTIONS(1484),
    [anon_sym_LBRACE] = ACTIONS(1127),
    [anon_sym_typeof] = ACTIONS(1490),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1482),
    [anon_sym_BANG] = ACTIONS(1490),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1492),
    [anon_sym_yield] = ACTIONS(1494),
    [anon_sym_LBRACK] = ACTIONS(1129),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1496),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1770),
    [anon_sym_using] = ACTIONS(1500),
    [anon_sym_PLUS] = ACTIONS(1490),
    [anon_sym_DASH] = ACTIONS(1490),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(1490),
    [anon_sym_void] = ACTIONS(1490),
    [anon_sym_delete] = ACTIONS(1490),
    [anon_sym_PLUS_PLUS] = ACTIONS(1506),
    [anon_sym_DASH_DASH] = ACTIONS(1506),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(1508),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1772),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1482),
    [anon_sym_readonly] = ACTIONS(1482),
    [anon_sym_get] = ACTIONS(1482),
    [anon_sym_set] = ACTIONS(1482),
    [anon_sym_declare] = ACTIONS(1482),
    [anon_sym_public] = ACTIONS(1482),
    [anon_sym_private] = ACTIONS(1482),
    [anon_sym_protected] = ACTIONS(1482),
    [anon_sym_override] = ACTIONS(1482),
    [anon_sym_module] = ACTIONS(1482),
    [anon_sym_any] = ACTIONS(1482),
    [anon_sym_number] = ACTIONS(1482),
    [anon_sym_boolean] = ACTIONS(1482),
    [anon_sym_string] = ACTIONS(1482),
    [anon_sym_symbol] = ACTIONS(1482),
    [anon_sym_object] = ACTIONS(1482),
    [sym_html_comment] = ACTIONS(5),
  },
  [767] = {
    [sym_import] = STATE(4369),
    [sym_parenthesized_expression] = STATE(2175),
    [sym_expression] = STATE(2565),
    [sym_primary_expression] = STATE(2990),
    [sym_yield_expression] = STATE(3139),
    [sym_object] = STATE(3113),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(3113),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(3139),
    [sym_glimmer_opening_tag] = STATE(5702),
    [sym_jsx_element] = STATE(3139),
    [sym_jsx_opening_element] = STATE(4008),
    [sym_jsx_self_closing_element] = STATE(3139),
    [sym_class] = STATE(3113),
    [sym_function_expression] = STATE(3113),
    [sym_generator_function] = STATE(3113),
    [sym_arrow_function] = STATE(3113),
    [sym__call_signature] = STATE(7205),
    [sym_call_expression] = STATE(3113),
    [sym_new_expression] = STATE(3139),
    [sym_await_expression] = STATE(3139),
    [sym_member_expression] = STATE(2175),
    [sym_subscript_expression] = STATE(2175),
    [sym_assignment_expression] = STATE(3139),
    [sym__augmented_assignment_lhs] = STATE(3844),
    [sym_augmented_assignment_expression] = STATE(3139),
    [sym__destructuring_pattern] = STATE(7209),
    [sym_ternary_expression] = STATE(3139),
    [sym_binary_expression] = STATE(3139),
    [sym_unary_expression] = STATE(3139),
    [sym_update_expression] = STATE(3139),
    [sym_string] = STATE(3113),
    [sym_comment] = STATE(767),
    [sym_template_string] = STATE(3113),
    [sym_regex] = STATE(3113),
    [sym_meta_property] = STATE(3113),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2175),
    [sym_as_expression] = STATE(3139),
    [sym_satisfies_expression] = STATE(3139),
    [sym_instantiation_expression] = STATE(3139),
    [sym_internal_module] = STATE(3139),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5555),
    [sym_identifier] = ACTIONS(1736),
    [anon_sym_export] = ACTIONS(1518),
    [anon_sym_type] = ACTIONS(1518),
    [anon_sym_namespace] = ACTIONS(1520),
    [anon_sym_LBRACE] = ACTIONS(1020),
    [anon_sym_typeof] = ACTIONS(1526),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1518),
    [anon_sym_BANG] = ACTIONS(1526),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1528),
    [anon_sym_yield] = ACTIONS(1530),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1029),
    [anon_sym_async] = ACTIONS(1534),
    [anon_sym_function] = ACTIONS(1033),
    [anon_sym_new] = ACTIONS(1740),
    [anon_sym_using] = ACTIONS(1538),
    [anon_sym_PLUS] = ACTIONS(1526),
    [anon_sym_DASH] = ACTIONS(1526),
    [anon_sym_SLASH] = ACTIONS(1195),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1526),
    [anon_sym_void] = ACTIONS(1526),
    [anon_sym_delete] = ACTIONS(1526),
    [anon_sym_PLUS_PLUS] = ACTIONS(1544),
    [anon_sym_DASH_DASH] = ACTIONS(1544),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(2573),
    [sym_private_property_identifier] = ACTIONS(1550),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1742),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1518),
    [anon_sym_readonly] = ACTIONS(1518),
    [anon_sym_get] = ACTIONS(1518),
    [anon_sym_set] = ACTIONS(1518),
    [anon_sym_declare] = ACTIONS(1518),
    [anon_sym_public] = ACTIONS(1518),
    [anon_sym_private] = ACTIONS(1518),
    [anon_sym_protected] = ACTIONS(1518),
    [anon_sym_override] = ACTIONS(1518),
    [anon_sym_module] = ACTIONS(1518),
    [anon_sym_any] = ACTIONS(1518),
    [anon_sym_number] = ACTIONS(1518),
    [anon_sym_boolean] = ACTIONS(1518),
    [anon_sym_string] = ACTIONS(1518),
    [anon_sym_symbol] = ACTIONS(1518),
    [anon_sym_object] = ACTIONS(1518),
    [sym_html_comment] = ACTIONS(5),
  },
  [768] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2229),
    [sym_expression] = STATE(3005),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7175),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2229),
    [sym_subscript_expression] = STATE(2229),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3935),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7438),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(768),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2229),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1766),
    [anon_sym_export] = ACTIONS(1482),
    [anon_sym_type] = ACTIONS(1482),
    [anon_sym_namespace] = ACTIONS(1484),
    [anon_sym_LBRACE] = ACTIONS(1127),
    [anon_sym_typeof] = ACTIONS(1490),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1482),
    [anon_sym_BANG] = ACTIONS(1490),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1492),
    [anon_sym_yield] = ACTIONS(1494),
    [anon_sym_LBRACK] = ACTIONS(1129),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1496),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1770),
    [anon_sym_using] = ACTIONS(1500),
    [anon_sym_PLUS] = ACTIONS(1490),
    [anon_sym_DASH] = ACTIONS(1490),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(1490),
    [anon_sym_void] = ACTIONS(1490),
    [anon_sym_delete] = ACTIONS(1490),
    [anon_sym_PLUS_PLUS] = ACTIONS(1506),
    [anon_sym_DASH_DASH] = ACTIONS(1506),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(1508),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1772),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1482),
    [anon_sym_readonly] = ACTIONS(1482),
    [anon_sym_get] = ACTIONS(1482),
    [anon_sym_set] = ACTIONS(1482),
    [anon_sym_declare] = ACTIONS(1482),
    [anon_sym_public] = ACTIONS(1482),
    [anon_sym_private] = ACTIONS(1482),
    [anon_sym_protected] = ACTIONS(1482),
    [anon_sym_override] = ACTIONS(1482),
    [anon_sym_module] = ACTIONS(1482),
    [anon_sym_any] = ACTIONS(1482),
    [anon_sym_number] = ACTIONS(1482),
    [anon_sym_boolean] = ACTIONS(1482),
    [anon_sym_string] = ACTIONS(1482),
    [anon_sym_symbol] = ACTIONS(1482),
    [anon_sym_object] = ACTIONS(1482),
    [sym_html_comment] = ACTIONS(5),
  },
  [769] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2151),
    [sym_expression] = STATE(2461),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7643),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2151),
    [sym_subscript_expression] = STATE(2151),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3918),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7259),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(769),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2151),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1724),
    [anon_sym_export] = ACTIONS(1452),
    [anon_sym_type] = ACTIONS(1452),
    [anon_sym_namespace] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(1127),
    [anon_sym_typeof] = ACTIONS(968),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1452),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(1129),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1462),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1730),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_PLUS] = ACTIONS(968),
    [anon_sym_DASH] = ACTIONS(968),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(968),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1732),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1452),
    [anon_sym_readonly] = ACTIONS(1452),
    [anon_sym_get] = ACTIONS(1452),
    [anon_sym_set] = ACTIONS(1452),
    [anon_sym_declare] = ACTIONS(1452),
    [anon_sym_public] = ACTIONS(1452),
    [anon_sym_private] = ACTIONS(1452),
    [anon_sym_protected] = ACTIONS(1452),
    [anon_sym_override] = ACTIONS(1452),
    [anon_sym_module] = ACTIONS(1452),
    [anon_sym_any] = ACTIONS(1452),
    [anon_sym_number] = ACTIONS(1452),
    [anon_sym_boolean] = ACTIONS(1452),
    [anon_sym_string] = ACTIONS(1452),
    [anon_sym_symbol] = ACTIONS(1452),
    [anon_sym_object] = ACTIONS(1452),
    [sym_html_comment] = ACTIONS(5),
  },
  [770] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2291),
    [sym_expression] = STATE(3359),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7260),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2291),
    [sym_subscript_expression] = STATE(2291),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3878),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7187),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(770),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2291),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(2617),
    [anon_sym_export] = ACTIONS(2619),
    [anon_sym_type] = ACTIONS(2619),
    [anon_sym_namespace] = ACTIONS(2621),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(174),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(2619),
    [anon_sym_BANG] = ACTIONS(174),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(2623),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(2625),
    [anon_sym_using] = ACTIONS(157),
    [anon_sym_PLUS] = ACTIONS(174),
    [anon_sym_DASH] = ACTIONS(174),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(174),
    [anon_sym_void] = ACTIONS(174),
    [anon_sym_delete] = ACTIONS(174),
    [anon_sym_PLUS_PLUS] = ACTIONS(1039),
    [anon_sym_DASH_DASH] = ACTIONS(1039),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(185),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(2627),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(2619),
    [anon_sym_readonly] = ACTIONS(2619),
    [anon_sym_get] = ACTIONS(2619),
    [anon_sym_set] = ACTIONS(2619),
    [anon_sym_declare] = ACTIONS(2619),
    [anon_sym_public] = ACTIONS(2619),
    [anon_sym_private] = ACTIONS(2619),
    [anon_sym_protected] = ACTIONS(2619),
    [anon_sym_override] = ACTIONS(2619),
    [anon_sym_module] = ACTIONS(2619),
    [anon_sym_any] = ACTIONS(2619),
    [anon_sym_number] = ACTIONS(2619),
    [anon_sym_boolean] = ACTIONS(2619),
    [anon_sym_string] = ACTIONS(2619),
    [anon_sym_symbol] = ACTIONS(2619),
    [anon_sym_object] = ACTIONS(2619),
    [sym_html_comment] = ACTIONS(5),
  },
  [771] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2229),
    [sym_expression] = STATE(3151),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7175),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2229),
    [sym_subscript_expression] = STATE(2229),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3935),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7438),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(771),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2229),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1766),
    [anon_sym_export] = ACTIONS(1482),
    [anon_sym_type] = ACTIONS(1482),
    [anon_sym_namespace] = ACTIONS(1484),
    [anon_sym_LBRACE] = ACTIONS(1127),
    [anon_sym_typeof] = ACTIONS(1490),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1482),
    [anon_sym_BANG] = ACTIONS(1490),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1492),
    [anon_sym_yield] = ACTIONS(1494),
    [anon_sym_LBRACK] = ACTIONS(1129),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1496),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1770),
    [anon_sym_using] = ACTIONS(1500),
    [anon_sym_PLUS] = ACTIONS(1490),
    [anon_sym_DASH] = ACTIONS(1490),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(1490),
    [anon_sym_void] = ACTIONS(1490),
    [anon_sym_delete] = ACTIONS(1490),
    [anon_sym_PLUS_PLUS] = ACTIONS(1506),
    [anon_sym_DASH_DASH] = ACTIONS(1506),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(1508),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1772),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1482),
    [anon_sym_readonly] = ACTIONS(1482),
    [anon_sym_get] = ACTIONS(1482),
    [anon_sym_set] = ACTIONS(1482),
    [anon_sym_declare] = ACTIONS(1482),
    [anon_sym_public] = ACTIONS(1482),
    [anon_sym_private] = ACTIONS(1482),
    [anon_sym_protected] = ACTIONS(1482),
    [anon_sym_override] = ACTIONS(1482),
    [anon_sym_module] = ACTIONS(1482),
    [anon_sym_any] = ACTIONS(1482),
    [anon_sym_number] = ACTIONS(1482),
    [anon_sym_boolean] = ACTIONS(1482),
    [anon_sym_string] = ACTIONS(1482),
    [anon_sym_symbol] = ACTIONS(1482),
    [anon_sym_object] = ACTIONS(1482),
    [sym_html_comment] = ACTIONS(5),
  },
  [772] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2239),
    [sym_expression] = STATE(3213),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7446),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2239),
    [sym_subscript_expression] = STATE(2239),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3938),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7450),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(772),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2239),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1782),
    [anon_sym_export] = ACTIONS(1408),
    [anon_sym_type] = ACTIONS(1408),
    [anon_sym_namespace] = ACTIONS(1410),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(1416),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1408),
    [anon_sym_BANG] = ACTIONS(1416),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1418),
    [anon_sym_yield] = ACTIONS(1420),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1424),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1786),
    [anon_sym_using] = ACTIONS(1428),
    [anon_sym_PLUS] = ACTIONS(1416),
    [anon_sym_DASH] = ACTIONS(1416),
    [anon_sym_SLASH] = ACTIONS(1290),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(1416),
    [anon_sym_void] = ACTIONS(1416),
    [anon_sym_delete] = ACTIONS(1416),
    [anon_sym_PLUS_PLUS] = ACTIONS(1434),
    [anon_sym_DASH_DASH] = ACTIONS(1434),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(1440),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1788),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1408),
    [anon_sym_readonly] = ACTIONS(1408),
    [anon_sym_get] = ACTIONS(1408),
    [anon_sym_set] = ACTIONS(1408),
    [anon_sym_declare] = ACTIONS(1408),
    [anon_sym_public] = ACTIONS(1408),
    [anon_sym_private] = ACTIONS(1408),
    [anon_sym_protected] = ACTIONS(1408),
    [anon_sym_override] = ACTIONS(1408),
    [anon_sym_module] = ACTIONS(1408),
    [anon_sym_any] = ACTIONS(1408),
    [anon_sym_number] = ACTIONS(1408),
    [anon_sym_boolean] = ACTIONS(1408),
    [anon_sym_string] = ACTIONS(1408),
    [anon_sym_symbol] = ACTIONS(1408),
    [anon_sym_object] = ACTIONS(1408),
    [sym_html_comment] = ACTIONS(5),
  },
  [773] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2229),
    [sym_expression] = STATE(2992),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7175),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2229),
    [sym_subscript_expression] = STATE(2229),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3935),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7438),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(773),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2229),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1766),
    [anon_sym_export] = ACTIONS(1482),
    [anon_sym_type] = ACTIONS(1482),
    [anon_sym_namespace] = ACTIONS(1484),
    [anon_sym_LBRACE] = ACTIONS(1127),
    [anon_sym_typeof] = ACTIONS(1490),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1482),
    [anon_sym_BANG] = ACTIONS(1490),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1492),
    [anon_sym_yield] = ACTIONS(1494),
    [anon_sym_LBRACK] = ACTIONS(1129),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1496),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1770),
    [anon_sym_using] = ACTIONS(1500),
    [anon_sym_PLUS] = ACTIONS(1490),
    [anon_sym_DASH] = ACTIONS(1490),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(1490),
    [anon_sym_void] = ACTIONS(1490),
    [anon_sym_delete] = ACTIONS(1490),
    [anon_sym_PLUS_PLUS] = ACTIONS(1506),
    [anon_sym_DASH_DASH] = ACTIONS(1506),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(1508),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1772),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1482),
    [anon_sym_readonly] = ACTIONS(1482),
    [anon_sym_get] = ACTIONS(1482),
    [anon_sym_set] = ACTIONS(1482),
    [anon_sym_declare] = ACTIONS(1482),
    [anon_sym_public] = ACTIONS(1482),
    [anon_sym_private] = ACTIONS(1482),
    [anon_sym_protected] = ACTIONS(1482),
    [anon_sym_override] = ACTIONS(1482),
    [anon_sym_module] = ACTIONS(1482),
    [anon_sym_any] = ACTIONS(1482),
    [anon_sym_number] = ACTIONS(1482),
    [anon_sym_boolean] = ACTIONS(1482),
    [anon_sym_string] = ACTIONS(1482),
    [anon_sym_symbol] = ACTIONS(1482),
    [anon_sym_object] = ACTIONS(1482),
    [sym_html_comment] = ACTIONS(5),
  },
  [774] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2229),
    [sym_expression] = STATE(2991),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7175),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2229),
    [sym_subscript_expression] = STATE(2229),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3935),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7438),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(774),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2229),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1766),
    [anon_sym_export] = ACTIONS(1482),
    [anon_sym_type] = ACTIONS(1482),
    [anon_sym_namespace] = ACTIONS(1484),
    [anon_sym_LBRACE] = ACTIONS(1127),
    [anon_sym_typeof] = ACTIONS(1490),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1482),
    [anon_sym_BANG] = ACTIONS(1490),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1492),
    [anon_sym_yield] = ACTIONS(1494),
    [anon_sym_LBRACK] = ACTIONS(1129),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1496),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1770),
    [anon_sym_using] = ACTIONS(1500),
    [anon_sym_PLUS] = ACTIONS(1490),
    [anon_sym_DASH] = ACTIONS(1490),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(1490),
    [anon_sym_void] = ACTIONS(1490),
    [anon_sym_delete] = ACTIONS(1490),
    [anon_sym_PLUS_PLUS] = ACTIONS(1506),
    [anon_sym_DASH_DASH] = ACTIONS(1506),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(1508),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1772),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1482),
    [anon_sym_readonly] = ACTIONS(1482),
    [anon_sym_get] = ACTIONS(1482),
    [anon_sym_set] = ACTIONS(1482),
    [anon_sym_declare] = ACTIONS(1482),
    [anon_sym_public] = ACTIONS(1482),
    [anon_sym_private] = ACTIONS(1482),
    [anon_sym_protected] = ACTIONS(1482),
    [anon_sym_override] = ACTIONS(1482),
    [anon_sym_module] = ACTIONS(1482),
    [anon_sym_any] = ACTIONS(1482),
    [anon_sym_number] = ACTIONS(1482),
    [anon_sym_boolean] = ACTIONS(1482),
    [anon_sym_string] = ACTIONS(1482),
    [anon_sym_symbol] = ACTIONS(1482),
    [anon_sym_object] = ACTIONS(1482),
    [sym_html_comment] = ACTIONS(5),
  },
  [775] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2229),
    [sym_expression] = STATE(2987),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7175),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2229),
    [sym_subscript_expression] = STATE(2229),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3935),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7438),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(775),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2229),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1766),
    [anon_sym_export] = ACTIONS(1482),
    [anon_sym_type] = ACTIONS(1482),
    [anon_sym_namespace] = ACTIONS(1484),
    [anon_sym_LBRACE] = ACTIONS(1127),
    [anon_sym_typeof] = ACTIONS(1490),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1482),
    [anon_sym_BANG] = ACTIONS(1490),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1492),
    [anon_sym_yield] = ACTIONS(1494),
    [anon_sym_LBRACK] = ACTIONS(1129),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1496),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1770),
    [anon_sym_using] = ACTIONS(1500),
    [anon_sym_PLUS] = ACTIONS(1490),
    [anon_sym_DASH] = ACTIONS(1490),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(1490),
    [anon_sym_void] = ACTIONS(1490),
    [anon_sym_delete] = ACTIONS(1490),
    [anon_sym_PLUS_PLUS] = ACTIONS(1506),
    [anon_sym_DASH_DASH] = ACTIONS(1506),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(1508),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1772),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1482),
    [anon_sym_readonly] = ACTIONS(1482),
    [anon_sym_get] = ACTIONS(1482),
    [anon_sym_set] = ACTIONS(1482),
    [anon_sym_declare] = ACTIONS(1482),
    [anon_sym_public] = ACTIONS(1482),
    [anon_sym_private] = ACTIONS(1482),
    [anon_sym_protected] = ACTIONS(1482),
    [anon_sym_override] = ACTIONS(1482),
    [anon_sym_module] = ACTIONS(1482),
    [anon_sym_any] = ACTIONS(1482),
    [anon_sym_number] = ACTIONS(1482),
    [anon_sym_boolean] = ACTIONS(1482),
    [anon_sym_string] = ACTIONS(1482),
    [anon_sym_symbol] = ACTIONS(1482),
    [anon_sym_object] = ACTIONS(1482),
    [sym_html_comment] = ACTIONS(5),
  },
  [776] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2151),
    [sym_expression] = STATE(2390),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7643),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2151),
    [sym_subscript_expression] = STATE(2151),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3918),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7259),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(776),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2151),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1724),
    [anon_sym_export] = ACTIONS(1452),
    [anon_sym_type] = ACTIONS(1452),
    [anon_sym_namespace] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(1127),
    [anon_sym_typeof] = ACTIONS(968),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1452),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(1129),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1462),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1730),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_PLUS] = ACTIONS(968),
    [anon_sym_DASH] = ACTIONS(968),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(968),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1732),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1452),
    [anon_sym_readonly] = ACTIONS(1452),
    [anon_sym_get] = ACTIONS(1452),
    [anon_sym_set] = ACTIONS(1452),
    [anon_sym_declare] = ACTIONS(1452),
    [anon_sym_public] = ACTIONS(1452),
    [anon_sym_private] = ACTIONS(1452),
    [anon_sym_protected] = ACTIONS(1452),
    [anon_sym_override] = ACTIONS(1452),
    [anon_sym_module] = ACTIONS(1452),
    [anon_sym_any] = ACTIONS(1452),
    [anon_sym_number] = ACTIONS(1452),
    [anon_sym_boolean] = ACTIONS(1452),
    [anon_sym_string] = ACTIONS(1452),
    [anon_sym_symbol] = ACTIONS(1452),
    [anon_sym_object] = ACTIONS(1452),
    [sym_html_comment] = ACTIONS(5),
  },
  [777] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2151),
    [sym_expression] = STATE(2388),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7643),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2151),
    [sym_subscript_expression] = STATE(2151),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3918),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7259),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(777),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2151),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1724),
    [anon_sym_export] = ACTIONS(1452),
    [anon_sym_type] = ACTIONS(1452),
    [anon_sym_namespace] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(1127),
    [anon_sym_typeof] = ACTIONS(968),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1452),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(1129),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1462),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1730),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_PLUS] = ACTIONS(968),
    [anon_sym_DASH] = ACTIONS(968),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(968),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1732),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1452),
    [anon_sym_readonly] = ACTIONS(1452),
    [anon_sym_get] = ACTIONS(1452),
    [anon_sym_set] = ACTIONS(1452),
    [anon_sym_declare] = ACTIONS(1452),
    [anon_sym_public] = ACTIONS(1452),
    [anon_sym_private] = ACTIONS(1452),
    [anon_sym_protected] = ACTIONS(1452),
    [anon_sym_override] = ACTIONS(1452),
    [anon_sym_module] = ACTIONS(1452),
    [anon_sym_any] = ACTIONS(1452),
    [anon_sym_number] = ACTIONS(1452),
    [anon_sym_boolean] = ACTIONS(1452),
    [anon_sym_string] = ACTIONS(1452),
    [anon_sym_symbol] = ACTIONS(1452),
    [anon_sym_object] = ACTIONS(1452),
    [sym_html_comment] = ACTIONS(5),
  },
  [778] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2229),
    [sym_expression] = STATE(2984),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7175),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2229),
    [sym_subscript_expression] = STATE(2229),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3935),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7438),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(778),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2229),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1766),
    [anon_sym_export] = ACTIONS(1482),
    [anon_sym_type] = ACTIONS(1482),
    [anon_sym_namespace] = ACTIONS(1484),
    [anon_sym_LBRACE] = ACTIONS(1127),
    [anon_sym_typeof] = ACTIONS(1490),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1482),
    [anon_sym_BANG] = ACTIONS(1490),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1492),
    [anon_sym_yield] = ACTIONS(1494),
    [anon_sym_LBRACK] = ACTIONS(1129),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1496),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1770),
    [anon_sym_using] = ACTIONS(1500),
    [anon_sym_PLUS] = ACTIONS(1490),
    [anon_sym_DASH] = ACTIONS(1490),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(1490),
    [anon_sym_void] = ACTIONS(1490),
    [anon_sym_delete] = ACTIONS(1490),
    [anon_sym_PLUS_PLUS] = ACTIONS(1506),
    [anon_sym_DASH_DASH] = ACTIONS(1506),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(1508),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1772),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1482),
    [anon_sym_readonly] = ACTIONS(1482),
    [anon_sym_get] = ACTIONS(1482),
    [anon_sym_set] = ACTIONS(1482),
    [anon_sym_declare] = ACTIONS(1482),
    [anon_sym_public] = ACTIONS(1482),
    [anon_sym_private] = ACTIONS(1482),
    [anon_sym_protected] = ACTIONS(1482),
    [anon_sym_override] = ACTIONS(1482),
    [anon_sym_module] = ACTIONS(1482),
    [anon_sym_any] = ACTIONS(1482),
    [anon_sym_number] = ACTIONS(1482),
    [anon_sym_boolean] = ACTIONS(1482),
    [anon_sym_string] = ACTIONS(1482),
    [anon_sym_symbol] = ACTIONS(1482),
    [anon_sym_object] = ACTIONS(1482),
    [sym_html_comment] = ACTIONS(5),
  },
  [779] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2151),
    [sym_expression] = STATE(2387),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7643),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2151),
    [sym_subscript_expression] = STATE(2151),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3918),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7259),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(779),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2151),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1724),
    [anon_sym_export] = ACTIONS(1452),
    [anon_sym_type] = ACTIONS(1452),
    [anon_sym_namespace] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(1127),
    [anon_sym_typeof] = ACTIONS(968),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1452),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(1129),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1462),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1730),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_PLUS] = ACTIONS(968),
    [anon_sym_DASH] = ACTIONS(968),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(968),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1732),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1452),
    [anon_sym_readonly] = ACTIONS(1452),
    [anon_sym_get] = ACTIONS(1452),
    [anon_sym_set] = ACTIONS(1452),
    [anon_sym_declare] = ACTIONS(1452),
    [anon_sym_public] = ACTIONS(1452),
    [anon_sym_private] = ACTIONS(1452),
    [anon_sym_protected] = ACTIONS(1452),
    [anon_sym_override] = ACTIONS(1452),
    [anon_sym_module] = ACTIONS(1452),
    [anon_sym_any] = ACTIONS(1452),
    [anon_sym_number] = ACTIONS(1452),
    [anon_sym_boolean] = ACTIONS(1452),
    [anon_sym_string] = ACTIONS(1452),
    [anon_sym_symbol] = ACTIONS(1452),
    [anon_sym_object] = ACTIONS(1452),
    [sym_html_comment] = ACTIONS(5),
  },
  [780] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2229),
    [sym_expression] = STATE(2983),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7175),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2229),
    [sym_subscript_expression] = STATE(2229),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3935),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7438),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(780),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2229),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1766),
    [anon_sym_export] = ACTIONS(1482),
    [anon_sym_type] = ACTIONS(1482),
    [anon_sym_namespace] = ACTIONS(1484),
    [anon_sym_LBRACE] = ACTIONS(1127),
    [anon_sym_typeof] = ACTIONS(1490),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1482),
    [anon_sym_BANG] = ACTIONS(1490),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1492),
    [anon_sym_yield] = ACTIONS(1494),
    [anon_sym_LBRACK] = ACTIONS(1129),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1496),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1770),
    [anon_sym_using] = ACTIONS(1500),
    [anon_sym_PLUS] = ACTIONS(1490),
    [anon_sym_DASH] = ACTIONS(1490),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(1490),
    [anon_sym_void] = ACTIONS(1490),
    [anon_sym_delete] = ACTIONS(1490),
    [anon_sym_PLUS_PLUS] = ACTIONS(1506),
    [anon_sym_DASH_DASH] = ACTIONS(1506),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(1508),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1772),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1482),
    [anon_sym_readonly] = ACTIONS(1482),
    [anon_sym_get] = ACTIONS(1482),
    [anon_sym_set] = ACTIONS(1482),
    [anon_sym_declare] = ACTIONS(1482),
    [anon_sym_public] = ACTIONS(1482),
    [anon_sym_private] = ACTIONS(1482),
    [anon_sym_protected] = ACTIONS(1482),
    [anon_sym_override] = ACTIONS(1482),
    [anon_sym_module] = ACTIONS(1482),
    [anon_sym_any] = ACTIONS(1482),
    [anon_sym_number] = ACTIONS(1482),
    [anon_sym_boolean] = ACTIONS(1482),
    [anon_sym_string] = ACTIONS(1482),
    [anon_sym_symbol] = ACTIONS(1482),
    [anon_sym_object] = ACTIONS(1482),
    [sym_html_comment] = ACTIONS(5),
  },
  [781] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2229),
    [sym_expression] = STATE(3168),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7175),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2229),
    [sym_subscript_expression] = STATE(2229),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3935),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7438),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(781),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2229),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1766),
    [anon_sym_export] = ACTIONS(1482),
    [anon_sym_type] = ACTIONS(1482),
    [anon_sym_namespace] = ACTIONS(1484),
    [anon_sym_LBRACE] = ACTIONS(1127),
    [anon_sym_typeof] = ACTIONS(1490),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1482),
    [anon_sym_BANG] = ACTIONS(1490),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1492),
    [anon_sym_yield] = ACTIONS(1494),
    [anon_sym_LBRACK] = ACTIONS(1129),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1496),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1770),
    [anon_sym_using] = ACTIONS(1500),
    [anon_sym_PLUS] = ACTIONS(1490),
    [anon_sym_DASH] = ACTIONS(1490),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(1490),
    [anon_sym_void] = ACTIONS(1490),
    [anon_sym_delete] = ACTIONS(1490),
    [anon_sym_PLUS_PLUS] = ACTIONS(1506),
    [anon_sym_DASH_DASH] = ACTIONS(1506),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(1508),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1772),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1482),
    [anon_sym_readonly] = ACTIONS(1482),
    [anon_sym_get] = ACTIONS(1482),
    [anon_sym_set] = ACTIONS(1482),
    [anon_sym_declare] = ACTIONS(1482),
    [anon_sym_public] = ACTIONS(1482),
    [anon_sym_private] = ACTIONS(1482),
    [anon_sym_protected] = ACTIONS(1482),
    [anon_sym_override] = ACTIONS(1482),
    [anon_sym_module] = ACTIONS(1482),
    [anon_sym_any] = ACTIONS(1482),
    [anon_sym_number] = ACTIONS(1482),
    [anon_sym_boolean] = ACTIONS(1482),
    [anon_sym_string] = ACTIONS(1482),
    [anon_sym_symbol] = ACTIONS(1482),
    [anon_sym_object] = ACTIONS(1482),
    [sym_html_comment] = ACTIONS(5),
  },
  [782] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2229),
    [sym_expression] = STATE(2977),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7175),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2229),
    [sym_subscript_expression] = STATE(2229),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3935),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7438),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(782),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2229),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1766),
    [anon_sym_export] = ACTIONS(1482),
    [anon_sym_type] = ACTIONS(1482),
    [anon_sym_namespace] = ACTIONS(1484),
    [anon_sym_LBRACE] = ACTIONS(1127),
    [anon_sym_typeof] = ACTIONS(1490),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1482),
    [anon_sym_BANG] = ACTIONS(1490),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1492),
    [anon_sym_yield] = ACTIONS(1494),
    [anon_sym_LBRACK] = ACTIONS(1129),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1496),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1770),
    [anon_sym_using] = ACTIONS(1500),
    [anon_sym_PLUS] = ACTIONS(1490),
    [anon_sym_DASH] = ACTIONS(1490),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(1490),
    [anon_sym_void] = ACTIONS(1490),
    [anon_sym_delete] = ACTIONS(1490),
    [anon_sym_PLUS_PLUS] = ACTIONS(1506),
    [anon_sym_DASH_DASH] = ACTIONS(1506),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(1508),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1772),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1482),
    [anon_sym_readonly] = ACTIONS(1482),
    [anon_sym_get] = ACTIONS(1482),
    [anon_sym_set] = ACTIONS(1482),
    [anon_sym_declare] = ACTIONS(1482),
    [anon_sym_public] = ACTIONS(1482),
    [anon_sym_private] = ACTIONS(1482),
    [anon_sym_protected] = ACTIONS(1482),
    [anon_sym_override] = ACTIONS(1482),
    [anon_sym_module] = ACTIONS(1482),
    [anon_sym_any] = ACTIONS(1482),
    [anon_sym_number] = ACTIONS(1482),
    [anon_sym_boolean] = ACTIONS(1482),
    [anon_sym_string] = ACTIONS(1482),
    [anon_sym_symbol] = ACTIONS(1482),
    [anon_sym_object] = ACTIONS(1482),
    [sym_html_comment] = ACTIONS(5),
  },
  [783] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2229),
    [sym_expression] = STATE(2975),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7175),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2229),
    [sym_subscript_expression] = STATE(2229),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3935),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7438),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(783),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2229),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1766),
    [anon_sym_export] = ACTIONS(1482),
    [anon_sym_type] = ACTIONS(1482),
    [anon_sym_namespace] = ACTIONS(1484),
    [anon_sym_LBRACE] = ACTIONS(1127),
    [anon_sym_typeof] = ACTIONS(1490),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1482),
    [anon_sym_BANG] = ACTIONS(1490),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1492),
    [anon_sym_yield] = ACTIONS(1494),
    [anon_sym_LBRACK] = ACTIONS(1129),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1496),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1770),
    [anon_sym_using] = ACTIONS(1500),
    [anon_sym_PLUS] = ACTIONS(1490),
    [anon_sym_DASH] = ACTIONS(1490),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(1490),
    [anon_sym_void] = ACTIONS(1490),
    [anon_sym_delete] = ACTIONS(1490),
    [anon_sym_PLUS_PLUS] = ACTIONS(1506),
    [anon_sym_DASH_DASH] = ACTIONS(1506),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(1508),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1772),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1482),
    [anon_sym_readonly] = ACTIONS(1482),
    [anon_sym_get] = ACTIONS(1482),
    [anon_sym_set] = ACTIONS(1482),
    [anon_sym_declare] = ACTIONS(1482),
    [anon_sym_public] = ACTIONS(1482),
    [anon_sym_private] = ACTIONS(1482),
    [anon_sym_protected] = ACTIONS(1482),
    [anon_sym_override] = ACTIONS(1482),
    [anon_sym_module] = ACTIONS(1482),
    [anon_sym_any] = ACTIONS(1482),
    [anon_sym_number] = ACTIONS(1482),
    [anon_sym_boolean] = ACTIONS(1482),
    [anon_sym_string] = ACTIONS(1482),
    [anon_sym_symbol] = ACTIONS(1482),
    [anon_sym_object] = ACTIONS(1482),
    [sym_html_comment] = ACTIONS(5),
  },
  [784] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2229),
    [sym_expression] = STATE(2972),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7175),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2229),
    [sym_subscript_expression] = STATE(2229),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3935),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7438),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(784),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2229),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1766),
    [anon_sym_export] = ACTIONS(1482),
    [anon_sym_type] = ACTIONS(1482),
    [anon_sym_namespace] = ACTIONS(1484),
    [anon_sym_LBRACE] = ACTIONS(1127),
    [anon_sym_typeof] = ACTIONS(1490),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1482),
    [anon_sym_BANG] = ACTIONS(1490),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1492),
    [anon_sym_yield] = ACTIONS(1494),
    [anon_sym_LBRACK] = ACTIONS(1129),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1496),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1770),
    [anon_sym_using] = ACTIONS(1500),
    [anon_sym_PLUS] = ACTIONS(1490),
    [anon_sym_DASH] = ACTIONS(1490),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(1490),
    [anon_sym_void] = ACTIONS(1490),
    [anon_sym_delete] = ACTIONS(1490),
    [anon_sym_PLUS_PLUS] = ACTIONS(1506),
    [anon_sym_DASH_DASH] = ACTIONS(1506),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(1508),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1772),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1482),
    [anon_sym_readonly] = ACTIONS(1482),
    [anon_sym_get] = ACTIONS(1482),
    [anon_sym_set] = ACTIONS(1482),
    [anon_sym_declare] = ACTIONS(1482),
    [anon_sym_public] = ACTIONS(1482),
    [anon_sym_private] = ACTIONS(1482),
    [anon_sym_protected] = ACTIONS(1482),
    [anon_sym_override] = ACTIONS(1482),
    [anon_sym_module] = ACTIONS(1482),
    [anon_sym_any] = ACTIONS(1482),
    [anon_sym_number] = ACTIONS(1482),
    [anon_sym_boolean] = ACTIONS(1482),
    [anon_sym_string] = ACTIONS(1482),
    [anon_sym_symbol] = ACTIONS(1482),
    [anon_sym_object] = ACTIONS(1482),
    [sym_html_comment] = ACTIONS(5),
  },
  [785] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2229),
    [sym_expression] = STATE(2970),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7175),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2229),
    [sym_subscript_expression] = STATE(2229),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3935),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7438),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(785),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2229),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1766),
    [anon_sym_export] = ACTIONS(1482),
    [anon_sym_type] = ACTIONS(1482),
    [anon_sym_namespace] = ACTIONS(1484),
    [anon_sym_LBRACE] = ACTIONS(1127),
    [anon_sym_typeof] = ACTIONS(1490),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1482),
    [anon_sym_BANG] = ACTIONS(1490),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1492),
    [anon_sym_yield] = ACTIONS(1494),
    [anon_sym_LBRACK] = ACTIONS(1129),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1496),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1770),
    [anon_sym_using] = ACTIONS(1500),
    [anon_sym_PLUS] = ACTIONS(1490),
    [anon_sym_DASH] = ACTIONS(1490),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(1490),
    [anon_sym_void] = ACTIONS(1490),
    [anon_sym_delete] = ACTIONS(1490),
    [anon_sym_PLUS_PLUS] = ACTIONS(1506),
    [anon_sym_DASH_DASH] = ACTIONS(1506),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(1508),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1772),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1482),
    [anon_sym_readonly] = ACTIONS(1482),
    [anon_sym_get] = ACTIONS(1482),
    [anon_sym_set] = ACTIONS(1482),
    [anon_sym_declare] = ACTIONS(1482),
    [anon_sym_public] = ACTIONS(1482),
    [anon_sym_private] = ACTIONS(1482),
    [anon_sym_protected] = ACTIONS(1482),
    [anon_sym_override] = ACTIONS(1482),
    [anon_sym_module] = ACTIONS(1482),
    [anon_sym_any] = ACTIONS(1482),
    [anon_sym_number] = ACTIONS(1482),
    [anon_sym_boolean] = ACTIONS(1482),
    [anon_sym_string] = ACTIONS(1482),
    [anon_sym_symbol] = ACTIONS(1482),
    [anon_sym_object] = ACTIONS(1482),
    [sym_html_comment] = ACTIONS(5),
  },
  [786] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2229),
    [sym_expression] = STATE(2967),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7175),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2229),
    [sym_subscript_expression] = STATE(2229),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3935),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7438),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(786),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2229),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1766),
    [anon_sym_export] = ACTIONS(1482),
    [anon_sym_type] = ACTIONS(1482),
    [anon_sym_namespace] = ACTIONS(1484),
    [anon_sym_LBRACE] = ACTIONS(1127),
    [anon_sym_typeof] = ACTIONS(1490),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1482),
    [anon_sym_BANG] = ACTIONS(1490),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1492),
    [anon_sym_yield] = ACTIONS(1494),
    [anon_sym_LBRACK] = ACTIONS(1129),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1496),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1770),
    [anon_sym_using] = ACTIONS(1500),
    [anon_sym_PLUS] = ACTIONS(1490),
    [anon_sym_DASH] = ACTIONS(1490),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(1490),
    [anon_sym_void] = ACTIONS(1490),
    [anon_sym_delete] = ACTIONS(1490),
    [anon_sym_PLUS_PLUS] = ACTIONS(1506),
    [anon_sym_DASH_DASH] = ACTIONS(1506),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(1508),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1772),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1482),
    [anon_sym_readonly] = ACTIONS(1482),
    [anon_sym_get] = ACTIONS(1482),
    [anon_sym_set] = ACTIONS(1482),
    [anon_sym_declare] = ACTIONS(1482),
    [anon_sym_public] = ACTIONS(1482),
    [anon_sym_private] = ACTIONS(1482),
    [anon_sym_protected] = ACTIONS(1482),
    [anon_sym_override] = ACTIONS(1482),
    [anon_sym_module] = ACTIONS(1482),
    [anon_sym_any] = ACTIONS(1482),
    [anon_sym_number] = ACTIONS(1482),
    [anon_sym_boolean] = ACTIONS(1482),
    [anon_sym_string] = ACTIONS(1482),
    [anon_sym_symbol] = ACTIONS(1482),
    [anon_sym_object] = ACTIONS(1482),
    [sym_html_comment] = ACTIONS(5),
  },
  [787] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2151),
    [sym_expression] = STATE(2385),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7643),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2151),
    [sym_subscript_expression] = STATE(2151),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3918),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7259),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(787),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2151),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1724),
    [anon_sym_export] = ACTIONS(1452),
    [anon_sym_type] = ACTIONS(1452),
    [anon_sym_namespace] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(1127),
    [anon_sym_typeof] = ACTIONS(968),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1452),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(1129),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1462),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1730),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_PLUS] = ACTIONS(968),
    [anon_sym_DASH] = ACTIONS(968),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(968),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1732),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1452),
    [anon_sym_readonly] = ACTIONS(1452),
    [anon_sym_get] = ACTIONS(1452),
    [anon_sym_set] = ACTIONS(1452),
    [anon_sym_declare] = ACTIONS(1452),
    [anon_sym_public] = ACTIONS(1452),
    [anon_sym_private] = ACTIONS(1452),
    [anon_sym_protected] = ACTIONS(1452),
    [anon_sym_override] = ACTIONS(1452),
    [anon_sym_module] = ACTIONS(1452),
    [anon_sym_any] = ACTIONS(1452),
    [anon_sym_number] = ACTIONS(1452),
    [anon_sym_boolean] = ACTIONS(1452),
    [anon_sym_string] = ACTIONS(1452),
    [anon_sym_symbol] = ACTIONS(1452),
    [anon_sym_object] = ACTIONS(1452),
    [sym_html_comment] = ACTIONS(5),
  },
  [788] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2151),
    [sym_expression] = STATE(2382),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7643),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2151),
    [sym_subscript_expression] = STATE(2151),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3918),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7259),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(788),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2151),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1724),
    [anon_sym_export] = ACTIONS(1452),
    [anon_sym_type] = ACTIONS(1452),
    [anon_sym_namespace] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(1127),
    [anon_sym_typeof] = ACTIONS(968),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1452),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(1129),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1462),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1730),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_PLUS] = ACTIONS(968),
    [anon_sym_DASH] = ACTIONS(968),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(968),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1732),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1452),
    [anon_sym_readonly] = ACTIONS(1452),
    [anon_sym_get] = ACTIONS(1452),
    [anon_sym_set] = ACTIONS(1452),
    [anon_sym_declare] = ACTIONS(1452),
    [anon_sym_public] = ACTIONS(1452),
    [anon_sym_private] = ACTIONS(1452),
    [anon_sym_protected] = ACTIONS(1452),
    [anon_sym_override] = ACTIONS(1452),
    [anon_sym_module] = ACTIONS(1452),
    [anon_sym_any] = ACTIONS(1452),
    [anon_sym_number] = ACTIONS(1452),
    [anon_sym_boolean] = ACTIONS(1452),
    [anon_sym_string] = ACTIONS(1452),
    [anon_sym_symbol] = ACTIONS(1452),
    [anon_sym_object] = ACTIONS(1452),
    [sym_html_comment] = ACTIONS(5),
  },
  [789] = {
    [sym_import] = STATE(4369),
    [sym_parenthesized_expression] = STATE(2175),
    [sym_expression] = STATE(2656),
    [sym_primary_expression] = STATE(2990),
    [sym_yield_expression] = STATE(3139),
    [sym_object] = STATE(3113),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(3113),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(3139),
    [sym_glimmer_opening_tag] = STATE(5702),
    [sym_jsx_element] = STATE(3139),
    [sym_jsx_opening_element] = STATE(4008),
    [sym_jsx_self_closing_element] = STATE(3139),
    [sym_class] = STATE(3113),
    [sym_function_expression] = STATE(3113),
    [sym_generator_function] = STATE(3113),
    [sym_arrow_function] = STATE(3113),
    [sym__call_signature] = STATE(7205),
    [sym_call_expression] = STATE(3113),
    [sym_new_expression] = STATE(3139),
    [sym_await_expression] = STATE(3139),
    [sym_member_expression] = STATE(2175),
    [sym_subscript_expression] = STATE(2175),
    [sym_assignment_expression] = STATE(3139),
    [sym__augmented_assignment_lhs] = STATE(3844),
    [sym_augmented_assignment_expression] = STATE(3139),
    [sym__destructuring_pattern] = STATE(7209),
    [sym_ternary_expression] = STATE(3139),
    [sym_binary_expression] = STATE(3139),
    [sym_unary_expression] = STATE(3139),
    [sym_update_expression] = STATE(3139),
    [sym_string] = STATE(3113),
    [sym_comment] = STATE(789),
    [sym_template_string] = STATE(3113),
    [sym_regex] = STATE(3113),
    [sym_meta_property] = STATE(3113),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2175),
    [sym_as_expression] = STATE(3139),
    [sym_satisfies_expression] = STATE(3139),
    [sym_instantiation_expression] = STATE(3139),
    [sym_internal_module] = STATE(3139),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5555),
    [sym_identifier] = ACTIONS(1736),
    [anon_sym_export] = ACTIONS(1518),
    [anon_sym_type] = ACTIONS(1518),
    [anon_sym_namespace] = ACTIONS(1520),
    [anon_sym_LBRACE] = ACTIONS(1020),
    [anon_sym_typeof] = ACTIONS(1526),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1518),
    [anon_sym_BANG] = ACTIONS(1526),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(1528),
    [anon_sym_yield] = ACTIONS(1530),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1029),
    [anon_sym_async] = ACTIONS(1534),
    [anon_sym_function] = ACTIONS(1033),
    [anon_sym_new] = ACTIONS(1740),
    [anon_sym_using] = ACTIONS(1538),
    [anon_sym_PLUS] = ACTIONS(1526),
    [anon_sym_DASH] = ACTIONS(1526),
    [anon_sym_SLASH] = ACTIONS(1195),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(1526),
    [anon_sym_void] = ACTIONS(1526),
    [anon_sym_delete] = ACTIONS(1526),
    [anon_sym_PLUS_PLUS] = ACTIONS(1544),
    [anon_sym_DASH_DASH] = ACTIONS(1544),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1550),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1742),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1518),
    [anon_sym_readonly] = ACTIONS(1518),
    [anon_sym_get] = ACTIONS(1518),
    [anon_sym_set] = ACTIONS(1518),
    [anon_sym_declare] = ACTIONS(1518),
    [anon_sym_public] = ACTIONS(1518),
    [anon_sym_private] = ACTIONS(1518),
    [anon_sym_protected] = ACTIONS(1518),
    [anon_sym_override] = ACTIONS(1518),
    [anon_sym_module] = ACTIONS(1518),
    [anon_sym_any] = ACTIONS(1518),
    [anon_sym_number] = ACTIONS(1518),
    [anon_sym_boolean] = ACTIONS(1518),
    [anon_sym_string] = ACTIONS(1518),
    [anon_sym_symbol] = ACTIONS(1518),
    [anon_sym_object] = ACTIONS(1518),
    [sym_html_comment] = ACTIONS(5),
  },
  [790] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2048),
    [sym_expression] = STATE(3359),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7260),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2109),
    [sym_subscript_expression] = STATE(2109),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3878),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(4631),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(790),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2109),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(2629),
    [anon_sym_export] = ACTIONS(2631),
    [anon_sym_type] = ACTIONS(2631),
    [anon_sym_namespace] = ACTIONS(2633),
    [anon_sym_LBRACE] = ACTIONS(1063),
    [anon_sym_typeof] = ACTIONS(174),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(2631),
    [anon_sym_BANG] = ACTIONS(174),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1948),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(2635),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(2637),
    [anon_sym_using] = ACTIONS(157),
    [anon_sym_PLUS] = ACTIONS(174),
    [anon_sym_DASH] = ACTIONS(174),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(174),
    [anon_sym_void] = ACTIONS(174),
    [anon_sym_delete] = ACTIONS(174),
    [anon_sym_PLUS_PLUS] = ACTIONS(1039),
    [anon_sym_DASH_DASH] = ACTIONS(1039),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(185),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(2639),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(2631),
    [anon_sym_readonly] = ACTIONS(2631),
    [anon_sym_get] = ACTIONS(2631),
    [anon_sym_set] = ACTIONS(2631),
    [anon_sym_declare] = ACTIONS(2631),
    [anon_sym_public] = ACTIONS(2631),
    [anon_sym_private] = ACTIONS(2631),
    [anon_sym_protected] = ACTIONS(2631),
    [anon_sym_override] = ACTIONS(2631),
    [anon_sym_module] = ACTIONS(2631),
    [anon_sym_any] = ACTIONS(2631),
    [anon_sym_number] = ACTIONS(2631),
    [anon_sym_boolean] = ACTIONS(2631),
    [anon_sym_string] = ACTIONS(2631),
    [anon_sym_symbol] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2631),
    [sym_html_comment] = ACTIONS(5),
  },
  [791] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2229),
    [sym_expression] = STATE(2965),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7175),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2229),
    [sym_subscript_expression] = STATE(2229),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3935),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7438),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(791),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2229),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1766),
    [anon_sym_export] = ACTIONS(1482),
    [anon_sym_type] = ACTIONS(1482),
    [anon_sym_namespace] = ACTIONS(1484),
    [anon_sym_LBRACE] = ACTIONS(1127),
    [anon_sym_typeof] = ACTIONS(1490),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1482),
    [anon_sym_BANG] = ACTIONS(1490),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1492),
    [anon_sym_yield] = ACTIONS(1494),
    [anon_sym_LBRACK] = ACTIONS(1129),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1496),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1770),
    [anon_sym_using] = ACTIONS(1500),
    [anon_sym_PLUS] = ACTIONS(1490),
    [anon_sym_DASH] = ACTIONS(1490),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(1490),
    [anon_sym_void] = ACTIONS(1490),
    [anon_sym_delete] = ACTIONS(1490),
    [anon_sym_PLUS_PLUS] = ACTIONS(1506),
    [anon_sym_DASH_DASH] = ACTIONS(1506),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(1508),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1772),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1482),
    [anon_sym_readonly] = ACTIONS(1482),
    [anon_sym_get] = ACTIONS(1482),
    [anon_sym_set] = ACTIONS(1482),
    [anon_sym_declare] = ACTIONS(1482),
    [anon_sym_public] = ACTIONS(1482),
    [anon_sym_private] = ACTIONS(1482),
    [anon_sym_protected] = ACTIONS(1482),
    [anon_sym_override] = ACTIONS(1482),
    [anon_sym_module] = ACTIONS(1482),
    [anon_sym_any] = ACTIONS(1482),
    [anon_sym_number] = ACTIONS(1482),
    [anon_sym_boolean] = ACTIONS(1482),
    [anon_sym_string] = ACTIONS(1482),
    [anon_sym_symbol] = ACTIONS(1482),
    [anon_sym_object] = ACTIONS(1482),
    [sym_html_comment] = ACTIONS(5),
  },
  [792] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2229),
    [sym_expression] = STATE(2961),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7175),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2229),
    [sym_subscript_expression] = STATE(2229),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3935),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7438),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(792),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2229),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1766),
    [anon_sym_export] = ACTIONS(1482),
    [anon_sym_type] = ACTIONS(1482),
    [anon_sym_namespace] = ACTIONS(1484),
    [anon_sym_LBRACE] = ACTIONS(1127),
    [anon_sym_typeof] = ACTIONS(1490),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1482),
    [anon_sym_BANG] = ACTIONS(1490),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1492),
    [anon_sym_yield] = ACTIONS(1494),
    [anon_sym_LBRACK] = ACTIONS(1129),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1496),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1770),
    [anon_sym_using] = ACTIONS(1500),
    [anon_sym_PLUS] = ACTIONS(1490),
    [anon_sym_DASH] = ACTIONS(1490),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(1490),
    [anon_sym_void] = ACTIONS(1490),
    [anon_sym_delete] = ACTIONS(1490),
    [anon_sym_PLUS_PLUS] = ACTIONS(1506),
    [anon_sym_DASH_DASH] = ACTIONS(1506),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(1508),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1772),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1482),
    [anon_sym_readonly] = ACTIONS(1482),
    [anon_sym_get] = ACTIONS(1482),
    [anon_sym_set] = ACTIONS(1482),
    [anon_sym_declare] = ACTIONS(1482),
    [anon_sym_public] = ACTIONS(1482),
    [anon_sym_private] = ACTIONS(1482),
    [anon_sym_protected] = ACTIONS(1482),
    [anon_sym_override] = ACTIONS(1482),
    [anon_sym_module] = ACTIONS(1482),
    [anon_sym_any] = ACTIONS(1482),
    [anon_sym_number] = ACTIONS(1482),
    [anon_sym_boolean] = ACTIONS(1482),
    [anon_sym_string] = ACTIONS(1482),
    [anon_sym_symbol] = ACTIONS(1482),
    [anon_sym_object] = ACTIONS(1482),
    [sym_html_comment] = ACTIONS(5),
  },
  [793] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2229),
    [sym_expression] = STATE(2955),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7175),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2229),
    [sym_subscript_expression] = STATE(2229),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3935),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7438),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(793),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2229),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1766),
    [anon_sym_export] = ACTIONS(1482),
    [anon_sym_type] = ACTIONS(1482),
    [anon_sym_namespace] = ACTIONS(1484),
    [anon_sym_LBRACE] = ACTIONS(1127),
    [anon_sym_typeof] = ACTIONS(1490),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1482),
    [anon_sym_BANG] = ACTIONS(1490),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1492),
    [anon_sym_yield] = ACTIONS(1494),
    [anon_sym_LBRACK] = ACTIONS(1129),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1496),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1770),
    [anon_sym_using] = ACTIONS(1500),
    [anon_sym_PLUS] = ACTIONS(1490),
    [anon_sym_DASH] = ACTIONS(1490),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(1490),
    [anon_sym_void] = ACTIONS(1490),
    [anon_sym_delete] = ACTIONS(1490),
    [anon_sym_PLUS_PLUS] = ACTIONS(1506),
    [anon_sym_DASH_DASH] = ACTIONS(1506),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(1508),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1772),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1482),
    [anon_sym_readonly] = ACTIONS(1482),
    [anon_sym_get] = ACTIONS(1482),
    [anon_sym_set] = ACTIONS(1482),
    [anon_sym_declare] = ACTIONS(1482),
    [anon_sym_public] = ACTIONS(1482),
    [anon_sym_private] = ACTIONS(1482),
    [anon_sym_protected] = ACTIONS(1482),
    [anon_sym_override] = ACTIONS(1482),
    [anon_sym_module] = ACTIONS(1482),
    [anon_sym_any] = ACTIONS(1482),
    [anon_sym_number] = ACTIONS(1482),
    [anon_sym_boolean] = ACTIONS(1482),
    [anon_sym_string] = ACTIONS(1482),
    [anon_sym_symbol] = ACTIONS(1482),
    [anon_sym_object] = ACTIONS(1482),
    [sym_html_comment] = ACTIONS(5),
  },
  [794] = {
    [sym_import] = STATE(4369),
    [sym_parenthesized_expression] = STATE(2177),
    [sym_expression] = STATE(2785),
    [sym_primary_expression] = STATE(2990),
    [sym_yield_expression] = STATE(3139),
    [sym_object] = STATE(3113),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(3113),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(3139),
    [sym_glimmer_opening_tag] = STATE(5702),
    [sym_jsx_element] = STATE(3139),
    [sym_jsx_opening_element] = STATE(4008),
    [sym_jsx_self_closing_element] = STATE(3139),
    [sym_class] = STATE(3113),
    [sym_function_expression] = STATE(3113),
    [sym_generator_function] = STATE(3113),
    [sym_arrow_function] = STATE(3113),
    [sym__call_signature] = STATE(7486),
    [sym_call_expression] = STATE(3113),
    [sym_new_expression] = STATE(3139),
    [sym_await_expression] = STATE(3139),
    [sym_member_expression] = STATE(2177),
    [sym_subscript_expression] = STATE(2177),
    [sym_assignment_expression] = STATE(3139),
    [sym__augmented_assignment_lhs] = STATE(3835),
    [sym_augmented_assignment_expression] = STATE(3139),
    [sym__destructuring_pattern] = STATE(7484),
    [sym_ternary_expression] = STATE(3139),
    [sym_binary_expression] = STATE(3139),
    [sym_unary_expression] = STATE(3139),
    [sym_update_expression] = STATE(3139),
    [sym_string] = STATE(3113),
    [sym_comment] = STATE(794),
    [sym_template_string] = STATE(3113),
    [sym_regex] = STATE(3113),
    [sym_meta_property] = STATE(3113),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2177),
    [sym_as_expression] = STATE(3139),
    [sym_satisfies_expression] = STATE(3139),
    [sym_instantiation_expression] = STATE(3139),
    [sym_internal_module] = STATE(3139),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5555),
    [sym_identifier] = ACTIONS(1744),
    [anon_sym_export] = ACTIONS(1596),
    [anon_sym_type] = ACTIONS(1596),
    [anon_sym_namespace] = ACTIONS(1598),
    [anon_sym_LBRACE] = ACTIONS(1020),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1596),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1029),
    [anon_sym_async] = ACTIONS(1602),
    [anon_sym_function] = ACTIONS(1033),
    [anon_sym_new] = ACTIONS(1748),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1596),
    [anon_sym_readonly] = ACTIONS(1596),
    [anon_sym_get] = ACTIONS(1596),
    [anon_sym_set] = ACTIONS(1596),
    [anon_sym_declare] = ACTIONS(1596),
    [anon_sym_public] = ACTIONS(1596),
    [anon_sym_private] = ACTIONS(1596),
    [anon_sym_protected] = ACTIONS(1596),
    [anon_sym_override] = ACTIONS(1596),
    [anon_sym_module] = ACTIONS(1596),
    [anon_sym_any] = ACTIONS(1596),
    [anon_sym_number] = ACTIONS(1596),
    [anon_sym_boolean] = ACTIONS(1596),
    [anon_sym_string] = ACTIONS(1596),
    [anon_sym_symbol] = ACTIONS(1596),
    [anon_sym_object] = ACTIONS(1596),
    [sym_html_comment] = ACTIONS(5),
  },
  [795] = {
    [sym_import] = STATE(4369),
    [sym_parenthesized_expression] = STATE(2177),
    [sym_expression] = STATE(2671),
    [sym_primary_expression] = STATE(2990),
    [sym_yield_expression] = STATE(3139),
    [sym_object] = STATE(3113),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(3113),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(3139),
    [sym_glimmer_opening_tag] = STATE(5702),
    [sym_jsx_element] = STATE(3139),
    [sym_jsx_opening_element] = STATE(4008),
    [sym_jsx_self_closing_element] = STATE(3139),
    [sym_class] = STATE(3113),
    [sym_function_expression] = STATE(3113),
    [sym_generator_function] = STATE(3113),
    [sym_arrow_function] = STATE(3113),
    [sym__call_signature] = STATE(7486),
    [sym_call_expression] = STATE(3113),
    [sym_new_expression] = STATE(3139),
    [sym_await_expression] = STATE(3139),
    [sym_member_expression] = STATE(2177),
    [sym_subscript_expression] = STATE(2177),
    [sym_assignment_expression] = STATE(3139),
    [sym__augmented_assignment_lhs] = STATE(3835),
    [sym_augmented_assignment_expression] = STATE(3139),
    [sym__destructuring_pattern] = STATE(7484),
    [sym_ternary_expression] = STATE(3139),
    [sym_binary_expression] = STATE(3139),
    [sym_unary_expression] = STATE(3139),
    [sym_update_expression] = STATE(3139),
    [sym_string] = STATE(3113),
    [sym_comment] = STATE(795),
    [sym_template_string] = STATE(3113),
    [sym_regex] = STATE(3113),
    [sym_meta_property] = STATE(3113),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2177),
    [sym_as_expression] = STATE(3139),
    [sym_satisfies_expression] = STATE(3139),
    [sym_instantiation_expression] = STATE(3139),
    [sym_internal_module] = STATE(3139),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5555),
    [sym_identifier] = ACTIONS(1744),
    [anon_sym_export] = ACTIONS(1596),
    [anon_sym_type] = ACTIONS(1596),
    [anon_sym_namespace] = ACTIONS(1598),
    [anon_sym_LBRACE] = ACTIONS(1020),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1596),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(41),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1029),
    [anon_sym_async] = ACTIONS(1602),
    [anon_sym_function] = ACTIONS(1033),
    [anon_sym_new] = ACTIONS(1748),
    [anon_sym_using] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1596),
    [anon_sym_readonly] = ACTIONS(1596),
    [anon_sym_get] = ACTIONS(1596),
    [anon_sym_set] = ACTIONS(1596),
    [anon_sym_declare] = ACTIONS(1596),
    [anon_sym_public] = ACTIONS(1596),
    [anon_sym_private] = ACTIONS(1596),
    [anon_sym_protected] = ACTIONS(1596),
    [anon_sym_override] = ACTIONS(1596),
    [anon_sym_module] = ACTIONS(1596),
    [anon_sym_any] = ACTIONS(1596),
    [anon_sym_number] = ACTIONS(1596),
    [anon_sym_boolean] = ACTIONS(1596),
    [anon_sym_string] = ACTIONS(1596),
    [anon_sym_symbol] = ACTIONS(1596),
    [anon_sym_object] = ACTIONS(1596),
    [sym_html_comment] = ACTIONS(5),
  },
  [796] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2229),
    [sym_expression] = STATE(2937),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7175),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2229),
    [sym_subscript_expression] = STATE(2229),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3935),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7438),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(796),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2229),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1766),
    [anon_sym_export] = ACTIONS(1482),
    [anon_sym_type] = ACTIONS(1482),
    [anon_sym_namespace] = ACTIONS(1484),
    [anon_sym_LBRACE] = ACTIONS(1127),
    [anon_sym_typeof] = ACTIONS(1490),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1482),
    [anon_sym_BANG] = ACTIONS(1490),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1492),
    [anon_sym_yield] = ACTIONS(1494),
    [anon_sym_LBRACK] = ACTIONS(1129),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1496),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1770),
    [anon_sym_using] = ACTIONS(1500),
    [anon_sym_PLUS] = ACTIONS(1490),
    [anon_sym_DASH] = ACTIONS(1490),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(1490),
    [anon_sym_void] = ACTIONS(1490),
    [anon_sym_delete] = ACTIONS(1490),
    [anon_sym_PLUS_PLUS] = ACTIONS(1506),
    [anon_sym_DASH_DASH] = ACTIONS(1506),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(1508),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1772),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1482),
    [anon_sym_readonly] = ACTIONS(1482),
    [anon_sym_get] = ACTIONS(1482),
    [anon_sym_set] = ACTIONS(1482),
    [anon_sym_declare] = ACTIONS(1482),
    [anon_sym_public] = ACTIONS(1482),
    [anon_sym_private] = ACTIONS(1482),
    [anon_sym_protected] = ACTIONS(1482),
    [anon_sym_override] = ACTIONS(1482),
    [anon_sym_module] = ACTIONS(1482),
    [anon_sym_any] = ACTIONS(1482),
    [anon_sym_number] = ACTIONS(1482),
    [anon_sym_boolean] = ACTIONS(1482),
    [anon_sym_string] = ACTIONS(1482),
    [anon_sym_symbol] = ACTIONS(1482),
    [anon_sym_object] = ACTIONS(1482),
    [sym_html_comment] = ACTIONS(5),
  },
  [797] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2285),
    [sym_expression] = STATE(3359),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7260),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2285),
    [sym_subscript_expression] = STATE(2285),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3878),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7616),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(797),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2285),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(2641),
    [anon_sym_export] = ACTIONS(2643),
    [anon_sym_type] = ACTIONS(2643),
    [anon_sym_namespace] = ACTIONS(2645),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(174),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(2643),
    [anon_sym_BANG] = ACTIONS(174),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(2647),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(2649),
    [anon_sym_using] = ACTIONS(157),
    [anon_sym_PLUS] = ACTIONS(174),
    [anon_sym_DASH] = ACTIONS(174),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(174),
    [anon_sym_void] = ACTIONS(174),
    [anon_sym_delete] = ACTIONS(174),
    [anon_sym_PLUS_PLUS] = ACTIONS(1039),
    [anon_sym_DASH_DASH] = ACTIONS(1039),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(185),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(2651),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(2643),
    [anon_sym_readonly] = ACTIONS(2643),
    [anon_sym_get] = ACTIONS(2643),
    [anon_sym_set] = ACTIONS(2643),
    [anon_sym_declare] = ACTIONS(2643),
    [anon_sym_public] = ACTIONS(2643),
    [anon_sym_private] = ACTIONS(2643),
    [anon_sym_protected] = ACTIONS(2643),
    [anon_sym_override] = ACTIONS(2643),
    [anon_sym_module] = ACTIONS(2643),
    [anon_sym_any] = ACTIONS(2643),
    [anon_sym_number] = ACTIONS(2643),
    [anon_sym_boolean] = ACTIONS(2643),
    [anon_sym_string] = ACTIONS(2643),
    [anon_sym_symbol] = ACTIONS(2643),
    [anon_sym_object] = ACTIONS(2643),
    [sym_html_comment] = ACTIONS(5),
  },
  [798] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2229),
    [sym_expression] = STATE(2933),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7175),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2229),
    [sym_subscript_expression] = STATE(2229),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3935),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7438),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(798),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2229),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1766),
    [anon_sym_export] = ACTIONS(1482),
    [anon_sym_type] = ACTIONS(1482),
    [anon_sym_namespace] = ACTIONS(1484),
    [anon_sym_LBRACE] = ACTIONS(1127),
    [anon_sym_typeof] = ACTIONS(1490),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1482),
    [anon_sym_BANG] = ACTIONS(1490),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1492),
    [anon_sym_yield] = ACTIONS(1494),
    [anon_sym_LBRACK] = ACTIONS(1129),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1496),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1770),
    [anon_sym_using] = ACTIONS(1500),
    [anon_sym_PLUS] = ACTIONS(1490),
    [anon_sym_DASH] = ACTIONS(1490),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(1490),
    [anon_sym_void] = ACTIONS(1490),
    [anon_sym_delete] = ACTIONS(1490),
    [anon_sym_PLUS_PLUS] = ACTIONS(1506),
    [anon_sym_DASH_DASH] = ACTIONS(1506),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(1508),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1772),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1482),
    [anon_sym_readonly] = ACTIONS(1482),
    [anon_sym_get] = ACTIONS(1482),
    [anon_sym_set] = ACTIONS(1482),
    [anon_sym_declare] = ACTIONS(1482),
    [anon_sym_public] = ACTIONS(1482),
    [anon_sym_private] = ACTIONS(1482),
    [anon_sym_protected] = ACTIONS(1482),
    [anon_sym_override] = ACTIONS(1482),
    [anon_sym_module] = ACTIONS(1482),
    [anon_sym_any] = ACTIONS(1482),
    [anon_sym_number] = ACTIONS(1482),
    [anon_sym_boolean] = ACTIONS(1482),
    [anon_sym_string] = ACTIONS(1482),
    [anon_sym_symbol] = ACTIONS(1482),
    [anon_sym_object] = ACTIONS(1482),
    [sym_html_comment] = ACTIONS(5),
  },
  [799] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2151),
    [sym_expression] = STATE(2502),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7643),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2151),
    [sym_subscript_expression] = STATE(2151),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3918),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7259),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(799),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2151),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1724),
    [anon_sym_export] = ACTIONS(1452),
    [anon_sym_type] = ACTIONS(1452),
    [anon_sym_namespace] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(1127),
    [anon_sym_typeof] = ACTIONS(968),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1452),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(1129),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1462),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1730),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_PLUS] = ACTIONS(968),
    [anon_sym_DASH] = ACTIONS(968),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(968),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1732),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1452),
    [anon_sym_readonly] = ACTIONS(1452),
    [anon_sym_get] = ACTIONS(1452),
    [anon_sym_set] = ACTIONS(1452),
    [anon_sym_declare] = ACTIONS(1452),
    [anon_sym_public] = ACTIONS(1452),
    [anon_sym_private] = ACTIONS(1452),
    [anon_sym_protected] = ACTIONS(1452),
    [anon_sym_override] = ACTIONS(1452),
    [anon_sym_module] = ACTIONS(1452),
    [anon_sym_any] = ACTIONS(1452),
    [anon_sym_number] = ACTIONS(1452),
    [anon_sym_boolean] = ACTIONS(1452),
    [anon_sym_string] = ACTIONS(1452),
    [anon_sym_symbol] = ACTIONS(1452),
    [anon_sym_object] = ACTIONS(1452),
    [sym_html_comment] = ACTIONS(5),
  },
  [800] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2151),
    [sym_expression] = STATE(2927),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7643),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2151),
    [sym_subscript_expression] = STATE(2151),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3918),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7259),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(800),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2151),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1724),
    [anon_sym_export] = ACTIONS(1452),
    [anon_sym_type] = ACTIONS(1452),
    [anon_sym_namespace] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(1127),
    [anon_sym_typeof] = ACTIONS(968),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1452),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(1129),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1462),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1730),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_PLUS] = ACTIONS(968),
    [anon_sym_DASH] = ACTIONS(968),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(968),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1732),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1452),
    [anon_sym_readonly] = ACTIONS(1452),
    [anon_sym_get] = ACTIONS(1452),
    [anon_sym_set] = ACTIONS(1452),
    [anon_sym_declare] = ACTIONS(1452),
    [anon_sym_public] = ACTIONS(1452),
    [anon_sym_private] = ACTIONS(1452),
    [anon_sym_protected] = ACTIONS(1452),
    [anon_sym_override] = ACTIONS(1452),
    [anon_sym_module] = ACTIONS(1452),
    [anon_sym_any] = ACTIONS(1452),
    [anon_sym_number] = ACTIONS(1452),
    [anon_sym_boolean] = ACTIONS(1452),
    [anon_sym_string] = ACTIONS(1452),
    [anon_sym_symbol] = ACTIONS(1452),
    [anon_sym_object] = ACTIONS(1452),
    [sym_html_comment] = ACTIONS(5),
  },
  [801] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2151),
    [sym_expression] = STATE(2923),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7643),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2151),
    [sym_subscript_expression] = STATE(2151),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3918),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7259),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(801),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2151),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1724),
    [anon_sym_export] = ACTIONS(1452),
    [anon_sym_type] = ACTIONS(1452),
    [anon_sym_namespace] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(1127),
    [anon_sym_typeof] = ACTIONS(968),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1452),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(1129),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1462),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1730),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_PLUS] = ACTIONS(968),
    [anon_sym_DASH] = ACTIONS(968),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(968),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1732),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1452),
    [anon_sym_readonly] = ACTIONS(1452),
    [anon_sym_get] = ACTIONS(1452),
    [anon_sym_set] = ACTIONS(1452),
    [anon_sym_declare] = ACTIONS(1452),
    [anon_sym_public] = ACTIONS(1452),
    [anon_sym_private] = ACTIONS(1452),
    [anon_sym_protected] = ACTIONS(1452),
    [anon_sym_override] = ACTIONS(1452),
    [anon_sym_module] = ACTIONS(1452),
    [anon_sym_any] = ACTIONS(1452),
    [anon_sym_number] = ACTIONS(1452),
    [anon_sym_boolean] = ACTIONS(1452),
    [anon_sym_string] = ACTIONS(1452),
    [anon_sym_symbol] = ACTIONS(1452),
    [anon_sym_object] = ACTIONS(1452),
    [sym_html_comment] = ACTIONS(5),
  },
  [802] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2229),
    [sym_expression] = STATE(2921),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7175),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2229),
    [sym_subscript_expression] = STATE(2229),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3935),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7438),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(802),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2229),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1766),
    [anon_sym_export] = ACTIONS(1482),
    [anon_sym_type] = ACTIONS(1482),
    [anon_sym_namespace] = ACTIONS(1484),
    [anon_sym_LBRACE] = ACTIONS(1127),
    [anon_sym_typeof] = ACTIONS(1490),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1482),
    [anon_sym_BANG] = ACTIONS(1490),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1492),
    [anon_sym_yield] = ACTIONS(1494),
    [anon_sym_LBRACK] = ACTIONS(1129),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1496),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1770),
    [anon_sym_using] = ACTIONS(1500),
    [anon_sym_PLUS] = ACTIONS(1490),
    [anon_sym_DASH] = ACTIONS(1490),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(1490),
    [anon_sym_void] = ACTIONS(1490),
    [anon_sym_delete] = ACTIONS(1490),
    [anon_sym_PLUS_PLUS] = ACTIONS(1506),
    [anon_sym_DASH_DASH] = ACTIONS(1506),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(1508),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1772),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1482),
    [anon_sym_readonly] = ACTIONS(1482),
    [anon_sym_get] = ACTIONS(1482),
    [anon_sym_set] = ACTIONS(1482),
    [anon_sym_declare] = ACTIONS(1482),
    [anon_sym_public] = ACTIONS(1482),
    [anon_sym_private] = ACTIONS(1482),
    [anon_sym_protected] = ACTIONS(1482),
    [anon_sym_override] = ACTIONS(1482),
    [anon_sym_module] = ACTIONS(1482),
    [anon_sym_any] = ACTIONS(1482),
    [anon_sym_number] = ACTIONS(1482),
    [anon_sym_boolean] = ACTIONS(1482),
    [anon_sym_string] = ACTIONS(1482),
    [anon_sym_symbol] = ACTIONS(1482),
    [anon_sym_object] = ACTIONS(1482),
    [sym_html_comment] = ACTIONS(5),
  },
  [803] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2151),
    [sym_expression] = STATE(2496),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7643),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2151),
    [sym_subscript_expression] = STATE(2151),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3918),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7259),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(803),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2151),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1724),
    [anon_sym_export] = ACTIONS(1452),
    [anon_sym_type] = ACTIONS(1452),
    [anon_sym_namespace] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(1127),
    [anon_sym_typeof] = ACTIONS(968),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1452),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(1129),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1462),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1730),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_PLUS] = ACTIONS(968),
    [anon_sym_DASH] = ACTIONS(968),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(968),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1732),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1452),
    [anon_sym_readonly] = ACTIONS(1452),
    [anon_sym_get] = ACTIONS(1452),
    [anon_sym_set] = ACTIONS(1452),
    [anon_sym_declare] = ACTIONS(1452),
    [anon_sym_public] = ACTIONS(1452),
    [anon_sym_private] = ACTIONS(1452),
    [anon_sym_protected] = ACTIONS(1452),
    [anon_sym_override] = ACTIONS(1452),
    [anon_sym_module] = ACTIONS(1452),
    [anon_sym_any] = ACTIONS(1452),
    [anon_sym_number] = ACTIONS(1452),
    [anon_sym_boolean] = ACTIONS(1452),
    [anon_sym_string] = ACTIONS(1452),
    [anon_sym_symbol] = ACTIONS(1452),
    [anon_sym_object] = ACTIONS(1452),
    [sym_html_comment] = ACTIONS(5),
  },
  [804] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2229),
    [sym_expression] = STATE(2920),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7175),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2229),
    [sym_subscript_expression] = STATE(2229),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3935),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7438),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(804),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2229),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1766),
    [anon_sym_export] = ACTIONS(1482),
    [anon_sym_type] = ACTIONS(1482),
    [anon_sym_namespace] = ACTIONS(1484),
    [anon_sym_LBRACE] = ACTIONS(1127),
    [anon_sym_typeof] = ACTIONS(1490),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1482),
    [anon_sym_BANG] = ACTIONS(1490),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1492),
    [anon_sym_yield] = ACTIONS(1494),
    [anon_sym_LBRACK] = ACTIONS(1129),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1496),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1770),
    [anon_sym_using] = ACTIONS(1500),
    [anon_sym_PLUS] = ACTIONS(1490),
    [anon_sym_DASH] = ACTIONS(1490),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(1490),
    [anon_sym_void] = ACTIONS(1490),
    [anon_sym_delete] = ACTIONS(1490),
    [anon_sym_PLUS_PLUS] = ACTIONS(1506),
    [anon_sym_DASH_DASH] = ACTIONS(1506),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(1508),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1772),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1482),
    [anon_sym_readonly] = ACTIONS(1482),
    [anon_sym_get] = ACTIONS(1482),
    [anon_sym_set] = ACTIONS(1482),
    [anon_sym_declare] = ACTIONS(1482),
    [anon_sym_public] = ACTIONS(1482),
    [anon_sym_private] = ACTIONS(1482),
    [anon_sym_protected] = ACTIONS(1482),
    [anon_sym_override] = ACTIONS(1482),
    [anon_sym_module] = ACTIONS(1482),
    [anon_sym_any] = ACTIONS(1482),
    [anon_sym_number] = ACTIONS(1482),
    [anon_sym_boolean] = ACTIONS(1482),
    [anon_sym_string] = ACTIONS(1482),
    [anon_sym_symbol] = ACTIONS(1482),
    [anon_sym_object] = ACTIONS(1482),
    [sym_html_comment] = ACTIONS(5),
  },
  [805] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2229),
    [sym_expression] = STATE(2920),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7175),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2229),
    [sym_subscript_expression] = STATE(2229),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3935),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7438),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(805),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2229),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1766),
    [anon_sym_export] = ACTIONS(1482),
    [anon_sym_type] = ACTIONS(1482),
    [anon_sym_namespace] = ACTIONS(1484),
    [anon_sym_LBRACE] = ACTIONS(1127),
    [anon_sym_typeof] = ACTIONS(1490),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1482),
    [anon_sym_BANG] = ACTIONS(1490),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1492),
    [anon_sym_yield] = ACTIONS(1494),
    [anon_sym_LBRACK] = ACTIONS(1129),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1496),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1770),
    [anon_sym_using] = ACTIONS(1500),
    [anon_sym_PLUS] = ACTIONS(1490),
    [anon_sym_DASH] = ACTIONS(1490),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(1490),
    [anon_sym_void] = ACTIONS(1490),
    [anon_sym_delete] = ACTIONS(1490),
    [anon_sym_PLUS_PLUS] = ACTIONS(1506),
    [anon_sym_DASH_DASH] = ACTIONS(1506),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(2531),
    [sym_private_property_identifier] = ACTIONS(1508),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1772),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1482),
    [anon_sym_readonly] = ACTIONS(1482),
    [anon_sym_get] = ACTIONS(1482),
    [anon_sym_set] = ACTIONS(1482),
    [anon_sym_declare] = ACTIONS(1482),
    [anon_sym_public] = ACTIONS(1482),
    [anon_sym_private] = ACTIONS(1482),
    [anon_sym_protected] = ACTIONS(1482),
    [anon_sym_override] = ACTIONS(1482),
    [anon_sym_module] = ACTIONS(1482),
    [anon_sym_any] = ACTIONS(1482),
    [anon_sym_number] = ACTIONS(1482),
    [anon_sym_boolean] = ACTIONS(1482),
    [anon_sym_string] = ACTIONS(1482),
    [anon_sym_symbol] = ACTIONS(1482),
    [anon_sym_object] = ACTIONS(1482),
    [sym_html_comment] = ACTIONS(5),
  },
  [806] = {
    [sym_import] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2229),
    [sym_expression] = STATE(2930),
    [sym_primary_expression] = STATE(2469),
    [sym_yield_expression] = STATE(2537),
    [sym_object] = STATE(2723),
    [sym_object_pattern] = STATE(4283),
    [sym_array] = STATE(2723),
    [sym_array_pattern] = STATE(4283),
    [sym_glimmer_template] = STATE(2537),
    [sym_glimmer_opening_tag] = STATE(5668),
    [sym_jsx_element] = STATE(2537),
    [sym_jsx_opening_element] = STATE(4048),
    [sym_jsx_self_closing_element] = STATE(2537),
    [sym_class] = STATE(2723),
    [sym_function_expression] = STATE(2723),
    [sym_generator_function] = STATE(2723),
    [sym_arrow_function] = STATE(2723),
    [sym__call_signature] = STATE(7175),
    [sym_call_expression] = STATE(2723),
    [sym_new_expression] = STATE(2537),
    [sym_await_expression] = STATE(2537),
    [sym_member_expression] = STATE(2229),
    [sym_subscript_expression] = STATE(2229),
    [sym_assignment_expression] = STATE(2537),
    [sym__augmented_assignment_lhs] = STATE(3935),
    [sym_augmented_assignment_expression] = STATE(2537),
    [sym__destructuring_pattern] = STATE(7438),
    [sym_ternary_expression] = STATE(2537),
    [sym_binary_expression] = STATE(2537),
    [sym_unary_expression] = STATE(2537),
    [sym_update_expression] = STATE(2537),
    [sym_string] = STATE(2723),
    [sym_comment] = STATE(806),
    [sym_template_string] = STATE(2723),
    [sym_regex] = STATE(2723),
    [sym_meta_property] = STATE(2723),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4790),
    [sym_non_null_expression] = STATE(2229),
    [sym_as_expression] = STATE(2537),
    [sym_satisfies_expression] = STATE(2537),
    [sym_instantiation_expression] = STATE(2537),
    [sym_internal_module] = STATE(2537),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_export_statement_repeat1] = STATE(5694),
    [sym_identifier] = ACTIONS(1766),
    [anon_sym_export] = ACTIONS(1482),
    [anon_sym_type] = ACTIONS(1482),
    [anon_sym_namespace] = ACTIONS(1484),
    [anon_sym_LBRACE] = ACTIONS(1127),
    [anon_sym_typeof] = ACTIONS(1490),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1482),
    [anon_sym_BANG] = ACTIONS(1490),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1492),
    [anon_sym_yield] = ACTIONS(1494),
    [anon_sym_LBRACK] = ACTIONS(1129),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1496),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1770),
    [anon_sym_using] = ACTIONS(1500),
    [anon_sym_PLUS] = ACTIONS(1490),
    [anon_sym_DASH] = ACTIONS(1490),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(172),
    [anon_sym_TILDE] = ACTIONS(1490),
    [anon_sym_void] = ACTIONS(1490),
    [anon_sym_delete] = ACTIONS(1490),
    [anon_sym_PLUS_PLUS] = ACTIONS(1506),
    [anon_sym_DASH_DASH] = ACTIONS(1506),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(1508),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1772),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1482),
    [anon_sym_readonly] = ACTIONS(1482),
    [anon_sym_get] = ACTIONS(1482),
    [anon_sym_set] = ACTIONS(1482),
    [anon_sym_declare] = ACTIONS(1482),
    [anon_sym_public] = ACTIONS(1482),
    [anon_sym_private] = ACTIONS(1482),
    [anon_sym_protected] = ACTIONS(1482),
    [anon_sym_override] = ACTIONS(1482),
    [anon_sym_module] = ACTIONS(1482),
    [anon_sym_any] = ACTIONS(1482),
    [anon_sym_number] = ACTIONS(1482),
    [anon_sym_boolean] = ACTIONS(1482),
    [anon_sym_string] = ACTIONS(1482),
    [anon_sym_symbol] = ACTIONS(1482),
    [anon_sym_object] = ACTIONS(1482),
    [sym_html_comment] = ACTIONS(5),
  },
  [807] = {
    [sym_namespace_export] = STATE(6737),
    [sym_export_clause] = STATE(5663),
    [sym_declaration] = STATE(1574),
    [sym_variable_declaration] = STATE(1573),
    [sym_lexical_declaration] = STATE(1573),
    [sym_class_declaration] = STATE(1573),
    [sym_function_declaration] = STATE(1573),
    [sym_generator_function_declaration] = STATE(1573),
    [sym_comment] = STATE(807),
    [sym_decorator] = STATE(5700),
    [sym_function_signature] = STATE(1573),
    [sym_ambient_declaration] = STATE(1573),
    [sym_abstract_class_declaration] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_internal_module] = STATE(1575),
    [sym_import_alias] = STATE(1573),
    [sym_interface_declaration] = STATE(1573),
    [sym_enum_declaration] = STATE(1573),
    [sym_type_alias_declaration] = STATE(1573),
    [aux_sym_export_statement_repeat1] = STATE(5414),
    [aux_sym_object_repeat1] = STATE(6333),
    [aux_sym_object_pattern_repeat1] = STATE(6171),
    [anon_sym_STAR] = ACTIONS(2653),
    [anon_sym_default] = ACTIONS(2655),
    [anon_sym_type] = ACTIONS(2657),
    [anon_sym_EQ] = ACTIONS(2659),
    [anon_sym_as] = ACTIONS(2661),
    [anon_sym_namespace] = ACTIONS(2663),
    [anon_sym_LBRACE] = ACTIONS(2665),
    [anon_sym_COMMA] = ACTIONS(211),
    [anon_sym_RBRACE] = ACTIONS(2667),
    [anon_sym_import] = ACTIONS(2669),
    [anon_sym_var] = ACTIONS(2671),
    [anon_sym_let] = ACTIONS(2673),
    [anon_sym_const] = ACTIONS(2675),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2677),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(211),
    [anon_sym_COLON] = ACTIONS(2680),
    [anon_sym_LBRACK] = ACTIONS(211),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(211),
    [anon_sym_class] = ACTIONS(2683),
    [anon_sym_async] = ACTIONS(2685),
    [anon_sym_function] = ACTIONS(2687),
    [anon_sym_EQ_GT] = ACTIONS(2689),
    [anon_sym_QMARK_DOT] = ACTIONS(211),
    [anon_sym_PLUS_EQ] = ACTIONS(2691),
    [anon_sym_DASH_EQ] = ACTIONS(2691),
    [anon_sym_STAR_EQ] = ACTIONS(2691),
    [anon_sym_SLASH_EQ] = ACTIONS(2691),
    [anon_sym_PERCENT_EQ] = ACTIONS(2691),
    [anon_sym_CARET_EQ] = ACTIONS(2691),
    [anon_sym_AMP_EQ] = ACTIONS(2691),
    [anon_sym_PIPE_EQ] = ACTIONS(2691),
    [anon_sym_GT_GT_EQ] = ACTIONS(2691),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(2691),
    [anon_sym_LT_LT_EQ] = ACTIONS(2691),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2691),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2691),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2691),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2691),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2693),
    [anon_sym_LT_EQ] = ACTIONS(211),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(211),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(211),
    [anon_sym_GT_EQ] = ACTIONS(211),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(211),
    [anon_sym_PLUS_PLUS] = ACTIONS(211),
    [anon_sym_DASH_DASH] = ACTIONS(211),
    [aux_sym_comment_token1] = ACTIONS(2696),
    [anon_sym_BQUOTE] = ACTIONS(211),
    [anon_sym_AT] = ACTIONS(2698),
    [anon_sym_QMARK] = ACTIONS(1043),
    [anon_sym_declare] = ACTIONS(2700),
    [anon_sym_module] = ACTIONS(2702),
    [anon_sym_abstract] = ACTIONS(2704),
    [anon_sym_satisfies] = ACTIONS(211),
    [anon_sym_interface] = ACTIONS(2706),
    [anon_sym_enum] = ACTIONS(2708),
    [sym__automatic_semicolon] = ACTIONS(211),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [808] = {
    [sym_namespace_export] = STATE(6737),
    [sym_export_clause] = STATE(5663),
    [sym_declaration] = STATE(1574),
    [sym_variable_declaration] = STATE(1573),
    [sym_lexical_declaration] = STATE(1573),
    [sym_class_declaration] = STATE(1573),
    [sym_function_declaration] = STATE(1573),
    [sym_generator_function_declaration] = STATE(1573),
    [sym_comment] = STATE(808),
    [sym_decorator] = STATE(5700),
    [sym_function_signature] = STATE(1573),
    [sym_ambient_declaration] = STATE(1573),
    [sym_abstract_class_declaration] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_internal_module] = STATE(1575),
    [sym_import_alias] = STATE(1573),
    [sym_interface_declaration] = STATE(1573),
    [sym_enum_declaration] = STATE(1573),
    [sym_type_alias_declaration] = STATE(1573),
    [aux_sym_export_statement_repeat1] = STATE(5414),
    [aux_sym_object_repeat1] = STATE(6333),
    [aux_sym_object_pattern_repeat1] = STATE(6171),
    [anon_sym_STAR] = ACTIONS(2653),
    [anon_sym_default] = ACTIONS(2655),
    [anon_sym_type] = ACTIONS(2657),
    [anon_sym_EQ] = ACTIONS(2659),
    [anon_sym_as] = ACTIONS(2661),
    [anon_sym_namespace] = ACTIONS(2663),
    [anon_sym_LBRACE] = ACTIONS(2665),
    [anon_sym_COMMA] = ACTIONS(211),
    [anon_sym_RBRACE] = ACTIONS(2710),
    [anon_sym_import] = ACTIONS(2669),
    [anon_sym_var] = ACTIONS(2671),
    [anon_sym_let] = ACTIONS(2673),
    [anon_sym_const] = ACTIONS(2675),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2677),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(211),
    [anon_sym_COLON] = ACTIONS(2680),
    [anon_sym_LBRACK] = ACTIONS(211),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(211),
    [anon_sym_class] = ACTIONS(2683),
    [anon_sym_async] = ACTIONS(2685),
    [anon_sym_function] = ACTIONS(2687),
    [anon_sym_EQ_GT] = ACTIONS(2689),
    [anon_sym_QMARK_DOT] = ACTIONS(211),
    [anon_sym_PLUS_EQ] = ACTIONS(2691),
    [anon_sym_DASH_EQ] = ACTIONS(2691),
    [anon_sym_STAR_EQ] = ACTIONS(2691),
    [anon_sym_SLASH_EQ] = ACTIONS(2691),
    [anon_sym_PERCENT_EQ] = ACTIONS(2691),
    [anon_sym_CARET_EQ] = ACTIONS(2691),
    [anon_sym_AMP_EQ] = ACTIONS(2691),
    [anon_sym_PIPE_EQ] = ACTIONS(2691),
    [anon_sym_GT_GT_EQ] = ACTIONS(2691),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(2691),
    [anon_sym_LT_LT_EQ] = ACTIONS(2691),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2691),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2691),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2691),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2691),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2693),
    [anon_sym_LT_EQ] = ACTIONS(211),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(211),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(211),
    [anon_sym_GT_EQ] = ACTIONS(211),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(211),
    [anon_sym_PLUS_PLUS] = ACTIONS(211),
    [anon_sym_DASH_DASH] = ACTIONS(211),
    [aux_sym_comment_token1] = ACTIONS(2696),
    [anon_sym_BQUOTE] = ACTIONS(211),
    [anon_sym_AT] = ACTIONS(2698),
    [anon_sym_QMARK] = ACTIONS(1043),
    [anon_sym_declare] = ACTIONS(2700),
    [anon_sym_module] = ACTIONS(2702),
    [anon_sym_abstract] = ACTIONS(2704),
    [anon_sym_satisfies] = ACTIONS(211),
    [anon_sym_interface] = ACTIONS(2706),
    [anon_sym_enum] = ACTIONS(2708),
    [sym__automatic_semicolon] = ACTIONS(211),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [809] = {
    [sym_namespace_export] = STATE(6737),
    [sym_export_clause] = STATE(5663),
    [sym_declaration] = STATE(1574),
    [sym_variable_declaration] = STATE(1573),
    [sym_lexical_declaration] = STATE(1573),
    [sym_class_declaration] = STATE(1573),
    [sym_function_declaration] = STATE(1573),
    [sym_generator_function_declaration] = STATE(1573),
    [sym_comment] = STATE(809),
    [sym_decorator] = STATE(5700),
    [sym_function_signature] = STATE(1573),
    [sym_ambient_declaration] = STATE(1573),
    [sym_abstract_class_declaration] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_internal_module] = STATE(1575),
    [sym_import_alias] = STATE(1573),
    [sym_interface_declaration] = STATE(1573),
    [sym_enum_declaration] = STATE(1573),
    [sym_type_alias_declaration] = STATE(1573),
    [aux_sym_export_statement_repeat1] = STATE(5414),
    [aux_sym_object_repeat1] = STATE(6165),
    [aux_sym_object_pattern_repeat1] = STATE(6171),
    [anon_sym_STAR] = ACTIONS(2653),
    [anon_sym_default] = ACTIONS(2655),
    [anon_sym_type] = ACTIONS(2657),
    [anon_sym_EQ] = ACTIONS(2659),
    [anon_sym_as] = ACTIONS(2661),
    [anon_sym_namespace] = ACTIONS(2663),
    [anon_sym_LBRACE] = ACTIONS(2665),
    [anon_sym_COMMA] = ACTIONS(211),
    [anon_sym_RBRACE] = ACTIONS(2712),
    [anon_sym_import] = ACTIONS(2669),
    [anon_sym_var] = ACTIONS(2671),
    [anon_sym_let] = ACTIONS(2673),
    [anon_sym_const] = ACTIONS(2675),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2677),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(211),
    [anon_sym_COLON] = ACTIONS(2680),
    [anon_sym_LBRACK] = ACTIONS(211),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(211),
    [anon_sym_class] = ACTIONS(2683),
    [anon_sym_async] = ACTIONS(2685),
    [anon_sym_function] = ACTIONS(2687),
    [anon_sym_EQ_GT] = ACTIONS(2689),
    [anon_sym_QMARK_DOT] = ACTIONS(211),
    [anon_sym_PLUS_EQ] = ACTIONS(2691),
    [anon_sym_DASH_EQ] = ACTIONS(2691),
    [anon_sym_STAR_EQ] = ACTIONS(2691),
    [anon_sym_SLASH_EQ] = ACTIONS(2691),
    [anon_sym_PERCENT_EQ] = ACTIONS(2691),
    [anon_sym_CARET_EQ] = ACTIONS(2691),
    [anon_sym_AMP_EQ] = ACTIONS(2691),
    [anon_sym_PIPE_EQ] = ACTIONS(2691),
    [anon_sym_GT_GT_EQ] = ACTIONS(2691),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(2691),
    [anon_sym_LT_LT_EQ] = ACTIONS(2691),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2691),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2691),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2691),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2691),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2693),
    [anon_sym_LT_EQ] = ACTIONS(211),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(211),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(211),
    [anon_sym_GT_EQ] = ACTIONS(211),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(211),
    [anon_sym_PLUS_PLUS] = ACTIONS(211),
    [anon_sym_DASH_DASH] = ACTIONS(211),
    [aux_sym_comment_token1] = ACTIONS(2696),
    [anon_sym_BQUOTE] = ACTIONS(211),
    [anon_sym_AT] = ACTIONS(2698),
    [anon_sym_QMARK] = ACTIONS(1043),
    [anon_sym_declare] = ACTIONS(2700),
    [anon_sym_module] = ACTIONS(2702),
    [anon_sym_abstract] = ACTIONS(2704),
    [anon_sym_satisfies] = ACTIONS(211),
    [anon_sym_interface] = ACTIONS(2706),
    [anon_sym_enum] = ACTIONS(2708),
    [sym__automatic_semicolon] = ACTIONS(211),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [810] = {
    [sym__call_signature] = STATE(7204),
    [sym_string] = STATE(4740),
    [sym_comment] = STATE(810),
    [sym_formal_parameters] = STATE(4790),
    [sym__property_name] = STATE(4761),
    [sym_computed_property_name] = STATE(4740),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_object_repeat1] = STATE(6333),
    [aux_sym_object_pattern_repeat1] = STATE(6171),
    [sym_identifier] = ACTIONS(2714),
    [anon_sym_export] = ACTIONS(2716),
    [anon_sym_STAR] = ACTIONS(2718),
    [anon_sym_type] = ACTIONS(2716),
    [anon_sym_EQ] = ACTIONS(1016),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2716),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_RBRACE] = ACTIONS(1053),
    [anon_sym_let] = ACTIONS(2716),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1024),
    [anon_sym_LBRACK] = ACTIONS(2725),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [anon_sym_async] = ACTIONS(2716),
    [anon_sym_function] = ACTIONS(2728),
    [anon_sym_EQ_GT] = ACTIONS(1035),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(2716),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2730),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [sym_number] = ACTIONS(2734),
    [sym_private_property_identifier] = ACTIONS(2734),
    [anon_sym_static] = ACTIONS(2716),
    [anon_sym_readonly] = ACTIONS(2716),
    [anon_sym_get] = ACTIONS(2736),
    [anon_sym_set] = ACTIONS(2736),
    [anon_sym_QMARK] = ACTIONS(1043),
    [anon_sym_declare] = ACTIONS(2716),
    [anon_sym_public] = ACTIONS(2716),
    [anon_sym_private] = ACTIONS(2716),
    [anon_sym_protected] = ACTIONS(2716),
    [anon_sym_override] = ACTIONS(2716),
    [anon_sym_module] = ACTIONS(2716),
    [anon_sym_any] = ACTIONS(2716),
    [anon_sym_number] = ACTIONS(2716),
    [anon_sym_boolean] = ACTIONS(2716),
    [anon_sym_string] = ACTIONS(2716),
    [anon_sym_symbol] = ACTIONS(2716),
    [anon_sym_object] = ACTIONS(2716),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(211),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [811] = {
    [sym__call_signature] = STATE(7204),
    [sym_string] = STATE(4740),
    [sym_comment] = STATE(811),
    [sym_formal_parameters] = STATE(4790),
    [sym__property_name] = STATE(4761),
    [sym_computed_property_name] = STATE(4740),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_object_repeat1] = STATE(6165),
    [aux_sym_object_pattern_repeat1] = STATE(6171),
    [sym_identifier] = ACTIONS(2714),
    [anon_sym_export] = ACTIONS(2716),
    [anon_sym_STAR] = ACTIONS(2718),
    [anon_sym_type] = ACTIONS(2716),
    [anon_sym_EQ] = ACTIONS(1016),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2716),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_RBRACE] = ACTIONS(1051),
    [anon_sym_let] = ACTIONS(2716),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1024),
    [anon_sym_LBRACK] = ACTIONS(2725),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [anon_sym_async] = ACTIONS(2716),
    [anon_sym_function] = ACTIONS(2728),
    [anon_sym_EQ_GT] = ACTIONS(1035),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(2716),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2730),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [sym_number] = ACTIONS(2734),
    [sym_private_property_identifier] = ACTIONS(2734),
    [anon_sym_static] = ACTIONS(2716),
    [anon_sym_readonly] = ACTIONS(2716),
    [anon_sym_get] = ACTIONS(2736),
    [anon_sym_set] = ACTIONS(2736),
    [anon_sym_QMARK] = ACTIONS(1043),
    [anon_sym_declare] = ACTIONS(2716),
    [anon_sym_public] = ACTIONS(2716),
    [anon_sym_private] = ACTIONS(2716),
    [anon_sym_protected] = ACTIONS(2716),
    [anon_sym_override] = ACTIONS(2716),
    [anon_sym_module] = ACTIONS(2716),
    [anon_sym_any] = ACTIONS(2716),
    [anon_sym_number] = ACTIONS(2716),
    [anon_sym_boolean] = ACTIONS(2716),
    [anon_sym_string] = ACTIONS(2716),
    [anon_sym_symbol] = ACTIONS(2716),
    [anon_sym_object] = ACTIONS(2716),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(211),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [812] = {
    [sym__call_signature] = STATE(7204),
    [sym_string] = STATE(4740),
    [sym_comment] = STATE(812),
    [sym_formal_parameters] = STATE(4790),
    [sym__property_name] = STATE(4761),
    [sym_computed_property_name] = STATE(4740),
    [sym_type_parameters] = STATE(6683),
    [aux_sym_object_repeat1] = STATE(6333),
    [aux_sym_object_pattern_repeat1] = STATE(6171),
    [sym_identifier] = ACTIONS(2714),
    [anon_sym_export] = ACTIONS(2716),
    [anon_sym_STAR] = ACTIONS(2718),
    [anon_sym_type] = ACTIONS(2716),
    [anon_sym_EQ] = ACTIONS(1016),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2716),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_RBRACE] = ACTIONS(1022),
    [anon_sym_let] = ACTIONS(2716),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1024),
    [anon_sym_LBRACK] = ACTIONS(2725),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [anon_sym_async] = ACTIONS(2716),
    [anon_sym_function] = ACTIONS(2728),
    [anon_sym_EQ_GT] = ACTIONS(1035),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(2716),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2730),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [sym_number] = ACTIONS(2734),
    [sym_private_property_identifier] = ACTIONS(2734),
    [anon_sym_static] = ACTIONS(2716),
    [anon_sym_readonly] = ACTIONS(2716),
    [anon_sym_get] = ACTIONS(2736),
    [anon_sym_set] = ACTIONS(2736),
    [anon_sym_QMARK] = ACTIONS(1043),
    [anon_sym_declare] = ACTIONS(2716),
    [anon_sym_public] = ACTIONS(2716),
    [anon_sym_private] = ACTIONS(2716),
    [anon_sym_protected] = ACTIONS(2716),
    [anon_sym_override] = ACTIONS(2716),
    [anon_sym_module] = ACTIONS(2716),
    [anon_sym_any] = ACTIONS(2716),
    [anon_sym_number] = ACTIONS(2716),
    [anon_sym_boolean] = ACTIONS(2716),
    [anon_sym_string] = ACTIONS(2716),
    [anon_sym_symbol] = ACTIONS(2716),
    [anon_sym_object] = ACTIONS(2716),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(211),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [813] = {
    [sym_declaration] = STATE(1588),
    [sym_variable_declaration] = STATE(1573),
    [sym_lexical_declaration] = STATE(1573),
    [sym_class_declaration] = STATE(1573),
    [sym_function_declaration] = STATE(1573),
    [sym_generator_function_declaration] = STATE(1573),
    [sym_comment] = STATE(813),
    [sym_decorator] = STATE(5700),
    [sym_function_signature] = STATE(1573),
    [sym_ambient_declaration] = STATE(1573),
    [sym_abstract_class_declaration] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_internal_module] = STATE(1575),
    [sym_import_alias] = STATE(1573),
    [sym_interface_declaration] = STATE(1573),
    [sym_enum_declaration] = STATE(1573),
    [sym_type_alias_declaration] = STATE(1573),
    [aux_sym_export_statement_repeat1] = STATE(5414),
    [aux_sym_object_repeat1] = STATE(6165),
    [aux_sym_object_pattern_repeat1] = STATE(6171),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(2738),
    [anon_sym_EQ] = ACTIONS(1016),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2663),
    [anon_sym_COMMA] = ACTIONS(211),
    [anon_sym_RBRACE] = ACTIONS(2712),
    [anon_sym_import] = ACTIONS(2669),
    [anon_sym_var] = ACTIONS(2671),
    [anon_sym_let] = ACTIONS(2673),
    [anon_sym_const] = ACTIONS(2675),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2677),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(211),
    [anon_sym_COLON] = ACTIONS(2680),
    [anon_sym_LBRACK] = ACTIONS(211),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(211),
    [anon_sym_class] = ACTIONS(2683),
    [anon_sym_async] = ACTIONS(2685),
    [anon_sym_function] = ACTIONS(2687),
    [anon_sym_EQ_GT] = ACTIONS(2689),
    [anon_sym_QMARK_DOT] = ACTIONS(211),
    [anon_sym_PLUS_EQ] = ACTIONS(2691),
    [anon_sym_DASH_EQ] = ACTIONS(2691),
    [anon_sym_STAR_EQ] = ACTIONS(2691),
    [anon_sym_SLASH_EQ] = ACTIONS(2691),
    [anon_sym_PERCENT_EQ] = ACTIONS(2691),
    [anon_sym_CARET_EQ] = ACTIONS(2691),
    [anon_sym_AMP_EQ] = ACTIONS(2691),
    [anon_sym_PIPE_EQ] = ACTIONS(2691),
    [anon_sym_GT_GT_EQ] = ACTIONS(2691),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(2691),
    [anon_sym_LT_LT_EQ] = ACTIONS(2691),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2691),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2691),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2691),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2691),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2693),
    [anon_sym_LT_EQ] = ACTIONS(211),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(211),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(211),
    [anon_sym_GT_EQ] = ACTIONS(211),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(211),
    [anon_sym_PLUS_PLUS] = ACTIONS(211),
    [anon_sym_DASH_DASH] = ACTIONS(211),
    [aux_sym_comment_token1] = ACTIONS(2696),
    [anon_sym_BQUOTE] = ACTIONS(211),
    [anon_sym_AT] = ACTIONS(2698),
    [anon_sym_QMARK] = ACTIONS(1043),
    [anon_sym_declare] = ACTIONS(2700),
    [anon_sym_module] = ACTIONS(2740),
    [anon_sym_abstract] = ACTIONS(2704),
    [anon_sym_satisfies] = ACTIONS(211),
    [anon_sym_global] = ACTIONS(2742),
    [anon_sym_interface] = ACTIONS(2706),
    [anon_sym_enum] = ACTIONS(2708),
    [sym__automatic_semicolon] = ACTIONS(211),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [814] = {
    [sym_declaration] = STATE(1588),
    [sym_variable_declaration] = STATE(1573),
    [sym_lexical_declaration] = STATE(1573),
    [sym_class_declaration] = STATE(1573),
    [sym_function_declaration] = STATE(1573),
    [sym_generator_function_declaration] = STATE(1573),
    [sym_comment] = STATE(814),
    [sym_decorator] = STATE(5700),
    [sym_function_signature] = STATE(1573),
    [sym_ambient_declaration] = STATE(1573),
    [sym_abstract_class_declaration] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_internal_module] = STATE(1575),
    [sym_import_alias] = STATE(1573),
    [sym_interface_declaration] = STATE(1573),
    [sym_enum_declaration] = STATE(1573),
    [sym_type_alias_declaration] = STATE(1573),
    [aux_sym_export_statement_repeat1] = STATE(5414),
    [aux_sym_object_repeat1] = STATE(6333),
    [aux_sym_object_pattern_repeat1] = STATE(6171),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(2738),
    [anon_sym_EQ] = ACTIONS(1016),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2663),
    [anon_sym_COMMA] = ACTIONS(211),
    [anon_sym_RBRACE] = ACTIONS(2667),
    [anon_sym_import] = ACTIONS(2669),
    [anon_sym_var] = ACTIONS(2671),
    [anon_sym_let] = ACTIONS(2673),
    [anon_sym_const] = ACTIONS(2675),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2677),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(211),
    [anon_sym_COLON] = ACTIONS(2680),
    [anon_sym_LBRACK] = ACTIONS(211),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(211),
    [anon_sym_class] = ACTIONS(2683),
    [anon_sym_async] = ACTIONS(2685),
    [anon_sym_function] = ACTIONS(2687),
    [anon_sym_EQ_GT] = ACTIONS(2689),
    [anon_sym_QMARK_DOT] = ACTIONS(211),
    [anon_sym_PLUS_EQ] = ACTIONS(2691),
    [anon_sym_DASH_EQ] = ACTIONS(2691),
    [anon_sym_STAR_EQ] = ACTIONS(2691),
    [anon_sym_SLASH_EQ] = ACTIONS(2691),
    [anon_sym_PERCENT_EQ] = ACTIONS(2691),
    [anon_sym_CARET_EQ] = ACTIONS(2691),
    [anon_sym_AMP_EQ] = ACTIONS(2691),
    [anon_sym_PIPE_EQ] = ACTIONS(2691),
    [anon_sym_GT_GT_EQ] = ACTIONS(2691),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(2691),
    [anon_sym_LT_LT_EQ] = ACTIONS(2691),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2691),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2691),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2691),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2691),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2693),
    [anon_sym_LT_EQ] = ACTIONS(211),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(211),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(211),
    [anon_sym_GT_EQ] = ACTIONS(211),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(211),
    [anon_sym_PLUS_PLUS] = ACTIONS(211),
    [anon_sym_DASH_DASH] = ACTIONS(211),
    [aux_sym_comment_token1] = ACTIONS(2696),
    [anon_sym_BQUOTE] = ACTIONS(211),
    [anon_sym_AT] = ACTIONS(2698),
    [anon_sym_QMARK] = ACTIONS(1043),
    [anon_sym_declare] = ACTIONS(2700),
    [anon_sym_module] = ACTIONS(2740),
    [anon_sym_abstract] = ACTIONS(2704),
    [anon_sym_satisfies] = ACTIONS(211),
    [anon_sym_global] = ACTIONS(2742),
    [anon_sym_interface] = ACTIONS(2706),
    [anon_sym_enum] = ACTIONS(2708),
    [sym__automatic_semicolon] = ACTIONS(211),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [815] = {
    [sym_declaration] = STATE(1588),
    [sym_variable_declaration] = STATE(1573),
    [sym_lexical_declaration] = STATE(1573),
    [sym_class_declaration] = STATE(1573),
    [sym_function_declaration] = STATE(1573),
    [sym_generator_function_declaration] = STATE(1573),
    [sym_comment] = STATE(815),
    [sym_decorator] = STATE(5700),
    [sym_function_signature] = STATE(1573),
    [sym_ambient_declaration] = STATE(1573),
    [sym_abstract_class_declaration] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_internal_module] = STATE(1575),
    [sym_import_alias] = STATE(1573),
    [sym_interface_declaration] = STATE(1573),
    [sym_enum_declaration] = STATE(1573),
    [sym_type_alias_declaration] = STATE(1573),
    [aux_sym_export_statement_repeat1] = STATE(5414),
    [aux_sym_object_repeat1] = STATE(6333),
    [aux_sym_object_pattern_repeat1] = STATE(6171),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(2738),
    [anon_sym_EQ] = ACTIONS(1016),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2663),
    [anon_sym_COMMA] = ACTIONS(211),
    [anon_sym_RBRACE] = ACTIONS(2710),
    [anon_sym_import] = ACTIONS(2669),
    [anon_sym_var] = ACTIONS(2671),
    [anon_sym_let] = ACTIONS(2673),
    [anon_sym_const] = ACTIONS(2675),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2677),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(211),
    [anon_sym_COLON] = ACTIONS(2680),
    [anon_sym_LBRACK] = ACTIONS(211),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(211),
    [anon_sym_class] = ACTIONS(2683),
    [anon_sym_async] = ACTIONS(2685),
    [anon_sym_function] = ACTIONS(2687),
    [anon_sym_EQ_GT] = ACTIONS(2689),
    [anon_sym_QMARK_DOT] = ACTIONS(211),
    [anon_sym_PLUS_EQ] = ACTIONS(2691),
    [anon_sym_DASH_EQ] = ACTIONS(2691),
    [anon_sym_STAR_EQ] = ACTIONS(2691),
    [anon_sym_SLASH_EQ] = ACTIONS(2691),
    [anon_sym_PERCENT_EQ] = ACTIONS(2691),
    [anon_sym_CARET_EQ] = ACTIONS(2691),
    [anon_sym_AMP_EQ] = ACTIONS(2691),
    [anon_sym_PIPE_EQ] = ACTIONS(2691),
    [anon_sym_GT_GT_EQ] = ACTIONS(2691),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(2691),
    [anon_sym_LT_LT_EQ] = ACTIONS(2691),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2691),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2691),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2691),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2691),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2693),
    [anon_sym_LT_EQ] = ACTIONS(211),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(211),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(211),
    [anon_sym_GT_EQ] = ACTIONS(211),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(211),
    [anon_sym_PLUS_PLUS] = ACTIONS(211),
    [anon_sym_DASH_DASH] = ACTIONS(211),
    [aux_sym_comment_token1] = ACTIONS(2696),
    [anon_sym_BQUOTE] = ACTIONS(211),
    [anon_sym_AT] = ACTIONS(2698),
    [anon_sym_QMARK] = ACTIONS(1043),
    [anon_sym_declare] = ACTIONS(2700),
    [anon_sym_module] = ACTIONS(2740),
    [anon_sym_abstract] = ACTIONS(2704),
    [anon_sym_satisfies] = ACTIONS(211),
    [anon_sym_global] = ACTIONS(2742),
    [anon_sym_interface] = ACTIONS(2706),
    [anon_sym_enum] = ACTIONS(2708),
    [sym__automatic_semicolon] = ACTIONS(211),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [816] = {
    [sym_namespace_export] = STATE(7088),
    [sym_export_clause] = STATE(5730),
    [sym_declaration] = STATE(1221),
    [sym_variable_declaration] = STATE(1220),
    [sym_lexical_declaration] = STATE(1220),
    [sym_class_declaration] = STATE(1220),
    [sym_function_declaration] = STATE(1220),
    [sym_generator_function_declaration] = STATE(1220),
    [sym_comment] = STATE(816),
    [sym_decorator] = STATE(5700),
    [sym_function_signature] = STATE(1220),
    [sym_ambient_declaration] = STATE(1220),
    [sym_abstract_class_declaration] = STATE(1220),
    [sym_module] = STATE(1220),
    [sym_internal_module] = STATE(1224),
    [sym_import_alias] = STATE(1220),
    [sym_interface_declaration] = STATE(1220),
    [sym_enum_declaration] = STATE(1220),
    [sym_type_alias_declaration] = STATE(1220),
    [aux_sym_export_statement_repeat1] = STATE(5213),
    [anon_sym_STAR] = ACTIONS(2744),
    [anon_sym_default] = ACTIONS(2746),
    [anon_sym_type] = ACTIONS(2748),
    [anon_sym_EQ] = ACTIONS(2750),
    [anon_sym_as] = ACTIONS(2752),
    [anon_sym_namespace] = ACTIONS(2754),
    [anon_sym_LBRACE] = ACTIONS(2665),
    [anon_sym_COMMA] = ACTIONS(211),
    [anon_sym_import] = ACTIONS(2756),
    [anon_sym_var] = ACTIONS(2758),
    [anon_sym_let] = ACTIONS(2760),
    [anon_sym_const] = ACTIONS(2762),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(211),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(211),
    [anon_sym_COLON] = ACTIONS(2764),
    [anon_sym_LBRACK] = ACTIONS(211),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(211),
    [anon_sym_class] = ACTIONS(2766),
    [anon_sym_async] = ACTIONS(2768),
    [anon_sym_function] = ACTIONS(2770),
    [anon_sym_EQ_GT] = ACTIONS(2689),
    [anon_sym_QMARK_DOT] = ACTIONS(211),
    [anon_sym_PLUS_EQ] = ACTIONS(2691),
    [anon_sym_DASH_EQ] = ACTIONS(2691),
    [anon_sym_STAR_EQ] = ACTIONS(2691),
    [anon_sym_SLASH_EQ] = ACTIONS(2691),
    [anon_sym_PERCENT_EQ] = ACTIONS(2691),
    [anon_sym_CARET_EQ] = ACTIONS(2691),
    [anon_sym_AMP_EQ] = ACTIONS(2691),
    [anon_sym_PIPE_EQ] = ACTIONS(2691),
    [anon_sym_GT_GT_EQ] = ACTIONS(2691),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(2691),
    [anon_sym_LT_LT_EQ] = ACTIONS(2691),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2691),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2691),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2691),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2691),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(211),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(211),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(211),
    [anon_sym_GT_EQ] = ACTIONS(211),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(211),
    [anon_sym_PLUS_PLUS] = ACTIONS(211),
    [anon_sym_DASH_DASH] = ACTIONS(211),
    [aux_sym_comment_token1] = ACTIONS(2696),
    [anon_sym_BQUOTE] = ACTIONS(211),
    [anon_sym_AT] = ACTIONS(2698),
    [anon_sym_declare] = ACTIONS(2772),
    [anon_sym_module] = ACTIONS(2774),
    [anon_sym_abstract] = ACTIONS(2776),
    [anon_sym_satisfies] = ACTIONS(211),
    [anon_sym_interface] = ACTIONS(2778),
    [anon_sym_enum] = ACTIONS(2780),
    [sym__automatic_semicolon] = ACTIONS(211),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [817] = {
    [sym_namespace_export] = STATE(6847),
    [sym_export_clause] = STATE(5664),
    [sym_declaration] = STATE(6913),
    [sym_variable_declaration] = STATE(6895),
    [sym_lexical_declaration] = STATE(6895),
    [sym_class_declaration] = STATE(6895),
    [sym_function_declaration] = STATE(6895),
    [sym_generator_function_declaration] = STATE(6895),
    [sym_comment] = STATE(817),
    [sym_decorator] = STATE(5700),
    [sym_function_signature] = STATE(6895),
    [sym_ambient_declaration] = STATE(6895),
    [sym_abstract_class_declaration] = STATE(6895),
    [sym_module] = STATE(6895),
    [sym_internal_module] = STATE(6915),
    [sym_import_alias] = STATE(6895),
    [sym_interface_declaration] = STATE(6895),
    [sym_enum_declaration] = STATE(6895),
    [sym_type_alias_declaration] = STATE(6895),
    [aux_sym_export_statement_repeat1] = STATE(5327),
    [anon_sym_STAR] = ACTIONS(2782),
    [anon_sym_default] = ACTIONS(2784),
    [anon_sym_type] = ACTIONS(2786),
    [anon_sym_EQ] = ACTIONS(2788),
    [anon_sym_as] = ACTIONS(2790),
    [anon_sym_namespace] = ACTIONS(2792),
    [anon_sym_LBRACE] = ACTIONS(2665),
    [anon_sym_COMMA] = ACTIONS(211),
    [anon_sym_import] = ACTIONS(2794),
    [anon_sym_var] = ACTIONS(2796),
    [anon_sym_let] = ACTIONS(2798),
    [anon_sym_const] = ACTIONS(2800),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(211),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(211),
    [anon_sym_COLON] = ACTIONS(2802),
    [anon_sym_LBRACK] = ACTIONS(211),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(211),
    [anon_sym_class] = ACTIONS(2804),
    [anon_sym_async] = ACTIONS(2806),
    [anon_sym_function] = ACTIONS(2808),
    [anon_sym_EQ_GT] = ACTIONS(2689),
    [anon_sym_QMARK_DOT] = ACTIONS(211),
    [anon_sym_PLUS_EQ] = ACTIONS(2691),
    [anon_sym_DASH_EQ] = ACTIONS(2691),
    [anon_sym_STAR_EQ] = ACTIONS(2691),
    [anon_sym_SLASH_EQ] = ACTIONS(2691),
    [anon_sym_PERCENT_EQ] = ACTIONS(2691),
    [anon_sym_CARET_EQ] = ACTIONS(2691),
    [anon_sym_AMP_EQ] = ACTIONS(2691),
    [anon_sym_PIPE_EQ] = ACTIONS(2691),
    [anon_sym_GT_GT_EQ] = ACTIONS(2691),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(2691),
    [anon_sym_LT_LT_EQ] = ACTIONS(2691),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2691),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2691),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2691),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2691),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(211),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(211),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(211),
    [anon_sym_GT_EQ] = ACTIONS(211),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(211),
    [anon_sym_PLUS_PLUS] = ACTIONS(211),
    [anon_sym_DASH_DASH] = ACTIONS(211),
    [aux_sym_comment_token1] = ACTIONS(2696),
    [anon_sym_BQUOTE] = ACTIONS(211),
    [anon_sym_AT] = ACTIONS(2698),
    [anon_sym_declare] = ACTIONS(2810),
    [anon_sym_module] = ACTIONS(2812),
    [anon_sym_abstract] = ACTIONS(2814),
    [anon_sym_satisfies] = ACTIONS(211),
    [anon_sym_interface] = ACTIONS(2816),
    [anon_sym_enum] = ACTIONS(2818),
    [sym__automatic_semicolon] = ACTIONS(211),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [818] = {
    [sym_namespace_export] = STATE(6871),
    [sym_export_clause] = STATE(5682),
    [sym_declaration] = STATE(1103),
    [sym_variable_declaration] = STATE(1105),
    [sym_lexical_declaration] = STATE(1105),
    [sym_class_declaration] = STATE(1105),
    [sym_function_declaration] = STATE(1105),
    [sym_generator_function_declaration] = STATE(1105),
    [sym_comment] = STATE(818),
    [sym_decorator] = STATE(5700),
    [sym_function_signature] = STATE(1105),
    [sym_ambient_declaration] = STATE(1105),
    [sym_abstract_class_declaration] = STATE(1105),
    [sym_module] = STATE(1105),
    [sym_internal_module] = STATE(1102),
    [sym_import_alias] = STATE(1105),
    [sym_interface_declaration] = STATE(1105),
    [sym_enum_declaration] = STATE(1105),
    [sym_type_alias_declaration] = STATE(1105),
    [aux_sym_export_statement_repeat1] = STATE(5341),
    [anon_sym_STAR] = ACTIONS(2820),
    [anon_sym_default] = ACTIONS(2822),
    [anon_sym_type] = ACTIONS(2824),
    [anon_sym_EQ] = ACTIONS(2826),
    [anon_sym_as] = ACTIONS(2828),
    [anon_sym_namespace] = ACTIONS(2830),
    [anon_sym_LBRACE] = ACTIONS(2665),
    [anon_sym_COMMA] = ACTIONS(211),
    [anon_sym_import] = ACTIONS(2832),
    [anon_sym_var] = ACTIONS(2834),
    [anon_sym_let] = ACTIONS(2836),
    [anon_sym_const] = ACTIONS(2838),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(211),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(211),
    [anon_sym_COLON] = ACTIONS(2840),
    [anon_sym_LBRACK] = ACTIONS(211),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(211),
    [anon_sym_class] = ACTIONS(2842),
    [anon_sym_async] = ACTIONS(2844),
    [anon_sym_function] = ACTIONS(2846),
    [anon_sym_EQ_GT] = ACTIONS(2689),
    [anon_sym_QMARK_DOT] = ACTIONS(211),
    [anon_sym_PLUS_EQ] = ACTIONS(2691),
    [anon_sym_DASH_EQ] = ACTIONS(2691),
    [anon_sym_STAR_EQ] = ACTIONS(2691),
    [anon_sym_SLASH_EQ] = ACTIONS(2691),
    [anon_sym_PERCENT_EQ] = ACTIONS(2691),
    [anon_sym_CARET_EQ] = ACTIONS(2691),
    [anon_sym_AMP_EQ] = ACTIONS(2691),
    [anon_sym_PIPE_EQ] = ACTIONS(2691),
    [anon_sym_GT_GT_EQ] = ACTIONS(2691),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(2691),
    [anon_sym_LT_LT_EQ] = ACTIONS(2691),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2691),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2691),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2691),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2691),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(211),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(211),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(211),
    [anon_sym_GT_EQ] = ACTIONS(211),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(211),
    [anon_sym_PLUS_PLUS] = ACTIONS(211),
    [anon_sym_DASH_DASH] = ACTIONS(211),
    [aux_sym_comment_token1] = ACTIONS(2696),
    [anon_sym_BQUOTE] = ACTIONS(211),
    [anon_sym_AT] = ACTIONS(2698),
    [anon_sym_declare] = ACTIONS(2848),
    [anon_sym_module] = ACTIONS(2850),
    [anon_sym_abstract] = ACTIONS(2852),
    [anon_sym_satisfies] = ACTIONS(211),
    [anon_sym_interface] = ACTIONS(2854),
    [anon_sym_enum] = ACTIONS(2856),
    [sym__automatic_semicolon] = ACTIONS(211),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [819] = {
    [sym_namespace_export] = STATE(7012),
    [sym_export_clause] = STATE(5615),
    [sym_declaration] = STATE(1380),
    [sym_variable_declaration] = STATE(1382),
    [sym_lexical_declaration] = STATE(1382),
    [sym_class_declaration] = STATE(1382),
    [sym_function_declaration] = STATE(1382),
    [sym_generator_function_declaration] = STATE(1382),
    [sym_comment] = STATE(819),
    [sym_decorator] = STATE(5700),
    [sym_function_signature] = STATE(1382),
    [sym_ambient_declaration] = STATE(1382),
    [sym_abstract_class_declaration] = STATE(1382),
    [sym_module] = STATE(1382),
    [sym_internal_module] = STATE(1379),
    [sym_import_alias] = STATE(1382),
    [sym_interface_declaration] = STATE(1382),
    [sym_enum_declaration] = STATE(1382),
    [sym_type_alias_declaration] = STATE(1382),
    [aux_sym_export_statement_repeat1] = STATE(5403),
    [anon_sym_STAR] = ACTIONS(2858),
    [anon_sym_default] = ACTIONS(2860),
    [anon_sym_type] = ACTIONS(2862),
    [anon_sym_EQ] = ACTIONS(2864),
    [anon_sym_as] = ACTIONS(2866),
    [anon_sym_namespace] = ACTIONS(2868),
    [anon_sym_LBRACE] = ACTIONS(2665),
    [anon_sym_COMMA] = ACTIONS(211),
    [anon_sym_import] = ACTIONS(2870),
    [anon_sym_var] = ACTIONS(2872),
    [anon_sym_let] = ACTIONS(2874),
    [anon_sym_const] = ACTIONS(2876),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(211),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(211),
    [anon_sym_COLON] = ACTIONS(2878),
    [anon_sym_LBRACK] = ACTIONS(211),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(211),
    [anon_sym_class] = ACTIONS(2880),
    [anon_sym_async] = ACTIONS(2882),
    [anon_sym_function] = ACTIONS(2884),
    [anon_sym_EQ_GT] = ACTIONS(2689),
    [anon_sym_QMARK_DOT] = ACTIONS(211),
    [anon_sym_PLUS_EQ] = ACTIONS(2691),
    [anon_sym_DASH_EQ] = ACTIONS(2691),
    [anon_sym_STAR_EQ] = ACTIONS(2691),
    [anon_sym_SLASH_EQ] = ACTIONS(2691),
    [anon_sym_PERCENT_EQ] = ACTIONS(2691),
    [anon_sym_CARET_EQ] = ACTIONS(2691),
    [anon_sym_AMP_EQ] = ACTIONS(2691),
    [anon_sym_PIPE_EQ] = ACTIONS(2691),
    [anon_sym_GT_GT_EQ] = ACTIONS(2691),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(2691),
    [anon_sym_LT_LT_EQ] = ACTIONS(2691),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2691),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2691),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2691),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2691),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(211),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(211),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(211),
    [anon_sym_GT_EQ] = ACTIONS(211),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(211),
    [anon_sym_PLUS_PLUS] = ACTIONS(211),
    [anon_sym_DASH_DASH] = ACTIONS(211),
    [aux_sym_comment_token1] = ACTIONS(2696),
    [anon_sym_BQUOTE] = ACTIONS(211),
    [anon_sym_AT] = ACTIONS(2698),
    [anon_sym_declare] = ACTIONS(2886),
    [anon_sym_module] = ACTIONS(2888),
    [anon_sym_abstract] = ACTIONS(2890),
    [anon_sym_satisfies] = ACTIONS(211),
    [anon_sym_interface] = ACTIONS(2892),
    [anon_sym_enum] = ACTIONS(2894),
    [sym__automatic_semicolon] = ACTIONS(211),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [820] = {
    [sym_namespace_export] = STATE(6737),
    [sym_export_clause] = STATE(5663),
    [sym_declaration] = STATE(1574),
    [sym_variable_declaration] = STATE(1573),
    [sym_lexical_declaration] = STATE(1573),
    [sym_class_declaration] = STATE(1573),
    [sym_function_declaration] = STATE(1573),
    [sym_generator_function_declaration] = STATE(1573),
    [sym_comment] = STATE(820),
    [sym_decorator] = STATE(5700),
    [sym_function_signature] = STATE(1573),
    [sym_ambient_declaration] = STATE(1573),
    [sym_abstract_class_declaration] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_internal_module] = STATE(1575),
    [sym_import_alias] = STATE(1573),
    [sym_interface_declaration] = STATE(1573),
    [sym_enum_declaration] = STATE(1573),
    [sym_type_alias_declaration] = STATE(1573),
    [aux_sym_export_statement_repeat1] = STATE(5414),
    [anon_sym_STAR] = ACTIONS(2653),
    [anon_sym_default] = ACTIONS(2655),
    [anon_sym_type] = ACTIONS(2657),
    [anon_sym_EQ] = ACTIONS(2896),
    [anon_sym_as] = ACTIONS(2661),
    [anon_sym_namespace] = ACTIONS(2663),
    [anon_sym_LBRACE] = ACTIONS(2665),
    [anon_sym_COMMA] = ACTIONS(211),
    [anon_sym_import] = ACTIONS(2669),
    [anon_sym_var] = ACTIONS(2671),
    [anon_sym_let] = ACTIONS(2673),
    [anon_sym_const] = ACTIONS(2675),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(211),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(211),
    [anon_sym_COLON] = ACTIONS(2898),
    [anon_sym_LBRACK] = ACTIONS(211),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(211),
    [anon_sym_class] = ACTIONS(2683),
    [anon_sym_async] = ACTIONS(2685),
    [anon_sym_function] = ACTIONS(2687),
    [anon_sym_EQ_GT] = ACTIONS(2689),
    [anon_sym_QMARK_DOT] = ACTIONS(211),
    [anon_sym_PLUS_EQ] = ACTIONS(2691),
    [anon_sym_DASH_EQ] = ACTIONS(2691),
    [anon_sym_STAR_EQ] = ACTIONS(2691),
    [anon_sym_SLASH_EQ] = ACTIONS(2691),
    [anon_sym_PERCENT_EQ] = ACTIONS(2691),
    [anon_sym_CARET_EQ] = ACTIONS(2691),
    [anon_sym_AMP_EQ] = ACTIONS(2691),
    [anon_sym_PIPE_EQ] = ACTIONS(2691),
    [anon_sym_GT_GT_EQ] = ACTIONS(2691),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(2691),
    [anon_sym_LT_LT_EQ] = ACTIONS(2691),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2691),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2691),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2691),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2691),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(211),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(211),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(211),
    [anon_sym_GT_EQ] = ACTIONS(211),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(211),
    [anon_sym_PLUS_PLUS] = ACTIONS(211),
    [anon_sym_DASH_DASH] = ACTIONS(211),
    [aux_sym_comment_token1] = ACTIONS(2696),
    [anon_sym_BQUOTE] = ACTIONS(211),
    [anon_sym_AT] = ACTIONS(2698),
    [anon_sym_declare] = ACTIONS(2700),
    [anon_sym_module] = ACTIONS(2702),
    [anon_sym_abstract] = ACTIONS(2704),
    [anon_sym_satisfies] = ACTIONS(211),
    [anon_sym_interface] = ACTIONS(2706),
    [anon_sym_enum] = ACTIONS(2708),
    [sym__automatic_semicolon] = ACTIONS(211),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [821] = {
    [sym_string] = STATE(4740),
    [sym_comment] = STATE(821),
    [sym__property_name] = STATE(4761),
    [sym_computed_property_name] = STATE(4740),
    [sym_override_modifier] = STATE(3665),
    [aux_sym_object_repeat1] = STATE(6333),
    [aux_sym_object_pattern_repeat1] = STATE(6171),
    [sym_identifier] = ACTIONS(2900),
    [anon_sym_export] = ACTIONS(2900),
    [anon_sym_STAR] = ACTIONS(2718),
    [anon_sym_type] = ACTIONS(2900),
    [anon_sym_EQ] = ACTIONS(1016),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2900),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_RBRACE] = ACTIONS(1053),
    [anon_sym_let] = ACTIONS(2900),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2693),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1024),
    [anon_sym_LBRACK] = ACTIONS(2725),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [anon_sym_async] = ACTIONS(2902),
    [anon_sym_EQ_GT] = ACTIONS(1035),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(2900),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2693),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [sym_number] = ACTIONS(2734),
    [sym_private_property_identifier] = ACTIONS(2734),
    [anon_sym_static] = ACTIONS(2900),
    [anon_sym_readonly] = ACTIONS(2904),
    [anon_sym_get] = ACTIONS(2906),
    [anon_sym_set] = ACTIONS(2906),
    [anon_sym_QMARK] = ACTIONS(1043),
    [anon_sym_declare] = ACTIONS(2900),
    [anon_sym_public] = ACTIONS(2900),
    [anon_sym_private] = ACTIONS(2900),
    [anon_sym_protected] = ACTIONS(2900),
    [anon_sym_override] = ACTIONS(2908),
    [anon_sym_module] = ACTIONS(2900),
    [anon_sym_any] = ACTIONS(2900),
    [anon_sym_number] = ACTIONS(2900),
    [anon_sym_boolean] = ACTIONS(2900),
    [anon_sym_string] = ACTIONS(2900),
    [anon_sym_symbol] = ACTIONS(2900),
    [anon_sym_object] = ACTIONS(2900),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(211),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [822] = {
    [sym_string] = STATE(4740),
    [sym_comment] = STATE(822),
    [sym__property_name] = STATE(4761),
    [sym_computed_property_name] = STATE(4740),
    [sym_override_modifier] = STATE(3665),
    [aux_sym_object_repeat1] = STATE(6165),
    [aux_sym_object_pattern_repeat1] = STATE(6171),
    [sym_identifier] = ACTIONS(2900),
    [anon_sym_export] = ACTIONS(2900),
    [anon_sym_STAR] = ACTIONS(2718),
    [anon_sym_type] = ACTIONS(2900),
    [anon_sym_EQ] = ACTIONS(1016),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2900),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_RBRACE] = ACTIONS(1051),
    [anon_sym_let] = ACTIONS(2900),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2693),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1024),
    [anon_sym_LBRACK] = ACTIONS(2725),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [anon_sym_async] = ACTIONS(2902),
    [anon_sym_EQ_GT] = ACTIONS(1035),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(2900),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2693),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [sym_number] = ACTIONS(2734),
    [sym_private_property_identifier] = ACTIONS(2734),
    [anon_sym_static] = ACTIONS(2900),
    [anon_sym_readonly] = ACTIONS(2904),
    [anon_sym_get] = ACTIONS(2906),
    [anon_sym_set] = ACTIONS(2906),
    [anon_sym_QMARK] = ACTIONS(1043),
    [anon_sym_declare] = ACTIONS(2900),
    [anon_sym_public] = ACTIONS(2900),
    [anon_sym_private] = ACTIONS(2900),
    [anon_sym_protected] = ACTIONS(2900),
    [anon_sym_override] = ACTIONS(2908),
    [anon_sym_module] = ACTIONS(2900),
    [anon_sym_any] = ACTIONS(2900),
    [anon_sym_number] = ACTIONS(2900),
    [anon_sym_boolean] = ACTIONS(2900),
    [anon_sym_string] = ACTIONS(2900),
    [anon_sym_symbol] = ACTIONS(2900),
    [anon_sym_object] = ACTIONS(2900),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(211),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [823] = {
    [sym_string] = STATE(4740),
    [sym_comment] = STATE(823),
    [sym__property_name] = STATE(4761),
    [sym_computed_property_name] = STATE(4740),
    [sym_override_modifier] = STATE(3665),
    [aux_sym_object_repeat1] = STATE(6333),
    [aux_sym_object_pattern_repeat1] = STATE(6171),
    [sym_identifier] = ACTIONS(2900),
    [anon_sym_export] = ACTIONS(2900),
    [anon_sym_STAR] = ACTIONS(2718),
    [anon_sym_type] = ACTIONS(2900),
    [anon_sym_EQ] = ACTIONS(1016),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2900),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_RBRACE] = ACTIONS(1022),
    [anon_sym_let] = ACTIONS(2900),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2693),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1024),
    [anon_sym_LBRACK] = ACTIONS(2725),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [anon_sym_async] = ACTIONS(2902),
    [anon_sym_EQ_GT] = ACTIONS(1035),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(2900),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2693),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [sym_number] = ACTIONS(2734),
    [sym_private_property_identifier] = ACTIONS(2734),
    [anon_sym_static] = ACTIONS(2900),
    [anon_sym_readonly] = ACTIONS(2904),
    [anon_sym_get] = ACTIONS(2906),
    [anon_sym_set] = ACTIONS(2906),
    [anon_sym_QMARK] = ACTIONS(1043),
    [anon_sym_declare] = ACTIONS(2900),
    [anon_sym_public] = ACTIONS(2900),
    [anon_sym_private] = ACTIONS(2900),
    [anon_sym_protected] = ACTIONS(2900),
    [anon_sym_override] = ACTIONS(2908),
    [anon_sym_module] = ACTIONS(2900),
    [anon_sym_any] = ACTIONS(2900),
    [anon_sym_number] = ACTIONS(2900),
    [anon_sym_boolean] = ACTIONS(2900),
    [anon_sym_string] = ACTIONS(2900),
    [anon_sym_symbol] = ACTIONS(2900),
    [anon_sym_object] = ACTIONS(2900),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(211),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [824] = {
    [sym_string] = STATE(4740),
    [sym_comment] = STATE(824),
    [sym__property_name] = STATE(4761),
    [sym_computed_property_name] = STATE(4740),
    [aux_sym_object_repeat1] = STATE(6165),
    [aux_sym_object_pattern_repeat1] = STATE(6171),
    [sym_identifier] = ACTIONS(2900),
    [anon_sym_export] = ACTIONS(2900),
    [anon_sym_STAR] = ACTIONS(2718),
    [anon_sym_type] = ACTIONS(2900),
    [anon_sym_EQ] = ACTIONS(1016),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2900),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_RBRACE] = ACTIONS(1051),
    [anon_sym_let] = ACTIONS(2900),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2693),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1024),
    [anon_sym_LBRACK] = ACTIONS(2725),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [anon_sym_async] = ACTIONS(2902),
    [anon_sym_EQ_GT] = ACTIONS(1035),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(2900),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2693),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [sym_number] = ACTIONS(2734),
    [sym_private_property_identifier] = ACTIONS(2734),
    [anon_sym_static] = ACTIONS(2900),
    [anon_sym_readonly] = ACTIONS(2900),
    [anon_sym_get] = ACTIONS(2906),
    [anon_sym_set] = ACTIONS(2906),
    [anon_sym_QMARK] = ACTIONS(1043),
    [anon_sym_declare] = ACTIONS(2900),
    [anon_sym_public] = ACTIONS(2900),
    [anon_sym_private] = ACTIONS(2900),
    [anon_sym_protected] = ACTIONS(2900),
    [anon_sym_override] = ACTIONS(2900),
    [anon_sym_module] = ACTIONS(2900),
    [anon_sym_any] = ACTIONS(2900),
    [anon_sym_number] = ACTIONS(2900),
    [anon_sym_boolean] = ACTIONS(2900),
    [anon_sym_string] = ACTIONS(2900),
    [anon_sym_symbol] = ACTIONS(2900),
    [anon_sym_object] = ACTIONS(2900),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(211),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [825] = {
    [sym_string] = STATE(4740),
    [sym_comment] = STATE(825),
    [sym__property_name] = STATE(4761),
    [sym_computed_property_name] = STATE(4740),
    [aux_sym_object_repeat1] = STATE(6165),
    [aux_sym_object_pattern_repeat1] = STATE(6171),
    [sym_identifier] = ACTIONS(2900),
    [anon_sym_export] = ACTIONS(2900),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(2900),
    [anon_sym_EQ] = ACTIONS(1016),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2900),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_RBRACE] = ACTIONS(1051),
    [anon_sym_let] = ACTIONS(2900),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2693),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1024),
    [anon_sym_LBRACK] = ACTIONS(2725),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [anon_sym_async] = ACTIONS(2900),
    [anon_sym_EQ_GT] = ACTIONS(1035),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(2900),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2693),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [sym_number] = ACTIONS(2734),
    [sym_private_property_identifier] = ACTIONS(2734),
    [anon_sym_static] = ACTIONS(2900),
    [anon_sym_readonly] = ACTIONS(2900),
    [anon_sym_get] = ACTIONS(2900),
    [anon_sym_set] = ACTIONS(2900),
    [anon_sym_QMARK] = ACTIONS(1043),
    [anon_sym_declare] = ACTIONS(2900),
    [anon_sym_public] = ACTIONS(2900),
    [anon_sym_private] = ACTIONS(2900),
    [anon_sym_protected] = ACTIONS(2900),
    [anon_sym_override] = ACTIONS(2900),
    [anon_sym_module] = ACTIONS(2900),
    [anon_sym_any] = ACTIONS(2900),
    [anon_sym_number] = ACTIONS(2900),
    [anon_sym_boolean] = ACTIONS(2900),
    [anon_sym_string] = ACTIONS(2900),
    [anon_sym_symbol] = ACTIONS(2900),
    [anon_sym_object] = ACTIONS(2900),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(211),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [826] = {
    [sym_string] = STATE(4740),
    [sym_comment] = STATE(826),
    [sym__property_name] = STATE(4761),
    [sym_computed_property_name] = STATE(4740),
    [aux_sym_object_repeat1] = STATE(6333),
    [aux_sym_object_pattern_repeat1] = STATE(6171),
    [sym_identifier] = ACTIONS(2900),
    [anon_sym_export] = ACTIONS(2900),
    [anon_sym_STAR] = ACTIONS(2718),
    [anon_sym_type] = ACTIONS(2900),
    [anon_sym_EQ] = ACTIONS(1016),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2900),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_RBRACE] = ACTIONS(1053),
    [anon_sym_let] = ACTIONS(2900),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2693),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1024),
    [anon_sym_LBRACK] = ACTIONS(2725),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [anon_sym_async] = ACTIONS(2902),
    [anon_sym_EQ_GT] = ACTIONS(1035),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(2900),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2693),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [sym_number] = ACTIONS(2734),
    [sym_private_property_identifier] = ACTIONS(2734),
    [anon_sym_static] = ACTIONS(2900),
    [anon_sym_readonly] = ACTIONS(2900),
    [anon_sym_get] = ACTIONS(2906),
    [anon_sym_set] = ACTIONS(2906),
    [anon_sym_QMARK] = ACTIONS(1043),
    [anon_sym_declare] = ACTIONS(2900),
    [anon_sym_public] = ACTIONS(2900),
    [anon_sym_private] = ACTIONS(2900),
    [anon_sym_protected] = ACTIONS(2900),
    [anon_sym_override] = ACTIONS(2900),
    [anon_sym_module] = ACTIONS(2900),
    [anon_sym_any] = ACTIONS(2900),
    [anon_sym_number] = ACTIONS(2900),
    [anon_sym_boolean] = ACTIONS(2900),
    [anon_sym_string] = ACTIONS(2900),
    [anon_sym_symbol] = ACTIONS(2900),
    [anon_sym_object] = ACTIONS(2900),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(211),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [827] = {
    [sym_string] = STATE(4740),
    [sym_comment] = STATE(827),
    [sym__property_name] = STATE(4761),
    [sym_computed_property_name] = STATE(4740),
    [aux_sym_object_repeat1] = STATE(6333),
    [aux_sym_object_pattern_repeat1] = STATE(6171),
    [sym_identifier] = ACTIONS(2900),
    [anon_sym_export] = ACTIONS(2900),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(2900),
    [anon_sym_EQ] = ACTIONS(1016),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2900),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_RBRACE] = ACTIONS(1053),
    [anon_sym_let] = ACTIONS(2900),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2693),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1024),
    [anon_sym_LBRACK] = ACTIONS(2725),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [anon_sym_async] = ACTIONS(2900),
    [anon_sym_EQ_GT] = ACTIONS(1035),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(2900),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2693),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [sym_number] = ACTIONS(2734),
    [sym_private_property_identifier] = ACTIONS(2734),
    [anon_sym_static] = ACTIONS(2900),
    [anon_sym_readonly] = ACTIONS(2900),
    [anon_sym_get] = ACTIONS(2900),
    [anon_sym_set] = ACTIONS(2900),
    [anon_sym_QMARK] = ACTIONS(1043),
    [anon_sym_declare] = ACTIONS(2900),
    [anon_sym_public] = ACTIONS(2900),
    [anon_sym_private] = ACTIONS(2900),
    [anon_sym_protected] = ACTIONS(2900),
    [anon_sym_override] = ACTIONS(2900),
    [anon_sym_module] = ACTIONS(2900),
    [anon_sym_any] = ACTIONS(2900),
    [anon_sym_number] = ACTIONS(2900),
    [anon_sym_boolean] = ACTIONS(2900),
    [anon_sym_string] = ACTIONS(2900),
    [anon_sym_symbol] = ACTIONS(2900),
    [anon_sym_object] = ACTIONS(2900),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(211),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [828] = {
    [sym_string] = STATE(4740),
    [sym_comment] = STATE(828),
    [sym__property_name] = STATE(4761),
    [sym_computed_property_name] = STATE(4740),
    [aux_sym_object_repeat1] = STATE(6333),
    [aux_sym_object_pattern_repeat1] = STATE(6171),
    [sym_identifier] = ACTIONS(2900),
    [anon_sym_export] = ACTIONS(2900),
    [anon_sym_STAR] = ACTIONS(2718),
    [anon_sym_type] = ACTIONS(2900),
    [anon_sym_EQ] = ACTIONS(1016),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2900),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_RBRACE] = ACTIONS(1022),
    [anon_sym_let] = ACTIONS(2900),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2693),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1024),
    [anon_sym_LBRACK] = ACTIONS(2725),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [anon_sym_async] = ACTIONS(2902),
    [anon_sym_EQ_GT] = ACTIONS(1035),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(2900),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2693),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [sym_number] = ACTIONS(2734),
    [sym_private_property_identifier] = ACTIONS(2734),
    [anon_sym_static] = ACTIONS(2900),
    [anon_sym_readonly] = ACTIONS(2900),
    [anon_sym_get] = ACTIONS(2906),
    [anon_sym_set] = ACTIONS(2906),
    [anon_sym_QMARK] = ACTIONS(1043),
    [anon_sym_declare] = ACTIONS(2900),
    [anon_sym_public] = ACTIONS(2900),
    [anon_sym_private] = ACTIONS(2900),
    [anon_sym_protected] = ACTIONS(2900),
    [anon_sym_override] = ACTIONS(2900),
    [anon_sym_module] = ACTIONS(2900),
    [anon_sym_any] = ACTIONS(2900),
    [anon_sym_number] = ACTIONS(2900),
    [anon_sym_boolean] = ACTIONS(2900),
    [anon_sym_string] = ACTIONS(2900),
    [anon_sym_symbol] = ACTIONS(2900),
    [anon_sym_object] = ACTIONS(2900),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(211),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [829] = {
    [sym_string] = STATE(4740),
    [sym_comment] = STATE(829),
    [sym__property_name] = STATE(4761),
    [sym_computed_property_name] = STATE(4740),
    [aux_sym_object_repeat1] = STATE(6333),
    [aux_sym_object_pattern_repeat1] = STATE(6171),
    [sym_identifier] = ACTIONS(2900),
    [anon_sym_export] = ACTIONS(2900),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(2900),
    [anon_sym_EQ] = ACTIONS(1016),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2900),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_RBRACE] = ACTIONS(1022),
    [anon_sym_let] = ACTIONS(2900),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2693),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1024),
    [anon_sym_LBRACK] = ACTIONS(2725),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [anon_sym_async] = ACTIONS(2900),
    [anon_sym_EQ_GT] = ACTIONS(1035),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(2900),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2693),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [sym_number] = ACTIONS(2734),
    [sym_private_property_identifier] = ACTIONS(2734),
    [anon_sym_static] = ACTIONS(2900),
    [anon_sym_readonly] = ACTIONS(2900),
    [anon_sym_get] = ACTIONS(2900),
    [anon_sym_set] = ACTIONS(2900),
    [anon_sym_QMARK] = ACTIONS(1043),
    [anon_sym_declare] = ACTIONS(2900),
    [anon_sym_public] = ACTIONS(2900),
    [anon_sym_private] = ACTIONS(2900),
    [anon_sym_protected] = ACTIONS(2900),
    [anon_sym_override] = ACTIONS(2900),
    [anon_sym_module] = ACTIONS(2900),
    [anon_sym_any] = ACTIONS(2900),
    [anon_sym_number] = ACTIONS(2900),
    [anon_sym_boolean] = ACTIONS(2900),
    [anon_sym_string] = ACTIONS(2900),
    [anon_sym_symbol] = ACTIONS(2900),
    [anon_sym_object] = ACTIONS(2900),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(211),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [830] = {
    [sym_declaration] = STATE(1358),
    [sym_variable_declaration] = STATE(1382),
    [sym_lexical_declaration] = STATE(1382),
    [sym_class_declaration] = STATE(1382),
    [sym_function_declaration] = STATE(1382),
    [sym_generator_function_declaration] = STATE(1382),
    [sym_comment] = STATE(830),
    [sym_decorator] = STATE(5700),
    [sym_function_signature] = STATE(1382),
    [sym_ambient_declaration] = STATE(1382),
    [sym_abstract_class_declaration] = STATE(1382),
    [sym_module] = STATE(1382),
    [sym_internal_module] = STATE(1379),
    [sym_import_alias] = STATE(1382),
    [sym_interface_declaration] = STATE(1382),
    [sym_enum_declaration] = STATE(1382),
    [sym_type_alias_declaration] = STATE(1382),
    [aux_sym_export_statement_repeat1] = STATE(5403),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(2910),
    [anon_sym_EQ] = ACTIONS(1167),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2868),
    [anon_sym_COMMA] = ACTIONS(211),
    [anon_sym_import] = ACTIONS(2870),
    [anon_sym_var] = ACTIONS(2872),
    [anon_sym_let] = ACTIONS(2874),
    [anon_sym_const] = ACTIONS(2876),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(211),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(211),
    [anon_sym_COLON] = ACTIONS(2878),
    [anon_sym_LBRACK] = ACTIONS(211),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(211),
    [anon_sym_class] = ACTIONS(2880),
    [anon_sym_async] = ACTIONS(2882),
    [anon_sym_function] = ACTIONS(2884),
    [anon_sym_EQ_GT] = ACTIONS(2689),
    [anon_sym_QMARK_DOT] = ACTIONS(211),
    [anon_sym_PLUS_EQ] = ACTIONS(2691),
    [anon_sym_DASH_EQ] = ACTIONS(2691),
    [anon_sym_STAR_EQ] = ACTIONS(2691),
    [anon_sym_SLASH_EQ] = ACTIONS(2691),
    [anon_sym_PERCENT_EQ] = ACTIONS(2691),
    [anon_sym_CARET_EQ] = ACTIONS(2691),
    [anon_sym_AMP_EQ] = ACTIONS(2691),
    [anon_sym_PIPE_EQ] = ACTIONS(2691),
    [anon_sym_GT_GT_EQ] = ACTIONS(2691),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(2691),
    [anon_sym_LT_LT_EQ] = ACTIONS(2691),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2691),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2691),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2691),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2691),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(211),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(211),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(211),
    [anon_sym_GT_EQ] = ACTIONS(211),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(211),
    [anon_sym_PLUS_PLUS] = ACTIONS(211),
    [anon_sym_DASH_DASH] = ACTIONS(211),
    [aux_sym_comment_token1] = ACTIONS(2696),
    [anon_sym_BQUOTE] = ACTIONS(211),
    [anon_sym_AT] = ACTIONS(2698),
    [anon_sym_declare] = ACTIONS(2886),
    [anon_sym_module] = ACTIONS(2912),
    [anon_sym_abstract] = ACTIONS(2890),
    [anon_sym_satisfies] = ACTIONS(211),
    [anon_sym_global] = ACTIONS(2914),
    [anon_sym_interface] = ACTIONS(2892),
    [anon_sym_enum] = ACTIONS(2894),
    [sym__automatic_semicolon] = ACTIONS(211),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [831] = {
    [sym_declaration] = STATE(1094),
    [sym_variable_declaration] = STATE(1105),
    [sym_lexical_declaration] = STATE(1105),
    [sym_class_declaration] = STATE(1105),
    [sym_function_declaration] = STATE(1105),
    [sym_generator_function_declaration] = STATE(1105),
    [sym_comment] = STATE(831),
    [sym_decorator] = STATE(5700),
    [sym_function_signature] = STATE(1105),
    [sym_ambient_declaration] = STATE(1105),
    [sym_abstract_class_declaration] = STATE(1105),
    [sym_module] = STATE(1105),
    [sym_internal_module] = STATE(1102),
    [sym_import_alias] = STATE(1105),
    [sym_interface_declaration] = STATE(1105),
    [sym_enum_declaration] = STATE(1105),
    [sym_type_alias_declaration] = STATE(1105),
    [aux_sym_export_statement_repeat1] = STATE(5341),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(2916),
    [anon_sym_EQ] = ACTIONS(1167),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2830),
    [anon_sym_COMMA] = ACTIONS(211),
    [anon_sym_import] = ACTIONS(2832),
    [anon_sym_var] = ACTIONS(2834),
    [anon_sym_let] = ACTIONS(2836),
    [anon_sym_const] = ACTIONS(2838),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(211),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(211),
    [anon_sym_COLON] = ACTIONS(2840),
    [anon_sym_LBRACK] = ACTIONS(211),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(211),
    [anon_sym_class] = ACTIONS(2842),
    [anon_sym_async] = ACTIONS(2844),
    [anon_sym_function] = ACTIONS(2846),
    [anon_sym_EQ_GT] = ACTIONS(2689),
    [anon_sym_QMARK_DOT] = ACTIONS(211),
    [anon_sym_PLUS_EQ] = ACTIONS(2691),
    [anon_sym_DASH_EQ] = ACTIONS(2691),
    [anon_sym_STAR_EQ] = ACTIONS(2691),
    [anon_sym_SLASH_EQ] = ACTIONS(2691),
    [anon_sym_PERCENT_EQ] = ACTIONS(2691),
    [anon_sym_CARET_EQ] = ACTIONS(2691),
    [anon_sym_AMP_EQ] = ACTIONS(2691),
    [anon_sym_PIPE_EQ] = ACTIONS(2691),
    [anon_sym_GT_GT_EQ] = ACTIONS(2691),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(2691),
    [anon_sym_LT_LT_EQ] = ACTIONS(2691),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2691),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2691),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2691),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2691),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(211),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(211),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(211),
    [anon_sym_GT_EQ] = ACTIONS(211),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(211),
    [anon_sym_PLUS_PLUS] = ACTIONS(211),
    [anon_sym_DASH_DASH] = ACTIONS(211),
    [aux_sym_comment_token1] = ACTIONS(2696),
    [anon_sym_BQUOTE] = ACTIONS(211),
    [anon_sym_AT] = ACTIONS(2698),
    [anon_sym_declare] = ACTIONS(2848),
    [anon_sym_module] = ACTIONS(2918),
    [anon_sym_abstract] = ACTIONS(2852),
    [anon_sym_satisfies] = ACTIONS(211),
    [anon_sym_global] = ACTIONS(2920),
    [anon_sym_interface] = ACTIONS(2854),
    [anon_sym_enum] = ACTIONS(2856),
    [sym__automatic_semicolon] = ACTIONS(211),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [832] = {
    [sym_declaration] = STATE(6956),
    [sym_variable_declaration] = STATE(6895),
    [sym_lexical_declaration] = STATE(6895),
    [sym_class_declaration] = STATE(6895),
    [sym_function_declaration] = STATE(6895),
    [sym_generator_function_declaration] = STATE(6895),
    [sym_comment] = STATE(832),
    [sym_decorator] = STATE(5700),
    [sym_function_signature] = STATE(6895),
    [sym_ambient_declaration] = STATE(6895),
    [sym_abstract_class_declaration] = STATE(6895),
    [sym_module] = STATE(6895),
    [sym_internal_module] = STATE(6915),
    [sym_import_alias] = STATE(6895),
    [sym_interface_declaration] = STATE(6895),
    [sym_enum_declaration] = STATE(6895),
    [sym_type_alias_declaration] = STATE(6895),
    [aux_sym_export_statement_repeat1] = STATE(5327),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(2922),
    [anon_sym_EQ] = ACTIONS(1167),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2792),
    [anon_sym_COMMA] = ACTIONS(211),
    [anon_sym_import] = ACTIONS(2794),
    [anon_sym_var] = ACTIONS(2796),
    [anon_sym_let] = ACTIONS(2798),
    [anon_sym_const] = ACTIONS(2800),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(211),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(211),
    [anon_sym_COLON] = ACTIONS(2802),
    [anon_sym_LBRACK] = ACTIONS(211),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(211),
    [anon_sym_class] = ACTIONS(2804),
    [anon_sym_async] = ACTIONS(2806),
    [anon_sym_function] = ACTIONS(2808),
    [anon_sym_EQ_GT] = ACTIONS(2689),
    [anon_sym_QMARK_DOT] = ACTIONS(211),
    [anon_sym_PLUS_EQ] = ACTIONS(2691),
    [anon_sym_DASH_EQ] = ACTIONS(2691),
    [anon_sym_STAR_EQ] = ACTIONS(2691),
    [anon_sym_SLASH_EQ] = ACTIONS(2691),
    [anon_sym_PERCENT_EQ] = ACTIONS(2691),
    [anon_sym_CARET_EQ] = ACTIONS(2691),
    [anon_sym_AMP_EQ] = ACTIONS(2691),
    [anon_sym_PIPE_EQ] = ACTIONS(2691),
    [anon_sym_GT_GT_EQ] = ACTIONS(2691),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(2691),
    [anon_sym_LT_LT_EQ] = ACTIONS(2691),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2691),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2691),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2691),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2691),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(211),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(211),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(211),
    [anon_sym_GT_EQ] = ACTIONS(211),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(211),
    [anon_sym_PLUS_PLUS] = ACTIONS(211),
    [anon_sym_DASH_DASH] = ACTIONS(211),
    [aux_sym_comment_token1] = ACTIONS(2696),
    [anon_sym_BQUOTE] = ACTIONS(211),
    [anon_sym_AT] = ACTIONS(2698),
    [anon_sym_declare] = ACTIONS(2810),
    [anon_sym_module] = ACTIONS(2924),
    [anon_sym_abstract] = ACTIONS(2814),
    [anon_sym_satisfies] = ACTIONS(211),
    [anon_sym_global] = ACTIONS(2926),
    [anon_sym_interface] = ACTIONS(2816),
    [anon_sym_enum] = ACTIONS(2818),
    [sym__automatic_semicolon] = ACTIONS(211),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [833] = {
    [sym_declaration] = STATE(1588),
    [sym_variable_declaration] = STATE(1573),
    [sym_lexical_declaration] = STATE(1573),
    [sym_class_declaration] = STATE(1573),
    [sym_function_declaration] = STATE(1573),
    [sym_generator_function_declaration] = STATE(1573),
    [sym_comment] = STATE(833),
    [sym_decorator] = STATE(5700),
    [sym_function_signature] = STATE(1573),
    [sym_ambient_declaration] = STATE(1573),
    [sym_abstract_class_declaration] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_internal_module] = STATE(1575),
    [sym_import_alias] = STATE(1573),
    [sym_interface_declaration] = STATE(1573),
    [sym_enum_declaration] = STATE(1573),
    [sym_type_alias_declaration] = STATE(1573),
    [aux_sym_export_statement_repeat1] = STATE(5414),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(2738),
    [anon_sym_EQ] = ACTIONS(1167),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2663),
    [anon_sym_COMMA] = ACTIONS(211),
    [anon_sym_import] = ACTIONS(2669),
    [anon_sym_var] = ACTIONS(2671),
    [anon_sym_let] = ACTIONS(2673),
    [anon_sym_const] = ACTIONS(2675),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(211),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(211),
    [anon_sym_COLON] = ACTIONS(2898),
    [anon_sym_LBRACK] = ACTIONS(211),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(211),
    [anon_sym_class] = ACTIONS(2683),
    [anon_sym_async] = ACTIONS(2685),
    [anon_sym_function] = ACTIONS(2687),
    [anon_sym_EQ_GT] = ACTIONS(2689),
    [anon_sym_QMARK_DOT] = ACTIONS(211),
    [anon_sym_PLUS_EQ] = ACTIONS(2691),
    [anon_sym_DASH_EQ] = ACTIONS(2691),
    [anon_sym_STAR_EQ] = ACTIONS(2691),
    [anon_sym_SLASH_EQ] = ACTIONS(2691),
    [anon_sym_PERCENT_EQ] = ACTIONS(2691),
    [anon_sym_CARET_EQ] = ACTIONS(2691),
    [anon_sym_AMP_EQ] = ACTIONS(2691),
    [anon_sym_PIPE_EQ] = ACTIONS(2691),
    [anon_sym_GT_GT_EQ] = ACTIONS(2691),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(2691),
    [anon_sym_LT_LT_EQ] = ACTIONS(2691),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2691),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2691),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2691),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2691),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(211),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(211),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(211),
    [anon_sym_GT_EQ] = ACTIONS(211),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(211),
    [anon_sym_PLUS_PLUS] = ACTIONS(211),
    [anon_sym_DASH_DASH] = ACTIONS(211),
    [aux_sym_comment_token1] = ACTIONS(2696),
    [anon_sym_BQUOTE] = ACTIONS(211),
    [anon_sym_AT] = ACTIONS(2698),
    [anon_sym_declare] = ACTIONS(2700),
    [anon_sym_module] = ACTIONS(2740),
    [anon_sym_abstract] = ACTIONS(2704),
    [anon_sym_satisfies] = ACTIONS(211),
    [anon_sym_global] = ACTIONS(2742),
    [anon_sym_interface] = ACTIONS(2706),
    [anon_sym_enum] = ACTIONS(2708),
    [sym__automatic_semicolon] = ACTIONS(211),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [834] = {
    [sym_declaration] = STATE(1232),
    [sym_variable_declaration] = STATE(1220),
    [sym_lexical_declaration] = STATE(1220),
    [sym_class_declaration] = STATE(1220),
    [sym_function_declaration] = STATE(1220),
    [sym_generator_function_declaration] = STATE(1220),
    [sym_comment] = STATE(834),
    [sym_decorator] = STATE(5700),
    [sym_function_signature] = STATE(1220),
    [sym_ambient_declaration] = STATE(1220),
    [sym_abstract_class_declaration] = STATE(1220),
    [sym_module] = STATE(1220),
    [sym_internal_module] = STATE(1224),
    [sym_import_alias] = STATE(1220),
    [sym_interface_declaration] = STATE(1220),
    [sym_enum_declaration] = STATE(1220),
    [sym_type_alias_declaration] = STATE(1220),
    [aux_sym_export_statement_repeat1] = STATE(5213),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(2928),
    [anon_sym_EQ] = ACTIONS(1167),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2754),
    [anon_sym_COMMA] = ACTIONS(211),
    [anon_sym_import] = ACTIONS(2756),
    [anon_sym_var] = ACTIONS(2758),
    [anon_sym_let] = ACTIONS(2760),
    [anon_sym_const] = ACTIONS(2762),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(211),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(211),
    [anon_sym_COLON] = ACTIONS(2764),
    [anon_sym_LBRACK] = ACTIONS(211),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(211),
    [anon_sym_class] = ACTIONS(2766),
    [anon_sym_async] = ACTIONS(2768),
    [anon_sym_function] = ACTIONS(2770),
    [anon_sym_EQ_GT] = ACTIONS(2689),
    [anon_sym_QMARK_DOT] = ACTIONS(211),
    [anon_sym_PLUS_EQ] = ACTIONS(2691),
    [anon_sym_DASH_EQ] = ACTIONS(2691),
    [anon_sym_STAR_EQ] = ACTIONS(2691),
    [anon_sym_SLASH_EQ] = ACTIONS(2691),
    [anon_sym_PERCENT_EQ] = ACTIONS(2691),
    [anon_sym_CARET_EQ] = ACTIONS(2691),
    [anon_sym_AMP_EQ] = ACTIONS(2691),
    [anon_sym_PIPE_EQ] = ACTIONS(2691),
    [anon_sym_GT_GT_EQ] = ACTIONS(2691),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(2691),
    [anon_sym_LT_LT_EQ] = ACTIONS(2691),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2691),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2691),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2691),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2691),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(211),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(211),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(211),
    [anon_sym_GT_EQ] = ACTIONS(211),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(211),
    [anon_sym_PLUS_PLUS] = ACTIONS(211),
    [anon_sym_DASH_DASH] = ACTIONS(211),
    [aux_sym_comment_token1] = ACTIONS(2696),
    [anon_sym_BQUOTE] = ACTIONS(211),
    [anon_sym_AT] = ACTIONS(2698),
    [anon_sym_declare] = ACTIONS(2772),
    [anon_sym_module] = ACTIONS(2930),
    [anon_sym_abstract] = ACTIONS(2776),
    [anon_sym_satisfies] = ACTIONS(211),
    [anon_sym_global] = ACTIONS(2932),
    [anon_sym_interface] = ACTIONS(2778),
    [anon_sym_enum] = ACTIONS(2780),
    [sym__automatic_semicolon] = ACTIONS(211),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [835] = {
    [sym_comment] = STATE(835),
    [aux_sym_object_repeat1] = STATE(6333),
    [aux_sym_object_pattern_repeat1] = STATE(6171),
    [sym_identifier] = ACTIONS(2419),
    [anon_sym_export] = ACTIONS(2419),
    [anon_sym_STAR] = ACTIONS(2419),
    [anon_sym_type] = ACTIONS(2419),
    [anon_sym_EQ] = ACTIONS(1016),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2419),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_RBRACE] = ACTIONS(1053),
    [anon_sym_let] = ACTIONS(2419),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2693),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1024),
    [anon_sym_LBRACK] = ACTIONS(2419),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(2419),
    [anon_sym_SQUOTE] = ACTIONS(2419),
    [anon_sym_async] = ACTIONS(2419),
    [anon_sym_EQ_GT] = ACTIONS(1035),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(2419),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2693),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [sym_number] = ACTIONS(2419),
    [sym_private_property_identifier] = ACTIONS(2419),
    [anon_sym_static] = ACTIONS(2419),
    [anon_sym_readonly] = ACTIONS(2419),
    [anon_sym_get] = ACTIONS(2419),
    [anon_sym_set] = ACTIONS(2419),
    [anon_sym_QMARK] = ACTIONS(1043),
    [anon_sym_declare] = ACTIONS(2419),
    [anon_sym_public] = ACTIONS(2419),
    [anon_sym_private] = ACTIONS(2419),
    [anon_sym_protected] = ACTIONS(2419),
    [anon_sym_override] = ACTIONS(2419),
    [anon_sym_module] = ACTIONS(2419),
    [anon_sym_any] = ACTIONS(2419),
    [anon_sym_number] = ACTIONS(2419),
    [anon_sym_boolean] = ACTIONS(2419),
    [anon_sym_string] = ACTIONS(2419),
    [anon_sym_symbol] = ACTIONS(2419),
    [anon_sym_object] = ACTIONS(2419),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(211),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [836] = {
    [sym_comment] = STATE(836),
    [aux_sym_object_repeat1] = STATE(6165),
    [aux_sym_object_pattern_repeat1] = STATE(6171),
    [sym_identifier] = ACTIONS(2419),
    [anon_sym_export] = ACTIONS(2419),
    [anon_sym_STAR] = ACTIONS(2419),
    [anon_sym_type] = ACTIONS(2419),
    [anon_sym_EQ] = ACTIONS(1016),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2419),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_RBRACE] = ACTIONS(1051),
    [anon_sym_let] = ACTIONS(2419),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2693),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1024),
    [anon_sym_LBRACK] = ACTIONS(2419),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(2419),
    [anon_sym_SQUOTE] = ACTIONS(2419),
    [anon_sym_async] = ACTIONS(2419),
    [anon_sym_EQ_GT] = ACTIONS(1035),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(2419),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2693),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [sym_number] = ACTIONS(2419),
    [sym_private_property_identifier] = ACTIONS(2419),
    [anon_sym_static] = ACTIONS(2419),
    [anon_sym_readonly] = ACTIONS(2419),
    [anon_sym_get] = ACTIONS(2419),
    [anon_sym_set] = ACTIONS(2419),
    [anon_sym_QMARK] = ACTIONS(1043),
    [anon_sym_declare] = ACTIONS(2419),
    [anon_sym_public] = ACTIONS(2419),
    [anon_sym_private] = ACTIONS(2419),
    [anon_sym_protected] = ACTIONS(2419),
    [anon_sym_override] = ACTIONS(2419),
    [anon_sym_module] = ACTIONS(2419),
    [anon_sym_any] = ACTIONS(2419),
    [anon_sym_number] = ACTIONS(2419),
    [anon_sym_boolean] = ACTIONS(2419),
    [anon_sym_string] = ACTIONS(2419),
    [anon_sym_symbol] = ACTIONS(2419),
    [anon_sym_object] = ACTIONS(2419),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(211),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [837] = {
    [sym_declaration] = STATE(1588),
    [sym_variable_declaration] = STATE(1573),
    [sym_lexical_declaration] = STATE(1573),
    [sym_class_declaration] = STATE(1573),
    [sym_function_declaration] = STATE(1573),
    [sym_generator_function_declaration] = STATE(1573),
    [sym_comment] = STATE(837),
    [sym_decorator] = STATE(5700),
    [sym_function_signature] = STATE(1573),
    [sym_ambient_declaration] = STATE(1573),
    [sym_abstract_class_declaration] = STATE(1573),
    [sym_module] = STATE(1573),
    [sym_internal_module] = STATE(1575),
    [sym_import_alias] = STATE(1573),
    [sym_interface_declaration] = STATE(1573),
    [sym_enum_declaration] = STATE(1573),
    [sym_type_alias_declaration] = STATE(1573),
    [aux_sym_export_statement_repeat1] = STATE(5414),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(2738),
    [anon_sym_EQ] = ACTIONS(1232),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2663),
    [anon_sym_import] = ACTIONS(2669),
    [anon_sym_var] = ACTIONS(2671),
    [anon_sym_let] = ACTIONS(2673),
    [anon_sym_const] = ACTIONS(2675),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(211),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(211),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(211),
    [anon_sym_class] = ACTIONS(2683),
    [anon_sym_async] = ACTIONS(2685),
    [anon_sym_function] = ACTIONS(2687),
    [anon_sym_EQ_GT] = ACTIONS(2934),
    [anon_sym_QMARK_DOT] = ACTIONS(211),
    [anon_sym_PLUS_EQ] = ACTIONS(2691),
    [anon_sym_DASH_EQ] = ACTIONS(2691),
    [anon_sym_STAR_EQ] = ACTIONS(2691),
    [anon_sym_SLASH_EQ] = ACTIONS(2691),
    [anon_sym_PERCENT_EQ] = ACTIONS(2691),
    [anon_sym_CARET_EQ] = ACTIONS(2691),
    [anon_sym_AMP_EQ] = ACTIONS(2691),
    [anon_sym_PIPE_EQ] = ACTIONS(2691),
    [anon_sym_GT_GT_EQ] = ACTIONS(2691),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(2691),
    [anon_sym_LT_LT_EQ] = ACTIONS(2691),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2691),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2691),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2691),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2691),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(211),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(211),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(211),
    [anon_sym_GT_EQ] = ACTIONS(211),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(211),
    [anon_sym_PLUS_PLUS] = ACTIONS(211),
    [anon_sym_DASH_DASH] = ACTIONS(211),
    [aux_sym_comment_token1] = ACTIONS(2696),
    [anon_sym_BQUOTE] = ACTIONS(211),
    [anon_sym_AT] = ACTIONS(2698),
    [anon_sym_declare] = ACTIONS(2700),
    [anon_sym_module] = ACTIONS(2740),
    [anon_sym_abstract] = ACTIONS(2704),
    [anon_sym_satisfies] = ACTIONS(211),
    [anon_sym_global] = ACTIONS(2742),
    [anon_sym_interface] = ACTIONS(2706),
    [anon_sym_enum] = ACTIONS(2708),
    [sym__automatic_semicolon] = ACTIONS(211),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [838] = {
    [sym_declaration] = STATE(6956),
    [sym_variable_declaration] = STATE(6895),
    [sym_lexical_declaration] = STATE(6895),
    [sym_class_declaration] = STATE(6895),
    [sym_function_declaration] = STATE(6895),
    [sym_generator_function_declaration] = STATE(6895),
    [sym_comment] = STATE(838),
    [sym_decorator] = STATE(5700),
    [sym_function_signature] = STATE(6895),
    [sym_ambient_declaration] = STATE(6895),
    [sym_abstract_class_declaration] = STATE(6895),
    [sym_module] = STATE(6895),
    [sym_internal_module] = STATE(6915),
    [sym_import_alias] = STATE(6895),
    [sym_interface_declaration] = STATE(6895),
    [sym_enum_declaration] = STATE(6895),
    [sym_type_alias_declaration] = STATE(6895),
    [aux_sym_export_statement_repeat1] = STATE(5327),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(2922),
    [anon_sym_EQ] = ACTIONS(1232),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2792),
    [anon_sym_import] = ACTIONS(2794),
    [anon_sym_var] = ACTIONS(2796),
    [anon_sym_let] = ACTIONS(2798),
    [anon_sym_const] = ACTIONS(2800),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(211),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(211),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(211),
    [anon_sym_class] = ACTIONS(2804),
    [anon_sym_async] = ACTIONS(2806),
    [anon_sym_function] = ACTIONS(2808),
    [anon_sym_EQ_GT] = ACTIONS(2934),
    [anon_sym_QMARK_DOT] = ACTIONS(211),
    [anon_sym_PLUS_EQ] = ACTIONS(2691),
    [anon_sym_DASH_EQ] = ACTIONS(2691),
    [anon_sym_STAR_EQ] = ACTIONS(2691),
    [anon_sym_SLASH_EQ] = ACTIONS(2691),
    [anon_sym_PERCENT_EQ] = ACTIONS(2691),
    [anon_sym_CARET_EQ] = ACTIONS(2691),
    [anon_sym_AMP_EQ] = ACTIONS(2691),
    [anon_sym_PIPE_EQ] = ACTIONS(2691),
    [anon_sym_GT_GT_EQ] = ACTIONS(2691),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(2691),
    [anon_sym_LT_LT_EQ] = ACTIONS(2691),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2691),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2691),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2691),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2691),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(211),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(211),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(211),
    [anon_sym_GT_EQ] = ACTIONS(211),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(211),
    [anon_sym_PLUS_PLUS] = ACTIONS(211),
    [anon_sym_DASH_DASH] = ACTIONS(211),
    [aux_sym_comment_token1] = ACTIONS(2696),
    [anon_sym_BQUOTE] = ACTIONS(211),
    [anon_sym_AT] = ACTIONS(2698),
    [anon_sym_declare] = ACTIONS(2810),
    [anon_sym_module] = ACTIONS(2924),
    [anon_sym_abstract] = ACTIONS(2814),
    [anon_sym_satisfies] = ACTIONS(211),
    [anon_sym_global] = ACTIONS(2926),
    [anon_sym_interface] = ACTIONS(2816),
    [anon_sym_enum] = ACTIONS(2818),
    [sym__automatic_semicolon] = ACTIONS(211),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [839] = {
    [sym_comment] = STATE(839),
    [aux_sym_object_repeat1] = STATE(6333),
    [aux_sym_object_pattern_repeat1] = STATE(6171),
    [sym_identifier] = ACTIONS(2431),
    [anon_sym_export] = ACTIONS(2431),
    [anon_sym_STAR] = ACTIONS(2431),
    [anon_sym_type] = ACTIONS(2431),
    [anon_sym_EQ] = ACTIONS(1016),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2431),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_RBRACE] = ACTIONS(1022),
    [anon_sym_let] = ACTIONS(2431),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2693),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1024),
    [anon_sym_LBRACK] = ACTIONS(2431),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(2431),
    [anon_sym_SQUOTE] = ACTIONS(2431),
    [anon_sym_async] = ACTIONS(2431),
    [anon_sym_EQ_GT] = ACTIONS(1035),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(2431),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2693),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [sym_number] = ACTIONS(2431),
    [sym_private_property_identifier] = ACTIONS(2431),
    [anon_sym_static] = ACTIONS(2431),
    [anon_sym_readonly] = ACTIONS(2431),
    [anon_sym_get] = ACTIONS(2431),
    [anon_sym_set] = ACTIONS(2431),
    [anon_sym_QMARK] = ACTIONS(1043),
    [anon_sym_declare] = ACTIONS(2431),
    [anon_sym_public] = ACTIONS(2431),
    [anon_sym_private] = ACTIONS(2431),
    [anon_sym_protected] = ACTIONS(2431),
    [anon_sym_override] = ACTIONS(2431),
    [anon_sym_module] = ACTIONS(2431),
    [anon_sym_any] = ACTIONS(2431),
    [anon_sym_number] = ACTIONS(2431),
    [anon_sym_boolean] = ACTIONS(2431),
    [anon_sym_string] = ACTIONS(2431),
    [anon_sym_symbol] = ACTIONS(2431),
    [anon_sym_object] = ACTIONS(2431),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(211),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [840] = {
    [sym_comment] = STATE(840),
    [aux_sym_object_repeat1] = STATE(6333),
    [aux_sym_object_pattern_repeat1] = STATE(6171),
    [sym_identifier] = ACTIONS(2419),
    [anon_sym_export] = ACTIONS(2419),
    [anon_sym_STAR] = ACTIONS(2419),
    [anon_sym_type] = ACTIONS(2419),
    [anon_sym_EQ] = ACTIONS(1016),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2419),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_RBRACE] = ACTIONS(1022),
    [anon_sym_let] = ACTIONS(2419),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2693),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1024),
    [anon_sym_LBRACK] = ACTIONS(2419),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(2419),
    [anon_sym_SQUOTE] = ACTIONS(2419),
    [anon_sym_async] = ACTIONS(2419),
    [anon_sym_EQ_GT] = ACTIONS(1035),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(2419),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2693),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [sym_number] = ACTIONS(2419),
    [sym_private_property_identifier] = ACTIONS(2419),
    [anon_sym_static] = ACTIONS(2419),
    [anon_sym_readonly] = ACTIONS(2419),
    [anon_sym_get] = ACTIONS(2419),
    [anon_sym_set] = ACTIONS(2419),
    [anon_sym_QMARK] = ACTIONS(1043),
    [anon_sym_declare] = ACTIONS(2419),
    [anon_sym_public] = ACTIONS(2419),
    [anon_sym_private] = ACTIONS(2419),
    [anon_sym_protected] = ACTIONS(2419),
    [anon_sym_override] = ACTIONS(2419),
    [anon_sym_module] = ACTIONS(2419),
    [anon_sym_any] = ACTIONS(2419),
    [anon_sym_number] = ACTIONS(2419),
    [anon_sym_boolean] = ACTIONS(2419),
    [anon_sym_string] = ACTIONS(2419),
    [anon_sym_symbol] = ACTIONS(2419),
    [anon_sym_object] = ACTIONS(2419),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(211),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [841] = {
    [sym_declaration] = STATE(1232),
    [sym_variable_declaration] = STATE(1220),
    [sym_lexical_declaration] = STATE(1220),
    [sym_class_declaration] = STATE(1220),
    [sym_function_declaration] = STATE(1220),
    [sym_generator_function_declaration] = STATE(1220),
    [sym_comment] = STATE(841),
    [sym_decorator] = STATE(5700),
    [sym_function_signature] = STATE(1220),
    [sym_ambient_declaration] = STATE(1220),
    [sym_abstract_class_declaration] = STATE(1220),
    [sym_module] = STATE(1220),
    [sym_internal_module] = STATE(1224),
    [sym_import_alias] = STATE(1220),
    [sym_interface_declaration] = STATE(1220),
    [sym_enum_declaration] = STATE(1220),
    [sym_type_alias_declaration] = STATE(1220),
    [aux_sym_export_statement_repeat1] = STATE(5213),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(2928),
    [anon_sym_EQ] = ACTIONS(1232),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2754),
    [anon_sym_import] = ACTIONS(2756),
    [anon_sym_var] = ACTIONS(2758),
    [anon_sym_let] = ACTIONS(2760),
    [anon_sym_const] = ACTIONS(2762),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(211),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(211),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(211),
    [anon_sym_class] = ACTIONS(2766),
    [anon_sym_async] = ACTIONS(2768),
    [anon_sym_function] = ACTIONS(2770),
    [anon_sym_EQ_GT] = ACTIONS(2934),
    [anon_sym_QMARK_DOT] = ACTIONS(211),
    [anon_sym_PLUS_EQ] = ACTIONS(2691),
    [anon_sym_DASH_EQ] = ACTIONS(2691),
    [anon_sym_STAR_EQ] = ACTIONS(2691),
    [anon_sym_SLASH_EQ] = ACTIONS(2691),
    [anon_sym_PERCENT_EQ] = ACTIONS(2691),
    [anon_sym_CARET_EQ] = ACTIONS(2691),
    [anon_sym_AMP_EQ] = ACTIONS(2691),
    [anon_sym_PIPE_EQ] = ACTIONS(2691),
    [anon_sym_GT_GT_EQ] = ACTIONS(2691),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(2691),
    [anon_sym_LT_LT_EQ] = ACTIONS(2691),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2691),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2691),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2691),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2691),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(211),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(211),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(211),
    [anon_sym_GT_EQ] = ACTIONS(211),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(211),
    [anon_sym_PLUS_PLUS] = ACTIONS(211),
    [anon_sym_DASH_DASH] = ACTIONS(211),
    [aux_sym_comment_token1] = ACTIONS(2696),
    [anon_sym_BQUOTE] = ACTIONS(211),
    [anon_sym_AT] = ACTIONS(2698),
    [anon_sym_declare] = ACTIONS(2772),
    [anon_sym_module] = ACTIONS(2930),
    [anon_sym_abstract] = ACTIONS(2776),
    [anon_sym_satisfies] = ACTIONS(211),
    [anon_sym_global] = ACTIONS(2932),
    [anon_sym_interface] = ACTIONS(2778),
    [anon_sym_enum] = ACTIONS(2780),
    [sym__automatic_semicolon] = ACTIONS(211),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [842] = {
    [sym_declaration] = STATE(1358),
    [sym_variable_declaration] = STATE(1382),
    [sym_lexical_declaration] = STATE(1382),
    [sym_class_declaration] = STATE(1382),
    [sym_function_declaration] = STATE(1382),
    [sym_generator_function_declaration] = STATE(1382),
    [sym_comment] = STATE(842),
    [sym_decorator] = STATE(5700),
    [sym_function_signature] = STATE(1382),
    [sym_ambient_declaration] = STATE(1382),
    [sym_abstract_class_declaration] = STATE(1382),
    [sym_module] = STATE(1382),
    [sym_internal_module] = STATE(1379),
    [sym_import_alias] = STATE(1382),
    [sym_interface_declaration] = STATE(1382),
    [sym_enum_declaration] = STATE(1382),
    [sym_type_alias_declaration] = STATE(1382),
    [aux_sym_export_statement_repeat1] = STATE(5403),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(2910),
    [anon_sym_EQ] = ACTIONS(1232),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2868),
    [anon_sym_import] = ACTIONS(2870),
    [anon_sym_var] = ACTIONS(2872),
    [anon_sym_let] = ACTIONS(2874),
    [anon_sym_const] = ACTIONS(2876),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(211),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(211),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(211),
    [anon_sym_class] = ACTIONS(2880),
    [anon_sym_async] = ACTIONS(2882),
    [anon_sym_function] = ACTIONS(2884),
    [anon_sym_EQ_GT] = ACTIONS(2934),
    [anon_sym_QMARK_DOT] = ACTIONS(211),
    [anon_sym_PLUS_EQ] = ACTIONS(2691),
    [anon_sym_DASH_EQ] = ACTIONS(2691),
    [anon_sym_STAR_EQ] = ACTIONS(2691),
    [anon_sym_SLASH_EQ] = ACTIONS(2691),
    [anon_sym_PERCENT_EQ] = ACTIONS(2691),
    [anon_sym_CARET_EQ] = ACTIONS(2691),
    [anon_sym_AMP_EQ] = ACTIONS(2691),
    [anon_sym_PIPE_EQ] = ACTIONS(2691),
    [anon_sym_GT_GT_EQ] = ACTIONS(2691),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(2691),
    [anon_sym_LT_LT_EQ] = ACTIONS(2691),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2691),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2691),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2691),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2691),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(211),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(211),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(211),
    [anon_sym_GT_EQ] = ACTIONS(211),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(211),
    [anon_sym_PLUS_PLUS] = ACTIONS(211),
    [anon_sym_DASH_DASH] = ACTIONS(211),
    [aux_sym_comment_token1] = ACTIONS(2696),
    [anon_sym_BQUOTE] = ACTIONS(211),
    [anon_sym_AT] = ACTIONS(2698),
    [anon_sym_declare] = ACTIONS(2886),
    [anon_sym_module] = ACTIONS(2912),
    [anon_sym_abstract] = ACTIONS(2890),
    [anon_sym_satisfies] = ACTIONS(211),
    [anon_sym_global] = ACTIONS(2914),
    [anon_sym_interface] = ACTIONS(2892),
    [anon_sym_enum] = ACTIONS(2894),
    [sym__automatic_semicolon] = ACTIONS(211),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [843] = {
    [sym_comment] = STATE(843),
    [aux_sym_object_repeat1] = STATE(6333),
    [aux_sym_object_pattern_repeat1] = STATE(6171),
    [sym_identifier] = ACTIONS(2431),
    [anon_sym_export] = ACTIONS(2431),
    [anon_sym_STAR] = ACTIONS(2431),
    [anon_sym_type] = ACTIONS(2431),
    [anon_sym_EQ] = ACTIONS(1016),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2431),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_RBRACE] = ACTIONS(1053),
    [anon_sym_let] = ACTIONS(2431),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2693),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1024),
    [anon_sym_LBRACK] = ACTIONS(2431),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(2431),
    [anon_sym_SQUOTE] = ACTIONS(2431),
    [anon_sym_async] = ACTIONS(2431),
    [anon_sym_EQ_GT] = ACTIONS(1035),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(2431),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2693),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [sym_number] = ACTIONS(2431),
    [sym_private_property_identifier] = ACTIONS(2431),
    [anon_sym_static] = ACTIONS(2431),
    [anon_sym_readonly] = ACTIONS(2431),
    [anon_sym_get] = ACTIONS(2431),
    [anon_sym_set] = ACTIONS(2431),
    [anon_sym_QMARK] = ACTIONS(1043),
    [anon_sym_declare] = ACTIONS(2431),
    [anon_sym_public] = ACTIONS(2431),
    [anon_sym_private] = ACTIONS(2431),
    [anon_sym_protected] = ACTIONS(2431),
    [anon_sym_override] = ACTIONS(2431),
    [anon_sym_module] = ACTIONS(2431),
    [anon_sym_any] = ACTIONS(2431),
    [anon_sym_number] = ACTIONS(2431),
    [anon_sym_boolean] = ACTIONS(2431),
    [anon_sym_string] = ACTIONS(2431),
    [anon_sym_symbol] = ACTIONS(2431),
    [anon_sym_object] = ACTIONS(2431),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(211),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [844] = {
    [sym_declaration] = STATE(5248),
    [sym_variable_declaration] = STATE(5192),
    [sym_lexical_declaration] = STATE(5192),
    [sym_class_declaration] = STATE(5192),
    [sym_function_declaration] = STATE(5192),
    [sym_generator_function_declaration] = STATE(5192),
    [sym_comment] = STATE(844),
    [sym_decorator] = STATE(5700),
    [sym_function_signature] = STATE(5192),
    [sym_ambient_declaration] = STATE(5192),
    [sym_abstract_class_declaration] = STATE(5192),
    [sym_module] = STATE(5192),
    [sym_internal_module] = STATE(5206),
    [sym_import_alias] = STATE(5192),
    [sym_interface_declaration] = STATE(5192),
    [sym_enum_declaration] = STATE(5192),
    [sym_type_alias_declaration] = STATE(5192),
    [aux_sym_export_statement_repeat1] = STATE(5375),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(2936),
    [anon_sym_EQ] = ACTIONS(1232),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2938),
    [anon_sym_import] = ACTIONS(2940),
    [anon_sym_var] = ACTIONS(2942),
    [anon_sym_let] = ACTIONS(2944),
    [anon_sym_const] = ACTIONS(2946),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(211),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(211),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(211),
    [anon_sym_class] = ACTIONS(2948),
    [anon_sym_async] = ACTIONS(2950),
    [anon_sym_function] = ACTIONS(2952),
    [anon_sym_EQ_GT] = ACTIONS(2934),
    [anon_sym_QMARK_DOT] = ACTIONS(211),
    [anon_sym_PLUS_EQ] = ACTIONS(2691),
    [anon_sym_DASH_EQ] = ACTIONS(2691),
    [anon_sym_STAR_EQ] = ACTIONS(2691),
    [anon_sym_SLASH_EQ] = ACTIONS(2691),
    [anon_sym_PERCENT_EQ] = ACTIONS(2691),
    [anon_sym_CARET_EQ] = ACTIONS(2691),
    [anon_sym_AMP_EQ] = ACTIONS(2691),
    [anon_sym_PIPE_EQ] = ACTIONS(2691),
    [anon_sym_GT_GT_EQ] = ACTIONS(2691),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(2691),
    [anon_sym_LT_LT_EQ] = ACTIONS(2691),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2691),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2691),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2691),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2691),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(211),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(211),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(211),
    [anon_sym_GT_EQ] = ACTIONS(211),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(211),
    [anon_sym_PLUS_PLUS] = ACTIONS(211),
    [anon_sym_DASH_DASH] = ACTIONS(211),
    [aux_sym_comment_token1] = ACTIONS(2696),
    [anon_sym_BQUOTE] = ACTIONS(211),
    [anon_sym_AT] = ACTIONS(2698),
    [anon_sym_declare] = ACTIONS(2954),
    [anon_sym_module] = ACTIONS(2956),
    [anon_sym_abstract] = ACTIONS(2958),
    [anon_sym_satisfies] = ACTIONS(211),
    [anon_sym_global] = ACTIONS(2960),
    [anon_sym_interface] = ACTIONS(2962),
    [anon_sym_enum] = ACTIONS(2964),
    [sym__automatic_semicolon] = ACTIONS(211),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [845] = {
    [sym_declaration] = STATE(1094),
    [sym_variable_declaration] = STATE(1105),
    [sym_lexical_declaration] = STATE(1105),
    [sym_class_declaration] = STATE(1105),
    [sym_function_declaration] = STATE(1105),
    [sym_generator_function_declaration] = STATE(1105),
    [sym_comment] = STATE(845),
    [sym_decorator] = STATE(5700),
    [sym_function_signature] = STATE(1105),
    [sym_ambient_declaration] = STATE(1105),
    [sym_abstract_class_declaration] = STATE(1105),
    [sym_module] = STATE(1105),
    [sym_internal_module] = STATE(1102),
    [sym_import_alias] = STATE(1105),
    [sym_interface_declaration] = STATE(1105),
    [sym_enum_declaration] = STATE(1105),
    [sym_type_alias_declaration] = STATE(1105),
    [aux_sym_export_statement_repeat1] = STATE(5341),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(2916),
    [anon_sym_EQ] = ACTIONS(1232),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2830),
    [anon_sym_import] = ACTIONS(2832),
    [anon_sym_var] = ACTIONS(2834),
    [anon_sym_let] = ACTIONS(2836),
    [anon_sym_const] = ACTIONS(2838),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(211),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(211),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(211),
    [anon_sym_class] = ACTIONS(2842),
    [anon_sym_async] = ACTIONS(2844),
    [anon_sym_function] = ACTIONS(2846),
    [anon_sym_EQ_GT] = ACTIONS(2934),
    [anon_sym_QMARK_DOT] = ACTIONS(211),
    [anon_sym_PLUS_EQ] = ACTIONS(2691),
    [anon_sym_DASH_EQ] = ACTIONS(2691),
    [anon_sym_STAR_EQ] = ACTIONS(2691),
    [anon_sym_SLASH_EQ] = ACTIONS(2691),
    [anon_sym_PERCENT_EQ] = ACTIONS(2691),
    [anon_sym_CARET_EQ] = ACTIONS(2691),
    [anon_sym_AMP_EQ] = ACTIONS(2691),
    [anon_sym_PIPE_EQ] = ACTIONS(2691),
    [anon_sym_GT_GT_EQ] = ACTIONS(2691),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(2691),
    [anon_sym_LT_LT_EQ] = ACTIONS(2691),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2691),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2691),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2691),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2691),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(211),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(211),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(211),
    [anon_sym_GT_EQ] = ACTIONS(211),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(211),
    [anon_sym_PLUS_PLUS] = ACTIONS(211),
    [anon_sym_DASH_DASH] = ACTIONS(211),
    [aux_sym_comment_token1] = ACTIONS(2696),
    [anon_sym_BQUOTE] = ACTIONS(211),
    [anon_sym_AT] = ACTIONS(2698),
    [anon_sym_declare] = ACTIONS(2848),
    [anon_sym_module] = ACTIONS(2918),
    [anon_sym_abstract] = ACTIONS(2852),
    [anon_sym_satisfies] = ACTIONS(211),
    [anon_sym_global] = ACTIONS(2920),
    [anon_sym_interface] = ACTIONS(2854),
    [anon_sym_enum] = ACTIONS(2856),
    [sym__automatic_semicolon] = ACTIONS(211),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [846] = {
    [sym_comment] = STATE(846),
    [aux_sym_object_repeat1] = STATE(6165),
    [aux_sym_object_pattern_repeat1] = STATE(6171),
    [sym_identifier] = ACTIONS(2431),
    [anon_sym_export] = ACTIONS(2431),
    [anon_sym_STAR] = ACTIONS(2431),
    [anon_sym_type] = ACTIONS(2431),
    [anon_sym_EQ] = ACTIONS(1016),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2431),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_RBRACE] = ACTIONS(1051),
    [anon_sym_let] = ACTIONS(2431),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2693),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1024),
    [anon_sym_LBRACK] = ACTIONS(2431),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(2431),
    [anon_sym_SQUOTE] = ACTIONS(2431),
    [anon_sym_async] = ACTIONS(2431),
    [anon_sym_EQ_GT] = ACTIONS(1035),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(2431),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2693),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [sym_number] = ACTIONS(2431),
    [sym_private_property_identifier] = ACTIONS(2431),
    [anon_sym_static] = ACTIONS(2431),
    [anon_sym_readonly] = ACTIONS(2431),
    [anon_sym_get] = ACTIONS(2431),
    [anon_sym_set] = ACTIONS(2431),
    [anon_sym_QMARK] = ACTIONS(1043),
    [anon_sym_declare] = ACTIONS(2431),
    [anon_sym_public] = ACTIONS(2431),
    [anon_sym_private] = ACTIONS(2431),
    [anon_sym_protected] = ACTIONS(2431),
    [anon_sym_override] = ACTIONS(2431),
    [anon_sym_module] = ACTIONS(2431),
    [anon_sym_any] = ACTIONS(2431),
    [anon_sym_number] = ACTIONS(2431),
    [anon_sym_boolean] = ACTIONS(2431),
    [anon_sym_string] = ACTIONS(2431),
    [anon_sym_symbol] = ACTIONS(2431),
    [anon_sym_object] = ACTIONS(2431),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(211),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [847] = {
    [sym__call_signature] = STATE(7253),
    [sym_comment] = STATE(847),
    [sym_formal_parameters] = STATE(4790),
    [sym_type_parameters] = STATE(6683),
    [sym_identifier] = ACTIONS(2966),
    [anon_sym_export] = ACTIONS(2968),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(2968),
    [anon_sym_EQ] = ACTIONS(1117),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2968),
    [anon_sym_COMMA] = ACTIONS(1119),
    [anon_sym_RBRACE] = ACTIONS(1119),
    [anon_sym_let] = ACTIONS(2968),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2970),
    [anon_sym_RPAREN] = ACTIONS(1119),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1119),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_RBRACK] = ACTIONS(1119),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(2968),
    [anon_sym_function] = ACTIONS(2973),
    [anon_sym_EQ_GT] = ACTIONS(153),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(2968),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2975),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_static] = ACTIONS(2968),
    [anon_sym_readonly] = ACTIONS(2968),
    [anon_sym_get] = ACTIONS(2968),
    [anon_sym_set] = ACTIONS(2968),
    [anon_sym_QMARK] = ACTIONS(1119),
    [anon_sym_declare] = ACTIONS(2968),
    [anon_sym_public] = ACTIONS(2968),
    [anon_sym_private] = ACTIONS(2968),
    [anon_sym_protected] = ACTIONS(2968),
    [anon_sym_override] = ACTIONS(2968),
    [anon_sym_module] = ACTIONS(2968),
    [anon_sym_any] = ACTIONS(2968),
    [anon_sym_number] = ACTIONS(2968),
    [anon_sym_boolean] = ACTIONS(2968),
    [anon_sym_string] = ACTIONS(2968),
    [anon_sym_symbol] = ACTIONS(2968),
    [anon_sym_object] = ACTIONS(2968),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [848] = {
    [sym__call_signature] = STATE(7253),
    [sym_comment] = STATE(848),
    [sym_formal_parameters] = STATE(4790),
    [sym_type_parameters] = STATE(6683),
    [sym_identifier] = ACTIONS(2966),
    [anon_sym_export] = ACTIONS(2968),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(2968),
    [anon_sym_EQ] = ACTIONS(115),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2968),
    [anon_sym_COMMA] = ACTIONS(124),
    [anon_sym_RBRACE] = ACTIONS(124),
    [anon_sym_let] = ACTIONS(2968),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2970),
    [anon_sym_RPAREN] = ACTIONS(124),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(124),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_RBRACK] = ACTIONS(124),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(2968),
    [anon_sym_function] = ACTIONS(2973),
    [anon_sym_EQ_GT] = ACTIONS(153),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(2968),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2975),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_static] = ACTIONS(2968),
    [anon_sym_readonly] = ACTIONS(2968),
    [anon_sym_get] = ACTIONS(2968),
    [anon_sym_set] = ACTIONS(2968),
    [anon_sym_QMARK] = ACTIONS(124),
    [anon_sym_declare] = ACTIONS(2968),
    [anon_sym_public] = ACTIONS(2968),
    [anon_sym_private] = ACTIONS(2968),
    [anon_sym_protected] = ACTIONS(2968),
    [anon_sym_override] = ACTIONS(2968),
    [anon_sym_module] = ACTIONS(2968),
    [anon_sym_any] = ACTIONS(2968),
    [anon_sym_number] = ACTIONS(2968),
    [anon_sym_boolean] = ACTIONS(2968),
    [anon_sym_string] = ACTIONS(2968),
    [anon_sym_symbol] = ACTIONS(2968),
    [anon_sym_object] = ACTIONS(2968),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [849] = {
    [sym__call_signature] = STATE(7520),
    [sym_comment] = STATE(849),
    [sym_formal_parameters] = STATE(4790),
    [sym_type_parameters] = STATE(6683),
    [sym_identifier] = ACTIONS(2978),
    [anon_sym_export] = ACTIONS(2980),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(2980),
    [anon_sym_EQ] = ACTIONS(213),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2980),
    [anon_sym_COMMA] = ACTIONS(216),
    [anon_sym_RBRACE] = ACTIONS(216),
    [anon_sym_let] = ACTIONS(2980),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2970),
    [anon_sym_RPAREN] = ACTIONS(216),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(216),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_RBRACK] = ACTIONS(216),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(2980),
    [anon_sym_function] = ACTIONS(2973),
    [anon_sym_EQ_GT] = ACTIONS(219),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(2980),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2975),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_static] = ACTIONS(2980),
    [anon_sym_readonly] = ACTIONS(2980),
    [anon_sym_get] = ACTIONS(2980),
    [anon_sym_set] = ACTIONS(2980),
    [anon_sym_QMARK] = ACTIONS(124),
    [anon_sym_declare] = ACTIONS(2980),
    [anon_sym_public] = ACTIONS(2980),
    [anon_sym_private] = ACTIONS(2980),
    [anon_sym_protected] = ACTIONS(2980),
    [anon_sym_override] = ACTIONS(2980),
    [anon_sym_module] = ACTIONS(2980),
    [anon_sym_any] = ACTIONS(2980),
    [anon_sym_number] = ACTIONS(2980),
    [anon_sym_boolean] = ACTIONS(2980),
    [anon_sym_string] = ACTIONS(2980),
    [anon_sym_symbol] = ACTIONS(2980),
    [anon_sym_object] = ACTIONS(2980),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [850] = {
    [sym__call_signature] = STATE(7520),
    [sym_comment] = STATE(850),
    [sym_formal_parameters] = STATE(4790),
    [sym_type_parameters] = STATE(6683),
    [sym_identifier] = ACTIONS(2978),
    [anon_sym_export] = ACTIONS(2980),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(2980),
    [anon_sym_EQ] = ACTIONS(1135),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2980),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_RBRACE] = ACTIONS(118),
    [anon_sym_let] = ACTIONS(2980),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2970),
    [anon_sym_RPAREN] = ACTIONS(118),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_RBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(2980),
    [anon_sym_function] = ACTIONS(2973),
    [anon_sym_EQ_GT] = ACTIONS(219),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(2980),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2975),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_static] = ACTIONS(2980),
    [anon_sym_readonly] = ACTIONS(2980),
    [anon_sym_get] = ACTIONS(2980),
    [anon_sym_set] = ACTIONS(2980),
    [anon_sym_declare] = ACTIONS(2980),
    [anon_sym_public] = ACTIONS(2980),
    [anon_sym_private] = ACTIONS(2980),
    [anon_sym_protected] = ACTIONS(2980),
    [anon_sym_override] = ACTIONS(2980),
    [anon_sym_module] = ACTIONS(2980),
    [anon_sym_any] = ACTIONS(2980),
    [anon_sym_number] = ACTIONS(2980),
    [anon_sym_boolean] = ACTIONS(2980),
    [anon_sym_string] = ACTIONS(2980),
    [anon_sym_symbol] = ACTIONS(2980),
    [anon_sym_object] = ACTIONS(2980),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [851] = {
    [sym__call_signature] = STATE(7520),
    [sym_comment] = STATE(851),
    [sym_formal_parameters] = STATE(4790),
    [sym_type_parameters] = STATE(6683),
    [sym_identifier] = ACTIONS(2978),
    [anon_sym_export] = ACTIONS(2980),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(2980),
    [anon_sym_EQ] = ACTIONS(1117),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2980),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_RBRACE] = ACTIONS(118),
    [anon_sym_let] = ACTIONS(2980),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2970),
    [anon_sym_RPAREN] = ACTIONS(118),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_RBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(2980),
    [anon_sym_function] = ACTIONS(2973),
    [anon_sym_EQ_GT] = ACTIONS(219),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(2980),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2975),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_static] = ACTIONS(2980),
    [anon_sym_readonly] = ACTIONS(2980),
    [anon_sym_get] = ACTIONS(2980),
    [anon_sym_set] = ACTIONS(2980),
    [anon_sym_declare] = ACTIONS(2980),
    [anon_sym_public] = ACTIONS(2980),
    [anon_sym_private] = ACTIONS(2980),
    [anon_sym_protected] = ACTIONS(2980),
    [anon_sym_override] = ACTIONS(2980),
    [anon_sym_module] = ACTIONS(2980),
    [anon_sym_any] = ACTIONS(2980),
    [anon_sym_number] = ACTIONS(2980),
    [anon_sym_boolean] = ACTIONS(2980),
    [anon_sym_string] = ACTIONS(2980),
    [anon_sym_symbol] = ACTIONS(2980),
    [anon_sym_object] = ACTIONS(2980),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [852] = {
    [sym__call_signature] = STATE(7204),
    [sym_comment] = STATE(852),
    [sym_formal_parameters] = STATE(4790),
    [sym_type_parameters] = STATE(6683),
    [sym_identifier] = ACTIONS(2982),
    [anon_sym_export] = ACTIONS(2984),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(2984),
    [anon_sym_EQ] = ACTIONS(1167),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2984),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_let] = ACTIONS(2984),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2970),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1201),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(2984),
    [anon_sym_function] = ACTIONS(2986),
    [anon_sym_EQ_GT] = ACTIONS(1035),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(2984),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2975),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_static] = ACTIONS(2984),
    [anon_sym_readonly] = ACTIONS(2984),
    [anon_sym_get] = ACTIONS(2984),
    [anon_sym_set] = ACTIONS(2984),
    [anon_sym_declare] = ACTIONS(2984),
    [anon_sym_public] = ACTIONS(2984),
    [anon_sym_private] = ACTIONS(2984),
    [anon_sym_protected] = ACTIONS(2984),
    [anon_sym_override] = ACTIONS(2984),
    [anon_sym_module] = ACTIONS(2984),
    [anon_sym_any] = ACTIONS(2984),
    [anon_sym_number] = ACTIONS(2984),
    [anon_sym_boolean] = ACTIONS(2984),
    [anon_sym_string] = ACTIONS(2984),
    [anon_sym_symbol] = ACTIONS(2984),
    [anon_sym_object] = ACTIONS(2984),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(211),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [853] = {
    [sym__call_signature] = STATE(7204),
    [sym_comment] = STATE(853),
    [sym_formal_parameters] = STATE(4790),
    [sym_type_parameters] = STATE(6683),
    [sym_identifier] = ACTIONS(2982),
    [anon_sym_export] = ACTIONS(2984),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(2984),
    [anon_sym_EQ] = ACTIONS(1167),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2984),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_let] = ACTIONS(2984),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2970),
    [anon_sym_in] = ACTIONS(1203),
    [anon_sym_of] = ACTIONS(1206),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(2984),
    [anon_sym_function] = ACTIONS(2988),
    [anon_sym_EQ_GT] = ACTIONS(1035),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(2984),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2975),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_static] = ACTIONS(2984),
    [anon_sym_readonly] = ACTIONS(2984),
    [anon_sym_get] = ACTIONS(2984),
    [anon_sym_set] = ACTIONS(2984),
    [anon_sym_declare] = ACTIONS(2984),
    [anon_sym_public] = ACTIONS(2984),
    [anon_sym_private] = ACTIONS(2984),
    [anon_sym_protected] = ACTIONS(2984),
    [anon_sym_override] = ACTIONS(2984),
    [anon_sym_module] = ACTIONS(2984),
    [anon_sym_any] = ACTIONS(2984),
    [anon_sym_number] = ACTIONS(2984),
    [anon_sym_boolean] = ACTIONS(2984),
    [anon_sym_string] = ACTIONS(2984),
    [anon_sym_symbol] = ACTIONS(2984),
    [anon_sym_object] = ACTIONS(2984),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(211),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [854] = {
    [sym__call_signature] = STATE(7258),
    [sym_comment] = STATE(854),
    [sym_formal_parameters] = STATE(4790),
    [sym_type_parameters] = STATE(6683),
    [sym_identifier] = ACTIONS(2990),
    [anon_sym_export] = ACTIONS(2992),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(2992),
    [anon_sym_EQ] = ACTIONS(1117),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2992),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_let] = ACTIONS(2992),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2970),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_of] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(2992),
    [anon_sym_function] = ACTIONS(2988),
    [anon_sym_EQ_GT] = ACTIONS(1191),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(2992),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2975),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_static] = ACTIONS(2992),
    [anon_sym_readonly] = ACTIONS(2992),
    [anon_sym_get] = ACTIONS(2992),
    [anon_sym_set] = ACTIONS(2992),
    [anon_sym_declare] = ACTIONS(2992),
    [anon_sym_public] = ACTIONS(2992),
    [anon_sym_private] = ACTIONS(2992),
    [anon_sym_protected] = ACTIONS(2992),
    [anon_sym_override] = ACTIONS(2992),
    [anon_sym_module] = ACTIONS(2992),
    [anon_sym_any] = ACTIONS(2992),
    [anon_sym_number] = ACTIONS(2992),
    [anon_sym_boolean] = ACTIONS(2992),
    [anon_sym_string] = ACTIONS(2992),
    [anon_sym_symbol] = ACTIONS(2992),
    [anon_sym_object] = ACTIONS(2992),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(211),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [855] = {
    [sym__call_signature] = STATE(7204),
    [sym_comment] = STATE(855),
    [sym_formal_parameters] = STATE(4790),
    [sym_type_parameters] = STATE(6683),
    [sym_identifier] = ACTIONS(2982),
    [anon_sym_export] = ACTIONS(2984),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(2984),
    [anon_sym_EQ] = ACTIONS(1167),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2984),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_let] = ACTIONS(2984),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2970),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1199),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(2984),
    [anon_sym_function] = ACTIONS(2994),
    [anon_sym_EQ_GT] = ACTIONS(1035),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(2984),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2975),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_static] = ACTIONS(2984),
    [anon_sym_readonly] = ACTIONS(2984),
    [anon_sym_get] = ACTIONS(2984),
    [anon_sym_set] = ACTIONS(2984),
    [anon_sym_declare] = ACTIONS(2984),
    [anon_sym_public] = ACTIONS(2984),
    [anon_sym_private] = ACTIONS(2984),
    [anon_sym_protected] = ACTIONS(2984),
    [anon_sym_override] = ACTIONS(2984),
    [anon_sym_module] = ACTIONS(2984),
    [anon_sym_any] = ACTIONS(2984),
    [anon_sym_number] = ACTIONS(2984),
    [anon_sym_boolean] = ACTIONS(2984),
    [anon_sym_string] = ACTIONS(2984),
    [anon_sym_symbol] = ACTIONS(2984),
    [anon_sym_object] = ACTIONS(2984),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(211),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [856] = {
    [sym__call_signature] = STATE(7520),
    [sym_comment] = STATE(856),
    [sym_formal_parameters] = STATE(4790),
    [sym_type_parameters] = STATE(6683),
    [sym_identifier] = ACTIONS(2978),
    [anon_sym_export] = ACTIONS(2980),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(2980),
    [anon_sym_EQ] = ACTIONS(1135),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2980),
    [anon_sym_COMMA] = ACTIONS(1208),
    [anon_sym_RBRACE] = ACTIONS(1208),
    [anon_sym_let] = ACTIONS(2980),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2970),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1119),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_RBRACK] = ACTIONS(1208),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(2980),
    [anon_sym_function] = ACTIONS(2973),
    [anon_sym_EQ_GT] = ACTIONS(219),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(2980),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2975),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_static] = ACTIONS(2980),
    [anon_sym_readonly] = ACTIONS(2980),
    [anon_sym_get] = ACTIONS(2980),
    [anon_sym_set] = ACTIONS(2980),
    [anon_sym_declare] = ACTIONS(2980),
    [anon_sym_public] = ACTIONS(2980),
    [anon_sym_private] = ACTIONS(2980),
    [anon_sym_protected] = ACTIONS(2980),
    [anon_sym_override] = ACTIONS(2980),
    [anon_sym_module] = ACTIONS(2980),
    [anon_sym_any] = ACTIONS(2980),
    [anon_sym_number] = ACTIONS(2980),
    [anon_sym_boolean] = ACTIONS(2980),
    [anon_sym_string] = ACTIONS(2980),
    [anon_sym_symbol] = ACTIONS(2980),
    [anon_sym_object] = ACTIONS(2980),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [857] = {
    [sym__call_signature] = STATE(7204),
    [sym_comment] = STATE(857),
    [sym_formal_parameters] = STATE(4790),
    [sym_type_parameters] = STATE(6683),
    [sym_identifier] = ACTIONS(2982),
    [anon_sym_export] = ACTIONS(2984),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(2984),
    [anon_sym_EQ] = ACTIONS(1167),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2984),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_let] = ACTIONS(2984),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2970),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1177),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(2984),
    [anon_sym_function] = ACTIONS(2996),
    [anon_sym_EQ_GT] = ACTIONS(1035),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(2984),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2975),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_static] = ACTIONS(2984),
    [anon_sym_readonly] = ACTIONS(2984),
    [anon_sym_get] = ACTIONS(2984),
    [anon_sym_set] = ACTIONS(2984),
    [anon_sym_declare] = ACTIONS(2984),
    [anon_sym_public] = ACTIONS(2984),
    [anon_sym_private] = ACTIONS(2984),
    [anon_sym_protected] = ACTIONS(2984),
    [anon_sym_override] = ACTIONS(2984),
    [anon_sym_module] = ACTIONS(2984),
    [anon_sym_any] = ACTIONS(2984),
    [anon_sym_number] = ACTIONS(2984),
    [anon_sym_boolean] = ACTIONS(2984),
    [anon_sym_string] = ACTIONS(2984),
    [anon_sym_symbol] = ACTIONS(2984),
    [anon_sym_object] = ACTIONS(2984),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(211),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [858] = {
    [sym__call_signature] = STATE(7258),
    [sym_comment] = STATE(858),
    [sym_formal_parameters] = STATE(4790),
    [sym_type_parameters] = STATE(6683),
    [sym_identifier] = ACTIONS(2990),
    [anon_sym_export] = ACTIONS(2992),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(2992),
    [anon_sym_EQ] = ACTIONS(1185),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2992),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_let] = ACTIONS(2992),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2970),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_of] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(2992),
    [anon_sym_function] = ACTIONS(2988),
    [anon_sym_EQ_GT] = ACTIONS(1191),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(2992),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2975),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_static] = ACTIONS(2992),
    [anon_sym_readonly] = ACTIONS(2992),
    [anon_sym_get] = ACTIONS(2992),
    [anon_sym_set] = ACTIONS(2992),
    [anon_sym_declare] = ACTIONS(2992),
    [anon_sym_public] = ACTIONS(2992),
    [anon_sym_private] = ACTIONS(2992),
    [anon_sym_protected] = ACTIONS(2992),
    [anon_sym_override] = ACTIONS(2992),
    [anon_sym_module] = ACTIONS(2992),
    [anon_sym_any] = ACTIONS(2992),
    [anon_sym_number] = ACTIONS(2992),
    [anon_sym_boolean] = ACTIONS(2992),
    [anon_sym_string] = ACTIONS(2992),
    [anon_sym_symbol] = ACTIONS(2992),
    [anon_sym_object] = ACTIONS(2992),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(211),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [859] = {
    [sym__call_signature] = STATE(7204),
    [sym_comment] = STATE(859),
    [sym_formal_parameters] = STATE(4790),
    [sym_type_parameters] = STATE(6683),
    [sym_identifier] = ACTIONS(2982),
    [anon_sym_export] = ACTIONS(2984),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(2984),
    [anon_sym_EQ] = ACTIONS(1167),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2984),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_let] = ACTIONS(2984),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2970),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1179),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(2984),
    [anon_sym_function] = ACTIONS(2998),
    [anon_sym_EQ_GT] = ACTIONS(1035),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(2984),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2975),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_static] = ACTIONS(2984),
    [anon_sym_readonly] = ACTIONS(2984),
    [anon_sym_get] = ACTIONS(2984),
    [anon_sym_set] = ACTIONS(2984),
    [anon_sym_declare] = ACTIONS(2984),
    [anon_sym_public] = ACTIONS(2984),
    [anon_sym_private] = ACTIONS(2984),
    [anon_sym_protected] = ACTIONS(2984),
    [anon_sym_override] = ACTIONS(2984),
    [anon_sym_module] = ACTIONS(2984),
    [anon_sym_any] = ACTIONS(2984),
    [anon_sym_number] = ACTIONS(2984),
    [anon_sym_boolean] = ACTIONS(2984),
    [anon_sym_string] = ACTIONS(2984),
    [anon_sym_symbol] = ACTIONS(2984),
    [anon_sym_object] = ACTIONS(2984),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(211),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [860] = {
    [sym__call_signature] = STATE(7204),
    [sym_comment] = STATE(860),
    [sym_formal_parameters] = STATE(4790),
    [sym_type_parameters] = STATE(6683),
    [sym_identifier] = ACTIONS(2982),
    [anon_sym_export] = ACTIONS(2984),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(2984),
    [anon_sym_EQ] = ACTIONS(1167),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2984),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_RBRACE] = ACTIONS(118),
    [anon_sym_let] = ACTIONS(2984),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2970),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(2984),
    [anon_sym_function] = ACTIONS(2988),
    [anon_sym_EQ_GT] = ACTIONS(1035),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(2984),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2975),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_static] = ACTIONS(2984),
    [anon_sym_readonly] = ACTIONS(2984),
    [anon_sym_get] = ACTIONS(2984),
    [anon_sym_set] = ACTIONS(2984),
    [anon_sym_declare] = ACTIONS(2984),
    [anon_sym_public] = ACTIONS(2984),
    [anon_sym_private] = ACTIONS(2984),
    [anon_sym_protected] = ACTIONS(2984),
    [anon_sym_override] = ACTIONS(2984),
    [anon_sym_module] = ACTIONS(2984),
    [anon_sym_any] = ACTIONS(2984),
    [anon_sym_number] = ACTIONS(2984),
    [anon_sym_boolean] = ACTIONS(2984),
    [anon_sym_string] = ACTIONS(2984),
    [anon_sym_symbol] = ACTIONS(2984),
    [anon_sym_object] = ACTIONS(2984),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(211),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [861] = {
    [sym__call_signature] = STATE(7204),
    [sym_comment] = STATE(861),
    [sym_formal_parameters] = STATE(4790),
    [sym_type_parameters] = STATE(6683),
    [sym_identifier] = ACTIONS(2982),
    [anon_sym_export] = ACTIONS(2984),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(2984),
    [anon_sym_EQ] = ACTIONS(1167),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2984),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_let] = ACTIONS(2984),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2970),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1197),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(2984),
    [anon_sym_function] = ACTIONS(2728),
    [anon_sym_EQ_GT] = ACTIONS(1035),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(2984),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2975),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_static] = ACTIONS(2984),
    [anon_sym_readonly] = ACTIONS(2984),
    [anon_sym_get] = ACTIONS(2984),
    [anon_sym_set] = ACTIONS(2984),
    [anon_sym_declare] = ACTIONS(2984),
    [anon_sym_public] = ACTIONS(2984),
    [anon_sym_private] = ACTIONS(2984),
    [anon_sym_protected] = ACTIONS(2984),
    [anon_sym_override] = ACTIONS(2984),
    [anon_sym_module] = ACTIONS(2984),
    [anon_sym_any] = ACTIONS(2984),
    [anon_sym_number] = ACTIONS(2984),
    [anon_sym_boolean] = ACTIONS(2984),
    [anon_sym_string] = ACTIONS(2984),
    [anon_sym_symbol] = ACTIONS(2984),
    [anon_sym_object] = ACTIONS(2984),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(211),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [862] = {
    [sym__call_signature] = STATE(7204),
    [sym_comment] = STATE(862),
    [sym_formal_parameters] = STATE(4790),
    [sym_type_parameters] = STATE(6683),
    [sym_identifier] = ACTIONS(2982),
    [anon_sym_export] = ACTIONS(2984),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(2984),
    [anon_sym_EQ] = ACTIONS(1117),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2984),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_RBRACE] = ACTIONS(118),
    [anon_sym_let] = ACTIONS(2984),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2970),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(2984),
    [anon_sym_function] = ACTIONS(2988),
    [anon_sym_EQ_GT] = ACTIONS(1035),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(2984),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2975),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_static] = ACTIONS(2984),
    [anon_sym_readonly] = ACTIONS(2984),
    [anon_sym_get] = ACTIONS(2984),
    [anon_sym_set] = ACTIONS(2984),
    [anon_sym_declare] = ACTIONS(2984),
    [anon_sym_public] = ACTIONS(2984),
    [anon_sym_private] = ACTIONS(2984),
    [anon_sym_protected] = ACTIONS(2984),
    [anon_sym_override] = ACTIONS(2984),
    [anon_sym_module] = ACTIONS(2984),
    [anon_sym_any] = ACTIONS(2984),
    [anon_sym_number] = ACTIONS(2984),
    [anon_sym_boolean] = ACTIONS(2984),
    [anon_sym_string] = ACTIONS(2984),
    [anon_sym_symbol] = ACTIONS(2984),
    [anon_sym_object] = ACTIONS(2984),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(211),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [863] = {
    [sym__call_signature] = STATE(7621),
    [sym_comment] = STATE(863),
    [sym_formal_parameters] = STATE(4790),
    [sym_type_parameters] = STATE(6683),
    [sym_identifier] = ACTIONS(3000),
    [anon_sym_export] = ACTIONS(3002),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(3002),
    [anon_sym_EQ] = ACTIONS(1264),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(3002),
    [anon_sym_LBRACE] = ACTIONS(118),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_let] = ACTIONS(3002),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2970),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(3002),
    [anon_sym_function] = ACTIONS(2973),
    [anon_sym_EQ_GT] = ACTIONS(1270),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(3002),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2975),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_static] = ACTIONS(3002),
    [anon_sym_readonly] = ACTIONS(3002),
    [anon_sym_get] = ACTIONS(3002),
    [anon_sym_set] = ACTIONS(3002),
    [anon_sym_declare] = ACTIONS(3002),
    [anon_sym_public] = ACTIONS(3002),
    [anon_sym_private] = ACTIONS(3002),
    [anon_sym_protected] = ACTIONS(3002),
    [anon_sym_override] = ACTIONS(3002),
    [anon_sym_module] = ACTIONS(3002),
    [anon_sym_any] = ACTIONS(3002),
    [anon_sym_number] = ACTIONS(3002),
    [anon_sym_boolean] = ACTIONS(3002),
    [anon_sym_string] = ACTIONS(3002),
    [anon_sym_symbol] = ACTIONS(3002),
    [anon_sym_object] = ACTIONS(3002),
    [anon_sym_satisfies] = ACTIONS(118),
    [anon_sym_implements] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [864] = {
    [sym__call_signature] = STATE(7506),
    [sym_comment] = STATE(864),
    [sym_formal_parameters] = STATE(4790),
    [sym_type_parameters] = STATE(6683),
    [sym_identifier] = ACTIONS(3004),
    [anon_sym_export] = ACTIONS(3006),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(3006),
    [anon_sym_EQ] = ACTIONS(1215),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(3006),
    [anon_sym_COMMA] = ACTIONS(124),
    [anon_sym_let] = ACTIONS(3006),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2970),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1220),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_RBRACK] = ACTIONS(216),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(3006),
    [anon_sym_function] = ACTIONS(2973),
    [anon_sym_EQ_GT] = ACTIONS(1224),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(3006),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2975),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_static] = ACTIONS(3006),
    [anon_sym_readonly] = ACTIONS(3006),
    [anon_sym_get] = ACTIONS(3006),
    [anon_sym_set] = ACTIONS(3006),
    [anon_sym_declare] = ACTIONS(3006),
    [anon_sym_public] = ACTIONS(3006),
    [anon_sym_private] = ACTIONS(3006),
    [anon_sym_protected] = ACTIONS(3006),
    [anon_sym_override] = ACTIONS(3006),
    [anon_sym_module] = ACTIONS(3006),
    [anon_sym_any] = ACTIONS(3006),
    [anon_sym_number] = ACTIONS(3006),
    [anon_sym_boolean] = ACTIONS(3006),
    [anon_sym_string] = ACTIONS(3006),
    [anon_sym_symbol] = ACTIONS(3006),
    [anon_sym_object] = ACTIONS(3006),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [865] = {
    [sym__call_signature] = STATE(7621),
    [sym_comment] = STATE(865),
    [sym_formal_parameters] = STATE(4790),
    [sym_type_parameters] = STATE(6683),
    [sym_identifier] = ACTIONS(3000),
    [anon_sym_export] = ACTIONS(3002),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(3002),
    [anon_sym_EQ] = ACTIONS(1117),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(3002),
    [anon_sym_LBRACE] = ACTIONS(118),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_let] = ACTIONS(3002),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2970),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(3002),
    [anon_sym_function] = ACTIONS(2973),
    [anon_sym_EQ_GT] = ACTIONS(1270),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(3002),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2975),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_static] = ACTIONS(3002),
    [anon_sym_readonly] = ACTIONS(3002),
    [anon_sym_get] = ACTIONS(3002),
    [anon_sym_set] = ACTIONS(3002),
    [anon_sym_declare] = ACTIONS(3002),
    [anon_sym_public] = ACTIONS(3002),
    [anon_sym_private] = ACTIONS(3002),
    [anon_sym_protected] = ACTIONS(3002),
    [anon_sym_override] = ACTIONS(3002),
    [anon_sym_module] = ACTIONS(3002),
    [anon_sym_any] = ACTIONS(3002),
    [anon_sym_number] = ACTIONS(3002),
    [anon_sym_boolean] = ACTIONS(3002),
    [anon_sym_string] = ACTIONS(3002),
    [anon_sym_symbol] = ACTIONS(3002),
    [anon_sym_object] = ACTIONS(3002),
    [anon_sym_satisfies] = ACTIONS(118),
    [anon_sym_implements] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [866] = {
    [sym__call_signature] = STATE(7389),
    [sym_comment] = STATE(866),
    [sym_formal_parameters] = STATE(4790),
    [sym_type_parameters] = STATE(6683),
    [sym_identifier] = ACTIONS(3008),
    [anon_sym_export] = ACTIONS(3010),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(3010),
    [anon_sym_EQ] = ACTIONS(1232),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(3010),
    [anon_sym_let] = ACTIONS(3010),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2970),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(3010),
    [anon_sym_function] = ACTIONS(2996),
    [anon_sym_EQ_GT] = ACTIONS(1238),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(3010),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2975),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_static] = ACTIONS(3010),
    [anon_sym_readonly] = ACTIONS(3010),
    [anon_sym_get] = ACTIONS(3010),
    [anon_sym_set] = ACTIONS(3010),
    [anon_sym_declare] = ACTIONS(3010),
    [anon_sym_public] = ACTIONS(3010),
    [anon_sym_private] = ACTIONS(3010),
    [anon_sym_protected] = ACTIONS(3010),
    [anon_sym_override] = ACTIONS(3010),
    [anon_sym_module] = ACTIONS(3010),
    [anon_sym_any] = ACTIONS(3010),
    [anon_sym_number] = ACTIONS(3010),
    [anon_sym_boolean] = ACTIONS(3010),
    [anon_sym_string] = ACTIONS(3010),
    [anon_sym_symbol] = ACTIONS(3010),
    [anon_sym_object] = ACTIONS(3010),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(211),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [867] = {
    [sym__call_signature] = STATE(7389),
    [sym_comment] = STATE(867),
    [sym_formal_parameters] = STATE(4790),
    [sym_type_parameters] = STATE(6683),
    [sym_identifier] = ACTIONS(3008),
    [anon_sym_export] = ACTIONS(3010),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(3010),
    [anon_sym_EQ] = ACTIONS(1232),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(3010),
    [anon_sym_let] = ACTIONS(3010),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2970),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(3010),
    [anon_sym_function] = ACTIONS(2988),
    [anon_sym_EQ_GT] = ACTIONS(1238),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(3010),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2975),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_static] = ACTIONS(3010),
    [anon_sym_readonly] = ACTIONS(3010),
    [anon_sym_get] = ACTIONS(3010),
    [anon_sym_set] = ACTIONS(3010),
    [anon_sym_declare] = ACTIONS(3010),
    [anon_sym_public] = ACTIONS(3010),
    [anon_sym_private] = ACTIONS(3010),
    [anon_sym_protected] = ACTIONS(3010),
    [anon_sym_override] = ACTIONS(3010),
    [anon_sym_module] = ACTIONS(3010),
    [anon_sym_any] = ACTIONS(3010),
    [anon_sym_number] = ACTIONS(3010),
    [anon_sym_boolean] = ACTIONS(3010),
    [anon_sym_string] = ACTIONS(3010),
    [anon_sym_symbol] = ACTIONS(3010),
    [anon_sym_object] = ACTIONS(3010),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(211),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [868] = {
    [sym__call_signature] = STATE(7179),
    [sym_comment] = STATE(868),
    [sym_formal_parameters] = STATE(4790),
    [sym_type_parameters] = STATE(6683),
    [sym_identifier] = ACTIONS(3012),
    [anon_sym_export] = ACTIONS(3014),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(3014),
    [anon_sym_EQ] = ACTIONS(1117),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(3014),
    [anon_sym_RBRACE] = ACTIONS(118),
    [anon_sym_let] = ACTIONS(3014),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2970),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(3014),
    [anon_sym_function] = ACTIONS(2973),
    [anon_sym_EQ_GT] = ACTIONS(1242),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(3014),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2975),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_static] = ACTIONS(3014),
    [anon_sym_readonly] = ACTIONS(3014),
    [anon_sym_get] = ACTIONS(3014),
    [anon_sym_set] = ACTIONS(3014),
    [anon_sym_declare] = ACTIONS(3014),
    [anon_sym_public] = ACTIONS(3014),
    [anon_sym_private] = ACTIONS(3014),
    [anon_sym_protected] = ACTIONS(3014),
    [anon_sym_override] = ACTIONS(3014),
    [anon_sym_module] = ACTIONS(3014),
    [anon_sym_any] = ACTIONS(3014),
    [anon_sym_number] = ACTIONS(3014),
    [anon_sym_boolean] = ACTIONS(3014),
    [anon_sym_string] = ACTIONS(3014),
    [anon_sym_symbol] = ACTIONS(3014),
    [anon_sym_object] = ACTIONS(3014),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [869] = {
    [sym__call_signature] = STATE(7389),
    [sym_comment] = STATE(869),
    [sym_formal_parameters] = STATE(4790),
    [sym_type_parameters] = STATE(6683),
    [sym_identifier] = ACTIONS(3008),
    [anon_sym_export] = ACTIONS(3010),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(3010),
    [anon_sym_EQ] = ACTIONS(1232),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(3010),
    [anon_sym_let] = ACTIONS(3010),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2970),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(3010),
    [anon_sym_function] = ACTIONS(2994),
    [anon_sym_EQ_GT] = ACTIONS(1238),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(3010),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2975),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_static] = ACTIONS(3010),
    [anon_sym_readonly] = ACTIONS(3010),
    [anon_sym_get] = ACTIONS(3010),
    [anon_sym_set] = ACTIONS(3010),
    [anon_sym_declare] = ACTIONS(3010),
    [anon_sym_public] = ACTIONS(3010),
    [anon_sym_private] = ACTIONS(3010),
    [anon_sym_protected] = ACTIONS(3010),
    [anon_sym_override] = ACTIONS(3010),
    [anon_sym_module] = ACTIONS(3010),
    [anon_sym_any] = ACTIONS(3010),
    [anon_sym_number] = ACTIONS(3010),
    [anon_sym_boolean] = ACTIONS(3010),
    [anon_sym_string] = ACTIONS(3010),
    [anon_sym_symbol] = ACTIONS(3010),
    [anon_sym_object] = ACTIONS(3010),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(211),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [870] = {
    [sym__call_signature] = STATE(7506),
    [sym_comment] = STATE(870),
    [sym_formal_parameters] = STATE(4790),
    [sym_type_parameters] = STATE(6683),
    [sym_identifier] = ACTIONS(3004),
    [anon_sym_export] = ACTIONS(3006),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(3006),
    [anon_sym_EQ] = ACTIONS(1244),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(3006),
    [anon_sym_let] = ACTIONS(3006),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2970),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1220),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_RBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(3006),
    [anon_sym_function] = ACTIONS(2973),
    [anon_sym_EQ_GT] = ACTIONS(1224),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(3006),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2975),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_static] = ACTIONS(3006),
    [anon_sym_readonly] = ACTIONS(3006),
    [anon_sym_get] = ACTIONS(3006),
    [anon_sym_set] = ACTIONS(3006),
    [anon_sym_declare] = ACTIONS(3006),
    [anon_sym_public] = ACTIONS(3006),
    [anon_sym_private] = ACTIONS(3006),
    [anon_sym_protected] = ACTIONS(3006),
    [anon_sym_override] = ACTIONS(3006),
    [anon_sym_module] = ACTIONS(3006),
    [anon_sym_any] = ACTIONS(3006),
    [anon_sym_number] = ACTIONS(3006),
    [anon_sym_boolean] = ACTIONS(3006),
    [anon_sym_string] = ACTIONS(3006),
    [anon_sym_symbol] = ACTIONS(3006),
    [anon_sym_object] = ACTIONS(3006),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [871] = {
    [sym__call_signature] = STATE(7506),
    [sym_comment] = STATE(871),
    [sym_formal_parameters] = STATE(4790),
    [sym_type_parameters] = STATE(6683),
    [sym_identifier] = ACTIONS(3004),
    [anon_sym_export] = ACTIONS(3006),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(3006),
    [anon_sym_EQ] = ACTIONS(1244),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(3006),
    [anon_sym_let] = ACTIONS(3006),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2970),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1246),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_RBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(3006),
    [anon_sym_function] = ACTIONS(2973),
    [anon_sym_EQ_GT] = ACTIONS(1224),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(3006),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2975),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_static] = ACTIONS(3006),
    [anon_sym_readonly] = ACTIONS(3006),
    [anon_sym_get] = ACTIONS(3006),
    [anon_sym_set] = ACTIONS(3006),
    [anon_sym_declare] = ACTIONS(3006),
    [anon_sym_public] = ACTIONS(3006),
    [anon_sym_private] = ACTIONS(3006),
    [anon_sym_protected] = ACTIONS(3006),
    [anon_sym_override] = ACTIONS(3006),
    [anon_sym_module] = ACTIONS(3006),
    [anon_sym_any] = ACTIONS(3006),
    [anon_sym_number] = ACTIONS(3006),
    [anon_sym_boolean] = ACTIONS(3006),
    [anon_sym_string] = ACTIONS(3006),
    [anon_sym_symbol] = ACTIONS(3006),
    [anon_sym_object] = ACTIONS(3006),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [872] = {
    [sym__call_signature] = STATE(7389),
    [sym_comment] = STATE(872),
    [sym_formal_parameters] = STATE(4790),
    [sym_type_parameters] = STATE(6683),
    [sym_identifier] = ACTIONS(3008),
    [anon_sym_export] = ACTIONS(3010),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(3010),
    [anon_sym_EQ] = ACTIONS(1232),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(3010),
    [anon_sym_let] = ACTIONS(3010),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2970),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(3010),
    [anon_sym_function] = ACTIONS(3016),
    [anon_sym_EQ_GT] = ACTIONS(1238),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(3010),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2975),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_static] = ACTIONS(3010),
    [anon_sym_readonly] = ACTIONS(3010),
    [anon_sym_get] = ACTIONS(3010),
    [anon_sym_set] = ACTIONS(3010),
    [anon_sym_declare] = ACTIONS(3010),
    [anon_sym_public] = ACTIONS(3010),
    [anon_sym_private] = ACTIONS(3010),
    [anon_sym_protected] = ACTIONS(3010),
    [anon_sym_override] = ACTIONS(3010),
    [anon_sym_module] = ACTIONS(3010),
    [anon_sym_any] = ACTIONS(3010),
    [anon_sym_number] = ACTIONS(3010),
    [anon_sym_boolean] = ACTIONS(3010),
    [anon_sym_string] = ACTIONS(3010),
    [anon_sym_symbol] = ACTIONS(3010),
    [anon_sym_object] = ACTIONS(3010),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(211),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [873] = {
    [sym__call_signature] = STATE(7389),
    [sym_comment] = STATE(873),
    [sym_formal_parameters] = STATE(4790),
    [sym_type_parameters] = STATE(6683),
    [sym_identifier] = ACTIONS(3008),
    [anon_sym_export] = ACTIONS(3010),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(3010),
    [anon_sym_EQ] = ACTIONS(1232),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(3010),
    [anon_sym_let] = ACTIONS(3010),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2970),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(3010),
    [anon_sym_function] = ACTIONS(2728),
    [anon_sym_EQ_GT] = ACTIONS(1238),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(3010),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2975),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_static] = ACTIONS(3010),
    [anon_sym_readonly] = ACTIONS(3010),
    [anon_sym_get] = ACTIONS(3010),
    [anon_sym_set] = ACTIONS(3010),
    [anon_sym_declare] = ACTIONS(3010),
    [anon_sym_public] = ACTIONS(3010),
    [anon_sym_private] = ACTIONS(3010),
    [anon_sym_protected] = ACTIONS(3010),
    [anon_sym_override] = ACTIONS(3010),
    [anon_sym_module] = ACTIONS(3010),
    [anon_sym_any] = ACTIONS(3010),
    [anon_sym_number] = ACTIONS(3010),
    [anon_sym_boolean] = ACTIONS(3010),
    [anon_sym_string] = ACTIONS(3010),
    [anon_sym_symbol] = ACTIONS(3010),
    [anon_sym_object] = ACTIONS(3010),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(211),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [874] = {
    [sym__call_signature] = STATE(7389),
    [sym_comment] = STATE(874),
    [sym_formal_parameters] = STATE(4790),
    [sym_type_parameters] = STATE(6683),
    [sym_identifier] = ACTIONS(3008),
    [anon_sym_export] = ACTIONS(3010),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(3010),
    [anon_sym_EQ] = ACTIONS(1232),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(3010),
    [anon_sym_let] = ACTIONS(3010),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2970),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(3010),
    [anon_sym_function] = ACTIONS(2986),
    [anon_sym_EQ_GT] = ACTIONS(1238),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(3010),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2975),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_static] = ACTIONS(3010),
    [anon_sym_readonly] = ACTIONS(3010),
    [anon_sym_get] = ACTIONS(3010),
    [anon_sym_set] = ACTIONS(3010),
    [anon_sym_declare] = ACTIONS(3010),
    [anon_sym_public] = ACTIONS(3010),
    [anon_sym_private] = ACTIONS(3010),
    [anon_sym_protected] = ACTIONS(3010),
    [anon_sym_override] = ACTIONS(3010),
    [anon_sym_module] = ACTIONS(3010),
    [anon_sym_any] = ACTIONS(3010),
    [anon_sym_number] = ACTIONS(3010),
    [anon_sym_boolean] = ACTIONS(3010),
    [anon_sym_string] = ACTIONS(3010),
    [anon_sym_symbol] = ACTIONS(3010),
    [anon_sym_object] = ACTIONS(3010),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(211),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [875] = {
    [sym__call_signature] = STATE(7389),
    [sym_comment] = STATE(875),
    [sym_formal_parameters] = STATE(4790),
    [sym_type_parameters] = STATE(6683),
    [sym_identifier] = ACTIONS(3008),
    [anon_sym_export] = ACTIONS(3010),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(3010),
    [anon_sym_EQ] = ACTIONS(1232),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(3010),
    [anon_sym_let] = ACTIONS(3010),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2970),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(3010),
    [anon_sym_function] = ACTIONS(2998),
    [anon_sym_EQ_GT] = ACTIONS(1238),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(3010),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2975),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_static] = ACTIONS(3010),
    [anon_sym_readonly] = ACTIONS(3010),
    [anon_sym_get] = ACTIONS(3010),
    [anon_sym_set] = ACTIONS(3010),
    [anon_sym_declare] = ACTIONS(3010),
    [anon_sym_public] = ACTIONS(3010),
    [anon_sym_private] = ACTIONS(3010),
    [anon_sym_protected] = ACTIONS(3010),
    [anon_sym_override] = ACTIONS(3010),
    [anon_sym_module] = ACTIONS(3010),
    [anon_sym_any] = ACTIONS(3010),
    [anon_sym_number] = ACTIONS(3010),
    [anon_sym_boolean] = ACTIONS(3010),
    [anon_sym_string] = ACTIONS(3010),
    [anon_sym_symbol] = ACTIONS(3010),
    [anon_sym_object] = ACTIONS(3010),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(211),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [876] = {
    [sym_catch_clause] = STATE(905),
    [sym_finally_clause] = STATE(1110),
    [sym_comment] = STATE(876),
    [sym_identifier] = ACTIONS(3018),
    [anon_sym_export] = ACTIONS(3018),
    [anon_sym_default] = ACTIONS(3018),
    [anon_sym_type] = ACTIONS(3018),
    [anon_sym_namespace] = ACTIONS(3018),
    [anon_sym_LBRACE] = ACTIONS(3018),
    [anon_sym_RBRACE] = ACTIONS(3018),
    [anon_sym_typeof] = ACTIONS(3018),
    [anon_sym_import] = ACTIONS(3018),
    [anon_sym_with] = ACTIONS(3018),
    [anon_sym_var] = ACTIONS(3018),
    [anon_sym_let] = ACTIONS(3018),
    [anon_sym_const] = ACTIONS(3018),
    [anon_sym_BANG] = ACTIONS(3018),
    [anon_sym_else] = ACTIONS(3018),
    [anon_sym_if] = ACTIONS(3018),
    [anon_sym_switch] = ACTIONS(3018),
    [anon_sym_for] = ACTIONS(3018),
    [anon_sym_LPAREN] = ACTIONS(3018),
    [anon_sym_await] = ACTIONS(3018),
    [anon_sym_while] = ACTIONS(3018),
    [anon_sym_do] = ACTIONS(3018),
    [anon_sym_try] = ACTIONS(3018),
    [anon_sym_break] = ACTIONS(3018),
    [anon_sym_continue] = ACTIONS(3018),
    [anon_sym_debugger] = ACTIONS(3018),
    [anon_sym_return] = ACTIONS(3018),
    [anon_sym_throw] = ACTIONS(3018),
    [anon_sym_SEMI] = ACTIONS(3018),
    [anon_sym_case] = ACTIONS(3018),
    [anon_sym_catch] = ACTIONS(3020),
    [anon_sym_finally] = ACTIONS(3022),
    [anon_sym_yield] = ACTIONS(3018),
    [anon_sym_LBRACK] = ACTIONS(3018),
    [anon_sym_LTtemplate_GT] = ACTIONS(3018),
    [anon_sym_DQUOTE] = ACTIONS(3018),
    [anon_sym_SQUOTE] = ACTIONS(3018),
    [anon_sym_class] = ACTIONS(3018),
    [anon_sym_async] = ACTIONS(3018),
    [anon_sym_function] = ACTIONS(3018),
    [anon_sym_new] = ACTIONS(3018),
    [anon_sym_using] = ACTIONS(3018),
    [anon_sym_PLUS] = ACTIONS(3018),
    [anon_sym_DASH] = ACTIONS(3018),
    [anon_sym_SLASH] = ACTIONS(3018),
    [anon_sym_LT] = ACTIONS(3018),
    [anon_sym_TILDE] = ACTIONS(3018),
    [anon_sym_void] = ACTIONS(3018),
    [anon_sym_delete] = ACTIONS(3018),
    [anon_sym_PLUS_PLUS] = ACTIONS(3018),
    [anon_sym_DASH_DASH] = ACTIONS(3018),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3018),
    [sym_number] = ACTIONS(3018),
    [sym_private_property_identifier] = ACTIONS(3018),
    [sym_this] = ACTIONS(3018),
    [sym_super] = ACTIONS(3018),
    [sym_true] = ACTIONS(3018),
    [sym_false] = ACTIONS(3018),
    [sym_null] = ACTIONS(3018),
    [sym_undefined] = ACTIONS(3018),
    [anon_sym_AT] = ACTIONS(3018),
    [anon_sym_static] = ACTIONS(3018),
    [anon_sym_readonly] = ACTIONS(3018),
    [anon_sym_get] = ACTIONS(3018),
    [anon_sym_set] = ACTIONS(3018),
    [anon_sym_declare] = ACTIONS(3018),
    [anon_sym_public] = ACTIONS(3018),
    [anon_sym_private] = ACTIONS(3018),
    [anon_sym_protected] = ACTIONS(3018),
    [anon_sym_override] = ACTIONS(3018),
    [anon_sym_module] = ACTIONS(3018),
    [anon_sym_any] = ACTIONS(3018),
    [anon_sym_number] = ACTIONS(3018),
    [anon_sym_boolean] = ACTIONS(3018),
    [anon_sym_string] = ACTIONS(3018),
    [anon_sym_symbol] = ACTIONS(3018),
    [anon_sym_object] = ACTIONS(3018),
    [anon_sym_abstract] = ACTIONS(3018),
    [anon_sym_interface] = ACTIONS(3018),
    [anon_sym_enum] = ACTIONS(3018),
    [sym_html_comment] = ACTIONS(5),
  },
  [877] = {
    [sym__call_signature] = STATE(7389),
    [sym_comment] = STATE(877),
    [sym_formal_parameters] = STATE(4790),
    [sym_type_parameters] = STATE(6683),
    [sym_identifier] = ACTIONS(3008),
    [anon_sym_export] = ACTIONS(3010),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(3010),
    [anon_sym_EQ] = ACTIONS(1117),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(3010),
    [anon_sym_let] = ACTIONS(3010),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2970),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(3010),
    [anon_sym_function] = ACTIONS(2988),
    [anon_sym_EQ_GT] = ACTIONS(1238),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(3010),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2975),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_static] = ACTIONS(3010),
    [anon_sym_readonly] = ACTIONS(3010),
    [anon_sym_get] = ACTIONS(3010),
    [anon_sym_set] = ACTIONS(3010),
    [anon_sym_declare] = ACTIONS(3010),
    [anon_sym_public] = ACTIONS(3010),
    [anon_sym_private] = ACTIONS(3010),
    [anon_sym_protected] = ACTIONS(3010),
    [anon_sym_override] = ACTIONS(3010),
    [anon_sym_module] = ACTIONS(3010),
    [anon_sym_any] = ACTIONS(3010),
    [anon_sym_number] = ACTIONS(3010),
    [anon_sym_boolean] = ACTIONS(3010),
    [anon_sym_string] = ACTIONS(3010),
    [anon_sym_symbol] = ACTIONS(3010),
    [anon_sym_object] = ACTIONS(3010),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(211),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [878] = {
    [sym__call_signature] = STATE(7179),
    [sym_comment] = STATE(878),
    [sym_formal_parameters] = STATE(4790),
    [sym_type_parameters] = STATE(6683),
    [sym_identifier] = ACTIONS(3012),
    [anon_sym_export] = ACTIONS(3014),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(3014),
    [anon_sym_EQ] = ACTIONS(1252),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(3014),
    [anon_sym_RBRACE] = ACTIONS(118),
    [anon_sym_let] = ACTIONS(3014),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2970),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(3014),
    [anon_sym_function] = ACTIONS(2973),
    [anon_sym_EQ_GT] = ACTIONS(1242),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(3014),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2975),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_static] = ACTIONS(3014),
    [anon_sym_readonly] = ACTIONS(3014),
    [anon_sym_get] = ACTIONS(3014),
    [anon_sym_set] = ACTIONS(3014),
    [anon_sym_declare] = ACTIONS(3014),
    [anon_sym_public] = ACTIONS(3014),
    [anon_sym_private] = ACTIONS(3014),
    [anon_sym_protected] = ACTIONS(3014),
    [anon_sym_override] = ACTIONS(3014),
    [anon_sym_module] = ACTIONS(3014),
    [anon_sym_any] = ACTIONS(3014),
    [anon_sym_number] = ACTIONS(3014),
    [anon_sym_boolean] = ACTIONS(3014),
    [anon_sym_string] = ACTIONS(3014),
    [anon_sym_symbol] = ACTIONS(3014),
    [anon_sym_object] = ACTIONS(3014),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [879] = {
    [sym__call_signature] = STATE(7506),
    [sym_comment] = STATE(879),
    [sym_formal_parameters] = STATE(4790),
    [sym_type_parameters] = STATE(6683),
    [sym_identifier] = ACTIONS(3004),
    [anon_sym_export] = ACTIONS(3006),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(3006),
    [anon_sym_EQ] = ACTIONS(1215),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(3006),
    [anon_sym_COMMA] = ACTIONS(124),
    [anon_sym_let] = ACTIONS(3006),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2970),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_RBRACK] = ACTIONS(216),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(3006),
    [anon_sym_function] = ACTIONS(2973),
    [anon_sym_EQ_GT] = ACTIONS(1224),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(3006),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2975),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_static] = ACTIONS(3006),
    [anon_sym_readonly] = ACTIONS(3006),
    [anon_sym_get] = ACTIONS(3006),
    [anon_sym_set] = ACTIONS(3006),
    [anon_sym_declare] = ACTIONS(3006),
    [anon_sym_public] = ACTIONS(3006),
    [anon_sym_private] = ACTIONS(3006),
    [anon_sym_protected] = ACTIONS(3006),
    [anon_sym_override] = ACTIONS(3006),
    [anon_sym_module] = ACTIONS(3006),
    [anon_sym_any] = ACTIONS(3006),
    [anon_sym_number] = ACTIONS(3006),
    [anon_sym_boolean] = ACTIONS(3006),
    [anon_sym_string] = ACTIONS(3006),
    [anon_sym_symbol] = ACTIONS(3006),
    [anon_sym_object] = ACTIONS(3006),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [880] = {
    [sym__call_signature] = STATE(7480),
    [sym_comment] = STATE(880),
    [sym_formal_parameters] = STATE(4790),
    [sym_type_parameters] = STATE(6683),
    [sym_identifier] = ACTIONS(3024),
    [anon_sym_export] = ACTIONS(3026),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(3026),
    [anon_sym_EQ] = ACTIONS(1280),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(3026),
    [anon_sym_let] = ACTIONS(3026),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2970),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_of] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(3026),
    [anon_sym_function] = ACTIONS(2973),
    [anon_sym_EQ_GT] = ACTIONS(1286),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(3026),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2975),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_static] = ACTIONS(3026),
    [anon_sym_readonly] = ACTIONS(3026),
    [anon_sym_get] = ACTIONS(3026),
    [anon_sym_set] = ACTIONS(3026),
    [anon_sym_declare] = ACTIONS(3026),
    [anon_sym_public] = ACTIONS(3026),
    [anon_sym_private] = ACTIONS(3026),
    [anon_sym_protected] = ACTIONS(3026),
    [anon_sym_override] = ACTIONS(3026),
    [anon_sym_module] = ACTIONS(3026),
    [anon_sym_any] = ACTIONS(3026),
    [anon_sym_number] = ACTIONS(3026),
    [anon_sym_boolean] = ACTIONS(3026),
    [anon_sym_string] = ACTIONS(3026),
    [anon_sym_symbol] = ACTIONS(3026),
    [anon_sym_object] = ACTIONS(3026),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [881] = {
    [sym__call_signature] = STATE(7506),
    [sym_comment] = STATE(881),
    [sym_formal_parameters] = STATE(4790),
    [sym_type_parameters] = STATE(6683),
    [sym_identifier] = ACTIONS(3004),
    [anon_sym_export] = ACTIONS(3006),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(3006),
    [anon_sym_EQ] = ACTIONS(1244),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(3006),
    [anon_sym_let] = ACTIONS(3006),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2970),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_RBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(3006),
    [anon_sym_function] = ACTIONS(2973),
    [anon_sym_EQ_GT] = ACTIONS(1224),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(3006),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2975),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_static] = ACTIONS(3006),
    [anon_sym_readonly] = ACTIONS(3006),
    [anon_sym_get] = ACTIONS(3006),
    [anon_sym_set] = ACTIONS(3006),
    [anon_sym_declare] = ACTIONS(3006),
    [anon_sym_public] = ACTIONS(3006),
    [anon_sym_private] = ACTIONS(3006),
    [anon_sym_protected] = ACTIONS(3006),
    [anon_sym_override] = ACTIONS(3006),
    [anon_sym_module] = ACTIONS(3006),
    [anon_sym_any] = ACTIONS(3006),
    [anon_sym_number] = ACTIONS(3006),
    [anon_sym_boolean] = ACTIONS(3006),
    [anon_sym_string] = ACTIONS(3006),
    [anon_sym_symbol] = ACTIONS(3006),
    [anon_sym_object] = ACTIONS(3006),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [882] = {
    [sym__call_signature] = STATE(7480),
    [sym_comment] = STATE(882),
    [sym_formal_parameters] = STATE(4790),
    [sym_type_parameters] = STATE(6683),
    [sym_identifier] = ACTIONS(3024),
    [anon_sym_export] = ACTIONS(3026),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(3026),
    [anon_sym_EQ] = ACTIONS(1117),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(3026),
    [anon_sym_let] = ACTIONS(3026),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2970),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_of] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(3026),
    [anon_sym_function] = ACTIONS(2973),
    [anon_sym_EQ_GT] = ACTIONS(1286),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(3026),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2975),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_static] = ACTIONS(3026),
    [anon_sym_readonly] = ACTIONS(3026),
    [anon_sym_get] = ACTIONS(3026),
    [anon_sym_set] = ACTIONS(3026),
    [anon_sym_declare] = ACTIONS(3026),
    [anon_sym_public] = ACTIONS(3026),
    [anon_sym_private] = ACTIONS(3026),
    [anon_sym_protected] = ACTIONS(3026),
    [anon_sym_override] = ACTIONS(3026),
    [anon_sym_module] = ACTIONS(3026),
    [anon_sym_any] = ACTIONS(3026),
    [anon_sym_number] = ACTIONS(3026),
    [anon_sym_boolean] = ACTIONS(3026),
    [anon_sym_string] = ACTIONS(3026),
    [anon_sym_symbol] = ACTIONS(3026),
    [anon_sym_object] = ACTIONS(3026),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [883] = {
    [sym_comment] = STATE(883),
    [sym_identifier] = ACTIONS(2093),
    [anon_sym_export] = ACTIONS(2093),
    [anon_sym_default] = ACTIONS(2093),
    [anon_sym_type] = ACTIONS(2093),
    [anon_sym_namespace] = ACTIONS(2093),
    [anon_sym_LBRACE] = ACTIONS(2093),
    [anon_sym_RBRACE] = ACTIONS(2093),
    [anon_sym_typeof] = ACTIONS(2093),
    [anon_sym_import] = ACTIONS(2093),
    [anon_sym_with] = ACTIONS(2093),
    [anon_sym_var] = ACTIONS(2093),
    [anon_sym_let] = ACTIONS(2093),
    [anon_sym_const] = ACTIONS(2093),
    [anon_sym_BANG] = ACTIONS(2093),
    [anon_sym_else] = ACTIONS(2093),
    [anon_sym_if] = ACTIONS(2093),
    [anon_sym_switch] = ACTIONS(2093),
    [anon_sym_for] = ACTIONS(2093),
    [anon_sym_LPAREN] = ACTIONS(2093),
    [anon_sym_await] = ACTIONS(2093),
    [anon_sym_while] = ACTIONS(2093),
    [anon_sym_do] = ACTIONS(2093),
    [anon_sym_try] = ACTIONS(2093),
    [anon_sym_break] = ACTIONS(2093),
    [anon_sym_continue] = ACTIONS(2093),
    [anon_sym_debugger] = ACTIONS(2093),
    [anon_sym_return] = ACTIONS(2093),
    [anon_sym_throw] = ACTIONS(2093),
    [anon_sym_SEMI] = ACTIONS(2093),
    [anon_sym_case] = ACTIONS(2093),
    [anon_sym_catch] = ACTIONS(2093),
    [anon_sym_finally] = ACTIONS(2093),
    [anon_sym_yield] = ACTIONS(2093),
    [anon_sym_LBRACK] = ACTIONS(2093),
    [anon_sym_LTtemplate_GT] = ACTIONS(2093),
    [anon_sym_DQUOTE] = ACTIONS(2093),
    [anon_sym_SQUOTE] = ACTIONS(2093),
    [anon_sym_class] = ACTIONS(2093),
    [anon_sym_async] = ACTIONS(2093),
    [anon_sym_function] = ACTIONS(2093),
    [anon_sym_new] = ACTIONS(2093),
    [anon_sym_using] = ACTIONS(2093),
    [anon_sym_PLUS] = ACTIONS(2093),
    [anon_sym_DASH] = ACTIONS(2093),
    [anon_sym_SLASH] = ACTIONS(2093),
    [anon_sym_LT] = ACTIONS(2093),
    [anon_sym_TILDE] = ACTIONS(2093),
    [anon_sym_void] = ACTIONS(2093),
    [anon_sym_delete] = ACTIONS(2093),
    [anon_sym_PLUS_PLUS] = ACTIONS(2093),
    [anon_sym_DASH_DASH] = ACTIONS(2093),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2093),
    [sym_number] = ACTIONS(2093),
    [sym_private_property_identifier] = ACTIONS(2093),
    [sym_this] = ACTIONS(2093),
    [sym_super] = ACTIONS(2093),
    [sym_true] = ACTIONS(2093),
    [sym_false] = ACTIONS(2093),
    [sym_null] = ACTIONS(2093),
    [sym_undefined] = ACTIONS(2093),
    [anon_sym_AT] = ACTIONS(2093),
    [anon_sym_static] = ACTIONS(2093),
    [anon_sym_readonly] = ACTIONS(2093),
    [anon_sym_get] = ACTIONS(2093),
    [anon_sym_set] = ACTIONS(2093),
    [anon_sym_declare] = ACTIONS(2093),
    [anon_sym_public] = ACTIONS(2093),
    [anon_sym_private] = ACTIONS(2093),
    [anon_sym_protected] = ACTIONS(2093),
    [anon_sym_override] = ACTIONS(2093),
    [anon_sym_module] = ACTIONS(2093),
    [anon_sym_any] = ACTIONS(2093),
    [anon_sym_number] = ACTIONS(2093),
    [anon_sym_boolean] = ACTIONS(2093),
    [anon_sym_string] = ACTIONS(2093),
    [anon_sym_symbol] = ACTIONS(2093),
    [anon_sym_object] = ACTIONS(2093),
    [anon_sym_abstract] = ACTIONS(2093),
    [anon_sym_interface] = ACTIONS(2093),
    [anon_sym_enum] = ACTIONS(2093),
    [sym__automatic_semicolon] = ACTIONS(3028),
    [sym_html_comment] = ACTIONS(5),
  },
  [884] = {
    [sym_catch_clause] = STATE(938),
    [sym_finally_clause] = STATE(1316),
    [sym_comment] = STATE(884),
    [ts_builtin_sym_end] = ACTIONS(3030),
    [sym_identifier] = ACTIONS(3018),
    [anon_sym_export] = ACTIONS(3018),
    [anon_sym_type] = ACTIONS(3018),
    [anon_sym_namespace] = ACTIONS(3018),
    [anon_sym_LBRACE] = ACTIONS(3018),
    [anon_sym_RBRACE] = ACTIONS(3018),
    [anon_sym_typeof] = ACTIONS(3018),
    [anon_sym_import] = ACTIONS(3018),
    [anon_sym_with] = ACTIONS(3018),
    [anon_sym_var] = ACTIONS(3018),
    [anon_sym_let] = ACTIONS(3018),
    [anon_sym_const] = ACTIONS(3018),
    [anon_sym_BANG] = ACTIONS(3018),
    [anon_sym_else] = ACTIONS(3018),
    [anon_sym_if] = ACTIONS(3018),
    [anon_sym_switch] = ACTIONS(3018),
    [anon_sym_for] = ACTIONS(3018),
    [anon_sym_LPAREN] = ACTIONS(3018),
    [anon_sym_await] = ACTIONS(3018),
    [anon_sym_while] = ACTIONS(3018),
    [anon_sym_do] = ACTIONS(3018),
    [anon_sym_try] = ACTIONS(3018),
    [anon_sym_break] = ACTIONS(3018),
    [anon_sym_continue] = ACTIONS(3018),
    [anon_sym_debugger] = ACTIONS(3018),
    [anon_sym_return] = ACTIONS(3018),
    [anon_sym_throw] = ACTIONS(3018),
    [anon_sym_SEMI] = ACTIONS(3018),
    [anon_sym_catch] = ACTIONS(3032),
    [anon_sym_finally] = ACTIONS(3034),
    [anon_sym_yield] = ACTIONS(3018),
    [anon_sym_LBRACK] = ACTIONS(3018),
    [anon_sym_LTtemplate_GT] = ACTIONS(3018),
    [anon_sym_DQUOTE] = ACTIONS(3018),
    [anon_sym_SQUOTE] = ACTIONS(3018),
    [anon_sym_class] = ACTIONS(3018),
    [anon_sym_async] = ACTIONS(3018),
    [anon_sym_function] = ACTIONS(3018),
    [anon_sym_new] = ACTIONS(3018),
    [anon_sym_using] = ACTIONS(3018),
    [anon_sym_PLUS] = ACTIONS(3018),
    [anon_sym_DASH] = ACTIONS(3018),
    [anon_sym_SLASH] = ACTIONS(3018),
    [anon_sym_LT] = ACTIONS(3018),
    [anon_sym_TILDE] = ACTIONS(3018),
    [anon_sym_void] = ACTIONS(3018),
    [anon_sym_delete] = ACTIONS(3018),
    [anon_sym_PLUS_PLUS] = ACTIONS(3018),
    [anon_sym_DASH_DASH] = ACTIONS(3018),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3018),
    [sym_number] = ACTIONS(3018),
    [sym_private_property_identifier] = ACTIONS(3018),
    [sym_this] = ACTIONS(3018),
    [sym_super] = ACTIONS(3018),
    [sym_true] = ACTIONS(3018),
    [sym_false] = ACTIONS(3018),
    [sym_null] = ACTIONS(3018),
    [sym_undefined] = ACTIONS(3018),
    [anon_sym_AT] = ACTIONS(3018),
    [anon_sym_static] = ACTIONS(3018),
    [anon_sym_readonly] = ACTIONS(3018),
    [anon_sym_get] = ACTIONS(3018),
    [anon_sym_set] = ACTIONS(3018),
    [anon_sym_declare] = ACTIONS(3018),
    [anon_sym_public] = ACTIONS(3018),
    [anon_sym_private] = ACTIONS(3018),
    [anon_sym_protected] = ACTIONS(3018),
    [anon_sym_override] = ACTIONS(3018),
    [anon_sym_module] = ACTIONS(3018),
    [anon_sym_any] = ACTIONS(3018),
    [anon_sym_number] = ACTIONS(3018),
    [anon_sym_boolean] = ACTIONS(3018),
    [anon_sym_string] = ACTIONS(3018),
    [anon_sym_symbol] = ACTIONS(3018),
    [anon_sym_object] = ACTIONS(3018),
    [anon_sym_abstract] = ACTIONS(3018),
    [anon_sym_interface] = ACTIONS(3018),
    [anon_sym_enum] = ACTIONS(3018),
    [sym_html_comment] = ACTIONS(5),
  },
  [885] = {
    [sym__call_signature] = STATE(7253),
    [sym_comment] = STATE(885),
    [sym_formal_parameters] = STATE(4790),
    [sym_type_parameters] = STATE(6683),
    [sym_identifier] = ACTIONS(2966),
    [anon_sym_export] = ACTIONS(2968),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(2968),
    [anon_sym_EQ] = ACTIONS(1117),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2968),
    [anon_sym_let] = ACTIONS(2968),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2970),
    [anon_sym_in] = ACTIONS(1203),
    [anon_sym_of] = ACTIONS(1206),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(2968),
    [anon_sym_function] = ACTIONS(2973),
    [anon_sym_EQ_GT] = ACTIONS(153),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(2968),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2975),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_static] = ACTIONS(2968),
    [anon_sym_readonly] = ACTIONS(2968),
    [anon_sym_get] = ACTIONS(2968),
    [anon_sym_set] = ACTIONS(2968),
    [anon_sym_declare] = ACTIONS(2968),
    [anon_sym_public] = ACTIONS(2968),
    [anon_sym_private] = ACTIONS(2968),
    [anon_sym_protected] = ACTIONS(2968),
    [anon_sym_override] = ACTIONS(2968),
    [anon_sym_module] = ACTIONS(2968),
    [anon_sym_any] = ACTIONS(2968),
    [anon_sym_number] = ACTIONS(2968),
    [anon_sym_boolean] = ACTIONS(2968),
    [anon_sym_string] = ACTIONS(2968),
    [anon_sym_symbol] = ACTIONS(2968),
    [anon_sym_object] = ACTIONS(2968),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [886] = {
    [sym_comment] = STATE(886),
    [sym_identifier] = ACTIONS(2067),
    [anon_sym_export] = ACTIONS(2067),
    [anon_sym_default] = ACTIONS(2067),
    [anon_sym_type] = ACTIONS(2067),
    [anon_sym_namespace] = ACTIONS(2067),
    [anon_sym_LBRACE] = ACTIONS(2067),
    [anon_sym_RBRACE] = ACTIONS(2067),
    [anon_sym_typeof] = ACTIONS(2067),
    [anon_sym_import] = ACTIONS(2067),
    [anon_sym_with] = ACTIONS(2067),
    [anon_sym_var] = ACTIONS(2067),
    [anon_sym_let] = ACTIONS(2067),
    [anon_sym_const] = ACTIONS(2067),
    [anon_sym_BANG] = ACTIONS(2067),
    [anon_sym_else] = ACTIONS(2067),
    [anon_sym_if] = ACTIONS(2067),
    [anon_sym_switch] = ACTIONS(2067),
    [anon_sym_for] = ACTIONS(2067),
    [anon_sym_LPAREN] = ACTIONS(2067),
    [anon_sym_await] = ACTIONS(2067),
    [anon_sym_while] = ACTIONS(2067),
    [anon_sym_do] = ACTIONS(2067),
    [anon_sym_try] = ACTIONS(2067),
    [anon_sym_break] = ACTIONS(2067),
    [anon_sym_continue] = ACTIONS(2067),
    [anon_sym_debugger] = ACTIONS(2067),
    [anon_sym_return] = ACTIONS(2067),
    [anon_sym_throw] = ACTIONS(2067),
    [anon_sym_SEMI] = ACTIONS(2067),
    [anon_sym_case] = ACTIONS(2067),
    [anon_sym_catch] = ACTIONS(2067),
    [anon_sym_finally] = ACTIONS(2067),
    [anon_sym_yield] = ACTIONS(2067),
    [anon_sym_LBRACK] = ACTIONS(2067),
    [anon_sym_LTtemplate_GT] = ACTIONS(2067),
    [anon_sym_DQUOTE] = ACTIONS(2067),
    [anon_sym_SQUOTE] = ACTIONS(2067),
    [anon_sym_class] = ACTIONS(2067),
    [anon_sym_async] = ACTIONS(2067),
    [anon_sym_function] = ACTIONS(2067),
    [anon_sym_new] = ACTIONS(2067),
    [anon_sym_using] = ACTIONS(2067),
    [anon_sym_PLUS] = ACTIONS(2067),
    [anon_sym_DASH] = ACTIONS(2067),
    [anon_sym_SLASH] = ACTIONS(2067),
    [anon_sym_LT] = ACTIONS(2067),
    [anon_sym_TILDE] = ACTIONS(2067),
    [anon_sym_void] = ACTIONS(2067),
    [anon_sym_delete] = ACTIONS(2067),
    [anon_sym_PLUS_PLUS] = ACTIONS(2067),
    [anon_sym_DASH_DASH] = ACTIONS(2067),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2067),
    [sym_number] = ACTIONS(2067),
    [sym_private_property_identifier] = ACTIONS(2067),
    [sym_this] = ACTIONS(2067),
    [sym_super] = ACTIONS(2067),
    [sym_true] = ACTIONS(2067),
    [sym_false] = ACTIONS(2067),
    [sym_null] = ACTIONS(2067),
    [sym_undefined] = ACTIONS(2067),
    [anon_sym_AT] = ACTIONS(2067),
    [anon_sym_static] = ACTIONS(2067),
    [anon_sym_readonly] = ACTIONS(2067),
    [anon_sym_get] = ACTIONS(2067),
    [anon_sym_set] = ACTIONS(2067),
    [anon_sym_declare] = ACTIONS(2067),
    [anon_sym_public] = ACTIONS(2067),
    [anon_sym_private] = ACTIONS(2067),
    [anon_sym_protected] = ACTIONS(2067),
    [anon_sym_override] = ACTIONS(2067),
    [anon_sym_module] = ACTIONS(2067),
    [anon_sym_any] = ACTIONS(2067),
    [anon_sym_number] = ACTIONS(2067),
    [anon_sym_boolean] = ACTIONS(2067),
    [anon_sym_string] = ACTIONS(2067),
    [anon_sym_symbol] = ACTIONS(2067),
    [anon_sym_object] = ACTIONS(2067),
    [anon_sym_abstract] = ACTIONS(2067),
    [anon_sym_interface] = ACTIONS(2067),
    [anon_sym_enum] = ACTIONS(2067),
    [sym__automatic_semicolon] = ACTIONS(3036),
    [sym_html_comment] = ACTIONS(5),
  },
  [887] = {
    [sym__call_signature] = STATE(7506),
    [sym_comment] = STATE(887),
    [sym_formal_parameters] = STATE(4790),
    [sym_type_parameters] = STATE(6683),
    [sym_identifier] = ACTIONS(3004),
    [anon_sym_export] = ACTIONS(3006),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(3006),
    [anon_sym_EQ] = ACTIONS(1117),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(3006),
    [anon_sym_let] = ACTIONS(3006),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2970),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_RBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(3006),
    [anon_sym_function] = ACTIONS(2973),
    [anon_sym_EQ_GT] = ACTIONS(1224),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(3006),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2975),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_static] = ACTIONS(3006),
    [anon_sym_readonly] = ACTIONS(3006),
    [anon_sym_get] = ACTIONS(3006),
    [anon_sym_set] = ACTIONS(3006),
    [anon_sym_declare] = ACTIONS(3006),
    [anon_sym_public] = ACTIONS(3006),
    [anon_sym_private] = ACTIONS(3006),
    [anon_sym_protected] = ACTIONS(3006),
    [anon_sym_override] = ACTIONS(3006),
    [anon_sym_module] = ACTIONS(3006),
    [anon_sym_any] = ACTIONS(3006),
    [anon_sym_number] = ACTIONS(3006),
    [anon_sym_boolean] = ACTIONS(3006),
    [anon_sym_string] = ACTIONS(3006),
    [anon_sym_symbol] = ACTIONS(3006),
    [anon_sym_object] = ACTIONS(3006),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [888] = {
    [sym__call_signature] = STATE(7253),
    [sym_comment] = STATE(888),
    [sym_formal_parameters] = STATE(4790),
    [sym_type_parameters] = STATE(6683),
    [sym_identifier] = ACTIONS(2966),
    [anon_sym_export] = ACTIONS(2968),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(2968),
    [anon_sym_EQ] = ACTIONS(1117),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2968),
    [anon_sym_let] = ACTIONS(2968),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2970),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1119),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(2968),
    [anon_sym_function] = ACTIONS(2973),
    [anon_sym_EQ_GT] = ACTIONS(153),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(2968),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2975),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_static] = ACTIONS(2968),
    [anon_sym_readonly] = ACTIONS(2968),
    [anon_sym_get] = ACTIONS(2968),
    [anon_sym_set] = ACTIONS(2968),
    [anon_sym_declare] = ACTIONS(2968),
    [anon_sym_public] = ACTIONS(2968),
    [anon_sym_private] = ACTIONS(2968),
    [anon_sym_protected] = ACTIONS(2968),
    [anon_sym_override] = ACTIONS(2968),
    [anon_sym_module] = ACTIONS(2968),
    [anon_sym_any] = ACTIONS(2968),
    [anon_sym_number] = ACTIONS(2968),
    [anon_sym_boolean] = ACTIONS(2968),
    [anon_sym_string] = ACTIONS(2968),
    [anon_sym_symbol] = ACTIONS(2968),
    [anon_sym_object] = ACTIONS(2968),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [889] = {
    [sym_catch_clause] = STATE(951),
    [sym_finally_clause] = STATE(1505),
    [sym_comment] = STATE(889),
    [sym_identifier] = ACTIONS(3018),
    [anon_sym_export] = ACTIONS(3018),
    [anon_sym_default] = ACTIONS(3018),
    [anon_sym_type] = ACTIONS(3018),
    [anon_sym_namespace] = ACTIONS(3018),
    [anon_sym_LBRACE] = ACTIONS(3018),
    [anon_sym_RBRACE] = ACTIONS(3018),
    [anon_sym_typeof] = ACTIONS(3018),
    [anon_sym_import] = ACTIONS(3018),
    [anon_sym_with] = ACTIONS(3018),
    [anon_sym_var] = ACTIONS(3018),
    [anon_sym_let] = ACTIONS(3018),
    [anon_sym_const] = ACTIONS(3018),
    [anon_sym_BANG] = ACTIONS(3018),
    [anon_sym_if] = ACTIONS(3018),
    [anon_sym_switch] = ACTIONS(3018),
    [anon_sym_for] = ACTIONS(3018),
    [anon_sym_LPAREN] = ACTIONS(3018),
    [anon_sym_await] = ACTIONS(3018),
    [anon_sym_while] = ACTIONS(3018),
    [anon_sym_do] = ACTIONS(3018),
    [anon_sym_try] = ACTIONS(3018),
    [anon_sym_break] = ACTIONS(3018),
    [anon_sym_continue] = ACTIONS(3018),
    [anon_sym_debugger] = ACTIONS(3018),
    [anon_sym_return] = ACTIONS(3018),
    [anon_sym_throw] = ACTIONS(3018),
    [anon_sym_SEMI] = ACTIONS(3018),
    [anon_sym_case] = ACTIONS(3018),
    [anon_sym_catch] = ACTIONS(3038),
    [anon_sym_finally] = ACTIONS(3040),
    [anon_sym_yield] = ACTIONS(3018),
    [anon_sym_LBRACK] = ACTIONS(3018),
    [anon_sym_LTtemplate_GT] = ACTIONS(3018),
    [anon_sym_DQUOTE] = ACTIONS(3018),
    [anon_sym_SQUOTE] = ACTIONS(3018),
    [anon_sym_class] = ACTIONS(3018),
    [anon_sym_async] = ACTIONS(3018),
    [anon_sym_function] = ACTIONS(3018),
    [anon_sym_new] = ACTIONS(3018),
    [anon_sym_using] = ACTIONS(3018),
    [anon_sym_PLUS] = ACTIONS(3018),
    [anon_sym_DASH] = ACTIONS(3018),
    [anon_sym_SLASH] = ACTIONS(3018),
    [anon_sym_LT] = ACTIONS(3018),
    [anon_sym_TILDE] = ACTIONS(3018),
    [anon_sym_void] = ACTIONS(3018),
    [anon_sym_delete] = ACTIONS(3018),
    [anon_sym_PLUS_PLUS] = ACTIONS(3018),
    [anon_sym_DASH_DASH] = ACTIONS(3018),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3018),
    [sym_number] = ACTIONS(3018),
    [sym_private_property_identifier] = ACTIONS(3018),
    [sym_this] = ACTIONS(3018),
    [sym_super] = ACTIONS(3018),
    [sym_true] = ACTIONS(3018),
    [sym_false] = ACTIONS(3018),
    [sym_null] = ACTIONS(3018),
    [sym_undefined] = ACTIONS(3018),
    [anon_sym_AT] = ACTIONS(3018),
    [anon_sym_static] = ACTIONS(3018),
    [anon_sym_readonly] = ACTIONS(3018),
    [anon_sym_get] = ACTIONS(3018),
    [anon_sym_set] = ACTIONS(3018),
    [anon_sym_declare] = ACTIONS(3018),
    [anon_sym_public] = ACTIONS(3018),
    [anon_sym_private] = ACTIONS(3018),
    [anon_sym_protected] = ACTIONS(3018),
    [anon_sym_override] = ACTIONS(3018),
    [anon_sym_module] = ACTIONS(3018),
    [anon_sym_any] = ACTIONS(3018),
    [anon_sym_number] = ACTIONS(3018),
    [anon_sym_boolean] = ACTIONS(3018),
    [anon_sym_string] = ACTIONS(3018),
    [anon_sym_symbol] = ACTIONS(3018),
    [anon_sym_object] = ACTIONS(3018),
    [anon_sym_abstract] = ACTIONS(3018),
    [anon_sym_interface] = ACTIONS(3018),
    [anon_sym_enum] = ACTIONS(3018),
    [sym_html_comment] = ACTIONS(5),
  },
  [890] = {
    [sym__call_signature] = STATE(7253),
    [sym_comment] = STATE(890),
    [sym_formal_parameters] = STATE(4790),
    [sym_type_parameters] = STATE(6683),
    [sym_identifier] = ACTIONS(2966),
    [anon_sym_export] = ACTIONS(2968),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(2968),
    [anon_sym_EQ] = ACTIONS(1350),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2968),
    [anon_sym_let] = ACTIONS(2968),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2970),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(2968),
    [anon_sym_function] = ACTIONS(2973),
    [anon_sym_EQ_GT] = ACTIONS(153),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(2968),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2975),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_static] = ACTIONS(2968),
    [anon_sym_readonly] = ACTIONS(2968),
    [anon_sym_get] = ACTIONS(2968),
    [anon_sym_set] = ACTIONS(2968),
    [anon_sym_declare] = ACTIONS(2968),
    [anon_sym_public] = ACTIONS(2968),
    [anon_sym_private] = ACTIONS(2968),
    [anon_sym_protected] = ACTIONS(2968),
    [anon_sym_override] = ACTIONS(2968),
    [anon_sym_module] = ACTIONS(2968),
    [anon_sym_any] = ACTIONS(2968),
    [anon_sym_number] = ACTIONS(2968),
    [anon_sym_boolean] = ACTIONS(2968),
    [anon_sym_string] = ACTIONS(2968),
    [anon_sym_symbol] = ACTIONS(2968),
    [anon_sym_object] = ACTIONS(2968),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [891] = {
    [sym__call_signature] = STATE(7253),
    [sym_comment] = STATE(891),
    [sym_formal_parameters] = STATE(4790),
    [sym_type_parameters] = STATE(6683),
    [sym_identifier] = ACTIONS(2966),
    [anon_sym_export] = ACTIONS(2968),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(2968),
    [anon_sym_EQ] = ACTIONS(1292),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2968),
    [anon_sym_let] = ACTIONS(2968),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2970),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(2968),
    [anon_sym_function] = ACTIONS(2973),
    [anon_sym_EQ_GT] = ACTIONS(153),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(2968),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2975),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_static] = ACTIONS(2968),
    [anon_sym_readonly] = ACTIONS(2968),
    [anon_sym_get] = ACTIONS(2968),
    [anon_sym_set] = ACTIONS(2968),
    [anon_sym_declare] = ACTIONS(2968),
    [anon_sym_public] = ACTIONS(2968),
    [anon_sym_private] = ACTIONS(2968),
    [anon_sym_protected] = ACTIONS(2968),
    [anon_sym_override] = ACTIONS(2968),
    [anon_sym_module] = ACTIONS(2968),
    [anon_sym_any] = ACTIONS(2968),
    [anon_sym_number] = ACTIONS(2968),
    [anon_sym_boolean] = ACTIONS(2968),
    [anon_sym_string] = ACTIONS(2968),
    [anon_sym_symbol] = ACTIONS(2968),
    [anon_sym_object] = ACTIONS(2968),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [892] = {
    [sym_comment] = STATE(892),
    [sym_identifier] = ACTIONS(2067),
    [anon_sym_export] = ACTIONS(2067),
    [anon_sym_default] = ACTIONS(2067),
    [anon_sym_type] = ACTIONS(2067),
    [anon_sym_namespace] = ACTIONS(2067),
    [anon_sym_LBRACE] = ACTIONS(2067),
    [anon_sym_RBRACE] = ACTIONS(2067),
    [anon_sym_typeof] = ACTIONS(2067),
    [anon_sym_import] = ACTIONS(2067),
    [anon_sym_with] = ACTIONS(2067),
    [anon_sym_var] = ACTIONS(2067),
    [anon_sym_let] = ACTIONS(2067),
    [anon_sym_const] = ACTIONS(2067),
    [anon_sym_BANG] = ACTIONS(2067),
    [anon_sym_if] = ACTIONS(2067),
    [anon_sym_switch] = ACTIONS(2067),
    [anon_sym_for] = ACTIONS(2067),
    [anon_sym_LPAREN] = ACTIONS(2067),
    [anon_sym_await] = ACTIONS(2067),
    [anon_sym_while] = ACTIONS(2067),
    [anon_sym_do] = ACTIONS(2067),
    [anon_sym_try] = ACTIONS(2067),
    [anon_sym_break] = ACTIONS(2067),
    [anon_sym_continue] = ACTIONS(2067),
    [anon_sym_debugger] = ACTIONS(2067),
    [anon_sym_return] = ACTIONS(2067),
    [anon_sym_throw] = ACTIONS(2067),
    [anon_sym_SEMI] = ACTIONS(2067),
    [anon_sym_case] = ACTIONS(2067),
    [anon_sym_catch] = ACTIONS(2067),
    [anon_sym_finally] = ACTIONS(2067),
    [anon_sym_yield] = ACTIONS(2067),
    [anon_sym_LBRACK] = ACTIONS(2067),
    [anon_sym_LTtemplate_GT] = ACTIONS(2067),
    [anon_sym_DQUOTE] = ACTIONS(2067),
    [anon_sym_SQUOTE] = ACTIONS(2067),
    [anon_sym_class] = ACTIONS(2067),
    [anon_sym_async] = ACTIONS(2067),
    [anon_sym_function] = ACTIONS(2067),
    [anon_sym_new] = ACTIONS(2067),
    [anon_sym_using] = ACTIONS(2067),
    [anon_sym_PLUS] = ACTIONS(2067),
    [anon_sym_DASH] = ACTIONS(2067),
    [anon_sym_SLASH] = ACTIONS(2067),
    [anon_sym_LT] = ACTIONS(2067),
    [anon_sym_TILDE] = ACTIONS(2067),
    [anon_sym_void] = ACTIONS(2067),
    [anon_sym_delete] = ACTIONS(2067),
    [anon_sym_PLUS_PLUS] = ACTIONS(2067),
    [anon_sym_DASH_DASH] = ACTIONS(2067),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2067),
    [sym_number] = ACTIONS(2067),
    [sym_private_property_identifier] = ACTIONS(2067),
    [sym_this] = ACTIONS(2067),
    [sym_super] = ACTIONS(2067),
    [sym_true] = ACTIONS(2067),
    [sym_false] = ACTIONS(2067),
    [sym_null] = ACTIONS(2067),
    [sym_undefined] = ACTIONS(2067),
    [anon_sym_AT] = ACTIONS(2067),
    [anon_sym_static] = ACTIONS(2067),
    [anon_sym_readonly] = ACTIONS(2067),
    [anon_sym_get] = ACTIONS(2067),
    [anon_sym_set] = ACTIONS(2067),
    [anon_sym_declare] = ACTIONS(2067),
    [anon_sym_public] = ACTIONS(2067),
    [anon_sym_private] = ACTIONS(2067),
    [anon_sym_protected] = ACTIONS(2067),
    [anon_sym_override] = ACTIONS(2067),
    [anon_sym_module] = ACTIONS(2067),
    [anon_sym_any] = ACTIONS(2067),
    [anon_sym_number] = ACTIONS(2067),
    [anon_sym_boolean] = ACTIONS(2067),
    [anon_sym_string] = ACTIONS(2067),
    [anon_sym_symbol] = ACTIONS(2067),
    [anon_sym_object] = ACTIONS(2067),
    [anon_sym_abstract] = ACTIONS(2067),
    [anon_sym_interface] = ACTIONS(2067),
    [anon_sym_enum] = ACTIONS(2067),
    [sym__automatic_semicolon] = ACTIONS(3042),
    [sym_html_comment] = ACTIONS(5),
  },
  [893] = {
    [sym__call_signature] = STATE(7253),
    [sym_comment] = STATE(893),
    [sym_formal_parameters] = STATE(4790),
    [sym_type_parameters] = STATE(6683),
    [sym_identifier] = ACTIONS(2966),
    [anon_sym_export] = ACTIONS(2968),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(2968),
    [anon_sym_EQ] = ACTIONS(1356),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2968),
    [anon_sym_let] = ACTIONS(2968),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2970),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(2968),
    [anon_sym_function] = ACTIONS(2973),
    [anon_sym_EQ_GT] = ACTIONS(153),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(2968),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2975),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_static] = ACTIONS(2968),
    [anon_sym_readonly] = ACTIONS(2968),
    [anon_sym_get] = ACTIONS(2968),
    [anon_sym_set] = ACTIONS(2968),
    [anon_sym_declare] = ACTIONS(2968),
    [anon_sym_public] = ACTIONS(2968),
    [anon_sym_private] = ACTIONS(2968),
    [anon_sym_protected] = ACTIONS(2968),
    [anon_sym_override] = ACTIONS(2968),
    [anon_sym_module] = ACTIONS(2968),
    [anon_sym_any] = ACTIONS(2968),
    [anon_sym_number] = ACTIONS(2968),
    [anon_sym_boolean] = ACTIONS(2968),
    [anon_sym_string] = ACTIONS(2968),
    [anon_sym_symbol] = ACTIONS(2968),
    [anon_sym_object] = ACTIONS(2968),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [894] = {
    [sym_comment] = STATE(894),
    [ts_builtin_sym_end] = ACTIONS(2095),
    [sym_identifier] = ACTIONS(2093),
    [anon_sym_export] = ACTIONS(2093),
    [anon_sym_type] = ACTIONS(2093),
    [anon_sym_namespace] = ACTIONS(2093),
    [anon_sym_LBRACE] = ACTIONS(2093),
    [anon_sym_RBRACE] = ACTIONS(2093),
    [anon_sym_typeof] = ACTIONS(2093),
    [anon_sym_import] = ACTIONS(2093),
    [anon_sym_with] = ACTIONS(2093),
    [anon_sym_var] = ACTIONS(2093),
    [anon_sym_let] = ACTIONS(2093),
    [anon_sym_const] = ACTIONS(2093),
    [anon_sym_BANG] = ACTIONS(2093),
    [anon_sym_else] = ACTIONS(2093),
    [anon_sym_if] = ACTIONS(2093),
    [anon_sym_switch] = ACTIONS(2093),
    [anon_sym_for] = ACTIONS(2093),
    [anon_sym_LPAREN] = ACTIONS(2093),
    [anon_sym_await] = ACTIONS(2093),
    [anon_sym_while] = ACTIONS(2093),
    [anon_sym_do] = ACTIONS(2093),
    [anon_sym_try] = ACTIONS(2093),
    [anon_sym_break] = ACTIONS(2093),
    [anon_sym_continue] = ACTIONS(2093),
    [anon_sym_debugger] = ACTIONS(2093),
    [anon_sym_return] = ACTIONS(2093),
    [anon_sym_throw] = ACTIONS(2093),
    [anon_sym_SEMI] = ACTIONS(2093),
    [anon_sym_catch] = ACTIONS(2093),
    [anon_sym_finally] = ACTIONS(2093),
    [anon_sym_yield] = ACTIONS(2093),
    [anon_sym_LBRACK] = ACTIONS(2093),
    [anon_sym_LTtemplate_GT] = ACTIONS(2093),
    [anon_sym_DQUOTE] = ACTIONS(2093),
    [anon_sym_SQUOTE] = ACTIONS(2093),
    [anon_sym_class] = ACTIONS(2093),
    [anon_sym_async] = ACTIONS(2093),
    [anon_sym_function] = ACTIONS(2093),
    [anon_sym_new] = ACTIONS(2093),
    [anon_sym_using] = ACTIONS(2093),
    [anon_sym_PLUS] = ACTIONS(2093),
    [anon_sym_DASH] = ACTIONS(2093),
    [anon_sym_SLASH] = ACTIONS(2093),
    [anon_sym_LT] = ACTIONS(2093),
    [anon_sym_TILDE] = ACTIONS(2093),
    [anon_sym_void] = ACTIONS(2093),
    [anon_sym_delete] = ACTIONS(2093),
    [anon_sym_PLUS_PLUS] = ACTIONS(2093),
    [anon_sym_DASH_DASH] = ACTIONS(2093),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2093),
    [sym_number] = ACTIONS(2093),
    [sym_private_property_identifier] = ACTIONS(2093),
    [sym_this] = ACTIONS(2093),
    [sym_super] = ACTIONS(2093),
    [sym_true] = ACTIONS(2093),
    [sym_false] = ACTIONS(2093),
    [sym_null] = ACTIONS(2093),
    [sym_undefined] = ACTIONS(2093),
    [anon_sym_AT] = ACTIONS(2093),
    [anon_sym_static] = ACTIONS(2093),
    [anon_sym_readonly] = ACTIONS(2093),
    [anon_sym_get] = ACTIONS(2093),
    [anon_sym_set] = ACTIONS(2093),
    [anon_sym_declare] = ACTIONS(2093),
    [anon_sym_public] = ACTIONS(2093),
    [anon_sym_private] = ACTIONS(2093),
    [anon_sym_protected] = ACTIONS(2093),
    [anon_sym_override] = ACTIONS(2093),
    [anon_sym_module] = ACTIONS(2093),
    [anon_sym_any] = ACTIONS(2093),
    [anon_sym_number] = ACTIONS(2093),
    [anon_sym_boolean] = ACTIONS(2093),
    [anon_sym_string] = ACTIONS(2093),
    [anon_sym_symbol] = ACTIONS(2093),
    [anon_sym_object] = ACTIONS(2093),
    [anon_sym_abstract] = ACTIONS(2093),
    [anon_sym_interface] = ACTIONS(2093),
    [anon_sym_enum] = ACTIONS(2093),
    [sym__automatic_semicolon] = ACTIONS(3044),
    [sym_html_comment] = ACTIONS(5),
  },
  [895] = {
    [sym__call_signature] = STATE(7253),
    [sym_comment] = STATE(895),
    [sym_formal_parameters] = STATE(4790),
    [sym_type_parameters] = STATE(6683),
    [sym_identifier] = ACTIONS(2966),
    [anon_sym_export] = ACTIONS(2968),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(2968),
    [anon_sym_EQ] = ACTIONS(1117),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2968),
    [anon_sym_let] = ACTIONS(2968),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2970),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(2968),
    [anon_sym_function] = ACTIONS(2973),
    [anon_sym_EQ_GT] = ACTIONS(153),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(2968),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2975),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_static] = ACTIONS(2968),
    [anon_sym_readonly] = ACTIONS(2968),
    [anon_sym_get] = ACTIONS(2968),
    [anon_sym_set] = ACTIONS(2968),
    [anon_sym_declare] = ACTIONS(2968),
    [anon_sym_public] = ACTIONS(2968),
    [anon_sym_private] = ACTIONS(2968),
    [anon_sym_protected] = ACTIONS(2968),
    [anon_sym_override] = ACTIONS(2968),
    [anon_sym_module] = ACTIONS(2968),
    [anon_sym_any] = ACTIONS(2968),
    [anon_sym_number] = ACTIONS(2968),
    [anon_sym_boolean] = ACTIONS(2968),
    [anon_sym_string] = ACTIONS(2968),
    [anon_sym_symbol] = ACTIONS(2968),
    [anon_sym_object] = ACTIONS(2968),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [896] = {
    [sym_catch_clause] = STATE(1161),
    [sym_finally_clause] = STATE(1705),
    [sym_comment] = STATE(896),
    [ts_builtin_sym_end] = ACTIONS(3030),
    [sym_identifier] = ACTIONS(3018),
    [anon_sym_export] = ACTIONS(3018),
    [anon_sym_type] = ACTIONS(3018),
    [anon_sym_namespace] = ACTIONS(3018),
    [anon_sym_LBRACE] = ACTIONS(3018),
    [anon_sym_RBRACE] = ACTIONS(3018),
    [anon_sym_typeof] = ACTIONS(3018),
    [anon_sym_import] = ACTIONS(3018),
    [anon_sym_with] = ACTIONS(3018),
    [anon_sym_var] = ACTIONS(3018),
    [anon_sym_let] = ACTIONS(3018),
    [anon_sym_const] = ACTIONS(3018),
    [anon_sym_BANG] = ACTIONS(3018),
    [anon_sym_if] = ACTIONS(3018),
    [anon_sym_switch] = ACTIONS(3018),
    [anon_sym_for] = ACTIONS(3018),
    [anon_sym_LPAREN] = ACTIONS(3018),
    [anon_sym_await] = ACTIONS(3018),
    [anon_sym_while] = ACTIONS(3018),
    [anon_sym_do] = ACTIONS(3018),
    [anon_sym_try] = ACTIONS(3018),
    [anon_sym_break] = ACTIONS(3018),
    [anon_sym_continue] = ACTIONS(3018),
    [anon_sym_debugger] = ACTIONS(3018),
    [anon_sym_return] = ACTIONS(3018),
    [anon_sym_throw] = ACTIONS(3018),
    [anon_sym_SEMI] = ACTIONS(3018),
    [anon_sym_catch] = ACTIONS(3046),
    [anon_sym_finally] = ACTIONS(3048),
    [anon_sym_yield] = ACTIONS(3018),
    [anon_sym_LBRACK] = ACTIONS(3018),
    [anon_sym_LTtemplate_GT] = ACTIONS(3018),
    [anon_sym_DQUOTE] = ACTIONS(3018),
    [anon_sym_SQUOTE] = ACTIONS(3018),
    [anon_sym_class] = ACTIONS(3018),
    [anon_sym_async] = ACTIONS(3018),
    [anon_sym_function] = ACTIONS(3018),
    [anon_sym_new] = ACTIONS(3018),
    [anon_sym_using] = ACTIONS(3018),
    [anon_sym_PLUS] = ACTIONS(3018),
    [anon_sym_DASH] = ACTIONS(3018),
    [anon_sym_SLASH] = ACTIONS(3018),
    [anon_sym_LT] = ACTIONS(3018),
    [anon_sym_TILDE] = ACTIONS(3018),
    [anon_sym_void] = ACTIONS(3018),
    [anon_sym_delete] = ACTIONS(3018),
    [anon_sym_PLUS_PLUS] = ACTIONS(3018),
    [anon_sym_DASH_DASH] = ACTIONS(3018),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3018),
    [sym_number] = ACTIONS(3018),
    [sym_private_property_identifier] = ACTIONS(3018),
    [sym_this] = ACTIONS(3018),
    [sym_super] = ACTIONS(3018),
    [sym_true] = ACTIONS(3018),
    [sym_false] = ACTIONS(3018),
    [sym_null] = ACTIONS(3018),
    [sym_undefined] = ACTIONS(3018),
    [anon_sym_AT] = ACTIONS(3018),
    [anon_sym_static] = ACTIONS(3018),
    [anon_sym_readonly] = ACTIONS(3018),
    [anon_sym_get] = ACTIONS(3018),
    [anon_sym_set] = ACTIONS(3018),
    [anon_sym_declare] = ACTIONS(3018),
    [anon_sym_public] = ACTIONS(3018),
    [anon_sym_private] = ACTIONS(3018),
    [anon_sym_protected] = ACTIONS(3018),
    [anon_sym_override] = ACTIONS(3018),
    [anon_sym_module] = ACTIONS(3018),
    [anon_sym_any] = ACTIONS(3018),
    [anon_sym_number] = ACTIONS(3018),
    [anon_sym_boolean] = ACTIONS(3018),
    [anon_sym_string] = ACTIONS(3018),
    [anon_sym_symbol] = ACTIONS(3018),
    [anon_sym_object] = ACTIONS(3018),
    [anon_sym_abstract] = ACTIONS(3018),
    [anon_sym_interface] = ACTIONS(3018),
    [anon_sym_enum] = ACTIONS(3018),
    [sym_html_comment] = ACTIONS(5),
  },
  [897] = {
    [sym__call_signature] = STATE(7253),
    [sym_comment] = STATE(897),
    [sym_formal_parameters] = STATE(4790),
    [sym_type_parameters] = STATE(6683),
    [sym_identifier] = ACTIONS(2966),
    [anon_sym_export] = ACTIONS(2968),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(2968),
    [anon_sym_EQ] = ACTIONS(1346),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2968),
    [anon_sym_let] = ACTIONS(2968),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2970),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(2968),
    [anon_sym_function] = ACTIONS(2973),
    [anon_sym_EQ_GT] = ACTIONS(153),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(2968),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2975),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_static] = ACTIONS(2968),
    [anon_sym_readonly] = ACTIONS(2968),
    [anon_sym_get] = ACTIONS(2968),
    [anon_sym_set] = ACTIONS(2968),
    [anon_sym_declare] = ACTIONS(2968),
    [anon_sym_public] = ACTIONS(2968),
    [anon_sym_private] = ACTIONS(2968),
    [anon_sym_protected] = ACTIONS(2968),
    [anon_sym_override] = ACTIONS(2968),
    [anon_sym_module] = ACTIONS(2968),
    [anon_sym_any] = ACTIONS(2968),
    [anon_sym_number] = ACTIONS(2968),
    [anon_sym_boolean] = ACTIONS(2968),
    [anon_sym_string] = ACTIONS(2968),
    [anon_sym_symbol] = ACTIONS(2968),
    [anon_sym_object] = ACTIONS(2968),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [898] = {
    [sym__call_signature] = STATE(7253),
    [sym_comment] = STATE(898),
    [sym_formal_parameters] = STATE(4790),
    [sym_type_parameters] = STATE(6683),
    [sym_identifier] = ACTIONS(2966),
    [anon_sym_export] = ACTIONS(2968),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(2968),
    [anon_sym_EQ] = ACTIONS(1352),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2968),
    [anon_sym_let] = ACTIONS(2968),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2970),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(2968),
    [anon_sym_function] = ACTIONS(2973),
    [anon_sym_EQ_GT] = ACTIONS(153),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(2968),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2975),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_static] = ACTIONS(2968),
    [anon_sym_readonly] = ACTIONS(2968),
    [anon_sym_get] = ACTIONS(2968),
    [anon_sym_set] = ACTIONS(2968),
    [anon_sym_declare] = ACTIONS(2968),
    [anon_sym_public] = ACTIONS(2968),
    [anon_sym_private] = ACTIONS(2968),
    [anon_sym_protected] = ACTIONS(2968),
    [anon_sym_override] = ACTIONS(2968),
    [anon_sym_module] = ACTIONS(2968),
    [anon_sym_any] = ACTIONS(2968),
    [anon_sym_number] = ACTIONS(2968),
    [anon_sym_boolean] = ACTIONS(2968),
    [anon_sym_string] = ACTIONS(2968),
    [anon_sym_symbol] = ACTIONS(2968),
    [anon_sym_object] = ACTIONS(2968),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [899] = {
    [sym_comment] = STATE(899),
    [sym_identifier] = ACTIONS(2093),
    [anon_sym_export] = ACTIONS(2093),
    [anon_sym_default] = ACTIONS(2093),
    [anon_sym_type] = ACTIONS(2093),
    [anon_sym_namespace] = ACTIONS(2093),
    [anon_sym_LBRACE] = ACTIONS(2093),
    [anon_sym_RBRACE] = ACTIONS(2093),
    [anon_sym_typeof] = ACTIONS(2093),
    [anon_sym_import] = ACTIONS(2093),
    [anon_sym_with] = ACTIONS(2093),
    [anon_sym_var] = ACTIONS(2093),
    [anon_sym_let] = ACTIONS(2093),
    [anon_sym_const] = ACTIONS(2093),
    [anon_sym_BANG] = ACTIONS(2093),
    [anon_sym_else] = ACTIONS(2093),
    [anon_sym_if] = ACTIONS(2093),
    [anon_sym_switch] = ACTIONS(2093),
    [anon_sym_for] = ACTIONS(2093),
    [anon_sym_LPAREN] = ACTIONS(2093),
    [anon_sym_await] = ACTIONS(2093),
    [anon_sym_while] = ACTIONS(2093),
    [anon_sym_do] = ACTIONS(2093),
    [anon_sym_try] = ACTIONS(2093),
    [anon_sym_break] = ACTIONS(2093),
    [anon_sym_continue] = ACTIONS(2093),
    [anon_sym_debugger] = ACTIONS(2093),
    [anon_sym_return] = ACTIONS(2093),
    [anon_sym_throw] = ACTIONS(2093),
    [anon_sym_SEMI] = ACTIONS(2093),
    [anon_sym_case] = ACTIONS(2093),
    [anon_sym_finally] = ACTIONS(2093),
    [anon_sym_yield] = ACTIONS(2093),
    [anon_sym_LBRACK] = ACTIONS(2093),
    [anon_sym_LTtemplate_GT] = ACTIONS(2093),
    [anon_sym_DQUOTE] = ACTIONS(2093),
    [anon_sym_SQUOTE] = ACTIONS(2093),
    [anon_sym_class] = ACTIONS(2093),
    [anon_sym_async] = ACTIONS(2093),
    [anon_sym_function] = ACTIONS(2093),
    [anon_sym_new] = ACTIONS(2093),
    [anon_sym_using] = ACTIONS(2093),
    [anon_sym_PLUS] = ACTIONS(2093),
    [anon_sym_DASH] = ACTIONS(2093),
    [anon_sym_SLASH] = ACTIONS(2093),
    [anon_sym_LT] = ACTIONS(2093),
    [anon_sym_TILDE] = ACTIONS(2093),
    [anon_sym_void] = ACTIONS(2093),
    [anon_sym_delete] = ACTIONS(2093),
    [anon_sym_PLUS_PLUS] = ACTIONS(2093),
    [anon_sym_DASH_DASH] = ACTIONS(2093),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2093),
    [sym_number] = ACTIONS(2093),
    [sym_private_property_identifier] = ACTIONS(2093),
    [sym_this] = ACTIONS(2093),
    [sym_super] = ACTIONS(2093),
    [sym_true] = ACTIONS(2093),
    [sym_false] = ACTIONS(2093),
    [sym_null] = ACTIONS(2093),
    [sym_undefined] = ACTIONS(2093),
    [anon_sym_AT] = ACTIONS(2093),
    [anon_sym_static] = ACTIONS(2093),
    [anon_sym_readonly] = ACTIONS(2093),
    [anon_sym_get] = ACTIONS(2093),
    [anon_sym_set] = ACTIONS(2093),
    [anon_sym_declare] = ACTIONS(2093),
    [anon_sym_public] = ACTIONS(2093),
    [anon_sym_private] = ACTIONS(2093),
    [anon_sym_protected] = ACTIONS(2093),
    [anon_sym_override] = ACTIONS(2093),
    [anon_sym_module] = ACTIONS(2093),
    [anon_sym_any] = ACTIONS(2093),
    [anon_sym_number] = ACTIONS(2093),
    [anon_sym_boolean] = ACTIONS(2093),
    [anon_sym_string] = ACTIONS(2093),
    [anon_sym_symbol] = ACTIONS(2093),
    [anon_sym_object] = ACTIONS(2093),
    [anon_sym_abstract] = ACTIONS(2093),
    [anon_sym_interface] = ACTIONS(2093),
    [anon_sym_enum] = ACTIONS(2093),
    [sym__automatic_semicolon] = ACTIONS(3050),
    [sym_html_comment] = ACTIONS(5),
  },
  [900] = {
    [sym__call_signature] = STATE(7253),
    [sym_comment] = STATE(900),
    [sym_formal_parameters] = STATE(4790),
    [sym_type_parameters] = STATE(6683),
    [sym_identifier] = ACTIONS(2966),
    [anon_sym_export] = ACTIONS(2968),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(2968),
    [anon_sym_EQ] = ACTIONS(1348),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2968),
    [anon_sym_let] = ACTIONS(2968),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2970),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(2968),
    [anon_sym_function] = ACTIONS(2973),
    [anon_sym_EQ_GT] = ACTIONS(153),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(2968),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2975),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_static] = ACTIONS(2968),
    [anon_sym_readonly] = ACTIONS(2968),
    [anon_sym_get] = ACTIONS(2968),
    [anon_sym_set] = ACTIONS(2968),
    [anon_sym_declare] = ACTIONS(2968),
    [anon_sym_public] = ACTIONS(2968),
    [anon_sym_private] = ACTIONS(2968),
    [anon_sym_protected] = ACTIONS(2968),
    [anon_sym_override] = ACTIONS(2968),
    [anon_sym_module] = ACTIONS(2968),
    [anon_sym_any] = ACTIONS(2968),
    [anon_sym_number] = ACTIONS(2968),
    [anon_sym_boolean] = ACTIONS(2968),
    [anon_sym_string] = ACTIONS(2968),
    [anon_sym_symbol] = ACTIONS(2968),
    [anon_sym_object] = ACTIONS(2968),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [901] = {
    [sym__call_signature] = STATE(7253),
    [sym_comment] = STATE(901),
    [sym_formal_parameters] = STATE(4790),
    [sym_type_parameters] = STATE(6683),
    [sym_identifier] = ACTIONS(2966),
    [anon_sym_export] = ACTIONS(2968),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(2968),
    [anon_sym_EQ] = ACTIONS(1344),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2968),
    [anon_sym_let] = ACTIONS(2968),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2970),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(2968),
    [anon_sym_function] = ACTIONS(2973),
    [anon_sym_EQ_GT] = ACTIONS(153),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(2968),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2975),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_static] = ACTIONS(2968),
    [anon_sym_readonly] = ACTIONS(2968),
    [anon_sym_get] = ACTIONS(2968),
    [anon_sym_set] = ACTIONS(2968),
    [anon_sym_declare] = ACTIONS(2968),
    [anon_sym_public] = ACTIONS(2968),
    [anon_sym_private] = ACTIONS(2968),
    [anon_sym_protected] = ACTIONS(2968),
    [anon_sym_override] = ACTIONS(2968),
    [anon_sym_module] = ACTIONS(2968),
    [anon_sym_any] = ACTIONS(2968),
    [anon_sym_number] = ACTIONS(2968),
    [anon_sym_boolean] = ACTIONS(2968),
    [anon_sym_string] = ACTIONS(2968),
    [anon_sym_symbol] = ACTIONS(2968),
    [anon_sym_object] = ACTIONS(2968),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [902] = {
    [sym__call_signature] = STATE(7253),
    [sym_comment] = STATE(902),
    [sym_formal_parameters] = STATE(4790),
    [sym_type_parameters] = STATE(6683),
    [sym_identifier] = ACTIONS(2966),
    [anon_sym_export] = ACTIONS(2968),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(2968),
    [anon_sym_EQ] = ACTIONS(1358),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2968),
    [anon_sym_let] = ACTIONS(2968),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2970),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(2968),
    [anon_sym_function] = ACTIONS(2973),
    [anon_sym_EQ_GT] = ACTIONS(153),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(2968),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2975),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_static] = ACTIONS(2968),
    [anon_sym_readonly] = ACTIONS(2968),
    [anon_sym_get] = ACTIONS(2968),
    [anon_sym_set] = ACTIONS(2968),
    [anon_sym_declare] = ACTIONS(2968),
    [anon_sym_public] = ACTIONS(2968),
    [anon_sym_private] = ACTIONS(2968),
    [anon_sym_protected] = ACTIONS(2968),
    [anon_sym_override] = ACTIONS(2968),
    [anon_sym_module] = ACTIONS(2968),
    [anon_sym_any] = ACTIONS(2968),
    [anon_sym_number] = ACTIONS(2968),
    [anon_sym_boolean] = ACTIONS(2968),
    [anon_sym_string] = ACTIONS(2968),
    [anon_sym_symbol] = ACTIONS(2968),
    [anon_sym_object] = ACTIONS(2968),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [903] = {
    [sym_comment] = STATE(903),
    [ts_builtin_sym_end] = ACTIONS(2103),
    [sym_identifier] = ACTIONS(2067),
    [anon_sym_export] = ACTIONS(2067),
    [anon_sym_type] = ACTIONS(2067),
    [anon_sym_namespace] = ACTIONS(2067),
    [anon_sym_LBRACE] = ACTIONS(2067),
    [anon_sym_RBRACE] = ACTIONS(2067),
    [anon_sym_typeof] = ACTIONS(2067),
    [anon_sym_import] = ACTIONS(2067),
    [anon_sym_with] = ACTIONS(2067),
    [anon_sym_var] = ACTIONS(2067),
    [anon_sym_let] = ACTIONS(2067),
    [anon_sym_const] = ACTIONS(2067),
    [anon_sym_BANG] = ACTIONS(2067),
    [anon_sym_else] = ACTIONS(2067),
    [anon_sym_if] = ACTIONS(2067),
    [anon_sym_switch] = ACTIONS(2067),
    [anon_sym_for] = ACTIONS(2067),
    [anon_sym_LPAREN] = ACTIONS(2067),
    [anon_sym_await] = ACTIONS(2067),
    [anon_sym_while] = ACTIONS(2067),
    [anon_sym_do] = ACTIONS(2067),
    [anon_sym_try] = ACTIONS(2067),
    [anon_sym_break] = ACTIONS(2067),
    [anon_sym_continue] = ACTIONS(2067),
    [anon_sym_debugger] = ACTIONS(2067),
    [anon_sym_return] = ACTIONS(2067),
    [anon_sym_throw] = ACTIONS(2067),
    [anon_sym_SEMI] = ACTIONS(2067),
    [anon_sym_catch] = ACTIONS(2067),
    [anon_sym_finally] = ACTIONS(2067),
    [anon_sym_yield] = ACTIONS(2067),
    [anon_sym_LBRACK] = ACTIONS(2067),
    [anon_sym_LTtemplate_GT] = ACTIONS(2067),
    [anon_sym_DQUOTE] = ACTIONS(2067),
    [anon_sym_SQUOTE] = ACTIONS(2067),
    [anon_sym_class] = ACTIONS(2067),
    [anon_sym_async] = ACTIONS(2067),
    [anon_sym_function] = ACTIONS(2067),
    [anon_sym_new] = ACTIONS(2067),
    [anon_sym_using] = ACTIONS(2067),
    [anon_sym_PLUS] = ACTIONS(2067),
    [anon_sym_DASH] = ACTIONS(2067),
    [anon_sym_SLASH] = ACTIONS(2067),
    [anon_sym_LT] = ACTIONS(2067),
    [anon_sym_TILDE] = ACTIONS(2067),
    [anon_sym_void] = ACTIONS(2067),
    [anon_sym_delete] = ACTIONS(2067),
    [anon_sym_PLUS_PLUS] = ACTIONS(2067),
    [anon_sym_DASH_DASH] = ACTIONS(2067),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2067),
    [sym_number] = ACTIONS(2067),
    [sym_private_property_identifier] = ACTIONS(2067),
    [sym_this] = ACTIONS(2067),
    [sym_super] = ACTIONS(2067),
    [sym_true] = ACTIONS(2067),
    [sym_false] = ACTIONS(2067),
    [sym_null] = ACTIONS(2067),
    [sym_undefined] = ACTIONS(2067),
    [anon_sym_AT] = ACTIONS(2067),
    [anon_sym_static] = ACTIONS(2067),
    [anon_sym_readonly] = ACTIONS(2067),
    [anon_sym_get] = ACTIONS(2067),
    [anon_sym_set] = ACTIONS(2067),
    [anon_sym_declare] = ACTIONS(2067),
    [anon_sym_public] = ACTIONS(2067),
    [anon_sym_private] = ACTIONS(2067),
    [anon_sym_protected] = ACTIONS(2067),
    [anon_sym_override] = ACTIONS(2067),
    [anon_sym_module] = ACTIONS(2067),
    [anon_sym_any] = ACTIONS(2067),
    [anon_sym_number] = ACTIONS(2067),
    [anon_sym_boolean] = ACTIONS(2067),
    [anon_sym_string] = ACTIONS(2067),
    [anon_sym_symbol] = ACTIONS(2067),
    [anon_sym_object] = ACTIONS(2067),
    [anon_sym_abstract] = ACTIONS(2067),
    [anon_sym_interface] = ACTIONS(2067),
    [anon_sym_enum] = ACTIONS(2067),
    [sym__automatic_semicolon] = ACTIONS(3052),
    [sym_html_comment] = ACTIONS(5),
  },
  [904] = {
    [sym_comment] = STATE(904),
    [sym_identifier] = ACTIONS(2093),
    [anon_sym_export] = ACTIONS(2093),
    [anon_sym_default] = ACTIONS(2093),
    [anon_sym_type] = ACTIONS(2093),
    [anon_sym_namespace] = ACTIONS(2093),
    [anon_sym_LBRACE] = ACTIONS(2093),
    [anon_sym_RBRACE] = ACTIONS(2093),
    [anon_sym_typeof] = ACTIONS(2093),
    [anon_sym_import] = ACTIONS(2093),
    [anon_sym_with] = ACTIONS(2093),
    [anon_sym_var] = ACTIONS(2093),
    [anon_sym_let] = ACTIONS(2093),
    [anon_sym_const] = ACTIONS(2093),
    [anon_sym_BANG] = ACTIONS(2093),
    [anon_sym_if] = ACTIONS(2093),
    [anon_sym_switch] = ACTIONS(2093),
    [anon_sym_for] = ACTIONS(2093),
    [anon_sym_LPAREN] = ACTIONS(2093),
    [anon_sym_await] = ACTIONS(2093),
    [anon_sym_while] = ACTIONS(2093),
    [anon_sym_do] = ACTIONS(2093),
    [anon_sym_try] = ACTIONS(2093),
    [anon_sym_break] = ACTIONS(2093),
    [anon_sym_continue] = ACTIONS(2093),
    [anon_sym_debugger] = ACTIONS(2093),
    [anon_sym_return] = ACTIONS(2093),
    [anon_sym_throw] = ACTIONS(2093),
    [anon_sym_SEMI] = ACTIONS(2093),
    [anon_sym_case] = ACTIONS(2093),
    [anon_sym_catch] = ACTIONS(2093),
    [anon_sym_finally] = ACTIONS(2093),
    [anon_sym_yield] = ACTIONS(2093),
    [anon_sym_LBRACK] = ACTIONS(2093),
    [anon_sym_LTtemplate_GT] = ACTIONS(2093),
    [anon_sym_DQUOTE] = ACTIONS(2093),
    [anon_sym_SQUOTE] = ACTIONS(2093),
    [anon_sym_class] = ACTIONS(2093),
    [anon_sym_async] = ACTIONS(2093),
    [anon_sym_function] = ACTIONS(2093),
    [anon_sym_new] = ACTIONS(2093),
    [anon_sym_using] = ACTIONS(2093),
    [anon_sym_PLUS] = ACTIONS(2093),
    [anon_sym_DASH] = ACTIONS(2093),
    [anon_sym_SLASH] = ACTIONS(2093),
    [anon_sym_LT] = ACTIONS(2093),
    [anon_sym_TILDE] = ACTIONS(2093),
    [anon_sym_void] = ACTIONS(2093),
    [anon_sym_delete] = ACTIONS(2093),
    [anon_sym_PLUS_PLUS] = ACTIONS(2093),
    [anon_sym_DASH_DASH] = ACTIONS(2093),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2093),
    [sym_number] = ACTIONS(2093),
    [sym_private_property_identifier] = ACTIONS(2093),
    [sym_this] = ACTIONS(2093),
    [sym_super] = ACTIONS(2093),
    [sym_true] = ACTIONS(2093),
    [sym_false] = ACTIONS(2093),
    [sym_null] = ACTIONS(2093),
    [sym_undefined] = ACTIONS(2093),
    [anon_sym_AT] = ACTIONS(2093),
    [anon_sym_static] = ACTIONS(2093),
    [anon_sym_readonly] = ACTIONS(2093),
    [anon_sym_get] = ACTIONS(2093),
    [anon_sym_set] = ACTIONS(2093),
    [anon_sym_declare] = ACTIONS(2093),
    [anon_sym_public] = ACTIONS(2093),
    [anon_sym_private] = ACTIONS(2093),
    [anon_sym_protected] = ACTIONS(2093),
    [anon_sym_override] = ACTIONS(2093),
    [anon_sym_module] = ACTIONS(2093),
    [anon_sym_any] = ACTIONS(2093),
    [anon_sym_number] = ACTIONS(2093),
    [anon_sym_boolean] = ACTIONS(2093),
    [anon_sym_string] = ACTIONS(2093),
    [anon_sym_symbol] = ACTIONS(2093),
    [anon_sym_object] = ACTIONS(2093),
    [anon_sym_abstract] = ACTIONS(2093),
    [anon_sym_interface] = ACTIONS(2093),
    [anon_sym_enum] = ACTIONS(2093),
    [sym__automatic_semicolon] = ACTIONS(3054),
    [sym_html_comment] = ACTIONS(5),
  },
  [905] = {
    [sym_finally_clause] = STATE(1193),
    [sym_comment] = STATE(905),
    [sym_identifier] = ACTIONS(3056),
    [anon_sym_export] = ACTIONS(3056),
    [anon_sym_default] = ACTIONS(3056),
    [anon_sym_type] = ACTIONS(3056),
    [anon_sym_namespace] = ACTIONS(3056),
    [anon_sym_LBRACE] = ACTIONS(3056),
    [anon_sym_RBRACE] = ACTIONS(3056),
    [anon_sym_typeof] = ACTIONS(3056),
    [anon_sym_import] = ACTIONS(3056),
    [anon_sym_with] = ACTIONS(3056),
    [anon_sym_var] = ACTIONS(3056),
    [anon_sym_let] = ACTIONS(3056),
    [anon_sym_const] = ACTIONS(3056),
    [anon_sym_BANG] = ACTIONS(3056),
    [anon_sym_else] = ACTIONS(3056),
    [anon_sym_if] = ACTIONS(3056),
    [anon_sym_switch] = ACTIONS(3056),
    [anon_sym_for] = ACTIONS(3056),
    [anon_sym_LPAREN] = ACTIONS(3056),
    [anon_sym_await] = ACTIONS(3056),
    [anon_sym_while] = ACTIONS(3056),
    [anon_sym_do] = ACTIONS(3056),
    [anon_sym_try] = ACTIONS(3056),
    [anon_sym_break] = ACTIONS(3056),
    [anon_sym_continue] = ACTIONS(3056),
    [anon_sym_debugger] = ACTIONS(3056),
    [anon_sym_return] = ACTIONS(3056),
    [anon_sym_throw] = ACTIONS(3056),
    [anon_sym_SEMI] = ACTIONS(3056),
    [anon_sym_case] = ACTIONS(3056),
    [anon_sym_finally] = ACTIONS(3022),
    [anon_sym_yield] = ACTIONS(3056),
    [anon_sym_LBRACK] = ACTIONS(3056),
    [anon_sym_LTtemplate_GT] = ACTIONS(3056),
    [anon_sym_DQUOTE] = ACTIONS(3056),
    [anon_sym_SQUOTE] = ACTIONS(3056),
    [anon_sym_class] = ACTIONS(3056),
    [anon_sym_async] = ACTIONS(3056),
    [anon_sym_function] = ACTIONS(3056),
    [anon_sym_new] = ACTIONS(3056),
    [anon_sym_using] = ACTIONS(3056),
    [anon_sym_PLUS] = ACTIONS(3056),
    [anon_sym_DASH] = ACTIONS(3056),
    [anon_sym_SLASH] = ACTIONS(3056),
    [anon_sym_LT] = ACTIONS(3056),
    [anon_sym_TILDE] = ACTIONS(3056),
    [anon_sym_void] = ACTIONS(3056),
    [anon_sym_delete] = ACTIONS(3056),
    [anon_sym_PLUS_PLUS] = ACTIONS(3056),
    [anon_sym_DASH_DASH] = ACTIONS(3056),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3056),
    [sym_number] = ACTIONS(3056),
    [sym_private_property_identifier] = ACTIONS(3056),
    [sym_this] = ACTIONS(3056),
    [sym_super] = ACTIONS(3056),
    [sym_true] = ACTIONS(3056),
    [sym_false] = ACTIONS(3056),
    [sym_null] = ACTIONS(3056),
    [sym_undefined] = ACTIONS(3056),
    [anon_sym_AT] = ACTIONS(3056),
    [anon_sym_static] = ACTIONS(3056),
    [anon_sym_readonly] = ACTIONS(3056),
    [anon_sym_get] = ACTIONS(3056),
    [anon_sym_set] = ACTIONS(3056),
    [anon_sym_declare] = ACTIONS(3056),
    [anon_sym_public] = ACTIONS(3056),
    [anon_sym_private] = ACTIONS(3056),
    [anon_sym_protected] = ACTIONS(3056),
    [anon_sym_override] = ACTIONS(3056),
    [anon_sym_module] = ACTIONS(3056),
    [anon_sym_any] = ACTIONS(3056),
    [anon_sym_number] = ACTIONS(3056),
    [anon_sym_boolean] = ACTIONS(3056),
    [anon_sym_string] = ACTIONS(3056),
    [anon_sym_symbol] = ACTIONS(3056),
    [anon_sym_object] = ACTIONS(3056),
    [anon_sym_abstract] = ACTIONS(3056),
    [anon_sym_interface] = ACTIONS(3056),
    [anon_sym_enum] = ACTIONS(3056),
    [sym_html_comment] = ACTIONS(5),
  },
  [906] = {
    [sym__call_signature] = STATE(7253),
    [sym_comment] = STATE(906),
    [sym_formal_parameters] = STATE(4790),
    [sym_type_parameters] = STATE(6683),
    [sym_identifier] = ACTIONS(2966),
    [anon_sym_export] = ACTIONS(2968),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(2968),
    [anon_sym_EQ] = ACTIONS(1354),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2968),
    [anon_sym_let] = ACTIONS(2968),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2970),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(2968),
    [anon_sym_function] = ACTIONS(2973),
    [anon_sym_EQ_GT] = ACTIONS(153),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(2968),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2975),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_static] = ACTIONS(2968),
    [anon_sym_readonly] = ACTIONS(2968),
    [anon_sym_get] = ACTIONS(2968),
    [anon_sym_set] = ACTIONS(2968),
    [anon_sym_declare] = ACTIONS(2968),
    [anon_sym_public] = ACTIONS(2968),
    [anon_sym_private] = ACTIONS(2968),
    [anon_sym_protected] = ACTIONS(2968),
    [anon_sym_override] = ACTIONS(2968),
    [anon_sym_module] = ACTIONS(2968),
    [anon_sym_any] = ACTIONS(2968),
    [anon_sym_number] = ACTIONS(2968),
    [anon_sym_boolean] = ACTIONS(2968),
    [anon_sym_string] = ACTIONS(2968),
    [anon_sym_symbol] = ACTIONS(2968),
    [anon_sym_object] = ACTIONS(2968),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [907] = {
    [sym_comment] = STATE(907),
    [sym_identifier] = ACTIONS(2067),
    [anon_sym_export] = ACTIONS(2067),
    [anon_sym_default] = ACTIONS(2067),
    [anon_sym_type] = ACTIONS(2067),
    [anon_sym_namespace] = ACTIONS(2067),
    [anon_sym_LBRACE] = ACTIONS(2067),
    [anon_sym_RBRACE] = ACTIONS(2067),
    [anon_sym_typeof] = ACTIONS(2067),
    [anon_sym_import] = ACTIONS(2067),
    [anon_sym_with] = ACTIONS(2067),
    [anon_sym_var] = ACTIONS(2067),
    [anon_sym_let] = ACTIONS(2067),
    [anon_sym_const] = ACTIONS(2067),
    [anon_sym_BANG] = ACTIONS(2067),
    [anon_sym_else] = ACTIONS(2067),
    [anon_sym_if] = ACTIONS(2067),
    [anon_sym_switch] = ACTIONS(2067),
    [anon_sym_for] = ACTIONS(2067),
    [anon_sym_LPAREN] = ACTIONS(2067),
    [anon_sym_await] = ACTIONS(2067),
    [anon_sym_while] = ACTIONS(2067),
    [anon_sym_do] = ACTIONS(2067),
    [anon_sym_try] = ACTIONS(2067),
    [anon_sym_break] = ACTIONS(2067),
    [anon_sym_continue] = ACTIONS(2067),
    [anon_sym_debugger] = ACTIONS(2067),
    [anon_sym_return] = ACTIONS(2067),
    [anon_sym_throw] = ACTIONS(2067),
    [anon_sym_SEMI] = ACTIONS(2067),
    [anon_sym_case] = ACTIONS(2067),
    [anon_sym_finally] = ACTIONS(2067),
    [anon_sym_yield] = ACTIONS(2067),
    [anon_sym_LBRACK] = ACTIONS(2067),
    [anon_sym_LTtemplate_GT] = ACTIONS(2067),
    [anon_sym_DQUOTE] = ACTIONS(2067),
    [anon_sym_SQUOTE] = ACTIONS(2067),
    [anon_sym_class] = ACTIONS(2067),
    [anon_sym_async] = ACTIONS(2067),
    [anon_sym_function] = ACTIONS(2067),
    [anon_sym_new] = ACTIONS(2067),
    [anon_sym_using] = ACTIONS(2067),
    [anon_sym_PLUS] = ACTIONS(2067),
    [anon_sym_DASH] = ACTIONS(2067),
    [anon_sym_SLASH] = ACTIONS(2067),
    [anon_sym_LT] = ACTIONS(2067),
    [anon_sym_TILDE] = ACTIONS(2067),
    [anon_sym_void] = ACTIONS(2067),
    [anon_sym_delete] = ACTIONS(2067),
    [anon_sym_PLUS_PLUS] = ACTIONS(2067),
    [anon_sym_DASH_DASH] = ACTIONS(2067),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2067),
    [sym_number] = ACTIONS(2067),
    [sym_private_property_identifier] = ACTIONS(2067),
    [sym_this] = ACTIONS(2067),
    [sym_super] = ACTIONS(2067),
    [sym_true] = ACTIONS(2067),
    [sym_false] = ACTIONS(2067),
    [sym_null] = ACTIONS(2067),
    [sym_undefined] = ACTIONS(2067),
    [anon_sym_AT] = ACTIONS(2067),
    [anon_sym_static] = ACTIONS(2067),
    [anon_sym_readonly] = ACTIONS(2067),
    [anon_sym_get] = ACTIONS(2067),
    [anon_sym_set] = ACTIONS(2067),
    [anon_sym_declare] = ACTIONS(2067),
    [anon_sym_public] = ACTIONS(2067),
    [anon_sym_private] = ACTIONS(2067),
    [anon_sym_protected] = ACTIONS(2067),
    [anon_sym_override] = ACTIONS(2067),
    [anon_sym_module] = ACTIONS(2067),
    [anon_sym_any] = ACTIONS(2067),
    [anon_sym_number] = ACTIONS(2067),
    [anon_sym_boolean] = ACTIONS(2067),
    [anon_sym_string] = ACTIONS(2067),
    [anon_sym_symbol] = ACTIONS(2067),
    [anon_sym_object] = ACTIONS(2067),
    [anon_sym_abstract] = ACTIONS(2067),
    [anon_sym_interface] = ACTIONS(2067),
    [anon_sym_enum] = ACTIONS(2067),
    [sym__automatic_semicolon] = ACTIONS(3058),
    [sym_html_comment] = ACTIONS(5),
  },
  [908] = {
    [sym_statement_block] = STATE(1018),
    [sym_comment] = STATE(908),
    [sym_identifier] = ACTIONS(2055),
    [anon_sym_export] = ACTIONS(2055),
    [anon_sym_default] = ACTIONS(2055),
    [anon_sym_type] = ACTIONS(2055),
    [anon_sym_namespace] = ACTIONS(2055),
    [anon_sym_LBRACE] = ACTIONS(3060),
    [anon_sym_RBRACE] = ACTIONS(2055),
    [anon_sym_typeof] = ACTIONS(2055),
    [anon_sym_import] = ACTIONS(2055),
    [anon_sym_with] = ACTIONS(2055),
    [anon_sym_var] = ACTIONS(2055),
    [anon_sym_let] = ACTIONS(2055),
    [anon_sym_const] = ACTIONS(2055),
    [anon_sym_BANG] = ACTIONS(2055),
    [anon_sym_else] = ACTIONS(2055),
    [anon_sym_if] = ACTIONS(2055),
    [anon_sym_switch] = ACTIONS(2055),
    [anon_sym_for] = ACTIONS(2055),
    [anon_sym_LPAREN] = ACTIONS(2055),
    [anon_sym_await] = ACTIONS(2055),
    [anon_sym_while] = ACTIONS(2055),
    [anon_sym_do] = ACTIONS(2055),
    [anon_sym_try] = ACTIONS(2055),
    [anon_sym_break] = ACTIONS(2055),
    [anon_sym_continue] = ACTIONS(2055),
    [anon_sym_debugger] = ACTIONS(2055),
    [anon_sym_return] = ACTIONS(2055),
    [anon_sym_throw] = ACTIONS(2055),
    [anon_sym_SEMI] = ACTIONS(2055),
    [anon_sym_case] = ACTIONS(2055),
    [anon_sym_yield] = ACTIONS(2055),
    [anon_sym_LBRACK] = ACTIONS(2055),
    [anon_sym_LTtemplate_GT] = ACTIONS(2055),
    [anon_sym_DOT] = ACTIONS(3062),
    [anon_sym_DQUOTE] = ACTIONS(2055),
    [anon_sym_SQUOTE] = ACTIONS(2055),
    [anon_sym_class] = ACTIONS(2055),
    [anon_sym_async] = ACTIONS(2055),
    [anon_sym_function] = ACTIONS(2055),
    [anon_sym_new] = ACTIONS(2055),
    [anon_sym_using] = ACTIONS(2055),
    [anon_sym_PLUS] = ACTIONS(2055),
    [anon_sym_DASH] = ACTIONS(2055),
    [anon_sym_SLASH] = ACTIONS(2055),
    [anon_sym_LT] = ACTIONS(2055),
    [anon_sym_TILDE] = ACTIONS(2055),
    [anon_sym_void] = ACTIONS(2055),
    [anon_sym_delete] = ACTIONS(2055),
    [anon_sym_PLUS_PLUS] = ACTIONS(2055),
    [anon_sym_DASH_DASH] = ACTIONS(2055),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2055),
    [sym_number] = ACTIONS(2055),
    [sym_private_property_identifier] = ACTIONS(2055),
    [sym_this] = ACTIONS(2055),
    [sym_super] = ACTIONS(2055),
    [sym_true] = ACTIONS(2055),
    [sym_false] = ACTIONS(2055),
    [sym_null] = ACTIONS(2055),
    [sym_undefined] = ACTIONS(2055),
    [anon_sym_AT] = ACTIONS(2055),
    [anon_sym_static] = ACTIONS(2055),
    [anon_sym_readonly] = ACTIONS(2055),
    [anon_sym_get] = ACTIONS(2055),
    [anon_sym_set] = ACTIONS(2055),
    [anon_sym_declare] = ACTIONS(2055),
    [anon_sym_public] = ACTIONS(2055),
    [anon_sym_private] = ACTIONS(2055),
    [anon_sym_protected] = ACTIONS(2055),
    [anon_sym_override] = ACTIONS(2055),
    [anon_sym_module] = ACTIONS(2055),
    [anon_sym_any] = ACTIONS(2055),
    [anon_sym_number] = ACTIONS(2055),
    [anon_sym_boolean] = ACTIONS(2055),
    [anon_sym_string] = ACTIONS(2055),
    [anon_sym_symbol] = ACTIONS(2055),
    [anon_sym_object] = ACTIONS(2055),
    [anon_sym_abstract] = ACTIONS(2055),
    [anon_sym_interface] = ACTIONS(2055),
    [anon_sym_enum] = ACTIONS(2055),
    [sym_html_comment] = ACTIONS(5),
  },
  [909] = {
    [sym_statement_block] = STATE(1018),
    [sym_comment] = STATE(909),
    [sym_identifier] = ACTIONS(2055),
    [anon_sym_export] = ACTIONS(2055),
    [anon_sym_default] = ACTIONS(2055),
    [anon_sym_type] = ACTIONS(2055),
    [anon_sym_namespace] = ACTIONS(2055),
    [anon_sym_LBRACE] = ACTIONS(3060),
    [anon_sym_RBRACE] = ACTIONS(2055),
    [anon_sym_typeof] = ACTIONS(2055),
    [anon_sym_import] = ACTIONS(2055),
    [anon_sym_with] = ACTIONS(2055),
    [anon_sym_var] = ACTIONS(2055),
    [anon_sym_let] = ACTIONS(2055),
    [anon_sym_const] = ACTIONS(2055),
    [anon_sym_BANG] = ACTIONS(2055),
    [anon_sym_else] = ACTIONS(2055),
    [anon_sym_if] = ACTIONS(2055),
    [anon_sym_switch] = ACTIONS(2055),
    [anon_sym_for] = ACTIONS(2055),
    [anon_sym_LPAREN] = ACTIONS(2055),
    [anon_sym_await] = ACTIONS(2055),
    [anon_sym_while] = ACTIONS(2055),
    [anon_sym_do] = ACTIONS(2055),
    [anon_sym_try] = ACTIONS(2055),
    [anon_sym_break] = ACTIONS(2055),
    [anon_sym_continue] = ACTIONS(2055),
    [anon_sym_debugger] = ACTIONS(2055),
    [anon_sym_return] = ACTIONS(2055),
    [anon_sym_throw] = ACTIONS(2055),
    [anon_sym_SEMI] = ACTIONS(2055),
    [anon_sym_case] = ACTIONS(2055),
    [anon_sym_yield] = ACTIONS(2055),
    [anon_sym_LBRACK] = ACTIONS(2055),
    [anon_sym_LTtemplate_GT] = ACTIONS(2055),
    [anon_sym_DOT] = ACTIONS(3064),
    [anon_sym_DQUOTE] = ACTIONS(2055),
    [anon_sym_SQUOTE] = ACTIONS(2055),
    [anon_sym_class] = ACTIONS(2055),
    [anon_sym_async] = ACTIONS(2055),
    [anon_sym_function] = ACTIONS(2055),
    [anon_sym_new] = ACTIONS(2055),
    [anon_sym_using] = ACTIONS(2055),
    [anon_sym_PLUS] = ACTIONS(2055),
    [anon_sym_DASH] = ACTIONS(2055),
    [anon_sym_SLASH] = ACTIONS(2055),
    [anon_sym_LT] = ACTIONS(2055),
    [anon_sym_TILDE] = ACTIONS(2055),
    [anon_sym_void] = ACTIONS(2055),
    [anon_sym_delete] = ACTIONS(2055),
    [anon_sym_PLUS_PLUS] = ACTIONS(2055),
    [anon_sym_DASH_DASH] = ACTIONS(2055),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2055),
    [sym_number] = ACTIONS(2055),
    [sym_private_property_identifier] = ACTIONS(2055),
    [sym_this] = ACTIONS(2055),
    [sym_super] = ACTIONS(2055),
    [sym_true] = ACTIONS(2055),
    [sym_false] = ACTIONS(2055),
    [sym_null] = ACTIONS(2055),
    [sym_undefined] = ACTIONS(2055),
    [anon_sym_AT] = ACTIONS(2055),
    [anon_sym_static] = ACTIONS(2055),
    [anon_sym_readonly] = ACTIONS(2055),
    [anon_sym_get] = ACTIONS(2055),
    [anon_sym_set] = ACTIONS(2055),
    [anon_sym_declare] = ACTIONS(2055),
    [anon_sym_public] = ACTIONS(2055),
    [anon_sym_private] = ACTIONS(2055),
    [anon_sym_protected] = ACTIONS(2055),
    [anon_sym_override] = ACTIONS(2055),
    [anon_sym_module] = ACTIONS(2055),
    [anon_sym_any] = ACTIONS(2055),
    [anon_sym_number] = ACTIONS(2055),
    [anon_sym_boolean] = ACTIONS(2055),
    [anon_sym_string] = ACTIONS(2055),
    [anon_sym_symbol] = ACTIONS(2055),
    [anon_sym_object] = ACTIONS(2055),
    [anon_sym_abstract] = ACTIONS(2055),
    [anon_sym_interface] = ACTIONS(2055),
    [anon_sym_enum] = ACTIONS(2055),
    [sym_html_comment] = ACTIONS(5),
  },
  [910] = {
    [sym_comment] = STATE(910),
    [sym_identifier] = ACTIONS(2093),
    [anon_sym_export] = ACTIONS(2093),
    [anon_sym_default] = ACTIONS(2093),
    [anon_sym_type] = ACTIONS(2093),
    [anon_sym_namespace] = ACTIONS(2093),
    [anon_sym_LBRACE] = ACTIONS(2093),
    [anon_sym_RBRACE] = ACTIONS(2093),
    [anon_sym_typeof] = ACTIONS(2093),
    [anon_sym_import] = ACTIONS(2093),
    [anon_sym_with] = ACTIONS(2093),
    [anon_sym_var] = ACTIONS(2093),
    [anon_sym_let] = ACTIONS(2093),
    [anon_sym_const] = ACTIONS(2093),
    [anon_sym_BANG] = ACTIONS(2093),
    [anon_sym_else] = ACTIONS(2093),
    [anon_sym_if] = ACTIONS(2093),
    [anon_sym_switch] = ACTIONS(2093),
    [anon_sym_for] = ACTIONS(2093),
    [anon_sym_LPAREN] = ACTIONS(2093),
    [anon_sym_await] = ACTIONS(2093),
    [anon_sym_while] = ACTIONS(2093),
    [anon_sym_do] = ACTIONS(2093),
    [anon_sym_try] = ACTIONS(2093),
    [anon_sym_break] = ACTIONS(2093),
    [anon_sym_continue] = ACTIONS(2093),
    [anon_sym_debugger] = ACTIONS(2093),
    [anon_sym_return] = ACTIONS(2093),
    [anon_sym_throw] = ACTIONS(2093),
    [anon_sym_SEMI] = ACTIONS(2093),
    [anon_sym_case] = ACTIONS(2093),
    [anon_sym_catch] = ACTIONS(2093),
    [anon_sym_finally] = ACTIONS(2093),
    [anon_sym_yield] = ACTIONS(2093),
    [anon_sym_LBRACK] = ACTIONS(2093),
    [anon_sym_LTtemplate_GT] = ACTIONS(2093),
    [anon_sym_DQUOTE] = ACTIONS(2093),
    [anon_sym_SQUOTE] = ACTIONS(2093),
    [anon_sym_class] = ACTIONS(2093),
    [anon_sym_async] = ACTIONS(2093),
    [anon_sym_function] = ACTIONS(2093),
    [anon_sym_new] = ACTIONS(2093),
    [anon_sym_using] = ACTIONS(2093),
    [anon_sym_PLUS] = ACTIONS(2093),
    [anon_sym_DASH] = ACTIONS(2093),
    [anon_sym_SLASH] = ACTIONS(2093),
    [anon_sym_LT] = ACTIONS(2093),
    [anon_sym_TILDE] = ACTIONS(2093),
    [anon_sym_void] = ACTIONS(2093),
    [anon_sym_delete] = ACTIONS(2093),
    [anon_sym_PLUS_PLUS] = ACTIONS(2093),
    [anon_sym_DASH_DASH] = ACTIONS(2093),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2093),
    [sym_number] = ACTIONS(2093),
    [sym_private_property_identifier] = ACTIONS(2093),
    [sym_this] = ACTIONS(2093),
    [sym_super] = ACTIONS(2093),
    [sym_true] = ACTIONS(2093),
    [sym_false] = ACTIONS(2093),
    [sym_null] = ACTIONS(2093),
    [sym_undefined] = ACTIONS(2093),
    [anon_sym_AT] = ACTIONS(2093),
    [anon_sym_static] = ACTIONS(2093),
    [anon_sym_readonly] = ACTIONS(2093),
    [anon_sym_get] = ACTIONS(2093),
    [anon_sym_set] = ACTIONS(2093),
    [anon_sym_declare] = ACTIONS(2093),
    [anon_sym_public] = ACTIONS(2093),
    [anon_sym_private] = ACTIONS(2093),
    [anon_sym_protected] = ACTIONS(2093),
    [anon_sym_override] = ACTIONS(2093),
    [anon_sym_module] = ACTIONS(2093),
    [anon_sym_any] = ACTIONS(2093),
    [anon_sym_number] = ACTIONS(2093),
    [anon_sym_boolean] = ACTIONS(2093),
    [anon_sym_string] = ACTIONS(2093),
    [anon_sym_symbol] = ACTIONS(2093),
    [anon_sym_object] = ACTIONS(2093),
    [anon_sym_abstract] = ACTIONS(2093),
    [anon_sym_interface] = ACTIONS(2093),
    [anon_sym_enum] = ACTIONS(2093),
    [sym_html_comment] = ACTIONS(5),
  },
  [911] = {
    [sym_comment] = STATE(911),
    [sym_identifier] = ACTIONS(2105),
    [anon_sym_export] = ACTIONS(2105),
    [anon_sym_default] = ACTIONS(2105),
    [anon_sym_type] = ACTIONS(2105),
    [anon_sym_namespace] = ACTIONS(2105),
    [anon_sym_LBRACE] = ACTIONS(2105),
    [anon_sym_RBRACE] = ACTIONS(2105),
    [anon_sym_typeof] = ACTIONS(2105),
    [anon_sym_import] = ACTIONS(2105),
    [anon_sym_with] = ACTIONS(2105),
    [anon_sym_var] = ACTIONS(2105),
    [anon_sym_let] = ACTIONS(2105),
    [anon_sym_const] = ACTIONS(2105),
    [anon_sym_BANG] = ACTIONS(2105),
    [anon_sym_else] = ACTIONS(2105),
    [anon_sym_if] = ACTIONS(2105),
    [anon_sym_switch] = ACTIONS(2105),
    [anon_sym_for] = ACTIONS(2105),
    [anon_sym_LPAREN] = ACTIONS(2105),
    [anon_sym_await] = ACTIONS(2105),
    [anon_sym_while] = ACTIONS(2105),
    [anon_sym_do] = ACTIONS(2105),
    [anon_sym_try] = ACTIONS(2105),
    [anon_sym_break] = ACTIONS(2105),
    [anon_sym_continue] = ACTIONS(2105),
    [anon_sym_debugger] = ACTIONS(2105),
    [anon_sym_return] = ACTIONS(2105),
    [anon_sym_throw] = ACTIONS(2105),
    [anon_sym_SEMI] = ACTIONS(2105),
    [anon_sym_case] = ACTIONS(2105),
    [anon_sym_catch] = ACTIONS(2105),
    [anon_sym_finally] = ACTIONS(2105),
    [anon_sym_yield] = ACTIONS(2105),
    [anon_sym_LBRACK] = ACTIONS(2105),
    [anon_sym_LTtemplate_GT] = ACTIONS(2105),
    [anon_sym_DQUOTE] = ACTIONS(2105),
    [anon_sym_SQUOTE] = ACTIONS(2105),
    [anon_sym_class] = ACTIONS(2105),
    [anon_sym_async] = ACTIONS(2105),
    [anon_sym_function] = ACTIONS(2105),
    [anon_sym_new] = ACTIONS(2105),
    [anon_sym_using] = ACTIONS(2105),
    [anon_sym_PLUS] = ACTIONS(2105),
    [anon_sym_DASH] = ACTIONS(2105),
    [anon_sym_SLASH] = ACTIONS(2105),
    [anon_sym_LT] = ACTIONS(2105),
    [anon_sym_TILDE] = ACTIONS(2105),
    [anon_sym_void] = ACTIONS(2105),
    [anon_sym_delete] = ACTIONS(2105),
    [anon_sym_PLUS_PLUS] = ACTIONS(2105),
    [anon_sym_DASH_DASH] = ACTIONS(2105),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2105),
    [sym_number] = ACTIONS(2105),
    [sym_private_property_identifier] = ACTIONS(2105),
    [sym_this] = ACTIONS(2105),
    [sym_super] = ACTIONS(2105),
    [sym_true] = ACTIONS(2105),
    [sym_false] = ACTIONS(2105),
    [sym_null] = ACTIONS(2105),
    [sym_undefined] = ACTIONS(2105),
    [anon_sym_AT] = ACTIONS(2105),
    [anon_sym_static] = ACTIONS(2105),
    [anon_sym_readonly] = ACTIONS(2105),
    [anon_sym_get] = ACTIONS(2105),
    [anon_sym_set] = ACTIONS(2105),
    [anon_sym_declare] = ACTIONS(2105),
    [anon_sym_public] = ACTIONS(2105),
    [anon_sym_private] = ACTIONS(2105),
    [anon_sym_protected] = ACTIONS(2105),
    [anon_sym_override] = ACTIONS(2105),
    [anon_sym_module] = ACTIONS(2105),
    [anon_sym_any] = ACTIONS(2105),
    [anon_sym_number] = ACTIONS(2105),
    [anon_sym_boolean] = ACTIONS(2105),
    [anon_sym_string] = ACTIONS(2105),
    [anon_sym_symbol] = ACTIONS(2105),
    [anon_sym_object] = ACTIONS(2105),
    [anon_sym_abstract] = ACTIONS(2105),
    [anon_sym_interface] = ACTIONS(2105),
    [anon_sym_enum] = ACTIONS(2105),
    [sym_html_comment] = ACTIONS(5),
  },
  [912] = {
    [sym_comment] = STATE(912),
    [sym_identifier] = ACTIONS(3066),
    [anon_sym_export] = ACTIONS(3066),
    [anon_sym_default] = ACTIONS(3066),
    [anon_sym_type] = ACTIONS(3066),
    [anon_sym_namespace] = ACTIONS(3066),
    [anon_sym_LBRACE] = ACTIONS(3066),
    [anon_sym_RBRACE] = ACTIONS(3066),
    [anon_sym_typeof] = ACTIONS(3066),
    [anon_sym_import] = ACTIONS(3066),
    [anon_sym_with] = ACTIONS(3066),
    [anon_sym_var] = ACTIONS(3066),
    [anon_sym_let] = ACTIONS(3066),
    [anon_sym_const] = ACTIONS(3066),
    [anon_sym_BANG] = ACTIONS(3066),
    [anon_sym_else] = ACTIONS(3066),
    [anon_sym_if] = ACTIONS(3066),
    [anon_sym_switch] = ACTIONS(3066),
    [anon_sym_for] = ACTIONS(3066),
    [anon_sym_LPAREN] = ACTIONS(3066),
    [anon_sym_await] = ACTIONS(3066),
    [anon_sym_while] = ACTIONS(3066),
    [anon_sym_do] = ACTIONS(3066),
    [anon_sym_try] = ACTIONS(3066),
    [anon_sym_break] = ACTIONS(3066),
    [anon_sym_continue] = ACTIONS(3066),
    [anon_sym_debugger] = ACTIONS(3066),
    [anon_sym_return] = ACTIONS(3066),
    [anon_sym_throw] = ACTIONS(3066),
    [anon_sym_SEMI] = ACTIONS(3066),
    [anon_sym_case] = ACTIONS(3066),
    [anon_sym_finally] = ACTIONS(3066),
    [anon_sym_yield] = ACTIONS(3066),
    [anon_sym_LBRACK] = ACTIONS(3066),
    [anon_sym_LTtemplate_GT] = ACTIONS(3066),
    [anon_sym_DQUOTE] = ACTIONS(3066),
    [anon_sym_SQUOTE] = ACTIONS(3066),
    [anon_sym_class] = ACTIONS(3066),
    [anon_sym_async] = ACTIONS(3066),
    [anon_sym_function] = ACTIONS(3066),
    [anon_sym_new] = ACTIONS(3066),
    [anon_sym_using] = ACTIONS(3066),
    [anon_sym_PLUS] = ACTIONS(3066),
    [anon_sym_DASH] = ACTIONS(3066),
    [anon_sym_SLASH] = ACTIONS(3066),
    [anon_sym_LT] = ACTIONS(3066),
    [anon_sym_TILDE] = ACTIONS(3066),
    [anon_sym_void] = ACTIONS(3066),
    [anon_sym_delete] = ACTIONS(3066),
    [anon_sym_PLUS_PLUS] = ACTIONS(3066),
    [anon_sym_DASH_DASH] = ACTIONS(3066),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3066),
    [sym_number] = ACTIONS(3066),
    [sym_private_property_identifier] = ACTIONS(3066),
    [sym_this] = ACTIONS(3066),
    [sym_super] = ACTIONS(3066),
    [sym_true] = ACTIONS(3066),
    [sym_false] = ACTIONS(3066),
    [sym_null] = ACTIONS(3066),
    [sym_undefined] = ACTIONS(3066),
    [anon_sym_AT] = ACTIONS(3066),
    [anon_sym_static] = ACTIONS(3066),
    [anon_sym_readonly] = ACTIONS(3066),
    [anon_sym_get] = ACTIONS(3066),
    [anon_sym_set] = ACTIONS(3066),
    [anon_sym_declare] = ACTIONS(3066),
    [anon_sym_public] = ACTIONS(3066),
    [anon_sym_private] = ACTIONS(3066),
    [anon_sym_protected] = ACTIONS(3066),
    [anon_sym_override] = ACTIONS(3066),
    [anon_sym_module] = ACTIONS(3066),
    [anon_sym_any] = ACTIONS(3066),
    [anon_sym_number] = ACTIONS(3066),
    [anon_sym_boolean] = ACTIONS(3066),
    [anon_sym_string] = ACTIONS(3066),
    [anon_sym_symbol] = ACTIONS(3066),
    [anon_sym_object] = ACTIONS(3066),
    [anon_sym_abstract] = ACTIONS(3066),
    [anon_sym_interface] = ACTIONS(3066),
    [anon_sym_enum] = ACTIONS(3066),
    [sym_html_comment] = ACTIONS(5),
  },
  [913] = {
    [sym_else_clause] = STATE(1470),
    [sym_comment] = STATE(913),
    [sym_identifier] = ACTIONS(3068),
    [anon_sym_export] = ACTIONS(3068),
    [anon_sym_default] = ACTIONS(3068),
    [anon_sym_type] = ACTIONS(3068),
    [anon_sym_namespace] = ACTIONS(3068),
    [anon_sym_LBRACE] = ACTIONS(3068),
    [anon_sym_RBRACE] = ACTIONS(3068),
    [anon_sym_typeof] = ACTIONS(3068),
    [anon_sym_import] = ACTIONS(3068),
    [anon_sym_with] = ACTIONS(3068),
    [anon_sym_var] = ACTIONS(3068),
    [anon_sym_let] = ACTIONS(3068),
    [anon_sym_const] = ACTIONS(3068),
    [anon_sym_BANG] = ACTIONS(3068),
    [anon_sym_else] = ACTIONS(3070),
    [anon_sym_if] = ACTIONS(3068),
    [anon_sym_switch] = ACTIONS(3068),
    [anon_sym_for] = ACTIONS(3068),
    [anon_sym_LPAREN] = ACTIONS(3068),
    [anon_sym_await] = ACTIONS(3068),
    [anon_sym_while] = ACTIONS(3068),
    [anon_sym_do] = ACTIONS(3068),
    [anon_sym_try] = ACTIONS(3068),
    [anon_sym_break] = ACTIONS(3068),
    [anon_sym_continue] = ACTIONS(3068),
    [anon_sym_debugger] = ACTIONS(3068),
    [anon_sym_return] = ACTIONS(3068),
    [anon_sym_throw] = ACTIONS(3068),
    [anon_sym_SEMI] = ACTIONS(3068),
    [anon_sym_case] = ACTIONS(3068),
    [anon_sym_yield] = ACTIONS(3068),
    [anon_sym_LBRACK] = ACTIONS(3068),
    [anon_sym_LTtemplate_GT] = ACTIONS(3068),
    [anon_sym_DQUOTE] = ACTIONS(3068),
    [anon_sym_SQUOTE] = ACTIONS(3068),
    [anon_sym_class] = ACTIONS(3068),
    [anon_sym_async] = ACTIONS(3068),
    [anon_sym_function] = ACTIONS(3068),
    [anon_sym_new] = ACTIONS(3068),
    [anon_sym_using] = ACTIONS(3068),
    [anon_sym_PLUS] = ACTIONS(3068),
    [anon_sym_DASH] = ACTIONS(3068),
    [anon_sym_SLASH] = ACTIONS(3068),
    [anon_sym_LT] = ACTIONS(3068),
    [anon_sym_TILDE] = ACTIONS(3068),
    [anon_sym_void] = ACTIONS(3068),
    [anon_sym_delete] = ACTIONS(3068),
    [anon_sym_PLUS_PLUS] = ACTIONS(3068),
    [anon_sym_DASH_DASH] = ACTIONS(3068),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3068),
    [sym_number] = ACTIONS(3068),
    [sym_private_property_identifier] = ACTIONS(3068),
    [sym_this] = ACTIONS(3068),
    [sym_super] = ACTIONS(3068),
    [sym_true] = ACTIONS(3068),
    [sym_false] = ACTIONS(3068),
    [sym_null] = ACTIONS(3068),
    [sym_undefined] = ACTIONS(3068),
    [anon_sym_AT] = ACTIONS(3068),
    [anon_sym_static] = ACTIONS(3068),
    [anon_sym_readonly] = ACTIONS(3068),
    [anon_sym_get] = ACTIONS(3068),
    [anon_sym_set] = ACTIONS(3068),
    [anon_sym_declare] = ACTIONS(3068),
    [anon_sym_public] = ACTIONS(3068),
    [anon_sym_private] = ACTIONS(3068),
    [anon_sym_protected] = ACTIONS(3068),
    [anon_sym_override] = ACTIONS(3068),
    [anon_sym_module] = ACTIONS(3068),
    [anon_sym_any] = ACTIONS(3068),
    [anon_sym_number] = ACTIONS(3068),
    [anon_sym_boolean] = ACTIONS(3068),
    [anon_sym_string] = ACTIONS(3068),
    [anon_sym_symbol] = ACTIONS(3068),
    [anon_sym_object] = ACTIONS(3068),
    [anon_sym_abstract] = ACTIONS(3068),
    [anon_sym_interface] = ACTIONS(3068),
    [anon_sym_enum] = ACTIONS(3068),
    [sym_html_comment] = ACTIONS(5),
  },
  [914] = {
    [sym_comment] = STATE(914),
    [sym_identifier] = ACTIONS(2085),
    [anon_sym_export] = ACTIONS(2085),
    [anon_sym_default] = ACTIONS(2085),
    [anon_sym_type] = ACTIONS(2085),
    [anon_sym_namespace] = ACTIONS(2085),
    [anon_sym_LBRACE] = ACTIONS(2085),
    [anon_sym_RBRACE] = ACTIONS(2085),
    [anon_sym_typeof] = ACTIONS(2085),
    [anon_sym_import] = ACTIONS(2085),
    [anon_sym_with] = ACTIONS(2085),
    [anon_sym_var] = ACTIONS(2085),
    [anon_sym_let] = ACTIONS(2085),
    [anon_sym_const] = ACTIONS(2085),
    [anon_sym_BANG] = ACTIONS(2085),
    [anon_sym_else] = ACTIONS(2085),
    [anon_sym_if] = ACTIONS(2085),
    [anon_sym_switch] = ACTIONS(2085),
    [anon_sym_for] = ACTIONS(2085),
    [anon_sym_LPAREN] = ACTIONS(2085),
    [anon_sym_await] = ACTIONS(2085),
    [anon_sym_while] = ACTIONS(2085),
    [anon_sym_do] = ACTIONS(2085),
    [anon_sym_try] = ACTIONS(2085),
    [anon_sym_break] = ACTIONS(2085),
    [anon_sym_continue] = ACTIONS(2085),
    [anon_sym_debugger] = ACTIONS(2085),
    [anon_sym_return] = ACTIONS(2085),
    [anon_sym_throw] = ACTIONS(2085),
    [anon_sym_SEMI] = ACTIONS(2085),
    [anon_sym_case] = ACTIONS(2085),
    [anon_sym_yield] = ACTIONS(2085),
    [anon_sym_LBRACK] = ACTIONS(2085),
    [anon_sym_LTtemplate_GT] = ACTIONS(2085),
    [anon_sym_DQUOTE] = ACTIONS(2085),
    [anon_sym_SQUOTE] = ACTIONS(2085),
    [anon_sym_class] = ACTIONS(2085),
    [anon_sym_async] = ACTIONS(2085),
    [anon_sym_function] = ACTIONS(2085),
    [anon_sym_new] = ACTIONS(2085),
    [anon_sym_using] = ACTIONS(2085),
    [anon_sym_PLUS] = ACTIONS(2085),
    [anon_sym_DASH] = ACTIONS(2085),
    [anon_sym_SLASH] = ACTIONS(2085),
    [anon_sym_LT] = ACTIONS(2085),
    [anon_sym_TILDE] = ACTIONS(2085),
    [anon_sym_void] = ACTIONS(2085),
    [anon_sym_delete] = ACTIONS(2085),
    [anon_sym_PLUS_PLUS] = ACTIONS(2085),
    [anon_sym_DASH_DASH] = ACTIONS(2085),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2085),
    [sym_number] = ACTIONS(2085),
    [sym_private_property_identifier] = ACTIONS(2085),
    [sym_this] = ACTIONS(2085),
    [sym_super] = ACTIONS(2085),
    [sym_true] = ACTIONS(2085),
    [sym_false] = ACTIONS(2085),
    [sym_null] = ACTIONS(2085),
    [sym_undefined] = ACTIONS(2085),
    [anon_sym_AT] = ACTIONS(2085),
    [anon_sym_static] = ACTIONS(2085),
    [anon_sym_readonly] = ACTIONS(2085),
    [anon_sym_get] = ACTIONS(2085),
    [anon_sym_set] = ACTIONS(2085),
    [anon_sym_declare] = ACTIONS(2085),
    [anon_sym_public] = ACTIONS(2085),
    [anon_sym_private] = ACTIONS(2085),
    [anon_sym_protected] = ACTIONS(2085),
    [anon_sym_override] = ACTIONS(2085),
    [anon_sym_module] = ACTIONS(2085),
    [anon_sym_any] = ACTIONS(2085),
    [anon_sym_number] = ACTIONS(2085),
    [anon_sym_boolean] = ACTIONS(2085),
    [anon_sym_string] = ACTIONS(2085),
    [anon_sym_symbol] = ACTIONS(2085),
    [anon_sym_object] = ACTIONS(2085),
    [anon_sym_abstract] = ACTIONS(2085),
    [anon_sym_interface] = ACTIONS(2085),
    [anon_sym_enum] = ACTIONS(2085),
    [sym__automatic_semicolon] = ACTIONS(2089),
    [sym_html_comment] = ACTIONS(5),
  },
  [915] = {
    [sym_statement_block] = STATE(1018),
    [sym_comment] = STATE(915),
    [sym_identifier] = ACTIONS(2055),
    [anon_sym_export] = ACTIONS(2055),
    [anon_sym_default] = ACTIONS(2055),
    [anon_sym_type] = ACTIONS(2055),
    [anon_sym_namespace] = ACTIONS(2055),
    [anon_sym_LBRACE] = ACTIONS(3060),
    [anon_sym_RBRACE] = ACTIONS(2055),
    [anon_sym_typeof] = ACTIONS(2055),
    [anon_sym_import] = ACTIONS(2055),
    [anon_sym_with] = ACTIONS(2055),
    [anon_sym_var] = ACTIONS(2055),
    [anon_sym_let] = ACTIONS(2055),
    [anon_sym_const] = ACTIONS(2055),
    [anon_sym_BANG] = ACTIONS(2055),
    [anon_sym_else] = ACTIONS(2055),
    [anon_sym_if] = ACTIONS(2055),
    [anon_sym_switch] = ACTIONS(2055),
    [anon_sym_for] = ACTIONS(2055),
    [anon_sym_LPAREN] = ACTIONS(2055),
    [anon_sym_await] = ACTIONS(2055),
    [anon_sym_while] = ACTIONS(2055),
    [anon_sym_do] = ACTIONS(2055),
    [anon_sym_try] = ACTIONS(2055),
    [anon_sym_break] = ACTIONS(2055),
    [anon_sym_continue] = ACTIONS(2055),
    [anon_sym_debugger] = ACTIONS(2055),
    [anon_sym_return] = ACTIONS(2055),
    [anon_sym_throw] = ACTIONS(2055),
    [anon_sym_SEMI] = ACTIONS(2055),
    [anon_sym_case] = ACTIONS(2055),
    [anon_sym_yield] = ACTIONS(2055),
    [anon_sym_LBRACK] = ACTIONS(2055),
    [anon_sym_LTtemplate_GT] = ACTIONS(2055),
    [anon_sym_DQUOTE] = ACTIONS(2055),
    [anon_sym_SQUOTE] = ACTIONS(2055),
    [anon_sym_class] = ACTIONS(2055),
    [anon_sym_async] = ACTIONS(2055),
    [anon_sym_function] = ACTIONS(2055),
    [anon_sym_new] = ACTIONS(2055),
    [anon_sym_using] = ACTIONS(2055),
    [anon_sym_PLUS] = ACTIONS(2055),
    [anon_sym_DASH] = ACTIONS(2055),
    [anon_sym_SLASH] = ACTIONS(2055),
    [anon_sym_LT] = ACTIONS(2055),
    [anon_sym_TILDE] = ACTIONS(2055),
    [anon_sym_void] = ACTIONS(2055),
    [anon_sym_delete] = ACTIONS(2055),
    [anon_sym_PLUS_PLUS] = ACTIONS(2055),
    [anon_sym_DASH_DASH] = ACTIONS(2055),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2055),
    [sym_number] = ACTIONS(2055),
    [sym_private_property_identifier] = ACTIONS(2055),
    [sym_this] = ACTIONS(2055),
    [sym_super] = ACTIONS(2055),
    [sym_true] = ACTIONS(2055),
    [sym_false] = ACTIONS(2055),
    [sym_null] = ACTIONS(2055),
    [sym_undefined] = ACTIONS(2055),
    [anon_sym_AT] = ACTIONS(2055),
    [anon_sym_static] = ACTIONS(2055),
    [anon_sym_readonly] = ACTIONS(2055),
    [anon_sym_get] = ACTIONS(2055),
    [anon_sym_set] = ACTIONS(2055),
    [anon_sym_declare] = ACTIONS(2055),
    [anon_sym_public] = ACTIONS(2055),
    [anon_sym_private] = ACTIONS(2055),
    [anon_sym_protected] = ACTIONS(2055),
    [anon_sym_override] = ACTIONS(2055),
    [anon_sym_module] = ACTIONS(2055),
    [anon_sym_any] = ACTIONS(2055),
    [anon_sym_number] = ACTIONS(2055),
    [anon_sym_boolean] = ACTIONS(2055),
    [anon_sym_string] = ACTIONS(2055),
    [anon_sym_symbol] = ACTIONS(2055),
    [anon_sym_object] = ACTIONS(2055),
    [anon_sym_abstract] = ACTIONS(2055),
    [anon_sym_interface] = ACTIONS(2055),
    [anon_sym_enum] = ACTIONS(2055),
    [sym_html_comment] = ACTIONS(5),
  },
  [916] = {
    [sym_comment] = STATE(916),
    [sym_identifier] = ACTIONS(2173),
    [anon_sym_export] = ACTIONS(2173),
    [anon_sym_default] = ACTIONS(2173),
    [anon_sym_type] = ACTIONS(2173),
    [anon_sym_namespace] = ACTIONS(2173),
    [anon_sym_LBRACE] = ACTIONS(2173),
    [anon_sym_RBRACE] = ACTIONS(2173),
    [anon_sym_typeof] = ACTIONS(2173),
    [anon_sym_import] = ACTIONS(2173),
    [anon_sym_with] = ACTIONS(2173),
    [anon_sym_var] = ACTIONS(2173),
    [anon_sym_let] = ACTIONS(2173),
    [anon_sym_const] = ACTIONS(2173),
    [anon_sym_BANG] = ACTIONS(2173),
    [anon_sym_else] = ACTIONS(2173),
    [anon_sym_if] = ACTIONS(2173),
    [anon_sym_switch] = ACTIONS(2173),
    [anon_sym_for] = ACTIONS(2173),
    [anon_sym_LPAREN] = ACTIONS(2173),
    [anon_sym_await] = ACTIONS(2173),
    [anon_sym_while] = ACTIONS(2173),
    [anon_sym_do] = ACTIONS(2173),
    [anon_sym_try] = ACTIONS(2173),
    [anon_sym_break] = ACTIONS(2173),
    [anon_sym_continue] = ACTIONS(2173),
    [anon_sym_debugger] = ACTIONS(2173),
    [anon_sym_return] = ACTIONS(2173),
    [anon_sym_throw] = ACTIONS(2173),
    [anon_sym_SEMI] = ACTIONS(2173),
    [anon_sym_case] = ACTIONS(2173),
    [anon_sym_yield] = ACTIONS(2173),
    [anon_sym_LBRACK] = ACTIONS(2173),
    [anon_sym_LTtemplate_GT] = ACTIONS(2173),
    [anon_sym_DQUOTE] = ACTIONS(2173),
    [anon_sym_SQUOTE] = ACTIONS(2173),
    [anon_sym_class] = ACTIONS(2173),
    [anon_sym_async] = ACTIONS(2173),
    [anon_sym_function] = ACTIONS(2173),
    [anon_sym_new] = ACTIONS(2173),
    [anon_sym_using] = ACTIONS(2173),
    [anon_sym_PLUS] = ACTIONS(2173),
    [anon_sym_DASH] = ACTIONS(2173),
    [anon_sym_SLASH] = ACTIONS(2173),
    [anon_sym_LT] = ACTIONS(2173),
    [anon_sym_TILDE] = ACTIONS(2173),
    [anon_sym_void] = ACTIONS(2173),
    [anon_sym_delete] = ACTIONS(2173),
    [anon_sym_PLUS_PLUS] = ACTIONS(2173),
    [anon_sym_DASH_DASH] = ACTIONS(2173),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2173),
    [sym_number] = ACTIONS(2173),
    [sym_private_property_identifier] = ACTIONS(2173),
    [sym_this] = ACTIONS(2173),
    [sym_super] = ACTIONS(2173),
    [sym_true] = ACTIONS(2173),
    [sym_false] = ACTIONS(2173),
    [sym_null] = ACTIONS(2173),
    [sym_undefined] = ACTIONS(2173),
    [anon_sym_AT] = ACTIONS(2173),
    [anon_sym_static] = ACTIONS(2173),
    [anon_sym_readonly] = ACTIONS(2173),
    [anon_sym_get] = ACTIONS(2173),
    [anon_sym_set] = ACTIONS(2173),
    [anon_sym_declare] = ACTIONS(2173),
    [anon_sym_public] = ACTIONS(2173),
    [anon_sym_private] = ACTIONS(2173),
    [anon_sym_protected] = ACTIONS(2173),
    [anon_sym_override] = ACTIONS(2173),
    [anon_sym_module] = ACTIONS(2173),
    [anon_sym_any] = ACTIONS(2173),
    [anon_sym_number] = ACTIONS(2173),
    [anon_sym_boolean] = ACTIONS(2173),
    [anon_sym_string] = ACTIONS(2173),
    [anon_sym_symbol] = ACTIONS(2173),
    [anon_sym_object] = ACTIONS(2173),
    [anon_sym_abstract] = ACTIONS(2173),
    [anon_sym_interface] = ACTIONS(2173),
    [anon_sym_enum] = ACTIONS(2173),
    [sym__automatic_semicolon] = ACTIONS(2177),
    [sym_html_comment] = ACTIONS(5),
  },
  [917] = {
    [sym_comment] = STATE(917),
    [sym_identifier] = ACTIONS(2181),
    [anon_sym_export] = ACTIONS(2181),
    [anon_sym_default] = ACTIONS(2181),
    [anon_sym_type] = ACTIONS(2181),
    [anon_sym_namespace] = ACTIONS(2181),
    [anon_sym_LBRACE] = ACTIONS(2181),
    [anon_sym_RBRACE] = ACTIONS(2181),
    [anon_sym_typeof] = ACTIONS(2181),
    [anon_sym_import] = ACTIONS(2181),
    [anon_sym_with] = ACTIONS(2181),
    [anon_sym_var] = ACTIONS(2181),
    [anon_sym_let] = ACTIONS(2181),
    [anon_sym_const] = ACTIONS(2181),
    [anon_sym_BANG] = ACTIONS(2181),
    [anon_sym_else] = ACTIONS(2181),
    [anon_sym_if] = ACTIONS(2181),
    [anon_sym_switch] = ACTIONS(2181),
    [anon_sym_for] = ACTIONS(2181),
    [anon_sym_LPAREN] = ACTIONS(2181),
    [anon_sym_await] = ACTIONS(2181),
    [anon_sym_while] = ACTIONS(2181),
    [anon_sym_do] = ACTIONS(2181),
    [anon_sym_try] = ACTIONS(2181),
    [anon_sym_break] = ACTIONS(2181),
    [anon_sym_continue] = ACTIONS(2181),
    [anon_sym_debugger] = ACTIONS(2181),
    [anon_sym_return] = ACTIONS(2181),
    [anon_sym_throw] = ACTIONS(2181),
    [anon_sym_SEMI] = ACTIONS(2181),
    [anon_sym_case] = ACTIONS(2181),
    [anon_sym_yield] = ACTIONS(2181),
    [anon_sym_LBRACK] = ACTIONS(2181),
    [anon_sym_LTtemplate_GT] = ACTIONS(2181),
    [anon_sym_DQUOTE] = ACTIONS(2181),
    [anon_sym_SQUOTE] = ACTIONS(2181),
    [anon_sym_class] = ACTIONS(2181),
    [anon_sym_async] = ACTIONS(2181),
    [anon_sym_function] = ACTIONS(2181),
    [anon_sym_new] = ACTIONS(2181),
    [anon_sym_using] = ACTIONS(2181),
    [anon_sym_PLUS] = ACTIONS(2181),
    [anon_sym_DASH] = ACTIONS(2181),
    [anon_sym_SLASH] = ACTIONS(2181),
    [anon_sym_LT] = ACTIONS(2181),
    [anon_sym_TILDE] = ACTIONS(2181),
    [anon_sym_void] = ACTIONS(2181),
    [anon_sym_delete] = ACTIONS(2181),
    [anon_sym_PLUS_PLUS] = ACTIONS(2181),
    [anon_sym_DASH_DASH] = ACTIONS(2181),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2181),
    [sym_number] = ACTIONS(2181),
    [sym_private_property_identifier] = ACTIONS(2181),
    [sym_this] = ACTIONS(2181),
    [sym_super] = ACTIONS(2181),
    [sym_true] = ACTIONS(2181),
    [sym_false] = ACTIONS(2181),
    [sym_null] = ACTIONS(2181),
    [sym_undefined] = ACTIONS(2181),
    [anon_sym_AT] = ACTIONS(2181),
    [anon_sym_static] = ACTIONS(2181),
    [anon_sym_readonly] = ACTIONS(2181),
    [anon_sym_get] = ACTIONS(2181),
    [anon_sym_set] = ACTIONS(2181),
    [anon_sym_declare] = ACTIONS(2181),
    [anon_sym_public] = ACTIONS(2181),
    [anon_sym_private] = ACTIONS(2181),
    [anon_sym_protected] = ACTIONS(2181),
    [anon_sym_override] = ACTIONS(2181),
    [anon_sym_module] = ACTIONS(2181),
    [anon_sym_any] = ACTIONS(2181),
    [anon_sym_number] = ACTIONS(2181),
    [anon_sym_boolean] = ACTIONS(2181),
    [anon_sym_string] = ACTIONS(2181),
    [anon_sym_symbol] = ACTIONS(2181),
    [anon_sym_object] = ACTIONS(2181),
    [anon_sym_abstract] = ACTIONS(2181),
    [anon_sym_interface] = ACTIONS(2181),
    [anon_sym_enum] = ACTIONS(2181),
    [sym__automatic_semicolon] = ACTIONS(2185),
    [sym_html_comment] = ACTIONS(5),
  },
  [918] = {
    [sym_comment] = STATE(918),
    [sym_identifier] = ACTIONS(3072),
    [anon_sym_export] = ACTIONS(3072),
    [anon_sym_default] = ACTIONS(3072),
    [anon_sym_type] = ACTIONS(3072),
    [anon_sym_namespace] = ACTIONS(3072),
    [anon_sym_LBRACE] = ACTIONS(3072),
    [anon_sym_RBRACE] = ACTIONS(3072),
    [anon_sym_typeof] = ACTIONS(3072),
    [anon_sym_import] = ACTIONS(3072),
    [anon_sym_with] = ACTIONS(3072),
    [anon_sym_var] = ACTIONS(3072),
    [anon_sym_let] = ACTIONS(3072),
    [anon_sym_const] = ACTIONS(3072),
    [anon_sym_BANG] = ACTIONS(3072),
    [anon_sym_else] = ACTIONS(3072),
    [anon_sym_if] = ACTIONS(3072),
    [anon_sym_switch] = ACTIONS(3072),
    [anon_sym_for] = ACTIONS(3072),
    [anon_sym_LPAREN] = ACTIONS(3072),
    [anon_sym_await] = ACTIONS(3072),
    [anon_sym_while] = ACTIONS(3072),
    [anon_sym_do] = ACTIONS(3072),
    [anon_sym_try] = ACTIONS(3072),
    [anon_sym_break] = ACTIONS(3072),
    [anon_sym_continue] = ACTIONS(3072),
    [anon_sym_debugger] = ACTIONS(3072),
    [anon_sym_return] = ACTIONS(3072),
    [anon_sym_throw] = ACTIONS(3072),
    [anon_sym_SEMI] = ACTIONS(3072),
    [anon_sym_case] = ACTIONS(3072),
    [anon_sym_yield] = ACTIONS(3072),
    [anon_sym_LBRACK] = ACTIONS(3072),
    [anon_sym_LTtemplate_GT] = ACTIONS(3072),
    [anon_sym_DQUOTE] = ACTIONS(3072),
    [anon_sym_SQUOTE] = ACTIONS(3072),
    [anon_sym_class] = ACTIONS(3072),
    [anon_sym_async] = ACTIONS(3072),
    [anon_sym_function] = ACTIONS(3072),
    [anon_sym_new] = ACTIONS(3072),
    [anon_sym_using] = ACTIONS(3072),
    [anon_sym_PLUS] = ACTIONS(3072),
    [anon_sym_DASH] = ACTIONS(3072),
    [anon_sym_SLASH] = ACTIONS(3072),
    [anon_sym_LT] = ACTIONS(3072),
    [anon_sym_TILDE] = ACTIONS(3072),
    [anon_sym_void] = ACTIONS(3072),
    [anon_sym_delete] = ACTIONS(3072),
    [anon_sym_PLUS_PLUS] = ACTIONS(3072),
    [anon_sym_DASH_DASH] = ACTIONS(3072),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3072),
    [sym_number] = ACTIONS(3072),
    [sym_private_property_identifier] = ACTIONS(3072),
    [sym_this] = ACTIONS(3072),
    [sym_super] = ACTIONS(3072),
    [sym_true] = ACTIONS(3072),
    [sym_false] = ACTIONS(3072),
    [sym_null] = ACTIONS(3072),
    [sym_undefined] = ACTIONS(3072),
    [anon_sym_AT] = ACTIONS(3072),
    [anon_sym_static] = ACTIONS(3072),
    [anon_sym_readonly] = ACTIONS(3072),
    [anon_sym_get] = ACTIONS(3072),
    [anon_sym_set] = ACTIONS(3072),
    [anon_sym_declare] = ACTIONS(3072),
    [anon_sym_public] = ACTIONS(3072),
    [anon_sym_private] = ACTIONS(3072),
    [anon_sym_protected] = ACTIONS(3072),
    [anon_sym_override] = ACTIONS(3072),
    [anon_sym_module] = ACTIONS(3072),
    [anon_sym_any] = ACTIONS(3072),
    [anon_sym_number] = ACTIONS(3072),
    [anon_sym_boolean] = ACTIONS(3072),
    [anon_sym_string] = ACTIONS(3072),
    [anon_sym_symbol] = ACTIONS(3072),
    [anon_sym_object] = ACTIONS(3072),
    [anon_sym_abstract] = ACTIONS(3072),
    [anon_sym_interface] = ACTIONS(3072),
    [anon_sym_enum] = ACTIONS(3072),
    [sym__automatic_semicolon] = ACTIONS(3074),
    [sym_html_comment] = ACTIONS(5),
  },
  [919] = {
    [sym_comment] = STATE(919),
    [sym_identifier] = ACTIONS(2067),
    [anon_sym_export] = ACTIONS(2067),
    [anon_sym_default] = ACTIONS(2067),
    [anon_sym_type] = ACTIONS(2067),
    [anon_sym_namespace] = ACTIONS(2067),
    [anon_sym_LBRACE] = ACTIONS(2067),
    [anon_sym_RBRACE] = ACTIONS(2067),
    [anon_sym_typeof] = ACTIONS(2067),
    [anon_sym_import] = ACTIONS(2067),
    [anon_sym_with] = ACTIONS(2067),
    [anon_sym_var] = ACTIONS(2067),
    [anon_sym_let] = ACTIONS(2067),
    [anon_sym_const] = ACTIONS(2067),
    [anon_sym_BANG] = ACTIONS(2067),
    [anon_sym_else] = ACTIONS(2067),
    [anon_sym_if] = ACTIONS(2067),
    [anon_sym_switch] = ACTIONS(2067),
    [anon_sym_for] = ACTIONS(2067),
    [anon_sym_LPAREN] = ACTIONS(2067),
    [anon_sym_await] = ACTIONS(2067),
    [anon_sym_while] = ACTIONS(2067),
    [anon_sym_do] = ACTIONS(2067),
    [anon_sym_try] = ACTIONS(2067),
    [anon_sym_break] = ACTIONS(2067),
    [anon_sym_continue] = ACTIONS(2067),
    [anon_sym_debugger] = ACTIONS(2067),
    [anon_sym_return] = ACTIONS(2067),
    [anon_sym_throw] = ACTIONS(2067),
    [anon_sym_SEMI] = ACTIONS(2067),
    [anon_sym_case] = ACTIONS(2067),
    [anon_sym_yield] = ACTIONS(2067),
    [anon_sym_LBRACK] = ACTIONS(2067),
    [anon_sym_LTtemplate_GT] = ACTIONS(2067),
    [anon_sym_DQUOTE] = ACTIONS(2067),
    [anon_sym_SQUOTE] = ACTIONS(2067),
    [anon_sym_class] = ACTIONS(2067),
    [anon_sym_async] = ACTIONS(2067),
    [anon_sym_function] = ACTIONS(2067),
    [anon_sym_new] = ACTIONS(2067),
    [anon_sym_using] = ACTIONS(2067),
    [anon_sym_PLUS] = ACTIONS(2067),
    [anon_sym_DASH] = ACTIONS(2067),
    [anon_sym_SLASH] = ACTIONS(2067),
    [anon_sym_LT] = ACTIONS(2067),
    [anon_sym_TILDE] = ACTIONS(2067),
    [anon_sym_void] = ACTIONS(2067),
    [anon_sym_delete] = ACTIONS(2067),
    [anon_sym_PLUS_PLUS] = ACTIONS(2067),
    [anon_sym_DASH_DASH] = ACTIONS(2067),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2067),
    [sym_number] = ACTIONS(2067),
    [sym_private_property_identifier] = ACTIONS(2067),
    [sym_this] = ACTIONS(2067),
    [sym_super] = ACTIONS(2067),
    [sym_true] = ACTIONS(2067),
    [sym_false] = ACTIONS(2067),
    [sym_null] = ACTIONS(2067),
    [sym_undefined] = ACTIONS(2067),
    [anon_sym_AT] = ACTIONS(2067),
    [anon_sym_static] = ACTIONS(2067),
    [anon_sym_readonly] = ACTIONS(2067),
    [anon_sym_get] = ACTIONS(2067),
    [anon_sym_set] = ACTIONS(2067),
    [anon_sym_declare] = ACTIONS(2067),
    [anon_sym_public] = ACTIONS(2067),
    [anon_sym_private] = ACTIONS(2067),
    [anon_sym_protected] = ACTIONS(2067),
    [anon_sym_override] = ACTIONS(2067),
    [anon_sym_module] = ACTIONS(2067),
    [anon_sym_any] = ACTIONS(2067),
    [anon_sym_number] = ACTIONS(2067),
    [anon_sym_boolean] = ACTIONS(2067),
    [anon_sym_string] = ACTIONS(2067),
    [anon_sym_symbol] = ACTIONS(2067),
    [anon_sym_object] = ACTIONS(2067),
    [anon_sym_abstract] = ACTIONS(2067),
    [anon_sym_interface] = ACTIONS(2067),
    [anon_sym_enum] = ACTIONS(2067),
    [sym__automatic_semicolon] = ACTIONS(3076),
    [sym_html_comment] = ACTIONS(5),
  },
  [920] = {
    [sym_comment] = STATE(920),
    [sym_identifier] = ACTIONS(2093),
    [anon_sym_export] = ACTIONS(2093),
    [anon_sym_default] = ACTIONS(2093),
    [anon_sym_type] = ACTIONS(2093),
    [anon_sym_namespace] = ACTIONS(2093),
    [anon_sym_LBRACE] = ACTIONS(2093),
    [anon_sym_RBRACE] = ACTIONS(2093),
    [anon_sym_typeof] = ACTIONS(2093),
    [anon_sym_import] = ACTIONS(2093),
    [anon_sym_with] = ACTIONS(2093),
    [anon_sym_var] = ACTIONS(2093),
    [anon_sym_let] = ACTIONS(2093),
    [anon_sym_const] = ACTIONS(2093),
    [anon_sym_BANG] = ACTIONS(2093),
    [anon_sym_else] = ACTIONS(2093),
    [anon_sym_if] = ACTIONS(2093),
    [anon_sym_switch] = ACTIONS(2093),
    [anon_sym_for] = ACTIONS(2093),
    [anon_sym_LPAREN] = ACTIONS(2093),
    [anon_sym_await] = ACTIONS(2093),
    [anon_sym_while] = ACTIONS(2093),
    [anon_sym_do] = ACTIONS(2093),
    [anon_sym_try] = ACTIONS(2093),
    [anon_sym_break] = ACTIONS(2093),
    [anon_sym_continue] = ACTIONS(2093),
    [anon_sym_debugger] = ACTIONS(2093),
    [anon_sym_return] = ACTIONS(2093),
    [anon_sym_throw] = ACTIONS(2093),
    [anon_sym_SEMI] = ACTIONS(2093),
    [anon_sym_case] = ACTIONS(2093),
    [anon_sym_finally] = ACTIONS(2093),
    [anon_sym_yield] = ACTIONS(2093),
    [anon_sym_LBRACK] = ACTIONS(2093),
    [anon_sym_LTtemplate_GT] = ACTIONS(2093),
    [anon_sym_DQUOTE] = ACTIONS(2093),
    [anon_sym_SQUOTE] = ACTIONS(2093),
    [anon_sym_class] = ACTIONS(2093),
    [anon_sym_async] = ACTIONS(2093),
    [anon_sym_function] = ACTIONS(2093),
    [anon_sym_new] = ACTIONS(2093),
    [anon_sym_using] = ACTIONS(2093),
    [anon_sym_PLUS] = ACTIONS(2093),
    [anon_sym_DASH] = ACTIONS(2093),
    [anon_sym_SLASH] = ACTIONS(2093),
    [anon_sym_LT] = ACTIONS(2093),
    [anon_sym_TILDE] = ACTIONS(2093),
    [anon_sym_void] = ACTIONS(2093),
    [anon_sym_delete] = ACTIONS(2093),
    [anon_sym_PLUS_PLUS] = ACTIONS(2093),
    [anon_sym_DASH_DASH] = ACTIONS(2093),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2093),
    [sym_number] = ACTIONS(2093),
    [sym_private_property_identifier] = ACTIONS(2093),
    [sym_this] = ACTIONS(2093),
    [sym_super] = ACTIONS(2093),
    [sym_true] = ACTIONS(2093),
    [sym_false] = ACTIONS(2093),
    [sym_null] = ACTIONS(2093),
    [sym_undefined] = ACTIONS(2093),
    [anon_sym_AT] = ACTIONS(2093),
    [anon_sym_static] = ACTIONS(2093),
    [anon_sym_readonly] = ACTIONS(2093),
    [anon_sym_get] = ACTIONS(2093),
    [anon_sym_set] = ACTIONS(2093),
    [anon_sym_declare] = ACTIONS(2093),
    [anon_sym_public] = ACTIONS(2093),
    [anon_sym_private] = ACTIONS(2093),
    [anon_sym_protected] = ACTIONS(2093),
    [anon_sym_override] = ACTIONS(2093),
    [anon_sym_module] = ACTIONS(2093),
    [anon_sym_any] = ACTIONS(2093),
    [anon_sym_number] = ACTIONS(2093),
    [anon_sym_boolean] = ACTIONS(2093),
    [anon_sym_string] = ACTIONS(2093),
    [anon_sym_symbol] = ACTIONS(2093),
    [anon_sym_object] = ACTIONS(2093),
    [anon_sym_abstract] = ACTIONS(2093),
    [anon_sym_interface] = ACTIONS(2093),
    [anon_sym_enum] = ACTIONS(2093),
    [sym_html_comment] = ACTIONS(5),
  },
  [921] = {
    [sym_comment] = STATE(921),
    [sym_identifier] = ACTIONS(2213),
    [anon_sym_export] = ACTIONS(2213),
    [anon_sym_default] = ACTIONS(2213),
    [anon_sym_type] = ACTIONS(2213),
    [anon_sym_namespace] = ACTIONS(2213),
    [anon_sym_LBRACE] = ACTIONS(2213),
    [anon_sym_RBRACE] = ACTIONS(2213),
    [anon_sym_typeof] = ACTIONS(2213),
    [anon_sym_import] = ACTIONS(2213),
    [anon_sym_with] = ACTIONS(2213),
    [anon_sym_var] = ACTIONS(2213),
    [anon_sym_let] = ACTIONS(2213),
    [anon_sym_const] = ACTIONS(2213),
    [anon_sym_BANG] = ACTIONS(2213),
    [anon_sym_else] = ACTIONS(2213),
    [anon_sym_if] = ACTIONS(2213),
    [anon_sym_switch] = ACTIONS(2213),
    [anon_sym_for] = ACTIONS(2213),
    [anon_sym_LPAREN] = ACTIONS(2213),
    [anon_sym_await] = ACTIONS(2213),
    [anon_sym_while] = ACTIONS(2213),
    [anon_sym_do] = ACTIONS(2213),
    [anon_sym_try] = ACTIONS(2213),
    [anon_sym_break] = ACTIONS(2213),
    [anon_sym_continue] = ACTIONS(2213),
    [anon_sym_debugger] = ACTIONS(2213),
    [anon_sym_return] = ACTIONS(2213),
    [anon_sym_throw] = ACTIONS(2213),
    [anon_sym_SEMI] = ACTIONS(2213),
    [anon_sym_case] = ACTIONS(2213),
    [anon_sym_yield] = ACTIONS(2213),
    [anon_sym_LBRACK] = ACTIONS(2213),
    [anon_sym_LTtemplate_GT] = ACTIONS(2213),
    [anon_sym_DQUOTE] = ACTIONS(2213),
    [anon_sym_SQUOTE] = ACTIONS(2213),
    [anon_sym_class] = ACTIONS(2213),
    [anon_sym_async] = ACTIONS(2213),
    [anon_sym_function] = ACTIONS(2213),
    [anon_sym_new] = ACTIONS(2213),
    [anon_sym_using] = ACTIONS(2213),
    [anon_sym_PLUS] = ACTIONS(2213),
    [anon_sym_DASH] = ACTIONS(2213),
    [anon_sym_SLASH] = ACTIONS(2213),
    [anon_sym_LT] = ACTIONS(2213),
    [anon_sym_TILDE] = ACTIONS(2213),
    [anon_sym_void] = ACTIONS(2213),
    [anon_sym_delete] = ACTIONS(2213),
    [anon_sym_PLUS_PLUS] = ACTIONS(2213),
    [anon_sym_DASH_DASH] = ACTIONS(2213),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2213),
    [sym_number] = ACTIONS(2213),
    [sym_private_property_identifier] = ACTIONS(2213),
    [sym_this] = ACTIONS(2213),
    [sym_super] = ACTIONS(2213),
    [sym_true] = ACTIONS(2213),
    [sym_false] = ACTIONS(2213),
    [sym_null] = ACTIONS(2213),
    [sym_undefined] = ACTIONS(2213),
    [anon_sym_AT] = ACTIONS(2213),
    [anon_sym_static] = ACTIONS(2213),
    [anon_sym_readonly] = ACTIONS(2213),
    [anon_sym_get] = ACTIONS(2213),
    [anon_sym_set] = ACTIONS(2213),
    [anon_sym_declare] = ACTIONS(2213),
    [anon_sym_public] = ACTIONS(2213),
    [anon_sym_private] = ACTIONS(2213),
    [anon_sym_protected] = ACTIONS(2213),
    [anon_sym_override] = ACTIONS(2213),
    [anon_sym_module] = ACTIONS(2213),
    [anon_sym_any] = ACTIONS(2213),
    [anon_sym_number] = ACTIONS(2213),
    [anon_sym_boolean] = ACTIONS(2213),
    [anon_sym_string] = ACTIONS(2213),
    [anon_sym_symbol] = ACTIONS(2213),
    [anon_sym_object] = ACTIONS(2213),
    [anon_sym_abstract] = ACTIONS(2213),
    [anon_sym_interface] = ACTIONS(2213),
    [anon_sym_enum] = ACTIONS(2213),
    [sym__automatic_semicolon] = ACTIONS(2217),
    [sym_html_comment] = ACTIONS(5),
  },
  [922] = {
    [sym_comment] = STATE(922),
    [sym_identifier] = ACTIONS(2159),
    [anon_sym_export] = ACTIONS(2159),
    [anon_sym_default] = ACTIONS(2159),
    [anon_sym_type] = ACTIONS(2159),
    [anon_sym_namespace] = ACTIONS(2159),
    [anon_sym_LBRACE] = ACTIONS(2159),
    [anon_sym_RBRACE] = ACTIONS(2159),
    [anon_sym_typeof] = ACTIONS(2159),
    [anon_sym_import] = ACTIONS(2159),
    [anon_sym_with] = ACTIONS(2159),
    [anon_sym_var] = ACTIONS(2159),
    [anon_sym_let] = ACTIONS(2159),
    [anon_sym_const] = ACTIONS(2159),
    [anon_sym_BANG] = ACTIONS(2159),
    [anon_sym_else] = ACTIONS(2159),
    [anon_sym_if] = ACTIONS(2159),
    [anon_sym_switch] = ACTIONS(2159),
    [anon_sym_for] = ACTIONS(2159),
    [anon_sym_LPAREN] = ACTIONS(2159),
    [anon_sym_await] = ACTIONS(2159),
    [anon_sym_while] = ACTIONS(2159),
    [anon_sym_do] = ACTIONS(2159),
    [anon_sym_try] = ACTIONS(2159),
    [anon_sym_break] = ACTIONS(2159),
    [anon_sym_continue] = ACTIONS(2159),
    [anon_sym_debugger] = ACTIONS(2159),
    [anon_sym_return] = ACTIONS(2159),
    [anon_sym_throw] = ACTIONS(2159),
    [anon_sym_SEMI] = ACTIONS(2159),
    [anon_sym_case] = ACTIONS(2159),
    [anon_sym_yield] = ACTIONS(2159),
    [anon_sym_LBRACK] = ACTIONS(2159),
    [anon_sym_LTtemplate_GT] = ACTIONS(2159),
    [anon_sym_DQUOTE] = ACTIONS(2159),
    [anon_sym_SQUOTE] = ACTIONS(2159),
    [anon_sym_class] = ACTIONS(2159),
    [anon_sym_async] = ACTIONS(2159),
    [anon_sym_function] = ACTIONS(2159),
    [anon_sym_new] = ACTIONS(2159),
    [anon_sym_using] = ACTIONS(2159),
    [anon_sym_PLUS] = ACTIONS(2159),
    [anon_sym_DASH] = ACTIONS(2159),
    [anon_sym_SLASH] = ACTIONS(2159),
    [anon_sym_LT] = ACTIONS(2159),
    [anon_sym_TILDE] = ACTIONS(2159),
    [anon_sym_void] = ACTIONS(2159),
    [anon_sym_delete] = ACTIONS(2159),
    [anon_sym_PLUS_PLUS] = ACTIONS(2159),
    [anon_sym_DASH_DASH] = ACTIONS(2159),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2159),
    [sym_number] = ACTIONS(2159),
    [sym_private_property_identifier] = ACTIONS(2159),
    [sym_this] = ACTIONS(2159),
    [sym_super] = ACTIONS(2159),
    [sym_true] = ACTIONS(2159),
    [sym_false] = ACTIONS(2159),
    [sym_null] = ACTIONS(2159),
    [sym_undefined] = ACTIONS(2159),
    [anon_sym_AT] = ACTIONS(2159),
    [anon_sym_static] = ACTIONS(2159),
    [anon_sym_readonly] = ACTIONS(2159),
    [anon_sym_get] = ACTIONS(2159),
    [anon_sym_set] = ACTIONS(2159),
    [anon_sym_declare] = ACTIONS(2159),
    [anon_sym_public] = ACTIONS(2159),
    [anon_sym_private] = ACTIONS(2159),
    [anon_sym_protected] = ACTIONS(2159),
    [anon_sym_override] = ACTIONS(2159),
    [anon_sym_module] = ACTIONS(2159),
    [anon_sym_any] = ACTIONS(2159),
    [anon_sym_number] = ACTIONS(2159),
    [anon_sym_boolean] = ACTIONS(2159),
    [anon_sym_string] = ACTIONS(2159),
    [anon_sym_symbol] = ACTIONS(2159),
    [anon_sym_object] = ACTIONS(2159),
    [anon_sym_abstract] = ACTIONS(2159),
    [anon_sym_interface] = ACTIONS(2159),
    [anon_sym_enum] = ACTIONS(2159),
    [sym__automatic_semicolon] = ACTIONS(2163),
    [sym_html_comment] = ACTIONS(5),
  },
  [923] = {
    [sym_comment] = STATE(923),
    [sym_identifier] = ACTIONS(3078),
    [anon_sym_export] = ACTIONS(3078),
    [anon_sym_default] = ACTIONS(3078),
    [anon_sym_type] = ACTIONS(3078),
    [anon_sym_namespace] = ACTIONS(3078),
    [anon_sym_LBRACE] = ACTIONS(3078),
    [anon_sym_RBRACE] = ACTIONS(3078),
    [anon_sym_typeof] = ACTIONS(3078),
    [anon_sym_import] = ACTIONS(3078),
    [anon_sym_with] = ACTIONS(3078),
    [anon_sym_var] = ACTIONS(3078),
    [anon_sym_let] = ACTIONS(3078),
    [anon_sym_const] = ACTIONS(3078),
    [anon_sym_BANG] = ACTIONS(3078),
    [anon_sym_else] = ACTIONS(3078),
    [anon_sym_if] = ACTIONS(3078),
    [anon_sym_switch] = ACTIONS(3078),
    [anon_sym_for] = ACTIONS(3078),
    [anon_sym_LPAREN] = ACTIONS(3078),
    [anon_sym_await] = ACTIONS(3078),
    [anon_sym_while] = ACTIONS(3078),
    [anon_sym_do] = ACTIONS(3078),
    [anon_sym_try] = ACTIONS(3078),
    [anon_sym_break] = ACTIONS(3078),
    [anon_sym_continue] = ACTIONS(3078),
    [anon_sym_debugger] = ACTIONS(3078),
    [anon_sym_return] = ACTIONS(3078),
    [anon_sym_throw] = ACTIONS(3078),
    [anon_sym_SEMI] = ACTIONS(3078),
    [anon_sym_case] = ACTIONS(3078),
    [anon_sym_yield] = ACTIONS(3078),
    [anon_sym_LBRACK] = ACTIONS(3078),
    [anon_sym_LTtemplate_GT] = ACTIONS(3078),
    [anon_sym_DQUOTE] = ACTIONS(3078),
    [anon_sym_SQUOTE] = ACTIONS(3078),
    [anon_sym_class] = ACTIONS(3078),
    [anon_sym_async] = ACTIONS(3078),
    [anon_sym_function] = ACTIONS(3078),
    [anon_sym_new] = ACTIONS(3078),
    [anon_sym_using] = ACTIONS(3078),
    [anon_sym_PLUS] = ACTIONS(3078),
    [anon_sym_DASH] = ACTIONS(3078),
    [anon_sym_SLASH] = ACTIONS(3078),
    [anon_sym_LT] = ACTIONS(3078),
    [anon_sym_TILDE] = ACTIONS(3078),
    [anon_sym_void] = ACTIONS(3078),
    [anon_sym_delete] = ACTIONS(3078),
    [anon_sym_PLUS_PLUS] = ACTIONS(3078),
    [anon_sym_DASH_DASH] = ACTIONS(3078),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3078),
    [sym_number] = ACTIONS(3078),
    [sym_private_property_identifier] = ACTIONS(3078),
    [sym_this] = ACTIONS(3078),
    [sym_super] = ACTIONS(3078),
    [sym_true] = ACTIONS(3078),
    [sym_false] = ACTIONS(3078),
    [sym_null] = ACTIONS(3078),
    [sym_undefined] = ACTIONS(3078),
    [anon_sym_AT] = ACTIONS(3078),
    [anon_sym_static] = ACTIONS(3078),
    [anon_sym_readonly] = ACTIONS(3078),
    [anon_sym_get] = ACTIONS(3078),
    [anon_sym_set] = ACTIONS(3078),
    [anon_sym_declare] = ACTIONS(3078),
    [anon_sym_public] = ACTIONS(3078),
    [anon_sym_private] = ACTIONS(3078),
    [anon_sym_protected] = ACTIONS(3078),
    [anon_sym_override] = ACTIONS(3078),
    [anon_sym_module] = ACTIONS(3078),
    [anon_sym_any] = ACTIONS(3078),
    [anon_sym_number] = ACTIONS(3078),
    [anon_sym_boolean] = ACTIONS(3078),
    [anon_sym_string] = ACTIONS(3078),
    [anon_sym_symbol] = ACTIONS(3078),
    [anon_sym_object] = ACTIONS(3078),
    [anon_sym_abstract] = ACTIONS(3078),
    [anon_sym_interface] = ACTIONS(3078),
    [anon_sym_enum] = ACTIONS(3078),
    [sym__automatic_semicolon] = ACTIONS(3080),
    [sym_html_comment] = ACTIONS(5),
  },
  [924] = {
    [sym_comment] = STATE(924),
    [sym_identifier] = ACTIONS(2067),
    [anon_sym_export] = ACTIONS(2067),
    [anon_sym_default] = ACTIONS(2067),
    [anon_sym_type] = ACTIONS(2067),
    [anon_sym_namespace] = ACTIONS(2067),
    [anon_sym_LBRACE] = ACTIONS(2067),
    [anon_sym_RBRACE] = ACTIONS(2067),
    [anon_sym_typeof] = ACTIONS(2067),
    [anon_sym_import] = ACTIONS(2067),
    [anon_sym_with] = ACTIONS(2067),
    [anon_sym_var] = ACTIONS(2067),
    [anon_sym_let] = ACTIONS(2067),
    [anon_sym_const] = ACTIONS(2067),
    [anon_sym_BANG] = ACTIONS(2067),
    [anon_sym_else] = ACTIONS(2067),
    [anon_sym_if] = ACTIONS(2067),
    [anon_sym_switch] = ACTIONS(2067),
    [anon_sym_for] = ACTIONS(2067),
    [anon_sym_LPAREN] = ACTIONS(2067),
    [anon_sym_await] = ACTIONS(2067),
    [anon_sym_while] = ACTIONS(2067),
    [anon_sym_do] = ACTIONS(2067),
    [anon_sym_try] = ACTIONS(2067),
    [anon_sym_break] = ACTIONS(2067),
    [anon_sym_continue] = ACTIONS(2067),
    [anon_sym_debugger] = ACTIONS(2067),
    [anon_sym_return] = ACTIONS(2067),
    [anon_sym_throw] = ACTIONS(2067),
    [anon_sym_SEMI] = ACTIONS(2067),
    [anon_sym_case] = ACTIONS(2067),
    [anon_sym_yield] = ACTIONS(2067),
    [anon_sym_LBRACK] = ACTIONS(2067),
    [anon_sym_LTtemplate_GT] = ACTIONS(2067),
    [anon_sym_DQUOTE] = ACTIONS(2067),
    [anon_sym_SQUOTE] = ACTIONS(2067),
    [anon_sym_class] = ACTIONS(2067),
    [anon_sym_async] = ACTIONS(2067),
    [anon_sym_function] = ACTIONS(2067),
    [anon_sym_new] = ACTIONS(2067),
    [anon_sym_using] = ACTIONS(2067),
    [anon_sym_PLUS] = ACTIONS(2067),
    [anon_sym_DASH] = ACTIONS(2067),
    [anon_sym_SLASH] = ACTIONS(2067),
    [anon_sym_LT] = ACTIONS(2067),
    [anon_sym_TILDE] = ACTIONS(2067),
    [anon_sym_void] = ACTIONS(2067),
    [anon_sym_delete] = ACTIONS(2067),
    [anon_sym_PLUS_PLUS] = ACTIONS(2067),
    [anon_sym_DASH_DASH] = ACTIONS(2067),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2067),
    [sym_number] = ACTIONS(2067),
    [sym_private_property_identifier] = ACTIONS(2067),
    [sym_this] = ACTIONS(2067),
    [sym_super] = ACTIONS(2067),
    [sym_true] = ACTIONS(2067),
    [sym_false] = ACTIONS(2067),
    [sym_null] = ACTIONS(2067),
    [sym_undefined] = ACTIONS(2067),
    [anon_sym_AT] = ACTIONS(2067),
    [anon_sym_static] = ACTIONS(2067),
    [anon_sym_readonly] = ACTIONS(2067),
    [anon_sym_get] = ACTIONS(2067),
    [anon_sym_set] = ACTIONS(2067),
    [anon_sym_declare] = ACTIONS(2067),
    [anon_sym_public] = ACTIONS(2067),
    [anon_sym_private] = ACTIONS(2067),
    [anon_sym_protected] = ACTIONS(2067),
    [anon_sym_override] = ACTIONS(2067),
    [anon_sym_module] = ACTIONS(2067),
    [anon_sym_any] = ACTIONS(2067),
    [anon_sym_number] = ACTIONS(2067),
    [anon_sym_boolean] = ACTIONS(2067),
    [anon_sym_string] = ACTIONS(2067),
    [anon_sym_symbol] = ACTIONS(2067),
    [anon_sym_object] = ACTIONS(2067),
    [anon_sym_abstract] = ACTIONS(2067),
    [anon_sym_interface] = ACTIONS(2067),
    [anon_sym_enum] = ACTIONS(2067),
    [sym__automatic_semicolon] = ACTIONS(2073),
    [sym_html_comment] = ACTIONS(5),
  },
  [925] = {
    [sym_statement_block] = STATE(1387),
    [sym_comment] = STATE(925),
    [sym_identifier] = ACTIONS(2055),
    [anon_sym_export] = ACTIONS(2055),
    [anon_sym_default] = ACTIONS(2055),
    [anon_sym_type] = ACTIONS(2055),
    [anon_sym_namespace] = ACTIONS(2055),
    [anon_sym_LBRACE] = ACTIONS(3082),
    [anon_sym_RBRACE] = ACTIONS(2055),
    [anon_sym_typeof] = ACTIONS(2055),
    [anon_sym_import] = ACTIONS(2055),
    [anon_sym_with] = ACTIONS(2055),
    [anon_sym_var] = ACTIONS(2055),
    [anon_sym_let] = ACTIONS(2055),
    [anon_sym_const] = ACTIONS(2055),
    [anon_sym_BANG] = ACTIONS(2055),
    [anon_sym_if] = ACTIONS(2055),
    [anon_sym_switch] = ACTIONS(2055),
    [anon_sym_for] = ACTIONS(2055),
    [anon_sym_LPAREN] = ACTIONS(2055),
    [anon_sym_await] = ACTIONS(2055),
    [anon_sym_while] = ACTIONS(2055),
    [anon_sym_do] = ACTIONS(2055),
    [anon_sym_try] = ACTIONS(2055),
    [anon_sym_break] = ACTIONS(2055),
    [anon_sym_continue] = ACTIONS(2055),
    [anon_sym_debugger] = ACTIONS(2055),
    [anon_sym_return] = ACTIONS(2055),
    [anon_sym_throw] = ACTIONS(2055),
    [anon_sym_SEMI] = ACTIONS(2055),
    [anon_sym_case] = ACTIONS(2055),
    [anon_sym_yield] = ACTIONS(2055),
    [anon_sym_LBRACK] = ACTIONS(2055),
    [anon_sym_LTtemplate_GT] = ACTIONS(2055),
    [anon_sym_DOT] = ACTIONS(3084),
    [anon_sym_DQUOTE] = ACTIONS(2055),
    [anon_sym_SQUOTE] = ACTIONS(2055),
    [anon_sym_class] = ACTIONS(2055),
    [anon_sym_async] = ACTIONS(2055),
    [anon_sym_function] = ACTIONS(2055),
    [anon_sym_new] = ACTIONS(2055),
    [anon_sym_using] = ACTIONS(2055),
    [anon_sym_PLUS] = ACTIONS(2055),
    [anon_sym_DASH] = ACTIONS(2055),
    [anon_sym_SLASH] = ACTIONS(2055),
    [anon_sym_LT] = ACTIONS(2055),
    [anon_sym_TILDE] = ACTIONS(2055),
    [anon_sym_void] = ACTIONS(2055),
    [anon_sym_delete] = ACTIONS(2055),
    [anon_sym_PLUS_PLUS] = ACTIONS(2055),
    [anon_sym_DASH_DASH] = ACTIONS(2055),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2055),
    [sym_number] = ACTIONS(2055),
    [sym_private_property_identifier] = ACTIONS(2055),
    [sym_this] = ACTIONS(2055),
    [sym_super] = ACTIONS(2055),
    [sym_true] = ACTIONS(2055),
    [sym_false] = ACTIONS(2055),
    [sym_null] = ACTIONS(2055),
    [sym_undefined] = ACTIONS(2055),
    [anon_sym_AT] = ACTIONS(2055),
    [anon_sym_static] = ACTIONS(2055),
    [anon_sym_readonly] = ACTIONS(2055),
    [anon_sym_get] = ACTIONS(2055),
    [anon_sym_set] = ACTIONS(2055),
    [anon_sym_declare] = ACTIONS(2055),
    [anon_sym_public] = ACTIONS(2055),
    [anon_sym_private] = ACTIONS(2055),
    [anon_sym_protected] = ACTIONS(2055),
    [anon_sym_override] = ACTIONS(2055),
    [anon_sym_module] = ACTIONS(2055),
    [anon_sym_any] = ACTIONS(2055),
    [anon_sym_number] = ACTIONS(2055),
    [anon_sym_boolean] = ACTIONS(2055),
    [anon_sym_string] = ACTIONS(2055),
    [anon_sym_symbol] = ACTIONS(2055),
    [anon_sym_object] = ACTIONS(2055),
    [anon_sym_abstract] = ACTIONS(2055),
    [anon_sym_interface] = ACTIONS(2055),
    [anon_sym_enum] = ACTIONS(2055),
    [sym_html_comment] = ACTIONS(5),
  },
  [926] = {
    [sym_comment] = STATE(926),
    [sym_identifier] = ACTIONS(2067),
    [anon_sym_export] = ACTIONS(2067),
    [anon_sym_default] = ACTIONS(2067),
    [anon_sym_type] = ACTIONS(2067),
    [anon_sym_namespace] = ACTIONS(2067),
    [anon_sym_LBRACE] = ACTIONS(2067),
    [anon_sym_RBRACE] = ACTIONS(2067),
    [anon_sym_typeof] = ACTIONS(2067),
    [anon_sym_import] = ACTIONS(2067),
    [anon_sym_with] = ACTIONS(2067),
    [anon_sym_var] = ACTIONS(2067),
    [anon_sym_let] = ACTIONS(2067),
    [anon_sym_const] = ACTIONS(2067),
    [anon_sym_BANG] = ACTIONS(2067),
    [anon_sym_if] = ACTIONS(2067),
    [anon_sym_switch] = ACTIONS(2067),
    [anon_sym_for] = ACTIONS(2067),
    [anon_sym_LPAREN] = ACTIONS(2067),
    [anon_sym_await] = ACTIONS(2067),
    [anon_sym_while] = ACTIONS(2067),
    [anon_sym_do] = ACTIONS(2067),
    [anon_sym_try] = ACTIONS(2067),
    [anon_sym_break] = ACTIONS(2067),
    [anon_sym_continue] = ACTIONS(2067),
    [anon_sym_debugger] = ACTIONS(2067),
    [anon_sym_return] = ACTIONS(2067),
    [anon_sym_throw] = ACTIONS(2067),
    [anon_sym_SEMI] = ACTIONS(2067),
    [anon_sym_case] = ACTIONS(2067),
    [anon_sym_finally] = ACTIONS(2067),
    [anon_sym_yield] = ACTIONS(2067),
    [anon_sym_LBRACK] = ACTIONS(2067),
    [anon_sym_LTtemplate_GT] = ACTIONS(2067),
    [anon_sym_DQUOTE] = ACTIONS(2067),
    [anon_sym_SQUOTE] = ACTIONS(2067),
    [anon_sym_class] = ACTIONS(2067),
    [anon_sym_async] = ACTIONS(2067),
    [anon_sym_function] = ACTIONS(2067),
    [anon_sym_new] = ACTIONS(2067),
    [anon_sym_using] = ACTIONS(2067),
    [anon_sym_PLUS] = ACTIONS(2067),
    [anon_sym_DASH] = ACTIONS(2067),
    [anon_sym_SLASH] = ACTIONS(2067),
    [anon_sym_LT] = ACTIONS(2067),
    [anon_sym_TILDE] = ACTIONS(2067),
    [anon_sym_void] = ACTIONS(2067),
    [anon_sym_delete] = ACTIONS(2067),
    [anon_sym_PLUS_PLUS] = ACTIONS(2067),
    [anon_sym_DASH_DASH] = ACTIONS(2067),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2067),
    [sym_number] = ACTIONS(2067),
    [sym_private_property_identifier] = ACTIONS(2067),
    [sym_this] = ACTIONS(2067),
    [sym_super] = ACTIONS(2067),
    [sym_true] = ACTIONS(2067),
    [sym_false] = ACTIONS(2067),
    [sym_null] = ACTIONS(2067),
    [sym_undefined] = ACTIONS(2067),
    [anon_sym_AT] = ACTIONS(2067),
    [anon_sym_static] = ACTIONS(2067),
    [anon_sym_readonly] = ACTIONS(2067),
    [anon_sym_get] = ACTIONS(2067),
    [anon_sym_set] = ACTIONS(2067),
    [anon_sym_declare] = ACTIONS(2067),
    [anon_sym_public] = ACTIONS(2067),
    [anon_sym_private] = ACTIONS(2067),
    [anon_sym_protected] = ACTIONS(2067),
    [anon_sym_override] = ACTIONS(2067),
    [anon_sym_module] = ACTIONS(2067),
    [anon_sym_any] = ACTIONS(2067),
    [anon_sym_number] = ACTIONS(2067),
    [anon_sym_boolean] = ACTIONS(2067),
    [anon_sym_string] = ACTIONS(2067),
    [anon_sym_symbol] = ACTIONS(2067),
    [anon_sym_object] = ACTIONS(2067),
    [anon_sym_abstract] = ACTIONS(2067),
    [anon_sym_interface] = ACTIONS(2067),
    [anon_sym_enum] = ACTIONS(2067),
    [sym__automatic_semicolon] = ACTIONS(3086),
    [sym_html_comment] = ACTIONS(5),
  },
  [927] = {
    [sym_comment] = STATE(927),
    [sym_identifier] = ACTIONS(3088),
    [anon_sym_export] = ACTIONS(3088),
    [anon_sym_default] = ACTIONS(3088),
    [anon_sym_type] = ACTIONS(3088),
    [anon_sym_namespace] = ACTIONS(3088),
    [anon_sym_LBRACE] = ACTIONS(3088),
    [anon_sym_RBRACE] = ACTIONS(3088),
    [anon_sym_typeof] = ACTIONS(3088),
    [anon_sym_import] = ACTIONS(3088),
    [anon_sym_with] = ACTIONS(3088),
    [anon_sym_var] = ACTIONS(3088),
    [anon_sym_let] = ACTIONS(3088),
    [anon_sym_const] = ACTIONS(3088),
    [anon_sym_BANG] = ACTIONS(3088),
    [anon_sym_else] = ACTIONS(3088),
    [anon_sym_if] = ACTIONS(3088),
    [anon_sym_switch] = ACTIONS(3088),
    [anon_sym_for] = ACTIONS(3088),
    [anon_sym_LPAREN] = ACTIONS(3088),
    [anon_sym_await] = ACTIONS(3088),
    [anon_sym_while] = ACTIONS(3088),
    [anon_sym_do] = ACTIONS(3088),
    [anon_sym_try] = ACTIONS(3088),
    [anon_sym_break] = ACTIONS(3088),
    [anon_sym_continue] = ACTIONS(3088),
    [anon_sym_debugger] = ACTIONS(3088),
    [anon_sym_return] = ACTIONS(3088),
    [anon_sym_throw] = ACTIONS(3088),
    [anon_sym_SEMI] = ACTIONS(3088),
    [anon_sym_case] = ACTIONS(3088),
    [anon_sym_finally] = ACTIONS(3088),
    [anon_sym_yield] = ACTIONS(3088),
    [anon_sym_LBRACK] = ACTIONS(3088),
    [anon_sym_LTtemplate_GT] = ACTIONS(3088),
    [anon_sym_DQUOTE] = ACTIONS(3088),
    [anon_sym_SQUOTE] = ACTIONS(3088),
    [anon_sym_class] = ACTIONS(3088),
    [anon_sym_async] = ACTIONS(3088),
    [anon_sym_function] = ACTIONS(3088),
    [anon_sym_new] = ACTIONS(3088),
    [anon_sym_using] = ACTIONS(3088),
    [anon_sym_PLUS] = ACTIONS(3088),
    [anon_sym_DASH] = ACTIONS(3088),
    [anon_sym_SLASH] = ACTIONS(3088),
    [anon_sym_LT] = ACTIONS(3088),
    [anon_sym_TILDE] = ACTIONS(3088),
    [anon_sym_void] = ACTIONS(3088),
    [anon_sym_delete] = ACTIONS(3088),
    [anon_sym_PLUS_PLUS] = ACTIONS(3088),
    [anon_sym_DASH_DASH] = ACTIONS(3088),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3088),
    [sym_number] = ACTIONS(3088),
    [sym_private_property_identifier] = ACTIONS(3088),
    [sym_this] = ACTIONS(3088),
    [sym_super] = ACTIONS(3088),
    [sym_true] = ACTIONS(3088),
    [sym_false] = ACTIONS(3088),
    [sym_null] = ACTIONS(3088),
    [sym_undefined] = ACTIONS(3088),
    [anon_sym_AT] = ACTIONS(3088),
    [anon_sym_static] = ACTIONS(3088),
    [anon_sym_readonly] = ACTIONS(3088),
    [anon_sym_get] = ACTIONS(3088),
    [anon_sym_set] = ACTIONS(3088),
    [anon_sym_declare] = ACTIONS(3088),
    [anon_sym_public] = ACTIONS(3088),
    [anon_sym_private] = ACTIONS(3088),
    [anon_sym_protected] = ACTIONS(3088),
    [anon_sym_override] = ACTIONS(3088),
    [anon_sym_module] = ACTIONS(3088),
    [anon_sym_any] = ACTIONS(3088),
    [anon_sym_number] = ACTIONS(3088),
    [anon_sym_boolean] = ACTIONS(3088),
    [anon_sym_string] = ACTIONS(3088),
    [anon_sym_symbol] = ACTIONS(3088),
    [anon_sym_object] = ACTIONS(3088),
    [anon_sym_abstract] = ACTIONS(3088),
    [anon_sym_interface] = ACTIONS(3088),
    [anon_sym_enum] = ACTIONS(3088),
    [sym_html_comment] = ACTIONS(5),
  },
  [928] = {
    [sym_else_clause] = STATE(1144),
    [sym_comment] = STATE(928),
    [sym_identifier] = ACTIONS(3068),
    [anon_sym_export] = ACTIONS(3068),
    [anon_sym_default] = ACTIONS(3068),
    [anon_sym_type] = ACTIONS(3068),
    [anon_sym_namespace] = ACTIONS(3068),
    [anon_sym_LBRACE] = ACTIONS(3068),
    [anon_sym_RBRACE] = ACTIONS(3068),
    [anon_sym_typeof] = ACTIONS(3068),
    [anon_sym_import] = ACTIONS(3068),
    [anon_sym_with] = ACTIONS(3068),
    [anon_sym_var] = ACTIONS(3068),
    [anon_sym_let] = ACTIONS(3068),
    [anon_sym_const] = ACTIONS(3068),
    [anon_sym_BANG] = ACTIONS(3068),
    [anon_sym_else] = ACTIONS(3090),
    [anon_sym_if] = ACTIONS(3068),
    [anon_sym_switch] = ACTIONS(3068),
    [anon_sym_for] = ACTIONS(3068),
    [anon_sym_LPAREN] = ACTIONS(3068),
    [anon_sym_await] = ACTIONS(3068),
    [anon_sym_while] = ACTIONS(3068),
    [anon_sym_do] = ACTIONS(3068),
    [anon_sym_try] = ACTIONS(3068),
    [anon_sym_break] = ACTIONS(3068),
    [anon_sym_continue] = ACTIONS(3068),
    [anon_sym_debugger] = ACTIONS(3068),
    [anon_sym_return] = ACTIONS(3068),
    [anon_sym_throw] = ACTIONS(3068),
    [anon_sym_SEMI] = ACTIONS(3068),
    [anon_sym_case] = ACTIONS(3068),
    [anon_sym_yield] = ACTIONS(3068),
    [anon_sym_LBRACK] = ACTIONS(3068),
    [anon_sym_LTtemplate_GT] = ACTIONS(3068),
    [anon_sym_DQUOTE] = ACTIONS(3068),
    [anon_sym_SQUOTE] = ACTIONS(3068),
    [anon_sym_class] = ACTIONS(3068),
    [anon_sym_async] = ACTIONS(3068),
    [anon_sym_function] = ACTIONS(3068),
    [anon_sym_new] = ACTIONS(3068),
    [anon_sym_using] = ACTIONS(3068),
    [anon_sym_PLUS] = ACTIONS(3068),
    [anon_sym_DASH] = ACTIONS(3068),
    [anon_sym_SLASH] = ACTIONS(3068),
    [anon_sym_LT] = ACTIONS(3068),
    [anon_sym_TILDE] = ACTIONS(3068),
    [anon_sym_void] = ACTIONS(3068),
    [anon_sym_delete] = ACTIONS(3068),
    [anon_sym_PLUS_PLUS] = ACTIONS(3068),
    [anon_sym_DASH_DASH] = ACTIONS(3068),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3068),
    [sym_number] = ACTIONS(3068),
    [sym_private_property_identifier] = ACTIONS(3068),
    [sym_this] = ACTIONS(3068),
    [sym_super] = ACTIONS(3068),
    [sym_true] = ACTIONS(3068),
    [sym_false] = ACTIONS(3068),
    [sym_null] = ACTIONS(3068),
    [sym_undefined] = ACTIONS(3068),
    [anon_sym_AT] = ACTIONS(3068),
    [anon_sym_static] = ACTIONS(3068),
    [anon_sym_readonly] = ACTIONS(3068),
    [anon_sym_get] = ACTIONS(3068),
    [anon_sym_set] = ACTIONS(3068),
    [anon_sym_declare] = ACTIONS(3068),
    [anon_sym_public] = ACTIONS(3068),
    [anon_sym_private] = ACTIONS(3068),
    [anon_sym_protected] = ACTIONS(3068),
    [anon_sym_override] = ACTIONS(3068),
    [anon_sym_module] = ACTIONS(3068),
    [anon_sym_any] = ACTIONS(3068),
    [anon_sym_number] = ACTIONS(3068),
    [anon_sym_boolean] = ACTIONS(3068),
    [anon_sym_string] = ACTIONS(3068),
    [anon_sym_symbol] = ACTIONS(3068),
    [anon_sym_object] = ACTIONS(3068),
    [anon_sym_abstract] = ACTIONS(3068),
    [anon_sym_interface] = ACTIONS(3068),
    [anon_sym_enum] = ACTIONS(3068),
    [sym_html_comment] = ACTIONS(5),
  },
  [929] = {
    [sym_comment] = STATE(929),
    [sym_identifier] = ACTIONS(2093),
    [anon_sym_export] = ACTIONS(2093),
    [anon_sym_default] = ACTIONS(2093),
    [anon_sym_type] = ACTIONS(2093),
    [anon_sym_namespace] = ACTIONS(2093),
    [anon_sym_LBRACE] = ACTIONS(2093),
    [anon_sym_RBRACE] = ACTIONS(2093),
    [anon_sym_typeof] = ACTIONS(2093),
    [anon_sym_import] = ACTIONS(2093),
    [anon_sym_with] = ACTIONS(2093),
    [anon_sym_var] = ACTIONS(2093),
    [anon_sym_let] = ACTIONS(2093),
    [anon_sym_const] = ACTIONS(2093),
    [anon_sym_BANG] = ACTIONS(2093),
    [anon_sym_else] = ACTIONS(2093),
    [anon_sym_if] = ACTIONS(2093),
    [anon_sym_switch] = ACTIONS(2093),
    [anon_sym_for] = ACTIONS(2093),
    [anon_sym_LPAREN] = ACTIONS(2093),
    [anon_sym_await] = ACTIONS(2093),
    [anon_sym_while] = ACTIONS(2093),
    [anon_sym_do] = ACTIONS(2093),
    [anon_sym_try] = ACTIONS(2093),
    [anon_sym_break] = ACTIONS(2093),
    [anon_sym_continue] = ACTIONS(2093),
    [anon_sym_debugger] = ACTIONS(2093),
    [anon_sym_return] = ACTIONS(2093),
    [anon_sym_throw] = ACTIONS(2093),
    [anon_sym_SEMI] = ACTIONS(2093),
    [anon_sym_case] = ACTIONS(2093),
    [anon_sym_yield] = ACTIONS(2093),
    [anon_sym_LBRACK] = ACTIONS(2093),
    [anon_sym_LTtemplate_GT] = ACTIONS(2093),
    [anon_sym_DQUOTE] = ACTIONS(2093),
    [anon_sym_SQUOTE] = ACTIONS(2093),
    [anon_sym_class] = ACTIONS(2093),
    [anon_sym_async] = ACTIONS(2093),
    [anon_sym_function] = ACTIONS(2093),
    [anon_sym_new] = ACTIONS(2093),
    [anon_sym_using] = ACTIONS(2093),
    [anon_sym_PLUS] = ACTIONS(2093),
    [anon_sym_DASH] = ACTIONS(2093),
    [anon_sym_SLASH] = ACTIONS(2093),
    [anon_sym_LT] = ACTIONS(2093),
    [anon_sym_TILDE] = ACTIONS(2093),
    [anon_sym_void] = ACTIONS(2093),
    [anon_sym_delete] = ACTIONS(2093),
    [anon_sym_PLUS_PLUS] = ACTIONS(2093),
    [anon_sym_DASH_DASH] = ACTIONS(2093),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2093),
    [sym_number] = ACTIONS(2093),
    [sym_private_property_identifier] = ACTIONS(2093),
    [sym_this] = ACTIONS(2093),
    [sym_super] = ACTIONS(2093),
    [sym_true] = ACTIONS(2093),
    [sym_false] = ACTIONS(2093),
    [sym_null] = ACTIONS(2093),
    [sym_undefined] = ACTIONS(2093),
    [anon_sym_AT] = ACTIONS(2093),
    [anon_sym_static] = ACTIONS(2093),
    [anon_sym_readonly] = ACTIONS(2093),
    [anon_sym_get] = ACTIONS(2093),
    [anon_sym_set] = ACTIONS(2093),
    [anon_sym_declare] = ACTIONS(2093),
    [anon_sym_public] = ACTIONS(2093),
    [anon_sym_private] = ACTIONS(2093),
    [anon_sym_protected] = ACTIONS(2093),
    [anon_sym_override] = ACTIONS(2093),
    [anon_sym_module] = ACTIONS(2093),
    [anon_sym_any] = ACTIONS(2093),
    [anon_sym_number] = ACTIONS(2093),
    [anon_sym_boolean] = ACTIONS(2093),
    [anon_sym_string] = ACTIONS(2093),
    [anon_sym_symbol] = ACTIONS(2093),
    [anon_sym_object] = ACTIONS(2093),
    [anon_sym_abstract] = ACTIONS(2093),
    [anon_sym_interface] = ACTIONS(2093),
    [anon_sym_enum] = ACTIONS(2093),
    [sym__automatic_semicolon] = ACTIONS(2095),
    [sym_html_comment] = ACTIONS(5),
  },
  [930] = {
    [sym_comment] = STATE(930),
    [ts_builtin_sym_end] = ACTIONS(2103),
    [sym_identifier] = ACTIONS(2067),
    [anon_sym_export] = ACTIONS(2067),
    [anon_sym_type] = ACTIONS(2067),
    [anon_sym_namespace] = ACTIONS(2067),
    [anon_sym_LBRACE] = ACTIONS(2067),
    [anon_sym_RBRACE] = ACTIONS(2067),
    [anon_sym_typeof] = ACTIONS(2067),
    [anon_sym_import] = ACTIONS(2067),
    [anon_sym_with] = ACTIONS(2067),
    [anon_sym_var] = ACTIONS(2067),
    [anon_sym_let] = ACTIONS(2067),
    [anon_sym_const] = ACTIONS(2067),
    [anon_sym_BANG] = ACTIONS(2067),
    [anon_sym_else] = ACTIONS(2067),
    [anon_sym_if] = ACTIONS(2067),
    [anon_sym_switch] = ACTIONS(2067),
    [anon_sym_for] = ACTIONS(2067),
    [anon_sym_LPAREN] = ACTIONS(2067),
    [anon_sym_await] = ACTIONS(2067),
    [anon_sym_while] = ACTIONS(2067),
    [anon_sym_do] = ACTIONS(2067),
    [anon_sym_try] = ACTIONS(2067),
    [anon_sym_break] = ACTIONS(2067),
    [anon_sym_continue] = ACTIONS(2067),
    [anon_sym_debugger] = ACTIONS(2067),
    [anon_sym_return] = ACTIONS(2067),
    [anon_sym_throw] = ACTIONS(2067),
    [anon_sym_SEMI] = ACTIONS(2067),
    [anon_sym_finally] = ACTIONS(2067),
    [anon_sym_yield] = ACTIONS(2067),
    [anon_sym_LBRACK] = ACTIONS(2067),
    [anon_sym_LTtemplate_GT] = ACTIONS(2067),
    [anon_sym_DQUOTE] = ACTIONS(2067),
    [anon_sym_SQUOTE] = ACTIONS(2067),
    [anon_sym_class] = ACTIONS(2067),
    [anon_sym_async] = ACTIONS(2067),
    [anon_sym_function] = ACTIONS(2067),
    [anon_sym_new] = ACTIONS(2067),
    [anon_sym_using] = ACTIONS(2067),
    [anon_sym_PLUS] = ACTIONS(2067),
    [anon_sym_DASH] = ACTIONS(2067),
    [anon_sym_SLASH] = ACTIONS(2067),
    [anon_sym_LT] = ACTIONS(2067),
    [anon_sym_TILDE] = ACTIONS(2067),
    [anon_sym_void] = ACTIONS(2067),
    [anon_sym_delete] = ACTIONS(2067),
    [anon_sym_PLUS_PLUS] = ACTIONS(2067),
    [anon_sym_DASH_DASH] = ACTIONS(2067),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2067),
    [sym_number] = ACTIONS(2067),
    [sym_private_property_identifier] = ACTIONS(2067),
    [sym_this] = ACTIONS(2067),
    [sym_super] = ACTIONS(2067),
    [sym_true] = ACTIONS(2067),
    [sym_false] = ACTIONS(2067),
    [sym_null] = ACTIONS(2067),
    [sym_undefined] = ACTIONS(2067),
    [anon_sym_AT] = ACTIONS(2067),
    [anon_sym_static] = ACTIONS(2067),
    [anon_sym_readonly] = ACTIONS(2067),
    [anon_sym_get] = ACTIONS(2067),
    [anon_sym_set] = ACTIONS(2067),
    [anon_sym_declare] = ACTIONS(2067),
    [anon_sym_public] = ACTIONS(2067),
    [anon_sym_private] = ACTIONS(2067),
    [anon_sym_protected] = ACTIONS(2067),
    [anon_sym_override] = ACTIONS(2067),
    [anon_sym_module] = ACTIONS(2067),
    [anon_sym_any] = ACTIONS(2067),
    [anon_sym_number] = ACTIONS(2067),
    [anon_sym_boolean] = ACTIONS(2067),
    [anon_sym_string] = ACTIONS(2067),
    [anon_sym_symbol] = ACTIONS(2067),
    [anon_sym_object] = ACTIONS(2067),
    [anon_sym_abstract] = ACTIONS(2067),
    [anon_sym_interface] = ACTIONS(2067),
    [anon_sym_enum] = ACTIONS(2067),
    [sym__automatic_semicolon] = ACTIONS(3092),
    [sym_html_comment] = ACTIONS(5),
  },
  [931] = {
    [sym_comment] = STATE(931),
    [sym_identifier] = ACTIONS(2105),
    [anon_sym_export] = ACTIONS(2105),
    [anon_sym_default] = ACTIONS(2105),
    [anon_sym_type] = ACTIONS(2105),
    [anon_sym_namespace] = ACTIONS(2105),
    [anon_sym_LBRACE] = ACTIONS(2105),
    [anon_sym_RBRACE] = ACTIONS(2105),
    [anon_sym_typeof] = ACTIONS(2105),
    [anon_sym_import] = ACTIONS(2105),
    [anon_sym_with] = ACTIONS(2105),
    [anon_sym_var] = ACTIONS(2105),
    [anon_sym_let] = ACTIONS(2105),
    [anon_sym_const] = ACTIONS(2105),
    [anon_sym_BANG] = ACTIONS(2105),
    [anon_sym_else] = ACTIONS(2105),
    [anon_sym_if] = ACTIONS(2105),
    [anon_sym_switch] = ACTIONS(2105),
    [anon_sym_for] = ACTIONS(2105),
    [anon_sym_LPAREN] = ACTIONS(2105),
    [anon_sym_await] = ACTIONS(2105),
    [anon_sym_while] = ACTIONS(2105),
    [anon_sym_do] = ACTIONS(2105),
    [anon_sym_try] = ACTIONS(2105),
    [anon_sym_break] = ACTIONS(2105),
    [anon_sym_continue] = ACTIONS(2105),
    [anon_sym_debugger] = ACTIONS(2105),
    [anon_sym_return] = ACTIONS(2105),
    [anon_sym_throw] = ACTIONS(2105),
    [anon_sym_SEMI] = ACTIONS(2105),
    [anon_sym_case] = ACTIONS(2105),
    [anon_sym_yield] = ACTIONS(2105),
    [anon_sym_LBRACK] = ACTIONS(2105),
    [anon_sym_LTtemplate_GT] = ACTIONS(2105),
    [anon_sym_DQUOTE] = ACTIONS(2105),
    [anon_sym_SQUOTE] = ACTIONS(2105),
    [anon_sym_class] = ACTIONS(2105),
    [anon_sym_async] = ACTIONS(2105),
    [anon_sym_function] = ACTIONS(2105),
    [anon_sym_new] = ACTIONS(2105),
    [anon_sym_using] = ACTIONS(2105),
    [anon_sym_PLUS] = ACTIONS(2105),
    [anon_sym_DASH] = ACTIONS(2105),
    [anon_sym_SLASH] = ACTIONS(2105),
    [anon_sym_LT] = ACTIONS(2105),
    [anon_sym_TILDE] = ACTIONS(2105),
    [anon_sym_void] = ACTIONS(2105),
    [anon_sym_delete] = ACTIONS(2105),
    [anon_sym_PLUS_PLUS] = ACTIONS(2105),
    [anon_sym_DASH_DASH] = ACTIONS(2105),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2105),
    [sym_number] = ACTIONS(2105),
    [sym_private_property_identifier] = ACTIONS(2105),
    [sym_this] = ACTIONS(2105),
    [sym_super] = ACTIONS(2105),
    [sym_true] = ACTIONS(2105),
    [sym_false] = ACTIONS(2105),
    [sym_null] = ACTIONS(2105),
    [sym_undefined] = ACTIONS(2105),
    [anon_sym_AT] = ACTIONS(2105),
    [anon_sym_static] = ACTIONS(2105),
    [anon_sym_readonly] = ACTIONS(2105),
    [anon_sym_get] = ACTIONS(2105),
    [anon_sym_set] = ACTIONS(2105),
    [anon_sym_declare] = ACTIONS(2105),
    [anon_sym_public] = ACTIONS(2105),
    [anon_sym_private] = ACTIONS(2105),
    [anon_sym_protected] = ACTIONS(2105),
    [anon_sym_override] = ACTIONS(2105),
    [anon_sym_module] = ACTIONS(2105),
    [anon_sym_any] = ACTIONS(2105),
    [anon_sym_number] = ACTIONS(2105),
    [anon_sym_boolean] = ACTIONS(2105),
    [anon_sym_string] = ACTIONS(2105),
    [anon_sym_symbol] = ACTIONS(2105),
    [anon_sym_object] = ACTIONS(2105),
    [anon_sym_abstract] = ACTIONS(2105),
    [anon_sym_interface] = ACTIONS(2105),
    [anon_sym_enum] = ACTIONS(2105),
    [sym__automatic_semicolon] = ACTIONS(2107),
    [sym_html_comment] = ACTIONS(5),
  },
  [932] = {
    [sym_comment] = STATE(932),
    [ts_builtin_sym_end] = ACTIONS(2095),
    [sym_identifier] = ACTIONS(2093),
    [anon_sym_export] = ACTIONS(2093),
    [anon_sym_type] = ACTIONS(2093),
    [anon_sym_namespace] = ACTIONS(2093),
    [anon_sym_LBRACE] = ACTIONS(2093),
    [anon_sym_RBRACE] = ACTIONS(2093),
    [anon_sym_typeof] = ACTIONS(2093),
    [anon_sym_import] = ACTIONS(2093),
    [anon_sym_with] = ACTIONS(2093),
    [anon_sym_var] = ACTIONS(2093),
    [anon_sym_let] = ACTIONS(2093),
    [anon_sym_const] = ACTIONS(2093),
    [anon_sym_BANG] = ACTIONS(2093),
    [anon_sym_else] = ACTIONS(2093),
    [anon_sym_if] = ACTIONS(2093),
    [anon_sym_switch] = ACTIONS(2093),
    [anon_sym_for] = ACTIONS(2093),
    [anon_sym_LPAREN] = ACTIONS(2093),
    [anon_sym_await] = ACTIONS(2093),
    [anon_sym_while] = ACTIONS(2093),
    [anon_sym_do] = ACTIONS(2093),
    [anon_sym_try] = ACTIONS(2093),
    [anon_sym_break] = ACTIONS(2093),
    [anon_sym_continue] = ACTIONS(2093),
    [anon_sym_debugger] = ACTIONS(2093),
    [anon_sym_return] = ACTIONS(2093),
    [anon_sym_throw] = ACTIONS(2093),
    [anon_sym_SEMI] = ACTIONS(2093),
    [anon_sym_finally] = ACTIONS(2093),
    [anon_sym_yield] = ACTIONS(2093),
    [anon_sym_LBRACK] = ACTIONS(2093),
    [anon_sym_LTtemplate_GT] = ACTIONS(2093),
    [anon_sym_DQUOTE] = ACTIONS(2093),
    [anon_sym_SQUOTE] = ACTIONS(2093),
    [anon_sym_class] = ACTIONS(2093),
    [anon_sym_async] = ACTIONS(2093),
    [anon_sym_function] = ACTIONS(2093),
    [anon_sym_new] = ACTIONS(2093),
    [anon_sym_using] = ACTIONS(2093),
    [anon_sym_PLUS] = ACTIONS(2093),
    [anon_sym_DASH] = ACTIONS(2093),
    [anon_sym_SLASH] = ACTIONS(2093),
    [anon_sym_LT] = ACTIONS(2093),
    [anon_sym_TILDE] = ACTIONS(2093),
    [anon_sym_void] = ACTIONS(2093),
    [anon_sym_delete] = ACTIONS(2093),
    [anon_sym_PLUS_PLUS] = ACTIONS(2093),
    [anon_sym_DASH_DASH] = ACTIONS(2093),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2093),
    [sym_number] = ACTIONS(2093),
    [sym_private_property_identifier] = ACTIONS(2093),
    [sym_this] = ACTIONS(2093),
    [sym_super] = ACTIONS(2093),
    [sym_true] = ACTIONS(2093),
    [sym_false] = ACTIONS(2093),
    [sym_null] = ACTIONS(2093),
    [sym_undefined] = ACTIONS(2093),
    [anon_sym_AT] = ACTIONS(2093),
    [anon_sym_static] = ACTIONS(2093),
    [anon_sym_readonly] = ACTIONS(2093),
    [anon_sym_get] = ACTIONS(2093),
    [anon_sym_set] = ACTIONS(2093),
    [anon_sym_declare] = ACTIONS(2093),
    [anon_sym_public] = ACTIONS(2093),
    [anon_sym_private] = ACTIONS(2093),
    [anon_sym_protected] = ACTIONS(2093),
    [anon_sym_override] = ACTIONS(2093),
    [anon_sym_module] = ACTIONS(2093),
    [anon_sym_any] = ACTIONS(2093),
    [anon_sym_number] = ACTIONS(2093),
    [anon_sym_boolean] = ACTIONS(2093),
    [anon_sym_string] = ACTIONS(2093),
    [anon_sym_symbol] = ACTIONS(2093),
    [anon_sym_object] = ACTIONS(2093),
    [anon_sym_abstract] = ACTIONS(2093),
    [anon_sym_interface] = ACTIONS(2093),
    [anon_sym_enum] = ACTIONS(2093),
    [sym__automatic_semicolon] = ACTIONS(3094),
    [sym_html_comment] = ACTIONS(5),
  },
  [933] = {
    [sym_comment] = STATE(933),
    [sym_identifier] = ACTIONS(2237),
    [anon_sym_export] = ACTIONS(2237),
    [anon_sym_default] = ACTIONS(2237),
    [anon_sym_type] = ACTIONS(2237),
    [anon_sym_namespace] = ACTIONS(2237),
    [anon_sym_LBRACE] = ACTIONS(2237),
    [anon_sym_RBRACE] = ACTIONS(2237),
    [anon_sym_typeof] = ACTIONS(2237),
    [anon_sym_import] = ACTIONS(2237),
    [anon_sym_with] = ACTIONS(2237),
    [anon_sym_var] = ACTIONS(2237),
    [anon_sym_let] = ACTIONS(2237),
    [anon_sym_const] = ACTIONS(2237),
    [anon_sym_BANG] = ACTIONS(2237),
    [anon_sym_else] = ACTIONS(2237),
    [anon_sym_if] = ACTIONS(2237),
    [anon_sym_switch] = ACTIONS(2237),
    [anon_sym_for] = ACTIONS(2237),
    [anon_sym_LPAREN] = ACTIONS(2237),
    [anon_sym_await] = ACTIONS(2237),
    [anon_sym_while] = ACTIONS(2237),
    [anon_sym_do] = ACTIONS(2237),
    [anon_sym_try] = ACTIONS(2237),
    [anon_sym_break] = ACTIONS(2237),
    [anon_sym_continue] = ACTIONS(2237),
    [anon_sym_debugger] = ACTIONS(2237),
    [anon_sym_return] = ACTIONS(2237),
    [anon_sym_throw] = ACTIONS(2237),
    [anon_sym_SEMI] = ACTIONS(2237),
    [anon_sym_case] = ACTIONS(2237),
    [anon_sym_yield] = ACTIONS(2237),
    [anon_sym_LBRACK] = ACTIONS(2237),
    [anon_sym_LTtemplate_GT] = ACTIONS(2237),
    [anon_sym_DQUOTE] = ACTIONS(2237),
    [anon_sym_SQUOTE] = ACTIONS(2237),
    [anon_sym_class] = ACTIONS(2237),
    [anon_sym_async] = ACTIONS(2237),
    [anon_sym_function] = ACTIONS(2237),
    [anon_sym_new] = ACTIONS(2237),
    [anon_sym_using] = ACTIONS(2237),
    [anon_sym_PLUS] = ACTIONS(2237),
    [anon_sym_DASH] = ACTIONS(2237),
    [anon_sym_SLASH] = ACTIONS(2237),
    [anon_sym_LT] = ACTIONS(2237),
    [anon_sym_TILDE] = ACTIONS(2237),
    [anon_sym_void] = ACTIONS(2237),
    [anon_sym_delete] = ACTIONS(2237),
    [anon_sym_PLUS_PLUS] = ACTIONS(2237),
    [anon_sym_DASH_DASH] = ACTIONS(2237),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2237),
    [sym_number] = ACTIONS(2237),
    [sym_private_property_identifier] = ACTIONS(2237),
    [sym_this] = ACTIONS(2237),
    [sym_super] = ACTIONS(2237),
    [sym_true] = ACTIONS(2237),
    [sym_false] = ACTIONS(2237),
    [sym_null] = ACTIONS(2237),
    [sym_undefined] = ACTIONS(2237),
    [anon_sym_AT] = ACTIONS(2237),
    [anon_sym_static] = ACTIONS(2237),
    [anon_sym_readonly] = ACTIONS(2237),
    [anon_sym_get] = ACTIONS(2237),
    [anon_sym_set] = ACTIONS(2237),
    [anon_sym_declare] = ACTIONS(2237),
    [anon_sym_public] = ACTIONS(2237),
    [anon_sym_private] = ACTIONS(2237),
    [anon_sym_protected] = ACTIONS(2237),
    [anon_sym_override] = ACTIONS(2237),
    [anon_sym_module] = ACTIONS(2237),
    [anon_sym_any] = ACTIONS(2237),
    [anon_sym_number] = ACTIONS(2237),
    [anon_sym_boolean] = ACTIONS(2237),
    [anon_sym_string] = ACTIONS(2237),
    [anon_sym_symbol] = ACTIONS(2237),
    [anon_sym_object] = ACTIONS(2237),
    [anon_sym_abstract] = ACTIONS(2237),
    [anon_sym_interface] = ACTIONS(2237),
    [anon_sym_enum] = ACTIONS(2237),
    [sym__automatic_semicolon] = ACTIONS(2241),
    [sym_html_comment] = ACTIONS(5),
  },
  [934] = {
    [sym_comment] = STATE(934),
    [ts_builtin_sym_end] = ACTIONS(2095),
    [sym_identifier] = ACTIONS(2093),
    [anon_sym_export] = ACTIONS(2093),
    [anon_sym_type] = ACTIONS(2093),
    [anon_sym_namespace] = ACTIONS(2093),
    [anon_sym_LBRACE] = ACTIONS(2093),
    [anon_sym_RBRACE] = ACTIONS(2093),
    [anon_sym_typeof] = ACTIONS(2093),
    [anon_sym_import] = ACTIONS(2093),
    [anon_sym_with] = ACTIONS(2093),
    [anon_sym_var] = ACTIONS(2093),
    [anon_sym_let] = ACTIONS(2093),
    [anon_sym_const] = ACTIONS(2093),
    [anon_sym_BANG] = ACTIONS(2093),
    [anon_sym_if] = ACTIONS(2093),
    [anon_sym_switch] = ACTIONS(2093),
    [anon_sym_for] = ACTIONS(2093),
    [anon_sym_LPAREN] = ACTIONS(2093),
    [anon_sym_await] = ACTIONS(2093),
    [anon_sym_while] = ACTIONS(2093),
    [anon_sym_do] = ACTIONS(2093),
    [anon_sym_try] = ACTIONS(2093),
    [anon_sym_break] = ACTIONS(2093),
    [anon_sym_continue] = ACTIONS(2093),
    [anon_sym_debugger] = ACTIONS(2093),
    [anon_sym_return] = ACTIONS(2093),
    [anon_sym_throw] = ACTIONS(2093),
    [anon_sym_SEMI] = ACTIONS(2093),
    [anon_sym_catch] = ACTIONS(2093),
    [anon_sym_finally] = ACTIONS(2093),
    [anon_sym_yield] = ACTIONS(2093),
    [anon_sym_LBRACK] = ACTIONS(2093),
    [anon_sym_LTtemplate_GT] = ACTIONS(2093),
    [anon_sym_DQUOTE] = ACTIONS(2093),
    [anon_sym_SQUOTE] = ACTIONS(2093),
    [anon_sym_class] = ACTIONS(2093),
    [anon_sym_async] = ACTIONS(2093),
    [anon_sym_function] = ACTIONS(2093),
    [anon_sym_new] = ACTIONS(2093),
    [anon_sym_using] = ACTIONS(2093),
    [anon_sym_PLUS] = ACTIONS(2093),
    [anon_sym_DASH] = ACTIONS(2093),
    [anon_sym_SLASH] = ACTIONS(2093),
    [anon_sym_LT] = ACTIONS(2093),
    [anon_sym_TILDE] = ACTIONS(2093),
    [anon_sym_void] = ACTIONS(2093),
    [anon_sym_delete] = ACTIONS(2093),
    [anon_sym_PLUS_PLUS] = ACTIONS(2093),
    [anon_sym_DASH_DASH] = ACTIONS(2093),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2093),
    [sym_number] = ACTIONS(2093),
    [sym_private_property_identifier] = ACTIONS(2093),
    [sym_this] = ACTIONS(2093),
    [sym_super] = ACTIONS(2093),
    [sym_true] = ACTIONS(2093),
    [sym_false] = ACTIONS(2093),
    [sym_null] = ACTIONS(2093),
    [sym_undefined] = ACTIONS(2093),
    [anon_sym_AT] = ACTIONS(2093),
    [anon_sym_static] = ACTIONS(2093),
    [anon_sym_readonly] = ACTIONS(2093),
    [anon_sym_get] = ACTIONS(2093),
    [anon_sym_set] = ACTIONS(2093),
    [anon_sym_declare] = ACTIONS(2093),
    [anon_sym_public] = ACTIONS(2093),
    [anon_sym_private] = ACTIONS(2093),
    [anon_sym_protected] = ACTIONS(2093),
    [anon_sym_override] = ACTIONS(2093),
    [anon_sym_module] = ACTIONS(2093),
    [anon_sym_any] = ACTIONS(2093),
    [anon_sym_number] = ACTIONS(2093),
    [anon_sym_boolean] = ACTIONS(2093),
    [anon_sym_string] = ACTIONS(2093),
    [anon_sym_symbol] = ACTIONS(2093),
    [anon_sym_object] = ACTIONS(2093),
    [anon_sym_abstract] = ACTIONS(2093),
    [anon_sym_interface] = ACTIONS(2093),
    [anon_sym_enum] = ACTIONS(2093),
    [sym__automatic_semicolon] = ACTIONS(3096),
    [sym_html_comment] = ACTIONS(5),
  },
  [935] = {
    [sym_comment] = STATE(935),
    [sym_identifier] = ACTIONS(2195),
    [anon_sym_export] = ACTIONS(2195),
    [anon_sym_default] = ACTIONS(2195),
    [anon_sym_type] = ACTIONS(2195),
    [anon_sym_namespace] = ACTIONS(2195),
    [anon_sym_LBRACE] = ACTIONS(2195),
    [anon_sym_RBRACE] = ACTIONS(2195),
    [anon_sym_typeof] = ACTIONS(2195),
    [anon_sym_import] = ACTIONS(2195),
    [anon_sym_with] = ACTIONS(2195),
    [anon_sym_var] = ACTIONS(2195),
    [anon_sym_let] = ACTIONS(2195),
    [anon_sym_const] = ACTIONS(2195),
    [anon_sym_BANG] = ACTIONS(2195),
    [anon_sym_else] = ACTIONS(2195),
    [anon_sym_if] = ACTIONS(2195),
    [anon_sym_switch] = ACTIONS(2195),
    [anon_sym_for] = ACTIONS(2195),
    [anon_sym_LPAREN] = ACTIONS(2195),
    [anon_sym_await] = ACTIONS(2195),
    [anon_sym_while] = ACTIONS(2195),
    [anon_sym_do] = ACTIONS(2195),
    [anon_sym_try] = ACTIONS(2195),
    [anon_sym_break] = ACTIONS(2195),
    [anon_sym_continue] = ACTIONS(2195),
    [anon_sym_debugger] = ACTIONS(2195),
    [anon_sym_return] = ACTIONS(2195),
    [anon_sym_throw] = ACTIONS(2195),
    [anon_sym_SEMI] = ACTIONS(2195),
    [anon_sym_case] = ACTIONS(2195),
    [anon_sym_yield] = ACTIONS(2195),
    [anon_sym_LBRACK] = ACTIONS(2195),
    [anon_sym_LTtemplate_GT] = ACTIONS(2195),
    [anon_sym_DOT] = ACTIONS(2195),
    [anon_sym_DQUOTE] = ACTIONS(2195),
    [anon_sym_SQUOTE] = ACTIONS(2195),
    [anon_sym_class] = ACTIONS(2195),
    [anon_sym_async] = ACTIONS(2195),
    [anon_sym_function] = ACTIONS(2195),
    [anon_sym_new] = ACTIONS(2195),
    [anon_sym_using] = ACTIONS(2195),
    [anon_sym_PLUS] = ACTIONS(2195),
    [anon_sym_DASH] = ACTIONS(2195),
    [anon_sym_SLASH] = ACTIONS(2195),
    [anon_sym_LT] = ACTIONS(2195),
    [anon_sym_TILDE] = ACTIONS(2195),
    [anon_sym_void] = ACTIONS(2195),
    [anon_sym_delete] = ACTIONS(2195),
    [anon_sym_PLUS_PLUS] = ACTIONS(2195),
    [anon_sym_DASH_DASH] = ACTIONS(2195),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2195),
    [sym_number] = ACTIONS(2195),
    [sym_private_property_identifier] = ACTIONS(2195),
    [sym_this] = ACTIONS(2195),
    [sym_super] = ACTIONS(2195),
    [sym_true] = ACTIONS(2195),
    [sym_false] = ACTIONS(2195),
    [sym_null] = ACTIONS(2195),
    [sym_undefined] = ACTIONS(2195),
    [anon_sym_AT] = ACTIONS(2195),
    [anon_sym_static] = ACTIONS(2195),
    [anon_sym_readonly] = ACTIONS(2195),
    [anon_sym_get] = ACTIONS(2195),
    [anon_sym_set] = ACTIONS(2195),
    [anon_sym_declare] = ACTIONS(2195),
    [anon_sym_public] = ACTIONS(2195),
    [anon_sym_private] = ACTIONS(2195),
    [anon_sym_protected] = ACTIONS(2195),
    [anon_sym_override] = ACTIONS(2195),
    [anon_sym_module] = ACTIONS(2195),
    [anon_sym_any] = ACTIONS(2195),
    [anon_sym_number] = ACTIONS(2195),
    [anon_sym_boolean] = ACTIONS(2195),
    [anon_sym_string] = ACTIONS(2195),
    [anon_sym_symbol] = ACTIONS(2195),
    [anon_sym_object] = ACTIONS(2195),
    [anon_sym_abstract] = ACTIONS(2195),
    [anon_sym_interface] = ACTIONS(2195),
    [anon_sym_enum] = ACTIONS(2195),
    [sym_html_comment] = ACTIONS(5),
  },
  [936] = {
    [sym_comment] = STATE(936),
    [sym_identifier] = ACTIONS(2081),
    [anon_sym_export] = ACTIONS(2081),
    [anon_sym_default] = ACTIONS(2081),
    [anon_sym_type] = ACTIONS(2081),
    [anon_sym_namespace] = ACTIONS(2081),
    [anon_sym_LBRACE] = ACTIONS(2081),
    [anon_sym_RBRACE] = ACTIONS(2081),
    [anon_sym_typeof] = ACTIONS(2081),
    [anon_sym_import] = ACTIONS(2081),
    [anon_sym_with] = ACTIONS(2081),
    [anon_sym_var] = ACTIONS(2081),
    [anon_sym_let] = ACTIONS(2081),
    [anon_sym_const] = ACTIONS(2081),
    [anon_sym_BANG] = ACTIONS(2081),
    [anon_sym_else] = ACTIONS(2081),
    [anon_sym_if] = ACTIONS(2081),
    [anon_sym_switch] = ACTIONS(2081),
    [anon_sym_for] = ACTIONS(2081),
    [anon_sym_LPAREN] = ACTIONS(2081),
    [anon_sym_await] = ACTIONS(2081),
    [anon_sym_while] = ACTIONS(2081),
    [anon_sym_do] = ACTIONS(2081),
    [anon_sym_try] = ACTIONS(2081),
    [anon_sym_break] = ACTIONS(2081),
    [anon_sym_continue] = ACTIONS(2081),
    [anon_sym_debugger] = ACTIONS(2081),
    [anon_sym_return] = ACTIONS(2081),
    [anon_sym_throw] = ACTIONS(2081),
    [anon_sym_SEMI] = ACTIONS(2081),
    [anon_sym_case] = ACTIONS(2081),
    [anon_sym_yield] = ACTIONS(2081),
    [anon_sym_LBRACK] = ACTIONS(2081),
    [anon_sym_LTtemplate_GT] = ACTIONS(2081),
    [anon_sym_DOT] = ACTIONS(2081),
    [anon_sym_DQUOTE] = ACTIONS(2081),
    [anon_sym_SQUOTE] = ACTIONS(2081),
    [anon_sym_class] = ACTIONS(2081),
    [anon_sym_async] = ACTIONS(2081),
    [anon_sym_function] = ACTIONS(2081),
    [anon_sym_new] = ACTIONS(2081),
    [anon_sym_using] = ACTIONS(2081),
    [anon_sym_PLUS] = ACTIONS(2081),
    [anon_sym_DASH] = ACTIONS(2081),
    [anon_sym_SLASH] = ACTIONS(2081),
    [anon_sym_LT] = ACTIONS(2081),
    [anon_sym_TILDE] = ACTIONS(2081),
    [anon_sym_void] = ACTIONS(2081),
    [anon_sym_delete] = ACTIONS(2081),
    [anon_sym_PLUS_PLUS] = ACTIONS(2081),
    [anon_sym_DASH_DASH] = ACTIONS(2081),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2081),
    [sym_number] = ACTIONS(2081),
    [sym_private_property_identifier] = ACTIONS(2081),
    [sym_this] = ACTIONS(2081),
    [sym_super] = ACTIONS(2081),
    [sym_true] = ACTIONS(2081),
    [sym_false] = ACTIONS(2081),
    [sym_null] = ACTIONS(2081),
    [sym_undefined] = ACTIONS(2081),
    [anon_sym_AT] = ACTIONS(2081),
    [anon_sym_static] = ACTIONS(2081),
    [anon_sym_readonly] = ACTIONS(2081),
    [anon_sym_get] = ACTIONS(2081),
    [anon_sym_set] = ACTIONS(2081),
    [anon_sym_declare] = ACTIONS(2081),
    [anon_sym_public] = ACTIONS(2081),
    [anon_sym_private] = ACTIONS(2081),
    [anon_sym_protected] = ACTIONS(2081),
    [anon_sym_override] = ACTIONS(2081),
    [anon_sym_module] = ACTIONS(2081),
    [anon_sym_any] = ACTIONS(2081),
    [anon_sym_number] = ACTIONS(2081),
    [anon_sym_boolean] = ACTIONS(2081),
    [anon_sym_string] = ACTIONS(2081),
    [anon_sym_symbol] = ACTIONS(2081),
    [anon_sym_object] = ACTIONS(2081),
    [anon_sym_abstract] = ACTIONS(2081),
    [anon_sym_interface] = ACTIONS(2081),
    [anon_sym_enum] = ACTIONS(2081),
    [sym_html_comment] = ACTIONS(5),
  },
  [937] = {
    [sym_comment] = STATE(937),
    [sym_identifier] = ACTIONS(2105),
    [anon_sym_export] = ACTIONS(2105),
    [anon_sym_default] = ACTIONS(2105),
    [anon_sym_type] = ACTIONS(2105),
    [anon_sym_namespace] = ACTIONS(2105),
    [anon_sym_LBRACE] = ACTIONS(2105),
    [anon_sym_RBRACE] = ACTIONS(2105),
    [anon_sym_typeof] = ACTIONS(2105),
    [anon_sym_import] = ACTIONS(2105),
    [anon_sym_with] = ACTIONS(2105),
    [anon_sym_var] = ACTIONS(2105),
    [anon_sym_let] = ACTIONS(2105),
    [anon_sym_const] = ACTIONS(2105),
    [anon_sym_BANG] = ACTIONS(2105),
    [anon_sym_else] = ACTIONS(2105),
    [anon_sym_if] = ACTIONS(2105),
    [anon_sym_switch] = ACTIONS(2105),
    [anon_sym_for] = ACTIONS(2105),
    [anon_sym_LPAREN] = ACTIONS(2105),
    [anon_sym_await] = ACTIONS(2105),
    [anon_sym_while] = ACTIONS(2105),
    [anon_sym_do] = ACTIONS(2105),
    [anon_sym_try] = ACTIONS(2105),
    [anon_sym_break] = ACTIONS(2105),
    [anon_sym_continue] = ACTIONS(2105),
    [anon_sym_debugger] = ACTIONS(2105),
    [anon_sym_return] = ACTIONS(2105),
    [anon_sym_throw] = ACTIONS(2105),
    [anon_sym_SEMI] = ACTIONS(2105),
    [anon_sym_case] = ACTIONS(2105),
    [anon_sym_finally] = ACTIONS(2105),
    [anon_sym_yield] = ACTIONS(2105),
    [anon_sym_LBRACK] = ACTIONS(2105),
    [anon_sym_LTtemplate_GT] = ACTIONS(2105),
    [anon_sym_DQUOTE] = ACTIONS(2105),
    [anon_sym_SQUOTE] = ACTIONS(2105),
    [anon_sym_class] = ACTIONS(2105),
    [anon_sym_async] = ACTIONS(2105),
    [anon_sym_function] = ACTIONS(2105),
    [anon_sym_new] = ACTIONS(2105),
    [anon_sym_using] = ACTIONS(2105),
    [anon_sym_PLUS] = ACTIONS(2105),
    [anon_sym_DASH] = ACTIONS(2105),
    [anon_sym_SLASH] = ACTIONS(2105),
    [anon_sym_LT] = ACTIONS(2105),
    [anon_sym_TILDE] = ACTIONS(2105),
    [anon_sym_void] = ACTIONS(2105),
    [anon_sym_delete] = ACTIONS(2105),
    [anon_sym_PLUS_PLUS] = ACTIONS(2105),
    [anon_sym_DASH_DASH] = ACTIONS(2105),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2105),
    [sym_number] = ACTIONS(2105),
    [sym_private_property_identifier] = ACTIONS(2105),
    [sym_this] = ACTIONS(2105),
    [sym_super] = ACTIONS(2105),
    [sym_true] = ACTIONS(2105),
    [sym_false] = ACTIONS(2105),
    [sym_null] = ACTIONS(2105),
    [sym_undefined] = ACTIONS(2105),
    [anon_sym_AT] = ACTIONS(2105),
    [anon_sym_static] = ACTIONS(2105),
    [anon_sym_readonly] = ACTIONS(2105),
    [anon_sym_get] = ACTIONS(2105),
    [anon_sym_set] = ACTIONS(2105),
    [anon_sym_declare] = ACTIONS(2105),
    [anon_sym_public] = ACTIONS(2105),
    [anon_sym_private] = ACTIONS(2105),
    [anon_sym_protected] = ACTIONS(2105),
    [anon_sym_override] = ACTIONS(2105),
    [anon_sym_module] = ACTIONS(2105),
    [anon_sym_any] = ACTIONS(2105),
    [anon_sym_number] = ACTIONS(2105),
    [anon_sym_boolean] = ACTIONS(2105),
    [anon_sym_string] = ACTIONS(2105),
    [anon_sym_symbol] = ACTIONS(2105),
    [anon_sym_object] = ACTIONS(2105),
    [anon_sym_abstract] = ACTIONS(2105),
    [anon_sym_interface] = ACTIONS(2105),
    [anon_sym_enum] = ACTIONS(2105),
    [sym_html_comment] = ACTIONS(5),
  },
  [938] = {
    [sym_finally_clause] = STATE(1406),
    [sym_comment] = STATE(938),
    [ts_builtin_sym_end] = ACTIONS(3098),
    [sym_identifier] = ACTIONS(3056),
    [anon_sym_export] = ACTIONS(3056),
    [anon_sym_type] = ACTIONS(3056),
    [anon_sym_namespace] = ACTIONS(3056),
    [anon_sym_LBRACE] = ACTIONS(3056),
    [anon_sym_RBRACE] = ACTIONS(3056),
    [anon_sym_typeof] = ACTIONS(3056),
    [anon_sym_import] = ACTIONS(3056),
    [anon_sym_with] = ACTIONS(3056),
    [anon_sym_var] = ACTIONS(3056),
    [anon_sym_let] = ACTIONS(3056),
    [anon_sym_const] = ACTIONS(3056),
    [anon_sym_BANG] = ACTIONS(3056),
    [anon_sym_else] = ACTIONS(3056),
    [anon_sym_if] = ACTIONS(3056),
    [anon_sym_switch] = ACTIONS(3056),
    [anon_sym_for] = ACTIONS(3056),
    [anon_sym_LPAREN] = ACTIONS(3056),
    [anon_sym_await] = ACTIONS(3056),
    [anon_sym_while] = ACTIONS(3056),
    [anon_sym_do] = ACTIONS(3056),
    [anon_sym_try] = ACTIONS(3056),
    [anon_sym_break] = ACTIONS(3056),
    [anon_sym_continue] = ACTIONS(3056),
    [anon_sym_debugger] = ACTIONS(3056),
    [anon_sym_return] = ACTIONS(3056),
    [anon_sym_throw] = ACTIONS(3056),
    [anon_sym_SEMI] = ACTIONS(3056),
    [anon_sym_finally] = ACTIONS(3034),
    [anon_sym_yield] = ACTIONS(3056),
    [anon_sym_LBRACK] = ACTIONS(3056),
    [anon_sym_LTtemplate_GT] = ACTIONS(3056),
    [anon_sym_DQUOTE] = ACTIONS(3056),
    [anon_sym_SQUOTE] = ACTIONS(3056),
    [anon_sym_class] = ACTIONS(3056),
    [anon_sym_async] = ACTIONS(3056),
    [anon_sym_function] = ACTIONS(3056),
    [anon_sym_new] = ACTIONS(3056),
    [anon_sym_using] = ACTIONS(3056),
    [anon_sym_PLUS] = ACTIONS(3056),
    [anon_sym_DASH] = ACTIONS(3056),
    [anon_sym_SLASH] = ACTIONS(3056),
    [anon_sym_LT] = ACTIONS(3056),
    [anon_sym_TILDE] = ACTIONS(3056),
    [anon_sym_void] = ACTIONS(3056),
    [anon_sym_delete] = ACTIONS(3056),
    [anon_sym_PLUS_PLUS] = ACTIONS(3056),
    [anon_sym_DASH_DASH] = ACTIONS(3056),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3056),
    [sym_number] = ACTIONS(3056),
    [sym_private_property_identifier] = ACTIONS(3056),
    [sym_this] = ACTIONS(3056),
    [sym_super] = ACTIONS(3056),
    [sym_true] = ACTIONS(3056),
    [sym_false] = ACTIONS(3056),
    [sym_null] = ACTIONS(3056),
    [sym_undefined] = ACTIONS(3056),
    [anon_sym_AT] = ACTIONS(3056),
    [anon_sym_static] = ACTIONS(3056),
    [anon_sym_readonly] = ACTIONS(3056),
    [anon_sym_get] = ACTIONS(3056),
    [anon_sym_set] = ACTIONS(3056),
    [anon_sym_declare] = ACTIONS(3056),
    [anon_sym_public] = ACTIONS(3056),
    [anon_sym_private] = ACTIONS(3056),
    [anon_sym_protected] = ACTIONS(3056),
    [anon_sym_override] = ACTIONS(3056),
    [anon_sym_module] = ACTIONS(3056),
    [anon_sym_any] = ACTIONS(3056),
    [anon_sym_number] = ACTIONS(3056),
    [anon_sym_boolean] = ACTIONS(3056),
    [anon_sym_string] = ACTIONS(3056),
    [anon_sym_symbol] = ACTIONS(3056),
    [anon_sym_object] = ACTIONS(3056),
    [anon_sym_abstract] = ACTIONS(3056),
    [anon_sym_interface] = ACTIONS(3056),
    [anon_sym_enum] = ACTIONS(3056),
    [sym_html_comment] = ACTIONS(5),
  },
  [939] = {
    [sym_comment] = STATE(939),
    [sym_identifier] = ACTIONS(2149),
    [anon_sym_export] = ACTIONS(2149),
    [anon_sym_default] = ACTIONS(2149),
    [anon_sym_type] = ACTIONS(2149),
    [anon_sym_namespace] = ACTIONS(2149),
    [anon_sym_LBRACE] = ACTIONS(2149),
    [anon_sym_RBRACE] = ACTIONS(2149),
    [anon_sym_typeof] = ACTIONS(2149),
    [anon_sym_import] = ACTIONS(2149),
    [anon_sym_with] = ACTIONS(2149),
    [anon_sym_var] = ACTIONS(2149),
    [anon_sym_let] = ACTIONS(2149),
    [anon_sym_const] = ACTIONS(2149),
    [anon_sym_BANG] = ACTIONS(2149),
    [anon_sym_else] = ACTIONS(2149),
    [anon_sym_if] = ACTIONS(2149),
    [anon_sym_switch] = ACTIONS(2149),
    [anon_sym_for] = ACTIONS(2149),
    [anon_sym_LPAREN] = ACTIONS(2149),
    [anon_sym_await] = ACTIONS(2149),
    [anon_sym_while] = ACTIONS(2149),
    [anon_sym_do] = ACTIONS(2149),
    [anon_sym_try] = ACTIONS(2149),
    [anon_sym_break] = ACTIONS(2149),
    [anon_sym_continue] = ACTIONS(2149),
    [anon_sym_debugger] = ACTIONS(2149),
    [anon_sym_return] = ACTIONS(2149),
    [anon_sym_throw] = ACTIONS(2149),
    [anon_sym_SEMI] = ACTIONS(2149),
    [anon_sym_case] = ACTIONS(2149),
    [anon_sym_yield] = ACTIONS(2149),
    [anon_sym_LBRACK] = ACTIONS(2149),
    [anon_sym_LTtemplate_GT] = ACTIONS(2149),
    [anon_sym_DQUOTE] = ACTIONS(2149),
    [anon_sym_SQUOTE] = ACTIONS(2149),
    [anon_sym_class] = ACTIONS(2149),
    [anon_sym_async] = ACTIONS(2149),
    [anon_sym_function] = ACTIONS(2149),
    [anon_sym_new] = ACTIONS(2149),
    [anon_sym_using] = ACTIONS(2149),
    [anon_sym_PLUS] = ACTIONS(2149),
    [anon_sym_DASH] = ACTIONS(2149),
    [anon_sym_SLASH] = ACTIONS(2149),
    [anon_sym_LT] = ACTIONS(2149),
    [anon_sym_TILDE] = ACTIONS(2149),
    [anon_sym_void] = ACTIONS(2149),
    [anon_sym_delete] = ACTIONS(2149),
    [anon_sym_PLUS_PLUS] = ACTIONS(2149),
    [anon_sym_DASH_DASH] = ACTIONS(2149),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2149),
    [sym_number] = ACTIONS(2149),
    [sym_private_property_identifier] = ACTIONS(2149),
    [sym_this] = ACTIONS(2149),
    [sym_super] = ACTIONS(2149),
    [sym_true] = ACTIONS(2149),
    [sym_false] = ACTIONS(2149),
    [sym_null] = ACTIONS(2149),
    [sym_undefined] = ACTIONS(2149),
    [anon_sym_AT] = ACTIONS(2149),
    [anon_sym_static] = ACTIONS(2149),
    [anon_sym_readonly] = ACTIONS(2149),
    [anon_sym_get] = ACTIONS(2149),
    [anon_sym_set] = ACTIONS(2149),
    [anon_sym_declare] = ACTIONS(2149),
    [anon_sym_public] = ACTIONS(2149),
    [anon_sym_private] = ACTIONS(2149),
    [anon_sym_protected] = ACTIONS(2149),
    [anon_sym_override] = ACTIONS(2149),
    [anon_sym_module] = ACTIONS(2149),
    [anon_sym_any] = ACTIONS(2149),
    [anon_sym_number] = ACTIONS(2149),
    [anon_sym_boolean] = ACTIONS(2149),
    [anon_sym_string] = ACTIONS(2149),
    [anon_sym_symbol] = ACTIONS(2149),
    [anon_sym_object] = ACTIONS(2149),
    [anon_sym_abstract] = ACTIONS(2149),
    [anon_sym_interface] = ACTIONS(2149),
    [anon_sym_enum] = ACTIONS(2149),
    [sym__automatic_semicolon] = ACTIONS(2153),
    [sym_html_comment] = ACTIONS(5),
  },
  [940] = {
    [sym_comment] = STATE(940),
    [sym_identifier] = ACTIONS(3100),
    [anon_sym_export] = ACTIONS(3100),
    [anon_sym_default] = ACTIONS(3100),
    [anon_sym_type] = ACTIONS(3100),
    [anon_sym_namespace] = ACTIONS(3100),
    [anon_sym_LBRACE] = ACTIONS(3100),
    [anon_sym_RBRACE] = ACTIONS(3100),
    [anon_sym_typeof] = ACTIONS(3100),
    [anon_sym_import] = ACTIONS(3100),
    [anon_sym_with] = ACTIONS(3100),
    [anon_sym_var] = ACTIONS(3100),
    [anon_sym_let] = ACTIONS(3100),
    [anon_sym_const] = ACTIONS(3100),
    [anon_sym_BANG] = ACTIONS(3100),
    [anon_sym_else] = ACTIONS(3100),
    [anon_sym_if] = ACTIONS(3100),
    [anon_sym_switch] = ACTIONS(3100),
    [anon_sym_for] = ACTIONS(3100),
    [anon_sym_LPAREN] = ACTIONS(3100),
    [anon_sym_await] = ACTIONS(3100),
    [anon_sym_while] = ACTIONS(3100),
    [anon_sym_do] = ACTIONS(3100),
    [anon_sym_try] = ACTIONS(3100),
    [anon_sym_break] = ACTIONS(3100),
    [anon_sym_continue] = ACTIONS(3100),
    [anon_sym_debugger] = ACTIONS(3100),
    [anon_sym_return] = ACTIONS(3100),
    [anon_sym_throw] = ACTIONS(3100),
    [anon_sym_SEMI] = ACTIONS(3102),
    [anon_sym_case] = ACTIONS(3100),
    [anon_sym_yield] = ACTIONS(3100),
    [anon_sym_LBRACK] = ACTIONS(3100),
    [anon_sym_LTtemplate_GT] = ACTIONS(3100),
    [anon_sym_DQUOTE] = ACTIONS(3100),
    [anon_sym_SQUOTE] = ACTIONS(3100),
    [anon_sym_class] = ACTIONS(3100),
    [anon_sym_async] = ACTIONS(3100),
    [anon_sym_function] = ACTIONS(3100),
    [anon_sym_new] = ACTIONS(3100),
    [anon_sym_using] = ACTIONS(3100),
    [anon_sym_PLUS] = ACTIONS(3100),
    [anon_sym_DASH] = ACTIONS(3100),
    [anon_sym_SLASH] = ACTIONS(3100),
    [anon_sym_LT] = ACTIONS(3100),
    [anon_sym_TILDE] = ACTIONS(3100),
    [anon_sym_void] = ACTIONS(3100),
    [anon_sym_delete] = ACTIONS(3100),
    [anon_sym_PLUS_PLUS] = ACTIONS(3100),
    [anon_sym_DASH_DASH] = ACTIONS(3100),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3100),
    [sym_number] = ACTIONS(3100),
    [sym_private_property_identifier] = ACTIONS(3100),
    [sym_this] = ACTIONS(3100),
    [sym_super] = ACTIONS(3100),
    [sym_true] = ACTIONS(3100),
    [sym_false] = ACTIONS(3100),
    [sym_null] = ACTIONS(3100),
    [sym_undefined] = ACTIONS(3100),
    [anon_sym_AT] = ACTIONS(3100),
    [anon_sym_static] = ACTIONS(3100),
    [anon_sym_readonly] = ACTIONS(3100),
    [anon_sym_get] = ACTIONS(3100),
    [anon_sym_set] = ACTIONS(3100),
    [anon_sym_declare] = ACTIONS(3100),
    [anon_sym_public] = ACTIONS(3100),
    [anon_sym_private] = ACTIONS(3100),
    [anon_sym_protected] = ACTIONS(3100),
    [anon_sym_override] = ACTIONS(3100),
    [anon_sym_module] = ACTIONS(3100),
    [anon_sym_any] = ACTIONS(3100),
    [anon_sym_number] = ACTIONS(3100),
    [anon_sym_boolean] = ACTIONS(3100),
    [anon_sym_string] = ACTIONS(3100),
    [anon_sym_symbol] = ACTIONS(3100),
    [anon_sym_object] = ACTIONS(3100),
    [anon_sym_abstract] = ACTIONS(3100),
    [anon_sym_interface] = ACTIONS(3100),
    [anon_sym_enum] = ACTIONS(3100),
    [sym__automatic_semicolon] = ACTIONS(3104),
    [sym_html_comment] = ACTIONS(5),
  },
  [941] = {
    [sym_comment] = STATE(941),
    [sym_identifier] = ACTIONS(3106),
    [anon_sym_export] = ACTIONS(3106),
    [anon_sym_default] = ACTIONS(3106),
    [anon_sym_type] = ACTIONS(3106),
    [anon_sym_namespace] = ACTIONS(3106),
    [anon_sym_LBRACE] = ACTIONS(3106),
    [anon_sym_RBRACE] = ACTIONS(3106),
    [anon_sym_typeof] = ACTIONS(3106),
    [anon_sym_import] = ACTIONS(3106),
    [anon_sym_with] = ACTIONS(3106),
    [anon_sym_var] = ACTIONS(3106),
    [anon_sym_let] = ACTIONS(3106),
    [anon_sym_const] = ACTIONS(3106),
    [anon_sym_BANG] = ACTIONS(3106),
    [anon_sym_else] = ACTIONS(3106),
    [anon_sym_if] = ACTIONS(3106),
    [anon_sym_switch] = ACTIONS(3106),
    [anon_sym_for] = ACTIONS(3106),
    [anon_sym_LPAREN] = ACTIONS(3106),
    [anon_sym_await] = ACTIONS(3106),
    [anon_sym_while] = ACTIONS(3106),
    [anon_sym_do] = ACTIONS(3106),
    [anon_sym_try] = ACTIONS(3106),
    [anon_sym_break] = ACTIONS(3106),
    [anon_sym_continue] = ACTIONS(3106),
    [anon_sym_debugger] = ACTIONS(3106),
    [anon_sym_return] = ACTIONS(3106),
    [anon_sym_throw] = ACTIONS(3106),
    [anon_sym_SEMI] = ACTIONS(3106),
    [anon_sym_case] = ACTIONS(3106),
    [anon_sym_finally] = ACTIONS(3106),
    [anon_sym_yield] = ACTIONS(3106),
    [anon_sym_LBRACK] = ACTIONS(3106),
    [anon_sym_LTtemplate_GT] = ACTIONS(3106),
    [anon_sym_DQUOTE] = ACTIONS(3106),
    [anon_sym_SQUOTE] = ACTIONS(3106),
    [anon_sym_class] = ACTIONS(3106),
    [anon_sym_async] = ACTIONS(3106),
    [anon_sym_function] = ACTIONS(3106),
    [anon_sym_new] = ACTIONS(3106),
    [anon_sym_using] = ACTIONS(3106),
    [anon_sym_PLUS] = ACTIONS(3106),
    [anon_sym_DASH] = ACTIONS(3106),
    [anon_sym_SLASH] = ACTIONS(3106),
    [anon_sym_LT] = ACTIONS(3106),
    [anon_sym_TILDE] = ACTIONS(3106),
    [anon_sym_void] = ACTIONS(3106),
    [anon_sym_delete] = ACTIONS(3106),
    [anon_sym_PLUS_PLUS] = ACTIONS(3106),
    [anon_sym_DASH_DASH] = ACTIONS(3106),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3106),
    [sym_number] = ACTIONS(3106),
    [sym_private_property_identifier] = ACTIONS(3106),
    [sym_this] = ACTIONS(3106),
    [sym_super] = ACTIONS(3106),
    [sym_true] = ACTIONS(3106),
    [sym_false] = ACTIONS(3106),
    [sym_null] = ACTIONS(3106),
    [sym_undefined] = ACTIONS(3106),
    [anon_sym_AT] = ACTIONS(3106),
    [anon_sym_static] = ACTIONS(3106),
    [anon_sym_readonly] = ACTIONS(3106),
    [anon_sym_get] = ACTIONS(3106),
    [anon_sym_set] = ACTIONS(3106),
    [anon_sym_declare] = ACTIONS(3106),
    [anon_sym_public] = ACTIONS(3106),
    [anon_sym_private] = ACTIONS(3106),
    [anon_sym_protected] = ACTIONS(3106),
    [anon_sym_override] = ACTIONS(3106),
    [anon_sym_module] = ACTIONS(3106),
    [anon_sym_any] = ACTIONS(3106),
    [anon_sym_number] = ACTIONS(3106),
    [anon_sym_boolean] = ACTIONS(3106),
    [anon_sym_string] = ACTIONS(3106),
    [anon_sym_symbol] = ACTIONS(3106),
    [anon_sym_object] = ACTIONS(3106),
    [anon_sym_abstract] = ACTIONS(3106),
    [anon_sym_interface] = ACTIONS(3106),
    [anon_sym_enum] = ACTIONS(3106),
    [sym_html_comment] = ACTIONS(5),
  },
  [942] = {
    [sym_comment] = STATE(942),
    [sym_identifier] = ACTIONS(2105),
    [anon_sym_export] = ACTIONS(2105),
    [anon_sym_default] = ACTIONS(2105),
    [anon_sym_type] = ACTIONS(2105),
    [anon_sym_namespace] = ACTIONS(2105),
    [anon_sym_LBRACE] = ACTIONS(2105),
    [anon_sym_RBRACE] = ACTIONS(2105),
    [anon_sym_typeof] = ACTIONS(2105),
    [anon_sym_import] = ACTIONS(2105),
    [anon_sym_with] = ACTIONS(2105),
    [anon_sym_var] = ACTIONS(2105),
    [anon_sym_let] = ACTIONS(2105),
    [anon_sym_const] = ACTIONS(2105),
    [anon_sym_BANG] = ACTIONS(2105),
    [anon_sym_if] = ACTIONS(2105),
    [anon_sym_switch] = ACTIONS(2105),
    [anon_sym_for] = ACTIONS(2105),
    [anon_sym_LPAREN] = ACTIONS(2105),
    [anon_sym_await] = ACTIONS(2105),
    [anon_sym_while] = ACTIONS(2105),
    [anon_sym_do] = ACTIONS(2105),
    [anon_sym_try] = ACTIONS(2105),
    [anon_sym_break] = ACTIONS(2105),
    [anon_sym_continue] = ACTIONS(2105),
    [anon_sym_debugger] = ACTIONS(2105),
    [anon_sym_return] = ACTIONS(2105),
    [anon_sym_throw] = ACTIONS(2105),
    [anon_sym_SEMI] = ACTIONS(2105),
    [anon_sym_case] = ACTIONS(2105),
    [anon_sym_catch] = ACTIONS(2105),
    [anon_sym_finally] = ACTIONS(2105),
    [anon_sym_yield] = ACTIONS(2105),
    [anon_sym_LBRACK] = ACTIONS(2105),
    [anon_sym_LTtemplate_GT] = ACTIONS(2105),
    [anon_sym_DQUOTE] = ACTIONS(2105),
    [anon_sym_SQUOTE] = ACTIONS(2105),
    [anon_sym_class] = ACTIONS(2105),
    [anon_sym_async] = ACTIONS(2105),
    [anon_sym_function] = ACTIONS(2105),
    [anon_sym_new] = ACTIONS(2105),
    [anon_sym_using] = ACTIONS(2105),
    [anon_sym_PLUS] = ACTIONS(2105),
    [anon_sym_DASH] = ACTIONS(2105),
    [anon_sym_SLASH] = ACTIONS(2105),
    [anon_sym_LT] = ACTIONS(2105),
    [anon_sym_TILDE] = ACTIONS(2105),
    [anon_sym_void] = ACTIONS(2105),
    [anon_sym_delete] = ACTIONS(2105),
    [anon_sym_PLUS_PLUS] = ACTIONS(2105),
    [anon_sym_DASH_DASH] = ACTIONS(2105),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2105),
    [sym_number] = ACTIONS(2105),
    [sym_private_property_identifier] = ACTIONS(2105),
    [sym_this] = ACTIONS(2105),
    [sym_super] = ACTIONS(2105),
    [sym_true] = ACTIONS(2105),
    [sym_false] = ACTIONS(2105),
    [sym_null] = ACTIONS(2105),
    [sym_undefined] = ACTIONS(2105),
    [anon_sym_AT] = ACTIONS(2105),
    [anon_sym_static] = ACTIONS(2105),
    [anon_sym_readonly] = ACTIONS(2105),
    [anon_sym_get] = ACTIONS(2105),
    [anon_sym_set] = ACTIONS(2105),
    [anon_sym_declare] = ACTIONS(2105),
    [anon_sym_public] = ACTIONS(2105),
    [anon_sym_private] = ACTIONS(2105),
    [anon_sym_protected] = ACTIONS(2105),
    [anon_sym_override] = ACTIONS(2105),
    [anon_sym_module] = ACTIONS(2105),
    [anon_sym_any] = ACTIONS(2105),
    [anon_sym_number] = ACTIONS(2105),
    [anon_sym_boolean] = ACTIONS(2105),
    [anon_sym_string] = ACTIONS(2105),
    [anon_sym_symbol] = ACTIONS(2105),
    [anon_sym_object] = ACTIONS(2105),
    [anon_sym_abstract] = ACTIONS(2105),
    [anon_sym_interface] = ACTIONS(2105),
    [anon_sym_enum] = ACTIONS(2105),
    [sym_html_comment] = ACTIONS(5),
  },
  [943] = {
    [sym_comment] = STATE(943),
    [sym_identifier] = ACTIONS(2093),
    [anon_sym_export] = ACTIONS(2093),
    [anon_sym_default] = ACTIONS(2093),
    [anon_sym_type] = ACTIONS(2093),
    [anon_sym_namespace] = ACTIONS(2093),
    [anon_sym_LBRACE] = ACTIONS(2093),
    [anon_sym_RBRACE] = ACTIONS(2093),
    [anon_sym_typeof] = ACTIONS(2093),
    [anon_sym_import] = ACTIONS(2093),
    [anon_sym_with] = ACTIONS(2093),
    [anon_sym_var] = ACTIONS(2093),
    [anon_sym_let] = ACTIONS(2093),
    [anon_sym_const] = ACTIONS(2093),
    [anon_sym_BANG] = ACTIONS(2093),
    [anon_sym_if] = ACTIONS(2093),
    [anon_sym_switch] = ACTIONS(2093),
    [anon_sym_for] = ACTIONS(2093),
    [anon_sym_LPAREN] = ACTIONS(2093),
    [anon_sym_await] = ACTIONS(2093),
    [anon_sym_while] = ACTIONS(2093),
    [anon_sym_do] = ACTIONS(2093),
    [anon_sym_try] = ACTIONS(2093),
    [anon_sym_break] = ACTIONS(2093),
    [anon_sym_continue] = ACTIONS(2093),
    [anon_sym_debugger] = ACTIONS(2093),
    [anon_sym_return] = ACTIONS(2093),
    [anon_sym_throw] = ACTIONS(2093),
    [anon_sym_SEMI] = ACTIONS(2093),
    [anon_sym_case] = ACTIONS(2093),
    [anon_sym_catch] = ACTIONS(2093),
    [anon_sym_finally] = ACTIONS(2093),
    [anon_sym_yield] = ACTIONS(2093),
    [anon_sym_LBRACK] = ACTIONS(2093),
    [anon_sym_LTtemplate_GT] = ACTIONS(2093),
    [anon_sym_DQUOTE] = ACTIONS(2093),
    [anon_sym_SQUOTE] = ACTIONS(2093),
    [anon_sym_class] = ACTIONS(2093),
    [anon_sym_async] = ACTIONS(2093),
    [anon_sym_function] = ACTIONS(2093),
    [anon_sym_new] = ACTIONS(2093),
    [anon_sym_using] = ACTIONS(2093),
    [anon_sym_PLUS] = ACTIONS(2093),
    [anon_sym_DASH] = ACTIONS(2093),
    [anon_sym_SLASH] = ACTIONS(2093),
    [anon_sym_LT] = ACTIONS(2093),
    [anon_sym_TILDE] = ACTIONS(2093),
    [anon_sym_void] = ACTIONS(2093),
    [anon_sym_delete] = ACTIONS(2093),
    [anon_sym_PLUS_PLUS] = ACTIONS(2093),
    [anon_sym_DASH_DASH] = ACTIONS(2093),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2093),
    [sym_number] = ACTIONS(2093),
    [sym_private_property_identifier] = ACTIONS(2093),
    [sym_this] = ACTIONS(2093),
    [sym_super] = ACTIONS(2093),
    [sym_true] = ACTIONS(2093),
    [sym_false] = ACTIONS(2093),
    [sym_null] = ACTIONS(2093),
    [sym_undefined] = ACTIONS(2093),
    [anon_sym_AT] = ACTIONS(2093),
    [anon_sym_static] = ACTIONS(2093),
    [anon_sym_readonly] = ACTIONS(2093),
    [anon_sym_get] = ACTIONS(2093),
    [anon_sym_set] = ACTIONS(2093),
    [anon_sym_declare] = ACTIONS(2093),
    [anon_sym_public] = ACTIONS(2093),
    [anon_sym_private] = ACTIONS(2093),
    [anon_sym_protected] = ACTIONS(2093),
    [anon_sym_override] = ACTIONS(2093),
    [anon_sym_module] = ACTIONS(2093),
    [anon_sym_any] = ACTIONS(2093),
    [anon_sym_number] = ACTIONS(2093),
    [anon_sym_boolean] = ACTIONS(2093),
    [anon_sym_string] = ACTIONS(2093),
    [anon_sym_symbol] = ACTIONS(2093),
    [anon_sym_object] = ACTIONS(2093),
    [anon_sym_abstract] = ACTIONS(2093),
    [anon_sym_interface] = ACTIONS(2093),
    [anon_sym_enum] = ACTIONS(2093),
    [sym_html_comment] = ACTIONS(5),
  },
  [944] = {
    [sym_comment] = STATE(944),
    [ts_builtin_sym_end] = ACTIONS(2103),
    [sym_identifier] = ACTIONS(2067),
    [anon_sym_export] = ACTIONS(2067),
    [anon_sym_type] = ACTIONS(2067),
    [anon_sym_namespace] = ACTIONS(2067),
    [anon_sym_LBRACE] = ACTIONS(2067),
    [anon_sym_RBRACE] = ACTIONS(2067),
    [anon_sym_typeof] = ACTIONS(2067),
    [anon_sym_import] = ACTIONS(2067),
    [anon_sym_with] = ACTIONS(2067),
    [anon_sym_var] = ACTIONS(2067),
    [anon_sym_let] = ACTIONS(2067),
    [anon_sym_const] = ACTIONS(2067),
    [anon_sym_BANG] = ACTIONS(2067),
    [anon_sym_if] = ACTIONS(2067),
    [anon_sym_switch] = ACTIONS(2067),
    [anon_sym_for] = ACTIONS(2067),
    [anon_sym_LPAREN] = ACTIONS(2067),
    [anon_sym_await] = ACTIONS(2067),
    [anon_sym_while] = ACTIONS(2067),
    [anon_sym_do] = ACTIONS(2067),
    [anon_sym_try] = ACTIONS(2067),
    [anon_sym_break] = ACTIONS(2067),
    [anon_sym_continue] = ACTIONS(2067),
    [anon_sym_debugger] = ACTIONS(2067),
    [anon_sym_return] = ACTIONS(2067),
    [anon_sym_throw] = ACTIONS(2067),
    [anon_sym_SEMI] = ACTIONS(2067),
    [anon_sym_catch] = ACTIONS(2067),
    [anon_sym_finally] = ACTIONS(2067),
    [anon_sym_yield] = ACTIONS(2067),
    [anon_sym_LBRACK] = ACTIONS(2067),
    [anon_sym_LTtemplate_GT] = ACTIONS(2067),
    [anon_sym_DQUOTE] = ACTIONS(2067),
    [anon_sym_SQUOTE] = ACTIONS(2067),
    [anon_sym_class] = ACTIONS(2067),
    [anon_sym_async] = ACTIONS(2067),
    [anon_sym_function] = ACTIONS(2067),
    [anon_sym_new] = ACTIONS(2067),
    [anon_sym_using] = ACTIONS(2067),
    [anon_sym_PLUS] = ACTIONS(2067),
    [anon_sym_DASH] = ACTIONS(2067),
    [anon_sym_SLASH] = ACTIONS(2067),
    [anon_sym_LT] = ACTIONS(2067),
    [anon_sym_TILDE] = ACTIONS(2067),
    [anon_sym_void] = ACTIONS(2067),
    [anon_sym_delete] = ACTIONS(2067),
    [anon_sym_PLUS_PLUS] = ACTIONS(2067),
    [anon_sym_DASH_DASH] = ACTIONS(2067),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2067),
    [sym_number] = ACTIONS(2067),
    [sym_private_property_identifier] = ACTIONS(2067),
    [sym_this] = ACTIONS(2067),
    [sym_super] = ACTIONS(2067),
    [sym_true] = ACTIONS(2067),
    [sym_false] = ACTIONS(2067),
    [sym_null] = ACTIONS(2067),
    [sym_undefined] = ACTIONS(2067),
    [anon_sym_AT] = ACTIONS(2067),
    [anon_sym_static] = ACTIONS(2067),
    [anon_sym_readonly] = ACTIONS(2067),
    [anon_sym_get] = ACTIONS(2067),
    [anon_sym_set] = ACTIONS(2067),
    [anon_sym_declare] = ACTIONS(2067),
    [anon_sym_public] = ACTIONS(2067),
    [anon_sym_private] = ACTIONS(2067),
    [anon_sym_protected] = ACTIONS(2067),
    [anon_sym_override] = ACTIONS(2067),
    [anon_sym_module] = ACTIONS(2067),
    [anon_sym_any] = ACTIONS(2067),
    [anon_sym_number] = ACTIONS(2067),
    [anon_sym_boolean] = ACTIONS(2067),
    [anon_sym_string] = ACTIONS(2067),
    [anon_sym_symbol] = ACTIONS(2067),
    [anon_sym_object] = ACTIONS(2067),
    [anon_sym_abstract] = ACTIONS(2067),
    [anon_sym_interface] = ACTIONS(2067),
    [anon_sym_enum] = ACTIONS(2067),
    [sym__automatic_semicolon] = ACTIONS(3108),
    [sym_html_comment] = ACTIONS(5),
  },
  [945] = {
    [sym_comment] = STATE(945),
    [sym_identifier] = ACTIONS(2229),
    [anon_sym_export] = ACTIONS(2229),
    [anon_sym_default] = ACTIONS(2229),
    [anon_sym_type] = ACTIONS(2229),
    [anon_sym_namespace] = ACTIONS(2229),
    [anon_sym_LBRACE] = ACTIONS(2229),
    [anon_sym_RBRACE] = ACTIONS(2229),
    [anon_sym_typeof] = ACTIONS(2229),
    [anon_sym_import] = ACTIONS(2229),
    [anon_sym_with] = ACTIONS(2229),
    [anon_sym_var] = ACTIONS(2229),
    [anon_sym_let] = ACTIONS(2229),
    [anon_sym_const] = ACTIONS(2229),
    [anon_sym_BANG] = ACTIONS(2229),
    [anon_sym_else] = ACTIONS(2229),
    [anon_sym_if] = ACTIONS(2229),
    [anon_sym_switch] = ACTIONS(2229),
    [anon_sym_for] = ACTIONS(2229),
    [anon_sym_LPAREN] = ACTIONS(2229),
    [anon_sym_await] = ACTIONS(2229),
    [anon_sym_while] = ACTIONS(2229),
    [anon_sym_do] = ACTIONS(2229),
    [anon_sym_try] = ACTIONS(2229),
    [anon_sym_break] = ACTIONS(2229),
    [anon_sym_continue] = ACTIONS(2229),
    [anon_sym_debugger] = ACTIONS(2229),
    [anon_sym_return] = ACTIONS(2229),
    [anon_sym_throw] = ACTIONS(2229),
    [anon_sym_SEMI] = ACTIONS(2229),
    [anon_sym_case] = ACTIONS(2229),
    [anon_sym_yield] = ACTIONS(2229),
    [anon_sym_LBRACK] = ACTIONS(2229),
    [anon_sym_LTtemplate_GT] = ACTIONS(2229),
    [anon_sym_DQUOTE] = ACTIONS(2229),
    [anon_sym_SQUOTE] = ACTIONS(2229),
    [anon_sym_class] = ACTIONS(2229),
    [anon_sym_async] = ACTIONS(2229),
    [anon_sym_function] = ACTIONS(2229),
    [anon_sym_new] = ACTIONS(2229),
    [anon_sym_using] = ACTIONS(2229),
    [anon_sym_PLUS] = ACTIONS(2229),
    [anon_sym_DASH] = ACTIONS(2229),
    [anon_sym_SLASH] = ACTIONS(2229),
    [anon_sym_LT] = ACTIONS(2229),
    [anon_sym_TILDE] = ACTIONS(2229),
    [anon_sym_void] = ACTIONS(2229),
    [anon_sym_delete] = ACTIONS(2229),
    [anon_sym_PLUS_PLUS] = ACTIONS(2229),
    [anon_sym_DASH_DASH] = ACTIONS(2229),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2229),
    [sym_number] = ACTIONS(2229),
    [sym_private_property_identifier] = ACTIONS(2229),
    [sym_this] = ACTIONS(2229),
    [sym_super] = ACTIONS(2229),
    [sym_true] = ACTIONS(2229),
    [sym_false] = ACTIONS(2229),
    [sym_null] = ACTIONS(2229),
    [sym_undefined] = ACTIONS(2229),
    [anon_sym_AT] = ACTIONS(2229),
    [anon_sym_static] = ACTIONS(2229),
    [anon_sym_readonly] = ACTIONS(2229),
    [anon_sym_get] = ACTIONS(2229),
    [anon_sym_set] = ACTIONS(2229),
    [anon_sym_declare] = ACTIONS(2229),
    [anon_sym_public] = ACTIONS(2229),
    [anon_sym_private] = ACTIONS(2229),
    [anon_sym_protected] = ACTIONS(2229),
    [anon_sym_override] = ACTIONS(2229),
    [anon_sym_module] = ACTIONS(2229),
    [anon_sym_any] = ACTIONS(2229),
    [anon_sym_number] = ACTIONS(2229),
    [anon_sym_boolean] = ACTIONS(2229),
    [anon_sym_string] = ACTIONS(2229),
    [anon_sym_symbol] = ACTIONS(2229),
    [anon_sym_object] = ACTIONS(2229),
    [anon_sym_abstract] = ACTIONS(2229),
    [anon_sym_interface] = ACTIONS(2229),
    [anon_sym_enum] = ACTIONS(2229),
    [sym__automatic_semicolon] = ACTIONS(2233),
    [sym_html_comment] = ACTIONS(5),
  },
  [946] = {
    [sym_comment] = STATE(946),
    [sym_identifier] = ACTIONS(2127),
    [anon_sym_export] = ACTIONS(2127),
    [anon_sym_default] = ACTIONS(2127),
    [anon_sym_type] = ACTIONS(2127),
    [anon_sym_namespace] = ACTIONS(2127),
    [anon_sym_LBRACE] = ACTIONS(2127),
    [anon_sym_RBRACE] = ACTIONS(2127),
    [anon_sym_typeof] = ACTIONS(2127),
    [anon_sym_import] = ACTIONS(2127),
    [anon_sym_with] = ACTIONS(2127),
    [anon_sym_var] = ACTIONS(2127),
    [anon_sym_let] = ACTIONS(2127),
    [anon_sym_const] = ACTIONS(2127),
    [anon_sym_BANG] = ACTIONS(2127),
    [anon_sym_else] = ACTIONS(2127),
    [anon_sym_if] = ACTIONS(2127),
    [anon_sym_switch] = ACTIONS(2127),
    [anon_sym_for] = ACTIONS(2127),
    [anon_sym_LPAREN] = ACTIONS(2127),
    [anon_sym_await] = ACTIONS(2127),
    [anon_sym_while] = ACTIONS(2127),
    [anon_sym_do] = ACTIONS(2127),
    [anon_sym_try] = ACTIONS(2127),
    [anon_sym_break] = ACTIONS(2127),
    [anon_sym_continue] = ACTIONS(2127),
    [anon_sym_debugger] = ACTIONS(2127),
    [anon_sym_return] = ACTIONS(2127),
    [anon_sym_throw] = ACTIONS(2127),
    [anon_sym_SEMI] = ACTIONS(2127),
    [anon_sym_case] = ACTIONS(2127),
    [anon_sym_yield] = ACTIONS(2127),
    [anon_sym_LBRACK] = ACTIONS(2127),
    [anon_sym_LTtemplate_GT] = ACTIONS(2127),
    [anon_sym_DQUOTE] = ACTIONS(2127),
    [anon_sym_SQUOTE] = ACTIONS(2127),
    [anon_sym_class] = ACTIONS(2127),
    [anon_sym_async] = ACTIONS(2127),
    [anon_sym_function] = ACTIONS(2127),
    [anon_sym_new] = ACTIONS(2127),
    [anon_sym_using] = ACTIONS(2127),
    [anon_sym_PLUS] = ACTIONS(2127),
    [anon_sym_DASH] = ACTIONS(2127),
    [anon_sym_SLASH] = ACTIONS(2127),
    [anon_sym_LT] = ACTIONS(2127),
    [anon_sym_TILDE] = ACTIONS(2127),
    [anon_sym_void] = ACTIONS(2127),
    [anon_sym_delete] = ACTIONS(2127),
    [anon_sym_PLUS_PLUS] = ACTIONS(2127),
    [anon_sym_DASH_DASH] = ACTIONS(2127),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2127),
    [sym_number] = ACTIONS(2127),
    [sym_private_property_identifier] = ACTIONS(2127),
    [sym_this] = ACTIONS(2127),
    [sym_super] = ACTIONS(2127),
    [sym_true] = ACTIONS(2127),
    [sym_false] = ACTIONS(2127),
    [sym_null] = ACTIONS(2127),
    [sym_undefined] = ACTIONS(2127),
    [anon_sym_AT] = ACTIONS(2127),
    [anon_sym_static] = ACTIONS(2127),
    [anon_sym_readonly] = ACTIONS(2127),
    [anon_sym_get] = ACTIONS(2127),
    [anon_sym_set] = ACTIONS(2127),
    [anon_sym_declare] = ACTIONS(2127),
    [anon_sym_public] = ACTIONS(2127),
    [anon_sym_private] = ACTIONS(2127),
    [anon_sym_protected] = ACTIONS(2127),
    [anon_sym_override] = ACTIONS(2127),
    [anon_sym_module] = ACTIONS(2127),
    [anon_sym_any] = ACTIONS(2127),
    [anon_sym_number] = ACTIONS(2127),
    [anon_sym_boolean] = ACTIONS(2127),
    [anon_sym_string] = ACTIONS(2127),
    [anon_sym_symbol] = ACTIONS(2127),
    [anon_sym_object] = ACTIONS(2127),
    [anon_sym_abstract] = ACTIONS(2127),
    [anon_sym_interface] = ACTIONS(2127),
    [anon_sym_enum] = ACTIONS(2127),
    [sym__automatic_semicolon] = ACTIONS(2131),
    [sym_html_comment] = ACTIONS(5),
  },
  [947] = {
    [sym_comment] = STATE(947),
    [sym_identifier] = ACTIONS(2093),
    [anon_sym_export] = ACTIONS(2093),
    [anon_sym_default] = ACTIONS(2093),
    [anon_sym_type] = ACTIONS(2093),
    [anon_sym_namespace] = ACTIONS(2093),
    [anon_sym_LBRACE] = ACTIONS(2093),
    [anon_sym_RBRACE] = ACTIONS(2093),
    [anon_sym_typeof] = ACTIONS(2093),
    [anon_sym_import] = ACTIONS(2093),
    [anon_sym_with] = ACTIONS(2093),
    [anon_sym_var] = ACTIONS(2093),
    [anon_sym_let] = ACTIONS(2093),
    [anon_sym_const] = ACTIONS(2093),
    [anon_sym_BANG] = ACTIONS(2093),
    [anon_sym_if] = ACTIONS(2093),
    [anon_sym_switch] = ACTIONS(2093),
    [anon_sym_for] = ACTIONS(2093),
    [anon_sym_LPAREN] = ACTIONS(2093),
    [anon_sym_await] = ACTIONS(2093),
    [anon_sym_while] = ACTIONS(2093),
    [anon_sym_do] = ACTIONS(2093),
    [anon_sym_try] = ACTIONS(2093),
    [anon_sym_break] = ACTIONS(2093),
    [anon_sym_continue] = ACTIONS(2093),
    [anon_sym_debugger] = ACTIONS(2093),
    [anon_sym_return] = ACTIONS(2093),
    [anon_sym_throw] = ACTIONS(2093),
    [anon_sym_SEMI] = ACTIONS(2093),
    [anon_sym_case] = ACTIONS(2093),
    [anon_sym_finally] = ACTIONS(2093),
    [anon_sym_yield] = ACTIONS(2093),
    [anon_sym_LBRACK] = ACTIONS(2093),
    [anon_sym_LTtemplate_GT] = ACTIONS(2093),
    [anon_sym_DQUOTE] = ACTIONS(2093),
    [anon_sym_SQUOTE] = ACTIONS(2093),
    [anon_sym_class] = ACTIONS(2093),
    [anon_sym_async] = ACTIONS(2093),
    [anon_sym_function] = ACTIONS(2093),
    [anon_sym_new] = ACTIONS(2093),
    [anon_sym_using] = ACTIONS(2093),
    [anon_sym_PLUS] = ACTIONS(2093),
    [anon_sym_DASH] = ACTIONS(2093),
    [anon_sym_SLASH] = ACTIONS(2093),
    [anon_sym_LT] = ACTIONS(2093),
    [anon_sym_TILDE] = ACTIONS(2093),
    [anon_sym_void] = ACTIONS(2093),
    [anon_sym_delete] = ACTIONS(2093),
    [anon_sym_PLUS_PLUS] = ACTIONS(2093),
    [anon_sym_DASH_DASH] = ACTIONS(2093),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2093),
    [sym_number] = ACTIONS(2093),
    [sym_private_property_identifier] = ACTIONS(2093),
    [sym_this] = ACTIONS(2093),
    [sym_super] = ACTIONS(2093),
    [sym_true] = ACTIONS(2093),
    [sym_false] = ACTIONS(2093),
    [sym_null] = ACTIONS(2093),
    [sym_undefined] = ACTIONS(2093),
    [anon_sym_AT] = ACTIONS(2093),
    [anon_sym_static] = ACTIONS(2093),
    [anon_sym_readonly] = ACTIONS(2093),
    [anon_sym_get] = ACTIONS(2093),
    [anon_sym_set] = ACTIONS(2093),
    [anon_sym_declare] = ACTIONS(2093),
    [anon_sym_public] = ACTIONS(2093),
    [anon_sym_private] = ACTIONS(2093),
    [anon_sym_protected] = ACTIONS(2093),
    [anon_sym_override] = ACTIONS(2093),
    [anon_sym_module] = ACTIONS(2093),
    [anon_sym_any] = ACTIONS(2093),
    [anon_sym_number] = ACTIONS(2093),
    [anon_sym_boolean] = ACTIONS(2093),
    [anon_sym_string] = ACTIONS(2093),
    [anon_sym_symbol] = ACTIONS(2093),
    [anon_sym_object] = ACTIONS(2093),
    [anon_sym_abstract] = ACTIONS(2093),
    [anon_sym_interface] = ACTIONS(2093),
    [anon_sym_enum] = ACTIONS(2093),
    [sym__automatic_semicolon] = ACTIONS(3110),
    [sym_html_comment] = ACTIONS(5),
  },
  [948] = {
    [sym_comment] = STATE(948),
    [sym_identifier] = ACTIONS(2117),
    [anon_sym_export] = ACTIONS(2117),
    [anon_sym_default] = ACTIONS(2117),
    [anon_sym_type] = ACTIONS(2117),
    [anon_sym_namespace] = ACTIONS(2117),
    [anon_sym_LBRACE] = ACTIONS(2117),
    [anon_sym_RBRACE] = ACTIONS(2117),
    [anon_sym_typeof] = ACTIONS(2117),
    [anon_sym_import] = ACTIONS(2117),
    [anon_sym_with] = ACTIONS(2117),
    [anon_sym_var] = ACTIONS(2117),
    [anon_sym_let] = ACTIONS(2117),
    [anon_sym_const] = ACTIONS(2117),
    [anon_sym_BANG] = ACTIONS(2117),
    [anon_sym_else] = ACTIONS(2117),
    [anon_sym_if] = ACTIONS(2117),
    [anon_sym_switch] = ACTIONS(2117),
    [anon_sym_for] = ACTIONS(2117),
    [anon_sym_LPAREN] = ACTIONS(2117),
    [anon_sym_await] = ACTIONS(2117),
    [anon_sym_while] = ACTIONS(2117),
    [anon_sym_do] = ACTIONS(2117),
    [anon_sym_try] = ACTIONS(2117),
    [anon_sym_break] = ACTIONS(2117),
    [anon_sym_continue] = ACTIONS(2117),
    [anon_sym_debugger] = ACTIONS(2117),
    [anon_sym_return] = ACTIONS(2117),
    [anon_sym_throw] = ACTIONS(2117),
    [anon_sym_SEMI] = ACTIONS(2117),
    [anon_sym_case] = ACTIONS(2117),
    [anon_sym_yield] = ACTIONS(2117),
    [anon_sym_LBRACK] = ACTIONS(2117),
    [anon_sym_LTtemplate_GT] = ACTIONS(2117),
    [anon_sym_DQUOTE] = ACTIONS(2117),
    [anon_sym_SQUOTE] = ACTIONS(2117),
    [anon_sym_class] = ACTIONS(2117),
    [anon_sym_async] = ACTIONS(2117),
    [anon_sym_function] = ACTIONS(2117),
    [anon_sym_new] = ACTIONS(2117),
    [anon_sym_using] = ACTIONS(2117),
    [anon_sym_PLUS] = ACTIONS(2117),
    [anon_sym_DASH] = ACTIONS(2117),
    [anon_sym_SLASH] = ACTIONS(2117),
    [anon_sym_LT] = ACTIONS(2117),
    [anon_sym_TILDE] = ACTIONS(2117),
    [anon_sym_void] = ACTIONS(2117),
    [anon_sym_delete] = ACTIONS(2117),
    [anon_sym_PLUS_PLUS] = ACTIONS(2117),
    [anon_sym_DASH_DASH] = ACTIONS(2117),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2117),
    [sym_number] = ACTIONS(2117),
    [sym_private_property_identifier] = ACTIONS(2117),
    [sym_this] = ACTIONS(2117),
    [sym_super] = ACTIONS(2117),
    [sym_true] = ACTIONS(2117),
    [sym_false] = ACTIONS(2117),
    [sym_null] = ACTIONS(2117),
    [sym_undefined] = ACTIONS(2117),
    [anon_sym_AT] = ACTIONS(2117),
    [anon_sym_static] = ACTIONS(2117),
    [anon_sym_readonly] = ACTIONS(2117),
    [anon_sym_get] = ACTIONS(2117),
    [anon_sym_set] = ACTIONS(2117),
    [anon_sym_declare] = ACTIONS(2117),
    [anon_sym_public] = ACTIONS(2117),
    [anon_sym_private] = ACTIONS(2117),
    [anon_sym_protected] = ACTIONS(2117),
    [anon_sym_override] = ACTIONS(2117),
    [anon_sym_module] = ACTIONS(2117),
    [anon_sym_any] = ACTIONS(2117),
    [anon_sym_number] = ACTIONS(2117),
    [anon_sym_boolean] = ACTIONS(2117),
    [anon_sym_string] = ACTIONS(2117),
    [anon_sym_symbol] = ACTIONS(2117),
    [anon_sym_object] = ACTIONS(2117),
    [anon_sym_abstract] = ACTIONS(2117),
    [anon_sym_interface] = ACTIONS(2117),
    [anon_sym_enum] = ACTIONS(2117),
    [sym__automatic_semicolon] = ACTIONS(2121),
    [sym_html_comment] = ACTIONS(5),
  },
  [949] = {
    [sym_comment] = STATE(949),
    [sym_identifier] = ACTIONS(2135),
    [anon_sym_export] = ACTIONS(2135),
    [anon_sym_default] = ACTIONS(2135),
    [anon_sym_type] = ACTIONS(2135),
    [anon_sym_namespace] = ACTIONS(2135),
    [anon_sym_LBRACE] = ACTIONS(2135),
    [anon_sym_RBRACE] = ACTIONS(2135),
    [anon_sym_typeof] = ACTIONS(2135),
    [anon_sym_import] = ACTIONS(2135),
    [anon_sym_with] = ACTIONS(2135),
    [anon_sym_var] = ACTIONS(2135),
    [anon_sym_let] = ACTIONS(2135),
    [anon_sym_const] = ACTIONS(2135),
    [anon_sym_BANG] = ACTIONS(2135),
    [anon_sym_else] = ACTIONS(2135),
    [anon_sym_if] = ACTIONS(2135),
    [anon_sym_switch] = ACTIONS(2135),
    [anon_sym_for] = ACTIONS(2135),
    [anon_sym_LPAREN] = ACTIONS(2135),
    [anon_sym_await] = ACTIONS(2135),
    [anon_sym_while] = ACTIONS(2135),
    [anon_sym_do] = ACTIONS(2135),
    [anon_sym_try] = ACTIONS(2135),
    [anon_sym_break] = ACTIONS(2135),
    [anon_sym_continue] = ACTIONS(2135),
    [anon_sym_debugger] = ACTIONS(2135),
    [anon_sym_return] = ACTIONS(2135),
    [anon_sym_throw] = ACTIONS(2135),
    [anon_sym_SEMI] = ACTIONS(2135),
    [anon_sym_case] = ACTIONS(2135),
    [anon_sym_yield] = ACTIONS(2135),
    [anon_sym_LBRACK] = ACTIONS(2135),
    [anon_sym_LTtemplate_GT] = ACTIONS(2135),
    [anon_sym_DQUOTE] = ACTIONS(2135),
    [anon_sym_SQUOTE] = ACTIONS(2135),
    [anon_sym_class] = ACTIONS(2135),
    [anon_sym_async] = ACTIONS(2135),
    [anon_sym_function] = ACTIONS(2135),
    [anon_sym_new] = ACTIONS(2135),
    [anon_sym_using] = ACTIONS(2135),
    [anon_sym_PLUS] = ACTIONS(2135),
    [anon_sym_DASH] = ACTIONS(2135),
    [anon_sym_SLASH] = ACTIONS(2135),
    [anon_sym_LT] = ACTIONS(2135),
    [anon_sym_TILDE] = ACTIONS(2135),
    [anon_sym_void] = ACTIONS(2135),
    [anon_sym_delete] = ACTIONS(2135),
    [anon_sym_PLUS_PLUS] = ACTIONS(2135),
    [anon_sym_DASH_DASH] = ACTIONS(2135),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2135),
    [sym_number] = ACTIONS(2135),
    [sym_private_property_identifier] = ACTIONS(2135),
    [sym_this] = ACTIONS(2135),
    [sym_super] = ACTIONS(2135),
    [sym_true] = ACTIONS(2135),
    [sym_false] = ACTIONS(2135),
    [sym_null] = ACTIONS(2135),
    [sym_undefined] = ACTIONS(2135),
    [anon_sym_AT] = ACTIONS(2135),
    [anon_sym_static] = ACTIONS(2135),
    [anon_sym_readonly] = ACTIONS(2135),
    [anon_sym_get] = ACTIONS(2135),
    [anon_sym_set] = ACTIONS(2135),
    [anon_sym_declare] = ACTIONS(2135),
    [anon_sym_public] = ACTIONS(2135),
    [anon_sym_private] = ACTIONS(2135),
    [anon_sym_protected] = ACTIONS(2135),
    [anon_sym_override] = ACTIONS(2135),
    [anon_sym_module] = ACTIONS(2135),
    [anon_sym_any] = ACTIONS(2135),
    [anon_sym_number] = ACTIONS(2135),
    [anon_sym_boolean] = ACTIONS(2135),
    [anon_sym_string] = ACTIONS(2135),
    [anon_sym_symbol] = ACTIONS(2135),
    [anon_sym_object] = ACTIONS(2135),
    [anon_sym_abstract] = ACTIONS(2135),
    [anon_sym_interface] = ACTIONS(2135),
    [anon_sym_enum] = ACTIONS(2135),
    [sym__automatic_semicolon] = ACTIONS(2139),
    [sym_html_comment] = ACTIONS(5),
  },
  [950] = {
    [sym_comment] = STATE(950),
    [ts_builtin_sym_end] = ACTIONS(2107),
    [sym_identifier] = ACTIONS(2105),
    [anon_sym_export] = ACTIONS(2105),
    [anon_sym_type] = ACTIONS(2105),
    [anon_sym_namespace] = ACTIONS(2105),
    [anon_sym_LBRACE] = ACTIONS(2105),
    [anon_sym_RBRACE] = ACTIONS(2105),
    [anon_sym_typeof] = ACTIONS(2105),
    [anon_sym_import] = ACTIONS(2105),
    [anon_sym_with] = ACTIONS(2105),
    [anon_sym_var] = ACTIONS(2105),
    [anon_sym_let] = ACTIONS(2105),
    [anon_sym_const] = ACTIONS(2105),
    [anon_sym_BANG] = ACTIONS(2105),
    [anon_sym_else] = ACTIONS(2105),
    [anon_sym_if] = ACTIONS(2105),
    [anon_sym_switch] = ACTIONS(2105),
    [anon_sym_for] = ACTIONS(2105),
    [anon_sym_LPAREN] = ACTIONS(2105),
    [anon_sym_await] = ACTIONS(2105),
    [anon_sym_while] = ACTIONS(2105),
    [anon_sym_do] = ACTIONS(2105),
    [anon_sym_try] = ACTIONS(2105),
    [anon_sym_break] = ACTIONS(2105),
    [anon_sym_continue] = ACTIONS(2105),
    [anon_sym_debugger] = ACTIONS(2105),
    [anon_sym_return] = ACTIONS(2105),
    [anon_sym_throw] = ACTIONS(2105),
    [anon_sym_SEMI] = ACTIONS(2105),
    [anon_sym_catch] = ACTIONS(2105),
    [anon_sym_finally] = ACTIONS(2105),
    [anon_sym_yield] = ACTIONS(2105),
    [anon_sym_LBRACK] = ACTIONS(2105),
    [anon_sym_LTtemplate_GT] = ACTIONS(2105),
    [anon_sym_DQUOTE] = ACTIONS(2105),
    [anon_sym_SQUOTE] = ACTIONS(2105),
    [anon_sym_class] = ACTIONS(2105),
    [anon_sym_async] = ACTIONS(2105),
    [anon_sym_function] = ACTIONS(2105),
    [anon_sym_new] = ACTIONS(2105),
    [anon_sym_using] = ACTIONS(2105),
    [anon_sym_PLUS] = ACTIONS(2105),
    [anon_sym_DASH] = ACTIONS(2105),
    [anon_sym_SLASH] = ACTIONS(2105),
    [anon_sym_LT] = ACTIONS(2105),
    [anon_sym_TILDE] = ACTIONS(2105),
    [anon_sym_void] = ACTIONS(2105),
    [anon_sym_delete] = ACTIONS(2105),
    [anon_sym_PLUS_PLUS] = ACTIONS(2105),
    [anon_sym_DASH_DASH] = ACTIONS(2105),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2105),
    [sym_number] = ACTIONS(2105),
    [sym_private_property_identifier] = ACTIONS(2105),
    [sym_this] = ACTIONS(2105),
    [sym_super] = ACTIONS(2105),
    [sym_true] = ACTIONS(2105),
    [sym_false] = ACTIONS(2105),
    [sym_null] = ACTIONS(2105),
    [sym_undefined] = ACTIONS(2105),
    [anon_sym_AT] = ACTIONS(2105),
    [anon_sym_static] = ACTIONS(2105),
    [anon_sym_readonly] = ACTIONS(2105),
    [anon_sym_get] = ACTIONS(2105),
    [anon_sym_set] = ACTIONS(2105),
    [anon_sym_declare] = ACTIONS(2105),
    [anon_sym_public] = ACTIONS(2105),
    [anon_sym_private] = ACTIONS(2105),
    [anon_sym_protected] = ACTIONS(2105),
    [anon_sym_override] = ACTIONS(2105),
    [anon_sym_module] = ACTIONS(2105),
    [anon_sym_any] = ACTIONS(2105),
    [anon_sym_number] = ACTIONS(2105),
    [anon_sym_boolean] = ACTIONS(2105),
    [anon_sym_string] = ACTIONS(2105),
    [anon_sym_symbol] = ACTIONS(2105),
    [anon_sym_object] = ACTIONS(2105),
    [anon_sym_abstract] = ACTIONS(2105),
    [anon_sym_interface] = ACTIONS(2105),
    [anon_sym_enum] = ACTIONS(2105),
    [sym_html_comment] = ACTIONS(5),
  },
  [951] = {
    [sym_finally_clause] = STATE(1435),
    [sym_comment] = STATE(951),
    [sym_identifier] = ACTIONS(3056),
    [anon_sym_export] = ACTIONS(3056),
    [anon_sym_default] = ACTIONS(3056),
    [anon_sym_type] = ACTIONS(3056),
    [anon_sym_namespace] = ACTIONS(3056),
    [anon_sym_LBRACE] = ACTIONS(3056),
    [anon_sym_RBRACE] = ACTIONS(3056),
    [anon_sym_typeof] = ACTIONS(3056),
    [anon_sym_import] = ACTIONS(3056),
    [anon_sym_with] = ACTIONS(3056),
    [anon_sym_var] = ACTIONS(3056),
    [anon_sym_let] = ACTIONS(3056),
    [anon_sym_const] = ACTIONS(3056),
    [anon_sym_BANG] = ACTIONS(3056),
    [anon_sym_if] = ACTIONS(3056),
    [anon_sym_switch] = ACTIONS(3056),
    [anon_sym_for] = ACTIONS(3056),
    [anon_sym_LPAREN] = ACTIONS(3056),
    [anon_sym_await] = ACTIONS(3056),
    [anon_sym_while] = ACTIONS(3056),
    [anon_sym_do] = ACTIONS(3056),
    [anon_sym_try] = ACTIONS(3056),
    [anon_sym_break] = ACTIONS(3056),
    [anon_sym_continue] = ACTIONS(3056),
    [anon_sym_debugger] = ACTIONS(3056),
    [anon_sym_return] = ACTIONS(3056),
    [anon_sym_throw] = ACTIONS(3056),
    [anon_sym_SEMI] = ACTIONS(3056),
    [anon_sym_case] = ACTIONS(3056),
    [anon_sym_finally] = ACTIONS(3040),
    [anon_sym_yield] = ACTIONS(3056),
    [anon_sym_LBRACK] = ACTIONS(3056),
    [anon_sym_LTtemplate_GT] = ACTIONS(3056),
    [anon_sym_DQUOTE] = ACTIONS(3056),
    [anon_sym_SQUOTE] = ACTIONS(3056),
    [anon_sym_class] = ACTIONS(3056),
    [anon_sym_async] = ACTIONS(3056),
    [anon_sym_function] = ACTIONS(3056),
    [anon_sym_new] = ACTIONS(3056),
    [anon_sym_using] = ACTIONS(3056),
    [anon_sym_PLUS] = ACTIONS(3056),
    [anon_sym_DASH] = ACTIONS(3056),
    [anon_sym_SLASH] = ACTIONS(3056),
    [anon_sym_LT] = ACTIONS(3056),
    [anon_sym_TILDE] = ACTIONS(3056),
    [anon_sym_void] = ACTIONS(3056),
    [anon_sym_delete] = ACTIONS(3056),
    [anon_sym_PLUS_PLUS] = ACTIONS(3056),
    [anon_sym_DASH_DASH] = ACTIONS(3056),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3056),
    [sym_number] = ACTIONS(3056),
    [sym_private_property_identifier] = ACTIONS(3056),
    [sym_this] = ACTIONS(3056),
    [sym_super] = ACTIONS(3056),
    [sym_true] = ACTIONS(3056),
    [sym_false] = ACTIONS(3056),
    [sym_null] = ACTIONS(3056),
    [sym_undefined] = ACTIONS(3056),
    [anon_sym_AT] = ACTIONS(3056),
    [anon_sym_static] = ACTIONS(3056),
    [anon_sym_readonly] = ACTIONS(3056),
    [anon_sym_get] = ACTIONS(3056),
    [anon_sym_set] = ACTIONS(3056),
    [anon_sym_declare] = ACTIONS(3056),
    [anon_sym_public] = ACTIONS(3056),
    [anon_sym_private] = ACTIONS(3056),
    [anon_sym_protected] = ACTIONS(3056),
    [anon_sym_override] = ACTIONS(3056),
    [anon_sym_module] = ACTIONS(3056),
    [anon_sym_any] = ACTIONS(3056),
    [anon_sym_number] = ACTIONS(3056),
    [anon_sym_boolean] = ACTIONS(3056),
    [anon_sym_string] = ACTIONS(3056),
    [anon_sym_symbol] = ACTIONS(3056),
    [anon_sym_object] = ACTIONS(3056),
    [anon_sym_abstract] = ACTIONS(3056),
    [anon_sym_interface] = ACTIONS(3056),
    [anon_sym_enum] = ACTIONS(3056),
    [sym_html_comment] = ACTIONS(5),
  },
  [952] = {
    [sym_comment] = STATE(952),
    [sym_identifier] = ACTIONS(2145),
    [anon_sym_export] = ACTIONS(2145),
    [anon_sym_default] = ACTIONS(2145),
    [anon_sym_type] = ACTIONS(2145),
    [anon_sym_namespace] = ACTIONS(2145),
    [anon_sym_LBRACE] = ACTIONS(2145),
    [anon_sym_RBRACE] = ACTIONS(2145),
    [anon_sym_typeof] = ACTIONS(2145),
    [anon_sym_import] = ACTIONS(2145),
    [anon_sym_with] = ACTIONS(2145),
    [anon_sym_var] = ACTIONS(2145),
    [anon_sym_let] = ACTIONS(2145),
    [anon_sym_const] = ACTIONS(2145),
    [anon_sym_BANG] = ACTIONS(2145),
    [anon_sym_else] = ACTIONS(2145),
    [anon_sym_if] = ACTIONS(2145),
    [anon_sym_switch] = ACTIONS(2145),
    [anon_sym_for] = ACTIONS(2145),
    [anon_sym_LPAREN] = ACTIONS(2145),
    [anon_sym_await] = ACTIONS(2145),
    [anon_sym_while] = ACTIONS(2145),
    [anon_sym_do] = ACTIONS(2145),
    [anon_sym_try] = ACTIONS(2145),
    [anon_sym_break] = ACTIONS(2145),
    [anon_sym_continue] = ACTIONS(2145),
    [anon_sym_debugger] = ACTIONS(2145),
    [anon_sym_return] = ACTIONS(2145),
    [anon_sym_throw] = ACTIONS(2145),
    [anon_sym_SEMI] = ACTIONS(2145),
    [anon_sym_case] = ACTIONS(2145),
    [anon_sym_yield] = ACTIONS(2145),
    [anon_sym_LBRACK] = ACTIONS(2145),
    [anon_sym_LTtemplate_GT] = ACTIONS(2145),
    [anon_sym_DQUOTE] = ACTIONS(2145),
    [anon_sym_SQUOTE] = ACTIONS(2145),
    [anon_sym_class] = ACTIONS(2145),
    [anon_sym_async] = ACTIONS(2145),
    [anon_sym_function] = ACTIONS(2145),
    [anon_sym_new] = ACTIONS(2145),
    [anon_sym_using] = ACTIONS(2145),
    [anon_sym_PLUS] = ACTIONS(2145),
    [anon_sym_DASH] = ACTIONS(2145),
    [anon_sym_SLASH] = ACTIONS(2145),
    [anon_sym_LT] = ACTIONS(2145),
    [anon_sym_TILDE] = ACTIONS(2145),
    [anon_sym_void] = ACTIONS(2145),
    [anon_sym_delete] = ACTIONS(2145),
    [anon_sym_PLUS_PLUS] = ACTIONS(2145),
    [anon_sym_DASH_DASH] = ACTIONS(2145),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2145),
    [sym_number] = ACTIONS(2145),
    [sym_private_property_identifier] = ACTIONS(2145),
    [sym_this] = ACTIONS(2145),
    [sym_super] = ACTIONS(2145),
    [sym_true] = ACTIONS(2145),
    [sym_false] = ACTIONS(2145),
    [sym_null] = ACTIONS(2145),
    [sym_undefined] = ACTIONS(2145),
    [anon_sym_AT] = ACTIONS(2145),
    [anon_sym_static] = ACTIONS(2145),
    [anon_sym_readonly] = ACTIONS(2145),
    [anon_sym_get] = ACTIONS(2145),
    [anon_sym_set] = ACTIONS(2145),
    [anon_sym_declare] = ACTIONS(2145),
    [anon_sym_public] = ACTIONS(2145),
    [anon_sym_private] = ACTIONS(2145),
    [anon_sym_protected] = ACTIONS(2145),
    [anon_sym_override] = ACTIONS(2145),
    [anon_sym_module] = ACTIONS(2145),
    [anon_sym_any] = ACTIONS(2145),
    [anon_sym_number] = ACTIONS(2145),
    [anon_sym_boolean] = ACTIONS(2145),
    [anon_sym_string] = ACTIONS(2145),
    [anon_sym_symbol] = ACTIONS(2145),
    [anon_sym_object] = ACTIONS(2145),
    [anon_sym_abstract] = ACTIONS(2145),
    [anon_sym_interface] = ACTIONS(2145),
    [anon_sym_enum] = ACTIONS(2145),
    [sym__automatic_semicolon] = ACTIONS(2147),
    [sym_html_comment] = ACTIONS(5),
  },
  [953] = {
    [sym_comment] = STATE(953),
    [ts_builtin_sym_end] = ACTIONS(2095),
    [sym_identifier] = ACTIONS(2093),
    [anon_sym_export] = ACTIONS(2093),
    [anon_sym_type] = ACTIONS(2093),
    [anon_sym_namespace] = ACTIONS(2093),
    [anon_sym_LBRACE] = ACTIONS(2093),
    [anon_sym_RBRACE] = ACTIONS(2093),
    [anon_sym_typeof] = ACTIONS(2093),
    [anon_sym_import] = ACTIONS(2093),
    [anon_sym_with] = ACTIONS(2093),
    [anon_sym_var] = ACTIONS(2093),
    [anon_sym_let] = ACTIONS(2093),
    [anon_sym_const] = ACTIONS(2093),
    [anon_sym_BANG] = ACTIONS(2093),
    [anon_sym_else] = ACTIONS(2093),
    [anon_sym_if] = ACTIONS(2093),
    [anon_sym_switch] = ACTIONS(2093),
    [anon_sym_for] = ACTIONS(2093),
    [anon_sym_LPAREN] = ACTIONS(2093),
    [anon_sym_await] = ACTIONS(2093),
    [anon_sym_while] = ACTIONS(2093),
    [anon_sym_do] = ACTIONS(2093),
    [anon_sym_try] = ACTIONS(2093),
    [anon_sym_break] = ACTIONS(2093),
    [anon_sym_continue] = ACTIONS(2093),
    [anon_sym_debugger] = ACTIONS(2093),
    [anon_sym_return] = ACTIONS(2093),
    [anon_sym_throw] = ACTIONS(2093),
    [anon_sym_SEMI] = ACTIONS(2093),
    [anon_sym_catch] = ACTIONS(2093),
    [anon_sym_finally] = ACTIONS(2093),
    [anon_sym_yield] = ACTIONS(2093),
    [anon_sym_LBRACK] = ACTIONS(2093),
    [anon_sym_LTtemplate_GT] = ACTIONS(2093),
    [anon_sym_DQUOTE] = ACTIONS(2093),
    [anon_sym_SQUOTE] = ACTIONS(2093),
    [anon_sym_class] = ACTIONS(2093),
    [anon_sym_async] = ACTIONS(2093),
    [anon_sym_function] = ACTIONS(2093),
    [anon_sym_new] = ACTIONS(2093),
    [anon_sym_using] = ACTIONS(2093),
    [anon_sym_PLUS] = ACTIONS(2093),
    [anon_sym_DASH] = ACTIONS(2093),
    [anon_sym_SLASH] = ACTIONS(2093),
    [anon_sym_LT] = ACTIONS(2093),
    [anon_sym_TILDE] = ACTIONS(2093),
    [anon_sym_void] = ACTIONS(2093),
    [anon_sym_delete] = ACTIONS(2093),
    [anon_sym_PLUS_PLUS] = ACTIONS(2093),
    [anon_sym_DASH_DASH] = ACTIONS(2093),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2093),
    [sym_number] = ACTIONS(2093),
    [sym_private_property_identifier] = ACTIONS(2093),
    [sym_this] = ACTIONS(2093),
    [sym_super] = ACTIONS(2093),
    [sym_true] = ACTIONS(2093),
    [sym_false] = ACTIONS(2093),
    [sym_null] = ACTIONS(2093),
    [sym_undefined] = ACTIONS(2093),
    [anon_sym_AT] = ACTIONS(2093),
    [anon_sym_static] = ACTIONS(2093),
    [anon_sym_readonly] = ACTIONS(2093),
    [anon_sym_get] = ACTIONS(2093),
    [anon_sym_set] = ACTIONS(2093),
    [anon_sym_declare] = ACTIONS(2093),
    [anon_sym_public] = ACTIONS(2093),
    [anon_sym_private] = ACTIONS(2093),
    [anon_sym_protected] = ACTIONS(2093),
    [anon_sym_override] = ACTIONS(2093),
    [anon_sym_module] = ACTIONS(2093),
    [anon_sym_any] = ACTIONS(2093),
    [anon_sym_number] = ACTIONS(2093),
    [anon_sym_boolean] = ACTIONS(2093),
    [anon_sym_string] = ACTIONS(2093),
    [anon_sym_symbol] = ACTIONS(2093),
    [anon_sym_object] = ACTIONS(2093),
    [anon_sym_abstract] = ACTIONS(2093),
    [anon_sym_interface] = ACTIONS(2093),
    [anon_sym_enum] = ACTIONS(2093),
    [sym_html_comment] = ACTIONS(5),
  },
  [954] = {
    [sym_comment] = STATE(954),
    [sym_identifier] = ACTIONS(2093),
    [anon_sym_export] = ACTIONS(2093),
    [anon_sym_default] = ACTIONS(2093),
    [anon_sym_type] = ACTIONS(2093),
    [anon_sym_namespace] = ACTIONS(2093),
    [anon_sym_LBRACE] = ACTIONS(2093),
    [anon_sym_RBRACE] = ACTIONS(2093),
    [anon_sym_typeof] = ACTIONS(2093),
    [anon_sym_import] = ACTIONS(2093),
    [anon_sym_with] = ACTIONS(2093),
    [anon_sym_var] = ACTIONS(2093),
    [anon_sym_let] = ACTIONS(2093),
    [anon_sym_const] = ACTIONS(2093),
    [anon_sym_BANG] = ACTIONS(2093),
    [anon_sym_else] = ACTIONS(2093),
    [anon_sym_if] = ACTIONS(2093),
    [anon_sym_switch] = ACTIONS(2093),
    [anon_sym_for] = ACTIONS(2093),
    [anon_sym_LPAREN] = ACTIONS(2093),
    [anon_sym_await] = ACTIONS(2093),
    [anon_sym_while] = ACTIONS(2093),
    [anon_sym_do] = ACTIONS(2093),
    [anon_sym_try] = ACTIONS(2093),
    [anon_sym_break] = ACTIONS(2093),
    [anon_sym_continue] = ACTIONS(2093),
    [anon_sym_debugger] = ACTIONS(2093),
    [anon_sym_return] = ACTIONS(2093),
    [anon_sym_throw] = ACTIONS(2093),
    [anon_sym_SEMI] = ACTIONS(2093),
    [anon_sym_case] = ACTIONS(2093),
    [anon_sym_yield] = ACTIONS(2093),
    [anon_sym_LBRACK] = ACTIONS(2093),
    [anon_sym_LTtemplate_GT] = ACTIONS(2093),
    [anon_sym_DQUOTE] = ACTIONS(2093),
    [anon_sym_SQUOTE] = ACTIONS(2093),
    [anon_sym_class] = ACTIONS(2093),
    [anon_sym_async] = ACTIONS(2093),
    [anon_sym_function] = ACTIONS(2093),
    [anon_sym_new] = ACTIONS(2093),
    [anon_sym_using] = ACTIONS(2093),
    [anon_sym_PLUS] = ACTIONS(2093),
    [anon_sym_DASH] = ACTIONS(2093),
    [anon_sym_SLASH] = ACTIONS(2093),
    [anon_sym_LT] = ACTIONS(2093),
    [anon_sym_TILDE] = ACTIONS(2093),
    [anon_sym_void] = ACTIONS(2093),
    [anon_sym_delete] = ACTIONS(2093),
    [anon_sym_PLUS_PLUS] = ACTIONS(2093),
    [anon_sym_DASH_DASH] = ACTIONS(2093),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2093),
    [sym_number] = ACTIONS(2093),
    [sym_private_property_identifier] = ACTIONS(2093),
    [sym_this] = ACTIONS(2093),
    [sym_super] = ACTIONS(2093),
    [sym_true] = ACTIONS(2093),
    [sym_false] = ACTIONS(2093),
    [sym_null] = ACTIONS(2093),
    [sym_undefined] = ACTIONS(2093),
    [anon_sym_AT] = ACTIONS(2093),
    [anon_sym_static] = ACTIONS(2093),
    [anon_sym_readonly] = ACTIONS(2093),
    [anon_sym_get] = ACTIONS(2093),
    [anon_sym_set] = ACTIONS(2093),
    [anon_sym_declare] = ACTIONS(2093),
    [anon_sym_public] = ACTIONS(2093),
    [anon_sym_private] = ACTIONS(2093),
    [anon_sym_protected] = ACTIONS(2093),
    [anon_sym_override] = ACTIONS(2093),
    [anon_sym_module] = ACTIONS(2093),
    [anon_sym_any] = ACTIONS(2093),
    [anon_sym_number] = ACTIONS(2093),
    [anon_sym_boolean] = ACTIONS(2093),
    [anon_sym_string] = ACTIONS(2093),
    [anon_sym_symbol] = ACTIONS(2093),
    [anon_sym_object] = ACTIONS(2093),
    [anon_sym_abstract] = ACTIONS(2093),
    [anon_sym_interface] = ACTIONS(2093),
    [anon_sym_enum] = ACTIONS(2093),
    [sym__automatic_semicolon] = ACTIONS(3112),
    [sym_html_comment] = ACTIONS(5),
  },
  [955] = {
    [sym_comment] = STATE(955),
    [sym_identifier] = ACTIONS(2093),
    [anon_sym_export] = ACTIONS(2093),
    [anon_sym_default] = ACTIONS(2093),
    [anon_sym_type] = ACTIONS(2093),
    [anon_sym_namespace] = ACTIONS(2093),
    [anon_sym_LBRACE] = ACTIONS(2093),
    [anon_sym_RBRACE] = ACTIONS(2093),
    [anon_sym_typeof] = ACTIONS(2093),
    [anon_sym_import] = ACTIONS(2093),
    [anon_sym_with] = ACTIONS(2093),
    [anon_sym_var] = ACTIONS(2093),
    [anon_sym_let] = ACTIONS(2093),
    [anon_sym_const] = ACTIONS(2093),
    [anon_sym_BANG] = ACTIONS(2093),
    [anon_sym_else] = ACTIONS(2093),
    [anon_sym_if] = ACTIONS(2093),
    [anon_sym_switch] = ACTIONS(2093),
    [anon_sym_for] = ACTIONS(2093),
    [anon_sym_LPAREN] = ACTIONS(2093),
    [anon_sym_await] = ACTIONS(2093),
    [anon_sym_while] = ACTIONS(2093),
    [anon_sym_do] = ACTIONS(2093),
    [anon_sym_try] = ACTIONS(2093),
    [anon_sym_break] = ACTIONS(2093),
    [anon_sym_continue] = ACTIONS(2093),
    [anon_sym_debugger] = ACTIONS(2093),
    [anon_sym_return] = ACTIONS(2093),
    [anon_sym_throw] = ACTIONS(2093),
    [anon_sym_SEMI] = ACTIONS(2093),
    [anon_sym_case] = ACTIONS(2093),
    [anon_sym_yield] = ACTIONS(2093),
    [anon_sym_LBRACK] = ACTIONS(2093),
    [anon_sym_LTtemplate_GT] = ACTIONS(2093),
    [anon_sym_DQUOTE] = ACTIONS(2093),
    [anon_sym_SQUOTE] = ACTIONS(2093),
    [anon_sym_class] = ACTIONS(2093),
    [anon_sym_async] = ACTIONS(2093),
    [anon_sym_function] = ACTIONS(2093),
    [anon_sym_new] = ACTIONS(2093),
    [anon_sym_using] = ACTIONS(2093),
    [anon_sym_PLUS] = ACTIONS(2093),
    [anon_sym_DASH] = ACTIONS(2093),
    [anon_sym_SLASH] = ACTIONS(2093),
    [anon_sym_LT] = ACTIONS(2093),
    [anon_sym_TILDE] = ACTIONS(2093),
    [anon_sym_void] = ACTIONS(2093),
    [anon_sym_delete] = ACTIONS(2093),
    [anon_sym_PLUS_PLUS] = ACTIONS(2093),
    [anon_sym_DASH_DASH] = ACTIONS(2093),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2093),
    [sym_number] = ACTIONS(2093),
    [sym_private_property_identifier] = ACTIONS(2093),
    [sym_this] = ACTIONS(2093),
    [sym_super] = ACTIONS(2093),
    [sym_true] = ACTIONS(2093),
    [sym_false] = ACTIONS(2093),
    [sym_null] = ACTIONS(2093),
    [sym_undefined] = ACTIONS(2093),
    [anon_sym_AT] = ACTIONS(2093),
    [anon_sym_static] = ACTIONS(2093),
    [anon_sym_readonly] = ACTIONS(2093),
    [anon_sym_get] = ACTIONS(2093),
    [anon_sym_set] = ACTIONS(2093),
    [anon_sym_declare] = ACTIONS(2093),
    [anon_sym_public] = ACTIONS(2093),
    [anon_sym_private] = ACTIONS(2093),
    [anon_sym_protected] = ACTIONS(2093),
    [anon_sym_override] = ACTIONS(2093),
    [anon_sym_module] = ACTIONS(2093),
    [anon_sym_any] = ACTIONS(2093),
    [anon_sym_number] = ACTIONS(2093),
    [anon_sym_boolean] = ACTIONS(2093),
    [anon_sym_string] = ACTIONS(2093),
    [anon_sym_symbol] = ACTIONS(2093),
    [anon_sym_object] = ACTIONS(2093),
    [anon_sym_abstract] = ACTIONS(2093),
    [anon_sym_interface] = ACTIONS(2093),
    [anon_sym_enum] = ACTIONS(2093),
    [sym__automatic_semicolon] = ACTIONS(3114),
    [sym_html_comment] = ACTIONS(5),
  },
  [956] = {
    [sym_comment] = STATE(956),
    [sym_identifier] = ACTIONS(2251),
    [anon_sym_export] = ACTIONS(2251),
    [anon_sym_default] = ACTIONS(2251),
    [anon_sym_type] = ACTIONS(2251),
    [anon_sym_namespace] = ACTIONS(2251),
    [anon_sym_LBRACE] = ACTIONS(2251),
    [anon_sym_RBRACE] = ACTIONS(2251),
    [anon_sym_typeof] = ACTIONS(2251),
    [anon_sym_import] = ACTIONS(2251),
    [anon_sym_with] = ACTIONS(2251),
    [anon_sym_var] = ACTIONS(2251),
    [anon_sym_let] = ACTIONS(2251),
    [anon_sym_const] = ACTIONS(2251),
    [anon_sym_BANG] = ACTIONS(2251),
    [anon_sym_else] = ACTIONS(2251),
    [anon_sym_if] = ACTIONS(2251),
    [anon_sym_switch] = ACTIONS(2251),
    [anon_sym_for] = ACTIONS(2251),
    [anon_sym_LPAREN] = ACTIONS(2251),
    [anon_sym_await] = ACTIONS(2251),
    [anon_sym_while] = ACTIONS(2251),
    [anon_sym_do] = ACTIONS(2251),
    [anon_sym_try] = ACTIONS(2251),
    [anon_sym_break] = ACTIONS(2251),
    [anon_sym_continue] = ACTIONS(2251),
    [anon_sym_debugger] = ACTIONS(2251),
    [anon_sym_return] = ACTIONS(2251),
    [anon_sym_throw] = ACTIONS(2251),
    [anon_sym_SEMI] = ACTIONS(2251),
    [anon_sym_case] = ACTIONS(2251),
    [anon_sym_yield] = ACTIONS(2251),
    [anon_sym_LBRACK] = ACTIONS(2251),
    [anon_sym_LTtemplate_GT] = ACTIONS(2251),
    [anon_sym_DQUOTE] = ACTIONS(2251),
    [anon_sym_SQUOTE] = ACTIONS(2251),
    [anon_sym_class] = ACTIONS(2251),
    [anon_sym_async] = ACTIONS(2251),
    [anon_sym_function] = ACTIONS(2251),
    [anon_sym_new] = ACTIONS(2251),
    [anon_sym_using] = ACTIONS(2251),
    [anon_sym_PLUS] = ACTIONS(2251),
    [anon_sym_DASH] = ACTIONS(2251),
    [anon_sym_SLASH] = ACTIONS(2251),
    [anon_sym_LT] = ACTIONS(2251),
    [anon_sym_TILDE] = ACTIONS(2251),
    [anon_sym_void] = ACTIONS(2251),
    [anon_sym_delete] = ACTIONS(2251),
    [anon_sym_PLUS_PLUS] = ACTIONS(2251),
    [anon_sym_DASH_DASH] = ACTIONS(2251),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2251),
    [sym_number] = ACTIONS(2251),
    [sym_private_property_identifier] = ACTIONS(2251),
    [sym_this] = ACTIONS(2251),
    [sym_super] = ACTIONS(2251),
    [sym_true] = ACTIONS(2251),
    [sym_false] = ACTIONS(2251),
    [sym_null] = ACTIONS(2251),
    [sym_undefined] = ACTIONS(2251),
    [anon_sym_AT] = ACTIONS(2251),
    [anon_sym_static] = ACTIONS(2251),
    [anon_sym_readonly] = ACTIONS(2251),
    [anon_sym_get] = ACTIONS(2251),
    [anon_sym_set] = ACTIONS(2251),
    [anon_sym_declare] = ACTIONS(2251),
    [anon_sym_public] = ACTIONS(2251),
    [anon_sym_private] = ACTIONS(2251),
    [anon_sym_protected] = ACTIONS(2251),
    [anon_sym_override] = ACTIONS(2251),
    [anon_sym_module] = ACTIONS(2251),
    [anon_sym_any] = ACTIONS(2251),
    [anon_sym_number] = ACTIONS(2251),
    [anon_sym_boolean] = ACTIONS(2251),
    [anon_sym_string] = ACTIONS(2251),
    [anon_sym_symbol] = ACTIONS(2251),
    [anon_sym_object] = ACTIONS(2251),
    [anon_sym_abstract] = ACTIONS(2251),
    [anon_sym_interface] = ACTIONS(2251),
    [anon_sym_enum] = ACTIONS(2251),
    [sym__automatic_semicolon] = ACTIONS(2253),
    [sym_html_comment] = ACTIONS(5),
  },
  [957] = {
    [sym_statement_block] = STATE(1337),
    [sym_comment] = STATE(957),
    [ts_builtin_sym_end] = ACTIONS(2059),
    [sym_identifier] = ACTIONS(2055),
    [anon_sym_export] = ACTIONS(2055),
    [anon_sym_type] = ACTIONS(2055),
    [anon_sym_namespace] = ACTIONS(2055),
    [anon_sym_LBRACE] = ACTIONS(3116),
    [anon_sym_RBRACE] = ACTIONS(2055),
    [anon_sym_typeof] = ACTIONS(2055),
    [anon_sym_import] = ACTIONS(2055),
    [anon_sym_with] = ACTIONS(2055),
    [anon_sym_var] = ACTIONS(2055),
    [anon_sym_let] = ACTIONS(2055),
    [anon_sym_const] = ACTIONS(2055),
    [anon_sym_BANG] = ACTIONS(2055),
    [anon_sym_else] = ACTIONS(2055),
    [anon_sym_if] = ACTIONS(2055),
    [anon_sym_switch] = ACTIONS(2055),
    [anon_sym_for] = ACTIONS(2055),
    [anon_sym_LPAREN] = ACTIONS(2055),
    [anon_sym_await] = ACTIONS(2055),
    [anon_sym_while] = ACTIONS(2055),
    [anon_sym_do] = ACTIONS(2055),
    [anon_sym_try] = ACTIONS(2055),
    [anon_sym_break] = ACTIONS(2055),
    [anon_sym_continue] = ACTIONS(2055),
    [anon_sym_debugger] = ACTIONS(2055),
    [anon_sym_return] = ACTIONS(2055),
    [anon_sym_throw] = ACTIONS(2055),
    [anon_sym_SEMI] = ACTIONS(2055),
    [anon_sym_yield] = ACTIONS(2055),
    [anon_sym_LBRACK] = ACTIONS(2055),
    [anon_sym_LTtemplate_GT] = ACTIONS(2055),
    [anon_sym_DOT] = ACTIONS(3118),
    [anon_sym_DQUOTE] = ACTIONS(2055),
    [anon_sym_SQUOTE] = ACTIONS(2055),
    [anon_sym_class] = ACTIONS(2055),
    [anon_sym_async] = ACTIONS(2055),
    [anon_sym_function] = ACTIONS(2055),
    [anon_sym_new] = ACTIONS(2055),
    [anon_sym_using] = ACTIONS(2055),
    [anon_sym_PLUS] = ACTIONS(2055),
    [anon_sym_DASH] = ACTIONS(2055),
    [anon_sym_SLASH] = ACTIONS(2055),
    [anon_sym_LT] = ACTIONS(2055),
    [anon_sym_TILDE] = ACTIONS(2055),
    [anon_sym_void] = ACTIONS(2055),
    [anon_sym_delete] = ACTIONS(2055),
    [anon_sym_PLUS_PLUS] = ACTIONS(2055),
    [anon_sym_DASH_DASH] = ACTIONS(2055),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2055),
    [sym_number] = ACTIONS(2055),
    [sym_private_property_identifier] = ACTIONS(2055),
    [sym_this] = ACTIONS(2055),
    [sym_super] = ACTIONS(2055),
    [sym_true] = ACTIONS(2055),
    [sym_false] = ACTIONS(2055),
    [sym_null] = ACTIONS(2055),
    [sym_undefined] = ACTIONS(2055),
    [anon_sym_AT] = ACTIONS(2055),
    [anon_sym_static] = ACTIONS(2055),
    [anon_sym_readonly] = ACTIONS(2055),
    [anon_sym_get] = ACTIONS(2055),
    [anon_sym_set] = ACTIONS(2055),
    [anon_sym_declare] = ACTIONS(2055),
    [anon_sym_public] = ACTIONS(2055),
    [anon_sym_private] = ACTIONS(2055),
    [anon_sym_protected] = ACTIONS(2055),
    [anon_sym_override] = ACTIONS(2055),
    [anon_sym_module] = ACTIONS(2055),
    [anon_sym_any] = ACTIONS(2055),
    [anon_sym_number] = ACTIONS(2055),
    [anon_sym_boolean] = ACTIONS(2055),
    [anon_sym_string] = ACTIONS(2055),
    [anon_sym_symbol] = ACTIONS(2055),
    [anon_sym_object] = ACTIONS(2055),
    [anon_sym_abstract] = ACTIONS(2055),
    [anon_sym_interface] = ACTIONS(2055),
    [anon_sym_enum] = ACTIONS(2055),
    [sym_html_comment] = ACTIONS(5),
  },
  [958] = {
    [sym_statement_block] = STATE(1337),
    [sym_comment] = STATE(958),
    [ts_builtin_sym_end] = ACTIONS(2059),
    [sym_identifier] = ACTIONS(2055),
    [anon_sym_export] = ACTIONS(2055),
    [anon_sym_type] = ACTIONS(2055),
    [anon_sym_namespace] = ACTIONS(2055),
    [anon_sym_LBRACE] = ACTIONS(3116),
    [anon_sym_RBRACE] = ACTIONS(2055),
    [anon_sym_typeof] = ACTIONS(2055),
    [anon_sym_import] = ACTIONS(2055),
    [anon_sym_with] = ACTIONS(2055),
    [anon_sym_var] = ACTIONS(2055),
    [anon_sym_let] = ACTIONS(2055),
    [anon_sym_const] = ACTIONS(2055),
    [anon_sym_BANG] = ACTIONS(2055),
    [anon_sym_else] = ACTIONS(2055),
    [anon_sym_if] = ACTIONS(2055),
    [anon_sym_switch] = ACTIONS(2055),
    [anon_sym_for] = ACTIONS(2055),
    [anon_sym_LPAREN] = ACTIONS(2055),
    [anon_sym_await] = ACTIONS(2055),
    [anon_sym_while] = ACTIONS(2055),
    [anon_sym_do] = ACTIONS(2055),
    [anon_sym_try] = ACTIONS(2055),
    [anon_sym_break] = ACTIONS(2055),
    [anon_sym_continue] = ACTIONS(2055),
    [anon_sym_debugger] = ACTIONS(2055),
    [anon_sym_return] = ACTIONS(2055),
    [anon_sym_throw] = ACTIONS(2055),
    [anon_sym_SEMI] = ACTIONS(2055),
    [anon_sym_yield] = ACTIONS(2055),
    [anon_sym_LBRACK] = ACTIONS(2055),
    [anon_sym_LTtemplate_GT] = ACTIONS(2055),
    [anon_sym_DOT] = ACTIONS(3120),
    [anon_sym_DQUOTE] = ACTIONS(2055),
    [anon_sym_SQUOTE] = ACTIONS(2055),
    [anon_sym_class] = ACTIONS(2055),
    [anon_sym_async] = ACTIONS(2055),
    [anon_sym_function] = ACTIONS(2055),
    [anon_sym_new] = ACTIONS(2055),
    [anon_sym_using] = ACTIONS(2055),
    [anon_sym_PLUS] = ACTIONS(2055),
    [anon_sym_DASH] = ACTIONS(2055),
    [anon_sym_SLASH] = ACTIONS(2055),
    [anon_sym_LT] = ACTIONS(2055),
    [anon_sym_TILDE] = ACTIONS(2055),
    [anon_sym_void] = ACTIONS(2055),
    [anon_sym_delete] = ACTIONS(2055),
    [anon_sym_PLUS_PLUS] = ACTIONS(2055),
    [anon_sym_DASH_DASH] = ACTIONS(2055),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2055),
    [sym_number] = ACTIONS(2055),
    [sym_private_property_identifier] = ACTIONS(2055),
    [sym_this] = ACTIONS(2055),
    [sym_super] = ACTIONS(2055),
    [sym_true] = ACTIONS(2055),
    [sym_false] = ACTIONS(2055),
    [sym_null] = ACTIONS(2055),
    [sym_undefined] = ACTIONS(2055),
    [anon_sym_AT] = ACTIONS(2055),
    [anon_sym_static] = ACTIONS(2055),
    [anon_sym_readonly] = ACTIONS(2055),
    [anon_sym_get] = ACTIONS(2055),
    [anon_sym_set] = ACTIONS(2055),
    [anon_sym_declare] = ACTIONS(2055),
    [anon_sym_public] = ACTIONS(2055),
    [anon_sym_private] = ACTIONS(2055),
    [anon_sym_protected] = ACTIONS(2055),
    [anon_sym_override] = ACTIONS(2055),
    [anon_sym_module] = ACTIONS(2055),
    [anon_sym_any] = ACTIONS(2055),
    [anon_sym_number] = ACTIONS(2055),
    [anon_sym_boolean] = ACTIONS(2055),
    [anon_sym_string] = ACTIONS(2055),
    [anon_sym_symbol] = ACTIONS(2055),
    [anon_sym_object] = ACTIONS(2055),
    [anon_sym_abstract] = ACTIONS(2055),
    [anon_sym_interface] = ACTIONS(2055),
    [anon_sym_enum] = ACTIONS(2055),
    [sym_html_comment] = ACTIONS(5),
  },
  [959] = {
    [sym_comment] = STATE(959),
    [sym_identifier] = ACTIONS(2257),
    [anon_sym_export] = ACTIONS(2257),
    [anon_sym_default] = ACTIONS(2257),
    [anon_sym_type] = ACTIONS(2257),
    [anon_sym_namespace] = ACTIONS(2257),
    [anon_sym_LBRACE] = ACTIONS(2257),
    [anon_sym_RBRACE] = ACTIONS(2257),
    [anon_sym_typeof] = ACTIONS(2257),
    [anon_sym_import] = ACTIONS(2257),
    [anon_sym_with] = ACTIONS(2257),
    [anon_sym_var] = ACTIONS(2257),
    [anon_sym_let] = ACTIONS(2257),
    [anon_sym_const] = ACTIONS(2257),
    [anon_sym_BANG] = ACTIONS(2257),
    [anon_sym_else] = ACTIONS(2257),
    [anon_sym_if] = ACTIONS(2257),
    [anon_sym_switch] = ACTIONS(2257),
    [anon_sym_for] = ACTIONS(2257),
    [anon_sym_LPAREN] = ACTIONS(2257),
    [anon_sym_await] = ACTIONS(2257),
    [anon_sym_while] = ACTIONS(2257),
    [anon_sym_do] = ACTIONS(2257),
    [anon_sym_try] = ACTIONS(2257),
    [anon_sym_break] = ACTIONS(2257),
    [anon_sym_continue] = ACTIONS(2257),
    [anon_sym_debugger] = ACTIONS(2257),
    [anon_sym_return] = ACTIONS(2257),
    [anon_sym_throw] = ACTIONS(2257),
    [anon_sym_SEMI] = ACTIONS(2257),
    [anon_sym_case] = ACTIONS(2257),
    [anon_sym_yield] = ACTIONS(2257),
    [anon_sym_LBRACK] = ACTIONS(2257),
    [anon_sym_LTtemplate_GT] = ACTIONS(2257),
    [anon_sym_DQUOTE] = ACTIONS(2257),
    [anon_sym_SQUOTE] = ACTIONS(2257),
    [anon_sym_class] = ACTIONS(2257),
    [anon_sym_async] = ACTIONS(2257),
    [anon_sym_function] = ACTIONS(2257),
    [anon_sym_new] = ACTIONS(2257),
    [anon_sym_using] = ACTIONS(2257),
    [anon_sym_PLUS] = ACTIONS(2257),
    [anon_sym_DASH] = ACTIONS(2257),
    [anon_sym_SLASH] = ACTIONS(2257),
    [anon_sym_LT] = ACTIONS(2257),
    [anon_sym_TILDE] = ACTIONS(2257),
    [anon_sym_void] = ACTIONS(2257),
    [anon_sym_delete] = ACTIONS(2257),
    [anon_sym_PLUS_PLUS] = ACTIONS(2257),
    [anon_sym_DASH_DASH] = ACTIONS(2257),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2257),
    [sym_number] = ACTIONS(2257),
    [sym_private_property_identifier] = ACTIONS(2257),
    [sym_this] = ACTIONS(2257),
    [sym_super] = ACTIONS(2257),
    [sym_true] = ACTIONS(2257),
    [sym_false] = ACTIONS(2257),
    [sym_null] = ACTIONS(2257),
    [sym_undefined] = ACTIONS(2257),
    [anon_sym_AT] = ACTIONS(2257),
    [anon_sym_static] = ACTIONS(2257),
    [anon_sym_readonly] = ACTIONS(2257),
    [anon_sym_get] = ACTIONS(2257),
    [anon_sym_set] = ACTIONS(2257),
    [anon_sym_declare] = ACTIONS(2257),
    [anon_sym_public] = ACTIONS(2257),
    [anon_sym_private] = ACTIONS(2257),
    [anon_sym_protected] = ACTIONS(2257),
    [anon_sym_override] = ACTIONS(2257),
    [anon_sym_module] = ACTIONS(2257),
    [anon_sym_any] = ACTIONS(2257),
    [anon_sym_number] = ACTIONS(2257),
    [anon_sym_boolean] = ACTIONS(2257),
    [anon_sym_string] = ACTIONS(2257),
    [anon_sym_symbol] = ACTIONS(2257),
    [anon_sym_object] = ACTIONS(2257),
    [anon_sym_abstract] = ACTIONS(2257),
    [anon_sym_interface] = ACTIONS(2257),
    [anon_sym_enum] = ACTIONS(2257),
    [sym__automatic_semicolon] = ACTIONS(2261),
    [sym_html_comment] = ACTIONS(5),
  },
  [960] = {
    [sym_statement_block] = STATE(1387),
    [sym_comment] = STATE(960),
    [sym_identifier] = ACTIONS(2055),
    [anon_sym_export] = ACTIONS(2055),
    [anon_sym_default] = ACTIONS(2055),
    [anon_sym_type] = ACTIONS(2055),
    [anon_sym_namespace] = ACTIONS(2055),
    [anon_sym_LBRACE] = ACTIONS(3082),
    [anon_sym_RBRACE] = ACTIONS(2055),
    [anon_sym_typeof] = ACTIONS(2055),
    [anon_sym_import] = ACTIONS(2055),
    [anon_sym_with] = ACTIONS(2055),
    [anon_sym_var] = ACTIONS(2055),
    [anon_sym_let] = ACTIONS(2055),
    [anon_sym_const] = ACTIONS(2055),
    [anon_sym_BANG] = ACTIONS(2055),
    [anon_sym_if] = ACTIONS(2055),
    [anon_sym_switch] = ACTIONS(2055),
    [anon_sym_for] = ACTIONS(2055),
    [anon_sym_LPAREN] = ACTIONS(2055),
    [anon_sym_await] = ACTIONS(2055),
    [anon_sym_while] = ACTIONS(2055),
    [anon_sym_do] = ACTIONS(2055),
    [anon_sym_try] = ACTIONS(2055),
    [anon_sym_break] = ACTIONS(2055),
    [anon_sym_continue] = ACTIONS(2055),
    [anon_sym_debugger] = ACTIONS(2055),
    [anon_sym_return] = ACTIONS(2055),
    [anon_sym_throw] = ACTIONS(2055),
    [anon_sym_SEMI] = ACTIONS(2055),
    [anon_sym_case] = ACTIONS(2055),
    [anon_sym_yield] = ACTIONS(2055),
    [anon_sym_LBRACK] = ACTIONS(2055),
    [anon_sym_LTtemplate_GT] = ACTIONS(2055),
    [anon_sym_DOT] = ACTIONS(3122),
    [anon_sym_DQUOTE] = ACTIONS(2055),
    [anon_sym_SQUOTE] = ACTIONS(2055),
    [anon_sym_class] = ACTIONS(2055),
    [anon_sym_async] = ACTIONS(2055),
    [anon_sym_function] = ACTIONS(2055),
    [anon_sym_new] = ACTIONS(2055),
    [anon_sym_using] = ACTIONS(2055),
    [anon_sym_PLUS] = ACTIONS(2055),
    [anon_sym_DASH] = ACTIONS(2055),
    [anon_sym_SLASH] = ACTIONS(2055),
    [anon_sym_LT] = ACTIONS(2055),
    [anon_sym_TILDE] = ACTIONS(2055),
    [anon_sym_void] = ACTIONS(2055),
    [anon_sym_delete] = ACTIONS(2055),
    [anon_sym_PLUS_PLUS] = ACTIONS(2055),
    [anon_sym_DASH_DASH] = ACTIONS(2055),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2055),
    [sym_number] = ACTIONS(2055),
    [sym_private_property_identifier] = ACTIONS(2055),
    [sym_this] = ACTIONS(2055),
    [sym_super] = ACTIONS(2055),
    [sym_true] = ACTIONS(2055),
    [sym_false] = ACTIONS(2055),
    [sym_null] = ACTIONS(2055),
    [sym_undefined] = ACTIONS(2055),
    [anon_sym_AT] = ACTIONS(2055),
    [anon_sym_static] = ACTIONS(2055),
    [anon_sym_readonly] = ACTIONS(2055),
    [anon_sym_get] = ACTIONS(2055),
    [anon_sym_set] = ACTIONS(2055),
    [anon_sym_declare] = ACTIONS(2055),
    [anon_sym_public] = ACTIONS(2055),
    [anon_sym_private] = ACTIONS(2055),
    [anon_sym_protected] = ACTIONS(2055),
    [anon_sym_override] = ACTIONS(2055),
    [anon_sym_module] = ACTIONS(2055),
    [anon_sym_any] = ACTIONS(2055),
    [anon_sym_number] = ACTIONS(2055),
    [anon_sym_boolean] = ACTIONS(2055),
    [anon_sym_string] = ACTIONS(2055),
    [anon_sym_symbol] = ACTIONS(2055),
    [anon_sym_object] = ACTIONS(2055),
    [anon_sym_abstract] = ACTIONS(2055),
    [anon_sym_interface] = ACTIONS(2055),
    [anon_sym_enum] = ACTIONS(2055),
    [sym_html_comment] = ACTIONS(5),
  },
  [961] = {
    [sym_comment] = STATE(961),
    [ts_builtin_sym_end] = ACTIONS(2267),
    [sym_identifier] = ACTIONS(2213),
    [anon_sym_export] = ACTIONS(2213),
    [anon_sym_type] = ACTIONS(2213),
    [anon_sym_namespace] = ACTIONS(2213),
    [anon_sym_LBRACE] = ACTIONS(2213),
    [anon_sym_RBRACE] = ACTIONS(2213),
    [anon_sym_typeof] = ACTIONS(2213),
    [anon_sym_import] = ACTIONS(2213),
    [anon_sym_with] = ACTIONS(2213),
    [anon_sym_var] = ACTIONS(2213),
    [anon_sym_let] = ACTIONS(2213),
    [anon_sym_const] = ACTIONS(2213),
    [anon_sym_BANG] = ACTIONS(2213),
    [anon_sym_else] = ACTIONS(2213),
    [anon_sym_if] = ACTIONS(2213),
    [anon_sym_switch] = ACTIONS(2213),
    [anon_sym_for] = ACTIONS(2213),
    [anon_sym_LPAREN] = ACTIONS(2213),
    [anon_sym_await] = ACTIONS(2213),
    [anon_sym_while] = ACTIONS(2213),
    [anon_sym_do] = ACTIONS(2213),
    [anon_sym_try] = ACTIONS(2213),
    [anon_sym_break] = ACTIONS(2213),
    [anon_sym_continue] = ACTIONS(2213),
    [anon_sym_debugger] = ACTIONS(2213),
    [anon_sym_return] = ACTIONS(2213),
    [anon_sym_throw] = ACTIONS(2213),
    [anon_sym_SEMI] = ACTIONS(2213),
    [anon_sym_yield] = ACTIONS(2213),
    [anon_sym_LBRACK] = ACTIONS(2213),
    [anon_sym_LTtemplate_GT] = ACTIONS(2213),
    [anon_sym_DQUOTE] = ACTIONS(2213),
    [anon_sym_SQUOTE] = ACTIONS(2213),
    [anon_sym_class] = ACTIONS(2213),
    [anon_sym_async] = ACTIONS(2213),
    [anon_sym_function] = ACTIONS(2213),
    [anon_sym_new] = ACTIONS(2213),
    [anon_sym_using] = ACTIONS(2213),
    [anon_sym_PLUS] = ACTIONS(2213),
    [anon_sym_DASH] = ACTIONS(2213),
    [anon_sym_SLASH] = ACTIONS(2213),
    [anon_sym_LT] = ACTIONS(2213),
    [anon_sym_TILDE] = ACTIONS(2213),
    [anon_sym_void] = ACTIONS(2213),
    [anon_sym_delete] = ACTIONS(2213),
    [anon_sym_PLUS_PLUS] = ACTIONS(2213),
    [anon_sym_DASH_DASH] = ACTIONS(2213),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2213),
    [sym_number] = ACTIONS(2213),
    [sym_private_property_identifier] = ACTIONS(2213),
    [sym_this] = ACTIONS(2213),
    [sym_super] = ACTIONS(2213),
    [sym_true] = ACTIONS(2213),
    [sym_false] = ACTIONS(2213),
    [sym_null] = ACTIONS(2213),
    [sym_undefined] = ACTIONS(2213),
    [anon_sym_AT] = ACTIONS(2213),
    [anon_sym_static] = ACTIONS(2213),
    [anon_sym_readonly] = ACTIONS(2213),
    [anon_sym_get] = ACTIONS(2213),
    [anon_sym_set] = ACTIONS(2213),
    [anon_sym_declare] = ACTIONS(2213),
    [anon_sym_public] = ACTIONS(2213),
    [anon_sym_private] = ACTIONS(2213),
    [anon_sym_protected] = ACTIONS(2213),
    [anon_sym_override] = ACTIONS(2213),
    [anon_sym_module] = ACTIONS(2213),
    [anon_sym_any] = ACTIONS(2213),
    [anon_sym_number] = ACTIONS(2213),
    [anon_sym_boolean] = ACTIONS(2213),
    [anon_sym_string] = ACTIONS(2213),
    [anon_sym_symbol] = ACTIONS(2213),
    [anon_sym_object] = ACTIONS(2213),
    [anon_sym_abstract] = ACTIONS(2213),
    [anon_sym_interface] = ACTIONS(2213),
    [anon_sym_enum] = ACTIONS(2213),
    [sym__automatic_semicolon] = ACTIONS(2269),
    [sym_html_comment] = ACTIONS(5),
  },
  [962] = {
    [sym_comment] = STATE(962),
    [sym_identifier] = ACTIONS(3124),
    [anon_sym_export] = ACTIONS(3124),
    [anon_sym_default] = ACTIONS(3124),
    [anon_sym_type] = ACTIONS(3124),
    [anon_sym_namespace] = ACTIONS(3124),
    [anon_sym_LBRACE] = ACTIONS(3124),
    [anon_sym_RBRACE] = ACTIONS(3124),
    [anon_sym_typeof] = ACTIONS(3124),
    [anon_sym_import] = ACTIONS(3124),
    [anon_sym_with] = ACTIONS(3124),
    [anon_sym_var] = ACTIONS(3124),
    [anon_sym_let] = ACTIONS(3124),
    [anon_sym_const] = ACTIONS(3124),
    [anon_sym_BANG] = ACTIONS(3124),
    [anon_sym_else] = ACTIONS(3124),
    [anon_sym_if] = ACTIONS(3124),
    [anon_sym_switch] = ACTIONS(3124),
    [anon_sym_for] = ACTIONS(3124),
    [anon_sym_LPAREN] = ACTIONS(3124),
    [anon_sym_await] = ACTIONS(3124),
    [anon_sym_while] = ACTIONS(3124),
    [anon_sym_do] = ACTIONS(3124),
    [anon_sym_try] = ACTIONS(3124),
    [anon_sym_break] = ACTIONS(3124),
    [anon_sym_continue] = ACTIONS(3124),
    [anon_sym_debugger] = ACTIONS(3124),
    [anon_sym_return] = ACTIONS(3124),
    [anon_sym_throw] = ACTIONS(3124),
    [anon_sym_SEMI] = ACTIONS(3124),
    [anon_sym_case] = ACTIONS(3124),
    [anon_sym_yield] = ACTIONS(3124),
    [anon_sym_LBRACK] = ACTIONS(3124),
    [anon_sym_LTtemplate_GT] = ACTIONS(3124),
    [anon_sym_DQUOTE] = ACTIONS(3124),
    [anon_sym_SQUOTE] = ACTIONS(3124),
    [anon_sym_class] = ACTIONS(3124),
    [anon_sym_async] = ACTIONS(3124),
    [anon_sym_function] = ACTIONS(3124),
    [anon_sym_new] = ACTIONS(3124),
    [anon_sym_using] = ACTIONS(3124),
    [anon_sym_PLUS] = ACTIONS(3124),
    [anon_sym_DASH] = ACTIONS(3124),
    [anon_sym_SLASH] = ACTIONS(3124),
    [anon_sym_LT] = ACTIONS(3124),
    [anon_sym_TILDE] = ACTIONS(3124),
    [anon_sym_void] = ACTIONS(3124),
    [anon_sym_delete] = ACTIONS(3124),
    [anon_sym_PLUS_PLUS] = ACTIONS(3124),
    [anon_sym_DASH_DASH] = ACTIONS(3124),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3124),
    [sym_number] = ACTIONS(3124),
    [sym_private_property_identifier] = ACTIONS(3124),
    [sym_this] = ACTIONS(3124),
    [sym_super] = ACTIONS(3124),
    [sym_true] = ACTIONS(3124),
    [sym_false] = ACTIONS(3124),
    [sym_null] = ACTIONS(3124),
    [sym_undefined] = ACTIONS(3124),
    [anon_sym_AT] = ACTIONS(3124),
    [anon_sym_static] = ACTIONS(3124),
    [anon_sym_readonly] = ACTIONS(3124),
    [anon_sym_get] = ACTIONS(3124),
    [anon_sym_set] = ACTIONS(3124),
    [anon_sym_declare] = ACTIONS(3124),
    [anon_sym_public] = ACTIONS(3124),
    [anon_sym_private] = ACTIONS(3124),
    [anon_sym_protected] = ACTIONS(3124),
    [anon_sym_override] = ACTIONS(3124),
    [anon_sym_module] = ACTIONS(3124),
    [anon_sym_any] = ACTIONS(3124),
    [anon_sym_number] = ACTIONS(3124),
    [anon_sym_boolean] = ACTIONS(3124),
    [anon_sym_string] = ACTIONS(3124),
    [anon_sym_symbol] = ACTIONS(3124),
    [anon_sym_object] = ACTIONS(3124),
    [anon_sym_abstract] = ACTIONS(3124),
    [anon_sym_interface] = ACTIONS(3124),
    [anon_sym_enum] = ACTIONS(3124),
    [sym_html_comment] = ACTIONS(5),
  },
  [963] = {
    [sym_comment] = STATE(963),
    [ts_builtin_sym_end] = ACTIONS(2103),
    [sym_identifier] = ACTIONS(2067),
    [anon_sym_export] = ACTIONS(2067),
    [anon_sym_type] = ACTIONS(2067),
    [anon_sym_namespace] = ACTIONS(2067),
    [anon_sym_LBRACE] = ACTIONS(2067),
    [anon_sym_RBRACE] = ACTIONS(2067),
    [anon_sym_typeof] = ACTIONS(2067),
    [anon_sym_import] = ACTIONS(2067),
    [anon_sym_with] = ACTIONS(2067),
    [anon_sym_var] = ACTIONS(2067),
    [anon_sym_let] = ACTIONS(2067),
    [anon_sym_const] = ACTIONS(2067),
    [anon_sym_BANG] = ACTIONS(2067),
    [anon_sym_if] = ACTIONS(2067),
    [anon_sym_switch] = ACTIONS(2067),
    [anon_sym_for] = ACTIONS(2067),
    [anon_sym_LPAREN] = ACTIONS(2067),
    [anon_sym_await] = ACTIONS(2067),
    [anon_sym_while] = ACTIONS(2067),
    [anon_sym_do] = ACTIONS(2067),
    [anon_sym_try] = ACTIONS(2067),
    [anon_sym_break] = ACTIONS(2067),
    [anon_sym_continue] = ACTIONS(2067),
    [anon_sym_debugger] = ACTIONS(2067),
    [anon_sym_return] = ACTIONS(2067),
    [anon_sym_throw] = ACTIONS(2067),
    [anon_sym_SEMI] = ACTIONS(2067),
    [anon_sym_finally] = ACTIONS(2067),
    [anon_sym_yield] = ACTIONS(2067),
    [anon_sym_LBRACK] = ACTIONS(2067),
    [anon_sym_LTtemplate_GT] = ACTIONS(2067),
    [anon_sym_DQUOTE] = ACTIONS(2067),
    [anon_sym_SQUOTE] = ACTIONS(2067),
    [anon_sym_class] = ACTIONS(2067),
    [anon_sym_async] = ACTIONS(2067),
    [anon_sym_function] = ACTIONS(2067),
    [anon_sym_new] = ACTIONS(2067),
    [anon_sym_using] = ACTIONS(2067),
    [anon_sym_PLUS] = ACTIONS(2067),
    [anon_sym_DASH] = ACTIONS(2067),
    [anon_sym_SLASH] = ACTIONS(2067),
    [anon_sym_LT] = ACTIONS(2067),
    [anon_sym_TILDE] = ACTIONS(2067),
    [anon_sym_void] = ACTIONS(2067),
    [anon_sym_delete] = ACTIONS(2067),
    [anon_sym_PLUS_PLUS] = ACTIONS(2067),
    [anon_sym_DASH_DASH] = ACTIONS(2067),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2067),
    [sym_number] = ACTIONS(2067),
    [sym_private_property_identifier] = ACTIONS(2067),
    [sym_this] = ACTIONS(2067),
    [sym_super] = ACTIONS(2067),
    [sym_true] = ACTIONS(2067),
    [sym_false] = ACTIONS(2067),
    [sym_null] = ACTIONS(2067),
    [sym_undefined] = ACTIONS(2067),
    [anon_sym_AT] = ACTIONS(2067),
    [anon_sym_static] = ACTIONS(2067),
    [anon_sym_readonly] = ACTIONS(2067),
    [anon_sym_get] = ACTIONS(2067),
    [anon_sym_set] = ACTIONS(2067),
    [anon_sym_declare] = ACTIONS(2067),
    [anon_sym_public] = ACTIONS(2067),
    [anon_sym_private] = ACTIONS(2067),
    [anon_sym_protected] = ACTIONS(2067),
    [anon_sym_override] = ACTIONS(2067),
    [anon_sym_module] = ACTIONS(2067),
    [anon_sym_any] = ACTIONS(2067),
    [anon_sym_number] = ACTIONS(2067),
    [anon_sym_boolean] = ACTIONS(2067),
    [anon_sym_string] = ACTIONS(2067),
    [anon_sym_symbol] = ACTIONS(2067),
    [anon_sym_object] = ACTIONS(2067),
    [anon_sym_abstract] = ACTIONS(2067),
    [anon_sym_interface] = ACTIONS(2067),
    [anon_sym_enum] = ACTIONS(2067),
    [sym__automatic_semicolon] = ACTIONS(3126),
    [sym_html_comment] = ACTIONS(5),
  },
  [964] = {
    [sym_comment] = STATE(964),
    [sym_identifier] = ACTIONS(3078),
    [anon_sym_export] = ACTIONS(3078),
    [anon_sym_default] = ACTIONS(3078),
    [anon_sym_type] = ACTIONS(3078),
    [anon_sym_namespace] = ACTIONS(3078),
    [anon_sym_LBRACE] = ACTIONS(3078),
    [anon_sym_RBRACE] = ACTIONS(3078),
    [anon_sym_typeof] = ACTIONS(3078),
    [anon_sym_import] = ACTIONS(3078),
    [anon_sym_with] = ACTIONS(3078),
    [anon_sym_var] = ACTIONS(3078),
    [anon_sym_let] = ACTIONS(3078),
    [anon_sym_const] = ACTIONS(3078),
    [anon_sym_BANG] = ACTIONS(3078),
    [anon_sym_if] = ACTIONS(3078),
    [anon_sym_switch] = ACTIONS(3078),
    [anon_sym_for] = ACTIONS(3078),
    [anon_sym_LPAREN] = ACTIONS(3078),
    [anon_sym_await] = ACTIONS(3078),
    [anon_sym_while] = ACTIONS(3078),
    [anon_sym_do] = ACTIONS(3078),
    [anon_sym_try] = ACTIONS(3078),
    [anon_sym_break] = ACTIONS(3078),
    [anon_sym_continue] = ACTIONS(3078),
    [anon_sym_debugger] = ACTIONS(3078),
    [anon_sym_return] = ACTIONS(3078),
    [anon_sym_throw] = ACTIONS(3078),
    [anon_sym_SEMI] = ACTIONS(3078),
    [anon_sym_case] = ACTIONS(3078),
    [anon_sym_yield] = ACTIONS(3078),
    [anon_sym_LBRACK] = ACTIONS(3078),
    [anon_sym_LTtemplate_GT] = ACTIONS(3078),
    [anon_sym_DQUOTE] = ACTIONS(3078),
    [anon_sym_SQUOTE] = ACTIONS(3078),
    [anon_sym_class] = ACTIONS(3078),
    [anon_sym_async] = ACTIONS(3078),
    [anon_sym_function] = ACTIONS(3078),
    [anon_sym_new] = ACTIONS(3078),
    [anon_sym_using] = ACTIONS(3078),
    [anon_sym_PLUS] = ACTIONS(3078),
    [anon_sym_DASH] = ACTIONS(3078),
    [anon_sym_SLASH] = ACTIONS(3078),
    [anon_sym_LT] = ACTIONS(3078),
    [anon_sym_TILDE] = ACTIONS(3078),
    [anon_sym_void] = ACTIONS(3078),
    [anon_sym_delete] = ACTIONS(3078),
    [anon_sym_PLUS_PLUS] = ACTIONS(3078),
    [anon_sym_DASH_DASH] = ACTIONS(3078),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3078),
    [sym_number] = ACTIONS(3078),
    [sym_private_property_identifier] = ACTIONS(3078),
    [sym_this] = ACTIONS(3078),
    [sym_super] = ACTIONS(3078),
    [sym_true] = ACTIONS(3078),
    [sym_false] = ACTIONS(3078),
    [sym_null] = ACTIONS(3078),
    [sym_undefined] = ACTIONS(3078),
    [anon_sym_AT] = ACTIONS(3078),
    [anon_sym_static] = ACTIONS(3078),
    [anon_sym_readonly] = ACTIONS(3078),
    [anon_sym_get] = ACTIONS(3078),
    [anon_sym_set] = ACTIONS(3078),
    [anon_sym_declare] = ACTIONS(3078),
    [anon_sym_public] = ACTIONS(3078),
    [anon_sym_private] = ACTIONS(3078),
    [anon_sym_protected] = ACTIONS(3078),
    [anon_sym_override] = ACTIONS(3078),
    [anon_sym_module] = ACTIONS(3078),
    [anon_sym_any] = ACTIONS(3078),
    [anon_sym_number] = ACTIONS(3078),
    [anon_sym_boolean] = ACTIONS(3078),
    [anon_sym_string] = ACTIONS(3078),
    [anon_sym_symbol] = ACTIONS(3078),
    [anon_sym_object] = ACTIONS(3078),
    [anon_sym_abstract] = ACTIONS(3078),
    [anon_sym_interface] = ACTIONS(3078),
    [anon_sym_enum] = ACTIONS(3078),
    [sym__automatic_semicolon] = ACTIONS(3080),
    [sym_html_comment] = ACTIONS(5),
  },
  [965] = {
    [sym_comment] = STATE(965),
    [sym_identifier] = ACTIONS(3128),
    [anon_sym_export] = ACTIONS(3128),
    [anon_sym_default] = ACTIONS(3128),
    [anon_sym_type] = ACTIONS(3128),
    [anon_sym_namespace] = ACTIONS(3128),
    [anon_sym_LBRACE] = ACTIONS(3128),
    [anon_sym_RBRACE] = ACTIONS(3128),
    [anon_sym_typeof] = ACTIONS(3128),
    [anon_sym_import] = ACTIONS(3128),
    [anon_sym_with] = ACTIONS(3128),
    [anon_sym_var] = ACTIONS(3128),
    [anon_sym_let] = ACTIONS(3128),
    [anon_sym_const] = ACTIONS(3128),
    [anon_sym_BANG] = ACTIONS(3128),
    [anon_sym_else] = ACTIONS(3128),
    [anon_sym_if] = ACTIONS(3128),
    [anon_sym_switch] = ACTIONS(3128),
    [anon_sym_for] = ACTIONS(3128),
    [anon_sym_LPAREN] = ACTIONS(3128),
    [anon_sym_await] = ACTIONS(3128),
    [anon_sym_while] = ACTIONS(3128),
    [anon_sym_do] = ACTIONS(3128),
    [anon_sym_try] = ACTIONS(3128),
    [anon_sym_break] = ACTIONS(3128),
    [anon_sym_continue] = ACTIONS(3128),
    [anon_sym_debugger] = ACTIONS(3128),
    [anon_sym_return] = ACTIONS(3128),
    [anon_sym_throw] = ACTIONS(3128),
    [anon_sym_SEMI] = ACTIONS(3128),
    [anon_sym_case] = ACTIONS(3128),
    [anon_sym_yield] = ACTIONS(3128),
    [anon_sym_LBRACK] = ACTIONS(3128),
    [anon_sym_LTtemplate_GT] = ACTIONS(3128),
    [anon_sym_DQUOTE] = ACTIONS(3128),
    [anon_sym_SQUOTE] = ACTIONS(3128),
    [anon_sym_class] = ACTIONS(3128),
    [anon_sym_async] = ACTIONS(3128),
    [anon_sym_function] = ACTIONS(3128),
    [anon_sym_new] = ACTIONS(3128),
    [anon_sym_using] = ACTIONS(3128),
    [anon_sym_PLUS] = ACTIONS(3128),
    [anon_sym_DASH] = ACTIONS(3128),
    [anon_sym_SLASH] = ACTIONS(3128),
    [anon_sym_LT] = ACTIONS(3128),
    [anon_sym_TILDE] = ACTIONS(3128),
    [anon_sym_void] = ACTIONS(3128),
    [anon_sym_delete] = ACTIONS(3128),
    [anon_sym_PLUS_PLUS] = ACTIONS(3128),
    [anon_sym_DASH_DASH] = ACTIONS(3128),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3128),
    [sym_number] = ACTIONS(3128),
    [sym_private_property_identifier] = ACTIONS(3128),
    [sym_this] = ACTIONS(3128),
    [sym_super] = ACTIONS(3128),
    [sym_true] = ACTIONS(3128),
    [sym_false] = ACTIONS(3128),
    [sym_null] = ACTIONS(3128),
    [sym_undefined] = ACTIONS(3128),
    [anon_sym_AT] = ACTIONS(3128),
    [anon_sym_static] = ACTIONS(3128),
    [anon_sym_readonly] = ACTIONS(3128),
    [anon_sym_get] = ACTIONS(3128),
    [anon_sym_set] = ACTIONS(3128),
    [anon_sym_declare] = ACTIONS(3128),
    [anon_sym_public] = ACTIONS(3128),
    [anon_sym_private] = ACTIONS(3128),
    [anon_sym_protected] = ACTIONS(3128),
    [anon_sym_override] = ACTIONS(3128),
    [anon_sym_module] = ACTIONS(3128),
    [anon_sym_any] = ACTIONS(3128),
    [anon_sym_number] = ACTIONS(3128),
    [anon_sym_boolean] = ACTIONS(3128),
    [anon_sym_string] = ACTIONS(3128),
    [anon_sym_symbol] = ACTIONS(3128),
    [anon_sym_object] = ACTIONS(3128),
    [anon_sym_abstract] = ACTIONS(3128),
    [anon_sym_interface] = ACTIONS(3128),
    [anon_sym_enum] = ACTIONS(3128),
    [sym_html_comment] = ACTIONS(5),
  },
  [966] = {
    [sym_comment] = STATE(966),
    [ts_builtin_sym_end] = ACTIONS(3074),
    [sym_identifier] = ACTIONS(3072),
    [anon_sym_export] = ACTIONS(3072),
    [anon_sym_type] = ACTIONS(3072),
    [anon_sym_namespace] = ACTIONS(3072),
    [anon_sym_LBRACE] = ACTIONS(3072),
    [anon_sym_RBRACE] = ACTIONS(3072),
    [anon_sym_typeof] = ACTIONS(3072),
    [anon_sym_import] = ACTIONS(3072),
    [anon_sym_with] = ACTIONS(3072),
    [anon_sym_var] = ACTIONS(3072),
    [anon_sym_let] = ACTIONS(3072),
    [anon_sym_const] = ACTIONS(3072),
    [anon_sym_BANG] = ACTIONS(3072),
    [anon_sym_else] = ACTIONS(3072),
    [anon_sym_if] = ACTIONS(3072),
    [anon_sym_switch] = ACTIONS(3072),
    [anon_sym_for] = ACTIONS(3072),
    [anon_sym_LPAREN] = ACTIONS(3072),
    [anon_sym_await] = ACTIONS(3072),
    [anon_sym_while] = ACTIONS(3072),
    [anon_sym_do] = ACTIONS(3072),
    [anon_sym_try] = ACTIONS(3072),
    [anon_sym_break] = ACTIONS(3072),
    [anon_sym_continue] = ACTIONS(3072),
    [anon_sym_debugger] = ACTIONS(3072),
    [anon_sym_return] = ACTIONS(3072),
    [anon_sym_throw] = ACTIONS(3072),
    [anon_sym_SEMI] = ACTIONS(3072),
    [anon_sym_yield] = ACTIONS(3072),
    [anon_sym_LBRACK] = ACTIONS(3072),
    [anon_sym_LTtemplate_GT] = ACTIONS(3072),
    [anon_sym_DQUOTE] = ACTIONS(3072),
    [anon_sym_SQUOTE] = ACTIONS(3072),
    [anon_sym_class] = ACTIONS(3072),
    [anon_sym_async] = ACTIONS(3072),
    [anon_sym_function] = ACTIONS(3072),
    [anon_sym_new] = ACTIONS(3072),
    [anon_sym_using] = ACTIONS(3072),
    [anon_sym_PLUS] = ACTIONS(3072),
    [anon_sym_DASH] = ACTIONS(3072),
    [anon_sym_SLASH] = ACTIONS(3072),
    [anon_sym_LT] = ACTIONS(3072),
    [anon_sym_TILDE] = ACTIONS(3072),
    [anon_sym_void] = ACTIONS(3072),
    [anon_sym_delete] = ACTIONS(3072),
    [anon_sym_PLUS_PLUS] = ACTIONS(3072),
    [anon_sym_DASH_DASH] = ACTIONS(3072),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3072),
    [sym_number] = ACTIONS(3072),
    [sym_private_property_identifier] = ACTIONS(3072),
    [sym_this] = ACTIONS(3072),
    [sym_super] = ACTIONS(3072),
    [sym_true] = ACTIONS(3072),
    [sym_false] = ACTIONS(3072),
    [sym_null] = ACTIONS(3072),
    [sym_undefined] = ACTIONS(3072),
    [anon_sym_AT] = ACTIONS(3072),
    [anon_sym_static] = ACTIONS(3072),
    [anon_sym_readonly] = ACTIONS(3072),
    [anon_sym_get] = ACTIONS(3072),
    [anon_sym_set] = ACTIONS(3072),
    [anon_sym_declare] = ACTIONS(3072),
    [anon_sym_public] = ACTIONS(3072),
    [anon_sym_private] = ACTIONS(3072),
    [anon_sym_protected] = ACTIONS(3072),
    [anon_sym_override] = ACTIONS(3072),
    [anon_sym_module] = ACTIONS(3072),
    [anon_sym_any] = ACTIONS(3072),
    [anon_sym_number] = ACTIONS(3072),
    [anon_sym_boolean] = ACTIONS(3072),
    [anon_sym_string] = ACTIONS(3072),
    [anon_sym_symbol] = ACTIONS(3072),
    [anon_sym_object] = ACTIONS(3072),
    [anon_sym_abstract] = ACTIONS(3072),
    [anon_sym_interface] = ACTIONS(3072),
    [anon_sym_enum] = ACTIONS(3072),
    [sym__automatic_semicolon] = ACTIONS(3074),
    [sym_html_comment] = ACTIONS(5),
  },
  [967] = {
    [sym_comment] = STATE(967),
    [ts_builtin_sym_end] = ACTIONS(2095),
    [sym_identifier] = ACTIONS(2093),
    [anon_sym_export] = ACTIONS(2093),
    [anon_sym_type] = ACTIONS(2093),
    [anon_sym_namespace] = ACTIONS(2093),
    [anon_sym_LBRACE] = ACTIONS(2093),
    [anon_sym_RBRACE] = ACTIONS(2093),
    [anon_sym_typeof] = ACTIONS(2093),
    [anon_sym_import] = ACTIONS(2093),
    [anon_sym_with] = ACTIONS(2093),
    [anon_sym_var] = ACTIONS(2093),
    [anon_sym_let] = ACTIONS(2093),
    [anon_sym_const] = ACTIONS(2093),
    [anon_sym_BANG] = ACTIONS(2093),
    [anon_sym_if] = ACTIONS(2093),
    [anon_sym_switch] = ACTIONS(2093),
    [anon_sym_for] = ACTIONS(2093),
    [anon_sym_LPAREN] = ACTIONS(2093),
    [anon_sym_await] = ACTIONS(2093),
    [anon_sym_while] = ACTIONS(2093),
    [anon_sym_do] = ACTIONS(2093),
    [anon_sym_try] = ACTIONS(2093),
    [anon_sym_break] = ACTIONS(2093),
    [anon_sym_continue] = ACTIONS(2093),
    [anon_sym_debugger] = ACTIONS(2093),
    [anon_sym_return] = ACTIONS(2093),
    [anon_sym_throw] = ACTIONS(2093),
    [anon_sym_SEMI] = ACTIONS(2093),
    [anon_sym_finally] = ACTIONS(2093),
    [anon_sym_yield] = ACTIONS(2093),
    [anon_sym_LBRACK] = ACTIONS(2093),
    [anon_sym_LTtemplate_GT] = ACTIONS(2093),
    [anon_sym_DQUOTE] = ACTIONS(2093),
    [anon_sym_SQUOTE] = ACTIONS(2093),
    [anon_sym_class] = ACTIONS(2093),
    [anon_sym_async] = ACTIONS(2093),
    [anon_sym_function] = ACTIONS(2093),
    [anon_sym_new] = ACTIONS(2093),
    [anon_sym_using] = ACTIONS(2093),
    [anon_sym_PLUS] = ACTIONS(2093),
    [anon_sym_DASH] = ACTIONS(2093),
    [anon_sym_SLASH] = ACTIONS(2093),
    [anon_sym_LT] = ACTIONS(2093),
    [anon_sym_TILDE] = ACTIONS(2093),
    [anon_sym_void] = ACTIONS(2093),
    [anon_sym_delete] = ACTIONS(2093),
    [anon_sym_PLUS_PLUS] = ACTIONS(2093),
    [anon_sym_DASH_DASH] = ACTIONS(2093),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2093),
    [sym_number] = ACTIONS(2093),
    [sym_private_property_identifier] = ACTIONS(2093),
    [sym_this] = ACTIONS(2093),
    [sym_super] = ACTIONS(2093),
    [sym_true] = ACTIONS(2093),
    [sym_false] = ACTIONS(2093),
    [sym_null] = ACTIONS(2093),
    [sym_undefined] = ACTIONS(2093),
    [anon_sym_AT] = ACTIONS(2093),
    [anon_sym_static] = ACTIONS(2093),
    [anon_sym_readonly] = ACTIONS(2093),
    [anon_sym_get] = ACTIONS(2093),
    [anon_sym_set] = ACTIONS(2093),
    [anon_sym_declare] = ACTIONS(2093),
    [anon_sym_public] = ACTIONS(2093),
    [anon_sym_private] = ACTIONS(2093),
    [anon_sym_protected] = ACTIONS(2093),
    [anon_sym_override] = ACTIONS(2093),
    [anon_sym_module] = ACTIONS(2093),
    [anon_sym_any] = ACTIONS(2093),
    [anon_sym_number] = ACTIONS(2093),
    [anon_sym_boolean] = ACTIONS(2093),
    [anon_sym_string] = ACTIONS(2093),
    [anon_sym_symbol] = ACTIONS(2093),
    [anon_sym_object] = ACTIONS(2093),
    [anon_sym_abstract] = ACTIONS(2093),
    [anon_sym_interface] = ACTIONS(2093),
    [anon_sym_enum] = ACTIONS(2093),
    [sym__automatic_semicolon] = ACTIONS(3130),
    [sym_html_comment] = ACTIONS(5),
  },
  [968] = {
    [sym_comment] = STATE(968),
    [sym_identifier] = ACTIONS(3132),
    [anon_sym_export] = ACTIONS(3132),
    [anon_sym_default] = ACTIONS(3132),
    [anon_sym_type] = ACTIONS(3132),
    [anon_sym_namespace] = ACTIONS(3132),
    [anon_sym_LBRACE] = ACTIONS(3132),
    [anon_sym_RBRACE] = ACTIONS(3132),
    [anon_sym_typeof] = ACTIONS(3132),
    [anon_sym_import] = ACTIONS(3132),
    [anon_sym_with] = ACTIONS(3132),
    [anon_sym_var] = ACTIONS(3132),
    [anon_sym_let] = ACTIONS(3132),
    [anon_sym_const] = ACTIONS(3132),
    [anon_sym_BANG] = ACTIONS(3132),
    [anon_sym_else] = ACTIONS(3132),
    [anon_sym_if] = ACTIONS(3132),
    [anon_sym_switch] = ACTIONS(3132),
    [anon_sym_for] = ACTIONS(3132),
    [anon_sym_LPAREN] = ACTIONS(3132),
    [anon_sym_await] = ACTIONS(3132),
    [anon_sym_while] = ACTIONS(3132),
    [anon_sym_do] = ACTIONS(3132),
    [anon_sym_try] = ACTIONS(3132),
    [anon_sym_break] = ACTIONS(3132),
    [anon_sym_continue] = ACTIONS(3132),
    [anon_sym_debugger] = ACTIONS(3132),
    [anon_sym_return] = ACTIONS(3132),
    [anon_sym_throw] = ACTIONS(3132),
    [anon_sym_SEMI] = ACTIONS(3132),
    [anon_sym_case] = ACTIONS(3132),
    [anon_sym_yield] = ACTIONS(3132),
    [anon_sym_LBRACK] = ACTIONS(3132),
    [anon_sym_LTtemplate_GT] = ACTIONS(3132),
    [anon_sym_DQUOTE] = ACTIONS(3132),
    [anon_sym_SQUOTE] = ACTIONS(3132),
    [anon_sym_class] = ACTIONS(3132),
    [anon_sym_async] = ACTIONS(3132),
    [anon_sym_function] = ACTIONS(3132),
    [anon_sym_new] = ACTIONS(3132),
    [anon_sym_using] = ACTIONS(3132),
    [anon_sym_PLUS] = ACTIONS(3132),
    [anon_sym_DASH] = ACTIONS(3132),
    [anon_sym_SLASH] = ACTIONS(3132),
    [anon_sym_LT] = ACTIONS(3132),
    [anon_sym_TILDE] = ACTIONS(3132),
    [anon_sym_void] = ACTIONS(3132),
    [anon_sym_delete] = ACTIONS(3132),
    [anon_sym_PLUS_PLUS] = ACTIONS(3132),
    [anon_sym_DASH_DASH] = ACTIONS(3132),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3132),
    [sym_number] = ACTIONS(3132),
    [sym_private_property_identifier] = ACTIONS(3132),
    [sym_this] = ACTIONS(3132),
    [sym_super] = ACTIONS(3132),
    [sym_true] = ACTIONS(3132),
    [sym_false] = ACTIONS(3132),
    [sym_null] = ACTIONS(3132),
    [sym_undefined] = ACTIONS(3132),
    [anon_sym_AT] = ACTIONS(3132),
    [anon_sym_static] = ACTIONS(3132),
    [anon_sym_readonly] = ACTIONS(3132),
    [anon_sym_get] = ACTIONS(3132),
    [anon_sym_set] = ACTIONS(3132),
    [anon_sym_declare] = ACTIONS(3132),
    [anon_sym_public] = ACTIONS(3132),
    [anon_sym_private] = ACTIONS(3132),
    [anon_sym_protected] = ACTIONS(3132),
    [anon_sym_override] = ACTIONS(3132),
    [anon_sym_module] = ACTIONS(3132),
    [anon_sym_any] = ACTIONS(3132),
    [anon_sym_number] = ACTIONS(3132),
    [anon_sym_boolean] = ACTIONS(3132),
    [anon_sym_string] = ACTIONS(3132),
    [anon_sym_symbol] = ACTIONS(3132),
    [anon_sym_object] = ACTIONS(3132),
    [anon_sym_abstract] = ACTIONS(3132),
    [anon_sym_interface] = ACTIONS(3132),
    [anon_sym_enum] = ACTIONS(3132),
    [sym_html_comment] = ACTIONS(5),
  },
  [969] = {
    [sym_comment] = STATE(969),
    [sym_identifier] = ACTIONS(3134),
    [anon_sym_export] = ACTIONS(3134),
    [anon_sym_default] = ACTIONS(3134),
    [anon_sym_type] = ACTIONS(3134),
    [anon_sym_namespace] = ACTIONS(3134),
    [anon_sym_LBRACE] = ACTIONS(3134),
    [anon_sym_RBRACE] = ACTIONS(3134),
    [anon_sym_typeof] = ACTIONS(3134),
    [anon_sym_import] = ACTIONS(3134),
    [anon_sym_with] = ACTIONS(3134),
    [anon_sym_var] = ACTIONS(3134),
    [anon_sym_let] = ACTIONS(3134),
    [anon_sym_const] = ACTIONS(3134),
    [anon_sym_BANG] = ACTIONS(3134),
    [anon_sym_else] = ACTIONS(3134),
    [anon_sym_if] = ACTIONS(3134),
    [anon_sym_switch] = ACTIONS(3134),
    [anon_sym_for] = ACTIONS(3134),
    [anon_sym_LPAREN] = ACTIONS(3134),
    [anon_sym_await] = ACTIONS(3134),
    [anon_sym_while] = ACTIONS(3134),
    [anon_sym_do] = ACTIONS(3134),
    [anon_sym_try] = ACTIONS(3134),
    [anon_sym_break] = ACTIONS(3134),
    [anon_sym_continue] = ACTIONS(3134),
    [anon_sym_debugger] = ACTIONS(3134),
    [anon_sym_return] = ACTIONS(3134),
    [anon_sym_throw] = ACTIONS(3134),
    [anon_sym_SEMI] = ACTIONS(3134),
    [anon_sym_case] = ACTIONS(3134),
    [anon_sym_yield] = ACTIONS(3134),
    [anon_sym_LBRACK] = ACTIONS(3134),
    [anon_sym_LTtemplate_GT] = ACTIONS(3134),
    [anon_sym_DQUOTE] = ACTIONS(3134),
    [anon_sym_SQUOTE] = ACTIONS(3134),
    [anon_sym_class] = ACTIONS(3134),
    [anon_sym_async] = ACTIONS(3134),
    [anon_sym_function] = ACTIONS(3134),
    [anon_sym_new] = ACTIONS(3134),
    [anon_sym_using] = ACTIONS(3134),
    [anon_sym_PLUS] = ACTIONS(3134),
    [anon_sym_DASH] = ACTIONS(3134),
    [anon_sym_SLASH] = ACTIONS(3134),
    [anon_sym_LT] = ACTIONS(3134),
    [anon_sym_TILDE] = ACTIONS(3134),
    [anon_sym_void] = ACTIONS(3134),
    [anon_sym_delete] = ACTIONS(3134),
    [anon_sym_PLUS_PLUS] = ACTIONS(3134),
    [anon_sym_DASH_DASH] = ACTIONS(3134),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3134),
    [sym_number] = ACTIONS(3134),
    [sym_private_property_identifier] = ACTIONS(3134),
    [sym_this] = ACTIONS(3134),
    [sym_super] = ACTIONS(3134),
    [sym_true] = ACTIONS(3134),
    [sym_false] = ACTIONS(3134),
    [sym_null] = ACTIONS(3134),
    [sym_undefined] = ACTIONS(3134),
    [anon_sym_AT] = ACTIONS(3134),
    [anon_sym_static] = ACTIONS(3134),
    [anon_sym_readonly] = ACTIONS(3134),
    [anon_sym_get] = ACTIONS(3134),
    [anon_sym_set] = ACTIONS(3134),
    [anon_sym_declare] = ACTIONS(3134),
    [anon_sym_public] = ACTIONS(3134),
    [anon_sym_private] = ACTIONS(3134),
    [anon_sym_protected] = ACTIONS(3134),
    [anon_sym_override] = ACTIONS(3134),
    [anon_sym_module] = ACTIONS(3134),
    [anon_sym_any] = ACTIONS(3134),
    [anon_sym_number] = ACTIONS(3134),
    [anon_sym_boolean] = ACTIONS(3134),
    [anon_sym_string] = ACTIONS(3134),
    [anon_sym_symbol] = ACTIONS(3134),
    [anon_sym_object] = ACTIONS(3134),
    [anon_sym_abstract] = ACTIONS(3134),
    [anon_sym_interface] = ACTIONS(3134),
    [anon_sym_enum] = ACTIONS(3134),
    [sym_html_comment] = ACTIONS(5),
  },
  [970] = {
    [sym_comment] = STATE(970),
    [sym_identifier] = ACTIONS(3136),
    [anon_sym_export] = ACTIONS(3136),
    [anon_sym_default] = ACTIONS(3136),
    [anon_sym_type] = ACTIONS(3136),
    [anon_sym_namespace] = ACTIONS(3136),
    [anon_sym_LBRACE] = ACTIONS(3136),
    [anon_sym_RBRACE] = ACTIONS(3136),
    [anon_sym_typeof] = ACTIONS(3136),
    [anon_sym_import] = ACTIONS(3136),
    [anon_sym_with] = ACTIONS(3136),
    [anon_sym_var] = ACTIONS(3136),
    [anon_sym_let] = ACTIONS(3136),
    [anon_sym_const] = ACTIONS(3136),
    [anon_sym_BANG] = ACTIONS(3136),
    [anon_sym_else] = ACTIONS(3136),
    [anon_sym_if] = ACTIONS(3136),
    [anon_sym_switch] = ACTIONS(3136),
    [anon_sym_for] = ACTIONS(3136),
    [anon_sym_LPAREN] = ACTIONS(3136),
    [anon_sym_await] = ACTIONS(3136),
    [anon_sym_while] = ACTIONS(3136),
    [anon_sym_do] = ACTIONS(3136),
    [anon_sym_try] = ACTIONS(3136),
    [anon_sym_break] = ACTIONS(3136),
    [anon_sym_continue] = ACTIONS(3136),
    [anon_sym_debugger] = ACTIONS(3136),
    [anon_sym_return] = ACTIONS(3136),
    [anon_sym_throw] = ACTIONS(3136),
    [anon_sym_SEMI] = ACTIONS(3136),
    [anon_sym_case] = ACTIONS(3136),
    [anon_sym_yield] = ACTIONS(3136),
    [anon_sym_LBRACK] = ACTIONS(3136),
    [anon_sym_LTtemplate_GT] = ACTIONS(3136),
    [anon_sym_DQUOTE] = ACTIONS(3136),
    [anon_sym_SQUOTE] = ACTIONS(3136),
    [anon_sym_class] = ACTIONS(3136),
    [anon_sym_async] = ACTIONS(3136),
    [anon_sym_function] = ACTIONS(3136),
    [anon_sym_new] = ACTIONS(3136),
    [anon_sym_using] = ACTIONS(3136),
    [anon_sym_PLUS] = ACTIONS(3136),
    [anon_sym_DASH] = ACTIONS(3136),
    [anon_sym_SLASH] = ACTIONS(3136),
    [anon_sym_LT] = ACTIONS(3136),
    [anon_sym_TILDE] = ACTIONS(3136),
    [anon_sym_void] = ACTIONS(3136),
    [anon_sym_delete] = ACTIONS(3136),
    [anon_sym_PLUS_PLUS] = ACTIONS(3136),
    [anon_sym_DASH_DASH] = ACTIONS(3136),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3136),
    [sym_number] = ACTIONS(3136),
    [sym_private_property_identifier] = ACTIONS(3136),
    [sym_this] = ACTIONS(3136),
    [sym_super] = ACTIONS(3136),
    [sym_true] = ACTIONS(3136),
    [sym_false] = ACTIONS(3136),
    [sym_null] = ACTIONS(3136),
    [sym_undefined] = ACTIONS(3136),
    [anon_sym_AT] = ACTIONS(3136),
    [anon_sym_static] = ACTIONS(3136),
    [anon_sym_readonly] = ACTIONS(3136),
    [anon_sym_get] = ACTIONS(3136),
    [anon_sym_set] = ACTIONS(3136),
    [anon_sym_declare] = ACTIONS(3136),
    [anon_sym_public] = ACTIONS(3136),
    [anon_sym_private] = ACTIONS(3136),
    [anon_sym_protected] = ACTIONS(3136),
    [anon_sym_override] = ACTIONS(3136),
    [anon_sym_module] = ACTIONS(3136),
    [anon_sym_any] = ACTIONS(3136),
    [anon_sym_number] = ACTIONS(3136),
    [anon_sym_boolean] = ACTIONS(3136),
    [anon_sym_string] = ACTIONS(3136),
    [anon_sym_symbol] = ACTIONS(3136),
    [anon_sym_object] = ACTIONS(3136),
    [anon_sym_abstract] = ACTIONS(3136),
    [anon_sym_interface] = ACTIONS(3136),
    [anon_sym_enum] = ACTIONS(3136),
    [sym_html_comment] = ACTIONS(5),
  },
  [971] = {
    [sym_statement_block] = STATE(1337),
    [sym_comment] = STATE(971),
    [ts_builtin_sym_end] = ACTIONS(2059),
    [sym_identifier] = ACTIONS(2055),
    [anon_sym_export] = ACTIONS(2055),
    [anon_sym_type] = ACTIONS(2055),
    [anon_sym_namespace] = ACTIONS(2055),
    [anon_sym_LBRACE] = ACTIONS(3116),
    [anon_sym_RBRACE] = ACTIONS(2055),
    [anon_sym_typeof] = ACTIONS(2055),
    [anon_sym_import] = ACTIONS(2055),
    [anon_sym_with] = ACTIONS(2055),
    [anon_sym_var] = ACTIONS(2055),
    [anon_sym_let] = ACTIONS(2055),
    [anon_sym_const] = ACTIONS(2055),
    [anon_sym_BANG] = ACTIONS(2055),
    [anon_sym_else] = ACTIONS(2055),
    [anon_sym_if] = ACTIONS(2055),
    [anon_sym_switch] = ACTIONS(2055),
    [anon_sym_for] = ACTIONS(2055),
    [anon_sym_LPAREN] = ACTIONS(2055),
    [anon_sym_await] = ACTIONS(2055),
    [anon_sym_while] = ACTIONS(2055),
    [anon_sym_do] = ACTIONS(2055),
    [anon_sym_try] = ACTIONS(2055),
    [anon_sym_break] = ACTIONS(2055),
    [anon_sym_continue] = ACTIONS(2055),
    [anon_sym_debugger] = ACTIONS(2055),
    [anon_sym_return] = ACTIONS(2055),
    [anon_sym_throw] = ACTIONS(2055),
    [anon_sym_SEMI] = ACTIONS(2055),
    [anon_sym_yield] = ACTIONS(2055),
    [anon_sym_LBRACK] = ACTIONS(2055),
    [anon_sym_LTtemplate_GT] = ACTIONS(2055),
    [anon_sym_DQUOTE] = ACTIONS(2055),
    [anon_sym_SQUOTE] = ACTIONS(2055),
    [anon_sym_class] = ACTIONS(2055),
    [anon_sym_async] = ACTIONS(2055),
    [anon_sym_function] = ACTIONS(2055),
    [anon_sym_new] = ACTIONS(2055),
    [anon_sym_using] = ACTIONS(2055),
    [anon_sym_PLUS] = ACTIONS(2055),
    [anon_sym_DASH] = ACTIONS(2055),
    [anon_sym_SLASH] = ACTIONS(2055),
    [anon_sym_LT] = ACTIONS(2055),
    [anon_sym_TILDE] = ACTIONS(2055),
    [anon_sym_void] = ACTIONS(2055),
    [anon_sym_delete] = ACTIONS(2055),
    [anon_sym_PLUS_PLUS] = ACTIONS(2055),
    [anon_sym_DASH_DASH] = ACTIONS(2055),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2055),
    [sym_number] = ACTIONS(2055),
    [sym_private_property_identifier] = ACTIONS(2055),
    [sym_this] = ACTIONS(2055),
    [sym_super] = ACTIONS(2055),
    [sym_true] = ACTIONS(2055),
    [sym_false] = ACTIONS(2055),
    [sym_null] = ACTIONS(2055),
    [sym_undefined] = ACTIONS(2055),
    [anon_sym_AT] = ACTIONS(2055),
    [anon_sym_static] = ACTIONS(2055),
    [anon_sym_readonly] = ACTIONS(2055),
    [anon_sym_get] = ACTIONS(2055),
    [anon_sym_set] = ACTIONS(2055),
    [anon_sym_declare] = ACTIONS(2055),
    [anon_sym_public] = ACTIONS(2055),
    [anon_sym_private] = ACTIONS(2055),
    [anon_sym_protected] = ACTIONS(2055),
    [anon_sym_override] = ACTIONS(2055),
    [anon_sym_module] = ACTIONS(2055),
    [anon_sym_any] = ACTIONS(2055),
    [anon_sym_number] = ACTIONS(2055),
    [anon_sym_boolean] = ACTIONS(2055),
    [anon_sym_string] = ACTIONS(2055),
    [anon_sym_symbol] = ACTIONS(2055),
    [anon_sym_object] = ACTIONS(2055),
    [anon_sym_abstract] = ACTIONS(2055),
    [anon_sym_interface] = ACTIONS(2055),
    [anon_sym_enum] = ACTIONS(2055),
    [sym_html_comment] = ACTIONS(5),
  },
  [972] = {
    [sym_comment] = STATE(972),
    [sym_identifier] = ACTIONS(3138),
    [anon_sym_export] = ACTIONS(3138),
    [anon_sym_default] = ACTIONS(3138),
    [anon_sym_type] = ACTIONS(3138),
    [anon_sym_namespace] = ACTIONS(3138),
    [anon_sym_LBRACE] = ACTIONS(3138),
    [anon_sym_RBRACE] = ACTIONS(3138),
    [anon_sym_typeof] = ACTIONS(3138),
    [anon_sym_import] = ACTIONS(3138),
    [anon_sym_with] = ACTIONS(3138),
    [anon_sym_var] = ACTIONS(3138),
    [anon_sym_let] = ACTIONS(3138),
    [anon_sym_const] = ACTIONS(3138),
    [anon_sym_BANG] = ACTIONS(3138),
    [anon_sym_else] = ACTIONS(3138),
    [anon_sym_if] = ACTIONS(3138),
    [anon_sym_switch] = ACTIONS(3138),
    [anon_sym_for] = ACTIONS(3138),
    [anon_sym_LPAREN] = ACTIONS(3138),
    [anon_sym_await] = ACTIONS(3138),
    [anon_sym_while] = ACTIONS(3138),
    [anon_sym_do] = ACTIONS(3138),
    [anon_sym_try] = ACTIONS(3138),
    [anon_sym_break] = ACTIONS(3138),
    [anon_sym_continue] = ACTIONS(3138),
    [anon_sym_debugger] = ACTIONS(3138),
    [anon_sym_return] = ACTIONS(3138),
    [anon_sym_throw] = ACTIONS(3138),
    [anon_sym_SEMI] = ACTIONS(3138),
    [anon_sym_case] = ACTIONS(3138),
    [anon_sym_yield] = ACTIONS(3138),
    [anon_sym_LBRACK] = ACTIONS(3138),
    [anon_sym_LTtemplate_GT] = ACTIONS(3138),
    [anon_sym_DQUOTE] = ACTIONS(3138),
    [anon_sym_SQUOTE] = ACTIONS(3138),
    [anon_sym_class] = ACTIONS(3138),
    [anon_sym_async] = ACTIONS(3138),
    [anon_sym_function] = ACTIONS(3138),
    [anon_sym_new] = ACTIONS(3138),
    [anon_sym_using] = ACTIONS(3138),
    [anon_sym_PLUS] = ACTIONS(3138),
    [anon_sym_DASH] = ACTIONS(3138),
    [anon_sym_SLASH] = ACTIONS(3138),
    [anon_sym_LT] = ACTIONS(3138),
    [anon_sym_TILDE] = ACTIONS(3138),
    [anon_sym_void] = ACTIONS(3138),
    [anon_sym_delete] = ACTIONS(3138),
    [anon_sym_PLUS_PLUS] = ACTIONS(3138),
    [anon_sym_DASH_DASH] = ACTIONS(3138),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3138),
    [sym_number] = ACTIONS(3138),
    [sym_private_property_identifier] = ACTIONS(3138),
    [sym_this] = ACTIONS(3138),
    [sym_super] = ACTIONS(3138),
    [sym_true] = ACTIONS(3138),
    [sym_false] = ACTIONS(3138),
    [sym_null] = ACTIONS(3138),
    [sym_undefined] = ACTIONS(3138),
    [anon_sym_AT] = ACTIONS(3138),
    [anon_sym_static] = ACTIONS(3138),
    [anon_sym_readonly] = ACTIONS(3138),
    [anon_sym_get] = ACTIONS(3138),
    [anon_sym_set] = ACTIONS(3138),
    [anon_sym_declare] = ACTIONS(3138),
    [anon_sym_public] = ACTIONS(3138),
    [anon_sym_private] = ACTIONS(3138),
    [anon_sym_protected] = ACTIONS(3138),
    [anon_sym_override] = ACTIONS(3138),
    [anon_sym_module] = ACTIONS(3138),
    [anon_sym_any] = ACTIONS(3138),
    [anon_sym_number] = ACTIONS(3138),
    [anon_sym_boolean] = ACTIONS(3138),
    [anon_sym_string] = ACTIONS(3138),
    [anon_sym_symbol] = ACTIONS(3138),
    [anon_sym_object] = ACTIONS(3138),
    [anon_sym_abstract] = ACTIONS(3138),
    [anon_sym_interface] = ACTIONS(3138),
    [anon_sym_enum] = ACTIONS(3138),
    [sym_html_comment] = ACTIONS(5),
  },
  [973] = {
    [sym_comment] = STATE(973),
    [sym_identifier] = ACTIONS(3072),
    [anon_sym_export] = ACTIONS(3072),
    [anon_sym_default] = ACTIONS(3072),
    [anon_sym_type] = ACTIONS(3072),
    [anon_sym_namespace] = ACTIONS(3072),
    [anon_sym_LBRACE] = ACTIONS(3072),
    [anon_sym_RBRACE] = ACTIONS(3072),
    [anon_sym_typeof] = ACTIONS(3072),
    [anon_sym_import] = ACTIONS(3072),
    [anon_sym_with] = ACTIONS(3072),
    [anon_sym_var] = ACTIONS(3072),
    [anon_sym_let] = ACTIONS(3072),
    [anon_sym_const] = ACTIONS(3072),
    [anon_sym_BANG] = ACTIONS(3072),
    [anon_sym_if] = ACTIONS(3072),
    [anon_sym_switch] = ACTIONS(3072),
    [anon_sym_for] = ACTIONS(3072),
    [anon_sym_LPAREN] = ACTIONS(3072),
    [anon_sym_await] = ACTIONS(3072),
    [anon_sym_while] = ACTIONS(3072),
    [anon_sym_do] = ACTIONS(3072),
    [anon_sym_try] = ACTIONS(3072),
    [anon_sym_break] = ACTIONS(3072),
    [anon_sym_continue] = ACTIONS(3072),
    [anon_sym_debugger] = ACTIONS(3072),
    [anon_sym_return] = ACTIONS(3072),
    [anon_sym_throw] = ACTIONS(3072),
    [anon_sym_SEMI] = ACTIONS(3072),
    [anon_sym_case] = ACTIONS(3072),
    [anon_sym_yield] = ACTIONS(3072),
    [anon_sym_LBRACK] = ACTIONS(3072),
    [anon_sym_LTtemplate_GT] = ACTIONS(3072),
    [anon_sym_DQUOTE] = ACTIONS(3072),
    [anon_sym_SQUOTE] = ACTIONS(3072),
    [anon_sym_class] = ACTIONS(3072),
    [anon_sym_async] = ACTIONS(3072),
    [anon_sym_function] = ACTIONS(3072),
    [anon_sym_new] = ACTIONS(3072),
    [anon_sym_using] = ACTIONS(3072),
    [anon_sym_PLUS] = ACTIONS(3072),
    [anon_sym_DASH] = ACTIONS(3072),
    [anon_sym_SLASH] = ACTIONS(3072),
    [anon_sym_LT] = ACTIONS(3072),
    [anon_sym_TILDE] = ACTIONS(3072),
    [anon_sym_void] = ACTIONS(3072),
    [anon_sym_delete] = ACTIONS(3072),
    [anon_sym_PLUS_PLUS] = ACTIONS(3072),
    [anon_sym_DASH_DASH] = ACTIONS(3072),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3072),
    [sym_number] = ACTIONS(3072),
    [sym_private_property_identifier] = ACTIONS(3072),
    [sym_this] = ACTIONS(3072),
    [sym_super] = ACTIONS(3072),
    [sym_true] = ACTIONS(3072),
    [sym_false] = ACTIONS(3072),
    [sym_null] = ACTIONS(3072),
    [sym_undefined] = ACTIONS(3072),
    [anon_sym_AT] = ACTIONS(3072),
    [anon_sym_static] = ACTIONS(3072),
    [anon_sym_readonly] = ACTIONS(3072),
    [anon_sym_get] = ACTIONS(3072),
    [anon_sym_set] = ACTIONS(3072),
    [anon_sym_declare] = ACTIONS(3072),
    [anon_sym_public] = ACTIONS(3072),
    [anon_sym_private] = ACTIONS(3072),
    [anon_sym_protected] = ACTIONS(3072),
    [anon_sym_override] = ACTIONS(3072),
    [anon_sym_module] = ACTIONS(3072),
    [anon_sym_any] = ACTIONS(3072),
    [anon_sym_number] = ACTIONS(3072),
    [anon_sym_boolean] = ACTIONS(3072),
    [anon_sym_string] = ACTIONS(3072),
    [anon_sym_symbol] = ACTIONS(3072),
    [anon_sym_object] = ACTIONS(3072),
    [anon_sym_abstract] = ACTIONS(3072),
    [anon_sym_interface] = ACTIONS(3072),
    [anon_sym_enum] = ACTIONS(3072),
    [sym__automatic_semicolon] = ACTIONS(3074),
    [sym_html_comment] = ACTIONS(5),
  },
  [974] = {
    [sym_comment] = STATE(974),
    [sym_identifier] = ACTIONS(3140),
    [anon_sym_export] = ACTIONS(3140),
    [anon_sym_default] = ACTIONS(3140),
    [anon_sym_type] = ACTIONS(3140),
    [anon_sym_namespace] = ACTIONS(3140),
    [anon_sym_LBRACE] = ACTIONS(3140),
    [anon_sym_RBRACE] = ACTIONS(3140),
    [anon_sym_typeof] = ACTIONS(3140),
    [anon_sym_import] = ACTIONS(3140),
    [anon_sym_with] = ACTIONS(3140),
    [anon_sym_var] = ACTIONS(3140),
    [anon_sym_let] = ACTIONS(3140),
    [anon_sym_const] = ACTIONS(3140),
    [anon_sym_BANG] = ACTIONS(3140),
    [anon_sym_else] = ACTIONS(3140),
    [anon_sym_if] = ACTIONS(3140),
    [anon_sym_switch] = ACTIONS(3140),
    [anon_sym_for] = ACTIONS(3140),
    [anon_sym_LPAREN] = ACTIONS(3140),
    [anon_sym_await] = ACTIONS(3140),
    [anon_sym_while] = ACTIONS(3140),
    [anon_sym_do] = ACTIONS(3140),
    [anon_sym_try] = ACTIONS(3140),
    [anon_sym_break] = ACTIONS(3140),
    [anon_sym_continue] = ACTIONS(3140),
    [anon_sym_debugger] = ACTIONS(3140),
    [anon_sym_return] = ACTIONS(3140),
    [anon_sym_throw] = ACTIONS(3140),
    [anon_sym_SEMI] = ACTIONS(3140),
    [anon_sym_case] = ACTIONS(3140),
    [anon_sym_yield] = ACTIONS(3140),
    [anon_sym_LBRACK] = ACTIONS(3140),
    [anon_sym_LTtemplate_GT] = ACTIONS(3140),
    [anon_sym_DQUOTE] = ACTIONS(3140),
    [anon_sym_SQUOTE] = ACTIONS(3140),
    [anon_sym_class] = ACTIONS(3140),
    [anon_sym_async] = ACTIONS(3140),
    [anon_sym_function] = ACTIONS(3140),
    [anon_sym_new] = ACTIONS(3140),
    [anon_sym_using] = ACTIONS(3140),
    [anon_sym_PLUS] = ACTIONS(3140),
    [anon_sym_DASH] = ACTIONS(3140),
    [anon_sym_SLASH] = ACTIONS(3140),
    [anon_sym_LT] = ACTIONS(3140),
    [anon_sym_TILDE] = ACTIONS(3140),
    [anon_sym_void] = ACTIONS(3140),
    [anon_sym_delete] = ACTIONS(3140),
    [anon_sym_PLUS_PLUS] = ACTIONS(3140),
    [anon_sym_DASH_DASH] = ACTIONS(3140),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3140),
    [sym_number] = ACTIONS(3140),
    [sym_private_property_identifier] = ACTIONS(3140),
    [sym_this] = ACTIONS(3140),
    [sym_super] = ACTIONS(3140),
    [sym_true] = ACTIONS(3140),
    [sym_false] = ACTIONS(3140),
    [sym_null] = ACTIONS(3140),
    [sym_undefined] = ACTIONS(3140),
    [anon_sym_AT] = ACTIONS(3140),
    [anon_sym_static] = ACTIONS(3140),
    [anon_sym_readonly] = ACTIONS(3140),
    [anon_sym_get] = ACTIONS(3140),
    [anon_sym_set] = ACTIONS(3140),
    [anon_sym_declare] = ACTIONS(3140),
    [anon_sym_public] = ACTIONS(3140),
    [anon_sym_private] = ACTIONS(3140),
    [anon_sym_protected] = ACTIONS(3140),
    [anon_sym_override] = ACTIONS(3140),
    [anon_sym_module] = ACTIONS(3140),
    [anon_sym_any] = ACTIONS(3140),
    [anon_sym_number] = ACTIONS(3140),
    [anon_sym_boolean] = ACTIONS(3140),
    [anon_sym_string] = ACTIONS(3140),
    [anon_sym_symbol] = ACTIONS(3140),
    [anon_sym_object] = ACTIONS(3140),
    [anon_sym_abstract] = ACTIONS(3140),
    [anon_sym_interface] = ACTIONS(3140),
    [anon_sym_enum] = ACTIONS(3140),
    [sym_html_comment] = ACTIONS(5),
  },
  [975] = {
    [sym_comment] = STATE(975),
    [sym_identifier] = ACTIONS(3142),
    [anon_sym_export] = ACTIONS(3142),
    [anon_sym_default] = ACTIONS(3142),
    [anon_sym_type] = ACTIONS(3142),
    [anon_sym_namespace] = ACTIONS(3142),
    [anon_sym_LBRACE] = ACTIONS(3142),
    [anon_sym_RBRACE] = ACTIONS(3142),
    [anon_sym_typeof] = ACTIONS(3142),
    [anon_sym_import] = ACTIONS(3142),
    [anon_sym_with] = ACTIONS(3142),
    [anon_sym_var] = ACTIONS(3142),
    [anon_sym_let] = ACTIONS(3142),
    [anon_sym_const] = ACTIONS(3142),
    [anon_sym_BANG] = ACTIONS(3142),
    [anon_sym_else] = ACTIONS(3142),
    [anon_sym_if] = ACTIONS(3142),
    [anon_sym_switch] = ACTIONS(3142),
    [anon_sym_for] = ACTIONS(3142),
    [anon_sym_LPAREN] = ACTIONS(3142),
    [anon_sym_await] = ACTIONS(3142),
    [anon_sym_while] = ACTIONS(3142),
    [anon_sym_do] = ACTIONS(3142),
    [anon_sym_try] = ACTIONS(3142),
    [anon_sym_break] = ACTIONS(3142),
    [anon_sym_continue] = ACTIONS(3142),
    [anon_sym_debugger] = ACTIONS(3142),
    [anon_sym_return] = ACTIONS(3142),
    [anon_sym_throw] = ACTIONS(3142),
    [anon_sym_SEMI] = ACTIONS(3142),
    [anon_sym_case] = ACTIONS(3142),
    [anon_sym_yield] = ACTIONS(3142),
    [anon_sym_LBRACK] = ACTIONS(3142),
    [anon_sym_LTtemplate_GT] = ACTIONS(3142),
    [anon_sym_DQUOTE] = ACTIONS(3142),
    [anon_sym_SQUOTE] = ACTIONS(3142),
    [anon_sym_class] = ACTIONS(3142),
    [anon_sym_async] = ACTIONS(3142),
    [anon_sym_function] = ACTIONS(3142),
    [anon_sym_new] = ACTIONS(3142),
    [anon_sym_using] = ACTIONS(3142),
    [anon_sym_PLUS] = ACTIONS(3142),
    [anon_sym_DASH] = ACTIONS(3142),
    [anon_sym_SLASH] = ACTIONS(3142),
    [anon_sym_LT] = ACTIONS(3142),
    [anon_sym_TILDE] = ACTIONS(3142),
    [anon_sym_void] = ACTIONS(3142),
    [anon_sym_delete] = ACTIONS(3142),
    [anon_sym_PLUS_PLUS] = ACTIONS(3142),
    [anon_sym_DASH_DASH] = ACTIONS(3142),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3142),
    [sym_number] = ACTIONS(3142),
    [sym_private_property_identifier] = ACTIONS(3142),
    [sym_this] = ACTIONS(3142),
    [sym_super] = ACTIONS(3142),
    [sym_true] = ACTIONS(3142),
    [sym_false] = ACTIONS(3142),
    [sym_null] = ACTIONS(3142),
    [sym_undefined] = ACTIONS(3142),
    [anon_sym_AT] = ACTIONS(3142),
    [anon_sym_static] = ACTIONS(3142),
    [anon_sym_readonly] = ACTIONS(3142),
    [anon_sym_get] = ACTIONS(3142),
    [anon_sym_set] = ACTIONS(3142),
    [anon_sym_declare] = ACTIONS(3142),
    [anon_sym_public] = ACTIONS(3142),
    [anon_sym_private] = ACTIONS(3142),
    [anon_sym_protected] = ACTIONS(3142),
    [anon_sym_override] = ACTIONS(3142),
    [anon_sym_module] = ACTIONS(3142),
    [anon_sym_any] = ACTIONS(3142),
    [anon_sym_number] = ACTIONS(3142),
    [anon_sym_boolean] = ACTIONS(3142),
    [anon_sym_string] = ACTIONS(3142),
    [anon_sym_symbol] = ACTIONS(3142),
    [anon_sym_object] = ACTIONS(3142),
    [anon_sym_abstract] = ACTIONS(3142),
    [anon_sym_interface] = ACTIONS(3142),
    [anon_sym_enum] = ACTIONS(3142),
    [sym_html_comment] = ACTIONS(5),
  },
  [976] = {
    [sym_comment] = STATE(976),
    [sym_identifier] = ACTIONS(3144),
    [anon_sym_export] = ACTIONS(3144),
    [anon_sym_default] = ACTIONS(3144),
    [anon_sym_type] = ACTIONS(3144),
    [anon_sym_namespace] = ACTIONS(3144),
    [anon_sym_LBRACE] = ACTIONS(3144),
    [anon_sym_RBRACE] = ACTIONS(3144),
    [anon_sym_typeof] = ACTIONS(3144),
    [anon_sym_import] = ACTIONS(3144),
    [anon_sym_with] = ACTIONS(3144),
    [anon_sym_var] = ACTIONS(3144),
    [anon_sym_let] = ACTIONS(3144),
    [anon_sym_const] = ACTIONS(3144),
    [anon_sym_BANG] = ACTIONS(3144),
    [anon_sym_else] = ACTIONS(3144),
    [anon_sym_if] = ACTIONS(3144),
    [anon_sym_switch] = ACTIONS(3144),
    [anon_sym_for] = ACTIONS(3144),
    [anon_sym_LPAREN] = ACTIONS(3144),
    [anon_sym_await] = ACTIONS(3144),
    [anon_sym_while] = ACTIONS(3144),
    [anon_sym_do] = ACTIONS(3144),
    [anon_sym_try] = ACTIONS(3144),
    [anon_sym_break] = ACTIONS(3144),
    [anon_sym_continue] = ACTIONS(3144),
    [anon_sym_debugger] = ACTIONS(3144),
    [anon_sym_return] = ACTIONS(3144),
    [anon_sym_throw] = ACTIONS(3144),
    [anon_sym_SEMI] = ACTIONS(3144),
    [anon_sym_case] = ACTIONS(3144),
    [anon_sym_yield] = ACTIONS(3144),
    [anon_sym_LBRACK] = ACTIONS(3144),
    [anon_sym_LTtemplate_GT] = ACTIONS(3144),
    [anon_sym_DQUOTE] = ACTIONS(3144),
    [anon_sym_SQUOTE] = ACTIONS(3144),
    [anon_sym_class] = ACTIONS(3144),
    [anon_sym_async] = ACTIONS(3144),
    [anon_sym_function] = ACTIONS(3144),
    [anon_sym_new] = ACTIONS(3144),
    [anon_sym_using] = ACTIONS(3144),
    [anon_sym_PLUS] = ACTIONS(3144),
    [anon_sym_DASH] = ACTIONS(3144),
    [anon_sym_SLASH] = ACTIONS(3144),
    [anon_sym_LT] = ACTIONS(3144),
    [anon_sym_TILDE] = ACTIONS(3144),
    [anon_sym_void] = ACTIONS(3144),
    [anon_sym_delete] = ACTIONS(3144),
    [anon_sym_PLUS_PLUS] = ACTIONS(3144),
    [anon_sym_DASH_DASH] = ACTIONS(3144),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3144),
    [sym_number] = ACTIONS(3144),
    [sym_private_property_identifier] = ACTIONS(3144),
    [sym_this] = ACTIONS(3144),
    [sym_super] = ACTIONS(3144),
    [sym_true] = ACTIONS(3144),
    [sym_false] = ACTIONS(3144),
    [sym_null] = ACTIONS(3144),
    [sym_undefined] = ACTIONS(3144),
    [anon_sym_AT] = ACTIONS(3144),
    [anon_sym_static] = ACTIONS(3144),
    [anon_sym_readonly] = ACTIONS(3144),
    [anon_sym_get] = ACTIONS(3144),
    [anon_sym_set] = ACTIONS(3144),
    [anon_sym_declare] = ACTIONS(3144),
    [anon_sym_public] = ACTIONS(3144),
    [anon_sym_private] = ACTIONS(3144),
    [anon_sym_protected] = ACTIONS(3144),
    [anon_sym_override] = ACTIONS(3144),
    [anon_sym_module] = ACTIONS(3144),
    [anon_sym_any] = ACTIONS(3144),
    [anon_sym_number] = ACTIONS(3144),
    [anon_sym_boolean] = ACTIONS(3144),
    [anon_sym_string] = ACTIONS(3144),
    [anon_sym_symbol] = ACTIONS(3144),
    [anon_sym_object] = ACTIONS(3144),
    [anon_sym_abstract] = ACTIONS(3144),
    [anon_sym_interface] = ACTIONS(3144),
    [anon_sym_enum] = ACTIONS(3144),
    [sym_html_comment] = ACTIONS(5),
  },
  [977] = {
    [sym_comment] = STATE(977),
    [sym_identifier] = ACTIONS(3146),
    [anon_sym_export] = ACTIONS(3146),
    [anon_sym_default] = ACTIONS(3146),
    [anon_sym_type] = ACTIONS(3146),
    [anon_sym_namespace] = ACTIONS(3146),
    [anon_sym_LBRACE] = ACTIONS(3146),
    [anon_sym_RBRACE] = ACTIONS(3146),
    [anon_sym_typeof] = ACTIONS(3146),
    [anon_sym_import] = ACTIONS(3146),
    [anon_sym_with] = ACTIONS(3146),
    [anon_sym_var] = ACTIONS(3146),
    [anon_sym_let] = ACTIONS(3146),
    [anon_sym_const] = ACTIONS(3146),
    [anon_sym_BANG] = ACTIONS(3146),
    [anon_sym_else] = ACTIONS(3146),
    [anon_sym_if] = ACTIONS(3146),
    [anon_sym_switch] = ACTIONS(3146),
    [anon_sym_for] = ACTIONS(3146),
    [anon_sym_LPAREN] = ACTIONS(3146),
    [anon_sym_await] = ACTIONS(3146),
    [anon_sym_while] = ACTIONS(3146),
    [anon_sym_do] = ACTIONS(3146),
    [anon_sym_try] = ACTIONS(3146),
    [anon_sym_break] = ACTIONS(3146),
    [anon_sym_continue] = ACTIONS(3146),
    [anon_sym_debugger] = ACTIONS(3146),
    [anon_sym_return] = ACTIONS(3146),
    [anon_sym_throw] = ACTIONS(3146),
    [anon_sym_SEMI] = ACTIONS(3146),
    [anon_sym_case] = ACTIONS(3146),
    [anon_sym_yield] = ACTIONS(3146),
    [anon_sym_LBRACK] = ACTIONS(3146),
    [anon_sym_LTtemplate_GT] = ACTIONS(3146),
    [anon_sym_DQUOTE] = ACTIONS(3146),
    [anon_sym_SQUOTE] = ACTIONS(3146),
    [anon_sym_class] = ACTIONS(3146),
    [anon_sym_async] = ACTIONS(3146),
    [anon_sym_function] = ACTIONS(3146),
    [anon_sym_new] = ACTIONS(3146),
    [anon_sym_using] = ACTIONS(3146),
    [anon_sym_PLUS] = ACTIONS(3146),
    [anon_sym_DASH] = ACTIONS(3146),
    [anon_sym_SLASH] = ACTIONS(3146),
    [anon_sym_LT] = ACTIONS(3146),
    [anon_sym_TILDE] = ACTIONS(3146),
    [anon_sym_void] = ACTIONS(3146),
    [anon_sym_delete] = ACTIONS(3146),
    [anon_sym_PLUS_PLUS] = ACTIONS(3146),
    [anon_sym_DASH_DASH] = ACTIONS(3146),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3146),
    [sym_number] = ACTIONS(3146),
    [sym_private_property_identifier] = ACTIONS(3146),
    [sym_this] = ACTIONS(3146),
    [sym_super] = ACTIONS(3146),
    [sym_true] = ACTIONS(3146),
    [sym_false] = ACTIONS(3146),
    [sym_null] = ACTIONS(3146),
    [sym_undefined] = ACTIONS(3146),
    [anon_sym_AT] = ACTIONS(3146),
    [anon_sym_static] = ACTIONS(3146),
    [anon_sym_readonly] = ACTIONS(3146),
    [anon_sym_get] = ACTIONS(3146),
    [anon_sym_set] = ACTIONS(3146),
    [anon_sym_declare] = ACTIONS(3146),
    [anon_sym_public] = ACTIONS(3146),
    [anon_sym_private] = ACTIONS(3146),
    [anon_sym_protected] = ACTIONS(3146),
    [anon_sym_override] = ACTIONS(3146),
    [anon_sym_module] = ACTIONS(3146),
    [anon_sym_any] = ACTIONS(3146),
    [anon_sym_number] = ACTIONS(3146),
    [anon_sym_boolean] = ACTIONS(3146),
    [anon_sym_string] = ACTIONS(3146),
    [anon_sym_symbol] = ACTIONS(3146),
    [anon_sym_object] = ACTIONS(3146),
    [anon_sym_abstract] = ACTIONS(3146),
    [anon_sym_interface] = ACTIONS(3146),
    [anon_sym_enum] = ACTIONS(3146),
    [sym_html_comment] = ACTIONS(5),
  },
  [978] = {
    [sym_comment] = STATE(978),
    [sym_identifier] = ACTIONS(3148),
    [anon_sym_export] = ACTIONS(3148),
    [anon_sym_default] = ACTIONS(3148),
    [anon_sym_type] = ACTIONS(3148),
    [anon_sym_namespace] = ACTIONS(3148),
    [anon_sym_LBRACE] = ACTIONS(3148),
    [anon_sym_RBRACE] = ACTIONS(3148),
    [anon_sym_typeof] = ACTIONS(3148),
    [anon_sym_import] = ACTIONS(3148),
    [anon_sym_with] = ACTIONS(3148),
    [anon_sym_var] = ACTIONS(3148),
    [anon_sym_let] = ACTIONS(3148),
    [anon_sym_const] = ACTIONS(3148),
    [anon_sym_BANG] = ACTIONS(3148),
    [anon_sym_else] = ACTIONS(3148),
    [anon_sym_if] = ACTIONS(3148),
    [anon_sym_switch] = ACTIONS(3148),
    [anon_sym_for] = ACTIONS(3148),
    [anon_sym_LPAREN] = ACTIONS(3148),
    [anon_sym_await] = ACTIONS(3148),
    [anon_sym_while] = ACTIONS(3148),
    [anon_sym_do] = ACTIONS(3148),
    [anon_sym_try] = ACTIONS(3148),
    [anon_sym_break] = ACTIONS(3148),
    [anon_sym_continue] = ACTIONS(3148),
    [anon_sym_debugger] = ACTIONS(3148),
    [anon_sym_return] = ACTIONS(3148),
    [anon_sym_throw] = ACTIONS(3148),
    [anon_sym_SEMI] = ACTIONS(3148),
    [anon_sym_case] = ACTIONS(3148),
    [anon_sym_yield] = ACTIONS(3148),
    [anon_sym_LBRACK] = ACTIONS(3148),
    [anon_sym_LTtemplate_GT] = ACTIONS(3148),
    [anon_sym_DQUOTE] = ACTIONS(3148),
    [anon_sym_SQUOTE] = ACTIONS(3148),
    [anon_sym_class] = ACTIONS(3148),
    [anon_sym_async] = ACTIONS(3148),
    [anon_sym_function] = ACTIONS(3148),
    [anon_sym_new] = ACTIONS(3148),
    [anon_sym_using] = ACTIONS(3148),
    [anon_sym_PLUS] = ACTIONS(3148),
    [anon_sym_DASH] = ACTIONS(3148),
    [anon_sym_SLASH] = ACTIONS(3148),
    [anon_sym_LT] = ACTIONS(3148),
    [anon_sym_TILDE] = ACTIONS(3148),
    [anon_sym_void] = ACTIONS(3148),
    [anon_sym_delete] = ACTIONS(3148),
    [anon_sym_PLUS_PLUS] = ACTIONS(3148),
    [anon_sym_DASH_DASH] = ACTIONS(3148),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3148),
    [sym_number] = ACTIONS(3148),
    [sym_private_property_identifier] = ACTIONS(3148),
    [sym_this] = ACTIONS(3148),
    [sym_super] = ACTIONS(3148),
    [sym_true] = ACTIONS(3148),
    [sym_false] = ACTIONS(3148),
    [sym_null] = ACTIONS(3148),
    [sym_undefined] = ACTIONS(3148),
    [anon_sym_AT] = ACTIONS(3148),
    [anon_sym_static] = ACTIONS(3148),
    [anon_sym_readonly] = ACTIONS(3148),
    [anon_sym_get] = ACTIONS(3148),
    [anon_sym_set] = ACTIONS(3148),
    [anon_sym_declare] = ACTIONS(3148),
    [anon_sym_public] = ACTIONS(3148),
    [anon_sym_private] = ACTIONS(3148),
    [anon_sym_protected] = ACTIONS(3148),
    [anon_sym_override] = ACTIONS(3148),
    [anon_sym_module] = ACTIONS(3148),
    [anon_sym_any] = ACTIONS(3148),
    [anon_sym_number] = ACTIONS(3148),
    [anon_sym_boolean] = ACTIONS(3148),
    [anon_sym_string] = ACTIONS(3148),
    [anon_sym_symbol] = ACTIONS(3148),
    [anon_sym_object] = ACTIONS(3148),
    [anon_sym_abstract] = ACTIONS(3148),
    [anon_sym_interface] = ACTIONS(3148),
    [anon_sym_enum] = ACTIONS(3148),
    [sym_html_comment] = ACTIONS(5),
  },
  [979] = {
    [sym_comment] = STATE(979),
    [sym_identifier] = ACTIONS(3150),
    [anon_sym_export] = ACTIONS(3150),
    [anon_sym_default] = ACTIONS(3150),
    [anon_sym_type] = ACTIONS(3150),
    [anon_sym_namespace] = ACTIONS(3150),
    [anon_sym_LBRACE] = ACTIONS(3150),
    [anon_sym_RBRACE] = ACTIONS(3150),
    [anon_sym_typeof] = ACTIONS(3150),
    [anon_sym_import] = ACTIONS(3150),
    [anon_sym_with] = ACTIONS(3150),
    [anon_sym_var] = ACTIONS(3150),
    [anon_sym_let] = ACTIONS(3150),
    [anon_sym_const] = ACTIONS(3150),
    [anon_sym_BANG] = ACTIONS(3150),
    [anon_sym_else] = ACTIONS(3150),
    [anon_sym_if] = ACTIONS(3150),
    [anon_sym_switch] = ACTIONS(3150),
    [anon_sym_for] = ACTIONS(3150),
    [anon_sym_LPAREN] = ACTIONS(3150),
    [anon_sym_await] = ACTIONS(3150),
    [anon_sym_while] = ACTIONS(3150),
    [anon_sym_do] = ACTIONS(3150),
    [anon_sym_try] = ACTIONS(3150),
    [anon_sym_break] = ACTIONS(3150),
    [anon_sym_continue] = ACTIONS(3150),
    [anon_sym_debugger] = ACTIONS(3150),
    [anon_sym_return] = ACTIONS(3150),
    [anon_sym_throw] = ACTIONS(3150),
    [anon_sym_SEMI] = ACTIONS(3150),
    [anon_sym_case] = ACTIONS(3150),
    [anon_sym_yield] = ACTIONS(3150),
    [anon_sym_LBRACK] = ACTIONS(3150),
    [anon_sym_LTtemplate_GT] = ACTIONS(3150),
    [anon_sym_DQUOTE] = ACTIONS(3150),
    [anon_sym_SQUOTE] = ACTIONS(3150),
    [anon_sym_class] = ACTIONS(3150),
    [anon_sym_async] = ACTIONS(3150),
    [anon_sym_function] = ACTIONS(3150),
    [anon_sym_new] = ACTIONS(3150),
    [anon_sym_using] = ACTIONS(3150),
    [anon_sym_PLUS] = ACTIONS(3150),
    [anon_sym_DASH] = ACTIONS(3150),
    [anon_sym_SLASH] = ACTIONS(3150),
    [anon_sym_LT] = ACTIONS(3150),
    [anon_sym_TILDE] = ACTIONS(3150),
    [anon_sym_void] = ACTIONS(3150),
    [anon_sym_delete] = ACTIONS(3150),
    [anon_sym_PLUS_PLUS] = ACTIONS(3150),
    [anon_sym_DASH_DASH] = ACTIONS(3150),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3150),
    [sym_number] = ACTIONS(3150),
    [sym_private_property_identifier] = ACTIONS(3150),
    [sym_this] = ACTIONS(3150),
    [sym_super] = ACTIONS(3150),
    [sym_true] = ACTIONS(3150),
    [sym_false] = ACTIONS(3150),
    [sym_null] = ACTIONS(3150),
    [sym_undefined] = ACTIONS(3150),
    [anon_sym_AT] = ACTIONS(3150),
    [anon_sym_static] = ACTIONS(3150),
    [anon_sym_readonly] = ACTIONS(3150),
    [anon_sym_get] = ACTIONS(3150),
    [anon_sym_set] = ACTIONS(3150),
    [anon_sym_declare] = ACTIONS(3150),
    [anon_sym_public] = ACTIONS(3150),
    [anon_sym_private] = ACTIONS(3150),
    [anon_sym_protected] = ACTIONS(3150),
    [anon_sym_override] = ACTIONS(3150),
    [anon_sym_module] = ACTIONS(3150),
    [anon_sym_any] = ACTIONS(3150),
    [anon_sym_number] = ACTIONS(3150),
    [anon_sym_boolean] = ACTIONS(3150),
    [anon_sym_string] = ACTIONS(3150),
    [anon_sym_symbol] = ACTIONS(3150),
    [anon_sym_object] = ACTIONS(3150),
    [anon_sym_abstract] = ACTIONS(3150),
    [anon_sym_interface] = ACTIONS(3150),
    [anon_sym_enum] = ACTIONS(3150),
    [sym_html_comment] = ACTIONS(5),
  },
  [980] = {
    [sym_comment] = STATE(980),
    [sym_identifier] = ACTIONS(3152),
    [anon_sym_export] = ACTIONS(3152),
    [anon_sym_default] = ACTIONS(3152),
    [anon_sym_type] = ACTIONS(3152),
    [anon_sym_namespace] = ACTIONS(3152),
    [anon_sym_LBRACE] = ACTIONS(3152),
    [anon_sym_RBRACE] = ACTIONS(3152),
    [anon_sym_typeof] = ACTIONS(3152),
    [anon_sym_import] = ACTIONS(3152),
    [anon_sym_with] = ACTIONS(3152),
    [anon_sym_var] = ACTIONS(3152),
    [anon_sym_let] = ACTIONS(3152),
    [anon_sym_const] = ACTIONS(3152),
    [anon_sym_BANG] = ACTIONS(3152),
    [anon_sym_else] = ACTIONS(3152),
    [anon_sym_if] = ACTIONS(3152),
    [anon_sym_switch] = ACTIONS(3152),
    [anon_sym_for] = ACTIONS(3152),
    [anon_sym_LPAREN] = ACTIONS(3152),
    [anon_sym_await] = ACTIONS(3152),
    [anon_sym_while] = ACTIONS(3152),
    [anon_sym_do] = ACTIONS(3152),
    [anon_sym_try] = ACTIONS(3152),
    [anon_sym_break] = ACTIONS(3152),
    [anon_sym_continue] = ACTIONS(3152),
    [anon_sym_debugger] = ACTIONS(3152),
    [anon_sym_return] = ACTIONS(3152),
    [anon_sym_throw] = ACTIONS(3152),
    [anon_sym_SEMI] = ACTIONS(3152),
    [anon_sym_case] = ACTIONS(3152),
    [anon_sym_yield] = ACTIONS(3152),
    [anon_sym_LBRACK] = ACTIONS(3152),
    [anon_sym_LTtemplate_GT] = ACTIONS(3152),
    [anon_sym_DQUOTE] = ACTIONS(3152),
    [anon_sym_SQUOTE] = ACTIONS(3152),
    [anon_sym_class] = ACTIONS(3152),
    [anon_sym_async] = ACTIONS(3152),
    [anon_sym_function] = ACTIONS(3152),
    [anon_sym_new] = ACTIONS(3152),
    [anon_sym_using] = ACTIONS(3152),
    [anon_sym_PLUS] = ACTIONS(3152),
    [anon_sym_DASH] = ACTIONS(3152),
    [anon_sym_SLASH] = ACTIONS(3152),
    [anon_sym_LT] = ACTIONS(3152),
    [anon_sym_TILDE] = ACTIONS(3152),
    [anon_sym_void] = ACTIONS(3152),
    [anon_sym_delete] = ACTIONS(3152),
    [anon_sym_PLUS_PLUS] = ACTIONS(3152),
    [anon_sym_DASH_DASH] = ACTIONS(3152),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3152),
    [sym_number] = ACTIONS(3152),
    [sym_private_property_identifier] = ACTIONS(3152),
    [sym_this] = ACTIONS(3152),
    [sym_super] = ACTIONS(3152),
    [sym_true] = ACTIONS(3152),
    [sym_false] = ACTIONS(3152),
    [sym_null] = ACTIONS(3152),
    [sym_undefined] = ACTIONS(3152),
    [anon_sym_AT] = ACTIONS(3152),
    [anon_sym_static] = ACTIONS(3152),
    [anon_sym_readonly] = ACTIONS(3152),
    [anon_sym_get] = ACTIONS(3152),
    [anon_sym_set] = ACTIONS(3152),
    [anon_sym_declare] = ACTIONS(3152),
    [anon_sym_public] = ACTIONS(3152),
    [anon_sym_private] = ACTIONS(3152),
    [anon_sym_protected] = ACTIONS(3152),
    [anon_sym_override] = ACTIONS(3152),
    [anon_sym_module] = ACTIONS(3152),
    [anon_sym_any] = ACTIONS(3152),
    [anon_sym_number] = ACTIONS(3152),
    [anon_sym_boolean] = ACTIONS(3152),
    [anon_sym_string] = ACTIONS(3152),
    [anon_sym_symbol] = ACTIONS(3152),
    [anon_sym_object] = ACTIONS(3152),
    [anon_sym_abstract] = ACTIONS(3152),
    [anon_sym_interface] = ACTIONS(3152),
    [anon_sym_enum] = ACTIONS(3152),
    [sym_html_comment] = ACTIONS(5),
  },
  [981] = {
    [sym_comment] = STATE(981),
    [sym_identifier] = ACTIONS(3154),
    [anon_sym_export] = ACTIONS(3154),
    [anon_sym_default] = ACTIONS(3154),
    [anon_sym_type] = ACTIONS(3154),
    [anon_sym_namespace] = ACTIONS(3154),
    [anon_sym_LBRACE] = ACTIONS(3154),
    [anon_sym_RBRACE] = ACTIONS(3154),
    [anon_sym_typeof] = ACTIONS(3154),
    [anon_sym_import] = ACTIONS(3154),
    [anon_sym_with] = ACTIONS(3154),
    [anon_sym_var] = ACTIONS(3154),
    [anon_sym_let] = ACTIONS(3154),
    [anon_sym_const] = ACTIONS(3154),
    [anon_sym_BANG] = ACTIONS(3154),
    [anon_sym_else] = ACTIONS(3154),
    [anon_sym_if] = ACTIONS(3154),
    [anon_sym_switch] = ACTIONS(3154),
    [anon_sym_for] = ACTIONS(3154),
    [anon_sym_LPAREN] = ACTIONS(3154),
    [anon_sym_await] = ACTIONS(3154),
    [anon_sym_while] = ACTIONS(3154),
    [anon_sym_do] = ACTIONS(3154),
    [anon_sym_try] = ACTIONS(3154),
    [anon_sym_break] = ACTIONS(3154),
    [anon_sym_continue] = ACTIONS(3154),
    [anon_sym_debugger] = ACTIONS(3154),
    [anon_sym_return] = ACTIONS(3154),
    [anon_sym_throw] = ACTIONS(3154),
    [anon_sym_SEMI] = ACTIONS(3154),
    [anon_sym_case] = ACTIONS(3154),
    [anon_sym_yield] = ACTIONS(3154),
    [anon_sym_LBRACK] = ACTIONS(3154),
    [anon_sym_LTtemplate_GT] = ACTIONS(3154),
    [anon_sym_DQUOTE] = ACTIONS(3154),
    [anon_sym_SQUOTE] = ACTIONS(3154),
    [anon_sym_class] = ACTIONS(3154),
    [anon_sym_async] = ACTIONS(3154),
    [anon_sym_function] = ACTIONS(3154),
    [anon_sym_new] = ACTIONS(3154),
    [anon_sym_using] = ACTIONS(3154),
    [anon_sym_PLUS] = ACTIONS(3154),
    [anon_sym_DASH] = ACTIONS(3154),
    [anon_sym_SLASH] = ACTIONS(3154),
    [anon_sym_LT] = ACTIONS(3154),
    [anon_sym_TILDE] = ACTIONS(3154),
    [anon_sym_void] = ACTIONS(3154),
    [anon_sym_delete] = ACTIONS(3154),
    [anon_sym_PLUS_PLUS] = ACTIONS(3154),
    [anon_sym_DASH_DASH] = ACTIONS(3154),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3154),
    [sym_number] = ACTIONS(3154),
    [sym_private_property_identifier] = ACTIONS(3154),
    [sym_this] = ACTIONS(3154),
    [sym_super] = ACTIONS(3154),
    [sym_true] = ACTIONS(3154),
    [sym_false] = ACTIONS(3154),
    [sym_null] = ACTIONS(3154),
    [sym_undefined] = ACTIONS(3154),
    [anon_sym_AT] = ACTIONS(3154),
    [anon_sym_static] = ACTIONS(3154),
    [anon_sym_readonly] = ACTIONS(3154),
    [anon_sym_get] = ACTIONS(3154),
    [anon_sym_set] = ACTIONS(3154),
    [anon_sym_declare] = ACTIONS(3154),
    [anon_sym_public] = ACTIONS(3154),
    [anon_sym_private] = ACTIONS(3154),
    [anon_sym_protected] = ACTIONS(3154),
    [anon_sym_override] = ACTIONS(3154),
    [anon_sym_module] = ACTIONS(3154),
    [anon_sym_any] = ACTIONS(3154),
    [anon_sym_number] = ACTIONS(3154),
    [anon_sym_boolean] = ACTIONS(3154),
    [anon_sym_string] = ACTIONS(3154),
    [anon_sym_symbol] = ACTIONS(3154),
    [anon_sym_object] = ACTIONS(3154),
    [anon_sym_abstract] = ACTIONS(3154),
    [anon_sym_interface] = ACTIONS(3154),
    [anon_sym_enum] = ACTIONS(3154),
    [sym_html_comment] = ACTIONS(5),
  },
  [982] = {
    [sym_comment] = STATE(982),
    [sym_identifier] = ACTIONS(3156),
    [anon_sym_export] = ACTIONS(3156),
    [anon_sym_default] = ACTIONS(3156),
    [anon_sym_type] = ACTIONS(3156),
    [anon_sym_namespace] = ACTIONS(3156),
    [anon_sym_LBRACE] = ACTIONS(3156),
    [anon_sym_RBRACE] = ACTIONS(3156),
    [anon_sym_typeof] = ACTIONS(3156),
    [anon_sym_import] = ACTIONS(3156),
    [anon_sym_with] = ACTIONS(3156),
    [anon_sym_var] = ACTIONS(3156),
    [anon_sym_let] = ACTIONS(3156),
    [anon_sym_const] = ACTIONS(3156),
    [anon_sym_BANG] = ACTIONS(3156),
    [anon_sym_else] = ACTIONS(3156),
    [anon_sym_if] = ACTIONS(3156),
    [anon_sym_switch] = ACTIONS(3156),
    [anon_sym_for] = ACTIONS(3156),
    [anon_sym_LPAREN] = ACTIONS(3156),
    [anon_sym_await] = ACTIONS(3156),
    [anon_sym_while] = ACTIONS(3156),
    [anon_sym_do] = ACTIONS(3156),
    [anon_sym_try] = ACTIONS(3156),
    [anon_sym_break] = ACTIONS(3156),
    [anon_sym_continue] = ACTIONS(3156),
    [anon_sym_debugger] = ACTIONS(3156),
    [anon_sym_return] = ACTIONS(3156),
    [anon_sym_throw] = ACTIONS(3156),
    [anon_sym_SEMI] = ACTIONS(3156),
    [anon_sym_case] = ACTIONS(3156),
    [anon_sym_yield] = ACTIONS(3156),
    [anon_sym_LBRACK] = ACTIONS(3156),
    [anon_sym_LTtemplate_GT] = ACTIONS(3156),
    [anon_sym_DQUOTE] = ACTIONS(3156),
    [anon_sym_SQUOTE] = ACTIONS(3156),
    [anon_sym_class] = ACTIONS(3156),
    [anon_sym_async] = ACTIONS(3156),
    [anon_sym_function] = ACTIONS(3156),
    [anon_sym_new] = ACTIONS(3156),
    [anon_sym_using] = ACTIONS(3156),
    [anon_sym_PLUS] = ACTIONS(3156),
    [anon_sym_DASH] = ACTIONS(3156),
    [anon_sym_SLASH] = ACTIONS(3156),
    [anon_sym_LT] = ACTIONS(3156),
    [anon_sym_TILDE] = ACTIONS(3156),
    [anon_sym_void] = ACTIONS(3156),
    [anon_sym_delete] = ACTIONS(3156),
    [anon_sym_PLUS_PLUS] = ACTIONS(3156),
    [anon_sym_DASH_DASH] = ACTIONS(3156),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3156),
    [sym_number] = ACTIONS(3156),
    [sym_private_property_identifier] = ACTIONS(3156),
    [sym_this] = ACTIONS(3156),
    [sym_super] = ACTIONS(3156),
    [sym_true] = ACTIONS(3156),
    [sym_false] = ACTIONS(3156),
    [sym_null] = ACTIONS(3156),
    [sym_undefined] = ACTIONS(3156),
    [anon_sym_AT] = ACTIONS(3156),
    [anon_sym_static] = ACTIONS(3156),
    [anon_sym_readonly] = ACTIONS(3156),
    [anon_sym_get] = ACTIONS(3156),
    [anon_sym_set] = ACTIONS(3156),
    [anon_sym_declare] = ACTIONS(3156),
    [anon_sym_public] = ACTIONS(3156),
    [anon_sym_private] = ACTIONS(3156),
    [anon_sym_protected] = ACTIONS(3156),
    [anon_sym_override] = ACTIONS(3156),
    [anon_sym_module] = ACTIONS(3156),
    [anon_sym_any] = ACTIONS(3156),
    [anon_sym_number] = ACTIONS(3156),
    [anon_sym_boolean] = ACTIONS(3156),
    [anon_sym_string] = ACTIONS(3156),
    [anon_sym_symbol] = ACTIONS(3156),
    [anon_sym_object] = ACTIONS(3156),
    [anon_sym_abstract] = ACTIONS(3156),
    [anon_sym_interface] = ACTIONS(3156),
    [anon_sym_enum] = ACTIONS(3156),
    [sym_html_comment] = ACTIONS(5),
  },
  [983] = {
    [sym_comment] = STATE(983),
    [sym_identifier] = ACTIONS(3158),
    [anon_sym_export] = ACTIONS(3158),
    [anon_sym_default] = ACTIONS(3158),
    [anon_sym_type] = ACTIONS(3158),
    [anon_sym_namespace] = ACTIONS(3158),
    [anon_sym_LBRACE] = ACTIONS(3158),
    [anon_sym_RBRACE] = ACTIONS(3158),
    [anon_sym_typeof] = ACTIONS(3158),
    [anon_sym_import] = ACTIONS(3158),
    [anon_sym_with] = ACTIONS(3158),
    [anon_sym_var] = ACTIONS(3158),
    [anon_sym_let] = ACTIONS(3158),
    [anon_sym_const] = ACTIONS(3158),
    [anon_sym_BANG] = ACTIONS(3158),
    [anon_sym_else] = ACTIONS(3158),
    [anon_sym_if] = ACTIONS(3158),
    [anon_sym_switch] = ACTIONS(3158),
    [anon_sym_for] = ACTIONS(3158),
    [anon_sym_LPAREN] = ACTIONS(3158),
    [anon_sym_await] = ACTIONS(3158),
    [anon_sym_while] = ACTIONS(3158),
    [anon_sym_do] = ACTIONS(3158),
    [anon_sym_try] = ACTIONS(3158),
    [anon_sym_break] = ACTIONS(3158),
    [anon_sym_continue] = ACTIONS(3158),
    [anon_sym_debugger] = ACTIONS(3158),
    [anon_sym_return] = ACTIONS(3158),
    [anon_sym_throw] = ACTIONS(3158),
    [anon_sym_SEMI] = ACTIONS(3158),
    [anon_sym_case] = ACTIONS(3158),
    [anon_sym_yield] = ACTIONS(3158),
    [anon_sym_LBRACK] = ACTIONS(3158),
    [anon_sym_LTtemplate_GT] = ACTIONS(3158),
    [anon_sym_DQUOTE] = ACTIONS(3158),
    [anon_sym_SQUOTE] = ACTIONS(3158),
    [anon_sym_class] = ACTIONS(3158),
    [anon_sym_async] = ACTIONS(3158),
    [anon_sym_function] = ACTIONS(3158),
    [anon_sym_new] = ACTIONS(3158),
    [anon_sym_using] = ACTIONS(3158),
    [anon_sym_PLUS] = ACTIONS(3158),
    [anon_sym_DASH] = ACTIONS(3158),
    [anon_sym_SLASH] = ACTIONS(3158),
    [anon_sym_LT] = ACTIONS(3158),
    [anon_sym_TILDE] = ACTIONS(3158),
    [anon_sym_void] = ACTIONS(3158),
    [anon_sym_delete] = ACTIONS(3158),
    [anon_sym_PLUS_PLUS] = ACTIONS(3158),
    [anon_sym_DASH_DASH] = ACTIONS(3158),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3158),
    [sym_number] = ACTIONS(3158),
    [sym_private_property_identifier] = ACTIONS(3158),
    [sym_this] = ACTIONS(3158),
    [sym_super] = ACTIONS(3158),
    [sym_true] = ACTIONS(3158),
    [sym_false] = ACTIONS(3158),
    [sym_null] = ACTIONS(3158),
    [sym_undefined] = ACTIONS(3158),
    [anon_sym_AT] = ACTIONS(3158),
    [anon_sym_static] = ACTIONS(3158),
    [anon_sym_readonly] = ACTIONS(3158),
    [anon_sym_get] = ACTIONS(3158),
    [anon_sym_set] = ACTIONS(3158),
    [anon_sym_declare] = ACTIONS(3158),
    [anon_sym_public] = ACTIONS(3158),
    [anon_sym_private] = ACTIONS(3158),
    [anon_sym_protected] = ACTIONS(3158),
    [anon_sym_override] = ACTIONS(3158),
    [anon_sym_module] = ACTIONS(3158),
    [anon_sym_any] = ACTIONS(3158),
    [anon_sym_number] = ACTIONS(3158),
    [anon_sym_boolean] = ACTIONS(3158),
    [anon_sym_string] = ACTIONS(3158),
    [anon_sym_symbol] = ACTIONS(3158),
    [anon_sym_object] = ACTIONS(3158),
    [anon_sym_abstract] = ACTIONS(3158),
    [anon_sym_interface] = ACTIONS(3158),
    [anon_sym_enum] = ACTIONS(3158),
    [sym_html_comment] = ACTIONS(5),
  },
  [984] = {
    [sym_comment] = STATE(984),
    [sym_identifier] = ACTIONS(3160),
    [anon_sym_export] = ACTIONS(3160),
    [anon_sym_default] = ACTIONS(3160),
    [anon_sym_type] = ACTIONS(3160),
    [anon_sym_namespace] = ACTIONS(3160),
    [anon_sym_LBRACE] = ACTIONS(3160),
    [anon_sym_RBRACE] = ACTIONS(3160),
    [anon_sym_typeof] = ACTIONS(3160),
    [anon_sym_import] = ACTIONS(3160),
    [anon_sym_with] = ACTIONS(3160),
    [anon_sym_var] = ACTIONS(3160),
    [anon_sym_let] = ACTIONS(3160),
    [anon_sym_const] = ACTIONS(3160),
    [anon_sym_BANG] = ACTIONS(3160),
    [anon_sym_else] = ACTIONS(3160),
    [anon_sym_if] = ACTIONS(3160),
    [anon_sym_switch] = ACTIONS(3160),
    [anon_sym_for] = ACTIONS(3160),
    [anon_sym_LPAREN] = ACTIONS(3160),
    [anon_sym_await] = ACTIONS(3160),
    [anon_sym_while] = ACTIONS(3160),
    [anon_sym_do] = ACTIONS(3160),
    [anon_sym_try] = ACTIONS(3160),
    [anon_sym_break] = ACTIONS(3160),
    [anon_sym_continue] = ACTIONS(3160),
    [anon_sym_debugger] = ACTIONS(3160),
    [anon_sym_return] = ACTIONS(3160),
    [anon_sym_throw] = ACTIONS(3160),
    [anon_sym_SEMI] = ACTIONS(3160),
    [anon_sym_case] = ACTIONS(3160),
    [anon_sym_yield] = ACTIONS(3160),
    [anon_sym_LBRACK] = ACTIONS(3160),
    [anon_sym_LTtemplate_GT] = ACTIONS(3160),
    [anon_sym_DQUOTE] = ACTIONS(3160),
    [anon_sym_SQUOTE] = ACTIONS(3160),
    [anon_sym_class] = ACTIONS(3160),
    [anon_sym_async] = ACTIONS(3160),
    [anon_sym_function] = ACTIONS(3160),
    [anon_sym_new] = ACTIONS(3160),
    [anon_sym_using] = ACTIONS(3160),
    [anon_sym_PLUS] = ACTIONS(3160),
    [anon_sym_DASH] = ACTIONS(3160),
    [anon_sym_SLASH] = ACTIONS(3160),
    [anon_sym_LT] = ACTIONS(3160),
    [anon_sym_TILDE] = ACTIONS(3160),
    [anon_sym_void] = ACTIONS(3160),
    [anon_sym_delete] = ACTIONS(3160),
    [anon_sym_PLUS_PLUS] = ACTIONS(3160),
    [anon_sym_DASH_DASH] = ACTIONS(3160),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3160),
    [sym_number] = ACTIONS(3160),
    [sym_private_property_identifier] = ACTIONS(3160),
    [sym_this] = ACTIONS(3160),
    [sym_super] = ACTIONS(3160),
    [sym_true] = ACTIONS(3160),
    [sym_false] = ACTIONS(3160),
    [sym_null] = ACTIONS(3160),
    [sym_undefined] = ACTIONS(3160),
    [anon_sym_AT] = ACTIONS(3160),
    [anon_sym_static] = ACTIONS(3160),
    [anon_sym_readonly] = ACTIONS(3160),
    [anon_sym_get] = ACTIONS(3160),
    [anon_sym_set] = ACTIONS(3160),
    [anon_sym_declare] = ACTIONS(3160),
    [anon_sym_public] = ACTIONS(3160),
    [anon_sym_private] = ACTIONS(3160),
    [anon_sym_protected] = ACTIONS(3160),
    [anon_sym_override] = ACTIONS(3160),
    [anon_sym_module] = ACTIONS(3160),
    [anon_sym_any] = ACTIONS(3160),
    [anon_sym_number] = ACTIONS(3160),
    [anon_sym_boolean] = ACTIONS(3160),
    [anon_sym_string] = ACTIONS(3160),
    [anon_sym_symbol] = ACTIONS(3160),
    [anon_sym_object] = ACTIONS(3160),
    [anon_sym_abstract] = ACTIONS(3160),
    [anon_sym_interface] = ACTIONS(3160),
    [anon_sym_enum] = ACTIONS(3160),
    [sym_html_comment] = ACTIONS(5),
  },
  [985] = {
    [sym_comment] = STATE(985),
    [sym_identifier] = ACTIONS(3162),
    [anon_sym_export] = ACTIONS(3162),
    [anon_sym_default] = ACTIONS(3162),
    [anon_sym_type] = ACTIONS(3162),
    [anon_sym_namespace] = ACTIONS(3162),
    [anon_sym_LBRACE] = ACTIONS(3162),
    [anon_sym_RBRACE] = ACTIONS(3162),
    [anon_sym_typeof] = ACTIONS(3162),
    [anon_sym_import] = ACTIONS(3162),
    [anon_sym_with] = ACTIONS(3162),
    [anon_sym_var] = ACTIONS(3162),
    [anon_sym_let] = ACTIONS(3162),
    [anon_sym_const] = ACTIONS(3162),
    [anon_sym_BANG] = ACTIONS(3162),
    [anon_sym_else] = ACTIONS(3162),
    [anon_sym_if] = ACTIONS(3162),
    [anon_sym_switch] = ACTIONS(3162),
    [anon_sym_for] = ACTIONS(3162),
    [anon_sym_LPAREN] = ACTIONS(3162),
    [anon_sym_await] = ACTIONS(3162),
    [anon_sym_while] = ACTIONS(3162),
    [anon_sym_do] = ACTIONS(3162),
    [anon_sym_try] = ACTIONS(3162),
    [anon_sym_break] = ACTIONS(3162),
    [anon_sym_continue] = ACTIONS(3162),
    [anon_sym_debugger] = ACTIONS(3162),
    [anon_sym_return] = ACTIONS(3162),
    [anon_sym_throw] = ACTIONS(3162),
    [anon_sym_SEMI] = ACTIONS(3162),
    [anon_sym_case] = ACTIONS(3162),
    [anon_sym_yield] = ACTIONS(3162),
    [anon_sym_LBRACK] = ACTIONS(3162),
    [anon_sym_LTtemplate_GT] = ACTIONS(3162),
    [anon_sym_DQUOTE] = ACTIONS(3162),
    [anon_sym_SQUOTE] = ACTIONS(3162),
    [anon_sym_class] = ACTIONS(3162),
    [anon_sym_async] = ACTIONS(3162),
    [anon_sym_function] = ACTIONS(3162),
    [anon_sym_new] = ACTIONS(3162),
    [anon_sym_using] = ACTIONS(3162),
    [anon_sym_PLUS] = ACTIONS(3162),
    [anon_sym_DASH] = ACTIONS(3162),
    [anon_sym_SLASH] = ACTIONS(3162),
    [anon_sym_LT] = ACTIONS(3162),
    [anon_sym_TILDE] = ACTIONS(3162),
    [anon_sym_void] = ACTIONS(3162),
    [anon_sym_delete] = ACTIONS(3162),
    [anon_sym_PLUS_PLUS] = ACTIONS(3162),
    [anon_sym_DASH_DASH] = ACTIONS(3162),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3162),
    [sym_number] = ACTIONS(3162),
    [sym_private_property_identifier] = ACTIONS(3162),
    [sym_this] = ACTIONS(3162),
    [sym_super] = ACTIONS(3162),
    [sym_true] = ACTIONS(3162),
    [sym_false] = ACTIONS(3162),
    [sym_null] = ACTIONS(3162),
    [sym_undefined] = ACTIONS(3162),
    [anon_sym_AT] = ACTIONS(3162),
    [anon_sym_static] = ACTIONS(3162),
    [anon_sym_readonly] = ACTIONS(3162),
    [anon_sym_get] = ACTIONS(3162),
    [anon_sym_set] = ACTIONS(3162),
    [anon_sym_declare] = ACTIONS(3162),
    [anon_sym_public] = ACTIONS(3162),
    [anon_sym_private] = ACTIONS(3162),
    [anon_sym_protected] = ACTIONS(3162),
    [anon_sym_override] = ACTIONS(3162),
    [anon_sym_module] = ACTIONS(3162),
    [anon_sym_any] = ACTIONS(3162),
    [anon_sym_number] = ACTIONS(3162),
    [anon_sym_boolean] = ACTIONS(3162),
    [anon_sym_string] = ACTIONS(3162),
    [anon_sym_symbol] = ACTIONS(3162),
    [anon_sym_object] = ACTIONS(3162),
    [anon_sym_abstract] = ACTIONS(3162),
    [anon_sym_interface] = ACTIONS(3162),
    [anon_sym_enum] = ACTIONS(3162),
    [sym_html_comment] = ACTIONS(5),
  },
  [986] = {
    [sym_comment] = STATE(986),
    [ts_builtin_sym_end] = ACTIONS(3080),
    [sym_identifier] = ACTIONS(3078),
    [anon_sym_export] = ACTIONS(3078),
    [anon_sym_type] = ACTIONS(3078),
    [anon_sym_namespace] = ACTIONS(3078),
    [anon_sym_LBRACE] = ACTIONS(3078),
    [anon_sym_RBRACE] = ACTIONS(3078),
    [anon_sym_typeof] = ACTIONS(3078),
    [anon_sym_import] = ACTIONS(3078),
    [anon_sym_with] = ACTIONS(3078),
    [anon_sym_var] = ACTIONS(3078),
    [anon_sym_let] = ACTIONS(3078),
    [anon_sym_const] = ACTIONS(3078),
    [anon_sym_BANG] = ACTIONS(3078),
    [anon_sym_else] = ACTIONS(3078),
    [anon_sym_if] = ACTIONS(3078),
    [anon_sym_switch] = ACTIONS(3078),
    [anon_sym_for] = ACTIONS(3078),
    [anon_sym_LPAREN] = ACTIONS(3078),
    [anon_sym_await] = ACTIONS(3078),
    [anon_sym_while] = ACTIONS(3078),
    [anon_sym_do] = ACTIONS(3078),
    [anon_sym_try] = ACTIONS(3078),
    [anon_sym_break] = ACTIONS(3078),
    [anon_sym_continue] = ACTIONS(3078),
    [anon_sym_debugger] = ACTIONS(3078),
    [anon_sym_return] = ACTIONS(3078),
    [anon_sym_throw] = ACTIONS(3078),
    [anon_sym_SEMI] = ACTIONS(3078),
    [anon_sym_yield] = ACTIONS(3078),
    [anon_sym_LBRACK] = ACTIONS(3078),
    [anon_sym_LTtemplate_GT] = ACTIONS(3078),
    [anon_sym_DQUOTE] = ACTIONS(3078),
    [anon_sym_SQUOTE] = ACTIONS(3078),
    [anon_sym_class] = ACTIONS(3078),
    [anon_sym_async] = ACTIONS(3078),
    [anon_sym_function] = ACTIONS(3078),
    [anon_sym_new] = ACTIONS(3078),
    [anon_sym_using] = ACTIONS(3078),
    [anon_sym_PLUS] = ACTIONS(3078),
    [anon_sym_DASH] = ACTIONS(3078),
    [anon_sym_SLASH] = ACTIONS(3078),
    [anon_sym_LT] = ACTIONS(3078),
    [anon_sym_TILDE] = ACTIONS(3078),
    [anon_sym_void] = ACTIONS(3078),
    [anon_sym_delete] = ACTIONS(3078),
    [anon_sym_PLUS_PLUS] = ACTIONS(3078),
    [anon_sym_DASH_DASH] = ACTIONS(3078),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3078),
    [sym_number] = ACTIONS(3078),
    [sym_private_property_identifier] = ACTIONS(3078),
    [sym_this] = ACTIONS(3078),
    [sym_super] = ACTIONS(3078),
    [sym_true] = ACTIONS(3078),
    [sym_false] = ACTIONS(3078),
    [sym_null] = ACTIONS(3078),
    [sym_undefined] = ACTIONS(3078),
    [anon_sym_AT] = ACTIONS(3078),
    [anon_sym_static] = ACTIONS(3078),
    [anon_sym_readonly] = ACTIONS(3078),
    [anon_sym_get] = ACTIONS(3078),
    [anon_sym_set] = ACTIONS(3078),
    [anon_sym_declare] = ACTIONS(3078),
    [anon_sym_public] = ACTIONS(3078),
    [anon_sym_private] = ACTIONS(3078),
    [anon_sym_protected] = ACTIONS(3078),
    [anon_sym_override] = ACTIONS(3078),
    [anon_sym_module] = ACTIONS(3078),
    [anon_sym_any] = ACTIONS(3078),
    [anon_sym_number] = ACTIONS(3078),
    [anon_sym_boolean] = ACTIONS(3078),
    [anon_sym_string] = ACTIONS(3078),
    [anon_sym_symbol] = ACTIONS(3078),
    [anon_sym_object] = ACTIONS(3078),
    [anon_sym_abstract] = ACTIONS(3078),
    [anon_sym_interface] = ACTIONS(3078),
    [anon_sym_enum] = ACTIONS(3078),
    [sym__automatic_semicolon] = ACTIONS(3080),
    [sym_html_comment] = ACTIONS(5),
  },
  [987] = {
    [sym_comment] = STATE(987),
    [sym_identifier] = ACTIONS(3164),
    [anon_sym_export] = ACTIONS(3164),
    [anon_sym_default] = ACTIONS(3164),
    [anon_sym_type] = ACTIONS(3164),
    [anon_sym_namespace] = ACTIONS(3164),
    [anon_sym_LBRACE] = ACTIONS(3164),
    [anon_sym_RBRACE] = ACTIONS(3164),
    [anon_sym_typeof] = ACTIONS(3164),
    [anon_sym_import] = ACTIONS(3164),
    [anon_sym_with] = ACTIONS(3164),
    [anon_sym_var] = ACTIONS(3164),
    [anon_sym_let] = ACTIONS(3164),
    [anon_sym_const] = ACTIONS(3164),
    [anon_sym_BANG] = ACTIONS(3164),
    [anon_sym_else] = ACTIONS(3164),
    [anon_sym_if] = ACTIONS(3164),
    [anon_sym_switch] = ACTIONS(3164),
    [anon_sym_for] = ACTIONS(3164),
    [anon_sym_LPAREN] = ACTIONS(3164),
    [anon_sym_await] = ACTIONS(3164),
    [anon_sym_while] = ACTIONS(3164),
    [anon_sym_do] = ACTIONS(3164),
    [anon_sym_try] = ACTIONS(3164),
    [anon_sym_break] = ACTIONS(3164),
    [anon_sym_continue] = ACTIONS(3164),
    [anon_sym_debugger] = ACTIONS(3164),
    [anon_sym_return] = ACTIONS(3164),
    [anon_sym_throw] = ACTIONS(3164),
    [anon_sym_SEMI] = ACTIONS(3164),
    [anon_sym_case] = ACTIONS(3164),
    [anon_sym_yield] = ACTIONS(3164),
    [anon_sym_LBRACK] = ACTIONS(3164),
    [anon_sym_LTtemplate_GT] = ACTIONS(3164),
    [anon_sym_DQUOTE] = ACTIONS(3164),
    [anon_sym_SQUOTE] = ACTIONS(3164),
    [anon_sym_class] = ACTIONS(3164),
    [anon_sym_async] = ACTIONS(3164),
    [anon_sym_function] = ACTIONS(3164),
    [anon_sym_new] = ACTIONS(3164),
    [anon_sym_using] = ACTIONS(3164),
    [anon_sym_PLUS] = ACTIONS(3164),
    [anon_sym_DASH] = ACTIONS(3164),
    [anon_sym_SLASH] = ACTIONS(3164),
    [anon_sym_LT] = ACTIONS(3164),
    [anon_sym_TILDE] = ACTIONS(3164),
    [anon_sym_void] = ACTIONS(3164),
    [anon_sym_delete] = ACTIONS(3164),
    [anon_sym_PLUS_PLUS] = ACTIONS(3164),
    [anon_sym_DASH_DASH] = ACTIONS(3164),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3164),
    [sym_number] = ACTIONS(3164),
    [sym_private_property_identifier] = ACTIONS(3164),
    [sym_this] = ACTIONS(3164),
    [sym_super] = ACTIONS(3164),
    [sym_true] = ACTIONS(3164),
    [sym_false] = ACTIONS(3164),
    [sym_null] = ACTIONS(3164),
    [sym_undefined] = ACTIONS(3164),
    [anon_sym_AT] = ACTIONS(3164),
    [anon_sym_static] = ACTIONS(3164),
    [anon_sym_readonly] = ACTIONS(3164),
    [anon_sym_get] = ACTIONS(3164),
    [anon_sym_set] = ACTIONS(3164),
    [anon_sym_declare] = ACTIONS(3164),
    [anon_sym_public] = ACTIONS(3164),
    [anon_sym_private] = ACTIONS(3164),
    [anon_sym_protected] = ACTIONS(3164),
    [anon_sym_override] = ACTIONS(3164),
    [anon_sym_module] = ACTIONS(3164),
    [anon_sym_any] = ACTIONS(3164),
    [anon_sym_number] = ACTIONS(3164),
    [anon_sym_boolean] = ACTIONS(3164),
    [anon_sym_string] = ACTIONS(3164),
    [anon_sym_symbol] = ACTIONS(3164),
    [anon_sym_object] = ACTIONS(3164),
    [anon_sym_abstract] = ACTIONS(3164),
    [anon_sym_interface] = ACTIONS(3164),
    [anon_sym_enum] = ACTIONS(3164),
    [sym_html_comment] = ACTIONS(5),
  },
  [988] = {
    [sym_comment] = STATE(988),
    [sym_identifier] = ACTIONS(3166),
    [anon_sym_export] = ACTIONS(3166),
    [anon_sym_default] = ACTIONS(3166),
    [anon_sym_type] = ACTIONS(3166),
    [anon_sym_namespace] = ACTIONS(3166),
    [anon_sym_LBRACE] = ACTIONS(3166),
    [anon_sym_RBRACE] = ACTIONS(3166),
    [anon_sym_typeof] = ACTIONS(3166),
    [anon_sym_import] = ACTIONS(3166),
    [anon_sym_with] = ACTIONS(3166),
    [anon_sym_var] = ACTIONS(3166),
    [anon_sym_let] = ACTIONS(3166),
    [anon_sym_const] = ACTIONS(3166),
    [anon_sym_BANG] = ACTIONS(3166),
    [anon_sym_else] = ACTIONS(3166),
    [anon_sym_if] = ACTIONS(3166),
    [anon_sym_switch] = ACTIONS(3166),
    [anon_sym_for] = ACTIONS(3166),
    [anon_sym_LPAREN] = ACTIONS(3166),
    [anon_sym_await] = ACTIONS(3166),
    [anon_sym_while] = ACTIONS(3166),
    [anon_sym_do] = ACTIONS(3166),
    [anon_sym_try] = ACTIONS(3166),
    [anon_sym_break] = ACTIONS(3166),
    [anon_sym_continue] = ACTIONS(3166),
    [anon_sym_debugger] = ACTIONS(3166),
    [anon_sym_return] = ACTIONS(3166),
    [anon_sym_throw] = ACTIONS(3166),
    [anon_sym_SEMI] = ACTIONS(3166),
    [anon_sym_case] = ACTIONS(3166),
    [anon_sym_yield] = ACTIONS(3166),
    [anon_sym_LBRACK] = ACTIONS(3166),
    [anon_sym_LTtemplate_GT] = ACTIONS(3166),
    [anon_sym_DQUOTE] = ACTIONS(3166),
    [anon_sym_SQUOTE] = ACTIONS(3166),
    [anon_sym_class] = ACTIONS(3166),
    [anon_sym_async] = ACTIONS(3166),
    [anon_sym_function] = ACTIONS(3166),
    [anon_sym_new] = ACTIONS(3166),
    [anon_sym_using] = ACTIONS(3166),
    [anon_sym_PLUS] = ACTIONS(3166),
    [anon_sym_DASH] = ACTIONS(3166),
    [anon_sym_SLASH] = ACTIONS(3166),
    [anon_sym_LT] = ACTIONS(3166),
    [anon_sym_TILDE] = ACTIONS(3166),
    [anon_sym_void] = ACTIONS(3166),
    [anon_sym_delete] = ACTIONS(3166),
    [anon_sym_PLUS_PLUS] = ACTIONS(3166),
    [anon_sym_DASH_DASH] = ACTIONS(3166),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3166),
    [sym_number] = ACTIONS(3166),
    [sym_private_property_identifier] = ACTIONS(3166),
    [sym_this] = ACTIONS(3166),
    [sym_super] = ACTIONS(3166),
    [sym_true] = ACTIONS(3166),
    [sym_false] = ACTIONS(3166),
    [sym_null] = ACTIONS(3166),
    [sym_undefined] = ACTIONS(3166),
    [anon_sym_AT] = ACTIONS(3166),
    [anon_sym_static] = ACTIONS(3166),
    [anon_sym_readonly] = ACTIONS(3166),
    [anon_sym_get] = ACTIONS(3166),
    [anon_sym_set] = ACTIONS(3166),
    [anon_sym_declare] = ACTIONS(3166),
    [anon_sym_public] = ACTIONS(3166),
    [anon_sym_private] = ACTIONS(3166),
    [anon_sym_protected] = ACTIONS(3166),
    [anon_sym_override] = ACTIONS(3166),
    [anon_sym_module] = ACTIONS(3166),
    [anon_sym_any] = ACTIONS(3166),
    [anon_sym_number] = ACTIONS(3166),
    [anon_sym_boolean] = ACTIONS(3166),
    [anon_sym_string] = ACTIONS(3166),
    [anon_sym_symbol] = ACTIONS(3166),
    [anon_sym_object] = ACTIONS(3166),
    [anon_sym_abstract] = ACTIONS(3166),
    [anon_sym_interface] = ACTIONS(3166),
    [anon_sym_enum] = ACTIONS(3166),
    [sym_html_comment] = ACTIONS(5),
  },
  [989] = {
    [sym_comment] = STATE(989),
    [sym_identifier] = ACTIONS(3168),
    [anon_sym_export] = ACTIONS(3168),
    [anon_sym_default] = ACTIONS(3168),
    [anon_sym_type] = ACTIONS(3168),
    [anon_sym_namespace] = ACTIONS(3168),
    [anon_sym_LBRACE] = ACTIONS(3168),
    [anon_sym_RBRACE] = ACTIONS(3168),
    [anon_sym_typeof] = ACTIONS(3168),
    [anon_sym_import] = ACTIONS(3168),
    [anon_sym_with] = ACTIONS(3168),
    [anon_sym_var] = ACTIONS(3168),
    [anon_sym_let] = ACTIONS(3168),
    [anon_sym_const] = ACTIONS(3168),
    [anon_sym_BANG] = ACTIONS(3168),
    [anon_sym_else] = ACTIONS(3168),
    [anon_sym_if] = ACTIONS(3168),
    [anon_sym_switch] = ACTIONS(3168),
    [anon_sym_for] = ACTIONS(3168),
    [anon_sym_LPAREN] = ACTIONS(3168),
    [anon_sym_await] = ACTIONS(3168),
    [anon_sym_while] = ACTIONS(3168),
    [anon_sym_do] = ACTIONS(3168),
    [anon_sym_try] = ACTIONS(3168),
    [anon_sym_break] = ACTIONS(3168),
    [anon_sym_continue] = ACTIONS(3168),
    [anon_sym_debugger] = ACTIONS(3168),
    [anon_sym_return] = ACTIONS(3168),
    [anon_sym_throw] = ACTIONS(3168),
    [anon_sym_SEMI] = ACTIONS(3168),
    [anon_sym_case] = ACTIONS(3168),
    [anon_sym_yield] = ACTIONS(3168),
    [anon_sym_LBRACK] = ACTIONS(3168),
    [anon_sym_LTtemplate_GT] = ACTIONS(3168),
    [anon_sym_DQUOTE] = ACTIONS(3168),
    [anon_sym_SQUOTE] = ACTIONS(3168),
    [anon_sym_class] = ACTIONS(3168),
    [anon_sym_async] = ACTIONS(3168),
    [anon_sym_function] = ACTIONS(3168),
    [anon_sym_new] = ACTIONS(3168),
    [anon_sym_using] = ACTIONS(3168),
    [anon_sym_PLUS] = ACTIONS(3168),
    [anon_sym_DASH] = ACTIONS(3168),
    [anon_sym_SLASH] = ACTIONS(3168),
    [anon_sym_LT] = ACTIONS(3168),
    [anon_sym_TILDE] = ACTIONS(3168),
    [anon_sym_void] = ACTIONS(3168),
    [anon_sym_delete] = ACTIONS(3168),
    [anon_sym_PLUS_PLUS] = ACTIONS(3168),
    [anon_sym_DASH_DASH] = ACTIONS(3168),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3168),
    [sym_number] = ACTIONS(3168),
    [sym_private_property_identifier] = ACTIONS(3168),
    [sym_this] = ACTIONS(3168),
    [sym_super] = ACTIONS(3168),
    [sym_true] = ACTIONS(3168),
    [sym_false] = ACTIONS(3168),
    [sym_null] = ACTIONS(3168),
    [sym_undefined] = ACTIONS(3168),
    [anon_sym_AT] = ACTIONS(3168),
    [anon_sym_static] = ACTIONS(3168),
    [anon_sym_readonly] = ACTIONS(3168),
    [anon_sym_get] = ACTIONS(3168),
    [anon_sym_set] = ACTIONS(3168),
    [anon_sym_declare] = ACTIONS(3168),
    [anon_sym_public] = ACTIONS(3168),
    [anon_sym_private] = ACTIONS(3168),
    [anon_sym_protected] = ACTIONS(3168),
    [anon_sym_override] = ACTIONS(3168),
    [anon_sym_module] = ACTIONS(3168),
    [anon_sym_any] = ACTIONS(3168),
    [anon_sym_number] = ACTIONS(3168),
    [anon_sym_boolean] = ACTIONS(3168),
    [anon_sym_string] = ACTIONS(3168),
    [anon_sym_symbol] = ACTIONS(3168),
    [anon_sym_object] = ACTIONS(3168),
    [anon_sym_abstract] = ACTIONS(3168),
    [anon_sym_interface] = ACTIONS(3168),
    [anon_sym_enum] = ACTIONS(3168),
    [sym_html_comment] = ACTIONS(5),
  },
  [990] = {
    [sym_comment] = STATE(990),
    [sym_identifier] = ACTIONS(3154),
    [anon_sym_export] = ACTIONS(3154),
    [anon_sym_default] = ACTIONS(3154),
    [anon_sym_type] = ACTIONS(3154),
    [anon_sym_namespace] = ACTIONS(3154),
    [anon_sym_LBRACE] = ACTIONS(3154),
    [anon_sym_RBRACE] = ACTIONS(3154),
    [anon_sym_typeof] = ACTIONS(3154),
    [anon_sym_import] = ACTIONS(3154),
    [anon_sym_with] = ACTIONS(3154),
    [anon_sym_var] = ACTIONS(3154),
    [anon_sym_let] = ACTIONS(3154),
    [anon_sym_const] = ACTIONS(3154),
    [anon_sym_BANG] = ACTIONS(3154),
    [anon_sym_else] = ACTIONS(3154),
    [anon_sym_if] = ACTIONS(3154),
    [anon_sym_switch] = ACTIONS(3154),
    [anon_sym_for] = ACTIONS(3154),
    [anon_sym_LPAREN] = ACTIONS(3154),
    [anon_sym_await] = ACTIONS(3154),
    [anon_sym_while] = ACTIONS(3154),
    [anon_sym_do] = ACTIONS(3154),
    [anon_sym_try] = ACTIONS(3154),
    [anon_sym_break] = ACTIONS(3154),
    [anon_sym_continue] = ACTIONS(3154),
    [anon_sym_debugger] = ACTIONS(3154),
    [anon_sym_return] = ACTIONS(3154),
    [anon_sym_throw] = ACTIONS(3154),
    [anon_sym_SEMI] = ACTIONS(3154),
    [anon_sym_case] = ACTIONS(3154),
    [anon_sym_yield] = ACTIONS(3154),
    [anon_sym_LBRACK] = ACTIONS(3154),
    [anon_sym_LTtemplate_GT] = ACTIONS(3154),
    [anon_sym_DQUOTE] = ACTIONS(3154),
    [anon_sym_SQUOTE] = ACTIONS(3154),
    [anon_sym_class] = ACTIONS(3154),
    [anon_sym_async] = ACTIONS(3154),
    [anon_sym_function] = ACTIONS(3154),
    [anon_sym_new] = ACTIONS(3154),
    [anon_sym_using] = ACTIONS(3154),
    [anon_sym_PLUS] = ACTIONS(3154),
    [anon_sym_DASH] = ACTIONS(3154),
    [anon_sym_SLASH] = ACTIONS(3154),
    [anon_sym_LT] = ACTIONS(3154),
    [anon_sym_TILDE] = ACTIONS(3154),
    [anon_sym_void] = ACTIONS(3154),
    [anon_sym_delete] = ACTIONS(3154),
    [anon_sym_PLUS_PLUS] = ACTIONS(3154),
    [anon_sym_DASH_DASH] = ACTIONS(3154),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3154),
    [sym_number] = ACTIONS(3154),
    [sym_private_property_identifier] = ACTIONS(3154),
    [sym_this] = ACTIONS(3154),
    [sym_super] = ACTIONS(3154),
    [sym_true] = ACTIONS(3154),
    [sym_false] = ACTIONS(3154),
    [sym_null] = ACTIONS(3154),
    [sym_undefined] = ACTIONS(3154),
    [anon_sym_AT] = ACTIONS(3154),
    [anon_sym_static] = ACTIONS(3154),
    [anon_sym_readonly] = ACTIONS(3154),
    [anon_sym_get] = ACTIONS(3154),
    [anon_sym_set] = ACTIONS(3154),
    [anon_sym_declare] = ACTIONS(3154),
    [anon_sym_public] = ACTIONS(3154),
    [anon_sym_private] = ACTIONS(3154),
    [anon_sym_protected] = ACTIONS(3154),
    [anon_sym_override] = ACTIONS(3154),
    [anon_sym_module] = ACTIONS(3154),
    [anon_sym_any] = ACTIONS(3154),
    [anon_sym_number] = ACTIONS(3154),
    [anon_sym_boolean] = ACTIONS(3154),
    [anon_sym_string] = ACTIONS(3154),
    [anon_sym_symbol] = ACTIONS(3154),
    [anon_sym_object] = ACTIONS(3154),
    [anon_sym_abstract] = ACTIONS(3154),
    [anon_sym_interface] = ACTIONS(3154),
    [anon_sym_enum] = ACTIONS(3154),
    [sym_html_comment] = ACTIONS(5),
  },
  [991] = {
    [sym_comment] = STATE(991),
    [sym_identifier] = ACTIONS(3170),
    [anon_sym_export] = ACTIONS(3170),
    [anon_sym_default] = ACTIONS(3170),
    [anon_sym_type] = ACTIONS(3170),
    [anon_sym_namespace] = ACTIONS(3170),
    [anon_sym_LBRACE] = ACTIONS(3170),
    [anon_sym_RBRACE] = ACTIONS(3170),
    [anon_sym_typeof] = ACTIONS(3170),
    [anon_sym_import] = ACTIONS(3170),
    [anon_sym_with] = ACTIONS(3170),
    [anon_sym_var] = ACTIONS(3170),
    [anon_sym_let] = ACTIONS(3170),
    [anon_sym_const] = ACTIONS(3170),
    [anon_sym_BANG] = ACTIONS(3170),
    [anon_sym_else] = ACTIONS(3170),
    [anon_sym_if] = ACTIONS(3170),
    [anon_sym_switch] = ACTIONS(3170),
    [anon_sym_for] = ACTIONS(3170),
    [anon_sym_LPAREN] = ACTIONS(3170),
    [anon_sym_await] = ACTIONS(3170),
    [anon_sym_while] = ACTIONS(3170),
    [anon_sym_do] = ACTIONS(3170),
    [anon_sym_try] = ACTIONS(3170),
    [anon_sym_break] = ACTIONS(3170),
    [anon_sym_continue] = ACTIONS(3170),
    [anon_sym_debugger] = ACTIONS(3170),
    [anon_sym_return] = ACTIONS(3170),
    [anon_sym_throw] = ACTIONS(3170),
    [anon_sym_SEMI] = ACTIONS(3170),
    [anon_sym_case] = ACTIONS(3170),
    [anon_sym_yield] = ACTIONS(3170),
    [anon_sym_LBRACK] = ACTIONS(3170),
    [anon_sym_LTtemplate_GT] = ACTIONS(3170),
    [anon_sym_DQUOTE] = ACTIONS(3170),
    [anon_sym_SQUOTE] = ACTIONS(3170),
    [anon_sym_class] = ACTIONS(3170),
    [anon_sym_async] = ACTIONS(3170),
    [anon_sym_function] = ACTIONS(3170),
    [anon_sym_new] = ACTIONS(3170),
    [anon_sym_using] = ACTIONS(3170),
    [anon_sym_PLUS] = ACTIONS(3170),
    [anon_sym_DASH] = ACTIONS(3170),
    [anon_sym_SLASH] = ACTIONS(3170),
    [anon_sym_LT] = ACTIONS(3170),
    [anon_sym_TILDE] = ACTIONS(3170),
    [anon_sym_void] = ACTIONS(3170),
    [anon_sym_delete] = ACTIONS(3170),
    [anon_sym_PLUS_PLUS] = ACTIONS(3170),
    [anon_sym_DASH_DASH] = ACTIONS(3170),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3170),
    [sym_number] = ACTIONS(3170),
    [sym_private_property_identifier] = ACTIONS(3170),
    [sym_this] = ACTIONS(3170),
    [sym_super] = ACTIONS(3170),
    [sym_true] = ACTIONS(3170),
    [sym_false] = ACTIONS(3170),
    [sym_null] = ACTIONS(3170),
    [sym_undefined] = ACTIONS(3170),
    [anon_sym_AT] = ACTIONS(3170),
    [anon_sym_static] = ACTIONS(3170),
    [anon_sym_readonly] = ACTIONS(3170),
    [anon_sym_get] = ACTIONS(3170),
    [anon_sym_set] = ACTIONS(3170),
    [anon_sym_declare] = ACTIONS(3170),
    [anon_sym_public] = ACTIONS(3170),
    [anon_sym_private] = ACTIONS(3170),
    [anon_sym_protected] = ACTIONS(3170),
    [anon_sym_override] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(3170),
    [anon_sym_any] = ACTIONS(3170),
    [anon_sym_number] = ACTIONS(3170),
    [anon_sym_boolean] = ACTIONS(3170),
    [anon_sym_string] = ACTIONS(3170),
    [anon_sym_symbol] = ACTIONS(3170),
    [anon_sym_object] = ACTIONS(3170),
    [anon_sym_abstract] = ACTIONS(3170),
    [anon_sym_interface] = ACTIONS(3170),
    [anon_sym_enum] = ACTIONS(3170),
    [sym_html_comment] = ACTIONS(5),
  },
  [992] = {
    [sym_comment] = STATE(992),
    [sym_identifier] = ACTIONS(3172),
    [anon_sym_export] = ACTIONS(3172),
    [anon_sym_default] = ACTIONS(3172),
    [anon_sym_type] = ACTIONS(3172),
    [anon_sym_namespace] = ACTIONS(3172),
    [anon_sym_LBRACE] = ACTIONS(3172),
    [anon_sym_RBRACE] = ACTIONS(3172),
    [anon_sym_typeof] = ACTIONS(3172),
    [anon_sym_import] = ACTIONS(3172),
    [anon_sym_with] = ACTIONS(3172),
    [anon_sym_var] = ACTIONS(3172),
    [anon_sym_let] = ACTIONS(3172),
    [anon_sym_const] = ACTIONS(3172),
    [anon_sym_BANG] = ACTIONS(3172),
    [anon_sym_else] = ACTIONS(3172),
    [anon_sym_if] = ACTIONS(3172),
    [anon_sym_switch] = ACTIONS(3172),
    [anon_sym_for] = ACTIONS(3172),
    [anon_sym_LPAREN] = ACTIONS(3172),
    [anon_sym_await] = ACTIONS(3172),
    [anon_sym_while] = ACTIONS(3172),
    [anon_sym_do] = ACTIONS(3172),
    [anon_sym_try] = ACTIONS(3172),
    [anon_sym_break] = ACTIONS(3172),
    [anon_sym_continue] = ACTIONS(3172),
    [anon_sym_debugger] = ACTIONS(3172),
    [anon_sym_return] = ACTIONS(3172),
    [anon_sym_throw] = ACTIONS(3172),
    [anon_sym_SEMI] = ACTIONS(3172),
    [anon_sym_case] = ACTIONS(3172),
    [anon_sym_yield] = ACTIONS(3172),
    [anon_sym_LBRACK] = ACTIONS(3172),
    [anon_sym_LTtemplate_GT] = ACTIONS(3172),
    [anon_sym_DQUOTE] = ACTIONS(3172),
    [anon_sym_SQUOTE] = ACTIONS(3172),
    [anon_sym_class] = ACTIONS(3172),
    [anon_sym_async] = ACTIONS(3172),
    [anon_sym_function] = ACTIONS(3172),
    [anon_sym_new] = ACTIONS(3172),
    [anon_sym_using] = ACTIONS(3172),
    [anon_sym_PLUS] = ACTIONS(3172),
    [anon_sym_DASH] = ACTIONS(3172),
    [anon_sym_SLASH] = ACTIONS(3172),
    [anon_sym_LT] = ACTIONS(3172),
    [anon_sym_TILDE] = ACTIONS(3172),
    [anon_sym_void] = ACTIONS(3172),
    [anon_sym_delete] = ACTIONS(3172),
    [anon_sym_PLUS_PLUS] = ACTIONS(3172),
    [anon_sym_DASH_DASH] = ACTIONS(3172),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3172),
    [sym_number] = ACTIONS(3172),
    [sym_private_property_identifier] = ACTIONS(3172),
    [sym_this] = ACTIONS(3172),
    [sym_super] = ACTIONS(3172),
    [sym_true] = ACTIONS(3172),
    [sym_false] = ACTIONS(3172),
    [sym_null] = ACTIONS(3172),
    [sym_undefined] = ACTIONS(3172),
    [anon_sym_AT] = ACTIONS(3172),
    [anon_sym_static] = ACTIONS(3172),
    [anon_sym_readonly] = ACTIONS(3172),
    [anon_sym_get] = ACTIONS(3172),
    [anon_sym_set] = ACTIONS(3172),
    [anon_sym_declare] = ACTIONS(3172),
    [anon_sym_public] = ACTIONS(3172),
    [anon_sym_private] = ACTIONS(3172),
    [anon_sym_protected] = ACTIONS(3172),
    [anon_sym_override] = ACTIONS(3172),
    [anon_sym_module] = ACTIONS(3172),
    [anon_sym_any] = ACTIONS(3172),
    [anon_sym_number] = ACTIONS(3172),
    [anon_sym_boolean] = ACTIONS(3172),
    [anon_sym_string] = ACTIONS(3172),
    [anon_sym_symbol] = ACTIONS(3172),
    [anon_sym_object] = ACTIONS(3172),
    [anon_sym_abstract] = ACTIONS(3172),
    [anon_sym_interface] = ACTIONS(3172),
    [anon_sym_enum] = ACTIONS(3172),
    [sym_html_comment] = ACTIONS(5),
  },
  [993] = {
    [sym_comment] = STATE(993),
    [sym_identifier] = ACTIONS(3174),
    [anon_sym_export] = ACTIONS(3174),
    [anon_sym_default] = ACTIONS(3174),
    [anon_sym_type] = ACTIONS(3174),
    [anon_sym_namespace] = ACTIONS(3174),
    [anon_sym_LBRACE] = ACTIONS(3174),
    [anon_sym_RBRACE] = ACTIONS(3174),
    [anon_sym_typeof] = ACTIONS(3174),
    [anon_sym_import] = ACTIONS(3174),
    [anon_sym_with] = ACTIONS(3174),
    [anon_sym_var] = ACTIONS(3174),
    [anon_sym_let] = ACTIONS(3174),
    [anon_sym_const] = ACTIONS(3174),
    [anon_sym_BANG] = ACTIONS(3174),
    [anon_sym_else] = ACTIONS(3174),
    [anon_sym_if] = ACTIONS(3174),
    [anon_sym_switch] = ACTIONS(3174),
    [anon_sym_for] = ACTIONS(3174),
    [anon_sym_LPAREN] = ACTIONS(3174),
    [anon_sym_await] = ACTIONS(3174),
    [anon_sym_while] = ACTIONS(3174),
    [anon_sym_do] = ACTIONS(3174),
    [anon_sym_try] = ACTIONS(3174),
    [anon_sym_break] = ACTIONS(3174),
    [anon_sym_continue] = ACTIONS(3174),
    [anon_sym_debugger] = ACTIONS(3174),
    [anon_sym_return] = ACTIONS(3174),
    [anon_sym_throw] = ACTIONS(3174),
    [anon_sym_SEMI] = ACTIONS(3174),
    [anon_sym_case] = ACTIONS(3174),
    [anon_sym_yield] = ACTIONS(3174),
    [anon_sym_LBRACK] = ACTIONS(3174),
    [anon_sym_LTtemplate_GT] = ACTIONS(3174),
    [anon_sym_DQUOTE] = ACTIONS(3174),
    [anon_sym_SQUOTE] = ACTIONS(3174),
    [anon_sym_class] = ACTIONS(3174),
    [anon_sym_async] = ACTIONS(3174),
    [anon_sym_function] = ACTIONS(3174),
    [anon_sym_new] = ACTIONS(3174),
    [anon_sym_using] = ACTIONS(3174),
    [anon_sym_PLUS] = ACTIONS(3174),
    [anon_sym_DASH] = ACTIONS(3174),
    [anon_sym_SLASH] = ACTIONS(3174),
    [anon_sym_LT] = ACTIONS(3174),
    [anon_sym_TILDE] = ACTIONS(3174),
    [anon_sym_void] = ACTIONS(3174),
    [anon_sym_delete] = ACTIONS(3174),
    [anon_sym_PLUS_PLUS] = ACTIONS(3174),
    [anon_sym_DASH_DASH] = ACTIONS(3174),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3174),
    [sym_number] = ACTIONS(3174),
    [sym_private_property_identifier] = ACTIONS(3174),
    [sym_this] = ACTIONS(3174),
    [sym_super] = ACTIONS(3174),
    [sym_true] = ACTIONS(3174),
    [sym_false] = ACTIONS(3174),
    [sym_null] = ACTIONS(3174),
    [sym_undefined] = ACTIONS(3174),
    [anon_sym_AT] = ACTIONS(3174),
    [anon_sym_static] = ACTIONS(3174),
    [anon_sym_readonly] = ACTIONS(3174),
    [anon_sym_get] = ACTIONS(3174),
    [anon_sym_set] = ACTIONS(3174),
    [anon_sym_declare] = ACTIONS(3174),
    [anon_sym_public] = ACTIONS(3174),
    [anon_sym_private] = ACTIONS(3174),
    [anon_sym_protected] = ACTIONS(3174),
    [anon_sym_override] = ACTIONS(3174),
    [anon_sym_module] = ACTIONS(3174),
    [anon_sym_any] = ACTIONS(3174),
    [anon_sym_number] = ACTIONS(3174),
    [anon_sym_boolean] = ACTIONS(3174),
    [anon_sym_string] = ACTIONS(3174),
    [anon_sym_symbol] = ACTIONS(3174),
    [anon_sym_object] = ACTIONS(3174),
    [anon_sym_abstract] = ACTIONS(3174),
    [anon_sym_interface] = ACTIONS(3174),
    [anon_sym_enum] = ACTIONS(3174),
    [sym_html_comment] = ACTIONS(5),
  },
  [994] = {
    [sym_comment] = STATE(994),
    [ts_builtin_sym_end] = ACTIONS(2253),
    [sym_identifier] = ACTIONS(2251),
    [anon_sym_export] = ACTIONS(2251),
    [anon_sym_type] = ACTIONS(2251),
    [anon_sym_namespace] = ACTIONS(2251),
    [anon_sym_LBRACE] = ACTIONS(2251),
    [anon_sym_RBRACE] = ACTIONS(2251),
    [anon_sym_typeof] = ACTIONS(2251),
    [anon_sym_import] = ACTIONS(2251),
    [anon_sym_with] = ACTIONS(2251),
    [anon_sym_var] = ACTIONS(2251),
    [anon_sym_let] = ACTIONS(2251),
    [anon_sym_const] = ACTIONS(2251),
    [anon_sym_BANG] = ACTIONS(2251),
    [anon_sym_else] = ACTIONS(2251),
    [anon_sym_if] = ACTIONS(2251),
    [anon_sym_switch] = ACTIONS(2251),
    [anon_sym_for] = ACTIONS(2251),
    [anon_sym_LPAREN] = ACTIONS(2251),
    [anon_sym_await] = ACTIONS(2251),
    [anon_sym_while] = ACTIONS(2251),
    [anon_sym_do] = ACTIONS(2251),
    [anon_sym_try] = ACTIONS(2251),
    [anon_sym_break] = ACTIONS(2251),
    [anon_sym_continue] = ACTIONS(2251),
    [anon_sym_debugger] = ACTIONS(2251),
    [anon_sym_return] = ACTIONS(2251),
    [anon_sym_throw] = ACTIONS(2251),
    [anon_sym_SEMI] = ACTIONS(2251),
    [anon_sym_yield] = ACTIONS(2251),
    [anon_sym_LBRACK] = ACTIONS(2251),
    [anon_sym_LTtemplate_GT] = ACTIONS(2251),
    [anon_sym_DQUOTE] = ACTIONS(2251),
    [anon_sym_SQUOTE] = ACTIONS(2251),
    [anon_sym_class] = ACTIONS(2251),
    [anon_sym_async] = ACTIONS(2251),
    [anon_sym_function] = ACTIONS(2251),
    [anon_sym_new] = ACTIONS(2251),
    [anon_sym_using] = ACTIONS(2251),
    [anon_sym_PLUS] = ACTIONS(2251),
    [anon_sym_DASH] = ACTIONS(2251),
    [anon_sym_SLASH] = ACTIONS(2251),
    [anon_sym_LT] = ACTIONS(2251),
    [anon_sym_TILDE] = ACTIONS(2251),
    [anon_sym_void] = ACTIONS(2251),
    [anon_sym_delete] = ACTIONS(2251),
    [anon_sym_PLUS_PLUS] = ACTIONS(2251),
    [anon_sym_DASH_DASH] = ACTIONS(2251),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2251),
    [sym_number] = ACTIONS(2251),
    [sym_private_property_identifier] = ACTIONS(2251),
    [sym_this] = ACTIONS(2251),
    [sym_super] = ACTIONS(2251),
    [sym_true] = ACTIONS(2251),
    [sym_false] = ACTIONS(2251),
    [sym_null] = ACTIONS(2251),
    [sym_undefined] = ACTIONS(2251),
    [anon_sym_AT] = ACTIONS(2251),
    [anon_sym_static] = ACTIONS(2251),
    [anon_sym_readonly] = ACTIONS(2251),
    [anon_sym_get] = ACTIONS(2251),
    [anon_sym_set] = ACTIONS(2251),
    [anon_sym_declare] = ACTIONS(2251),
    [anon_sym_public] = ACTIONS(2251),
    [anon_sym_private] = ACTIONS(2251),
    [anon_sym_protected] = ACTIONS(2251),
    [anon_sym_override] = ACTIONS(2251),
    [anon_sym_module] = ACTIONS(2251),
    [anon_sym_any] = ACTIONS(2251),
    [anon_sym_number] = ACTIONS(2251),
    [anon_sym_boolean] = ACTIONS(2251),
    [anon_sym_string] = ACTIONS(2251),
    [anon_sym_symbol] = ACTIONS(2251),
    [anon_sym_object] = ACTIONS(2251),
    [anon_sym_abstract] = ACTIONS(2251),
    [anon_sym_interface] = ACTIONS(2251),
    [anon_sym_enum] = ACTIONS(2251),
    [sym__automatic_semicolon] = ACTIONS(2253),
    [sym_html_comment] = ACTIONS(5),
  },
  [995] = {
    [sym_comment] = STATE(995),
    [sym_identifier] = ACTIONS(3176),
    [anon_sym_export] = ACTIONS(3176),
    [anon_sym_default] = ACTIONS(3176),
    [anon_sym_type] = ACTIONS(3176),
    [anon_sym_namespace] = ACTIONS(3176),
    [anon_sym_LBRACE] = ACTIONS(3176),
    [anon_sym_RBRACE] = ACTIONS(3176),
    [anon_sym_typeof] = ACTIONS(3176),
    [anon_sym_import] = ACTIONS(3176),
    [anon_sym_with] = ACTIONS(3176),
    [anon_sym_var] = ACTIONS(3176),
    [anon_sym_let] = ACTIONS(3176),
    [anon_sym_const] = ACTIONS(3176),
    [anon_sym_BANG] = ACTIONS(3176),
    [anon_sym_else] = ACTIONS(3176),
    [anon_sym_if] = ACTIONS(3176),
    [anon_sym_switch] = ACTIONS(3176),
    [anon_sym_for] = ACTIONS(3176),
    [anon_sym_LPAREN] = ACTIONS(3176),
    [anon_sym_await] = ACTIONS(3176),
    [anon_sym_while] = ACTIONS(3176),
    [anon_sym_do] = ACTIONS(3176),
    [anon_sym_try] = ACTIONS(3176),
    [anon_sym_break] = ACTIONS(3176),
    [anon_sym_continue] = ACTIONS(3176),
    [anon_sym_debugger] = ACTIONS(3176),
    [anon_sym_return] = ACTIONS(3176),
    [anon_sym_throw] = ACTIONS(3176),
    [anon_sym_SEMI] = ACTIONS(3176),
    [anon_sym_case] = ACTIONS(3176),
    [anon_sym_yield] = ACTIONS(3176),
    [anon_sym_LBRACK] = ACTIONS(3176),
    [anon_sym_LTtemplate_GT] = ACTIONS(3176),
    [anon_sym_DQUOTE] = ACTIONS(3176),
    [anon_sym_SQUOTE] = ACTIONS(3176),
    [anon_sym_class] = ACTIONS(3176),
    [anon_sym_async] = ACTIONS(3176),
    [anon_sym_function] = ACTIONS(3176),
    [anon_sym_new] = ACTIONS(3176),
    [anon_sym_using] = ACTIONS(3176),
    [anon_sym_PLUS] = ACTIONS(3176),
    [anon_sym_DASH] = ACTIONS(3176),
    [anon_sym_SLASH] = ACTIONS(3176),
    [anon_sym_LT] = ACTIONS(3176),
    [anon_sym_TILDE] = ACTIONS(3176),
    [anon_sym_void] = ACTIONS(3176),
    [anon_sym_delete] = ACTIONS(3176),
    [anon_sym_PLUS_PLUS] = ACTIONS(3176),
    [anon_sym_DASH_DASH] = ACTIONS(3176),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3176),
    [sym_number] = ACTIONS(3176),
    [sym_private_property_identifier] = ACTIONS(3176),
    [sym_this] = ACTIONS(3176),
    [sym_super] = ACTIONS(3176),
    [sym_true] = ACTIONS(3176),
    [sym_false] = ACTIONS(3176),
    [sym_null] = ACTIONS(3176),
    [sym_undefined] = ACTIONS(3176),
    [anon_sym_AT] = ACTIONS(3176),
    [anon_sym_static] = ACTIONS(3176),
    [anon_sym_readonly] = ACTIONS(3176),
    [anon_sym_get] = ACTIONS(3176),
    [anon_sym_set] = ACTIONS(3176),
    [anon_sym_declare] = ACTIONS(3176),
    [anon_sym_public] = ACTIONS(3176),
    [anon_sym_private] = ACTIONS(3176),
    [anon_sym_protected] = ACTIONS(3176),
    [anon_sym_override] = ACTIONS(3176),
    [anon_sym_module] = ACTIONS(3176),
    [anon_sym_any] = ACTIONS(3176),
    [anon_sym_number] = ACTIONS(3176),
    [anon_sym_boolean] = ACTIONS(3176),
    [anon_sym_string] = ACTIONS(3176),
    [anon_sym_symbol] = ACTIONS(3176),
    [anon_sym_object] = ACTIONS(3176),
    [anon_sym_abstract] = ACTIONS(3176),
    [anon_sym_interface] = ACTIONS(3176),
    [anon_sym_enum] = ACTIONS(3176),
    [sym_html_comment] = ACTIONS(5),
  },
  [996] = {
    [sym_comment] = STATE(996),
    [sym_identifier] = ACTIONS(3178),
    [anon_sym_export] = ACTIONS(3178),
    [anon_sym_default] = ACTIONS(3178),
    [anon_sym_type] = ACTIONS(3178),
    [anon_sym_namespace] = ACTIONS(3178),
    [anon_sym_LBRACE] = ACTIONS(3178),
    [anon_sym_RBRACE] = ACTIONS(3178),
    [anon_sym_typeof] = ACTIONS(3178),
    [anon_sym_import] = ACTIONS(3178),
    [anon_sym_with] = ACTIONS(3178),
    [anon_sym_var] = ACTIONS(3178),
    [anon_sym_let] = ACTIONS(3178),
    [anon_sym_const] = ACTIONS(3178),
    [anon_sym_BANG] = ACTIONS(3178),
    [anon_sym_else] = ACTIONS(3178),
    [anon_sym_if] = ACTIONS(3178),
    [anon_sym_switch] = ACTIONS(3178),
    [anon_sym_for] = ACTIONS(3178),
    [anon_sym_LPAREN] = ACTIONS(3178),
    [anon_sym_await] = ACTIONS(3178),
    [anon_sym_while] = ACTIONS(3178),
    [anon_sym_do] = ACTIONS(3178),
    [anon_sym_try] = ACTIONS(3178),
    [anon_sym_break] = ACTIONS(3178),
    [anon_sym_continue] = ACTIONS(3178),
    [anon_sym_debugger] = ACTIONS(3178),
    [anon_sym_return] = ACTIONS(3178),
    [anon_sym_throw] = ACTIONS(3178),
    [anon_sym_SEMI] = ACTIONS(3178),
    [anon_sym_case] = ACTIONS(3178),
    [anon_sym_yield] = ACTIONS(3178),
    [anon_sym_LBRACK] = ACTIONS(3178),
    [anon_sym_LTtemplate_GT] = ACTIONS(3178),
    [anon_sym_DQUOTE] = ACTIONS(3178),
    [anon_sym_SQUOTE] = ACTIONS(3178),
    [anon_sym_class] = ACTIONS(3178),
    [anon_sym_async] = ACTIONS(3178),
    [anon_sym_function] = ACTIONS(3178),
    [anon_sym_new] = ACTIONS(3178),
    [anon_sym_using] = ACTIONS(3178),
    [anon_sym_PLUS] = ACTIONS(3178),
    [anon_sym_DASH] = ACTIONS(3178),
    [anon_sym_SLASH] = ACTIONS(3178),
    [anon_sym_LT] = ACTIONS(3178),
    [anon_sym_TILDE] = ACTIONS(3178),
    [anon_sym_void] = ACTIONS(3178),
    [anon_sym_delete] = ACTIONS(3178),
    [anon_sym_PLUS_PLUS] = ACTIONS(3178),
    [anon_sym_DASH_DASH] = ACTIONS(3178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3178),
    [sym_number] = ACTIONS(3178),
    [sym_private_property_identifier] = ACTIONS(3178),
    [sym_this] = ACTIONS(3178),
    [sym_super] = ACTIONS(3178),
    [sym_true] = ACTIONS(3178),
    [sym_false] = ACTIONS(3178),
    [sym_null] = ACTIONS(3178),
    [sym_undefined] = ACTIONS(3178),
    [anon_sym_AT] = ACTIONS(3178),
    [anon_sym_static] = ACTIONS(3178),
    [anon_sym_readonly] = ACTIONS(3178),
    [anon_sym_get] = ACTIONS(3178),
    [anon_sym_set] = ACTIONS(3178),
    [anon_sym_declare] = ACTIONS(3178),
    [anon_sym_public] = ACTIONS(3178),
    [anon_sym_private] = ACTIONS(3178),
    [anon_sym_protected] = ACTIONS(3178),
    [anon_sym_override] = ACTIONS(3178),
    [anon_sym_module] = ACTIONS(3178),
    [anon_sym_any] = ACTIONS(3178),
    [anon_sym_number] = ACTIONS(3178),
    [anon_sym_boolean] = ACTIONS(3178),
    [anon_sym_string] = ACTIONS(3178),
    [anon_sym_symbol] = ACTIONS(3178),
    [anon_sym_object] = ACTIONS(3178),
    [anon_sym_abstract] = ACTIONS(3178),
    [anon_sym_interface] = ACTIONS(3178),
    [anon_sym_enum] = ACTIONS(3178),
    [sym_html_comment] = ACTIONS(5),
  },
  [997] = {
    [sym_comment] = STATE(997),
    [sym_identifier] = ACTIONS(3180),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_default] = ACTIONS(3180),
    [anon_sym_type] = ACTIONS(3180),
    [anon_sym_namespace] = ACTIONS(3180),
    [anon_sym_LBRACE] = ACTIONS(3180),
    [anon_sym_RBRACE] = ACTIONS(3180),
    [anon_sym_typeof] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3180),
    [anon_sym_with] = ACTIONS(3180),
    [anon_sym_var] = ACTIONS(3180),
    [anon_sym_let] = ACTIONS(3180),
    [anon_sym_const] = ACTIONS(3180),
    [anon_sym_BANG] = ACTIONS(3180),
    [anon_sym_else] = ACTIONS(3180),
    [anon_sym_if] = ACTIONS(3180),
    [anon_sym_switch] = ACTIONS(3180),
    [anon_sym_for] = ACTIONS(3180),
    [anon_sym_LPAREN] = ACTIONS(3180),
    [anon_sym_await] = ACTIONS(3180),
    [anon_sym_while] = ACTIONS(3180),
    [anon_sym_do] = ACTIONS(3180),
    [anon_sym_try] = ACTIONS(3180),
    [anon_sym_break] = ACTIONS(3180),
    [anon_sym_continue] = ACTIONS(3180),
    [anon_sym_debugger] = ACTIONS(3180),
    [anon_sym_return] = ACTIONS(3180),
    [anon_sym_throw] = ACTIONS(3180),
    [anon_sym_SEMI] = ACTIONS(3180),
    [anon_sym_case] = ACTIONS(3180),
    [anon_sym_yield] = ACTIONS(3180),
    [anon_sym_LBRACK] = ACTIONS(3180),
    [anon_sym_LTtemplate_GT] = ACTIONS(3180),
    [anon_sym_DQUOTE] = ACTIONS(3180),
    [anon_sym_SQUOTE] = ACTIONS(3180),
    [anon_sym_class] = ACTIONS(3180),
    [anon_sym_async] = ACTIONS(3180),
    [anon_sym_function] = ACTIONS(3180),
    [anon_sym_new] = ACTIONS(3180),
    [anon_sym_using] = ACTIONS(3180),
    [anon_sym_PLUS] = ACTIONS(3180),
    [anon_sym_DASH] = ACTIONS(3180),
    [anon_sym_SLASH] = ACTIONS(3180),
    [anon_sym_LT] = ACTIONS(3180),
    [anon_sym_TILDE] = ACTIONS(3180),
    [anon_sym_void] = ACTIONS(3180),
    [anon_sym_delete] = ACTIONS(3180),
    [anon_sym_PLUS_PLUS] = ACTIONS(3180),
    [anon_sym_DASH_DASH] = ACTIONS(3180),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3180),
    [sym_number] = ACTIONS(3180),
    [sym_private_property_identifier] = ACTIONS(3180),
    [sym_this] = ACTIONS(3180),
    [sym_super] = ACTIONS(3180),
    [sym_true] = ACTIONS(3180),
    [sym_false] = ACTIONS(3180),
    [sym_null] = ACTIONS(3180),
    [sym_undefined] = ACTIONS(3180),
    [anon_sym_AT] = ACTIONS(3180),
    [anon_sym_static] = ACTIONS(3180),
    [anon_sym_readonly] = ACTIONS(3180),
    [anon_sym_get] = ACTIONS(3180),
    [anon_sym_set] = ACTIONS(3180),
    [anon_sym_declare] = ACTIONS(3180),
    [anon_sym_public] = ACTIONS(3180),
    [anon_sym_private] = ACTIONS(3180),
    [anon_sym_protected] = ACTIONS(3180),
    [anon_sym_override] = ACTIONS(3180),
    [anon_sym_module] = ACTIONS(3180),
    [anon_sym_any] = ACTIONS(3180),
    [anon_sym_number] = ACTIONS(3180),
    [anon_sym_boolean] = ACTIONS(3180),
    [anon_sym_string] = ACTIONS(3180),
    [anon_sym_symbol] = ACTIONS(3180),
    [anon_sym_object] = ACTIONS(3180),
    [anon_sym_abstract] = ACTIONS(3180),
    [anon_sym_interface] = ACTIONS(3180),
    [anon_sym_enum] = ACTIONS(3180),
    [sym_html_comment] = ACTIONS(5),
  },
  [998] = {
    [sym_comment] = STATE(998),
    [sym_identifier] = ACTIONS(3182),
    [anon_sym_export] = ACTIONS(3182),
    [anon_sym_default] = ACTIONS(3182),
    [anon_sym_type] = ACTIONS(3182),
    [anon_sym_namespace] = ACTIONS(3182),
    [anon_sym_LBRACE] = ACTIONS(3182),
    [anon_sym_RBRACE] = ACTIONS(3182),
    [anon_sym_typeof] = ACTIONS(3182),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_with] = ACTIONS(3182),
    [anon_sym_var] = ACTIONS(3182),
    [anon_sym_let] = ACTIONS(3182),
    [anon_sym_const] = ACTIONS(3182),
    [anon_sym_BANG] = ACTIONS(3182),
    [anon_sym_else] = ACTIONS(3182),
    [anon_sym_if] = ACTIONS(3182),
    [anon_sym_switch] = ACTIONS(3182),
    [anon_sym_for] = ACTIONS(3182),
    [anon_sym_LPAREN] = ACTIONS(3182),
    [anon_sym_await] = ACTIONS(3182),
    [anon_sym_while] = ACTIONS(3182),
    [anon_sym_do] = ACTIONS(3182),
    [anon_sym_try] = ACTIONS(3182),
    [anon_sym_break] = ACTIONS(3182),
    [anon_sym_continue] = ACTIONS(3182),
    [anon_sym_debugger] = ACTIONS(3182),
    [anon_sym_return] = ACTIONS(3182),
    [anon_sym_throw] = ACTIONS(3182),
    [anon_sym_SEMI] = ACTIONS(3182),
    [anon_sym_case] = ACTIONS(3182),
    [anon_sym_yield] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3182),
    [anon_sym_LTtemplate_GT] = ACTIONS(3182),
    [anon_sym_DQUOTE] = ACTIONS(3182),
    [anon_sym_SQUOTE] = ACTIONS(3182),
    [anon_sym_class] = ACTIONS(3182),
    [anon_sym_async] = ACTIONS(3182),
    [anon_sym_function] = ACTIONS(3182),
    [anon_sym_new] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_PLUS] = ACTIONS(3182),
    [anon_sym_DASH] = ACTIONS(3182),
    [anon_sym_SLASH] = ACTIONS(3182),
    [anon_sym_LT] = ACTIONS(3182),
    [anon_sym_TILDE] = ACTIONS(3182),
    [anon_sym_void] = ACTIONS(3182),
    [anon_sym_delete] = ACTIONS(3182),
    [anon_sym_PLUS_PLUS] = ACTIONS(3182),
    [anon_sym_DASH_DASH] = ACTIONS(3182),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3182),
    [sym_number] = ACTIONS(3182),
    [sym_private_property_identifier] = ACTIONS(3182),
    [sym_this] = ACTIONS(3182),
    [sym_super] = ACTIONS(3182),
    [sym_true] = ACTIONS(3182),
    [sym_false] = ACTIONS(3182),
    [sym_null] = ACTIONS(3182),
    [sym_undefined] = ACTIONS(3182),
    [anon_sym_AT] = ACTIONS(3182),
    [anon_sym_static] = ACTIONS(3182),
    [anon_sym_readonly] = ACTIONS(3182),
    [anon_sym_get] = ACTIONS(3182),
    [anon_sym_set] = ACTIONS(3182),
    [anon_sym_declare] = ACTIONS(3182),
    [anon_sym_public] = ACTIONS(3182),
    [anon_sym_private] = ACTIONS(3182),
    [anon_sym_protected] = ACTIONS(3182),
    [anon_sym_override] = ACTIONS(3182),
    [anon_sym_module] = ACTIONS(3182),
    [anon_sym_any] = ACTIONS(3182),
    [anon_sym_number] = ACTIONS(3182),
    [anon_sym_boolean] = ACTIONS(3182),
    [anon_sym_string] = ACTIONS(3182),
    [anon_sym_symbol] = ACTIONS(3182),
    [anon_sym_object] = ACTIONS(3182),
    [anon_sym_abstract] = ACTIONS(3182),
    [anon_sym_interface] = ACTIONS(3182),
    [anon_sym_enum] = ACTIONS(3182),
    [sym_html_comment] = ACTIONS(5),
  },
  [999] = {
    [sym_comment] = STATE(999),
    [ts_builtin_sym_end] = ACTIONS(2197),
    [sym_identifier] = ACTIONS(2195),
    [anon_sym_export] = ACTIONS(2195),
    [anon_sym_type] = ACTIONS(2195),
    [anon_sym_namespace] = ACTIONS(2195),
    [anon_sym_LBRACE] = ACTIONS(2195),
    [anon_sym_RBRACE] = ACTIONS(2195),
    [anon_sym_typeof] = ACTIONS(2195),
    [anon_sym_import] = ACTIONS(2195),
    [anon_sym_with] = ACTIONS(2195),
    [anon_sym_var] = ACTIONS(2195),
    [anon_sym_let] = ACTIONS(2195),
    [anon_sym_const] = ACTIONS(2195),
    [anon_sym_BANG] = ACTIONS(2195),
    [anon_sym_else] = ACTIONS(2195),
    [anon_sym_if] = ACTIONS(2195),
    [anon_sym_switch] = ACTIONS(2195),
    [anon_sym_for] = ACTIONS(2195),
    [anon_sym_LPAREN] = ACTIONS(2195),
    [anon_sym_await] = ACTIONS(2195),
    [anon_sym_while] = ACTIONS(2195),
    [anon_sym_do] = ACTIONS(2195),
    [anon_sym_try] = ACTIONS(2195),
    [anon_sym_break] = ACTIONS(2195),
    [anon_sym_continue] = ACTIONS(2195),
    [anon_sym_debugger] = ACTIONS(2195),
    [anon_sym_return] = ACTIONS(2195),
    [anon_sym_throw] = ACTIONS(2195),
    [anon_sym_SEMI] = ACTIONS(2195),
    [anon_sym_yield] = ACTIONS(2195),
    [anon_sym_LBRACK] = ACTIONS(2195),
    [anon_sym_LTtemplate_GT] = ACTIONS(2195),
    [anon_sym_DOT] = ACTIONS(2195),
    [anon_sym_DQUOTE] = ACTIONS(2195),
    [anon_sym_SQUOTE] = ACTIONS(2195),
    [anon_sym_class] = ACTIONS(2195),
    [anon_sym_async] = ACTIONS(2195),
    [anon_sym_function] = ACTIONS(2195),
    [anon_sym_new] = ACTIONS(2195),
    [anon_sym_using] = ACTIONS(2195),
    [anon_sym_PLUS] = ACTIONS(2195),
    [anon_sym_DASH] = ACTIONS(2195),
    [anon_sym_SLASH] = ACTIONS(2195),
    [anon_sym_LT] = ACTIONS(2195),
    [anon_sym_TILDE] = ACTIONS(2195),
    [anon_sym_void] = ACTIONS(2195),
    [anon_sym_delete] = ACTIONS(2195),
    [anon_sym_PLUS_PLUS] = ACTIONS(2195),
    [anon_sym_DASH_DASH] = ACTIONS(2195),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2195),
    [sym_number] = ACTIONS(2195),
    [sym_private_property_identifier] = ACTIONS(2195),
    [sym_this] = ACTIONS(2195),
    [sym_super] = ACTIONS(2195),
    [sym_true] = ACTIONS(2195),
    [sym_false] = ACTIONS(2195),
    [sym_null] = ACTIONS(2195),
    [sym_undefined] = ACTIONS(2195),
    [anon_sym_AT] = ACTIONS(2195),
    [anon_sym_static] = ACTIONS(2195),
    [anon_sym_readonly] = ACTIONS(2195),
    [anon_sym_get] = ACTIONS(2195),
    [anon_sym_set] = ACTIONS(2195),
    [anon_sym_declare] = ACTIONS(2195),
    [anon_sym_public] = ACTIONS(2195),
    [anon_sym_private] = ACTIONS(2195),
    [anon_sym_protected] = ACTIONS(2195),
    [anon_sym_override] = ACTIONS(2195),
    [anon_sym_module] = ACTIONS(2195),
    [anon_sym_any] = ACTIONS(2195),
    [anon_sym_number] = ACTIONS(2195),
    [anon_sym_boolean] = ACTIONS(2195),
    [anon_sym_string] = ACTIONS(2195),
    [anon_sym_symbol] = ACTIONS(2195),
    [anon_sym_object] = ACTIONS(2195),
    [anon_sym_abstract] = ACTIONS(2195),
    [anon_sym_interface] = ACTIONS(2195),
    [anon_sym_enum] = ACTIONS(2195),
    [sym_html_comment] = ACTIONS(5),
  },
  [1000] = {
    [sym_comment] = STATE(1000),
    [sym_identifier] = ACTIONS(3154),
    [anon_sym_export] = ACTIONS(3154),
    [anon_sym_default] = ACTIONS(3154),
    [anon_sym_type] = ACTIONS(3154),
    [anon_sym_namespace] = ACTIONS(3154),
    [anon_sym_LBRACE] = ACTIONS(3154),
    [anon_sym_RBRACE] = ACTIONS(3154),
    [anon_sym_typeof] = ACTIONS(3154),
    [anon_sym_import] = ACTIONS(3154),
    [anon_sym_with] = ACTIONS(3154),
    [anon_sym_var] = ACTIONS(3154),
    [anon_sym_let] = ACTIONS(3154),
    [anon_sym_const] = ACTIONS(3154),
    [anon_sym_BANG] = ACTIONS(3154),
    [anon_sym_else] = ACTIONS(3154),
    [anon_sym_if] = ACTIONS(3154),
    [anon_sym_switch] = ACTIONS(3154),
    [anon_sym_for] = ACTIONS(3154),
    [anon_sym_LPAREN] = ACTIONS(3154),
    [anon_sym_await] = ACTIONS(3154),
    [anon_sym_while] = ACTIONS(3154),
    [anon_sym_do] = ACTIONS(3154),
    [anon_sym_try] = ACTIONS(3154),
    [anon_sym_break] = ACTIONS(3154),
    [anon_sym_continue] = ACTIONS(3154),
    [anon_sym_debugger] = ACTIONS(3154),
    [anon_sym_return] = ACTIONS(3154),
    [anon_sym_throw] = ACTIONS(3154),
    [anon_sym_SEMI] = ACTIONS(3154),
    [anon_sym_case] = ACTIONS(3154),
    [anon_sym_yield] = ACTIONS(3154),
    [anon_sym_LBRACK] = ACTIONS(3154),
    [anon_sym_LTtemplate_GT] = ACTIONS(3154),
    [anon_sym_DQUOTE] = ACTIONS(3154),
    [anon_sym_SQUOTE] = ACTIONS(3154),
    [anon_sym_class] = ACTIONS(3154),
    [anon_sym_async] = ACTIONS(3154),
    [anon_sym_function] = ACTIONS(3154),
    [anon_sym_new] = ACTIONS(3154),
    [anon_sym_using] = ACTIONS(3154),
    [anon_sym_PLUS] = ACTIONS(3154),
    [anon_sym_DASH] = ACTIONS(3154),
    [anon_sym_SLASH] = ACTIONS(3154),
    [anon_sym_LT] = ACTIONS(3154),
    [anon_sym_TILDE] = ACTIONS(3154),
    [anon_sym_void] = ACTIONS(3154),
    [anon_sym_delete] = ACTIONS(3154),
    [anon_sym_PLUS_PLUS] = ACTIONS(3154),
    [anon_sym_DASH_DASH] = ACTIONS(3154),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3154),
    [sym_number] = ACTIONS(3154),
    [sym_private_property_identifier] = ACTIONS(3154),
    [sym_this] = ACTIONS(3154),
    [sym_super] = ACTIONS(3154),
    [sym_true] = ACTIONS(3154),
    [sym_false] = ACTIONS(3154),
    [sym_null] = ACTIONS(3154),
    [sym_undefined] = ACTIONS(3154),
    [anon_sym_AT] = ACTIONS(3154),
    [anon_sym_static] = ACTIONS(3154),
    [anon_sym_readonly] = ACTIONS(3154),
    [anon_sym_get] = ACTIONS(3154),
    [anon_sym_set] = ACTIONS(3154),
    [anon_sym_declare] = ACTIONS(3154),
    [anon_sym_public] = ACTIONS(3154),
    [anon_sym_private] = ACTIONS(3154),
    [anon_sym_protected] = ACTIONS(3154),
    [anon_sym_override] = ACTIONS(3154),
    [anon_sym_module] = ACTIONS(3154),
    [anon_sym_any] = ACTIONS(3154),
    [anon_sym_number] = ACTIONS(3154),
    [anon_sym_boolean] = ACTIONS(3154),
    [anon_sym_string] = ACTIONS(3154),
    [anon_sym_symbol] = ACTIONS(3154),
    [anon_sym_object] = ACTIONS(3154),
    [anon_sym_abstract] = ACTIONS(3154),
    [anon_sym_interface] = ACTIONS(3154),
    [anon_sym_enum] = ACTIONS(3154),
    [sym_html_comment] = ACTIONS(5),
  },
  [1001] = {
    [sym_comment] = STATE(1001),
    [sym_identifier] = ACTIONS(3184),
    [anon_sym_export] = ACTIONS(3184),
    [anon_sym_default] = ACTIONS(3184),
    [anon_sym_type] = ACTIONS(3184),
    [anon_sym_namespace] = ACTIONS(3184),
    [anon_sym_LBRACE] = ACTIONS(3184),
    [anon_sym_RBRACE] = ACTIONS(3184),
    [anon_sym_typeof] = ACTIONS(3184),
    [anon_sym_import] = ACTIONS(3184),
    [anon_sym_with] = ACTIONS(3184),
    [anon_sym_var] = ACTIONS(3184),
    [anon_sym_let] = ACTIONS(3184),
    [anon_sym_const] = ACTIONS(3184),
    [anon_sym_BANG] = ACTIONS(3184),
    [anon_sym_else] = ACTIONS(3184),
    [anon_sym_if] = ACTIONS(3184),
    [anon_sym_switch] = ACTIONS(3184),
    [anon_sym_for] = ACTIONS(3184),
    [anon_sym_LPAREN] = ACTIONS(3184),
    [anon_sym_await] = ACTIONS(3184),
    [anon_sym_while] = ACTIONS(3184),
    [anon_sym_do] = ACTIONS(3184),
    [anon_sym_try] = ACTIONS(3184),
    [anon_sym_break] = ACTIONS(3184),
    [anon_sym_continue] = ACTIONS(3184),
    [anon_sym_debugger] = ACTIONS(3184),
    [anon_sym_return] = ACTIONS(3184),
    [anon_sym_throw] = ACTIONS(3184),
    [anon_sym_SEMI] = ACTIONS(3184),
    [anon_sym_case] = ACTIONS(3184),
    [anon_sym_yield] = ACTIONS(3184),
    [anon_sym_LBRACK] = ACTIONS(3184),
    [anon_sym_LTtemplate_GT] = ACTIONS(3184),
    [anon_sym_DQUOTE] = ACTIONS(3184),
    [anon_sym_SQUOTE] = ACTIONS(3184),
    [anon_sym_class] = ACTIONS(3184),
    [anon_sym_async] = ACTIONS(3184),
    [anon_sym_function] = ACTIONS(3184),
    [anon_sym_new] = ACTIONS(3184),
    [anon_sym_using] = ACTIONS(3184),
    [anon_sym_PLUS] = ACTIONS(3184),
    [anon_sym_DASH] = ACTIONS(3184),
    [anon_sym_SLASH] = ACTIONS(3184),
    [anon_sym_LT] = ACTIONS(3184),
    [anon_sym_TILDE] = ACTIONS(3184),
    [anon_sym_void] = ACTIONS(3184),
    [anon_sym_delete] = ACTIONS(3184),
    [anon_sym_PLUS_PLUS] = ACTIONS(3184),
    [anon_sym_DASH_DASH] = ACTIONS(3184),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3184),
    [sym_number] = ACTIONS(3184),
    [sym_private_property_identifier] = ACTIONS(3184),
    [sym_this] = ACTIONS(3184),
    [sym_super] = ACTIONS(3184),
    [sym_true] = ACTIONS(3184),
    [sym_false] = ACTIONS(3184),
    [sym_null] = ACTIONS(3184),
    [sym_undefined] = ACTIONS(3184),
    [anon_sym_AT] = ACTIONS(3184),
    [anon_sym_static] = ACTIONS(3184),
    [anon_sym_readonly] = ACTIONS(3184),
    [anon_sym_get] = ACTIONS(3184),
    [anon_sym_set] = ACTIONS(3184),
    [anon_sym_declare] = ACTIONS(3184),
    [anon_sym_public] = ACTIONS(3184),
    [anon_sym_private] = ACTIONS(3184),
    [anon_sym_protected] = ACTIONS(3184),
    [anon_sym_override] = ACTIONS(3184),
    [anon_sym_module] = ACTIONS(3184),
    [anon_sym_any] = ACTIONS(3184),
    [anon_sym_number] = ACTIONS(3184),
    [anon_sym_boolean] = ACTIONS(3184),
    [anon_sym_string] = ACTIONS(3184),
    [anon_sym_symbol] = ACTIONS(3184),
    [anon_sym_object] = ACTIONS(3184),
    [anon_sym_abstract] = ACTIONS(3184),
    [anon_sym_interface] = ACTIONS(3184),
    [anon_sym_enum] = ACTIONS(3184),
    [sym_html_comment] = ACTIONS(5),
  },
  [1002] = {
    [sym_comment] = STATE(1002),
    [sym_identifier] = ACTIONS(3186),
    [anon_sym_export] = ACTIONS(3186),
    [anon_sym_default] = ACTIONS(3186),
    [anon_sym_type] = ACTIONS(3186),
    [anon_sym_namespace] = ACTIONS(3186),
    [anon_sym_LBRACE] = ACTIONS(3186),
    [anon_sym_RBRACE] = ACTIONS(3186),
    [anon_sym_typeof] = ACTIONS(3186),
    [anon_sym_import] = ACTIONS(3186),
    [anon_sym_with] = ACTIONS(3186),
    [anon_sym_var] = ACTIONS(3186),
    [anon_sym_let] = ACTIONS(3186),
    [anon_sym_const] = ACTIONS(3186),
    [anon_sym_BANG] = ACTIONS(3186),
    [anon_sym_else] = ACTIONS(3186),
    [anon_sym_if] = ACTIONS(3186),
    [anon_sym_switch] = ACTIONS(3186),
    [anon_sym_for] = ACTIONS(3186),
    [anon_sym_LPAREN] = ACTIONS(3186),
    [anon_sym_await] = ACTIONS(3186),
    [anon_sym_while] = ACTIONS(3186),
    [anon_sym_do] = ACTIONS(3186),
    [anon_sym_try] = ACTIONS(3186),
    [anon_sym_break] = ACTIONS(3186),
    [anon_sym_continue] = ACTIONS(3186),
    [anon_sym_debugger] = ACTIONS(3186),
    [anon_sym_return] = ACTIONS(3186),
    [anon_sym_throw] = ACTIONS(3186),
    [anon_sym_SEMI] = ACTIONS(3186),
    [anon_sym_case] = ACTIONS(3186),
    [anon_sym_yield] = ACTIONS(3186),
    [anon_sym_LBRACK] = ACTIONS(3186),
    [anon_sym_LTtemplate_GT] = ACTIONS(3186),
    [anon_sym_DQUOTE] = ACTIONS(3186),
    [anon_sym_SQUOTE] = ACTIONS(3186),
    [anon_sym_class] = ACTIONS(3186),
    [anon_sym_async] = ACTIONS(3186),
    [anon_sym_function] = ACTIONS(3186),
    [anon_sym_new] = ACTIONS(3186),
    [anon_sym_using] = ACTIONS(3186),
    [anon_sym_PLUS] = ACTIONS(3186),
    [anon_sym_DASH] = ACTIONS(3186),
    [anon_sym_SLASH] = ACTIONS(3186),
    [anon_sym_LT] = ACTIONS(3186),
    [anon_sym_TILDE] = ACTIONS(3186),
    [anon_sym_void] = ACTIONS(3186),
    [anon_sym_delete] = ACTIONS(3186),
    [anon_sym_PLUS_PLUS] = ACTIONS(3186),
    [anon_sym_DASH_DASH] = ACTIONS(3186),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3186),
    [sym_number] = ACTIONS(3186),
    [sym_private_property_identifier] = ACTIONS(3186),
    [sym_this] = ACTIONS(3186),
    [sym_super] = ACTIONS(3186),
    [sym_true] = ACTIONS(3186),
    [sym_false] = ACTIONS(3186),
    [sym_null] = ACTIONS(3186),
    [sym_undefined] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(3186),
    [anon_sym_static] = ACTIONS(3186),
    [anon_sym_readonly] = ACTIONS(3186),
    [anon_sym_get] = ACTIONS(3186),
    [anon_sym_set] = ACTIONS(3186),
    [anon_sym_declare] = ACTIONS(3186),
    [anon_sym_public] = ACTIONS(3186),
    [anon_sym_private] = ACTIONS(3186),
    [anon_sym_protected] = ACTIONS(3186),
    [anon_sym_override] = ACTIONS(3186),
    [anon_sym_module] = ACTIONS(3186),
    [anon_sym_any] = ACTIONS(3186),
    [anon_sym_number] = ACTIONS(3186),
    [anon_sym_boolean] = ACTIONS(3186),
    [anon_sym_string] = ACTIONS(3186),
    [anon_sym_symbol] = ACTIONS(3186),
    [anon_sym_object] = ACTIONS(3186),
    [anon_sym_abstract] = ACTIONS(3186),
    [anon_sym_interface] = ACTIONS(3186),
    [anon_sym_enum] = ACTIONS(3186),
    [sym_html_comment] = ACTIONS(5),
  },
  [1003] = {
    [sym_comment] = STATE(1003),
    [ts_builtin_sym_end] = ACTIONS(2083),
    [sym_identifier] = ACTIONS(2081),
    [anon_sym_export] = ACTIONS(2081),
    [anon_sym_type] = ACTIONS(2081),
    [anon_sym_namespace] = ACTIONS(2081),
    [anon_sym_LBRACE] = ACTIONS(2081),
    [anon_sym_RBRACE] = ACTIONS(2081),
    [anon_sym_typeof] = ACTIONS(2081),
    [anon_sym_import] = ACTIONS(2081),
    [anon_sym_with] = ACTIONS(2081),
    [anon_sym_var] = ACTIONS(2081),
    [anon_sym_let] = ACTIONS(2081),
    [anon_sym_const] = ACTIONS(2081),
    [anon_sym_BANG] = ACTIONS(2081),
    [anon_sym_else] = ACTIONS(2081),
    [anon_sym_if] = ACTIONS(2081),
    [anon_sym_switch] = ACTIONS(2081),
    [anon_sym_for] = ACTIONS(2081),
    [anon_sym_LPAREN] = ACTIONS(2081),
    [anon_sym_await] = ACTIONS(2081),
    [anon_sym_while] = ACTIONS(2081),
    [anon_sym_do] = ACTIONS(2081),
    [anon_sym_try] = ACTIONS(2081),
    [anon_sym_break] = ACTIONS(2081),
    [anon_sym_continue] = ACTIONS(2081),
    [anon_sym_debugger] = ACTIONS(2081),
    [anon_sym_return] = ACTIONS(2081),
    [anon_sym_throw] = ACTIONS(2081),
    [anon_sym_SEMI] = ACTIONS(2081),
    [anon_sym_yield] = ACTIONS(2081),
    [anon_sym_LBRACK] = ACTIONS(2081),
    [anon_sym_LTtemplate_GT] = ACTIONS(2081),
    [anon_sym_DOT] = ACTIONS(2081),
    [anon_sym_DQUOTE] = ACTIONS(2081),
    [anon_sym_SQUOTE] = ACTIONS(2081),
    [anon_sym_class] = ACTIONS(2081),
    [anon_sym_async] = ACTIONS(2081),
    [anon_sym_function] = ACTIONS(2081),
    [anon_sym_new] = ACTIONS(2081),
    [anon_sym_using] = ACTIONS(2081),
    [anon_sym_PLUS] = ACTIONS(2081),
    [anon_sym_DASH] = ACTIONS(2081),
    [anon_sym_SLASH] = ACTIONS(2081),
    [anon_sym_LT] = ACTIONS(2081),
    [anon_sym_TILDE] = ACTIONS(2081),
    [anon_sym_void] = ACTIONS(2081),
    [anon_sym_delete] = ACTIONS(2081),
    [anon_sym_PLUS_PLUS] = ACTIONS(2081),
    [anon_sym_DASH_DASH] = ACTIONS(2081),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2081),
    [sym_number] = ACTIONS(2081),
    [sym_private_property_identifier] = ACTIONS(2081),
    [sym_this] = ACTIONS(2081),
    [sym_super] = ACTIONS(2081),
    [sym_true] = ACTIONS(2081),
    [sym_false] = ACTIONS(2081),
    [sym_null] = ACTIONS(2081),
    [sym_undefined] = ACTIONS(2081),
    [anon_sym_AT] = ACTIONS(2081),
    [anon_sym_static] = ACTIONS(2081),
    [anon_sym_readonly] = ACTIONS(2081),
    [anon_sym_get] = ACTIONS(2081),
    [anon_sym_set] = ACTIONS(2081),
    [anon_sym_declare] = ACTIONS(2081),
    [anon_sym_public] = ACTIONS(2081),
    [anon_sym_private] = ACTIONS(2081),
    [anon_sym_protected] = ACTIONS(2081),
    [anon_sym_override] = ACTIONS(2081),
    [anon_sym_module] = ACTIONS(2081),
    [anon_sym_any] = ACTIONS(2081),
    [anon_sym_number] = ACTIONS(2081),
    [anon_sym_boolean] = ACTIONS(2081),
    [anon_sym_string] = ACTIONS(2081),
    [anon_sym_symbol] = ACTIONS(2081),
    [anon_sym_object] = ACTIONS(2081),
    [anon_sym_abstract] = ACTIONS(2081),
    [anon_sym_interface] = ACTIONS(2081),
    [anon_sym_enum] = ACTIONS(2081),
    [sym_html_comment] = ACTIONS(5),
  },
  [1004] = {
    [sym_comment] = STATE(1004),
    [ts_builtin_sym_end] = ACTIONS(2147),
    [sym_identifier] = ACTIONS(2145),
    [anon_sym_export] = ACTIONS(2145),
    [anon_sym_type] = ACTIONS(2145),
    [anon_sym_namespace] = ACTIONS(2145),
    [anon_sym_LBRACE] = ACTIONS(2145),
    [anon_sym_RBRACE] = ACTIONS(2145),
    [anon_sym_typeof] = ACTIONS(2145),
    [anon_sym_import] = ACTIONS(2145),
    [anon_sym_with] = ACTIONS(2145),
    [anon_sym_var] = ACTIONS(2145),
    [anon_sym_let] = ACTIONS(2145),
    [anon_sym_const] = ACTIONS(2145),
    [anon_sym_BANG] = ACTIONS(2145),
    [anon_sym_else] = ACTIONS(2145),
    [anon_sym_if] = ACTIONS(2145),
    [anon_sym_switch] = ACTIONS(2145),
    [anon_sym_for] = ACTIONS(2145),
    [anon_sym_LPAREN] = ACTIONS(2145),
    [anon_sym_await] = ACTIONS(2145),
    [anon_sym_while] = ACTIONS(2145),
    [anon_sym_do] = ACTIONS(2145),
    [anon_sym_try] = ACTIONS(2145),
    [anon_sym_break] = ACTIONS(2145),
    [anon_sym_continue] = ACTIONS(2145),
    [anon_sym_debugger] = ACTIONS(2145),
    [anon_sym_return] = ACTIONS(2145),
    [anon_sym_throw] = ACTIONS(2145),
    [anon_sym_SEMI] = ACTIONS(2145),
    [anon_sym_yield] = ACTIONS(2145),
    [anon_sym_LBRACK] = ACTIONS(2145),
    [anon_sym_LTtemplate_GT] = ACTIONS(2145),
    [anon_sym_DQUOTE] = ACTIONS(2145),
    [anon_sym_SQUOTE] = ACTIONS(2145),
    [anon_sym_class] = ACTIONS(2145),
    [anon_sym_async] = ACTIONS(2145),
    [anon_sym_function] = ACTIONS(2145),
    [anon_sym_new] = ACTIONS(2145),
    [anon_sym_using] = ACTIONS(2145),
    [anon_sym_PLUS] = ACTIONS(2145),
    [anon_sym_DASH] = ACTIONS(2145),
    [anon_sym_SLASH] = ACTIONS(2145),
    [anon_sym_LT] = ACTIONS(2145),
    [anon_sym_TILDE] = ACTIONS(2145),
    [anon_sym_void] = ACTIONS(2145),
    [anon_sym_delete] = ACTIONS(2145),
    [anon_sym_PLUS_PLUS] = ACTIONS(2145),
    [anon_sym_DASH_DASH] = ACTIONS(2145),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2145),
    [sym_number] = ACTIONS(2145),
    [sym_private_property_identifier] = ACTIONS(2145),
    [sym_this] = ACTIONS(2145),
    [sym_super] = ACTIONS(2145),
    [sym_true] = ACTIONS(2145),
    [sym_false] = ACTIONS(2145),
    [sym_null] = ACTIONS(2145),
    [sym_undefined] = ACTIONS(2145),
    [anon_sym_AT] = ACTIONS(2145),
    [anon_sym_static] = ACTIONS(2145),
    [anon_sym_readonly] = ACTIONS(2145),
    [anon_sym_get] = ACTIONS(2145),
    [anon_sym_set] = ACTIONS(2145),
    [anon_sym_declare] = ACTIONS(2145),
    [anon_sym_public] = ACTIONS(2145),
    [anon_sym_private] = ACTIONS(2145),
    [anon_sym_protected] = ACTIONS(2145),
    [anon_sym_override] = ACTIONS(2145),
    [anon_sym_module] = ACTIONS(2145),
    [anon_sym_any] = ACTIONS(2145),
    [anon_sym_number] = ACTIONS(2145),
    [anon_sym_boolean] = ACTIONS(2145),
    [anon_sym_string] = ACTIONS(2145),
    [anon_sym_symbol] = ACTIONS(2145),
    [anon_sym_object] = ACTIONS(2145),
    [anon_sym_abstract] = ACTIONS(2145),
    [anon_sym_interface] = ACTIONS(2145),
    [anon_sym_enum] = ACTIONS(2145),
    [sym__automatic_semicolon] = ACTIONS(2147),
    [sym_html_comment] = ACTIONS(5),
  },
  [1005] = {
    [sym_comment] = STATE(1005),
    [sym_identifier] = ACTIONS(3188),
    [anon_sym_export] = ACTIONS(3188),
    [anon_sym_default] = ACTIONS(3188),
    [anon_sym_type] = ACTIONS(3188),
    [anon_sym_namespace] = ACTIONS(3188),
    [anon_sym_LBRACE] = ACTIONS(3188),
    [anon_sym_RBRACE] = ACTIONS(3188),
    [anon_sym_typeof] = ACTIONS(3188),
    [anon_sym_import] = ACTIONS(3188),
    [anon_sym_with] = ACTIONS(3188),
    [anon_sym_var] = ACTIONS(3188),
    [anon_sym_let] = ACTIONS(3188),
    [anon_sym_const] = ACTIONS(3188),
    [anon_sym_BANG] = ACTIONS(3188),
    [anon_sym_else] = ACTIONS(3188),
    [anon_sym_if] = ACTIONS(3188),
    [anon_sym_switch] = ACTIONS(3188),
    [anon_sym_for] = ACTIONS(3188),
    [anon_sym_LPAREN] = ACTIONS(3188),
    [anon_sym_await] = ACTIONS(3188),
    [anon_sym_while] = ACTIONS(3188),
    [anon_sym_do] = ACTIONS(3188),
    [anon_sym_try] = ACTIONS(3188),
    [anon_sym_break] = ACTIONS(3188),
    [anon_sym_continue] = ACTIONS(3188),
    [anon_sym_debugger] = ACTIONS(3188),
    [anon_sym_return] = ACTIONS(3188),
    [anon_sym_throw] = ACTIONS(3188),
    [anon_sym_SEMI] = ACTIONS(3188),
    [anon_sym_case] = ACTIONS(3188),
    [anon_sym_yield] = ACTIONS(3188),
    [anon_sym_LBRACK] = ACTIONS(3188),
    [anon_sym_LTtemplate_GT] = ACTIONS(3188),
    [anon_sym_DQUOTE] = ACTIONS(3188),
    [anon_sym_SQUOTE] = ACTIONS(3188),
    [anon_sym_class] = ACTIONS(3188),
    [anon_sym_async] = ACTIONS(3188),
    [anon_sym_function] = ACTIONS(3188),
    [anon_sym_new] = ACTIONS(3188),
    [anon_sym_using] = ACTIONS(3188),
    [anon_sym_PLUS] = ACTIONS(3188),
    [anon_sym_DASH] = ACTIONS(3188),
    [anon_sym_SLASH] = ACTIONS(3188),
    [anon_sym_LT] = ACTIONS(3188),
    [anon_sym_TILDE] = ACTIONS(3188),
    [anon_sym_void] = ACTIONS(3188),
    [anon_sym_delete] = ACTIONS(3188),
    [anon_sym_PLUS_PLUS] = ACTIONS(3188),
    [anon_sym_DASH_DASH] = ACTIONS(3188),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3188),
    [sym_number] = ACTIONS(3188),
    [sym_private_property_identifier] = ACTIONS(3188),
    [sym_this] = ACTIONS(3188),
    [sym_super] = ACTIONS(3188),
    [sym_true] = ACTIONS(3188),
    [sym_false] = ACTIONS(3188),
    [sym_null] = ACTIONS(3188),
    [sym_undefined] = ACTIONS(3188),
    [anon_sym_AT] = ACTIONS(3188),
    [anon_sym_static] = ACTIONS(3188),
    [anon_sym_readonly] = ACTIONS(3188),
    [anon_sym_get] = ACTIONS(3188),
    [anon_sym_set] = ACTIONS(3188),
    [anon_sym_declare] = ACTIONS(3188),
    [anon_sym_public] = ACTIONS(3188),
    [anon_sym_private] = ACTIONS(3188),
    [anon_sym_protected] = ACTIONS(3188),
    [anon_sym_override] = ACTIONS(3188),
    [anon_sym_module] = ACTIONS(3188),
    [anon_sym_any] = ACTIONS(3188),
    [anon_sym_number] = ACTIONS(3188),
    [anon_sym_boolean] = ACTIONS(3188),
    [anon_sym_string] = ACTIONS(3188),
    [anon_sym_symbol] = ACTIONS(3188),
    [anon_sym_object] = ACTIONS(3188),
    [anon_sym_abstract] = ACTIONS(3188),
    [anon_sym_interface] = ACTIONS(3188),
    [anon_sym_enum] = ACTIONS(3188),
    [sym_html_comment] = ACTIONS(5),
  },
  [1006] = {
    [sym_comment] = STATE(1006),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_export] = ACTIONS(3190),
    [anon_sym_default] = ACTIONS(3190),
    [anon_sym_type] = ACTIONS(3190),
    [anon_sym_namespace] = ACTIONS(3190),
    [anon_sym_LBRACE] = ACTIONS(3190),
    [anon_sym_RBRACE] = ACTIONS(3190),
    [anon_sym_typeof] = ACTIONS(3190),
    [anon_sym_import] = ACTIONS(3190),
    [anon_sym_with] = ACTIONS(3190),
    [anon_sym_var] = ACTIONS(3190),
    [anon_sym_let] = ACTIONS(3190),
    [anon_sym_const] = ACTIONS(3190),
    [anon_sym_BANG] = ACTIONS(3190),
    [anon_sym_else] = ACTIONS(3190),
    [anon_sym_if] = ACTIONS(3190),
    [anon_sym_switch] = ACTIONS(3190),
    [anon_sym_for] = ACTIONS(3190),
    [anon_sym_LPAREN] = ACTIONS(3190),
    [anon_sym_await] = ACTIONS(3190),
    [anon_sym_while] = ACTIONS(3190),
    [anon_sym_do] = ACTIONS(3190),
    [anon_sym_try] = ACTIONS(3190),
    [anon_sym_break] = ACTIONS(3190),
    [anon_sym_continue] = ACTIONS(3190),
    [anon_sym_debugger] = ACTIONS(3190),
    [anon_sym_return] = ACTIONS(3190),
    [anon_sym_throw] = ACTIONS(3190),
    [anon_sym_SEMI] = ACTIONS(3190),
    [anon_sym_case] = ACTIONS(3190),
    [anon_sym_yield] = ACTIONS(3190),
    [anon_sym_LBRACK] = ACTIONS(3190),
    [anon_sym_LTtemplate_GT] = ACTIONS(3190),
    [anon_sym_DQUOTE] = ACTIONS(3190),
    [anon_sym_SQUOTE] = ACTIONS(3190),
    [anon_sym_class] = ACTIONS(3190),
    [anon_sym_async] = ACTIONS(3190),
    [anon_sym_function] = ACTIONS(3190),
    [anon_sym_new] = ACTIONS(3190),
    [anon_sym_using] = ACTIONS(3190),
    [anon_sym_PLUS] = ACTIONS(3190),
    [anon_sym_DASH] = ACTIONS(3190),
    [anon_sym_SLASH] = ACTIONS(3190),
    [anon_sym_LT] = ACTIONS(3190),
    [anon_sym_TILDE] = ACTIONS(3190),
    [anon_sym_void] = ACTIONS(3190),
    [anon_sym_delete] = ACTIONS(3190),
    [anon_sym_PLUS_PLUS] = ACTIONS(3190),
    [anon_sym_DASH_DASH] = ACTIONS(3190),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3190),
    [sym_number] = ACTIONS(3190),
    [sym_private_property_identifier] = ACTIONS(3190),
    [sym_this] = ACTIONS(3190),
    [sym_super] = ACTIONS(3190),
    [sym_true] = ACTIONS(3190),
    [sym_false] = ACTIONS(3190),
    [sym_null] = ACTIONS(3190),
    [sym_undefined] = ACTIONS(3190),
    [anon_sym_AT] = ACTIONS(3190),
    [anon_sym_static] = ACTIONS(3190),
    [anon_sym_readonly] = ACTIONS(3190),
    [anon_sym_get] = ACTIONS(3190),
    [anon_sym_set] = ACTIONS(3190),
    [anon_sym_declare] = ACTIONS(3190),
    [anon_sym_public] = ACTIONS(3190),
    [anon_sym_private] = ACTIONS(3190),
    [anon_sym_protected] = ACTIONS(3190),
    [anon_sym_override] = ACTIONS(3190),
    [anon_sym_module] = ACTIONS(3190),
    [anon_sym_any] = ACTIONS(3190),
    [anon_sym_number] = ACTIONS(3190),
    [anon_sym_boolean] = ACTIONS(3190),
    [anon_sym_string] = ACTIONS(3190),
    [anon_sym_symbol] = ACTIONS(3190),
    [anon_sym_object] = ACTIONS(3190),
    [anon_sym_abstract] = ACTIONS(3190),
    [anon_sym_interface] = ACTIONS(3190),
    [anon_sym_enum] = ACTIONS(3190),
    [sym_html_comment] = ACTIONS(5),
  },
  [1007] = {
    [sym_comment] = STATE(1007),
    [sym_identifier] = ACTIONS(3192),
    [anon_sym_export] = ACTIONS(3192),
    [anon_sym_default] = ACTIONS(3192),
    [anon_sym_type] = ACTIONS(3192),
    [anon_sym_namespace] = ACTIONS(3192),
    [anon_sym_LBRACE] = ACTIONS(3192),
    [anon_sym_RBRACE] = ACTIONS(3192),
    [anon_sym_typeof] = ACTIONS(3192),
    [anon_sym_import] = ACTIONS(3192),
    [anon_sym_with] = ACTIONS(3192),
    [anon_sym_var] = ACTIONS(3192),
    [anon_sym_let] = ACTIONS(3192),
    [anon_sym_const] = ACTIONS(3192),
    [anon_sym_BANG] = ACTIONS(3192),
    [anon_sym_else] = ACTIONS(3192),
    [anon_sym_if] = ACTIONS(3192),
    [anon_sym_switch] = ACTIONS(3192),
    [anon_sym_for] = ACTIONS(3192),
    [anon_sym_LPAREN] = ACTIONS(3192),
    [anon_sym_await] = ACTIONS(3192),
    [anon_sym_while] = ACTIONS(3192),
    [anon_sym_do] = ACTIONS(3192),
    [anon_sym_try] = ACTIONS(3192),
    [anon_sym_break] = ACTIONS(3192),
    [anon_sym_continue] = ACTIONS(3192),
    [anon_sym_debugger] = ACTIONS(3192),
    [anon_sym_return] = ACTIONS(3192),
    [anon_sym_throw] = ACTIONS(3192),
    [anon_sym_SEMI] = ACTIONS(3192),
    [anon_sym_case] = ACTIONS(3192),
    [anon_sym_yield] = ACTIONS(3192),
    [anon_sym_LBRACK] = ACTIONS(3192),
    [anon_sym_LTtemplate_GT] = ACTIONS(3192),
    [anon_sym_DQUOTE] = ACTIONS(3192),
    [anon_sym_SQUOTE] = ACTIONS(3192),
    [anon_sym_class] = ACTIONS(3192),
    [anon_sym_async] = ACTIONS(3192),
    [anon_sym_function] = ACTIONS(3192),
    [anon_sym_new] = ACTIONS(3192),
    [anon_sym_using] = ACTIONS(3192),
    [anon_sym_PLUS] = ACTIONS(3192),
    [anon_sym_DASH] = ACTIONS(3192),
    [anon_sym_SLASH] = ACTIONS(3192),
    [anon_sym_LT] = ACTIONS(3192),
    [anon_sym_TILDE] = ACTIONS(3192),
    [anon_sym_void] = ACTIONS(3192),
    [anon_sym_delete] = ACTIONS(3192),
    [anon_sym_PLUS_PLUS] = ACTIONS(3192),
    [anon_sym_DASH_DASH] = ACTIONS(3192),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3192),
    [sym_number] = ACTIONS(3192),
    [sym_private_property_identifier] = ACTIONS(3192),
    [sym_this] = ACTIONS(3192),
    [sym_super] = ACTIONS(3192),
    [sym_true] = ACTIONS(3192),
    [sym_false] = ACTIONS(3192),
    [sym_null] = ACTIONS(3192),
    [sym_undefined] = ACTIONS(3192),
    [anon_sym_AT] = ACTIONS(3192),
    [anon_sym_static] = ACTIONS(3192),
    [anon_sym_readonly] = ACTIONS(3192),
    [anon_sym_get] = ACTIONS(3192),
    [anon_sym_set] = ACTIONS(3192),
    [anon_sym_declare] = ACTIONS(3192),
    [anon_sym_public] = ACTIONS(3192),
    [anon_sym_private] = ACTIONS(3192),
    [anon_sym_protected] = ACTIONS(3192),
    [anon_sym_override] = ACTIONS(3192),
    [anon_sym_module] = ACTIONS(3192),
    [anon_sym_any] = ACTIONS(3192),
    [anon_sym_number] = ACTIONS(3192),
    [anon_sym_boolean] = ACTIONS(3192),
    [anon_sym_string] = ACTIONS(3192),
    [anon_sym_symbol] = ACTIONS(3192),
    [anon_sym_object] = ACTIONS(3192),
    [anon_sym_abstract] = ACTIONS(3192),
    [anon_sym_interface] = ACTIONS(3192),
    [anon_sym_enum] = ACTIONS(3192),
    [sym_html_comment] = ACTIONS(5),
  },
  [1008] = {
    [sym_comment] = STATE(1008),
    [sym_identifier] = ACTIONS(3194),
    [anon_sym_export] = ACTIONS(3194),
    [anon_sym_default] = ACTIONS(3194),
    [anon_sym_type] = ACTIONS(3194),
    [anon_sym_namespace] = ACTIONS(3194),
    [anon_sym_LBRACE] = ACTIONS(3194),
    [anon_sym_RBRACE] = ACTIONS(3194),
    [anon_sym_typeof] = ACTIONS(3194),
    [anon_sym_import] = ACTIONS(3194),
    [anon_sym_with] = ACTIONS(3194),
    [anon_sym_var] = ACTIONS(3194),
    [anon_sym_let] = ACTIONS(3194),
    [anon_sym_const] = ACTIONS(3194),
    [anon_sym_BANG] = ACTIONS(3194),
    [anon_sym_else] = ACTIONS(3194),
    [anon_sym_if] = ACTIONS(3194),
    [anon_sym_switch] = ACTIONS(3194),
    [anon_sym_for] = ACTIONS(3194),
    [anon_sym_LPAREN] = ACTIONS(3194),
    [anon_sym_await] = ACTIONS(3194),
    [anon_sym_while] = ACTIONS(3194),
    [anon_sym_do] = ACTIONS(3194),
    [anon_sym_try] = ACTIONS(3194),
    [anon_sym_break] = ACTIONS(3194),
    [anon_sym_continue] = ACTIONS(3194),
    [anon_sym_debugger] = ACTIONS(3194),
    [anon_sym_return] = ACTIONS(3194),
    [anon_sym_throw] = ACTIONS(3194),
    [anon_sym_SEMI] = ACTIONS(3194),
    [anon_sym_case] = ACTIONS(3194),
    [anon_sym_yield] = ACTIONS(3194),
    [anon_sym_LBRACK] = ACTIONS(3194),
    [anon_sym_LTtemplate_GT] = ACTIONS(3194),
    [anon_sym_DQUOTE] = ACTIONS(3194),
    [anon_sym_SQUOTE] = ACTIONS(3194),
    [anon_sym_class] = ACTIONS(3194),
    [anon_sym_async] = ACTIONS(3194),
    [anon_sym_function] = ACTIONS(3194),
    [anon_sym_new] = ACTIONS(3194),
    [anon_sym_using] = ACTIONS(3194),
    [anon_sym_PLUS] = ACTIONS(3194),
    [anon_sym_DASH] = ACTIONS(3194),
    [anon_sym_SLASH] = ACTIONS(3194),
    [anon_sym_LT] = ACTIONS(3194),
    [anon_sym_TILDE] = ACTIONS(3194),
    [anon_sym_void] = ACTIONS(3194),
    [anon_sym_delete] = ACTIONS(3194),
    [anon_sym_PLUS_PLUS] = ACTIONS(3194),
    [anon_sym_DASH_DASH] = ACTIONS(3194),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3194),
    [sym_number] = ACTIONS(3194),
    [sym_private_property_identifier] = ACTIONS(3194),
    [sym_this] = ACTIONS(3194),
    [sym_super] = ACTIONS(3194),
    [sym_true] = ACTIONS(3194),
    [sym_false] = ACTIONS(3194),
    [sym_null] = ACTIONS(3194),
    [sym_undefined] = ACTIONS(3194),
    [anon_sym_AT] = ACTIONS(3194),
    [anon_sym_static] = ACTIONS(3194),
    [anon_sym_readonly] = ACTIONS(3194),
    [anon_sym_get] = ACTIONS(3194),
    [anon_sym_set] = ACTIONS(3194),
    [anon_sym_declare] = ACTIONS(3194),
    [anon_sym_public] = ACTIONS(3194),
    [anon_sym_private] = ACTIONS(3194),
    [anon_sym_protected] = ACTIONS(3194),
    [anon_sym_override] = ACTIONS(3194),
    [anon_sym_module] = ACTIONS(3194),
    [anon_sym_any] = ACTIONS(3194),
    [anon_sym_number] = ACTIONS(3194),
    [anon_sym_boolean] = ACTIONS(3194),
    [anon_sym_string] = ACTIONS(3194),
    [anon_sym_symbol] = ACTIONS(3194),
    [anon_sym_object] = ACTIONS(3194),
    [anon_sym_abstract] = ACTIONS(3194),
    [anon_sym_interface] = ACTIONS(3194),
    [anon_sym_enum] = ACTIONS(3194),
    [sym_html_comment] = ACTIONS(5),
  },
  [1009] = {
    [sym_comment] = STATE(1009),
    [sym_identifier] = ACTIONS(3196),
    [anon_sym_export] = ACTIONS(3196),
    [anon_sym_default] = ACTIONS(3196),
    [anon_sym_type] = ACTIONS(3196),
    [anon_sym_namespace] = ACTIONS(3196),
    [anon_sym_LBRACE] = ACTIONS(3196),
    [anon_sym_RBRACE] = ACTIONS(3196),
    [anon_sym_typeof] = ACTIONS(3196),
    [anon_sym_import] = ACTIONS(3196),
    [anon_sym_with] = ACTIONS(3196),
    [anon_sym_var] = ACTIONS(3196),
    [anon_sym_let] = ACTIONS(3196),
    [anon_sym_const] = ACTIONS(3196),
    [anon_sym_BANG] = ACTIONS(3196),
    [anon_sym_else] = ACTIONS(3196),
    [anon_sym_if] = ACTIONS(3196),
    [anon_sym_switch] = ACTIONS(3196),
    [anon_sym_for] = ACTIONS(3196),
    [anon_sym_LPAREN] = ACTIONS(3196),
    [anon_sym_await] = ACTIONS(3196),
    [anon_sym_while] = ACTIONS(3196),
    [anon_sym_do] = ACTIONS(3196),
    [anon_sym_try] = ACTIONS(3196),
    [anon_sym_break] = ACTIONS(3196),
    [anon_sym_continue] = ACTIONS(3196),
    [anon_sym_debugger] = ACTIONS(3196),
    [anon_sym_return] = ACTIONS(3196),
    [anon_sym_throw] = ACTIONS(3196),
    [anon_sym_SEMI] = ACTIONS(3196),
    [anon_sym_case] = ACTIONS(3196),
    [anon_sym_yield] = ACTIONS(3196),
    [anon_sym_LBRACK] = ACTIONS(3196),
    [anon_sym_LTtemplate_GT] = ACTIONS(3196),
    [anon_sym_DQUOTE] = ACTIONS(3196),
    [anon_sym_SQUOTE] = ACTIONS(3196),
    [anon_sym_class] = ACTIONS(3196),
    [anon_sym_async] = ACTIONS(3196),
    [anon_sym_function] = ACTIONS(3196),
    [anon_sym_new] = ACTIONS(3196),
    [anon_sym_using] = ACTIONS(3196),
    [anon_sym_PLUS] = ACTIONS(3196),
    [anon_sym_DASH] = ACTIONS(3196),
    [anon_sym_SLASH] = ACTIONS(3196),
    [anon_sym_LT] = ACTIONS(3196),
    [anon_sym_TILDE] = ACTIONS(3196),
    [anon_sym_void] = ACTIONS(3196),
    [anon_sym_delete] = ACTIONS(3196),
    [anon_sym_PLUS_PLUS] = ACTIONS(3196),
    [anon_sym_DASH_DASH] = ACTIONS(3196),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3196),
    [sym_number] = ACTIONS(3196),
    [sym_private_property_identifier] = ACTIONS(3196),
    [sym_this] = ACTIONS(3196),
    [sym_super] = ACTIONS(3196),
    [sym_true] = ACTIONS(3196),
    [sym_false] = ACTIONS(3196),
    [sym_null] = ACTIONS(3196),
    [sym_undefined] = ACTIONS(3196),
    [anon_sym_AT] = ACTIONS(3196),
    [anon_sym_static] = ACTIONS(3196),
    [anon_sym_readonly] = ACTIONS(3196),
    [anon_sym_get] = ACTIONS(3196),
    [anon_sym_set] = ACTIONS(3196),
    [anon_sym_declare] = ACTIONS(3196),
    [anon_sym_public] = ACTIONS(3196),
    [anon_sym_private] = ACTIONS(3196),
    [anon_sym_protected] = ACTIONS(3196),
    [anon_sym_override] = ACTIONS(3196),
    [anon_sym_module] = ACTIONS(3196),
    [anon_sym_any] = ACTIONS(3196),
    [anon_sym_number] = ACTIONS(3196),
    [anon_sym_boolean] = ACTIONS(3196),
    [anon_sym_string] = ACTIONS(3196),
    [anon_sym_symbol] = ACTIONS(3196),
    [anon_sym_object] = ACTIONS(3196),
    [anon_sym_abstract] = ACTIONS(3196),
    [anon_sym_interface] = ACTIONS(3196),
    [anon_sym_enum] = ACTIONS(3196),
    [sym_html_comment] = ACTIONS(5),
  },
  [1010] = {
    [sym_comment] = STATE(1010),
    [sym_identifier] = ACTIONS(3198),
    [anon_sym_export] = ACTIONS(3198),
    [anon_sym_default] = ACTIONS(3198),
    [anon_sym_type] = ACTIONS(3198),
    [anon_sym_namespace] = ACTIONS(3198),
    [anon_sym_LBRACE] = ACTIONS(3198),
    [anon_sym_RBRACE] = ACTIONS(3198),
    [anon_sym_typeof] = ACTIONS(3198),
    [anon_sym_import] = ACTIONS(3198),
    [anon_sym_with] = ACTIONS(3198),
    [anon_sym_var] = ACTIONS(3198),
    [anon_sym_let] = ACTIONS(3198),
    [anon_sym_const] = ACTIONS(3198),
    [anon_sym_BANG] = ACTIONS(3198),
    [anon_sym_else] = ACTIONS(3198),
    [anon_sym_if] = ACTIONS(3198),
    [anon_sym_switch] = ACTIONS(3198),
    [anon_sym_for] = ACTIONS(3198),
    [anon_sym_LPAREN] = ACTIONS(3198),
    [anon_sym_await] = ACTIONS(3198),
    [anon_sym_while] = ACTIONS(3198),
    [anon_sym_do] = ACTIONS(3198),
    [anon_sym_try] = ACTIONS(3198),
    [anon_sym_break] = ACTIONS(3198),
    [anon_sym_continue] = ACTIONS(3198),
    [anon_sym_debugger] = ACTIONS(3198),
    [anon_sym_return] = ACTIONS(3198),
    [anon_sym_throw] = ACTIONS(3198),
    [anon_sym_SEMI] = ACTIONS(3198),
    [anon_sym_case] = ACTIONS(3198),
    [anon_sym_yield] = ACTIONS(3198),
    [anon_sym_LBRACK] = ACTIONS(3198),
    [anon_sym_LTtemplate_GT] = ACTIONS(3198),
    [anon_sym_DQUOTE] = ACTIONS(3198),
    [anon_sym_SQUOTE] = ACTIONS(3198),
    [anon_sym_class] = ACTIONS(3198),
    [anon_sym_async] = ACTIONS(3198),
    [anon_sym_function] = ACTIONS(3198),
    [anon_sym_new] = ACTIONS(3198),
    [anon_sym_using] = ACTIONS(3198),
    [anon_sym_PLUS] = ACTIONS(3198),
    [anon_sym_DASH] = ACTIONS(3198),
    [anon_sym_SLASH] = ACTIONS(3198),
    [anon_sym_LT] = ACTIONS(3198),
    [anon_sym_TILDE] = ACTIONS(3198),
    [anon_sym_void] = ACTIONS(3198),
    [anon_sym_delete] = ACTIONS(3198),
    [anon_sym_PLUS_PLUS] = ACTIONS(3198),
    [anon_sym_DASH_DASH] = ACTIONS(3198),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3198),
    [sym_number] = ACTIONS(3198),
    [sym_private_property_identifier] = ACTIONS(3198),
    [sym_this] = ACTIONS(3198),
    [sym_super] = ACTIONS(3198),
    [sym_true] = ACTIONS(3198),
    [sym_false] = ACTIONS(3198),
    [sym_null] = ACTIONS(3198),
    [sym_undefined] = ACTIONS(3198),
    [anon_sym_AT] = ACTIONS(3198),
    [anon_sym_static] = ACTIONS(3198),
    [anon_sym_readonly] = ACTIONS(3198),
    [anon_sym_get] = ACTIONS(3198),
    [anon_sym_set] = ACTIONS(3198),
    [anon_sym_declare] = ACTIONS(3198),
    [anon_sym_public] = ACTIONS(3198),
    [anon_sym_private] = ACTIONS(3198),
    [anon_sym_protected] = ACTIONS(3198),
    [anon_sym_override] = ACTIONS(3198),
    [anon_sym_module] = ACTIONS(3198),
    [anon_sym_any] = ACTIONS(3198),
    [anon_sym_number] = ACTIONS(3198),
    [anon_sym_boolean] = ACTIONS(3198),
    [anon_sym_string] = ACTIONS(3198),
    [anon_sym_symbol] = ACTIONS(3198),
    [anon_sym_object] = ACTIONS(3198),
    [anon_sym_abstract] = ACTIONS(3198),
    [anon_sym_interface] = ACTIONS(3198),
    [anon_sym_enum] = ACTIONS(3198),
    [sym_html_comment] = ACTIONS(5),
  },
  [1011] = {
    [sym_comment] = STATE(1011),
    [sym_identifier] = ACTIONS(3198),
    [anon_sym_export] = ACTIONS(3198),
    [anon_sym_default] = ACTIONS(3198),
    [anon_sym_type] = ACTIONS(3198),
    [anon_sym_namespace] = ACTIONS(3198),
    [anon_sym_LBRACE] = ACTIONS(3198),
    [anon_sym_RBRACE] = ACTIONS(3198),
    [anon_sym_typeof] = ACTIONS(3198),
    [anon_sym_import] = ACTIONS(3198),
    [anon_sym_with] = ACTIONS(3198),
    [anon_sym_var] = ACTIONS(3198),
    [anon_sym_let] = ACTIONS(3198),
    [anon_sym_const] = ACTIONS(3198),
    [anon_sym_BANG] = ACTIONS(3198),
    [anon_sym_else] = ACTIONS(3198),
    [anon_sym_if] = ACTIONS(3198),
    [anon_sym_switch] = ACTIONS(3198),
    [anon_sym_for] = ACTIONS(3198),
    [anon_sym_LPAREN] = ACTIONS(3198),
    [anon_sym_await] = ACTIONS(3198),
    [anon_sym_while] = ACTIONS(3198),
    [anon_sym_do] = ACTIONS(3198),
    [anon_sym_try] = ACTIONS(3198),
    [anon_sym_break] = ACTIONS(3198),
    [anon_sym_continue] = ACTIONS(3198),
    [anon_sym_debugger] = ACTIONS(3198),
    [anon_sym_return] = ACTIONS(3198),
    [anon_sym_throw] = ACTIONS(3198),
    [anon_sym_SEMI] = ACTIONS(3198),
    [anon_sym_case] = ACTIONS(3198),
    [anon_sym_yield] = ACTIONS(3198),
    [anon_sym_LBRACK] = ACTIONS(3198),
    [anon_sym_LTtemplate_GT] = ACTIONS(3198),
    [anon_sym_DQUOTE] = ACTIONS(3198),
    [anon_sym_SQUOTE] = ACTIONS(3198),
    [anon_sym_class] = ACTIONS(3198),
    [anon_sym_async] = ACTIONS(3198),
    [anon_sym_function] = ACTIONS(3198),
    [anon_sym_new] = ACTIONS(3198),
    [anon_sym_using] = ACTIONS(3198),
    [anon_sym_PLUS] = ACTIONS(3198),
    [anon_sym_DASH] = ACTIONS(3198),
    [anon_sym_SLASH] = ACTIONS(3198),
    [anon_sym_LT] = ACTIONS(3198),
    [anon_sym_TILDE] = ACTIONS(3198),
    [anon_sym_void] = ACTIONS(3198),
    [anon_sym_delete] = ACTIONS(3198),
    [anon_sym_PLUS_PLUS] = ACTIONS(3198),
    [anon_sym_DASH_DASH] = ACTIONS(3198),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3198),
    [sym_number] = ACTIONS(3198),
    [sym_private_property_identifier] = ACTIONS(3198),
    [sym_this] = ACTIONS(3198),
    [sym_super] = ACTIONS(3198),
    [sym_true] = ACTIONS(3198),
    [sym_false] = ACTIONS(3198),
    [sym_null] = ACTIONS(3198),
    [sym_undefined] = ACTIONS(3198),
    [anon_sym_AT] = ACTIONS(3198),
    [anon_sym_static] = ACTIONS(3198),
    [anon_sym_readonly] = ACTIONS(3198),
    [anon_sym_get] = ACTIONS(3198),
    [anon_sym_set] = ACTIONS(3198),
    [anon_sym_declare] = ACTIONS(3198),
    [anon_sym_public] = ACTIONS(3198),
    [anon_sym_private] = ACTIONS(3198),
    [anon_sym_protected] = ACTIONS(3198),
    [anon_sym_override] = ACTIONS(3198),
    [anon_sym_module] = ACTIONS(3198),
    [anon_sym_any] = ACTIONS(3198),
    [anon_sym_number] = ACTIONS(3198),
    [anon_sym_boolean] = ACTIONS(3198),
    [anon_sym_string] = ACTIONS(3198),
    [anon_sym_symbol] = ACTIONS(3198),
    [anon_sym_object] = ACTIONS(3198),
    [anon_sym_abstract] = ACTIONS(3198),
    [anon_sym_interface] = ACTIONS(3198),
    [anon_sym_enum] = ACTIONS(3198),
    [sym_html_comment] = ACTIONS(5),
  },
  [1012] = {
    [sym_comment] = STATE(1012),
    [sym_identifier] = ACTIONS(3200),
    [anon_sym_export] = ACTIONS(3200),
    [anon_sym_default] = ACTIONS(3200),
    [anon_sym_type] = ACTIONS(3200),
    [anon_sym_namespace] = ACTIONS(3200),
    [anon_sym_LBRACE] = ACTIONS(3200),
    [anon_sym_RBRACE] = ACTIONS(3200),
    [anon_sym_typeof] = ACTIONS(3200),
    [anon_sym_import] = ACTIONS(3200),
    [anon_sym_with] = ACTIONS(3200),
    [anon_sym_var] = ACTIONS(3200),
    [anon_sym_let] = ACTIONS(3200),
    [anon_sym_const] = ACTIONS(3200),
    [anon_sym_BANG] = ACTIONS(3200),
    [anon_sym_else] = ACTIONS(3200),
    [anon_sym_if] = ACTIONS(3200),
    [anon_sym_switch] = ACTIONS(3200),
    [anon_sym_for] = ACTIONS(3200),
    [anon_sym_LPAREN] = ACTIONS(3200),
    [anon_sym_await] = ACTIONS(3200),
    [anon_sym_while] = ACTIONS(3200),
    [anon_sym_do] = ACTIONS(3200),
    [anon_sym_try] = ACTIONS(3200),
    [anon_sym_break] = ACTIONS(3200),
    [anon_sym_continue] = ACTIONS(3200),
    [anon_sym_debugger] = ACTIONS(3200),
    [anon_sym_return] = ACTIONS(3200),
    [anon_sym_throw] = ACTIONS(3200),
    [anon_sym_SEMI] = ACTIONS(3200),
    [anon_sym_case] = ACTIONS(3200),
    [anon_sym_yield] = ACTIONS(3200),
    [anon_sym_LBRACK] = ACTIONS(3200),
    [anon_sym_LTtemplate_GT] = ACTIONS(3200),
    [anon_sym_DQUOTE] = ACTIONS(3200),
    [anon_sym_SQUOTE] = ACTIONS(3200),
    [anon_sym_class] = ACTIONS(3200),
    [anon_sym_async] = ACTIONS(3200),
    [anon_sym_function] = ACTIONS(3200),
    [anon_sym_new] = ACTIONS(3200),
    [anon_sym_using] = ACTIONS(3200),
    [anon_sym_PLUS] = ACTIONS(3200),
    [anon_sym_DASH] = ACTIONS(3200),
    [anon_sym_SLASH] = ACTIONS(3200),
    [anon_sym_LT] = ACTIONS(3200),
    [anon_sym_TILDE] = ACTIONS(3200),
    [anon_sym_void] = ACTIONS(3200),
    [anon_sym_delete] = ACTIONS(3200),
    [anon_sym_PLUS_PLUS] = ACTIONS(3200),
    [anon_sym_DASH_DASH] = ACTIONS(3200),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3200),
    [sym_number] = ACTIONS(3200),
    [sym_private_property_identifier] = ACTIONS(3200),
    [sym_this] = ACTIONS(3200),
    [sym_super] = ACTIONS(3200),
    [sym_true] = ACTIONS(3200),
    [sym_false] = ACTIONS(3200),
    [sym_null] = ACTIONS(3200),
    [sym_undefined] = ACTIONS(3200),
    [anon_sym_AT] = ACTIONS(3200),
    [anon_sym_static] = ACTIONS(3200),
    [anon_sym_readonly] = ACTIONS(3200),
    [anon_sym_get] = ACTIONS(3200),
    [anon_sym_set] = ACTIONS(3200),
    [anon_sym_declare] = ACTIONS(3200),
    [anon_sym_public] = ACTIONS(3200),
    [anon_sym_private] = ACTIONS(3200),
    [anon_sym_protected] = ACTIONS(3200),
    [anon_sym_override] = ACTIONS(3200),
    [anon_sym_module] = ACTIONS(3200),
    [anon_sym_any] = ACTIONS(3200),
    [anon_sym_number] = ACTIONS(3200),
    [anon_sym_boolean] = ACTIONS(3200),
    [anon_sym_string] = ACTIONS(3200),
    [anon_sym_symbol] = ACTIONS(3200),
    [anon_sym_object] = ACTIONS(3200),
    [anon_sym_abstract] = ACTIONS(3200),
    [anon_sym_interface] = ACTIONS(3200),
    [anon_sym_enum] = ACTIONS(3200),
    [sym_html_comment] = ACTIONS(5),
  },
  [1013] = {
    [sym_comment] = STATE(1013),
    [sym_identifier] = ACTIONS(3202),
    [anon_sym_export] = ACTIONS(3202),
    [anon_sym_default] = ACTIONS(3202),
    [anon_sym_type] = ACTIONS(3202),
    [anon_sym_namespace] = ACTIONS(3202),
    [anon_sym_LBRACE] = ACTIONS(3202),
    [anon_sym_RBRACE] = ACTIONS(3202),
    [anon_sym_typeof] = ACTIONS(3202),
    [anon_sym_import] = ACTIONS(3202),
    [anon_sym_with] = ACTIONS(3202),
    [anon_sym_var] = ACTIONS(3202),
    [anon_sym_let] = ACTIONS(3202),
    [anon_sym_const] = ACTIONS(3202),
    [anon_sym_BANG] = ACTIONS(3202),
    [anon_sym_else] = ACTIONS(3202),
    [anon_sym_if] = ACTIONS(3202),
    [anon_sym_switch] = ACTIONS(3202),
    [anon_sym_for] = ACTIONS(3202),
    [anon_sym_LPAREN] = ACTIONS(3202),
    [anon_sym_await] = ACTIONS(3202),
    [anon_sym_while] = ACTIONS(3202),
    [anon_sym_do] = ACTIONS(3202),
    [anon_sym_try] = ACTIONS(3202),
    [anon_sym_break] = ACTIONS(3202),
    [anon_sym_continue] = ACTIONS(3202),
    [anon_sym_debugger] = ACTIONS(3202),
    [anon_sym_return] = ACTIONS(3202),
    [anon_sym_throw] = ACTIONS(3202),
    [anon_sym_SEMI] = ACTIONS(3202),
    [anon_sym_case] = ACTIONS(3202),
    [anon_sym_yield] = ACTIONS(3202),
    [anon_sym_LBRACK] = ACTIONS(3202),
    [anon_sym_LTtemplate_GT] = ACTIONS(3202),
    [anon_sym_DQUOTE] = ACTIONS(3202),
    [anon_sym_SQUOTE] = ACTIONS(3202),
    [anon_sym_class] = ACTIONS(3202),
    [anon_sym_async] = ACTIONS(3202),
    [anon_sym_function] = ACTIONS(3202),
    [anon_sym_new] = ACTIONS(3202),
    [anon_sym_using] = ACTIONS(3202),
    [anon_sym_PLUS] = ACTIONS(3202),
    [anon_sym_DASH] = ACTIONS(3202),
    [anon_sym_SLASH] = ACTIONS(3202),
    [anon_sym_LT] = ACTIONS(3202),
    [anon_sym_TILDE] = ACTIONS(3202),
    [anon_sym_void] = ACTIONS(3202),
    [anon_sym_delete] = ACTIONS(3202),
    [anon_sym_PLUS_PLUS] = ACTIONS(3202),
    [anon_sym_DASH_DASH] = ACTIONS(3202),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3202),
    [sym_number] = ACTIONS(3202),
    [sym_private_property_identifier] = ACTIONS(3202),
    [sym_this] = ACTIONS(3202),
    [sym_super] = ACTIONS(3202),
    [sym_true] = ACTIONS(3202),
    [sym_false] = ACTIONS(3202),
    [sym_null] = ACTIONS(3202),
    [sym_undefined] = ACTIONS(3202),
    [anon_sym_AT] = ACTIONS(3202),
    [anon_sym_static] = ACTIONS(3202),
    [anon_sym_readonly] = ACTIONS(3202),
    [anon_sym_get] = ACTIONS(3202),
    [anon_sym_set] = ACTIONS(3202),
    [anon_sym_declare] = ACTIONS(3202),
    [anon_sym_public] = ACTIONS(3202),
    [anon_sym_private] = ACTIONS(3202),
    [anon_sym_protected] = ACTIONS(3202),
    [anon_sym_override] = ACTIONS(3202),
    [anon_sym_module] = ACTIONS(3202),
    [anon_sym_any] = ACTIONS(3202),
    [anon_sym_number] = ACTIONS(3202),
    [anon_sym_boolean] = ACTIONS(3202),
    [anon_sym_string] = ACTIONS(3202),
    [anon_sym_symbol] = ACTIONS(3202),
    [anon_sym_object] = ACTIONS(3202),
    [anon_sym_abstract] = ACTIONS(3202),
    [anon_sym_interface] = ACTIONS(3202),
    [anon_sym_enum] = ACTIONS(3202),
    [sym_html_comment] = ACTIONS(5),
  },
  [1014] = {
    [sym_comment] = STATE(1014),
    [sym_identifier] = ACTIONS(3204),
    [anon_sym_export] = ACTIONS(3204),
    [anon_sym_default] = ACTIONS(3204),
    [anon_sym_type] = ACTIONS(3204),
    [anon_sym_namespace] = ACTIONS(3204),
    [anon_sym_LBRACE] = ACTIONS(3204),
    [anon_sym_RBRACE] = ACTIONS(3204),
    [anon_sym_typeof] = ACTIONS(3204),
    [anon_sym_import] = ACTIONS(3204),
    [anon_sym_with] = ACTIONS(3204),
    [anon_sym_var] = ACTIONS(3204),
    [anon_sym_let] = ACTIONS(3204),
    [anon_sym_const] = ACTIONS(3204),
    [anon_sym_BANG] = ACTIONS(3204),
    [anon_sym_else] = ACTIONS(3204),
    [anon_sym_if] = ACTIONS(3204),
    [anon_sym_switch] = ACTIONS(3204),
    [anon_sym_for] = ACTIONS(3204),
    [anon_sym_LPAREN] = ACTIONS(3204),
    [anon_sym_await] = ACTIONS(3204),
    [anon_sym_while] = ACTIONS(3204),
    [anon_sym_do] = ACTIONS(3204),
    [anon_sym_try] = ACTIONS(3204),
    [anon_sym_break] = ACTIONS(3204),
    [anon_sym_continue] = ACTIONS(3204),
    [anon_sym_debugger] = ACTIONS(3204),
    [anon_sym_return] = ACTIONS(3204),
    [anon_sym_throw] = ACTIONS(3204),
    [anon_sym_SEMI] = ACTIONS(3204),
    [anon_sym_case] = ACTIONS(3204),
    [anon_sym_yield] = ACTIONS(3204),
    [anon_sym_LBRACK] = ACTIONS(3204),
    [anon_sym_LTtemplate_GT] = ACTIONS(3204),
    [anon_sym_DQUOTE] = ACTIONS(3204),
    [anon_sym_SQUOTE] = ACTIONS(3204),
    [anon_sym_class] = ACTIONS(3204),
    [anon_sym_async] = ACTIONS(3204),
    [anon_sym_function] = ACTIONS(3204),
    [anon_sym_new] = ACTIONS(3204),
    [anon_sym_using] = ACTIONS(3204),
    [anon_sym_PLUS] = ACTIONS(3204),
    [anon_sym_DASH] = ACTIONS(3204),
    [anon_sym_SLASH] = ACTIONS(3204),
    [anon_sym_LT] = ACTIONS(3204),
    [anon_sym_TILDE] = ACTIONS(3204),
    [anon_sym_void] = ACTIONS(3204),
    [anon_sym_delete] = ACTIONS(3204),
    [anon_sym_PLUS_PLUS] = ACTIONS(3204),
    [anon_sym_DASH_DASH] = ACTIONS(3204),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3204),
    [sym_number] = ACTIONS(3204),
    [sym_private_property_identifier] = ACTIONS(3204),
    [sym_this] = ACTIONS(3204),
    [sym_super] = ACTIONS(3204),
    [sym_true] = ACTIONS(3204),
    [sym_false] = ACTIONS(3204),
    [sym_null] = ACTIONS(3204),
    [sym_undefined] = ACTIONS(3204),
    [anon_sym_AT] = ACTIONS(3204),
    [anon_sym_static] = ACTIONS(3204),
    [anon_sym_readonly] = ACTIONS(3204),
    [anon_sym_get] = ACTIONS(3204),
    [anon_sym_set] = ACTIONS(3204),
    [anon_sym_declare] = ACTIONS(3204),
    [anon_sym_public] = ACTIONS(3204),
    [anon_sym_private] = ACTIONS(3204),
    [anon_sym_protected] = ACTIONS(3204),
    [anon_sym_override] = ACTIONS(3204),
    [anon_sym_module] = ACTIONS(3204),
    [anon_sym_any] = ACTIONS(3204),
    [anon_sym_number] = ACTIONS(3204),
    [anon_sym_boolean] = ACTIONS(3204),
    [anon_sym_string] = ACTIONS(3204),
    [anon_sym_symbol] = ACTIONS(3204),
    [anon_sym_object] = ACTIONS(3204),
    [anon_sym_abstract] = ACTIONS(3204),
    [anon_sym_interface] = ACTIONS(3204),
    [anon_sym_enum] = ACTIONS(3204),
    [sym_html_comment] = ACTIONS(5),
  },
  [1015] = {
    [sym_comment] = STATE(1015),
    [sym_identifier] = ACTIONS(3206),
    [anon_sym_export] = ACTIONS(3206),
    [anon_sym_default] = ACTIONS(3206),
    [anon_sym_type] = ACTIONS(3206),
    [anon_sym_namespace] = ACTIONS(3206),
    [anon_sym_LBRACE] = ACTIONS(3206),
    [anon_sym_RBRACE] = ACTIONS(3206),
    [anon_sym_typeof] = ACTIONS(3206),
    [anon_sym_import] = ACTIONS(3206),
    [anon_sym_with] = ACTIONS(3206),
    [anon_sym_var] = ACTIONS(3206),
    [anon_sym_let] = ACTIONS(3206),
    [anon_sym_const] = ACTIONS(3206),
    [anon_sym_BANG] = ACTIONS(3206),
    [anon_sym_else] = ACTIONS(3206),
    [anon_sym_if] = ACTIONS(3206),
    [anon_sym_switch] = ACTIONS(3206),
    [anon_sym_for] = ACTIONS(3206),
    [anon_sym_LPAREN] = ACTIONS(3206),
    [anon_sym_await] = ACTIONS(3206),
    [anon_sym_while] = ACTIONS(3206),
    [anon_sym_do] = ACTIONS(3206),
    [anon_sym_try] = ACTIONS(3206),
    [anon_sym_break] = ACTIONS(3206),
    [anon_sym_continue] = ACTIONS(3206),
    [anon_sym_debugger] = ACTIONS(3206),
    [anon_sym_return] = ACTIONS(3206),
    [anon_sym_throw] = ACTIONS(3206),
    [anon_sym_SEMI] = ACTIONS(3206),
    [anon_sym_case] = ACTIONS(3206),
    [anon_sym_yield] = ACTIONS(3206),
    [anon_sym_LBRACK] = ACTIONS(3206),
    [anon_sym_LTtemplate_GT] = ACTIONS(3206),
    [anon_sym_DQUOTE] = ACTIONS(3206),
    [anon_sym_SQUOTE] = ACTIONS(3206),
    [anon_sym_class] = ACTIONS(3206),
    [anon_sym_async] = ACTIONS(3206),
    [anon_sym_function] = ACTIONS(3206),
    [anon_sym_new] = ACTIONS(3206),
    [anon_sym_using] = ACTIONS(3206),
    [anon_sym_PLUS] = ACTIONS(3206),
    [anon_sym_DASH] = ACTIONS(3206),
    [anon_sym_SLASH] = ACTIONS(3206),
    [anon_sym_LT] = ACTIONS(3206),
    [anon_sym_TILDE] = ACTIONS(3206),
    [anon_sym_void] = ACTIONS(3206),
    [anon_sym_delete] = ACTIONS(3206),
    [anon_sym_PLUS_PLUS] = ACTIONS(3206),
    [anon_sym_DASH_DASH] = ACTIONS(3206),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3206),
    [sym_number] = ACTIONS(3206),
    [sym_private_property_identifier] = ACTIONS(3206),
    [sym_this] = ACTIONS(3206),
    [sym_super] = ACTIONS(3206),
    [sym_true] = ACTIONS(3206),
    [sym_false] = ACTIONS(3206),
    [sym_null] = ACTIONS(3206),
    [sym_undefined] = ACTIONS(3206),
    [anon_sym_AT] = ACTIONS(3206),
    [anon_sym_static] = ACTIONS(3206),
    [anon_sym_readonly] = ACTIONS(3206),
    [anon_sym_get] = ACTIONS(3206),
    [anon_sym_set] = ACTIONS(3206),
    [anon_sym_declare] = ACTIONS(3206),
    [anon_sym_public] = ACTIONS(3206),
    [anon_sym_private] = ACTIONS(3206),
    [anon_sym_protected] = ACTIONS(3206),
    [anon_sym_override] = ACTIONS(3206),
    [anon_sym_module] = ACTIONS(3206),
    [anon_sym_any] = ACTIONS(3206),
    [anon_sym_number] = ACTIONS(3206),
    [anon_sym_boolean] = ACTIONS(3206),
    [anon_sym_string] = ACTIONS(3206),
    [anon_sym_symbol] = ACTIONS(3206),
    [anon_sym_object] = ACTIONS(3206),
    [anon_sym_abstract] = ACTIONS(3206),
    [anon_sym_interface] = ACTIONS(3206),
    [anon_sym_enum] = ACTIONS(3206),
    [sym_html_comment] = ACTIONS(5),
  },
  [1016] = {
    [sym_comment] = STATE(1016),
    [sym_identifier] = ACTIONS(3208),
    [anon_sym_export] = ACTIONS(3208),
    [anon_sym_default] = ACTIONS(3208),
    [anon_sym_type] = ACTIONS(3208),
    [anon_sym_namespace] = ACTIONS(3208),
    [anon_sym_LBRACE] = ACTIONS(3208),
    [anon_sym_RBRACE] = ACTIONS(3208),
    [anon_sym_typeof] = ACTIONS(3208),
    [anon_sym_import] = ACTIONS(3208),
    [anon_sym_with] = ACTIONS(3208),
    [anon_sym_var] = ACTIONS(3208),
    [anon_sym_let] = ACTIONS(3208),
    [anon_sym_const] = ACTIONS(3208),
    [anon_sym_BANG] = ACTIONS(3208),
    [anon_sym_else] = ACTIONS(3208),
    [anon_sym_if] = ACTIONS(3208),
    [anon_sym_switch] = ACTIONS(3208),
    [anon_sym_for] = ACTIONS(3208),
    [anon_sym_LPAREN] = ACTIONS(3208),
    [anon_sym_await] = ACTIONS(3208),
    [anon_sym_while] = ACTIONS(3208),
    [anon_sym_do] = ACTIONS(3208),
    [anon_sym_try] = ACTIONS(3208),
    [anon_sym_break] = ACTIONS(3208),
    [anon_sym_continue] = ACTIONS(3208),
    [anon_sym_debugger] = ACTIONS(3208),
    [anon_sym_return] = ACTIONS(3208),
    [anon_sym_throw] = ACTIONS(3208),
    [anon_sym_SEMI] = ACTIONS(3208),
    [anon_sym_case] = ACTIONS(3208),
    [anon_sym_yield] = ACTIONS(3208),
    [anon_sym_LBRACK] = ACTIONS(3208),
    [anon_sym_LTtemplate_GT] = ACTIONS(3208),
    [anon_sym_DQUOTE] = ACTIONS(3208),
    [anon_sym_SQUOTE] = ACTIONS(3208),
    [anon_sym_class] = ACTIONS(3208),
    [anon_sym_async] = ACTIONS(3208),
    [anon_sym_function] = ACTIONS(3208),
    [anon_sym_new] = ACTIONS(3208),
    [anon_sym_using] = ACTIONS(3208),
    [anon_sym_PLUS] = ACTIONS(3208),
    [anon_sym_DASH] = ACTIONS(3208),
    [anon_sym_SLASH] = ACTIONS(3208),
    [anon_sym_LT] = ACTIONS(3208),
    [anon_sym_TILDE] = ACTIONS(3208),
    [anon_sym_void] = ACTIONS(3208),
    [anon_sym_delete] = ACTIONS(3208),
    [anon_sym_PLUS_PLUS] = ACTIONS(3208),
    [anon_sym_DASH_DASH] = ACTIONS(3208),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3208),
    [sym_number] = ACTIONS(3208),
    [sym_private_property_identifier] = ACTIONS(3208),
    [sym_this] = ACTIONS(3208),
    [sym_super] = ACTIONS(3208),
    [sym_true] = ACTIONS(3208),
    [sym_false] = ACTIONS(3208),
    [sym_null] = ACTIONS(3208),
    [sym_undefined] = ACTIONS(3208),
    [anon_sym_AT] = ACTIONS(3208),
    [anon_sym_static] = ACTIONS(3208),
    [anon_sym_readonly] = ACTIONS(3208),
    [anon_sym_get] = ACTIONS(3208),
    [anon_sym_set] = ACTIONS(3208),
    [anon_sym_declare] = ACTIONS(3208),
    [anon_sym_public] = ACTIONS(3208),
    [anon_sym_private] = ACTIONS(3208),
    [anon_sym_protected] = ACTIONS(3208),
    [anon_sym_override] = ACTIONS(3208),
    [anon_sym_module] = ACTIONS(3208),
    [anon_sym_any] = ACTIONS(3208),
    [anon_sym_number] = ACTIONS(3208),
    [anon_sym_boolean] = ACTIONS(3208),
    [anon_sym_string] = ACTIONS(3208),
    [anon_sym_symbol] = ACTIONS(3208),
    [anon_sym_object] = ACTIONS(3208),
    [anon_sym_abstract] = ACTIONS(3208),
    [anon_sym_interface] = ACTIONS(3208),
    [anon_sym_enum] = ACTIONS(3208),
    [sym_html_comment] = ACTIONS(5),
  },
  [1017] = {
    [sym_comment] = STATE(1017),
    [sym_identifier] = ACTIONS(3210),
    [anon_sym_export] = ACTIONS(3210),
    [anon_sym_default] = ACTIONS(3210),
    [anon_sym_type] = ACTIONS(3210),
    [anon_sym_namespace] = ACTIONS(3210),
    [anon_sym_LBRACE] = ACTIONS(3210),
    [anon_sym_RBRACE] = ACTIONS(3210),
    [anon_sym_typeof] = ACTIONS(3210),
    [anon_sym_import] = ACTIONS(3210),
    [anon_sym_with] = ACTIONS(3210),
    [anon_sym_var] = ACTIONS(3210),
    [anon_sym_let] = ACTIONS(3210),
    [anon_sym_const] = ACTIONS(3210),
    [anon_sym_BANG] = ACTIONS(3210),
    [anon_sym_else] = ACTIONS(3210),
    [anon_sym_if] = ACTIONS(3210),
    [anon_sym_switch] = ACTIONS(3210),
    [anon_sym_for] = ACTIONS(3210),
    [anon_sym_LPAREN] = ACTIONS(3210),
    [anon_sym_await] = ACTIONS(3210),
    [anon_sym_while] = ACTIONS(3210),
    [anon_sym_do] = ACTIONS(3210),
    [anon_sym_try] = ACTIONS(3210),
    [anon_sym_break] = ACTIONS(3210),
    [anon_sym_continue] = ACTIONS(3210),
    [anon_sym_debugger] = ACTIONS(3210),
    [anon_sym_return] = ACTIONS(3210),
    [anon_sym_throw] = ACTIONS(3210),
    [anon_sym_SEMI] = ACTIONS(3210),
    [anon_sym_case] = ACTIONS(3210),
    [anon_sym_yield] = ACTIONS(3210),
    [anon_sym_LBRACK] = ACTIONS(3210),
    [anon_sym_LTtemplate_GT] = ACTIONS(3210),
    [anon_sym_DQUOTE] = ACTIONS(3210),
    [anon_sym_SQUOTE] = ACTIONS(3210),
    [anon_sym_class] = ACTIONS(3210),
    [anon_sym_async] = ACTIONS(3210),
    [anon_sym_function] = ACTIONS(3210),
    [anon_sym_new] = ACTIONS(3210),
    [anon_sym_using] = ACTIONS(3210),
    [anon_sym_PLUS] = ACTIONS(3210),
    [anon_sym_DASH] = ACTIONS(3210),
    [anon_sym_SLASH] = ACTIONS(3210),
    [anon_sym_LT] = ACTIONS(3210),
    [anon_sym_TILDE] = ACTIONS(3210),
    [anon_sym_void] = ACTIONS(3210),
    [anon_sym_delete] = ACTIONS(3210),
    [anon_sym_PLUS_PLUS] = ACTIONS(3210),
    [anon_sym_DASH_DASH] = ACTIONS(3210),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3210),
    [sym_number] = ACTIONS(3210),
    [sym_private_property_identifier] = ACTIONS(3210),
    [sym_this] = ACTIONS(3210),
    [sym_super] = ACTIONS(3210),
    [sym_true] = ACTIONS(3210),
    [sym_false] = ACTIONS(3210),
    [sym_null] = ACTIONS(3210),
    [sym_undefined] = ACTIONS(3210),
    [anon_sym_AT] = ACTIONS(3210),
    [anon_sym_static] = ACTIONS(3210),
    [anon_sym_readonly] = ACTIONS(3210),
    [anon_sym_get] = ACTIONS(3210),
    [anon_sym_set] = ACTIONS(3210),
    [anon_sym_declare] = ACTIONS(3210),
    [anon_sym_public] = ACTIONS(3210),
    [anon_sym_private] = ACTIONS(3210),
    [anon_sym_protected] = ACTIONS(3210),
    [anon_sym_override] = ACTIONS(3210),
    [anon_sym_module] = ACTIONS(3210),
    [anon_sym_any] = ACTIONS(3210),
    [anon_sym_number] = ACTIONS(3210),
    [anon_sym_boolean] = ACTIONS(3210),
    [anon_sym_string] = ACTIONS(3210),
    [anon_sym_symbol] = ACTIONS(3210),
    [anon_sym_object] = ACTIONS(3210),
    [anon_sym_abstract] = ACTIONS(3210),
    [anon_sym_interface] = ACTIONS(3210),
    [anon_sym_enum] = ACTIONS(3210),
    [sym_html_comment] = ACTIONS(5),
  },
  [1018] = {
    [sym_comment] = STATE(1018),
    [sym_identifier] = ACTIONS(2203),
    [anon_sym_export] = ACTIONS(2203),
    [anon_sym_default] = ACTIONS(2203),
    [anon_sym_type] = ACTIONS(2203),
    [anon_sym_namespace] = ACTIONS(2203),
    [anon_sym_LBRACE] = ACTIONS(2203),
    [anon_sym_RBRACE] = ACTIONS(2203),
    [anon_sym_typeof] = ACTIONS(2203),
    [anon_sym_import] = ACTIONS(2203),
    [anon_sym_with] = ACTIONS(2203),
    [anon_sym_var] = ACTIONS(2203),
    [anon_sym_let] = ACTIONS(2203),
    [anon_sym_const] = ACTIONS(2203),
    [anon_sym_BANG] = ACTIONS(2203),
    [anon_sym_else] = ACTIONS(2203),
    [anon_sym_if] = ACTIONS(2203),
    [anon_sym_switch] = ACTIONS(2203),
    [anon_sym_for] = ACTIONS(2203),
    [anon_sym_LPAREN] = ACTIONS(2203),
    [anon_sym_await] = ACTIONS(2203),
    [anon_sym_while] = ACTIONS(2203),
    [anon_sym_do] = ACTIONS(2203),
    [anon_sym_try] = ACTIONS(2203),
    [anon_sym_break] = ACTIONS(2203),
    [anon_sym_continue] = ACTIONS(2203),
    [anon_sym_debugger] = ACTIONS(2203),
    [anon_sym_return] = ACTIONS(2203),
    [anon_sym_throw] = ACTIONS(2203),
    [anon_sym_SEMI] = ACTIONS(2203),
    [anon_sym_case] = ACTIONS(2203),
    [anon_sym_yield] = ACTIONS(2203),
    [anon_sym_LBRACK] = ACTIONS(2203),
    [anon_sym_LTtemplate_GT] = ACTIONS(2203),
    [anon_sym_DQUOTE] = ACTIONS(2203),
    [anon_sym_SQUOTE] = ACTIONS(2203),
    [anon_sym_class] = ACTIONS(2203),
    [anon_sym_async] = ACTIONS(2203),
    [anon_sym_function] = ACTIONS(2203),
    [anon_sym_new] = ACTIONS(2203),
    [anon_sym_using] = ACTIONS(2203),
    [anon_sym_PLUS] = ACTIONS(2203),
    [anon_sym_DASH] = ACTIONS(2203),
    [anon_sym_SLASH] = ACTIONS(2203),
    [anon_sym_LT] = ACTIONS(2203),
    [anon_sym_TILDE] = ACTIONS(2203),
    [anon_sym_void] = ACTIONS(2203),
    [anon_sym_delete] = ACTIONS(2203),
    [anon_sym_PLUS_PLUS] = ACTIONS(2203),
    [anon_sym_DASH_DASH] = ACTIONS(2203),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2203),
    [sym_number] = ACTIONS(2203),
    [sym_private_property_identifier] = ACTIONS(2203),
    [sym_this] = ACTIONS(2203),
    [sym_super] = ACTIONS(2203),
    [sym_true] = ACTIONS(2203),
    [sym_false] = ACTIONS(2203),
    [sym_null] = ACTIONS(2203),
    [sym_undefined] = ACTIONS(2203),
    [anon_sym_AT] = ACTIONS(2203),
    [anon_sym_static] = ACTIONS(2203),
    [anon_sym_readonly] = ACTIONS(2203),
    [anon_sym_get] = ACTIONS(2203),
    [anon_sym_set] = ACTIONS(2203),
    [anon_sym_declare] = ACTIONS(2203),
    [anon_sym_public] = ACTIONS(2203),
    [anon_sym_private] = ACTIONS(2203),
    [anon_sym_protected] = ACTIONS(2203),
    [anon_sym_override] = ACTIONS(2203),
    [anon_sym_module] = ACTIONS(2203),
    [anon_sym_any] = ACTIONS(2203),
    [anon_sym_number] = ACTIONS(2203),
    [anon_sym_boolean] = ACTIONS(2203),
    [anon_sym_string] = ACTIONS(2203),
    [anon_sym_symbol] = ACTIONS(2203),
    [anon_sym_object] = ACTIONS(2203),
    [anon_sym_abstract] = ACTIONS(2203),
    [anon_sym_interface] = ACTIONS(2203),
    [anon_sym_enum] = ACTIONS(2203),
    [sym_html_comment] = ACTIONS(5),
  },
  [1019] = {
    [sym_comment] = STATE(1019),
    [sym_identifier] = ACTIONS(3212),
    [anon_sym_export] = ACTIONS(3212),
    [anon_sym_default] = ACTIONS(3212),
    [anon_sym_type] = ACTIONS(3212),
    [anon_sym_namespace] = ACTIONS(3212),
    [anon_sym_LBRACE] = ACTIONS(3212),
    [anon_sym_RBRACE] = ACTIONS(3212),
    [anon_sym_typeof] = ACTIONS(3212),
    [anon_sym_import] = ACTIONS(3212),
    [anon_sym_with] = ACTIONS(3212),
    [anon_sym_var] = ACTIONS(3212),
    [anon_sym_let] = ACTIONS(3212),
    [anon_sym_const] = ACTIONS(3212),
    [anon_sym_BANG] = ACTIONS(3212),
    [anon_sym_else] = ACTIONS(3212),
    [anon_sym_if] = ACTIONS(3212),
    [anon_sym_switch] = ACTIONS(3212),
    [anon_sym_for] = ACTIONS(3212),
    [anon_sym_LPAREN] = ACTIONS(3212),
    [anon_sym_await] = ACTIONS(3212),
    [anon_sym_while] = ACTIONS(3212),
    [anon_sym_do] = ACTIONS(3212),
    [anon_sym_try] = ACTIONS(3212),
    [anon_sym_break] = ACTIONS(3212),
    [anon_sym_continue] = ACTIONS(3212),
    [anon_sym_debugger] = ACTIONS(3212),
    [anon_sym_return] = ACTIONS(3212),
    [anon_sym_throw] = ACTIONS(3212),
    [anon_sym_SEMI] = ACTIONS(3212),
    [anon_sym_case] = ACTIONS(3212),
    [anon_sym_yield] = ACTIONS(3212),
    [anon_sym_LBRACK] = ACTIONS(3212),
    [anon_sym_LTtemplate_GT] = ACTIONS(3212),
    [anon_sym_DQUOTE] = ACTIONS(3212),
    [anon_sym_SQUOTE] = ACTIONS(3212),
    [anon_sym_class] = ACTIONS(3212),
    [anon_sym_async] = ACTIONS(3212),
    [anon_sym_function] = ACTIONS(3212),
    [anon_sym_new] = ACTIONS(3212),
    [anon_sym_using] = ACTIONS(3212),
    [anon_sym_PLUS] = ACTIONS(3212),
    [anon_sym_DASH] = ACTIONS(3212),
    [anon_sym_SLASH] = ACTIONS(3212),
    [anon_sym_LT] = ACTIONS(3212),
    [anon_sym_TILDE] = ACTIONS(3212),
    [anon_sym_void] = ACTIONS(3212),
    [anon_sym_delete] = ACTIONS(3212),
    [anon_sym_PLUS_PLUS] = ACTIONS(3212),
    [anon_sym_DASH_DASH] = ACTIONS(3212),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3212),
    [sym_number] = ACTIONS(3212),
    [sym_private_property_identifier] = ACTIONS(3212),
    [sym_this] = ACTIONS(3212),
    [sym_super] = ACTIONS(3212),
    [sym_true] = ACTIONS(3212),
    [sym_false] = ACTIONS(3212),
    [sym_null] = ACTIONS(3212),
    [sym_undefined] = ACTIONS(3212),
    [anon_sym_AT] = ACTIONS(3212),
    [anon_sym_static] = ACTIONS(3212),
    [anon_sym_readonly] = ACTIONS(3212),
    [anon_sym_get] = ACTIONS(3212),
    [anon_sym_set] = ACTIONS(3212),
    [anon_sym_declare] = ACTIONS(3212),
    [anon_sym_public] = ACTIONS(3212),
    [anon_sym_private] = ACTIONS(3212),
    [anon_sym_protected] = ACTIONS(3212),
    [anon_sym_override] = ACTIONS(3212),
    [anon_sym_module] = ACTIONS(3212),
    [anon_sym_any] = ACTIONS(3212),
    [anon_sym_number] = ACTIONS(3212),
    [anon_sym_boolean] = ACTIONS(3212),
    [anon_sym_string] = ACTIONS(3212),
    [anon_sym_symbol] = ACTIONS(3212),
    [anon_sym_object] = ACTIONS(3212),
    [anon_sym_abstract] = ACTIONS(3212),
    [anon_sym_interface] = ACTIONS(3212),
    [anon_sym_enum] = ACTIONS(3212),
    [sym_html_comment] = ACTIONS(5),
  },
  [1020] = {
    [sym_comment] = STATE(1020),
    [sym_identifier] = ACTIONS(3214),
    [anon_sym_export] = ACTIONS(3214),
    [anon_sym_default] = ACTIONS(3214),
    [anon_sym_type] = ACTIONS(3214),
    [anon_sym_namespace] = ACTIONS(3214),
    [anon_sym_LBRACE] = ACTIONS(3214),
    [anon_sym_RBRACE] = ACTIONS(3214),
    [anon_sym_typeof] = ACTIONS(3214),
    [anon_sym_import] = ACTIONS(3214),
    [anon_sym_with] = ACTIONS(3214),
    [anon_sym_var] = ACTIONS(3214),
    [anon_sym_let] = ACTIONS(3214),
    [anon_sym_const] = ACTIONS(3214),
    [anon_sym_BANG] = ACTIONS(3214),
    [anon_sym_else] = ACTIONS(3214),
    [anon_sym_if] = ACTIONS(3214),
    [anon_sym_switch] = ACTIONS(3214),
    [anon_sym_for] = ACTIONS(3214),
    [anon_sym_LPAREN] = ACTIONS(3214),
    [anon_sym_await] = ACTIONS(3214),
    [anon_sym_while] = ACTIONS(3214),
    [anon_sym_do] = ACTIONS(3214),
    [anon_sym_try] = ACTIONS(3214),
    [anon_sym_break] = ACTIONS(3214),
    [anon_sym_continue] = ACTIONS(3214),
    [anon_sym_debugger] = ACTIONS(3214),
    [anon_sym_return] = ACTIONS(3214),
    [anon_sym_throw] = ACTIONS(3214),
    [anon_sym_SEMI] = ACTIONS(3214),
    [anon_sym_case] = ACTIONS(3214),
    [anon_sym_yield] = ACTIONS(3214),
    [anon_sym_LBRACK] = ACTIONS(3214),
    [anon_sym_LTtemplate_GT] = ACTIONS(3214),
    [anon_sym_DQUOTE] = ACTIONS(3214),
    [anon_sym_SQUOTE] = ACTIONS(3214),
    [anon_sym_class] = ACTIONS(3214),
    [anon_sym_async] = ACTIONS(3214),
    [anon_sym_function] = ACTIONS(3214),
    [anon_sym_new] = ACTIONS(3214),
    [anon_sym_using] = ACTIONS(3214),
    [anon_sym_PLUS] = ACTIONS(3214),
    [anon_sym_DASH] = ACTIONS(3214),
    [anon_sym_SLASH] = ACTIONS(3214),
    [anon_sym_LT] = ACTIONS(3214),
    [anon_sym_TILDE] = ACTIONS(3214),
    [anon_sym_void] = ACTIONS(3214),
    [anon_sym_delete] = ACTIONS(3214),
    [anon_sym_PLUS_PLUS] = ACTIONS(3214),
    [anon_sym_DASH_DASH] = ACTIONS(3214),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3214),
    [sym_number] = ACTIONS(3214),
    [sym_private_property_identifier] = ACTIONS(3214),
    [sym_this] = ACTIONS(3214),
    [sym_super] = ACTIONS(3214),
    [sym_true] = ACTIONS(3214),
    [sym_false] = ACTIONS(3214),
    [sym_null] = ACTIONS(3214),
    [sym_undefined] = ACTIONS(3214),
    [anon_sym_AT] = ACTIONS(3214),
    [anon_sym_static] = ACTIONS(3214),
    [anon_sym_readonly] = ACTIONS(3214),
    [anon_sym_get] = ACTIONS(3214),
    [anon_sym_set] = ACTIONS(3214),
    [anon_sym_declare] = ACTIONS(3214),
    [anon_sym_public] = ACTIONS(3214),
    [anon_sym_private] = ACTIONS(3214),
    [anon_sym_protected] = ACTIONS(3214),
    [anon_sym_override] = ACTIONS(3214),
    [anon_sym_module] = ACTIONS(3214),
    [anon_sym_any] = ACTIONS(3214),
    [anon_sym_number] = ACTIONS(3214),
    [anon_sym_boolean] = ACTIONS(3214),
    [anon_sym_string] = ACTIONS(3214),
    [anon_sym_symbol] = ACTIONS(3214),
    [anon_sym_object] = ACTIONS(3214),
    [anon_sym_abstract] = ACTIONS(3214),
    [anon_sym_interface] = ACTIONS(3214),
    [anon_sym_enum] = ACTIONS(3214),
    [sym_html_comment] = ACTIONS(5),
  },
  [1021] = {
    [sym_comment] = STATE(1021),
    [sym_identifier] = ACTIONS(3216),
    [anon_sym_export] = ACTIONS(3216),
    [anon_sym_default] = ACTIONS(3216),
    [anon_sym_type] = ACTIONS(3216),
    [anon_sym_namespace] = ACTIONS(3216),
    [anon_sym_LBRACE] = ACTIONS(3216),
    [anon_sym_RBRACE] = ACTIONS(3216),
    [anon_sym_typeof] = ACTIONS(3216),
    [anon_sym_import] = ACTIONS(3216),
    [anon_sym_with] = ACTIONS(3216),
    [anon_sym_var] = ACTIONS(3216),
    [anon_sym_let] = ACTIONS(3216),
    [anon_sym_const] = ACTIONS(3216),
    [anon_sym_BANG] = ACTIONS(3216),
    [anon_sym_else] = ACTIONS(3216),
    [anon_sym_if] = ACTIONS(3216),
    [anon_sym_switch] = ACTIONS(3216),
    [anon_sym_for] = ACTIONS(3216),
    [anon_sym_LPAREN] = ACTIONS(3216),
    [anon_sym_await] = ACTIONS(3216),
    [anon_sym_while] = ACTIONS(3216),
    [anon_sym_do] = ACTIONS(3216),
    [anon_sym_try] = ACTIONS(3216),
    [anon_sym_break] = ACTIONS(3216),
    [anon_sym_continue] = ACTIONS(3216),
    [anon_sym_debugger] = ACTIONS(3216),
    [anon_sym_return] = ACTIONS(3216),
    [anon_sym_throw] = ACTIONS(3216),
    [anon_sym_SEMI] = ACTIONS(3216),
    [anon_sym_case] = ACTIONS(3216),
    [anon_sym_yield] = ACTIONS(3216),
    [anon_sym_LBRACK] = ACTIONS(3216),
    [anon_sym_LTtemplate_GT] = ACTIONS(3216),
    [anon_sym_DQUOTE] = ACTIONS(3216),
    [anon_sym_SQUOTE] = ACTIONS(3216),
    [anon_sym_class] = ACTIONS(3216),
    [anon_sym_async] = ACTIONS(3216),
    [anon_sym_function] = ACTIONS(3216),
    [anon_sym_new] = ACTIONS(3216),
    [anon_sym_using] = ACTIONS(3216),
    [anon_sym_PLUS] = ACTIONS(3216),
    [anon_sym_DASH] = ACTIONS(3216),
    [anon_sym_SLASH] = ACTIONS(3216),
    [anon_sym_LT] = ACTIONS(3216),
    [anon_sym_TILDE] = ACTIONS(3216),
    [anon_sym_void] = ACTIONS(3216),
    [anon_sym_delete] = ACTIONS(3216),
    [anon_sym_PLUS_PLUS] = ACTIONS(3216),
    [anon_sym_DASH_DASH] = ACTIONS(3216),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3216),
    [sym_number] = ACTIONS(3216),
    [sym_private_property_identifier] = ACTIONS(3216),
    [sym_this] = ACTIONS(3216),
    [sym_super] = ACTIONS(3216),
    [sym_true] = ACTIONS(3216),
    [sym_false] = ACTIONS(3216),
    [sym_null] = ACTIONS(3216),
    [sym_undefined] = ACTIONS(3216),
    [anon_sym_AT] = ACTIONS(3216),
    [anon_sym_static] = ACTIONS(3216),
    [anon_sym_readonly] = ACTIONS(3216),
    [anon_sym_get] = ACTIONS(3216),
    [anon_sym_set] = ACTIONS(3216),
    [anon_sym_declare] = ACTIONS(3216),
    [anon_sym_public] = ACTIONS(3216),
    [anon_sym_private] = ACTIONS(3216),
    [anon_sym_protected] = ACTIONS(3216),
    [anon_sym_override] = ACTIONS(3216),
    [anon_sym_module] = ACTIONS(3216),
    [anon_sym_any] = ACTIONS(3216),
    [anon_sym_number] = ACTIONS(3216),
    [anon_sym_boolean] = ACTIONS(3216),
    [anon_sym_string] = ACTIONS(3216),
    [anon_sym_symbol] = ACTIONS(3216),
    [anon_sym_object] = ACTIONS(3216),
    [anon_sym_abstract] = ACTIONS(3216),
    [anon_sym_interface] = ACTIONS(3216),
    [anon_sym_enum] = ACTIONS(3216),
    [sym_html_comment] = ACTIONS(5),
  },
  [1022] = {
    [sym_comment] = STATE(1022),
    [sym_identifier] = ACTIONS(3218),
    [anon_sym_export] = ACTIONS(3218),
    [anon_sym_default] = ACTIONS(3218),
    [anon_sym_type] = ACTIONS(3218),
    [anon_sym_namespace] = ACTIONS(3218),
    [anon_sym_LBRACE] = ACTIONS(3218),
    [anon_sym_RBRACE] = ACTIONS(3218),
    [anon_sym_typeof] = ACTIONS(3218),
    [anon_sym_import] = ACTIONS(3218),
    [anon_sym_with] = ACTIONS(3218),
    [anon_sym_var] = ACTIONS(3218),
    [anon_sym_let] = ACTIONS(3218),
    [anon_sym_const] = ACTIONS(3218),
    [anon_sym_BANG] = ACTIONS(3218),
    [anon_sym_else] = ACTIONS(3218),
    [anon_sym_if] = ACTIONS(3218),
    [anon_sym_switch] = ACTIONS(3218),
    [anon_sym_for] = ACTIONS(3218),
    [anon_sym_LPAREN] = ACTIONS(3218),
    [anon_sym_await] = ACTIONS(3218),
    [anon_sym_while] = ACTIONS(3218),
    [anon_sym_do] = ACTIONS(3218),
    [anon_sym_try] = ACTIONS(3218),
    [anon_sym_break] = ACTIONS(3218),
    [anon_sym_continue] = ACTIONS(3218),
    [anon_sym_debugger] = ACTIONS(3218),
    [anon_sym_return] = ACTIONS(3218),
    [anon_sym_throw] = ACTIONS(3218),
    [anon_sym_SEMI] = ACTIONS(3218),
    [anon_sym_case] = ACTIONS(3218),
    [anon_sym_yield] = ACTIONS(3218),
    [anon_sym_LBRACK] = ACTIONS(3218),
    [anon_sym_LTtemplate_GT] = ACTIONS(3218),
    [anon_sym_DQUOTE] = ACTIONS(3218),
    [anon_sym_SQUOTE] = ACTIONS(3218),
    [anon_sym_class] = ACTIONS(3218),
    [anon_sym_async] = ACTIONS(3218),
    [anon_sym_function] = ACTIONS(3218),
    [anon_sym_new] = ACTIONS(3218),
    [anon_sym_using] = ACTIONS(3218),
    [anon_sym_PLUS] = ACTIONS(3218),
    [anon_sym_DASH] = ACTIONS(3218),
    [anon_sym_SLASH] = ACTIONS(3218),
    [anon_sym_LT] = ACTIONS(3218),
    [anon_sym_TILDE] = ACTIONS(3218),
    [anon_sym_void] = ACTIONS(3218),
    [anon_sym_delete] = ACTIONS(3218),
    [anon_sym_PLUS_PLUS] = ACTIONS(3218),
    [anon_sym_DASH_DASH] = ACTIONS(3218),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3218),
    [sym_number] = ACTIONS(3218),
    [sym_private_property_identifier] = ACTIONS(3218),
    [sym_this] = ACTIONS(3218),
    [sym_super] = ACTIONS(3218),
    [sym_true] = ACTIONS(3218),
    [sym_false] = ACTIONS(3218),
    [sym_null] = ACTIONS(3218),
    [sym_undefined] = ACTIONS(3218),
    [anon_sym_AT] = ACTIONS(3218),
    [anon_sym_static] = ACTIONS(3218),
    [anon_sym_readonly] = ACTIONS(3218),
    [anon_sym_get] = ACTIONS(3218),
    [anon_sym_set] = ACTIONS(3218),
    [anon_sym_declare] = ACTIONS(3218),
    [anon_sym_public] = ACTIONS(3218),
    [anon_sym_private] = ACTIONS(3218),
    [anon_sym_protected] = ACTIONS(3218),
    [anon_sym_override] = ACTIONS(3218),
    [anon_sym_module] = ACTIONS(3218),
    [anon_sym_any] = ACTIONS(3218),
    [anon_sym_number] = ACTIONS(3218),
    [anon_sym_boolean] = ACTIONS(3218),
    [anon_sym_string] = ACTIONS(3218),
    [anon_sym_symbol] = ACTIONS(3218),
    [anon_sym_object] = ACTIONS(3218),
    [anon_sym_abstract] = ACTIONS(3218),
    [anon_sym_interface] = ACTIONS(3218),
    [anon_sym_enum] = ACTIONS(3218),
    [sym_html_comment] = ACTIONS(5),
  },
  [1023] = {
    [sym_comment] = STATE(1023),
    [sym_identifier] = ACTIONS(3216),
    [anon_sym_export] = ACTIONS(3216),
    [anon_sym_default] = ACTIONS(3216),
    [anon_sym_type] = ACTIONS(3216),
    [anon_sym_namespace] = ACTIONS(3216),
    [anon_sym_LBRACE] = ACTIONS(3216),
    [anon_sym_RBRACE] = ACTIONS(3216),
    [anon_sym_typeof] = ACTIONS(3216),
    [anon_sym_import] = ACTIONS(3216),
    [anon_sym_with] = ACTIONS(3216),
    [anon_sym_var] = ACTIONS(3216),
    [anon_sym_let] = ACTIONS(3216),
    [anon_sym_const] = ACTIONS(3216),
    [anon_sym_BANG] = ACTIONS(3216),
    [anon_sym_else] = ACTIONS(3216),
    [anon_sym_if] = ACTIONS(3216),
    [anon_sym_switch] = ACTIONS(3216),
    [anon_sym_for] = ACTIONS(3216),
    [anon_sym_LPAREN] = ACTIONS(3216),
    [anon_sym_await] = ACTIONS(3216),
    [anon_sym_while] = ACTIONS(3216),
    [anon_sym_do] = ACTIONS(3216),
    [anon_sym_try] = ACTIONS(3216),
    [anon_sym_break] = ACTIONS(3216),
    [anon_sym_continue] = ACTIONS(3216),
    [anon_sym_debugger] = ACTIONS(3216),
    [anon_sym_return] = ACTIONS(3216),
    [anon_sym_throw] = ACTIONS(3216),
    [anon_sym_SEMI] = ACTIONS(3216),
    [anon_sym_case] = ACTIONS(3216),
    [anon_sym_yield] = ACTIONS(3216),
    [anon_sym_LBRACK] = ACTIONS(3216),
    [anon_sym_LTtemplate_GT] = ACTIONS(3216),
    [anon_sym_DQUOTE] = ACTIONS(3216),
    [anon_sym_SQUOTE] = ACTIONS(3216),
    [anon_sym_class] = ACTIONS(3216),
    [anon_sym_async] = ACTIONS(3216),
    [anon_sym_function] = ACTIONS(3216),
    [anon_sym_new] = ACTIONS(3216),
    [anon_sym_using] = ACTIONS(3216),
    [anon_sym_PLUS] = ACTIONS(3216),
    [anon_sym_DASH] = ACTIONS(3216),
    [anon_sym_SLASH] = ACTIONS(3216),
    [anon_sym_LT] = ACTIONS(3216),
    [anon_sym_TILDE] = ACTIONS(3216),
    [anon_sym_void] = ACTIONS(3216),
    [anon_sym_delete] = ACTIONS(3216),
    [anon_sym_PLUS_PLUS] = ACTIONS(3216),
    [anon_sym_DASH_DASH] = ACTIONS(3216),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3216),
    [sym_number] = ACTIONS(3216),
    [sym_private_property_identifier] = ACTIONS(3216),
    [sym_this] = ACTIONS(3216),
    [sym_super] = ACTIONS(3216),
    [sym_true] = ACTIONS(3216),
    [sym_false] = ACTIONS(3216),
    [sym_null] = ACTIONS(3216),
    [sym_undefined] = ACTIONS(3216),
    [anon_sym_AT] = ACTIONS(3216),
    [anon_sym_static] = ACTIONS(3216),
    [anon_sym_readonly] = ACTIONS(3216),
    [anon_sym_get] = ACTIONS(3216),
    [anon_sym_set] = ACTIONS(3216),
    [anon_sym_declare] = ACTIONS(3216),
    [anon_sym_public] = ACTIONS(3216),
    [anon_sym_private] = ACTIONS(3216),
    [anon_sym_protected] = ACTIONS(3216),
    [anon_sym_override] = ACTIONS(3216),
    [anon_sym_module] = ACTIONS(3216),
    [anon_sym_any] = ACTIONS(3216),
    [anon_sym_number] = ACTIONS(3216),
    [anon_sym_boolean] = ACTIONS(3216),
    [anon_sym_string] = ACTIONS(3216),
    [anon_sym_symbol] = ACTIONS(3216),
    [anon_sym_object] = ACTIONS(3216),
    [anon_sym_abstract] = ACTIONS(3216),
    [anon_sym_interface] = ACTIONS(3216),
    [anon_sym_enum] = ACTIONS(3216),
    [sym_html_comment] = ACTIONS(5),
  },
  [1024] = {
    [sym_comment] = STATE(1024),
    [sym_identifier] = ACTIONS(3216),
    [anon_sym_export] = ACTIONS(3216),
    [anon_sym_default] = ACTIONS(3216),
    [anon_sym_type] = ACTIONS(3216),
    [anon_sym_namespace] = ACTIONS(3216),
    [anon_sym_LBRACE] = ACTIONS(3216),
    [anon_sym_RBRACE] = ACTIONS(3216),
    [anon_sym_typeof] = ACTIONS(3216),
    [anon_sym_import] = ACTIONS(3216),
    [anon_sym_with] = ACTIONS(3216),
    [anon_sym_var] = ACTIONS(3216),
    [anon_sym_let] = ACTIONS(3216),
    [anon_sym_const] = ACTIONS(3216),
    [anon_sym_BANG] = ACTIONS(3216),
    [anon_sym_else] = ACTIONS(3216),
    [anon_sym_if] = ACTIONS(3216),
    [anon_sym_switch] = ACTIONS(3216),
    [anon_sym_for] = ACTIONS(3216),
    [anon_sym_LPAREN] = ACTIONS(3216),
    [anon_sym_await] = ACTIONS(3216),
    [anon_sym_while] = ACTIONS(3216),
    [anon_sym_do] = ACTIONS(3216),
    [anon_sym_try] = ACTIONS(3216),
    [anon_sym_break] = ACTIONS(3216),
    [anon_sym_continue] = ACTIONS(3216),
    [anon_sym_debugger] = ACTIONS(3216),
    [anon_sym_return] = ACTIONS(3216),
    [anon_sym_throw] = ACTIONS(3216),
    [anon_sym_SEMI] = ACTIONS(3216),
    [anon_sym_case] = ACTIONS(3216),
    [anon_sym_yield] = ACTIONS(3216),
    [anon_sym_LBRACK] = ACTIONS(3216),
    [anon_sym_LTtemplate_GT] = ACTIONS(3216),
    [anon_sym_DQUOTE] = ACTIONS(3216),
    [anon_sym_SQUOTE] = ACTIONS(3216),
    [anon_sym_class] = ACTIONS(3216),
    [anon_sym_async] = ACTIONS(3216),
    [anon_sym_function] = ACTIONS(3216),
    [anon_sym_new] = ACTIONS(3216),
    [anon_sym_using] = ACTIONS(3216),
    [anon_sym_PLUS] = ACTIONS(3216),
    [anon_sym_DASH] = ACTIONS(3216),
    [anon_sym_SLASH] = ACTIONS(3216),
    [anon_sym_LT] = ACTIONS(3216),
    [anon_sym_TILDE] = ACTIONS(3216),
    [anon_sym_void] = ACTIONS(3216),
    [anon_sym_delete] = ACTIONS(3216),
    [anon_sym_PLUS_PLUS] = ACTIONS(3216),
    [anon_sym_DASH_DASH] = ACTIONS(3216),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3216),
    [sym_number] = ACTIONS(3216),
    [sym_private_property_identifier] = ACTIONS(3216),
    [sym_this] = ACTIONS(3216),
    [sym_super] = ACTIONS(3216),
    [sym_true] = ACTIONS(3216),
    [sym_false] = ACTIONS(3216),
    [sym_null] = ACTIONS(3216),
    [sym_undefined] = ACTIONS(3216),
    [anon_sym_AT] = ACTIONS(3216),
    [anon_sym_static] = ACTIONS(3216),
    [anon_sym_readonly] = ACTIONS(3216),
    [anon_sym_get] = ACTIONS(3216),
    [anon_sym_set] = ACTIONS(3216),
    [anon_sym_declare] = ACTIONS(3216),
    [anon_sym_public] = ACTIONS(3216),
    [anon_sym_private] = ACTIONS(3216),
    [anon_sym_protected] = ACTIONS(3216),
    [anon_sym_override] = ACTIONS(3216),
    [anon_sym_module] = ACTIONS(3216),
    [anon_sym_any] = ACTIONS(3216),
    [anon_sym_number] = ACTIONS(3216),
    [anon_sym_boolean] = ACTIONS(3216),
    [anon_sym_string] = ACTIONS(3216),
    [anon_sym_symbol] = ACTIONS(3216),
    [anon_sym_object] = ACTIONS(3216),
    [anon_sym_abstract] = ACTIONS(3216),
    [anon_sym_interface] = ACTIONS(3216),
    [anon_sym_enum] = ACTIONS(3216),
    [sym_html_comment] = ACTIONS(5),
  },
  [1025] = {
    [sym_comment] = STATE(1025),
    [sym_identifier] = ACTIONS(3154),
    [anon_sym_export] = ACTIONS(3154),
    [anon_sym_default] = ACTIONS(3154),
    [anon_sym_type] = ACTIONS(3154),
    [anon_sym_namespace] = ACTIONS(3154),
    [anon_sym_LBRACE] = ACTIONS(3154),
    [anon_sym_RBRACE] = ACTIONS(3154),
    [anon_sym_typeof] = ACTIONS(3154),
    [anon_sym_import] = ACTIONS(3154),
    [anon_sym_with] = ACTIONS(3154),
    [anon_sym_var] = ACTIONS(3154),
    [anon_sym_let] = ACTIONS(3154),
    [anon_sym_const] = ACTIONS(3154),
    [anon_sym_BANG] = ACTIONS(3154),
    [anon_sym_else] = ACTIONS(3154),
    [anon_sym_if] = ACTIONS(3154),
    [anon_sym_switch] = ACTIONS(3154),
    [anon_sym_for] = ACTIONS(3154),
    [anon_sym_LPAREN] = ACTIONS(3154),
    [anon_sym_await] = ACTIONS(3154),
    [anon_sym_while] = ACTIONS(3154),
    [anon_sym_do] = ACTIONS(3154),
    [anon_sym_try] = ACTIONS(3154),
    [anon_sym_break] = ACTIONS(3154),
    [anon_sym_continue] = ACTIONS(3154),
    [anon_sym_debugger] = ACTIONS(3154),
    [anon_sym_return] = ACTIONS(3154),
    [anon_sym_throw] = ACTIONS(3154),
    [anon_sym_SEMI] = ACTIONS(3154),
    [anon_sym_case] = ACTIONS(3154),
    [anon_sym_yield] = ACTIONS(3154),
    [anon_sym_LBRACK] = ACTIONS(3154),
    [anon_sym_LTtemplate_GT] = ACTIONS(3154),
    [anon_sym_DQUOTE] = ACTIONS(3154),
    [anon_sym_SQUOTE] = ACTIONS(3154),
    [anon_sym_class] = ACTIONS(3154),
    [anon_sym_async] = ACTIONS(3154),
    [anon_sym_function] = ACTIONS(3154),
    [anon_sym_new] = ACTIONS(3154),
    [anon_sym_using] = ACTIONS(3154),
    [anon_sym_PLUS] = ACTIONS(3154),
    [anon_sym_DASH] = ACTIONS(3154),
    [anon_sym_SLASH] = ACTIONS(3154),
    [anon_sym_LT] = ACTIONS(3154),
    [anon_sym_TILDE] = ACTIONS(3154),
    [anon_sym_void] = ACTIONS(3154),
    [anon_sym_delete] = ACTIONS(3154),
    [anon_sym_PLUS_PLUS] = ACTIONS(3154),
    [anon_sym_DASH_DASH] = ACTIONS(3154),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3154),
    [sym_number] = ACTIONS(3154),
    [sym_private_property_identifier] = ACTIONS(3154),
    [sym_this] = ACTIONS(3154),
    [sym_super] = ACTIONS(3154),
    [sym_true] = ACTIONS(3154),
    [sym_false] = ACTIONS(3154),
    [sym_null] = ACTIONS(3154),
    [sym_undefined] = ACTIONS(3154),
    [anon_sym_AT] = ACTIONS(3154),
    [anon_sym_static] = ACTIONS(3154),
    [anon_sym_readonly] = ACTIONS(3154),
    [anon_sym_get] = ACTIONS(3154),
    [anon_sym_set] = ACTIONS(3154),
    [anon_sym_declare] = ACTIONS(3154),
    [anon_sym_public] = ACTIONS(3154),
    [anon_sym_private] = ACTIONS(3154),
    [anon_sym_protected] = ACTIONS(3154),
    [anon_sym_override] = ACTIONS(3154),
    [anon_sym_module] = ACTIONS(3154),
    [anon_sym_any] = ACTIONS(3154),
    [anon_sym_number] = ACTIONS(3154),
    [anon_sym_boolean] = ACTIONS(3154),
    [anon_sym_string] = ACTIONS(3154),
    [anon_sym_symbol] = ACTIONS(3154),
    [anon_sym_object] = ACTIONS(3154),
    [anon_sym_abstract] = ACTIONS(3154),
    [anon_sym_interface] = ACTIONS(3154),
    [anon_sym_enum] = ACTIONS(3154),
    [sym_html_comment] = ACTIONS(5),
  },
  [1026] = {
    [sym_comment] = STATE(1026),
    [sym_identifier] = ACTIONS(3220),
    [anon_sym_export] = ACTIONS(3220),
    [anon_sym_default] = ACTIONS(3220),
    [anon_sym_type] = ACTIONS(3220),
    [anon_sym_namespace] = ACTIONS(3220),
    [anon_sym_LBRACE] = ACTIONS(3220),
    [anon_sym_RBRACE] = ACTIONS(3220),
    [anon_sym_typeof] = ACTIONS(3220),
    [anon_sym_import] = ACTIONS(3220),
    [anon_sym_with] = ACTIONS(3220),
    [anon_sym_var] = ACTIONS(3220),
    [anon_sym_let] = ACTIONS(3220),
    [anon_sym_const] = ACTIONS(3220),
    [anon_sym_BANG] = ACTIONS(3220),
    [anon_sym_else] = ACTIONS(3220),
    [anon_sym_if] = ACTIONS(3220),
    [anon_sym_switch] = ACTIONS(3220),
    [anon_sym_for] = ACTIONS(3220),
    [anon_sym_LPAREN] = ACTIONS(3220),
    [anon_sym_await] = ACTIONS(3220),
    [anon_sym_while] = ACTIONS(3220),
    [anon_sym_do] = ACTIONS(3220),
    [anon_sym_try] = ACTIONS(3220),
    [anon_sym_break] = ACTIONS(3220),
    [anon_sym_continue] = ACTIONS(3220),
    [anon_sym_debugger] = ACTIONS(3220),
    [anon_sym_return] = ACTIONS(3220),
    [anon_sym_throw] = ACTIONS(3220),
    [anon_sym_SEMI] = ACTIONS(3220),
    [anon_sym_case] = ACTIONS(3220),
    [anon_sym_yield] = ACTIONS(3220),
    [anon_sym_LBRACK] = ACTIONS(3220),
    [anon_sym_LTtemplate_GT] = ACTIONS(3220),
    [anon_sym_DQUOTE] = ACTIONS(3220),
    [anon_sym_SQUOTE] = ACTIONS(3220),
    [anon_sym_class] = ACTIONS(3220),
    [anon_sym_async] = ACTIONS(3220),
    [anon_sym_function] = ACTIONS(3220),
    [anon_sym_new] = ACTIONS(3220),
    [anon_sym_using] = ACTIONS(3220),
    [anon_sym_PLUS] = ACTIONS(3220),
    [anon_sym_DASH] = ACTIONS(3220),
    [anon_sym_SLASH] = ACTIONS(3220),
    [anon_sym_LT] = ACTIONS(3220),
    [anon_sym_TILDE] = ACTIONS(3220),
    [anon_sym_void] = ACTIONS(3220),
    [anon_sym_delete] = ACTIONS(3220),
    [anon_sym_PLUS_PLUS] = ACTIONS(3220),
    [anon_sym_DASH_DASH] = ACTIONS(3220),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3220),
    [sym_number] = ACTIONS(3220),
    [sym_private_property_identifier] = ACTIONS(3220),
    [sym_this] = ACTIONS(3220),
    [sym_super] = ACTIONS(3220),
    [sym_true] = ACTIONS(3220),
    [sym_false] = ACTIONS(3220),
    [sym_null] = ACTIONS(3220),
    [sym_undefined] = ACTIONS(3220),
    [anon_sym_AT] = ACTIONS(3220),
    [anon_sym_static] = ACTIONS(3220),
    [anon_sym_readonly] = ACTIONS(3220),
    [anon_sym_get] = ACTIONS(3220),
    [anon_sym_set] = ACTIONS(3220),
    [anon_sym_declare] = ACTIONS(3220),
    [anon_sym_public] = ACTIONS(3220),
    [anon_sym_private] = ACTIONS(3220),
    [anon_sym_protected] = ACTIONS(3220),
    [anon_sym_override] = ACTIONS(3220),
    [anon_sym_module] = ACTIONS(3220),
    [anon_sym_any] = ACTIONS(3220),
    [anon_sym_number] = ACTIONS(3220),
    [anon_sym_boolean] = ACTIONS(3220),
    [anon_sym_string] = ACTIONS(3220),
    [anon_sym_symbol] = ACTIONS(3220),
    [anon_sym_object] = ACTIONS(3220),
    [anon_sym_abstract] = ACTIONS(3220),
    [anon_sym_interface] = ACTIONS(3220),
    [anon_sym_enum] = ACTIONS(3220),
    [sym_html_comment] = ACTIONS(5),
  },
  [1027] = {
    [sym_comment] = STATE(1027),
    [sym_identifier] = ACTIONS(3222),
    [anon_sym_export] = ACTIONS(3222),
    [anon_sym_default] = ACTIONS(3222),
    [anon_sym_type] = ACTIONS(3222),
    [anon_sym_namespace] = ACTIONS(3222),
    [anon_sym_LBRACE] = ACTIONS(3222),
    [anon_sym_RBRACE] = ACTIONS(3222),
    [anon_sym_typeof] = ACTIONS(3222),
    [anon_sym_import] = ACTIONS(3222),
    [anon_sym_with] = ACTIONS(3222),
    [anon_sym_var] = ACTIONS(3222),
    [anon_sym_let] = ACTIONS(3222),
    [anon_sym_const] = ACTIONS(3222),
    [anon_sym_BANG] = ACTIONS(3222),
    [anon_sym_else] = ACTIONS(3222),
    [anon_sym_if] = ACTIONS(3222),
    [anon_sym_switch] = ACTIONS(3222),
    [anon_sym_for] = ACTIONS(3222),
    [anon_sym_LPAREN] = ACTIONS(3222),
    [anon_sym_await] = ACTIONS(3222),
    [anon_sym_while] = ACTIONS(3222),
    [anon_sym_do] = ACTIONS(3222),
    [anon_sym_try] = ACTIONS(3222),
    [anon_sym_break] = ACTIONS(3222),
    [anon_sym_continue] = ACTIONS(3222),
    [anon_sym_debugger] = ACTIONS(3222),
    [anon_sym_return] = ACTIONS(3222),
    [anon_sym_throw] = ACTIONS(3222),
    [anon_sym_SEMI] = ACTIONS(3222),
    [anon_sym_case] = ACTIONS(3222),
    [anon_sym_yield] = ACTIONS(3222),
    [anon_sym_LBRACK] = ACTIONS(3222),
    [anon_sym_LTtemplate_GT] = ACTIONS(3222),
    [anon_sym_DQUOTE] = ACTIONS(3222),
    [anon_sym_SQUOTE] = ACTIONS(3222),
    [anon_sym_class] = ACTIONS(3222),
    [anon_sym_async] = ACTIONS(3222),
    [anon_sym_function] = ACTIONS(3222),
    [anon_sym_new] = ACTIONS(3222),
    [anon_sym_using] = ACTIONS(3222),
    [anon_sym_PLUS] = ACTIONS(3222),
    [anon_sym_DASH] = ACTIONS(3222),
    [anon_sym_SLASH] = ACTIONS(3222),
    [anon_sym_LT] = ACTIONS(3222),
    [anon_sym_TILDE] = ACTIONS(3222),
    [anon_sym_void] = ACTIONS(3222),
    [anon_sym_delete] = ACTIONS(3222),
    [anon_sym_PLUS_PLUS] = ACTIONS(3222),
    [anon_sym_DASH_DASH] = ACTIONS(3222),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3222),
    [sym_number] = ACTIONS(3222),
    [sym_private_property_identifier] = ACTIONS(3222),
    [sym_this] = ACTIONS(3222),
    [sym_super] = ACTIONS(3222),
    [sym_true] = ACTIONS(3222),
    [sym_false] = ACTIONS(3222),
    [sym_null] = ACTIONS(3222),
    [sym_undefined] = ACTIONS(3222),
    [anon_sym_AT] = ACTIONS(3222),
    [anon_sym_static] = ACTIONS(3222),
    [anon_sym_readonly] = ACTIONS(3222),
    [anon_sym_get] = ACTIONS(3222),
    [anon_sym_set] = ACTIONS(3222),
    [anon_sym_declare] = ACTIONS(3222),
    [anon_sym_public] = ACTIONS(3222),
    [anon_sym_private] = ACTIONS(3222),
    [anon_sym_protected] = ACTIONS(3222),
    [anon_sym_override] = ACTIONS(3222),
    [anon_sym_module] = ACTIONS(3222),
    [anon_sym_any] = ACTIONS(3222),
    [anon_sym_number] = ACTIONS(3222),
    [anon_sym_boolean] = ACTIONS(3222),
    [anon_sym_string] = ACTIONS(3222),
    [anon_sym_symbol] = ACTIONS(3222),
    [anon_sym_object] = ACTIONS(3222),
    [anon_sym_abstract] = ACTIONS(3222),
    [anon_sym_interface] = ACTIONS(3222),
    [anon_sym_enum] = ACTIONS(3222),
    [sym_html_comment] = ACTIONS(5),
  },
  [1028] = {
    [sym_comment] = STATE(1028),
    [sym_identifier] = ACTIONS(3224),
    [anon_sym_export] = ACTIONS(3224),
    [anon_sym_default] = ACTIONS(3224),
    [anon_sym_type] = ACTIONS(3224),
    [anon_sym_namespace] = ACTIONS(3224),
    [anon_sym_LBRACE] = ACTIONS(3224),
    [anon_sym_RBRACE] = ACTIONS(3224),
    [anon_sym_typeof] = ACTIONS(3224),
    [anon_sym_import] = ACTIONS(3224),
    [anon_sym_with] = ACTIONS(3224),
    [anon_sym_var] = ACTIONS(3224),
    [anon_sym_let] = ACTIONS(3224),
    [anon_sym_const] = ACTIONS(3224),
    [anon_sym_BANG] = ACTIONS(3224),
    [anon_sym_else] = ACTIONS(3224),
    [anon_sym_if] = ACTIONS(3224),
    [anon_sym_switch] = ACTIONS(3224),
    [anon_sym_for] = ACTIONS(3224),
    [anon_sym_LPAREN] = ACTIONS(3224),
    [anon_sym_await] = ACTIONS(3224),
    [anon_sym_while] = ACTIONS(3224),
    [anon_sym_do] = ACTIONS(3224),
    [anon_sym_try] = ACTIONS(3224),
    [anon_sym_break] = ACTIONS(3224),
    [anon_sym_continue] = ACTIONS(3224),
    [anon_sym_debugger] = ACTIONS(3224),
    [anon_sym_return] = ACTIONS(3224),
    [anon_sym_throw] = ACTIONS(3224),
    [anon_sym_SEMI] = ACTIONS(3224),
    [anon_sym_case] = ACTIONS(3224),
    [anon_sym_yield] = ACTIONS(3224),
    [anon_sym_LBRACK] = ACTIONS(3224),
    [anon_sym_LTtemplate_GT] = ACTIONS(3224),
    [anon_sym_DQUOTE] = ACTIONS(3224),
    [anon_sym_SQUOTE] = ACTIONS(3224),
    [anon_sym_class] = ACTIONS(3224),
    [anon_sym_async] = ACTIONS(3224),
    [anon_sym_function] = ACTIONS(3224),
    [anon_sym_new] = ACTIONS(3224),
    [anon_sym_using] = ACTIONS(3224),
    [anon_sym_PLUS] = ACTIONS(3224),
    [anon_sym_DASH] = ACTIONS(3224),
    [anon_sym_SLASH] = ACTIONS(3224),
    [anon_sym_LT] = ACTIONS(3224),
    [anon_sym_TILDE] = ACTIONS(3224),
    [anon_sym_void] = ACTIONS(3224),
    [anon_sym_delete] = ACTIONS(3224),
    [anon_sym_PLUS_PLUS] = ACTIONS(3224),
    [anon_sym_DASH_DASH] = ACTIONS(3224),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3224),
    [sym_number] = ACTIONS(3224),
    [sym_private_property_identifier] = ACTIONS(3224),
    [sym_this] = ACTIONS(3224),
    [sym_super] = ACTIONS(3224),
    [sym_true] = ACTIONS(3224),
    [sym_false] = ACTIONS(3224),
    [sym_null] = ACTIONS(3224),
    [sym_undefined] = ACTIONS(3224),
    [anon_sym_AT] = ACTIONS(3224),
    [anon_sym_static] = ACTIONS(3224),
    [anon_sym_readonly] = ACTIONS(3224),
    [anon_sym_get] = ACTIONS(3224),
    [anon_sym_set] = ACTIONS(3224),
    [anon_sym_declare] = ACTIONS(3224),
    [anon_sym_public] = ACTIONS(3224),
    [anon_sym_private] = ACTIONS(3224),
    [anon_sym_protected] = ACTIONS(3224),
    [anon_sym_override] = ACTIONS(3224),
    [anon_sym_module] = ACTIONS(3224),
    [anon_sym_any] = ACTIONS(3224),
    [anon_sym_number] = ACTIONS(3224),
    [anon_sym_boolean] = ACTIONS(3224),
    [anon_sym_string] = ACTIONS(3224),
    [anon_sym_symbol] = ACTIONS(3224),
    [anon_sym_object] = ACTIONS(3224),
    [anon_sym_abstract] = ACTIONS(3224),
    [anon_sym_interface] = ACTIONS(3224),
    [anon_sym_enum] = ACTIONS(3224),
    [sym_html_comment] = ACTIONS(5),
  },
  [1029] = {
    [sym_comment] = STATE(1029),
    [sym_identifier] = ACTIONS(3226),
    [anon_sym_export] = ACTIONS(3226),
    [anon_sym_default] = ACTIONS(3226),
    [anon_sym_type] = ACTIONS(3226),
    [anon_sym_namespace] = ACTIONS(3226),
    [anon_sym_LBRACE] = ACTIONS(3226),
    [anon_sym_RBRACE] = ACTIONS(3226),
    [anon_sym_typeof] = ACTIONS(3226),
    [anon_sym_import] = ACTIONS(3226),
    [anon_sym_with] = ACTIONS(3226),
    [anon_sym_var] = ACTIONS(3226),
    [anon_sym_let] = ACTIONS(3226),
    [anon_sym_const] = ACTIONS(3226),
    [anon_sym_BANG] = ACTIONS(3226),
    [anon_sym_else] = ACTIONS(3226),
    [anon_sym_if] = ACTIONS(3226),
    [anon_sym_switch] = ACTIONS(3226),
    [anon_sym_for] = ACTIONS(3226),
    [anon_sym_LPAREN] = ACTIONS(3226),
    [anon_sym_await] = ACTIONS(3226),
    [anon_sym_while] = ACTIONS(3226),
    [anon_sym_do] = ACTIONS(3226),
    [anon_sym_try] = ACTIONS(3226),
    [anon_sym_break] = ACTIONS(3226),
    [anon_sym_continue] = ACTIONS(3226),
    [anon_sym_debugger] = ACTIONS(3226),
    [anon_sym_return] = ACTIONS(3226),
    [anon_sym_throw] = ACTIONS(3226),
    [anon_sym_SEMI] = ACTIONS(3226),
    [anon_sym_case] = ACTIONS(3226),
    [anon_sym_yield] = ACTIONS(3226),
    [anon_sym_LBRACK] = ACTIONS(3226),
    [anon_sym_LTtemplate_GT] = ACTIONS(3226),
    [anon_sym_DQUOTE] = ACTIONS(3226),
    [anon_sym_SQUOTE] = ACTIONS(3226),
    [anon_sym_class] = ACTIONS(3226),
    [anon_sym_async] = ACTIONS(3226),
    [anon_sym_function] = ACTIONS(3226),
    [anon_sym_new] = ACTIONS(3226),
    [anon_sym_using] = ACTIONS(3226),
    [anon_sym_PLUS] = ACTIONS(3226),
    [anon_sym_DASH] = ACTIONS(3226),
    [anon_sym_SLASH] = ACTIONS(3226),
    [anon_sym_LT] = ACTIONS(3226),
    [anon_sym_TILDE] = ACTIONS(3226),
    [anon_sym_void] = ACTIONS(3226),
    [anon_sym_delete] = ACTIONS(3226),
    [anon_sym_PLUS_PLUS] = ACTIONS(3226),
    [anon_sym_DASH_DASH] = ACTIONS(3226),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3226),
    [sym_number] = ACTIONS(3226),
    [sym_private_property_identifier] = ACTIONS(3226),
    [sym_this] = ACTIONS(3226),
    [sym_super] = ACTIONS(3226),
    [sym_true] = ACTIONS(3226),
    [sym_false] = ACTIONS(3226),
    [sym_null] = ACTIONS(3226),
    [sym_undefined] = ACTIONS(3226),
    [anon_sym_AT] = ACTIONS(3226),
    [anon_sym_static] = ACTIONS(3226),
    [anon_sym_readonly] = ACTIONS(3226),
    [anon_sym_get] = ACTIONS(3226),
    [anon_sym_set] = ACTIONS(3226),
    [anon_sym_declare] = ACTIONS(3226),
    [anon_sym_public] = ACTIONS(3226),
    [anon_sym_private] = ACTIONS(3226),
    [anon_sym_protected] = ACTIONS(3226),
    [anon_sym_override] = ACTIONS(3226),
    [anon_sym_module] = ACTIONS(3226),
    [anon_sym_any] = ACTIONS(3226),
    [anon_sym_number] = ACTIONS(3226),
    [anon_sym_boolean] = ACTIONS(3226),
    [anon_sym_string] = ACTIONS(3226),
    [anon_sym_symbol] = ACTIONS(3226),
    [anon_sym_object] = ACTIONS(3226),
    [anon_sym_abstract] = ACTIONS(3226),
    [anon_sym_interface] = ACTIONS(3226),
    [anon_sym_enum] = ACTIONS(3226),
    [sym_html_comment] = ACTIONS(5),
  },
  [1030] = {
    [sym_comment] = STATE(1030),
    [sym_identifier] = ACTIONS(3228),
    [anon_sym_export] = ACTIONS(3228),
    [anon_sym_default] = ACTIONS(3228),
    [anon_sym_type] = ACTIONS(3228),
    [anon_sym_namespace] = ACTIONS(3228),
    [anon_sym_LBRACE] = ACTIONS(3228),
    [anon_sym_RBRACE] = ACTIONS(3228),
    [anon_sym_typeof] = ACTIONS(3228),
    [anon_sym_import] = ACTIONS(3228),
    [anon_sym_with] = ACTIONS(3228),
    [anon_sym_var] = ACTIONS(3228),
    [anon_sym_let] = ACTIONS(3228),
    [anon_sym_const] = ACTIONS(3228),
    [anon_sym_BANG] = ACTIONS(3228),
    [anon_sym_else] = ACTIONS(3228),
    [anon_sym_if] = ACTIONS(3228),
    [anon_sym_switch] = ACTIONS(3228),
    [anon_sym_for] = ACTIONS(3228),
    [anon_sym_LPAREN] = ACTIONS(3228),
    [anon_sym_await] = ACTIONS(3228),
    [anon_sym_while] = ACTIONS(3228),
    [anon_sym_do] = ACTIONS(3228),
    [anon_sym_try] = ACTIONS(3228),
    [anon_sym_break] = ACTIONS(3228),
    [anon_sym_continue] = ACTIONS(3228),
    [anon_sym_debugger] = ACTIONS(3228),
    [anon_sym_return] = ACTIONS(3228),
    [anon_sym_throw] = ACTIONS(3228),
    [anon_sym_SEMI] = ACTIONS(3228),
    [anon_sym_case] = ACTIONS(3228),
    [anon_sym_yield] = ACTIONS(3228),
    [anon_sym_LBRACK] = ACTIONS(3228),
    [anon_sym_LTtemplate_GT] = ACTIONS(3228),
    [anon_sym_DQUOTE] = ACTIONS(3228),
    [anon_sym_SQUOTE] = ACTIONS(3228),
    [anon_sym_class] = ACTIONS(3228),
    [anon_sym_async] = ACTIONS(3228),
    [anon_sym_function] = ACTIONS(3228),
    [anon_sym_new] = ACTIONS(3228),
    [anon_sym_using] = ACTIONS(3228),
    [anon_sym_PLUS] = ACTIONS(3228),
    [anon_sym_DASH] = ACTIONS(3228),
    [anon_sym_SLASH] = ACTIONS(3228),
    [anon_sym_LT] = ACTIONS(3228),
    [anon_sym_TILDE] = ACTIONS(3228),
    [anon_sym_void] = ACTIONS(3228),
    [anon_sym_delete] = ACTIONS(3228),
    [anon_sym_PLUS_PLUS] = ACTIONS(3228),
    [anon_sym_DASH_DASH] = ACTIONS(3228),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3228),
    [sym_number] = ACTIONS(3228),
    [sym_private_property_identifier] = ACTIONS(3228),
    [sym_this] = ACTIONS(3228),
    [sym_super] = ACTIONS(3228),
    [sym_true] = ACTIONS(3228),
    [sym_false] = ACTIONS(3228),
    [sym_null] = ACTIONS(3228),
    [sym_undefined] = ACTIONS(3228),
    [anon_sym_AT] = ACTIONS(3228),
    [anon_sym_static] = ACTIONS(3228),
    [anon_sym_readonly] = ACTIONS(3228),
    [anon_sym_get] = ACTIONS(3228),
    [anon_sym_set] = ACTIONS(3228),
    [anon_sym_declare] = ACTIONS(3228),
    [anon_sym_public] = ACTIONS(3228),
    [anon_sym_private] = ACTIONS(3228),
    [anon_sym_protected] = ACTIONS(3228),
    [anon_sym_override] = ACTIONS(3228),
    [anon_sym_module] = ACTIONS(3228),
    [anon_sym_any] = ACTIONS(3228),
    [anon_sym_number] = ACTIONS(3228),
    [anon_sym_boolean] = ACTIONS(3228),
    [anon_sym_string] = ACTIONS(3228),
    [anon_sym_symbol] = ACTIONS(3228),
    [anon_sym_object] = ACTIONS(3228),
    [anon_sym_abstract] = ACTIONS(3228),
    [anon_sym_interface] = ACTIONS(3228),
    [anon_sym_enum] = ACTIONS(3228),
    [sym_html_comment] = ACTIONS(5),
  },
  [1031] = {
    [sym_comment] = STATE(1031),
    [sym_identifier] = ACTIONS(3230),
    [anon_sym_export] = ACTIONS(3230),
    [anon_sym_default] = ACTIONS(3230),
    [anon_sym_type] = ACTIONS(3230),
    [anon_sym_namespace] = ACTIONS(3230),
    [anon_sym_LBRACE] = ACTIONS(3230),
    [anon_sym_RBRACE] = ACTIONS(3230),
    [anon_sym_typeof] = ACTIONS(3230),
    [anon_sym_import] = ACTIONS(3230),
    [anon_sym_with] = ACTIONS(3230),
    [anon_sym_var] = ACTIONS(3230),
    [anon_sym_let] = ACTIONS(3230),
    [anon_sym_const] = ACTIONS(3230),
    [anon_sym_BANG] = ACTIONS(3230),
    [anon_sym_else] = ACTIONS(3230),
    [anon_sym_if] = ACTIONS(3230),
    [anon_sym_switch] = ACTIONS(3230),
    [anon_sym_for] = ACTIONS(3230),
    [anon_sym_LPAREN] = ACTIONS(3230),
    [anon_sym_await] = ACTIONS(3230),
    [anon_sym_while] = ACTIONS(3230),
    [anon_sym_do] = ACTIONS(3230),
    [anon_sym_try] = ACTIONS(3230),
    [anon_sym_break] = ACTIONS(3230),
    [anon_sym_continue] = ACTIONS(3230),
    [anon_sym_debugger] = ACTIONS(3230),
    [anon_sym_return] = ACTIONS(3230),
    [anon_sym_throw] = ACTIONS(3230),
    [anon_sym_SEMI] = ACTIONS(3230),
    [anon_sym_case] = ACTIONS(3230),
    [anon_sym_yield] = ACTIONS(3230),
    [anon_sym_LBRACK] = ACTIONS(3230),
    [anon_sym_LTtemplate_GT] = ACTIONS(3230),
    [anon_sym_DQUOTE] = ACTIONS(3230),
    [anon_sym_SQUOTE] = ACTIONS(3230),
    [anon_sym_class] = ACTIONS(3230),
    [anon_sym_async] = ACTIONS(3230),
    [anon_sym_function] = ACTIONS(3230),
    [anon_sym_new] = ACTIONS(3230),
    [anon_sym_using] = ACTIONS(3230),
    [anon_sym_PLUS] = ACTIONS(3230),
    [anon_sym_DASH] = ACTIONS(3230),
    [anon_sym_SLASH] = ACTIONS(3230),
    [anon_sym_LT] = ACTIONS(3230),
    [anon_sym_TILDE] = ACTIONS(3230),
    [anon_sym_void] = ACTIONS(3230),
    [anon_sym_delete] = ACTIONS(3230),
    [anon_sym_PLUS_PLUS] = ACTIONS(3230),
    [anon_sym_DASH_DASH] = ACTIONS(3230),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3230),
    [sym_number] = ACTIONS(3230),
    [sym_private_property_identifier] = ACTIONS(3230),
    [sym_this] = ACTIONS(3230),
    [sym_super] = ACTIONS(3230),
    [sym_true] = ACTIONS(3230),
    [sym_false] = ACTIONS(3230),
    [sym_null] = ACTIONS(3230),
    [sym_undefined] = ACTIONS(3230),
    [anon_sym_AT] = ACTIONS(3230),
    [anon_sym_static] = ACTIONS(3230),
    [anon_sym_readonly] = ACTIONS(3230),
    [anon_sym_get] = ACTIONS(3230),
    [anon_sym_set] = ACTIONS(3230),
    [anon_sym_declare] = ACTIONS(3230),
    [anon_sym_public] = ACTIONS(3230),
    [anon_sym_private] = ACTIONS(3230),
    [anon_sym_protected] = ACTIONS(3230),
    [anon_sym_override] = ACTIONS(3230),
    [anon_sym_module] = ACTIONS(3230),
    [anon_sym_any] = ACTIONS(3230),
    [anon_sym_number] = ACTIONS(3230),
    [anon_sym_boolean] = ACTIONS(3230),
    [anon_sym_string] = ACTIONS(3230),
    [anon_sym_symbol] = ACTIONS(3230),
    [anon_sym_object] = ACTIONS(3230),
    [anon_sym_abstract] = ACTIONS(3230),
    [anon_sym_interface] = ACTIONS(3230),
    [anon_sym_enum] = ACTIONS(3230),
    [sym_html_comment] = ACTIONS(5),
  },
  [1032] = {
    [sym_statement_block] = STATE(1387),
    [sym_comment] = STATE(1032),
    [sym_identifier] = ACTIONS(2055),
    [anon_sym_export] = ACTIONS(2055),
    [anon_sym_default] = ACTIONS(2055),
    [anon_sym_type] = ACTIONS(2055),
    [anon_sym_namespace] = ACTIONS(2055),
    [anon_sym_LBRACE] = ACTIONS(3082),
    [anon_sym_RBRACE] = ACTIONS(2055),
    [anon_sym_typeof] = ACTIONS(2055),
    [anon_sym_import] = ACTIONS(2055),
    [anon_sym_with] = ACTIONS(2055),
    [anon_sym_var] = ACTIONS(2055),
    [anon_sym_let] = ACTIONS(2055),
    [anon_sym_const] = ACTIONS(2055),
    [anon_sym_BANG] = ACTIONS(2055),
    [anon_sym_if] = ACTIONS(2055),
    [anon_sym_switch] = ACTIONS(2055),
    [anon_sym_for] = ACTIONS(2055),
    [anon_sym_LPAREN] = ACTIONS(2055),
    [anon_sym_await] = ACTIONS(2055),
    [anon_sym_while] = ACTIONS(2055),
    [anon_sym_do] = ACTIONS(2055),
    [anon_sym_try] = ACTIONS(2055),
    [anon_sym_break] = ACTIONS(2055),
    [anon_sym_continue] = ACTIONS(2055),
    [anon_sym_debugger] = ACTIONS(2055),
    [anon_sym_return] = ACTIONS(2055),
    [anon_sym_throw] = ACTIONS(2055),
    [anon_sym_SEMI] = ACTIONS(2055),
    [anon_sym_case] = ACTIONS(2055),
    [anon_sym_yield] = ACTIONS(2055),
    [anon_sym_LBRACK] = ACTIONS(2055),
    [anon_sym_LTtemplate_GT] = ACTIONS(2055),
    [anon_sym_DQUOTE] = ACTIONS(2055),
    [anon_sym_SQUOTE] = ACTIONS(2055),
    [anon_sym_class] = ACTIONS(2055),
    [anon_sym_async] = ACTIONS(2055),
    [anon_sym_function] = ACTIONS(2055),
    [anon_sym_new] = ACTIONS(2055),
    [anon_sym_using] = ACTIONS(2055),
    [anon_sym_PLUS] = ACTIONS(2055),
    [anon_sym_DASH] = ACTIONS(2055),
    [anon_sym_SLASH] = ACTIONS(2055),
    [anon_sym_LT] = ACTIONS(2055),
    [anon_sym_TILDE] = ACTIONS(2055),
    [anon_sym_void] = ACTIONS(2055),
    [anon_sym_delete] = ACTIONS(2055),
    [anon_sym_PLUS_PLUS] = ACTIONS(2055),
    [anon_sym_DASH_DASH] = ACTIONS(2055),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2055),
    [sym_number] = ACTIONS(2055),
    [sym_private_property_identifier] = ACTIONS(2055),
    [sym_this] = ACTIONS(2055),
    [sym_super] = ACTIONS(2055),
    [sym_true] = ACTIONS(2055),
    [sym_false] = ACTIONS(2055),
    [sym_null] = ACTIONS(2055),
    [sym_undefined] = ACTIONS(2055),
    [anon_sym_AT] = ACTIONS(2055),
    [anon_sym_static] = ACTIONS(2055),
    [anon_sym_readonly] = ACTIONS(2055),
    [anon_sym_get] = ACTIONS(2055),
    [anon_sym_set] = ACTIONS(2055),
    [anon_sym_declare] = ACTIONS(2055),
    [anon_sym_public] = ACTIONS(2055),
    [anon_sym_private] = ACTIONS(2055),
    [anon_sym_protected] = ACTIONS(2055),
    [anon_sym_override] = ACTIONS(2055),
    [anon_sym_module] = ACTIONS(2055),
    [anon_sym_any] = ACTIONS(2055),
    [anon_sym_number] = ACTIONS(2055),
    [anon_sym_boolean] = ACTIONS(2055),
    [anon_sym_string] = ACTIONS(2055),
    [anon_sym_symbol] = ACTIONS(2055),
    [anon_sym_object] = ACTIONS(2055),
    [anon_sym_abstract] = ACTIONS(2055),
    [anon_sym_interface] = ACTIONS(2055),
    [anon_sym_enum] = ACTIONS(2055),
    [sym_html_comment] = ACTIONS(5),
  },
  [1033] = {
    [sym_comment] = STATE(1033),
    [sym_identifier] = ACTIONS(3106),
    [anon_sym_export] = ACTIONS(3106),
    [anon_sym_default] = ACTIONS(3106),
    [anon_sym_type] = ACTIONS(3106),
    [anon_sym_namespace] = ACTIONS(3106),
    [anon_sym_LBRACE] = ACTIONS(3106),
    [anon_sym_RBRACE] = ACTIONS(3106),
    [anon_sym_typeof] = ACTIONS(3106),
    [anon_sym_import] = ACTIONS(3106),
    [anon_sym_with] = ACTIONS(3106),
    [anon_sym_var] = ACTIONS(3106),
    [anon_sym_let] = ACTIONS(3106),
    [anon_sym_const] = ACTIONS(3106),
    [anon_sym_BANG] = ACTIONS(3106),
    [anon_sym_if] = ACTIONS(3106),
    [anon_sym_switch] = ACTIONS(3106),
    [anon_sym_for] = ACTIONS(3106),
    [anon_sym_LPAREN] = ACTIONS(3106),
    [anon_sym_await] = ACTIONS(3106),
    [anon_sym_while] = ACTIONS(3106),
    [anon_sym_do] = ACTIONS(3106),
    [anon_sym_try] = ACTIONS(3106),
    [anon_sym_break] = ACTIONS(3106),
    [anon_sym_continue] = ACTIONS(3106),
    [anon_sym_debugger] = ACTIONS(3106),
    [anon_sym_return] = ACTIONS(3106),
    [anon_sym_throw] = ACTIONS(3106),
    [anon_sym_SEMI] = ACTIONS(3106),
    [anon_sym_case] = ACTIONS(3106),
    [anon_sym_finally] = ACTIONS(3106),
    [anon_sym_yield] = ACTIONS(3106),
    [anon_sym_LBRACK] = ACTIONS(3106),
    [anon_sym_LTtemplate_GT] = ACTIONS(3106),
    [anon_sym_DQUOTE] = ACTIONS(3106),
    [anon_sym_SQUOTE] = ACTIONS(3106),
    [anon_sym_class] = ACTIONS(3106),
    [anon_sym_async] = ACTIONS(3106),
    [anon_sym_function] = ACTIONS(3106),
    [anon_sym_new] = ACTIONS(3106),
    [anon_sym_using] = ACTIONS(3106),
    [anon_sym_PLUS] = ACTIONS(3106),
    [anon_sym_DASH] = ACTIONS(3106),
    [anon_sym_SLASH] = ACTIONS(3106),
    [anon_sym_LT] = ACTIONS(3106),
    [anon_sym_TILDE] = ACTIONS(3106),
    [anon_sym_void] = ACTIONS(3106),
    [anon_sym_delete] = ACTIONS(3106),
    [anon_sym_PLUS_PLUS] = ACTIONS(3106),
    [anon_sym_DASH_DASH] = ACTIONS(3106),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3106),
    [sym_number] = ACTIONS(3106),
    [sym_private_property_identifier] = ACTIONS(3106),
    [sym_this] = ACTIONS(3106),
    [sym_super] = ACTIONS(3106),
    [sym_true] = ACTIONS(3106),
    [sym_false] = ACTIONS(3106),
    [sym_null] = ACTIONS(3106),
    [sym_undefined] = ACTIONS(3106),
    [anon_sym_AT] = ACTIONS(3106),
    [anon_sym_static] = ACTIONS(3106),
    [anon_sym_readonly] = ACTIONS(3106),
    [anon_sym_get] = ACTIONS(3106),
    [anon_sym_set] = ACTIONS(3106),
    [anon_sym_declare] = ACTIONS(3106),
    [anon_sym_public] = ACTIONS(3106),
    [anon_sym_private] = ACTIONS(3106),
    [anon_sym_protected] = ACTIONS(3106),
    [anon_sym_override] = ACTIONS(3106),
    [anon_sym_module] = ACTIONS(3106),
    [anon_sym_any] = ACTIONS(3106),
    [anon_sym_number] = ACTIONS(3106),
    [anon_sym_boolean] = ACTIONS(3106),
    [anon_sym_string] = ACTIONS(3106),
    [anon_sym_symbol] = ACTIONS(3106),
    [anon_sym_object] = ACTIONS(3106),
    [anon_sym_abstract] = ACTIONS(3106),
    [anon_sym_interface] = ACTIONS(3106),
    [anon_sym_enum] = ACTIONS(3106),
    [sym_html_comment] = ACTIONS(5),
  },
  [1034] = {
    [sym_comment] = STATE(1034),
    [sym_identifier] = ACTIONS(3066),
    [anon_sym_export] = ACTIONS(3066),
    [anon_sym_default] = ACTIONS(3066),
    [anon_sym_type] = ACTIONS(3066),
    [anon_sym_namespace] = ACTIONS(3066),
    [anon_sym_LBRACE] = ACTIONS(3066),
    [anon_sym_RBRACE] = ACTIONS(3066),
    [anon_sym_typeof] = ACTIONS(3066),
    [anon_sym_import] = ACTIONS(3066),
    [anon_sym_with] = ACTIONS(3066),
    [anon_sym_var] = ACTIONS(3066),
    [anon_sym_let] = ACTIONS(3066),
    [anon_sym_const] = ACTIONS(3066),
    [anon_sym_BANG] = ACTIONS(3066),
    [anon_sym_if] = ACTIONS(3066),
    [anon_sym_switch] = ACTIONS(3066),
    [anon_sym_for] = ACTIONS(3066),
    [anon_sym_LPAREN] = ACTIONS(3066),
    [anon_sym_await] = ACTIONS(3066),
    [anon_sym_while] = ACTIONS(3066),
    [anon_sym_do] = ACTIONS(3066),
    [anon_sym_try] = ACTIONS(3066),
    [anon_sym_break] = ACTIONS(3066),
    [anon_sym_continue] = ACTIONS(3066),
    [anon_sym_debugger] = ACTIONS(3066),
    [anon_sym_return] = ACTIONS(3066),
    [anon_sym_throw] = ACTIONS(3066),
    [anon_sym_SEMI] = ACTIONS(3066),
    [anon_sym_case] = ACTIONS(3066),
    [anon_sym_finally] = ACTIONS(3066),
    [anon_sym_yield] = ACTIONS(3066),
    [anon_sym_LBRACK] = ACTIONS(3066),
    [anon_sym_LTtemplate_GT] = ACTIONS(3066),
    [anon_sym_DQUOTE] = ACTIONS(3066),
    [anon_sym_SQUOTE] = ACTIONS(3066),
    [anon_sym_class] = ACTIONS(3066),
    [anon_sym_async] = ACTIONS(3066),
    [anon_sym_function] = ACTIONS(3066),
    [anon_sym_new] = ACTIONS(3066),
    [anon_sym_using] = ACTIONS(3066),
    [anon_sym_PLUS] = ACTIONS(3066),
    [anon_sym_DASH] = ACTIONS(3066),
    [anon_sym_SLASH] = ACTIONS(3066),
    [anon_sym_LT] = ACTIONS(3066),
    [anon_sym_TILDE] = ACTIONS(3066),
    [anon_sym_void] = ACTIONS(3066),
    [anon_sym_delete] = ACTIONS(3066),
    [anon_sym_PLUS_PLUS] = ACTIONS(3066),
    [anon_sym_DASH_DASH] = ACTIONS(3066),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3066),
    [sym_number] = ACTIONS(3066),
    [sym_private_property_identifier] = ACTIONS(3066),
    [sym_this] = ACTIONS(3066),
    [sym_super] = ACTIONS(3066),
    [sym_true] = ACTIONS(3066),
    [sym_false] = ACTIONS(3066),
    [sym_null] = ACTIONS(3066),
    [sym_undefined] = ACTIONS(3066),
    [anon_sym_AT] = ACTIONS(3066),
    [anon_sym_static] = ACTIONS(3066),
    [anon_sym_readonly] = ACTIONS(3066),
    [anon_sym_get] = ACTIONS(3066),
    [anon_sym_set] = ACTIONS(3066),
    [anon_sym_declare] = ACTIONS(3066),
    [anon_sym_public] = ACTIONS(3066),
    [anon_sym_private] = ACTIONS(3066),
    [anon_sym_protected] = ACTIONS(3066),
    [anon_sym_override] = ACTIONS(3066),
    [anon_sym_module] = ACTIONS(3066),
    [anon_sym_any] = ACTIONS(3066),
    [anon_sym_number] = ACTIONS(3066),
    [anon_sym_boolean] = ACTIONS(3066),
    [anon_sym_string] = ACTIONS(3066),
    [anon_sym_symbol] = ACTIONS(3066),
    [anon_sym_object] = ACTIONS(3066),
    [anon_sym_abstract] = ACTIONS(3066),
    [anon_sym_interface] = ACTIONS(3066),
    [anon_sym_enum] = ACTIONS(3066),
    [sym_html_comment] = ACTIONS(5),
  },
  [1035] = {
    [sym_comment] = STATE(1035),
    [sym_identifier] = ACTIONS(3232),
    [anon_sym_export] = ACTIONS(3232),
    [anon_sym_default] = ACTIONS(3232),
    [anon_sym_type] = ACTIONS(3232),
    [anon_sym_namespace] = ACTIONS(3232),
    [anon_sym_LBRACE] = ACTIONS(3232),
    [anon_sym_RBRACE] = ACTIONS(3232),
    [anon_sym_typeof] = ACTIONS(3232),
    [anon_sym_import] = ACTIONS(3232),
    [anon_sym_with] = ACTIONS(3232),
    [anon_sym_var] = ACTIONS(3232),
    [anon_sym_let] = ACTIONS(3232),
    [anon_sym_const] = ACTIONS(3232),
    [anon_sym_BANG] = ACTIONS(3232),
    [anon_sym_else] = ACTIONS(3232),
    [anon_sym_if] = ACTIONS(3232),
    [anon_sym_switch] = ACTIONS(3232),
    [anon_sym_for] = ACTIONS(3232),
    [anon_sym_LPAREN] = ACTIONS(3232),
    [anon_sym_await] = ACTIONS(3232),
    [anon_sym_while] = ACTIONS(3232),
    [anon_sym_do] = ACTIONS(3232),
    [anon_sym_try] = ACTIONS(3232),
    [anon_sym_break] = ACTIONS(3232),
    [anon_sym_continue] = ACTIONS(3232),
    [anon_sym_debugger] = ACTIONS(3232),
    [anon_sym_return] = ACTIONS(3232),
    [anon_sym_throw] = ACTIONS(3232),
    [anon_sym_SEMI] = ACTIONS(3232),
    [anon_sym_case] = ACTIONS(3232),
    [anon_sym_yield] = ACTIONS(3232),
    [anon_sym_LBRACK] = ACTIONS(3232),
    [anon_sym_LTtemplate_GT] = ACTIONS(3232),
    [anon_sym_DQUOTE] = ACTIONS(3232),
    [anon_sym_SQUOTE] = ACTIONS(3232),
    [anon_sym_class] = ACTIONS(3232),
    [anon_sym_async] = ACTIONS(3232),
    [anon_sym_function] = ACTIONS(3232),
    [anon_sym_new] = ACTIONS(3232),
    [anon_sym_using] = ACTIONS(3232),
    [anon_sym_PLUS] = ACTIONS(3232),
    [anon_sym_DASH] = ACTIONS(3232),
    [anon_sym_SLASH] = ACTIONS(3232),
    [anon_sym_LT] = ACTIONS(3232),
    [anon_sym_TILDE] = ACTIONS(3232),
    [anon_sym_void] = ACTIONS(3232),
    [anon_sym_delete] = ACTIONS(3232),
    [anon_sym_PLUS_PLUS] = ACTIONS(3232),
    [anon_sym_DASH_DASH] = ACTIONS(3232),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3232),
    [sym_number] = ACTIONS(3232),
    [sym_private_property_identifier] = ACTIONS(3232),
    [sym_this] = ACTIONS(3232),
    [sym_super] = ACTIONS(3232),
    [sym_true] = ACTIONS(3232),
    [sym_false] = ACTIONS(3232),
    [sym_null] = ACTIONS(3232),
    [sym_undefined] = ACTIONS(3232),
    [anon_sym_AT] = ACTIONS(3232),
    [anon_sym_static] = ACTIONS(3232),
    [anon_sym_readonly] = ACTIONS(3232),
    [anon_sym_get] = ACTIONS(3232),
    [anon_sym_set] = ACTIONS(3232),
    [anon_sym_declare] = ACTIONS(3232),
    [anon_sym_public] = ACTIONS(3232),
    [anon_sym_private] = ACTIONS(3232),
    [anon_sym_protected] = ACTIONS(3232),
    [anon_sym_override] = ACTIONS(3232),
    [anon_sym_module] = ACTIONS(3232),
    [anon_sym_any] = ACTIONS(3232),
    [anon_sym_number] = ACTIONS(3232),
    [anon_sym_boolean] = ACTIONS(3232),
    [anon_sym_string] = ACTIONS(3232),
    [anon_sym_symbol] = ACTIONS(3232),
    [anon_sym_object] = ACTIONS(3232),
    [anon_sym_abstract] = ACTIONS(3232),
    [anon_sym_interface] = ACTIONS(3232),
    [anon_sym_enum] = ACTIONS(3232),
    [sym_html_comment] = ACTIONS(5),
  },
  [1036] = {
    [sym_comment] = STATE(1036),
    [sym_identifier] = ACTIONS(3234),
    [anon_sym_export] = ACTIONS(3234),
    [anon_sym_default] = ACTIONS(3234),
    [anon_sym_type] = ACTIONS(3234),
    [anon_sym_namespace] = ACTIONS(3234),
    [anon_sym_LBRACE] = ACTIONS(3234),
    [anon_sym_RBRACE] = ACTIONS(3234),
    [anon_sym_typeof] = ACTIONS(3234),
    [anon_sym_import] = ACTIONS(3234),
    [anon_sym_with] = ACTIONS(3234),
    [anon_sym_var] = ACTIONS(3234),
    [anon_sym_let] = ACTIONS(3234),
    [anon_sym_const] = ACTIONS(3234),
    [anon_sym_BANG] = ACTIONS(3234),
    [anon_sym_else] = ACTIONS(3234),
    [anon_sym_if] = ACTIONS(3234),
    [anon_sym_switch] = ACTIONS(3234),
    [anon_sym_for] = ACTIONS(3234),
    [anon_sym_LPAREN] = ACTIONS(3234),
    [anon_sym_await] = ACTIONS(3234),
    [anon_sym_while] = ACTIONS(3234),
    [anon_sym_do] = ACTIONS(3234),
    [anon_sym_try] = ACTIONS(3234),
    [anon_sym_break] = ACTIONS(3234),
    [anon_sym_continue] = ACTIONS(3234),
    [anon_sym_debugger] = ACTIONS(3234),
    [anon_sym_return] = ACTIONS(3234),
    [anon_sym_throw] = ACTIONS(3234),
    [anon_sym_SEMI] = ACTIONS(3234),
    [anon_sym_case] = ACTIONS(3234),
    [anon_sym_yield] = ACTIONS(3234),
    [anon_sym_LBRACK] = ACTIONS(3234),
    [anon_sym_LTtemplate_GT] = ACTIONS(3234),
    [anon_sym_DQUOTE] = ACTIONS(3234),
    [anon_sym_SQUOTE] = ACTIONS(3234),
    [anon_sym_class] = ACTIONS(3234),
    [anon_sym_async] = ACTIONS(3234),
    [anon_sym_function] = ACTIONS(3234),
    [anon_sym_new] = ACTIONS(3234),
    [anon_sym_using] = ACTIONS(3234),
    [anon_sym_PLUS] = ACTIONS(3234),
    [anon_sym_DASH] = ACTIONS(3234),
    [anon_sym_SLASH] = ACTIONS(3234),
    [anon_sym_LT] = ACTIONS(3234),
    [anon_sym_TILDE] = ACTIONS(3234),
    [anon_sym_void] = ACTIONS(3234),
    [anon_sym_delete] = ACTIONS(3234),
    [anon_sym_PLUS_PLUS] = ACTIONS(3234),
    [anon_sym_DASH_DASH] = ACTIONS(3234),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3234),
    [sym_number] = ACTIONS(3234),
    [sym_private_property_identifier] = ACTIONS(3234),
    [sym_this] = ACTIONS(3234),
    [sym_super] = ACTIONS(3234),
    [sym_true] = ACTIONS(3234),
    [sym_false] = ACTIONS(3234),
    [sym_null] = ACTIONS(3234),
    [sym_undefined] = ACTIONS(3234),
    [anon_sym_AT] = ACTIONS(3234),
    [anon_sym_static] = ACTIONS(3234),
    [anon_sym_readonly] = ACTIONS(3234),
    [anon_sym_get] = ACTIONS(3234),
    [anon_sym_set] = ACTIONS(3234),
    [anon_sym_declare] = ACTIONS(3234),
    [anon_sym_public] = ACTIONS(3234),
    [anon_sym_private] = ACTIONS(3234),
    [anon_sym_protected] = ACTIONS(3234),
    [anon_sym_override] = ACTIONS(3234),
    [anon_sym_module] = ACTIONS(3234),
    [anon_sym_any] = ACTIONS(3234),
    [anon_sym_number] = ACTIONS(3234),
    [anon_sym_boolean] = ACTIONS(3234),
    [anon_sym_string] = ACTIONS(3234),
    [anon_sym_symbol] = ACTIONS(3234),
    [anon_sym_object] = ACTIONS(3234),
    [anon_sym_abstract] = ACTIONS(3234),
    [anon_sym_interface] = ACTIONS(3234),
    [anon_sym_enum] = ACTIONS(3234),
    [sym_html_comment] = ACTIONS(5),
  },
  [1037] = {
    [sym_comment] = STATE(1037),
    [sym_identifier] = ACTIONS(3234),
    [anon_sym_export] = ACTIONS(3234),
    [anon_sym_default] = ACTIONS(3234),
    [anon_sym_type] = ACTIONS(3234),
    [anon_sym_namespace] = ACTIONS(3234),
    [anon_sym_LBRACE] = ACTIONS(3234),
    [anon_sym_RBRACE] = ACTIONS(3234),
    [anon_sym_typeof] = ACTIONS(3234),
    [anon_sym_import] = ACTIONS(3234),
    [anon_sym_with] = ACTIONS(3234),
    [anon_sym_var] = ACTIONS(3234),
    [anon_sym_let] = ACTIONS(3234),
    [anon_sym_const] = ACTIONS(3234),
    [anon_sym_BANG] = ACTIONS(3234),
    [anon_sym_else] = ACTIONS(3234),
    [anon_sym_if] = ACTIONS(3234),
    [anon_sym_switch] = ACTIONS(3234),
    [anon_sym_for] = ACTIONS(3234),
    [anon_sym_LPAREN] = ACTIONS(3234),
    [anon_sym_await] = ACTIONS(3234),
    [anon_sym_while] = ACTIONS(3234),
    [anon_sym_do] = ACTIONS(3234),
    [anon_sym_try] = ACTIONS(3234),
    [anon_sym_break] = ACTIONS(3234),
    [anon_sym_continue] = ACTIONS(3234),
    [anon_sym_debugger] = ACTIONS(3234),
    [anon_sym_return] = ACTIONS(3234),
    [anon_sym_throw] = ACTIONS(3234),
    [anon_sym_SEMI] = ACTIONS(3234),
    [anon_sym_case] = ACTIONS(3234),
    [anon_sym_yield] = ACTIONS(3234),
    [anon_sym_LBRACK] = ACTIONS(3234),
    [anon_sym_LTtemplate_GT] = ACTIONS(3234),
    [anon_sym_DQUOTE] = ACTIONS(3234),
    [anon_sym_SQUOTE] = ACTIONS(3234),
    [anon_sym_class] = ACTIONS(3234),
    [anon_sym_async] = ACTIONS(3234),
    [anon_sym_function] = ACTIONS(3234),
    [anon_sym_new] = ACTIONS(3234),
    [anon_sym_using] = ACTIONS(3234),
    [anon_sym_PLUS] = ACTIONS(3234),
    [anon_sym_DASH] = ACTIONS(3234),
    [anon_sym_SLASH] = ACTIONS(3234),
    [anon_sym_LT] = ACTIONS(3234),
    [anon_sym_TILDE] = ACTIONS(3234),
    [anon_sym_void] = ACTIONS(3234),
    [anon_sym_delete] = ACTIONS(3234),
    [anon_sym_PLUS_PLUS] = ACTIONS(3234),
    [anon_sym_DASH_DASH] = ACTIONS(3234),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3234),
    [sym_number] = ACTIONS(3234),
    [sym_private_property_identifier] = ACTIONS(3234),
    [sym_this] = ACTIONS(3234),
    [sym_super] = ACTIONS(3234),
    [sym_true] = ACTIONS(3234),
    [sym_false] = ACTIONS(3234),
    [sym_null] = ACTIONS(3234),
    [sym_undefined] = ACTIONS(3234),
    [anon_sym_AT] = ACTIONS(3234),
    [anon_sym_static] = ACTIONS(3234),
    [anon_sym_readonly] = ACTIONS(3234),
    [anon_sym_get] = ACTIONS(3234),
    [anon_sym_set] = ACTIONS(3234),
    [anon_sym_declare] = ACTIONS(3234),
    [anon_sym_public] = ACTIONS(3234),
    [anon_sym_private] = ACTIONS(3234),
    [anon_sym_protected] = ACTIONS(3234),
    [anon_sym_override] = ACTIONS(3234),
    [anon_sym_module] = ACTIONS(3234),
    [anon_sym_any] = ACTIONS(3234),
    [anon_sym_number] = ACTIONS(3234),
    [anon_sym_boolean] = ACTIONS(3234),
    [anon_sym_string] = ACTIONS(3234),
    [anon_sym_symbol] = ACTIONS(3234),
    [anon_sym_object] = ACTIONS(3234),
    [anon_sym_abstract] = ACTIONS(3234),
    [anon_sym_interface] = ACTIONS(3234),
    [anon_sym_enum] = ACTIONS(3234),
    [sym_html_comment] = ACTIONS(5),
  },
  [1038] = {
    [sym_comment] = STATE(1038),
    [sym_identifier] = ACTIONS(2213),
    [anon_sym_export] = ACTIONS(2213),
    [anon_sym_default] = ACTIONS(2213),
    [anon_sym_type] = ACTIONS(2213),
    [anon_sym_namespace] = ACTIONS(2213),
    [anon_sym_LBRACE] = ACTIONS(2213),
    [anon_sym_RBRACE] = ACTIONS(2213),
    [anon_sym_typeof] = ACTIONS(2213),
    [anon_sym_import] = ACTIONS(2213),
    [anon_sym_with] = ACTIONS(2213),
    [anon_sym_var] = ACTIONS(2213),
    [anon_sym_let] = ACTIONS(2213),
    [anon_sym_const] = ACTIONS(2213),
    [anon_sym_BANG] = ACTIONS(2213),
    [anon_sym_if] = ACTIONS(2213),
    [anon_sym_switch] = ACTIONS(2213),
    [anon_sym_for] = ACTIONS(2213),
    [anon_sym_LPAREN] = ACTIONS(2213),
    [anon_sym_await] = ACTIONS(2213),
    [anon_sym_while] = ACTIONS(2213),
    [anon_sym_do] = ACTIONS(2213),
    [anon_sym_try] = ACTIONS(2213),
    [anon_sym_break] = ACTIONS(2213),
    [anon_sym_continue] = ACTIONS(2213),
    [anon_sym_debugger] = ACTIONS(2213),
    [anon_sym_return] = ACTIONS(2213),
    [anon_sym_throw] = ACTIONS(2213),
    [anon_sym_SEMI] = ACTIONS(2213),
    [anon_sym_case] = ACTIONS(2213),
    [anon_sym_yield] = ACTIONS(2213),
    [anon_sym_LBRACK] = ACTIONS(2213),
    [anon_sym_LTtemplate_GT] = ACTIONS(2213),
    [anon_sym_DQUOTE] = ACTIONS(2213),
    [anon_sym_SQUOTE] = ACTIONS(2213),
    [anon_sym_class] = ACTIONS(2213),
    [anon_sym_async] = ACTIONS(2213),
    [anon_sym_function] = ACTIONS(2213),
    [anon_sym_new] = ACTIONS(2213),
    [anon_sym_using] = ACTIONS(2213),
    [anon_sym_PLUS] = ACTIONS(2213),
    [anon_sym_DASH] = ACTIONS(2213),
    [anon_sym_SLASH] = ACTIONS(2213),
    [anon_sym_LT] = ACTIONS(2213),
    [anon_sym_TILDE] = ACTIONS(2213),
    [anon_sym_void] = ACTIONS(2213),
    [anon_sym_delete] = ACTIONS(2213),
    [anon_sym_PLUS_PLUS] = ACTIONS(2213),
    [anon_sym_DASH_DASH] = ACTIONS(2213),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2213),
    [sym_number] = ACTIONS(2213),
    [sym_private_property_identifier] = ACTIONS(2213),
    [sym_this] = ACTIONS(2213),
    [sym_super] = ACTIONS(2213),
    [sym_true] = ACTIONS(2213),
    [sym_false] = ACTIONS(2213),
    [sym_null] = ACTIONS(2213),
    [sym_undefined] = ACTIONS(2213),
    [anon_sym_AT] = ACTIONS(2213),
    [anon_sym_static] = ACTIONS(2213),
    [anon_sym_readonly] = ACTIONS(2213),
    [anon_sym_get] = ACTIONS(2213),
    [anon_sym_set] = ACTIONS(2213),
    [anon_sym_declare] = ACTIONS(2213),
    [anon_sym_public] = ACTIONS(2213),
    [anon_sym_private] = ACTIONS(2213),
    [anon_sym_protected] = ACTIONS(2213),
    [anon_sym_override] = ACTIONS(2213),
    [anon_sym_module] = ACTIONS(2213),
    [anon_sym_any] = ACTIONS(2213),
    [anon_sym_number] = ACTIONS(2213),
    [anon_sym_boolean] = ACTIONS(2213),
    [anon_sym_string] = ACTIONS(2213),
    [anon_sym_symbol] = ACTIONS(2213),
    [anon_sym_object] = ACTIONS(2213),
    [anon_sym_abstract] = ACTIONS(2213),
    [anon_sym_interface] = ACTIONS(2213),
    [anon_sym_enum] = ACTIONS(2213),
    [sym__automatic_semicolon] = ACTIONS(2379),
    [sym_html_comment] = ACTIONS(5),
  },
  [1039] = {
    [sym_comment] = STATE(1039),
    [sym_identifier] = ACTIONS(3236),
    [anon_sym_export] = ACTIONS(3236),
    [anon_sym_default] = ACTIONS(3236),
    [anon_sym_type] = ACTIONS(3236),
    [anon_sym_namespace] = ACTIONS(3236),
    [anon_sym_LBRACE] = ACTIONS(3236),
    [anon_sym_RBRACE] = ACTIONS(3236),
    [anon_sym_typeof] = ACTIONS(3236),
    [anon_sym_import] = ACTIONS(3236),
    [anon_sym_with] = ACTIONS(3236),
    [anon_sym_var] = ACTIONS(3236),
    [anon_sym_let] = ACTIONS(3236),
    [anon_sym_const] = ACTIONS(3236),
    [anon_sym_BANG] = ACTIONS(3236),
    [anon_sym_else] = ACTIONS(3236),
    [anon_sym_if] = ACTIONS(3236),
    [anon_sym_switch] = ACTIONS(3236),
    [anon_sym_for] = ACTIONS(3236),
    [anon_sym_LPAREN] = ACTIONS(3236),
    [anon_sym_await] = ACTIONS(3236),
    [anon_sym_while] = ACTIONS(3236),
    [anon_sym_do] = ACTIONS(3236),
    [anon_sym_try] = ACTIONS(3236),
    [anon_sym_break] = ACTIONS(3236),
    [anon_sym_continue] = ACTIONS(3236),
    [anon_sym_debugger] = ACTIONS(3236),
    [anon_sym_return] = ACTIONS(3236),
    [anon_sym_throw] = ACTIONS(3236),
    [anon_sym_SEMI] = ACTIONS(3236),
    [anon_sym_case] = ACTIONS(3236),
    [anon_sym_yield] = ACTIONS(3236),
    [anon_sym_LBRACK] = ACTIONS(3236),
    [anon_sym_LTtemplate_GT] = ACTIONS(3236),
    [anon_sym_DQUOTE] = ACTIONS(3236),
    [anon_sym_SQUOTE] = ACTIONS(3236),
    [anon_sym_class] = ACTIONS(3236),
    [anon_sym_async] = ACTIONS(3236),
    [anon_sym_function] = ACTIONS(3236),
    [anon_sym_new] = ACTIONS(3236),
    [anon_sym_using] = ACTIONS(3236),
    [anon_sym_PLUS] = ACTIONS(3236),
    [anon_sym_DASH] = ACTIONS(3236),
    [anon_sym_SLASH] = ACTIONS(3236),
    [anon_sym_LT] = ACTIONS(3236),
    [anon_sym_TILDE] = ACTIONS(3236),
    [anon_sym_void] = ACTIONS(3236),
    [anon_sym_delete] = ACTIONS(3236),
    [anon_sym_PLUS_PLUS] = ACTIONS(3236),
    [anon_sym_DASH_DASH] = ACTIONS(3236),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3236),
    [sym_number] = ACTIONS(3236),
    [sym_private_property_identifier] = ACTIONS(3236),
    [sym_this] = ACTIONS(3236),
    [sym_super] = ACTIONS(3236),
    [sym_true] = ACTIONS(3236),
    [sym_false] = ACTIONS(3236),
    [sym_null] = ACTIONS(3236),
    [sym_undefined] = ACTIONS(3236),
    [anon_sym_AT] = ACTIONS(3236),
    [anon_sym_static] = ACTIONS(3236),
    [anon_sym_readonly] = ACTIONS(3236),
    [anon_sym_get] = ACTIONS(3236),
    [anon_sym_set] = ACTIONS(3236),
    [anon_sym_declare] = ACTIONS(3236),
    [anon_sym_public] = ACTIONS(3236),
    [anon_sym_private] = ACTIONS(3236),
    [anon_sym_protected] = ACTIONS(3236),
    [anon_sym_override] = ACTIONS(3236),
    [anon_sym_module] = ACTIONS(3236),
    [anon_sym_any] = ACTIONS(3236),
    [anon_sym_number] = ACTIONS(3236),
    [anon_sym_boolean] = ACTIONS(3236),
    [anon_sym_string] = ACTIONS(3236),
    [anon_sym_symbol] = ACTIONS(3236),
    [anon_sym_object] = ACTIONS(3236),
    [anon_sym_abstract] = ACTIONS(3236),
    [anon_sym_interface] = ACTIONS(3236),
    [anon_sym_enum] = ACTIONS(3236),
    [sym_html_comment] = ACTIONS(5),
  },
  [1040] = {
    [sym_comment] = STATE(1040),
    [sym_identifier] = ACTIONS(3154),
    [anon_sym_export] = ACTIONS(3154),
    [anon_sym_default] = ACTIONS(3154),
    [anon_sym_type] = ACTIONS(3154),
    [anon_sym_namespace] = ACTIONS(3154),
    [anon_sym_LBRACE] = ACTIONS(3154),
    [anon_sym_RBRACE] = ACTIONS(3154),
    [anon_sym_typeof] = ACTIONS(3154),
    [anon_sym_import] = ACTIONS(3154),
    [anon_sym_with] = ACTIONS(3154),
    [anon_sym_var] = ACTIONS(3154),
    [anon_sym_let] = ACTIONS(3154),
    [anon_sym_const] = ACTIONS(3154),
    [anon_sym_BANG] = ACTIONS(3154),
    [anon_sym_else] = ACTIONS(3154),
    [anon_sym_if] = ACTIONS(3154),
    [anon_sym_switch] = ACTIONS(3154),
    [anon_sym_for] = ACTIONS(3154),
    [anon_sym_LPAREN] = ACTIONS(3154),
    [anon_sym_await] = ACTIONS(3154),
    [anon_sym_while] = ACTIONS(3154),
    [anon_sym_do] = ACTIONS(3154),
    [anon_sym_try] = ACTIONS(3154),
    [anon_sym_break] = ACTIONS(3154),
    [anon_sym_continue] = ACTIONS(3154),
    [anon_sym_debugger] = ACTIONS(3154),
    [anon_sym_return] = ACTIONS(3154),
    [anon_sym_throw] = ACTIONS(3154),
    [anon_sym_SEMI] = ACTIONS(3154),
    [anon_sym_case] = ACTIONS(3154),
    [anon_sym_yield] = ACTIONS(3154),
    [anon_sym_LBRACK] = ACTIONS(3154),
    [anon_sym_LTtemplate_GT] = ACTIONS(3154),
    [anon_sym_DQUOTE] = ACTIONS(3154),
    [anon_sym_SQUOTE] = ACTIONS(3154),
    [anon_sym_class] = ACTIONS(3154),
    [anon_sym_async] = ACTIONS(3154),
    [anon_sym_function] = ACTIONS(3154),
    [anon_sym_new] = ACTIONS(3154),
    [anon_sym_using] = ACTIONS(3154),
    [anon_sym_PLUS] = ACTIONS(3154),
    [anon_sym_DASH] = ACTIONS(3154),
    [anon_sym_SLASH] = ACTIONS(3154),
    [anon_sym_LT] = ACTIONS(3154),
    [anon_sym_TILDE] = ACTIONS(3154),
    [anon_sym_void] = ACTIONS(3154),
    [anon_sym_delete] = ACTIONS(3154),
    [anon_sym_PLUS_PLUS] = ACTIONS(3154),
    [anon_sym_DASH_DASH] = ACTIONS(3154),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3154),
    [sym_number] = ACTIONS(3154),
    [sym_private_property_identifier] = ACTIONS(3154),
    [sym_this] = ACTIONS(3154),
    [sym_super] = ACTIONS(3154),
    [sym_true] = ACTIONS(3154),
    [sym_false] = ACTIONS(3154),
    [sym_null] = ACTIONS(3154),
    [sym_undefined] = ACTIONS(3154),
    [anon_sym_AT] = ACTIONS(3154),
    [anon_sym_static] = ACTIONS(3154),
    [anon_sym_readonly] = ACTIONS(3154),
    [anon_sym_get] = ACTIONS(3154),
    [anon_sym_set] = ACTIONS(3154),
    [anon_sym_declare] = ACTIONS(3154),
    [anon_sym_public] = ACTIONS(3154),
    [anon_sym_private] = ACTIONS(3154),
    [anon_sym_protected] = ACTIONS(3154),
    [anon_sym_override] = ACTIONS(3154),
    [anon_sym_module] = ACTIONS(3154),
    [anon_sym_any] = ACTIONS(3154),
    [anon_sym_number] = ACTIONS(3154),
    [anon_sym_boolean] = ACTIONS(3154),
    [anon_sym_string] = ACTIONS(3154),
    [anon_sym_symbol] = ACTIONS(3154),
    [anon_sym_object] = ACTIONS(3154),
    [anon_sym_abstract] = ACTIONS(3154),
    [anon_sym_interface] = ACTIONS(3154),
    [anon_sym_enum] = ACTIONS(3154),
    [sym_html_comment] = ACTIONS(5),
  },
  [1041] = {
    [sym_comment] = STATE(1041),
    [sym_identifier] = ACTIONS(3238),
    [anon_sym_export] = ACTIONS(3238),
    [anon_sym_default] = ACTIONS(3238),
    [anon_sym_type] = ACTIONS(3238),
    [anon_sym_namespace] = ACTIONS(3238),
    [anon_sym_LBRACE] = ACTIONS(3238),
    [anon_sym_RBRACE] = ACTIONS(3238),
    [anon_sym_typeof] = ACTIONS(3238),
    [anon_sym_import] = ACTIONS(3238),
    [anon_sym_with] = ACTIONS(3238),
    [anon_sym_var] = ACTIONS(3238),
    [anon_sym_let] = ACTIONS(3238),
    [anon_sym_const] = ACTIONS(3238),
    [anon_sym_BANG] = ACTIONS(3238),
    [anon_sym_else] = ACTIONS(3238),
    [anon_sym_if] = ACTIONS(3238),
    [anon_sym_switch] = ACTIONS(3238),
    [anon_sym_for] = ACTIONS(3238),
    [anon_sym_LPAREN] = ACTIONS(3238),
    [anon_sym_await] = ACTIONS(3238),
    [anon_sym_while] = ACTIONS(3238),
    [anon_sym_do] = ACTIONS(3238),
    [anon_sym_try] = ACTIONS(3238),
    [anon_sym_break] = ACTIONS(3238),
    [anon_sym_continue] = ACTIONS(3238),
    [anon_sym_debugger] = ACTIONS(3238),
    [anon_sym_return] = ACTIONS(3238),
    [anon_sym_throw] = ACTIONS(3238),
    [anon_sym_SEMI] = ACTIONS(3238),
    [anon_sym_case] = ACTIONS(3238),
    [anon_sym_yield] = ACTIONS(3238),
    [anon_sym_LBRACK] = ACTIONS(3238),
    [anon_sym_LTtemplate_GT] = ACTIONS(3238),
    [anon_sym_DQUOTE] = ACTIONS(3238),
    [anon_sym_SQUOTE] = ACTIONS(3238),
    [anon_sym_class] = ACTIONS(3238),
    [anon_sym_async] = ACTIONS(3238),
    [anon_sym_function] = ACTIONS(3238),
    [anon_sym_new] = ACTIONS(3238),
    [anon_sym_using] = ACTIONS(3238),
    [anon_sym_PLUS] = ACTIONS(3238),
    [anon_sym_DASH] = ACTIONS(3238),
    [anon_sym_SLASH] = ACTIONS(3238),
    [anon_sym_LT] = ACTIONS(3238),
    [anon_sym_TILDE] = ACTIONS(3238),
    [anon_sym_void] = ACTIONS(3238),
    [anon_sym_delete] = ACTIONS(3238),
    [anon_sym_PLUS_PLUS] = ACTIONS(3238),
    [anon_sym_DASH_DASH] = ACTIONS(3238),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3238),
    [sym_number] = ACTIONS(3238),
    [sym_private_property_identifier] = ACTIONS(3238),
    [sym_this] = ACTIONS(3238),
    [sym_super] = ACTIONS(3238),
    [sym_true] = ACTIONS(3238),
    [sym_false] = ACTIONS(3238),
    [sym_null] = ACTIONS(3238),
    [sym_undefined] = ACTIONS(3238),
    [anon_sym_AT] = ACTIONS(3238),
    [anon_sym_static] = ACTIONS(3238),
    [anon_sym_readonly] = ACTIONS(3238),
    [anon_sym_get] = ACTIONS(3238),
    [anon_sym_set] = ACTIONS(3238),
    [anon_sym_declare] = ACTIONS(3238),
    [anon_sym_public] = ACTIONS(3238),
    [anon_sym_private] = ACTIONS(3238),
    [anon_sym_protected] = ACTIONS(3238),
    [anon_sym_override] = ACTIONS(3238),
    [anon_sym_module] = ACTIONS(3238),
    [anon_sym_any] = ACTIONS(3238),
    [anon_sym_number] = ACTIONS(3238),
    [anon_sym_boolean] = ACTIONS(3238),
    [anon_sym_string] = ACTIONS(3238),
    [anon_sym_symbol] = ACTIONS(3238),
    [anon_sym_object] = ACTIONS(3238),
    [anon_sym_abstract] = ACTIONS(3238),
    [anon_sym_interface] = ACTIONS(3238),
    [anon_sym_enum] = ACTIONS(3238),
    [sym_html_comment] = ACTIONS(5),
  },
  [1042] = {
    [sym_comment] = STATE(1042),
    [sym_identifier] = ACTIONS(3240),
    [anon_sym_export] = ACTIONS(3240),
    [anon_sym_default] = ACTIONS(3240),
    [anon_sym_type] = ACTIONS(3240),
    [anon_sym_namespace] = ACTIONS(3240),
    [anon_sym_LBRACE] = ACTIONS(3240),
    [anon_sym_RBRACE] = ACTIONS(3240),
    [anon_sym_typeof] = ACTIONS(3240),
    [anon_sym_import] = ACTIONS(3240),
    [anon_sym_with] = ACTIONS(3240),
    [anon_sym_var] = ACTIONS(3240),
    [anon_sym_let] = ACTIONS(3240),
    [anon_sym_const] = ACTIONS(3240),
    [anon_sym_BANG] = ACTIONS(3240),
    [anon_sym_else] = ACTIONS(3240),
    [anon_sym_if] = ACTIONS(3240),
    [anon_sym_switch] = ACTIONS(3240),
    [anon_sym_for] = ACTIONS(3240),
    [anon_sym_LPAREN] = ACTIONS(3240),
    [anon_sym_await] = ACTIONS(3240),
    [anon_sym_while] = ACTIONS(3240),
    [anon_sym_do] = ACTIONS(3240),
    [anon_sym_try] = ACTIONS(3240),
    [anon_sym_break] = ACTIONS(3240),
    [anon_sym_continue] = ACTIONS(3240),
    [anon_sym_debugger] = ACTIONS(3240),
    [anon_sym_return] = ACTIONS(3240),
    [anon_sym_throw] = ACTIONS(3240),
    [anon_sym_SEMI] = ACTIONS(3240),
    [anon_sym_case] = ACTIONS(3240),
    [anon_sym_yield] = ACTIONS(3240),
    [anon_sym_LBRACK] = ACTIONS(3240),
    [anon_sym_LTtemplate_GT] = ACTIONS(3240),
    [anon_sym_DQUOTE] = ACTIONS(3240),
    [anon_sym_SQUOTE] = ACTIONS(3240),
    [anon_sym_class] = ACTIONS(3240),
    [anon_sym_async] = ACTIONS(3240),
    [anon_sym_function] = ACTIONS(3240),
    [anon_sym_new] = ACTIONS(3240),
    [anon_sym_using] = ACTIONS(3240),
    [anon_sym_PLUS] = ACTIONS(3240),
    [anon_sym_DASH] = ACTIONS(3240),
    [anon_sym_SLASH] = ACTIONS(3240),
    [anon_sym_LT] = ACTIONS(3240),
    [anon_sym_TILDE] = ACTIONS(3240),
    [anon_sym_void] = ACTIONS(3240),
    [anon_sym_delete] = ACTIONS(3240),
    [anon_sym_PLUS_PLUS] = ACTIONS(3240),
    [anon_sym_DASH_DASH] = ACTIONS(3240),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3240),
    [sym_number] = ACTIONS(3240),
    [sym_private_property_identifier] = ACTIONS(3240),
    [sym_this] = ACTIONS(3240),
    [sym_super] = ACTIONS(3240),
    [sym_true] = ACTIONS(3240),
    [sym_false] = ACTIONS(3240),
    [sym_null] = ACTIONS(3240),
    [sym_undefined] = ACTIONS(3240),
    [anon_sym_AT] = ACTIONS(3240),
    [anon_sym_static] = ACTIONS(3240),
    [anon_sym_readonly] = ACTIONS(3240),
    [anon_sym_get] = ACTIONS(3240),
    [anon_sym_set] = ACTIONS(3240),
    [anon_sym_declare] = ACTIONS(3240),
    [anon_sym_public] = ACTIONS(3240),
    [anon_sym_private] = ACTIONS(3240),
    [anon_sym_protected] = ACTIONS(3240),
    [anon_sym_override] = ACTIONS(3240),
    [anon_sym_module] = ACTIONS(3240),
    [anon_sym_any] = ACTIONS(3240),
    [anon_sym_number] = ACTIONS(3240),
    [anon_sym_boolean] = ACTIONS(3240),
    [anon_sym_string] = ACTIONS(3240),
    [anon_sym_symbol] = ACTIONS(3240),
    [anon_sym_object] = ACTIONS(3240),
    [anon_sym_abstract] = ACTIONS(3240),
    [anon_sym_interface] = ACTIONS(3240),
    [anon_sym_enum] = ACTIONS(3240),
    [sym_html_comment] = ACTIONS(5),
  },
  [1043] = {
    [sym_comment] = STATE(1043),
    [sym_identifier] = ACTIONS(3242),
    [anon_sym_export] = ACTIONS(3242),
    [anon_sym_default] = ACTIONS(3242),
    [anon_sym_type] = ACTIONS(3242),
    [anon_sym_namespace] = ACTIONS(3242),
    [anon_sym_LBRACE] = ACTIONS(3242),
    [anon_sym_RBRACE] = ACTIONS(3242),
    [anon_sym_typeof] = ACTIONS(3242),
    [anon_sym_import] = ACTIONS(3242),
    [anon_sym_with] = ACTIONS(3242),
    [anon_sym_var] = ACTIONS(3242),
    [anon_sym_let] = ACTIONS(3242),
    [anon_sym_const] = ACTIONS(3242),
    [anon_sym_BANG] = ACTIONS(3242),
    [anon_sym_else] = ACTIONS(3242),
    [anon_sym_if] = ACTIONS(3242),
    [anon_sym_switch] = ACTIONS(3242),
    [anon_sym_for] = ACTIONS(3242),
    [anon_sym_LPAREN] = ACTIONS(3242),
    [anon_sym_await] = ACTIONS(3242),
    [anon_sym_while] = ACTIONS(3242),
    [anon_sym_do] = ACTIONS(3242),
    [anon_sym_try] = ACTIONS(3242),
    [anon_sym_break] = ACTIONS(3242),
    [anon_sym_continue] = ACTIONS(3242),
    [anon_sym_debugger] = ACTIONS(3242),
    [anon_sym_return] = ACTIONS(3242),
    [anon_sym_throw] = ACTIONS(3242),
    [anon_sym_SEMI] = ACTIONS(3242),
    [anon_sym_case] = ACTIONS(3242),
    [anon_sym_yield] = ACTIONS(3242),
    [anon_sym_LBRACK] = ACTIONS(3242),
    [anon_sym_LTtemplate_GT] = ACTIONS(3242),
    [anon_sym_DQUOTE] = ACTIONS(3242),
    [anon_sym_SQUOTE] = ACTIONS(3242),
    [anon_sym_class] = ACTIONS(3242),
    [anon_sym_async] = ACTIONS(3242),
    [anon_sym_function] = ACTIONS(3242),
    [anon_sym_new] = ACTIONS(3242),
    [anon_sym_using] = ACTIONS(3242),
    [anon_sym_PLUS] = ACTIONS(3242),
    [anon_sym_DASH] = ACTIONS(3242),
    [anon_sym_SLASH] = ACTIONS(3242),
    [anon_sym_LT] = ACTIONS(3242),
    [anon_sym_TILDE] = ACTIONS(3242),
    [anon_sym_void] = ACTIONS(3242),
    [anon_sym_delete] = ACTIONS(3242),
    [anon_sym_PLUS_PLUS] = ACTIONS(3242),
    [anon_sym_DASH_DASH] = ACTIONS(3242),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3242),
    [sym_number] = ACTIONS(3242),
    [sym_private_property_identifier] = ACTIONS(3242),
    [sym_this] = ACTIONS(3242),
    [sym_super] = ACTIONS(3242),
    [sym_true] = ACTIONS(3242),
    [sym_false] = ACTIONS(3242),
    [sym_null] = ACTIONS(3242),
    [sym_undefined] = ACTIONS(3242),
    [anon_sym_AT] = ACTIONS(3242),
    [anon_sym_static] = ACTIONS(3242),
    [anon_sym_readonly] = ACTIONS(3242),
    [anon_sym_get] = ACTIONS(3242),
    [anon_sym_set] = ACTIONS(3242),
    [anon_sym_declare] = ACTIONS(3242),
    [anon_sym_public] = ACTIONS(3242),
    [anon_sym_private] = ACTIONS(3242),
    [anon_sym_protected] = ACTIONS(3242),
    [anon_sym_override] = ACTIONS(3242),
    [anon_sym_module] = ACTIONS(3242),
    [anon_sym_any] = ACTIONS(3242),
    [anon_sym_number] = ACTIONS(3242),
    [anon_sym_boolean] = ACTIONS(3242),
    [anon_sym_string] = ACTIONS(3242),
    [anon_sym_symbol] = ACTIONS(3242),
    [anon_sym_object] = ACTIONS(3242),
    [anon_sym_abstract] = ACTIONS(3242),
    [anon_sym_interface] = ACTIONS(3242),
    [anon_sym_enum] = ACTIONS(3242),
    [sym_html_comment] = ACTIONS(5),
  },
  [1044] = {
    [sym_comment] = STATE(1044),
    [sym_identifier] = ACTIONS(3244),
    [anon_sym_export] = ACTIONS(3244),
    [anon_sym_default] = ACTIONS(3244),
    [anon_sym_type] = ACTIONS(3244),
    [anon_sym_namespace] = ACTIONS(3244),
    [anon_sym_LBRACE] = ACTIONS(3244),
    [anon_sym_RBRACE] = ACTIONS(3244),
    [anon_sym_typeof] = ACTIONS(3244),
    [anon_sym_import] = ACTIONS(3244),
    [anon_sym_with] = ACTIONS(3244),
    [anon_sym_var] = ACTIONS(3244),
    [anon_sym_let] = ACTIONS(3244),
    [anon_sym_const] = ACTIONS(3244),
    [anon_sym_BANG] = ACTIONS(3244),
    [anon_sym_else] = ACTIONS(3244),
    [anon_sym_if] = ACTIONS(3244),
    [anon_sym_switch] = ACTIONS(3244),
    [anon_sym_for] = ACTIONS(3244),
    [anon_sym_LPAREN] = ACTIONS(3244),
    [anon_sym_await] = ACTIONS(3244),
    [anon_sym_while] = ACTIONS(3244),
    [anon_sym_do] = ACTIONS(3244),
    [anon_sym_try] = ACTIONS(3244),
    [anon_sym_break] = ACTIONS(3244),
    [anon_sym_continue] = ACTIONS(3244),
    [anon_sym_debugger] = ACTIONS(3244),
    [anon_sym_return] = ACTIONS(3244),
    [anon_sym_throw] = ACTIONS(3244),
    [anon_sym_SEMI] = ACTIONS(3244),
    [anon_sym_case] = ACTIONS(3244),
    [anon_sym_yield] = ACTIONS(3244),
    [anon_sym_LBRACK] = ACTIONS(3244),
    [anon_sym_LTtemplate_GT] = ACTIONS(3244),
    [anon_sym_DQUOTE] = ACTIONS(3244),
    [anon_sym_SQUOTE] = ACTIONS(3244),
    [anon_sym_class] = ACTIONS(3244),
    [anon_sym_async] = ACTIONS(3244),
    [anon_sym_function] = ACTIONS(3244),
    [anon_sym_new] = ACTIONS(3244),
    [anon_sym_using] = ACTIONS(3244),
    [anon_sym_PLUS] = ACTIONS(3244),
    [anon_sym_DASH] = ACTIONS(3244),
    [anon_sym_SLASH] = ACTIONS(3244),
    [anon_sym_LT] = ACTIONS(3244),
    [anon_sym_TILDE] = ACTIONS(3244),
    [anon_sym_void] = ACTIONS(3244),
    [anon_sym_delete] = ACTIONS(3244),
    [anon_sym_PLUS_PLUS] = ACTIONS(3244),
    [anon_sym_DASH_DASH] = ACTIONS(3244),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3244),
    [sym_number] = ACTIONS(3244),
    [sym_private_property_identifier] = ACTIONS(3244),
    [sym_this] = ACTIONS(3244),
    [sym_super] = ACTIONS(3244),
    [sym_true] = ACTIONS(3244),
    [sym_false] = ACTIONS(3244),
    [sym_null] = ACTIONS(3244),
    [sym_undefined] = ACTIONS(3244),
    [anon_sym_AT] = ACTIONS(3244),
    [anon_sym_static] = ACTIONS(3244),
    [anon_sym_readonly] = ACTIONS(3244),
    [anon_sym_get] = ACTIONS(3244),
    [anon_sym_set] = ACTIONS(3244),
    [anon_sym_declare] = ACTIONS(3244),
    [anon_sym_public] = ACTIONS(3244),
    [anon_sym_private] = ACTIONS(3244),
    [anon_sym_protected] = ACTIONS(3244),
    [anon_sym_override] = ACTIONS(3244),
    [anon_sym_module] = ACTIONS(3244),
    [anon_sym_any] = ACTIONS(3244),
    [anon_sym_number] = ACTIONS(3244),
    [anon_sym_boolean] = ACTIONS(3244),
    [anon_sym_string] = ACTIONS(3244),
    [anon_sym_symbol] = ACTIONS(3244),
    [anon_sym_object] = ACTIONS(3244),
    [anon_sym_abstract] = ACTIONS(3244),
    [anon_sym_interface] = ACTIONS(3244),
    [anon_sym_enum] = ACTIONS(3244),
    [sym_html_comment] = ACTIONS(5),
  },
  [1045] = {
    [sym_comment] = STATE(1045),
    [sym_identifier] = ACTIONS(2127),
    [anon_sym_export] = ACTIONS(2127),
    [anon_sym_default] = ACTIONS(2127),
    [anon_sym_type] = ACTIONS(2127),
    [anon_sym_namespace] = ACTIONS(2127),
    [anon_sym_LBRACE] = ACTIONS(2127),
    [anon_sym_RBRACE] = ACTIONS(2127),
    [anon_sym_typeof] = ACTIONS(2127),
    [anon_sym_import] = ACTIONS(2127),
    [anon_sym_with] = ACTIONS(2127),
    [anon_sym_var] = ACTIONS(2127),
    [anon_sym_let] = ACTIONS(2127),
    [anon_sym_const] = ACTIONS(2127),
    [anon_sym_BANG] = ACTIONS(2127),
    [anon_sym_if] = ACTIONS(2127),
    [anon_sym_switch] = ACTIONS(2127),
    [anon_sym_for] = ACTIONS(2127),
    [anon_sym_LPAREN] = ACTIONS(2127),
    [anon_sym_await] = ACTIONS(2127),
    [anon_sym_while] = ACTIONS(2127),
    [anon_sym_do] = ACTIONS(2127),
    [anon_sym_try] = ACTIONS(2127),
    [anon_sym_break] = ACTIONS(2127),
    [anon_sym_continue] = ACTIONS(2127),
    [anon_sym_debugger] = ACTIONS(2127),
    [anon_sym_return] = ACTIONS(2127),
    [anon_sym_throw] = ACTIONS(2127),
    [anon_sym_SEMI] = ACTIONS(2127),
    [anon_sym_case] = ACTIONS(2127),
    [anon_sym_yield] = ACTIONS(2127),
    [anon_sym_LBRACK] = ACTIONS(2127),
    [anon_sym_LTtemplate_GT] = ACTIONS(2127),
    [anon_sym_DQUOTE] = ACTIONS(2127),
    [anon_sym_SQUOTE] = ACTIONS(2127),
    [anon_sym_class] = ACTIONS(2127),
    [anon_sym_async] = ACTIONS(2127),
    [anon_sym_function] = ACTIONS(2127),
    [anon_sym_new] = ACTIONS(2127),
    [anon_sym_using] = ACTIONS(2127),
    [anon_sym_PLUS] = ACTIONS(2127),
    [anon_sym_DASH] = ACTIONS(2127),
    [anon_sym_SLASH] = ACTIONS(2127),
    [anon_sym_LT] = ACTIONS(2127),
    [anon_sym_TILDE] = ACTIONS(2127),
    [anon_sym_void] = ACTIONS(2127),
    [anon_sym_delete] = ACTIONS(2127),
    [anon_sym_PLUS_PLUS] = ACTIONS(2127),
    [anon_sym_DASH_DASH] = ACTIONS(2127),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2127),
    [sym_number] = ACTIONS(2127),
    [sym_private_property_identifier] = ACTIONS(2127),
    [sym_this] = ACTIONS(2127),
    [sym_super] = ACTIONS(2127),
    [sym_true] = ACTIONS(2127),
    [sym_false] = ACTIONS(2127),
    [sym_null] = ACTIONS(2127),
    [sym_undefined] = ACTIONS(2127),
    [anon_sym_AT] = ACTIONS(2127),
    [anon_sym_static] = ACTIONS(2127),
    [anon_sym_readonly] = ACTIONS(2127),
    [anon_sym_get] = ACTIONS(2127),
    [anon_sym_set] = ACTIONS(2127),
    [anon_sym_declare] = ACTIONS(2127),
    [anon_sym_public] = ACTIONS(2127),
    [anon_sym_private] = ACTIONS(2127),
    [anon_sym_protected] = ACTIONS(2127),
    [anon_sym_override] = ACTIONS(2127),
    [anon_sym_module] = ACTIONS(2127),
    [anon_sym_any] = ACTIONS(2127),
    [anon_sym_number] = ACTIONS(2127),
    [anon_sym_boolean] = ACTIONS(2127),
    [anon_sym_string] = ACTIONS(2127),
    [anon_sym_symbol] = ACTIONS(2127),
    [anon_sym_object] = ACTIONS(2127),
    [anon_sym_abstract] = ACTIONS(2127),
    [anon_sym_interface] = ACTIONS(2127),
    [anon_sym_enum] = ACTIONS(2127),
    [sym__automatic_semicolon] = ACTIONS(2335),
    [sym_html_comment] = ACTIONS(5),
  },
  [1046] = {
    [sym_comment] = STATE(1046),
    [sym_identifier] = ACTIONS(3246),
    [anon_sym_export] = ACTIONS(3246),
    [anon_sym_default] = ACTIONS(3246),
    [anon_sym_type] = ACTIONS(3246),
    [anon_sym_namespace] = ACTIONS(3246),
    [anon_sym_LBRACE] = ACTIONS(3246),
    [anon_sym_RBRACE] = ACTIONS(3246),
    [anon_sym_typeof] = ACTIONS(3246),
    [anon_sym_import] = ACTIONS(3246),
    [anon_sym_with] = ACTIONS(3246),
    [anon_sym_var] = ACTIONS(3246),
    [anon_sym_let] = ACTIONS(3246),
    [anon_sym_const] = ACTIONS(3246),
    [anon_sym_BANG] = ACTIONS(3246),
    [anon_sym_else] = ACTIONS(3246),
    [anon_sym_if] = ACTIONS(3246),
    [anon_sym_switch] = ACTIONS(3246),
    [anon_sym_for] = ACTIONS(3246),
    [anon_sym_LPAREN] = ACTIONS(3246),
    [anon_sym_await] = ACTIONS(3246),
    [anon_sym_while] = ACTIONS(3246),
    [anon_sym_do] = ACTIONS(3246),
    [anon_sym_try] = ACTIONS(3246),
    [anon_sym_break] = ACTIONS(3246),
    [anon_sym_continue] = ACTIONS(3246),
    [anon_sym_debugger] = ACTIONS(3246),
    [anon_sym_return] = ACTIONS(3246),
    [anon_sym_throw] = ACTIONS(3246),
    [anon_sym_SEMI] = ACTIONS(3246),
    [anon_sym_case] = ACTIONS(3246),
    [anon_sym_yield] = ACTIONS(3246),
    [anon_sym_LBRACK] = ACTIONS(3246),
    [anon_sym_LTtemplate_GT] = ACTIONS(3246),
    [anon_sym_DQUOTE] = ACTIONS(3246),
    [anon_sym_SQUOTE] = ACTIONS(3246),
    [anon_sym_class] = ACTIONS(3246),
    [anon_sym_async] = ACTIONS(3246),
    [anon_sym_function] = ACTIONS(3246),
    [anon_sym_new] = ACTIONS(3246),
    [anon_sym_using] = ACTIONS(3246),
    [anon_sym_PLUS] = ACTIONS(3246),
    [anon_sym_DASH] = ACTIONS(3246),
    [anon_sym_SLASH] = ACTIONS(3246),
    [anon_sym_LT] = ACTIONS(3246),
    [anon_sym_TILDE] = ACTIONS(3246),
    [anon_sym_void] = ACTIONS(3246),
    [anon_sym_delete] = ACTIONS(3246),
    [anon_sym_PLUS_PLUS] = ACTIONS(3246),
    [anon_sym_DASH_DASH] = ACTIONS(3246),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3246),
    [sym_number] = ACTIONS(3246),
    [sym_private_property_identifier] = ACTIONS(3246),
    [sym_this] = ACTIONS(3246),
    [sym_super] = ACTIONS(3246),
    [sym_true] = ACTIONS(3246),
    [sym_false] = ACTIONS(3246),
    [sym_null] = ACTIONS(3246),
    [sym_undefined] = ACTIONS(3246),
    [anon_sym_AT] = ACTIONS(3246),
    [anon_sym_static] = ACTIONS(3246),
    [anon_sym_readonly] = ACTIONS(3246),
    [anon_sym_get] = ACTIONS(3246),
    [anon_sym_set] = ACTIONS(3246),
    [anon_sym_declare] = ACTIONS(3246),
    [anon_sym_public] = ACTIONS(3246),
    [anon_sym_private] = ACTIONS(3246),
    [anon_sym_protected] = ACTIONS(3246),
    [anon_sym_override] = ACTIONS(3246),
    [anon_sym_module] = ACTIONS(3246),
    [anon_sym_any] = ACTIONS(3246),
    [anon_sym_number] = ACTIONS(3246),
    [anon_sym_boolean] = ACTIONS(3246),
    [anon_sym_string] = ACTIONS(3246),
    [anon_sym_symbol] = ACTIONS(3246),
    [anon_sym_object] = ACTIONS(3246),
    [anon_sym_abstract] = ACTIONS(3246),
    [anon_sym_interface] = ACTIONS(3246),
    [anon_sym_enum] = ACTIONS(3246),
    [sym_html_comment] = ACTIONS(5),
  },
  [1047] = {
    [sym_comment] = STATE(1047),
    [sym_identifier] = ACTIONS(3246),
    [anon_sym_export] = ACTIONS(3246),
    [anon_sym_default] = ACTIONS(3246),
    [anon_sym_type] = ACTIONS(3246),
    [anon_sym_namespace] = ACTIONS(3246),
    [anon_sym_LBRACE] = ACTIONS(3246),
    [anon_sym_RBRACE] = ACTIONS(3246),
    [anon_sym_typeof] = ACTIONS(3246),
    [anon_sym_import] = ACTIONS(3246),
    [anon_sym_with] = ACTIONS(3246),
    [anon_sym_var] = ACTIONS(3246),
    [anon_sym_let] = ACTIONS(3246),
    [anon_sym_const] = ACTIONS(3246),
    [anon_sym_BANG] = ACTIONS(3246),
    [anon_sym_else] = ACTIONS(3246),
    [anon_sym_if] = ACTIONS(3246),
    [anon_sym_switch] = ACTIONS(3246),
    [anon_sym_for] = ACTIONS(3246),
    [anon_sym_LPAREN] = ACTIONS(3246),
    [anon_sym_await] = ACTIONS(3246),
    [anon_sym_while] = ACTIONS(3246),
    [anon_sym_do] = ACTIONS(3246),
    [anon_sym_try] = ACTIONS(3246),
    [anon_sym_break] = ACTIONS(3246),
    [anon_sym_continue] = ACTIONS(3246),
    [anon_sym_debugger] = ACTIONS(3246),
    [anon_sym_return] = ACTIONS(3246),
    [anon_sym_throw] = ACTIONS(3246),
    [anon_sym_SEMI] = ACTIONS(3246),
    [anon_sym_case] = ACTIONS(3246),
    [anon_sym_yield] = ACTIONS(3246),
    [anon_sym_LBRACK] = ACTIONS(3246),
    [anon_sym_LTtemplate_GT] = ACTIONS(3246),
    [anon_sym_DQUOTE] = ACTIONS(3246),
    [anon_sym_SQUOTE] = ACTIONS(3246),
    [anon_sym_class] = ACTIONS(3246),
    [anon_sym_async] = ACTIONS(3246),
    [anon_sym_function] = ACTIONS(3246),
    [anon_sym_new] = ACTIONS(3246),
    [anon_sym_using] = ACTIONS(3246),
    [anon_sym_PLUS] = ACTIONS(3246),
    [anon_sym_DASH] = ACTIONS(3246),
    [anon_sym_SLASH] = ACTIONS(3246),
    [anon_sym_LT] = ACTIONS(3246),
    [anon_sym_TILDE] = ACTIONS(3246),
    [anon_sym_void] = ACTIONS(3246),
    [anon_sym_delete] = ACTIONS(3246),
    [anon_sym_PLUS_PLUS] = ACTIONS(3246),
    [anon_sym_DASH_DASH] = ACTIONS(3246),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3246),
    [sym_number] = ACTIONS(3246),
    [sym_private_property_identifier] = ACTIONS(3246),
    [sym_this] = ACTIONS(3246),
    [sym_super] = ACTIONS(3246),
    [sym_true] = ACTIONS(3246),
    [sym_false] = ACTIONS(3246),
    [sym_null] = ACTIONS(3246),
    [sym_undefined] = ACTIONS(3246),
    [anon_sym_AT] = ACTIONS(3246),
    [anon_sym_static] = ACTIONS(3246),
    [anon_sym_readonly] = ACTIONS(3246),
    [anon_sym_get] = ACTIONS(3246),
    [anon_sym_set] = ACTIONS(3246),
    [anon_sym_declare] = ACTIONS(3246),
    [anon_sym_public] = ACTIONS(3246),
    [anon_sym_private] = ACTIONS(3246),
    [anon_sym_protected] = ACTIONS(3246),
    [anon_sym_override] = ACTIONS(3246),
    [anon_sym_module] = ACTIONS(3246),
    [anon_sym_any] = ACTIONS(3246),
    [anon_sym_number] = ACTIONS(3246),
    [anon_sym_boolean] = ACTIONS(3246),
    [anon_sym_string] = ACTIONS(3246),
    [anon_sym_symbol] = ACTIONS(3246),
    [anon_sym_object] = ACTIONS(3246),
    [anon_sym_abstract] = ACTIONS(3246),
    [anon_sym_interface] = ACTIONS(3246),
    [anon_sym_enum] = ACTIONS(3246),
    [sym_html_comment] = ACTIONS(5),
  },
  [1048] = {
    [sym_comment] = STATE(1048),
    [sym_identifier] = ACTIONS(3246),
    [anon_sym_export] = ACTIONS(3246),
    [anon_sym_default] = ACTIONS(3246),
    [anon_sym_type] = ACTIONS(3246),
    [anon_sym_namespace] = ACTIONS(3246),
    [anon_sym_LBRACE] = ACTIONS(3246),
    [anon_sym_RBRACE] = ACTIONS(3246),
    [anon_sym_typeof] = ACTIONS(3246),
    [anon_sym_import] = ACTIONS(3246),
    [anon_sym_with] = ACTIONS(3246),
    [anon_sym_var] = ACTIONS(3246),
    [anon_sym_let] = ACTIONS(3246),
    [anon_sym_const] = ACTIONS(3246),
    [anon_sym_BANG] = ACTIONS(3246),
    [anon_sym_else] = ACTIONS(3246),
    [anon_sym_if] = ACTIONS(3246),
    [anon_sym_switch] = ACTIONS(3246),
    [anon_sym_for] = ACTIONS(3246),
    [anon_sym_LPAREN] = ACTIONS(3246),
    [anon_sym_await] = ACTIONS(3246),
    [anon_sym_while] = ACTIONS(3246),
    [anon_sym_do] = ACTIONS(3246),
    [anon_sym_try] = ACTIONS(3246),
    [anon_sym_break] = ACTIONS(3246),
    [anon_sym_continue] = ACTIONS(3246),
    [anon_sym_debugger] = ACTIONS(3246),
    [anon_sym_return] = ACTIONS(3246),
    [anon_sym_throw] = ACTIONS(3246),
    [anon_sym_SEMI] = ACTIONS(3246),
    [anon_sym_case] = ACTIONS(3246),
    [anon_sym_yield] = ACTIONS(3246),
    [anon_sym_LBRACK] = ACTIONS(3246),
    [anon_sym_LTtemplate_GT] = ACTIONS(3246),
    [anon_sym_DQUOTE] = ACTIONS(3246),
    [anon_sym_SQUOTE] = ACTIONS(3246),
    [anon_sym_class] = ACTIONS(3246),
    [anon_sym_async] = ACTIONS(3246),
    [anon_sym_function] = ACTIONS(3246),
    [anon_sym_new] = ACTIONS(3246),
    [anon_sym_using] = ACTIONS(3246),
    [anon_sym_PLUS] = ACTIONS(3246),
    [anon_sym_DASH] = ACTIONS(3246),
    [anon_sym_SLASH] = ACTIONS(3246),
    [anon_sym_LT] = ACTIONS(3246),
    [anon_sym_TILDE] = ACTIONS(3246),
    [anon_sym_void] = ACTIONS(3246),
    [anon_sym_delete] = ACTIONS(3246),
    [anon_sym_PLUS_PLUS] = ACTIONS(3246),
    [anon_sym_DASH_DASH] = ACTIONS(3246),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3246),
    [sym_number] = ACTIONS(3246),
    [sym_private_property_identifier] = ACTIONS(3246),
    [sym_this] = ACTIONS(3246),
    [sym_super] = ACTIONS(3246),
    [sym_true] = ACTIONS(3246),
    [sym_false] = ACTIONS(3246),
    [sym_null] = ACTIONS(3246),
    [sym_undefined] = ACTIONS(3246),
    [anon_sym_AT] = ACTIONS(3246),
    [anon_sym_static] = ACTIONS(3246),
    [anon_sym_readonly] = ACTIONS(3246),
    [anon_sym_get] = ACTIONS(3246),
    [anon_sym_set] = ACTIONS(3246),
    [anon_sym_declare] = ACTIONS(3246),
    [anon_sym_public] = ACTIONS(3246),
    [anon_sym_private] = ACTIONS(3246),
    [anon_sym_protected] = ACTIONS(3246),
    [anon_sym_override] = ACTIONS(3246),
    [anon_sym_module] = ACTIONS(3246),
    [anon_sym_any] = ACTIONS(3246),
    [anon_sym_number] = ACTIONS(3246),
    [anon_sym_boolean] = ACTIONS(3246),
    [anon_sym_string] = ACTIONS(3246),
    [anon_sym_symbol] = ACTIONS(3246),
    [anon_sym_object] = ACTIONS(3246),
    [anon_sym_abstract] = ACTIONS(3246),
    [anon_sym_interface] = ACTIONS(3246),
    [anon_sym_enum] = ACTIONS(3246),
    [sym_html_comment] = ACTIONS(5),
  },
  [1049] = {
    [sym_comment] = STATE(1049),
    [sym_identifier] = ACTIONS(3154),
    [anon_sym_export] = ACTIONS(3154),
    [anon_sym_default] = ACTIONS(3154),
    [anon_sym_type] = ACTIONS(3154),
    [anon_sym_namespace] = ACTIONS(3154),
    [anon_sym_LBRACE] = ACTIONS(3154),
    [anon_sym_RBRACE] = ACTIONS(3154),
    [anon_sym_typeof] = ACTIONS(3154),
    [anon_sym_import] = ACTIONS(3154),
    [anon_sym_with] = ACTIONS(3154),
    [anon_sym_var] = ACTIONS(3154),
    [anon_sym_let] = ACTIONS(3154),
    [anon_sym_const] = ACTIONS(3154),
    [anon_sym_BANG] = ACTIONS(3154),
    [anon_sym_else] = ACTIONS(3154),
    [anon_sym_if] = ACTIONS(3154),
    [anon_sym_switch] = ACTIONS(3154),
    [anon_sym_for] = ACTIONS(3154),
    [anon_sym_LPAREN] = ACTIONS(3154),
    [anon_sym_await] = ACTIONS(3154),
    [anon_sym_while] = ACTIONS(3154),
    [anon_sym_do] = ACTIONS(3154),
    [anon_sym_try] = ACTIONS(3154),
    [anon_sym_break] = ACTIONS(3154),
    [anon_sym_continue] = ACTIONS(3154),
    [anon_sym_debugger] = ACTIONS(3154),
    [anon_sym_return] = ACTIONS(3154),
    [anon_sym_throw] = ACTIONS(3154),
    [anon_sym_SEMI] = ACTIONS(3154),
    [anon_sym_case] = ACTIONS(3154),
    [anon_sym_yield] = ACTIONS(3154),
    [anon_sym_LBRACK] = ACTIONS(3154),
    [anon_sym_LTtemplate_GT] = ACTIONS(3154),
    [anon_sym_DQUOTE] = ACTIONS(3154),
    [anon_sym_SQUOTE] = ACTIONS(3154),
    [anon_sym_class] = ACTIONS(3154),
    [anon_sym_async] = ACTIONS(3154),
    [anon_sym_function] = ACTIONS(3154),
    [anon_sym_new] = ACTIONS(3154),
    [anon_sym_using] = ACTIONS(3154),
    [anon_sym_PLUS] = ACTIONS(3154),
    [anon_sym_DASH] = ACTIONS(3154),
    [anon_sym_SLASH] = ACTIONS(3154),
    [anon_sym_LT] = ACTIONS(3154),
    [anon_sym_TILDE] = ACTIONS(3154),
    [anon_sym_void] = ACTIONS(3154),
    [anon_sym_delete] = ACTIONS(3154),
    [anon_sym_PLUS_PLUS] = ACTIONS(3154),
    [anon_sym_DASH_DASH] = ACTIONS(3154),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3154),
    [sym_number] = ACTIONS(3154),
    [sym_private_property_identifier] = ACTIONS(3154),
    [sym_this] = ACTIONS(3154),
    [sym_super] = ACTIONS(3154),
    [sym_true] = ACTIONS(3154),
    [sym_false] = ACTIONS(3154),
    [sym_null] = ACTIONS(3154),
    [sym_undefined] = ACTIONS(3154),
    [anon_sym_AT] = ACTIONS(3154),
    [anon_sym_static] = ACTIONS(3154),
    [anon_sym_readonly] = ACTIONS(3154),
    [anon_sym_get] = ACTIONS(3154),
    [anon_sym_set] = ACTIONS(3154),
    [anon_sym_declare] = ACTIONS(3154),
    [anon_sym_public] = ACTIONS(3154),
    [anon_sym_private] = ACTIONS(3154),
    [anon_sym_protected] = ACTIONS(3154),
    [anon_sym_override] = ACTIONS(3154),
    [anon_sym_module] = ACTIONS(3154),
    [anon_sym_any] = ACTIONS(3154),
    [anon_sym_number] = ACTIONS(3154),
    [anon_sym_boolean] = ACTIONS(3154),
    [anon_sym_string] = ACTIONS(3154),
    [anon_sym_symbol] = ACTIONS(3154),
    [anon_sym_object] = ACTIONS(3154),
    [anon_sym_abstract] = ACTIONS(3154),
    [anon_sym_interface] = ACTIONS(3154),
    [anon_sym_enum] = ACTIONS(3154),
    [sym_html_comment] = ACTIONS(5),
  },
  [1050] = {
    [sym_comment] = STATE(1050),
    [sym_identifier] = ACTIONS(2117),
    [anon_sym_export] = ACTIONS(2117),
    [anon_sym_default] = ACTIONS(2117),
    [anon_sym_type] = ACTIONS(2117),
    [anon_sym_namespace] = ACTIONS(2117),
    [anon_sym_LBRACE] = ACTIONS(2117),
    [anon_sym_RBRACE] = ACTIONS(2117),
    [anon_sym_typeof] = ACTIONS(2117),
    [anon_sym_import] = ACTIONS(2117),
    [anon_sym_with] = ACTIONS(2117),
    [anon_sym_var] = ACTIONS(2117),
    [anon_sym_let] = ACTIONS(2117),
    [anon_sym_const] = ACTIONS(2117),
    [anon_sym_BANG] = ACTIONS(2117),
    [anon_sym_if] = ACTIONS(2117),
    [anon_sym_switch] = ACTIONS(2117),
    [anon_sym_for] = ACTIONS(2117),
    [anon_sym_LPAREN] = ACTIONS(2117),
    [anon_sym_await] = ACTIONS(2117),
    [anon_sym_while] = ACTIONS(2117),
    [anon_sym_do] = ACTIONS(2117),
    [anon_sym_try] = ACTIONS(2117),
    [anon_sym_break] = ACTIONS(2117),
    [anon_sym_continue] = ACTIONS(2117),
    [anon_sym_debugger] = ACTIONS(2117),
    [anon_sym_return] = ACTIONS(2117),
    [anon_sym_throw] = ACTIONS(2117),
    [anon_sym_SEMI] = ACTIONS(2117),
    [anon_sym_case] = ACTIONS(2117),
    [anon_sym_yield] = ACTIONS(2117),
    [anon_sym_LBRACK] = ACTIONS(2117),
    [anon_sym_LTtemplate_GT] = ACTIONS(2117),
    [anon_sym_DQUOTE] = ACTIONS(2117),
    [anon_sym_SQUOTE] = ACTIONS(2117),
    [anon_sym_class] = ACTIONS(2117),
    [anon_sym_async] = ACTIONS(2117),
    [anon_sym_function] = ACTIONS(2117),
    [anon_sym_new] = ACTIONS(2117),
    [anon_sym_using] = ACTIONS(2117),
    [anon_sym_PLUS] = ACTIONS(2117),
    [anon_sym_DASH] = ACTIONS(2117),
    [anon_sym_SLASH] = ACTIONS(2117),
    [anon_sym_LT] = ACTIONS(2117),
    [anon_sym_TILDE] = ACTIONS(2117),
    [anon_sym_void] = ACTIONS(2117),
    [anon_sym_delete] = ACTIONS(2117),
    [anon_sym_PLUS_PLUS] = ACTIONS(2117),
    [anon_sym_DASH_DASH] = ACTIONS(2117),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2117),
    [sym_number] = ACTIONS(2117),
    [sym_private_property_identifier] = ACTIONS(2117),
    [sym_this] = ACTIONS(2117),
    [sym_super] = ACTIONS(2117),
    [sym_true] = ACTIONS(2117),
    [sym_false] = ACTIONS(2117),
    [sym_null] = ACTIONS(2117),
    [sym_undefined] = ACTIONS(2117),
    [anon_sym_AT] = ACTIONS(2117),
    [anon_sym_static] = ACTIONS(2117),
    [anon_sym_readonly] = ACTIONS(2117),
    [anon_sym_get] = ACTIONS(2117),
    [anon_sym_set] = ACTIONS(2117),
    [anon_sym_declare] = ACTIONS(2117),
    [anon_sym_public] = ACTIONS(2117),
    [anon_sym_private] = ACTIONS(2117),
    [anon_sym_protected] = ACTIONS(2117),
    [anon_sym_override] = ACTIONS(2117),
    [anon_sym_module] = ACTIONS(2117),
    [anon_sym_any] = ACTIONS(2117),
    [anon_sym_number] = ACTIONS(2117),
    [anon_sym_boolean] = ACTIONS(2117),
    [anon_sym_string] = ACTIONS(2117),
    [anon_sym_symbol] = ACTIONS(2117),
    [anon_sym_object] = ACTIONS(2117),
    [anon_sym_abstract] = ACTIONS(2117),
    [anon_sym_interface] = ACTIONS(2117),
    [anon_sym_enum] = ACTIONS(2117),
    [sym__automatic_semicolon] = ACTIONS(2325),
    [sym_html_comment] = ACTIONS(5),
  },
  [1051] = {
    [sym_comment] = STATE(1051),
    [sym_identifier] = ACTIONS(3248),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_default] = ACTIONS(3248),
    [anon_sym_type] = ACTIONS(3248),
    [anon_sym_namespace] = ACTIONS(3248),
    [anon_sym_LBRACE] = ACTIONS(3248),
    [anon_sym_RBRACE] = ACTIONS(3248),
    [anon_sym_typeof] = ACTIONS(3248),
    [anon_sym_import] = ACTIONS(3248),
    [anon_sym_with] = ACTIONS(3248),
    [anon_sym_var] = ACTIONS(3248),
    [anon_sym_let] = ACTIONS(3248),
    [anon_sym_const] = ACTIONS(3248),
    [anon_sym_BANG] = ACTIONS(3248),
    [anon_sym_else] = ACTIONS(3248),
    [anon_sym_if] = ACTIONS(3248),
    [anon_sym_switch] = ACTIONS(3248),
    [anon_sym_for] = ACTIONS(3248),
    [anon_sym_LPAREN] = ACTIONS(3248),
    [anon_sym_await] = ACTIONS(3248),
    [anon_sym_while] = ACTIONS(3248),
    [anon_sym_do] = ACTIONS(3248),
    [anon_sym_try] = ACTIONS(3248),
    [anon_sym_break] = ACTIONS(3248),
    [anon_sym_continue] = ACTIONS(3248),
    [anon_sym_debugger] = ACTIONS(3248),
    [anon_sym_return] = ACTIONS(3248),
    [anon_sym_throw] = ACTIONS(3248),
    [anon_sym_SEMI] = ACTIONS(3248),
    [anon_sym_case] = ACTIONS(3248),
    [anon_sym_yield] = ACTIONS(3248),
    [anon_sym_LBRACK] = ACTIONS(3248),
    [anon_sym_LTtemplate_GT] = ACTIONS(3248),
    [anon_sym_DQUOTE] = ACTIONS(3248),
    [anon_sym_SQUOTE] = ACTIONS(3248),
    [anon_sym_class] = ACTIONS(3248),
    [anon_sym_async] = ACTIONS(3248),
    [anon_sym_function] = ACTIONS(3248),
    [anon_sym_new] = ACTIONS(3248),
    [anon_sym_using] = ACTIONS(3248),
    [anon_sym_PLUS] = ACTIONS(3248),
    [anon_sym_DASH] = ACTIONS(3248),
    [anon_sym_SLASH] = ACTIONS(3248),
    [anon_sym_LT] = ACTIONS(3248),
    [anon_sym_TILDE] = ACTIONS(3248),
    [anon_sym_void] = ACTIONS(3248),
    [anon_sym_delete] = ACTIONS(3248),
    [anon_sym_PLUS_PLUS] = ACTIONS(3248),
    [anon_sym_DASH_DASH] = ACTIONS(3248),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3248),
    [sym_number] = ACTIONS(3248),
    [sym_private_property_identifier] = ACTIONS(3248),
    [sym_this] = ACTIONS(3248),
    [sym_super] = ACTIONS(3248),
    [sym_true] = ACTIONS(3248),
    [sym_false] = ACTIONS(3248),
    [sym_null] = ACTIONS(3248),
    [sym_undefined] = ACTIONS(3248),
    [anon_sym_AT] = ACTIONS(3248),
    [anon_sym_static] = ACTIONS(3248),
    [anon_sym_readonly] = ACTIONS(3248),
    [anon_sym_get] = ACTIONS(3248),
    [anon_sym_set] = ACTIONS(3248),
    [anon_sym_declare] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3248),
    [anon_sym_private] = ACTIONS(3248),
    [anon_sym_protected] = ACTIONS(3248),
    [anon_sym_override] = ACTIONS(3248),
    [anon_sym_module] = ACTIONS(3248),
    [anon_sym_any] = ACTIONS(3248),
    [anon_sym_number] = ACTIONS(3248),
    [anon_sym_boolean] = ACTIONS(3248),
    [anon_sym_string] = ACTIONS(3248),
    [anon_sym_symbol] = ACTIONS(3248),
    [anon_sym_object] = ACTIONS(3248),
    [anon_sym_abstract] = ACTIONS(3248),
    [anon_sym_interface] = ACTIONS(3248),
    [anon_sym_enum] = ACTIONS(3248),
    [sym_html_comment] = ACTIONS(5),
  },
  [1052] = {
    [sym_comment] = STATE(1052),
    [sym_identifier] = ACTIONS(3154),
    [anon_sym_export] = ACTIONS(3154),
    [anon_sym_default] = ACTIONS(3154),
    [anon_sym_type] = ACTIONS(3154),
    [anon_sym_namespace] = ACTIONS(3154),
    [anon_sym_LBRACE] = ACTIONS(3154),
    [anon_sym_RBRACE] = ACTIONS(3154),
    [anon_sym_typeof] = ACTIONS(3154),
    [anon_sym_import] = ACTIONS(3154),
    [anon_sym_with] = ACTIONS(3154),
    [anon_sym_var] = ACTIONS(3154),
    [anon_sym_let] = ACTIONS(3154),
    [anon_sym_const] = ACTIONS(3154),
    [anon_sym_BANG] = ACTIONS(3154),
    [anon_sym_else] = ACTIONS(3154),
    [anon_sym_if] = ACTIONS(3154),
    [anon_sym_switch] = ACTIONS(3154),
    [anon_sym_for] = ACTIONS(3154),
    [anon_sym_LPAREN] = ACTIONS(3154),
    [anon_sym_await] = ACTIONS(3154),
    [anon_sym_while] = ACTIONS(3154),
    [anon_sym_do] = ACTIONS(3154),
    [anon_sym_try] = ACTIONS(3154),
    [anon_sym_break] = ACTIONS(3154),
    [anon_sym_continue] = ACTIONS(3154),
    [anon_sym_debugger] = ACTIONS(3154),
    [anon_sym_return] = ACTIONS(3154),
    [anon_sym_throw] = ACTIONS(3154),
    [anon_sym_SEMI] = ACTIONS(3154),
    [anon_sym_case] = ACTIONS(3154),
    [anon_sym_yield] = ACTIONS(3154),
    [anon_sym_LBRACK] = ACTIONS(3154),
    [anon_sym_LTtemplate_GT] = ACTIONS(3154),
    [anon_sym_DQUOTE] = ACTIONS(3154),
    [anon_sym_SQUOTE] = ACTIONS(3154),
    [anon_sym_class] = ACTIONS(3154),
    [anon_sym_async] = ACTIONS(3154),
    [anon_sym_function] = ACTIONS(3154),
    [anon_sym_new] = ACTIONS(3154),
    [anon_sym_using] = ACTIONS(3154),
    [anon_sym_PLUS] = ACTIONS(3154),
    [anon_sym_DASH] = ACTIONS(3154),
    [anon_sym_SLASH] = ACTIONS(3154),
    [anon_sym_LT] = ACTIONS(3154),
    [anon_sym_TILDE] = ACTIONS(3154),
    [anon_sym_void] = ACTIONS(3154),
    [anon_sym_delete] = ACTIONS(3154),
    [anon_sym_PLUS_PLUS] = ACTIONS(3154),
    [anon_sym_DASH_DASH] = ACTIONS(3154),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3154),
    [sym_number] = ACTIONS(3154),
    [sym_private_property_identifier] = ACTIONS(3154),
    [sym_this] = ACTIONS(3154),
    [sym_super] = ACTIONS(3154),
    [sym_true] = ACTIONS(3154),
    [sym_false] = ACTIONS(3154),
    [sym_null] = ACTIONS(3154),
    [sym_undefined] = ACTIONS(3154),
    [anon_sym_AT] = ACTIONS(3154),
    [anon_sym_static] = ACTIONS(3154),
    [anon_sym_readonly] = ACTIONS(3154),
    [anon_sym_get] = ACTIONS(3154),
    [anon_sym_set] = ACTIONS(3154),
    [anon_sym_declare] = ACTIONS(3154),
    [anon_sym_public] = ACTIONS(3154),
    [anon_sym_private] = ACTIONS(3154),
    [anon_sym_protected] = ACTIONS(3154),
    [anon_sym_override] = ACTIONS(3154),
    [anon_sym_module] = ACTIONS(3154),
    [anon_sym_any] = ACTIONS(3154),
    [anon_sym_number] = ACTIONS(3154),
    [anon_sym_boolean] = ACTIONS(3154),
    [anon_sym_string] = ACTIONS(3154),
    [anon_sym_symbol] = ACTIONS(3154),
    [anon_sym_object] = ACTIONS(3154),
    [anon_sym_abstract] = ACTIONS(3154),
    [anon_sym_interface] = ACTIONS(3154),
    [anon_sym_enum] = ACTIONS(3154),
    [sym_html_comment] = ACTIONS(5),
  },
  [1053] = {
    [sym_comment] = STATE(1053),
    [sym_identifier] = ACTIONS(2195),
    [anon_sym_export] = ACTIONS(2195),
    [anon_sym_default] = ACTIONS(2195),
    [anon_sym_type] = ACTIONS(2195),
    [anon_sym_namespace] = ACTIONS(2195),
    [anon_sym_LBRACE] = ACTIONS(2195),
    [anon_sym_RBRACE] = ACTIONS(2195),
    [anon_sym_typeof] = ACTIONS(2195),
    [anon_sym_import] = ACTIONS(2195),
    [anon_sym_with] = ACTIONS(2195),
    [anon_sym_var] = ACTIONS(2195),
    [anon_sym_let] = ACTIONS(2195),
    [anon_sym_const] = ACTIONS(2195),
    [anon_sym_BANG] = ACTIONS(2195),
    [anon_sym_if] = ACTIONS(2195),
    [anon_sym_switch] = ACTIONS(2195),
    [anon_sym_for] = ACTIONS(2195),
    [anon_sym_LPAREN] = ACTIONS(2195),
    [anon_sym_await] = ACTIONS(2195),
    [anon_sym_while] = ACTIONS(2195),
    [anon_sym_do] = ACTIONS(2195),
    [anon_sym_try] = ACTIONS(2195),
    [anon_sym_break] = ACTIONS(2195),
    [anon_sym_continue] = ACTIONS(2195),
    [anon_sym_debugger] = ACTIONS(2195),
    [anon_sym_return] = ACTIONS(2195),
    [anon_sym_throw] = ACTIONS(2195),
    [anon_sym_SEMI] = ACTIONS(2195),
    [anon_sym_case] = ACTIONS(2195),
    [anon_sym_yield] = ACTIONS(2195),
    [anon_sym_LBRACK] = ACTIONS(2195),
    [anon_sym_LTtemplate_GT] = ACTIONS(2195),
    [anon_sym_DOT] = ACTIONS(2195),
    [anon_sym_DQUOTE] = ACTIONS(2195),
    [anon_sym_SQUOTE] = ACTIONS(2195),
    [anon_sym_class] = ACTIONS(2195),
    [anon_sym_async] = ACTIONS(2195),
    [anon_sym_function] = ACTIONS(2195),
    [anon_sym_new] = ACTIONS(2195),
    [anon_sym_using] = ACTIONS(2195),
    [anon_sym_PLUS] = ACTIONS(2195),
    [anon_sym_DASH] = ACTIONS(2195),
    [anon_sym_SLASH] = ACTIONS(2195),
    [anon_sym_LT] = ACTIONS(2195),
    [anon_sym_TILDE] = ACTIONS(2195),
    [anon_sym_void] = ACTIONS(2195),
    [anon_sym_delete] = ACTIONS(2195),
    [anon_sym_PLUS_PLUS] = ACTIONS(2195),
    [anon_sym_DASH_DASH] = ACTIONS(2195),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2195),
    [sym_number] = ACTIONS(2195),
    [sym_private_property_identifier] = ACTIONS(2195),
    [sym_this] = ACTIONS(2195),
    [sym_super] = ACTIONS(2195),
    [sym_true] = ACTIONS(2195),
    [sym_false] = ACTIONS(2195),
    [sym_null] = ACTIONS(2195),
    [sym_undefined] = ACTIONS(2195),
    [anon_sym_AT] = ACTIONS(2195),
    [anon_sym_static] = ACTIONS(2195),
    [anon_sym_readonly] = ACTIONS(2195),
    [anon_sym_get] = ACTIONS(2195),
    [anon_sym_set] = ACTIONS(2195),
    [anon_sym_declare] = ACTIONS(2195),
    [anon_sym_public] = ACTIONS(2195),
    [anon_sym_private] = ACTIONS(2195),
    [anon_sym_protected] = ACTIONS(2195),
    [anon_sym_override] = ACTIONS(2195),
    [anon_sym_module] = ACTIONS(2195),
    [anon_sym_any] = ACTIONS(2195),
    [anon_sym_number] = ACTIONS(2195),
    [anon_sym_boolean] = ACTIONS(2195),
    [anon_sym_string] = ACTIONS(2195),
    [anon_sym_symbol] = ACTIONS(2195),
    [anon_sym_object] = ACTIONS(2195),
    [anon_sym_abstract] = ACTIONS(2195),
    [anon_sym_interface] = ACTIONS(2195),
    [anon_sym_enum] = ACTIONS(2195),
    [sym_html_comment] = ACTIONS(5),
  },
  [1054] = {
    [sym_comment] = STATE(1054),
    [sym_identifier] = ACTIONS(3154),
    [anon_sym_export] = ACTIONS(3154),
    [anon_sym_default] = ACTIONS(3154),
    [anon_sym_type] = ACTIONS(3154),
    [anon_sym_namespace] = ACTIONS(3154),
    [anon_sym_LBRACE] = ACTIONS(3154),
    [anon_sym_RBRACE] = ACTIONS(3154),
    [anon_sym_typeof] = ACTIONS(3154),
    [anon_sym_import] = ACTIONS(3154),
    [anon_sym_with] = ACTIONS(3154),
    [anon_sym_var] = ACTIONS(3154),
    [anon_sym_let] = ACTIONS(3154),
    [anon_sym_const] = ACTIONS(3154),
    [anon_sym_BANG] = ACTIONS(3154),
    [anon_sym_else] = ACTIONS(3154),
    [anon_sym_if] = ACTIONS(3154),
    [anon_sym_switch] = ACTIONS(3154),
    [anon_sym_for] = ACTIONS(3154),
    [anon_sym_LPAREN] = ACTIONS(3154),
    [anon_sym_await] = ACTIONS(3154),
    [anon_sym_while] = ACTIONS(3154),
    [anon_sym_do] = ACTIONS(3154),
    [anon_sym_try] = ACTIONS(3154),
    [anon_sym_break] = ACTIONS(3154),
    [anon_sym_continue] = ACTIONS(3154),
    [anon_sym_debugger] = ACTIONS(3154),
    [anon_sym_return] = ACTIONS(3154),
    [anon_sym_throw] = ACTIONS(3154),
    [anon_sym_SEMI] = ACTIONS(3154),
    [anon_sym_case] = ACTIONS(3154),
    [anon_sym_yield] = ACTIONS(3154),
    [anon_sym_LBRACK] = ACTIONS(3154),
    [anon_sym_LTtemplate_GT] = ACTIONS(3154),
    [anon_sym_DQUOTE] = ACTIONS(3154),
    [anon_sym_SQUOTE] = ACTIONS(3154),
    [anon_sym_class] = ACTIONS(3154),
    [anon_sym_async] = ACTIONS(3154),
    [anon_sym_function] = ACTIONS(3154),
    [anon_sym_new] = ACTIONS(3154),
    [anon_sym_using] = ACTIONS(3154),
    [anon_sym_PLUS] = ACTIONS(3154),
    [anon_sym_DASH] = ACTIONS(3154),
    [anon_sym_SLASH] = ACTIONS(3154),
    [anon_sym_LT] = ACTIONS(3154),
    [anon_sym_TILDE] = ACTIONS(3154),
    [anon_sym_void] = ACTIONS(3154),
    [anon_sym_delete] = ACTIONS(3154),
    [anon_sym_PLUS_PLUS] = ACTIONS(3154),
    [anon_sym_DASH_DASH] = ACTIONS(3154),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3154),
    [sym_number] = ACTIONS(3154),
    [sym_private_property_identifier] = ACTIONS(3154),
    [sym_this] = ACTIONS(3154),
    [sym_super] = ACTIONS(3154),
    [sym_true] = ACTIONS(3154),
    [sym_false] = ACTIONS(3154),
    [sym_null] = ACTIONS(3154),
    [sym_undefined] = ACTIONS(3154),
    [anon_sym_AT] = ACTIONS(3154),
    [anon_sym_static] = ACTIONS(3154),
    [anon_sym_readonly] = ACTIONS(3154),
    [anon_sym_get] = ACTIONS(3154),
    [anon_sym_set] = ACTIONS(3154),
    [anon_sym_declare] = ACTIONS(3154),
    [anon_sym_public] = ACTIONS(3154),
    [anon_sym_private] = ACTIONS(3154),
    [anon_sym_protected] = ACTIONS(3154),
    [anon_sym_override] = ACTIONS(3154),
    [anon_sym_module] = ACTIONS(3154),
    [anon_sym_any] = ACTIONS(3154),
    [anon_sym_number] = ACTIONS(3154),
    [anon_sym_boolean] = ACTIONS(3154),
    [anon_sym_string] = ACTIONS(3154),
    [anon_sym_symbol] = ACTIONS(3154),
    [anon_sym_object] = ACTIONS(3154),
    [anon_sym_abstract] = ACTIONS(3154),
    [anon_sym_interface] = ACTIONS(3154),
    [anon_sym_enum] = ACTIONS(3154),
    [sym_html_comment] = ACTIONS(5),
  },
  [1055] = {
    [sym_comment] = STATE(1055),
    [sym_identifier] = ACTIONS(3154),
    [anon_sym_export] = ACTIONS(3154),
    [anon_sym_default] = ACTIONS(3154),
    [anon_sym_type] = ACTIONS(3154),
    [anon_sym_namespace] = ACTIONS(3154),
    [anon_sym_LBRACE] = ACTIONS(3154),
    [anon_sym_RBRACE] = ACTIONS(3154),
    [anon_sym_typeof] = ACTIONS(3154),
    [anon_sym_import] = ACTIONS(3154),
    [anon_sym_with] = ACTIONS(3154),
    [anon_sym_var] = ACTIONS(3154),
    [anon_sym_let] = ACTIONS(3154),
    [anon_sym_const] = ACTIONS(3154),
    [anon_sym_BANG] = ACTIONS(3154),
    [anon_sym_else] = ACTIONS(3154),
    [anon_sym_if] = ACTIONS(3154),
    [anon_sym_switch] = ACTIONS(3154),
    [anon_sym_for] = ACTIONS(3154),
    [anon_sym_LPAREN] = ACTIONS(3154),
    [anon_sym_await] = ACTIONS(3154),
    [anon_sym_while] = ACTIONS(3154),
    [anon_sym_do] = ACTIONS(3154),
    [anon_sym_try] = ACTIONS(3154),
    [anon_sym_break] = ACTIONS(3154),
    [anon_sym_continue] = ACTIONS(3154),
    [anon_sym_debugger] = ACTIONS(3154),
    [anon_sym_return] = ACTIONS(3154),
    [anon_sym_throw] = ACTIONS(3154),
    [anon_sym_SEMI] = ACTIONS(3154),
    [anon_sym_case] = ACTIONS(3154),
    [anon_sym_yield] = ACTIONS(3154),
    [anon_sym_LBRACK] = ACTIONS(3154),
    [anon_sym_LTtemplate_GT] = ACTIONS(3154),
    [anon_sym_DQUOTE] = ACTIONS(3154),
    [anon_sym_SQUOTE] = ACTIONS(3154),
    [anon_sym_class] = ACTIONS(3154),
    [anon_sym_async] = ACTIONS(3154),
    [anon_sym_function] = ACTIONS(3154),
    [anon_sym_new] = ACTIONS(3154),
    [anon_sym_using] = ACTIONS(3154),
    [anon_sym_PLUS] = ACTIONS(3154),
    [anon_sym_DASH] = ACTIONS(3154),
    [anon_sym_SLASH] = ACTIONS(3154),
    [anon_sym_LT] = ACTIONS(3154),
    [anon_sym_TILDE] = ACTIONS(3154),
    [anon_sym_void] = ACTIONS(3154),
    [anon_sym_delete] = ACTIONS(3154),
    [anon_sym_PLUS_PLUS] = ACTIONS(3154),
    [anon_sym_DASH_DASH] = ACTIONS(3154),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3154),
    [sym_number] = ACTIONS(3154),
    [sym_private_property_identifier] = ACTIONS(3154),
    [sym_this] = ACTIONS(3154),
    [sym_super] = ACTIONS(3154),
    [sym_true] = ACTIONS(3154),
    [sym_false] = ACTIONS(3154),
    [sym_null] = ACTIONS(3154),
    [sym_undefined] = ACTIONS(3154),
    [anon_sym_AT] = ACTIONS(3154),
    [anon_sym_static] = ACTIONS(3154),
    [anon_sym_readonly] = ACTIONS(3154),
    [anon_sym_get] = ACTIONS(3154),
    [anon_sym_set] = ACTIONS(3154),
    [anon_sym_declare] = ACTIONS(3154),
    [anon_sym_public] = ACTIONS(3154),
    [anon_sym_private] = ACTIONS(3154),
    [anon_sym_protected] = ACTIONS(3154),
    [anon_sym_override] = ACTIONS(3154),
    [anon_sym_module] = ACTIONS(3154),
    [anon_sym_any] = ACTIONS(3154),
    [anon_sym_number] = ACTIONS(3154),
    [anon_sym_boolean] = ACTIONS(3154),
    [anon_sym_string] = ACTIONS(3154),
    [anon_sym_symbol] = ACTIONS(3154),
    [anon_sym_object] = ACTIONS(3154),
    [anon_sym_abstract] = ACTIONS(3154),
    [anon_sym_interface] = ACTIONS(3154),
    [anon_sym_enum] = ACTIONS(3154),
    [sym_html_comment] = ACTIONS(5),
  },
  [1056] = {
    [sym_comment] = STATE(1056),
    [sym_identifier] = ACTIONS(3154),
    [anon_sym_export] = ACTIONS(3154),
    [anon_sym_default] = ACTIONS(3154),
    [anon_sym_type] = ACTIONS(3154),
    [anon_sym_namespace] = ACTIONS(3154),
    [anon_sym_LBRACE] = ACTIONS(3154),
    [anon_sym_RBRACE] = ACTIONS(3154),
    [anon_sym_typeof] = ACTIONS(3154),
    [anon_sym_import] = ACTIONS(3154),
    [anon_sym_with] = ACTIONS(3154),
    [anon_sym_var] = ACTIONS(3154),
    [anon_sym_let] = ACTIONS(3154),
    [anon_sym_const] = ACTIONS(3154),
    [anon_sym_BANG] = ACTIONS(3154),
    [anon_sym_else] = ACTIONS(3154),
    [anon_sym_if] = ACTIONS(3154),
    [anon_sym_switch] = ACTIONS(3154),
    [anon_sym_for] = ACTIONS(3154),
    [anon_sym_LPAREN] = ACTIONS(3154),
    [anon_sym_await] = ACTIONS(3154),
    [anon_sym_while] = ACTIONS(3154),
    [anon_sym_do] = ACTIONS(3154),
    [anon_sym_try] = ACTIONS(3154),
    [anon_sym_break] = ACTIONS(3154),
    [anon_sym_continue] = ACTIONS(3154),
    [anon_sym_debugger] = ACTIONS(3154),
    [anon_sym_return] = ACTIONS(3154),
    [anon_sym_throw] = ACTIONS(3154),
    [anon_sym_SEMI] = ACTIONS(3154),
    [anon_sym_case] = ACTIONS(3154),
    [anon_sym_yield] = ACTIONS(3154),
    [anon_sym_LBRACK] = ACTIONS(3154),
    [anon_sym_LTtemplate_GT] = ACTIONS(3154),
    [anon_sym_DQUOTE] = ACTIONS(3154),
    [anon_sym_SQUOTE] = ACTIONS(3154),
    [anon_sym_class] = ACTIONS(3154),
    [anon_sym_async] = ACTIONS(3154),
    [anon_sym_function] = ACTIONS(3154),
    [anon_sym_new] = ACTIONS(3154),
    [anon_sym_using] = ACTIONS(3154),
    [anon_sym_PLUS] = ACTIONS(3154),
    [anon_sym_DASH] = ACTIONS(3154),
    [anon_sym_SLASH] = ACTIONS(3154),
    [anon_sym_LT] = ACTIONS(3154),
    [anon_sym_TILDE] = ACTIONS(3154),
    [anon_sym_void] = ACTIONS(3154),
    [anon_sym_delete] = ACTIONS(3154),
    [anon_sym_PLUS_PLUS] = ACTIONS(3154),
    [anon_sym_DASH_DASH] = ACTIONS(3154),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3154),
    [sym_number] = ACTIONS(3154),
    [sym_private_property_identifier] = ACTIONS(3154),
    [sym_this] = ACTIONS(3154),
    [sym_super] = ACTIONS(3154),
    [sym_true] = ACTIONS(3154),
    [sym_false] = ACTIONS(3154),
    [sym_null] = ACTIONS(3154),
    [sym_undefined] = ACTIONS(3154),
    [anon_sym_AT] = ACTIONS(3154),
    [anon_sym_static] = ACTIONS(3154),
    [anon_sym_readonly] = ACTIONS(3154),
    [anon_sym_get] = ACTIONS(3154),
    [anon_sym_set] = ACTIONS(3154),
    [anon_sym_declare] = ACTIONS(3154),
    [anon_sym_public] = ACTIONS(3154),
    [anon_sym_private] = ACTIONS(3154),
    [anon_sym_protected] = ACTIONS(3154),
    [anon_sym_override] = ACTIONS(3154),
    [anon_sym_module] = ACTIONS(3154),
    [anon_sym_any] = ACTIONS(3154),
    [anon_sym_number] = ACTIONS(3154),
    [anon_sym_boolean] = ACTIONS(3154),
    [anon_sym_string] = ACTIONS(3154),
    [anon_sym_symbol] = ACTIONS(3154),
    [anon_sym_object] = ACTIONS(3154),
    [anon_sym_abstract] = ACTIONS(3154),
    [anon_sym_interface] = ACTIONS(3154),
    [anon_sym_enum] = ACTIONS(3154),
    [sym_html_comment] = ACTIONS(5),
  },
  [1057] = {
    [sym_comment] = STATE(1057),
    [sym_identifier] = ACTIONS(2081),
    [anon_sym_export] = ACTIONS(2081),
    [anon_sym_default] = ACTIONS(2081),
    [anon_sym_type] = ACTIONS(2081),
    [anon_sym_namespace] = ACTIONS(2081),
    [anon_sym_LBRACE] = ACTIONS(2081),
    [anon_sym_RBRACE] = ACTIONS(2081),
    [anon_sym_typeof] = ACTIONS(2081),
    [anon_sym_import] = ACTIONS(2081),
    [anon_sym_with] = ACTIONS(2081),
    [anon_sym_var] = ACTIONS(2081),
    [anon_sym_let] = ACTIONS(2081),
    [anon_sym_const] = ACTIONS(2081),
    [anon_sym_BANG] = ACTIONS(2081),
    [anon_sym_if] = ACTIONS(2081),
    [anon_sym_switch] = ACTIONS(2081),
    [anon_sym_for] = ACTIONS(2081),
    [anon_sym_LPAREN] = ACTIONS(2081),
    [anon_sym_await] = ACTIONS(2081),
    [anon_sym_while] = ACTIONS(2081),
    [anon_sym_do] = ACTIONS(2081),
    [anon_sym_try] = ACTIONS(2081),
    [anon_sym_break] = ACTIONS(2081),
    [anon_sym_continue] = ACTIONS(2081),
    [anon_sym_debugger] = ACTIONS(2081),
    [anon_sym_return] = ACTIONS(2081),
    [anon_sym_throw] = ACTIONS(2081),
    [anon_sym_SEMI] = ACTIONS(2081),
    [anon_sym_case] = ACTIONS(2081),
    [anon_sym_yield] = ACTIONS(2081),
    [anon_sym_LBRACK] = ACTIONS(2081),
    [anon_sym_LTtemplate_GT] = ACTIONS(2081),
    [anon_sym_DOT] = ACTIONS(2081),
    [anon_sym_DQUOTE] = ACTIONS(2081),
    [anon_sym_SQUOTE] = ACTIONS(2081),
    [anon_sym_class] = ACTIONS(2081),
    [anon_sym_async] = ACTIONS(2081),
    [anon_sym_function] = ACTIONS(2081),
    [anon_sym_new] = ACTIONS(2081),
    [anon_sym_using] = ACTIONS(2081),
    [anon_sym_PLUS] = ACTIONS(2081),
    [anon_sym_DASH] = ACTIONS(2081),
    [anon_sym_SLASH] = ACTIONS(2081),
    [anon_sym_LT] = ACTIONS(2081),
    [anon_sym_TILDE] = ACTIONS(2081),
    [anon_sym_void] = ACTIONS(2081),
    [anon_sym_delete] = ACTIONS(2081),
    [anon_sym_PLUS_PLUS] = ACTIONS(2081),
    [anon_sym_DASH_DASH] = ACTIONS(2081),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2081),
    [sym_number] = ACTIONS(2081),
    [sym_private_property_identifier] = ACTIONS(2081),
    [sym_this] = ACTIONS(2081),
    [sym_super] = ACTIONS(2081),
    [sym_true] = ACTIONS(2081),
    [sym_false] = ACTIONS(2081),
    [sym_null] = ACTIONS(2081),
    [sym_undefined] = ACTIONS(2081),
    [anon_sym_AT] = ACTIONS(2081),
    [anon_sym_static] = ACTIONS(2081),
    [anon_sym_readonly] = ACTIONS(2081),
    [anon_sym_get] = ACTIONS(2081),
    [anon_sym_set] = ACTIONS(2081),
    [anon_sym_declare] = ACTIONS(2081),
    [anon_sym_public] = ACTIONS(2081),
    [anon_sym_private] = ACTIONS(2081),
    [anon_sym_protected] = ACTIONS(2081),
    [anon_sym_override] = ACTIONS(2081),
    [anon_sym_module] = ACTIONS(2081),
    [anon_sym_any] = ACTIONS(2081),
    [anon_sym_number] = ACTIONS(2081),
    [anon_sym_boolean] = ACTIONS(2081),
    [anon_sym_string] = ACTIONS(2081),
    [anon_sym_symbol] = ACTIONS(2081),
    [anon_sym_object] = ACTIONS(2081),
    [anon_sym_abstract] = ACTIONS(2081),
    [anon_sym_interface] = ACTIONS(2081),
    [anon_sym_enum] = ACTIONS(2081),
    [sym_html_comment] = ACTIONS(5),
  },
  [1058] = {
    [sym_comment] = STATE(1058),
    [sym_identifier] = ACTIONS(2199),
    [anon_sym_export] = ACTIONS(2199),
    [anon_sym_default] = ACTIONS(2199),
    [anon_sym_type] = ACTIONS(2199),
    [anon_sym_namespace] = ACTIONS(2199),
    [anon_sym_LBRACE] = ACTIONS(2199),
    [anon_sym_RBRACE] = ACTIONS(2199),
    [anon_sym_typeof] = ACTIONS(2199),
    [anon_sym_import] = ACTIONS(2199),
    [anon_sym_with] = ACTIONS(2199),
    [anon_sym_var] = ACTIONS(2199),
    [anon_sym_let] = ACTIONS(2199),
    [anon_sym_const] = ACTIONS(2199),
    [anon_sym_BANG] = ACTIONS(2199),
    [anon_sym_else] = ACTIONS(2199),
    [anon_sym_if] = ACTIONS(2199),
    [anon_sym_switch] = ACTIONS(2199),
    [anon_sym_for] = ACTIONS(2199),
    [anon_sym_LPAREN] = ACTIONS(2199),
    [anon_sym_await] = ACTIONS(2199),
    [anon_sym_while] = ACTIONS(2199),
    [anon_sym_do] = ACTIONS(2199),
    [anon_sym_try] = ACTIONS(2199),
    [anon_sym_break] = ACTIONS(2199),
    [anon_sym_continue] = ACTIONS(2199),
    [anon_sym_debugger] = ACTIONS(2199),
    [anon_sym_return] = ACTIONS(2199),
    [anon_sym_throw] = ACTIONS(2199),
    [anon_sym_SEMI] = ACTIONS(2199),
    [anon_sym_case] = ACTIONS(2199),
    [anon_sym_yield] = ACTIONS(2199),
    [anon_sym_LBRACK] = ACTIONS(2199),
    [anon_sym_LTtemplate_GT] = ACTIONS(2199),
    [anon_sym_DQUOTE] = ACTIONS(2199),
    [anon_sym_SQUOTE] = ACTIONS(2199),
    [anon_sym_class] = ACTIONS(2199),
    [anon_sym_async] = ACTIONS(2199),
    [anon_sym_function] = ACTIONS(2199),
    [anon_sym_new] = ACTIONS(2199),
    [anon_sym_using] = ACTIONS(2199),
    [anon_sym_PLUS] = ACTIONS(2199),
    [anon_sym_DASH] = ACTIONS(2199),
    [anon_sym_SLASH] = ACTIONS(2199),
    [anon_sym_LT] = ACTIONS(2199),
    [anon_sym_TILDE] = ACTIONS(2199),
    [anon_sym_void] = ACTIONS(2199),
    [anon_sym_delete] = ACTIONS(2199),
    [anon_sym_PLUS_PLUS] = ACTIONS(2199),
    [anon_sym_DASH_DASH] = ACTIONS(2199),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2199),
    [sym_number] = ACTIONS(2199),
    [sym_private_property_identifier] = ACTIONS(2199),
    [sym_this] = ACTIONS(2199),
    [sym_super] = ACTIONS(2199),
    [sym_true] = ACTIONS(2199),
    [sym_false] = ACTIONS(2199),
    [sym_null] = ACTIONS(2199),
    [sym_undefined] = ACTIONS(2199),
    [anon_sym_AT] = ACTIONS(2199),
    [anon_sym_static] = ACTIONS(2199),
    [anon_sym_readonly] = ACTIONS(2199),
    [anon_sym_get] = ACTIONS(2199),
    [anon_sym_set] = ACTIONS(2199),
    [anon_sym_declare] = ACTIONS(2199),
    [anon_sym_public] = ACTIONS(2199),
    [anon_sym_private] = ACTIONS(2199),
    [anon_sym_protected] = ACTIONS(2199),
    [anon_sym_override] = ACTIONS(2199),
    [anon_sym_module] = ACTIONS(2199),
    [anon_sym_any] = ACTIONS(2199),
    [anon_sym_number] = ACTIONS(2199),
    [anon_sym_boolean] = ACTIONS(2199),
    [anon_sym_string] = ACTIONS(2199),
    [anon_sym_symbol] = ACTIONS(2199),
    [anon_sym_object] = ACTIONS(2199),
    [anon_sym_abstract] = ACTIONS(2199),
    [anon_sym_interface] = ACTIONS(2199),
    [anon_sym_enum] = ACTIONS(2199),
    [sym_html_comment] = ACTIONS(5),
  },
  [1059] = {
    [sym_comment] = STATE(1059),
    [sym_identifier] = ACTIONS(2149),
    [anon_sym_export] = ACTIONS(2149),
    [anon_sym_default] = ACTIONS(2149),
    [anon_sym_type] = ACTIONS(2149),
    [anon_sym_namespace] = ACTIONS(2149),
    [anon_sym_LBRACE] = ACTIONS(2149),
    [anon_sym_RBRACE] = ACTIONS(2149),
    [anon_sym_typeof] = ACTIONS(2149),
    [anon_sym_import] = ACTIONS(2149),
    [anon_sym_with] = ACTIONS(2149),
    [anon_sym_var] = ACTIONS(2149),
    [anon_sym_let] = ACTIONS(2149),
    [anon_sym_const] = ACTIONS(2149),
    [anon_sym_BANG] = ACTIONS(2149),
    [anon_sym_if] = ACTIONS(2149),
    [anon_sym_switch] = ACTIONS(2149),
    [anon_sym_for] = ACTIONS(2149),
    [anon_sym_LPAREN] = ACTIONS(2149),
    [anon_sym_await] = ACTIONS(2149),
    [anon_sym_while] = ACTIONS(2149),
    [anon_sym_do] = ACTIONS(2149),
    [anon_sym_try] = ACTIONS(2149),
    [anon_sym_break] = ACTIONS(2149),
    [anon_sym_continue] = ACTIONS(2149),
    [anon_sym_debugger] = ACTIONS(2149),
    [anon_sym_return] = ACTIONS(2149),
    [anon_sym_throw] = ACTIONS(2149),
    [anon_sym_SEMI] = ACTIONS(2149),
    [anon_sym_case] = ACTIONS(2149),
    [anon_sym_yield] = ACTIONS(2149),
    [anon_sym_LBRACK] = ACTIONS(2149),
    [anon_sym_LTtemplate_GT] = ACTIONS(2149),
    [anon_sym_DQUOTE] = ACTIONS(2149),
    [anon_sym_SQUOTE] = ACTIONS(2149),
    [anon_sym_class] = ACTIONS(2149),
    [anon_sym_async] = ACTIONS(2149),
    [anon_sym_function] = ACTIONS(2149),
    [anon_sym_new] = ACTIONS(2149),
    [anon_sym_using] = ACTIONS(2149),
    [anon_sym_PLUS] = ACTIONS(2149),
    [anon_sym_DASH] = ACTIONS(2149),
    [anon_sym_SLASH] = ACTIONS(2149),
    [anon_sym_LT] = ACTIONS(2149),
    [anon_sym_TILDE] = ACTIONS(2149),
    [anon_sym_void] = ACTIONS(2149),
    [anon_sym_delete] = ACTIONS(2149),
    [anon_sym_PLUS_PLUS] = ACTIONS(2149),
    [anon_sym_DASH_DASH] = ACTIONS(2149),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2149),
    [sym_number] = ACTIONS(2149),
    [sym_private_property_identifier] = ACTIONS(2149),
    [sym_this] = ACTIONS(2149),
    [sym_super] = ACTIONS(2149),
    [sym_true] = ACTIONS(2149),
    [sym_false] = ACTIONS(2149),
    [sym_null] = ACTIONS(2149),
    [sym_undefined] = ACTIONS(2149),
    [anon_sym_AT] = ACTIONS(2149),
    [anon_sym_static] = ACTIONS(2149),
    [anon_sym_readonly] = ACTIONS(2149),
    [anon_sym_get] = ACTIONS(2149),
    [anon_sym_set] = ACTIONS(2149),
    [anon_sym_declare] = ACTIONS(2149),
    [anon_sym_public] = ACTIONS(2149),
    [anon_sym_private] = ACTIONS(2149),
    [anon_sym_protected] = ACTIONS(2149),
    [anon_sym_override] = ACTIONS(2149),
    [anon_sym_module] = ACTIONS(2149),
    [anon_sym_any] = ACTIONS(2149),
    [anon_sym_number] = ACTIONS(2149),
    [anon_sym_boolean] = ACTIONS(2149),
    [anon_sym_string] = ACTIONS(2149),
    [anon_sym_symbol] = ACTIONS(2149),
    [anon_sym_object] = ACTIONS(2149),
    [anon_sym_abstract] = ACTIONS(2149),
    [anon_sym_interface] = ACTIONS(2149),
    [anon_sym_enum] = ACTIONS(2149),
    [sym__automatic_semicolon] = ACTIONS(2369),
    [sym_html_comment] = ACTIONS(5),
  },
  [1060] = {
    [sym_comment] = STATE(1060),
    [sym_identifier] = ACTIONS(3250),
    [anon_sym_export] = ACTIONS(3250),
    [anon_sym_default] = ACTIONS(3250),
    [anon_sym_type] = ACTIONS(3250),
    [anon_sym_namespace] = ACTIONS(3250),
    [anon_sym_LBRACE] = ACTIONS(3250),
    [anon_sym_RBRACE] = ACTIONS(3250),
    [anon_sym_typeof] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3250),
    [anon_sym_with] = ACTIONS(3250),
    [anon_sym_var] = ACTIONS(3250),
    [anon_sym_let] = ACTIONS(3250),
    [anon_sym_const] = ACTIONS(3250),
    [anon_sym_BANG] = ACTIONS(3250),
    [anon_sym_else] = ACTIONS(3250),
    [anon_sym_if] = ACTIONS(3250),
    [anon_sym_switch] = ACTIONS(3250),
    [anon_sym_for] = ACTIONS(3250),
    [anon_sym_LPAREN] = ACTIONS(3250),
    [anon_sym_await] = ACTIONS(3250),
    [anon_sym_while] = ACTIONS(3250),
    [anon_sym_do] = ACTIONS(3250),
    [anon_sym_try] = ACTIONS(3250),
    [anon_sym_break] = ACTIONS(3250),
    [anon_sym_continue] = ACTIONS(3250),
    [anon_sym_debugger] = ACTIONS(3250),
    [anon_sym_return] = ACTIONS(3250),
    [anon_sym_throw] = ACTIONS(3250),
    [anon_sym_SEMI] = ACTIONS(3250),
    [anon_sym_case] = ACTIONS(3250),
    [anon_sym_yield] = ACTIONS(3250),
    [anon_sym_LBRACK] = ACTIONS(3250),
    [anon_sym_LTtemplate_GT] = ACTIONS(3250),
    [anon_sym_DQUOTE] = ACTIONS(3250),
    [anon_sym_SQUOTE] = ACTIONS(3250),
    [anon_sym_class] = ACTIONS(3250),
    [anon_sym_async] = ACTIONS(3250),
    [anon_sym_function] = ACTIONS(3250),
    [anon_sym_new] = ACTIONS(3250),
    [anon_sym_using] = ACTIONS(3250),
    [anon_sym_PLUS] = ACTIONS(3250),
    [anon_sym_DASH] = ACTIONS(3250),
    [anon_sym_SLASH] = ACTIONS(3250),
    [anon_sym_LT] = ACTIONS(3250),
    [anon_sym_TILDE] = ACTIONS(3250),
    [anon_sym_void] = ACTIONS(3250),
    [anon_sym_delete] = ACTIONS(3250),
    [anon_sym_PLUS_PLUS] = ACTIONS(3250),
    [anon_sym_DASH_DASH] = ACTIONS(3250),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3250),
    [sym_number] = ACTIONS(3250),
    [sym_private_property_identifier] = ACTIONS(3250),
    [sym_this] = ACTIONS(3250),
    [sym_super] = ACTIONS(3250),
    [sym_true] = ACTIONS(3250),
    [sym_false] = ACTIONS(3250),
    [sym_null] = ACTIONS(3250),
    [sym_undefined] = ACTIONS(3250),
    [anon_sym_AT] = ACTIONS(3250),
    [anon_sym_static] = ACTIONS(3250),
    [anon_sym_readonly] = ACTIONS(3250),
    [anon_sym_get] = ACTIONS(3250),
    [anon_sym_set] = ACTIONS(3250),
    [anon_sym_declare] = ACTIONS(3250),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_private] = ACTIONS(3250),
    [anon_sym_protected] = ACTIONS(3250),
    [anon_sym_override] = ACTIONS(3250),
    [anon_sym_module] = ACTIONS(3250),
    [anon_sym_any] = ACTIONS(3250),
    [anon_sym_number] = ACTIONS(3250),
    [anon_sym_boolean] = ACTIONS(3250),
    [anon_sym_string] = ACTIONS(3250),
    [anon_sym_symbol] = ACTIONS(3250),
    [anon_sym_object] = ACTIONS(3250),
    [anon_sym_abstract] = ACTIONS(3250),
    [anon_sym_interface] = ACTIONS(3250),
    [anon_sym_enum] = ACTIONS(3250),
    [sym_html_comment] = ACTIONS(5),
  },
  [1061] = {
    [sym_comment] = STATE(1061),
    [sym_identifier] = ACTIONS(3154),
    [anon_sym_export] = ACTIONS(3154),
    [anon_sym_default] = ACTIONS(3154),
    [anon_sym_type] = ACTIONS(3154),
    [anon_sym_namespace] = ACTIONS(3154),
    [anon_sym_LBRACE] = ACTIONS(3154),
    [anon_sym_RBRACE] = ACTIONS(3154),
    [anon_sym_typeof] = ACTIONS(3154),
    [anon_sym_import] = ACTIONS(3154),
    [anon_sym_with] = ACTIONS(3154),
    [anon_sym_var] = ACTIONS(3154),
    [anon_sym_let] = ACTIONS(3154),
    [anon_sym_const] = ACTIONS(3154),
    [anon_sym_BANG] = ACTIONS(3154),
    [anon_sym_else] = ACTIONS(3154),
    [anon_sym_if] = ACTIONS(3154),
    [anon_sym_switch] = ACTIONS(3154),
    [anon_sym_for] = ACTIONS(3154),
    [anon_sym_LPAREN] = ACTIONS(3154),
    [anon_sym_await] = ACTIONS(3154),
    [anon_sym_while] = ACTIONS(3154),
    [anon_sym_do] = ACTIONS(3154),
    [anon_sym_try] = ACTIONS(3154),
    [anon_sym_break] = ACTIONS(3154),
    [anon_sym_continue] = ACTIONS(3154),
    [anon_sym_debugger] = ACTIONS(3154),
    [anon_sym_return] = ACTIONS(3154),
    [anon_sym_throw] = ACTIONS(3154),
    [anon_sym_SEMI] = ACTIONS(3154),
    [anon_sym_case] = ACTIONS(3154),
    [anon_sym_yield] = ACTIONS(3154),
    [anon_sym_LBRACK] = ACTIONS(3154),
    [anon_sym_LTtemplate_GT] = ACTIONS(3154),
    [anon_sym_DQUOTE] = ACTIONS(3154),
    [anon_sym_SQUOTE] = ACTIONS(3154),
    [anon_sym_class] = ACTIONS(3154),
    [anon_sym_async] = ACTIONS(3154),
    [anon_sym_function] = ACTIONS(3154),
    [anon_sym_new] = ACTIONS(3154),
    [anon_sym_using] = ACTIONS(3154),
    [anon_sym_PLUS] = ACTIONS(3154),
    [anon_sym_DASH] = ACTIONS(3154),
    [anon_sym_SLASH] = ACTIONS(3154),
    [anon_sym_LT] = ACTIONS(3154),
    [anon_sym_TILDE] = ACTIONS(3154),
    [anon_sym_void] = ACTIONS(3154),
    [anon_sym_delete] = ACTIONS(3154),
    [anon_sym_PLUS_PLUS] = ACTIONS(3154),
    [anon_sym_DASH_DASH] = ACTIONS(3154),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3154),
    [sym_number] = ACTIONS(3154),
    [sym_private_property_identifier] = ACTIONS(3154),
    [sym_this] = ACTIONS(3154),
    [sym_super] = ACTIONS(3154),
    [sym_true] = ACTIONS(3154),
    [sym_false] = ACTIONS(3154),
    [sym_null] = ACTIONS(3154),
    [sym_undefined] = ACTIONS(3154),
    [anon_sym_AT] = ACTIONS(3154),
    [anon_sym_static] = ACTIONS(3154),
    [anon_sym_readonly] = ACTIONS(3154),
    [anon_sym_get] = ACTIONS(3154),
    [anon_sym_set] = ACTIONS(3154),
    [anon_sym_declare] = ACTIONS(3154),
    [anon_sym_public] = ACTIONS(3154),
    [anon_sym_private] = ACTIONS(3154),
    [anon_sym_protected] = ACTIONS(3154),
    [anon_sym_override] = ACTIONS(3154),
    [anon_sym_module] = ACTIONS(3154),
    [anon_sym_any] = ACTIONS(3154),
    [anon_sym_number] = ACTIONS(3154),
    [anon_sym_boolean] = ACTIONS(3154),
    [anon_sym_string] = ACTIONS(3154),
    [anon_sym_symbol] = ACTIONS(3154),
    [anon_sym_object] = ACTIONS(3154),
    [anon_sym_abstract] = ACTIONS(3154),
    [anon_sym_interface] = ACTIONS(3154),
    [anon_sym_enum] = ACTIONS(3154),
    [sym_html_comment] = ACTIONS(5),
  },
  [1062] = {
    [sym_comment] = STATE(1062),
    [sym_identifier] = ACTIONS(3154),
    [anon_sym_export] = ACTIONS(3154),
    [anon_sym_default] = ACTIONS(3154),
    [anon_sym_type] = ACTIONS(3154),
    [anon_sym_namespace] = ACTIONS(3154),
    [anon_sym_LBRACE] = ACTIONS(3154),
    [anon_sym_RBRACE] = ACTIONS(3154),
    [anon_sym_typeof] = ACTIONS(3154),
    [anon_sym_import] = ACTIONS(3154),
    [anon_sym_with] = ACTIONS(3154),
    [anon_sym_var] = ACTIONS(3154),
    [anon_sym_let] = ACTIONS(3154),
    [anon_sym_const] = ACTIONS(3154),
    [anon_sym_BANG] = ACTIONS(3154),
    [anon_sym_else] = ACTIONS(3154),
    [anon_sym_if] = ACTIONS(3154),
    [anon_sym_switch] = ACTIONS(3154),
    [anon_sym_for] = ACTIONS(3154),
    [anon_sym_LPAREN] = ACTIONS(3154),
    [anon_sym_await] = ACTIONS(3154),
    [anon_sym_while] = ACTIONS(3154),
    [anon_sym_do] = ACTIONS(3154),
    [anon_sym_try] = ACTIONS(3154),
    [anon_sym_break] = ACTIONS(3154),
    [anon_sym_continue] = ACTIONS(3154),
    [anon_sym_debugger] = ACTIONS(3154),
    [anon_sym_return] = ACTIONS(3154),
    [anon_sym_throw] = ACTIONS(3154),
    [anon_sym_SEMI] = ACTIONS(3154),
    [anon_sym_case] = ACTIONS(3154),
    [anon_sym_yield] = ACTIONS(3154),
    [anon_sym_LBRACK] = ACTIONS(3154),
    [anon_sym_LTtemplate_GT] = ACTIONS(3154),
    [anon_sym_DQUOTE] = ACTIONS(3154),
    [anon_sym_SQUOTE] = ACTIONS(3154),
    [anon_sym_class] = ACTIONS(3154),
    [anon_sym_async] = ACTIONS(3154),
    [anon_sym_function] = ACTIONS(3154),
    [anon_sym_new] = ACTIONS(3154),
    [anon_sym_using] = ACTIONS(3154),
    [anon_sym_PLUS] = ACTIONS(3154),
    [anon_sym_DASH] = ACTIONS(3154),
    [anon_sym_SLASH] = ACTIONS(3154),
    [anon_sym_LT] = ACTIONS(3154),
    [anon_sym_TILDE] = ACTIONS(3154),
    [anon_sym_void] = ACTIONS(3154),
    [anon_sym_delete] = ACTIONS(3154),
    [anon_sym_PLUS_PLUS] = ACTIONS(3154),
    [anon_sym_DASH_DASH] = ACTIONS(3154),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3154),
    [sym_number] = ACTIONS(3154),
    [sym_private_property_identifier] = ACTIONS(3154),
    [sym_this] = ACTIONS(3154),
    [sym_super] = ACTIONS(3154),
    [sym_true] = ACTIONS(3154),
    [sym_false] = ACTIONS(3154),
    [sym_null] = ACTIONS(3154),
    [sym_undefined] = ACTIONS(3154),
    [anon_sym_AT] = ACTIONS(3154),
    [anon_sym_static] = ACTIONS(3154),
    [anon_sym_readonly] = ACTIONS(3154),
    [anon_sym_get] = ACTIONS(3154),
    [anon_sym_set] = ACTIONS(3154),
    [anon_sym_declare] = ACTIONS(3154),
    [anon_sym_public] = ACTIONS(3154),
    [anon_sym_private] = ACTIONS(3154),
    [anon_sym_protected] = ACTIONS(3154),
    [anon_sym_override] = ACTIONS(3154),
    [anon_sym_module] = ACTIONS(3154),
    [anon_sym_any] = ACTIONS(3154),
    [anon_sym_number] = ACTIONS(3154),
    [anon_sym_boolean] = ACTIONS(3154),
    [anon_sym_string] = ACTIONS(3154),
    [anon_sym_symbol] = ACTIONS(3154),
    [anon_sym_object] = ACTIONS(3154),
    [anon_sym_abstract] = ACTIONS(3154),
    [anon_sym_interface] = ACTIONS(3154),
    [anon_sym_enum] = ACTIONS(3154),
    [sym_html_comment] = ACTIONS(5),
  },
  [1063] = {
    [sym_comment] = STATE(1063),
    [sym_identifier] = ACTIONS(3154),
    [anon_sym_export] = ACTIONS(3154),
    [anon_sym_default] = ACTIONS(3154),
    [anon_sym_type] = ACTIONS(3154),
    [anon_sym_namespace] = ACTIONS(3154),
    [anon_sym_LBRACE] = ACTIONS(3154),
    [anon_sym_RBRACE] = ACTIONS(3154),
    [anon_sym_typeof] = ACTIONS(3154),
    [anon_sym_import] = ACTIONS(3154),
    [anon_sym_with] = ACTIONS(3154),
    [anon_sym_var] = ACTIONS(3154),
    [anon_sym_let] = ACTIONS(3154),
    [anon_sym_const] = ACTIONS(3154),
    [anon_sym_BANG] = ACTIONS(3154),
    [anon_sym_else] = ACTIONS(3154),
    [anon_sym_if] = ACTIONS(3154),
    [anon_sym_switch] = ACTIONS(3154),
    [anon_sym_for] = ACTIONS(3154),
    [anon_sym_LPAREN] = ACTIONS(3154),
    [anon_sym_await] = ACTIONS(3154),
    [anon_sym_while] = ACTIONS(3154),
    [anon_sym_do] = ACTIONS(3154),
    [anon_sym_try] = ACTIONS(3154),
    [anon_sym_break] = ACTIONS(3154),
    [anon_sym_continue] = ACTIONS(3154),
    [anon_sym_debugger] = ACTIONS(3154),
    [anon_sym_return] = ACTIONS(3154),
    [anon_sym_throw] = ACTIONS(3154),
    [anon_sym_SEMI] = ACTIONS(3154),
    [anon_sym_case] = ACTIONS(3154),
    [anon_sym_yield] = ACTIONS(3154),
    [anon_sym_LBRACK] = ACTIONS(3154),
    [anon_sym_LTtemplate_GT] = ACTIONS(3154),
    [anon_sym_DQUOTE] = ACTIONS(3154),
    [anon_sym_SQUOTE] = ACTIONS(3154),
    [anon_sym_class] = ACTIONS(3154),
    [anon_sym_async] = ACTIONS(3154),
    [anon_sym_function] = ACTIONS(3154),
    [anon_sym_new] = ACTIONS(3154),
    [anon_sym_using] = ACTIONS(3154),
    [anon_sym_PLUS] = ACTIONS(3154),
    [anon_sym_DASH] = ACTIONS(3154),
    [anon_sym_SLASH] = ACTIONS(3154),
    [anon_sym_LT] = ACTIONS(3154),
    [anon_sym_TILDE] = ACTIONS(3154),
    [anon_sym_void] = ACTIONS(3154),
    [anon_sym_delete] = ACTIONS(3154),
    [anon_sym_PLUS_PLUS] = ACTIONS(3154),
    [anon_sym_DASH_DASH] = ACTIONS(3154),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3154),
    [sym_number] = ACTIONS(3154),
    [sym_private_property_identifier] = ACTIONS(3154),
    [sym_this] = ACTIONS(3154),
    [sym_super] = ACTIONS(3154),
    [sym_true] = ACTIONS(3154),
    [sym_false] = ACTIONS(3154),
    [sym_null] = ACTIONS(3154),
    [sym_undefined] = ACTIONS(3154),
    [anon_sym_AT] = ACTIONS(3154),
    [anon_sym_static] = ACTIONS(3154),
    [anon_sym_readonly] = ACTIONS(3154),
    [anon_sym_get] = ACTIONS(3154),
    [anon_sym_set] = ACTIONS(3154),
    [anon_sym_declare] = ACTIONS(3154),
    [anon_sym_public] = ACTIONS(3154),
    [anon_sym_private] = ACTIONS(3154),
    [anon_sym_protected] = ACTIONS(3154),
    [anon_sym_override] = ACTIONS(3154),
    [anon_sym_module] = ACTIONS(3154),
    [anon_sym_any] = ACTIONS(3154),
    [anon_sym_number] = ACTIONS(3154),
    [anon_sym_boolean] = ACTIONS(3154),
    [anon_sym_string] = ACTIONS(3154),
    [anon_sym_symbol] = ACTIONS(3154),
    [anon_sym_object] = ACTIONS(3154),
    [anon_sym_abstract] = ACTIONS(3154),
    [anon_sym_interface] = ACTIONS(3154),
    [anon_sym_enum] = ACTIONS(3154),
    [sym_html_comment] = ACTIONS(5),
  },
  [1064] = {
    [sym_comment] = STATE(1064),
    [sym_identifier] = ACTIONS(3252),
    [anon_sym_export] = ACTIONS(3252),
    [anon_sym_default] = ACTIONS(3252),
    [anon_sym_type] = ACTIONS(3252),
    [anon_sym_namespace] = ACTIONS(3252),
    [anon_sym_LBRACE] = ACTIONS(3252),
    [anon_sym_RBRACE] = ACTIONS(3252),
    [anon_sym_typeof] = ACTIONS(3252),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_with] = ACTIONS(3252),
    [anon_sym_var] = ACTIONS(3252),
    [anon_sym_let] = ACTIONS(3252),
    [anon_sym_const] = ACTIONS(3252),
    [anon_sym_BANG] = ACTIONS(3252),
    [anon_sym_else] = ACTIONS(3252),
    [anon_sym_if] = ACTIONS(3252),
    [anon_sym_switch] = ACTIONS(3252),
    [anon_sym_for] = ACTIONS(3252),
    [anon_sym_LPAREN] = ACTIONS(3252),
    [anon_sym_await] = ACTIONS(3252),
    [anon_sym_while] = ACTIONS(3252),
    [anon_sym_do] = ACTIONS(3252),
    [anon_sym_try] = ACTIONS(3252),
    [anon_sym_break] = ACTIONS(3252),
    [anon_sym_continue] = ACTIONS(3252),
    [anon_sym_debugger] = ACTIONS(3252),
    [anon_sym_return] = ACTIONS(3252),
    [anon_sym_throw] = ACTIONS(3252),
    [anon_sym_SEMI] = ACTIONS(3252),
    [anon_sym_case] = ACTIONS(3252),
    [anon_sym_yield] = ACTIONS(3252),
    [anon_sym_LBRACK] = ACTIONS(3252),
    [anon_sym_LTtemplate_GT] = ACTIONS(3252),
    [anon_sym_DQUOTE] = ACTIONS(3252),
    [anon_sym_SQUOTE] = ACTIONS(3252),
    [anon_sym_class] = ACTIONS(3252),
    [anon_sym_async] = ACTIONS(3252),
    [anon_sym_function] = ACTIONS(3252),
    [anon_sym_new] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3252),
    [anon_sym_PLUS] = ACTIONS(3252),
    [anon_sym_DASH] = ACTIONS(3252),
    [anon_sym_SLASH] = ACTIONS(3252),
    [anon_sym_LT] = ACTIONS(3252),
    [anon_sym_TILDE] = ACTIONS(3252),
    [anon_sym_void] = ACTIONS(3252),
    [anon_sym_delete] = ACTIONS(3252),
    [anon_sym_PLUS_PLUS] = ACTIONS(3252),
    [anon_sym_DASH_DASH] = ACTIONS(3252),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3252),
    [sym_number] = ACTIONS(3252),
    [sym_private_property_identifier] = ACTIONS(3252),
    [sym_this] = ACTIONS(3252),
    [sym_super] = ACTIONS(3252),
    [sym_true] = ACTIONS(3252),
    [sym_false] = ACTIONS(3252),
    [sym_null] = ACTIONS(3252),
    [sym_undefined] = ACTIONS(3252),
    [anon_sym_AT] = ACTIONS(3252),
    [anon_sym_static] = ACTIONS(3252),
    [anon_sym_readonly] = ACTIONS(3252),
    [anon_sym_get] = ACTIONS(3252),
    [anon_sym_set] = ACTIONS(3252),
    [anon_sym_declare] = ACTIONS(3252),
    [anon_sym_public] = ACTIONS(3252),
    [anon_sym_private] = ACTIONS(3252),
    [anon_sym_protected] = ACTIONS(3252),
    [anon_sym_override] = ACTIONS(3252),
    [anon_sym_module] = ACTIONS(3252),
    [anon_sym_any] = ACTIONS(3252),
    [anon_sym_number] = ACTIONS(3252),
    [anon_sym_boolean] = ACTIONS(3252),
    [anon_sym_string] = ACTIONS(3252),
    [anon_sym_symbol] = ACTIONS(3252),
    [anon_sym_object] = ACTIONS(3252),
    [anon_sym_abstract] = ACTIONS(3252),
    [anon_sym_interface] = ACTIONS(3252),
    [anon_sym_enum] = ACTIONS(3252),
    [sym_html_comment] = ACTIONS(5),
  },
  [1065] = {
    [sym_comment] = STATE(1065),
    [sym_identifier] = ACTIONS(3252),
    [anon_sym_export] = ACTIONS(3252),
    [anon_sym_default] = ACTIONS(3252),
    [anon_sym_type] = ACTIONS(3252),
    [anon_sym_namespace] = ACTIONS(3252),
    [anon_sym_LBRACE] = ACTIONS(3252),
    [anon_sym_RBRACE] = ACTIONS(3252),
    [anon_sym_typeof] = ACTIONS(3252),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_with] = ACTIONS(3252),
    [anon_sym_var] = ACTIONS(3252),
    [anon_sym_let] = ACTIONS(3252),
    [anon_sym_const] = ACTIONS(3252),
    [anon_sym_BANG] = ACTIONS(3252),
    [anon_sym_else] = ACTIONS(3252),
    [anon_sym_if] = ACTIONS(3252),
    [anon_sym_switch] = ACTIONS(3252),
    [anon_sym_for] = ACTIONS(3252),
    [anon_sym_LPAREN] = ACTIONS(3252),
    [anon_sym_await] = ACTIONS(3252),
    [anon_sym_while] = ACTIONS(3252),
    [anon_sym_do] = ACTIONS(3252),
    [anon_sym_try] = ACTIONS(3252),
    [anon_sym_break] = ACTIONS(3252),
    [anon_sym_continue] = ACTIONS(3252),
    [anon_sym_debugger] = ACTIONS(3252),
    [anon_sym_return] = ACTIONS(3252),
    [anon_sym_throw] = ACTIONS(3252),
    [anon_sym_SEMI] = ACTIONS(3252),
    [anon_sym_case] = ACTIONS(3252),
    [anon_sym_yield] = ACTIONS(3252),
    [anon_sym_LBRACK] = ACTIONS(3252),
    [anon_sym_LTtemplate_GT] = ACTIONS(3252),
    [anon_sym_DQUOTE] = ACTIONS(3252),
    [anon_sym_SQUOTE] = ACTIONS(3252),
    [anon_sym_class] = ACTIONS(3252),
    [anon_sym_async] = ACTIONS(3252),
    [anon_sym_function] = ACTIONS(3252),
    [anon_sym_new] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3252),
    [anon_sym_PLUS] = ACTIONS(3252),
    [anon_sym_DASH] = ACTIONS(3252),
    [anon_sym_SLASH] = ACTIONS(3252),
    [anon_sym_LT] = ACTIONS(3252),
    [anon_sym_TILDE] = ACTIONS(3252),
    [anon_sym_void] = ACTIONS(3252),
    [anon_sym_delete] = ACTIONS(3252),
    [anon_sym_PLUS_PLUS] = ACTIONS(3252),
    [anon_sym_DASH_DASH] = ACTIONS(3252),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3252),
    [sym_number] = ACTIONS(3252),
    [sym_private_property_identifier] = ACTIONS(3252),
    [sym_this] = ACTIONS(3252),
    [sym_super] = ACTIONS(3252),
    [sym_true] = ACTIONS(3252),
    [sym_false] = ACTIONS(3252),
    [sym_null] = ACTIONS(3252),
    [sym_undefined] = ACTIONS(3252),
    [anon_sym_AT] = ACTIONS(3252),
    [anon_sym_static] = ACTIONS(3252),
    [anon_sym_readonly] = ACTIONS(3252),
    [anon_sym_get] = ACTIONS(3252),
    [anon_sym_set] = ACTIONS(3252),
    [anon_sym_declare] = ACTIONS(3252),
    [anon_sym_public] = ACTIONS(3252),
    [anon_sym_private] = ACTIONS(3252),
    [anon_sym_protected] = ACTIONS(3252),
    [anon_sym_override] = ACTIONS(3252),
    [anon_sym_module] = ACTIONS(3252),
    [anon_sym_any] = ACTIONS(3252),
    [anon_sym_number] = ACTIONS(3252),
    [anon_sym_boolean] = ACTIONS(3252),
    [anon_sym_string] = ACTIONS(3252),
    [anon_sym_symbol] = ACTIONS(3252),
    [anon_sym_object] = ACTIONS(3252),
    [anon_sym_abstract] = ACTIONS(3252),
    [anon_sym_interface] = ACTIONS(3252),
    [anon_sym_enum] = ACTIONS(3252),
    [sym_html_comment] = ACTIONS(5),
  },
  [1066] = {
    [sym_comment] = STATE(1066),
    [sym_identifier] = ACTIONS(3252),
    [anon_sym_export] = ACTIONS(3252),
    [anon_sym_default] = ACTIONS(3252),
    [anon_sym_type] = ACTIONS(3252),
    [anon_sym_namespace] = ACTIONS(3252),
    [anon_sym_LBRACE] = ACTIONS(3252),
    [anon_sym_RBRACE] = ACTIONS(3252),
    [anon_sym_typeof] = ACTIONS(3252),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_with] = ACTIONS(3252),
    [anon_sym_var] = ACTIONS(3252),
    [anon_sym_let] = ACTIONS(3252),
    [anon_sym_const] = ACTIONS(3252),
    [anon_sym_BANG] = ACTIONS(3252),
    [anon_sym_else] = ACTIONS(3252),
    [anon_sym_if] = ACTIONS(3252),
    [anon_sym_switch] = ACTIONS(3252),
    [anon_sym_for] = ACTIONS(3252),
    [anon_sym_LPAREN] = ACTIONS(3252),
    [anon_sym_await] = ACTIONS(3252),
    [anon_sym_while] = ACTIONS(3252),
    [anon_sym_do] = ACTIONS(3252),
    [anon_sym_try] = ACTIONS(3252),
    [anon_sym_break] = ACTIONS(3252),
    [anon_sym_continue] = ACTIONS(3252),
    [anon_sym_debugger] = ACTIONS(3252),
    [anon_sym_return] = ACTIONS(3252),
    [anon_sym_throw] = ACTIONS(3252),
    [anon_sym_SEMI] = ACTIONS(3252),
    [anon_sym_case] = ACTIONS(3252),
    [anon_sym_yield] = ACTIONS(3252),
    [anon_sym_LBRACK] = ACTIONS(3252),
    [anon_sym_LTtemplate_GT] = ACTIONS(3252),
    [anon_sym_DQUOTE] = ACTIONS(3252),
    [anon_sym_SQUOTE] = ACTIONS(3252),
    [anon_sym_class] = ACTIONS(3252),
    [anon_sym_async] = ACTIONS(3252),
    [anon_sym_function] = ACTIONS(3252),
    [anon_sym_new] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3252),
    [anon_sym_PLUS] = ACTIONS(3252),
    [anon_sym_DASH] = ACTIONS(3252),
    [anon_sym_SLASH] = ACTIONS(3252),
    [anon_sym_LT] = ACTIONS(3252),
    [anon_sym_TILDE] = ACTIONS(3252),
    [anon_sym_void] = ACTIONS(3252),
    [anon_sym_delete] = ACTIONS(3252),
    [anon_sym_PLUS_PLUS] = ACTIONS(3252),
    [anon_sym_DASH_DASH] = ACTIONS(3252),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3252),
    [sym_number] = ACTIONS(3252),
    [sym_private_property_identifier] = ACTIONS(3252),
    [sym_this] = ACTIONS(3252),
    [sym_super] = ACTIONS(3252),
    [sym_true] = ACTIONS(3252),
    [sym_false] = ACTIONS(3252),
    [sym_null] = ACTIONS(3252),
    [sym_undefined] = ACTIONS(3252),
    [anon_sym_AT] = ACTIONS(3252),
    [anon_sym_static] = ACTIONS(3252),
    [anon_sym_readonly] = ACTIONS(3252),
    [anon_sym_get] = ACTIONS(3252),
    [anon_sym_set] = ACTIONS(3252),
    [anon_sym_declare] = ACTIONS(3252),
    [anon_sym_public] = ACTIONS(3252),
    [anon_sym_private] = ACTIONS(3252),
    [anon_sym_protected] = ACTIONS(3252),
    [anon_sym_override] = ACTIONS(3252),
    [anon_sym_module] = ACTIONS(3252),
    [anon_sym_any] = ACTIONS(3252),
    [anon_sym_number] = ACTIONS(3252),
    [anon_sym_boolean] = ACTIONS(3252),
    [anon_sym_string] = ACTIONS(3252),
    [anon_sym_symbol] = ACTIONS(3252),
    [anon_sym_object] = ACTIONS(3252),
    [anon_sym_abstract] = ACTIONS(3252),
    [anon_sym_interface] = ACTIONS(3252),
    [anon_sym_enum] = ACTIONS(3252),
    [sym_html_comment] = ACTIONS(5),
  },
  [1067] = {
    [sym_comment] = STATE(1067),
    [sym_identifier] = ACTIONS(3252),
    [anon_sym_export] = ACTIONS(3252),
    [anon_sym_default] = ACTIONS(3252),
    [anon_sym_type] = ACTIONS(3252),
    [anon_sym_namespace] = ACTIONS(3252),
    [anon_sym_LBRACE] = ACTIONS(3252),
    [anon_sym_RBRACE] = ACTIONS(3252),
    [anon_sym_typeof] = ACTIONS(3252),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_with] = ACTIONS(3252),
    [anon_sym_var] = ACTIONS(3252),
    [anon_sym_let] = ACTIONS(3252),
    [anon_sym_const] = ACTIONS(3252),
    [anon_sym_BANG] = ACTIONS(3252),
    [anon_sym_else] = ACTIONS(3252),
    [anon_sym_if] = ACTIONS(3252),
    [anon_sym_switch] = ACTIONS(3252),
    [anon_sym_for] = ACTIONS(3252),
    [anon_sym_LPAREN] = ACTIONS(3252),
    [anon_sym_await] = ACTIONS(3252),
    [anon_sym_while] = ACTIONS(3252),
    [anon_sym_do] = ACTIONS(3252),
    [anon_sym_try] = ACTIONS(3252),
    [anon_sym_break] = ACTIONS(3252),
    [anon_sym_continue] = ACTIONS(3252),
    [anon_sym_debugger] = ACTIONS(3252),
    [anon_sym_return] = ACTIONS(3252),
    [anon_sym_throw] = ACTIONS(3252),
    [anon_sym_SEMI] = ACTIONS(3252),
    [anon_sym_case] = ACTIONS(3252),
    [anon_sym_yield] = ACTIONS(3252),
    [anon_sym_LBRACK] = ACTIONS(3252),
    [anon_sym_LTtemplate_GT] = ACTIONS(3252),
    [anon_sym_DQUOTE] = ACTIONS(3252),
    [anon_sym_SQUOTE] = ACTIONS(3252),
    [anon_sym_class] = ACTIONS(3252),
    [anon_sym_async] = ACTIONS(3252),
    [anon_sym_function] = ACTIONS(3252),
    [anon_sym_new] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3252),
    [anon_sym_PLUS] = ACTIONS(3252),
    [anon_sym_DASH] = ACTIONS(3252),
    [anon_sym_SLASH] = ACTIONS(3252),
    [anon_sym_LT] = ACTIONS(3252),
    [anon_sym_TILDE] = ACTIONS(3252),
    [anon_sym_void] = ACTIONS(3252),
    [anon_sym_delete] = ACTIONS(3252),
    [anon_sym_PLUS_PLUS] = ACTIONS(3252),
    [anon_sym_DASH_DASH] = ACTIONS(3252),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3252),
    [sym_number] = ACTIONS(3252),
    [sym_private_property_identifier] = ACTIONS(3252),
    [sym_this] = ACTIONS(3252),
    [sym_super] = ACTIONS(3252),
    [sym_true] = ACTIONS(3252),
    [sym_false] = ACTIONS(3252),
    [sym_null] = ACTIONS(3252),
    [sym_undefined] = ACTIONS(3252),
    [anon_sym_AT] = ACTIONS(3252),
    [anon_sym_static] = ACTIONS(3252),
    [anon_sym_readonly] = ACTIONS(3252),
    [anon_sym_get] = ACTIONS(3252),
    [anon_sym_set] = ACTIONS(3252),
    [anon_sym_declare] = ACTIONS(3252),
    [anon_sym_public] = ACTIONS(3252),
    [anon_sym_private] = ACTIONS(3252),
    [anon_sym_protected] = ACTIONS(3252),
    [anon_sym_override] = ACTIONS(3252),
    [anon_sym_module] = ACTIONS(3252),
    [anon_sym_any] = ACTIONS(3252),
    [anon_sym_number] = ACTIONS(3252),
    [anon_sym_boolean] = ACTIONS(3252),
    [anon_sym_string] = ACTIONS(3252),
    [anon_sym_symbol] = ACTIONS(3252),
    [anon_sym_object] = ACTIONS(3252),
    [anon_sym_abstract] = ACTIONS(3252),
    [anon_sym_interface] = ACTIONS(3252),
    [anon_sym_enum] = ACTIONS(3252),
    [sym_html_comment] = ACTIONS(5),
  },
  [1068] = {
    [sym_comment] = STATE(1068),
    [sym_identifier] = ACTIONS(2105),
    [anon_sym_export] = ACTIONS(2105),
    [anon_sym_default] = ACTIONS(2105),
    [anon_sym_type] = ACTIONS(2105),
    [anon_sym_namespace] = ACTIONS(2105),
    [anon_sym_LBRACE] = ACTIONS(2105),
    [anon_sym_RBRACE] = ACTIONS(2105),
    [anon_sym_typeof] = ACTIONS(2105),
    [anon_sym_import] = ACTIONS(2105),
    [anon_sym_with] = ACTIONS(2105),
    [anon_sym_var] = ACTIONS(2105),
    [anon_sym_let] = ACTIONS(2105),
    [anon_sym_const] = ACTIONS(2105),
    [anon_sym_BANG] = ACTIONS(2105),
    [anon_sym_else] = ACTIONS(2105),
    [anon_sym_if] = ACTIONS(2105),
    [anon_sym_switch] = ACTIONS(2105),
    [anon_sym_for] = ACTIONS(2105),
    [anon_sym_LPAREN] = ACTIONS(2105),
    [anon_sym_await] = ACTIONS(2105),
    [anon_sym_while] = ACTIONS(2105),
    [anon_sym_do] = ACTIONS(2105),
    [anon_sym_try] = ACTIONS(2105),
    [anon_sym_break] = ACTIONS(2105),
    [anon_sym_continue] = ACTIONS(2105),
    [anon_sym_debugger] = ACTIONS(2105),
    [anon_sym_return] = ACTIONS(2105),
    [anon_sym_throw] = ACTIONS(2105),
    [anon_sym_SEMI] = ACTIONS(2105),
    [anon_sym_case] = ACTIONS(2105),
    [anon_sym_yield] = ACTIONS(2105),
    [anon_sym_LBRACK] = ACTIONS(2105),
    [anon_sym_LTtemplate_GT] = ACTIONS(2105),
    [anon_sym_DQUOTE] = ACTIONS(2105),
    [anon_sym_SQUOTE] = ACTIONS(2105),
    [anon_sym_class] = ACTIONS(2105),
    [anon_sym_async] = ACTIONS(2105),
    [anon_sym_function] = ACTIONS(2105),
    [anon_sym_new] = ACTIONS(2105),
    [anon_sym_using] = ACTIONS(2105),
    [anon_sym_PLUS] = ACTIONS(2105),
    [anon_sym_DASH] = ACTIONS(2105),
    [anon_sym_SLASH] = ACTIONS(2105),
    [anon_sym_LT] = ACTIONS(2105),
    [anon_sym_TILDE] = ACTIONS(2105),
    [anon_sym_void] = ACTIONS(2105),
    [anon_sym_delete] = ACTIONS(2105),
    [anon_sym_PLUS_PLUS] = ACTIONS(2105),
    [anon_sym_DASH_DASH] = ACTIONS(2105),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2105),
    [sym_number] = ACTIONS(2105),
    [sym_private_property_identifier] = ACTIONS(2105),
    [sym_this] = ACTIONS(2105),
    [sym_super] = ACTIONS(2105),
    [sym_true] = ACTIONS(2105),
    [sym_false] = ACTIONS(2105),
    [sym_null] = ACTIONS(2105),
    [sym_undefined] = ACTIONS(2105),
    [anon_sym_AT] = ACTIONS(2105),
    [anon_sym_static] = ACTIONS(2105),
    [anon_sym_readonly] = ACTIONS(2105),
    [anon_sym_get] = ACTIONS(2105),
    [anon_sym_set] = ACTIONS(2105),
    [anon_sym_declare] = ACTIONS(2105),
    [anon_sym_public] = ACTIONS(2105),
    [anon_sym_private] = ACTIONS(2105),
    [anon_sym_protected] = ACTIONS(2105),
    [anon_sym_override] = ACTIONS(2105),
    [anon_sym_module] = ACTIONS(2105),
    [anon_sym_any] = ACTIONS(2105),
    [anon_sym_number] = ACTIONS(2105),
    [anon_sym_boolean] = ACTIONS(2105),
    [anon_sym_string] = ACTIONS(2105),
    [anon_sym_symbol] = ACTIONS(2105),
    [anon_sym_object] = ACTIONS(2105),
    [anon_sym_abstract] = ACTIONS(2105),
    [anon_sym_interface] = ACTIONS(2105),
    [anon_sym_enum] = ACTIONS(2105),
    [sym_html_comment] = ACTIONS(5),
  },
  [1069] = {
    [sym_comment] = STATE(1069),
    [sym_identifier] = ACTIONS(3254),
    [anon_sym_export] = ACTIONS(3254),
    [anon_sym_default] = ACTIONS(3254),
    [anon_sym_type] = ACTIONS(3254),
    [anon_sym_namespace] = ACTIONS(3254),
    [anon_sym_LBRACE] = ACTIONS(3254),
    [anon_sym_RBRACE] = ACTIONS(3254),
    [anon_sym_typeof] = ACTIONS(3254),
    [anon_sym_import] = ACTIONS(3254),
    [anon_sym_with] = ACTIONS(3254),
    [anon_sym_var] = ACTIONS(3254),
    [anon_sym_let] = ACTIONS(3254),
    [anon_sym_const] = ACTIONS(3254),
    [anon_sym_BANG] = ACTIONS(3254),
    [anon_sym_else] = ACTIONS(3254),
    [anon_sym_if] = ACTIONS(3254),
    [anon_sym_switch] = ACTIONS(3254),
    [anon_sym_for] = ACTIONS(3254),
    [anon_sym_LPAREN] = ACTIONS(3254),
    [anon_sym_await] = ACTIONS(3254),
    [anon_sym_while] = ACTIONS(3254),
    [anon_sym_do] = ACTIONS(3254),
    [anon_sym_try] = ACTIONS(3254),
    [anon_sym_break] = ACTIONS(3254),
    [anon_sym_continue] = ACTIONS(3254),
    [anon_sym_debugger] = ACTIONS(3254),
    [anon_sym_return] = ACTIONS(3254),
    [anon_sym_throw] = ACTIONS(3254),
    [anon_sym_SEMI] = ACTIONS(3254),
    [anon_sym_case] = ACTIONS(3254),
    [anon_sym_yield] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(3254),
    [anon_sym_LTtemplate_GT] = ACTIONS(3254),
    [anon_sym_DQUOTE] = ACTIONS(3254),
    [anon_sym_SQUOTE] = ACTIONS(3254),
    [anon_sym_class] = ACTIONS(3254),
    [anon_sym_async] = ACTIONS(3254),
    [anon_sym_function] = ACTIONS(3254),
    [anon_sym_new] = ACTIONS(3254),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_PLUS] = ACTIONS(3254),
    [anon_sym_DASH] = ACTIONS(3254),
    [anon_sym_SLASH] = ACTIONS(3254),
    [anon_sym_LT] = ACTIONS(3254),
    [anon_sym_TILDE] = ACTIONS(3254),
    [anon_sym_void] = ACTIONS(3254),
    [anon_sym_delete] = ACTIONS(3254),
    [anon_sym_PLUS_PLUS] = ACTIONS(3254),
    [anon_sym_DASH_DASH] = ACTIONS(3254),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3254),
    [sym_number] = ACTIONS(3254),
    [sym_private_property_identifier] = ACTIONS(3254),
    [sym_this] = ACTIONS(3254),
    [sym_super] = ACTIONS(3254),
    [sym_true] = ACTIONS(3254),
    [sym_false] = ACTIONS(3254),
    [sym_null] = ACTIONS(3254),
    [sym_undefined] = ACTIONS(3254),
    [anon_sym_AT] = ACTIONS(3254),
    [anon_sym_static] = ACTIONS(3254),
    [anon_sym_readonly] = ACTIONS(3254),
    [anon_sym_get] = ACTIONS(3254),
    [anon_sym_set] = ACTIONS(3254),
    [anon_sym_declare] = ACTIONS(3254),
    [anon_sym_public] = ACTIONS(3254),
    [anon_sym_private] = ACTIONS(3254),
    [anon_sym_protected] = ACTIONS(3254),
    [anon_sym_override] = ACTIONS(3254),
    [anon_sym_module] = ACTIONS(3254),
    [anon_sym_any] = ACTIONS(3254),
    [anon_sym_number] = ACTIONS(3254),
    [anon_sym_boolean] = ACTIONS(3254),
    [anon_sym_string] = ACTIONS(3254),
    [anon_sym_symbol] = ACTIONS(3254),
    [anon_sym_object] = ACTIONS(3254),
    [anon_sym_abstract] = ACTIONS(3254),
    [anon_sym_interface] = ACTIONS(3254),
    [anon_sym_enum] = ACTIONS(3254),
    [sym_html_comment] = ACTIONS(5),
  },
  [1070] = {
    [sym_comment] = STATE(1070),
    [sym_identifier] = ACTIONS(3256),
    [anon_sym_export] = ACTIONS(3256),
    [anon_sym_default] = ACTIONS(3256),
    [anon_sym_type] = ACTIONS(3256),
    [anon_sym_namespace] = ACTIONS(3256),
    [anon_sym_LBRACE] = ACTIONS(3256),
    [anon_sym_RBRACE] = ACTIONS(3256),
    [anon_sym_typeof] = ACTIONS(3256),
    [anon_sym_import] = ACTIONS(3256),
    [anon_sym_with] = ACTIONS(3256),
    [anon_sym_var] = ACTIONS(3256),
    [anon_sym_let] = ACTIONS(3256),
    [anon_sym_const] = ACTIONS(3256),
    [anon_sym_BANG] = ACTIONS(3256),
    [anon_sym_else] = ACTIONS(3256),
    [anon_sym_if] = ACTIONS(3256),
    [anon_sym_switch] = ACTIONS(3256),
    [anon_sym_for] = ACTIONS(3256),
    [anon_sym_LPAREN] = ACTIONS(3256),
    [anon_sym_await] = ACTIONS(3256),
    [anon_sym_while] = ACTIONS(3256),
    [anon_sym_do] = ACTIONS(3256),
    [anon_sym_try] = ACTIONS(3256),
    [anon_sym_break] = ACTIONS(3256),
    [anon_sym_continue] = ACTIONS(3256),
    [anon_sym_debugger] = ACTIONS(3256),
    [anon_sym_return] = ACTIONS(3256),
    [anon_sym_throw] = ACTIONS(3256),
    [anon_sym_SEMI] = ACTIONS(3256),
    [anon_sym_case] = ACTIONS(3256),
    [anon_sym_yield] = ACTIONS(3256),
    [anon_sym_LBRACK] = ACTIONS(3256),
    [anon_sym_LTtemplate_GT] = ACTIONS(3256),
    [anon_sym_DQUOTE] = ACTIONS(3256),
    [anon_sym_SQUOTE] = ACTIONS(3256),
    [anon_sym_class] = ACTIONS(3256),
    [anon_sym_async] = ACTIONS(3256),
    [anon_sym_function] = ACTIONS(3256),
    [anon_sym_new] = ACTIONS(3256),
    [anon_sym_using] = ACTIONS(3256),
    [anon_sym_PLUS] = ACTIONS(3256),
    [anon_sym_DASH] = ACTIONS(3256),
    [anon_sym_SLASH] = ACTIONS(3256),
    [anon_sym_LT] = ACTIONS(3256),
    [anon_sym_TILDE] = ACTIONS(3256),
    [anon_sym_void] = ACTIONS(3256),
    [anon_sym_delete] = ACTIONS(3256),
    [anon_sym_PLUS_PLUS] = ACTIONS(3256),
    [anon_sym_DASH_DASH] = ACTIONS(3256),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3256),
    [sym_number] = ACTIONS(3256),
    [sym_private_property_identifier] = ACTIONS(3256),
    [sym_this] = ACTIONS(3256),
    [sym_super] = ACTIONS(3256),
    [sym_true] = ACTIONS(3256),
    [sym_false] = ACTIONS(3256),
    [sym_null] = ACTIONS(3256),
    [sym_undefined] = ACTIONS(3256),
    [anon_sym_AT] = ACTIONS(3256),
    [anon_sym_static] = ACTIONS(3256),
    [anon_sym_readonly] = ACTIONS(3256),
    [anon_sym_get] = ACTIONS(3256),
    [anon_sym_set] = ACTIONS(3256),
    [anon_sym_declare] = ACTIONS(3256),
    [anon_sym_public] = ACTIONS(3256),
    [anon_sym_private] = ACTIONS(3256),
    [anon_sym_protected] = ACTIONS(3256),
    [anon_sym_override] = ACTIONS(3256),
    [anon_sym_module] = ACTIONS(3256),
    [anon_sym_any] = ACTIONS(3256),
    [anon_sym_number] = ACTIONS(3256),
    [anon_sym_boolean] = ACTIONS(3256),
    [anon_sym_string] = ACTIONS(3256),
    [anon_sym_symbol] = ACTIONS(3256),
    [anon_sym_object] = ACTIONS(3256),
    [anon_sym_abstract] = ACTIONS(3256),
    [anon_sym_interface] = ACTIONS(3256),
    [anon_sym_enum] = ACTIONS(3256),
    [sym_html_comment] = ACTIONS(5),
  },
  [1071] = {
    [sym_comment] = STATE(1071),
    [sym_identifier] = ACTIONS(3252),
    [anon_sym_export] = ACTIONS(3252),
    [anon_sym_default] = ACTIONS(3252),
    [anon_sym_type] = ACTIONS(3252),
    [anon_sym_namespace] = ACTIONS(3252),
    [anon_sym_LBRACE] = ACTIONS(3252),
    [anon_sym_RBRACE] = ACTIONS(3252),
    [anon_sym_typeof] = ACTIONS(3252),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_with] = ACTIONS(3252),
    [anon_sym_var] = ACTIONS(3252),
    [anon_sym_let] = ACTIONS(3252),
    [anon_sym_const] = ACTIONS(3252),
    [anon_sym_BANG] = ACTIONS(3252),
    [anon_sym_else] = ACTIONS(3252),
    [anon_sym_if] = ACTIONS(3252),
    [anon_sym_switch] = ACTIONS(3252),
    [anon_sym_for] = ACTIONS(3252),
    [anon_sym_LPAREN] = ACTIONS(3252),
    [anon_sym_await] = ACTIONS(3252),
    [anon_sym_while] = ACTIONS(3252),
    [anon_sym_do] = ACTIONS(3252),
    [anon_sym_try] = ACTIONS(3252),
    [anon_sym_break] = ACTIONS(3252),
    [anon_sym_continue] = ACTIONS(3252),
    [anon_sym_debugger] = ACTIONS(3252),
    [anon_sym_return] = ACTIONS(3252),
    [anon_sym_throw] = ACTIONS(3252),
    [anon_sym_SEMI] = ACTIONS(3252),
    [anon_sym_case] = ACTIONS(3252),
    [anon_sym_yield] = ACTIONS(3252),
    [anon_sym_LBRACK] = ACTIONS(3252),
    [anon_sym_LTtemplate_GT] = ACTIONS(3252),
    [anon_sym_DQUOTE] = ACTIONS(3252),
    [anon_sym_SQUOTE] = ACTIONS(3252),
    [anon_sym_class] = ACTIONS(3252),
    [anon_sym_async] = ACTIONS(3252),
    [anon_sym_function] = ACTIONS(3252),
    [anon_sym_new] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3252),
    [anon_sym_PLUS] = ACTIONS(3252),
    [anon_sym_DASH] = ACTIONS(3252),
    [anon_sym_SLASH] = ACTIONS(3252),
    [anon_sym_LT] = ACTIONS(3252),
    [anon_sym_TILDE] = ACTIONS(3252),
    [anon_sym_void] = ACTIONS(3252),
    [anon_sym_delete] = ACTIONS(3252),
    [anon_sym_PLUS_PLUS] = ACTIONS(3252),
    [anon_sym_DASH_DASH] = ACTIONS(3252),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3252),
    [sym_number] = ACTIONS(3252),
    [sym_private_property_identifier] = ACTIONS(3252),
    [sym_this] = ACTIONS(3252),
    [sym_super] = ACTIONS(3252),
    [sym_true] = ACTIONS(3252),
    [sym_false] = ACTIONS(3252),
    [sym_null] = ACTIONS(3252),
    [sym_undefined] = ACTIONS(3252),
    [anon_sym_AT] = ACTIONS(3252),
    [anon_sym_static] = ACTIONS(3252),
    [anon_sym_readonly] = ACTIONS(3252),
    [anon_sym_get] = ACTIONS(3252),
    [anon_sym_set] = ACTIONS(3252),
    [anon_sym_declare] = ACTIONS(3252),
    [anon_sym_public] = ACTIONS(3252),
    [anon_sym_private] = ACTIONS(3252),
    [anon_sym_protected] = ACTIONS(3252),
    [anon_sym_override] = ACTIONS(3252),
    [anon_sym_module] = ACTIONS(3252),
    [anon_sym_any] = ACTIONS(3252),
    [anon_sym_number] = ACTIONS(3252),
    [anon_sym_boolean] = ACTIONS(3252),
    [anon_sym_string] = ACTIONS(3252),
    [anon_sym_symbol] = ACTIONS(3252),
    [anon_sym_object] = ACTIONS(3252),
    [anon_sym_abstract] = ACTIONS(3252),
    [anon_sym_interface] = ACTIONS(3252),
    [anon_sym_enum] = ACTIONS(3252),
    [sym_html_comment] = ACTIONS(5),
  },
  [1072] = {
    [sym_comment] = STATE(1072),
    [sym_identifier] = ACTIONS(3252),
    [anon_sym_export] = ACTIONS(3252),
    [anon_sym_default] = ACTIONS(3252),
    [anon_sym_type] = ACTIONS(3252),
    [anon_sym_namespace] = ACTIONS(3252),
    [anon_sym_LBRACE] = ACTIONS(3252),
    [anon_sym_RBRACE] = ACTIONS(3252),
    [anon_sym_typeof] = ACTIONS(3252),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_with] = ACTIONS(3252),
    [anon_sym_var] = ACTIONS(3252),
    [anon_sym_let] = ACTIONS(3252),
    [anon_sym_const] = ACTIONS(3252),
    [anon_sym_BANG] = ACTIONS(3252),
    [anon_sym_else] = ACTIONS(3252),
    [anon_sym_if] = ACTIONS(3252),
    [anon_sym_switch] = ACTIONS(3252),
    [anon_sym_for] = ACTIONS(3252),
    [anon_sym_LPAREN] = ACTIONS(3252),
    [anon_sym_await] = ACTIONS(3252),
    [anon_sym_while] = ACTIONS(3252),
    [anon_sym_do] = ACTIONS(3252),
    [anon_sym_try] = ACTIONS(3252),
    [anon_sym_break] = ACTIONS(3252),
    [anon_sym_continue] = ACTIONS(3252),
    [anon_sym_debugger] = ACTIONS(3252),
    [anon_sym_return] = ACTIONS(3252),
    [anon_sym_throw] = ACTIONS(3252),
    [anon_sym_SEMI] = ACTIONS(3252),
    [anon_sym_case] = ACTIONS(3252),
    [anon_sym_yield] = ACTIONS(3252),
    [anon_sym_LBRACK] = ACTIONS(3252),
    [anon_sym_LTtemplate_GT] = ACTIONS(3252),
    [anon_sym_DQUOTE] = ACTIONS(3252),
    [anon_sym_SQUOTE] = ACTIONS(3252),
    [anon_sym_class] = ACTIONS(3252),
    [anon_sym_async] = ACTIONS(3252),
    [anon_sym_function] = ACTIONS(3252),
    [anon_sym_new] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3252),
    [anon_sym_PLUS] = ACTIONS(3252),
    [anon_sym_DASH] = ACTIONS(3252),
    [anon_sym_SLASH] = ACTIONS(3252),
    [anon_sym_LT] = ACTIONS(3252),
    [anon_sym_TILDE] = ACTIONS(3252),
    [anon_sym_void] = ACTIONS(3252),
    [anon_sym_delete] = ACTIONS(3252),
    [anon_sym_PLUS_PLUS] = ACTIONS(3252),
    [anon_sym_DASH_DASH] = ACTIONS(3252),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3252),
    [sym_number] = ACTIONS(3252),
    [sym_private_property_identifier] = ACTIONS(3252),
    [sym_this] = ACTIONS(3252),
    [sym_super] = ACTIONS(3252),
    [sym_true] = ACTIONS(3252),
    [sym_false] = ACTIONS(3252),
    [sym_null] = ACTIONS(3252),
    [sym_undefined] = ACTIONS(3252),
    [anon_sym_AT] = ACTIONS(3252),
    [anon_sym_static] = ACTIONS(3252),
    [anon_sym_readonly] = ACTIONS(3252),
    [anon_sym_get] = ACTIONS(3252),
    [anon_sym_set] = ACTIONS(3252),
    [anon_sym_declare] = ACTIONS(3252),
    [anon_sym_public] = ACTIONS(3252),
    [anon_sym_private] = ACTIONS(3252),
    [anon_sym_protected] = ACTIONS(3252),
    [anon_sym_override] = ACTIONS(3252),
    [anon_sym_module] = ACTIONS(3252),
    [anon_sym_any] = ACTIONS(3252),
    [anon_sym_number] = ACTIONS(3252),
    [anon_sym_boolean] = ACTIONS(3252),
    [anon_sym_string] = ACTIONS(3252),
    [anon_sym_symbol] = ACTIONS(3252),
    [anon_sym_object] = ACTIONS(3252),
    [anon_sym_abstract] = ACTIONS(3252),
    [anon_sym_interface] = ACTIONS(3252),
    [anon_sym_enum] = ACTIONS(3252),
    [sym_html_comment] = ACTIONS(5),
  },
  [1073] = {
    [sym_comment] = STATE(1073),
    [sym_identifier] = ACTIONS(3258),
    [anon_sym_export] = ACTIONS(3258),
    [anon_sym_default] = ACTIONS(3258),
    [anon_sym_type] = ACTIONS(3258),
    [anon_sym_namespace] = ACTIONS(3258),
    [anon_sym_LBRACE] = ACTIONS(3258),
    [anon_sym_RBRACE] = ACTIONS(3258),
    [anon_sym_typeof] = ACTIONS(3258),
    [anon_sym_import] = ACTIONS(3258),
    [anon_sym_with] = ACTIONS(3258),
    [anon_sym_var] = ACTIONS(3258),
    [anon_sym_let] = ACTIONS(3258),
    [anon_sym_const] = ACTIONS(3258),
    [anon_sym_BANG] = ACTIONS(3258),
    [anon_sym_else] = ACTIONS(3258),
    [anon_sym_if] = ACTIONS(3258),
    [anon_sym_switch] = ACTIONS(3258),
    [anon_sym_for] = ACTIONS(3258),
    [anon_sym_LPAREN] = ACTIONS(3258),
    [anon_sym_await] = ACTIONS(3258),
    [anon_sym_while] = ACTIONS(3258),
    [anon_sym_do] = ACTIONS(3258),
    [anon_sym_try] = ACTIONS(3258),
    [anon_sym_break] = ACTIONS(3258),
    [anon_sym_continue] = ACTIONS(3258),
    [anon_sym_debugger] = ACTIONS(3258),
    [anon_sym_return] = ACTIONS(3258),
    [anon_sym_throw] = ACTIONS(3258),
    [anon_sym_SEMI] = ACTIONS(3258),
    [anon_sym_case] = ACTIONS(3258),
    [anon_sym_yield] = ACTIONS(3258),
    [anon_sym_LBRACK] = ACTIONS(3258),
    [anon_sym_LTtemplate_GT] = ACTIONS(3258),
    [anon_sym_DQUOTE] = ACTIONS(3258),
    [anon_sym_SQUOTE] = ACTIONS(3258),
    [anon_sym_class] = ACTIONS(3258),
    [anon_sym_async] = ACTIONS(3258),
    [anon_sym_function] = ACTIONS(3258),
    [anon_sym_new] = ACTIONS(3258),
    [anon_sym_using] = ACTIONS(3258),
    [anon_sym_PLUS] = ACTIONS(3258),
    [anon_sym_DASH] = ACTIONS(3258),
    [anon_sym_SLASH] = ACTIONS(3258),
    [anon_sym_LT] = ACTIONS(3258),
    [anon_sym_TILDE] = ACTIONS(3258),
    [anon_sym_void] = ACTIONS(3258),
    [anon_sym_delete] = ACTIONS(3258),
    [anon_sym_PLUS_PLUS] = ACTIONS(3258),
    [anon_sym_DASH_DASH] = ACTIONS(3258),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3258),
    [sym_number] = ACTIONS(3258),
    [sym_private_property_identifier] = ACTIONS(3258),
    [sym_this] = ACTIONS(3258),
    [sym_super] = ACTIONS(3258),
    [sym_true] = ACTIONS(3258),
    [sym_false] = ACTIONS(3258),
    [sym_null] = ACTIONS(3258),
    [sym_undefined] = ACTIONS(3258),
    [anon_sym_AT] = ACTIONS(3258),
    [anon_sym_static] = ACTIONS(3258),
    [anon_sym_readonly] = ACTIONS(3258),
    [anon_sym_get] = ACTIONS(3258),
    [anon_sym_set] = ACTIONS(3258),
    [anon_sym_declare] = ACTIONS(3258),
    [anon_sym_public] = ACTIONS(3258),
    [anon_sym_private] = ACTIONS(3258),
    [anon_sym_protected] = ACTIONS(3258),
    [anon_sym_override] = ACTIONS(3258),
    [anon_sym_module] = ACTIONS(3258),
    [anon_sym_any] = ACTIONS(3258),
    [anon_sym_number] = ACTIONS(3258),
    [anon_sym_boolean] = ACTIONS(3258),
    [anon_sym_string] = ACTIONS(3258),
    [anon_sym_symbol] = ACTIONS(3258),
    [anon_sym_object] = ACTIONS(3258),
    [anon_sym_abstract] = ACTIONS(3258),
    [anon_sym_interface] = ACTIONS(3258),
    [anon_sym_enum] = ACTIONS(3258),
    [sym_html_comment] = ACTIONS(5),
  },
  [1074] = {
    [sym_comment] = STATE(1074),
    [sym_identifier] = ACTIONS(3154),
    [anon_sym_export] = ACTIONS(3154),
    [anon_sym_default] = ACTIONS(3154),
    [anon_sym_type] = ACTIONS(3154),
    [anon_sym_namespace] = ACTIONS(3154),
    [anon_sym_LBRACE] = ACTIONS(3154),
    [anon_sym_RBRACE] = ACTIONS(3154),
    [anon_sym_typeof] = ACTIONS(3154),
    [anon_sym_import] = ACTIONS(3154),
    [anon_sym_with] = ACTIONS(3154),
    [anon_sym_var] = ACTIONS(3154),
    [anon_sym_let] = ACTIONS(3154),
    [anon_sym_const] = ACTIONS(3154),
    [anon_sym_BANG] = ACTIONS(3154),
    [anon_sym_else] = ACTIONS(3154),
    [anon_sym_if] = ACTIONS(3154),
    [anon_sym_switch] = ACTIONS(3154),
    [anon_sym_for] = ACTIONS(3154),
    [anon_sym_LPAREN] = ACTIONS(3154),
    [anon_sym_await] = ACTIONS(3154),
    [anon_sym_while] = ACTIONS(3154),
    [anon_sym_do] = ACTIONS(3154),
    [anon_sym_try] = ACTIONS(3154),
    [anon_sym_break] = ACTIONS(3154),
    [anon_sym_continue] = ACTIONS(3154),
    [anon_sym_debugger] = ACTIONS(3154),
    [anon_sym_return] = ACTIONS(3154),
    [anon_sym_throw] = ACTIONS(3154),
    [anon_sym_SEMI] = ACTIONS(3154),
    [anon_sym_case] = ACTIONS(3154),
    [anon_sym_yield] = ACTIONS(3154),
    [anon_sym_LBRACK] = ACTIONS(3154),
    [anon_sym_LTtemplate_GT] = ACTIONS(3154),
    [anon_sym_DQUOTE] = ACTIONS(3154),
    [anon_sym_SQUOTE] = ACTIONS(3154),
    [anon_sym_class] = ACTIONS(3154),
    [anon_sym_async] = ACTIONS(3154),
    [anon_sym_function] = ACTIONS(3154),
    [anon_sym_new] = ACTIONS(3154),
    [anon_sym_using] = ACTIONS(3154),
    [anon_sym_PLUS] = ACTIONS(3154),
    [anon_sym_DASH] = ACTIONS(3154),
    [anon_sym_SLASH] = ACTIONS(3154),
    [anon_sym_LT] = ACTIONS(3154),
    [anon_sym_TILDE] = ACTIONS(3154),
    [anon_sym_void] = ACTIONS(3154),
    [anon_sym_delete] = ACTIONS(3154),
    [anon_sym_PLUS_PLUS] = ACTIONS(3154),
    [anon_sym_DASH_DASH] = ACTIONS(3154),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3154),
    [sym_number] = ACTIONS(3154),
    [sym_private_property_identifier] = ACTIONS(3154),
    [sym_this] = ACTIONS(3154),
    [sym_super] = ACTIONS(3154),
    [sym_true] = ACTIONS(3154),
    [sym_false] = ACTIONS(3154),
    [sym_null] = ACTIONS(3154),
    [sym_undefined] = ACTIONS(3154),
    [anon_sym_AT] = ACTIONS(3154),
    [anon_sym_static] = ACTIONS(3154),
    [anon_sym_readonly] = ACTIONS(3154),
    [anon_sym_get] = ACTIONS(3154),
    [anon_sym_set] = ACTIONS(3154),
    [anon_sym_declare] = ACTIONS(3154),
    [anon_sym_public] = ACTIONS(3154),
    [anon_sym_private] = ACTIONS(3154),
    [anon_sym_protected] = ACTIONS(3154),
    [anon_sym_override] = ACTIONS(3154),
    [anon_sym_module] = ACTIONS(3154),
    [anon_sym_any] = ACTIONS(3154),
    [anon_sym_number] = ACTIONS(3154),
    [anon_sym_boolean] = ACTIONS(3154),
    [anon_sym_string] = ACTIONS(3154),
    [anon_sym_symbol] = ACTIONS(3154),
    [anon_sym_object] = ACTIONS(3154),
    [anon_sym_abstract] = ACTIONS(3154),
    [anon_sym_interface] = ACTIONS(3154),
    [anon_sym_enum] = ACTIONS(3154),
    [sym_html_comment] = ACTIONS(5),
  },
  [1075] = {
    [sym_comment] = STATE(1075),
    [sym_identifier] = ACTIONS(3154),
    [anon_sym_export] = ACTIONS(3154),
    [anon_sym_default] = ACTIONS(3154),
    [anon_sym_type] = ACTIONS(3154),
    [anon_sym_namespace] = ACTIONS(3154),
    [anon_sym_LBRACE] = ACTIONS(3154),
    [anon_sym_RBRACE] = ACTIONS(3154),
    [anon_sym_typeof] = ACTIONS(3154),
    [anon_sym_import] = ACTIONS(3154),
    [anon_sym_with] = ACTIONS(3154),
    [anon_sym_var] = ACTIONS(3154),
    [anon_sym_let] = ACTIONS(3154),
    [anon_sym_const] = ACTIONS(3154),
    [anon_sym_BANG] = ACTIONS(3154),
    [anon_sym_else] = ACTIONS(3154),
    [anon_sym_if] = ACTIONS(3154),
    [anon_sym_switch] = ACTIONS(3154),
    [anon_sym_for] = ACTIONS(3154),
    [anon_sym_LPAREN] = ACTIONS(3154),
    [anon_sym_await] = ACTIONS(3154),
    [anon_sym_while] = ACTIONS(3154),
    [anon_sym_do] = ACTIONS(3154),
    [anon_sym_try] = ACTIONS(3154),
    [anon_sym_break] = ACTIONS(3154),
    [anon_sym_continue] = ACTIONS(3154),
    [anon_sym_debugger] = ACTIONS(3154),
    [anon_sym_return] = ACTIONS(3154),
    [anon_sym_throw] = ACTIONS(3154),
    [anon_sym_SEMI] = ACTIONS(3154),
    [anon_sym_case] = ACTIONS(3154),
    [anon_sym_yield] = ACTIONS(3154),
    [anon_sym_LBRACK] = ACTIONS(3154),
    [anon_sym_LTtemplate_GT] = ACTIONS(3154),
    [anon_sym_DQUOTE] = ACTIONS(3154),
    [anon_sym_SQUOTE] = ACTIONS(3154),
    [anon_sym_class] = ACTIONS(3154),
    [anon_sym_async] = ACTIONS(3154),
    [anon_sym_function] = ACTIONS(3154),
    [anon_sym_new] = ACTIONS(3154),
    [anon_sym_using] = ACTIONS(3154),
    [anon_sym_PLUS] = ACTIONS(3154),
    [anon_sym_DASH] = ACTIONS(3154),
    [anon_sym_SLASH] = ACTIONS(3154),
    [anon_sym_LT] = ACTIONS(3154),
    [anon_sym_TILDE] = ACTIONS(3154),
    [anon_sym_void] = ACTIONS(3154),
    [anon_sym_delete] = ACTIONS(3154),
    [anon_sym_PLUS_PLUS] = ACTIONS(3154),
    [anon_sym_DASH_DASH] = ACTIONS(3154),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3154),
    [sym_number] = ACTIONS(3154),
    [sym_private_property_identifier] = ACTIONS(3154),
    [sym_this] = ACTIONS(3154),
    [sym_super] = ACTIONS(3154),
    [sym_true] = ACTIONS(3154),
    [sym_false] = ACTIONS(3154),
    [sym_null] = ACTIONS(3154),
    [sym_undefined] = ACTIONS(3154),
    [anon_sym_AT] = ACTIONS(3154),
    [anon_sym_static] = ACTIONS(3154),
    [anon_sym_readonly] = ACTIONS(3154),
    [anon_sym_get] = ACTIONS(3154),
    [anon_sym_set] = ACTIONS(3154),
    [anon_sym_declare] = ACTIONS(3154),
    [anon_sym_public] = ACTIONS(3154),
    [anon_sym_private] = ACTIONS(3154),
    [anon_sym_protected] = ACTIONS(3154),
    [anon_sym_override] = ACTIONS(3154),
    [anon_sym_module] = ACTIONS(3154),
    [anon_sym_any] = ACTIONS(3154),
    [anon_sym_number] = ACTIONS(3154),
    [anon_sym_boolean] = ACTIONS(3154),
    [anon_sym_string] = ACTIONS(3154),
    [anon_sym_symbol] = ACTIONS(3154),
    [anon_sym_object] = ACTIONS(3154),
    [anon_sym_abstract] = ACTIONS(3154),
    [anon_sym_interface] = ACTIONS(3154),
    [anon_sym_enum] = ACTIONS(3154),
    [sym_html_comment] = ACTIONS(5),
  },
  [1076] = {
    [sym_comment] = STATE(1076),
    [sym_identifier] = ACTIONS(3154),
    [anon_sym_export] = ACTIONS(3154),
    [anon_sym_default] = ACTIONS(3154),
    [anon_sym_type] = ACTIONS(3154),
    [anon_sym_namespace] = ACTIONS(3154),
    [anon_sym_LBRACE] = ACTIONS(3154),
    [anon_sym_RBRACE] = ACTIONS(3154),
    [anon_sym_typeof] = ACTIONS(3154),
    [anon_sym_import] = ACTIONS(3154),
    [anon_sym_with] = ACTIONS(3154),
    [anon_sym_var] = ACTIONS(3154),
    [anon_sym_let] = ACTIONS(3154),
    [anon_sym_const] = ACTIONS(3154),
    [anon_sym_BANG] = ACTIONS(3154),
    [anon_sym_else] = ACTIONS(3154),
    [anon_sym_if] = ACTIONS(3154),
    [anon_sym_switch] = ACTIONS(3154),
    [anon_sym_for] = ACTIONS(3154),
    [anon_sym_LPAREN] = ACTIONS(3154),
    [anon_sym_await] = ACTIONS(3154),
    [anon_sym_while] = ACTIONS(3154),
    [anon_sym_do] = ACTIONS(3154),
    [anon_sym_try] = ACTIONS(3154),
    [anon_sym_break] = ACTIONS(3154),
    [anon_sym_continue] = ACTIONS(3154),
    [anon_sym_debugger] = ACTIONS(3154),
    [anon_sym_return] = ACTIONS(3154),
    [anon_sym_throw] = ACTIONS(3154),
    [anon_sym_SEMI] = ACTIONS(3154),
    [anon_sym_case] = ACTIONS(3154),
    [anon_sym_yield] = ACTIONS(3154),
    [anon_sym_LBRACK] = ACTIONS(3154),
    [anon_sym_LTtemplate_GT] = ACTIONS(3154),
    [anon_sym_DQUOTE] = ACTIONS(3154),
    [anon_sym_SQUOTE] = ACTIONS(3154),
    [anon_sym_class] = ACTIONS(3154),
    [anon_sym_async] = ACTIONS(3154),
    [anon_sym_function] = ACTIONS(3154),
    [anon_sym_new] = ACTIONS(3154),
    [anon_sym_using] = ACTIONS(3154),
    [anon_sym_PLUS] = ACTIONS(3154),
    [anon_sym_DASH] = ACTIONS(3154),
    [anon_sym_SLASH] = ACTIONS(3154),
    [anon_sym_LT] = ACTIONS(3154),
    [anon_sym_TILDE] = ACTIONS(3154),
    [anon_sym_void] = ACTIONS(3154),
    [anon_sym_delete] = ACTIONS(3154),
    [anon_sym_PLUS_PLUS] = ACTIONS(3154),
    [anon_sym_DASH_DASH] = ACTIONS(3154),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3154),
    [sym_number] = ACTIONS(3154),
    [sym_private_property_identifier] = ACTIONS(3154),
    [sym_this] = ACTIONS(3154),
    [sym_super] = ACTIONS(3154),
    [sym_true] = ACTIONS(3154),
    [sym_false] = ACTIONS(3154),
    [sym_null] = ACTIONS(3154),
    [sym_undefined] = ACTIONS(3154),
    [anon_sym_AT] = ACTIONS(3154),
    [anon_sym_static] = ACTIONS(3154),
    [anon_sym_readonly] = ACTIONS(3154),
    [anon_sym_get] = ACTIONS(3154),
    [anon_sym_set] = ACTIONS(3154),
    [anon_sym_declare] = ACTIONS(3154),
    [anon_sym_public] = ACTIONS(3154),
    [anon_sym_private] = ACTIONS(3154),
    [anon_sym_protected] = ACTIONS(3154),
    [anon_sym_override] = ACTIONS(3154),
    [anon_sym_module] = ACTIONS(3154),
    [anon_sym_any] = ACTIONS(3154),
    [anon_sym_number] = ACTIONS(3154),
    [anon_sym_boolean] = ACTIONS(3154),
    [anon_sym_string] = ACTIONS(3154),
    [anon_sym_symbol] = ACTIONS(3154),
    [anon_sym_object] = ACTIONS(3154),
    [anon_sym_abstract] = ACTIONS(3154),
    [anon_sym_interface] = ACTIONS(3154),
    [anon_sym_enum] = ACTIONS(3154),
    [sym_html_comment] = ACTIONS(5),
  },
  [1077] = {
    [sym_comment] = STATE(1077),
    [sym_identifier] = ACTIONS(2093),
    [anon_sym_export] = ACTIONS(2093),
    [anon_sym_default] = ACTIONS(2093),
    [anon_sym_type] = ACTIONS(2093),
    [anon_sym_namespace] = ACTIONS(2093),
    [anon_sym_LBRACE] = ACTIONS(2093),
    [anon_sym_RBRACE] = ACTIONS(2093),
    [anon_sym_typeof] = ACTIONS(2093),
    [anon_sym_import] = ACTIONS(2093),
    [anon_sym_with] = ACTIONS(2093),
    [anon_sym_var] = ACTIONS(2093),
    [anon_sym_let] = ACTIONS(2093),
    [anon_sym_const] = ACTIONS(2093),
    [anon_sym_BANG] = ACTIONS(2093),
    [anon_sym_if] = ACTIONS(2093),
    [anon_sym_switch] = ACTIONS(2093),
    [anon_sym_for] = ACTIONS(2093),
    [anon_sym_LPAREN] = ACTIONS(2093),
    [anon_sym_await] = ACTIONS(2093),
    [anon_sym_while] = ACTIONS(2093),
    [anon_sym_do] = ACTIONS(2093),
    [anon_sym_try] = ACTIONS(2093),
    [anon_sym_break] = ACTIONS(2093),
    [anon_sym_continue] = ACTIONS(2093),
    [anon_sym_debugger] = ACTIONS(2093),
    [anon_sym_return] = ACTIONS(2093),
    [anon_sym_throw] = ACTIONS(2093),
    [anon_sym_SEMI] = ACTIONS(2093),
    [anon_sym_case] = ACTIONS(2093),
    [anon_sym_yield] = ACTIONS(2093),
    [anon_sym_LBRACK] = ACTIONS(2093),
    [anon_sym_LTtemplate_GT] = ACTIONS(2093),
    [anon_sym_DQUOTE] = ACTIONS(2093),
    [anon_sym_SQUOTE] = ACTIONS(2093),
    [anon_sym_class] = ACTIONS(2093),
    [anon_sym_async] = ACTIONS(2093),
    [anon_sym_function] = ACTIONS(2093),
    [anon_sym_new] = ACTIONS(2093),
    [anon_sym_using] = ACTIONS(2093),
    [anon_sym_PLUS] = ACTIONS(2093),
    [anon_sym_DASH] = ACTIONS(2093),
    [anon_sym_SLASH] = ACTIONS(2093),
    [anon_sym_LT] = ACTIONS(2093),
    [anon_sym_TILDE] = ACTIONS(2093),
    [anon_sym_void] = ACTIONS(2093),
    [anon_sym_delete] = ACTIONS(2093),
    [anon_sym_PLUS_PLUS] = ACTIONS(2093),
    [anon_sym_DASH_DASH] = ACTIONS(2093),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2093),
    [sym_number] = ACTIONS(2093),
    [sym_private_property_identifier] = ACTIONS(2093),
    [sym_this] = ACTIONS(2093),
    [sym_super] = ACTIONS(2093),
    [sym_true] = ACTIONS(2093),
    [sym_false] = ACTIONS(2093),
    [sym_null] = ACTIONS(2093),
    [sym_undefined] = ACTIONS(2093),
    [anon_sym_AT] = ACTIONS(2093),
    [anon_sym_static] = ACTIONS(2093),
    [anon_sym_readonly] = ACTIONS(2093),
    [anon_sym_get] = ACTIONS(2093),
    [anon_sym_set] = ACTIONS(2093),
    [anon_sym_declare] = ACTIONS(2093),
    [anon_sym_public] = ACTIONS(2093),
    [anon_sym_private] = ACTIONS(2093),
    [anon_sym_protected] = ACTIONS(2093),
    [anon_sym_override] = ACTIONS(2093),
    [anon_sym_module] = ACTIONS(2093),
    [anon_sym_any] = ACTIONS(2093),
    [anon_sym_number] = ACTIONS(2093),
    [anon_sym_boolean] = ACTIONS(2093),
    [anon_sym_string] = ACTIONS(2093),
    [anon_sym_symbol] = ACTIONS(2093),
    [anon_sym_object] = ACTIONS(2093),
    [anon_sym_abstract] = ACTIONS(2093),
    [anon_sym_interface] = ACTIONS(2093),
    [anon_sym_enum] = ACTIONS(2093),
    [sym__automatic_semicolon] = ACTIONS(3260),
    [sym_html_comment] = ACTIONS(5),
  },
  [1078] = {
    [sym_comment] = STATE(1078),
    [ts_builtin_sym_end] = ACTIONS(2103),
    [sym_identifier] = ACTIONS(2067),
    [anon_sym_export] = ACTIONS(2067),
    [anon_sym_type] = ACTIONS(2067),
    [anon_sym_namespace] = ACTIONS(2067),
    [anon_sym_LBRACE] = ACTIONS(2067),
    [anon_sym_RBRACE] = ACTIONS(2067),
    [anon_sym_typeof] = ACTIONS(2067),
    [anon_sym_import] = ACTIONS(2067),
    [anon_sym_with] = ACTIONS(2067),
    [anon_sym_var] = ACTIONS(2067),
    [anon_sym_let] = ACTIONS(2067),
    [anon_sym_const] = ACTIONS(2067),
    [anon_sym_BANG] = ACTIONS(2067),
    [anon_sym_else] = ACTIONS(2067),
    [anon_sym_if] = ACTIONS(2067),
    [anon_sym_switch] = ACTIONS(2067),
    [anon_sym_for] = ACTIONS(2067),
    [anon_sym_LPAREN] = ACTIONS(2067),
    [anon_sym_await] = ACTIONS(2067),
    [anon_sym_while] = ACTIONS(2067),
    [anon_sym_do] = ACTIONS(2067),
    [anon_sym_try] = ACTIONS(2067),
    [anon_sym_break] = ACTIONS(2067),
    [anon_sym_continue] = ACTIONS(2067),
    [anon_sym_debugger] = ACTIONS(2067),
    [anon_sym_return] = ACTIONS(2067),
    [anon_sym_throw] = ACTIONS(2067),
    [anon_sym_SEMI] = ACTIONS(2067),
    [anon_sym_yield] = ACTIONS(2067),
    [anon_sym_LBRACK] = ACTIONS(2067),
    [anon_sym_LTtemplate_GT] = ACTIONS(2067),
    [anon_sym_DQUOTE] = ACTIONS(2067),
    [anon_sym_SQUOTE] = ACTIONS(2067),
    [anon_sym_class] = ACTIONS(2067),
    [anon_sym_async] = ACTIONS(2067),
    [anon_sym_function] = ACTIONS(2067),
    [anon_sym_new] = ACTIONS(2067),
    [anon_sym_using] = ACTIONS(2067),
    [anon_sym_PLUS] = ACTIONS(2067),
    [anon_sym_DASH] = ACTIONS(2067),
    [anon_sym_SLASH] = ACTIONS(2067),
    [anon_sym_LT] = ACTIONS(2067),
    [anon_sym_TILDE] = ACTIONS(2067),
    [anon_sym_void] = ACTIONS(2067),
    [anon_sym_delete] = ACTIONS(2067),
    [anon_sym_PLUS_PLUS] = ACTIONS(2067),
    [anon_sym_DASH_DASH] = ACTIONS(2067),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2067),
    [sym_number] = ACTIONS(2067),
    [sym_private_property_identifier] = ACTIONS(2067),
    [sym_this] = ACTIONS(2067),
    [sym_super] = ACTIONS(2067),
    [sym_true] = ACTIONS(2067),
    [sym_false] = ACTIONS(2067),
    [sym_null] = ACTIONS(2067),
    [sym_undefined] = ACTIONS(2067),
    [anon_sym_AT] = ACTIONS(2067),
    [anon_sym_static] = ACTIONS(2067),
    [anon_sym_readonly] = ACTIONS(2067),
    [anon_sym_get] = ACTIONS(2067),
    [anon_sym_set] = ACTIONS(2067),
    [anon_sym_declare] = ACTIONS(2067),
    [anon_sym_public] = ACTIONS(2067),
    [anon_sym_private] = ACTIONS(2067),
    [anon_sym_protected] = ACTIONS(2067),
    [anon_sym_override] = ACTIONS(2067),
    [anon_sym_module] = ACTIONS(2067),
    [anon_sym_any] = ACTIONS(2067),
    [anon_sym_number] = ACTIONS(2067),
    [anon_sym_boolean] = ACTIONS(2067),
    [anon_sym_string] = ACTIONS(2067),
    [anon_sym_symbol] = ACTIONS(2067),
    [anon_sym_object] = ACTIONS(2067),
    [anon_sym_abstract] = ACTIONS(2067),
    [anon_sym_interface] = ACTIONS(2067),
    [anon_sym_enum] = ACTIONS(2067),
    [sym__automatic_semicolon] = ACTIONS(2125),
    [sym_html_comment] = ACTIONS(5),
  },
  [1079] = {
    [sym_comment] = STATE(1079),
    [sym_identifier] = ACTIONS(3262),
    [anon_sym_export] = ACTIONS(3262),
    [anon_sym_default] = ACTIONS(3262),
    [anon_sym_type] = ACTIONS(3262),
    [anon_sym_namespace] = ACTIONS(3262),
    [anon_sym_LBRACE] = ACTIONS(3262),
    [anon_sym_RBRACE] = ACTIONS(3262),
    [anon_sym_typeof] = ACTIONS(3262),
    [anon_sym_import] = ACTIONS(3262),
    [anon_sym_with] = ACTIONS(3262),
    [anon_sym_var] = ACTIONS(3262),
    [anon_sym_let] = ACTIONS(3262),
    [anon_sym_const] = ACTIONS(3262),
    [anon_sym_BANG] = ACTIONS(3262),
    [anon_sym_else] = ACTIONS(3262),
    [anon_sym_if] = ACTIONS(3262),
    [anon_sym_switch] = ACTIONS(3262),
    [anon_sym_for] = ACTIONS(3262),
    [anon_sym_LPAREN] = ACTIONS(3262),
    [anon_sym_await] = ACTIONS(3262),
    [anon_sym_while] = ACTIONS(3262),
    [anon_sym_do] = ACTIONS(3262),
    [anon_sym_try] = ACTIONS(3262),
    [anon_sym_break] = ACTIONS(3262),
    [anon_sym_continue] = ACTIONS(3262),
    [anon_sym_debugger] = ACTIONS(3262),
    [anon_sym_return] = ACTIONS(3262),
    [anon_sym_throw] = ACTIONS(3262),
    [anon_sym_SEMI] = ACTIONS(3262),
    [anon_sym_case] = ACTIONS(3262),
    [anon_sym_yield] = ACTIONS(3262),
    [anon_sym_LBRACK] = ACTIONS(3262),
    [anon_sym_LTtemplate_GT] = ACTIONS(3262),
    [anon_sym_DQUOTE] = ACTIONS(3262),
    [anon_sym_SQUOTE] = ACTIONS(3262),
    [anon_sym_class] = ACTIONS(3262),
    [anon_sym_async] = ACTIONS(3262),
    [anon_sym_function] = ACTIONS(3262),
    [anon_sym_new] = ACTIONS(3262),
    [anon_sym_using] = ACTIONS(3262),
    [anon_sym_PLUS] = ACTIONS(3262),
    [anon_sym_DASH] = ACTIONS(3262),
    [anon_sym_SLASH] = ACTIONS(3262),
    [anon_sym_LT] = ACTIONS(3262),
    [anon_sym_TILDE] = ACTIONS(3262),
    [anon_sym_void] = ACTIONS(3262),
    [anon_sym_delete] = ACTIONS(3262),
    [anon_sym_PLUS_PLUS] = ACTIONS(3262),
    [anon_sym_DASH_DASH] = ACTIONS(3262),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3262),
    [sym_number] = ACTIONS(3262),
    [sym_private_property_identifier] = ACTIONS(3262),
    [sym_this] = ACTIONS(3262),
    [sym_super] = ACTIONS(3262),
    [sym_true] = ACTIONS(3262),
    [sym_false] = ACTIONS(3262),
    [sym_null] = ACTIONS(3262),
    [sym_undefined] = ACTIONS(3262),
    [anon_sym_AT] = ACTIONS(3262),
    [anon_sym_static] = ACTIONS(3262),
    [anon_sym_readonly] = ACTIONS(3262),
    [anon_sym_get] = ACTIONS(3262),
    [anon_sym_set] = ACTIONS(3262),
    [anon_sym_declare] = ACTIONS(3262),
    [anon_sym_public] = ACTIONS(3262),
    [anon_sym_private] = ACTIONS(3262),
    [anon_sym_protected] = ACTIONS(3262),
    [anon_sym_override] = ACTIONS(3262),
    [anon_sym_module] = ACTIONS(3262),
    [anon_sym_any] = ACTIONS(3262),
    [anon_sym_number] = ACTIONS(3262),
    [anon_sym_boolean] = ACTIONS(3262),
    [anon_sym_string] = ACTIONS(3262),
    [anon_sym_symbol] = ACTIONS(3262),
    [anon_sym_object] = ACTIONS(3262),
    [anon_sym_abstract] = ACTIONS(3262),
    [anon_sym_interface] = ACTIONS(3262),
    [anon_sym_enum] = ACTIONS(3262),
    [sym_html_comment] = ACTIONS(5),
  },
  [1080] = {
    [sym_comment] = STATE(1080),
    [sym_identifier] = ACTIONS(3264),
    [anon_sym_export] = ACTIONS(3264),
    [anon_sym_default] = ACTIONS(3264),
    [anon_sym_type] = ACTIONS(3264),
    [anon_sym_namespace] = ACTIONS(3264),
    [anon_sym_LBRACE] = ACTIONS(3264),
    [anon_sym_RBRACE] = ACTIONS(3264),
    [anon_sym_typeof] = ACTIONS(3264),
    [anon_sym_import] = ACTIONS(3264),
    [anon_sym_with] = ACTIONS(3264),
    [anon_sym_var] = ACTIONS(3264),
    [anon_sym_let] = ACTIONS(3264),
    [anon_sym_const] = ACTIONS(3264),
    [anon_sym_BANG] = ACTIONS(3264),
    [anon_sym_else] = ACTIONS(3264),
    [anon_sym_if] = ACTIONS(3264),
    [anon_sym_switch] = ACTIONS(3264),
    [anon_sym_for] = ACTIONS(3264),
    [anon_sym_LPAREN] = ACTIONS(3264),
    [anon_sym_await] = ACTIONS(3264),
    [anon_sym_while] = ACTIONS(3264),
    [anon_sym_do] = ACTIONS(3264),
    [anon_sym_try] = ACTIONS(3264),
    [anon_sym_break] = ACTIONS(3264),
    [anon_sym_continue] = ACTIONS(3264),
    [anon_sym_debugger] = ACTIONS(3264),
    [anon_sym_return] = ACTIONS(3264),
    [anon_sym_throw] = ACTIONS(3264),
    [anon_sym_SEMI] = ACTIONS(3264),
    [anon_sym_case] = ACTIONS(3264),
    [anon_sym_yield] = ACTIONS(3264),
    [anon_sym_LBRACK] = ACTIONS(3264),
    [anon_sym_LTtemplate_GT] = ACTIONS(3264),
    [anon_sym_DQUOTE] = ACTIONS(3264),
    [anon_sym_SQUOTE] = ACTIONS(3264),
    [anon_sym_class] = ACTIONS(3264),
    [anon_sym_async] = ACTIONS(3264),
    [anon_sym_function] = ACTIONS(3264),
    [anon_sym_new] = ACTIONS(3264),
    [anon_sym_using] = ACTIONS(3264),
    [anon_sym_PLUS] = ACTIONS(3264),
    [anon_sym_DASH] = ACTIONS(3264),
    [anon_sym_SLASH] = ACTIONS(3264),
    [anon_sym_LT] = ACTIONS(3264),
    [anon_sym_TILDE] = ACTIONS(3264),
    [anon_sym_void] = ACTIONS(3264),
    [anon_sym_delete] = ACTIONS(3264),
    [anon_sym_PLUS_PLUS] = ACTIONS(3264),
    [anon_sym_DASH_DASH] = ACTIONS(3264),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3264),
    [sym_number] = ACTIONS(3264),
    [sym_private_property_identifier] = ACTIONS(3264),
    [sym_this] = ACTIONS(3264),
    [sym_super] = ACTIONS(3264),
    [sym_true] = ACTIONS(3264),
    [sym_false] = ACTIONS(3264),
    [sym_null] = ACTIONS(3264),
    [sym_undefined] = ACTIONS(3264),
    [anon_sym_AT] = ACTIONS(3264),
    [anon_sym_static] = ACTIONS(3264),
    [anon_sym_readonly] = ACTIONS(3264),
    [anon_sym_get] = ACTIONS(3264),
    [anon_sym_set] = ACTIONS(3264),
    [anon_sym_declare] = ACTIONS(3264),
    [anon_sym_public] = ACTIONS(3264),
    [anon_sym_private] = ACTIONS(3264),
    [anon_sym_protected] = ACTIONS(3264),
    [anon_sym_override] = ACTIONS(3264),
    [anon_sym_module] = ACTIONS(3264),
    [anon_sym_any] = ACTIONS(3264),
    [anon_sym_number] = ACTIONS(3264),
    [anon_sym_boolean] = ACTIONS(3264),
    [anon_sym_string] = ACTIONS(3264),
    [anon_sym_symbol] = ACTIONS(3264),
    [anon_sym_object] = ACTIONS(3264),
    [anon_sym_abstract] = ACTIONS(3264),
    [anon_sym_interface] = ACTIONS(3264),
    [anon_sym_enum] = ACTIONS(3264),
    [sym_html_comment] = ACTIONS(5),
  },
  [1081] = {
    [sym_comment] = STATE(1081),
    [sym_identifier] = ACTIONS(3266),
    [anon_sym_export] = ACTIONS(3266),
    [anon_sym_default] = ACTIONS(3266),
    [anon_sym_type] = ACTIONS(3266),
    [anon_sym_namespace] = ACTIONS(3266),
    [anon_sym_LBRACE] = ACTIONS(3266),
    [anon_sym_RBRACE] = ACTIONS(3266),
    [anon_sym_typeof] = ACTIONS(3266),
    [anon_sym_import] = ACTIONS(3266),
    [anon_sym_with] = ACTIONS(3266),
    [anon_sym_var] = ACTIONS(3266),
    [anon_sym_let] = ACTIONS(3266),
    [anon_sym_const] = ACTIONS(3266),
    [anon_sym_BANG] = ACTIONS(3266),
    [anon_sym_else] = ACTIONS(3266),
    [anon_sym_if] = ACTIONS(3266),
    [anon_sym_switch] = ACTIONS(3266),
    [anon_sym_for] = ACTIONS(3266),
    [anon_sym_LPAREN] = ACTIONS(3266),
    [anon_sym_await] = ACTIONS(3266),
    [anon_sym_while] = ACTIONS(3266),
    [anon_sym_do] = ACTIONS(3266),
    [anon_sym_try] = ACTIONS(3266),
    [anon_sym_break] = ACTIONS(3266),
    [anon_sym_continue] = ACTIONS(3266),
    [anon_sym_debugger] = ACTIONS(3266),
    [anon_sym_return] = ACTIONS(3266),
    [anon_sym_throw] = ACTIONS(3266),
    [anon_sym_SEMI] = ACTIONS(3266),
    [anon_sym_case] = ACTIONS(3266),
    [anon_sym_yield] = ACTIONS(3266),
    [anon_sym_LBRACK] = ACTIONS(3266),
    [anon_sym_LTtemplate_GT] = ACTIONS(3266),
    [anon_sym_DQUOTE] = ACTIONS(3266),
    [anon_sym_SQUOTE] = ACTIONS(3266),
    [anon_sym_class] = ACTIONS(3266),
    [anon_sym_async] = ACTIONS(3266),
    [anon_sym_function] = ACTIONS(3266),
    [anon_sym_new] = ACTIONS(3266),
    [anon_sym_using] = ACTIONS(3266),
    [anon_sym_PLUS] = ACTIONS(3266),
    [anon_sym_DASH] = ACTIONS(3266),
    [anon_sym_SLASH] = ACTIONS(3266),
    [anon_sym_LT] = ACTIONS(3266),
    [anon_sym_TILDE] = ACTIONS(3266),
    [anon_sym_void] = ACTIONS(3266),
    [anon_sym_delete] = ACTIONS(3266),
    [anon_sym_PLUS_PLUS] = ACTIONS(3266),
    [anon_sym_DASH_DASH] = ACTIONS(3266),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3266),
    [sym_number] = ACTIONS(3266),
    [sym_private_property_identifier] = ACTIONS(3266),
    [sym_this] = ACTIONS(3266),
    [sym_super] = ACTIONS(3266),
    [sym_true] = ACTIONS(3266),
    [sym_false] = ACTIONS(3266),
    [sym_null] = ACTIONS(3266),
    [sym_undefined] = ACTIONS(3266),
    [anon_sym_AT] = ACTIONS(3266),
    [anon_sym_static] = ACTIONS(3266),
    [anon_sym_readonly] = ACTIONS(3266),
    [anon_sym_get] = ACTIONS(3266),
    [anon_sym_set] = ACTIONS(3266),
    [anon_sym_declare] = ACTIONS(3266),
    [anon_sym_public] = ACTIONS(3266),
    [anon_sym_private] = ACTIONS(3266),
    [anon_sym_protected] = ACTIONS(3266),
    [anon_sym_override] = ACTIONS(3266),
    [anon_sym_module] = ACTIONS(3266),
    [anon_sym_any] = ACTIONS(3266),
    [anon_sym_number] = ACTIONS(3266),
    [anon_sym_boolean] = ACTIONS(3266),
    [anon_sym_string] = ACTIONS(3266),
    [anon_sym_symbol] = ACTIONS(3266),
    [anon_sym_object] = ACTIONS(3266),
    [anon_sym_abstract] = ACTIONS(3266),
    [anon_sym_interface] = ACTIONS(3266),
    [anon_sym_enum] = ACTIONS(3266),
    [sym_html_comment] = ACTIONS(5),
  },
  [1082] = {
    [sym_comment] = STATE(1082),
    [sym_identifier] = ACTIONS(2251),
    [anon_sym_export] = ACTIONS(2251),
    [anon_sym_default] = ACTIONS(2251),
    [anon_sym_type] = ACTIONS(2251),
    [anon_sym_namespace] = ACTIONS(2251),
    [anon_sym_LBRACE] = ACTIONS(2251),
    [anon_sym_RBRACE] = ACTIONS(2251),
    [anon_sym_typeof] = ACTIONS(2251),
    [anon_sym_import] = ACTIONS(2251),
    [anon_sym_with] = ACTIONS(2251),
    [anon_sym_var] = ACTIONS(2251),
    [anon_sym_let] = ACTIONS(2251),
    [anon_sym_const] = ACTIONS(2251),
    [anon_sym_BANG] = ACTIONS(2251),
    [anon_sym_if] = ACTIONS(2251),
    [anon_sym_switch] = ACTIONS(2251),
    [anon_sym_for] = ACTIONS(2251),
    [anon_sym_LPAREN] = ACTIONS(2251),
    [anon_sym_await] = ACTIONS(2251),
    [anon_sym_while] = ACTIONS(2251),
    [anon_sym_do] = ACTIONS(2251),
    [anon_sym_try] = ACTIONS(2251),
    [anon_sym_break] = ACTIONS(2251),
    [anon_sym_continue] = ACTIONS(2251),
    [anon_sym_debugger] = ACTIONS(2251),
    [anon_sym_return] = ACTIONS(2251),
    [anon_sym_throw] = ACTIONS(2251),
    [anon_sym_SEMI] = ACTIONS(2251),
    [anon_sym_case] = ACTIONS(2251),
    [anon_sym_yield] = ACTIONS(2251),
    [anon_sym_LBRACK] = ACTIONS(2251),
    [anon_sym_LTtemplate_GT] = ACTIONS(2251),
    [anon_sym_DQUOTE] = ACTIONS(2251),
    [anon_sym_SQUOTE] = ACTIONS(2251),
    [anon_sym_class] = ACTIONS(2251),
    [anon_sym_async] = ACTIONS(2251),
    [anon_sym_function] = ACTIONS(2251),
    [anon_sym_new] = ACTIONS(2251),
    [anon_sym_using] = ACTIONS(2251),
    [anon_sym_PLUS] = ACTIONS(2251),
    [anon_sym_DASH] = ACTIONS(2251),
    [anon_sym_SLASH] = ACTIONS(2251),
    [anon_sym_LT] = ACTIONS(2251),
    [anon_sym_TILDE] = ACTIONS(2251),
    [anon_sym_void] = ACTIONS(2251),
    [anon_sym_delete] = ACTIONS(2251),
    [anon_sym_PLUS_PLUS] = ACTIONS(2251),
    [anon_sym_DASH_DASH] = ACTIONS(2251),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2251),
    [sym_number] = ACTIONS(2251),
    [sym_private_property_identifier] = ACTIONS(2251),
    [sym_this] = ACTIONS(2251),
    [sym_super] = ACTIONS(2251),
    [sym_true] = ACTIONS(2251),
    [sym_false] = ACTIONS(2251),
    [sym_null] = ACTIONS(2251),
    [sym_undefined] = ACTIONS(2251),
    [anon_sym_AT] = ACTIONS(2251),
    [anon_sym_static] = ACTIONS(2251),
    [anon_sym_readonly] = ACTIONS(2251),
    [anon_sym_get] = ACTIONS(2251),
    [anon_sym_set] = ACTIONS(2251),
    [anon_sym_declare] = ACTIONS(2251),
    [anon_sym_public] = ACTIONS(2251),
    [anon_sym_private] = ACTIONS(2251),
    [anon_sym_protected] = ACTIONS(2251),
    [anon_sym_override] = ACTIONS(2251),
    [anon_sym_module] = ACTIONS(2251),
    [anon_sym_any] = ACTIONS(2251),
    [anon_sym_number] = ACTIONS(2251),
    [anon_sym_boolean] = ACTIONS(2251),
    [anon_sym_string] = ACTIONS(2251),
    [anon_sym_symbol] = ACTIONS(2251),
    [anon_sym_object] = ACTIONS(2251),
    [anon_sym_abstract] = ACTIONS(2251),
    [anon_sym_interface] = ACTIONS(2251),
    [anon_sym_enum] = ACTIONS(2251),
    [sym__automatic_semicolon] = ACTIONS(2253),
    [sym_html_comment] = ACTIONS(5),
  },
  [1083] = {
    [sym_comment] = STATE(1083),
    [sym_identifier] = ACTIONS(2145),
    [anon_sym_export] = ACTIONS(2145),
    [anon_sym_default] = ACTIONS(2145),
    [anon_sym_type] = ACTIONS(2145),
    [anon_sym_namespace] = ACTIONS(2145),
    [anon_sym_LBRACE] = ACTIONS(2145),
    [anon_sym_RBRACE] = ACTIONS(2145),
    [anon_sym_typeof] = ACTIONS(2145),
    [anon_sym_import] = ACTIONS(2145),
    [anon_sym_with] = ACTIONS(2145),
    [anon_sym_var] = ACTIONS(2145),
    [anon_sym_let] = ACTIONS(2145),
    [anon_sym_const] = ACTIONS(2145),
    [anon_sym_BANG] = ACTIONS(2145),
    [anon_sym_if] = ACTIONS(2145),
    [anon_sym_switch] = ACTIONS(2145),
    [anon_sym_for] = ACTIONS(2145),
    [anon_sym_LPAREN] = ACTIONS(2145),
    [anon_sym_await] = ACTIONS(2145),
    [anon_sym_while] = ACTIONS(2145),
    [anon_sym_do] = ACTIONS(2145),
    [anon_sym_try] = ACTIONS(2145),
    [anon_sym_break] = ACTIONS(2145),
    [anon_sym_continue] = ACTIONS(2145),
    [anon_sym_debugger] = ACTIONS(2145),
    [anon_sym_return] = ACTIONS(2145),
    [anon_sym_throw] = ACTIONS(2145),
    [anon_sym_SEMI] = ACTIONS(2145),
    [anon_sym_case] = ACTIONS(2145),
    [anon_sym_yield] = ACTIONS(2145),
    [anon_sym_LBRACK] = ACTIONS(2145),
    [anon_sym_LTtemplate_GT] = ACTIONS(2145),
    [anon_sym_DQUOTE] = ACTIONS(2145),
    [anon_sym_SQUOTE] = ACTIONS(2145),
    [anon_sym_class] = ACTIONS(2145),
    [anon_sym_async] = ACTIONS(2145),
    [anon_sym_function] = ACTIONS(2145),
    [anon_sym_new] = ACTIONS(2145),
    [anon_sym_using] = ACTIONS(2145),
    [anon_sym_PLUS] = ACTIONS(2145),
    [anon_sym_DASH] = ACTIONS(2145),
    [anon_sym_SLASH] = ACTIONS(2145),
    [anon_sym_LT] = ACTIONS(2145),
    [anon_sym_TILDE] = ACTIONS(2145),
    [anon_sym_void] = ACTIONS(2145),
    [anon_sym_delete] = ACTIONS(2145),
    [anon_sym_PLUS_PLUS] = ACTIONS(2145),
    [anon_sym_DASH_DASH] = ACTIONS(2145),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2145),
    [sym_number] = ACTIONS(2145),
    [sym_private_property_identifier] = ACTIONS(2145),
    [sym_this] = ACTIONS(2145),
    [sym_super] = ACTIONS(2145),
    [sym_true] = ACTIONS(2145),
    [sym_false] = ACTIONS(2145),
    [sym_null] = ACTIONS(2145),
    [sym_undefined] = ACTIONS(2145),
    [anon_sym_AT] = ACTIONS(2145),
    [anon_sym_static] = ACTIONS(2145),
    [anon_sym_readonly] = ACTIONS(2145),
    [anon_sym_get] = ACTIONS(2145),
    [anon_sym_set] = ACTIONS(2145),
    [anon_sym_declare] = ACTIONS(2145),
    [anon_sym_public] = ACTIONS(2145),
    [anon_sym_private] = ACTIONS(2145),
    [anon_sym_protected] = ACTIONS(2145),
    [anon_sym_override] = ACTIONS(2145),
    [anon_sym_module] = ACTIONS(2145),
    [anon_sym_any] = ACTIONS(2145),
    [anon_sym_number] = ACTIONS(2145),
    [anon_sym_boolean] = ACTIONS(2145),
    [anon_sym_string] = ACTIONS(2145),
    [anon_sym_symbol] = ACTIONS(2145),
    [anon_sym_object] = ACTIONS(2145),
    [anon_sym_abstract] = ACTIONS(2145),
    [anon_sym_interface] = ACTIONS(2145),
    [anon_sym_enum] = ACTIONS(2145),
    [sym__automatic_semicolon] = ACTIONS(2147),
    [sym_html_comment] = ACTIONS(5),
  },
  [1084] = {
    [sym_comment] = STATE(1084),
    [sym_identifier] = ACTIONS(2077),
    [anon_sym_export] = ACTIONS(2077),
    [anon_sym_default] = ACTIONS(2077),
    [anon_sym_type] = ACTIONS(2077),
    [anon_sym_namespace] = ACTIONS(2077),
    [anon_sym_LBRACE] = ACTIONS(2077),
    [anon_sym_RBRACE] = ACTIONS(2077),
    [anon_sym_typeof] = ACTIONS(2077),
    [anon_sym_import] = ACTIONS(2077),
    [anon_sym_with] = ACTIONS(2077),
    [anon_sym_var] = ACTIONS(2077),
    [anon_sym_let] = ACTIONS(2077),
    [anon_sym_const] = ACTIONS(2077),
    [anon_sym_BANG] = ACTIONS(2077),
    [anon_sym_else] = ACTIONS(2077),
    [anon_sym_if] = ACTIONS(2077),
    [anon_sym_switch] = ACTIONS(2077),
    [anon_sym_for] = ACTIONS(2077),
    [anon_sym_LPAREN] = ACTIONS(2077),
    [anon_sym_await] = ACTIONS(2077),
    [anon_sym_while] = ACTIONS(2077),
    [anon_sym_do] = ACTIONS(2077),
    [anon_sym_try] = ACTIONS(2077),
    [anon_sym_break] = ACTIONS(2077),
    [anon_sym_continue] = ACTIONS(2077),
    [anon_sym_debugger] = ACTIONS(2077),
    [anon_sym_return] = ACTIONS(2077),
    [anon_sym_throw] = ACTIONS(2077),
    [anon_sym_SEMI] = ACTIONS(2077),
    [anon_sym_case] = ACTIONS(2077),
    [anon_sym_yield] = ACTIONS(2077),
    [anon_sym_LBRACK] = ACTIONS(2077),
    [anon_sym_LTtemplate_GT] = ACTIONS(2077),
    [anon_sym_DQUOTE] = ACTIONS(2077),
    [anon_sym_SQUOTE] = ACTIONS(2077),
    [anon_sym_class] = ACTIONS(2077),
    [anon_sym_async] = ACTIONS(2077),
    [anon_sym_function] = ACTIONS(2077),
    [anon_sym_new] = ACTIONS(2077),
    [anon_sym_using] = ACTIONS(2077),
    [anon_sym_PLUS] = ACTIONS(2077),
    [anon_sym_DASH] = ACTIONS(2077),
    [anon_sym_SLASH] = ACTIONS(2077),
    [anon_sym_LT] = ACTIONS(2077),
    [anon_sym_TILDE] = ACTIONS(2077),
    [anon_sym_void] = ACTIONS(2077),
    [anon_sym_delete] = ACTIONS(2077),
    [anon_sym_PLUS_PLUS] = ACTIONS(2077),
    [anon_sym_DASH_DASH] = ACTIONS(2077),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2077),
    [sym_number] = ACTIONS(2077),
    [sym_private_property_identifier] = ACTIONS(2077),
    [sym_this] = ACTIONS(2077),
    [sym_super] = ACTIONS(2077),
    [sym_true] = ACTIONS(2077),
    [sym_false] = ACTIONS(2077),
    [sym_null] = ACTIONS(2077),
    [sym_undefined] = ACTIONS(2077),
    [anon_sym_AT] = ACTIONS(2077),
    [anon_sym_static] = ACTIONS(2077),
    [anon_sym_readonly] = ACTIONS(2077),
    [anon_sym_get] = ACTIONS(2077),
    [anon_sym_set] = ACTIONS(2077),
    [anon_sym_declare] = ACTIONS(2077),
    [anon_sym_public] = ACTIONS(2077),
    [anon_sym_private] = ACTIONS(2077),
    [anon_sym_protected] = ACTIONS(2077),
    [anon_sym_override] = ACTIONS(2077),
    [anon_sym_module] = ACTIONS(2077),
    [anon_sym_any] = ACTIONS(2077),
    [anon_sym_number] = ACTIONS(2077),
    [anon_sym_boolean] = ACTIONS(2077),
    [anon_sym_string] = ACTIONS(2077),
    [anon_sym_symbol] = ACTIONS(2077),
    [anon_sym_object] = ACTIONS(2077),
    [anon_sym_abstract] = ACTIONS(2077),
    [anon_sym_interface] = ACTIONS(2077),
    [anon_sym_enum] = ACTIONS(2077),
    [sym_html_comment] = ACTIONS(5),
  },
  [1085] = {
    [sym_comment] = STATE(1085),
    [sym_identifier] = ACTIONS(3154),
    [anon_sym_export] = ACTIONS(3154),
    [anon_sym_default] = ACTIONS(3154),
    [anon_sym_type] = ACTIONS(3154),
    [anon_sym_namespace] = ACTIONS(3154),
    [anon_sym_LBRACE] = ACTIONS(3154),
    [anon_sym_RBRACE] = ACTIONS(3154),
    [anon_sym_typeof] = ACTIONS(3154),
    [anon_sym_import] = ACTIONS(3154),
    [anon_sym_with] = ACTIONS(3154),
    [anon_sym_var] = ACTIONS(3154),
    [anon_sym_let] = ACTIONS(3154),
    [anon_sym_const] = ACTIONS(3154),
    [anon_sym_BANG] = ACTIONS(3154),
    [anon_sym_else] = ACTIONS(3154),
    [anon_sym_if] = ACTIONS(3154),
    [anon_sym_switch] = ACTIONS(3154),
    [anon_sym_for] = ACTIONS(3154),
    [anon_sym_LPAREN] = ACTIONS(3154),
    [anon_sym_await] = ACTIONS(3154),
    [anon_sym_while] = ACTIONS(3154),
    [anon_sym_do] = ACTIONS(3154),
    [anon_sym_try] = ACTIONS(3154),
    [anon_sym_break] = ACTIONS(3154),
    [anon_sym_continue] = ACTIONS(3154),
    [anon_sym_debugger] = ACTIONS(3154),
    [anon_sym_return] = ACTIONS(3154),
    [anon_sym_throw] = ACTIONS(3154),
    [anon_sym_SEMI] = ACTIONS(3154),
    [anon_sym_case] = ACTIONS(3154),
    [anon_sym_yield] = ACTIONS(3154),
    [anon_sym_LBRACK] = ACTIONS(3154),
    [anon_sym_LTtemplate_GT] = ACTIONS(3154),
    [anon_sym_DQUOTE] = ACTIONS(3154),
    [anon_sym_SQUOTE] = ACTIONS(3154),
    [anon_sym_class] = ACTIONS(3154),
    [anon_sym_async] = ACTIONS(3154),
    [anon_sym_function] = ACTIONS(3154),
    [anon_sym_new] = ACTIONS(3154),
    [anon_sym_using] = ACTIONS(3154),
    [anon_sym_PLUS] = ACTIONS(3154),
    [anon_sym_DASH] = ACTIONS(3154),
    [anon_sym_SLASH] = ACTIONS(3154),
    [anon_sym_LT] = ACTIONS(3154),
    [anon_sym_TILDE] = ACTIONS(3154),
    [anon_sym_void] = ACTIONS(3154),
    [anon_sym_delete] = ACTIONS(3154),
    [anon_sym_PLUS_PLUS] = ACTIONS(3154),
    [anon_sym_DASH_DASH] = ACTIONS(3154),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3154),
    [sym_number] = ACTIONS(3154),
    [sym_private_property_identifier] = ACTIONS(3154),
    [sym_this] = ACTIONS(3154),
    [sym_super] = ACTIONS(3154),
    [sym_true] = ACTIONS(3154),
    [sym_false] = ACTIONS(3154),
    [sym_null] = ACTIONS(3154),
    [sym_undefined] = ACTIONS(3154),
    [anon_sym_AT] = ACTIONS(3154),
    [anon_sym_static] = ACTIONS(3154),
    [anon_sym_readonly] = ACTIONS(3154),
    [anon_sym_get] = ACTIONS(3154),
    [anon_sym_set] = ACTIONS(3154),
    [anon_sym_declare] = ACTIONS(3154),
    [anon_sym_public] = ACTIONS(3154),
    [anon_sym_private] = ACTIONS(3154),
    [anon_sym_protected] = ACTIONS(3154),
    [anon_sym_override] = ACTIONS(3154),
    [anon_sym_module] = ACTIONS(3154),
    [anon_sym_any] = ACTIONS(3154),
    [anon_sym_number] = ACTIONS(3154),
    [anon_sym_boolean] = ACTIONS(3154),
    [anon_sym_string] = ACTIONS(3154),
    [anon_sym_symbol] = ACTIONS(3154),
    [anon_sym_object] = ACTIONS(3154),
    [anon_sym_abstract] = ACTIONS(3154),
    [anon_sym_interface] = ACTIONS(3154),
    [anon_sym_enum] = ACTIONS(3154),
    [sym_html_comment] = ACTIONS(5),
  },
  [1086] = {
    [sym_comment] = STATE(1086),
    [sym_identifier] = ACTIONS(3154),
    [anon_sym_export] = ACTIONS(3154),
    [anon_sym_default] = ACTIONS(3154),
    [anon_sym_type] = ACTIONS(3154),
    [anon_sym_namespace] = ACTIONS(3154),
    [anon_sym_LBRACE] = ACTIONS(3154),
    [anon_sym_RBRACE] = ACTIONS(3154),
    [anon_sym_typeof] = ACTIONS(3154),
    [anon_sym_import] = ACTIONS(3154),
    [anon_sym_with] = ACTIONS(3154),
    [anon_sym_var] = ACTIONS(3154),
    [anon_sym_let] = ACTIONS(3154),
    [anon_sym_const] = ACTIONS(3154),
    [anon_sym_BANG] = ACTIONS(3154),
    [anon_sym_else] = ACTIONS(3154),
    [anon_sym_if] = ACTIONS(3154),
    [anon_sym_switch] = ACTIONS(3154),
    [anon_sym_for] = ACTIONS(3154),
    [anon_sym_LPAREN] = ACTIONS(3154),
    [anon_sym_await] = ACTIONS(3154),
    [anon_sym_while] = ACTIONS(3154),
    [anon_sym_do] = ACTIONS(3154),
    [anon_sym_try] = ACTIONS(3154),
    [anon_sym_break] = ACTIONS(3154),
    [anon_sym_continue] = ACTIONS(3154),
    [anon_sym_debugger] = ACTIONS(3154),
    [anon_sym_return] = ACTIONS(3154),
    [anon_sym_throw] = ACTIONS(3154),
    [anon_sym_SEMI] = ACTIONS(3154),
    [anon_sym_case] = ACTIONS(3154),
    [anon_sym_yield] = ACTIONS(3154),
    [anon_sym_LBRACK] = ACTIONS(3154),
    [anon_sym_LTtemplate_GT] = ACTIONS(3154),
    [anon_sym_DQUOTE] = ACTIONS(3154),
    [anon_sym_SQUOTE] = ACTIONS(3154),
    [anon_sym_class] = ACTIONS(3154),
    [anon_sym_async] = ACTIONS(3154),
    [anon_sym_function] = ACTIONS(3154),
    [anon_sym_new] = ACTIONS(3154),
    [anon_sym_using] = ACTIONS(3154),
    [anon_sym_PLUS] = ACTIONS(3154),
    [anon_sym_DASH] = ACTIONS(3154),
    [anon_sym_SLASH] = ACTIONS(3154),
    [anon_sym_LT] = ACTIONS(3154),
    [anon_sym_TILDE] = ACTIONS(3154),
    [anon_sym_void] = ACTIONS(3154),
    [anon_sym_delete] = ACTIONS(3154),
    [anon_sym_PLUS_PLUS] = ACTIONS(3154),
    [anon_sym_DASH_DASH] = ACTIONS(3154),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3154),
    [sym_number] = ACTIONS(3154),
    [sym_private_property_identifier] = ACTIONS(3154),
    [sym_this] = ACTIONS(3154),
    [sym_super] = ACTIONS(3154),
    [sym_true] = ACTIONS(3154),
    [sym_false] = ACTIONS(3154),
    [sym_null] = ACTIONS(3154),
    [sym_undefined] = ACTIONS(3154),
    [anon_sym_AT] = ACTIONS(3154),
    [anon_sym_static] = ACTIONS(3154),
    [anon_sym_readonly] = ACTIONS(3154),
    [anon_sym_get] = ACTIONS(3154),
    [anon_sym_set] = ACTIONS(3154),
    [anon_sym_declare] = ACTIONS(3154),
    [anon_sym_public] = ACTIONS(3154),
    [anon_sym_private] = ACTIONS(3154),
    [anon_sym_protected] = ACTIONS(3154),
    [anon_sym_override] = ACTIONS(3154),
    [anon_sym_module] = ACTIONS(3154),
    [anon_sym_any] = ACTIONS(3154),
    [anon_sym_number] = ACTIONS(3154),
    [anon_sym_boolean] = ACTIONS(3154),
    [anon_sym_string] = ACTIONS(3154),
    [anon_sym_symbol] = ACTIONS(3154),
    [anon_sym_object] = ACTIONS(3154),
    [anon_sym_abstract] = ACTIONS(3154),
    [anon_sym_interface] = ACTIONS(3154),
    [anon_sym_enum] = ACTIONS(3154),
    [sym_html_comment] = ACTIONS(5),
  },
  [1087] = {
    [sym_comment] = STATE(1087),
    [ts_builtin_sym_end] = ACTIONS(2095),
    [sym_identifier] = ACTIONS(2093),
    [anon_sym_export] = ACTIONS(2093),
    [anon_sym_type] = ACTIONS(2093),
    [anon_sym_namespace] = ACTIONS(2093),
    [anon_sym_LBRACE] = ACTIONS(2093),
    [anon_sym_RBRACE] = ACTIONS(2093),
    [anon_sym_typeof] = ACTIONS(2093),
    [anon_sym_import] = ACTIONS(2093),
    [anon_sym_with] = ACTIONS(2093),
    [anon_sym_var] = ACTIONS(2093),
    [anon_sym_let] = ACTIONS(2093),
    [anon_sym_const] = ACTIONS(2093),
    [anon_sym_BANG] = ACTIONS(2093),
    [anon_sym_else] = ACTIONS(2093),
    [anon_sym_if] = ACTIONS(2093),
    [anon_sym_switch] = ACTIONS(2093),
    [anon_sym_for] = ACTIONS(2093),
    [anon_sym_LPAREN] = ACTIONS(2093),
    [anon_sym_await] = ACTIONS(2093),
    [anon_sym_while] = ACTIONS(2093),
    [anon_sym_do] = ACTIONS(2093),
    [anon_sym_try] = ACTIONS(2093),
    [anon_sym_break] = ACTIONS(2093),
    [anon_sym_continue] = ACTIONS(2093),
    [anon_sym_debugger] = ACTIONS(2093),
    [anon_sym_return] = ACTIONS(2093),
    [anon_sym_throw] = ACTIONS(2093),
    [anon_sym_SEMI] = ACTIONS(2093),
    [anon_sym_yield] = ACTIONS(2093),
    [anon_sym_LBRACK] = ACTIONS(2093),
    [anon_sym_LTtemplate_GT] = ACTIONS(2093),
    [anon_sym_DQUOTE] = ACTIONS(2093),
    [anon_sym_SQUOTE] = ACTIONS(2093),
    [anon_sym_class] = ACTIONS(2093),
    [anon_sym_async] = ACTIONS(2093),
    [anon_sym_function] = ACTIONS(2093),
    [anon_sym_new] = ACTIONS(2093),
    [anon_sym_using] = ACTIONS(2093),
    [anon_sym_PLUS] = ACTIONS(2093),
    [anon_sym_DASH] = ACTIONS(2093),
    [anon_sym_SLASH] = ACTIONS(2093),
    [anon_sym_LT] = ACTIONS(2093),
    [anon_sym_TILDE] = ACTIONS(2093),
    [anon_sym_void] = ACTIONS(2093),
    [anon_sym_delete] = ACTIONS(2093),
    [anon_sym_PLUS_PLUS] = ACTIONS(2093),
    [anon_sym_DASH_DASH] = ACTIONS(2093),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2093),
    [sym_number] = ACTIONS(2093),
    [sym_private_property_identifier] = ACTIONS(2093),
    [sym_this] = ACTIONS(2093),
    [sym_super] = ACTIONS(2093),
    [sym_true] = ACTIONS(2093),
    [sym_false] = ACTIONS(2093),
    [sym_null] = ACTIONS(2093),
    [sym_undefined] = ACTIONS(2093),
    [anon_sym_AT] = ACTIONS(2093),
    [anon_sym_static] = ACTIONS(2093),
    [anon_sym_readonly] = ACTIONS(2093),
    [anon_sym_get] = ACTIONS(2093),
    [anon_sym_set] = ACTIONS(2093),
    [anon_sym_declare] = ACTIONS(2093),
    [anon_sym_public] = ACTIONS(2093),
    [anon_sym_private] = ACTIONS(2093),
    [anon_sym_protected] = ACTIONS(2093),
    [anon_sym_override] = ACTIONS(2093),
    [anon_sym_module] = ACTIONS(2093),
    [anon_sym_any] = ACTIONS(2093),
    [anon_sym_number] = ACTIONS(2093),
    [anon_sym_boolean] = ACTIONS(2093),
    [anon_sym_string] = ACTIONS(2093),
    [anon_sym_symbol] = ACTIONS(2093),
    [anon_sym_object] = ACTIONS(2093),
    [anon_sym_abstract] = ACTIONS(2093),
    [anon_sym_interface] = ACTIONS(2093),
    [anon_sym_enum] = ACTIONS(2093),
    [sym__automatic_semicolon] = ACTIONS(3268),
    [sym_html_comment] = ACTIONS(5),
  },
  [1088] = {
    [sym_comment] = STATE(1088),
    [sym_identifier] = ACTIONS(3154),
    [anon_sym_export] = ACTIONS(3154),
    [anon_sym_default] = ACTIONS(3154),
    [anon_sym_type] = ACTIONS(3154),
    [anon_sym_namespace] = ACTIONS(3154),
    [anon_sym_LBRACE] = ACTIONS(3154),
    [anon_sym_RBRACE] = ACTIONS(3154),
    [anon_sym_typeof] = ACTIONS(3154),
    [anon_sym_import] = ACTIONS(3154),
    [anon_sym_with] = ACTIONS(3154),
    [anon_sym_var] = ACTIONS(3154),
    [anon_sym_let] = ACTIONS(3154),
    [anon_sym_const] = ACTIONS(3154),
    [anon_sym_BANG] = ACTIONS(3154),
    [anon_sym_else] = ACTIONS(3154),
    [anon_sym_if] = ACTIONS(3154),
    [anon_sym_switch] = ACTIONS(3154),
    [anon_sym_for] = ACTIONS(3154),
    [anon_sym_LPAREN] = ACTIONS(3154),
    [anon_sym_await] = ACTIONS(3154),
    [anon_sym_while] = ACTIONS(3154),
    [anon_sym_do] = ACTIONS(3154),
    [anon_sym_try] = ACTIONS(3154),
    [anon_sym_break] = ACTIONS(3154),
    [anon_sym_continue] = ACTIONS(3154),
    [anon_sym_debugger] = ACTIONS(3154),
    [anon_sym_return] = ACTIONS(3154),
    [anon_sym_throw] = ACTIONS(3154),
    [anon_sym_SEMI] = ACTIONS(3154),
    [anon_sym_case] = ACTIONS(3154),
    [anon_sym_yield] = ACTIONS(3154),
    [anon_sym_LBRACK] = ACTIONS(3154),
    [anon_sym_LTtemplate_GT] = ACTIONS(3154),
    [anon_sym_DQUOTE] = ACTIONS(3154),
    [anon_sym_SQUOTE] = ACTIONS(3154),
    [anon_sym_class] = ACTIONS(3154),
    [anon_sym_async] = ACTIONS(3154),
    [anon_sym_function] = ACTIONS(3154),
    [anon_sym_new] = ACTIONS(3154),
    [anon_sym_using] = ACTIONS(3154),
    [anon_sym_PLUS] = ACTIONS(3154),
    [anon_sym_DASH] = ACTIONS(3154),
    [anon_sym_SLASH] = ACTIONS(3154),
    [anon_sym_LT] = ACTIONS(3154),
    [anon_sym_TILDE] = ACTIONS(3154),
    [anon_sym_void] = ACTIONS(3154),
    [anon_sym_delete] = ACTIONS(3154),
    [anon_sym_PLUS_PLUS] = ACTIONS(3154),
    [anon_sym_DASH_DASH] = ACTIONS(3154),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3154),
    [sym_number] = ACTIONS(3154),
    [sym_private_property_identifier] = ACTIONS(3154),
    [sym_this] = ACTIONS(3154),
    [sym_super] = ACTIONS(3154),
    [sym_true] = ACTIONS(3154),
    [sym_false] = ACTIONS(3154),
    [sym_null] = ACTIONS(3154),
    [sym_undefined] = ACTIONS(3154),
    [anon_sym_AT] = ACTIONS(3154),
    [anon_sym_static] = ACTIONS(3154),
    [anon_sym_readonly] = ACTIONS(3154),
    [anon_sym_get] = ACTIONS(3154),
    [anon_sym_set] = ACTIONS(3154),
    [anon_sym_declare] = ACTIONS(3154),
    [anon_sym_public] = ACTIONS(3154),
    [anon_sym_private] = ACTIONS(3154),
    [anon_sym_protected] = ACTIONS(3154),
    [anon_sym_override] = ACTIONS(3154),
    [anon_sym_module] = ACTIONS(3154),
    [anon_sym_any] = ACTIONS(3154),
    [anon_sym_number] = ACTIONS(3154),
    [anon_sym_boolean] = ACTIONS(3154),
    [anon_sym_string] = ACTIONS(3154),
    [anon_sym_symbol] = ACTIONS(3154),
    [anon_sym_object] = ACTIONS(3154),
    [anon_sym_abstract] = ACTIONS(3154),
    [anon_sym_interface] = ACTIONS(3154),
    [anon_sym_enum] = ACTIONS(3154),
    [sym_html_comment] = ACTIONS(5),
  },
  [1089] = {
    [sym_comment] = STATE(1089),
    [sym_identifier] = ACTIONS(2221),
    [anon_sym_export] = ACTIONS(2221),
    [anon_sym_default] = ACTIONS(2221),
    [anon_sym_type] = ACTIONS(2221),
    [anon_sym_namespace] = ACTIONS(2221),
    [anon_sym_LBRACE] = ACTIONS(2221),
    [anon_sym_RBRACE] = ACTIONS(2221),
    [anon_sym_typeof] = ACTIONS(2221),
    [anon_sym_import] = ACTIONS(2221),
    [anon_sym_with] = ACTIONS(2221),
    [anon_sym_var] = ACTIONS(2221),
    [anon_sym_let] = ACTIONS(2221),
    [anon_sym_const] = ACTIONS(2221),
    [anon_sym_BANG] = ACTIONS(2221),
    [anon_sym_else] = ACTIONS(2221),
    [anon_sym_if] = ACTIONS(2221),
    [anon_sym_switch] = ACTIONS(2221),
    [anon_sym_for] = ACTIONS(2221),
    [anon_sym_LPAREN] = ACTIONS(2221),
    [anon_sym_await] = ACTIONS(2221),
    [anon_sym_while] = ACTIONS(2221),
    [anon_sym_do] = ACTIONS(2221),
    [anon_sym_try] = ACTIONS(2221),
    [anon_sym_break] = ACTIONS(2221),
    [anon_sym_continue] = ACTIONS(2221),
    [anon_sym_debugger] = ACTIONS(2221),
    [anon_sym_return] = ACTIONS(2221),
    [anon_sym_throw] = ACTIONS(2221),
    [anon_sym_SEMI] = ACTIONS(2221),
    [anon_sym_case] = ACTIONS(2221),
    [anon_sym_yield] = ACTIONS(2221),
    [anon_sym_LBRACK] = ACTIONS(2221),
    [anon_sym_LTtemplate_GT] = ACTIONS(2221),
    [anon_sym_DQUOTE] = ACTIONS(2221),
    [anon_sym_SQUOTE] = ACTIONS(2221),
    [anon_sym_class] = ACTIONS(2221),
    [anon_sym_async] = ACTIONS(2221),
    [anon_sym_function] = ACTIONS(2221),
    [anon_sym_new] = ACTIONS(2221),
    [anon_sym_using] = ACTIONS(2221),
    [anon_sym_PLUS] = ACTIONS(2221),
    [anon_sym_DASH] = ACTIONS(2221),
    [anon_sym_SLASH] = ACTIONS(2221),
    [anon_sym_LT] = ACTIONS(2221),
    [anon_sym_TILDE] = ACTIONS(2221),
    [anon_sym_void] = ACTIONS(2221),
    [anon_sym_delete] = ACTIONS(2221),
    [anon_sym_PLUS_PLUS] = ACTIONS(2221),
    [anon_sym_DASH_DASH] = ACTIONS(2221),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2221),
    [sym_number] = ACTIONS(2221),
    [sym_private_property_identifier] = ACTIONS(2221),
    [sym_this] = ACTIONS(2221),
    [sym_super] = ACTIONS(2221),
    [sym_true] = ACTIONS(2221),
    [sym_false] = ACTIONS(2221),
    [sym_null] = ACTIONS(2221),
    [sym_undefined] = ACTIONS(2221),
    [anon_sym_AT] = ACTIONS(2221),
    [anon_sym_static] = ACTIONS(2221),
    [anon_sym_readonly] = ACTIONS(2221),
    [anon_sym_get] = ACTIONS(2221),
    [anon_sym_set] = ACTIONS(2221),
    [anon_sym_declare] = ACTIONS(2221),
    [anon_sym_public] = ACTIONS(2221),
    [anon_sym_private] = ACTIONS(2221),
    [anon_sym_protected] = ACTIONS(2221),
    [anon_sym_override] = ACTIONS(2221),
    [anon_sym_module] = ACTIONS(2221),
    [anon_sym_any] = ACTIONS(2221),
    [anon_sym_number] = ACTIONS(2221),
    [anon_sym_boolean] = ACTIONS(2221),
    [anon_sym_string] = ACTIONS(2221),
    [anon_sym_symbol] = ACTIONS(2221),
    [anon_sym_object] = ACTIONS(2221),
    [anon_sym_abstract] = ACTIONS(2221),
    [anon_sym_interface] = ACTIONS(2221),
    [anon_sym_enum] = ACTIONS(2221),
    [sym_html_comment] = ACTIONS(5),
  },
  [1090] = {
    [sym_comment] = STATE(1090),
    [sym_identifier] = ACTIONS(3270),
    [anon_sym_export] = ACTIONS(3270),
    [anon_sym_default] = ACTIONS(3270),
    [anon_sym_type] = ACTIONS(3270),
    [anon_sym_namespace] = ACTIONS(3270),
    [anon_sym_LBRACE] = ACTIONS(3270),
    [anon_sym_RBRACE] = ACTIONS(3270),
    [anon_sym_typeof] = ACTIONS(3270),
    [anon_sym_import] = ACTIONS(3270),
    [anon_sym_with] = ACTIONS(3270),
    [anon_sym_var] = ACTIONS(3270),
    [anon_sym_let] = ACTIONS(3270),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_BANG] = ACTIONS(3270),
    [anon_sym_else] = ACTIONS(3270),
    [anon_sym_if] = ACTIONS(3270),
    [anon_sym_switch] = ACTIONS(3270),
    [anon_sym_for] = ACTIONS(3270),
    [anon_sym_LPAREN] = ACTIONS(3270),
    [anon_sym_await] = ACTIONS(3270),
    [anon_sym_while] = ACTIONS(3270),
    [anon_sym_do] = ACTIONS(3270),
    [anon_sym_try] = ACTIONS(3270),
    [anon_sym_break] = ACTIONS(3270),
    [anon_sym_continue] = ACTIONS(3270),
    [anon_sym_debugger] = ACTIONS(3270),
    [anon_sym_return] = ACTIONS(3270),
    [anon_sym_throw] = ACTIONS(3270),
    [anon_sym_SEMI] = ACTIONS(3270),
    [anon_sym_case] = ACTIONS(3270),
    [anon_sym_yield] = ACTIONS(3270),
    [anon_sym_LBRACK] = ACTIONS(3270),
    [anon_sym_LTtemplate_GT] = ACTIONS(3270),
    [anon_sym_DQUOTE] = ACTIONS(3270),
    [anon_sym_SQUOTE] = ACTIONS(3270),
    [anon_sym_class] = ACTIONS(3270),
    [anon_sym_async] = ACTIONS(3270),
    [anon_sym_function] = ACTIONS(3270),
    [anon_sym_new] = ACTIONS(3270),
    [anon_sym_using] = ACTIONS(3270),
    [anon_sym_PLUS] = ACTIONS(3270),
    [anon_sym_DASH] = ACTIONS(3270),
    [anon_sym_SLASH] = ACTIONS(3270),
    [anon_sym_LT] = ACTIONS(3270),
    [anon_sym_TILDE] = ACTIONS(3270),
    [anon_sym_void] = ACTIONS(3270),
    [anon_sym_delete] = ACTIONS(3270),
    [anon_sym_PLUS_PLUS] = ACTIONS(3270),
    [anon_sym_DASH_DASH] = ACTIONS(3270),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3270),
    [sym_number] = ACTIONS(3270),
    [sym_private_property_identifier] = ACTIONS(3270),
    [sym_this] = ACTIONS(3270),
    [sym_super] = ACTIONS(3270),
    [sym_true] = ACTIONS(3270),
    [sym_false] = ACTIONS(3270),
    [sym_null] = ACTIONS(3270),
    [sym_undefined] = ACTIONS(3270),
    [anon_sym_AT] = ACTIONS(3270),
    [anon_sym_static] = ACTIONS(3270),
    [anon_sym_readonly] = ACTIONS(3270),
    [anon_sym_get] = ACTIONS(3270),
    [anon_sym_set] = ACTIONS(3270),
    [anon_sym_declare] = ACTIONS(3270),
    [anon_sym_public] = ACTIONS(3270),
    [anon_sym_private] = ACTIONS(3270),
    [anon_sym_protected] = ACTIONS(3270),
    [anon_sym_override] = ACTIONS(3270),
    [anon_sym_module] = ACTIONS(3270),
    [anon_sym_any] = ACTIONS(3270),
    [anon_sym_number] = ACTIONS(3270),
    [anon_sym_boolean] = ACTIONS(3270),
    [anon_sym_string] = ACTIONS(3270),
    [anon_sym_symbol] = ACTIONS(3270),
    [anon_sym_object] = ACTIONS(3270),
    [anon_sym_abstract] = ACTIONS(3270),
    [anon_sym_interface] = ACTIONS(3270),
    [anon_sym_enum] = ACTIONS(3270),
    [sym_html_comment] = ACTIONS(5),
  },
  [1091] = {
    [sym_comment] = STATE(1091),
    [sym_identifier] = ACTIONS(3272),
    [anon_sym_export] = ACTIONS(3272),
    [anon_sym_default] = ACTIONS(3272),
    [anon_sym_type] = ACTIONS(3272),
    [anon_sym_namespace] = ACTIONS(3272),
    [anon_sym_LBRACE] = ACTIONS(3272),
    [anon_sym_RBRACE] = ACTIONS(3272),
    [anon_sym_typeof] = ACTIONS(3272),
    [anon_sym_import] = ACTIONS(3272),
    [anon_sym_with] = ACTIONS(3272),
    [anon_sym_var] = ACTIONS(3272),
    [anon_sym_let] = ACTIONS(3272),
    [anon_sym_const] = ACTIONS(3272),
    [anon_sym_BANG] = ACTIONS(3272),
    [anon_sym_else] = ACTIONS(3272),
    [anon_sym_if] = ACTIONS(3272),
    [anon_sym_switch] = ACTIONS(3272),
    [anon_sym_for] = ACTIONS(3272),
    [anon_sym_LPAREN] = ACTIONS(3272),
    [anon_sym_await] = ACTIONS(3272),
    [anon_sym_while] = ACTIONS(3272),
    [anon_sym_do] = ACTIONS(3272),
    [anon_sym_try] = ACTIONS(3272),
    [anon_sym_break] = ACTIONS(3272),
    [anon_sym_continue] = ACTIONS(3272),
    [anon_sym_debugger] = ACTIONS(3272),
    [anon_sym_return] = ACTIONS(3272),
    [anon_sym_throw] = ACTIONS(3272),
    [anon_sym_SEMI] = ACTIONS(3272),
    [anon_sym_case] = ACTIONS(3272),
    [anon_sym_yield] = ACTIONS(3272),
    [anon_sym_LBRACK] = ACTIONS(3272),
    [anon_sym_LTtemplate_GT] = ACTIONS(3272),
    [anon_sym_DQUOTE] = ACTIONS(3272),
    [anon_sym_SQUOTE] = ACTIONS(3272),
    [anon_sym_class] = ACTIONS(3272),
    [anon_sym_async] = ACTIONS(3272),
    [anon_sym_function] = ACTIONS(3272),
    [anon_sym_new] = ACTIONS(3272),
    [anon_sym_using] = ACTIONS(3272),
    [anon_sym_PLUS] = ACTIONS(3272),
    [anon_sym_DASH] = ACTIONS(3272),
    [anon_sym_SLASH] = ACTIONS(3272),
    [anon_sym_LT] = ACTIONS(3272),
    [anon_sym_TILDE] = ACTIONS(3272),
    [anon_sym_void] = ACTIONS(3272),
    [anon_sym_delete] = ACTIONS(3272),
    [anon_sym_PLUS_PLUS] = ACTIONS(3272),
    [anon_sym_DASH_DASH] = ACTIONS(3272),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3272),
    [sym_number] = ACTIONS(3272),
    [sym_private_property_identifier] = ACTIONS(3272),
    [sym_this] = ACTIONS(3272),
    [sym_super] = ACTIONS(3272),
    [sym_true] = ACTIONS(3272),
    [sym_false] = ACTIONS(3272),
    [sym_null] = ACTIONS(3272),
    [sym_undefined] = ACTIONS(3272),
    [anon_sym_AT] = ACTIONS(3272),
    [anon_sym_static] = ACTIONS(3272),
    [anon_sym_readonly] = ACTIONS(3272),
    [anon_sym_get] = ACTIONS(3272),
    [anon_sym_set] = ACTIONS(3272),
    [anon_sym_declare] = ACTIONS(3272),
    [anon_sym_public] = ACTIONS(3272),
    [anon_sym_private] = ACTIONS(3272),
    [anon_sym_protected] = ACTIONS(3272),
    [anon_sym_override] = ACTIONS(3272),
    [anon_sym_module] = ACTIONS(3272),
    [anon_sym_any] = ACTIONS(3272),
    [anon_sym_number] = ACTIONS(3272),
    [anon_sym_boolean] = ACTIONS(3272),
    [anon_sym_string] = ACTIONS(3272),
    [anon_sym_symbol] = ACTIONS(3272),
    [anon_sym_object] = ACTIONS(3272),
    [anon_sym_abstract] = ACTIONS(3272),
    [anon_sym_interface] = ACTIONS(3272),
    [anon_sym_enum] = ACTIONS(3272),
    [sym_html_comment] = ACTIONS(5),
  },
  [1092] = {
    [sym_comment] = STATE(1092),
    [sym_identifier] = ACTIONS(3274),
    [anon_sym_export] = ACTIONS(3274),
    [anon_sym_default] = ACTIONS(3274),
    [anon_sym_type] = ACTIONS(3274),
    [anon_sym_namespace] = ACTIONS(3274),
    [anon_sym_LBRACE] = ACTIONS(3274),
    [anon_sym_RBRACE] = ACTIONS(3274),
    [anon_sym_typeof] = ACTIONS(3274),
    [anon_sym_import] = ACTIONS(3274),
    [anon_sym_with] = ACTIONS(3274),
    [anon_sym_var] = ACTIONS(3274),
    [anon_sym_let] = ACTIONS(3274),
    [anon_sym_const] = ACTIONS(3274),
    [anon_sym_BANG] = ACTIONS(3274),
    [anon_sym_else] = ACTIONS(3274),
    [anon_sym_if] = ACTIONS(3274),
    [anon_sym_switch] = ACTIONS(3274),
    [anon_sym_for] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(3274),
    [anon_sym_await] = ACTIONS(3274),
    [anon_sym_while] = ACTIONS(3274),
    [anon_sym_do] = ACTIONS(3274),
    [anon_sym_try] = ACTIONS(3274),
    [anon_sym_break] = ACTIONS(3274),
    [anon_sym_continue] = ACTIONS(3274),
    [anon_sym_debugger] = ACTIONS(3274),
    [anon_sym_return] = ACTIONS(3274),
    [anon_sym_throw] = ACTIONS(3274),
    [anon_sym_SEMI] = ACTIONS(3274),
    [anon_sym_case] = ACTIONS(3274),
    [anon_sym_yield] = ACTIONS(3274),
    [anon_sym_LBRACK] = ACTIONS(3274),
    [anon_sym_LTtemplate_GT] = ACTIONS(3274),
    [anon_sym_DQUOTE] = ACTIONS(3274),
    [anon_sym_SQUOTE] = ACTIONS(3274),
    [anon_sym_class] = ACTIONS(3274),
    [anon_sym_async] = ACTIONS(3274),
    [anon_sym_function] = ACTIONS(3274),
    [anon_sym_new] = ACTIONS(3274),
    [anon_sym_using] = ACTIONS(3274),
    [anon_sym_PLUS] = ACTIONS(3274),
    [anon_sym_DASH] = ACTIONS(3274),
    [anon_sym_SLASH] = ACTIONS(3274),
    [anon_sym_LT] = ACTIONS(3274),
    [anon_sym_TILDE] = ACTIONS(3274),
    [anon_sym_void] = ACTIONS(3274),
    [anon_sym_delete] = ACTIONS(3274),
    [anon_sym_PLUS_PLUS] = ACTIONS(3274),
    [anon_sym_DASH_DASH] = ACTIONS(3274),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3274),
    [sym_number] = ACTIONS(3274),
    [sym_private_property_identifier] = ACTIONS(3274),
    [sym_this] = ACTIONS(3274),
    [sym_super] = ACTIONS(3274),
    [sym_true] = ACTIONS(3274),
    [sym_false] = ACTIONS(3274),
    [sym_null] = ACTIONS(3274),
    [sym_undefined] = ACTIONS(3274),
    [anon_sym_AT] = ACTIONS(3274),
    [anon_sym_static] = ACTIONS(3274),
    [anon_sym_readonly] = ACTIONS(3274),
    [anon_sym_get] = ACTIONS(3274),
    [anon_sym_set] = ACTIONS(3274),
    [anon_sym_declare] = ACTIONS(3274),
    [anon_sym_public] = ACTIONS(3274),
    [anon_sym_private] = ACTIONS(3274),
    [anon_sym_protected] = ACTIONS(3274),
    [anon_sym_override] = ACTIONS(3274),
    [anon_sym_module] = ACTIONS(3274),
    [anon_sym_any] = ACTIONS(3274),
    [anon_sym_number] = ACTIONS(3274),
    [anon_sym_boolean] = ACTIONS(3274),
    [anon_sym_string] = ACTIONS(3274),
    [anon_sym_symbol] = ACTIONS(3274),
    [anon_sym_object] = ACTIONS(3274),
    [anon_sym_abstract] = ACTIONS(3274),
    [anon_sym_interface] = ACTIONS(3274),
    [anon_sym_enum] = ACTIONS(3274),
    [sym_html_comment] = ACTIONS(5),
  },
  [1093] = {
    [sym_comment] = STATE(1093),
    [sym_identifier] = ACTIONS(3276),
    [anon_sym_export] = ACTIONS(3276),
    [anon_sym_default] = ACTIONS(3276),
    [anon_sym_type] = ACTIONS(3276),
    [anon_sym_namespace] = ACTIONS(3276),
    [anon_sym_LBRACE] = ACTIONS(3276),
    [anon_sym_RBRACE] = ACTIONS(3276),
    [anon_sym_typeof] = ACTIONS(3276),
    [anon_sym_import] = ACTIONS(3276),
    [anon_sym_with] = ACTIONS(3276),
    [anon_sym_var] = ACTIONS(3276),
    [anon_sym_let] = ACTIONS(3276),
    [anon_sym_const] = ACTIONS(3276),
    [anon_sym_BANG] = ACTIONS(3276),
    [anon_sym_else] = ACTIONS(3276),
    [anon_sym_if] = ACTIONS(3276),
    [anon_sym_switch] = ACTIONS(3276),
    [anon_sym_for] = ACTIONS(3276),
    [anon_sym_LPAREN] = ACTIONS(3276),
    [anon_sym_await] = ACTIONS(3276),
    [anon_sym_while] = ACTIONS(3276),
    [anon_sym_do] = ACTIONS(3276),
    [anon_sym_try] = ACTIONS(3276),
    [anon_sym_break] = ACTIONS(3276),
    [anon_sym_continue] = ACTIONS(3276),
    [anon_sym_debugger] = ACTIONS(3276),
    [anon_sym_return] = ACTIONS(3276),
    [anon_sym_throw] = ACTIONS(3276),
    [anon_sym_SEMI] = ACTIONS(3276),
    [anon_sym_case] = ACTIONS(3276),
    [anon_sym_yield] = ACTIONS(3276),
    [anon_sym_LBRACK] = ACTIONS(3276),
    [anon_sym_LTtemplate_GT] = ACTIONS(3276),
    [anon_sym_DQUOTE] = ACTIONS(3276),
    [anon_sym_SQUOTE] = ACTIONS(3276),
    [anon_sym_class] = ACTIONS(3276),
    [anon_sym_async] = ACTIONS(3276),
    [anon_sym_function] = ACTIONS(3276),
    [anon_sym_new] = ACTIONS(3276),
    [anon_sym_using] = ACTIONS(3276),
    [anon_sym_PLUS] = ACTIONS(3276),
    [anon_sym_DASH] = ACTIONS(3276),
    [anon_sym_SLASH] = ACTIONS(3276),
    [anon_sym_LT] = ACTIONS(3276),
    [anon_sym_TILDE] = ACTIONS(3276),
    [anon_sym_void] = ACTIONS(3276),
    [anon_sym_delete] = ACTIONS(3276),
    [anon_sym_PLUS_PLUS] = ACTIONS(3276),
    [anon_sym_DASH_DASH] = ACTIONS(3276),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3276),
    [sym_number] = ACTIONS(3276),
    [sym_private_property_identifier] = ACTIONS(3276),
    [sym_this] = ACTIONS(3276),
    [sym_super] = ACTIONS(3276),
    [sym_true] = ACTIONS(3276),
    [sym_false] = ACTIONS(3276),
    [sym_null] = ACTIONS(3276),
    [sym_undefined] = ACTIONS(3276),
    [anon_sym_AT] = ACTIONS(3276),
    [anon_sym_static] = ACTIONS(3276),
    [anon_sym_readonly] = ACTIONS(3276),
    [anon_sym_get] = ACTIONS(3276),
    [anon_sym_set] = ACTIONS(3276),
    [anon_sym_declare] = ACTIONS(3276),
    [anon_sym_public] = ACTIONS(3276),
    [anon_sym_private] = ACTIONS(3276),
    [anon_sym_protected] = ACTIONS(3276),
    [anon_sym_override] = ACTIONS(3276),
    [anon_sym_module] = ACTIONS(3276),
    [anon_sym_any] = ACTIONS(3276),
    [anon_sym_number] = ACTIONS(3276),
    [anon_sym_boolean] = ACTIONS(3276),
    [anon_sym_string] = ACTIONS(3276),
    [anon_sym_symbol] = ACTIONS(3276),
    [anon_sym_object] = ACTIONS(3276),
    [anon_sym_abstract] = ACTIONS(3276),
    [anon_sym_interface] = ACTIONS(3276),
    [anon_sym_enum] = ACTIONS(3276),
    [sym_html_comment] = ACTIONS(5),
  },
  [1094] = {
    [sym_comment] = STATE(1094),
    [sym_identifier] = ACTIONS(3278),
    [anon_sym_export] = ACTIONS(3278),
    [anon_sym_default] = ACTIONS(3278),
    [anon_sym_type] = ACTIONS(3278),
    [anon_sym_namespace] = ACTIONS(3278),
    [anon_sym_LBRACE] = ACTIONS(3278),
    [anon_sym_RBRACE] = ACTIONS(3278),
    [anon_sym_typeof] = ACTIONS(3278),
    [anon_sym_import] = ACTIONS(3278),
    [anon_sym_with] = ACTIONS(3278),
    [anon_sym_var] = ACTIONS(3278),
    [anon_sym_let] = ACTIONS(3278),
    [anon_sym_const] = ACTIONS(3278),
    [anon_sym_BANG] = ACTIONS(3278),
    [anon_sym_else] = ACTIONS(3278),
    [anon_sym_if] = ACTIONS(3278),
    [anon_sym_switch] = ACTIONS(3278),
    [anon_sym_for] = ACTIONS(3278),
    [anon_sym_LPAREN] = ACTIONS(3278),
    [anon_sym_await] = ACTIONS(3278),
    [anon_sym_while] = ACTIONS(3278),
    [anon_sym_do] = ACTIONS(3278),
    [anon_sym_try] = ACTIONS(3278),
    [anon_sym_break] = ACTIONS(3278),
    [anon_sym_continue] = ACTIONS(3278),
    [anon_sym_debugger] = ACTIONS(3278),
    [anon_sym_return] = ACTIONS(3278),
    [anon_sym_throw] = ACTIONS(3278),
    [anon_sym_SEMI] = ACTIONS(3278),
    [anon_sym_case] = ACTIONS(3278),
    [anon_sym_yield] = ACTIONS(3278),
    [anon_sym_LBRACK] = ACTIONS(3278),
    [anon_sym_LTtemplate_GT] = ACTIONS(3278),
    [anon_sym_DQUOTE] = ACTIONS(3278),
    [anon_sym_SQUOTE] = ACTIONS(3278),
    [anon_sym_class] = ACTIONS(3278),
    [anon_sym_async] = ACTIONS(3278),
    [anon_sym_function] = ACTIONS(3278),
    [anon_sym_new] = ACTIONS(3278),
    [anon_sym_using] = ACTIONS(3278),
    [anon_sym_PLUS] = ACTIONS(3278),
    [anon_sym_DASH] = ACTIONS(3278),
    [anon_sym_SLASH] = ACTIONS(3278),
    [anon_sym_LT] = ACTIONS(3278),
    [anon_sym_TILDE] = ACTIONS(3278),
    [anon_sym_void] = ACTIONS(3278),
    [anon_sym_delete] = ACTIONS(3278),
    [anon_sym_PLUS_PLUS] = ACTIONS(3278),
    [anon_sym_DASH_DASH] = ACTIONS(3278),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3278),
    [sym_number] = ACTIONS(3278),
    [sym_private_property_identifier] = ACTIONS(3278),
    [sym_this] = ACTIONS(3278),
    [sym_super] = ACTIONS(3278),
    [sym_true] = ACTIONS(3278),
    [sym_false] = ACTIONS(3278),
    [sym_null] = ACTIONS(3278),
    [sym_undefined] = ACTIONS(3278),
    [anon_sym_AT] = ACTIONS(3278),
    [anon_sym_static] = ACTIONS(3278),
    [anon_sym_readonly] = ACTIONS(3278),
    [anon_sym_get] = ACTIONS(3278),
    [anon_sym_set] = ACTIONS(3278),
    [anon_sym_declare] = ACTIONS(3278),
    [anon_sym_public] = ACTIONS(3278),
    [anon_sym_private] = ACTIONS(3278),
    [anon_sym_protected] = ACTIONS(3278),
    [anon_sym_override] = ACTIONS(3278),
    [anon_sym_module] = ACTIONS(3278),
    [anon_sym_any] = ACTIONS(3278),
    [anon_sym_number] = ACTIONS(3278),
    [anon_sym_boolean] = ACTIONS(3278),
    [anon_sym_string] = ACTIONS(3278),
    [anon_sym_symbol] = ACTIONS(3278),
    [anon_sym_object] = ACTIONS(3278),
    [anon_sym_abstract] = ACTIONS(3278),
    [anon_sym_interface] = ACTIONS(3278),
    [anon_sym_enum] = ACTIONS(3278),
    [sym_html_comment] = ACTIONS(5),
  },
  [1095] = {
    [sym_comment] = STATE(1095),
    [ts_builtin_sym_end] = ACTIONS(2095),
    [sym_identifier] = ACTIONS(2093),
    [anon_sym_export] = ACTIONS(2093),
    [anon_sym_type] = ACTIONS(2093),
    [anon_sym_namespace] = ACTIONS(2093),
    [anon_sym_LBRACE] = ACTIONS(2093),
    [anon_sym_RBRACE] = ACTIONS(2093),
    [anon_sym_typeof] = ACTIONS(2093),
    [anon_sym_import] = ACTIONS(2093),
    [anon_sym_with] = ACTIONS(2093),
    [anon_sym_var] = ACTIONS(2093),
    [anon_sym_let] = ACTIONS(2093),
    [anon_sym_const] = ACTIONS(2093),
    [anon_sym_BANG] = ACTIONS(2093),
    [anon_sym_else] = ACTIONS(2093),
    [anon_sym_if] = ACTIONS(2093),
    [anon_sym_switch] = ACTIONS(2093),
    [anon_sym_for] = ACTIONS(2093),
    [anon_sym_LPAREN] = ACTIONS(2093),
    [anon_sym_await] = ACTIONS(2093),
    [anon_sym_while] = ACTIONS(2093),
    [anon_sym_do] = ACTIONS(2093),
    [anon_sym_try] = ACTIONS(2093),
    [anon_sym_break] = ACTIONS(2093),
    [anon_sym_continue] = ACTIONS(2093),
    [anon_sym_debugger] = ACTIONS(2093),
    [anon_sym_return] = ACTIONS(2093),
    [anon_sym_throw] = ACTIONS(2093),
    [anon_sym_SEMI] = ACTIONS(2093),
    [anon_sym_finally] = ACTIONS(2093),
    [anon_sym_yield] = ACTIONS(2093),
    [anon_sym_LBRACK] = ACTIONS(2093),
    [anon_sym_LTtemplate_GT] = ACTIONS(2093),
    [anon_sym_DQUOTE] = ACTIONS(2093),
    [anon_sym_SQUOTE] = ACTIONS(2093),
    [anon_sym_class] = ACTIONS(2093),
    [anon_sym_async] = ACTIONS(2093),
    [anon_sym_function] = ACTIONS(2093),
    [anon_sym_new] = ACTIONS(2093),
    [anon_sym_using] = ACTIONS(2093),
    [anon_sym_PLUS] = ACTIONS(2093),
    [anon_sym_DASH] = ACTIONS(2093),
    [anon_sym_SLASH] = ACTIONS(2093),
    [anon_sym_LT] = ACTIONS(2093),
    [anon_sym_TILDE] = ACTIONS(2093),
    [anon_sym_void] = ACTIONS(2093),
    [anon_sym_delete] = ACTIONS(2093),
    [anon_sym_PLUS_PLUS] = ACTIONS(2093),
    [anon_sym_DASH_DASH] = ACTIONS(2093),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2093),
    [sym_number] = ACTIONS(2093),
    [sym_private_property_identifier] = ACTIONS(2093),
    [sym_this] = ACTIONS(2093),
    [sym_super] = ACTIONS(2093),
    [sym_true] = ACTIONS(2093),
    [sym_false] = ACTIONS(2093),
    [sym_null] = ACTIONS(2093),
    [sym_undefined] = ACTIONS(2093),
    [anon_sym_AT] = ACTIONS(2093),
    [anon_sym_static] = ACTIONS(2093),
    [anon_sym_readonly] = ACTIONS(2093),
    [anon_sym_get] = ACTIONS(2093),
    [anon_sym_set] = ACTIONS(2093),
    [anon_sym_declare] = ACTIONS(2093),
    [anon_sym_public] = ACTIONS(2093),
    [anon_sym_private] = ACTIONS(2093),
    [anon_sym_protected] = ACTIONS(2093),
    [anon_sym_override] = ACTIONS(2093),
    [anon_sym_module] = ACTIONS(2093),
    [anon_sym_any] = ACTIONS(2093),
    [anon_sym_number] = ACTIONS(2093),
    [anon_sym_boolean] = ACTIONS(2093),
    [anon_sym_string] = ACTIONS(2093),
    [anon_sym_symbol] = ACTIONS(2093),
    [anon_sym_object] = ACTIONS(2093),
    [anon_sym_abstract] = ACTIONS(2093),
    [anon_sym_interface] = ACTIONS(2093),
    [anon_sym_enum] = ACTIONS(2093),
    [sym_html_comment] = ACTIONS(5),
  },
  [1096] = {
    [sym_comment] = STATE(1096),
    [ts_builtin_sym_end] = ACTIONS(2107),
    [sym_identifier] = ACTIONS(2105),
    [anon_sym_export] = ACTIONS(2105),
    [anon_sym_type] = ACTIONS(2105),
    [anon_sym_namespace] = ACTIONS(2105),
    [anon_sym_LBRACE] = ACTIONS(2105),
    [anon_sym_RBRACE] = ACTIONS(2105),
    [anon_sym_typeof] = ACTIONS(2105),
    [anon_sym_import] = ACTIONS(2105),
    [anon_sym_with] = ACTIONS(2105),
    [anon_sym_var] = ACTIONS(2105),
    [anon_sym_let] = ACTIONS(2105),
    [anon_sym_const] = ACTIONS(2105),
    [anon_sym_BANG] = ACTIONS(2105),
    [anon_sym_else] = ACTIONS(2105),
    [anon_sym_if] = ACTIONS(2105),
    [anon_sym_switch] = ACTIONS(2105),
    [anon_sym_for] = ACTIONS(2105),
    [anon_sym_LPAREN] = ACTIONS(2105),
    [anon_sym_await] = ACTIONS(2105),
    [anon_sym_while] = ACTIONS(2105),
    [anon_sym_do] = ACTIONS(2105),
    [anon_sym_try] = ACTIONS(2105),
    [anon_sym_break] = ACTIONS(2105),
    [anon_sym_continue] = ACTIONS(2105),
    [anon_sym_debugger] = ACTIONS(2105),
    [anon_sym_return] = ACTIONS(2105),
    [anon_sym_throw] = ACTIONS(2105),
    [anon_sym_SEMI] = ACTIONS(2105),
    [anon_sym_finally] = ACTIONS(2105),
    [anon_sym_yield] = ACTIONS(2105),
    [anon_sym_LBRACK] = ACTIONS(2105),
    [anon_sym_LTtemplate_GT] = ACTIONS(2105),
    [anon_sym_DQUOTE] = ACTIONS(2105),
    [anon_sym_SQUOTE] = ACTIONS(2105),
    [anon_sym_class] = ACTIONS(2105),
    [anon_sym_async] = ACTIONS(2105),
    [anon_sym_function] = ACTIONS(2105),
    [anon_sym_new] = ACTIONS(2105),
    [anon_sym_using] = ACTIONS(2105),
    [anon_sym_PLUS] = ACTIONS(2105),
    [anon_sym_DASH] = ACTIONS(2105),
    [anon_sym_SLASH] = ACTIONS(2105),
    [anon_sym_LT] = ACTIONS(2105),
    [anon_sym_TILDE] = ACTIONS(2105),
    [anon_sym_void] = ACTIONS(2105),
    [anon_sym_delete] = ACTIONS(2105),
    [anon_sym_PLUS_PLUS] = ACTIONS(2105),
    [anon_sym_DASH_DASH] = ACTIONS(2105),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2105),
    [sym_number] = ACTIONS(2105),
    [sym_private_property_identifier] = ACTIONS(2105),
    [sym_this] = ACTIONS(2105),
    [sym_super] = ACTIONS(2105),
    [sym_true] = ACTIONS(2105),
    [sym_false] = ACTIONS(2105),
    [sym_null] = ACTIONS(2105),
    [sym_undefined] = ACTIONS(2105),
    [anon_sym_AT] = ACTIONS(2105),
    [anon_sym_static] = ACTIONS(2105),
    [anon_sym_readonly] = ACTIONS(2105),
    [anon_sym_get] = ACTIONS(2105),
    [anon_sym_set] = ACTIONS(2105),
    [anon_sym_declare] = ACTIONS(2105),
    [anon_sym_public] = ACTIONS(2105),
    [anon_sym_private] = ACTIONS(2105),
    [anon_sym_protected] = ACTIONS(2105),
    [anon_sym_override] = ACTIONS(2105),
    [anon_sym_module] = ACTIONS(2105),
    [anon_sym_any] = ACTIONS(2105),
    [anon_sym_number] = ACTIONS(2105),
    [anon_sym_boolean] = ACTIONS(2105),
    [anon_sym_string] = ACTIONS(2105),
    [anon_sym_symbol] = ACTIONS(2105),
    [anon_sym_object] = ACTIONS(2105),
    [anon_sym_abstract] = ACTIONS(2105),
    [anon_sym_interface] = ACTIONS(2105),
    [anon_sym_enum] = ACTIONS(2105),
    [sym_html_comment] = ACTIONS(5),
  },
  [1097] = {
    [sym_comment] = STATE(1097),
    [sym_identifier] = ACTIONS(3154),
    [anon_sym_export] = ACTIONS(3154),
    [anon_sym_default] = ACTIONS(3154),
    [anon_sym_type] = ACTIONS(3154),
    [anon_sym_namespace] = ACTIONS(3154),
    [anon_sym_LBRACE] = ACTIONS(3154),
    [anon_sym_RBRACE] = ACTIONS(3154),
    [anon_sym_typeof] = ACTIONS(3154),
    [anon_sym_import] = ACTIONS(3154),
    [anon_sym_with] = ACTIONS(3154),
    [anon_sym_var] = ACTIONS(3154),
    [anon_sym_let] = ACTIONS(3154),
    [anon_sym_const] = ACTIONS(3154),
    [anon_sym_BANG] = ACTIONS(3154),
    [anon_sym_else] = ACTIONS(3154),
    [anon_sym_if] = ACTIONS(3154),
    [anon_sym_switch] = ACTIONS(3154),
    [anon_sym_for] = ACTIONS(3154),
    [anon_sym_LPAREN] = ACTIONS(3154),
    [anon_sym_await] = ACTIONS(3154),
    [anon_sym_while] = ACTIONS(3154),
    [anon_sym_do] = ACTIONS(3154),
    [anon_sym_try] = ACTIONS(3154),
    [anon_sym_break] = ACTIONS(3154),
    [anon_sym_continue] = ACTIONS(3154),
    [anon_sym_debugger] = ACTIONS(3154),
    [anon_sym_return] = ACTIONS(3154),
    [anon_sym_throw] = ACTIONS(3154),
    [anon_sym_SEMI] = ACTIONS(3154),
    [anon_sym_case] = ACTIONS(3154),
    [anon_sym_yield] = ACTIONS(3154),
    [anon_sym_LBRACK] = ACTIONS(3154),
    [anon_sym_LTtemplate_GT] = ACTIONS(3154),
    [anon_sym_DQUOTE] = ACTIONS(3154),
    [anon_sym_SQUOTE] = ACTIONS(3154),
    [anon_sym_class] = ACTIONS(3154),
    [anon_sym_async] = ACTIONS(3154),
    [anon_sym_function] = ACTIONS(3154),
    [anon_sym_new] = ACTIONS(3154),
    [anon_sym_using] = ACTIONS(3154),
    [anon_sym_PLUS] = ACTIONS(3154),
    [anon_sym_DASH] = ACTIONS(3154),
    [anon_sym_SLASH] = ACTIONS(3154),
    [anon_sym_LT] = ACTIONS(3154),
    [anon_sym_TILDE] = ACTIONS(3154),
    [anon_sym_void] = ACTIONS(3154),
    [anon_sym_delete] = ACTIONS(3154),
    [anon_sym_PLUS_PLUS] = ACTIONS(3154),
    [anon_sym_DASH_DASH] = ACTIONS(3154),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3154),
    [sym_number] = ACTIONS(3154),
    [sym_private_property_identifier] = ACTIONS(3154),
    [sym_this] = ACTIONS(3154),
    [sym_super] = ACTIONS(3154),
    [sym_true] = ACTIONS(3154),
    [sym_false] = ACTIONS(3154),
    [sym_null] = ACTIONS(3154),
    [sym_undefined] = ACTIONS(3154),
    [anon_sym_AT] = ACTIONS(3154),
    [anon_sym_static] = ACTIONS(3154),
    [anon_sym_readonly] = ACTIONS(3154),
    [anon_sym_get] = ACTIONS(3154),
    [anon_sym_set] = ACTIONS(3154),
    [anon_sym_declare] = ACTIONS(3154),
    [anon_sym_public] = ACTIONS(3154),
    [anon_sym_private] = ACTIONS(3154),
    [anon_sym_protected] = ACTIONS(3154),
    [anon_sym_override] = ACTIONS(3154),
    [anon_sym_module] = ACTIONS(3154),
    [anon_sym_any] = ACTIONS(3154),
    [anon_sym_number] = ACTIONS(3154),
    [anon_sym_boolean] = ACTIONS(3154),
    [anon_sym_string] = ACTIONS(3154),
    [anon_sym_symbol] = ACTIONS(3154),
    [anon_sym_object] = ACTIONS(3154),
    [anon_sym_abstract] = ACTIONS(3154),
    [anon_sym_interface] = ACTIONS(3154),
    [anon_sym_enum] = ACTIONS(3154),
    [sym_html_comment] = ACTIONS(5),
  },
  [1098] = {
    [sym_comment] = STATE(1098),
    [ts_builtin_sym_end] = ACTIONS(2103),
    [sym_identifier] = ACTIONS(2067),
    [anon_sym_export] = ACTIONS(2067),
    [anon_sym_type] = ACTIONS(2067),
    [anon_sym_namespace] = ACTIONS(2067),
    [anon_sym_LBRACE] = ACTIONS(2067),
    [anon_sym_RBRACE] = ACTIONS(2067),
    [anon_sym_typeof] = ACTIONS(2067),
    [anon_sym_import] = ACTIONS(2067),
    [anon_sym_with] = ACTIONS(2067),
    [anon_sym_var] = ACTIONS(2067),
    [anon_sym_let] = ACTIONS(2067),
    [anon_sym_const] = ACTIONS(2067),
    [anon_sym_BANG] = ACTIONS(2067),
    [anon_sym_else] = ACTIONS(2067),
    [anon_sym_if] = ACTIONS(2067),
    [anon_sym_switch] = ACTIONS(2067),
    [anon_sym_for] = ACTIONS(2067),
    [anon_sym_LPAREN] = ACTIONS(2067),
    [anon_sym_await] = ACTIONS(2067),
    [anon_sym_while] = ACTIONS(2067),
    [anon_sym_do] = ACTIONS(2067),
    [anon_sym_try] = ACTIONS(2067),
    [anon_sym_break] = ACTIONS(2067),
    [anon_sym_continue] = ACTIONS(2067),
    [anon_sym_debugger] = ACTIONS(2067),
    [anon_sym_return] = ACTIONS(2067),
    [anon_sym_throw] = ACTIONS(2067),
    [anon_sym_SEMI] = ACTIONS(2067),
    [anon_sym_yield] = ACTIONS(2067),
    [anon_sym_LBRACK] = ACTIONS(2067),
    [anon_sym_LTtemplate_GT] = ACTIONS(2067),
    [anon_sym_DQUOTE] = ACTIONS(2067),
    [anon_sym_SQUOTE] = ACTIONS(2067),
    [anon_sym_class] = ACTIONS(2067),
    [anon_sym_async] = ACTIONS(2067),
    [anon_sym_function] = ACTIONS(2067),
    [anon_sym_new] = ACTIONS(2067),
    [anon_sym_using] = ACTIONS(2067),
    [anon_sym_PLUS] = ACTIONS(2067),
    [anon_sym_DASH] = ACTIONS(2067),
    [anon_sym_SLASH] = ACTIONS(2067),
    [anon_sym_LT] = ACTIONS(2067),
    [anon_sym_TILDE] = ACTIONS(2067),
    [anon_sym_void] = ACTIONS(2067),
    [anon_sym_delete] = ACTIONS(2067),
    [anon_sym_PLUS_PLUS] = ACTIONS(2067),
    [anon_sym_DASH_DASH] = ACTIONS(2067),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2067),
    [sym_number] = ACTIONS(2067),
    [sym_private_property_identifier] = ACTIONS(2067),
    [sym_this] = ACTIONS(2067),
    [sym_super] = ACTIONS(2067),
    [sym_true] = ACTIONS(2067),
    [sym_false] = ACTIONS(2067),
    [sym_null] = ACTIONS(2067),
    [sym_undefined] = ACTIONS(2067),
    [anon_sym_AT] = ACTIONS(2067),
    [anon_sym_static] = ACTIONS(2067),
    [anon_sym_readonly] = ACTIONS(2067),
    [anon_sym_get] = ACTIONS(2067),
    [anon_sym_set] = ACTIONS(2067),
    [anon_sym_declare] = ACTIONS(2067),
    [anon_sym_public] = ACTIONS(2067),
    [anon_sym_private] = ACTIONS(2067),
    [anon_sym_protected] = ACTIONS(2067),
    [anon_sym_override] = ACTIONS(2067),
    [anon_sym_module] = ACTIONS(2067),
    [anon_sym_any] = ACTIONS(2067),
    [anon_sym_number] = ACTIONS(2067),
    [anon_sym_boolean] = ACTIONS(2067),
    [anon_sym_string] = ACTIONS(2067),
    [anon_sym_symbol] = ACTIONS(2067),
    [anon_sym_object] = ACTIONS(2067),
    [anon_sym_abstract] = ACTIONS(2067),
    [anon_sym_interface] = ACTIONS(2067),
    [anon_sym_enum] = ACTIONS(2067),
    [sym__automatic_semicolon] = ACTIONS(3280),
    [sym_html_comment] = ACTIONS(5),
  },
  [1099] = {
    [sym_comment] = STATE(1099),
    [sym_identifier] = ACTIONS(2251),
    [anon_sym_export] = ACTIONS(2251),
    [anon_sym_default] = ACTIONS(2251),
    [anon_sym_type] = ACTIONS(2251),
    [anon_sym_namespace] = ACTIONS(2251),
    [anon_sym_LBRACE] = ACTIONS(2251),
    [anon_sym_RBRACE] = ACTIONS(2251),
    [anon_sym_typeof] = ACTIONS(2251),
    [anon_sym_import] = ACTIONS(2251),
    [anon_sym_with] = ACTIONS(2251),
    [anon_sym_var] = ACTIONS(2251),
    [anon_sym_let] = ACTIONS(2251),
    [anon_sym_const] = ACTIONS(2251),
    [anon_sym_BANG] = ACTIONS(2251),
    [anon_sym_else] = ACTIONS(2251),
    [anon_sym_if] = ACTIONS(2251),
    [anon_sym_switch] = ACTIONS(2251),
    [anon_sym_for] = ACTIONS(2251),
    [anon_sym_LPAREN] = ACTIONS(2251),
    [anon_sym_await] = ACTIONS(2251),
    [anon_sym_while] = ACTIONS(2251),
    [anon_sym_do] = ACTIONS(2251),
    [anon_sym_try] = ACTIONS(2251),
    [anon_sym_break] = ACTIONS(2251),
    [anon_sym_continue] = ACTIONS(2251),
    [anon_sym_debugger] = ACTIONS(2251),
    [anon_sym_return] = ACTIONS(2251),
    [anon_sym_throw] = ACTIONS(2251),
    [anon_sym_SEMI] = ACTIONS(2251),
    [anon_sym_case] = ACTIONS(2251),
    [anon_sym_yield] = ACTIONS(2251),
    [anon_sym_LBRACK] = ACTIONS(2251),
    [anon_sym_LTtemplate_GT] = ACTIONS(2251),
    [anon_sym_DQUOTE] = ACTIONS(2251),
    [anon_sym_SQUOTE] = ACTIONS(2251),
    [anon_sym_class] = ACTIONS(2251),
    [anon_sym_async] = ACTIONS(2251),
    [anon_sym_function] = ACTIONS(2251),
    [anon_sym_new] = ACTIONS(2251),
    [anon_sym_using] = ACTIONS(2251),
    [anon_sym_PLUS] = ACTIONS(2251),
    [anon_sym_DASH] = ACTIONS(2251),
    [anon_sym_SLASH] = ACTIONS(2251),
    [anon_sym_LT] = ACTIONS(2251),
    [anon_sym_TILDE] = ACTIONS(2251),
    [anon_sym_void] = ACTIONS(2251),
    [anon_sym_delete] = ACTIONS(2251),
    [anon_sym_PLUS_PLUS] = ACTIONS(2251),
    [anon_sym_DASH_DASH] = ACTIONS(2251),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2251),
    [sym_number] = ACTIONS(2251),
    [sym_private_property_identifier] = ACTIONS(2251),
    [sym_this] = ACTIONS(2251),
    [sym_super] = ACTIONS(2251),
    [sym_true] = ACTIONS(2251),
    [sym_false] = ACTIONS(2251),
    [sym_null] = ACTIONS(2251),
    [sym_undefined] = ACTIONS(2251),
    [anon_sym_AT] = ACTIONS(2251),
    [anon_sym_static] = ACTIONS(2251),
    [anon_sym_readonly] = ACTIONS(2251),
    [anon_sym_get] = ACTIONS(2251),
    [anon_sym_set] = ACTIONS(2251),
    [anon_sym_declare] = ACTIONS(2251),
    [anon_sym_public] = ACTIONS(2251),
    [anon_sym_private] = ACTIONS(2251),
    [anon_sym_protected] = ACTIONS(2251),
    [anon_sym_override] = ACTIONS(2251),
    [anon_sym_module] = ACTIONS(2251),
    [anon_sym_any] = ACTIONS(2251),
    [anon_sym_number] = ACTIONS(2251),
    [anon_sym_boolean] = ACTIONS(2251),
    [anon_sym_string] = ACTIONS(2251),
    [anon_sym_symbol] = ACTIONS(2251),
    [anon_sym_object] = ACTIONS(2251),
    [anon_sym_abstract] = ACTIONS(2251),
    [anon_sym_interface] = ACTIONS(2251),
    [anon_sym_enum] = ACTIONS(2251),
    [sym_html_comment] = ACTIONS(5),
  },
  [1100] = {
    [sym_comment] = STATE(1100),
    [sym_identifier] = ACTIONS(2145),
    [anon_sym_export] = ACTIONS(2145),
    [anon_sym_default] = ACTIONS(2145),
    [anon_sym_type] = ACTIONS(2145),
    [anon_sym_namespace] = ACTIONS(2145),
    [anon_sym_LBRACE] = ACTIONS(2145),
    [anon_sym_RBRACE] = ACTIONS(2145),
    [anon_sym_typeof] = ACTIONS(2145),
    [anon_sym_import] = ACTIONS(2145),
    [anon_sym_with] = ACTIONS(2145),
    [anon_sym_var] = ACTIONS(2145),
    [anon_sym_let] = ACTIONS(2145),
    [anon_sym_const] = ACTIONS(2145),
    [anon_sym_BANG] = ACTIONS(2145),
    [anon_sym_else] = ACTIONS(2145),
    [anon_sym_if] = ACTIONS(2145),
    [anon_sym_switch] = ACTIONS(2145),
    [anon_sym_for] = ACTIONS(2145),
    [anon_sym_LPAREN] = ACTIONS(2145),
    [anon_sym_await] = ACTIONS(2145),
    [anon_sym_while] = ACTIONS(2145),
    [anon_sym_do] = ACTIONS(2145),
    [anon_sym_try] = ACTIONS(2145),
    [anon_sym_break] = ACTIONS(2145),
    [anon_sym_continue] = ACTIONS(2145),
    [anon_sym_debugger] = ACTIONS(2145),
    [anon_sym_return] = ACTIONS(2145),
    [anon_sym_throw] = ACTIONS(2145),
    [anon_sym_SEMI] = ACTIONS(2145),
    [anon_sym_case] = ACTIONS(2145),
    [anon_sym_yield] = ACTIONS(2145),
    [anon_sym_LBRACK] = ACTIONS(2145),
    [anon_sym_LTtemplate_GT] = ACTIONS(2145),
    [anon_sym_DQUOTE] = ACTIONS(2145),
    [anon_sym_SQUOTE] = ACTIONS(2145),
    [anon_sym_class] = ACTIONS(2145),
    [anon_sym_async] = ACTIONS(2145),
    [anon_sym_function] = ACTIONS(2145),
    [anon_sym_new] = ACTIONS(2145),
    [anon_sym_using] = ACTIONS(2145),
    [anon_sym_PLUS] = ACTIONS(2145),
    [anon_sym_DASH] = ACTIONS(2145),
    [anon_sym_SLASH] = ACTIONS(2145),
    [anon_sym_LT] = ACTIONS(2145),
    [anon_sym_TILDE] = ACTIONS(2145),
    [anon_sym_void] = ACTIONS(2145),
    [anon_sym_delete] = ACTIONS(2145),
    [anon_sym_PLUS_PLUS] = ACTIONS(2145),
    [anon_sym_DASH_DASH] = ACTIONS(2145),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2145),
    [sym_number] = ACTIONS(2145),
    [sym_private_property_identifier] = ACTIONS(2145),
    [sym_this] = ACTIONS(2145),
    [sym_super] = ACTIONS(2145),
    [sym_true] = ACTIONS(2145),
    [sym_false] = ACTIONS(2145),
    [sym_null] = ACTIONS(2145),
    [sym_undefined] = ACTIONS(2145),
    [anon_sym_AT] = ACTIONS(2145),
    [anon_sym_static] = ACTIONS(2145),
    [anon_sym_readonly] = ACTIONS(2145),
    [anon_sym_get] = ACTIONS(2145),
    [anon_sym_set] = ACTIONS(2145),
    [anon_sym_declare] = ACTIONS(2145),
    [anon_sym_public] = ACTIONS(2145),
    [anon_sym_private] = ACTIONS(2145),
    [anon_sym_protected] = ACTIONS(2145),
    [anon_sym_override] = ACTIONS(2145),
    [anon_sym_module] = ACTIONS(2145),
    [anon_sym_any] = ACTIONS(2145),
    [anon_sym_number] = ACTIONS(2145),
    [anon_sym_boolean] = ACTIONS(2145),
    [anon_sym_string] = ACTIONS(2145),
    [anon_sym_symbol] = ACTIONS(2145),
    [anon_sym_object] = ACTIONS(2145),
    [anon_sym_abstract] = ACTIONS(2145),
    [anon_sym_interface] = ACTIONS(2145),
    [anon_sym_enum] = ACTIONS(2145),
    [sym_html_comment] = ACTIONS(5),
  },
  [1101] = {
    [sym_comment] = STATE(1101),
    [ts_builtin_sym_end] = ACTIONS(2095),
    [sym_identifier] = ACTIONS(2093),
    [anon_sym_export] = ACTIONS(2093),
    [anon_sym_type] = ACTIONS(2093),
    [anon_sym_namespace] = ACTIONS(2093),
    [anon_sym_LBRACE] = ACTIONS(2093),
    [anon_sym_RBRACE] = ACTIONS(2093),
    [anon_sym_typeof] = ACTIONS(2093),
    [anon_sym_import] = ACTIONS(2093),
    [anon_sym_with] = ACTIONS(2093),
    [anon_sym_var] = ACTIONS(2093),
    [anon_sym_let] = ACTIONS(2093),
    [anon_sym_const] = ACTIONS(2093),
    [anon_sym_BANG] = ACTIONS(2093),
    [anon_sym_else] = ACTIONS(2093),
    [anon_sym_if] = ACTIONS(2093),
    [anon_sym_switch] = ACTIONS(2093),
    [anon_sym_for] = ACTIONS(2093),
    [anon_sym_LPAREN] = ACTIONS(2093),
    [anon_sym_await] = ACTIONS(2093),
    [anon_sym_while] = ACTIONS(2093),
    [anon_sym_do] = ACTIONS(2093),
    [anon_sym_try] = ACTIONS(2093),
    [anon_sym_break] = ACTIONS(2093),
    [anon_sym_continue] = ACTIONS(2093),
    [anon_sym_debugger] = ACTIONS(2093),
    [anon_sym_return] = ACTIONS(2093),
    [anon_sym_throw] = ACTIONS(2093),
    [anon_sym_SEMI] = ACTIONS(2093),
    [anon_sym_yield] = ACTIONS(2093),
    [anon_sym_LBRACK] = ACTIONS(2093),
    [anon_sym_LTtemplate_GT] = ACTIONS(2093),
    [anon_sym_DQUOTE] = ACTIONS(2093),
    [anon_sym_SQUOTE] = ACTIONS(2093),
    [anon_sym_class] = ACTIONS(2093),
    [anon_sym_async] = ACTIONS(2093),
    [anon_sym_function] = ACTIONS(2093),
    [anon_sym_new] = ACTIONS(2093),
    [anon_sym_using] = ACTIONS(2093),
    [anon_sym_PLUS] = ACTIONS(2093),
    [anon_sym_DASH] = ACTIONS(2093),
    [anon_sym_SLASH] = ACTIONS(2093),
    [anon_sym_LT] = ACTIONS(2093),
    [anon_sym_TILDE] = ACTIONS(2093),
    [anon_sym_void] = ACTIONS(2093),
    [anon_sym_delete] = ACTIONS(2093),
    [anon_sym_PLUS_PLUS] = ACTIONS(2093),
    [anon_sym_DASH_DASH] = ACTIONS(2093),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2093),
    [sym_number] = ACTIONS(2093),
    [sym_private_property_identifier] = ACTIONS(2093),
    [sym_this] = ACTIONS(2093),
    [sym_super] = ACTIONS(2093),
    [sym_true] = ACTIONS(2093),
    [sym_false] = ACTIONS(2093),
    [sym_null] = ACTIONS(2093),
    [sym_undefined] = ACTIONS(2093),
    [anon_sym_AT] = ACTIONS(2093),
    [anon_sym_static] = ACTIONS(2093),
    [anon_sym_readonly] = ACTIONS(2093),
    [anon_sym_get] = ACTIONS(2093),
    [anon_sym_set] = ACTIONS(2093),
    [anon_sym_declare] = ACTIONS(2093),
    [anon_sym_public] = ACTIONS(2093),
    [anon_sym_private] = ACTIONS(2093),
    [anon_sym_protected] = ACTIONS(2093),
    [anon_sym_override] = ACTIONS(2093),
    [anon_sym_module] = ACTIONS(2093),
    [anon_sym_any] = ACTIONS(2093),
    [anon_sym_number] = ACTIONS(2093),
    [anon_sym_boolean] = ACTIONS(2093),
    [anon_sym_string] = ACTIONS(2093),
    [anon_sym_symbol] = ACTIONS(2093),
    [anon_sym_object] = ACTIONS(2093),
    [anon_sym_abstract] = ACTIONS(2093),
    [anon_sym_interface] = ACTIONS(2093),
    [anon_sym_enum] = ACTIONS(2093),
    [sym__automatic_semicolon] = ACTIONS(2095),
    [sym_html_comment] = ACTIONS(5),
  },
  [1102] = {
    [sym_comment] = STATE(1102),
    [sym_identifier] = ACTIONS(2167),
    [anon_sym_export] = ACTIONS(2167),
    [anon_sym_default] = ACTIONS(2167),
    [anon_sym_type] = ACTIONS(2167),
    [anon_sym_namespace] = ACTIONS(2167),
    [anon_sym_LBRACE] = ACTIONS(2167),
    [anon_sym_RBRACE] = ACTIONS(2167),
    [anon_sym_typeof] = ACTIONS(2167),
    [anon_sym_import] = ACTIONS(2167),
    [anon_sym_with] = ACTIONS(2167),
    [anon_sym_var] = ACTIONS(2167),
    [anon_sym_let] = ACTIONS(2167),
    [anon_sym_const] = ACTIONS(2167),
    [anon_sym_BANG] = ACTIONS(2167),
    [anon_sym_else] = ACTIONS(2167),
    [anon_sym_if] = ACTIONS(2167),
    [anon_sym_switch] = ACTIONS(2167),
    [anon_sym_for] = ACTIONS(2167),
    [anon_sym_LPAREN] = ACTIONS(2167),
    [anon_sym_await] = ACTIONS(2167),
    [anon_sym_while] = ACTIONS(2167),
    [anon_sym_do] = ACTIONS(2167),
    [anon_sym_try] = ACTIONS(2167),
    [anon_sym_break] = ACTIONS(2167),
    [anon_sym_continue] = ACTIONS(2167),
    [anon_sym_debugger] = ACTIONS(2167),
    [anon_sym_return] = ACTIONS(2167),
    [anon_sym_throw] = ACTIONS(2167),
    [anon_sym_SEMI] = ACTIONS(2167),
    [anon_sym_case] = ACTIONS(2167),
    [anon_sym_yield] = ACTIONS(2167),
    [anon_sym_LBRACK] = ACTIONS(2167),
    [anon_sym_LTtemplate_GT] = ACTIONS(2167),
    [anon_sym_DQUOTE] = ACTIONS(2167),
    [anon_sym_SQUOTE] = ACTIONS(2167),
    [anon_sym_class] = ACTIONS(2167),
    [anon_sym_async] = ACTIONS(2167),
    [anon_sym_function] = ACTIONS(2167),
    [anon_sym_new] = ACTIONS(2167),
    [anon_sym_using] = ACTIONS(2167),
    [anon_sym_PLUS] = ACTIONS(2167),
    [anon_sym_DASH] = ACTIONS(2167),
    [anon_sym_SLASH] = ACTIONS(2167),
    [anon_sym_LT] = ACTIONS(2167),
    [anon_sym_TILDE] = ACTIONS(2167),
    [anon_sym_void] = ACTIONS(2167),
    [anon_sym_delete] = ACTIONS(2167),
    [anon_sym_PLUS_PLUS] = ACTIONS(2167),
    [anon_sym_DASH_DASH] = ACTIONS(2167),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2167),
    [sym_number] = ACTIONS(2167),
    [sym_private_property_identifier] = ACTIONS(2167),
    [sym_this] = ACTIONS(2167),
    [sym_super] = ACTIONS(2167),
    [sym_true] = ACTIONS(2167),
    [sym_false] = ACTIONS(2167),
    [sym_null] = ACTIONS(2167),
    [sym_undefined] = ACTIONS(2167),
    [anon_sym_AT] = ACTIONS(2167),
    [anon_sym_static] = ACTIONS(2167),
    [anon_sym_readonly] = ACTIONS(2167),
    [anon_sym_get] = ACTIONS(2167),
    [anon_sym_set] = ACTIONS(2167),
    [anon_sym_declare] = ACTIONS(2167),
    [anon_sym_public] = ACTIONS(2167),
    [anon_sym_private] = ACTIONS(2167),
    [anon_sym_protected] = ACTIONS(2167),
    [anon_sym_override] = ACTIONS(2167),
    [anon_sym_module] = ACTIONS(2167),
    [anon_sym_any] = ACTIONS(2167),
    [anon_sym_number] = ACTIONS(2167),
    [anon_sym_boolean] = ACTIONS(2167),
    [anon_sym_string] = ACTIONS(2167),
    [anon_sym_symbol] = ACTIONS(2167),
    [anon_sym_object] = ACTIONS(2167),
    [anon_sym_abstract] = ACTIONS(2167),
    [anon_sym_interface] = ACTIONS(2167),
    [anon_sym_enum] = ACTIONS(2167),
    [sym_html_comment] = ACTIONS(5),
  },
  [1103] = {
    [sym_comment] = STATE(1103),
    [sym_identifier] = ACTIONS(3282),
    [anon_sym_export] = ACTIONS(3282),
    [anon_sym_default] = ACTIONS(3282),
    [anon_sym_type] = ACTIONS(3282),
    [anon_sym_namespace] = ACTIONS(3282),
    [anon_sym_LBRACE] = ACTIONS(3282),
    [anon_sym_RBRACE] = ACTIONS(3282),
    [anon_sym_typeof] = ACTIONS(3282),
    [anon_sym_import] = ACTIONS(3282),
    [anon_sym_with] = ACTIONS(3282),
    [anon_sym_var] = ACTIONS(3282),
    [anon_sym_let] = ACTIONS(3282),
    [anon_sym_const] = ACTIONS(3282),
    [anon_sym_BANG] = ACTIONS(3282),
    [anon_sym_else] = ACTIONS(3282),
    [anon_sym_if] = ACTIONS(3282),
    [anon_sym_switch] = ACTIONS(3282),
    [anon_sym_for] = ACTIONS(3282),
    [anon_sym_LPAREN] = ACTIONS(3282),
    [anon_sym_await] = ACTIONS(3282),
    [anon_sym_while] = ACTIONS(3282),
    [anon_sym_do] = ACTIONS(3282),
    [anon_sym_try] = ACTIONS(3282),
    [anon_sym_break] = ACTIONS(3282),
    [anon_sym_continue] = ACTIONS(3282),
    [anon_sym_debugger] = ACTIONS(3282),
    [anon_sym_return] = ACTIONS(3282),
    [anon_sym_throw] = ACTIONS(3282),
    [anon_sym_SEMI] = ACTIONS(3282),
    [anon_sym_case] = ACTIONS(3282),
    [anon_sym_yield] = ACTIONS(3282),
    [anon_sym_LBRACK] = ACTIONS(3282),
    [anon_sym_LTtemplate_GT] = ACTIONS(3282),
    [anon_sym_DQUOTE] = ACTIONS(3282),
    [anon_sym_SQUOTE] = ACTIONS(3282),
    [anon_sym_class] = ACTIONS(3282),
    [anon_sym_async] = ACTIONS(3282),
    [anon_sym_function] = ACTIONS(3282),
    [anon_sym_new] = ACTIONS(3282),
    [anon_sym_using] = ACTIONS(3282),
    [anon_sym_PLUS] = ACTIONS(3282),
    [anon_sym_DASH] = ACTIONS(3282),
    [anon_sym_SLASH] = ACTIONS(3282),
    [anon_sym_LT] = ACTIONS(3282),
    [anon_sym_TILDE] = ACTIONS(3282),
    [anon_sym_void] = ACTIONS(3282),
    [anon_sym_delete] = ACTIONS(3282),
    [anon_sym_PLUS_PLUS] = ACTIONS(3282),
    [anon_sym_DASH_DASH] = ACTIONS(3282),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3282),
    [sym_number] = ACTIONS(3282),
    [sym_private_property_identifier] = ACTIONS(3282),
    [sym_this] = ACTIONS(3282),
    [sym_super] = ACTIONS(3282),
    [sym_true] = ACTIONS(3282),
    [sym_false] = ACTIONS(3282),
    [sym_null] = ACTIONS(3282),
    [sym_undefined] = ACTIONS(3282),
    [anon_sym_AT] = ACTIONS(3282),
    [anon_sym_static] = ACTIONS(3282),
    [anon_sym_readonly] = ACTIONS(3282),
    [anon_sym_get] = ACTIONS(3282),
    [anon_sym_set] = ACTIONS(3282),
    [anon_sym_declare] = ACTIONS(3282),
    [anon_sym_public] = ACTIONS(3282),
    [anon_sym_private] = ACTIONS(3282),
    [anon_sym_protected] = ACTIONS(3282),
    [anon_sym_override] = ACTIONS(3282),
    [anon_sym_module] = ACTIONS(3282),
    [anon_sym_any] = ACTIONS(3282),
    [anon_sym_number] = ACTIONS(3282),
    [anon_sym_boolean] = ACTIONS(3282),
    [anon_sym_string] = ACTIONS(3282),
    [anon_sym_symbol] = ACTIONS(3282),
    [anon_sym_object] = ACTIONS(3282),
    [anon_sym_abstract] = ACTIONS(3282),
    [anon_sym_interface] = ACTIONS(3282),
    [anon_sym_enum] = ACTIONS(3282),
    [sym_html_comment] = ACTIONS(5),
  },
  [1104] = {
    [sym_comment] = STATE(1104),
    [ts_builtin_sym_end] = ACTIONS(2107),
    [sym_identifier] = ACTIONS(2105),
    [anon_sym_export] = ACTIONS(2105),
    [anon_sym_type] = ACTIONS(2105),
    [anon_sym_namespace] = ACTIONS(2105),
    [anon_sym_LBRACE] = ACTIONS(2105),
    [anon_sym_RBRACE] = ACTIONS(2105),
    [anon_sym_typeof] = ACTIONS(2105),
    [anon_sym_import] = ACTIONS(2105),
    [anon_sym_with] = ACTIONS(2105),
    [anon_sym_var] = ACTIONS(2105),
    [anon_sym_let] = ACTIONS(2105),
    [anon_sym_const] = ACTIONS(2105),
    [anon_sym_BANG] = ACTIONS(2105),
    [anon_sym_else] = ACTIONS(2105),
    [anon_sym_if] = ACTIONS(2105),
    [anon_sym_switch] = ACTIONS(2105),
    [anon_sym_for] = ACTIONS(2105),
    [anon_sym_LPAREN] = ACTIONS(2105),
    [anon_sym_await] = ACTIONS(2105),
    [anon_sym_while] = ACTIONS(2105),
    [anon_sym_do] = ACTIONS(2105),
    [anon_sym_try] = ACTIONS(2105),
    [anon_sym_break] = ACTIONS(2105),
    [anon_sym_continue] = ACTIONS(2105),
    [anon_sym_debugger] = ACTIONS(2105),
    [anon_sym_return] = ACTIONS(2105),
    [anon_sym_throw] = ACTIONS(2105),
    [anon_sym_SEMI] = ACTIONS(2105),
    [anon_sym_yield] = ACTIONS(2105),
    [anon_sym_LBRACK] = ACTIONS(2105),
    [anon_sym_LTtemplate_GT] = ACTIONS(2105),
    [anon_sym_DQUOTE] = ACTIONS(2105),
    [anon_sym_SQUOTE] = ACTIONS(2105),
    [anon_sym_class] = ACTIONS(2105),
    [anon_sym_async] = ACTIONS(2105),
    [anon_sym_function] = ACTIONS(2105),
    [anon_sym_new] = ACTIONS(2105),
    [anon_sym_using] = ACTIONS(2105),
    [anon_sym_PLUS] = ACTIONS(2105),
    [anon_sym_DASH] = ACTIONS(2105),
    [anon_sym_SLASH] = ACTIONS(2105),
    [anon_sym_LT] = ACTIONS(2105),
    [anon_sym_TILDE] = ACTIONS(2105),
    [anon_sym_void] = ACTIONS(2105),
    [anon_sym_delete] = ACTIONS(2105),
    [anon_sym_PLUS_PLUS] = ACTIONS(2105),
    [anon_sym_DASH_DASH] = ACTIONS(2105),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2105),
    [sym_number] = ACTIONS(2105),
    [sym_private_property_identifier] = ACTIONS(2105),
    [sym_this] = ACTIONS(2105),
    [sym_super] = ACTIONS(2105),
    [sym_true] = ACTIONS(2105),
    [sym_false] = ACTIONS(2105),
    [sym_null] = ACTIONS(2105),
    [sym_undefined] = ACTIONS(2105),
    [anon_sym_AT] = ACTIONS(2105),
    [anon_sym_static] = ACTIONS(2105),
    [anon_sym_readonly] = ACTIONS(2105),
    [anon_sym_get] = ACTIONS(2105),
    [anon_sym_set] = ACTIONS(2105),
    [anon_sym_declare] = ACTIONS(2105),
    [anon_sym_public] = ACTIONS(2105),
    [anon_sym_private] = ACTIONS(2105),
    [anon_sym_protected] = ACTIONS(2105),
    [anon_sym_override] = ACTIONS(2105),
    [anon_sym_module] = ACTIONS(2105),
    [anon_sym_any] = ACTIONS(2105),
    [anon_sym_number] = ACTIONS(2105),
    [anon_sym_boolean] = ACTIONS(2105),
    [anon_sym_string] = ACTIONS(2105),
    [anon_sym_symbol] = ACTIONS(2105),
    [anon_sym_object] = ACTIONS(2105),
    [anon_sym_abstract] = ACTIONS(2105),
    [anon_sym_interface] = ACTIONS(2105),
    [anon_sym_enum] = ACTIONS(2105),
    [sym__automatic_semicolon] = ACTIONS(2107),
    [sym_html_comment] = ACTIONS(5),
  },
  [1105] = {
    [sym_comment] = STATE(1105),
    [sym_identifier] = ACTIONS(2167),
    [anon_sym_export] = ACTIONS(2167),
    [anon_sym_default] = ACTIONS(2167),
    [anon_sym_type] = ACTIONS(2167),
    [anon_sym_namespace] = ACTIONS(2167),
    [anon_sym_LBRACE] = ACTIONS(2167),
    [anon_sym_RBRACE] = ACTIONS(2167),
    [anon_sym_typeof] = ACTIONS(2167),
    [anon_sym_import] = ACTIONS(2167),
    [anon_sym_with] = ACTIONS(2167),
    [anon_sym_var] = ACTIONS(2167),
    [anon_sym_let] = ACTIONS(2167),
    [anon_sym_const] = ACTIONS(2167),
    [anon_sym_BANG] = ACTIONS(2167),
    [anon_sym_else] = ACTIONS(2167),
    [anon_sym_if] = ACTIONS(2167),
    [anon_sym_switch] = ACTIONS(2167),
    [anon_sym_for] = ACTIONS(2167),
    [anon_sym_LPAREN] = ACTIONS(2167),
    [anon_sym_await] = ACTIONS(2167),
    [anon_sym_while] = ACTIONS(2167),
    [anon_sym_do] = ACTIONS(2167),
    [anon_sym_try] = ACTIONS(2167),
    [anon_sym_break] = ACTIONS(2167),
    [anon_sym_continue] = ACTIONS(2167),
    [anon_sym_debugger] = ACTIONS(2167),
    [anon_sym_return] = ACTIONS(2167),
    [anon_sym_throw] = ACTIONS(2167),
    [anon_sym_SEMI] = ACTIONS(2167),
    [anon_sym_case] = ACTIONS(2167),
    [anon_sym_yield] = ACTIONS(2167),
    [anon_sym_LBRACK] = ACTIONS(2167),
    [anon_sym_LTtemplate_GT] = ACTIONS(2167),
    [anon_sym_DQUOTE] = ACTIONS(2167),
    [anon_sym_SQUOTE] = ACTIONS(2167),
    [anon_sym_class] = ACTIONS(2167),
    [anon_sym_async] = ACTIONS(2167),
    [anon_sym_function] = ACTIONS(2167),
    [anon_sym_new] = ACTIONS(2167),
    [anon_sym_using] = ACTIONS(2167),
    [anon_sym_PLUS] = ACTIONS(2167),
    [anon_sym_DASH] = ACTIONS(2167),
    [anon_sym_SLASH] = ACTIONS(2167),
    [anon_sym_LT] = ACTIONS(2167),
    [anon_sym_TILDE] = ACTIONS(2167),
    [anon_sym_void] = ACTIONS(2167),
    [anon_sym_delete] = ACTIONS(2167),
    [anon_sym_PLUS_PLUS] = ACTIONS(2167),
    [anon_sym_DASH_DASH] = ACTIONS(2167),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2167),
    [sym_number] = ACTIONS(2167),
    [sym_private_property_identifier] = ACTIONS(2167),
    [sym_this] = ACTIONS(2167),
    [sym_super] = ACTIONS(2167),
    [sym_true] = ACTIONS(2167),
    [sym_false] = ACTIONS(2167),
    [sym_null] = ACTIONS(2167),
    [sym_undefined] = ACTIONS(2167),
    [anon_sym_AT] = ACTIONS(2167),
    [anon_sym_static] = ACTIONS(2167),
    [anon_sym_readonly] = ACTIONS(2167),
    [anon_sym_get] = ACTIONS(2167),
    [anon_sym_set] = ACTIONS(2167),
    [anon_sym_declare] = ACTIONS(2167),
    [anon_sym_public] = ACTIONS(2167),
    [anon_sym_private] = ACTIONS(2167),
    [anon_sym_protected] = ACTIONS(2167),
    [anon_sym_override] = ACTIONS(2167),
    [anon_sym_module] = ACTIONS(2167),
    [anon_sym_any] = ACTIONS(2167),
    [anon_sym_number] = ACTIONS(2167),
    [anon_sym_boolean] = ACTIONS(2167),
    [anon_sym_string] = ACTIONS(2167),
    [anon_sym_symbol] = ACTIONS(2167),
    [anon_sym_object] = ACTIONS(2167),
    [anon_sym_abstract] = ACTIONS(2167),
    [anon_sym_interface] = ACTIONS(2167),
    [anon_sym_enum] = ACTIONS(2167),
    [sym_html_comment] = ACTIONS(5),
  },
  [1106] = {
    [sym_comment] = STATE(1106),
    [sym_identifier] = ACTIONS(3284),
    [anon_sym_export] = ACTIONS(3284),
    [anon_sym_default] = ACTIONS(3284),
    [anon_sym_type] = ACTIONS(3284),
    [anon_sym_namespace] = ACTIONS(3284),
    [anon_sym_LBRACE] = ACTIONS(3284),
    [anon_sym_RBRACE] = ACTIONS(3284),
    [anon_sym_typeof] = ACTIONS(3284),
    [anon_sym_import] = ACTIONS(3284),
    [anon_sym_with] = ACTIONS(3284),
    [anon_sym_var] = ACTIONS(3284),
    [anon_sym_let] = ACTIONS(3284),
    [anon_sym_const] = ACTIONS(3284),
    [anon_sym_BANG] = ACTIONS(3284),
    [anon_sym_else] = ACTIONS(3284),
    [anon_sym_if] = ACTIONS(3284),
    [anon_sym_switch] = ACTIONS(3284),
    [anon_sym_for] = ACTIONS(3284),
    [anon_sym_LPAREN] = ACTIONS(3284),
    [anon_sym_await] = ACTIONS(3284),
    [anon_sym_while] = ACTIONS(3284),
    [anon_sym_do] = ACTIONS(3284),
    [anon_sym_try] = ACTIONS(3284),
    [anon_sym_break] = ACTIONS(3284),
    [anon_sym_continue] = ACTIONS(3284),
    [anon_sym_debugger] = ACTIONS(3284),
    [anon_sym_return] = ACTIONS(3284),
    [anon_sym_throw] = ACTIONS(3284),
    [anon_sym_SEMI] = ACTIONS(3284),
    [anon_sym_case] = ACTIONS(3284),
    [anon_sym_yield] = ACTIONS(3284),
    [anon_sym_LBRACK] = ACTIONS(3284),
    [anon_sym_LTtemplate_GT] = ACTIONS(3284),
    [anon_sym_DQUOTE] = ACTIONS(3284),
    [anon_sym_SQUOTE] = ACTIONS(3284),
    [anon_sym_class] = ACTIONS(3284),
    [anon_sym_async] = ACTIONS(3284),
    [anon_sym_function] = ACTIONS(3284),
    [anon_sym_new] = ACTIONS(3284),
    [anon_sym_using] = ACTIONS(3284),
    [anon_sym_PLUS] = ACTIONS(3284),
    [anon_sym_DASH] = ACTIONS(3284),
    [anon_sym_SLASH] = ACTIONS(3284),
    [anon_sym_LT] = ACTIONS(3284),
    [anon_sym_TILDE] = ACTIONS(3284),
    [anon_sym_void] = ACTIONS(3284),
    [anon_sym_delete] = ACTIONS(3284),
    [anon_sym_PLUS_PLUS] = ACTIONS(3284),
    [anon_sym_DASH_DASH] = ACTIONS(3284),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3284),
    [sym_number] = ACTIONS(3284),
    [sym_private_property_identifier] = ACTIONS(3284),
    [sym_this] = ACTIONS(3284),
    [sym_super] = ACTIONS(3284),
    [sym_true] = ACTIONS(3284),
    [sym_false] = ACTIONS(3284),
    [sym_null] = ACTIONS(3284),
    [sym_undefined] = ACTIONS(3284),
    [anon_sym_AT] = ACTIONS(3284),
    [anon_sym_static] = ACTIONS(3284),
    [anon_sym_readonly] = ACTIONS(3284),
    [anon_sym_get] = ACTIONS(3284),
    [anon_sym_set] = ACTIONS(3284),
    [anon_sym_declare] = ACTIONS(3284),
    [anon_sym_public] = ACTIONS(3284),
    [anon_sym_private] = ACTIONS(3284),
    [anon_sym_protected] = ACTIONS(3284),
    [anon_sym_override] = ACTIONS(3284),
    [anon_sym_module] = ACTIONS(3284),
    [anon_sym_any] = ACTIONS(3284),
    [anon_sym_number] = ACTIONS(3284),
    [anon_sym_boolean] = ACTIONS(3284),
    [anon_sym_string] = ACTIONS(3284),
    [anon_sym_symbol] = ACTIONS(3284),
    [anon_sym_object] = ACTIONS(3284),
    [anon_sym_abstract] = ACTIONS(3284),
    [anon_sym_interface] = ACTIONS(3284),
    [anon_sym_enum] = ACTIONS(3284),
    [sym_html_comment] = ACTIONS(5),
  },
  [1107] = {
    [sym_comment] = STATE(1107),
    [sym_identifier] = ACTIONS(3286),
    [anon_sym_export] = ACTIONS(3286),
    [anon_sym_default] = ACTIONS(3286),
    [anon_sym_type] = ACTIONS(3286),
    [anon_sym_namespace] = ACTIONS(3286),
    [anon_sym_LBRACE] = ACTIONS(3286),
    [anon_sym_RBRACE] = ACTIONS(3286),
    [anon_sym_typeof] = ACTIONS(3286),
    [anon_sym_import] = ACTIONS(3286),
    [anon_sym_with] = ACTIONS(3286),
    [anon_sym_var] = ACTIONS(3286),
    [anon_sym_let] = ACTIONS(3286),
    [anon_sym_const] = ACTIONS(3286),
    [anon_sym_BANG] = ACTIONS(3286),
    [anon_sym_else] = ACTIONS(3286),
    [anon_sym_if] = ACTIONS(3286),
    [anon_sym_switch] = ACTIONS(3286),
    [anon_sym_for] = ACTIONS(3286),
    [anon_sym_LPAREN] = ACTIONS(3286),
    [anon_sym_await] = ACTIONS(3286),
    [anon_sym_while] = ACTIONS(3286),
    [anon_sym_do] = ACTIONS(3286),
    [anon_sym_try] = ACTIONS(3286),
    [anon_sym_break] = ACTIONS(3286),
    [anon_sym_continue] = ACTIONS(3286),
    [anon_sym_debugger] = ACTIONS(3286),
    [anon_sym_return] = ACTIONS(3286),
    [anon_sym_throw] = ACTIONS(3286),
    [anon_sym_SEMI] = ACTIONS(3286),
    [anon_sym_case] = ACTIONS(3286),
    [anon_sym_yield] = ACTIONS(3286),
    [anon_sym_LBRACK] = ACTIONS(3286),
    [anon_sym_LTtemplate_GT] = ACTIONS(3286),
    [anon_sym_DQUOTE] = ACTIONS(3286),
    [anon_sym_SQUOTE] = ACTIONS(3286),
    [anon_sym_class] = ACTIONS(3286),
    [anon_sym_async] = ACTIONS(3286),
    [anon_sym_function] = ACTIONS(3286),
    [anon_sym_new] = ACTIONS(3286),
    [anon_sym_using] = ACTIONS(3286),
    [anon_sym_PLUS] = ACTIONS(3286),
    [anon_sym_DASH] = ACTIONS(3286),
    [anon_sym_SLASH] = ACTIONS(3286),
    [anon_sym_LT] = ACTIONS(3286),
    [anon_sym_TILDE] = ACTIONS(3286),
    [anon_sym_void] = ACTIONS(3286),
    [anon_sym_delete] = ACTIONS(3286),
    [anon_sym_PLUS_PLUS] = ACTIONS(3286),
    [anon_sym_DASH_DASH] = ACTIONS(3286),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3286),
    [sym_number] = ACTIONS(3286),
    [sym_private_property_identifier] = ACTIONS(3286),
    [sym_this] = ACTIONS(3286),
    [sym_super] = ACTIONS(3286),
    [sym_true] = ACTIONS(3286),
    [sym_false] = ACTIONS(3286),
    [sym_null] = ACTIONS(3286),
    [sym_undefined] = ACTIONS(3286),
    [anon_sym_AT] = ACTIONS(3286),
    [anon_sym_static] = ACTIONS(3286),
    [anon_sym_readonly] = ACTIONS(3286),
    [anon_sym_get] = ACTIONS(3286),
    [anon_sym_set] = ACTIONS(3286),
    [anon_sym_declare] = ACTIONS(3286),
    [anon_sym_public] = ACTIONS(3286),
    [anon_sym_private] = ACTIONS(3286),
    [anon_sym_protected] = ACTIONS(3286),
    [anon_sym_override] = ACTIONS(3286),
    [anon_sym_module] = ACTIONS(3286),
    [anon_sym_any] = ACTIONS(3286),
    [anon_sym_number] = ACTIONS(3286),
    [anon_sym_boolean] = ACTIONS(3286),
    [anon_sym_string] = ACTIONS(3286),
    [anon_sym_symbol] = ACTIONS(3286),
    [anon_sym_object] = ACTIONS(3286),
    [anon_sym_abstract] = ACTIONS(3286),
    [anon_sym_interface] = ACTIONS(3286),
    [anon_sym_enum] = ACTIONS(3286),
    [sym_html_comment] = ACTIONS(5),
  },
  [1108] = {
    [sym_comment] = STATE(1108),
    [sym_identifier] = ACTIONS(2067),
    [anon_sym_export] = ACTIONS(2067),
    [anon_sym_default] = ACTIONS(2067),
    [anon_sym_type] = ACTIONS(2067),
    [anon_sym_namespace] = ACTIONS(2067),
    [anon_sym_LBRACE] = ACTIONS(2067),
    [anon_sym_RBRACE] = ACTIONS(2067),
    [anon_sym_typeof] = ACTIONS(2067),
    [anon_sym_import] = ACTIONS(2067),
    [anon_sym_with] = ACTIONS(2067),
    [anon_sym_var] = ACTIONS(2067),
    [anon_sym_let] = ACTIONS(2067),
    [anon_sym_const] = ACTIONS(2067),
    [anon_sym_BANG] = ACTIONS(2067),
    [anon_sym_if] = ACTIONS(2067),
    [anon_sym_switch] = ACTIONS(2067),
    [anon_sym_for] = ACTIONS(2067),
    [anon_sym_LPAREN] = ACTIONS(2067),
    [anon_sym_await] = ACTIONS(2067),
    [anon_sym_while] = ACTIONS(2067),
    [anon_sym_do] = ACTIONS(2067),
    [anon_sym_try] = ACTIONS(2067),
    [anon_sym_break] = ACTIONS(2067),
    [anon_sym_continue] = ACTIONS(2067),
    [anon_sym_debugger] = ACTIONS(2067),
    [anon_sym_return] = ACTIONS(2067),
    [anon_sym_throw] = ACTIONS(2067),
    [anon_sym_SEMI] = ACTIONS(2067),
    [anon_sym_case] = ACTIONS(2067),
    [anon_sym_yield] = ACTIONS(2067),
    [anon_sym_LBRACK] = ACTIONS(2067),
    [anon_sym_LTtemplate_GT] = ACTIONS(2067),
    [anon_sym_DQUOTE] = ACTIONS(2067),
    [anon_sym_SQUOTE] = ACTIONS(2067),
    [anon_sym_class] = ACTIONS(2067),
    [anon_sym_async] = ACTIONS(2067),
    [anon_sym_function] = ACTIONS(2067),
    [anon_sym_new] = ACTIONS(2067),
    [anon_sym_using] = ACTIONS(2067),
    [anon_sym_PLUS] = ACTIONS(2067),
    [anon_sym_DASH] = ACTIONS(2067),
    [anon_sym_SLASH] = ACTIONS(2067),
    [anon_sym_LT] = ACTIONS(2067),
    [anon_sym_TILDE] = ACTIONS(2067),
    [anon_sym_void] = ACTIONS(2067),
    [anon_sym_delete] = ACTIONS(2067),
    [anon_sym_PLUS_PLUS] = ACTIONS(2067),
    [anon_sym_DASH_DASH] = ACTIONS(2067),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2067),
    [sym_number] = ACTIONS(2067),
    [sym_private_property_identifier] = ACTIONS(2067),
    [sym_this] = ACTIONS(2067),
    [sym_super] = ACTIONS(2067),
    [sym_true] = ACTIONS(2067),
    [sym_false] = ACTIONS(2067),
    [sym_null] = ACTIONS(2067),
    [sym_undefined] = ACTIONS(2067),
    [anon_sym_AT] = ACTIONS(2067),
    [anon_sym_static] = ACTIONS(2067),
    [anon_sym_readonly] = ACTIONS(2067),
    [anon_sym_get] = ACTIONS(2067),
    [anon_sym_set] = ACTIONS(2067),
    [anon_sym_declare] = ACTIONS(2067),
    [anon_sym_public] = ACTIONS(2067),
    [anon_sym_private] = ACTIONS(2067),
    [anon_sym_protected] = ACTIONS(2067),
    [anon_sym_override] = ACTIONS(2067),
    [anon_sym_module] = ACTIONS(2067),
    [anon_sym_any] = ACTIONS(2067),
    [anon_sym_number] = ACTIONS(2067),
    [anon_sym_boolean] = ACTIONS(2067),
    [anon_sym_string] = ACTIONS(2067),
    [anon_sym_symbol] = ACTIONS(2067),
    [anon_sym_object] = ACTIONS(2067),
    [anon_sym_abstract] = ACTIONS(2067),
    [anon_sym_interface] = ACTIONS(2067),
    [anon_sym_enum] = ACTIONS(2067),
    [sym__automatic_semicolon] = ACTIONS(2109),
    [sym_html_comment] = ACTIONS(5),
  },
  [1109] = {
    [sym_comment] = STATE(1109),
    [sym_identifier] = ACTIONS(3088),
    [anon_sym_export] = ACTIONS(3088),
    [anon_sym_default] = ACTIONS(3088),
    [anon_sym_type] = ACTIONS(3088),
    [anon_sym_namespace] = ACTIONS(3088),
    [anon_sym_LBRACE] = ACTIONS(3088),
    [anon_sym_RBRACE] = ACTIONS(3088),
    [anon_sym_typeof] = ACTIONS(3088),
    [anon_sym_import] = ACTIONS(3088),
    [anon_sym_with] = ACTIONS(3088),
    [anon_sym_var] = ACTIONS(3088),
    [anon_sym_let] = ACTIONS(3088),
    [anon_sym_const] = ACTIONS(3088),
    [anon_sym_BANG] = ACTIONS(3088),
    [anon_sym_if] = ACTIONS(3088),
    [anon_sym_switch] = ACTIONS(3088),
    [anon_sym_for] = ACTIONS(3088),
    [anon_sym_LPAREN] = ACTIONS(3088),
    [anon_sym_await] = ACTIONS(3088),
    [anon_sym_while] = ACTIONS(3088),
    [anon_sym_do] = ACTIONS(3088),
    [anon_sym_try] = ACTIONS(3088),
    [anon_sym_break] = ACTIONS(3088),
    [anon_sym_continue] = ACTIONS(3088),
    [anon_sym_debugger] = ACTIONS(3088),
    [anon_sym_return] = ACTIONS(3088),
    [anon_sym_throw] = ACTIONS(3088),
    [anon_sym_SEMI] = ACTIONS(3088),
    [anon_sym_case] = ACTIONS(3088),
    [anon_sym_finally] = ACTIONS(3088),
    [anon_sym_yield] = ACTIONS(3088),
    [anon_sym_LBRACK] = ACTIONS(3088),
    [anon_sym_LTtemplate_GT] = ACTIONS(3088),
    [anon_sym_DQUOTE] = ACTIONS(3088),
    [anon_sym_SQUOTE] = ACTIONS(3088),
    [anon_sym_class] = ACTIONS(3088),
    [anon_sym_async] = ACTIONS(3088),
    [anon_sym_function] = ACTIONS(3088),
    [anon_sym_new] = ACTIONS(3088),
    [anon_sym_using] = ACTIONS(3088),
    [anon_sym_PLUS] = ACTIONS(3088),
    [anon_sym_DASH] = ACTIONS(3088),
    [anon_sym_SLASH] = ACTIONS(3088),
    [anon_sym_LT] = ACTIONS(3088),
    [anon_sym_TILDE] = ACTIONS(3088),
    [anon_sym_void] = ACTIONS(3088),
    [anon_sym_delete] = ACTIONS(3088),
    [anon_sym_PLUS_PLUS] = ACTIONS(3088),
    [anon_sym_DASH_DASH] = ACTIONS(3088),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3088),
    [sym_number] = ACTIONS(3088),
    [sym_private_property_identifier] = ACTIONS(3088),
    [sym_this] = ACTIONS(3088),
    [sym_super] = ACTIONS(3088),
    [sym_true] = ACTIONS(3088),
    [sym_false] = ACTIONS(3088),
    [sym_null] = ACTIONS(3088),
    [sym_undefined] = ACTIONS(3088),
    [anon_sym_AT] = ACTIONS(3088),
    [anon_sym_static] = ACTIONS(3088),
    [anon_sym_readonly] = ACTIONS(3088),
    [anon_sym_get] = ACTIONS(3088),
    [anon_sym_set] = ACTIONS(3088),
    [anon_sym_declare] = ACTIONS(3088),
    [anon_sym_public] = ACTIONS(3088),
    [anon_sym_private] = ACTIONS(3088),
    [anon_sym_protected] = ACTIONS(3088),
    [anon_sym_override] = ACTIONS(3088),
    [anon_sym_module] = ACTIONS(3088),
    [anon_sym_any] = ACTIONS(3088),
    [anon_sym_number] = ACTIONS(3088),
    [anon_sym_boolean] = ACTIONS(3088),
    [anon_sym_string] = ACTIONS(3088),
    [anon_sym_symbol] = ACTIONS(3088),
    [anon_sym_object] = ACTIONS(3088),
    [anon_sym_abstract] = ACTIONS(3088),
    [anon_sym_interface] = ACTIONS(3088),
    [anon_sym_enum] = ACTIONS(3088),
    [sym_html_comment] = ACTIONS(5),
  },
  [1110] = {
    [sym_comment] = STATE(1110),
    [sym_identifier] = ACTIONS(3288),
    [anon_sym_export] = ACTIONS(3288),
    [anon_sym_default] = ACTIONS(3288),
    [anon_sym_type] = ACTIONS(3288),
    [anon_sym_namespace] = ACTIONS(3288),
    [anon_sym_LBRACE] = ACTIONS(3288),
    [anon_sym_RBRACE] = ACTIONS(3288),
    [anon_sym_typeof] = ACTIONS(3288),
    [anon_sym_import] = ACTIONS(3288),
    [anon_sym_with] = ACTIONS(3288),
    [anon_sym_var] = ACTIONS(3288),
    [anon_sym_let] = ACTIONS(3288),
    [anon_sym_const] = ACTIONS(3288),
    [anon_sym_BANG] = ACTIONS(3288),
    [anon_sym_else] = ACTIONS(3288),
    [anon_sym_if] = ACTIONS(3288),
    [anon_sym_switch] = ACTIONS(3288),
    [anon_sym_for] = ACTIONS(3288),
    [anon_sym_LPAREN] = ACTIONS(3288),
    [anon_sym_await] = ACTIONS(3288),
    [anon_sym_while] = ACTIONS(3288),
    [anon_sym_do] = ACTIONS(3288),
    [anon_sym_try] = ACTIONS(3288),
    [anon_sym_break] = ACTIONS(3288),
    [anon_sym_continue] = ACTIONS(3288),
    [anon_sym_debugger] = ACTIONS(3288),
    [anon_sym_return] = ACTIONS(3288),
    [anon_sym_throw] = ACTIONS(3288),
    [anon_sym_SEMI] = ACTIONS(3288),
    [anon_sym_case] = ACTIONS(3288),
    [anon_sym_yield] = ACTIONS(3288),
    [anon_sym_LBRACK] = ACTIONS(3288),
    [anon_sym_LTtemplate_GT] = ACTIONS(3288),
    [anon_sym_DQUOTE] = ACTIONS(3288),
    [anon_sym_SQUOTE] = ACTIONS(3288),
    [anon_sym_class] = ACTIONS(3288),
    [anon_sym_async] = ACTIONS(3288),
    [anon_sym_function] = ACTIONS(3288),
    [anon_sym_new] = ACTIONS(3288),
    [anon_sym_using] = ACTIONS(3288),
    [anon_sym_PLUS] = ACTIONS(3288),
    [anon_sym_DASH] = ACTIONS(3288),
    [anon_sym_SLASH] = ACTIONS(3288),
    [anon_sym_LT] = ACTIONS(3288),
    [anon_sym_TILDE] = ACTIONS(3288),
    [anon_sym_void] = ACTIONS(3288),
    [anon_sym_delete] = ACTIONS(3288),
    [anon_sym_PLUS_PLUS] = ACTIONS(3288),
    [anon_sym_DASH_DASH] = ACTIONS(3288),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3288),
    [sym_number] = ACTIONS(3288),
    [sym_private_property_identifier] = ACTIONS(3288),
    [sym_this] = ACTIONS(3288),
    [sym_super] = ACTIONS(3288),
    [sym_true] = ACTIONS(3288),
    [sym_false] = ACTIONS(3288),
    [sym_null] = ACTIONS(3288),
    [sym_undefined] = ACTIONS(3288),
    [anon_sym_AT] = ACTIONS(3288),
    [anon_sym_static] = ACTIONS(3288),
    [anon_sym_readonly] = ACTIONS(3288),
    [anon_sym_get] = ACTIONS(3288),
    [anon_sym_set] = ACTIONS(3288),
    [anon_sym_declare] = ACTIONS(3288),
    [anon_sym_public] = ACTIONS(3288),
    [anon_sym_private] = ACTIONS(3288),
    [anon_sym_protected] = ACTIONS(3288),
    [anon_sym_override] = ACTIONS(3288),
    [anon_sym_module] = ACTIONS(3288),
    [anon_sym_any] = ACTIONS(3288),
    [anon_sym_number] = ACTIONS(3288),
    [anon_sym_boolean] = ACTIONS(3288),
    [anon_sym_string] = ACTIONS(3288),
    [anon_sym_symbol] = ACTIONS(3288),
    [anon_sym_object] = ACTIONS(3288),
    [anon_sym_abstract] = ACTIONS(3288),
    [anon_sym_interface] = ACTIONS(3288),
    [anon_sym_enum] = ACTIONS(3288),
    [sym_html_comment] = ACTIONS(5),
  },
  [1111] = {
    [sym_comment] = STATE(1111),
    [sym_identifier] = ACTIONS(3290),
    [anon_sym_export] = ACTIONS(3290),
    [anon_sym_default] = ACTIONS(3290),
    [anon_sym_type] = ACTIONS(3290),
    [anon_sym_namespace] = ACTIONS(3290),
    [anon_sym_LBRACE] = ACTIONS(3290),
    [anon_sym_RBRACE] = ACTIONS(3290),
    [anon_sym_typeof] = ACTIONS(3290),
    [anon_sym_import] = ACTIONS(3290),
    [anon_sym_with] = ACTIONS(3290),
    [anon_sym_var] = ACTIONS(3290),
    [anon_sym_let] = ACTIONS(3290),
    [anon_sym_const] = ACTIONS(3290),
    [anon_sym_BANG] = ACTIONS(3290),
    [anon_sym_else] = ACTIONS(3290),
    [anon_sym_if] = ACTIONS(3290),
    [anon_sym_switch] = ACTIONS(3290),
    [anon_sym_for] = ACTIONS(3290),
    [anon_sym_LPAREN] = ACTIONS(3290),
    [anon_sym_await] = ACTIONS(3290),
    [anon_sym_while] = ACTIONS(3290),
    [anon_sym_do] = ACTIONS(3290),
    [anon_sym_try] = ACTIONS(3290),
    [anon_sym_break] = ACTIONS(3290),
    [anon_sym_continue] = ACTIONS(3290),
    [anon_sym_debugger] = ACTIONS(3290),
    [anon_sym_return] = ACTIONS(3290),
    [anon_sym_throw] = ACTIONS(3290),
    [anon_sym_SEMI] = ACTIONS(3290),
    [anon_sym_case] = ACTIONS(3290),
    [anon_sym_yield] = ACTIONS(3290),
    [anon_sym_LBRACK] = ACTIONS(3290),
    [anon_sym_LTtemplate_GT] = ACTIONS(3290),
    [anon_sym_DQUOTE] = ACTIONS(3290),
    [anon_sym_SQUOTE] = ACTIONS(3290),
    [anon_sym_class] = ACTIONS(3290),
    [anon_sym_async] = ACTIONS(3290),
    [anon_sym_function] = ACTIONS(3290),
    [anon_sym_new] = ACTIONS(3290),
    [anon_sym_using] = ACTIONS(3290),
    [anon_sym_PLUS] = ACTIONS(3290),
    [anon_sym_DASH] = ACTIONS(3290),
    [anon_sym_SLASH] = ACTIONS(3290),
    [anon_sym_LT] = ACTIONS(3290),
    [anon_sym_TILDE] = ACTIONS(3290),
    [anon_sym_void] = ACTIONS(3290),
    [anon_sym_delete] = ACTIONS(3290),
    [anon_sym_PLUS_PLUS] = ACTIONS(3290),
    [anon_sym_DASH_DASH] = ACTIONS(3290),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3290),
    [sym_number] = ACTIONS(3290),
    [sym_private_property_identifier] = ACTIONS(3290),
    [sym_this] = ACTIONS(3290),
    [sym_super] = ACTIONS(3290),
    [sym_true] = ACTIONS(3290),
    [sym_false] = ACTIONS(3290),
    [sym_null] = ACTIONS(3290),
    [sym_undefined] = ACTIONS(3290),
    [anon_sym_AT] = ACTIONS(3290),
    [anon_sym_static] = ACTIONS(3290),
    [anon_sym_readonly] = ACTIONS(3290),
    [anon_sym_get] = ACTIONS(3290),
    [anon_sym_set] = ACTIONS(3290),
    [anon_sym_declare] = ACTIONS(3290),
    [anon_sym_public] = ACTIONS(3290),
    [anon_sym_private] = ACTIONS(3290),
    [anon_sym_protected] = ACTIONS(3290),
    [anon_sym_override] = ACTIONS(3290),
    [anon_sym_module] = ACTIONS(3290),
    [anon_sym_any] = ACTIONS(3290),
    [anon_sym_number] = ACTIONS(3290),
    [anon_sym_boolean] = ACTIONS(3290),
    [anon_sym_string] = ACTIONS(3290),
    [anon_sym_symbol] = ACTIONS(3290),
    [anon_sym_object] = ACTIONS(3290),
    [anon_sym_abstract] = ACTIONS(3290),
    [anon_sym_interface] = ACTIONS(3290),
    [anon_sym_enum] = ACTIONS(3290),
    [sym_html_comment] = ACTIONS(5),
  },
  [1112] = {
    [sym_comment] = STATE(1112),
    [sym_identifier] = ACTIONS(3292),
    [anon_sym_export] = ACTIONS(3292),
    [anon_sym_default] = ACTIONS(3292),
    [anon_sym_type] = ACTIONS(3292),
    [anon_sym_namespace] = ACTIONS(3292),
    [anon_sym_LBRACE] = ACTIONS(3292),
    [anon_sym_RBRACE] = ACTIONS(3292),
    [anon_sym_typeof] = ACTIONS(3292),
    [anon_sym_import] = ACTIONS(3292),
    [anon_sym_with] = ACTIONS(3292),
    [anon_sym_var] = ACTIONS(3292),
    [anon_sym_let] = ACTIONS(3292),
    [anon_sym_const] = ACTIONS(3292),
    [anon_sym_BANG] = ACTIONS(3292),
    [anon_sym_else] = ACTIONS(3292),
    [anon_sym_if] = ACTIONS(3292),
    [anon_sym_switch] = ACTIONS(3292),
    [anon_sym_for] = ACTIONS(3292),
    [anon_sym_LPAREN] = ACTIONS(3292),
    [anon_sym_await] = ACTIONS(3292),
    [anon_sym_while] = ACTIONS(3292),
    [anon_sym_do] = ACTIONS(3292),
    [anon_sym_try] = ACTIONS(3292),
    [anon_sym_break] = ACTIONS(3292),
    [anon_sym_continue] = ACTIONS(3292),
    [anon_sym_debugger] = ACTIONS(3292),
    [anon_sym_return] = ACTIONS(3292),
    [anon_sym_throw] = ACTIONS(3292),
    [anon_sym_SEMI] = ACTIONS(3292),
    [anon_sym_case] = ACTIONS(3292),
    [anon_sym_yield] = ACTIONS(3292),
    [anon_sym_LBRACK] = ACTIONS(3292),
    [anon_sym_LTtemplate_GT] = ACTIONS(3292),
    [anon_sym_DQUOTE] = ACTIONS(3292),
    [anon_sym_SQUOTE] = ACTIONS(3292),
    [anon_sym_class] = ACTIONS(3292),
    [anon_sym_async] = ACTIONS(3292),
    [anon_sym_function] = ACTIONS(3292),
    [anon_sym_new] = ACTIONS(3292),
    [anon_sym_using] = ACTIONS(3292),
    [anon_sym_PLUS] = ACTIONS(3292),
    [anon_sym_DASH] = ACTIONS(3292),
    [anon_sym_SLASH] = ACTIONS(3292),
    [anon_sym_LT] = ACTIONS(3292),
    [anon_sym_TILDE] = ACTIONS(3292),
    [anon_sym_void] = ACTIONS(3292),
    [anon_sym_delete] = ACTIONS(3292),
    [anon_sym_PLUS_PLUS] = ACTIONS(3292),
    [anon_sym_DASH_DASH] = ACTIONS(3292),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3292),
    [sym_number] = ACTIONS(3292),
    [sym_private_property_identifier] = ACTIONS(3292),
    [sym_this] = ACTIONS(3292),
    [sym_super] = ACTIONS(3292),
    [sym_true] = ACTIONS(3292),
    [sym_false] = ACTIONS(3292),
    [sym_null] = ACTIONS(3292),
    [sym_undefined] = ACTIONS(3292),
    [anon_sym_AT] = ACTIONS(3292),
    [anon_sym_static] = ACTIONS(3292),
    [anon_sym_readonly] = ACTIONS(3292),
    [anon_sym_get] = ACTIONS(3292),
    [anon_sym_set] = ACTIONS(3292),
    [anon_sym_declare] = ACTIONS(3292),
    [anon_sym_public] = ACTIONS(3292),
    [anon_sym_private] = ACTIONS(3292),
    [anon_sym_protected] = ACTIONS(3292),
    [anon_sym_override] = ACTIONS(3292),
    [anon_sym_module] = ACTIONS(3292),
    [anon_sym_any] = ACTIONS(3292),
    [anon_sym_number] = ACTIONS(3292),
    [anon_sym_boolean] = ACTIONS(3292),
    [anon_sym_string] = ACTIONS(3292),
    [anon_sym_symbol] = ACTIONS(3292),
    [anon_sym_object] = ACTIONS(3292),
    [anon_sym_abstract] = ACTIONS(3292),
    [anon_sym_interface] = ACTIONS(3292),
    [anon_sym_enum] = ACTIONS(3292),
    [sym_html_comment] = ACTIONS(5),
  },
  [1113] = {
    [sym_comment] = STATE(1113),
    [sym_identifier] = ACTIONS(3294),
    [anon_sym_export] = ACTIONS(3294),
    [anon_sym_default] = ACTIONS(3294),
    [anon_sym_type] = ACTIONS(3294),
    [anon_sym_namespace] = ACTIONS(3294),
    [anon_sym_LBRACE] = ACTIONS(3294),
    [anon_sym_RBRACE] = ACTIONS(3294),
    [anon_sym_typeof] = ACTIONS(3294),
    [anon_sym_import] = ACTIONS(3294),
    [anon_sym_with] = ACTIONS(3294),
    [anon_sym_var] = ACTIONS(3294),
    [anon_sym_let] = ACTIONS(3294),
    [anon_sym_const] = ACTIONS(3294),
    [anon_sym_BANG] = ACTIONS(3294),
    [anon_sym_else] = ACTIONS(3294),
    [anon_sym_if] = ACTIONS(3294),
    [anon_sym_switch] = ACTIONS(3294),
    [anon_sym_for] = ACTIONS(3294),
    [anon_sym_LPAREN] = ACTIONS(3294),
    [anon_sym_await] = ACTIONS(3294),
    [anon_sym_while] = ACTIONS(3294),
    [anon_sym_do] = ACTIONS(3294),
    [anon_sym_try] = ACTIONS(3294),
    [anon_sym_break] = ACTIONS(3294),
    [anon_sym_continue] = ACTIONS(3294),
    [anon_sym_debugger] = ACTIONS(3294),
    [anon_sym_return] = ACTIONS(3294),
    [anon_sym_throw] = ACTIONS(3294),
    [anon_sym_SEMI] = ACTIONS(3294),
    [anon_sym_case] = ACTIONS(3294),
    [anon_sym_yield] = ACTIONS(3294),
    [anon_sym_LBRACK] = ACTIONS(3294),
    [anon_sym_LTtemplate_GT] = ACTIONS(3294),
    [anon_sym_DQUOTE] = ACTIONS(3294),
    [anon_sym_SQUOTE] = ACTIONS(3294),
    [anon_sym_class] = ACTIONS(3294),
    [anon_sym_async] = ACTIONS(3294),
    [anon_sym_function] = ACTIONS(3294),
    [anon_sym_new] = ACTIONS(3294),
    [anon_sym_using] = ACTIONS(3294),
    [anon_sym_PLUS] = ACTIONS(3294),
    [anon_sym_DASH] = ACTIONS(3294),
    [anon_sym_SLASH] = ACTIONS(3294),
    [anon_sym_LT] = ACTIONS(3294),
    [anon_sym_TILDE] = ACTIONS(3294),
    [anon_sym_void] = ACTIONS(3294),
    [anon_sym_delete] = ACTIONS(3294),
    [anon_sym_PLUS_PLUS] = ACTIONS(3294),
    [anon_sym_DASH_DASH] = ACTIONS(3294),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3294),
    [sym_number] = ACTIONS(3294),
    [sym_private_property_identifier] = ACTIONS(3294),
    [sym_this] = ACTIONS(3294),
    [sym_super] = ACTIONS(3294),
    [sym_true] = ACTIONS(3294),
    [sym_false] = ACTIONS(3294),
    [sym_null] = ACTIONS(3294),
    [sym_undefined] = ACTIONS(3294),
    [anon_sym_AT] = ACTIONS(3294),
    [anon_sym_static] = ACTIONS(3294),
    [anon_sym_readonly] = ACTIONS(3294),
    [anon_sym_get] = ACTIONS(3294),
    [anon_sym_set] = ACTIONS(3294),
    [anon_sym_declare] = ACTIONS(3294),
    [anon_sym_public] = ACTIONS(3294),
    [anon_sym_private] = ACTIONS(3294),
    [anon_sym_protected] = ACTIONS(3294),
    [anon_sym_override] = ACTIONS(3294),
    [anon_sym_module] = ACTIONS(3294),
    [anon_sym_any] = ACTIONS(3294),
    [anon_sym_number] = ACTIONS(3294),
    [anon_sym_boolean] = ACTIONS(3294),
    [anon_sym_string] = ACTIONS(3294),
    [anon_sym_symbol] = ACTIONS(3294),
    [anon_sym_object] = ACTIONS(3294),
    [anon_sym_abstract] = ACTIONS(3294),
    [anon_sym_interface] = ACTIONS(3294),
    [anon_sym_enum] = ACTIONS(3294),
    [sym_html_comment] = ACTIONS(5),
  },
  [1114] = {
    [sym_comment] = STATE(1114),
    [sym_identifier] = ACTIONS(3296),
    [anon_sym_export] = ACTIONS(3296),
    [anon_sym_default] = ACTIONS(3296),
    [anon_sym_type] = ACTIONS(3296),
    [anon_sym_namespace] = ACTIONS(3296),
    [anon_sym_LBRACE] = ACTIONS(3296),
    [anon_sym_RBRACE] = ACTIONS(3296),
    [anon_sym_typeof] = ACTIONS(3296),
    [anon_sym_import] = ACTIONS(3296),
    [anon_sym_with] = ACTIONS(3296),
    [anon_sym_var] = ACTIONS(3296),
    [anon_sym_let] = ACTIONS(3296),
    [anon_sym_const] = ACTIONS(3296),
    [anon_sym_BANG] = ACTIONS(3296),
    [anon_sym_else] = ACTIONS(3296),
    [anon_sym_if] = ACTIONS(3296),
    [anon_sym_switch] = ACTIONS(3296),
    [anon_sym_for] = ACTIONS(3296),
    [anon_sym_LPAREN] = ACTIONS(3296),
    [anon_sym_await] = ACTIONS(3296),
    [anon_sym_while] = ACTIONS(3296),
    [anon_sym_do] = ACTIONS(3296),
    [anon_sym_try] = ACTIONS(3296),
    [anon_sym_break] = ACTIONS(3296),
    [anon_sym_continue] = ACTIONS(3296),
    [anon_sym_debugger] = ACTIONS(3296),
    [anon_sym_return] = ACTIONS(3296),
    [anon_sym_throw] = ACTIONS(3296),
    [anon_sym_SEMI] = ACTIONS(3296),
    [anon_sym_case] = ACTIONS(3296),
    [anon_sym_yield] = ACTIONS(3296),
    [anon_sym_LBRACK] = ACTIONS(3296),
    [anon_sym_LTtemplate_GT] = ACTIONS(3296),
    [anon_sym_DQUOTE] = ACTIONS(3296),
    [anon_sym_SQUOTE] = ACTIONS(3296),
    [anon_sym_class] = ACTIONS(3296),
    [anon_sym_async] = ACTIONS(3296),
    [anon_sym_function] = ACTIONS(3296),
    [anon_sym_new] = ACTIONS(3296),
    [anon_sym_using] = ACTIONS(3296),
    [anon_sym_PLUS] = ACTIONS(3296),
    [anon_sym_DASH] = ACTIONS(3296),
    [anon_sym_SLASH] = ACTIONS(3296),
    [anon_sym_LT] = ACTIONS(3296),
    [anon_sym_TILDE] = ACTIONS(3296),
    [anon_sym_void] = ACTIONS(3296),
    [anon_sym_delete] = ACTIONS(3296),
    [anon_sym_PLUS_PLUS] = ACTIONS(3296),
    [anon_sym_DASH_DASH] = ACTIONS(3296),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3296),
    [sym_number] = ACTIONS(3296),
    [sym_private_property_identifier] = ACTIONS(3296),
    [sym_this] = ACTIONS(3296),
    [sym_super] = ACTIONS(3296),
    [sym_true] = ACTIONS(3296),
    [sym_false] = ACTIONS(3296),
    [sym_null] = ACTIONS(3296),
    [sym_undefined] = ACTIONS(3296),
    [anon_sym_AT] = ACTIONS(3296),
    [anon_sym_static] = ACTIONS(3296),
    [anon_sym_readonly] = ACTIONS(3296),
    [anon_sym_get] = ACTIONS(3296),
    [anon_sym_set] = ACTIONS(3296),
    [anon_sym_declare] = ACTIONS(3296),
    [anon_sym_public] = ACTIONS(3296),
    [anon_sym_private] = ACTIONS(3296),
    [anon_sym_protected] = ACTIONS(3296),
    [anon_sym_override] = ACTIONS(3296),
    [anon_sym_module] = ACTIONS(3296),
    [anon_sym_any] = ACTIONS(3296),
    [anon_sym_number] = ACTIONS(3296),
    [anon_sym_boolean] = ACTIONS(3296),
    [anon_sym_string] = ACTIONS(3296),
    [anon_sym_symbol] = ACTIONS(3296),
    [anon_sym_object] = ACTIONS(3296),
    [anon_sym_abstract] = ACTIONS(3296),
    [anon_sym_interface] = ACTIONS(3296),
    [anon_sym_enum] = ACTIONS(3296),
    [sym_html_comment] = ACTIONS(5),
  },
  [1115] = {
    [sym_comment] = STATE(1115),
    [sym_identifier] = ACTIONS(3100),
    [anon_sym_export] = ACTIONS(3100),
    [anon_sym_default] = ACTIONS(3100),
    [anon_sym_type] = ACTIONS(3100),
    [anon_sym_namespace] = ACTIONS(3100),
    [anon_sym_LBRACE] = ACTIONS(3100),
    [anon_sym_RBRACE] = ACTIONS(3100),
    [anon_sym_typeof] = ACTIONS(3100),
    [anon_sym_import] = ACTIONS(3100),
    [anon_sym_with] = ACTIONS(3100),
    [anon_sym_var] = ACTIONS(3100),
    [anon_sym_let] = ACTIONS(3100),
    [anon_sym_const] = ACTIONS(3100),
    [anon_sym_BANG] = ACTIONS(3100),
    [anon_sym_if] = ACTIONS(3100),
    [anon_sym_switch] = ACTIONS(3100),
    [anon_sym_for] = ACTIONS(3100),
    [anon_sym_LPAREN] = ACTIONS(3100),
    [anon_sym_await] = ACTIONS(3100),
    [anon_sym_while] = ACTIONS(3100),
    [anon_sym_do] = ACTIONS(3100),
    [anon_sym_try] = ACTIONS(3100),
    [anon_sym_break] = ACTIONS(3100),
    [anon_sym_continue] = ACTIONS(3100),
    [anon_sym_debugger] = ACTIONS(3100),
    [anon_sym_return] = ACTIONS(3100),
    [anon_sym_throw] = ACTIONS(3100),
    [anon_sym_SEMI] = ACTIONS(3298),
    [anon_sym_case] = ACTIONS(3100),
    [anon_sym_yield] = ACTIONS(3100),
    [anon_sym_LBRACK] = ACTIONS(3100),
    [anon_sym_LTtemplate_GT] = ACTIONS(3100),
    [anon_sym_DQUOTE] = ACTIONS(3100),
    [anon_sym_SQUOTE] = ACTIONS(3100),
    [anon_sym_class] = ACTIONS(3100),
    [anon_sym_async] = ACTIONS(3100),
    [anon_sym_function] = ACTIONS(3100),
    [anon_sym_new] = ACTIONS(3100),
    [anon_sym_using] = ACTIONS(3100),
    [anon_sym_PLUS] = ACTIONS(3100),
    [anon_sym_DASH] = ACTIONS(3100),
    [anon_sym_SLASH] = ACTIONS(3100),
    [anon_sym_LT] = ACTIONS(3100),
    [anon_sym_TILDE] = ACTIONS(3100),
    [anon_sym_void] = ACTIONS(3100),
    [anon_sym_delete] = ACTIONS(3100),
    [anon_sym_PLUS_PLUS] = ACTIONS(3100),
    [anon_sym_DASH_DASH] = ACTIONS(3100),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3100),
    [sym_number] = ACTIONS(3100),
    [sym_private_property_identifier] = ACTIONS(3100),
    [sym_this] = ACTIONS(3100),
    [sym_super] = ACTIONS(3100),
    [sym_true] = ACTIONS(3100),
    [sym_false] = ACTIONS(3100),
    [sym_null] = ACTIONS(3100),
    [sym_undefined] = ACTIONS(3100),
    [anon_sym_AT] = ACTIONS(3100),
    [anon_sym_static] = ACTIONS(3100),
    [anon_sym_readonly] = ACTIONS(3100),
    [anon_sym_get] = ACTIONS(3100),
    [anon_sym_set] = ACTIONS(3100),
    [anon_sym_declare] = ACTIONS(3100),
    [anon_sym_public] = ACTIONS(3100),
    [anon_sym_private] = ACTIONS(3100),
    [anon_sym_protected] = ACTIONS(3100),
    [anon_sym_override] = ACTIONS(3100),
    [anon_sym_module] = ACTIONS(3100),
    [anon_sym_any] = ACTIONS(3100),
    [anon_sym_number] = ACTIONS(3100),
    [anon_sym_boolean] = ACTIONS(3100),
    [anon_sym_string] = ACTIONS(3100),
    [anon_sym_symbol] = ACTIONS(3100),
    [anon_sym_object] = ACTIONS(3100),
    [anon_sym_abstract] = ACTIONS(3100),
    [anon_sym_interface] = ACTIONS(3100),
    [anon_sym_enum] = ACTIONS(3100),
    [sym__automatic_semicolon] = ACTIONS(3300),
    [sym_html_comment] = ACTIONS(5),
  },
  [1116] = {
    [sym_comment] = STATE(1116),
    [sym_identifier] = ACTIONS(2093),
    [anon_sym_export] = ACTIONS(2093),
    [anon_sym_default] = ACTIONS(2093),
    [anon_sym_type] = ACTIONS(2093),
    [anon_sym_namespace] = ACTIONS(2093),
    [anon_sym_LBRACE] = ACTIONS(2093),
    [anon_sym_RBRACE] = ACTIONS(2093),
    [anon_sym_typeof] = ACTIONS(2093),
    [anon_sym_import] = ACTIONS(2093),
    [anon_sym_with] = ACTIONS(2093),
    [anon_sym_var] = ACTIONS(2093),
    [anon_sym_let] = ACTIONS(2093),
    [anon_sym_const] = ACTIONS(2093),
    [anon_sym_BANG] = ACTIONS(2093),
    [anon_sym_else] = ACTIONS(2093),
    [anon_sym_if] = ACTIONS(2093),
    [anon_sym_switch] = ACTIONS(2093),
    [anon_sym_for] = ACTIONS(2093),
    [anon_sym_LPAREN] = ACTIONS(2093),
    [anon_sym_await] = ACTIONS(2093),
    [anon_sym_while] = ACTIONS(2093),
    [anon_sym_do] = ACTIONS(2093),
    [anon_sym_try] = ACTIONS(2093),
    [anon_sym_break] = ACTIONS(2093),
    [anon_sym_continue] = ACTIONS(2093),
    [anon_sym_debugger] = ACTIONS(2093),
    [anon_sym_return] = ACTIONS(2093),
    [anon_sym_throw] = ACTIONS(2093),
    [anon_sym_SEMI] = ACTIONS(2093),
    [anon_sym_case] = ACTIONS(2093),
    [anon_sym_yield] = ACTIONS(2093),
    [anon_sym_LBRACK] = ACTIONS(2093),
    [anon_sym_LTtemplate_GT] = ACTIONS(2093),
    [anon_sym_DQUOTE] = ACTIONS(2093),
    [anon_sym_SQUOTE] = ACTIONS(2093),
    [anon_sym_class] = ACTIONS(2093),
    [anon_sym_async] = ACTIONS(2093),
    [anon_sym_function] = ACTIONS(2093),
    [anon_sym_new] = ACTIONS(2093),
    [anon_sym_using] = ACTIONS(2093),
    [anon_sym_PLUS] = ACTIONS(2093),
    [anon_sym_DASH] = ACTIONS(2093),
    [anon_sym_SLASH] = ACTIONS(2093),
    [anon_sym_LT] = ACTIONS(2093),
    [anon_sym_TILDE] = ACTIONS(2093),
    [anon_sym_void] = ACTIONS(2093),
    [anon_sym_delete] = ACTIONS(2093),
    [anon_sym_PLUS_PLUS] = ACTIONS(2093),
    [anon_sym_DASH_DASH] = ACTIONS(2093),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2093),
    [sym_number] = ACTIONS(2093),
    [sym_private_property_identifier] = ACTIONS(2093),
    [sym_this] = ACTIONS(2093),
    [sym_super] = ACTIONS(2093),
    [sym_true] = ACTIONS(2093),
    [sym_false] = ACTIONS(2093),
    [sym_null] = ACTIONS(2093),
    [sym_undefined] = ACTIONS(2093),
    [anon_sym_AT] = ACTIONS(2093),
    [anon_sym_static] = ACTIONS(2093),
    [anon_sym_readonly] = ACTIONS(2093),
    [anon_sym_get] = ACTIONS(2093),
    [anon_sym_set] = ACTIONS(2093),
    [anon_sym_declare] = ACTIONS(2093),
    [anon_sym_public] = ACTIONS(2093),
    [anon_sym_private] = ACTIONS(2093),
    [anon_sym_protected] = ACTIONS(2093),
    [anon_sym_override] = ACTIONS(2093),
    [anon_sym_module] = ACTIONS(2093),
    [anon_sym_any] = ACTIONS(2093),
    [anon_sym_number] = ACTIONS(2093),
    [anon_sym_boolean] = ACTIONS(2093),
    [anon_sym_string] = ACTIONS(2093),
    [anon_sym_symbol] = ACTIONS(2093),
    [anon_sym_object] = ACTIONS(2093),
    [anon_sym_abstract] = ACTIONS(2093),
    [anon_sym_interface] = ACTIONS(2093),
    [anon_sym_enum] = ACTIONS(2093),
    [sym_html_comment] = ACTIONS(5),
  },
  [1117] = {
    [sym_comment] = STATE(1117),
    [sym_identifier] = ACTIONS(2093),
    [anon_sym_export] = ACTIONS(2093),
    [anon_sym_default] = ACTIONS(2093),
    [anon_sym_type] = ACTIONS(2093),
    [anon_sym_namespace] = ACTIONS(2093),
    [anon_sym_LBRACE] = ACTIONS(2093),
    [anon_sym_RBRACE] = ACTIONS(2093),
    [anon_sym_typeof] = ACTIONS(2093),
    [anon_sym_import] = ACTIONS(2093),
    [anon_sym_with] = ACTIONS(2093),
    [anon_sym_var] = ACTIONS(2093),
    [anon_sym_let] = ACTIONS(2093),
    [anon_sym_const] = ACTIONS(2093),
    [anon_sym_BANG] = ACTIONS(2093),
    [anon_sym_if] = ACTIONS(2093),
    [anon_sym_switch] = ACTIONS(2093),
    [anon_sym_for] = ACTIONS(2093),
    [anon_sym_LPAREN] = ACTIONS(2093),
    [anon_sym_await] = ACTIONS(2093),
    [anon_sym_while] = ACTIONS(2093),
    [anon_sym_do] = ACTIONS(2093),
    [anon_sym_try] = ACTIONS(2093),
    [anon_sym_break] = ACTIONS(2093),
    [anon_sym_continue] = ACTIONS(2093),
    [anon_sym_debugger] = ACTIONS(2093),
    [anon_sym_return] = ACTIONS(2093),
    [anon_sym_throw] = ACTIONS(2093),
    [anon_sym_SEMI] = ACTIONS(2093),
    [anon_sym_case] = ACTIONS(2093),
    [anon_sym_yield] = ACTIONS(2093),
    [anon_sym_LBRACK] = ACTIONS(2093),
    [anon_sym_LTtemplate_GT] = ACTIONS(2093),
    [anon_sym_DQUOTE] = ACTIONS(2093),
    [anon_sym_SQUOTE] = ACTIONS(2093),
    [anon_sym_class] = ACTIONS(2093),
    [anon_sym_async] = ACTIONS(2093),
    [anon_sym_function] = ACTIONS(2093),
    [anon_sym_new] = ACTIONS(2093),
    [anon_sym_using] = ACTIONS(2093),
    [anon_sym_PLUS] = ACTIONS(2093),
    [anon_sym_DASH] = ACTIONS(2093),
    [anon_sym_SLASH] = ACTIONS(2093),
    [anon_sym_LT] = ACTIONS(2093),
    [anon_sym_TILDE] = ACTIONS(2093),
    [anon_sym_void] = ACTIONS(2093),
    [anon_sym_delete] = ACTIONS(2093),
    [anon_sym_PLUS_PLUS] = ACTIONS(2093),
    [anon_sym_DASH_DASH] = ACTIONS(2093),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2093),
    [sym_number] = ACTIONS(2093),
    [sym_private_property_identifier] = ACTIONS(2093),
    [sym_this] = ACTIONS(2093),
    [sym_super] = ACTIONS(2093),
    [sym_true] = ACTIONS(2093),
    [sym_false] = ACTIONS(2093),
    [sym_null] = ACTIONS(2093),
    [sym_undefined] = ACTIONS(2093),
    [anon_sym_AT] = ACTIONS(2093),
    [anon_sym_static] = ACTIONS(2093),
    [anon_sym_readonly] = ACTIONS(2093),
    [anon_sym_get] = ACTIONS(2093),
    [anon_sym_set] = ACTIONS(2093),
    [anon_sym_declare] = ACTIONS(2093),
    [anon_sym_public] = ACTIONS(2093),
    [anon_sym_private] = ACTIONS(2093),
    [anon_sym_protected] = ACTIONS(2093),
    [anon_sym_override] = ACTIONS(2093),
    [anon_sym_module] = ACTIONS(2093),
    [anon_sym_any] = ACTIONS(2093),
    [anon_sym_number] = ACTIONS(2093),
    [anon_sym_boolean] = ACTIONS(2093),
    [anon_sym_string] = ACTIONS(2093),
    [anon_sym_symbol] = ACTIONS(2093),
    [anon_sym_object] = ACTIONS(2093),
    [anon_sym_abstract] = ACTIONS(2093),
    [anon_sym_interface] = ACTIONS(2093),
    [anon_sym_enum] = ACTIONS(2093),
    [sym__automatic_semicolon] = ACTIONS(3302),
    [sym_html_comment] = ACTIONS(5),
  },
  [1118] = {
    [sym_comment] = STATE(1118),
    [sym_identifier] = ACTIONS(3304),
    [anon_sym_export] = ACTIONS(3304),
    [anon_sym_default] = ACTIONS(3304),
    [anon_sym_type] = ACTIONS(3304),
    [anon_sym_namespace] = ACTIONS(3304),
    [anon_sym_LBRACE] = ACTIONS(3304),
    [anon_sym_RBRACE] = ACTIONS(3304),
    [anon_sym_typeof] = ACTIONS(3304),
    [anon_sym_import] = ACTIONS(3304),
    [anon_sym_with] = ACTIONS(3304),
    [anon_sym_var] = ACTIONS(3304),
    [anon_sym_let] = ACTIONS(3304),
    [anon_sym_const] = ACTIONS(3304),
    [anon_sym_BANG] = ACTIONS(3304),
    [anon_sym_else] = ACTIONS(3304),
    [anon_sym_if] = ACTIONS(3304),
    [anon_sym_switch] = ACTIONS(3304),
    [anon_sym_for] = ACTIONS(3304),
    [anon_sym_LPAREN] = ACTIONS(3304),
    [anon_sym_await] = ACTIONS(3304),
    [anon_sym_while] = ACTIONS(3304),
    [anon_sym_do] = ACTIONS(3304),
    [anon_sym_try] = ACTIONS(3304),
    [anon_sym_break] = ACTIONS(3304),
    [anon_sym_continue] = ACTIONS(3304),
    [anon_sym_debugger] = ACTIONS(3304),
    [anon_sym_return] = ACTIONS(3304),
    [anon_sym_throw] = ACTIONS(3304),
    [anon_sym_SEMI] = ACTIONS(3304),
    [anon_sym_case] = ACTIONS(3304),
    [anon_sym_yield] = ACTIONS(3304),
    [anon_sym_LBRACK] = ACTIONS(3304),
    [anon_sym_LTtemplate_GT] = ACTIONS(3304),
    [anon_sym_DQUOTE] = ACTIONS(3304),
    [anon_sym_SQUOTE] = ACTIONS(3304),
    [anon_sym_class] = ACTIONS(3304),
    [anon_sym_async] = ACTIONS(3304),
    [anon_sym_function] = ACTIONS(3304),
    [anon_sym_new] = ACTIONS(3304),
    [anon_sym_using] = ACTIONS(3304),
    [anon_sym_PLUS] = ACTIONS(3304),
    [anon_sym_DASH] = ACTIONS(3304),
    [anon_sym_SLASH] = ACTIONS(3304),
    [anon_sym_LT] = ACTIONS(3304),
    [anon_sym_TILDE] = ACTIONS(3304),
    [anon_sym_void] = ACTIONS(3304),
    [anon_sym_delete] = ACTIONS(3304),
    [anon_sym_PLUS_PLUS] = ACTIONS(3304),
    [anon_sym_DASH_DASH] = ACTIONS(3304),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3304),
    [sym_number] = ACTIONS(3304),
    [sym_private_property_identifier] = ACTIONS(3304),
    [sym_this] = ACTIONS(3304),
    [sym_super] = ACTIONS(3304),
    [sym_true] = ACTIONS(3304),
    [sym_false] = ACTIONS(3304),
    [sym_null] = ACTIONS(3304),
    [sym_undefined] = ACTIONS(3304),
    [anon_sym_AT] = ACTIONS(3304),
    [anon_sym_static] = ACTIONS(3304),
    [anon_sym_readonly] = ACTIONS(3304),
    [anon_sym_get] = ACTIONS(3304),
    [anon_sym_set] = ACTIONS(3304),
    [anon_sym_declare] = ACTIONS(3304),
    [anon_sym_public] = ACTIONS(3304),
    [anon_sym_private] = ACTIONS(3304),
    [anon_sym_protected] = ACTIONS(3304),
    [anon_sym_override] = ACTIONS(3304),
    [anon_sym_module] = ACTIONS(3304),
    [anon_sym_any] = ACTIONS(3304),
    [anon_sym_number] = ACTIONS(3304),
    [anon_sym_boolean] = ACTIONS(3304),
    [anon_sym_string] = ACTIONS(3304),
    [anon_sym_symbol] = ACTIONS(3304),
    [anon_sym_object] = ACTIONS(3304),
    [anon_sym_abstract] = ACTIONS(3304),
    [anon_sym_interface] = ACTIONS(3304),
    [anon_sym_enum] = ACTIONS(3304),
    [sym_html_comment] = ACTIONS(5),
  },
  [1119] = {
    [sym_comment] = STATE(1119),
    [sym_identifier] = ACTIONS(2067),
    [anon_sym_export] = ACTIONS(2067),
    [anon_sym_default] = ACTIONS(2067),
    [anon_sym_type] = ACTIONS(2067),
    [anon_sym_namespace] = ACTIONS(2067),
    [anon_sym_LBRACE] = ACTIONS(2067),
    [anon_sym_RBRACE] = ACTIONS(2067),
    [anon_sym_typeof] = ACTIONS(2067),
    [anon_sym_import] = ACTIONS(2067),
    [anon_sym_with] = ACTIONS(2067),
    [anon_sym_var] = ACTIONS(2067),
    [anon_sym_let] = ACTIONS(2067),
    [anon_sym_const] = ACTIONS(2067),
    [anon_sym_BANG] = ACTIONS(2067),
    [anon_sym_if] = ACTIONS(2067),
    [anon_sym_switch] = ACTIONS(2067),
    [anon_sym_for] = ACTIONS(2067),
    [anon_sym_LPAREN] = ACTIONS(2067),
    [anon_sym_await] = ACTIONS(2067),
    [anon_sym_while] = ACTIONS(2067),
    [anon_sym_do] = ACTIONS(2067),
    [anon_sym_try] = ACTIONS(2067),
    [anon_sym_break] = ACTIONS(2067),
    [anon_sym_continue] = ACTIONS(2067),
    [anon_sym_debugger] = ACTIONS(2067),
    [anon_sym_return] = ACTIONS(2067),
    [anon_sym_throw] = ACTIONS(2067),
    [anon_sym_SEMI] = ACTIONS(2067),
    [anon_sym_case] = ACTIONS(2067),
    [anon_sym_yield] = ACTIONS(2067),
    [anon_sym_LBRACK] = ACTIONS(2067),
    [anon_sym_LTtemplate_GT] = ACTIONS(2067),
    [anon_sym_DQUOTE] = ACTIONS(2067),
    [anon_sym_SQUOTE] = ACTIONS(2067),
    [anon_sym_class] = ACTIONS(2067),
    [anon_sym_async] = ACTIONS(2067),
    [anon_sym_function] = ACTIONS(2067),
    [anon_sym_new] = ACTIONS(2067),
    [anon_sym_using] = ACTIONS(2067),
    [anon_sym_PLUS] = ACTIONS(2067),
    [anon_sym_DASH] = ACTIONS(2067),
    [anon_sym_SLASH] = ACTIONS(2067),
    [anon_sym_LT] = ACTIONS(2067),
    [anon_sym_TILDE] = ACTIONS(2067),
    [anon_sym_void] = ACTIONS(2067),
    [anon_sym_delete] = ACTIONS(2067),
    [anon_sym_PLUS_PLUS] = ACTIONS(2067),
    [anon_sym_DASH_DASH] = ACTIONS(2067),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2067),
    [sym_number] = ACTIONS(2067),
    [sym_private_property_identifier] = ACTIONS(2067),
    [sym_this] = ACTIONS(2067),
    [sym_super] = ACTIONS(2067),
    [sym_true] = ACTIONS(2067),
    [sym_false] = ACTIONS(2067),
    [sym_null] = ACTIONS(2067),
    [sym_undefined] = ACTIONS(2067),
    [anon_sym_AT] = ACTIONS(2067),
    [anon_sym_static] = ACTIONS(2067),
    [anon_sym_readonly] = ACTIONS(2067),
    [anon_sym_get] = ACTIONS(2067),
    [anon_sym_set] = ACTIONS(2067),
    [anon_sym_declare] = ACTIONS(2067),
    [anon_sym_public] = ACTIONS(2067),
    [anon_sym_private] = ACTIONS(2067),
    [anon_sym_protected] = ACTIONS(2067),
    [anon_sym_override] = ACTIONS(2067),
    [anon_sym_module] = ACTIONS(2067),
    [anon_sym_any] = ACTIONS(2067),
    [anon_sym_number] = ACTIONS(2067),
    [anon_sym_boolean] = ACTIONS(2067),
    [anon_sym_string] = ACTIONS(2067),
    [anon_sym_symbol] = ACTIONS(2067),
    [anon_sym_object] = ACTIONS(2067),
    [anon_sym_abstract] = ACTIONS(2067),
    [anon_sym_interface] = ACTIONS(2067),
    [anon_sym_enum] = ACTIONS(2067),
    [sym__automatic_semicolon] = ACTIONS(3306),
    [sym_html_comment] = ACTIONS(5),
  },
  [1120] = {
    [sym_comment] = STATE(1120),
    [sym_identifier] = ACTIONS(2257),
    [anon_sym_export] = ACTIONS(2257),
    [anon_sym_default] = ACTIONS(2257),
    [anon_sym_type] = ACTIONS(2257),
    [anon_sym_namespace] = ACTIONS(2257),
    [anon_sym_LBRACE] = ACTIONS(2257),
    [anon_sym_RBRACE] = ACTIONS(2257),
    [anon_sym_typeof] = ACTIONS(2257),
    [anon_sym_import] = ACTIONS(2257),
    [anon_sym_with] = ACTIONS(2257),
    [anon_sym_var] = ACTIONS(2257),
    [anon_sym_let] = ACTIONS(2257),
    [anon_sym_const] = ACTIONS(2257),
    [anon_sym_BANG] = ACTIONS(2257),
    [anon_sym_if] = ACTIONS(2257),
    [anon_sym_switch] = ACTIONS(2257),
    [anon_sym_for] = ACTIONS(2257),
    [anon_sym_LPAREN] = ACTIONS(2257),
    [anon_sym_await] = ACTIONS(2257),
    [anon_sym_while] = ACTIONS(2257),
    [anon_sym_do] = ACTIONS(2257),
    [anon_sym_try] = ACTIONS(2257),
    [anon_sym_break] = ACTIONS(2257),
    [anon_sym_continue] = ACTIONS(2257),
    [anon_sym_debugger] = ACTIONS(2257),
    [anon_sym_return] = ACTIONS(2257),
    [anon_sym_throw] = ACTIONS(2257),
    [anon_sym_SEMI] = ACTIONS(2257),
    [anon_sym_case] = ACTIONS(2257),
    [anon_sym_yield] = ACTIONS(2257),
    [anon_sym_LBRACK] = ACTIONS(2257),
    [anon_sym_LTtemplate_GT] = ACTIONS(2257),
    [anon_sym_DQUOTE] = ACTIONS(2257),
    [anon_sym_SQUOTE] = ACTIONS(2257),
    [anon_sym_class] = ACTIONS(2257),
    [anon_sym_async] = ACTIONS(2257),
    [anon_sym_function] = ACTIONS(2257),
    [anon_sym_new] = ACTIONS(2257),
    [anon_sym_using] = ACTIONS(2257),
    [anon_sym_PLUS] = ACTIONS(2257),
    [anon_sym_DASH] = ACTIONS(2257),
    [anon_sym_SLASH] = ACTIONS(2257),
    [anon_sym_LT] = ACTIONS(2257),
    [anon_sym_TILDE] = ACTIONS(2257),
    [anon_sym_void] = ACTIONS(2257),
    [anon_sym_delete] = ACTIONS(2257),
    [anon_sym_PLUS_PLUS] = ACTIONS(2257),
    [anon_sym_DASH_DASH] = ACTIONS(2257),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2257),
    [sym_number] = ACTIONS(2257),
    [sym_private_property_identifier] = ACTIONS(2257),
    [sym_this] = ACTIONS(2257),
    [sym_super] = ACTIONS(2257),
    [sym_true] = ACTIONS(2257),
    [sym_false] = ACTIONS(2257),
    [sym_null] = ACTIONS(2257),
    [sym_undefined] = ACTIONS(2257),
    [anon_sym_AT] = ACTIONS(2257),
    [anon_sym_static] = ACTIONS(2257),
    [anon_sym_readonly] = ACTIONS(2257),
    [anon_sym_get] = ACTIONS(2257),
    [anon_sym_set] = ACTIONS(2257),
    [anon_sym_declare] = ACTIONS(2257),
    [anon_sym_public] = ACTIONS(2257),
    [anon_sym_private] = ACTIONS(2257),
    [anon_sym_protected] = ACTIONS(2257),
    [anon_sym_override] = ACTIONS(2257),
    [anon_sym_module] = ACTIONS(2257),
    [anon_sym_any] = ACTIONS(2257),
    [anon_sym_number] = ACTIONS(2257),
    [anon_sym_boolean] = ACTIONS(2257),
    [anon_sym_string] = ACTIONS(2257),
    [anon_sym_symbol] = ACTIONS(2257),
    [anon_sym_object] = ACTIONS(2257),
    [anon_sym_abstract] = ACTIONS(2257),
    [anon_sym_interface] = ACTIONS(2257),
    [anon_sym_enum] = ACTIONS(2257),
    [sym__automatic_semicolon] = ACTIONS(2381),
    [sym_html_comment] = ACTIONS(5),
  },
  [1121] = {
    [sym_comment] = STATE(1121),
    [sym_identifier] = ACTIONS(2093),
    [anon_sym_export] = ACTIONS(2093),
    [anon_sym_default] = ACTIONS(2093),
    [anon_sym_type] = ACTIONS(2093),
    [anon_sym_namespace] = ACTIONS(2093),
    [anon_sym_LBRACE] = ACTIONS(2093),
    [anon_sym_RBRACE] = ACTIONS(2093),
    [anon_sym_typeof] = ACTIONS(2093),
    [anon_sym_import] = ACTIONS(2093),
    [anon_sym_with] = ACTIONS(2093),
    [anon_sym_var] = ACTIONS(2093),
    [anon_sym_let] = ACTIONS(2093),
    [anon_sym_const] = ACTIONS(2093),
    [anon_sym_BANG] = ACTIONS(2093),
    [anon_sym_if] = ACTIONS(2093),
    [anon_sym_switch] = ACTIONS(2093),
    [anon_sym_for] = ACTIONS(2093),
    [anon_sym_LPAREN] = ACTIONS(2093),
    [anon_sym_await] = ACTIONS(2093),
    [anon_sym_while] = ACTIONS(2093),
    [anon_sym_do] = ACTIONS(2093),
    [anon_sym_try] = ACTIONS(2093),
    [anon_sym_break] = ACTIONS(2093),
    [anon_sym_continue] = ACTIONS(2093),
    [anon_sym_debugger] = ACTIONS(2093),
    [anon_sym_return] = ACTIONS(2093),
    [anon_sym_throw] = ACTIONS(2093),
    [anon_sym_SEMI] = ACTIONS(2093),
    [anon_sym_case] = ACTIONS(2093),
    [anon_sym_finally] = ACTIONS(2093),
    [anon_sym_yield] = ACTIONS(2093),
    [anon_sym_LBRACK] = ACTIONS(2093),
    [anon_sym_LTtemplate_GT] = ACTIONS(2093),
    [anon_sym_DQUOTE] = ACTIONS(2093),
    [anon_sym_SQUOTE] = ACTIONS(2093),
    [anon_sym_class] = ACTIONS(2093),
    [anon_sym_async] = ACTIONS(2093),
    [anon_sym_function] = ACTIONS(2093),
    [anon_sym_new] = ACTIONS(2093),
    [anon_sym_using] = ACTIONS(2093),
    [anon_sym_PLUS] = ACTIONS(2093),
    [anon_sym_DASH] = ACTIONS(2093),
    [anon_sym_SLASH] = ACTIONS(2093),
    [anon_sym_LT] = ACTIONS(2093),
    [anon_sym_TILDE] = ACTIONS(2093),
    [anon_sym_void] = ACTIONS(2093),
    [anon_sym_delete] = ACTIONS(2093),
    [anon_sym_PLUS_PLUS] = ACTIONS(2093),
    [anon_sym_DASH_DASH] = ACTIONS(2093),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2093),
    [sym_number] = ACTIONS(2093),
    [sym_private_property_identifier] = ACTIONS(2093),
    [sym_this] = ACTIONS(2093),
    [sym_super] = ACTIONS(2093),
    [sym_true] = ACTIONS(2093),
    [sym_false] = ACTIONS(2093),
    [sym_null] = ACTIONS(2093),
    [sym_undefined] = ACTIONS(2093),
    [anon_sym_AT] = ACTIONS(2093),
    [anon_sym_static] = ACTIONS(2093),
    [anon_sym_readonly] = ACTIONS(2093),
    [anon_sym_get] = ACTIONS(2093),
    [anon_sym_set] = ACTIONS(2093),
    [anon_sym_declare] = ACTIONS(2093),
    [anon_sym_public] = ACTIONS(2093),
    [anon_sym_private] = ACTIONS(2093),
    [anon_sym_protected] = ACTIONS(2093),
    [anon_sym_override] = ACTIONS(2093),
    [anon_sym_module] = ACTIONS(2093),
    [anon_sym_any] = ACTIONS(2093),
    [anon_sym_number] = ACTIONS(2093),
    [anon_sym_boolean] = ACTIONS(2093),
    [anon_sym_string] = ACTIONS(2093),
    [anon_sym_symbol] = ACTIONS(2093),
    [anon_sym_object] = ACTIONS(2093),
    [anon_sym_abstract] = ACTIONS(2093),
    [anon_sym_interface] = ACTIONS(2093),
    [anon_sym_enum] = ACTIONS(2093),
    [sym_html_comment] = ACTIONS(5),
  },
  [1122] = {
    [sym_comment] = STATE(1122),
    [sym_identifier] = ACTIONS(2105),
    [anon_sym_export] = ACTIONS(2105),
    [anon_sym_default] = ACTIONS(2105),
    [anon_sym_type] = ACTIONS(2105),
    [anon_sym_namespace] = ACTIONS(2105),
    [anon_sym_LBRACE] = ACTIONS(2105),
    [anon_sym_RBRACE] = ACTIONS(2105),
    [anon_sym_typeof] = ACTIONS(2105),
    [anon_sym_import] = ACTIONS(2105),
    [anon_sym_with] = ACTIONS(2105),
    [anon_sym_var] = ACTIONS(2105),
    [anon_sym_let] = ACTIONS(2105),
    [anon_sym_const] = ACTIONS(2105),
    [anon_sym_BANG] = ACTIONS(2105),
    [anon_sym_if] = ACTIONS(2105),
    [anon_sym_switch] = ACTIONS(2105),
    [anon_sym_for] = ACTIONS(2105),
    [anon_sym_LPAREN] = ACTIONS(2105),
    [anon_sym_await] = ACTIONS(2105),
    [anon_sym_while] = ACTIONS(2105),
    [anon_sym_do] = ACTIONS(2105),
    [anon_sym_try] = ACTIONS(2105),
    [anon_sym_break] = ACTIONS(2105),
    [anon_sym_continue] = ACTIONS(2105),
    [anon_sym_debugger] = ACTIONS(2105),
    [anon_sym_return] = ACTIONS(2105),
    [anon_sym_throw] = ACTIONS(2105),
    [anon_sym_SEMI] = ACTIONS(2105),
    [anon_sym_case] = ACTIONS(2105),
    [anon_sym_finally] = ACTIONS(2105),
    [anon_sym_yield] = ACTIONS(2105),
    [anon_sym_LBRACK] = ACTIONS(2105),
    [anon_sym_LTtemplate_GT] = ACTIONS(2105),
    [anon_sym_DQUOTE] = ACTIONS(2105),
    [anon_sym_SQUOTE] = ACTIONS(2105),
    [anon_sym_class] = ACTIONS(2105),
    [anon_sym_async] = ACTIONS(2105),
    [anon_sym_function] = ACTIONS(2105),
    [anon_sym_new] = ACTIONS(2105),
    [anon_sym_using] = ACTIONS(2105),
    [anon_sym_PLUS] = ACTIONS(2105),
    [anon_sym_DASH] = ACTIONS(2105),
    [anon_sym_SLASH] = ACTIONS(2105),
    [anon_sym_LT] = ACTIONS(2105),
    [anon_sym_TILDE] = ACTIONS(2105),
    [anon_sym_void] = ACTIONS(2105),
    [anon_sym_delete] = ACTIONS(2105),
    [anon_sym_PLUS_PLUS] = ACTIONS(2105),
    [anon_sym_DASH_DASH] = ACTIONS(2105),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2105),
    [sym_number] = ACTIONS(2105),
    [sym_private_property_identifier] = ACTIONS(2105),
    [sym_this] = ACTIONS(2105),
    [sym_super] = ACTIONS(2105),
    [sym_true] = ACTIONS(2105),
    [sym_false] = ACTIONS(2105),
    [sym_null] = ACTIONS(2105),
    [sym_undefined] = ACTIONS(2105),
    [anon_sym_AT] = ACTIONS(2105),
    [anon_sym_static] = ACTIONS(2105),
    [anon_sym_readonly] = ACTIONS(2105),
    [anon_sym_get] = ACTIONS(2105),
    [anon_sym_set] = ACTIONS(2105),
    [anon_sym_declare] = ACTIONS(2105),
    [anon_sym_public] = ACTIONS(2105),
    [anon_sym_private] = ACTIONS(2105),
    [anon_sym_protected] = ACTIONS(2105),
    [anon_sym_override] = ACTIONS(2105),
    [anon_sym_module] = ACTIONS(2105),
    [anon_sym_any] = ACTIONS(2105),
    [anon_sym_number] = ACTIONS(2105),
    [anon_sym_boolean] = ACTIONS(2105),
    [anon_sym_string] = ACTIONS(2105),
    [anon_sym_symbol] = ACTIONS(2105),
    [anon_sym_object] = ACTIONS(2105),
    [anon_sym_abstract] = ACTIONS(2105),
    [anon_sym_interface] = ACTIONS(2105),
    [anon_sym_enum] = ACTIONS(2105),
    [sym_html_comment] = ACTIONS(5),
  },
  [1123] = {
    [sym_comment] = STATE(1123),
    [sym_identifier] = ACTIONS(2093),
    [anon_sym_export] = ACTIONS(2093),
    [anon_sym_default] = ACTIONS(2093),
    [anon_sym_type] = ACTIONS(2093),
    [anon_sym_namespace] = ACTIONS(2093),
    [anon_sym_LBRACE] = ACTIONS(2093),
    [anon_sym_RBRACE] = ACTIONS(2093),
    [anon_sym_typeof] = ACTIONS(2093),
    [anon_sym_import] = ACTIONS(2093),
    [anon_sym_with] = ACTIONS(2093),
    [anon_sym_var] = ACTIONS(2093),
    [anon_sym_let] = ACTIONS(2093),
    [anon_sym_const] = ACTIONS(2093),
    [anon_sym_BANG] = ACTIONS(2093),
    [anon_sym_if] = ACTIONS(2093),
    [anon_sym_switch] = ACTIONS(2093),
    [anon_sym_for] = ACTIONS(2093),
    [anon_sym_LPAREN] = ACTIONS(2093),
    [anon_sym_await] = ACTIONS(2093),
    [anon_sym_while] = ACTIONS(2093),
    [anon_sym_do] = ACTIONS(2093),
    [anon_sym_try] = ACTIONS(2093),
    [anon_sym_break] = ACTIONS(2093),
    [anon_sym_continue] = ACTIONS(2093),
    [anon_sym_debugger] = ACTIONS(2093),
    [anon_sym_return] = ACTIONS(2093),
    [anon_sym_throw] = ACTIONS(2093),
    [anon_sym_SEMI] = ACTIONS(2093),
    [anon_sym_case] = ACTIONS(2093),
    [anon_sym_yield] = ACTIONS(2093),
    [anon_sym_LBRACK] = ACTIONS(2093),
    [anon_sym_LTtemplate_GT] = ACTIONS(2093),
    [anon_sym_DQUOTE] = ACTIONS(2093),
    [anon_sym_SQUOTE] = ACTIONS(2093),
    [anon_sym_class] = ACTIONS(2093),
    [anon_sym_async] = ACTIONS(2093),
    [anon_sym_function] = ACTIONS(2093),
    [anon_sym_new] = ACTIONS(2093),
    [anon_sym_using] = ACTIONS(2093),
    [anon_sym_PLUS] = ACTIONS(2093),
    [anon_sym_DASH] = ACTIONS(2093),
    [anon_sym_SLASH] = ACTIONS(2093),
    [anon_sym_LT] = ACTIONS(2093),
    [anon_sym_TILDE] = ACTIONS(2093),
    [anon_sym_void] = ACTIONS(2093),
    [anon_sym_delete] = ACTIONS(2093),
    [anon_sym_PLUS_PLUS] = ACTIONS(2093),
    [anon_sym_DASH_DASH] = ACTIONS(2093),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2093),
    [sym_number] = ACTIONS(2093),
    [sym_private_property_identifier] = ACTIONS(2093),
    [sym_this] = ACTIONS(2093),
    [sym_super] = ACTIONS(2093),
    [sym_true] = ACTIONS(2093),
    [sym_false] = ACTIONS(2093),
    [sym_null] = ACTIONS(2093),
    [sym_undefined] = ACTIONS(2093),
    [anon_sym_AT] = ACTIONS(2093),
    [anon_sym_static] = ACTIONS(2093),
    [anon_sym_readonly] = ACTIONS(2093),
    [anon_sym_get] = ACTIONS(2093),
    [anon_sym_set] = ACTIONS(2093),
    [anon_sym_declare] = ACTIONS(2093),
    [anon_sym_public] = ACTIONS(2093),
    [anon_sym_private] = ACTIONS(2093),
    [anon_sym_protected] = ACTIONS(2093),
    [anon_sym_override] = ACTIONS(2093),
    [anon_sym_module] = ACTIONS(2093),
    [anon_sym_any] = ACTIONS(2093),
    [anon_sym_number] = ACTIONS(2093),
    [anon_sym_boolean] = ACTIONS(2093),
    [anon_sym_string] = ACTIONS(2093),
    [anon_sym_symbol] = ACTIONS(2093),
    [anon_sym_object] = ACTIONS(2093),
    [anon_sym_abstract] = ACTIONS(2093),
    [anon_sym_interface] = ACTIONS(2093),
    [anon_sym_enum] = ACTIONS(2093),
    [sym__automatic_semicolon] = ACTIONS(2095),
    [sym_html_comment] = ACTIONS(5),
  },
  [1124] = {
    [sym_comment] = STATE(1124),
    [sym_identifier] = ACTIONS(2105),
    [anon_sym_export] = ACTIONS(2105),
    [anon_sym_default] = ACTIONS(2105),
    [anon_sym_type] = ACTIONS(2105),
    [anon_sym_namespace] = ACTIONS(2105),
    [anon_sym_LBRACE] = ACTIONS(2105),
    [anon_sym_RBRACE] = ACTIONS(2105),
    [anon_sym_typeof] = ACTIONS(2105),
    [anon_sym_import] = ACTIONS(2105),
    [anon_sym_with] = ACTIONS(2105),
    [anon_sym_var] = ACTIONS(2105),
    [anon_sym_let] = ACTIONS(2105),
    [anon_sym_const] = ACTIONS(2105),
    [anon_sym_BANG] = ACTIONS(2105),
    [anon_sym_if] = ACTIONS(2105),
    [anon_sym_switch] = ACTIONS(2105),
    [anon_sym_for] = ACTIONS(2105),
    [anon_sym_LPAREN] = ACTIONS(2105),
    [anon_sym_await] = ACTIONS(2105),
    [anon_sym_while] = ACTIONS(2105),
    [anon_sym_do] = ACTIONS(2105),
    [anon_sym_try] = ACTIONS(2105),
    [anon_sym_break] = ACTIONS(2105),
    [anon_sym_continue] = ACTIONS(2105),
    [anon_sym_debugger] = ACTIONS(2105),
    [anon_sym_return] = ACTIONS(2105),
    [anon_sym_throw] = ACTIONS(2105),
    [anon_sym_SEMI] = ACTIONS(2105),
    [anon_sym_case] = ACTIONS(2105),
    [anon_sym_yield] = ACTIONS(2105),
    [anon_sym_LBRACK] = ACTIONS(2105),
    [anon_sym_LTtemplate_GT] = ACTIONS(2105),
    [anon_sym_DQUOTE] = ACTIONS(2105),
    [anon_sym_SQUOTE] = ACTIONS(2105),
    [anon_sym_class] = ACTIONS(2105),
    [anon_sym_async] = ACTIONS(2105),
    [anon_sym_function] = ACTIONS(2105),
    [anon_sym_new] = ACTIONS(2105),
    [anon_sym_using] = ACTIONS(2105),
    [anon_sym_PLUS] = ACTIONS(2105),
    [anon_sym_DASH] = ACTIONS(2105),
    [anon_sym_SLASH] = ACTIONS(2105),
    [anon_sym_LT] = ACTIONS(2105),
    [anon_sym_TILDE] = ACTIONS(2105),
    [anon_sym_void] = ACTIONS(2105),
    [anon_sym_delete] = ACTIONS(2105),
    [anon_sym_PLUS_PLUS] = ACTIONS(2105),
    [anon_sym_DASH_DASH] = ACTIONS(2105),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2105),
    [sym_number] = ACTIONS(2105),
    [sym_private_property_identifier] = ACTIONS(2105),
    [sym_this] = ACTIONS(2105),
    [sym_super] = ACTIONS(2105),
    [sym_true] = ACTIONS(2105),
    [sym_false] = ACTIONS(2105),
    [sym_null] = ACTIONS(2105),
    [sym_undefined] = ACTIONS(2105),
    [anon_sym_AT] = ACTIONS(2105),
    [anon_sym_static] = ACTIONS(2105),
    [anon_sym_readonly] = ACTIONS(2105),
    [anon_sym_get] = ACTIONS(2105),
    [anon_sym_set] = ACTIONS(2105),
    [anon_sym_declare] = ACTIONS(2105),
    [anon_sym_public] = ACTIONS(2105),
    [anon_sym_private] = ACTIONS(2105),
    [anon_sym_protected] = ACTIONS(2105),
    [anon_sym_override] = ACTIONS(2105),
    [anon_sym_module] = ACTIONS(2105),
    [anon_sym_any] = ACTIONS(2105),
    [anon_sym_number] = ACTIONS(2105),
    [anon_sym_boolean] = ACTIONS(2105),
    [anon_sym_string] = ACTIONS(2105),
    [anon_sym_symbol] = ACTIONS(2105),
    [anon_sym_object] = ACTIONS(2105),
    [anon_sym_abstract] = ACTIONS(2105),
    [anon_sym_interface] = ACTIONS(2105),
    [anon_sym_enum] = ACTIONS(2105),
    [sym__automatic_semicolon] = ACTIONS(2107),
    [sym_html_comment] = ACTIONS(5),
  },
  [1125] = {
    [sym_else_clause] = STATE(1369),
    [sym_comment] = STATE(1125),
    [ts_builtin_sym_end] = ACTIONS(3308),
    [sym_identifier] = ACTIONS(3068),
    [anon_sym_export] = ACTIONS(3068),
    [anon_sym_type] = ACTIONS(3068),
    [anon_sym_namespace] = ACTIONS(3068),
    [anon_sym_LBRACE] = ACTIONS(3068),
    [anon_sym_RBRACE] = ACTIONS(3068),
    [anon_sym_typeof] = ACTIONS(3068),
    [anon_sym_import] = ACTIONS(3068),
    [anon_sym_with] = ACTIONS(3068),
    [anon_sym_var] = ACTIONS(3068),
    [anon_sym_let] = ACTIONS(3068),
    [anon_sym_const] = ACTIONS(3068),
    [anon_sym_BANG] = ACTIONS(3068),
    [anon_sym_else] = ACTIONS(3310),
    [anon_sym_if] = ACTIONS(3068),
    [anon_sym_switch] = ACTIONS(3068),
    [anon_sym_for] = ACTIONS(3068),
    [anon_sym_LPAREN] = ACTIONS(3068),
    [anon_sym_await] = ACTIONS(3068),
    [anon_sym_while] = ACTIONS(3068),
    [anon_sym_do] = ACTIONS(3068),
    [anon_sym_try] = ACTIONS(3068),
    [anon_sym_break] = ACTIONS(3068),
    [anon_sym_continue] = ACTIONS(3068),
    [anon_sym_debugger] = ACTIONS(3068),
    [anon_sym_return] = ACTIONS(3068),
    [anon_sym_throw] = ACTIONS(3068),
    [anon_sym_SEMI] = ACTIONS(3068),
    [anon_sym_yield] = ACTIONS(3068),
    [anon_sym_LBRACK] = ACTIONS(3068),
    [anon_sym_LTtemplate_GT] = ACTIONS(3068),
    [anon_sym_DQUOTE] = ACTIONS(3068),
    [anon_sym_SQUOTE] = ACTIONS(3068),
    [anon_sym_class] = ACTIONS(3068),
    [anon_sym_async] = ACTIONS(3068),
    [anon_sym_function] = ACTIONS(3068),
    [anon_sym_new] = ACTIONS(3068),
    [anon_sym_using] = ACTIONS(3068),
    [anon_sym_PLUS] = ACTIONS(3068),
    [anon_sym_DASH] = ACTIONS(3068),
    [anon_sym_SLASH] = ACTIONS(3068),
    [anon_sym_LT] = ACTIONS(3068),
    [anon_sym_TILDE] = ACTIONS(3068),
    [anon_sym_void] = ACTIONS(3068),
    [anon_sym_delete] = ACTIONS(3068),
    [anon_sym_PLUS_PLUS] = ACTIONS(3068),
    [anon_sym_DASH_DASH] = ACTIONS(3068),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3068),
    [sym_number] = ACTIONS(3068),
    [sym_private_property_identifier] = ACTIONS(3068),
    [sym_this] = ACTIONS(3068),
    [sym_super] = ACTIONS(3068),
    [sym_true] = ACTIONS(3068),
    [sym_false] = ACTIONS(3068),
    [sym_null] = ACTIONS(3068),
    [sym_undefined] = ACTIONS(3068),
    [anon_sym_AT] = ACTIONS(3068),
    [anon_sym_static] = ACTIONS(3068),
    [anon_sym_readonly] = ACTIONS(3068),
    [anon_sym_get] = ACTIONS(3068),
    [anon_sym_set] = ACTIONS(3068),
    [anon_sym_declare] = ACTIONS(3068),
    [anon_sym_public] = ACTIONS(3068),
    [anon_sym_private] = ACTIONS(3068),
    [anon_sym_protected] = ACTIONS(3068),
    [anon_sym_override] = ACTIONS(3068),
    [anon_sym_module] = ACTIONS(3068),
    [anon_sym_any] = ACTIONS(3068),
    [anon_sym_number] = ACTIONS(3068),
    [anon_sym_boolean] = ACTIONS(3068),
    [anon_sym_string] = ACTIONS(3068),
    [anon_sym_symbol] = ACTIONS(3068),
    [anon_sym_object] = ACTIONS(3068),
    [anon_sym_abstract] = ACTIONS(3068),
    [anon_sym_interface] = ACTIONS(3068),
    [anon_sym_enum] = ACTIONS(3068),
    [sym_html_comment] = ACTIONS(5),
  },
  [1126] = {
    [sym_comment] = STATE(1126),
    [ts_builtin_sym_end] = ACTIONS(2095),
    [sym_identifier] = ACTIONS(2093),
    [anon_sym_export] = ACTIONS(2093),
    [anon_sym_type] = ACTIONS(2093),
    [anon_sym_namespace] = ACTIONS(2093),
    [anon_sym_LBRACE] = ACTIONS(2093),
    [anon_sym_RBRACE] = ACTIONS(2093),
    [anon_sym_typeof] = ACTIONS(2093),
    [anon_sym_import] = ACTIONS(2093),
    [anon_sym_with] = ACTIONS(2093),
    [anon_sym_var] = ACTIONS(2093),
    [anon_sym_let] = ACTIONS(2093),
    [anon_sym_const] = ACTIONS(2093),
    [anon_sym_BANG] = ACTIONS(2093),
    [anon_sym_else] = ACTIONS(2093),
    [anon_sym_if] = ACTIONS(2093),
    [anon_sym_switch] = ACTIONS(2093),
    [anon_sym_for] = ACTIONS(2093),
    [anon_sym_LPAREN] = ACTIONS(2093),
    [anon_sym_await] = ACTIONS(2093),
    [anon_sym_while] = ACTIONS(2093),
    [anon_sym_do] = ACTIONS(2093),
    [anon_sym_try] = ACTIONS(2093),
    [anon_sym_break] = ACTIONS(2093),
    [anon_sym_continue] = ACTIONS(2093),
    [anon_sym_debugger] = ACTIONS(2093),
    [anon_sym_return] = ACTIONS(2093),
    [anon_sym_throw] = ACTIONS(2093),
    [anon_sym_SEMI] = ACTIONS(2093),
    [anon_sym_yield] = ACTIONS(2093),
    [anon_sym_LBRACK] = ACTIONS(2093),
    [anon_sym_LTtemplate_GT] = ACTIONS(2093),
    [anon_sym_DQUOTE] = ACTIONS(2093),
    [anon_sym_SQUOTE] = ACTIONS(2093),
    [anon_sym_class] = ACTIONS(2093),
    [anon_sym_async] = ACTIONS(2093),
    [anon_sym_function] = ACTIONS(2093),
    [anon_sym_new] = ACTIONS(2093),
    [anon_sym_using] = ACTIONS(2093),
    [anon_sym_PLUS] = ACTIONS(2093),
    [anon_sym_DASH] = ACTIONS(2093),
    [anon_sym_SLASH] = ACTIONS(2093),
    [anon_sym_LT] = ACTIONS(2093),
    [anon_sym_TILDE] = ACTIONS(2093),
    [anon_sym_void] = ACTIONS(2093),
    [anon_sym_delete] = ACTIONS(2093),
    [anon_sym_PLUS_PLUS] = ACTIONS(2093),
    [anon_sym_DASH_DASH] = ACTIONS(2093),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2093),
    [sym_number] = ACTIONS(2093),
    [sym_private_property_identifier] = ACTIONS(2093),
    [sym_this] = ACTIONS(2093),
    [sym_super] = ACTIONS(2093),
    [sym_true] = ACTIONS(2093),
    [sym_false] = ACTIONS(2093),
    [sym_null] = ACTIONS(2093),
    [sym_undefined] = ACTIONS(2093),
    [anon_sym_AT] = ACTIONS(2093),
    [anon_sym_static] = ACTIONS(2093),
    [anon_sym_readonly] = ACTIONS(2093),
    [anon_sym_get] = ACTIONS(2093),
    [anon_sym_set] = ACTIONS(2093),
    [anon_sym_declare] = ACTIONS(2093),
    [anon_sym_public] = ACTIONS(2093),
    [anon_sym_private] = ACTIONS(2093),
    [anon_sym_protected] = ACTIONS(2093),
    [anon_sym_override] = ACTIONS(2093),
    [anon_sym_module] = ACTIONS(2093),
    [anon_sym_any] = ACTIONS(2093),
    [anon_sym_number] = ACTIONS(2093),
    [anon_sym_boolean] = ACTIONS(2093),
    [anon_sym_string] = ACTIONS(2093),
    [anon_sym_symbol] = ACTIONS(2093),
    [anon_sym_object] = ACTIONS(2093),
    [anon_sym_abstract] = ACTIONS(2093),
    [anon_sym_interface] = ACTIONS(2093),
    [anon_sym_enum] = ACTIONS(2093),
    [sym__automatic_semicolon] = ACTIONS(3312),
    [sym_html_comment] = ACTIONS(5),
  },
  [1127] = {
    [sym_comment] = STATE(1127),
    [ts_builtin_sym_end] = ACTIONS(3314),
    [sym_identifier] = ACTIONS(3088),
    [anon_sym_export] = ACTIONS(3088),
    [anon_sym_type] = ACTIONS(3088),
    [anon_sym_namespace] = ACTIONS(3088),
    [anon_sym_LBRACE] = ACTIONS(3088),
    [anon_sym_RBRACE] = ACTIONS(3088),
    [anon_sym_typeof] = ACTIONS(3088),
    [anon_sym_import] = ACTIONS(3088),
    [anon_sym_with] = ACTIONS(3088),
    [anon_sym_var] = ACTIONS(3088),
    [anon_sym_let] = ACTIONS(3088),
    [anon_sym_const] = ACTIONS(3088),
    [anon_sym_BANG] = ACTIONS(3088),
    [anon_sym_else] = ACTIONS(3088),
    [anon_sym_if] = ACTIONS(3088),
    [anon_sym_switch] = ACTIONS(3088),
    [anon_sym_for] = ACTIONS(3088),
    [anon_sym_LPAREN] = ACTIONS(3088),
    [anon_sym_await] = ACTIONS(3088),
    [anon_sym_while] = ACTIONS(3088),
    [anon_sym_do] = ACTIONS(3088),
    [anon_sym_try] = ACTIONS(3088),
    [anon_sym_break] = ACTIONS(3088),
    [anon_sym_continue] = ACTIONS(3088),
    [anon_sym_debugger] = ACTIONS(3088),
    [anon_sym_return] = ACTIONS(3088),
    [anon_sym_throw] = ACTIONS(3088),
    [anon_sym_SEMI] = ACTIONS(3088),
    [anon_sym_finally] = ACTIONS(3088),
    [anon_sym_yield] = ACTIONS(3088),
    [anon_sym_LBRACK] = ACTIONS(3088),
    [anon_sym_LTtemplate_GT] = ACTIONS(3088),
    [anon_sym_DQUOTE] = ACTIONS(3088),
    [anon_sym_SQUOTE] = ACTIONS(3088),
    [anon_sym_class] = ACTIONS(3088),
    [anon_sym_async] = ACTIONS(3088),
    [anon_sym_function] = ACTIONS(3088),
    [anon_sym_new] = ACTIONS(3088),
    [anon_sym_using] = ACTIONS(3088),
    [anon_sym_PLUS] = ACTIONS(3088),
    [anon_sym_DASH] = ACTIONS(3088),
    [anon_sym_SLASH] = ACTIONS(3088),
    [anon_sym_LT] = ACTIONS(3088),
    [anon_sym_TILDE] = ACTIONS(3088),
    [anon_sym_void] = ACTIONS(3088),
    [anon_sym_delete] = ACTIONS(3088),
    [anon_sym_PLUS_PLUS] = ACTIONS(3088),
    [anon_sym_DASH_DASH] = ACTIONS(3088),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3088),
    [sym_number] = ACTIONS(3088),
    [sym_private_property_identifier] = ACTIONS(3088),
    [sym_this] = ACTIONS(3088),
    [sym_super] = ACTIONS(3088),
    [sym_true] = ACTIONS(3088),
    [sym_false] = ACTIONS(3088),
    [sym_null] = ACTIONS(3088),
    [sym_undefined] = ACTIONS(3088),
    [anon_sym_AT] = ACTIONS(3088),
    [anon_sym_static] = ACTIONS(3088),
    [anon_sym_readonly] = ACTIONS(3088),
    [anon_sym_get] = ACTIONS(3088),
    [anon_sym_set] = ACTIONS(3088),
    [anon_sym_declare] = ACTIONS(3088),
    [anon_sym_public] = ACTIONS(3088),
    [anon_sym_private] = ACTIONS(3088),
    [anon_sym_protected] = ACTIONS(3088),
    [anon_sym_override] = ACTIONS(3088),
    [anon_sym_module] = ACTIONS(3088),
    [anon_sym_any] = ACTIONS(3088),
    [anon_sym_number] = ACTIONS(3088),
    [anon_sym_boolean] = ACTIONS(3088),
    [anon_sym_string] = ACTIONS(3088),
    [anon_sym_symbol] = ACTIONS(3088),
    [anon_sym_object] = ACTIONS(3088),
    [anon_sym_abstract] = ACTIONS(3088),
    [anon_sym_interface] = ACTIONS(3088),
    [anon_sym_enum] = ACTIONS(3088),
    [sym_html_comment] = ACTIONS(5),
  },
  [1128] = {
    [sym_comment] = STATE(1128),
    [ts_builtin_sym_end] = ACTIONS(3316),
    [sym_identifier] = ACTIONS(3106),
    [anon_sym_export] = ACTIONS(3106),
    [anon_sym_type] = ACTIONS(3106),
    [anon_sym_namespace] = ACTIONS(3106),
    [anon_sym_LBRACE] = ACTIONS(3106),
    [anon_sym_RBRACE] = ACTIONS(3106),
    [anon_sym_typeof] = ACTIONS(3106),
    [anon_sym_import] = ACTIONS(3106),
    [anon_sym_with] = ACTIONS(3106),
    [anon_sym_var] = ACTIONS(3106),
    [anon_sym_let] = ACTIONS(3106),
    [anon_sym_const] = ACTIONS(3106),
    [anon_sym_BANG] = ACTIONS(3106),
    [anon_sym_else] = ACTIONS(3106),
    [anon_sym_if] = ACTIONS(3106),
    [anon_sym_switch] = ACTIONS(3106),
    [anon_sym_for] = ACTIONS(3106),
    [anon_sym_LPAREN] = ACTIONS(3106),
    [anon_sym_await] = ACTIONS(3106),
    [anon_sym_while] = ACTIONS(3106),
    [anon_sym_do] = ACTIONS(3106),
    [anon_sym_try] = ACTIONS(3106),
    [anon_sym_break] = ACTIONS(3106),
    [anon_sym_continue] = ACTIONS(3106),
    [anon_sym_debugger] = ACTIONS(3106),
    [anon_sym_return] = ACTIONS(3106),
    [anon_sym_throw] = ACTIONS(3106),
    [anon_sym_SEMI] = ACTIONS(3106),
    [anon_sym_finally] = ACTIONS(3106),
    [anon_sym_yield] = ACTIONS(3106),
    [anon_sym_LBRACK] = ACTIONS(3106),
    [anon_sym_LTtemplate_GT] = ACTIONS(3106),
    [anon_sym_DQUOTE] = ACTIONS(3106),
    [anon_sym_SQUOTE] = ACTIONS(3106),
    [anon_sym_class] = ACTIONS(3106),
    [anon_sym_async] = ACTIONS(3106),
    [anon_sym_function] = ACTIONS(3106),
    [anon_sym_new] = ACTIONS(3106),
    [anon_sym_using] = ACTIONS(3106),
    [anon_sym_PLUS] = ACTIONS(3106),
    [anon_sym_DASH] = ACTIONS(3106),
    [anon_sym_SLASH] = ACTIONS(3106),
    [anon_sym_LT] = ACTIONS(3106),
    [anon_sym_TILDE] = ACTIONS(3106),
    [anon_sym_void] = ACTIONS(3106),
    [anon_sym_delete] = ACTIONS(3106),
    [anon_sym_PLUS_PLUS] = ACTIONS(3106),
    [anon_sym_DASH_DASH] = ACTIONS(3106),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3106),
    [sym_number] = ACTIONS(3106),
    [sym_private_property_identifier] = ACTIONS(3106),
    [sym_this] = ACTIONS(3106),
    [sym_super] = ACTIONS(3106),
    [sym_true] = ACTIONS(3106),
    [sym_false] = ACTIONS(3106),
    [sym_null] = ACTIONS(3106),
    [sym_undefined] = ACTIONS(3106),
    [anon_sym_AT] = ACTIONS(3106),
    [anon_sym_static] = ACTIONS(3106),
    [anon_sym_readonly] = ACTIONS(3106),
    [anon_sym_get] = ACTIONS(3106),
    [anon_sym_set] = ACTIONS(3106),
    [anon_sym_declare] = ACTIONS(3106),
    [anon_sym_public] = ACTIONS(3106),
    [anon_sym_private] = ACTIONS(3106),
    [anon_sym_protected] = ACTIONS(3106),
    [anon_sym_override] = ACTIONS(3106),
    [anon_sym_module] = ACTIONS(3106),
    [anon_sym_any] = ACTIONS(3106),
    [anon_sym_number] = ACTIONS(3106),
    [anon_sym_boolean] = ACTIONS(3106),
    [anon_sym_string] = ACTIONS(3106),
    [anon_sym_symbol] = ACTIONS(3106),
    [anon_sym_object] = ACTIONS(3106),
    [anon_sym_abstract] = ACTIONS(3106),
    [anon_sym_interface] = ACTIONS(3106),
    [anon_sym_enum] = ACTIONS(3106),
    [sym_html_comment] = ACTIONS(5),
  },
  [1129] = {
    [sym_comment] = STATE(1129),
    [ts_builtin_sym_end] = ACTIONS(3318),
    [sym_identifier] = ACTIONS(3066),
    [anon_sym_export] = ACTIONS(3066),
    [anon_sym_type] = ACTIONS(3066),
    [anon_sym_namespace] = ACTIONS(3066),
    [anon_sym_LBRACE] = ACTIONS(3066),
    [anon_sym_RBRACE] = ACTIONS(3066),
    [anon_sym_typeof] = ACTIONS(3066),
    [anon_sym_import] = ACTIONS(3066),
    [anon_sym_with] = ACTIONS(3066),
    [anon_sym_var] = ACTIONS(3066),
    [anon_sym_let] = ACTIONS(3066),
    [anon_sym_const] = ACTIONS(3066),
    [anon_sym_BANG] = ACTIONS(3066),
    [anon_sym_else] = ACTIONS(3066),
    [anon_sym_if] = ACTIONS(3066),
    [anon_sym_switch] = ACTIONS(3066),
    [anon_sym_for] = ACTIONS(3066),
    [anon_sym_LPAREN] = ACTIONS(3066),
    [anon_sym_await] = ACTIONS(3066),
    [anon_sym_while] = ACTIONS(3066),
    [anon_sym_do] = ACTIONS(3066),
    [anon_sym_try] = ACTIONS(3066),
    [anon_sym_break] = ACTIONS(3066),
    [anon_sym_continue] = ACTIONS(3066),
    [anon_sym_debugger] = ACTIONS(3066),
    [anon_sym_return] = ACTIONS(3066),
    [anon_sym_throw] = ACTIONS(3066),
    [anon_sym_SEMI] = ACTIONS(3066),
    [anon_sym_finally] = ACTIONS(3066),
    [anon_sym_yield] = ACTIONS(3066),
    [anon_sym_LBRACK] = ACTIONS(3066),
    [anon_sym_LTtemplate_GT] = ACTIONS(3066),
    [anon_sym_DQUOTE] = ACTIONS(3066),
    [anon_sym_SQUOTE] = ACTIONS(3066),
    [anon_sym_class] = ACTIONS(3066),
    [anon_sym_async] = ACTIONS(3066),
    [anon_sym_function] = ACTIONS(3066),
    [anon_sym_new] = ACTIONS(3066),
    [anon_sym_using] = ACTIONS(3066),
    [anon_sym_PLUS] = ACTIONS(3066),
    [anon_sym_DASH] = ACTIONS(3066),
    [anon_sym_SLASH] = ACTIONS(3066),
    [anon_sym_LT] = ACTIONS(3066),
    [anon_sym_TILDE] = ACTIONS(3066),
    [anon_sym_void] = ACTIONS(3066),
    [anon_sym_delete] = ACTIONS(3066),
    [anon_sym_PLUS_PLUS] = ACTIONS(3066),
    [anon_sym_DASH_DASH] = ACTIONS(3066),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3066),
    [sym_number] = ACTIONS(3066),
    [sym_private_property_identifier] = ACTIONS(3066),
    [sym_this] = ACTIONS(3066),
    [sym_super] = ACTIONS(3066),
    [sym_true] = ACTIONS(3066),
    [sym_false] = ACTIONS(3066),
    [sym_null] = ACTIONS(3066),
    [sym_undefined] = ACTIONS(3066),
    [anon_sym_AT] = ACTIONS(3066),
    [anon_sym_static] = ACTIONS(3066),
    [anon_sym_readonly] = ACTIONS(3066),
    [anon_sym_get] = ACTIONS(3066),
    [anon_sym_set] = ACTIONS(3066),
    [anon_sym_declare] = ACTIONS(3066),
    [anon_sym_public] = ACTIONS(3066),
    [anon_sym_private] = ACTIONS(3066),
    [anon_sym_protected] = ACTIONS(3066),
    [anon_sym_override] = ACTIONS(3066),
    [anon_sym_module] = ACTIONS(3066),
    [anon_sym_any] = ACTIONS(3066),
    [anon_sym_number] = ACTIONS(3066),
    [anon_sym_boolean] = ACTIONS(3066),
    [anon_sym_string] = ACTIONS(3066),
    [anon_sym_symbol] = ACTIONS(3066),
    [anon_sym_object] = ACTIONS(3066),
    [anon_sym_abstract] = ACTIONS(3066),
    [anon_sym_interface] = ACTIONS(3066),
    [anon_sym_enum] = ACTIONS(3066),
    [sym_html_comment] = ACTIONS(5),
  },
  [1130] = {
    [sym_comment] = STATE(1130),
    [ts_builtin_sym_end] = ACTIONS(2347),
    [sym_identifier] = ACTIONS(2257),
    [anon_sym_export] = ACTIONS(2257),
    [anon_sym_type] = ACTIONS(2257),
    [anon_sym_namespace] = ACTIONS(2257),
    [anon_sym_LBRACE] = ACTIONS(2257),
    [anon_sym_RBRACE] = ACTIONS(2257),
    [anon_sym_typeof] = ACTIONS(2257),
    [anon_sym_import] = ACTIONS(2257),
    [anon_sym_with] = ACTIONS(2257),
    [anon_sym_var] = ACTIONS(2257),
    [anon_sym_let] = ACTIONS(2257),
    [anon_sym_const] = ACTIONS(2257),
    [anon_sym_BANG] = ACTIONS(2257),
    [anon_sym_else] = ACTIONS(2257),
    [anon_sym_if] = ACTIONS(2257),
    [anon_sym_switch] = ACTIONS(2257),
    [anon_sym_for] = ACTIONS(2257),
    [anon_sym_LPAREN] = ACTIONS(2257),
    [anon_sym_await] = ACTIONS(2257),
    [anon_sym_while] = ACTIONS(2257),
    [anon_sym_do] = ACTIONS(2257),
    [anon_sym_try] = ACTIONS(2257),
    [anon_sym_break] = ACTIONS(2257),
    [anon_sym_continue] = ACTIONS(2257),
    [anon_sym_debugger] = ACTIONS(2257),
    [anon_sym_return] = ACTIONS(2257),
    [anon_sym_throw] = ACTIONS(2257),
    [anon_sym_SEMI] = ACTIONS(2257),
    [anon_sym_yield] = ACTIONS(2257),
    [anon_sym_LBRACK] = ACTIONS(2257),
    [anon_sym_LTtemplate_GT] = ACTIONS(2257),
    [anon_sym_DQUOTE] = ACTIONS(2257),
    [anon_sym_SQUOTE] = ACTIONS(2257),
    [anon_sym_class] = ACTIONS(2257),
    [anon_sym_async] = ACTIONS(2257),
    [anon_sym_function] = ACTIONS(2257),
    [anon_sym_new] = ACTIONS(2257),
    [anon_sym_using] = ACTIONS(2257),
    [anon_sym_PLUS] = ACTIONS(2257),
    [anon_sym_DASH] = ACTIONS(2257),
    [anon_sym_SLASH] = ACTIONS(2257),
    [anon_sym_LT] = ACTIONS(2257),
    [anon_sym_TILDE] = ACTIONS(2257),
    [anon_sym_void] = ACTIONS(2257),
    [anon_sym_delete] = ACTIONS(2257),
    [anon_sym_PLUS_PLUS] = ACTIONS(2257),
    [anon_sym_DASH_DASH] = ACTIONS(2257),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2257),
    [sym_number] = ACTIONS(2257),
    [sym_private_property_identifier] = ACTIONS(2257),
    [sym_this] = ACTIONS(2257),
    [sym_super] = ACTIONS(2257),
    [sym_true] = ACTIONS(2257),
    [sym_false] = ACTIONS(2257),
    [sym_null] = ACTIONS(2257),
    [sym_undefined] = ACTIONS(2257),
    [anon_sym_AT] = ACTIONS(2257),
    [anon_sym_static] = ACTIONS(2257),
    [anon_sym_readonly] = ACTIONS(2257),
    [anon_sym_get] = ACTIONS(2257),
    [anon_sym_set] = ACTIONS(2257),
    [anon_sym_declare] = ACTIONS(2257),
    [anon_sym_public] = ACTIONS(2257),
    [anon_sym_private] = ACTIONS(2257),
    [anon_sym_protected] = ACTIONS(2257),
    [anon_sym_override] = ACTIONS(2257),
    [anon_sym_module] = ACTIONS(2257),
    [anon_sym_any] = ACTIONS(2257),
    [anon_sym_number] = ACTIONS(2257),
    [anon_sym_boolean] = ACTIONS(2257),
    [anon_sym_string] = ACTIONS(2257),
    [anon_sym_symbol] = ACTIONS(2257),
    [anon_sym_object] = ACTIONS(2257),
    [anon_sym_abstract] = ACTIONS(2257),
    [anon_sym_interface] = ACTIONS(2257),
    [anon_sym_enum] = ACTIONS(2257),
    [sym__automatic_semicolon] = ACTIONS(2349),
    [sym_html_comment] = ACTIONS(5),
  },
  [1131] = {
    [sym_comment] = STATE(1131),
    [sym_identifier] = ACTIONS(2237),
    [anon_sym_export] = ACTIONS(2237),
    [anon_sym_default] = ACTIONS(2237),
    [anon_sym_type] = ACTIONS(2237),
    [anon_sym_namespace] = ACTIONS(2237),
    [anon_sym_LBRACE] = ACTIONS(2237),
    [anon_sym_RBRACE] = ACTIONS(2237),
    [anon_sym_typeof] = ACTIONS(2237),
    [anon_sym_import] = ACTIONS(2237),
    [anon_sym_with] = ACTIONS(2237),
    [anon_sym_var] = ACTIONS(2237),
    [anon_sym_let] = ACTIONS(2237),
    [anon_sym_const] = ACTIONS(2237),
    [anon_sym_BANG] = ACTIONS(2237),
    [anon_sym_if] = ACTIONS(2237),
    [anon_sym_switch] = ACTIONS(2237),
    [anon_sym_for] = ACTIONS(2237),
    [anon_sym_LPAREN] = ACTIONS(2237),
    [anon_sym_await] = ACTIONS(2237),
    [anon_sym_while] = ACTIONS(2237),
    [anon_sym_do] = ACTIONS(2237),
    [anon_sym_try] = ACTIONS(2237),
    [anon_sym_break] = ACTIONS(2237),
    [anon_sym_continue] = ACTIONS(2237),
    [anon_sym_debugger] = ACTIONS(2237),
    [anon_sym_return] = ACTIONS(2237),
    [anon_sym_throw] = ACTIONS(2237),
    [anon_sym_SEMI] = ACTIONS(2237),
    [anon_sym_case] = ACTIONS(2237),
    [anon_sym_yield] = ACTIONS(2237),
    [anon_sym_LBRACK] = ACTIONS(2237),
    [anon_sym_LTtemplate_GT] = ACTIONS(2237),
    [anon_sym_DQUOTE] = ACTIONS(2237),
    [anon_sym_SQUOTE] = ACTIONS(2237),
    [anon_sym_class] = ACTIONS(2237),
    [anon_sym_async] = ACTIONS(2237),
    [anon_sym_function] = ACTIONS(2237),
    [anon_sym_new] = ACTIONS(2237),
    [anon_sym_using] = ACTIONS(2237),
    [anon_sym_PLUS] = ACTIONS(2237),
    [anon_sym_DASH] = ACTIONS(2237),
    [anon_sym_SLASH] = ACTIONS(2237),
    [anon_sym_LT] = ACTIONS(2237),
    [anon_sym_TILDE] = ACTIONS(2237),
    [anon_sym_void] = ACTIONS(2237),
    [anon_sym_delete] = ACTIONS(2237),
    [anon_sym_PLUS_PLUS] = ACTIONS(2237),
    [anon_sym_DASH_DASH] = ACTIONS(2237),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2237),
    [sym_number] = ACTIONS(2237),
    [sym_private_property_identifier] = ACTIONS(2237),
    [sym_this] = ACTIONS(2237),
    [sym_super] = ACTIONS(2237),
    [sym_true] = ACTIONS(2237),
    [sym_false] = ACTIONS(2237),
    [sym_null] = ACTIONS(2237),
    [sym_undefined] = ACTIONS(2237),
    [anon_sym_AT] = ACTIONS(2237),
    [anon_sym_static] = ACTIONS(2237),
    [anon_sym_readonly] = ACTIONS(2237),
    [anon_sym_get] = ACTIONS(2237),
    [anon_sym_set] = ACTIONS(2237),
    [anon_sym_declare] = ACTIONS(2237),
    [anon_sym_public] = ACTIONS(2237),
    [anon_sym_private] = ACTIONS(2237),
    [anon_sym_protected] = ACTIONS(2237),
    [anon_sym_override] = ACTIONS(2237),
    [anon_sym_module] = ACTIONS(2237),
    [anon_sym_any] = ACTIONS(2237),
    [anon_sym_number] = ACTIONS(2237),
    [anon_sym_boolean] = ACTIONS(2237),
    [anon_sym_string] = ACTIONS(2237),
    [anon_sym_symbol] = ACTIONS(2237),
    [anon_sym_object] = ACTIONS(2237),
    [anon_sym_abstract] = ACTIONS(2237),
    [anon_sym_interface] = ACTIONS(2237),
    [anon_sym_enum] = ACTIONS(2237),
    [sym__automatic_semicolon] = ACTIONS(2361),
    [sym_html_comment] = ACTIONS(5),
  },
  [1132] = {
    [sym_comment] = STATE(1132),
    [ts_builtin_sym_end] = ACTIONS(2311),
    [sym_identifier] = ACTIONS(2181),
    [anon_sym_export] = ACTIONS(2181),
    [anon_sym_type] = ACTIONS(2181),
    [anon_sym_namespace] = ACTIONS(2181),
    [anon_sym_LBRACE] = ACTIONS(2181),
    [anon_sym_RBRACE] = ACTIONS(2181),
    [anon_sym_typeof] = ACTIONS(2181),
    [anon_sym_import] = ACTIONS(2181),
    [anon_sym_with] = ACTIONS(2181),
    [anon_sym_var] = ACTIONS(2181),
    [anon_sym_let] = ACTIONS(2181),
    [anon_sym_const] = ACTIONS(2181),
    [anon_sym_BANG] = ACTIONS(2181),
    [anon_sym_else] = ACTIONS(2181),
    [anon_sym_if] = ACTIONS(2181),
    [anon_sym_switch] = ACTIONS(2181),
    [anon_sym_for] = ACTIONS(2181),
    [anon_sym_LPAREN] = ACTIONS(2181),
    [anon_sym_await] = ACTIONS(2181),
    [anon_sym_while] = ACTIONS(2181),
    [anon_sym_do] = ACTIONS(2181),
    [anon_sym_try] = ACTIONS(2181),
    [anon_sym_break] = ACTIONS(2181),
    [anon_sym_continue] = ACTIONS(2181),
    [anon_sym_debugger] = ACTIONS(2181),
    [anon_sym_return] = ACTIONS(2181),
    [anon_sym_throw] = ACTIONS(2181),
    [anon_sym_SEMI] = ACTIONS(2181),
    [anon_sym_yield] = ACTIONS(2181),
    [anon_sym_LBRACK] = ACTIONS(2181),
    [anon_sym_LTtemplate_GT] = ACTIONS(2181),
    [anon_sym_DQUOTE] = ACTIONS(2181),
    [anon_sym_SQUOTE] = ACTIONS(2181),
    [anon_sym_class] = ACTIONS(2181),
    [anon_sym_async] = ACTIONS(2181),
    [anon_sym_function] = ACTIONS(2181),
    [anon_sym_new] = ACTIONS(2181),
    [anon_sym_using] = ACTIONS(2181),
    [anon_sym_PLUS] = ACTIONS(2181),
    [anon_sym_DASH] = ACTIONS(2181),
    [anon_sym_SLASH] = ACTIONS(2181),
    [anon_sym_LT] = ACTIONS(2181),
    [anon_sym_TILDE] = ACTIONS(2181),
    [anon_sym_void] = ACTIONS(2181),
    [anon_sym_delete] = ACTIONS(2181),
    [anon_sym_PLUS_PLUS] = ACTIONS(2181),
    [anon_sym_DASH_DASH] = ACTIONS(2181),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2181),
    [sym_number] = ACTIONS(2181),
    [sym_private_property_identifier] = ACTIONS(2181),
    [sym_this] = ACTIONS(2181),
    [sym_super] = ACTIONS(2181),
    [sym_true] = ACTIONS(2181),
    [sym_false] = ACTIONS(2181),
    [sym_null] = ACTIONS(2181),
    [sym_undefined] = ACTIONS(2181),
    [anon_sym_AT] = ACTIONS(2181),
    [anon_sym_static] = ACTIONS(2181),
    [anon_sym_readonly] = ACTIONS(2181),
    [anon_sym_get] = ACTIONS(2181),
    [anon_sym_set] = ACTIONS(2181),
    [anon_sym_declare] = ACTIONS(2181),
    [anon_sym_public] = ACTIONS(2181),
    [anon_sym_private] = ACTIONS(2181),
    [anon_sym_protected] = ACTIONS(2181),
    [anon_sym_override] = ACTIONS(2181),
    [anon_sym_module] = ACTIONS(2181),
    [anon_sym_any] = ACTIONS(2181),
    [anon_sym_number] = ACTIONS(2181),
    [anon_sym_boolean] = ACTIONS(2181),
    [anon_sym_string] = ACTIONS(2181),
    [anon_sym_symbol] = ACTIONS(2181),
    [anon_sym_object] = ACTIONS(2181),
    [anon_sym_abstract] = ACTIONS(2181),
    [anon_sym_interface] = ACTIONS(2181),
    [anon_sym_enum] = ACTIONS(2181),
    [sym__automatic_semicolon] = ACTIONS(2313),
    [sym_html_comment] = ACTIONS(5),
  },
  [1133] = {
    [sym_comment] = STATE(1133),
    [sym_identifier] = ACTIONS(2159),
    [anon_sym_export] = ACTIONS(2159),
    [anon_sym_default] = ACTIONS(2159),
    [anon_sym_type] = ACTIONS(2159),
    [anon_sym_namespace] = ACTIONS(2159),
    [anon_sym_LBRACE] = ACTIONS(2159),
    [anon_sym_RBRACE] = ACTIONS(2159),
    [anon_sym_typeof] = ACTIONS(2159),
    [anon_sym_import] = ACTIONS(2159),
    [anon_sym_with] = ACTIONS(2159),
    [anon_sym_var] = ACTIONS(2159),
    [anon_sym_let] = ACTIONS(2159),
    [anon_sym_const] = ACTIONS(2159),
    [anon_sym_BANG] = ACTIONS(2159),
    [anon_sym_if] = ACTIONS(2159),
    [anon_sym_switch] = ACTIONS(2159),
    [anon_sym_for] = ACTIONS(2159),
    [anon_sym_LPAREN] = ACTIONS(2159),
    [anon_sym_await] = ACTIONS(2159),
    [anon_sym_while] = ACTIONS(2159),
    [anon_sym_do] = ACTIONS(2159),
    [anon_sym_try] = ACTIONS(2159),
    [anon_sym_break] = ACTIONS(2159),
    [anon_sym_continue] = ACTIONS(2159),
    [anon_sym_debugger] = ACTIONS(2159),
    [anon_sym_return] = ACTIONS(2159),
    [anon_sym_throw] = ACTIONS(2159),
    [anon_sym_SEMI] = ACTIONS(2159),
    [anon_sym_case] = ACTIONS(2159),
    [anon_sym_yield] = ACTIONS(2159),
    [anon_sym_LBRACK] = ACTIONS(2159),
    [anon_sym_LTtemplate_GT] = ACTIONS(2159),
    [anon_sym_DQUOTE] = ACTIONS(2159),
    [anon_sym_SQUOTE] = ACTIONS(2159),
    [anon_sym_class] = ACTIONS(2159),
    [anon_sym_async] = ACTIONS(2159),
    [anon_sym_function] = ACTIONS(2159),
    [anon_sym_new] = ACTIONS(2159),
    [anon_sym_using] = ACTIONS(2159),
    [anon_sym_PLUS] = ACTIONS(2159),
    [anon_sym_DASH] = ACTIONS(2159),
    [anon_sym_SLASH] = ACTIONS(2159),
    [anon_sym_LT] = ACTIONS(2159),
    [anon_sym_TILDE] = ACTIONS(2159),
    [anon_sym_void] = ACTIONS(2159),
    [anon_sym_delete] = ACTIONS(2159),
    [anon_sym_PLUS_PLUS] = ACTIONS(2159),
    [anon_sym_DASH_DASH] = ACTIONS(2159),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2159),
    [sym_number] = ACTIONS(2159),
    [sym_private_property_identifier] = ACTIONS(2159),
    [sym_this] = ACTIONS(2159),
    [sym_super] = ACTIONS(2159),
    [sym_true] = ACTIONS(2159),
    [sym_false] = ACTIONS(2159),
    [sym_null] = ACTIONS(2159),
    [sym_undefined] = ACTIONS(2159),
    [anon_sym_AT] = ACTIONS(2159),
    [anon_sym_static] = ACTIONS(2159),
    [anon_sym_readonly] = ACTIONS(2159),
    [anon_sym_get] = ACTIONS(2159),
    [anon_sym_set] = ACTIONS(2159),
    [anon_sym_declare] = ACTIONS(2159),
    [anon_sym_public] = ACTIONS(2159),
    [anon_sym_private] = ACTIONS(2159),
    [anon_sym_protected] = ACTIONS(2159),
    [anon_sym_override] = ACTIONS(2159),
    [anon_sym_module] = ACTIONS(2159),
    [anon_sym_any] = ACTIONS(2159),
    [anon_sym_number] = ACTIONS(2159),
    [anon_sym_boolean] = ACTIONS(2159),
    [anon_sym_string] = ACTIONS(2159),
    [anon_sym_symbol] = ACTIONS(2159),
    [anon_sym_object] = ACTIONS(2159),
    [anon_sym_abstract] = ACTIONS(2159),
    [anon_sym_interface] = ACTIONS(2159),
    [anon_sym_enum] = ACTIONS(2159),
    [sym__automatic_semicolon] = ACTIONS(2329),
    [sym_html_comment] = ACTIONS(5),
  },
  [1134] = {
    [sym_comment] = STATE(1134),
    [ts_builtin_sym_end] = ACTIONS(2307),
    [sym_identifier] = ACTIONS(2173),
    [anon_sym_export] = ACTIONS(2173),
    [anon_sym_type] = ACTIONS(2173),
    [anon_sym_namespace] = ACTIONS(2173),
    [anon_sym_LBRACE] = ACTIONS(2173),
    [anon_sym_RBRACE] = ACTIONS(2173),
    [anon_sym_typeof] = ACTIONS(2173),
    [anon_sym_import] = ACTIONS(2173),
    [anon_sym_with] = ACTIONS(2173),
    [anon_sym_var] = ACTIONS(2173),
    [anon_sym_let] = ACTIONS(2173),
    [anon_sym_const] = ACTIONS(2173),
    [anon_sym_BANG] = ACTIONS(2173),
    [anon_sym_else] = ACTIONS(2173),
    [anon_sym_if] = ACTIONS(2173),
    [anon_sym_switch] = ACTIONS(2173),
    [anon_sym_for] = ACTIONS(2173),
    [anon_sym_LPAREN] = ACTIONS(2173),
    [anon_sym_await] = ACTIONS(2173),
    [anon_sym_while] = ACTIONS(2173),
    [anon_sym_do] = ACTIONS(2173),
    [anon_sym_try] = ACTIONS(2173),
    [anon_sym_break] = ACTIONS(2173),
    [anon_sym_continue] = ACTIONS(2173),
    [anon_sym_debugger] = ACTIONS(2173),
    [anon_sym_return] = ACTIONS(2173),
    [anon_sym_throw] = ACTIONS(2173),
    [anon_sym_SEMI] = ACTIONS(2173),
    [anon_sym_yield] = ACTIONS(2173),
    [anon_sym_LBRACK] = ACTIONS(2173),
    [anon_sym_LTtemplate_GT] = ACTIONS(2173),
    [anon_sym_DQUOTE] = ACTIONS(2173),
    [anon_sym_SQUOTE] = ACTIONS(2173),
    [anon_sym_class] = ACTIONS(2173),
    [anon_sym_async] = ACTIONS(2173),
    [anon_sym_function] = ACTIONS(2173),
    [anon_sym_new] = ACTIONS(2173),
    [anon_sym_using] = ACTIONS(2173),
    [anon_sym_PLUS] = ACTIONS(2173),
    [anon_sym_DASH] = ACTIONS(2173),
    [anon_sym_SLASH] = ACTIONS(2173),
    [anon_sym_LT] = ACTIONS(2173),
    [anon_sym_TILDE] = ACTIONS(2173),
    [anon_sym_void] = ACTIONS(2173),
    [anon_sym_delete] = ACTIONS(2173),
    [anon_sym_PLUS_PLUS] = ACTIONS(2173),
    [anon_sym_DASH_DASH] = ACTIONS(2173),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2173),
    [sym_number] = ACTIONS(2173),
    [sym_private_property_identifier] = ACTIONS(2173),
    [sym_this] = ACTIONS(2173),
    [sym_super] = ACTIONS(2173),
    [sym_true] = ACTIONS(2173),
    [sym_false] = ACTIONS(2173),
    [sym_null] = ACTIONS(2173),
    [sym_undefined] = ACTIONS(2173),
    [anon_sym_AT] = ACTIONS(2173),
    [anon_sym_static] = ACTIONS(2173),
    [anon_sym_readonly] = ACTIONS(2173),
    [anon_sym_get] = ACTIONS(2173),
    [anon_sym_set] = ACTIONS(2173),
    [anon_sym_declare] = ACTIONS(2173),
    [anon_sym_public] = ACTIONS(2173),
    [anon_sym_private] = ACTIONS(2173),
    [anon_sym_protected] = ACTIONS(2173),
    [anon_sym_override] = ACTIONS(2173),
    [anon_sym_module] = ACTIONS(2173),
    [anon_sym_any] = ACTIONS(2173),
    [anon_sym_number] = ACTIONS(2173),
    [anon_sym_boolean] = ACTIONS(2173),
    [anon_sym_string] = ACTIONS(2173),
    [anon_sym_symbol] = ACTIONS(2173),
    [anon_sym_object] = ACTIONS(2173),
    [anon_sym_abstract] = ACTIONS(2173),
    [anon_sym_interface] = ACTIONS(2173),
    [anon_sym_enum] = ACTIONS(2173),
    [sym__automatic_semicolon] = ACTIONS(2309),
    [sym_html_comment] = ACTIONS(5),
  },
  [1135] = {
    [sym_comment] = STATE(1135),
    [ts_builtin_sym_end] = ACTIONS(2301),
    [sym_identifier] = ACTIONS(2127),
    [anon_sym_export] = ACTIONS(2127),
    [anon_sym_type] = ACTIONS(2127),
    [anon_sym_namespace] = ACTIONS(2127),
    [anon_sym_LBRACE] = ACTIONS(2127),
    [anon_sym_RBRACE] = ACTIONS(2127),
    [anon_sym_typeof] = ACTIONS(2127),
    [anon_sym_import] = ACTIONS(2127),
    [anon_sym_with] = ACTIONS(2127),
    [anon_sym_var] = ACTIONS(2127),
    [anon_sym_let] = ACTIONS(2127),
    [anon_sym_const] = ACTIONS(2127),
    [anon_sym_BANG] = ACTIONS(2127),
    [anon_sym_else] = ACTIONS(2127),
    [anon_sym_if] = ACTIONS(2127),
    [anon_sym_switch] = ACTIONS(2127),
    [anon_sym_for] = ACTIONS(2127),
    [anon_sym_LPAREN] = ACTIONS(2127),
    [anon_sym_await] = ACTIONS(2127),
    [anon_sym_while] = ACTIONS(2127),
    [anon_sym_do] = ACTIONS(2127),
    [anon_sym_try] = ACTIONS(2127),
    [anon_sym_break] = ACTIONS(2127),
    [anon_sym_continue] = ACTIONS(2127),
    [anon_sym_debugger] = ACTIONS(2127),
    [anon_sym_return] = ACTIONS(2127),
    [anon_sym_throw] = ACTIONS(2127),
    [anon_sym_SEMI] = ACTIONS(2127),
    [anon_sym_yield] = ACTIONS(2127),
    [anon_sym_LBRACK] = ACTIONS(2127),
    [anon_sym_LTtemplate_GT] = ACTIONS(2127),
    [anon_sym_DQUOTE] = ACTIONS(2127),
    [anon_sym_SQUOTE] = ACTIONS(2127),
    [anon_sym_class] = ACTIONS(2127),
    [anon_sym_async] = ACTIONS(2127),
    [anon_sym_function] = ACTIONS(2127),
    [anon_sym_new] = ACTIONS(2127),
    [anon_sym_using] = ACTIONS(2127),
    [anon_sym_PLUS] = ACTIONS(2127),
    [anon_sym_DASH] = ACTIONS(2127),
    [anon_sym_SLASH] = ACTIONS(2127),
    [anon_sym_LT] = ACTIONS(2127),
    [anon_sym_TILDE] = ACTIONS(2127),
    [anon_sym_void] = ACTIONS(2127),
    [anon_sym_delete] = ACTIONS(2127),
    [anon_sym_PLUS_PLUS] = ACTIONS(2127),
    [anon_sym_DASH_DASH] = ACTIONS(2127),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2127),
    [sym_number] = ACTIONS(2127),
    [sym_private_property_identifier] = ACTIONS(2127),
    [sym_this] = ACTIONS(2127),
    [sym_super] = ACTIONS(2127),
    [sym_true] = ACTIONS(2127),
    [sym_false] = ACTIONS(2127),
    [sym_null] = ACTIONS(2127),
    [sym_undefined] = ACTIONS(2127),
    [anon_sym_AT] = ACTIONS(2127),
    [anon_sym_static] = ACTIONS(2127),
    [anon_sym_readonly] = ACTIONS(2127),
    [anon_sym_get] = ACTIONS(2127),
    [anon_sym_set] = ACTIONS(2127),
    [anon_sym_declare] = ACTIONS(2127),
    [anon_sym_public] = ACTIONS(2127),
    [anon_sym_private] = ACTIONS(2127),
    [anon_sym_protected] = ACTIONS(2127),
    [anon_sym_override] = ACTIONS(2127),
    [anon_sym_module] = ACTIONS(2127),
    [anon_sym_any] = ACTIONS(2127),
    [anon_sym_number] = ACTIONS(2127),
    [anon_sym_boolean] = ACTIONS(2127),
    [anon_sym_string] = ACTIONS(2127),
    [anon_sym_symbol] = ACTIONS(2127),
    [anon_sym_object] = ACTIONS(2127),
    [anon_sym_abstract] = ACTIONS(2127),
    [anon_sym_interface] = ACTIONS(2127),
    [anon_sym_enum] = ACTIONS(2127),
    [sym__automatic_semicolon] = ACTIONS(2303),
    [sym_html_comment] = ACTIONS(5),
  },
  [1136] = {
    [sym_comment] = STATE(1136),
    [sym_identifier] = ACTIONS(3320),
    [anon_sym_export] = ACTIONS(3320),
    [anon_sym_default] = ACTIONS(3320),
    [anon_sym_type] = ACTIONS(3320),
    [anon_sym_namespace] = ACTIONS(3320),
    [anon_sym_LBRACE] = ACTIONS(3320),
    [anon_sym_RBRACE] = ACTIONS(3320),
    [anon_sym_typeof] = ACTIONS(3320),
    [anon_sym_import] = ACTIONS(3320),
    [anon_sym_with] = ACTIONS(3320),
    [anon_sym_var] = ACTIONS(3320),
    [anon_sym_let] = ACTIONS(3320),
    [anon_sym_const] = ACTIONS(3320),
    [anon_sym_BANG] = ACTIONS(3320),
    [anon_sym_else] = ACTIONS(3320),
    [anon_sym_if] = ACTIONS(3320),
    [anon_sym_switch] = ACTIONS(3320),
    [anon_sym_for] = ACTIONS(3320),
    [anon_sym_LPAREN] = ACTIONS(3320),
    [anon_sym_await] = ACTIONS(3320),
    [anon_sym_while] = ACTIONS(3320),
    [anon_sym_do] = ACTIONS(3320),
    [anon_sym_try] = ACTIONS(3320),
    [anon_sym_break] = ACTIONS(3320),
    [anon_sym_continue] = ACTIONS(3320),
    [anon_sym_debugger] = ACTIONS(3320),
    [anon_sym_return] = ACTIONS(3320),
    [anon_sym_throw] = ACTIONS(3320),
    [anon_sym_SEMI] = ACTIONS(3320),
    [anon_sym_case] = ACTIONS(3320),
    [anon_sym_yield] = ACTIONS(3320),
    [anon_sym_LBRACK] = ACTIONS(3320),
    [anon_sym_LTtemplate_GT] = ACTIONS(3320),
    [anon_sym_DQUOTE] = ACTIONS(3320),
    [anon_sym_SQUOTE] = ACTIONS(3320),
    [anon_sym_class] = ACTIONS(3320),
    [anon_sym_async] = ACTIONS(3320),
    [anon_sym_function] = ACTIONS(3320),
    [anon_sym_new] = ACTIONS(3320),
    [anon_sym_using] = ACTIONS(3320),
    [anon_sym_PLUS] = ACTIONS(3320),
    [anon_sym_DASH] = ACTIONS(3320),
    [anon_sym_SLASH] = ACTIONS(3320),
    [anon_sym_LT] = ACTIONS(3320),
    [anon_sym_TILDE] = ACTIONS(3320),
    [anon_sym_void] = ACTIONS(3320),
    [anon_sym_delete] = ACTIONS(3320),
    [anon_sym_PLUS_PLUS] = ACTIONS(3320),
    [anon_sym_DASH_DASH] = ACTIONS(3320),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3320),
    [sym_number] = ACTIONS(3320),
    [sym_private_property_identifier] = ACTIONS(3320),
    [sym_this] = ACTIONS(3320),
    [sym_super] = ACTIONS(3320),
    [sym_true] = ACTIONS(3320),
    [sym_false] = ACTIONS(3320),
    [sym_null] = ACTIONS(3320),
    [sym_undefined] = ACTIONS(3320),
    [anon_sym_AT] = ACTIONS(3320),
    [anon_sym_static] = ACTIONS(3320),
    [anon_sym_readonly] = ACTIONS(3320),
    [anon_sym_get] = ACTIONS(3320),
    [anon_sym_set] = ACTIONS(3320),
    [anon_sym_declare] = ACTIONS(3320),
    [anon_sym_public] = ACTIONS(3320),
    [anon_sym_private] = ACTIONS(3320),
    [anon_sym_protected] = ACTIONS(3320),
    [anon_sym_override] = ACTIONS(3320),
    [anon_sym_module] = ACTIONS(3320),
    [anon_sym_any] = ACTIONS(3320),
    [anon_sym_number] = ACTIONS(3320),
    [anon_sym_boolean] = ACTIONS(3320),
    [anon_sym_string] = ACTIONS(3320),
    [anon_sym_symbol] = ACTIONS(3320),
    [anon_sym_object] = ACTIONS(3320),
    [anon_sym_abstract] = ACTIONS(3320),
    [anon_sym_interface] = ACTIONS(3320),
    [anon_sym_enum] = ACTIONS(3320),
    [sym_html_comment] = ACTIONS(5),
  },
  [1137] = {
    [sym_comment] = STATE(1137),
    [sym_identifier] = ACTIONS(3322),
    [anon_sym_export] = ACTIONS(3322),
    [anon_sym_default] = ACTIONS(3322),
    [anon_sym_type] = ACTIONS(3322),
    [anon_sym_namespace] = ACTIONS(3322),
    [anon_sym_LBRACE] = ACTIONS(3322),
    [anon_sym_RBRACE] = ACTIONS(3322),
    [anon_sym_typeof] = ACTIONS(3322),
    [anon_sym_import] = ACTIONS(3322),
    [anon_sym_with] = ACTIONS(3322),
    [anon_sym_var] = ACTIONS(3322),
    [anon_sym_let] = ACTIONS(3322),
    [anon_sym_const] = ACTIONS(3322),
    [anon_sym_BANG] = ACTIONS(3322),
    [anon_sym_else] = ACTIONS(3322),
    [anon_sym_if] = ACTIONS(3322),
    [anon_sym_switch] = ACTIONS(3322),
    [anon_sym_for] = ACTIONS(3322),
    [anon_sym_LPAREN] = ACTIONS(3322),
    [anon_sym_await] = ACTIONS(3322),
    [anon_sym_while] = ACTIONS(3322),
    [anon_sym_do] = ACTIONS(3322),
    [anon_sym_try] = ACTIONS(3322),
    [anon_sym_break] = ACTIONS(3322),
    [anon_sym_continue] = ACTIONS(3322),
    [anon_sym_debugger] = ACTIONS(3322),
    [anon_sym_return] = ACTIONS(3322),
    [anon_sym_throw] = ACTIONS(3322),
    [anon_sym_SEMI] = ACTIONS(3322),
    [anon_sym_case] = ACTIONS(3322),
    [anon_sym_yield] = ACTIONS(3322),
    [anon_sym_LBRACK] = ACTIONS(3322),
    [anon_sym_LTtemplate_GT] = ACTIONS(3322),
    [anon_sym_DQUOTE] = ACTIONS(3322),
    [anon_sym_SQUOTE] = ACTIONS(3322),
    [anon_sym_class] = ACTIONS(3322),
    [anon_sym_async] = ACTIONS(3322),
    [anon_sym_function] = ACTIONS(3322),
    [anon_sym_new] = ACTIONS(3322),
    [anon_sym_using] = ACTIONS(3322),
    [anon_sym_PLUS] = ACTIONS(3322),
    [anon_sym_DASH] = ACTIONS(3322),
    [anon_sym_SLASH] = ACTIONS(3322),
    [anon_sym_LT] = ACTIONS(3322),
    [anon_sym_TILDE] = ACTIONS(3322),
    [anon_sym_void] = ACTIONS(3322),
    [anon_sym_delete] = ACTIONS(3322),
    [anon_sym_PLUS_PLUS] = ACTIONS(3322),
    [anon_sym_DASH_DASH] = ACTIONS(3322),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3322),
    [sym_number] = ACTIONS(3322),
    [sym_private_property_identifier] = ACTIONS(3322),
    [sym_this] = ACTIONS(3322),
    [sym_super] = ACTIONS(3322),
    [sym_true] = ACTIONS(3322),
    [sym_false] = ACTIONS(3322),
    [sym_null] = ACTIONS(3322),
    [sym_undefined] = ACTIONS(3322),
    [anon_sym_AT] = ACTIONS(3322),
    [anon_sym_static] = ACTIONS(3322),
    [anon_sym_readonly] = ACTIONS(3322),
    [anon_sym_get] = ACTIONS(3322),
    [anon_sym_set] = ACTIONS(3322),
    [anon_sym_declare] = ACTIONS(3322),
    [anon_sym_public] = ACTIONS(3322),
    [anon_sym_private] = ACTIONS(3322),
    [anon_sym_protected] = ACTIONS(3322),
    [anon_sym_override] = ACTIONS(3322),
    [anon_sym_module] = ACTIONS(3322),
    [anon_sym_any] = ACTIONS(3322),
    [anon_sym_number] = ACTIONS(3322),
    [anon_sym_boolean] = ACTIONS(3322),
    [anon_sym_string] = ACTIONS(3322),
    [anon_sym_symbol] = ACTIONS(3322),
    [anon_sym_object] = ACTIONS(3322),
    [anon_sym_abstract] = ACTIONS(3322),
    [anon_sym_interface] = ACTIONS(3322),
    [anon_sym_enum] = ACTIONS(3322),
    [sym_html_comment] = ACTIONS(5),
  },
  [1138] = {
    [sym_comment] = STATE(1138),
    [sym_identifier] = ACTIONS(3324),
    [anon_sym_export] = ACTIONS(3324),
    [anon_sym_default] = ACTIONS(3324),
    [anon_sym_type] = ACTIONS(3324),
    [anon_sym_namespace] = ACTIONS(3324),
    [anon_sym_LBRACE] = ACTIONS(3324),
    [anon_sym_RBRACE] = ACTIONS(3324),
    [anon_sym_typeof] = ACTIONS(3324),
    [anon_sym_import] = ACTIONS(3324),
    [anon_sym_with] = ACTIONS(3324),
    [anon_sym_var] = ACTIONS(3324),
    [anon_sym_let] = ACTIONS(3324),
    [anon_sym_const] = ACTIONS(3324),
    [anon_sym_BANG] = ACTIONS(3324),
    [anon_sym_else] = ACTIONS(3324),
    [anon_sym_if] = ACTIONS(3324),
    [anon_sym_switch] = ACTIONS(3324),
    [anon_sym_for] = ACTIONS(3324),
    [anon_sym_LPAREN] = ACTIONS(3324),
    [anon_sym_await] = ACTIONS(3324),
    [anon_sym_while] = ACTIONS(3324),
    [anon_sym_do] = ACTIONS(3324),
    [anon_sym_try] = ACTIONS(3324),
    [anon_sym_break] = ACTIONS(3324),
    [anon_sym_continue] = ACTIONS(3324),
    [anon_sym_debugger] = ACTIONS(3324),
    [anon_sym_return] = ACTIONS(3324),
    [anon_sym_throw] = ACTIONS(3324),
    [anon_sym_SEMI] = ACTIONS(3324),
    [anon_sym_case] = ACTIONS(3324),
    [anon_sym_yield] = ACTIONS(3324),
    [anon_sym_LBRACK] = ACTIONS(3324),
    [anon_sym_LTtemplate_GT] = ACTIONS(3324),
    [anon_sym_DQUOTE] = ACTIONS(3324),
    [anon_sym_SQUOTE] = ACTIONS(3324),
    [anon_sym_class] = ACTIONS(3324),
    [anon_sym_async] = ACTIONS(3324),
    [anon_sym_function] = ACTIONS(3324),
    [anon_sym_new] = ACTIONS(3324),
    [anon_sym_using] = ACTIONS(3324),
    [anon_sym_PLUS] = ACTIONS(3324),
    [anon_sym_DASH] = ACTIONS(3324),
    [anon_sym_SLASH] = ACTIONS(3324),
    [anon_sym_LT] = ACTIONS(3324),
    [anon_sym_TILDE] = ACTIONS(3324),
    [anon_sym_void] = ACTIONS(3324),
    [anon_sym_delete] = ACTIONS(3324),
    [anon_sym_PLUS_PLUS] = ACTIONS(3324),
    [anon_sym_DASH_DASH] = ACTIONS(3324),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3324),
    [sym_number] = ACTIONS(3324),
    [sym_private_property_identifier] = ACTIONS(3324),
    [sym_this] = ACTIONS(3324),
    [sym_super] = ACTIONS(3324),
    [sym_true] = ACTIONS(3324),
    [sym_false] = ACTIONS(3324),
    [sym_null] = ACTIONS(3324),
    [sym_undefined] = ACTIONS(3324),
    [anon_sym_AT] = ACTIONS(3324),
    [anon_sym_static] = ACTIONS(3324),
    [anon_sym_readonly] = ACTIONS(3324),
    [anon_sym_get] = ACTIONS(3324),
    [anon_sym_set] = ACTIONS(3324),
    [anon_sym_declare] = ACTIONS(3324),
    [anon_sym_public] = ACTIONS(3324),
    [anon_sym_private] = ACTIONS(3324),
    [anon_sym_protected] = ACTIONS(3324),
    [anon_sym_override] = ACTIONS(3324),
    [anon_sym_module] = ACTIONS(3324),
    [anon_sym_any] = ACTIONS(3324),
    [anon_sym_number] = ACTIONS(3324),
    [anon_sym_boolean] = ACTIONS(3324),
    [anon_sym_string] = ACTIONS(3324),
    [anon_sym_symbol] = ACTIONS(3324),
    [anon_sym_object] = ACTIONS(3324),
    [anon_sym_abstract] = ACTIONS(3324),
    [anon_sym_interface] = ACTIONS(3324),
    [anon_sym_enum] = ACTIONS(3324),
    [sym_html_comment] = ACTIONS(5),
  },
  [1139] = {
    [sym_comment] = STATE(1139),
    [sym_identifier] = ACTIONS(3324),
    [anon_sym_export] = ACTIONS(3324),
    [anon_sym_default] = ACTIONS(3324),
    [anon_sym_type] = ACTIONS(3324),
    [anon_sym_namespace] = ACTIONS(3324),
    [anon_sym_LBRACE] = ACTIONS(3324),
    [anon_sym_RBRACE] = ACTIONS(3324),
    [anon_sym_typeof] = ACTIONS(3324),
    [anon_sym_import] = ACTIONS(3324),
    [anon_sym_with] = ACTIONS(3324),
    [anon_sym_var] = ACTIONS(3324),
    [anon_sym_let] = ACTIONS(3324),
    [anon_sym_const] = ACTIONS(3324),
    [anon_sym_BANG] = ACTIONS(3324),
    [anon_sym_else] = ACTIONS(3324),
    [anon_sym_if] = ACTIONS(3324),
    [anon_sym_switch] = ACTIONS(3324),
    [anon_sym_for] = ACTIONS(3324),
    [anon_sym_LPAREN] = ACTIONS(3324),
    [anon_sym_await] = ACTIONS(3324),
    [anon_sym_while] = ACTIONS(3324),
    [anon_sym_do] = ACTIONS(3324),
    [anon_sym_try] = ACTIONS(3324),
    [anon_sym_break] = ACTIONS(3324),
    [anon_sym_continue] = ACTIONS(3324),
    [anon_sym_debugger] = ACTIONS(3324),
    [anon_sym_return] = ACTIONS(3324),
    [anon_sym_throw] = ACTIONS(3324),
    [anon_sym_SEMI] = ACTIONS(3324),
    [anon_sym_case] = ACTIONS(3324),
    [anon_sym_yield] = ACTIONS(3324),
    [anon_sym_LBRACK] = ACTIONS(3324),
    [anon_sym_LTtemplate_GT] = ACTIONS(3324),
    [anon_sym_DQUOTE] = ACTIONS(3324),
    [anon_sym_SQUOTE] = ACTIONS(3324),
    [anon_sym_class] = ACTIONS(3324),
    [anon_sym_async] = ACTIONS(3324),
    [anon_sym_function] = ACTIONS(3324),
    [anon_sym_new] = ACTIONS(3324),
    [anon_sym_using] = ACTIONS(3324),
    [anon_sym_PLUS] = ACTIONS(3324),
    [anon_sym_DASH] = ACTIONS(3324),
    [anon_sym_SLASH] = ACTIONS(3324),
    [anon_sym_LT] = ACTIONS(3324),
    [anon_sym_TILDE] = ACTIONS(3324),
    [anon_sym_void] = ACTIONS(3324),
    [anon_sym_delete] = ACTIONS(3324),
    [anon_sym_PLUS_PLUS] = ACTIONS(3324),
    [anon_sym_DASH_DASH] = ACTIONS(3324),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3324),
    [sym_number] = ACTIONS(3324),
    [sym_private_property_identifier] = ACTIONS(3324),
    [sym_this] = ACTIONS(3324),
    [sym_super] = ACTIONS(3324),
    [sym_true] = ACTIONS(3324),
    [sym_false] = ACTIONS(3324),
    [sym_null] = ACTIONS(3324),
    [sym_undefined] = ACTIONS(3324),
    [anon_sym_AT] = ACTIONS(3324),
    [anon_sym_static] = ACTIONS(3324),
    [anon_sym_readonly] = ACTIONS(3324),
    [anon_sym_get] = ACTIONS(3324),
    [anon_sym_set] = ACTIONS(3324),
    [anon_sym_declare] = ACTIONS(3324),
    [anon_sym_public] = ACTIONS(3324),
    [anon_sym_private] = ACTIONS(3324),
    [anon_sym_protected] = ACTIONS(3324),
    [anon_sym_override] = ACTIONS(3324),
    [anon_sym_module] = ACTIONS(3324),
    [anon_sym_any] = ACTIONS(3324),
    [anon_sym_number] = ACTIONS(3324),
    [anon_sym_boolean] = ACTIONS(3324),
    [anon_sym_string] = ACTIONS(3324),
    [anon_sym_symbol] = ACTIONS(3324),
    [anon_sym_object] = ACTIONS(3324),
    [anon_sym_abstract] = ACTIONS(3324),
    [anon_sym_interface] = ACTIONS(3324),
    [anon_sym_enum] = ACTIONS(3324),
    [sym_html_comment] = ACTIONS(5),
  },
  [1140] = {
    [sym_comment] = STATE(1140),
    [sym_identifier] = ACTIONS(3326),
    [anon_sym_export] = ACTIONS(3326),
    [anon_sym_default] = ACTIONS(3326),
    [anon_sym_type] = ACTIONS(3326),
    [anon_sym_namespace] = ACTIONS(3326),
    [anon_sym_LBRACE] = ACTIONS(3326),
    [anon_sym_RBRACE] = ACTIONS(3326),
    [anon_sym_typeof] = ACTIONS(3326),
    [anon_sym_import] = ACTIONS(3326),
    [anon_sym_with] = ACTIONS(3326),
    [anon_sym_var] = ACTIONS(3326),
    [anon_sym_let] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3326),
    [anon_sym_BANG] = ACTIONS(3326),
    [anon_sym_else] = ACTIONS(3326),
    [anon_sym_if] = ACTIONS(3326),
    [anon_sym_switch] = ACTIONS(3326),
    [anon_sym_for] = ACTIONS(3326),
    [anon_sym_LPAREN] = ACTIONS(3326),
    [anon_sym_await] = ACTIONS(3326),
    [anon_sym_while] = ACTIONS(3326),
    [anon_sym_do] = ACTIONS(3326),
    [anon_sym_try] = ACTIONS(3326),
    [anon_sym_break] = ACTIONS(3326),
    [anon_sym_continue] = ACTIONS(3326),
    [anon_sym_debugger] = ACTIONS(3326),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_throw] = ACTIONS(3326),
    [anon_sym_SEMI] = ACTIONS(3326),
    [anon_sym_case] = ACTIONS(3326),
    [anon_sym_yield] = ACTIONS(3326),
    [anon_sym_LBRACK] = ACTIONS(3326),
    [anon_sym_LTtemplate_GT] = ACTIONS(3326),
    [anon_sym_DQUOTE] = ACTIONS(3326),
    [anon_sym_SQUOTE] = ACTIONS(3326),
    [anon_sym_class] = ACTIONS(3326),
    [anon_sym_async] = ACTIONS(3326),
    [anon_sym_function] = ACTIONS(3326),
    [anon_sym_new] = ACTIONS(3326),
    [anon_sym_using] = ACTIONS(3326),
    [anon_sym_PLUS] = ACTIONS(3326),
    [anon_sym_DASH] = ACTIONS(3326),
    [anon_sym_SLASH] = ACTIONS(3326),
    [anon_sym_LT] = ACTIONS(3326),
    [anon_sym_TILDE] = ACTIONS(3326),
    [anon_sym_void] = ACTIONS(3326),
    [anon_sym_delete] = ACTIONS(3326),
    [anon_sym_PLUS_PLUS] = ACTIONS(3326),
    [anon_sym_DASH_DASH] = ACTIONS(3326),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3326),
    [sym_number] = ACTIONS(3326),
    [sym_private_property_identifier] = ACTIONS(3326),
    [sym_this] = ACTIONS(3326),
    [sym_super] = ACTIONS(3326),
    [sym_true] = ACTIONS(3326),
    [sym_false] = ACTIONS(3326),
    [sym_null] = ACTIONS(3326),
    [sym_undefined] = ACTIONS(3326),
    [anon_sym_AT] = ACTIONS(3326),
    [anon_sym_static] = ACTIONS(3326),
    [anon_sym_readonly] = ACTIONS(3326),
    [anon_sym_get] = ACTIONS(3326),
    [anon_sym_set] = ACTIONS(3326),
    [anon_sym_declare] = ACTIONS(3326),
    [anon_sym_public] = ACTIONS(3326),
    [anon_sym_private] = ACTIONS(3326),
    [anon_sym_protected] = ACTIONS(3326),
    [anon_sym_override] = ACTIONS(3326),
    [anon_sym_module] = ACTIONS(3326),
    [anon_sym_any] = ACTIONS(3326),
    [anon_sym_number] = ACTIONS(3326),
    [anon_sym_boolean] = ACTIONS(3326),
    [anon_sym_string] = ACTIONS(3326),
    [anon_sym_symbol] = ACTIONS(3326),
    [anon_sym_object] = ACTIONS(3326),
    [anon_sym_abstract] = ACTIONS(3326),
    [anon_sym_interface] = ACTIONS(3326),
    [anon_sym_enum] = ACTIONS(3326),
    [sym_html_comment] = ACTIONS(5),
  },
  [1141] = {
    [sym_comment] = STATE(1141),
    [ts_builtin_sym_end] = ACTIONS(2297),
    [sym_identifier] = ACTIONS(2117),
    [anon_sym_export] = ACTIONS(2117),
    [anon_sym_type] = ACTIONS(2117),
    [anon_sym_namespace] = ACTIONS(2117),
    [anon_sym_LBRACE] = ACTIONS(2117),
    [anon_sym_RBRACE] = ACTIONS(2117),
    [anon_sym_typeof] = ACTIONS(2117),
    [anon_sym_import] = ACTIONS(2117),
    [anon_sym_with] = ACTIONS(2117),
    [anon_sym_var] = ACTIONS(2117),
    [anon_sym_let] = ACTIONS(2117),
    [anon_sym_const] = ACTIONS(2117),
    [anon_sym_BANG] = ACTIONS(2117),
    [anon_sym_else] = ACTIONS(2117),
    [anon_sym_if] = ACTIONS(2117),
    [anon_sym_switch] = ACTIONS(2117),
    [anon_sym_for] = ACTIONS(2117),
    [anon_sym_LPAREN] = ACTIONS(2117),
    [anon_sym_await] = ACTIONS(2117),
    [anon_sym_while] = ACTIONS(2117),
    [anon_sym_do] = ACTIONS(2117),
    [anon_sym_try] = ACTIONS(2117),
    [anon_sym_break] = ACTIONS(2117),
    [anon_sym_continue] = ACTIONS(2117),
    [anon_sym_debugger] = ACTIONS(2117),
    [anon_sym_return] = ACTIONS(2117),
    [anon_sym_throw] = ACTIONS(2117),
    [anon_sym_SEMI] = ACTIONS(2117),
    [anon_sym_yield] = ACTIONS(2117),
    [anon_sym_LBRACK] = ACTIONS(2117),
    [anon_sym_LTtemplate_GT] = ACTIONS(2117),
    [anon_sym_DQUOTE] = ACTIONS(2117),
    [anon_sym_SQUOTE] = ACTIONS(2117),
    [anon_sym_class] = ACTIONS(2117),
    [anon_sym_async] = ACTIONS(2117),
    [anon_sym_function] = ACTIONS(2117),
    [anon_sym_new] = ACTIONS(2117),
    [anon_sym_using] = ACTIONS(2117),
    [anon_sym_PLUS] = ACTIONS(2117),
    [anon_sym_DASH] = ACTIONS(2117),
    [anon_sym_SLASH] = ACTIONS(2117),
    [anon_sym_LT] = ACTIONS(2117),
    [anon_sym_TILDE] = ACTIONS(2117),
    [anon_sym_void] = ACTIONS(2117),
    [anon_sym_delete] = ACTIONS(2117),
    [anon_sym_PLUS_PLUS] = ACTIONS(2117),
    [anon_sym_DASH_DASH] = ACTIONS(2117),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2117),
    [sym_number] = ACTIONS(2117),
    [sym_private_property_identifier] = ACTIONS(2117),
    [sym_this] = ACTIONS(2117),
    [sym_super] = ACTIONS(2117),
    [sym_true] = ACTIONS(2117),
    [sym_false] = ACTIONS(2117),
    [sym_null] = ACTIONS(2117),
    [sym_undefined] = ACTIONS(2117),
    [anon_sym_AT] = ACTIONS(2117),
    [anon_sym_static] = ACTIONS(2117),
    [anon_sym_readonly] = ACTIONS(2117),
    [anon_sym_get] = ACTIONS(2117),
    [anon_sym_set] = ACTIONS(2117),
    [anon_sym_declare] = ACTIONS(2117),
    [anon_sym_public] = ACTIONS(2117),
    [anon_sym_private] = ACTIONS(2117),
    [anon_sym_protected] = ACTIONS(2117),
    [anon_sym_override] = ACTIONS(2117),
    [anon_sym_module] = ACTIONS(2117),
    [anon_sym_any] = ACTIONS(2117),
    [anon_sym_number] = ACTIONS(2117),
    [anon_sym_boolean] = ACTIONS(2117),
    [anon_sym_string] = ACTIONS(2117),
    [anon_sym_symbol] = ACTIONS(2117),
    [anon_sym_object] = ACTIONS(2117),
    [anon_sym_abstract] = ACTIONS(2117),
    [anon_sym_interface] = ACTIONS(2117),
    [anon_sym_enum] = ACTIONS(2117),
    [sym__automatic_semicolon] = ACTIONS(2299),
    [sym_html_comment] = ACTIONS(5),
  },
  [1142] = {
    [sym_comment] = STATE(1142),
    [sym_identifier] = ACTIONS(3328),
    [anon_sym_export] = ACTIONS(3328),
    [anon_sym_default] = ACTIONS(3328),
    [anon_sym_type] = ACTIONS(3328),
    [anon_sym_namespace] = ACTIONS(3328),
    [anon_sym_LBRACE] = ACTIONS(3328),
    [anon_sym_RBRACE] = ACTIONS(3328),
    [anon_sym_typeof] = ACTIONS(3328),
    [anon_sym_import] = ACTIONS(3328),
    [anon_sym_with] = ACTIONS(3328),
    [anon_sym_var] = ACTIONS(3328),
    [anon_sym_let] = ACTIONS(3328),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_BANG] = ACTIONS(3328),
    [anon_sym_else] = ACTIONS(3328),
    [anon_sym_if] = ACTIONS(3328),
    [anon_sym_switch] = ACTIONS(3328),
    [anon_sym_for] = ACTIONS(3328),
    [anon_sym_LPAREN] = ACTIONS(3328),
    [anon_sym_await] = ACTIONS(3328),
    [anon_sym_while] = ACTIONS(3328),
    [anon_sym_do] = ACTIONS(3328),
    [anon_sym_try] = ACTIONS(3328),
    [anon_sym_break] = ACTIONS(3328),
    [anon_sym_continue] = ACTIONS(3328),
    [anon_sym_debugger] = ACTIONS(3328),
    [anon_sym_return] = ACTIONS(3328),
    [anon_sym_throw] = ACTIONS(3328),
    [anon_sym_SEMI] = ACTIONS(3328),
    [anon_sym_case] = ACTIONS(3328),
    [anon_sym_yield] = ACTIONS(3328),
    [anon_sym_LBRACK] = ACTIONS(3328),
    [anon_sym_LTtemplate_GT] = ACTIONS(3328),
    [anon_sym_DQUOTE] = ACTIONS(3328),
    [anon_sym_SQUOTE] = ACTIONS(3328),
    [anon_sym_class] = ACTIONS(3328),
    [anon_sym_async] = ACTIONS(3328),
    [anon_sym_function] = ACTIONS(3328),
    [anon_sym_new] = ACTIONS(3328),
    [anon_sym_using] = ACTIONS(3328),
    [anon_sym_PLUS] = ACTIONS(3328),
    [anon_sym_DASH] = ACTIONS(3328),
    [anon_sym_SLASH] = ACTIONS(3328),
    [anon_sym_LT] = ACTIONS(3328),
    [anon_sym_TILDE] = ACTIONS(3328),
    [anon_sym_void] = ACTIONS(3328),
    [anon_sym_delete] = ACTIONS(3328),
    [anon_sym_PLUS_PLUS] = ACTIONS(3328),
    [anon_sym_DASH_DASH] = ACTIONS(3328),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3328),
    [sym_number] = ACTIONS(3328),
    [sym_private_property_identifier] = ACTIONS(3328),
    [sym_this] = ACTIONS(3328),
    [sym_super] = ACTIONS(3328),
    [sym_true] = ACTIONS(3328),
    [sym_false] = ACTIONS(3328),
    [sym_null] = ACTIONS(3328),
    [sym_undefined] = ACTIONS(3328),
    [anon_sym_AT] = ACTIONS(3328),
    [anon_sym_static] = ACTIONS(3328),
    [anon_sym_readonly] = ACTIONS(3328),
    [anon_sym_get] = ACTIONS(3328),
    [anon_sym_set] = ACTIONS(3328),
    [anon_sym_declare] = ACTIONS(3328),
    [anon_sym_public] = ACTIONS(3328),
    [anon_sym_private] = ACTIONS(3328),
    [anon_sym_protected] = ACTIONS(3328),
    [anon_sym_override] = ACTIONS(3328),
    [anon_sym_module] = ACTIONS(3328),
    [anon_sym_any] = ACTIONS(3328),
    [anon_sym_number] = ACTIONS(3328),
    [anon_sym_boolean] = ACTIONS(3328),
    [anon_sym_string] = ACTIONS(3328),
    [anon_sym_symbol] = ACTIONS(3328),
    [anon_sym_object] = ACTIONS(3328),
    [anon_sym_abstract] = ACTIONS(3328),
    [anon_sym_interface] = ACTIONS(3328),
    [anon_sym_enum] = ACTIONS(3328),
    [sym_html_comment] = ACTIONS(5),
  },
  [1143] = {
    [sym_comment] = STATE(1143),
    [sym_identifier] = ACTIONS(3330),
    [anon_sym_export] = ACTIONS(3330),
    [anon_sym_default] = ACTIONS(3330),
    [anon_sym_type] = ACTIONS(3330),
    [anon_sym_namespace] = ACTIONS(3330),
    [anon_sym_LBRACE] = ACTIONS(3330),
    [anon_sym_RBRACE] = ACTIONS(3330),
    [anon_sym_typeof] = ACTIONS(3330),
    [anon_sym_import] = ACTIONS(3330),
    [anon_sym_with] = ACTIONS(3330),
    [anon_sym_var] = ACTIONS(3330),
    [anon_sym_let] = ACTIONS(3330),
    [anon_sym_const] = ACTIONS(3330),
    [anon_sym_BANG] = ACTIONS(3330),
    [anon_sym_else] = ACTIONS(3330),
    [anon_sym_if] = ACTIONS(3330),
    [anon_sym_switch] = ACTIONS(3330),
    [anon_sym_for] = ACTIONS(3330),
    [anon_sym_LPAREN] = ACTIONS(3330),
    [anon_sym_await] = ACTIONS(3330),
    [anon_sym_while] = ACTIONS(3330),
    [anon_sym_do] = ACTIONS(3330),
    [anon_sym_try] = ACTIONS(3330),
    [anon_sym_break] = ACTIONS(3330),
    [anon_sym_continue] = ACTIONS(3330),
    [anon_sym_debugger] = ACTIONS(3330),
    [anon_sym_return] = ACTIONS(3330),
    [anon_sym_throw] = ACTIONS(3330),
    [anon_sym_SEMI] = ACTIONS(3330),
    [anon_sym_case] = ACTIONS(3330),
    [anon_sym_yield] = ACTIONS(3330),
    [anon_sym_LBRACK] = ACTIONS(3330),
    [anon_sym_LTtemplate_GT] = ACTIONS(3330),
    [anon_sym_DQUOTE] = ACTIONS(3330),
    [anon_sym_SQUOTE] = ACTIONS(3330),
    [anon_sym_class] = ACTIONS(3330),
    [anon_sym_async] = ACTIONS(3330),
    [anon_sym_function] = ACTIONS(3330),
    [anon_sym_new] = ACTIONS(3330),
    [anon_sym_using] = ACTIONS(3330),
    [anon_sym_PLUS] = ACTIONS(3330),
    [anon_sym_DASH] = ACTIONS(3330),
    [anon_sym_SLASH] = ACTIONS(3330),
    [anon_sym_LT] = ACTIONS(3330),
    [anon_sym_TILDE] = ACTIONS(3330),
    [anon_sym_void] = ACTIONS(3330),
    [anon_sym_delete] = ACTIONS(3330),
    [anon_sym_PLUS_PLUS] = ACTIONS(3330),
    [anon_sym_DASH_DASH] = ACTIONS(3330),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3330),
    [sym_number] = ACTIONS(3330),
    [sym_private_property_identifier] = ACTIONS(3330),
    [sym_this] = ACTIONS(3330),
    [sym_super] = ACTIONS(3330),
    [sym_true] = ACTIONS(3330),
    [sym_false] = ACTIONS(3330),
    [sym_null] = ACTIONS(3330),
    [sym_undefined] = ACTIONS(3330),
    [anon_sym_AT] = ACTIONS(3330),
    [anon_sym_static] = ACTIONS(3330),
    [anon_sym_readonly] = ACTIONS(3330),
    [anon_sym_get] = ACTIONS(3330),
    [anon_sym_set] = ACTIONS(3330),
    [anon_sym_declare] = ACTIONS(3330),
    [anon_sym_public] = ACTIONS(3330),
    [anon_sym_private] = ACTIONS(3330),
    [anon_sym_protected] = ACTIONS(3330),
    [anon_sym_override] = ACTIONS(3330),
    [anon_sym_module] = ACTIONS(3330),
    [anon_sym_any] = ACTIONS(3330),
    [anon_sym_number] = ACTIONS(3330),
    [anon_sym_boolean] = ACTIONS(3330),
    [anon_sym_string] = ACTIONS(3330),
    [anon_sym_symbol] = ACTIONS(3330),
    [anon_sym_object] = ACTIONS(3330),
    [anon_sym_abstract] = ACTIONS(3330),
    [anon_sym_interface] = ACTIONS(3330),
    [anon_sym_enum] = ACTIONS(3330),
    [sym_html_comment] = ACTIONS(5),
  },
  [1144] = {
    [sym_comment] = STATE(1144),
    [sym_identifier] = ACTIONS(3332),
    [anon_sym_export] = ACTIONS(3332),
    [anon_sym_default] = ACTIONS(3332),
    [anon_sym_type] = ACTIONS(3332),
    [anon_sym_namespace] = ACTIONS(3332),
    [anon_sym_LBRACE] = ACTIONS(3332),
    [anon_sym_RBRACE] = ACTIONS(3332),
    [anon_sym_typeof] = ACTIONS(3332),
    [anon_sym_import] = ACTIONS(3332),
    [anon_sym_with] = ACTIONS(3332),
    [anon_sym_var] = ACTIONS(3332),
    [anon_sym_let] = ACTIONS(3332),
    [anon_sym_const] = ACTIONS(3332),
    [anon_sym_BANG] = ACTIONS(3332),
    [anon_sym_else] = ACTIONS(3332),
    [anon_sym_if] = ACTIONS(3332),
    [anon_sym_switch] = ACTIONS(3332),
    [anon_sym_for] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(3332),
    [anon_sym_await] = ACTIONS(3332),
    [anon_sym_while] = ACTIONS(3332),
    [anon_sym_do] = ACTIONS(3332),
    [anon_sym_try] = ACTIONS(3332),
    [anon_sym_break] = ACTIONS(3332),
    [anon_sym_continue] = ACTIONS(3332),
    [anon_sym_debugger] = ACTIONS(3332),
    [anon_sym_return] = ACTIONS(3332),
    [anon_sym_throw] = ACTIONS(3332),
    [anon_sym_SEMI] = ACTIONS(3332),
    [anon_sym_case] = ACTIONS(3332),
    [anon_sym_yield] = ACTIONS(3332),
    [anon_sym_LBRACK] = ACTIONS(3332),
    [anon_sym_LTtemplate_GT] = ACTIONS(3332),
    [anon_sym_DQUOTE] = ACTIONS(3332),
    [anon_sym_SQUOTE] = ACTIONS(3332),
    [anon_sym_class] = ACTIONS(3332),
    [anon_sym_async] = ACTIONS(3332),
    [anon_sym_function] = ACTIONS(3332),
    [anon_sym_new] = ACTIONS(3332),
    [anon_sym_using] = ACTIONS(3332),
    [anon_sym_PLUS] = ACTIONS(3332),
    [anon_sym_DASH] = ACTIONS(3332),
    [anon_sym_SLASH] = ACTIONS(3332),
    [anon_sym_LT] = ACTIONS(3332),
    [anon_sym_TILDE] = ACTIONS(3332),
    [anon_sym_void] = ACTIONS(3332),
    [anon_sym_delete] = ACTIONS(3332),
    [anon_sym_PLUS_PLUS] = ACTIONS(3332),
    [anon_sym_DASH_DASH] = ACTIONS(3332),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3332),
    [sym_number] = ACTIONS(3332),
    [sym_private_property_identifier] = ACTIONS(3332),
    [sym_this] = ACTIONS(3332),
    [sym_super] = ACTIONS(3332),
    [sym_true] = ACTIONS(3332),
    [sym_false] = ACTIONS(3332),
    [sym_null] = ACTIONS(3332),
    [sym_undefined] = ACTIONS(3332),
    [anon_sym_AT] = ACTIONS(3332),
    [anon_sym_static] = ACTIONS(3332),
    [anon_sym_readonly] = ACTIONS(3332),
    [anon_sym_get] = ACTIONS(3332),
    [anon_sym_set] = ACTIONS(3332),
    [anon_sym_declare] = ACTIONS(3332),
    [anon_sym_public] = ACTIONS(3332),
    [anon_sym_private] = ACTIONS(3332),
    [anon_sym_protected] = ACTIONS(3332),
    [anon_sym_override] = ACTIONS(3332),
    [anon_sym_module] = ACTIONS(3332),
    [anon_sym_any] = ACTIONS(3332),
    [anon_sym_number] = ACTIONS(3332),
    [anon_sym_boolean] = ACTIONS(3332),
    [anon_sym_string] = ACTIONS(3332),
    [anon_sym_symbol] = ACTIONS(3332),
    [anon_sym_object] = ACTIONS(3332),
    [anon_sym_abstract] = ACTIONS(3332),
    [anon_sym_interface] = ACTIONS(3332),
    [anon_sym_enum] = ACTIONS(3332),
    [sym_html_comment] = ACTIONS(5),
  },
  [1145] = {
    [sym_comment] = STATE(1145),
    [sym_identifier] = ACTIONS(3330),
    [anon_sym_export] = ACTIONS(3330),
    [anon_sym_default] = ACTIONS(3330),
    [anon_sym_type] = ACTIONS(3330),
    [anon_sym_namespace] = ACTIONS(3330),
    [anon_sym_LBRACE] = ACTIONS(3330),
    [anon_sym_RBRACE] = ACTIONS(3330),
    [anon_sym_typeof] = ACTIONS(3330),
    [anon_sym_import] = ACTIONS(3330),
    [anon_sym_with] = ACTIONS(3330),
    [anon_sym_var] = ACTIONS(3330),
    [anon_sym_let] = ACTIONS(3330),
    [anon_sym_const] = ACTIONS(3330),
    [anon_sym_BANG] = ACTIONS(3330),
    [anon_sym_else] = ACTIONS(3330),
    [anon_sym_if] = ACTIONS(3330),
    [anon_sym_switch] = ACTIONS(3330),
    [anon_sym_for] = ACTIONS(3330),
    [anon_sym_LPAREN] = ACTIONS(3330),
    [anon_sym_await] = ACTIONS(3330),
    [anon_sym_while] = ACTIONS(3330),
    [anon_sym_do] = ACTIONS(3330),
    [anon_sym_try] = ACTIONS(3330),
    [anon_sym_break] = ACTIONS(3330),
    [anon_sym_continue] = ACTIONS(3330),
    [anon_sym_debugger] = ACTIONS(3330),
    [anon_sym_return] = ACTIONS(3330),
    [anon_sym_throw] = ACTIONS(3330),
    [anon_sym_SEMI] = ACTIONS(3330),
    [anon_sym_case] = ACTIONS(3330),
    [anon_sym_yield] = ACTIONS(3330),
    [anon_sym_LBRACK] = ACTIONS(3330),
    [anon_sym_LTtemplate_GT] = ACTIONS(3330),
    [anon_sym_DQUOTE] = ACTIONS(3330),
    [anon_sym_SQUOTE] = ACTIONS(3330),
    [anon_sym_class] = ACTIONS(3330),
    [anon_sym_async] = ACTIONS(3330),
    [anon_sym_function] = ACTIONS(3330),
    [anon_sym_new] = ACTIONS(3330),
    [anon_sym_using] = ACTIONS(3330),
    [anon_sym_PLUS] = ACTIONS(3330),
    [anon_sym_DASH] = ACTIONS(3330),
    [anon_sym_SLASH] = ACTIONS(3330),
    [anon_sym_LT] = ACTIONS(3330),
    [anon_sym_TILDE] = ACTIONS(3330),
    [anon_sym_void] = ACTIONS(3330),
    [anon_sym_delete] = ACTIONS(3330),
    [anon_sym_PLUS_PLUS] = ACTIONS(3330),
    [anon_sym_DASH_DASH] = ACTIONS(3330),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3330),
    [sym_number] = ACTIONS(3330),
    [sym_private_property_identifier] = ACTIONS(3330),
    [sym_this] = ACTIONS(3330),
    [sym_super] = ACTIONS(3330),
    [sym_true] = ACTIONS(3330),
    [sym_false] = ACTIONS(3330),
    [sym_null] = ACTIONS(3330),
    [sym_undefined] = ACTIONS(3330),
    [anon_sym_AT] = ACTIONS(3330),
    [anon_sym_static] = ACTIONS(3330),
    [anon_sym_readonly] = ACTIONS(3330),
    [anon_sym_get] = ACTIONS(3330),
    [anon_sym_set] = ACTIONS(3330),
    [anon_sym_declare] = ACTIONS(3330),
    [anon_sym_public] = ACTIONS(3330),
    [anon_sym_private] = ACTIONS(3330),
    [anon_sym_protected] = ACTIONS(3330),
    [anon_sym_override] = ACTIONS(3330),
    [anon_sym_module] = ACTIONS(3330),
    [anon_sym_any] = ACTIONS(3330),
    [anon_sym_number] = ACTIONS(3330),
    [anon_sym_boolean] = ACTIONS(3330),
    [anon_sym_string] = ACTIONS(3330),
    [anon_sym_symbol] = ACTIONS(3330),
    [anon_sym_object] = ACTIONS(3330),
    [anon_sym_abstract] = ACTIONS(3330),
    [anon_sym_interface] = ACTIONS(3330),
    [anon_sym_enum] = ACTIONS(3330),
    [sym_html_comment] = ACTIONS(5),
  },
  [1146] = {
    [sym_comment] = STATE(1146),
    [ts_builtin_sym_end] = ACTIONS(2341),
    [sym_identifier] = ACTIONS(2085),
    [anon_sym_export] = ACTIONS(2085),
    [anon_sym_type] = ACTIONS(2085),
    [anon_sym_namespace] = ACTIONS(2085),
    [anon_sym_LBRACE] = ACTIONS(2085),
    [anon_sym_RBRACE] = ACTIONS(2085),
    [anon_sym_typeof] = ACTIONS(2085),
    [anon_sym_import] = ACTIONS(2085),
    [anon_sym_with] = ACTIONS(2085),
    [anon_sym_var] = ACTIONS(2085),
    [anon_sym_let] = ACTIONS(2085),
    [anon_sym_const] = ACTIONS(2085),
    [anon_sym_BANG] = ACTIONS(2085),
    [anon_sym_else] = ACTIONS(2085),
    [anon_sym_if] = ACTIONS(2085),
    [anon_sym_switch] = ACTIONS(2085),
    [anon_sym_for] = ACTIONS(2085),
    [anon_sym_LPAREN] = ACTIONS(2085),
    [anon_sym_await] = ACTIONS(2085),
    [anon_sym_while] = ACTIONS(2085),
    [anon_sym_do] = ACTIONS(2085),
    [anon_sym_try] = ACTIONS(2085),
    [anon_sym_break] = ACTIONS(2085),
    [anon_sym_continue] = ACTIONS(2085),
    [anon_sym_debugger] = ACTIONS(2085),
    [anon_sym_return] = ACTIONS(2085),
    [anon_sym_throw] = ACTIONS(2085),
    [anon_sym_SEMI] = ACTIONS(2085),
    [anon_sym_yield] = ACTIONS(2085),
    [anon_sym_LBRACK] = ACTIONS(2085),
    [anon_sym_LTtemplate_GT] = ACTIONS(2085),
    [anon_sym_DQUOTE] = ACTIONS(2085),
    [anon_sym_SQUOTE] = ACTIONS(2085),
    [anon_sym_class] = ACTIONS(2085),
    [anon_sym_async] = ACTIONS(2085),
    [anon_sym_function] = ACTIONS(2085),
    [anon_sym_new] = ACTIONS(2085),
    [anon_sym_using] = ACTIONS(2085),
    [anon_sym_PLUS] = ACTIONS(2085),
    [anon_sym_DASH] = ACTIONS(2085),
    [anon_sym_SLASH] = ACTIONS(2085),
    [anon_sym_LT] = ACTIONS(2085),
    [anon_sym_TILDE] = ACTIONS(2085),
    [anon_sym_void] = ACTIONS(2085),
    [anon_sym_delete] = ACTIONS(2085),
    [anon_sym_PLUS_PLUS] = ACTIONS(2085),
    [anon_sym_DASH_DASH] = ACTIONS(2085),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2085),
    [sym_number] = ACTIONS(2085),
    [sym_private_property_identifier] = ACTIONS(2085),
    [sym_this] = ACTIONS(2085),
    [sym_super] = ACTIONS(2085),
    [sym_true] = ACTIONS(2085),
    [sym_false] = ACTIONS(2085),
    [sym_null] = ACTIONS(2085),
    [sym_undefined] = ACTIONS(2085),
    [anon_sym_AT] = ACTIONS(2085),
    [anon_sym_static] = ACTIONS(2085),
    [anon_sym_readonly] = ACTIONS(2085),
    [anon_sym_get] = ACTIONS(2085),
    [anon_sym_set] = ACTIONS(2085),
    [anon_sym_declare] = ACTIONS(2085),
    [anon_sym_public] = ACTIONS(2085),
    [anon_sym_private] = ACTIONS(2085),
    [anon_sym_protected] = ACTIONS(2085),
    [anon_sym_override] = ACTIONS(2085),
    [anon_sym_module] = ACTIONS(2085),
    [anon_sym_any] = ACTIONS(2085),
    [anon_sym_number] = ACTIONS(2085),
    [anon_sym_boolean] = ACTIONS(2085),
    [anon_sym_string] = ACTIONS(2085),
    [anon_sym_symbol] = ACTIONS(2085),
    [anon_sym_object] = ACTIONS(2085),
    [anon_sym_abstract] = ACTIONS(2085),
    [anon_sym_interface] = ACTIONS(2085),
    [anon_sym_enum] = ACTIONS(2085),
    [sym__automatic_semicolon] = ACTIONS(2343),
    [sym_html_comment] = ACTIONS(5),
  },
  [1147] = {
    [sym_comment] = STATE(1147),
    [sym_identifier] = ACTIONS(3334),
    [anon_sym_export] = ACTIONS(3334),
    [anon_sym_default] = ACTIONS(3334),
    [anon_sym_type] = ACTIONS(3334),
    [anon_sym_namespace] = ACTIONS(3334),
    [anon_sym_LBRACE] = ACTIONS(3334),
    [anon_sym_RBRACE] = ACTIONS(3334),
    [anon_sym_typeof] = ACTIONS(3334),
    [anon_sym_import] = ACTIONS(3334),
    [anon_sym_with] = ACTIONS(3334),
    [anon_sym_var] = ACTIONS(3334),
    [anon_sym_let] = ACTIONS(3334),
    [anon_sym_const] = ACTIONS(3334),
    [anon_sym_BANG] = ACTIONS(3334),
    [anon_sym_else] = ACTIONS(3334),
    [anon_sym_if] = ACTIONS(3334),
    [anon_sym_switch] = ACTIONS(3334),
    [anon_sym_for] = ACTIONS(3334),
    [anon_sym_LPAREN] = ACTIONS(3334),
    [anon_sym_await] = ACTIONS(3334),
    [anon_sym_while] = ACTIONS(3334),
    [anon_sym_do] = ACTIONS(3334),
    [anon_sym_try] = ACTIONS(3334),
    [anon_sym_break] = ACTIONS(3334),
    [anon_sym_continue] = ACTIONS(3334),
    [anon_sym_debugger] = ACTIONS(3334),
    [anon_sym_return] = ACTIONS(3334),
    [anon_sym_throw] = ACTIONS(3334),
    [anon_sym_SEMI] = ACTIONS(3334),
    [anon_sym_case] = ACTIONS(3334),
    [anon_sym_yield] = ACTIONS(3334),
    [anon_sym_LBRACK] = ACTIONS(3334),
    [anon_sym_LTtemplate_GT] = ACTIONS(3334),
    [anon_sym_DQUOTE] = ACTIONS(3334),
    [anon_sym_SQUOTE] = ACTIONS(3334),
    [anon_sym_class] = ACTIONS(3334),
    [anon_sym_async] = ACTIONS(3334),
    [anon_sym_function] = ACTIONS(3334),
    [anon_sym_new] = ACTIONS(3334),
    [anon_sym_using] = ACTIONS(3334),
    [anon_sym_PLUS] = ACTIONS(3334),
    [anon_sym_DASH] = ACTIONS(3334),
    [anon_sym_SLASH] = ACTIONS(3334),
    [anon_sym_LT] = ACTIONS(3334),
    [anon_sym_TILDE] = ACTIONS(3334),
    [anon_sym_void] = ACTIONS(3334),
    [anon_sym_delete] = ACTIONS(3334),
    [anon_sym_PLUS_PLUS] = ACTIONS(3334),
    [anon_sym_DASH_DASH] = ACTIONS(3334),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3334),
    [sym_number] = ACTIONS(3334),
    [sym_private_property_identifier] = ACTIONS(3334),
    [sym_this] = ACTIONS(3334),
    [sym_super] = ACTIONS(3334),
    [sym_true] = ACTIONS(3334),
    [sym_false] = ACTIONS(3334),
    [sym_null] = ACTIONS(3334),
    [sym_undefined] = ACTIONS(3334),
    [anon_sym_AT] = ACTIONS(3334),
    [anon_sym_static] = ACTIONS(3334),
    [anon_sym_readonly] = ACTIONS(3334),
    [anon_sym_get] = ACTIONS(3334),
    [anon_sym_set] = ACTIONS(3334),
    [anon_sym_declare] = ACTIONS(3334),
    [anon_sym_public] = ACTIONS(3334),
    [anon_sym_private] = ACTIONS(3334),
    [anon_sym_protected] = ACTIONS(3334),
    [anon_sym_override] = ACTIONS(3334),
    [anon_sym_module] = ACTIONS(3334),
    [anon_sym_any] = ACTIONS(3334),
    [anon_sym_number] = ACTIONS(3334),
    [anon_sym_boolean] = ACTIONS(3334),
    [anon_sym_string] = ACTIONS(3334),
    [anon_sym_symbol] = ACTIONS(3334),
    [anon_sym_object] = ACTIONS(3334),
    [anon_sym_abstract] = ACTIONS(3334),
    [anon_sym_interface] = ACTIONS(3334),
    [anon_sym_enum] = ACTIONS(3334),
    [sym_html_comment] = ACTIONS(5),
  },
  [1148] = {
    [sym_comment] = STATE(1148),
    [sym_identifier] = ACTIONS(2181),
    [anon_sym_export] = ACTIONS(2181),
    [anon_sym_default] = ACTIONS(2181),
    [anon_sym_type] = ACTIONS(2181),
    [anon_sym_namespace] = ACTIONS(2181),
    [anon_sym_LBRACE] = ACTIONS(2181),
    [anon_sym_RBRACE] = ACTIONS(2181),
    [anon_sym_typeof] = ACTIONS(2181),
    [anon_sym_import] = ACTIONS(2181),
    [anon_sym_with] = ACTIONS(2181),
    [anon_sym_var] = ACTIONS(2181),
    [anon_sym_let] = ACTIONS(2181),
    [anon_sym_const] = ACTIONS(2181),
    [anon_sym_BANG] = ACTIONS(2181),
    [anon_sym_if] = ACTIONS(2181),
    [anon_sym_switch] = ACTIONS(2181),
    [anon_sym_for] = ACTIONS(2181),
    [anon_sym_LPAREN] = ACTIONS(2181),
    [anon_sym_await] = ACTIONS(2181),
    [anon_sym_while] = ACTIONS(2181),
    [anon_sym_do] = ACTIONS(2181),
    [anon_sym_try] = ACTIONS(2181),
    [anon_sym_break] = ACTIONS(2181),
    [anon_sym_continue] = ACTIONS(2181),
    [anon_sym_debugger] = ACTIONS(2181),
    [anon_sym_return] = ACTIONS(2181),
    [anon_sym_throw] = ACTIONS(2181),
    [anon_sym_SEMI] = ACTIONS(2181),
    [anon_sym_case] = ACTIONS(2181),
    [anon_sym_yield] = ACTIONS(2181),
    [anon_sym_LBRACK] = ACTIONS(2181),
    [anon_sym_LTtemplate_GT] = ACTIONS(2181),
    [anon_sym_DQUOTE] = ACTIONS(2181),
    [anon_sym_SQUOTE] = ACTIONS(2181),
    [anon_sym_class] = ACTIONS(2181),
    [anon_sym_async] = ACTIONS(2181),
    [anon_sym_function] = ACTIONS(2181),
    [anon_sym_new] = ACTIONS(2181),
    [anon_sym_using] = ACTIONS(2181),
    [anon_sym_PLUS] = ACTIONS(2181),
    [anon_sym_DASH] = ACTIONS(2181),
    [anon_sym_SLASH] = ACTIONS(2181),
    [anon_sym_LT] = ACTIONS(2181),
    [anon_sym_TILDE] = ACTIONS(2181),
    [anon_sym_void] = ACTIONS(2181),
    [anon_sym_delete] = ACTIONS(2181),
    [anon_sym_PLUS_PLUS] = ACTIONS(2181),
    [anon_sym_DASH_DASH] = ACTIONS(2181),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2181),
    [sym_number] = ACTIONS(2181),
    [sym_private_property_identifier] = ACTIONS(2181),
    [sym_this] = ACTIONS(2181),
    [sym_super] = ACTIONS(2181),
    [sym_true] = ACTIONS(2181),
    [sym_false] = ACTIONS(2181),
    [sym_null] = ACTIONS(2181),
    [sym_undefined] = ACTIONS(2181),
    [anon_sym_AT] = ACTIONS(2181),
    [anon_sym_static] = ACTIONS(2181),
    [anon_sym_readonly] = ACTIONS(2181),
    [anon_sym_get] = ACTIONS(2181),
    [anon_sym_set] = ACTIONS(2181),
    [anon_sym_declare] = ACTIONS(2181),
    [anon_sym_public] = ACTIONS(2181),
    [anon_sym_private] = ACTIONS(2181),
    [anon_sym_protected] = ACTIONS(2181),
    [anon_sym_override] = ACTIONS(2181),
    [anon_sym_module] = ACTIONS(2181),
    [anon_sym_any] = ACTIONS(2181),
    [anon_sym_number] = ACTIONS(2181),
    [anon_sym_boolean] = ACTIONS(2181),
    [anon_sym_string] = ACTIONS(2181),
    [anon_sym_symbol] = ACTIONS(2181),
    [anon_sym_object] = ACTIONS(2181),
    [anon_sym_abstract] = ACTIONS(2181),
    [anon_sym_interface] = ACTIONS(2181),
    [anon_sym_enum] = ACTIONS(2181),
    [sym__automatic_semicolon] = ACTIONS(2351),
    [sym_html_comment] = ACTIONS(5),
  },
  [1149] = {
    [sym_comment] = STATE(1149),
    [sym_identifier] = ACTIONS(2173),
    [anon_sym_export] = ACTIONS(2173),
    [anon_sym_default] = ACTIONS(2173),
    [anon_sym_type] = ACTIONS(2173),
    [anon_sym_namespace] = ACTIONS(2173),
    [anon_sym_LBRACE] = ACTIONS(2173),
    [anon_sym_RBRACE] = ACTIONS(2173),
    [anon_sym_typeof] = ACTIONS(2173),
    [anon_sym_import] = ACTIONS(2173),
    [anon_sym_with] = ACTIONS(2173),
    [anon_sym_var] = ACTIONS(2173),
    [anon_sym_let] = ACTIONS(2173),
    [anon_sym_const] = ACTIONS(2173),
    [anon_sym_BANG] = ACTIONS(2173),
    [anon_sym_if] = ACTIONS(2173),
    [anon_sym_switch] = ACTIONS(2173),
    [anon_sym_for] = ACTIONS(2173),
    [anon_sym_LPAREN] = ACTIONS(2173),
    [anon_sym_await] = ACTIONS(2173),
    [anon_sym_while] = ACTIONS(2173),
    [anon_sym_do] = ACTIONS(2173),
    [anon_sym_try] = ACTIONS(2173),
    [anon_sym_break] = ACTIONS(2173),
    [anon_sym_continue] = ACTIONS(2173),
    [anon_sym_debugger] = ACTIONS(2173),
    [anon_sym_return] = ACTIONS(2173),
    [anon_sym_throw] = ACTIONS(2173),
    [anon_sym_SEMI] = ACTIONS(2173),
    [anon_sym_case] = ACTIONS(2173),
    [anon_sym_yield] = ACTIONS(2173),
    [anon_sym_LBRACK] = ACTIONS(2173),
    [anon_sym_LTtemplate_GT] = ACTIONS(2173),
    [anon_sym_DQUOTE] = ACTIONS(2173),
    [anon_sym_SQUOTE] = ACTIONS(2173),
    [anon_sym_class] = ACTIONS(2173),
    [anon_sym_async] = ACTIONS(2173),
    [anon_sym_function] = ACTIONS(2173),
    [anon_sym_new] = ACTIONS(2173),
    [anon_sym_using] = ACTIONS(2173),
    [anon_sym_PLUS] = ACTIONS(2173),
    [anon_sym_DASH] = ACTIONS(2173),
    [anon_sym_SLASH] = ACTIONS(2173),
    [anon_sym_LT] = ACTIONS(2173),
    [anon_sym_TILDE] = ACTIONS(2173),
    [anon_sym_void] = ACTIONS(2173),
    [anon_sym_delete] = ACTIONS(2173),
    [anon_sym_PLUS_PLUS] = ACTIONS(2173),
    [anon_sym_DASH_DASH] = ACTIONS(2173),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2173),
    [sym_number] = ACTIONS(2173),
    [sym_private_property_identifier] = ACTIONS(2173),
    [sym_this] = ACTIONS(2173),
    [sym_super] = ACTIONS(2173),
    [sym_true] = ACTIONS(2173),
    [sym_false] = ACTIONS(2173),
    [sym_null] = ACTIONS(2173),
    [sym_undefined] = ACTIONS(2173),
    [anon_sym_AT] = ACTIONS(2173),
    [anon_sym_static] = ACTIONS(2173),
    [anon_sym_readonly] = ACTIONS(2173),
    [anon_sym_get] = ACTIONS(2173),
    [anon_sym_set] = ACTIONS(2173),
    [anon_sym_declare] = ACTIONS(2173),
    [anon_sym_public] = ACTIONS(2173),
    [anon_sym_private] = ACTIONS(2173),
    [anon_sym_protected] = ACTIONS(2173),
    [anon_sym_override] = ACTIONS(2173),
    [anon_sym_module] = ACTIONS(2173),
    [anon_sym_any] = ACTIONS(2173),
    [anon_sym_number] = ACTIONS(2173),
    [anon_sym_boolean] = ACTIONS(2173),
    [anon_sym_string] = ACTIONS(2173),
    [anon_sym_symbol] = ACTIONS(2173),
    [anon_sym_object] = ACTIONS(2173),
    [anon_sym_abstract] = ACTIONS(2173),
    [anon_sym_interface] = ACTIONS(2173),
    [anon_sym_enum] = ACTIONS(2173),
    [sym__automatic_semicolon] = ACTIONS(2339),
    [sym_html_comment] = ACTIONS(5),
  },
  [1150] = {
    [sym_comment] = STATE(1150),
    [ts_builtin_sym_end] = ACTIONS(2275),
    [sym_identifier] = ACTIONS(2135),
    [anon_sym_export] = ACTIONS(2135),
    [anon_sym_type] = ACTIONS(2135),
    [anon_sym_namespace] = ACTIONS(2135),
    [anon_sym_LBRACE] = ACTIONS(2135),
    [anon_sym_RBRACE] = ACTIONS(2135),
    [anon_sym_typeof] = ACTIONS(2135),
    [anon_sym_import] = ACTIONS(2135),
    [anon_sym_with] = ACTIONS(2135),
    [anon_sym_var] = ACTIONS(2135),
    [anon_sym_let] = ACTIONS(2135),
    [anon_sym_const] = ACTIONS(2135),
    [anon_sym_BANG] = ACTIONS(2135),
    [anon_sym_else] = ACTIONS(2135),
    [anon_sym_if] = ACTIONS(2135),
    [anon_sym_switch] = ACTIONS(2135),
    [anon_sym_for] = ACTIONS(2135),
    [anon_sym_LPAREN] = ACTIONS(2135),
    [anon_sym_await] = ACTIONS(2135),
    [anon_sym_while] = ACTIONS(2135),
    [anon_sym_do] = ACTIONS(2135),
    [anon_sym_try] = ACTIONS(2135),
    [anon_sym_break] = ACTIONS(2135),
    [anon_sym_continue] = ACTIONS(2135),
    [anon_sym_debugger] = ACTIONS(2135),
    [anon_sym_return] = ACTIONS(2135),
    [anon_sym_throw] = ACTIONS(2135),
    [anon_sym_SEMI] = ACTIONS(2135),
    [anon_sym_yield] = ACTIONS(2135),
    [anon_sym_LBRACK] = ACTIONS(2135),
    [anon_sym_LTtemplate_GT] = ACTIONS(2135),
    [anon_sym_DQUOTE] = ACTIONS(2135),
    [anon_sym_SQUOTE] = ACTIONS(2135),
    [anon_sym_class] = ACTIONS(2135),
    [anon_sym_async] = ACTIONS(2135),
    [anon_sym_function] = ACTIONS(2135),
    [anon_sym_new] = ACTIONS(2135),
    [anon_sym_using] = ACTIONS(2135),
    [anon_sym_PLUS] = ACTIONS(2135),
    [anon_sym_DASH] = ACTIONS(2135),
    [anon_sym_SLASH] = ACTIONS(2135),
    [anon_sym_LT] = ACTIONS(2135),
    [anon_sym_TILDE] = ACTIONS(2135),
    [anon_sym_void] = ACTIONS(2135),
    [anon_sym_delete] = ACTIONS(2135),
    [anon_sym_PLUS_PLUS] = ACTIONS(2135),
    [anon_sym_DASH_DASH] = ACTIONS(2135),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2135),
    [sym_number] = ACTIONS(2135),
    [sym_private_property_identifier] = ACTIONS(2135),
    [sym_this] = ACTIONS(2135),
    [sym_super] = ACTIONS(2135),
    [sym_true] = ACTIONS(2135),
    [sym_false] = ACTIONS(2135),
    [sym_null] = ACTIONS(2135),
    [sym_undefined] = ACTIONS(2135),
    [anon_sym_AT] = ACTIONS(2135),
    [anon_sym_static] = ACTIONS(2135),
    [anon_sym_readonly] = ACTIONS(2135),
    [anon_sym_get] = ACTIONS(2135),
    [anon_sym_set] = ACTIONS(2135),
    [anon_sym_declare] = ACTIONS(2135),
    [anon_sym_public] = ACTIONS(2135),
    [anon_sym_private] = ACTIONS(2135),
    [anon_sym_protected] = ACTIONS(2135),
    [anon_sym_override] = ACTIONS(2135),
    [anon_sym_module] = ACTIONS(2135),
    [anon_sym_any] = ACTIONS(2135),
    [anon_sym_number] = ACTIONS(2135),
    [anon_sym_boolean] = ACTIONS(2135),
    [anon_sym_string] = ACTIONS(2135),
    [anon_sym_symbol] = ACTIONS(2135),
    [anon_sym_object] = ACTIONS(2135),
    [anon_sym_abstract] = ACTIONS(2135),
    [anon_sym_interface] = ACTIONS(2135),
    [anon_sym_enum] = ACTIONS(2135),
    [sym__automatic_semicolon] = ACTIONS(2277),
    [sym_html_comment] = ACTIONS(5),
  },
  [1151] = {
    [sym_comment] = STATE(1151),
    [ts_builtin_sym_end] = ACTIONS(2279),
    [sym_identifier] = ACTIONS(2149),
    [anon_sym_export] = ACTIONS(2149),
    [anon_sym_type] = ACTIONS(2149),
    [anon_sym_namespace] = ACTIONS(2149),
    [anon_sym_LBRACE] = ACTIONS(2149),
    [anon_sym_RBRACE] = ACTIONS(2149),
    [anon_sym_typeof] = ACTIONS(2149),
    [anon_sym_import] = ACTIONS(2149),
    [anon_sym_with] = ACTIONS(2149),
    [anon_sym_var] = ACTIONS(2149),
    [anon_sym_let] = ACTIONS(2149),
    [anon_sym_const] = ACTIONS(2149),
    [anon_sym_BANG] = ACTIONS(2149),
    [anon_sym_else] = ACTIONS(2149),
    [anon_sym_if] = ACTIONS(2149),
    [anon_sym_switch] = ACTIONS(2149),
    [anon_sym_for] = ACTIONS(2149),
    [anon_sym_LPAREN] = ACTIONS(2149),
    [anon_sym_await] = ACTIONS(2149),
    [anon_sym_while] = ACTIONS(2149),
    [anon_sym_do] = ACTIONS(2149),
    [anon_sym_try] = ACTIONS(2149),
    [anon_sym_break] = ACTIONS(2149),
    [anon_sym_continue] = ACTIONS(2149),
    [anon_sym_debugger] = ACTIONS(2149),
    [anon_sym_return] = ACTIONS(2149),
    [anon_sym_throw] = ACTIONS(2149),
    [anon_sym_SEMI] = ACTIONS(2149),
    [anon_sym_yield] = ACTIONS(2149),
    [anon_sym_LBRACK] = ACTIONS(2149),
    [anon_sym_LTtemplate_GT] = ACTIONS(2149),
    [anon_sym_DQUOTE] = ACTIONS(2149),
    [anon_sym_SQUOTE] = ACTIONS(2149),
    [anon_sym_class] = ACTIONS(2149),
    [anon_sym_async] = ACTIONS(2149),
    [anon_sym_function] = ACTIONS(2149),
    [anon_sym_new] = ACTIONS(2149),
    [anon_sym_using] = ACTIONS(2149),
    [anon_sym_PLUS] = ACTIONS(2149),
    [anon_sym_DASH] = ACTIONS(2149),
    [anon_sym_SLASH] = ACTIONS(2149),
    [anon_sym_LT] = ACTIONS(2149),
    [anon_sym_TILDE] = ACTIONS(2149),
    [anon_sym_void] = ACTIONS(2149),
    [anon_sym_delete] = ACTIONS(2149),
    [anon_sym_PLUS_PLUS] = ACTIONS(2149),
    [anon_sym_DASH_DASH] = ACTIONS(2149),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2149),
    [sym_number] = ACTIONS(2149),
    [sym_private_property_identifier] = ACTIONS(2149),
    [sym_this] = ACTIONS(2149),
    [sym_super] = ACTIONS(2149),
    [sym_true] = ACTIONS(2149),
    [sym_false] = ACTIONS(2149),
    [sym_null] = ACTIONS(2149),
    [sym_undefined] = ACTIONS(2149),
    [anon_sym_AT] = ACTIONS(2149),
    [anon_sym_static] = ACTIONS(2149),
    [anon_sym_readonly] = ACTIONS(2149),
    [anon_sym_get] = ACTIONS(2149),
    [anon_sym_set] = ACTIONS(2149),
    [anon_sym_declare] = ACTIONS(2149),
    [anon_sym_public] = ACTIONS(2149),
    [anon_sym_private] = ACTIONS(2149),
    [anon_sym_protected] = ACTIONS(2149),
    [anon_sym_override] = ACTIONS(2149),
    [anon_sym_module] = ACTIONS(2149),
    [anon_sym_any] = ACTIONS(2149),
    [anon_sym_number] = ACTIONS(2149),
    [anon_sym_boolean] = ACTIONS(2149),
    [anon_sym_string] = ACTIONS(2149),
    [anon_sym_symbol] = ACTIONS(2149),
    [anon_sym_object] = ACTIONS(2149),
    [anon_sym_abstract] = ACTIONS(2149),
    [anon_sym_interface] = ACTIONS(2149),
    [anon_sym_enum] = ACTIONS(2149),
    [sym__automatic_semicolon] = ACTIONS(2281),
    [sym_html_comment] = ACTIONS(5),
  },
  [1152] = {
    [sym_comment] = STATE(1152),
    [sym_identifier] = ACTIONS(2085),
    [anon_sym_export] = ACTIONS(2085),
    [anon_sym_default] = ACTIONS(2085),
    [anon_sym_type] = ACTIONS(2085),
    [anon_sym_namespace] = ACTIONS(2085),
    [anon_sym_LBRACE] = ACTIONS(2085),
    [anon_sym_RBRACE] = ACTIONS(2085),
    [anon_sym_typeof] = ACTIONS(2085),
    [anon_sym_import] = ACTIONS(2085),
    [anon_sym_with] = ACTIONS(2085),
    [anon_sym_var] = ACTIONS(2085),
    [anon_sym_let] = ACTIONS(2085),
    [anon_sym_const] = ACTIONS(2085),
    [anon_sym_BANG] = ACTIONS(2085),
    [anon_sym_if] = ACTIONS(2085),
    [anon_sym_switch] = ACTIONS(2085),
    [anon_sym_for] = ACTIONS(2085),
    [anon_sym_LPAREN] = ACTIONS(2085),
    [anon_sym_await] = ACTIONS(2085),
    [anon_sym_while] = ACTIONS(2085),
    [anon_sym_do] = ACTIONS(2085),
    [anon_sym_try] = ACTIONS(2085),
    [anon_sym_break] = ACTIONS(2085),
    [anon_sym_continue] = ACTIONS(2085),
    [anon_sym_debugger] = ACTIONS(2085),
    [anon_sym_return] = ACTIONS(2085),
    [anon_sym_throw] = ACTIONS(2085),
    [anon_sym_SEMI] = ACTIONS(2085),
    [anon_sym_case] = ACTIONS(2085),
    [anon_sym_yield] = ACTIONS(2085),
    [anon_sym_LBRACK] = ACTIONS(2085),
    [anon_sym_LTtemplate_GT] = ACTIONS(2085),
    [anon_sym_DQUOTE] = ACTIONS(2085),
    [anon_sym_SQUOTE] = ACTIONS(2085),
    [anon_sym_class] = ACTIONS(2085),
    [anon_sym_async] = ACTIONS(2085),
    [anon_sym_function] = ACTIONS(2085),
    [anon_sym_new] = ACTIONS(2085),
    [anon_sym_using] = ACTIONS(2085),
    [anon_sym_PLUS] = ACTIONS(2085),
    [anon_sym_DASH] = ACTIONS(2085),
    [anon_sym_SLASH] = ACTIONS(2085),
    [anon_sym_LT] = ACTIONS(2085),
    [anon_sym_TILDE] = ACTIONS(2085),
    [anon_sym_void] = ACTIONS(2085),
    [anon_sym_delete] = ACTIONS(2085),
    [anon_sym_PLUS_PLUS] = ACTIONS(2085),
    [anon_sym_DASH_DASH] = ACTIONS(2085),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2085),
    [sym_number] = ACTIONS(2085),
    [sym_private_property_identifier] = ACTIONS(2085),
    [sym_this] = ACTIONS(2085),
    [sym_super] = ACTIONS(2085),
    [sym_true] = ACTIONS(2085),
    [sym_false] = ACTIONS(2085),
    [sym_null] = ACTIONS(2085),
    [sym_undefined] = ACTIONS(2085),
    [anon_sym_AT] = ACTIONS(2085),
    [anon_sym_static] = ACTIONS(2085),
    [anon_sym_readonly] = ACTIONS(2085),
    [anon_sym_get] = ACTIONS(2085),
    [anon_sym_set] = ACTIONS(2085),
    [anon_sym_declare] = ACTIONS(2085),
    [anon_sym_public] = ACTIONS(2085),
    [anon_sym_private] = ACTIONS(2085),
    [anon_sym_protected] = ACTIONS(2085),
    [anon_sym_override] = ACTIONS(2085),
    [anon_sym_module] = ACTIONS(2085),
    [anon_sym_any] = ACTIONS(2085),
    [anon_sym_number] = ACTIONS(2085),
    [anon_sym_boolean] = ACTIONS(2085),
    [anon_sym_string] = ACTIONS(2085),
    [anon_sym_symbol] = ACTIONS(2085),
    [anon_sym_object] = ACTIONS(2085),
    [anon_sym_abstract] = ACTIONS(2085),
    [anon_sym_interface] = ACTIONS(2085),
    [anon_sym_enum] = ACTIONS(2085),
    [sym__automatic_semicolon] = ACTIONS(2323),
    [sym_html_comment] = ACTIONS(5),
  },
  [1153] = {
    [sym_comment] = STATE(1153),
    [sym_identifier] = ACTIONS(3336),
    [anon_sym_export] = ACTIONS(3336),
    [anon_sym_default] = ACTIONS(3336),
    [anon_sym_type] = ACTIONS(3336),
    [anon_sym_namespace] = ACTIONS(3336),
    [anon_sym_LBRACE] = ACTIONS(3336),
    [anon_sym_RBRACE] = ACTIONS(3336),
    [anon_sym_typeof] = ACTIONS(3336),
    [anon_sym_import] = ACTIONS(3336),
    [anon_sym_with] = ACTIONS(3336),
    [anon_sym_var] = ACTIONS(3336),
    [anon_sym_let] = ACTIONS(3336),
    [anon_sym_const] = ACTIONS(3336),
    [anon_sym_BANG] = ACTIONS(3336),
    [anon_sym_else] = ACTIONS(3336),
    [anon_sym_if] = ACTIONS(3336),
    [anon_sym_switch] = ACTIONS(3336),
    [anon_sym_for] = ACTIONS(3336),
    [anon_sym_LPAREN] = ACTIONS(3336),
    [anon_sym_await] = ACTIONS(3336),
    [anon_sym_while] = ACTIONS(3336),
    [anon_sym_do] = ACTIONS(3336),
    [anon_sym_try] = ACTIONS(3336),
    [anon_sym_break] = ACTIONS(3336),
    [anon_sym_continue] = ACTIONS(3336),
    [anon_sym_debugger] = ACTIONS(3336),
    [anon_sym_return] = ACTIONS(3336),
    [anon_sym_throw] = ACTIONS(3336),
    [anon_sym_SEMI] = ACTIONS(3336),
    [anon_sym_case] = ACTIONS(3336),
    [anon_sym_yield] = ACTIONS(3336),
    [anon_sym_LBRACK] = ACTIONS(3336),
    [anon_sym_LTtemplate_GT] = ACTIONS(3336),
    [anon_sym_DQUOTE] = ACTIONS(3336),
    [anon_sym_SQUOTE] = ACTIONS(3336),
    [anon_sym_class] = ACTIONS(3336),
    [anon_sym_async] = ACTIONS(3336),
    [anon_sym_function] = ACTIONS(3336),
    [anon_sym_new] = ACTIONS(3336),
    [anon_sym_using] = ACTIONS(3336),
    [anon_sym_PLUS] = ACTIONS(3336),
    [anon_sym_DASH] = ACTIONS(3336),
    [anon_sym_SLASH] = ACTIONS(3336),
    [anon_sym_LT] = ACTIONS(3336),
    [anon_sym_TILDE] = ACTIONS(3336),
    [anon_sym_void] = ACTIONS(3336),
    [anon_sym_delete] = ACTIONS(3336),
    [anon_sym_PLUS_PLUS] = ACTIONS(3336),
    [anon_sym_DASH_DASH] = ACTIONS(3336),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3336),
    [sym_number] = ACTIONS(3336),
    [sym_private_property_identifier] = ACTIONS(3336),
    [sym_this] = ACTIONS(3336),
    [sym_super] = ACTIONS(3336),
    [sym_true] = ACTIONS(3336),
    [sym_false] = ACTIONS(3336),
    [sym_null] = ACTIONS(3336),
    [sym_undefined] = ACTIONS(3336),
    [anon_sym_AT] = ACTIONS(3336),
    [anon_sym_static] = ACTIONS(3336),
    [anon_sym_readonly] = ACTIONS(3336),
    [anon_sym_get] = ACTIONS(3336),
    [anon_sym_set] = ACTIONS(3336),
    [anon_sym_declare] = ACTIONS(3336),
    [anon_sym_public] = ACTIONS(3336),
    [anon_sym_private] = ACTIONS(3336),
    [anon_sym_protected] = ACTIONS(3336),
    [anon_sym_override] = ACTIONS(3336),
    [anon_sym_module] = ACTIONS(3336),
    [anon_sym_any] = ACTIONS(3336),
    [anon_sym_number] = ACTIONS(3336),
    [anon_sym_boolean] = ACTIONS(3336),
    [anon_sym_string] = ACTIONS(3336),
    [anon_sym_symbol] = ACTIONS(3336),
    [anon_sym_object] = ACTIONS(3336),
    [anon_sym_abstract] = ACTIONS(3336),
    [anon_sym_interface] = ACTIONS(3336),
    [anon_sym_enum] = ACTIONS(3336),
    [sym_html_comment] = ACTIONS(5),
  },
  [1154] = {
    [sym_comment] = STATE(1154),
    [sym_identifier] = ACTIONS(3336),
    [anon_sym_export] = ACTIONS(3336),
    [anon_sym_default] = ACTIONS(3336),
    [anon_sym_type] = ACTIONS(3336),
    [anon_sym_namespace] = ACTIONS(3336),
    [anon_sym_LBRACE] = ACTIONS(3336),
    [anon_sym_RBRACE] = ACTIONS(3336),
    [anon_sym_typeof] = ACTIONS(3336),
    [anon_sym_import] = ACTIONS(3336),
    [anon_sym_with] = ACTIONS(3336),
    [anon_sym_var] = ACTIONS(3336),
    [anon_sym_let] = ACTIONS(3336),
    [anon_sym_const] = ACTIONS(3336),
    [anon_sym_BANG] = ACTIONS(3336),
    [anon_sym_else] = ACTIONS(3336),
    [anon_sym_if] = ACTIONS(3336),
    [anon_sym_switch] = ACTIONS(3336),
    [anon_sym_for] = ACTIONS(3336),
    [anon_sym_LPAREN] = ACTIONS(3336),
    [anon_sym_await] = ACTIONS(3336),
    [anon_sym_while] = ACTIONS(3336),
    [anon_sym_do] = ACTIONS(3336),
    [anon_sym_try] = ACTIONS(3336),
    [anon_sym_break] = ACTIONS(3336),
    [anon_sym_continue] = ACTIONS(3336),
    [anon_sym_debugger] = ACTIONS(3336),
    [anon_sym_return] = ACTIONS(3336),
    [anon_sym_throw] = ACTIONS(3336),
    [anon_sym_SEMI] = ACTIONS(3336),
    [anon_sym_case] = ACTIONS(3336),
    [anon_sym_yield] = ACTIONS(3336),
    [anon_sym_LBRACK] = ACTIONS(3336),
    [anon_sym_LTtemplate_GT] = ACTIONS(3336),
    [anon_sym_DQUOTE] = ACTIONS(3336),
    [anon_sym_SQUOTE] = ACTIONS(3336),
    [anon_sym_class] = ACTIONS(3336),
    [anon_sym_async] = ACTIONS(3336),
    [anon_sym_function] = ACTIONS(3336),
    [anon_sym_new] = ACTIONS(3336),
    [anon_sym_using] = ACTIONS(3336),
    [anon_sym_PLUS] = ACTIONS(3336),
    [anon_sym_DASH] = ACTIONS(3336),
    [anon_sym_SLASH] = ACTIONS(3336),
    [anon_sym_LT] = ACTIONS(3336),
    [anon_sym_TILDE] = ACTIONS(3336),
    [anon_sym_void] = ACTIONS(3336),
    [anon_sym_delete] = ACTIONS(3336),
    [anon_sym_PLUS_PLUS] = ACTIONS(3336),
    [anon_sym_DASH_DASH] = ACTIONS(3336),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3336),
    [sym_number] = ACTIONS(3336),
    [sym_private_property_identifier] = ACTIONS(3336),
    [sym_this] = ACTIONS(3336),
    [sym_super] = ACTIONS(3336),
    [sym_true] = ACTIONS(3336),
    [sym_false] = ACTIONS(3336),
    [sym_null] = ACTIONS(3336),
    [sym_undefined] = ACTIONS(3336),
    [anon_sym_AT] = ACTIONS(3336),
    [anon_sym_static] = ACTIONS(3336),
    [anon_sym_readonly] = ACTIONS(3336),
    [anon_sym_get] = ACTIONS(3336),
    [anon_sym_set] = ACTIONS(3336),
    [anon_sym_declare] = ACTIONS(3336),
    [anon_sym_public] = ACTIONS(3336),
    [anon_sym_private] = ACTIONS(3336),
    [anon_sym_protected] = ACTIONS(3336),
    [anon_sym_override] = ACTIONS(3336),
    [anon_sym_module] = ACTIONS(3336),
    [anon_sym_any] = ACTIONS(3336),
    [anon_sym_number] = ACTIONS(3336),
    [anon_sym_boolean] = ACTIONS(3336),
    [anon_sym_string] = ACTIONS(3336),
    [anon_sym_symbol] = ACTIONS(3336),
    [anon_sym_object] = ACTIONS(3336),
    [anon_sym_abstract] = ACTIONS(3336),
    [anon_sym_interface] = ACTIONS(3336),
    [anon_sym_enum] = ACTIONS(3336),
    [sym_html_comment] = ACTIONS(5),
  },
  [1155] = {
    [sym_comment] = STATE(1155),
    [sym_identifier] = ACTIONS(3336),
    [anon_sym_export] = ACTIONS(3336),
    [anon_sym_default] = ACTIONS(3336),
    [anon_sym_type] = ACTIONS(3336),
    [anon_sym_namespace] = ACTIONS(3336),
    [anon_sym_LBRACE] = ACTIONS(3336),
    [anon_sym_RBRACE] = ACTIONS(3336),
    [anon_sym_typeof] = ACTIONS(3336),
    [anon_sym_import] = ACTIONS(3336),
    [anon_sym_with] = ACTIONS(3336),
    [anon_sym_var] = ACTIONS(3336),
    [anon_sym_let] = ACTIONS(3336),
    [anon_sym_const] = ACTIONS(3336),
    [anon_sym_BANG] = ACTIONS(3336),
    [anon_sym_else] = ACTIONS(3336),
    [anon_sym_if] = ACTIONS(3336),
    [anon_sym_switch] = ACTIONS(3336),
    [anon_sym_for] = ACTIONS(3336),
    [anon_sym_LPAREN] = ACTIONS(3336),
    [anon_sym_await] = ACTIONS(3336),
    [anon_sym_while] = ACTIONS(3336),
    [anon_sym_do] = ACTIONS(3336),
    [anon_sym_try] = ACTIONS(3336),
    [anon_sym_break] = ACTIONS(3336),
    [anon_sym_continue] = ACTIONS(3336),
    [anon_sym_debugger] = ACTIONS(3336),
    [anon_sym_return] = ACTIONS(3336),
    [anon_sym_throw] = ACTIONS(3336),
    [anon_sym_SEMI] = ACTIONS(3336),
    [anon_sym_case] = ACTIONS(3336),
    [anon_sym_yield] = ACTIONS(3336),
    [anon_sym_LBRACK] = ACTIONS(3336),
    [anon_sym_LTtemplate_GT] = ACTIONS(3336),
    [anon_sym_DQUOTE] = ACTIONS(3336),
    [anon_sym_SQUOTE] = ACTIONS(3336),
    [anon_sym_class] = ACTIONS(3336),
    [anon_sym_async] = ACTIONS(3336),
    [anon_sym_function] = ACTIONS(3336),
    [anon_sym_new] = ACTIONS(3336),
    [anon_sym_using] = ACTIONS(3336),
    [anon_sym_PLUS] = ACTIONS(3336),
    [anon_sym_DASH] = ACTIONS(3336),
    [anon_sym_SLASH] = ACTIONS(3336),
    [anon_sym_LT] = ACTIONS(3336),
    [anon_sym_TILDE] = ACTIONS(3336),
    [anon_sym_void] = ACTIONS(3336),
    [anon_sym_delete] = ACTIONS(3336),
    [anon_sym_PLUS_PLUS] = ACTIONS(3336),
    [anon_sym_DASH_DASH] = ACTIONS(3336),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3336),
    [sym_number] = ACTIONS(3336),
    [sym_private_property_identifier] = ACTIONS(3336),
    [sym_this] = ACTIONS(3336),
    [sym_super] = ACTIONS(3336),
    [sym_true] = ACTIONS(3336),
    [sym_false] = ACTIONS(3336),
    [sym_null] = ACTIONS(3336),
    [sym_undefined] = ACTIONS(3336),
    [anon_sym_AT] = ACTIONS(3336),
    [anon_sym_static] = ACTIONS(3336),
    [anon_sym_readonly] = ACTIONS(3336),
    [anon_sym_get] = ACTIONS(3336),
    [anon_sym_set] = ACTIONS(3336),
    [anon_sym_declare] = ACTIONS(3336),
    [anon_sym_public] = ACTIONS(3336),
    [anon_sym_private] = ACTIONS(3336),
    [anon_sym_protected] = ACTIONS(3336),
    [anon_sym_override] = ACTIONS(3336),
    [anon_sym_module] = ACTIONS(3336),
    [anon_sym_any] = ACTIONS(3336),
    [anon_sym_number] = ACTIONS(3336),
    [anon_sym_boolean] = ACTIONS(3336),
    [anon_sym_string] = ACTIONS(3336),
    [anon_sym_symbol] = ACTIONS(3336),
    [anon_sym_object] = ACTIONS(3336),
    [anon_sym_abstract] = ACTIONS(3336),
    [anon_sym_interface] = ACTIONS(3336),
    [anon_sym_enum] = ACTIONS(3336),
    [sym_html_comment] = ACTIONS(5),
  },
  [1156] = {
    [sym_comment] = STATE(1156),
    [sym_identifier] = ACTIONS(3336),
    [anon_sym_export] = ACTIONS(3336),
    [anon_sym_default] = ACTIONS(3336),
    [anon_sym_type] = ACTIONS(3336),
    [anon_sym_namespace] = ACTIONS(3336),
    [anon_sym_LBRACE] = ACTIONS(3336),
    [anon_sym_RBRACE] = ACTIONS(3336),
    [anon_sym_typeof] = ACTIONS(3336),
    [anon_sym_import] = ACTIONS(3336),
    [anon_sym_with] = ACTIONS(3336),
    [anon_sym_var] = ACTIONS(3336),
    [anon_sym_let] = ACTIONS(3336),
    [anon_sym_const] = ACTIONS(3336),
    [anon_sym_BANG] = ACTIONS(3336),
    [anon_sym_else] = ACTIONS(3336),
    [anon_sym_if] = ACTIONS(3336),
    [anon_sym_switch] = ACTIONS(3336),
    [anon_sym_for] = ACTIONS(3336),
    [anon_sym_LPAREN] = ACTIONS(3336),
    [anon_sym_await] = ACTIONS(3336),
    [anon_sym_while] = ACTIONS(3336),
    [anon_sym_do] = ACTIONS(3336),
    [anon_sym_try] = ACTIONS(3336),
    [anon_sym_break] = ACTIONS(3336),
    [anon_sym_continue] = ACTIONS(3336),
    [anon_sym_debugger] = ACTIONS(3336),
    [anon_sym_return] = ACTIONS(3336),
    [anon_sym_throw] = ACTIONS(3336),
    [anon_sym_SEMI] = ACTIONS(3336),
    [anon_sym_case] = ACTIONS(3336),
    [anon_sym_yield] = ACTIONS(3336),
    [anon_sym_LBRACK] = ACTIONS(3336),
    [anon_sym_LTtemplate_GT] = ACTIONS(3336),
    [anon_sym_DQUOTE] = ACTIONS(3336),
    [anon_sym_SQUOTE] = ACTIONS(3336),
    [anon_sym_class] = ACTIONS(3336),
    [anon_sym_async] = ACTIONS(3336),
    [anon_sym_function] = ACTIONS(3336),
    [anon_sym_new] = ACTIONS(3336),
    [anon_sym_using] = ACTIONS(3336),
    [anon_sym_PLUS] = ACTIONS(3336),
    [anon_sym_DASH] = ACTIONS(3336),
    [anon_sym_SLASH] = ACTIONS(3336),
    [anon_sym_LT] = ACTIONS(3336),
    [anon_sym_TILDE] = ACTIONS(3336),
    [anon_sym_void] = ACTIONS(3336),
    [anon_sym_delete] = ACTIONS(3336),
    [anon_sym_PLUS_PLUS] = ACTIONS(3336),
    [anon_sym_DASH_DASH] = ACTIONS(3336),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3336),
    [sym_number] = ACTIONS(3336),
    [sym_private_property_identifier] = ACTIONS(3336),
    [sym_this] = ACTIONS(3336),
    [sym_super] = ACTIONS(3336),
    [sym_true] = ACTIONS(3336),
    [sym_false] = ACTIONS(3336),
    [sym_null] = ACTIONS(3336),
    [sym_undefined] = ACTIONS(3336),
    [anon_sym_AT] = ACTIONS(3336),
    [anon_sym_static] = ACTIONS(3336),
    [anon_sym_readonly] = ACTIONS(3336),
    [anon_sym_get] = ACTIONS(3336),
    [anon_sym_set] = ACTIONS(3336),
    [anon_sym_declare] = ACTIONS(3336),
    [anon_sym_public] = ACTIONS(3336),
    [anon_sym_private] = ACTIONS(3336),
    [anon_sym_protected] = ACTIONS(3336),
    [anon_sym_override] = ACTIONS(3336),
    [anon_sym_module] = ACTIONS(3336),
    [anon_sym_any] = ACTIONS(3336),
    [anon_sym_number] = ACTIONS(3336),
    [anon_sym_boolean] = ACTIONS(3336),
    [anon_sym_string] = ACTIONS(3336),
    [anon_sym_symbol] = ACTIONS(3336),
    [anon_sym_object] = ACTIONS(3336),
    [anon_sym_abstract] = ACTIONS(3336),
    [anon_sym_interface] = ACTIONS(3336),
    [anon_sym_enum] = ACTIONS(3336),
    [sym_html_comment] = ACTIONS(5),
  },
  [1157] = {
    [sym_comment] = STATE(1157),
    [ts_builtin_sym_end] = ACTIONS(2283),
    [sym_identifier] = ACTIONS(2229),
    [anon_sym_export] = ACTIONS(2229),
    [anon_sym_type] = ACTIONS(2229),
    [anon_sym_namespace] = ACTIONS(2229),
    [anon_sym_LBRACE] = ACTIONS(2229),
    [anon_sym_RBRACE] = ACTIONS(2229),
    [anon_sym_typeof] = ACTIONS(2229),
    [anon_sym_import] = ACTIONS(2229),
    [anon_sym_with] = ACTIONS(2229),
    [anon_sym_var] = ACTIONS(2229),
    [anon_sym_let] = ACTIONS(2229),
    [anon_sym_const] = ACTIONS(2229),
    [anon_sym_BANG] = ACTIONS(2229),
    [anon_sym_else] = ACTIONS(2229),
    [anon_sym_if] = ACTIONS(2229),
    [anon_sym_switch] = ACTIONS(2229),
    [anon_sym_for] = ACTIONS(2229),
    [anon_sym_LPAREN] = ACTIONS(2229),
    [anon_sym_await] = ACTIONS(2229),
    [anon_sym_while] = ACTIONS(2229),
    [anon_sym_do] = ACTIONS(2229),
    [anon_sym_try] = ACTIONS(2229),
    [anon_sym_break] = ACTIONS(2229),
    [anon_sym_continue] = ACTIONS(2229),
    [anon_sym_debugger] = ACTIONS(2229),
    [anon_sym_return] = ACTIONS(2229),
    [anon_sym_throw] = ACTIONS(2229),
    [anon_sym_SEMI] = ACTIONS(2229),
    [anon_sym_yield] = ACTIONS(2229),
    [anon_sym_LBRACK] = ACTIONS(2229),
    [anon_sym_LTtemplate_GT] = ACTIONS(2229),
    [anon_sym_DQUOTE] = ACTIONS(2229),
    [anon_sym_SQUOTE] = ACTIONS(2229),
    [anon_sym_class] = ACTIONS(2229),
    [anon_sym_async] = ACTIONS(2229),
    [anon_sym_function] = ACTIONS(2229),
    [anon_sym_new] = ACTIONS(2229),
    [anon_sym_using] = ACTIONS(2229),
    [anon_sym_PLUS] = ACTIONS(2229),
    [anon_sym_DASH] = ACTIONS(2229),
    [anon_sym_SLASH] = ACTIONS(2229),
    [anon_sym_LT] = ACTIONS(2229),
    [anon_sym_TILDE] = ACTIONS(2229),
    [anon_sym_void] = ACTIONS(2229),
    [anon_sym_delete] = ACTIONS(2229),
    [anon_sym_PLUS_PLUS] = ACTIONS(2229),
    [anon_sym_DASH_DASH] = ACTIONS(2229),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2229),
    [sym_number] = ACTIONS(2229),
    [sym_private_property_identifier] = ACTIONS(2229),
    [sym_this] = ACTIONS(2229),
    [sym_super] = ACTIONS(2229),
    [sym_true] = ACTIONS(2229),
    [sym_false] = ACTIONS(2229),
    [sym_null] = ACTIONS(2229),
    [sym_undefined] = ACTIONS(2229),
    [anon_sym_AT] = ACTIONS(2229),
    [anon_sym_static] = ACTIONS(2229),
    [anon_sym_readonly] = ACTIONS(2229),
    [anon_sym_get] = ACTIONS(2229),
    [anon_sym_set] = ACTIONS(2229),
    [anon_sym_declare] = ACTIONS(2229),
    [anon_sym_public] = ACTIONS(2229),
    [anon_sym_private] = ACTIONS(2229),
    [anon_sym_protected] = ACTIONS(2229),
    [anon_sym_override] = ACTIONS(2229),
    [anon_sym_module] = ACTIONS(2229),
    [anon_sym_any] = ACTIONS(2229),
    [anon_sym_number] = ACTIONS(2229),
    [anon_sym_boolean] = ACTIONS(2229),
    [anon_sym_string] = ACTIONS(2229),
    [anon_sym_symbol] = ACTIONS(2229),
    [anon_sym_object] = ACTIONS(2229),
    [anon_sym_abstract] = ACTIONS(2229),
    [anon_sym_interface] = ACTIONS(2229),
    [anon_sym_enum] = ACTIONS(2229),
    [sym__automatic_semicolon] = ACTIONS(2285),
    [sym_html_comment] = ACTIONS(5),
  },
  [1158] = {
    [sym_comment] = STATE(1158),
    [sym_identifier] = ACTIONS(3336),
    [anon_sym_export] = ACTIONS(3336),
    [anon_sym_default] = ACTIONS(3336),
    [anon_sym_type] = ACTIONS(3336),
    [anon_sym_namespace] = ACTIONS(3336),
    [anon_sym_LBRACE] = ACTIONS(3336),
    [anon_sym_RBRACE] = ACTIONS(3336),
    [anon_sym_typeof] = ACTIONS(3336),
    [anon_sym_import] = ACTIONS(3336),
    [anon_sym_with] = ACTIONS(3336),
    [anon_sym_var] = ACTIONS(3336),
    [anon_sym_let] = ACTIONS(3336),
    [anon_sym_const] = ACTIONS(3336),
    [anon_sym_BANG] = ACTIONS(3336),
    [anon_sym_else] = ACTIONS(3336),
    [anon_sym_if] = ACTIONS(3336),
    [anon_sym_switch] = ACTIONS(3336),
    [anon_sym_for] = ACTIONS(3336),
    [anon_sym_LPAREN] = ACTIONS(3336),
    [anon_sym_await] = ACTIONS(3336),
    [anon_sym_while] = ACTIONS(3336),
    [anon_sym_do] = ACTIONS(3336),
    [anon_sym_try] = ACTIONS(3336),
    [anon_sym_break] = ACTIONS(3336),
    [anon_sym_continue] = ACTIONS(3336),
    [anon_sym_debugger] = ACTIONS(3336),
    [anon_sym_return] = ACTIONS(3336),
    [anon_sym_throw] = ACTIONS(3336),
    [anon_sym_SEMI] = ACTIONS(3336),
    [anon_sym_case] = ACTIONS(3336),
    [anon_sym_yield] = ACTIONS(3336),
    [anon_sym_LBRACK] = ACTIONS(3336),
    [anon_sym_LTtemplate_GT] = ACTIONS(3336),
    [anon_sym_DQUOTE] = ACTIONS(3336),
    [anon_sym_SQUOTE] = ACTIONS(3336),
    [anon_sym_class] = ACTIONS(3336),
    [anon_sym_async] = ACTIONS(3336),
    [anon_sym_function] = ACTIONS(3336),
    [anon_sym_new] = ACTIONS(3336),
    [anon_sym_using] = ACTIONS(3336),
    [anon_sym_PLUS] = ACTIONS(3336),
    [anon_sym_DASH] = ACTIONS(3336),
    [anon_sym_SLASH] = ACTIONS(3336),
    [anon_sym_LT] = ACTIONS(3336),
    [anon_sym_TILDE] = ACTIONS(3336),
    [anon_sym_void] = ACTIONS(3336),
    [anon_sym_delete] = ACTIONS(3336),
    [anon_sym_PLUS_PLUS] = ACTIONS(3336),
    [anon_sym_DASH_DASH] = ACTIONS(3336),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3336),
    [sym_number] = ACTIONS(3336),
    [sym_private_property_identifier] = ACTIONS(3336),
    [sym_this] = ACTIONS(3336),
    [sym_super] = ACTIONS(3336),
    [sym_true] = ACTIONS(3336),
    [sym_false] = ACTIONS(3336),
    [sym_null] = ACTIONS(3336),
    [sym_undefined] = ACTIONS(3336),
    [anon_sym_AT] = ACTIONS(3336),
    [anon_sym_static] = ACTIONS(3336),
    [anon_sym_readonly] = ACTIONS(3336),
    [anon_sym_get] = ACTIONS(3336),
    [anon_sym_set] = ACTIONS(3336),
    [anon_sym_declare] = ACTIONS(3336),
    [anon_sym_public] = ACTIONS(3336),
    [anon_sym_private] = ACTIONS(3336),
    [anon_sym_protected] = ACTIONS(3336),
    [anon_sym_override] = ACTIONS(3336),
    [anon_sym_module] = ACTIONS(3336),
    [anon_sym_any] = ACTIONS(3336),
    [anon_sym_number] = ACTIONS(3336),
    [anon_sym_boolean] = ACTIONS(3336),
    [anon_sym_string] = ACTIONS(3336),
    [anon_sym_symbol] = ACTIONS(3336),
    [anon_sym_object] = ACTIONS(3336),
    [anon_sym_abstract] = ACTIONS(3336),
    [anon_sym_interface] = ACTIONS(3336),
    [anon_sym_enum] = ACTIONS(3336),
    [sym_html_comment] = ACTIONS(5),
  },
  [1159] = {
    [sym_comment] = STATE(1159),
    [ts_builtin_sym_end] = ACTIONS(2289),
    [sym_identifier] = ACTIONS(2237),
    [anon_sym_export] = ACTIONS(2237),
    [anon_sym_type] = ACTIONS(2237),
    [anon_sym_namespace] = ACTIONS(2237),
    [anon_sym_LBRACE] = ACTIONS(2237),
    [anon_sym_RBRACE] = ACTIONS(2237),
    [anon_sym_typeof] = ACTIONS(2237),
    [anon_sym_import] = ACTIONS(2237),
    [anon_sym_with] = ACTIONS(2237),
    [anon_sym_var] = ACTIONS(2237),
    [anon_sym_let] = ACTIONS(2237),
    [anon_sym_const] = ACTIONS(2237),
    [anon_sym_BANG] = ACTIONS(2237),
    [anon_sym_else] = ACTIONS(2237),
    [anon_sym_if] = ACTIONS(2237),
    [anon_sym_switch] = ACTIONS(2237),
    [anon_sym_for] = ACTIONS(2237),
    [anon_sym_LPAREN] = ACTIONS(2237),
    [anon_sym_await] = ACTIONS(2237),
    [anon_sym_while] = ACTIONS(2237),
    [anon_sym_do] = ACTIONS(2237),
    [anon_sym_try] = ACTIONS(2237),
    [anon_sym_break] = ACTIONS(2237),
    [anon_sym_continue] = ACTIONS(2237),
    [anon_sym_debugger] = ACTIONS(2237),
    [anon_sym_return] = ACTIONS(2237),
    [anon_sym_throw] = ACTIONS(2237),
    [anon_sym_SEMI] = ACTIONS(2237),
    [anon_sym_yield] = ACTIONS(2237),
    [anon_sym_LBRACK] = ACTIONS(2237),
    [anon_sym_LTtemplate_GT] = ACTIONS(2237),
    [anon_sym_DQUOTE] = ACTIONS(2237),
    [anon_sym_SQUOTE] = ACTIONS(2237),
    [anon_sym_class] = ACTIONS(2237),
    [anon_sym_async] = ACTIONS(2237),
    [anon_sym_function] = ACTIONS(2237),
    [anon_sym_new] = ACTIONS(2237),
    [anon_sym_using] = ACTIONS(2237),
    [anon_sym_PLUS] = ACTIONS(2237),
    [anon_sym_DASH] = ACTIONS(2237),
    [anon_sym_SLASH] = ACTIONS(2237),
    [anon_sym_LT] = ACTIONS(2237),
    [anon_sym_TILDE] = ACTIONS(2237),
    [anon_sym_void] = ACTIONS(2237),
    [anon_sym_delete] = ACTIONS(2237),
    [anon_sym_PLUS_PLUS] = ACTIONS(2237),
    [anon_sym_DASH_DASH] = ACTIONS(2237),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2237),
    [sym_number] = ACTIONS(2237),
    [sym_private_property_identifier] = ACTIONS(2237),
    [sym_this] = ACTIONS(2237),
    [sym_super] = ACTIONS(2237),
    [sym_true] = ACTIONS(2237),
    [sym_false] = ACTIONS(2237),
    [sym_null] = ACTIONS(2237),
    [sym_undefined] = ACTIONS(2237),
    [anon_sym_AT] = ACTIONS(2237),
    [anon_sym_static] = ACTIONS(2237),
    [anon_sym_readonly] = ACTIONS(2237),
    [anon_sym_get] = ACTIONS(2237),
    [anon_sym_set] = ACTIONS(2237),
    [anon_sym_declare] = ACTIONS(2237),
    [anon_sym_public] = ACTIONS(2237),
    [anon_sym_private] = ACTIONS(2237),
    [anon_sym_protected] = ACTIONS(2237),
    [anon_sym_override] = ACTIONS(2237),
    [anon_sym_module] = ACTIONS(2237),
    [anon_sym_any] = ACTIONS(2237),
    [anon_sym_number] = ACTIONS(2237),
    [anon_sym_boolean] = ACTIONS(2237),
    [anon_sym_string] = ACTIONS(2237),
    [anon_sym_symbol] = ACTIONS(2237),
    [anon_sym_object] = ACTIONS(2237),
    [anon_sym_abstract] = ACTIONS(2237),
    [anon_sym_interface] = ACTIONS(2237),
    [anon_sym_enum] = ACTIONS(2237),
    [sym__automatic_semicolon] = ACTIONS(2291),
    [sym_html_comment] = ACTIONS(5),
  },
  [1160] = {
    [sym_comment] = STATE(1160),
    [sym_identifier] = ACTIONS(3336),
    [anon_sym_export] = ACTIONS(3336),
    [anon_sym_default] = ACTIONS(3336),
    [anon_sym_type] = ACTIONS(3336),
    [anon_sym_namespace] = ACTIONS(3336),
    [anon_sym_LBRACE] = ACTIONS(3336),
    [anon_sym_RBRACE] = ACTIONS(3336),
    [anon_sym_typeof] = ACTIONS(3336),
    [anon_sym_import] = ACTIONS(3336),
    [anon_sym_with] = ACTIONS(3336),
    [anon_sym_var] = ACTIONS(3336),
    [anon_sym_let] = ACTIONS(3336),
    [anon_sym_const] = ACTIONS(3336),
    [anon_sym_BANG] = ACTIONS(3336),
    [anon_sym_else] = ACTIONS(3336),
    [anon_sym_if] = ACTIONS(3336),
    [anon_sym_switch] = ACTIONS(3336),
    [anon_sym_for] = ACTIONS(3336),
    [anon_sym_LPAREN] = ACTIONS(3336),
    [anon_sym_await] = ACTIONS(3336),
    [anon_sym_while] = ACTIONS(3336),
    [anon_sym_do] = ACTIONS(3336),
    [anon_sym_try] = ACTIONS(3336),
    [anon_sym_break] = ACTIONS(3336),
    [anon_sym_continue] = ACTIONS(3336),
    [anon_sym_debugger] = ACTIONS(3336),
    [anon_sym_return] = ACTIONS(3336),
    [anon_sym_throw] = ACTIONS(3336),
    [anon_sym_SEMI] = ACTIONS(3336),
    [anon_sym_case] = ACTIONS(3336),
    [anon_sym_yield] = ACTIONS(3336),
    [anon_sym_LBRACK] = ACTIONS(3336),
    [anon_sym_LTtemplate_GT] = ACTIONS(3336),
    [anon_sym_DQUOTE] = ACTIONS(3336),
    [anon_sym_SQUOTE] = ACTIONS(3336),
    [anon_sym_class] = ACTIONS(3336),
    [anon_sym_async] = ACTIONS(3336),
    [anon_sym_function] = ACTIONS(3336),
    [anon_sym_new] = ACTIONS(3336),
    [anon_sym_using] = ACTIONS(3336),
    [anon_sym_PLUS] = ACTIONS(3336),
    [anon_sym_DASH] = ACTIONS(3336),
    [anon_sym_SLASH] = ACTIONS(3336),
    [anon_sym_LT] = ACTIONS(3336),
    [anon_sym_TILDE] = ACTIONS(3336),
    [anon_sym_void] = ACTIONS(3336),
    [anon_sym_delete] = ACTIONS(3336),
    [anon_sym_PLUS_PLUS] = ACTIONS(3336),
    [anon_sym_DASH_DASH] = ACTIONS(3336),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3336),
    [sym_number] = ACTIONS(3336),
    [sym_private_property_identifier] = ACTIONS(3336),
    [sym_this] = ACTIONS(3336),
    [sym_super] = ACTIONS(3336),
    [sym_true] = ACTIONS(3336),
    [sym_false] = ACTIONS(3336),
    [sym_null] = ACTIONS(3336),
    [sym_undefined] = ACTIONS(3336),
    [anon_sym_AT] = ACTIONS(3336),
    [anon_sym_static] = ACTIONS(3336),
    [anon_sym_readonly] = ACTIONS(3336),
    [anon_sym_get] = ACTIONS(3336),
    [anon_sym_set] = ACTIONS(3336),
    [anon_sym_declare] = ACTIONS(3336),
    [anon_sym_public] = ACTIONS(3336),
    [anon_sym_private] = ACTIONS(3336),
    [anon_sym_protected] = ACTIONS(3336),
    [anon_sym_override] = ACTIONS(3336),
    [anon_sym_module] = ACTIONS(3336),
    [anon_sym_any] = ACTIONS(3336),
    [anon_sym_number] = ACTIONS(3336),
    [anon_sym_boolean] = ACTIONS(3336),
    [anon_sym_string] = ACTIONS(3336),
    [anon_sym_symbol] = ACTIONS(3336),
    [anon_sym_object] = ACTIONS(3336),
    [anon_sym_abstract] = ACTIONS(3336),
    [anon_sym_interface] = ACTIONS(3336),
    [anon_sym_enum] = ACTIONS(3336),
    [sym_html_comment] = ACTIONS(5),
  },
  [1161] = {
    [sym_finally_clause] = STATE(1678),
    [sym_comment] = STATE(1161),
    [ts_builtin_sym_end] = ACTIONS(3098),
    [sym_identifier] = ACTIONS(3056),
    [anon_sym_export] = ACTIONS(3056),
    [anon_sym_type] = ACTIONS(3056),
    [anon_sym_namespace] = ACTIONS(3056),
    [anon_sym_LBRACE] = ACTIONS(3056),
    [anon_sym_RBRACE] = ACTIONS(3056),
    [anon_sym_typeof] = ACTIONS(3056),
    [anon_sym_import] = ACTIONS(3056),
    [anon_sym_with] = ACTIONS(3056),
    [anon_sym_var] = ACTIONS(3056),
    [anon_sym_let] = ACTIONS(3056),
    [anon_sym_const] = ACTIONS(3056),
    [anon_sym_BANG] = ACTIONS(3056),
    [anon_sym_if] = ACTIONS(3056),
    [anon_sym_switch] = ACTIONS(3056),
    [anon_sym_for] = ACTIONS(3056),
    [anon_sym_LPAREN] = ACTIONS(3056),
    [anon_sym_await] = ACTIONS(3056),
    [anon_sym_while] = ACTIONS(3056),
    [anon_sym_do] = ACTIONS(3056),
    [anon_sym_try] = ACTIONS(3056),
    [anon_sym_break] = ACTIONS(3056),
    [anon_sym_continue] = ACTIONS(3056),
    [anon_sym_debugger] = ACTIONS(3056),
    [anon_sym_return] = ACTIONS(3056),
    [anon_sym_throw] = ACTIONS(3056),
    [anon_sym_SEMI] = ACTIONS(3056),
    [anon_sym_finally] = ACTIONS(3048),
    [anon_sym_yield] = ACTIONS(3056),
    [anon_sym_LBRACK] = ACTIONS(3056),
    [anon_sym_LTtemplate_GT] = ACTIONS(3056),
    [anon_sym_DQUOTE] = ACTIONS(3056),
    [anon_sym_SQUOTE] = ACTIONS(3056),
    [anon_sym_class] = ACTIONS(3056),
    [anon_sym_async] = ACTIONS(3056),
    [anon_sym_function] = ACTIONS(3056),
    [anon_sym_new] = ACTIONS(3056),
    [anon_sym_using] = ACTIONS(3056),
    [anon_sym_PLUS] = ACTIONS(3056),
    [anon_sym_DASH] = ACTIONS(3056),
    [anon_sym_SLASH] = ACTIONS(3056),
    [anon_sym_LT] = ACTIONS(3056),
    [anon_sym_TILDE] = ACTIONS(3056),
    [anon_sym_void] = ACTIONS(3056),
    [anon_sym_delete] = ACTIONS(3056),
    [anon_sym_PLUS_PLUS] = ACTIONS(3056),
    [anon_sym_DASH_DASH] = ACTIONS(3056),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3056),
    [sym_number] = ACTIONS(3056),
    [sym_private_property_identifier] = ACTIONS(3056),
    [sym_this] = ACTIONS(3056),
    [sym_super] = ACTIONS(3056),
    [sym_true] = ACTIONS(3056),
    [sym_false] = ACTIONS(3056),
    [sym_null] = ACTIONS(3056),
    [sym_undefined] = ACTIONS(3056),
    [anon_sym_AT] = ACTIONS(3056),
    [anon_sym_static] = ACTIONS(3056),
    [anon_sym_readonly] = ACTIONS(3056),
    [anon_sym_get] = ACTIONS(3056),
    [anon_sym_set] = ACTIONS(3056),
    [anon_sym_declare] = ACTIONS(3056),
    [anon_sym_public] = ACTIONS(3056),
    [anon_sym_private] = ACTIONS(3056),
    [anon_sym_protected] = ACTIONS(3056),
    [anon_sym_override] = ACTIONS(3056),
    [anon_sym_module] = ACTIONS(3056),
    [anon_sym_any] = ACTIONS(3056),
    [anon_sym_number] = ACTIONS(3056),
    [anon_sym_boolean] = ACTIONS(3056),
    [anon_sym_string] = ACTIONS(3056),
    [anon_sym_symbol] = ACTIONS(3056),
    [anon_sym_object] = ACTIONS(3056),
    [anon_sym_abstract] = ACTIONS(3056),
    [anon_sym_interface] = ACTIONS(3056),
    [anon_sym_enum] = ACTIONS(3056),
    [sym_html_comment] = ACTIONS(5),
  },
  [1162] = {
    [sym_comment] = STATE(1162),
    [sym_identifier] = ACTIONS(3336),
    [anon_sym_export] = ACTIONS(3336),
    [anon_sym_default] = ACTIONS(3336),
    [anon_sym_type] = ACTIONS(3336),
    [anon_sym_namespace] = ACTIONS(3336),
    [anon_sym_LBRACE] = ACTIONS(3336),
    [anon_sym_RBRACE] = ACTIONS(3336),
    [anon_sym_typeof] = ACTIONS(3336),
    [anon_sym_import] = ACTIONS(3336),
    [anon_sym_with] = ACTIONS(3336),
    [anon_sym_var] = ACTIONS(3336),
    [anon_sym_let] = ACTIONS(3336),
    [anon_sym_const] = ACTIONS(3336),
    [anon_sym_BANG] = ACTIONS(3336),
    [anon_sym_else] = ACTIONS(3336),
    [anon_sym_if] = ACTIONS(3336),
    [anon_sym_switch] = ACTIONS(3336),
    [anon_sym_for] = ACTIONS(3336),
    [anon_sym_LPAREN] = ACTIONS(3336),
    [anon_sym_await] = ACTIONS(3336),
    [anon_sym_while] = ACTIONS(3336),
    [anon_sym_do] = ACTIONS(3336),
    [anon_sym_try] = ACTIONS(3336),
    [anon_sym_break] = ACTIONS(3336),
    [anon_sym_continue] = ACTIONS(3336),
    [anon_sym_debugger] = ACTIONS(3336),
    [anon_sym_return] = ACTIONS(3336),
    [anon_sym_throw] = ACTIONS(3336),
    [anon_sym_SEMI] = ACTIONS(3336),
    [anon_sym_case] = ACTIONS(3336),
    [anon_sym_yield] = ACTIONS(3336),
    [anon_sym_LBRACK] = ACTIONS(3336),
    [anon_sym_LTtemplate_GT] = ACTIONS(3336),
    [anon_sym_DQUOTE] = ACTIONS(3336),
    [anon_sym_SQUOTE] = ACTIONS(3336),
    [anon_sym_class] = ACTIONS(3336),
    [anon_sym_async] = ACTIONS(3336),
    [anon_sym_function] = ACTIONS(3336),
    [anon_sym_new] = ACTIONS(3336),
    [anon_sym_using] = ACTIONS(3336),
    [anon_sym_PLUS] = ACTIONS(3336),
    [anon_sym_DASH] = ACTIONS(3336),
    [anon_sym_SLASH] = ACTIONS(3336),
    [anon_sym_LT] = ACTIONS(3336),
    [anon_sym_TILDE] = ACTIONS(3336),
    [anon_sym_void] = ACTIONS(3336),
    [anon_sym_delete] = ACTIONS(3336),
    [anon_sym_PLUS_PLUS] = ACTIONS(3336),
    [anon_sym_DASH_DASH] = ACTIONS(3336),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3336),
    [sym_number] = ACTIONS(3336),
    [sym_private_property_identifier] = ACTIONS(3336),
    [sym_this] = ACTIONS(3336),
    [sym_super] = ACTIONS(3336),
    [sym_true] = ACTIONS(3336),
    [sym_false] = ACTIONS(3336),
    [sym_null] = ACTIONS(3336),
    [sym_undefined] = ACTIONS(3336),
    [anon_sym_AT] = ACTIONS(3336),
    [anon_sym_static] = ACTIONS(3336),
    [anon_sym_readonly] = ACTIONS(3336),
    [anon_sym_get] = ACTIONS(3336),
    [anon_sym_set] = ACTIONS(3336),
    [anon_sym_declare] = ACTIONS(3336),
    [anon_sym_public] = ACTIONS(3336),
    [anon_sym_private] = ACTIONS(3336),
    [anon_sym_protected] = ACTIONS(3336),
    [anon_sym_override] = ACTIONS(3336),
    [anon_sym_module] = ACTIONS(3336),
    [anon_sym_any] = ACTIONS(3336),
    [anon_sym_number] = ACTIONS(3336),
    [anon_sym_boolean] = ACTIONS(3336),
    [anon_sym_string] = ACTIONS(3336),
    [anon_sym_symbol] = ACTIONS(3336),
    [anon_sym_object] = ACTIONS(3336),
    [anon_sym_abstract] = ACTIONS(3336),
    [anon_sym_interface] = ACTIONS(3336),
    [anon_sym_enum] = ACTIONS(3336),
    [sym_html_comment] = ACTIONS(5),
  },
  [1163] = {
    [sym_comment] = STATE(1163),
    [sym_identifier] = ACTIONS(3336),
    [anon_sym_export] = ACTIONS(3336),
    [anon_sym_default] = ACTIONS(3336),
    [anon_sym_type] = ACTIONS(3336),
    [anon_sym_namespace] = ACTIONS(3336),
    [anon_sym_LBRACE] = ACTIONS(3336),
    [anon_sym_RBRACE] = ACTIONS(3336),
    [anon_sym_typeof] = ACTIONS(3336),
    [anon_sym_import] = ACTIONS(3336),
    [anon_sym_with] = ACTIONS(3336),
    [anon_sym_var] = ACTIONS(3336),
    [anon_sym_let] = ACTIONS(3336),
    [anon_sym_const] = ACTIONS(3336),
    [anon_sym_BANG] = ACTIONS(3336),
    [anon_sym_else] = ACTIONS(3336),
    [anon_sym_if] = ACTIONS(3336),
    [anon_sym_switch] = ACTIONS(3336),
    [anon_sym_for] = ACTIONS(3336),
    [anon_sym_LPAREN] = ACTIONS(3336),
    [anon_sym_await] = ACTIONS(3336),
    [anon_sym_while] = ACTIONS(3336),
    [anon_sym_do] = ACTIONS(3336),
    [anon_sym_try] = ACTIONS(3336),
    [anon_sym_break] = ACTIONS(3336),
    [anon_sym_continue] = ACTIONS(3336),
    [anon_sym_debugger] = ACTIONS(3336),
    [anon_sym_return] = ACTIONS(3336),
    [anon_sym_throw] = ACTIONS(3336),
    [anon_sym_SEMI] = ACTIONS(3336),
    [anon_sym_case] = ACTIONS(3336),
    [anon_sym_yield] = ACTIONS(3336),
    [anon_sym_LBRACK] = ACTIONS(3336),
    [anon_sym_LTtemplate_GT] = ACTIONS(3336),
    [anon_sym_DQUOTE] = ACTIONS(3336),
    [anon_sym_SQUOTE] = ACTIONS(3336),
    [anon_sym_class] = ACTIONS(3336),
    [anon_sym_async] = ACTIONS(3336),
    [anon_sym_function] = ACTIONS(3336),
    [anon_sym_new] = ACTIONS(3336),
    [anon_sym_using] = ACTIONS(3336),
    [anon_sym_PLUS] = ACTIONS(3336),
    [anon_sym_DASH] = ACTIONS(3336),
    [anon_sym_SLASH] = ACTIONS(3336),
    [anon_sym_LT] = ACTIONS(3336),
    [anon_sym_TILDE] = ACTIONS(3336),
    [anon_sym_void] = ACTIONS(3336),
    [anon_sym_delete] = ACTIONS(3336),
    [anon_sym_PLUS_PLUS] = ACTIONS(3336),
    [anon_sym_DASH_DASH] = ACTIONS(3336),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3336),
    [sym_number] = ACTIONS(3336),
    [sym_private_property_identifier] = ACTIONS(3336),
    [sym_this] = ACTIONS(3336),
    [sym_super] = ACTIONS(3336),
    [sym_true] = ACTIONS(3336),
    [sym_false] = ACTIONS(3336),
    [sym_null] = ACTIONS(3336),
    [sym_undefined] = ACTIONS(3336),
    [anon_sym_AT] = ACTIONS(3336),
    [anon_sym_static] = ACTIONS(3336),
    [anon_sym_readonly] = ACTIONS(3336),
    [anon_sym_get] = ACTIONS(3336),
    [anon_sym_set] = ACTIONS(3336),
    [anon_sym_declare] = ACTIONS(3336),
    [anon_sym_public] = ACTIONS(3336),
    [anon_sym_private] = ACTIONS(3336),
    [anon_sym_protected] = ACTIONS(3336),
    [anon_sym_override] = ACTIONS(3336),
    [anon_sym_module] = ACTIONS(3336),
    [anon_sym_any] = ACTIONS(3336),
    [anon_sym_number] = ACTIONS(3336),
    [anon_sym_boolean] = ACTIONS(3336),
    [anon_sym_string] = ACTIONS(3336),
    [anon_sym_symbol] = ACTIONS(3336),
    [anon_sym_object] = ACTIONS(3336),
    [anon_sym_abstract] = ACTIONS(3336),
    [anon_sym_interface] = ACTIONS(3336),
    [anon_sym_enum] = ACTIONS(3336),
    [sym_html_comment] = ACTIONS(5),
  },
  [1164] = {
    [sym_comment] = STATE(1164),
    [sym_identifier] = ACTIONS(3336),
    [anon_sym_export] = ACTIONS(3336),
    [anon_sym_default] = ACTIONS(3336),
    [anon_sym_type] = ACTIONS(3336),
    [anon_sym_namespace] = ACTIONS(3336),
    [anon_sym_LBRACE] = ACTIONS(3336),
    [anon_sym_RBRACE] = ACTIONS(3336),
    [anon_sym_typeof] = ACTIONS(3336),
    [anon_sym_import] = ACTIONS(3336),
    [anon_sym_with] = ACTIONS(3336),
    [anon_sym_var] = ACTIONS(3336),
    [anon_sym_let] = ACTIONS(3336),
    [anon_sym_const] = ACTIONS(3336),
    [anon_sym_BANG] = ACTIONS(3336),
    [anon_sym_else] = ACTIONS(3336),
    [anon_sym_if] = ACTIONS(3336),
    [anon_sym_switch] = ACTIONS(3336),
    [anon_sym_for] = ACTIONS(3336),
    [anon_sym_LPAREN] = ACTIONS(3336),
    [anon_sym_await] = ACTIONS(3336),
    [anon_sym_while] = ACTIONS(3336),
    [anon_sym_do] = ACTIONS(3336),
    [anon_sym_try] = ACTIONS(3336),
    [anon_sym_break] = ACTIONS(3336),
    [anon_sym_continue] = ACTIONS(3336),
    [anon_sym_debugger] = ACTIONS(3336),
    [anon_sym_return] = ACTIONS(3336),
    [anon_sym_throw] = ACTIONS(3336),
    [anon_sym_SEMI] = ACTIONS(3336),
    [anon_sym_case] = ACTIONS(3336),
    [anon_sym_yield] = ACTIONS(3336),
    [anon_sym_LBRACK] = ACTIONS(3336),
    [anon_sym_LTtemplate_GT] = ACTIONS(3336),
    [anon_sym_DQUOTE] = ACTIONS(3336),
    [anon_sym_SQUOTE] = ACTIONS(3336),
    [anon_sym_class] = ACTIONS(3336),
    [anon_sym_async] = ACTIONS(3336),
    [anon_sym_function] = ACTIONS(3336),
    [anon_sym_new] = ACTIONS(3336),
    [anon_sym_using] = ACTIONS(3336),
    [anon_sym_PLUS] = ACTIONS(3336),
    [anon_sym_DASH] = ACTIONS(3336),
    [anon_sym_SLASH] = ACTIONS(3336),
    [anon_sym_LT] = ACTIONS(3336),
    [anon_sym_TILDE] = ACTIONS(3336),
    [anon_sym_void] = ACTIONS(3336),
    [anon_sym_delete] = ACTIONS(3336),
    [anon_sym_PLUS_PLUS] = ACTIONS(3336),
    [anon_sym_DASH_DASH] = ACTIONS(3336),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3336),
    [sym_number] = ACTIONS(3336),
    [sym_private_property_identifier] = ACTIONS(3336),
    [sym_this] = ACTIONS(3336),
    [sym_super] = ACTIONS(3336),
    [sym_true] = ACTIONS(3336),
    [sym_false] = ACTIONS(3336),
    [sym_null] = ACTIONS(3336),
    [sym_undefined] = ACTIONS(3336),
    [anon_sym_AT] = ACTIONS(3336),
    [anon_sym_static] = ACTIONS(3336),
    [anon_sym_readonly] = ACTIONS(3336),
    [anon_sym_get] = ACTIONS(3336),
    [anon_sym_set] = ACTIONS(3336),
    [anon_sym_declare] = ACTIONS(3336),
    [anon_sym_public] = ACTIONS(3336),
    [anon_sym_private] = ACTIONS(3336),
    [anon_sym_protected] = ACTIONS(3336),
    [anon_sym_override] = ACTIONS(3336),
    [anon_sym_module] = ACTIONS(3336),
    [anon_sym_any] = ACTIONS(3336),
    [anon_sym_number] = ACTIONS(3336),
    [anon_sym_boolean] = ACTIONS(3336),
    [anon_sym_string] = ACTIONS(3336),
    [anon_sym_symbol] = ACTIONS(3336),
    [anon_sym_object] = ACTIONS(3336),
    [anon_sym_abstract] = ACTIONS(3336),
    [anon_sym_interface] = ACTIONS(3336),
    [anon_sym_enum] = ACTIONS(3336),
    [sym_html_comment] = ACTIONS(5),
  },
  [1165] = {
    [sym_comment] = STATE(1165),
    [sym_identifier] = ACTIONS(3336),
    [anon_sym_export] = ACTIONS(3336),
    [anon_sym_default] = ACTIONS(3336),
    [anon_sym_type] = ACTIONS(3336),
    [anon_sym_namespace] = ACTIONS(3336),
    [anon_sym_LBRACE] = ACTIONS(3336),
    [anon_sym_RBRACE] = ACTIONS(3336),
    [anon_sym_typeof] = ACTIONS(3336),
    [anon_sym_import] = ACTIONS(3336),
    [anon_sym_with] = ACTIONS(3336),
    [anon_sym_var] = ACTIONS(3336),
    [anon_sym_let] = ACTIONS(3336),
    [anon_sym_const] = ACTIONS(3336),
    [anon_sym_BANG] = ACTIONS(3336),
    [anon_sym_else] = ACTIONS(3336),
    [anon_sym_if] = ACTIONS(3336),
    [anon_sym_switch] = ACTIONS(3336),
    [anon_sym_for] = ACTIONS(3336),
    [anon_sym_LPAREN] = ACTIONS(3336),
    [anon_sym_await] = ACTIONS(3336),
    [anon_sym_while] = ACTIONS(3336),
    [anon_sym_do] = ACTIONS(3336),
    [anon_sym_try] = ACTIONS(3336),
    [anon_sym_break] = ACTIONS(3336),
    [anon_sym_continue] = ACTIONS(3336),
    [anon_sym_debugger] = ACTIONS(3336),
    [anon_sym_return] = ACTIONS(3336),
    [anon_sym_throw] = ACTIONS(3336),
    [anon_sym_SEMI] = ACTIONS(3336),
    [anon_sym_case] = ACTIONS(3336),
    [anon_sym_yield] = ACTIONS(3336),
    [anon_sym_LBRACK] = ACTIONS(3336),
    [anon_sym_LTtemplate_GT] = ACTIONS(3336),
    [anon_sym_DQUOTE] = ACTIONS(3336),
    [anon_sym_SQUOTE] = ACTIONS(3336),
    [anon_sym_class] = ACTIONS(3336),
    [anon_sym_async] = ACTIONS(3336),
    [anon_sym_function] = ACTIONS(3336),
    [anon_sym_new] = ACTIONS(3336),
    [anon_sym_using] = ACTIONS(3336),
    [anon_sym_PLUS] = ACTIONS(3336),
    [anon_sym_DASH] = ACTIONS(3336),
    [anon_sym_SLASH] = ACTIONS(3336),
    [anon_sym_LT] = ACTIONS(3336),
    [anon_sym_TILDE] = ACTIONS(3336),
    [anon_sym_void] = ACTIONS(3336),
    [anon_sym_delete] = ACTIONS(3336),
    [anon_sym_PLUS_PLUS] = ACTIONS(3336),
    [anon_sym_DASH_DASH] = ACTIONS(3336),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3336),
    [sym_number] = ACTIONS(3336),
    [sym_private_property_identifier] = ACTIONS(3336),
    [sym_this] = ACTIONS(3336),
    [sym_super] = ACTIONS(3336),
    [sym_true] = ACTIONS(3336),
    [sym_false] = ACTIONS(3336),
    [sym_null] = ACTIONS(3336),
    [sym_undefined] = ACTIONS(3336),
    [anon_sym_AT] = ACTIONS(3336),
    [anon_sym_static] = ACTIONS(3336),
    [anon_sym_readonly] = ACTIONS(3336),
    [anon_sym_get] = ACTIONS(3336),
    [anon_sym_set] = ACTIONS(3336),
    [anon_sym_declare] = ACTIONS(3336),
    [anon_sym_public] = ACTIONS(3336),
    [anon_sym_private] = ACTIONS(3336),
    [anon_sym_protected] = ACTIONS(3336),
    [anon_sym_override] = ACTIONS(3336),
    [anon_sym_module] = ACTIONS(3336),
    [anon_sym_any] = ACTIONS(3336),
    [anon_sym_number] = ACTIONS(3336),
    [anon_sym_boolean] = ACTIONS(3336),
    [anon_sym_string] = ACTIONS(3336),
    [anon_sym_symbol] = ACTIONS(3336),
    [anon_sym_object] = ACTIONS(3336),
    [anon_sym_abstract] = ACTIONS(3336),
    [anon_sym_interface] = ACTIONS(3336),
    [anon_sym_enum] = ACTIONS(3336),
    [sym_html_comment] = ACTIONS(5),
  },
  [1166] = {
    [sym_comment] = STATE(1166),
    [sym_identifier] = ACTIONS(3336),
    [anon_sym_export] = ACTIONS(3336),
    [anon_sym_default] = ACTIONS(3336),
    [anon_sym_type] = ACTIONS(3336),
    [anon_sym_namespace] = ACTIONS(3336),
    [anon_sym_LBRACE] = ACTIONS(3336),
    [anon_sym_RBRACE] = ACTIONS(3336),
    [anon_sym_typeof] = ACTIONS(3336),
    [anon_sym_import] = ACTIONS(3336),
    [anon_sym_with] = ACTIONS(3336),
    [anon_sym_var] = ACTIONS(3336),
    [anon_sym_let] = ACTIONS(3336),
    [anon_sym_const] = ACTIONS(3336),
    [anon_sym_BANG] = ACTIONS(3336),
    [anon_sym_else] = ACTIONS(3336),
    [anon_sym_if] = ACTIONS(3336),
    [anon_sym_switch] = ACTIONS(3336),
    [anon_sym_for] = ACTIONS(3336),
    [anon_sym_LPAREN] = ACTIONS(3336),
    [anon_sym_await] = ACTIONS(3336),
    [anon_sym_while] = ACTIONS(3336),
    [anon_sym_do] = ACTIONS(3336),
    [anon_sym_try] = ACTIONS(3336),
    [anon_sym_break] = ACTIONS(3336),
    [anon_sym_continue] = ACTIONS(3336),
    [anon_sym_debugger] = ACTIONS(3336),
    [anon_sym_return] = ACTIONS(3336),
    [anon_sym_throw] = ACTIONS(3336),
    [anon_sym_SEMI] = ACTIONS(3336),
    [anon_sym_case] = ACTIONS(3336),
    [anon_sym_yield] = ACTIONS(3336),
    [anon_sym_LBRACK] = ACTIONS(3336),
    [anon_sym_LTtemplate_GT] = ACTIONS(3336),
    [anon_sym_DQUOTE] = ACTIONS(3336),
    [anon_sym_SQUOTE] = ACTIONS(3336),
    [anon_sym_class] = ACTIONS(3336),
    [anon_sym_async] = ACTIONS(3336),
    [anon_sym_function] = ACTIONS(3336),
    [anon_sym_new] = ACTIONS(3336),
    [anon_sym_using] = ACTIONS(3336),
    [anon_sym_PLUS] = ACTIONS(3336),
    [anon_sym_DASH] = ACTIONS(3336),
    [anon_sym_SLASH] = ACTIONS(3336),
    [anon_sym_LT] = ACTIONS(3336),
    [anon_sym_TILDE] = ACTIONS(3336),
    [anon_sym_void] = ACTIONS(3336),
    [anon_sym_delete] = ACTIONS(3336),
    [anon_sym_PLUS_PLUS] = ACTIONS(3336),
    [anon_sym_DASH_DASH] = ACTIONS(3336),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3336),
    [sym_number] = ACTIONS(3336),
    [sym_private_property_identifier] = ACTIONS(3336),
    [sym_this] = ACTIONS(3336),
    [sym_super] = ACTIONS(3336),
    [sym_true] = ACTIONS(3336),
    [sym_false] = ACTIONS(3336),
    [sym_null] = ACTIONS(3336),
    [sym_undefined] = ACTIONS(3336),
    [anon_sym_AT] = ACTIONS(3336),
    [anon_sym_static] = ACTIONS(3336),
    [anon_sym_readonly] = ACTIONS(3336),
    [anon_sym_get] = ACTIONS(3336),
    [anon_sym_set] = ACTIONS(3336),
    [anon_sym_declare] = ACTIONS(3336),
    [anon_sym_public] = ACTIONS(3336),
    [anon_sym_private] = ACTIONS(3336),
    [anon_sym_protected] = ACTIONS(3336),
    [anon_sym_override] = ACTIONS(3336),
    [anon_sym_module] = ACTIONS(3336),
    [anon_sym_any] = ACTIONS(3336),
    [anon_sym_number] = ACTIONS(3336),
    [anon_sym_boolean] = ACTIONS(3336),
    [anon_sym_string] = ACTIONS(3336),
    [anon_sym_symbol] = ACTIONS(3336),
    [anon_sym_object] = ACTIONS(3336),
    [anon_sym_abstract] = ACTIONS(3336),
    [anon_sym_interface] = ACTIONS(3336),
    [anon_sym_enum] = ACTIONS(3336),
    [sym_html_comment] = ACTIONS(5),
  },
  [1167] = {
    [sym_comment] = STATE(1167),
    [sym_identifier] = ACTIONS(3336),
    [anon_sym_export] = ACTIONS(3336),
    [anon_sym_default] = ACTIONS(3336),
    [anon_sym_type] = ACTIONS(3336),
    [anon_sym_namespace] = ACTIONS(3336),
    [anon_sym_LBRACE] = ACTIONS(3336),
    [anon_sym_RBRACE] = ACTIONS(3336),
    [anon_sym_typeof] = ACTIONS(3336),
    [anon_sym_import] = ACTIONS(3336),
    [anon_sym_with] = ACTIONS(3336),
    [anon_sym_var] = ACTIONS(3336),
    [anon_sym_let] = ACTIONS(3336),
    [anon_sym_const] = ACTIONS(3336),
    [anon_sym_BANG] = ACTIONS(3336),
    [anon_sym_else] = ACTIONS(3336),
    [anon_sym_if] = ACTIONS(3336),
    [anon_sym_switch] = ACTIONS(3336),
    [anon_sym_for] = ACTIONS(3336),
    [anon_sym_LPAREN] = ACTIONS(3336),
    [anon_sym_await] = ACTIONS(3336),
    [anon_sym_while] = ACTIONS(3336),
    [anon_sym_do] = ACTIONS(3336),
    [anon_sym_try] = ACTIONS(3336),
    [anon_sym_break] = ACTIONS(3336),
    [anon_sym_continue] = ACTIONS(3336),
    [anon_sym_debugger] = ACTIONS(3336),
    [anon_sym_return] = ACTIONS(3336),
    [anon_sym_throw] = ACTIONS(3336),
    [anon_sym_SEMI] = ACTIONS(3336),
    [anon_sym_case] = ACTIONS(3336),
    [anon_sym_yield] = ACTIONS(3336),
    [anon_sym_LBRACK] = ACTIONS(3336),
    [anon_sym_LTtemplate_GT] = ACTIONS(3336),
    [anon_sym_DQUOTE] = ACTIONS(3336),
    [anon_sym_SQUOTE] = ACTIONS(3336),
    [anon_sym_class] = ACTIONS(3336),
    [anon_sym_async] = ACTIONS(3336),
    [anon_sym_function] = ACTIONS(3336),
    [anon_sym_new] = ACTIONS(3336),
    [anon_sym_using] = ACTIONS(3336),
    [anon_sym_PLUS] = ACTIONS(3336),
    [anon_sym_DASH] = ACTIONS(3336),
    [anon_sym_SLASH] = ACTIONS(3336),
    [anon_sym_LT] = ACTIONS(3336),
    [anon_sym_TILDE] = ACTIONS(3336),
    [anon_sym_void] = ACTIONS(3336),
    [anon_sym_delete] = ACTIONS(3336),
    [anon_sym_PLUS_PLUS] = ACTIONS(3336),
    [anon_sym_DASH_DASH] = ACTIONS(3336),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3336),
    [sym_number] = ACTIONS(3336),
    [sym_private_property_identifier] = ACTIONS(3336),
    [sym_this] = ACTIONS(3336),
    [sym_super] = ACTIONS(3336),
    [sym_true] = ACTIONS(3336),
    [sym_false] = ACTIONS(3336),
    [sym_null] = ACTIONS(3336),
    [sym_undefined] = ACTIONS(3336),
    [anon_sym_AT] = ACTIONS(3336),
    [anon_sym_static] = ACTIONS(3336),
    [anon_sym_readonly] = ACTIONS(3336),
    [anon_sym_get] = ACTIONS(3336),
    [anon_sym_set] = ACTIONS(3336),
    [anon_sym_declare] = ACTIONS(3336),
    [anon_sym_public] = ACTIONS(3336),
    [anon_sym_private] = ACTIONS(3336),
    [anon_sym_protected] = ACTIONS(3336),
    [anon_sym_override] = ACTIONS(3336),
    [anon_sym_module] = ACTIONS(3336),
    [anon_sym_any] = ACTIONS(3336),
    [anon_sym_number] = ACTIONS(3336),
    [anon_sym_boolean] = ACTIONS(3336),
    [anon_sym_string] = ACTIONS(3336),
    [anon_sym_symbol] = ACTIONS(3336),
    [anon_sym_object] = ACTIONS(3336),
    [anon_sym_abstract] = ACTIONS(3336),
    [anon_sym_interface] = ACTIONS(3336),
    [anon_sym_enum] = ACTIONS(3336),
    [sym_html_comment] = ACTIONS(5),
  },
  [1168] = {
    [sym_else_clause] = STATE(1717),
    [sym_comment] = STATE(1168),
    [ts_builtin_sym_end] = ACTIONS(3308),
    [sym_identifier] = ACTIONS(3068),
    [anon_sym_export] = ACTIONS(3068),
    [anon_sym_type] = ACTIONS(3068),
    [anon_sym_namespace] = ACTIONS(3068),
    [anon_sym_LBRACE] = ACTIONS(3068),
    [anon_sym_RBRACE] = ACTIONS(3068),
    [anon_sym_typeof] = ACTIONS(3068),
    [anon_sym_import] = ACTIONS(3068),
    [anon_sym_with] = ACTIONS(3068),
    [anon_sym_var] = ACTIONS(3068),
    [anon_sym_let] = ACTIONS(3068),
    [anon_sym_const] = ACTIONS(3068),
    [anon_sym_BANG] = ACTIONS(3068),
    [anon_sym_else] = ACTIONS(3338),
    [anon_sym_if] = ACTIONS(3068),
    [anon_sym_switch] = ACTIONS(3068),
    [anon_sym_for] = ACTIONS(3068),
    [anon_sym_LPAREN] = ACTIONS(3068),
    [anon_sym_await] = ACTIONS(3068),
    [anon_sym_while] = ACTIONS(3068),
    [anon_sym_do] = ACTIONS(3068),
    [anon_sym_try] = ACTIONS(3068),
    [anon_sym_break] = ACTIONS(3068),
    [anon_sym_continue] = ACTIONS(3068),
    [anon_sym_debugger] = ACTIONS(3068),
    [anon_sym_return] = ACTIONS(3068),
    [anon_sym_throw] = ACTIONS(3068),
    [anon_sym_SEMI] = ACTIONS(3068),
    [anon_sym_yield] = ACTIONS(3068),
    [anon_sym_LBRACK] = ACTIONS(3068),
    [anon_sym_LTtemplate_GT] = ACTIONS(3068),
    [anon_sym_DQUOTE] = ACTIONS(3068),
    [anon_sym_SQUOTE] = ACTIONS(3068),
    [anon_sym_class] = ACTIONS(3068),
    [anon_sym_async] = ACTIONS(3068),
    [anon_sym_function] = ACTIONS(3068),
    [anon_sym_new] = ACTIONS(3068),
    [anon_sym_using] = ACTIONS(3068),
    [anon_sym_PLUS] = ACTIONS(3068),
    [anon_sym_DASH] = ACTIONS(3068),
    [anon_sym_SLASH] = ACTIONS(3068),
    [anon_sym_LT] = ACTIONS(3068),
    [anon_sym_TILDE] = ACTIONS(3068),
    [anon_sym_void] = ACTIONS(3068),
    [anon_sym_delete] = ACTIONS(3068),
    [anon_sym_PLUS_PLUS] = ACTIONS(3068),
    [anon_sym_DASH_DASH] = ACTIONS(3068),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3068),
    [sym_number] = ACTIONS(3068),
    [sym_private_property_identifier] = ACTIONS(3068),
    [sym_this] = ACTIONS(3068),
    [sym_super] = ACTIONS(3068),
    [sym_true] = ACTIONS(3068),
    [sym_false] = ACTIONS(3068),
    [sym_null] = ACTIONS(3068),
    [sym_undefined] = ACTIONS(3068),
    [anon_sym_AT] = ACTIONS(3068),
    [anon_sym_static] = ACTIONS(3068),
    [anon_sym_readonly] = ACTIONS(3068),
    [anon_sym_get] = ACTIONS(3068),
    [anon_sym_set] = ACTIONS(3068),
    [anon_sym_declare] = ACTIONS(3068),
    [anon_sym_public] = ACTIONS(3068),
    [anon_sym_private] = ACTIONS(3068),
    [anon_sym_protected] = ACTIONS(3068),
    [anon_sym_override] = ACTIONS(3068),
    [anon_sym_module] = ACTIONS(3068),
    [anon_sym_any] = ACTIONS(3068),
    [anon_sym_number] = ACTIONS(3068),
    [anon_sym_boolean] = ACTIONS(3068),
    [anon_sym_string] = ACTIONS(3068),
    [anon_sym_symbol] = ACTIONS(3068),
    [anon_sym_object] = ACTIONS(3068),
    [anon_sym_abstract] = ACTIONS(3068),
    [anon_sym_interface] = ACTIONS(3068),
    [anon_sym_enum] = ACTIONS(3068),
    [sym_html_comment] = ACTIONS(5),
  },
  [1169] = {
    [sym_comment] = STATE(1169),
    [sym_identifier] = ACTIONS(3336),
    [anon_sym_export] = ACTIONS(3336),
    [anon_sym_default] = ACTIONS(3336),
    [anon_sym_type] = ACTIONS(3336),
    [anon_sym_namespace] = ACTIONS(3336),
    [anon_sym_LBRACE] = ACTIONS(3336),
    [anon_sym_RBRACE] = ACTIONS(3336),
    [anon_sym_typeof] = ACTIONS(3336),
    [anon_sym_import] = ACTIONS(3336),
    [anon_sym_with] = ACTIONS(3336),
    [anon_sym_var] = ACTIONS(3336),
    [anon_sym_let] = ACTIONS(3336),
    [anon_sym_const] = ACTIONS(3336),
    [anon_sym_BANG] = ACTIONS(3336),
    [anon_sym_else] = ACTIONS(3336),
    [anon_sym_if] = ACTIONS(3336),
    [anon_sym_switch] = ACTIONS(3336),
    [anon_sym_for] = ACTIONS(3336),
    [anon_sym_LPAREN] = ACTIONS(3336),
    [anon_sym_await] = ACTIONS(3336),
    [anon_sym_while] = ACTIONS(3336),
    [anon_sym_do] = ACTIONS(3336),
    [anon_sym_try] = ACTIONS(3336),
    [anon_sym_break] = ACTIONS(3336),
    [anon_sym_continue] = ACTIONS(3336),
    [anon_sym_debugger] = ACTIONS(3336),
    [anon_sym_return] = ACTIONS(3336),
    [anon_sym_throw] = ACTIONS(3336),
    [anon_sym_SEMI] = ACTIONS(3336),
    [anon_sym_case] = ACTIONS(3336),
    [anon_sym_yield] = ACTIONS(3336),
    [anon_sym_LBRACK] = ACTIONS(3336),
    [anon_sym_LTtemplate_GT] = ACTIONS(3336),
    [anon_sym_DQUOTE] = ACTIONS(3336),
    [anon_sym_SQUOTE] = ACTIONS(3336),
    [anon_sym_class] = ACTIONS(3336),
    [anon_sym_async] = ACTIONS(3336),
    [anon_sym_function] = ACTIONS(3336),
    [anon_sym_new] = ACTIONS(3336),
    [anon_sym_using] = ACTIONS(3336),
    [anon_sym_PLUS] = ACTIONS(3336),
    [anon_sym_DASH] = ACTIONS(3336),
    [anon_sym_SLASH] = ACTIONS(3336),
    [anon_sym_LT] = ACTIONS(3336),
    [anon_sym_TILDE] = ACTIONS(3336),
    [anon_sym_void] = ACTIONS(3336),
    [anon_sym_delete] = ACTIONS(3336),
    [anon_sym_PLUS_PLUS] = ACTIONS(3336),
    [anon_sym_DASH_DASH] = ACTIONS(3336),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3336),
    [sym_number] = ACTIONS(3336),
    [sym_private_property_identifier] = ACTIONS(3336),
    [sym_this] = ACTIONS(3336),
    [sym_super] = ACTIONS(3336),
    [sym_true] = ACTIONS(3336),
    [sym_false] = ACTIONS(3336),
    [sym_null] = ACTIONS(3336),
    [sym_undefined] = ACTIONS(3336),
    [anon_sym_AT] = ACTIONS(3336),
    [anon_sym_static] = ACTIONS(3336),
    [anon_sym_readonly] = ACTIONS(3336),
    [anon_sym_get] = ACTIONS(3336),
    [anon_sym_set] = ACTIONS(3336),
    [anon_sym_declare] = ACTIONS(3336),
    [anon_sym_public] = ACTIONS(3336),
    [anon_sym_private] = ACTIONS(3336),
    [anon_sym_protected] = ACTIONS(3336),
    [anon_sym_override] = ACTIONS(3336),
    [anon_sym_module] = ACTIONS(3336),
    [anon_sym_any] = ACTIONS(3336),
    [anon_sym_number] = ACTIONS(3336),
    [anon_sym_boolean] = ACTIONS(3336),
    [anon_sym_string] = ACTIONS(3336),
    [anon_sym_symbol] = ACTIONS(3336),
    [anon_sym_object] = ACTIONS(3336),
    [anon_sym_abstract] = ACTIONS(3336),
    [anon_sym_interface] = ACTIONS(3336),
    [anon_sym_enum] = ACTIONS(3336),
    [sym_html_comment] = ACTIONS(5),
  },
  [1170] = {
    [sym_comment] = STATE(1170),
    [sym_identifier] = ACTIONS(3336),
    [anon_sym_export] = ACTIONS(3336),
    [anon_sym_default] = ACTIONS(3336),
    [anon_sym_type] = ACTIONS(3336),
    [anon_sym_namespace] = ACTIONS(3336),
    [anon_sym_LBRACE] = ACTIONS(3336),
    [anon_sym_RBRACE] = ACTIONS(3336),
    [anon_sym_typeof] = ACTIONS(3336),
    [anon_sym_import] = ACTIONS(3336),
    [anon_sym_with] = ACTIONS(3336),
    [anon_sym_var] = ACTIONS(3336),
    [anon_sym_let] = ACTIONS(3336),
    [anon_sym_const] = ACTIONS(3336),
    [anon_sym_BANG] = ACTIONS(3336),
    [anon_sym_else] = ACTIONS(3336),
    [anon_sym_if] = ACTIONS(3336),
    [anon_sym_switch] = ACTIONS(3336),
    [anon_sym_for] = ACTIONS(3336),
    [anon_sym_LPAREN] = ACTIONS(3336),
    [anon_sym_await] = ACTIONS(3336),
    [anon_sym_while] = ACTIONS(3336),
    [anon_sym_do] = ACTIONS(3336),
    [anon_sym_try] = ACTIONS(3336),
    [anon_sym_break] = ACTIONS(3336),
    [anon_sym_continue] = ACTIONS(3336),
    [anon_sym_debugger] = ACTIONS(3336),
    [anon_sym_return] = ACTIONS(3336),
    [anon_sym_throw] = ACTIONS(3336),
    [anon_sym_SEMI] = ACTIONS(3336),
    [anon_sym_case] = ACTIONS(3336),
    [anon_sym_yield] = ACTIONS(3336),
    [anon_sym_LBRACK] = ACTIONS(3336),
    [anon_sym_LTtemplate_GT] = ACTIONS(3336),
    [anon_sym_DQUOTE] = ACTIONS(3336),
    [anon_sym_SQUOTE] = ACTIONS(3336),
    [anon_sym_class] = ACTIONS(3336),
    [anon_sym_async] = ACTIONS(3336),
    [anon_sym_function] = ACTIONS(3336),
    [anon_sym_new] = ACTIONS(3336),
    [anon_sym_using] = ACTIONS(3336),
    [anon_sym_PLUS] = ACTIONS(3336),
    [anon_sym_DASH] = ACTIONS(3336),
    [anon_sym_SLASH] = ACTIONS(3336),
    [anon_sym_LT] = ACTIONS(3336),
    [anon_sym_TILDE] = ACTIONS(3336),
    [anon_sym_void] = ACTIONS(3336),
    [anon_sym_delete] = ACTIONS(3336),
    [anon_sym_PLUS_PLUS] = ACTIONS(3336),
    [anon_sym_DASH_DASH] = ACTIONS(3336),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3336),
    [sym_number] = ACTIONS(3336),
    [sym_private_property_identifier] = ACTIONS(3336),
    [sym_this] = ACTIONS(3336),
    [sym_super] = ACTIONS(3336),
    [sym_true] = ACTIONS(3336),
    [sym_false] = ACTIONS(3336),
    [sym_null] = ACTIONS(3336),
    [sym_undefined] = ACTIONS(3336),
    [anon_sym_AT] = ACTIONS(3336),
    [anon_sym_static] = ACTIONS(3336),
    [anon_sym_readonly] = ACTIONS(3336),
    [anon_sym_get] = ACTIONS(3336),
    [anon_sym_set] = ACTIONS(3336),
    [anon_sym_declare] = ACTIONS(3336),
    [anon_sym_public] = ACTIONS(3336),
    [anon_sym_private] = ACTIONS(3336),
    [anon_sym_protected] = ACTIONS(3336),
    [anon_sym_override] = ACTIONS(3336),
    [anon_sym_module] = ACTIONS(3336),
    [anon_sym_any] = ACTIONS(3336),
    [anon_sym_number] = ACTIONS(3336),
    [anon_sym_boolean] = ACTIONS(3336),
    [anon_sym_string] = ACTIONS(3336),
    [anon_sym_symbol] = ACTIONS(3336),
    [anon_sym_object] = ACTIONS(3336),
    [anon_sym_abstract] = ACTIONS(3336),
    [anon_sym_interface] = ACTIONS(3336),
    [anon_sym_enum] = ACTIONS(3336),
    [sym_html_comment] = ACTIONS(5),
  },
  [1171] = {
    [sym_comment] = STATE(1171),
    [sym_identifier] = ACTIONS(3336),
    [anon_sym_export] = ACTIONS(3336),
    [anon_sym_default] = ACTIONS(3336),
    [anon_sym_type] = ACTIONS(3336),
    [anon_sym_namespace] = ACTIONS(3336),
    [anon_sym_LBRACE] = ACTIONS(3336),
    [anon_sym_RBRACE] = ACTIONS(3336),
    [anon_sym_typeof] = ACTIONS(3336),
    [anon_sym_import] = ACTIONS(3336),
    [anon_sym_with] = ACTIONS(3336),
    [anon_sym_var] = ACTIONS(3336),
    [anon_sym_let] = ACTIONS(3336),
    [anon_sym_const] = ACTIONS(3336),
    [anon_sym_BANG] = ACTIONS(3336),
    [anon_sym_else] = ACTIONS(3336),
    [anon_sym_if] = ACTIONS(3336),
    [anon_sym_switch] = ACTIONS(3336),
    [anon_sym_for] = ACTIONS(3336),
    [anon_sym_LPAREN] = ACTIONS(3336),
    [anon_sym_await] = ACTIONS(3336),
    [anon_sym_while] = ACTIONS(3336),
    [anon_sym_do] = ACTIONS(3336),
    [anon_sym_try] = ACTIONS(3336),
    [anon_sym_break] = ACTIONS(3336),
    [anon_sym_continue] = ACTIONS(3336),
    [anon_sym_debugger] = ACTIONS(3336),
    [anon_sym_return] = ACTIONS(3336),
    [anon_sym_throw] = ACTIONS(3336),
    [anon_sym_SEMI] = ACTIONS(3336),
    [anon_sym_case] = ACTIONS(3336),
    [anon_sym_yield] = ACTIONS(3336),
    [anon_sym_LBRACK] = ACTIONS(3336),
    [anon_sym_LTtemplate_GT] = ACTIONS(3336),
    [anon_sym_DQUOTE] = ACTIONS(3336),
    [anon_sym_SQUOTE] = ACTIONS(3336),
    [anon_sym_class] = ACTIONS(3336),
    [anon_sym_async] = ACTIONS(3336),
    [anon_sym_function] = ACTIONS(3336),
    [anon_sym_new] = ACTIONS(3336),
    [anon_sym_using] = ACTIONS(3336),
    [anon_sym_PLUS] = ACTIONS(3336),
    [anon_sym_DASH] = ACTIONS(3336),
    [anon_sym_SLASH] = ACTIONS(3336),
    [anon_sym_LT] = ACTIONS(3336),
    [anon_sym_TILDE] = ACTIONS(3336),
    [anon_sym_void] = ACTIONS(3336),
    [anon_sym_delete] = ACTIONS(3336),
    [anon_sym_PLUS_PLUS] = ACTIONS(3336),
    [anon_sym_DASH_DASH] = ACTIONS(3336),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3336),
    [sym_number] = ACTIONS(3336),
    [sym_private_property_identifier] = ACTIONS(3336),
    [sym_this] = ACTIONS(3336),
    [sym_super] = ACTIONS(3336),
    [sym_true] = ACTIONS(3336),
    [sym_false] = ACTIONS(3336),
    [sym_null] = ACTIONS(3336),
    [sym_undefined] = ACTIONS(3336),
    [anon_sym_AT] = ACTIONS(3336),
    [anon_sym_static] = ACTIONS(3336),
    [anon_sym_readonly] = ACTIONS(3336),
    [anon_sym_get] = ACTIONS(3336),
    [anon_sym_set] = ACTIONS(3336),
    [anon_sym_declare] = ACTIONS(3336),
    [anon_sym_public] = ACTIONS(3336),
    [anon_sym_private] = ACTIONS(3336),
    [anon_sym_protected] = ACTIONS(3336),
    [anon_sym_override] = ACTIONS(3336),
    [anon_sym_module] = ACTIONS(3336),
    [anon_sym_any] = ACTIONS(3336),
    [anon_sym_number] = ACTIONS(3336),
    [anon_sym_boolean] = ACTIONS(3336),
    [anon_sym_string] = ACTIONS(3336),
    [anon_sym_symbol] = ACTIONS(3336),
    [anon_sym_object] = ACTIONS(3336),
    [anon_sym_abstract] = ACTIONS(3336),
    [anon_sym_interface] = ACTIONS(3336),
    [anon_sym_enum] = ACTIONS(3336),
    [sym_html_comment] = ACTIONS(5),
  },
  [1172] = {
    [sym_comment] = STATE(1172),
    [sym_identifier] = ACTIONS(3336),
    [anon_sym_export] = ACTIONS(3336),
    [anon_sym_default] = ACTIONS(3336),
    [anon_sym_type] = ACTIONS(3336),
    [anon_sym_namespace] = ACTIONS(3336),
    [anon_sym_LBRACE] = ACTIONS(3336),
    [anon_sym_RBRACE] = ACTIONS(3336),
    [anon_sym_typeof] = ACTIONS(3336),
    [anon_sym_import] = ACTIONS(3336),
    [anon_sym_with] = ACTIONS(3336),
    [anon_sym_var] = ACTIONS(3336),
    [anon_sym_let] = ACTIONS(3336),
    [anon_sym_const] = ACTIONS(3336),
    [anon_sym_BANG] = ACTIONS(3336),
    [anon_sym_else] = ACTIONS(3336),
    [anon_sym_if] = ACTIONS(3336),
    [anon_sym_switch] = ACTIONS(3336),
    [anon_sym_for] = ACTIONS(3336),
    [anon_sym_LPAREN] = ACTIONS(3336),
    [anon_sym_await] = ACTIONS(3336),
    [anon_sym_while] = ACTIONS(3336),
    [anon_sym_do] = ACTIONS(3336),
    [anon_sym_try] = ACTIONS(3336),
    [anon_sym_break] = ACTIONS(3336),
    [anon_sym_continue] = ACTIONS(3336),
    [anon_sym_debugger] = ACTIONS(3336),
    [anon_sym_return] = ACTIONS(3336),
    [anon_sym_throw] = ACTIONS(3336),
    [anon_sym_SEMI] = ACTIONS(3336),
    [anon_sym_case] = ACTIONS(3336),
    [anon_sym_yield] = ACTIONS(3336),
    [anon_sym_LBRACK] = ACTIONS(3336),
    [anon_sym_LTtemplate_GT] = ACTIONS(3336),
    [anon_sym_DQUOTE] = ACTIONS(3336),
    [anon_sym_SQUOTE] = ACTIONS(3336),
    [anon_sym_class] = ACTIONS(3336),
    [anon_sym_async] = ACTIONS(3336),
    [anon_sym_function] = ACTIONS(3336),
    [anon_sym_new] = ACTIONS(3336),
    [anon_sym_using] = ACTIONS(3336),
    [anon_sym_PLUS] = ACTIONS(3336),
    [anon_sym_DASH] = ACTIONS(3336),
    [anon_sym_SLASH] = ACTIONS(3336),
    [anon_sym_LT] = ACTIONS(3336),
    [anon_sym_TILDE] = ACTIONS(3336),
    [anon_sym_void] = ACTIONS(3336),
    [anon_sym_delete] = ACTIONS(3336),
    [anon_sym_PLUS_PLUS] = ACTIONS(3336),
    [anon_sym_DASH_DASH] = ACTIONS(3336),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3336),
    [sym_number] = ACTIONS(3336),
    [sym_private_property_identifier] = ACTIONS(3336),
    [sym_this] = ACTIONS(3336),
    [sym_super] = ACTIONS(3336),
    [sym_true] = ACTIONS(3336),
    [sym_false] = ACTIONS(3336),
    [sym_null] = ACTIONS(3336),
    [sym_undefined] = ACTIONS(3336),
    [anon_sym_AT] = ACTIONS(3336),
    [anon_sym_static] = ACTIONS(3336),
    [anon_sym_readonly] = ACTIONS(3336),
    [anon_sym_get] = ACTIONS(3336),
    [anon_sym_set] = ACTIONS(3336),
    [anon_sym_declare] = ACTIONS(3336),
    [anon_sym_public] = ACTIONS(3336),
    [anon_sym_private] = ACTIONS(3336),
    [anon_sym_protected] = ACTIONS(3336),
    [anon_sym_override] = ACTIONS(3336),
    [anon_sym_module] = ACTIONS(3336),
    [anon_sym_any] = ACTIONS(3336),
    [anon_sym_number] = ACTIONS(3336),
    [anon_sym_boolean] = ACTIONS(3336),
    [anon_sym_string] = ACTIONS(3336),
    [anon_sym_symbol] = ACTIONS(3336),
    [anon_sym_object] = ACTIONS(3336),
    [anon_sym_abstract] = ACTIONS(3336),
    [anon_sym_interface] = ACTIONS(3336),
    [anon_sym_enum] = ACTIONS(3336),
    [sym_html_comment] = ACTIONS(5),
  },
  [1173] = {
    [sym_comment] = STATE(1173),
    [sym_identifier] = ACTIONS(3336),
    [anon_sym_export] = ACTIONS(3336),
    [anon_sym_default] = ACTIONS(3336),
    [anon_sym_type] = ACTIONS(3336),
    [anon_sym_namespace] = ACTIONS(3336),
    [anon_sym_LBRACE] = ACTIONS(3336),
    [anon_sym_RBRACE] = ACTIONS(3336),
    [anon_sym_typeof] = ACTIONS(3336),
    [anon_sym_import] = ACTIONS(3336),
    [anon_sym_with] = ACTIONS(3336),
    [anon_sym_var] = ACTIONS(3336),
    [anon_sym_let] = ACTIONS(3336),
    [anon_sym_const] = ACTIONS(3336),
    [anon_sym_BANG] = ACTIONS(3336),
    [anon_sym_else] = ACTIONS(3336),
    [anon_sym_if] = ACTIONS(3336),
    [anon_sym_switch] = ACTIONS(3336),
    [anon_sym_for] = ACTIONS(3336),
    [anon_sym_LPAREN] = ACTIONS(3336),
    [anon_sym_await] = ACTIONS(3336),
    [anon_sym_while] = ACTIONS(3336),
    [anon_sym_do] = ACTIONS(3336),
    [anon_sym_try] = ACTIONS(3336),
    [anon_sym_break] = ACTIONS(3336),
    [anon_sym_continue] = ACTIONS(3336),
    [anon_sym_debugger] = ACTIONS(3336),
    [anon_sym_return] = ACTIONS(3336),
    [anon_sym_throw] = ACTIONS(3336),
    [anon_sym_SEMI] = ACTIONS(3336),
    [anon_sym_case] = ACTIONS(3336),
    [anon_sym_yield] = ACTIONS(3336),
    [anon_sym_LBRACK] = ACTIONS(3336),
    [anon_sym_LTtemplate_GT] = ACTIONS(3336),
    [anon_sym_DQUOTE] = ACTIONS(3336),
    [anon_sym_SQUOTE] = ACTIONS(3336),
    [anon_sym_class] = ACTIONS(3336),
    [anon_sym_async] = ACTIONS(3336),
    [anon_sym_function] = ACTIONS(3336),
    [anon_sym_new] = ACTIONS(3336),
    [anon_sym_using] = ACTIONS(3336),
    [anon_sym_PLUS] = ACTIONS(3336),
    [anon_sym_DASH] = ACTIONS(3336),
    [anon_sym_SLASH] = ACTIONS(3336),
    [anon_sym_LT] = ACTIONS(3336),
    [anon_sym_TILDE] = ACTIONS(3336),
    [anon_sym_void] = ACTIONS(3336),
    [anon_sym_delete] = ACTIONS(3336),
    [anon_sym_PLUS_PLUS] = ACTIONS(3336),
    [anon_sym_DASH_DASH] = ACTIONS(3336),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3336),
    [sym_number] = ACTIONS(3336),
    [sym_private_property_identifier] = ACTIONS(3336),
    [sym_this] = ACTIONS(3336),
    [sym_super] = ACTIONS(3336),
    [sym_true] = ACTIONS(3336),
    [sym_false] = ACTIONS(3336),
    [sym_null] = ACTIONS(3336),
    [sym_undefined] = ACTIONS(3336),
    [anon_sym_AT] = ACTIONS(3336),
    [anon_sym_static] = ACTIONS(3336),
    [anon_sym_readonly] = ACTIONS(3336),
    [anon_sym_get] = ACTIONS(3336),
    [anon_sym_set] = ACTIONS(3336),
    [anon_sym_declare] = ACTIONS(3336),
    [anon_sym_public] = ACTIONS(3336),
    [anon_sym_private] = ACTIONS(3336),
    [anon_sym_protected] = ACTIONS(3336),
    [anon_sym_override] = ACTIONS(3336),
    [anon_sym_module] = ACTIONS(3336),
    [anon_sym_any] = ACTIONS(3336),
    [anon_sym_number] = ACTIONS(3336),
    [anon_sym_boolean] = ACTIONS(3336),
    [anon_sym_string] = ACTIONS(3336),
    [anon_sym_symbol] = ACTIONS(3336),
    [anon_sym_object] = ACTIONS(3336),
    [anon_sym_abstract] = ACTIONS(3336),
    [anon_sym_interface] = ACTIONS(3336),
    [anon_sym_enum] = ACTIONS(3336),
    [sym_html_comment] = ACTIONS(5),
  },
  [1174] = {
    [sym_comment] = STATE(1174),
    [sym_identifier] = ACTIONS(3336),
    [anon_sym_export] = ACTIONS(3336),
    [anon_sym_default] = ACTIONS(3336),
    [anon_sym_type] = ACTIONS(3336),
    [anon_sym_namespace] = ACTIONS(3336),
    [anon_sym_LBRACE] = ACTIONS(3336),
    [anon_sym_RBRACE] = ACTIONS(3336),
    [anon_sym_typeof] = ACTIONS(3336),
    [anon_sym_import] = ACTIONS(3336),
    [anon_sym_with] = ACTIONS(3336),
    [anon_sym_var] = ACTIONS(3336),
    [anon_sym_let] = ACTIONS(3336),
    [anon_sym_const] = ACTIONS(3336),
    [anon_sym_BANG] = ACTIONS(3336),
    [anon_sym_else] = ACTIONS(3336),
    [anon_sym_if] = ACTIONS(3336),
    [anon_sym_switch] = ACTIONS(3336),
    [anon_sym_for] = ACTIONS(3336),
    [anon_sym_LPAREN] = ACTIONS(3336),
    [anon_sym_await] = ACTIONS(3336),
    [anon_sym_while] = ACTIONS(3336),
    [anon_sym_do] = ACTIONS(3336),
    [anon_sym_try] = ACTIONS(3336),
    [anon_sym_break] = ACTIONS(3336),
    [anon_sym_continue] = ACTIONS(3336),
    [anon_sym_debugger] = ACTIONS(3336),
    [anon_sym_return] = ACTIONS(3336),
    [anon_sym_throw] = ACTIONS(3336),
    [anon_sym_SEMI] = ACTIONS(3336),
    [anon_sym_case] = ACTIONS(3336),
    [anon_sym_yield] = ACTIONS(3336),
    [anon_sym_LBRACK] = ACTIONS(3336),
    [anon_sym_LTtemplate_GT] = ACTIONS(3336),
    [anon_sym_DQUOTE] = ACTIONS(3336),
    [anon_sym_SQUOTE] = ACTIONS(3336),
    [anon_sym_class] = ACTIONS(3336),
    [anon_sym_async] = ACTIONS(3336),
    [anon_sym_function] = ACTIONS(3336),
    [anon_sym_new] = ACTIONS(3336),
    [anon_sym_using] = ACTIONS(3336),
    [anon_sym_PLUS] = ACTIONS(3336),
    [anon_sym_DASH] = ACTIONS(3336),
    [anon_sym_SLASH] = ACTIONS(3336),
    [anon_sym_LT] = ACTIONS(3336),
    [anon_sym_TILDE] = ACTIONS(3336),
    [anon_sym_void] = ACTIONS(3336),
    [anon_sym_delete] = ACTIONS(3336),
    [anon_sym_PLUS_PLUS] = ACTIONS(3336),
    [anon_sym_DASH_DASH] = ACTIONS(3336),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3336),
    [sym_number] = ACTIONS(3336),
    [sym_private_property_identifier] = ACTIONS(3336),
    [sym_this] = ACTIONS(3336),
    [sym_super] = ACTIONS(3336),
    [sym_true] = ACTIONS(3336),
    [sym_false] = ACTIONS(3336),
    [sym_null] = ACTIONS(3336),
    [sym_undefined] = ACTIONS(3336),
    [anon_sym_AT] = ACTIONS(3336),
    [anon_sym_static] = ACTIONS(3336),
    [anon_sym_readonly] = ACTIONS(3336),
    [anon_sym_get] = ACTIONS(3336),
    [anon_sym_set] = ACTIONS(3336),
    [anon_sym_declare] = ACTIONS(3336),
    [anon_sym_public] = ACTIONS(3336),
    [anon_sym_private] = ACTIONS(3336),
    [anon_sym_protected] = ACTIONS(3336),
    [anon_sym_override] = ACTIONS(3336),
    [anon_sym_module] = ACTIONS(3336),
    [anon_sym_any] = ACTIONS(3336),
    [anon_sym_number] = ACTIONS(3336),
    [anon_sym_boolean] = ACTIONS(3336),
    [anon_sym_string] = ACTIONS(3336),
    [anon_sym_symbol] = ACTIONS(3336),
    [anon_sym_object] = ACTIONS(3336),
    [anon_sym_abstract] = ACTIONS(3336),
    [anon_sym_interface] = ACTIONS(3336),
    [anon_sym_enum] = ACTIONS(3336),
    [sym_html_comment] = ACTIONS(5),
  },
  [1175] = {
    [sym_comment] = STATE(1175),
    [sym_identifier] = ACTIONS(3340),
    [anon_sym_export] = ACTIONS(3340),
    [anon_sym_default] = ACTIONS(3340),
    [anon_sym_type] = ACTIONS(3340),
    [anon_sym_namespace] = ACTIONS(3340),
    [anon_sym_LBRACE] = ACTIONS(3340),
    [anon_sym_RBRACE] = ACTIONS(3340),
    [anon_sym_typeof] = ACTIONS(3340),
    [anon_sym_import] = ACTIONS(3340),
    [anon_sym_with] = ACTIONS(3340),
    [anon_sym_var] = ACTIONS(3340),
    [anon_sym_let] = ACTIONS(3340),
    [anon_sym_const] = ACTIONS(3340),
    [anon_sym_BANG] = ACTIONS(3340),
    [anon_sym_else] = ACTIONS(3340),
    [anon_sym_if] = ACTIONS(3340),
    [anon_sym_switch] = ACTIONS(3340),
    [anon_sym_for] = ACTIONS(3340),
    [anon_sym_LPAREN] = ACTIONS(3340),
    [anon_sym_await] = ACTIONS(3340),
    [anon_sym_while] = ACTIONS(3340),
    [anon_sym_do] = ACTIONS(3340),
    [anon_sym_try] = ACTIONS(3340),
    [anon_sym_break] = ACTIONS(3340),
    [anon_sym_continue] = ACTIONS(3340),
    [anon_sym_debugger] = ACTIONS(3340),
    [anon_sym_return] = ACTIONS(3340),
    [anon_sym_throw] = ACTIONS(3340),
    [anon_sym_SEMI] = ACTIONS(3340),
    [anon_sym_case] = ACTIONS(3340),
    [anon_sym_yield] = ACTIONS(3340),
    [anon_sym_LBRACK] = ACTIONS(3340),
    [anon_sym_LTtemplate_GT] = ACTIONS(3340),
    [anon_sym_DQUOTE] = ACTIONS(3340),
    [anon_sym_SQUOTE] = ACTIONS(3340),
    [anon_sym_class] = ACTIONS(3340),
    [anon_sym_async] = ACTIONS(3340),
    [anon_sym_function] = ACTIONS(3340),
    [anon_sym_new] = ACTIONS(3340),
    [anon_sym_using] = ACTIONS(3340),
    [anon_sym_PLUS] = ACTIONS(3340),
    [anon_sym_DASH] = ACTIONS(3340),
    [anon_sym_SLASH] = ACTIONS(3340),
    [anon_sym_LT] = ACTIONS(3340),
    [anon_sym_TILDE] = ACTIONS(3340),
    [anon_sym_void] = ACTIONS(3340),
    [anon_sym_delete] = ACTIONS(3340),
    [anon_sym_PLUS_PLUS] = ACTIONS(3340),
    [anon_sym_DASH_DASH] = ACTIONS(3340),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3340),
    [sym_number] = ACTIONS(3340),
    [sym_private_property_identifier] = ACTIONS(3340),
    [sym_this] = ACTIONS(3340),
    [sym_super] = ACTIONS(3340),
    [sym_true] = ACTIONS(3340),
    [sym_false] = ACTIONS(3340),
    [sym_null] = ACTIONS(3340),
    [sym_undefined] = ACTIONS(3340),
    [anon_sym_AT] = ACTIONS(3340),
    [anon_sym_static] = ACTIONS(3340),
    [anon_sym_readonly] = ACTIONS(3340),
    [anon_sym_get] = ACTIONS(3340),
    [anon_sym_set] = ACTIONS(3340),
    [anon_sym_declare] = ACTIONS(3340),
    [anon_sym_public] = ACTIONS(3340),
    [anon_sym_private] = ACTIONS(3340),
    [anon_sym_protected] = ACTIONS(3340),
    [anon_sym_override] = ACTIONS(3340),
    [anon_sym_module] = ACTIONS(3340),
    [anon_sym_any] = ACTIONS(3340),
    [anon_sym_number] = ACTIONS(3340),
    [anon_sym_boolean] = ACTIONS(3340),
    [anon_sym_string] = ACTIONS(3340),
    [anon_sym_symbol] = ACTIONS(3340),
    [anon_sym_object] = ACTIONS(3340),
    [anon_sym_abstract] = ACTIONS(3340),
    [anon_sym_interface] = ACTIONS(3340),
    [anon_sym_enum] = ACTIONS(3340),
    [sym_html_comment] = ACTIONS(5),
  },
  [1176] = {
    [sym_comment] = STATE(1176),
    [sym_identifier] = ACTIONS(3342),
    [anon_sym_export] = ACTIONS(3342),
    [anon_sym_default] = ACTIONS(3342),
    [anon_sym_type] = ACTIONS(3342),
    [anon_sym_namespace] = ACTIONS(3342),
    [anon_sym_LBRACE] = ACTIONS(3342),
    [anon_sym_RBRACE] = ACTIONS(3342),
    [anon_sym_typeof] = ACTIONS(3342),
    [anon_sym_import] = ACTIONS(3342),
    [anon_sym_with] = ACTIONS(3342),
    [anon_sym_var] = ACTIONS(3342),
    [anon_sym_let] = ACTIONS(3342),
    [anon_sym_const] = ACTIONS(3342),
    [anon_sym_BANG] = ACTIONS(3342),
    [anon_sym_else] = ACTIONS(3342),
    [anon_sym_if] = ACTIONS(3342),
    [anon_sym_switch] = ACTIONS(3342),
    [anon_sym_for] = ACTIONS(3342),
    [anon_sym_LPAREN] = ACTIONS(3342),
    [anon_sym_await] = ACTIONS(3342),
    [anon_sym_while] = ACTIONS(3342),
    [anon_sym_do] = ACTIONS(3342),
    [anon_sym_try] = ACTIONS(3342),
    [anon_sym_break] = ACTIONS(3342),
    [anon_sym_continue] = ACTIONS(3342),
    [anon_sym_debugger] = ACTIONS(3342),
    [anon_sym_return] = ACTIONS(3342),
    [anon_sym_throw] = ACTIONS(3342),
    [anon_sym_SEMI] = ACTIONS(3342),
    [anon_sym_case] = ACTIONS(3342),
    [anon_sym_yield] = ACTIONS(3342),
    [anon_sym_LBRACK] = ACTIONS(3342),
    [anon_sym_LTtemplate_GT] = ACTIONS(3342),
    [anon_sym_DQUOTE] = ACTIONS(3342),
    [anon_sym_SQUOTE] = ACTIONS(3342),
    [anon_sym_class] = ACTIONS(3342),
    [anon_sym_async] = ACTIONS(3342),
    [anon_sym_function] = ACTIONS(3342),
    [anon_sym_new] = ACTIONS(3342),
    [anon_sym_using] = ACTIONS(3342),
    [anon_sym_PLUS] = ACTIONS(3342),
    [anon_sym_DASH] = ACTIONS(3342),
    [anon_sym_SLASH] = ACTIONS(3342),
    [anon_sym_LT] = ACTIONS(3342),
    [anon_sym_TILDE] = ACTIONS(3342),
    [anon_sym_void] = ACTIONS(3342),
    [anon_sym_delete] = ACTIONS(3342),
    [anon_sym_PLUS_PLUS] = ACTIONS(3342),
    [anon_sym_DASH_DASH] = ACTIONS(3342),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3342),
    [sym_number] = ACTIONS(3342),
    [sym_private_property_identifier] = ACTIONS(3342),
    [sym_this] = ACTIONS(3342),
    [sym_super] = ACTIONS(3342),
    [sym_true] = ACTIONS(3342),
    [sym_false] = ACTIONS(3342),
    [sym_null] = ACTIONS(3342),
    [sym_undefined] = ACTIONS(3342),
    [anon_sym_AT] = ACTIONS(3342),
    [anon_sym_static] = ACTIONS(3342),
    [anon_sym_readonly] = ACTIONS(3342),
    [anon_sym_get] = ACTIONS(3342),
    [anon_sym_set] = ACTIONS(3342),
    [anon_sym_declare] = ACTIONS(3342),
    [anon_sym_public] = ACTIONS(3342),
    [anon_sym_private] = ACTIONS(3342),
    [anon_sym_protected] = ACTIONS(3342),
    [anon_sym_override] = ACTIONS(3342),
    [anon_sym_module] = ACTIONS(3342),
    [anon_sym_any] = ACTIONS(3342),
    [anon_sym_number] = ACTIONS(3342),
    [anon_sym_boolean] = ACTIONS(3342),
    [anon_sym_string] = ACTIONS(3342),
    [anon_sym_symbol] = ACTIONS(3342),
    [anon_sym_object] = ACTIONS(3342),
    [anon_sym_abstract] = ACTIONS(3342),
    [anon_sym_interface] = ACTIONS(3342),
    [anon_sym_enum] = ACTIONS(3342),
    [sym_html_comment] = ACTIONS(5),
  },
  [1177] = {
    [sym_comment] = STATE(1177),
    [sym_identifier] = ACTIONS(3344),
    [anon_sym_export] = ACTIONS(3344),
    [anon_sym_default] = ACTIONS(3344),
    [anon_sym_type] = ACTIONS(3344),
    [anon_sym_namespace] = ACTIONS(3344),
    [anon_sym_LBRACE] = ACTIONS(3344),
    [anon_sym_RBRACE] = ACTIONS(3344),
    [anon_sym_typeof] = ACTIONS(3344),
    [anon_sym_import] = ACTIONS(3344),
    [anon_sym_with] = ACTIONS(3344),
    [anon_sym_var] = ACTIONS(3344),
    [anon_sym_let] = ACTIONS(3344),
    [anon_sym_const] = ACTIONS(3344),
    [anon_sym_BANG] = ACTIONS(3344),
    [anon_sym_else] = ACTIONS(3344),
    [anon_sym_if] = ACTIONS(3344),
    [anon_sym_switch] = ACTIONS(3344),
    [anon_sym_for] = ACTIONS(3344),
    [anon_sym_LPAREN] = ACTIONS(3344),
    [anon_sym_await] = ACTIONS(3344),
    [anon_sym_while] = ACTIONS(3344),
    [anon_sym_do] = ACTIONS(3344),
    [anon_sym_try] = ACTIONS(3344),
    [anon_sym_break] = ACTIONS(3344),
    [anon_sym_continue] = ACTIONS(3344),
    [anon_sym_debugger] = ACTIONS(3344),
    [anon_sym_return] = ACTIONS(3344),
    [anon_sym_throw] = ACTIONS(3344),
    [anon_sym_SEMI] = ACTIONS(3344),
    [anon_sym_case] = ACTIONS(3344),
    [anon_sym_yield] = ACTIONS(3344),
    [anon_sym_LBRACK] = ACTIONS(3344),
    [anon_sym_LTtemplate_GT] = ACTIONS(3344),
    [anon_sym_DQUOTE] = ACTIONS(3344),
    [anon_sym_SQUOTE] = ACTIONS(3344),
    [anon_sym_class] = ACTIONS(3344),
    [anon_sym_async] = ACTIONS(3344),
    [anon_sym_function] = ACTIONS(3344),
    [anon_sym_new] = ACTIONS(3344),
    [anon_sym_using] = ACTIONS(3344),
    [anon_sym_PLUS] = ACTIONS(3344),
    [anon_sym_DASH] = ACTIONS(3344),
    [anon_sym_SLASH] = ACTIONS(3344),
    [anon_sym_LT] = ACTIONS(3344),
    [anon_sym_TILDE] = ACTIONS(3344),
    [anon_sym_void] = ACTIONS(3344),
    [anon_sym_delete] = ACTIONS(3344),
    [anon_sym_PLUS_PLUS] = ACTIONS(3344),
    [anon_sym_DASH_DASH] = ACTIONS(3344),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3344),
    [sym_number] = ACTIONS(3344),
    [sym_private_property_identifier] = ACTIONS(3344),
    [sym_this] = ACTIONS(3344),
    [sym_super] = ACTIONS(3344),
    [sym_true] = ACTIONS(3344),
    [sym_false] = ACTIONS(3344),
    [sym_null] = ACTIONS(3344),
    [sym_undefined] = ACTIONS(3344),
    [anon_sym_AT] = ACTIONS(3344),
    [anon_sym_static] = ACTIONS(3344),
    [anon_sym_readonly] = ACTIONS(3344),
    [anon_sym_get] = ACTIONS(3344),
    [anon_sym_set] = ACTIONS(3344),
    [anon_sym_declare] = ACTIONS(3344),
    [anon_sym_public] = ACTIONS(3344),
    [anon_sym_private] = ACTIONS(3344),
    [anon_sym_protected] = ACTIONS(3344),
    [anon_sym_override] = ACTIONS(3344),
    [anon_sym_module] = ACTIONS(3344),
    [anon_sym_any] = ACTIONS(3344),
    [anon_sym_number] = ACTIONS(3344),
    [anon_sym_boolean] = ACTIONS(3344),
    [anon_sym_string] = ACTIONS(3344),
    [anon_sym_symbol] = ACTIONS(3344),
    [anon_sym_object] = ACTIONS(3344),
    [anon_sym_abstract] = ACTIONS(3344),
    [anon_sym_interface] = ACTIONS(3344),
    [anon_sym_enum] = ACTIONS(3344),
    [sym_html_comment] = ACTIONS(5),
  },
  [1178] = {
    [sym_comment] = STATE(1178),
    [sym_identifier] = ACTIONS(3336),
    [anon_sym_export] = ACTIONS(3336),
    [anon_sym_default] = ACTIONS(3336),
    [anon_sym_type] = ACTIONS(3336),
    [anon_sym_namespace] = ACTIONS(3336),
    [anon_sym_LBRACE] = ACTIONS(3336),
    [anon_sym_RBRACE] = ACTIONS(3336),
    [anon_sym_typeof] = ACTIONS(3336),
    [anon_sym_import] = ACTIONS(3336),
    [anon_sym_with] = ACTIONS(3336),
    [anon_sym_var] = ACTIONS(3336),
    [anon_sym_let] = ACTIONS(3336),
    [anon_sym_const] = ACTIONS(3336),
    [anon_sym_BANG] = ACTIONS(3336),
    [anon_sym_else] = ACTIONS(3336),
    [anon_sym_if] = ACTIONS(3336),
    [anon_sym_switch] = ACTIONS(3336),
    [anon_sym_for] = ACTIONS(3336),
    [anon_sym_LPAREN] = ACTIONS(3336),
    [anon_sym_await] = ACTIONS(3336),
    [anon_sym_while] = ACTIONS(3336),
    [anon_sym_do] = ACTIONS(3336),
    [anon_sym_try] = ACTIONS(3336),
    [anon_sym_break] = ACTIONS(3336),
    [anon_sym_continue] = ACTIONS(3336),
    [anon_sym_debugger] = ACTIONS(3336),
    [anon_sym_return] = ACTIONS(3336),
    [anon_sym_throw] = ACTIONS(3336),
    [anon_sym_SEMI] = ACTIONS(3336),
    [anon_sym_case] = ACTIONS(3336),
    [anon_sym_yield] = ACTIONS(3336),
    [anon_sym_LBRACK] = ACTIONS(3336),
    [anon_sym_LTtemplate_GT] = ACTIONS(3336),
    [anon_sym_DQUOTE] = ACTIONS(3336),
    [anon_sym_SQUOTE] = ACTIONS(3336),
    [anon_sym_class] = ACTIONS(3336),
    [anon_sym_async] = ACTIONS(3336),
    [anon_sym_function] = ACTIONS(3336),
    [anon_sym_new] = ACTIONS(3336),
    [anon_sym_using] = ACTIONS(3336),
    [anon_sym_PLUS] = ACTIONS(3336),
    [anon_sym_DASH] = ACTIONS(3336),
    [anon_sym_SLASH] = ACTIONS(3336),
    [anon_sym_LT] = ACTIONS(3336),
    [anon_sym_TILDE] = ACTIONS(3336),
    [anon_sym_void] = ACTIONS(3336),
    [anon_sym_delete] = ACTIONS(3336),
    [anon_sym_PLUS_PLUS] = ACTIONS(3336),
    [anon_sym_DASH_DASH] = ACTIONS(3336),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3336),
    [sym_number] = ACTIONS(3336),
    [sym_private_property_identifier] = ACTIONS(3336),
    [sym_this] = ACTIONS(3336),
    [sym_super] = ACTIONS(3336),
    [sym_true] = ACTIONS(3336),
    [sym_false] = ACTIONS(3336),
    [sym_null] = ACTIONS(3336),
    [sym_undefined] = ACTIONS(3336),
    [anon_sym_AT] = ACTIONS(3336),
    [anon_sym_static] = ACTIONS(3336),
    [anon_sym_readonly] = ACTIONS(3336),
    [anon_sym_get] = ACTIONS(3336),
    [anon_sym_set] = ACTIONS(3336),
    [anon_sym_declare] = ACTIONS(3336),
    [anon_sym_public] = ACTIONS(3336),
    [anon_sym_private] = ACTIONS(3336),
    [anon_sym_protected] = ACTIONS(3336),
    [anon_sym_override] = ACTIONS(3336),
    [anon_sym_module] = ACTIONS(3336),
    [anon_sym_any] = ACTIONS(3336),
    [anon_sym_number] = ACTIONS(3336),
    [anon_sym_boolean] = ACTIONS(3336),
    [anon_sym_string] = ACTIONS(3336),
    [anon_sym_symbol] = ACTIONS(3336),
    [anon_sym_object] = ACTIONS(3336),
    [anon_sym_abstract] = ACTIONS(3336),
    [anon_sym_interface] = ACTIONS(3336),
    [anon_sym_enum] = ACTIONS(3336),
    [sym_html_comment] = ACTIONS(5),
  },
  [1179] = {
    [sym_comment] = STATE(1179),
    [sym_identifier] = ACTIONS(3346),
    [anon_sym_export] = ACTIONS(3346),
    [anon_sym_default] = ACTIONS(3346),
    [anon_sym_type] = ACTIONS(3346),
    [anon_sym_namespace] = ACTIONS(3346),
    [anon_sym_LBRACE] = ACTIONS(3346),
    [anon_sym_RBRACE] = ACTIONS(3346),
    [anon_sym_typeof] = ACTIONS(3346),
    [anon_sym_import] = ACTIONS(3346),
    [anon_sym_with] = ACTIONS(3346),
    [anon_sym_var] = ACTIONS(3346),
    [anon_sym_let] = ACTIONS(3346),
    [anon_sym_const] = ACTIONS(3346),
    [anon_sym_BANG] = ACTIONS(3346),
    [anon_sym_else] = ACTIONS(3346),
    [anon_sym_if] = ACTIONS(3346),
    [anon_sym_switch] = ACTIONS(3346),
    [anon_sym_for] = ACTIONS(3346),
    [anon_sym_LPAREN] = ACTIONS(3346),
    [anon_sym_await] = ACTIONS(3346),
    [anon_sym_while] = ACTIONS(3346),
    [anon_sym_do] = ACTIONS(3346),
    [anon_sym_try] = ACTIONS(3346),
    [anon_sym_break] = ACTIONS(3346),
    [anon_sym_continue] = ACTIONS(3346),
    [anon_sym_debugger] = ACTIONS(3346),
    [anon_sym_return] = ACTIONS(3346),
    [anon_sym_throw] = ACTIONS(3346),
    [anon_sym_SEMI] = ACTIONS(3346),
    [anon_sym_case] = ACTIONS(3346),
    [anon_sym_yield] = ACTIONS(3346),
    [anon_sym_LBRACK] = ACTIONS(3346),
    [anon_sym_LTtemplate_GT] = ACTIONS(3346),
    [anon_sym_DQUOTE] = ACTIONS(3346),
    [anon_sym_SQUOTE] = ACTIONS(3346),
    [anon_sym_class] = ACTIONS(3346),
    [anon_sym_async] = ACTIONS(3346),
    [anon_sym_function] = ACTIONS(3346),
    [anon_sym_new] = ACTIONS(3346),
    [anon_sym_using] = ACTIONS(3346),
    [anon_sym_PLUS] = ACTIONS(3346),
    [anon_sym_DASH] = ACTIONS(3346),
    [anon_sym_SLASH] = ACTIONS(3346),
    [anon_sym_LT] = ACTIONS(3346),
    [anon_sym_TILDE] = ACTIONS(3346),
    [anon_sym_void] = ACTIONS(3346),
    [anon_sym_delete] = ACTIONS(3346),
    [anon_sym_PLUS_PLUS] = ACTIONS(3346),
    [anon_sym_DASH_DASH] = ACTIONS(3346),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3346),
    [sym_number] = ACTIONS(3346),
    [sym_private_property_identifier] = ACTIONS(3346),
    [sym_this] = ACTIONS(3346),
    [sym_super] = ACTIONS(3346),
    [sym_true] = ACTIONS(3346),
    [sym_false] = ACTIONS(3346),
    [sym_null] = ACTIONS(3346),
    [sym_undefined] = ACTIONS(3346),
    [anon_sym_AT] = ACTIONS(3346),
    [anon_sym_static] = ACTIONS(3346),
    [anon_sym_readonly] = ACTIONS(3346),
    [anon_sym_get] = ACTIONS(3346),
    [anon_sym_set] = ACTIONS(3346),
    [anon_sym_declare] = ACTIONS(3346),
    [anon_sym_public] = ACTIONS(3346),
    [anon_sym_private] = ACTIONS(3346),
    [anon_sym_protected] = ACTIONS(3346),
    [anon_sym_override] = ACTIONS(3346),
    [anon_sym_module] = ACTIONS(3346),
    [anon_sym_any] = ACTIONS(3346),
    [anon_sym_number] = ACTIONS(3346),
    [anon_sym_boolean] = ACTIONS(3346),
    [anon_sym_string] = ACTIONS(3346),
    [anon_sym_symbol] = ACTIONS(3346),
    [anon_sym_object] = ACTIONS(3346),
    [anon_sym_abstract] = ACTIONS(3346),
    [anon_sym_interface] = ACTIONS(3346),
    [anon_sym_enum] = ACTIONS(3346),
    [sym_html_comment] = ACTIONS(5),
  },
  [1180] = {
    [sym_comment] = STATE(1180),
    [sym_identifier] = ACTIONS(3346),
    [anon_sym_export] = ACTIONS(3346),
    [anon_sym_default] = ACTIONS(3346),
    [anon_sym_type] = ACTIONS(3346),
    [anon_sym_namespace] = ACTIONS(3346),
    [anon_sym_LBRACE] = ACTIONS(3346),
    [anon_sym_RBRACE] = ACTIONS(3346),
    [anon_sym_typeof] = ACTIONS(3346),
    [anon_sym_import] = ACTIONS(3346),
    [anon_sym_with] = ACTIONS(3346),
    [anon_sym_var] = ACTIONS(3346),
    [anon_sym_let] = ACTIONS(3346),
    [anon_sym_const] = ACTIONS(3346),
    [anon_sym_BANG] = ACTIONS(3346),
    [anon_sym_else] = ACTIONS(3346),
    [anon_sym_if] = ACTIONS(3346),
    [anon_sym_switch] = ACTIONS(3346),
    [anon_sym_for] = ACTIONS(3346),
    [anon_sym_LPAREN] = ACTIONS(3346),
    [anon_sym_await] = ACTIONS(3346),
    [anon_sym_while] = ACTIONS(3346),
    [anon_sym_do] = ACTIONS(3346),
    [anon_sym_try] = ACTIONS(3346),
    [anon_sym_break] = ACTIONS(3346),
    [anon_sym_continue] = ACTIONS(3346),
    [anon_sym_debugger] = ACTIONS(3346),
    [anon_sym_return] = ACTIONS(3346),
    [anon_sym_throw] = ACTIONS(3346),
    [anon_sym_SEMI] = ACTIONS(3346),
    [anon_sym_case] = ACTIONS(3346),
    [anon_sym_yield] = ACTIONS(3346),
    [anon_sym_LBRACK] = ACTIONS(3346),
    [anon_sym_LTtemplate_GT] = ACTIONS(3346),
    [anon_sym_DQUOTE] = ACTIONS(3346),
    [anon_sym_SQUOTE] = ACTIONS(3346),
    [anon_sym_class] = ACTIONS(3346),
    [anon_sym_async] = ACTIONS(3346),
    [anon_sym_function] = ACTIONS(3346),
    [anon_sym_new] = ACTIONS(3346),
    [anon_sym_using] = ACTIONS(3346),
    [anon_sym_PLUS] = ACTIONS(3346),
    [anon_sym_DASH] = ACTIONS(3346),
    [anon_sym_SLASH] = ACTIONS(3346),
    [anon_sym_LT] = ACTIONS(3346),
    [anon_sym_TILDE] = ACTIONS(3346),
    [anon_sym_void] = ACTIONS(3346),
    [anon_sym_delete] = ACTIONS(3346),
    [anon_sym_PLUS_PLUS] = ACTIONS(3346),
    [anon_sym_DASH_DASH] = ACTIONS(3346),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3346),
    [sym_number] = ACTIONS(3346),
    [sym_private_property_identifier] = ACTIONS(3346),
    [sym_this] = ACTIONS(3346),
    [sym_super] = ACTIONS(3346),
    [sym_true] = ACTIONS(3346),
    [sym_false] = ACTIONS(3346),
    [sym_null] = ACTIONS(3346),
    [sym_undefined] = ACTIONS(3346),
    [anon_sym_AT] = ACTIONS(3346),
    [anon_sym_static] = ACTIONS(3346),
    [anon_sym_readonly] = ACTIONS(3346),
    [anon_sym_get] = ACTIONS(3346),
    [anon_sym_set] = ACTIONS(3346),
    [anon_sym_declare] = ACTIONS(3346),
    [anon_sym_public] = ACTIONS(3346),
    [anon_sym_private] = ACTIONS(3346),
    [anon_sym_protected] = ACTIONS(3346),
    [anon_sym_override] = ACTIONS(3346),
    [anon_sym_module] = ACTIONS(3346),
    [anon_sym_any] = ACTIONS(3346),
    [anon_sym_number] = ACTIONS(3346),
    [anon_sym_boolean] = ACTIONS(3346),
    [anon_sym_string] = ACTIONS(3346),
    [anon_sym_symbol] = ACTIONS(3346),
    [anon_sym_object] = ACTIONS(3346),
    [anon_sym_abstract] = ACTIONS(3346),
    [anon_sym_interface] = ACTIONS(3346),
    [anon_sym_enum] = ACTIONS(3346),
    [sym_html_comment] = ACTIONS(5),
  },
  [1181] = {
    [sym_comment] = STATE(1181),
    [sym_identifier] = ACTIONS(3336),
    [anon_sym_export] = ACTIONS(3336),
    [anon_sym_default] = ACTIONS(3336),
    [anon_sym_type] = ACTIONS(3336),
    [anon_sym_namespace] = ACTIONS(3336),
    [anon_sym_LBRACE] = ACTIONS(3336),
    [anon_sym_RBRACE] = ACTIONS(3336),
    [anon_sym_typeof] = ACTIONS(3336),
    [anon_sym_import] = ACTIONS(3336),
    [anon_sym_with] = ACTIONS(3336),
    [anon_sym_var] = ACTIONS(3336),
    [anon_sym_let] = ACTIONS(3336),
    [anon_sym_const] = ACTIONS(3336),
    [anon_sym_BANG] = ACTIONS(3336),
    [anon_sym_else] = ACTIONS(3336),
    [anon_sym_if] = ACTIONS(3336),
    [anon_sym_switch] = ACTIONS(3336),
    [anon_sym_for] = ACTIONS(3336),
    [anon_sym_LPAREN] = ACTIONS(3336),
    [anon_sym_await] = ACTIONS(3336),
    [anon_sym_while] = ACTIONS(3336),
    [anon_sym_do] = ACTIONS(3336),
    [anon_sym_try] = ACTIONS(3336),
    [anon_sym_break] = ACTIONS(3336),
    [anon_sym_continue] = ACTIONS(3336),
    [anon_sym_debugger] = ACTIONS(3336),
    [anon_sym_return] = ACTIONS(3336),
    [anon_sym_throw] = ACTIONS(3336),
    [anon_sym_SEMI] = ACTIONS(3336),
    [anon_sym_case] = ACTIONS(3336),
    [anon_sym_yield] = ACTIONS(3336),
    [anon_sym_LBRACK] = ACTIONS(3336),
    [anon_sym_LTtemplate_GT] = ACTIONS(3336),
    [anon_sym_DQUOTE] = ACTIONS(3336),
    [anon_sym_SQUOTE] = ACTIONS(3336),
    [anon_sym_class] = ACTIONS(3336),
    [anon_sym_async] = ACTIONS(3336),
    [anon_sym_function] = ACTIONS(3336),
    [anon_sym_new] = ACTIONS(3336),
    [anon_sym_using] = ACTIONS(3336),
    [anon_sym_PLUS] = ACTIONS(3336),
    [anon_sym_DASH] = ACTIONS(3336),
    [anon_sym_SLASH] = ACTIONS(3336),
    [anon_sym_LT] = ACTIONS(3336),
    [anon_sym_TILDE] = ACTIONS(3336),
    [anon_sym_void] = ACTIONS(3336),
    [anon_sym_delete] = ACTIONS(3336),
    [anon_sym_PLUS_PLUS] = ACTIONS(3336),
    [anon_sym_DASH_DASH] = ACTIONS(3336),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3336),
    [sym_number] = ACTIONS(3336),
    [sym_private_property_identifier] = ACTIONS(3336),
    [sym_this] = ACTIONS(3336),
    [sym_super] = ACTIONS(3336),
    [sym_true] = ACTIONS(3336),
    [sym_false] = ACTIONS(3336),
    [sym_null] = ACTIONS(3336),
    [sym_undefined] = ACTIONS(3336),
    [anon_sym_AT] = ACTIONS(3336),
    [anon_sym_static] = ACTIONS(3336),
    [anon_sym_readonly] = ACTIONS(3336),
    [anon_sym_get] = ACTIONS(3336),
    [anon_sym_set] = ACTIONS(3336),
    [anon_sym_declare] = ACTIONS(3336),
    [anon_sym_public] = ACTIONS(3336),
    [anon_sym_private] = ACTIONS(3336),
    [anon_sym_protected] = ACTIONS(3336),
    [anon_sym_override] = ACTIONS(3336),
    [anon_sym_module] = ACTIONS(3336),
    [anon_sym_any] = ACTIONS(3336),
    [anon_sym_number] = ACTIONS(3336),
    [anon_sym_boolean] = ACTIONS(3336),
    [anon_sym_string] = ACTIONS(3336),
    [anon_sym_symbol] = ACTIONS(3336),
    [anon_sym_object] = ACTIONS(3336),
    [anon_sym_abstract] = ACTIONS(3336),
    [anon_sym_interface] = ACTIONS(3336),
    [anon_sym_enum] = ACTIONS(3336),
    [sym_html_comment] = ACTIONS(5),
  },
  [1182] = {
    [sym_comment] = STATE(1182),
    [ts_builtin_sym_end] = ACTIONS(3348),
    [sym_identifier] = ACTIONS(3100),
    [anon_sym_export] = ACTIONS(3100),
    [anon_sym_type] = ACTIONS(3100),
    [anon_sym_namespace] = ACTIONS(3100),
    [anon_sym_LBRACE] = ACTIONS(3100),
    [anon_sym_RBRACE] = ACTIONS(3100),
    [anon_sym_typeof] = ACTIONS(3100),
    [anon_sym_import] = ACTIONS(3100),
    [anon_sym_with] = ACTIONS(3100),
    [anon_sym_var] = ACTIONS(3100),
    [anon_sym_let] = ACTIONS(3100),
    [anon_sym_const] = ACTIONS(3100),
    [anon_sym_BANG] = ACTIONS(3100),
    [anon_sym_else] = ACTIONS(3100),
    [anon_sym_if] = ACTIONS(3100),
    [anon_sym_switch] = ACTIONS(3100),
    [anon_sym_for] = ACTIONS(3100),
    [anon_sym_LPAREN] = ACTIONS(3100),
    [anon_sym_await] = ACTIONS(3100),
    [anon_sym_while] = ACTIONS(3100),
    [anon_sym_do] = ACTIONS(3100),
    [anon_sym_try] = ACTIONS(3100),
    [anon_sym_break] = ACTIONS(3100),
    [anon_sym_continue] = ACTIONS(3100),
    [anon_sym_debugger] = ACTIONS(3100),
    [anon_sym_return] = ACTIONS(3100),
    [anon_sym_throw] = ACTIONS(3100),
    [anon_sym_SEMI] = ACTIONS(3350),
    [anon_sym_yield] = ACTIONS(3100),
    [anon_sym_LBRACK] = ACTIONS(3100),
    [anon_sym_LTtemplate_GT] = ACTIONS(3100),
    [anon_sym_DQUOTE] = ACTIONS(3100),
    [anon_sym_SQUOTE] = ACTIONS(3100),
    [anon_sym_class] = ACTIONS(3100),
    [anon_sym_async] = ACTIONS(3100),
    [anon_sym_function] = ACTIONS(3100),
    [anon_sym_new] = ACTIONS(3100),
    [anon_sym_using] = ACTIONS(3100),
    [anon_sym_PLUS] = ACTIONS(3100),
    [anon_sym_DASH] = ACTIONS(3100),
    [anon_sym_SLASH] = ACTIONS(3100),
    [anon_sym_LT] = ACTIONS(3100),
    [anon_sym_TILDE] = ACTIONS(3100),
    [anon_sym_void] = ACTIONS(3100),
    [anon_sym_delete] = ACTIONS(3100),
    [anon_sym_PLUS_PLUS] = ACTIONS(3100),
    [anon_sym_DASH_DASH] = ACTIONS(3100),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3100),
    [sym_number] = ACTIONS(3100),
    [sym_private_property_identifier] = ACTIONS(3100),
    [sym_this] = ACTIONS(3100),
    [sym_super] = ACTIONS(3100),
    [sym_true] = ACTIONS(3100),
    [sym_false] = ACTIONS(3100),
    [sym_null] = ACTIONS(3100),
    [sym_undefined] = ACTIONS(3100),
    [anon_sym_AT] = ACTIONS(3100),
    [anon_sym_static] = ACTIONS(3100),
    [anon_sym_readonly] = ACTIONS(3100),
    [anon_sym_get] = ACTIONS(3100),
    [anon_sym_set] = ACTIONS(3100),
    [anon_sym_declare] = ACTIONS(3100),
    [anon_sym_public] = ACTIONS(3100),
    [anon_sym_private] = ACTIONS(3100),
    [anon_sym_protected] = ACTIONS(3100),
    [anon_sym_override] = ACTIONS(3100),
    [anon_sym_module] = ACTIONS(3100),
    [anon_sym_any] = ACTIONS(3100),
    [anon_sym_number] = ACTIONS(3100),
    [anon_sym_boolean] = ACTIONS(3100),
    [anon_sym_string] = ACTIONS(3100),
    [anon_sym_symbol] = ACTIONS(3100),
    [anon_sym_object] = ACTIONS(3100),
    [anon_sym_abstract] = ACTIONS(3100),
    [anon_sym_interface] = ACTIONS(3100),
    [anon_sym_enum] = ACTIONS(3100),
    [sym__automatic_semicolon] = ACTIONS(3352),
    [sym_html_comment] = ACTIONS(5),
  },
  [1183] = {
    [sym_comment] = STATE(1183),
    [ts_builtin_sym_end] = ACTIONS(2107),
    [sym_identifier] = ACTIONS(2105),
    [anon_sym_export] = ACTIONS(2105),
    [anon_sym_type] = ACTIONS(2105),
    [anon_sym_namespace] = ACTIONS(2105),
    [anon_sym_LBRACE] = ACTIONS(2105),
    [anon_sym_RBRACE] = ACTIONS(2105),
    [anon_sym_typeof] = ACTIONS(2105),
    [anon_sym_import] = ACTIONS(2105),
    [anon_sym_with] = ACTIONS(2105),
    [anon_sym_var] = ACTIONS(2105),
    [anon_sym_let] = ACTIONS(2105),
    [anon_sym_const] = ACTIONS(2105),
    [anon_sym_BANG] = ACTIONS(2105),
    [anon_sym_if] = ACTIONS(2105),
    [anon_sym_switch] = ACTIONS(2105),
    [anon_sym_for] = ACTIONS(2105),
    [anon_sym_LPAREN] = ACTIONS(2105),
    [anon_sym_await] = ACTIONS(2105),
    [anon_sym_while] = ACTIONS(2105),
    [anon_sym_do] = ACTIONS(2105),
    [anon_sym_try] = ACTIONS(2105),
    [anon_sym_break] = ACTIONS(2105),
    [anon_sym_continue] = ACTIONS(2105),
    [anon_sym_debugger] = ACTIONS(2105),
    [anon_sym_return] = ACTIONS(2105),
    [anon_sym_throw] = ACTIONS(2105),
    [anon_sym_SEMI] = ACTIONS(2105),
    [anon_sym_catch] = ACTIONS(2105),
    [anon_sym_finally] = ACTIONS(2105),
    [anon_sym_yield] = ACTIONS(2105),
    [anon_sym_LBRACK] = ACTIONS(2105),
    [anon_sym_LTtemplate_GT] = ACTIONS(2105),
    [anon_sym_DQUOTE] = ACTIONS(2105),
    [anon_sym_SQUOTE] = ACTIONS(2105),
    [anon_sym_class] = ACTIONS(2105),
    [anon_sym_async] = ACTIONS(2105),
    [anon_sym_function] = ACTIONS(2105),
    [anon_sym_new] = ACTIONS(2105),
    [anon_sym_using] = ACTIONS(2105),
    [anon_sym_PLUS] = ACTIONS(2105),
    [anon_sym_DASH] = ACTIONS(2105),
    [anon_sym_SLASH] = ACTIONS(2105),
    [anon_sym_LT] = ACTIONS(2105),
    [anon_sym_TILDE] = ACTIONS(2105),
    [anon_sym_void] = ACTIONS(2105),
    [anon_sym_delete] = ACTIONS(2105),
    [anon_sym_PLUS_PLUS] = ACTIONS(2105),
    [anon_sym_DASH_DASH] = ACTIONS(2105),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2105),
    [sym_number] = ACTIONS(2105),
    [sym_private_property_identifier] = ACTIONS(2105),
    [sym_this] = ACTIONS(2105),
    [sym_super] = ACTIONS(2105),
    [sym_true] = ACTIONS(2105),
    [sym_false] = ACTIONS(2105),
    [sym_null] = ACTIONS(2105),
    [sym_undefined] = ACTIONS(2105),
    [anon_sym_AT] = ACTIONS(2105),
    [anon_sym_static] = ACTIONS(2105),
    [anon_sym_readonly] = ACTIONS(2105),
    [anon_sym_get] = ACTIONS(2105),
    [anon_sym_set] = ACTIONS(2105),
    [anon_sym_declare] = ACTIONS(2105),
    [anon_sym_public] = ACTIONS(2105),
    [anon_sym_private] = ACTIONS(2105),
    [anon_sym_protected] = ACTIONS(2105),
    [anon_sym_override] = ACTIONS(2105),
    [anon_sym_module] = ACTIONS(2105),
    [anon_sym_any] = ACTIONS(2105),
    [anon_sym_number] = ACTIONS(2105),
    [anon_sym_boolean] = ACTIONS(2105),
    [anon_sym_string] = ACTIONS(2105),
    [anon_sym_symbol] = ACTIONS(2105),
    [anon_sym_object] = ACTIONS(2105),
    [anon_sym_abstract] = ACTIONS(2105),
    [anon_sym_interface] = ACTIONS(2105),
    [anon_sym_enum] = ACTIONS(2105),
    [sym_html_comment] = ACTIONS(5),
  },
  [1184] = {
    [sym_comment] = STATE(1184),
    [sym_identifier] = ACTIONS(3354),
    [anon_sym_export] = ACTIONS(3354),
    [anon_sym_default] = ACTIONS(3354),
    [anon_sym_type] = ACTIONS(3354),
    [anon_sym_namespace] = ACTIONS(3354),
    [anon_sym_LBRACE] = ACTIONS(3354),
    [anon_sym_RBRACE] = ACTIONS(3354),
    [anon_sym_typeof] = ACTIONS(3354),
    [anon_sym_import] = ACTIONS(3354),
    [anon_sym_with] = ACTIONS(3354),
    [anon_sym_var] = ACTIONS(3354),
    [anon_sym_let] = ACTIONS(3354),
    [anon_sym_const] = ACTIONS(3354),
    [anon_sym_BANG] = ACTIONS(3354),
    [anon_sym_else] = ACTIONS(3354),
    [anon_sym_if] = ACTIONS(3354),
    [anon_sym_switch] = ACTIONS(3354),
    [anon_sym_for] = ACTIONS(3354),
    [anon_sym_LPAREN] = ACTIONS(3354),
    [anon_sym_await] = ACTIONS(3354),
    [anon_sym_while] = ACTIONS(3354),
    [anon_sym_do] = ACTIONS(3354),
    [anon_sym_try] = ACTIONS(3354),
    [anon_sym_break] = ACTIONS(3354),
    [anon_sym_continue] = ACTIONS(3354),
    [anon_sym_debugger] = ACTIONS(3354),
    [anon_sym_return] = ACTIONS(3354),
    [anon_sym_throw] = ACTIONS(3354),
    [anon_sym_SEMI] = ACTIONS(3354),
    [anon_sym_case] = ACTIONS(3354),
    [anon_sym_yield] = ACTIONS(3354),
    [anon_sym_LBRACK] = ACTIONS(3354),
    [anon_sym_LTtemplate_GT] = ACTIONS(3354),
    [anon_sym_DQUOTE] = ACTIONS(3354),
    [anon_sym_SQUOTE] = ACTIONS(3354),
    [anon_sym_class] = ACTIONS(3354),
    [anon_sym_async] = ACTIONS(3354),
    [anon_sym_function] = ACTIONS(3354),
    [anon_sym_new] = ACTIONS(3354),
    [anon_sym_using] = ACTIONS(3354),
    [anon_sym_PLUS] = ACTIONS(3354),
    [anon_sym_DASH] = ACTIONS(3354),
    [anon_sym_SLASH] = ACTIONS(3354),
    [anon_sym_LT] = ACTIONS(3354),
    [anon_sym_TILDE] = ACTIONS(3354),
    [anon_sym_void] = ACTIONS(3354),
    [anon_sym_delete] = ACTIONS(3354),
    [anon_sym_PLUS_PLUS] = ACTIONS(3354),
    [anon_sym_DASH_DASH] = ACTIONS(3354),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3354),
    [sym_number] = ACTIONS(3354),
    [sym_private_property_identifier] = ACTIONS(3354),
    [sym_this] = ACTIONS(3354),
    [sym_super] = ACTIONS(3354),
    [sym_true] = ACTIONS(3354),
    [sym_false] = ACTIONS(3354),
    [sym_null] = ACTIONS(3354),
    [sym_undefined] = ACTIONS(3354),
    [anon_sym_AT] = ACTIONS(3354),
    [anon_sym_static] = ACTIONS(3354),
    [anon_sym_readonly] = ACTIONS(3354),
    [anon_sym_get] = ACTIONS(3354),
    [anon_sym_set] = ACTIONS(3354),
    [anon_sym_declare] = ACTIONS(3354),
    [anon_sym_public] = ACTIONS(3354),
    [anon_sym_private] = ACTIONS(3354),
    [anon_sym_protected] = ACTIONS(3354),
    [anon_sym_override] = ACTIONS(3354),
    [anon_sym_module] = ACTIONS(3354),
    [anon_sym_any] = ACTIONS(3354),
    [anon_sym_number] = ACTIONS(3354),
    [anon_sym_boolean] = ACTIONS(3354),
    [anon_sym_string] = ACTIONS(3354),
    [anon_sym_symbol] = ACTIONS(3354),
    [anon_sym_object] = ACTIONS(3354),
    [anon_sym_abstract] = ACTIONS(3354),
    [anon_sym_interface] = ACTIONS(3354),
    [anon_sym_enum] = ACTIONS(3354),
    [sym_html_comment] = ACTIONS(5),
  },
  [1185] = {
    [sym_comment] = STATE(1185),
    [sym_identifier] = ACTIONS(3356),
    [anon_sym_export] = ACTIONS(3356),
    [anon_sym_default] = ACTIONS(3356),
    [anon_sym_type] = ACTIONS(3356),
    [anon_sym_namespace] = ACTIONS(3356),
    [anon_sym_LBRACE] = ACTIONS(3356),
    [anon_sym_RBRACE] = ACTIONS(3356),
    [anon_sym_typeof] = ACTIONS(3356),
    [anon_sym_import] = ACTIONS(3356),
    [anon_sym_with] = ACTIONS(3356),
    [anon_sym_var] = ACTIONS(3356),
    [anon_sym_let] = ACTIONS(3356),
    [anon_sym_const] = ACTIONS(3356),
    [anon_sym_BANG] = ACTIONS(3356),
    [anon_sym_else] = ACTIONS(3356),
    [anon_sym_if] = ACTIONS(3356),
    [anon_sym_switch] = ACTIONS(3356),
    [anon_sym_for] = ACTIONS(3356),
    [anon_sym_LPAREN] = ACTIONS(3356),
    [anon_sym_await] = ACTIONS(3356),
    [anon_sym_while] = ACTIONS(3356),
    [anon_sym_do] = ACTIONS(3356),
    [anon_sym_try] = ACTIONS(3356),
    [anon_sym_break] = ACTIONS(3356),
    [anon_sym_continue] = ACTIONS(3356),
    [anon_sym_debugger] = ACTIONS(3356),
    [anon_sym_return] = ACTIONS(3356),
    [anon_sym_throw] = ACTIONS(3356),
    [anon_sym_SEMI] = ACTIONS(3356),
    [anon_sym_case] = ACTIONS(3356),
    [anon_sym_yield] = ACTIONS(3356),
    [anon_sym_LBRACK] = ACTIONS(3356),
    [anon_sym_LTtemplate_GT] = ACTIONS(3356),
    [anon_sym_DQUOTE] = ACTIONS(3356),
    [anon_sym_SQUOTE] = ACTIONS(3356),
    [anon_sym_class] = ACTIONS(3356),
    [anon_sym_async] = ACTIONS(3356),
    [anon_sym_function] = ACTIONS(3356),
    [anon_sym_new] = ACTIONS(3356),
    [anon_sym_using] = ACTIONS(3356),
    [anon_sym_PLUS] = ACTIONS(3356),
    [anon_sym_DASH] = ACTIONS(3356),
    [anon_sym_SLASH] = ACTIONS(3356),
    [anon_sym_LT] = ACTIONS(3356),
    [anon_sym_TILDE] = ACTIONS(3356),
    [anon_sym_void] = ACTIONS(3356),
    [anon_sym_delete] = ACTIONS(3356),
    [anon_sym_PLUS_PLUS] = ACTIONS(3356),
    [anon_sym_DASH_DASH] = ACTIONS(3356),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3356),
    [sym_number] = ACTIONS(3356),
    [sym_private_property_identifier] = ACTIONS(3356),
    [sym_this] = ACTIONS(3356),
    [sym_super] = ACTIONS(3356),
    [sym_true] = ACTIONS(3356),
    [sym_false] = ACTIONS(3356),
    [sym_null] = ACTIONS(3356),
    [sym_undefined] = ACTIONS(3356),
    [anon_sym_AT] = ACTIONS(3356),
    [anon_sym_static] = ACTIONS(3356),
    [anon_sym_readonly] = ACTIONS(3356),
    [anon_sym_get] = ACTIONS(3356),
    [anon_sym_set] = ACTIONS(3356),
    [anon_sym_declare] = ACTIONS(3356),
    [anon_sym_public] = ACTIONS(3356),
    [anon_sym_private] = ACTIONS(3356),
    [anon_sym_protected] = ACTIONS(3356),
    [anon_sym_override] = ACTIONS(3356),
    [anon_sym_module] = ACTIONS(3356),
    [anon_sym_any] = ACTIONS(3356),
    [anon_sym_number] = ACTIONS(3356),
    [anon_sym_boolean] = ACTIONS(3356),
    [anon_sym_string] = ACTIONS(3356),
    [anon_sym_symbol] = ACTIONS(3356),
    [anon_sym_object] = ACTIONS(3356),
    [anon_sym_abstract] = ACTIONS(3356),
    [anon_sym_interface] = ACTIONS(3356),
    [anon_sym_enum] = ACTIONS(3356),
    [sym_html_comment] = ACTIONS(5),
  },
  [1186] = {
    [sym_comment] = STATE(1186),
    [ts_builtin_sym_end] = ACTIONS(2315),
    [sym_identifier] = ACTIONS(2159),
    [anon_sym_export] = ACTIONS(2159),
    [anon_sym_type] = ACTIONS(2159),
    [anon_sym_namespace] = ACTIONS(2159),
    [anon_sym_LBRACE] = ACTIONS(2159),
    [anon_sym_RBRACE] = ACTIONS(2159),
    [anon_sym_typeof] = ACTIONS(2159),
    [anon_sym_import] = ACTIONS(2159),
    [anon_sym_with] = ACTIONS(2159),
    [anon_sym_var] = ACTIONS(2159),
    [anon_sym_let] = ACTIONS(2159),
    [anon_sym_const] = ACTIONS(2159),
    [anon_sym_BANG] = ACTIONS(2159),
    [anon_sym_else] = ACTIONS(2159),
    [anon_sym_if] = ACTIONS(2159),
    [anon_sym_switch] = ACTIONS(2159),
    [anon_sym_for] = ACTIONS(2159),
    [anon_sym_LPAREN] = ACTIONS(2159),
    [anon_sym_await] = ACTIONS(2159),
    [anon_sym_while] = ACTIONS(2159),
    [anon_sym_do] = ACTIONS(2159),
    [anon_sym_try] = ACTIONS(2159),
    [anon_sym_break] = ACTIONS(2159),
    [anon_sym_continue] = ACTIONS(2159),
    [anon_sym_debugger] = ACTIONS(2159),
    [anon_sym_return] = ACTIONS(2159),
    [anon_sym_throw] = ACTIONS(2159),
    [anon_sym_SEMI] = ACTIONS(2159),
    [anon_sym_yield] = ACTIONS(2159),
    [anon_sym_LBRACK] = ACTIONS(2159),
    [anon_sym_LTtemplate_GT] = ACTIONS(2159),
    [anon_sym_DQUOTE] = ACTIONS(2159),
    [anon_sym_SQUOTE] = ACTIONS(2159),
    [anon_sym_class] = ACTIONS(2159),
    [anon_sym_async] = ACTIONS(2159),
    [anon_sym_function] = ACTIONS(2159),
    [anon_sym_new] = ACTIONS(2159),
    [anon_sym_using] = ACTIONS(2159),
    [anon_sym_PLUS] = ACTIONS(2159),
    [anon_sym_DASH] = ACTIONS(2159),
    [anon_sym_SLASH] = ACTIONS(2159),
    [anon_sym_LT] = ACTIONS(2159),
    [anon_sym_TILDE] = ACTIONS(2159),
    [anon_sym_void] = ACTIONS(2159),
    [anon_sym_delete] = ACTIONS(2159),
    [anon_sym_PLUS_PLUS] = ACTIONS(2159),
    [anon_sym_DASH_DASH] = ACTIONS(2159),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2159),
    [sym_number] = ACTIONS(2159),
    [sym_private_property_identifier] = ACTIONS(2159),
    [sym_this] = ACTIONS(2159),
    [sym_super] = ACTIONS(2159),
    [sym_true] = ACTIONS(2159),
    [sym_false] = ACTIONS(2159),
    [sym_null] = ACTIONS(2159),
    [sym_undefined] = ACTIONS(2159),
    [anon_sym_AT] = ACTIONS(2159),
    [anon_sym_static] = ACTIONS(2159),
    [anon_sym_readonly] = ACTIONS(2159),
    [anon_sym_get] = ACTIONS(2159),
    [anon_sym_set] = ACTIONS(2159),
    [anon_sym_declare] = ACTIONS(2159),
    [anon_sym_public] = ACTIONS(2159),
    [anon_sym_private] = ACTIONS(2159),
    [anon_sym_protected] = ACTIONS(2159),
    [anon_sym_override] = ACTIONS(2159),
    [anon_sym_module] = ACTIONS(2159),
    [anon_sym_any] = ACTIONS(2159),
    [anon_sym_number] = ACTIONS(2159),
    [anon_sym_boolean] = ACTIONS(2159),
    [anon_sym_string] = ACTIONS(2159),
    [anon_sym_symbol] = ACTIONS(2159),
    [anon_sym_object] = ACTIONS(2159),
    [anon_sym_abstract] = ACTIONS(2159),
    [anon_sym_interface] = ACTIONS(2159),
    [anon_sym_enum] = ACTIONS(2159),
    [sym__automatic_semicolon] = ACTIONS(2317),
    [sym_html_comment] = ACTIONS(5),
  },
  [1187] = {
    [sym_comment] = STATE(1187),
    [sym_identifier] = ACTIONS(3358),
    [anon_sym_export] = ACTIONS(3358),
    [anon_sym_default] = ACTIONS(3358),
    [anon_sym_type] = ACTIONS(3358),
    [anon_sym_namespace] = ACTIONS(3358),
    [anon_sym_LBRACE] = ACTIONS(3358),
    [anon_sym_RBRACE] = ACTIONS(3358),
    [anon_sym_typeof] = ACTIONS(3358),
    [anon_sym_import] = ACTIONS(3358),
    [anon_sym_with] = ACTIONS(3358),
    [anon_sym_var] = ACTIONS(3358),
    [anon_sym_let] = ACTIONS(3358),
    [anon_sym_const] = ACTIONS(3358),
    [anon_sym_BANG] = ACTIONS(3358),
    [anon_sym_else] = ACTIONS(3358),
    [anon_sym_if] = ACTIONS(3358),
    [anon_sym_switch] = ACTIONS(3358),
    [anon_sym_for] = ACTIONS(3358),
    [anon_sym_LPAREN] = ACTIONS(3358),
    [anon_sym_await] = ACTIONS(3358),
    [anon_sym_while] = ACTIONS(3358),
    [anon_sym_do] = ACTIONS(3358),
    [anon_sym_try] = ACTIONS(3358),
    [anon_sym_break] = ACTIONS(3358),
    [anon_sym_continue] = ACTIONS(3358),
    [anon_sym_debugger] = ACTIONS(3358),
    [anon_sym_return] = ACTIONS(3358),
    [anon_sym_throw] = ACTIONS(3358),
    [anon_sym_SEMI] = ACTIONS(3358),
    [anon_sym_case] = ACTIONS(3358),
    [anon_sym_yield] = ACTIONS(3358),
    [anon_sym_LBRACK] = ACTIONS(3358),
    [anon_sym_LTtemplate_GT] = ACTIONS(3358),
    [anon_sym_DQUOTE] = ACTIONS(3358),
    [anon_sym_SQUOTE] = ACTIONS(3358),
    [anon_sym_class] = ACTIONS(3358),
    [anon_sym_async] = ACTIONS(3358),
    [anon_sym_function] = ACTIONS(3358),
    [anon_sym_new] = ACTIONS(3358),
    [anon_sym_using] = ACTIONS(3358),
    [anon_sym_PLUS] = ACTIONS(3358),
    [anon_sym_DASH] = ACTIONS(3358),
    [anon_sym_SLASH] = ACTIONS(3358),
    [anon_sym_LT] = ACTIONS(3358),
    [anon_sym_TILDE] = ACTIONS(3358),
    [anon_sym_void] = ACTIONS(3358),
    [anon_sym_delete] = ACTIONS(3358),
    [anon_sym_PLUS_PLUS] = ACTIONS(3358),
    [anon_sym_DASH_DASH] = ACTIONS(3358),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3358),
    [sym_number] = ACTIONS(3358),
    [sym_private_property_identifier] = ACTIONS(3358),
    [sym_this] = ACTIONS(3358),
    [sym_super] = ACTIONS(3358),
    [sym_true] = ACTIONS(3358),
    [sym_false] = ACTIONS(3358),
    [sym_null] = ACTIONS(3358),
    [sym_undefined] = ACTIONS(3358),
    [anon_sym_AT] = ACTIONS(3358),
    [anon_sym_static] = ACTIONS(3358),
    [anon_sym_readonly] = ACTIONS(3358),
    [anon_sym_get] = ACTIONS(3358),
    [anon_sym_set] = ACTIONS(3358),
    [anon_sym_declare] = ACTIONS(3358),
    [anon_sym_public] = ACTIONS(3358),
    [anon_sym_private] = ACTIONS(3358),
    [anon_sym_protected] = ACTIONS(3358),
    [anon_sym_override] = ACTIONS(3358),
    [anon_sym_module] = ACTIONS(3358),
    [anon_sym_any] = ACTIONS(3358),
    [anon_sym_number] = ACTIONS(3358),
    [anon_sym_boolean] = ACTIONS(3358),
    [anon_sym_string] = ACTIONS(3358),
    [anon_sym_symbol] = ACTIONS(3358),
    [anon_sym_object] = ACTIONS(3358),
    [anon_sym_abstract] = ACTIONS(3358),
    [anon_sym_interface] = ACTIONS(3358),
    [anon_sym_enum] = ACTIONS(3358),
    [sym_html_comment] = ACTIONS(5),
  },
  [1188] = {
    [sym_comment] = STATE(1188),
    [sym_identifier] = ACTIONS(3358),
    [anon_sym_export] = ACTIONS(3358),
    [anon_sym_default] = ACTIONS(3358),
    [anon_sym_type] = ACTIONS(3358),
    [anon_sym_namespace] = ACTIONS(3358),
    [anon_sym_LBRACE] = ACTIONS(3358),
    [anon_sym_RBRACE] = ACTIONS(3358),
    [anon_sym_typeof] = ACTIONS(3358),
    [anon_sym_import] = ACTIONS(3358),
    [anon_sym_with] = ACTIONS(3358),
    [anon_sym_var] = ACTIONS(3358),
    [anon_sym_let] = ACTIONS(3358),
    [anon_sym_const] = ACTIONS(3358),
    [anon_sym_BANG] = ACTIONS(3358),
    [anon_sym_else] = ACTIONS(3358),
    [anon_sym_if] = ACTIONS(3358),
    [anon_sym_switch] = ACTIONS(3358),
    [anon_sym_for] = ACTIONS(3358),
    [anon_sym_LPAREN] = ACTIONS(3358),
    [anon_sym_await] = ACTIONS(3358),
    [anon_sym_while] = ACTIONS(3358),
    [anon_sym_do] = ACTIONS(3358),
    [anon_sym_try] = ACTIONS(3358),
    [anon_sym_break] = ACTIONS(3358),
    [anon_sym_continue] = ACTIONS(3358),
    [anon_sym_debugger] = ACTIONS(3358),
    [anon_sym_return] = ACTIONS(3358),
    [anon_sym_throw] = ACTIONS(3358),
    [anon_sym_SEMI] = ACTIONS(3358),
    [anon_sym_case] = ACTIONS(3358),
    [anon_sym_yield] = ACTIONS(3358),
    [anon_sym_LBRACK] = ACTIONS(3358),
    [anon_sym_LTtemplate_GT] = ACTIONS(3358),
    [anon_sym_DQUOTE] = ACTIONS(3358),
    [anon_sym_SQUOTE] = ACTIONS(3358),
    [anon_sym_class] = ACTIONS(3358),
    [anon_sym_async] = ACTIONS(3358),
    [anon_sym_function] = ACTIONS(3358),
    [anon_sym_new] = ACTIONS(3358),
    [anon_sym_using] = ACTIONS(3358),
    [anon_sym_PLUS] = ACTIONS(3358),
    [anon_sym_DASH] = ACTIONS(3358),
    [anon_sym_SLASH] = ACTIONS(3358),
    [anon_sym_LT] = ACTIONS(3358),
    [anon_sym_TILDE] = ACTIONS(3358),
    [anon_sym_void] = ACTIONS(3358),
    [anon_sym_delete] = ACTIONS(3358),
    [anon_sym_PLUS_PLUS] = ACTIONS(3358),
    [anon_sym_DASH_DASH] = ACTIONS(3358),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3358),
    [sym_number] = ACTIONS(3358),
    [sym_private_property_identifier] = ACTIONS(3358),
    [sym_this] = ACTIONS(3358),
    [sym_super] = ACTIONS(3358),
    [sym_true] = ACTIONS(3358),
    [sym_false] = ACTIONS(3358),
    [sym_null] = ACTIONS(3358),
    [sym_undefined] = ACTIONS(3358),
    [anon_sym_AT] = ACTIONS(3358),
    [anon_sym_static] = ACTIONS(3358),
    [anon_sym_readonly] = ACTIONS(3358),
    [anon_sym_get] = ACTIONS(3358),
    [anon_sym_set] = ACTIONS(3358),
    [anon_sym_declare] = ACTIONS(3358),
    [anon_sym_public] = ACTIONS(3358),
    [anon_sym_private] = ACTIONS(3358),
    [anon_sym_protected] = ACTIONS(3358),
    [anon_sym_override] = ACTIONS(3358),
    [anon_sym_module] = ACTIONS(3358),
    [anon_sym_any] = ACTIONS(3358),
    [anon_sym_number] = ACTIONS(3358),
    [anon_sym_boolean] = ACTIONS(3358),
    [anon_sym_string] = ACTIONS(3358),
    [anon_sym_symbol] = ACTIONS(3358),
    [anon_sym_object] = ACTIONS(3358),
    [anon_sym_abstract] = ACTIONS(3358),
    [anon_sym_interface] = ACTIONS(3358),
    [anon_sym_enum] = ACTIONS(3358),
    [sym_html_comment] = ACTIONS(5),
  },
  [1189] = {
    [sym_comment] = STATE(1189),
    [ts_builtin_sym_end] = ACTIONS(2095),
    [sym_identifier] = ACTIONS(2093),
    [anon_sym_export] = ACTIONS(2093),
    [anon_sym_type] = ACTIONS(2093),
    [anon_sym_namespace] = ACTIONS(2093),
    [anon_sym_LBRACE] = ACTIONS(2093),
    [anon_sym_RBRACE] = ACTIONS(2093),
    [anon_sym_typeof] = ACTIONS(2093),
    [anon_sym_import] = ACTIONS(2093),
    [anon_sym_with] = ACTIONS(2093),
    [anon_sym_var] = ACTIONS(2093),
    [anon_sym_let] = ACTIONS(2093),
    [anon_sym_const] = ACTIONS(2093),
    [anon_sym_BANG] = ACTIONS(2093),
    [anon_sym_if] = ACTIONS(2093),
    [anon_sym_switch] = ACTIONS(2093),
    [anon_sym_for] = ACTIONS(2093),
    [anon_sym_LPAREN] = ACTIONS(2093),
    [anon_sym_await] = ACTIONS(2093),
    [anon_sym_while] = ACTIONS(2093),
    [anon_sym_do] = ACTIONS(2093),
    [anon_sym_try] = ACTIONS(2093),
    [anon_sym_break] = ACTIONS(2093),
    [anon_sym_continue] = ACTIONS(2093),
    [anon_sym_debugger] = ACTIONS(2093),
    [anon_sym_return] = ACTIONS(2093),
    [anon_sym_throw] = ACTIONS(2093),
    [anon_sym_SEMI] = ACTIONS(2093),
    [anon_sym_catch] = ACTIONS(2093),
    [anon_sym_finally] = ACTIONS(2093),
    [anon_sym_yield] = ACTIONS(2093),
    [anon_sym_LBRACK] = ACTIONS(2093),
    [anon_sym_LTtemplate_GT] = ACTIONS(2093),
    [anon_sym_DQUOTE] = ACTIONS(2093),
    [anon_sym_SQUOTE] = ACTIONS(2093),
    [anon_sym_class] = ACTIONS(2093),
    [anon_sym_async] = ACTIONS(2093),
    [anon_sym_function] = ACTIONS(2093),
    [anon_sym_new] = ACTIONS(2093),
    [anon_sym_using] = ACTIONS(2093),
    [anon_sym_PLUS] = ACTIONS(2093),
    [anon_sym_DASH] = ACTIONS(2093),
    [anon_sym_SLASH] = ACTIONS(2093),
    [anon_sym_LT] = ACTIONS(2093),
    [anon_sym_TILDE] = ACTIONS(2093),
    [anon_sym_void] = ACTIONS(2093),
    [anon_sym_delete] = ACTIONS(2093),
    [anon_sym_PLUS_PLUS] = ACTIONS(2093),
    [anon_sym_DASH_DASH] = ACTIONS(2093),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2093),
    [sym_number] = ACTIONS(2093),
    [sym_private_property_identifier] = ACTIONS(2093),
    [sym_this] = ACTIONS(2093),
    [sym_super] = ACTIONS(2093),
    [sym_true] = ACTIONS(2093),
    [sym_false] = ACTIONS(2093),
    [sym_null] = ACTIONS(2093),
    [sym_undefined] = ACTIONS(2093),
    [anon_sym_AT] = ACTIONS(2093),
    [anon_sym_static] = ACTIONS(2093),
    [anon_sym_readonly] = ACTIONS(2093),
    [anon_sym_get] = ACTIONS(2093),
    [anon_sym_set] = ACTIONS(2093),
    [anon_sym_declare] = ACTIONS(2093),
    [anon_sym_public] = ACTIONS(2093),
    [anon_sym_private] = ACTIONS(2093),
    [anon_sym_protected] = ACTIONS(2093),
    [anon_sym_override] = ACTIONS(2093),
    [anon_sym_module] = ACTIONS(2093),
    [anon_sym_any] = ACTIONS(2093),
    [anon_sym_number] = ACTIONS(2093),
    [anon_sym_boolean] = ACTIONS(2093),
    [anon_sym_string] = ACTIONS(2093),
    [anon_sym_symbol] = ACTIONS(2093),
    [anon_sym_object] = ACTIONS(2093),
    [anon_sym_abstract] = ACTIONS(2093),
    [anon_sym_interface] = ACTIONS(2093),
    [anon_sym_enum] = ACTIONS(2093),
    [sym_html_comment] = ACTIONS(5),
  },
  [1190] = {
    [sym_comment] = STATE(1190),
    [sym_identifier] = ACTIONS(2135),
    [anon_sym_export] = ACTIONS(2135),
    [anon_sym_default] = ACTIONS(2135),
    [anon_sym_type] = ACTIONS(2135),
    [anon_sym_namespace] = ACTIONS(2135),
    [anon_sym_LBRACE] = ACTIONS(2135),
    [anon_sym_RBRACE] = ACTIONS(2135),
    [anon_sym_typeof] = ACTIONS(2135),
    [anon_sym_import] = ACTIONS(2135),
    [anon_sym_with] = ACTIONS(2135),
    [anon_sym_var] = ACTIONS(2135),
    [anon_sym_let] = ACTIONS(2135),
    [anon_sym_const] = ACTIONS(2135),
    [anon_sym_BANG] = ACTIONS(2135),
    [anon_sym_if] = ACTIONS(2135),
    [anon_sym_switch] = ACTIONS(2135),
    [anon_sym_for] = ACTIONS(2135),
    [anon_sym_LPAREN] = ACTIONS(2135),
    [anon_sym_await] = ACTIONS(2135),
    [anon_sym_while] = ACTIONS(2135),
    [anon_sym_do] = ACTIONS(2135),
    [anon_sym_try] = ACTIONS(2135),
    [anon_sym_break] = ACTIONS(2135),
    [anon_sym_continue] = ACTIONS(2135),
    [anon_sym_debugger] = ACTIONS(2135),
    [anon_sym_return] = ACTIONS(2135),
    [anon_sym_throw] = ACTIONS(2135),
    [anon_sym_SEMI] = ACTIONS(2135),
    [anon_sym_case] = ACTIONS(2135),
    [anon_sym_yield] = ACTIONS(2135),
    [anon_sym_LBRACK] = ACTIONS(2135),
    [anon_sym_LTtemplate_GT] = ACTIONS(2135),
    [anon_sym_DQUOTE] = ACTIONS(2135),
    [anon_sym_SQUOTE] = ACTIONS(2135),
    [anon_sym_class] = ACTIONS(2135),
    [anon_sym_async] = ACTIONS(2135),
    [anon_sym_function] = ACTIONS(2135),
    [anon_sym_new] = ACTIONS(2135),
    [anon_sym_using] = ACTIONS(2135),
    [anon_sym_PLUS] = ACTIONS(2135),
    [anon_sym_DASH] = ACTIONS(2135),
    [anon_sym_SLASH] = ACTIONS(2135),
    [anon_sym_LT] = ACTIONS(2135),
    [anon_sym_TILDE] = ACTIONS(2135),
    [anon_sym_void] = ACTIONS(2135),
    [anon_sym_delete] = ACTIONS(2135),
    [anon_sym_PLUS_PLUS] = ACTIONS(2135),
    [anon_sym_DASH_DASH] = ACTIONS(2135),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2135),
    [sym_number] = ACTIONS(2135),
    [sym_private_property_identifier] = ACTIONS(2135),
    [sym_this] = ACTIONS(2135),
    [sym_super] = ACTIONS(2135),
    [sym_true] = ACTIONS(2135),
    [sym_false] = ACTIONS(2135),
    [sym_null] = ACTIONS(2135),
    [sym_undefined] = ACTIONS(2135),
    [anon_sym_AT] = ACTIONS(2135),
    [anon_sym_static] = ACTIONS(2135),
    [anon_sym_readonly] = ACTIONS(2135),
    [anon_sym_get] = ACTIONS(2135),
    [anon_sym_set] = ACTIONS(2135),
    [anon_sym_declare] = ACTIONS(2135),
    [anon_sym_public] = ACTIONS(2135),
    [anon_sym_private] = ACTIONS(2135),
    [anon_sym_protected] = ACTIONS(2135),
    [anon_sym_override] = ACTIONS(2135),
    [anon_sym_module] = ACTIONS(2135),
    [anon_sym_any] = ACTIONS(2135),
    [anon_sym_number] = ACTIONS(2135),
    [anon_sym_boolean] = ACTIONS(2135),
    [anon_sym_string] = ACTIONS(2135),
    [anon_sym_symbol] = ACTIONS(2135),
    [anon_sym_object] = ACTIONS(2135),
    [anon_sym_abstract] = ACTIONS(2135),
    [anon_sym_interface] = ACTIONS(2135),
    [anon_sym_enum] = ACTIONS(2135),
    [sym__automatic_semicolon] = ACTIONS(2363),
    [sym_html_comment] = ACTIONS(5),
  },
  [1191] = {
    [sym_statement_block] = STATE(1580),
    [sym_comment] = STATE(1191),
    [ts_builtin_sym_end] = ACTIONS(2059),
    [sym_identifier] = ACTIONS(2055),
    [anon_sym_export] = ACTIONS(2055),
    [anon_sym_type] = ACTIONS(2055),
    [anon_sym_namespace] = ACTIONS(2055),
    [anon_sym_LBRACE] = ACTIONS(3360),
    [anon_sym_RBRACE] = ACTIONS(2055),
    [anon_sym_typeof] = ACTIONS(2055),
    [anon_sym_import] = ACTIONS(2055),
    [anon_sym_with] = ACTIONS(2055),
    [anon_sym_var] = ACTIONS(2055),
    [anon_sym_let] = ACTIONS(2055),
    [anon_sym_const] = ACTIONS(2055),
    [anon_sym_BANG] = ACTIONS(2055),
    [anon_sym_if] = ACTIONS(2055),
    [anon_sym_switch] = ACTIONS(2055),
    [anon_sym_for] = ACTIONS(2055),
    [anon_sym_LPAREN] = ACTIONS(2055),
    [anon_sym_await] = ACTIONS(2055),
    [anon_sym_while] = ACTIONS(2055),
    [anon_sym_do] = ACTIONS(2055),
    [anon_sym_try] = ACTIONS(2055),
    [anon_sym_break] = ACTIONS(2055),
    [anon_sym_continue] = ACTIONS(2055),
    [anon_sym_debugger] = ACTIONS(2055),
    [anon_sym_return] = ACTIONS(2055),
    [anon_sym_throw] = ACTIONS(2055),
    [anon_sym_SEMI] = ACTIONS(2055),
    [anon_sym_yield] = ACTIONS(2055),
    [anon_sym_LBRACK] = ACTIONS(2055),
    [anon_sym_LTtemplate_GT] = ACTIONS(2055),
    [anon_sym_DOT] = ACTIONS(3362),
    [anon_sym_DQUOTE] = ACTIONS(2055),
    [anon_sym_SQUOTE] = ACTIONS(2055),
    [anon_sym_class] = ACTIONS(2055),
    [anon_sym_async] = ACTIONS(2055),
    [anon_sym_function] = ACTIONS(2055),
    [anon_sym_new] = ACTIONS(2055),
    [anon_sym_using] = ACTIONS(2055),
    [anon_sym_PLUS] = ACTIONS(2055),
    [anon_sym_DASH] = ACTIONS(2055),
    [anon_sym_SLASH] = ACTIONS(2055),
    [anon_sym_LT] = ACTIONS(2055),
    [anon_sym_TILDE] = ACTIONS(2055),
    [anon_sym_void] = ACTIONS(2055),
    [anon_sym_delete] = ACTIONS(2055),
    [anon_sym_PLUS_PLUS] = ACTIONS(2055),
    [anon_sym_DASH_DASH] = ACTIONS(2055),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2055),
    [sym_number] = ACTIONS(2055),
    [sym_private_property_identifier] = ACTIONS(2055),
    [sym_this] = ACTIONS(2055),
    [sym_super] = ACTIONS(2055),
    [sym_true] = ACTIONS(2055),
    [sym_false] = ACTIONS(2055),
    [sym_null] = ACTIONS(2055),
    [sym_undefined] = ACTIONS(2055),
    [anon_sym_AT] = ACTIONS(2055),
    [anon_sym_static] = ACTIONS(2055),
    [anon_sym_readonly] = ACTIONS(2055),
    [anon_sym_get] = ACTIONS(2055),
    [anon_sym_set] = ACTIONS(2055),
    [anon_sym_declare] = ACTIONS(2055),
    [anon_sym_public] = ACTIONS(2055),
    [anon_sym_private] = ACTIONS(2055),
    [anon_sym_protected] = ACTIONS(2055),
    [anon_sym_override] = ACTIONS(2055),
    [anon_sym_module] = ACTIONS(2055),
    [anon_sym_any] = ACTIONS(2055),
    [anon_sym_number] = ACTIONS(2055),
    [anon_sym_boolean] = ACTIONS(2055),
    [anon_sym_string] = ACTIONS(2055),
    [anon_sym_symbol] = ACTIONS(2055),
    [anon_sym_object] = ACTIONS(2055),
    [anon_sym_abstract] = ACTIONS(2055),
    [anon_sym_interface] = ACTIONS(2055),
    [anon_sym_enum] = ACTIONS(2055),
    [sym_html_comment] = ACTIONS(5),
  },
  [1192] = {
    [sym_comment] = STATE(1192),
    [sym_identifier] = ACTIONS(3364),
    [anon_sym_export] = ACTIONS(3364),
    [anon_sym_default] = ACTIONS(3364),
    [anon_sym_type] = ACTIONS(3364),
    [anon_sym_namespace] = ACTIONS(3364),
    [anon_sym_LBRACE] = ACTIONS(3364),
    [anon_sym_RBRACE] = ACTIONS(3364),
    [anon_sym_typeof] = ACTIONS(3364),
    [anon_sym_import] = ACTIONS(3364),
    [anon_sym_with] = ACTIONS(3364),
    [anon_sym_var] = ACTIONS(3364),
    [anon_sym_let] = ACTIONS(3364),
    [anon_sym_const] = ACTIONS(3364),
    [anon_sym_BANG] = ACTIONS(3364),
    [anon_sym_else] = ACTIONS(3364),
    [anon_sym_if] = ACTIONS(3364),
    [anon_sym_switch] = ACTIONS(3364),
    [anon_sym_for] = ACTIONS(3364),
    [anon_sym_LPAREN] = ACTIONS(3364),
    [anon_sym_await] = ACTIONS(3364),
    [anon_sym_while] = ACTIONS(3364),
    [anon_sym_do] = ACTIONS(3364),
    [anon_sym_try] = ACTIONS(3364),
    [anon_sym_break] = ACTIONS(3364),
    [anon_sym_continue] = ACTIONS(3364),
    [anon_sym_debugger] = ACTIONS(3364),
    [anon_sym_return] = ACTIONS(3364),
    [anon_sym_throw] = ACTIONS(3364),
    [anon_sym_SEMI] = ACTIONS(3364),
    [anon_sym_case] = ACTIONS(3364),
    [anon_sym_yield] = ACTIONS(3364),
    [anon_sym_LBRACK] = ACTIONS(3364),
    [anon_sym_LTtemplate_GT] = ACTIONS(3364),
    [anon_sym_DQUOTE] = ACTIONS(3364),
    [anon_sym_SQUOTE] = ACTIONS(3364),
    [anon_sym_class] = ACTIONS(3364),
    [anon_sym_async] = ACTIONS(3364),
    [anon_sym_function] = ACTIONS(3364),
    [anon_sym_new] = ACTIONS(3364),
    [anon_sym_using] = ACTIONS(3364),
    [anon_sym_PLUS] = ACTIONS(3364),
    [anon_sym_DASH] = ACTIONS(3364),
    [anon_sym_SLASH] = ACTIONS(3364),
    [anon_sym_LT] = ACTIONS(3364),
    [anon_sym_TILDE] = ACTIONS(3364),
    [anon_sym_void] = ACTIONS(3364),
    [anon_sym_delete] = ACTIONS(3364),
    [anon_sym_PLUS_PLUS] = ACTIONS(3364),
    [anon_sym_DASH_DASH] = ACTIONS(3364),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3364),
    [sym_number] = ACTIONS(3364),
    [sym_private_property_identifier] = ACTIONS(3364),
    [sym_this] = ACTIONS(3364),
    [sym_super] = ACTIONS(3364),
    [sym_true] = ACTIONS(3364),
    [sym_false] = ACTIONS(3364),
    [sym_null] = ACTIONS(3364),
    [sym_undefined] = ACTIONS(3364),
    [anon_sym_AT] = ACTIONS(3364),
    [anon_sym_static] = ACTIONS(3364),
    [anon_sym_readonly] = ACTIONS(3364),
    [anon_sym_get] = ACTIONS(3364),
    [anon_sym_set] = ACTIONS(3364),
    [anon_sym_declare] = ACTIONS(3364),
    [anon_sym_public] = ACTIONS(3364),
    [anon_sym_private] = ACTIONS(3364),
    [anon_sym_protected] = ACTIONS(3364),
    [anon_sym_override] = ACTIONS(3364),
    [anon_sym_module] = ACTIONS(3364),
    [anon_sym_any] = ACTIONS(3364),
    [anon_sym_number] = ACTIONS(3364),
    [anon_sym_boolean] = ACTIONS(3364),
    [anon_sym_string] = ACTIONS(3364),
    [anon_sym_symbol] = ACTIONS(3364),
    [anon_sym_object] = ACTIONS(3364),
    [anon_sym_abstract] = ACTIONS(3364),
    [anon_sym_interface] = ACTIONS(3364),
    [anon_sym_enum] = ACTIONS(3364),
    [sym_html_comment] = ACTIONS(5),
  },
  [1193] = {
    [sym_comment] = STATE(1193),
    [sym_identifier] = ACTIONS(3366),
    [anon_sym_export] = ACTIONS(3366),
    [anon_sym_default] = ACTIONS(3366),
    [anon_sym_type] = ACTIONS(3366),
    [anon_sym_namespace] = ACTIONS(3366),
    [anon_sym_LBRACE] = ACTIONS(3366),
    [anon_sym_RBRACE] = ACTIONS(3366),
    [anon_sym_typeof] = ACTIONS(3366),
    [anon_sym_import] = ACTIONS(3366),
    [anon_sym_with] = ACTIONS(3366),
    [anon_sym_var] = ACTIONS(3366),
    [anon_sym_let] = ACTIONS(3366),
    [anon_sym_const] = ACTIONS(3366),
    [anon_sym_BANG] = ACTIONS(3366),
    [anon_sym_else] = ACTIONS(3366),
    [anon_sym_if] = ACTIONS(3366),
    [anon_sym_switch] = ACTIONS(3366),
    [anon_sym_for] = ACTIONS(3366),
    [anon_sym_LPAREN] = ACTIONS(3366),
    [anon_sym_await] = ACTIONS(3366),
    [anon_sym_while] = ACTIONS(3366),
    [anon_sym_do] = ACTIONS(3366),
    [anon_sym_try] = ACTIONS(3366),
    [anon_sym_break] = ACTIONS(3366),
    [anon_sym_continue] = ACTIONS(3366),
    [anon_sym_debugger] = ACTIONS(3366),
    [anon_sym_return] = ACTIONS(3366),
    [anon_sym_throw] = ACTIONS(3366),
    [anon_sym_SEMI] = ACTIONS(3366),
    [anon_sym_case] = ACTIONS(3366),
    [anon_sym_yield] = ACTIONS(3366),
    [anon_sym_LBRACK] = ACTIONS(3366),
    [anon_sym_LTtemplate_GT] = ACTIONS(3366),
    [anon_sym_DQUOTE] = ACTIONS(3366),
    [anon_sym_SQUOTE] = ACTIONS(3366),
    [anon_sym_class] = ACTIONS(3366),
    [anon_sym_async] = ACTIONS(3366),
    [anon_sym_function] = ACTIONS(3366),
    [anon_sym_new] = ACTIONS(3366),
    [anon_sym_using] = ACTIONS(3366),
    [anon_sym_PLUS] = ACTIONS(3366),
    [anon_sym_DASH] = ACTIONS(3366),
    [anon_sym_SLASH] = ACTIONS(3366),
    [anon_sym_LT] = ACTIONS(3366),
    [anon_sym_TILDE] = ACTIONS(3366),
    [anon_sym_void] = ACTIONS(3366),
    [anon_sym_delete] = ACTIONS(3366),
    [anon_sym_PLUS_PLUS] = ACTIONS(3366),
    [anon_sym_DASH_DASH] = ACTIONS(3366),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3366),
    [sym_number] = ACTIONS(3366),
    [sym_private_property_identifier] = ACTIONS(3366),
    [sym_this] = ACTIONS(3366),
    [sym_super] = ACTIONS(3366),
    [sym_true] = ACTIONS(3366),
    [sym_false] = ACTIONS(3366),
    [sym_null] = ACTIONS(3366),
    [sym_undefined] = ACTIONS(3366),
    [anon_sym_AT] = ACTIONS(3366),
    [anon_sym_static] = ACTIONS(3366),
    [anon_sym_readonly] = ACTIONS(3366),
    [anon_sym_get] = ACTIONS(3366),
    [anon_sym_set] = ACTIONS(3366),
    [anon_sym_declare] = ACTIONS(3366),
    [anon_sym_public] = ACTIONS(3366),
    [anon_sym_private] = ACTIONS(3366),
    [anon_sym_protected] = ACTIONS(3366),
    [anon_sym_override] = ACTIONS(3366),
    [anon_sym_module] = ACTIONS(3366),
    [anon_sym_any] = ACTIONS(3366),
    [anon_sym_number] = ACTIONS(3366),
    [anon_sym_boolean] = ACTIONS(3366),
    [anon_sym_string] = ACTIONS(3366),
    [anon_sym_symbol] = ACTIONS(3366),
    [anon_sym_object] = ACTIONS(3366),
    [anon_sym_abstract] = ACTIONS(3366),
    [anon_sym_interface] = ACTIONS(3366),
    [anon_sym_enum] = ACTIONS(3366),
    [sym_html_comment] = ACTIONS(5),
  },
  [1194] = {
    [sym_statement_block] = STATE(1580),
    [sym_comment] = STATE(1194),
    [ts_builtin_sym_end] = ACTIONS(2059),
    [sym_identifier] = ACTIONS(2055),
    [anon_sym_export] = ACTIONS(2055),
    [anon_sym_type] = ACTIONS(2055),
    [anon_sym_namespace] = ACTIONS(2055),
    [anon_sym_LBRACE] = ACTIONS(3360),
    [anon_sym_RBRACE] = ACTIONS(2055),
    [anon_sym_typeof] = ACTIONS(2055),
    [anon_sym_import] = ACTIONS(2055),
    [anon_sym_with] = ACTIONS(2055),
    [anon_sym_var] = ACTIONS(2055),
    [anon_sym_let] = ACTIONS(2055),
    [anon_sym_const] = ACTIONS(2055),
    [anon_sym_BANG] = ACTIONS(2055),
    [anon_sym_if] = ACTIONS(2055),
    [anon_sym_switch] = ACTIONS(2055),
    [anon_sym_for] = ACTIONS(2055),
    [anon_sym_LPAREN] = ACTIONS(2055),
    [anon_sym_await] = ACTIONS(2055),
    [anon_sym_while] = ACTIONS(2055),
    [anon_sym_do] = ACTIONS(2055),
    [anon_sym_try] = ACTIONS(2055),
    [anon_sym_break] = ACTIONS(2055),
    [anon_sym_continue] = ACTIONS(2055),
    [anon_sym_debugger] = ACTIONS(2055),
    [anon_sym_return] = ACTIONS(2055),
    [anon_sym_throw] = ACTIONS(2055),
    [anon_sym_SEMI] = ACTIONS(2055),
    [anon_sym_yield] = ACTIONS(2055),
    [anon_sym_LBRACK] = ACTIONS(2055),
    [anon_sym_LTtemplate_GT] = ACTIONS(2055),
    [anon_sym_DOT] = ACTIONS(3368),
    [anon_sym_DQUOTE] = ACTIONS(2055),
    [anon_sym_SQUOTE] = ACTIONS(2055),
    [anon_sym_class] = ACTIONS(2055),
    [anon_sym_async] = ACTIONS(2055),
    [anon_sym_function] = ACTIONS(2055),
    [anon_sym_new] = ACTIONS(2055),
    [anon_sym_using] = ACTIONS(2055),
    [anon_sym_PLUS] = ACTIONS(2055),
    [anon_sym_DASH] = ACTIONS(2055),
    [anon_sym_SLASH] = ACTIONS(2055),
    [anon_sym_LT] = ACTIONS(2055),
    [anon_sym_TILDE] = ACTIONS(2055),
    [anon_sym_void] = ACTIONS(2055),
    [anon_sym_delete] = ACTIONS(2055),
    [anon_sym_PLUS_PLUS] = ACTIONS(2055),
    [anon_sym_DASH_DASH] = ACTIONS(2055),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2055),
    [sym_number] = ACTIONS(2055),
    [sym_private_property_identifier] = ACTIONS(2055),
    [sym_this] = ACTIONS(2055),
    [sym_super] = ACTIONS(2055),
    [sym_true] = ACTIONS(2055),
    [sym_false] = ACTIONS(2055),
    [sym_null] = ACTIONS(2055),
    [sym_undefined] = ACTIONS(2055),
    [anon_sym_AT] = ACTIONS(2055),
    [anon_sym_static] = ACTIONS(2055),
    [anon_sym_readonly] = ACTIONS(2055),
    [anon_sym_get] = ACTIONS(2055),
    [anon_sym_set] = ACTIONS(2055),
    [anon_sym_declare] = ACTIONS(2055),
    [anon_sym_public] = ACTIONS(2055),
    [anon_sym_private] = ACTIONS(2055),
    [anon_sym_protected] = ACTIONS(2055),
    [anon_sym_override] = ACTIONS(2055),
    [anon_sym_module] = ACTIONS(2055),
    [anon_sym_any] = ACTIONS(2055),
    [anon_sym_number] = ACTIONS(2055),
    [anon_sym_boolean] = ACTIONS(2055),
    [anon_sym_string] = ACTIONS(2055),
    [anon_sym_symbol] = ACTIONS(2055),
    [anon_sym_object] = ACTIONS(2055),
    [anon_sym_abstract] = ACTIONS(2055),
    [anon_sym_interface] = ACTIONS(2055),
    [anon_sym_enum] = ACTIONS(2055),
    [sym_html_comment] = ACTIONS(5),
  },
  [1195] = {
    [sym_comment] = STATE(1195),
    [sym_identifier] = ACTIONS(2229),
    [anon_sym_export] = ACTIONS(2229),
    [anon_sym_default] = ACTIONS(2229),
    [anon_sym_type] = ACTIONS(2229),
    [anon_sym_namespace] = ACTIONS(2229),
    [anon_sym_LBRACE] = ACTIONS(2229),
    [anon_sym_RBRACE] = ACTIONS(2229),
    [anon_sym_typeof] = ACTIONS(2229),
    [anon_sym_import] = ACTIONS(2229),
    [anon_sym_with] = ACTIONS(2229),
    [anon_sym_var] = ACTIONS(2229),
    [anon_sym_let] = ACTIONS(2229),
    [anon_sym_const] = ACTIONS(2229),
    [anon_sym_BANG] = ACTIONS(2229),
    [anon_sym_if] = ACTIONS(2229),
    [anon_sym_switch] = ACTIONS(2229),
    [anon_sym_for] = ACTIONS(2229),
    [anon_sym_LPAREN] = ACTIONS(2229),
    [anon_sym_await] = ACTIONS(2229),
    [anon_sym_while] = ACTIONS(2229),
    [anon_sym_do] = ACTIONS(2229),
    [anon_sym_try] = ACTIONS(2229),
    [anon_sym_break] = ACTIONS(2229),
    [anon_sym_continue] = ACTIONS(2229),
    [anon_sym_debugger] = ACTIONS(2229),
    [anon_sym_return] = ACTIONS(2229),
    [anon_sym_throw] = ACTIONS(2229),
    [anon_sym_SEMI] = ACTIONS(2229),
    [anon_sym_case] = ACTIONS(2229),
    [anon_sym_yield] = ACTIONS(2229),
    [anon_sym_LBRACK] = ACTIONS(2229),
    [anon_sym_LTtemplate_GT] = ACTIONS(2229),
    [anon_sym_DQUOTE] = ACTIONS(2229),
    [anon_sym_SQUOTE] = ACTIONS(2229),
    [anon_sym_class] = ACTIONS(2229),
    [anon_sym_async] = ACTIONS(2229),
    [anon_sym_function] = ACTIONS(2229),
    [anon_sym_new] = ACTIONS(2229),
    [anon_sym_using] = ACTIONS(2229),
    [anon_sym_PLUS] = ACTIONS(2229),
    [anon_sym_DASH] = ACTIONS(2229),
    [anon_sym_SLASH] = ACTIONS(2229),
    [anon_sym_LT] = ACTIONS(2229),
    [anon_sym_TILDE] = ACTIONS(2229),
    [anon_sym_void] = ACTIONS(2229),
    [anon_sym_delete] = ACTIONS(2229),
    [anon_sym_PLUS_PLUS] = ACTIONS(2229),
    [anon_sym_DASH_DASH] = ACTIONS(2229),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2229),
    [sym_number] = ACTIONS(2229),
    [sym_private_property_identifier] = ACTIONS(2229),
    [sym_this] = ACTIONS(2229),
    [sym_super] = ACTIONS(2229),
    [sym_true] = ACTIONS(2229),
    [sym_false] = ACTIONS(2229),
    [sym_null] = ACTIONS(2229),
    [sym_undefined] = ACTIONS(2229),
    [anon_sym_AT] = ACTIONS(2229),
    [anon_sym_static] = ACTIONS(2229),
    [anon_sym_readonly] = ACTIONS(2229),
    [anon_sym_get] = ACTIONS(2229),
    [anon_sym_set] = ACTIONS(2229),
    [anon_sym_declare] = ACTIONS(2229),
    [anon_sym_public] = ACTIONS(2229),
    [anon_sym_private] = ACTIONS(2229),
    [anon_sym_protected] = ACTIONS(2229),
    [anon_sym_override] = ACTIONS(2229),
    [anon_sym_module] = ACTIONS(2229),
    [anon_sym_any] = ACTIONS(2229),
    [anon_sym_number] = ACTIONS(2229),
    [anon_sym_boolean] = ACTIONS(2229),
    [anon_sym_string] = ACTIONS(2229),
    [anon_sym_symbol] = ACTIONS(2229),
    [anon_sym_object] = ACTIONS(2229),
    [anon_sym_abstract] = ACTIONS(2229),
    [anon_sym_interface] = ACTIONS(2229),
    [anon_sym_enum] = ACTIONS(2229),
    [sym__automatic_semicolon] = ACTIONS(2371),
    [sym_html_comment] = ACTIONS(5),
  },
  [1196] = {
    [sym_comment] = STATE(1196),
    [sym_identifier] = ACTIONS(3296),
    [anon_sym_export] = ACTIONS(3296),
    [anon_sym_default] = ACTIONS(3296),
    [anon_sym_type] = ACTIONS(3296),
    [anon_sym_namespace] = ACTIONS(3296),
    [anon_sym_LBRACE] = ACTIONS(3296),
    [anon_sym_RBRACE] = ACTIONS(3296),
    [anon_sym_typeof] = ACTIONS(3296),
    [anon_sym_import] = ACTIONS(3296),
    [anon_sym_with] = ACTIONS(3296),
    [anon_sym_var] = ACTIONS(3296),
    [anon_sym_let] = ACTIONS(3296),
    [anon_sym_const] = ACTIONS(3296),
    [anon_sym_BANG] = ACTIONS(3296),
    [anon_sym_if] = ACTIONS(3296),
    [anon_sym_switch] = ACTIONS(3296),
    [anon_sym_for] = ACTIONS(3296),
    [anon_sym_LPAREN] = ACTIONS(3296),
    [anon_sym_await] = ACTIONS(3296),
    [anon_sym_while] = ACTIONS(3296),
    [anon_sym_do] = ACTIONS(3296),
    [anon_sym_try] = ACTIONS(3296),
    [anon_sym_break] = ACTIONS(3296),
    [anon_sym_continue] = ACTIONS(3296),
    [anon_sym_debugger] = ACTIONS(3296),
    [anon_sym_return] = ACTIONS(3296),
    [anon_sym_throw] = ACTIONS(3296),
    [anon_sym_SEMI] = ACTIONS(3296),
    [anon_sym_case] = ACTIONS(3296),
    [anon_sym_yield] = ACTIONS(3296),
    [anon_sym_LBRACK] = ACTIONS(3296),
    [anon_sym_LTtemplate_GT] = ACTIONS(3296),
    [anon_sym_DQUOTE] = ACTIONS(3296),
    [anon_sym_SQUOTE] = ACTIONS(3296),
    [anon_sym_class] = ACTIONS(3296),
    [anon_sym_async] = ACTIONS(3296),
    [anon_sym_function] = ACTIONS(3296),
    [anon_sym_new] = ACTIONS(3296),
    [anon_sym_using] = ACTIONS(3296),
    [anon_sym_PLUS] = ACTIONS(3296),
    [anon_sym_DASH] = ACTIONS(3296),
    [anon_sym_SLASH] = ACTIONS(3296),
    [anon_sym_LT] = ACTIONS(3296),
    [anon_sym_TILDE] = ACTIONS(3296),
    [anon_sym_void] = ACTIONS(3296),
    [anon_sym_delete] = ACTIONS(3296),
    [anon_sym_PLUS_PLUS] = ACTIONS(3296),
    [anon_sym_DASH_DASH] = ACTIONS(3296),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3296),
    [sym_number] = ACTIONS(3296),
    [sym_private_property_identifier] = ACTIONS(3296),
    [sym_this] = ACTIONS(3296),
    [sym_super] = ACTIONS(3296),
    [sym_true] = ACTIONS(3296),
    [sym_false] = ACTIONS(3296),
    [sym_null] = ACTIONS(3296),
    [sym_undefined] = ACTIONS(3296),
    [anon_sym_AT] = ACTIONS(3296),
    [anon_sym_static] = ACTIONS(3296),
    [anon_sym_readonly] = ACTIONS(3296),
    [anon_sym_get] = ACTIONS(3296),
    [anon_sym_set] = ACTIONS(3296),
    [anon_sym_declare] = ACTIONS(3296),
    [anon_sym_public] = ACTIONS(3296),
    [anon_sym_private] = ACTIONS(3296),
    [anon_sym_protected] = ACTIONS(3296),
    [anon_sym_override] = ACTIONS(3296),
    [anon_sym_module] = ACTIONS(3296),
    [anon_sym_any] = ACTIONS(3296),
    [anon_sym_number] = ACTIONS(3296),
    [anon_sym_boolean] = ACTIONS(3296),
    [anon_sym_string] = ACTIONS(3296),
    [anon_sym_symbol] = ACTIONS(3296),
    [anon_sym_object] = ACTIONS(3296),
    [anon_sym_abstract] = ACTIONS(3296),
    [anon_sym_interface] = ACTIONS(3296),
    [anon_sym_enum] = ACTIONS(3296),
    [sym_html_comment] = ACTIONS(5),
  },
  [1197] = {
    [sym_comment] = STATE(1197),
    [ts_builtin_sym_end] = ACTIONS(3370),
    [sym_identifier] = ACTIONS(3154),
    [anon_sym_export] = ACTIONS(3154),
    [anon_sym_type] = ACTIONS(3154),
    [anon_sym_namespace] = ACTIONS(3154),
    [anon_sym_LBRACE] = ACTIONS(3154),
    [anon_sym_RBRACE] = ACTIONS(3154),
    [anon_sym_typeof] = ACTIONS(3154),
    [anon_sym_import] = ACTIONS(3154),
    [anon_sym_with] = ACTIONS(3154),
    [anon_sym_var] = ACTIONS(3154),
    [anon_sym_let] = ACTIONS(3154),
    [anon_sym_const] = ACTIONS(3154),
    [anon_sym_BANG] = ACTIONS(3154),
    [anon_sym_else] = ACTIONS(3154),
    [anon_sym_if] = ACTIONS(3154),
    [anon_sym_switch] = ACTIONS(3154),
    [anon_sym_for] = ACTIONS(3154),
    [anon_sym_LPAREN] = ACTIONS(3154),
    [anon_sym_await] = ACTIONS(3154),
    [anon_sym_while] = ACTIONS(3154),
    [anon_sym_do] = ACTIONS(3154),
    [anon_sym_try] = ACTIONS(3154),
    [anon_sym_break] = ACTIONS(3154),
    [anon_sym_continue] = ACTIONS(3154),
    [anon_sym_debugger] = ACTIONS(3154),
    [anon_sym_return] = ACTIONS(3154),
    [anon_sym_throw] = ACTIONS(3154),
    [anon_sym_SEMI] = ACTIONS(3154),
    [anon_sym_yield] = ACTIONS(3154),
    [anon_sym_LBRACK] = ACTIONS(3154),
    [anon_sym_LTtemplate_GT] = ACTIONS(3154),
    [anon_sym_DQUOTE] = ACTIONS(3154),
    [anon_sym_SQUOTE] = ACTIONS(3154),
    [anon_sym_class] = ACTIONS(3154),
    [anon_sym_async] = ACTIONS(3154),
    [anon_sym_function] = ACTIONS(3154),
    [anon_sym_new] = ACTIONS(3154),
    [anon_sym_using] = ACTIONS(3154),
    [anon_sym_PLUS] = ACTIONS(3154),
    [anon_sym_DASH] = ACTIONS(3154),
    [anon_sym_SLASH] = ACTIONS(3154),
    [anon_sym_LT] = ACTIONS(3154),
    [anon_sym_TILDE] = ACTIONS(3154),
    [anon_sym_void] = ACTIONS(3154),
    [anon_sym_delete] = ACTIONS(3154),
    [anon_sym_PLUS_PLUS] = ACTIONS(3154),
    [anon_sym_DASH_DASH] = ACTIONS(3154),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3154),
    [sym_number] = ACTIONS(3154),
    [sym_private_property_identifier] = ACTIONS(3154),
    [sym_this] = ACTIONS(3154),
    [sym_super] = ACTIONS(3154),
    [sym_true] = ACTIONS(3154),
    [sym_false] = ACTIONS(3154),
    [sym_null] = ACTIONS(3154),
    [sym_undefined] = ACTIONS(3154),
    [anon_sym_AT] = ACTIONS(3154),
    [anon_sym_static] = ACTIONS(3154),
    [anon_sym_readonly] = ACTIONS(3154),
    [anon_sym_get] = ACTIONS(3154),
    [anon_sym_set] = ACTIONS(3154),
    [anon_sym_declare] = ACTIONS(3154),
    [anon_sym_public] = ACTIONS(3154),
    [anon_sym_private] = ACTIONS(3154),
    [anon_sym_protected] = ACTIONS(3154),
    [anon_sym_override] = ACTIONS(3154),
    [anon_sym_module] = ACTIONS(3154),
    [anon_sym_any] = ACTIONS(3154),
    [anon_sym_number] = ACTIONS(3154),
    [anon_sym_boolean] = ACTIONS(3154),
    [anon_sym_string] = ACTIONS(3154),
    [anon_sym_symbol] = ACTIONS(3154),
    [anon_sym_object] = ACTIONS(3154),
    [anon_sym_abstract] = ACTIONS(3154),
    [anon_sym_interface] = ACTIONS(3154),
    [anon_sym_enum] = ACTIONS(3154),
    [sym_html_comment] = ACTIONS(5),
  },
  [1198] = {
    [sym_comment] = STATE(1198),
    [sym_identifier] = ACTIONS(3232),
    [anon_sym_export] = ACTIONS(3232),
    [anon_sym_default] = ACTIONS(3232),
    [anon_sym_type] = ACTIONS(3232),
    [anon_sym_namespace] = ACTIONS(3232),
    [anon_sym_LBRACE] = ACTIONS(3232),
    [anon_sym_RBRACE] = ACTIONS(3232),
    [anon_sym_typeof] = ACTIONS(3232),
    [anon_sym_import] = ACTIONS(3232),
    [anon_sym_with] = ACTIONS(3232),
    [anon_sym_var] = ACTIONS(3232),
    [anon_sym_let] = ACTIONS(3232),
    [anon_sym_const] = ACTIONS(3232),
    [anon_sym_BANG] = ACTIONS(3232),
    [anon_sym_if] = ACTIONS(3232),
    [anon_sym_switch] = ACTIONS(3232),
    [anon_sym_for] = ACTIONS(3232),
    [anon_sym_LPAREN] = ACTIONS(3232),
    [anon_sym_await] = ACTIONS(3232),
    [anon_sym_while] = ACTIONS(3232),
    [anon_sym_do] = ACTIONS(3232),
    [anon_sym_try] = ACTIONS(3232),
    [anon_sym_break] = ACTIONS(3232),
    [anon_sym_continue] = ACTIONS(3232),
    [anon_sym_debugger] = ACTIONS(3232),
    [anon_sym_return] = ACTIONS(3232),
    [anon_sym_throw] = ACTIONS(3232),
    [anon_sym_SEMI] = ACTIONS(3232),
    [anon_sym_case] = ACTIONS(3232),
    [anon_sym_yield] = ACTIONS(3232),
    [anon_sym_LBRACK] = ACTIONS(3232),
    [anon_sym_LTtemplate_GT] = ACTIONS(3232),
    [anon_sym_DQUOTE] = ACTIONS(3232),
    [anon_sym_SQUOTE] = ACTIONS(3232),
    [anon_sym_class] = ACTIONS(3232),
    [anon_sym_async] = ACTIONS(3232),
    [anon_sym_function] = ACTIONS(3232),
    [anon_sym_new] = ACTIONS(3232),
    [anon_sym_using] = ACTIONS(3232),
    [anon_sym_PLUS] = ACTIONS(3232),
    [anon_sym_DASH] = ACTIONS(3232),
    [anon_sym_SLASH] = ACTIONS(3232),
    [anon_sym_LT] = ACTIONS(3232),
    [anon_sym_TILDE] = ACTIONS(3232),
    [anon_sym_void] = ACTIONS(3232),
    [anon_sym_delete] = ACTIONS(3232),
    [anon_sym_PLUS_PLUS] = ACTIONS(3232),
    [anon_sym_DASH_DASH] = ACTIONS(3232),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3232),
    [sym_number] = ACTIONS(3232),
    [sym_private_property_identifier] = ACTIONS(3232),
    [sym_this] = ACTIONS(3232),
    [sym_super] = ACTIONS(3232),
    [sym_true] = ACTIONS(3232),
    [sym_false] = ACTIONS(3232),
    [sym_null] = ACTIONS(3232),
    [sym_undefined] = ACTIONS(3232),
    [anon_sym_AT] = ACTIONS(3232),
    [anon_sym_static] = ACTIONS(3232),
    [anon_sym_readonly] = ACTIONS(3232),
    [anon_sym_get] = ACTIONS(3232),
    [anon_sym_set] = ACTIONS(3232),
    [anon_sym_declare] = ACTIONS(3232),
    [anon_sym_public] = ACTIONS(3232),
    [anon_sym_private] = ACTIONS(3232),
    [anon_sym_protected] = ACTIONS(3232),
    [anon_sym_override] = ACTIONS(3232),
    [anon_sym_module] = ACTIONS(3232),
    [anon_sym_any] = ACTIONS(3232),
    [anon_sym_number] = ACTIONS(3232),
    [anon_sym_boolean] = ACTIONS(3232),
    [anon_sym_string] = ACTIONS(3232),
    [anon_sym_symbol] = ACTIONS(3232),
    [anon_sym_object] = ACTIONS(3232),
    [anon_sym_abstract] = ACTIONS(3232),
    [anon_sym_interface] = ACTIONS(3232),
    [anon_sym_enum] = ACTIONS(3232),
    [sym_html_comment] = ACTIONS(5),
  },
  [1199] = {
    [sym_comment] = STATE(1199),
    [sym_identifier] = ACTIONS(3234),
    [anon_sym_export] = ACTIONS(3234),
    [anon_sym_default] = ACTIONS(3234),
    [anon_sym_type] = ACTIONS(3234),
    [anon_sym_namespace] = ACTIONS(3234),
    [anon_sym_LBRACE] = ACTIONS(3234),
    [anon_sym_RBRACE] = ACTIONS(3234),
    [anon_sym_typeof] = ACTIONS(3234),
    [anon_sym_import] = ACTIONS(3234),
    [anon_sym_with] = ACTIONS(3234),
    [anon_sym_var] = ACTIONS(3234),
    [anon_sym_let] = ACTIONS(3234),
    [anon_sym_const] = ACTIONS(3234),
    [anon_sym_BANG] = ACTIONS(3234),
    [anon_sym_if] = ACTIONS(3234),
    [anon_sym_switch] = ACTIONS(3234),
    [anon_sym_for] = ACTIONS(3234),
    [anon_sym_LPAREN] = ACTIONS(3234),
    [anon_sym_await] = ACTIONS(3234),
    [anon_sym_while] = ACTIONS(3234),
    [anon_sym_do] = ACTIONS(3234),
    [anon_sym_try] = ACTIONS(3234),
    [anon_sym_break] = ACTIONS(3234),
    [anon_sym_continue] = ACTIONS(3234),
    [anon_sym_debugger] = ACTIONS(3234),
    [anon_sym_return] = ACTIONS(3234),
    [anon_sym_throw] = ACTIONS(3234),
    [anon_sym_SEMI] = ACTIONS(3234),
    [anon_sym_case] = ACTIONS(3234),
    [anon_sym_yield] = ACTIONS(3234),
    [anon_sym_LBRACK] = ACTIONS(3234),
    [anon_sym_LTtemplate_GT] = ACTIONS(3234),
    [anon_sym_DQUOTE] = ACTIONS(3234),
    [anon_sym_SQUOTE] = ACTIONS(3234),
    [anon_sym_class] = ACTIONS(3234),
    [anon_sym_async] = ACTIONS(3234),
    [anon_sym_function] = ACTIONS(3234),
    [anon_sym_new] = ACTIONS(3234),
    [anon_sym_using] = ACTIONS(3234),
    [anon_sym_PLUS] = ACTIONS(3234),
    [anon_sym_DASH] = ACTIONS(3234),
    [anon_sym_SLASH] = ACTIONS(3234),
    [anon_sym_LT] = ACTIONS(3234),
    [anon_sym_TILDE] = ACTIONS(3234),
    [anon_sym_void] = ACTIONS(3234),
    [anon_sym_delete] = ACTIONS(3234),
    [anon_sym_PLUS_PLUS] = ACTIONS(3234),
    [anon_sym_DASH_DASH] = ACTIONS(3234),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3234),
    [sym_number] = ACTIONS(3234),
    [sym_private_property_identifier] = ACTIONS(3234),
    [sym_this] = ACTIONS(3234),
    [sym_super] = ACTIONS(3234),
    [sym_true] = ACTIONS(3234),
    [sym_false] = ACTIONS(3234),
    [sym_null] = ACTIONS(3234),
    [sym_undefined] = ACTIONS(3234),
    [anon_sym_AT] = ACTIONS(3234),
    [anon_sym_static] = ACTIONS(3234),
    [anon_sym_readonly] = ACTIONS(3234),
    [anon_sym_get] = ACTIONS(3234),
    [anon_sym_set] = ACTIONS(3234),
    [anon_sym_declare] = ACTIONS(3234),
    [anon_sym_public] = ACTIONS(3234),
    [anon_sym_private] = ACTIONS(3234),
    [anon_sym_protected] = ACTIONS(3234),
    [anon_sym_override] = ACTIONS(3234),
    [anon_sym_module] = ACTIONS(3234),
    [anon_sym_any] = ACTIONS(3234),
    [anon_sym_number] = ACTIONS(3234),
    [anon_sym_boolean] = ACTIONS(3234),
    [anon_sym_string] = ACTIONS(3234),
    [anon_sym_symbol] = ACTIONS(3234),
    [anon_sym_object] = ACTIONS(3234),
    [anon_sym_abstract] = ACTIONS(3234),
    [anon_sym_interface] = ACTIONS(3234),
    [anon_sym_enum] = ACTIONS(3234),
    [sym_html_comment] = ACTIONS(5),
  },
  [1200] = {
    [sym_comment] = STATE(1200),
    [sym_identifier] = ACTIONS(3234),
    [anon_sym_export] = ACTIONS(3234),
    [anon_sym_default] = ACTIONS(3234),
    [anon_sym_type] = ACTIONS(3234),
    [anon_sym_namespace] = ACTIONS(3234),
    [anon_sym_LBRACE] = ACTIONS(3234),
    [anon_sym_RBRACE] = ACTIONS(3234),
    [anon_sym_typeof] = ACTIONS(3234),
    [anon_sym_import] = ACTIONS(3234),
    [anon_sym_with] = ACTIONS(3234),
    [anon_sym_var] = ACTIONS(3234),
    [anon_sym_let] = ACTIONS(3234),
    [anon_sym_const] = ACTIONS(3234),
    [anon_sym_BANG] = ACTIONS(3234),
    [anon_sym_if] = ACTIONS(3234),
    [anon_sym_switch] = ACTIONS(3234),
    [anon_sym_for] = ACTIONS(3234),
    [anon_sym_LPAREN] = ACTIONS(3234),
    [anon_sym_await] = ACTIONS(3234),
    [anon_sym_while] = ACTIONS(3234),
    [anon_sym_do] = ACTIONS(3234),
    [anon_sym_try] = ACTIONS(3234),
    [anon_sym_break] = ACTIONS(3234),
    [anon_sym_continue] = ACTIONS(3234),
    [anon_sym_debugger] = ACTIONS(3234),
    [anon_sym_return] = ACTIONS(3234),
    [anon_sym_throw] = ACTIONS(3234),
    [anon_sym_SEMI] = ACTIONS(3234),
    [anon_sym_case] = ACTIONS(3234),
    [anon_sym_yield] = ACTIONS(3234),
    [anon_sym_LBRACK] = ACTIONS(3234),
    [anon_sym_LTtemplate_GT] = ACTIONS(3234),
    [anon_sym_DQUOTE] = ACTIONS(3234),
    [anon_sym_SQUOTE] = ACTIONS(3234),
    [anon_sym_class] = ACTIONS(3234),
    [anon_sym_async] = ACTIONS(3234),
    [anon_sym_function] = ACTIONS(3234),
    [anon_sym_new] = ACTIONS(3234),
    [anon_sym_using] = ACTIONS(3234),
    [anon_sym_PLUS] = ACTIONS(3234),
    [anon_sym_DASH] = ACTIONS(3234),
    [anon_sym_SLASH] = ACTIONS(3234),
    [anon_sym_LT] = ACTIONS(3234),
    [anon_sym_TILDE] = ACTIONS(3234),
    [anon_sym_void] = ACTIONS(3234),
    [anon_sym_delete] = ACTIONS(3234),
    [anon_sym_PLUS_PLUS] = ACTIONS(3234),
    [anon_sym_DASH_DASH] = ACTIONS(3234),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3234),
    [sym_number] = ACTIONS(3234),
    [sym_private_property_identifier] = ACTIONS(3234),
    [sym_this] = ACTIONS(3234),
    [sym_super] = ACTIONS(3234),
    [sym_true] = ACTIONS(3234),
    [sym_false] = ACTIONS(3234),
    [sym_null] = ACTIONS(3234),
    [sym_undefined] = ACTIONS(3234),
    [anon_sym_AT] = ACTIONS(3234),
    [anon_sym_static] = ACTIONS(3234),
    [anon_sym_readonly] = ACTIONS(3234),
    [anon_sym_get] = ACTIONS(3234),
    [anon_sym_set] = ACTIONS(3234),
    [anon_sym_declare] = ACTIONS(3234),
    [anon_sym_public] = ACTIONS(3234),
    [anon_sym_private] = ACTIONS(3234),
    [anon_sym_protected] = ACTIONS(3234),
    [anon_sym_override] = ACTIONS(3234),
    [anon_sym_module] = ACTIONS(3234),
    [anon_sym_any] = ACTIONS(3234),
    [anon_sym_number] = ACTIONS(3234),
    [anon_sym_boolean] = ACTIONS(3234),
    [anon_sym_string] = ACTIONS(3234),
    [anon_sym_symbol] = ACTIONS(3234),
    [anon_sym_object] = ACTIONS(3234),
    [anon_sym_abstract] = ACTIONS(3234),
    [anon_sym_interface] = ACTIONS(3234),
    [anon_sym_enum] = ACTIONS(3234),
    [sym_html_comment] = ACTIONS(5),
  },
  [1201] = {
    [sym_comment] = STATE(1201),
    [sym_identifier] = ACTIONS(3236),
    [anon_sym_export] = ACTIONS(3236),
    [anon_sym_default] = ACTIONS(3236),
    [anon_sym_type] = ACTIONS(3236),
    [anon_sym_namespace] = ACTIONS(3236),
    [anon_sym_LBRACE] = ACTIONS(3236),
    [anon_sym_RBRACE] = ACTIONS(3236),
    [anon_sym_typeof] = ACTIONS(3236),
    [anon_sym_import] = ACTIONS(3236),
    [anon_sym_with] = ACTIONS(3236),
    [anon_sym_var] = ACTIONS(3236),
    [anon_sym_let] = ACTIONS(3236),
    [anon_sym_const] = ACTIONS(3236),
    [anon_sym_BANG] = ACTIONS(3236),
    [anon_sym_if] = ACTIONS(3236),
    [anon_sym_switch] = ACTIONS(3236),
    [anon_sym_for] = ACTIONS(3236),
    [anon_sym_LPAREN] = ACTIONS(3236),
    [anon_sym_await] = ACTIONS(3236),
    [anon_sym_while] = ACTIONS(3236),
    [anon_sym_do] = ACTIONS(3236),
    [anon_sym_try] = ACTIONS(3236),
    [anon_sym_break] = ACTIONS(3236),
    [anon_sym_continue] = ACTIONS(3236),
    [anon_sym_debugger] = ACTIONS(3236),
    [anon_sym_return] = ACTIONS(3236),
    [anon_sym_throw] = ACTIONS(3236),
    [anon_sym_SEMI] = ACTIONS(3236),
    [anon_sym_case] = ACTIONS(3236),
    [anon_sym_yield] = ACTIONS(3236),
    [anon_sym_LBRACK] = ACTIONS(3236),
    [anon_sym_LTtemplate_GT] = ACTIONS(3236),
    [anon_sym_DQUOTE] = ACTIONS(3236),
    [anon_sym_SQUOTE] = ACTIONS(3236),
    [anon_sym_class] = ACTIONS(3236),
    [anon_sym_async] = ACTIONS(3236),
    [anon_sym_function] = ACTIONS(3236),
    [anon_sym_new] = ACTIONS(3236),
    [anon_sym_using] = ACTIONS(3236),
    [anon_sym_PLUS] = ACTIONS(3236),
    [anon_sym_DASH] = ACTIONS(3236),
    [anon_sym_SLASH] = ACTIONS(3236),
    [anon_sym_LT] = ACTIONS(3236),
    [anon_sym_TILDE] = ACTIONS(3236),
    [anon_sym_void] = ACTIONS(3236),
    [anon_sym_delete] = ACTIONS(3236),
    [anon_sym_PLUS_PLUS] = ACTIONS(3236),
    [anon_sym_DASH_DASH] = ACTIONS(3236),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3236),
    [sym_number] = ACTIONS(3236),
    [sym_private_property_identifier] = ACTIONS(3236),
    [sym_this] = ACTIONS(3236),
    [sym_super] = ACTIONS(3236),
    [sym_true] = ACTIONS(3236),
    [sym_false] = ACTIONS(3236),
    [sym_null] = ACTIONS(3236),
    [sym_undefined] = ACTIONS(3236),
    [anon_sym_AT] = ACTIONS(3236),
    [anon_sym_static] = ACTIONS(3236),
    [anon_sym_readonly] = ACTIONS(3236),
    [anon_sym_get] = ACTIONS(3236),
    [anon_sym_set] = ACTIONS(3236),
    [anon_sym_declare] = ACTIONS(3236),
    [anon_sym_public] = ACTIONS(3236),
    [anon_sym_private] = ACTIONS(3236),
    [anon_sym_protected] = ACTIONS(3236),
    [anon_sym_override] = ACTIONS(3236),
    [anon_sym_module] = ACTIONS(3236),
    [anon_sym_any] = ACTIONS(3236),
    [anon_sym_number] = ACTIONS(3236),
    [anon_sym_boolean] = ACTIONS(3236),
    [anon_sym_string] = ACTIONS(3236),
    [anon_sym_symbol] = ACTIONS(3236),
    [anon_sym_object] = ACTIONS(3236),
    [anon_sym_abstract] = ACTIONS(3236),
    [anon_sym_interface] = ACTIONS(3236),
    [anon_sym_enum] = ACTIONS(3236),
    [sym_html_comment] = ACTIONS(5),
  },
  [1202] = {
    [sym_comment] = STATE(1202),
    [ts_builtin_sym_end] = ACTIONS(2289),
    [sym_identifier] = ACTIONS(2237),
    [anon_sym_export] = ACTIONS(2237),
    [anon_sym_type] = ACTIONS(2237),
    [anon_sym_namespace] = ACTIONS(2237),
    [anon_sym_LBRACE] = ACTIONS(2237),
    [anon_sym_RBRACE] = ACTIONS(2237),
    [anon_sym_typeof] = ACTIONS(2237),
    [anon_sym_import] = ACTIONS(2237),
    [anon_sym_with] = ACTIONS(2237),
    [anon_sym_var] = ACTIONS(2237),
    [anon_sym_let] = ACTIONS(2237),
    [anon_sym_const] = ACTIONS(2237),
    [anon_sym_BANG] = ACTIONS(2237),
    [anon_sym_if] = ACTIONS(2237),
    [anon_sym_switch] = ACTIONS(2237),
    [anon_sym_for] = ACTIONS(2237),
    [anon_sym_LPAREN] = ACTIONS(2237),
    [anon_sym_await] = ACTIONS(2237),
    [anon_sym_while] = ACTIONS(2237),
    [anon_sym_do] = ACTIONS(2237),
    [anon_sym_try] = ACTIONS(2237),
    [anon_sym_break] = ACTIONS(2237),
    [anon_sym_continue] = ACTIONS(2237),
    [anon_sym_debugger] = ACTIONS(2237),
    [anon_sym_return] = ACTIONS(2237),
    [anon_sym_throw] = ACTIONS(2237),
    [anon_sym_SEMI] = ACTIONS(2237),
    [anon_sym_yield] = ACTIONS(2237),
    [anon_sym_LBRACK] = ACTIONS(2237),
    [anon_sym_LTtemplate_GT] = ACTIONS(2237),
    [anon_sym_DQUOTE] = ACTIONS(2237),
    [anon_sym_SQUOTE] = ACTIONS(2237),
    [anon_sym_class] = ACTIONS(2237),
    [anon_sym_async] = ACTIONS(2237),
    [anon_sym_function] = ACTIONS(2237),
    [anon_sym_new] = ACTIONS(2237),
    [anon_sym_using] = ACTIONS(2237),
    [anon_sym_PLUS] = ACTIONS(2237),
    [anon_sym_DASH] = ACTIONS(2237),
    [anon_sym_SLASH] = ACTIONS(2237),
    [anon_sym_LT] = ACTIONS(2237),
    [anon_sym_TILDE] = ACTIONS(2237),
    [anon_sym_void] = ACTIONS(2237),
    [anon_sym_delete] = ACTIONS(2237),
    [anon_sym_PLUS_PLUS] = ACTIONS(2237),
    [anon_sym_DASH_DASH] = ACTIONS(2237),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2237),
    [sym_number] = ACTIONS(2237),
    [sym_private_property_identifier] = ACTIONS(2237),
    [sym_this] = ACTIONS(2237),
    [sym_super] = ACTIONS(2237),
    [sym_true] = ACTIONS(2237),
    [sym_false] = ACTIONS(2237),
    [sym_null] = ACTIONS(2237),
    [sym_undefined] = ACTIONS(2237),
    [anon_sym_AT] = ACTIONS(2237),
    [anon_sym_static] = ACTIONS(2237),
    [anon_sym_readonly] = ACTIONS(2237),
    [anon_sym_get] = ACTIONS(2237),
    [anon_sym_set] = ACTIONS(2237),
    [anon_sym_declare] = ACTIONS(2237),
    [anon_sym_public] = ACTIONS(2237),
    [anon_sym_private] = ACTIONS(2237),
    [anon_sym_protected] = ACTIONS(2237),
    [anon_sym_override] = ACTIONS(2237),
    [anon_sym_module] = ACTIONS(2237),
    [anon_sym_any] = ACTIONS(2237),
    [anon_sym_number] = ACTIONS(2237),
    [anon_sym_boolean] = ACTIONS(2237),
    [anon_sym_string] = ACTIONS(2237),
    [anon_sym_symbol] = ACTIONS(2237),
    [anon_sym_object] = ACTIONS(2237),
    [anon_sym_abstract] = ACTIONS(2237),
    [anon_sym_interface] = ACTIONS(2237),
    [anon_sym_enum] = ACTIONS(2237),
    [sym__automatic_semicolon] = ACTIONS(2453),
    [sym_html_comment] = ACTIONS(5),
  },
  [1203] = {
    [sym_comment] = STATE(1203),
    [ts_builtin_sym_end] = ACTIONS(2283),
    [sym_identifier] = ACTIONS(2229),
    [anon_sym_export] = ACTIONS(2229),
    [anon_sym_type] = ACTIONS(2229),
    [anon_sym_namespace] = ACTIONS(2229),
    [anon_sym_LBRACE] = ACTIONS(2229),
    [anon_sym_RBRACE] = ACTIONS(2229),
    [anon_sym_typeof] = ACTIONS(2229),
    [anon_sym_import] = ACTIONS(2229),
    [anon_sym_with] = ACTIONS(2229),
    [anon_sym_var] = ACTIONS(2229),
    [anon_sym_let] = ACTIONS(2229),
    [anon_sym_const] = ACTIONS(2229),
    [anon_sym_BANG] = ACTIONS(2229),
    [anon_sym_if] = ACTIONS(2229),
    [anon_sym_switch] = ACTIONS(2229),
    [anon_sym_for] = ACTIONS(2229),
    [anon_sym_LPAREN] = ACTIONS(2229),
    [anon_sym_await] = ACTIONS(2229),
    [anon_sym_while] = ACTIONS(2229),
    [anon_sym_do] = ACTIONS(2229),
    [anon_sym_try] = ACTIONS(2229),
    [anon_sym_break] = ACTIONS(2229),
    [anon_sym_continue] = ACTIONS(2229),
    [anon_sym_debugger] = ACTIONS(2229),
    [anon_sym_return] = ACTIONS(2229),
    [anon_sym_throw] = ACTIONS(2229),
    [anon_sym_SEMI] = ACTIONS(2229),
    [anon_sym_yield] = ACTIONS(2229),
    [anon_sym_LBRACK] = ACTIONS(2229),
    [anon_sym_LTtemplate_GT] = ACTIONS(2229),
    [anon_sym_DQUOTE] = ACTIONS(2229),
    [anon_sym_SQUOTE] = ACTIONS(2229),
    [anon_sym_class] = ACTIONS(2229),
    [anon_sym_async] = ACTIONS(2229),
    [anon_sym_function] = ACTIONS(2229),
    [anon_sym_new] = ACTIONS(2229),
    [anon_sym_using] = ACTIONS(2229),
    [anon_sym_PLUS] = ACTIONS(2229),
    [anon_sym_DASH] = ACTIONS(2229),
    [anon_sym_SLASH] = ACTIONS(2229),
    [anon_sym_LT] = ACTIONS(2229),
    [anon_sym_TILDE] = ACTIONS(2229),
    [anon_sym_void] = ACTIONS(2229),
    [anon_sym_delete] = ACTIONS(2229),
    [anon_sym_PLUS_PLUS] = ACTIONS(2229),
    [anon_sym_DASH_DASH] = ACTIONS(2229),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2229),
    [sym_number] = ACTIONS(2229),
    [sym_private_property_identifier] = ACTIONS(2229),
    [sym_this] = ACTIONS(2229),
    [sym_super] = ACTIONS(2229),
    [sym_true] = ACTIONS(2229),
    [sym_false] = ACTIONS(2229),
    [sym_null] = ACTIONS(2229),
    [sym_undefined] = ACTIONS(2229),
    [anon_sym_AT] = ACTIONS(2229),
    [anon_sym_static] = ACTIONS(2229),
    [anon_sym_readonly] = ACTIONS(2229),
    [anon_sym_get] = ACTIONS(2229),
    [anon_sym_set] = ACTIONS(2229),
    [anon_sym_declare] = ACTIONS(2229),
    [anon_sym_public] = ACTIONS(2229),
    [anon_sym_private] = ACTIONS(2229),
    [anon_sym_protected] = ACTIONS(2229),
    [anon_sym_override] = ACTIONS(2229),
    [anon_sym_module] = ACTIONS(2229),
    [anon_sym_any] = ACTIONS(2229),
    [anon_sym_number] = ACTIONS(2229),
    [anon_sym_boolean] = ACTIONS(2229),
    [anon_sym_string] = ACTIONS(2229),
    [anon_sym_symbol] = ACTIONS(2229),
    [anon_sym_object] = ACTIONS(2229),
    [anon_sym_abstract] = ACTIONS(2229),
    [anon_sym_interface] = ACTIONS(2229),
    [anon_sym_enum] = ACTIONS(2229),
    [sym__automatic_semicolon] = ACTIONS(2405),
    [sym_html_comment] = ACTIONS(5),
  },
  [1204] = {
    [sym_comment] = STATE(1204),
    [sym_identifier] = ACTIONS(3238),
    [anon_sym_export] = ACTIONS(3238),
    [anon_sym_default] = ACTIONS(3238),
    [anon_sym_type] = ACTIONS(3238),
    [anon_sym_namespace] = ACTIONS(3238),
    [anon_sym_LBRACE] = ACTIONS(3238),
    [anon_sym_RBRACE] = ACTIONS(3238),
    [anon_sym_typeof] = ACTIONS(3238),
    [anon_sym_import] = ACTIONS(3238),
    [anon_sym_with] = ACTIONS(3238),
    [anon_sym_var] = ACTIONS(3238),
    [anon_sym_let] = ACTIONS(3238),
    [anon_sym_const] = ACTIONS(3238),
    [anon_sym_BANG] = ACTIONS(3238),
    [anon_sym_if] = ACTIONS(3238),
    [anon_sym_switch] = ACTIONS(3238),
    [anon_sym_for] = ACTIONS(3238),
    [anon_sym_LPAREN] = ACTIONS(3238),
    [anon_sym_await] = ACTIONS(3238),
    [anon_sym_while] = ACTIONS(3238),
    [anon_sym_do] = ACTIONS(3238),
    [anon_sym_try] = ACTIONS(3238),
    [anon_sym_break] = ACTIONS(3238),
    [anon_sym_continue] = ACTIONS(3238),
    [anon_sym_debugger] = ACTIONS(3238),
    [anon_sym_return] = ACTIONS(3238),
    [anon_sym_throw] = ACTIONS(3238),
    [anon_sym_SEMI] = ACTIONS(3238),
    [anon_sym_case] = ACTIONS(3238),
    [anon_sym_yield] = ACTIONS(3238),
    [anon_sym_LBRACK] = ACTIONS(3238),
    [anon_sym_LTtemplate_GT] = ACTIONS(3238),
    [anon_sym_DQUOTE] = ACTIONS(3238),
    [anon_sym_SQUOTE] = ACTIONS(3238),
    [anon_sym_class] = ACTIONS(3238),
    [anon_sym_async] = ACTIONS(3238),
    [anon_sym_function] = ACTIONS(3238),
    [anon_sym_new] = ACTIONS(3238),
    [anon_sym_using] = ACTIONS(3238),
    [anon_sym_PLUS] = ACTIONS(3238),
    [anon_sym_DASH] = ACTIONS(3238),
    [anon_sym_SLASH] = ACTIONS(3238),
    [anon_sym_LT] = ACTIONS(3238),
    [anon_sym_TILDE] = ACTIONS(3238),
    [anon_sym_void] = ACTIONS(3238),
    [anon_sym_delete] = ACTIONS(3238),
    [anon_sym_PLUS_PLUS] = ACTIONS(3238),
    [anon_sym_DASH_DASH] = ACTIONS(3238),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3238),
    [sym_number] = ACTIONS(3238),
    [sym_private_property_identifier] = ACTIONS(3238),
    [sym_this] = ACTIONS(3238),
    [sym_super] = ACTIONS(3238),
    [sym_true] = ACTIONS(3238),
    [sym_false] = ACTIONS(3238),
    [sym_null] = ACTIONS(3238),
    [sym_undefined] = ACTIONS(3238),
    [anon_sym_AT] = ACTIONS(3238),
    [anon_sym_static] = ACTIONS(3238),
    [anon_sym_readonly] = ACTIONS(3238),
    [anon_sym_get] = ACTIONS(3238),
    [anon_sym_set] = ACTIONS(3238),
    [anon_sym_declare] = ACTIONS(3238),
    [anon_sym_public] = ACTIONS(3238),
    [anon_sym_private] = ACTIONS(3238),
    [anon_sym_protected] = ACTIONS(3238),
    [anon_sym_override] = ACTIONS(3238),
    [anon_sym_module] = ACTIONS(3238),
    [anon_sym_any] = ACTIONS(3238),
    [anon_sym_number] = ACTIONS(3238),
    [anon_sym_boolean] = ACTIONS(3238),
    [anon_sym_string] = ACTIONS(3238),
    [anon_sym_symbol] = ACTIONS(3238),
    [anon_sym_object] = ACTIONS(3238),
    [anon_sym_abstract] = ACTIONS(3238),
    [anon_sym_interface] = ACTIONS(3238),
    [anon_sym_enum] = ACTIONS(3238),
    [sym_html_comment] = ACTIONS(5),
  },
  [1205] = {
    [sym_comment] = STATE(1205),
    [sym_identifier] = ACTIONS(3240),
    [anon_sym_export] = ACTIONS(3240),
    [anon_sym_default] = ACTIONS(3240),
    [anon_sym_type] = ACTIONS(3240),
    [anon_sym_namespace] = ACTIONS(3240),
    [anon_sym_LBRACE] = ACTIONS(3240),
    [anon_sym_RBRACE] = ACTIONS(3240),
    [anon_sym_typeof] = ACTIONS(3240),
    [anon_sym_import] = ACTIONS(3240),
    [anon_sym_with] = ACTIONS(3240),
    [anon_sym_var] = ACTIONS(3240),
    [anon_sym_let] = ACTIONS(3240),
    [anon_sym_const] = ACTIONS(3240),
    [anon_sym_BANG] = ACTIONS(3240),
    [anon_sym_if] = ACTIONS(3240),
    [anon_sym_switch] = ACTIONS(3240),
    [anon_sym_for] = ACTIONS(3240),
    [anon_sym_LPAREN] = ACTIONS(3240),
    [anon_sym_await] = ACTIONS(3240),
    [anon_sym_while] = ACTIONS(3240),
    [anon_sym_do] = ACTIONS(3240),
    [anon_sym_try] = ACTIONS(3240),
    [anon_sym_break] = ACTIONS(3240),
    [anon_sym_continue] = ACTIONS(3240),
    [anon_sym_debugger] = ACTIONS(3240),
    [anon_sym_return] = ACTIONS(3240),
    [anon_sym_throw] = ACTIONS(3240),
    [anon_sym_SEMI] = ACTIONS(3240),
    [anon_sym_case] = ACTIONS(3240),
    [anon_sym_yield] = ACTIONS(3240),
    [anon_sym_LBRACK] = ACTIONS(3240),
    [anon_sym_LTtemplate_GT] = ACTIONS(3240),
    [anon_sym_DQUOTE] = ACTIONS(3240),
    [anon_sym_SQUOTE] = ACTIONS(3240),
    [anon_sym_class] = ACTIONS(3240),
    [anon_sym_async] = ACTIONS(3240),
    [anon_sym_function] = ACTIONS(3240),
    [anon_sym_new] = ACTIONS(3240),
    [anon_sym_using] = ACTIONS(3240),
    [anon_sym_PLUS] = ACTIONS(3240),
    [anon_sym_DASH] = ACTIONS(3240),
    [anon_sym_SLASH] = ACTIONS(3240),
    [anon_sym_LT] = ACTIONS(3240),
    [anon_sym_TILDE] = ACTIONS(3240),
    [anon_sym_void] = ACTIONS(3240),
    [anon_sym_delete] = ACTIONS(3240),
    [anon_sym_PLUS_PLUS] = ACTIONS(3240),
    [anon_sym_DASH_DASH] = ACTIONS(3240),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3240),
    [sym_number] = ACTIONS(3240),
    [sym_private_property_identifier] = ACTIONS(3240),
    [sym_this] = ACTIONS(3240),
    [sym_super] = ACTIONS(3240),
    [sym_true] = ACTIONS(3240),
    [sym_false] = ACTIONS(3240),
    [sym_null] = ACTIONS(3240),
    [sym_undefined] = ACTIONS(3240),
    [anon_sym_AT] = ACTIONS(3240),
    [anon_sym_static] = ACTIONS(3240),
    [anon_sym_readonly] = ACTIONS(3240),
    [anon_sym_get] = ACTIONS(3240),
    [anon_sym_set] = ACTIONS(3240),
    [anon_sym_declare] = ACTIONS(3240),
    [anon_sym_public] = ACTIONS(3240),
    [anon_sym_private] = ACTIONS(3240),
    [anon_sym_protected] = ACTIONS(3240),
    [anon_sym_override] = ACTIONS(3240),
    [anon_sym_module] = ACTIONS(3240),
    [anon_sym_any] = ACTIONS(3240),
    [anon_sym_number] = ACTIONS(3240),
    [anon_sym_boolean] = ACTIONS(3240),
    [anon_sym_string] = ACTIONS(3240),
    [anon_sym_symbol] = ACTIONS(3240),
    [anon_sym_object] = ACTIONS(3240),
    [anon_sym_abstract] = ACTIONS(3240),
    [anon_sym_interface] = ACTIONS(3240),
    [anon_sym_enum] = ACTIONS(3240),
    [sym_html_comment] = ACTIONS(5),
  },
  [1206] = {
    [sym_comment] = STATE(1206),
    [sym_identifier] = ACTIONS(3242),
    [anon_sym_export] = ACTIONS(3242),
    [anon_sym_default] = ACTIONS(3242),
    [anon_sym_type] = ACTIONS(3242),
    [anon_sym_namespace] = ACTIONS(3242),
    [anon_sym_LBRACE] = ACTIONS(3242),
    [anon_sym_RBRACE] = ACTIONS(3242),
    [anon_sym_typeof] = ACTIONS(3242),
    [anon_sym_import] = ACTIONS(3242),
    [anon_sym_with] = ACTIONS(3242),
    [anon_sym_var] = ACTIONS(3242),
    [anon_sym_let] = ACTIONS(3242),
    [anon_sym_const] = ACTIONS(3242),
    [anon_sym_BANG] = ACTIONS(3242),
    [anon_sym_if] = ACTIONS(3242),
    [anon_sym_switch] = ACTIONS(3242),
    [anon_sym_for] = ACTIONS(3242),
    [anon_sym_LPAREN] = ACTIONS(3242),
    [anon_sym_await] = ACTIONS(3242),
    [anon_sym_while] = ACTIONS(3242),
    [anon_sym_do] = ACTIONS(3242),
    [anon_sym_try] = ACTIONS(3242),
    [anon_sym_break] = ACTIONS(3242),
    [anon_sym_continue] = ACTIONS(3242),
    [anon_sym_debugger] = ACTIONS(3242),
    [anon_sym_return] = ACTIONS(3242),
    [anon_sym_throw] = ACTIONS(3242),
    [anon_sym_SEMI] = ACTIONS(3242),
    [anon_sym_case] = ACTIONS(3242),
    [anon_sym_yield] = ACTIONS(3242),
    [anon_sym_LBRACK] = ACTIONS(3242),
    [anon_sym_LTtemplate_GT] = ACTIONS(3242),
    [anon_sym_DQUOTE] = ACTIONS(3242),
    [anon_sym_SQUOTE] = ACTIONS(3242),
    [anon_sym_class] = ACTIONS(3242),
    [anon_sym_async] = ACTIONS(3242),
    [anon_sym_function] = ACTIONS(3242),
    [anon_sym_new] = ACTIONS(3242),
    [anon_sym_using] = ACTIONS(3242),
    [anon_sym_PLUS] = ACTIONS(3242),
    [anon_sym_DASH] = ACTIONS(3242),
    [anon_sym_SLASH] = ACTIONS(3242),
    [anon_sym_LT] = ACTIONS(3242),
    [anon_sym_TILDE] = ACTIONS(3242),
    [anon_sym_void] = ACTIONS(3242),
    [anon_sym_delete] = ACTIONS(3242),
    [anon_sym_PLUS_PLUS] = ACTIONS(3242),
    [anon_sym_DASH_DASH] = ACTIONS(3242),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3242),
    [sym_number] = ACTIONS(3242),
    [sym_private_property_identifier] = ACTIONS(3242),
    [sym_this] = ACTIONS(3242),
    [sym_super] = ACTIONS(3242),
    [sym_true] = ACTIONS(3242),
    [sym_false] = ACTIONS(3242),
    [sym_null] = ACTIONS(3242),
    [sym_undefined] = ACTIONS(3242),
    [anon_sym_AT] = ACTIONS(3242),
    [anon_sym_static] = ACTIONS(3242),
    [anon_sym_readonly] = ACTIONS(3242),
    [anon_sym_get] = ACTIONS(3242),
    [anon_sym_set] = ACTIONS(3242),
    [anon_sym_declare] = ACTIONS(3242),
    [anon_sym_public] = ACTIONS(3242),
    [anon_sym_private] = ACTIONS(3242),
    [anon_sym_protected] = ACTIONS(3242),
    [anon_sym_override] = ACTIONS(3242),
    [anon_sym_module] = ACTIONS(3242),
    [anon_sym_any] = ACTIONS(3242),
    [anon_sym_number] = ACTIONS(3242),
    [anon_sym_boolean] = ACTIONS(3242),
    [anon_sym_string] = ACTIONS(3242),
    [anon_sym_symbol] = ACTIONS(3242),
    [anon_sym_object] = ACTIONS(3242),
    [anon_sym_abstract] = ACTIONS(3242),
    [anon_sym_interface] = ACTIONS(3242),
    [anon_sym_enum] = ACTIONS(3242),
    [sym_html_comment] = ACTIONS(5),
  },
  [1207] = {
    [sym_comment] = STATE(1207),
    [ts_builtin_sym_end] = ACTIONS(2279),
    [sym_identifier] = ACTIONS(2149),
    [anon_sym_export] = ACTIONS(2149),
    [anon_sym_type] = ACTIONS(2149),
    [anon_sym_namespace] = ACTIONS(2149),
    [anon_sym_LBRACE] = ACTIONS(2149),
    [anon_sym_RBRACE] = ACTIONS(2149),
    [anon_sym_typeof] = ACTIONS(2149),
    [anon_sym_import] = ACTIONS(2149),
    [anon_sym_with] = ACTIONS(2149),
    [anon_sym_var] = ACTIONS(2149),
    [anon_sym_let] = ACTIONS(2149),
    [anon_sym_const] = ACTIONS(2149),
    [anon_sym_BANG] = ACTIONS(2149),
    [anon_sym_if] = ACTIONS(2149),
    [anon_sym_switch] = ACTIONS(2149),
    [anon_sym_for] = ACTIONS(2149),
    [anon_sym_LPAREN] = ACTIONS(2149),
    [anon_sym_await] = ACTIONS(2149),
    [anon_sym_while] = ACTIONS(2149),
    [anon_sym_do] = ACTIONS(2149),
    [anon_sym_try] = ACTIONS(2149),
    [anon_sym_break] = ACTIONS(2149),
    [anon_sym_continue] = ACTIONS(2149),
    [anon_sym_debugger] = ACTIONS(2149),
    [anon_sym_return] = ACTIONS(2149),
    [anon_sym_throw] = ACTIONS(2149),
    [anon_sym_SEMI] = ACTIONS(2149),
    [anon_sym_yield] = ACTIONS(2149),
    [anon_sym_LBRACK] = ACTIONS(2149),
    [anon_sym_LTtemplate_GT] = ACTIONS(2149),
    [anon_sym_DQUOTE] = ACTIONS(2149),
    [anon_sym_SQUOTE] = ACTIONS(2149),
    [anon_sym_class] = ACTIONS(2149),
    [anon_sym_async] = ACTIONS(2149),
    [anon_sym_function] = ACTIONS(2149),
    [anon_sym_new] = ACTIONS(2149),
    [anon_sym_using] = ACTIONS(2149),
    [anon_sym_PLUS] = ACTIONS(2149),
    [anon_sym_DASH] = ACTIONS(2149),
    [anon_sym_SLASH] = ACTIONS(2149),
    [anon_sym_LT] = ACTIONS(2149),
    [anon_sym_TILDE] = ACTIONS(2149),
    [anon_sym_void] = ACTIONS(2149),
    [anon_sym_delete] = ACTIONS(2149),
    [anon_sym_PLUS_PLUS] = ACTIONS(2149),
    [anon_sym_DASH_DASH] = ACTIONS(2149),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2149),
    [sym_number] = ACTIONS(2149),
    [sym_private_property_identifier] = ACTIONS(2149),
    [sym_this] = ACTIONS(2149),
    [sym_super] = ACTIONS(2149),
    [sym_true] = ACTIONS(2149),
    [sym_false] = ACTIONS(2149),
    [sym_null] = ACTIONS(2149),
    [sym_undefined] = ACTIONS(2149),
    [anon_sym_AT] = ACTIONS(2149),
    [anon_sym_static] = ACTIONS(2149),
    [anon_sym_readonly] = ACTIONS(2149),
    [anon_sym_get] = ACTIONS(2149),
    [anon_sym_set] = ACTIONS(2149),
    [anon_sym_declare] = ACTIONS(2149),
    [anon_sym_public] = ACTIONS(2149),
    [anon_sym_private] = ACTIONS(2149),
    [anon_sym_protected] = ACTIONS(2149),
    [anon_sym_override] = ACTIONS(2149),
    [anon_sym_module] = ACTIONS(2149),
    [anon_sym_any] = ACTIONS(2149),
    [anon_sym_number] = ACTIONS(2149),
    [anon_sym_boolean] = ACTIONS(2149),
    [anon_sym_string] = ACTIONS(2149),
    [anon_sym_symbol] = ACTIONS(2149),
    [anon_sym_object] = ACTIONS(2149),
    [anon_sym_abstract] = ACTIONS(2149),
    [anon_sym_interface] = ACTIONS(2149),
    [anon_sym_enum] = ACTIONS(2149),
    [sym__automatic_semicolon] = ACTIONS(2435),
    [sym_html_comment] = ACTIONS(5),
  },
  [1208] = {
    [sym_comment] = STATE(1208),
    [sym_identifier] = ACTIONS(3244),
    [anon_sym_export] = ACTIONS(3244),
    [anon_sym_default] = ACTIONS(3244),
    [anon_sym_type] = ACTIONS(3244),
    [anon_sym_namespace] = ACTIONS(3244),
    [anon_sym_LBRACE] = ACTIONS(3244),
    [anon_sym_RBRACE] = ACTIONS(3244),
    [anon_sym_typeof] = ACTIONS(3244),
    [anon_sym_import] = ACTIONS(3244),
    [anon_sym_with] = ACTIONS(3244),
    [anon_sym_var] = ACTIONS(3244),
    [anon_sym_let] = ACTIONS(3244),
    [anon_sym_const] = ACTIONS(3244),
    [anon_sym_BANG] = ACTIONS(3244),
    [anon_sym_if] = ACTIONS(3244),
    [anon_sym_switch] = ACTIONS(3244),
    [anon_sym_for] = ACTIONS(3244),
    [anon_sym_LPAREN] = ACTIONS(3244),
    [anon_sym_await] = ACTIONS(3244),
    [anon_sym_while] = ACTIONS(3244),
    [anon_sym_do] = ACTIONS(3244),
    [anon_sym_try] = ACTIONS(3244),
    [anon_sym_break] = ACTIONS(3244),
    [anon_sym_continue] = ACTIONS(3244),
    [anon_sym_debugger] = ACTIONS(3244),
    [anon_sym_return] = ACTIONS(3244),
    [anon_sym_throw] = ACTIONS(3244),
    [anon_sym_SEMI] = ACTIONS(3244),
    [anon_sym_case] = ACTIONS(3244),
    [anon_sym_yield] = ACTIONS(3244),
    [anon_sym_LBRACK] = ACTIONS(3244),
    [anon_sym_LTtemplate_GT] = ACTIONS(3244),
    [anon_sym_DQUOTE] = ACTIONS(3244),
    [anon_sym_SQUOTE] = ACTIONS(3244),
    [anon_sym_class] = ACTIONS(3244),
    [anon_sym_async] = ACTIONS(3244),
    [anon_sym_function] = ACTIONS(3244),
    [anon_sym_new] = ACTIONS(3244),
    [anon_sym_using] = ACTIONS(3244),
    [anon_sym_PLUS] = ACTIONS(3244),
    [anon_sym_DASH] = ACTIONS(3244),
    [anon_sym_SLASH] = ACTIONS(3244),
    [anon_sym_LT] = ACTIONS(3244),
    [anon_sym_TILDE] = ACTIONS(3244),
    [anon_sym_void] = ACTIONS(3244),
    [anon_sym_delete] = ACTIONS(3244),
    [anon_sym_PLUS_PLUS] = ACTIONS(3244),
    [anon_sym_DASH_DASH] = ACTIONS(3244),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3244),
    [sym_number] = ACTIONS(3244),
    [sym_private_property_identifier] = ACTIONS(3244),
    [sym_this] = ACTIONS(3244),
    [sym_super] = ACTIONS(3244),
    [sym_true] = ACTIONS(3244),
    [sym_false] = ACTIONS(3244),
    [sym_null] = ACTIONS(3244),
    [sym_undefined] = ACTIONS(3244),
    [anon_sym_AT] = ACTIONS(3244),
    [anon_sym_static] = ACTIONS(3244),
    [anon_sym_readonly] = ACTIONS(3244),
    [anon_sym_get] = ACTIONS(3244),
    [anon_sym_set] = ACTIONS(3244),
    [anon_sym_declare] = ACTIONS(3244),
    [anon_sym_public] = ACTIONS(3244),
    [anon_sym_private] = ACTIONS(3244),
    [anon_sym_protected] = ACTIONS(3244),
    [anon_sym_override] = ACTIONS(3244),
    [anon_sym_module] = ACTIONS(3244),
    [anon_sym_any] = ACTIONS(3244),
    [anon_sym_number] = ACTIONS(3244),
    [anon_sym_boolean] = ACTIONS(3244),
    [anon_sym_string] = ACTIONS(3244),
    [anon_sym_symbol] = ACTIONS(3244),
    [anon_sym_object] = ACTIONS(3244),
    [anon_sym_abstract] = ACTIONS(3244),
    [anon_sym_interface] = ACTIONS(3244),
    [anon_sym_enum] = ACTIONS(3244),
    [sym_html_comment] = ACTIONS(5),
  },
  [1209] = {
    [sym_comment] = STATE(1209),
    [ts_builtin_sym_end] = ACTIONS(2275),
    [sym_identifier] = ACTIONS(2135),
    [anon_sym_export] = ACTIONS(2135),
    [anon_sym_type] = ACTIONS(2135),
    [anon_sym_namespace] = ACTIONS(2135),
    [anon_sym_LBRACE] = ACTIONS(2135),
    [anon_sym_RBRACE] = ACTIONS(2135),
    [anon_sym_typeof] = ACTIONS(2135),
    [anon_sym_import] = ACTIONS(2135),
    [anon_sym_with] = ACTIONS(2135),
    [anon_sym_var] = ACTIONS(2135),
    [anon_sym_let] = ACTIONS(2135),
    [anon_sym_const] = ACTIONS(2135),
    [anon_sym_BANG] = ACTIONS(2135),
    [anon_sym_if] = ACTIONS(2135),
    [anon_sym_switch] = ACTIONS(2135),
    [anon_sym_for] = ACTIONS(2135),
    [anon_sym_LPAREN] = ACTIONS(2135),
    [anon_sym_await] = ACTIONS(2135),
    [anon_sym_while] = ACTIONS(2135),
    [anon_sym_do] = ACTIONS(2135),
    [anon_sym_try] = ACTIONS(2135),
    [anon_sym_break] = ACTIONS(2135),
    [anon_sym_continue] = ACTIONS(2135),
    [anon_sym_debugger] = ACTIONS(2135),
    [anon_sym_return] = ACTIONS(2135),
    [anon_sym_throw] = ACTIONS(2135),
    [anon_sym_SEMI] = ACTIONS(2135),
    [anon_sym_yield] = ACTIONS(2135),
    [anon_sym_LBRACK] = ACTIONS(2135),
    [anon_sym_LTtemplate_GT] = ACTIONS(2135),
    [anon_sym_DQUOTE] = ACTIONS(2135),
    [anon_sym_SQUOTE] = ACTIONS(2135),
    [anon_sym_class] = ACTIONS(2135),
    [anon_sym_async] = ACTIONS(2135),
    [anon_sym_function] = ACTIONS(2135),
    [anon_sym_new] = ACTIONS(2135),
    [anon_sym_using] = ACTIONS(2135),
    [anon_sym_PLUS] = ACTIONS(2135),
    [anon_sym_DASH] = ACTIONS(2135),
    [anon_sym_SLASH] = ACTIONS(2135),
    [anon_sym_LT] = ACTIONS(2135),
    [anon_sym_TILDE] = ACTIONS(2135),
    [anon_sym_void] = ACTIONS(2135),
    [anon_sym_delete] = ACTIONS(2135),
    [anon_sym_PLUS_PLUS] = ACTIONS(2135),
    [anon_sym_DASH_DASH] = ACTIONS(2135),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2135),
    [sym_number] = ACTIONS(2135),
    [sym_private_property_identifier] = ACTIONS(2135),
    [sym_this] = ACTIONS(2135),
    [sym_super] = ACTIONS(2135),
    [sym_true] = ACTIONS(2135),
    [sym_false] = ACTIONS(2135),
    [sym_null] = ACTIONS(2135),
    [sym_undefined] = ACTIONS(2135),
    [anon_sym_AT] = ACTIONS(2135),
    [anon_sym_static] = ACTIONS(2135),
    [anon_sym_readonly] = ACTIONS(2135),
    [anon_sym_get] = ACTIONS(2135),
    [anon_sym_set] = ACTIONS(2135),
    [anon_sym_declare] = ACTIONS(2135),
    [anon_sym_public] = ACTIONS(2135),
    [anon_sym_private] = ACTIONS(2135),
    [anon_sym_protected] = ACTIONS(2135),
    [anon_sym_override] = ACTIONS(2135),
    [anon_sym_module] = ACTIONS(2135),
    [anon_sym_any] = ACTIONS(2135),
    [anon_sym_number] = ACTIONS(2135),
    [anon_sym_boolean] = ACTIONS(2135),
    [anon_sym_string] = ACTIONS(2135),
    [anon_sym_symbol] = ACTIONS(2135),
    [anon_sym_object] = ACTIONS(2135),
    [anon_sym_abstract] = ACTIONS(2135),
    [anon_sym_interface] = ACTIONS(2135),
    [anon_sym_enum] = ACTIONS(2135),
    [sym__automatic_semicolon] = ACTIONS(2443),
    [sym_html_comment] = ACTIONS(5),
  },
  [1210] = {
    [sym_comment] = STATE(1210),
    [sym_identifier] = ACTIONS(3246),
    [anon_sym_export] = ACTIONS(3246),
    [anon_sym_default] = ACTIONS(3246),
    [anon_sym_type] = ACTIONS(3246),
    [anon_sym_namespace] = ACTIONS(3246),
    [anon_sym_LBRACE] = ACTIONS(3246),
    [anon_sym_RBRACE] = ACTIONS(3246),
    [anon_sym_typeof] = ACTIONS(3246),
    [anon_sym_import] = ACTIONS(3246),
    [anon_sym_with] = ACTIONS(3246),
    [anon_sym_var] = ACTIONS(3246),
    [anon_sym_let] = ACTIONS(3246),
    [anon_sym_const] = ACTIONS(3246),
    [anon_sym_BANG] = ACTIONS(3246),
    [anon_sym_if] = ACTIONS(3246),
    [anon_sym_switch] = ACTIONS(3246),
    [anon_sym_for] = ACTIONS(3246),
    [anon_sym_LPAREN] = ACTIONS(3246),
    [anon_sym_await] = ACTIONS(3246),
    [anon_sym_while] = ACTIONS(3246),
    [anon_sym_do] = ACTIONS(3246),
    [anon_sym_try] = ACTIONS(3246),
    [anon_sym_break] = ACTIONS(3246),
    [anon_sym_continue] = ACTIONS(3246),
    [anon_sym_debugger] = ACTIONS(3246),
    [anon_sym_return] = ACTIONS(3246),
    [anon_sym_throw] = ACTIONS(3246),
    [anon_sym_SEMI] = ACTIONS(3246),
    [anon_sym_case] = ACTIONS(3246),
    [anon_sym_yield] = ACTIONS(3246),
    [anon_sym_LBRACK] = ACTIONS(3246),
    [anon_sym_LTtemplate_GT] = ACTIONS(3246),
    [anon_sym_DQUOTE] = ACTIONS(3246),
    [anon_sym_SQUOTE] = ACTIONS(3246),
    [anon_sym_class] = ACTIONS(3246),
    [anon_sym_async] = ACTIONS(3246),
    [anon_sym_function] = ACTIONS(3246),
    [anon_sym_new] = ACTIONS(3246),
    [anon_sym_using] = ACTIONS(3246),
    [anon_sym_PLUS] = ACTIONS(3246),
    [anon_sym_DASH] = ACTIONS(3246),
    [anon_sym_SLASH] = ACTIONS(3246),
    [anon_sym_LT] = ACTIONS(3246),
    [anon_sym_TILDE] = ACTIONS(3246),
    [anon_sym_void] = ACTIONS(3246),
    [anon_sym_delete] = ACTIONS(3246),
    [anon_sym_PLUS_PLUS] = ACTIONS(3246),
    [anon_sym_DASH_DASH] = ACTIONS(3246),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3246),
    [sym_number] = ACTIONS(3246),
    [sym_private_property_identifier] = ACTIONS(3246),
    [sym_this] = ACTIONS(3246),
    [sym_super] = ACTIONS(3246),
    [sym_true] = ACTIONS(3246),
    [sym_false] = ACTIONS(3246),
    [sym_null] = ACTIONS(3246),
    [sym_undefined] = ACTIONS(3246),
    [anon_sym_AT] = ACTIONS(3246),
    [anon_sym_static] = ACTIONS(3246),
    [anon_sym_readonly] = ACTIONS(3246),
    [anon_sym_get] = ACTIONS(3246),
    [anon_sym_set] = ACTIONS(3246),
    [anon_sym_declare] = ACTIONS(3246),
    [anon_sym_public] = ACTIONS(3246),
    [anon_sym_private] = ACTIONS(3246),
    [anon_sym_protected] = ACTIONS(3246),
    [anon_sym_override] = ACTIONS(3246),
    [anon_sym_module] = ACTIONS(3246),
    [anon_sym_any] = ACTIONS(3246),
    [anon_sym_number] = ACTIONS(3246),
    [anon_sym_boolean] = ACTIONS(3246),
    [anon_sym_string] = ACTIONS(3246),
    [anon_sym_symbol] = ACTIONS(3246),
    [anon_sym_object] = ACTIONS(3246),
    [anon_sym_abstract] = ACTIONS(3246),
    [anon_sym_interface] = ACTIONS(3246),
    [anon_sym_enum] = ACTIONS(3246),
    [sym_html_comment] = ACTIONS(5),
  },
  [1211] = {
    [sym_comment] = STATE(1211),
    [ts_builtin_sym_end] = ACTIONS(3316),
    [sym_identifier] = ACTIONS(3106),
    [anon_sym_export] = ACTIONS(3106),
    [anon_sym_type] = ACTIONS(3106),
    [anon_sym_namespace] = ACTIONS(3106),
    [anon_sym_LBRACE] = ACTIONS(3106),
    [anon_sym_RBRACE] = ACTIONS(3106),
    [anon_sym_typeof] = ACTIONS(3106),
    [anon_sym_import] = ACTIONS(3106),
    [anon_sym_with] = ACTIONS(3106),
    [anon_sym_var] = ACTIONS(3106),
    [anon_sym_let] = ACTIONS(3106),
    [anon_sym_const] = ACTIONS(3106),
    [anon_sym_BANG] = ACTIONS(3106),
    [anon_sym_if] = ACTIONS(3106),
    [anon_sym_switch] = ACTIONS(3106),
    [anon_sym_for] = ACTIONS(3106),
    [anon_sym_LPAREN] = ACTIONS(3106),
    [anon_sym_await] = ACTIONS(3106),
    [anon_sym_while] = ACTIONS(3106),
    [anon_sym_do] = ACTIONS(3106),
    [anon_sym_try] = ACTIONS(3106),
    [anon_sym_break] = ACTIONS(3106),
    [anon_sym_continue] = ACTIONS(3106),
    [anon_sym_debugger] = ACTIONS(3106),
    [anon_sym_return] = ACTIONS(3106),
    [anon_sym_throw] = ACTIONS(3106),
    [anon_sym_SEMI] = ACTIONS(3106),
    [anon_sym_finally] = ACTIONS(3106),
    [anon_sym_yield] = ACTIONS(3106),
    [anon_sym_LBRACK] = ACTIONS(3106),
    [anon_sym_LTtemplate_GT] = ACTIONS(3106),
    [anon_sym_DQUOTE] = ACTIONS(3106),
    [anon_sym_SQUOTE] = ACTIONS(3106),
    [anon_sym_class] = ACTIONS(3106),
    [anon_sym_async] = ACTIONS(3106),
    [anon_sym_function] = ACTIONS(3106),
    [anon_sym_new] = ACTIONS(3106),
    [anon_sym_using] = ACTIONS(3106),
    [anon_sym_PLUS] = ACTIONS(3106),
    [anon_sym_DASH] = ACTIONS(3106),
    [anon_sym_SLASH] = ACTIONS(3106),
    [anon_sym_LT] = ACTIONS(3106),
    [anon_sym_TILDE] = ACTIONS(3106),
    [anon_sym_void] = ACTIONS(3106),
    [anon_sym_delete] = ACTIONS(3106),
    [anon_sym_PLUS_PLUS] = ACTIONS(3106),
    [anon_sym_DASH_DASH] = ACTIONS(3106),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3106),
    [sym_number] = ACTIONS(3106),
    [sym_private_property_identifier] = ACTIONS(3106),
    [sym_this] = ACTIONS(3106),
    [sym_super] = ACTIONS(3106),
    [sym_true] = ACTIONS(3106),
    [sym_false] = ACTIONS(3106),
    [sym_null] = ACTIONS(3106),
    [sym_undefined] = ACTIONS(3106),
    [anon_sym_AT] = ACTIONS(3106),
    [anon_sym_static] = ACTIONS(3106),
    [anon_sym_readonly] = ACTIONS(3106),
    [anon_sym_get] = ACTIONS(3106),
    [anon_sym_set] = ACTIONS(3106),
    [anon_sym_declare] = ACTIONS(3106),
    [anon_sym_public] = ACTIONS(3106),
    [anon_sym_private] = ACTIONS(3106),
    [anon_sym_protected] = ACTIONS(3106),
    [anon_sym_override] = ACTIONS(3106),
    [anon_sym_module] = ACTIONS(3106),
    [anon_sym_any] = ACTIONS(3106),
    [anon_sym_number] = ACTIONS(3106),
    [anon_sym_boolean] = ACTIONS(3106),
    [anon_sym_string] = ACTIONS(3106),
    [anon_sym_symbol] = ACTIONS(3106),
    [anon_sym_object] = ACTIONS(3106),
    [anon_sym_abstract] = ACTIONS(3106),
    [anon_sym_interface] = ACTIONS(3106),
    [anon_sym_enum] = ACTIONS(3106),
    [sym_html_comment] = ACTIONS(5),
  },
  [1212] = {
    [sym_comment] = STATE(1212),
    [sym_identifier] = ACTIONS(3246),
    [anon_sym_export] = ACTIONS(3246),
    [anon_sym_default] = ACTIONS(3246),
    [anon_sym_type] = ACTIONS(3246),
    [anon_sym_namespace] = ACTIONS(3246),
    [anon_sym_LBRACE] = ACTIONS(3246),
    [anon_sym_RBRACE] = ACTIONS(3246),
    [anon_sym_typeof] = ACTIONS(3246),
    [anon_sym_import] = ACTIONS(3246),
    [anon_sym_with] = ACTIONS(3246),
    [anon_sym_var] = ACTIONS(3246),
    [anon_sym_let] = ACTIONS(3246),
    [anon_sym_const] = ACTIONS(3246),
    [anon_sym_BANG] = ACTIONS(3246),
    [anon_sym_if] = ACTIONS(3246),
    [anon_sym_switch] = ACTIONS(3246),
    [anon_sym_for] = ACTIONS(3246),
    [anon_sym_LPAREN] = ACTIONS(3246),
    [anon_sym_await] = ACTIONS(3246),
    [anon_sym_while] = ACTIONS(3246),
    [anon_sym_do] = ACTIONS(3246),
    [anon_sym_try] = ACTIONS(3246),
    [anon_sym_break] = ACTIONS(3246),
    [anon_sym_continue] = ACTIONS(3246),
    [anon_sym_debugger] = ACTIONS(3246),
    [anon_sym_return] = ACTIONS(3246),
    [anon_sym_throw] = ACTIONS(3246),
    [anon_sym_SEMI] = ACTIONS(3246),
    [anon_sym_case] = ACTIONS(3246),
    [anon_sym_yield] = ACTIONS(3246),
    [anon_sym_LBRACK] = ACTIONS(3246),
    [anon_sym_LTtemplate_GT] = ACTIONS(3246),
    [anon_sym_DQUOTE] = ACTIONS(3246),
    [anon_sym_SQUOTE] = ACTIONS(3246),
    [anon_sym_class] = ACTIONS(3246),
    [anon_sym_async] = ACTIONS(3246),
    [anon_sym_function] = ACTIONS(3246),
    [anon_sym_new] = ACTIONS(3246),
    [anon_sym_using] = ACTIONS(3246),
    [anon_sym_PLUS] = ACTIONS(3246),
    [anon_sym_DASH] = ACTIONS(3246),
    [anon_sym_SLASH] = ACTIONS(3246),
    [anon_sym_LT] = ACTIONS(3246),
    [anon_sym_TILDE] = ACTIONS(3246),
    [anon_sym_void] = ACTIONS(3246),
    [anon_sym_delete] = ACTIONS(3246),
    [anon_sym_PLUS_PLUS] = ACTIONS(3246),
    [anon_sym_DASH_DASH] = ACTIONS(3246),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3246),
    [sym_number] = ACTIONS(3246),
    [sym_private_property_identifier] = ACTIONS(3246),
    [sym_this] = ACTIONS(3246),
    [sym_super] = ACTIONS(3246),
    [sym_true] = ACTIONS(3246),
    [sym_false] = ACTIONS(3246),
    [sym_null] = ACTIONS(3246),
    [sym_undefined] = ACTIONS(3246),
    [anon_sym_AT] = ACTIONS(3246),
    [anon_sym_static] = ACTIONS(3246),
    [anon_sym_readonly] = ACTIONS(3246),
    [anon_sym_get] = ACTIONS(3246),
    [anon_sym_set] = ACTIONS(3246),
    [anon_sym_declare] = ACTIONS(3246),
    [anon_sym_public] = ACTIONS(3246),
    [anon_sym_private] = ACTIONS(3246),
    [anon_sym_protected] = ACTIONS(3246),
    [anon_sym_override] = ACTIONS(3246),
    [anon_sym_module] = ACTIONS(3246),
    [anon_sym_any] = ACTIONS(3246),
    [anon_sym_number] = ACTIONS(3246),
    [anon_sym_boolean] = ACTIONS(3246),
    [anon_sym_string] = ACTIONS(3246),
    [anon_sym_symbol] = ACTIONS(3246),
    [anon_sym_object] = ACTIONS(3246),
    [anon_sym_abstract] = ACTIONS(3246),
    [anon_sym_interface] = ACTIONS(3246),
    [anon_sym_enum] = ACTIONS(3246),
    [sym_html_comment] = ACTIONS(5),
  },
  [1213] = {
    [sym_comment] = STATE(1213),
    [sym_identifier] = ACTIONS(3246),
    [anon_sym_export] = ACTIONS(3246),
    [anon_sym_default] = ACTIONS(3246),
    [anon_sym_type] = ACTIONS(3246),
    [anon_sym_namespace] = ACTIONS(3246),
    [anon_sym_LBRACE] = ACTIONS(3246),
    [anon_sym_RBRACE] = ACTIONS(3246),
    [anon_sym_typeof] = ACTIONS(3246),
    [anon_sym_import] = ACTIONS(3246),
    [anon_sym_with] = ACTIONS(3246),
    [anon_sym_var] = ACTIONS(3246),
    [anon_sym_let] = ACTIONS(3246),
    [anon_sym_const] = ACTIONS(3246),
    [anon_sym_BANG] = ACTIONS(3246),
    [anon_sym_if] = ACTIONS(3246),
    [anon_sym_switch] = ACTIONS(3246),
    [anon_sym_for] = ACTIONS(3246),
    [anon_sym_LPAREN] = ACTIONS(3246),
    [anon_sym_await] = ACTIONS(3246),
    [anon_sym_while] = ACTIONS(3246),
    [anon_sym_do] = ACTIONS(3246),
    [anon_sym_try] = ACTIONS(3246),
    [anon_sym_break] = ACTIONS(3246),
    [anon_sym_continue] = ACTIONS(3246),
    [anon_sym_debugger] = ACTIONS(3246),
    [anon_sym_return] = ACTIONS(3246),
    [anon_sym_throw] = ACTIONS(3246),
    [anon_sym_SEMI] = ACTIONS(3246),
    [anon_sym_case] = ACTIONS(3246),
    [anon_sym_yield] = ACTIONS(3246),
    [anon_sym_LBRACK] = ACTIONS(3246),
    [anon_sym_LTtemplate_GT] = ACTIONS(3246),
    [anon_sym_DQUOTE] = ACTIONS(3246),
    [anon_sym_SQUOTE] = ACTIONS(3246),
    [anon_sym_class] = ACTIONS(3246),
    [anon_sym_async] = ACTIONS(3246),
    [anon_sym_function] = ACTIONS(3246),
    [anon_sym_new] = ACTIONS(3246),
    [anon_sym_using] = ACTIONS(3246),
    [anon_sym_PLUS] = ACTIONS(3246),
    [anon_sym_DASH] = ACTIONS(3246),
    [anon_sym_SLASH] = ACTIONS(3246),
    [anon_sym_LT] = ACTIONS(3246),
    [anon_sym_TILDE] = ACTIONS(3246),
    [anon_sym_void] = ACTIONS(3246),
    [anon_sym_delete] = ACTIONS(3246),
    [anon_sym_PLUS_PLUS] = ACTIONS(3246),
    [anon_sym_DASH_DASH] = ACTIONS(3246),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3246),
    [sym_number] = ACTIONS(3246),
    [sym_private_property_identifier] = ACTIONS(3246),
    [sym_this] = ACTIONS(3246),
    [sym_super] = ACTIONS(3246),
    [sym_true] = ACTIONS(3246),
    [sym_false] = ACTIONS(3246),
    [sym_null] = ACTIONS(3246),
    [sym_undefined] = ACTIONS(3246),
    [anon_sym_AT] = ACTIONS(3246),
    [anon_sym_static] = ACTIONS(3246),
    [anon_sym_readonly] = ACTIONS(3246),
    [anon_sym_get] = ACTIONS(3246),
    [anon_sym_set] = ACTIONS(3246),
    [anon_sym_declare] = ACTIONS(3246),
    [anon_sym_public] = ACTIONS(3246),
    [anon_sym_private] = ACTIONS(3246),
    [anon_sym_protected] = ACTIONS(3246),
    [anon_sym_override] = ACTIONS(3246),
    [anon_sym_module] = ACTIONS(3246),
    [anon_sym_any] = ACTIONS(3246),
    [anon_sym_number] = ACTIONS(3246),
    [anon_sym_boolean] = ACTIONS(3246),
    [anon_sym_string] = ACTIONS(3246),
    [anon_sym_symbol] = ACTIONS(3246),
    [anon_sym_object] = ACTIONS(3246),
    [anon_sym_abstract] = ACTIONS(3246),
    [anon_sym_interface] = ACTIONS(3246),
    [anon_sym_enum] = ACTIONS(3246),
    [sym_html_comment] = ACTIONS(5),
  },
  [1214] = {
    [sym_comment] = STATE(1214),
    [sym_identifier] = ACTIONS(3372),
    [anon_sym_export] = ACTIONS(3372),
    [anon_sym_default] = ACTIONS(3372),
    [anon_sym_type] = ACTIONS(3372),
    [anon_sym_namespace] = ACTIONS(3372),
    [anon_sym_LBRACE] = ACTIONS(3372),
    [anon_sym_RBRACE] = ACTIONS(3372),
    [anon_sym_typeof] = ACTIONS(3372),
    [anon_sym_import] = ACTIONS(3372),
    [anon_sym_with] = ACTIONS(3372),
    [anon_sym_var] = ACTIONS(3372),
    [anon_sym_let] = ACTIONS(3372),
    [anon_sym_const] = ACTIONS(3372),
    [anon_sym_BANG] = ACTIONS(3372),
    [anon_sym_if] = ACTIONS(3372),
    [anon_sym_switch] = ACTIONS(3372),
    [anon_sym_for] = ACTIONS(3372),
    [anon_sym_LPAREN] = ACTIONS(3372),
    [anon_sym_await] = ACTIONS(3372),
    [anon_sym_while] = ACTIONS(3372),
    [anon_sym_do] = ACTIONS(3372),
    [anon_sym_try] = ACTIONS(3372),
    [anon_sym_break] = ACTIONS(3372),
    [anon_sym_continue] = ACTIONS(3372),
    [anon_sym_debugger] = ACTIONS(3372),
    [anon_sym_return] = ACTIONS(3372),
    [anon_sym_throw] = ACTIONS(3372),
    [anon_sym_SEMI] = ACTIONS(3372),
    [anon_sym_case] = ACTIONS(3372),
    [anon_sym_yield] = ACTIONS(3372),
    [anon_sym_LBRACK] = ACTIONS(3372),
    [anon_sym_LTtemplate_GT] = ACTIONS(3372),
    [anon_sym_DQUOTE] = ACTIONS(3372),
    [anon_sym_SQUOTE] = ACTIONS(3372),
    [anon_sym_class] = ACTIONS(3372),
    [anon_sym_async] = ACTIONS(3372),
    [anon_sym_function] = ACTIONS(3372),
    [anon_sym_new] = ACTIONS(3372),
    [anon_sym_using] = ACTIONS(3372),
    [anon_sym_PLUS] = ACTIONS(3372),
    [anon_sym_DASH] = ACTIONS(3372),
    [anon_sym_SLASH] = ACTIONS(3372),
    [anon_sym_LT] = ACTIONS(3372),
    [anon_sym_TILDE] = ACTIONS(3372),
    [anon_sym_void] = ACTIONS(3372),
    [anon_sym_delete] = ACTIONS(3372),
    [anon_sym_PLUS_PLUS] = ACTIONS(3372),
    [anon_sym_DASH_DASH] = ACTIONS(3372),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3372),
    [sym_number] = ACTIONS(3372),
    [sym_private_property_identifier] = ACTIONS(3372),
    [sym_this] = ACTIONS(3372),
    [sym_super] = ACTIONS(3372),
    [sym_true] = ACTIONS(3372),
    [sym_false] = ACTIONS(3372),
    [sym_null] = ACTIONS(3372),
    [sym_undefined] = ACTIONS(3372),
    [anon_sym_AT] = ACTIONS(3372),
    [anon_sym_static] = ACTIONS(3372),
    [anon_sym_readonly] = ACTIONS(3372),
    [anon_sym_get] = ACTIONS(3372),
    [anon_sym_set] = ACTIONS(3372),
    [anon_sym_declare] = ACTIONS(3372),
    [anon_sym_public] = ACTIONS(3372),
    [anon_sym_private] = ACTIONS(3372),
    [anon_sym_protected] = ACTIONS(3372),
    [anon_sym_override] = ACTIONS(3372),
    [anon_sym_module] = ACTIONS(3372),
    [anon_sym_any] = ACTIONS(3372),
    [anon_sym_number] = ACTIONS(3372),
    [anon_sym_boolean] = ACTIONS(3372),
    [anon_sym_string] = ACTIONS(3372),
    [anon_sym_symbol] = ACTIONS(3372),
    [anon_sym_object] = ACTIONS(3372),
    [anon_sym_abstract] = ACTIONS(3372),
    [anon_sym_interface] = ACTIONS(3372),
    [anon_sym_enum] = ACTIONS(3372),
    [sym_html_comment] = ACTIONS(5),
  },
  [1215] = {
    [sym_statement_block] = STATE(1580),
    [sym_comment] = STATE(1215),
    [ts_builtin_sym_end] = ACTIONS(2059),
    [sym_identifier] = ACTIONS(2055),
    [anon_sym_export] = ACTIONS(2055),
    [anon_sym_type] = ACTIONS(2055),
    [anon_sym_namespace] = ACTIONS(2055),
    [anon_sym_LBRACE] = ACTIONS(3360),
    [anon_sym_RBRACE] = ACTIONS(2055),
    [anon_sym_typeof] = ACTIONS(2055),
    [anon_sym_import] = ACTIONS(2055),
    [anon_sym_with] = ACTIONS(2055),
    [anon_sym_var] = ACTIONS(2055),
    [anon_sym_let] = ACTIONS(2055),
    [anon_sym_const] = ACTIONS(2055),
    [anon_sym_BANG] = ACTIONS(2055),
    [anon_sym_if] = ACTIONS(2055),
    [anon_sym_switch] = ACTIONS(2055),
    [anon_sym_for] = ACTIONS(2055),
    [anon_sym_LPAREN] = ACTIONS(2055),
    [anon_sym_await] = ACTIONS(2055),
    [anon_sym_while] = ACTIONS(2055),
    [anon_sym_do] = ACTIONS(2055),
    [anon_sym_try] = ACTIONS(2055),
    [anon_sym_break] = ACTIONS(2055),
    [anon_sym_continue] = ACTIONS(2055),
    [anon_sym_debugger] = ACTIONS(2055),
    [anon_sym_return] = ACTIONS(2055),
    [anon_sym_throw] = ACTIONS(2055),
    [anon_sym_SEMI] = ACTIONS(2055),
    [anon_sym_yield] = ACTIONS(2055),
    [anon_sym_LBRACK] = ACTIONS(2055),
    [anon_sym_LTtemplate_GT] = ACTIONS(2055),
    [anon_sym_DQUOTE] = ACTIONS(2055),
    [anon_sym_SQUOTE] = ACTIONS(2055),
    [anon_sym_class] = ACTIONS(2055),
    [anon_sym_async] = ACTIONS(2055),
    [anon_sym_function] = ACTIONS(2055),
    [anon_sym_new] = ACTIONS(2055),
    [anon_sym_using] = ACTIONS(2055),
    [anon_sym_PLUS] = ACTIONS(2055),
    [anon_sym_DASH] = ACTIONS(2055),
    [anon_sym_SLASH] = ACTIONS(2055),
    [anon_sym_LT] = ACTIONS(2055),
    [anon_sym_TILDE] = ACTIONS(2055),
    [anon_sym_void] = ACTIONS(2055),
    [anon_sym_delete] = ACTIONS(2055),
    [anon_sym_PLUS_PLUS] = ACTIONS(2055),
    [anon_sym_DASH_DASH] = ACTIONS(2055),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2055),
    [sym_number] = ACTIONS(2055),
    [sym_private_property_identifier] = ACTIONS(2055),
    [sym_this] = ACTIONS(2055),
    [sym_super] = ACTIONS(2055),
    [sym_true] = ACTIONS(2055),
    [sym_false] = ACTIONS(2055),
    [sym_null] = ACTIONS(2055),
    [sym_undefined] = ACTIONS(2055),
    [anon_sym_AT] = ACTIONS(2055),
    [anon_sym_static] = ACTIONS(2055),
    [anon_sym_readonly] = ACTIONS(2055),
    [anon_sym_get] = ACTIONS(2055),
    [anon_sym_set] = ACTIONS(2055),
    [anon_sym_declare] = ACTIONS(2055),
    [anon_sym_public] = ACTIONS(2055),
    [anon_sym_private] = ACTIONS(2055),
    [anon_sym_protected] = ACTIONS(2055),
    [anon_sym_override] = ACTIONS(2055),
    [anon_sym_module] = ACTIONS(2055),
    [anon_sym_any] = ACTIONS(2055),
    [anon_sym_number] = ACTIONS(2055),
    [anon_sym_boolean] = ACTIONS(2055),
    [anon_sym_string] = ACTIONS(2055),
    [anon_sym_symbol] = ACTIONS(2055),
    [anon_sym_object] = ACTIONS(2055),
    [anon_sym_abstract] = ACTIONS(2055),
    [anon_sym_interface] = ACTIONS(2055),
    [anon_sym_enum] = ACTIONS(2055),
    [sym_html_comment] = ACTIONS(5),
  },
  [1216] = {
    [sym_comment] = STATE(1216),
    [ts_builtin_sym_end] = ACTIONS(2095),
    [sym_identifier] = ACTIONS(2093),
    [anon_sym_export] = ACTIONS(2093),
    [anon_sym_type] = ACTIONS(2093),
    [anon_sym_namespace] = ACTIONS(2093),
    [anon_sym_LBRACE] = ACTIONS(2093),
    [anon_sym_RBRACE] = ACTIONS(2093),
    [anon_sym_typeof] = ACTIONS(2093),
    [anon_sym_import] = ACTIONS(2093),
    [anon_sym_with] = ACTIONS(2093),
    [anon_sym_var] = ACTIONS(2093),
    [anon_sym_let] = ACTIONS(2093),
    [anon_sym_const] = ACTIONS(2093),
    [anon_sym_BANG] = ACTIONS(2093),
    [anon_sym_if] = ACTIONS(2093),
    [anon_sym_switch] = ACTIONS(2093),
    [anon_sym_for] = ACTIONS(2093),
    [anon_sym_LPAREN] = ACTIONS(2093),
    [anon_sym_await] = ACTIONS(2093),
    [anon_sym_while] = ACTIONS(2093),
    [anon_sym_do] = ACTIONS(2093),
    [anon_sym_try] = ACTIONS(2093),
    [anon_sym_break] = ACTIONS(2093),
    [anon_sym_continue] = ACTIONS(2093),
    [anon_sym_debugger] = ACTIONS(2093),
    [anon_sym_return] = ACTIONS(2093),
    [anon_sym_throw] = ACTIONS(2093),
    [anon_sym_SEMI] = ACTIONS(2093),
    [anon_sym_yield] = ACTIONS(2093),
    [anon_sym_LBRACK] = ACTIONS(2093),
    [anon_sym_LTtemplate_GT] = ACTIONS(2093),
    [anon_sym_DQUOTE] = ACTIONS(2093),
    [anon_sym_SQUOTE] = ACTIONS(2093),
    [anon_sym_class] = ACTIONS(2093),
    [anon_sym_async] = ACTIONS(2093),
    [anon_sym_function] = ACTIONS(2093),
    [anon_sym_new] = ACTIONS(2093),
    [anon_sym_using] = ACTIONS(2093),
    [anon_sym_PLUS] = ACTIONS(2093),
    [anon_sym_DASH] = ACTIONS(2093),
    [anon_sym_SLASH] = ACTIONS(2093),
    [anon_sym_LT] = ACTIONS(2093),
    [anon_sym_TILDE] = ACTIONS(2093),
    [anon_sym_void] = ACTIONS(2093),
    [anon_sym_delete] = ACTIONS(2093),
    [anon_sym_PLUS_PLUS] = ACTIONS(2093),
    [anon_sym_DASH_DASH] = ACTIONS(2093),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2093),
    [sym_number] = ACTIONS(2093),
    [sym_private_property_identifier] = ACTIONS(2093),
    [sym_this] = ACTIONS(2093),
    [sym_super] = ACTIONS(2093),
    [sym_true] = ACTIONS(2093),
    [sym_false] = ACTIONS(2093),
    [sym_null] = ACTIONS(2093),
    [sym_undefined] = ACTIONS(2093),
    [anon_sym_AT] = ACTIONS(2093),
    [anon_sym_static] = ACTIONS(2093),
    [anon_sym_readonly] = ACTIONS(2093),
    [anon_sym_get] = ACTIONS(2093),
    [anon_sym_set] = ACTIONS(2093),
    [anon_sym_declare] = ACTIONS(2093),
    [anon_sym_public] = ACTIONS(2093),
    [anon_sym_private] = ACTIONS(2093),
    [anon_sym_protected] = ACTIONS(2093),
    [anon_sym_override] = ACTIONS(2093),
    [anon_sym_module] = ACTIONS(2093),
    [anon_sym_any] = ACTIONS(2093),
    [anon_sym_number] = ACTIONS(2093),
    [anon_sym_boolean] = ACTIONS(2093),
    [anon_sym_string] = ACTIONS(2093),
    [anon_sym_symbol] = ACTIONS(2093),
    [anon_sym_object] = ACTIONS(2093),
    [anon_sym_abstract] = ACTIONS(2093),
    [anon_sym_interface] = ACTIONS(2093),
    [anon_sym_enum] = ACTIONS(2093),
    [sym__automatic_semicolon] = ACTIONS(3374),
    [sym_html_comment] = ACTIONS(5),
  },
  [1217] = {
    [sym_comment] = STATE(1217),
    [sym_identifier] = ACTIONS(3248),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_default] = ACTIONS(3248),
    [anon_sym_type] = ACTIONS(3248),
    [anon_sym_namespace] = ACTIONS(3248),
    [anon_sym_LBRACE] = ACTIONS(3248),
    [anon_sym_RBRACE] = ACTIONS(3248),
    [anon_sym_typeof] = ACTIONS(3248),
    [anon_sym_import] = ACTIONS(3248),
    [anon_sym_with] = ACTIONS(3248),
    [anon_sym_var] = ACTIONS(3248),
    [anon_sym_let] = ACTIONS(3248),
    [anon_sym_const] = ACTIONS(3248),
    [anon_sym_BANG] = ACTIONS(3248),
    [anon_sym_if] = ACTIONS(3248),
    [anon_sym_switch] = ACTIONS(3248),
    [anon_sym_for] = ACTIONS(3248),
    [anon_sym_LPAREN] = ACTIONS(3248),
    [anon_sym_await] = ACTIONS(3248),
    [anon_sym_while] = ACTIONS(3248),
    [anon_sym_do] = ACTIONS(3248),
    [anon_sym_try] = ACTIONS(3248),
    [anon_sym_break] = ACTIONS(3248),
    [anon_sym_continue] = ACTIONS(3248),
    [anon_sym_debugger] = ACTIONS(3248),
    [anon_sym_return] = ACTIONS(3248),
    [anon_sym_throw] = ACTIONS(3248),
    [anon_sym_SEMI] = ACTIONS(3248),
    [anon_sym_case] = ACTIONS(3248),
    [anon_sym_yield] = ACTIONS(3248),
    [anon_sym_LBRACK] = ACTIONS(3248),
    [anon_sym_LTtemplate_GT] = ACTIONS(3248),
    [anon_sym_DQUOTE] = ACTIONS(3248),
    [anon_sym_SQUOTE] = ACTIONS(3248),
    [anon_sym_class] = ACTIONS(3248),
    [anon_sym_async] = ACTIONS(3248),
    [anon_sym_function] = ACTIONS(3248),
    [anon_sym_new] = ACTIONS(3248),
    [anon_sym_using] = ACTIONS(3248),
    [anon_sym_PLUS] = ACTIONS(3248),
    [anon_sym_DASH] = ACTIONS(3248),
    [anon_sym_SLASH] = ACTIONS(3248),
    [anon_sym_LT] = ACTIONS(3248),
    [anon_sym_TILDE] = ACTIONS(3248),
    [anon_sym_void] = ACTIONS(3248),
    [anon_sym_delete] = ACTIONS(3248),
    [anon_sym_PLUS_PLUS] = ACTIONS(3248),
    [anon_sym_DASH_DASH] = ACTIONS(3248),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3248),
    [sym_number] = ACTIONS(3248),
    [sym_private_property_identifier] = ACTIONS(3248),
    [sym_this] = ACTIONS(3248),
    [sym_super] = ACTIONS(3248),
    [sym_true] = ACTIONS(3248),
    [sym_false] = ACTIONS(3248),
    [sym_null] = ACTIONS(3248),
    [sym_undefined] = ACTIONS(3248),
    [anon_sym_AT] = ACTIONS(3248),
    [anon_sym_static] = ACTIONS(3248),
    [anon_sym_readonly] = ACTIONS(3248),
    [anon_sym_get] = ACTIONS(3248),
    [anon_sym_set] = ACTIONS(3248),
    [anon_sym_declare] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3248),
    [anon_sym_private] = ACTIONS(3248),
    [anon_sym_protected] = ACTIONS(3248),
    [anon_sym_override] = ACTIONS(3248),
    [anon_sym_module] = ACTIONS(3248),
    [anon_sym_any] = ACTIONS(3248),
    [anon_sym_number] = ACTIONS(3248),
    [anon_sym_boolean] = ACTIONS(3248),
    [anon_sym_string] = ACTIONS(3248),
    [anon_sym_symbol] = ACTIONS(3248),
    [anon_sym_object] = ACTIONS(3248),
    [anon_sym_abstract] = ACTIONS(3248),
    [anon_sym_interface] = ACTIONS(3248),
    [anon_sym_enum] = ACTIONS(3248),
    [sym_html_comment] = ACTIONS(5),
  },
  [1218] = {
    [sym_comment] = STATE(1218),
    [ts_builtin_sym_end] = ACTIONS(3376),
    [sym_identifier] = ACTIONS(3284),
    [anon_sym_export] = ACTIONS(3284),
    [anon_sym_type] = ACTIONS(3284),
    [anon_sym_namespace] = ACTIONS(3284),
    [anon_sym_LBRACE] = ACTIONS(3284),
    [anon_sym_RBRACE] = ACTIONS(3284),
    [anon_sym_typeof] = ACTIONS(3284),
    [anon_sym_import] = ACTIONS(3284),
    [anon_sym_with] = ACTIONS(3284),
    [anon_sym_var] = ACTIONS(3284),
    [anon_sym_let] = ACTIONS(3284),
    [anon_sym_const] = ACTIONS(3284),
    [anon_sym_BANG] = ACTIONS(3284),
    [anon_sym_else] = ACTIONS(3284),
    [anon_sym_if] = ACTIONS(3284),
    [anon_sym_switch] = ACTIONS(3284),
    [anon_sym_for] = ACTIONS(3284),
    [anon_sym_LPAREN] = ACTIONS(3284),
    [anon_sym_await] = ACTIONS(3284),
    [anon_sym_while] = ACTIONS(3284),
    [anon_sym_do] = ACTIONS(3284),
    [anon_sym_try] = ACTIONS(3284),
    [anon_sym_break] = ACTIONS(3284),
    [anon_sym_continue] = ACTIONS(3284),
    [anon_sym_debugger] = ACTIONS(3284),
    [anon_sym_return] = ACTIONS(3284),
    [anon_sym_throw] = ACTIONS(3284),
    [anon_sym_SEMI] = ACTIONS(3284),
    [anon_sym_yield] = ACTIONS(3284),
    [anon_sym_LBRACK] = ACTIONS(3284),
    [anon_sym_LTtemplate_GT] = ACTIONS(3284),
    [anon_sym_DQUOTE] = ACTIONS(3284),
    [anon_sym_SQUOTE] = ACTIONS(3284),
    [anon_sym_class] = ACTIONS(3284),
    [anon_sym_async] = ACTIONS(3284),
    [anon_sym_function] = ACTIONS(3284),
    [anon_sym_new] = ACTIONS(3284),
    [anon_sym_using] = ACTIONS(3284),
    [anon_sym_PLUS] = ACTIONS(3284),
    [anon_sym_DASH] = ACTIONS(3284),
    [anon_sym_SLASH] = ACTIONS(3284),
    [anon_sym_LT] = ACTIONS(3284),
    [anon_sym_TILDE] = ACTIONS(3284),
    [anon_sym_void] = ACTIONS(3284),
    [anon_sym_delete] = ACTIONS(3284),
    [anon_sym_PLUS_PLUS] = ACTIONS(3284),
    [anon_sym_DASH_DASH] = ACTIONS(3284),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3284),
    [sym_number] = ACTIONS(3284),
    [sym_private_property_identifier] = ACTIONS(3284),
    [sym_this] = ACTIONS(3284),
    [sym_super] = ACTIONS(3284),
    [sym_true] = ACTIONS(3284),
    [sym_false] = ACTIONS(3284),
    [sym_null] = ACTIONS(3284),
    [sym_undefined] = ACTIONS(3284),
    [anon_sym_AT] = ACTIONS(3284),
    [anon_sym_static] = ACTIONS(3284),
    [anon_sym_readonly] = ACTIONS(3284),
    [anon_sym_get] = ACTIONS(3284),
    [anon_sym_set] = ACTIONS(3284),
    [anon_sym_declare] = ACTIONS(3284),
    [anon_sym_public] = ACTIONS(3284),
    [anon_sym_private] = ACTIONS(3284),
    [anon_sym_protected] = ACTIONS(3284),
    [anon_sym_override] = ACTIONS(3284),
    [anon_sym_module] = ACTIONS(3284),
    [anon_sym_any] = ACTIONS(3284),
    [anon_sym_number] = ACTIONS(3284),
    [anon_sym_boolean] = ACTIONS(3284),
    [anon_sym_string] = ACTIONS(3284),
    [anon_sym_symbol] = ACTIONS(3284),
    [anon_sym_object] = ACTIONS(3284),
    [anon_sym_abstract] = ACTIONS(3284),
    [anon_sym_interface] = ACTIONS(3284),
    [anon_sym_enum] = ACTIONS(3284),
    [sym_html_comment] = ACTIONS(5),
  },
  [1219] = {
    [sym_comment] = STATE(1219),
    [sym_identifier] = ACTIONS(3194),
    [anon_sym_export] = ACTIONS(3194),
    [anon_sym_default] = ACTIONS(3194),
    [anon_sym_type] = ACTIONS(3194),
    [anon_sym_namespace] = ACTIONS(3194),
    [anon_sym_LBRACE] = ACTIONS(3194),
    [anon_sym_RBRACE] = ACTIONS(3194),
    [anon_sym_typeof] = ACTIONS(3194),
    [anon_sym_import] = ACTIONS(3194),
    [anon_sym_with] = ACTIONS(3194),
    [anon_sym_var] = ACTIONS(3194),
    [anon_sym_let] = ACTIONS(3194),
    [anon_sym_const] = ACTIONS(3194),
    [anon_sym_BANG] = ACTIONS(3194),
    [anon_sym_if] = ACTIONS(3194),
    [anon_sym_switch] = ACTIONS(3194),
    [anon_sym_for] = ACTIONS(3194),
    [anon_sym_LPAREN] = ACTIONS(3194),
    [anon_sym_await] = ACTIONS(3194),
    [anon_sym_while] = ACTIONS(3194),
    [anon_sym_do] = ACTIONS(3194),
    [anon_sym_try] = ACTIONS(3194),
    [anon_sym_break] = ACTIONS(3194),
    [anon_sym_continue] = ACTIONS(3194),
    [anon_sym_debugger] = ACTIONS(3194),
    [anon_sym_return] = ACTIONS(3194),
    [anon_sym_throw] = ACTIONS(3194),
    [anon_sym_SEMI] = ACTIONS(3194),
    [anon_sym_case] = ACTIONS(3194),
    [anon_sym_yield] = ACTIONS(3194),
    [anon_sym_LBRACK] = ACTIONS(3194),
    [anon_sym_LTtemplate_GT] = ACTIONS(3194),
    [anon_sym_DQUOTE] = ACTIONS(3194),
    [anon_sym_SQUOTE] = ACTIONS(3194),
    [anon_sym_class] = ACTIONS(3194),
    [anon_sym_async] = ACTIONS(3194),
    [anon_sym_function] = ACTIONS(3194),
    [anon_sym_new] = ACTIONS(3194),
    [anon_sym_using] = ACTIONS(3194),
    [anon_sym_PLUS] = ACTIONS(3194),
    [anon_sym_DASH] = ACTIONS(3194),
    [anon_sym_SLASH] = ACTIONS(3194),
    [anon_sym_LT] = ACTIONS(3194),
    [anon_sym_TILDE] = ACTIONS(3194),
    [anon_sym_void] = ACTIONS(3194),
    [anon_sym_delete] = ACTIONS(3194),
    [anon_sym_PLUS_PLUS] = ACTIONS(3194),
    [anon_sym_DASH_DASH] = ACTIONS(3194),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3194),
    [sym_number] = ACTIONS(3194),
    [sym_private_property_identifier] = ACTIONS(3194),
    [sym_this] = ACTIONS(3194),
    [sym_super] = ACTIONS(3194),
    [sym_true] = ACTIONS(3194),
    [sym_false] = ACTIONS(3194),
    [sym_null] = ACTIONS(3194),
    [sym_undefined] = ACTIONS(3194),
    [anon_sym_AT] = ACTIONS(3194),
    [anon_sym_static] = ACTIONS(3194),
    [anon_sym_readonly] = ACTIONS(3194),
    [anon_sym_get] = ACTIONS(3194),
    [anon_sym_set] = ACTIONS(3194),
    [anon_sym_declare] = ACTIONS(3194),
    [anon_sym_public] = ACTIONS(3194),
    [anon_sym_private] = ACTIONS(3194),
    [anon_sym_protected] = ACTIONS(3194),
    [anon_sym_override] = ACTIONS(3194),
    [anon_sym_module] = ACTIONS(3194),
    [anon_sym_any] = ACTIONS(3194),
    [anon_sym_number] = ACTIONS(3194),
    [anon_sym_boolean] = ACTIONS(3194),
    [anon_sym_string] = ACTIONS(3194),
    [anon_sym_symbol] = ACTIONS(3194),
    [anon_sym_object] = ACTIONS(3194),
    [anon_sym_abstract] = ACTIONS(3194),
    [anon_sym_interface] = ACTIONS(3194),
    [anon_sym_enum] = ACTIONS(3194),
    [sym_html_comment] = ACTIONS(5),
  },
  [1220] = {
    [sym_comment] = STATE(1220),
    [ts_builtin_sym_end] = ACTIONS(2387),
    [sym_identifier] = ACTIONS(2167),
    [anon_sym_export] = ACTIONS(2167),
    [anon_sym_type] = ACTIONS(2167),
    [anon_sym_namespace] = ACTIONS(2167),
    [anon_sym_LBRACE] = ACTIONS(2167),
    [anon_sym_RBRACE] = ACTIONS(2167),
    [anon_sym_typeof] = ACTIONS(2167),
    [anon_sym_import] = ACTIONS(2167),
    [anon_sym_with] = ACTIONS(2167),
    [anon_sym_var] = ACTIONS(2167),
    [anon_sym_let] = ACTIONS(2167),
    [anon_sym_const] = ACTIONS(2167),
    [anon_sym_BANG] = ACTIONS(2167),
    [anon_sym_else] = ACTIONS(2167),
    [anon_sym_if] = ACTIONS(2167),
    [anon_sym_switch] = ACTIONS(2167),
    [anon_sym_for] = ACTIONS(2167),
    [anon_sym_LPAREN] = ACTIONS(2167),
    [anon_sym_await] = ACTIONS(2167),
    [anon_sym_while] = ACTIONS(2167),
    [anon_sym_do] = ACTIONS(2167),
    [anon_sym_try] = ACTIONS(2167),
    [anon_sym_break] = ACTIONS(2167),
    [anon_sym_continue] = ACTIONS(2167),
    [anon_sym_debugger] = ACTIONS(2167),
    [anon_sym_return] = ACTIONS(2167),
    [anon_sym_throw] = ACTIONS(2167),
    [anon_sym_SEMI] = ACTIONS(2167),
    [anon_sym_yield] = ACTIONS(2167),
    [anon_sym_LBRACK] = ACTIONS(2167),
    [anon_sym_LTtemplate_GT] = ACTIONS(2167),
    [anon_sym_DQUOTE] = ACTIONS(2167),
    [anon_sym_SQUOTE] = ACTIONS(2167),
    [anon_sym_class] = ACTIONS(2167),
    [anon_sym_async] = ACTIONS(2167),
    [anon_sym_function] = ACTIONS(2167),
    [anon_sym_new] = ACTIONS(2167),
    [anon_sym_using] = ACTIONS(2167),
    [anon_sym_PLUS] = ACTIONS(2167),
    [anon_sym_DASH] = ACTIONS(2167),
    [anon_sym_SLASH] = ACTIONS(2167),
    [anon_sym_LT] = ACTIONS(2167),
    [anon_sym_TILDE] = ACTIONS(2167),
    [anon_sym_void] = ACTIONS(2167),
    [anon_sym_delete] = ACTIONS(2167),
    [anon_sym_PLUS_PLUS] = ACTIONS(2167),
    [anon_sym_DASH_DASH] = ACTIONS(2167),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2167),
    [sym_number] = ACTIONS(2167),
    [sym_private_property_identifier] = ACTIONS(2167),
    [sym_this] = ACTIONS(2167),
    [sym_super] = ACTIONS(2167),
    [sym_true] = ACTIONS(2167),
    [sym_false] = ACTIONS(2167),
    [sym_null] = ACTIONS(2167),
    [sym_undefined] = ACTIONS(2167),
    [anon_sym_AT] = ACTIONS(2167),
    [anon_sym_static] = ACTIONS(2167),
    [anon_sym_readonly] = ACTIONS(2167),
    [anon_sym_get] = ACTIONS(2167),
    [anon_sym_set] = ACTIONS(2167),
    [anon_sym_declare] = ACTIONS(2167),
    [anon_sym_public] = ACTIONS(2167),
    [anon_sym_private] = ACTIONS(2167),
    [anon_sym_protected] = ACTIONS(2167),
    [anon_sym_override] = ACTIONS(2167),
    [anon_sym_module] = ACTIONS(2167),
    [anon_sym_any] = ACTIONS(2167),
    [anon_sym_number] = ACTIONS(2167),
    [anon_sym_boolean] = ACTIONS(2167),
    [anon_sym_string] = ACTIONS(2167),
    [anon_sym_symbol] = ACTIONS(2167),
    [anon_sym_object] = ACTIONS(2167),
    [anon_sym_abstract] = ACTIONS(2167),
    [anon_sym_interface] = ACTIONS(2167),
    [anon_sym_enum] = ACTIONS(2167),
    [sym_html_comment] = ACTIONS(5),
  },
  [1221] = {
    [sym_comment] = STATE(1221),
    [ts_builtin_sym_end] = ACTIONS(3378),
    [sym_identifier] = ACTIONS(3282),
    [anon_sym_export] = ACTIONS(3282),
    [anon_sym_type] = ACTIONS(3282),
    [anon_sym_namespace] = ACTIONS(3282),
    [anon_sym_LBRACE] = ACTIONS(3282),
    [anon_sym_RBRACE] = ACTIONS(3282),
    [anon_sym_typeof] = ACTIONS(3282),
    [anon_sym_import] = ACTIONS(3282),
    [anon_sym_with] = ACTIONS(3282),
    [anon_sym_var] = ACTIONS(3282),
    [anon_sym_let] = ACTIONS(3282),
    [anon_sym_const] = ACTIONS(3282),
    [anon_sym_BANG] = ACTIONS(3282),
    [anon_sym_else] = ACTIONS(3282),
    [anon_sym_if] = ACTIONS(3282),
    [anon_sym_switch] = ACTIONS(3282),
    [anon_sym_for] = ACTIONS(3282),
    [anon_sym_LPAREN] = ACTIONS(3282),
    [anon_sym_await] = ACTIONS(3282),
    [anon_sym_while] = ACTIONS(3282),
    [anon_sym_do] = ACTIONS(3282),
    [anon_sym_try] = ACTIONS(3282),
    [anon_sym_break] = ACTIONS(3282),
    [anon_sym_continue] = ACTIONS(3282),
    [anon_sym_debugger] = ACTIONS(3282),
    [anon_sym_return] = ACTIONS(3282),
    [anon_sym_throw] = ACTIONS(3282),
    [anon_sym_SEMI] = ACTIONS(3282),
    [anon_sym_yield] = ACTIONS(3282),
    [anon_sym_LBRACK] = ACTIONS(3282),
    [anon_sym_LTtemplate_GT] = ACTIONS(3282),
    [anon_sym_DQUOTE] = ACTIONS(3282),
    [anon_sym_SQUOTE] = ACTIONS(3282),
    [anon_sym_class] = ACTIONS(3282),
    [anon_sym_async] = ACTIONS(3282),
    [anon_sym_function] = ACTIONS(3282),
    [anon_sym_new] = ACTIONS(3282),
    [anon_sym_using] = ACTIONS(3282),
    [anon_sym_PLUS] = ACTIONS(3282),
    [anon_sym_DASH] = ACTIONS(3282),
    [anon_sym_SLASH] = ACTIONS(3282),
    [anon_sym_LT] = ACTIONS(3282),
    [anon_sym_TILDE] = ACTIONS(3282),
    [anon_sym_void] = ACTIONS(3282),
    [anon_sym_delete] = ACTIONS(3282),
    [anon_sym_PLUS_PLUS] = ACTIONS(3282),
    [anon_sym_DASH_DASH] = ACTIONS(3282),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3282),
    [sym_number] = ACTIONS(3282),
    [sym_private_property_identifier] = ACTIONS(3282),
    [sym_this] = ACTIONS(3282),
    [sym_super] = ACTIONS(3282),
    [sym_true] = ACTIONS(3282),
    [sym_false] = ACTIONS(3282),
    [sym_null] = ACTIONS(3282),
    [sym_undefined] = ACTIONS(3282),
    [anon_sym_AT] = ACTIONS(3282),
    [anon_sym_static] = ACTIONS(3282),
    [anon_sym_readonly] = ACTIONS(3282),
    [anon_sym_get] = ACTIONS(3282),
    [anon_sym_set] = ACTIONS(3282),
    [anon_sym_declare] = ACTIONS(3282),
    [anon_sym_public] = ACTIONS(3282),
    [anon_sym_private] = ACTIONS(3282),
    [anon_sym_protected] = ACTIONS(3282),
    [anon_sym_override] = ACTIONS(3282),
    [anon_sym_module] = ACTIONS(3282),
    [anon_sym_any] = ACTIONS(3282),
    [anon_sym_number] = ACTIONS(3282),
    [anon_sym_boolean] = ACTIONS(3282),
    [anon_sym_string] = ACTIONS(3282),
    [anon_sym_symbol] = ACTIONS(3282),
    [anon_sym_object] = ACTIONS(3282),
    [anon_sym_abstract] = ACTIONS(3282),
    [anon_sym_interface] = ACTIONS(3282),
    [anon_sym_enum] = ACTIONS(3282),
    [sym_html_comment] = ACTIONS(5),
  },
  [1222] = {
    [sym_comment] = STATE(1222),
    [sym_identifier] = ACTIONS(3230),
    [anon_sym_export] = ACTIONS(3230),
    [anon_sym_default] = ACTIONS(3230),
    [anon_sym_type] = ACTIONS(3230),
    [anon_sym_namespace] = ACTIONS(3230),
    [anon_sym_LBRACE] = ACTIONS(3230),
    [anon_sym_RBRACE] = ACTIONS(3230),
    [anon_sym_typeof] = ACTIONS(3230),
    [anon_sym_import] = ACTIONS(3230),
    [anon_sym_with] = ACTIONS(3230),
    [anon_sym_var] = ACTIONS(3230),
    [anon_sym_let] = ACTIONS(3230),
    [anon_sym_const] = ACTIONS(3230),
    [anon_sym_BANG] = ACTIONS(3230),
    [anon_sym_if] = ACTIONS(3230),
    [anon_sym_switch] = ACTIONS(3230),
    [anon_sym_for] = ACTIONS(3230),
    [anon_sym_LPAREN] = ACTIONS(3230),
    [anon_sym_await] = ACTIONS(3230),
    [anon_sym_while] = ACTIONS(3230),
    [anon_sym_do] = ACTIONS(3230),
    [anon_sym_try] = ACTIONS(3230),
    [anon_sym_break] = ACTIONS(3230),
    [anon_sym_continue] = ACTIONS(3230),
    [anon_sym_debugger] = ACTIONS(3230),
    [anon_sym_return] = ACTIONS(3230),
    [anon_sym_throw] = ACTIONS(3230),
    [anon_sym_SEMI] = ACTIONS(3230),
    [anon_sym_case] = ACTIONS(3230),
    [anon_sym_yield] = ACTIONS(3230),
    [anon_sym_LBRACK] = ACTIONS(3230),
    [anon_sym_LTtemplate_GT] = ACTIONS(3230),
    [anon_sym_DQUOTE] = ACTIONS(3230),
    [anon_sym_SQUOTE] = ACTIONS(3230),
    [anon_sym_class] = ACTIONS(3230),
    [anon_sym_async] = ACTIONS(3230),
    [anon_sym_function] = ACTIONS(3230),
    [anon_sym_new] = ACTIONS(3230),
    [anon_sym_using] = ACTIONS(3230),
    [anon_sym_PLUS] = ACTIONS(3230),
    [anon_sym_DASH] = ACTIONS(3230),
    [anon_sym_SLASH] = ACTIONS(3230),
    [anon_sym_LT] = ACTIONS(3230),
    [anon_sym_TILDE] = ACTIONS(3230),
    [anon_sym_void] = ACTIONS(3230),
    [anon_sym_delete] = ACTIONS(3230),
    [anon_sym_PLUS_PLUS] = ACTIONS(3230),
    [anon_sym_DASH_DASH] = ACTIONS(3230),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3230),
    [sym_number] = ACTIONS(3230),
    [sym_private_property_identifier] = ACTIONS(3230),
    [sym_this] = ACTIONS(3230),
    [sym_super] = ACTIONS(3230),
    [sym_true] = ACTIONS(3230),
    [sym_false] = ACTIONS(3230),
    [sym_null] = ACTIONS(3230),
    [sym_undefined] = ACTIONS(3230),
    [anon_sym_AT] = ACTIONS(3230),
    [anon_sym_static] = ACTIONS(3230),
    [anon_sym_readonly] = ACTIONS(3230),
    [anon_sym_get] = ACTIONS(3230),
    [anon_sym_set] = ACTIONS(3230),
    [anon_sym_declare] = ACTIONS(3230),
    [anon_sym_public] = ACTIONS(3230),
    [anon_sym_private] = ACTIONS(3230),
    [anon_sym_protected] = ACTIONS(3230),
    [anon_sym_override] = ACTIONS(3230),
    [anon_sym_module] = ACTIONS(3230),
    [anon_sym_any] = ACTIONS(3230),
    [anon_sym_number] = ACTIONS(3230),
    [anon_sym_boolean] = ACTIONS(3230),
    [anon_sym_string] = ACTIONS(3230),
    [anon_sym_symbol] = ACTIONS(3230),
    [anon_sym_object] = ACTIONS(3230),
    [anon_sym_abstract] = ACTIONS(3230),
    [anon_sym_interface] = ACTIONS(3230),
    [anon_sym_enum] = ACTIONS(3230),
    [sym_html_comment] = ACTIONS(5),
  },
  [1223] = {
    [sym_comment] = STATE(1223),
    [ts_builtin_sym_end] = ACTIONS(3074),
    [sym_identifier] = ACTIONS(3072),
    [anon_sym_export] = ACTIONS(3072),
    [anon_sym_type] = ACTIONS(3072),
    [anon_sym_namespace] = ACTIONS(3072),
    [anon_sym_LBRACE] = ACTIONS(3072),
    [anon_sym_RBRACE] = ACTIONS(3072),
    [anon_sym_typeof] = ACTIONS(3072),
    [anon_sym_import] = ACTIONS(3072),
    [anon_sym_with] = ACTIONS(3072),
    [anon_sym_var] = ACTIONS(3072),
    [anon_sym_let] = ACTIONS(3072),
    [anon_sym_const] = ACTIONS(3072),
    [anon_sym_BANG] = ACTIONS(3072),
    [anon_sym_if] = ACTIONS(3072),
    [anon_sym_switch] = ACTIONS(3072),
    [anon_sym_for] = ACTIONS(3072),
    [anon_sym_LPAREN] = ACTIONS(3072),
    [anon_sym_await] = ACTIONS(3072),
    [anon_sym_while] = ACTIONS(3072),
    [anon_sym_do] = ACTIONS(3072),
    [anon_sym_try] = ACTIONS(3072),
    [anon_sym_break] = ACTIONS(3072),
    [anon_sym_continue] = ACTIONS(3072),
    [anon_sym_debugger] = ACTIONS(3072),
    [anon_sym_return] = ACTIONS(3072),
    [anon_sym_throw] = ACTIONS(3072),
    [anon_sym_SEMI] = ACTIONS(3072),
    [anon_sym_yield] = ACTIONS(3072),
    [anon_sym_LBRACK] = ACTIONS(3072),
    [anon_sym_LTtemplate_GT] = ACTIONS(3072),
    [anon_sym_DQUOTE] = ACTIONS(3072),
    [anon_sym_SQUOTE] = ACTIONS(3072),
    [anon_sym_class] = ACTIONS(3072),
    [anon_sym_async] = ACTIONS(3072),
    [anon_sym_function] = ACTIONS(3072),
    [anon_sym_new] = ACTIONS(3072),
    [anon_sym_using] = ACTIONS(3072),
    [anon_sym_PLUS] = ACTIONS(3072),
    [anon_sym_DASH] = ACTIONS(3072),
    [anon_sym_SLASH] = ACTIONS(3072),
    [anon_sym_LT] = ACTIONS(3072),
    [anon_sym_TILDE] = ACTIONS(3072),
    [anon_sym_void] = ACTIONS(3072),
    [anon_sym_delete] = ACTIONS(3072),
    [anon_sym_PLUS_PLUS] = ACTIONS(3072),
    [anon_sym_DASH_DASH] = ACTIONS(3072),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3072),
    [sym_number] = ACTIONS(3072),
    [sym_private_property_identifier] = ACTIONS(3072),
    [sym_this] = ACTIONS(3072),
    [sym_super] = ACTIONS(3072),
    [sym_true] = ACTIONS(3072),
    [sym_false] = ACTIONS(3072),
    [sym_null] = ACTIONS(3072),
    [sym_undefined] = ACTIONS(3072),
    [anon_sym_AT] = ACTIONS(3072),
    [anon_sym_static] = ACTIONS(3072),
    [anon_sym_readonly] = ACTIONS(3072),
    [anon_sym_get] = ACTIONS(3072),
    [anon_sym_set] = ACTIONS(3072),
    [anon_sym_declare] = ACTIONS(3072),
    [anon_sym_public] = ACTIONS(3072),
    [anon_sym_private] = ACTIONS(3072),
    [anon_sym_protected] = ACTIONS(3072),
    [anon_sym_override] = ACTIONS(3072),
    [anon_sym_module] = ACTIONS(3072),
    [anon_sym_any] = ACTIONS(3072),
    [anon_sym_number] = ACTIONS(3072),
    [anon_sym_boolean] = ACTIONS(3072),
    [anon_sym_string] = ACTIONS(3072),
    [anon_sym_symbol] = ACTIONS(3072),
    [anon_sym_object] = ACTIONS(3072),
    [anon_sym_abstract] = ACTIONS(3072),
    [anon_sym_interface] = ACTIONS(3072),
    [anon_sym_enum] = ACTIONS(3072),
    [sym__automatic_semicolon] = ACTIONS(3074),
    [sym_html_comment] = ACTIONS(5),
  },
  [1224] = {
    [sym_comment] = STATE(1224),
    [ts_builtin_sym_end] = ACTIONS(2387),
    [sym_identifier] = ACTIONS(2167),
    [anon_sym_export] = ACTIONS(2167),
    [anon_sym_type] = ACTIONS(2167),
    [anon_sym_namespace] = ACTIONS(2167),
    [anon_sym_LBRACE] = ACTIONS(2167),
    [anon_sym_RBRACE] = ACTIONS(2167),
    [anon_sym_typeof] = ACTIONS(2167),
    [anon_sym_import] = ACTIONS(2167),
    [anon_sym_with] = ACTIONS(2167),
    [anon_sym_var] = ACTIONS(2167),
    [anon_sym_let] = ACTIONS(2167),
    [anon_sym_const] = ACTIONS(2167),
    [anon_sym_BANG] = ACTIONS(2167),
    [anon_sym_else] = ACTIONS(2167),
    [anon_sym_if] = ACTIONS(2167),
    [anon_sym_switch] = ACTIONS(2167),
    [anon_sym_for] = ACTIONS(2167),
    [anon_sym_LPAREN] = ACTIONS(2167),
    [anon_sym_await] = ACTIONS(2167),
    [anon_sym_while] = ACTIONS(2167),
    [anon_sym_do] = ACTIONS(2167),
    [anon_sym_try] = ACTIONS(2167),
    [anon_sym_break] = ACTIONS(2167),
    [anon_sym_continue] = ACTIONS(2167),
    [anon_sym_debugger] = ACTIONS(2167),
    [anon_sym_return] = ACTIONS(2167),
    [anon_sym_throw] = ACTIONS(2167),
    [anon_sym_SEMI] = ACTIONS(2167),
    [anon_sym_yield] = ACTIONS(2167),
    [anon_sym_LBRACK] = ACTIONS(2167),
    [anon_sym_LTtemplate_GT] = ACTIONS(2167),
    [anon_sym_DQUOTE] = ACTIONS(2167),
    [anon_sym_SQUOTE] = ACTIONS(2167),
    [anon_sym_class] = ACTIONS(2167),
    [anon_sym_async] = ACTIONS(2167),
    [anon_sym_function] = ACTIONS(2167),
    [anon_sym_new] = ACTIONS(2167),
    [anon_sym_using] = ACTIONS(2167),
    [anon_sym_PLUS] = ACTIONS(2167),
    [anon_sym_DASH] = ACTIONS(2167),
    [anon_sym_SLASH] = ACTIONS(2167),
    [anon_sym_LT] = ACTIONS(2167),
    [anon_sym_TILDE] = ACTIONS(2167),
    [anon_sym_void] = ACTIONS(2167),
    [anon_sym_delete] = ACTIONS(2167),
    [anon_sym_PLUS_PLUS] = ACTIONS(2167),
    [anon_sym_DASH_DASH] = ACTIONS(2167),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2167),
    [sym_number] = ACTIONS(2167),
    [sym_private_property_identifier] = ACTIONS(2167),
    [sym_this] = ACTIONS(2167),
    [sym_super] = ACTIONS(2167),
    [sym_true] = ACTIONS(2167),
    [sym_false] = ACTIONS(2167),
    [sym_null] = ACTIONS(2167),
    [sym_undefined] = ACTIONS(2167),
    [anon_sym_AT] = ACTIONS(2167),
    [anon_sym_static] = ACTIONS(2167),
    [anon_sym_readonly] = ACTIONS(2167),
    [anon_sym_get] = ACTIONS(2167),
    [anon_sym_set] = ACTIONS(2167),
    [anon_sym_declare] = ACTIONS(2167),
    [anon_sym_public] = ACTIONS(2167),
    [anon_sym_private] = ACTIONS(2167),
    [anon_sym_protected] = ACTIONS(2167),
    [anon_sym_override] = ACTIONS(2167),
    [anon_sym_module] = ACTIONS(2167),
    [anon_sym_any] = ACTIONS(2167),
    [anon_sym_number] = ACTIONS(2167),
    [anon_sym_boolean] = ACTIONS(2167),
    [anon_sym_string] = ACTIONS(2167),
    [anon_sym_symbol] = ACTIONS(2167),
    [anon_sym_object] = ACTIONS(2167),
    [anon_sym_abstract] = ACTIONS(2167),
    [anon_sym_interface] = ACTIONS(2167),
    [anon_sym_enum] = ACTIONS(2167),
    [sym_html_comment] = ACTIONS(5),
  },
  [1225] = {
    [sym_comment] = STATE(1225),
    [ts_builtin_sym_end] = ACTIONS(3380),
    [sym_identifier] = ACTIONS(3222),
    [anon_sym_export] = ACTIONS(3222),
    [anon_sym_type] = ACTIONS(3222),
    [anon_sym_namespace] = ACTIONS(3222),
    [anon_sym_LBRACE] = ACTIONS(3222),
    [anon_sym_RBRACE] = ACTIONS(3222),
    [anon_sym_typeof] = ACTIONS(3222),
    [anon_sym_import] = ACTIONS(3222),
    [anon_sym_with] = ACTIONS(3222),
    [anon_sym_var] = ACTIONS(3222),
    [anon_sym_let] = ACTIONS(3222),
    [anon_sym_const] = ACTIONS(3222),
    [anon_sym_BANG] = ACTIONS(3222),
    [anon_sym_else] = ACTIONS(3222),
    [anon_sym_if] = ACTIONS(3222),
    [anon_sym_switch] = ACTIONS(3222),
    [anon_sym_for] = ACTIONS(3222),
    [anon_sym_LPAREN] = ACTIONS(3222),
    [anon_sym_await] = ACTIONS(3222),
    [anon_sym_while] = ACTIONS(3222),
    [anon_sym_do] = ACTIONS(3222),
    [anon_sym_try] = ACTIONS(3222),
    [anon_sym_break] = ACTIONS(3222),
    [anon_sym_continue] = ACTIONS(3222),
    [anon_sym_debugger] = ACTIONS(3222),
    [anon_sym_return] = ACTIONS(3222),
    [anon_sym_throw] = ACTIONS(3222),
    [anon_sym_SEMI] = ACTIONS(3222),
    [anon_sym_yield] = ACTIONS(3222),
    [anon_sym_LBRACK] = ACTIONS(3222),
    [anon_sym_LTtemplate_GT] = ACTIONS(3222),
    [anon_sym_DQUOTE] = ACTIONS(3222),
    [anon_sym_SQUOTE] = ACTIONS(3222),
    [anon_sym_class] = ACTIONS(3222),
    [anon_sym_async] = ACTIONS(3222),
    [anon_sym_function] = ACTIONS(3222),
    [anon_sym_new] = ACTIONS(3222),
    [anon_sym_using] = ACTIONS(3222),
    [anon_sym_PLUS] = ACTIONS(3222),
    [anon_sym_DASH] = ACTIONS(3222),
    [anon_sym_SLASH] = ACTIONS(3222),
    [anon_sym_LT] = ACTIONS(3222),
    [anon_sym_TILDE] = ACTIONS(3222),
    [anon_sym_void] = ACTIONS(3222),
    [anon_sym_delete] = ACTIONS(3222),
    [anon_sym_PLUS_PLUS] = ACTIONS(3222),
    [anon_sym_DASH_DASH] = ACTIONS(3222),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3222),
    [sym_number] = ACTIONS(3222),
    [sym_private_property_identifier] = ACTIONS(3222),
    [sym_this] = ACTIONS(3222),
    [sym_super] = ACTIONS(3222),
    [sym_true] = ACTIONS(3222),
    [sym_false] = ACTIONS(3222),
    [sym_null] = ACTIONS(3222),
    [sym_undefined] = ACTIONS(3222),
    [anon_sym_AT] = ACTIONS(3222),
    [anon_sym_static] = ACTIONS(3222),
    [anon_sym_readonly] = ACTIONS(3222),
    [anon_sym_get] = ACTIONS(3222),
    [anon_sym_set] = ACTIONS(3222),
    [anon_sym_declare] = ACTIONS(3222),
    [anon_sym_public] = ACTIONS(3222),
    [anon_sym_private] = ACTIONS(3222),
    [anon_sym_protected] = ACTIONS(3222),
    [anon_sym_override] = ACTIONS(3222),
    [anon_sym_module] = ACTIONS(3222),
    [anon_sym_any] = ACTIONS(3222),
    [anon_sym_number] = ACTIONS(3222),
    [anon_sym_boolean] = ACTIONS(3222),
    [anon_sym_string] = ACTIONS(3222),
    [anon_sym_symbol] = ACTIONS(3222),
    [anon_sym_object] = ACTIONS(3222),
    [anon_sym_abstract] = ACTIONS(3222),
    [anon_sym_interface] = ACTIONS(3222),
    [anon_sym_enum] = ACTIONS(3222),
    [sym_html_comment] = ACTIONS(5),
  },
  [1226] = {
    [sym_comment] = STATE(1226),
    [sym_identifier] = ACTIONS(3228),
    [anon_sym_export] = ACTIONS(3228),
    [anon_sym_default] = ACTIONS(3228),
    [anon_sym_type] = ACTIONS(3228),
    [anon_sym_namespace] = ACTIONS(3228),
    [anon_sym_LBRACE] = ACTIONS(3228),
    [anon_sym_RBRACE] = ACTIONS(3228),
    [anon_sym_typeof] = ACTIONS(3228),
    [anon_sym_import] = ACTIONS(3228),
    [anon_sym_with] = ACTIONS(3228),
    [anon_sym_var] = ACTIONS(3228),
    [anon_sym_let] = ACTIONS(3228),
    [anon_sym_const] = ACTIONS(3228),
    [anon_sym_BANG] = ACTIONS(3228),
    [anon_sym_if] = ACTIONS(3228),
    [anon_sym_switch] = ACTIONS(3228),
    [anon_sym_for] = ACTIONS(3228),
    [anon_sym_LPAREN] = ACTIONS(3228),
    [anon_sym_await] = ACTIONS(3228),
    [anon_sym_while] = ACTIONS(3228),
    [anon_sym_do] = ACTIONS(3228),
    [anon_sym_try] = ACTIONS(3228),
    [anon_sym_break] = ACTIONS(3228),
    [anon_sym_continue] = ACTIONS(3228),
    [anon_sym_debugger] = ACTIONS(3228),
    [anon_sym_return] = ACTIONS(3228),
    [anon_sym_throw] = ACTIONS(3228),
    [anon_sym_SEMI] = ACTIONS(3228),
    [anon_sym_case] = ACTIONS(3228),
    [anon_sym_yield] = ACTIONS(3228),
    [anon_sym_LBRACK] = ACTIONS(3228),
    [anon_sym_LTtemplate_GT] = ACTIONS(3228),
    [anon_sym_DQUOTE] = ACTIONS(3228),
    [anon_sym_SQUOTE] = ACTIONS(3228),
    [anon_sym_class] = ACTIONS(3228),
    [anon_sym_async] = ACTIONS(3228),
    [anon_sym_function] = ACTIONS(3228),
    [anon_sym_new] = ACTIONS(3228),
    [anon_sym_using] = ACTIONS(3228),
    [anon_sym_PLUS] = ACTIONS(3228),
    [anon_sym_DASH] = ACTIONS(3228),
    [anon_sym_SLASH] = ACTIONS(3228),
    [anon_sym_LT] = ACTIONS(3228),
    [anon_sym_TILDE] = ACTIONS(3228),
    [anon_sym_void] = ACTIONS(3228),
    [anon_sym_delete] = ACTIONS(3228),
    [anon_sym_PLUS_PLUS] = ACTIONS(3228),
    [anon_sym_DASH_DASH] = ACTIONS(3228),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3228),
    [sym_number] = ACTIONS(3228),
    [sym_private_property_identifier] = ACTIONS(3228),
    [sym_this] = ACTIONS(3228),
    [sym_super] = ACTIONS(3228),
    [sym_true] = ACTIONS(3228),
    [sym_false] = ACTIONS(3228),
    [sym_null] = ACTIONS(3228),
    [sym_undefined] = ACTIONS(3228),
    [anon_sym_AT] = ACTIONS(3228),
    [anon_sym_static] = ACTIONS(3228),
    [anon_sym_readonly] = ACTIONS(3228),
    [anon_sym_get] = ACTIONS(3228),
    [anon_sym_set] = ACTIONS(3228),
    [anon_sym_declare] = ACTIONS(3228),
    [anon_sym_public] = ACTIONS(3228),
    [anon_sym_private] = ACTIONS(3228),
    [anon_sym_protected] = ACTIONS(3228),
    [anon_sym_override] = ACTIONS(3228),
    [anon_sym_module] = ACTIONS(3228),
    [anon_sym_any] = ACTIONS(3228),
    [anon_sym_number] = ACTIONS(3228),
    [anon_sym_boolean] = ACTIONS(3228),
    [anon_sym_string] = ACTIONS(3228),
    [anon_sym_symbol] = ACTIONS(3228),
    [anon_sym_object] = ACTIONS(3228),
    [anon_sym_abstract] = ACTIONS(3228),
    [anon_sym_interface] = ACTIONS(3228),
    [anon_sym_enum] = ACTIONS(3228),
    [sym_html_comment] = ACTIONS(5),
  },
  [1227] = {
    [sym_comment] = STATE(1227),
    [ts_builtin_sym_end] = ACTIONS(3382),
    [sym_identifier] = ACTIONS(3218),
    [anon_sym_export] = ACTIONS(3218),
    [anon_sym_type] = ACTIONS(3218),
    [anon_sym_namespace] = ACTIONS(3218),
    [anon_sym_LBRACE] = ACTIONS(3218),
    [anon_sym_RBRACE] = ACTIONS(3218),
    [anon_sym_typeof] = ACTIONS(3218),
    [anon_sym_import] = ACTIONS(3218),
    [anon_sym_with] = ACTIONS(3218),
    [anon_sym_var] = ACTIONS(3218),
    [anon_sym_let] = ACTIONS(3218),
    [anon_sym_const] = ACTIONS(3218),
    [anon_sym_BANG] = ACTIONS(3218),
    [anon_sym_else] = ACTIONS(3218),
    [anon_sym_if] = ACTIONS(3218),
    [anon_sym_switch] = ACTIONS(3218),
    [anon_sym_for] = ACTIONS(3218),
    [anon_sym_LPAREN] = ACTIONS(3218),
    [anon_sym_await] = ACTIONS(3218),
    [anon_sym_while] = ACTIONS(3218),
    [anon_sym_do] = ACTIONS(3218),
    [anon_sym_try] = ACTIONS(3218),
    [anon_sym_break] = ACTIONS(3218),
    [anon_sym_continue] = ACTIONS(3218),
    [anon_sym_debugger] = ACTIONS(3218),
    [anon_sym_return] = ACTIONS(3218),
    [anon_sym_throw] = ACTIONS(3218),
    [anon_sym_SEMI] = ACTIONS(3218),
    [anon_sym_yield] = ACTIONS(3218),
    [anon_sym_LBRACK] = ACTIONS(3218),
    [anon_sym_LTtemplate_GT] = ACTIONS(3218),
    [anon_sym_DQUOTE] = ACTIONS(3218),
    [anon_sym_SQUOTE] = ACTIONS(3218),
    [anon_sym_class] = ACTIONS(3218),
    [anon_sym_async] = ACTIONS(3218),
    [anon_sym_function] = ACTIONS(3218),
    [anon_sym_new] = ACTIONS(3218),
    [anon_sym_using] = ACTIONS(3218),
    [anon_sym_PLUS] = ACTIONS(3218),
    [anon_sym_DASH] = ACTIONS(3218),
    [anon_sym_SLASH] = ACTIONS(3218),
    [anon_sym_LT] = ACTIONS(3218),
    [anon_sym_TILDE] = ACTIONS(3218),
    [anon_sym_void] = ACTIONS(3218),
    [anon_sym_delete] = ACTIONS(3218),
    [anon_sym_PLUS_PLUS] = ACTIONS(3218),
    [anon_sym_DASH_DASH] = ACTIONS(3218),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3218),
    [sym_number] = ACTIONS(3218),
    [sym_private_property_identifier] = ACTIONS(3218),
    [sym_this] = ACTIONS(3218),
    [sym_super] = ACTIONS(3218),
    [sym_true] = ACTIONS(3218),
    [sym_false] = ACTIONS(3218),
    [sym_null] = ACTIONS(3218),
    [sym_undefined] = ACTIONS(3218),
    [anon_sym_AT] = ACTIONS(3218),
    [anon_sym_static] = ACTIONS(3218),
    [anon_sym_readonly] = ACTIONS(3218),
    [anon_sym_get] = ACTIONS(3218),
    [anon_sym_set] = ACTIONS(3218),
    [anon_sym_declare] = ACTIONS(3218),
    [anon_sym_public] = ACTIONS(3218),
    [anon_sym_private] = ACTIONS(3218),
    [anon_sym_protected] = ACTIONS(3218),
    [anon_sym_override] = ACTIONS(3218),
    [anon_sym_module] = ACTIONS(3218),
    [anon_sym_any] = ACTIONS(3218),
    [anon_sym_number] = ACTIONS(3218),
    [anon_sym_boolean] = ACTIONS(3218),
    [anon_sym_string] = ACTIONS(3218),
    [anon_sym_symbol] = ACTIONS(3218),
    [anon_sym_object] = ACTIONS(3218),
    [anon_sym_abstract] = ACTIONS(3218),
    [anon_sym_interface] = ACTIONS(3218),
    [anon_sym_enum] = ACTIONS(3218),
    [sym_html_comment] = ACTIONS(5),
  },
  [1228] = {
    [sym_comment] = STATE(1228),
    [sym_identifier] = ACTIONS(3226),
    [anon_sym_export] = ACTIONS(3226),
    [anon_sym_default] = ACTIONS(3226),
    [anon_sym_type] = ACTIONS(3226),
    [anon_sym_namespace] = ACTIONS(3226),
    [anon_sym_LBRACE] = ACTIONS(3226),
    [anon_sym_RBRACE] = ACTIONS(3226),
    [anon_sym_typeof] = ACTIONS(3226),
    [anon_sym_import] = ACTIONS(3226),
    [anon_sym_with] = ACTIONS(3226),
    [anon_sym_var] = ACTIONS(3226),
    [anon_sym_let] = ACTIONS(3226),
    [anon_sym_const] = ACTIONS(3226),
    [anon_sym_BANG] = ACTIONS(3226),
    [anon_sym_if] = ACTIONS(3226),
    [anon_sym_switch] = ACTIONS(3226),
    [anon_sym_for] = ACTIONS(3226),
    [anon_sym_LPAREN] = ACTIONS(3226),
    [anon_sym_await] = ACTIONS(3226),
    [anon_sym_while] = ACTIONS(3226),
    [anon_sym_do] = ACTIONS(3226),
    [anon_sym_try] = ACTIONS(3226),
    [anon_sym_break] = ACTIONS(3226),
    [anon_sym_continue] = ACTIONS(3226),
    [anon_sym_debugger] = ACTIONS(3226),
    [anon_sym_return] = ACTIONS(3226),
    [anon_sym_throw] = ACTIONS(3226),
    [anon_sym_SEMI] = ACTIONS(3226),
    [anon_sym_case] = ACTIONS(3226),
    [anon_sym_yield] = ACTIONS(3226),
    [anon_sym_LBRACK] = ACTIONS(3226),
    [anon_sym_LTtemplate_GT] = ACTIONS(3226),
    [anon_sym_DQUOTE] = ACTIONS(3226),
    [anon_sym_SQUOTE] = ACTIONS(3226),
    [anon_sym_class] = ACTIONS(3226),
    [anon_sym_async] = ACTIONS(3226),
    [anon_sym_function] = ACTIONS(3226),
    [anon_sym_new] = ACTIONS(3226),
    [anon_sym_using] = ACTIONS(3226),
    [anon_sym_PLUS] = ACTIONS(3226),
    [anon_sym_DASH] = ACTIONS(3226),
    [anon_sym_SLASH] = ACTIONS(3226),
    [anon_sym_LT] = ACTIONS(3226),
    [anon_sym_TILDE] = ACTIONS(3226),
    [anon_sym_void] = ACTIONS(3226),
    [anon_sym_delete] = ACTIONS(3226),
    [anon_sym_PLUS_PLUS] = ACTIONS(3226),
    [anon_sym_DASH_DASH] = ACTIONS(3226),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3226),
    [sym_number] = ACTIONS(3226),
    [sym_private_property_identifier] = ACTIONS(3226),
    [sym_this] = ACTIONS(3226),
    [sym_super] = ACTIONS(3226),
    [sym_true] = ACTIONS(3226),
    [sym_false] = ACTIONS(3226),
    [sym_null] = ACTIONS(3226),
    [sym_undefined] = ACTIONS(3226),
    [anon_sym_AT] = ACTIONS(3226),
    [anon_sym_static] = ACTIONS(3226),
    [anon_sym_readonly] = ACTIONS(3226),
    [anon_sym_get] = ACTIONS(3226),
    [anon_sym_set] = ACTIONS(3226),
    [anon_sym_declare] = ACTIONS(3226),
    [anon_sym_public] = ACTIONS(3226),
    [anon_sym_private] = ACTIONS(3226),
    [anon_sym_protected] = ACTIONS(3226),
    [anon_sym_override] = ACTIONS(3226),
    [anon_sym_module] = ACTIONS(3226),
    [anon_sym_any] = ACTIONS(3226),
    [anon_sym_number] = ACTIONS(3226),
    [anon_sym_boolean] = ACTIONS(3226),
    [anon_sym_string] = ACTIONS(3226),
    [anon_sym_symbol] = ACTIONS(3226),
    [anon_sym_object] = ACTIONS(3226),
    [anon_sym_abstract] = ACTIONS(3226),
    [anon_sym_interface] = ACTIONS(3226),
    [anon_sym_enum] = ACTIONS(3226),
    [sym_html_comment] = ACTIONS(5),
  },
  [1229] = {
    [sym_comment] = STATE(1229),
    [sym_identifier] = ACTIONS(3220),
    [anon_sym_export] = ACTIONS(3220),
    [anon_sym_default] = ACTIONS(3220),
    [anon_sym_type] = ACTIONS(3220),
    [anon_sym_namespace] = ACTIONS(3220),
    [anon_sym_LBRACE] = ACTIONS(3220),
    [anon_sym_RBRACE] = ACTIONS(3220),
    [anon_sym_typeof] = ACTIONS(3220),
    [anon_sym_import] = ACTIONS(3220),
    [anon_sym_with] = ACTIONS(3220),
    [anon_sym_var] = ACTIONS(3220),
    [anon_sym_let] = ACTIONS(3220),
    [anon_sym_const] = ACTIONS(3220),
    [anon_sym_BANG] = ACTIONS(3220),
    [anon_sym_if] = ACTIONS(3220),
    [anon_sym_switch] = ACTIONS(3220),
    [anon_sym_for] = ACTIONS(3220),
    [anon_sym_LPAREN] = ACTIONS(3220),
    [anon_sym_await] = ACTIONS(3220),
    [anon_sym_while] = ACTIONS(3220),
    [anon_sym_do] = ACTIONS(3220),
    [anon_sym_try] = ACTIONS(3220),
    [anon_sym_break] = ACTIONS(3220),
    [anon_sym_continue] = ACTIONS(3220),
    [anon_sym_debugger] = ACTIONS(3220),
    [anon_sym_return] = ACTIONS(3220),
    [anon_sym_throw] = ACTIONS(3220),
    [anon_sym_SEMI] = ACTIONS(3220),
    [anon_sym_case] = ACTIONS(3220),
    [anon_sym_yield] = ACTIONS(3220),
    [anon_sym_LBRACK] = ACTIONS(3220),
    [anon_sym_LTtemplate_GT] = ACTIONS(3220),
    [anon_sym_DQUOTE] = ACTIONS(3220),
    [anon_sym_SQUOTE] = ACTIONS(3220),
    [anon_sym_class] = ACTIONS(3220),
    [anon_sym_async] = ACTIONS(3220),
    [anon_sym_function] = ACTIONS(3220),
    [anon_sym_new] = ACTIONS(3220),
    [anon_sym_using] = ACTIONS(3220),
    [anon_sym_PLUS] = ACTIONS(3220),
    [anon_sym_DASH] = ACTIONS(3220),
    [anon_sym_SLASH] = ACTIONS(3220),
    [anon_sym_LT] = ACTIONS(3220),
    [anon_sym_TILDE] = ACTIONS(3220),
    [anon_sym_void] = ACTIONS(3220),
    [anon_sym_delete] = ACTIONS(3220),
    [anon_sym_PLUS_PLUS] = ACTIONS(3220),
    [anon_sym_DASH_DASH] = ACTIONS(3220),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3220),
    [sym_number] = ACTIONS(3220),
    [sym_private_property_identifier] = ACTIONS(3220),
    [sym_this] = ACTIONS(3220),
    [sym_super] = ACTIONS(3220),
    [sym_true] = ACTIONS(3220),
    [sym_false] = ACTIONS(3220),
    [sym_null] = ACTIONS(3220),
    [sym_undefined] = ACTIONS(3220),
    [anon_sym_AT] = ACTIONS(3220),
    [anon_sym_static] = ACTIONS(3220),
    [anon_sym_readonly] = ACTIONS(3220),
    [anon_sym_get] = ACTIONS(3220),
    [anon_sym_set] = ACTIONS(3220),
    [anon_sym_declare] = ACTIONS(3220),
    [anon_sym_public] = ACTIONS(3220),
    [anon_sym_private] = ACTIONS(3220),
    [anon_sym_protected] = ACTIONS(3220),
    [anon_sym_override] = ACTIONS(3220),
    [anon_sym_module] = ACTIONS(3220),
    [anon_sym_any] = ACTIONS(3220),
    [anon_sym_number] = ACTIONS(3220),
    [anon_sym_boolean] = ACTIONS(3220),
    [anon_sym_string] = ACTIONS(3220),
    [anon_sym_symbol] = ACTIONS(3220),
    [anon_sym_object] = ACTIONS(3220),
    [anon_sym_abstract] = ACTIONS(3220),
    [anon_sym_interface] = ACTIONS(3220),
    [anon_sym_enum] = ACTIONS(3220),
    [sym_html_comment] = ACTIONS(5),
  },
  [1230] = {
    [sym_comment] = STATE(1230),
    [ts_builtin_sym_end] = ACTIONS(3384),
    [sym_identifier] = ACTIONS(3214),
    [anon_sym_export] = ACTIONS(3214),
    [anon_sym_type] = ACTIONS(3214),
    [anon_sym_namespace] = ACTIONS(3214),
    [anon_sym_LBRACE] = ACTIONS(3214),
    [anon_sym_RBRACE] = ACTIONS(3214),
    [anon_sym_typeof] = ACTIONS(3214),
    [anon_sym_import] = ACTIONS(3214),
    [anon_sym_with] = ACTIONS(3214),
    [anon_sym_var] = ACTIONS(3214),
    [anon_sym_let] = ACTIONS(3214),
    [anon_sym_const] = ACTIONS(3214),
    [anon_sym_BANG] = ACTIONS(3214),
    [anon_sym_else] = ACTIONS(3214),
    [anon_sym_if] = ACTIONS(3214),
    [anon_sym_switch] = ACTIONS(3214),
    [anon_sym_for] = ACTIONS(3214),
    [anon_sym_LPAREN] = ACTIONS(3214),
    [anon_sym_await] = ACTIONS(3214),
    [anon_sym_while] = ACTIONS(3214),
    [anon_sym_do] = ACTIONS(3214),
    [anon_sym_try] = ACTIONS(3214),
    [anon_sym_break] = ACTIONS(3214),
    [anon_sym_continue] = ACTIONS(3214),
    [anon_sym_debugger] = ACTIONS(3214),
    [anon_sym_return] = ACTIONS(3214),
    [anon_sym_throw] = ACTIONS(3214),
    [anon_sym_SEMI] = ACTIONS(3214),
    [anon_sym_yield] = ACTIONS(3214),
    [anon_sym_LBRACK] = ACTIONS(3214),
    [anon_sym_LTtemplate_GT] = ACTIONS(3214),
    [anon_sym_DQUOTE] = ACTIONS(3214),
    [anon_sym_SQUOTE] = ACTIONS(3214),
    [anon_sym_class] = ACTIONS(3214),
    [anon_sym_async] = ACTIONS(3214),
    [anon_sym_function] = ACTIONS(3214),
    [anon_sym_new] = ACTIONS(3214),
    [anon_sym_using] = ACTIONS(3214),
    [anon_sym_PLUS] = ACTIONS(3214),
    [anon_sym_DASH] = ACTIONS(3214),
    [anon_sym_SLASH] = ACTIONS(3214),
    [anon_sym_LT] = ACTIONS(3214),
    [anon_sym_TILDE] = ACTIONS(3214),
    [anon_sym_void] = ACTIONS(3214),
    [anon_sym_delete] = ACTIONS(3214),
    [anon_sym_PLUS_PLUS] = ACTIONS(3214),
    [anon_sym_DASH_DASH] = ACTIONS(3214),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3214),
    [sym_number] = ACTIONS(3214),
    [sym_private_property_identifier] = ACTIONS(3214),
    [sym_this] = ACTIONS(3214),
    [sym_super] = ACTIONS(3214),
    [sym_true] = ACTIONS(3214),
    [sym_false] = ACTIONS(3214),
    [sym_null] = ACTIONS(3214),
    [sym_undefined] = ACTIONS(3214),
    [anon_sym_AT] = ACTIONS(3214),
    [anon_sym_static] = ACTIONS(3214),
    [anon_sym_readonly] = ACTIONS(3214),
    [anon_sym_get] = ACTIONS(3214),
    [anon_sym_set] = ACTIONS(3214),
    [anon_sym_declare] = ACTIONS(3214),
    [anon_sym_public] = ACTIONS(3214),
    [anon_sym_private] = ACTIONS(3214),
    [anon_sym_protected] = ACTIONS(3214),
    [anon_sym_override] = ACTIONS(3214),
    [anon_sym_module] = ACTIONS(3214),
    [anon_sym_any] = ACTIONS(3214),
    [anon_sym_number] = ACTIONS(3214),
    [anon_sym_boolean] = ACTIONS(3214),
    [anon_sym_string] = ACTIONS(3214),
    [anon_sym_symbol] = ACTIONS(3214),
    [anon_sym_object] = ACTIONS(3214),
    [anon_sym_abstract] = ACTIONS(3214),
    [anon_sym_interface] = ACTIONS(3214),
    [anon_sym_enum] = ACTIONS(3214),
    [sym_html_comment] = ACTIONS(5),
  },
  [1231] = {
    [sym_comment] = STATE(1231),
    [ts_builtin_sym_end] = ACTIONS(3386),
    [sym_identifier] = ACTIONS(3212),
    [anon_sym_export] = ACTIONS(3212),
    [anon_sym_type] = ACTIONS(3212),
    [anon_sym_namespace] = ACTIONS(3212),
    [anon_sym_LBRACE] = ACTIONS(3212),
    [anon_sym_RBRACE] = ACTIONS(3212),
    [anon_sym_typeof] = ACTIONS(3212),
    [anon_sym_import] = ACTIONS(3212),
    [anon_sym_with] = ACTIONS(3212),
    [anon_sym_var] = ACTIONS(3212),
    [anon_sym_let] = ACTIONS(3212),
    [anon_sym_const] = ACTIONS(3212),
    [anon_sym_BANG] = ACTIONS(3212),
    [anon_sym_else] = ACTIONS(3212),
    [anon_sym_if] = ACTIONS(3212),
    [anon_sym_switch] = ACTIONS(3212),
    [anon_sym_for] = ACTIONS(3212),
    [anon_sym_LPAREN] = ACTIONS(3212),
    [anon_sym_await] = ACTIONS(3212),
    [anon_sym_while] = ACTIONS(3212),
    [anon_sym_do] = ACTIONS(3212),
    [anon_sym_try] = ACTIONS(3212),
    [anon_sym_break] = ACTIONS(3212),
    [anon_sym_continue] = ACTIONS(3212),
    [anon_sym_debugger] = ACTIONS(3212),
    [anon_sym_return] = ACTIONS(3212),
    [anon_sym_throw] = ACTIONS(3212),
    [anon_sym_SEMI] = ACTIONS(3212),
    [anon_sym_yield] = ACTIONS(3212),
    [anon_sym_LBRACK] = ACTIONS(3212),
    [anon_sym_LTtemplate_GT] = ACTIONS(3212),
    [anon_sym_DQUOTE] = ACTIONS(3212),
    [anon_sym_SQUOTE] = ACTIONS(3212),
    [anon_sym_class] = ACTIONS(3212),
    [anon_sym_async] = ACTIONS(3212),
    [anon_sym_function] = ACTIONS(3212),
    [anon_sym_new] = ACTIONS(3212),
    [anon_sym_using] = ACTIONS(3212),
    [anon_sym_PLUS] = ACTIONS(3212),
    [anon_sym_DASH] = ACTIONS(3212),
    [anon_sym_SLASH] = ACTIONS(3212),
    [anon_sym_LT] = ACTIONS(3212),
    [anon_sym_TILDE] = ACTIONS(3212),
    [anon_sym_void] = ACTIONS(3212),
    [anon_sym_delete] = ACTIONS(3212),
    [anon_sym_PLUS_PLUS] = ACTIONS(3212),
    [anon_sym_DASH_DASH] = ACTIONS(3212),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3212),
    [sym_number] = ACTIONS(3212),
    [sym_private_property_identifier] = ACTIONS(3212),
    [sym_this] = ACTIONS(3212),
    [sym_super] = ACTIONS(3212),
    [sym_true] = ACTIONS(3212),
    [sym_false] = ACTIONS(3212),
    [sym_null] = ACTIONS(3212),
    [sym_undefined] = ACTIONS(3212),
    [anon_sym_AT] = ACTIONS(3212),
    [anon_sym_static] = ACTIONS(3212),
    [anon_sym_readonly] = ACTIONS(3212),
    [anon_sym_get] = ACTIONS(3212),
    [anon_sym_set] = ACTIONS(3212),
    [anon_sym_declare] = ACTIONS(3212),
    [anon_sym_public] = ACTIONS(3212),
    [anon_sym_private] = ACTIONS(3212),
    [anon_sym_protected] = ACTIONS(3212),
    [anon_sym_override] = ACTIONS(3212),
    [anon_sym_module] = ACTIONS(3212),
    [anon_sym_any] = ACTIONS(3212),
    [anon_sym_number] = ACTIONS(3212),
    [anon_sym_boolean] = ACTIONS(3212),
    [anon_sym_string] = ACTIONS(3212),
    [anon_sym_symbol] = ACTIONS(3212),
    [anon_sym_object] = ACTIONS(3212),
    [anon_sym_abstract] = ACTIONS(3212),
    [anon_sym_interface] = ACTIONS(3212),
    [anon_sym_enum] = ACTIONS(3212),
    [sym_html_comment] = ACTIONS(5),
  },
  [1232] = {
    [sym_comment] = STATE(1232),
    [ts_builtin_sym_end] = ACTIONS(3388),
    [sym_identifier] = ACTIONS(3278),
    [anon_sym_export] = ACTIONS(3278),
    [anon_sym_type] = ACTIONS(3278),
    [anon_sym_namespace] = ACTIONS(3278),
    [anon_sym_LBRACE] = ACTIONS(3278),
    [anon_sym_RBRACE] = ACTIONS(3278),
    [anon_sym_typeof] = ACTIONS(3278),
    [anon_sym_import] = ACTIONS(3278),
    [anon_sym_with] = ACTIONS(3278),
    [anon_sym_var] = ACTIONS(3278),
    [anon_sym_let] = ACTIONS(3278),
    [anon_sym_const] = ACTIONS(3278),
    [anon_sym_BANG] = ACTIONS(3278),
    [anon_sym_else] = ACTIONS(3278),
    [anon_sym_if] = ACTIONS(3278),
    [anon_sym_switch] = ACTIONS(3278),
    [anon_sym_for] = ACTIONS(3278),
    [anon_sym_LPAREN] = ACTIONS(3278),
    [anon_sym_await] = ACTIONS(3278),
    [anon_sym_while] = ACTIONS(3278),
    [anon_sym_do] = ACTIONS(3278),
    [anon_sym_try] = ACTIONS(3278),
    [anon_sym_break] = ACTIONS(3278),
    [anon_sym_continue] = ACTIONS(3278),
    [anon_sym_debugger] = ACTIONS(3278),
    [anon_sym_return] = ACTIONS(3278),
    [anon_sym_throw] = ACTIONS(3278),
    [anon_sym_SEMI] = ACTIONS(3278),
    [anon_sym_yield] = ACTIONS(3278),
    [anon_sym_LBRACK] = ACTIONS(3278),
    [anon_sym_LTtemplate_GT] = ACTIONS(3278),
    [anon_sym_DQUOTE] = ACTIONS(3278),
    [anon_sym_SQUOTE] = ACTIONS(3278),
    [anon_sym_class] = ACTIONS(3278),
    [anon_sym_async] = ACTIONS(3278),
    [anon_sym_function] = ACTIONS(3278),
    [anon_sym_new] = ACTIONS(3278),
    [anon_sym_using] = ACTIONS(3278),
    [anon_sym_PLUS] = ACTIONS(3278),
    [anon_sym_DASH] = ACTIONS(3278),
    [anon_sym_SLASH] = ACTIONS(3278),
    [anon_sym_LT] = ACTIONS(3278),
    [anon_sym_TILDE] = ACTIONS(3278),
    [anon_sym_void] = ACTIONS(3278),
    [anon_sym_delete] = ACTIONS(3278),
    [anon_sym_PLUS_PLUS] = ACTIONS(3278),
    [anon_sym_DASH_DASH] = ACTIONS(3278),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3278),
    [sym_number] = ACTIONS(3278),
    [sym_private_property_identifier] = ACTIONS(3278),
    [sym_this] = ACTIONS(3278),
    [sym_super] = ACTIONS(3278),
    [sym_true] = ACTIONS(3278),
    [sym_false] = ACTIONS(3278),
    [sym_null] = ACTIONS(3278),
    [sym_undefined] = ACTIONS(3278),
    [anon_sym_AT] = ACTIONS(3278),
    [anon_sym_static] = ACTIONS(3278),
    [anon_sym_readonly] = ACTIONS(3278),
    [anon_sym_get] = ACTIONS(3278),
    [anon_sym_set] = ACTIONS(3278),
    [anon_sym_declare] = ACTIONS(3278),
    [anon_sym_public] = ACTIONS(3278),
    [anon_sym_private] = ACTIONS(3278),
    [anon_sym_protected] = ACTIONS(3278),
    [anon_sym_override] = ACTIONS(3278),
    [anon_sym_module] = ACTIONS(3278),
    [anon_sym_any] = ACTIONS(3278),
    [anon_sym_number] = ACTIONS(3278),
    [anon_sym_boolean] = ACTIONS(3278),
    [anon_sym_string] = ACTIONS(3278),
    [anon_sym_symbol] = ACTIONS(3278),
    [anon_sym_object] = ACTIONS(3278),
    [anon_sym_abstract] = ACTIONS(3278),
    [anon_sym_interface] = ACTIONS(3278),
    [anon_sym_enum] = ACTIONS(3278),
    [sym_html_comment] = ACTIONS(5),
  },
  [1233] = {
    [sym_comment] = STATE(1233),
    [sym_identifier] = ACTIONS(3216),
    [anon_sym_export] = ACTIONS(3216),
    [anon_sym_default] = ACTIONS(3216),
    [anon_sym_type] = ACTIONS(3216),
    [anon_sym_namespace] = ACTIONS(3216),
    [anon_sym_LBRACE] = ACTIONS(3216),
    [anon_sym_RBRACE] = ACTIONS(3216),
    [anon_sym_typeof] = ACTIONS(3216),
    [anon_sym_import] = ACTIONS(3216),
    [anon_sym_with] = ACTIONS(3216),
    [anon_sym_var] = ACTIONS(3216),
    [anon_sym_let] = ACTIONS(3216),
    [anon_sym_const] = ACTIONS(3216),
    [anon_sym_BANG] = ACTIONS(3216),
    [anon_sym_if] = ACTIONS(3216),
    [anon_sym_switch] = ACTIONS(3216),
    [anon_sym_for] = ACTIONS(3216),
    [anon_sym_LPAREN] = ACTIONS(3216),
    [anon_sym_await] = ACTIONS(3216),
    [anon_sym_while] = ACTIONS(3216),
    [anon_sym_do] = ACTIONS(3216),
    [anon_sym_try] = ACTIONS(3216),
    [anon_sym_break] = ACTIONS(3216),
    [anon_sym_continue] = ACTIONS(3216),
    [anon_sym_debugger] = ACTIONS(3216),
    [anon_sym_return] = ACTIONS(3216),
    [anon_sym_throw] = ACTIONS(3216),
    [anon_sym_SEMI] = ACTIONS(3216),
    [anon_sym_case] = ACTIONS(3216),
    [anon_sym_yield] = ACTIONS(3216),
    [anon_sym_LBRACK] = ACTIONS(3216),
    [anon_sym_LTtemplate_GT] = ACTIONS(3216),
    [anon_sym_DQUOTE] = ACTIONS(3216),
    [anon_sym_SQUOTE] = ACTIONS(3216),
    [anon_sym_class] = ACTIONS(3216),
    [anon_sym_async] = ACTIONS(3216),
    [anon_sym_function] = ACTIONS(3216),
    [anon_sym_new] = ACTIONS(3216),
    [anon_sym_using] = ACTIONS(3216),
    [anon_sym_PLUS] = ACTIONS(3216),
    [anon_sym_DASH] = ACTIONS(3216),
    [anon_sym_SLASH] = ACTIONS(3216),
    [anon_sym_LT] = ACTIONS(3216),
    [anon_sym_TILDE] = ACTIONS(3216),
    [anon_sym_void] = ACTIONS(3216),
    [anon_sym_delete] = ACTIONS(3216),
    [anon_sym_PLUS_PLUS] = ACTIONS(3216),
    [anon_sym_DASH_DASH] = ACTIONS(3216),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3216),
    [sym_number] = ACTIONS(3216),
    [sym_private_property_identifier] = ACTIONS(3216),
    [sym_this] = ACTIONS(3216),
    [sym_super] = ACTIONS(3216),
    [sym_true] = ACTIONS(3216),
    [sym_false] = ACTIONS(3216),
    [sym_null] = ACTIONS(3216),
    [sym_undefined] = ACTIONS(3216),
    [anon_sym_AT] = ACTIONS(3216),
    [anon_sym_static] = ACTIONS(3216),
    [anon_sym_readonly] = ACTIONS(3216),
    [anon_sym_get] = ACTIONS(3216),
    [anon_sym_set] = ACTIONS(3216),
    [anon_sym_declare] = ACTIONS(3216),
    [anon_sym_public] = ACTIONS(3216),
    [anon_sym_private] = ACTIONS(3216),
    [anon_sym_protected] = ACTIONS(3216),
    [anon_sym_override] = ACTIONS(3216),
    [anon_sym_module] = ACTIONS(3216),
    [anon_sym_any] = ACTIONS(3216),
    [anon_sym_number] = ACTIONS(3216),
    [anon_sym_boolean] = ACTIONS(3216),
    [anon_sym_string] = ACTIONS(3216),
    [anon_sym_symbol] = ACTIONS(3216),
    [anon_sym_object] = ACTIONS(3216),
    [anon_sym_abstract] = ACTIONS(3216),
    [anon_sym_interface] = ACTIONS(3216),
    [anon_sym_enum] = ACTIONS(3216),
    [sym_html_comment] = ACTIONS(5),
  },
  [1234] = {
    [sym_comment] = STATE(1234),
    [sym_identifier] = ACTIONS(3216),
    [anon_sym_export] = ACTIONS(3216),
    [anon_sym_default] = ACTIONS(3216),
    [anon_sym_type] = ACTIONS(3216),
    [anon_sym_namespace] = ACTIONS(3216),
    [anon_sym_LBRACE] = ACTIONS(3216),
    [anon_sym_RBRACE] = ACTIONS(3216),
    [anon_sym_typeof] = ACTIONS(3216),
    [anon_sym_import] = ACTIONS(3216),
    [anon_sym_with] = ACTIONS(3216),
    [anon_sym_var] = ACTIONS(3216),
    [anon_sym_let] = ACTIONS(3216),
    [anon_sym_const] = ACTIONS(3216),
    [anon_sym_BANG] = ACTIONS(3216),
    [anon_sym_if] = ACTIONS(3216),
    [anon_sym_switch] = ACTIONS(3216),
    [anon_sym_for] = ACTIONS(3216),
    [anon_sym_LPAREN] = ACTIONS(3216),
    [anon_sym_await] = ACTIONS(3216),
    [anon_sym_while] = ACTIONS(3216),
    [anon_sym_do] = ACTIONS(3216),
    [anon_sym_try] = ACTIONS(3216),
    [anon_sym_break] = ACTIONS(3216),
    [anon_sym_continue] = ACTIONS(3216),
    [anon_sym_debugger] = ACTIONS(3216),
    [anon_sym_return] = ACTIONS(3216),
    [anon_sym_throw] = ACTIONS(3216),
    [anon_sym_SEMI] = ACTIONS(3216),
    [anon_sym_case] = ACTIONS(3216),
    [anon_sym_yield] = ACTIONS(3216),
    [anon_sym_LBRACK] = ACTIONS(3216),
    [anon_sym_LTtemplate_GT] = ACTIONS(3216),
    [anon_sym_DQUOTE] = ACTIONS(3216),
    [anon_sym_SQUOTE] = ACTIONS(3216),
    [anon_sym_class] = ACTIONS(3216),
    [anon_sym_async] = ACTIONS(3216),
    [anon_sym_function] = ACTIONS(3216),
    [anon_sym_new] = ACTIONS(3216),
    [anon_sym_using] = ACTIONS(3216),
    [anon_sym_PLUS] = ACTIONS(3216),
    [anon_sym_DASH] = ACTIONS(3216),
    [anon_sym_SLASH] = ACTIONS(3216),
    [anon_sym_LT] = ACTIONS(3216),
    [anon_sym_TILDE] = ACTIONS(3216),
    [anon_sym_void] = ACTIONS(3216),
    [anon_sym_delete] = ACTIONS(3216),
    [anon_sym_PLUS_PLUS] = ACTIONS(3216),
    [anon_sym_DASH_DASH] = ACTIONS(3216),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3216),
    [sym_number] = ACTIONS(3216),
    [sym_private_property_identifier] = ACTIONS(3216),
    [sym_this] = ACTIONS(3216),
    [sym_super] = ACTIONS(3216),
    [sym_true] = ACTIONS(3216),
    [sym_false] = ACTIONS(3216),
    [sym_null] = ACTIONS(3216),
    [sym_undefined] = ACTIONS(3216),
    [anon_sym_AT] = ACTIONS(3216),
    [anon_sym_static] = ACTIONS(3216),
    [anon_sym_readonly] = ACTIONS(3216),
    [anon_sym_get] = ACTIONS(3216),
    [anon_sym_set] = ACTIONS(3216),
    [anon_sym_declare] = ACTIONS(3216),
    [anon_sym_public] = ACTIONS(3216),
    [anon_sym_private] = ACTIONS(3216),
    [anon_sym_protected] = ACTIONS(3216),
    [anon_sym_override] = ACTIONS(3216),
    [anon_sym_module] = ACTIONS(3216),
    [anon_sym_any] = ACTIONS(3216),
    [anon_sym_number] = ACTIONS(3216),
    [anon_sym_boolean] = ACTIONS(3216),
    [anon_sym_string] = ACTIONS(3216),
    [anon_sym_symbol] = ACTIONS(3216),
    [anon_sym_object] = ACTIONS(3216),
    [anon_sym_abstract] = ACTIONS(3216),
    [anon_sym_interface] = ACTIONS(3216),
    [anon_sym_enum] = ACTIONS(3216),
    [sym_html_comment] = ACTIONS(5),
  },
  [1235] = {
    [sym_comment] = STATE(1235),
    [sym_identifier] = ACTIONS(3216),
    [anon_sym_export] = ACTIONS(3216),
    [anon_sym_default] = ACTIONS(3216),
    [anon_sym_type] = ACTIONS(3216),
    [anon_sym_namespace] = ACTIONS(3216),
    [anon_sym_LBRACE] = ACTIONS(3216),
    [anon_sym_RBRACE] = ACTIONS(3216),
    [anon_sym_typeof] = ACTIONS(3216),
    [anon_sym_import] = ACTIONS(3216),
    [anon_sym_with] = ACTIONS(3216),
    [anon_sym_var] = ACTIONS(3216),
    [anon_sym_let] = ACTIONS(3216),
    [anon_sym_const] = ACTIONS(3216),
    [anon_sym_BANG] = ACTIONS(3216),
    [anon_sym_if] = ACTIONS(3216),
    [anon_sym_switch] = ACTIONS(3216),
    [anon_sym_for] = ACTIONS(3216),
    [anon_sym_LPAREN] = ACTIONS(3216),
    [anon_sym_await] = ACTIONS(3216),
    [anon_sym_while] = ACTIONS(3216),
    [anon_sym_do] = ACTIONS(3216),
    [anon_sym_try] = ACTIONS(3216),
    [anon_sym_break] = ACTIONS(3216),
    [anon_sym_continue] = ACTIONS(3216),
    [anon_sym_debugger] = ACTIONS(3216),
    [anon_sym_return] = ACTIONS(3216),
    [anon_sym_throw] = ACTIONS(3216),
    [anon_sym_SEMI] = ACTIONS(3216),
    [anon_sym_case] = ACTIONS(3216),
    [anon_sym_yield] = ACTIONS(3216),
    [anon_sym_LBRACK] = ACTIONS(3216),
    [anon_sym_LTtemplate_GT] = ACTIONS(3216),
    [anon_sym_DQUOTE] = ACTIONS(3216),
    [anon_sym_SQUOTE] = ACTIONS(3216),
    [anon_sym_class] = ACTIONS(3216),
    [anon_sym_async] = ACTIONS(3216),
    [anon_sym_function] = ACTIONS(3216),
    [anon_sym_new] = ACTIONS(3216),
    [anon_sym_using] = ACTIONS(3216),
    [anon_sym_PLUS] = ACTIONS(3216),
    [anon_sym_DASH] = ACTIONS(3216),
    [anon_sym_SLASH] = ACTIONS(3216),
    [anon_sym_LT] = ACTIONS(3216),
    [anon_sym_TILDE] = ACTIONS(3216),
    [anon_sym_void] = ACTIONS(3216),
    [anon_sym_delete] = ACTIONS(3216),
    [anon_sym_PLUS_PLUS] = ACTIONS(3216),
    [anon_sym_DASH_DASH] = ACTIONS(3216),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3216),
    [sym_number] = ACTIONS(3216),
    [sym_private_property_identifier] = ACTIONS(3216),
    [sym_this] = ACTIONS(3216),
    [sym_super] = ACTIONS(3216),
    [sym_true] = ACTIONS(3216),
    [sym_false] = ACTIONS(3216),
    [sym_null] = ACTIONS(3216),
    [sym_undefined] = ACTIONS(3216),
    [anon_sym_AT] = ACTIONS(3216),
    [anon_sym_static] = ACTIONS(3216),
    [anon_sym_readonly] = ACTIONS(3216),
    [anon_sym_get] = ACTIONS(3216),
    [anon_sym_set] = ACTIONS(3216),
    [anon_sym_declare] = ACTIONS(3216),
    [anon_sym_public] = ACTIONS(3216),
    [anon_sym_private] = ACTIONS(3216),
    [anon_sym_protected] = ACTIONS(3216),
    [anon_sym_override] = ACTIONS(3216),
    [anon_sym_module] = ACTIONS(3216),
    [anon_sym_any] = ACTIONS(3216),
    [anon_sym_number] = ACTIONS(3216),
    [anon_sym_boolean] = ACTIONS(3216),
    [anon_sym_string] = ACTIONS(3216),
    [anon_sym_symbol] = ACTIONS(3216),
    [anon_sym_object] = ACTIONS(3216),
    [anon_sym_abstract] = ACTIONS(3216),
    [anon_sym_interface] = ACTIONS(3216),
    [anon_sym_enum] = ACTIONS(3216),
    [sym_html_comment] = ACTIONS(5),
  },
  [1236] = {
    [sym_comment] = STATE(1236),
    [sym_identifier] = ACTIONS(3210),
    [anon_sym_export] = ACTIONS(3210),
    [anon_sym_default] = ACTIONS(3210),
    [anon_sym_type] = ACTIONS(3210),
    [anon_sym_namespace] = ACTIONS(3210),
    [anon_sym_LBRACE] = ACTIONS(3210),
    [anon_sym_RBRACE] = ACTIONS(3210),
    [anon_sym_typeof] = ACTIONS(3210),
    [anon_sym_import] = ACTIONS(3210),
    [anon_sym_with] = ACTIONS(3210),
    [anon_sym_var] = ACTIONS(3210),
    [anon_sym_let] = ACTIONS(3210),
    [anon_sym_const] = ACTIONS(3210),
    [anon_sym_BANG] = ACTIONS(3210),
    [anon_sym_if] = ACTIONS(3210),
    [anon_sym_switch] = ACTIONS(3210),
    [anon_sym_for] = ACTIONS(3210),
    [anon_sym_LPAREN] = ACTIONS(3210),
    [anon_sym_await] = ACTIONS(3210),
    [anon_sym_while] = ACTIONS(3210),
    [anon_sym_do] = ACTIONS(3210),
    [anon_sym_try] = ACTIONS(3210),
    [anon_sym_break] = ACTIONS(3210),
    [anon_sym_continue] = ACTIONS(3210),
    [anon_sym_debugger] = ACTIONS(3210),
    [anon_sym_return] = ACTIONS(3210),
    [anon_sym_throw] = ACTIONS(3210),
    [anon_sym_SEMI] = ACTIONS(3210),
    [anon_sym_case] = ACTIONS(3210),
    [anon_sym_yield] = ACTIONS(3210),
    [anon_sym_LBRACK] = ACTIONS(3210),
    [anon_sym_LTtemplate_GT] = ACTIONS(3210),
    [anon_sym_DQUOTE] = ACTIONS(3210),
    [anon_sym_SQUOTE] = ACTIONS(3210),
    [anon_sym_class] = ACTIONS(3210),
    [anon_sym_async] = ACTIONS(3210),
    [anon_sym_function] = ACTIONS(3210),
    [anon_sym_new] = ACTIONS(3210),
    [anon_sym_using] = ACTIONS(3210),
    [anon_sym_PLUS] = ACTIONS(3210),
    [anon_sym_DASH] = ACTIONS(3210),
    [anon_sym_SLASH] = ACTIONS(3210),
    [anon_sym_LT] = ACTIONS(3210),
    [anon_sym_TILDE] = ACTIONS(3210),
    [anon_sym_void] = ACTIONS(3210),
    [anon_sym_delete] = ACTIONS(3210),
    [anon_sym_PLUS_PLUS] = ACTIONS(3210),
    [anon_sym_DASH_DASH] = ACTIONS(3210),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3210),
    [sym_number] = ACTIONS(3210),
    [sym_private_property_identifier] = ACTIONS(3210),
    [sym_this] = ACTIONS(3210),
    [sym_super] = ACTIONS(3210),
    [sym_true] = ACTIONS(3210),
    [sym_false] = ACTIONS(3210),
    [sym_null] = ACTIONS(3210),
    [sym_undefined] = ACTIONS(3210),
    [anon_sym_AT] = ACTIONS(3210),
    [anon_sym_static] = ACTIONS(3210),
    [anon_sym_readonly] = ACTIONS(3210),
    [anon_sym_get] = ACTIONS(3210),
    [anon_sym_set] = ACTIONS(3210),
    [anon_sym_declare] = ACTIONS(3210),
    [anon_sym_public] = ACTIONS(3210),
    [anon_sym_private] = ACTIONS(3210),
    [anon_sym_protected] = ACTIONS(3210),
    [anon_sym_override] = ACTIONS(3210),
    [anon_sym_module] = ACTIONS(3210),
    [anon_sym_any] = ACTIONS(3210),
    [anon_sym_number] = ACTIONS(3210),
    [anon_sym_boolean] = ACTIONS(3210),
    [anon_sym_string] = ACTIONS(3210),
    [anon_sym_symbol] = ACTIONS(3210),
    [anon_sym_object] = ACTIONS(3210),
    [anon_sym_abstract] = ACTIONS(3210),
    [anon_sym_interface] = ACTIONS(3210),
    [anon_sym_enum] = ACTIONS(3210),
    [sym_html_comment] = ACTIONS(5),
  },
  [1237] = {
    [sym_comment] = STATE(1237),
    [ts_builtin_sym_end] = ACTIONS(3390),
    [sym_identifier] = ACTIONS(3276),
    [anon_sym_export] = ACTIONS(3276),
    [anon_sym_type] = ACTIONS(3276),
    [anon_sym_namespace] = ACTIONS(3276),
    [anon_sym_LBRACE] = ACTIONS(3276),
    [anon_sym_RBRACE] = ACTIONS(3276),
    [anon_sym_typeof] = ACTIONS(3276),
    [anon_sym_import] = ACTIONS(3276),
    [anon_sym_with] = ACTIONS(3276),
    [anon_sym_var] = ACTIONS(3276),
    [anon_sym_let] = ACTIONS(3276),
    [anon_sym_const] = ACTIONS(3276),
    [anon_sym_BANG] = ACTIONS(3276),
    [anon_sym_else] = ACTIONS(3276),
    [anon_sym_if] = ACTIONS(3276),
    [anon_sym_switch] = ACTIONS(3276),
    [anon_sym_for] = ACTIONS(3276),
    [anon_sym_LPAREN] = ACTIONS(3276),
    [anon_sym_await] = ACTIONS(3276),
    [anon_sym_while] = ACTIONS(3276),
    [anon_sym_do] = ACTIONS(3276),
    [anon_sym_try] = ACTIONS(3276),
    [anon_sym_break] = ACTIONS(3276),
    [anon_sym_continue] = ACTIONS(3276),
    [anon_sym_debugger] = ACTIONS(3276),
    [anon_sym_return] = ACTIONS(3276),
    [anon_sym_throw] = ACTIONS(3276),
    [anon_sym_SEMI] = ACTIONS(3276),
    [anon_sym_yield] = ACTIONS(3276),
    [anon_sym_LBRACK] = ACTIONS(3276),
    [anon_sym_LTtemplate_GT] = ACTIONS(3276),
    [anon_sym_DQUOTE] = ACTIONS(3276),
    [anon_sym_SQUOTE] = ACTIONS(3276),
    [anon_sym_class] = ACTIONS(3276),
    [anon_sym_async] = ACTIONS(3276),
    [anon_sym_function] = ACTIONS(3276),
    [anon_sym_new] = ACTIONS(3276),
    [anon_sym_using] = ACTIONS(3276),
    [anon_sym_PLUS] = ACTIONS(3276),
    [anon_sym_DASH] = ACTIONS(3276),
    [anon_sym_SLASH] = ACTIONS(3276),
    [anon_sym_LT] = ACTIONS(3276),
    [anon_sym_TILDE] = ACTIONS(3276),
    [anon_sym_void] = ACTIONS(3276),
    [anon_sym_delete] = ACTIONS(3276),
    [anon_sym_PLUS_PLUS] = ACTIONS(3276),
    [anon_sym_DASH_DASH] = ACTIONS(3276),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3276),
    [sym_number] = ACTIONS(3276),
    [sym_private_property_identifier] = ACTIONS(3276),
    [sym_this] = ACTIONS(3276),
    [sym_super] = ACTIONS(3276),
    [sym_true] = ACTIONS(3276),
    [sym_false] = ACTIONS(3276),
    [sym_null] = ACTIONS(3276),
    [sym_undefined] = ACTIONS(3276),
    [anon_sym_AT] = ACTIONS(3276),
    [anon_sym_static] = ACTIONS(3276),
    [anon_sym_readonly] = ACTIONS(3276),
    [anon_sym_get] = ACTIONS(3276),
    [anon_sym_set] = ACTIONS(3276),
    [anon_sym_declare] = ACTIONS(3276),
    [anon_sym_public] = ACTIONS(3276),
    [anon_sym_private] = ACTIONS(3276),
    [anon_sym_protected] = ACTIONS(3276),
    [anon_sym_override] = ACTIONS(3276),
    [anon_sym_module] = ACTIONS(3276),
    [anon_sym_any] = ACTIONS(3276),
    [anon_sym_number] = ACTIONS(3276),
    [anon_sym_boolean] = ACTIONS(3276),
    [anon_sym_string] = ACTIONS(3276),
    [anon_sym_symbol] = ACTIONS(3276),
    [anon_sym_object] = ACTIONS(3276),
    [anon_sym_abstract] = ACTIONS(3276),
    [anon_sym_interface] = ACTIONS(3276),
    [anon_sym_enum] = ACTIONS(3276),
    [sym_html_comment] = ACTIONS(5),
  },
  [1238] = {
    [sym_comment] = STATE(1238),
    [ts_builtin_sym_end] = ACTIONS(3392),
    [sym_identifier] = ACTIONS(3274),
    [anon_sym_export] = ACTIONS(3274),
    [anon_sym_type] = ACTIONS(3274),
    [anon_sym_namespace] = ACTIONS(3274),
    [anon_sym_LBRACE] = ACTIONS(3274),
    [anon_sym_RBRACE] = ACTIONS(3274),
    [anon_sym_typeof] = ACTIONS(3274),
    [anon_sym_import] = ACTIONS(3274),
    [anon_sym_with] = ACTIONS(3274),
    [anon_sym_var] = ACTIONS(3274),
    [anon_sym_let] = ACTIONS(3274),
    [anon_sym_const] = ACTIONS(3274),
    [anon_sym_BANG] = ACTIONS(3274),
    [anon_sym_else] = ACTIONS(3274),
    [anon_sym_if] = ACTIONS(3274),
    [anon_sym_switch] = ACTIONS(3274),
    [anon_sym_for] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(3274),
    [anon_sym_await] = ACTIONS(3274),
    [anon_sym_while] = ACTIONS(3274),
    [anon_sym_do] = ACTIONS(3274),
    [anon_sym_try] = ACTIONS(3274),
    [anon_sym_break] = ACTIONS(3274),
    [anon_sym_continue] = ACTIONS(3274),
    [anon_sym_debugger] = ACTIONS(3274),
    [anon_sym_return] = ACTIONS(3274),
    [anon_sym_throw] = ACTIONS(3274),
    [anon_sym_SEMI] = ACTIONS(3274),
    [anon_sym_yield] = ACTIONS(3274),
    [anon_sym_LBRACK] = ACTIONS(3274),
    [anon_sym_LTtemplate_GT] = ACTIONS(3274),
    [anon_sym_DQUOTE] = ACTIONS(3274),
    [anon_sym_SQUOTE] = ACTIONS(3274),
    [anon_sym_class] = ACTIONS(3274),
    [anon_sym_async] = ACTIONS(3274),
    [anon_sym_function] = ACTIONS(3274),
    [anon_sym_new] = ACTIONS(3274),
    [anon_sym_using] = ACTIONS(3274),
    [anon_sym_PLUS] = ACTIONS(3274),
    [anon_sym_DASH] = ACTIONS(3274),
    [anon_sym_SLASH] = ACTIONS(3274),
    [anon_sym_LT] = ACTIONS(3274),
    [anon_sym_TILDE] = ACTIONS(3274),
    [anon_sym_void] = ACTIONS(3274),
    [anon_sym_delete] = ACTIONS(3274),
    [anon_sym_PLUS_PLUS] = ACTIONS(3274),
    [anon_sym_DASH_DASH] = ACTIONS(3274),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3274),
    [sym_number] = ACTIONS(3274),
    [sym_private_property_identifier] = ACTIONS(3274),
    [sym_this] = ACTIONS(3274),
    [sym_super] = ACTIONS(3274),
    [sym_true] = ACTIONS(3274),
    [sym_false] = ACTIONS(3274),
    [sym_null] = ACTIONS(3274),
    [sym_undefined] = ACTIONS(3274),
    [anon_sym_AT] = ACTIONS(3274),
    [anon_sym_static] = ACTIONS(3274),
    [anon_sym_readonly] = ACTIONS(3274),
    [anon_sym_get] = ACTIONS(3274),
    [anon_sym_set] = ACTIONS(3274),
    [anon_sym_declare] = ACTIONS(3274),
    [anon_sym_public] = ACTIONS(3274),
    [anon_sym_private] = ACTIONS(3274),
    [anon_sym_protected] = ACTIONS(3274),
    [anon_sym_override] = ACTIONS(3274),
    [anon_sym_module] = ACTIONS(3274),
    [anon_sym_any] = ACTIONS(3274),
    [anon_sym_number] = ACTIONS(3274),
    [anon_sym_boolean] = ACTIONS(3274),
    [anon_sym_string] = ACTIONS(3274),
    [anon_sym_symbol] = ACTIONS(3274),
    [anon_sym_object] = ACTIONS(3274),
    [anon_sym_abstract] = ACTIONS(3274),
    [anon_sym_interface] = ACTIONS(3274),
    [anon_sym_enum] = ACTIONS(3274),
    [sym_html_comment] = ACTIONS(5),
  },
  [1239] = {
    [sym_comment] = STATE(1239),
    [sym_identifier] = ACTIONS(3208),
    [anon_sym_export] = ACTIONS(3208),
    [anon_sym_default] = ACTIONS(3208),
    [anon_sym_type] = ACTIONS(3208),
    [anon_sym_namespace] = ACTIONS(3208),
    [anon_sym_LBRACE] = ACTIONS(3208),
    [anon_sym_RBRACE] = ACTIONS(3208),
    [anon_sym_typeof] = ACTIONS(3208),
    [anon_sym_import] = ACTIONS(3208),
    [anon_sym_with] = ACTIONS(3208),
    [anon_sym_var] = ACTIONS(3208),
    [anon_sym_let] = ACTIONS(3208),
    [anon_sym_const] = ACTIONS(3208),
    [anon_sym_BANG] = ACTIONS(3208),
    [anon_sym_if] = ACTIONS(3208),
    [anon_sym_switch] = ACTIONS(3208),
    [anon_sym_for] = ACTIONS(3208),
    [anon_sym_LPAREN] = ACTIONS(3208),
    [anon_sym_await] = ACTIONS(3208),
    [anon_sym_while] = ACTIONS(3208),
    [anon_sym_do] = ACTIONS(3208),
    [anon_sym_try] = ACTIONS(3208),
    [anon_sym_break] = ACTIONS(3208),
    [anon_sym_continue] = ACTIONS(3208),
    [anon_sym_debugger] = ACTIONS(3208),
    [anon_sym_return] = ACTIONS(3208),
    [anon_sym_throw] = ACTIONS(3208),
    [anon_sym_SEMI] = ACTIONS(3208),
    [anon_sym_case] = ACTIONS(3208),
    [anon_sym_yield] = ACTIONS(3208),
    [anon_sym_LBRACK] = ACTIONS(3208),
    [anon_sym_LTtemplate_GT] = ACTIONS(3208),
    [anon_sym_DQUOTE] = ACTIONS(3208),
    [anon_sym_SQUOTE] = ACTIONS(3208),
    [anon_sym_class] = ACTIONS(3208),
    [anon_sym_async] = ACTIONS(3208),
    [anon_sym_function] = ACTIONS(3208),
    [anon_sym_new] = ACTIONS(3208),
    [anon_sym_using] = ACTIONS(3208),
    [anon_sym_PLUS] = ACTIONS(3208),
    [anon_sym_DASH] = ACTIONS(3208),
    [anon_sym_SLASH] = ACTIONS(3208),
    [anon_sym_LT] = ACTIONS(3208),
    [anon_sym_TILDE] = ACTIONS(3208),
    [anon_sym_void] = ACTIONS(3208),
    [anon_sym_delete] = ACTIONS(3208),
    [anon_sym_PLUS_PLUS] = ACTIONS(3208),
    [anon_sym_DASH_DASH] = ACTIONS(3208),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3208),
    [sym_number] = ACTIONS(3208),
    [sym_private_property_identifier] = ACTIONS(3208),
    [sym_this] = ACTIONS(3208),
    [sym_super] = ACTIONS(3208),
    [sym_true] = ACTIONS(3208),
    [sym_false] = ACTIONS(3208),
    [sym_null] = ACTIONS(3208),
    [sym_undefined] = ACTIONS(3208),
    [anon_sym_AT] = ACTIONS(3208),
    [anon_sym_static] = ACTIONS(3208),
    [anon_sym_readonly] = ACTIONS(3208),
    [anon_sym_get] = ACTIONS(3208),
    [anon_sym_set] = ACTIONS(3208),
    [anon_sym_declare] = ACTIONS(3208),
    [anon_sym_public] = ACTIONS(3208),
    [anon_sym_private] = ACTIONS(3208),
    [anon_sym_protected] = ACTIONS(3208),
    [anon_sym_override] = ACTIONS(3208),
    [anon_sym_module] = ACTIONS(3208),
    [anon_sym_any] = ACTIONS(3208),
    [anon_sym_number] = ACTIONS(3208),
    [anon_sym_boolean] = ACTIONS(3208),
    [anon_sym_string] = ACTIONS(3208),
    [anon_sym_symbol] = ACTIONS(3208),
    [anon_sym_object] = ACTIONS(3208),
    [anon_sym_abstract] = ACTIONS(3208),
    [anon_sym_interface] = ACTIONS(3208),
    [anon_sym_enum] = ACTIONS(3208),
    [sym_html_comment] = ACTIONS(5),
  },
  [1240] = {
    [sym_comment] = STATE(1240),
    [ts_builtin_sym_end] = ACTIONS(3318),
    [sym_identifier] = ACTIONS(3066),
    [anon_sym_export] = ACTIONS(3066),
    [anon_sym_type] = ACTIONS(3066),
    [anon_sym_namespace] = ACTIONS(3066),
    [anon_sym_LBRACE] = ACTIONS(3066),
    [anon_sym_RBRACE] = ACTIONS(3066),
    [anon_sym_typeof] = ACTIONS(3066),
    [anon_sym_import] = ACTIONS(3066),
    [anon_sym_with] = ACTIONS(3066),
    [anon_sym_var] = ACTIONS(3066),
    [anon_sym_let] = ACTIONS(3066),
    [anon_sym_const] = ACTIONS(3066),
    [anon_sym_BANG] = ACTIONS(3066),
    [anon_sym_if] = ACTIONS(3066),
    [anon_sym_switch] = ACTIONS(3066),
    [anon_sym_for] = ACTIONS(3066),
    [anon_sym_LPAREN] = ACTIONS(3066),
    [anon_sym_await] = ACTIONS(3066),
    [anon_sym_while] = ACTIONS(3066),
    [anon_sym_do] = ACTIONS(3066),
    [anon_sym_try] = ACTIONS(3066),
    [anon_sym_break] = ACTIONS(3066),
    [anon_sym_continue] = ACTIONS(3066),
    [anon_sym_debugger] = ACTIONS(3066),
    [anon_sym_return] = ACTIONS(3066),
    [anon_sym_throw] = ACTIONS(3066),
    [anon_sym_SEMI] = ACTIONS(3066),
    [anon_sym_finally] = ACTIONS(3066),
    [anon_sym_yield] = ACTIONS(3066),
    [anon_sym_LBRACK] = ACTIONS(3066),
    [anon_sym_LTtemplate_GT] = ACTIONS(3066),
    [anon_sym_DQUOTE] = ACTIONS(3066),
    [anon_sym_SQUOTE] = ACTIONS(3066),
    [anon_sym_class] = ACTIONS(3066),
    [anon_sym_async] = ACTIONS(3066),
    [anon_sym_function] = ACTIONS(3066),
    [anon_sym_new] = ACTIONS(3066),
    [anon_sym_using] = ACTIONS(3066),
    [anon_sym_PLUS] = ACTIONS(3066),
    [anon_sym_DASH] = ACTIONS(3066),
    [anon_sym_SLASH] = ACTIONS(3066),
    [anon_sym_LT] = ACTIONS(3066),
    [anon_sym_TILDE] = ACTIONS(3066),
    [anon_sym_void] = ACTIONS(3066),
    [anon_sym_delete] = ACTIONS(3066),
    [anon_sym_PLUS_PLUS] = ACTIONS(3066),
    [anon_sym_DASH_DASH] = ACTIONS(3066),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3066),
    [sym_number] = ACTIONS(3066),
    [sym_private_property_identifier] = ACTIONS(3066),
    [sym_this] = ACTIONS(3066),
    [sym_super] = ACTIONS(3066),
    [sym_true] = ACTIONS(3066),
    [sym_false] = ACTIONS(3066),
    [sym_null] = ACTIONS(3066),
    [sym_undefined] = ACTIONS(3066),
    [anon_sym_AT] = ACTIONS(3066),
    [anon_sym_static] = ACTIONS(3066),
    [anon_sym_readonly] = ACTIONS(3066),
    [anon_sym_get] = ACTIONS(3066),
    [anon_sym_set] = ACTIONS(3066),
    [anon_sym_declare] = ACTIONS(3066),
    [anon_sym_public] = ACTIONS(3066),
    [anon_sym_private] = ACTIONS(3066),
    [anon_sym_protected] = ACTIONS(3066),
    [anon_sym_override] = ACTIONS(3066),
    [anon_sym_module] = ACTIONS(3066),
    [anon_sym_any] = ACTIONS(3066),
    [anon_sym_number] = ACTIONS(3066),
    [anon_sym_boolean] = ACTIONS(3066),
    [anon_sym_string] = ACTIONS(3066),
    [anon_sym_symbol] = ACTIONS(3066),
    [anon_sym_object] = ACTIONS(3066),
    [anon_sym_abstract] = ACTIONS(3066),
    [anon_sym_interface] = ACTIONS(3066),
    [anon_sym_enum] = ACTIONS(3066),
    [sym_html_comment] = ACTIONS(5),
  },
  [1241] = {
    [sym_comment] = STATE(1241),
    [ts_builtin_sym_end] = ACTIONS(3394),
    [sym_identifier] = ACTIONS(3272),
    [anon_sym_export] = ACTIONS(3272),
    [anon_sym_type] = ACTIONS(3272),
    [anon_sym_namespace] = ACTIONS(3272),
    [anon_sym_LBRACE] = ACTIONS(3272),
    [anon_sym_RBRACE] = ACTIONS(3272),
    [anon_sym_typeof] = ACTIONS(3272),
    [anon_sym_import] = ACTIONS(3272),
    [anon_sym_with] = ACTIONS(3272),
    [anon_sym_var] = ACTIONS(3272),
    [anon_sym_let] = ACTIONS(3272),
    [anon_sym_const] = ACTIONS(3272),
    [anon_sym_BANG] = ACTIONS(3272),
    [anon_sym_else] = ACTIONS(3272),
    [anon_sym_if] = ACTIONS(3272),
    [anon_sym_switch] = ACTIONS(3272),
    [anon_sym_for] = ACTIONS(3272),
    [anon_sym_LPAREN] = ACTIONS(3272),
    [anon_sym_await] = ACTIONS(3272),
    [anon_sym_while] = ACTIONS(3272),
    [anon_sym_do] = ACTIONS(3272),
    [anon_sym_try] = ACTIONS(3272),
    [anon_sym_break] = ACTIONS(3272),
    [anon_sym_continue] = ACTIONS(3272),
    [anon_sym_debugger] = ACTIONS(3272),
    [anon_sym_return] = ACTIONS(3272),
    [anon_sym_throw] = ACTIONS(3272),
    [anon_sym_SEMI] = ACTIONS(3272),
    [anon_sym_yield] = ACTIONS(3272),
    [anon_sym_LBRACK] = ACTIONS(3272),
    [anon_sym_LTtemplate_GT] = ACTIONS(3272),
    [anon_sym_DQUOTE] = ACTIONS(3272),
    [anon_sym_SQUOTE] = ACTIONS(3272),
    [anon_sym_class] = ACTIONS(3272),
    [anon_sym_async] = ACTIONS(3272),
    [anon_sym_function] = ACTIONS(3272),
    [anon_sym_new] = ACTIONS(3272),
    [anon_sym_using] = ACTIONS(3272),
    [anon_sym_PLUS] = ACTIONS(3272),
    [anon_sym_DASH] = ACTIONS(3272),
    [anon_sym_SLASH] = ACTIONS(3272),
    [anon_sym_LT] = ACTIONS(3272),
    [anon_sym_TILDE] = ACTIONS(3272),
    [anon_sym_void] = ACTIONS(3272),
    [anon_sym_delete] = ACTIONS(3272),
    [anon_sym_PLUS_PLUS] = ACTIONS(3272),
    [anon_sym_DASH_DASH] = ACTIONS(3272),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3272),
    [sym_number] = ACTIONS(3272),
    [sym_private_property_identifier] = ACTIONS(3272),
    [sym_this] = ACTIONS(3272),
    [sym_super] = ACTIONS(3272),
    [sym_true] = ACTIONS(3272),
    [sym_false] = ACTIONS(3272),
    [sym_null] = ACTIONS(3272),
    [sym_undefined] = ACTIONS(3272),
    [anon_sym_AT] = ACTIONS(3272),
    [anon_sym_static] = ACTIONS(3272),
    [anon_sym_readonly] = ACTIONS(3272),
    [anon_sym_get] = ACTIONS(3272),
    [anon_sym_set] = ACTIONS(3272),
    [anon_sym_declare] = ACTIONS(3272),
    [anon_sym_public] = ACTIONS(3272),
    [anon_sym_private] = ACTIONS(3272),
    [anon_sym_protected] = ACTIONS(3272),
    [anon_sym_override] = ACTIONS(3272),
    [anon_sym_module] = ACTIONS(3272),
    [anon_sym_any] = ACTIONS(3272),
    [anon_sym_number] = ACTIONS(3272),
    [anon_sym_boolean] = ACTIONS(3272),
    [anon_sym_string] = ACTIONS(3272),
    [anon_sym_symbol] = ACTIONS(3272),
    [anon_sym_object] = ACTIONS(3272),
    [anon_sym_abstract] = ACTIONS(3272),
    [anon_sym_interface] = ACTIONS(3272),
    [anon_sym_enum] = ACTIONS(3272),
    [sym_html_comment] = ACTIONS(5),
  },
  [1242] = {
    [sym_comment] = STATE(1242),
    [sym_identifier] = ACTIONS(3206),
    [anon_sym_export] = ACTIONS(3206),
    [anon_sym_default] = ACTIONS(3206),
    [anon_sym_type] = ACTIONS(3206),
    [anon_sym_namespace] = ACTIONS(3206),
    [anon_sym_LBRACE] = ACTIONS(3206),
    [anon_sym_RBRACE] = ACTIONS(3206),
    [anon_sym_typeof] = ACTIONS(3206),
    [anon_sym_import] = ACTIONS(3206),
    [anon_sym_with] = ACTIONS(3206),
    [anon_sym_var] = ACTIONS(3206),
    [anon_sym_let] = ACTIONS(3206),
    [anon_sym_const] = ACTIONS(3206),
    [anon_sym_BANG] = ACTIONS(3206),
    [anon_sym_if] = ACTIONS(3206),
    [anon_sym_switch] = ACTIONS(3206),
    [anon_sym_for] = ACTIONS(3206),
    [anon_sym_LPAREN] = ACTIONS(3206),
    [anon_sym_await] = ACTIONS(3206),
    [anon_sym_while] = ACTIONS(3206),
    [anon_sym_do] = ACTIONS(3206),
    [anon_sym_try] = ACTIONS(3206),
    [anon_sym_break] = ACTIONS(3206),
    [anon_sym_continue] = ACTIONS(3206),
    [anon_sym_debugger] = ACTIONS(3206),
    [anon_sym_return] = ACTIONS(3206),
    [anon_sym_throw] = ACTIONS(3206),
    [anon_sym_SEMI] = ACTIONS(3206),
    [anon_sym_case] = ACTIONS(3206),
    [anon_sym_yield] = ACTIONS(3206),
    [anon_sym_LBRACK] = ACTIONS(3206),
    [anon_sym_LTtemplate_GT] = ACTIONS(3206),
    [anon_sym_DQUOTE] = ACTIONS(3206),
    [anon_sym_SQUOTE] = ACTIONS(3206),
    [anon_sym_class] = ACTIONS(3206),
    [anon_sym_async] = ACTIONS(3206),
    [anon_sym_function] = ACTIONS(3206),
    [anon_sym_new] = ACTIONS(3206),
    [anon_sym_using] = ACTIONS(3206),
    [anon_sym_PLUS] = ACTIONS(3206),
    [anon_sym_DASH] = ACTIONS(3206),
    [anon_sym_SLASH] = ACTIONS(3206),
    [anon_sym_LT] = ACTIONS(3206),
    [anon_sym_TILDE] = ACTIONS(3206),
    [anon_sym_void] = ACTIONS(3206),
    [anon_sym_delete] = ACTIONS(3206),
    [anon_sym_PLUS_PLUS] = ACTIONS(3206),
    [anon_sym_DASH_DASH] = ACTIONS(3206),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3206),
    [sym_number] = ACTIONS(3206),
    [sym_private_property_identifier] = ACTIONS(3206),
    [sym_this] = ACTIONS(3206),
    [sym_super] = ACTIONS(3206),
    [sym_true] = ACTIONS(3206),
    [sym_false] = ACTIONS(3206),
    [sym_null] = ACTIONS(3206),
    [sym_undefined] = ACTIONS(3206),
    [anon_sym_AT] = ACTIONS(3206),
    [anon_sym_static] = ACTIONS(3206),
    [anon_sym_readonly] = ACTIONS(3206),
    [anon_sym_get] = ACTIONS(3206),
    [anon_sym_set] = ACTIONS(3206),
    [anon_sym_declare] = ACTIONS(3206),
    [anon_sym_public] = ACTIONS(3206),
    [anon_sym_private] = ACTIONS(3206),
    [anon_sym_protected] = ACTIONS(3206),
    [anon_sym_override] = ACTIONS(3206),
    [anon_sym_module] = ACTIONS(3206),
    [anon_sym_any] = ACTIONS(3206),
    [anon_sym_number] = ACTIONS(3206),
    [anon_sym_boolean] = ACTIONS(3206),
    [anon_sym_string] = ACTIONS(3206),
    [anon_sym_symbol] = ACTIONS(3206),
    [anon_sym_object] = ACTIONS(3206),
    [anon_sym_abstract] = ACTIONS(3206),
    [anon_sym_interface] = ACTIONS(3206),
    [anon_sym_enum] = ACTIONS(3206),
    [sym_html_comment] = ACTIONS(5),
  },
  [1243] = {
    [sym_comment] = STATE(1243),
    [sym_identifier] = ACTIONS(3204),
    [anon_sym_export] = ACTIONS(3204),
    [anon_sym_default] = ACTIONS(3204),
    [anon_sym_type] = ACTIONS(3204),
    [anon_sym_namespace] = ACTIONS(3204),
    [anon_sym_LBRACE] = ACTIONS(3204),
    [anon_sym_RBRACE] = ACTIONS(3204),
    [anon_sym_typeof] = ACTIONS(3204),
    [anon_sym_import] = ACTIONS(3204),
    [anon_sym_with] = ACTIONS(3204),
    [anon_sym_var] = ACTIONS(3204),
    [anon_sym_let] = ACTIONS(3204),
    [anon_sym_const] = ACTIONS(3204),
    [anon_sym_BANG] = ACTIONS(3204),
    [anon_sym_if] = ACTIONS(3204),
    [anon_sym_switch] = ACTIONS(3204),
    [anon_sym_for] = ACTIONS(3204),
    [anon_sym_LPAREN] = ACTIONS(3204),
    [anon_sym_await] = ACTIONS(3204),
    [anon_sym_while] = ACTIONS(3204),
    [anon_sym_do] = ACTIONS(3204),
    [anon_sym_try] = ACTIONS(3204),
    [anon_sym_break] = ACTIONS(3204),
    [anon_sym_continue] = ACTIONS(3204),
    [anon_sym_debugger] = ACTIONS(3204),
    [anon_sym_return] = ACTIONS(3204),
    [anon_sym_throw] = ACTIONS(3204),
    [anon_sym_SEMI] = ACTIONS(3204),
    [anon_sym_case] = ACTIONS(3204),
    [anon_sym_yield] = ACTIONS(3204),
    [anon_sym_LBRACK] = ACTIONS(3204),
    [anon_sym_LTtemplate_GT] = ACTIONS(3204),
    [anon_sym_DQUOTE] = ACTIONS(3204),
    [anon_sym_SQUOTE] = ACTIONS(3204),
    [anon_sym_class] = ACTIONS(3204),
    [anon_sym_async] = ACTIONS(3204),
    [anon_sym_function] = ACTIONS(3204),
    [anon_sym_new] = ACTIONS(3204),
    [anon_sym_using] = ACTIONS(3204),
    [anon_sym_PLUS] = ACTIONS(3204),
    [anon_sym_DASH] = ACTIONS(3204),
    [anon_sym_SLASH] = ACTIONS(3204),
    [anon_sym_LT] = ACTIONS(3204),
    [anon_sym_TILDE] = ACTIONS(3204),
    [anon_sym_void] = ACTIONS(3204),
    [anon_sym_delete] = ACTIONS(3204),
    [anon_sym_PLUS_PLUS] = ACTIONS(3204),
    [anon_sym_DASH_DASH] = ACTIONS(3204),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3204),
    [sym_number] = ACTIONS(3204),
    [sym_private_property_identifier] = ACTIONS(3204),
    [sym_this] = ACTIONS(3204),
    [sym_super] = ACTIONS(3204),
    [sym_true] = ACTIONS(3204),
    [sym_false] = ACTIONS(3204),
    [sym_null] = ACTIONS(3204),
    [sym_undefined] = ACTIONS(3204),
    [anon_sym_AT] = ACTIONS(3204),
    [anon_sym_static] = ACTIONS(3204),
    [anon_sym_readonly] = ACTIONS(3204),
    [anon_sym_get] = ACTIONS(3204),
    [anon_sym_set] = ACTIONS(3204),
    [anon_sym_declare] = ACTIONS(3204),
    [anon_sym_public] = ACTIONS(3204),
    [anon_sym_private] = ACTIONS(3204),
    [anon_sym_protected] = ACTIONS(3204),
    [anon_sym_override] = ACTIONS(3204),
    [anon_sym_module] = ACTIONS(3204),
    [anon_sym_any] = ACTIONS(3204),
    [anon_sym_number] = ACTIONS(3204),
    [anon_sym_boolean] = ACTIONS(3204),
    [anon_sym_string] = ACTIONS(3204),
    [anon_sym_symbol] = ACTIONS(3204),
    [anon_sym_object] = ACTIONS(3204),
    [anon_sym_abstract] = ACTIONS(3204),
    [anon_sym_interface] = ACTIONS(3204),
    [anon_sym_enum] = ACTIONS(3204),
    [sym_html_comment] = ACTIONS(5),
  },
  [1244] = {
    [sym_comment] = STATE(1244),
    [sym_identifier] = ACTIONS(3202),
    [anon_sym_export] = ACTIONS(3202),
    [anon_sym_default] = ACTIONS(3202),
    [anon_sym_type] = ACTIONS(3202),
    [anon_sym_namespace] = ACTIONS(3202),
    [anon_sym_LBRACE] = ACTIONS(3202),
    [anon_sym_RBRACE] = ACTIONS(3202),
    [anon_sym_typeof] = ACTIONS(3202),
    [anon_sym_import] = ACTIONS(3202),
    [anon_sym_with] = ACTIONS(3202),
    [anon_sym_var] = ACTIONS(3202),
    [anon_sym_let] = ACTIONS(3202),
    [anon_sym_const] = ACTIONS(3202),
    [anon_sym_BANG] = ACTIONS(3202),
    [anon_sym_if] = ACTIONS(3202),
    [anon_sym_switch] = ACTIONS(3202),
    [anon_sym_for] = ACTIONS(3202),
    [anon_sym_LPAREN] = ACTIONS(3202),
    [anon_sym_await] = ACTIONS(3202),
    [anon_sym_while] = ACTIONS(3202),
    [anon_sym_do] = ACTIONS(3202),
    [anon_sym_try] = ACTIONS(3202),
    [anon_sym_break] = ACTIONS(3202),
    [anon_sym_continue] = ACTIONS(3202),
    [anon_sym_debugger] = ACTIONS(3202),
    [anon_sym_return] = ACTIONS(3202),
    [anon_sym_throw] = ACTIONS(3202),
    [anon_sym_SEMI] = ACTIONS(3202),
    [anon_sym_case] = ACTIONS(3202),
    [anon_sym_yield] = ACTIONS(3202),
    [anon_sym_LBRACK] = ACTIONS(3202),
    [anon_sym_LTtemplate_GT] = ACTIONS(3202),
    [anon_sym_DQUOTE] = ACTIONS(3202),
    [anon_sym_SQUOTE] = ACTIONS(3202),
    [anon_sym_class] = ACTIONS(3202),
    [anon_sym_async] = ACTIONS(3202),
    [anon_sym_function] = ACTIONS(3202),
    [anon_sym_new] = ACTIONS(3202),
    [anon_sym_using] = ACTIONS(3202),
    [anon_sym_PLUS] = ACTIONS(3202),
    [anon_sym_DASH] = ACTIONS(3202),
    [anon_sym_SLASH] = ACTIONS(3202),
    [anon_sym_LT] = ACTIONS(3202),
    [anon_sym_TILDE] = ACTIONS(3202),
    [anon_sym_void] = ACTIONS(3202),
    [anon_sym_delete] = ACTIONS(3202),
    [anon_sym_PLUS_PLUS] = ACTIONS(3202),
    [anon_sym_DASH_DASH] = ACTIONS(3202),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3202),
    [sym_number] = ACTIONS(3202),
    [sym_private_property_identifier] = ACTIONS(3202),
    [sym_this] = ACTIONS(3202),
    [sym_super] = ACTIONS(3202),
    [sym_true] = ACTIONS(3202),
    [sym_false] = ACTIONS(3202),
    [sym_null] = ACTIONS(3202),
    [sym_undefined] = ACTIONS(3202),
    [anon_sym_AT] = ACTIONS(3202),
    [anon_sym_static] = ACTIONS(3202),
    [anon_sym_readonly] = ACTIONS(3202),
    [anon_sym_get] = ACTIONS(3202),
    [anon_sym_set] = ACTIONS(3202),
    [anon_sym_declare] = ACTIONS(3202),
    [anon_sym_public] = ACTIONS(3202),
    [anon_sym_private] = ACTIONS(3202),
    [anon_sym_protected] = ACTIONS(3202),
    [anon_sym_override] = ACTIONS(3202),
    [anon_sym_module] = ACTIONS(3202),
    [anon_sym_any] = ACTIONS(3202),
    [anon_sym_number] = ACTIONS(3202),
    [anon_sym_boolean] = ACTIONS(3202),
    [anon_sym_string] = ACTIONS(3202),
    [anon_sym_symbol] = ACTIONS(3202),
    [anon_sym_object] = ACTIONS(3202),
    [anon_sym_abstract] = ACTIONS(3202),
    [anon_sym_interface] = ACTIONS(3202),
    [anon_sym_enum] = ACTIONS(3202),
    [sym_html_comment] = ACTIONS(5),
  },
  [1245] = {
    [sym_comment] = STATE(1245),
    [sym_identifier] = ACTIONS(3200),
    [anon_sym_export] = ACTIONS(3200),
    [anon_sym_default] = ACTIONS(3200),
    [anon_sym_type] = ACTIONS(3200),
    [anon_sym_namespace] = ACTIONS(3200),
    [anon_sym_LBRACE] = ACTIONS(3200),
    [anon_sym_RBRACE] = ACTIONS(3200),
    [anon_sym_typeof] = ACTIONS(3200),
    [anon_sym_import] = ACTIONS(3200),
    [anon_sym_with] = ACTIONS(3200),
    [anon_sym_var] = ACTIONS(3200),
    [anon_sym_let] = ACTIONS(3200),
    [anon_sym_const] = ACTIONS(3200),
    [anon_sym_BANG] = ACTIONS(3200),
    [anon_sym_if] = ACTIONS(3200),
    [anon_sym_switch] = ACTIONS(3200),
    [anon_sym_for] = ACTIONS(3200),
    [anon_sym_LPAREN] = ACTIONS(3200),
    [anon_sym_await] = ACTIONS(3200),
    [anon_sym_while] = ACTIONS(3200),
    [anon_sym_do] = ACTIONS(3200),
    [anon_sym_try] = ACTIONS(3200),
    [anon_sym_break] = ACTIONS(3200),
    [anon_sym_continue] = ACTIONS(3200),
    [anon_sym_debugger] = ACTIONS(3200),
    [anon_sym_return] = ACTIONS(3200),
    [anon_sym_throw] = ACTIONS(3200),
    [anon_sym_SEMI] = ACTIONS(3200),
    [anon_sym_case] = ACTIONS(3200),
    [anon_sym_yield] = ACTIONS(3200),
    [anon_sym_LBRACK] = ACTIONS(3200),
    [anon_sym_LTtemplate_GT] = ACTIONS(3200),
    [anon_sym_DQUOTE] = ACTIONS(3200),
    [anon_sym_SQUOTE] = ACTIONS(3200),
    [anon_sym_class] = ACTIONS(3200),
    [anon_sym_async] = ACTIONS(3200),
    [anon_sym_function] = ACTIONS(3200),
    [anon_sym_new] = ACTIONS(3200),
    [anon_sym_using] = ACTIONS(3200),
    [anon_sym_PLUS] = ACTIONS(3200),
    [anon_sym_DASH] = ACTIONS(3200),
    [anon_sym_SLASH] = ACTIONS(3200),
    [anon_sym_LT] = ACTIONS(3200),
    [anon_sym_TILDE] = ACTIONS(3200),
    [anon_sym_void] = ACTIONS(3200),
    [anon_sym_delete] = ACTIONS(3200),
    [anon_sym_PLUS_PLUS] = ACTIONS(3200),
    [anon_sym_DASH_DASH] = ACTIONS(3200),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3200),
    [sym_number] = ACTIONS(3200),
    [sym_private_property_identifier] = ACTIONS(3200),
    [sym_this] = ACTIONS(3200),
    [sym_super] = ACTIONS(3200),
    [sym_true] = ACTIONS(3200),
    [sym_false] = ACTIONS(3200),
    [sym_null] = ACTIONS(3200),
    [sym_undefined] = ACTIONS(3200),
    [anon_sym_AT] = ACTIONS(3200),
    [anon_sym_static] = ACTIONS(3200),
    [anon_sym_readonly] = ACTIONS(3200),
    [anon_sym_get] = ACTIONS(3200),
    [anon_sym_set] = ACTIONS(3200),
    [anon_sym_declare] = ACTIONS(3200),
    [anon_sym_public] = ACTIONS(3200),
    [anon_sym_private] = ACTIONS(3200),
    [anon_sym_protected] = ACTIONS(3200),
    [anon_sym_override] = ACTIONS(3200),
    [anon_sym_module] = ACTIONS(3200),
    [anon_sym_any] = ACTIONS(3200),
    [anon_sym_number] = ACTIONS(3200),
    [anon_sym_boolean] = ACTIONS(3200),
    [anon_sym_string] = ACTIONS(3200),
    [anon_sym_symbol] = ACTIONS(3200),
    [anon_sym_object] = ACTIONS(3200),
    [anon_sym_abstract] = ACTIONS(3200),
    [anon_sym_interface] = ACTIONS(3200),
    [anon_sym_enum] = ACTIONS(3200),
    [sym_html_comment] = ACTIONS(5),
  },
  [1246] = {
    [sym_comment] = STATE(1246),
    [sym_identifier] = ACTIONS(3198),
    [anon_sym_export] = ACTIONS(3198),
    [anon_sym_default] = ACTIONS(3198),
    [anon_sym_type] = ACTIONS(3198),
    [anon_sym_namespace] = ACTIONS(3198),
    [anon_sym_LBRACE] = ACTIONS(3198),
    [anon_sym_RBRACE] = ACTIONS(3198),
    [anon_sym_typeof] = ACTIONS(3198),
    [anon_sym_import] = ACTIONS(3198),
    [anon_sym_with] = ACTIONS(3198),
    [anon_sym_var] = ACTIONS(3198),
    [anon_sym_let] = ACTIONS(3198),
    [anon_sym_const] = ACTIONS(3198),
    [anon_sym_BANG] = ACTIONS(3198),
    [anon_sym_if] = ACTIONS(3198),
    [anon_sym_switch] = ACTIONS(3198),
    [anon_sym_for] = ACTIONS(3198),
    [anon_sym_LPAREN] = ACTIONS(3198),
    [anon_sym_await] = ACTIONS(3198),
    [anon_sym_while] = ACTIONS(3198),
    [anon_sym_do] = ACTIONS(3198),
    [anon_sym_try] = ACTIONS(3198),
    [anon_sym_break] = ACTIONS(3198),
    [anon_sym_continue] = ACTIONS(3198),
    [anon_sym_debugger] = ACTIONS(3198),
    [anon_sym_return] = ACTIONS(3198),
    [anon_sym_throw] = ACTIONS(3198),
    [anon_sym_SEMI] = ACTIONS(3198),
    [anon_sym_case] = ACTIONS(3198),
    [anon_sym_yield] = ACTIONS(3198),
    [anon_sym_LBRACK] = ACTIONS(3198),
    [anon_sym_LTtemplate_GT] = ACTIONS(3198),
    [anon_sym_DQUOTE] = ACTIONS(3198),
    [anon_sym_SQUOTE] = ACTIONS(3198),
    [anon_sym_class] = ACTIONS(3198),
    [anon_sym_async] = ACTIONS(3198),
    [anon_sym_function] = ACTIONS(3198),
    [anon_sym_new] = ACTIONS(3198),
    [anon_sym_using] = ACTIONS(3198),
    [anon_sym_PLUS] = ACTIONS(3198),
    [anon_sym_DASH] = ACTIONS(3198),
    [anon_sym_SLASH] = ACTIONS(3198),
    [anon_sym_LT] = ACTIONS(3198),
    [anon_sym_TILDE] = ACTIONS(3198),
    [anon_sym_void] = ACTIONS(3198),
    [anon_sym_delete] = ACTIONS(3198),
    [anon_sym_PLUS_PLUS] = ACTIONS(3198),
    [anon_sym_DASH_DASH] = ACTIONS(3198),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3198),
    [sym_number] = ACTIONS(3198),
    [sym_private_property_identifier] = ACTIONS(3198),
    [sym_this] = ACTIONS(3198),
    [sym_super] = ACTIONS(3198),
    [sym_true] = ACTIONS(3198),
    [sym_false] = ACTIONS(3198),
    [sym_null] = ACTIONS(3198),
    [sym_undefined] = ACTIONS(3198),
    [anon_sym_AT] = ACTIONS(3198),
    [anon_sym_static] = ACTIONS(3198),
    [anon_sym_readonly] = ACTIONS(3198),
    [anon_sym_get] = ACTIONS(3198),
    [anon_sym_set] = ACTIONS(3198),
    [anon_sym_declare] = ACTIONS(3198),
    [anon_sym_public] = ACTIONS(3198),
    [anon_sym_private] = ACTIONS(3198),
    [anon_sym_protected] = ACTIONS(3198),
    [anon_sym_override] = ACTIONS(3198),
    [anon_sym_module] = ACTIONS(3198),
    [anon_sym_any] = ACTIONS(3198),
    [anon_sym_number] = ACTIONS(3198),
    [anon_sym_boolean] = ACTIONS(3198),
    [anon_sym_string] = ACTIONS(3198),
    [anon_sym_symbol] = ACTIONS(3198),
    [anon_sym_object] = ACTIONS(3198),
    [anon_sym_abstract] = ACTIONS(3198),
    [anon_sym_interface] = ACTIONS(3198),
    [anon_sym_enum] = ACTIONS(3198),
    [sym_html_comment] = ACTIONS(5),
  },
  [1247] = {
    [sym_comment] = STATE(1247),
    [sym_identifier] = ACTIONS(3198),
    [anon_sym_export] = ACTIONS(3198),
    [anon_sym_default] = ACTIONS(3198),
    [anon_sym_type] = ACTIONS(3198),
    [anon_sym_namespace] = ACTIONS(3198),
    [anon_sym_LBRACE] = ACTIONS(3198),
    [anon_sym_RBRACE] = ACTIONS(3198),
    [anon_sym_typeof] = ACTIONS(3198),
    [anon_sym_import] = ACTIONS(3198),
    [anon_sym_with] = ACTIONS(3198),
    [anon_sym_var] = ACTIONS(3198),
    [anon_sym_let] = ACTIONS(3198),
    [anon_sym_const] = ACTIONS(3198),
    [anon_sym_BANG] = ACTIONS(3198),
    [anon_sym_if] = ACTIONS(3198),
    [anon_sym_switch] = ACTIONS(3198),
    [anon_sym_for] = ACTIONS(3198),
    [anon_sym_LPAREN] = ACTIONS(3198),
    [anon_sym_await] = ACTIONS(3198),
    [anon_sym_while] = ACTIONS(3198),
    [anon_sym_do] = ACTIONS(3198),
    [anon_sym_try] = ACTIONS(3198),
    [anon_sym_break] = ACTIONS(3198),
    [anon_sym_continue] = ACTIONS(3198),
    [anon_sym_debugger] = ACTIONS(3198),
    [anon_sym_return] = ACTIONS(3198),
    [anon_sym_throw] = ACTIONS(3198),
    [anon_sym_SEMI] = ACTIONS(3198),
    [anon_sym_case] = ACTIONS(3198),
    [anon_sym_yield] = ACTIONS(3198),
    [anon_sym_LBRACK] = ACTIONS(3198),
    [anon_sym_LTtemplate_GT] = ACTIONS(3198),
    [anon_sym_DQUOTE] = ACTIONS(3198),
    [anon_sym_SQUOTE] = ACTIONS(3198),
    [anon_sym_class] = ACTIONS(3198),
    [anon_sym_async] = ACTIONS(3198),
    [anon_sym_function] = ACTIONS(3198),
    [anon_sym_new] = ACTIONS(3198),
    [anon_sym_using] = ACTIONS(3198),
    [anon_sym_PLUS] = ACTIONS(3198),
    [anon_sym_DASH] = ACTIONS(3198),
    [anon_sym_SLASH] = ACTIONS(3198),
    [anon_sym_LT] = ACTIONS(3198),
    [anon_sym_TILDE] = ACTIONS(3198),
    [anon_sym_void] = ACTIONS(3198),
    [anon_sym_delete] = ACTIONS(3198),
    [anon_sym_PLUS_PLUS] = ACTIONS(3198),
    [anon_sym_DASH_DASH] = ACTIONS(3198),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3198),
    [sym_number] = ACTIONS(3198),
    [sym_private_property_identifier] = ACTIONS(3198),
    [sym_this] = ACTIONS(3198),
    [sym_super] = ACTIONS(3198),
    [sym_true] = ACTIONS(3198),
    [sym_false] = ACTIONS(3198),
    [sym_null] = ACTIONS(3198),
    [sym_undefined] = ACTIONS(3198),
    [anon_sym_AT] = ACTIONS(3198),
    [anon_sym_static] = ACTIONS(3198),
    [anon_sym_readonly] = ACTIONS(3198),
    [anon_sym_get] = ACTIONS(3198),
    [anon_sym_set] = ACTIONS(3198),
    [anon_sym_declare] = ACTIONS(3198),
    [anon_sym_public] = ACTIONS(3198),
    [anon_sym_private] = ACTIONS(3198),
    [anon_sym_protected] = ACTIONS(3198),
    [anon_sym_override] = ACTIONS(3198),
    [anon_sym_module] = ACTIONS(3198),
    [anon_sym_any] = ACTIONS(3198),
    [anon_sym_number] = ACTIONS(3198),
    [anon_sym_boolean] = ACTIONS(3198),
    [anon_sym_string] = ACTIONS(3198),
    [anon_sym_symbol] = ACTIONS(3198),
    [anon_sym_object] = ACTIONS(3198),
    [anon_sym_abstract] = ACTIONS(3198),
    [anon_sym_interface] = ACTIONS(3198),
    [anon_sym_enum] = ACTIONS(3198),
    [sym_html_comment] = ACTIONS(5),
  },
  [1248] = {
    [sym_comment] = STATE(1248),
    [ts_builtin_sym_end] = ACTIONS(3396),
    [sym_identifier] = ACTIONS(3156),
    [anon_sym_export] = ACTIONS(3156),
    [anon_sym_type] = ACTIONS(3156),
    [anon_sym_namespace] = ACTIONS(3156),
    [anon_sym_LBRACE] = ACTIONS(3156),
    [anon_sym_RBRACE] = ACTIONS(3156),
    [anon_sym_typeof] = ACTIONS(3156),
    [anon_sym_import] = ACTIONS(3156),
    [anon_sym_with] = ACTIONS(3156),
    [anon_sym_var] = ACTIONS(3156),
    [anon_sym_let] = ACTIONS(3156),
    [anon_sym_const] = ACTIONS(3156),
    [anon_sym_BANG] = ACTIONS(3156),
    [anon_sym_else] = ACTIONS(3156),
    [anon_sym_if] = ACTIONS(3156),
    [anon_sym_switch] = ACTIONS(3156),
    [anon_sym_for] = ACTIONS(3156),
    [anon_sym_LPAREN] = ACTIONS(3156),
    [anon_sym_await] = ACTIONS(3156),
    [anon_sym_while] = ACTIONS(3156),
    [anon_sym_do] = ACTIONS(3156),
    [anon_sym_try] = ACTIONS(3156),
    [anon_sym_break] = ACTIONS(3156),
    [anon_sym_continue] = ACTIONS(3156),
    [anon_sym_debugger] = ACTIONS(3156),
    [anon_sym_return] = ACTIONS(3156),
    [anon_sym_throw] = ACTIONS(3156),
    [anon_sym_SEMI] = ACTIONS(3156),
    [anon_sym_yield] = ACTIONS(3156),
    [anon_sym_LBRACK] = ACTIONS(3156),
    [anon_sym_LTtemplate_GT] = ACTIONS(3156),
    [anon_sym_DQUOTE] = ACTIONS(3156),
    [anon_sym_SQUOTE] = ACTIONS(3156),
    [anon_sym_class] = ACTIONS(3156),
    [anon_sym_async] = ACTIONS(3156),
    [anon_sym_function] = ACTIONS(3156),
    [anon_sym_new] = ACTIONS(3156),
    [anon_sym_using] = ACTIONS(3156),
    [anon_sym_PLUS] = ACTIONS(3156),
    [anon_sym_DASH] = ACTIONS(3156),
    [anon_sym_SLASH] = ACTIONS(3156),
    [anon_sym_LT] = ACTIONS(3156),
    [anon_sym_TILDE] = ACTIONS(3156),
    [anon_sym_void] = ACTIONS(3156),
    [anon_sym_delete] = ACTIONS(3156),
    [anon_sym_PLUS_PLUS] = ACTIONS(3156),
    [anon_sym_DASH_DASH] = ACTIONS(3156),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3156),
    [sym_number] = ACTIONS(3156),
    [sym_private_property_identifier] = ACTIONS(3156),
    [sym_this] = ACTIONS(3156),
    [sym_super] = ACTIONS(3156),
    [sym_true] = ACTIONS(3156),
    [sym_false] = ACTIONS(3156),
    [sym_null] = ACTIONS(3156),
    [sym_undefined] = ACTIONS(3156),
    [anon_sym_AT] = ACTIONS(3156),
    [anon_sym_static] = ACTIONS(3156),
    [anon_sym_readonly] = ACTIONS(3156),
    [anon_sym_get] = ACTIONS(3156),
    [anon_sym_set] = ACTIONS(3156),
    [anon_sym_declare] = ACTIONS(3156),
    [anon_sym_public] = ACTIONS(3156),
    [anon_sym_private] = ACTIONS(3156),
    [anon_sym_protected] = ACTIONS(3156),
    [anon_sym_override] = ACTIONS(3156),
    [anon_sym_module] = ACTIONS(3156),
    [anon_sym_any] = ACTIONS(3156),
    [anon_sym_number] = ACTIONS(3156),
    [anon_sym_boolean] = ACTIONS(3156),
    [anon_sym_string] = ACTIONS(3156),
    [anon_sym_symbol] = ACTIONS(3156),
    [anon_sym_object] = ACTIONS(3156),
    [anon_sym_abstract] = ACTIONS(3156),
    [anon_sym_interface] = ACTIONS(3156),
    [anon_sym_enum] = ACTIONS(3156),
    [sym_html_comment] = ACTIONS(5),
  },
  [1249] = {
    [sym_comment] = STATE(1249),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_export] = ACTIONS(3190),
    [anon_sym_default] = ACTIONS(3190),
    [anon_sym_type] = ACTIONS(3190),
    [anon_sym_namespace] = ACTIONS(3190),
    [anon_sym_LBRACE] = ACTIONS(3190),
    [anon_sym_RBRACE] = ACTIONS(3190),
    [anon_sym_typeof] = ACTIONS(3190),
    [anon_sym_import] = ACTIONS(3190),
    [anon_sym_with] = ACTIONS(3190),
    [anon_sym_var] = ACTIONS(3190),
    [anon_sym_let] = ACTIONS(3190),
    [anon_sym_const] = ACTIONS(3190),
    [anon_sym_BANG] = ACTIONS(3190),
    [anon_sym_if] = ACTIONS(3190),
    [anon_sym_switch] = ACTIONS(3190),
    [anon_sym_for] = ACTIONS(3190),
    [anon_sym_LPAREN] = ACTIONS(3190),
    [anon_sym_await] = ACTIONS(3190),
    [anon_sym_while] = ACTIONS(3190),
    [anon_sym_do] = ACTIONS(3190),
    [anon_sym_try] = ACTIONS(3190),
    [anon_sym_break] = ACTIONS(3190),
    [anon_sym_continue] = ACTIONS(3190),
    [anon_sym_debugger] = ACTIONS(3190),
    [anon_sym_return] = ACTIONS(3190),
    [anon_sym_throw] = ACTIONS(3190),
    [anon_sym_SEMI] = ACTIONS(3190),
    [anon_sym_case] = ACTIONS(3190),
    [anon_sym_yield] = ACTIONS(3190),
    [anon_sym_LBRACK] = ACTIONS(3190),
    [anon_sym_LTtemplate_GT] = ACTIONS(3190),
    [anon_sym_DQUOTE] = ACTIONS(3190),
    [anon_sym_SQUOTE] = ACTIONS(3190),
    [anon_sym_class] = ACTIONS(3190),
    [anon_sym_async] = ACTIONS(3190),
    [anon_sym_function] = ACTIONS(3190),
    [anon_sym_new] = ACTIONS(3190),
    [anon_sym_using] = ACTIONS(3190),
    [anon_sym_PLUS] = ACTIONS(3190),
    [anon_sym_DASH] = ACTIONS(3190),
    [anon_sym_SLASH] = ACTIONS(3190),
    [anon_sym_LT] = ACTIONS(3190),
    [anon_sym_TILDE] = ACTIONS(3190),
    [anon_sym_void] = ACTIONS(3190),
    [anon_sym_delete] = ACTIONS(3190),
    [anon_sym_PLUS_PLUS] = ACTIONS(3190),
    [anon_sym_DASH_DASH] = ACTIONS(3190),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3190),
    [sym_number] = ACTIONS(3190),
    [sym_private_property_identifier] = ACTIONS(3190),
    [sym_this] = ACTIONS(3190),
    [sym_super] = ACTIONS(3190),
    [sym_true] = ACTIONS(3190),
    [sym_false] = ACTIONS(3190),
    [sym_null] = ACTIONS(3190),
    [sym_undefined] = ACTIONS(3190),
    [anon_sym_AT] = ACTIONS(3190),
    [anon_sym_static] = ACTIONS(3190),
    [anon_sym_readonly] = ACTIONS(3190),
    [anon_sym_get] = ACTIONS(3190),
    [anon_sym_set] = ACTIONS(3190),
    [anon_sym_declare] = ACTIONS(3190),
    [anon_sym_public] = ACTIONS(3190),
    [anon_sym_private] = ACTIONS(3190),
    [anon_sym_protected] = ACTIONS(3190),
    [anon_sym_override] = ACTIONS(3190),
    [anon_sym_module] = ACTIONS(3190),
    [anon_sym_any] = ACTIONS(3190),
    [anon_sym_number] = ACTIONS(3190),
    [anon_sym_boolean] = ACTIONS(3190),
    [anon_sym_string] = ACTIONS(3190),
    [anon_sym_symbol] = ACTIONS(3190),
    [anon_sym_object] = ACTIONS(3190),
    [anon_sym_abstract] = ACTIONS(3190),
    [anon_sym_interface] = ACTIONS(3190),
    [anon_sym_enum] = ACTIONS(3190),
    [sym_html_comment] = ACTIONS(5),
  },
  [1250] = {
    [sym_comment] = STATE(1250),
    [sym_identifier] = ACTIONS(3186),
    [anon_sym_export] = ACTIONS(3186),
    [anon_sym_default] = ACTIONS(3186),
    [anon_sym_type] = ACTIONS(3186),
    [anon_sym_namespace] = ACTIONS(3186),
    [anon_sym_LBRACE] = ACTIONS(3186),
    [anon_sym_RBRACE] = ACTIONS(3186),
    [anon_sym_typeof] = ACTIONS(3186),
    [anon_sym_import] = ACTIONS(3186),
    [anon_sym_with] = ACTIONS(3186),
    [anon_sym_var] = ACTIONS(3186),
    [anon_sym_let] = ACTIONS(3186),
    [anon_sym_const] = ACTIONS(3186),
    [anon_sym_BANG] = ACTIONS(3186),
    [anon_sym_if] = ACTIONS(3186),
    [anon_sym_switch] = ACTIONS(3186),
    [anon_sym_for] = ACTIONS(3186),
    [anon_sym_LPAREN] = ACTIONS(3186),
    [anon_sym_await] = ACTIONS(3186),
    [anon_sym_while] = ACTIONS(3186),
    [anon_sym_do] = ACTIONS(3186),
    [anon_sym_try] = ACTIONS(3186),
    [anon_sym_break] = ACTIONS(3186),
    [anon_sym_continue] = ACTIONS(3186),
    [anon_sym_debugger] = ACTIONS(3186),
    [anon_sym_return] = ACTIONS(3186),
    [anon_sym_throw] = ACTIONS(3186),
    [anon_sym_SEMI] = ACTIONS(3186),
    [anon_sym_case] = ACTIONS(3186),
    [anon_sym_yield] = ACTIONS(3186),
    [anon_sym_LBRACK] = ACTIONS(3186),
    [anon_sym_LTtemplate_GT] = ACTIONS(3186),
    [anon_sym_DQUOTE] = ACTIONS(3186),
    [anon_sym_SQUOTE] = ACTIONS(3186),
    [anon_sym_class] = ACTIONS(3186),
    [anon_sym_async] = ACTIONS(3186),
    [anon_sym_function] = ACTIONS(3186),
    [anon_sym_new] = ACTIONS(3186),
    [anon_sym_using] = ACTIONS(3186),
    [anon_sym_PLUS] = ACTIONS(3186),
    [anon_sym_DASH] = ACTIONS(3186),
    [anon_sym_SLASH] = ACTIONS(3186),
    [anon_sym_LT] = ACTIONS(3186),
    [anon_sym_TILDE] = ACTIONS(3186),
    [anon_sym_void] = ACTIONS(3186),
    [anon_sym_delete] = ACTIONS(3186),
    [anon_sym_PLUS_PLUS] = ACTIONS(3186),
    [anon_sym_DASH_DASH] = ACTIONS(3186),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3186),
    [sym_number] = ACTIONS(3186),
    [sym_private_property_identifier] = ACTIONS(3186),
    [sym_this] = ACTIONS(3186),
    [sym_super] = ACTIONS(3186),
    [sym_true] = ACTIONS(3186),
    [sym_false] = ACTIONS(3186),
    [sym_null] = ACTIONS(3186),
    [sym_undefined] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(3186),
    [anon_sym_static] = ACTIONS(3186),
    [anon_sym_readonly] = ACTIONS(3186),
    [anon_sym_get] = ACTIONS(3186),
    [anon_sym_set] = ACTIONS(3186),
    [anon_sym_declare] = ACTIONS(3186),
    [anon_sym_public] = ACTIONS(3186),
    [anon_sym_private] = ACTIONS(3186),
    [anon_sym_protected] = ACTIONS(3186),
    [anon_sym_override] = ACTIONS(3186),
    [anon_sym_module] = ACTIONS(3186),
    [anon_sym_any] = ACTIONS(3186),
    [anon_sym_number] = ACTIONS(3186),
    [anon_sym_boolean] = ACTIONS(3186),
    [anon_sym_string] = ACTIONS(3186),
    [anon_sym_symbol] = ACTIONS(3186),
    [anon_sym_object] = ACTIONS(3186),
    [anon_sym_abstract] = ACTIONS(3186),
    [anon_sym_interface] = ACTIONS(3186),
    [anon_sym_enum] = ACTIONS(3186),
    [sym_html_comment] = ACTIONS(5),
  },
  [1251] = {
    [sym_comment] = STATE(1251),
    [ts_builtin_sym_end] = ACTIONS(3398),
    [sym_identifier] = ACTIONS(3270),
    [anon_sym_export] = ACTIONS(3270),
    [anon_sym_type] = ACTIONS(3270),
    [anon_sym_namespace] = ACTIONS(3270),
    [anon_sym_LBRACE] = ACTIONS(3270),
    [anon_sym_RBRACE] = ACTIONS(3270),
    [anon_sym_typeof] = ACTIONS(3270),
    [anon_sym_import] = ACTIONS(3270),
    [anon_sym_with] = ACTIONS(3270),
    [anon_sym_var] = ACTIONS(3270),
    [anon_sym_let] = ACTIONS(3270),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_BANG] = ACTIONS(3270),
    [anon_sym_else] = ACTIONS(3270),
    [anon_sym_if] = ACTIONS(3270),
    [anon_sym_switch] = ACTIONS(3270),
    [anon_sym_for] = ACTIONS(3270),
    [anon_sym_LPAREN] = ACTIONS(3270),
    [anon_sym_await] = ACTIONS(3270),
    [anon_sym_while] = ACTIONS(3270),
    [anon_sym_do] = ACTIONS(3270),
    [anon_sym_try] = ACTIONS(3270),
    [anon_sym_break] = ACTIONS(3270),
    [anon_sym_continue] = ACTIONS(3270),
    [anon_sym_debugger] = ACTIONS(3270),
    [anon_sym_return] = ACTIONS(3270),
    [anon_sym_throw] = ACTIONS(3270),
    [anon_sym_SEMI] = ACTIONS(3270),
    [anon_sym_yield] = ACTIONS(3270),
    [anon_sym_LBRACK] = ACTIONS(3270),
    [anon_sym_LTtemplate_GT] = ACTIONS(3270),
    [anon_sym_DQUOTE] = ACTIONS(3270),
    [anon_sym_SQUOTE] = ACTIONS(3270),
    [anon_sym_class] = ACTIONS(3270),
    [anon_sym_async] = ACTIONS(3270),
    [anon_sym_function] = ACTIONS(3270),
    [anon_sym_new] = ACTIONS(3270),
    [anon_sym_using] = ACTIONS(3270),
    [anon_sym_PLUS] = ACTIONS(3270),
    [anon_sym_DASH] = ACTIONS(3270),
    [anon_sym_SLASH] = ACTIONS(3270),
    [anon_sym_LT] = ACTIONS(3270),
    [anon_sym_TILDE] = ACTIONS(3270),
    [anon_sym_void] = ACTIONS(3270),
    [anon_sym_delete] = ACTIONS(3270),
    [anon_sym_PLUS_PLUS] = ACTIONS(3270),
    [anon_sym_DASH_DASH] = ACTIONS(3270),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3270),
    [sym_number] = ACTIONS(3270),
    [sym_private_property_identifier] = ACTIONS(3270),
    [sym_this] = ACTIONS(3270),
    [sym_super] = ACTIONS(3270),
    [sym_true] = ACTIONS(3270),
    [sym_false] = ACTIONS(3270),
    [sym_null] = ACTIONS(3270),
    [sym_undefined] = ACTIONS(3270),
    [anon_sym_AT] = ACTIONS(3270),
    [anon_sym_static] = ACTIONS(3270),
    [anon_sym_readonly] = ACTIONS(3270),
    [anon_sym_get] = ACTIONS(3270),
    [anon_sym_set] = ACTIONS(3270),
    [anon_sym_declare] = ACTIONS(3270),
    [anon_sym_public] = ACTIONS(3270),
    [anon_sym_private] = ACTIONS(3270),
    [anon_sym_protected] = ACTIONS(3270),
    [anon_sym_override] = ACTIONS(3270),
    [anon_sym_module] = ACTIONS(3270),
    [anon_sym_any] = ACTIONS(3270),
    [anon_sym_number] = ACTIONS(3270),
    [anon_sym_boolean] = ACTIONS(3270),
    [anon_sym_string] = ACTIONS(3270),
    [anon_sym_symbol] = ACTIONS(3270),
    [anon_sym_object] = ACTIONS(3270),
    [anon_sym_abstract] = ACTIONS(3270),
    [anon_sym_interface] = ACTIONS(3270),
    [anon_sym_enum] = ACTIONS(3270),
    [sym_html_comment] = ACTIONS(5),
  },
  [1252] = {
    [sym_comment] = STATE(1252),
    [sym_identifier] = ACTIONS(3250),
    [anon_sym_export] = ACTIONS(3250),
    [anon_sym_default] = ACTIONS(3250),
    [anon_sym_type] = ACTIONS(3250),
    [anon_sym_namespace] = ACTIONS(3250),
    [anon_sym_LBRACE] = ACTIONS(3250),
    [anon_sym_RBRACE] = ACTIONS(3250),
    [anon_sym_typeof] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3250),
    [anon_sym_with] = ACTIONS(3250),
    [anon_sym_var] = ACTIONS(3250),
    [anon_sym_let] = ACTIONS(3250),
    [anon_sym_const] = ACTIONS(3250),
    [anon_sym_BANG] = ACTIONS(3250),
    [anon_sym_if] = ACTIONS(3250),
    [anon_sym_switch] = ACTIONS(3250),
    [anon_sym_for] = ACTIONS(3250),
    [anon_sym_LPAREN] = ACTIONS(3250),
    [anon_sym_await] = ACTIONS(3250),
    [anon_sym_while] = ACTIONS(3250),
    [anon_sym_do] = ACTIONS(3250),
    [anon_sym_try] = ACTIONS(3250),
    [anon_sym_break] = ACTIONS(3250),
    [anon_sym_continue] = ACTIONS(3250),
    [anon_sym_debugger] = ACTIONS(3250),
    [anon_sym_return] = ACTIONS(3250),
    [anon_sym_throw] = ACTIONS(3250),
    [anon_sym_SEMI] = ACTIONS(3250),
    [anon_sym_case] = ACTIONS(3250),
    [anon_sym_yield] = ACTIONS(3250),
    [anon_sym_LBRACK] = ACTIONS(3250),
    [anon_sym_LTtemplate_GT] = ACTIONS(3250),
    [anon_sym_DQUOTE] = ACTIONS(3250),
    [anon_sym_SQUOTE] = ACTIONS(3250),
    [anon_sym_class] = ACTIONS(3250),
    [anon_sym_async] = ACTIONS(3250),
    [anon_sym_function] = ACTIONS(3250),
    [anon_sym_new] = ACTIONS(3250),
    [anon_sym_using] = ACTIONS(3250),
    [anon_sym_PLUS] = ACTIONS(3250),
    [anon_sym_DASH] = ACTIONS(3250),
    [anon_sym_SLASH] = ACTIONS(3250),
    [anon_sym_LT] = ACTIONS(3250),
    [anon_sym_TILDE] = ACTIONS(3250),
    [anon_sym_void] = ACTIONS(3250),
    [anon_sym_delete] = ACTIONS(3250),
    [anon_sym_PLUS_PLUS] = ACTIONS(3250),
    [anon_sym_DASH_DASH] = ACTIONS(3250),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3250),
    [sym_number] = ACTIONS(3250),
    [sym_private_property_identifier] = ACTIONS(3250),
    [sym_this] = ACTIONS(3250),
    [sym_super] = ACTIONS(3250),
    [sym_true] = ACTIONS(3250),
    [sym_false] = ACTIONS(3250),
    [sym_null] = ACTIONS(3250),
    [sym_undefined] = ACTIONS(3250),
    [anon_sym_AT] = ACTIONS(3250),
    [anon_sym_static] = ACTIONS(3250),
    [anon_sym_readonly] = ACTIONS(3250),
    [anon_sym_get] = ACTIONS(3250),
    [anon_sym_set] = ACTIONS(3250),
    [anon_sym_declare] = ACTIONS(3250),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_private] = ACTIONS(3250),
    [anon_sym_protected] = ACTIONS(3250),
    [anon_sym_override] = ACTIONS(3250),
    [anon_sym_module] = ACTIONS(3250),
    [anon_sym_any] = ACTIONS(3250),
    [anon_sym_number] = ACTIONS(3250),
    [anon_sym_boolean] = ACTIONS(3250),
    [anon_sym_string] = ACTIONS(3250),
    [anon_sym_symbol] = ACTIONS(3250),
    [anon_sym_object] = ACTIONS(3250),
    [anon_sym_abstract] = ACTIONS(3250),
    [anon_sym_interface] = ACTIONS(3250),
    [anon_sym_enum] = ACTIONS(3250),
    [sym_html_comment] = ACTIONS(5),
  },
  [1253] = {
    [sym_comment] = STATE(1253),
    [ts_builtin_sym_end] = ACTIONS(3400),
    [sym_identifier] = ACTIONS(3128),
    [anon_sym_export] = ACTIONS(3128),
    [anon_sym_type] = ACTIONS(3128),
    [anon_sym_namespace] = ACTIONS(3128),
    [anon_sym_LBRACE] = ACTIONS(3128),
    [anon_sym_RBRACE] = ACTIONS(3128),
    [anon_sym_typeof] = ACTIONS(3128),
    [anon_sym_import] = ACTIONS(3128),
    [anon_sym_with] = ACTIONS(3128),
    [anon_sym_var] = ACTIONS(3128),
    [anon_sym_let] = ACTIONS(3128),
    [anon_sym_const] = ACTIONS(3128),
    [anon_sym_BANG] = ACTIONS(3128),
    [anon_sym_else] = ACTIONS(3128),
    [anon_sym_if] = ACTIONS(3128),
    [anon_sym_switch] = ACTIONS(3128),
    [anon_sym_for] = ACTIONS(3128),
    [anon_sym_LPAREN] = ACTIONS(3128),
    [anon_sym_await] = ACTIONS(3128),
    [anon_sym_while] = ACTIONS(3128),
    [anon_sym_do] = ACTIONS(3128),
    [anon_sym_try] = ACTIONS(3128),
    [anon_sym_break] = ACTIONS(3128),
    [anon_sym_continue] = ACTIONS(3128),
    [anon_sym_debugger] = ACTIONS(3128),
    [anon_sym_return] = ACTIONS(3128),
    [anon_sym_throw] = ACTIONS(3128),
    [anon_sym_SEMI] = ACTIONS(3128),
    [anon_sym_yield] = ACTIONS(3128),
    [anon_sym_LBRACK] = ACTIONS(3128),
    [anon_sym_LTtemplate_GT] = ACTIONS(3128),
    [anon_sym_DQUOTE] = ACTIONS(3128),
    [anon_sym_SQUOTE] = ACTIONS(3128),
    [anon_sym_class] = ACTIONS(3128),
    [anon_sym_async] = ACTIONS(3128),
    [anon_sym_function] = ACTIONS(3128),
    [anon_sym_new] = ACTIONS(3128),
    [anon_sym_using] = ACTIONS(3128),
    [anon_sym_PLUS] = ACTIONS(3128),
    [anon_sym_DASH] = ACTIONS(3128),
    [anon_sym_SLASH] = ACTIONS(3128),
    [anon_sym_LT] = ACTIONS(3128),
    [anon_sym_TILDE] = ACTIONS(3128),
    [anon_sym_void] = ACTIONS(3128),
    [anon_sym_delete] = ACTIONS(3128),
    [anon_sym_PLUS_PLUS] = ACTIONS(3128),
    [anon_sym_DASH_DASH] = ACTIONS(3128),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3128),
    [sym_number] = ACTIONS(3128),
    [sym_private_property_identifier] = ACTIONS(3128),
    [sym_this] = ACTIONS(3128),
    [sym_super] = ACTIONS(3128),
    [sym_true] = ACTIONS(3128),
    [sym_false] = ACTIONS(3128),
    [sym_null] = ACTIONS(3128),
    [sym_undefined] = ACTIONS(3128),
    [anon_sym_AT] = ACTIONS(3128),
    [anon_sym_static] = ACTIONS(3128),
    [anon_sym_readonly] = ACTIONS(3128),
    [anon_sym_get] = ACTIONS(3128),
    [anon_sym_set] = ACTIONS(3128),
    [anon_sym_declare] = ACTIONS(3128),
    [anon_sym_public] = ACTIONS(3128),
    [anon_sym_private] = ACTIONS(3128),
    [anon_sym_protected] = ACTIONS(3128),
    [anon_sym_override] = ACTIONS(3128),
    [anon_sym_module] = ACTIONS(3128),
    [anon_sym_any] = ACTIONS(3128),
    [anon_sym_number] = ACTIONS(3128),
    [anon_sym_boolean] = ACTIONS(3128),
    [anon_sym_string] = ACTIONS(3128),
    [anon_sym_symbol] = ACTIONS(3128),
    [anon_sym_object] = ACTIONS(3128),
    [anon_sym_abstract] = ACTIONS(3128),
    [anon_sym_interface] = ACTIONS(3128),
    [anon_sym_enum] = ACTIONS(3128),
    [sym_html_comment] = ACTIONS(5),
  },
  [1254] = {
    [sym_comment] = STATE(1254),
    [ts_builtin_sym_end] = ACTIONS(3402),
    [sym_identifier] = ACTIONS(3134),
    [anon_sym_export] = ACTIONS(3134),
    [anon_sym_type] = ACTIONS(3134),
    [anon_sym_namespace] = ACTIONS(3134),
    [anon_sym_LBRACE] = ACTIONS(3134),
    [anon_sym_RBRACE] = ACTIONS(3134),
    [anon_sym_typeof] = ACTIONS(3134),
    [anon_sym_import] = ACTIONS(3134),
    [anon_sym_with] = ACTIONS(3134),
    [anon_sym_var] = ACTIONS(3134),
    [anon_sym_let] = ACTIONS(3134),
    [anon_sym_const] = ACTIONS(3134),
    [anon_sym_BANG] = ACTIONS(3134),
    [anon_sym_else] = ACTIONS(3134),
    [anon_sym_if] = ACTIONS(3134),
    [anon_sym_switch] = ACTIONS(3134),
    [anon_sym_for] = ACTIONS(3134),
    [anon_sym_LPAREN] = ACTIONS(3134),
    [anon_sym_await] = ACTIONS(3134),
    [anon_sym_while] = ACTIONS(3134),
    [anon_sym_do] = ACTIONS(3134),
    [anon_sym_try] = ACTIONS(3134),
    [anon_sym_break] = ACTIONS(3134),
    [anon_sym_continue] = ACTIONS(3134),
    [anon_sym_debugger] = ACTIONS(3134),
    [anon_sym_return] = ACTIONS(3134),
    [anon_sym_throw] = ACTIONS(3134),
    [anon_sym_SEMI] = ACTIONS(3134),
    [anon_sym_yield] = ACTIONS(3134),
    [anon_sym_LBRACK] = ACTIONS(3134),
    [anon_sym_LTtemplate_GT] = ACTIONS(3134),
    [anon_sym_DQUOTE] = ACTIONS(3134),
    [anon_sym_SQUOTE] = ACTIONS(3134),
    [anon_sym_class] = ACTIONS(3134),
    [anon_sym_async] = ACTIONS(3134),
    [anon_sym_function] = ACTIONS(3134),
    [anon_sym_new] = ACTIONS(3134),
    [anon_sym_using] = ACTIONS(3134),
    [anon_sym_PLUS] = ACTIONS(3134),
    [anon_sym_DASH] = ACTIONS(3134),
    [anon_sym_SLASH] = ACTIONS(3134),
    [anon_sym_LT] = ACTIONS(3134),
    [anon_sym_TILDE] = ACTIONS(3134),
    [anon_sym_void] = ACTIONS(3134),
    [anon_sym_delete] = ACTIONS(3134),
    [anon_sym_PLUS_PLUS] = ACTIONS(3134),
    [anon_sym_DASH_DASH] = ACTIONS(3134),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3134),
    [sym_number] = ACTIONS(3134),
    [sym_private_property_identifier] = ACTIONS(3134),
    [sym_this] = ACTIONS(3134),
    [sym_super] = ACTIONS(3134),
    [sym_true] = ACTIONS(3134),
    [sym_false] = ACTIONS(3134),
    [sym_null] = ACTIONS(3134),
    [sym_undefined] = ACTIONS(3134),
    [anon_sym_AT] = ACTIONS(3134),
    [anon_sym_static] = ACTIONS(3134),
    [anon_sym_readonly] = ACTIONS(3134),
    [anon_sym_get] = ACTIONS(3134),
    [anon_sym_set] = ACTIONS(3134),
    [anon_sym_declare] = ACTIONS(3134),
    [anon_sym_public] = ACTIONS(3134),
    [anon_sym_private] = ACTIONS(3134),
    [anon_sym_protected] = ACTIONS(3134),
    [anon_sym_override] = ACTIONS(3134),
    [anon_sym_module] = ACTIONS(3134),
    [anon_sym_any] = ACTIONS(3134),
    [anon_sym_number] = ACTIONS(3134),
    [anon_sym_boolean] = ACTIONS(3134),
    [anon_sym_string] = ACTIONS(3134),
    [anon_sym_symbol] = ACTIONS(3134),
    [anon_sym_object] = ACTIONS(3134),
    [anon_sym_abstract] = ACTIONS(3134),
    [anon_sym_interface] = ACTIONS(3134),
    [anon_sym_enum] = ACTIONS(3134),
    [sym_html_comment] = ACTIONS(5),
  },
  [1255] = {
    [sym_comment] = STATE(1255),
    [ts_builtin_sym_end] = ACTIONS(3404),
    [sym_identifier] = ACTIONS(3136),
    [anon_sym_export] = ACTIONS(3136),
    [anon_sym_type] = ACTIONS(3136),
    [anon_sym_namespace] = ACTIONS(3136),
    [anon_sym_LBRACE] = ACTIONS(3136),
    [anon_sym_RBRACE] = ACTIONS(3136),
    [anon_sym_typeof] = ACTIONS(3136),
    [anon_sym_import] = ACTIONS(3136),
    [anon_sym_with] = ACTIONS(3136),
    [anon_sym_var] = ACTIONS(3136),
    [anon_sym_let] = ACTIONS(3136),
    [anon_sym_const] = ACTIONS(3136),
    [anon_sym_BANG] = ACTIONS(3136),
    [anon_sym_else] = ACTIONS(3136),
    [anon_sym_if] = ACTIONS(3136),
    [anon_sym_switch] = ACTIONS(3136),
    [anon_sym_for] = ACTIONS(3136),
    [anon_sym_LPAREN] = ACTIONS(3136),
    [anon_sym_await] = ACTIONS(3136),
    [anon_sym_while] = ACTIONS(3136),
    [anon_sym_do] = ACTIONS(3136),
    [anon_sym_try] = ACTIONS(3136),
    [anon_sym_break] = ACTIONS(3136),
    [anon_sym_continue] = ACTIONS(3136),
    [anon_sym_debugger] = ACTIONS(3136),
    [anon_sym_return] = ACTIONS(3136),
    [anon_sym_throw] = ACTIONS(3136),
    [anon_sym_SEMI] = ACTIONS(3136),
    [anon_sym_yield] = ACTIONS(3136),
    [anon_sym_LBRACK] = ACTIONS(3136),
    [anon_sym_LTtemplate_GT] = ACTIONS(3136),
    [anon_sym_DQUOTE] = ACTIONS(3136),
    [anon_sym_SQUOTE] = ACTIONS(3136),
    [anon_sym_class] = ACTIONS(3136),
    [anon_sym_async] = ACTIONS(3136),
    [anon_sym_function] = ACTIONS(3136),
    [anon_sym_new] = ACTIONS(3136),
    [anon_sym_using] = ACTIONS(3136),
    [anon_sym_PLUS] = ACTIONS(3136),
    [anon_sym_DASH] = ACTIONS(3136),
    [anon_sym_SLASH] = ACTIONS(3136),
    [anon_sym_LT] = ACTIONS(3136),
    [anon_sym_TILDE] = ACTIONS(3136),
    [anon_sym_void] = ACTIONS(3136),
    [anon_sym_delete] = ACTIONS(3136),
    [anon_sym_PLUS_PLUS] = ACTIONS(3136),
    [anon_sym_DASH_DASH] = ACTIONS(3136),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3136),
    [sym_number] = ACTIONS(3136),
    [sym_private_property_identifier] = ACTIONS(3136),
    [sym_this] = ACTIONS(3136),
    [sym_super] = ACTIONS(3136),
    [sym_true] = ACTIONS(3136),
    [sym_false] = ACTIONS(3136),
    [sym_null] = ACTIONS(3136),
    [sym_undefined] = ACTIONS(3136),
    [anon_sym_AT] = ACTIONS(3136),
    [anon_sym_static] = ACTIONS(3136),
    [anon_sym_readonly] = ACTIONS(3136),
    [anon_sym_get] = ACTIONS(3136),
    [anon_sym_set] = ACTIONS(3136),
    [anon_sym_declare] = ACTIONS(3136),
    [anon_sym_public] = ACTIONS(3136),
    [anon_sym_private] = ACTIONS(3136),
    [anon_sym_protected] = ACTIONS(3136),
    [anon_sym_override] = ACTIONS(3136),
    [anon_sym_module] = ACTIONS(3136),
    [anon_sym_any] = ACTIONS(3136),
    [anon_sym_number] = ACTIONS(3136),
    [anon_sym_boolean] = ACTIONS(3136),
    [anon_sym_string] = ACTIONS(3136),
    [anon_sym_symbol] = ACTIONS(3136),
    [anon_sym_object] = ACTIONS(3136),
    [anon_sym_abstract] = ACTIONS(3136),
    [anon_sym_interface] = ACTIONS(3136),
    [anon_sym_enum] = ACTIONS(3136),
    [sym_html_comment] = ACTIONS(5),
  },
  [1256] = {
    [sym_comment] = STATE(1256),
    [sym_identifier] = ACTIONS(3184),
    [anon_sym_export] = ACTIONS(3184),
    [anon_sym_default] = ACTIONS(3184),
    [anon_sym_type] = ACTIONS(3184),
    [anon_sym_namespace] = ACTIONS(3184),
    [anon_sym_LBRACE] = ACTIONS(3184),
    [anon_sym_RBRACE] = ACTIONS(3184),
    [anon_sym_typeof] = ACTIONS(3184),
    [anon_sym_import] = ACTIONS(3184),
    [anon_sym_with] = ACTIONS(3184),
    [anon_sym_var] = ACTIONS(3184),
    [anon_sym_let] = ACTIONS(3184),
    [anon_sym_const] = ACTIONS(3184),
    [anon_sym_BANG] = ACTIONS(3184),
    [anon_sym_if] = ACTIONS(3184),
    [anon_sym_switch] = ACTIONS(3184),
    [anon_sym_for] = ACTIONS(3184),
    [anon_sym_LPAREN] = ACTIONS(3184),
    [anon_sym_await] = ACTIONS(3184),
    [anon_sym_while] = ACTIONS(3184),
    [anon_sym_do] = ACTIONS(3184),
    [anon_sym_try] = ACTIONS(3184),
    [anon_sym_break] = ACTIONS(3184),
    [anon_sym_continue] = ACTIONS(3184),
    [anon_sym_debugger] = ACTIONS(3184),
    [anon_sym_return] = ACTIONS(3184),
    [anon_sym_throw] = ACTIONS(3184),
    [anon_sym_SEMI] = ACTIONS(3184),
    [anon_sym_case] = ACTIONS(3184),
    [anon_sym_yield] = ACTIONS(3184),
    [anon_sym_LBRACK] = ACTIONS(3184),
    [anon_sym_LTtemplate_GT] = ACTIONS(3184),
    [anon_sym_DQUOTE] = ACTIONS(3184),
    [anon_sym_SQUOTE] = ACTIONS(3184),
    [anon_sym_class] = ACTIONS(3184),
    [anon_sym_async] = ACTIONS(3184),
    [anon_sym_function] = ACTIONS(3184),
    [anon_sym_new] = ACTIONS(3184),
    [anon_sym_using] = ACTIONS(3184),
    [anon_sym_PLUS] = ACTIONS(3184),
    [anon_sym_DASH] = ACTIONS(3184),
    [anon_sym_SLASH] = ACTIONS(3184),
    [anon_sym_LT] = ACTIONS(3184),
    [anon_sym_TILDE] = ACTIONS(3184),
    [anon_sym_void] = ACTIONS(3184),
    [anon_sym_delete] = ACTIONS(3184),
    [anon_sym_PLUS_PLUS] = ACTIONS(3184),
    [anon_sym_DASH_DASH] = ACTIONS(3184),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3184),
    [sym_number] = ACTIONS(3184),
    [sym_private_property_identifier] = ACTIONS(3184),
    [sym_this] = ACTIONS(3184),
    [sym_super] = ACTIONS(3184),
    [sym_true] = ACTIONS(3184),
    [sym_false] = ACTIONS(3184),
    [sym_null] = ACTIONS(3184),
    [sym_undefined] = ACTIONS(3184),
    [anon_sym_AT] = ACTIONS(3184),
    [anon_sym_static] = ACTIONS(3184),
    [anon_sym_readonly] = ACTIONS(3184),
    [anon_sym_get] = ACTIONS(3184),
    [anon_sym_set] = ACTIONS(3184),
    [anon_sym_declare] = ACTIONS(3184),
    [anon_sym_public] = ACTIONS(3184),
    [anon_sym_private] = ACTIONS(3184),
    [anon_sym_protected] = ACTIONS(3184),
    [anon_sym_override] = ACTIONS(3184),
    [anon_sym_module] = ACTIONS(3184),
    [anon_sym_any] = ACTIONS(3184),
    [anon_sym_number] = ACTIONS(3184),
    [anon_sym_boolean] = ACTIONS(3184),
    [anon_sym_string] = ACTIONS(3184),
    [anon_sym_symbol] = ACTIONS(3184),
    [anon_sym_object] = ACTIONS(3184),
    [anon_sym_abstract] = ACTIONS(3184),
    [anon_sym_interface] = ACTIONS(3184),
    [anon_sym_enum] = ACTIONS(3184),
    [sym_html_comment] = ACTIONS(5),
  },
  [1257] = {
    [sym_comment] = STATE(1257),
    [ts_builtin_sym_end] = ACTIONS(3406),
    [sym_identifier] = ACTIONS(3124),
    [anon_sym_export] = ACTIONS(3124),
    [anon_sym_type] = ACTIONS(3124),
    [anon_sym_namespace] = ACTIONS(3124),
    [anon_sym_LBRACE] = ACTIONS(3124),
    [anon_sym_RBRACE] = ACTIONS(3124),
    [anon_sym_typeof] = ACTIONS(3124),
    [anon_sym_import] = ACTIONS(3124),
    [anon_sym_with] = ACTIONS(3124),
    [anon_sym_var] = ACTIONS(3124),
    [anon_sym_let] = ACTIONS(3124),
    [anon_sym_const] = ACTIONS(3124),
    [anon_sym_BANG] = ACTIONS(3124),
    [anon_sym_else] = ACTIONS(3124),
    [anon_sym_if] = ACTIONS(3124),
    [anon_sym_switch] = ACTIONS(3124),
    [anon_sym_for] = ACTIONS(3124),
    [anon_sym_LPAREN] = ACTIONS(3124),
    [anon_sym_await] = ACTIONS(3124),
    [anon_sym_while] = ACTIONS(3124),
    [anon_sym_do] = ACTIONS(3124),
    [anon_sym_try] = ACTIONS(3124),
    [anon_sym_break] = ACTIONS(3124),
    [anon_sym_continue] = ACTIONS(3124),
    [anon_sym_debugger] = ACTIONS(3124),
    [anon_sym_return] = ACTIONS(3124),
    [anon_sym_throw] = ACTIONS(3124),
    [anon_sym_SEMI] = ACTIONS(3124),
    [anon_sym_yield] = ACTIONS(3124),
    [anon_sym_LBRACK] = ACTIONS(3124),
    [anon_sym_LTtemplate_GT] = ACTIONS(3124),
    [anon_sym_DQUOTE] = ACTIONS(3124),
    [anon_sym_SQUOTE] = ACTIONS(3124),
    [anon_sym_class] = ACTIONS(3124),
    [anon_sym_async] = ACTIONS(3124),
    [anon_sym_function] = ACTIONS(3124),
    [anon_sym_new] = ACTIONS(3124),
    [anon_sym_using] = ACTIONS(3124),
    [anon_sym_PLUS] = ACTIONS(3124),
    [anon_sym_DASH] = ACTIONS(3124),
    [anon_sym_SLASH] = ACTIONS(3124),
    [anon_sym_LT] = ACTIONS(3124),
    [anon_sym_TILDE] = ACTIONS(3124),
    [anon_sym_void] = ACTIONS(3124),
    [anon_sym_delete] = ACTIONS(3124),
    [anon_sym_PLUS_PLUS] = ACTIONS(3124),
    [anon_sym_DASH_DASH] = ACTIONS(3124),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3124),
    [sym_number] = ACTIONS(3124),
    [sym_private_property_identifier] = ACTIONS(3124),
    [sym_this] = ACTIONS(3124),
    [sym_super] = ACTIONS(3124),
    [sym_true] = ACTIONS(3124),
    [sym_false] = ACTIONS(3124),
    [sym_null] = ACTIONS(3124),
    [sym_undefined] = ACTIONS(3124),
    [anon_sym_AT] = ACTIONS(3124),
    [anon_sym_static] = ACTIONS(3124),
    [anon_sym_readonly] = ACTIONS(3124),
    [anon_sym_get] = ACTIONS(3124),
    [anon_sym_set] = ACTIONS(3124),
    [anon_sym_declare] = ACTIONS(3124),
    [anon_sym_public] = ACTIONS(3124),
    [anon_sym_private] = ACTIONS(3124),
    [anon_sym_protected] = ACTIONS(3124),
    [anon_sym_override] = ACTIONS(3124),
    [anon_sym_module] = ACTIONS(3124),
    [anon_sym_any] = ACTIONS(3124),
    [anon_sym_number] = ACTIONS(3124),
    [anon_sym_boolean] = ACTIONS(3124),
    [anon_sym_string] = ACTIONS(3124),
    [anon_sym_symbol] = ACTIONS(3124),
    [anon_sym_object] = ACTIONS(3124),
    [anon_sym_abstract] = ACTIONS(3124),
    [anon_sym_interface] = ACTIONS(3124),
    [anon_sym_enum] = ACTIONS(3124),
    [sym_html_comment] = ACTIONS(5),
  },
  [1258] = {
    [sym_comment] = STATE(1258),
    [ts_builtin_sym_end] = ACTIONS(3408),
    [sym_identifier] = ACTIONS(3168),
    [anon_sym_export] = ACTIONS(3168),
    [anon_sym_type] = ACTIONS(3168),
    [anon_sym_namespace] = ACTIONS(3168),
    [anon_sym_LBRACE] = ACTIONS(3168),
    [anon_sym_RBRACE] = ACTIONS(3168),
    [anon_sym_typeof] = ACTIONS(3168),
    [anon_sym_import] = ACTIONS(3168),
    [anon_sym_with] = ACTIONS(3168),
    [anon_sym_var] = ACTIONS(3168),
    [anon_sym_let] = ACTIONS(3168),
    [anon_sym_const] = ACTIONS(3168),
    [anon_sym_BANG] = ACTIONS(3168),
    [anon_sym_else] = ACTIONS(3168),
    [anon_sym_if] = ACTIONS(3168),
    [anon_sym_switch] = ACTIONS(3168),
    [anon_sym_for] = ACTIONS(3168),
    [anon_sym_LPAREN] = ACTIONS(3168),
    [anon_sym_await] = ACTIONS(3168),
    [anon_sym_while] = ACTIONS(3168),
    [anon_sym_do] = ACTIONS(3168),
    [anon_sym_try] = ACTIONS(3168),
    [anon_sym_break] = ACTIONS(3168),
    [anon_sym_continue] = ACTIONS(3168),
    [anon_sym_debugger] = ACTIONS(3168),
    [anon_sym_return] = ACTIONS(3168),
    [anon_sym_throw] = ACTIONS(3168),
    [anon_sym_SEMI] = ACTIONS(3168),
    [anon_sym_yield] = ACTIONS(3168),
    [anon_sym_LBRACK] = ACTIONS(3168),
    [anon_sym_LTtemplate_GT] = ACTIONS(3168),
    [anon_sym_DQUOTE] = ACTIONS(3168),
    [anon_sym_SQUOTE] = ACTIONS(3168),
    [anon_sym_class] = ACTIONS(3168),
    [anon_sym_async] = ACTIONS(3168),
    [anon_sym_function] = ACTIONS(3168),
    [anon_sym_new] = ACTIONS(3168),
    [anon_sym_using] = ACTIONS(3168),
    [anon_sym_PLUS] = ACTIONS(3168),
    [anon_sym_DASH] = ACTIONS(3168),
    [anon_sym_SLASH] = ACTIONS(3168),
    [anon_sym_LT] = ACTIONS(3168),
    [anon_sym_TILDE] = ACTIONS(3168),
    [anon_sym_void] = ACTIONS(3168),
    [anon_sym_delete] = ACTIONS(3168),
    [anon_sym_PLUS_PLUS] = ACTIONS(3168),
    [anon_sym_DASH_DASH] = ACTIONS(3168),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3168),
    [sym_number] = ACTIONS(3168),
    [sym_private_property_identifier] = ACTIONS(3168),
    [sym_this] = ACTIONS(3168),
    [sym_super] = ACTIONS(3168),
    [sym_true] = ACTIONS(3168),
    [sym_false] = ACTIONS(3168),
    [sym_null] = ACTIONS(3168),
    [sym_undefined] = ACTIONS(3168),
    [anon_sym_AT] = ACTIONS(3168),
    [anon_sym_static] = ACTIONS(3168),
    [anon_sym_readonly] = ACTIONS(3168),
    [anon_sym_get] = ACTIONS(3168),
    [anon_sym_set] = ACTIONS(3168),
    [anon_sym_declare] = ACTIONS(3168),
    [anon_sym_public] = ACTIONS(3168),
    [anon_sym_private] = ACTIONS(3168),
    [anon_sym_protected] = ACTIONS(3168),
    [anon_sym_override] = ACTIONS(3168),
    [anon_sym_module] = ACTIONS(3168),
    [anon_sym_any] = ACTIONS(3168),
    [anon_sym_number] = ACTIONS(3168),
    [anon_sym_boolean] = ACTIONS(3168),
    [anon_sym_string] = ACTIONS(3168),
    [anon_sym_symbol] = ACTIONS(3168),
    [anon_sym_object] = ACTIONS(3168),
    [anon_sym_abstract] = ACTIONS(3168),
    [anon_sym_interface] = ACTIONS(3168),
    [anon_sym_enum] = ACTIONS(3168),
    [sym_html_comment] = ACTIONS(5),
  },
  [1259] = {
    [sym_comment] = STATE(1259),
    [ts_builtin_sym_end] = ACTIONS(3410),
    [sym_identifier] = ACTIONS(3140),
    [anon_sym_export] = ACTIONS(3140),
    [anon_sym_type] = ACTIONS(3140),
    [anon_sym_namespace] = ACTIONS(3140),
    [anon_sym_LBRACE] = ACTIONS(3140),
    [anon_sym_RBRACE] = ACTIONS(3140),
    [anon_sym_typeof] = ACTIONS(3140),
    [anon_sym_import] = ACTIONS(3140),
    [anon_sym_with] = ACTIONS(3140),
    [anon_sym_var] = ACTIONS(3140),
    [anon_sym_let] = ACTIONS(3140),
    [anon_sym_const] = ACTIONS(3140),
    [anon_sym_BANG] = ACTIONS(3140),
    [anon_sym_else] = ACTIONS(3140),
    [anon_sym_if] = ACTIONS(3140),
    [anon_sym_switch] = ACTIONS(3140),
    [anon_sym_for] = ACTIONS(3140),
    [anon_sym_LPAREN] = ACTIONS(3140),
    [anon_sym_await] = ACTIONS(3140),
    [anon_sym_while] = ACTIONS(3140),
    [anon_sym_do] = ACTIONS(3140),
    [anon_sym_try] = ACTIONS(3140),
    [anon_sym_break] = ACTIONS(3140),
    [anon_sym_continue] = ACTIONS(3140),
    [anon_sym_debugger] = ACTIONS(3140),
    [anon_sym_return] = ACTIONS(3140),
    [anon_sym_throw] = ACTIONS(3140),
    [anon_sym_SEMI] = ACTIONS(3140),
    [anon_sym_yield] = ACTIONS(3140),
    [anon_sym_LBRACK] = ACTIONS(3140),
    [anon_sym_LTtemplate_GT] = ACTIONS(3140),
    [anon_sym_DQUOTE] = ACTIONS(3140),
    [anon_sym_SQUOTE] = ACTIONS(3140),
    [anon_sym_class] = ACTIONS(3140),
    [anon_sym_async] = ACTIONS(3140),
    [anon_sym_function] = ACTIONS(3140),
    [anon_sym_new] = ACTIONS(3140),
    [anon_sym_using] = ACTIONS(3140),
    [anon_sym_PLUS] = ACTIONS(3140),
    [anon_sym_DASH] = ACTIONS(3140),
    [anon_sym_SLASH] = ACTIONS(3140),
    [anon_sym_LT] = ACTIONS(3140),
    [anon_sym_TILDE] = ACTIONS(3140),
    [anon_sym_void] = ACTIONS(3140),
    [anon_sym_delete] = ACTIONS(3140),
    [anon_sym_PLUS_PLUS] = ACTIONS(3140),
    [anon_sym_DASH_DASH] = ACTIONS(3140),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3140),
    [sym_number] = ACTIONS(3140),
    [sym_private_property_identifier] = ACTIONS(3140),
    [sym_this] = ACTIONS(3140),
    [sym_super] = ACTIONS(3140),
    [sym_true] = ACTIONS(3140),
    [sym_false] = ACTIONS(3140),
    [sym_null] = ACTIONS(3140),
    [sym_undefined] = ACTIONS(3140),
    [anon_sym_AT] = ACTIONS(3140),
    [anon_sym_static] = ACTIONS(3140),
    [anon_sym_readonly] = ACTIONS(3140),
    [anon_sym_get] = ACTIONS(3140),
    [anon_sym_set] = ACTIONS(3140),
    [anon_sym_declare] = ACTIONS(3140),
    [anon_sym_public] = ACTIONS(3140),
    [anon_sym_private] = ACTIONS(3140),
    [anon_sym_protected] = ACTIONS(3140),
    [anon_sym_override] = ACTIONS(3140),
    [anon_sym_module] = ACTIONS(3140),
    [anon_sym_any] = ACTIONS(3140),
    [anon_sym_number] = ACTIONS(3140),
    [anon_sym_boolean] = ACTIONS(3140),
    [anon_sym_string] = ACTIONS(3140),
    [anon_sym_symbol] = ACTIONS(3140),
    [anon_sym_object] = ACTIONS(3140),
    [anon_sym_abstract] = ACTIONS(3140),
    [anon_sym_interface] = ACTIONS(3140),
    [anon_sym_enum] = ACTIONS(3140),
    [sym_html_comment] = ACTIONS(5),
  },
  [1260] = {
    [sym_comment] = STATE(1260),
    [sym_identifier] = ACTIONS(3182),
    [anon_sym_export] = ACTIONS(3182),
    [anon_sym_default] = ACTIONS(3182),
    [anon_sym_type] = ACTIONS(3182),
    [anon_sym_namespace] = ACTIONS(3182),
    [anon_sym_LBRACE] = ACTIONS(3182),
    [anon_sym_RBRACE] = ACTIONS(3182),
    [anon_sym_typeof] = ACTIONS(3182),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_with] = ACTIONS(3182),
    [anon_sym_var] = ACTIONS(3182),
    [anon_sym_let] = ACTIONS(3182),
    [anon_sym_const] = ACTIONS(3182),
    [anon_sym_BANG] = ACTIONS(3182),
    [anon_sym_if] = ACTIONS(3182),
    [anon_sym_switch] = ACTIONS(3182),
    [anon_sym_for] = ACTIONS(3182),
    [anon_sym_LPAREN] = ACTIONS(3182),
    [anon_sym_await] = ACTIONS(3182),
    [anon_sym_while] = ACTIONS(3182),
    [anon_sym_do] = ACTIONS(3182),
    [anon_sym_try] = ACTIONS(3182),
    [anon_sym_break] = ACTIONS(3182),
    [anon_sym_continue] = ACTIONS(3182),
    [anon_sym_debugger] = ACTIONS(3182),
    [anon_sym_return] = ACTIONS(3182),
    [anon_sym_throw] = ACTIONS(3182),
    [anon_sym_SEMI] = ACTIONS(3182),
    [anon_sym_case] = ACTIONS(3182),
    [anon_sym_yield] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3182),
    [anon_sym_LTtemplate_GT] = ACTIONS(3182),
    [anon_sym_DQUOTE] = ACTIONS(3182),
    [anon_sym_SQUOTE] = ACTIONS(3182),
    [anon_sym_class] = ACTIONS(3182),
    [anon_sym_async] = ACTIONS(3182),
    [anon_sym_function] = ACTIONS(3182),
    [anon_sym_new] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_PLUS] = ACTIONS(3182),
    [anon_sym_DASH] = ACTIONS(3182),
    [anon_sym_SLASH] = ACTIONS(3182),
    [anon_sym_LT] = ACTIONS(3182),
    [anon_sym_TILDE] = ACTIONS(3182),
    [anon_sym_void] = ACTIONS(3182),
    [anon_sym_delete] = ACTIONS(3182),
    [anon_sym_PLUS_PLUS] = ACTIONS(3182),
    [anon_sym_DASH_DASH] = ACTIONS(3182),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3182),
    [sym_number] = ACTIONS(3182),
    [sym_private_property_identifier] = ACTIONS(3182),
    [sym_this] = ACTIONS(3182),
    [sym_super] = ACTIONS(3182),
    [sym_true] = ACTIONS(3182),
    [sym_false] = ACTIONS(3182),
    [sym_null] = ACTIONS(3182),
    [sym_undefined] = ACTIONS(3182),
    [anon_sym_AT] = ACTIONS(3182),
    [anon_sym_static] = ACTIONS(3182),
    [anon_sym_readonly] = ACTIONS(3182),
    [anon_sym_get] = ACTIONS(3182),
    [anon_sym_set] = ACTIONS(3182),
    [anon_sym_declare] = ACTIONS(3182),
    [anon_sym_public] = ACTIONS(3182),
    [anon_sym_private] = ACTIONS(3182),
    [anon_sym_protected] = ACTIONS(3182),
    [anon_sym_override] = ACTIONS(3182),
    [anon_sym_module] = ACTIONS(3182),
    [anon_sym_any] = ACTIONS(3182),
    [anon_sym_number] = ACTIONS(3182),
    [anon_sym_boolean] = ACTIONS(3182),
    [anon_sym_string] = ACTIONS(3182),
    [anon_sym_symbol] = ACTIONS(3182),
    [anon_sym_object] = ACTIONS(3182),
    [anon_sym_abstract] = ACTIONS(3182),
    [anon_sym_interface] = ACTIONS(3182),
    [anon_sym_enum] = ACTIONS(3182),
    [sym_html_comment] = ACTIONS(5),
  },
  [1261] = {
    [sym_comment] = STATE(1261),
    [sym_identifier] = ACTIONS(3252),
    [anon_sym_export] = ACTIONS(3252),
    [anon_sym_default] = ACTIONS(3252),
    [anon_sym_type] = ACTIONS(3252),
    [anon_sym_namespace] = ACTIONS(3252),
    [anon_sym_LBRACE] = ACTIONS(3252),
    [anon_sym_RBRACE] = ACTIONS(3252),
    [anon_sym_typeof] = ACTIONS(3252),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_with] = ACTIONS(3252),
    [anon_sym_var] = ACTIONS(3252),
    [anon_sym_let] = ACTIONS(3252),
    [anon_sym_const] = ACTIONS(3252),
    [anon_sym_BANG] = ACTIONS(3252),
    [anon_sym_if] = ACTIONS(3252),
    [anon_sym_switch] = ACTIONS(3252),
    [anon_sym_for] = ACTIONS(3252),
    [anon_sym_LPAREN] = ACTIONS(3252),
    [anon_sym_await] = ACTIONS(3252),
    [anon_sym_while] = ACTIONS(3252),
    [anon_sym_do] = ACTIONS(3252),
    [anon_sym_try] = ACTIONS(3252),
    [anon_sym_break] = ACTIONS(3252),
    [anon_sym_continue] = ACTIONS(3252),
    [anon_sym_debugger] = ACTIONS(3252),
    [anon_sym_return] = ACTIONS(3252),
    [anon_sym_throw] = ACTIONS(3252),
    [anon_sym_SEMI] = ACTIONS(3252),
    [anon_sym_case] = ACTIONS(3252),
    [anon_sym_yield] = ACTIONS(3252),
    [anon_sym_LBRACK] = ACTIONS(3252),
    [anon_sym_LTtemplate_GT] = ACTIONS(3252),
    [anon_sym_DQUOTE] = ACTIONS(3252),
    [anon_sym_SQUOTE] = ACTIONS(3252),
    [anon_sym_class] = ACTIONS(3252),
    [anon_sym_async] = ACTIONS(3252),
    [anon_sym_function] = ACTIONS(3252),
    [anon_sym_new] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3252),
    [anon_sym_PLUS] = ACTIONS(3252),
    [anon_sym_DASH] = ACTIONS(3252),
    [anon_sym_SLASH] = ACTIONS(3252),
    [anon_sym_LT] = ACTIONS(3252),
    [anon_sym_TILDE] = ACTIONS(3252),
    [anon_sym_void] = ACTIONS(3252),
    [anon_sym_delete] = ACTIONS(3252),
    [anon_sym_PLUS_PLUS] = ACTIONS(3252),
    [anon_sym_DASH_DASH] = ACTIONS(3252),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3252),
    [sym_number] = ACTIONS(3252),
    [sym_private_property_identifier] = ACTIONS(3252),
    [sym_this] = ACTIONS(3252),
    [sym_super] = ACTIONS(3252),
    [sym_true] = ACTIONS(3252),
    [sym_false] = ACTIONS(3252),
    [sym_null] = ACTIONS(3252),
    [sym_undefined] = ACTIONS(3252),
    [anon_sym_AT] = ACTIONS(3252),
    [anon_sym_static] = ACTIONS(3252),
    [anon_sym_readonly] = ACTIONS(3252),
    [anon_sym_get] = ACTIONS(3252),
    [anon_sym_set] = ACTIONS(3252),
    [anon_sym_declare] = ACTIONS(3252),
    [anon_sym_public] = ACTIONS(3252),
    [anon_sym_private] = ACTIONS(3252),
    [anon_sym_protected] = ACTIONS(3252),
    [anon_sym_override] = ACTIONS(3252),
    [anon_sym_module] = ACTIONS(3252),
    [anon_sym_any] = ACTIONS(3252),
    [anon_sym_number] = ACTIONS(3252),
    [anon_sym_boolean] = ACTIONS(3252),
    [anon_sym_string] = ACTIONS(3252),
    [anon_sym_symbol] = ACTIONS(3252),
    [anon_sym_object] = ACTIONS(3252),
    [anon_sym_abstract] = ACTIONS(3252),
    [anon_sym_interface] = ACTIONS(3252),
    [anon_sym_enum] = ACTIONS(3252),
    [sym_html_comment] = ACTIONS(5),
  },
  [1262] = {
    [sym_comment] = STATE(1262),
    [sym_identifier] = ACTIONS(3252),
    [anon_sym_export] = ACTIONS(3252),
    [anon_sym_default] = ACTIONS(3252),
    [anon_sym_type] = ACTIONS(3252),
    [anon_sym_namespace] = ACTIONS(3252),
    [anon_sym_LBRACE] = ACTIONS(3252),
    [anon_sym_RBRACE] = ACTIONS(3252),
    [anon_sym_typeof] = ACTIONS(3252),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_with] = ACTIONS(3252),
    [anon_sym_var] = ACTIONS(3252),
    [anon_sym_let] = ACTIONS(3252),
    [anon_sym_const] = ACTIONS(3252),
    [anon_sym_BANG] = ACTIONS(3252),
    [anon_sym_if] = ACTIONS(3252),
    [anon_sym_switch] = ACTIONS(3252),
    [anon_sym_for] = ACTIONS(3252),
    [anon_sym_LPAREN] = ACTIONS(3252),
    [anon_sym_await] = ACTIONS(3252),
    [anon_sym_while] = ACTIONS(3252),
    [anon_sym_do] = ACTIONS(3252),
    [anon_sym_try] = ACTIONS(3252),
    [anon_sym_break] = ACTIONS(3252),
    [anon_sym_continue] = ACTIONS(3252),
    [anon_sym_debugger] = ACTIONS(3252),
    [anon_sym_return] = ACTIONS(3252),
    [anon_sym_throw] = ACTIONS(3252),
    [anon_sym_SEMI] = ACTIONS(3252),
    [anon_sym_case] = ACTIONS(3252),
    [anon_sym_yield] = ACTIONS(3252),
    [anon_sym_LBRACK] = ACTIONS(3252),
    [anon_sym_LTtemplate_GT] = ACTIONS(3252),
    [anon_sym_DQUOTE] = ACTIONS(3252),
    [anon_sym_SQUOTE] = ACTIONS(3252),
    [anon_sym_class] = ACTIONS(3252),
    [anon_sym_async] = ACTIONS(3252),
    [anon_sym_function] = ACTIONS(3252),
    [anon_sym_new] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3252),
    [anon_sym_PLUS] = ACTIONS(3252),
    [anon_sym_DASH] = ACTIONS(3252),
    [anon_sym_SLASH] = ACTIONS(3252),
    [anon_sym_LT] = ACTIONS(3252),
    [anon_sym_TILDE] = ACTIONS(3252),
    [anon_sym_void] = ACTIONS(3252),
    [anon_sym_delete] = ACTIONS(3252),
    [anon_sym_PLUS_PLUS] = ACTIONS(3252),
    [anon_sym_DASH_DASH] = ACTIONS(3252),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3252),
    [sym_number] = ACTIONS(3252),
    [sym_private_property_identifier] = ACTIONS(3252),
    [sym_this] = ACTIONS(3252),
    [sym_super] = ACTIONS(3252),
    [sym_true] = ACTIONS(3252),
    [sym_false] = ACTIONS(3252),
    [sym_null] = ACTIONS(3252),
    [sym_undefined] = ACTIONS(3252),
    [anon_sym_AT] = ACTIONS(3252),
    [anon_sym_static] = ACTIONS(3252),
    [anon_sym_readonly] = ACTIONS(3252),
    [anon_sym_get] = ACTIONS(3252),
    [anon_sym_set] = ACTIONS(3252),
    [anon_sym_declare] = ACTIONS(3252),
    [anon_sym_public] = ACTIONS(3252),
    [anon_sym_private] = ACTIONS(3252),
    [anon_sym_protected] = ACTIONS(3252),
    [anon_sym_override] = ACTIONS(3252),
    [anon_sym_module] = ACTIONS(3252),
    [anon_sym_any] = ACTIONS(3252),
    [anon_sym_number] = ACTIONS(3252),
    [anon_sym_boolean] = ACTIONS(3252),
    [anon_sym_string] = ACTIONS(3252),
    [anon_sym_symbol] = ACTIONS(3252),
    [anon_sym_object] = ACTIONS(3252),
    [anon_sym_abstract] = ACTIONS(3252),
    [anon_sym_interface] = ACTIONS(3252),
    [anon_sym_enum] = ACTIONS(3252),
    [sym_html_comment] = ACTIONS(5),
  },
  [1263] = {
    [sym_comment] = STATE(1263),
    [ts_builtin_sym_end] = ACTIONS(3370),
    [sym_identifier] = ACTIONS(3154),
    [anon_sym_export] = ACTIONS(3154),
    [anon_sym_type] = ACTIONS(3154),
    [anon_sym_namespace] = ACTIONS(3154),
    [anon_sym_LBRACE] = ACTIONS(3154),
    [anon_sym_RBRACE] = ACTIONS(3154),
    [anon_sym_typeof] = ACTIONS(3154),
    [anon_sym_import] = ACTIONS(3154),
    [anon_sym_with] = ACTIONS(3154),
    [anon_sym_var] = ACTIONS(3154),
    [anon_sym_let] = ACTIONS(3154),
    [anon_sym_const] = ACTIONS(3154),
    [anon_sym_BANG] = ACTIONS(3154),
    [anon_sym_else] = ACTIONS(3154),
    [anon_sym_if] = ACTIONS(3154),
    [anon_sym_switch] = ACTIONS(3154),
    [anon_sym_for] = ACTIONS(3154),
    [anon_sym_LPAREN] = ACTIONS(3154),
    [anon_sym_await] = ACTIONS(3154),
    [anon_sym_while] = ACTIONS(3154),
    [anon_sym_do] = ACTIONS(3154),
    [anon_sym_try] = ACTIONS(3154),
    [anon_sym_break] = ACTIONS(3154),
    [anon_sym_continue] = ACTIONS(3154),
    [anon_sym_debugger] = ACTIONS(3154),
    [anon_sym_return] = ACTIONS(3154),
    [anon_sym_throw] = ACTIONS(3154),
    [anon_sym_SEMI] = ACTIONS(3154),
    [anon_sym_yield] = ACTIONS(3154),
    [anon_sym_LBRACK] = ACTIONS(3154),
    [anon_sym_LTtemplate_GT] = ACTIONS(3154),
    [anon_sym_DQUOTE] = ACTIONS(3154),
    [anon_sym_SQUOTE] = ACTIONS(3154),
    [anon_sym_class] = ACTIONS(3154),
    [anon_sym_async] = ACTIONS(3154),
    [anon_sym_function] = ACTIONS(3154),
    [anon_sym_new] = ACTIONS(3154),
    [anon_sym_using] = ACTIONS(3154),
    [anon_sym_PLUS] = ACTIONS(3154),
    [anon_sym_DASH] = ACTIONS(3154),
    [anon_sym_SLASH] = ACTIONS(3154),
    [anon_sym_LT] = ACTIONS(3154),
    [anon_sym_TILDE] = ACTIONS(3154),
    [anon_sym_void] = ACTIONS(3154),
    [anon_sym_delete] = ACTIONS(3154),
    [anon_sym_PLUS_PLUS] = ACTIONS(3154),
    [anon_sym_DASH_DASH] = ACTIONS(3154),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3154),
    [sym_number] = ACTIONS(3154),
    [sym_private_property_identifier] = ACTIONS(3154),
    [sym_this] = ACTIONS(3154),
    [sym_super] = ACTIONS(3154),
    [sym_true] = ACTIONS(3154),
    [sym_false] = ACTIONS(3154),
    [sym_null] = ACTIONS(3154),
    [sym_undefined] = ACTIONS(3154),
    [anon_sym_AT] = ACTIONS(3154),
    [anon_sym_static] = ACTIONS(3154),
    [anon_sym_readonly] = ACTIONS(3154),
    [anon_sym_get] = ACTIONS(3154),
    [anon_sym_set] = ACTIONS(3154),
    [anon_sym_declare] = ACTIONS(3154),
    [anon_sym_public] = ACTIONS(3154),
    [anon_sym_private] = ACTIONS(3154),
    [anon_sym_protected] = ACTIONS(3154),
    [anon_sym_override] = ACTIONS(3154),
    [anon_sym_module] = ACTIONS(3154),
    [anon_sym_any] = ACTIONS(3154),
    [anon_sym_number] = ACTIONS(3154),
    [anon_sym_boolean] = ACTIONS(3154),
    [anon_sym_string] = ACTIONS(3154),
    [anon_sym_symbol] = ACTIONS(3154),
    [anon_sym_object] = ACTIONS(3154),
    [anon_sym_abstract] = ACTIONS(3154),
    [anon_sym_interface] = ACTIONS(3154),
    [anon_sym_enum] = ACTIONS(3154),
    [sym_html_comment] = ACTIONS(5),
  },
  [1264] = {
    [sym_comment] = STATE(1264),
    [sym_identifier] = ACTIONS(3180),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_default] = ACTIONS(3180),
    [anon_sym_type] = ACTIONS(3180),
    [anon_sym_namespace] = ACTIONS(3180),
    [anon_sym_LBRACE] = ACTIONS(3180),
    [anon_sym_RBRACE] = ACTIONS(3180),
    [anon_sym_typeof] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3180),
    [anon_sym_with] = ACTIONS(3180),
    [anon_sym_var] = ACTIONS(3180),
    [anon_sym_let] = ACTIONS(3180),
    [anon_sym_const] = ACTIONS(3180),
    [anon_sym_BANG] = ACTIONS(3180),
    [anon_sym_if] = ACTIONS(3180),
    [anon_sym_switch] = ACTIONS(3180),
    [anon_sym_for] = ACTIONS(3180),
    [anon_sym_LPAREN] = ACTIONS(3180),
    [anon_sym_await] = ACTIONS(3180),
    [anon_sym_while] = ACTIONS(3180),
    [anon_sym_do] = ACTIONS(3180),
    [anon_sym_try] = ACTIONS(3180),
    [anon_sym_break] = ACTIONS(3180),
    [anon_sym_continue] = ACTIONS(3180),
    [anon_sym_debugger] = ACTIONS(3180),
    [anon_sym_return] = ACTIONS(3180),
    [anon_sym_throw] = ACTIONS(3180),
    [anon_sym_SEMI] = ACTIONS(3180),
    [anon_sym_case] = ACTIONS(3180),
    [anon_sym_yield] = ACTIONS(3180),
    [anon_sym_LBRACK] = ACTIONS(3180),
    [anon_sym_LTtemplate_GT] = ACTIONS(3180),
    [anon_sym_DQUOTE] = ACTIONS(3180),
    [anon_sym_SQUOTE] = ACTIONS(3180),
    [anon_sym_class] = ACTIONS(3180),
    [anon_sym_async] = ACTIONS(3180),
    [anon_sym_function] = ACTIONS(3180),
    [anon_sym_new] = ACTIONS(3180),
    [anon_sym_using] = ACTIONS(3180),
    [anon_sym_PLUS] = ACTIONS(3180),
    [anon_sym_DASH] = ACTIONS(3180),
    [anon_sym_SLASH] = ACTIONS(3180),
    [anon_sym_LT] = ACTIONS(3180),
    [anon_sym_TILDE] = ACTIONS(3180),
    [anon_sym_void] = ACTIONS(3180),
    [anon_sym_delete] = ACTIONS(3180),
    [anon_sym_PLUS_PLUS] = ACTIONS(3180),
    [anon_sym_DASH_DASH] = ACTIONS(3180),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3180),
    [sym_number] = ACTIONS(3180),
    [sym_private_property_identifier] = ACTIONS(3180),
    [sym_this] = ACTIONS(3180),
    [sym_super] = ACTIONS(3180),
    [sym_true] = ACTIONS(3180),
    [sym_false] = ACTIONS(3180),
    [sym_null] = ACTIONS(3180),
    [sym_undefined] = ACTIONS(3180),
    [anon_sym_AT] = ACTIONS(3180),
    [anon_sym_static] = ACTIONS(3180),
    [anon_sym_readonly] = ACTIONS(3180),
    [anon_sym_get] = ACTIONS(3180),
    [anon_sym_set] = ACTIONS(3180),
    [anon_sym_declare] = ACTIONS(3180),
    [anon_sym_public] = ACTIONS(3180),
    [anon_sym_private] = ACTIONS(3180),
    [anon_sym_protected] = ACTIONS(3180),
    [anon_sym_override] = ACTIONS(3180),
    [anon_sym_module] = ACTIONS(3180),
    [anon_sym_any] = ACTIONS(3180),
    [anon_sym_number] = ACTIONS(3180),
    [anon_sym_boolean] = ACTIONS(3180),
    [anon_sym_string] = ACTIONS(3180),
    [anon_sym_symbol] = ACTIONS(3180),
    [anon_sym_object] = ACTIONS(3180),
    [anon_sym_abstract] = ACTIONS(3180),
    [anon_sym_interface] = ACTIONS(3180),
    [anon_sym_enum] = ACTIONS(3180),
    [sym_html_comment] = ACTIONS(5),
  },
  [1265] = {
    [sym_comment] = STATE(1265),
    [sym_identifier] = ACTIONS(3252),
    [anon_sym_export] = ACTIONS(3252),
    [anon_sym_default] = ACTIONS(3252),
    [anon_sym_type] = ACTIONS(3252),
    [anon_sym_namespace] = ACTIONS(3252),
    [anon_sym_LBRACE] = ACTIONS(3252),
    [anon_sym_RBRACE] = ACTIONS(3252),
    [anon_sym_typeof] = ACTIONS(3252),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_with] = ACTIONS(3252),
    [anon_sym_var] = ACTIONS(3252),
    [anon_sym_let] = ACTIONS(3252),
    [anon_sym_const] = ACTIONS(3252),
    [anon_sym_BANG] = ACTIONS(3252),
    [anon_sym_if] = ACTIONS(3252),
    [anon_sym_switch] = ACTIONS(3252),
    [anon_sym_for] = ACTIONS(3252),
    [anon_sym_LPAREN] = ACTIONS(3252),
    [anon_sym_await] = ACTIONS(3252),
    [anon_sym_while] = ACTIONS(3252),
    [anon_sym_do] = ACTIONS(3252),
    [anon_sym_try] = ACTIONS(3252),
    [anon_sym_break] = ACTIONS(3252),
    [anon_sym_continue] = ACTIONS(3252),
    [anon_sym_debugger] = ACTIONS(3252),
    [anon_sym_return] = ACTIONS(3252),
    [anon_sym_throw] = ACTIONS(3252),
    [anon_sym_SEMI] = ACTIONS(3252),
    [anon_sym_case] = ACTIONS(3252),
    [anon_sym_yield] = ACTIONS(3252),
    [anon_sym_LBRACK] = ACTIONS(3252),
    [anon_sym_LTtemplate_GT] = ACTIONS(3252),
    [anon_sym_DQUOTE] = ACTIONS(3252),
    [anon_sym_SQUOTE] = ACTIONS(3252),
    [anon_sym_class] = ACTIONS(3252),
    [anon_sym_async] = ACTIONS(3252),
    [anon_sym_function] = ACTIONS(3252),
    [anon_sym_new] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3252),
    [anon_sym_PLUS] = ACTIONS(3252),
    [anon_sym_DASH] = ACTIONS(3252),
    [anon_sym_SLASH] = ACTIONS(3252),
    [anon_sym_LT] = ACTIONS(3252),
    [anon_sym_TILDE] = ACTIONS(3252),
    [anon_sym_void] = ACTIONS(3252),
    [anon_sym_delete] = ACTIONS(3252),
    [anon_sym_PLUS_PLUS] = ACTIONS(3252),
    [anon_sym_DASH_DASH] = ACTIONS(3252),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3252),
    [sym_number] = ACTIONS(3252),
    [sym_private_property_identifier] = ACTIONS(3252),
    [sym_this] = ACTIONS(3252),
    [sym_super] = ACTIONS(3252),
    [sym_true] = ACTIONS(3252),
    [sym_false] = ACTIONS(3252),
    [sym_null] = ACTIONS(3252),
    [sym_undefined] = ACTIONS(3252),
    [anon_sym_AT] = ACTIONS(3252),
    [anon_sym_static] = ACTIONS(3252),
    [anon_sym_readonly] = ACTIONS(3252),
    [anon_sym_get] = ACTIONS(3252),
    [anon_sym_set] = ACTIONS(3252),
    [anon_sym_declare] = ACTIONS(3252),
    [anon_sym_public] = ACTIONS(3252),
    [anon_sym_private] = ACTIONS(3252),
    [anon_sym_protected] = ACTIONS(3252),
    [anon_sym_override] = ACTIONS(3252),
    [anon_sym_module] = ACTIONS(3252),
    [anon_sym_any] = ACTIONS(3252),
    [anon_sym_number] = ACTIONS(3252),
    [anon_sym_boolean] = ACTIONS(3252),
    [anon_sym_string] = ACTIONS(3252),
    [anon_sym_symbol] = ACTIONS(3252),
    [anon_sym_object] = ACTIONS(3252),
    [anon_sym_abstract] = ACTIONS(3252),
    [anon_sym_interface] = ACTIONS(3252),
    [anon_sym_enum] = ACTIONS(3252),
    [sym_html_comment] = ACTIONS(5),
  },
  [1266] = {
    [sym_comment] = STATE(1266),
    [sym_identifier] = ACTIONS(3252),
    [anon_sym_export] = ACTIONS(3252),
    [anon_sym_default] = ACTIONS(3252),
    [anon_sym_type] = ACTIONS(3252),
    [anon_sym_namespace] = ACTIONS(3252),
    [anon_sym_LBRACE] = ACTIONS(3252),
    [anon_sym_RBRACE] = ACTIONS(3252),
    [anon_sym_typeof] = ACTIONS(3252),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_with] = ACTIONS(3252),
    [anon_sym_var] = ACTIONS(3252),
    [anon_sym_let] = ACTIONS(3252),
    [anon_sym_const] = ACTIONS(3252),
    [anon_sym_BANG] = ACTIONS(3252),
    [anon_sym_if] = ACTIONS(3252),
    [anon_sym_switch] = ACTIONS(3252),
    [anon_sym_for] = ACTIONS(3252),
    [anon_sym_LPAREN] = ACTIONS(3252),
    [anon_sym_await] = ACTIONS(3252),
    [anon_sym_while] = ACTIONS(3252),
    [anon_sym_do] = ACTIONS(3252),
    [anon_sym_try] = ACTIONS(3252),
    [anon_sym_break] = ACTIONS(3252),
    [anon_sym_continue] = ACTIONS(3252),
    [anon_sym_debugger] = ACTIONS(3252),
    [anon_sym_return] = ACTIONS(3252),
    [anon_sym_throw] = ACTIONS(3252),
    [anon_sym_SEMI] = ACTIONS(3252),
    [anon_sym_case] = ACTIONS(3252),
    [anon_sym_yield] = ACTIONS(3252),
    [anon_sym_LBRACK] = ACTIONS(3252),
    [anon_sym_LTtemplate_GT] = ACTIONS(3252),
    [anon_sym_DQUOTE] = ACTIONS(3252),
    [anon_sym_SQUOTE] = ACTIONS(3252),
    [anon_sym_class] = ACTIONS(3252),
    [anon_sym_async] = ACTIONS(3252),
    [anon_sym_function] = ACTIONS(3252),
    [anon_sym_new] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3252),
    [anon_sym_PLUS] = ACTIONS(3252),
    [anon_sym_DASH] = ACTIONS(3252),
    [anon_sym_SLASH] = ACTIONS(3252),
    [anon_sym_LT] = ACTIONS(3252),
    [anon_sym_TILDE] = ACTIONS(3252),
    [anon_sym_void] = ACTIONS(3252),
    [anon_sym_delete] = ACTIONS(3252),
    [anon_sym_PLUS_PLUS] = ACTIONS(3252),
    [anon_sym_DASH_DASH] = ACTIONS(3252),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3252),
    [sym_number] = ACTIONS(3252),
    [sym_private_property_identifier] = ACTIONS(3252),
    [sym_this] = ACTIONS(3252),
    [sym_super] = ACTIONS(3252),
    [sym_true] = ACTIONS(3252),
    [sym_false] = ACTIONS(3252),
    [sym_null] = ACTIONS(3252),
    [sym_undefined] = ACTIONS(3252),
    [anon_sym_AT] = ACTIONS(3252),
    [anon_sym_static] = ACTIONS(3252),
    [anon_sym_readonly] = ACTIONS(3252),
    [anon_sym_get] = ACTIONS(3252),
    [anon_sym_set] = ACTIONS(3252),
    [anon_sym_declare] = ACTIONS(3252),
    [anon_sym_public] = ACTIONS(3252),
    [anon_sym_private] = ACTIONS(3252),
    [anon_sym_protected] = ACTIONS(3252),
    [anon_sym_override] = ACTIONS(3252),
    [anon_sym_module] = ACTIONS(3252),
    [anon_sym_any] = ACTIONS(3252),
    [anon_sym_number] = ACTIONS(3252),
    [anon_sym_boolean] = ACTIONS(3252),
    [anon_sym_string] = ACTIONS(3252),
    [anon_sym_symbol] = ACTIONS(3252),
    [anon_sym_object] = ACTIONS(3252),
    [anon_sym_abstract] = ACTIONS(3252),
    [anon_sym_interface] = ACTIONS(3252),
    [anon_sym_enum] = ACTIONS(3252),
    [sym_html_comment] = ACTIONS(5),
  },
  [1267] = {
    [sym_comment] = STATE(1267),
    [ts_builtin_sym_end] = ACTIONS(3370),
    [sym_identifier] = ACTIONS(3154),
    [anon_sym_export] = ACTIONS(3154),
    [anon_sym_type] = ACTIONS(3154),
    [anon_sym_namespace] = ACTIONS(3154),
    [anon_sym_LBRACE] = ACTIONS(3154),
    [anon_sym_RBRACE] = ACTIONS(3154),
    [anon_sym_typeof] = ACTIONS(3154),
    [anon_sym_import] = ACTIONS(3154),
    [anon_sym_with] = ACTIONS(3154),
    [anon_sym_var] = ACTIONS(3154),
    [anon_sym_let] = ACTIONS(3154),
    [anon_sym_const] = ACTIONS(3154),
    [anon_sym_BANG] = ACTIONS(3154),
    [anon_sym_else] = ACTIONS(3154),
    [anon_sym_if] = ACTIONS(3154),
    [anon_sym_switch] = ACTIONS(3154),
    [anon_sym_for] = ACTIONS(3154),
    [anon_sym_LPAREN] = ACTIONS(3154),
    [anon_sym_await] = ACTIONS(3154),
    [anon_sym_while] = ACTIONS(3154),
    [anon_sym_do] = ACTIONS(3154),
    [anon_sym_try] = ACTIONS(3154),
    [anon_sym_break] = ACTIONS(3154),
    [anon_sym_continue] = ACTIONS(3154),
    [anon_sym_debugger] = ACTIONS(3154),
    [anon_sym_return] = ACTIONS(3154),
    [anon_sym_throw] = ACTIONS(3154),
    [anon_sym_SEMI] = ACTIONS(3154),
    [anon_sym_yield] = ACTIONS(3154),
    [anon_sym_LBRACK] = ACTIONS(3154),
    [anon_sym_LTtemplate_GT] = ACTIONS(3154),
    [anon_sym_DQUOTE] = ACTIONS(3154),
    [anon_sym_SQUOTE] = ACTIONS(3154),
    [anon_sym_class] = ACTIONS(3154),
    [anon_sym_async] = ACTIONS(3154),
    [anon_sym_function] = ACTIONS(3154),
    [anon_sym_new] = ACTIONS(3154),
    [anon_sym_using] = ACTIONS(3154),
    [anon_sym_PLUS] = ACTIONS(3154),
    [anon_sym_DASH] = ACTIONS(3154),
    [anon_sym_SLASH] = ACTIONS(3154),
    [anon_sym_LT] = ACTIONS(3154),
    [anon_sym_TILDE] = ACTIONS(3154),
    [anon_sym_void] = ACTIONS(3154),
    [anon_sym_delete] = ACTIONS(3154),
    [anon_sym_PLUS_PLUS] = ACTIONS(3154),
    [anon_sym_DASH_DASH] = ACTIONS(3154),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3154),
    [sym_number] = ACTIONS(3154),
    [sym_private_property_identifier] = ACTIONS(3154),
    [sym_this] = ACTIONS(3154),
    [sym_super] = ACTIONS(3154),
    [sym_true] = ACTIONS(3154),
    [sym_false] = ACTIONS(3154),
    [sym_null] = ACTIONS(3154),
    [sym_undefined] = ACTIONS(3154),
    [anon_sym_AT] = ACTIONS(3154),
    [anon_sym_static] = ACTIONS(3154),
    [anon_sym_readonly] = ACTIONS(3154),
    [anon_sym_get] = ACTIONS(3154),
    [anon_sym_set] = ACTIONS(3154),
    [anon_sym_declare] = ACTIONS(3154),
    [anon_sym_public] = ACTIONS(3154),
    [anon_sym_private] = ACTIONS(3154),
    [anon_sym_protected] = ACTIONS(3154),
    [anon_sym_override] = ACTIONS(3154),
    [anon_sym_module] = ACTIONS(3154),
    [anon_sym_any] = ACTIONS(3154),
    [anon_sym_number] = ACTIONS(3154),
    [anon_sym_boolean] = ACTIONS(3154),
    [anon_sym_string] = ACTIONS(3154),
    [anon_sym_symbol] = ACTIONS(3154),
    [anon_sym_object] = ACTIONS(3154),
    [anon_sym_abstract] = ACTIONS(3154),
    [anon_sym_interface] = ACTIONS(3154),
    [anon_sym_enum] = ACTIONS(3154),
    [sym_html_comment] = ACTIONS(5),
  },
  [1268] = {
    [sym_comment] = STATE(1268),
    [ts_builtin_sym_end] = ACTIONS(3370),
    [sym_identifier] = ACTIONS(3154),
    [anon_sym_export] = ACTIONS(3154),
    [anon_sym_type] = ACTIONS(3154),
    [anon_sym_namespace] = ACTIONS(3154),
    [anon_sym_LBRACE] = ACTIONS(3154),
    [anon_sym_RBRACE] = ACTIONS(3154),
    [anon_sym_typeof] = ACTIONS(3154),
    [anon_sym_import] = ACTIONS(3154),
    [anon_sym_with] = ACTIONS(3154),
    [anon_sym_var] = ACTIONS(3154),
    [anon_sym_let] = ACTIONS(3154),
    [anon_sym_const] = ACTIONS(3154),
    [anon_sym_BANG] = ACTIONS(3154),
    [anon_sym_else] = ACTIONS(3154),
    [anon_sym_if] = ACTIONS(3154),
    [anon_sym_switch] = ACTIONS(3154),
    [anon_sym_for] = ACTIONS(3154),
    [anon_sym_LPAREN] = ACTIONS(3154),
    [anon_sym_await] = ACTIONS(3154),
    [anon_sym_while] = ACTIONS(3154),
    [anon_sym_do] = ACTIONS(3154),
    [anon_sym_try] = ACTIONS(3154),
    [anon_sym_break] = ACTIONS(3154),
    [anon_sym_continue] = ACTIONS(3154),
    [anon_sym_debugger] = ACTIONS(3154),
    [anon_sym_return] = ACTIONS(3154),
    [anon_sym_throw] = ACTIONS(3154),
    [anon_sym_SEMI] = ACTIONS(3154),
    [anon_sym_yield] = ACTIONS(3154),
    [anon_sym_LBRACK] = ACTIONS(3154),
    [anon_sym_LTtemplate_GT] = ACTIONS(3154),
    [anon_sym_DQUOTE] = ACTIONS(3154),
    [anon_sym_SQUOTE] = ACTIONS(3154),
    [anon_sym_class] = ACTIONS(3154),
    [anon_sym_async] = ACTIONS(3154),
    [anon_sym_function] = ACTIONS(3154),
    [anon_sym_new] = ACTIONS(3154),
    [anon_sym_using] = ACTIONS(3154),
    [anon_sym_PLUS] = ACTIONS(3154),
    [anon_sym_DASH] = ACTIONS(3154),
    [anon_sym_SLASH] = ACTIONS(3154),
    [anon_sym_LT] = ACTIONS(3154),
    [anon_sym_TILDE] = ACTIONS(3154),
    [anon_sym_void] = ACTIONS(3154),
    [anon_sym_delete] = ACTIONS(3154),
    [anon_sym_PLUS_PLUS] = ACTIONS(3154),
    [anon_sym_DASH_DASH] = ACTIONS(3154),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3154),
    [sym_number] = ACTIONS(3154),
    [sym_private_property_identifier] = ACTIONS(3154),
    [sym_this] = ACTIONS(3154),
    [sym_super] = ACTIONS(3154),
    [sym_true] = ACTIONS(3154),
    [sym_false] = ACTIONS(3154),
    [sym_null] = ACTIONS(3154),
    [sym_undefined] = ACTIONS(3154),
    [anon_sym_AT] = ACTIONS(3154),
    [anon_sym_static] = ACTIONS(3154),
    [anon_sym_readonly] = ACTIONS(3154),
    [anon_sym_get] = ACTIONS(3154),
    [anon_sym_set] = ACTIONS(3154),
    [anon_sym_declare] = ACTIONS(3154),
    [anon_sym_public] = ACTIONS(3154),
    [anon_sym_private] = ACTIONS(3154),
    [anon_sym_protected] = ACTIONS(3154),
    [anon_sym_override] = ACTIONS(3154),
    [anon_sym_module] = ACTIONS(3154),
    [anon_sym_any] = ACTIONS(3154),
    [anon_sym_number] = ACTIONS(3154),
    [anon_sym_boolean] = ACTIONS(3154),
    [anon_sym_string] = ACTIONS(3154),
    [anon_sym_symbol] = ACTIONS(3154),
    [anon_sym_object] = ACTIONS(3154),
    [anon_sym_abstract] = ACTIONS(3154),
    [anon_sym_interface] = ACTIONS(3154),
    [anon_sym_enum] = ACTIONS(3154),
    [sym_html_comment] = ACTIONS(5),
  },
  [1269] = {
    [sym_comment] = STATE(1269),
    [sym_identifier] = ACTIONS(3254),
    [anon_sym_export] = ACTIONS(3254),
    [anon_sym_default] = ACTIONS(3254),
    [anon_sym_type] = ACTIONS(3254),
    [anon_sym_namespace] = ACTIONS(3254),
    [anon_sym_LBRACE] = ACTIONS(3254),
    [anon_sym_RBRACE] = ACTIONS(3254),
    [anon_sym_typeof] = ACTIONS(3254),
    [anon_sym_import] = ACTIONS(3254),
    [anon_sym_with] = ACTIONS(3254),
    [anon_sym_var] = ACTIONS(3254),
    [anon_sym_let] = ACTIONS(3254),
    [anon_sym_const] = ACTIONS(3254),
    [anon_sym_BANG] = ACTIONS(3254),
    [anon_sym_if] = ACTIONS(3254),
    [anon_sym_switch] = ACTIONS(3254),
    [anon_sym_for] = ACTIONS(3254),
    [anon_sym_LPAREN] = ACTIONS(3254),
    [anon_sym_await] = ACTIONS(3254),
    [anon_sym_while] = ACTIONS(3254),
    [anon_sym_do] = ACTIONS(3254),
    [anon_sym_try] = ACTIONS(3254),
    [anon_sym_break] = ACTIONS(3254),
    [anon_sym_continue] = ACTIONS(3254),
    [anon_sym_debugger] = ACTIONS(3254),
    [anon_sym_return] = ACTIONS(3254),
    [anon_sym_throw] = ACTIONS(3254),
    [anon_sym_SEMI] = ACTIONS(3254),
    [anon_sym_case] = ACTIONS(3254),
    [anon_sym_yield] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(3254),
    [anon_sym_LTtemplate_GT] = ACTIONS(3254),
    [anon_sym_DQUOTE] = ACTIONS(3254),
    [anon_sym_SQUOTE] = ACTIONS(3254),
    [anon_sym_class] = ACTIONS(3254),
    [anon_sym_async] = ACTIONS(3254),
    [anon_sym_function] = ACTIONS(3254),
    [anon_sym_new] = ACTIONS(3254),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_PLUS] = ACTIONS(3254),
    [anon_sym_DASH] = ACTIONS(3254),
    [anon_sym_SLASH] = ACTIONS(3254),
    [anon_sym_LT] = ACTIONS(3254),
    [anon_sym_TILDE] = ACTIONS(3254),
    [anon_sym_void] = ACTIONS(3254),
    [anon_sym_delete] = ACTIONS(3254),
    [anon_sym_PLUS_PLUS] = ACTIONS(3254),
    [anon_sym_DASH_DASH] = ACTIONS(3254),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3254),
    [sym_number] = ACTIONS(3254),
    [sym_private_property_identifier] = ACTIONS(3254),
    [sym_this] = ACTIONS(3254),
    [sym_super] = ACTIONS(3254),
    [sym_true] = ACTIONS(3254),
    [sym_false] = ACTIONS(3254),
    [sym_null] = ACTIONS(3254),
    [sym_undefined] = ACTIONS(3254),
    [anon_sym_AT] = ACTIONS(3254),
    [anon_sym_static] = ACTIONS(3254),
    [anon_sym_readonly] = ACTIONS(3254),
    [anon_sym_get] = ACTIONS(3254),
    [anon_sym_set] = ACTIONS(3254),
    [anon_sym_declare] = ACTIONS(3254),
    [anon_sym_public] = ACTIONS(3254),
    [anon_sym_private] = ACTIONS(3254),
    [anon_sym_protected] = ACTIONS(3254),
    [anon_sym_override] = ACTIONS(3254),
    [anon_sym_module] = ACTIONS(3254),
    [anon_sym_any] = ACTIONS(3254),
    [anon_sym_number] = ACTIONS(3254),
    [anon_sym_boolean] = ACTIONS(3254),
    [anon_sym_string] = ACTIONS(3254),
    [anon_sym_symbol] = ACTIONS(3254),
    [anon_sym_object] = ACTIONS(3254),
    [anon_sym_abstract] = ACTIONS(3254),
    [anon_sym_interface] = ACTIONS(3254),
    [anon_sym_enum] = ACTIONS(3254),
    [sym_html_comment] = ACTIONS(5),
  },
  [1270] = {
    [sym_comment] = STATE(1270),
    [sym_identifier] = ACTIONS(3256),
    [anon_sym_export] = ACTIONS(3256),
    [anon_sym_default] = ACTIONS(3256),
    [anon_sym_type] = ACTIONS(3256),
    [anon_sym_namespace] = ACTIONS(3256),
    [anon_sym_LBRACE] = ACTIONS(3256),
    [anon_sym_RBRACE] = ACTIONS(3256),
    [anon_sym_typeof] = ACTIONS(3256),
    [anon_sym_import] = ACTIONS(3256),
    [anon_sym_with] = ACTIONS(3256),
    [anon_sym_var] = ACTIONS(3256),
    [anon_sym_let] = ACTIONS(3256),
    [anon_sym_const] = ACTIONS(3256),
    [anon_sym_BANG] = ACTIONS(3256),
    [anon_sym_if] = ACTIONS(3256),
    [anon_sym_switch] = ACTIONS(3256),
    [anon_sym_for] = ACTIONS(3256),
    [anon_sym_LPAREN] = ACTIONS(3256),
    [anon_sym_await] = ACTIONS(3256),
    [anon_sym_while] = ACTIONS(3256),
    [anon_sym_do] = ACTIONS(3256),
    [anon_sym_try] = ACTIONS(3256),
    [anon_sym_break] = ACTIONS(3256),
    [anon_sym_continue] = ACTIONS(3256),
    [anon_sym_debugger] = ACTIONS(3256),
    [anon_sym_return] = ACTIONS(3256),
    [anon_sym_throw] = ACTIONS(3256),
    [anon_sym_SEMI] = ACTIONS(3256),
    [anon_sym_case] = ACTIONS(3256),
    [anon_sym_yield] = ACTIONS(3256),
    [anon_sym_LBRACK] = ACTIONS(3256),
    [anon_sym_LTtemplate_GT] = ACTIONS(3256),
    [anon_sym_DQUOTE] = ACTIONS(3256),
    [anon_sym_SQUOTE] = ACTIONS(3256),
    [anon_sym_class] = ACTIONS(3256),
    [anon_sym_async] = ACTIONS(3256),
    [anon_sym_function] = ACTIONS(3256),
    [anon_sym_new] = ACTIONS(3256),
    [anon_sym_using] = ACTIONS(3256),
    [anon_sym_PLUS] = ACTIONS(3256),
    [anon_sym_DASH] = ACTIONS(3256),
    [anon_sym_SLASH] = ACTIONS(3256),
    [anon_sym_LT] = ACTIONS(3256),
    [anon_sym_TILDE] = ACTIONS(3256),
    [anon_sym_void] = ACTIONS(3256),
    [anon_sym_delete] = ACTIONS(3256),
    [anon_sym_PLUS_PLUS] = ACTIONS(3256),
    [anon_sym_DASH_DASH] = ACTIONS(3256),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3256),
    [sym_number] = ACTIONS(3256),
    [sym_private_property_identifier] = ACTIONS(3256),
    [sym_this] = ACTIONS(3256),
    [sym_super] = ACTIONS(3256),
    [sym_true] = ACTIONS(3256),
    [sym_false] = ACTIONS(3256),
    [sym_null] = ACTIONS(3256),
    [sym_undefined] = ACTIONS(3256),
    [anon_sym_AT] = ACTIONS(3256),
    [anon_sym_static] = ACTIONS(3256),
    [anon_sym_readonly] = ACTIONS(3256),
    [anon_sym_get] = ACTIONS(3256),
    [anon_sym_set] = ACTIONS(3256),
    [anon_sym_declare] = ACTIONS(3256),
    [anon_sym_public] = ACTIONS(3256),
    [anon_sym_private] = ACTIONS(3256),
    [anon_sym_protected] = ACTIONS(3256),
    [anon_sym_override] = ACTIONS(3256),
    [anon_sym_module] = ACTIONS(3256),
    [anon_sym_any] = ACTIONS(3256),
    [anon_sym_number] = ACTIONS(3256),
    [anon_sym_boolean] = ACTIONS(3256),
    [anon_sym_string] = ACTIONS(3256),
    [anon_sym_symbol] = ACTIONS(3256),
    [anon_sym_object] = ACTIONS(3256),
    [anon_sym_abstract] = ACTIONS(3256),
    [anon_sym_interface] = ACTIONS(3256),
    [anon_sym_enum] = ACTIONS(3256),
    [sym_html_comment] = ACTIONS(5),
  },
  [1271] = {
    [sym_comment] = STATE(1271),
    [sym_identifier] = ACTIONS(3178),
    [anon_sym_export] = ACTIONS(3178),
    [anon_sym_default] = ACTIONS(3178),
    [anon_sym_type] = ACTIONS(3178),
    [anon_sym_namespace] = ACTIONS(3178),
    [anon_sym_LBRACE] = ACTIONS(3178),
    [anon_sym_RBRACE] = ACTIONS(3178),
    [anon_sym_typeof] = ACTIONS(3178),
    [anon_sym_import] = ACTIONS(3178),
    [anon_sym_with] = ACTIONS(3178),
    [anon_sym_var] = ACTIONS(3178),
    [anon_sym_let] = ACTIONS(3178),
    [anon_sym_const] = ACTIONS(3178),
    [anon_sym_BANG] = ACTIONS(3178),
    [anon_sym_if] = ACTIONS(3178),
    [anon_sym_switch] = ACTIONS(3178),
    [anon_sym_for] = ACTIONS(3178),
    [anon_sym_LPAREN] = ACTIONS(3178),
    [anon_sym_await] = ACTIONS(3178),
    [anon_sym_while] = ACTIONS(3178),
    [anon_sym_do] = ACTIONS(3178),
    [anon_sym_try] = ACTIONS(3178),
    [anon_sym_break] = ACTIONS(3178),
    [anon_sym_continue] = ACTIONS(3178),
    [anon_sym_debugger] = ACTIONS(3178),
    [anon_sym_return] = ACTIONS(3178),
    [anon_sym_throw] = ACTIONS(3178),
    [anon_sym_SEMI] = ACTIONS(3178),
    [anon_sym_case] = ACTIONS(3178),
    [anon_sym_yield] = ACTIONS(3178),
    [anon_sym_LBRACK] = ACTIONS(3178),
    [anon_sym_LTtemplate_GT] = ACTIONS(3178),
    [anon_sym_DQUOTE] = ACTIONS(3178),
    [anon_sym_SQUOTE] = ACTIONS(3178),
    [anon_sym_class] = ACTIONS(3178),
    [anon_sym_async] = ACTIONS(3178),
    [anon_sym_function] = ACTIONS(3178),
    [anon_sym_new] = ACTIONS(3178),
    [anon_sym_using] = ACTIONS(3178),
    [anon_sym_PLUS] = ACTIONS(3178),
    [anon_sym_DASH] = ACTIONS(3178),
    [anon_sym_SLASH] = ACTIONS(3178),
    [anon_sym_LT] = ACTIONS(3178),
    [anon_sym_TILDE] = ACTIONS(3178),
    [anon_sym_void] = ACTIONS(3178),
    [anon_sym_delete] = ACTIONS(3178),
    [anon_sym_PLUS_PLUS] = ACTIONS(3178),
    [anon_sym_DASH_DASH] = ACTIONS(3178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3178),
    [sym_number] = ACTIONS(3178),
    [sym_private_property_identifier] = ACTIONS(3178),
    [sym_this] = ACTIONS(3178),
    [sym_super] = ACTIONS(3178),
    [sym_true] = ACTIONS(3178),
    [sym_false] = ACTIONS(3178),
    [sym_null] = ACTIONS(3178),
    [sym_undefined] = ACTIONS(3178),
    [anon_sym_AT] = ACTIONS(3178),
    [anon_sym_static] = ACTIONS(3178),
    [anon_sym_readonly] = ACTIONS(3178),
    [anon_sym_get] = ACTIONS(3178),
    [anon_sym_set] = ACTIONS(3178),
    [anon_sym_declare] = ACTIONS(3178),
    [anon_sym_public] = ACTIONS(3178),
    [anon_sym_private] = ACTIONS(3178),
    [anon_sym_protected] = ACTIONS(3178),
    [anon_sym_override] = ACTIONS(3178),
    [anon_sym_module] = ACTIONS(3178),
    [anon_sym_any] = ACTIONS(3178),
    [anon_sym_number] = ACTIONS(3178),
    [anon_sym_boolean] = ACTIONS(3178),
    [anon_sym_string] = ACTIONS(3178),
    [anon_sym_symbol] = ACTIONS(3178),
    [anon_sym_object] = ACTIONS(3178),
    [anon_sym_abstract] = ACTIONS(3178),
    [anon_sym_interface] = ACTIONS(3178),
    [anon_sym_enum] = ACTIONS(3178),
    [sym_html_comment] = ACTIONS(5),
  },
  [1272] = {
    [sym_comment] = STATE(1272),
    [sym_identifier] = ACTIONS(3252),
    [anon_sym_export] = ACTIONS(3252),
    [anon_sym_default] = ACTIONS(3252),
    [anon_sym_type] = ACTIONS(3252),
    [anon_sym_namespace] = ACTIONS(3252),
    [anon_sym_LBRACE] = ACTIONS(3252),
    [anon_sym_RBRACE] = ACTIONS(3252),
    [anon_sym_typeof] = ACTIONS(3252),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_with] = ACTIONS(3252),
    [anon_sym_var] = ACTIONS(3252),
    [anon_sym_let] = ACTIONS(3252),
    [anon_sym_const] = ACTIONS(3252),
    [anon_sym_BANG] = ACTIONS(3252),
    [anon_sym_if] = ACTIONS(3252),
    [anon_sym_switch] = ACTIONS(3252),
    [anon_sym_for] = ACTIONS(3252),
    [anon_sym_LPAREN] = ACTIONS(3252),
    [anon_sym_await] = ACTIONS(3252),
    [anon_sym_while] = ACTIONS(3252),
    [anon_sym_do] = ACTIONS(3252),
    [anon_sym_try] = ACTIONS(3252),
    [anon_sym_break] = ACTIONS(3252),
    [anon_sym_continue] = ACTIONS(3252),
    [anon_sym_debugger] = ACTIONS(3252),
    [anon_sym_return] = ACTIONS(3252),
    [anon_sym_throw] = ACTIONS(3252),
    [anon_sym_SEMI] = ACTIONS(3252),
    [anon_sym_case] = ACTIONS(3252),
    [anon_sym_yield] = ACTIONS(3252),
    [anon_sym_LBRACK] = ACTIONS(3252),
    [anon_sym_LTtemplate_GT] = ACTIONS(3252),
    [anon_sym_DQUOTE] = ACTIONS(3252),
    [anon_sym_SQUOTE] = ACTIONS(3252),
    [anon_sym_class] = ACTIONS(3252),
    [anon_sym_async] = ACTIONS(3252),
    [anon_sym_function] = ACTIONS(3252),
    [anon_sym_new] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3252),
    [anon_sym_PLUS] = ACTIONS(3252),
    [anon_sym_DASH] = ACTIONS(3252),
    [anon_sym_SLASH] = ACTIONS(3252),
    [anon_sym_LT] = ACTIONS(3252),
    [anon_sym_TILDE] = ACTIONS(3252),
    [anon_sym_void] = ACTIONS(3252),
    [anon_sym_delete] = ACTIONS(3252),
    [anon_sym_PLUS_PLUS] = ACTIONS(3252),
    [anon_sym_DASH_DASH] = ACTIONS(3252),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3252),
    [sym_number] = ACTIONS(3252),
    [sym_private_property_identifier] = ACTIONS(3252),
    [sym_this] = ACTIONS(3252),
    [sym_super] = ACTIONS(3252),
    [sym_true] = ACTIONS(3252),
    [sym_false] = ACTIONS(3252),
    [sym_null] = ACTIONS(3252),
    [sym_undefined] = ACTIONS(3252),
    [anon_sym_AT] = ACTIONS(3252),
    [anon_sym_static] = ACTIONS(3252),
    [anon_sym_readonly] = ACTIONS(3252),
    [anon_sym_get] = ACTIONS(3252),
    [anon_sym_set] = ACTIONS(3252),
    [anon_sym_declare] = ACTIONS(3252),
    [anon_sym_public] = ACTIONS(3252),
    [anon_sym_private] = ACTIONS(3252),
    [anon_sym_protected] = ACTIONS(3252),
    [anon_sym_override] = ACTIONS(3252),
    [anon_sym_module] = ACTIONS(3252),
    [anon_sym_any] = ACTIONS(3252),
    [anon_sym_number] = ACTIONS(3252),
    [anon_sym_boolean] = ACTIONS(3252),
    [anon_sym_string] = ACTIONS(3252),
    [anon_sym_symbol] = ACTIONS(3252),
    [anon_sym_object] = ACTIONS(3252),
    [anon_sym_abstract] = ACTIONS(3252),
    [anon_sym_interface] = ACTIONS(3252),
    [anon_sym_enum] = ACTIONS(3252),
    [sym_html_comment] = ACTIONS(5),
  },
  [1273] = {
    [sym_comment] = STATE(1273),
    [sym_identifier] = ACTIONS(3252),
    [anon_sym_export] = ACTIONS(3252),
    [anon_sym_default] = ACTIONS(3252),
    [anon_sym_type] = ACTIONS(3252),
    [anon_sym_namespace] = ACTIONS(3252),
    [anon_sym_LBRACE] = ACTIONS(3252),
    [anon_sym_RBRACE] = ACTIONS(3252),
    [anon_sym_typeof] = ACTIONS(3252),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_with] = ACTIONS(3252),
    [anon_sym_var] = ACTIONS(3252),
    [anon_sym_let] = ACTIONS(3252),
    [anon_sym_const] = ACTIONS(3252),
    [anon_sym_BANG] = ACTIONS(3252),
    [anon_sym_if] = ACTIONS(3252),
    [anon_sym_switch] = ACTIONS(3252),
    [anon_sym_for] = ACTIONS(3252),
    [anon_sym_LPAREN] = ACTIONS(3252),
    [anon_sym_await] = ACTIONS(3252),
    [anon_sym_while] = ACTIONS(3252),
    [anon_sym_do] = ACTIONS(3252),
    [anon_sym_try] = ACTIONS(3252),
    [anon_sym_break] = ACTIONS(3252),
    [anon_sym_continue] = ACTIONS(3252),
    [anon_sym_debugger] = ACTIONS(3252),
    [anon_sym_return] = ACTIONS(3252),
    [anon_sym_throw] = ACTIONS(3252),
    [anon_sym_SEMI] = ACTIONS(3252),
    [anon_sym_case] = ACTIONS(3252),
    [anon_sym_yield] = ACTIONS(3252),
    [anon_sym_LBRACK] = ACTIONS(3252),
    [anon_sym_LTtemplate_GT] = ACTIONS(3252),
    [anon_sym_DQUOTE] = ACTIONS(3252),
    [anon_sym_SQUOTE] = ACTIONS(3252),
    [anon_sym_class] = ACTIONS(3252),
    [anon_sym_async] = ACTIONS(3252),
    [anon_sym_function] = ACTIONS(3252),
    [anon_sym_new] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3252),
    [anon_sym_PLUS] = ACTIONS(3252),
    [anon_sym_DASH] = ACTIONS(3252),
    [anon_sym_SLASH] = ACTIONS(3252),
    [anon_sym_LT] = ACTIONS(3252),
    [anon_sym_TILDE] = ACTIONS(3252),
    [anon_sym_void] = ACTIONS(3252),
    [anon_sym_delete] = ACTIONS(3252),
    [anon_sym_PLUS_PLUS] = ACTIONS(3252),
    [anon_sym_DASH_DASH] = ACTIONS(3252),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3252),
    [sym_number] = ACTIONS(3252),
    [sym_private_property_identifier] = ACTIONS(3252),
    [sym_this] = ACTIONS(3252),
    [sym_super] = ACTIONS(3252),
    [sym_true] = ACTIONS(3252),
    [sym_false] = ACTIONS(3252),
    [sym_null] = ACTIONS(3252),
    [sym_undefined] = ACTIONS(3252),
    [anon_sym_AT] = ACTIONS(3252),
    [anon_sym_static] = ACTIONS(3252),
    [anon_sym_readonly] = ACTIONS(3252),
    [anon_sym_get] = ACTIONS(3252),
    [anon_sym_set] = ACTIONS(3252),
    [anon_sym_declare] = ACTIONS(3252),
    [anon_sym_public] = ACTIONS(3252),
    [anon_sym_private] = ACTIONS(3252),
    [anon_sym_protected] = ACTIONS(3252),
    [anon_sym_override] = ACTIONS(3252),
    [anon_sym_module] = ACTIONS(3252),
    [anon_sym_any] = ACTIONS(3252),
    [anon_sym_number] = ACTIONS(3252),
    [anon_sym_boolean] = ACTIONS(3252),
    [anon_sym_string] = ACTIONS(3252),
    [anon_sym_symbol] = ACTIONS(3252),
    [anon_sym_object] = ACTIONS(3252),
    [anon_sym_abstract] = ACTIONS(3252),
    [anon_sym_interface] = ACTIONS(3252),
    [anon_sym_enum] = ACTIONS(3252),
    [sym_html_comment] = ACTIONS(5),
  },
  [1274] = {
    [sym_comment] = STATE(1274),
    [sym_identifier] = ACTIONS(3258),
    [anon_sym_export] = ACTIONS(3258),
    [anon_sym_default] = ACTIONS(3258),
    [anon_sym_type] = ACTIONS(3258),
    [anon_sym_namespace] = ACTIONS(3258),
    [anon_sym_LBRACE] = ACTIONS(3258),
    [anon_sym_RBRACE] = ACTIONS(3258),
    [anon_sym_typeof] = ACTIONS(3258),
    [anon_sym_import] = ACTIONS(3258),
    [anon_sym_with] = ACTIONS(3258),
    [anon_sym_var] = ACTIONS(3258),
    [anon_sym_let] = ACTIONS(3258),
    [anon_sym_const] = ACTIONS(3258),
    [anon_sym_BANG] = ACTIONS(3258),
    [anon_sym_if] = ACTIONS(3258),
    [anon_sym_switch] = ACTIONS(3258),
    [anon_sym_for] = ACTIONS(3258),
    [anon_sym_LPAREN] = ACTIONS(3258),
    [anon_sym_await] = ACTIONS(3258),
    [anon_sym_while] = ACTIONS(3258),
    [anon_sym_do] = ACTIONS(3258),
    [anon_sym_try] = ACTIONS(3258),
    [anon_sym_break] = ACTIONS(3258),
    [anon_sym_continue] = ACTIONS(3258),
    [anon_sym_debugger] = ACTIONS(3258),
    [anon_sym_return] = ACTIONS(3258),
    [anon_sym_throw] = ACTIONS(3258),
    [anon_sym_SEMI] = ACTIONS(3258),
    [anon_sym_case] = ACTIONS(3258),
    [anon_sym_yield] = ACTIONS(3258),
    [anon_sym_LBRACK] = ACTIONS(3258),
    [anon_sym_LTtemplate_GT] = ACTIONS(3258),
    [anon_sym_DQUOTE] = ACTIONS(3258),
    [anon_sym_SQUOTE] = ACTIONS(3258),
    [anon_sym_class] = ACTIONS(3258),
    [anon_sym_async] = ACTIONS(3258),
    [anon_sym_function] = ACTIONS(3258),
    [anon_sym_new] = ACTIONS(3258),
    [anon_sym_using] = ACTIONS(3258),
    [anon_sym_PLUS] = ACTIONS(3258),
    [anon_sym_DASH] = ACTIONS(3258),
    [anon_sym_SLASH] = ACTIONS(3258),
    [anon_sym_LT] = ACTIONS(3258),
    [anon_sym_TILDE] = ACTIONS(3258),
    [anon_sym_void] = ACTIONS(3258),
    [anon_sym_delete] = ACTIONS(3258),
    [anon_sym_PLUS_PLUS] = ACTIONS(3258),
    [anon_sym_DASH_DASH] = ACTIONS(3258),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3258),
    [sym_number] = ACTIONS(3258),
    [sym_private_property_identifier] = ACTIONS(3258),
    [sym_this] = ACTIONS(3258),
    [sym_super] = ACTIONS(3258),
    [sym_true] = ACTIONS(3258),
    [sym_false] = ACTIONS(3258),
    [sym_null] = ACTIONS(3258),
    [sym_undefined] = ACTIONS(3258),
    [anon_sym_AT] = ACTIONS(3258),
    [anon_sym_static] = ACTIONS(3258),
    [anon_sym_readonly] = ACTIONS(3258),
    [anon_sym_get] = ACTIONS(3258),
    [anon_sym_set] = ACTIONS(3258),
    [anon_sym_declare] = ACTIONS(3258),
    [anon_sym_public] = ACTIONS(3258),
    [anon_sym_private] = ACTIONS(3258),
    [anon_sym_protected] = ACTIONS(3258),
    [anon_sym_override] = ACTIONS(3258),
    [anon_sym_module] = ACTIONS(3258),
    [anon_sym_any] = ACTIONS(3258),
    [anon_sym_number] = ACTIONS(3258),
    [anon_sym_boolean] = ACTIONS(3258),
    [anon_sym_string] = ACTIONS(3258),
    [anon_sym_symbol] = ACTIONS(3258),
    [anon_sym_object] = ACTIONS(3258),
    [anon_sym_abstract] = ACTIONS(3258),
    [anon_sym_interface] = ACTIONS(3258),
    [anon_sym_enum] = ACTIONS(3258),
    [sym_html_comment] = ACTIONS(5),
  },
  [1275] = {
    [sym_comment] = STATE(1275),
    [sym_identifier] = ACTIONS(3176),
    [anon_sym_export] = ACTIONS(3176),
    [anon_sym_default] = ACTIONS(3176),
    [anon_sym_type] = ACTIONS(3176),
    [anon_sym_namespace] = ACTIONS(3176),
    [anon_sym_LBRACE] = ACTIONS(3176),
    [anon_sym_RBRACE] = ACTIONS(3176),
    [anon_sym_typeof] = ACTIONS(3176),
    [anon_sym_import] = ACTIONS(3176),
    [anon_sym_with] = ACTIONS(3176),
    [anon_sym_var] = ACTIONS(3176),
    [anon_sym_let] = ACTIONS(3176),
    [anon_sym_const] = ACTIONS(3176),
    [anon_sym_BANG] = ACTIONS(3176),
    [anon_sym_if] = ACTIONS(3176),
    [anon_sym_switch] = ACTIONS(3176),
    [anon_sym_for] = ACTIONS(3176),
    [anon_sym_LPAREN] = ACTIONS(3176),
    [anon_sym_await] = ACTIONS(3176),
    [anon_sym_while] = ACTIONS(3176),
    [anon_sym_do] = ACTIONS(3176),
    [anon_sym_try] = ACTIONS(3176),
    [anon_sym_break] = ACTIONS(3176),
    [anon_sym_continue] = ACTIONS(3176),
    [anon_sym_debugger] = ACTIONS(3176),
    [anon_sym_return] = ACTIONS(3176),
    [anon_sym_throw] = ACTIONS(3176),
    [anon_sym_SEMI] = ACTIONS(3176),
    [anon_sym_case] = ACTIONS(3176),
    [anon_sym_yield] = ACTIONS(3176),
    [anon_sym_LBRACK] = ACTIONS(3176),
    [anon_sym_LTtemplate_GT] = ACTIONS(3176),
    [anon_sym_DQUOTE] = ACTIONS(3176),
    [anon_sym_SQUOTE] = ACTIONS(3176),
    [anon_sym_class] = ACTIONS(3176),
    [anon_sym_async] = ACTIONS(3176),
    [anon_sym_function] = ACTIONS(3176),
    [anon_sym_new] = ACTIONS(3176),
    [anon_sym_using] = ACTIONS(3176),
    [anon_sym_PLUS] = ACTIONS(3176),
    [anon_sym_DASH] = ACTIONS(3176),
    [anon_sym_SLASH] = ACTIONS(3176),
    [anon_sym_LT] = ACTIONS(3176),
    [anon_sym_TILDE] = ACTIONS(3176),
    [anon_sym_void] = ACTIONS(3176),
    [anon_sym_delete] = ACTIONS(3176),
    [anon_sym_PLUS_PLUS] = ACTIONS(3176),
    [anon_sym_DASH_DASH] = ACTIONS(3176),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3176),
    [sym_number] = ACTIONS(3176),
    [sym_private_property_identifier] = ACTIONS(3176),
    [sym_this] = ACTIONS(3176),
    [sym_super] = ACTIONS(3176),
    [sym_true] = ACTIONS(3176),
    [sym_false] = ACTIONS(3176),
    [sym_null] = ACTIONS(3176),
    [sym_undefined] = ACTIONS(3176),
    [anon_sym_AT] = ACTIONS(3176),
    [anon_sym_static] = ACTIONS(3176),
    [anon_sym_readonly] = ACTIONS(3176),
    [anon_sym_get] = ACTIONS(3176),
    [anon_sym_set] = ACTIONS(3176),
    [anon_sym_declare] = ACTIONS(3176),
    [anon_sym_public] = ACTIONS(3176),
    [anon_sym_private] = ACTIONS(3176),
    [anon_sym_protected] = ACTIONS(3176),
    [anon_sym_override] = ACTIONS(3176),
    [anon_sym_module] = ACTIONS(3176),
    [anon_sym_any] = ACTIONS(3176),
    [anon_sym_number] = ACTIONS(3176),
    [anon_sym_boolean] = ACTIONS(3176),
    [anon_sym_string] = ACTIONS(3176),
    [anon_sym_symbol] = ACTIONS(3176),
    [anon_sym_object] = ACTIONS(3176),
    [anon_sym_abstract] = ACTIONS(3176),
    [anon_sym_interface] = ACTIONS(3176),
    [anon_sym_enum] = ACTIONS(3176),
    [sym_html_comment] = ACTIONS(5),
  },
  [1276] = {
    [sym_comment] = STATE(1276),
    [sym_identifier] = ACTIONS(3174),
    [anon_sym_export] = ACTIONS(3174),
    [anon_sym_default] = ACTIONS(3174),
    [anon_sym_type] = ACTIONS(3174),
    [anon_sym_namespace] = ACTIONS(3174),
    [anon_sym_LBRACE] = ACTIONS(3174),
    [anon_sym_RBRACE] = ACTIONS(3174),
    [anon_sym_typeof] = ACTIONS(3174),
    [anon_sym_import] = ACTIONS(3174),
    [anon_sym_with] = ACTIONS(3174),
    [anon_sym_var] = ACTIONS(3174),
    [anon_sym_let] = ACTIONS(3174),
    [anon_sym_const] = ACTIONS(3174),
    [anon_sym_BANG] = ACTIONS(3174),
    [anon_sym_if] = ACTIONS(3174),
    [anon_sym_switch] = ACTIONS(3174),
    [anon_sym_for] = ACTIONS(3174),
    [anon_sym_LPAREN] = ACTIONS(3174),
    [anon_sym_await] = ACTIONS(3174),
    [anon_sym_while] = ACTIONS(3174),
    [anon_sym_do] = ACTIONS(3174),
    [anon_sym_try] = ACTIONS(3174),
    [anon_sym_break] = ACTIONS(3174),
    [anon_sym_continue] = ACTIONS(3174),
    [anon_sym_debugger] = ACTIONS(3174),
    [anon_sym_return] = ACTIONS(3174),
    [anon_sym_throw] = ACTIONS(3174),
    [anon_sym_SEMI] = ACTIONS(3174),
    [anon_sym_case] = ACTIONS(3174),
    [anon_sym_yield] = ACTIONS(3174),
    [anon_sym_LBRACK] = ACTIONS(3174),
    [anon_sym_LTtemplate_GT] = ACTIONS(3174),
    [anon_sym_DQUOTE] = ACTIONS(3174),
    [anon_sym_SQUOTE] = ACTIONS(3174),
    [anon_sym_class] = ACTIONS(3174),
    [anon_sym_async] = ACTIONS(3174),
    [anon_sym_function] = ACTIONS(3174),
    [anon_sym_new] = ACTIONS(3174),
    [anon_sym_using] = ACTIONS(3174),
    [anon_sym_PLUS] = ACTIONS(3174),
    [anon_sym_DASH] = ACTIONS(3174),
    [anon_sym_SLASH] = ACTIONS(3174),
    [anon_sym_LT] = ACTIONS(3174),
    [anon_sym_TILDE] = ACTIONS(3174),
    [anon_sym_void] = ACTIONS(3174),
    [anon_sym_delete] = ACTIONS(3174),
    [anon_sym_PLUS_PLUS] = ACTIONS(3174),
    [anon_sym_DASH_DASH] = ACTIONS(3174),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3174),
    [sym_number] = ACTIONS(3174),
    [sym_private_property_identifier] = ACTIONS(3174),
    [sym_this] = ACTIONS(3174),
    [sym_super] = ACTIONS(3174),
    [sym_true] = ACTIONS(3174),
    [sym_false] = ACTIONS(3174),
    [sym_null] = ACTIONS(3174),
    [sym_undefined] = ACTIONS(3174),
    [anon_sym_AT] = ACTIONS(3174),
    [anon_sym_static] = ACTIONS(3174),
    [anon_sym_readonly] = ACTIONS(3174),
    [anon_sym_get] = ACTIONS(3174),
    [anon_sym_set] = ACTIONS(3174),
    [anon_sym_declare] = ACTIONS(3174),
    [anon_sym_public] = ACTIONS(3174),
    [anon_sym_private] = ACTIONS(3174),
    [anon_sym_protected] = ACTIONS(3174),
    [anon_sym_override] = ACTIONS(3174),
    [anon_sym_module] = ACTIONS(3174),
    [anon_sym_any] = ACTIONS(3174),
    [anon_sym_number] = ACTIONS(3174),
    [anon_sym_boolean] = ACTIONS(3174),
    [anon_sym_string] = ACTIONS(3174),
    [anon_sym_symbol] = ACTIONS(3174),
    [anon_sym_object] = ACTIONS(3174),
    [anon_sym_abstract] = ACTIONS(3174),
    [anon_sym_interface] = ACTIONS(3174),
    [anon_sym_enum] = ACTIONS(3174),
    [sym_html_comment] = ACTIONS(5),
  },
  [1277] = {
    [sym_comment] = STATE(1277),
    [sym_identifier] = ACTIONS(3170),
    [anon_sym_export] = ACTIONS(3170),
    [anon_sym_default] = ACTIONS(3170),
    [anon_sym_type] = ACTIONS(3170),
    [anon_sym_namespace] = ACTIONS(3170),
    [anon_sym_LBRACE] = ACTIONS(3170),
    [anon_sym_RBRACE] = ACTIONS(3170),
    [anon_sym_typeof] = ACTIONS(3170),
    [anon_sym_import] = ACTIONS(3170),
    [anon_sym_with] = ACTIONS(3170),
    [anon_sym_var] = ACTIONS(3170),
    [anon_sym_let] = ACTIONS(3170),
    [anon_sym_const] = ACTIONS(3170),
    [anon_sym_BANG] = ACTIONS(3170),
    [anon_sym_if] = ACTIONS(3170),
    [anon_sym_switch] = ACTIONS(3170),
    [anon_sym_for] = ACTIONS(3170),
    [anon_sym_LPAREN] = ACTIONS(3170),
    [anon_sym_await] = ACTIONS(3170),
    [anon_sym_while] = ACTIONS(3170),
    [anon_sym_do] = ACTIONS(3170),
    [anon_sym_try] = ACTIONS(3170),
    [anon_sym_break] = ACTIONS(3170),
    [anon_sym_continue] = ACTIONS(3170),
    [anon_sym_debugger] = ACTIONS(3170),
    [anon_sym_return] = ACTIONS(3170),
    [anon_sym_throw] = ACTIONS(3170),
    [anon_sym_SEMI] = ACTIONS(3170),
    [anon_sym_case] = ACTIONS(3170),
    [anon_sym_yield] = ACTIONS(3170),
    [anon_sym_LBRACK] = ACTIONS(3170),
    [anon_sym_LTtemplate_GT] = ACTIONS(3170),
    [anon_sym_DQUOTE] = ACTIONS(3170),
    [anon_sym_SQUOTE] = ACTIONS(3170),
    [anon_sym_class] = ACTIONS(3170),
    [anon_sym_async] = ACTIONS(3170),
    [anon_sym_function] = ACTIONS(3170),
    [anon_sym_new] = ACTIONS(3170),
    [anon_sym_using] = ACTIONS(3170),
    [anon_sym_PLUS] = ACTIONS(3170),
    [anon_sym_DASH] = ACTIONS(3170),
    [anon_sym_SLASH] = ACTIONS(3170),
    [anon_sym_LT] = ACTIONS(3170),
    [anon_sym_TILDE] = ACTIONS(3170),
    [anon_sym_void] = ACTIONS(3170),
    [anon_sym_delete] = ACTIONS(3170),
    [anon_sym_PLUS_PLUS] = ACTIONS(3170),
    [anon_sym_DASH_DASH] = ACTIONS(3170),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3170),
    [sym_number] = ACTIONS(3170),
    [sym_private_property_identifier] = ACTIONS(3170),
    [sym_this] = ACTIONS(3170),
    [sym_super] = ACTIONS(3170),
    [sym_true] = ACTIONS(3170),
    [sym_false] = ACTIONS(3170),
    [sym_null] = ACTIONS(3170),
    [sym_undefined] = ACTIONS(3170),
    [anon_sym_AT] = ACTIONS(3170),
    [anon_sym_static] = ACTIONS(3170),
    [anon_sym_readonly] = ACTIONS(3170),
    [anon_sym_get] = ACTIONS(3170),
    [anon_sym_set] = ACTIONS(3170),
    [anon_sym_declare] = ACTIONS(3170),
    [anon_sym_public] = ACTIONS(3170),
    [anon_sym_private] = ACTIONS(3170),
    [anon_sym_protected] = ACTIONS(3170),
    [anon_sym_override] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(3170),
    [anon_sym_any] = ACTIONS(3170),
    [anon_sym_number] = ACTIONS(3170),
    [anon_sym_boolean] = ACTIONS(3170),
    [anon_sym_string] = ACTIONS(3170),
    [anon_sym_symbol] = ACTIONS(3170),
    [anon_sym_object] = ACTIONS(3170),
    [anon_sym_abstract] = ACTIONS(3170),
    [anon_sym_interface] = ACTIONS(3170),
    [anon_sym_enum] = ACTIONS(3170),
    [sym_html_comment] = ACTIONS(5),
  },
  [1278] = {
    [sym_comment] = STATE(1278),
    [ts_builtin_sym_end] = ACTIONS(3370),
    [sym_identifier] = ACTIONS(3154),
    [anon_sym_export] = ACTIONS(3154),
    [anon_sym_type] = ACTIONS(3154),
    [anon_sym_namespace] = ACTIONS(3154),
    [anon_sym_LBRACE] = ACTIONS(3154),
    [anon_sym_RBRACE] = ACTIONS(3154),
    [anon_sym_typeof] = ACTIONS(3154),
    [anon_sym_import] = ACTIONS(3154),
    [anon_sym_with] = ACTIONS(3154),
    [anon_sym_var] = ACTIONS(3154),
    [anon_sym_let] = ACTIONS(3154),
    [anon_sym_const] = ACTIONS(3154),
    [anon_sym_BANG] = ACTIONS(3154),
    [anon_sym_else] = ACTIONS(3154),
    [anon_sym_if] = ACTIONS(3154),
    [anon_sym_switch] = ACTIONS(3154),
    [anon_sym_for] = ACTIONS(3154),
    [anon_sym_LPAREN] = ACTIONS(3154),
    [anon_sym_await] = ACTIONS(3154),
    [anon_sym_while] = ACTIONS(3154),
    [anon_sym_do] = ACTIONS(3154),
    [anon_sym_try] = ACTIONS(3154),
    [anon_sym_break] = ACTIONS(3154),
    [anon_sym_continue] = ACTIONS(3154),
    [anon_sym_debugger] = ACTIONS(3154),
    [anon_sym_return] = ACTIONS(3154),
    [anon_sym_throw] = ACTIONS(3154),
    [anon_sym_SEMI] = ACTIONS(3154),
    [anon_sym_yield] = ACTIONS(3154),
    [anon_sym_LBRACK] = ACTIONS(3154),
    [anon_sym_LTtemplate_GT] = ACTIONS(3154),
    [anon_sym_DQUOTE] = ACTIONS(3154),
    [anon_sym_SQUOTE] = ACTIONS(3154),
    [anon_sym_class] = ACTIONS(3154),
    [anon_sym_async] = ACTIONS(3154),
    [anon_sym_function] = ACTIONS(3154),
    [anon_sym_new] = ACTIONS(3154),
    [anon_sym_using] = ACTIONS(3154),
    [anon_sym_PLUS] = ACTIONS(3154),
    [anon_sym_DASH] = ACTIONS(3154),
    [anon_sym_SLASH] = ACTIONS(3154),
    [anon_sym_LT] = ACTIONS(3154),
    [anon_sym_TILDE] = ACTIONS(3154),
    [anon_sym_void] = ACTIONS(3154),
    [anon_sym_delete] = ACTIONS(3154),
    [anon_sym_PLUS_PLUS] = ACTIONS(3154),
    [anon_sym_DASH_DASH] = ACTIONS(3154),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3154),
    [sym_number] = ACTIONS(3154),
    [sym_private_property_identifier] = ACTIONS(3154),
    [sym_this] = ACTIONS(3154),
    [sym_super] = ACTIONS(3154),
    [sym_true] = ACTIONS(3154),
    [sym_false] = ACTIONS(3154),
    [sym_null] = ACTIONS(3154),
    [sym_undefined] = ACTIONS(3154),
    [anon_sym_AT] = ACTIONS(3154),
    [anon_sym_static] = ACTIONS(3154),
    [anon_sym_readonly] = ACTIONS(3154),
    [anon_sym_get] = ACTIONS(3154),
    [anon_sym_set] = ACTIONS(3154),
    [anon_sym_declare] = ACTIONS(3154),
    [anon_sym_public] = ACTIONS(3154),
    [anon_sym_private] = ACTIONS(3154),
    [anon_sym_protected] = ACTIONS(3154),
    [anon_sym_override] = ACTIONS(3154),
    [anon_sym_module] = ACTIONS(3154),
    [anon_sym_any] = ACTIONS(3154),
    [anon_sym_number] = ACTIONS(3154),
    [anon_sym_boolean] = ACTIONS(3154),
    [anon_sym_string] = ACTIONS(3154),
    [anon_sym_symbol] = ACTIONS(3154),
    [anon_sym_object] = ACTIONS(3154),
    [anon_sym_abstract] = ACTIONS(3154),
    [anon_sym_interface] = ACTIONS(3154),
    [anon_sym_enum] = ACTIONS(3154),
    [sym_html_comment] = ACTIONS(5),
  },
  [1279] = {
    [sym_comment] = STATE(1279),
    [sym_identifier] = ACTIONS(3166),
    [anon_sym_export] = ACTIONS(3166),
    [anon_sym_default] = ACTIONS(3166),
    [anon_sym_type] = ACTIONS(3166),
    [anon_sym_namespace] = ACTIONS(3166),
    [anon_sym_LBRACE] = ACTIONS(3166),
    [anon_sym_RBRACE] = ACTIONS(3166),
    [anon_sym_typeof] = ACTIONS(3166),
    [anon_sym_import] = ACTIONS(3166),
    [anon_sym_with] = ACTIONS(3166),
    [anon_sym_var] = ACTIONS(3166),
    [anon_sym_let] = ACTIONS(3166),
    [anon_sym_const] = ACTIONS(3166),
    [anon_sym_BANG] = ACTIONS(3166),
    [anon_sym_if] = ACTIONS(3166),
    [anon_sym_switch] = ACTIONS(3166),
    [anon_sym_for] = ACTIONS(3166),
    [anon_sym_LPAREN] = ACTIONS(3166),
    [anon_sym_await] = ACTIONS(3166),
    [anon_sym_while] = ACTIONS(3166),
    [anon_sym_do] = ACTIONS(3166),
    [anon_sym_try] = ACTIONS(3166),
    [anon_sym_break] = ACTIONS(3166),
    [anon_sym_continue] = ACTIONS(3166),
    [anon_sym_debugger] = ACTIONS(3166),
    [anon_sym_return] = ACTIONS(3166),
    [anon_sym_throw] = ACTIONS(3166),
    [anon_sym_SEMI] = ACTIONS(3166),
    [anon_sym_case] = ACTIONS(3166),
    [anon_sym_yield] = ACTIONS(3166),
    [anon_sym_LBRACK] = ACTIONS(3166),
    [anon_sym_LTtemplate_GT] = ACTIONS(3166),
    [anon_sym_DQUOTE] = ACTIONS(3166),
    [anon_sym_SQUOTE] = ACTIONS(3166),
    [anon_sym_class] = ACTIONS(3166),
    [anon_sym_async] = ACTIONS(3166),
    [anon_sym_function] = ACTIONS(3166),
    [anon_sym_new] = ACTIONS(3166),
    [anon_sym_using] = ACTIONS(3166),
    [anon_sym_PLUS] = ACTIONS(3166),
    [anon_sym_DASH] = ACTIONS(3166),
    [anon_sym_SLASH] = ACTIONS(3166),
    [anon_sym_LT] = ACTIONS(3166),
    [anon_sym_TILDE] = ACTIONS(3166),
    [anon_sym_void] = ACTIONS(3166),
    [anon_sym_delete] = ACTIONS(3166),
    [anon_sym_PLUS_PLUS] = ACTIONS(3166),
    [anon_sym_DASH_DASH] = ACTIONS(3166),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3166),
    [sym_number] = ACTIONS(3166),
    [sym_private_property_identifier] = ACTIONS(3166),
    [sym_this] = ACTIONS(3166),
    [sym_super] = ACTIONS(3166),
    [sym_true] = ACTIONS(3166),
    [sym_false] = ACTIONS(3166),
    [sym_null] = ACTIONS(3166),
    [sym_undefined] = ACTIONS(3166),
    [anon_sym_AT] = ACTIONS(3166),
    [anon_sym_static] = ACTIONS(3166),
    [anon_sym_readonly] = ACTIONS(3166),
    [anon_sym_get] = ACTIONS(3166),
    [anon_sym_set] = ACTIONS(3166),
    [anon_sym_declare] = ACTIONS(3166),
    [anon_sym_public] = ACTIONS(3166),
    [anon_sym_private] = ACTIONS(3166),
    [anon_sym_protected] = ACTIONS(3166),
    [anon_sym_override] = ACTIONS(3166),
    [anon_sym_module] = ACTIONS(3166),
    [anon_sym_any] = ACTIONS(3166),
    [anon_sym_number] = ACTIONS(3166),
    [anon_sym_boolean] = ACTIONS(3166),
    [anon_sym_string] = ACTIONS(3166),
    [anon_sym_symbol] = ACTIONS(3166),
    [anon_sym_object] = ACTIONS(3166),
    [anon_sym_abstract] = ACTIONS(3166),
    [anon_sym_interface] = ACTIONS(3166),
    [anon_sym_enum] = ACTIONS(3166),
    [sym_html_comment] = ACTIONS(5),
  },
  [1280] = {
    [sym_comment] = STATE(1280),
    [sym_identifier] = ACTIONS(3164),
    [anon_sym_export] = ACTIONS(3164),
    [anon_sym_default] = ACTIONS(3164),
    [anon_sym_type] = ACTIONS(3164),
    [anon_sym_namespace] = ACTIONS(3164),
    [anon_sym_LBRACE] = ACTIONS(3164),
    [anon_sym_RBRACE] = ACTIONS(3164),
    [anon_sym_typeof] = ACTIONS(3164),
    [anon_sym_import] = ACTIONS(3164),
    [anon_sym_with] = ACTIONS(3164),
    [anon_sym_var] = ACTIONS(3164),
    [anon_sym_let] = ACTIONS(3164),
    [anon_sym_const] = ACTIONS(3164),
    [anon_sym_BANG] = ACTIONS(3164),
    [anon_sym_if] = ACTIONS(3164),
    [anon_sym_switch] = ACTIONS(3164),
    [anon_sym_for] = ACTIONS(3164),
    [anon_sym_LPAREN] = ACTIONS(3164),
    [anon_sym_await] = ACTIONS(3164),
    [anon_sym_while] = ACTIONS(3164),
    [anon_sym_do] = ACTIONS(3164),
    [anon_sym_try] = ACTIONS(3164),
    [anon_sym_break] = ACTIONS(3164),
    [anon_sym_continue] = ACTIONS(3164),
    [anon_sym_debugger] = ACTIONS(3164),
    [anon_sym_return] = ACTIONS(3164),
    [anon_sym_throw] = ACTIONS(3164),
    [anon_sym_SEMI] = ACTIONS(3164),
    [anon_sym_case] = ACTIONS(3164),
    [anon_sym_yield] = ACTIONS(3164),
    [anon_sym_LBRACK] = ACTIONS(3164),
    [anon_sym_LTtemplate_GT] = ACTIONS(3164),
    [anon_sym_DQUOTE] = ACTIONS(3164),
    [anon_sym_SQUOTE] = ACTIONS(3164),
    [anon_sym_class] = ACTIONS(3164),
    [anon_sym_async] = ACTIONS(3164),
    [anon_sym_function] = ACTIONS(3164),
    [anon_sym_new] = ACTIONS(3164),
    [anon_sym_using] = ACTIONS(3164),
    [anon_sym_PLUS] = ACTIONS(3164),
    [anon_sym_DASH] = ACTIONS(3164),
    [anon_sym_SLASH] = ACTIONS(3164),
    [anon_sym_LT] = ACTIONS(3164),
    [anon_sym_TILDE] = ACTIONS(3164),
    [anon_sym_void] = ACTIONS(3164),
    [anon_sym_delete] = ACTIONS(3164),
    [anon_sym_PLUS_PLUS] = ACTIONS(3164),
    [anon_sym_DASH_DASH] = ACTIONS(3164),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3164),
    [sym_number] = ACTIONS(3164),
    [sym_private_property_identifier] = ACTIONS(3164),
    [sym_this] = ACTIONS(3164),
    [sym_super] = ACTIONS(3164),
    [sym_true] = ACTIONS(3164),
    [sym_false] = ACTIONS(3164),
    [sym_null] = ACTIONS(3164),
    [sym_undefined] = ACTIONS(3164),
    [anon_sym_AT] = ACTIONS(3164),
    [anon_sym_static] = ACTIONS(3164),
    [anon_sym_readonly] = ACTIONS(3164),
    [anon_sym_get] = ACTIONS(3164),
    [anon_sym_set] = ACTIONS(3164),
    [anon_sym_declare] = ACTIONS(3164),
    [anon_sym_public] = ACTIONS(3164),
    [anon_sym_private] = ACTIONS(3164),
    [anon_sym_protected] = ACTIONS(3164),
    [anon_sym_override] = ACTIONS(3164),
    [anon_sym_module] = ACTIONS(3164),
    [anon_sym_any] = ACTIONS(3164),
    [anon_sym_number] = ACTIONS(3164),
    [anon_sym_boolean] = ACTIONS(3164),
    [anon_sym_string] = ACTIONS(3164),
    [anon_sym_symbol] = ACTIONS(3164),
    [anon_sym_object] = ACTIONS(3164),
    [anon_sym_abstract] = ACTIONS(3164),
    [anon_sym_interface] = ACTIONS(3164),
    [anon_sym_enum] = ACTIONS(3164),
    [sym_html_comment] = ACTIONS(5),
  },
  [1281] = {
    [sym_comment] = STATE(1281),
    [sym_identifier] = ACTIONS(3262),
    [anon_sym_export] = ACTIONS(3262),
    [anon_sym_default] = ACTIONS(3262),
    [anon_sym_type] = ACTIONS(3262),
    [anon_sym_namespace] = ACTIONS(3262),
    [anon_sym_LBRACE] = ACTIONS(3262),
    [anon_sym_RBRACE] = ACTIONS(3262),
    [anon_sym_typeof] = ACTIONS(3262),
    [anon_sym_import] = ACTIONS(3262),
    [anon_sym_with] = ACTIONS(3262),
    [anon_sym_var] = ACTIONS(3262),
    [anon_sym_let] = ACTIONS(3262),
    [anon_sym_const] = ACTIONS(3262),
    [anon_sym_BANG] = ACTIONS(3262),
    [anon_sym_if] = ACTIONS(3262),
    [anon_sym_switch] = ACTIONS(3262),
    [anon_sym_for] = ACTIONS(3262),
    [anon_sym_LPAREN] = ACTIONS(3262),
    [anon_sym_await] = ACTIONS(3262),
    [anon_sym_while] = ACTIONS(3262),
    [anon_sym_do] = ACTIONS(3262),
    [anon_sym_try] = ACTIONS(3262),
    [anon_sym_break] = ACTIONS(3262),
    [anon_sym_continue] = ACTIONS(3262),
    [anon_sym_debugger] = ACTIONS(3262),
    [anon_sym_return] = ACTIONS(3262),
    [anon_sym_throw] = ACTIONS(3262),
    [anon_sym_SEMI] = ACTIONS(3262),
    [anon_sym_case] = ACTIONS(3262),
    [anon_sym_yield] = ACTIONS(3262),
    [anon_sym_LBRACK] = ACTIONS(3262),
    [anon_sym_LTtemplate_GT] = ACTIONS(3262),
    [anon_sym_DQUOTE] = ACTIONS(3262),
    [anon_sym_SQUOTE] = ACTIONS(3262),
    [anon_sym_class] = ACTIONS(3262),
    [anon_sym_async] = ACTIONS(3262),
    [anon_sym_function] = ACTIONS(3262),
    [anon_sym_new] = ACTIONS(3262),
    [anon_sym_using] = ACTIONS(3262),
    [anon_sym_PLUS] = ACTIONS(3262),
    [anon_sym_DASH] = ACTIONS(3262),
    [anon_sym_SLASH] = ACTIONS(3262),
    [anon_sym_LT] = ACTIONS(3262),
    [anon_sym_TILDE] = ACTIONS(3262),
    [anon_sym_void] = ACTIONS(3262),
    [anon_sym_delete] = ACTIONS(3262),
    [anon_sym_PLUS_PLUS] = ACTIONS(3262),
    [anon_sym_DASH_DASH] = ACTIONS(3262),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3262),
    [sym_number] = ACTIONS(3262),
    [sym_private_property_identifier] = ACTIONS(3262),
    [sym_this] = ACTIONS(3262),
    [sym_super] = ACTIONS(3262),
    [sym_true] = ACTIONS(3262),
    [sym_false] = ACTIONS(3262),
    [sym_null] = ACTIONS(3262),
    [sym_undefined] = ACTIONS(3262),
    [anon_sym_AT] = ACTIONS(3262),
    [anon_sym_static] = ACTIONS(3262),
    [anon_sym_readonly] = ACTIONS(3262),
    [anon_sym_get] = ACTIONS(3262),
    [anon_sym_set] = ACTIONS(3262),
    [anon_sym_declare] = ACTIONS(3262),
    [anon_sym_public] = ACTIONS(3262),
    [anon_sym_private] = ACTIONS(3262),
    [anon_sym_protected] = ACTIONS(3262),
    [anon_sym_override] = ACTIONS(3262),
    [anon_sym_module] = ACTIONS(3262),
    [anon_sym_any] = ACTIONS(3262),
    [anon_sym_number] = ACTIONS(3262),
    [anon_sym_boolean] = ACTIONS(3262),
    [anon_sym_string] = ACTIONS(3262),
    [anon_sym_symbol] = ACTIONS(3262),
    [anon_sym_object] = ACTIONS(3262),
    [anon_sym_abstract] = ACTIONS(3262),
    [anon_sym_interface] = ACTIONS(3262),
    [anon_sym_enum] = ACTIONS(3262),
    [sym_html_comment] = ACTIONS(5),
  },
  [1282] = {
    [sym_comment] = STATE(1282),
    [sym_identifier] = ACTIONS(3162),
    [anon_sym_export] = ACTIONS(3162),
    [anon_sym_default] = ACTIONS(3162),
    [anon_sym_type] = ACTIONS(3162),
    [anon_sym_namespace] = ACTIONS(3162),
    [anon_sym_LBRACE] = ACTIONS(3162),
    [anon_sym_RBRACE] = ACTIONS(3162),
    [anon_sym_typeof] = ACTIONS(3162),
    [anon_sym_import] = ACTIONS(3162),
    [anon_sym_with] = ACTIONS(3162),
    [anon_sym_var] = ACTIONS(3162),
    [anon_sym_let] = ACTIONS(3162),
    [anon_sym_const] = ACTIONS(3162),
    [anon_sym_BANG] = ACTIONS(3162),
    [anon_sym_if] = ACTIONS(3162),
    [anon_sym_switch] = ACTIONS(3162),
    [anon_sym_for] = ACTIONS(3162),
    [anon_sym_LPAREN] = ACTIONS(3162),
    [anon_sym_await] = ACTIONS(3162),
    [anon_sym_while] = ACTIONS(3162),
    [anon_sym_do] = ACTIONS(3162),
    [anon_sym_try] = ACTIONS(3162),
    [anon_sym_break] = ACTIONS(3162),
    [anon_sym_continue] = ACTIONS(3162),
    [anon_sym_debugger] = ACTIONS(3162),
    [anon_sym_return] = ACTIONS(3162),
    [anon_sym_throw] = ACTIONS(3162),
    [anon_sym_SEMI] = ACTIONS(3162),
    [anon_sym_case] = ACTIONS(3162),
    [anon_sym_yield] = ACTIONS(3162),
    [anon_sym_LBRACK] = ACTIONS(3162),
    [anon_sym_LTtemplate_GT] = ACTIONS(3162),
    [anon_sym_DQUOTE] = ACTIONS(3162),
    [anon_sym_SQUOTE] = ACTIONS(3162),
    [anon_sym_class] = ACTIONS(3162),
    [anon_sym_async] = ACTIONS(3162),
    [anon_sym_function] = ACTIONS(3162),
    [anon_sym_new] = ACTIONS(3162),
    [anon_sym_using] = ACTIONS(3162),
    [anon_sym_PLUS] = ACTIONS(3162),
    [anon_sym_DASH] = ACTIONS(3162),
    [anon_sym_SLASH] = ACTIONS(3162),
    [anon_sym_LT] = ACTIONS(3162),
    [anon_sym_TILDE] = ACTIONS(3162),
    [anon_sym_void] = ACTIONS(3162),
    [anon_sym_delete] = ACTIONS(3162),
    [anon_sym_PLUS_PLUS] = ACTIONS(3162),
    [anon_sym_DASH_DASH] = ACTIONS(3162),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3162),
    [sym_number] = ACTIONS(3162),
    [sym_private_property_identifier] = ACTIONS(3162),
    [sym_this] = ACTIONS(3162),
    [sym_super] = ACTIONS(3162),
    [sym_true] = ACTIONS(3162),
    [sym_false] = ACTIONS(3162),
    [sym_null] = ACTIONS(3162),
    [sym_undefined] = ACTIONS(3162),
    [anon_sym_AT] = ACTIONS(3162),
    [anon_sym_static] = ACTIONS(3162),
    [anon_sym_readonly] = ACTIONS(3162),
    [anon_sym_get] = ACTIONS(3162),
    [anon_sym_set] = ACTIONS(3162),
    [anon_sym_declare] = ACTIONS(3162),
    [anon_sym_public] = ACTIONS(3162),
    [anon_sym_private] = ACTIONS(3162),
    [anon_sym_protected] = ACTIONS(3162),
    [anon_sym_override] = ACTIONS(3162),
    [anon_sym_module] = ACTIONS(3162),
    [anon_sym_any] = ACTIONS(3162),
    [anon_sym_number] = ACTIONS(3162),
    [anon_sym_boolean] = ACTIONS(3162),
    [anon_sym_string] = ACTIONS(3162),
    [anon_sym_symbol] = ACTIONS(3162),
    [anon_sym_object] = ACTIONS(3162),
    [anon_sym_abstract] = ACTIONS(3162),
    [anon_sym_interface] = ACTIONS(3162),
    [anon_sym_enum] = ACTIONS(3162),
    [sym_html_comment] = ACTIONS(5),
  },
  [1283] = {
    [sym_comment] = STATE(1283),
    [sym_identifier] = ACTIONS(3264),
    [anon_sym_export] = ACTIONS(3264),
    [anon_sym_default] = ACTIONS(3264),
    [anon_sym_type] = ACTIONS(3264),
    [anon_sym_namespace] = ACTIONS(3264),
    [anon_sym_LBRACE] = ACTIONS(3264),
    [anon_sym_RBRACE] = ACTIONS(3264),
    [anon_sym_typeof] = ACTIONS(3264),
    [anon_sym_import] = ACTIONS(3264),
    [anon_sym_with] = ACTIONS(3264),
    [anon_sym_var] = ACTIONS(3264),
    [anon_sym_let] = ACTIONS(3264),
    [anon_sym_const] = ACTIONS(3264),
    [anon_sym_BANG] = ACTIONS(3264),
    [anon_sym_if] = ACTIONS(3264),
    [anon_sym_switch] = ACTIONS(3264),
    [anon_sym_for] = ACTIONS(3264),
    [anon_sym_LPAREN] = ACTIONS(3264),
    [anon_sym_await] = ACTIONS(3264),
    [anon_sym_while] = ACTIONS(3264),
    [anon_sym_do] = ACTIONS(3264),
    [anon_sym_try] = ACTIONS(3264),
    [anon_sym_break] = ACTIONS(3264),
    [anon_sym_continue] = ACTIONS(3264),
    [anon_sym_debugger] = ACTIONS(3264),
    [anon_sym_return] = ACTIONS(3264),
    [anon_sym_throw] = ACTIONS(3264),
    [anon_sym_SEMI] = ACTIONS(3264),
    [anon_sym_case] = ACTIONS(3264),
    [anon_sym_yield] = ACTIONS(3264),
    [anon_sym_LBRACK] = ACTIONS(3264),
    [anon_sym_LTtemplate_GT] = ACTIONS(3264),
    [anon_sym_DQUOTE] = ACTIONS(3264),
    [anon_sym_SQUOTE] = ACTIONS(3264),
    [anon_sym_class] = ACTIONS(3264),
    [anon_sym_async] = ACTIONS(3264),
    [anon_sym_function] = ACTIONS(3264),
    [anon_sym_new] = ACTIONS(3264),
    [anon_sym_using] = ACTIONS(3264),
    [anon_sym_PLUS] = ACTIONS(3264),
    [anon_sym_DASH] = ACTIONS(3264),
    [anon_sym_SLASH] = ACTIONS(3264),
    [anon_sym_LT] = ACTIONS(3264),
    [anon_sym_TILDE] = ACTIONS(3264),
    [anon_sym_void] = ACTIONS(3264),
    [anon_sym_delete] = ACTIONS(3264),
    [anon_sym_PLUS_PLUS] = ACTIONS(3264),
    [anon_sym_DASH_DASH] = ACTIONS(3264),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3264),
    [sym_number] = ACTIONS(3264),
    [sym_private_property_identifier] = ACTIONS(3264),
    [sym_this] = ACTIONS(3264),
    [sym_super] = ACTIONS(3264),
    [sym_true] = ACTIONS(3264),
    [sym_false] = ACTIONS(3264),
    [sym_null] = ACTIONS(3264),
    [sym_undefined] = ACTIONS(3264),
    [anon_sym_AT] = ACTIONS(3264),
    [anon_sym_static] = ACTIONS(3264),
    [anon_sym_readonly] = ACTIONS(3264),
    [anon_sym_get] = ACTIONS(3264),
    [anon_sym_set] = ACTIONS(3264),
    [anon_sym_declare] = ACTIONS(3264),
    [anon_sym_public] = ACTIONS(3264),
    [anon_sym_private] = ACTIONS(3264),
    [anon_sym_protected] = ACTIONS(3264),
    [anon_sym_override] = ACTIONS(3264),
    [anon_sym_module] = ACTIONS(3264),
    [anon_sym_any] = ACTIONS(3264),
    [anon_sym_number] = ACTIONS(3264),
    [anon_sym_boolean] = ACTIONS(3264),
    [anon_sym_string] = ACTIONS(3264),
    [anon_sym_symbol] = ACTIONS(3264),
    [anon_sym_object] = ACTIONS(3264),
    [anon_sym_abstract] = ACTIONS(3264),
    [anon_sym_interface] = ACTIONS(3264),
    [anon_sym_enum] = ACTIONS(3264),
    [sym_html_comment] = ACTIONS(5),
  },
  [1284] = {
    [sym_comment] = STATE(1284),
    [sym_identifier] = ACTIONS(3266),
    [anon_sym_export] = ACTIONS(3266),
    [anon_sym_default] = ACTIONS(3266),
    [anon_sym_type] = ACTIONS(3266),
    [anon_sym_namespace] = ACTIONS(3266),
    [anon_sym_LBRACE] = ACTIONS(3266),
    [anon_sym_RBRACE] = ACTIONS(3266),
    [anon_sym_typeof] = ACTIONS(3266),
    [anon_sym_import] = ACTIONS(3266),
    [anon_sym_with] = ACTIONS(3266),
    [anon_sym_var] = ACTIONS(3266),
    [anon_sym_let] = ACTIONS(3266),
    [anon_sym_const] = ACTIONS(3266),
    [anon_sym_BANG] = ACTIONS(3266),
    [anon_sym_if] = ACTIONS(3266),
    [anon_sym_switch] = ACTIONS(3266),
    [anon_sym_for] = ACTIONS(3266),
    [anon_sym_LPAREN] = ACTIONS(3266),
    [anon_sym_await] = ACTIONS(3266),
    [anon_sym_while] = ACTIONS(3266),
    [anon_sym_do] = ACTIONS(3266),
    [anon_sym_try] = ACTIONS(3266),
    [anon_sym_break] = ACTIONS(3266),
    [anon_sym_continue] = ACTIONS(3266),
    [anon_sym_debugger] = ACTIONS(3266),
    [anon_sym_return] = ACTIONS(3266),
    [anon_sym_throw] = ACTIONS(3266),
    [anon_sym_SEMI] = ACTIONS(3266),
    [anon_sym_case] = ACTIONS(3266),
    [anon_sym_yield] = ACTIONS(3266),
    [anon_sym_LBRACK] = ACTIONS(3266),
    [anon_sym_LTtemplate_GT] = ACTIONS(3266),
    [anon_sym_DQUOTE] = ACTIONS(3266),
    [anon_sym_SQUOTE] = ACTIONS(3266),
    [anon_sym_class] = ACTIONS(3266),
    [anon_sym_async] = ACTIONS(3266),
    [anon_sym_function] = ACTIONS(3266),
    [anon_sym_new] = ACTIONS(3266),
    [anon_sym_using] = ACTIONS(3266),
    [anon_sym_PLUS] = ACTIONS(3266),
    [anon_sym_DASH] = ACTIONS(3266),
    [anon_sym_SLASH] = ACTIONS(3266),
    [anon_sym_LT] = ACTIONS(3266),
    [anon_sym_TILDE] = ACTIONS(3266),
    [anon_sym_void] = ACTIONS(3266),
    [anon_sym_delete] = ACTIONS(3266),
    [anon_sym_PLUS_PLUS] = ACTIONS(3266),
    [anon_sym_DASH_DASH] = ACTIONS(3266),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3266),
    [sym_number] = ACTIONS(3266),
    [sym_private_property_identifier] = ACTIONS(3266),
    [sym_this] = ACTIONS(3266),
    [sym_super] = ACTIONS(3266),
    [sym_true] = ACTIONS(3266),
    [sym_false] = ACTIONS(3266),
    [sym_null] = ACTIONS(3266),
    [sym_undefined] = ACTIONS(3266),
    [anon_sym_AT] = ACTIONS(3266),
    [anon_sym_static] = ACTIONS(3266),
    [anon_sym_readonly] = ACTIONS(3266),
    [anon_sym_get] = ACTIONS(3266),
    [anon_sym_set] = ACTIONS(3266),
    [anon_sym_declare] = ACTIONS(3266),
    [anon_sym_public] = ACTIONS(3266),
    [anon_sym_private] = ACTIONS(3266),
    [anon_sym_protected] = ACTIONS(3266),
    [anon_sym_override] = ACTIONS(3266),
    [anon_sym_module] = ACTIONS(3266),
    [anon_sym_any] = ACTIONS(3266),
    [anon_sym_number] = ACTIONS(3266),
    [anon_sym_boolean] = ACTIONS(3266),
    [anon_sym_string] = ACTIONS(3266),
    [anon_sym_symbol] = ACTIONS(3266),
    [anon_sym_object] = ACTIONS(3266),
    [anon_sym_abstract] = ACTIONS(3266),
    [anon_sym_interface] = ACTIONS(3266),
    [anon_sym_enum] = ACTIONS(3266),
    [sym_html_comment] = ACTIONS(5),
  },
  [1285] = {
    [sym_comment] = STATE(1285),
    [sym_identifier] = ACTIONS(3160),
    [anon_sym_export] = ACTIONS(3160),
    [anon_sym_default] = ACTIONS(3160),
    [anon_sym_type] = ACTIONS(3160),
    [anon_sym_namespace] = ACTIONS(3160),
    [anon_sym_LBRACE] = ACTIONS(3160),
    [anon_sym_RBRACE] = ACTIONS(3160),
    [anon_sym_typeof] = ACTIONS(3160),
    [anon_sym_import] = ACTIONS(3160),
    [anon_sym_with] = ACTIONS(3160),
    [anon_sym_var] = ACTIONS(3160),
    [anon_sym_let] = ACTIONS(3160),
    [anon_sym_const] = ACTIONS(3160),
    [anon_sym_BANG] = ACTIONS(3160),
    [anon_sym_if] = ACTIONS(3160),
    [anon_sym_switch] = ACTIONS(3160),
    [anon_sym_for] = ACTIONS(3160),
    [anon_sym_LPAREN] = ACTIONS(3160),
    [anon_sym_await] = ACTIONS(3160),
    [anon_sym_while] = ACTIONS(3160),
    [anon_sym_do] = ACTIONS(3160),
    [anon_sym_try] = ACTIONS(3160),
    [anon_sym_break] = ACTIONS(3160),
    [anon_sym_continue] = ACTIONS(3160),
    [anon_sym_debugger] = ACTIONS(3160),
    [anon_sym_return] = ACTIONS(3160),
    [anon_sym_throw] = ACTIONS(3160),
    [anon_sym_SEMI] = ACTIONS(3160),
    [anon_sym_case] = ACTIONS(3160),
    [anon_sym_yield] = ACTIONS(3160),
    [anon_sym_LBRACK] = ACTIONS(3160),
    [anon_sym_LTtemplate_GT] = ACTIONS(3160),
    [anon_sym_DQUOTE] = ACTIONS(3160),
    [anon_sym_SQUOTE] = ACTIONS(3160),
    [anon_sym_class] = ACTIONS(3160),
    [anon_sym_async] = ACTIONS(3160),
    [anon_sym_function] = ACTIONS(3160),
    [anon_sym_new] = ACTIONS(3160),
    [anon_sym_using] = ACTIONS(3160),
    [anon_sym_PLUS] = ACTIONS(3160),
    [anon_sym_DASH] = ACTIONS(3160),
    [anon_sym_SLASH] = ACTIONS(3160),
    [anon_sym_LT] = ACTIONS(3160),
    [anon_sym_TILDE] = ACTIONS(3160),
    [anon_sym_void] = ACTIONS(3160),
    [anon_sym_delete] = ACTIONS(3160),
    [anon_sym_PLUS_PLUS] = ACTIONS(3160),
    [anon_sym_DASH_DASH] = ACTIONS(3160),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3160),
    [sym_number] = ACTIONS(3160),
    [sym_private_property_identifier] = ACTIONS(3160),
    [sym_this] = ACTIONS(3160),
    [sym_super] = ACTIONS(3160),
    [sym_true] = ACTIONS(3160),
    [sym_false] = ACTIONS(3160),
    [sym_null] = ACTIONS(3160),
    [sym_undefined] = ACTIONS(3160),
    [anon_sym_AT] = ACTIONS(3160),
    [anon_sym_static] = ACTIONS(3160),
    [anon_sym_readonly] = ACTIONS(3160),
    [anon_sym_get] = ACTIONS(3160),
    [anon_sym_set] = ACTIONS(3160),
    [anon_sym_declare] = ACTIONS(3160),
    [anon_sym_public] = ACTIONS(3160),
    [anon_sym_private] = ACTIONS(3160),
    [anon_sym_protected] = ACTIONS(3160),
    [anon_sym_override] = ACTIONS(3160),
    [anon_sym_module] = ACTIONS(3160),
    [anon_sym_any] = ACTIONS(3160),
    [anon_sym_number] = ACTIONS(3160),
    [anon_sym_boolean] = ACTIONS(3160),
    [anon_sym_string] = ACTIONS(3160),
    [anon_sym_symbol] = ACTIONS(3160),
    [anon_sym_object] = ACTIONS(3160),
    [anon_sym_abstract] = ACTIONS(3160),
    [anon_sym_interface] = ACTIONS(3160),
    [anon_sym_enum] = ACTIONS(3160),
    [sym_html_comment] = ACTIONS(5),
  },
  [1286] = {
    [sym_comment] = STATE(1286),
    [sym_identifier] = ACTIONS(3158),
    [anon_sym_export] = ACTIONS(3158),
    [anon_sym_default] = ACTIONS(3158),
    [anon_sym_type] = ACTIONS(3158),
    [anon_sym_namespace] = ACTIONS(3158),
    [anon_sym_LBRACE] = ACTIONS(3158),
    [anon_sym_RBRACE] = ACTIONS(3158),
    [anon_sym_typeof] = ACTIONS(3158),
    [anon_sym_import] = ACTIONS(3158),
    [anon_sym_with] = ACTIONS(3158),
    [anon_sym_var] = ACTIONS(3158),
    [anon_sym_let] = ACTIONS(3158),
    [anon_sym_const] = ACTIONS(3158),
    [anon_sym_BANG] = ACTIONS(3158),
    [anon_sym_if] = ACTIONS(3158),
    [anon_sym_switch] = ACTIONS(3158),
    [anon_sym_for] = ACTIONS(3158),
    [anon_sym_LPAREN] = ACTIONS(3158),
    [anon_sym_await] = ACTIONS(3158),
    [anon_sym_while] = ACTIONS(3158),
    [anon_sym_do] = ACTIONS(3158),
    [anon_sym_try] = ACTIONS(3158),
    [anon_sym_break] = ACTIONS(3158),
    [anon_sym_continue] = ACTIONS(3158),
    [anon_sym_debugger] = ACTIONS(3158),
    [anon_sym_return] = ACTIONS(3158),
    [anon_sym_throw] = ACTIONS(3158),
    [anon_sym_SEMI] = ACTIONS(3158),
    [anon_sym_case] = ACTIONS(3158),
    [anon_sym_yield] = ACTIONS(3158),
    [anon_sym_LBRACK] = ACTIONS(3158),
    [anon_sym_LTtemplate_GT] = ACTIONS(3158),
    [anon_sym_DQUOTE] = ACTIONS(3158),
    [anon_sym_SQUOTE] = ACTIONS(3158),
    [anon_sym_class] = ACTIONS(3158),
    [anon_sym_async] = ACTIONS(3158),
    [anon_sym_function] = ACTIONS(3158),
    [anon_sym_new] = ACTIONS(3158),
    [anon_sym_using] = ACTIONS(3158),
    [anon_sym_PLUS] = ACTIONS(3158),
    [anon_sym_DASH] = ACTIONS(3158),
    [anon_sym_SLASH] = ACTIONS(3158),
    [anon_sym_LT] = ACTIONS(3158),
    [anon_sym_TILDE] = ACTIONS(3158),
    [anon_sym_void] = ACTIONS(3158),
    [anon_sym_delete] = ACTIONS(3158),
    [anon_sym_PLUS_PLUS] = ACTIONS(3158),
    [anon_sym_DASH_DASH] = ACTIONS(3158),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3158),
    [sym_number] = ACTIONS(3158),
    [sym_private_property_identifier] = ACTIONS(3158),
    [sym_this] = ACTIONS(3158),
    [sym_super] = ACTIONS(3158),
    [sym_true] = ACTIONS(3158),
    [sym_false] = ACTIONS(3158),
    [sym_null] = ACTIONS(3158),
    [sym_undefined] = ACTIONS(3158),
    [anon_sym_AT] = ACTIONS(3158),
    [anon_sym_static] = ACTIONS(3158),
    [anon_sym_readonly] = ACTIONS(3158),
    [anon_sym_get] = ACTIONS(3158),
    [anon_sym_set] = ACTIONS(3158),
    [anon_sym_declare] = ACTIONS(3158),
    [anon_sym_public] = ACTIONS(3158),
    [anon_sym_private] = ACTIONS(3158),
    [anon_sym_protected] = ACTIONS(3158),
    [anon_sym_override] = ACTIONS(3158),
    [anon_sym_module] = ACTIONS(3158),
    [anon_sym_any] = ACTIONS(3158),
    [anon_sym_number] = ACTIONS(3158),
    [anon_sym_boolean] = ACTIONS(3158),
    [anon_sym_string] = ACTIONS(3158),
    [anon_sym_symbol] = ACTIONS(3158),
    [anon_sym_object] = ACTIONS(3158),
    [anon_sym_abstract] = ACTIONS(3158),
    [anon_sym_interface] = ACTIONS(3158),
    [anon_sym_enum] = ACTIONS(3158),
    [sym_html_comment] = ACTIONS(5),
  },
  [1287] = {
    [sym_comment] = STATE(1287),
    [ts_builtin_sym_end] = ACTIONS(3370),
    [sym_identifier] = ACTIONS(3154),
    [anon_sym_export] = ACTIONS(3154),
    [anon_sym_type] = ACTIONS(3154),
    [anon_sym_namespace] = ACTIONS(3154),
    [anon_sym_LBRACE] = ACTIONS(3154),
    [anon_sym_RBRACE] = ACTIONS(3154),
    [anon_sym_typeof] = ACTIONS(3154),
    [anon_sym_import] = ACTIONS(3154),
    [anon_sym_with] = ACTIONS(3154),
    [anon_sym_var] = ACTIONS(3154),
    [anon_sym_let] = ACTIONS(3154),
    [anon_sym_const] = ACTIONS(3154),
    [anon_sym_BANG] = ACTIONS(3154),
    [anon_sym_else] = ACTIONS(3154),
    [anon_sym_if] = ACTIONS(3154),
    [anon_sym_switch] = ACTIONS(3154),
    [anon_sym_for] = ACTIONS(3154),
    [anon_sym_LPAREN] = ACTIONS(3154),
    [anon_sym_await] = ACTIONS(3154),
    [anon_sym_while] = ACTIONS(3154),
    [anon_sym_do] = ACTIONS(3154),
    [anon_sym_try] = ACTIONS(3154),
    [anon_sym_break] = ACTIONS(3154),
    [anon_sym_continue] = ACTIONS(3154),
    [anon_sym_debugger] = ACTIONS(3154),
    [anon_sym_return] = ACTIONS(3154),
    [anon_sym_throw] = ACTIONS(3154),
    [anon_sym_SEMI] = ACTIONS(3154),
    [anon_sym_yield] = ACTIONS(3154),
    [anon_sym_LBRACK] = ACTIONS(3154),
    [anon_sym_LTtemplate_GT] = ACTIONS(3154),
    [anon_sym_DQUOTE] = ACTIONS(3154),
    [anon_sym_SQUOTE] = ACTIONS(3154),
    [anon_sym_class] = ACTIONS(3154),
    [anon_sym_async] = ACTIONS(3154),
    [anon_sym_function] = ACTIONS(3154),
    [anon_sym_new] = ACTIONS(3154),
    [anon_sym_using] = ACTIONS(3154),
    [anon_sym_PLUS] = ACTIONS(3154),
    [anon_sym_DASH] = ACTIONS(3154),
    [anon_sym_SLASH] = ACTIONS(3154),
    [anon_sym_LT] = ACTIONS(3154),
    [anon_sym_TILDE] = ACTIONS(3154),
    [anon_sym_void] = ACTIONS(3154),
    [anon_sym_delete] = ACTIONS(3154),
    [anon_sym_PLUS_PLUS] = ACTIONS(3154),
    [anon_sym_DASH_DASH] = ACTIONS(3154),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3154),
    [sym_number] = ACTIONS(3154),
    [sym_private_property_identifier] = ACTIONS(3154),
    [sym_this] = ACTIONS(3154),
    [sym_super] = ACTIONS(3154),
    [sym_true] = ACTIONS(3154),
    [sym_false] = ACTIONS(3154),
    [sym_null] = ACTIONS(3154),
    [sym_undefined] = ACTIONS(3154),
    [anon_sym_AT] = ACTIONS(3154),
    [anon_sym_static] = ACTIONS(3154),
    [anon_sym_readonly] = ACTIONS(3154),
    [anon_sym_get] = ACTIONS(3154),
    [anon_sym_set] = ACTIONS(3154),
    [anon_sym_declare] = ACTIONS(3154),
    [anon_sym_public] = ACTIONS(3154),
    [anon_sym_private] = ACTIONS(3154),
    [anon_sym_protected] = ACTIONS(3154),
    [anon_sym_override] = ACTIONS(3154),
    [anon_sym_module] = ACTIONS(3154),
    [anon_sym_any] = ACTIONS(3154),
    [anon_sym_number] = ACTIONS(3154),
    [anon_sym_boolean] = ACTIONS(3154),
    [anon_sym_string] = ACTIONS(3154),
    [anon_sym_symbol] = ACTIONS(3154),
    [anon_sym_object] = ACTIONS(3154),
    [anon_sym_abstract] = ACTIONS(3154),
    [anon_sym_interface] = ACTIONS(3154),
    [anon_sym_enum] = ACTIONS(3154),
    [sym_html_comment] = ACTIONS(5),
  },
  [1288] = {
    [sym_comment] = STATE(1288),
    [ts_builtin_sym_end] = ACTIONS(2347),
    [sym_identifier] = ACTIONS(2257),
    [anon_sym_export] = ACTIONS(2257),
    [anon_sym_type] = ACTIONS(2257),
    [anon_sym_namespace] = ACTIONS(2257),
    [anon_sym_LBRACE] = ACTIONS(2257),
    [anon_sym_RBRACE] = ACTIONS(2257),
    [anon_sym_typeof] = ACTIONS(2257),
    [anon_sym_import] = ACTIONS(2257),
    [anon_sym_with] = ACTIONS(2257),
    [anon_sym_var] = ACTIONS(2257),
    [anon_sym_let] = ACTIONS(2257),
    [anon_sym_const] = ACTIONS(2257),
    [anon_sym_BANG] = ACTIONS(2257),
    [anon_sym_if] = ACTIONS(2257),
    [anon_sym_switch] = ACTIONS(2257),
    [anon_sym_for] = ACTIONS(2257),
    [anon_sym_LPAREN] = ACTIONS(2257),
    [anon_sym_await] = ACTIONS(2257),
    [anon_sym_while] = ACTIONS(2257),
    [anon_sym_do] = ACTIONS(2257),
    [anon_sym_try] = ACTIONS(2257),
    [anon_sym_break] = ACTIONS(2257),
    [anon_sym_continue] = ACTIONS(2257),
    [anon_sym_debugger] = ACTIONS(2257),
    [anon_sym_return] = ACTIONS(2257),
    [anon_sym_throw] = ACTIONS(2257),
    [anon_sym_SEMI] = ACTIONS(2257),
    [anon_sym_yield] = ACTIONS(2257),
    [anon_sym_LBRACK] = ACTIONS(2257),
    [anon_sym_LTtemplate_GT] = ACTIONS(2257),
    [anon_sym_DQUOTE] = ACTIONS(2257),
    [anon_sym_SQUOTE] = ACTIONS(2257),
    [anon_sym_class] = ACTIONS(2257),
    [anon_sym_async] = ACTIONS(2257),
    [anon_sym_function] = ACTIONS(2257),
    [anon_sym_new] = ACTIONS(2257),
    [anon_sym_using] = ACTIONS(2257),
    [anon_sym_PLUS] = ACTIONS(2257),
    [anon_sym_DASH] = ACTIONS(2257),
    [anon_sym_SLASH] = ACTIONS(2257),
    [anon_sym_LT] = ACTIONS(2257),
    [anon_sym_TILDE] = ACTIONS(2257),
    [anon_sym_void] = ACTIONS(2257),
    [anon_sym_delete] = ACTIONS(2257),
    [anon_sym_PLUS_PLUS] = ACTIONS(2257),
    [anon_sym_DASH_DASH] = ACTIONS(2257),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2257),
    [sym_number] = ACTIONS(2257),
    [sym_private_property_identifier] = ACTIONS(2257),
    [sym_this] = ACTIONS(2257),
    [sym_super] = ACTIONS(2257),
    [sym_true] = ACTIONS(2257),
    [sym_false] = ACTIONS(2257),
    [sym_null] = ACTIONS(2257),
    [sym_undefined] = ACTIONS(2257),
    [anon_sym_AT] = ACTIONS(2257),
    [anon_sym_static] = ACTIONS(2257),
    [anon_sym_readonly] = ACTIONS(2257),
    [anon_sym_get] = ACTIONS(2257),
    [anon_sym_set] = ACTIONS(2257),
    [anon_sym_declare] = ACTIONS(2257),
    [anon_sym_public] = ACTIONS(2257),
    [anon_sym_private] = ACTIONS(2257),
    [anon_sym_protected] = ACTIONS(2257),
    [anon_sym_override] = ACTIONS(2257),
    [anon_sym_module] = ACTIONS(2257),
    [anon_sym_any] = ACTIONS(2257),
    [anon_sym_number] = ACTIONS(2257),
    [anon_sym_boolean] = ACTIONS(2257),
    [anon_sym_string] = ACTIONS(2257),
    [anon_sym_symbol] = ACTIONS(2257),
    [anon_sym_object] = ACTIONS(2257),
    [anon_sym_abstract] = ACTIONS(2257),
    [anon_sym_interface] = ACTIONS(2257),
    [anon_sym_enum] = ACTIONS(2257),
    [sym__automatic_semicolon] = ACTIONS(2433),
    [sym_html_comment] = ACTIONS(5),
  },
  [1289] = {
    [sym_comment] = STATE(1289),
    [ts_builtin_sym_end] = ACTIONS(2267),
    [sym_identifier] = ACTIONS(2213),
    [anon_sym_export] = ACTIONS(2213),
    [anon_sym_type] = ACTIONS(2213),
    [anon_sym_namespace] = ACTIONS(2213),
    [anon_sym_LBRACE] = ACTIONS(2213),
    [anon_sym_RBRACE] = ACTIONS(2213),
    [anon_sym_typeof] = ACTIONS(2213),
    [anon_sym_import] = ACTIONS(2213),
    [anon_sym_with] = ACTIONS(2213),
    [anon_sym_var] = ACTIONS(2213),
    [anon_sym_let] = ACTIONS(2213),
    [anon_sym_const] = ACTIONS(2213),
    [anon_sym_BANG] = ACTIONS(2213),
    [anon_sym_if] = ACTIONS(2213),
    [anon_sym_switch] = ACTIONS(2213),
    [anon_sym_for] = ACTIONS(2213),
    [anon_sym_LPAREN] = ACTIONS(2213),
    [anon_sym_await] = ACTIONS(2213),
    [anon_sym_while] = ACTIONS(2213),
    [anon_sym_do] = ACTIONS(2213),
    [anon_sym_try] = ACTIONS(2213),
    [anon_sym_break] = ACTIONS(2213),
    [anon_sym_continue] = ACTIONS(2213),
    [anon_sym_debugger] = ACTIONS(2213),
    [anon_sym_return] = ACTIONS(2213),
    [anon_sym_throw] = ACTIONS(2213),
    [anon_sym_SEMI] = ACTIONS(2213),
    [anon_sym_yield] = ACTIONS(2213),
    [anon_sym_LBRACK] = ACTIONS(2213),
    [anon_sym_LTtemplate_GT] = ACTIONS(2213),
    [anon_sym_DQUOTE] = ACTIONS(2213),
    [anon_sym_SQUOTE] = ACTIONS(2213),
    [anon_sym_class] = ACTIONS(2213),
    [anon_sym_async] = ACTIONS(2213),
    [anon_sym_function] = ACTIONS(2213),
    [anon_sym_new] = ACTIONS(2213),
    [anon_sym_using] = ACTIONS(2213),
    [anon_sym_PLUS] = ACTIONS(2213),
    [anon_sym_DASH] = ACTIONS(2213),
    [anon_sym_SLASH] = ACTIONS(2213),
    [anon_sym_LT] = ACTIONS(2213),
    [anon_sym_TILDE] = ACTIONS(2213),
    [anon_sym_void] = ACTIONS(2213),
    [anon_sym_delete] = ACTIONS(2213),
    [anon_sym_PLUS_PLUS] = ACTIONS(2213),
    [anon_sym_DASH_DASH] = ACTIONS(2213),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2213),
    [sym_number] = ACTIONS(2213),
    [sym_private_property_identifier] = ACTIONS(2213),
    [sym_this] = ACTIONS(2213),
    [sym_super] = ACTIONS(2213),
    [sym_true] = ACTIONS(2213),
    [sym_false] = ACTIONS(2213),
    [sym_null] = ACTIONS(2213),
    [sym_undefined] = ACTIONS(2213),
    [anon_sym_AT] = ACTIONS(2213),
    [anon_sym_static] = ACTIONS(2213),
    [anon_sym_readonly] = ACTIONS(2213),
    [anon_sym_get] = ACTIONS(2213),
    [anon_sym_set] = ACTIONS(2213),
    [anon_sym_declare] = ACTIONS(2213),
    [anon_sym_public] = ACTIONS(2213),
    [anon_sym_private] = ACTIONS(2213),
    [anon_sym_protected] = ACTIONS(2213),
    [anon_sym_override] = ACTIONS(2213),
    [anon_sym_module] = ACTIONS(2213),
    [anon_sym_any] = ACTIONS(2213),
    [anon_sym_number] = ACTIONS(2213),
    [anon_sym_boolean] = ACTIONS(2213),
    [anon_sym_string] = ACTIONS(2213),
    [anon_sym_symbol] = ACTIONS(2213),
    [anon_sym_object] = ACTIONS(2213),
    [anon_sym_abstract] = ACTIONS(2213),
    [anon_sym_interface] = ACTIONS(2213),
    [anon_sym_enum] = ACTIONS(2213),
    [sym__automatic_semicolon] = ACTIONS(2427),
    [sym_html_comment] = ACTIONS(5),
  },
  [1290] = {
    [sym_comment] = STATE(1290),
    [ts_builtin_sym_end] = ACTIONS(3370),
    [sym_identifier] = ACTIONS(3154),
    [anon_sym_export] = ACTIONS(3154),
    [anon_sym_type] = ACTIONS(3154),
    [anon_sym_namespace] = ACTIONS(3154),
    [anon_sym_LBRACE] = ACTIONS(3154),
    [anon_sym_RBRACE] = ACTIONS(3154),
    [anon_sym_typeof] = ACTIONS(3154),
    [anon_sym_import] = ACTIONS(3154),
    [anon_sym_with] = ACTIONS(3154),
    [anon_sym_var] = ACTIONS(3154),
    [anon_sym_let] = ACTIONS(3154),
    [anon_sym_const] = ACTIONS(3154),
    [anon_sym_BANG] = ACTIONS(3154),
    [anon_sym_else] = ACTIONS(3154),
    [anon_sym_if] = ACTIONS(3154),
    [anon_sym_switch] = ACTIONS(3154),
    [anon_sym_for] = ACTIONS(3154),
    [anon_sym_LPAREN] = ACTIONS(3154),
    [anon_sym_await] = ACTIONS(3154),
    [anon_sym_while] = ACTIONS(3154),
    [anon_sym_do] = ACTIONS(3154),
    [anon_sym_try] = ACTIONS(3154),
    [anon_sym_break] = ACTIONS(3154),
    [anon_sym_continue] = ACTIONS(3154),
    [anon_sym_debugger] = ACTIONS(3154),
    [anon_sym_return] = ACTIONS(3154),
    [anon_sym_throw] = ACTIONS(3154),
    [anon_sym_SEMI] = ACTIONS(3154),
    [anon_sym_yield] = ACTIONS(3154),
    [anon_sym_LBRACK] = ACTIONS(3154),
    [anon_sym_LTtemplate_GT] = ACTIONS(3154),
    [anon_sym_DQUOTE] = ACTIONS(3154),
    [anon_sym_SQUOTE] = ACTIONS(3154),
    [anon_sym_class] = ACTIONS(3154),
    [anon_sym_async] = ACTIONS(3154),
    [anon_sym_function] = ACTIONS(3154),
    [anon_sym_new] = ACTIONS(3154),
    [anon_sym_using] = ACTIONS(3154),
    [anon_sym_PLUS] = ACTIONS(3154),
    [anon_sym_DASH] = ACTIONS(3154),
    [anon_sym_SLASH] = ACTIONS(3154),
    [anon_sym_LT] = ACTIONS(3154),
    [anon_sym_TILDE] = ACTIONS(3154),
    [anon_sym_void] = ACTIONS(3154),
    [anon_sym_delete] = ACTIONS(3154),
    [anon_sym_PLUS_PLUS] = ACTIONS(3154),
    [anon_sym_DASH_DASH] = ACTIONS(3154),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3154),
    [sym_number] = ACTIONS(3154),
    [sym_private_property_identifier] = ACTIONS(3154),
    [sym_this] = ACTIONS(3154),
    [sym_super] = ACTIONS(3154),
    [sym_true] = ACTIONS(3154),
    [sym_false] = ACTIONS(3154),
    [sym_null] = ACTIONS(3154),
    [sym_undefined] = ACTIONS(3154),
    [anon_sym_AT] = ACTIONS(3154),
    [anon_sym_static] = ACTIONS(3154),
    [anon_sym_readonly] = ACTIONS(3154),
    [anon_sym_get] = ACTIONS(3154),
    [anon_sym_set] = ACTIONS(3154),
    [anon_sym_declare] = ACTIONS(3154),
    [anon_sym_public] = ACTIONS(3154),
    [anon_sym_private] = ACTIONS(3154),
    [anon_sym_protected] = ACTIONS(3154),
    [anon_sym_override] = ACTIONS(3154),
    [anon_sym_module] = ACTIONS(3154),
    [anon_sym_any] = ACTIONS(3154),
    [anon_sym_number] = ACTIONS(3154),
    [anon_sym_boolean] = ACTIONS(3154),
    [anon_sym_string] = ACTIONS(3154),
    [anon_sym_symbol] = ACTIONS(3154),
    [anon_sym_object] = ACTIONS(3154),
    [anon_sym_abstract] = ACTIONS(3154),
    [anon_sym_interface] = ACTIONS(3154),
    [anon_sym_enum] = ACTIONS(3154),
    [sym_html_comment] = ACTIONS(5),
  },
  [1291] = {
    [sym_comment] = STATE(1291),
    [ts_builtin_sym_end] = ACTIONS(3370),
    [sym_identifier] = ACTIONS(3154),
    [anon_sym_export] = ACTIONS(3154),
    [anon_sym_type] = ACTIONS(3154),
    [anon_sym_namespace] = ACTIONS(3154),
    [anon_sym_LBRACE] = ACTIONS(3154),
    [anon_sym_RBRACE] = ACTIONS(3154),
    [anon_sym_typeof] = ACTIONS(3154),
    [anon_sym_import] = ACTIONS(3154),
    [anon_sym_with] = ACTIONS(3154),
    [anon_sym_var] = ACTIONS(3154),
    [anon_sym_let] = ACTIONS(3154),
    [anon_sym_const] = ACTIONS(3154),
    [anon_sym_BANG] = ACTIONS(3154),
    [anon_sym_else] = ACTIONS(3154),
    [anon_sym_if] = ACTIONS(3154),
    [anon_sym_switch] = ACTIONS(3154),
    [anon_sym_for] = ACTIONS(3154),
    [anon_sym_LPAREN] = ACTIONS(3154),
    [anon_sym_await] = ACTIONS(3154),
    [anon_sym_while] = ACTIONS(3154),
    [anon_sym_do] = ACTIONS(3154),
    [anon_sym_try] = ACTIONS(3154),
    [anon_sym_break] = ACTIONS(3154),
    [anon_sym_continue] = ACTIONS(3154),
    [anon_sym_debugger] = ACTIONS(3154),
    [anon_sym_return] = ACTIONS(3154),
    [anon_sym_throw] = ACTIONS(3154),
    [anon_sym_SEMI] = ACTIONS(3154),
    [anon_sym_yield] = ACTIONS(3154),
    [anon_sym_LBRACK] = ACTIONS(3154),
    [anon_sym_LTtemplate_GT] = ACTIONS(3154),
    [anon_sym_DQUOTE] = ACTIONS(3154),
    [anon_sym_SQUOTE] = ACTIONS(3154),
    [anon_sym_class] = ACTIONS(3154),
    [anon_sym_async] = ACTIONS(3154),
    [anon_sym_function] = ACTIONS(3154),
    [anon_sym_new] = ACTIONS(3154),
    [anon_sym_using] = ACTIONS(3154),
    [anon_sym_PLUS] = ACTIONS(3154),
    [anon_sym_DASH] = ACTIONS(3154),
    [anon_sym_SLASH] = ACTIONS(3154),
    [anon_sym_LT] = ACTIONS(3154),
    [anon_sym_TILDE] = ACTIONS(3154),
    [anon_sym_void] = ACTIONS(3154),
    [anon_sym_delete] = ACTIONS(3154),
    [anon_sym_PLUS_PLUS] = ACTIONS(3154),
    [anon_sym_DASH_DASH] = ACTIONS(3154),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3154),
    [sym_number] = ACTIONS(3154),
    [sym_private_property_identifier] = ACTIONS(3154),
    [sym_this] = ACTIONS(3154),
    [sym_super] = ACTIONS(3154),
    [sym_true] = ACTIONS(3154),
    [sym_false] = ACTIONS(3154),
    [sym_null] = ACTIONS(3154),
    [sym_undefined] = ACTIONS(3154),
    [anon_sym_AT] = ACTIONS(3154),
    [anon_sym_static] = ACTIONS(3154),
    [anon_sym_readonly] = ACTIONS(3154),
    [anon_sym_get] = ACTIONS(3154),
    [anon_sym_set] = ACTIONS(3154),
    [anon_sym_declare] = ACTIONS(3154),
    [anon_sym_public] = ACTIONS(3154),
    [anon_sym_private] = ACTIONS(3154),
    [anon_sym_protected] = ACTIONS(3154),
    [anon_sym_override] = ACTIONS(3154),
    [anon_sym_module] = ACTIONS(3154),
    [anon_sym_any] = ACTIONS(3154),
    [anon_sym_number] = ACTIONS(3154),
    [anon_sym_boolean] = ACTIONS(3154),
    [anon_sym_string] = ACTIONS(3154),
    [anon_sym_symbol] = ACTIONS(3154),
    [anon_sym_object] = ACTIONS(3154),
    [anon_sym_abstract] = ACTIONS(3154),
    [anon_sym_interface] = ACTIONS(3154),
    [anon_sym_enum] = ACTIONS(3154),
    [sym_html_comment] = ACTIONS(5),
  },
  [1292] = {
    [sym_comment] = STATE(1292),
    [ts_builtin_sym_end] = ACTIONS(3370),
    [sym_identifier] = ACTIONS(3154),
    [anon_sym_export] = ACTIONS(3154),
    [anon_sym_type] = ACTIONS(3154),
    [anon_sym_namespace] = ACTIONS(3154),
    [anon_sym_LBRACE] = ACTIONS(3154),
    [anon_sym_RBRACE] = ACTIONS(3154),
    [anon_sym_typeof] = ACTIONS(3154),
    [anon_sym_import] = ACTIONS(3154),
    [anon_sym_with] = ACTIONS(3154),
    [anon_sym_var] = ACTIONS(3154),
    [anon_sym_let] = ACTIONS(3154),
    [anon_sym_const] = ACTIONS(3154),
    [anon_sym_BANG] = ACTIONS(3154),
    [anon_sym_else] = ACTIONS(3154),
    [anon_sym_if] = ACTIONS(3154),
    [anon_sym_switch] = ACTIONS(3154),
    [anon_sym_for] = ACTIONS(3154),
    [anon_sym_LPAREN] = ACTIONS(3154),
    [anon_sym_await] = ACTIONS(3154),
    [anon_sym_while] = ACTIONS(3154),
    [anon_sym_do] = ACTIONS(3154),
    [anon_sym_try] = ACTIONS(3154),
    [anon_sym_break] = ACTIONS(3154),
    [anon_sym_continue] = ACTIONS(3154),
    [anon_sym_debugger] = ACTIONS(3154),
    [anon_sym_return] = ACTIONS(3154),
    [anon_sym_throw] = ACTIONS(3154),
    [anon_sym_SEMI] = ACTIONS(3154),
    [anon_sym_yield] = ACTIONS(3154),
    [anon_sym_LBRACK] = ACTIONS(3154),
    [anon_sym_LTtemplate_GT] = ACTIONS(3154),
    [anon_sym_DQUOTE] = ACTIONS(3154),
    [anon_sym_SQUOTE] = ACTIONS(3154),
    [anon_sym_class] = ACTIONS(3154),
    [anon_sym_async] = ACTIONS(3154),
    [anon_sym_function] = ACTIONS(3154),
    [anon_sym_new] = ACTIONS(3154),
    [anon_sym_using] = ACTIONS(3154),
    [anon_sym_PLUS] = ACTIONS(3154),
    [anon_sym_DASH] = ACTIONS(3154),
    [anon_sym_SLASH] = ACTIONS(3154),
    [anon_sym_LT] = ACTIONS(3154),
    [anon_sym_TILDE] = ACTIONS(3154),
    [anon_sym_void] = ACTIONS(3154),
    [anon_sym_delete] = ACTIONS(3154),
    [anon_sym_PLUS_PLUS] = ACTIONS(3154),
    [anon_sym_DASH_DASH] = ACTIONS(3154),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3154),
    [sym_number] = ACTIONS(3154),
    [sym_private_property_identifier] = ACTIONS(3154),
    [sym_this] = ACTIONS(3154),
    [sym_super] = ACTIONS(3154),
    [sym_true] = ACTIONS(3154),
    [sym_false] = ACTIONS(3154),
    [sym_null] = ACTIONS(3154),
    [sym_undefined] = ACTIONS(3154),
    [anon_sym_AT] = ACTIONS(3154),
    [anon_sym_static] = ACTIONS(3154),
    [anon_sym_readonly] = ACTIONS(3154),
    [anon_sym_get] = ACTIONS(3154),
    [anon_sym_set] = ACTIONS(3154),
    [anon_sym_declare] = ACTIONS(3154),
    [anon_sym_public] = ACTIONS(3154),
    [anon_sym_private] = ACTIONS(3154),
    [anon_sym_protected] = ACTIONS(3154),
    [anon_sym_override] = ACTIONS(3154),
    [anon_sym_module] = ACTIONS(3154),
    [anon_sym_any] = ACTIONS(3154),
    [anon_sym_number] = ACTIONS(3154),
    [anon_sym_boolean] = ACTIONS(3154),
    [anon_sym_string] = ACTIONS(3154),
    [anon_sym_symbol] = ACTIONS(3154),
    [anon_sym_object] = ACTIONS(3154),
    [anon_sym_abstract] = ACTIONS(3154),
    [anon_sym_interface] = ACTIONS(3154),
    [anon_sym_enum] = ACTIONS(3154),
    [sym_html_comment] = ACTIONS(5),
  },
  [1293] = {
    [sym_comment] = STATE(1293),
    [ts_builtin_sym_end] = ACTIONS(3370),
    [sym_identifier] = ACTIONS(3154),
    [anon_sym_export] = ACTIONS(3154),
    [anon_sym_type] = ACTIONS(3154),
    [anon_sym_namespace] = ACTIONS(3154),
    [anon_sym_LBRACE] = ACTIONS(3154),
    [anon_sym_RBRACE] = ACTIONS(3154),
    [anon_sym_typeof] = ACTIONS(3154),
    [anon_sym_import] = ACTIONS(3154),
    [anon_sym_with] = ACTIONS(3154),
    [anon_sym_var] = ACTIONS(3154),
    [anon_sym_let] = ACTIONS(3154),
    [anon_sym_const] = ACTIONS(3154),
    [anon_sym_BANG] = ACTIONS(3154),
    [anon_sym_else] = ACTIONS(3154),
    [anon_sym_if] = ACTIONS(3154),
    [anon_sym_switch] = ACTIONS(3154),
    [anon_sym_for] = ACTIONS(3154),
    [anon_sym_LPAREN] = ACTIONS(3154),
    [anon_sym_await] = ACTIONS(3154),
    [anon_sym_while] = ACTIONS(3154),
    [anon_sym_do] = ACTIONS(3154),
    [anon_sym_try] = ACTIONS(3154),
    [anon_sym_break] = ACTIONS(3154),
    [anon_sym_continue] = ACTIONS(3154),
    [anon_sym_debugger] = ACTIONS(3154),
    [anon_sym_return] = ACTIONS(3154),
    [anon_sym_throw] = ACTIONS(3154),
    [anon_sym_SEMI] = ACTIONS(3154),
    [anon_sym_yield] = ACTIONS(3154),
    [anon_sym_LBRACK] = ACTIONS(3154),
    [anon_sym_LTtemplate_GT] = ACTIONS(3154),
    [anon_sym_DQUOTE] = ACTIONS(3154),
    [anon_sym_SQUOTE] = ACTIONS(3154),
    [anon_sym_class] = ACTIONS(3154),
    [anon_sym_async] = ACTIONS(3154),
    [anon_sym_function] = ACTIONS(3154),
    [anon_sym_new] = ACTIONS(3154),
    [anon_sym_using] = ACTIONS(3154),
    [anon_sym_PLUS] = ACTIONS(3154),
    [anon_sym_DASH] = ACTIONS(3154),
    [anon_sym_SLASH] = ACTIONS(3154),
    [anon_sym_LT] = ACTIONS(3154),
    [anon_sym_TILDE] = ACTIONS(3154),
    [anon_sym_void] = ACTIONS(3154),
    [anon_sym_delete] = ACTIONS(3154),
    [anon_sym_PLUS_PLUS] = ACTIONS(3154),
    [anon_sym_DASH_DASH] = ACTIONS(3154),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3154),
    [sym_number] = ACTIONS(3154),
    [sym_private_property_identifier] = ACTIONS(3154),
    [sym_this] = ACTIONS(3154),
    [sym_super] = ACTIONS(3154),
    [sym_true] = ACTIONS(3154),
    [sym_false] = ACTIONS(3154),
    [sym_null] = ACTIONS(3154),
    [sym_undefined] = ACTIONS(3154),
    [anon_sym_AT] = ACTIONS(3154),
    [anon_sym_static] = ACTIONS(3154),
    [anon_sym_readonly] = ACTIONS(3154),
    [anon_sym_get] = ACTIONS(3154),
    [anon_sym_set] = ACTIONS(3154),
    [anon_sym_declare] = ACTIONS(3154),
    [anon_sym_public] = ACTIONS(3154),
    [anon_sym_private] = ACTIONS(3154),
    [anon_sym_protected] = ACTIONS(3154),
    [anon_sym_override] = ACTIONS(3154),
    [anon_sym_module] = ACTIONS(3154),
    [anon_sym_any] = ACTIONS(3154),
    [anon_sym_number] = ACTIONS(3154),
    [anon_sym_boolean] = ACTIONS(3154),
    [anon_sym_string] = ACTIONS(3154),
    [anon_sym_symbol] = ACTIONS(3154),
    [anon_sym_object] = ACTIONS(3154),
    [anon_sym_abstract] = ACTIONS(3154),
    [anon_sym_interface] = ACTIONS(3154),
    [anon_sym_enum] = ACTIONS(3154),
    [sym_html_comment] = ACTIONS(5),
  },
  [1294] = {
    [sym_comment] = STATE(1294),
    [ts_builtin_sym_end] = ACTIONS(3370),
    [sym_identifier] = ACTIONS(3154),
    [anon_sym_export] = ACTIONS(3154),
    [anon_sym_type] = ACTIONS(3154),
    [anon_sym_namespace] = ACTIONS(3154),
    [anon_sym_LBRACE] = ACTIONS(3154),
    [anon_sym_RBRACE] = ACTIONS(3154),
    [anon_sym_typeof] = ACTIONS(3154),
    [anon_sym_import] = ACTIONS(3154),
    [anon_sym_with] = ACTIONS(3154),
    [anon_sym_var] = ACTIONS(3154),
    [anon_sym_let] = ACTIONS(3154),
    [anon_sym_const] = ACTIONS(3154),
    [anon_sym_BANG] = ACTIONS(3154),
    [anon_sym_else] = ACTIONS(3154),
    [anon_sym_if] = ACTIONS(3154),
    [anon_sym_switch] = ACTIONS(3154),
    [anon_sym_for] = ACTIONS(3154),
    [anon_sym_LPAREN] = ACTIONS(3154),
    [anon_sym_await] = ACTIONS(3154),
    [anon_sym_while] = ACTIONS(3154),
    [anon_sym_do] = ACTIONS(3154),
    [anon_sym_try] = ACTIONS(3154),
    [anon_sym_break] = ACTIONS(3154),
    [anon_sym_continue] = ACTIONS(3154),
    [anon_sym_debugger] = ACTIONS(3154),
    [anon_sym_return] = ACTIONS(3154),
    [anon_sym_throw] = ACTIONS(3154),
    [anon_sym_SEMI] = ACTIONS(3154),
    [anon_sym_yield] = ACTIONS(3154),
    [anon_sym_LBRACK] = ACTIONS(3154),
    [anon_sym_LTtemplate_GT] = ACTIONS(3154),
    [anon_sym_DQUOTE] = ACTIONS(3154),
    [anon_sym_SQUOTE] = ACTIONS(3154),
    [anon_sym_class] = ACTIONS(3154),
    [anon_sym_async] = ACTIONS(3154),
    [anon_sym_function] = ACTIONS(3154),
    [anon_sym_new] = ACTIONS(3154),
    [anon_sym_using] = ACTIONS(3154),
    [anon_sym_PLUS] = ACTIONS(3154),
    [anon_sym_DASH] = ACTIONS(3154),
    [anon_sym_SLASH] = ACTIONS(3154),
    [anon_sym_LT] = ACTIONS(3154),
    [anon_sym_TILDE] = ACTIONS(3154),
    [anon_sym_void] = ACTIONS(3154),
    [anon_sym_delete] = ACTIONS(3154),
    [anon_sym_PLUS_PLUS] = ACTIONS(3154),
    [anon_sym_DASH_DASH] = ACTIONS(3154),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3154),
    [sym_number] = ACTIONS(3154),
    [sym_private_property_identifier] = ACTIONS(3154),
    [sym_this] = ACTIONS(3154),
    [sym_super] = ACTIONS(3154),
    [sym_true] = ACTIONS(3154),
    [sym_false] = ACTIONS(3154),
    [sym_null] = ACTIONS(3154),
    [sym_undefined] = ACTIONS(3154),
    [anon_sym_AT] = ACTIONS(3154),
    [anon_sym_static] = ACTIONS(3154),
    [anon_sym_readonly] = ACTIONS(3154),
    [anon_sym_get] = ACTIONS(3154),
    [anon_sym_set] = ACTIONS(3154),
    [anon_sym_declare] = ACTIONS(3154),
    [anon_sym_public] = ACTIONS(3154),
    [anon_sym_private] = ACTIONS(3154),
    [anon_sym_protected] = ACTIONS(3154),
    [anon_sym_override] = ACTIONS(3154),
    [anon_sym_module] = ACTIONS(3154),
    [anon_sym_any] = ACTIONS(3154),
    [anon_sym_number] = ACTIONS(3154),
    [anon_sym_boolean] = ACTIONS(3154),
    [anon_sym_string] = ACTIONS(3154),
    [anon_sym_symbol] = ACTIONS(3154),
    [anon_sym_object] = ACTIONS(3154),
    [anon_sym_abstract] = ACTIONS(3154),
    [anon_sym_interface] = ACTIONS(3154),
    [anon_sym_enum] = ACTIONS(3154),
    [sym_html_comment] = ACTIONS(5),
  },
  [1295] = {
    [sym_comment] = STATE(1295),
    [ts_builtin_sym_end] = ACTIONS(3370),
    [sym_identifier] = ACTIONS(3154),
    [anon_sym_export] = ACTIONS(3154),
    [anon_sym_type] = ACTIONS(3154),
    [anon_sym_namespace] = ACTIONS(3154),
    [anon_sym_LBRACE] = ACTIONS(3154),
    [anon_sym_RBRACE] = ACTIONS(3154),
    [anon_sym_typeof] = ACTIONS(3154),
    [anon_sym_import] = ACTIONS(3154),
    [anon_sym_with] = ACTIONS(3154),
    [anon_sym_var] = ACTIONS(3154),
    [anon_sym_let] = ACTIONS(3154),
    [anon_sym_const] = ACTIONS(3154),
    [anon_sym_BANG] = ACTIONS(3154),
    [anon_sym_else] = ACTIONS(3154),
    [anon_sym_if] = ACTIONS(3154),
    [anon_sym_switch] = ACTIONS(3154),
    [anon_sym_for] = ACTIONS(3154),
    [anon_sym_LPAREN] = ACTIONS(3154),
    [anon_sym_await] = ACTIONS(3154),
    [anon_sym_while] = ACTIONS(3154),
    [anon_sym_do] = ACTIONS(3154),
    [anon_sym_try] = ACTIONS(3154),
    [anon_sym_break] = ACTIONS(3154),
    [anon_sym_continue] = ACTIONS(3154),
    [anon_sym_debugger] = ACTIONS(3154),
    [anon_sym_return] = ACTIONS(3154),
    [anon_sym_throw] = ACTIONS(3154),
    [anon_sym_SEMI] = ACTIONS(3154),
    [anon_sym_yield] = ACTIONS(3154),
    [anon_sym_LBRACK] = ACTIONS(3154),
    [anon_sym_LTtemplate_GT] = ACTIONS(3154),
    [anon_sym_DQUOTE] = ACTIONS(3154),
    [anon_sym_SQUOTE] = ACTIONS(3154),
    [anon_sym_class] = ACTIONS(3154),
    [anon_sym_async] = ACTIONS(3154),
    [anon_sym_function] = ACTIONS(3154),
    [anon_sym_new] = ACTIONS(3154),
    [anon_sym_using] = ACTIONS(3154),
    [anon_sym_PLUS] = ACTIONS(3154),
    [anon_sym_DASH] = ACTIONS(3154),
    [anon_sym_SLASH] = ACTIONS(3154),
    [anon_sym_LT] = ACTIONS(3154),
    [anon_sym_TILDE] = ACTIONS(3154),
    [anon_sym_void] = ACTIONS(3154),
    [anon_sym_delete] = ACTIONS(3154),
    [anon_sym_PLUS_PLUS] = ACTIONS(3154),
    [anon_sym_DASH_DASH] = ACTIONS(3154),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3154),
    [sym_number] = ACTIONS(3154),
    [sym_private_property_identifier] = ACTIONS(3154),
    [sym_this] = ACTIONS(3154),
    [sym_super] = ACTIONS(3154),
    [sym_true] = ACTIONS(3154),
    [sym_false] = ACTIONS(3154),
    [sym_null] = ACTIONS(3154),
    [sym_undefined] = ACTIONS(3154),
    [anon_sym_AT] = ACTIONS(3154),
    [anon_sym_static] = ACTIONS(3154),
    [anon_sym_readonly] = ACTIONS(3154),
    [anon_sym_get] = ACTIONS(3154),
    [anon_sym_set] = ACTIONS(3154),
    [anon_sym_declare] = ACTIONS(3154),
    [anon_sym_public] = ACTIONS(3154),
    [anon_sym_private] = ACTIONS(3154),
    [anon_sym_protected] = ACTIONS(3154),
    [anon_sym_override] = ACTIONS(3154),
    [anon_sym_module] = ACTIONS(3154),
    [anon_sym_any] = ACTIONS(3154),
    [anon_sym_number] = ACTIONS(3154),
    [anon_sym_boolean] = ACTIONS(3154),
    [anon_sym_string] = ACTIONS(3154),
    [anon_sym_symbol] = ACTIONS(3154),
    [anon_sym_object] = ACTIONS(3154),
    [anon_sym_abstract] = ACTIONS(3154),
    [anon_sym_interface] = ACTIONS(3154),
    [anon_sym_enum] = ACTIONS(3154),
    [sym_html_comment] = ACTIONS(5),
  },
  [1296] = {
    [sym_comment] = STATE(1296),
    [ts_builtin_sym_end] = ACTIONS(3370),
    [sym_identifier] = ACTIONS(3154),
    [anon_sym_export] = ACTIONS(3154),
    [anon_sym_type] = ACTIONS(3154),
    [anon_sym_namespace] = ACTIONS(3154),
    [anon_sym_LBRACE] = ACTIONS(3154),
    [anon_sym_RBRACE] = ACTIONS(3154),
    [anon_sym_typeof] = ACTIONS(3154),
    [anon_sym_import] = ACTIONS(3154),
    [anon_sym_with] = ACTIONS(3154),
    [anon_sym_var] = ACTIONS(3154),
    [anon_sym_let] = ACTIONS(3154),
    [anon_sym_const] = ACTIONS(3154),
    [anon_sym_BANG] = ACTIONS(3154),
    [anon_sym_else] = ACTIONS(3154),
    [anon_sym_if] = ACTIONS(3154),
    [anon_sym_switch] = ACTIONS(3154),
    [anon_sym_for] = ACTIONS(3154),
    [anon_sym_LPAREN] = ACTIONS(3154),
    [anon_sym_await] = ACTIONS(3154),
    [anon_sym_while] = ACTIONS(3154),
    [anon_sym_do] = ACTIONS(3154),
    [anon_sym_try] = ACTIONS(3154),
    [anon_sym_break] = ACTIONS(3154),
    [anon_sym_continue] = ACTIONS(3154),
    [anon_sym_debugger] = ACTIONS(3154),
    [anon_sym_return] = ACTIONS(3154),
    [anon_sym_throw] = ACTIONS(3154),
    [anon_sym_SEMI] = ACTIONS(3154),
    [anon_sym_yield] = ACTIONS(3154),
    [anon_sym_LBRACK] = ACTIONS(3154),
    [anon_sym_LTtemplate_GT] = ACTIONS(3154),
    [anon_sym_DQUOTE] = ACTIONS(3154),
    [anon_sym_SQUOTE] = ACTIONS(3154),
    [anon_sym_class] = ACTIONS(3154),
    [anon_sym_async] = ACTIONS(3154),
    [anon_sym_function] = ACTIONS(3154),
    [anon_sym_new] = ACTIONS(3154),
    [anon_sym_using] = ACTIONS(3154),
    [anon_sym_PLUS] = ACTIONS(3154),
    [anon_sym_DASH] = ACTIONS(3154),
    [anon_sym_SLASH] = ACTIONS(3154),
    [anon_sym_LT] = ACTIONS(3154),
    [anon_sym_TILDE] = ACTIONS(3154),
    [anon_sym_void] = ACTIONS(3154),
    [anon_sym_delete] = ACTIONS(3154),
    [anon_sym_PLUS_PLUS] = ACTIONS(3154),
    [anon_sym_DASH_DASH] = ACTIONS(3154),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3154),
    [sym_number] = ACTIONS(3154),
    [sym_private_property_identifier] = ACTIONS(3154),
    [sym_this] = ACTIONS(3154),
    [sym_super] = ACTIONS(3154),
    [sym_true] = ACTIONS(3154),
    [sym_false] = ACTIONS(3154),
    [sym_null] = ACTIONS(3154),
    [sym_undefined] = ACTIONS(3154),
    [anon_sym_AT] = ACTIONS(3154),
    [anon_sym_static] = ACTIONS(3154),
    [anon_sym_readonly] = ACTIONS(3154),
    [anon_sym_get] = ACTIONS(3154),
    [anon_sym_set] = ACTIONS(3154),
    [anon_sym_declare] = ACTIONS(3154),
    [anon_sym_public] = ACTIONS(3154),
    [anon_sym_private] = ACTIONS(3154),
    [anon_sym_protected] = ACTIONS(3154),
    [anon_sym_override] = ACTIONS(3154),
    [anon_sym_module] = ACTIONS(3154),
    [anon_sym_any] = ACTIONS(3154),
    [anon_sym_number] = ACTIONS(3154),
    [anon_sym_boolean] = ACTIONS(3154),
    [anon_sym_string] = ACTIONS(3154),
    [anon_sym_symbol] = ACTIONS(3154),
    [anon_sym_object] = ACTIONS(3154),
    [anon_sym_abstract] = ACTIONS(3154),
    [anon_sym_interface] = ACTIONS(3154),
    [anon_sym_enum] = ACTIONS(3154),
    [sym_html_comment] = ACTIONS(5),
  },
  [1297] = {
    [sym_comment] = STATE(1297),
    [ts_builtin_sym_end] = ACTIONS(3370),
    [sym_identifier] = ACTIONS(3154),
    [anon_sym_export] = ACTIONS(3154),
    [anon_sym_type] = ACTIONS(3154),
    [anon_sym_namespace] = ACTIONS(3154),
    [anon_sym_LBRACE] = ACTIONS(3154),
    [anon_sym_RBRACE] = ACTIONS(3154),
    [anon_sym_typeof] = ACTIONS(3154),
    [anon_sym_import] = ACTIONS(3154),
    [anon_sym_with] = ACTIONS(3154),
    [anon_sym_var] = ACTIONS(3154),
    [anon_sym_let] = ACTIONS(3154),
    [anon_sym_const] = ACTIONS(3154),
    [anon_sym_BANG] = ACTIONS(3154),
    [anon_sym_else] = ACTIONS(3154),
    [anon_sym_if] = ACTIONS(3154),
    [anon_sym_switch] = ACTIONS(3154),
    [anon_sym_for] = ACTIONS(3154),
    [anon_sym_LPAREN] = ACTIONS(3154),
    [anon_sym_await] = ACTIONS(3154),
    [anon_sym_while] = ACTIONS(3154),
    [anon_sym_do] = ACTIONS(3154),
    [anon_sym_try] = ACTIONS(3154),
    [anon_sym_break] = ACTIONS(3154),
    [anon_sym_continue] = ACTIONS(3154),
    [anon_sym_debugger] = ACTIONS(3154),
    [anon_sym_return] = ACTIONS(3154),
    [anon_sym_throw] = ACTIONS(3154),
    [anon_sym_SEMI] = ACTIONS(3154),
    [anon_sym_yield] = ACTIONS(3154),
    [anon_sym_LBRACK] = ACTIONS(3154),
    [anon_sym_LTtemplate_GT] = ACTIONS(3154),
    [anon_sym_DQUOTE] = ACTIONS(3154),
    [anon_sym_SQUOTE] = ACTIONS(3154),
    [anon_sym_class] = ACTIONS(3154),
    [anon_sym_async] = ACTIONS(3154),
    [anon_sym_function] = ACTIONS(3154),
    [anon_sym_new] = ACTIONS(3154),
    [anon_sym_using] = ACTIONS(3154),
    [anon_sym_PLUS] = ACTIONS(3154),
    [anon_sym_DASH] = ACTIONS(3154),
    [anon_sym_SLASH] = ACTIONS(3154),
    [anon_sym_LT] = ACTIONS(3154),
    [anon_sym_TILDE] = ACTIONS(3154),
    [anon_sym_void] = ACTIONS(3154),
    [anon_sym_delete] = ACTIONS(3154),
    [anon_sym_PLUS_PLUS] = ACTIONS(3154),
    [anon_sym_DASH_DASH] = ACTIONS(3154),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3154),
    [sym_number] = ACTIONS(3154),
    [sym_private_property_identifier] = ACTIONS(3154),
    [sym_this] = ACTIONS(3154),
    [sym_super] = ACTIONS(3154),
    [sym_true] = ACTIONS(3154),
    [sym_false] = ACTIONS(3154),
    [sym_null] = ACTIONS(3154),
    [sym_undefined] = ACTIONS(3154),
    [anon_sym_AT] = ACTIONS(3154),
    [anon_sym_static] = ACTIONS(3154),
    [anon_sym_readonly] = ACTIONS(3154),
    [anon_sym_get] = ACTIONS(3154),
    [anon_sym_set] = ACTIONS(3154),
    [anon_sym_declare] = ACTIONS(3154),
    [anon_sym_public] = ACTIONS(3154),
    [anon_sym_private] = ACTIONS(3154),
    [anon_sym_protected] = ACTIONS(3154),
    [anon_sym_override] = ACTIONS(3154),
    [anon_sym_module] = ACTIONS(3154),
    [anon_sym_any] = ACTIONS(3154),
    [anon_sym_number] = ACTIONS(3154),
    [anon_sym_boolean] = ACTIONS(3154),
    [anon_sym_string] = ACTIONS(3154),
    [anon_sym_symbol] = ACTIONS(3154),
    [anon_sym_object] = ACTIONS(3154),
    [anon_sym_abstract] = ACTIONS(3154),
    [anon_sym_interface] = ACTIONS(3154),
    [anon_sym_enum] = ACTIONS(3154),
    [sym_html_comment] = ACTIONS(5),
  },
  [1298] = {
    [sym_comment] = STATE(1298),
    [sym_identifier] = ACTIONS(3152),
    [anon_sym_export] = ACTIONS(3152),
    [anon_sym_default] = ACTIONS(3152),
    [anon_sym_type] = ACTIONS(3152),
    [anon_sym_namespace] = ACTIONS(3152),
    [anon_sym_LBRACE] = ACTIONS(3152),
    [anon_sym_RBRACE] = ACTIONS(3152),
    [anon_sym_typeof] = ACTIONS(3152),
    [anon_sym_import] = ACTIONS(3152),
    [anon_sym_with] = ACTIONS(3152),
    [anon_sym_var] = ACTIONS(3152),
    [anon_sym_let] = ACTIONS(3152),
    [anon_sym_const] = ACTIONS(3152),
    [anon_sym_BANG] = ACTIONS(3152),
    [anon_sym_if] = ACTIONS(3152),
    [anon_sym_switch] = ACTIONS(3152),
    [anon_sym_for] = ACTIONS(3152),
    [anon_sym_LPAREN] = ACTIONS(3152),
    [anon_sym_await] = ACTIONS(3152),
    [anon_sym_while] = ACTIONS(3152),
    [anon_sym_do] = ACTIONS(3152),
    [anon_sym_try] = ACTIONS(3152),
    [anon_sym_break] = ACTIONS(3152),
    [anon_sym_continue] = ACTIONS(3152),
    [anon_sym_debugger] = ACTIONS(3152),
    [anon_sym_return] = ACTIONS(3152),
    [anon_sym_throw] = ACTIONS(3152),
    [anon_sym_SEMI] = ACTIONS(3152),
    [anon_sym_case] = ACTIONS(3152),
    [anon_sym_yield] = ACTIONS(3152),
    [anon_sym_LBRACK] = ACTIONS(3152),
    [anon_sym_LTtemplate_GT] = ACTIONS(3152),
    [anon_sym_DQUOTE] = ACTIONS(3152),
    [anon_sym_SQUOTE] = ACTIONS(3152),
    [anon_sym_class] = ACTIONS(3152),
    [anon_sym_async] = ACTIONS(3152),
    [anon_sym_function] = ACTIONS(3152),
    [anon_sym_new] = ACTIONS(3152),
    [anon_sym_using] = ACTIONS(3152),
    [anon_sym_PLUS] = ACTIONS(3152),
    [anon_sym_DASH] = ACTIONS(3152),
    [anon_sym_SLASH] = ACTIONS(3152),
    [anon_sym_LT] = ACTIONS(3152),
    [anon_sym_TILDE] = ACTIONS(3152),
    [anon_sym_void] = ACTIONS(3152),
    [anon_sym_delete] = ACTIONS(3152),
    [anon_sym_PLUS_PLUS] = ACTIONS(3152),
    [anon_sym_DASH_DASH] = ACTIONS(3152),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3152),
    [sym_number] = ACTIONS(3152),
    [sym_private_property_identifier] = ACTIONS(3152),
    [sym_this] = ACTIONS(3152),
    [sym_super] = ACTIONS(3152),
    [sym_true] = ACTIONS(3152),
    [sym_false] = ACTIONS(3152),
    [sym_null] = ACTIONS(3152),
    [sym_undefined] = ACTIONS(3152),
    [anon_sym_AT] = ACTIONS(3152),
    [anon_sym_static] = ACTIONS(3152),
    [anon_sym_readonly] = ACTIONS(3152),
    [anon_sym_get] = ACTIONS(3152),
    [anon_sym_set] = ACTIONS(3152),
    [anon_sym_declare] = ACTIONS(3152),
    [anon_sym_public] = ACTIONS(3152),
    [anon_sym_private] = ACTIONS(3152),
    [anon_sym_protected] = ACTIONS(3152),
    [anon_sym_override] = ACTIONS(3152),
    [anon_sym_module] = ACTIONS(3152),
    [anon_sym_any] = ACTIONS(3152),
    [anon_sym_number] = ACTIONS(3152),
    [anon_sym_boolean] = ACTIONS(3152),
    [anon_sym_string] = ACTIONS(3152),
    [anon_sym_symbol] = ACTIONS(3152),
    [anon_sym_object] = ACTIONS(3152),
    [anon_sym_abstract] = ACTIONS(3152),
    [anon_sym_interface] = ACTIONS(3152),
    [anon_sym_enum] = ACTIONS(3152),
    [sym_html_comment] = ACTIONS(5),
  },
  [1299] = {
    [sym_comment] = STATE(1299),
    [ts_builtin_sym_end] = ACTIONS(3370),
    [sym_identifier] = ACTIONS(3154),
    [anon_sym_export] = ACTIONS(3154),
    [anon_sym_type] = ACTIONS(3154),
    [anon_sym_namespace] = ACTIONS(3154),
    [anon_sym_LBRACE] = ACTIONS(3154),
    [anon_sym_RBRACE] = ACTIONS(3154),
    [anon_sym_typeof] = ACTIONS(3154),
    [anon_sym_import] = ACTIONS(3154),
    [anon_sym_with] = ACTIONS(3154),
    [anon_sym_var] = ACTIONS(3154),
    [anon_sym_let] = ACTIONS(3154),
    [anon_sym_const] = ACTIONS(3154),
    [anon_sym_BANG] = ACTIONS(3154),
    [anon_sym_else] = ACTIONS(3154),
    [anon_sym_if] = ACTIONS(3154),
    [anon_sym_switch] = ACTIONS(3154),
    [anon_sym_for] = ACTIONS(3154),
    [anon_sym_LPAREN] = ACTIONS(3154),
    [anon_sym_await] = ACTIONS(3154),
    [anon_sym_while] = ACTIONS(3154),
    [anon_sym_do] = ACTIONS(3154),
    [anon_sym_try] = ACTIONS(3154),
    [anon_sym_break] = ACTIONS(3154),
    [anon_sym_continue] = ACTIONS(3154),
    [anon_sym_debugger] = ACTIONS(3154),
    [anon_sym_return] = ACTIONS(3154),
    [anon_sym_throw] = ACTIONS(3154),
    [anon_sym_SEMI] = ACTIONS(3154),
    [anon_sym_yield] = ACTIONS(3154),
    [anon_sym_LBRACK] = ACTIONS(3154),
    [anon_sym_LTtemplate_GT] = ACTIONS(3154),
    [anon_sym_DQUOTE] = ACTIONS(3154),
    [anon_sym_SQUOTE] = ACTIONS(3154),
    [anon_sym_class] = ACTIONS(3154),
    [anon_sym_async] = ACTIONS(3154),
    [anon_sym_function] = ACTIONS(3154),
    [anon_sym_new] = ACTIONS(3154),
    [anon_sym_using] = ACTIONS(3154),
    [anon_sym_PLUS] = ACTIONS(3154),
    [anon_sym_DASH] = ACTIONS(3154),
    [anon_sym_SLASH] = ACTIONS(3154),
    [anon_sym_LT] = ACTIONS(3154),
    [anon_sym_TILDE] = ACTIONS(3154),
    [anon_sym_void] = ACTIONS(3154),
    [anon_sym_delete] = ACTIONS(3154),
    [anon_sym_PLUS_PLUS] = ACTIONS(3154),
    [anon_sym_DASH_DASH] = ACTIONS(3154),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3154),
    [sym_number] = ACTIONS(3154),
    [sym_private_property_identifier] = ACTIONS(3154),
    [sym_this] = ACTIONS(3154),
    [sym_super] = ACTIONS(3154),
    [sym_true] = ACTIONS(3154),
    [sym_false] = ACTIONS(3154),
    [sym_null] = ACTIONS(3154),
    [sym_undefined] = ACTIONS(3154),
    [anon_sym_AT] = ACTIONS(3154),
    [anon_sym_static] = ACTIONS(3154),
    [anon_sym_readonly] = ACTIONS(3154),
    [anon_sym_get] = ACTIONS(3154),
    [anon_sym_set] = ACTIONS(3154),
    [anon_sym_declare] = ACTIONS(3154),
    [anon_sym_public] = ACTIONS(3154),
    [anon_sym_private] = ACTIONS(3154),
    [anon_sym_protected] = ACTIONS(3154),
    [anon_sym_override] = ACTIONS(3154),
    [anon_sym_module] = ACTIONS(3154),
    [anon_sym_any] = ACTIONS(3154),
    [anon_sym_number] = ACTIONS(3154),
    [anon_sym_boolean] = ACTIONS(3154),
    [anon_sym_string] = ACTIONS(3154),
    [anon_sym_symbol] = ACTIONS(3154),
    [anon_sym_object] = ACTIONS(3154),
    [anon_sym_abstract] = ACTIONS(3154),
    [anon_sym_interface] = ACTIONS(3154),
    [anon_sym_enum] = ACTIONS(3154),
    [sym_html_comment] = ACTIONS(5),
  },
  [1300] = {
    [sym_comment] = STATE(1300),
    [ts_builtin_sym_end] = ACTIONS(3370),
    [sym_identifier] = ACTIONS(3154),
    [anon_sym_export] = ACTIONS(3154),
    [anon_sym_type] = ACTIONS(3154),
    [anon_sym_namespace] = ACTIONS(3154),
    [anon_sym_LBRACE] = ACTIONS(3154),
    [anon_sym_RBRACE] = ACTIONS(3154),
    [anon_sym_typeof] = ACTIONS(3154),
    [anon_sym_import] = ACTIONS(3154),
    [anon_sym_with] = ACTIONS(3154),
    [anon_sym_var] = ACTIONS(3154),
    [anon_sym_let] = ACTIONS(3154),
    [anon_sym_const] = ACTIONS(3154),
    [anon_sym_BANG] = ACTIONS(3154),
    [anon_sym_else] = ACTIONS(3154),
    [anon_sym_if] = ACTIONS(3154),
    [anon_sym_switch] = ACTIONS(3154),
    [anon_sym_for] = ACTIONS(3154),
    [anon_sym_LPAREN] = ACTIONS(3154),
    [anon_sym_await] = ACTIONS(3154),
    [anon_sym_while] = ACTIONS(3154),
    [anon_sym_do] = ACTIONS(3154),
    [anon_sym_try] = ACTIONS(3154),
    [anon_sym_break] = ACTIONS(3154),
    [anon_sym_continue] = ACTIONS(3154),
    [anon_sym_debugger] = ACTIONS(3154),
    [anon_sym_return] = ACTIONS(3154),
    [anon_sym_throw] = ACTIONS(3154),
    [anon_sym_SEMI] = ACTIONS(3154),
    [anon_sym_yield] = ACTIONS(3154),
    [anon_sym_LBRACK] = ACTIONS(3154),
    [anon_sym_LTtemplate_GT] = ACTIONS(3154),
    [anon_sym_DQUOTE] = ACTIONS(3154),
    [anon_sym_SQUOTE] = ACTIONS(3154),
    [anon_sym_class] = ACTIONS(3154),
    [anon_sym_async] = ACTIONS(3154),
    [anon_sym_function] = ACTIONS(3154),
    [anon_sym_new] = ACTIONS(3154),
    [anon_sym_using] = ACTIONS(3154),
    [anon_sym_PLUS] = ACTIONS(3154),
    [anon_sym_DASH] = ACTIONS(3154),
    [anon_sym_SLASH] = ACTIONS(3154),
    [anon_sym_LT] = ACTIONS(3154),
    [anon_sym_TILDE] = ACTIONS(3154),
    [anon_sym_void] = ACTIONS(3154),
    [anon_sym_delete] = ACTIONS(3154),
    [anon_sym_PLUS_PLUS] = ACTIONS(3154),
    [anon_sym_DASH_DASH] = ACTIONS(3154),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3154),
    [sym_number] = ACTIONS(3154),
    [sym_private_property_identifier] = ACTIONS(3154),
    [sym_this] = ACTIONS(3154),
    [sym_super] = ACTIONS(3154),
    [sym_true] = ACTIONS(3154),
    [sym_false] = ACTIONS(3154),
    [sym_null] = ACTIONS(3154),
    [sym_undefined] = ACTIONS(3154),
    [anon_sym_AT] = ACTIONS(3154),
    [anon_sym_static] = ACTIONS(3154),
    [anon_sym_readonly] = ACTIONS(3154),
    [anon_sym_get] = ACTIONS(3154),
    [anon_sym_set] = ACTIONS(3154),
    [anon_sym_declare] = ACTIONS(3154),
    [anon_sym_public] = ACTIONS(3154),
    [anon_sym_private] = ACTIONS(3154),
    [anon_sym_protected] = ACTIONS(3154),
    [anon_sym_override] = ACTIONS(3154),
    [anon_sym_module] = ACTIONS(3154),
    [anon_sym_any] = ACTIONS(3154),
    [anon_sym_number] = ACTIONS(3154),
    [anon_sym_boolean] = ACTIONS(3154),
    [anon_sym_string] = ACTIONS(3154),
    [anon_sym_symbol] = ACTIONS(3154),
    [anon_sym_object] = ACTIONS(3154),
    [anon_sym_abstract] = ACTIONS(3154),
    [anon_sym_interface] = ACTIONS(3154),
    [anon_sym_enum] = ACTIONS(3154),
    [sym_html_comment] = ACTIONS(5),
  },
  [1301] = {
    [sym_comment] = STATE(1301),
    [sym_identifier] = ACTIONS(3150),
    [anon_sym_export] = ACTIONS(3150),
    [anon_sym_default] = ACTIONS(3150),
    [anon_sym_type] = ACTIONS(3150),
    [anon_sym_namespace] = ACTIONS(3150),
    [anon_sym_LBRACE] = ACTIONS(3150),
    [anon_sym_RBRACE] = ACTIONS(3150),
    [anon_sym_typeof] = ACTIONS(3150),
    [anon_sym_import] = ACTIONS(3150),
    [anon_sym_with] = ACTIONS(3150),
    [anon_sym_var] = ACTIONS(3150),
    [anon_sym_let] = ACTIONS(3150),
    [anon_sym_const] = ACTIONS(3150),
    [anon_sym_BANG] = ACTIONS(3150),
    [anon_sym_if] = ACTIONS(3150),
    [anon_sym_switch] = ACTIONS(3150),
    [anon_sym_for] = ACTIONS(3150),
    [anon_sym_LPAREN] = ACTIONS(3150),
    [anon_sym_await] = ACTIONS(3150),
    [anon_sym_while] = ACTIONS(3150),
    [anon_sym_do] = ACTIONS(3150),
    [anon_sym_try] = ACTIONS(3150),
    [anon_sym_break] = ACTIONS(3150),
    [anon_sym_continue] = ACTIONS(3150),
    [anon_sym_debugger] = ACTIONS(3150),
    [anon_sym_return] = ACTIONS(3150),
    [anon_sym_throw] = ACTIONS(3150),
    [anon_sym_SEMI] = ACTIONS(3150),
    [anon_sym_case] = ACTIONS(3150),
    [anon_sym_yield] = ACTIONS(3150),
    [anon_sym_LBRACK] = ACTIONS(3150),
    [anon_sym_LTtemplate_GT] = ACTIONS(3150),
    [anon_sym_DQUOTE] = ACTIONS(3150),
    [anon_sym_SQUOTE] = ACTIONS(3150),
    [anon_sym_class] = ACTIONS(3150),
    [anon_sym_async] = ACTIONS(3150),
    [anon_sym_function] = ACTIONS(3150),
    [anon_sym_new] = ACTIONS(3150),
    [anon_sym_using] = ACTIONS(3150),
    [anon_sym_PLUS] = ACTIONS(3150),
    [anon_sym_DASH] = ACTIONS(3150),
    [anon_sym_SLASH] = ACTIONS(3150),
    [anon_sym_LT] = ACTIONS(3150),
    [anon_sym_TILDE] = ACTIONS(3150),
    [anon_sym_void] = ACTIONS(3150),
    [anon_sym_delete] = ACTIONS(3150),
    [anon_sym_PLUS_PLUS] = ACTIONS(3150),
    [anon_sym_DASH_DASH] = ACTIONS(3150),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3150),
    [sym_number] = ACTIONS(3150),
    [sym_private_property_identifier] = ACTIONS(3150),
    [sym_this] = ACTIONS(3150),
    [sym_super] = ACTIONS(3150),
    [sym_true] = ACTIONS(3150),
    [sym_false] = ACTIONS(3150),
    [sym_null] = ACTIONS(3150),
    [sym_undefined] = ACTIONS(3150),
    [anon_sym_AT] = ACTIONS(3150),
    [anon_sym_static] = ACTIONS(3150),
    [anon_sym_readonly] = ACTIONS(3150),
    [anon_sym_get] = ACTIONS(3150),
    [anon_sym_set] = ACTIONS(3150),
    [anon_sym_declare] = ACTIONS(3150),
    [anon_sym_public] = ACTIONS(3150),
    [anon_sym_private] = ACTIONS(3150),
    [anon_sym_protected] = ACTIONS(3150),
    [anon_sym_override] = ACTIONS(3150),
    [anon_sym_module] = ACTIONS(3150),
    [anon_sym_any] = ACTIONS(3150),
    [anon_sym_number] = ACTIONS(3150),
    [anon_sym_boolean] = ACTIONS(3150),
    [anon_sym_string] = ACTIONS(3150),
    [anon_sym_symbol] = ACTIONS(3150),
    [anon_sym_object] = ACTIONS(3150),
    [anon_sym_abstract] = ACTIONS(3150),
    [anon_sym_interface] = ACTIONS(3150),
    [anon_sym_enum] = ACTIONS(3150),
    [sym_html_comment] = ACTIONS(5),
  },
  [1302] = {
    [sym_comment] = STATE(1302),
    [sym_identifier] = ACTIONS(3148),
    [anon_sym_export] = ACTIONS(3148),
    [anon_sym_default] = ACTIONS(3148),
    [anon_sym_type] = ACTIONS(3148),
    [anon_sym_namespace] = ACTIONS(3148),
    [anon_sym_LBRACE] = ACTIONS(3148),
    [anon_sym_RBRACE] = ACTIONS(3148),
    [anon_sym_typeof] = ACTIONS(3148),
    [anon_sym_import] = ACTIONS(3148),
    [anon_sym_with] = ACTIONS(3148),
    [anon_sym_var] = ACTIONS(3148),
    [anon_sym_let] = ACTIONS(3148),
    [anon_sym_const] = ACTIONS(3148),
    [anon_sym_BANG] = ACTIONS(3148),
    [anon_sym_if] = ACTIONS(3148),
    [anon_sym_switch] = ACTIONS(3148),
    [anon_sym_for] = ACTIONS(3148),
    [anon_sym_LPAREN] = ACTIONS(3148),
    [anon_sym_await] = ACTIONS(3148),
    [anon_sym_while] = ACTIONS(3148),
    [anon_sym_do] = ACTIONS(3148),
    [anon_sym_try] = ACTIONS(3148),
    [anon_sym_break] = ACTIONS(3148),
    [anon_sym_continue] = ACTIONS(3148),
    [anon_sym_debugger] = ACTIONS(3148),
    [anon_sym_return] = ACTIONS(3148),
    [anon_sym_throw] = ACTIONS(3148),
    [anon_sym_SEMI] = ACTIONS(3148),
    [anon_sym_case] = ACTIONS(3148),
    [anon_sym_yield] = ACTIONS(3148),
    [anon_sym_LBRACK] = ACTIONS(3148),
    [anon_sym_LTtemplate_GT] = ACTIONS(3148),
    [anon_sym_DQUOTE] = ACTIONS(3148),
    [anon_sym_SQUOTE] = ACTIONS(3148),
    [anon_sym_class] = ACTIONS(3148),
    [anon_sym_async] = ACTIONS(3148),
    [anon_sym_function] = ACTIONS(3148),
    [anon_sym_new] = ACTIONS(3148),
    [anon_sym_using] = ACTIONS(3148),
    [anon_sym_PLUS] = ACTIONS(3148),
    [anon_sym_DASH] = ACTIONS(3148),
    [anon_sym_SLASH] = ACTIONS(3148),
    [anon_sym_LT] = ACTIONS(3148),
    [anon_sym_TILDE] = ACTIONS(3148),
    [anon_sym_void] = ACTIONS(3148),
    [anon_sym_delete] = ACTIONS(3148),
    [anon_sym_PLUS_PLUS] = ACTIONS(3148),
    [anon_sym_DASH_DASH] = ACTIONS(3148),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3148),
    [sym_number] = ACTIONS(3148),
    [sym_private_property_identifier] = ACTIONS(3148),
    [sym_this] = ACTIONS(3148),
    [sym_super] = ACTIONS(3148),
    [sym_true] = ACTIONS(3148),
    [sym_false] = ACTIONS(3148),
    [sym_null] = ACTIONS(3148),
    [sym_undefined] = ACTIONS(3148),
    [anon_sym_AT] = ACTIONS(3148),
    [anon_sym_static] = ACTIONS(3148),
    [anon_sym_readonly] = ACTIONS(3148),
    [anon_sym_get] = ACTIONS(3148),
    [anon_sym_set] = ACTIONS(3148),
    [anon_sym_declare] = ACTIONS(3148),
    [anon_sym_public] = ACTIONS(3148),
    [anon_sym_private] = ACTIONS(3148),
    [anon_sym_protected] = ACTIONS(3148),
    [anon_sym_override] = ACTIONS(3148),
    [anon_sym_module] = ACTIONS(3148),
    [anon_sym_any] = ACTIONS(3148),
    [anon_sym_number] = ACTIONS(3148),
    [anon_sym_boolean] = ACTIONS(3148),
    [anon_sym_string] = ACTIONS(3148),
    [anon_sym_symbol] = ACTIONS(3148),
    [anon_sym_object] = ACTIONS(3148),
    [anon_sym_abstract] = ACTIONS(3148),
    [anon_sym_interface] = ACTIONS(3148),
    [anon_sym_enum] = ACTIONS(3148),
    [sym_html_comment] = ACTIONS(5),
  },
  [1303] = {
    [sym_comment] = STATE(1303),
    [ts_builtin_sym_end] = ACTIONS(3370),
    [sym_identifier] = ACTIONS(3154),
    [anon_sym_export] = ACTIONS(3154),
    [anon_sym_type] = ACTIONS(3154),
    [anon_sym_namespace] = ACTIONS(3154),
    [anon_sym_LBRACE] = ACTIONS(3154),
    [anon_sym_RBRACE] = ACTIONS(3154),
    [anon_sym_typeof] = ACTIONS(3154),
    [anon_sym_import] = ACTIONS(3154),
    [anon_sym_with] = ACTIONS(3154),
    [anon_sym_var] = ACTIONS(3154),
    [anon_sym_let] = ACTIONS(3154),
    [anon_sym_const] = ACTIONS(3154),
    [anon_sym_BANG] = ACTIONS(3154),
    [anon_sym_else] = ACTIONS(3154),
    [anon_sym_if] = ACTIONS(3154),
    [anon_sym_switch] = ACTIONS(3154),
    [anon_sym_for] = ACTIONS(3154),
    [anon_sym_LPAREN] = ACTIONS(3154),
    [anon_sym_await] = ACTIONS(3154),
    [anon_sym_while] = ACTIONS(3154),
    [anon_sym_do] = ACTIONS(3154),
    [anon_sym_try] = ACTIONS(3154),
    [anon_sym_break] = ACTIONS(3154),
    [anon_sym_continue] = ACTIONS(3154),
    [anon_sym_debugger] = ACTIONS(3154),
    [anon_sym_return] = ACTIONS(3154),
    [anon_sym_throw] = ACTIONS(3154),
    [anon_sym_SEMI] = ACTIONS(3154),
    [anon_sym_yield] = ACTIONS(3154),
    [anon_sym_LBRACK] = ACTIONS(3154),
    [anon_sym_LTtemplate_GT] = ACTIONS(3154),
    [anon_sym_DQUOTE] = ACTIONS(3154),
    [anon_sym_SQUOTE] = ACTIONS(3154),
    [anon_sym_class] = ACTIONS(3154),
    [anon_sym_async] = ACTIONS(3154),
    [anon_sym_function] = ACTIONS(3154),
    [anon_sym_new] = ACTIONS(3154),
    [anon_sym_using] = ACTIONS(3154),
    [anon_sym_PLUS] = ACTIONS(3154),
    [anon_sym_DASH] = ACTIONS(3154),
    [anon_sym_SLASH] = ACTIONS(3154),
    [anon_sym_LT] = ACTIONS(3154),
    [anon_sym_TILDE] = ACTIONS(3154),
    [anon_sym_void] = ACTIONS(3154),
    [anon_sym_delete] = ACTIONS(3154),
    [anon_sym_PLUS_PLUS] = ACTIONS(3154),
    [anon_sym_DASH_DASH] = ACTIONS(3154),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3154),
    [sym_number] = ACTIONS(3154),
    [sym_private_property_identifier] = ACTIONS(3154),
    [sym_this] = ACTIONS(3154),
    [sym_super] = ACTIONS(3154),
    [sym_true] = ACTIONS(3154),
    [sym_false] = ACTIONS(3154),
    [sym_null] = ACTIONS(3154),
    [sym_undefined] = ACTIONS(3154),
    [anon_sym_AT] = ACTIONS(3154),
    [anon_sym_static] = ACTIONS(3154),
    [anon_sym_readonly] = ACTIONS(3154),
    [anon_sym_get] = ACTIONS(3154),
    [anon_sym_set] = ACTIONS(3154),
    [anon_sym_declare] = ACTIONS(3154),
    [anon_sym_public] = ACTIONS(3154),
    [anon_sym_private] = ACTIONS(3154),
    [anon_sym_protected] = ACTIONS(3154),
    [anon_sym_override] = ACTIONS(3154),
    [anon_sym_module] = ACTIONS(3154),
    [anon_sym_any] = ACTIONS(3154),
    [anon_sym_number] = ACTIONS(3154),
    [anon_sym_boolean] = ACTIONS(3154),
    [anon_sym_string] = ACTIONS(3154),
    [anon_sym_symbol] = ACTIONS(3154),
    [anon_sym_object] = ACTIONS(3154),
    [anon_sym_abstract] = ACTIONS(3154),
    [anon_sym_interface] = ACTIONS(3154),
    [anon_sym_enum] = ACTIONS(3154),
    [sym_html_comment] = ACTIONS(5),
  },
  [1304] = {
    [sym_comment] = STATE(1304),
    [ts_builtin_sym_end] = ACTIONS(3370),
    [sym_identifier] = ACTIONS(3154),
    [anon_sym_export] = ACTIONS(3154),
    [anon_sym_type] = ACTIONS(3154),
    [anon_sym_namespace] = ACTIONS(3154),
    [anon_sym_LBRACE] = ACTIONS(3154),
    [anon_sym_RBRACE] = ACTIONS(3154),
    [anon_sym_typeof] = ACTIONS(3154),
    [anon_sym_import] = ACTIONS(3154),
    [anon_sym_with] = ACTIONS(3154),
    [anon_sym_var] = ACTIONS(3154),
    [anon_sym_let] = ACTIONS(3154),
    [anon_sym_const] = ACTIONS(3154),
    [anon_sym_BANG] = ACTIONS(3154),
    [anon_sym_else] = ACTIONS(3154),
    [anon_sym_if] = ACTIONS(3154),
    [anon_sym_switch] = ACTIONS(3154),
    [anon_sym_for] = ACTIONS(3154),
    [anon_sym_LPAREN] = ACTIONS(3154),
    [anon_sym_await] = ACTIONS(3154),
    [anon_sym_while] = ACTIONS(3154),
    [anon_sym_do] = ACTIONS(3154),
    [anon_sym_try] = ACTIONS(3154),
    [anon_sym_break] = ACTIONS(3154),
    [anon_sym_continue] = ACTIONS(3154),
    [anon_sym_debugger] = ACTIONS(3154),
    [anon_sym_return] = ACTIONS(3154),
    [anon_sym_throw] = ACTIONS(3154),
    [anon_sym_SEMI] = ACTIONS(3154),
    [anon_sym_yield] = ACTIONS(3154),
    [anon_sym_LBRACK] = ACTIONS(3154),
    [anon_sym_LTtemplate_GT] = ACTIONS(3154),
    [anon_sym_DQUOTE] = ACTIONS(3154),
    [anon_sym_SQUOTE] = ACTIONS(3154),
    [anon_sym_class] = ACTIONS(3154),
    [anon_sym_async] = ACTIONS(3154),
    [anon_sym_function] = ACTIONS(3154),
    [anon_sym_new] = ACTIONS(3154),
    [anon_sym_using] = ACTIONS(3154),
    [anon_sym_PLUS] = ACTIONS(3154),
    [anon_sym_DASH] = ACTIONS(3154),
    [anon_sym_SLASH] = ACTIONS(3154),
    [anon_sym_LT] = ACTIONS(3154),
    [anon_sym_TILDE] = ACTIONS(3154),
    [anon_sym_void] = ACTIONS(3154),
    [anon_sym_delete] = ACTIONS(3154),
    [anon_sym_PLUS_PLUS] = ACTIONS(3154),
    [anon_sym_DASH_DASH] = ACTIONS(3154),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3154),
    [sym_number] = ACTIONS(3154),
    [sym_private_property_identifier] = ACTIONS(3154),
    [sym_this] = ACTIONS(3154),
    [sym_super] = ACTIONS(3154),
    [sym_true] = ACTIONS(3154),
    [sym_false] = ACTIONS(3154),
    [sym_null] = ACTIONS(3154),
    [sym_undefined] = ACTIONS(3154),
    [anon_sym_AT] = ACTIONS(3154),
    [anon_sym_static] = ACTIONS(3154),
    [anon_sym_readonly] = ACTIONS(3154),
    [anon_sym_get] = ACTIONS(3154),
    [anon_sym_set] = ACTIONS(3154),
    [anon_sym_declare] = ACTIONS(3154),
    [anon_sym_public] = ACTIONS(3154),
    [anon_sym_private] = ACTIONS(3154),
    [anon_sym_protected] = ACTIONS(3154),
    [anon_sym_override] = ACTIONS(3154),
    [anon_sym_module] = ACTIONS(3154),
    [anon_sym_any] = ACTIONS(3154),
    [anon_sym_number] = ACTIONS(3154),
    [anon_sym_boolean] = ACTIONS(3154),
    [anon_sym_string] = ACTIONS(3154),
    [anon_sym_symbol] = ACTIONS(3154),
    [anon_sym_object] = ACTIONS(3154),
    [anon_sym_abstract] = ACTIONS(3154),
    [anon_sym_interface] = ACTIONS(3154),
    [anon_sym_enum] = ACTIONS(3154),
    [sym_html_comment] = ACTIONS(5),
  },
  [1305] = {
    [sym_comment] = STATE(1305),
    [ts_builtin_sym_end] = ACTIONS(3370),
    [sym_identifier] = ACTIONS(3154),
    [anon_sym_export] = ACTIONS(3154),
    [anon_sym_type] = ACTIONS(3154),
    [anon_sym_namespace] = ACTIONS(3154),
    [anon_sym_LBRACE] = ACTIONS(3154),
    [anon_sym_RBRACE] = ACTIONS(3154),
    [anon_sym_typeof] = ACTIONS(3154),
    [anon_sym_import] = ACTIONS(3154),
    [anon_sym_with] = ACTIONS(3154),
    [anon_sym_var] = ACTIONS(3154),
    [anon_sym_let] = ACTIONS(3154),
    [anon_sym_const] = ACTIONS(3154),
    [anon_sym_BANG] = ACTIONS(3154),
    [anon_sym_else] = ACTIONS(3154),
    [anon_sym_if] = ACTIONS(3154),
    [anon_sym_switch] = ACTIONS(3154),
    [anon_sym_for] = ACTIONS(3154),
    [anon_sym_LPAREN] = ACTIONS(3154),
    [anon_sym_await] = ACTIONS(3154),
    [anon_sym_while] = ACTIONS(3154),
    [anon_sym_do] = ACTIONS(3154),
    [anon_sym_try] = ACTIONS(3154),
    [anon_sym_break] = ACTIONS(3154),
    [anon_sym_continue] = ACTIONS(3154),
    [anon_sym_debugger] = ACTIONS(3154),
    [anon_sym_return] = ACTIONS(3154),
    [anon_sym_throw] = ACTIONS(3154),
    [anon_sym_SEMI] = ACTIONS(3154),
    [anon_sym_yield] = ACTIONS(3154),
    [anon_sym_LBRACK] = ACTIONS(3154),
    [anon_sym_LTtemplate_GT] = ACTIONS(3154),
    [anon_sym_DQUOTE] = ACTIONS(3154),
    [anon_sym_SQUOTE] = ACTIONS(3154),
    [anon_sym_class] = ACTIONS(3154),
    [anon_sym_async] = ACTIONS(3154),
    [anon_sym_function] = ACTIONS(3154),
    [anon_sym_new] = ACTIONS(3154),
    [anon_sym_using] = ACTIONS(3154),
    [anon_sym_PLUS] = ACTIONS(3154),
    [anon_sym_DASH] = ACTIONS(3154),
    [anon_sym_SLASH] = ACTIONS(3154),
    [anon_sym_LT] = ACTIONS(3154),
    [anon_sym_TILDE] = ACTIONS(3154),
    [anon_sym_void] = ACTIONS(3154),
    [anon_sym_delete] = ACTIONS(3154),
    [anon_sym_PLUS_PLUS] = ACTIONS(3154),
    [anon_sym_DASH_DASH] = ACTIONS(3154),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3154),
    [sym_number] = ACTIONS(3154),
    [sym_private_property_identifier] = ACTIONS(3154),
    [sym_this] = ACTIONS(3154),
    [sym_super] = ACTIONS(3154),
    [sym_true] = ACTIONS(3154),
    [sym_false] = ACTIONS(3154),
    [sym_null] = ACTIONS(3154),
    [sym_undefined] = ACTIONS(3154),
    [anon_sym_AT] = ACTIONS(3154),
    [anon_sym_static] = ACTIONS(3154),
    [anon_sym_readonly] = ACTIONS(3154),
    [anon_sym_get] = ACTIONS(3154),
    [anon_sym_set] = ACTIONS(3154),
    [anon_sym_declare] = ACTIONS(3154),
    [anon_sym_public] = ACTIONS(3154),
    [anon_sym_private] = ACTIONS(3154),
    [anon_sym_protected] = ACTIONS(3154),
    [anon_sym_override] = ACTIONS(3154),
    [anon_sym_module] = ACTIONS(3154),
    [anon_sym_any] = ACTIONS(3154),
    [anon_sym_number] = ACTIONS(3154),
    [anon_sym_boolean] = ACTIONS(3154),
    [anon_sym_string] = ACTIONS(3154),
    [anon_sym_symbol] = ACTIONS(3154),
    [anon_sym_object] = ACTIONS(3154),
    [anon_sym_abstract] = ACTIONS(3154),
    [anon_sym_interface] = ACTIONS(3154),
    [anon_sym_enum] = ACTIONS(3154),
    [sym_html_comment] = ACTIONS(5),
  },
  [1306] = {
    [sym_comment] = STATE(1306),
    [sym_identifier] = ACTIONS(3146),
    [anon_sym_export] = ACTIONS(3146),
    [anon_sym_default] = ACTIONS(3146),
    [anon_sym_type] = ACTIONS(3146),
    [anon_sym_namespace] = ACTIONS(3146),
    [anon_sym_LBRACE] = ACTIONS(3146),
    [anon_sym_RBRACE] = ACTIONS(3146),
    [anon_sym_typeof] = ACTIONS(3146),
    [anon_sym_import] = ACTIONS(3146),
    [anon_sym_with] = ACTIONS(3146),
    [anon_sym_var] = ACTIONS(3146),
    [anon_sym_let] = ACTIONS(3146),
    [anon_sym_const] = ACTIONS(3146),
    [anon_sym_BANG] = ACTIONS(3146),
    [anon_sym_if] = ACTIONS(3146),
    [anon_sym_switch] = ACTIONS(3146),
    [anon_sym_for] = ACTIONS(3146),
    [anon_sym_LPAREN] = ACTIONS(3146),
    [anon_sym_await] = ACTIONS(3146),
    [anon_sym_while] = ACTIONS(3146),
    [anon_sym_do] = ACTIONS(3146),
    [anon_sym_try] = ACTIONS(3146),
    [anon_sym_break] = ACTIONS(3146),
    [anon_sym_continue] = ACTIONS(3146),
    [anon_sym_debugger] = ACTIONS(3146),
    [anon_sym_return] = ACTIONS(3146),
    [anon_sym_throw] = ACTIONS(3146),
    [anon_sym_SEMI] = ACTIONS(3146),
    [anon_sym_case] = ACTIONS(3146),
    [anon_sym_yield] = ACTIONS(3146),
    [anon_sym_LBRACK] = ACTIONS(3146),
    [anon_sym_LTtemplate_GT] = ACTIONS(3146),
    [anon_sym_DQUOTE] = ACTIONS(3146),
    [anon_sym_SQUOTE] = ACTIONS(3146),
    [anon_sym_class] = ACTIONS(3146),
    [anon_sym_async] = ACTIONS(3146),
    [anon_sym_function] = ACTIONS(3146),
    [anon_sym_new] = ACTIONS(3146),
    [anon_sym_using] = ACTIONS(3146),
    [anon_sym_PLUS] = ACTIONS(3146),
    [anon_sym_DASH] = ACTIONS(3146),
    [anon_sym_SLASH] = ACTIONS(3146),
    [anon_sym_LT] = ACTIONS(3146),
    [anon_sym_TILDE] = ACTIONS(3146),
    [anon_sym_void] = ACTIONS(3146),
    [anon_sym_delete] = ACTIONS(3146),
    [anon_sym_PLUS_PLUS] = ACTIONS(3146),
    [anon_sym_DASH_DASH] = ACTIONS(3146),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3146),
    [sym_number] = ACTIONS(3146),
    [sym_private_property_identifier] = ACTIONS(3146),
    [sym_this] = ACTIONS(3146),
    [sym_super] = ACTIONS(3146),
    [sym_true] = ACTIONS(3146),
    [sym_false] = ACTIONS(3146),
    [sym_null] = ACTIONS(3146),
    [sym_undefined] = ACTIONS(3146),
    [anon_sym_AT] = ACTIONS(3146),
    [anon_sym_static] = ACTIONS(3146),
    [anon_sym_readonly] = ACTIONS(3146),
    [anon_sym_get] = ACTIONS(3146),
    [anon_sym_set] = ACTIONS(3146),
    [anon_sym_declare] = ACTIONS(3146),
    [anon_sym_public] = ACTIONS(3146),
    [anon_sym_private] = ACTIONS(3146),
    [anon_sym_protected] = ACTIONS(3146),
    [anon_sym_override] = ACTIONS(3146),
    [anon_sym_module] = ACTIONS(3146),
    [anon_sym_any] = ACTIONS(3146),
    [anon_sym_number] = ACTIONS(3146),
    [anon_sym_boolean] = ACTIONS(3146),
    [anon_sym_string] = ACTIONS(3146),
    [anon_sym_symbol] = ACTIONS(3146),
    [anon_sym_object] = ACTIONS(3146),
    [anon_sym_abstract] = ACTIONS(3146),
    [anon_sym_interface] = ACTIONS(3146),
    [anon_sym_enum] = ACTIONS(3146),
    [sym_html_comment] = ACTIONS(5),
  },
  [1307] = {
    [sym_comment] = STATE(1307),
    [sym_identifier] = ACTIONS(3144),
    [anon_sym_export] = ACTIONS(3144),
    [anon_sym_default] = ACTIONS(3144),
    [anon_sym_type] = ACTIONS(3144),
    [anon_sym_namespace] = ACTIONS(3144),
    [anon_sym_LBRACE] = ACTIONS(3144),
    [anon_sym_RBRACE] = ACTIONS(3144),
    [anon_sym_typeof] = ACTIONS(3144),
    [anon_sym_import] = ACTIONS(3144),
    [anon_sym_with] = ACTIONS(3144),
    [anon_sym_var] = ACTIONS(3144),
    [anon_sym_let] = ACTIONS(3144),
    [anon_sym_const] = ACTIONS(3144),
    [anon_sym_BANG] = ACTIONS(3144),
    [anon_sym_if] = ACTIONS(3144),
    [anon_sym_switch] = ACTIONS(3144),
    [anon_sym_for] = ACTIONS(3144),
    [anon_sym_LPAREN] = ACTIONS(3144),
    [anon_sym_await] = ACTIONS(3144),
    [anon_sym_while] = ACTIONS(3144),
    [anon_sym_do] = ACTIONS(3144),
    [anon_sym_try] = ACTIONS(3144),
    [anon_sym_break] = ACTIONS(3144),
    [anon_sym_continue] = ACTIONS(3144),
    [anon_sym_debugger] = ACTIONS(3144),
    [anon_sym_return] = ACTIONS(3144),
    [anon_sym_throw] = ACTIONS(3144),
    [anon_sym_SEMI] = ACTIONS(3144),
    [anon_sym_case] = ACTIONS(3144),
    [anon_sym_yield] = ACTIONS(3144),
    [anon_sym_LBRACK] = ACTIONS(3144),
    [anon_sym_LTtemplate_GT] = ACTIONS(3144),
    [anon_sym_DQUOTE] = ACTIONS(3144),
    [anon_sym_SQUOTE] = ACTIONS(3144),
    [anon_sym_class] = ACTIONS(3144),
    [anon_sym_async] = ACTIONS(3144),
    [anon_sym_function] = ACTIONS(3144),
    [anon_sym_new] = ACTIONS(3144),
    [anon_sym_using] = ACTIONS(3144),
    [anon_sym_PLUS] = ACTIONS(3144),
    [anon_sym_DASH] = ACTIONS(3144),
    [anon_sym_SLASH] = ACTIONS(3144),
    [anon_sym_LT] = ACTIONS(3144),
    [anon_sym_TILDE] = ACTIONS(3144),
    [anon_sym_void] = ACTIONS(3144),
    [anon_sym_delete] = ACTIONS(3144),
    [anon_sym_PLUS_PLUS] = ACTIONS(3144),
    [anon_sym_DASH_DASH] = ACTIONS(3144),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3144),
    [sym_number] = ACTIONS(3144),
    [sym_private_property_identifier] = ACTIONS(3144),
    [sym_this] = ACTIONS(3144),
    [sym_super] = ACTIONS(3144),
    [sym_true] = ACTIONS(3144),
    [sym_false] = ACTIONS(3144),
    [sym_null] = ACTIONS(3144),
    [sym_undefined] = ACTIONS(3144),
    [anon_sym_AT] = ACTIONS(3144),
    [anon_sym_static] = ACTIONS(3144),
    [anon_sym_readonly] = ACTIONS(3144),
    [anon_sym_get] = ACTIONS(3144),
    [anon_sym_set] = ACTIONS(3144),
    [anon_sym_declare] = ACTIONS(3144),
    [anon_sym_public] = ACTIONS(3144),
    [anon_sym_private] = ACTIONS(3144),
    [anon_sym_protected] = ACTIONS(3144),
    [anon_sym_override] = ACTIONS(3144),
    [anon_sym_module] = ACTIONS(3144),
    [anon_sym_any] = ACTIONS(3144),
    [anon_sym_number] = ACTIONS(3144),
    [anon_sym_boolean] = ACTIONS(3144),
    [anon_sym_string] = ACTIONS(3144),
    [anon_sym_symbol] = ACTIONS(3144),
    [anon_sym_object] = ACTIONS(3144),
    [anon_sym_abstract] = ACTIONS(3144),
    [anon_sym_interface] = ACTIONS(3144),
    [anon_sym_enum] = ACTIONS(3144),
    [sym_html_comment] = ACTIONS(5),
  },
  [1308] = {
    [sym_comment] = STATE(1308),
    [ts_builtin_sym_end] = ACTIONS(2103),
    [sym_identifier] = ACTIONS(2067),
    [anon_sym_export] = ACTIONS(2067),
    [anon_sym_type] = ACTIONS(2067),
    [anon_sym_namespace] = ACTIONS(2067),
    [anon_sym_LBRACE] = ACTIONS(2067),
    [anon_sym_RBRACE] = ACTIONS(2067),
    [anon_sym_typeof] = ACTIONS(2067),
    [anon_sym_import] = ACTIONS(2067),
    [anon_sym_with] = ACTIONS(2067),
    [anon_sym_var] = ACTIONS(2067),
    [anon_sym_let] = ACTIONS(2067),
    [anon_sym_const] = ACTIONS(2067),
    [anon_sym_BANG] = ACTIONS(2067),
    [anon_sym_if] = ACTIONS(2067),
    [anon_sym_switch] = ACTIONS(2067),
    [anon_sym_for] = ACTIONS(2067),
    [anon_sym_LPAREN] = ACTIONS(2067),
    [anon_sym_await] = ACTIONS(2067),
    [anon_sym_while] = ACTIONS(2067),
    [anon_sym_do] = ACTIONS(2067),
    [anon_sym_try] = ACTIONS(2067),
    [anon_sym_break] = ACTIONS(2067),
    [anon_sym_continue] = ACTIONS(2067),
    [anon_sym_debugger] = ACTIONS(2067),
    [anon_sym_return] = ACTIONS(2067),
    [anon_sym_throw] = ACTIONS(2067),
    [anon_sym_SEMI] = ACTIONS(2067),
    [anon_sym_yield] = ACTIONS(2067),
    [anon_sym_LBRACK] = ACTIONS(2067),
    [anon_sym_LTtemplate_GT] = ACTIONS(2067),
    [anon_sym_DQUOTE] = ACTIONS(2067),
    [anon_sym_SQUOTE] = ACTIONS(2067),
    [anon_sym_class] = ACTIONS(2067),
    [anon_sym_async] = ACTIONS(2067),
    [anon_sym_function] = ACTIONS(2067),
    [anon_sym_new] = ACTIONS(2067),
    [anon_sym_using] = ACTIONS(2067),
    [anon_sym_PLUS] = ACTIONS(2067),
    [anon_sym_DASH] = ACTIONS(2067),
    [anon_sym_SLASH] = ACTIONS(2067),
    [anon_sym_LT] = ACTIONS(2067),
    [anon_sym_TILDE] = ACTIONS(2067),
    [anon_sym_void] = ACTIONS(2067),
    [anon_sym_delete] = ACTIONS(2067),
    [anon_sym_PLUS_PLUS] = ACTIONS(2067),
    [anon_sym_DASH_DASH] = ACTIONS(2067),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2067),
    [sym_number] = ACTIONS(2067),
    [sym_private_property_identifier] = ACTIONS(2067),
    [sym_this] = ACTIONS(2067),
    [sym_super] = ACTIONS(2067),
    [sym_true] = ACTIONS(2067),
    [sym_false] = ACTIONS(2067),
    [sym_null] = ACTIONS(2067),
    [sym_undefined] = ACTIONS(2067),
    [anon_sym_AT] = ACTIONS(2067),
    [anon_sym_static] = ACTIONS(2067),
    [anon_sym_readonly] = ACTIONS(2067),
    [anon_sym_get] = ACTIONS(2067),
    [anon_sym_set] = ACTIONS(2067),
    [anon_sym_declare] = ACTIONS(2067),
    [anon_sym_public] = ACTIONS(2067),
    [anon_sym_private] = ACTIONS(2067),
    [anon_sym_protected] = ACTIONS(2067),
    [anon_sym_override] = ACTIONS(2067),
    [anon_sym_module] = ACTIONS(2067),
    [anon_sym_any] = ACTIONS(2067),
    [anon_sym_number] = ACTIONS(2067),
    [anon_sym_boolean] = ACTIONS(2067),
    [anon_sym_string] = ACTIONS(2067),
    [anon_sym_symbol] = ACTIONS(2067),
    [anon_sym_object] = ACTIONS(2067),
    [anon_sym_abstract] = ACTIONS(2067),
    [anon_sym_interface] = ACTIONS(2067),
    [anon_sym_enum] = ACTIONS(2067),
    [sym__automatic_semicolon] = ACTIONS(2367),
    [sym_html_comment] = ACTIONS(5),
  },
  [1309] = {
    [sym_comment] = STATE(1309),
    [sym_identifier] = ACTIONS(3142),
    [anon_sym_export] = ACTIONS(3142),
    [anon_sym_default] = ACTIONS(3142),
    [anon_sym_type] = ACTIONS(3142),
    [anon_sym_namespace] = ACTIONS(3142),
    [anon_sym_LBRACE] = ACTIONS(3142),
    [anon_sym_RBRACE] = ACTIONS(3142),
    [anon_sym_typeof] = ACTIONS(3142),
    [anon_sym_import] = ACTIONS(3142),
    [anon_sym_with] = ACTIONS(3142),
    [anon_sym_var] = ACTIONS(3142),
    [anon_sym_let] = ACTIONS(3142),
    [anon_sym_const] = ACTIONS(3142),
    [anon_sym_BANG] = ACTIONS(3142),
    [anon_sym_if] = ACTIONS(3142),
    [anon_sym_switch] = ACTIONS(3142),
    [anon_sym_for] = ACTIONS(3142),
    [anon_sym_LPAREN] = ACTIONS(3142),
    [anon_sym_await] = ACTIONS(3142),
    [anon_sym_while] = ACTIONS(3142),
    [anon_sym_do] = ACTIONS(3142),
    [anon_sym_try] = ACTIONS(3142),
    [anon_sym_break] = ACTIONS(3142),
    [anon_sym_continue] = ACTIONS(3142),
    [anon_sym_debugger] = ACTIONS(3142),
    [anon_sym_return] = ACTIONS(3142),
    [anon_sym_throw] = ACTIONS(3142),
    [anon_sym_SEMI] = ACTIONS(3142),
    [anon_sym_case] = ACTIONS(3142),
    [anon_sym_yield] = ACTIONS(3142),
    [anon_sym_LBRACK] = ACTIONS(3142),
    [anon_sym_LTtemplate_GT] = ACTIONS(3142),
    [anon_sym_DQUOTE] = ACTIONS(3142),
    [anon_sym_SQUOTE] = ACTIONS(3142),
    [anon_sym_class] = ACTIONS(3142),
    [anon_sym_async] = ACTIONS(3142),
    [anon_sym_function] = ACTIONS(3142),
    [anon_sym_new] = ACTIONS(3142),
    [anon_sym_using] = ACTIONS(3142),
    [anon_sym_PLUS] = ACTIONS(3142),
    [anon_sym_DASH] = ACTIONS(3142),
    [anon_sym_SLASH] = ACTIONS(3142),
    [anon_sym_LT] = ACTIONS(3142),
    [anon_sym_TILDE] = ACTIONS(3142),
    [anon_sym_void] = ACTIONS(3142),
    [anon_sym_delete] = ACTIONS(3142),
    [anon_sym_PLUS_PLUS] = ACTIONS(3142),
    [anon_sym_DASH_DASH] = ACTIONS(3142),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3142),
    [sym_number] = ACTIONS(3142),
    [sym_private_property_identifier] = ACTIONS(3142),
    [sym_this] = ACTIONS(3142),
    [sym_super] = ACTIONS(3142),
    [sym_true] = ACTIONS(3142),
    [sym_false] = ACTIONS(3142),
    [sym_null] = ACTIONS(3142),
    [sym_undefined] = ACTIONS(3142),
    [anon_sym_AT] = ACTIONS(3142),
    [anon_sym_static] = ACTIONS(3142),
    [anon_sym_readonly] = ACTIONS(3142),
    [anon_sym_get] = ACTIONS(3142),
    [anon_sym_set] = ACTIONS(3142),
    [anon_sym_declare] = ACTIONS(3142),
    [anon_sym_public] = ACTIONS(3142),
    [anon_sym_private] = ACTIONS(3142),
    [anon_sym_protected] = ACTIONS(3142),
    [anon_sym_override] = ACTIONS(3142),
    [anon_sym_module] = ACTIONS(3142),
    [anon_sym_any] = ACTIONS(3142),
    [anon_sym_number] = ACTIONS(3142),
    [anon_sym_boolean] = ACTIONS(3142),
    [anon_sym_string] = ACTIONS(3142),
    [anon_sym_symbol] = ACTIONS(3142),
    [anon_sym_object] = ACTIONS(3142),
    [anon_sym_abstract] = ACTIONS(3142),
    [anon_sym_interface] = ACTIONS(3142),
    [anon_sym_enum] = ACTIONS(3142),
    [sym_html_comment] = ACTIONS(5),
  },
  [1310] = {
    [sym_comment] = STATE(1310),
    [ts_builtin_sym_end] = ACTIONS(3080),
    [sym_identifier] = ACTIONS(3078),
    [anon_sym_export] = ACTIONS(3078),
    [anon_sym_type] = ACTIONS(3078),
    [anon_sym_namespace] = ACTIONS(3078),
    [anon_sym_LBRACE] = ACTIONS(3078),
    [anon_sym_RBRACE] = ACTIONS(3078),
    [anon_sym_typeof] = ACTIONS(3078),
    [anon_sym_import] = ACTIONS(3078),
    [anon_sym_with] = ACTIONS(3078),
    [anon_sym_var] = ACTIONS(3078),
    [anon_sym_let] = ACTIONS(3078),
    [anon_sym_const] = ACTIONS(3078),
    [anon_sym_BANG] = ACTIONS(3078),
    [anon_sym_if] = ACTIONS(3078),
    [anon_sym_switch] = ACTIONS(3078),
    [anon_sym_for] = ACTIONS(3078),
    [anon_sym_LPAREN] = ACTIONS(3078),
    [anon_sym_await] = ACTIONS(3078),
    [anon_sym_while] = ACTIONS(3078),
    [anon_sym_do] = ACTIONS(3078),
    [anon_sym_try] = ACTIONS(3078),
    [anon_sym_break] = ACTIONS(3078),
    [anon_sym_continue] = ACTIONS(3078),
    [anon_sym_debugger] = ACTIONS(3078),
    [anon_sym_return] = ACTIONS(3078),
    [anon_sym_throw] = ACTIONS(3078),
    [anon_sym_SEMI] = ACTIONS(3078),
    [anon_sym_yield] = ACTIONS(3078),
    [anon_sym_LBRACK] = ACTIONS(3078),
    [anon_sym_LTtemplate_GT] = ACTIONS(3078),
    [anon_sym_DQUOTE] = ACTIONS(3078),
    [anon_sym_SQUOTE] = ACTIONS(3078),
    [anon_sym_class] = ACTIONS(3078),
    [anon_sym_async] = ACTIONS(3078),
    [anon_sym_function] = ACTIONS(3078),
    [anon_sym_new] = ACTIONS(3078),
    [anon_sym_using] = ACTIONS(3078),
    [anon_sym_PLUS] = ACTIONS(3078),
    [anon_sym_DASH] = ACTIONS(3078),
    [anon_sym_SLASH] = ACTIONS(3078),
    [anon_sym_LT] = ACTIONS(3078),
    [anon_sym_TILDE] = ACTIONS(3078),
    [anon_sym_void] = ACTIONS(3078),
    [anon_sym_delete] = ACTIONS(3078),
    [anon_sym_PLUS_PLUS] = ACTIONS(3078),
    [anon_sym_DASH_DASH] = ACTIONS(3078),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3078),
    [sym_number] = ACTIONS(3078),
    [sym_private_property_identifier] = ACTIONS(3078),
    [sym_this] = ACTIONS(3078),
    [sym_super] = ACTIONS(3078),
    [sym_true] = ACTIONS(3078),
    [sym_false] = ACTIONS(3078),
    [sym_null] = ACTIONS(3078),
    [sym_undefined] = ACTIONS(3078),
    [anon_sym_AT] = ACTIONS(3078),
    [anon_sym_static] = ACTIONS(3078),
    [anon_sym_readonly] = ACTIONS(3078),
    [anon_sym_get] = ACTIONS(3078),
    [anon_sym_set] = ACTIONS(3078),
    [anon_sym_declare] = ACTIONS(3078),
    [anon_sym_public] = ACTIONS(3078),
    [anon_sym_private] = ACTIONS(3078),
    [anon_sym_protected] = ACTIONS(3078),
    [anon_sym_override] = ACTIONS(3078),
    [anon_sym_module] = ACTIONS(3078),
    [anon_sym_any] = ACTIONS(3078),
    [anon_sym_number] = ACTIONS(3078),
    [anon_sym_boolean] = ACTIONS(3078),
    [anon_sym_string] = ACTIONS(3078),
    [anon_sym_symbol] = ACTIONS(3078),
    [anon_sym_object] = ACTIONS(3078),
    [anon_sym_abstract] = ACTIONS(3078),
    [anon_sym_interface] = ACTIONS(3078),
    [anon_sym_enum] = ACTIONS(3078),
    [sym__automatic_semicolon] = ACTIONS(3080),
    [sym_html_comment] = ACTIONS(5),
  },
  [1311] = {
    [sym_comment] = STATE(1311),
    [ts_builtin_sym_end] = ACTIONS(3370),
    [sym_identifier] = ACTIONS(3154),
    [anon_sym_export] = ACTIONS(3154),
    [anon_sym_type] = ACTIONS(3154),
    [anon_sym_namespace] = ACTIONS(3154),
    [anon_sym_LBRACE] = ACTIONS(3154),
    [anon_sym_RBRACE] = ACTIONS(3154),
    [anon_sym_typeof] = ACTIONS(3154),
    [anon_sym_import] = ACTIONS(3154),
    [anon_sym_with] = ACTIONS(3154),
    [anon_sym_var] = ACTIONS(3154),
    [anon_sym_let] = ACTIONS(3154),
    [anon_sym_const] = ACTIONS(3154),
    [anon_sym_BANG] = ACTIONS(3154),
    [anon_sym_else] = ACTIONS(3154),
    [anon_sym_if] = ACTIONS(3154),
    [anon_sym_switch] = ACTIONS(3154),
    [anon_sym_for] = ACTIONS(3154),
    [anon_sym_LPAREN] = ACTIONS(3154),
    [anon_sym_await] = ACTIONS(3154),
    [anon_sym_while] = ACTIONS(3154),
    [anon_sym_do] = ACTIONS(3154),
    [anon_sym_try] = ACTIONS(3154),
    [anon_sym_break] = ACTIONS(3154),
    [anon_sym_continue] = ACTIONS(3154),
    [anon_sym_debugger] = ACTIONS(3154),
    [anon_sym_return] = ACTIONS(3154),
    [anon_sym_throw] = ACTIONS(3154),
    [anon_sym_SEMI] = ACTIONS(3154),
    [anon_sym_yield] = ACTIONS(3154),
    [anon_sym_LBRACK] = ACTIONS(3154),
    [anon_sym_LTtemplate_GT] = ACTIONS(3154),
    [anon_sym_DQUOTE] = ACTIONS(3154),
    [anon_sym_SQUOTE] = ACTIONS(3154),
    [anon_sym_class] = ACTIONS(3154),
    [anon_sym_async] = ACTIONS(3154),
    [anon_sym_function] = ACTIONS(3154),
    [anon_sym_new] = ACTIONS(3154),
    [anon_sym_using] = ACTIONS(3154),
    [anon_sym_PLUS] = ACTIONS(3154),
    [anon_sym_DASH] = ACTIONS(3154),
    [anon_sym_SLASH] = ACTIONS(3154),
    [anon_sym_LT] = ACTIONS(3154),
    [anon_sym_TILDE] = ACTIONS(3154),
    [anon_sym_void] = ACTIONS(3154),
    [anon_sym_delete] = ACTIONS(3154),
    [anon_sym_PLUS_PLUS] = ACTIONS(3154),
    [anon_sym_DASH_DASH] = ACTIONS(3154),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3154),
    [sym_number] = ACTIONS(3154),
    [sym_private_property_identifier] = ACTIONS(3154),
    [sym_this] = ACTIONS(3154),
    [sym_super] = ACTIONS(3154),
    [sym_true] = ACTIONS(3154),
    [sym_false] = ACTIONS(3154),
    [sym_null] = ACTIONS(3154),
    [sym_undefined] = ACTIONS(3154),
    [anon_sym_AT] = ACTIONS(3154),
    [anon_sym_static] = ACTIONS(3154),
    [anon_sym_readonly] = ACTIONS(3154),
    [anon_sym_get] = ACTIONS(3154),
    [anon_sym_set] = ACTIONS(3154),
    [anon_sym_declare] = ACTIONS(3154),
    [anon_sym_public] = ACTIONS(3154),
    [anon_sym_private] = ACTIONS(3154),
    [anon_sym_protected] = ACTIONS(3154),
    [anon_sym_override] = ACTIONS(3154),
    [anon_sym_module] = ACTIONS(3154),
    [anon_sym_any] = ACTIONS(3154),
    [anon_sym_number] = ACTIONS(3154),
    [anon_sym_boolean] = ACTIONS(3154),
    [anon_sym_string] = ACTIONS(3154),
    [anon_sym_symbol] = ACTIONS(3154),
    [anon_sym_object] = ACTIONS(3154),
    [anon_sym_abstract] = ACTIONS(3154),
    [anon_sym_interface] = ACTIONS(3154),
    [anon_sym_enum] = ACTIONS(3154),
    [sym_html_comment] = ACTIONS(5),
  },
  [1312] = {
    [sym_comment] = STATE(1312),
    [ts_builtin_sym_end] = ACTIONS(3412),
    [sym_identifier] = ACTIONS(3286),
    [anon_sym_export] = ACTIONS(3286),
    [anon_sym_type] = ACTIONS(3286),
    [anon_sym_namespace] = ACTIONS(3286),
    [anon_sym_LBRACE] = ACTIONS(3286),
    [anon_sym_RBRACE] = ACTIONS(3286),
    [anon_sym_typeof] = ACTIONS(3286),
    [anon_sym_import] = ACTIONS(3286),
    [anon_sym_with] = ACTIONS(3286),
    [anon_sym_var] = ACTIONS(3286),
    [anon_sym_let] = ACTIONS(3286),
    [anon_sym_const] = ACTIONS(3286),
    [anon_sym_BANG] = ACTIONS(3286),
    [anon_sym_else] = ACTIONS(3286),
    [anon_sym_if] = ACTIONS(3286),
    [anon_sym_switch] = ACTIONS(3286),
    [anon_sym_for] = ACTIONS(3286),
    [anon_sym_LPAREN] = ACTIONS(3286),
    [anon_sym_await] = ACTIONS(3286),
    [anon_sym_while] = ACTIONS(3286),
    [anon_sym_do] = ACTIONS(3286),
    [anon_sym_try] = ACTIONS(3286),
    [anon_sym_break] = ACTIONS(3286),
    [anon_sym_continue] = ACTIONS(3286),
    [anon_sym_debugger] = ACTIONS(3286),
    [anon_sym_return] = ACTIONS(3286),
    [anon_sym_throw] = ACTIONS(3286),
    [anon_sym_SEMI] = ACTIONS(3286),
    [anon_sym_yield] = ACTIONS(3286),
    [anon_sym_LBRACK] = ACTIONS(3286),
    [anon_sym_LTtemplate_GT] = ACTIONS(3286),
    [anon_sym_DQUOTE] = ACTIONS(3286),
    [anon_sym_SQUOTE] = ACTIONS(3286),
    [anon_sym_class] = ACTIONS(3286),
    [anon_sym_async] = ACTIONS(3286),
    [anon_sym_function] = ACTIONS(3286),
    [anon_sym_new] = ACTIONS(3286),
    [anon_sym_using] = ACTIONS(3286),
    [anon_sym_PLUS] = ACTIONS(3286),
    [anon_sym_DASH] = ACTIONS(3286),
    [anon_sym_SLASH] = ACTIONS(3286),
    [anon_sym_LT] = ACTIONS(3286),
    [anon_sym_TILDE] = ACTIONS(3286),
    [anon_sym_void] = ACTIONS(3286),
    [anon_sym_delete] = ACTIONS(3286),
    [anon_sym_PLUS_PLUS] = ACTIONS(3286),
    [anon_sym_DASH_DASH] = ACTIONS(3286),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3286),
    [sym_number] = ACTIONS(3286),
    [sym_private_property_identifier] = ACTIONS(3286),
    [sym_this] = ACTIONS(3286),
    [sym_super] = ACTIONS(3286),
    [sym_true] = ACTIONS(3286),
    [sym_false] = ACTIONS(3286),
    [sym_null] = ACTIONS(3286),
    [sym_undefined] = ACTIONS(3286),
    [anon_sym_AT] = ACTIONS(3286),
    [anon_sym_static] = ACTIONS(3286),
    [anon_sym_readonly] = ACTIONS(3286),
    [anon_sym_get] = ACTIONS(3286),
    [anon_sym_set] = ACTIONS(3286),
    [anon_sym_declare] = ACTIONS(3286),
    [anon_sym_public] = ACTIONS(3286),
    [anon_sym_private] = ACTIONS(3286),
    [anon_sym_protected] = ACTIONS(3286),
    [anon_sym_override] = ACTIONS(3286),
    [anon_sym_module] = ACTIONS(3286),
    [anon_sym_any] = ACTIONS(3286),
    [anon_sym_number] = ACTIONS(3286),
    [anon_sym_boolean] = ACTIONS(3286),
    [anon_sym_string] = ACTIONS(3286),
    [anon_sym_symbol] = ACTIONS(3286),
    [anon_sym_object] = ACTIONS(3286),
    [anon_sym_abstract] = ACTIONS(3286),
    [anon_sym_interface] = ACTIONS(3286),
    [anon_sym_enum] = ACTIONS(3286),
    [sym_html_comment] = ACTIONS(5),
  },
  [1313] = {
    [sym_comment] = STATE(1313),
    [ts_builtin_sym_end] = ACTIONS(2095),
    [sym_identifier] = ACTIONS(2093),
    [anon_sym_export] = ACTIONS(2093),
    [anon_sym_type] = ACTIONS(2093),
    [anon_sym_namespace] = ACTIONS(2093),
    [anon_sym_LBRACE] = ACTIONS(2093),
    [anon_sym_RBRACE] = ACTIONS(2093),
    [anon_sym_typeof] = ACTIONS(2093),
    [anon_sym_import] = ACTIONS(2093),
    [anon_sym_with] = ACTIONS(2093),
    [anon_sym_var] = ACTIONS(2093),
    [anon_sym_let] = ACTIONS(2093),
    [anon_sym_const] = ACTIONS(2093),
    [anon_sym_BANG] = ACTIONS(2093),
    [anon_sym_else] = ACTIONS(2093),
    [anon_sym_if] = ACTIONS(2093),
    [anon_sym_switch] = ACTIONS(2093),
    [anon_sym_for] = ACTIONS(2093),
    [anon_sym_LPAREN] = ACTIONS(2093),
    [anon_sym_await] = ACTIONS(2093),
    [anon_sym_while] = ACTIONS(2093),
    [anon_sym_do] = ACTIONS(2093),
    [anon_sym_try] = ACTIONS(2093),
    [anon_sym_break] = ACTIONS(2093),
    [anon_sym_continue] = ACTIONS(2093),
    [anon_sym_debugger] = ACTIONS(2093),
    [anon_sym_return] = ACTIONS(2093),
    [anon_sym_throw] = ACTIONS(2093),
    [anon_sym_SEMI] = ACTIONS(2093),
    [anon_sym_yield] = ACTIONS(2093),
    [anon_sym_LBRACK] = ACTIONS(2093),
    [anon_sym_LTtemplate_GT] = ACTIONS(2093),
    [anon_sym_DQUOTE] = ACTIONS(2093),
    [anon_sym_SQUOTE] = ACTIONS(2093),
    [anon_sym_class] = ACTIONS(2093),
    [anon_sym_async] = ACTIONS(2093),
    [anon_sym_function] = ACTIONS(2093),
    [anon_sym_new] = ACTIONS(2093),
    [anon_sym_using] = ACTIONS(2093),
    [anon_sym_PLUS] = ACTIONS(2093),
    [anon_sym_DASH] = ACTIONS(2093),
    [anon_sym_SLASH] = ACTIONS(2093),
    [anon_sym_LT] = ACTIONS(2093),
    [anon_sym_TILDE] = ACTIONS(2093),
    [anon_sym_void] = ACTIONS(2093),
    [anon_sym_delete] = ACTIONS(2093),
    [anon_sym_PLUS_PLUS] = ACTIONS(2093),
    [anon_sym_DASH_DASH] = ACTIONS(2093),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2093),
    [sym_number] = ACTIONS(2093),
    [sym_private_property_identifier] = ACTIONS(2093),
    [sym_this] = ACTIONS(2093),
    [sym_super] = ACTIONS(2093),
    [sym_true] = ACTIONS(2093),
    [sym_false] = ACTIONS(2093),
    [sym_null] = ACTIONS(2093),
    [sym_undefined] = ACTIONS(2093),
    [anon_sym_AT] = ACTIONS(2093),
    [anon_sym_static] = ACTIONS(2093),
    [anon_sym_readonly] = ACTIONS(2093),
    [anon_sym_get] = ACTIONS(2093),
    [anon_sym_set] = ACTIONS(2093),
    [anon_sym_declare] = ACTIONS(2093),
    [anon_sym_public] = ACTIONS(2093),
    [anon_sym_private] = ACTIONS(2093),
    [anon_sym_protected] = ACTIONS(2093),
    [anon_sym_override] = ACTIONS(2093),
    [anon_sym_module] = ACTIONS(2093),
    [anon_sym_any] = ACTIONS(2093),
    [anon_sym_number] = ACTIONS(2093),
    [anon_sym_boolean] = ACTIONS(2093),
    [anon_sym_string] = ACTIONS(2093),
    [anon_sym_symbol] = ACTIONS(2093),
    [anon_sym_object] = ACTIONS(2093),
    [anon_sym_abstract] = ACTIONS(2093),
    [anon_sym_interface] = ACTIONS(2093),
    [anon_sym_enum] = ACTIONS(2093),
    [sym_html_comment] = ACTIONS(5),
  },
  [1314] = {
    [sym_comment] = STATE(1314),
    [sym_identifier] = ACTIONS(3124),
    [anon_sym_export] = ACTIONS(3124),
    [anon_sym_default] = ACTIONS(3124),
    [anon_sym_type] = ACTIONS(3124),
    [anon_sym_namespace] = ACTIONS(3124),
    [anon_sym_LBRACE] = ACTIONS(3124),
    [anon_sym_RBRACE] = ACTIONS(3124),
    [anon_sym_typeof] = ACTIONS(3124),
    [anon_sym_import] = ACTIONS(3124),
    [anon_sym_with] = ACTIONS(3124),
    [anon_sym_var] = ACTIONS(3124),
    [anon_sym_let] = ACTIONS(3124),
    [anon_sym_const] = ACTIONS(3124),
    [anon_sym_BANG] = ACTIONS(3124),
    [anon_sym_if] = ACTIONS(3124),
    [anon_sym_switch] = ACTIONS(3124),
    [anon_sym_for] = ACTIONS(3124),
    [anon_sym_LPAREN] = ACTIONS(3124),
    [anon_sym_await] = ACTIONS(3124),
    [anon_sym_while] = ACTIONS(3124),
    [anon_sym_do] = ACTIONS(3124),
    [anon_sym_try] = ACTIONS(3124),
    [anon_sym_break] = ACTIONS(3124),
    [anon_sym_continue] = ACTIONS(3124),
    [anon_sym_debugger] = ACTIONS(3124),
    [anon_sym_return] = ACTIONS(3124),
    [anon_sym_throw] = ACTIONS(3124),
    [anon_sym_SEMI] = ACTIONS(3124),
    [anon_sym_case] = ACTIONS(3124),
    [anon_sym_yield] = ACTIONS(3124),
    [anon_sym_LBRACK] = ACTIONS(3124),
    [anon_sym_LTtemplate_GT] = ACTIONS(3124),
    [anon_sym_DQUOTE] = ACTIONS(3124),
    [anon_sym_SQUOTE] = ACTIONS(3124),
    [anon_sym_class] = ACTIONS(3124),
    [anon_sym_async] = ACTIONS(3124),
    [anon_sym_function] = ACTIONS(3124),
    [anon_sym_new] = ACTIONS(3124),
    [anon_sym_using] = ACTIONS(3124),
    [anon_sym_PLUS] = ACTIONS(3124),
    [anon_sym_DASH] = ACTIONS(3124),
    [anon_sym_SLASH] = ACTIONS(3124),
    [anon_sym_LT] = ACTIONS(3124),
    [anon_sym_TILDE] = ACTIONS(3124),
    [anon_sym_void] = ACTIONS(3124),
    [anon_sym_delete] = ACTIONS(3124),
    [anon_sym_PLUS_PLUS] = ACTIONS(3124),
    [anon_sym_DASH_DASH] = ACTIONS(3124),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3124),
    [sym_number] = ACTIONS(3124),
    [sym_private_property_identifier] = ACTIONS(3124),
    [sym_this] = ACTIONS(3124),
    [sym_super] = ACTIONS(3124),
    [sym_true] = ACTIONS(3124),
    [sym_false] = ACTIONS(3124),
    [sym_null] = ACTIONS(3124),
    [sym_undefined] = ACTIONS(3124),
    [anon_sym_AT] = ACTIONS(3124),
    [anon_sym_static] = ACTIONS(3124),
    [anon_sym_readonly] = ACTIONS(3124),
    [anon_sym_get] = ACTIONS(3124),
    [anon_sym_set] = ACTIONS(3124),
    [anon_sym_declare] = ACTIONS(3124),
    [anon_sym_public] = ACTIONS(3124),
    [anon_sym_private] = ACTIONS(3124),
    [anon_sym_protected] = ACTIONS(3124),
    [anon_sym_override] = ACTIONS(3124),
    [anon_sym_module] = ACTIONS(3124),
    [anon_sym_any] = ACTIONS(3124),
    [anon_sym_number] = ACTIONS(3124),
    [anon_sym_boolean] = ACTIONS(3124),
    [anon_sym_string] = ACTIONS(3124),
    [anon_sym_symbol] = ACTIONS(3124),
    [anon_sym_object] = ACTIONS(3124),
    [anon_sym_abstract] = ACTIONS(3124),
    [anon_sym_interface] = ACTIONS(3124),
    [anon_sym_enum] = ACTIONS(3124),
    [sym_html_comment] = ACTIONS(5),
  },
  [1315] = {
    [sym_comment] = STATE(1315),
    [sym_identifier] = ACTIONS(3168),
    [anon_sym_export] = ACTIONS(3168),
    [anon_sym_default] = ACTIONS(3168),
    [anon_sym_type] = ACTIONS(3168),
    [anon_sym_namespace] = ACTIONS(3168),
    [anon_sym_LBRACE] = ACTIONS(3168),
    [anon_sym_RBRACE] = ACTIONS(3168),
    [anon_sym_typeof] = ACTIONS(3168),
    [anon_sym_import] = ACTIONS(3168),
    [anon_sym_with] = ACTIONS(3168),
    [anon_sym_var] = ACTIONS(3168),
    [anon_sym_let] = ACTIONS(3168),
    [anon_sym_const] = ACTIONS(3168),
    [anon_sym_BANG] = ACTIONS(3168),
    [anon_sym_if] = ACTIONS(3168),
    [anon_sym_switch] = ACTIONS(3168),
    [anon_sym_for] = ACTIONS(3168),
    [anon_sym_LPAREN] = ACTIONS(3168),
    [anon_sym_await] = ACTIONS(3168),
    [anon_sym_while] = ACTIONS(3168),
    [anon_sym_do] = ACTIONS(3168),
    [anon_sym_try] = ACTIONS(3168),
    [anon_sym_break] = ACTIONS(3168),
    [anon_sym_continue] = ACTIONS(3168),
    [anon_sym_debugger] = ACTIONS(3168),
    [anon_sym_return] = ACTIONS(3168),
    [anon_sym_throw] = ACTIONS(3168),
    [anon_sym_SEMI] = ACTIONS(3168),
    [anon_sym_case] = ACTIONS(3168),
    [anon_sym_yield] = ACTIONS(3168),
    [anon_sym_LBRACK] = ACTIONS(3168),
    [anon_sym_LTtemplate_GT] = ACTIONS(3168),
    [anon_sym_DQUOTE] = ACTIONS(3168),
    [anon_sym_SQUOTE] = ACTIONS(3168),
    [anon_sym_class] = ACTIONS(3168),
    [anon_sym_async] = ACTIONS(3168),
    [anon_sym_function] = ACTIONS(3168),
    [anon_sym_new] = ACTIONS(3168),
    [anon_sym_using] = ACTIONS(3168),
    [anon_sym_PLUS] = ACTIONS(3168),
    [anon_sym_DASH] = ACTIONS(3168),
    [anon_sym_SLASH] = ACTIONS(3168),
    [anon_sym_LT] = ACTIONS(3168),
    [anon_sym_TILDE] = ACTIONS(3168),
    [anon_sym_void] = ACTIONS(3168),
    [anon_sym_delete] = ACTIONS(3168),
    [anon_sym_PLUS_PLUS] = ACTIONS(3168),
    [anon_sym_DASH_DASH] = ACTIONS(3168),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3168),
    [sym_number] = ACTIONS(3168),
    [sym_private_property_identifier] = ACTIONS(3168),
    [sym_this] = ACTIONS(3168),
    [sym_super] = ACTIONS(3168),
    [sym_true] = ACTIONS(3168),
    [sym_false] = ACTIONS(3168),
    [sym_null] = ACTIONS(3168),
    [sym_undefined] = ACTIONS(3168),
    [anon_sym_AT] = ACTIONS(3168),
    [anon_sym_static] = ACTIONS(3168),
    [anon_sym_readonly] = ACTIONS(3168),
    [anon_sym_get] = ACTIONS(3168),
    [anon_sym_set] = ACTIONS(3168),
    [anon_sym_declare] = ACTIONS(3168),
    [anon_sym_public] = ACTIONS(3168),
    [anon_sym_private] = ACTIONS(3168),
    [anon_sym_protected] = ACTIONS(3168),
    [anon_sym_override] = ACTIONS(3168),
    [anon_sym_module] = ACTIONS(3168),
    [anon_sym_any] = ACTIONS(3168),
    [anon_sym_number] = ACTIONS(3168),
    [anon_sym_boolean] = ACTIONS(3168),
    [anon_sym_string] = ACTIONS(3168),
    [anon_sym_symbol] = ACTIONS(3168),
    [anon_sym_object] = ACTIONS(3168),
    [anon_sym_abstract] = ACTIONS(3168),
    [anon_sym_interface] = ACTIONS(3168),
    [anon_sym_enum] = ACTIONS(3168),
    [sym_html_comment] = ACTIONS(5),
  },
  [1316] = {
    [sym_comment] = STATE(1316),
    [ts_builtin_sym_end] = ACTIONS(3414),
    [sym_identifier] = ACTIONS(3288),
    [anon_sym_export] = ACTIONS(3288),
    [anon_sym_type] = ACTIONS(3288),
    [anon_sym_namespace] = ACTIONS(3288),
    [anon_sym_LBRACE] = ACTIONS(3288),
    [anon_sym_RBRACE] = ACTIONS(3288),
    [anon_sym_typeof] = ACTIONS(3288),
    [anon_sym_import] = ACTIONS(3288),
    [anon_sym_with] = ACTIONS(3288),
    [anon_sym_var] = ACTIONS(3288),
    [anon_sym_let] = ACTIONS(3288),
    [anon_sym_const] = ACTIONS(3288),
    [anon_sym_BANG] = ACTIONS(3288),
    [anon_sym_else] = ACTIONS(3288),
    [anon_sym_if] = ACTIONS(3288),
    [anon_sym_switch] = ACTIONS(3288),
    [anon_sym_for] = ACTIONS(3288),
    [anon_sym_LPAREN] = ACTIONS(3288),
    [anon_sym_await] = ACTIONS(3288),
    [anon_sym_while] = ACTIONS(3288),
    [anon_sym_do] = ACTIONS(3288),
    [anon_sym_try] = ACTIONS(3288),
    [anon_sym_break] = ACTIONS(3288),
    [anon_sym_continue] = ACTIONS(3288),
    [anon_sym_debugger] = ACTIONS(3288),
    [anon_sym_return] = ACTIONS(3288),
    [anon_sym_throw] = ACTIONS(3288),
    [anon_sym_SEMI] = ACTIONS(3288),
    [anon_sym_yield] = ACTIONS(3288),
    [anon_sym_LBRACK] = ACTIONS(3288),
    [anon_sym_LTtemplate_GT] = ACTIONS(3288),
    [anon_sym_DQUOTE] = ACTIONS(3288),
    [anon_sym_SQUOTE] = ACTIONS(3288),
    [anon_sym_class] = ACTIONS(3288),
    [anon_sym_async] = ACTIONS(3288),
    [anon_sym_function] = ACTIONS(3288),
    [anon_sym_new] = ACTIONS(3288),
    [anon_sym_using] = ACTIONS(3288),
    [anon_sym_PLUS] = ACTIONS(3288),
    [anon_sym_DASH] = ACTIONS(3288),
    [anon_sym_SLASH] = ACTIONS(3288),
    [anon_sym_LT] = ACTIONS(3288),
    [anon_sym_TILDE] = ACTIONS(3288),
    [anon_sym_void] = ACTIONS(3288),
    [anon_sym_delete] = ACTIONS(3288),
    [anon_sym_PLUS_PLUS] = ACTIONS(3288),
    [anon_sym_DASH_DASH] = ACTIONS(3288),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3288),
    [sym_number] = ACTIONS(3288),
    [sym_private_property_identifier] = ACTIONS(3288),
    [sym_this] = ACTIONS(3288),
    [sym_super] = ACTIONS(3288),
    [sym_true] = ACTIONS(3288),
    [sym_false] = ACTIONS(3288),
    [sym_null] = ACTIONS(3288),
    [sym_undefined] = ACTIONS(3288),
    [anon_sym_AT] = ACTIONS(3288),
    [anon_sym_static] = ACTIONS(3288),
    [anon_sym_readonly] = ACTIONS(3288),
    [anon_sym_get] = ACTIONS(3288),
    [anon_sym_set] = ACTIONS(3288),
    [anon_sym_declare] = ACTIONS(3288),
    [anon_sym_public] = ACTIONS(3288),
    [anon_sym_private] = ACTIONS(3288),
    [anon_sym_protected] = ACTIONS(3288),
    [anon_sym_override] = ACTIONS(3288),
    [anon_sym_module] = ACTIONS(3288),
    [anon_sym_any] = ACTIONS(3288),
    [anon_sym_number] = ACTIONS(3288),
    [anon_sym_boolean] = ACTIONS(3288),
    [anon_sym_string] = ACTIONS(3288),
    [anon_sym_symbol] = ACTIONS(3288),
    [anon_sym_object] = ACTIONS(3288),
    [anon_sym_abstract] = ACTIONS(3288),
    [anon_sym_interface] = ACTIONS(3288),
    [anon_sym_enum] = ACTIONS(3288),
    [sym_html_comment] = ACTIONS(5),
  },
  [1317] = {
    [sym_comment] = STATE(1317),
    [ts_builtin_sym_end] = ACTIONS(3416),
    [sym_identifier] = ACTIONS(3290),
    [anon_sym_export] = ACTIONS(3290),
    [anon_sym_type] = ACTIONS(3290),
    [anon_sym_namespace] = ACTIONS(3290),
    [anon_sym_LBRACE] = ACTIONS(3290),
    [anon_sym_RBRACE] = ACTIONS(3290),
    [anon_sym_typeof] = ACTIONS(3290),
    [anon_sym_import] = ACTIONS(3290),
    [anon_sym_with] = ACTIONS(3290),
    [anon_sym_var] = ACTIONS(3290),
    [anon_sym_let] = ACTIONS(3290),
    [anon_sym_const] = ACTIONS(3290),
    [anon_sym_BANG] = ACTIONS(3290),
    [anon_sym_else] = ACTIONS(3290),
    [anon_sym_if] = ACTIONS(3290),
    [anon_sym_switch] = ACTIONS(3290),
    [anon_sym_for] = ACTIONS(3290),
    [anon_sym_LPAREN] = ACTIONS(3290),
    [anon_sym_await] = ACTIONS(3290),
    [anon_sym_while] = ACTIONS(3290),
    [anon_sym_do] = ACTIONS(3290),
    [anon_sym_try] = ACTIONS(3290),
    [anon_sym_break] = ACTIONS(3290),
    [anon_sym_continue] = ACTIONS(3290),
    [anon_sym_debugger] = ACTIONS(3290),
    [anon_sym_return] = ACTIONS(3290),
    [anon_sym_throw] = ACTIONS(3290),
    [anon_sym_SEMI] = ACTIONS(3290),
    [anon_sym_yield] = ACTIONS(3290),
    [anon_sym_LBRACK] = ACTIONS(3290),
    [anon_sym_LTtemplate_GT] = ACTIONS(3290),
    [anon_sym_DQUOTE] = ACTIONS(3290),
    [anon_sym_SQUOTE] = ACTIONS(3290),
    [anon_sym_class] = ACTIONS(3290),
    [anon_sym_async] = ACTIONS(3290),
    [anon_sym_function] = ACTIONS(3290),
    [anon_sym_new] = ACTIONS(3290),
    [anon_sym_using] = ACTIONS(3290),
    [anon_sym_PLUS] = ACTIONS(3290),
    [anon_sym_DASH] = ACTIONS(3290),
    [anon_sym_SLASH] = ACTIONS(3290),
    [anon_sym_LT] = ACTIONS(3290),
    [anon_sym_TILDE] = ACTIONS(3290),
    [anon_sym_void] = ACTIONS(3290),
    [anon_sym_delete] = ACTIONS(3290),
    [anon_sym_PLUS_PLUS] = ACTIONS(3290),
    [anon_sym_DASH_DASH] = ACTIONS(3290),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3290),
    [sym_number] = ACTIONS(3290),
    [sym_private_property_identifier] = ACTIONS(3290),
    [sym_this] = ACTIONS(3290),
    [sym_super] = ACTIONS(3290),
    [sym_true] = ACTIONS(3290),
    [sym_false] = ACTIONS(3290),
    [sym_null] = ACTIONS(3290),
    [sym_undefined] = ACTIONS(3290),
    [anon_sym_AT] = ACTIONS(3290),
    [anon_sym_static] = ACTIONS(3290),
    [anon_sym_readonly] = ACTIONS(3290),
    [anon_sym_get] = ACTIONS(3290),
    [anon_sym_set] = ACTIONS(3290),
    [anon_sym_declare] = ACTIONS(3290),
    [anon_sym_public] = ACTIONS(3290),
    [anon_sym_private] = ACTIONS(3290),
    [anon_sym_protected] = ACTIONS(3290),
    [anon_sym_override] = ACTIONS(3290),
    [anon_sym_module] = ACTIONS(3290),
    [anon_sym_any] = ACTIONS(3290),
    [anon_sym_number] = ACTIONS(3290),
    [anon_sym_boolean] = ACTIONS(3290),
    [anon_sym_string] = ACTIONS(3290),
    [anon_sym_symbol] = ACTIONS(3290),
    [anon_sym_object] = ACTIONS(3290),
    [anon_sym_abstract] = ACTIONS(3290),
    [anon_sym_interface] = ACTIONS(3290),
    [anon_sym_enum] = ACTIONS(3290),
    [sym_html_comment] = ACTIONS(5),
  },
  [1318] = {
    [sym_comment] = STATE(1318),
    [ts_builtin_sym_end] = ACTIONS(3418),
    [sym_identifier] = ACTIONS(3292),
    [anon_sym_export] = ACTIONS(3292),
    [anon_sym_type] = ACTIONS(3292),
    [anon_sym_namespace] = ACTIONS(3292),
    [anon_sym_LBRACE] = ACTIONS(3292),
    [anon_sym_RBRACE] = ACTIONS(3292),
    [anon_sym_typeof] = ACTIONS(3292),
    [anon_sym_import] = ACTIONS(3292),
    [anon_sym_with] = ACTIONS(3292),
    [anon_sym_var] = ACTIONS(3292),
    [anon_sym_let] = ACTIONS(3292),
    [anon_sym_const] = ACTIONS(3292),
    [anon_sym_BANG] = ACTIONS(3292),
    [anon_sym_else] = ACTIONS(3292),
    [anon_sym_if] = ACTIONS(3292),
    [anon_sym_switch] = ACTIONS(3292),
    [anon_sym_for] = ACTIONS(3292),
    [anon_sym_LPAREN] = ACTIONS(3292),
    [anon_sym_await] = ACTIONS(3292),
    [anon_sym_while] = ACTIONS(3292),
    [anon_sym_do] = ACTIONS(3292),
    [anon_sym_try] = ACTIONS(3292),
    [anon_sym_break] = ACTIONS(3292),
    [anon_sym_continue] = ACTIONS(3292),
    [anon_sym_debugger] = ACTIONS(3292),
    [anon_sym_return] = ACTIONS(3292),
    [anon_sym_throw] = ACTIONS(3292),
    [anon_sym_SEMI] = ACTIONS(3292),
    [anon_sym_yield] = ACTIONS(3292),
    [anon_sym_LBRACK] = ACTIONS(3292),
    [anon_sym_LTtemplate_GT] = ACTIONS(3292),
    [anon_sym_DQUOTE] = ACTIONS(3292),
    [anon_sym_SQUOTE] = ACTIONS(3292),
    [anon_sym_class] = ACTIONS(3292),
    [anon_sym_async] = ACTIONS(3292),
    [anon_sym_function] = ACTIONS(3292),
    [anon_sym_new] = ACTIONS(3292),
    [anon_sym_using] = ACTIONS(3292),
    [anon_sym_PLUS] = ACTIONS(3292),
    [anon_sym_DASH] = ACTIONS(3292),
    [anon_sym_SLASH] = ACTIONS(3292),
    [anon_sym_LT] = ACTIONS(3292),
    [anon_sym_TILDE] = ACTIONS(3292),
    [anon_sym_void] = ACTIONS(3292),
    [anon_sym_delete] = ACTIONS(3292),
    [anon_sym_PLUS_PLUS] = ACTIONS(3292),
    [anon_sym_DASH_DASH] = ACTIONS(3292),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3292),
    [sym_number] = ACTIONS(3292),
    [sym_private_property_identifier] = ACTIONS(3292),
    [sym_this] = ACTIONS(3292),
    [sym_super] = ACTIONS(3292),
    [sym_true] = ACTIONS(3292),
    [sym_false] = ACTIONS(3292),
    [sym_null] = ACTIONS(3292),
    [sym_undefined] = ACTIONS(3292),
    [anon_sym_AT] = ACTIONS(3292),
    [anon_sym_static] = ACTIONS(3292),
    [anon_sym_readonly] = ACTIONS(3292),
    [anon_sym_get] = ACTIONS(3292),
    [anon_sym_set] = ACTIONS(3292),
    [anon_sym_declare] = ACTIONS(3292),
    [anon_sym_public] = ACTIONS(3292),
    [anon_sym_private] = ACTIONS(3292),
    [anon_sym_protected] = ACTIONS(3292),
    [anon_sym_override] = ACTIONS(3292),
    [anon_sym_module] = ACTIONS(3292),
    [anon_sym_any] = ACTIONS(3292),
    [anon_sym_number] = ACTIONS(3292),
    [anon_sym_boolean] = ACTIONS(3292),
    [anon_sym_string] = ACTIONS(3292),
    [anon_sym_symbol] = ACTIONS(3292),
    [anon_sym_object] = ACTIONS(3292),
    [anon_sym_abstract] = ACTIONS(3292),
    [anon_sym_interface] = ACTIONS(3292),
    [anon_sym_enum] = ACTIONS(3292),
    [sym_html_comment] = ACTIONS(5),
  },
  [1319] = {
    [sym_comment] = STATE(1319),
    [ts_builtin_sym_end] = ACTIONS(2107),
    [sym_identifier] = ACTIONS(2105),
    [anon_sym_export] = ACTIONS(2105),
    [anon_sym_type] = ACTIONS(2105),
    [anon_sym_namespace] = ACTIONS(2105),
    [anon_sym_LBRACE] = ACTIONS(2105),
    [anon_sym_RBRACE] = ACTIONS(2105),
    [anon_sym_typeof] = ACTIONS(2105),
    [anon_sym_import] = ACTIONS(2105),
    [anon_sym_with] = ACTIONS(2105),
    [anon_sym_var] = ACTIONS(2105),
    [anon_sym_let] = ACTIONS(2105),
    [anon_sym_const] = ACTIONS(2105),
    [anon_sym_BANG] = ACTIONS(2105),
    [anon_sym_else] = ACTIONS(2105),
    [anon_sym_if] = ACTIONS(2105),
    [anon_sym_switch] = ACTIONS(2105),
    [anon_sym_for] = ACTIONS(2105),
    [anon_sym_LPAREN] = ACTIONS(2105),
    [anon_sym_await] = ACTIONS(2105),
    [anon_sym_while] = ACTIONS(2105),
    [anon_sym_do] = ACTIONS(2105),
    [anon_sym_try] = ACTIONS(2105),
    [anon_sym_break] = ACTIONS(2105),
    [anon_sym_continue] = ACTIONS(2105),
    [anon_sym_debugger] = ACTIONS(2105),
    [anon_sym_return] = ACTIONS(2105),
    [anon_sym_throw] = ACTIONS(2105),
    [anon_sym_SEMI] = ACTIONS(2105),
    [anon_sym_yield] = ACTIONS(2105),
    [anon_sym_LBRACK] = ACTIONS(2105),
    [anon_sym_LTtemplate_GT] = ACTIONS(2105),
    [anon_sym_DQUOTE] = ACTIONS(2105),
    [anon_sym_SQUOTE] = ACTIONS(2105),
    [anon_sym_class] = ACTIONS(2105),
    [anon_sym_async] = ACTIONS(2105),
    [anon_sym_function] = ACTIONS(2105),
    [anon_sym_new] = ACTIONS(2105),
    [anon_sym_using] = ACTIONS(2105),
    [anon_sym_PLUS] = ACTIONS(2105),
    [anon_sym_DASH] = ACTIONS(2105),
    [anon_sym_SLASH] = ACTIONS(2105),
    [anon_sym_LT] = ACTIONS(2105),
    [anon_sym_TILDE] = ACTIONS(2105),
    [anon_sym_void] = ACTIONS(2105),
    [anon_sym_delete] = ACTIONS(2105),
    [anon_sym_PLUS_PLUS] = ACTIONS(2105),
    [anon_sym_DASH_DASH] = ACTIONS(2105),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2105),
    [sym_number] = ACTIONS(2105),
    [sym_private_property_identifier] = ACTIONS(2105),
    [sym_this] = ACTIONS(2105),
    [sym_super] = ACTIONS(2105),
    [sym_true] = ACTIONS(2105),
    [sym_false] = ACTIONS(2105),
    [sym_null] = ACTIONS(2105),
    [sym_undefined] = ACTIONS(2105),
    [anon_sym_AT] = ACTIONS(2105),
    [anon_sym_static] = ACTIONS(2105),
    [anon_sym_readonly] = ACTIONS(2105),
    [anon_sym_get] = ACTIONS(2105),
    [anon_sym_set] = ACTIONS(2105),
    [anon_sym_declare] = ACTIONS(2105),
    [anon_sym_public] = ACTIONS(2105),
    [anon_sym_private] = ACTIONS(2105),
    [anon_sym_protected] = ACTIONS(2105),
    [anon_sym_override] = ACTIONS(2105),
    [anon_sym_module] = ACTIONS(2105),
    [anon_sym_any] = ACTIONS(2105),
    [anon_sym_number] = ACTIONS(2105),
    [anon_sym_boolean] = ACTIONS(2105),
    [anon_sym_string] = ACTIONS(2105),
    [anon_sym_symbol] = ACTIONS(2105),
    [anon_sym_object] = ACTIONS(2105),
    [anon_sym_abstract] = ACTIONS(2105),
    [anon_sym_interface] = ACTIONS(2105),
    [anon_sym_enum] = ACTIONS(2105),
    [sym_html_comment] = ACTIONS(5),
  },
  [1320] = {
    [sym_comment] = STATE(1320),
    [sym_identifier] = ACTIONS(3138),
    [anon_sym_export] = ACTIONS(3138),
    [anon_sym_default] = ACTIONS(3138),
    [anon_sym_type] = ACTIONS(3138),
    [anon_sym_namespace] = ACTIONS(3138),
    [anon_sym_LBRACE] = ACTIONS(3138),
    [anon_sym_RBRACE] = ACTIONS(3138),
    [anon_sym_typeof] = ACTIONS(3138),
    [anon_sym_import] = ACTIONS(3138),
    [anon_sym_with] = ACTIONS(3138),
    [anon_sym_var] = ACTIONS(3138),
    [anon_sym_let] = ACTIONS(3138),
    [anon_sym_const] = ACTIONS(3138),
    [anon_sym_BANG] = ACTIONS(3138),
    [anon_sym_if] = ACTIONS(3138),
    [anon_sym_switch] = ACTIONS(3138),
    [anon_sym_for] = ACTIONS(3138),
    [anon_sym_LPAREN] = ACTIONS(3138),
    [anon_sym_await] = ACTIONS(3138),
    [anon_sym_while] = ACTIONS(3138),
    [anon_sym_do] = ACTIONS(3138),
    [anon_sym_try] = ACTIONS(3138),
    [anon_sym_break] = ACTIONS(3138),
    [anon_sym_continue] = ACTIONS(3138),
    [anon_sym_debugger] = ACTIONS(3138),
    [anon_sym_return] = ACTIONS(3138),
    [anon_sym_throw] = ACTIONS(3138),
    [anon_sym_SEMI] = ACTIONS(3138),
    [anon_sym_case] = ACTIONS(3138),
    [anon_sym_yield] = ACTIONS(3138),
    [anon_sym_LBRACK] = ACTIONS(3138),
    [anon_sym_LTtemplate_GT] = ACTIONS(3138),
    [anon_sym_DQUOTE] = ACTIONS(3138),
    [anon_sym_SQUOTE] = ACTIONS(3138),
    [anon_sym_class] = ACTIONS(3138),
    [anon_sym_async] = ACTIONS(3138),
    [anon_sym_function] = ACTIONS(3138),
    [anon_sym_new] = ACTIONS(3138),
    [anon_sym_using] = ACTIONS(3138),
    [anon_sym_PLUS] = ACTIONS(3138),
    [anon_sym_DASH] = ACTIONS(3138),
    [anon_sym_SLASH] = ACTIONS(3138),
    [anon_sym_LT] = ACTIONS(3138),
    [anon_sym_TILDE] = ACTIONS(3138),
    [anon_sym_void] = ACTIONS(3138),
    [anon_sym_delete] = ACTIONS(3138),
    [anon_sym_PLUS_PLUS] = ACTIONS(3138),
    [anon_sym_DASH_DASH] = ACTIONS(3138),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3138),
    [sym_number] = ACTIONS(3138),
    [sym_private_property_identifier] = ACTIONS(3138),
    [sym_this] = ACTIONS(3138),
    [sym_super] = ACTIONS(3138),
    [sym_true] = ACTIONS(3138),
    [sym_false] = ACTIONS(3138),
    [sym_null] = ACTIONS(3138),
    [sym_undefined] = ACTIONS(3138),
    [anon_sym_AT] = ACTIONS(3138),
    [anon_sym_static] = ACTIONS(3138),
    [anon_sym_readonly] = ACTIONS(3138),
    [anon_sym_get] = ACTIONS(3138),
    [anon_sym_set] = ACTIONS(3138),
    [anon_sym_declare] = ACTIONS(3138),
    [anon_sym_public] = ACTIONS(3138),
    [anon_sym_private] = ACTIONS(3138),
    [anon_sym_protected] = ACTIONS(3138),
    [anon_sym_override] = ACTIONS(3138),
    [anon_sym_module] = ACTIONS(3138),
    [anon_sym_any] = ACTIONS(3138),
    [anon_sym_number] = ACTIONS(3138),
    [anon_sym_boolean] = ACTIONS(3138),
    [anon_sym_string] = ACTIONS(3138),
    [anon_sym_symbol] = ACTIONS(3138),
    [anon_sym_object] = ACTIONS(3138),
    [anon_sym_abstract] = ACTIONS(3138),
    [anon_sym_interface] = ACTIONS(3138),
    [anon_sym_enum] = ACTIONS(3138),
    [sym_html_comment] = ACTIONS(5),
  },
  [1321] = {
    [sym_comment] = STATE(1321),
    [sym_identifier] = ACTIONS(3132),
    [anon_sym_export] = ACTIONS(3132),
    [anon_sym_default] = ACTIONS(3132),
    [anon_sym_type] = ACTIONS(3132),
    [anon_sym_namespace] = ACTIONS(3132),
    [anon_sym_LBRACE] = ACTIONS(3132),
    [anon_sym_RBRACE] = ACTIONS(3132),
    [anon_sym_typeof] = ACTIONS(3132),
    [anon_sym_import] = ACTIONS(3132),
    [anon_sym_with] = ACTIONS(3132),
    [anon_sym_var] = ACTIONS(3132),
    [anon_sym_let] = ACTIONS(3132),
    [anon_sym_const] = ACTIONS(3132),
    [anon_sym_BANG] = ACTIONS(3132),
    [anon_sym_if] = ACTIONS(3132),
    [anon_sym_switch] = ACTIONS(3132),
    [anon_sym_for] = ACTIONS(3132),
    [anon_sym_LPAREN] = ACTIONS(3132),
    [anon_sym_await] = ACTIONS(3132),
    [anon_sym_while] = ACTIONS(3132),
    [anon_sym_do] = ACTIONS(3132),
    [anon_sym_try] = ACTIONS(3132),
    [anon_sym_break] = ACTIONS(3132),
    [anon_sym_continue] = ACTIONS(3132),
    [anon_sym_debugger] = ACTIONS(3132),
    [anon_sym_return] = ACTIONS(3132),
    [anon_sym_throw] = ACTIONS(3132),
    [anon_sym_SEMI] = ACTIONS(3132),
    [anon_sym_case] = ACTIONS(3132),
    [anon_sym_yield] = ACTIONS(3132),
    [anon_sym_LBRACK] = ACTIONS(3132),
    [anon_sym_LTtemplate_GT] = ACTIONS(3132),
    [anon_sym_DQUOTE] = ACTIONS(3132),
    [anon_sym_SQUOTE] = ACTIONS(3132),
    [anon_sym_class] = ACTIONS(3132),
    [anon_sym_async] = ACTIONS(3132),
    [anon_sym_function] = ACTIONS(3132),
    [anon_sym_new] = ACTIONS(3132),
    [anon_sym_using] = ACTIONS(3132),
    [anon_sym_PLUS] = ACTIONS(3132),
    [anon_sym_DASH] = ACTIONS(3132),
    [anon_sym_SLASH] = ACTIONS(3132),
    [anon_sym_LT] = ACTIONS(3132),
    [anon_sym_TILDE] = ACTIONS(3132),
    [anon_sym_void] = ACTIONS(3132),
    [anon_sym_delete] = ACTIONS(3132),
    [anon_sym_PLUS_PLUS] = ACTIONS(3132),
    [anon_sym_DASH_DASH] = ACTIONS(3132),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3132),
    [sym_number] = ACTIONS(3132),
    [sym_private_property_identifier] = ACTIONS(3132),
    [sym_this] = ACTIONS(3132),
    [sym_super] = ACTIONS(3132),
    [sym_true] = ACTIONS(3132),
    [sym_false] = ACTIONS(3132),
    [sym_null] = ACTIONS(3132),
    [sym_undefined] = ACTIONS(3132),
    [anon_sym_AT] = ACTIONS(3132),
    [anon_sym_static] = ACTIONS(3132),
    [anon_sym_readonly] = ACTIONS(3132),
    [anon_sym_get] = ACTIONS(3132),
    [anon_sym_set] = ACTIONS(3132),
    [anon_sym_declare] = ACTIONS(3132),
    [anon_sym_public] = ACTIONS(3132),
    [anon_sym_private] = ACTIONS(3132),
    [anon_sym_protected] = ACTIONS(3132),
    [anon_sym_override] = ACTIONS(3132),
    [anon_sym_module] = ACTIONS(3132),
    [anon_sym_any] = ACTIONS(3132),
    [anon_sym_number] = ACTIONS(3132),
    [anon_sym_boolean] = ACTIONS(3132),
    [anon_sym_string] = ACTIONS(3132),
    [anon_sym_symbol] = ACTIONS(3132),
    [anon_sym_object] = ACTIONS(3132),
    [anon_sym_abstract] = ACTIONS(3132),
    [anon_sym_interface] = ACTIONS(3132),
    [anon_sym_enum] = ACTIONS(3132),
    [sym_html_comment] = ACTIONS(5),
  },
  [1322] = {
    [sym_comment] = STATE(1322),
    [ts_builtin_sym_end] = ACTIONS(3420),
    [sym_identifier] = ACTIONS(3294),
    [anon_sym_export] = ACTIONS(3294),
    [anon_sym_type] = ACTIONS(3294),
    [anon_sym_namespace] = ACTIONS(3294),
    [anon_sym_LBRACE] = ACTIONS(3294),
    [anon_sym_RBRACE] = ACTIONS(3294),
    [anon_sym_typeof] = ACTIONS(3294),
    [anon_sym_import] = ACTIONS(3294),
    [anon_sym_with] = ACTIONS(3294),
    [anon_sym_var] = ACTIONS(3294),
    [anon_sym_let] = ACTIONS(3294),
    [anon_sym_const] = ACTIONS(3294),
    [anon_sym_BANG] = ACTIONS(3294),
    [anon_sym_else] = ACTIONS(3294),
    [anon_sym_if] = ACTIONS(3294),
    [anon_sym_switch] = ACTIONS(3294),
    [anon_sym_for] = ACTIONS(3294),
    [anon_sym_LPAREN] = ACTIONS(3294),
    [anon_sym_await] = ACTIONS(3294),
    [anon_sym_while] = ACTIONS(3294),
    [anon_sym_do] = ACTIONS(3294),
    [anon_sym_try] = ACTIONS(3294),
    [anon_sym_break] = ACTIONS(3294),
    [anon_sym_continue] = ACTIONS(3294),
    [anon_sym_debugger] = ACTIONS(3294),
    [anon_sym_return] = ACTIONS(3294),
    [anon_sym_throw] = ACTIONS(3294),
    [anon_sym_SEMI] = ACTIONS(3294),
    [anon_sym_yield] = ACTIONS(3294),
    [anon_sym_LBRACK] = ACTIONS(3294),
    [anon_sym_LTtemplate_GT] = ACTIONS(3294),
    [anon_sym_DQUOTE] = ACTIONS(3294),
    [anon_sym_SQUOTE] = ACTIONS(3294),
    [anon_sym_class] = ACTIONS(3294),
    [anon_sym_async] = ACTIONS(3294),
    [anon_sym_function] = ACTIONS(3294),
    [anon_sym_new] = ACTIONS(3294),
    [anon_sym_using] = ACTIONS(3294),
    [anon_sym_PLUS] = ACTIONS(3294),
    [anon_sym_DASH] = ACTIONS(3294),
    [anon_sym_SLASH] = ACTIONS(3294),
    [anon_sym_LT] = ACTIONS(3294),
    [anon_sym_TILDE] = ACTIONS(3294),
    [anon_sym_void] = ACTIONS(3294),
    [anon_sym_delete] = ACTIONS(3294),
    [anon_sym_PLUS_PLUS] = ACTIONS(3294),
    [anon_sym_DASH_DASH] = ACTIONS(3294),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3294),
    [sym_number] = ACTIONS(3294),
    [sym_private_property_identifier] = ACTIONS(3294),
    [sym_this] = ACTIONS(3294),
    [sym_super] = ACTIONS(3294),
    [sym_true] = ACTIONS(3294),
    [sym_false] = ACTIONS(3294),
    [sym_null] = ACTIONS(3294),
    [sym_undefined] = ACTIONS(3294),
    [anon_sym_AT] = ACTIONS(3294),
    [anon_sym_static] = ACTIONS(3294),
    [anon_sym_readonly] = ACTIONS(3294),
    [anon_sym_get] = ACTIONS(3294),
    [anon_sym_set] = ACTIONS(3294),
    [anon_sym_declare] = ACTIONS(3294),
    [anon_sym_public] = ACTIONS(3294),
    [anon_sym_private] = ACTIONS(3294),
    [anon_sym_protected] = ACTIONS(3294),
    [anon_sym_override] = ACTIONS(3294),
    [anon_sym_module] = ACTIONS(3294),
    [anon_sym_any] = ACTIONS(3294),
    [anon_sym_number] = ACTIONS(3294),
    [anon_sym_boolean] = ACTIONS(3294),
    [anon_sym_string] = ACTIONS(3294),
    [anon_sym_symbol] = ACTIONS(3294),
    [anon_sym_object] = ACTIONS(3294),
    [anon_sym_abstract] = ACTIONS(3294),
    [anon_sym_interface] = ACTIONS(3294),
    [anon_sym_enum] = ACTIONS(3294),
    [sym_html_comment] = ACTIONS(5),
  },
  [1323] = {
    [sym_comment] = STATE(1323),
    [ts_builtin_sym_end] = ACTIONS(3422),
    [sym_identifier] = ACTIONS(3296),
    [anon_sym_export] = ACTIONS(3296),
    [anon_sym_type] = ACTIONS(3296),
    [anon_sym_namespace] = ACTIONS(3296),
    [anon_sym_LBRACE] = ACTIONS(3296),
    [anon_sym_RBRACE] = ACTIONS(3296),
    [anon_sym_typeof] = ACTIONS(3296),
    [anon_sym_import] = ACTIONS(3296),
    [anon_sym_with] = ACTIONS(3296),
    [anon_sym_var] = ACTIONS(3296),
    [anon_sym_let] = ACTIONS(3296),
    [anon_sym_const] = ACTIONS(3296),
    [anon_sym_BANG] = ACTIONS(3296),
    [anon_sym_else] = ACTIONS(3296),
    [anon_sym_if] = ACTIONS(3296),
    [anon_sym_switch] = ACTIONS(3296),
    [anon_sym_for] = ACTIONS(3296),
    [anon_sym_LPAREN] = ACTIONS(3296),
    [anon_sym_await] = ACTIONS(3296),
    [anon_sym_while] = ACTIONS(3296),
    [anon_sym_do] = ACTIONS(3296),
    [anon_sym_try] = ACTIONS(3296),
    [anon_sym_break] = ACTIONS(3296),
    [anon_sym_continue] = ACTIONS(3296),
    [anon_sym_debugger] = ACTIONS(3296),
    [anon_sym_return] = ACTIONS(3296),
    [anon_sym_throw] = ACTIONS(3296),
    [anon_sym_SEMI] = ACTIONS(3296),
    [anon_sym_yield] = ACTIONS(3296),
    [anon_sym_LBRACK] = ACTIONS(3296),
    [anon_sym_LTtemplate_GT] = ACTIONS(3296),
    [anon_sym_DQUOTE] = ACTIONS(3296),
    [anon_sym_SQUOTE] = ACTIONS(3296),
    [anon_sym_class] = ACTIONS(3296),
    [anon_sym_async] = ACTIONS(3296),
    [anon_sym_function] = ACTIONS(3296),
    [anon_sym_new] = ACTIONS(3296),
    [anon_sym_using] = ACTIONS(3296),
    [anon_sym_PLUS] = ACTIONS(3296),
    [anon_sym_DASH] = ACTIONS(3296),
    [anon_sym_SLASH] = ACTIONS(3296),
    [anon_sym_LT] = ACTIONS(3296),
    [anon_sym_TILDE] = ACTIONS(3296),
    [anon_sym_void] = ACTIONS(3296),
    [anon_sym_delete] = ACTIONS(3296),
    [anon_sym_PLUS_PLUS] = ACTIONS(3296),
    [anon_sym_DASH_DASH] = ACTIONS(3296),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3296),
    [sym_number] = ACTIONS(3296),
    [sym_private_property_identifier] = ACTIONS(3296),
    [sym_this] = ACTIONS(3296),
    [sym_super] = ACTIONS(3296),
    [sym_true] = ACTIONS(3296),
    [sym_false] = ACTIONS(3296),
    [sym_null] = ACTIONS(3296),
    [sym_undefined] = ACTIONS(3296),
    [anon_sym_AT] = ACTIONS(3296),
    [anon_sym_static] = ACTIONS(3296),
    [anon_sym_readonly] = ACTIONS(3296),
    [anon_sym_get] = ACTIONS(3296),
    [anon_sym_set] = ACTIONS(3296),
    [anon_sym_declare] = ACTIONS(3296),
    [anon_sym_public] = ACTIONS(3296),
    [anon_sym_private] = ACTIONS(3296),
    [anon_sym_protected] = ACTIONS(3296),
    [anon_sym_override] = ACTIONS(3296),
    [anon_sym_module] = ACTIONS(3296),
    [anon_sym_any] = ACTIONS(3296),
    [anon_sym_number] = ACTIONS(3296),
    [anon_sym_boolean] = ACTIONS(3296),
    [anon_sym_string] = ACTIONS(3296),
    [anon_sym_symbol] = ACTIONS(3296),
    [anon_sym_object] = ACTIONS(3296),
    [anon_sym_abstract] = ACTIONS(3296),
    [anon_sym_interface] = ACTIONS(3296),
    [anon_sym_enum] = ACTIONS(3296),
    [sym_html_comment] = ACTIONS(5),
  },
  [1324] = {
    [sym_comment] = STATE(1324),
    [ts_builtin_sym_end] = ACTIONS(3424),
    [sym_identifier] = ACTIONS(3266),
    [anon_sym_export] = ACTIONS(3266),
    [anon_sym_type] = ACTIONS(3266),
    [anon_sym_namespace] = ACTIONS(3266),
    [anon_sym_LBRACE] = ACTIONS(3266),
    [anon_sym_RBRACE] = ACTIONS(3266),
    [anon_sym_typeof] = ACTIONS(3266),
    [anon_sym_import] = ACTIONS(3266),
    [anon_sym_with] = ACTIONS(3266),
    [anon_sym_var] = ACTIONS(3266),
    [anon_sym_let] = ACTIONS(3266),
    [anon_sym_const] = ACTIONS(3266),
    [anon_sym_BANG] = ACTIONS(3266),
    [anon_sym_else] = ACTIONS(3266),
    [anon_sym_if] = ACTIONS(3266),
    [anon_sym_switch] = ACTIONS(3266),
    [anon_sym_for] = ACTIONS(3266),
    [anon_sym_LPAREN] = ACTIONS(3266),
    [anon_sym_await] = ACTIONS(3266),
    [anon_sym_while] = ACTIONS(3266),
    [anon_sym_do] = ACTIONS(3266),
    [anon_sym_try] = ACTIONS(3266),
    [anon_sym_break] = ACTIONS(3266),
    [anon_sym_continue] = ACTIONS(3266),
    [anon_sym_debugger] = ACTIONS(3266),
    [anon_sym_return] = ACTIONS(3266),
    [anon_sym_throw] = ACTIONS(3266),
    [anon_sym_SEMI] = ACTIONS(3266),
    [anon_sym_yield] = ACTIONS(3266),
    [anon_sym_LBRACK] = ACTIONS(3266),
    [anon_sym_LTtemplate_GT] = ACTIONS(3266),
    [anon_sym_DQUOTE] = ACTIONS(3266),
    [anon_sym_SQUOTE] = ACTIONS(3266),
    [anon_sym_class] = ACTIONS(3266),
    [anon_sym_async] = ACTIONS(3266),
    [anon_sym_function] = ACTIONS(3266),
    [anon_sym_new] = ACTIONS(3266),
    [anon_sym_using] = ACTIONS(3266),
    [anon_sym_PLUS] = ACTIONS(3266),
    [anon_sym_DASH] = ACTIONS(3266),
    [anon_sym_SLASH] = ACTIONS(3266),
    [anon_sym_LT] = ACTIONS(3266),
    [anon_sym_TILDE] = ACTIONS(3266),
    [anon_sym_void] = ACTIONS(3266),
    [anon_sym_delete] = ACTIONS(3266),
    [anon_sym_PLUS_PLUS] = ACTIONS(3266),
    [anon_sym_DASH_DASH] = ACTIONS(3266),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3266),
    [sym_number] = ACTIONS(3266),
    [sym_private_property_identifier] = ACTIONS(3266),
    [sym_this] = ACTIONS(3266),
    [sym_super] = ACTIONS(3266),
    [sym_true] = ACTIONS(3266),
    [sym_false] = ACTIONS(3266),
    [sym_null] = ACTIONS(3266),
    [sym_undefined] = ACTIONS(3266),
    [anon_sym_AT] = ACTIONS(3266),
    [anon_sym_static] = ACTIONS(3266),
    [anon_sym_readonly] = ACTIONS(3266),
    [anon_sym_get] = ACTIONS(3266),
    [anon_sym_set] = ACTIONS(3266),
    [anon_sym_declare] = ACTIONS(3266),
    [anon_sym_public] = ACTIONS(3266),
    [anon_sym_private] = ACTIONS(3266),
    [anon_sym_protected] = ACTIONS(3266),
    [anon_sym_override] = ACTIONS(3266),
    [anon_sym_module] = ACTIONS(3266),
    [anon_sym_any] = ACTIONS(3266),
    [anon_sym_number] = ACTIONS(3266),
    [anon_sym_boolean] = ACTIONS(3266),
    [anon_sym_string] = ACTIONS(3266),
    [anon_sym_symbol] = ACTIONS(3266),
    [anon_sym_object] = ACTIONS(3266),
    [anon_sym_abstract] = ACTIONS(3266),
    [anon_sym_interface] = ACTIONS(3266),
    [anon_sym_enum] = ACTIONS(3266),
    [sym_html_comment] = ACTIONS(5),
  },
  [1325] = {
    [sym_comment] = STATE(1325),
    [ts_builtin_sym_end] = ACTIONS(3426),
    [sym_identifier] = ACTIONS(3264),
    [anon_sym_export] = ACTIONS(3264),
    [anon_sym_type] = ACTIONS(3264),
    [anon_sym_namespace] = ACTIONS(3264),
    [anon_sym_LBRACE] = ACTIONS(3264),
    [anon_sym_RBRACE] = ACTIONS(3264),
    [anon_sym_typeof] = ACTIONS(3264),
    [anon_sym_import] = ACTIONS(3264),
    [anon_sym_with] = ACTIONS(3264),
    [anon_sym_var] = ACTIONS(3264),
    [anon_sym_let] = ACTIONS(3264),
    [anon_sym_const] = ACTIONS(3264),
    [anon_sym_BANG] = ACTIONS(3264),
    [anon_sym_else] = ACTIONS(3264),
    [anon_sym_if] = ACTIONS(3264),
    [anon_sym_switch] = ACTIONS(3264),
    [anon_sym_for] = ACTIONS(3264),
    [anon_sym_LPAREN] = ACTIONS(3264),
    [anon_sym_await] = ACTIONS(3264),
    [anon_sym_while] = ACTIONS(3264),
    [anon_sym_do] = ACTIONS(3264),
    [anon_sym_try] = ACTIONS(3264),
    [anon_sym_break] = ACTIONS(3264),
    [anon_sym_continue] = ACTIONS(3264),
    [anon_sym_debugger] = ACTIONS(3264),
    [anon_sym_return] = ACTIONS(3264),
    [anon_sym_throw] = ACTIONS(3264),
    [anon_sym_SEMI] = ACTIONS(3264),
    [anon_sym_yield] = ACTIONS(3264),
    [anon_sym_LBRACK] = ACTIONS(3264),
    [anon_sym_LTtemplate_GT] = ACTIONS(3264),
    [anon_sym_DQUOTE] = ACTIONS(3264),
    [anon_sym_SQUOTE] = ACTIONS(3264),
    [anon_sym_class] = ACTIONS(3264),
    [anon_sym_async] = ACTIONS(3264),
    [anon_sym_function] = ACTIONS(3264),
    [anon_sym_new] = ACTIONS(3264),
    [anon_sym_using] = ACTIONS(3264),
    [anon_sym_PLUS] = ACTIONS(3264),
    [anon_sym_DASH] = ACTIONS(3264),
    [anon_sym_SLASH] = ACTIONS(3264),
    [anon_sym_LT] = ACTIONS(3264),
    [anon_sym_TILDE] = ACTIONS(3264),
    [anon_sym_void] = ACTIONS(3264),
    [anon_sym_delete] = ACTIONS(3264),
    [anon_sym_PLUS_PLUS] = ACTIONS(3264),
    [anon_sym_DASH_DASH] = ACTIONS(3264),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3264),
    [sym_number] = ACTIONS(3264),
    [sym_private_property_identifier] = ACTIONS(3264),
    [sym_this] = ACTIONS(3264),
    [sym_super] = ACTIONS(3264),
    [sym_true] = ACTIONS(3264),
    [sym_false] = ACTIONS(3264),
    [sym_null] = ACTIONS(3264),
    [sym_undefined] = ACTIONS(3264),
    [anon_sym_AT] = ACTIONS(3264),
    [anon_sym_static] = ACTIONS(3264),
    [anon_sym_readonly] = ACTIONS(3264),
    [anon_sym_get] = ACTIONS(3264),
    [anon_sym_set] = ACTIONS(3264),
    [anon_sym_declare] = ACTIONS(3264),
    [anon_sym_public] = ACTIONS(3264),
    [anon_sym_private] = ACTIONS(3264),
    [anon_sym_protected] = ACTIONS(3264),
    [anon_sym_override] = ACTIONS(3264),
    [anon_sym_module] = ACTIONS(3264),
    [anon_sym_any] = ACTIONS(3264),
    [anon_sym_number] = ACTIONS(3264),
    [anon_sym_boolean] = ACTIONS(3264),
    [anon_sym_string] = ACTIONS(3264),
    [anon_sym_symbol] = ACTIONS(3264),
    [anon_sym_object] = ACTIONS(3264),
    [anon_sym_abstract] = ACTIONS(3264),
    [anon_sym_interface] = ACTIONS(3264),
    [anon_sym_enum] = ACTIONS(3264),
    [sym_html_comment] = ACTIONS(5),
  },
  [1326] = {
    [sym_comment] = STATE(1326),
    [ts_builtin_sym_end] = ACTIONS(3428),
    [sym_identifier] = ACTIONS(3262),
    [anon_sym_export] = ACTIONS(3262),
    [anon_sym_type] = ACTIONS(3262),
    [anon_sym_namespace] = ACTIONS(3262),
    [anon_sym_LBRACE] = ACTIONS(3262),
    [anon_sym_RBRACE] = ACTIONS(3262),
    [anon_sym_typeof] = ACTIONS(3262),
    [anon_sym_import] = ACTIONS(3262),
    [anon_sym_with] = ACTIONS(3262),
    [anon_sym_var] = ACTIONS(3262),
    [anon_sym_let] = ACTIONS(3262),
    [anon_sym_const] = ACTIONS(3262),
    [anon_sym_BANG] = ACTIONS(3262),
    [anon_sym_else] = ACTIONS(3262),
    [anon_sym_if] = ACTIONS(3262),
    [anon_sym_switch] = ACTIONS(3262),
    [anon_sym_for] = ACTIONS(3262),
    [anon_sym_LPAREN] = ACTIONS(3262),
    [anon_sym_await] = ACTIONS(3262),
    [anon_sym_while] = ACTIONS(3262),
    [anon_sym_do] = ACTIONS(3262),
    [anon_sym_try] = ACTIONS(3262),
    [anon_sym_break] = ACTIONS(3262),
    [anon_sym_continue] = ACTIONS(3262),
    [anon_sym_debugger] = ACTIONS(3262),
    [anon_sym_return] = ACTIONS(3262),
    [anon_sym_throw] = ACTIONS(3262),
    [anon_sym_SEMI] = ACTIONS(3262),
    [anon_sym_yield] = ACTIONS(3262),
    [anon_sym_LBRACK] = ACTIONS(3262),
    [anon_sym_LTtemplate_GT] = ACTIONS(3262),
    [anon_sym_DQUOTE] = ACTIONS(3262),
    [anon_sym_SQUOTE] = ACTIONS(3262),
    [anon_sym_class] = ACTIONS(3262),
    [anon_sym_async] = ACTIONS(3262),
    [anon_sym_function] = ACTIONS(3262),
    [anon_sym_new] = ACTIONS(3262),
    [anon_sym_using] = ACTIONS(3262),
    [anon_sym_PLUS] = ACTIONS(3262),
    [anon_sym_DASH] = ACTIONS(3262),
    [anon_sym_SLASH] = ACTIONS(3262),
    [anon_sym_LT] = ACTIONS(3262),
    [anon_sym_TILDE] = ACTIONS(3262),
    [anon_sym_void] = ACTIONS(3262),
    [anon_sym_delete] = ACTIONS(3262),
    [anon_sym_PLUS_PLUS] = ACTIONS(3262),
    [anon_sym_DASH_DASH] = ACTIONS(3262),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3262),
    [sym_number] = ACTIONS(3262),
    [sym_private_property_identifier] = ACTIONS(3262),
    [sym_this] = ACTIONS(3262),
    [sym_super] = ACTIONS(3262),
    [sym_true] = ACTIONS(3262),
    [sym_false] = ACTIONS(3262),
    [sym_null] = ACTIONS(3262),
    [sym_undefined] = ACTIONS(3262),
    [anon_sym_AT] = ACTIONS(3262),
    [anon_sym_static] = ACTIONS(3262),
    [anon_sym_readonly] = ACTIONS(3262),
    [anon_sym_get] = ACTIONS(3262),
    [anon_sym_set] = ACTIONS(3262),
    [anon_sym_declare] = ACTIONS(3262),
    [anon_sym_public] = ACTIONS(3262),
    [anon_sym_private] = ACTIONS(3262),
    [anon_sym_protected] = ACTIONS(3262),
    [anon_sym_override] = ACTIONS(3262),
    [anon_sym_module] = ACTIONS(3262),
    [anon_sym_any] = ACTIONS(3262),
    [anon_sym_number] = ACTIONS(3262),
    [anon_sym_boolean] = ACTIONS(3262),
    [anon_sym_string] = ACTIONS(3262),
    [anon_sym_symbol] = ACTIONS(3262),
    [anon_sym_object] = ACTIONS(3262),
    [anon_sym_abstract] = ACTIONS(3262),
    [anon_sym_interface] = ACTIONS(3262),
    [anon_sym_enum] = ACTIONS(3262),
    [sym_html_comment] = ACTIONS(5),
  },
  [1327] = {
    [sym_comment] = STATE(1327),
    [ts_builtin_sym_end] = ACTIONS(3430),
    [sym_identifier] = ACTIONS(3258),
    [anon_sym_export] = ACTIONS(3258),
    [anon_sym_type] = ACTIONS(3258),
    [anon_sym_namespace] = ACTIONS(3258),
    [anon_sym_LBRACE] = ACTIONS(3258),
    [anon_sym_RBRACE] = ACTIONS(3258),
    [anon_sym_typeof] = ACTIONS(3258),
    [anon_sym_import] = ACTIONS(3258),
    [anon_sym_with] = ACTIONS(3258),
    [anon_sym_var] = ACTIONS(3258),
    [anon_sym_let] = ACTIONS(3258),
    [anon_sym_const] = ACTIONS(3258),
    [anon_sym_BANG] = ACTIONS(3258),
    [anon_sym_else] = ACTIONS(3258),
    [anon_sym_if] = ACTIONS(3258),
    [anon_sym_switch] = ACTIONS(3258),
    [anon_sym_for] = ACTIONS(3258),
    [anon_sym_LPAREN] = ACTIONS(3258),
    [anon_sym_await] = ACTIONS(3258),
    [anon_sym_while] = ACTIONS(3258),
    [anon_sym_do] = ACTIONS(3258),
    [anon_sym_try] = ACTIONS(3258),
    [anon_sym_break] = ACTIONS(3258),
    [anon_sym_continue] = ACTIONS(3258),
    [anon_sym_debugger] = ACTIONS(3258),
    [anon_sym_return] = ACTIONS(3258),
    [anon_sym_throw] = ACTIONS(3258),
    [anon_sym_SEMI] = ACTIONS(3258),
    [anon_sym_yield] = ACTIONS(3258),
    [anon_sym_LBRACK] = ACTIONS(3258),
    [anon_sym_LTtemplate_GT] = ACTIONS(3258),
    [anon_sym_DQUOTE] = ACTIONS(3258),
    [anon_sym_SQUOTE] = ACTIONS(3258),
    [anon_sym_class] = ACTIONS(3258),
    [anon_sym_async] = ACTIONS(3258),
    [anon_sym_function] = ACTIONS(3258),
    [anon_sym_new] = ACTIONS(3258),
    [anon_sym_using] = ACTIONS(3258),
    [anon_sym_PLUS] = ACTIONS(3258),
    [anon_sym_DASH] = ACTIONS(3258),
    [anon_sym_SLASH] = ACTIONS(3258),
    [anon_sym_LT] = ACTIONS(3258),
    [anon_sym_TILDE] = ACTIONS(3258),
    [anon_sym_void] = ACTIONS(3258),
    [anon_sym_delete] = ACTIONS(3258),
    [anon_sym_PLUS_PLUS] = ACTIONS(3258),
    [anon_sym_DASH_DASH] = ACTIONS(3258),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3258),
    [sym_number] = ACTIONS(3258),
    [sym_private_property_identifier] = ACTIONS(3258),
    [sym_this] = ACTIONS(3258),
    [sym_super] = ACTIONS(3258),
    [sym_true] = ACTIONS(3258),
    [sym_false] = ACTIONS(3258),
    [sym_null] = ACTIONS(3258),
    [sym_undefined] = ACTIONS(3258),
    [anon_sym_AT] = ACTIONS(3258),
    [anon_sym_static] = ACTIONS(3258),
    [anon_sym_readonly] = ACTIONS(3258),
    [anon_sym_get] = ACTIONS(3258),
    [anon_sym_set] = ACTIONS(3258),
    [anon_sym_declare] = ACTIONS(3258),
    [anon_sym_public] = ACTIONS(3258),
    [anon_sym_private] = ACTIONS(3258),
    [anon_sym_protected] = ACTIONS(3258),
    [anon_sym_override] = ACTIONS(3258),
    [anon_sym_module] = ACTIONS(3258),
    [anon_sym_any] = ACTIONS(3258),
    [anon_sym_number] = ACTIONS(3258),
    [anon_sym_boolean] = ACTIONS(3258),
    [anon_sym_string] = ACTIONS(3258),
    [anon_sym_symbol] = ACTIONS(3258),
    [anon_sym_object] = ACTIONS(3258),
    [anon_sym_abstract] = ACTIONS(3258),
    [anon_sym_interface] = ACTIONS(3258),
    [anon_sym_enum] = ACTIONS(3258),
    [sym_html_comment] = ACTIONS(5),
  },
  [1328] = {
    [sym_comment] = STATE(1328),
    [ts_builtin_sym_end] = ACTIONS(3432),
    [sym_identifier] = ACTIONS(3188),
    [anon_sym_export] = ACTIONS(3188),
    [anon_sym_type] = ACTIONS(3188),
    [anon_sym_namespace] = ACTIONS(3188),
    [anon_sym_LBRACE] = ACTIONS(3188),
    [anon_sym_RBRACE] = ACTIONS(3188),
    [anon_sym_typeof] = ACTIONS(3188),
    [anon_sym_import] = ACTIONS(3188),
    [anon_sym_with] = ACTIONS(3188),
    [anon_sym_var] = ACTIONS(3188),
    [anon_sym_let] = ACTIONS(3188),
    [anon_sym_const] = ACTIONS(3188),
    [anon_sym_BANG] = ACTIONS(3188),
    [anon_sym_else] = ACTIONS(3188),
    [anon_sym_if] = ACTIONS(3188),
    [anon_sym_switch] = ACTIONS(3188),
    [anon_sym_for] = ACTIONS(3188),
    [anon_sym_LPAREN] = ACTIONS(3188),
    [anon_sym_await] = ACTIONS(3188),
    [anon_sym_while] = ACTIONS(3188),
    [anon_sym_do] = ACTIONS(3188),
    [anon_sym_try] = ACTIONS(3188),
    [anon_sym_break] = ACTIONS(3188),
    [anon_sym_continue] = ACTIONS(3188),
    [anon_sym_debugger] = ACTIONS(3188),
    [anon_sym_return] = ACTIONS(3188),
    [anon_sym_throw] = ACTIONS(3188),
    [anon_sym_SEMI] = ACTIONS(3188),
    [anon_sym_yield] = ACTIONS(3188),
    [anon_sym_LBRACK] = ACTIONS(3188),
    [anon_sym_LTtemplate_GT] = ACTIONS(3188),
    [anon_sym_DQUOTE] = ACTIONS(3188),
    [anon_sym_SQUOTE] = ACTIONS(3188),
    [anon_sym_class] = ACTIONS(3188),
    [anon_sym_async] = ACTIONS(3188),
    [anon_sym_function] = ACTIONS(3188),
    [anon_sym_new] = ACTIONS(3188),
    [anon_sym_using] = ACTIONS(3188),
    [anon_sym_PLUS] = ACTIONS(3188),
    [anon_sym_DASH] = ACTIONS(3188),
    [anon_sym_SLASH] = ACTIONS(3188),
    [anon_sym_LT] = ACTIONS(3188),
    [anon_sym_TILDE] = ACTIONS(3188),
    [anon_sym_void] = ACTIONS(3188),
    [anon_sym_delete] = ACTIONS(3188),
    [anon_sym_PLUS_PLUS] = ACTIONS(3188),
    [anon_sym_DASH_DASH] = ACTIONS(3188),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3188),
    [sym_number] = ACTIONS(3188),
    [sym_private_property_identifier] = ACTIONS(3188),
    [sym_this] = ACTIONS(3188),
    [sym_super] = ACTIONS(3188),
    [sym_true] = ACTIONS(3188),
    [sym_false] = ACTIONS(3188),
    [sym_null] = ACTIONS(3188),
    [sym_undefined] = ACTIONS(3188),
    [anon_sym_AT] = ACTIONS(3188),
    [anon_sym_static] = ACTIONS(3188),
    [anon_sym_readonly] = ACTIONS(3188),
    [anon_sym_get] = ACTIONS(3188),
    [anon_sym_set] = ACTIONS(3188),
    [anon_sym_declare] = ACTIONS(3188),
    [anon_sym_public] = ACTIONS(3188),
    [anon_sym_private] = ACTIONS(3188),
    [anon_sym_protected] = ACTIONS(3188),
    [anon_sym_override] = ACTIONS(3188),
    [anon_sym_module] = ACTIONS(3188),
    [anon_sym_any] = ACTIONS(3188),
    [anon_sym_number] = ACTIONS(3188),
    [anon_sym_boolean] = ACTIONS(3188),
    [anon_sym_string] = ACTIONS(3188),
    [anon_sym_symbol] = ACTIONS(3188),
    [anon_sym_object] = ACTIONS(3188),
    [anon_sym_abstract] = ACTIONS(3188),
    [anon_sym_interface] = ACTIONS(3188),
    [anon_sym_enum] = ACTIONS(3188),
    [sym_html_comment] = ACTIONS(5),
  },
  [1329] = {
    [sym_comment] = STATE(1329),
    [sym_identifier] = ACTIONS(3188),
    [anon_sym_export] = ACTIONS(3188),
    [anon_sym_default] = ACTIONS(3188),
    [anon_sym_type] = ACTIONS(3188),
    [anon_sym_namespace] = ACTIONS(3188),
    [anon_sym_LBRACE] = ACTIONS(3188),
    [anon_sym_RBRACE] = ACTIONS(3188),
    [anon_sym_typeof] = ACTIONS(3188),
    [anon_sym_import] = ACTIONS(3188),
    [anon_sym_with] = ACTIONS(3188),
    [anon_sym_var] = ACTIONS(3188),
    [anon_sym_let] = ACTIONS(3188),
    [anon_sym_const] = ACTIONS(3188),
    [anon_sym_BANG] = ACTIONS(3188),
    [anon_sym_if] = ACTIONS(3188),
    [anon_sym_switch] = ACTIONS(3188),
    [anon_sym_for] = ACTIONS(3188),
    [anon_sym_LPAREN] = ACTIONS(3188),
    [anon_sym_await] = ACTIONS(3188),
    [anon_sym_while] = ACTIONS(3188),
    [anon_sym_do] = ACTIONS(3188),
    [anon_sym_try] = ACTIONS(3188),
    [anon_sym_break] = ACTIONS(3188),
    [anon_sym_continue] = ACTIONS(3188),
    [anon_sym_debugger] = ACTIONS(3188),
    [anon_sym_return] = ACTIONS(3188),
    [anon_sym_throw] = ACTIONS(3188),
    [anon_sym_SEMI] = ACTIONS(3188),
    [anon_sym_case] = ACTIONS(3188),
    [anon_sym_yield] = ACTIONS(3188),
    [anon_sym_LBRACK] = ACTIONS(3188),
    [anon_sym_LTtemplate_GT] = ACTIONS(3188),
    [anon_sym_DQUOTE] = ACTIONS(3188),
    [anon_sym_SQUOTE] = ACTIONS(3188),
    [anon_sym_class] = ACTIONS(3188),
    [anon_sym_async] = ACTIONS(3188),
    [anon_sym_function] = ACTIONS(3188),
    [anon_sym_new] = ACTIONS(3188),
    [anon_sym_using] = ACTIONS(3188),
    [anon_sym_PLUS] = ACTIONS(3188),
    [anon_sym_DASH] = ACTIONS(3188),
    [anon_sym_SLASH] = ACTIONS(3188),
    [anon_sym_LT] = ACTIONS(3188),
    [anon_sym_TILDE] = ACTIONS(3188),
    [anon_sym_void] = ACTIONS(3188),
    [anon_sym_delete] = ACTIONS(3188),
    [anon_sym_PLUS_PLUS] = ACTIONS(3188),
    [anon_sym_DASH_DASH] = ACTIONS(3188),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3188),
    [sym_number] = ACTIONS(3188),
    [sym_private_property_identifier] = ACTIONS(3188),
    [sym_this] = ACTIONS(3188),
    [sym_super] = ACTIONS(3188),
    [sym_true] = ACTIONS(3188),
    [sym_false] = ACTIONS(3188),
    [sym_null] = ACTIONS(3188),
    [sym_undefined] = ACTIONS(3188),
    [anon_sym_AT] = ACTIONS(3188),
    [anon_sym_static] = ACTIONS(3188),
    [anon_sym_readonly] = ACTIONS(3188),
    [anon_sym_get] = ACTIONS(3188),
    [anon_sym_set] = ACTIONS(3188),
    [anon_sym_declare] = ACTIONS(3188),
    [anon_sym_public] = ACTIONS(3188),
    [anon_sym_private] = ACTIONS(3188),
    [anon_sym_protected] = ACTIONS(3188),
    [anon_sym_override] = ACTIONS(3188),
    [anon_sym_module] = ACTIONS(3188),
    [anon_sym_any] = ACTIONS(3188),
    [anon_sym_number] = ACTIONS(3188),
    [anon_sym_boolean] = ACTIONS(3188),
    [anon_sym_string] = ACTIONS(3188),
    [anon_sym_symbol] = ACTIONS(3188),
    [anon_sym_object] = ACTIONS(3188),
    [anon_sym_abstract] = ACTIONS(3188),
    [anon_sym_interface] = ACTIONS(3188),
    [anon_sym_enum] = ACTIONS(3188),
    [sym_html_comment] = ACTIONS(5),
  },
  [1330] = {
    [sym_comment] = STATE(1330),
    [ts_builtin_sym_end] = ACTIONS(3434),
    [sym_identifier] = ACTIONS(3192),
    [anon_sym_export] = ACTIONS(3192),
    [anon_sym_type] = ACTIONS(3192),
    [anon_sym_namespace] = ACTIONS(3192),
    [anon_sym_LBRACE] = ACTIONS(3192),
    [anon_sym_RBRACE] = ACTIONS(3192),
    [anon_sym_typeof] = ACTIONS(3192),
    [anon_sym_import] = ACTIONS(3192),
    [anon_sym_with] = ACTIONS(3192),
    [anon_sym_var] = ACTIONS(3192),
    [anon_sym_let] = ACTIONS(3192),
    [anon_sym_const] = ACTIONS(3192),
    [anon_sym_BANG] = ACTIONS(3192),
    [anon_sym_else] = ACTIONS(3192),
    [anon_sym_if] = ACTIONS(3192),
    [anon_sym_switch] = ACTIONS(3192),
    [anon_sym_for] = ACTIONS(3192),
    [anon_sym_LPAREN] = ACTIONS(3192),
    [anon_sym_await] = ACTIONS(3192),
    [anon_sym_while] = ACTIONS(3192),
    [anon_sym_do] = ACTIONS(3192),
    [anon_sym_try] = ACTIONS(3192),
    [anon_sym_break] = ACTIONS(3192),
    [anon_sym_continue] = ACTIONS(3192),
    [anon_sym_debugger] = ACTIONS(3192),
    [anon_sym_return] = ACTIONS(3192),
    [anon_sym_throw] = ACTIONS(3192),
    [anon_sym_SEMI] = ACTIONS(3192),
    [anon_sym_yield] = ACTIONS(3192),
    [anon_sym_LBRACK] = ACTIONS(3192),
    [anon_sym_LTtemplate_GT] = ACTIONS(3192),
    [anon_sym_DQUOTE] = ACTIONS(3192),
    [anon_sym_SQUOTE] = ACTIONS(3192),
    [anon_sym_class] = ACTIONS(3192),
    [anon_sym_async] = ACTIONS(3192),
    [anon_sym_function] = ACTIONS(3192),
    [anon_sym_new] = ACTIONS(3192),
    [anon_sym_using] = ACTIONS(3192),
    [anon_sym_PLUS] = ACTIONS(3192),
    [anon_sym_DASH] = ACTIONS(3192),
    [anon_sym_SLASH] = ACTIONS(3192),
    [anon_sym_LT] = ACTIONS(3192),
    [anon_sym_TILDE] = ACTIONS(3192),
    [anon_sym_void] = ACTIONS(3192),
    [anon_sym_delete] = ACTIONS(3192),
    [anon_sym_PLUS_PLUS] = ACTIONS(3192),
    [anon_sym_DASH_DASH] = ACTIONS(3192),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3192),
    [sym_number] = ACTIONS(3192),
    [sym_private_property_identifier] = ACTIONS(3192),
    [sym_this] = ACTIONS(3192),
    [sym_super] = ACTIONS(3192),
    [sym_true] = ACTIONS(3192),
    [sym_false] = ACTIONS(3192),
    [sym_null] = ACTIONS(3192),
    [sym_undefined] = ACTIONS(3192),
    [anon_sym_AT] = ACTIONS(3192),
    [anon_sym_static] = ACTIONS(3192),
    [anon_sym_readonly] = ACTIONS(3192),
    [anon_sym_get] = ACTIONS(3192),
    [anon_sym_set] = ACTIONS(3192),
    [anon_sym_declare] = ACTIONS(3192),
    [anon_sym_public] = ACTIONS(3192),
    [anon_sym_private] = ACTIONS(3192),
    [anon_sym_protected] = ACTIONS(3192),
    [anon_sym_override] = ACTIONS(3192),
    [anon_sym_module] = ACTIONS(3192),
    [anon_sym_any] = ACTIONS(3192),
    [anon_sym_number] = ACTIONS(3192),
    [anon_sym_boolean] = ACTIONS(3192),
    [anon_sym_string] = ACTIONS(3192),
    [anon_sym_symbol] = ACTIONS(3192),
    [anon_sym_object] = ACTIONS(3192),
    [anon_sym_abstract] = ACTIONS(3192),
    [anon_sym_interface] = ACTIONS(3192),
    [anon_sym_enum] = ACTIONS(3192),
    [sym_html_comment] = ACTIONS(5),
  },
  [1331] = {
    [sym_comment] = STATE(1331),
    [ts_builtin_sym_end] = ACTIONS(3436),
    [sym_identifier] = ACTIONS(3196),
    [anon_sym_export] = ACTIONS(3196),
    [anon_sym_type] = ACTIONS(3196),
    [anon_sym_namespace] = ACTIONS(3196),
    [anon_sym_LBRACE] = ACTIONS(3196),
    [anon_sym_RBRACE] = ACTIONS(3196),
    [anon_sym_typeof] = ACTIONS(3196),
    [anon_sym_import] = ACTIONS(3196),
    [anon_sym_with] = ACTIONS(3196),
    [anon_sym_var] = ACTIONS(3196),
    [anon_sym_let] = ACTIONS(3196),
    [anon_sym_const] = ACTIONS(3196),
    [anon_sym_BANG] = ACTIONS(3196),
    [anon_sym_else] = ACTIONS(3196),
    [anon_sym_if] = ACTIONS(3196),
    [anon_sym_switch] = ACTIONS(3196),
    [anon_sym_for] = ACTIONS(3196),
    [anon_sym_LPAREN] = ACTIONS(3196),
    [anon_sym_await] = ACTIONS(3196),
    [anon_sym_while] = ACTIONS(3196),
    [anon_sym_do] = ACTIONS(3196),
    [anon_sym_try] = ACTIONS(3196),
    [anon_sym_break] = ACTIONS(3196),
    [anon_sym_continue] = ACTIONS(3196),
    [anon_sym_debugger] = ACTIONS(3196),
    [anon_sym_return] = ACTIONS(3196),
    [anon_sym_throw] = ACTIONS(3196),
    [anon_sym_SEMI] = ACTIONS(3196),
    [anon_sym_yield] = ACTIONS(3196),
    [anon_sym_LBRACK] = ACTIONS(3196),
    [anon_sym_LTtemplate_GT] = ACTIONS(3196),
    [anon_sym_DQUOTE] = ACTIONS(3196),
    [anon_sym_SQUOTE] = ACTIONS(3196),
    [anon_sym_class] = ACTIONS(3196),
    [anon_sym_async] = ACTIONS(3196),
    [anon_sym_function] = ACTIONS(3196),
    [anon_sym_new] = ACTIONS(3196),
    [anon_sym_using] = ACTIONS(3196),
    [anon_sym_PLUS] = ACTIONS(3196),
    [anon_sym_DASH] = ACTIONS(3196),
    [anon_sym_SLASH] = ACTIONS(3196),
    [anon_sym_LT] = ACTIONS(3196),
    [anon_sym_TILDE] = ACTIONS(3196),
    [anon_sym_void] = ACTIONS(3196),
    [anon_sym_delete] = ACTIONS(3196),
    [anon_sym_PLUS_PLUS] = ACTIONS(3196),
    [anon_sym_DASH_DASH] = ACTIONS(3196),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3196),
    [sym_number] = ACTIONS(3196),
    [sym_private_property_identifier] = ACTIONS(3196),
    [sym_this] = ACTIONS(3196),
    [sym_super] = ACTIONS(3196),
    [sym_true] = ACTIONS(3196),
    [sym_false] = ACTIONS(3196),
    [sym_null] = ACTIONS(3196),
    [sym_undefined] = ACTIONS(3196),
    [anon_sym_AT] = ACTIONS(3196),
    [anon_sym_static] = ACTIONS(3196),
    [anon_sym_readonly] = ACTIONS(3196),
    [anon_sym_get] = ACTIONS(3196),
    [anon_sym_set] = ACTIONS(3196),
    [anon_sym_declare] = ACTIONS(3196),
    [anon_sym_public] = ACTIONS(3196),
    [anon_sym_private] = ACTIONS(3196),
    [anon_sym_protected] = ACTIONS(3196),
    [anon_sym_override] = ACTIONS(3196),
    [anon_sym_module] = ACTIONS(3196),
    [anon_sym_any] = ACTIONS(3196),
    [anon_sym_number] = ACTIONS(3196),
    [anon_sym_boolean] = ACTIONS(3196),
    [anon_sym_string] = ACTIONS(3196),
    [anon_sym_symbol] = ACTIONS(3196),
    [anon_sym_object] = ACTIONS(3196),
    [anon_sym_abstract] = ACTIONS(3196),
    [anon_sym_interface] = ACTIONS(3196),
    [anon_sym_enum] = ACTIONS(3196),
    [sym_html_comment] = ACTIONS(5),
  },
  [1332] = {
    [sym_comment] = STATE(1332),
    [ts_builtin_sym_end] = ACTIONS(3438),
    [sym_identifier] = ACTIONS(3252),
    [anon_sym_export] = ACTIONS(3252),
    [anon_sym_type] = ACTIONS(3252),
    [anon_sym_namespace] = ACTIONS(3252),
    [anon_sym_LBRACE] = ACTIONS(3252),
    [anon_sym_RBRACE] = ACTIONS(3252),
    [anon_sym_typeof] = ACTIONS(3252),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_with] = ACTIONS(3252),
    [anon_sym_var] = ACTIONS(3252),
    [anon_sym_let] = ACTIONS(3252),
    [anon_sym_const] = ACTIONS(3252),
    [anon_sym_BANG] = ACTIONS(3252),
    [anon_sym_else] = ACTIONS(3252),
    [anon_sym_if] = ACTIONS(3252),
    [anon_sym_switch] = ACTIONS(3252),
    [anon_sym_for] = ACTIONS(3252),
    [anon_sym_LPAREN] = ACTIONS(3252),
    [anon_sym_await] = ACTIONS(3252),
    [anon_sym_while] = ACTIONS(3252),
    [anon_sym_do] = ACTIONS(3252),
    [anon_sym_try] = ACTIONS(3252),
    [anon_sym_break] = ACTIONS(3252),
    [anon_sym_continue] = ACTIONS(3252),
    [anon_sym_debugger] = ACTIONS(3252),
    [anon_sym_return] = ACTIONS(3252),
    [anon_sym_throw] = ACTIONS(3252),
    [anon_sym_SEMI] = ACTIONS(3252),
    [anon_sym_yield] = ACTIONS(3252),
    [anon_sym_LBRACK] = ACTIONS(3252),
    [anon_sym_LTtemplate_GT] = ACTIONS(3252),
    [anon_sym_DQUOTE] = ACTIONS(3252),
    [anon_sym_SQUOTE] = ACTIONS(3252),
    [anon_sym_class] = ACTIONS(3252),
    [anon_sym_async] = ACTIONS(3252),
    [anon_sym_function] = ACTIONS(3252),
    [anon_sym_new] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3252),
    [anon_sym_PLUS] = ACTIONS(3252),
    [anon_sym_DASH] = ACTIONS(3252),
    [anon_sym_SLASH] = ACTIONS(3252),
    [anon_sym_LT] = ACTIONS(3252),
    [anon_sym_TILDE] = ACTIONS(3252),
    [anon_sym_void] = ACTIONS(3252),
    [anon_sym_delete] = ACTIONS(3252),
    [anon_sym_PLUS_PLUS] = ACTIONS(3252),
    [anon_sym_DASH_DASH] = ACTIONS(3252),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3252),
    [sym_number] = ACTIONS(3252),
    [sym_private_property_identifier] = ACTIONS(3252),
    [sym_this] = ACTIONS(3252),
    [sym_super] = ACTIONS(3252),
    [sym_true] = ACTIONS(3252),
    [sym_false] = ACTIONS(3252),
    [sym_null] = ACTIONS(3252),
    [sym_undefined] = ACTIONS(3252),
    [anon_sym_AT] = ACTIONS(3252),
    [anon_sym_static] = ACTIONS(3252),
    [anon_sym_readonly] = ACTIONS(3252),
    [anon_sym_get] = ACTIONS(3252),
    [anon_sym_set] = ACTIONS(3252),
    [anon_sym_declare] = ACTIONS(3252),
    [anon_sym_public] = ACTIONS(3252),
    [anon_sym_private] = ACTIONS(3252),
    [anon_sym_protected] = ACTIONS(3252),
    [anon_sym_override] = ACTIONS(3252),
    [anon_sym_module] = ACTIONS(3252),
    [anon_sym_any] = ACTIONS(3252),
    [anon_sym_number] = ACTIONS(3252),
    [anon_sym_boolean] = ACTIONS(3252),
    [anon_sym_string] = ACTIONS(3252),
    [anon_sym_symbol] = ACTIONS(3252),
    [anon_sym_object] = ACTIONS(3252),
    [anon_sym_abstract] = ACTIONS(3252),
    [anon_sym_interface] = ACTIONS(3252),
    [anon_sym_enum] = ACTIONS(3252),
    [sym_html_comment] = ACTIONS(5),
  },
  [1333] = {
    [sym_comment] = STATE(1333),
    [ts_builtin_sym_end] = ACTIONS(3440),
    [sym_identifier] = ACTIONS(3172),
    [anon_sym_export] = ACTIONS(3172),
    [anon_sym_type] = ACTIONS(3172),
    [anon_sym_namespace] = ACTIONS(3172),
    [anon_sym_LBRACE] = ACTIONS(3172),
    [anon_sym_RBRACE] = ACTIONS(3172),
    [anon_sym_typeof] = ACTIONS(3172),
    [anon_sym_import] = ACTIONS(3172),
    [anon_sym_with] = ACTIONS(3172),
    [anon_sym_var] = ACTIONS(3172),
    [anon_sym_let] = ACTIONS(3172),
    [anon_sym_const] = ACTIONS(3172),
    [anon_sym_BANG] = ACTIONS(3172),
    [anon_sym_else] = ACTIONS(3172),
    [anon_sym_if] = ACTIONS(3172),
    [anon_sym_switch] = ACTIONS(3172),
    [anon_sym_for] = ACTIONS(3172),
    [anon_sym_LPAREN] = ACTIONS(3172),
    [anon_sym_await] = ACTIONS(3172),
    [anon_sym_while] = ACTIONS(3172),
    [anon_sym_do] = ACTIONS(3172),
    [anon_sym_try] = ACTIONS(3172),
    [anon_sym_break] = ACTIONS(3172),
    [anon_sym_continue] = ACTIONS(3172),
    [anon_sym_debugger] = ACTIONS(3172),
    [anon_sym_return] = ACTIONS(3172),
    [anon_sym_throw] = ACTIONS(3172),
    [anon_sym_SEMI] = ACTIONS(3172),
    [anon_sym_yield] = ACTIONS(3172),
    [anon_sym_LBRACK] = ACTIONS(3172),
    [anon_sym_LTtemplate_GT] = ACTIONS(3172),
    [anon_sym_DQUOTE] = ACTIONS(3172),
    [anon_sym_SQUOTE] = ACTIONS(3172),
    [anon_sym_class] = ACTIONS(3172),
    [anon_sym_async] = ACTIONS(3172),
    [anon_sym_function] = ACTIONS(3172),
    [anon_sym_new] = ACTIONS(3172),
    [anon_sym_using] = ACTIONS(3172),
    [anon_sym_PLUS] = ACTIONS(3172),
    [anon_sym_DASH] = ACTIONS(3172),
    [anon_sym_SLASH] = ACTIONS(3172),
    [anon_sym_LT] = ACTIONS(3172),
    [anon_sym_TILDE] = ACTIONS(3172),
    [anon_sym_void] = ACTIONS(3172),
    [anon_sym_delete] = ACTIONS(3172),
    [anon_sym_PLUS_PLUS] = ACTIONS(3172),
    [anon_sym_DASH_DASH] = ACTIONS(3172),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3172),
    [sym_number] = ACTIONS(3172),
    [sym_private_property_identifier] = ACTIONS(3172),
    [sym_this] = ACTIONS(3172),
    [sym_super] = ACTIONS(3172),
    [sym_true] = ACTIONS(3172),
    [sym_false] = ACTIONS(3172),
    [sym_null] = ACTIONS(3172),
    [sym_undefined] = ACTIONS(3172),
    [anon_sym_AT] = ACTIONS(3172),
    [anon_sym_static] = ACTIONS(3172),
    [anon_sym_readonly] = ACTIONS(3172),
    [anon_sym_get] = ACTIONS(3172),
    [anon_sym_set] = ACTIONS(3172),
    [anon_sym_declare] = ACTIONS(3172),
    [anon_sym_public] = ACTIONS(3172),
    [anon_sym_private] = ACTIONS(3172),
    [anon_sym_protected] = ACTIONS(3172),
    [anon_sym_override] = ACTIONS(3172),
    [anon_sym_module] = ACTIONS(3172),
    [anon_sym_any] = ACTIONS(3172),
    [anon_sym_number] = ACTIONS(3172),
    [anon_sym_boolean] = ACTIONS(3172),
    [anon_sym_string] = ACTIONS(3172),
    [anon_sym_symbol] = ACTIONS(3172),
    [anon_sym_object] = ACTIONS(3172),
    [anon_sym_abstract] = ACTIONS(3172),
    [anon_sym_interface] = ACTIONS(3172),
    [anon_sym_enum] = ACTIONS(3172),
    [sym_html_comment] = ACTIONS(5),
  },
  [1334] = {
    [sym_comment] = STATE(1334),
    [ts_builtin_sym_end] = ACTIONS(3442),
    [sym_identifier] = ACTIONS(3224),
    [anon_sym_export] = ACTIONS(3224),
    [anon_sym_type] = ACTIONS(3224),
    [anon_sym_namespace] = ACTIONS(3224),
    [anon_sym_LBRACE] = ACTIONS(3224),
    [anon_sym_RBRACE] = ACTIONS(3224),
    [anon_sym_typeof] = ACTIONS(3224),
    [anon_sym_import] = ACTIONS(3224),
    [anon_sym_with] = ACTIONS(3224),
    [anon_sym_var] = ACTIONS(3224),
    [anon_sym_let] = ACTIONS(3224),
    [anon_sym_const] = ACTIONS(3224),
    [anon_sym_BANG] = ACTIONS(3224),
    [anon_sym_else] = ACTIONS(3224),
    [anon_sym_if] = ACTIONS(3224),
    [anon_sym_switch] = ACTIONS(3224),
    [anon_sym_for] = ACTIONS(3224),
    [anon_sym_LPAREN] = ACTIONS(3224),
    [anon_sym_await] = ACTIONS(3224),
    [anon_sym_while] = ACTIONS(3224),
    [anon_sym_do] = ACTIONS(3224),
    [anon_sym_try] = ACTIONS(3224),
    [anon_sym_break] = ACTIONS(3224),
    [anon_sym_continue] = ACTIONS(3224),
    [anon_sym_debugger] = ACTIONS(3224),
    [anon_sym_return] = ACTIONS(3224),
    [anon_sym_throw] = ACTIONS(3224),
    [anon_sym_SEMI] = ACTIONS(3224),
    [anon_sym_yield] = ACTIONS(3224),
    [anon_sym_LBRACK] = ACTIONS(3224),
    [anon_sym_LTtemplate_GT] = ACTIONS(3224),
    [anon_sym_DQUOTE] = ACTIONS(3224),
    [anon_sym_SQUOTE] = ACTIONS(3224),
    [anon_sym_class] = ACTIONS(3224),
    [anon_sym_async] = ACTIONS(3224),
    [anon_sym_function] = ACTIONS(3224),
    [anon_sym_new] = ACTIONS(3224),
    [anon_sym_using] = ACTIONS(3224),
    [anon_sym_PLUS] = ACTIONS(3224),
    [anon_sym_DASH] = ACTIONS(3224),
    [anon_sym_SLASH] = ACTIONS(3224),
    [anon_sym_LT] = ACTIONS(3224),
    [anon_sym_TILDE] = ACTIONS(3224),
    [anon_sym_void] = ACTIONS(3224),
    [anon_sym_delete] = ACTIONS(3224),
    [anon_sym_PLUS_PLUS] = ACTIONS(3224),
    [anon_sym_DASH_DASH] = ACTIONS(3224),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3224),
    [sym_number] = ACTIONS(3224),
    [sym_private_property_identifier] = ACTIONS(3224),
    [sym_this] = ACTIONS(3224),
    [sym_super] = ACTIONS(3224),
    [sym_true] = ACTIONS(3224),
    [sym_false] = ACTIONS(3224),
    [sym_null] = ACTIONS(3224),
    [sym_undefined] = ACTIONS(3224),
    [anon_sym_AT] = ACTIONS(3224),
    [anon_sym_static] = ACTIONS(3224),
    [anon_sym_readonly] = ACTIONS(3224),
    [anon_sym_get] = ACTIONS(3224),
    [anon_sym_set] = ACTIONS(3224),
    [anon_sym_declare] = ACTIONS(3224),
    [anon_sym_public] = ACTIONS(3224),
    [anon_sym_private] = ACTIONS(3224),
    [anon_sym_protected] = ACTIONS(3224),
    [anon_sym_override] = ACTIONS(3224),
    [anon_sym_module] = ACTIONS(3224),
    [anon_sym_any] = ACTIONS(3224),
    [anon_sym_number] = ACTIONS(3224),
    [anon_sym_boolean] = ACTIONS(3224),
    [anon_sym_string] = ACTIONS(3224),
    [anon_sym_symbol] = ACTIONS(3224),
    [anon_sym_object] = ACTIONS(3224),
    [anon_sym_abstract] = ACTIONS(3224),
    [anon_sym_interface] = ACTIONS(3224),
    [anon_sym_enum] = ACTIONS(3224),
    [sym_html_comment] = ACTIONS(5),
  },
  [1335] = {
    [sym_comment] = STATE(1335),
    [ts_builtin_sym_end] = ACTIONS(2201),
    [sym_identifier] = ACTIONS(2199),
    [anon_sym_export] = ACTIONS(2199),
    [anon_sym_type] = ACTIONS(2199),
    [anon_sym_namespace] = ACTIONS(2199),
    [anon_sym_LBRACE] = ACTIONS(2199),
    [anon_sym_RBRACE] = ACTIONS(2199),
    [anon_sym_typeof] = ACTIONS(2199),
    [anon_sym_import] = ACTIONS(2199),
    [anon_sym_with] = ACTIONS(2199),
    [anon_sym_var] = ACTIONS(2199),
    [anon_sym_let] = ACTIONS(2199),
    [anon_sym_const] = ACTIONS(2199),
    [anon_sym_BANG] = ACTIONS(2199),
    [anon_sym_else] = ACTIONS(2199),
    [anon_sym_if] = ACTIONS(2199),
    [anon_sym_switch] = ACTIONS(2199),
    [anon_sym_for] = ACTIONS(2199),
    [anon_sym_LPAREN] = ACTIONS(2199),
    [anon_sym_await] = ACTIONS(2199),
    [anon_sym_while] = ACTIONS(2199),
    [anon_sym_do] = ACTIONS(2199),
    [anon_sym_try] = ACTIONS(2199),
    [anon_sym_break] = ACTIONS(2199),
    [anon_sym_continue] = ACTIONS(2199),
    [anon_sym_debugger] = ACTIONS(2199),
    [anon_sym_return] = ACTIONS(2199),
    [anon_sym_throw] = ACTIONS(2199),
    [anon_sym_SEMI] = ACTIONS(2199),
    [anon_sym_yield] = ACTIONS(2199),
    [anon_sym_LBRACK] = ACTIONS(2199),
    [anon_sym_LTtemplate_GT] = ACTIONS(2199),
    [anon_sym_DQUOTE] = ACTIONS(2199),
    [anon_sym_SQUOTE] = ACTIONS(2199),
    [anon_sym_class] = ACTIONS(2199),
    [anon_sym_async] = ACTIONS(2199),
    [anon_sym_function] = ACTIONS(2199),
    [anon_sym_new] = ACTIONS(2199),
    [anon_sym_using] = ACTIONS(2199),
    [anon_sym_PLUS] = ACTIONS(2199),
    [anon_sym_DASH] = ACTIONS(2199),
    [anon_sym_SLASH] = ACTIONS(2199),
    [anon_sym_LT] = ACTIONS(2199),
    [anon_sym_TILDE] = ACTIONS(2199),
    [anon_sym_void] = ACTIONS(2199),
    [anon_sym_delete] = ACTIONS(2199),
    [anon_sym_PLUS_PLUS] = ACTIONS(2199),
    [anon_sym_DASH_DASH] = ACTIONS(2199),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2199),
    [sym_number] = ACTIONS(2199),
    [sym_private_property_identifier] = ACTIONS(2199),
    [sym_this] = ACTIONS(2199),
    [sym_super] = ACTIONS(2199),
    [sym_true] = ACTIONS(2199),
    [sym_false] = ACTIONS(2199),
    [sym_null] = ACTIONS(2199),
    [sym_undefined] = ACTIONS(2199),
    [anon_sym_AT] = ACTIONS(2199),
    [anon_sym_static] = ACTIONS(2199),
    [anon_sym_readonly] = ACTIONS(2199),
    [anon_sym_get] = ACTIONS(2199),
    [anon_sym_set] = ACTIONS(2199),
    [anon_sym_declare] = ACTIONS(2199),
    [anon_sym_public] = ACTIONS(2199),
    [anon_sym_private] = ACTIONS(2199),
    [anon_sym_protected] = ACTIONS(2199),
    [anon_sym_override] = ACTIONS(2199),
    [anon_sym_module] = ACTIONS(2199),
    [anon_sym_any] = ACTIONS(2199),
    [anon_sym_number] = ACTIONS(2199),
    [anon_sym_boolean] = ACTIONS(2199),
    [anon_sym_string] = ACTIONS(2199),
    [anon_sym_symbol] = ACTIONS(2199),
    [anon_sym_object] = ACTIONS(2199),
    [anon_sym_abstract] = ACTIONS(2199),
    [anon_sym_interface] = ACTIONS(2199),
    [anon_sym_enum] = ACTIONS(2199),
    [sym_html_comment] = ACTIONS(5),
  },
  [1336] = {
    [sym_comment] = STATE(1336),
    [ts_builtin_sym_end] = ACTIONS(3438),
    [sym_identifier] = ACTIONS(3252),
    [anon_sym_export] = ACTIONS(3252),
    [anon_sym_type] = ACTIONS(3252),
    [anon_sym_namespace] = ACTIONS(3252),
    [anon_sym_LBRACE] = ACTIONS(3252),
    [anon_sym_RBRACE] = ACTIONS(3252),
    [anon_sym_typeof] = ACTIONS(3252),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_with] = ACTIONS(3252),
    [anon_sym_var] = ACTIONS(3252),
    [anon_sym_let] = ACTIONS(3252),
    [anon_sym_const] = ACTIONS(3252),
    [anon_sym_BANG] = ACTIONS(3252),
    [anon_sym_else] = ACTIONS(3252),
    [anon_sym_if] = ACTIONS(3252),
    [anon_sym_switch] = ACTIONS(3252),
    [anon_sym_for] = ACTIONS(3252),
    [anon_sym_LPAREN] = ACTIONS(3252),
    [anon_sym_await] = ACTIONS(3252),
    [anon_sym_while] = ACTIONS(3252),
    [anon_sym_do] = ACTIONS(3252),
    [anon_sym_try] = ACTIONS(3252),
    [anon_sym_break] = ACTIONS(3252),
    [anon_sym_continue] = ACTIONS(3252),
    [anon_sym_debugger] = ACTIONS(3252),
    [anon_sym_return] = ACTIONS(3252),
    [anon_sym_throw] = ACTIONS(3252),
    [anon_sym_SEMI] = ACTIONS(3252),
    [anon_sym_yield] = ACTIONS(3252),
    [anon_sym_LBRACK] = ACTIONS(3252),
    [anon_sym_LTtemplate_GT] = ACTIONS(3252),
    [anon_sym_DQUOTE] = ACTIONS(3252),
    [anon_sym_SQUOTE] = ACTIONS(3252),
    [anon_sym_class] = ACTIONS(3252),
    [anon_sym_async] = ACTIONS(3252),
    [anon_sym_function] = ACTIONS(3252),
    [anon_sym_new] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3252),
    [anon_sym_PLUS] = ACTIONS(3252),
    [anon_sym_DASH] = ACTIONS(3252),
    [anon_sym_SLASH] = ACTIONS(3252),
    [anon_sym_LT] = ACTIONS(3252),
    [anon_sym_TILDE] = ACTIONS(3252),
    [anon_sym_void] = ACTIONS(3252),
    [anon_sym_delete] = ACTIONS(3252),
    [anon_sym_PLUS_PLUS] = ACTIONS(3252),
    [anon_sym_DASH_DASH] = ACTIONS(3252),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3252),
    [sym_number] = ACTIONS(3252),
    [sym_private_property_identifier] = ACTIONS(3252),
    [sym_this] = ACTIONS(3252),
    [sym_super] = ACTIONS(3252),
    [sym_true] = ACTIONS(3252),
    [sym_false] = ACTIONS(3252),
    [sym_null] = ACTIONS(3252),
    [sym_undefined] = ACTIONS(3252),
    [anon_sym_AT] = ACTIONS(3252),
    [anon_sym_static] = ACTIONS(3252),
    [anon_sym_readonly] = ACTIONS(3252),
    [anon_sym_get] = ACTIONS(3252),
    [anon_sym_set] = ACTIONS(3252),
    [anon_sym_declare] = ACTIONS(3252),
    [anon_sym_public] = ACTIONS(3252),
    [anon_sym_private] = ACTIONS(3252),
    [anon_sym_protected] = ACTIONS(3252),
    [anon_sym_override] = ACTIONS(3252),
    [anon_sym_module] = ACTIONS(3252),
    [anon_sym_any] = ACTIONS(3252),
    [anon_sym_number] = ACTIONS(3252),
    [anon_sym_boolean] = ACTIONS(3252),
    [anon_sym_string] = ACTIONS(3252),
    [anon_sym_symbol] = ACTIONS(3252),
    [anon_sym_object] = ACTIONS(3252),
    [anon_sym_abstract] = ACTIONS(3252),
    [anon_sym_interface] = ACTIONS(3252),
    [anon_sym_enum] = ACTIONS(3252),
    [sym_html_comment] = ACTIONS(5),
  },
  [1337] = {
    [sym_comment] = STATE(1337),
    [ts_builtin_sym_end] = ACTIONS(2205),
    [sym_identifier] = ACTIONS(2203),
    [anon_sym_export] = ACTIONS(2203),
    [anon_sym_type] = ACTIONS(2203),
    [anon_sym_namespace] = ACTIONS(2203),
    [anon_sym_LBRACE] = ACTIONS(2203),
    [anon_sym_RBRACE] = ACTIONS(2203),
    [anon_sym_typeof] = ACTIONS(2203),
    [anon_sym_import] = ACTIONS(2203),
    [anon_sym_with] = ACTIONS(2203),
    [anon_sym_var] = ACTIONS(2203),
    [anon_sym_let] = ACTIONS(2203),
    [anon_sym_const] = ACTIONS(2203),
    [anon_sym_BANG] = ACTIONS(2203),
    [anon_sym_else] = ACTIONS(2203),
    [anon_sym_if] = ACTIONS(2203),
    [anon_sym_switch] = ACTIONS(2203),
    [anon_sym_for] = ACTIONS(2203),
    [anon_sym_LPAREN] = ACTIONS(2203),
    [anon_sym_await] = ACTIONS(2203),
    [anon_sym_while] = ACTIONS(2203),
    [anon_sym_do] = ACTIONS(2203),
    [anon_sym_try] = ACTIONS(2203),
    [anon_sym_break] = ACTIONS(2203),
    [anon_sym_continue] = ACTIONS(2203),
    [anon_sym_debugger] = ACTIONS(2203),
    [anon_sym_return] = ACTIONS(2203),
    [anon_sym_throw] = ACTIONS(2203),
    [anon_sym_SEMI] = ACTIONS(2203),
    [anon_sym_yield] = ACTIONS(2203),
    [anon_sym_LBRACK] = ACTIONS(2203),
    [anon_sym_LTtemplate_GT] = ACTIONS(2203),
    [anon_sym_DQUOTE] = ACTIONS(2203),
    [anon_sym_SQUOTE] = ACTIONS(2203),
    [anon_sym_class] = ACTIONS(2203),
    [anon_sym_async] = ACTIONS(2203),
    [anon_sym_function] = ACTIONS(2203),
    [anon_sym_new] = ACTIONS(2203),
    [anon_sym_using] = ACTIONS(2203),
    [anon_sym_PLUS] = ACTIONS(2203),
    [anon_sym_DASH] = ACTIONS(2203),
    [anon_sym_SLASH] = ACTIONS(2203),
    [anon_sym_LT] = ACTIONS(2203),
    [anon_sym_TILDE] = ACTIONS(2203),
    [anon_sym_void] = ACTIONS(2203),
    [anon_sym_delete] = ACTIONS(2203),
    [anon_sym_PLUS_PLUS] = ACTIONS(2203),
    [anon_sym_DASH_DASH] = ACTIONS(2203),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2203),
    [sym_number] = ACTIONS(2203),
    [sym_private_property_identifier] = ACTIONS(2203),
    [sym_this] = ACTIONS(2203),
    [sym_super] = ACTIONS(2203),
    [sym_true] = ACTIONS(2203),
    [sym_false] = ACTIONS(2203),
    [sym_null] = ACTIONS(2203),
    [sym_undefined] = ACTIONS(2203),
    [anon_sym_AT] = ACTIONS(2203),
    [anon_sym_static] = ACTIONS(2203),
    [anon_sym_readonly] = ACTIONS(2203),
    [anon_sym_get] = ACTIONS(2203),
    [anon_sym_set] = ACTIONS(2203),
    [anon_sym_declare] = ACTIONS(2203),
    [anon_sym_public] = ACTIONS(2203),
    [anon_sym_private] = ACTIONS(2203),
    [anon_sym_protected] = ACTIONS(2203),
    [anon_sym_override] = ACTIONS(2203),
    [anon_sym_module] = ACTIONS(2203),
    [anon_sym_any] = ACTIONS(2203),
    [anon_sym_number] = ACTIONS(2203),
    [anon_sym_boolean] = ACTIONS(2203),
    [anon_sym_string] = ACTIONS(2203),
    [anon_sym_symbol] = ACTIONS(2203),
    [anon_sym_object] = ACTIONS(2203),
    [anon_sym_abstract] = ACTIONS(2203),
    [anon_sym_interface] = ACTIONS(2203),
    [anon_sym_enum] = ACTIONS(2203),
    [sym_html_comment] = ACTIONS(5),
  },
  [1338] = {
    [sym_comment] = STATE(1338),
    [ts_builtin_sym_end] = ACTIONS(3444),
    [sym_identifier] = ACTIONS(3256),
    [anon_sym_export] = ACTIONS(3256),
    [anon_sym_type] = ACTIONS(3256),
    [anon_sym_namespace] = ACTIONS(3256),
    [anon_sym_LBRACE] = ACTIONS(3256),
    [anon_sym_RBRACE] = ACTIONS(3256),
    [anon_sym_typeof] = ACTIONS(3256),
    [anon_sym_import] = ACTIONS(3256),
    [anon_sym_with] = ACTIONS(3256),
    [anon_sym_var] = ACTIONS(3256),
    [anon_sym_let] = ACTIONS(3256),
    [anon_sym_const] = ACTIONS(3256),
    [anon_sym_BANG] = ACTIONS(3256),
    [anon_sym_else] = ACTIONS(3256),
    [anon_sym_if] = ACTIONS(3256),
    [anon_sym_switch] = ACTIONS(3256),
    [anon_sym_for] = ACTIONS(3256),
    [anon_sym_LPAREN] = ACTIONS(3256),
    [anon_sym_await] = ACTIONS(3256),
    [anon_sym_while] = ACTIONS(3256),
    [anon_sym_do] = ACTIONS(3256),
    [anon_sym_try] = ACTIONS(3256),
    [anon_sym_break] = ACTIONS(3256),
    [anon_sym_continue] = ACTIONS(3256),
    [anon_sym_debugger] = ACTIONS(3256),
    [anon_sym_return] = ACTIONS(3256),
    [anon_sym_throw] = ACTIONS(3256),
    [anon_sym_SEMI] = ACTIONS(3256),
    [anon_sym_yield] = ACTIONS(3256),
    [anon_sym_LBRACK] = ACTIONS(3256),
    [anon_sym_LTtemplate_GT] = ACTIONS(3256),
    [anon_sym_DQUOTE] = ACTIONS(3256),
    [anon_sym_SQUOTE] = ACTIONS(3256),
    [anon_sym_class] = ACTIONS(3256),
    [anon_sym_async] = ACTIONS(3256),
    [anon_sym_function] = ACTIONS(3256),
    [anon_sym_new] = ACTIONS(3256),
    [anon_sym_using] = ACTIONS(3256),
    [anon_sym_PLUS] = ACTIONS(3256),
    [anon_sym_DASH] = ACTIONS(3256),
    [anon_sym_SLASH] = ACTIONS(3256),
    [anon_sym_LT] = ACTIONS(3256),
    [anon_sym_TILDE] = ACTIONS(3256),
    [anon_sym_void] = ACTIONS(3256),
    [anon_sym_delete] = ACTIONS(3256),
    [anon_sym_PLUS_PLUS] = ACTIONS(3256),
    [anon_sym_DASH_DASH] = ACTIONS(3256),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3256),
    [sym_number] = ACTIONS(3256),
    [sym_private_property_identifier] = ACTIONS(3256),
    [sym_this] = ACTIONS(3256),
    [sym_super] = ACTIONS(3256),
    [sym_true] = ACTIONS(3256),
    [sym_false] = ACTIONS(3256),
    [sym_null] = ACTIONS(3256),
    [sym_undefined] = ACTIONS(3256),
    [anon_sym_AT] = ACTIONS(3256),
    [anon_sym_static] = ACTIONS(3256),
    [anon_sym_readonly] = ACTIONS(3256),
    [anon_sym_get] = ACTIONS(3256),
    [anon_sym_set] = ACTIONS(3256),
    [anon_sym_declare] = ACTIONS(3256),
    [anon_sym_public] = ACTIONS(3256),
    [anon_sym_private] = ACTIONS(3256),
    [anon_sym_protected] = ACTIONS(3256),
    [anon_sym_override] = ACTIONS(3256),
    [anon_sym_module] = ACTIONS(3256),
    [anon_sym_any] = ACTIONS(3256),
    [anon_sym_number] = ACTIONS(3256),
    [anon_sym_boolean] = ACTIONS(3256),
    [anon_sym_string] = ACTIONS(3256),
    [anon_sym_symbol] = ACTIONS(3256),
    [anon_sym_object] = ACTIONS(3256),
    [anon_sym_abstract] = ACTIONS(3256),
    [anon_sym_interface] = ACTIONS(3256),
    [anon_sym_enum] = ACTIONS(3256),
    [sym_html_comment] = ACTIONS(5),
  },
  [1339] = {
    [sym_comment] = STATE(1339),
    [sym_identifier] = ACTIONS(3270),
    [anon_sym_export] = ACTIONS(3270),
    [anon_sym_default] = ACTIONS(3270),
    [anon_sym_type] = ACTIONS(3270),
    [anon_sym_namespace] = ACTIONS(3270),
    [anon_sym_LBRACE] = ACTIONS(3270),
    [anon_sym_RBRACE] = ACTIONS(3270),
    [anon_sym_typeof] = ACTIONS(3270),
    [anon_sym_import] = ACTIONS(3270),
    [anon_sym_with] = ACTIONS(3270),
    [anon_sym_var] = ACTIONS(3270),
    [anon_sym_let] = ACTIONS(3270),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_BANG] = ACTIONS(3270),
    [anon_sym_if] = ACTIONS(3270),
    [anon_sym_switch] = ACTIONS(3270),
    [anon_sym_for] = ACTIONS(3270),
    [anon_sym_LPAREN] = ACTIONS(3270),
    [anon_sym_await] = ACTIONS(3270),
    [anon_sym_while] = ACTIONS(3270),
    [anon_sym_do] = ACTIONS(3270),
    [anon_sym_try] = ACTIONS(3270),
    [anon_sym_break] = ACTIONS(3270),
    [anon_sym_continue] = ACTIONS(3270),
    [anon_sym_debugger] = ACTIONS(3270),
    [anon_sym_return] = ACTIONS(3270),
    [anon_sym_throw] = ACTIONS(3270),
    [anon_sym_SEMI] = ACTIONS(3270),
    [anon_sym_case] = ACTIONS(3270),
    [anon_sym_yield] = ACTIONS(3270),
    [anon_sym_LBRACK] = ACTIONS(3270),
    [anon_sym_LTtemplate_GT] = ACTIONS(3270),
    [anon_sym_DQUOTE] = ACTIONS(3270),
    [anon_sym_SQUOTE] = ACTIONS(3270),
    [anon_sym_class] = ACTIONS(3270),
    [anon_sym_async] = ACTIONS(3270),
    [anon_sym_function] = ACTIONS(3270),
    [anon_sym_new] = ACTIONS(3270),
    [anon_sym_using] = ACTIONS(3270),
    [anon_sym_PLUS] = ACTIONS(3270),
    [anon_sym_DASH] = ACTIONS(3270),
    [anon_sym_SLASH] = ACTIONS(3270),
    [anon_sym_LT] = ACTIONS(3270),
    [anon_sym_TILDE] = ACTIONS(3270),
    [anon_sym_void] = ACTIONS(3270),
    [anon_sym_delete] = ACTIONS(3270),
    [anon_sym_PLUS_PLUS] = ACTIONS(3270),
    [anon_sym_DASH_DASH] = ACTIONS(3270),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3270),
    [sym_number] = ACTIONS(3270),
    [sym_private_property_identifier] = ACTIONS(3270),
    [sym_this] = ACTIONS(3270),
    [sym_super] = ACTIONS(3270),
    [sym_true] = ACTIONS(3270),
    [sym_false] = ACTIONS(3270),
    [sym_null] = ACTIONS(3270),
    [sym_undefined] = ACTIONS(3270),
    [anon_sym_AT] = ACTIONS(3270),
    [anon_sym_static] = ACTIONS(3270),
    [anon_sym_readonly] = ACTIONS(3270),
    [anon_sym_get] = ACTIONS(3270),
    [anon_sym_set] = ACTIONS(3270),
    [anon_sym_declare] = ACTIONS(3270),
    [anon_sym_public] = ACTIONS(3270),
    [anon_sym_private] = ACTIONS(3270),
    [anon_sym_protected] = ACTIONS(3270),
    [anon_sym_override] = ACTIONS(3270),
    [anon_sym_module] = ACTIONS(3270),
    [anon_sym_any] = ACTIONS(3270),
    [anon_sym_number] = ACTIONS(3270),
    [anon_sym_boolean] = ACTIONS(3270),
    [anon_sym_string] = ACTIONS(3270),
    [anon_sym_symbol] = ACTIONS(3270),
    [anon_sym_object] = ACTIONS(3270),
    [anon_sym_abstract] = ACTIONS(3270),
    [anon_sym_interface] = ACTIONS(3270),
    [anon_sym_enum] = ACTIONS(3270),
    [sym_html_comment] = ACTIONS(5),
  },
  [1340] = {
    [sym_comment] = STATE(1340),
    [ts_builtin_sym_end] = ACTIONS(2079),
    [sym_identifier] = ACTIONS(2077),
    [anon_sym_export] = ACTIONS(2077),
    [anon_sym_type] = ACTIONS(2077),
    [anon_sym_namespace] = ACTIONS(2077),
    [anon_sym_LBRACE] = ACTIONS(2077),
    [anon_sym_RBRACE] = ACTIONS(2077),
    [anon_sym_typeof] = ACTIONS(2077),
    [anon_sym_import] = ACTIONS(2077),
    [anon_sym_with] = ACTIONS(2077),
    [anon_sym_var] = ACTIONS(2077),
    [anon_sym_let] = ACTIONS(2077),
    [anon_sym_const] = ACTIONS(2077),
    [anon_sym_BANG] = ACTIONS(2077),
    [anon_sym_else] = ACTIONS(2077),
    [anon_sym_if] = ACTIONS(2077),
    [anon_sym_switch] = ACTIONS(2077),
    [anon_sym_for] = ACTIONS(2077),
    [anon_sym_LPAREN] = ACTIONS(2077),
    [anon_sym_await] = ACTIONS(2077),
    [anon_sym_while] = ACTIONS(2077),
    [anon_sym_do] = ACTIONS(2077),
    [anon_sym_try] = ACTIONS(2077),
    [anon_sym_break] = ACTIONS(2077),
    [anon_sym_continue] = ACTIONS(2077),
    [anon_sym_debugger] = ACTIONS(2077),
    [anon_sym_return] = ACTIONS(2077),
    [anon_sym_throw] = ACTIONS(2077),
    [anon_sym_SEMI] = ACTIONS(2077),
    [anon_sym_yield] = ACTIONS(2077),
    [anon_sym_LBRACK] = ACTIONS(2077),
    [anon_sym_LTtemplate_GT] = ACTIONS(2077),
    [anon_sym_DQUOTE] = ACTIONS(2077),
    [anon_sym_SQUOTE] = ACTIONS(2077),
    [anon_sym_class] = ACTIONS(2077),
    [anon_sym_async] = ACTIONS(2077),
    [anon_sym_function] = ACTIONS(2077),
    [anon_sym_new] = ACTIONS(2077),
    [anon_sym_using] = ACTIONS(2077),
    [anon_sym_PLUS] = ACTIONS(2077),
    [anon_sym_DASH] = ACTIONS(2077),
    [anon_sym_SLASH] = ACTIONS(2077),
    [anon_sym_LT] = ACTIONS(2077),
    [anon_sym_TILDE] = ACTIONS(2077),
    [anon_sym_void] = ACTIONS(2077),
    [anon_sym_delete] = ACTIONS(2077),
    [anon_sym_PLUS_PLUS] = ACTIONS(2077),
    [anon_sym_DASH_DASH] = ACTIONS(2077),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2077),
    [sym_number] = ACTIONS(2077),
    [sym_private_property_identifier] = ACTIONS(2077),
    [sym_this] = ACTIONS(2077),
    [sym_super] = ACTIONS(2077),
    [sym_true] = ACTIONS(2077),
    [sym_false] = ACTIONS(2077),
    [sym_null] = ACTIONS(2077),
    [sym_undefined] = ACTIONS(2077),
    [anon_sym_AT] = ACTIONS(2077),
    [anon_sym_static] = ACTIONS(2077),
    [anon_sym_readonly] = ACTIONS(2077),
    [anon_sym_get] = ACTIONS(2077),
    [anon_sym_set] = ACTIONS(2077),
    [anon_sym_declare] = ACTIONS(2077),
    [anon_sym_public] = ACTIONS(2077),
    [anon_sym_private] = ACTIONS(2077),
    [anon_sym_protected] = ACTIONS(2077),
    [anon_sym_override] = ACTIONS(2077),
    [anon_sym_module] = ACTIONS(2077),
    [anon_sym_any] = ACTIONS(2077),
    [anon_sym_number] = ACTIONS(2077),
    [anon_sym_boolean] = ACTIONS(2077),
    [anon_sym_string] = ACTIONS(2077),
    [anon_sym_symbol] = ACTIONS(2077),
    [anon_sym_object] = ACTIONS(2077),
    [anon_sym_abstract] = ACTIONS(2077),
    [anon_sym_interface] = ACTIONS(2077),
    [anon_sym_enum] = ACTIONS(2077),
    [sym_html_comment] = ACTIONS(5),
  },
  [1341] = {
    [sym_comment] = STATE(1341),
    [sym_identifier] = ACTIONS(3272),
    [anon_sym_export] = ACTIONS(3272),
    [anon_sym_default] = ACTIONS(3272),
    [anon_sym_type] = ACTIONS(3272),
    [anon_sym_namespace] = ACTIONS(3272),
    [anon_sym_LBRACE] = ACTIONS(3272),
    [anon_sym_RBRACE] = ACTIONS(3272),
    [anon_sym_typeof] = ACTIONS(3272),
    [anon_sym_import] = ACTIONS(3272),
    [anon_sym_with] = ACTIONS(3272),
    [anon_sym_var] = ACTIONS(3272),
    [anon_sym_let] = ACTIONS(3272),
    [anon_sym_const] = ACTIONS(3272),
    [anon_sym_BANG] = ACTIONS(3272),
    [anon_sym_if] = ACTIONS(3272),
    [anon_sym_switch] = ACTIONS(3272),
    [anon_sym_for] = ACTIONS(3272),
    [anon_sym_LPAREN] = ACTIONS(3272),
    [anon_sym_await] = ACTIONS(3272),
    [anon_sym_while] = ACTIONS(3272),
    [anon_sym_do] = ACTIONS(3272),
    [anon_sym_try] = ACTIONS(3272),
    [anon_sym_break] = ACTIONS(3272),
    [anon_sym_continue] = ACTIONS(3272),
    [anon_sym_debugger] = ACTIONS(3272),
    [anon_sym_return] = ACTIONS(3272),
    [anon_sym_throw] = ACTIONS(3272),
    [anon_sym_SEMI] = ACTIONS(3272),
    [anon_sym_case] = ACTIONS(3272),
    [anon_sym_yield] = ACTIONS(3272),
    [anon_sym_LBRACK] = ACTIONS(3272),
    [anon_sym_LTtemplate_GT] = ACTIONS(3272),
    [anon_sym_DQUOTE] = ACTIONS(3272),
    [anon_sym_SQUOTE] = ACTIONS(3272),
    [anon_sym_class] = ACTIONS(3272),
    [anon_sym_async] = ACTIONS(3272),
    [anon_sym_function] = ACTIONS(3272),
    [anon_sym_new] = ACTIONS(3272),
    [anon_sym_using] = ACTIONS(3272),
    [anon_sym_PLUS] = ACTIONS(3272),
    [anon_sym_DASH] = ACTIONS(3272),
    [anon_sym_SLASH] = ACTIONS(3272),
    [anon_sym_LT] = ACTIONS(3272),
    [anon_sym_TILDE] = ACTIONS(3272),
    [anon_sym_void] = ACTIONS(3272),
    [anon_sym_delete] = ACTIONS(3272),
    [anon_sym_PLUS_PLUS] = ACTIONS(3272),
    [anon_sym_DASH_DASH] = ACTIONS(3272),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3272),
    [sym_number] = ACTIONS(3272),
    [sym_private_property_identifier] = ACTIONS(3272),
    [sym_this] = ACTIONS(3272),
    [sym_super] = ACTIONS(3272),
    [sym_true] = ACTIONS(3272),
    [sym_false] = ACTIONS(3272),
    [sym_null] = ACTIONS(3272),
    [sym_undefined] = ACTIONS(3272),
    [anon_sym_AT] = ACTIONS(3272),
    [anon_sym_static] = ACTIONS(3272),
    [anon_sym_readonly] = ACTIONS(3272),
    [anon_sym_get] = ACTIONS(3272),
    [anon_sym_set] = ACTIONS(3272),
    [anon_sym_declare] = ACTIONS(3272),
    [anon_sym_public] = ACTIONS(3272),
    [anon_sym_private] = ACTIONS(3272),
    [anon_sym_protected] = ACTIONS(3272),
    [anon_sym_override] = ACTIONS(3272),
    [anon_sym_module] = ACTIONS(3272),
    [anon_sym_any] = ACTIONS(3272),
    [anon_sym_number] = ACTIONS(3272),
    [anon_sym_boolean] = ACTIONS(3272),
    [anon_sym_string] = ACTIONS(3272),
    [anon_sym_symbol] = ACTIONS(3272),
    [anon_sym_object] = ACTIONS(3272),
    [anon_sym_abstract] = ACTIONS(3272),
    [anon_sym_interface] = ACTIONS(3272),
    [anon_sym_enum] = ACTIONS(3272),
    [sym_html_comment] = ACTIONS(5),
  },
  [1342] = {
    [sym_comment] = STATE(1342),
    [ts_builtin_sym_end] = ACTIONS(2223),
    [sym_identifier] = ACTIONS(2221),
    [anon_sym_export] = ACTIONS(2221),
    [anon_sym_type] = ACTIONS(2221),
    [anon_sym_namespace] = ACTIONS(2221),
    [anon_sym_LBRACE] = ACTIONS(2221),
    [anon_sym_RBRACE] = ACTIONS(2221),
    [anon_sym_typeof] = ACTIONS(2221),
    [anon_sym_import] = ACTIONS(2221),
    [anon_sym_with] = ACTIONS(2221),
    [anon_sym_var] = ACTIONS(2221),
    [anon_sym_let] = ACTIONS(2221),
    [anon_sym_const] = ACTIONS(2221),
    [anon_sym_BANG] = ACTIONS(2221),
    [anon_sym_else] = ACTIONS(2221),
    [anon_sym_if] = ACTIONS(2221),
    [anon_sym_switch] = ACTIONS(2221),
    [anon_sym_for] = ACTIONS(2221),
    [anon_sym_LPAREN] = ACTIONS(2221),
    [anon_sym_await] = ACTIONS(2221),
    [anon_sym_while] = ACTIONS(2221),
    [anon_sym_do] = ACTIONS(2221),
    [anon_sym_try] = ACTIONS(2221),
    [anon_sym_break] = ACTIONS(2221),
    [anon_sym_continue] = ACTIONS(2221),
    [anon_sym_debugger] = ACTIONS(2221),
    [anon_sym_return] = ACTIONS(2221),
    [anon_sym_throw] = ACTIONS(2221),
    [anon_sym_SEMI] = ACTIONS(2221),
    [anon_sym_yield] = ACTIONS(2221),
    [anon_sym_LBRACK] = ACTIONS(2221),
    [anon_sym_LTtemplate_GT] = ACTIONS(2221),
    [anon_sym_DQUOTE] = ACTIONS(2221),
    [anon_sym_SQUOTE] = ACTIONS(2221),
    [anon_sym_class] = ACTIONS(2221),
    [anon_sym_async] = ACTIONS(2221),
    [anon_sym_function] = ACTIONS(2221),
    [anon_sym_new] = ACTIONS(2221),
    [anon_sym_using] = ACTIONS(2221),
    [anon_sym_PLUS] = ACTIONS(2221),
    [anon_sym_DASH] = ACTIONS(2221),
    [anon_sym_SLASH] = ACTIONS(2221),
    [anon_sym_LT] = ACTIONS(2221),
    [anon_sym_TILDE] = ACTIONS(2221),
    [anon_sym_void] = ACTIONS(2221),
    [anon_sym_delete] = ACTIONS(2221),
    [anon_sym_PLUS_PLUS] = ACTIONS(2221),
    [anon_sym_DASH_DASH] = ACTIONS(2221),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2221),
    [sym_number] = ACTIONS(2221),
    [sym_private_property_identifier] = ACTIONS(2221),
    [sym_this] = ACTIONS(2221),
    [sym_super] = ACTIONS(2221),
    [sym_true] = ACTIONS(2221),
    [sym_false] = ACTIONS(2221),
    [sym_null] = ACTIONS(2221),
    [sym_undefined] = ACTIONS(2221),
    [anon_sym_AT] = ACTIONS(2221),
    [anon_sym_static] = ACTIONS(2221),
    [anon_sym_readonly] = ACTIONS(2221),
    [anon_sym_get] = ACTIONS(2221),
    [anon_sym_set] = ACTIONS(2221),
    [anon_sym_declare] = ACTIONS(2221),
    [anon_sym_public] = ACTIONS(2221),
    [anon_sym_private] = ACTIONS(2221),
    [anon_sym_protected] = ACTIONS(2221),
    [anon_sym_override] = ACTIONS(2221),
    [anon_sym_module] = ACTIONS(2221),
    [anon_sym_any] = ACTIONS(2221),
    [anon_sym_number] = ACTIONS(2221),
    [anon_sym_boolean] = ACTIONS(2221),
    [anon_sym_string] = ACTIONS(2221),
    [anon_sym_symbol] = ACTIONS(2221),
    [anon_sym_object] = ACTIONS(2221),
    [anon_sym_abstract] = ACTIONS(2221),
    [anon_sym_interface] = ACTIONS(2221),
    [anon_sym_enum] = ACTIONS(2221),
    [sym_html_comment] = ACTIONS(5),
  },
  [1343] = {
    [sym_comment] = STATE(1343),
    [ts_builtin_sym_end] = ACTIONS(3446),
    [sym_identifier] = ACTIONS(3254),
    [anon_sym_export] = ACTIONS(3254),
    [anon_sym_type] = ACTIONS(3254),
    [anon_sym_namespace] = ACTIONS(3254),
    [anon_sym_LBRACE] = ACTIONS(3254),
    [anon_sym_RBRACE] = ACTIONS(3254),
    [anon_sym_typeof] = ACTIONS(3254),
    [anon_sym_import] = ACTIONS(3254),
    [anon_sym_with] = ACTIONS(3254),
    [anon_sym_var] = ACTIONS(3254),
    [anon_sym_let] = ACTIONS(3254),
    [anon_sym_const] = ACTIONS(3254),
    [anon_sym_BANG] = ACTIONS(3254),
    [anon_sym_else] = ACTIONS(3254),
    [anon_sym_if] = ACTIONS(3254),
    [anon_sym_switch] = ACTIONS(3254),
    [anon_sym_for] = ACTIONS(3254),
    [anon_sym_LPAREN] = ACTIONS(3254),
    [anon_sym_await] = ACTIONS(3254),
    [anon_sym_while] = ACTIONS(3254),
    [anon_sym_do] = ACTIONS(3254),
    [anon_sym_try] = ACTIONS(3254),
    [anon_sym_break] = ACTIONS(3254),
    [anon_sym_continue] = ACTIONS(3254),
    [anon_sym_debugger] = ACTIONS(3254),
    [anon_sym_return] = ACTIONS(3254),
    [anon_sym_throw] = ACTIONS(3254),
    [anon_sym_SEMI] = ACTIONS(3254),
    [anon_sym_yield] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(3254),
    [anon_sym_LTtemplate_GT] = ACTIONS(3254),
    [anon_sym_DQUOTE] = ACTIONS(3254),
    [anon_sym_SQUOTE] = ACTIONS(3254),
    [anon_sym_class] = ACTIONS(3254),
    [anon_sym_async] = ACTIONS(3254),
    [anon_sym_function] = ACTIONS(3254),
    [anon_sym_new] = ACTIONS(3254),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_PLUS] = ACTIONS(3254),
    [anon_sym_DASH] = ACTIONS(3254),
    [anon_sym_SLASH] = ACTIONS(3254),
    [anon_sym_LT] = ACTIONS(3254),
    [anon_sym_TILDE] = ACTIONS(3254),
    [anon_sym_void] = ACTIONS(3254),
    [anon_sym_delete] = ACTIONS(3254),
    [anon_sym_PLUS_PLUS] = ACTIONS(3254),
    [anon_sym_DASH_DASH] = ACTIONS(3254),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3254),
    [sym_number] = ACTIONS(3254),
    [sym_private_property_identifier] = ACTIONS(3254),
    [sym_this] = ACTIONS(3254),
    [sym_super] = ACTIONS(3254),
    [sym_true] = ACTIONS(3254),
    [sym_false] = ACTIONS(3254),
    [sym_null] = ACTIONS(3254),
    [sym_undefined] = ACTIONS(3254),
    [anon_sym_AT] = ACTIONS(3254),
    [anon_sym_static] = ACTIONS(3254),
    [anon_sym_readonly] = ACTIONS(3254),
    [anon_sym_get] = ACTIONS(3254),
    [anon_sym_set] = ACTIONS(3254),
    [anon_sym_declare] = ACTIONS(3254),
    [anon_sym_public] = ACTIONS(3254),
    [anon_sym_private] = ACTIONS(3254),
    [anon_sym_protected] = ACTIONS(3254),
    [anon_sym_override] = ACTIONS(3254),
    [anon_sym_module] = ACTIONS(3254),
    [anon_sym_any] = ACTIONS(3254),
    [anon_sym_number] = ACTIONS(3254),
    [anon_sym_boolean] = ACTIONS(3254),
    [anon_sym_string] = ACTIONS(3254),
    [anon_sym_symbol] = ACTIONS(3254),
    [anon_sym_object] = ACTIONS(3254),
    [anon_sym_abstract] = ACTIONS(3254),
    [anon_sym_interface] = ACTIONS(3254),
    [anon_sym_enum] = ACTIONS(3254),
    [sym_html_comment] = ACTIONS(5),
  },
  [1344] = {
    [sym_comment] = STATE(1344),
    [sym_identifier] = ACTIONS(3192),
    [anon_sym_export] = ACTIONS(3192),
    [anon_sym_default] = ACTIONS(3192),
    [anon_sym_type] = ACTIONS(3192),
    [anon_sym_namespace] = ACTIONS(3192),
    [anon_sym_LBRACE] = ACTIONS(3192),
    [anon_sym_RBRACE] = ACTIONS(3192),
    [anon_sym_typeof] = ACTIONS(3192),
    [anon_sym_import] = ACTIONS(3192),
    [anon_sym_with] = ACTIONS(3192),
    [anon_sym_var] = ACTIONS(3192),
    [anon_sym_let] = ACTIONS(3192),
    [anon_sym_const] = ACTIONS(3192),
    [anon_sym_BANG] = ACTIONS(3192),
    [anon_sym_if] = ACTIONS(3192),
    [anon_sym_switch] = ACTIONS(3192),
    [anon_sym_for] = ACTIONS(3192),
    [anon_sym_LPAREN] = ACTIONS(3192),
    [anon_sym_await] = ACTIONS(3192),
    [anon_sym_while] = ACTIONS(3192),
    [anon_sym_do] = ACTIONS(3192),
    [anon_sym_try] = ACTIONS(3192),
    [anon_sym_break] = ACTIONS(3192),
    [anon_sym_continue] = ACTIONS(3192),
    [anon_sym_debugger] = ACTIONS(3192),
    [anon_sym_return] = ACTIONS(3192),
    [anon_sym_throw] = ACTIONS(3192),
    [anon_sym_SEMI] = ACTIONS(3192),
    [anon_sym_case] = ACTIONS(3192),
    [anon_sym_yield] = ACTIONS(3192),
    [anon_sym_LBRACK] = ACTIONS(3192),
    [anon_sym_LTtemplate_GT] = ACTIONS(3192),
    [anon_sym_DQUOTE] = ACTIONS(3192),
    [anon_sym_SQUOTE] = ACTIONS(3192),
    [anon_sym_class] = ACTIONS(3192),
    [anon_sym_async] = ACTIONS(3192),
    [anon_sym_function] = ACTIONS(3192),
    [anon_sym_new] = ACTIONS(3192),
    [anon_sym_using] = ACTIONS(3192),
    [anon_sym_PLUS] = ACTIONS(3192),
    [anon_sym_DASH] = ACTIONS(3192),
    [anon_sym_SLASH] = ACTIONS(3192),
    [anon_sym_LT] = ACTIONS(3192),
    [anon_sym_TILDE] = ACTIONS(3192),
    [anon_sym_void] = ACTIONS(3192),
    [anon_sym_delete] = ACTIONS(3192),
    [anon_sym_PLUS_PLUS] = ACTIONS(3192),
    [anon_sym_DASH_DASH] = ACTIONS(3192),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3192),
    [sym_number] = ACTIONS(3192),
    [sym_private_property_identifier] = ACTIONS(3192),
    [sym_this] = ACTIONS(3192),
    [sym_super] = ACTIONS(3192),
    [sym_true] = ACTIONS(3192),
    [sym_false] = ACTIONS(3192),
    [sym_null] = ACTIONS(3192),
    [sym_undefined] = ACTIONS(3192),
    [anon_sym_AT] = ACTIONS(3192),
    [anon_sym_static] = ACTIONS(3192),
    [anon_sym_readonly] = ACTIONS(3192),
    [anon_sym_get] = ACTIONS(3192),
    [anon_sym_set] = ACTIONS(3192),
    [anon_sym_declare] = ACTIONS(3192),
    [anon_sym_public] = ACTIONS(3192),
    [anon_sym_private] = ACTIONS(3192),
    [anon_sym_protected] = ACTIONS(3192),
    [anon_sym_override] = ACTIONS(3192),
    [anon_sym_module] = ACTIONS(3192),
    [anon_sym_any] = ACTIONS(3192),
    [anon_sym_number] = ACTIONS(3192),
    [anon_sym_boolean] = ACTIONS(3192),
    [anon_sym_string] = ACTIONS(3192),
    [anon_sym_symbol] = ACTIONS(3192),
    [anon_sym_object] = ACTIONS(3192),
    [anon_sym_abstract] = ACTIONS(3192),
    [anon_sym_interface] = ACTIONS(3192),
    [anon_sym_enum] = ACTIONS(3192),
    [sym_html_comment] = ACTIONS(5),
  },
  [1345] = {
    [sym_comment] = STATE(1345),
    [sym_identifier] = ACTIONS(3196),
    [anon_sym_export] = ACTIONS(3196),
    [anon_sym_default] = ACTIONS(3196),
    [anon_sym_type] = ACTIONS(3196),
    [anon_sym_namespace] = ACTIONS(3196),
    [anon_sym_LBRACE] = ACTIONS(3196),
    [anon_sym_RBRACE] = ACTIONS(3196),
    [anon_sym_typeof] = ACTIONS(3196),
    [anon_sym_import] = ACTIONS(3196),
    [anon_sym_with] = ACTIONS(3196),
    [anon_sym_var] = ACTIONS(3196),
    [anon_sym_let] = ACTIONS(3196),
    [anon_sym_const] = ACTIONS(3196),
    [anon_sym_BANG] = ACTIONS(3196),
    [anon_sym_if] = ACTIONS(3196),
    [anon_sym_switch] = ACTIONS(3196),
    [anon_sym_for] = ACTIONS(3196),
    [anon_sym_LPAREN] = ACTIONS(3196),
    [anon_sym_await] = ACTIONS(3196),
    [anon_sym_while] = ACTIONS(3196),
    [anon_sym_do] = ACTIONS(3196),
    [anon_sym_try] = ACTIONS(3196),
    [anon_sym_break] = ACTIONS(3196),
    [anon_sym_continue] = ACTIONS(3196),
    [anon_sym_debugger] = ACTIONS(3196),
    [anon_sym_return] = ACTIONS(3196),
    [anon_sym_throw] = ACTIONS(3196),
    [anon_sym_SEMI] = ACTIONS(3196),
    [anon_sym_case] = ACTIONS(3196),
    [anon_sym_yield] = ACTIONS(3196),
    [anon_sym_LBRACK] = ACTIONS(3196),
    [anon_sym_LTtemplate_GT] = ACTIONS(3196),
    [anon_sym_DQUOTE] = ACTIONS(3196),
    [anon_sym_SQUOTE] = ACTIONS(3196),
    [anon_sym_class] = ACTIONS(3196),
    [anon_sym_async] = ACTIONS(3196),
    [anon_sym_function] = ACTIONS(3196),
    [anon_sym_new] = ACTIONS(3196),
    [anon_sym_using] = ACTIONS(3196),
    [anon_sym_PLUS] = ACTIONS(3196),
    [anon_sym_DASH] = ACTIONS(3196),
    [anon_sym_SLASH] = ACTIONS(3196),
    [anon_sym_LT] = ACTIONS(3196),
    [anon_sym_TILDE] = ACTIONS(3196),
    [anon_sym_void] = ACTIONS(3196),
    [anon_sym_delete] = ACTIONS(3196),
    [anon_sym_PLUS_PLUS] = ACTIONS(3196),
    [anon_sym_DASH_DASH] = ACTIONS(3196),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3196),
    [sym_number] = ACTIONS(3196),
    [sym_private_property_identifier] = ACTIONS(3196),
    [sym_this] = ACTIONS(3196),
    [sym_super] = ACTIONS(3196),
    [sym_true] = ACTIONS(3196),
    [sym_false] = ACTIONS(3196),
    [sym_null] = ACTIONS(3196),
    [sym_undefined] = ACTIONS(3196),
    [anon_sym_AT] = ACTIONS(3196),
    [anon_sym_static] = ACTIONS(3196),
    [anon_sym_readonly] = ACTIONS(3196),
    [anon_sym_get] = ACTIONS(3196),
    [anon_sym_set] = ACTIONS(3196),
    [anon_sym_declare] = ACTIONS(3196),
    [anon_sym_public] = ACTIONS(3196),
    [anon_sym_private] = ACTIONS(3196),
    [anon_sym_protected] = ACTIONS(3196),
    [anon_sym_override] = ACTIONS(3196),
    [anon_sym_module] = ACTIONS(3196),
    [anon_sym_any] = ACTIONS(3196),
    [anon_sym_number] = ACTIONS(3196),
    [anon_sym_boolean] = ACTIONS(3196),
    [anon_sym_string] = ACTIONS(3196),
    [anon_sym_symbol] = ACTIONS(3196),
    [anon_sym_object] = ACTIONS(3196),
    [anon_sym_abstract] = ACTIONS(3196),
    [anon_sym_interface] = ACTIONS(3196),
    [anon_sym_enum] = ACTIONS(3196),
    [sym_html_comment] = ACTIONS(5),
  },
  [1346] = {
    [sym_comment] = STATE(1346),
    [sym_identifier] = ACTIONS(3172),
    [anon_sym_export] = ACTIONS(3172),
    [anon_sym_default] = ACTIONS(3172),
    [anon_sym_type] = ACTIONS(3172),
    [anon_sym_namespace] = ACTIONS(3172),
    [anon_sym_LBRACE] = ACTIONS(3172),
    [anon_sym_RBRACE] = ACTIONS(3172),
    [anon_sym_typeof] = ACTIONS(3172),
    [anon_sym_import] = ACTIONS(3172),
    [anon_sym_with] = ACTIONS(3172),
    [anon_sym_var] = ACTIONS(3172),
    [anon_sym_let] = ACTIONS(3172),
    [anon_sym_const] = ACTIONS(3172),
    [anon_sym_BANG] = ACTIONS(3172),
    [anon_sym_if] = ACTIONS(3172),
    [anon_sym_switch] = ACTIONS(3172),
    [anon_sym_for] = ACTIONS(3172),
    [anon_sym_LPAREN] = ACTIONS(3172),
    [anon_sym_await] = ACTIONS(3172),
    [anon_sym_while] = ACTIONS(3172),
    [anon_sym_do] = ACTIONS(3172),
    [anon_sym_try] = ACTIONS(3172),
    [anon_sym_break] = ACTIONS(3172),
    [anon_sym_continue] = ACTIONS(3172),
    [anon_sym_debugger] = ACTIONS(3172),
    [anon_sym_return] = ACTIONS(3172),
    [anon_sym_throw] = ACTIONS(3172),
    [anon_sym_SEMI] = ACTIONS(3172),
    [anon_sym_case] = ACTIONS(3172),
    [anon_sym_yield] = ACTIONS(3172),
    [anon_sym_LBRACK] = ACTIONS(3172),
    [anon_sym_LTtemplate_GT] = ACTIONS(3172),
    [anon_sym_DQUOTE] = ACTIONS(3172),
    [anon_sym_SQUOTE] = ACTIONS(3172),
    [anon_sym_class] = ACTIONS(3172),
    [anon_sym_async] = ACTIONS(3172),
    [anon_sym_function] = ACTIONS(3172),
    [anon_sym_new] = ACTIONS(3172),
    [anon_sym_using] = ACTIONS(3172),
    [anon_sym_PLUS] = ACTIONS(3172),
    [anon_sym_DASH] = ACTIONS(3172),
    [anon_sym_SLASH] = ACTIONS(3172),
    [anon_sym_LT] = ACTIONS(3172),
    [anon_sym_TILDE] = ACTIONS(3172),
    [anon_sym_void] = ACTIONS(3172),
    [anon_sym_delete] = ACTIONS(3172),
    [anon_sym_PLUS_PLUS] = ACTIONS(3172),
    [anon_sym_DASH_DASH] = ACTIONS(3172),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3172),
    [sym_number] = ACTIONS(3172),
    [sym_private_property_identifier] = ACTIONS(3172),
    [sym_this] = ACTIONS(3172),
    [sym_super] = ACTIONS(3172),
    [sym_true] = ACTIONS(3172),
    [sym_false] = ACTIONS(3172),
    [sym_null] = ACTIONS(3172),
    [sym_undefined] = ACTIONS(3172),
    [anon_sym_AT] = ACTIONS(3172),
    [anon_sym_static] = ACTIONS(3172),
    [anon_sym_readonly] = ACTIONS(3172),
    [anon_sym_get] = ACTIONS(3172),
    [anon_sym_set] = ACTIONS(3172),
    [anon_sym_declare] = ACTIONS(3172),
    [anon_sym_public] = ACTIONS(3172),
    [anon_sym_private] = ACTIONS(3172),
    [anon_sym_protected] = ACTIONS(3172),
    [anon_sym_override] = ACTIONS(3172),
    [anon_sym_module] = ACTIONS(3172),
    [anon_sym_any] = ACTIONS(3172),
    [anon_sym_number] = ACTIONS(3172),
    [anon_sym_boolean] = ACTIONS(3172),
    [anon_sym_string] = ACTIONS(3172),
    [anon_sym_symbol] = ACTIONS(3172),
    [anon_sym_object] = ACTIONS(3172),
    [anon_sym_abstract] = ACTIONS(3172),
    [anon_sym_interface] = ACTIONS(3172),
    [anon_sym_enum] = ACTIONS(3172),
    [sym_html_comment] = ACTIONS(5),
  },
  [1347] = {
    [sym_comment] = STATE(1347),
    [ts_builtin_sym_end] = ACTIONS(3438),
    [sym_identifier] = ACTIONS(3252),
    [anon_sym_export] = ACTIONS(3252),
    [anon_sym_type] = ACTIONS(3252),
    [anon_sym_namespace] = ACTIONS(3252),
    [anon_sym_LBRACE] = ACTIONS(3252),
    [anon_sym_RBRACE] = ACTIONS(3252),
    [anon_sym_typeof] = ACTIONS(3252),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_with] = ACTIONS(3252),
    [anon_sym_var] = ACTIONS(3252),
    [anon_sym_let] = ACTIONS(3252),
    [anon_sym_const] = ACTIONS(3252),
    [anon_sym_BANG] = ACTIONS(3252),
    [anon_sym_else] = ACTIONS(3252),
    [anon_sym_if] = ACTIONS(3252),
    [anon_sym_switch] = ACTIONS(3252),
    [anon_sym_for] = ACTIONS(3252),
    [anon_sym_LPAREN] = ACTIONS(3252),
    [anon_sym_await] = ACTIONS(3252),
    [anon_sym_while] = ACTIONS(3252),
    [anon_sym_do] = ACTIONS(3252),
    [anon_sym_try] = ACTIONS(3252),
    [anon_sym_break] = ACTIONS(3252),
    [anon_sym_continue] = ACTIONS(3252),
    [anon_sym_debugger] = ACTIONS(3252),
    [anon_sym_return] = ACTIONS(3252),
    [anon_sym_throw] = ACTIONS(3252),
    [anon_sym_SEMI] = ACTIONS(3252),
    [anon_sym_yield] = ACTIONS(3252),
    [anon_sym_LBRACK] = ACTIONS(3252),
    [anon_sym_LTtemplate_GT] = ACTIONS(3252),
    [anon_sym_DQUOTE] = ACTIONS(3252),
    [anon_sym_SQUOTE] = ACTIONS(3252),
    [anon_sym_class] = ACTIONS(3252),
    [anon_sym_async] = ACTIONS(3252),
    [anon_sym_function] = ACTIONS(3252),
    [anon_sym_new] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3252),
    [anon_sym_PLUS] = ACTIONS(3252),
    [anon_sym_DASH] = ACTIONS(3252),
    [anon_sym_SLASH] = ACTIONS(3252),
    [anon_sym_LT] = ACTIONS(3252),
    [anon_sym_TILDE] = ACTIONS(3252),
    [anon_sym_void] = ACTIONS(3252),
    [anon_sym_delete] = ACTIONS(3252),
    [anon_sym_PLUS_PLUS] = ACTIONS(3252),
    [anon_sym_DASH_DASH] = ACTIONS(3252),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3252),
    [sym_number] = ACTIONS(3252),
    [sym_private_property_identifier] = ACTIONS(3252),
    [sym_this] = ACTIONS(3252),
    [sym_super] = ACTIONS(3252),
    [sym_true] = ACTIONS(3252),
    [sym_false] = ACTIONS(3252),
    [sym_null] = ACTIONS(3252),
    [sym_undefined] = ACTIONS(3252),
    [anon_sym_AT] = ACTIONS(3252),
    [anon_sym_static] = ACTIONS(3252),
    [anon_sym_readonly] = ACTIONS(3252),
    [anon_sym_get] = ACTIONS(3252),
    [anon_sym_set] = ACTIONS(3252),
    [anon_sym_declare] = ACTIONS(3252),
    [anon_sym_public] = ACTIONS(3252),
    [anon_sym_private] = ACTIONS(3252),
    [anon_sym_protected] = ACTIONS(3252),
    [anon_sym_override] = ACTIONS(3252),
    [anon_sym_module] = ACTIONS(3252),
    [anon_sym_any] = ACTIONS(3252),
    [anon_sym_number] = ACTIONS(3252),
    [anon_sym_boolean] = ACTIONS(3252),
    [anon_sym_string] = ACTIONS(3252),
    [anon_sym_symbol] = ACTIONS(3252),
    [anon_sym_object] = ACTIONS(3252),
    [anon_sym_abstract] = ACTIONS(3252),
    [anon_sym_interface] = ACTIONS(3252),
    [anon_sym_enum] = ACTIONS(3252),
    [sym_html_comment] = ACTIONS(5),
  },
  [1348] = {
    [sym_comment] = STATE(1348),
    [ts_builtin_sym_end] = ACTIONS(3438),
    [sym_identifier] = ACTIONS(3252),
    [anon_sym_export] = ACTIONS(3252),
    [anon_sym_type] = ACTIONS(3252),
    [anon_sym_namespace] = ACTIONS(3252),
    [anon_sym_LBRACE] = ACTIONS(3252),
    [anon_sym_RBRACE] = ACTIONS(3252),
    [anon_sym_typeof] = ACTIONS(3252),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_with] = ACTIONS(3252),
    [anon_sym_var] = ACTIONS(3252),
    [anon_sym_let] = ACTIONS(3252),
    [anon_sym_const] = ACTIONS(3252),
    [anon_sym_BANG] = ACTIONS(3252),
    [anon_sym_else] = ACTIONS(3252),
    [anon_sym_if] = ACTIONS(3252),
    [anon_sym_switch] = ACTIONS(3252),
    [anon_sym_for] = ACTIONS(3252),
    [anon_sym_LPAREN] = ACTIONS(3252),
    [anon_sym_await] = ACTIONS(3252),
    [anon_sym_while] = ACTIONS(3252),
    [anon_sym_do] = ACTIONS(3252),
    [anon_sym_try] = ACTIONS(3252),
    [anon_sym_break] = ACTIONS(3252),
    [anon_sym_continue] = ACTIONS(3252),
    [anon_sym_debugger] = ACTIONS(3252),
    [anon_sym_return] = ACTIONS(3252),
    [anon_sym_throw] = ACTIONS(3252),
    [anon_sym_SEMI] = ACTIONS(3252),
    [anon_sym_yield] = ACTIONS(3252),
    [anon_sym_LBRACK] = ACTIONS(3252),
    [anon_sym_LTtemplate_GT] = ACTIONS(3252),
    [anon_sym_DQUOTE] = ACTIONS(3252),
    [anon_sym_SQUOTE] = ACTIONS(3252),
    [anon_sym_class] = ACTIONS(3252),
    [anon_sym_async] = ACTIONS(3252),
    [anon_sym_function] = ACTIONS(3252),
    [anon_sym_new] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3252),
    [anon_sym_PLUS] = ACTIONS(3252),
    [anon_sym_DASH] = ACTIONS(3252),
    [anon_sym_SLASH] = ACTIONS(3252),
    [anon_sym_LT] = ACTIONS(3252),
    [anon_sym_TILDE] = ACTIONS(3252),
    [anon_sym_void] = ACTIONS(3252),
    [anon_sym_delete] = ACTIONS(3252),
    [anon_sym_PLUS_PLUS] = ACTIONS(3252),
    [anon_sym_DASH_DASH] = ACTIONS(3252),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3252),
    [sym_number] = ACTIONS(3252),
    [sym_private_property_identifier] = ACTIONS(3252),
    [sym_this] = ACTIONS(3252),
    [sym_super] = ACTIONS(3252),
    [sym_true] = ACTIONS(3252),
    [sym_false] = ACTIONS(3252),
    [sym_null] = ACTIONS(3252),
    [sym_undefined] = ACTIONS(3252),
    [anon_sym_AT] = ACTIONS(3252),
    [anon_sym_static] = ACTIONS(3252),
    [anon_sym_readonly] = ACTIONS(3252),
    [anon_sym_get] = ACTIONS(3252),
    [anon_sym_set] = ACTIONS(3252),
    [anon_sym_declare] = ACTIONS(3252),
    [anon_sym_public] = ACTIONS(3252),
    [anon_sym_private] = ACTIONS(3252),
    [anon_sym_protected] = ACTIONS(3252),
    [anon_sym_override] = ACTIONS(3252),
    [anon_sym_module] = ACTIONS(3252),
    [anon_sym_any] = ACTIONS(3252),
    [anon_sym_number] = ACTIONS(3252),
    [anon_sym_boolean] = ACTIONS(3252),
    [anon_sym_string] = ACTIONS(3252),
    [anon_sym_symbol] = ACTIONS(3252),
    [anon_sym_object] = ACTIONS(3252),
    [anon_sym_abstract] = ACTIONS(3252),
    [anon_sym_interface] = ACTIONS(3252),
    [anon_sym_enum] = ACTIONS(3252),
    [sym_html_comment] = ACTIONS(5),
  },
  [1349] = {
    [sym_comment] = STATE(1349),
    [ts_builtin_sym_end] = ACTIONS(3314),
    [sym_identifier] = ACTIONS(3088),
    [anon_sym_export] = ACTIONS(3088),
    [anon_sym_type] = ACTIONS(3088),
    [anon_sym_namespace] = ACTIONS(3088),
    [anon_sym_LBRACE] = ACTIONS(3088),
    [anon_sym_RBRACE] = ACTIONS(3088),
    [anon_sym_typeof] = ACTIONS(3088),
    [anon_sym_import] = ACTIONS(3088),
    [anon_sym_with] = ACTIONS(3088),
    [anon_sym_var] = ACTIONS(3088),
    [anon_sym_let] = ACTIONS(3088),
    [anon_sym_const] = ACTIONS(3088),
    [anon_sym_BANG] = ACTIONS(3088),
    [anon_sym_if] = ACTIONS(3088),
    [anon_sym_switch] = ACTIONS(3088),
    [anon_sym_for] = ACTIONS(3088),
    [anon_sym_LPAREN] = ACTIONS(3088),
    [anon_sym_await] = ACTIONS(3088),
    [anon_sym_while] = ACTIONS(3088),
    [anon_sym_do] = ACTIONS(3088),
    [anon_sym_try] = ACTIONS(3088),
    [anon_sym_break] = ACTIONS(3088),
    [anon_sym_continue] = ACTIONS(3088),
    [anon_sym_debugger] = ACTIONS(3088),
    [anon_sym_return] = ACTIONS(3088),
    [anon_sym_throw] = ACTIONS(3088),
    [anon_sym_SEMI] = ACTIONS(3088),
    [anon_sym_finally] = ACTIONS(3088),
    [anon_sym_yield] = ACTIONS(3088),
    [anon_sym_LBRACK] = ACTIONS(3088),
    [anon_sym_LTtemplate_GT] = ACTIONS(3088),
    [anon_sym_DQUOTE] = ACTIONS(3088),
    [anon_sym_SQUOTE] = ACTIONS(3088),
    [anon_sym_class] = ACTIONS(3088),
    [anon_sym_async] = ACTIONS(3088),
    [anon_sym_function] = ACTIONS(3088),
    [anon_sym_new] = ACTIONS(3088),
    [anon_sym_using] = ACTIONS(3088),
    [anon_sym_PLUS] = ACTIONS(3088),
    [anon_sym_DASH] = ACTIONS(3088),
    [anon_sym_SLASH] = ACTIONS(3088),
    [anon_sym_LT] = ACTIONS(3088),
    [anon_sym_TILDE] = ACTIONS(3088),
    [anon_sym_void] = ACTIONS(3088),
    [anon_sym_delete] = ACTIONS(3088),
    [anon_sym_PLUS_PLUS] = ACTIONS(3088),
    [anon_sym_DASH_DASH] = ACTIONS(3088),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3088),
    [sym_number] = ACTIONS(3088),
    [sym_private_property_identifier] = ACTIONS(3088),
    [sym_this] = ACTIONS(3088),
    [sym_super] = ACTIONS(3088),
    [sym_true] = ACTIONS(3088),
    [sym_false] = ACTIONS(3088),
    [sym_null] = ACTIONS(3088),
    [sym_undefined] = ACTIONS(3088),
    [anon_sym_AT] = ACTIONS(3088),
    [anon_sym_static] = ACTIONS(3088),
    [anon_sym_readonly] = ACTIONS(3088),
    [anon_sym_get] = ACTIONS(3088),
    [anon_sym_set] = ACTIONS(3088),
    [anon_sym_declare] = ACTIONS(3088),
    [anon_sym_public] = ACTIONS(3088),
    [anon_sym_private] = ACTIONS(3088),
    [anon_sym_protected] = ACTIONS(3088),
    [anon_sym_override] = ACTIONS(3088),
    [anon_sym_module] = ACTIONS(3088),
    [anon_sym_any] = ACTIONS(3088),
    [anon_sym_number] = ACTIONS(3088),
    [anon_sym_boolean] = ACTIONS(3088),
    [anon_sym_string] = ACTIONS(3088),
    [anon_sym_symbol] = ACTIONS(3088),
    [anon_sym_object] = ACTIONS(3088),
    [anon_sym_abstract] = ACTIONS(3088),
    [anon_sym_interface] = ACTIONS(3088),
    [anon_sym_enum] = ACTIONS(3088),
    [sym_html_comment] = ACTIONS(5),
  },
  [1350] = {
    [sym_comment] = STATE(1350),
    [sym_identifier] = ACTIONS(3224),
    [anon_sym_export] = ACTIONS(3224),
    [anon_sym_default] = ACTIONS(3224),
    [anon_sym_type] = ACTIONS(3224),
    [anon_sym_namespace] = ACTIONS(3224),
    [anon_sym_LBRACE] = ACTIONS(3224),
    [anon_sym_RBRACE] = ACTIONS(3224),
    [anon_sym_typeof] = ACTIONS(3224),
    [anon_sym_import] = ACTIONS(3224),
    [anon_sym_with] = ACTIONS(3224),
    [anon_sym_var] = ACTIONS(3224),
    [anon_sym_let] = ACTIONS(3224),
    [anon_sym_const] = ACTIONS(3224),
    [anon_sym_BANG] = ACTIONS(3224),
    [anon_sym_if] = ACTIONS(3224),
    [anon_sym_switch] = ACTIONS(3224),
    [anon_sym_for] = ACTIONS(3224),
    [anon_sym_LPAREN] = ACTIONS(3224),
    [anon_sym_await] = ACTIONS(3224),
    [anon_sym_while] = ACTIONS(3224),
    [anon_sym_do] = ACTIONS(3224),
    [anon_sym_try] = ACTIONS(3224),
    [anon_sym_break] = ACTIONS(3224),
    [anon_sym_continue] = ACTIONS(3224),
    [anon_sym_debugger] = ACTIONS(3224),
    [anon_sym_return] = ACTIONS(3224),
    [anon_sym_throw] = ACTIONS(3224),
    [anon_sym_SEMI] = ACTIONS(3224),
    [anon_sym_case] = ACTIONS(3224),
    [anon_sym_yield] = ACTIONS(3224),
    [anon_sym_LBRACK] = ACTIONS(3224),
    [anon_sym_LTtemplate_GT] = ACTIONS(3224),
    [anon_sym_DQUOTE] = ACTIONS(3224),
    [anon_sym_SQUOTE] = ACTIONS(3224),
    [anon_sym_class] = ACTIONS(3224),
    [anon_sym_async] = ACTIONS(3224),
    [anon_sym_function] = ACTIONS(3224),
    [anon_sym_new] = ACTIONS(3224),
    [anon_sym_using] = ACTIONS(3224),
    [anon_sym_PLUS] = ACTIONS(3224),
    [anon_sym_DASH] = ACTIONS(3224),
    [anon_sym_SLASH] = ACTIONS(3224),
    [anon_sym_LT] = ACTIONS(3224),
    [anon_sym_TILDE] = ACTIONS(3224),
    [anon_sym_void] = ACTIONS(3224),
    [anon_sym_delete] = ACTIONS(3224),
    [anon_sym_PLUS_PLUS] = ACTIONS(3224),
    [anon_sym_DASH_DASH] = ACTIONS(3224),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3224),
    [sym_number] = ACTIONS(3224),
    [sym_private_property_identifier] = ACTIONS(3224),
    [sym_this] = ACTIONS(3224),
    [sym_super] = ACTIONS(3224),
    [sym_true] = ACTIONS(3224),
    [sym_false] = ACTIONS(3224),
    [sym_null] = ACTIONS(3224),
    [sym_undefined] = ACTIONS(3224),
    [anon_sym_AT] = ACTIONS(3224),
    [anon_sym_static] = ACTIONS(3224),
    [anon_sym_readonly] = ACTIONS(3224),
    [anon_sym_get] = ACTIONS(3224),
    [anon_sym_set] = ACTIONS(3224),
    [anon_sym_declare] = ACTIONS(3224),
    [anon_sym_public] = ACTIONS(3224),
    [anon_sym_private] = ACTIONS(3224),
    [anon_sym_protected] = ACTIONS(3224),
    [anon_sym_override] = ACTIONS(3224),
    [anon_sym_module] = ACTIONS(3224),
    [anon_sym_any] = ACTIONS(3224),
    [anon_sym_number] = ACTIONS(3224),
    [anon_sym_boolean] = ACTIONS(3224),
    [anon_sym_string] = ACTIONS(3224),
    [anon_sym_symbol] = ACTIONS(3224),
    [anon_sym_object] = ACTIONS(3224),
    [anon_sym_abstract] = ACTIONS(3224),
    [anon_sym_interface] = ACTIONS(3224),
    [anon_sym_enum] = ACTIONS(3224),
    [sym_html_comment] = ACTIONS(5),
  },
  [1351] = {
    [sym_comment] = STATE(1351),
    [ts_builtin_sym_end] = ACTIONS(3348),
    [sym_identifier] = ACTIONS(3100),
    [anon_sym_export] = ACTIONS(3100),
    [anon_sym_type] = ACTIONS(3100),
    [anon_sym_namespace] = ACTIONS(3100),
    [anon_sym_LBRACE] = ACTIONS(3100),
    [anon_sym_RBRACE] = ACTIONS(3100),
    [anon_sym_typeof] = ACTIONS(3100),
    [anon_sym_import] = ACTIONS(3100),
    [anon_sym_with] = ACTIONS(3100),
    [anon_sym_var] = ACTIONS(3100),
    [anon_sym_let] = ACTIONS(3100),
    [anon_sym_const] = ACTIONS(3100),
    [anon_sym_BANG] = ACTIONS(3100),
    [anon_sym_if] = ACTIONS(3100),
    [anon_sym_switch] = ACTIONS(3100),
    [anon_sym_for] = ACTIONS(3100),
    [anon_sym_LPAREN] = ACTIONS(3100),
    [anon_sym_await] = ACTIONS(3100),
    [anon_sym_while] = ACTIONS(3100),
    [anon_sym_do] = ACTIONS(3100),
    [anon_sym_try] = ACTIONS(3100),
    [anon_sym_break] = ACTIONS(3100),
    [anon_sym_continue] = ACTIONS(3100),
    [anon_sym_debugger] = ACTIONS(3100),
    [anon_sym_return] = ACTIONS(3100),
    [anon_sym_throw] = ACTIONS(3100),
    [anon_sym_SEMI] = ACTIONS(3448),
    [anon_sym_yield] = ACTIONS(3100),
    [anon_sym_LBRACK] = ACTIONS(3100),
    [anon_sym_LTtemplate_GT] = ACTIONS(3100),
    [anon_sym_DQUOTE] = ACTIONS(3100),
    [anon_sym_SQUOTE] = ACTIONS(3100),
    [anon_sym_class] = ACTIONS(3100),
    [anon_sym_async] = ACTIONS(3100),
    [anon_sym_function] = ACTIONS(3100),
    [anon_sym_new] = ACTIONS(3100),
    [anon_sym_using] = ACTIONS(3100),
    [anon_sym_PLUS] = ACTIONS(3100),
    [anon_sym_DASH] = ACTIONS(3100),
    [anon_sym_SLASH] = ACTIONS(3100),
    [anon_sym_LT] = ACTIONS(3100),
    [anon_sym_TILDE] = ACTIONS(3100),
    [anon_sym_void] = ACTIONS(3100),
    [anon_sym_delete] = ACTIONS(3100),
    [anon_sym_PLUS_PLUS] = ACTIONS(3100),
    [anon_sym_DASH_DASH] = ACTIONS(3100),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3100),
    [sym_number] = ACTIONS(3100),
    [sym_private_property_identifier] = ACTIONS(3100),
    [sym_this] = ACTIONS(3100),
    [sym_super] = ACTIONS(3100),
    [sym_true] = ACTIONS(3100),
    [sym_false] = ACTIONS(3100),
    [sym_null] = ACTIONS(3100),
    [sym_undefined] = ACTIONS(3100),
    [anon_sym_AT] = ACTIONS(3100),
    [anon_sym_static] = ACTIONS(3100),
    [anon_sym_readonly] = ACTIONS(3100),
    [anon_sym_get] = ACTIONS(3100),
    [anon_sym_set] = ACTIONS(3100),
    [anon_sym_declare] = ACTIONS(3100),
    [anon_sym_public] = ACTIONS(3100),
    [anon_sym_private] = ACTIONS(3100),
    [anon_sym_protected] = ACTIONS(3100),
    [anon_sym_override] = ACTIONS(3100),
    [anon_sym_module] = ACTIONS(3100),
    [anon_sym_any] = ACTIONS(3100),
    [anon_sym_number] = ACTIONS(3100),
    [anon_sym_boolean] = ACTIONS(3100),
    [anon_sym_string] = ACTIONS(3100),
    [anon_sym_symbol] = ACTIONS(3100),
    [anon_sym_object] = ACTIONS(3100),
    [anon_sym_abstract] = ACTIONS(3100),
    [anon_sym_interface] = ACTIONS(3100),
    [anon_sym_enum] = ACTIONS(3100),
    [sym__automatic_semicolon] = ACTIONS(3450),
    [sym_html_comment] = ACTIONS(5),
  },
  [1352] = {
    [sym_comment] = STATE(1352),
    [ts_builtin_sym_end] = ACTIONS(2095),
    [sym_identifier] = ACTIONS(2093),
    [anon_sym_export] = ACTIONS(2093),
    [anon_sym_type] = ACTIONS(2093),
    [anon_sym_namespace] = ACTIONS(2093),
    [anon_sym_LBRACE] = ACTIONS(2093),
    [anon_sym_RBRACE] = ACTIONS(2093),
    [anon_sym_typeof] = ACTIONS(2093),
    [anon_sym_import] = ACTIONS(2093),
    [anon_sym_with] = ACTIONS(2093),
    [anon_sym_var] = ACTIONS(2093),
    [anon_sym_let] = ACTIONS(2093),
    [anon_sym_const] = ACTIONS(2093),
    [anon_sym_BANG] = ACTIONS(2093),
    [anon_sym_if] = ACTIONS(2093),
    [anon_sym_switch] = ACTIONS(2093),
    [anon_sym_for] = ACTIONS(2093),
    [anon_sym_LPAREN] = ACTIONS(2093),
    [anon_sym_await] = ACTIONS(2093),
    [anon_sym_while] = ACTIONS(2093),
    [anon_sym_do] = ACTIONS(2093),
    [anon_sym_try] = ACTIONS(2093),
    [anon_sym_break] = ACTIONS(2093),
    [anon_sym_continue] = ACTIONS(2093),
    [anon_sym_debugger] = ACTIONS(2093),
    [anon_sym_return] = ACTIONS(2093),
    [anon_sym_throw] = ACTIONS(2093),
    [anon_sym_SEMI] = ACTIONS(2093),
    [anon_sym_finally] = ACTIONS(2093),
    [anon_sym_yield] = ACTIONS(2093),
    [anon_sym_LBRACK] = ACTIONS(2093),
    [anon_sym_LTtemplate_GT] = ACTIONS(2093),
    [anon_sym_DQUOTE] = ACTIONS(2093),
    [anon_sym_SQUOTE] = ACTIONS(2093),
    [anon_sym_class] = ACTIONS(2093),
    [anon_sym_async] = ACTIONS(2093),
    [anon_sym_function] = ACTIONS(2093),
    [anon_sym_new] = ACTIONS(2093),
    [anon_sym_using] = ACTIONS(2093),
    [anon_sym_PLUS] = ACTIONS(2093),
    [anon_sym_DASH] = ACTIONS(2093),
    [anon_sym_SLASH] = ACTIONS(2093),
    [anon_sym_LT] = ACTIONS(2093),
    [anon_sym_TILDE] = ACTIONS(2093),
    [anon_sym_void] = ACTIONS(2093),
    [anon_sym_delete] = ACTIONS(2093),
    [anon_sym_PLUS_PLUS] = ACTIONS(2093),
    [anon_sym_DASH_DASH] = ACTIONS(2093),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2093),
    [sym_number] = ACTIONS(2093),
    [sym_private_property_identifier] = ACTIONS(2093),
    [sym_this] = ACTIONS(2093),
    [sym_super] = ACTIONS(2093),
    [sym_true] = ACTIONS(2093),
    [sym_false] = ACTIONS(2093),
    [sym_null] = ACTIONS(2093),
    [sym_undefined] = ACTIONS(2093),
    [anon_sym_AT] = ACTIONS(2093),
    [anon_sym_static] = ACTIONS(2093),
    [anon_sym_readonly] = ACTIONS(2093),
    [anon_sym_get] = ACTIONS(2093),
    [anon_sym_set] = ACTIONS(2093),
    [anon_sym_declare] = ACTIONS(2093),
    [anon_sym_public] = ACTIONS(2093),
    [anon_sym_private] = ACTIONS(2093),
    [anon_sym_protected] = ACTIONS(2093),
    [anon_sym_override] = ACTIONS(2093),
    [anon_sym_module] = ACTIONS(2093),
    [anon_sym_any] = ACTIONS(2093),
    [anon_sym_number] = ACTIONS(2093),
    [anon_sym_boolean] = ACTIONS(2093),
    [anon_sym_string] = ACTIONS(2093),
    [anon_sym_symbol] = ACTIONS(2093),
    [anon_sym_object] = ACTIONS(2093),
    [anon_sym_abstract] = ACTIONS(2093),
    [anon_sym_interface] = ACTIONS(2093),
    [anon_sym_enum] = ACTIONS(2093),
    [sym_html_comment] = ACTIONS(5),
  },
  [1353] = {
    [sym_comment] = STATE(1353),
    [ts_builtin_sym_end] = ACTIONS(2107),
    [sym_identifier] = ACTIONS(2105),
    [anon_sym_export] = ACTIONS(2105),
    [anon_sym_type] = ACTIONS(2105),
    [anon_sym_namespace] = ACTIONS(2105),
    [anon_sym_LBRACE] = ACTIONS(2105),
    [anon_sym_RBRACE] = ACTIONS(2105),
    [anon_sym_typeof] = ACTIONS(2105),
    [anon_sym_import] = ACTIONS(2105),
    [anon_sym_with] = ACTIONS(2105),
    [anon_sym_var] = ACTIONS(2105),
    [anon_sym_let] = ACTIONS(2105),
    [anon_sym_const] = ACTIONS(2105),
    [anon_sym_BANG] = ACTIONS(2105),
    [anon_sym_if] = ACTIONS(2105),
    [anon_sym_switch] = ACTIONS(2105),
    [anon_sym_for] = ACTIONS(2105),
    [anon_sym_LPAREN] = ACTIONS(2105),
    [anon_sym_await] = ACTIONS(2105),
    [anon_sym_while] = ACTIONS(2105),
    [anon_sym_do] = ACTIONS(2105),
    [anon_sym_try] = ACTIONS(2105),
    [anon_sym_break] = ACTIONS(2105),
    [anon_sym_continue] = ACTIONS(2105),
    [anon_sym_debugger] = ACTIONS(2105),
    [anon_sym_return] = ACTIONS(2105),
    [anon_sym_throw] = ACTIONS(2105),
    [anon_sym_SEMI] = ACTIONS(2105),
    [anon_sym_finally] = ACTIONS(2105),
    [anon_sym_yield] = ACTIONS(2105),
    [anon_sym_LBRACK] = ACTIONS(2105),
    [anon_sym_LTtemplate_GT] = ACTIONS(2105),
    [anon_sym_DQUOTE] = ACTIONS(2105),
    [anon_sym_SQUOTE] = ACTIONS(2105),
    [anon_sym_class] = ACTIONS(2105),
    [anon_sym_async] = ACTIONS(2105),
    [anon_sym_function] = ACTIONS(2105),
    [anon_sym_new] = ACTIONS(2105),
    [anon_sym_using] = ACTIONS(2105),
    [anon_sym_PLUS] = ACTIONS(2105),
    [anon_sym_DASH] = ACTIONS(2105),
    [anon_sym_SLASH] = ACTIONS(2105),
    [anon_sym_LT] = ACTIONS(2105),
    [anon_sym_TILDE] = ACTIONS(2105),
    [anon_sym_void] = ACTIONS(2105),
    [anon_sym_delete] = ACTIONS(2105),
    [anon_sym_PLUS_PLUS] = ACTIONS(2105),
    [anon_sym_DASH_DASH] = ACTIONS(2105),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2105),
    [sym_number] = ACTIONS(2105),
    [sym_private_property_identifier] = ACTIONS(2105),
    [sym_this] = ACTIONS(2105),
    [sym_super] = ACTIONS(2105),
    [sym_true] = ACTIONS(2105),
    [sym_false] = ACTIONS(2105),
    [sym_null] = ACTIONS(2105),
    [sym_undefined] = ACTIONS(2105),
    [anon_sym_AT] = ACTIONS(2105),
    [anon_sym_static] = ACTIONS(2105),
    [anon_sym_readonly] = ACTIONS(2105),
    [anon_sym_get] = ACTIONS(2105),
    [anon_sym_set] = ACTIONS(2105),
    [anon_sym_declare] = ACTIONS(2105),
    [anon_sym_public] = ACTIONS(2105),
    [anon_sym_private] = ACTIONS(2105),
    [anon_sym_protected] = ACTIONS(2105),
    [anon_sym_override] = ACTIONS(2105),
    [anon_sym_module] = ACTIONS(2105),
    [anon_sym_any] = ACTIONS(2105),
    [anon_sym_number] = ACTIONS(2105),
    [anon_sym_boolean] = ACTIONS(2105),
    [anon_sym_string] = ACTIONS(2105),
    [anon_sym_symbol] = ACTIONS(2105),
    [anon_sym_object] = ACTIONS(2105),
    [anon_sym_abstract] = ACTIONS(2105),
    [anon_sym_interface] = ACTIONS(2105),
    [anon_sym_enum] = ACTIONS(2105),
    [sym_html_comment] = ACTIONS(5),
  },
  [1354] = {
    [sym_comment] = STATE(1354),
    [ts_builtin_sym_end] = ACTIONS(3438),
    [sym_identifier] = ACTIONS(3252),
    [anon_sym_export] = ACTIONS(3252),
    [anon_sym_type] = ACTIONS(3252),
    [anon_sym_namespace] = ACTIONS(3252),
    [anon_sym_LBRACE] = ACTIONS(3252),
    [anon_sym_RBRACE] = ACTIONS(3252),
    [anon_sym_typeof] = ACTIONS(3252),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_with] = ACTIONS(3252),
    [anon_sym_var] = ACTIONS(3252),
    [anon_sym_let] = ACTIONS(3252),
    [anon_sym_const] = ACTIONS(3252),
    [anon_sym_BANG] = ACTIONS(3252),
    [anon_sym_else] = ACTIONS(3252),
    [anon_sym_if] = ACTIONS(3252),
    [anon_sym_switch] = ACTIONS(3252),
    [anon_sym_for] = ACTIONS(3252),
    [anon_sym_LPAREN] = ACTIONS(3252),
    [anon_sym_await] = ACTIONS(3252),
    [anon_sym_while] = ACTIONS(3252),
    [anon_sym_do] = ACTIONS(3252),
    [anon_sym_try] = ACTIONS(3252),
    [anon_sym_break] = ACTIONS(3252),
    [anon_sym_continue] = ACTIONS(3252),
    [anon_sym_debugger] = ACTIONS(3252),
    [anon_sym_return] = ACTIONS(3252),
    [anon_sym_throw] = ACTIONS(3252),
    [anon_sym_SEMI] = ACTIONS(3252),
    [anon_sym_yield] = ACTIONS(3252),
    [anon_sym_LBRACK] = ACTIONS(3252),
    [anon_sym_LTtemplate_GT] = ACTIONS(3252),
    [anon_sym_DQUOTE] = ACTIONS(3252),
    [anon_sym_SQUOTE] = ACTIONS(3252),
    [anon_sym_class] = ACTIONS(3252),
    [anon_sym_async] = ACTIONS(3252),
    [anon_sym_function] = ACTIONS(3252),
    [anon_sym_new] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3252),
    [anon_sym_PLUS] = ACTIONS(3252),
    [anon_sym_DASH] = ACTIONS(3252),
    [anon_sym_SLASH] = ACTIONS(3252),
    [anon_sym_LT] = ACTIONS(3252),
    [anon_sym_TILDE] = ACTIONS(3252),
    [anon_sym_void] = ACTIONS(3252),
    [anon_sym_delete] = ACTIONS(3252),
    [anon_sym_PLUS_PLUS] = ACTIONS(3252),
    [anon_sym_DASH_DASH] = ACTIONS(3252),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3252),
    [sym_number] = ACTIONS(3252),
    [sym_private_property_identifier] = ACTIONS(3252),
    [sym_this] = ACTIONS(3252),
    [sym_super] = ACTIONS(3252),
    [sym_true] = ACTIONS(3252),
    [sym_false] = ACTIONS(3252),
    [sym_null] = ACTIONS(3252),
    [sym_undefined] = ACTIONS(3252),
    [anon_sym_AT] = ACTIONS(3252),
    [anon_sym_static] = ACTIONS(3252),
    [anon_sym_readonly] = ACTIONS(3252),
    [anon_sym_get] = ACTIONS(3252),
    [anon_sym_set] = ACTIONS(3252),
    [anon_sym_declare] = ACTIONS(3252),
    [anon_sym_public] = ACTIONS(3252),
    [anon_sym_private] = ACTIONS(3252),
    [anon_sym_protected] = ACTIONS(3252),
    [anon_sym_override] = ACTIONS(3252),
    [anon_sym_module] = ACTIONS(3252),
    [anon_sym_any] = ACTIONS(3252),
    [anon_sym_number] = ACTIONS(3252),
    [anon_sym_boolean] = ACTIONS(3252),
    [anon_sym_string] = ACTIONS(3252),
    [anon_sym_symbol] = ACTIONS(3252),
    [anon_sym_object] = ACTIONS(3252),
    [anon_sym_abstract] = ACTIONS(3252),
    [anon_sym_interface] = ACTIONS(3252),
    [anon_sym_enum] = ACTIONS(3252),
    [sym_html_comment] = ACTIONS(5),
  },
  [1355] = {
    [sym_comment] = STATE(1355),
    [ts_builtin_sym_end] = ACTIONS(3438),
    [sym_identifier] = ACTIONS(3252),
    [anon_sym_export] = ACTIONS(3252),
    [anon_sym_type] = ACTIONS(3252),
    [anon_sym_namespace] = ACTIONS(3252),
    [anon_sym_LBRACE] = ACTIONS(3252),
    [anon_sym_RBRACE] = ACTIONS(3252),
    [anon_sym_typeof] = ACTIONS(3252),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_with] = ACTIONS(3252),
    [anon_sym_var] = ACTIONS(3252),
    [anon_sym_let] = ACTIONS(3252),
    [anon_sym_const] = ACTIONS(3252),
    [anon_sym_BANG] = ACTIONS(3252),
    [anon_sym_else] = ACTIONS(3252),
    [anon_sym_if] = ACTIONS(3252),
    [anon_sym_switch] = ACTIONS(3252),
    [anon_sym_for] = ACTIONS(3252),
    [anon_sym_LPAREN] = ACTIONS(3252),
    [anon_sym_await] = ACTIONS(3252),
    [anon_sym_while] = ACTIONS(3252),
    [anon_sym_do] = ACTIONS(3252),
    [anon_sym_try] = ACTIONS(3252),
    [anon_sym_break] = ACTIONS(3252),
    [anon_sym_continue] = ACTIONS(3252),
    [anon_sym_debugger] = ACTIONS(3252),
    [anon_sym_return] = ACTIONS(3252),
    [anon_sym_throw] = ACTIONS(3252),
    [anon_sym_SEMI] = ACTIONS(3252),
    [anon_sym_yield] = ACTIONS(3252),
    [anon_sym_LBRACK] = ACTIONS(3252),
    [anon_sym_LTtemplate_GT] = ACTIONS(3252),
    [anon_sym_DQUOTE] = ACTIONS(3252),
    [anon_sym_SQUOTE] = ACTIONS(3252),
    [anon_sym_class] = ACTIONS(3252),
    [anon_sym_async] = ACTIONS(3252),
    [anon_sym_function] = ACTIONS(3252),
    [anon_sym_new] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3252),
    [anon_sym_PLUS] = ACTIONS(3252),
    [anon_sym_DASH] = ACTIONS(3252),
    [anon_sym_SLASH] = ACTIONS(3252),
    [anon_sym_LT] = ACTIONS(3252),
    [anon_sym_TILDE] = ACTIONS(3252),
    [anon_sym_void] = ACTIONS(3252),
    [anon_sym_delete] = ACTIONS(3252),
    [anon_sym_PLUS_PLUS] = ACTIONS(3252),
    [anon_sym_DASH_DASH] = ACTIONS(3252),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3252),
    [sym_number] = ACTIONS(3252),
    [sym_private_property_identifier] = ACTIONS(3252),
    [sym_this] = ACTIONS(3252),
    [sym_super] = ACTIONS(3252),
    [sym_true] = ACTIONS(3252),
    [sym_false] = ACTIONS(3252),
    [sym_null] = ACTIONS(3252),
    [sym_undefined] = ACTIONS(3252),
    [anon_sym_AT] = ACTIONS(3252),
    [anon_sym_static] = ACTIONS(3252),
    [anon_sym_readonly] = ACTIONS(3252),
    [anon_sym_get] = ACTIONS(3252),
    [anon_sym_set] = ACTIONS(3252),
    [anon_sym_declare] = ACTIONS(3252),
    [anon_sym_public] = ACTIONS(3252),
    [anon_sym_private] = ACTIONS(3252),
    [anon_sym_protected] = ACTIONS(3252),
    [anon_sym_override] = ACTIONS(3252),
    [anon_sym_module] = ACTIONS(3252),
    [anon_sym_any] = ACTIONS(3252),
    [anon_sym_number] = ACTIONS(3252),
    [anon_sym_boolean] = ACTIONS(3252),
    [anon_sym_string] = ACTIONS(3252),
    [anon_sym_symbol] = ACTIONS(3252),
    [anon_sym_object] = ACTIONS(3252),
    [anon_sym_abstract] = ACTIONS(3252),
    [anon_sym_interface] = ACTIONS(3252),
    [anon_sym_enum] = ACTIONS(3252),
    [sym_html_comment] = ACTIONS(5),
  },
  [1356] = {
    [sym_comment] = STATE(1356),
    [sym_identifier] = ACTIONS(3274),
    [anon_sym_export] = ACTIONS(3274),
    [anon_sym_default] = ACTIONS(3274),
    [anon_sym_type] = ACTIONS(3274),
    [anon_sym_namespace] = ACTIONS(3274),
    [anon_sym_LBRACE] = ACTIONS(3274),
    [anon_sym_RBRACE] = ACTIONS(3274),
    [anon_sym_typeof] = ACTIONS(3274),
    [anon_sym_import] = ACTIONS(3274),
    [anon_sym_with] = ACTIONS(3274),
    [anon_sym_var] = ACTIONS(3274),
    [anon_sym_let] = ACTIONS(3274),
    [anon_sym_const] = ACTIONS(3274),
    [anon_sym_BANG] = ACTIONS(3274),
    [anon_sym_if] = ACTIONS(3274),
    [anon_sym_switch] = ACTIONS(3274),
    [anon_sym_for] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(3274),
    [anon_sym_await] = ACTIONS(3274),
    [anon_sym_while] = ACTIONS(3274),
    [anon_sym_do] = ACTIONS(3274),
    [anon_sym_try] = ACTIONS(3274),
    [anon_sym_break] = ACTIONS(3274),
    [anon_sym_continue] = ACTIONS(3274),
    [anon_sym_debugger] = ACTIONS(3274),
    [anon_sym_return] = ACTIONS(3274),
    [anon_sym_throw] = ACTIONS(3274),
    [anon_sym_SEMI] = ACTIONS(3274),
    [anon_sym_case] = ACTIONS(3274),
    [anon_sym_yield] = ACTIONS(3274),
    [anon_sym_LBRACK] = ACTIONS(3274),
    [anon_sym_LTtemplate_GT] = ACTIONS(3274),
    [anon_sym_DQUOTE] = ACTIONS(3274),
    [anon_sym_SQUOTE] = ACTIONS(3274),
    [anon_sym_class] = ACTIONS(3274),
    [anon_sym_async] = ACTIONS(3274),
    [anon_sym_function] = ACTIONS(3274),
    [anon_sym_new] = ACTIONS(3274),
    [anon_sym_using] = ACTIONS(3274),
    [anon_sym_PLUS] = ACTIONS(3274),
    [anon_sym_DASH] = ACTIONS(3274),
    [anon_sym_SLASH] = ACTIONS(3274),
    [anon_sym_LT] = ACTIONS(3274),
    [anon_sym_TILDE] = ACTIONS(3274),
    [anon_sym_void] = ACTIONS(3274),
    [anon_sym_delete] = ACTIONS(3274),
    [anon_sym_PLUS_PLUS] = ACTIONS(3274),
    [anon_sym_DASH_DASH] = ACTIONS(3274),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3274),
    [sym_number] = ACTIONS(3274),
    [sym_private_property_identifier] = ACTIONS(3274),
    [sym_this] = ACTIONS(3274),
    [sym_super] = ACTIONS(3274),
    [sym_true] = ACTIONS(3274),
    [sym_false] = ACTIONS(3274),
    [sym_null] = ACTIONS(3274),
    [sym_undefined] = ACTIONS(3274),
    [anon_sym_AT] = ACTIONS(3274),
    [anon_sym_static] = ACTIONS(3274),
    [anon_sym_readonly] = ACTIONS(3274),
    [anon_sym_get] = ACTIONS(3274),
    [anon_sym_set] = ACTIONS(3274),
    [anon_sym_declare] = ACTIONS(3274),
    [anon_sym_public] = ACTIONS(3274),
    [anon_sym_private] = ACTIONS(3274),
    [anon_sym_protected] = ACTIONS(3274),
    [anon_sym_override] = ACTIONS(3274),
    [anon_sym_module] = ACTIONS(3274),
    [anon_sym_any] = ACTIONS(3274),
    [anon_sym_number] = ACTIONS(3274),
    [anon_sym_boolean] = ACTIONS(3274),
    [anon_sym_string] = ACTIONS(3274),
    [anon_sym_symbol] = ACTIONS(3274),
    [anon_sym_object] = ACTIONS(3274),
    [anon_sym_abstract] = ACTIONS(3274),
    [anon_sym_interface] = ACTIONS(3274),
    [anon_sym_enum] = ACTIONS(3274),
    [sym_html_comment] = ACTIONS(5),
  },
  [1357] = {
    [sym_comment] = STATE(1357),
    [sym_identifier] = ACTIONS(3276),
    [anon_sym_export] = ACTIONS(3276),
    [anon_sym_default] = ACTIONS(3276),
    [anon_sym_type] = ACTIONS(3276),
    [anon_sym_namespace] = ACTIONS(3276),
    [anon_sym_LBRACE] = ACTIONS(3276),
    [anon_sym_RBRACE] = ACTIONS(3276),
    [anon_sym_typeof] = ACTIONS(3276),
    [anon_sym_import] = ACTIONS(3276),
    [anon_sym_with] = ACTIONS(3276),
    [anon_sym_var] = ACTIONS(3276),
    [anon_sym_let] = ACTIONS(3276),
    [anon_sym_const] = ACTIONS(3276),
    [anon_sym_BANG] = ACTIONS(3276),
    [anon_sym_if] = ACTIONS(3276),
    [anon_sym_switch] = ACTIONS(3276),
    [anon_sym_for] = ACTIONS(3276),
    [anon_sym_LPAREN] = ACTIONS(3276),
    [anon_sym_await] = ACTIONS(3276),
    [anon_sym_while] = ACTIONS(3276),
    [anon_sym_do] = ACTIONS(3276),
    [anon_sym_try] = ACTIONS(3276),
    [anon_sym_break] = ACTIONS(3276),
    [anon_sym_continue] = ACTIONS(3276),
    [anon_sym_debugger] = ACTIONS(3276),
    [anon_sym_return] = ACTIONS(3276),
    [anon_sym_throw] = ACTIONS(3276),
    [anon_sym_SEMI] = ACTIONS(3276),
    [anon_sym_case] = ACTIONS(3276),
    [anon_sym_yield] = ACTIONS(3276),
    [anon_sym_LBRACK] = ACTIONS(3276),
    [anon_sym_LTtemplate_GT] = ACTIONS(3276),
    [anon_sym_DQUOTE] = ACTIONS(3276),
    [anon_sym_SQUOTE] = ACTIONS(3276),
    [anon_sym_class] = ACTIONS(3276),
    [anon_sym_async] = ACTIONS(3276),
    [anon_sym_function] = ACTIONS(3276),
    [anon_sym_new] = ACTIONS(3276),
    [anon_sym_using] = ACTIONS(3276),
    [anon_sym_PLUS] = ACTIONS(3276),
    [anon_sym_DASH] = ACTIONS(3276),
    [anon_sym_SLASH] = ACTIONS(3276),
    [anon_sym_LT] = ACTIONS(3276),
    [anon_sym_TILDE] = ACTIONS(3276),
    [anon_sym_void] = ACTIONS(3276),
    [anon_sym_delete] = ACTIONS(3276),
    [anon_sym_PLUS_PLUS] = ACTIONS(3276),
    [anon_sym_DASH_DASH] = ACTIONS(3276),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3276),
    [sym_number] = ACTIONS(3276),
    [sym_private_property_identifier] = ACTIONS(3276),
    [sym_this] = ACTIONS(3276),
    [sym_super] = ACTIONS(3276),
    [sym_true] = ACTIONS(3276),
    [sym_false] = ACTIONS(3276),
    [sym_null] = ACTIONS(3276),
    [sym_undefined] = ACTIONS(3276),
    [anon_sym_AT] = ACTIONS(3276),
    [anon_sym_static] = ACTIONS(3276),
    [anon_sym_readonly] = ACTIONS(3276),
    [anon_sym_get] = ACTIONS(3276),
    [anon_sym_set] = ACTIONS(3276),
    [anon_sym_declare] = ACTIONS(3276),
    [anon_sym_public] = ACTIONS(3276),
    [anon_sym_private] = ACTIONS(3276),
    [anon_sym_protected] = ACTIONS(3276),
    [anon_sym_override] = ACTIONS(3276),
    [anon_sym_module] = ACTIONS(3276),
    [anon_sym_any] = ACTIONS(3276),
    [anon_sym_number] = ACTIONS(3276),
    [anon_sym_boolean] = ACTIONS(3276),
    [anon_sym_string] = ACTIONS(3276),
    [anon_sym_symbol] = ACTIONS(3276),
    [anon_sym_object] = ACTIONS(3276),
    [anon_sym_abstract] = ACTIONS(3276),
    [anon_sym_interface] = ACTIONS(3276),
    [anon_sym_enum] = ACTIONS(3276),
    [sym_html_comment] = ACTIONS(5),
  },
  [1358] = {
    [sym_comment] = STATE(1358),
    [sym_identifier] = ACTIONS(3278),
    [anon_sym_export] = ACTIONS(3278),
    [anon_sym_default] = ACTIONS(3278),
    [anon_sym_type] = ACTIONS(3278),
    [anon_sym_namespace] = ACTIONS(3278),
    [anon_sym_LBRACE] = ACTIONS(3278),
    [anon_sym_RBRACE] = ACTIONS(3278),
    [anon_sym_typeof] = ACTIONS(3278),
    [anon_sym_import] = ACTIONS(3278),
    [anon_sym_with] = ACTIONS(3278),
    [anon_sym_var] = ACTIONS(3278),
    [anon_sym_let] = ACTIONS(3278),
    [anon_sym_const] = ACTIONS(3278),
    [anon_sym_BANG] = ACTIONS(3278),
    [anon_sym_if] = ACTIONS(3278),
    [anon_sym_switch] = ACTIONS(3278),
    [anon_sym_for] = ACTIONS(3278),
    [anon_sym_LPAREN] = ACTIONS(3278),
    [anon_sym_await] = ACTIONS(3278),
    [anon_sym_while] = ACTIONS(3278),
    [anon_sym_do] = ACTIONS(3278),
    [anon_sym_try] = ACTIONS(3278),
    [anon_sym_break] = ACTIONS(3278),
    [anon_sym_continue] = ACTIONS(3278),
    [anon_sym_debugger] = ACTIONS(3278),
    [anon_sym_return] = ACTIONS(3278),
    [anon_sym_throw] = ACTIONS(3278),
    [anon_sym_SEMI] = ACTIONS(3278),
    [anon_sym_case] = ACTIONS(3278),
    [anon_sym_yield] = ACTIONS(3278),
    [anon_sym_LBRACK] = ACTIONS(3278),
    [anon_sym_LTtemplate_GT] = ACTIONS(3278),
    [anon_sym_DQUOTE] = ACTIONS(3278),
    [anon_sym_SQUOTE] = ACTIONS(3278),
    [anon_sym_class] = ACTIONS(3278),
    [anon_sym_async] = ACTIONS(3278),
    [anon_sym_function] = ACTIONS(3278),
    [anon_sym_new] = ACTIONS(3278),
    [anon_sym_using] = ACTIONS(3278),
    [anon_sym_PLUS] = ACTIONS(3278),
    [anon_sym_DASH] = ACTIONS(3278),
    [anon_sym_SLASH] = ACTIONS(3278),
    [anon_sym_LT] = ACTIONS(3278),
    [anon_sym_TILDE] = ACTIONS(3278),
    [anon_sym_void] = ACTIONS(3278),
    [anon_sym_delete] = ACTIONS(3278),
    [anon_sym_PLUS_PLUS] = ACTIONS(3278),
    [anon_sym_DASH_DASH] = ACTIONS(3278),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3278),
    [sym_number] = ACTIONS(3278),
    [sym_private_property_identifier] = ACTIONS(3278),
    [sym_this] = ACTIONS(3278),
    [sym_super] = ACTIONS(3278),
    [sym_true] = ACTIONS(3278),
    [sym_false] = ACTIONS(3278),
    [sym_null] = ACTIONS(3278),
    [sym_undefined] = ACTIONS(3278),
    [anon_sym_AT] = ACTIONS(3278),
    [anon_sym_static] = ACTIONS(3278),
    [anon_sym_readonly] = ACTIONS(3278),
    [anon_sym_get] = ACTIONS(3278),
    [anon_sym_set] = ACTIONS(3278),
    [anon_sym_declare] = ACTIONS(3278),
    [anon_sym_public] = ACTIONS(3278),
    [anon_sym_private] = ACTIONS(3278),
    [anon_sym_protected] = ACTIONS(3278),
    [anon_sym_override] = ACTIONS(3278),
    [anon_sym_module] = ACTIONS(3278),
    [anon_sym_any] = ACTIONS(3278),
    [anon_sym_number] = ACTIONS(3278),
    [anon_sym_boolean] = ACTIONS(3278),
    [anon_sym_string] = ACTIONS(3278),
    [anon_sym_symbol] = ACTIONS(3278),
    [anon_sym_object] = ACTIONS(3278),
    [anon_sym_abstract] = ACTIONS(3278),
    [anon_sym_interface] = ACTIONS(3278),
    [anon_sym_enum] = ACTIONS(3278),
    [sym_html_comment] = ACTIONS(5),
  },
  [1359] = {
    [sym_comment] = STATE(1359),
    [ts_builtin_sym_end] = ACTIONS(2197),
    [sym_identifier] = ACTIONS(2195),
    [anon_sym_export] = ACTIONS(2195),
    [anon_sym_type] = ACTIONS(2195),
    [anon_sym_namespace] = ACTIONS(2195),
    [anon_sym_LBRACE] = ACTIONS(2195),
    [anon_sym_RBRACE] = ACTIONS(2195),
    [anon_sym_typeof] = ACTIONS(2195),
    [anon_sym_import] = ACTIONS(2195),
    [anon_sym_with] = ACTIONS(2195),
    [anon_sym_var] = ACTIONS(2195),
    [anon_sym_let] = ACTIONS(2195),
    [anon_sym_const] = ACTIONS(2195),
    [anon_sym_BANG] = ACTIONS(2195),
    [anon_sym_if] = ACTIONS(2195),
    [anon_sym_switch] = ACTIONS(2195),
    [anon_sym_for] = ACTIONS(2195),
    [anon_sym_LPAREN] = ACTIONS(2195),
    [anon_sym_await] = ACTIONS(2195),
    [anon_sym_while] = ACTIONS(2195),
    [anon_sym_do] = ACTIONS(2195),
    [anon_sym_try] = ACTIONS(2195),
    [anon_sym_break] = ACTIONS(2195),
    [anon_sym_continue] = ACTIONS(2195),
    [anon_sym_debugger] = ACTIONS(2195),
    [anon_sym_return] = ACTIONS(2195),
    [anon_sym_throw] = ACTIONS(2195),
    [anon_sym_SEMI] = ACTIONS(2195),
    [anon_sym_yield] = ACTIONS(2195),
    [anon_sym_LBRACK] = ACTIONS(2195),
    [anon_sym_LTtemplate_GT] = ACTIONS(2195),
    [anon_sym_DOT] = ACTIONS(2195),
    [anon_sym_DQUOTE] = ACTIONS(2195),
    [anon_sym_SQUOTE] = ACTIONS(2195),
    [anon_sym_class] = ACTIONS(2195),
    [anon_sym_async] = ACTIONS(2195),
    [anon_sym_function] = ACTIONS(2195),
    [anon_sym_new] = ACTIONS(2195),
    [anon_sym_using] = ACTIONS(2195),
    [anon_sym_PLUS] = ACTIONS(2195),
    [anon_sym_DASH] = ACTIONS(2195),
    [anon_sym_SLASH] = ACTIONS(2195),
    [anon_sym_LT] = ACTIONS(2195),
    [anon_sym_TILDE] = ACTIONS(2195),
    [anon_sym_void] = ACTIONS(2195),
    [anon_sym_delete] = ACTIONS(2195),
    [anon_sym_PLUS_PLUS] = ACTIONS(2195),
    [anon_sym_DASH_DASH] = ACTIONS(2195),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2195),
    [sym_number] = ACTIONS(2195),
    [sym_private_property_identifier] = ACTIONS(2195),
    [sym_this] = ACTIONS(2195),
    [sym_super] = ACTIONS(2195),
    [sym_true] = ACTIONS(2195),
    [sym_false] = ACTIONS(2195),
    [sym_null] = ACTIONS(2195),
    [sym_undefined] = ACTIONS(2195),
    [anon_sym_AT] = ACTIONS(2195),
    [anon_sym_static] = ACTIONS(2195),
    [anon_sym_readonly] = ACTIONS(2195),
    [anon_sym_get] = ACTIONS(2195),
    [anon_sym_set] = ACTIONS(2195),
    [anon_sym_declare] = ACTIONS(2195),
    [anon_sym_public] = ACTIONS(2195),
    [anon_sym_private] = ACTIONS(2195),
    [anon_sym_protected] = ACTIONS(2195),
    [anon_sym_override] = ACTIONS(2195),
    [anon_sym_module] = ACTIONS(2195),
    [anon_sym_any] = ACTIONS(2195),
    [anon_sym_number] = ACTIONS(2195),
    [anon_sym_boolean] = ACTIONS(2195),
    [anon_sym_string] = ACTIONS(2195),
    [anon_sym_symbol] = ACTIONS(2195),
    [anon_sym_object] = ACTIONS(2195),
    [anon_sym_abstract] = ACTIONS(2195),
    [anon_sym_interface] = ACTIONS(2195),
    [anon_sym_enum] = ACTIONS(2195),
    [sym_html_comment] = ACTIONS(5),
  },
  [1360] = {
    [sym_comment] = STATE(1360),
    [ts_builtin_sym_end] = ACTIONS(2083),
    [sym_identifier] = ACTIONS(2081),
    [anon_sym_export] = ACTIONS(2081),
    [anon_sym_type] = ACTIONS(2081),
    [anon_sym_namespace] = ACTIONS(2081),
    [anon_sym_LBRACE] = ACTIONS(2081),
    [anon_sym_RBRACE] = ACTIONS(2081),
    [anon_sym_typeof] = ACTIONS(2081),
    [anon_sym_import] = ACTIONS(2081),
    [anon_sym_with] = ACTIONS(2081),
    [anon_sym_var] = ACTIONS(2081),
    [anon_sym_let] = ACTIONS(2081),
    [anon_sym_const] = ACTIONS(2081),
    [anon_sym_BANG] = ACTIONS(2081),
    [anon_sym_if] = ACTIONS(2081),
    [anon_sym_switch] = ACTIONS(2081),
    [anon_sym_for] = ACTIONS(2081),
    [anon_sym_LPAREN] = ACTIONS(2081),
    [anon_sym_await] = ACTIONS(2081),
    [anon_sym_while] = ACTIONS(2081),
    [anon_sym_do] = ACTIONS(2081),
    [anon_sym_try] = ACTIONS(2081),
    [anon_sym_break] = ACTIONS(2081),
    [anon_sym_continue] = ACTIONS(2081),
    [anon_sym_debugger] = ACTIONS(2081),
    [anon_sym_return] = ACTIONS(2081),
    [anon_sym_throw] = ACTIONS(2081),
    [anon_sym_SEMI] = ACTIONS(2081),
    [anon_sym_yield] = ACTIONS(2081),
    [anon_sym_LBRACK] = ACTIONS(2081),
    [anon_sym_LTtemplate_GT] = ACTIONS(2081),
    [anon_sym_DOT] = ACTIONS(2081),
    [anon_sym_DQUOTE] = ACTIONS(2081),
    [anon_sym_SQUOTE] = ACTIONS(2081),
    [anon_sym_class] = ACTIONS(2081),
    [anon_sym_async] = ACTIONS(2081),
    [anon_sym_function] = ACTIONS(2081),
    [anon_sym_new] = ACTIONS(2081),
    [anon_sym_using] = ACTIONS(2081),
    [anon_sym_PLUS] = ACTIONS(2081),
    [anon_sym_DASH] = ACTIONS(2081),
    [anon_sym_SLASH] = ACTIONS(2081),
    [anon_sym_LT] = ACTIONS(2081),
    [anon_sym_TILDE] = ACTIONS(2081),
    [anon_sym_void] = ACTIONS(2081),
    [anon_sym_delete] = ACTIONS(2081),
    [anon_sym_PLUS_PLUS] = ACTIONS(2081),
    [anon_sym_DASH_DASH] = ACTIONS(2081),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2081),
    [sym_number] = ACTIONS(2081),
    [sym_private_property_identifier] = ACTIONS(2081),
    [sym_this] = ACTIONS(2081),
    [sym_super] = ACTIONS(2081),
    [sym_true] = ACTIONS(2081),
    [sym_false] = ACTIONS(2081),
    [sym_null] = ACTIONS(2081),
    [sym_undefined] = ACTIONS(2081),
    [anon_sym_AT] = ACTIONS(2081),
    [anon_sym_static] = ACTIONS(2081),
    [anon_sym_readonly] = ACTIONS(2081),
    [anon_sym_get] = ACTIONS(2081),
    [anon_sym_set] = ACTIONS(2081),
    [anon_sym_declare] = ACTIONS(2081),
    [anon_sym_public] = ACTIONS(2081),
    [anon_sym_private] = ACTIONS(2081),
    [anon_sym_protected] = ACTIONS(2081),
    [anon_sym_override] = ACTIONS(2081),
    [anon_sym_module] = ACTIONS(2081),
    [anon_sym_any] = ACTIONS(2081),
    [anon_sym_number] = ACTIONS(2081),
    [anon_sym_boolean] = ACTIONS(2081),
    [anon_sym_string] = ACTIONS(2081),
    [anon_sym_symbol] = ACTIONS(2081),
    [anon_sym_object] = ACTIONS(2081),
    [anon_sym_abstract] = ACTIONS(2081),
    [anon_sym_interface] = ACTIONS(2081),
    [anon_sym_enum] = ACTIONS(2081),
    [sym_html_comment] = ACTIONS(5),
  },
  [1361] = {
    [sym_comment] = STATE(1361),
    [ts_builtin_sym_end] = ACTIONS(3452),
    [sym_identifier] = ACTIONS(3320),
    [anon_sym_export] = ACTIONS(3320),
    [anon_sym_type] = ACTIONS(3320),
    [anon_sym_namespace] = ACTIONS(3320),
    [anon_sym_LBRACE] = ACTIONS(3320),
    [anon_sym_RBRACE] = ACTIONS(3320),
    [anon_sym_typeof] = ACTIONS(3320),
    [anon_sym_import] = ACTIONS(3320),
    [anon_sym_with] = ACTIONS(3320),
    [anon_sym_var] = ACTIONS(3320),
    [anon_sym_let] = ACTIONS(3320),
    [anon_sym_const] = ACTIONS(3320),
    [anon_sym_BANG] = ACTIONS(3320),
    [anon_sym_else] = ACTIONS(3320),
    [anon_sym_if] = ACTIONS(3320),
    [anon_sym_switch] = ACTIONS(3320),
    [anon_sym_for] = ACTIONS(3320),
    [anon_sym_LPAREN] = ACTIONS(3320),
    [anon_sym_await] = ACTIONS(3320),
    [anon_sym_while] = ACTIONS(3320),
    [anon_sym_do] = ACTIONS(3320),
    [anon_sym_try] = ACTIONS(3320),
    [anon_sym_break] = ACTIONS(3320),
    [anon_sym_continue] = ACTIONS(3320),
    [anon_sym_debugger] = ACTIONS(3320),
    [anon_sym_return] = ACTIONS(3320),
    [anon_sym_throw] = ACTIONS(3320),
    [anon_sym_SEMI] = ACTIONS(3320),
    [anon_sym_yield] = ACTIONS(3320),
    [anon_sym_LBRACK] = ACTIONS(3320),
    [anon_sym_LTtemplate_GT] = ACTIONS(3320),
    [anon_sym_DQUOTE] = ACTIONS(3320),
    [anon_sym_SQUOTE] = ACTIONS(3320),
    [anon_sym_class] = ACTIONS(3320),
    [anon_sym_async] = ACTIONS(3320),
    [anon_sym_function] = ACTIONS(3320),
    [anon_sym_new] = ACTIONS(3320),
    [anon_sym_using] = ACTIONS(3320),
    [anon_sym_PLUS] = ACTIONS(3320),
    [anon_sym_DASH] = ACTIONS(3320),
    [anon_sym_SLASH] = ACTIONS(3320),
    [anon_sym_LT] = ACTIONS(3320),
    [anon_sym_TILDE] = ACTIONS(3320),
    [anon_sym_void] = ACTIONS(3320),
    [anon_sym_delete] = ACTIONS(3320),
    [anon_sym_PLUS_PLUS] = ACTIONS(3320),
    [anon_sym_DASH_DASH] = ACTIONS(3320),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3320),
    [sym_number] = ACTIONS(3320),
    [sym_private_property_identifier] = ACTIONS(3320),
    [sym_this] = ACTIONS(3320),
    [sym_super] = ACTIONS(3320),
    [sym_true] = ACTIONS(3320),
    [sym_false] = ACTIONS(3320),
    [sym_null] = ACTIONS(3320),
    [sym_undefined] = ACTIONS(3320),
    [anon_sym_AT] = ACTIONS(3320),
    [anon_sym_static] = ACTIONS(3320),
    [anon_sym_readonly] = ACTIONS(3320),
    [anon_sym_get] = ACTIONS(3320),
    [anon_sym_set] = ACTIONS(3320),
    [anon_sym_declare] = ACTIONS(3320),
    [anon_sym_public] = ACTIONS(3320),
    [anon_sym_private] = ACTIONS(3320),
    [anon_sym_protected] = ACTIONS(3320),
    [anon_sym_override] = ACTIONS(3320),
    [anon_sym_module] = ACTIONS(3320),
    [anon_sym_any] = ACTIONS(3320),
    [anon_sym_number] = ACTIONS(3320),
    [anon_sym_boolean] = ACTIONS(3320),
    [anon_sym_string] = ACTIONS(3320),
    [anon_sym_symbol] = ACTIONS(3320),
    [anon_sym_object] = ACTIONS(3320),
    [anon_sym_abstract] = ACTIONS(3320),
    [anon_sym_interface] = ACTIONS(3320),
    [anon_sym_enum] = ACTIONS(3320),
    [sym_html_comment] = ACTIONS(5),
  },
  [1362] = {
    [sym_comment] = STATE(1362),
    [ts_builtin_sym_end] = ACTIONS(3454),
    [sym_identifier] = ACTIONS(3322),
    [anon_sym_export] = ACTIONS(3322),
    [anon_sym_type] = ACTIONS(3322),
    [anon_sym_namespace] = ACTIONS(3322),
    [anon_sym_LBRACE] = ACTIONS(3322),
    [anon_sym_RBRACE] = ACTIONS(3322),
    [anon_sym_typeof] = ACTIONS(3322),
    [anon_sym_import] = ACTIONS(3322),
    [anon_sym_with] = ACTIONS(3322),
    [anon_sym_var] = ACTIONS(3322),
    [anon_sym_let] = ACTIONS(3322),
    [anon_sym_const] = ACTIONS(3322),
    [anon_sym_BANG] = ACTIONS(3322),
    [anon_sym_else] = ACTIONS(3322),
    [anon_sym_if] = ACTIONS(3322),
    [anon_sym_switch] = ACTIONS(3322),
    [anon_sym_for] = ACTIONS(3322),
    [anon_sym_LPAREN] = ACTIONS(3322),
    [anon_sym_await] = ACTIONS(3322),
    [anon_sym_while] = ACTIONS(3322),
    [anon_sym_do] = ACTIONS(3322),
    [anon_sym_try] = ACTIONS(3322),
    [anon_sym_break] = ACTIONS(3322),
    [anon_sym_continue] = ACTIONS(3322),
    [anon_sym_debugger] = ACTIONS(3322),
    [anon_sym_return] = ACTIONS(3322),
    [anon_sym_throw] = ACTIONS(3322),
    [anon_sym_SEMI] = ACTIONS(3322),
    [anon_sym_yield] = ACTIONS(3322),
    [anon_sym_LBRACK] = ACTIONS(3322),
    [anon_sym_LTtemplate_GT] = ACTIONS(3322),
    [anon_sym_DQUOTE] = ACTIONS(3322),
    [anon_sym_SQUOTE] = ACTIONS(3322),
    [anon_sym_class] = ACTIONS(3322),
    [anon_sym_async] = ACTIONS(3322),
    [anon_sym_function] = ACTIONS(3322),
    [anon_sym_new] = ACTIONS(3322),
    [anon_sym_using] = ACTIONS(3322),
    [anon_sym_PLUS] = ACTIONS(3322),
    [anon_sym_DASH] = ACTIONS(3322),
    [anon_sym_SLASH] = ACTIONS(3322),
    [anon_sym_LT] = ACTIONS(3322),
    [anon_sym_TILDE] = ACTIONS(3322),
    [anon_sym_void] = ACTIONS(3322),
    [anon_sym_delete] = ACTIONS(3322),
    [anon_sym_PLUS_PLUS] = ACTIONS(3322),
    [anon_sym_DASH_DASH] = ACTIONS(3322),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3322),
    [sym_number] = ACTIONS(3322),
    [sym_private_property_identifier] = ACTIONS(3322),
    [sym_this] = ACTIONS(3322),
    [sym_super] = ACTIONS(3322),
    [sym_true] = ACTIONS(3322),
    [sym_false] = ACTIONS(3322),
    [sym_null] = ACTIONS(3322),
    [sym_undefined] = ACTIONS(3322),
    [anon_sym_AT] = ACTIONS(3322),
    [anon_sym_static] = ACTIONS(3322),
    [anon_sym_readonly] = ACTIONS(3322),
    [anon_sym_get] = ACTIONS(3322),
    [anon_sym_set] = ACTIONS(3322),
    [anon_sym_declare] = ACTIONS(3322),
    [anon_sym_public] = ACTIONS(3322),
    [anon_sym_private] = ACTIONS(3322),
    [anon_sym_protected] = ACTIONS(3322),
    [anon_sym_override] = ACTIONS(3322),
    [anon_sym_module] = ACTIONS(3322),
    [anon_sym_any] = ACTIONS(3322),
    [anon_sym_number] = ACTIONS(3322),
    [anon_sym_boolean] = ACTIONS(3322),
    [anon_sym_string] = ACTIONS(3322),
    [anon_sym_symbol] = ACTIONS(3322),
    [anon_sym_object] = ACTIONS(3322),
    [anon_sym_abstract] = ACTIONS(3322),
    [anon_sym_interface] = ACTIONS(3322),
    [anon_sym_enum] = ACTIONS(3322),
    [sym_html_comment] = ACTIONS(5),
  },
  [1363] = {
    [sym_comment] = STATE(1363),
    [ts_builtin_sym_end] = ACTIONS(3456),
    [sym_identifier] = ACTIONS(3324),
    [anon_sym_export] = ACTIONS(3324),
    [anon_sym_type] = ACTIONS(3324),
    [anon_sym_namespace] = ACTIONS(3324),
    [anon_sym_LBRACE] = ACTIONS(3324),
    [anon_sym_RBRACE] = ACTIONS(3324),
    [anon_sym_typeof] = ACTIONS(3324),
    [anon_sym_import] = ACTIONS(3324),
    [anon_sym_with] = ACTIONS(3324),
    [anon_sym_var] = ACTIONS(3324),
    [anon_sym_let] = ACTIONS(3324),
    [anon_sym_const] = ACTIONS(3324),
    [anon_sym_BANG] = ACTIONS(3324),
    [anon_sym_else] = ACTIONS(3324),
    [anon_sym_if] = ACTIONS(3324),
    [anon_sym_switch] = ACTIONS(3324),
    [anon_sym_for] = ACTIONS(3324),
    [anon_sym_LPAREN] = ACTIONS(3324),
    [anon_sym_await] = ACTIONS(3324),
    [anon_sym_while] = ACTIONS(3324),
    [anon_sym_do] = ACTIONS(3324),
    [anon_sym_try] = ACTIONS(3324),
    [anon_sym_break] = ACTIONS(3324),
    [anon_sym_continue] = ACTIONS(3324),
    [anon_sym_debugger] = ACTIONS(3324),
    [anon_sym_return] = ACTIONS(3324),
    [anon_sym_throw] = ACTIONS(3324),
    [anon_sym_SEMI] = ACTIONS(3324),
    [anon_sym_yield] = ACTIONS(3324),
    [anon_sym_LBRACK] = ACTIONS(3324),
    [anon_sym_LTtemplate_GT] = ACTIONS(3324),
    [anon_sym_DQUOTE] = ACTIONS(3324),
    [anon_sym_SQUOTE] = ACTIONS(3324),
    [anon_sym_class] = ACTIONS(3324),
    [anon_sym_async] = ACTIONS(3324),
    [anon_sym_function] = ACTIONS(3324),
    [anon_sym_new] = ACTIONS(3324),
    [anon_sym_using] = ACTIONS(3324),
    [anon_sym_PLUS] = ACTIONS(3324),
    [anon_sym_DASH] = ACTIONS(3324),
    [anon_sym_SLASH] = ACTIONS(3324),
    [anon_sym_LT] = ACTIONS(3324),
    [anon_sym_TILDE] = ACTIONS(3324),
    [anon_sym_void] = ACTIONS(3324),
    [anon_sym_delete] = ACTIONS(3324),
    [anon_sym_PLUS_PLUS] = ACTIONS(3324),
    [anon_sym_DASH_DASH] = ACTIONS(3324),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3324),
    [sym_number] = ACTIONS(3324),
    [sym_private_property_identifier] = ACTIONS(3324),
    [sym_this] = ACTIONS(3324),
    [sym_super] = ACTIONS(3324),
    [sym_true] = ACTIONS(3324),
    [sym_false] = ACTIONS(3324),
    [sym_null] = ACTIONS(3324),
    [sym_undefined] = ACTIONS(3324),
    [anon_sym_AT] = ACTIONS(3324),
    [anon_sym_static] = ACTIONS(3324),
    [anon_sym_readonly] = ACTIONS(3324),
    [anon_sym_get] = ACTIONS(3324),
    [anon_sym_set] = ACTIONS(3324),
    [anon_sym_declare] = ACTIONS(3324),
    [anon_sym_public] = ACTIONS(3324),
    [anon_sym_private] = ACTIONS(3324),
    [anon_sym_protected] = ACTIONS(3324),
    [anon_sym_override] = ACTIONS(3324),
    [anon_sym_module] = ACTIONS(3324),
    [anon_sym_any] = ACTIONS(3324),
    [anon_sym_number] = ACTIONS(3324),
    [anon_sym_boolean] = ACTIONS(3324),
    [anon_sym_string] = ACTIONS(3324),
    [anon_sym_symbol] = ACTIONS(3324),
    [anon_sym_object] = ACTIONS(3324),
    [anon_sym_abstract] = ACTIONS(3324),
    [anon_sym_interface] = ACTIONS(3324),
    [anon_sym_enum] = ACTIONS(3324),
    [sym_html_comment] = ACTIONS(5),
  },
  [1364] = {
    [sym_comment] = STATE(1364),
    [ts_builtin_sym_end] = ACTIONS(3456),
    [sym_identifier] = ACTIONS(3324),
    [anon_sym_export] = ACTIONS(3324),
    [anon_sym_type] = ACTIONS(3324),
    [anon_sym_namespace] = ACTIONS(3324),
    [anon_sym_LBRACE] = ACTIONS(3324),
    [anon_sym_RBRACE] = ACTIONS(3324),
    [anon_sym_typeof] = ACTIONS(3324),
    [anon_sym_import] = ACTIONS(3324),
    [anon_sym_with] = ACTIONS(3324),
    [anon_sym_var] = ACTIONS(3324),
    [anon_sym_let] = ACTIONS(3324),
    [anon_sym_const] = ACTIONS(3324),
    [anon_sym_BANG] = ACTIONS(3324),
    [anon_sym_else] = ACTIONS(3324),
    [anon_sym_if] = ACTIONS(3324),
    [anon_sym_switch] = ACTIONS(3324),
    [anon_sym_for] = ACTIONS(3324),
    [anon_sym_LPAREN] = ACTIONS(3324),
    [anon_sym_await] = ACTIONS(3324),
    [anon_sym_while] = ACTIONS(3324),
    [anon_sym_do] = ACTIONS(3324),
    [anon_sym_try] = ACTIONS(3324),
    [anon_sym_break] = ACTIONS(3324),
    [anon_sym_continue] = ACTIONS(3324),
    [anon_sym_debugger] = ACTIONS(3324),
    [anon_sym_return] = ACTIONS(3324),
    [anon_sym_throw] = ACTIONS(3324),
    [anon_sym_SEMI] = ACTIONS(3324),
    [anon_sym_yield] = ACTIONS(3324),
    [anon_sym_LBRACK] = ACTIONS(3324),
    [anon_sym_LTtemplate_GT] = ACTIONS(3324),
    [anon_sym_DQUOTE] = ACTIONS(3324),
    [anon_sym_SQUOTE] = ACTIONS(3324),
    [anon_sym_class] = ACTIONS(3324),
    [anon_sym_async] = ACTIONS(3324),
    [anon_sym_function] = ACTIONS(3324),
    [anon_sym_new] = ACTIONS(3324),
    [anon_sym_using] = ACTIONS(3324),
    [anon_sym_PLUS] = ACTIONS(3324),
    [anon_sym_DASH] = ACTIONS(3324),
    [anon_sym_SLASH] = ACTIONS(3324),
    [anon_sym_LT] = ACTIONS(3324),
    [anon_sym_TILDE] = ACTIONS(3324),
    [anon_sym_void] = ACTIONS(3324),
    [anon_sym_delete] = ACTIONS(3324),
    [anon_sym_PLUS_PLUS] = ACTIONS(3324),
    [anon_sym_DASH_DASH] = ACTIONS(3324),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3324),
    [sym_number] = ACTIONS(3324),
    [sym_private_property_identifier] = ACTIONS(3324),
    [sym_this] = ACTIONS(3324),
    [sym_super] = ACTIONS(3324),
    [sym_true] = ACTIONS(3324),
    [sym_false] = ACTIONS(3324),
    [sym_null] = ACTIONS(3324),
    [sym_undefined] = ACTIONS(3324),
    [anon_sym_AT] = ACTIONS(3324),
    [anon_sym_static] = ACTIONS(3324),
    [anon_sym_readonly] = ACTIONS(3324),
    [anon_sym_get] = ACTIONS(3324),
    [anon_sym_set] = ACTIONS(3324),
    [anon_sym_declare] = ACTIONS(3324),
    [anon_sym_public] = ACTIONS(3324),
    [anon_sym_private] = ACTIONS(3324),
    [anon_sym_protected] = ACTIONS(3324),
    [anon_sym_override] = ACTIONS(3324),
    [anon_sym_module] = ACTIONS(3324),
    [anon_sym_any] = ACTIONS(3324),
    [anon_sym_number] = ACTIONS(3324),
    [anon_sym_boolean] = ACTIONS(3324),
    [anon_sym_string] = ACTIONS(3324),
    [anon_sym_symbol] = ACTIONS(3324),
    [anon_sym_object] = ACTIONS(3324),
    [anon_sym_abstract] = ACTIONS(3324),
    [anon_sym_interface] = ACTIONS(3324),
    [anon_sym_enum] = ACTIONS(3324),
    [sym_html_comment] = ACTIONS(5),
  },
  [1365] = {
    [sym_comment] = STATE(1365),
    [ts_builtin_sym_end] = ACTIONS(3458),
    [sym_identifier] = ACTIONS(3326),
    [anon_sym_export] = ACTIONS(3326),
    [anon_sym_type] = ACTIONS(3326),
    [anon_sym_namespace] = ACTIONS(3326),
    [anon_sym_LBRACE] = ACTIONS(3326),
    [anon_sym_RBRACE] = ACTIONS(3326),
    [anon_sym_typeof] = ACTIONS(3326),
    [anon_sym_import] = ACTIONS(3326),
    [anon_sym_with] = ACTIONS(3326),
    [anon_sym_var] = ACTIONS(3326),
    [anon_sym_let] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3326),
    [anon_sym_BANG] = ACTIONS(3326),
    [anon_sym_else] = ACTIONS(3326),
    [anon_sym_if] = ACTIONS(3326),
    [anon_sym_switch] = ACTIONS(3326),
    [anon_sym_for] = ACTIONS(3326),
    [anon_sym_LPAREN] = ACTIONS(3326),
    [anon_sym_await] = ACTIONS(3326),
    [anon_sym_while] = ACTIONS(3326),
    [anon_sym_do] = ACTIONS(3326),
    [anon_sym_try] = ACTIONS(3326),
    [anon_sym_break] = ACTIONS(3326),
    [anon_sym_continue] = ACTIONS(3326),
    [anon_sym_debugger] = ACTIONS(3326),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_throw] = ACTIONS(3326),
    [anon_sym_SEMI] = ACTIONS(3326),
    [anon_sym_yield] = ACTIONS(3326),
    [anon_sym_LBRACK] = ACTIONS(3326),
    [anon_sym_LTtemplate_GT] = ACTIONS(3326),
    [anon_sym_DQUOTE] = ACTIONS(3326),
    [anon_sym_SQUOTE] = ACTIONS(3326),
    [anon_sym_class] = ACTIONS(3326),
    [anon_sym_async] = ACTIONS(3326),
    [anon_sym_function] = ACTIONS(3326),
    [anon_sym_new] = ACTIONS(3326),
    [anon_sym_using] = ACTIONS(3326),
    [anon_sym_PLUS] = ACTIONS(3326),
    [anon_sym_DASH] = ACTIONS(3326),
    [anon_sym_SLASH] = ACTIONS(3326),
    [anon_sym_LT] = ACTIONS(3326),
    [anon_sym_TILDE] = ACTIONS(3326),
    [anon_sym_void] = ACTIONS(3326),
    [anon_sym_delete] = ACTIONS(3326),
    [anon_sym_PLUS_PLUS] = ACTIONS(3326),
    [anon_sym_DASH_DASH] = ACTIONS(3326),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3326),
    [sym_number] = ACTIONS(3326),
    [sym_private_property_identifier] = ACTIONS(3326),
    [sym_this] = ACTIONS(3326),
    [sym_super] = ACTIONS(3326),
    [sym_true] = ACTIONS(3326),
    [sym_false] = ACTIONS(3326),
    [sym_null] = ACTIONS(3326),
    [sym_undefined] = ACTIONS(3326),
    [anon_sym_AT] = ACTIONS(3326),
    [anon_sym_static] = ACTIONS(3326),
    [anon_sym_readonly] = ACTIONS(3326),
    [anon_sym_get] = ACTIONS(3326),
    [anon_sym_set] = ACTIONS(3326),
    [anon_sym_declare] = ACTIONS(3326),
    [anon_sym_public] = ACTIONS(3326),
    [anon_sym_private] = ACTIONS(3326),
    [anon_sym_protected] = ACTIONS(3326),
    [anon_sym_override] = ACTIONS(3326),
    [anon_sym_module] = ACTIONS(3326),
    [anon_sym_any] = ACTIONS(3326),
    [anon_sym_number] = ACTIONS(3326),
    [anon_sym_boolean] = ACTIONS(3326),
    [anon_sym_string] = ACTIONS(3326),
    [anon_sym_symbol] = ACTIONS(3326),
    [anon_sym_object] = ACTIONS(3326),
    [anon_sym_abstract] = ACTIONS(3326),
    [anon_sym_interface] = ACTIONS(3326),
    [anon_sym_enum] = ACTIONS(3326),
    [sym_html_comment] = ACTIONS(5),
  },
  [1366] = {
    [sym_comment] = STATE(1366),
    [ts_builtin_sym_end] = ACTIONS(3460),
    [sym_identifier] = ACTIONS(3138),
    [anon_sym_export] = ACTIONS(3138),
    [anon_sym_type] = ACTIONS(3138),
    [anon_sym_namespace] = ACTIONS(3138),
    [anon_sym_LBRACE] = ACTIONS(3138),
    [anon_sym_RBRACE] = ACTIONS(3138),
    [anon_sym_typeof] = ACTIONS(3138),
    [anon_sym_import] = ACTIONS(3138),
    [anon_sym_with] = ACTIONS(3138),
    [anon_sym_var] = ACTIONS(3138),
    [anon_sym_let] = ACTIONS(3138),
    [anon_sym_const] = ACTIONS(3138),
    [anon_sym_BANG] = ACTIONS(3138),
    [anon_sym_else] = ACTIONS(3138),
    [anon_sym_if] = ACTIONS(3138),
    [anon_sym_switch] = ACTIONS(3138),
    [anon_sym_for] = ACTIONS(3138),
    [anon_sym_LPAREN] = ACTIONS(3138),
    [anon_sym_await] = ACTIONS(3138),
    [anon_sym_while] = ACTIONS(3138),
    [anon_sym_do] = ACTIONS(3138),
    [anon_sym_try] = ACTIONS(3138),
    [anon_sym_break] = ACTIONS(3138),
    [anon_sym_continue] = ACTIONS(3138),
    [anon_sym_debugger] = ACTIONS(3138),
    [anon_sym_return] = ACTIONS(3138),
    [anon_sym_throw] = ACTIONS(3138),
    [anon_sym_SEMI] = ACTIONS(3138),
    [anon_sym_yield] = ACTIONS(3138),
    [anon_sym_LBRACK] = ACTIONS(3138),
    [anon_sym_LTtemplate_GT] = ACTIONS(3138),
    [anon_sym_DQUOTE] = ACTIONS(3138),
    [anon_sym_SQUOTE] = ACTIONS(3138),
    [anon_sym_class] = ACTIONS(3138),
    [anon_sym_async] = ACTIONS(3138),
    [anon_sym_function] = ACTIONS(3138),
    [anon_sym_new] = ACTIONS(3138),
    [anon_sym_using] = ACTIONS(3138),
    [anon_sym_PLUS] = ACTIONS(3138),
    [anon_sym_DASH] = ACTIONS(3138),
    [anon_sym_SLASH] = ACTIONS(3138),
    [anon_sym_LT] = ACTIONS(3138),
    [anon_sym_TILDE] = ACTIONS(3138),
    [anon_sym_void] = ACTIONS(3138),
    [anon_sym_delete] = ACTIONS(3138),
    [anon_sym_PLUS_PLUS] = ACTIONS(3138),
    [anon_sym_DASH_DASH] = ACTIONS(3138),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3138),
    [sym_number] = ACTIONS(3138),
    [sym_private_property_identifier] = ACTIONS(3138),
    [sym_this] = ACTIONS(3138),
    [sym_super] = ACTIONS(3138),
    [sym_true] = ACTIONS(3138),
    [sym_false] = ACTIONS(3138),
    [sym_null] = ACTIONS(3138),
    [sym_undefined] = ACTIONS(3138),
    [anon_sym_AT] = ACTIONS(3138),
    [anon_sym_static] = ACTIONS(3138),
    [anon_sym_readonly] = ACTIONS(3138),
    [anon_sym_get] = ACTIONS(3138),
    [anon_sym_set] = ACTIONS(3138),
    [anon_sym_declare] = ACTIONS(3138),
    [anon_sym_public] = ACTIONS(3138),
    [anon_sym_private] = ACTIONS(3138),
    [anon_sym_protected] = ACTIONS(3138),
    [anon_sym_override] = ACTIONS(3138),
    [anon_sym_module] = ACTIONS(3138),
    [anon_sym_any] = ACTIONS(3138),
    [anon_sym_number] = ACTIONS(3138),
    [anon_sym_boolean] = ACTIONS(3138),
    [anon_sym_string] = ACTIONS(3138),
    [anon_sym_symbol] = ACTIONS(3138),
    [anon_sym_object] = ACTIONS(3138),
    [anon_sym_abstract] = ACTIONS(3138),
    [anon_sym_interface] = ACTIONS(3138),
    [anon_sym_enum] = ACTIONS(3138),
    [sym_html_comment] = ACTIONS(5),
  },
  [1367] = {
    [sym_comment] = STATE(1367),
    [ts_builtin_sym_end] = ACTIONS(3462),
    [sym_identifier] = ACTIONS(3132),
    [anon_sym_export] = ACTIONS(3132),
    [anon_sym_type] = ACTIONS(3132),
    [anon_sym_namespace] = ACTIONS(3132),
    [anon_sym_LBRACE] = ACTIONS(3132),
    [anon_sym_RBRACE] = ACTIONS(3132),
    [anon_sym_typeof] = ACTIONS(3132),
    [anon_sym_import] = ACTIONS(3132),
    [anon_sym_with] = ACTIONS(3132),
    [anon_sym_var] = ACTIONS(3132),
    [anon_sym_let] = ACTIONS(3132),
    [anon_sym_const] = ACTIONS(3132),
    [anon_sym_BANG] = ACTIONS(3132),
    [anon_sym_else] = ACTIONS(3132),
    [anon_sym_if] = ACTIONS(3132),
    [anon_sym_switch] = ACTIONS(3132),
    [anon_sym_for] = ACTIONS(3132),
    [anon_sym_LPAREN] = ACTIONS(3132),
    [anon_sym_await] = ACTIONS(3132),
    [anon_sym_while] = ACTIONS(3132),
    [anon_sym_do] = ACTIONS(3132),
    [anon_sym_try] = ACTIONS(3132),
    [anon_sym_break] = ACTIONS(3132),
    [anon_sym_continue] = ACTIONS(3132),
    [anon_sym_debugger] = ACTIONS(3132),
    [anon_sym_return] = ACTIONS(3132),
    [anon_sym_throw] = ACTIONS(3132),
    [anon_sym_SEMI] = ACTIONS(3132),
    [anon_sym_yield] = ACTIONS(3132),
    [anon_sym_LBRACK] = ACTIONS(3132),
    [anon_sym_LTtemplate_GT] = ACTIONS(3132),
    [anon_sym_DQUOTE] = ACTIONS(3132),
    [anon_sym_SQUOTE] = ACTIONS(3132),
    [anon_sym_class] = ACTIONS(3132),
    [anon_sym_async] = ACTIONS(3132),
    [anon_sym_function] = ACTIONS(3132),
    [anon_sym_new] = ACTIONS(3132),
    [anon_sym_using] = ACTIONS(3132),
    [anon_sym_PLUS] = ACTIONS(3132),
    [anon_sym_DASH] = ACTIONS(3132),
    [anon_sym_SLASH] = ACTIONS(3132),
    [anon_sym_LT] = ACTIONS(3132),
    [anon_sym_TILDE] = ACTIONS(3132),
    [anon_sym_void] = ACTIONS(3132),
    [anon_sym_delete] = ACTIONS(3132),
    [anon_sym_PLUS_PLUS] = ACTIONS(3132),
    [anon_sym_DASH_DASH] = ACTIONS(3132),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3132),
    [sym_number] = ACTIONS(3132),
    [sym_private_property_identifier] = ACTIONS(3132),
    [sym_this] = ACTIONS(3132),
    [sym_super] = ACTIONS(3132),
    [sym_true] = ACTIONS(3132),
    [sym_false] = ACTIONS(3132),
    [sym_null] = ACTIONS(3132),
    [sym_undefined] = ACTIONS(3132),
    [anon_sym_AT] = ACTIONS(3132),
    [anon_sym_static] = ACTIONS(3132),
    [anon_sym_readonly] = ACTIONS(3132),
    [anon_sym_get] = ACTIONS(3132),
    [anon_sym_set] = ACTIONS(3132),
    [anon_sym_declare] = ACTIONS(3132),
    [anon_sym_public] = ACTIONS(3132),
    [anon_sym_private] = ACTIONS(3132),
    [anon_sym_protected] = ACTIONS(3132),
    [anon_sym_override] = ACTIONS(3132),
    [anon_sym_module] = ACTIONS(3132),
    [anon_sym_any] = ACTIONS(3132),
    [anon_sym_number] = ACTIONS(3132),
    [anon_sym_boolean] = ACTIONS(3132),
    [anon_sym_string] = ACTIONS(3132),
    [anon_sym_symbol] = ACTIONS(3132),
    [anon_sym_object] = ACTIONS(3132),
    [anon_sym_abstract] = ACTIONS(3132),
    [anon_sym_interface] = ACTIONS(3132),
    [anon_sym_enum] = ACTIONS(3132),
    [sym_html_comment] = ACTIONS(5),
  },
  [1368] = {
    [sym_comment] = STATE(1368),
    [ts_builtin_sym_end] = ACTIONS(3464),
    [sym_identifier] = ACTIONS(3250),
    [anon_sym_export] = ACTIONS(3250),
    [anon_sym_type] = ACTIONS(3250),
    [anon_sym_namespace] = ACTIONS(3250),
    [anon_sym_LBRACE] = ACTIONS(3250),
    [anon_sym_RBRACE] = ACTIONS(3250),
    [anon_sym_typeof] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3250),
    [anon_sym_with] = ACTIONS(3250),
    [anon_sym_var] = ACTIONS(3250),
    [anon_sym_let] = ACTIONS(3250),
    [anon_sym_const] = ACTIONS(3250),
    [anon_sym_BANG] = ACTIONS(3250),
    [anon_sym_else] = ACTIONS(3250),
    [anon_sym_if] = ACTIONS(3250),
    [anon_sym_switch] = ACTIONS(3250),
    [anon_sym_for] = ACTIONS(3250),
    [anon_sym_LPAREN] = ACTIONS(3250),
    [anon_sym_await] = ACTIONS(3250),
    [anon_sym_while] = ACTIONS(3250),
    [anon_sym_do] = ACTIONS(3250),
    [anon_sym_try] = ACTIONS(3250),
    [anon_sym_break] = ACTIONS(3250),
    [anon_sym_continue] = ACTIONS(3250),
    [anon_sym_debugger] = ACTIONS(3250),
    [anon_sym_return] = ACTIONS(3250),
    [anon_sym_throw] = ACTIONS(3250),
    [anon_sym_SEMI] = ACTIONS(3250),
    [anon_sym_yield] = ACTIONS(3250),
    [anon_sym_LBRACK] = ACTIONS(3250),
    [anon_sym_LTtemplate_GT] = ACTIONS(3250),
    [anon_sym_DQUOTE] = ACTIONS(3250),
    [anon_sym_SQUOTE] = ACTIONS(3250),
    [anon_sym_class] = ACTIONS(3250),
    [anon_sym_async] = ACTIONS(3250),
    [anon_sym_function] = ACTIONS(3250),
    [anon_sym_new] = ACTIONS(3250),
    [anon_sym_using] = ACTIONS(3250),
    [anon_sym_PLUS] = ACTIONS(3250),
    [anon_sym_DASH] = ACTIONS(3250),
    [anon_sym_SLASH] = ACTIONS(3250),
    [anon_sym_LT] = ACTIONS(3250),
    [anon_sym_TILDE] = ACTIONS(3250),
    [anon_sym_void] = ACTIONS(3250),
    [anon_sym_delete] = ACTIONS(3250),
    [anon_sym_PLUS_PLUS] = ACTIONS(3250),
    [anon_sym_DASH_DASH] = ACTIONS(3250),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3250),
    [sym_number] = ACTIONS(3250),
    [sym_private_property_identifier] = ACTIONS(3250),
    [sym_this] = ACTIONS(3250),
    [sym_super] = ACTIONS(3250),
    [sym_true] = ACTIONS(3250),
    [sym_false] = ACTIONS(3250),
    [sym_null] = ACTIONS(3250),
    [sym_undefined] = ACTIONS(3250),
    [anon_sym_AT] = ACTIONS(3250),
    [anon_sym_static] = ACTIONS(3250),
    [anon_sym_readonly] = ACTIONS(3250),
    [anon_sym_get] = ACTIONS(3250),
    [anon_sym_set] = ACTIONS(3250),
    [anon_sym_declare] = ACTIONS(3250),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_private] = ACTIONS(3250),
    [anon_sym_protected] = ACTIONS(3250),
    [anon_sym_override] = ACTIONS(3250),
    [anon_sym_module] = ACTIONS(3250),
    [anon_sym_any] = ACTIONS(3250),
    [anon_sym_number] = ACTIONS(3250),
    [anon_sym_boolean] = ACTIONS(3250),
    [anon_sym_string] = ACTIONS(3250),
    [anon_sym_symbol] = ACTIONS(3250),
    [anon_sym_object] = ACTIONS(3250),
    [anon_sym_abstract] = ACTIONS(3250),
    [anon_sym_interface] = ACTIONS(3250),
    [anon_sym_enum] = ACTIONS(3250),
    [sym_html_comment] = ACTIONS(5),
  },
  [1369] = {
    [sym_comment] = STATE(1369),
    [ts_builtin_sym_end] = ACTIONS(3466),
    [sym_identifier] = ACTIONS(3332),
    [anon_sym_export] = ACTIONS(3332),
    [anon_sym_type] = ACTIONS(3332),
    [anon_sym_namespace] = ACTIONS(3332),
    [anon_sym_LBRACE] = ACTIONS(3332),
    [anon_sym_RBRACE] = ACTIONS(3332),
    [anon_sym_typeof] = ACTIONS(3332),
    [anon_sym_import] = ACTIONS(3332),
    [anon_sym_with] = ACTIONS(3332),
    [anon_sym_var] = ACTIONS(3332),
    [anon_sym_let] = ACTIONS(3332),
    [anon_sym_const] = ACTIONS(3332),
    [anon_sym_BANG] = ACTIONS(3332),
    [anon_sym_else] = ACTIONS(3332),
    [anon_sym_if] = ACTIONS(3332),
    [anon_sym_switch] = ACTIONS(3332),
    [anon_sym_for] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(3332),
    [anon_sym_await] = ACTIONS(3332),
    [anon_sym_while] = ACTIONS(3332),
    [anon_sym_do] = ACTIONS(3332),
    [anon_sym_try] = ACTIONS(3332),
    [anon_sym_break] = ACTIONS(3332),
    [anon_sym_continue] = ACTIONS(3332),
    [anon_sym_debugger] = ACTIONS(3332),
    [anon_sym_return] = ACTIONS(3332),
    [anon_sym_throw] = ACTIONS(3332),
    [anon_sym_SEMI] = ACTIONS(3332),
    [anon_sym_yield] = ACTIONS(3332),
    [anon_sym_LBRACK] = ACTIONS(3332),
    [anon_sym_LTtemplate_GT] = ACTIONS(3332),
    [anon_sym_DQUOTE] = ACTIONS(3332),
    [anon_sym_SQUOTE] = ACTIONS(3332),
    [anon_sym_class] = ACTIONS(3332),
    [anon_sym_async] = ACTIONS(3332),
    [anon_sym_function] = ACTIONS(3332),
    [anon_sym_new] = ACTIONS(3332),
    [anon_sym_using] = ACTIONS(3332),
    [anon_sym_PLUS] = ACTIONS(3332),
    [anon_sym_DASH] = ACTIONS(3332),
    [anon_sym_SLASH] = ACTIONS(3332),
    [anon_sym_LT] = ACTIONS(3332),
    [anon_sym_TILDE] = ACTIONS(3332),
    [anon_sym_void] = ACTIONS(3332),
    [anon_sym_delete] = ACTIONS(3332),
    [anon_sym_PLUS_PLUS] = ACTIONS(3332),
    [anon_sym_DASH_DASH] = ACTIONS(3332),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3332),
    [sym_number] = ACTIONS(3332),
    [sym_private_property_identifier] = ACTIONS(3332),
    [sym_this] = ACTIONS(3332),
    [sym_super] = ACTIONS(3332),
    [sym_true] = ACTIONS(3332),
    [sym_false] = ACTIONS(3332),
    [sym_null] = ACTIONS(3332),
    [sym_undefined] = ACTIONS(3332),
    [anon_sym_AT] = ACTIONS(3332),
    [anon_sym_static] = ACTIONS(3332),
    [anon_sym_readonly] = ACTIONS(3332),
    [anon_sym_get] = ACTIONS(3332),
    [anon_sym_set] = ACTIONS(3332),
    [anon_sym_declare] = ACTIONS(3332),
    [anon_sym_public] = ACTIONS(3332),
    [anon_sym_private] = ACTIONS(3332),
    [anon_sym_protected] = ACTIONS(3332),
    [anon_sym_override] = ACTIONS(3332),
    [anon_sym_module] = ACTIONS(3332),
    [anon_sym_any] = ACTIONS(3332),
    [anon_sym_number] = ACTIONS(3332),
    [anon_sym_boolean] = ACTIONS(3332),
    [anon_sym_string] = ACTIONS(3332),
    [anon_sym_symbol] = ACTIONS(3332),
    [anon_sym_object] = ACTIONS(3332),
    [anon_sym_abstract] = ACTIONS(3332),
    [anon_sym_interface] = ACTIONS(3332),
    [anon_sym_enum] = ACTIONS(3332),
    [sym_html_comment] = ACTIONS(5),
  },
  [1370] = {
    [sym_comment] = STATE(1370),
    [ts_builtin_sym_end] = ACTIONS(3468),
    [sym_identifier] = ACTIONS(3334),
    [anon_sym_export] = ACTIONS(3334),
    [anon_sym_type] = ACTIONS(3334),
    [anon_sym_namespace] = ACTIONS(3334),
    [anon_sym_LBRACE] = ACTIONS(3334),
    [anon_sym_RBRACE] = ACTIONS(3334),
    [anon_sym_typeof] = ACTIONS(3334),
    [anon_sym_import] = ACTIONS(3334),
    [anon_sym_with] = ACTIONS(3334),
    [anon_sym_var] = ACTIONS(3334),
    [anon_sym_let] = ACTIONS(3334),
    [anon_sym_const] = ACTIONS(3334),
    [anon_sym_BANG] = ACTIONS(3334),
    [anon_sym_else] = ACTIONS(3334),
    [anon_sym_if] = ACTIONS(3334),
    [anon_sym_switch] = ACTIONS(3334),
    [anon_sym_for] = ACTIONS(3334),
    [anon_sym_LPAREN] = ACTIONS(3334),
    [anon_sym_await] = ACTIONS(3334),
    [anon_sym_while] = ACTIONS(3334),
    [anon_sym_do] = ACTIONS(3334),
    [anon_sym_try] = ACTIONS(3334),
    [anon_sym_break] = ACTIONS(3334),
    [anon_sym_continue] = ACTIONS(3334),
    [anon_sym_debugger] = ACTIONS(3334),
    [anon_sym_return] = ACTIONS(3334),
    [anon_sym_throw] = ACTIONS(3334),
    [anon_sym_SEMI] = ACTIONS(3334),
    [anon_sym_yield] = ACTIONS(3334),
    [anon_sym_LBRACK] = ACTIONS(3334),
    [anon_sym_LTtemplate_GT] = ACTIONS(3334),
    [anon_sym_DQUOTE] = ACTIONS(3334),
    [anon_sym_SQUOTE] = ACTIONS(3334),
    [anon_sym_class] = ACTIONS(3334),
    [anon_sym_async] = ACTIONS(3334),
    [anon_sym_function] = ACTIONS(3334),
    [anon_sym_new] = ACTIONS(3334),
    [anon_sym_using] = ACTIONS(3334),
    [anon_sym_PLUS] = ACTIONS(3334),
    [anon_sym_DASH] = ACTIONS(3334),
    [anon_sym_SLASH] = ACTIONS(3334),
    [anon_sym_LT] = ACTIONS(3334),
    [anon_sym_TILDE] = ACTIONS(3334),
    [anon_sym_void] = ACTIONS(3334),
    [anon_sym_delete] = ACTIONS(3334),
    [anon_sym_PLUS_PLUS] = ACTIONS(3334),
    [anon_sym_DASH_DASH] = ACTIONS(3334),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3334),
    [sym_number] = ACTIONS(3334),
    [sym_private_property_identifier] = ACTIONS(3334),
    [sym_this] = ACTIONS(3334),
    [sym_super] = ACTIONS(3334),
    [sym_true] = ACTIONS(3334),
    [sym_false] = ACTIONS(3334),
    [sym_null] = ACTIONS(3334),
    [sym_undefined] = ACTIONS(3334),
    [anon_sym_AT] = ACTIONS(3334),
    [anon_sym_static] = ACTIONS(3334),
    [anon_sym_readonly] = ACTIONS(3334),
    [anon_sym_get] = ACTIONS(3334),
    [anon_sym_set] = ACTIONS(3334),
    [anon_sym_declare] = ACTIONS(3334),
    [anon_sym_public] = ACTIONS(3334),
    [anon_sym_private] = ACTIONS(3334),
    [anon_sym_protected] = ACTIONS(3334),
    [anon_sym_override] = ACTIONS(3334),
    [anon_sym_module] = ACTIONS(3334),
    [anon_sym_any] = ACTIONS(3334),
    [anon_sym_number] = ACTIONS(3334),
    [anon_sym_boolean] = ACTIONS(3334),
    [anon_sym_string] = ACTIONS(3334),
    [anon_sym_symbol] = ACTIONS(3334),
    [anon_sym_object] = ACTIONS(3334),
    [anon_sym_abstract] = ACTIONS(3334),
    [anon_sym_interface] = ACTIONS(3334),
    [anon_sym_enum] = ACTIONS(3334),
    [sym_html_comment] = ACTIONS(5),
  },
  [1371] = {
    [sym_comment] = STATE(1371),
    [ts_builtin_sym_end] = ACTIONS(3470),
    [sym_identifier] = ACTIONS(3336),
    [anon_sym_export] = ACTIONS(3336),
    [anon_sym_type] = ACTIONS(3336),
    [anon_sym_namespace] = ACTIONS(3336),
    [anon_sym_LBRACE] = ACTIONS(3336),
    [anon_sym_RBRACE] = ACTIONS(3336),
    [anon_sym_typeof] = ACTIONS(3336),
    [anon_sym_import] = ACTIONS(3336),
    [anon_sym_with] = ACTIONS(3336),
    [anon_sym_var] = ACTIONS(3336),
    [anon_sym_let] = ACTIONS(3336),
    [anon_sym_const] = ACTIONS(3336),
    [anon_sym_BANG] = ACTIONS(3336),
    [anon_sym_else] = ACTIONS(3336),
    [anon_sym_if] = ACTIONS(3336),
    [anon_sym_switch] = ACTIONS(3336),
    [anon_sym_for] = ACTIONS(3336),
    [anon_sym_LPAREN] = ACTIONS(3336),
    [anon_sym_await] = ACTIONS(3336),
    [anon_sym_while] = ACTIONS(3336),
    [anon_sym_do] = ACTIONS(3336),
    [anon_sym_try] = ACTIONS(3336),
    [anon_sym_break] = ACTIONS(3336),
    [anon_sym_continue] = ACTIONS(3336),
    [anon_sym_debugger] = ACTIONS(3336),
    [anon_sym_return] = ACTIONS(3336),
    [anon_sym_throw] = ACTIONS(3336),
    [anon_sym_SEMI] = ACTIONS(3336),
    [anon_sym_yield] = ACTIONS(3336),
    [anon_sym_LBRACK] = ACTIONS(3336),
    [anon_sym_LTtemplate_GT] = ACTIONS(3336),
    [anon_sym_DQUOTE] = ACTIONS(3336),
    [anon_sym_SQUOTE] = ACTIONS(3336),
    [anon_sym_class] = ACTIONS(3336),
    [anon_sym_async] = ACTIONS(3336),
    [anon_sym_function] = ACTIONS(3336),
    [anon_sym_new] = ACTIONS(3336),
    [anon_sym_using] = ACTIONS(3336),
    [anon_sym_PLUS] = ACTIONS(3336),
    [anon_sym_DASH] = ACTIONS(3336),
    [anon_sym_SLASH] = ACTIONS(3336),
    [anon_sym_LT] = ACTIONS(3336),
    [anon_sym_TILDE] = ACTIONS(3336),
    [anon_sym_void] = ACTIONS(3336),
    [anon_sym_delete] = ACTIONS(3336),
    [anon_sym_PLUS_PLUS] = ACTIONS(3336),
    [anon_sym_DASH_DASH] = ACTIONS(3336),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3336),
    [sym_number] = ACTIONS(3336),
    [sym_private_property_identifier] = ACTIONS(3336),
    [sym_this] = ACTIONS(3336),
    [sym_super] = ACTIONS(3336),
    [sym_true] = ACTIONS(3336),
    [sym_false] = ACTIONS(3336),
    [sym_null] = ACTIONS(3336),
    [sym_undefined] = ACTIONS(3336),
    [anon_sym_AT] = ACTIONS(3336),
    [anon_sym_static] = ACTIONS(3336),
    [anon_sym_readonly] = ACTIONS(3336),
    [anon_sym_get] = ACTIONS(3336),
    [anon_sym_set] = ACTIONS(3336),
    [anon_sym_declare] = ACTIONS(3336),
    [anon_sym_public] = ACTIONS(3336),
    [anon_sym_private] = ACTIONS(3336),
    [anon_sym_protected] = ACTIONS(3336),
    [anon_sym_override] = ACTIONS(3336),
    [anon_sym_module] = ACTIONS(3336),
    [anon_sym_any] = ACTIONS(3336),
    [anon_sym_number] = ACTIONS(3336),
    [anon_sym_boolean] = ACTIONS(3336),
    [anon_sym_string] = ACTIONS(3336),
    [anon_sym_symbol] = ACTIONS(3336),
    [anon_sym_object] = ACTIONS(3336),
    [anon_sym_abstract] = ACTIONS(3336),
    [anon_sym_interface] = ACTIONS(3336),
    [anon_sym_enum] = ACTIONS(3336),
    [sym_html_comment] = ACTIONS(5),
  },
  [1372] = {
    [sym_comment] = STATE(1372),
    [ts_builtin_sym_end] = ACTIONS(3470),
    [sym_identifier] = ACTIONS(3336),
    [anon_sym_export] = ACTIONS(3336),
    [anon_sym_type] = ACTIONS(3336),
    [anon_sym_namespace] = ACTIONS(3336),
    [anon_sym_LBRACE] = ACTIONS(3336),
    [anon_sym_RBRACE] = ACTIONS(3336),
    [anon_sym_typeof] = ACTIONS(3336),
    [anon_sym_import] = ACTIONS(3336),
    [anon_sym_with] = ACTIONS(3336),
    [anon_sym_var] = ACTIONS(3336),
    [anon_sym_let] = ACTIONS(3336),
    [anon_sym_const] = ACTIONS(3336),
    [anon_sym_BANG] = ACTIONS(3336),
    [anon_sym_else] = ACTIONS(3336),
    [anon_sym_if] = ACTIONS(3336),
    [anon_sym_switch] = ACTIONS(3336),
    [anon_sym_for] = ACTIONS(3336),
    [anon_sym_LPAREN] = ACTIONS(3336),
    [anon_sym_await] = ACTIONS(3336),
    [anon_sym_while] = ACTIONS(3336),
    [anon_sym_do] = ACTIONS(3336),
    [anon_sym_try] = ACTIONS(3336),
    [anon_sym_break] = ACTIONS(3336),
    [anon_sym_continue] = ACTIONS(3336),
    [anon_sym_debugger] = ACTIONS(3336),
    [anon_sym_return] = ACTIONS(3336),
    [anon_sym_throw] = ACTIONS(3336),
    [anon_sym_SEMI] = ACTIONS(3336),
    [anon_sym_yield] = ACTIONS(3336),
    [anon_sym_LBRACK] = ACTIONS(3336),
    [anon_sym_LTtemplate_GT] = ACTIONS(3336),
    [anon_sym_DQUOTE] = ACTIONS(3336),
    [anon_sym_SQUOTE] = ACTIONS(3336),
    [anon_sym_class] = ACTIONS(3336),
    [anon_sym_async] = ACTIONS(3336),
    [anon_sym_function] = ACTIONS(3336),
    [anon_sym_new] = ACTIONS(3336),
    [anon_sym_using] = ACTIONS(3336),
    [anon_sym_PLUS] = ACTIONS(3336),
    [anon_sym_DASH] = ACTIONS(3336),
    [anon_sym_SLASH] = ACTIONS(3336),
    [anon_sym_LT] = ACTIONS(3336),
    [anon_sym_TILDE] = ACTIONS(3336),
    [anon_sym_void] = ACTIONS(3336),
    [anon_sym_delete] = ACTIONS(3336),
    [anon_sym_PLUS_PLUS] = ACTIONS(3336),
    [anon_sym_DASH_DASH] = ACTIONS(3336),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3336),
    [sym_number] = ACTIONS(3336),
    [sym_private_property_identifier] = ACTIONS(3336),
    [sym_this] = ACTIONS(3336),
    [sym_super] = ACTIONS(3336),
    [sym_true] = ACTIONS(3336),
    [sym_false] = ACTIONS(3336),
    [sym_null] = ACTIONS(3336),
    [sym_undefined] = ACTIONS(3336),
    [anon_sym_AT] = ACTIONS(3336),
    [anon_sym_static] = ACTIONS(3336),
    [anon_sym_readonly] = ACTIONS(3336),
    [anon_sym_get] = ACTIONS(3336),
    [anon_sym_set] = ACTIONS(3336),
    [anon_sym_declare] = ACTIONS(3336),
    [anon_sym_public] = ACTIONS(3336),
    [anon_sym_private] = ACTIONS(3336),
    [anon_sym_protected] = ACTIONS(3336),
    [anon_sym_override] = ACTIONS(3336),
    [anon_sym_module] = ACTIONS(3336),
    [anon_sym_any] = ACTIONS(3336),
    [anon_sym_number] = ACTIONS(3336),
    [anon_sym_boolean] = ACTIONS(3336),
    [anon_sym_string] = ACTIONS(3336),
    [anon_sym_symbol] = ACTIONS(3336),
    [anon_sym_object] = ACTIONS(3336),
    [anon_sym_abstract] = ACTIONS(3336),
    [anon_sym_interface] = ACTIONS(3336),
    [anon_sym_enum] = ACTIONS(3336),
    [sym_html_comment] = ACTIONS(5),
  },
  [1373] = {
    [sym_comment] = STATE(1373),
    [ts_builtin_sym_end] = ACTIONS(3470),
    [sym_identifier] = ACTIONS(3336),
    [anon_sym_export] = ACTIONS(3336),
    [anon_sym_type] = ACTIONS(3336),
    [anon_sym_namespace] = ACTIONS(3336),
    [anon_sym_LBRACE] = ACTIONS(3336),
    [anon_sym_RBRACE] = ACTIONS(3336),
    [anon_sym_typeof] = ACTIONS(3336),
    [anon_sym_import] = ACTIONS(3336),
    [anon_sym_with] = ACTIONS(3336),
    [anon_sym_var] = ACTIONS(3336),
    [anon_sym_let] = ACTIONS(3336),
    [anon_sym_const] = ACTIONS(3336),
    [anon_sym_BANG] = ACTIONS(3336),
    [anon_sym_else] = ACTIONS(3336),
    [anon_sym_if] = ACTIONS(3336),
    [anon_sym_switch] = ACTIONS(3336),
    [anon_sym_for] = ACTIONS(3336),
    [anon_sym_LPAREN] = ACTIONS(3336),
    [anon_sym_await] = ACTIONS(3336),
    [anon_sym_while] = ACTIONS(3336),
    [anon_sym_do] = ACTIONS(3336),
    [anon_sym_try] = ACTIONS(3336),
    [anon_sym_break] = ACTIONS(3336),
    [anon_sym_continue] = ACTIONS(3336),
    [anon_sym_debugger] = ACTIONS(3336),
    [anon_sym_return] = ACTIONS(3336),
    [anon_sym_throw] = ACTIONS(3336),
    [anon_sym_SEMI] = ACTIONS(3336),
    [anon_sym_yield] = ACTIONS(3336),
    [anon_sym_LBRACK] = ACTIONS(3336),
    [anon_sym_LTtemplate_GT] = ACTIONS(3336),
    [anon_sym_DQUOTE] = ACTIONS(3336),
    [anon_sym_SQUOTE] = ACTIONS(3336),
    [anon_sym_class] = ACTIONS(3336),
    [anon_sym_async] = ACTIONS(3336),
    [anon_sym_function] = ACTIONS(3336),
    [anon_sym_new] = ACTIONS(3336),
    [anon_sym_using] = ACTIONS(3336),
    [anon_sym_PLUS] = ACTIONS(3336),
    [anon_sym_DASH] = ACTIONS(3336),
    [anon_sym_SLASH] = ACTIONS(3336),
    [anon_sym_LT] = ACTIONS(3336),
    [anon_sym_TILDE] = ACTIONS(3336),
    [anon_sym_void] = ACTIONS(3336),
    [anon_sym_delete] = ACTIONS(3336),
    [anon_sym_PLUS_PLUS] = ACTIONS(3336),
    [anon_sym_DASH_DASH] = ACTIONS(3336),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3336),
    [sym_number] = ACTIONS(3336),
    [sym_private_property_identifier] = ACTIONS(3336),
    [sym_this] = ACTIONS(3336),
    [sym_super] = ACTIONS(3336),
    [sym_true] = ACTIONS(3336),
    [sym_false] = ACTIONS(3336),
    [sym_null] = ACTIONS(3336),
    [sym_undefined] = ACTIONS(3336),
    [anon_sym_AT] = ACTIONS(3336),
    [anon_sym_static] = ACTIONS(3336),
    [anon_sym_readonly] = ACTIONS(3336),
    [anon_sym_get] = ACTIONS(3336),
    [anon_sym_set] = ACTIONS(3336),
    [anon_sym_declare] = ACTIONS(3336),
    [anon_sym_public] = ACTIONS(3336),
    [anon_sym_private] = ACTIONS(3336),
    [anon_sym_protected] = ACTIONS(3336),
    [anon_sym_override] = ACTIONS(3336),
    [anon_sym_module] = ACTIONS(3336),
    [anon_sym_any] = ACTIONS(3336),
    [anon_sym_number] = ACTIONS(3336),
    [anon_sym_boolean] = ACTIONS(3336),
    [anon_sym_string] = ACTIONS(3336),
    [anon_sym_symbol] = ACTIONS(3336),
    [anon_sym_object] = ACTIONS(3336),
    [anon_sym_abstract] = ACTIONS(3336),
    [anon_sym_interface] = ACTIONS(3336),
    [anon_sym_enum] = ACTIONS(3336),
    [sym_html_comment] = ACTIONS(5),
  },
  [1374] = {
    [sym_comment] = STATE(1374),
    [ts_builtin_sym_end] = ACTIONS(3470),
    [sym_identifier] = ACTIONS(3336),
    [anon_sym_export] = ACTIONS(3336),
    [anon_sym_type] = ACTIONS(3336),
    [anon_sym_namespace] = ACTIONS(3336),
    [anon_sym_LBRACE] = ACTIONS(3336),
    [anon_sym_RBRACE] = ACTIONS(3336),
    [anon_sym_typeof] = ACTIONS(3336),
    [anon_sym_import] = ACTIONS(3336),
    [anon_sym_with] = ACTIONS(3336),
    [anon_sym_var] = ACTIONS(3336),
    [anon_sym_let] = ACTIONS(3336),
    [anon_sym_const] = ACTIONS(3336),
    [anon_sym_BANG] = ACTIONS(3336),
    [anon_sym_else] = ACTIONS(3336),
    [anon_sym_if] = ACTIONS(3336),
    [anon_sym_switch] = ACTIONS(3336),
    [anon_sym_for] = ACTIONS(3336),
    [anon_sym_LPAREN] = ACTIONS(3336),
    [anon_sym_await] = ACTIONS(3336),
    [anon_sym_while] = ACTIONS(3336),
    [anon_sym_do] = ACTIONS(3336),
    [anon_sym_try] = ACTIONS(3336),
    [anon_sym_break] = ACTIONS(3336),
    [anon_sym_continue] = ACTIONS(3336),
    [anon_sym_debugger] = ACTIONS(3336),
    [anon_sym_return] = ACTIONS(3336),
    [anon_sym_throw] = ACTIONS(3336),
    [anon_sym_SEMI] = ACTIONS(3336),
    [anon_sym_yield] = ACTIONS(3336),
    [anon_sym_LBRACK] = ACTIONS(3336),
    [anon_sym_LTtemplate_GT] = ACTIONS(3336),
    [anon_sym_DQUOTE] = ACTIONS(3336),
    [anon_sym_SQUOTE] = ACTIONS(3336),
    [anon_sym_class] = ACTIONS(3336),
    [anon_sym_async] = ACTIONS(3336),
    [anon_sym_function] = ACTIONS(3336),
    [anon_sym_new] = ACTIONS(3336),
    [anon_sym_using] = ACTIONS(3336),
    [anon_sym_PLUS] = ACTIONS(3336),
    [anon_sym_DASH] = ACTIONS(3336),
    [anon_sym_SLASH] = ACTIONS(3336),
    [anon_sym_LT] = ACTIONS(3336),
    [anon_sym_TILDE] = ACTIONS(3336),
    [anon_sym_void] = ACTIONS(3336),
    [anon_sym_delete] = ACTIONS(3336),
    [anon_sym_PLUS_PLUS] = ACTIONS(3336),
    [anon_sym_DASH_DASH] = ACTIONS(3336),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3336),
    [sym_number] = ACTIONS(3336),
    [sym_private_property_identifier] = ACTIONS(3336),
    [sym_this] = ACTIONS(3336),
    [sym_super] = ACTIONS(3336),
    [sym_true] = ACTIONS(3336),
    [sym_false] = ACTIONS(3336),
    [sym_null] = ACTIONS(3336),
    [sym_undefined] = ACTIONS(3336),
    [anon_sym_AT] = ACTIONS(3336),
    [anon_sym_static] = ACTIONS(3336),
    [anon_sym_readonly] = ACTIONS(3336),
    [anon_sym_get] = ACTIONS(3336),
    [anon_sym_set] = ACTIONS(3336),
    [anon_sym_declare] = ACTIONS(3336),
    [anon_sym_public] = ACTIONS(3336),
    [anon_sym_private] = ACTIONS(3336),
    [anon_sym_protected] = ACTIONS(3336),
    [anon_sym_override] = ACTIONS(3336),
    [anon_sym_module] = ACTIONS(3336),
    [anon_sym_any] = ACTIONS(3336),
    [anon_sym_number] = ACTIONS(3336),
    [anon_sym_boolean] = ACTIONS(3336),
    [anon_sym_string] = ACTIONS(3336),
    [anon_sym_symbol] = ACTIONS(3336),
    [anon_sym_object] = ACTIONS(3336),
    [anon_sym_abstract] = ACTIONS(3336),
    [anon_sym_interface] = ACTIONS(3336),
    [anon_sym_enum] = ACTIONS(3336),
    [sym_html_comment] = ACTIONS(5),
  },
  [1375] = {
    [sym_comment] = STATE(1375),
    [ts_builtin_sym_end] = ACTIONS(3470),
    [sym_identifier] = ACTIONS(3336),
    [anon_sym_export] = ACTIONS(3336),
    [anon_sym_type] = ACTIONS(3336),
    [anon_sym_namespace] = ACTIONS(3336),
    [anon_sym_LBRACE] = ACTIONS(3336),
    [anon_sym_RBRACE] = ACTIONS(3336),
    [anon_sym_typeof] = ACTIONS(3336),
    [anon_sym_import] = ACTIONS(3336),
    [anon_sym_with] = ACTIONS(3336),
    [anon_sym_var] = ACTIONS(3336),
    [anon_sym_let] = ACTIONS(3336),
    [anon_sym_const] = ACTIONS(3336),
    [anon_sym_BANG] = ACTIONS(3336),
    [anon_sym_else] = ACTIONS(3336),
    [anon_sym_if] = ACTIONS(3336),
    [anon_sym_switch] = ACTIONS(3336),
    [anon_sym_for] = ACTIONS(3336),
    [anon_sym_LPAREN] = ACTIONS(3336),
    [anon_sym_await] = ACTIONS(3336),
    [anon_sym_while] = ACTIONS(3336),
    [anon_sym_do] = ACTIONS(3336),
    [anon_sym_try] = ACTIONS(3336),
    [anon_sym_break] = ACTIONS(3336),
    [anon_sym_continue] = ACTIONS(3336),
    [anon_sym_debugger] = ACTIONS(3336),
    [anon_sym_return] = ACTIONS(3336),
    [anon_sym_throw] = ACTIONS(3336),
    [anon_sym_SEMI] = ACTIONS(3336),
    [anon_sym_yield] = ACTIONS(3336),
    [anon_sym_LBRACK] = ACTIONS(3336),
    [anon_sym_LTtemplate_GT] = ACTIONS(3336),
    [anon_sym_DQUOTE] = ACTIONS(3336),
    [anon_sym_SQUOTE] = ACTIONS(3336),
    [anon_sym_class] = ACTIONS(3336),
    [anon_sym_async] = ACTIONS(3336),
    [anon_sym_function] = ACTIONS(3336),
    [anon_sym_new] = ACTIONS(3336),
    [anon_sym_using] = ACTIONS(3336),
    [anon_sym_PLUS] = ACTIONS(3336),
    [anon_sym_DASH] = ACTIONS(3336),
    [anon_sym_SLASH] = ACTIONS(3336),
    [anon_sym_LT] = ACTIONS(3336),
    [anon_sym_TILDE] = ACTIONS(3336),
    [anon_sym_void] = ACTIONS(3336),
    [anon_sym_delete] = ACTIONS(3336),
    [anon_sym_PLUS_PLUS] = ACTIONS(3336),
    [anon_sym_DASH_DASH] = ACTIONS(3336),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3336),
    [sym_number] = ACTIONS(3336),
    [sym_private_property_identifier] = ACTIONS(3336),
    [sym_this] = ACTIONS(3336),
    [sym_super] = ACTIONS(3336),
    [sym_true] = ACTIONS(3336),
    [sym_false] = ACTIONS(3336),
    [sym_null] = ACTIONS(3336),
    [sym_undefined] = ACTIONS(3336),
    [anon_sym_AT] = ACTIONS(3336),
    [anon_sym_static] = ACTIONS(3336),
    [anon_sym_readonly] = ACTIONS(3336),
    [anon_sym_get] = ACTIONS(3336),
    [anon_sym_set] = ACTIONS(3336),
    [anon_sym_declare] = ACTIONS(3336),
    [anon_sym_public] = ACTIONS(3336),
    [anon_sym_private] = ACTIONS(3336),
    [anon_sym_protected] = ACTIONS(3336),
    [anon_sym_override] = ACTIONS(3336),
    [anon_sym_module] = ACTIONS(3336),
    [anon_sym_any] = ACTIONS(3336),
    [anon_sym_number] = ACTIONS(3336),
    [anon_sym_boolean] = ACTIONS(3336),
    [anon_sym_string] = ACTIONS(3336),
    [anon_sym_symbol] = ACTIONS(3336),
    [anon_sym_object] = ACTIONS(3336),
    [anon_sym_abstract] = ACTIONS(3336),
    [anon_sym_interface] = ACTIONS(3336),
    [anon_sym_enum] = ACTIONS(3336),
    [sym_html_comment] = ACTIONS(5),
  },
  [1376] = {
    [sym_comment] = STATE(1376),
    [ts_builtin_sym_end] = ACTIONS(3470),
    [sym_identifier] = ACTIONS(3336),
    [anon_sym_export] = ACTIONS(3336),
    [anon_sym_type] = ACTIONS(3336),
    [anon_sym_namespace] = ACTIONS(3336),
    [anon_sym_LBRACE] = ACTIONS(3336),
    [anon_sym_RBRACE] = ACTIONS(3336),
    [anon_sym_typeof] = ACTIONS(3336),
    [anon_sym_import] = ACTIONS(3336),
    [anon_sym_with] = ACTIONS(3336),
    [anon_sym_var] = ACTIONS(3336),
    [anon_sym_let] = ACTIONS(3336),
    [anon_sym_const] = ACTIONS(3336),
    [anon_sym_BANG] = ACTIONS(3336),
    [anon_sym_else] = ACTIONS(3336),
    [anon_sym_if] = ACTIONS(3336),
    [anon_sym_switch] = ACTIONS(3336),
    [anon_sym_for] = ACTIONS(3336),
    [anon_sym_LPAREN] = ACTIONS(3336),
    [anon_sym_await] = ACTIONS(3336),
    [anon_sym_while] = ACTIONS(3336),
    [anon_sym_do] = ACTIONS(3336),
    [anon_sym_try] = ACTIONS(3336),
    [anon_sym_break] = ACTIONS(3336),
    [anon_sym_continue] = ACTIONS(3336),
    [anon_sym_debugger] = ACTIONS(3336),
    [anon_sym_return] = ACTIONS(3336),
    [anon_sym_throw] = ACTIONS(3336),
    [anon_sym_SEMI] = ACTIONS(3336),
    [anon_sym_yield] = ACTIONS(3336),
    [anon_sym_LBRACK] = ACTIONS(3336),
    [anon_sym_LTtemplate_GT] = ACTIONS(3336),
    [anon_sym_DQUOTE] = ACTIONS(3336),
    [anon_sym_SQUOTE] = ACTIONS(3336),
    [anon_sym_class] = ACTIONS(3336),
    [anon_sym_async] = ACTIONS(3336),
    [anon_sym_function] = ACTIONS(3336),
    [anon_sym_new] = ACTIONS(3336),
    [anon_sym_using] = ACTIONS(3336),
    [anon_sym_PLUS] = ACTIONS(3336),
    [anon_sym_DASH] = ACTIONS(3336),
    [anon_sym_SLASH] = ACTIONS(3336),
    [anon_sym_LT] = ACTIONS(3336),
    [anon_sym_TILDE] = ACTIONS(3336),
    [anon_sym_void] = ACTIONS(3336),
    [anon_sym_delete] = ACTIONS(3336),
    [anon_sym_PLUS_PLUS] = ACTIONS(3336),
    [anon_sym_DASH_DASH] = ACTIONS(3336),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3336),
    [sym_number] = ACTIONS(3336),
    [sym_private_property_identifier] = ACTIONS(3336),
    [sym_this] = ACTIONS(3336),
    [sym_super] = ACTIONS(3336),
    [sym_true] = ACTIONS(3336),
    [sym_false] = ACTIONS(3336),
    [sym_null] = ACTIONS(3336),
    [sym_undefined] = ACTIONS(3336),
    [anon_sym_AT] = ACTIONS(3336),
    [anon_sym_static] = ACTIONS(3336),
    [anon_sym_readonly] = ACTIONS(3336),
    [anon_sym_get] = ACTIONS(3336),
    [anon_sym_set] = ACTIONS(3336),
    [anon_sym_declare] = ACTIONS(3336),
    [anon_sym_public] = ACTIONS(3336),
    [anon_sym_private] = ACTIONS(3336),
    [anon_sym_protected] = ACTIONS(3336),
    [anon_sym_override] = ACTIONS(3336),
    [anon_sym_module] = ACTIONS(3336),
    [anon_sym_any] = ACTIONS(3336),
    [anon_sym_number] = ACTIONS(3336),
    [anon_sym_boolean] = ACTIONS(3336),
    [anon_sym_string] = ACTIONS(3336),
    [anon_sym_symbol] = ACTIONS(3336),
    [anon_sym_object] = ACTIONS(3336),
    [anon_sym_abstract] = ACTIONS(3336),
    [anon_sym_interface] = ACTIONS(3336),
    [anon_sym_enum] = ACTIONS(3336),
    [sym_html_comment] = ACTIONS(5),
  },
  [1377] = {
    [sym_comment] = STATE(1377),
    [ts_builtin_sym_end] = ACTIONS(3470),
    [sym_identifier] = ACTIONS(3336),
    [anon_sym_export] = ACTIONS(3336),
    [anon_sym_type] = ACTIONS(3336),
    [anon_sym_namespace] = ACTIONS(3336),
    [anon_sym_LBRACE] = ACTIONS(3336),
    [anon_sym_RBRACE] = ACTIONS(3336),
    [anon_sym_typeof] = ACTIONS(3336),
    [anon_sym_import] = ACTIONS(3336),
    [anon_sym_with] = ACTIONS(3336),
    [anon_sym_var] = ACTIONS(3336),
    [anon_sym_let] = ACTIONS(3336),
    [anon_sym_const] = ACTIONS(3336),
    [anon_sym_BANG] = ACTIONS(3336),
    [anon_sym_else] = ACTIONS(3336),
    [anon_sym_if] = ACTIONS(3336),
    [anon_sym_switch] = ACTIONS(3336),
    [anon_sym_for] = ACTIONS(3336),
    [anon_sym_LPAREN] = ACTIONS(3336),
    [anon_sym_await] = ACTIONS(3336),
    [anon_sym_while] = ACTIONS(3336),
    [anon_sym_do] = ACTIONS(3336),
    [anon_sym_try] = ACTIONS(3336),
    [anon_sym_break] = ACTIONS(3336),
    [anon_sym_continue] = ACTIONS(3336),
    [anon_sym_debugger] = ACTIONS(3336),
    [anon_sym_return] = ACTIONS(3336),
    [anon_sym_throw] = ACTIONS(3336),
    [anon_sym_SEMI] = ACTIONS(3336),
    [anon_sym_yield] = ACTIONS(3336),
    [anon_sym_LBRACK] = ACTIONS(3336),
    [anon_sym_LTtemplate_GT] = ACTIONS(3336),
    [anon_sym_DQUOTE] = ACTIONS(3336),
    [anon_sym_SQUOTE] = ACTIONS(3336),
    [anon_sym_class] = ACTIONS(3336),
    [anon_sym_async] = ACTIONS(3336),
    [anon_sym_function] = ACTIONS(3336),
    [anon_sym_new] = ACTIONS(3336),
    [anon_sym_using] = ACTIONS(3336),
    [anon_sym_PLUS] = ACTIONS(3336),
    [anon_sym_DASH] = ACTIONS(3336),
    [anon_sym_SLASH] = ACTIONS(3336),
    [anon_sym_LT] = ACTIONS(3336),
    [anon_sym_TILDE] = ACTIONS(3336),
    [anon_sym_void] = ACTIONS(3336),
    [anon_sym_delete] = ACTIONS(3336),
    [anon_sym_PLUS_PLUS] = ACTIONS(3336),
    [anon_sym_DASH_DASH] = ACTIONS(3336),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3336),
    [sym_number] = ACTIONS(3336),
    [sym_private_property_identifier] = ACTIONS(3336),
    [sym_this] = ACTIONS(3336),
    [sym_super] = ACTIONS(3336),
    [sym_true] = ACTIONS(3336),
    [sym_false] = ACTIONS(3336),
    [sym_null] = ACTIONS(3336),
    [sym_undefined] = ACTIONS(3336),
    [anon_sym_AT] = ACTIONS(3336),
    [anon_sym_static] = ACTIONS(3336),
    [anon_sym_readonly] = ACTIONS(3336),
    [anon_sym_get] = ACTIONS(3336),
    [anon_sym_set] = ACTIONS(3336),
    [anon_sym_declare] = ACTIONS(3336),
    [anon_sym_public] = ACTIONS(3336),
    [anon_sym_private] = ACTIONS(3336),
    [anon_sym_protected] = ACTIONS(3336),
    [anon_sym_override] = ACTIONS(3336),
    [anon_sym_module] = ACTIONS(3336),
    [anon_sym_any] = ACTIONS(3336),
    [anon_sym_number] = ACTIONS(3336),
    [anon_sym_boolean] = ACTIONS(3336),
    [anon_sym_string] = ACTIONS(3336),
    [anon_sym_symbol] = ACTIONS(3336),
    [anon_sym_object] = ACTIONS(3336),
    [anon_sym_abstract] = ACTIONS(3336),
    [anon_sym_interface] = ACTIONS(3336),
    [anon_sym_enum] = ACTIONS(3336),
    [sym_html_comment] = ACTIONS(5),
  },
  [1378] = {
    [sym_comment] = STATE(1378),
    [ts_builtin_sym_end] = ACTIONS(3470),
    [sym_identifier] = ACTIONS(3336),
    [anon_sym_export] = ACTIONS(3336),
    [anon_sym_type] = ACTIONS(3336),
    [anon_sym_namespace] = ACTIONS(3336),
    [anon_sym_LBRACE] = ACTIONS(3336),
    [anon_sym_RBRACE] = ACTIONS(3336),
    [anon_sym_typeof] = ACTIONS(3336),
    [anon_sym_import] = ACTIONS(3336),
    [anon_sym_with] = ACTIONS(3336),
    [anon_sym_var] = ACTIONS(3336),
    [anon_sym_let] = ACTIONS(3336),
    [anon_sym_const] = ACTIONS(3336),
    [anon_sym_BANG] = ACTIONS(3336),
    [anon_sym_else] = ACTIONS(3336),
    [anon_sym_if] = ACTIONS(3336),
    [anon_sym_switch] = ACTIONS(3336),
    [anon_sym_for] = ACTIONS(3336),
    [anon_sym_LPAREN] = ACTIONS(3336),
    [anon_sym_await] = ACTIONS(3336),
    [anon_sym_while] = ACTIONS(3336),
    [anon_sym_do] = ACTIONS(3336),
    [anon_sym_try] = ACTIONS(3336),
    [anon_sym_break] = ACTIONS(3336),
    [anon_sym_continue] = ACTIONS(3336),
    [anon_sym_debugger] = ACTIONS(3336),
    [anon_sym_return] = ACTIONS(3336),
    [anon_sym_throw] = ACTIONS(3336),
    [anon_sym_SEMI] = ACTIONS(3336),
    [anon_sym_yield] = ACTIONS(3336),
    [anon_sym_LBRACK] = ACTIONS(3336),
    [anon_sym_LTtemplate_GT] = ACTIONS(3336),
    [anon_sym_DQUOTE] = ACTIONS(3336),
    [anon_sym_SQUOTE] = ACTIONS(3336),
    [anon_sym_class] = ACTIONS(3336),
    [anon_sym_async] = ACTIONS(3336),
    [anon_sym_function] = ACTIONS(3336),
    [anon_sym_new] = ACTIONS(3336),
    [anon_sym_using] = ACTIONS(3336),
    [anon_sym_PLUS] = ACTIONS(3336),
    [anon_sym_DASH] = ACTIONS(3336),
    [anon_sym_SLASH] = ACTIONS(3336),
    [anon_sym_LT] = ACTIONS(3336),
    [anon_sym_TILDE] = ACTIONS(3336),
    [anon_sym_void] = ACTIONS(3336),
    [anon_sym_delete] = ACTIONS(3336),
    [anon_sym_PLUS_PLUS] = ACTIONS(3336),
    [anon_sym_DASH_DASH] = ACTIONS(3336),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3336),
    [sym_number] = ACTIONS(3336),
    [sym_private_property_identifier] = ACTIONS(3336),
    [sym_this] = ACTIONS(3336),
    [sym_super] = ACTIONS(3336),
    [sym_true] = ACTIONS(3336),
    [sym_false] = ACTIONS(3336),
    [sym_null] = ACTIONS(3336),
    [sym_undefined] = ACTIONS(3336),
    [anon_sym_AT] = ACTIONS(3336),
    [anon_sym_static] = ACTIONS(3336),
    [anon_sym_readonly] = ACTIONS(3336),
    [anon_sym_get] = ACTIONS(3336),
    [anon_sym_set] = ACTIONS(3336),
    [anon_sym_declare] = ACTIONS(3336),
    [anon_sym_public] = ACTIONS(3336),
    [anon_sym_private] = ACTIONS(3336),
    [anon_sym_protected] = ACTIONS(3336),
    [anon_sym_override] = ACTIONS(3336),
    [anon_sym_module] = ACTIONS(3336),
    [anon_sym_any] = ACTIONS(3336),
    [anon_sym_number] = ACTIONS(3336),
    [anon_sym_boolean] = ACTIONS(3336),
    [anon_sym_string] = ACTIONS(3336),
    [anon_sym_symbol] = ACTIONS(3336),
    [anon_sym_object] = ACTIONS(3336),
    [anon_sym_abstract] = ACTIONS(3336),
    [anon_sym_interface] = ACTIONS(3336),
    [anon_sym_enum] = ACTIONS(3336),
    [sym_html_comment] = ACTIONS(5),
  },
  [1379] = {
    [sym_comment] = STATE(1379),
    [sym_identifier] = ACTIONS(2167),
    [anon_sym_export] = ACTIONS(2167),
    [anon_sym_default] = ACTIONS(2167),
    [anon_sym_type] = ACTIONS(2167),
    [anon_sym_namespace] = ACTIONS(2167),
    [anon_sym_LBRACE] = ACTIONS(2167),
    [anon_sym_RBRACE] = ACTIONS(2167),
    [anon_sym_typeof] = ACTIONS(2167),
    [anon_sym_import] = ACTIONS(2167),
    [anon_sym_with] = ACTIONS(2167),
    [anon_sym_var] = ACTIONS(2167),
    [anon_sym_let] = ACTIONS(2167),
    [anon_sym_const] = ACTIONS(2167),
    [anon_sym_BANG] = ACTIONS(2167),
    [anon_sym_if] = ACTIONS(2167),
    [anon_sym_switch] = ACTIONS(2167),
    [anon_sym_for] = ACTIONS(2167),
    [anon_sym_LPAREN] = ACTIONS(2167),
    [anon_sym_await] = ACTIONS(2167),
    [anon_sym_while] = ACTIONS(2167),
    [anon_sym_do] = ACTIONS(2167),
    [anon_sym_try] = ACTIONS(2167),
    [anon_sym_break] = ACTIONS(2167),
    [anon_sym_continue] = ACTIONS(2167),
    [anon_sym_debugger] = ACTIONS(2167),
    [anon_sym_return] = ACTIONS(2167),
    [anon_sym_throw] = ACTIONS(2167),
    [anon_sym_SEMI] = ACTIONS(2167),
    [anon_sym_case] = ACTIONS(2167),
    [anon_sym_yield] = ACTIONS(2167),
    [anon_sym_LBRACK] = ACTIONS(2167),
    [anon_sym_LTtemplate_GT] = ACTIONS(2167),
    [anon_sym_DQUOTE] = ACTIONS(2167),
    [anon_sym_SQUOTE] = ACTIONS(2167),
    [anon_sym_class] = ACTIONS(2167),
    [anon_sym_async] = ACTIONS(2167),
    [anon_sym_function] = ACTIONS(2167),
    [anon_sym_new] = ACTIONS(2167),
    [anon_sym_using] = ACTIONS(2167),
    [anon_sym_PLUS] = ACTIONS(2167),
    [anon_sym_DASH] = ACTIONS(2167),
    [anon_sym_SLASH] = ACTIONS(2167),
    [anon_sym_LT] = ACTIONS(2167),
    [anon_sym_TILDE] = ACTIONS(2167),
    [anon_sym_void] = ACTIONS(2167),
    [anon_sym_delete] = ACTIONS(2167),
    [anon_sym_PLUS_PLUS] = ACTIONS(2167),
    [anon_sym_DASH_DASH] = ACTIONS(2167),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2167),
    [sym_number] = ACTIONS(2167),
    [sym_private_property_identifier] = ACTIONS(2167),
    [sym_this] = ACTIONS(2167),
    [sym_super] = ACTIONS(2167),
    [sym_true] = ACTIONS(2167),
    [sym_false] = ACTIONS(2167),
    [sym_null] = ACTIONS(2167),
    [sym_undefined] = ACTIONS(2167),
    [anon_sym_AT] = ACTIONS(2167),
    [anon_sym_static] = ACTIONS(2167),
    [anon_sym_readonly] = ACTIONS(2167),
    [anon_sym_get] = ACTIONS(2167),
    [anon_sym_set] = ACTIONS(2167),
    [anon_sym_declare] = ACTIONS(2167),
    [anon_sym_public] = ACTIONS(2167),
    [anon_sym_private] = ACTIONS(2167),
    [anon_sym_protected] = ACTIONS(2167),
    [anon_sym_override] = ACTIONS(2167),
    [anon_sym_module] = ACTIONS(2167),
    [anon_sym_any] = ACTIONS(2167),
    [anon_sym_number] = ACTIONS(2167),
    [anon_sym_boolean] = ACTIONS(2167),
    [anon_sym_string] = ACTIONS(2167),
    [anon_sym_symbol] = ACTIONS(2167),
    [anon_sym_object] = ACTIONS(2167),
    [anon_sym_abstract] = ACTIONS(2167),
    [anon_sym_interface] = ACTIONS(2167),
    [anon_sym_enum] = ACTIONS(2167),
    [sym_html_comment] = ACTIONS(5),
  },
  [1380] = {
    [sym_comment] = STATE(1380),
    [sym_identifier] = ACTIONS(3282),
    [anon_sym_export] = ACTIONS(3282),
    [anon_sym_default] = ACTIONS(3282),
    [anon_sym_type] = ACTIONS(3282),
    [anon_sym_namespace] = ACTIONS(3282),
    [anon_sym_LBRACE] = ACTIONS(3282),
    [anon_sym_RBRACE] = ACTIONS(3282),
    [anon_sym_typeof] = ACTIONS(3282),
    [anon_sym_import] = ACTIONS(3282),
    [anon_sym_with] = ACTIONS(3282),
    [anon_sym_var] = ACTIONS(3282),
    [anon_sym_let] = ACTIONS(3282),
    [anon_sym_const] = ACTIONS(3282),
    [anon_sym_BANG] = ACTIONS(3282),
    [anon_sym_if] = ACTIONS(3282),
    [anon_sym_switch] = ACTIONS(3282),
    [anon_sym_for] = ACTIONS(3282),
    [anon_sym_LPAREN] = ACTIONS(3282),
    [anon_sym_await] = ACTIONS(3282),
    [anon_sym_while] = ACTIONS(3282),
    [anon_sym_do] = ACTIONS(3282),
    [anon_sym_try] = ACTIONS(3282),
    [anon_sym_break] = ACTIONS(3282),
    [anon_sym_continue] = ACTIONS(3282),
    [anon_sym_debugger] = ACTIONS(3282),
    [anon_sym_return] = ACTIONS(3282),
    [anon_sym_throw] = ACTIONS(3282),
    [anon_sym_SEMI] = ACTIONS(3282),
    [anon_sym_case] = ACTIONS(3282),
    [anon_sym_yield] = ACTIONS(3282),
    [anon_sym_LBRACK] = ACTIONS(3282),
    [anon_sym_LTtemplate_GT] = ACTIONS(3282),
    [anon_sym_DQUOTE] = ACTIONS(3282),
    [anon_sym_SQUOTE] = ACTIONS(3282),
    [anon_sym_class] = ACTIONS(3282),
    [anon_sym_async] = ACTIONS(3282),
    [anon_sym_function] = ACTIONS(3282),
    [anon_sym_new] = ACTIONS(3282),
    [anon_sym_using] = ACTIONS(3282),
    [anon_sym_PLUS] = ACTIONS(3282),
    [anon_sym_DASH] = ACTIONS(3282),
    [anon_sym_SLASH] = ACTIONS(3282),
    [anon_sym_LT] = ACTIONS(3282),
    [anon_sym_TILDE] = ACTIONS(3282),
    [anon_sym_void] = ACTIONS(3282),
    [anon_sym_delete] = ACTIONS(3282),
    [anon_sym_PLUS_PLUS] = ACTIONS(3282),
    [anon_sym_DASH_DASH] = ACTIONS(3282),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3282),
    [sym_number] = ACTIONS(3282),
    [sym_private_property_identifier] = ACTIONS(3282),
    [sym_this] = ACTIONS(3282),
    [sym_super] = ACTIONS(3282),
    [sym_true] = ACTIONS(3282),
    [sym_false] = ACTIONS(3282),
    [sym_null] = ACTIONS(3282),
    [sym_undefined] = ACTIONS(3282),
    [anon_sym_AT] = ACTIONS(3282),
    [anon_sym_static] = ACTIONS(3282),
    [anon_sym_readonly] = ACTIONS(3282),
    [anon_sym_get] = ACTIONS(3282),
    [anon_sym_set] = ACTIONS(3282),
    [anon_sym_declare] = ACTIONS(3282),
    [anon_sym_public] = ACTIONS(3282),
    [anon_sym_private] = ACTIONS(3282),
    [anon_sym_protected] = ACTIONS(3282),
    [anon_sym_override] = ACTIONS(3282),
    [anon_sym_module] = ACTIONS(3282),
    [anon_sym_any] = ACTIONS(3282),
    [anon_sym_number] = ACTIONS(3282),
    [anon_sym_boolean] = ACTIONS(3282),
    [anon_sym_string] = ACTIONS(3282),
    [anon_sym_symbol] = ACTIONS(3282),
    [anon_sym_object] = ACTIONS(3282),
    [anon_sym_abstract] = ACTIONS(3282),
    [anon_sym_interface] = ACTIONS(3282),
    [anon_sym_enum] = ACTIONS(3282),
    [sym_html_comment] = ACTIONS(5),
  },
  [1381] = {
    [sym_comment] = STATE(1381),
    [ts_builtin_sym_end] = ACTIONS(3470),
    [sym_identifier] = ACTIONS(3336),
    [anon_sym_export] = ACTIONS(3336),
    [anon_sym_type] = ACTIONS(3336),
    [anon_sym_namespace] = ACTIONS(3336),
    [anon_sym_LBRACE] = ACTIONS(3336),
    [anon_sym_RBRACE] = ACTIONS(3336),
    [anon_sym_typeof] = ACTIONS(3336),
    [anon_sym_import] = ACTIONS(3336),
    [anon_sym_with] = ACTIONS(3336),
    [anon_sym_var] = ACTIONS(3336),
    [anon_sym_let] = ACTIONS(3336),
    [anon_sym_const] = ACTIONS(3336),
    [anon_sym_BANG] = ACTIONS(3336),
    [anon_sym_else] = ACTIONS(3336),
    [anon_sym_if] = ACTIONS(3336),
    [anon_sym_switch] = ACTIONS(3336),
    [anon_sym_for] = ACTIONS(3336),
    [anon_sym_LPAREN] = ACTIONS(3336),
    [anon_sym_await] = ACTIONS(3336),
    [anon_sym_while] = ACTIONS(3336),
    [anon_sym_do] = ACTIONS(3336),
    [anon_sym_try] = ACTIONS(3336),
    [anon_sym_break] = ACTIONS(3336),
    [anon_sym_continue] = ACTIONS(3336),
    [anon_sym_debugger] = ACTIONS(3336),
    [anon_sym_return] = ACTIONS(3336),
    [anon_sym_throw] = ACTIONS(3336),
    [anon_sym_SEMI] = ACTIONS(3336),
    [anon_sym_yield] = ACTIONS(3336),
    [anon_sym_LBRACK] = ACTIONS(3336),
    [anon_sym_LTtemplate_GT] = ACTIONS(3336),
    [anon_sym_DQUOTE] = ACTIONS(3336),
    [anon_sym_SQUOTE] = ACTIONS(3336),
    [anon_sym_class] = ACTIONS(3336),
    [anon_sym_async] = ACTIONS(3336),
    [anon_sym_function] = ACTIONS(3336),
    [anon_sym_new] = ACTIONS(3336),
    [anon_sym_using] = ACTIONS(3336),
    [anon_sym_PLUS] = ACTIONS(3336),
    [anon_sym_DASH] = ACTIONS(3336),
    [anon_sym_SLASH] = ACTIONS(3336),
    [anon_sym_LT] = ACTIONS(3336),
    [anon_sym_TILDE] = ACTIONS(3336),
    [anon_sym_void] = ACTIONS(3336),
    [anon_sym_delete] = ACTIONS(3336),
    [anon_sym_PLUS_PLUS] = ACTIONS(3336),
    [anon_sym_DASH_DASH] = ACTIONS(3336),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3336),
    [sym_number] = ACTIONS(3336),
    [sym_private_property_identifier] = ACTIONS(3336),
    [sym_this] = ACTIONS(3336),
    [sym_super] = ACTIONS(3336),
    [sym_true] = ACTIONS(3336),
    [sym_false] = ACTIONS(3336),
    [sym_null] = ACTIONS(3336),
    [sym_undefined] = ACTIONS(3336),
    [anon_sym_AT] = ACTIONS(3336),
    [anon_sym_static] = ACTIONS(3336),
    [anon_sym_readonly] = ACTIONS(3336),
    [anon_sym_get] = ACTIONS(3336),
    [anon_sym_set] = ACTIONS(3336),
    [anon_sym_declare] = ACTIONS(3336),
    [anon_sym_public] = ACTIONS(3336),
    [anon_sym_private] = ACTIONS(3336),
    [anon_sym_protected] = ACTIONS(3336),
    [anon_sym_override] = ACTIONS(3336),
    [anon_sym_module] = ACTIONS(3336),
    [anon_sym_any] = ACTIONS(3336),
    [anon_sym_number] = ACTIONS(3336),
    [anon_sym_boolean] = ACTIONS(3336),
    [anon_sym_string] = ACTIONS(3336),
    [anon_sym_symbol] = ACTIONS(3336),
    [anon_sym_object] = ACTIONS(3336),
    [anon_sym_abstract] = ACTIONS(3336),
    [anon_sym_interface] = ACTIONS(3336),
    [anon_sym_enum] = ACTIONS(3336),
    [sym_html_comment] = ACTIONS(5),
  },
  [1382] = {
    [sym_comment] = STATE(1382),
    [sym_identifier] = ACTIONS(2167),
    [anon_sym_export] = ACTIONS(2167),
    [anon_sym_default] = ACTIONS(2167),
    [anon_sym_type] = ACTIONS(2167),
    [anon_sym_namespace] = ACTIONS(2167),
    [anon_sym_LBRACE] = ACTIONS(2167),
    [anon_sym_RBRACE] = ACTIONS(2167),
    [anon_sym_typeof] = ACTIONS(2167),
    [anon_sym_import] = ACTIONS(2167),
    [anon_sym_with] = ACTIONS(2167),
    [anon_sym_var] = ACTIONS(2167),
    [anon_sym_let] = ACTIONS(2167),
    [anon_sym_const] = ACTIONS(2167),
    [anon_sym_BANG] = ACTIONS(2167),
    [anon_sym_if] = ACTIONS(2167),
    [anon_sym_switch] = ACTIONS(2167),
    [anon_sym_for] = ACTIONS(2167),
    [anon_sym_LPAREN] = ACTIONS(2167),
    [anon_sym_await] = ACTIONS(2167),
    [anon_sym_while] = ACTIONS(2167),
    [anon_sym_do] = ACTIONS(2167),
    [anon_sym_try] = ACTIONS(2167),
    [anon_sym_break] = ACTIONS(2167),
    [anon_sym_continue] = ACTIONS(2167),
    [anon_sym_debugger] = ACTIONS(2167),
    [anon_sym_return] = ACTIONS(2167),
    [anon_sym_throw] = ACTIONS(2167),
    [anon_sym_SEMI] = ACTIONS(2167),
    [anon_sym_case] = ACTIONS(2167),
    [anon_sym_yield] = ACTIONS(2167),
    [anon_sym_LBRACK] = ACTIONS(2167),
    [anon_sym_LTtemplate_GT] = ACTIONS(2167),
    [anon_sym_DQUOTE] = ACTIONS(2167),
    [anon_sym_SQUOTE] = ACTIONS(2167),
    [anon_sym_class] = ACTIONS(2167),
    [anon_sym_async] = ACTIONS(2167),
    [anon_sym_function] = ACTIONS(2167),
    [anon_sym_new] = ACTIONS(2167),
    [anon_sym_using] = ACTIONS(2167),
    [anon_sym_PLUS] = ACTIONS(2167),
    [anon_sym_DASH] = ACTIONS(2167),
    [anon_sym_SLASH] = ACTIONS(2167),
    [anon_sym_LT] = ACTIONS(2167),
    [anon_sym_TILDE] = ACTIONS(2167),
    [anon_sym_void] = ACTIONS(2167),
    [anon_sym_delete] = ACTIONS(2167),
    [anon_sym_PLUS_PLUS] = ACTIONS(2167),
    [anon_sym_DASH_DASH] = ACTIONS(2167),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2167),
    [sym_number] = ACTIONS(2167),
    [sym_private_property_identifier] = ACTIONS(2167),
    [sym_this] = ACTIONS(2167),
    [sym_super] = ACTIONS(2167),
    [sym_true] = ACTIONS(2167),
    [sym_false] = ACTIONS(2167),
    [sym_null] = ACTIONS(2167),
    [sym_undefined] = ACTIONS(2167),
    [anon_sym_AT] = ACTIONS(2167),
    [anon_sym_static] = ACTIONS(2167),
    [anon_sym_readonly] = ACTIONS(2167),
    [anon_sym_get] = ACTIONS(2167),
    [anon_sym_set] = ACTIONS(2167),
    [anon_sym_declare] = ACTIONS(2167),
    [anon_sym_public] = ACTIONS(2167),
    [anon_sym_private] = ACTIONS(2167),
    [anon_sym_protected] = ACTIONS(2167),
    [anon_sym_override] = ACTIONS(2167),
    [anon_sym_module] = ACTIONS(2167),
    [anon_sym_any] = ACTIONS(2167),
    [anon_sym_number] = ACTIONS(2167),
    [anon_sym_boolean] = ACTIONS(2167),
    [anon_sym_string] = ACTIONS(2167),
    [anon_sym_symbol] = ACTIONS(2167),
    [anon_sym_object] = ACTIONS(2167),
    [anon_sym_abstract] = ACTIONS(2167),
    [anon_sym_interface] = ACTIONS(2167),
    [anon_sym_enum] = ACTIONS(2167),
    [sym_html_comment] = ACTIONS(5),
  },
  [1383] = {
    [sym_comment] = STATE(1383),
    [ts_builtin_sym_end] = ACTIONS(3470),
    [sym_identifier] = ACTIONS(3336),
    [anon_sym_export] = ACTIONS(3336),
    [anon_sym_type] = ACTIONS(3336),
    [anon_sym_namespace] = ACTIONS(3336),
    [anon_sym_LBRACE] = ACTIONS(3336),
    [anon_sym_RBRACE] = ACTIONS(3336),
    [anon_sym_typeof] = ACTIONS(3336),
    [anon_sym_import] = ACTIONS(3336),
    [anon_sym_with] = ACTIONS(3336),
    [anon_sym_var] = ACTIONS(3336),
    [anon_sym_let] = ACTIONS(3336),
    [anon_sym_const] = ACTIONS(3336),
    [anon_sym_BANG] = ACTIONS(3336),
    [anon_sym_else] = ACTIONS(3336),
    [anon_sym_if] = ACTIONS(3336),
    [anon_sym_switch] = ACTIONS(3336),
    [anon_sym_for] = ACTIONS(3336),
    [anon_sym_LPAREN] = ACTIONS(3336),
    [anon_sym_await] = ACTIONS(3336),
    [anon_sym_while] = ACTIONS(3336),
    [anon_sym_do] = ACTIONS(3336),
    [anon_sym_try] = ACTIONS(3336),
    [anon_sym_break] = ACTIONS(3336),
    [anon_sym_continue] = ACTIONS(3336),
    [anon_sym_debugger] = ACTIONS(3336),
    [anon_sym_return] = ACTIONS(3336),
    [anon_sym_throw] = ACTIONS(3336),
    [anon_sym_SEMI] = ACTIONS(3336),
    [anon_sym_yield] = ACTIONS(3336),
    [anon_sym_LBRACK] = ACTIONS(3336),
    [anon_sym_LTtemplate_GT] = ACTIONS(3336),
    [anon_sym_DQUOTE] = ACTIONS(3336),
    [anon_sym_SQUOTE] = ACTIONS(3336),
    [anon_sym_class] = ACTIONS(3336),
    [anon_sym_async] = ACTIONS(3336),
    [anon_sym_function] = ACTIONS(3336),
    [anon_sym_new] = ACTIONS(3336),
    [anon_sym_using] = ACTIONS(3336),
    [anon_sym_PLUS] = ACTIONS(3336),
    [anon_sym_DASH] = ACTIONS(3336),
    [anon_sym_SLASH] = ACTIONS(3336),
    [anon_sym_LT] = ACTIONS(3336),
    [anon_sym_TILDE] = ACTIONS(3336),
    [anon_sym_void] = ACTIONS(3336),
    [anon_sym_delete] = ACTIONS(3336),
    [anon_sym_PLUS_PLUS] = ACTIONS(3336),
    [anon_sym_DASH_DASH] = ACTIONS(3336),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3336),
    [sym_number] = ACTIONS(3336),
    [sym_private_property_identifier] = ACTIONS(3336),
    [sym_this] = ACTIONS(3336),
    [sym_super] = ACTIONS(3336),
    [sym_true] = ACTIONS(3336),
    [sym_false] = ACTIONS(3336),
    [sym_null] = ACTIONS(3336),
    [sym_undefined] = ACTIONS(3336),
    [anon_sym_AT] = ACTIONS(3336),
    [anon_sym_static] = ACTIONS(3336),
    [anon_sym_readonly] = ACTIONS(3336),
    [anon_sym_get] = ACTIONS(3336),
    [anon_sym_set] = ACTIONS(3336),
    [anon_sym_declare] = ACTIONS(3336),
    [anon_sym_public] = ACTIONS(3336),
    [anon_sym_private] = ACTIONS(3336),
    [anon_sym_protected] = ACTIONS(3336),
    [anon_sym_override] = ACTIONS(3336),
    [anon_sym_module] = ACTIONS(3336),
    [anon_sym_any] = ACTIONS(3336),
    [anon_sym_number] = ACTIONS(3336),
    [anon_sym_boolean] = ACTIONS(3336),
    [anon_sym_string] = ACTIONS(3336),
    [anon_sym_symbol] = ACTIONS(3336),
    [anon_sym_object] = ACTIONS(3336),
    [anon_sym_abstract] = ACTIONS(3336),
    [anon_sym_interface] = ACTIONS(3336),
    [anon_sym_enum] = ACTIONS(3336),
    [sym_html_comment] = ACTIONS(5),
  },
  [1384] = {
    [sym_comment] = STATE(1384),
    [sym_identifier] = ACTIONS(2199),
    [anon_sym_export] = ACTIONS(2199),
    [anon_sym_default] = ACTIONS(2199),
    [anon_sym_type] = ACTIONS(2199),
    [anon_sym_namespace] = ACTIONS(2199),
    [anon_sym_LBRACE] = ACTIONS(2199),
    [anon_sym_RBRACE] = ACTIONS(2199),
    [anon_sym_typeof] = ACTIONS(2199),
    [anon_sym_import] = ACTIONS(2199),
    [anon_sym_with] = ACTIONS(2199),
    [anon_sym_var] = ACTIONS(2199),
    [anon_sym_let] = ACTIONS(2199),
    [anon_sym_const] = ACTIONS(2199),
    [anon_sym_BANG] = ACTIONS(2199),
    [anon_sym_if] = ACTIONS(2199),
    [anon_sym_switch] = ACTIONS(2199),
    [anon_sym_for] = ACTIONS(2199),
    [anon_sym_LPAREN] = ACTIONS(2199),
    [anon_sym_await] = ACTIONS(2199),
    [anon_sym_while] = ACTIONS(2199),
    [anon_sym_do] = ACTIONS(2199),
    [anon_sym_try] = ACTIONS(2199),
    [anon_sym_break] = ACTIONS(2199),
    [anon_sym_continue] = ACTIONS(2199),
    [anon_sym_debugger] = ACTIONS(2199),
    [anon_sym_return] = ACTIONS(2199),
    [anon_sym_throw] = ACTIONS(2199),
    [anon_sym_SEMI] = ACTIONS(2199),
    [anon_sym_case] = ACTIONS(2199),
    [anon_sym_yield] = ACTIONS(2199),
    [anon_sym_LBRACK] = ACTIONS(2199),
    [anon_sym_LTtemplate_GT] = ACTIONS(2199),
    [anon_sym_DQUOTE] = ACTIONS(2199),
    [anon_sym_SQUOTE] = ACTIONS(2199),
    [anon_sym_class] = ACTIONS(2199),
    [anon_sym_async] = ACTIONS(2199),
    [anon_sym_function] = ACTIONS(2199),
    [anon_sym_new] = ACTIONS(2199),
    [anon_sym_using] = ACTIONS(2199),
    [anon_sym_PLUS] = ACTIONS(2199),
    [anon_sym_DASH] = ACTIONS(2199),
    [anon_sym_SLASH] = ACTIONS(2199),
    [anon_sym_LT] = ACTIONS(2199),
    [anon_sym_TILDE] = ACTIONS(2199),
    [anon_sym_void] = ACTIONS(2199),
    [anon_sym_delete] = ACTIONS(2199),
    [anon_sym_PLUS_PLUS] = ACTIONS(2199),
    [anon_sym_DASH_DASH] = ACTIONS(2199),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2199),
    [sym_number] = ACTIONS(2199),
    [sym_private_property_identifier] = ACTIONS(2199),
    [sym_this] = ACTIONS(2199),
    [sym_super] = ACTIONS(2199),
    [sym_true] = ACTIONS(2199),
    [sym_false] = ACTIONS(2199),
    [sym_null] = ACTIONS(2199),
    [sym_undefined] = ACTIONS(2199),
    [anon_sym_AT] = ACTIONS(2199),
    [anon_sym_static] = ACTIONS(2199),
    [anon_sym_readonly] = ACTIONS(2199),
    [anon_sym_get] = ACTIONS(2199),
    [anon_sym_set] = ACTIONS(2199),
    [anon_sym_declare] = ACTIONS(2199),
    [anon_sym_public] = ACTIONS(2199),
    [anon_sym_private] = ACTIONS(2199),
    [anon_sym_protected] = ACTIONS(2199),
    [anon_sym_override] = ACTIONS(2199),
    [anon_sym_module] = ACTIONS(2199),
    [anon_sym_any] = ACTIONS(2199),
    [anon_sym_number] = ACTIONS(2199),
    [anon_sym_boolean] = ACTIONS(2199),
    [anon_sym_string] = ACTIONS(2199),
    [anon_sym_symbol] = ACTIONS(2199),
    [anon_sym_object] = ACTIONS(2199),
    [anon_sym_abstract] = ACTIONS(2199),
    [anon_sym_interface] = ACTIONS(2199),
    [anon_sym_enum] = ACTIONS(2199),
    [sym_html_comment] = ACTIONS(5),
  },
  [1385] = {
    [sym_comment] = STATE(1385),
    [sym_identifier] = ACTIONS(3284),
    [anon_sym_export] = ACTIONS(3284),
    [anon_sym_default] = ACTIONS(3284),
    [anon_sym_type] = ACTIONS(3284),
    [anon_sym_namespace] = ACTIONS(3284),
    [anon_sym_LBRACE] = ACTIONS(3284),
    [anon_sym_RBRACE] = ACTIONS(3284),
    [anon_sym_typeof] = ACTIONS(3284),
    [anon_sym_import] = ACTIONS(3284),
    [anon_sym_with] = ACTIONS(3284),
    [anon_sym_var] = ACTIONS(3284),
    [anon_sym_let] = ACTIONS(3284),
    [anon_sym_const] = ACTIONS(3284),
    [anon_sym_BANG] = ACTIONS(3284),
    [anon_sym_if] = ACTIONS(3284),
    [anon_sym_switch] = ACTIONS(3284),
    [anon_sym_for] = ACTIONS(3284),
    [anon_sym_LPAREN] = ACTIONS(3284),
    [anon_sym_await] = ACTIONS(3284),
    [anon_sym_while] = ACTIONS(3284),
    [anon_sym_do] = ACTIONS(3284),
    [anon_sym_try] = ACTIONS(3284),
    [anon_sym_break] = ACTIONS(3284),
    [anon_sym_continue] = ACTIONS(3284),
    [anon_sym_debugger] = ACTIONS(3284),
    [anon_sym_return] = ACTIONS(3284),
    [anon_sym_throw] = ACTIONS(3284),
    [anon_sym_SEMI] = ACTIONS(3284),
    [anon_sym_case] = ACTIONS(3284),
    [anon_sym_yield] = ACTIONS(3284),
    [anon_sym_LBRACK] = ACTIONS(3284),
    [anon_sym_LTtemplate_GT] = ACTIONS(3284),
    [anon_sym_DQUOTE] = ACTIONS(3284),
    [anon_sym_SQUOTE] = ACTIONS(3284),
    [anon_sym_class] = ACTIONS(3284),
    [anon_sym_async] = ACTIONS(3284),
    [anon_sym_function] = ACTIONS(3284),
    [anon_sym_new] = ACTIONS(3284),
    [anon_sym_using] = ACTIONS(3284),
    [anon_sym_PLUS] = ACTIONS(3284),
    [anon_sym_DASH] = ACTIONS(3284),
    [anon_sym_SLASH] = ACTIONS(3284),
    [anon_sym_LT] = ACTIONS(3284),
    [anon_sym_TILDE] = ACTIONS(3284),
    [anon_sym_void] = ACTIONS(3284),
    [anon_sym_delete] = ACTIONS(3284),
    [anon_sym_PLUS_PLUS] = ACTIONS(3284),
    [anon_sym_DASH_DASH] = ACTIONS(3284),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3284),
    [sym_number] = ACTIONS(3284),
    [sym_private_property_identifier] = ACTIONS(3284),
    [sym_this] = ACTIONS(3284),
    [sym_super] = ACTIONS(3284),
    [sym_true] = ACTIONS(3284),
    [sym_false] = ACTIONS(3284),
    [sym_null] = ACTIONS(3284),
    [sym_undefined] = ACTIONS(3284),
    [anon_sym_AT] = ACTIONS(3284),
    [anon_sym_static] = ACTIONS(3284),
    [anon_sym_readonly] = ACTIONS(3284),
    [anon_sym_get] = ACTIONS(3284),
    [anon_sym_set] = ACTIONS(3284),
    [anon_sym_declare] = ACTIONS(3284),
    [anon_sym_public] = ACTIONS(3284),
    [anon_sym_private] = ACTIONS(3284),
    [anon_sym_protected] = ACTIONS(3284),
    [anon_sym_override] = ACTIONS(3284),
    [anon_sym_module] = ACTIONS(3284),
    [anon_sym_any] = ACTIONS(3284),
    [anon_sym_number] = ACTIONS(3284),
    [anon_sym_boolean] = ACTIONS(3284),
    [anon_sym_string] = ACTIONS(3284),
    [anon_sym_symbol] = ACTIONS(3284),
    [anon_sym_object] = ACTIONS(3284),
    [anon_sym_abstract] = ACTIONS(3284),
    [anon_sym_interface] = ACTIONS(3284),
    [anon_sym_enum] = ACTIONS(3284),
    [sym_html_comment] = ACTIONS(5),
  },
  [1386] = {
    [sym_comment] = STATE(1386),
    [ts_builtin_sym_end] = ACTIONS(3470),
    [sym_identifier] = ACTIONS(3336),
    [anon_sym_export] = ACTIONS(3336),
    [anon_sym_type] = ACTIONS(3336),
    [anon_sym_namespace] = ACTIONS(3336),
    [anon_sym_LBRACE] = ACTIONS(3336),
    [anon_sym_RBRACE] = ACTIONS(3336),
    [anon_sym_typeof] = ACTIONS(3336),
    [anon_sym_import] = ACTIONS(3336),
    [anon_sym_with] = ACTIONS(3336),
    [anon_sym_var] = ACTIONS(3336),
    [anon_sym_let] = ACTIONS(3336),
    [anon_sym_const] = ACTIONS(3336),
    [anon_sym_BANG] = ACTIONS(3336),
    [anon_sym_else] = ACTIONS(3336),
    [anon_sym_if] = ACTIONS(3336),
    [anon_sym_switch] = ACTIONS(3336),
    [anon_sym_for] = ACTIONS(3336),
    [anon_sym_LPAREN] = ACTIONS(3336),
    [anon_sym_await] = ACTIONS(3336),
    [anon_sym_while] = ACTIONS(3336),
    [anon_sym_do] = ACTIONS(3336),
    [anon_sym_try] = ACTIONS(3336),
    [anon_sym_break] = ACTIONS(3336),
    [anon_sym_continue] = ACTIONS(3336),
    [anon_sym_debugger] = ACTIONS(3336),
    [anon_sym_return] = ACTIONS(3336),
    [anon_sym_throw] = ACTIONS(3336),
    [anon_sym_SEMI] = ACTIONS(3336),
    [anon_sym_yield] = ACTIONS(3336),
    [anon_sym_LBRACK] = ACTIONS(3336),
    [anon_sym_LTtemplate_GT] = ACTIONS(3336),
    [anon_sym_DQUOTE] = ACTIONS(3336),
    [anon_sym_SQUOTE] = ACTIONS(3336),
    [anon_sym_class] = ACTIONS(3336),
    [anon_sym_async] = ACTIONS(3336),
    [anon_sym_function] = ACTIONS(3336),
    [anon_sym_new] = ACTIONS(3336),
    [anon_sym_using] = ACTIONS(3336),
    [anon_sym_PLUS] = ACTIONS(3336),
    [anon_sym_DASH] = ACTIONS(3336),
    [anon_sym_SLASH] = ACTIONS(3336),
    [anon_sym_LT] = ACTIONS(3336),
    [anon_sym_TILDE] = ACTIONS(3336),
    [anon_sym_void] = ACTIONS(3336),
    [anon_sym_delete] = ACTIONS(3336),
    [anon_sym_PLUS_PLUS] = ACTIONS(3336),
    [anon_sym_DASH_DASH] = ACTIONS(3336),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3336),
    [sym_number] = ACTIONS(3336),
    [sym_private_property_identifier] = ACTIONS(3336),
    [sym_this] = ACTIONS(3336),
    [sym_super] = ACTIONS(3336),
    [sym_true] = ACTIONS(3336),
    [sym_false] = ACTIONS(3336),
    [sym_null] = ACTIONS(3336),
    [sym_undefined] = ACTIONS(3336),
    [anon_sym_AT] = ACTIONS(3336),
    [anon_sym_static] = ACTIONS(3336),
    [anon_sym_readonly] = ACTIONS(3336),
    [anon_sym_get] = ACTIONS(3336),
    [anon_sym_set] = ACTIONS(3336),
    [anon_sym_declare] = ACTIONS(3336),
    [anon_sym_public] = ACTIONS(3336),
    [anon_sym_private] = ACTIONS(3336),
    [anon_sym_protected] = ACTIONS(3336),
    [anon_sym_override] = ACTIONS(3336),
    [anon_sym_module] = ACTIONS(3336),
    [anon_sym_any] = ACTIONS(3336),
    [anon_sym_number] = ACTIONS(3336),
    [anon_sym_boolean] = ACTIONS(3336),
    [anon_sym_string] = ACTIONS(3336),
    [anon_sym_symbol] = ACTIONS(3336),
    [anon_sym_object] = ACTIONS(3336),
    [anon_sym_abstract] = ACTIONS(3336),
    [anon_sym_interface] = ACTIONS(3336),
    [anon_sym_enum] = ACTIONS(3336),
    [sym_html_comment] = ACTIONS(5),
  },
  [1387] = {
    [sym_comment] = STATE(1387),
    [sym_identifier] = ACTIONS(2203),
    [anon_sym_export] = ACTIONS(2203),
    [anon_sym_default] = ACTIONS(2203),
    [anon_sym_type] = ACTIONS(2203),
    [anon_sym_namespace] = ACTIONS(2203),
    [anon_sym_LBRACE] = ACTIONS(2203),
    [anon_sym_RBRACE] = ACTIONS(2203),
    [anon_sym_typeof] = ACTIONS(2203),
    [anon_sym_import] = ACTIONS(2203),
    [anon_sym_with] = ACTIONS(2203),
    [anon_sym_var] = ACTIONS(2203),
    [anon_sym_let] = ACTIONS(2203),
    [anon_sym_const] = ACTIONS(2203),
    [anon_sym_BANG] = ACTIONS(2203),
    [anon_sym_if] = ACTIONS(2203),
    [anon_sym_switch] = ACTIONS(2203),
    [anon_sym_for] = ACTIONS(2203),
    [anon_sym_LPAREN] = ACTIONS(2203),
    [anon_sym_await] = ACTIONS(2203),
    [anon_sym_while] = ACTIONS(2203),
    [anon_sym_do] = ACTIONS(2203),
    [anon_sym_try] = ACTIONS(2203),
    [anon_sym_break] = ACTIONS(2203),
    [anon_sym_continue] = ACTIONS(2203),
    [anon_sym_debugger] = ACTIONS(2203),
    [anon_sym_return] = ACTIONS(2203),
    [anon_sym_throw] = ACTIONS(2203),
    [anon_sym_SEMI] = ACTIONS(2203),
    [anon_sym_case] = ACTIONS(2203),
    [anon_sym_yield] = ACTIONS(2203),
    [anon_sym_LBRACK] = ACTIONS(2203),
    [anon_sym_LTtemplate_GT] = ACTIONS(2203),
    [anon_sym_DQUOTE] = ACTIONS(2203),
    [anon_sym_SQUOTE] = ACTIONS(2203),
    [anon_sym_class] = ACTIONS(2203),
    [anon_sym_async] = ACTIONS(2203),
    [anon_sym_function] = ACTIONS(2203),
    [anon_sym_new] = ACTIONS(2203),
    [anon_sym_using] = ACTIONS(2203),
    [anon_sym_PLUS] = ACTIONS(2203),
    [anon_sym_DASH] = ACTIONS(2203),
    [anon_sym_SLASH] = ACTIONS(2203),
    [anon_sym_LT] = ACTIONS(2203),
    [anon_sym_TILDE] = ACTIONS(2203),
    [anon_sym_void] = ACTIONS(2203),
    [anon_sym_delete] = ACTIONS(2203),
    [anon_sym_PLUS_PLUS] = ACTIONS(2203),
    [anon_sym_DASH_DASH] = ACTIONS(2203),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2203),
    [sym_number] = ACTIONS(2203),
    [sym_private_property_identifier] = ACTIONS(2203),
    [sym_this] = ACTIONS(2203),
    [sym_super] = ACTIONS(2203),
    [sym_true] = ACTIONS(2203),
    [sym_false] = ACTIONS(2203),
    [sym_null] = ACTIONS(2203),
    [sym_undefined] = ACTIONS(2203),
    [anon_sym_AT] = ACTIONS(2203),
    [anon_sym_static] = ACTIONS(2203),
    [anon_sym_readonly] = ACTIONS(2203),
    [anon_sym_get] = ACTIONS(2203),
    [anon_sym_set] = ACTIONS(2203),
    [anon_sym_declare] = ACTIONS(2203),
    [anon_sym_public] = ACTIONS(2203),
    [anon_sym_private] = ACTIONS(2203),
    [anon_sym_protected] = ACTIONS(2203),
    [anon_sym_override] = ACTIONS(2203),
    [anon_sym_module] = ACTIONS(2203),
    [anon_sym_any] = ACTIONS(2203),
    [anon_sym_number] = ACTIONS(2203),
    [anon_sym_boolean] = ACTIONS(2203),
    [anon_sym_string] = ACTIONS(2203),
    [anon_sym_symbol] = ACTIONS(2203),
    [anon_sym_object] = ACTIONS(2203),
    [anon_sym_abstract] = ACTIONS(2203),
    [anon_sym_interface] = ACTIONS(2203),
    [anon_sym_enum] = ACTIONS(2203),
    [sym_html_comment] = ACTIONS(5),
  },
  [1388] = {
    [sym_comment] = STATE(1388),
    [ts_builtin_sym_end] = ACTIONS(3470),
    [sym_identifier] = ACTIONS(3336),
    [anon_sym_export] = ACTIONS(3336),
    [anon_sym_type] = ACTIONS(3336),
    [anon_sym_namespace] = ACTIONS(3336),
    [anon_sym_LBRACE] = ACTIONS(3336),
    [anon_sym_RBRACE] = ACTIONS(3336),
    [anon_sym_typeof] = ACTIONS(3336),
    [anon_sym_import] = ACTIONS(3336),
    [anon_sym_with] = ACTIONS(3336),
    [anon_sym_var] = ACTIONS(3336),
    [anon_sym_let] = ACTIONS(3336),
    [anon_sym_const] = ACTIONS(3336),
    [anon_sym_BANG] = ACTIONS(3336),
    [anon_sym_else] = ACTIONS(3336),
    [anon_sym_if] = ACTIONS(3336),
    [anon_sym_switch] = ACTIONS(3336),
    [anon_sym_for] = ACTIONS(3336),
    [anon_sym_LPAREN] = ACTIONS(3336),
    [anon_sym_await] = ACTIONS(3336),
    [anon_sym_while] = ACTIONS(3336),
    [anon_sym_do] = ACTIONS(3336),
    [anon_sym_try] = ACTIONS(3336),
    [anon_sym_break] = ACTIONS(3336),
    [anon_sym_continue] = ACTIONS(3336),
    [anon_sym_debugger] = ACTIONS(3336),
    [anon_sym_return] = ACTIONS(3336),
    [anon_sym_throw] = ACTIONS(3336),
    [anon_sym_SEMI] = ACTIONS(3336),
    [anon_sym_yield] = ACTIONS(3336),
    [anon_sym_LBRACK] = ACTIONS(3336),
    [anon_sym_LTtemplate_GT] = ACTIONS(3336),
    [anon_sym_DQUOTE] = ACTIONS(3336),
    [anon_sym_SQUOTE] = ACTIONS(3336),
    [anon_sym_class] = ACTIONS(3336),
    [anon_sym_async] = ACTIONS(3336),
    [anon_sym_function] = ACTIONS(3336),
    [anon_sym_new] = ACTIONS(3336),
    [anon_sym_using] = ACTIONS(3336),
    [anon_sym_PLUS] = ACTIONS(3336),
    [anon_sym_DASH] = ACTIONS(3336),
    [anon_sym_SLASH] = ACTIONS(3336),
    [anon_sym_LT] = ACTIONS(3336),
    [anon_sym_TILDE] = ACTIONS(3336),
    [anon_sym_void] = ACTIONS(3336),
    [anon_sym_delete] = ACTIONS(3336),
    [anon_sym_PLUS_PLUS] = ACTIONS(3336),
    [anon_sym_DASH_DASH] = ACTIONS(3336),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3336),
    [sym_number] = ACTIONS(3336),
    [sym_private_property_identifier] = ACTIONS(3336),
    [sym_this] = ACTIONS(3336),
    [sym_super] = ACTIONS(3336),
    [sym_true] = ACTIONS(3336),
    [sym_false] = ACTIONS(3336),
    [sym_null] = ACTIONS(3336),
    [sym_undefined] = ACTIONS(3336),
    [anon_sym_AT] = ACTIONS(3336),
    [anon_sym_static] = ACTIONS(3336),
    [anon_sym_readonly] = ACTIONS(3336),
    [anon_sym_get] = ACTIONS(3336),
    [anon_sym_set] = ACTIONS(3336),
    [anon_sym_declare] = ACTIONS(3336),
    [anon_sym_public] = ACTIONS(3336),
    [anon_sym_private] = ACTIONS(3336),
    [anon_sym_protected] = ACTIONS(3336),
    [anon_sym_override] = ACTIONS(3336),
    [anon_sym_module] = ACTIONS(3336),
    [anon_sym_any] = ACTIONS(3336),
    [anon_sym_number] = ACTIONS(3336),
    [anon_sym_boolean] = ACTIONS(3336),
    [anon_sym_string] = ACTIONS(3336),
    [anon_sym_symbol] = ACTIONS(3336),
    [anon_sym_object] = ACTIONS(3336),
    [anon_sym_abstract] = ACTIONS(3336),
    [anon_sym_interface] = ACTIONS(3336),
    [anon_sym_enum] = ACTIONS(3336),
    [sym_html_comment] = ACTIONS(5),
  },
  [1389] = {
    [sym_comment] = STATE(1389),
    [ts_builtin_sym_end] = ACTIONS(2103),
    [sym_identifier] = ACTIONS(2067),
    [anon_sym_export] = ACTIONS(2067),
    [anon_sym_type] = ACTIONS(2067),
    [anon_sym_namespace] = ACTIONS(2067),
    [anon_sym_LBRACE] = ACTIONS(2067),
    [anon_sym_RBRACE] = ACTIONS(2067),
    [anon_sym_typeof] = ACTIONS(2067),
    [anon_sym_import] = ACTIONS(2067),
    [anon_sym_with] = ACTIONS(2067),
    [anon_sym_var] = ACTIONS(2067),
    [anon_sym_let] = ACTIONS(2067),
    [anon_sym_const] = ACTIONS(2067),
    [anon_sym_BANG] = ACTIONS(2067),
    [anon_sym_if] = ACTIONS(2067),
    [anon_sym_switch] = ACTIONS(2067),
    [anon_sym_for] = ACTIONS(2067),
    [anon_sym_LPAREN] = ACTIONS(2067),
    [anon_sym_await] = ACTIONS(2067),
    [anon_sym_while] = ACTIONS(2067),
    [anon_sym_do] = ACTIONS(2067),
    [anon_sym_try] = ACTIONS(2067),
    [anon_sym_break] = ACTIONS(2067),
    [anon_sym_continue] = ACTIONS(2067),
    [anon_sym_debugger] = ACTIONS(2067),
    [anon_sym_return] = ACTIONS(2067),
    [anon_sym_throw] = ACTIONS(2067),
    [anon_sym_SEMI] = ACTIONS(2067),
    [anon_sym_yield] = ACTIONS(2067),
    [anon_sym_LBRACK] = ACTIONS(2067),
    [anon_sym_LTtemplate_GT] = ACTIONS(2067),
    [anon_sym_DQUOTE] = ACTIONS(2067),
    [anon_sym_SQUOTE] = ACTIONS(2067),
    [anon_sym_class] = ACTIONS(2067),
    [anon_sym_async] = ACTIONS(2067),
    [anon_sym_function] = ACTIONS(2067),
    [anon_sym_new] = ACTIONS(2067),
    [anon_sym_using] = ACTIONS(2067),
    [anon_sym_PLUS] = ACTIONS(2067),
    [anon_sym_DASH] = ACTIONS(2067),
    [anon_sym_SLASH] = ACTIONS(2067),
    [anon_sym_LT] = ACTIONS(2067),
    [anon_sym_TILDE] = ACTIONS(2067),
    [anon_sym_void] = ACTIONS(2067),
    [anon_sym_delete] = ACTIONS(2067),
    [anon_sym_PLUS_PLUS] = ACTIONS(2067),
    [anon_sym_DASH_DASH] = ACTIONS(2067),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2067),
    [sym_number] = ACTIONS(2067),
    [sym_private_property_identifier] = ACTIONS(2067),
    [sym_this] = ACTIONS(2067),
    [sym_super] = ACTIONS(2067),
    [sym_true] = ACTIONS(2067),
    [sym_false] = ACTIONS(2067),
    [sym_null] = ACTIONS(2067),
    [sym_undefined] = ACTIONS(2067),
    [anon_sym_AT] = ACTIONS(2067),
    [anon_sym_static] = ACTIONS(2067),
    [anon_sym_readonly] = ACTIONS(2067),
    [anon_sym_get] = ACTIONS(2067),
    [anon_sym_set] = ACTIONS(2067),
    [anon_sym_declare] = ACTIONS(2067),
    [anon_sym_public] = ACTIONS(2067),
    [anon_sym_private] = ACTIONS(2067),
    [anon_sym_protected] = ACTIONS(2067),
    [anon_sym_override] = ACTIONS(2067),
    [anon_sym_module] = ACTIONS(2067),
    [anon_sym_any] = ACTIONS(2067),
    [anon_sym_number] = ACTIONS(2067),
    [anon_sym_boolean] = ACTIONS(2067),
    [anon_sym_string] = ACTIONS(2067),
    [anon_sym_symbol] = ACTIONS(2067),
    [anon_sym_object] = ACTIONS(2067),
    [anon_sym_abstract] = ACTIONS(2067),
    [anon_sym_interface] = ACTIONS(2067),
    [anon_sym_enum] = ACTIONS(2067),
    [sym__automatic_semicolon] = ACTIONS(3472),
    [sym_html_comment] = ACTIONS(5),
  },
  [1390] = {
    [sym_comment] = STATE(1390),
    [sym_identifier] = ACTIONS(3304),
    [anon_sym_export] = ACTIONS(3304),
    [anon_sym_default] = ACTIONS(3304),
    [anon_sym_type] = ACTIONS(3304),
    [anon_sym_namespace] = ACTIONS(3304),
    [anon_sym_LBRACE] = ACTIONS(3304),
    [anon_sym_RBRACE] = ACTIONS(3304),
    [anon_sym_typeof] = ACTIONS(3304),
    [anon_sym_import] = ACTIONS(3304),
    [anon_sym_with] = ACTIONS(3304),
    [anon_sym_var] = ACTIONS(3304),
    [anon_sym_let] = ACTIONS(3304),
    [anon_sym_const] = ACTIONS(3304),
    [anon_sym_BANG] = ACTIONS(3304),
    [anon_sym_if] = ACTIONS(3304),
    [anon_sym_switch] = ACTIONS(3304),
    [anon_sym_for] = ACTIONS(3304),
    [anon_sym_LPAREN] = ACTIONS(3304),
    [anon_sym_await] = ACTIONS(3304),
    [anon_sym_while] = ACTIONS(3304),
    [anon_sym_do] = ACTIONS(3304),
    [anon_sym_try] = ACTIONS(3304),
    [anon_sym_break] = ACTIONS(3304),
    [anon_sym_continue] = ACTIONS(3304),
    [anon_sym_debugger] = ACTIONS(3304),
    [anon_sym_return] = ACTIONS(3304),
    [anon_sym_throw] = ACTIONS(3304),
    [anon_sym_SEMI] = ACTIONS(3304),
    [anon_sym_case] = ACTIONS(3304),
    [anon_sym_yield] = ACTIONS(3304),
    [anon_sym_LBRACK] = ACTIONS(3304),
    [anon_sym_LTtemplate_GT] = ACTIONS(3304),
    [anon_sym_DQUOTE] = ACTIONS(3304),
    [anon_sym_SQUOTE] = ACTIONS(3304),
    [anon_sym_class] = ACTIONS(3304),
    [anon_sym_async] = ACTIONS(3304),
    [anon_sym_function] = ACTIONS(3304),
    [anon_sym_new] = ACTIONS(3304),
    [anon_sym_using] = ACTIONS(3304),
    [anon_sym_PLUS] = ACTIONS(3304),
    [anon_sym_DASH] = ACTIONS(3304),
    [anon_sym_SLASH] = ACTIONS(3304),
    [anon_sym_LT] = ACTIONS(3304),
    [anon_sym_TILDE] = ACTIONS(3304),
    [anon_sym_void] = ACTIONS(3304),
    [anon_sym_delete] = ACTIONS(3304),
    [anon_sym_PLUS_PLUS] = ACTIONS(3304),
    [anon_sym_DASH_DASH] = ACTIONS(3304),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3304),
    [sym_number] = ACTIONS(3304),
    [sym_private_property_identifier] = ACTIONS(3304),
    [sym_this] = ACTIONS(3304),
    [sym_super] = ACTIONS(3304),
    [sym_true] = ACTIONS(3304),
    [sym_false] = ACTIONS(3304),
    [sym_null] = ACTIONS(3304),
    [sym_undefined] = ACTIONS(3304),
    [anon_sym_AT] = ACTIONS(3304),
    [anon_sym_static] = ACTIONS(3304),
    [anon_sym_readonly] = ACTIONS(3304),
    [anon_sym_get] = ACTIONS(3304),
    [anon_sym_set] = ACTIONS(3304),
    [anon_sym_declare] = ACTIONS(3304),
    [anon_sym_public] = ACTIONS(3304),
    [anon_sym_private] = ACTIONS(3304),
    [anon_sym_protected] = ACTIONS(3304),
    [anon_sym_override] = ACTIONS(3304),
    [anon_sym_module] = ACTIONS(3304),
    [anon_sym_any] = ACTIONS(3304),
    [anon_sym_number] = ACTIONS(3304),
    [anon_sym_boolean] = ACTIONS(3304),
    [anon_sym_string] = ACTIONS(3304),
    [anon_sym_symbol] = ACTIONS(3304),
    [anon_sym_object] = ACTIONS(3304),
    [anon_sym_abstract] = ACTIONS(3304),
    [anon_sym_interface] = ACTIONS(3304),
    [anon_sym_enum] = ACTIONS(3304),
    [sym_html_comment] = ACTIONS(5),
  },
  [1391] = {
    [sym_comment] = STATE(1391),
    [ts_builtin_sym_end] = ACTIONS(3470),
    [sym_identifier] = ACTIONS(3336),
    [anon_sym_export] = ACTIONS(3336),
    [anon_sym_type] = ACTIONS(3336),
    [anon_sym_namespace] = ACTIONS(3336),
    [anon_sym_LBRACE] = ACTIONS(3336),
    [anon_sym_RBRACE] = ACTIONS(3336),
    [anon_sym_typeof] = ACTIONS(3336),
    [anon_sym_import] = ACTIONS(3336),
    [anon_sym_with] = ACTIONS(3336),
    [anon_sym_var] = ACTIONS(3336),
    [anon_sym_let] = ACTIONS(3336),
    [anon_sym_const] = ACTIONS(3336),
    [anon_sym_BANG] = ACTIONS(3336),
    [anon_sym_else] = ACTIONS(3336),
    [anon_sym_if] = ACTIONS(3336),
    [anon_sym_switch] = ACTIONS(3336),
    [anon_sym_for] = ACTIONS(3336),
    [anon_sym_LPAREN] = ACTIONS(3336),
    [anon_sym_await] = ACTIONS(3336),
    [anon_sym_while] = ACTIONS(3336),
    [anon_sym_do] = ACTIONS(3336),
    [anon_sym_try] = ACTIONS(3336),
    [anon_sym_break] = ACTIONS(3336),
    [anon_sym_continue] = ACTIONS(3336),
    [anon_sym_debugger] = ACTIONS(3336),
    [anon_sym_return] = ACTIONS(3336),
    [anon_sym_throw] = ACTIONS(3336),
    [anon_sym_SEMI] = ACTIONS(3336),
    [anon_sym_yield] = ACTIONS(3336),
    [anon_sym_LBRACK] = ACTIONS(3336),
    [anon_sym_LTtemplate_GT] = ACTIONS(3336),
    [anon_sym_DQUOTE] = ACTIONS(3336),
    [anon_sym_SQUOTE] = ACTIONS(3336),
    [anon_sym_class] = ACTIONS(3336),
    [anon_sym_async] = ACTIONS(3336),
    [anon_sym_function] = ACTIONS(3336),
    [anon_sym_new] = ACTIONS(3336),
    [anon_sym_using] = ACTIONS(3336),
    [anon_sym_PLUS] = ACTIONS(3336),
    [anon_sym_DASH] = ACTIONS(3336),
    [anon_sym_SLASH] = ACTIONS(3336),
    [anon_sym_LT] = ACTIONS(3336),
    [anon_sym_TILDE] = ACTIONS(3336),
    [anon_sym_void] = ACTIONS(3336),
    [anon_sym_delete] = ACTIONS(3336),
    [anon_sym_PLUS_PLUS] = ACTIONS(3336),
    [anon_sym_DASH_DASH] = ACTIONS(3336),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3336),
    [sym_number] = ACTIONS(3336),
    [sym_private_property_identifier] = ACTIONS(3336),
    [sym_this] = ACTIONS(3336),
    [sym_super] = ACTIONS(3336),
    [sym_true] = ACTIONS(3336),
    [sym_false] = ACTIONS(3336),
    [sym_null] = ACTIONS(3336),
    [sym_undefined] = ACTIONS(3336),
    [anon_sym_AT] = ACTIONS(3336),
    [anon_sym_static] = ACTIONS(3336),
    [anon_sym_readonly] = ACTIONS(3336),
    [anon_sym_get] = ACTIONS(3336),
    [anon_sym_set] = ACTIONS(3336),
    [anon_sym_declare] = ACTIONS(3336),
    [anon_sym_public] = ACTIONS(3336),
    [anon_sym_private] = ACTIONS(3336),
    [anon_sym_protected] = ACTIONS(3336),
    [anon_sym_override] = ACTIONS(3336),
    [anon_sym_module] = ACTIONS(3336),
    [anon_sym_any] = ACTIONS(3336),
    [anon_sym_number] = ACTIONS(3336),
    [anon_sym_boolean] = ACTIONS(3336),
    [anon_sym_string] = ACTIONS(3336),
    [anon_sym_symbol] = ACTIONS(3336),
    [anon_sym_object] = ACTIONS(3336),
    [anon_sym_abstract] = ACTIONS(3336),
    [anon_sym_interface] = ACTIONS(3336),
    [anon_sym_enum] = ACTIONS(3336),
    [sym_html_comment] = ACTIONS(5),
  },
  [1392] = {
    [sym_comment] = STATE(1392),
    [ts_builtin_sym_end] = ACTIONS(3470),
    [sym_identifier] = ACTIONS(3336),
    [anon_sym_export] = ACTIONS(3336),
    [anon_sym_type] = ACTIONS(3336),
    [anon_sym_namespace] = ACTIONS(3336),
    [anon_sym_LBRACE] = ACTIONS(3336),
    [anon_sym_RBRACE] = ACTIONS(3336),
    [anon_sym_typeof] = ACTIONS(3336),
    [anon_sym_import] = ACTIONS(3336),
    [anon_sym_with] = ACTIONS(3336),
    [anon_sym_var] = ACTIONS(3336),
    [anon_sym_let] = ACTIONS(3336),
    [anon_sym_const] = ACTIONS(3336),
    [anon_sym_BANG] = ACTIONS(3336),
    [anon_sym_else] = ACTIONS(3336),
    [anon_sym_if] = ACTIONS(3336),
    [anon_sym_switch] = ACTIONS(3336),
    [anon_sym_for] = ACTIONS(3336),
    [anon_sym_LPAREN] = ACTIONS(3336),
    [anon_sym_await] = ACTIONS(3336),
    [anon_sym_while] = ACTIONS(3336),
    [anon_sym_do] = ACTIONS(3336),
    [anon_sym_try] = ACTIONS(3336),
    [anon_sym_break] = ACTIONS(3336),
    [anon_sym_continue] = ACTIONS(3336),
    [anon_sym_debugger] = ACTIONS(3336),
    [anon_sym_return] = ACTIONS(3336),
    [anon_sym_throw] = ACTIONS(3336),
    [anon_sym_SEMI] = ACTIONS(3336),
    [anon_sym_yield] = ACTIONS(3336),
    [anon_sym_LBRACK] = ACTIONS(3336),
    [anon_sym_LTtemplate_GT] = ACTIONS(3336),
    [anon_sym_DQUOTE] = ACTIONS(3336),
    [anon_sym_SQUOTE] = ACTIONS(3336),
    [anon_sym_class] = ACTIONS(3336),
    [anon_sym_async] = ACTIONS(3336),
    [anon_sym_function] = ACTIONS(3336),
    [anon_sym_new] = ACTIONS(3336),
    [anon_sym_using] = ACTIONS(3336),
    [anon_sym_PLUS] = ACTIONS(3336),
    [anon_sym_DASH] = ACTIONS(3336),
    [anon_sym_SLASH] = ACTIONS(3336),
    [anon_sym_LT] = ACTIONS(3336),
    [anon_sym_TILDE] = ACTIONS(3336),
    [anon_sym_void] = ACTIONS(3336),
    [anon_sym_delete] = ACTIONS(3336),
    [anon_sym_PLUS_PLUS] = ACTIONS(3336),
    [anon_sym_DASH_DASH] = ACTIONS(3336),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3336),
    [sym_number] = ACTIONS(3336),
    [sym_private_property_identifier] = ACTIONS(3336),
    [sym_this] = ACTIONS(3336),
    [sym_super] = ACTIONS(3336),
    [sym_true] = ACTIONS(3336),
    [sym_false] = ACTIONS(3336),
    [sym_null] = ACTIONS(3336),
    [sym_undefined] = ACTIONS(3336),
    [anon_sym_AT] = ACTIONS(3336),
    [anon_sym_static] = ACTIONS(3336),
    [anon_sym_readonly] = ACTIONS(3336),
    [anon_sym_get] = ACTIONS(3336),
    [anon_sym_set] = ACTIONS(3336),
    [anon_sym_declare] = ACTIONS(3336),
    [anon_sym_public] = ACTIONS(3336),
    [anon_sym_private] = ACTIONS(3336),
    [anon_sym_protected] = ACTIONS(3336),
    [anon_sym_override] = ACTIONS(3336),
    [anon_sym_module] = ACTIONS(3336),
    [anon_sym_any] = ACTIONS(3336),
    [anon_sym_number] = ACTIONS(3336),
    [anon_sym_boolean] = ACTIONS(3336),
    [anon_sym_string] = ACTIONS(3336),
    [anon_sym_symbol] = ACTIONS(3336),
    [anon_sym_object] = ACTIONS(3336),
    [anon_sym_abstract] = ACTIONS(3336),
    [anon_sym_interface] = ACTIONS(3336),
    [anon_sym_enum] = ACTIONS(3336),
    [sym_html_comment] = ACTIONS(5),
  },
  [1393] = {
    [sym_comment] = STATE(1393),
    [ts_builtin_sym_end] = ACTIONS(3470),
    [sym_identifier] = ACTIONS(3336),
    [anon_sym_export] = ACTIONS(3336),
    [anon_sym_type] = ACTIONS(3336),
    [anon_sym_namespace] = ACTIONS(3336),
    [anon_sym_LBRACE] = ACTIONS(3336),
    [anon_sym_RBRACE] = ACTIONS(3336),
    [anon_sym_typeof] = ACTIONS(3336),
    [anon_sym_import] = ACTIONS(3336),
    [anon_sym_with] = ACTIONS(3336),
    [anon_sym_var] = ACTIONS(3336),
    [anon_sym_let] = ACTIONS(3336),
    [anon_sym_const] = ACTIONS(3336),
    [anon_sym_BANG] = ACTIONS(3336),
    [anon_sym_else] = ACTIONS(3336),
    [anon_sym_if] = ACTIONS(3336),
    [anon_sym_switch] = ACTIONS(3336),
    [anon_sym_for] = ACTIONS(3336),
    [anon_sym_LPAREN] = ACTIONS(3336),
    [anon_sym_await] = ACTIONS(3336),
    [anon_sym_while] = ACTIONS(3336),
    [anon_sym_do] = ACTIONS(3336),
    [anon_sym_try] = ACTIONS(3336),
    [anon_sym_break] = ACTIONS(3336),
    [anon_sym_continue] = ACTIONS(3336),
    [anon_sym_debugger] = ACTIONS(3336),
    [anon_sym_return] = ACTIONS(3336),
    [anon_sym_throw] = ACTIONS(3336),
    [anon_sym_SEMI] = ACTIONS(3336),
    [anon_sym_yield] = ACTIONS(3336),
    [anon_sym_LBRACK] = ACTIONS(3336),
    [anon_sym_LTtemplate_GT] = ACTIONS(3336),
    [anon_sym_DQUOTE] = ACTIONS(3336),
    [anon_sym_SQUOTE] = ACTIONS(3336),
    [anon_sym_class] = ACTIONS(3336),
    [anon_sym_async] = ACTIONS(3336),
    [anon_sym_function] = ACTIONS(3336),
    [anon_sym_new] = ACTIONS(3336),
    [anon_sym_using] = ACTIONS(3336),
    [anon_sym_PLUS] = ACTIONS(3336),
    [anon_sym_DASH] = ACTIONS(3336),
    [anon_sym_SLASH] = ACTIONS(3336),
    [anon_sym_LT] = ACTIONS(3336),
    [anon_sym_TILDE] = ACTIONS(3336),
    [anon_sym_void] = ACTIONS(3336),
    [anon_sym_delete] = ACTIONS(3336),
    [anon_sym_PLUS_PLUS] = ACTIONS(3336),
    [anon_sym_DASH_DASH] = ACTIONS(3336),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3336),
    [sym_number] = ACTIONS(3336),
    [sym_private_property_identifier] = ACTIONS(3336),
    [sym_this] = ACTIONS(3336),
    [sym_super] = ACTIONS(3336),
    [sym_true] = ACTIONS(3336),
    [sym_false] = ACTIONS(3336),
    [sym_null] = ACTIONS(3336),
    [sym_undefined] = ACTIONS(3336),
    [anon_sym_AT] = ACTIONS(3336),
    [anon_sym_static] = ACTIONS(3336),
    [anon_sym_readonly] = ACTIONS(3336),
    [anon_sym_get] = ACTIONS(3336),
    [anon_sym_set] = ACTIONS(3336),
    [anon_sym_declare] = ACTIONS(3336),
    [anon_sym_public] = ACTIONS(3336),
    [anon_sym_private] = ACTIONS(3336),
    [anon_sym_protected] = ACTIONS(3336),
    [anon_sym_override] = ACTIONS(3336),
    [anon_sym_module] = ACTIONS(3336),
    [anon_sym_any] = ACTIONS(3336),
    [anon_sym_number] = ACTIONS(3336),
    [anon_sym_boolean] = ACTIONS(3336),
    [anon_sym_string] = ACTIONS(3336),
    [anon_sym_symbol] = ACTIONS(3336),
    [anon_sym_object] = ACTIONS(3336),
    [anon_sym_abstract] = ACTIONS(3336),
    [anon_sym_interface] = ACTIONS(3336),
    [anon_sym_enum] = ACTIONS(3336),
    [sym_html_comment] = ACTIONS(5),
  },
  [1394] = {
    [sym_comment] = STATE(1394),
    [ts_builtin_sym_end] = ACTIONS(3470),
    [sym_identifier] = ACTIONS(3336),
    [anon_sym_export] = ACTIONS(3336),
    [anon_sym_type] = ACTIONS(3336),
    [anon_sym_namespace] = ACTIONS(3336),
    [anon_sym_LBRACE] = ACTIONS(3336),
    [anon_sym_RBRACE] = ACTIONS(3336),
    [anon_sym_typeof] = ACTIONS(3336),
    [anon_sym_import] = ACTIONS(3336),
    [anon_sym_with] = ACTIONS(3336),
    [anon_sym_var] = ACTIONS(3336),
    [anon_sym_let] = ACTIONS(3336),
    [anon_sym_const] = ACTIONS(3336),
    [anon_sym_BANG] = ACTIONS(3336),
    [anon_sym_else] = ACTIONS(3336),
    [anon_sym_if] = ACTIONS(3336),
    [anon_sym_switch] = ACTIONS(3336),
    [anon_sym_for] = ACTIONS(3336),
    [anon_sym_LPAREN] = ACTIONS(3336),
    [anon_sym_await] = ACTIONS(3336),
    [anon_sym_while] = ACTIONS(3336),
    [anon_sym_do] = ACTIONS(3336),
    [anon_sym_try] = ACTIONS(3336),
    [anon_sym_break] = ACTIONS(3336),
    [anon_sym_continue] = ACTIONS(3336),
    [anon_sym_debugger] = ACTIONS(3336),
    [anon_sym_return] = ACTIONS(3336),
    [anon_sym_throw] = ACTIONS(3336),
    [anon_sym_SEMI] = ACTIONS(3336),
    [anon_sym_yield] = ACTIONS(3336),
    [anon_sym_LBRACK] = ACTIONS(3336),
    [anon_sym_LTtemplate_GT] = ACTIONS(3336),
    [anon_sym_DQUOTE] = ACTIONS(3336),
    [anon_sym_SQUOTE] = ACTIONS(3336),
    [anon_sym_class] = ACTIONS(3336),
    [anon_sym_async] = ACTIONS(3336),
    [anon_sym_function] = ACTIONS(3336),
    [anon_sym_new] = ACTIONS(3336),
    [anon_sym_using] = ACTIONS(3336),
    [anon_sym_PLUS] = ACTIONS(3336),
    [anon_sym_DASH] = ACTIONS(3336),
    [anon_sym_SLASH] = ACTIONS(3336),
    [anon_sym_LT] = ACTIONS(3336),
    [anon_sym_TILDE] = ACTIONS(3336),
    [anon_sym_void] = ACTIONS(3336),
    [anon_sym_delete] = ACTIONS(3336),
    [anon_sym_PLUS_PLUS] = ACTIONS(3336),
    [anon_sym_DASH_DASH] = ACTIONS(3336),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3336),
    [sym_number] = ACTIONS(3336),
    [sym_private_property_identifier] = ACTIONS(3336),
    [sym_this] = ACTIONS(3336),
    [sym_super] = ACTIONS(3336),
    [sym_true] = ACTIONS(3336),
    [sym_false] = ACTIONS(3336),
    [sym_null] = ACTIONS(3336),
    [sym_undefined] = ACTIONS(3336),
    [anon_sym_AT] = ACTIONS(3336),
    [anon_sym_static] = ACTIONS(3336),
    [anon_sym_readonly] = ACTIONS(3336),
    [anon_sym_get] = ACTIONS(3336),
    [anon_sym_set] = ACTIONS(3336),
    [anon_sym_declare] = ACTIONS(3336),
    [anon_sym_public] = ACTIONS(3336),
    [anon_sym_private] = ACTIONS(3336),
    [anon_sym_protected] = ACTIONS(3336),
    [anon_sym_override] = ACTIONS(3336),
    [anon_sym_module] = ACTIONS(3336),
    [anon_sym_any] = ACTIONS(3336),
    [anon_sym_number] = ACTIONS(3336),
    [anon_sym_boolean] = ACTIONS(3336),
    [anon_sym_string] = ACTIONS(3336),
    [anon_sym_symbol] = ACTIONS(3336),
    [anon_sym_object] = ACTIONS(3336),
    [anon_sym_abstract] = ACTIONS(3336),
    [anon_sym_interface] = ACTIONS(3336),
    [anon_sym_enum] = ACTIONS(3336),
    [sym_html_comment] = ACTIONS(5),
  },
  [1395] = {
    [sym_comment] = STATE(1395),
    [ts_builtin_sym_end] = ACTIONS(3470),
    [sym_identifier] = ACTIONS(3336),
    [anon_sym_export] = ACTIONS(3336),
    [anon_sym_type] = ACTIONS(3336),
    [anon_sym_namespace] = ACTIONS(3336),
    [anon_sym_LBRACE] = ACTIONS(3336),
    [anon_sym_RBRACE] = ACTIONS(3336),
    [anon_sym_typeof] = ACTIONS(3336),
    [anon_sym_import] = ACTIONS(3336),
    [anon_sym_with] = ACTIONS(3336),
    [anon_sym_var] = ACTIONS(3336),
    [anon_sym_let] = ACTIONS(3336),
    [anon_sym_const] = ACTIONS(3336),
    [anon_sym_BANG] = ACTIONS(3336),
    [anon_sym_else] = ACTIONS(3336),
    [anon_sym_if] = ACTIONS(3336),
    [anon_sym_switch] = ACTIONS(3336),
    [anon_sym_for] = ACTIONS(3336),
    [anon_sym_LPAREN] = ACTIONS(3336),
    [anon_sym_await] = ACTIONS(3336),
    [anon_sym_while] = ACTIONS(3336),
    [anon_sym_do] = ACTIONS(3336),
    [anon_sym_try] = ACTIONS(3336),
    [anon_sym_break] = ACTIONS(3336),
    [anon_sym_continue] = ACTIONS(3336),
    [anon_sym_debugger] = ACTIONS(3336),
    [anon_sym_return] = ACTIONS(3336),
    [anon_sym_throw] = ACTIONS(3336),
    [anon_sym_SEMI] = ACTIONS(3336),
    [anon_sym_yield] = ACTIONS(3336),
    [anon_sym_LBRACK] = ACTIONS(3336),
    [anon_sym_LTtemplate_GT] = ACTIONS(3336),
    [anon_sym_DQUOTE] = ACTIONS(3336),
    [anon_sym_SQUOTE] = ACTIONS(3336),
    [anon_sym_class] = ACTIONS(3336),
    [anon_sym_async] = ACTIONS(3336),
    [anon_sym_function] = ACTIONS(3336),
    [anon_sym_new] = ACTIONS(3336),
    [anon_sym_using] = ACTIONS(3336),
    [anon_sym_PLUS] = ACTIONS(3336),
    [anon_sym_DASH] = ACTIONS(3336),
    [anon_sym_SLASH] = ACTIONS(3336),
    [anon_sym_LT] = ACTIONS(3336),
    [anon_sym_TILDE] = ACTIONS(3336),
    [anon_sym_void] = ACTIONS(3336),
    [anon_sym_delete] = ACTIONS(3336),
    [anon_sym_PLUS_PLUS] = ACTIONS(3336),
    [anon_sym_DASH_DASH] = ACTIONS(3336),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3336),
    [sym_number] = ACTIONS(3336),
    [sym_private_property_identifier] = ACTIONS(3336),
    [sym_this] = ACTIONS(3336),
    [sym_super] = ACTIONS(3336),
    [sym_true] = ACTIONS(3336),
    [sym_false] = ACTIONS(3336),
    [sym_null] = ACTIONS(3336),
    [sym_undefined] = ACTIONS(3336),
    [anon_sym_AT] = ACTIONS(3336),
    [anon_sym_static] = ACTIONS(3336),
    [anon_sym_readonly] = ACTIONS(3336),
    [anon_sym_get] = ACTIONS(3336),
    [anon_sym_set] = ACTIONS(3336),
    [anon_sym_declare] = ACTIONS(3336),
    [anon_sym_public] = ACTIONS(3336),
    [anon_sym_private] = ACTIONS(3336),
    [anon_sym_protected] = ACTIONS(3336),
    [anon_sym_override] = ACTIONS(3336),
    [anon_sym_module] = ACTIONS(3336),
    [anon_sym_any] = ACTIONS(3336),
    [anon_sym_number] = ACTIONS(3336),
    [anon_sym_boolean] = ACTIONS(3336),
    [anon_sym_string] = ACTIONS(3336),
    [anon_sym_symbol] = ACTIONS(3336),
    [anon_sym_object] = ACTIONS(3336),
    [anon_sym_abstract] = ACTIONS(3336),
    [anon_sym_interface] = ACTIONS(3336),
    [anon_sym_enum] = ACTIONS(3336),
    [sym_html_comment] = ACTIONS(5),
  },
  [1396] = {
    [sym_comment] = STATE(1396),
    [ts_builtin_sym_end] = ACTIONS(3470),
    [sym_identifier] = ACTIONS(3336),
    [anon_sym_export] = ACTIONS(3336),
    [anon_sym_type] = ACTIONS(3336),
    [anon_sym_namespace] = ACTIONS(3336),
    [anon_sym_LBRACE] = ACTIONS(3336),
    [anon_sym_RBRACE] = ACTIONS(3336),
    [anon_sym_typeof] = ACTIONS(3336),
    [anon_sym_import] = ACTIONS(3336),
    [anon_sym_with] = ACTIONS(3336),
    [anon_sym_var] = ACTIONS(3336),
    [anon_sym_let] = ACTIONS(3336),
    [anon_sym_const] = ACTIONS(3336),
    [anon_sym_BANG] = ACTIONS(3336),
    [anon_sym_else] = ACTIONS(3336),
    [anon_sym_if] = ACTIONS(3336),
    [anon_sym_switch] = ACTIONS(3336),
    [anon_sym_for] = ACTIONS(3336),
    [anon_sym_LPAREN] = ACTIONS(3336),
    [anon_sym_await] = ACTIONS(3336),
    [anon_sym_while] = ACTIONS(3336),
    [anon_sym_do] = ACTIONS(3336),
    [anon_sym_try] = ACTIONS(3336),
    [anon_sym_break] = ACTIONS(3336),
    [anon_sym_continue] = ACTIONS(3336),
    [anon_sym_debugger] = ACTIONS(3336),
    [anon_sym_return] = ACTIONS(3336),
    [anon_sym_throw] = ACTIONS(3336),
    [anon_sym_SEMI] = ACTIONS(3336),
    [anon_sym_yield] = ACTIONS(3336),
    [anon_sym_LBRACK] = ACTIONS(3336),
    [anon_sym_LTtemplate_GT] = ACTIONS(3336),
    [anon_sym_DQUOTE] = ACTIONS(3336),
    [anon_sym_SQUOTE] = ACTIONS(3336),
    [anon_sym_class] = ACTIONS(3336),
    [anon_sym_async] = ACTIONS(3336),
    [anon_sym_function] = ACTIONS(3336),
    [anon_sym_new] = ACTIONS(3336),
    [anon_sym_using] = ACTIONS(3336),
    [anon_sym_PLUS] = ACTIONS(3336),
    [anon_sym_DASH] = ACTIONS(3336),
    [anon_sym_SLASH] = ACTIONS(3336),
    [anon_sym_LT] = ACTIONS(3336),
    [anon_sym_TILDE] = ACTIONS(3336),
    [anon_sym_void] = ACTIONS(3336),
    [anon_sym_delete] = ACTIONS(3336),
    [anon_sym_PLUS_PLUS] = ACTIONS(3336),
    [anon_sym_DASH_DASH] = ACTIONS(3336),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3336),
    [sym_number] = ACTIONS(3336),
    [sym_private_property_identifier] = ACTIONS(3336),
    [sym_this] = ACTIONS(3336),
    [sym_super] = ACTIONS(3336),
    [sym_true] = ACTIONS(3336),
    [sym_false] = ACTIONS(3336),
    [sym_null] = ACTIONS(3336),
    [sym_undefined] = ACTIONS(3336),
    [anon_sym_AT] = ACTIONS(3336),
    [anon_sym_static] = ACTIONS(3336),
    [anon_sym_readonly] = ACTIONS(3336),
    [anon_sym_get] = ACTIONS(3336),
    [anon_sym_set] = ACTIONS(3336),
    [anon_sym_declare] = ACTIONS(3336),
    [anon_sym_public] = ACTIONS(3336),
    [anon_sym_private] = ACTIONS(3336),
    [anon_sym_protected] = ACTIONS(3336),
    [anon_sym_override] = ACTIONS(3336),
    [anon_sym_module] = ACTIONS(3336),
    [anon_sym_any] = ACTIONS(3336),
    [anon_sym_number] = ACTIONS(3336),
    [anon_sym_boolean] = ACTIONS(3336),
    [anon_sym_string] = ACTIONS(3336),
    [anon_sym_symbol] = ACTIONS(3336),
    [anon_sym_object] = ACTIONS(3336),
    [anon_sym_abstract] = ACTIONS(3336),
    [anon_sym_interface] = ACTIONS(3336),
    [anon_sym_enum] = ACTIONS(3336),
    [sym_html_comment] = ACTIONS(5),
  },
  [1397] = {
    [sym_comment] = STATE(1397),
    [sym_identifier] = ACTIONS(3328),
    [anon_sym_export] = ACTIONS(3328),
    [anon_sym_default] = ACTIONS(3328),
    [anon_sym_type] = ACTIONS(3328),
    [anon_sym_namespace] = ACTIONS(3328),
    [anon_sym_LBRACE] = ACTIONS(3328),
    [anon_sym_RBRACE] = ACTIONS(3328),
    [anon_sym_typeof] = ACTIONS(3328),
    [anon_sym_import] = ACTIONS(3328),
    [anon_sym_with] = ACTIONS(3328),
    [anon_sym_var] = ACTIONS(3328),
    [anon_sym_let] = ACTIONS(3328),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_BANG] = ACTIONS(3328),
    [anon_sym_if] = ACTIONS(3328),
    [anon_sym_switch] = ACTIONS(3328),
    [anon_sym_for] = ACTIONS(3328),
    [anon_sym_LPAREN] = ACTIONS(3328),
    [anon_sym_await] = ACTIONS(3328),
    [anon_sym_while] = ACTIONS(3328),
    [anon_sym_do] = ACTIONS(3328),
    [anon_sym_try] = ACTIONS(3328),
    [anon_sym_break] = ACTIONS(3328),
    [anon_sym_continue] = ACTIONS(3328),
    [anon_sym_debugger] = ACTIONS(3328),
    [anon_sym_return] = ACTIONS(3328),
    [anon_sym_throw] = ACTIONS(3328),
    [anon_sym_SEMI] = ACTIONS(3328),
    [anon_sym_case] = ACTIONS(3328),
    [anon_sym_yield] = ACTIONS(3328),
    [anon_sym_LBRACK] = ACTIONS(3328),
    [anon_sym_LTtemplate_GT] = ACTIONS(3328),
    [anon_sym_DQUOTE] = ACTIONS(3328),
    [anon_sym_SQUOTE] = ACTIONS(3328),
    [anon_sym_class] = ACTIONS(3328),
    [anon_sym_async] = ACTIONS(3328),
    [anon_sym_function] = ACTIONS(3328),
    [anon_sym_new] = ACTIONS(3328),
    [anon_sym_using] = ACTIONS(3328),
    [anon_sym_PLUS] = ACTIONS(3328),
    [anon_sym_DASH] = ACTIONS(3328),
    [anon_sym_SLASH] = ACTIONS(3328),
    [anon_sym_LT] = ACTIONS(3328),
    [anon_sym_TILDE] = ACTIONS(3328),
    [anon_sym_void] = ACTIONS(3328),
    [anon_sym_delete] = ACTIONS(3328),
    [anon_sym_PLUS_PLUS] = ACTIONS(3328),
    [anon_sym_DASH_DASH] = ACTIONS(3328),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3328),
    [sym_number] = ACTIONS(3328),
    [sym_private_property_identifier] = ACTIONS(3328),
    [sym_this] = ACTIONS(3328),
    [sym_super] = ACTIONS(3328),
    [sym_true] = ACTIONS(3328),
    [sym_false] = ACTIONS(3328),
    [sym_null] = ACTIONS(3328),
    [sym_undefined] = ACTIONS(3328),
    [anon_sym_AT] = ACTIONS(3328),
    [anon_sym_static] = ACTIONS(3328),
    [anon_sym_readonly] = ACTIONS(3328),
    [anon_sym_get] = ACTIONS(3328),
    [anon_sym_set] = ACTIONS(3328),
    [anon_sym_declare] = ACTIONS(3328),
    [anon_sym_public] = ACTIONS(3328),
    [anon_sym_private] = ACTIONS(3328),
    [anon_sym_protected] = ACTIONS(3328),
    [anon_sym_override] = ACTIONS(3328),
    [anon_sym_module] = ACTIONS(3328),
    [anon_sym_any] = ACTIONS(3328),
    [anon_sym_number] = ACTIONS(3328),
    [anon_sym_boolean] = ACTIONS(3328),
    [anon_sym_string] = ACTIONS(3328),
    [anon_sym_symbol] = ACTIONS(3328),
    [anon_sym_object] = ACTIONS(3328),
    [anon_sym_abstract] = ACTIONS(3328),
    [anon_sym_interface] = ACTIONS(3328),
    [anon_sym_enum] = ACTIONS(3328),
    [sym_html_comment] = ACTIONS(5),
  },
  [1398] = {
    [sym_comment] = STATE(1398),
    [sym_identifier] = ACTIONS(3330),
    [anon_sym_export] = ACTIONS(3330),
    [anon_sym_default] = ACTIONS(3330),
    [anon_sym_type] = ACTIONS(3330),
    [anon_sym_namespace] = ACTIONS(3330),
    [anon_sym_LBRACE] = ACTIONS(3330),
    [anon_sym_RBRACE] = ACTIONS(3330),
    [anon_sym_typeof] = ACTIONS(3330),
    [anon_sym_import] = ACTIONS(3330),
    [anon_sym_with] = ACTIONS(3330),
    [anon_sym_var] = ACTIONS(3330),
    [anon_sym_let] = ACTIONS(3330),
    [anon_sym_const] = ACTIONS(3330),
    [anon_sym_BANG] = ACTIONS(3330),
    [anon_sym_if] = ACTIONS(3330),
    [anon_sym_switch] = ACTIONS(3330),
    [anon_sym_for] = ACTIONS(3330),
    [anon_sym_LPAREN] = ACTIONS(3330),
    [anon_sym_await] = ACTIONS(3330),
    [anon_sym_while] = ACTIONS(3330),
    [anon_sym_do] = ACTIONS(3330),
    [anon_sym_try] = ACTIONS(3330),
    [anon_sym_break] = ACTIONS(3330),
    [anon_sym_continue] = ACTIONS(3330),
    [anon_sym_debugger] = ACTIONS(3330),
    [anon_sym_return] = ACTIONS(3330),
    [anon_sym_throw] = ACTIONS(3330),
    [anon_sym_SEMI] = ACTIONS(3330),
    [anon_sym_case] = ACTIONS(3330),
    [anon_sym_yield] = ACTIONS(3330),
    [anon_sym_LBRACK] = ACTIONS(3330),
    [anon_sym_LTtemplate_GT] = ACTIONS(3330),
    [anon_sym_DQUOTE] = ACTIONS(3330),
    [anon_sym_SQUOTE] = ACTIONS(3330),
    [anon_sym_class] = ACTIONS(3330),
    [anon_sym_async] = ACTIONS(3330),
    [anon_sym_function] = ACTIONS(3330),
    [anon_sym_new] = ACTIONS(3330),
    [anon_sym_using] = ACTIONS(3330),
    [anon_sym_PLUS] = ACTIONS(3330),
    [anon_sym_DASH] = ACTIONS(3330),
    [anon_sym_SLASH] = ACTIONS(3330),
    [anon_sym_LT] = ACTIONS(3330),
    [anon_sym_TILDE] = ACTIONS(3330),
    [anon_sym_void] = ACTIONS(3330),
    [anon_sym_delete] = ACTIONS(3330),
    [anon_sym_PLUS_PLUS] = ACTIONS(3330),
    [anon_sym_DASH_DASH] = ACTIONS(3330),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3330),
    [sym_number] = ACTIONS(3330),
    [sym_private_property_identifier] = ACTIONS(3330),
    [sym_this] = ACTIONS(3330),
    [sym_super] = ACTIONS(3330),
    [sym_true] = ACTIONS(3330),
    [sym_false] = ACTIONS(3330),
    [sym_null] = ACTIONS(3330),
    [sym_undefined] = ACTIONS(3330),
    [anon_sym_AT] = ACTIONS(3330),
    [anon_sym_static] = ACTIONS(3330),
    [anon_sym_readonly] = ACTIONS(3330),
    [anon_sym_get] = ACTIONS(3330),
    [anon_sym_set] = ACTIONS(3330),
    [anon_sym_declare] = ACTIONS(3330),
    [anon_sym_public] = ACTIONS(3330),
    [anon_sym_private] = ACTIONS(3330),
    [anon_sym_protected] = ACTIONS(3330),
    [anon_sym_override] = ACTIONS(3330),
    [anon_sym_module] = ACTIONS(3330),
    [anon_sym_any] = ACTIONS(3330),
    [anon_sym_number] = ACTIONS(3330),
    [anon_sym_boolean] = ACTIONS(3330),
    [anon_sym_string] = ACTIONS(3330),
    [anon_sym_symbol] = ACTIONS(3330),
    [anon_sym_object] = ACTIONS(3330),
    [anon_sym_abstract] = ACTIONS(3330),
    [anon_sym_interface] = ACTIONS(3330),
    [anon_sym_enum] = ACTIONS(3330),
    [sym_html_comment] = ACTIONS(5),
  },
  [1399] = {
    [sym_comment] = STATE(1399),
    [sym_identifier] = ACTIONS(3330),
    [anon_sym_export] = ACTIONS(3330),
    [anon_sym_default] = ACTIONS(3330),
    [anon_sym_type] = ACTIONS(3330),
    [anon_sym_namespace] = ACTIONS(3330),
    [anon_sym_LBRACE] = ACTIONS(3330),
    [anon_sym_RBRACE] = ACTIONS(3330),
    [anon_sym_typeof] = ACTIONS(3330),
    [anon_sym_import] = ACTIONS(3330),
    [anon_sym_with] = ACTIONS(3330),
    [anon_sym_var] = ACTIONS(3330),
    [anon_sym_let] = ACTIONS(3330),
    [anon_sym_const] = ACTIONS(3330),
    [anon_sym_BANG] = ACTIONS(3330),
    [anon_sym_if] = ACTIONS(3330),
    [anon_sym_switch] = ACTIONS(3330),
    [anon_sym_for] = ACTIONS(3330),
    [anon_sym_LPAREN] = ACTIONS(3330),
    [anon_sym_await] = ACTIONS(3330),
    [anon_sym_while] = ACTIONS(3330),
    [anon_sym_do] = ACTIONS(3330),
    [anon_sym_try] = ACTIONS(3330),
    [anon_sym_break] = ACTIONS(3330),
    [anon_sym_continue] = ACTIONS(3330),
    [anon_sym_debugger] = ACTIONS(3330),
    [anon_sym_return] = ACTIONS(3330),
    [anon_sym_throw] = ACTIONS(3330),
    [anon_sym_SEMI] = ACTIONS(3330),
    [anon_sym_case] = ACTIONS(3330),
    [anon_sym_yield] = ACTIONS(3330),
    [anon_sym_LBRACK] = ACTIONS(3330),
    [anon_sym_LTtemplate_GT] = ACTIONS(3330),
    [anon_sym_DQUOTE] = ACTIONS(3330),
    [anon_sym_SQUOTE] = ACTIONS(3330),
    [anon_sym_class] = ACTIONS(3330),
    [anon_sym_async] = ACTIONS(3330),
    [anon_sym_function] = ACTIONS(3330),
    [anon_sym_new] = ACTIONS(3330),
    [anon_sym_using] = ACTIONS(3330),
    [anon_sym_PLUS] = ACTIONS(3330),
    [anon_sym_DASH] = ACTIONS(3330),
    [anon_sym_SLASH] = ACTIONS(3330),
    [anon_sym_LT] = ACTIONS(3330),
    [anon_sym_TILDE] = ACTIONS(3330),
    [anon_sym_void] = ACTIONS(3330),
    [anon_sym_delete] = ACTIONS(3330),
    [anon_sym_PLUS_PLUS] = ACTIONS(3330),
    [anon_sym_DASH_DASH] = ACTIONS(3330),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3330),
    [sym_number] = ACTIONS(3330),
    [sym_private_property_identifier] = ACTIONS(3330),
    [sym_this] = ACTIONS(3330),
    [sym_super] = ACTIONS(3330),
    [sym_true] = ACTIONS(3330),
    [sym_false] = ACTIONS(3330),
    [sym_null] = ACTIONS(3330),
    [sym_undefined] = ACTIONS(3330),
    [anon_sym_AT] = ACTIONS(3330),
    [anon_sym_static] = ACTIONS(3330),
    [anon_sym_readonly] = ACTIONS(3330),
    [anon_sym_get] = ACTIONS(3330),
    [anon_sym_set] = ACTIONS(3330),
    [anon_sym_declare] = ACTIONS(3330),
    [anon_sym_public] = ACTIONS(3330),
    [anon_sym_private] = ACTIONS(3330),
    [anon_sym_protected] = ACTIONS(3330),
    [anon_sym_override] = ACTIONS(3330),
    [anon_sym_module] = ACTIONS(3330),
    [anon_sym_any] = ACTIONS(3330),
    [anon_sym_number] = ACTIONS(3330),
    [anon_sym_boolean] = ACTIONS(3330),
    [anon_sym_string] = ACTIONS(3330),
    [anon_sym_symbol] = ACTIONS(3330),
    [anon_sym_object] = ACTIONS(3330),
    [anon_sym_abstract] = ACTIONS(3330),
    [anon_sym_interface] = ACTIONS(3330),
    [anon_sym_enum] = ACTIONS(3330),
    [sym_html_comment] = ACTIONS(5),
  },
  [1400] = {
    [sym_comment] = STATE(1400),
    [ts_builtin_sym_end] = ACTIONS(2253),
    [sym_identifier] = ACTIONS(2251),
    [anon_sym_export] = ACTIONS(2251),
    [anon_sym_type] = ACTIONS(2251),
    [anon_sym_namespace] = ACTIONS(2251),
    [anon_sym_LBRACE] = ACTIONS(2251),
    [anon_sym_RBRACE] = ACTIONS(2251),
    [anon_sym_typeof] = ACTIONS(2251),
    [anon_sym_import] = ACTIONS(2251),
    [anon_sym_with] = ACTIONS(2251),
    [anon_sym_var] = ACTIONS(2251),
    [anon_sym_let] = ACTIONS(2251),
    [anon_sym_const] = ACTIONS(2251),
    [anon_sym_BANG] = ACTIONS(2251),
    [anon_sym_else] = ACTIONS(2251),
    [anon_sym_if] = ACTIONS(2251),
    [anon_sym_switch] = ACTIONS(2251),
    [anon_sym_for] = ACTIONS(2251),
    [anon_sym_LPAREN] = ACTIONS(2251),
    [anon_sym_await] = ACTIONS(2251),
    [anon_sym_while] = ACTIONS(2251),
    [anon_sym_do] = ACTIONS(2251),
    [anon_sym_try] = ACTIONS(2251),
    [anon_sym_break] = ACTIONS(2251),
    [anon_sym_continue] = ACTIONS(2251),
    [anon_sym_debugger] = ACTIONS(2251),
    [anon_sym_return] = ACTIONS(2251),
    [anon_sym_throw] = ACTIONS(2251),
    [anon_sym_SEMI] = ACTIONS(2251),
    [anon_sym_yield] = ACTIONS(2251),
    [anon_sym_LBRACK] = ACTIONS(2251),
    [anon_sym_LTtemplate_GT] = ACTIONS(2251),
    [anon_sym_DQUOTE] = ACTIONS(2251),
    [anon_sym_SQUOTE] = ACTIONS(2251),
    [anon_sym_class] = ACTIONS(2251),
    [anon_sym_async] = ACTIONS(2251),
    [anon_sym_function] = ACTIONS(2251),
    [anon_sym_new] = ACTIONS(2251),
    [anon_sym_using] = ACTIONS(2251),
    [anon_sym_PLUS] = ACTIONS(2251),
    [anon_sym_DASH] = ACTIONS(2251),
    [anon_sym_SLASH] = ACTIONS(2251),
    [anon_sym_LT] = ACTIONS(2251),
    [anon_sym_TILDE] = ACTIONS(2251),
    [anon_sym_void] = ACTIONS(2251),
    [anon_sym_delete] = ACTIONS(2251),
    [anon_sym_PLUS_PLUS] = ACTIONS(2251),
    [anon_sym_DASH_DASH] = ACTIONS(2251),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2251),
    [sym_number] = ACTIONS(2251),
    [sym_private_property_identifier] = ACTIONS(2251),
    [sym_this] = ACTIONS(2251),
    [sym_super] = ACTIONS(2251),
    [sym_true] = ACTIONS(2251),
    [sym_false] = ACTIONS(2251),
    [sym_null] = ACTIONS(2251),
    [sym_undefined] = ACTIONS(2251),
    [anon_sym_AT] = ACTIONS(2251),
    [anon_sym_static] = ACTIONS(2251),
    [anon_sym_readonly] = ACTIONS(2251),
    [anon_sym_get] = ACTIONS(2251),
    [anon_sym_set] = ACTIONS(2251),
    [anon_sym_declare] = ACTIONS(2251),
    [anon_sym_public] = ACTIONS(2251),
    [anon_sym_private] = ACTIONS(2251),
    [anon_sym_protected] = ACTIONS(2251),
    [anon_sym_override] = ACTIONS(2251),
    [anon_sym_module] = ACTIONS(2251),
    [anon_sym_any] = ACTIONS(2251),
    [anon_sym_number] = ACTIONS(2251),
    [anon_sym_boolean] = ACTIONS(2251),
    [anon_sym_string] = ACTIONS(2251),
    [anon_sym_symbol] = ACTIONS(2251),
    [anon_sym_object] = ACTIONS(2251),
    [anon_sym_abstract] = ACTIONS(2251),
    [anon_sym_interface] = ACTIONS(2251),
    [anon_sym_enum] = ACTIONS(2251),
    [sym_html_comment] = ACTIONS(5),
  },
  [1401] = {
    [sym_comment] = STATE(1401),
    [ts_builtin_sym_end] = ACTIONS(3470),
    [sym_identifier] = ACTIONS(3336),
    [anon_sym_export] = ACTIONS(3336),
    [anon_sym_type] = ACTIONS(3336),
    [anon_sym_namespace] = ACTIONS(3336),
    [anon_sym_LBRACE] = ACTIONS(3336),
    [anon_sym_RBRACE] = ACTIONS(3336),
    [anon_sym_typeof] = ACTIONS(3336),
    [anon_sym_import] = ACTIONS(3336),
    [anon_sym_with] = ACTIONS(3336),
    [anon_sym_var] = ACTIONS(3336),
    [anon_sym_let] = ACTIONS(3336),
    [anon_sym_const] = ACTIONS(3336),
    [anon_sym_BANG] = ACTIONS(3336),
    [anon_sym_else] = ACTIONS(3336),
    [anon_sym_if] = ACTIONS(3336),
    [anon_sym_switch] = ACTIONS(3336),
    [anon_sym_for] = ACTIONS(3336),
    [anon_sym_LPAREN] = ACTIONS(3336),
    [anon_sym_await] = ACTIONS(3336),
    [anon_sym_while] = ACTIONS(3336),
    [anon_sym_do] = ACTIONS(3336),
    [anon_sym_try] = ACTIONS(3336),
    [anon_sym_break] = ACTIONS(3336),
    [anon_sym_continue] = ACTIONS(3336),
    [anon_sym_debugger] = ACTIONS(3336),
    [anon_sym_return] = ACTIONS(3336),
    [anon_sym_throw] = ACTIONS(3336),
    [anon_sym_SEMI] = ACTIONS(3336),
    [anon_sym_yield] = ACTIONS(3336),
    [anon_sym_LBRACK] = ACTIONS(3336),
    [anon_sym_LTtemplate_GT] = ACTIONS(3336),
    [anon_sym_DQUOTE] = ACTIONS(3336),
    [anon_sym_SQUOTE] = ACTIONS(3336),
    [anon_sym_class] = ACTIONS(3336),
    [anon_sym_async] = ACTIONS(3336),
    [anon_sym_function] = ACTIONS(3336),
    [anon_sym_new] = ACTIONS(3336),
    [anon_sym_using] = ACTIONS(3336),
    [anon_sym_PLUS] = ACTIONS(3336),
    [anon_sym_DASH] = ACTIONS(3336),
    [anon_sym_SLASH] = ACTIONS(3336),
    [anon_sym_LT] = ACTIONS(3336),
    [anon_sym_TILDE] = ACTIONS(3336),
    [anon_sym_void] = ACTIONS(3336),
    [anon_sym_delete] = ACTIONS(3336),
    [anon_sym_PLUS_PLUS] = ACTIONS(3336),
    [anon_sym_DASH_DASH] = ACTIONS(3336),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3336),
    [sym_number] = ACTIONS(3336),
    [sym_private_property_identifier] = ACTIONS(3336),
    [sym_this] = ACTIONS(3336),
    [sym_super] = ACTIONS(3336),
    [sym_true] = ACTIONS(3336),
    [sym_false] = ACTIONS(3336),
    [sym_null] = ACTIONS(3336),
    [sym_undefined] = ACTIONS(3336),
    [anon_sym_AT] = ACTIONS(3336),
    [anon_sym_static] = ACTIONS(3336),
    [anon_sym_readonly] = ACTIONS(3336),
    [anon_sym_get] = ACTIONS(3336),
    [anon_sym_set] = ACTIONS(3336),
    [anon_sym_declare] = ACTIONS(3336),
    [anon_sym_public] = ACTIONS(3336),
    [anon_sym_private] = ACTIONS(3336),
    [anon_sym_protected] = ACTIONS(3336),
    [anon_sym_override] = ACTIONS(3336),
    [anon_sym_module] = ACTIONS(3336),
    [anon_sym_any] = ACTIONS(3336),
    [anon_sym_number] = ACTIONS(3336),
    [anon_sym_boolean] = ACTIONS(3336),
    [anon_sym_string] = ACTIONS(3336),
    [anon_sym_symbol] = ACTIONS(3336),
    [anon_sym_object] = ACTIONS(3336),
    [anon_sym_abstract] = ACTIONS(3336),
    [anon_sym_interface] = ACTIONS(3336),
    [anon_sym_enum] = ACTIONS(3336),
    [sym_html_comment] = ACTIONS(5),
  },
  [1402] = {
    [sym_comment] = STATE(1402),
    [ts_builtin_sym_end] = ACTIONS(2147),
    [sym_identifier] = ACTIONS(2145),
    [anon_sym_export] = ACTIONS(2145),
    [anon_sym_type] = ACTIONS(2145),
    [anon_sym_namespace] = ACTIONS(2145),
    [anon_sym_LBRACE] = ACTIONS(2145),
    [anon_sym_RBRACE] = ACTIONS(2145),
    [anon_sym_typeof] = ACTIONS(2145),
    [anon_sym_import] = ACTIONS(2145),
    [anon_sym_with] = ACTIONS(2145),
    [anon_sym_var] = ACTIONS(2145),
    [anon_sym_let] = ACTIONS(2145),
    [anon_sym_const] = ACTIONS(2145),
    [anon_sym_BANG] = ACTIONS(2145),
    [anon_sym_else] = ACTIONS(2145),
    [anon_sym_if] = ACTIONS(2145),
    [anon_sym_switch] = ACTIONS(2145),
    [anon_sym_for] = ACTIONS(2145),
    [anon_sym_LPAREN] = ACTIONS(2145),
    [anon_sym_await] = ACTIONS(2145),
    [anon_sym_while] = ACTIONS(2145),
    [anon_sym_do] = ACTIONS(2145),
    [anon_sym_try] = ACTIONS(2145),
    [anon_sym_break] = ACTIONS(2145),
    [anon_sym_continue] = ACTIONS(2145),
    [anon_sym_debugger] = ACTIONS(2145),
    [anon_sym_return] = ACTIONS(2145),
    [anon_sym_throw] = ACTIONS(2145),
    [anon_sym_SEMI] = ACTIONS(2145),
    [anon_sym_yield] = ACTIONS(2145),
    [anon_sym_LBRACK] = ACTIONS(2145),
    [anon_sym_LTtemplate_GT] = ACTIONS(2145),
    [anon_sym_DQUOTE] = ACTIONS(2145),
    [anon_sym_SQUOTE] = ACTIONS(2145),
    [anon_sym_class] = ACTIONS(2145),
    [anon_sym_async] = ACTIONS(2145),
    [anon_sym_function] = ACTIONS(2145),
    [anon_sym_new] = ACTIONS(2145),
    [anon_sym_using] = ACTIONS(2145),
    [anon_sym_PLUS] = ACTIONS(2145),
    [anon_sym_DASH] = ACTIONS(2145),
    [anon_sym_SLASH] = ACTIONS(2145),
    [anon_sym_LT] = ACTIONS(2145),
    [anon_sym_TILDE] = ACTIONS(2145),
    [anon_sym_void] = ACTIONS(2145),
    [anon_sym_delete] = ACTIONS(2145),
    [anon_sym_PLUS_PLUS] = ACTIONS(2145),
    [anon_sym_DASH_DASH] = ACTIONS(2145),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2145),
    [sym_number] = ACTIONS(2145),
    [sym_private_property_identifier] = ACTIONS(2145),
    [sym_this] = ACTIONS(2145),
    [sym_super] = ACTIONS(2145),
    [sym_true] = ACTIONS(2145),
    [sym_false] = ACTIONS(2145),
    [sym_null] = ACTIONS(2145),
    [sym_undefined] = ACTIONS(2145),
    [anon_sym_AT] = ACTIONS(2145),
    [anon_sym_static] = ACTIONS(2145),
    [anon_sym_readonly] = ACTIONS(2145),
    [anon_sym_get] = ACTIONS(2145),
    [anon_sym_set] = ACTIONS(2145),
    [anon_sym_declare] = ACTIONS(2145),
    [anon_sym_public] = ACTIONS(2145),
    [anon_sym_private] = ACTIONS(2145),
    [anon_sym_protected] = ACTIONS(2145),
    [anon_sym_override] = ACTIONS(2145),
    [anon_sym_module] = ACTIONS(2145),
    [anon_sym_any] = ACTIONS(2145),
    [anon_sym_number] = ACTIONS(2145),
    [anon_sym_boolean] = ACTIONS(2145),
    [anon_sym_string] = ACTIONS(2145),
    [anon_sym_symbol] = ACTIONS(2145),
    [anon_sym_object] = ACTIONS(2145),
    [anon_sym_abstract] = ACTIONS(2145),
    [anon_sym_interface] = ACTIONS(2145),
    [anon_sym_enum] = ACTIONS(2145),
    [sym_html_comment] = ACTIONS(5),
  },
  [1403] = {
    [sym_comment] = STATE(1403),
    [ts_builtin_sym_end] = ACTIONS(3470),
    [sym_identifier] = ACTIONS(3336),
    [anon_sym_export] = ACTIONS(3336),
    [anon_sym_type] = ACTIONS(3336),
    [anon_sym_namespace] = ACTIONS(3336),
    [anon_sym_LBRACE] = ACTIONS(3336),
    [anon_sym_RBRACE] = ACTIONS(3336),
    [anon_sym_typeof] = ACTIONS(3336),
    [anon_sym_import] = ACTIONS(3336),
    [anon_sym_with] = ACTIONS(3336),
    [anon_sym_var] = ACTIONS(3336),
    [anon_sym_let] = ACTIONS(3336),
    [anon_sym_const] = ACTIONS(3336),
    [anon_sym_BANG] = ACTIONS(3336),
    [anon_sym_else] = ACTIONS(3336),
    [anon_sym_if] = ACTIONS(3336),
    [anon_sym_switch] = ACTIONS(3336),
    [anon_sym_for] = ACTIONS(3336),
    [anon_sym_LPAREN] = ACTIONS(3336),
    [anon_sym_await] = ACTIONS(3336),
    [anon_sym_while] = ACTIONS(3336),
    [anon_sym_do] = ACTIONS(3336),
    [anon_sym_try] = ACTIONS(3336),
    [anon_sym_break] = ACTIONS(3336),
    [anon_sym_continue] = ACTIONS(3336),
    [anon_sym_debugger] = ACTIONS(3336),
    [anon_sym_return] = ACTIONS(3336),
    [anon_sym_throw] = ACTIONS(3336),
    [anon_sym_SEMI] = ACTIONS(3336),
    [anon_sym_yield] = ACTIONS(3336),
    [anon_sym_LBRACK] = ACTIONS(3336),
    [anon_sym_LTtemplate_GT] = ACTIONS(3336),
    [anon_sym_DQUOTE] = ACTIONS(3336),
    [anon_sym_SQUOTE] = ACTIONS(3336),
    [anon_sym_class] = ACTIONS(3336),
    [anon_sym_async] = ACTIONS(3336),
    [anon_sym_function] = ACTIONS(3336),
    [anon_sym_new] = ACTIONS(3336),
    [anon_sym_using] = ACTIONS(3336),
    [anon_sym_PLUS] = ACTIONS(3336),
    [anon_sym_DASH] = ACTIONS(3336),
    [anon_sym_SLASH] = ACTIONS(3336),
    [anon_sym_LT] = ACTIONS(3336),
    [anon_sym_TILDE] = ACTIONS(3336),
    [anon_sym_void] = ACTIONS(3336),
    [anon_sym_delete] = ACTIONS(3336),
    [anon_sym_PLUS_PLUS] = ACTIONS(3336),
    [anon_sym_DASH_DASH] = ACTIONS(3336),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3336),
    [sym_number] = ACTIONS(3336),
    [sym_private_property_identifier] = ACTIONS(3336),
    [sym_this] = ACTIONS(3336),
    [sym_super] = ACTIONS(3336),
    [sym_true] = ACTIONS(3336),
    [sym_false] = ACTIONS(3336),
    [sym_null] = ACTIONS(3336),
    [sym_undefined] = ACTIONS(3336),
    [anon_sym_AT] = ACTIONS(3336),
    [anon_sym_static] = ACTIONS(3336),
    [anon_sym_readonly] = ACTIONS(3336),
    [anon_sym_get] = ACTIONS(3336),
    [anon_sym_set] = ACTIONS(3336),
    [anon_sym_declare] = ACTIONS(3336),
    [anon_sym_public] = ACTIONS(3336),
    [anon_sym_private] = ACTIONS(3336),
    [anon_sym_protected] = ACTIONS(3336),
    [anon_sym_override] = ACTIONS(3336),
    [anon_sym_module] = ACTIONS(3336),
    [anon_sym_any] = ACTIONS(3336),
    [anon_sym_number] = ACTIONS(3336),
    [anon_sym_boolean] = ACTIONS(3336),
    [anon_sym_string] = ACTIONS(3336),
    [anon_sym_symbol] = ACTIONS(3336),
    [anon_sym_object] = ACTIONS(3336),
    [anon_sym_abstract] = ACTIONS(3336),
    [anon_sym_interface] = ACTIONS(3336),
    [anon_sym_enum] = ACTIONS(3336),
    [sym_html_comment] = ACTIONS(5),
  },
  [1404] = {
    [sym_comment] = STATE(1404),
    [sym_identifier] = ACTIONS(2077),
    [anon_sym_export] = ACTIONS(2077),
    [anon_sym_default] = ACTIONS(2077),
    [anon_sym_type] = ACTIONS(2077),
    [anon_sym_namespace] = ACTIONS(2077),
    [anon_sym_LBRACE] = ACTIONS(2077),
    [anon_sym_RBRACE] = ACTIONS(2077),
    [anon_sym_typeof] = ACTIONS(2077),
    [anon_sym_import] = ACTIONS(2077),
    [anon_sym_with] = ACTIONS(2077),
    [anon_sym_var] = ACTIONS(2077),
    [anon_sym_let] = ACTIONS(2077),
    [anon_sym_const] = ACTIONS(2077),
    [anon_sym_BANG] = ACTIONS(2077),
    [anon_sym_if] = ACTIONS(2077),
    [anon_sym_switch] = ACTIONS(2077),
    [anon_sym_for] = ACTIONS(2077),
    [anon_sym_LPAREN] = ACTIONS(2077),
    [anon_sym_await] = ACTIONS(2077),
    [anon_sym_while] = ACTIONS(2077),
    [anon_sym_do] = ACTIONS(2077),
    [anon_sym_try] = ACTIONS(2077),
    [anon_sym_break] = ACTIONS(2077),
    [anon_sym_continue] = ACTIONS(2077),
    [anon_sym_debugger] = ACTIONS(2077),
    [anon_sym_return] = ACTIONS(2077),
    [anon_sym_throw] = ACTIONS(2077),
    [anon_sym_SEMI] = ACTIONS(2077),
    [anon_sym_case] = ACTIONS(2077),
    [anon_sym_yield] = ACTIONS(2077),
    [anon_sym_LBRACK] = ACTIONS(2077),
    [anon_sym_LTtemplate_GT] = ACTIONS(2077),
    [anon_sym_DQUOTE] = ACTIONS(2077),
    [anon_sym_SQUOTE] = ACTIONS(2077),
    [anon_sym_class] = ACTIONS(2077),
    [anon_sym_async] = ACTIONS(2077),
    [anon_sym_function] = ACTIONS(2077),
    [anon_sym_new] = ACTIONS(2077),
    [anon_sym_using] = ACTIONS(2077),
    [anon_sym_PLUS] = ACTIONS(2077),
    [anon_sym_DASH] = ACTIONS(2077),
    [anon_sym_SLASH] = ACTIONS(2077),
    [anon_sym_LT] = ACTIONS(2077),
    [anon_sym_TILDE] = ACTIONS(2077),
    [anon_sym_void] = ACTIONS(2077),
    [anon_sym_delete] = ACTIONS(2077),
    [anon_sym_PLUS_PLUS] = ACTIONS(2077),
    [anon_sym_DASH_DASH] = ACTIONS(2077),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2077),
    [sym_number] = ACTIONS(2077),
    [sym_private_property_identifier] = ACTIONS(2077),
    [sym_this] = ACTIONS(2077),
    [sym_super] = ACTIONS(2077),
    [sym_true] = ACTIONS(2077),
    [sym_false] = ACTIONS(2077),
    [sym_null] = ACTIONS(2077),
    [sym_undefined] = ACTIONS(2077),
    [anon_sym_AT] = ACTIONS(2077),
    [anon_sym_static] = ACTIONS(2077),
    [anon_sym_readonly] = ACTIONS(2077),
    [anon_sym_get] = ACTIONS(2077),
    [anon_sym_set] = ACTIONS(2077),
    [anon_sym_declare] = ACTIONS(2077),
    [anon_sym_public] = ACTIONS(2077),
    [anon_sym_private] = ACTIONS(2077),
    [anon_sym_protected] = ACTIONS(2077),
    [anon_sym_override] = ACTIONS(2077),
    [anon_sym_module] = ACTIONS(2077),
    [anon_sym_any] = ACTIONS(2077),
    [anon_sym_number] = ACTIONS(2077),
    [anon_sym_boolean] = ACTIONS(2077),
    [anon_sym_string] = ACTIONS(2077),
    [anon_sym_symbol] = ACTIONS(2077),
    [anon_sym_object] = ACTIONS(2077),
    [anon_sym_abstract] = ACTIONS(2077),
    [anon_sym_interface] = ACTIONS(2077),
    [anon_sym_enum] = ACTIONS(2077),
    [sym_html_comment] = ACTIONS(5),
  },
  [1405] = {
    [sym_comment] = STATE(1405),
    [ts_builtin_sym_end] = ACTIONS(3474),
    [sym_identifier] = ACTIONS(3364),
    [anon_sym_export] = ACTIONS(3364),
    [anon_sym_type] = ACTIONS(3364),
    [anon_sym_namespace] = ACTIONS(3364),
    [anon_sym_LBRACE] = ACTIONS(3364),
    [anon_sym_RBRACE] = ACTIONS(3364),
    [anon_sym_typeof] = ACTIONS(3364),
    [anon_sym_import] = ACTIONS(3364),
    [anon_sym_with] = ACTIONS(3364),
    [anon_sym_var] = ACTIONS(3364),
    [anon_sym_let] = ACTIONS(3364),
    [anon_sym_const] = ACTIONS(3364),
    [anon_sym_BANG] = ACTIONS(3364),
    [anon_sym_else] = ACTIONS(3364),
    [anon_sym_if] = ACTIONS(3364),
    [anon_sym_switch] = ACTIONS(3364),
    [anon_sym_for] = ACTIONS(3364),
    [anon_sym_LPAREN] = ACTIONS(3364),
    [anon_sym_await] = ACTIONS(3364),
    [anon_sym_while] = ACTIONS(3364),
    [anon_sym_do] = ACTIONS(3364),
    [anon_sym_try] = ACTIONS(3364),
    [anon_sym_break] = ACTIONS(3364),
    [anon_sym_continue] = ACTIONS(3364),
    [anon_sym_debugger] = ACTIONS(3364),
    [anon_sym_return] = ACTIONS(3364),
    [anon_sym_throw] = ACTIONS(3364),
    [anon_sym_SEMI] = ACTIONS(3364),
    [anon_sym_yield] = ACTIONS(3364),
    [anon_sym_LBRACK] = ACTIONS(3364),
    [anon_sym_LTtemplate_GT] = ACTIONS(3364),
    [anon_sym_DQUOTE] = ACTIONS(3364),
    [anon_sym_SQUOTE] = ACTIONS(3364),
    [anon_sym_class] = ACTIONS(3364),
    [anon_sym_async] = ACTIONS(3364),
    [anon_sym_function] = ACTIONS(3364),
    [anon_sym_new] = ACTIONS(3364),
    [anon_sym_using] = ACTIONS(3364),
    [anon_sym_PLUS] = ACTIONS(3364),
    [anon_sym_DASH] = ACTIONS(3364),
    [anon_sym_SLASH] = ACTIONS(3364),
    [anon_sym_LT] = ACTIONS(3364),
    [anon_sym_TILDE] = ACTIONS(3364),
    [anon_sym_void] = ACTIONS(3364),
    [anon_sym_delete] = ACTIONS(3364),
    [anon_sym_PLUS_PLUS] = ACTIONS(3364),
    [anon_sym_DASH_DASH] = ACTIONS(3364),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3364),
    [sym_number] = ACTIONS(3364),
    [sym_private_property_identifier] = ACTIONS(3364),
    [sym_this] = ACTIONS(3364),
    [sym_super] = ACTIONS(3364),
    [sym_true] = ACTIONS(3364),
    [sym_false] = ACTIONS(3364),
    [sym_null] = ACTIONS(3364),
    [sym_undefined] = ACTIONS(3364),
    [anon_sym_AT] = ACTIONS(3364),
    [anon_sym_static] = ACTIONS(3364),
    [anon_sym_readonly] = ACTIONS(3364),
    [anon_sym_get] = ACTIONS(3364),
    [anon_sym_set] = ACTIONS(3364),
    [anon_sym_declare] = ACTIONS(3364),
    [anon_sym_public] = ACTIONS(3364),
    [anon_sym_private] = ACTIONS(3364),
    [anon_sym_protected] = ACTIONS(3364),
    [anon_sym_override] = ACTIONS(3364),
    [anon_sym_module] = ACTIONS(3364),
    [anon_sym_any] = ACTIONS(3364),
    [anon_sym_number] = ACTIONS(3364),
    [anon_sym_boolean] = ACTIONS(3364),
    [anon_sym_string] = ACTIONS(3364),
    [anon_sym_symbol] = ACTIONS(3364),
    [anon_sym_object] = ACTIONS(3364),
    [anon_sym_abstract] = ACTIONS(3364),
    [anon_sym_interface] = ACTIONS(3364),
    [anon_sym_enum] = ACTIONS(3364),
    [sym_html_comment] = ACTIONS(5),
  },
  [1406] = {
    [sym_comment] = STATE(1406),
    [ts_builtin_sym_end] = ACTIONS(3476),
    [sym_identifier] = ACTIONS(3366),
    [anon_sym_export] = ACTIONS(3366),
    [anon_sym_type] = ACTIONS(3366),
    [anon_sym_namespace] = ACTIONS(3366),
    [anon_sym_LBRACE] = ACTIONS(3366),
    [anon_sym_RBRACE] = ACTIONS(3366),
    [anon_sym_typeof] = ACTIONS(3366),
    [anon_sym_import] = ACTIONS(3366),
    [anon_sym_with] = ACTIONS(3366),
    [anon_sym_var] = ACTIONS(3366),
    [anon_sym_let] = ACTIONS(3366),
    [anon_sym_const] = ACTIONS(3366),
    [anon_sym_BANG] = ACTIONS(3366),
    [anon_sym_else] = ACTIONS(3366),
    [anon_sym_if] = ACTIONS(3366),
    [anon_sym_switch] = ACTIONS(3366),
    [anon_sym_for] = ACTIONS(3366),
    [anon_sym_LPAREN] = ACTIONS(3366),
    [anon_sym_await] = ACTIONS(3366),
    [anon_sym_while] = ACTIONS(3366),
    [anon_sym_do] = ACTIONS(3366),
    [anon_sym_try] = ACTIONS(3366),
    [anon_sym_break] = ACTIONS(3366),
    [anon_sym_continue] = ACTIONS(3366),
    [anon_sym_debugger] = ACTIONS(3366),
    [anon_sym_return] = ACTIONS(3366),
    [anon_sym_throw] = ACTIONS(3366),
    [anon_sym_SEMI] = ACTIONS(3366),
    [anon_sym_yield] = ACTIONS(3366),
    [anon_sym_LBRACK] = ACTIONS(3366),
    [anon_sym_LTtemplate_GT] = ACTIONS(3366),
    [anon_sym_DQUOTE] = ACTIONS(3366),
    [anon_sym_SQUOTE] = ACTIONS(3366),
    [anon_sym_class] = ACTIONS(3366),
    [anon_sym_async] = ACTIONS(3366),
    [anon_sym_function] = ACTIONS(3366),
    [anon_sym_new] = ACTIONS(3366),
    [anon_sym_using] = ACTIONS(3366),
    [anon_sym_PLUS] = ACTIONS(3366),
    [anon_sym_DASH] = ACTIONS(3366),
    [anon_sym_SLASH] = ACTIONS(3366),
    [anon_sym_LT] = ACTIONS(3366),
    [anon_sym_TILDE] = ACTIONS(3366),
    [anon_sym_void] = ACTIONS(3366),
    [anon_sym_delete] = ACTIONS(3366),
    [anon_sym_PLUS_PLUS] = ACTIONS(3366),
    [anon_sym_DASH_DASH] = ACTIONS(3366),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3366),
    [sym_number] = ACTIONS(3366),
    [sym_private_property_identifier] = ACTIONS(3366),
    [sym_this] = ACTIONS(3366),
    [sym_super] = ACTIONS(3366),
    [sym_true] = ACTIONS(3366),
    [sym_false] = ACTIONS(3366),
    [sym_null] = ACTIONS(3366),
    [sym_undefined] = ACTIONS(3366),
    [anon_sym_AT] = ACTIONS(3366),
    [anon_sym_static] = ACTIONS(3366),
    [anon_sym_readonly] = ACTIONS(3366),
    [anon_sym_get] = ACTIONS(3366),
    [anon_sym_set] = ACTIONS(3366),
    [anon_sym_declare] = ACTIONS(3366),
    [anon_sym_public] = ACTIONS(3366),
    [anon_sym_private] = ACTIONS(3366),
    [anon_sym_protected] = ACTIONS(3366),
    [anon_sym_override] = ACTIONS(3366),
    [anon_sym_module] = ACTIONS(3366),
    [anon_sym_any] = ACTIONS(3366),
    [anon_sym_number] = ACTIONS(3366),
    [anon_sym_boolean] = ACTIONS(3366),
    [anon_sym_string] = ACTIONS(3366),
    [anon_sym_symbol] = ACTIONS(3366),
    [anon_sym_object] = ACTIONS(3366),
    [anon_sym_abstract] = ACTIONS(3366),
    [anon_sym_interface] = ACTIONS(3366),
    [anon_sym_enum] = ACTIONS(3366),
    [sym_html_comment] = ACTIONS(5),
  },
  [1407] = {
    [sym_comment] = STATE(1407),
    [ts_builtin_sym_end] = ACTIONS(3478),
    [sym_identifier] = ACTIONS(3248),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_type] = ACTIONS(3248),
    [anon_sym_namespace] = ACTIONS(3248),
    [anon_sym_LBRACE] = ACTIONS(3248),
    [anon_sym_RBRACE] = ACTIONS(3248),
    [anon_sym_typeof] = ACTIONS(3248),
    [anon_sym_import] = ACTIONS(3248),
    [anon_sym_with] = ACTIONS(3248),
    [anon_sym_var] = ACTIONS(3248),
    [anon_sym_let] = ACTIONS(3248),
    [anon_sym_const] = ACTIONS(3248),
    [anon_sym_BANG] = ACTIONS(3248),
    [anon_sym_else] = ACTIONS(3248),
    [anon_sym_if] = ACTIONS(3248),
    [anon_sym_switch] = ACTIONS(3248),
    [anon_sym_for] = ACTIONS(3248),
    [anon_sym_LPAREN] = ACTIONS(3248),
    [anon_sym_await] = ACTIONS(3248),
    [anon_sym_while] = ACTIONS(3248),
    [anon_sym_do] = ACTIONS(3248),
    [anon_sym_try] = ACTIONS(3248),
    [anon_sym_break] = ACTIONS(3248),
    [anon_sym_continue] = ACTIONS(3248),
    [anon_sym_debugger] = ACTIONS(3248),
    [anon_sym_return] = ACTIONS(3248),
    [anon_sym_throw] = ACTIONS(3248),
    [anon_sym_SEMI] = ACTIONS(3248),
    [anon_sym_yield] = ACTIONS(3248),
    [anon_sym_LBRACK] = ACTIONS(3248),
    [anon_sym_LTtemplate_GT] = ACTIONS(3248),
    [anon_sym_DQUOTE] = ACTIONS(3248),
    [anon_sym_SQUOTE] = ACTIONS(3248),
    [anon_sym_class] = ACTIONS(3248),
    [anon_sym_async] = ACTIONS(3248),
    [anon_sym_function] = ACTIONS(3248),
    [anon_sym_new] = ACTIONS(3248),
    [anon_sym_using] = ACTIONS(3248),
    [anon_sym_PLUS] = ACTIONS(3248),
    [anon_sym_DASH] = ACTIONS(3248),
    [anon_sym_SLASH] = ACTIONS(3248),
    [anon_sym_LT] = ACTIONS(3248),
    [anon_sym_TILDE] = ACTIONS(3248),
    [anon_sym_void] = ACTIONS(3248),
    [anon_sym_delete] = ACTIONS(3248),
    [anon_sym_PLUS_PLUS] = ACTIONS(3248),
    [anon_sym_DASH_DASH] = ACTIONS(3248),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3248),
    [sym_number] = ACTIONS(3248),
    [sym_private_property_identifier] = ACTIONS(3248),
    [sym_this] = ACTIONS(3248),
    [sym_super] = ACTIONS(3248),
    [sym_true] = ACTIONS(3248),
    [sym_false] = ACTIONS(3248),
    [sym_null] = ACTIONS(3248),
    [sym_undefined] = ACTIONS(3248),
    [anon_sym_AT] = ACTIONS(3248),
    [anon_sym_static] = ACTIONS(3248),
    [anon_sym_readonly] = ACTIONS(3248),
    [anon_sym_get] = ACTIONS(3248),
    [anon_sym_set] = ACTIONS(3248),
    [anon_sym_declare] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3248),
    [anon_sym_private] = ACTIONS(3248),
    [anon_sym_protected] = ACTIONS(3248),
    [anon_sym_override] = ACTIONS(3248),
    [anon_sym_module] = ACTIONS(3248),
    [anon_sym_any] = ACTIONS(3248),
    [anon_sym_number] = ACTIONS(3248),
    [anon_sym_boolean] = ACTIONS(3248),
    [anon_sym_string] = ACTIONS(3248),
    [anon_sym_symbol] = ACTIONS(3248),
    [anon_sym_object] = ACTIONS(3248),
    [anon_sym_abstract] = ACTIONS(3248),
    [anon_sym_interface] = ACTIONS(3248),
    [anon_sym_enum] = ACTIONS(3248),
    [sym_html_comment] = ACTIONS(5),
  },
  [1408] = {
    [sym_comment] = STATE(1408),
    [ts_builtin_sym_end] = ACTIONS(3480),
    [sym_identifier] = ACTIONS(3246),
    [anon_sym_export] = ACTIONS(3246),
    [anon_sym_type] = ACTIONS(3246),
    [anon_sym_namespace] = ACTIONS(3246),
    [anon_sym_LBRACE] = ACTIONS(3246),
    [anon_sym_RBRACE] = ACTIONS(3246),
    [anon_sym_typeof] = ACTIONS(3246),
    [anon_sym_import] = ACTIONS(3246),
    [anon_sym_with] = ACTIONS(3246),
    [anon_sym_var] = ACTIONS(3246),
    [anon_sym_let] = ACTIONS(3246),
    [anon_sym_const] = ACTIONS(3246),
    [anon_sym_BANG] = ACTIONS(3246),
    [anon_sym_else] = ACTIONS(3246),
    [anon_sym_if] = ACTIONS(3246),
    [anon_sym_switch] = ACTIONS(3246),
    [anon_sym_for] = ACTIONS(3246),
    [anon_sym_LPAREN] = ACTIONS(3246),
    [anon_sym_await] = ACTIONS(3246),
    [anon_sym_while] = ACTIONS(3246),
    [anon_sym_do] = ACTIONS(3246),
    [anon_sym_try] = ACTIONS(3246),
    [anon_sym_break] = ACTIONS(3246),
    [anon_sym_continue] = ACTIONS(3246),
    [anon_sym_debugger] = ACTIONS(3246),
    [anon_sym_return] = ACTIONS(3246),
    [anon_sym_throw] = ACTIONS(3246),
    [anon_sym_SEMI] = ACTIONS(3246),
    [anon_sym_yield] = ACTIONS(3246),
    [anon_sym_LBRACK] = ACTIONS(3246),
    [anon_sym_LTtemplate_GT] = ACTIONS(3246),
    [anon_sym_DQUOTE] = ACTIONS(3246),
    [anon_sym_SQUOTE] = ACTIONS(3246),
    [anon_sym_class] = ACTIONS(3246),
    [anon_sym_async] = ACTIONS(3246),
    [anon_sym_function] = ACTIONS(3246),
    [anon_sym_new] = ACTIONS(3246),
    [anon_sym_using] = ACTIONS(3246),
    [anon_sym_PLUS] = ACTIONS(3246),
    [anon_sym_DASH] = ACTIONS(3246),
    [anon_sym_SLASH] = ACTIONS(3246),
    [anon_sym_LT] = ACTIONS(3246),
    [anon_sym_TILDE] = ACTIONS(3246),
    [anon_sym_void] = ACTIONS(3246),
    [anon_sym_delete] = ACTIONS(3246),
    [anon_sym_PLUS_PLUS] = ACTIONS(3246),
    [anon_sym_DASH_DASH] = ACTIONS(3246),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3246),
    [sym_number] = ACTIONS(3246),
    [sym_private_property_identifier] = ACTIONS(3246),
    [sym_this] = ACTIONS(3246),
    [sym_super] = ACTIONS(3246),
    [sym_true] = ACTIONS(3246),
    [sym_false] = ACTIONS(3246),
    [sym_null] = ACTIONS(3246),
    [sym_undefined] = ACTIONS(3246),
    [anon_sym_AT] = ACTIONS(3246),
    [anon_sym_static] = ACTIONS(3246),
    [anon_sym_readonly] = ACTIONS(3246),
    [anon_sym_get] = ACTIONS(3246),
    [anon_sym_set] = ACTIONS(3246),
    [anon_sym_declare] = ACTIONS(3246),
    [anon_sym_public] = ACTIONS(3246),
    [anon_sym_private] = ACTIONS(3246),
    [anon_sym_protected] = ACTIONS(3246),
    [anon_sym_override] = ACTIONS(3246),
    [anon_sym_module] = ACTIONS(3246),
    [anon_sym_any] = ACTIONS(3246),
    [anon_sym_number] = ACTIONS(3246),
    [anon_sym_boolean] = ACTIONS(3246),
    [anon_sym_string] = ACTIONS(3246),
    [anon_sym_symbol] = ACTIONS(3246),
    [anon_sym_object] = ACTIONS(3246),
    [anon_sym_abstract] = ACTIONS(3246),
    [anon_sym_interface] = ACTIONS(3246),
    [anon_sym_enum] = ACTIONS(3246),
    [sym_html_comment] = ACTIONS(5),
  },
  [1409] = {
    [sym_comment] = STATE(1409),
    [ts_builtin_sym_end] = ACTIONS(3480),
    [sym_identifier] = ACTIONS(3246),
    [anon_sym_export] = ACTIONS(3246),
    [anon_sym_type] = ACTIONS(3246),
    [anon_sym_namespace] = ACTIONS(3246),
    [anon_sym_LBRACE] = ACTIONS(3246),
    [anon_sym_RBRACE] = ACTIONS(3246),
    [anon_sym_typeof] = ACTIONS(3246),
    [anon_sym_import] = ACTIONS(3246),
    [anon_sym_with] = ACTIONS(3246),
    [anon_sym_var] = ACTIONS(3246),
    [anon_sym_let] = ACTIONS(3246),
    [anon_sym_const] = ACTIONS(3246),
    [anon_sym_BANG] = ACTIONS(3246),
    [anon_sym_else] = ACTIONS(3246),
    [anon_sym_if] = ACTIONS(3246),
    [anon_sym_switch] = ACTIONS(3246),
    [anon_sym_for] = ACTIONS(3246),
    [anon_sym_LPAREN] = ACTIONS(3246),
    [anon_sym_await] = ACTIONS(3246),
    [anon_sym_while] = ACTIONS(3246),
    [anon_sym_do] = ACTIONS(3246),
    [anon_sym_try] = ACTIONS(3246),
    [anon_sym_break] = ACTIONS(3246),
    [anon_sym_continue] = ACTIONS(3246),
    [anon_sym_debugger] = ACTIONS(3246),
    [anon_sym_return] = ACTIONS(3246),
    [anon_sym_throw] = ACTIONS(3246),
    [anon_sym_SEMI] = ACTIONS(3246),
    [anon_sym_yield] = ACTIONS(3246),
    [anon_sym_LBRACK] = ACTIONS(3246),
    [anon_sym_LTtemplate_GT] = ACTIONS(3246),
    [anon_sym_DQUOTE] = ACTIONS(3246),
    [anon_sym_SQUOTE] = ACTIONS(3246),
    [anon_sym_class] = ACTIONS(3246),
    [anon_sym_async] = ACTIONS(3246),
    [anon_sym_function] = ACTIONS(3246),
    [anon_sym_new] = ACTIONS(3246),
    [anon_sym_using] = ACTIONS(3246),
    [anon_sym_PLUS] = ACTIONS(3246),
    [anon_sym_DASH] = ACTIONS(3246),
    [anon_sym_SLASH] = ACTIONS(3246),
    [anon_sym_LT] = ACTIONS(3246),
    [anon_sym_TILDE] = ACTIONS(3246),
    [anon_sym_void] = ACTIONS(3246),
    [anon_sym_delete] = ACTIONS(3246),
    [anon_sym_PLUS_PLUS] = ACTIONS(3246),
    [anon_sym_DASH_DASH] = ACTIONS(3246),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3246),
    [sym_number] = ACTIONS(3246),
    [sym_private_property_identifier] = ACTIONS(3246),
    [sym_this] = ACTIONS(3246),
    [sym_super] = ACTIONS(3246),
    [sym_true] = ACTIONS(3246),
    [sym_false] = ACTIONS(3246),
    [sym_null] = ACTIONS(3246),
    [sym_undefined] = ACTIONS(3246),
    [anon_sym_AT] = ACTIONS(3246),
    [anon_sym_static] = ACTIONS(3246),
    [anon_sym_readonly] = ACTIONS(3246),
    [anon_sym_get] = ACTIONS(3246),
    [anon_sym_set] = ACTIONS(3246),
    [anon_sym_declare] = ACTIONS(3246),
    [anon_sym_public] = ACTIONS(3246),
    [anon_sym_private] = ACTIONS(3246),
    [anon_sym_protected] = ACTIONS(3246),
    [anon_sym_override] = ACTIONS(3246),
    [anon_sym_module] = ACTIONS(3246),
    [anon_sym_any] = ACTIONS(3246),
    [anon_sym_number] = ACTIONS(3246),
    [anon_sym_boolean] = ACTIONS(3246),
    [anon_sym_string] = ACTIONS(3246),
    [anon_sym_symbol] = ACTIONS(3246),
    [anon_sym_object] = ACTIONS(3246),
    [anon_sym_abstract] = ACTIONS(3246),
    [anon_sym_interface] = ACTIONS(3246),
    [anon_sym_enum] = ACTIONS(3246),
    [sym_html_comment] = ACTIONS(5),
  },
  [1410] = {
    [sym_comment] = STATE(1410),
    [sym_identifier] = ACTIONS(3340),
    [anon_sym_export] = ACTIONS(3340),
    [anon_sym_default] = ACTIONS(3340),
    [anon_sym_type] = ACTIONS(3340),
    [anon_sym_namespace] = ACTIONS(3340),
    [anon_sym_LBRACE] = ACTIONS(3340),
    [anon_sym_RBRACE] = ACTIONS(3340),
    [anon_sym_typeof] = ACTIONS(3340),
    [anon_sym_import] = ACTIONS(3340),
    [anon_sym_with] = ACTIONS(3340),
    [anon_sym_var] = ACTIONS(3340),
    [anon_sym_let] = ACTIONS(3340),
    [anon_sym_const] = ACTIONS(3340),
    [anon_sym_BANG] = ACTIONS(3340),
    [anon_sym_if] = ACTIONS(3340),
    [anon_sym_switch] = ACTIONS(3340),
    [anon_sym_for] = ACTIONS(3340),
    [anon_sym_LPAREN] = ACTIONS(3340),
    [anon_sym_await] = ACTIONS(3340),
    [anon_sym_while] = ACTIONS(3340),
    [anon_sym_do] = ACTIONS(3340),
    [anon_sym_try] = ACTIONS(3340),
    [anon_sym_break] = ACTIONS(3340),
    [anon_sym_continue] = ACTIONS(3340),
    [anon_sym_debugger] = ACTIONS(3340),
    [anon_sym_return] = ACTIONS(3340),
    [anon_sym_throw] = ACTIONS(3340),
    [anon_sym_SEMI] = ACTIONS(3340),
    [anon_sym_case] = ACTIONS(3340),
    [anon_sym_yield] = ACTIONS(3340),
    [anon_sym_LBRACK] = ACTIONS(3340),
    [anon_sym_LTtemplate_GT] = ACTIONS(3340),
    [anon_sym_DQUOTE] = ACTIONS(3340),
    [anon_sym_SQUOTE] = ACTIONS(3340),
    [anon_sym_class] = ACTIONS(3340),
    [anon_sym_async] = ACTIONS(3340),
    [anon_sym_function] = ACTIONS(3340),
    [anon_sym_new] = ACTIONS(3340),
    [anon_sym_using] = ACTIONS(3340),
    [anon_sym_PLUS] = ACTIONS(3340),
    [anon_sym_DASH] = ACTIONS(3340),
    [anon_sym_SLASH] = ACTIONS(3340),
    [anon_sym_LT] = ACTIONS(3340),
    [anon_sym_TILDE] = ACTIONS(3340),
    [anon_sym_void] = ACTIONS(3340),
    [anon_sym_delete] = ACTIONS(3340),
    [anon_sym_PLUS_PLUS] = ACTIONS(3340),
    [anon_sym_DASH_DASH] = ACTIONS(3340),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3340),
    [sym_number] = ACTIONS(3340),
    [sym_private_property_identifier] = ACTIONS(3340),
    [sym_this] = ACTIONS(3340),
    [sym_super] = ACTIONS(3340),
    [sym_true] = ACTIONS(3340),
    [sym_false] = ACTIONS(3340),
    [sym_null] = ACTIONS(3340),
    [sym_undefined] = ACTIONS(3340),
    [anon_sym_AT] = ACTIONS(3340),
    [anon_sym_static] = ACTIONS(3340),
    [anon_sym_readonly] = ACTIONS(3340),
    [anon_sym_get] = ACTIONS(3340),
    [anon_sym_set] = ACTIONS(3340),
    [anon_sym_declare] = ACTIONS(3340),
    [anon_sym_public] = ACTIONS(3340),
    [anon_sym_private] = ACTIONS(3340),
    [anon_sym_protected] = ACTIONS(3340),
    [anon_sym_override] = ACTIONS(3340),
    [anon_sym_module] = ACTIONS(3340),
    [anon_sym_any] = ACTIONS(3340),
    [anon_sym_number] = ACTIONS(3340),
    [anon_sym_boolean] = ACTIONS(3340),
    [anon_sym_string] = ACTIONS(3340),
    [anon_sym_symbol] = ACTIONS(3340),
    [anon_sym_object] = ACTIONS(3340),
    [anon_sym_abstract] = ACTIONS(3340),
    [anon_sym_interface] = ACTIONS(3340),
    [anon_sym_enum] = ACTIONS(3340),
    [sym_html_comment] = ACTIONS(5),
  },
  [1411] = {
    [sym_comment] = STATE(1411),
    [ts_builtin_sym_end] = ACTIONS(2095),
    [sym_identifier] = ACTIONS(2093),
    [anon_sym_export] = ACTIONS(2093),
    [anon_sym_type] = ACTIONS(2093),
    [anon_sym_namespace] = ACTIONS(2093),
    [anon_sym_LBRACE] = ACTIONS(2093),
    [anon_sym_RBRACE] = ACTIONS(2093),
    [anon_sym_typeof] = ACTIONS(2093),
    [anon_sym_import] = ACTIONS(2093),
    [anon_sym_with] = ACTIONS(2093),
    [anon_sym_var] = ACTIONS(2093),
    [anon_sym_let] = ACTIONS(2093),
    [anon_sym_const] = ACTIONS(2093),
    [anon_sym_BANG] = ACTIONS(2093),
    [anon_sym_if] = ACTIONS(2093),
    [anon_sym_switch] = ACTIONS(2093),
    [anon_sym_for] = ACTIONS(2093),
    [anon_sym_LPAREN] = ACTIONS(2093),
    [anon_sym_await] = ACTIONS(2093),
    [anon_sym_while] = ACTIONS(2093),
    [anon_sym_do] = ACTIONS(2093),
    [anon_sym_try] = ACTIONS(2093),
    [anon_sym_break] = ACTIONS(2093),
    [anon_sym_continue] = ACTIONS(2093),
    [anon_sym_debugger] = ACTIONS(2093),
    [anon_sym_return] = ACTIONS(2093),
    [anon_sym_throw] = ACTIONS(2093),
    [anon_sym_SEMI] = ACTIONS(2093),
    [anon_sym_yield] = ACTIONS(2093),
    [anon_sym_LBRACK] = ACTIONS(2093),
    [anon_sym_LTtemplate_GT] = ACTIONS(2093),
    [anon_sym_DQUOTE] = ACTIONS(2093),
    [anon_sym_SQUOTE] = ACTIONS(2093),
    [anon_sym_class] = ACTIONS(2093),
    [anon_sym_async] = ACTIONS(2093),
    [anon_sym_function] = ACTIONS(2093),
    [anon_sym_new] = ACTIONS(2093),
    [anon_sym_using] = ACTIONS(2093),
    [anon_sym_PLUS] = ACTIONS(2093),
    [anon_sym_DASH] = ACTIONS(2093),
    [anon_sym_SLASH] = ACTIONS(2093),
    [anon_sym_LT] = ACTIONS(2093),
    [anon_sym_TILDE] = ACTIONS(2093),
    [anon_sym_void] = ACTIONS(2093),
    [anon_sym_delete] = ACTIONS(2093),
    [anon_sym_PLUS_PLUS] = ACTIONS(2093),
    [anon_sym_DASH_DASH] = ACTIONS(2093),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2093),
    [sym_number] = ACTIONS(2093),
    [sym_private_property_identifier] = ACTIONS(2093),
    [sym_this] = ACTIONS(2093),
    [sym_super] = ACTIONS(2093),
    [sym_true] = ACTIONS(2093),
    [sym_false] = ACTIONS(2093),
    [sym_null] = ACTIONS(2093),
    [sym_undefined] = ACTIONS(2093),
    [anon_sym_AT] = ACTIONS(2093),
    [anon_sym_static] = ACTIONS(2093),
    [anon_sym_readonly] = ACTIONS(2093),
    [anon_sym_get] = ACTIONS(2093),
    [anon_sym_set] = ACTIONS(2093),
    [anon_sym_declare] = ACTIONS(2093),
    [anon_sym_public] = ACTIONS(2093),
    [anon_sym_private] = ACTIONS(2093),
    [anon_sym_protected] = ACTIONS(2093),
    [anon_sym_override] = ACTIONS(2093),
    [anon_sym_module] = ACTIONS(2093),
    [anon_sym_any] = ACTIONS(2093),
    [anon_sym_number] = ACTIONS(2093),
    [anon_sym_boolean] = ACTIONS(2093),
    [anon_sym_string] = ACTIONS(2093),
    [anon_sym_symbol] = ACTIONS(2093),
    [anon_sym_object] = ACTIONS(2093),
    [anon_sym_abstract] = ACTIONS(2093),
    [anon_sym_interface] = ACTIONS(2093),
    [anon_sym_enum] = ACTIONS(2093),
    [sym__automatic_semicolon] = ACTIONS(2095),
    [sym_html_comment] = ACTIONS(5),
  },
  [1412] = {
    [sym_comment] = STATE(1412),
    [sym_identifier] = ACTIONS(3342),
    [anon_sym_export] = ACTIONS(3342),
    [anon_sym_default] = ACTIONS(3342),
    [anon_sym_type] = ACTIONS(3342),
    [anon_sym_namespace] = ACTIONS(3342),
    [anon_sym_LBRACE] = ACTIONS(3342),
    [anon_sym_RBRACE] = ACTIONS(3342),
    [anon_sym_typeof] = ACTIONS(3342),
    [anon_sym_import] = ACTIONS(3342),
    [anon_sym_with] = ACTIONS(3342),
    [anon_sym_var] = ACTIONS(3342),
    [anon_sym_let] = ACTIONS(3342),
    [anon_sym_const] = ACTIONS(3342),
    [anon_sym_BANG] = ACTIONS(3342),
    [anon_sym_if] = ACTIONS(3342),
    [anon_sym_switch] = ACTIONS(3342),
    [anon_sym_for] = ACTIONS(3342),
    [anon_sym_LPAREN] = ACTIONS(3342),
    [anon_sym_await] = ACTIONS(3342),
    [anon_sym_while] = ACTIONS(3342),
    [anon_sym_do] = ACTIONS(3342),
    [anon_sym_try] = ACTIONS(3342),
    [anon_sym_break] = ACTIONS(3342),
    [anon_sym_continue] = ACTIONS(3342),
    [anon_sym_debugger] = ACTIONS(3342),
    [anon_sym_return] = ACTIONS(3342),
    [anon_sym_throw] = ACTIONS(3342),
    [anon_sym_SEMI] = ACTIONS(3342),
    [anon_sym_case] = ACTIONS(3342),
    [anon_sym_yield] = ACTIONS(3342),
    [anon_sym_LBRACK] = ACTIONS(3342),
    [anon_sym_LTtemplate_GT] = ACTIONS(3342),
    [anon_sym_DQUOTE] = ACTIONS(3342),
    [anon_sym_SQUOTE] = ACTIONS(3342),
    [anon_sym_class] = ACTIONS(3342),
    [anon_sym_async] = ACTIONS(3342),
    [anon_sym_function] = ACTIONS(3342),
    [anon_sym_new] = ACTIONS(3342),
    [anon_sym_using] = ACTIONS(3342),
    [anon_sym_PLUS] = ACTIONS(3342),
    [anon_sym_DASH] = ACTIONS(3342),
    [anon_sym_SLASH] = ACTIONS(3342),
    [anon_sym_LT] = ACTIONS(3342),
    [anon_sym_TILDE] = ACTIONS(3342),
    [anon_sym_void] = ACTIONS(3342),
    [anon_sym_delete] = ACTIONS(3342),
    [anon_sym_PLUS_PLUS] = ACTIONS(3342),
    [anon_sym_DASH_DASH] = ACTIONS(3342),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3342),
    [sym_number] = ACTIONS(3342),
    [sym_private_property_identifier] = ACTIONS(3342),
    [sym_this] = ACTIONS(3342),
    [sym_super] = ACTIONS(3342),
    [sym_true] = ACTIONS(3342),
    [sym_false] = ACTIONS(3342),
    [sym_null] = ACTIONS(3342),
    [sym_undefined] = ACTIONS(3342),
    [anon_sym_AT] = ACTIONS(3342),
    [anon_sym_static] = ACTIONS(3342),
    [anon_sym_readonly] = ACTIONS(3342),
    [anon_sym_get] = ACTIONS(3342),
    [anon_sym_set] = ACTIONS(3342),
    [anon_sym_declare] = ACTIONS(3342),
    [anon_sym_public] = ACTIONS(3342),
    [anon_sym_private] = ACTIONS(3342),
    [anon_sym_protected] = ACTIONS(3342),
    [anon_sym_override] = ACTIONS(3342),
    [anon_sym_module] = ACTIONS(3342),
    [anon_sym_any] = ACTIONS(3342),
    [anon_sym_number] = ACTIONS(3342),
    [anon_sym_boolean] = ACTIONS(3342),
    [anon_sym_string] = ACTIONS(3342),
    [anon_sym_symbol] = ACTIONS(3342),
    [anon_sym_object] = ACTIONS(3342),
    [anon_sym_abstract] = ACTIONS(3342),
    [anon_sym_interface] = ACTIONS(3342),
    [anon_sym_enum] = ACTIONS(3342),
    [sym_html_comment] = ACTIONS(5),
  },
  [1413] = {
    [sym_comment] = STATE(1413),
    [sym_identifier] = ACTIONS(3344),
    [anon_sym_export] = ACTIONS(3344),
    [anon_sym_default] = ACTIONS(3344),
    [anon_sym_type] = ACTIONS(3344),
    [anon_sym_namespace] = ACTIONS(3344),
    [anon_sym_LBRACE] = ACTIONS(3344),
    [anon_sym_RBRACE] = ACTIONS(3344),
    [anon_sym_typeof] = ACTIONS(3344),
    [anon_sym_import] = ACTIONS(3344),
    [anon_sym_with] = ACTIONS(3344),
    [anon_sym_var] = ACTIONS(3344),
    [anon_sym_let] = ACTIONS(3344),
    [anon_sym_const] = ACTIONS(3344),
    [anon_sym_BANG] = ACTIONS(3344),
    [anon_sym_if] = ACTIONS(3344),
    [anon_sym_switch] = ACTIONS(3344),
    [anon_sym_for] = ACTIONS(3344),
    [anon_sym_LPAREN] = ACTIONS(3344),
    [anon_sym_await] = ACTIONS(3344),
    [anon_sym_while] = ACTIONS(3344),
    [anon_sym_do] = ACTIONS(3344),
    [anon_sym_try] = ACTIONS(3344),
    [anon_sym_break] = ACTIONS(3344),
    [anon_sym_continue] = ACTIONS(3344),
    [anon_sym_debugger] = ACTIONS(3344),
    [anon_sym_return] = ACTIONS(3344),
    [anon_sym_throw] = ACTIONS(3344),
    [anon_sym_SEMI] = ACTIONS(3344),
    [anon_sym_case] = ACTIONS(3344),
    [anon_sym_yield] = ACTIONS(3344),
    [anon_sym_LBRACK] = ACTIONS(3344),
    [anon_sym_LTtemplate_GT] = ACTIONS(3344),
    [anon_sym_DQUOTE] = ACTIONS(3344),
    [anon_sym_SQUOTE] = ACTIONS(3344),
    [anon_sym_class] = ACTIONS(3344),
    [anon_sym_async] = ACTIONS(3344),
    [anon_sym_function] = ACTIONS(3344),
    [anon_sym_new] = ACTIONS(3344),
    [anon_sym_using] = ACTIONS(3344),
    [anon_sym_PLUS] = ACTIONS(3344),
    [anon_sym_DASH] = ACTIONS(3344),
    [anon_sym_SLASH] = ACTIONS(3344),
    [anon_sym_LT] = ACTIONS(3344),
    [anon_sym_TILDE] = ACTIONS(3344),
    [anon_sym_void] = ACTIONS(3344),
    [anon_sym_delete] = ACTIONS(3344),
    [anon_sym_PLUS_PLUS] = ACTIONS(3344),
    [anon_sym_DASH_DASH] = ACTIONS(3344),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3344),
    [sym_number] = ACTIONS(3344),
    [sym_private_property_identifier] = ACTIONS(3344),
    [sym_this] = ACTIONS(3344),
    [sym_super] = ACTIONS(3344),
    [sym_true] = ACTIONS(3344),
    [sym_false] = ACTIONS(3344),
    [sym_null] = ACTIONS(3344),
    [sym_undefined] = ACTIONS(3344),
    [anon_sym_AT] = ACTIONS(3344),
    [anon_sym_static] = ACTIONS(3344),
    [anon_sym_readonly] = ACTIONS(3344),
    [anon_sym_get] = ACTIONS(3344),
    [anon_sym_set] = ACTIONS(3344),
    [anon_sym_declare] = ACTIONS(3344),
    [anon_sym_public] = ACTIONS(3344),
    [anon_sym_private] = ACTIONS(3344),
    [anon_sym_protected] = ACTIONS(3344),
    [anon_sym_override] = ACTIONS(3344),
    [anon_sym_module] = ACTIONS(3344),
    [anon_sym_any] = ACTIONS(3344),
    [anon_sym_number] = ACTIONS(3344),
    [anon_sym_boolean] = ACTIONS(3344),
    [anon_sym_string] = ACTIONS(3344),
    [anon_sym_symbol] = ACTIONS(3344),
    [anon_sym_object] = ACTIONS(3344),
    [anon_sym_abstract] = ACTIONS(3344),
    [anon_sym_interface] = ACTIONS(3344),
    [anon_sym_enum] = ACTIONS(3344),
    [sym_html_comment] = ACTIONS(5),
  },
  [1414] = {
    [sym_comment] = STATE(1414),
    [sym_identifier] = ACTIONS(2221),
    [anon_sym_export] = ACTIONS(2221),
    [anon_sym_default] = ACTIONS(2221),
    [anon_sym_type] = ACTIONS(2221),
    [anon_sym_namespace] = ACTIONS(2221),
    [anon_sym_LBRACE] = ACTIONS(2221),
    [anon_sym_RBRACE] = ACTIONS(2221),
    [anon_sym_typeof] = ACTIONS(2221),
    [anon_sym_import] = ACTIONS(2221),
    [anon_sym_with] = ACTIONS(2221),
    [anon_sym_var] = ACTIONS(2221),
    [anon_sym_let] = ACTIONS(2221),
    [anon_sym_const] = ACTIONS(2221),
    [anon_sym_BANG] = ACTIONS(2221),
    [anon_sym_if] = ACTIONS(2221),
    [anon_sym_switch] = ACTIONS(2221),
    [anon_sym_for] = ACTIONS(2221),
    [anon_sym_LPAREN] = ACTIONS(2221),
    [anon_sym_await] = ACTIONS(2221),
    [anon_sym_while] = ACTIONS(2221),
    [anon_sym_do] = ACTIONS(2221),
    [anon_sym_try] = ACTIONS(2221),
    [anon_sym_break] = ACTIONS(2221),
    [anon_sym_continue] = ACTIONS(2221),
    [anon_sym_debugger] = ACTIONS(2221),
    [anon_sym_return] = ACTIONS(2221),
    [anon_sym_throw] = ACTIONS(2221),
    [anon_sym_SEMI] = ACTIONS(2221),
    [anon_sym_case] = ACTIONS(2221),
    [anon_sym_yield] = ACTIONS(2221),
    [anon_sym_LBRACK] = ACTIONS(2221),
    [anon_sym_LTtemplate_GT] = ACTIONS(2221),
    [anon_sym_DQUOTE] = ACTIONS(2221),
    [anon_sym_SQUOTE] = ACTIONS(2221),
    [anon_sym_class] = ACTIONS(2221),
    [anon_sym_async] = ACTIONS(2221),
    [anon_sym_function] = ACTIONS(2221),
    [anon_sym_new] = ACTIONS(2221),
    [anon_sym_using] = ACTIONS(2221),
    [anon_sym_PLUS] = ACTIONS(2221),
    [anon_sym_DASH] = ACTIONS(2221),
    [anon_sym_SLASH] = ACTIONS(2221),
    [anon_sym_LT] = ACTIONS(2221),
    [anon_sym_TILDE] = ACTIONS(2221),
    [anon_sym_void] = ACTIONS(2221),
    [anon_sym_delete] = ACTIONS(2221),
    [anon_sym_PLUS_PLUS] = ACTIONS(2221),
    [anon_sym_DASH_DASH] = ACTIONS(2221),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2221),
    [sym_number] = ACTIONS(2221),
    [sym_private_property_identifier] = ACTIONS(2221),
    [sym_this] = ACTIONS(2221),
    [sym_super] = ACTIONS(2221),
    [sym_true] = ACTIONS(2221),
    [sym_false] = ACTIONS(2221),
    [sym_null] = ACTIONS(2221),
    [sym_undefined] = ACTIONS(2221),
    [anon_sym_AT] = ACTIONS(2221),
    [anon_sym_static] = ACTIONS(2221),
    [anon_sym_readonly] = ACTIONS(2221),
    [anon_sym_get] = ACTIONS(2221),
    [anon_sym_set] = ACTIONS(2221),
    [anon_sym_declare] = ACTIONS(2221),
    [anon_sym_public] = ACTIONS(2221),
    [anon_sym_private] = ACTIONS(2221),
    [anon_sym_protected] = ACTIONS(2221),
    [anon_sym_override] = ACTIONS(2221),
    [anon_sym_module] = ACTIONS(2221),
    [anon_sym_any] = ACTIONS(2221),
    [anon_sym_number] = ACTIONS(2221),
    [anon_sym_boolean] = ACTIONS(2221),
    [anon_sym_string] = ACTIONS(2221),
    [anon_sym_symbol] = ACTIONS(2221),
    [anon_sym_object] = ACTIONS(2221),
    [anon_sym_abstract] = ACTIONS(2221),
    [anon_sym_interface] = ACTIONS(2221),
    [anon_sym_enum] = ACTIONS(2221),
    [sym_html_comment] = ACTIONS(5),
  },
  [1415] = {
    [sym_comment] = STATE(1415),
    [sym_identifier] = ACTIONS(3346),
    [anon_sym_export] = ACTIONS(3346),
    [anon_sym_default] = ACTIONS(3346),
    [anon_sym_type] = ACTIONS(3346),
    [anon_sym_namespace] = ACTIONS(3346),
    [anon_sym_LBRACE] = ACTIONS(3346),
    [anon_sym_RBRACE] = ACTIONS(3346),
    [anon_sym_typeof] = ACTIONS(3346),
    [anon_sym_import] = ACTIONS(3346),
    [anon_sym_with] = ACTIONS(3346),
    [anon_sym_var] = ACTIONS(3346),
    [anon_sym_let] = ACTIONS(3346),
    [anon_sym_const] = ACTIONS(3346),
    [anon_sym_BANG] = ACTIONS(3346),
    [anon_sym_if] = ACTIONS(3346),
    [anon_sym_switch] = ACTIONS(3346),
    [anon_sym_for] = ACTIONS(3346),
    [anon_sym_LPAREN] = ACTIONS(3346),
    [anon_sym_await] = ACTIONS(3346),
    [anon_sym_while] = ACTIONS(3346),
    [anon_sym_do] = ACTIONS(3346),
    [anon_sym_try] = ACTIONS(3346),
    [anon_sym_break] = ACTIONS(3346),
    [anon_sym_continue] = ACTIONS(3346),
    [anon_sym_debugger] = ACTIONS(3346),
    [anon_sym_return] = ACTIONS(3346),
    [anon_sym_throw] = ACTIONS(3346),
    [anon_sym_SEMI] = ACTIONS(3346),
    [anon_sym_case] = ACTIONS(3346),
    [anon_sym_yield] = ACTIONS(3346),
    [anon_sym_LBRACK] = ACTIONS(3346),
    [anon_sym_LTtemplate_GT] = ACTIONS(3346),
    [anon_sym_DQUOTE] = ACTIONS(3346),
    [anon_sym_SQUOTE] = ACTIONS(3346),
    [anon_sym_class] = ACTIONS(3346),
    [anon_sym_async] = ACTIONS(3346),
    [anon_sym_function] = ACTIONS(3346),
    [anon_sym_new] = ACTIONS(3346),
    [anon_sym_using] = ACTIONS(3346),
    [anon_sym_PLUS] = ACTIONS(3346),
    [anon_sym_DASH] = ACTIONS(3346),
    [anon_sym_SLASH] = ACTIONS(3346),
    [anon_sym_LT] = ACTIONS(3346),
    [anon_sym_TILDE] = ACTIONS(3346),
    [anon_sym_void] = ACTIONS(3346),
    [anon_sym_delete] = ACTIONS(3346),
    [anon_sym_PLUS_PLUS] = ACTIONS(3346),
    [anon_sym_DASH_DASH] = ACTIONS(3346),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3346),
    [sym_number] = ACTIONS(3346),
    [sym_private_property_identifier] = ACTIONS(3346),
    [sym_this] = ACTIONS(3346),
    [sym_super] = ACTIONS(3346),
    [sym_true] = ACTIONS(3346),
    [sym_false] = ACTIONS(3346),
    [sym_null] = ACTIONS(3346),
    [sym_undefined] = ACTIONS(3346),
    [anon_sym_AT] = ACTIONS(3346),
    [anon_sym_static] = ACTIONS(3346),
    [anon_sym_readonly] = ACTIONS(3346),
    [anon_sym_get] = ACTIONS(3346),
    [anon_sym_set] = ACTIONS(3346),
    [anon_sym_declare] = ACTIONS(3346),
    [anon_sym_public] = ACTIONS(3346),
    [anon_sym_private] = ACTIONS(3346),
    [anon_sym_protected] = ACTIONS(3346),
    [anon_sym_override] = ACTIONS(3346),
    [anon_sym_module] = ACTIONS(3346),
    [anon_sym_any] = ACTIONS(3346),
    [anon_sym_number] = ACTIONS(3346),
    [anon_sym_boolean] = ACTIONS(3346),
    [anon_sym_string] = ACTIONS(3346),
    [anon_sym_symbol] = ACTIONS(3346),
    [anon_sym_object] = ACTIONS(3346),
    [anon_sym_abstract] = ACTIONS(3346),
    [anon_sym_interface] = ACTIONS(3346),
    [anon_sym_enum] = ACTIONS(3346),
    [sym_html_comment] = ACTIONS(5),
  },
  [1416] = {
    [sym_comment] = STATE(1416),
    [sym_identifier] = ACTIONS(3346),
    [anon_sym_export] = ACTIONS(3346),
    [anon_sym_default] = ACTIONS(3346),
    [anon_sym_type] = ACTIONS(3346),
    [anon_sym_namespace] = ACTIONS(3346),
    [anon_sym_LBRACE] = ACTIONS(3346),
    [anon_sym_RBRACE] = ACTIONS(3346),
    [anon_sym_typeof] = ACTIONS(3346),
    [anon_sym_import] = ACTIONS(3346),
    [anon_sym_with] = ACTIONS(3346),
    [anon_sym_var] = ACTIONS(3346),
    [anon_sym_let] = ACTIONS(3346),
    [anon_sym_const] = ACTIONS(3346),
    [anon_sym_BANG] = ACTIONS(3346),
    [anon_sym_if] = ACTIONS(3346),
    [anon_sym_switch] = ACTIONS(3346),
    [anon_sym_for] = ACTIONS(3346),
    [anon_sym_LPAREN] = ACTIONS(3346),
    [anon_sym_await] = ACTIONS(3346),
    [anon_sym_while] = ACTIONS(3346),
    [anon_sym_do] = ACTIONS(3346),
    [anon_sym_try] = ACTIONS(3346),
    [anon_sym_break] = ACTIONS(3346),
    [anon_sym_continue] = ACTIONS(3346),
    [anon_sym_debugger] = ACTIONS(3346),
    [anon_sym_return] = ACTIONS(3346),
    [anon_sym_throw] = ACTIONS(3346),
    [anon_sym_SEMI] = ACTIONS(3346),
    [anon_sym_case] = ACTIONS(3346),
    [anon_sym_yield] = ACTIONS(3346),
    [anon_sym_LBRACK] = ACTIONS(3346),
    [anon_sym_LTtemplate_GT] = ACTIONS(3346),
    [anon_sym_DQUOTE] = ACTIONS(3346),
    [anon_sym_SQUOTE] = ACTIONS(3346),
    [anon_sym_class] = ACTIONS(3346),
    [anon_sym_async] = ACTIONS(3346),
    [anon_sym_function] = ACTIONS(3346),
    [anon_sym_new] = ACTIONS(3346),
    [anon_sym_using] = ACTIONS(3346),
    [anon_sym_PLUS] = ACTIONS(3346),
    [anon_sym_DASH] = ACTIONS(3346),
    [anon_sym_SLASH] = ACTIONS(3346),
    [anon_sym_LT] = ACTIONS(3346),
    [anon_sym_TILDE] = ACTIONS(3346),
    [anon_sym_void] = ACTIONS(3346),
    [anon_sym_delete] = ACTIONS(3346),
    [anon_sym_PLUS_PLUS] = ACTIONS(3346),
    [anon_sym_DASH_DASH] = ACTIONS(3346),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3346),
    [sym_number] = ACTIONS(3346),
    [sym_private_property_identifier] = ACTIONS(3346),
    [sym_this] = ACTIONS(3346),
    [sym_super] = ACTIONS(3346),
    [sym_true] = ACTIONS(3346),
    [sym_false] = ACTIONS(3346),
    [sym_null] = ACTIONS(3346),
    [sym_undefined] = ACTIONS(3346),
    [anon_sym_AT] = ACTIONS(3346),
    [anon_sym_static] = ACTIONS(3346),
    [anon_sym_readonly] = ACTIONS(3346),
    [anon_sym_get] = ACTIONS(3346),
    [anon_sym_set] = ACTIONS(3346),
    [anon_sym_declare] = ACTIONS(3346),
    [anon_sym_public] = ACTIONS(3346),
    [anon_sym_private] = ACTIONS(3346),
    [anon_sym_protected] = ACTIONS(3346),
    [anon_sym_override] = ACTIONS(3346),
    [anon_sym_module] = ACTIONS(3346),
    [anon_sym_any] = ACTIONS(3346),
    [anon_sym_number] = ACTIONS(3346),
    [anon_sym_boolean] = ACTIONS(3346),
    [anon_sym_string] = ACTIONS(3346),
    [anon_sym_symbol] = ACTIONS(3346),
    [anon_sym_object] = ACTIONS(3346),
    [anon_sym_abstract] = ACTIONS(3346),
    [anon_sym_interface] = ACTIONS(3346),
    [anon_sym_enum] = ACTIONS(3346),
    [sym_html_comment] = ACTIONS(5),
  },
  [1417] = {
    [sym_comment] = STATE(1417),
    [ts_builtin_sym_end] = ACTIONS(2107),
    [sym_identifier] = ACTIONS(2105),
    [anon_sym_export] = ACTIONS(2105),
    [anon_sym_type] = ACTIONS(2105),
    [anon_sym_namespace] = ACTIONS(2105),
    [anon_sym_LBRACE] = ACTIONS(2105),
    [anon_sym_RBRACE] = ACTIONS(2105),
    [anon_sym_typeof] = ACTIONS(2105),
    [anon_sym_import] = ACTIONS(2105),
    [anon_sym_with] = ACTIONS(2105),
    [anon_sym_var] = ACTIONS(2105),
    [anon_sym_let] = ACTIONS(2105),
    [anon_sym_const] = ACTIONS(2105),
    [anon_sym_BANG] = ACTIONS(2105),
    [anon_sym_if] = ACTIONS(2105),
    [anon_sym_switch] = ACTIONS(2105),
    [anon_sym_for] = ACTIONS(2105),
    [anon_sym_LPAREN] = ACTIONS(2105),
    [anon_sym_await] = ACTIONS(2105),
    [anon_sym_while] = ACTIONS(2105),
    [anon_sym_do] = ACTIONS(2105),
    [anon_sym_try] = ACTIONS(2105),
    [anon_sym_break] = ACTIONS(2105),
    [anon_sym_continue] = ACTIONS(2105),
    [anon_sym_debugger] = ACTIONS(2105),
    [anon_sym_return] = ACTIONS(2105),
    [anon_sym_throw] = ACTIONS(2105),
    [anon_sym_SEMI] = ACTIONS(2105),
    [anon_sym_yield] = ACTIONS(2105),
    [anon_sym_LBRACK] = ACTIONS(2105),
    [anon_sym_LTtemplate_GT] = ACTIONS(2105),
    [anon_sym_DQUOTE] = ACTIONS(2105),
    [anon_sym_SQUOTE] = ACTIONS(2105),
    [anon_sym_class] = ACTIONS(2105),
    [anon_sym_async] = ACTIONS(2105),
    [anon_sym_function] = ACTIONS(2105),
    [anon_sym_new] = ACTIONS(2105),
    [anon_sym_using] = ACTIONS(2105),
    [anon_sym_PLUS] = ACTIONS(2105),
    [anon_sym_DASH] = ACTIONS(2105),
    [anon_sym_SLASH] = ACTIONS(2105),
    [anon_sym_LT] = ACTIONS(2105),
    [anon_sym_TILDE] = ACTIONS(2105),
    [anon_sym_void] = ACTIONS(2105),
    [anon_sym_delete] = ACTIONS(2105),
    [anon_sym_PLUS_PLUS] = ACTIONS(2105),
    [anon_sym_DASH_DASH] = ACTIONS(2105),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2105),
    [sym_number] = ACTIONS(2105),
    [sym_private_property_identifier] = ACTIONS(2105),
    [sym_this] = ACTIONS(2105),
    [sym_super] = ACTIONS(2105),
    [sym_true] = ACTIONS(2105),
    [sym_false] = ACTIONS(2105),
    [sym_null] = ACTIONS(2105),
    [sym_undefined] = ACTIONS(2105),
    [anon_sym_AT] = ACTIONS(2105),
    [anon_sym_static] = ACTIONS(2105),
    [anon_sym_readonly] = ACTIONS(2105),
    [anon_sym_get] = ACTIONS(2105),
    [anon_sym_set] = ACTIONS(2105),
    [anon_sym_declare] = ACTIONS(2105),
    [anon_sym_public] = ACTIONS(2105),
    [anon_sym_private] = ACTIONS(2105),
    [anon_sym_protected] = ACTIONS(2105),
    [anon_sym_override] = ACTIONS(2105),
    [anon_sym_module] = ACTIONS(2105),
    [anon_sym_any] = ACTIONS(2105),
    [anon_sym_number] = ACTIONS(2105),
    [anon_sym_boolean] = ACTIONS(2105),
    [anon_sym_string] = ACTIONS(2105),
    [anon_sym_symbol] = ACTIONS(2105),
    [anon_sym_object] = ACTIONS(2105),
    [anon_sym_abstract] = ACTIONS(2105),
    [anon_sym_interface] = ACTIONS(2105),
    [anon_sym_enum] = ACTIONS(2105),
    [sym__automatic_semicolon] = ACTIONS(2107),
    [sym_html_comment] = ACTIONS(5),
  },
  [1418] = {
    [sym_comment] = STATE(1418),
    [sym_identifier] = ACTIONS(3354),
    [anon_sym_export] = ACTIONS(3354),
    [anon_sym_default] = ACTIONS(3354),
    [anon_sym_type] = ACTIONS(3354),
    [anon_sym_namespace] = ACTIONS(3354),
    [anon_sym_LBRACE] = ACTIONS(3354),
    [anon_sym_RBRACE] = ACTIONS(3354),
    [anon_sym_typeof] = ACTIONS(3354),
    [anon_sym_import] = ACTIONS(3354),
    [anon_sym_with] = ACTIONS(3354),
    [anon_sym_var] = ACTIONS(3354),
    [anon_sym_let] = ACTIONS(3354),
    [anon_sym_const] = ACTIONS(3354),
    [anon_sym_BANG] = ACTIONS(3354),
    [anon_sym_if] = ACTIONS(3354),
    [anon_sym_switch] = ACTIONS(3354),
    [anon_sym_for] = ACTIONS(3354),
    [anon_sym_LPAREN] = ACTIONS(3354),
    [anon_sym_await] = ACTIONS(3354),
    [anon_sym_while] = ACTIONS(3354),
    [anon_sym_do] = ACTIONS(3354),
    [anon_sym_try] = ACTIONS(3354),
    [anon_sym_break] = ACTIONS(3354),
    [anon_sym_continue] = ACTIONS(3354),
    [anon_sym_debugger] = ACTIONS(3354),
    [anon_sym_return] = ACTIONS(3354),
    [anon_sym_throw] = ACTIONS(3354),
    [anon_sym_SEMI] = ACTIONS(3354),
    [anon_sym_case] = ACTIONS(3354),
    [anon_sym_yield] = ACTIONS(3354),
    [anon_sym_LBRACK] = ACTIONS(3354),
    [anon_sym_LTtemplate_GT] = ACTIONS(3354),
    [anon_sym_DQUOTE] = ACTIONS(3354),
    [anon_sym_SQUOTE] = ACTIONS(3354),
    [anon_sym_class] = ACTIONS(3354),
    [anon_sym_async] = ACTIONS(3354),
    [anon_sym_function] = ACTIONS(3354),
    [anon_sym_new] = ACTIONS(3354),
    [anon_sym_using] = ACTIONS(3354),
    [anon_sym_PLUS] = ACTIONS(3354),
    [anon_sym_DASH] = ACTIONS(3354),
    [anon_sym_SLASH] = ACTIONS(3354),
    [anon_sym_LT] = ACTIONS(3354),
    [anon_sym_TILDE] = ACTIONS(3354),
    [anon_sym_void] = ACTIONS(3354),
    [anon_sym_delete] = ACTIONS(3354),
    [anon_sym_PLUS_PLUS] = ACTIONS(3354),
    [anon_sym_DASH_DASH] = ACTIONS(3354),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3354),
    [sym_number] = ACTIONS(3354),
    [sym_private_property_identifier] = ACTIONS(3354),
    [sym_this] = ACTIONS(3354),
    [sym_super] = ACTIONS(3354),
    [sym_true] = ACTIONS(3354),
    [sym_false] = ACTIONS(3354),
    [sym_null] = ACTIONS(3354),
    [sym_undefined] = ACTIONS(3354),
    [anon_sym_AT] = ACTIONS(3354),
    [anon_sym_static] = ACTIONS(3354),
    [anon_sym_readonly] = ACTIONS(3354),
    [anon_sym_get] = ACTIONS(3354),
    [anon_sym_set] = ACTIONS(3354),
    [anon_sym_declare] = ACTIONS(3354),
    [anon_sym_public] = ACTIONS(3354),
    [anon_sym_private] = ACTIONS(3354),
    [anon_sym_protected] = ACTIONS(3354),
    [anon_sym_override] = ACTIONS(3354),
    [anon_sym_module] = ACTIONS(3354),
    [anon_sym_any] = ACTIONS(3354),
    [anon_sym_number] = ACTIONS(3354),
    [anon_sym_boolean] = ACTIONS(3354),
    [anon_sym_string] = ACTIONS(3354),
    [anon_sym_symbol] = ACTIONS(3354),
    [anon_sym_object] = ACTIONS(3354),
    [anon_sym_abstract] = ACTIONS(3354),
    [anon_sym_interface] = ACTIONS(3354),
    [anon_sym_enum] = ACTIONS(3354),
    [sym_html_comment] = ACTIONS(5),
  },
  [1419] = {
    [sym_comment] = STATE(1419),
    [sym_identifier] = ACTIONS(3356),
    [anon_sym_export] = ACTIONS(3356),
    [anon_sym_default] = ACTIONS(3356),
    [anon_sym_type] = ACTIONS(3356),
    [anon_sym_namespace] = ACTIONS(3356),
    [anon_sym_LBRACE] = ACTIONS(3356),
    [anon_sym_RBRACE] = ACTIONS(3356),
    [anon_sym_typeof] = ACTIONS(3356),
    [anon_sym_import] = ACTIONS(3356),
    [anon_sym_with] = ACTIONS(3356),
    [anon_sym_var] = ACTIONS(3356),
    [anon_sym_let] = ACTIONS(3356),
    [anon_sym_const] = ACTIONS(3356),
    [anon_sym_BANG] = ACTIONS(3356),
    [anon_sym_if] = ACTIONS(3356),
    [anon_sym_switch] = ACTIONS(3356),
    [anon_sym_for] = ACTIONS(3356),
    [anon_sym_LPAREN] = ACTIONS(3356),
    [anon_sym_await] = ACTIONS(3356),
    [anon_sym_while] = ACTIONS(3356),
    [anon_sym_do] = ACTIONS(3356),
    [anon_sym_try] = ACTIONS(3356),
    [anon_sym_break] = ACTIONS(3356),
    [anon_sym_continue] = ACTIONS(3356),
    [anon_sym_debugger] = ACTIONS(3356),
    [anon_sym_return] = ACTIONS(3356),
    [anon_sym_throw] = ACTIONS(3356),
    [anon_sym_SEMI] = ACTIONS(3356),
    [anon_sym_case] = ACTIONS(3356),
    [anon_sym_yield] = ACTIONS(3356),
    [anon_sym_LBRACK] = ACTIONS(3356),
    [anon_sym_LTtemplate_GT] = ACTIONS(3356),
    [anon_sym_DQUOTE] = ACTIONS(3356),
    [anon_sym_SQUOTE] = ACTIONS(3356),
    [anon_sym_class] = ACTIONS(3356),
    [anon_sym_async] = ACTIONS(3356),
    [anon_sym_function] = ACTIONS(3356),
    [anon_sym_new] = ACTIONS(3356),
    [anon_sym_using] = ACTIONS(3356),
    [anon_sym_PLUS] = ACTIONS(3356),
    [anon_sym_DASH] = ACTIONS(3356),
    [anon_sym_SLASH] = ACTIONS(3356),
    [anon_sym_LT] = ACTIONS(3356),
    [anon_sym_TILDE] = ACTIONS(3356),
    [anon_sym_void] = ACTIONS(3356),
    [anon_sym_delete] = ACTIONS(3356),
    [anon_sym_PLUS_PLUS] = ACTIONS(3356),
    [anon_sym_DASH_DASH] = ACTIONS(3356),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3356),
    [sym_number] = ACTIONS(3356),
    [sym_private_property_identifier] = ACTIONS(3356),
    [sym_this] = ACTIONS(3356),
    [sym_super] = ACTIONS(3356),
    [sym_true] = ACTIONS(3356),
    [sym_false] = ACTIONS(3356),
    [sym_null] = ACTIONS(3356),
    [sym_undefined] = ACTIONS(3356),
    [anon_sym_AT] = ACTIONS(3356),
    [anon_sym_static] = ACTIONS(3356),
    [anon_sym_readonly] = ACTIONS(3356),
    [anon_sym_get] = ACTIONS(3356),
    [anon_sym_set] = ACTIONS(3356),
    [anon_sym_declare] = ACTIONS(3356),
    [anon_sym_public] = ACTIONS(3356),
    [anon_sym_private] = ACTIONS(3356),
    [anon_sym_protected] = ACTIONS(3356),
    [anon_sym_override] = ACTIONS(3356),
    [anon_sym_module] = ACTIONS(3356),
    [anon_sym_any] = ACTIONS(3356),
    [anon_sym_number] = ACTIONS(3356),
    [anon_sym_boolean] = ACTIONS(3356),
    [anon_sym_string] = ACTIONS(3356),
    [anon_sym_symbol] = ACTIONS(3356),
    [anon_sym_object] = ACTIONS(3356),
    [anon_sym_abstract] = ACTIONS(3356),
    [anon_sym_interface] = ACTIONS(3356),
    [anon_sym_enum] = ACTIONS(3356),
    [sym_html_comment] = ACTIONS(5),
  },
  [1420] = {
    [sym_comment] = STATE(1420),
    [sym_identifier] = ACTIONS(3358),
    [anon_sym_export] = ACTIONS(3358),
    [anon_sym_default] = ACTIONS(3358),
    [anon_sym_type] = ACTIONS(3358),
    [anon_sym_namespace] = ACTIONS(3358),
    [anon_sym_LBRACE] = ACTIONS(3358),
    [anon_sym_RBRACE] = ACTIONS(3358),
    [anon_sym_typeof] = ACTIONS(3358),
    [anon_sym_import] = ACTIONS(3358),
    [anon_sym_with] = ACTIONS(3358),
    [anon_sym_var] = ACTIONS(3358),
    [anon_sym_let] = ACTIONS(3358),
    [anon_sym_const] = ACTIONS(3358),
    [anon_sym_BANG] = ACTIONS(3358),
    [anon_sym_if] = ACTIONS(3358),
    [anon_sym_switch] = ACTIONS(3358),
    [anon_sym_for] = ACTIONS(3358),
    [anon_sym_LPAREN] = ACTIONS(3358),
    [anon_sym_await] = ACTIONS(3358),
    [anon_sym_while] = ACTIONS(3358),
    [anon_sym_do] = ACTIONS(3358),
    [anon_sym_try] = ACTIONS(3358),
    [anon_sym_break] = ACTIONS(3358),
    [anon_sym_continue] = ACTIONS(3358),
    [anon_sym_debugger] = ACTIONS(3358),
    [anon_sym_return] = ACTIONS(3358),
    [anon_sym_throw] = ACTIONS(3358),
    [anon_sym_SEMI] = ACTIONS(3358),
    [anon_sym_case] = ACTIONS(3358),
    [anon_sym_yield] = ACTIONS(3358),
    [anon_sym_LBRACK] = ACTIONS(3358),
    [anon_sym_LTtemplate_GT] = ACTIONS(3358),
    [anon_sym_DQUOTE] = ACTIONS(3358),
    [anon_sym_SQUOTE] = ACTIONS(3358),
    [anon_sym_class] = ACTIONS(3358),
    [anon_sym_async] = ACTIONS(3358),
    [anon_sym_function] = ACTIONS(3358),
    [anon_sym_new] = ACTIONS(3358),
    [anon_sym_using] = ACTIONS(3358),
    [anon_sym_PLUS] = ACTIONS(3358),
    [anon_sym_DASH] = ACTIONS(3358),
    [anon_sym_SLASH] = ACTIONS(3358),
    [anon_sym_LT] = ACTIONS(3358),
    [anon_sym_TILDE] = ACTIONS(3358),
    [anon_sym_void] = ACTIONS(3358),
    [anon_sym_delete] = ACTIONS(3358),
    [anon_sym_PLUS_PLUS] = ACTIONS(3358),
    [anon_sym_DASH_DASH] = ACTIONS(3358),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3358),
    [sym_number] = ACTIONS(3358),
    [sym_private_property_identifier] = ACTIONS(3358),
    [sym_this] = ACTIONS(3358),
    [sym_super] = ACTIONS(3358),
    [sym_true] = ACTIONS(3358),
    [sym_false] = ACTIONS(3358),
    [sym_null] = ACTIONS(3358),
    [sym_undefined] = ACTIONS(3358),
    [anon_sym_AT] = ACTIONS(3358),
    [anon_sym_static] = ACTIONS(3358),
    [anon_sym_readonly] = ACTIONS(3358),
    [anon_sym_get] = ACTIONS(3358),
    [anon_sym_set] = ACTIONS(3358),
    [anon_sym_declare] = ACTIONS(3358),
    [anon_sym_public] = ACTIONS(3358),
    [anon_sym_private] = ACTIONS(3358),
    [anon_sym_protected] = ACTIONS(3358),
    [anon_sym_override] = ACTIONS(3358),
    [anon_sym_module] = ACTIONS(3358),
    [anon_sym_any] = ACTIONS(3358),
    [anon_sym_number] = ACTIONS(3358),
    [anon_sym_boolean] = ACTIONS(3358),
    [anon_sym_string] = ACTIONS(3358),
    [anon_sym_symbol] = ACTIONS(3358),
    [anon_sym_object] = ACTIONS(3358),
    [anon_sym_abstract] = ACTIONS(3358),
    [anon_sym_interface] = ACTIONS(3358),
    [anon_sym_enum] = ACTIONS(3358),
    [sym_html_comment] = ACTIONS(5),
  },
  [1421] = {
    [sym_comment] = STATE(1421),
    [sym_identifier] = ACTIONS(3358),
    [anon_sym_export] = ACTIONS(3358),
    [anon_sym_default] = ACTIONS(3358),
    [anon_sym_type] = ACTIONS(3358),
    [anon_sym_namespace] = ACTIONS(3358),
    [anon_sym_LBRACE] = ACTIONS(3358),
    [anon_sym_RBRACE] = ACTIONS(3358),
    [anon_sym_typeof] = ACTIONS(3358),
    [anon_sym_import] = ACTIONS(3358),
    [anon_sym_with] = ACTIONS(3358),
    [anon_sym_var] = ACTIONS(3358),
    [anon_sym_let] = ACTIONS(3358),
    [anon_sym_const] = ACTIONS(3358),
    [anon_sym_BANG] = ACTIONS(3358),
    [anon_sym_if] = ACTIONS(3358),
    [anon_sym_switch] = ACTIONS(3358),
    [anon_sym_for] = ACTIONS(3358),
    [anon_sym_LPAREN] = ACTIONS(3358),
    [anon_sym_await] = ACTIONS(3358),
    [anon_sym_while] = ACTIONS(3358),
    [anon_sym_do] = ACTIONS(3358),
    [anon_sym_try] = ACTIONS(3358),
    [anon_sym_break] = ACTIONS(3358),
    [anon_sym_continue] = ACTIONS(3358),
    [anon_sym_debugger] = ACTIONS(3358),
    [anon_sym_return] = ACTIONS(3358),
    [anon_sym_throw] = ACTIONS(3358),
    [anon_sym_SEMI] = ACTIONS(3358),
    [anon_sym_case] = ACTIONS(3358),
    [anon_sym_yield] = ACTIONS(3358),
    [anon_sym_LBRACK] = ACTIONS(3358),
    [anon_sym_LTtemplate_GT] = ACTIONS(3358),
    [anon_sym_DQUOTE] = ACTIONS(3358),
    [anon_sym_SQUOTE] = ACTIONS(3358),
    [anon_sym_class] = ACTIONS(3358),
    [anon_sym_async] = ACTIONS(3358),
    [anon_sym_function] = ACTIONS(3358),
    [anon_sym_new] = ACTIONS(3358),
    [anon_sym_using] = ACTIONS(3358),
    [anon_sym_PLUS] = ACTIONS(3358),
    [anon_sym_DASH] = ACTIONS(3358),
    [anon_sym_SLASH] = ACTIONS(3358),
    [anon_sym_LT] = ACTIONS(3358),
    [anon_sym_TILDE] = ACTIONS(3358),
    [anon_sym_void] = ACTIONS(3358),
    [anon_sym_delete] = ACTIONS(3358),
    [anon_sym_PLUS_PLUS] = ACTIONS(3358),
    [anon_sym_DASH_DASH] = ACTIONS(3358),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3358),
    [sym_number] = ACTIONS(3358),
    [sym_private_property_identifier] = ACTIONS(3358),
    [sym_this] = ACTIONS(3358),
    [sym_super] = ACTIONS(3358),
    [sym_true] = ACTIONS(3358),
    [sym_false] = ACTIONS(3358),
    [sym_null] = ACTIONS(3358),
    [sym_undefined] = ACTIONS(3358),
    [anon_sym_AT] = ACTIONS(3358),
    [anon_sym_static] = ACTIONS(3358),
    [anon_sym_readonly] = ACTIONS(3358),
    [anon_sym_get] = ACTIONS(3358),
    [anon_sym_set] = ACTIONS(3358),
    [anon_sym_declare] = ACTIONS(3358),
    [anon_sym_public] = ACTIONS(3358),
    [anon_sym_private] = ACTIONS(3358),
    [anon_sym_protected] = ACTIONS(3358),
    [anon_sym_override] = ACTIONS(3358),
    [anon_sym_module] = ACTIONS(3358),
    [anon_sym_any] = ACTIONS(3358),
    [anon_sym_number] = ACTIONS(3358),
    [anon_sym_boolean] = ACTIONS(3358),
    [anon_sym_string] = ACTIONS(3358),
    [anon_sym_symbol] = ACTIONS(3358),
    [anon_sym_object] = ACTIONS(3358),
    [anon_sym_abstract] = ACTIONS(3358),
    [anon_sym_interface] = ACTIONS(3358),
    [anon_sym_enum] = ACTIONS(3358),
    [sym_html_comment] = ACTIONS(5),
  },
  [1422] = {
    [sym_comment] = STATE(1422),
    [ts_builtin_sym_end] = ACTIONS(3480),
    [sym_identifier] = ACTIONS(3246),
    [anon_sym_export] = ACTIONS(3246),
    [anon_sym_type] = ACTIONS(3246),
    [anon_sym_namespace] = ACTIONS(3246),
    [anon_sym_LBRACE] = ACTIONS(3246),
    [anon_sym_RBRACE] = ACTIONS(3246),
    [anon_sym_typeof] = ACTIONS(3246),
    [anon_sym_import] = ACTIONS(3246),
    [anon_sym_with] = ACTIONS(3246),
    [anon_sym_var] = ACTIONS(3246),
    [anon_sym_let] = ACTIONS(3246),
    [anon_sym_const] = ACTIONS(3246),
    [anon_sym_BANG] = ACTIONS(3246),
    [anon_sym_else] = ACTIONS(3246),
    [anon_sym_if] = ACTIONS(3246),
    [anon_sym_switch] = ACTIONS(3246),
    [anon_sym_for] = ACTIONS(3246),
    [anon_sym_LPAREN] = ACTIONS(3246),
    [anon_sym_await] = ACTIONS(3246),
    [anon_sym_while] = ACTIONS(3246),
    [anon_sym_do] = ACTIONS(3246),
    [anon_sym_try] = ACTIONS(3246),
    [anon_sym_break] = ACTIONS(3246),
    [anon_sym_continue] = ACTIONS(3246),
    [anon_sym_debugger] = ACTIONS(3246),
    [anon_sym_return] = ACTIONS(3246),
    [anon_sym_throw] = ACTIONS(3246),
    [anon_sym_SEMI] = ACTIONS(3246),
    [anon_sym_yield] = ACTIONS(3246),
    [anon_sym_LBRACK] = ACTIONS(3246),
    [anon_sym_LTtemplate_GT] = ACTIONS(3246),
    [anon_sym_DQUOTE] = ACTIONS(3246),
    [anon_sym_SQUOTE] = ACTIONS(3246),
    [anon_sym_class] = ACTIONS(3246),
    [anon_sym_async] = ACTIONS(3246),
    [anon_sym_function] = ACTIONS(3246),
    [anon_sym_new] = ACTIONS(3246),
    [anon_sym_using] = ACTIONS(3246),
    [anon_sym_PLUS] = ACTIONS(3246),
    [anon_sym_DASH] = ACTIONS(3246),
    [anon_sym_SLASH] = ACTIONS(3246),
    [anon_sym_LT] = ACTIONS(3246),
    [anon_sym_TILDE] = ACTIONS(3246),
    [anon_sym_void] = ACTIONS(3246),
    [anon_sym_delete] = ACTIONS(3246),
    [anon_sym_PLUS_PLUS] = ACTIONS(3246),
    [anon_sym_DASH_DASH] = ACTIONS(3246),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3246),
    [sym_number] = ACTIONS(3246),
    [sym_private_property_identifier] = ACTIONS(3246),
    [sym_this] = ACTIONS(3246),
    [sym_super] = ACTIONS(3246),
    [sym_true] = ACTIONS(3246),
    [sym_false] = ACTIONS(3246),
    [sym_null] = ACTIONS(3246),
    [sym_undefined] = ACTIONS(3246),
    [anon_sym_AT] = ACTIONS(3246),
    [anon_sym_static] = ACTIONS(3246),
    [anon_sym_readonly] = ACTIONS(3246),
    [anon_sym_get] = ACTIONS(3246),
    [anon_sym_set] = ACTIONS(3246),
    [anon_sym_declare] = ACTIONS(3246),
    [anon_sym_public] = ACTIONS(3246),
    [anon_sym_private] = ACTIONS(3246),
    [anon_sym_protected] = ACTIONS(3246),
    [anon_sym_override] = ACTIONS(3246),
    [anon_sym_module] = ACTIONS(3246),
    [anon_sym_any] = ACTIONS(3246),
    [anon_sym_number] = ACTIONS(3246),
    [anon_sym_boolean] = ACTIONS(3246),
    [anon_sym_string] = ACTIONS(3246),
    [anon_sym_symbol] = ACTIONS(3246),
    [anon_sym_object] = ACTIONS(3246),
    [anon_sym_abstract] = ACTIONS(3246),
    [anon_sym_interface] = ACTIONS(3246),
    [anon_sym_enum] = ACTIONS(3246),
    [sym_html_comment] = ACTIONS(5),
  },
  [1423] = {
    [sym_comment] = STATE(1423),
    [ts_builtin_sym_end] = ACTIONS(3482),
    [sym_identifier] = ACTIONS(3244),
    [anon_sym_export] = ACTIONS(3244),
    [anon_sym_type] = ACTIONS(3244),
    [anon_sym_namespace] = ACTIONS(3244),
    [anon_sym_LBRACE] = ACTIONS(3244),
    [anon_sym_RBRACE] = ACTIONS(3244),
    [anon_sym_typeof] = ACTIONS(3244),
    [anon_sym_import] = ACTIONS(3244),
    [anon_sym_with] = ACTIONS(3244),
    [anon_sym_var] = ACTIONS(3244),
    [anon_sym_let] = ACTIONS(3244),
    [anon_sym_const] = ACTIONS(3244),
    [anon_sym_BANG] = ACTIONS(3244),
    [anon_sym_else] = ACTIONS(3244),
    [anon_sym_if] = ACTIONS(3244),
    [anon_sym_switch] = ACTIONS(3244),
    [anon_sym_for] = ACTIONS(3244),
    [anon_sym_LPAREN] = ACTIONS(3244),
    [anon_sym_await] = ACTIONS(3244),
    [anon_sym_while] = ACTIONS(3244),
    [anon_sym_do] = ACTIONS(3244),
    [anon_sym_try] = ACTIONS(3244),
    [anon_sym_break] = ACTIONS(3244),
    [anon_sym_continue] = ACTIONS(3244),
    [anon_sym_debugger] = ACTIONS(3244),
    [anon_sym_return] = ACTIONS(3244),
    [anon_sym_throw] = ACTIONS(3244),
    [anon_sym_SEMI] = ACTIONS(3244),
    [anon_sym_yield] = ACTIONS(3244),
    [anon_sym_LBRACK] = ACTIONS(3244),
    [anon_sym_LTtemplate_GT] = ACTIONS(3244),
    [anon_sym_DQUOTE] = ACTIONS(3244),
    [anon_sym_SQUOTE] = ACTIONS(3244),
    [anon_sym_class] = ACTIONS(3244),
    [anon_sym_async] = ACTIONS(3244),
    [anon_sym_function] = ACTIONS(3244),
    [anon_sym_new] = ACTIONS(3244),
    [anon_sym_using] = ACTIONS(3244),
    [anon_sym_PLUS] = ACTIONS(3244),
    [anon_sym_DASH] = ACTIONS(3244),
    [anon_sym_SLASH] = ACTIONS(3244),
    [anon_sym_LT] = ACTIONS(3244),
    [anon_sym_TILDE] = ACTIONS(3244),
    [anon_sym_void] = ACTIONS(3244),
    [anon_sym_delete] = ACTIONS(3244),
    [anon_sym_PLUS_PLUS] = ACTIONS(3244),
    [anon_sym_DASH_DASH] = ACTIONS(3244),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3244),
    [sym_number] = ACTIONS(3244),
    [sym_private_property_identifier] = ACTIONS(3244),
    [sym_this] = ACTIONS(3244),
    [sym_super] = ACTIONS(3244),
    [sym_true] = ACTIONS(3244),
    [sym_false] = ACTIONS(3244),
    [sym_null] = ACTIONS(3244),
    [sym_undefined] = ACTIONS(3244),
    [anon_sym_AT] = ACTIONS(3244),
    [anon_sym_static] = ACTIONS(3244),
    [anon_sym_readonly] = ACTIONS(3244),
    [anon_sym_get] = ACTIONS(3244),
    [anon_sym_set] = ACTIONS(3244),
    [anon_sym_declare] = ACTIONS(3244),
    [anon_sym_public] = ACTIONS(3244),
    [anon_sym_private] = ACTIONS(3244),
    [anon_sym_protected] = ACTIONS(3244),
    [anon_sym_override] = ACTIONS(3244),
    [anon_sym_module] = ACTIONS(3244),
    [anon_sym_any] = ACTIONS(3244),
    [anon_sym_number] = ACTIONS(3244),
    [anon_sym_boolean] = ACTIONS(3244),
    [anon_sym_string] = ACTIONS(3244),
    [anon_sym_symbol] = ACTIONS(3244),
    [anon_sym_object] = ACTIONS(3244),
    [anon_sym_abstract] = ACTIONS(3244),
    [anon_sym_interface] = ACTIONS(3244),
    [anon_sym_enum] = ACTIONS(3244),
    [sym_html_comment] = ACTIONS(5),
  },
  [1424] = {
    [sym_comment] = STATE(1424),
    [ts_builtin_sym_end] = ACTIONS(3484),
    [sym_identifier] = ACTIONS(3242),
    [anon_sym_export] = ACTIONS(3242),
    [anon_sym_type] = ACTIONS(3242),
    [anon_sym_namespace] = ACTIONS(3242),
    [anon_sym_LBRACE] = ACTIONS(3242),
    [anon_sym_RBRACE] = ACTIONS(3242),
    [anon_sym_typeof] = ACTIONS(3242),
    [anon_sym_import] = ACTIONS(3242),
    [anon_sym_with] = ACTIONS(3242),
    [anon_sym_var] = ACTIONS(3242),
    [anon_sym_let] = ACTIONS(3242),
    [anon_sym_const] = ACTIONS(3242),
    [anon_sym_BANG] = ACTIONS(3242),
    [anon_sym_else] = ACTIONS(3242),
    [anon_sym_if] = ACTIONS(3242),
    [anon_sym_switch] = ACTIONS(3242),
    [anon_sym_for] = ACTIONS(3242),
    [anon_sym_LPAREN] = ACTIONS(3242),
    [anon_sym_await] = ACTIONS(3242),
    [anon_sym_while] = ACTIONS(3242),
    [anon_sym_do] = ACTIONS(3242),
    [anon_sym_try] = ACTIONS(3242),
    [anon_sym_break] = ACTIONS(3242),
    [anon_sym_continue] = ACTIONS(3242),
    [anon_sym_debugger] = ACTIONS(3242),
    [anon_sym_return] = ACTIONS(3242),
    [anon_sym_throw] = ACTIONS(3242),
    [anon_sym_SEMI] = ACTIONS(3242),
    [anon_sym_yield] = ACTIONS(3242),
    [anon_sym_LBRACK] = ACTIONS(3242),
    [anon_sym_LTtemplate_GT] = ACTIONS(3242),
    [anon_sym_DQUOTE] = ACTIONS(3242),
    [anon_sym_SQUOTE] = ACTIONS(3242),
    [anon_sym_class] = ACTIONS(3242),
    [anon_sym_async] = ACTIONS(3242),
    [anon_sym_function] = ACTIONS(3242),
    [anon_sym_new] = ACTIONS(3242),
    [anon_sym_using] = ACTIONS(3242),
    [anon_sym_PLUS] = ACTIONS(3242),
    [anon_sym_DASH] = ACTIONS(3242),
    [anon_sym_SLASH] = ACTIONS(3242),
    [anon_sym_LT] = ACTIONS(3242),
    [anon_sym_TILDE] = ACTIONS(3242),
    [anon_sym_void] = ACTIONS(3242),
    [anon_sym_delete] = ACTIONS(3242),
    [anon_sym_PLUS_PLUS] = ACTIONS(3242),
    [anon_sym_DASH_DASH] = ACTIONS(3242),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3242),
    [sym_number] = ACTIONS(3242),
    [sym_private_property_identifier] = ACTIONS(3242),
    [sym_this] = ACTIONS(3242),
    [sym_super] = ACTIONS(3242),
    [sym_true] = ACTIONS(3242),
    [sym_false] = ACTIONS(3242),
    [sym_null] = ACTIONS(3242),
    [sym_undefined] = ACTIONS(3242),
    [anon_sym_AT] = ACTIONS(3242),
    [anon_sym_static] = ACTIONS(3242),
    [anon_sym_readonly] = ACTIONS(3242),
    [anon_sym_get] = ACTIONS(3242),
    [anon_sym_set] = ACTIONS(3242),
    [anon_sym_declare] = ACTIONS(3242),
    [anon_sym_public] = ACTIONS(3242),
    [anon_sym_private] = ACTIONS(3242),
    [anon_sym_protected] = ACTIONS(3242),
    [anon_sym_override] = ACTIONS(3242),
    [anon_sym_module] = ACTIONS(3242),
    [anon_sym_any] = ACTIONS(3242),
    [anon_sym_number] = ACTIONS(3242),
    [anon_sym_boolean] = ACTIONS(3242),
    [anon_sym_string] = ACTIONS(3242),
    [anon_sym_symbol] = ACTIONS(3242),
    [anon_sym_object] = ACTIONS(3242),
    [anon_sym_abstract] = ACTIONS(3242),
    [anon_sym_interface] = ACTIONS(3242),
    [anon_sym_enum] = ACTIONS(3242),
    [sym_html_comment] = ACTIONS(5),
  },
  [1425] = {
    [sym_comment] = STATE(1425),
    [ts_builtin_sym_end] = ACTIONS(3486),
    [sym_identifier] = ACTIONS(3240),
    [anon_sym_export] = ACTIONS(3240),
    [anon_sym_type] = ACTIONS(3240),
    [anon_sym_namespace] = ACTIONS(3240),
    [anon_sym_LBRACE] = ACTIONS(3240),
    [anon_sym_RBRACE] = ACTIONS(3240),
    [anon_sym_typeof] = ACTIONS(3240),
    [anon_sym_import] = ACTIONS(3240),
    [anon_sym_with] = ACTIONS(3240),
    [anon_sym_var] = ACTIONS(3240),
    [anon_sym_let] = ACTIONS(3240),
    [anon_sym_const] = ACTIONS(3240),
    [anon_sym_BANG] = ACTIONS(3240),
    [anon_sym_else] = ACTIONS(3240),
    [anon_sym_if] = ACTIONS(3240),
    [anon_sym_switch] = ACTIONS(3240),
    [anon_sym_for] = ACTIONS(3240),
    [anon_sym_LPAREN] = ACTIONS(3240),
    [anon_sym_await] = ACTIONS(3240),
    [anon_sym_while] = ACTIONS(3240),
    [anon_sym_do] = ACTIONS(3240),
    [anon_sym_try] = ACTIONS(3240),
    [anon_sym_break] = ACTIONS(3240),
    [anon_sym_continue] = ACTIONS(3240),
    [anon_sym_debugger] = ACTIONS(3240),
    [anon_sym_return] = ACTIONS(3240),
    [anon_sym_throw] = ACTIONS(3240),
    [anon_sym_SEMI] = ACTIONS(3240),
    [anon_sym_yield] = ACTIONS(3240),
    [anon_sym_LBRACK] = ACTIONS(3240),
    [anon_sym_LTtemplate_GT] = ACTIONS(3240),
    [anon_sym_DQUOTE] = ACTIONS(3240),
    [anon_sym_SQUOTE] = ACTIONS(3240),
    [anon_sym_class] = ACTIONS(3240),
    [anon_sym_async] = ACTIONS(3240),
    [anon_sym_function] = ACTIONS(3240),
    [anon_sym_new] = ACTIONS(3240),
    [anon_sym_using] = ACTIONS(3240),
    [anon_sym_PLUS] = ACTIONS(3240),
    [anon_sym_DASH] = ACTIONS(3240),
    [anon_sym_SLASH] = ACTIONS(3240),
    [anon_sym_LT] = ACTIONS(3240),
    [anon_sym_TILDE] = ACTIONS(3240),
    [anon_sym_void] = ACTIONS(3240),
    [anon_sym_delete] = ACTIONS(3240),
    [anon_sym_PLUS_PLUS] = ACTIONS(3240),
    [anon_sym_DASH_DASH] = ACTIONS(3240),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3240),
    [sym_number] = ACTIONS(3240),
    [sym_private_property_identifier] = ACTIONS(3240),
    [sym_this] = ACTIONS(3240),
    [sym_super] = ACTIONS(3240),
    [sym_true] = ACTIONS(3240),
    [sym_false] = ACTIONS(3240),
    [sym_null] = ACTIONS(3240),
    [sym_undefined] = ACTIONS(3240),
    [anon_sym_AT] = ACTIONS(3240),
    [anon_sym_static] = ACTIONS(3240),
    [anon_sym_readonly] = ACTIONS(3240),
    [anon_sym_get] = ACTIONS(3240),
    [anon_sym_set] = ACTIONS(3240),
    [anon_sym_declare] = ACTIONS(3240),
    [anon_sym_public] = ACTIONS(3240),
    [anon_sym_private] = ACTIONS(3240),
    [anon_sym_protected] = ACTIONS(3240),
    [anon_sym_override] = ACTIONS(3240),
    [anon_sym_module] = ACTIONS(3240),
    [anon_sym_any] = ACTIONS(3240),
    [anon_sym_number] = ACTIONS(3240),
    [anon_sym_boolean] = ACTIONS(3240),
    [anon_sym_string] = ACTIONS(3240),
    [anon_sym_symbol] = ACTIONS(3240),
    [anon_sym_object] = ACTIONS(3240),
    [anon_sym_abstract] = ACTIONS(3240),
    [anon_sym_interface] = ACTIONS(3240),
    [anon_sym_enum] = ACTIONS(3240),
    [sym_html_comment] = ACTIONS(5),
  },
  [1426] = {
    [sym_comment] = STATE(1426),
    [ts_builtin_sym_end] = ACTIONS(3488),
    [sym_identifier] = ACTIONS(3238),
    [anon_sym_export] = ACTIONS(3238),
    [anon_sym_type] = ACTIONS(3238),
    [anon_sym_namespace] = ACTIONS(3238),
    [anon_sym_LBRACE] = ACTIONS(3238),
    [anon_sym_RBRACE] = ACTIONS(3238),
    [anon_sym_typeof] = ACTIONS(3238),
    [anon_sym_import] = ACTIONS(3238),
    [anon_sym_with] = ACTIONS(3238),
    [anon_sym_var] = ACTIONS(3238),
    [anon_sym_let] = ACTIONS(3238),
    [anon_sym_const] = ACTIONS(3238),
    [anon_sym_BANG] = ACTIONS(3238),
    [anon_sym_else] = ACTIONS(3238),
    [anon_sym_if] = ACTIONS(3238),
    [anon_sym_switch] = ACTIONS(3238),
    [anon_sym_for] = ACTIONS(3238),
    [anon_sym_LPAREN] = ACTIONS(3238),
    [anon_sym_await] = ACTIONS(3238),
    [anon_sym_while] = ACTIONS(3238),
    [anon_sym_do] = ACTIONS(3238),
    [anon_sym_try] = ACTIONS(3238),
    [anon_sym_break] = ACTIONS(3238),
    [anon_sym_continue] = ACTIONS(3238),
    [anon_sym_debugger] = ACTIONS(3238),
    [anon_sym_return] = ACTIONS(3238),
    [anon_sym_throw] = ACTIONS(3238),
    [anon_sym_SEMI] = ACTIONS(3238),
    [anon_sym_yield] = ACTIONS(3238),
    [anon_sym_LBRACK] = ACTIONS(3238),
    [anon_sym_LTtemplate_GT] = ACTIONS(3238),
    [anon_sym_DQUOTE] = ACTIONS(3238),
    [anon_sym_SQUOTE] = ACTIONS(3238),
    [anon_sym_class] = ACTIONS(3238),
    [anon_sym_async] = ACTIONS(3238),
    [anon_sym_function] = ACTIONS(3238),
    [anon_sym_new] = ACTIONS(3238),
    [anon_sym_using] = ACTIONS(3238),
    [anon_sym_PLUS] = ACTIONS(3238),
    [anon_sym_DASH] = ACTIONS(3238),
    [anon_sym_SLASH] = ACTIONS(3238),
    [anon_sym_LT] = ACTIONS(3238),
    [anon_sym_TILDE] = ACTIONS(3238),
    [anon_sym_void] = ACTIONS(3238),
    [anon_sym_delete] = ACTIONS(3238),
    [anon_sym_PLUS_PLUS] = ACTIONS(3238),
    [anon_sym_DASH_DASH] = ACTIONS(3238),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3238),
    [sym_number] = ACTIONS(3238),
    [sym_private_property_identifier] = ACTIONS(3238),
    [sym_this] = ACTIONS(3238),
    [sym_super] = ACTIONS(3238),
    [sym_true] = ACTIONS(3238),
    [sym_false] = ACTIONS(3238),
    [sym_null] = ACTIONS(3238),
    [sym_undefined] = ACTIONS(3238),
    [anon_sym_AT] = ACTIONS(3238),
    [anon_sym_static] = ACTIONS(3238),
    [anon_sym_readonly] = ACTIONS(3238),
    [anon_sym_get] = ACTIONS(3238),
    [anon_sym_set] = ACTIONS(3238),
    [anon_sym_declare] = ACTIONS(3238),
    [anon_sym_public] = ACTIONS(3238),
    [anon_sym_private] = ACTIONS(3238),
    [anon_sym_protected] = ACTIONS(3238),
    [anon_sym_override] = ACTIONS(3238),
    [anon_sym_module] = ACTIONS(3238),
    [anon_sym_any] = ACTIONS(3238),
    [anon_sym_number] = ACTIONS(3238),
    [anon_sym_boolean] = ACTIONS(3238),
    [anon_sym_string] = ACTIONS(3238),
    [anon_sym_symbol] = ACTIONS(3238),
    [anon_sym_object] = ACTIONS(3238),
    [anon_sym_abstract] = ACTIONS(3238),
    [anon_sym_interface] = ACTIONS(3238),
    [anon_sym_enum] = ACTIONS(3238),
    [sym_html_comment] = ACTIONS(5),
  },
  [1427] = {
    [sym_comment] = STATE(1427),
    [sym_identifier] = ACTIONS(2251),
    [anon_sym_export] = ACTIONS(2251),
    [anon_sym_default] = ACTIONS(2251),
    [anon_sym_type] = ACTIONS(2251),
    [anon_sym_namespace] = ACTIONS(2251),
    [anon_sym_LBRACE] = ACTIONS(2251),
    [anon_sym_RBRACE] = ACTIONS(2251),
    [anon_sym_typeof] = ACTIONS(2251),
    [anon_sym_import] = ACTIONS(2251),
    [anon_sym_with] = ACTIONS(2251),
    [anon_sym_var] = ACTIONS(2251),
    [anon_sym_let] = ACTIONS(2251),
    [anon_sym_const] = ACTIONS(2251),
    [anon_sym_BANG] = ACTIONS(2251),
    [anon_sym_if] = ACTIONS(2251),
    [anon_sym_switch] = ACTIONS(2251),
    [anon_sym_for] = ACTIONS(2251),
    [anon_sym_LPAREN] = ACTIONS(2251),
    [anon_sym_await] = ACTIONS(2251),
    [anon_sym_while] = ACTIONS(2251),
    [anon_sym_do] = ACTIONS(2251),
    [anon_sym_try] = ACTIONS(2251),
    [anon_sym_break] = ACTIONS(2251),
    [anon_sym_continue] = ACTIONS(2251),
    [anon_sym_debugger] = ACTIONS(2251),
    [anon_sym_return] = ACTIONS(2251),
    [anon_sym_throw] = ACTIONS(2251),
    [anon_sym_SEMI] = ACTIONS(2251),
    [anon_sym_case] = ACTIONS(2251),
    [anon_sym_yield] = ACTIONS(2251),
    [anon_sym_LBRACK] = ACTIONS(2251),
    [anon_sym_LTtemplate_GT] = ACTIONS(2251),
    [anon_sym_DQUOTE] = ACTIONS(2251),
    [anon_sym_SQUOTE] = ACTIONS(2251),
    [anon_sym_class] = ACTIONS(2251),
    [anon_sym_async] = ACTIONS(2251),
    [anon_sym_function] = ACTIONS(2251),
    [anon_sym_new] = ACTIONS(2251),
    [anon_sym_using] = ACTIONS(2251),
    [anon_sym_PLUS] = ACTIONS(2251),
    [anon_sym_DASH] = ACTIONS(2251),
    [anon_sym_SLASH] = ACTIONS(2251),
    [anon_sym_LT] = ACTIONS(2251),
    [anon_sym_TILDE] = ACTIONS(2251),
    [anon_sym_void] = ACTIONS(2251),
    [anon_sym_delete] = ACTIONS(2251),
    [anon_sym_PLUS_PLUS] = ACTIONS(2251),
    [anon_sym_DASH_DASH] = ACTIONS(2251),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2251),
    [sym_number] = ACTIONS(2251),
    [sym_private_property_identifier] = ACTIONS(2251),
    [sym_this] = ACTIONS(2251),
    [sym_super] = ACTIONS(2251),
    [sym_true] = ACTIONS(2251),
    [sym_false] = ACTIONS(2251),
    [sym_null] = ACTIONS(2251),
    [sym_undefined] = ACTIONS(2251),
    [anon_sym_AT] = ACTIONS(2251),
    [anon_sym_static] = ACTIONS(2251),
    [anon_sym_readonly] = ACTIONS(2251),
    [anon_sym_get] = ACTIONS(2251),
    [anon_sym_set] = ACTIONS(2251),
    [anon_sym_declare] = ACTIONS(2251),
    [anon_sym_public] = ACTIONS(2251),
    [anon_sym_private] = ACTIONS(2251),
    [anon_sym_protected] = ACTIONS(2251),
    [anon_sym_override] = ACTIONS(2251),
    [anon_sym_module] = ACTIONS(2251),
    [anon_sym_any] = ACTIONS(2251),
    [anon_sym_number] = ACTIONS(2251),
    [anon_sym_boolean] = ACTIONS(2251),
    [anon_sym_string] = ACTIONS(2251),
    [anon_sym_symbol] = ACTIONS(2251),
    [anon_sym_object] = ACTIONS(2251),
    [anon_sym_abstract] = ACTIONS(2251),
    [anon_sym_interface] = ACTIONS(2251),
    [anon_sym_enum] = ACTIONS(2251),
    [sym_html_comment] = ACTIONS(5),
  },
  [1428] = {
    [sym_comment] = STATE(1428),
    [ts_builtin_sym_end] = ACTIONS(3490),
    [sym_identifier] = ACTIONS(3236),
    [anon_sym_export] = ACTIONS(3236),
    [anon_sym_type] = ACTIONS(3236),
    [anon_sym_namespace] = ACTIONS(3236),
    [anon_sym_LBRACE] = ACTIONS(3236),
    [anon_sym_RBRACE] = ACTIONS(3236),
    [anon_sym_typeof] = ACTIONS(3236),
    [anon_sym_import] = ACTIONS(3236),
    [anon_sym_with] = ACTIONS(3236),
    [anon_sym_var] = ACTIONS(3236),
    [anon_sym_let] = ACTIONS(3236),
    [anon_sym_const] = ACTIONS(3236),
    [anon_sym_BANG] = ACTIONS(3236),
    [anon_sym_else] = ACTIONS(3236),
    [anon_sym_if] = ACTIONS(3236),
    [anon_sym_switch] = ACTIONS(3236),
    [anon_sym_for] = ACTIONS(3236),
    [anon_sym_LPAREN] = ACTIONS(3236),
    [anon_sym_await] = ACTIONS(3236),
    [anon_sym_while] = ACTIONS(3236),
    [anon_sym_do] = ACTIONS(3236),
    [anon_sym_try] = ACTIONS(3236),
    [anon_sym_break] = ACTIONS(3236),
    [anon_sym_continue] = ACTIONS(3236),
    [anon_sym_debugger] = ACTIONS(3236),
    [anon_sym_return] = ACTIONS(3236),
    [anon_sym_throw] = ACTIONS(3236),
    [anon_sym_SEMI] = ACTIONS(3236),
    [anon_sym_yield] = ACTIONS(3236),
    [anon_sym_LBRACK] = ACTIONS(3236),
    [anon_sym_LTtemplate_GT] = ACTIONS(3236),
    [anon_sym_DQUOTE] = ACTIONS(3236),
    [anon_sym_SQUOTE] = ACTIONS(3236),
    [anon_sym_class] = ACTIONS(3236),
    [anon_sym_async] = ACTIONS(3236),
    [anon_sym_function] = ACTIONS(3236),
    [anon_sym_new] = ACTIONS(3236),
    [anon_sym_using] = ACTIONS(3236),
    [anon_sym_PLUS] = ACTIONS(3236),
    [anon_sym_DASH] = ACTIONS(3236),
    [anon_sym_SLASH] = ACTIONS(3236),
    [anon_sym_LT] = ACTIONS(3236),
    [anon_sym_TILDE] = ACTIONS(3236),
    [anon_sym_void] = ACTIONS(3236),
    [anon_sym_delete] = ACTIONS(3236),
    [anon_sym_PLUS_PLUS] = ACTIONS(3236),
    [anon_sym_DASH_DASH] = ACTIONS(3236),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3236),
    [sym_number] = ACTIONS(3236),
    [sym_private_property_identifier] = ACTIONS(3236),
    [sym_this] = ACTIONS(3236),
    [sym_super] = ACTIONS(3236),
    [sym_true] = ACTIONS(3236),
    [sym_false] = ACTIONS(3236),
    [sym_null] = ACTIONS(3236),
    [sym_undefined] = ACTIONS(3236),
    [anon_sym_AT] = ACTIONS(3236),
    [anon_sym_static] = ACTIONS(3236),
    [anon_sym_readonly] = ACTIONS(3236),
    [anon_sym_get] = ACTIONS(3236),
    [anon_sym_set] = ACTIONS(3236),
    [anon_sym_declare] = ACTIONS(3236),
    [anon_sym_public] = ACTIONS(3236),
    [anon_sym_private] = ACTIONS(3236),
    [anon_sym_protected] = ACTIONS(3236),
    [anon_sym_override] = ACTIONS(3236),
    [anon_sym_module] = ACTIONS(3236),
    [anon_sym_any] = ACTIONS(3236),
    [anon_sym_number] = ACTIONS(3236),
    [anon_sym_boolean] = ACTIONS(3236),
    [anon_sym_string] = ACTIONS(3236),
    [anon_sym_symbol] = ACTIONS(3236),
    [anon_sym_object] = ACTIONS(3236),
    [anon_sym_abstract] = ACTIONS(3236),
    [anon_sym_interface] = ACTIONS(3236),
    [anon_sym_enum] = ACTIONS(3236),
    [sym_html_comment] = ACTIONS(5),
  },
  [1429] = {
    [sym_comment] = STATE(1429),
    [ts_builtin_sym_end] = ACTIONS(3492),
    [sym_identifier] = ACTIONS(3234),
    [anon_sym_export] = ACTIONS(3234),
    [anon_sym_type] = ACTIONS(3234),
    [anon_sym_namespace] = ACTIONS(3234),
    [anon_sym_LBRACE] = ACTIONS(3234),
    [anon_sym_RBRACE] = ACTIONS(3234),
    [anon_sym_typeof] = ACTIONS(3234),
    [anon_sym_import] = ACTIONS(3234),
    [anon_sym_with] = ACTIONS(3234),
    [anon_sym_var] = ACTIONS(3234),
    [anon_sym_let] = ACTIONS(3234),
    [anon_sym_const] = ACTIONS(3234),
    [anon_sym_BANG] = ACTIONS(3234),
    [anon_sym_else] = ACTIONS(3234),
    [anon_sym_if] = ACTIONS(3234),
    [anon_sym_switch] = ACTIONS(3234),
    [anon_sym_for] = ACTIONS(3234),
    [anon_sym_LPAREN] = ACTIONS(3234),
    [anon_sym_await] = ACTIONS(3234),
    [anon_sym_while] = ACTIONS(3234),
    [anon_sym_do] = ACTIONS(3234),
    [anon_sym_try] = ACTIONS(3234),
    [anon_sym_break] = ACTIONS(3234),
    [anon_sym_continue] = ACTIONS(3234),
    [anon_sym_debugger] = ACTIONS(3234),
    [anon_sym_return] = ACTIONS(3234),
    [anon_sym_throw] = ACTIONS(3234),
    [anon_sym_SEMI] = ACTIONS(3234),
    [anon_sym_yield] = ACTIONS(3234),
    [anon_sym_LBRACK] = ACTIONS(3234),
    [anon_sym_LTtemplate_GT] = ACTIONS(3234),
    [anon_sym_DQUOTE] = ACTIONS(3234),
    [anon_sym_SQUOTE] = ACTIONS(3234),
    [anon_sym_class] = ACTIONS(3234),
    [anon_sym_async] = ACTIONS(3234),
    [anon_sym_function] = ACTIONS(3234),
    [anon_sym_new] = ACTIONS(3234),
    [anon_sym_using] = ACTIONS(3234),
    [anon_sym_PLUS] = ACTIONS(3234),
    [anon_sym_DASH] = ACTIONS(3234),
    [anon_sym_SLASH] = ACTIONS(3234),
    [anon_sym_LT] = ACTIONS(3234),
    [anon_sym_TILDE] = ACTIONS(3234),
    [anon_sym_void] = ACTIONS(3234),
    [anon_sym_delete] = ACTIONS(3234),
    [anon_sym_PLUS_PLUS] = ACTIONS(3234),
    [anon_sym_DASH_DASH] = ACTIONS(3234),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3234),
    [sym_number] = ACTIONS(3234),
    [sym_private_property_identifier] = ACTIONS(3234),
    [sym_this] = ACTIONS(3234),
    [sym_super] = ACTIONS(3234),
    [sym_true] = ACTIONS(3234),
    [sym_false] = ACTIONS(3234),
    [sym_null] = ACTIONS(3234),
    [sym_undefined] = ACTIONS(3234),
    [anon_sym_AT] = ACTIONS(3234),
    [anon_sym_static] = ACTIONS(3234),
    [anon_sym_readonly] = ACTIONS(3234),
    [anon_sym_get] = ACTIONS(3234),
    [anon_sym_set] = ACTIONS(3234),
    [anon_sym_declare] = ACTIONS(3234),
    [anon_sym_public] = ACTIONS(3234),
    [anon_sym_private] = ACTIONS(3234),
    [anon_sym_protected] = ACTIONS(3234),
    [anon_sym_override] = ACTIONS(3234),
    [anon_sym_module] = ACTIONS(3234),
    [anon_sym_any] = ACTIONS(3234),
    [anon_sym_number] = ACTIONS(3234),
    [anon_sym_boolean] = ACTIONS(3234),
    [anon_sym_string] = ACTIONS(3234),
    [anon_sym_symbol] = ACTIONS(3234),
    [anon_sym_object] = ACTIONS(3234),
    [anon_sym_abstract] = ACTIONS(3234),
    [anon_sym_interface] = ACTIONS(3234),
    [anon_sym_enum] = ACTIONS(3234),
    [sym_html_comment] = ACTIONS(5),
  },
  [1430] = {
    [sym_comment] = STATE(1430),
    [ts_builtin_sym_end] = ACTIONS(3492),
    [sym_identifier] = ACTIONS(3234),
    [anon_sym_export] = ACTIONS(3234),
    [anon_sym_type] = ACTIONS(3234),
    [anon_sym_namespace] = ACTIONS(3234),
    [anon_sym_LBRACE] = ACTIONS(3234),
    [anon_sym_RBRACE] = ACTIONS(3234),
    [anon_sym_typeof] = ACTIONS(3234),
    [anon_sym_import] = ACTIONS(3234),
    [anon_sym_with] = ACTIONS(3234),
    [anon_sym_var] = ACTIONS(3234),
    [anon_sym_let] = ACTIONS(3234),
    [anon_sym_const] = ACTIONS(3234),
    [anon_sym_BANG] = ACTIONS(3234),
    [anon_sym_else] = ACTIONS(3234),
    [anon_sym_if] = ACTIONS(3234),
    [anon_sym_switch] = ACTIONS(3234),
    [anon_sym_for] = ACTIONS(3234),
    [anon_sym_LPAREN] = ACTIONS(3234),
    [anon_sym_await] = ACTIONS(3234),
    [anon_sym_while] = ACTIONS(3234),
    [anon_sym_do] = ACTIONS(3234),
    [anon_sym_try] = ACTIONS(3234),
    [anon_sym_break] = ACTIONS(3234),
    [anon_sym_continue] = ACTIONS(3234),
    [anon_sym_debugger] = ACTIONS(3234),
    [anon_sym_return] = ACTIONS(3234),
    [anon_sym_throw] = ACTIONS(3234),
    [anon_sym_SEMI] = ACTIONS(3234),
    [anon_sym_yield] = ACTIONS(3234),
    [anon_sym_LBRACK] = ACTIONS(3234),
    [anon_sym_LTtemplate_GT] = ACTIONS(3234),
    [anon_sym_DQUOTE] = ACTIONS(3234),
    [anon_sym_SQUOTE] = ACTIONS(3234),
    [anon_sym_class] = ACTIONS(3234),
    [anon_sym_async] = ACTIONS(3234),
    [anon_sym_function] = ACTIONS(3234),
    [anon_sym_new] = ACTIONS(3234),
    [anon_sym_using] = ACTIONS(3234),
    [anon_sym_PLUS] = ACTIONS(3234),
    [anon_sym_DASH] = ACTIONS(3234),
    [anon_sym_SLASH] = ACTIONS(3234),
    [anon_sym_LT] = ACTIONS(3234),
    [anon_sym_TILDE] = ACTIONS(3234),
    [anon_sym_void] = ACTIONS(3234),
    [anon_sym_delete] = ACTIONS(3234),
    [anon_sym_PLUS_PLUS] = ACTIONS(3234),
    [anon_sym_DASH_DASH] = ACTIONS(3234),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3234),
    [sym_number] = ACTIONS(3234),
    [sym_private_property_identifier] = ACTIONS(3234),
    [sym_this] = ACTIONS(3234),
    [sym_super] = ACTIONS(3234),
    [sym_true] = ACTIONS(3234),
    [sym_false] = ACTIONS(3234),
    [sym_null] = ACTIONS(3234),
    [sym_undefined] = ACTIONS(3234),
    [anon_sym_AT] = ACTIONS(3234),
    [anon_sym_static] = ACTIONS(3234),
    [anon_sym_readonly] = ACTIONS(3234),
    [anon_sym_get] = ACTIONS(3234),
    [anon_sym_set] = ACTIONS(3234),
    [anon_sym_declare] = ACTIONS(3234),
    [anon_sym_public] = ACTIONS(3234),
    [anon_sym_private] = ACTIONS(3234),
    [anon_sym_protected] = ACTIONS(3234),
    [anon_sym_override] = ACTIONS(3234),
    [anon_sym_module] = ACTIONS(3234),
    [anon_sym_any] = ACTIONS(3234),
    [anon_sym_number] = ACTIONS(3234),
    [anon_sym_boolean] = ACTIONS(3234),
    [anon_sym_string] = ACTIONS(3234),
    [anon_sym_symbol] = ACTIONS(3234),
    [anon_sym_object] = ACTIONS(3234),
    [anon_sym_abstract] = ACTIONS(3234),
    [anon_sym_interface] = ACTIONS(3234),
    [anon_sym_enum] = ACTIONS(3234),
    [sym_html_comment] = ACTIONS(5),
  },
  [1431] = {
    [sym_comment] = STATE(1431),
    [sym_identifier] = ACTIONS(2145),
    [anon_sym_export] = ACTIONS(2145),
    [anon_sym_default] = ACTIONS(2145),
    [anon_sym_type] = ACTIONS(2145),
    [anon_sym_namespace] = ACTIONS(2145),
    [anon_sym_LBRACE] = ACTIONS(2145),
    [anon_sym_RBRACE] = ACTIONS(2145),
    [anon_sym_typeof] = ACTIONS(2145),
    [anon_sym_import] = ACTIONS(2145),
    [anon_sym_with] = ACTIONS(2145),
    [anon_sym_var] = ACTIONS(2145),
    [anon_sym_let] = ACTIONS(2145),
    [anon_sym_const] = ACTIONS(2145),
    [anon_sym_BANG] = ACTIONS(2145),
    [anon_sym_if] = ACTIONS(2145),
    [anon_sym_switch] = ACTIONS(2145),
    [anon_sym_for] = ACTIONS(2145),
    [anon_sym_LPAREN] = ACTIONS(2145),
    [anon_sym_await] = ACTIONS(2145),
    [anon_sym_while] = ACTIONS(2145),
    [anon_sym_do] = ACTIONS(2145),
    [anon_sym_try] = ACTIONS(2145),
    [anon_sym_break] = ACTIONS(2145),
    [anon_sym_continue] = ACTIONS(2145),
    [anon_sym_debugger] = ACTIONS(2145),
    [anon_sym_return] = ACTIONS(2145),
    [anon_sym_throw] = ACTIONS(2145),
    [anon_sym_SEMI] = ACTIONS(2145),
    [anon_sym_case] = ACTIONS(2145),
    [anon_sym_yield] = ACTIONS(2145),
    [anon_sym_LBRACK] = ACTIONS(2145),
    [anon_sym_LTtemplate_GT] = ACTIONS(2145),
    [anon_sym_DQUOTE] = ACTIONS(2145),
    [anon_sym_SQUOTE] = ACTIONS(2145),
    [anon_sym_class] = ACTIONS(2145),
    [anon_sym_async] = ACTIONS(2145),
    [anon_sym_function] = ACTIONS(2145),
    [anon_sym_new] = ACTIONS(2145),
    [anon_sym_using] = ACTIONS(2145),
    [anon_sym_PLUS] = ACTIONS(2145),
    [anon_sym_DASH] = ACTIONS(2145),
    [anon_sym_SLASH] = ACTIONS(2145),
    [anon_sym_LT] = ACTIONS(2145),
    [anon_sym_TILDE] = ACTIONS(2145),
    [anon_sym_void] = ACTIONS(2145),
    [anon_sym_delete] = ACTIONS(2145),
    [anon_sym_PLUS_PLUS] = ACTIONS(2145),
    [anon_sym_DASH_DASH] = ACTIONS(2145),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2145),
    [sym_number] = ACTIONS(2145),
    [sym_private_property_identifier] = ACTIONS(2145),
    [sym_this] = ACTIONS(2145),
    [sym_super] = ACTIONS(2145),
    [sym_true] = ACTIONS(2145),
    [sym_false] = ACTIONS(2145),
    [sym_null] = ACTIONS(2145),
    [sym_undefined] = ACTIONS(2145),
    [anon_sym_AT] = ACTIONS(2145),
    [anon_sym_static] = ACTIONS(2145),
    [anon_sym_readonly] = ACTIONS(2145),
    [anon_sym_get] = ACTIONS(2145),
    [anon_sym_set] = ACTIONS(2145),
    [anon_sym_declare] = ACTIONS(2145),
    [anon_sym_public] = ACTIONS(2145),
    [anon_sym_private] = ACTIONS(2145),
    [anon_sym_protected] = ACTIONS(2145),
    [anon_sym_override] = ACTIONS(2145),
    [anon_sym_module] = ACTIONS(2145),
    [anon_sym_any] = ACTIONS(2145),
    [anon_sym_number] = ACTIONS(2145),
    [anon_sym_boolean] = ACTIONS(2145),
    [anon_sym_string] = ACTIONS(2145),
    [anon_sym_symbol] = ACTIONS(2145),
    [anon_sym_object] = ACTIONS(2145),
    [anon_sym_abstract] = ACTIONS(2145),
    [anon_sym_interface] = ACTIONS(2145),
    [anon_sym_enum] = ACTIONS(2145),
    [sym_html_comment] = ACTIONS(5),
  },
  [1432] = {
    [sym_comment] = STATE(1432),
    [sym_identifier] = ACTIONS(2093),
    [anon_sym_export] = ACTIONS(2093),
    [anon_sym_default] = ACTIONS(2093),
    [anon_sym_type] = ACTIONS(2093),
    [anon_sym_namespace] = ACTIONS(2093),
    [anon_sym_LBRACE] = ACTIONS(2093),
    [anon_sym_RBRACE] = ACTIONS(2093),
    [anon_sym_typeof] = ACTIONS(2093),
    [anon_sym_import] = ACTIONS(2093),
    [anon_sym_with] = ACTIONS(2093),
    [anon_sym_var] = ACTIONS(2093),
    [anon_sym_let] = ACTIONS(2093),
    [anon_sym_const] = ACTIONS(2093),
    [anon_sym_BANG] = ACTIONS(2093),
    [anon_sym_if] = ACTIONS(2093),
    [anon_sym_switch] = ACTIONS(2093),
    [anon_sym_for] = ACTIONS(2093),
    [anon_sym_LPAREN] = ACTIONS(2093),
    [anon_sym_await] = ACTIONS(2093),
    [anon_sym_while] = ACTIONS(2093),
    [anon_sym_do] = ACTIONS(2093),
    [anon_sym_try] = ACTIONS(2093),
    [anon_sym_break] = ACTIONS(2093),
    [anon_sym_continue] = ACTIONS(2093),
    [anon_sym_debugger] = ACTIONS(2093),
    [anon_sym_return] = ACTIONS(2093),
    [anon_sym_throw] = ACTIONS(2093),
    [anon_sym_SEMI] = ACTIONS(2093),
    [anon_sym_case] = ACTIONS(2093),
    [anon_sym_yield] = ACTIONS(2093),
    [anon_sym_LBRACK] = ACTIONS(2093),
    [anon_sym_LTtemplate_GT] = ACTIONS(2093),
    [anon_sym_DQUOTE] = ACTIONS(2093),
    [anon_sym_SQUOTE] = ACTIONS(2093),
    [anon_sym_class] = ACTIONS(2093),
    [anon_sym_async] = ACTIONS(2093),
    [anon_sym_function] = ACTIONS(2093),
    [anon_sym_new] = ACTIONS(2093),
    [anon_sym_using] = ACTIONS(2093),
    [anon_sym_PLUS] = ACTIONS(2093),
    [anon_sym_DASH] = ACTIONS(2093),
    [anon_sym_SLASH] = ACTIONS(2093),
    [anon_sym_LT] = ACTIONS(2093),
    [anon_sym_TILDE] = ACTIONS(2093),
    [anon_sym_void] = ACTIONS(2093),
    [anon_sym_delete] = ACTIONS(2093),
    [anon_sym_PLUS_PLUS] = ACTIONS(2093),
    [anon_sym_DASH_DASH] = ACTIONS(2093),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2093),
    [sym_number] = ACTIONS(2093),
    [sym_private_property_identifier] = ACTIONS(2093),
    [sym_this] = ACTIONS(2093),
    [sym_super] = ACTIONS(2093),
    [sym_true] = ACTIONS(2093),
    [sym_false] = ACTIONS(2093),
    [sym_null] = ACTIONS(2093),
    [sym_undefined] = ACTIONS(2093),
    [anon_sym_AT] = ACTIONS(2093),
    [anon_sym_static] = ACTIONS(2093),
    [anon_sym_readonly] = ACTIONS(2093),
    [anon_sym_get] = ACTIONS(2093),
    [anon_sym_set] = ACTIONS(2093),
    [anon_sym_declare] = ACTIONS(2093),
    [anon_sym_public] = ACTIONS(2093),
    [anon_sym_private] = ACTIONS(2093),
    [anon_sym_protected] = ACTIONS(2093),
    [anon_sym_override] = ACTIONS(2093),
    [anon_sym_module] = ACTIONS(2093),
    [anon_sym_any] = ACTIONS(2093),
    [anon_sym_number] = ACTIONS(2093),
    [anon_sym_boolean] = ACTIONS(2093),
    [anon_sym_string] = ACTIONS(2093),
    [anon_sym_symbol] = ACTIONS(2093),
    [anon_sym_object] = ACTIONS(2093),
    [anon_sym_abstract] = ACTIONS(2093),
    [anon_sym_interface] = ACTIONS(2093),
    [anon_sym_enum] = ACTIONS(2093),
    [sym_html_comment] = ACTIONS(5),
  },
  [1433] = {
    [sym_comment] = STATE(1433),
    [ts_builtin_sym_end] = ACTIONS(2147),
    [sym_identifier] = ACTIONS(2145),
    [anon_sym_export] = ACTIONS(2145),
    [anon_sym_type] = ACTIONS(2145),
    [anon_sym_namespace] = ACTIONS(2145),
    [anon_sym_LBRACE] = ACTIONS(2145),
    [anon_sym_RBRACE] = ACTIONS(2145),
    [anon_sym_typeof] = ACTIONS(2145),
    [anon_sym_import] = ACTIONS(2145),
    [anon_sym_with] = ACTIONS(2145),
    [anon_sym_var] = ACTIONS(2145),
    [anon_sym_let] = ACTIONS(2145),
    [anon_sym_const] = ACTIONS(2145),
    [anon_sym_BANG] = ACTIONS(2145),
    [anon_sym_if] = ACTIONS(2145),
    [anon_sym_switch] = ACTIONS(2145),
    [anon_sym_for] = ACTIONS(2145),
    [anon_sym_LPAREN] = ACTIONS(2145),
    [anon_sym_await] = ACTIONS(2145),
    [anon_sym_while] = ACTIONS(2145),
    [anon_sym_do] = ACTIONS(2145),
    [anon_sym_try] = ACTIONS(2145),
    [anon_sym_break] = ACTIONS(2145),
    [anon_sym_continue] = ACTIONS(2145),
    [anon_sym_debugger] = ACTIONS(2145),
    [anon_sym_return] = ACTIONS(2145),
    [anon_sym_throw] = ACTIONS(2145),
    [anon_sym_SEMI] = ACTIONS(2145),
    [anon_sym_yield] = ACTIONS(2145),
    [anon_sym_LBRACK] = ACTIONS(2145),
    [anon_sym_LTtemplate_GT] = ACTIONS(2145),
    [anon_sym_DQUOTE] = ACTIONS(2145),
    [anon_sym_SQUOTE] = ACTIONS(2145),
    [anon_sym_class] = ACTIONS(2145),
    [anon_sym_async] = ACTIONS(2145),
    [anon_sym_function] = ACTIONS(2145),
    [anon_sym_new] = ACTIONS(2145),
    [anon_sym_using] = ACTIONS(2145),
    [anon_sym_PLUS] = ACTIONS(2145),
    [anon_sym_DASH] = ACTIONS(2145),
    [anon_sym_SLASH] = ACTIONS(2145),
    [anon_sym_LT] = ACTIONS(2145),
    [anon_sym_TILDE] = ACTIONS(2145),
    [anon_sym_void] = ACTIONS(2145),
    [anon_sym_delete] = ACTIONS(2145),
    [anon_sym_PLUS_PLUS] = ACTIONS(2145),
    [anon_sym_DASH_DASH] = ACTIONS(2145),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2145),
    [sym_number] = ACTIONS(2145),
    [sym_private_property_identifier] = ACTIONS(2145),
    [sym_this] = ACTIONS(2145),
    [sym_super] = ACTIONS(2145),
    [sym_true] = ACTIONS(2145),
    [sym_false] = ACTIONS(2145),
    [sym_null] = ACTIONS(2145),
    [sym_undefined] = ACTIONS(2145),
    [anon_sym_AT] = ACTIONS(2145),
    [anon_sym_static] = ACTIONS(2145),
    [anon_sym_readonly] = ACTIONS(2145),
    [anon_sym_get] = ACTIONS(2145),
    [anon_sym_set] = ACTIONS(2145),
    [anon_sym_declare] = ACTIONS(2145),
    [anon_sym_public] = ACTIONS(2145),
    [anon_sym_private] = ACTIONS(2145),
    [anon_sym_protected] = ACTIONS(2145),
    [anon_sym_override] = ACTIONS(2145),
    [anon_sym_module] = ACTIONS(2145),
    [anon_sym_any] = ACTIONS(2145),
    [anon_sym_number] = ACTIONS(2145),
    [anon_sym_boolean] = ACTIONS(2145),
    [anon_sym_string] = ACTIONS(2145),
    [anon_sym_symbol] = ACTIONS(2145),
    [anon_sym_object] = ACTIONS(2145),
    [anon_sym_abstract] = ACTIONS(2145),
    [anon_sym_interface] = ACTIONS(2145),
    [anon_sym_enum] = ACTIONS(2145),
    [sym__automatic_semicolon] = ACTIONS(2147),
    [sym_html_comment] = ACTIONS(5),
  },
  [1434] = {
    [sym_comment] = STATE(1434),
    [ts_builtin_sym_end] = ACTIONS(3494),
    [sym_identifier] = ACTIONS(3232),
    [anon_sym_export] = ACTIONS(3232),
    [anon_sym_type] = ACTIONS(3232),
    [anon_sym_namespace] = ACTIONS(3232),
    [anon_sym_LBRACE] = ACTIONS(3232),
    [anon_sym_RBRACE] = ACTIONS(3232),
    [anon_sym_typeof] = ACTIONS(3232),
    [anon_sym_import] = ACTIONS(3232),
    [anon_sym_with] = ACTIONS(3232),
    [anon_sym_var] = ACTIONS(3232),
    [anon_sym_let] = ACTIONS(3232),
    [anon_sym_const] = ACTIONS(3232),
    [anon_sym_BANG] = ACTIONS(3232),
    [anon_sym_else] = ACTIONS(3232),
    [anon_sym_if] = ACTIONS(3232),
    [anon_sym_switch] = ACTIONS(3232),
    [anon_sym_for] = ACTIONS(3232),
    [anon_sym_LPAREN] = ACTIONS(3232),
    [anon_sym_await] = ACTIONS(3232),
    [anon_sym_while] = ACTIONS(3232),
    [anon_sym_do] = ACTIONS(3232),
    [anon_sym_try] = ACTIONS(3232),
    [anon_sym_break] = ACTIONS(3232),
    [anon_sym_continue] = ACTIONS(3232),
    [anon_sym_debugger] = ACTIONS(3232),
    [anon_sym_return] = ACTIONS(3232),
    [anon_sym_throw] = ACTIONS(3232),
    [anon_sym_SEMI] = ACTIONS(3232),
    [anon_sym_yield] = ACTIONS(3232),
    [anon_sym_LBRACK] = ACTIONS(3232),
    [anon_sym_LTtemplate_GT] = ACTIONS(3232),
    [anon_sym_DQUOTE] = ACTIONS(3232),
    [anon_sym_SQUOTE] = ACTIONS(3232),
    [anon_sym_class] = ACTIONS(3232),
    [anon_sym_async] = ACTIONS(3232),
    [anon_sym_function] = ACTIONS(3232),
    [anon_sym_new] = ACTIONS(3232),
    [anon_sym_using] = ACTIONS(3232),
    [anon_sym_PLUS] = ACTIONS(3232),
    [anon_sym_DASH] = ACTIONS(3232),
    [anon_sym_SLASH] = ACTIONS(3232),
    [anon_sym_LT] = ACTIONS(3232),
    [anon_sym_TILDE] = ACTIONS(3232),
    [anon_sym_void] = ACTIONS(3232),
    [anon_sym_delete] = ACTIONS(3232),
    [anon_sym_PLUS_PLUS] = ACTIONS(3232),
    [anon_sym_DASH_DASH] = ACTIONS(3232),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3232),
    [sym_number] = ACTIONS(3232),
    [sym_private_property_identifier] = ACTIONS(3232),
    [sym_this] = ACTIONS(3232),
    [sym_super] = ACTIONS(3232),
    [sym_true] = ACTIONS(3232),
    [sym_false] = ACTIONS(3232),
    [sym_null] = ACTIONS(3232),
    [sym_undefined] = ACTIONS(3232),
    [anon_sym_AT] = ACTIONS(3232),
    [anon_sym_static] = ACTIONS(3232),
    [anon_sym_readonly] = ACTIONS(3232),
    [anon_sym_get] = ACTIONS(3232),
    [anon_sym_set] = ACTIONS(3232),
    [anon_sym_declare] = ACTIONS(3232),
    [anon_sym_public] = ACTIONS(3232),
    [anon_sym_private] = ACTIONS(3232),
    [anon_sym_protected] = ACTIONS(3232),
    [anon_sym_override] = ACTIONS(3232),
    [anon_sym_module] = ACTIONS(3232),
    [anon_sym_any] = ACTIONS(3232),
    [anon_sym_number] = ACTIONS(3232),
    [anon_sym_boolean] = ACTIONS(3232),
    [anon_sym_string] = ACTIONS(3232),
    [anon_sym_symbol] = ACTIONS(3232),
    [anon_sym_object] = ACTIONS(3232),
    [anon_sym_abstract] = ACTIONS(3232),
    [anon_sym_interface] = ACTIONS(3232),
    [anon_sym_enum] = ACTIONS(3232),
    [sym_html_comment] = ACTIONS(5),
  },
  [1435] = {
    [sym_comment] = STATE(1435),
    [sym_identifier] = ACTIONS(3366),
    [anon_sym_export] = ACTIONS(3366),
    [anon_sym_default] = ACTIONS(3366),
    [anon_sym_type] = ACTIONS(3366),
    [anon_sym_namespace] = ACTIONS(3366),
    [anon_sym_LBRACE] = ACTIONS(3366),
    [anon_sym_RBRACE] = ACTIONS(3366),
    [anon_sym_typeof] = ACTIONS(3366),
    [anon_sym_import] = ACTIONS(3366),
    [anon_sym_with] = ACTIONS(3366),
    [anon_sym_var] = ACTIONS(3366),
    [anon_sym_let] = ACTIONS(3366),
    [anon_sym_const] = ACTIONS(3366),
    [anon_sym_BANG] = ACTIONS(3366),
    [anon_sym_if] = ACTIONS(3366),
    [anon_sym_switch] = ACTIONS(3366),
    [anon_sym_for] = ACTIONS(3366),
    [anon_sym_LPAREN] = ACTIONS(3366),
    [anon_sym_await] = ACTIONS(3366),
    [anon_sym_while] = ACTIONS(3366),
    [anon_sym_do] = ACTIONS(3366),
    [anon_sym_try] = ACTIONS(3366),
    [anon_sym_break] = ACTIONS(3366),
    [anon_sym_continue] = ACTIONS(3366),
    [anon_sym_debugger] = ACTIONS(3366),
    [anon_sym_return] = ACTIONS(3366),
    [anon_sym_throw] = ACTIONS(3366),
    [anon_sym_SEMI] = ACTIONS(3366),
    [anon_sym_case] = ACTIONS(3366),
    [anon_sym_yield] = ACTIONS(3366),
    [anon_sym_LBRACK] = ACTIONS(3366),
    [anon_sym_LTtemplate_GT] = ACTIONS(3366),
    [anon_sym_DQUOTE] = ACTIONS(3366),
    [anon_sym_SQUOTE] = ACTIONS(3366),
    [anon_sym_class] = ACTIONS(3366),
    [anon_sym_async] = ACTIONS(3366),
    [anon_sym_function] = ACTIONS(3366),
    [anon_sym_new] = ACTIONS(3366),
    [anon_sym_using] = ACTIONS(3366),
    [anon_sym_PLUS] = ACTIONS(3366),
    [anon_sym_DASH] = ACTIONS(3366),
    [anon_sym_SLASH] = ACTIONS(3366),
    [anon_sym_LT] = ACTIONS(3366),
    [anon_sym_TILDE] = ACTIONS(3366),
    [anon_sym_void] = ACTIONS(3366),
    [anon_sym_delete] = ACTIONS(3366),
    [anon_sym_PLUS_PLUS] = ACTIONS(3366),
    [anon_sym_DASH_DASH] = ACTIONS(3366),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3366),
    [sym_number] = ACTIONS(3366),
    [sym_private_property_identifier] = ACTIONS(3366),
    [sym_this] = ACTIONS(3366),
    [sym_super] = ACTIONS(3366),
    [sym_true] = ACTIONS(3366),
    [sym_false] = ACTIONS(3366),
    [sym_null] = ACTIONS(3366),
    [sym_undefined] = ACTIONS(3366),
    [anon_sym_AT] = ACTIONS(3366),
    [anon_sym_static] = ACTIONS(3366),
    [anon_sym_readonly] = ACTIONS(3366),
    [anon_sym_get] = ACTIONS(3366),
    [anon_sym_set] = ACTIONS(3366),
    [anon_sym_declare] = ACTIONS(3366),
    [anon_sym_public] = ACTIONS(3366),
    [anon_sym_private] = ACTIONS(3366),
    [anon_sym_protected] = ACTIONS(3366),
    [anon_sym_override] = ACTIONS(3366),
    [anon_sym_module] = ACTIONS(3366),
    [anon_sym_any] = ACTIONS(3366),
    [anon_sym_number] = ACTIONS(3366),
    [anon_sym_boolean] = ACTIONS(3366),
    [anon_sym_string] = ACTIONS(3366),
    [anon_sym_symbol] = ACTIONS(3366),
    [anon_sym_object] = ACTIONS(3366),
    [anon_sym_abstract] = ACTIONS(3366),
    [anon_sym_interface] = ACTIONS(3366),
    [anon_sym_enum] = ACTIONS(3366),
    [sym_html_comment] = ACTIONS(5),
  },
  [1436] = {
    [sym_comment] = STATE(1436),
    [sym_identifier] = ACTIONS(3364),
    [anon_sym_export] = ACTIONS(3364),
    [anon_sym_default] = ACTIONS(3364),
    [anon_sym_type] = ACTIONS(3364),
    [anon_sym_namespace] = ACTIONS(3364),
    [anon_sym_LBRACE] = ACTIONS(3364),
    [anon_sym_RBRACE] = ACTIONS(3364),
    [anon_sym_typeof] = ACTIONS(3364),
    [anon_sym_import] = ACTIONS(3364),
    [anon_sym_with] = ACTIONS(3364),
    [anon_sym_var] = ACTIONS(3364),
    [anon_sym_let] = ACTIONS(3364),
    [anon_sym_const] = ACTIONS(3364),
    [anon_sym_BANG] = ACTIONS(3364),
    [anon_sym_if] = ACTIONS(3364),
    [anon_sym_switch] = ACTIONS(3364),
    [anon_sym_for] = ACTIONS(3364),
    [anon_sym_LPAREN] = ACTIONS(3364),
    [anon_sym_await] = ACTIONS(3364),
    [anon_sym_while] = ACTIONS(3364),
    [anon_sym_do] = ACTIONS(3364),
    [anon_sym_try] = ACTIONS(3364),
    [anon_sym_break] = ACTIONS(3364),
    [anon_sym_continue] = ACTIONS(3364),
    [anon_sym_debugger] = ACTIONS(3364),
    [anon_sym_return] = ACTIONS(3364),
    [anon_sym_throw] = ACTIONS(3364),
    [anon_sym_SEMI] = ACTIONS(3364),
    [anon_sym_case] = ACTIONS(3364),
    [anon_sym_yield] = ACTIONS(3364),
    [anon_sym_LBRACK] = ACTIONS(3364),
    [anon_sym_LTtemplate_GT] = ACTIONS(3364),
    [anon_sym_DQUOTE] = ACTIONS(3364),
    [anon_sym_SQUOTE] = ACTIONS(3364),
    [anon_sym_class] = ACTIONS(3364),
    [anon_sym_async] = ACTIONS(3364),
    [anon_sym_function] = ACTIONS(3364),
    [anon_sym_new] = ACTIONS(3364),
    [anon_sym_using] = ACTIONS(3364),
    [anon_sym_PLUS] = ACTIONS(3364),
    [anon_sym_DASH] = ACTIONS(3364),
    [anon_sym_SLASH] = ACTIONS(3364),
    [anon_sym_LT] = ACTIONS(3364),
    [anon_sym_TILDE] = ACTIONS(3364),
    [anon_sym_void] = ACTIONS(3364),
    [anon_sym_delete] = ACTIONS(3364),
    [anon_sym_PLUS_PLUS] = ACTIONS(3364),
    [anon_sym_DASH_DASH] = ACTIONS(3364),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3364),
    [sym_number] = ACTIONS(3364),
    [sym_private_property_identifier] = ACTIONS(3364),
    [sym_this] = ACTIONS(3364),
    [sym_super] = ACTIONS(3364),
    [sym_true] = ACTIONS(3364),
    [sym_false] = ACTIONS(3364),
    [sym_null] = ACTIONS(3364),
    [sym_undefined] = ACTIONS(3364),
    [anon_sym_AT] = ACTIONS(3364),
    [anon_sym_static] = ACTIONS(3364),
    [anon_sym_readonly] = ACTIONS(3364),
    [anon_sym_get] = ACTIONS(3364),
    [anon_sym_set] = ACTIONS(3364),
    [anon_sym_declare] = ACTIONS(3364),
    [anon_sym_public] = ACTIONS(3364),
    [anon_sym_private] = ACTIONS(3364),
    [anon_sym_protected] = ACTIONS(3364),
    [anon_sym_override] = ACTIONS(3364),
    [anon_sym_module] = ACTIONS(3364),
    [anon_sym_any] = ACTIONS(3364),
    [anon_sym_number] = ACTIONS(3364),
    [anon_sym_boolean] = ACTIONS(3364),
    [anon_sym_string] = ACTIONS(3364),
    [anon_sym_symbol] = ACTIONS(3364),
    [anon_sym_object] = ACTIONS(3364),
    [anon_sym_abstract] = ACTIONS(3364),
    [anon_sym_interface] = ACTIONS(3364),
    [anon_sym_enum] = ACTIONS(3364),
    [sym_html_comment] = ACTIONS(5),
  },
  [1437] = {
    [sym_comment] = STATE(1437),
    [sym_identifier] = ACTIONS(2105),
    [anon_sym_export] = ACTIONS(2105),
    [anon_sym_default] = ACTIONS(2105),
    [anon_sym_type] = ACTIONS(2105),
    [anon_sym_namespace] = ACTIONS(2105),
    [anon_sym_LBRACE] = ACTIONS(2105),
    [anon_sym_RBRACE] = ACTIONS(2105),
    [anon_sym_typeof] = ACTIONS(2105),
    [anon_sym_import] = ACTIONS(2105),
    [anon_sym_with] = ACTIONS(2105),
    [anon_sym_var] = ACTIONS(2105),
    [anon_sym_let] = ACTIONS(2105),
    [anon_sym_const] = ACTIONS(2105),
    [anon_sym_BANG] = ACTIONS(2105),
    [anon_sym_if] = ACTIONS(2105),
    [anon_sym_switch] = ACTIONS(2105),
    [anon_sym_for] = ACTIONS(2105),
    [anon_sym_LPAREN] = ACTIONS(2105),
    [anon_sym_await] = ACTIONS(2105),
    [anon_sym_while] = ACTIONS(2105),
    [anon_sym_do] = ACTIONS(2105),
    [anon_sym_try] = ACTIONS(2105),
    [anon_sym_break] = ACTIONS(2105),
    [anon_sym_continue] = ACTIONS(2105),
    [anon_sym_debugger] = ACTIONS(2105),
    [anon_sym_return] = ACTIONS(2105),
    [anon_sym_throw] = ACTIONS(2105),
    [anon_sym_SEMI] = ACTIONS(2105),
    [anon_sym_case] = ACTIONS(2105),
    [anon_sym_yield] = ACTIONS(2105),
    [anon_sym_LBRACK] = ACTIONS(2105),
    [anon_sym_LTtemplate_GT] = ACTIONS(2105),
    [anon_sym_DQUOTE] = ACTIONS(2105),
    [anon_sym_SQUOTE] = ACTIONS(2105),
    [anon_sym_class] = ACTIONS(2105),
    [anon_sym_async] = ACTIONS(2105),
    [anon_sym_function] = ACTIONS(2105),
    [anon_sym_new] = ACTIONS(2105),
    [anon_sym_using] = ACTIONS(2105),
    [anon_sym_PLUS] = ACTIONS(2105),
    [anon_sym_DASH] = ACTIONS(2105),
    [anon_sym_SLASH] = ACTIONS(2105),
    [anon_sym_LT] = ACTIONS(2105),
    [anon_sym_TILDE] = ACTIONS(2105),
    [anon_sym_void] = ACTIONS(2105),
    [anon_sym_delete] = ACTIONS(2105),
    [anon_sym_PLUS_PLUS] = ACTIONS(2105),
    [anon_sym_DASH_DASH] = ACTIONS(2105),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2105),
    [sym_number] = ACTIONS(2105),
    [sym_private_property_identifier] = ACTIONS(2105),
    [sym_this] = ACTIONS(2105),
    [sym_super] = ACTIONS(2105),
    [sym_true] = ACTIONS(2105),
    [sym_false] = ACTIONS(2105),
    [sym_null] = ACTIONS(2105),
    [sym_undefined] = ACTIONS(2105),
    [anon_sym_AT] = ACTIONS(2105),
    [anon_sym_static] = ACTIONS(2105),
    [anon_sym_readonly] = ACTIONS(2105),
    [anon_sym_get] = ACTIONS(2105),
    [anon_sym_set] = ACTIONS(2105),
    [anon_sym_declare] = ACTIONS(2105),
    [anon_sym_public] = ACTIONS(2105),
    [anon_sym_private] = ACTIONS(2105),
    [anon_sym_protected] = ACTIONS(2105),
    [anon_sym_override] = ACTIONS(2105),
    [anon_sym_module] = ACTIONS(2105),
    [anon_sym_any] = ACTIONS(2105),
    [anon_sym_number] = ACTIONS(2105),
    [anon_sym_boolean] = ACTIONS(2105),
    [anon_sym_string] = ACTIONS(2105),
    [anon_sym_symbol] = ACTIONS(2105),
    [anon_sym_object] = ACTIONS(2105),
    [anon_sym_abstract] = ACTIONS(2105),
    [anon_sym_interface] = ACTIONS(2105),
    [anon_sym_enum] = ACTIONS(2105),
    [sym_html_comment] = ACTIONS(5),
  },
  [1438] = {
    [sym_comment] = STATE(1438),
    [ts_builtin_sym_end] = ACTIONS(3496),
    [sym_identifier] = ACTIONS(3230),
    [anon_sym_export] = ACTIONS(3230),
    [anon_sym_type] = ACTIONS(3230),
    [anon_sym_namespace] = ACTIONS(3230),
    [anon_sym_LBRACE] = ACTIONS(3230),
    [anon_sym_RBRACE] = ACTIONS(3230),
    [anon_sym_typeof] = ACTIONS(3230),
    [anon_sym_import] = ACTIONS(3230),
    [anon_sym_with] = ACTIONS(3230),
    [anon_sym_var] = ACTIONS(3230),
    [anon_sym_let] = ACTIONS(3230),
    [anon_sym_const] = ACTIONS(3230),
    [anon_sym_BANG] = ACTIONS(3230),
    [anon_sym_else] = ACTIONS(3230),
    [anon_sym_if] = ACTIONS(3230),
    [anon_sym_switch] = ACTIONS(3230),
    [anon_sym_for] = ACTIONS(3230),
    [anon_sym_LPAREN] = ACTIONS(3230),
    [anon_sym_await] = ACTIONS(3230),
    [anon_sym_while] = ACTIONS(3230),
    [anon_sym_do] = ACTIONS(3230),
    [anon_sym_try] = ACTIONS(3230),
    [anon_sym_break] = ACTIONS(3230),
    [anon_sym_continue] = ACTIONS(3230),
    [anon_sym_debugger] = ACTIONS(3230),
    [anon_sym_return] = ACTIONS(3230),
    [anon_sym_throw] = ACTIONS(3230),
    [anon_sym_SEMI] = ACTIONS(3230),
    [anon_sym_yield] = ACTIONS(3230),
    [anon_sym_LBRACK] = ACTIONS(3230),
    [anon_sym_LTtemplate_GT] = ACTIONS(3230),
    [anon_sym_DQUOTE] = ACTIONS(3230),
    [anon_sym_SQUOTE] = ACTIONS(3230),
    [anon_sym_class] = ACTIONS(3230),
    [anon_sym_async] = ACTIONS(3230),
    [anon_sym_function] = ACTIONS(3230),
    [anon_sym_new] = ACTIONS(3230),
    [anon_sym_using] = ACTIONS(3230),
    [anon_sym_PLUS] = ACTIONS(3230),
    [anon_sym_DASH] = ACTIONS(3230),
    [anon_sym_SLASH] = ACTIONS(3230),
    [anon_sym_LT] = ACTIONS(3230),
    [anon_sym_TILDE] = ACTIONS(3230),
    [anon_sym_void] = ACTIONS(3230),
    [anon_sym_delete] = ACTIONS(3230),
    [anon_sym_PLUS_PLUS] = ACTIONS(3230),
    [anon_sym_DASH_DASH] = ACTIONS(3230),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3230),
    [sym_number] = ACTIONS(3230),
    [sym_private_property_identifier] = ACTIONS(3230),
    [sym_this] = ACTIONS(3230),
    [sym_super] = ACTIONS(3230),
    [sym_true] = ACTIONS(3230),
    [sym_false] = ACTIONS(3230),
    [sym_null] = ACTIONS(3230),
    [sym_undefined] = ACTIONS(3230),
    [anon_sym_AT] = ACTIONS(3230),
    [anon_sym_static] = ACTIONS(3230),
    [anon_sym_readonly] = ACTIONS(3230),
    [anon_sym_get] = ACTIONS(3230),
    [anon_sym_set] = ACTIONS(3230),
    [anon_sym_declare] = ACTIONS(3230),
    [anon_sym_public] = ACTIONS(3230),
    [anon_sym_private] = ACTIONS(3230),
    [anon_sym_protected] = ACTIONS(3230),
    [anon_sym_override] = ACTIONS(3230),
    [anon_sym_module] = ACTIONS(3230),
    [anon_sym_any] = ACTIONS(3230),
    [anon_sym_number] = ACTIONS(3230),
    [anon_sym_boolean] = ACTIONS(3230),
    [anon_sym_string] = ACTIONS(3230),
    [anon_sym_symbol] = ACTIONS(3230),
    [anon_sym_object] = ACTIONS(3230),
    [anon_sym_abstract] = ACTIONS(3230),
    [anon_sym_interface] = ACTIONS(3230),
    [anon_sym_enum] = ACTIONS(3230),
    [sym_html_comment] = ACTIONS(5),
  },
  [1439] = {
    [sym_comment] = STATE(1439),
    [sym_identifier] = ACTIONS(3336),
    [anon_sym_export] = ACTIONS(3336),
    [anon_sym_default] = ACTIONS(3336),
    [anon_sym_type] = ACTIONS(3336),
    [anon_sym_namespace] = ACTIONS(3336),
    [anon_sym_LBRACE] = ACTIONS(3336),
    [anon_sym_RBRACE] = ACTIONS(3336),
    [anon_sym_typeof] = ACTIONS(3336),
    [anon_sym_import] = ACTIONS(3336),
    [anon_sym_with] = ACTIONS(3336),
    [anon_sym_var] = ACTIONS(3336),
    [anon_sym_let] = ACTIONS(3336),
    [anon_sym_const] = ACTIONS(3336),
    [anon_sym_BANG] = ACTIONS(3336),
    [anon_sym_if] = ACTIONS(3336),
    [anon_sym_switch] = ACTIONS(3336),
    [anon_sym_for] = ACTIONS(3336),
    [anon_sym_LPAREN] = ACTIONS(3336),
    [anon_sym_await] = ACTIONS(3336),
    [anon_sym_while] = ACTIONS(3336),
    [anon_sym_do] = ACTIONS(3336),
    [anon_sym_try] = ACTIONS(3336),
    [anon_sym_break] = ACTIONS(3336),
    [anon_sym_continue] = ACTIONS(3336),
    [anon_sym_debugger] = ACTIONS(3336),
    [anon_sym_return] = ACTIONS(3336),
    [anon_sym_throw] = ACTIONS(3336),
    [anon_sym_SEMI] = ACTIONS(3336),
    [anon_sym_case] = ACTIONS(3336),
    [anon_sym_yield] = ACTIONS(3336),
    [anon_sym_LBRACK] = ACTIONS(3336),
    [anon_sym_LTtemplate_GT] = ACTIONS(3336),
    [anon_sym_DQUOTE] = ACTIONS(3336),
    [anon_sym_SQUOTE] = ACTIONS(3336),
    [anon_sym_class] = ACTIONS(3336),
    [anon_sym_async] = ACTIONS(3336),
    [anon_sym_function] = ACTIONS(3336),
    [anon_sym_new] = ACTIONS(3336),
    [anon_sym_using] = ACTIONS(3336),
    [anon_sym_PLUS] = ACTIONS(3336),
    [anon_sym_DASH] = ACTIONS(3336),
    [anon_sym_SLASH] = ACTIONS(3336),
    [anon_sym_LT] = ACTIONS(3336),
    [anon_sym_TILDE] = ACTIONS(3336),
    [anon_sym_void] = ACTIONS(3336),
    [anon_sym_delete] = ACTIONS(3336),
    [anon_sym_PLUS_PLUS] = ACTIONS(3336),
    [anon_sym_DASH_DASH] = ACTIONS(3336),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3336),
    [sym_number] = ACTIONS(3336),
    [sym_private_property_identifier] = ACTIONS(3336),
    [sym_this] = ACTIONS(3336),
    [sym_super] = ACTIONS(3336),
    [sym_true] = ACTIONS(3336),
    [sym_false] = ACTIONS(3336),
    [sym_null] = ACTIONS(3336),
    [sym_undefined] = ACTIONS(3336),
    [anon_sym_AT] = ACTIONS(3336),
    [anon_sym_static] = ACTIONS(3336),
    [anon_sym_readonly] = ACTIONS(3336),
    [anon_sym_get] = ACTIONS(3336),
    [anon_sym_set] = ACTIONS(3336),
    [anon_sym_declare] = ACTIONS(3336),
    [anon_sym_public] = ACTIONS(3336),
    [anon_sym_private] = ACTIONS(3336),
    [anon_sym_protected] = ACTIONS(3336),
    [anon_sym_override] = ACTIONS(3336),
    [anon_sym_module] = ACTIONS(3336),
    [anon_sym_any] = ACTIONS(3336),
    [anon_sym_number] = ACTIONS(3336),
    [anon_sym_boolean] = ACTIONS(3336),
    [anon_sym_string] = ACTIONS(3336),
    [anon_sym_symbol] = ACTIONS(3336),
    [anon_sym_object] = ACTIONS(3336),
    [anon_sym_abstract] = ACTIONS(3336),
    [anon_sym_interface] = ACTIONS(3336),
    [anon_sym_enum] = ACTIONS(3336),
    [sym_html_comment] = ACTIONS(5),
  },
  [1440] = {
    [sym_comment] = STATE(1440),
    [sym_identifier] = ACTIONS(3336),
    [anon_sym_export] = ACTIONS(3336),
    [anon_sym_default] = ACTIONS(3336),
    [anon_sym_type] = ACTIONS(3336),
    [anon_sym_namespace] = ACTIONS(3336),
    [anon_sym_LBRACE] = ACTIONS(3336),
    [anon_sym_RBRACE] = ACTIONS(3336),
    [anon_sym_typeof] = ACTIONS(3336),
    [anon_sym_import] = ACTIONS(3336),
    [anon_sym_with] = ACTIONS(3336),
    [anon_sym_var] = ACTIONS(3336),
    [anon_sym_let] = ACTIONS(3336),
    [anon_sym_const] = ACTIONS(3336),
    [anon_sym_BANG] = ACTIONS(3336),
    [anon_sym_if] = ACTIONS(3336),
    [anon_sym_switch] = ACTIONS(3336),
    [anon_sym_for] = ACTIONS(3336),
    [anon_sym_LPAREN] = ACTIONS(3336),
    [anon_sym_await] = ACTIONS(3336),
    [anon_sym_while] = ACTIONS(3336),
    [anon_sym_do] = ACTIONS(3336),
    [anon_sym_try] = ACTIONS(3336),
    [anon_sym_break] = ACTIONS(3336),
    [anon_sym_continue] = ACTIONS(3336),
    [anon_sym_debugger] = ACTIONS(3336),
    [anon_sym_return] = ACTIONS(3336),
    [anon_sym_throw] = ACTIONS(3336),
    [anon_sym_SEMI] = ACTIONS(3336),
    [anon_sym_case] = ACTIONS(3336),
    [anon_sym_yield] = ACTIONS(3336),
    [anon_sym_LBRACK] = ACTIONS(3336),
    [anon_sym_LTtemplate_GT] = ACTIONS(3336),
    [anon_sym_DQUOTE] = ACTIONS(3336),
    [anon_sym_SQUOTE] = ACTIONS(3336),
    [anon_sym_class] = ACTIONS(3336),
    [anon_sym_async] = ACTIONS(3336),
    [anon_sym_function] = ACTIONS(3336),
    [anon_sym_new] = ACTIONS(3336),
    [anon_sym_using] = ACTIONS(3336),
    [anon_sym_PLUS] = ACTIONS(3336),
    [anon_sym_DASH] = ACTIONS(3336),
    [anon_sym_SLASH] = ACTIONS(3336),
    [anon_sym_LT] = ACTIONS(3336),
    [anon_sym_TILDE] = ACTIONS(3336),
    [anon_sym_void] = ACTIONS(3336),
    [anon_sym_delete] = ACTIONS(3336),
    [anon_sym_PLUS_PLUS] = ACTIONS(3336),
    [anon_sym_DASH_DASH] = ACTIONS(3336),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3336),
    [sym_number] = ACTIONS(3336),
    [sym_private_property_identifier] = ACTIONS(3336),
    [sym_this] = ACTIONS(3336),
    [sym_super] = ACTIONS(3336),
    [sym_true] = ACTIONS(3336),
    [sym_false] = ACTIONS(3336),
    [sym_null] = ACTIONS(3336),
    [sym_undefined] = ACTIONS(3336),
    [anon_sym_AT] = ACTIONS(3336),
    [anon_sym_static] = ACTIONS(3336),
    [anon_sym_readonly] = ACTIONS(3336),
    [anon_sym_get] = ACTIONS(3336),
    [anon_sym_set] = ACTIONS(3336),
    [anon_sym_declare] = ACTIONS(3336),
    [anon_sym_public] = ACTIONS(3336),
    [anon_sym_private] = ACTIONS(3336),
    [anon_sym_protected] = ACTIONS(3336),
    [anon_sym_override] = ACTIONS(3336),
    [anon_sym_module] = ACTIONS(3336),
    [anon_sym_any] = ACTIONS(3336),
    [anon_sym_number] = ACTIONS(3336),
    [anon_sym_boolean] = ACTIONS(3336),
    [anon_sym_string] = ACTIONS(3336),
    [anon_sym_symbol] = ACTIONS(3336),
    [anon_sym_object] = ACTIONS(3336),
    [anon_sym_abstract] = ACTIONS(3336),
    [anon_sym_interface] = ACTIONS(3336),
    [anon_sym_enum] = ACTIONS(3336),
    [sym_html_comment] = ACTIONS(5),
  },
  [1441] = {
    [sym_comment] = STATE(1441),
    [sym_identifier] = ACTIONS(3336),
    [anon_sym_export] = ACTIONS(3336),
    [anon_sym_default] = ACTIONS(3336),
    [anon_sym_type] = ACTIONS(3336),
    [anon_sym_namespace] = ACTIONS(3336),
    [anon_sym_LBRACE] = ACTIONS(3336),
    [anon_sym_RBRACE] = ACTIONS(3336),
    [anon_sym_typeof] = ACTIONS(3336),
    [anon_sym_import] = ACTIONS(3336),
    [anon_sym_with] = ACTIONS(3336),
    [anon_sym_var] = ACTIONS(3336),
    [anon_sym_let] = ACTIONS(3336),
    [anon_sym_const] = ACTIONS(3336),
    [anon_sym_BANG] = ACTIONS(3336),
    [anon_sym_if] = ACTIONS(3336),
    [anon_sym_switch] = ACTIONS(3336),
    [anon_sym_for] = ACTIONS(3336),
    [anon_sym_LPAREN] = ACTIONS(3336),
    [anon_sym_await] = ACTIONS(3336),
    [anon_sym_while] = ACTIONS(3336),
    [anon_sym_do] = ACTIONS(3336),
    [anon_sym_try] = ACTIONS(3336),
    [anon_sym_break] = ACTIONS(3336),
    [anon_sym_continue] = ACTIONS(3336),
    [anon_sym_debugger] = ACTIONS(3336),
    [anon_sym_return] = ACTIONS(3336),
    [anon_sym_throw] = ACTIONS(3336),
    [anon_sym_SEMI] = ACTIONS(3336),
    [anon_sym_case] = ACTIONS(3336),
    [anon_sym_yield] = ACTIONS(3336),
    [anon_sym_LBRACK] = ACTIONS(3336),
    [anon_sym_LTtemplate_GT] = ACTIONS(3336),
    [anon_sym_DQUOTE] = ACTIONS(3336),
    [anon_sym_SQUOTE] = ACTIONS(3336),
    [anon_sym_class] = ACTIONS(3336),
    [anon_sym_async] = ACTIONS(3336),
    [anon_sym_function] = ACTIONS(3336),
    [anon_sym_new] = ACTIONS(3336),
    [anon_sym_using] = ACTIONS(3336),
    [anon_sym_PLUS] = ACTIONS(3336),
    [anon_sym_DASH] = ACTIONS(3336),
    [anon_sym_SLASH] = ACTIONS(3336),
    [anon_sym_LT] = ACTIONS(3336),
    [anon_sym_TILDE] = ACTIONS(3336),
    [anon_sym_void] = ACTIONS(3336),
    [anon_sym_delete] = ACTIONS(3336),
    [anon_sym_PLUS_PLUS] = ACTIONS(3336),
    [anon_sym_DASH_DASH] = ACTIONS(3336),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3336),
    [sym_number] = ACTIONS(3336),
    [sym_private_property_identifier] = ACTIONS(3336),
    [sym_this] = ACTIONS(3336),
    [sym_super] = ACTIONS(3336),
    [sym_true] = ACTIONS(3336),
    [sym_false] = ACTIONS(3336),
    [sym_null] = ACTIONS(3336),
    [sym_undefined] = ACTIONS(3336),
    [anon_sym_AT] = ACTIONS(3336),
    [anon_sym_static] = ACTIONS(3336),
    [anon_sym_readonly] = ACTIONS(3336),
    [anon_sym_get] = ACTIONS(3336),
    [anon_sym_set] = ACTIONS(3336),
    [anon_sym_declare] = ACTIONS(3336),
    [anon_sym_public] = ACTIONS(3336),
    [anon_sym_private] = ACTIONS(3336),
    [anon_sym_protected] = ACTIONS(3336),
    [anon_sym_override] = ACTIONS(3336),
    [anon_sym_module] = ACTIONS(3336),
    [anon_sym_any] = ACTIONS(3336),
    [anon_sym_number] = ACTIONS(3336),
    [anon_sym_boolean] = ACTIONS(3336),
    [anon_sym_string] = ACTIONS(3336),
    [anon_sym_symbol] = ACTIONS(3336),
    [anon_sym_object] = ACTIONS(3336),
    [anon_sym_abstract] = ACTIONS(3336),
    [anon_sym_interface] = ACTIONS(3336),
    [anon_sym_enum] = ACTIONS(3336),
    [sym_html_comment] = ACTIONS(5),
  },
  [1442] = {
    [sym_comment] = STATE(1442),
    [sym_identifier] = ACTIONS(3336),
    [anon_sym_export] = ACTIONS(3336),
    [anon_sym_default] = ACTIONS(3336),
    [anon_sym_type] = ACTIONS(3336),
    [anon_sym_namespace] = ACTIONS(3336),
    [anon_sym_LBRACE] = ACTIONS(3336),
    [anon_sym_RBRACE] = ACTIONS(3336),
    [anon_sym_typeof] = ACTIONS(3336),
    [anon_sym_import] = ACTIONS(3336),
    [anon_sym_with] = ACTIONS(3336),
    [anon_sym_var] = ACTIONS(3336),
    [anon_sym_let] = ACTIONS(3336),
    [anon_sym_const] = ACTIONS(3336),
    [anon_sym_BANG] = ACTIONS(3336),
    [anon_sym_if] = ACTIONS(3336),
    [anon_sym_switch] = ACTIONS(3336),
    [anon_sym_for] = ACTIONS(3336),
    [anon_sym_LPAREN] = ACTIONS(3336),
    [anon_sym_await] = ACTIONS(3336),
    [anon_sym_while] = ACTIONS(3336),
    [anon_sym_do] = ACTIONS(3336),
    [anon_sym_try] = ACTIONS(3336),
    [anon_sym_break] = ACTIONS(3336),
    [anon_sym_continue] = ACTIONS(3336),
    [anon_sym_debugger] = ACTIONS(3336),
    [anon_sym_return] = ACTIONS(3336),
    [anon_sym_throw] = ACTIONS(3336),
    [anon_sym_SEMI] = ACTIONS(3336),
    [anon_sym_case] = ACTIONS(3336),
    [anon_sym_yield] = ACTIONS(3336),
    [anon_sym_LBRACK] = ACTIONS(3336),
    [anon_sym_LTtemplate_GT] = ACTIONS(3336),
    [anon_sym_DQUOTE] = ACTIONS(3336),
    [anon_sym_SQUOTE] = ACTIONS(3336),
    [anon_sym_class] = ACTIONS(3336),
    [anon_sym_async] = ACTIONS(3336),
    [anon_sym_function] = ACTIONS(3336),
    [anon_sym_new] = ACTIONS(3336),
    [anon_sym_using] = ACTIONS(3336),
    [anon_sym_PLUS] = ACTIONS(3336),
    [anon_sym_DASH] = ACTIONS(3336),
    [anon_sym_SLASH] = ACTIONS(3336),
    [anon_sym_LT] = ACTIONS(3336),
    [anon_sym_TILDE] = ACTIONS(3336),
    [anon_sym_void] = ACTIONS(3336),
    [anon_sym_delete] = ACTIONS(3336),
    [anon_sym_PLUS_PLUS] = ACTIONS(3336),
    [anon_sym_DASH_DASH] = ACTIONS(3336),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3336),
    [sym_number] = ACTIONS(3336),
    [sym_private_property_identifier] = ACTIONS(3336),
    [sym_this] = ACTIONS(3336),
    [sym_super] = ACTIONS(3336),
    [sym_true] = ACTIONS(3336),
    [sym_false] = ACTIONS(3336),
    [sym_null] = ACTIONS(3336),
    [sym_undefined] = ACTIONS(3336),
    [anon_sym_AT] = ACTIONS(3336),
    [anon_sym_static] = ACTIONS(3336),
    [anon_sym_readonly] = ACTIONS(3336),
    [anon_sym_get] = ACTIONS(3336),
    [anon_sym_set] = ACTIONS(3336),
    [anon_sym_declare] = ACTIONS(3336),
    [anon_sym_public] = ACTIONS(3336),
    [anon_sym_private] = ACTIONS(3336),
    [anon_sym_protected] = ACTIONS(3336),
    [anon_sym_override] = ACTIONS(3336),
    [anon_sym_module] = ACTIONS(3336),
    [anon_sym_any] = ACTIONS(3336),
    [anon_sym_number] = ACTIONS(3336),
    [anon_sym_boolean] = ACTIONS(3336),
    [anon_sym_string] = ACTIONS(3336),
    [anon_sym_symbol] = ACTIONS(3336),
    [anon_sym_object] = ACTIONS(3336),
    [anon_sym_abstract] = ACTIONS(3336),
    [anon_sym_interface] = ACTIONS(3336),
    [anon_sym_enum] = ACTIONS(3336),
    [sym_html_comment] = ACTIONS(5),
  },
  [1443] = {
    [sym_comment] = STATE(1443),
    [sym_identifier] = ACTIONS(3336),
    [anon_sym_export] = ACTIONS(3336),
    [anon_sym_default] = ACTIONS(3336),
    [anon_sym_type] = ACTIONS(3336),
    [anon_sym_namespace] = ACTIONS(3336),
    [anon_sym_LBRACE] = ACTIONS(3336),
    [anon_sym_RBRACE] = ACTIONS(3336),
    [anon_sym_typeof] = ACTIONS(3336),
    [anon_sym_import] = ACTIONS(3336),
    [anon_sym_with] = ACTIONS(3336),
    [anon_sym_var] = ACTIONS(3336),
    [anon_sym_let] = ACTIONS(3336),
    [anon_sym_const] = ACTIONS(3336),
    [anon_sym_BANG] = ACTIONS(3336),
    [anon_sym_if] = ACTIONS(3336),
    [anon_sym_switch] = ACTIONS(3336),
    [anon_sym_for] = ACTIONS(3336),
    [anon_sym_LPAREN] = ACTIONS(3336),
    [anon_sym_await] = ACTIONS(3336),
    [anon_sym_while] = ACTIONS(3336),
    [anon_sym_do] = ACTIONS(3336),
    [anon_sym_try] = ACTIONS(3336),
    [anon_sym_break] = ACTIONS(3336),
    [anon_sym_continue] = ACTIONS(3336),
    [anon_sym_debugger] = ACTIONS(3336),
    [anon_sym_return] = ACTIONS(3336),
    [anon_sym_throw] = ACTIONS(3336),
    [anon_sym_SEMI] = ACTIONS(3336),
    [anon_sym_case] = ACTIONS(3336),
    [anon_sym_yield] = ACTIONS(3336),
    [anon_sym_LBRACK] = ACTIONS(3336),
    [anon_sym_LTtemplate_GT] = ACTIONS(3336),
    [anon_sym_DQUOTE] = ACTIONS(3336),
    [anon_sym_SQUOTE] = ACTIONS(3336),
    [anon_sym_class] = ACTIONS(3336),
    [anon_sym_async] = ACTIONS(3336),
    [anon_sym_function] = ACTIONS(3336),
    [anon_sym_new] = ACTIONS(3336),
    [anon_sym_using] = ACTIONS(3336),
    [anon_sym_PLUS] = ACTIONS(3336),
    [anon_sym_DASH] = ACTIONS(3336),
    [anon_sym_SLASH] = ACTIONS(3336),
    [anon_sym_LT] = ACTIONS(3336),
    [anon_sym_TILDE] = ACTIONS(3336),
    [anon_sym_void] = ACTIONS(3336),
    [anon_sym_delete] = ACTIONS(3336),
    [anon_sym_PLUS_PLUS] = ACTIONS(3336),
    [anon_sym_DASH_DASH] = ACTIONS(3336),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3336),
    [sym_number] = ACTIONS(3336),
    [sym_private_property_identifier] = ACTIONS(3336),
    [sym_this] = ACTIONS(3336),
    [sym_super] = ACTIONS(3336),
    [sym_true] = ACTIONS(3336),
    [sym_false] = ACTIONS(3336),
    [sym_null] = ACTIONS(3336),
    [sym_undefined] = ACTIONS(3336),
    [anon_sym_AT] = ACTIONS(3336),
    [anon_sym_static] = ACTIONS(3336),
    [anon_sym_readonly] = ACTIONS(3336),
    [anon_sym_get] = ACTIONS(3336),
    [anon_sym_set] = ACTIONS(3336),
    [anon_sym_declare] = ACTIONS(3336),
    [anon_sym_public] = ACTIONS(3336),
    [anon_sym_private] = ACTIONS(3336),
    [anon_sym_protected] = ACTIONS(3336),
    [anon_sym_override] = ACTIONS(3336),
    [anon_sym_module] = ACTIONS(3336),
    [anon_sym_any] = ACTIONS(3336),
    [anon_sym_number] = ACTIONS(3336),
    [anon_sym_boolean] = ACTIONS(3336),
    [anon_sym_string] = ACTIONS(3336),
    [anon_sym_symbol] = ACTIONS(3336),
    [anon_sym_object] = ACTIONS(3336),
    [anon_sym_abstract] = ACTIONS(3336),
    [anon_sym_interface] = ACTIONS(3336),
    [anon_sym_enum] = ACTIONS(3336),
    [sym_html_comment] = ACTIONS(5),
  },
  [1444] = {
    [sym_comment] = STATE(1444),
    [sym_identifier] = ACTIONS(3336),
    [anon_sym_export] = ACTIONS(3336),
    [anon_sym_default] = ACTIONS(3336),
    [anon_sym_type] = ACTIONS(3336),
    [anon_sym_namespace] = ACTIONS(3336),
    [anon_sym_LBRACE] = ACTIONS(3336),
    [anon_sym_RBRACE] = ACTIONS(3336),
    [anon_sym_typeof] = ACTIONS(3336),
    [anon_sym_import] = ACTIONS(3336),
    [anon_sym_with] = ACTIONS(3336),
    [anon_sym_var] = ACTIONS(3336),
    [anon_sym_let] = ACTIONS(3336),
    [anon_sym_const] = ACTIONS(3336),
    [anon_sym_BANG] = ACTIONS(3336),
    [anon_sym_if] = ACTIONS(3336),
    [anon_sym_switch] = ACTIONS(3336),
    [anon_sym_for] = ACTIONS(3336),
    [anon_sym_LPAREN] = ACTIONS(3336),
    [anon_sym_await] = ACTIONS(3336),
    [anon_sym_while] = ACTIONS(3336),
    [anon_sym_do] = ACTIONS(3336),
    [anon_sym_try] = ACTIONS(3336),
    [anon_sym_break] = ACTIONS(3336),
    [anon_sym_continue] = ACTIONS(3336),
    [anon_sym_debugger] = ACTIONS(3336),
    [anon_sym_return] = ACTIONS(3336),
    [anon_sym_throw] = ACTIONS(3336),
    [anon_sym_SEMI] = ACTIONS(3336),
    [anon_sym_case] = ACTIONS(3336),
    [anon_sym_yield] = ACTIONS(3336),
    [anon_sym_LBRACK] = ACTIONS(3336),
    [anon_sym_LTtemplate_GT] = ACTIONS(3336),
    [anon_sym_DQUOTE] = ACTIONS(3336),
    [anon_sym_SQUOTE] = ACTIONS(3336),
    [anon_sym_class] = ACTIONS(3336),
    [anon_sym_async] = ACTIONS(3336),
    [anon_sym_function] = ACTIONS(3336),
    [anon_sym_new] = ACTIONS(3336),
    [anon_sym_using] = ACTIONS(3336),
    [anon_sym_PLUS] = ACTIONS(3336),
    [anon_sym_DASH] = ACTIONS(3336),
    [anon_sym_SLASH] = ACTIONS(3336),
    [anon_sym_LT] = ACTIONS(3336),
    [anon_sym_TILDE] = ACTIONS(3336),
    [anon_sym_void] = ACTIONS(3336),
    [anon_sym_delete] = ACTIONS(3336),
    [anon_sym_PLUS_PLUS] = ACTIONS(3336),
    [anon_sym_DASH_DASH] = ACTIONS(3336),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3336),
    [sym_number] = ACTIONS(3336),
    [sym_private_property_identifier] = ACTIONS(3336),
    [sym_this] = ACTIONS(3336),
    [sym_super] = ACTIONS(3336),
    [sym_true] = ACTIONS(3336),
    [sym_false] = ACTIONS(3336),
    [sym_null] = ACTIONS(3336),
    [sym_undefined] = ACTIONS(3336),
    [anon_sym_AT] = ACTIONS(3336),
    [anon_sym_static] = ACTIONS(3336),
    [anon_sym_readonly] = ACTIONS(3336),
    [anon_sym_get] = ACTIONS(3336),
    [anon_sym_set] = ACTIONS(3336),
    [anon_sym_declare] = ACTIONS(3336),
    [anon_sym_public] = ACTIONS(3336),
    [anon_sym_private] = ACTIONS(3336),
    [anon_sym_protected] = ACTIONS(3336),
    [anon_sym_override] = ACTIONS(3336),
    [anon_sym_module] = ACTIONS(3336),
    [anon_sym_any] = ACTIONS(3336),
    [anon_sym_number] = ACTIONS(3336),
    [anon_sym_boolean] = ACTIONS(3336),
    [anon_sym_string] = ACTIONS(3336),
    [anon_sym_symbol] = ACTIONS(3336),
    [anon_sym_object] = ACTIONS(3336),
    [anon_sym_abstract] = ACTIONS(3336),
    [anon_sym_interface] = ACTIONS(3336),
    [anon_sym_enum] = ACTIONS(3336),
    [sym_html_comment] = ACTIONS(5),
  },
  [1445] = {
    [sym_comment] = STATE(1445),
    [ts_builtin_sym_end] = ACTIONS(3498),
    [sym_identifier] = ACTIONS(3358),
    [anon_sym_export] = ACTIONS(3358),
    [anon_sym_type] = ACTIONS(3358),
    [anon_sym_namespace] = ACTIONS(3358),
    [anon_sym_LBRACE] = ACTIONS(3358),
    [anon_sym_RBRACE] = ACTIONS(3358),
    [anon_sym_typeof] = ACTIONS(3358),
    [anon_sym_import] = ACTIONS(3358),
    [anon_sym_with] = ACTIONS(3358),
    [anon_sym_var] = ACTIONS(3358),
    [anon_sym_let] = ACTIONS(3358),
    [anon_sym_const] = ACTIONS(3358),
    [anon_sym_BANG] = ACTIONS(3358),
    [anon_sym_else] = ACTIONS(3358),
    [anon_sym_if] = ACTIONS(3358),
    [anon_sym_switch] = ACTIONS(3358),
    [anon_sym_for] = ACTIONS(3358),
    [anon_sym_LPAREN] = ACTIONS(3358),
    [anon_sym_await] = ACTIONS(3358),
    [anon_sym_while] = ACTIONS(3358),
    [anon_sym_do] = ACTIONS(3358),
    [anon_sym_try] = ACTIONS(3358),
    [anon_sym_break] = ACTIONS(3358),
    [anon_sym_continue] = ACTIONS(3358),
    [anon_sym_debugger] = ACTIONS(3358),
    [anon_sym_return] = ACTIONS(3358),
    [anon_sym_throw] = ACTIONS(3358),
    [anon_sym_SEMI] = ACTIONS(3358),
    [anon_sym_yield] = ACTIONS(3358),
    [anon_sym_LBRACK] = ACTIONS(3358),
    [anon_sym_LTtemplate_GT] = ACTIONS(3358),
    [anon_sym_DQUOTE] = ACTIONS(3358),
    [anon_sym_SQUOTE] = ACTIONS(3358),
    [anon_sym_class] = ACTIONS(3358),
    [anon_sym_async] = ACTIONS(3358),
    [anon_sym_function] = ACTIONS(3358),
    [anon_sym_new] = ACTIONS(3358),
    [anon_sym_using] = ACTIONS(3358),
    [anon_sym_PLUS] = ACTIONS(3358),
    [anon_sym_DASH] = ACTIONS(3358),
    [anon_sym_SLASH] = ACTIONS(3358),
    [anon_sym_LT] = ACTIONS(3358),
    [anon_sym_TILDE] = ACTIONS(3358),
    [anon_sym_void] = ACTIONS(3358),
    [anon_sym_delete] = ACTIONS(3358),
    [anon_sym_PLUS_PLUS] = ACTIONS(3358),
    [anon_sym_DASH_DASH] = ACTIONS(3358),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3358),
    [sym_number] = ACTIONS(3358),
    [sym_private_property_identifier] = ACTIONS(3358),
    [sym_this] = ACTIONS(3358),
    [sym_super] = ACTIONS(3358),
    [sym_true] = ACTIONS(3358),
    [sym_false] = ACTIONS(3358),
    [sym_null] = ACTIONS(3358),
    [sym_undefined] = ACTIONS(3358),
    [anon_sym_AT] = ACTIONS(3358),
    [anon_sym_static] = ACTIONS(3358),
    [anon_sym_readonly] = ACTIONS(3358),
    [anon_sym_get] = ACTIONS(3358),
    [anon_sym_set] = ACTIONS(3358),
    [anon_sym_declare] = ACTIONS(3358),
    [anon_sym_public] = ACTIONS(3358),
    [anon_sym_private] = ACTIONS(3358),
    [anon_sym_protected] = ACTIONS(3358),
    [anon_sym_override] = ACTIONS(3358),
    [anon_sym_module] = ACTIONS(3358),
    [anon_sym_any] = ACTIONS(3358),
    [anon_sym_number] = ACTIONS(3358),
    [anon_sym_boolean] = ACTIONS(3358),
    [anon_sym_string] = ACTIONS(3358),
    [anon_sym_symbol] = ACTIONS(3358),
    [anon_sym_object] = ACTIONS(3358),
    [anon_sym_abstract] = ACTIONS(3358),
    [anon_sym_interface] = ACTIONS(3358),
    [anon_sym_enum] = ACTIONS(3358),
    [sym_html_comment] = ACTIONS(5),
  },
  [1446] = {
    [sym_comment] = STATE(1446),
    [sym_identifier] = ACTIONS(3336),
    [anon_sym_export] = ACTIONS(3336),
    [anon_sym_default] = ACTIONS(3336),
    [anon_sym_type] = ACTIONS(3336),
    [anon_sym_namespace] = ACTIONS(3336),
    [anon_sym_LBRACE] = ACTIONS(3336),
    [anon_sym_RBRACE] = ACTIONS(3336),
    [anon_sym_typeof] = ACTIONS(3336),
    [anon_sym_import] = ACTIONS(3336),
    [anon_sym_with] = ACTIONS(3336),
    [anon_sym_var] = ACTIONS(3336),
    [anon_sym_let] = ACTIONS(3336),
    [anon_sym_const] = ACTIONS(3336),
    [anon_sym_BANG] = ACTIONS(3336),
    [anon_sym_if] = ACTIONS(3336),
    [anon_sym_switch] = ACTIONS(3336),
    [anon_sym_for] = ACTIONS(3336),
    [anon_sym_LPAREN] = ACTIONS(3336),
    [anon_sym_await] = ACTIONS(3336),
    [anon_sym_while] = ACTIONS(3336),
    [anon_sym_do] = ACTIONS(3336),
    [anon_sym_try] = ACTIONS(3336),
    [anon_sym_break] = ACTIONS(3336),
    [anon_sym_continue] = ACTIONS(3336),
    [anon_sym_debugger] = ACTIONS(3336),
    [anon_sym_return] = ACTIONS(3336),
    [anon_sym_throw] = ACTIONS(3336),
    [anon_sym_SEMI] = ACTIONS(3336),
    [anon_sym_case] = ACTIONS(3336),
    [anon_sym_yield] = ACTIONS(3336),
    [anon_sym_LBRACK] = ACTIONS(3336),
    [anon_sym_LTtemplate_GT] = ACTIONS(3336),
    [anon_sym_DQUOTE] = ACTIONS(3336),
    [anon_sym_SQUOTE] = ACTIONS(3336),
    [anon_sym_class] = ACTIONS(3336),
    [anon_sym_async] = ACTIONS(3336),
    [anon_sym_function] = ACTIONS(3336),
    [anon_sym_new] = ACTIONS(3336),
    [anon_sym_using] = ACTIONS(3336),
    [anon_sym_PLUS] = ACTIONS(3336),
    [anon_sym_DASH] = ACTIONS(3336),
    [anon_sym_SLASH] = ACTIONS(3336),
    [anon_sym_LT] = ACTIONS(3336),
    [anon_sym_TILDE] = ACTIONS(3336),
    [anon_sym_void] = ACTIONS(3336),
    [anon_sym_delete] = ACTIONS(3336),
    [anon_sym_PLUS_PLUS] = ACTIONS(3336),
    [anon_sym_DASH_DASH] = ACTIONS(3336),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3336),
    [sym_number] = ACTIONS(3336),
    [sym_private_property_identifier] = ACTIONS(3336),
    [sym_this] = ACTIONS(3336),
    [sym_super] = ACTIONS(3336),
    [sym_true] = ACTIONS(3336),
    [sym_false] = ACTIONS(3336),
    [sym_null] = ACTIONS(3336),
    [sym_undefined] = ACTIONS(3336),
    [anon_sym_AT] = ACTIONS(3336),
    [anon_sym_static] = ACTIONS(3336),
    [anon_sym_readonly] = ACTIONS(3336),
    [anon_sym_get] = ACTIONS(3336),
    [anon_sym_set] = ACTIONS(3336),
    [anon_sym_declare] = ACTIONS(3336),
    [anon_sym_public] = ACTIONS(3336),
    [anon_sym_private] = ACTIONS(3336),
    [anon_sym_protected] = ACTIONS(3336),
    [anon_sym_override] = ACTIONS(3336),
    [anon_sym_module] = ACTIONS(3336),
    [anon_sym_any] = ACTIONS(3336),
    [anon_sym_number] = ACTIONS(3336),
    [anon_sym_boolean] = ACTIONS(3336),
    [anon_sym_string] = ACTIONS(3336),
    [anon_sym_symbol] = ACTIONS(3336),
    [anon_sym_object] = ACTIONS(3336),
    [anon_sym_abstract] = ACTIONS(3336),
    [anon_sym_interface] = ACTIONS(3336),
    [anon_sym_enum] = ACTIONS(3336),
    [sym_html_comment] = ACTIONS(5),
  },
  [1447] = {
    [sym_comment] = STATE(1447),
    [sym_identifier] = ACTIONS(3336),
    [anon_sym_export] = ACTIONS(3336),
    [anon_sym_default] = ACTIONS(3336),
    [anon_sym_type] = ACTIONS(3336),
    [anon_sym_namespace] = ACTIONS(3336),
    [anon_sym_LBRACE] = ACTIONS(3336),
    [anon_sym_RBRACE] = ACTIONS(3336),
    [anon_sym_typeof] = ACTIONS(3336),
    [anon_sym_import] = ACTIONS(3336),
    [anon_sym_with] = ACTIONS(3336),
    [anon_sym_var] = ACTIONS(3336),
    [anon_sym_let] = ACTIONS(3336),
    [anon_sym_const] = ACTIONS(3336),
    [anon_sym_BANG] = ACTIONS(3336),
    [anon_sym_if] = ACTIONS(3336),
    [anon_sym_switch] = ACTIONS(3336),
    [anon_sym_for] = ACTIONS(3336),
    [anon_sym_LPAREN] = ACTIONS(3336),
    [anon_sym_await] = ACTIONS(3336),
    [anon_sym_while] = ACTIONS(3336),
    [anon_sym_do] = ACTIONS(3336),
    [anon_sym_try] = ACTIONS(3336),
    [anon_sym_break] = ACTIONS(3336),
    [anon_sym_continue] = ACTIONS(3336),
    [anon_sym_debugger] = ACTIONS(3336),
    [anon_sym_return] = ACTIONS(3336),
    [anon_sym_throw] = ACTIONS(3336),
    [anon_sym_SEMI] = ACTIONS(3336),
    [anon_sym_case] = ACTIONS(3336),
    [anon_sym_yield] = ACTIONS(3336),
    [anon_sym_LBRACK] = ACTIONS(3336),
    [anon_sym_LTtemplate_GT] = ACTIONS(3336),
    [anon_sym_DQUOTE] = ACTIONS(3336),
    [anon_sym_SQUOTE] = ACTIONS(3336),
    [anon_sym_class] = ACTIONS(3336),
    [anon_sym_async] = ACTIONS(3336),
    [anon_sym_function] = ACTIONS(3336),
    [anon_sym_new] = ACTIONS(3336),
    [anon_sym_using] = ACTIONS(3336),
    [anon_sym_PLUS] = ACTIONS(3336),
    [anon_sym_DASH] = ACTIONS(3336),
    [anon_sym_SLASH] = ACTIONS(3336),
    [anon_sym_LT] = ACTIONS(3336),
    [anon_sym_TILDE] = ACTIONS(3336),
    [anon_sym_void] = ACTIONS(3336),
    [anon_sym_delete] = ACTIONS(3336),
    [anon_sym_PLUS_PLUS] = ACTIONS(3336),
    [anon_sym_DASH_DASH] = ACTIONS(3336),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3336),
    [sym_number] = ACTIONS(3336),
    [sym_private_property_identifier] = ACTIONS(3336),
    [sym_this] = ACTIONS(3336),
    [sym_super] = ACTIONS(3336),
    [sym_true] = ACTIONS(3336),
    [sym_false] = ACTIONS(3336),
    [sym_null] = ACTIONS(3336),
    [sym_undefined] = ACTIONS(3336),
    [anon_sym_AT] = ACTIONS(3336),
    [anon_sym_static] = ACTIONS(3336),
    [anon_sym_readonly] = ACTIONS(3336),
    [anon_sym_get] = ACTIONS(3336),
    [anon_sym_set] = ACTIONS(3336),
    [anon_sym_declare] = ACTIONS(3336),
    [anon_sym_public] = ACTIONS(3336),
    [anon_sym_private] = ACTIONS(3336),
    [anon_sym_protected] = ACTIONS(3336),
    [anon_sym_override] = ACTIONS(3336),
    [anon_sym_module] = ACTIONS(3336),
    [anon_sym_any] = ACTIONS(3336),
    [anon_sym_number] = ACTIONS(3336),
    [anon_sym_boolean] = ACTIONS(3336),
    [anon_sym_string] = ACTIONS(3336),
    [anon_sym_symbol] = ACTIONS(3336),
    [anon_sym_object] = ACTIONS(3336),
    [anon_sym_abstract] = ACTIONS(3336),
    [anon_sym_interface] = ACTIONS(3336),
    [anon_sym_enum] = ACTIONS(3336),
    [sym_html_comment] = ACTIONS(5),
  },
  [1448] = {
    [sym_comment] = STATE(1448),
    [ts_builtin_sym_end] = ACTIONS(3498),
    [sym_identifier] = ACTIONS(3358),
    [anon_sym_export] = ACTIONS(3358),
    [anon_sym_type] = ACTIONS(3358),
    [anon_sym_namespace] = ACTIONS(3358),
    [anon_sym_LBRACE] = ACTIONS(3358),
    [anon_sym_RBRACE] = ACTIONS(3358),
    [anon_sym_typeof] = ACTIONS(3358),
    [anon_sym_import] = ACTIONS(3358),
    [anon_sym_with] = ACTIONS(3358),
    [anon_sym_var] = ACTIONS(3358),
    [anon_sym_let] = ACTIONS(3358),
    [anon_sym_const] = ACTIONS(3358),
    [anon_sym_BANG] = ACTIONS(3358),
    [anon_sym_else] = ACTIONS(3358),
    [anon_sym_if] = ACTIONS(3358),
    [anon_sym_switch] = ACTIONS(3358),
    [anon_sym_for] = ACTIONS(3358),
    [anon_sym_LPAREN] = ACTIONS(3358),
    [anon_sym_await] = ACTIONS(3358),
    [anon_sym_while] = ACTIONS(3358),
    [anon_sym_do] = ACTIONS(3358),
    [anon_sym_try] = ACTIONS(3358),
    [anon_sym_break] = ACTIONS(3358),
    [anon_sym_continue] = ACTIONS(3358),
    [anon_sym_debugger] = ACTIONS(3358),
    [anon_sym_return] = ACTIONS(3358),
    [anon_sym_throw] = ACTIONS(3358),
    [anon_sym_SEMI] = ACTIONS(3358),
    [anon_sym_yield] = ACTIONS(3358),
    [anon_sym_LBRACK] = ACTIONS(3358),
    [anon_sym_LTtemplate_GT] = ACTIONS(3358),
    [anon_sym_DQUOTE] = ACTIONS(3358),
    [anon_sym_SQUOTE] = ACTIONS(3358),
    [anon_sym_class] = ACTIONS(3358),
    [anon_sym_async] = ACTIONS(3358),
    [anon_sym_function] = ACTIONS(3358),
    [anon_sym_new] = ACTIONS(3358),
    [anon_sym_using] = ACTIONS(3358),
    [anon_sym_PLUS] = ACTIONS(3358),
    [anon_sym_DASH] = ACTIONS(3358),
    [anon_sym_SLASH] = ACTIONS(3358),
    [anon_sym_LT] = ACTIONS(3358),
    [anon_sym_TILDE] = ACTIONS(3358),
    [anon_sym_void] = ACTIONS(3358),
    [anon_sym_delete] = ACTIONS(3358),
    [anon_sym_PLUS_PLUS] = ACTIONS(3358),
    [anon_sym_DASH_DASH] = ACTIONS(3358),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3358),
    [sym_number] = ACTIONS(3358),
    [sym_private_property_identifier] = ACTIONS(3358),
    [sym_this] = ACTIONS(3358),
    [sym_super] = ACTIONS(3358),
    [sym_true] = ACTIONS(3358),
    [sym_false] = ACTIONS(3358),
    [sym_null] = ACTIONS(3358),
    [sym_undefined] = ACTIONS(3358),
    [anon_sym_AT] = ACTIONS(3358),
    [anon_sym_static] = ACTIONS(3358),
    [anon_sym_readonly] = ACTIONS(3358),
    [anon_sym_get] = ACTIONS(3358),
    [anon_sym_set] = ACTIONS(3358),
    [anon_sym_declare] = ACTIONS(3358),
    [anon_sym_public] = ACTIONS(3358),
    [anon_sym_private] = ACTIONS(3358),
    [anon_sym_protected] = ACTIONS(3358),
    [anon_sym_override] = ACTIONS(3358),
    [anon_sym_module] = ACTIONS(3358),
    [anon_sym_any] = ACTIONS(3358),
    [anon_sym_number] = ACTIONS(3358),
    [anon_sym_boolean] = ACTIONS(3358),
    [anon_sym_string] = ACTIONS(3358),
    [anon_sym_symbol] = ACTIONS(3358),
    [anon_sym_object] = ACTIONS(3358),
    [anon_sym_abstract] = ACTIONS(3358),
    [anon_sym_interface] = ACTIONS(3358),
    [anon_sym_enum] = ACTIONS(3358),
    [sym_html_comment] = ACTIONS(5),
  },
  [1449] = {
    [sym_comment] = STATE(1449),
    [ts_builtin_sym_end] = ACTIONS(3500),
    [sym_identifier] = ACTIONS(3356),
    [anon_sym_export] = ACTIONS(3356),
    [anon_sym_type] = ACTIONS(3356),
    [anon_sym_namespace] = ACTIONS(3356),
    [anon_sym_LBRACE] = ACTIONS(3356),
    [anon_sym_RBRACE] = ACTIONS(3356),
    [anon_sym_typeof] = ACTIONS(3356),
    [anon_sym_import] = ACTIONS(3356),
    [anon_sym_with] = ACTIONS(3356),
    [anon_sym_var] = ACTIONS(3356),
    [anon_sym_let] = ACTIONS(3356),
    [anon_sym_const] = ACTIONS(3356),
    [anon_sym_BANG] = ACTIONS(3356),
    [anon_sym_else] = ACTIONS(3356),
    [anon_sym_if] = ACTIONS(3356),
    [anon_sym_switch] = ACTIONS(3356),
    [anon_sym_for] = ACTIONS(3356),
    [anon_sym_LPAREN] = ACTIONS(3356),
    [anon_sym_await] = ACTIONS(3356),
    [anon_sym_while] = ACTIONS(3356),
    [anon_sym_do] = ACTIONS(3356),
    [anon_sym_try] = ACTIONS(3356),
    [anon_sym_break] = ACTIONS(3356),
    [anon_sym_continue] = ACTIONS(3356),
    [anon_sym_debugger] = ACTIONS(3356),
    [anon_sym_return] = ACTIONS(3356),
    [anon_sym_throw] = ACTIONS(3356),
    [anon_sym_SEMI] = ACTIONS(3356),
    [anon_sym_yield] = ACTIONS(3356),
    [anon_sym_LBRACK] = ACTIONS(3356),
    [anon_sym_LTtemplate_GT] = ACTIONS(3356),
    [anon_sym_DQUOTE] = ACTIONS(3356),
    [anon_sym_SQUOTE] = ACTIONS(3356),
    [anon_sym_class] = ACTIONS(3356),
    [anon_sym_async] = ACTIONS(3356),
    [anon_sym_function] = ACTIONS(3356),
    [anon_sym_new] = ACTIONS(3356),
    [anon_sym_using] = ACTIONS(3356),
    [anon_sym_PLUS] = ACTIONS(3356),
    [anon_sym_DASH] = ACTIONS(3356),
    [anon_sym_SLASH] = ACTIONS(3356),
    [anon_sym_LT] = ACTIONS(3356),
    [anon_sym_TILDE] = ACTIONS(3356),
    [anon_sym_void] = ACTIONS(3356),
    [anon_sym_delete] = ACTIONS(3356),
    [anon_sym_PLUS_PLUS] = ACTIONS(3356),
    [anon_sym_DASH_DASH] = ACTIONS(3356),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3356),
    [sym_number] = ACTIONS(3356),
    [sym_private_property_identifier] = ACTIONS(3356),
    [sym_this] = ACTIONS(3356),
    [sym_super] = ACTIONS(3356),
    [sym_true] = ACTIONS(3356),
    [sym_false] = ACTIONS(3356),
    [sym_null] = ACTIONS(3356),
    [sym_undefined] = ACTIONS(3356),
    [anon_sym_AT] = ACTIONS(3356),
    [anon_sym_static] = ACTIONS(3356),
    [anon_sym_readonly] = ACTIONS(3356),
    [anon_sym_get] = ACTIONS(3356),
    [anon_sym_set] = ACTIONS(3356),
    [anon_sym_declare] = ACTIONS(3356),
    [anon_sym_public] = ACTIONS(3356),
    [anon_sym_private] = ACTIONS(3356),
    [anon_sym_protected] = ACTIONS(3356),
    [anon_sym_override] = ACTIONS(3356),
    [anon_sym_module] = ACTIONS(3356),
    [anon_sym_any] = ACTIONS(3356),
    [anon_sym_number] = ACTIONS(3356),
    [anon_sym_boolean] = ACTIONS(3356),
    [anon_sym_string] = ACTIONS(3356),
    [anon_sym_symbol] = ACTIONS(3356),
    [anon_sym_object] = ACTIONS(3356),
    [anon_sym_abstract] = ACTIONS(3356),
    [anon_sym_interface] = ACTIONS(3356),
    [anon_sym_enum] = ACTIONS(3356),
    [sym_html_comment] = ACTIONS(5),
  },
  [1450] = {
    [sym_comment] = STATE(1450),
    [ts_builtin_sym_end] = ACTIONS(3502),
    [sym_identifier] = ACTIONS(3354),
    [anon_sym_export] = ACTIONS(3354),
    [anon_sym_type] = ACTIONS(3354),
    [anon_sym_namespace] = ACTIONS(3354),
    [anon_sym_LBRACE] = ACTIONS(3354),
    [anon_sym_RBRACE] = ACTIONS(3354),
    [anon_sym_typeof] = ACTIONS(3354),
    [anon_sym_import] = ACTIONS(3354),
    [anon_sym_with] = ACTIONS(3354),
    [anon_sym_var] = ACTIONS(3354),
    [anon_sym_let] = ACTIONS(3354),
    [anon_sym_const] = ACTIONS(3354),
    [anon_sym_BANG] = ACTIONS(3354),
    [anon_sym_else] = ACTIONS(3354),
    [anon_sym_if] = ACTIONS(3354),
    [anon_sym_switch] = ACTIONS(3354),
    [anon_sym_for] = ACTIONS(3354),
    [anon_sym_LPAREN] = ACTIONS(3354),
    [anon_sym_await] = ACTIONS(3354),
    [anon_sym_while] = ACTIONS(3354),
    [anon_sym_do] = ACTIONS(3354),
    [anon_sym_try] = ACTIONS(3354),
    [anon_sym_break] = ACTIONS(3354),
    [anon_sym_continue] = ACTIONS(3354),
    [anon_sym_debugger] = ACTIONS(3354),
    [anon_sym_return] = ACTIONS(3354),
    [anon_sym_throw] = ACTIONS(3354),
    [anon_sym_SEMI] = ACTIONS(3354),
    [anon_sym_yield] = ACTIONS(3354),
    [anon_sym_LBRACK] = ACTIONS(3354),
    [anon_sym_LTtemplate_GT] = ACTIONS(3354),
    [anon_sym_DQUOTE] = ACTIONS(3354),
    [anon_sym_SQUOTE] = ACTIONS(3354),
    [anon_sym_class] = ACTIONS(3354),
    [anon_sym_async] = ACTIONS(3354),
    [anon_sym_function] = ACTIONS(3354),
    [anon_sym_new] = ACTIONS(3354),
    [anon_sym_using] = ACTIONS(3354),
    [anon_sym_PLUS] = ACTIONS(3354),
    [anon_sym_DASH] = ACTIONS(3354),
    [anon_sym_SLASH] = ACTIONS(3354),
    [anon_sym_LT] = ACTIONS(3354),
    [anon_sym_TILDE] = ACTIONS(3354),
    [anon_sym_void] = ACTIONS(3354),
    [anon_sym_delete] = ACTIONS(3354),
    [anon_sym_PLUS_PLUS] = ACTIONS(3354),
    [anon_sym_DASH_DASH] = ACTIONS(3354),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3354),
    [sym_number] = ACTIONS(3354),
    [sym_private_property_identifier] = ACTIONS(3354),
    [sym_this] = ACTIONS(3354),
    [sym_super] = ACTIONS(3354),
    [sym_true] = ACTIONS(3354),
    [sym_false] = ACTIONS(3354),
    [sym_null] = ACTIONS(3354),
    [sym_undefined] = ACTIONS(3354),
    [anon_sym_AT] = ACTIONS(3354),
    [anon_sym_static] = ACTIONS(3354),
    [anon_sym_readonly] = ACTIONS(3354),
    [anon_sym_get] = ACTIONS(3354),
    [anon_sym_set] = ACTIONS(3354),
    [anon_sym_declare] = ACTIONS(3354),
    [anon_sym_public] = ACTIONS(3354),
    [anon_sym_private] = ACTIONS(3354),
    [anon_sym_protected] = ACTIONS(3354),
    [anon_sym_override] = ACTIONS(3354),
    [anon_sym_module] = ACTIONS(3354),
    [anon_sym_any] = ACTIONS(3354),
    [anon_sym_number] = ACTIONS(3354),
    [anon_sym_boolean] = ACTIONS(3354),
    [anon_sym_string] = ACTIONS(3354),
    [anon_sym_symbol] = ACTIONS(3354),
    [anon_sym_object] = ACTIONS(3354),
    [anon_sym_abstract] = ACTIONS(3354),
    [anon_sym_interface] = ACTIONS(3354),
    [anon_sym_enum] = ACTIONS(3354),
    [sym_html_comment] = ACTIONS(5),
  },
  [1451] = {
    [sym_comment] = STATE(1451),
    [ts_builtin_sym_end] = ACTIONS(3504),
    [sym_identifier] = ACTIONS(3228),
    [anon_sym_export] = ACTIONS(3228),
    [anon_sym_type] = ACTIONS(3228),
    [anon_sym_namespace] = ACTIONS(3228),
    [anon_sym_LBRACE] = ACTIONS(3228),
    [anon_sym_RBRACE] = ACTIONS(3228),
    [anon_sym_typeof] = ACTIONS(3228),
    [anon_sym_import] = ACTIONS(3228),
    [anon_sym_with] = ACTIONS(3228),
    [anon_sym_var] = ACTIONS(3228),
    [anon_sym_let] = ACTIONS(3228),
    [anon_sym_const] = ACTIONS(3228),
    [anon_sym_BANG] = ACTIONS(3228),
    [anon_sym_else] = ACTIONS(3228),
    [anon_sym_if] = ACTIONS(3228),
    [anon_sym_switch] = ACTIONS(3228),
    [anon_sym_for] = ACTIONS(3228),
    [anon_sym_LPAREN] = ACTIONS(3228),
    [anon_sym_await] = ACTIONS(3228),
    [anon_sym_while] = ACTIONS(3228),
    [anon_sym_do] = ACTIONS(3228),
    [anon_sym_try] = ACTIONS(3228),
    [anon_sym_break] = ACTIONS(3228),
    [anon_sym_continue] = ACTIONS(3228),
    [anon_sym_debugger] = ACTIONS(3228),
    [anon_sym_return] = ACTIONS(3228),
    [anon_sym_throw] = ACTIONS(3228),
    [anon_sym_SEMI] = ACTIONS(3228),
    [anon_sym_yield] = ACTIONS(3228),
    [anon_sym_LBRACK] = ACTIONS(3228),
    [anon_sym_LTtemplate_GT] = ACTIONS(3228),
    [anon_sym_DQUOTE] = ACTIONS(3228),
    [anon_sym_SQUOTE] = ACTIONS(3228),
    [anon_sym_class] = ACTIONS(3228),
    [anon_sym_async] = ACTIONS(3228),
    [anon_sym_function] = ACTIONS(3228),
    [anon_sym_new] = ACTIONS(3228),
    [anon_sym_using] = ACTIONS(3228),
    [anon_sym_PLUS] = ACTIONS(3228),
    [anon_sym_DASH] = ACTIONS(3228),
    [anon_sym_SLASH] = ACTIONS(3228),
    [anon_sym_LT] = ACTIONS(3228),
    [anon_sym_TILDE] = ACTIONS(3228),
    [anon_sym_void] = ACTIONS(3228),
    [anon_sym_delete] = ACTIONS(3228),
    [anon_sym_PLUS_PLUS] = ACTIONS(3228),
    [anon_sym_DASH_DASH] = ACTIONS(3228),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3228),
    [sym_number] = ACTIONS(3228),
    [sym_private_property_identifier] = ACTIONS(3228),
    [sym_this] = ACTIONS(3228),
    [sym_super] = ACTIONS(3228),
    [sym_true] = ACTIONS(3228),
    [sym_false] = ACTIONS(3228),
    [sym_null] = ACTIONS(3228),
    [sym_undefined] = ACTIONS(3228),
    [anon_sym_AT] = ACTIONS(3228),
    [anon_sym_static] = ACTIONS(3228),
    [anon_sym_readonly] = ACTIONS(3228),
    [anon_sym_get] = ACTIONS(3228),
    [anon_sym_set] = ACTIONS(3228),
    [anon_sym_declare] = ACTIONS(3228),
    [anon_sym_public] = ACTIONS(3228),
    [anon_sym_private] = ACTIONS(3228),
    [anon_sym_protected] = ACTIONS(3228),
    [anon_sym_override] = ACTIONS(3228),
    [anon_sym_module] = ACTIONS(3228),
    [anon_sym_any] = ACTIONS(3228),
    [anon_sym_number] = ACTIONS(3228),
    [anon_sym_boolean] = ACTIONS(3228),
    [anon_sym_string] = ACTIONS(3228),
    [anon_sym_symbol] = ACTIONS(3228),
    [anon_sym_object] = ACTIONS(3228),
    [anon_sym_abstract] = ACTIONS(3228),
    [anon_sym_interface] = ACTIONS(3228),
    [anon_sym_enum] = ACTIONS(3228),
    [sym_html_comment] = ACTIONS(5),
  },
  [1452] = {
    [sym_comment] = STATE(1452),
    [ts_builtin_sym_end] = ACTIONS(3506),
    [sym_identifier] = ACTIONS(3346),
    [anon_sym_export] = ACTIONS(3346),
    [anon_sym_type] = ACTIONS(3346),
    [anon_sym_namespace] = ACTIONS(3346),
    [anon_sym_LBRACE] = ACTIONS(3346),
    [anon_sym_RBRACE] = ACTIONS(3346),
    [anon_sym_typeof] = ACTIONS(3346),
    [anon_sym_import] = ACTIONS(3346),
    [anon_sym_with] = ACTIONS(3346),
    [anon_sym_var] = ACTIONS(3346),
    [anon_sym_let] = ACTIONS(3346),
    [anon_sym_const] = ACTIONS(3346),
    [anon_sym_BANG] = ACTIONS(3346),
    [anon_sym_else] = ACTIONS(3346),
    [anon_sym_if] = ACTIONS(3346),
    [anon_sym_switch] = ACTIONS(3346),
    [anon_sym_for] = ACTIONS(3346),
    [anon_sym_LPAREN] = ACTIONS(3346),
    [anon_sym_await] = ACTIONS(3346),
    [anon_sym_while] = ACTIONS(3346),
    [anon_sym_do] = ACTIONS(3346),
    [anon_sym_try] = ACTIONS(3346),
    [anon_sym_break] = ACTIONS(3346),
    [anon_sym_continue] = ACTIONS(3346),
    [anon_sym_debugger] = ACTIONS(3346),
    [anon_sym_return] = ACTIONS(3346),
    [anon_sym_throw] = ACTIONS(3346),
    [anon_sym_SEMI] = ACTIONS(3346),
    [anon_sym_yield] = ACTIONS(3346),
    [anon_sym_LBRACK] = ACTIONS(3346),
    [anon_sym_LTtemplate_GT] = ACTIONS(3346),
    [anon_sym_DQUOTE] = ACTIONS(3346),
    [anon_sym_SQUOTE] = ACTIONS(3346),
    [anon_sym_class] = ACTIONS(3346),
    [anon_sym_async] = ACTIONS(3346),
    [anon_sym_function] = ACTIONS(3346),
    [anon_sym_new] = ACTIONS(3346),
    [anon_sym_using] = ACTIONS(3346),
    [anon_sym_PLUS] = ACTIONS(3346),
    [anon_sym_DASH] = ACTIONS(3346),
    [anon_sym_SLASH] = ACTIONS(3346),
    [anon_sym_LT] = ACTIONS(3346),
    [anon_sym_TILDE] = ACTIONS(3346),
    [anon_sym_void] = ACTIONS(3346),
    [anon_sym_delete] = ACTIONS(3346),
    [anon_sym_PLUS_PLUS] = ACTIONS(3346),
    [anon_sym_DASH_DASH] = ACTIONS(3346),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3346),
    [sym_number] = ACTIONS(3346),
    [sym_private_property_identifier] = ACTIONS(3346),
    [sym_this] = ACTIONS(3346),
    [sym_super] = ACTIONS(3346),
    [sym_true] = ACTIONS(3346),
    [sym_false] = ACTIONS(3346),
    [sym_null] = ACTIONS(3346),
    [sym_undefined] = ACTIONS(3346),
    [anon_sym_AT] = ACTIONS(3346),
    [anon_sym_static] = ACTIONS(3346),
    [anon_sym_readonly] = ACTIONS(3346),
    [anon_sym_get] = ACTIONS(3346),
    [anon_sym_set] = ACTIONS(3346),
    [anon_sym_declare] = ACTIONS(3346),
    [anon_sym_public] = ACTIONS(3346),
    [anon_sym_private] = ACTIONS(3346),
    [anon_sym_protected] = ACTIONS(3346),
    [anon_sym_override] = ACTIONS(3346),
    [anon_sym_module] = ACTIONS(3346),
    [anon_sym_any] = ACTIONS(3346),
    [anon_sym_number] = ACTIONS(3346),
    [anon_sym_boolean] = ACTIONS(3346),
    [anon_sym_string] = ACTIONS(3346),
    [anon_sym_symbol] = ACTIONS(3346),
    [anon_sym_object] = ACTIONS(3346),
    [anon_sym_abstract] = ACTIONS(3346),
    [anon_sym_interface] = ACTIONS(3346),
    [anon_sym_enum] = ACTIONS(3346),
    [sym_html_comment] = ACTIONS(5),
  },
  [1453] = {
    [sym_comment] = STATE(1453),
    [ts_builtin_sym_end] = ACTIONS(3506),
    [sym_identifier] = ACTIONS(3346),
    [anon_sym_export] = ACTIONS(3346),
    [anon_sym_type] = ACTIONS(3346),
    [anon_sym_namespace] = ACTIONS(3346),
    [anon_sym_LBRACE] = ACTIONS(3346),
    [anon_sym_RBRACE] = ACTIONS(3346),
    [anon_sym_typeof] = ACTIONS(3346),
    [anon_sym_import] = ACTIONS(3346),
    [anon_sym_with] = ACTIONS(3346),
    [anon_sym_var] = ACTIONS(3346),
    [anon_sym_let] = ACTIONS(3346),
    [anon_sym_const] = ACTIONS(3346),
    [anon_sym_BANG] = ACTIONS(3346),
    [anon_sym_else] = ACTIONS(3346),
    [anon_sym_if] = ACTIONS(3346),
    [anon_sym_switch] = ACTIONS(3346),
    [anon_sym_for] = ACTIONS(3346),
    [anon_sym_LPAREN] = ACTIONS(3346),
    [anon_sym_await] = ACTIONS(3346),
    [anon_sym_while] = ACTIONS(3346),
    [anon_sym_do] = ACTIONS(3346),
    [anon_sym_try] = ACTIONS(3346),
    [anon_sym_break] = ACTIONS(3346),
    [anon_sym_continue] = ACTIONS(3346),
    [anon_sym_debugger] = ACTIONS(3346),
    [anon_sym_return] = ACTIONS(3346),
    [anon_sym_throw] = ACTIONS(3346),
    [anon_sym_SEMI] = ACTIONS(3346),
    [anon_sym_yield] = ACTIONS(3346),
    [anon_sym_LBRACK] = ACTIONS(3346),
    [anon_sym_LTtemplate_GT] = ACTIONS(3346),
    [anon_sym_DQUOTE] = ACTIONS(3346),
    [anon_sym_SQUOTE] = ACTIONS(3346),
    [anon_sym_class] = ACTIONS(3346),
    [anon_sym_async] = ACTIONS(3346),
    [anon_sym_function] = ACTIONS(3346),
    [anon_sym_new] = ACTIONS(3346),
    [anon_sym_using] = ACTIONS(3346),
    [anon_sym_PLUS] = ACTIONS(3346),
    [anon_sym_DASH] = ACTIONS(3346),
    [anon_sym_SLASH] = ACTIONS(3346),
    [anon_sym_LT] = ACTIONS(3346),
    [anon_sym_TILDE] = ACTIONS(3346),
    [anon_sym_void] = ACTIONS(3346),
    [anon_sym_delete] = ACTIONS(3346),
    [anon_sym_PLUS_PLUS] = ACTIONS(3346),
    [anon_sym_DASH_DASH] = ACTIONS(3346),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3346),
    [sym_number] = ACTIONS(3346),
    [sym_private_property_identifier] = ACTIONS(3346),
    [sym_this] = ACTIONS(3346),
    [sym_super] = ACTIONS(3346),
    [sym_true] = ACTIONS(3346),
    [sym_false] = ACTIONS(3346),
    [sym_null] = ACTIONS(3346),
    [sym_undefined] = ACTIONS(3346),
    [anon_sym_AT] = ACTIONS(3346),
    [anon_sym_static] = ACTIONS(3346),
    [anon_sym_readonly] = ACTIONS(3346),
    [anon_sym_get] = ACTIONS(3346),
    [anon_sym_set] = ACTIONS(3346),
    [anon_sym_declare] = ACTIONS(3346),
    [anon_sym_public] = ACTIONS(3346),
    [anon_sym_private] = ACTIONS(3346),
    [anon_sym_protected] = ACTIONS(3346),
    [anon_sym_override] = ACTIONS(3346),
    [anon_sym_module] = ACTIONS(3346),
    [anon_sym_any] = ACTIONS(3346),
    [anon_sym_number] = ACTIONS(3346),
    [anon_sym_boolean] = ACTIONS(3346),
    [anon_sym_string] = ACTIONS(3346),
    [anon_sym_symbol] = ACTIONS(3346),
    [anon_sym_object] = ACTIONS(3346),
    [anon_sym_abstract] = ACTIONS(3346),
    [anon_sym_interface] = ACTIONS(3346),
    [anon_sym_enum] = ACTIONS(3346),
    [sym_html_comment] = ACTIONS(5),
  },
  [1454] = {
    [sym_comment] = STATE(1454),
    [sym_identifier] = ACTIONS(3336),
    [anon_sym_export] = ACTIONS(3336),
    [anon_sym_default] = ACTIONS(3336),
    [anon_sym_type] = ACTIONS(3336),
    [anon_sym_namespace] = ACTIONS(3336),
    [anon_sym_LBRACE] = ACTIONS(3336),
    [anon_sym_RBRACE] = ACTIONS(3336),
    [anon_sym_typeof] = ACTIONS(3336),
    [anon_sym_import] = ACTIONS(3336),
    [anon_sym_with] = ACTIONS(3336),
    [anon_sym_var] = ACTIONS(3336),
    [anon_sym_let] = ACTIONS(3336),
    [anon_sym_const] = ACTIONS(3336),
    [anon_sym_BANG] = ACTIONS(3336),
    [anon_sym_if] = ACTIONS(3336),
    [anon_sym_switch] = ACTIONS(3336),
    [anon_sym_for] = ACTIONS(3336),
    [anon_sym_LPAREN] = ACTIONS(3336),
    [anon_sym_await] = ACTIONS(3336),
    [anon_sym_while] = ACTIONS(3336),
    [anon_sym_do] = ACTIONS(3336),
    [anon_sym_try] = ACTIONS(3336),
    [anon_sym_break] = ACTIONS(3336),
    [anon_sym_continue] = ACTIONS(3336),
    [anon_sym_debugger] = ACTIONS(3336),
    [anon_sym_return] = ACTIONS(3336),
    [anon_sym_throw] = ACTIONS(3336),
    [anon_sym_SEMI] = ACTIONS(3336),
    [anon_sym_case] = ACTIONS(3336),
    [anon_sym_yield] = ACTIONS(3336),
    [anon_sym_LBRACK] = ACTIONS(3336),
    [anon_sym_LTtemplate_GT] = ACTIONS(3336),
    [anon_sym_DQUOTE] = ACTIONS(3336),
    [anon_sym_SQUOTE] = ACTIONS(3336),
    [anon_sym_class] = ACTIONS(3336),
    [anon_sym_async] = ACTIONS(3336),
    [anon_sym_function] = ACTIONS(3336),
    [anon_sym_new] = ACTIONS(3336),
    [anon_sym_using] = ACTIONS(3336),
    [anon_sym_PLUS] = ACTIONS(3336),
    [anon_sym_DASH] = ACTIONS(3336),
    [anon_sym_SLASH] = ACTIONS(3336),
    [anon_sym_LT] = ACTIONS(3336),
    [anon_sym_TILDE] = ACTIONS(3336),
    [anon_sym_void] = ACTIONS(3336),
    [anon_sym_delete] = ACTIONS(3336),
    [anon_sym_PLUS_PLUS] = ACTIONS(3336),
    [anon_sym_DASH_DASH] = ACTIONS(3336),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3336),
    [sym_number] = ACTIONS(3336),
    [sym_private_property_identifier] = ACTIONS(3336),
    [sym_this] = ACTIONS(3336),
    [sym_super] = ACTIONS(3336),
    [sym_true] = ACTIONS(3336),
    [sym_false] = ACTIONS(3336),
    [sym_null] = ACTIONS(3336),
    [sym_undefined] = ACTIONS(3336),
    [anon_sym_AT] = ACTIONS(3336),
    [anon_sym_static] = ACTIONS(3336),
    [anon_sym_readonly] = ACTIONS(3336),
    [anon_sym_get] = ACTIONS(3336),
    [anon_sym_set] = ACTIONS(3336),
    [anon_sym_declare] = ACTIONS(3336),
    [anon_sym_public] = ACTIONS(3336),
    [anon_sym_private] = ACTIONS(3336),
    [anon_sym_protected] = ACTIONS(3336),
    [anon_sym_override] = ACTIONS(3336),
    [anon_sym_module] = ACTIONS(3336),
    [anon_sym_any] = ACTIONS(3336),
    [anon_sym_number] = ACTIONS(3336),
    [anon_sym_boolean] = ACTIONS(3336),
    [anon_sym_string] = ACTIONS(3336),
    [anon_sym_symbol] = ACTIONS(3336),
    [anon_sym_object] = ACTIONS(3336),
    [anon_sym_abstract] = ACTIONS(3336),
    [anon_sym_interface] = ACTIONS(3336),
    [anon_sym_enum] = ACTIONS(3336),
    [sym_html_comment] = ACTIONS(5),
  },
  [1455] = {
    [sym_comment] = STATE(1455),
    [sym_identifier] = ACTIONS(3336),
    [anon_sym_export] = ACTIONS(3336),
    [anon_sym_default] = ACTIONS(3336),
    [anon_sym_type] = ACTIONS(3336),
    [anon_sym_namespace] = ACTIONS(3336),
    [anon_sym_LBRACE] = ACTIONS(3336),
    [anon_sym_RBRACE] = ACTIONS(3336),
    [anon_sym_typeof] = ACTIONS(3336),
    [anon_sym_import] = ACTIONS(3336),
    [anon_sym_with] = ACTIONS(3336),
    [anon_sym_var] = ACTIONS(3336),
    [anon_sym_let] = ACTIONS(3336),
    [anon_sym_const] = ACTIONS(3336),
    [anon_sym_BANG] = ACTIONS(3336),
    [anon_sym_if] = ACTIONS(3336),
    [anon_sym_switch] = ACTIONS(3336),
    [anon_sym_for] = ACTIONS(3336),
    [anon_sym_LPAREN] = ACTIONS(3336),
    [anon_sym_await] = ACTIONS(3336),
    [anon_sym_while] = ACTIONS(3336),
    [anon_sym_do] = ACTIONS(3336),
    [anon_sym_try] = ACTIONS(3336),
    [anon_sym_break] = ACTIONS(3336),
    [anon_sym_continue] = ACTIONS(3336),
    [anon_sym_debugger] = ACTIONS(3336),
    [anon_sym_return] = ACTIONS(3336),
    [anon_sym_throw] = ACTIONS(3336),
    [anon_sym_SEMI] = ACTIONS(3336),
    [anon_sym_case] = ACTIONS(3336),
    [anon_sym_yield] = ACTIONS(3336),
    [anon_sym_LBRACK] = ACTIONS(3336),
    [anon_sym_LTtemplate_GT] = ACTIONS(3336),
    [anon_sym_DQUOTE] = ACTIONS(3336),
    [anon_sym_SQUOTE] = ACTIONS(3336),
    [anon_sym_class] = ACTIONS(3336),
    [anon_sym_async] = ACTIONS(3336),
    [anon_sym_function] = ACTIONS(3336),
    [anon_sym_new] = ACTIONS(3336),
    [anon_sym_using] = ACTIONS(3336),
    [anon_sym_PLUS] = ACTIONS(3336),
    [anon_sym_DASH] = ACTIONS(3336),
    [anon_sym_SLASH] = ACTIONS(3336),
    [anon_sym_LT] = ACTIONS(3336),
    [anon_sym_TILDE] = ACTIONS(3336),
    [anon_sym_void] = ACTIONS(3336),
    [anon_sym_delete] = ACTIONS(3336),
    [anon_sym_PLUS_PLUS] = ACTIONS(3336),
    [anon_sym_DASH_DASH] = ACTIONS(3336),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3336),
    [sym_number] = ACTIONS(3336),
    [sym_private_property_identifier] = ACTIONS(3336),
    [sym_this] = ACTIONS(3336),
    [sym_super] = ACTIONS(3336),
    [sym_true] = ACTIONS(3336),
    [sym_false] = ACTIONS(3336),
    [sym_null] = ACTIONS(3336),
    [sym_undefined] = ACTIONS(3336),
    [anon_sym_AT] = ACTIONS(3336),
    [anon_sym_static] = ACTIONS(3336),
    [anon_sym_readonly] = ACTIONS(3336),
    [anon_sym_get] = ACTIONS(3336),
    [anon_sym_set] = ACTIONS(3336),
    [anon_sym_declare] = ACTIONS(3336),
    [anon_sym_public] = ACTIONS(3336),
    [anon_sym_private] = ACTIONS(3336),
    [anon_sym_protected] = ACTIONS(3336),
    [anon_sym_override] = ACTIONS(3336),
    [anon_sym_module] = ACTIONS(3336),
    [anon_sym_any] = ACTIONS(3336),
    [anon_sym_number] = ACTIONS(3336),
    [anon_sym_boolean] = ACTIONS(3336),
    [anon_sym_string] = ACTIONS(3336),
    [anon_sym_symbol] = ACTIONS(3336),
    [anon_sym_object] = ACTIONS(3336),
    [anon_sym_abstract] = ACTIONS(3336),
    [anon_sym_interface] = ACTIONS(3336),
    [anon_sym_enum] = ACTIONS(3336),
    [sym_html_comment] = ACTIONS(5),
  },
  [1456] = {
    [sym_comment] = STATE(1456),
    [sym_identifier] = ACTIONS(3336),
    [anon_sym_export] = ACTIONS(3336),
    [anon_sym_default] = ACTIONS(3336),
    [anon_sym_type] = ACTIONS(3336),
    [anon_sym_namespace] = ACTIONS(3336),
    [anon_sym_LBRACE] = ACTIONS(3336),
    [anon_sym_RBRACE] = ACTIONS(3336),
    [anon_sym_typeof] = ACTIONS(3336),
    [anon_sym_import] = ACTIONS(3336),
    [anon_sym_with] = ACTIONS(3336),
    [anon_sym_var] = ACTIONS(3336),
    [anon_sym_let] = ACTIONS(3336),
    [anon_sym_const] = ACTIONS(3336),
    [anon_sym_BANG] = ACTIONS(3336),
    [anon_sym_if] = ACTIONS(3336),
    [anon_sym_switch] = ACTIONS(3336),
    [anon_sym_for] = ACTIONS(3336),
    [anon_sym_LPAREN] = ACTIONS(3336),
    [anon_sym_await] = ACTIONS(3336),
    [anon_sym_while] = ACTIONS(3336),
    [anon_sym_do] = ACTIONS(3336),
    [anon_sym_try] = ACTIONS(3336),
    [anon_sym_break] = ACTIONS(3336),
    [anon_sym_continue] = ACTIONS(3336),
    [anon_sym_debugger] = ACTIONS(3336),
    [anon_sym_return] = ACTIONS(3336),
    [anon_sym_throw] = ACTIONS(3336),
    [anon_sym_SEMI] = ACTIONS(3336),
    [anon_sym_case] = ACTIONS(3336),
    [anon_sym_yield] = ACTIONS(3336),
    [anon_sym_LBRACK] = ACTIONS(3336),
    [anon_sym_LTtemplate_GT] = ACTIONS(3336),
    [anon_sym_DQUOTE] = ACTIONS(3336),
    [anon_sym_SQUOTE] = ACTIONS(3336),
    [anon_sym_class] = ACTIONS(3336),
    [anon_sym_async] = ACTIONS(3336),
    [anon_sym_function] = ACTIONS(3336),
    [anon_sym_new] = ACTIONS(3336),
    [anon_sym_using] = ACTIONS(3336),
    [anon_sym_PLUS] = ACTIONS(3336),
    [anon_sym_DASH] = ACTIONS(3336),
    [anon_sym_SLASH] = ACTIONS(3336),
    [anon_sym_LT] = ACTIONS(3336),
    [anon_sym_TILDE] = ACTIONS(3336),
    [anon_sym_void] = ACTIONS(3336),
    [anon_sym_delete] = ACTIONS(3336),
    [anon_sym_PLUS_PLUS] = ACTIONS(3336),
    [anon_sym_DASH_DASH] = ACTIONS(3336),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3336),
    [sym_number] = ACTIONS(3336),
    [sym_private_property_identifier] = ACTIONS(3336),
    [sym_this] = ACTIONS(3336),
    [sym_super] = ACTIONS(3336),
    [sym_true] = ACTIONS(3336),
    [sym_false] = ACTIONS(3336),
    [sym_null] = ACTIONS(3336),
    [sym_undefined] = ACTIONS(3336),
    [anon_sym_AT] = ACTIONS(3336),
    [anon_sym_static] = ACTIONS(3336),
    [anon_sym_readonly] = ACTIONS(3336),
    [anon_sym_get] = ACTIONS(3336),
    [anon_sym_set] = ACTIONS(3336),
    [anon_sym_declare] = ACTIONS(3336),
    [anon_sym_public] = ACTIONS(3336),
    [anon_sym_private] = ACTIONS(3336),
    [anon_sym_protected] = ACTIONS(3336),
    [anon_sym_override] = ACTIONS(3336),
    [anon_sym_module] = ACTIONS(3336),
    [anon_sym_any] = ACTIONS(3336),
    [anon_sym_number] = ACTIONS(3336),
    [anon_sym_boolean] = ACTIONS(3336),
    [anon_sym_string] = ACTIONS(3336),
    [anon_sym_symbol] = ACTIONS(3336),
    [anon_sym_object] = ACTIONS(3336),
    [anon_sym_abstract] = ACTIONS(3336),
    [anon_sym_interface] = ACTIONS(3336),
    [anon_sym_enum] = ACTIONS(3336),
    [sym_html_comment] = ACTIONS(5),
  },
  [1457] = {
    [sym_comment] = STATE(1457),
    [sym_identifier] = ACTIONS(3336),
    [anon_sym_export] = ACTIONS(3336),
    [anon_sym_default] = ACTIONS(3336),
    [anon_sym_type] = ACTIONS(3336),
    [anon_sym_namespace] = ACTIONS(3336),
    [anon_sym_LBRACE] = ACTIONS(3336),
    [anon_sym_RBRACE] = ACTIONS(3336),
    [anon_sym_typeof] = ACTIONS(3336),
    [anon_sym_import] = ACTIONS(3336),
    [anon_sym_with] = ACTIONS(3336),
    [anon_sym_var] = ACTIONS(3336),
    [anon_sym_let] = ACTIONS(3336),
    [anon_sym_const] = ACTIONS(3336),
    [anon_sym_BANG] = ACTIONS(3336),
    [anon_sym_if] = ACTIONS(3336),
    [anon_sym_switch] = ACTIONS(3336),
    [anon_sym_for] = ACTIONS(3336),
    [anon_sym_LPAREN] = ACTIONS(3336),
    [anon_sym_await] = ACTIONS(3336),
    [anon_sym_while] = ACTIONS(3336),
    [anon_sym_do] = ACTIONS(3336),
    [anon_sym_try] = ACTIONS(3336),
    [anon_sym_break] = ACTIONS(3336),
    [anon_sym_continue] = ACTIONS(3336),
    [anon_sym_debugger] = ACTIONS(3336),
    [anon_sym_return] = ACTIONS(3336),
    [anon_sym_throw] = ACTIONS(3336),
    [anon_sym_SEMI] = ACTIONS(3336),
    [anon_sym_case] = ACTIONS(3336),
    [anon_sym_yield] = ACTIONS(3336),
    [anon_sym_LBRACK] = ACTIONS(3336),
    [anon_sym_LTtemplate_GT] = ACTIONS(3336),
    [anon_sym_DQUOTE] = ACTIONS(3336),
    [anon_sym_SQUOTE] = ACTIONS(3336),
    [anon_sym_class] = ACTIONS(3336),
    [anon_sym_async] = ACTIONS(3336),
    [anon_sym_function] = ACTIONS(3336),
    [anon_sym_new] = ACTIONS(3336),
    [anon_sym_using] = ACTIONS(3336),
    [anon_sym_PLUS] = ACTIONS(3336),
    [anon_sym_DASH] = ACTIONS(3336),
    [anon_sym_SLASH] = ACTIONS(3336),
    [anon_sym_LT] = ACTIONS(3336),
    [anon_sym_TILDE] = ACTIONS(3336),
    [anon_sym_void] = ACTIONS(3336),
    [anon_sym_delete] = ACTIONS(3336),
    [anon_sym_PLUS_PLUS] = ACTIONS(3336),
    [anon_sym_DASH_DASH] = ACTIONS(3336),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3336),
    [sym_number] = ACTIONS(3336),
    [sym_private_property_identifier] = ACTIONS(3336),
    [sym_this] = ACTIONS(3336),
    [sym_super] = ACTIONS(3336),
    [sym_true] = ACTIONS(3336),
    [sym_false] = ACTIONS(3336),
    [sym_null] = ACTIONS(3336),
    [sym_undefined] = ACTIONS(3336),
    [anon_sym_AT] = ACTIONS(3336),
    [anon_sym_static] = ACTIONS(3336),
    [anon_sym_readonly] = ACTIONS(3336),
    [anon_sym_get] = ACTIONS(3336),
    [anon_sym_set] = ACTIONS(3336),
    [anon_sym_declare] = ACTIONS(3336),
    [anon_sym_public] = ACTIONS(3336),
    [anon_sym_private] = ACTIONS(3336),
    [anon_sym_protected] = ACTIONS(3336),
    [anon_sym_override] = ACTIONS(3336),
    [anon_sym_module] = ACTIONS(3336),
    [anon_sym_any] = ACTIONS(3336),
    [anon_sym_number] = ACTIONS(3336),
    [anon_sym_boolean] = ACTIONS(3336),
    [anon_sym_string] = ACTIONS(3336),
    [anon_sym_symbol] = ACTIONS(3336),
    [anon_sym_object] = ACTIONS(3336),
    [anon_sym_abstract] = ACTIONS(3336),
    [anon_sym_interface] = ACTIONS(3336),
    [anon_sym_enum] = ACTIONS(3336),
    [sym_html_comment] = ACTIONS(5),
  },
  [1458] = {
    [sym_comment] = STATE(1458),
    [sym_identifier] = ACTIONS(3336),
    [anon_sym_export] = ACTIONS(3336),
    [anon_sym_default] = ACTIONS(3336),
    [anon_sym_type] = ACTIONS(3336),
    [anon_sym_namespace] = ACTIONS(3336),
    [anon_sym_LBRACE] = ACTIONS(3336),
    [anon_sym_RBRACE] = ACTIONS(3336),
    [anon_sym_typeof] = ACTIONS(3336),
    [anon_sym_import] = ACTIONS(3336),
    [anon_sym_with] = ACTIONS(3336),
    [anon_sym_var] = ACTIONS(3336),
    [anon_sym_let] = ACTIONS(3336),
    [anon_sym_const] = ACTIONS(3336),
    [anon_sym_BANG] = ACTIONS(3336),
    [anon_sym_if] = ACTIONS(3336),
    [anon_sym_switch] = ACTIONS(3336),
    [anon_sym_for] = ACTIONS(3336),
    [anon_sym_LPAREN] = ACTIONS(3336),
    [anon_sym_await] = ACTIONS(3336),
    [anon_sym_while] = ACTIONS(3336),
    [anon_sym_do] = ACTIONS(3336),
    [anon_sym_try] = ACTIONS(3336),
    [anon_sym_break] = ACTIONS(3336),
    [anon_sym_continue] = ACTIONS(3336),
    [anon_sym_debugger] = ACTIONS(3336),
    [anon_sym_return] = ACTIONS(3336),
    [anon_sym_throw] = ACTIONS(3336),
    [anon_sym_SEMI] = ACTIONS(3336),
    [anon_sym_case] = ACTIONS(3336),
    [anon_sym_yield] = ACTIONS(3336),
    [anon_sym_LBRACK] = ACTIONS(3336),
    [anon_sym_LTtemplate_GT] = ACTIONS(3336),
    [anon_sym_DQUOTE] = ACTIONS(3336),
    [anon_sym_SQUOTE] = ACTIONS(3336),
    [anon_sym_class] = ACTIONS(3336),
    [anon_sym_async] = ACTIONS(3336),
    [anon_sym_function] = ACTIONS(3336),
    [anon_sym_new] = ACTIONS(3336),
    [anon_sym_using] = ACTIONS(3336),
    [anon_sym_PLUS] = ACTIONS(3336),
    [anon_sym_DASH] = ACTIONS(3336),
    [anon_sym_SLASH] = ACTIONS(3336),
    [anon_sym_LT] = ACTIONS(3336),
    [anon_sym_TILDE] = ACTIONS(3336),
    [anon_sym_void] = ACTIONS(3336),
    [anon_sym_delete] = ACTIONS(3336),
    [anon_sym_PLUS_PLUS] = ACTIONS(3336),
    [anon_sym_DASH_DASH] = ACTIONS(3336),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3336),
    [sym_number] = ACTIONS(3336),
    [sym_private_property_identifier] = ACTIONS(3336),
    [sym_this] = ACTIONS(3336),
    [sym_super] = ACTIONS(3336),
    [sym_true] = ACTIONS(3336),
    [sym_false] = ACTIONS(3336),
    [sym_null] = ACTIONS(3336),
    [sym_undefined] = ACTIONS(3336),
    [anon_sym_AT] = ACTIONS(3336),
    [anon_sym_static] = ACTIONS(3336),
    [anon_sym_readonly] = ACTIONS(3336),
    [anon_sym_get] = ACTIONS(3336),
    [anon_sym_set] = ACTIONS(3336),
    [anon_sym_declare] = ACTIONS(3336),
    [anon_sym_public] = ACTIONS(3336),
    [anon_sym_private] = ACTIONS(3336),
    [anon_sym_protected] = ACTIONS(3336),
    [anon_sym_override] = ACTIONS(3336),
    [anon_sym_module] = ACTIONS(3336),
    [anon_sym_any] = ACTIONS(3336),
    [anon_sym_number] = ACTIONS(3336),
    [anon_sym_boolean] = ACTIONS(3336),
    [anon_sym_string] = ACTIONS(3336),
    [anon_sym_symbol] = ACTIONS(3336),
    [anon_sym_object] = ACTIONS(3336),
    [anon_sym_abstract] = ACTIONS(3336),
    [anon_sym_interface] = ACTIONS(3336),
    [anon_sym_enum] = ACTIONS(3336),
    [sym_html_comment] = ACTIONS(5),
  },
  [1459] = {
    [sym_comment] = STATE(1459),
    [sym_identifier] = ACTIONS(3336),
    [anon_sym_export] = ACTIONS(3336),
    [anon_sym_default] = ACTIONS(3336),
    [anon_sym_type] = ACTIONS(3336),
    [anon_sym_namespace] = ACTIONS(3336),
    [anon_sym_LBRACE] = ACTIONS(3336),
    [anon_sym_RBRACE] = ACTIONS(3336),
    [anon_sym_typeof] = ACTIONS(3336),
    [anon_sym_import] = ACTIONS(3336),
    [anon_sym_with] = ACTIONS(3336),
    [anon_sym_var] = ACTIONS(3336),
    [anon_sym_let] = ACTIONS(3336),
    [anon_sym_const] = ACTIONS(3336),
    [anon_sym_BANG] = ACTIONS(3336),
    [anon_sym_if] = ACTIONS(3336),
    [anon_sym_switch] = ACTIONS(3336),
    [anon_sym_for] = ACTIONS(3336),
    [anon_sym_LPAREN] = ACTIONS(3336),
    [anon_sym_await] = ACTIONS(3336),
    [anon_sym_while] = ACTIONS(3336),
    [anon_sym_do] = ACTIONS(3336),
    [anon_sym_try] = ACTIONS(3336),
    [anon_sym_break] = ACTIONS(3336),
    [anon_sym_continue] = ACTIONS(3336),
    [anon_sym_debugger] = ACTIONS(3336),
    [anon_sym_return] = ACTIONS(3336),
    [anon_sym_throw] = ACTIONS(3336),
    [anon_sym_SEMI] = ACTIONS(3336),
    [anon_sym_case] = ACTIONS(3336),
    [anon_sym_yield] = ACTIONS(3336),
    [anon_sym_LBRACK] = ACTIONS(3336),
    [anon_sym_LTtemplate_GT] = ACTIONS(3336),
    [anon_sym_DQUOTE] = ACTIONS(3336),
    [anon_sym_SQUOTE] = ACTIONS(3336),
    [anon_sym_class] = ACTIONS(3336),
    [anon_sym_async] = ACTIONS(3336),
    [anon_sym_function] = ACTIONS(3336),
    [anon_sym_new] = ACTIONS(3336),
    [anon_sym_using] = ACTIONS(3336),
    [anon_sym_PLUS] = ACTIONS(3336),
    [anon_sym_DASH] = ACTIONS(3336),
    [anon_sym_SLASH] = ACTIONS(3336),
    [anon_sym_LT] = ACTIONS(3336),
    [anon_sym_TILDE] = ACTIONS(3336),
    [anon_sym_void] = ACTIONS(3336),
    [anon_sym_delete] = ACTIONS(3336),
    [anon_sym_PLUS_PLUS] = ACTIONS(3336),
    [anon_sym_DASH_DASH] = ACTIONS(3336),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3336),
    [sym_number] = ACTIONS(3336),
    [sym_private_property_identifier] = ACTIONS(3336),
    [sym_this] = ACTIONS(3336),
    [sym_super] = ACTIONS(3336),
    [sym_true] = ACTIONS(3336),
    [sym_false] = ACTIONS(3336),
    [sym_null] = ACTIONS(3336),
    [sym_undefined] = ACTIONS(3336),
    [anon_sym_AT] = ACTIONS(3336),
    [anon_sym_static] = ACTIONS(3336),
    [anon_sym_readonly] = ACTIONS(3336),
    [anon_sym_get] = ACTIONS(3336),
    [anon_sym_set] = ACTIONS(3336),
    [anon_sym_declare] = ACTIONS(3336),
    [anon_sym_public] = ACTIONS(3336),
    [anon_sym_private] = ACTIONS(3336),
    [anon_sym_protected] = ACTIONS(3336),
    [anon_sym_override] = ACTIONS(3336),
    [anon_sym_module] = ACTIONS(3336),
    [anon_sym_any] = ACTIONS(3336),
    [anon_sym_number] = ACTIONS(3336),
    [anon_sym_boolean] = ACTIONS(3336),
    [anon_sym_string] = ACTIONS(3336),
    [anon_sym_symbol] = ACTIONS(3336),
    [anon_sym_object] = ACTIONS(3336),
    [anon_sym_abstract] = ACTIONS(3336),
    [anon_sym_interface] = ACTIONS(3336),
    [anon_sym_enum] = ACTIONS(3336),
    [sym_html_comment] = ACTIONS(5),
  },
  [1460] = {
    [sym_comment] = STATE(1460),
    [sym_identifier] = ACTIONS(3336),
    [anon_sym_export] = ACTIONS(3336),
    [anon_sym_default] = ACTIONS(3336),
    [anon_sym_type] = ACTIONS(3336),
    [anon_sym_namespace] = ACTIONS(3336),
    [anon_sym_LBRACE] = ACTIONS(3336),
    [anon_sym_RBRACE] = ACTIONS(3336),
    [anon_sym_typeof] = ACTIONS(3336),
    [anon_sym_import] = ACTIONS(3336),
    [anon_sym_with] = ACTIONS(3336),
    [anon_sym_var] = ACTIONS(3336),
    [anon_sym_let] = ACTIONS(3336),
    [anon_sym_const] = ACTIONS(3336),
    [anon_sym_BANG] = ACTIONS(3336),
    [anon_sym_if] = ACTIONS(3336),
    [anon_sym_switch] = ACTIONS(3336),
    [anon_sym_for] = ACTIONS(3336),
    [anon_sym_LPAREN] = ACTIONS(3336),
    [anon_sym_await] = ACTIONS(3336),
    [anon_sym_while] = ACTIONS(3336),
    [anon_sym_do] = ACTIONS(3336),
    [anon_sym_try] = ACTIONS(3336),
    [anon_sym_break] = ACTIONS(3336),
    [anon_sym_continue] = ACTIONS(3336),
    [anon_sym_debugger] = ACTIONS(3336),
    [anon_sym_return] = ACTIONS(3336),
    [anon_sym_throw] = ACTIONS(3336),
    [anon_sym_SEMI] = ACTIONS(3336),
    [anon_sym_case] = ACTIONS(3336),
    [anon_sym_yield] = ACTIONS(3336),
    [anon_sym_LBRACK] = ACTIONS(3336),
    [anon_sym_LTtemplate_GT] = ACTIONS(3336),
    [anon_sym_DQUOTE] = ACTIONS(3336),
    [anon_sym_SQUOTE] = ACTIONS(3336),
    [anon_sym_class] = ACTIONS(3336),
    [anon_sym_async] = ACTIONS(3336),
    [anon_sym_function] = ACTIONS(3336),
    [anon_sym_new] = ACTIONS(3336),
    [anon_sym_using] = ACTIONS(3336),
    [anon_sym_PLUS] = ACTIONS(3336),
    [anon_sym_DASH] = ACTIONS(3336),
    [anon_sym_SLASH] = ACTIONS(3336),
    [anon_sym_LT] = ACTIONS(3336),
    [anon_sym_TILDE] = ACTIONS(3336),
    [anon_sym_void] = ACTIONS(3336),
    [anon_sym_delete] = ACTIONS(3336),
    [anon_sym_PLUS_PLUS] = ACTIONS(3336),
    [anon_sym_DASH_DASH] = ACTIONS(3336),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3336),
    [sym_number] = ACTIONS(3336),
    [sym_private_property_identifier] = ACTIONS(3336),
    [sym_this] = ACTIONS(3336),
    [sym_super] = ACTIONS(3336),
    [sym_true] = ACTIONS(3336),
    [sym_false] = ACTIONS(3336),
    [sym_null] = ACTIONS(3336),
    [sym_undefined] = ACTIONS(3336),
    [anon_sym_AT] = ACTIONS(3336),
    [anon_sym_static] = ACTIONS(3336),
    [anon_sym_readonly] = ACTIONS(3336),
    [anon_sym_get] = ACTIONS(3336),
    [anon_sym_set] = ACTIONS(3336),
    [anon_sym_declare] = ACTIONS(3336),
    [anon_sym_public] = ACTIONS(3336),
    [anon_sym_private] = ACTIONS(3336),
    [anon_sym_protected] = ACTIONS(3336),
    [anon_sym_override] = ACTIONS(3336),
    [anon_sym_module] = ACTIONS(3336),
    [anon_sym_any] = ACTIONS(3336),
    [anon_sym_number] = ACTIONS(3336),
    [anon_sym_boolean] = ACTIONS(3336),
    [anon_sym_string] = ACTIONS(3336),
    [anon_sym_symbol] = ACTIONS(3336),
    [anon_sym_object] = ACTIONS(3336),
    [anon_sym_abstract] = ACTIONS(3336),
    [anon_sym_interface] = ACTIONS(3336),
    [anon_sym_enum] = ACTIONS(3336),
    [sym_html_comment] = ACTIONS(5),
  },
  [1461] = {
    [sym_comment] = STATE(1461),
    [sym_identifier] = ACTIONS(3336),
    [anon_sym_export] = ACTIONS(3336),
    [anon_sym_default] = ACTIONS(3336),
    [anon_sym_type] = ACTIONS(3336),
    [anon_sym_namespace] = ACTIONS(3336),
    [anon_sym_LBRACE] = ACTIONS(3336),
    [anon_sym_RBRACE] = ACTIONS(3336),
    [anon_sym_typeof] = ACTIONS(3336),
    [anon_sym_import] = ACTIONS(3336),
    [anon_sym_with] = ACTIONS(3336),
    [anon_sym_var] = ACTIONS(3336),
    [anon_sym_let] = ACTIONS(3336),
    [anon_sym_const] = ACTIONS(3336),
    [anon_sym_BANG] = ACTIONS(3336),
    [anon_sym_if] = ACTIONS(3336),
    [anon_sym_switch] = ACTIONS(3336),
    [anon_sym_for] = ACTIONS(3336),
    [anon_sym_LPAREN] = ACTIONS(3336),
    [anon_sym_await] = ACTIONS(3336),
    [anon_sym_while] = ACTIONS(3336),
    [anon_sym_do] = ACTIONS(3336),
    [anon_sym_try] = ACTIONS(3336),
    [anon_sym_break] = ACTIONS(3336),
    [anon_sym_continue] = ACTIONS(3336),
    [anon_sym_debugger] = ACTIONS(3336),
    [anon_sym_return] = ACTIONS(3336),
    [anon_sym_throw] = ACTIONS(3336),
    [anon_sym_SEMI] = ACTIONS(3336),
    [anon_sym_case] = ACTIONS(3336),
    [anon_sym_yield] = ACTIONS(3336),
    [anon_sym_LBRACK] = ACTIONS(3336),
    [anon_sym_LTtemplate_GT] = ACTIONS(3336),
    [anon_sym_DQUOTE] = ACTIONS(3336),
    [anon_sym_SQUOTE] = ACTIONS(3336),
    [anon_sym_class] = ACTIONS(3336),
    [anon_sym_async] = ACTIONS(3336),
    [anon_sym_function] = ACTIONS(3336),
    [anon_sym_new] = ACTIONS(3336),
    [anon_sym_using] = ACTIONS(3336),
    [anon_sym_PLUS] = ACTIONS(3336),
    [anon_sym_DASH] = ACTIONS(3336),
    [anon_sym_SLASH] = ACTIONS(3336),
    [anon_sym_LT] = ACTIONS(3336),
    [anon_sym_TILDE] = ACTIONS(3336),
    [anon_sym_void] = ACTIONS(3336),
    [anon_sym_delete] = ACTIONS(3336),
    [anon_sym_PLUS_PLUS] = ACTIONS(3336),
    [anon_sym_DASH_DASH] = ACTIONS(3336),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3336),
    [sym_number] = ACTIONS(3336),
    [sym_private_property_identifier] = ACTIONS(3336),
    [sym_this] = ACTIONS(3336),
    [sym_super] = ACTIONS(3336),
    [sym_true] = ACTIONS(3336),
    [sym_false] = ACTIONS(3336),
    [sym_null] = ACTIONS(3336),
    [sym_undefined] = ACTIONS(3336),
    [anon_sym_AT] = ACTIONS(3336),
    [anon_sym_static] = ACTIONS(3336),
    [anon_sym_readonly] = ACTIONS(3336),
    [anon_sym_get] = ACTIONS(3336),
    [anon_sym_set] = ACTIONS(3336),
    [anon_sym_declare] = ACTIONS(3336),
    [anon_sym_public] = ACTIONS(3336),
    [anon_sym_private] = ACTIONS(3336),
    [anon_sym_protected] = ACTIONS(3336),
    [anon_sym_override] = ACTIONS(3336),
    [anon_sym_module] = ACTIONS(3336),
    [anon_sym_any] = ACTIONS(3336),
    [anon_sym_number] = ACTIONS(3336),
    [anon_sym_boolean] = ACTIONS(3336),
    [anon_sym_string] = ACTIONS(3336),
    [anon_sym_symbol] = ACTIONS(3336),
    [anon_sym_object] = ACTIONS(3336),
    [anon_sym_abstract] = ACTIONS(3336),
    [anon_sym_interface] = ACTIONS(3336),
    [anon_sym_enum] = ACTIONS(3336),
    [sym_html_comment] = ACTIONS(5),
  },
  [1462] = {
    [sym_comment] = STATE(1462),
    [sym_identifier] = ACTIONS(3336),
    [anon_sym_export] = ACTIONS(3336),
    [anon_sym_default] = ACTIONS(3336),
    [anon_sym_type] = ACTIONS(3336),
    [anon_sym_namespace] = ACTIONS(3336),
    [anon_sym_LBRACE] = ACTIONS(3336),
    [anon_sym_RBRACE] = ACTIONS(3336),
    [anon_sym_typeof] = ACTIONS(3336),
    [anon_sym_import] = ACTIONS(3336),
    [anon_sym_with] = ACTIONS(3336),
    [anon_sym_var] = ACTIONS(3336),
    [anon_sym_let] = ACTIONS(3336),
    [anon_sym_const] = ACTIONS(3336),
    [anon_sym_BANG] = ACTIONS(3336),
    [anon_sym_if] = ACTIONS(3336),
    [anon_sym_switch] = ACTIONS(3336),
    [anon_sym_for] = ACTIONS(3336),
    [anon_sym_LPAREN] = ACTIONS(3336),
    [anon_sym_await] = ACTIONS(3336),
    [anon_sym_while] = ACTIONS(3336),
    [anon_sym_do] = ACTIONS(3336),
    [anon_sym_try] = ACTIONS(3336),
    [anon_sym_break] = ACTIONS(3336),
    [anon_sym_continue] = ACTIONS(3336),
    [anon_sym_debugger] = ACTIONS(3336),
    [anon_sym_return] = ACTIONS(3336),
    [anon_sym_throw] = ACTIONS(3336),
    [anon_sym_SEMI] = ACTIONS(3336),
    [anon_sym_case] = ACTIONS(3336),
    [anon_sym_yield] = ACTIONS(3336),
    [anon_sym_LBRACK] = ACTIONS(3336),
    [anon_sym_LTtemplate_GT] = ACTIONS(3336),
    [anon_sym_DQUOTE] = ACTIONS(3336),
    [anon_sym_SQUOTE] = ACTIONS(3336),
    [anon_sym_class] = ACTIONS(3336),
    [anon_sym_async] = ACTIONS(3336),
    [anon_sym_function] = ACTIONS(3336),
    [anon_sym_new] = ACTIONS(3336),
    [anon_sym_using] = ACTIONS(3336),
    [anon_sym_PLUS] = ACTIONS(3336),
    [anon_sym_DASH] = ACTIONS(3336),
    [anon_sym_SLASH] = ACTIONS(3336),
    [anon_sym_LT] = ACTIONS(3336),
    [anon_sym_TILDE] = ACTIONS(3336),
    [anon_sym_void] = ACTIONS(3336),
    [anon_sym_delete] = ACTIONS(3336),
    [anon_sym_PLUS_PLUS] = ACTIONS(3336),
    [anon_sym_DASH_DASH] = ACTIONS(3336),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3336),
    [sym_number] = ACTIONS(3336),
    [sym_private_property_identifier] = ACTIONS(3336),
    [sym_this] = ACTIONS(3336),
    [sym_super] = ACTIONS(3336),
    [sym_true] = ACTIONS(3336),
    [sym_false] = ACTIONS(3336),
    [sym_null] = ACTIONS(3336),
    [sym_undefined] = ACTIONS(3336),
    [anon_sym_AT] = ACTIONS(3336),
    [anon_sym_static] = ACTIONS(3336),
    [anon_sym_readonly] = ACTIONS(3336),
    [anon_sym_get] = ACTIONS(3336),
    [anon_sym_set] = ACTIONS(3336),
    [anon_sym_declare] = ACTIONS(3336),
    [anon_sym_public] = ACTIONS(3336),
    [anon_sym_private] = ACTIONS(3336),
    [anon_sym_protected] = ACTIONS(3336),
    [anon_sym_override] = ACTIONS(3336),
    [anon_sym_module] = ACTIONS(3336),
    [anon_sym_any] = ACTIONS(3336),
    [anon_sym_number] = ACTIONS(3336),
    [anon_sym_boolean] = ACTIONS(3336),
    [anon_sym_string] = ACTIONS(3336),
    [anon_sym_symbol] = ACTIONS(3336),
    [anon_sym_object] = ACTIONS(3336),
    [anon_sym_abstract] = ACTIONS(3336),
    [anon_sym_interface] = ACTIONS(3336),
    [anon_sym_enum] = ACTIONS(3336),
    [sym_html_comment] = ACTIONS(5),
  },
  [1463] = {
    [sym_comment] = STATE(1463),
    [sym_identifier] = ACTIONS(3336),
    [anon_sym_export] = ACTIONS(3336),
    [anon_sym_default] = ACTIONS(3336),
    [anon_sym_type] = ACTIONS(3336),
    [anon_sym_namespace] = ACTIONS(3336),
    [anon_sym_LBRACE] = ACTIONS(3336),
    [anon_sym_RBRACE] = ACTIONS(3336),
    [anon_sym_typeof] = ACTIONS(3336),
    [anon_sym_import] = ACTIONS(3336),
    [anon_sym_with] = ACTIONS(3336),
    [anon_sym_var] = ACTIONS(3336),
    [anon_sym_let] = ACTIONS(3336),
    [anon_sym_const] = ACTIONS(3336),
    [anon_sym_BANG] = ACTIONS(3336),
    [anon_sym_if] = ACTIONS(3336),
    [anon_sym_switch] = ACTIONS(3336),
    [anon_sym_for] = ACTIONS(3336),
    [anon_sym_LPAREN] = ACTIONS(3336),
    [anon_sym_await] = ACTIONS(3336),
    [anon_sym_while] = ACTIONS(3336),
    [anon_sym_do] = ACTIONS(3336),
    [anon_sym_try] = ACTIONS(3336),
    [anon_sym_break] = ACTIONS(3336),
    [anon_sym_continue] = ACTIONS(3336),
    [anon_sym_debugger] = ACTIONS(3336),
    [anon_sym_return] = ACTIONS(3336),
    [anon_sym_throw] = ACTIONS(3336),
    [anon_sym_SEMI] = ACTIONS(3336),
    [anon_sym_case] = ACTIONS(3336),
    [anon_sym_yield] = ACTIONS(3336),
    [anon_sym_LBRACK] = ACTIONS(3336),
    [anon_sym_LTtemplate_GT] = ACTIONS(3336),
    [anon_sym_DQUOTE] = ACTIONS(3336),
    [anon_sym_SQUOTE] = ACTIONS(3336),
    [anon_sym_class] = ACTIONS(3336),
    [anon_sym_async] = ACTIONS(3336),
    [anon_sym_function] = ACTIONS(3336),
    [anon_sym_new] = ACTIONS(3336),
    [anon_sym_using] = ACTIONS(3336),
    [anon_sym_PLUS] = ACTIONS(3336),
    [anon_sym_DASH] = ACTIONS(3336),
    [anon_sym_SLASH] = ACTIONS(3336),
    [anon_sym_LT] = ACTIONS(3336),
    [anon_sym_TILDE] = ACTIONS(3336),
    [anon_sym_void] = ACTIONS(3336),
    [anon_sym_delete] = ACTIONS(3336),
    [anon_sym_PLUS_PLUS] = ACTIONS(3336),
    [anon_sym_DASH_DASH] = ACTIONS(3336),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3336),
    [sym_number] = ACTIONS(3336),
    [sym_private_property_identifier] = ACTIONS(3336),
    [sym_this] = ACTIONS(3336),
    [sym_super] = ACTIONS(3336),
    [sym_true] = ACTIONS(3336),
    [sym_false] = ACTIONS(3336),
    [sym_null] = ACTIONS(3336),
    [sym_undefined] = ACTIONS(3336),
    [anon_sym_AT] = ACTIONS(3336),
    [anon_sym_static] = ACTIONS(3336),
    [anon_sym_readonly] = ACTIONS(3336),
    [anon_sym_get] = ACTIONS(3336),
    [anon_sym_set] = ACTIONS(3336),
    [anon_sym_declare] = ACTIONS(3336),
    [anon_sym_public] = ACTIONS(3336),
    [anon_sym_private] = ACTIONS(3336),
    [anon_sym_protected] = ACTIONS(3336),
    [anon_sym_override] = ACTIONS(3336),
    [anon_sym_module] = ACTIONS(3336),
    [anon_sym_any] = ACTIONS(3336),
    [anon_sym_number] = ACTIONS(3336),
    [anon_sym_boolean] = ACTIONS(3336),
    [anon_sym_string] = ACTIONS(3336),
    [anon_sym_symbol] = ACTIONS(3336),
    [anon_sym_object] = ACTIONS(3336),
    [anon_sym_abstract] = ACTIONS(3336),
    [anon_sym_interface] = ACTIONS(3336),
    [anon_sym_enum] = ACTIONS(3336),
    [sym_html_comment] = ACTIONS(5),
  },
  [1464] = {
    [sym_comment] = STATE(1464),
    [sym_identifier] = ACTIONS(3336),
    [anon_sym_export] = ACTIONS(3336),
    [anon_sym_default] = ACTIONS(3336),
    [anon_sym_type] = ACTIONS(3336),
    [anon_sym_namespace] = ACTIONS(3336),
    [anon_sym_LBRACE] = ACTIONS(3336),
    [anon_sym_RBRACE] = ACTIONS(3336),
    [anon_sym_typeof] = ACTIONS(3336),
    [anon_sym_import] = ACTIONS(3336),
    [anon_sym_with] = ACTIONS(3336),
    [anon_sym_var] = ACTIONS(3336),
    [anon_sym_let] = ACTIONS(3336),
    [anon_sym_const] = ACTIONS(3336),
    [anon_sym_BANG] = ACTIONS(3336),
    [anon_sym_if] = ACTIONS(3336),
    [anon_sym_switch] = ACTIONS(3336),
    [anon_sym_for] = ACTIONS(3336),
    [anon_sym_LPAREN] = ACTIONS(3336),
    [anon_sym_await] = ACTIONS(3336),
    [anon_sym_while] = ACTIONS(3336),
    [anon_sym_do] = ACTIONS(3336),
    [anon_sym_try] = ACTIONS(3336),
    [anon_sym_break] = ACTIONS(3336),
    [anon_sym_continue] = ACTIONS(3336),
    [anon_sym_debugger] = ACTIONS(3336),
    [anon_sym_return] = ACTIONS(3336),
    [anon_sym_throw] = ACTIONS(3336),
    [anon_sym_SEMI] = ACTIONS(3336),
    [anon_sym_case] = ACTIONS(3336),
    [anon_sym_yield] = ACTIONS(3336),
    [anon_sym_LBRACK] = ACTIONS(3336),
    [anon_sym_LTtemplate_GT] = ACTIONS(3336),
    [anon_sym_DQUOTE] = ACTIONS(3336),
    [anon_sym_SQUOTE] = ACTIONS(3336),
    [anon_sym_class] = ACTIONS(3336),
    [anon_sym_async] = ACTIONS(3336),
    [anon_sym_function] = ACTIONS(3336),
    [anon_sym_new] = ACTIONS(3336),
    [anon_sym_using] = ACTIONS(3336),
    [anon_sym_PLUS] = ACTIONS(3336),
    [anon_sym_DASH] = ACTIONS(3336),
    [anon_sym_SLASH] = ACTIONS(3336),
    [anon_sym_LT] = ACTIONS(3336),
    [anon_sym_TILDE] = ACTIONS(3336),
    [anon_sym_void] = ACTIONS(3336),
    [anon_sym_delete] = ACTIONS(3336),
    [anon_sym_PLUS_PLUS] = ACTIONS(3336),
    [anon_sym_DASH_DASH] = ACTIONS(3336),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3336),
    [sym_number] = ACTIONS(3336),
    [sym_private_property_identifier] = ACTIONS(3336),
    [sym_this] = ACTIONS(3336),
    [sym_super] = ACTIONS(3336),
    [sym_true] = ACTIONS(3336),
    [sym_false] = ACTIONS(3336),
    [sym_null] = ACTIONS(3336),
    [sym_undefined] = ACTIONS(3336),
    [anon_sym_AT] = ACTIONS(3336),
    [anon_sym_static] = ACTIONS(3336),
    [anon_sym_readonly] = ACTIONS(3336),
    [anon_sym_get] = ACTIONS(3336),
    [anon_sym_set] = ACTIONS(3336),
    [anon_sym_declare] = ACTIONS(3336),
    [anon_sym_public] = ACTIONS(3336),
    [anon_sym_private] = ACTIONS(3336),
    [anon_sym_protected] = ACTIONS(3336),
    [anon_sym_override] = ACTIONS(3336),
    [anon_sym_module] = ACTIONS(3336),
    [anon_sym_any] = ACTIONS(3336),
    [anon_sym_number] = ACTIONS(3336),
    [anon_sym_boolean] = ACTIONS(3336),
    [anon_sym_string] = ACTIONS(3336),
    [anon_sym_symbol] = ACTIONS(3336),
    [anon_sym_object] = ACTIONS(3336),
    [anon_sym_abstract] = ACTIONS(3336),
    [anon_sym_interface] = ACTIONS(3336),
    [anon_sym_enum] = ACTIONS(3336),
    [sym_html_comment] = ACTIONS(5),
  },
  [1465] = {
    [sym_comment] = STATE(1465),
    [ts_builtin_sym_end] = ACTIONS(3508),
    [sym_identifier] = ACTIONS(3344),
    [anon_sym_export] = ACTIONS(3344),
    [anon_sym_type] = ACTIONS(3344),
    [anon_sym_namespace] = ACTIONS(3344),
    [anon_sym_LBRACE] = ACTIONS(3344),
    [anon_sym_RBRACE] = ACTIONS(3344),
    [anon_sym_typeof] = ACTIONS(3344),
    [anon_sym_import] = ACTIONS(3344),
    [anon_sym_with] = ACTIONS(3344),
    [anon_sym_var] = ACTIONS(3344),
    [anon_sym_let] = ACTIONS(3344),
    [anon_sym_const] = ACTIONS(3344),
    [anon_sym_BANG] = ACTIONS(3344),
    [anon_sym_else] = ACTIONS(3344),
    [anon_sym_if] = ACTIONS(3344),
    [anon_sym_switch] = ACTIONS(3344),
    [anon_sym_for] = ACTIONS(3344),
    [anon_sym_LPAREN] = ACTIONS(3344),
    [anon_sym_await] = ACTIONS(3344),
    [anon_sym_while] = ACTIONS(3344),
    [anon_sym_do] = ACTIONS(3344),
    [anon_sym_try] = ACTIONS(3344),
    [anon_sym_break] = ACTIONS(3344),
    [anon_sym_continue] = ACTIONS(3344),
    [anon_sym_debugger] = ACTIONS(3344),
    [anon_sym_return] = ACTIONS(3344),
    [anon_sym_throw] = ACTIONS(3344),
    [anon_sym_SEMI] = ACTIONS(3344),
    [anon_sym_yield] = ACTIONS(3344),
    [anon_sym_LBRACK] = ACTIONS(3344),
    [anon_sym_LTtemplate_GT] = ACTIONS(3344),
    [anon_sym_DQUOTE] = ACTIONS(3344),
    [anon_sym_SQUOTE] = ACTIONS(3344),
    [anon_sym_class] = ACTIONS(3344),
    [anon_sym_async] = ACTIONS(3344),
    [anon_sym_function] = ACTIONS(3344),
    [anon_sym_new] = ACTIONS(3344),
    [anon_sym_using] = ACTIONS(3344),
    [anon_sym_PLUS] = ACTIONS(3344),
    [anon_sym_DASH] = ACTIONS(3344),
    [anon_sym_SLASH] = ACTIONS(3344),
    [anon_sym_LT] = ACTIONS(3344),
    [anon_sym_TILDE] = ACTIONS(3344),
    [anon_sym_void] = ACTIONS(3344),
    [anon_sym_delete] = ACTIONS(3344),
    [anon_sym_PLUS_PLUS] = ACTIONS(3344),
    [anon_sym_DASH_DASH] = ACTIONS(3344),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3344),
    [sym_number] = ACTIONS(3344),
    [sym_private_property_identifier] = ACTIONS(3344),
    [sym_this] = ACTIONS(3344),
    [sym_super] = ACTIONS(3344),
    [sym_true] = ACTIONS(3344),
    [sym_false] = ACTIONS(3344),
    [sym_null] = ACTIONS(3344),
    [sym_undefined] = ACTIONS(3344),
    [anon_sym_AT] = ACTIONS(3344),
    [anon_sym_static] = ACTIONS(3344),
    [anon_sym_readonly] = ACTIONS(3344),
    [anon_sym_get] = ACTIONS(3344),
    [anon_sym_set] = ACTIONS(3344),
    [anon_sym_declare] = ACTIONS(3344),
    [anon_sym_public] = ACTIONS(3344),
    [anon_sym_private] = ACTIONS(3344),
    [anon_sym_protected] = ACTIONS(3344),
    [anon_sym_override] = ACTIONS(3344),
    [anon_sym_module] = ACTIONS(3344),
    [anon_sym_any] = ACTIONS(3344),
    [anon_sym_number] = ACTIONS(3344),
    [anon_sym_boolean] = ACTIONS(3344),
    [anon_sym_string] = ACTIONS(3344),
    [anon_sym_symbol] = ACTIONS(3344),
    [anon_sym_object] = ACTIONS(3344),
    [anon_sym_abstract] = ACTIONS(3344),
    [anon_sym_interface] = ACTIONS(3344),
    [anon_sym_enum] = ACTIONS(3344),
    [sym_html_comment] = ACTIONS(5),
  },
  [1466] = {
    [sym_comment] = STATE(1466),
    [ts_builtin_sym_end] = ACTIONS(3510),
    [sym_identifier] = ACTIONS(3342),
    [anon_sym_export] = ACTIONS(3342),
    [anon_sym_type] = ACTIONS(3342),
    [anon_sym_namespace] = ACTIONS(3342),
    [anon_sym_LBRACE] = ACTIONS(3342),
    [anon_sym_RBRACE] = ACTIONS(3342),
    [anon_sym_typeof] = ACTIONS(3342),
    [anon_sym_import] = ACTIONS(3342),
    [anon_sym_with] = ACTIONS(3342),
    [anon_sym_var] = ACTIONS(3342),
    [anon_sym_let] = ACTIONS(3342),
    [anon_sym_const] = ACTIONS(3342),
    [anon_sym_BANG] = ACTIONS(3342),
    [anon_sym_else] = ACTIONS(3342),
    [anon_sym_if] = ACTIONS(3342),
    [anon_sym_switch] = ACTIONS(3342),
    [anon_sym_for] = ACTIONS(3342),
    [anon_sym_LPAREN] = ACTIONS(3342),
    [anon_sym_await] = ACTIONS(3342),
    [anon_sym_while] = ACTIONS(3342),
    [anon_sym_do] = ACTIONS(3342),
    [anon_sym_try] = ACTIONS(3342),
    [anon_sym_break] = ACTIONS(3342),
    [anon_sym_continue] = ACTIONS(3342),
    [anon_sym_debugger] = ACTIONS(3342),
    [anon_sym_return] = ACTIONS(3342),
    [anon_sym_throw] = ACTIONS(3342),
    [anon_sym_SEMI] = ACTIONS(3342),
    [anon_sym_yield] = ACTIONS(3342),
    [anon_sym_LBRACK] = ACTIONS(3342),
    [anon_sym_LTtemplate_GT] = ACTIONS(3342),
    [anon_sym_DQUOTE] = ACTIONS(3342),
    [anon_sym_SQUOTE] = ACTIONS(3342),
    [anon_sym_class] = ACTIONS(3342),
    [anon_sym_async] = ACTIONS(3342),
    [anon_sym_function] = ACTIONS(3342),
    [anon_sym_new] = ACTIONS(3342),
    [anon_sym_using] = ACTIONS(3342),
    [anon_sym_PLUS] = ACTIONS(3342),
    [anon_sym_DASH] = ACTIONS(3342),
    [anon_sym_SLASH] = ACTIONS(3342),
    [anon_sym_LT] = ACTIONS(3342),
    [anon_sym_TILDE] = ACTIONS(3342),
    [anon_sym_void] = ACTIONS(3342),
    [anon_sym_delete] = ACTIONS(3342),
    [anon_sym_PLUS_PLUS] = ACTIONS(3342),
    [anon_sym_DASH_DASH] = ACTIONS(3342),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3342),
    [sym_number] = ACTIONS(3342),
    [sym_private_property_identifier] = ACTIONS(3342),
    [sym_this] = ACTIONS(3342),
    [sym_super] = ACTIONS(3342),
    [sym_true] = ACTIONS(3342),
    [sym_false] = ACTIONS(3342),
    [sym_null] = ACTIONS(3342),
    [sym_undefined] = ACTIONS(3342),
    [anon_sym_AT] = ACTIONS(3342),
    [anon_sym_static] = ACTIONS(3342),
    [anon_sym_readonly] = ACTIONS(3342),
    [anon_sym_get] = ACTIONS(3342),
    [anon_sym_set] = ACTIONS(3342),
    [anon_sym_declare] = ACTIONS(3342),
    [anon_sym_public] = ACTIONS(3342),
    [anon_sym_private] = ACTIONS(3342),
    [anon_sym_protected] = ACTIONS(3342),
    [anon_sym_override] = ACTIONS(3342),
    [anon_sym_module] = ACTIONS(3342),
    [anon_sym_any] = ACTIONS(3342),
    [anon_sym_number] = ACTIONS(3342),
    [anon_sym_boolean] = ACTIONS(3342),
    [anon_sym_string] = ACTIONS(3342),
    [anon_sym_symbol] = ACTIONS(3342),
    [anon_sym_object] = ACTIONS(3342),
    [anon_sym_abstract] = ACTIONS(3342),
    [anon_sym_interface] = ACTIONS(3342),
    [anon_sym_enum] = ACTIONS(3342),
    [sym_html_comment] = ACTIONS(5),
  },
  [1467] = {
    [sym_comment] = STATE(1467),
    [sym_identifier] = ACTIONS(3336),
    [anon_sym_export] = ACTIONS(3336),
    [anon_sym_default] = ACTIONS(3336),
    [anon_sym_type] = ACTIONS(3336),
    [anon_sym_namespace] = ACTIONS(3336),
    [anon_sym_LBRACE] = ACTIONS(3336),
    [anon_sym_RBRACE] = ACTIONS(3336),
    [anon_sym_typeof] = ACTIONS(3336),
    [anon_sym_import] = ACTIONS(3336),
    [anon_sym_with] = ACTIONS(3336),
    [anon_sym_var] = ACTIONS(3336),
    [anon_sym_let] = ACTIONS(3336),
    [anon_sym_const] = ACTIONS(3336),
    [anon_sym_BANG] = ACTIONS(3336),
    [anon_sym_if] = ACTIONS(3336),
    [anon_sym_switch] = ACTIONS(3336),
    [anon_sym_for] = ACTIONS(3336),
    [anon_sym_LPAREN] = ACTIONS(3336),
    [anon_sym_await] = ACTIONS(3336),
    [anon_sym_while] = ACTIONS(3336),
    [anon_sym_do] = ACTIONS(3336),
    [anon_sym_try] = ACTIONS(3336),
    [anon_sym_break] = ACTIONS(3336),
    [anon_sym_continue] = ACTIONS(3336),
    [anon_sym_debugger] = ACTIONS(3336),
    [anon_sym_return] = ACTIONS(3336),
    [anon_sym_throw] = ACTIONS(3336),
    [anon_sym_SEMI] = ACTIONS(3336),
    [anon_sym_case] = ACTIONS(3336),
    [anon_sym_yield] = ACTIONS(3336),
    [anon_sym_LBRACK] = ACTIONS(3336),
    [anon_sym_LTtemplate_GT] = ACTIONS(3336),
    [anon_sym_DQUOTE] = ACTIONS(3336),
    [anon_sym_SQUOTE] = ACTIONS(3336),
    [anon_sym_class] = ACTIONS(3336),
    [anon_sym_async] = ACTIONS(3336),
    [anon_sym_function] = ACTIONS(3336),
    [anon_sym_new] = ACTIONS(3336),
    [anon_sym_using] = ACTIONS(3336),
    [anon_sym_PLUS] = ACTIONS(3336),
    [anon_sym_DASH] = ACTIONS(3336),
    [anon_sym_SLASH] = ACTIONS(3336),
    [anon_sym_LT] = ACTIONS(3336),
    [anon_sym_TILDE] = ACTIONS(3336),
    [anon_sym_void] = ACTIONS(3336),
    [anon_sym_delete] = ACTIONS(3336),
    [anon_sym_PLUS_PLUS] = ACTIONS(3336),
    [anon_sym_DASH_DASH] = ACTIONS(3336),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3336),
    [sym_number] = ACTIONS(3336),
    [sym_private_property_identifier] = ACTIONS(3336),
    [sym_this] = ACTIONS(3336),
    [sym_super] = ACTIONS(3336),
    [sym_true] = ACTIONS(3336),
    [sym_false] = ACTIONS(3336),
    [sym_null] = ACTIONS(3336),
    [sym_undefined] = ACTIONS(3336),
    [anon_sym_AT] = ACTIONS(3336),
    [anon_sym_static] = ACTIONS(3336),
    [anon_sym_readonly] = ACTIONS(3336),
    [anon_sym_get] = ACTIONS(3336),
    [anon_sym_set] = ACTIONS(3336),
    [anon_sym_declare] = ACTIONS(3336),
    [anon_sym_public] = ACTIONS(3336),
    [anon_sym_private] = ACTIONS(3336),
    [anon_sym_protected] = ACTIONS(3336),
    [anon_sym_override] = ACTIONS(3336),
    [anon_sym_module] = ACTIONS(3336),
    [anon_sym_any] = ACTIONS(3336),
    [anon_sym_number] = ACTIONS(3336),
    [anon_sym_boolean] = ACTIONS(3336),
    [anon_sym_string] = ACTIONS(3336),
    [anon_sym_symbol] = ACTIONS(3336),
    [anon_sym_object] = ACTIONS(3336),
    [anon_sym_abstract] = ACTIONS(3336),
    [anon_sym_interface] = ACTIONS(3336),
    [anon_sym_enum] = ACTIONS(3336),
    [sym_html_comment] = ACTIONS(5),
  },
  [1468] = {
    [sym_comment] = STATE(1468),
    [ts_builtin_sym_end] = ACTIONS(3512),
    [sym_identifier] = ACTIONS(3340),
    [anon_sym_export] = ACTIONS(3340),
    [anon_sym_type] = ACTIONS(3340),
    [anon_sym_namespace] = ACTIONS(3340),
    [anon_sym_LBRACE] = ACTIONS(3340),
    [anon_sym_RBRACE] = ACTIONS(3340),
    [anon_sym_typeof] = ACTIONS(3340),
    [anon_sym_import] = ACTIONS(3340),
    [anon_sym_with] = ACTIONS(3340),
    [anon_sym_var] = ACTIONS(3340),
    [anon_sym_let] = ACTIONS(3340),
    [anon_sym_const] = ACTIONS(3340),
    [anon_sym_BANG] = ACTIONS(3340),
    [anon_sym_else] = ACTIONS(3340),
    [anon_sym_if] = ACTIONS(3340),
    [anon_sym_switch] = ACTIONS(3340),
    [anon_sym_for] = ACTIONS(3340),
    [anon_sym_LPAREN] = ACTIONS(3340),
    [anon_sym_await] = ACTIONS(3340),
    [anon_sym_while] = ACTIONS(3340),
    [anon_sym_do] = ACTIONS(3340),
    [anon_sym_try] = ACTIONS(3340),
    [anon_sym_break] = ACTIONS(3340),
    [anon_sym_continue] = ACTIONS(3340),
    [anon_sym_debugger] = ACTIONS(3340),
    [anon_sym_return] = ACTIONS(3340),
    [anon_sym_throw] = ACTIONS(3340),
    [anon_sym_SEMI] = ACTIONS(3340),
    [anon_sym_yield] = ACTIONS(3340),
    [anon_sym_LBRACK] = ACTIONS(3340),
    [anon_sym_LTtemplate_GT] = ACTIONS(3340),
    [anon_sym_DQUOTE] = ACTIONS(3340),
    [anon_sym_SQUOTE] = ACTIONS(3340),
    [anon_sym_class] = ACTIONS(3340),
    [anon_sym_async] = ACTIONS(3340),
    [anon_sym_function] = ACTIONS(3340),
    [anon_sym_new] = ACTIONS(3340),
    [anon_sym_using] = ACTIONS(3340),
    [anon_sym_PLUS] = ACTIONS(3340),
    [anon_sym_DASH] = ACTIONS(3340),
    [anon_sym_SLASH] = ACTIONS(3340),
    [anon_sym_LT] = ACTIONS(3340),
    [anon_sym_TILDE] = ACTIONS(3340),
    [anon_sym_void] = ACTIONS(3340),
    [anon_sym_delete] = ACTIONS(3340),
    [anon_sym_PLUS_PLUS] = ACTIONS(3340),
    [anon_sym_DASH_DASH] = ACTIONS(3340),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3340),
    [sym_number] = ACTIONS(3340),
    [sym_private_property_identifier] = ACTIONS(3340),
    [sym_this] = ACTIONS(3340),
    [sym_super] = ACTIONS(3340),
    [sym_true] = ACTIONS(3340),
    [sym_false] = ACTIONS(3340),
    [sym_null] = ACTIONS(3340),
    [sym_undefined] = ACTIONS(3340),
    [anon_sym_AT] = ACTIONS(3340),
    [anon_sym_static] = ACTIONS(3340),
    [anon_sym_readonly] = ACTIONS(3340),
    [anon_sym_get] = ACTIONS(3340),
    [anon_sym_set] = ACTIONS(3340),
    [anon_sym_declare] = ACTIONS(3340),
    [anon_sym_public] = ACTIONS(3340),
    [anon_sym_private] = ACTIONS(3340),
    [anon_sym_protected] = ACTIONS(3340),
    [anon_sym_override] = ACTIONS(3340),
    [anon_sym_module] = ACTIONS(3340),
    [anon_sym_any] = ACTIONS(3340),
    [anon_sym_number] = ACTIONS(3340),
    [anon_sym_boolean] = ACTIONS(3340),
    [anon_sym_string] = ACTIONS(3340),
    [anon_sym_symbol] = ACTIONS(3340),
    [anon_sym_object] = ACTIONS(3340),
    [anon_sym_abstract] = ACTIONS(3340),
    [anon_sym_interface] = ACTIONS(3340),
    [anon_sym_enum] = ACTIONS(3340),
    [sym_html_comment] = ACTIONS(5),
  },
  [1469] = {
    [sym_comment] = STATE(1469),
    [sym_identifier] = ACTIONS(3334),
    [anon_sym_export] = ACTIONS(3334),
    [anon_sym_default] = ACTIONS(3334),
    [anon_sym_type] = ACTIONS(3334),
    [anon_sym_namespace] = ACTIONS(3334),
    [anon_sym_LBRACE] = ACTIONS(3334),
    [anon_sym_RBRACE] = ACTIONS(3334),
    [anon_sym_typeof] = ACTIONS(3334),
    [anon_sym_import] = ACTIONS(3334),
    [anon_sym_with] = ACTIONS(3334),
    [anon_sym_var] = ACTIONS(3334),
    [anon_sym_let] = ACTIONS(3334),
    [anon_sym_const] = ACTIONS(3334),
    [anon_sym_BANG] = ACTIONS(3334),
    [anon_sym_if] = ACTIONS(3334),
    [anon_sym_switch] = ACTIONS(3334),
    [anon_sym_for] = ACTIONS(3334),
    [anon_sym_LPAREN] = ACTIONS(3334),
    [anon_sym_await] = ACTIONS(3334),
    [anon_sym_while] = ACTIONS(3334),
    [anon_sym_do] = ACTIONS(3334),
    [anon_sym_try] = ACTIONS(3334),
    [anon_sym_break] = ACTIONS(3334),
    [anon_sym_continue] = ACTIONS(3334),
    [anon_sym_debugger] = ACTIONS(3334),
    [anon_sym_return] = ACTIONS(3334),
    [anon_sym_throw] = ACTIONS(3334),
    [anon_sym_SEMI] = ACTIONS(3334),
    [anon_sym_case] = ACTIONS(3334),
    [anon_sym_yield] = ACTIONS(3334),
    [anon_sym_LBRACK] = ACTIONS(3334),
    [anon_sym_LTtemplate_GT] = ACTIONS(3334),
    [anon_sym_DQUOTE] = ACTIONS(3334),
    [anon_sym_SQUOTE] = ACTIONS(3334),
    [anon_sym_class] = ACTIONS(3334),
    [anon_sym_async] = ACTIONS(3334),
    [anon_sym_function] = ACTIONS(3334),
    [anon_sym_new] = ACTIONS(3334),
    [anon_sym_using] = ACTIONS(3334),
    [anon_sym_PLUS] = ACTIONS(3334),
    [anon_sym_DASH] = ACTIONS(3334),
    [anon_sym_SLASH] = ACTIONS(3334),
    [anon_sym_LT] = ACTIONS(3334),
    [anon_sym_TILDE] = ACTIONS(3334),
    [anon_sym_void] = ACTIONS(3334),
    [anon_sym_delete] = ACTIONS(3334),
    [anon_sym_PLUS_PLUS] = ACTIONS(3334),
    [anon_sym_DASH_DASH] = ACTIONS(3334),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3334),
    [sym_number] = ACTIONS(3334),
    [sym_private_property_identifier] = ACTIONS(3334),
    [sym_this] = ACTIONS(3334),
    [sym_super] = ACTIONS(3334),
    [sym_true] = ACTIONS(3334),
    [sym_false] = ACTIONS(3334),
    [sym_null] = ACTIONS(3334),
    [sym_undefined] = ACTIONS(3334),
    [anon_sym_AT] = ACTIONS(3334),
    [anon_sym_static] = ACTIONS(3334),
    [anon_sym_readonly] = ACTIONS(3334),
    [anon_sym_get] = ACTIONS(3334),
    [anon_sym_set] = ACTIONS(3334),
    [anon_sym_declare] = ACTIONS(3334),
    [anon_sym_public] = ACTIONS(3334),
    [anon_sym_private] = ACTIONS(3334),
    [anon_sym_protected] = ACTIONS(3334),
    [anon_sym_override] = ACTIONS(3334),
    [anon_sym_module] = ACTIONS(3334),
    [anon_sym_any] = ACTIONS(3334),
    [anon_sym_number] = ACTIONS(3334),
    [anon_sym_boolean] = ACTIONS(3334),
    [anon_sym_string] = ACTIONS(3334),
    [anon_sym_symbol] = ACTIONS(3334),
    [anon_sym_object] = ACTIONS(3334),
    [anon_sym_abstract] = ACTIONS(3334),
    [anon_sym_interface] = ACTIONS(3334),
    [anon_sym_enum] = ACTIONS(3334),
    [sym_html_comment] = ACTIONS(5),
  },
  [1470] = {
    [sym_comment] = STATE(1470),
    [sym_identifier] = ACTIONS(3332),
    [anon_sym_export] = ACTIONS(3332),
    [anon_sym_default] = ACTIONS(3332),
    [anon_sym_type] = ACTIONS(3332),
    [anon_sym_namespace] = ACTIONS(3332),
    [anon_sym_LBRACE] = ACTIONS(3332),
    [anon_sym_RBRACE] = ACTIONS(3332),
    [anon_sym_typeof] = ACTIONS(3332),
    [anon_sym_import] = ACTIONS(3332),
    [anon_sym_with] = ACTIONS(3332),
    [anon_sym_var] = ACTIONS(3332),
    [anon_sym_let] = ACTIONS(3332),
    [anon_sym_const] = ACTIONS(3332),
    [anon_sym_BANG] = ACTIONS(3332),
    [anon_sym_if] = ACTIONS(3332),
    [anon_sym_switch] = ACTIONS(3332),
    [anon_sym_for] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(3332),
    [anon_sym_await] = ACTIONS(3332),
    [anon_sym_while] = ACTIONS(3332),
    [anon_sym_do] = ACTIONS(3332),
    [anon_sym_try] = ACTIONS(3332),
    [anon_sym_break] = ACTIONS(3332),
    [anon_sym_continue] = ACTIONS(3332),
    [anon_sym_debugger] = ACTIONS(3332),
    [anon_sym_return] = ACTIONS(3332),
    [anon_sym_throw] = ACTIONS(3332),
    [anon_sym_SEMI] = ACTIONS(3332),
    [anon_sym_case] = ACTIONS(3332),
    [anon_sym_yield] = ACTIONS(3332),
    [anon_sym_LBRACK] = ACTIONS(3332),
    [anon_sym_LTtemplate_GT] = ACTIONS(3332),
    [anon_sym_DQUOTE] = ACTIONS(3332),
    [anon_sym_SQUOTE] = ACTIONS(3332),
    [anon_sym_class] = ACTIONS(3332),
    [anon_sym_async] = ACTIONS(3332),
    [anon_sym_function] = ACTIONS(3332),
    [anon_sym_new] = ACTIONS(3332),
    [anon_sym_using] = ACTIONS(3332),
    [anon_sym_PLUS] = ACTIONS(3332),
    [anon_sym_DASH] = ACTIONS(3332),
    [anon_sym_SLASH] = ACTIONS(3332),
    [anon_sym_LT] = ACTIONS(3332),
    [anon_sym_TILDE] = ACTIONS(3332),
    [anon_sym_void] = ACTIONS(3332),
    [anon_sym_delete] = ACTIONS(3332),
    [anon_sym_PLUS_PLUS] = ACTIONS(3332),
    [anon_sym_DASH_DASH] = ACTIONS(3332),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3332),
    [sym_number] = ACTIONS(3332),
    [sym_private_property_identifier] = ACTIONS(3332),
    [sym_this] = ACTIONS(3332),
    [sym_super] = ACTIONS(3332),
    [sym_true] = ACTIONS(3332),
    [sym_false] = ACTIONS(3332),
    [sym_null] = ACTIONS(3332),
    [sym_undefined] = ACTIONS(3332),
    [anon_sym_AT] = ACTIONS(3332),
    [anon_sym_static] = ACTIONS(3332),
    [anon_sym_readonly] = ACTIONS(3332),
    [anon_sym_get] = ACTIONS(3332),
    [anon_sym_set] = ACTIONS(3332),
    [anon_sym_declare] = ACTIONS(3332),
    [anon_sym_public] = ACTIONS(3332),
    [anon_sym_private] = ACTIONS(3332),
    [anon_sym_protected] = ACTIONS(3332),
    [anon_sym_override] = ACTIONS(3332),
    [anon_sym_module] = ACTIONS(3332),
    [anon_sym_any] = ACTIONS(3332),
    [anon_sym_number] = ACTIONS(3332),
    [anon_sym_boolean] = ACTIONS(3332),
    [anon_sym_string] = ACTIONS(3332),
    [anon_sym_symbol] = ACTIONS(3332),
    [anon_sym_object] = ACTIONS(3332),
    [anon_sym_abstract] = ACTIONS(3332),
    [anon_sym_interface] = ACTIONS(3332),
    [anon_sym_enum] = ACTIONS(3332),
    [sym_html_comment] = ACTIONS(5),
  },
  [1471] = {
    [sym_comment] = STATE(1471),
    [ts_builtin_sym_end] = ACTIONS(2315),
    [sym_identifier] = ACTIONS(2159),
    [anon_sym_export] = ACTIONS(2159),
    [anon_sym_type] = ACTIONS(2159),
    [anon_sym_namespace] = ACTIONS(2159),
    [anon_sym_LBRACE] = ACTIONS(2159),
    [anon_sym_RBRACE] = ACTIONS(2159),
    [anon_sym_typeof] = ACTIONS(2159),
    [anon_sym_import] = ACTIONS(2159),
    [anon_sym_with] = ACTIONS(2159),
    [anon_sym_var] = ACTIONS(2159),
    [anon_sym_let] = ACTIONS(2159),
    [anon_sym_const] = ACTIONS(2159),
    [anon_sym_BANG] = ACTIONS(2159),
    [anon_sym_if] = ACTIONS(2159),
    [anon_sym_switch] = ACTIONS(2159),
    [anon_sym_for] = ACTIONS(2159),
    [anon_sym_LPAREN] = ACTIONS(2159),
    [anon_sym_await] = ACTIONS(2159),
    [anon_sym_while] = ACTIONS(2159),
    [anon_sym_do] = ACTIONS(2159),
    [anon_sym_try] = ACTIONS(2159),
    [anon_sym_break] = ACTIONS(2159),
    [anon_sym_continue] = ACTIONS(2159),
    [anon_sym_debugger] = ACTIONS(2159),
    [anon_sym_return] = ACTIONS(2159),
    [anon_sym_throw] = ACTIONS(2159),
    [anon_sym_SEMI] = ACTIONS(2159),
    [anon_sym_yield] = ACTIONS(2159),
    [anon_sym_LBRACK] = ACTIONS(2159),
    [anon_sym_LTtemplate_GT] = ACTIONS(2159),
    [anon_sym_DQUOTE] = ACTIONS(2159),
    [anon_sym_SQUOTE] = ACTIONS(2159),
    [anon_sym_class] = ACTIONS(2159),
    [anon_sym_async] = ACTIONS(2159),
    [anon_sym_function] = ACTIONS(2159),
    [anon_sym_new] = ACTIONS(2159),
    [anon_sym_using] = ACTIONS(2159),
    [anon_sym_PLUS] = ACTIONS(2159),
    [anon_sym_DASH] = ACTIONS(2159),
    [anon_sym_SLASH] = ACTIONS(2159),
    [anon_sym_LT] = ACTIONS(2159),
    [anon_sym_TILDE] = ACTIONS(2159),
    [anon_sym_void] = ACTIONS(2159),
    [anon_sym_delete] = ACTIONS(2159),
    [anon_sym_PLUS_PLUS] = ACTIONS(2159),
    [anon_sym_DASH_DASH] = ACTIONS(2159),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2159),
    [sym_number] = ACTIONS(2159),
    [sym_private_property_identifier] = ACTIONS(2159),
    [sym_this] = ACTIONS(2159),
    [sym_super] = ACTIONS(2159),
    [sym_true] = ACTIONS(2159),
    [sym_false] = ACTIONS(2159),
    [sym_null] = ACTIONS(2159),
    [sym_undefined] = ACTIONS(2159),
    [anon_sym_AT] = ACTIONS(2159),
    [anon_sym_static] = ACTIONS(2159),
    [anon_sym_readonly] = ACTIONS(2159),
    [anon_sym_get] = ACTIONS(2159),
    [anon_sym_set] = ACTIONS(2159),
    [anon_sym_declare] = ACTIONS(2159),
    [anon_sym_public] = ACTIONS(2159),
    [anon_sym_private] = ACTIONS(2159),
    [anon_sym_protected] = ACTIONS(2159),
    [anon_sym_override] = ACTIONS(2159),
    [anon_sym_module] = ACTIONS(2159),
    [anon_sym_any] = ACTIONS(2159),
    [anon_sym_number] = ACTIONS(2159),
    [anon_sym_boolean] = ACTIONS(2159),
    [anon_sym_string] = ACTIONS(2159),
    [anon_sym_symbol] = ACTIONS(2159),
    [anon_sym_object] = ACTIONS(2159),
    [anon_sym_abstract] = ACTIONS(2159),
    [anon_sym_interface] = ACTIONS(2159),
    [anon_sym_enum] = ACTIONS(2159),
    [sym__automatic_semicolon] = ACTIONS(2429),
    [sym_html_comment] = ACTIONS(5),
  },
  [1472] = {
    [sym_comment] = STATE(1472),
    [sym_identifier] = ACTIONS(3326),
    [anon_sym_export] = ACTIONS(3326),
    [anon_sym_default] = ACTIONS(3326),
    [anon_sym_type] = ACTIONS(3326),
    [anon_sym_namespace] = ACTIONS(3326),
    [anon_sym_LBRACE] = ACTIONS(3326),
    [anon_sym_RBRACE] = ACTIONS(3326),
    [anon_sym_typeof] = ACTIONS(3326),
    [anon_sym_import] = ACTIONS(3326),
    [anon_sym_with] = ACTIONS(3326),
    [anon_sym_var] = ACTIONS(3326),
    [anon_sym_let] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3326),
    [anon_sym_BANG] = ACTIONS(3326),
    [anon_sym_if] = ACTIONS(3326),
    [anon_sym_switch] = ACTIONS(3326),
    [anon_sym_for] = ACTIONS(3326),
    [anon_sym_LPAREN] = ACTIONS(3326),
    [anon_sym_await] = ACTIONS(3326),
    [anon_sym_while] = ACTIONS(3326),
    [anon_sym_do] = ACTIONS(3326),
    [anon_sym_try] = ACTIONS(3326),
    [anon_sym_break] = ACTIONS(3326),
    [anon_sym_continue] = ACTIONS(3326),
    [anon_sym_debugger] = ACTIONS(3326),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_throw] = ACTIONS(3326),
    [anon_sym_SEMI] = ACTIONS(3326),
    [anon_sym_case] = ACTIONS(3326),
    [anon_sym_yield] = ACTIONS(3326),
    [anon_sym_LBRACK] = ACTIONS(3326),
    [anon_sym_LTtemplate_GT] = ACTIONS(3326),
    [anon_sym_DQUOTE] = ACTIONS(3326),
    [anon_sym_SQUOTE] = ACTIONS(3326),
    [anon_sym_class] = ACTIONS(3326),
    [anon_sym_async] = ACTIONS(3326),
    [anon_sym_function] = ACTIONS(3326),
    [anon_sym_new] = ACTIONS(3326),
    [anon_sym_using] = ACTIONS(3326),
    [anon_sym_PLUS] = ACTIONS(3326),
    [anon_sym_DASH] = ACTIONS(3326),
    [anon_sym_SLASH] = ACTIONS(3326),
    [anon_sym_LT] = ACTIONS(3326),
    [anon_sym_TILDE] = ACTIONS(3326),
    [anon_sym_void] = ACTIONS(3326),
    [anon_sym_delete] = ACTIONS(3326),
    [anon_sym_PLUS_PLUS] = ACTIONS(3326),
    [anon_sym_DASH_DASH] = ACTIONS(3326),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3326),
    [sym_number] = ACTIONS(3326),
    [sym_private_property_identifier] = ACTIONS(3326),
    [sym_this] = ACTIONS(3326),
    [sym_super] = ACTIONS(3326),
    [sym_true] = ACTIONS(3326),
    [sym_false] = ACTIONS(3326),
    [sym_null] = ACTIONS(3326),
    [sym_undefined] = ACTIONS(3326),
    [anon_sym_AT] = ACTIONS(3326),
    [anon_sym_static] = ACTIONS(3326),
    [anon_sym_readonly] = ACTIONS(3326),
    [anon_sym_get] = ACTIONS(3326),
    [anon_sym_set] = ACTIONS(3326),
    [anon_sym_declare] = ACTIONS(3326),
    [anon_sym_public] = ACTIONS(3326),
    [anon_sym_private] = ACTIONS(3326),
    [anon_sym_protected] = ACTIONS(3326),
    [anon_sym_override] = ACTIONS(3326),
    [anon_sym_module] = ACTIONS(3326),
    [anon_sym_any] = ACTIONS(3326),
    [anon_sym_number] = ACTIONS(3326),
    [anon_sym_boolean] = ACTIONS(3326),
    [anon_sym_string] = ACTIONS(3326),
    [anon_sym_symbol] = ACTIONS(3326),
    [anon_sym_object] = ACTIONS(3326),
    [anon_sym_abstract] = ACTIONS(3326),
    [anon_sym_interface] = ACTIONS(3326),
    [anon_sym_enum] = ACTIONS(3326),
    [sym_html_comment] = ACTIONS(5),
  },
  [1473] = {
    [sym_comment] = STATE(1473),
    [ts_builtin_sym_end] = ACTIONS(3514),
    [sym_identifier] = ACTIONS(3226),
    [anon_sym_export] = ACTIONS(3226),
    [anon_sym_type] = ACTIONS(3226),
    [anon_sym_namespace] = ACTIONS(3226),
    [anon_sym_LBRACE] = ACTIONS(3226),
    [anon_sym_RBRACE] = ACTIONS(3226),
    [anon_sym_typeof] = ACTIONS(3226),
    [anon_sym_import] = ACTIONS(3226),
    [anon_sym_with] = ACTIONS(3226),
    [anon_sym_var] = ACTIONS(3226),
    [anon_sym_let] = ACTIONS(3226),
    [anon_sym_const] = ACTIONS(3226),
    [anon_sym_BANG] = ACTIONS(3226),
    [anon_sym_else] = ACTIONS(3226),
    [anon_sym_if] = ACTIONS(3226),
    [anon_sym_switch] = ACTIONS(3226),
    [anon_sym_for] = ACTIONS(3226),
    [anon_sym_LPAREN] = ACTIONS(3226),
    [anon_sym_await] = ACTIONS(3226),
    [anon_sym_while] = ACTIONS(3226),
    [anon_sym_do] = ACTIONS(3226),
    [anon_sym_try] = ACTIONS(3226),
    [anon_sym_break] = ACTIONS(3226),
    [anon_sym_continue] = ACTIONS(3226),
    [anon_sym_debugger] = ACTIONS(3226),
    [anon_sym_return] = ACTIONS(3226),
    [anon_sym_throw] = ACTIONS(3226),
    [anon_sym_SEMI] = ACTIONS(3226),
    [anon_sym_yield] = ACTIONS(3226),
    [anon_sym_LBRACK] = ACTIONS(3226),
    [anon_sym_LTtemplate_GT] = ACTIONS(3226),
    [anon_sym_DQUOTE] = ACTIONS(3226),
    [anon_sym_SQUOTE] = ACTIONS(3226),
    [anon_sym_class] = ACTIONS(3226),
    [anon_sym_async] = ACTIONS(3226),
    [anon_sym_function] = ACTIONS(3226),
    [anon_sym_new] = ACTIONS(3226),
    [anon_sym_using] = ACTIONS(3226),
    [anon_sym_PLUS] = ACTIONS(3226),
    [anon_sym_DASH] = ACTIONS(3226),
    [anon_sym_SLASH] = ACTIONS(3226),
    [anon_sym_LT] = ACTIONS(3226),
    [anon_sym_TILDE] = ACTIONS(3226),
    [anon_sym_void] = ACTIONS(3226),
    [anon_sym_delete] = ACTIONS(3226),
    [anon_sym_PLUS_PLUS] = ACTIONS(3226),
    [anon_sym_DASH_DASH] = ACTIONS(3226),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3226),
    [sym_number] = ACTIONS(3226),
    [sym_private_property_identifier] = ACTIONS(3226),
    [sym_this] = ACTIONS(3226),
    [sym_super] = ACTIONS(3226),
    [sym_true] = ACTIONS(3226),
    [sym_false] = ACTIONS(3226),
    [sym_null] = ACTIONS(3226),
    [sym_undefined] = ACTIONS(3226),
    [anon_sym_AT] = ACTIONS(3226),
    [anon_sym_static] = ACTIONS(3226),
    [anon_sym_readonly] = ACTIONS(3226),
    [anon_sym_get] = ACTIONS(3226),
    [anon_sym_set] = ACTIONS(3226),
    [anon_sym_declare] = ACTIONS(3226),
    [anon_sym_public] = ACTIONS(3226),
    [anon_sym_private] = ACTIONS(3226),
    [anon_sym_protected] = ACTIONS(3226),
    [anon_sym_override] = ACTIONS(3226),
    [anon_sym_module] = ACTIONS(3226),
    [anon_sym_any] = ACTIONS(3226),
    [anon_sym_number] = ACTIONS(3226),
    [anon_sym_boolean] = ACTIONS(3226),
    [anon_sym_string] = ACTIONS(3226),
    [anon_sym_symbol] = ACTIONS(3226),
    [anon_sym_object] = ACTIONS(3226),
    [anon_sym_abstract] = ACTIONS(3226),
    [anon_sym_interface] = ACTIONS(3226),
    [anon_sym_enum] = ACTIONS(3226),
    [sym_html_comment] = ACTIONS(5),
  },
  [1474] = {
    [sym_comment] = STATE(1474),
    [sym_identifier] = ACTIONS(3324),
    [anon_sym_export] = ACTIONS(3324),
    [anon_sym_default] = ACTIONS(3324),
    [anon_sym_type] = ACTIONS(3324),
    [anon_sym_namespace] = ACTIONS(3324),
    [anon_sym_LBRACE] = ACTIONS(3324),
    [anon_sym_RBRACE] = ACTIONS(3324),
    [anon_sym_typeof] = ACTIONS(3324),
    [anon_sym_import] = ACTIONS(3324),
    [anon_sym_with] = ACTIONS(3324),
    [anon_sym_var] = ACTIONS(3324),
    [anon_sym_let] = ACTIONS(3324),
    [anon_sym_const] = ACTIONS(3324),
    [anon_sym_BANG] = ACTIONS(3324),
    [anon_sym_if] = ACTIONS(3324),
    [anon_sym_switch] = ACTIONS(3324),
    [anon_sym_for] = ACTIONS(3324),
    [anon_sym_LPAREN] = ACTIONS(3324),
    [anon_sym_await] = ACTIONS(3324),
    [anon_sym_while] = ACTIONS(3324),
    [anon_sym_do] = ACTIONS(3324),
    [anon_sym_try] = ACTIONS(3324),
    [anon_sym_break] = ACTIONS(3324),
    [anon_sym_continue] = ACTIONS(3324),
    [anon_sym_debugger] = ACTIONS(3324),
    [anon_sym_return] = ACTIONS(3324),
    [anon_sym_throw] = ACTIONS(3324),
    [anon_sym_SEMI] = ACTIONS(3324),
    [anon_sym_case] = ACTIONS(3324),
    [anon_sym_yield] = ACTIONS(3324),
    [anon_sym_LBRACK] = ACTIONS(3324),
    [anon_sym_LTtemplate_GT] = ACTIONS(3324),
    [anon_sym_DQUOTE] = ACTIONS(3324),
    [anon_sym_SQUOTE] = ACTIONS(3324),
    [anon_sym_class] = ACTIONS(3324),
    [anon_sym_async] = ACTIONS(3324),
    [anon_sym_function] = ACTIONS(3324),
    [anon_sym_new] = ACTIONS(3324),
    [anon_sym_using] = ACTIONS(3324),
    [anon_sym_PLUS] = ACTIONS(3324),
    [anon_sym_DASH] = ACTIONS(3324),
    [anon_sym_SLASH] = ACTIONS(3324),
    [anon_sym_LT] = ACTIONS(3324),
    [anon_sym_TILDE] = ACTIONS(3324),
    [anon_sym_void] = ACTIONS(3324),
    [anon_sym_delete] = ACTIONS(3324),
    [anon_sym_PLUS_PLUS] = ACTIONS(3324),
    [anon_sym_DASH_DASH] = ACTIONS(3324),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3324),
    [sym_number] = ACTIONS(3324),
    [sym_private_property_identifier] = ACTIONS(3324),
    [sym_this] = ACTIONS(3324),
    [sym_super] = ACTIONS(3324),
    [sym_true] = ACTIONS(3324),
    [sym_false] = ACTIONS(3324),
    [sym_null] = ACTIONS(3324),
    [sym_undefined] = ACTIONS(3324),
    [anon_sym_AT] = ACTIONS(3324),
    [anon_sym_static] = ACTIONS(3324),
    [anon_sym_readonly] = ACTIONS(3324),
    [anon_sym_get] = ACTIONS(3324),
    [anon_sym_set] = ACTIONS(3324),
    [anon_sym_declare] = ACTIONS(3324),
    [anon_sym_public] = ACTIONS(3324),
    [anon_sym_private] = ACTIONS(3324),
    [anon_sym_protected] = ACTIONS(3324),
    [anon_sym_override] = ACTIONS(3324),
    [anon_sym_module] = ACTIONS(3324),
    [anon_sym_any] = ACTIONS(3324),
    [anon_sym_number] = ACTIONS(3324),
    [anon_sym_boolean] = ACTIONS(3324),
    [anon_sym_string] = ACTIONS(3324),
    [anon_sym_symbol] = ACTIONS(3324),
    [anon_sym_object] = ACTIONS(3324),
    [anon_sym_abstract] = ACTIONS(3324),
    [anon_sym_interface] = ACTIONS(3324),
    [anon_sym_enum] = ACTIONS(3324),
    [sym_html_comment] = ACTIONS(5),
  },
  [1475] = {
    [sym_comment] = STATE(1475),
    [ts_builtin_sym_end] = ACTIONS(3516),
    [sym_identifier] = ACTIONS(3220),
    [anon_sym_export] = ACTIONS(3220),
    [anon_sym_type] = ACTIONS(3220),
    [anon_sym_namespace] = ACTIONS(3220),
    [anon_sym_LBRACE] = ACTIONS(3220),
    [anon_sym_RBRACE] = ACTIONS(3220),
    [anon_sym_typeof] = ACTIONS(3220),
    [anon_sym_import] = ACTIONS(3220),
    [anon_sym_with] = ACTIONS(3220),
    [anon_sym_var] = ACTIONS(3220),
    [anon_sym_let] = ACTIONS(3220),
    [anon_sym_const] = ACTIONS(3220),
    [anon_sym_BANG] = ACTIONS(3220),
    [anon_sym_else] = ACTIONS(3220),
    [anon_sym_if] = ACTIONS(3220),
    [anon_sym_switch] = ACTIONS(3220),
    [anon_sym_for] = ACTIONS(3220),
    [anon_sym_LPAREN] = ACTIONS(3220),
    [anon_sym_await] = ACTIONS(3220),
    [anon_sym_while] = ACTIONS(3220),
    [anon_sym_do] = ACTIONS(3220),
    [anon_sym_try] = ACTIONS(3220),
    [anon_sym_break] = ACTIONS(3220),
    [anon_sym_continue] = ACTIONS(3220),
    [anon_sym_debugger] = ACTIONS(3220),
    [anon_sym_return] = ACTIONS(3220),
    [anon_sym_throw] = ACTIONS(3220),
    [anon_sym_SEMI] = ACTIONS(3220),
    [anon_sym_yield] = ACTIONS(3220),
    [anon_sym_LBRACK] = ACTIONS(3220),
    [anon_sym_LTtemplate_GT] = ACTIONS(3220),
    [anon_sym_DQUOTE] = ACTIONS(3220),
    [anon_sym_SQUOTE] = ACTIONS(3220),
    [anon_sym_class] = ACTIONS(3220),
    [anon_sym_async] = ACTIONS(3220),
    [anon_sym_function] = ACTIONS(3220),
    [anon_sym_new] = ACTIONS(3220),
    [anon_sym_using] = ACTIONS(3220),
    [anon_sym_PLUS] = ACTIONS(3220),
    [anon_sym_DASH] = ACTIONS(3220),
    [anon_sym_SLASH] = ACTIONS(3220),
    [anon_sym_LT] = ACTIONS(3220),
    [anon_sym_TILDE] = ACTIONS(3220),
    [anon_sym_void] = ACTIONS(3220),
    [anon_sym_delete] = ACTIONS(3220),
    [anon_sym_PLUS_PLUS] = ACTIONS(3220),
    [anon_sym_DASH_DASH] = ACTIONS(3220),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3220),
    [sym_number] = ACTIONS(3220),
    [sym_private_property_identifier] = ACTIONS(3220),
    [sym_this] = ACTIONS(3220),
    [sym_super] = ACTIONS(3220),
    [sym_true] = ACTIONS(3220),
    [sym_false] = ACTIONS(3220),
    [sym_null] = ACTIONS(3220),
    [sym_undefined] = ACTIONS(3220),
    [anon_sym_AT] = ACTIONS(3220),
    [anon_sym_static] = ACTIONS(3220),
    [anon_sym_readonly] = ACTIONS(3220),
    [anon_sym_get] = ACTIONS(3220),
    [anon_sym_set] = ACTIONS(3220),
    [anon_sym_declare] = ACTIONS(3220),
    [anon_sym_public] = ACTIONS(3220),
    [anon_sym_private] = ACTIONS(3220),
    [anon_sym_protected] = ACTIONS(3220),
    [anon_sym_override] = ACTIONS(3220),
    [anon_sym_module] = ACTIONS(3220),
    [anon_sym_any] = ACTIONS(3220),
    [anon_sym_number] = ACTIONS(3220),
    [anon_sym_boolean] = ACTIONS(3220),
    [anon_sym_string] = ACTIONS(3220),
    [anon_sym_symbol] = ACTIONS(3220),
    [anon_sym_object] = ACTIONS(3220),
    [anon_sym_abstract] = ACTIONS(3220),
    [anon_sym_interface] = ACTIONS(3220),
    [anon_sym_enum] = ACTIONS(3220),
    [sym_html_comment] = ACTIONS(5),
  },
  [1476] = {
    [sym_comment] = STATE(1476),
    [sym_identifier] = ACTIONS(3324),
    [anon_sym_export] = ACTIONS(3324),
    [anon_sym_default] = ACTIONS(3324),
    [anon_sym_type] = ACTIONS(3324),
    [anon_sym_namespace] = ACTIONS(3324),
    [anon_sym_LBRACE] = ACTIONS(3324),
    [anon_sym_RBRACE] = ACTIONS(3324),
    [anon_sym_typeof] = ACTIONS(3324),
    [anon_sym_import] = ACTIONS(3324),
    [anon_sym_with] = ACTIONS(3324),
    [anon_sym_var] = ACTIONS(3324),
    [anon_sym_let] = ACTIONS(3324),
    [anon_sym_const] = ACTIONS(3324),
    [anon_sym_BANG] = ACTIONS(3324),
    [anon_sym_if] = ACTIONS(3324),
    [anon_sym_switch] = ACTIONS(3324),
    [anon_sym_for] = ACTIONS(3324),
    [anon_sym_LPAREN] = ACTIONS(3324),
    [anon_sym_await] = ACTIONS(3324),
    [anon_sym_while] = ACTIONS(3324),
    [anon_sym_do] = ACTIONS(3324),
    [anon_sym_try] = ACTIONS(3324),
    [anon_sym_break] = ACTIONS(3324),
    [anon_sym_continue] = ACTIONS(3324),
    [anon_sym_debugger] = ACTIONS(3324),
    [anon_sym_return] = ACTIONS(3324),
    [anon_sym_throw] = ACTIONS(3324),
    [anon_sym_SEMI] = ACTIONS(3324),
    [anon_sym_case] = ACTIONS(3324),
    [anon_sym_yield] = ACTIONS(3324),
    [anon_sym_LBRACK] = ACTIONS(3324),
    [anon_sym_LTtemplate_GT] = ACTIONS(3324),
    [anon_sym_DQUOTE] = ACTIONS(3324),
    [anon_sym_SQUOTE] = ACTIONS(3324),
    [anon_sym_class] = ACTIONS(3324),
    [anon_sym_async] = ACTIONS(3324),
    [anon_sym_function] = ACTIONS(3324),
    [anon_sym_new] = ACTIONS(3324),
    [anon_sym_using] = ACTIONS(3324),
    [anon_sym_PLUS] = ACTIONS(3324),
    [anon_sym_DASH] = ACTIONS(3324),
    [anon_sym_SLASH] = ACTIONS(3324),
    [anon_sym_LT] = ACTIONS(3324),
    [anon_sym_TILDE] = ACTIONS(3324),
    [anon_sym_void] = ACTIONS(3324),
    [anon_sym_delete] = ACTIONS(3324),
    [anon_sym_PLUS_PLUS] = ACTIONS(3324),
    [anon_sym_DASH_DASH] = ACTIONS(3324),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3324),
    [sym_number] = ACTIONS(3324),
    [sym_private_property_identifier] = ACTIONS(3324),
    [sym_this] = ACTIONS(3324),
    [sym_super] = ACTIONS(3324),
    [sym_true] = ACTIONS(3324),
    [sym_false] = ACTIONS(3324),
    [sym_null] = ACTIONS(3324),
    [sym_undefined] = ACTIONS(3324),
    [anon_sym_AT] = ACTIONS(3324),
    [anon_sym_static] = ACTIONS(3324),
    [anon_sym_readonly] = ACTIONS(3324),
    [anon_sym_get] = ACTIONS(3324),
    [anon_sym_set] = ACTIONS(3324),
    [anon_sym_declare] = ACTIONS(3324),
    [anon_sym_public] = ACTIONS(3324),
    [anon_sym_private] = ACTIONS(3324),
    [anon_sym_protected] = ACTIONS(3324),
    [anon_sym_override] = ACTIONS(3324),
    [anon_sym_module] = ACTIONS(3324),
    [anon_sym_any] = ACTIONS(3324),
    [anon_sym_number] = ACTIONS(3324),
    [anon_sym_boolean] = ACTIONS(3324),
    [anon_sym_string] = ACTIONS(3324),
    [anon_sym_symbol] = ACTIONS(3324),
    [anon_sym_object] = ACTIONS(3324),
    [anon_sym_abstract] = ACTIONS(3324),
    [anon_sym_interface] = ACTIONS(3324),
    [anon_sym_enum] = ACTIONS(3324),
    [sym_html_comment] = ACTIONS(5),
  },
  [1477] = {
    [sym_comment] = STATE(1477),
    [sym_identifier] = ACTIONS(3322),
    [anon_sym_export] = ACTIONS(3322),
    [anon_sym_default] = ACTIONS(3322),
    [anon_sym_type] = ACTIONS(3322),
    [anon_sym_namespace] = ACTIONS(3322),
    [anon_sym_LBRACE] = ACTIONS(3322),
    [anon_sym_RBRACE] = ACTIONS(3322),
    [anon_sym_typeof] = ACTIONS(3322),
    [anon_sym_import] = ACTIONS(3322),
    [anon_sym_with] = ACTIONS(3322),
    [anon_sym_var] = ACTIONS(3322),
    [anon_sym_let] = ACTIONS(3322),
    [anon_sym_const] = ACTIONS(3322),
    [anon_sym_BANG] = ACTIONS(3322),
    [anon_sym_if] = ACTIONS(3322),
    [anon_sym_switch] = ACTIONS(3322),
    [anon_sym_for] = ACTIONS(3322),
    [anon_sym_LPAREN] = ACTIONS(3322),
    [anon_sym_await] = ACTIONS(3322),
    [anon_sym_while] = ACTIONS(3322),
    [anon_sym_do] = ACTIONS(3322),
    [anon_sym_try] = ACTIONS(3322),
    [anon_sym_break] = ACTIONS(3322),
    [anon_sym_continue] = ACTIONS(3322),
    [anon_sym_debugger] = ACTIONS(3322),
    [anon_sym_return] = ACTIONS(3322),
    [anon_sym_throw] = ACTIONS(3322),
    [anon_sym_SEMI] = ACTIONS(3322),
    [anon_sym_case] = ACTIONS(3322),
    [anon_sym_yield] = ACTIONS(3322),
    [anon_sym_LBRACK] = ACTIONS(3322),
    [anon_sym_LTtemplate_GT] = ACTIONS(3322),
    [anon_sym_DQUOTE] = ACTIONS(3322),
    [anon_sym_SQUOTE] = ACTIONS(3322),
    [anon_sym_class] = ACTIONS(3322),
    [anon_sym_async] = ACTIONS(3322),
    [anon_sym_function] = ACTIONS(3322),
    [anon_sym_new] = ACTIONS(3322),
    [anon_sym_using] = ACTIONS(3322),
    [anon_sym_PLUS] = ACTIONS(3322),
    [anon_sym_DASH] = ACTIONS(3322),
    [anon_sym_SLASH] = ACTIONS(3322),
    [anon_sym_LT] = ACTIONS(3322),
    [anon_sym_TILDE] = ACTIONS(3322),
    [anon_sym_void] = ACTIONS(3322),
    [anon_sym_delete] = ACTIONS(3322),
    [anon_sym_PLUS_PLUS] = ACTIONS(3322),
    [anon_sym_DASH_DASH] = ACTIONS(3322),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3322),
    [sym_number] = ACTIONS(3322),
    [sym_private_property_identifier] = ACTIONS(3322),
    [sym_this] = ACTIONS(3322),
    [sym_super] = ACTIONS(3322),
    [sym_true] = ACTIONS(3322),
    [sym_false] = ACTIONS(3322),
    [sym_null] = ACTIONS(3322),
    [sym_undefined] = ACTIONS(3322),
    [anon_sym_AT] = ACTIONS(3322),
    [anon_sym_static] = ACTIONS(3322),
    [anon_sym_readonly] = ACTIONS(3322),
    [anon_sym_get] = ACTIONS(3322),
    [anon_sym_set] = ACTIONS(3322),
    [anon_sym_declare] = ACTIONS(3322),
    [anon_sym_public] = ACTIONS(3322),
    [anon_sym_private] = ACTIONS(3322),
    [anon_sym_protected] = ACTIONS(3322),
    [anon_sym_override] = ACTIONS(3322),
    [anon_sym_module] = ACTIONS(3322),
    [anon_sym_any] = ACTIONS(3322),
    [anon_sym_number] = ACTIONS(3322),
    [anon_sym_boolean] = ACTIONS(3322),
    [anon_sym_string] = ACTIONS(3322),
    [anon_sym_symbol] = ACTIONS(3322),
    [anon_sym_object] = ACTIONS(3322),
    [anon_sym_abstract] = ACTIONS(3322),
    [anon_sym_interface] = ACTIONS(3322),
    [anon_sym_enum] = ACTIONS(3322),
    [sym_html_comment] = ACTIONS(5),
  },
  [1478] = {
    [sym_comment] = STATE(1478),
    [sym_identifier] = ACTIONS(3320),
    [anon_sym_export] = ACTIONS(3320),
    [anon_sym_default] = ACTIONS(3320),
    [anon_sym_type] = ACTIONS(3320),
    [anon_sym_namespace] = ACTIONS(3320),
    [anon_sym_LBRACE] = ACTIONS(3320),
    [anon_sym_RBRACE] = ACTIONS(3320),
    [anon_sym_typeof] = ACTIONS(3320),
    [anon_sym_import] = ACTIONS(3320),
    [anon_sym_with] = ACTIONS(3320),
    [anon_sym_var] = ACTIONS(3320),
    [anon_sym_let] = ACTIONS(3320),
    [anon_sym_const] = ACTIONS(3320),
    [anon_sym_BANG] = ACTIONS(3320),
    [anon_sym_if] = ACTIONS(3320),
    [anon_sym_switch] = ACTIONS(3320),
    [anon_sym_for] = ACTIONS(3320),
    [anon_sym_LPAREN] = ACTIONS(3320),
    [anon_sym_await] = ACTIONS(3320),
    [anon_sym_while] = ACTIONS(3320),
    [anon_sym_do] = ACTIONS(3320),
    [anon_sym_try] = ACTIONS(3320),
    [anon_sym_break] = ACTIONS(3320),
    [anon_sym_continue] = ACTIONS(3320),
    [anon_sym_debugger] = ACTIONS(3320),
    [anon_sym_return] = ACTIONS(3320),
    [anon_sym_throw] = ACTIONS(3320),
    [anon_sym_SEMI] = ACTIONS(3320),
    [anon_sym_case] = ACTIONS(3320),
    [anon_sym_yield] = ACTIONS(3320),
    [anon_sym_LBRACK] = ACTIONS(3320),
    [anon_sym_LTtemplate_GT] = ACTIONS(3320),
    [anon_sym_DQUOTE] = ACTIONS(3320),
    [anon_sym_SQUOTE] = ACTIONS(3320),
    [anon_sym_class] = ACTIONS(3320),
    [anon_sym_async] = ACTIONS(3320),
    [anon_sym_function] = ACTIONS(3320),
    [anon_sym_new] = ACTIONS(3320),
    [anon_sym_using] = ACTIONS(3320),
    [anon_sym_PLUS] = ACTIONS(3320),
    [anon_sym_DASH] = ACTIONS(3320),
    [anon_sym_SLASH] = ACTIONS(3320),
    [anon_sym_LT] = ACTIONS(3320),
    [anon_sym_TILDE] = ACTIONS(3320),
    [anon_sym_void] = ACTIONS(3320),
    [anon_sym_delete] = ACTIONS(3320),
    [anon_sym_PLUS_PLUS] = ACTIONS(3320),
    [anon_sym_DASH_DASH] = ACTIONS(3320),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3320),
    [sym_number] = ACTIONS(3320),
    [sym_private_property_identifier] = ACTIONS(3320),
    [sym_this] = ACTIONS(3320),
    [sym_super] = ACTIONS(3320),
    [sym_true] = ACTIONS(3320),
    [sym_false] = ACTIONS(3320),
    [sym_null] = ACTIONS(3320),
    [sym_undefined] = ACTIONS(3320),
    [anon_sym_AT] = ACTIONS(3320),
    [anon_sym_static] = ACTIONS(3320),
    [anon_sym_readonly] = ACTIONS(3320),
    [anon_sym_get] = ACTIONS(3320),
    [anon_sym_set] = ACTIONS(3320),
    [anon_sym_declare] = ACTIONS(3320),
    [anon_sym_public] = ACTIONS(3320),
    [anon_sym_private] = ACTIONS(3320),
    [anon_sym_protected] = ACTIONS(3320),
    [anon_sym_override] = ACTIONS(3320),
    [anon_sym_module] = ACTIONS(3320),
    [anon_sym_any] = ACTIONS(3320),
    [anon_sym_number] = ACTIONS(3320),
    [anon_sym_boolean] = ACTIONS(3320),
    [anon_sym_string] = ACTIONS(3320),
    [anon_sym_symbol] = ACTIONS(3320),
    [anon_sym_object] = ACTIONS(3320),
    [anon_sym_abstract] = ACTIONS(3320),
    [anon_sym_interface] = ACTIONS(3320),
    [anon_sym_enum] = ACTIONS(3320),
    [sym_html_comment] = ACTIONS(5),
  },
  [1479] = {
    [sym_comment] = STATE(1479),
    [ts_builtin_sym_end] = ACTIONS(3518),
    [sym_identifier] = ACTIONS(3216),
    [anon_sym_export] = ACTIONS(3216),
    [anon_sym_type] = ACTIONS(3216),
    [anon_sym_namespace] = ACTIONS(3216),
    [anon_sym_LBRACE] = ACTIONS(3216),
    [anon_sym_RBRACE] = ACTIONS(3216),
    [anon_sym_typeof] = ACTIONS(3216),
    [anon_sym_import] = ACTIONS(3216),
    [anon_sym_with] = ACTIONS(3216),
    [anon_sym_var] = ACTIONS(3216),
    [anon_sym_let] = ACTIONS(3216),
    [anon_sym_const] = ACTIONS(3216),
    [anon_sym_BANG] = ACTIONS(3216),
    [anon_sym_else] = ACTIONS(3216),
    [anon_sym_if] = ACTIONS(3216),
    [anon_sym_switch] = ACTIONS(3216),
    [anon_sym_for] = ACTIONS(3216),
    [anon_sym_LPAREN] = ACTIONS(3216),
    [anon_sym_await] = ACTIONS(3216),
    [anon_sym_while] = ACTIONS(3216),
    [anon_sym_do] = ACTIONS(3216),
    [anon_sym_try] = ACTIONS(3216),
    [anon_sym_break] = ACTIONS(3216),
    [anon_sym_continue] = ACTIONS(3216),
    [anon_sym_debugger] = ACTIONS(3216),
    [anon_sym_return] = ACTIONS(3216),
    [anon_sym_throw] = ACTIONS(3216),
    [anon_sym_SEMI] = ACTIONS(3216),
    [anon_sym_yield] = ACTIONS(3216),
    [anon_sym_LBRACK] = ACTIONS(3216),
    [anon_sym_LTtemplate_GT] = ACTIONS(3216),
    [anon_sym_DQUOTE] = ACTIONS(3216),
    [anon_sym_SQUOTE] = ACTIONS(3216),
    [anon_sym_class] = ACTIONS(3216),
    [anon_sym_async] = ACTIONS(3216),
    [anon_sym_function] = ACTIONS(3216),
    [anon_sym_new] = ACTIONS(3216),
    [anon_sym_using] = ACTIONS(3216),
    [anon_sym_PLUS] = ACTIONS(3216),
    [anon_sym_DASH] = ACTIONS(3216),
    [anon_sym_SLASH] = ACTIONS(3216),
    [anon_sym_LT] = ACTIONS(3216),
    [anon_sym_TILDE] = ACTIONS(3216),
    [anon_sym_void] = ACTIONS(3216),
    [anon_sym_delete] = ACTIONS(3216),
    [anon_sym_PLUS_PLUS] = ACTIONS(3216),
    [anon_sym_DASH_DASH] = ACTIONS(3216),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3216),
    [sym_number] = ACTIONS(3216),
    [sym_private_property_identifier] = ACTIONS(3216),
    [sym_this] = ACTIONS(3216),
    [sym_super] = ACTIONS(3216),
    [sym_true] = ACTIONS(3216),
    [sym_false] = ACTIONS(3216),
    [sym_null] = ACTIONS(3216),
    [sym_undefined] = ACTIONS(3216),
    [anon_sym_AT] = ACTIONS(3216),
    [anon_sym_static] = ACTIONS(3216),
    [anon_sym_readonly] = ACTIONS(3216),
    [anon_sym_get] = ACTIONS(3216),
    [anon_sym_set] = ACTIONS(3216),
    [anon_sym_declare] = ACTIONS(3216),
    [anon_sym_public] = ACTIONS(3216),
    [anon_sym_private] = ACTIONS(3216),
    [anon_sym_protected] = ACTIONS(3216),
    [anon_sym_override] = ACTIONS(3216),
    [anon_sym_module] = ACTIONS(3216),
    [anon_sym_any] = ACTIONS(3216),
    [anon_sym_number] = ACTIONS(3216),
    [anon_sym_boolean] = ACTIONS(3216),
    [anon_sym_string] = ACTIONS(3216),
    [anon_sym_symbol] = ACTIONS(3216),
    [anon_sym_object] = ACTIONS(3216),
    [anon_sym_abstract] = ACTIONS(3216),
    [anon_sym_interface] = ACTIONS(3216),
    [anon_sym_enum] = ACTIONS(3216),
    [sym_html_comment] = ACTIONS(5),
  },
  [1480] = {
    [sym_comment] = STATE(1480),
    [ts_builtin_sym_end] = ACTIONS(3518),
    [sym_identifier] = ACTIONS(3216),
    [anon_sym_export] = ACTIONS(3216),
    [anon_sym_type] = ACTIONS(3216),
    [anon_sym_namespace] = ACTIONS(3216),
    [anon_sym_LBRACE] = ACTIONS(3216),
    [anon_sym_RBRACE] = ACTIONS(3216),
    [anon_sym_typeof] = ACTIONS(3216),
    [anon_sym_import] = ACTIONS(3216),
    [anon_sym_with] = ACTIONS(3216),
    [anon_sym_var] = ACTIONS(3216),
    [anon_sym_let] = ACTIONS(3216),
    [anon_sym_const] = ACTIONS(3216),
    [anon_sym_BANG] = ACTIONS(3216),
    [anon_sym_else] = ACTIONS(3216),
    [anon_sym_if] = ACTIONS(3216),
    [anon_sym_switch] = ACTIONS(3216),
    [anon_sym_for] = ACTIONS(3216),
    [anon_sym_LPAREN] = ACTIONS(3216),
    [anon_sym_await] = ACTIONS(3216),
    [anon_sym_while] = ACTIONS(3216),
    [anon_sym_do] = ACTIONS(3216),
    [anon_sym_try] = ACTIONS(3216),
    [anon_sym_break] = ACTIONS(3216),
    [anon_sym_continue] = ACTIONS(3216),
    [anon_sym_debugger] = ACTIONS(3216),
    [anon_sym_return] = ACTIONS(3216),
    [anon_sym_throw] = ACTIONS(3216),
    [anon_sym_SEMI] = ACTIONS(3216),
    [anon_sym_yield] = ACTIONS(3216),
    [anon_sym_LBRACK] = ACTIONS(3216),
    [anon_sym_LTtemplate_GT] = ACTIONS(3216),
    [anon_sym_DQUOTE] = ACTIONS(3216),
    [anon_sym_SQUOTE] = ACTIONS(3216),
    [anon_sym_class] = ACTIONS(3216),
    [anon_sym_async] = ACTIONS(3216),
    [anon_sym_function] = ACTIONS(3216),
    [anon_sym_new] = ACTIONS(3216),
    [anon_sym_using] = ACTIONS(3216),
    [anon_sym_PLUS] = ACTIONS(3216),
    [anon_sym_DASH] = ACTIONS(3216),
    [anon_sym_SLASH] = ACTIONS(3216),
    [anon_sym_LT] = ACTIONS(3216),
    [anon_sym_TILDE] = ACTIONS(3216),
    [anon_sym_void] = ACTIONS(3216),
    [anon_sym_delete] = ACTIONS(3216),
    [anon_sym_PLUS_PLUS] = ACTIONS(3216),
    [anon_sym_DASH_DASH] = ACTIONS(3216),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3216),
    [sym_number] = ACTIONS(3216),
    [sym_private_property_identifier] = ACTIONS(3216),
    [sym_this] = ACTIONS(3216),
    [sym_super] = ACTIONS(3216),
    [sym_true] = ACTIONS(3216),
    [sym_false] = ACTIONS(3216),
    [sym_null] = ACTIONS(3216),
    [sym_undefined] = ACTIONS(3216),
    [anon_sym_AT] = ACTIONS(3216),
    [anon_sym_static] = ACTIONS(3216),
    [anon_sym_readonly] = ACTIONS(3216),
    [anon_sym_get] = ACTIONS(3216),
    [anon_sym_set] = ACTIONS(3216),
    [anon_sym_declare] = ACTIONS(3216),
    [anon_sym_public] = ACTIONS(3216),
    [anon_sym_private] = ACTIONS(3216),
    [anon_sym_protected] = ACTIONS(3216),
    [anon_sym_override] = ACTIONS(3216),
    [anon_sym_module] = ACTIONS(3216),
    [anon_sym_any] = ACTIONS(3216),
    [anon_sym_number] = ACTIONS(3216),
    [anon_sym_boolean] = ACTIONS(3216),
    [anon_sym_string] = ACTIONS(3216),
    [anon_sym_symbol] = ACTIONS(3216),
    [anon_sym_object] = ACTIONS(3216),
    [anon_sym_abstract] = ACTIONS(3216),
    [anon_sym_interface] = ACTIONS(3216),
    [anon_sym_enum] = ACTIONS(3216),
    [sym_html_comment] = ACTIONS(5),
  },
  [1481] = {
    [sym_comment] = STATE(1481),
    [ts_builtin_sym_end] = ACTIONS(3518),
    [sym_identifier] = ACTIONS(3216),
    [anon_sym_export] = ACTIONS(3216),
    [anon_sym_type] = ACTIONS(3216),
    [anon_sym_namespace] = ACTIONS(3216),
    [anon_sym_LBRACE] = ACTIONS(3216),
    [anon_sym_RBRACE] = ACTIONS(3216),
    [anon_sym_typeof] = ACTIONS(3216),
    [anon_sym_import] = ACTIONS(3216),
    [anon_sym_with] = ACTIONS(3216),
    [anon_sym_var] = ACTIONS(3216),
    [anon_sym_let] = ACTIONS(3216),
    [anon_sym_const] = ACTIONS(3216),
    [anon_sym_BANG] = ACTIONS(3216),
    [anon_sym_else] = ACTIONS(3216),
    [anon_sym_if] = ACTIONS(3216),
    [anon_sym_switch] = ACTIONS(3216),
    [anon_sym_for] = ACTIONS(3216),
    [anon_sym_LPAREN] = ACTIONS(3216),
    [anon_sym_await] = ACTIONS(3216),
    [anon_sym_while] = ACTIONS(3216),
    [anon_sym_do] = ACTIONS(3216),
    [anon_sym_try] = ACTIONS(3216),
    [anon_sym_break] = ACTIONS(3216),
    [anon_sym_continue] = ACTIONS(3216),
    [anon_sym_debugger] = ACTIONS(3216),
    [anon_sym_return] = ACTIONS(3216),
    [anon_sym_throw] = ACTIONS(3216),
    [anon_sym_SEMI] = ACTIONS(3216),
    [anon_sym_yield] = ACTIONS(3216),
    [anon_sym_LBRACK] = ACTIONS(3216),
    [anon_sym_LTtemplate_GT] = ACTIONS(3216),
    [anon_sym_DQUOTE] = ACTIONS(3216),
    [anon_sym_SQUOTE] = ACTIONS(3216),
    [anon_sym_class] = ACTIONS(3216),
    [anon_sym_async] = ACTIONS(3216),
    [anon_sym_function] = ACTIONS(3216),
    [anon_sym_new] = ACTIONS(3216),
    [anon_sym_using] = ACTIONS(3216),
    [anon_sym_PLUS] = ACTIONS(3216),
    [anon_sym_DASH] = ACTIONS(3216),
    [anon_sym_SLASH] = ACTIONS(3216),
    [anon_sym_LT] = ACTIONS(3216),
    [anon_sym_TILDE] = ACTIONS(3216),
    [anon_sym_void] = ACTIONS(3216),
    [anon_sym_delete] = ACTIONS(3216),
    [anon_sym_PLUS_PLUS] = ACTIONS(3216),
    [anon_sym_DASH_DASH] = ACTIONS(3216),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3216),
    [sym_number] = ACTIONS(3216),
    [sym_private_property_identifier] = ACTIONS(3216),
    [sym_this] = ACTIONS(3216),
    [sym_super] = ACTIONS(3216),
    [sym_true] = ACTIONS(3216),
    [sym_false] = ACTIONS(3216),
    [sym_null] = ACTIONS(3216),
    [sym_undefined] = ACTIONS(3216),
    [anon_sym_AT] = ACTIONS(3216),
    [anon_sym_static] = ACTIONS(3216),
    [anon_sym_readonly] = ACTIONS(3216),
    [anon_sym_get] = ACTIONS(3216),
    [anon_sym_set] = ACTIONS(3216),
    [anon_sym_declare] = ACTIONS(3216),
    [anon_sym_public] = ACTIONS(3216),
    [anon_sym_private] = ACTIONS(3216),
    [anon_sym_protected] = ACTIONS(3216),
    [anon_sym_override] = ACTIONS(3216),
    [anon_sym_module] = ACTIONS(3216),
    [anon_sym_any] = ACTIONS(3216),
    [anon_sym_number] = ACTIONS(3216),
    [anon_sym_boolean] = ACTIONS(3216),
    [anon_sym_string] = ACTIONS(3216),
    [anon_sym_symbol] = ACTIONS(3216),
    [anon_sym_object] = ACTIONS(3216),
    [anon_sym_abstract] = ACTIONS(3216),
    [anon_sym_interface] = ACTIONS(3216),
    [anon_sym_enum] = ACTIONS(3216),
    [sym_html_comment] = ACTIONS(5),
  },
  [1482] = {
    [sym_comment] = STATE(1482),
    [ts_builtin_sym_end] = ACTIONS(3520),
    [sym_identifier] = ACTIONS(3210),
    [anon_sym_export] = ACTIONS(3210),
    [anon_sym_type] = ACTIONS(3210),
    [anon_sym_namespace] = ACTIONS(3210),
    [anon_sym_LBRACE] = ACTIONS(3210),
    [anon_sym_RBRACE] = ACTIONS(3210),
    [anon_sym_typeof] = ACTIONS(3210),
    [anon_sym_import] = ACTIONS(3210),
    [anon_sym_with] = ACTIONS(3210),
    [anon_sym_var] = ACTIONS(3210),
    [anon_sym_let] = ACTIONS(3210),
    [anon_sym_const] = ACTIONS(3210),
    [anon_sym_BANG] = ACTIONS(3210),
    [anon_sym_else] = ACTIONS(3210),
    [anon_sym_if] = ACTIONS(3210),
    [anon_sym_switch] = ACTIONS(3210),
    [anon_sym_for] = ACTIONS(3210),
    [anon_sym_LPAREN] = ACTIONS(3210),
    [anon_sym_await] = ACTIONS(3210),
    [anon_sym_while] = ACTIONS(3210),
    [anon_sym_do] = ACTIONS(3210),
    [anon_sym_try] = ACTIONS(3210),
    [anon_sym_break] = ACTIONS(3210),
    [anon_sym_continue] = ACTIONS(3210),
    [anon_sym_debugger] = ACTIONS(3210),
    [anon_sym_return] = ACTIONS(3210),
    [anon_sym_throw] = ACTIONS(3210),
    [anon_sym_SEMI] = ACTIONS(3210),
    [anon_sym_yield] = ACTIONS(3210),
    [anon_sym_LBRACK] = ACTIONS(3210),
    [anon_sym_LTtemplate_GT] = ACTIONS(3210),
    [anon_sym_DQUOTE] = ACTIONS(3210),
    [anon_sym_SQUOTE] = ACTIONS(3210),
    [anon_sym_class] = ACTIONS(3210),
    [anon_sym_async] = ACTIONS(3210),
    [anon_sym_function] = ACTIONS(3210),
    [anon_sym_new] = ACTIONS(3210),
    [anon_sym_using] = ACTIONS(3210),
    [anon_sym_PLUS] = ACTIONS(3210),
    [anon_sym_DASH] = ACTIONS(3210),
    [anon_sym_SLASH] = ACTIONS(3210),
    [anon_sym_LT] = ACTIONS(3210),
    [anon_sym_TILDE] = ACTIONS(3210),
    [anon_sym_void] = ACTIONS(3210),
    [anon_sym_delete] = ACTIONS(3210),
    [anon_sym_PLUS_PLUS] = ACTIONS(3210),
    [anon_sym_DASH_DASH] = ACTIONS(3210),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3210),
    [sym_number] = ACTIONS(3210),
    [sym_private_property_identifier] = ACTIONS(3210),
    [sym_this] = ACTIONS(3210),
    [sym_super] = ACTIONS(3210),
    [sym_true] = ACTIONS(3210),
    [sym_false] = ACTIONS(3210),
    [sym_null] = ACTIONS(3210),
    [sym_undefined] = ACTIONS(3210),
    [anon_sym_AT] = ACTIONS(3210),
    [anon_sym_static] = ACTIONS(3210),
    [anon_sym_readonly] = ACTIONS(3210),
    [anon_sym_get] = ACTIONS(3210),
    [anon_sym_set] = ACTIONS(3210),
    [anon_sym_declare] = ACTIONS(3210),
    [anon_sym_public] = ACTIONS(3210),
    [anon_sym_private] = ACTIONS(3210),
    [anon_sym_protected] = ACTIONS(3210),
    [anon_sym_override] = ACTIONS(3210),
    [anon_sym_module] = ACTIONS(3210),
    [anon_sym_any] = ACTIONS(3210),
    [anon_sym_number] = ACTIONS(3210),
    [anon_sym_boolean] = ACTIONS(3210),
    [anon_sym_string] = ACTIONS(3210),
    [anon_sym_symbol] = ACTIONS(3210),
    [anon_sym_object] = ACTIONS(3210),
    [anon_sym_abstract] = ACTIONS(3210),
    [anon_sym_interface] = ACTIONS(3210),
    [anon_sym_enum] = ACTIONS(3210),
    [sym_html_comment] = ACTIONS(5),
  },
  [1483] = {
    [sym_comment] = STATE(1483),
    [ts_builtin_sym_end] = ACTIONS(3522),
    [sym_identifier] = ACTIONS(3208),
    [anon_sym_export] = ACTIONS(3208),
    [anon_sym_type] = ACTIONS(3208),
    [anon_sym_namespace] = ACTIONS(3208),
    [anon_sym_LBRACE] = ACTIONS(3208),
    [anon_sym_RBRACE] = ACTIONS(3208),
    [anon_sym_typeof] = ACTIONS(3208),
    [anon_sym_import] = ACTIONS(3208),
    [anon_sym_with] = ACTIONS(3208),
    [anon_sym_var] = ACTIONS(3208),
    [anon_sym_let] = ACTIONS(3208),
    [anon_sym_const] = ACTIONS(3208),
    [anon_sym_BANG] = ACTIONS(3208),
    [anon_sym_else] = ACTIONS(3208),
    [anon_sym_if] = ACTIONS(3208),
    [anon_sym_switch] = ACTIONS(3208),
    [anon_sym_for] = ACTIONS(3208),
    [anon_sym_LPAREN] = ACTIONS(3208),
    [anon_sym_await] = ACTIONS(3208),
    [anon_sym_while] = ACTIONS(3208),
    [anon_sym_do] = ACTIONS(3208),
    [anon_sym_try] = ACTIONS(3208),
    [anon_sym_break] = ACTIONS(3208),
    [anon_sym_continue] = ACTIONS(3208),
    [anon_sym_debugger] = ACTIONS(3208),
    [anon_sym_return] = ACTIONS(3208),
    [anon_sym_throw] = ACTIONS(3208),
    [anon_sym_SEMI] = ACTIONS(3208),
    [anon_sym_yield] = ACTIONS(3208),
    [anon_sym_LBRACK] = ACTIONS(3208),
    [anon_sym_LTtemplate_GT] = ACTIONS(3208),
    [anon_sym_DQUOTE] = ACTIONS(3208),
    [anon_sym_SQUOTE] = ACTIONS(3208),
    [anon_sym_class] = ACTIONS(3208),
    [anon_sym_async] = ACTIONS(3208),
    [anon_sym_function] = ACTIONS(3208),
    [anon_sym_new] = ACTIONS(3208),
    [anon_sym_using] = ACTIONS(3208),
    [anon_sym_PLUS] = ACTIONS(3208),
    [anon_sym_DASH] = ACTIONS(3208),
    [anon_sym_SLASH] = ACTIONS(3208),
    [anon_sym_LT] = ACTIONS(3208),
    [anon_sym_TILDE] = ACTIONS(3208),
    [anon_sym_void] = ACTIONS(3208),
    [anon_sym_delete] = ACTIONS(3208),
    [anon_sym_PLUS_PLUS] = ACTIONS(3208),
    [anon_sym_DASH_DASH] = ACTIONS(3208),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3208),
    [sym_number] = ACTIONS(3208),
    [sym_private_property_identifier] = ACTIONS(3208),
    [sym_this] = ACTIONS(3208),
    [sym_super] = ACTIONS(3208),
    [sym_true] = ACTIONS(3208),
    [sym_false] = ACTIONS(3208),
    [sym_null] = ACTIONS(3208),
    [sym_undefined] = ACTIONS(3208),
    [anon_sym_AT] = ACTIONS(3208),
    [anon_sym_static] = ACTIONS(3208),
    [anon_sym_readonly] = ACTIONS(3208),
    [anon_sym_get] = ACTIONS(3208),
    [anon_sym_set] = ACTIONS(3208),
    [anon_sym_declare] = ACTIONS(3208),
    [anon_sym_public] = ACTIONS(3208),
    [anon_sym_private] = ACTIONS(3208),
    [anon_sym_protected] = ACTIONS(3208),
    [anon_sym_override] = ACTIONS(3208),
    [anon_sym_module] = ACTIONS(3208),
    [anon_sym_any] = ACTIONS(3208),
    [anon_sym_number] = ACTIONS(3208),
    [anon_sym_boolean] = ACTIONS(3208),
    [anon_sym_string] = ACTIONS(3208),
    [anon_sym_symbol] = ACTIONS(3208),
    [anon_sym_object] = ACTIONS(3208),
    [anon_sym_abstract] = ACTIONS(3208),
    [anon_sym_interface] = ACTIONS(3208),
    [anon_sym_enum] = ACTIONS(3208),
    [sym_html_comment] = ACTIONS(5),
  },
  [1484] = {
    [sym_comment] = STATE(1484),
    [ts_builtin_sym_end] = ACTIONS(3524),
    [sym_identifier] = ACTIONS(3206),
    [anon_sym_export] = ACTIONS(3206),
    [anon_sym_type] = ACTIONS(3206),
    [anon_sym_namespace] = ACTIONS(3206),
    [anon_sym_LBRACE] = ACTIONS(3206),
    [anon_sym_RBRACE] = ACTIONS(3206),
    [anon_sym_typeof] = ACTIONS(3206),
    [anon_sym_import] = ACTIONS(3206),
    [anon_sym_with] = ACTIONS(3206),
    [anon_sym_var] = ACTIONS(3206),
    [anon_sym_let] = ACTIONS(3206),
    [anon_sym_const] = ACTIONS(3206),
    [anon_sym_BANG] = ACTIONS(3206),
    [anon_sym_else] = ACTIONS(3206),
    [anon_sym_if] = ACTIONS(3206),
    [anon_sym_switch] = ACTIONS(3206),
    [anon_sym_for] = ACTIONS(3206),
    [anon_sym_LPAREN] = ACTIONS(3206),
    [anon_sym_await] = ACTIONS(3206),
    [anon_sym_while] = ACTIONS(3206),
    [anon_sym_do] = ACTIONS(3206),
    [anon_sym_try] = ACTIONS(3206),
    [anon_sym_break] = ACTIONS(3206),
    [anon_sym_continue] = ACTIONS(3206),
    [anon_sym_debugger] = ACTIONS(3206),
    [anon_sym_return] = ACTIONS(3206),
    [anon_sym_throw] = ACTIONS(3206),
    [anon_sym_SEMI] = ACTIONS(3206),
    [anon_sym_yield] = ACTIONS(3206),
    [anon_sym_LBRACK] = ACTIONS(3206),
    [anon_sym_LTtemplate_GT] = ACTIONS(3206),
    [anon_sym_DQUOTE] = ACTIONS(3206),
    [anon_sym_SQUOTE] = ACTIONS(3206),
    [anon_sym_class] = ACTIONS(3206),
    [anon_sym_async] = ACTIONS(3206),
    [anon_sym_function] = ACTIONS(3206),
    [anon_sym_new] = ACTIONS(3206),
    [anon_sym_using] = ACTIONS(3206),
    [anon_sym_PLUS] = ACTIONS(3206),
    [anon_sym_DASH] = ACTIONS(3206),
    [anon_sym_SLASH] = ACTIONS(3206),
    [anon_sym_LT] = ACTIONS(3206),
    [anon_sym_TILDE] = ACTIONS(3206),
    [anon_sym_void] = ACTIONS(3206),
    [anon_sym_delete] = ACTIONS(3206),
    [anon_sym_PLUS_PLUS] = ACTIONS(3206),
    [anon_sym_DASH_DASH] = ACTIONS(3206),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3206),
    [sym_number] = ACTIONS(3206),
    [sym_private_property_identifier] = ACTIONS(3206),
    [sym_this] = ACTIONS(3206),
    [sym_super] = ACTIONS(3206),
    [sym_true] = ACTIONS(3206),
    [sym_false] = ACTIONS(3206),
    [sym_null] = ACTIONS(3206),
    [sym_undefined] = ACTIONS(3206),
    [anon_sym_AT] = ACTIONS(3206),
    [anon_sym_static] = ACTIONS(3206),
    [anon_sym_readonly] = ACTIONS(3206),
    [anon_sym_get] = ACTIONS(3206),
    [anon_sym_set] = ACTIONS(3206),
    [anon_sym_declare] = ACTIONS(3206),
    [anon_sym_public] = ACTIONS(3206),
    [anon_sym_private] = ACTIONS(3206),
    [anon_sym_protected] = ACTIONS(3206),
    [anon_sym_override] = ACTIONS(3206),
    [anon_sym_module] = ACTIONS(3206),
    [anon_sym_any] = ACTIONS(3206),
    [anon_sym_number] = ACTIONS(3206),
    [anon_sym_boolean] = ACTIONS(3206),
    [anon_sym_string] = ACTIONS(3206),
    [anon_sym_symbol] = ACTIONS(3206),
    [anon_sym_object] = ACTIONS(3206),
    [anon_sym_abstract] = ACTIONS(3206),
    [anon_sym_interface] = ACTIONS(3206),
    [anon_sym_enum] = ACTIONS(3206),
    [sym_html_comment] = ACTIONS(5),
  },
  [1485] = {
    [sym_comment] = STATE(1485),
    [ts_builtin_sym_end] = ACTIONS(3526),
    [sym_identifier] = ACTIONS(3204),
    [anon_sym_export] = ACTIONS(3204),
    [anon_sym_type] = ACTIONS(3204),
    [anon_sym_namespace] = ACTIONS(3204),
    [anon_sym_LBRACE] = ACTIONS(3204),
    [anon_sym_RBRACE] = ACTIONS(3204),
    [anon_sym_typeof] = ACTIONS(3204),
    [anon_sym_import] = ACTIONS(3204),
    [anon_sym_with] = ACTIONS(3204),
    [anon_sym_var] = ACTIONS(3204),
    [anon_sym_let] = ACTIONS(3204),
    [anon_sym_const] = ACTIONS(3204),
    [anon_sym_BANG] = ACTIONS(3204),
    [anon_sym_else] = ACTIONS(3204),
    [anon_sym_if] = ACTIONS(3204),
    [anon_sym_switch] = ACTIONS(3204),
    [anon_sym_for] = ACTIONS(3204),
    [anon_sym_LPAREN] = ACTIONS(3204),
    [anon_sym_await] = ACTIONS(3204),
    [anon_sym_while] = ACTIONS(3204),
    [anon_sym_do] = ACTIONS(3204),
    [anon_sym_try] = ACTIONS(3204),
    [anon_sym_break] = ACTIONS(3204),
    [anon_sym_continue] = ACTIONS(3204),
    [anon_sym_debugger] = ACTIONS(3204),
    [anon_sym_return] = ACTIONS(3204),
    [anon_sym_throw] = ACTIONS(3204),
    [anon_sym_SEMI] = ACTIONS(3204),
    [anon_sym_yield] = ACTIONS(3204),
    [anon_sym_LBRACK] = ACTIONS(3204),
    [anon_sym_LTtemplate_GT] = ACTIONS(3204),
    [anon_sym_DQUOTE] = ACTIONS(3204),
    [anon_sym_SQUOTE] = ACTIONS(3204),
    [anon_sym_class] = ACTIONS(3204),
    [anon_sym_async] = ACTIONS(3204),
    [anon_sym_function] = ACTIONS(3204),
    [anon_sym_new] = ACTIONS(3204),
    [anon_sym_using] = ACTIONS(3204),
    [anon_sym_PLUS] = ACTIONS(3204),
    [anon_sym_DASH] = ACTIONS(3204),
    [anon_sym_SLASH] = ACTIONS(3204),
    [anon_sym_LT] = ACTIONS(3204),
    [anon_sym_TILDE] = ACTIONS(3204),
    [anon_sym_void] = ACTIONS(3204),
    [anon_sym_delete] = ACTIONS(3204),
    [anon_sym_PLUS_PLUS] = ACTIONS(3204),
    [anon_sym_DASH_DASH] = ACTIONS(3204),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3204),
    [sym_number] = ACTIONS(3204),
    [sym_private_property_identifier] = ACTIONS(3204),
    [sym_this] = ACTIONS(3204),
    [sym_super] = ACTIONS(3204),
    [sym_true] = ACTIONS(3204),
    [sym_false] = ACTIONS(3204),
    [sym_null] = ACTIONS(3204),
    [sym_undefined] = ACTIONS(3204),
    [anon_sym_AT] = ACTIONS(3204),
    [anon_sym_static] = ACTIONS(3204),
    [anon_sym_readonly] = ACTIONS(3204),
    [anon_sym_get] = ACTIONS(3204),
    [anon_sym_set] = ACTIONS(3204),
    [anon_sym_declare] = ACTIONS(3204),
    [anon_sym_public] = ACTIONS(3204),
    [anon_sym_private] = ACTIONS(3204),
    [anon_sym_protected] = ACTIONS(3204),
    [anon_sym_override] = ACTIONS(3204),
    [anon_sym_module] = ACTIONS(3204),
    [anon_sym_any] = ACTIONS(3204),
    [anon_sym_number] = ACTIONS(3204),
    [anon_sym_boolean] = ACTIONS(3204),
    [anon_sym_string] = ACTIONS(3204),
    [anon_sym_symbol] = ACTIONS(3204),
    [anon_sym_object] = ACTIONS(3204),
    [anon_sym_abstract] = ACTIONS(3204),
    [anon_sym_interface] = ACTIONS(3204),
    [anon_sym_enum] = ACTIONS(3204),
    [sym_html_comment] = ACTIONS(5),
  },
  [1486] = {
    [sym_comment] = STATE(1486),
    [ts_builtin_sym_end] = ACTIONS(3528),
    [sym_identifier] = ACTIONS(3202),
    [anon_sym_export] = ACTIONS(3202),
    [anon_sym_type] = ACTIONS(3202),
    [anon_sym_namespace] = ACTIONS(3202),
    [anon_sym_LBRACE] = ACTIONS(3202),
    [anon_sym_RBRACE] = ACTIONS(3202),
    [anon_sym_typeof] = ACTIONS(3202),
    [anon_sym_import] = ACTIONS(3202),
    [anon_sym_with] = ACTIONS(3202),
    [anon_sym_var] = ACTIONS(3202),
    [anon_sym_let] = ACTIONS(3202),
    [anon_sym_const] = ACTIONS(3202),
    [anon_sym_BANG] = ACTIONS(3202),
    [anon_sym_else] = ACTIONS(3202),
    [anon_sym_if] = ACTIONS(3202),
    [anon_sym_switch] = ACTIONS(3202),
    [anon_sym_for] = ACTIONS(3202),
    [anon_sym_LPAREN] = ACTIONS(3202),
    [anon_sym_await] = ACTIONS(3202),
    [anon_sym_while] = ACTIONS(3202),
    [anon_sym_do] = ACTIONS(3202),
    [anon_sym_try] = ACTIONS(3202),
    [anon_sym_break] = ACTIONS(3202),
    [anon_sym_continue] = ACTIONS(3202),
    [anon_sym_debugger] = ACTIONS(3202),
    [anon_sym_return] = ACTIONS(3202),
    [anon_sym_throw] = ACTIONS(3202),
    [anon_sym_SEMI] = ACTIONS(3202),
    [anon_sym_yield] = ACTIONS(3202),
    [anon_sym_LBRACK] = ACTIONS(3202),
    [anon_sym_LTtemplate_GT] = ACTIONS(3202),
    [anon_sym_DQUOTE] = ACTIONS(3202),
    [anon_sym_SQUOTE] = ACTIONS(3202),
    [anon_sym_class] = ACTIONS(3202),
    [anon_sym_async] = ACTIONS(3202),
    [anon_sym_function] = ACTIONS(3202),
    [anon_sym_new] = ACTIONS(3202),
    [anon_sym_using] = ACTIONS(3202),
    [anon_sym_PLUS] = ACTIONS(3202),
    [anon_sym_DASH] = ACTIONS(3202),
    [anon_sym_SLASH] = ACTIONS(3202),
    [anon_sym_LT] = ACTIONS(3202),
    [anon_sym_TILDE] = ACTIONS(3202),
    [anon_sym_void] = ACTIONS(3202),
    [anon_sym_delete] = ACTIONS(3202),
    [anon_sym_PLUS_PLUS] = ACTIONS(3202),
    [anon_sym_DASH_DASH] = ACTIONS(3202),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3202),
    [sym_number] = ACTIONS(3202),
    [sym_private_property_identifier] = ACTIONS(3202),
    [sym_this] = ACTIONS(3202),
    [sym_super] = ACTIONS(3202),
    [sym_true] = ACTIONS(3202),
    [sym_false] = ACTIONS(3202),
    [sym_null] = ACTIONS(3202),
    [sym_undefined] = ACTIONS(3202),
    [anon_sym_AT] = ACTIONS(3202),
    [anon_sym_static] = ACTIONS(3202),
    [anon_sym_readonly] = ACTIONS(3202),
    [anon_sym_get] = ACTIONS(3202),
    [anon_sym_set] = ACTIONS(3202),
    [anon_sym_declare] = ACTIONS(3202),
    [anon_sym_public] = ACTIONS(3202),
    [anon_sym_private] = ACTIONS(3202),
    [anon_sym_protected] = ACTIONS(3202),
    [anon_sym_override] = ACTIONS(3202),
    [anon_sym_module] = ACTIONS(3202),
    [anon_sym_any] = ACTIONS(3202),
    [anon_sym_number] = ACTIONS(3202),
    [anon_sym_boolean] = ACTIONS(3202),
    [anon_sym_string] = ACTIONS(3202),
    [anon_sym_symbol] = ACTIONS(3202),
    [anon_sym_object] = ACTIONS(3202),
    [anon_sym_abstract] = ACTIONS(3202),
    [anon_sym_interface] = ACTIONS(3202),
    [anon_sym_enum] = ACTIONS(3202),
    [sym_html_comment] = ACTIONS(5),
  },
  [1487] = {
    [sym_comment] = STATE(1487),
    [ts_builtin_sym_end] = ACTIONS(3530),
    [sym_identifier] = ACTIONS(3200),
    [anon_sym_export] = ACTIONS(3200),
    [anon_sym_type] = ACTIONS(3200),
    [anon_sym_namespace] = ACTIONS(3200),
    [anon_sym_LBRACE] = ACTIONS(3200),
    [anon_sym_RBRACE] = ACTIONS(3200),
    [anon_sym_typeof] = ACTIONS(3200),
    [anon_sym_import] = ACTIONS(3200),
    [anon_sym_with] = ACTIONS(3200),
    [anon_sym_var] = ACTIONS(3200),
    [anon_sym_let] = ACTIONS(3200),
    [anon_sym_const] = ACTIONS(3200),
    [anon_sym_BANG] = ACTIONS(3200),
    [anon_sym_else] = ACTIONS(3200),
    [anon_sym_if] = ACTIONS(3200),
    [anon_sym_switch] = ACTIONS(3200),
    [anon_sym_for] = ACTIONS(3200),
    [anon_sym_LPAREN] = ACTIONS(3200),
    [anon_sym_await] = ACTIONS(3200),
    [anon_sym_while] = ACTIONS(3200),
    [anon_sym_do] = ACTIONS(3200),
    [anon_sym_try] = ACTIONS(3200),
    [anon_sym_break] = ACTIONS(3200),
    [anon_sym_continue] = ACTIONS(3200),
    [anon_sym_debugger] = ACTIONS(3200),
    [anon_sym_return] = ACTIONS(3200),
    [anon_sym_throw] = ACTIONS(3200),
    [anon_sym_SEMI] = ACTIONS(3200),
    [anon_sym_yield] = ACTIONS(3200),
    [anon_sym_LBRACK] = ACTIONS(3200),
    [anon_sym_LTtemplate_GT] = ACTIONS(3200),
    [anon_sym_DQUOTE] = ACTIONS(3200),
    [anon_sym_SQUOTE] = ACTIONS(3200),
    [anon_sym_class] = ACTIONS(3200),
    [anon_sym_async] = ACTIONS(3200),
    [anon_sym_function] = ACTIONS(3200),
    [anon_sym_new] = ACTIONS(3200),
    [anon_sym_using] = ACTIONS(3200),
    [anon_sym_PLUS] = ACTIONS(3200),
    [anon_sym_DASH] = ACTIONS(3200),
    [anon_sym_SLASH] = ACTIONS(3200),
    [anon_sym_LT] = ACTIONS(3200),
    [anon_sym_TILDE] = ACTIONS(3200),
    [anon_sym_void] = ACTIONS(3200),
    [anon_sym_delete] = ACTIONS(3200),
    [anon_sym_PLUS_PLUS] = ACTIONS(3200),
    [anon_sym_DASH_DASH] = ACTIONS(3200),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3200),
    [sym_number] = ACTIONS(3200),
    [sym_private_property_identifier] = ACTIONS(3200),
    [sym_this] = ACTIONS(3200),
    [sym_super] = ACTIONS(3200),
    [sym_true] = ACTIONS(3200),
    [sym_false] = ACTIONS(3200),
    [sym_null] = ACTIONS(3200),
    [sym_undefined] = ACTIONS(3200),
    [anon_sym_AT] = ACTIONS(3200),
    [anon_sym_static] = ACTIONS(3200),
    [anon_sym_readonly] = ACTIONS(3200),
    [anon_sym_get] = ACTIONS(3200),
    [anon_sym_set] = ACTIONS(3200),
    [anon_sym_declare] = ACTIONS(3200),
    [anon_sym_public] = ACTIONS(3200),
    [anon_sym_private] = ACTIONS(3200),
    [anon_sym_protected] = ACTIONS(3200),
    [anon_sym_override] = ACTIONS(3200),
    [anon_sym_module] = ACTIONS(3200),
    [anon_sym_any] = ACTIONS(3200),
    [anon_sym_number] = ACTIONS(3200),
    [anon_sym_boolean] = ACTIONS(3200),
    [anon_sym_string] = ACTIONS(3200),
    [anon_sym_symbol] = ACTIONS(3200),
    [anon_sym_object] = ACTIONS(3200),
    [anon_sym_abstract] = ACTIONS(3200),
    [anon_sym_interface] = ACTIONS(3200),
    [anon_sym_enum] = ACTIONS(3200),
    [sym_html_comment] = ACTIONS(5),
  },
  [1488] = {
    [sym_comment] = STATE(1488),
    [ts_builtin_sym_end] = ACTIONS(3532),
    [sym_identifier] = ACTIONS(3198),
    [anon_sym_export] = ACTIONS(3198),
    [anon_sym_type] = ACTIONS(3198),
    [anon_sym_namespace] = ACTIONS(3198),
    [anon_sym_LBRACE] = ACTIONS(3198),
    [anon_sym_RBRACE] = ACTIONS(3198),
    [anon_sym_typeof] = ACTIONS(3198),
    [anon_sym_import] = ACTIONS(3198),
    [anon_sym_with] = ACTIONS(3198),
    [anon_sym_var] = ACTIONS(3198),
    [anon_sym_let] = ACTIONS(3198),
    [anon_sym_const] = ACTIONS(3198),
    [anon_sym_BANG] = ACTIONS(3198),
    [anon_sym_else] = ACTIONS(3198),
    [anon_sym_if] = ACTIONS(3198),
    [anon_sym_switch] = ACTIONS(3198),
    [anon_sym_for] = ACTIONS(3198),
    [anon_sym_LPAREN] = ACTIONS(3198),
    [anon_sym_await] = ACTIONS(3198),
    [anon_sym_while] = ACTIONS(3198),
    [anon_sym_do] = ACTIONS(3198),
    [anon_sym_try] = ACTIONS(3198),
    [anon_sym_break] = ACTIONS(3198),
    [anon_sym_continue] = ACTIONS(3198),
    [anon_sym_debugger] = ACTIONS(3198),
    [anon_sym_return] = ACTIONS(3198),
    [anon_sym_throw] = ACTIONS(3198),
    [anon_sym_SEMI] = ACTIONS(3198),
    [anon_sym_yield] = ACTIONS(3198),
    [anon_sym_LBRACK] = ACTIONS(3198),
    [anon_sym_LTtemplate_GT] = ACTIONS(3198),
    [anon_sym_DQUOTE] = ACTIONS(3198),
    [anon_sym_SQUOTE] = ACTIONS(3198),
    [anon_sym_class] = ACTIONS(3198),
    [anon_sym_async] = ACTIONS(3198),
    [anon_sym_function] = ACTIONS(3198),
    [anon_sym_new] = ACTIONS(3198),
    [anon_sym_using] = ACTIONS(3198),
    [anon_sym_PLUS] = ACTIONS(3198),
    [anon_sym_DASH] = ACTIONS(3198),
    [anon_sym_SLASH] = ACTIONS(3198),
    [anon_sym_LT] = ACTIONS(3198),
    [anon_sym_TILDE] = ACTIONS(3198),
    [anon_sym_void] = ACTIONS(3198),
    [anon_sym_delete] = ACTIONS(3198),
    [anon_sym_PLUS_PLUS] = ACTIONS(3198),
    [anon_sym_DASH_DASH] = ACTIONS(3198),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3198),
    [sym_number] = ACTIONS(3198),
    [sym_private_property_identifier] = ACTIONS(3198),
    [sym_this] = ACTIONS(3198),
    [sym_super] = ACTIONS(3198),
    [sym_true] = ACTIONS(3198),
    [sym_false] = ACTIONS(3198),
    [sym_null] = ACTIONS(3198),
    [sym_undefined] = ACTIONS(3198),
    [anon_sym_AT] = ACTIONS(3198),
    [anon_sym_static] = ACTIONS(3198),
    [anon_sym_readonly] = ACTIONS(3198),
    [anon_sym_get] = ACTIONS(3198),
    [anon_sym_set] = ACTIONS(3198),
    [anon_sym_declare] = ACTIONS(3198),
    [anon_sym_public] = ACTIONS(3198),
    [anon_sym_private] = ACTIONS(3198),
    [anon_sym_protected] = ACTIONS(3198),
    [anon_sym_override] = ACTIONS(3198),
    [anon_sym_module] = ACTIONS(3198),
    [anon_sym_any] = ACTIONS(3198),
    [anon_sym_number] = ACTIONS(3198),
    [anon_sym_boolean] = ACTIONS(3198),
    [anon_sym_string] = ACTIONS(3198),
    [anon_sym_symbol] = ACTIONS(3198),
    [anon_sym_object] = ACTIONS(3198),
    [anon_sym_abstract] = ACTIONS(3198),
    [anon_sym_interface] = ACTIONS(3198),
    [anon_sym_enum] = ACTIONS(3198),
    [sym_html_comment] = ACTIONS(5),
  },
  [1489] = {
    [sym_comment] = STATE(1489),
    [ts_builtin_sym_end] = ACTIONS(3532),
    [sym_identifier] = ACTIONS(3198),
    [anon_sym_export] = ACTIONS(3198),
    [anon_sym_type] = ACTIONS(3198),
    [anon_sym_namespace] = ACTIONS(3198),
    [anon_sym_LBRACE] = ACTIONS(3198),
    [anon_sym_RBRACE] = ACTIONS(3198),
    [anon_sym_typeof] = ACTIONS(3198),
    [anon_sym_import] = ACTIONS(3198),
    [anon_sym_with] = ACTIONS(3198),
    [anon_sym_var] = ACTIONS(3198),
    [anon_sym_let] = ACTIONS(3198),
    [anon_sym_const] = ACTIONS(3198),
    [anon_sym_BANG] = ACTIONS(3198),
    [anon_sym_else] = ACTIONS(3198),
    [anon_sym_if] = ACTIONS(3198),
    [anon_sym_switch] = ACTIONS(3198),
    [anon_sym_for] = ACTIONS(3198),
    [anon_sym_LPAREN] = ACTIONS(3198),
    [anon_sym_await] = ACTIONS(3198),
    [anon_sym_while] = ACTIONS(3198),
    [anon_sym_do] = ACTIONS(3198),
    [anon_sym_try] = ACTIONS(3198),
    [anon_sym_break] = ACTIONS(3198),
    [anon_sym_continue] = ACTIONS(3198),
    [anon_sym_debugger] = ACTIONS(3198),
    [anon_sym_return] = ACTIONS(3198),
    [anon_sym_throw] = ACTIONS(3198),
    [anon_sym_SEMI] = ACTIONS(3198),
    [anon_sym_yield] = ACTIONS(3198),
    [anon_sym_LBRACK] = ACTIONS(3198),
    [anon_sym_LTtemplate_GT] = ACTIONS(3198),
    [anon_sym_DQUOTE] = ACTIONS(3198),
    [anon_sym_SQUOTE] = ACTIONS(3198),
    [anon_sym_class] = ACTIONS(3198),
    [anon_sym_async] = ACTIONS(3198),
    [anon_sym_function] = ACTIONS(3198),
    [anon_sym_new] = ACTIONS(3198),
    [anon_sym_using] = ACTIONS(3198),
    [anon_sym_PLUS] = ACTIONS(3198),
    [anon_sym_DASH] = ACTIONS(3198),
    [anon_sym_SLASH] = ACTIONS(3198),
    [anon_sym_LT] = ACTIONS(3198),
    [anon_sym_TILDE] = ACTIONS(3198),
    [anon_sym_void] = ACTIONS(3198),
    [anon_sym_delete] = ACTIONS(3198),
    [anon_sym_PLUS_PLUS] = ACTIONS(3198),
    [anon_sym_DASH_DASH] = ACTIONS(3198),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3198),
    [sym_number] = ACTIONS(3198),
    [sym_private_property_identifier] = ACTIONS(3198),
    [sym_this] = ACTIONS(3198),
    [sym_super] = ACTIONS(3198),
    [sym_true] = ACTIONS(3198),
    [sym_false] = ACTIONS(3198),
    [sym_null] = ACTIONS(3198),
    [sym_undefined] = ACTIONS(3198),
    [anon_sym_AT] = ACTIONS(3198),
    [anon_sym_static] = ACTIONS(3198),
    [anon_sym_readonly] = ACTIONS(3198),
    [anon_sym_get] = ACTIONS(3198),
    [anon_sym_set] = ACTIONS(3198),
    [anon_sym_declare] = ACTIONS(3198),
    [anon_sym_public] = ACTIONS(3198),
    [anon_sym_private] = ACTIONS(3198),
    [anon_sym_protected] = ACTIONS(3198),
    [anon_sym_override] = ACTIONS(3198),
    [anon_sym_module] = ACTIONS(3198),
    [anon_sym_any] = ACTIONS(3198),
    [anon_sym_number] = ACTIONS(3198),
    [anon_sym_boolean] = ACTIONS(3198),
    [anon_sym_string] = ACTIONS(3198),
    [anon_sym_symbol] = ACTIONS(3198),
    [anon_sym_object] = ACTIONS(3198),
    [anon_sym_abstract] = ACTIONS(3198),
    [anon_sym_interface] = ACTIONS(3198),
    [anon_sym_enum] = ACTIONS(3198),
    [sym_html_comment] = ACTIONS(5),
  },
  [1490] = {
    [sym_comment] = STATE(1490),
    [ts_builtin_sym_end] = ACTIONS(3534),
    [sym_identifier] = ACTIONS(3194),
    [anon_sym_export] = ACTIONS(3194),
    [anon_sym_type] = ACTIONS(3194),
    [anon_sym_namespace] = ACTIONS(3194),
    [anon_sym_LBRACE] = ACTIONS(3194),
    [anon_sym_RBRACE] = ACTIONS(3194),
    [anon_sym_typeof] = ACTIONS(3194),
    [anon_sym_import] = ACTIONS(3194),
    [anon_sym_with] = ACTIONS(3194),
    [anon_sym_var] = ACTIONS(3194),
    [anon_sym_let] = ACTIONS(3194),
    [anon_sym_const] = ACTIONS(3194),
    [anon_sym_BANG] = ACTIONS(3194),
    [anon_sym_else] = ACTIONS(3194),
    [anon_sym_if] = ACTIONS(3194),
    [anon_sym_switch] = ACTIONS(3194),
    [anon_sym_for] = ACTIONS(3194),
    [anon_sym_LPAREN] = ACTIONS(3194),
    [anon_sym_await] = ACTIONS(3194),
    [anon_sym_while] = ACTIONS(3194),
    [anon_sym_do] = ACTIONS(3194),
    [anon_sym_try] = ACTIONS(3194),
    [anon_sym_break] = ACTIONS(3194),
    [anon_sym_continue] = ACTIONS(3194),
    [anon_sym_debugger] = ACTIONS(3194),
    [anon_sym_return] = ACTIONS(3194),
    [anon_sym_throw] = ACTIONS(3194),
    [anon_sym_SEMI] = ACTIONS(3194),
    [anon_sym_yield] = ACTIONS(3194),
    [anon_sym_LBRACK] = ACTIONS(3194),
    [anon_sym_LTtemplate_GT] = ACTIONS(3194),
    [anon_sym_DQUOTE] = ACTIONS(3194),
    [anon_sym_SQUOTE] = ACTIONS(3194),
    [anon_sym_class] = ACTIONS(3194),
    [anon_sym_async] = ACTIONS(3194),
    [anon_sym_function] = ACTIONS(3194),
    [anon_sym_new] = ACTIONS(3194),
    [anon_sym_using] = ACTIONS(3194),
    [anon_sym_PLUS] = ACTIONS(3194),
    [anon_sym_DASH] = ACTIONS(3194),
    [anon_sym_SLASH] = ACTIONS(3194),
    [anon_sym_LT] = ACTIONS(3194),
    [anon_sym_TILDE] = ACTIONS(3194),
    [anon_sym_void] = ACTIONS(3194),
    [anon_sym_delete] = ACTIONS(3194),
    [anon_sym_PLUS_PLUS] = ACTIONS(3194),
    [anon_sym_DASH_DASH] = ACTIONS(3194),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3194),
    [sym_number] = ACTIONS(3194),
    [sym_private_property_identifier] = ACTIONS(3194),
    [sym_this] = ACTIONS(3194),
    [sym_super] = ACTIONS(3194),
    [sym_true] = ACTIONS(3194),
    [sym_false] = ACTIONS(3194),
    [sym_null] = ACTIONS(3194),
    [sym_undefined] = ACTIONS(3194),
    [anon_sym_AT] = ACTIONS(3194),
    [anon_sym_static] = ACTIONS(3194),
    [anon_sym_readonly] = ACTIONS(3194),
    [anon_sym_get] = ACTIONS(3194),
    [anon_sym_set] = ACTIONS(3194),
    [anon_sym_declare] = ACTIONS(3194),
    [anon_sym_public] = ACTIONS(3194),
    [anon_sym_private] = ACTIONS(3194),
    [anon_sym_protected] = ACTIONS(3194),
    [anon_sym_override] = ACTIONS(3194),
    [anon_sym_module] = ACTIONS(3194),
    [anon_sym_any] = ACTIONS(3194),
    [anon_sym_number] = ACTIONS(3194),
    [anon_sym_boolean] = ACTIONS(3194),
    [anon_sym_string] = ACTIONS(3194),
    [anon_sym_symbol] = ACTIONS(3194),
    [anon_sym_object] = ACTIONS(3194),
    [anon_sym_abstract] = ACTIONS(3194),
    [anon_sym_interface] = ACTIONS(3194),
    [anon_sym_enum] = ACTIONS(3194),
    [sym_html_comment] = ACTIONS(5),
  },
  [1491] = {
    [sym_comment] = STATE(1491),
    [ts_builtin_sym_end] = ACTIONS(3536),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_export] = ACTIONS(3190),
    [anon_sym_type] = ACTIONS(3190),
    [anon_sym_namespace] = ACTIONS(3190),
    [anon_sym_LBRACE] = ACTIONS(3190),
    [anon_sym_RBRACE] = ACTIONS(3190),
    [anon_sym_typeof] = ACTIONS(3190),
    [anon_sym_import] = ACTIONS(3190),
    [anon_sym_with] = ACTIONS(3190),
    [anon_sym_var] = ACTIONS(3190),
    [anon_sym_let] = ACTIONS(3190),
    [anon_sym_const] = ACTIONS(3190),
    [anon_sym_BANG] = ACTIONS(3190),
    [anon_sym_else] = ACTIONS(3190),
    [anon_sym_if] = ACTIONS(3190),
    [anon_sym_switch] = ACTIONS(3190),
    [anon_sym_for] = ACTIONS(3190),
    [anon_sym_LPAREN] = ACTIONS(3190),
    [anon_sym_await] = ACTIONS(3190),
    [anon_sym_while] = ACTIONS(3190),
    [anon_sym_do] = ACTIONS(3190),
    [anon_sym_try] = ACTIONS(3190),
    [anon_sym_break] = ACTIONS(3190),
    [anon_sym_continue] = ACTIONS(3190),
    [anon_sym_debugger] = ACTIONS(3190),
    [anon_sym_return] = ACTIONS(3190),
    [anon_sym_throw] = ACTIONS(3190),
    [anon_sym_SEMI] = ACTIONS(3190),
    [anon_sym_yield] = ACTIONS(3190),
    [anon_sym_LBRACK] = ACTIONS(3190),
    [anon_sym_LTtemplate_GT] = ACTIONS(3190),
    [anon_sym_DQUOTE] = ACTIONS(3190),
    [anon_sym_SQUOTE] = ACTIONS(3190),
    [anon_sym_class] = ACTIONS(3190),
    [anon_sym_async] = ACTIONS(3190),
    [anon_sym_function] = ACTIONS(3190),
    [anon_sym_new] = ACTIONS(3190),
    [anon_sym_using] = ACTIONS(3190),
    [anon_sym_PLUS] = ACTIONS(3190),
    [anon_sym_DASH] = ACTIONS(3190),
    [anon_sym_SLASH] = ACTIONS(3190),
    [anon_sym_LT] = ACTIONS(3190),
    [anon_sym_TILDE] = ACTIONS(3190),
    [anon_sym_void] = ACTIONS(3190),
    [anon_sym_delete] = ACTIONS(3190),
    [anon_sym_PLUS_PLUS] = ACTIONS(3190),
    [anon_sym_DASH_DASH] = ACTIONS(3190),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3190),
    [sym_number] = ACTIONS(3190),
    [sym_private_property_identifier] = ACTIONS(3190),
    [sym_this] = ACTIONS(3190),
    [sym_super] = ACTIONS(3190),
    [sym_true] = ACTIONS(3190),
    [sym_false] = ACTIONS(3190),
    [sym_null] = ACTIONS(3190),
    [sym_undefined] = ACTIONS(3190),
    [anon_sym_AT] = ACTIONS(3190),
    [anon_sym_static] = ACTIONS(3190),
    [anon_sym_readonly] = ACTIONS(3190),
    [anon_sym_get] = ACTIONS(3190),
    [anon_sym_set] = ACTIONS(3190),
    [anon_sym_declare] = ACTIONS(3190),
    [anon_sym_public] = ACTIONS(3190),
    [anon_sym_private] = ACTIONS(3190),
    [anon_sym_protected] = ACTIONS(3190),
    [anon_sym_override] = ACTIONS(3190),
    [anon_sym_module] = ACTIONS(3190),
    [anon_sym_any] = ACTIONS(3190),
    [anon_sym_number] = ACTIONS(3190),
    [anon_sym_boolean] = ACTIONS(3190),
    [anon_sym_string] = ACTIONS(3190),
    [anon_sym_symbol] = ACTIONS(3190),
    [anon_sym_object] = ACTIONS(3190),
    [anon_sym_abstract] = ACTIONS(3190),
    [anon_sym_interface] = ACTIONS(3190),
    [anon_sym_enum] = ACTIONS(3190),
    [sym_html_comment] = ACTIONS(5),
  },
  [1492] = {
    [sym_comment] = STATE(1492),
    [ts_builtin_sym_end] = ACTIONS(3538),
    [sym_identifier] = ACTIONS(3186),
    [anon_sym_export] = ACTIONS(3186),
    [anon_sym_type] = ACTIONS(3186),
    [anon_sym_namespace] = ACTIONS(3186),
    [anon_sym_LBRACE] = ACTIONS(3186),
    [anon_sym_RBRACE] = ACTIONS(3186),
    [anon_sym_typeof] = ACTIONS(3186),
    [anon_sym_import] = ACTIONS(3186),
    [anon_sym_with] = ACTIONS(3186),
    [anon_sym_var] = ACTIONS(3186),
    [anon_sym_let] = ACTIONS(3186),
    [anon_sym_const] = ACTIONS(3186),
    [anon_sym_BANG] = ACTIONS(3186),
    [anon_sym_else] = ACTIONS(3186),
    [anon_sym_if] = ACTIONS(3186),
    [anon_sym_switch] = ACTIONS(3186),
    [anon_sym_for] = ACTIONS(3186),
    [anon_sym_LPAREN] = ACTIONS(3186),
    [anon_sym_await] = ACTIONS(3186),
    [anon_sym_while] = ACTIONS(3186),
    [anon_sym_do] = ACTIONS(3186),
    [anon_sym_try] = ACTIONS(3186),
    [anon_sym_break] = ACTIONS(3186),
    [anon_sym_continue] = ACTIONS(3186),
    [anon_sym_debugger] = ACTIONS(3186),
    [anon_sym_return] = ACTIONS(3186),
    [anon_sym_throw] = ACTIONS(3186),
    [anon_sym_SEMI] = ACTIONS(3186),
    [anon_sym_yield] = ACTIONS(3186),
    [anon_sym_LBRACK] = ACTIONS(3186),
    [anon_sym_LTtemplate_GT] = ACTIONS(3186),
    [anon_sym_DQUOTE] = ACTIONS(3186),
    [anon_sym_SQUOTE] = ACTIONS(3186),
    [anon_sym_class] = ACTIONS(3186),
    [anon_sym_async] = ACTIONS(3186),
    [anon_sym_function] = ACTIONS(3186),
    [anon_sym_new] = ACTIONS(3186),
    [anon_sym_using] = ACTIONS(3186),
    [anon_sym_PLUS] = ACTIONS(3186),
    [anon_sym_DASH] = ACTIONS(3186),
    [anon_sym_SLASH] = ACTIONS(3186),
    [anon_sym_LT] = ACTIONS(3186),
    [anon_sym_TILDE] = ACTIONS(3186),
    [anon_sym_void] = ACTIONS(3186),
    [anon_sym_delete] = ACTIONS(3186),
    [anon_sym_PLUS_PLUS] = ACTIONS(3186),
    [anon_sym_DASH_DASH] = ACTIONS(3186),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3186),
    [sym_number] = ACTIONS(3186),
    [sym_private_property_identifier] = ACTIONS(3186),
    [sym_this] = ACTIONS(3186),
    [sym_super] = ACTIONS(3186),
    [sym_true] = ACTIONS(3186),
    [sym_false] = ACTIONS(3186),
    [sym_null] = ACTIONS(3186),
    [sym_undefined] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(3186),
    [anon_sym_static] = ACTIONS(3186),
    [anon_sym_readonly] = ACTIONS(3186),
    [anon_sym_get] = ACTIONS(3186),
    [anon_sym_set] = ACTIONS(3186),
    [anon_sym_declare] = ACTIONS(3186),
    [anon_sym_public] = ACTIONS(3186),
    [anon_sym_private] = ACTIONS(3186),
    [anon_sym_protected] = ACTIONS(3186),
    [anon_sym_override] = ACTIONS(3186),
    [anon_sym_module] = ACTIONS(3186),
    [anon_sym_any] = ACTIONS(3186),
    [anon_sym_number] = ACTIONS(3186),
    [anon_sym_boolean] = ACTIONS(3186),
    [anon_sym_string] = ACTIONS(3186),
    [anon_sym_symbol] = ACTIONS(3186),
    [anon_sym_object] = ACTIONS(3186),
    [anon_sym_abstract] = ACTIONS(3186),
    [anon_sym_interface] = ACTIONS(3186),
    [anon_sym_enum] = ACTIONS(3186),
    [sym_html_comment] = ACTIONS(5),
  },
  [1493] = {
    [sym_comment] = STATE(1493),
    [ts_builtin_sym_end] = ACTIONS(3540),
    [sym_identifier] = ACTIONS(3330),
    [anon_sym_export] = ACTIONS(3330),
    [anon_sym_type] = ACTIONS(3330),
    [anon_sym_namespace] = ACTIONS(3330),
    [anon_sym_LBRACE] = ACTIONS(3330),
    [anon_sym_RBRACE] = ACTIONS(3330),
    [anon_sym_typeof] = ACTIONS(3330),
    [anon_sym_import] = ACTIONS(3330),
    [anon_sym_with] = ACTIONS(3330),
    [anon_sym_var] = ACTIONS(3330),
    [anon_sym_let] = ACTIONS(3330),
    [anon_sym_const] = ACTIONS(3330),
    [anon_sym_BANG] = ACTIONS(3330),
    [anon_sym_else] = ACTIONS(3330),
    [anon_sym_if] = ACTIONS(3330),
    [anon_sym_switch] = ACTIONS(3330),
    [anon_sym_for] = ACTIONS(3330),
    [anon_sym_LPAREN] = ACTIONS(3330),
    [anon_sym_await] = ACTIONS(3330),
    [anon_sym_while] = ACTIONS(3330),
    [anon_sym_do] = ACTIONS(3330),
    [anon_sym_try] = ACTIONS(3330),
    [anon_sym_break] = ACTIONS(3330),
    [anon_sym_continue] = ACTIONS(3330),
    [anon_sym_debugger] = ACTIONS(3330),
    [anon_sym_return] = ACTIONS(3330),
    [anon_sym_throw] = ACTIONS(3330),
    [anon_sym_SEMI] = ACTIONS(3330),
    [anon_sym_yield] = ACTIONS(3330),
    [anon_sym_LBRACK] = ACTIONS(3330),
    [anon_sym_LTtemplate_GT] = ACTIONS(3330),
    [anon_sym_DQUOTE] = ACTIONS(3330),
    [anon_sym_SQUOTE] = ACTIONS(3330),
    [anon_sym_class] = ACTIONS(3330),
    [anon_sym_async] = ACTIONS(3330),
    [anon_sym_function] = ACTIONS(3330),
    [anon_sym_new] = ACTIONS(3330),
    [anon_sym_using] = ACTIONS(3330),
    [anon_sym_PLUS] = ACTIONS(3330),
    [anon_sym_DASH] = ACTIONS(3330),
    [anon_sym_SLASH] = ACTIONS(3330),
    [anon_sym_LT] = ACTIONS(3330),
    [anon_sym_TILDE] = ACTIONS(3330),
    [anon_sym_void] = ACTIONS(3330),
    [anon_sym_delete] = ACTIONS(3330),
    [anon_sym_PLUS_PLUS] = ACTIONS(3330),
    [anon_sym_DASH_DASH] = ACTIONS(3330),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3330),
    [sym_number] = ACTIONS(3330),
    [sym_private_property_identifier] = ACTIONS(3330),
    [sym_this] = ACTIONS(3330),
    [sym_super] = ACTIONS(3330),
    [sym_true] = ACTIONS(3330),
    [sym_false] = ACTIONS(3330),
    [sym_null] = ACTIONS(3330),
    [sym_undefined] = ACTIONS(3330),
    [anon_sym_AT] = ACTIONS(3330),
    [anon_sym_static] = ACTIONS(3330),
    [anon_sym_readonly] = ACTIONS(3330),
    [anon_sym_get] = ACTIONS(3330),
    [anon_sym_set] = ACTIONS(3330),
    [anon_sym_declare] = ACTIONS(3330),
    [anon_sym_public] = ACTIONS(3330),
    [anon_sym_private] = ACTIONS(3330),
    [anon_sym_protected] = ACTIONS(3330),
    [anon_sym_override] = ACTIONS(3330),
    [anon_sym_module] = ACTIONS(3330),
    [anon_sym_any] = ACTIONS(3330),
    [anon_sym_number] = ACTIONS(3330),
    [anon_sym_boolean] = ACTIONS(3330),
    [anon_sym_string] = ACTIONS(3330),
    [anon_sym_symbol] = ACTIONS(3330),
    [anon_sym_object] = ACTIONS(3330),
    [anon_sym_abstract] = ACTIONS(3330),
    [anon_sym_interface] = ACTIONS(3330),
    [anon_sym_enum] = ACTIONS(3330),
    [sym_html_comment] = ACTIONS(5),
  },
  [1494] = {
    [sym_comment] = STATE(1494),
    [ts_builtin_sym_end] = ACTIONS(3540),
    [sym_identifier] = ACTIONS(3330),
    [anon_sym_export] = ACTIONS(3330),
    [anon_sym_type] = ACTIONS(3330),
    [anon_sym_namespace] = ACTIONS(3330),
    [anon_sym_LBRACE] = ACTIONS(3330),
    [anon_sym_RBRACE] = ACTIONS(3330),
    [anon_sym_typeof] = ACTIONS(3330),
    [anon_sym_import] = ACTIONS(3330),
    [anon_sym_with] = ACTIONS(3330),
    [anon_sym_var] = ACTIONS(3330),
    [anon_sym_let] = ACTIONS(3330),
    [anon_sym_const] = ACTIONS(3330),
    [anon_sym_BANG] = ACTIONS(3330),
    [anon_sym_else] = ACTIONS(3330),
    [anon_sym_if] = ACTIONS(3330),
    [anon_sym_switch] = ACTIONS(3330),
    [anon_sym_for] = ACTIONS(3330),
    [anon_sym_LPAREN] = ACTIONS(3330),
    [anon_sym_await] = ACTIONS(3330),
    [anon_sym_while] = ACTIONS(3330),
    [anon_sym_do] = ACTIONS(3330),
    [anon_sym_try] = ACTIONS(3330),
    [anon_sym_break] = ACTIONS(3330),
    [anon_sym_continue] = ACTIONS(3330),
    [anon_sym_debugger] = ACTIONS(3330),
    [anon_sym_return] = ACTIONS(3330),
    [anon_sym_throw] = ACTIONS(3330),
    [anon_sym_SEMI] = ACTIONS(3330),
    [anon_sym_yield] = ACTIONS(3330),
    [anon_sym_LBRACK] = ACTIONS(3330),
    [anon_sym_LTtemplate_GT] = ACTIONS(3330),
    [anon_sym_DQUOTE] = ACTIONS(3330),
    [anon_sym_SQUOTE] = ACTIONS(3330),
    [anon_sym_class] = ACTIONS(3330),
    [anon_sym_async] = ACTIONS(3330),
    [anon_sym_function] = ACTIONS(3330),
    [anon_sym_new] = ACTIONS(3330),
    [anon_sym_using] = ACTIONS(3330),
    [anon_sym_PLUS] = ACTIONS(3330),
    [anon_sym_DASH] = ACTIONS(3330),
    [anon_sym_SLASH] = ACTIONS(3330),
    [anon_sym_LT] = ACTIONS(3330),
    [anon_sym_TILDE] = ACTIONS(3330),
    [anon_sym_void] = ACTIONS(3330),
    [anon_sym_delete] = ACTIONS(3330),
    [anon_sym_PLUS_PLUS] = ACTIONS(3330),
    [anon_sym_DASH_DASH] = ACTIONS(3330),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3330),
    [sym_number] = ACTIONS(3330),
    [sym_private_property_identifier] = ACTIONS(3330),
    [sym_this] = ACTIONS(3330),
    [sym_super] = ACTIONS(3330),
    [sym_true] = ACTIONS(3330),
    [sym_false] = ACTIONS(3330),
    [sym_null] = ACTIONS(3330),
    [sym_undefined] = ACTIONS(3330),
    [anon_sym_AT] = ACTIONS(3330),
    [anon_sym_static] = ACTIONS(3330),
    [anon_sym_readonly] = ACTIONS(3330),
    [anon_sym_get] = ACTIONS(3330),
    [anon_sym_set] = ACTIONS(3330),
    [anon_sym_declare] = ACTIONS(3330),
    [anon_sym_public] = ACTIONS(3330),
    [anon_sym_private] = ACTIONS(3330),
    [anon_sym_protected] = ACTIONS(3330),
    [anon_sym_override] = ACTIONS(3330),
    [anon_sym_module] = ACTIONS(3330),
    [anon_sym_any] = ACTIONS(3330),
    [anon_sym_number] = ACTIONS(3330),
    [anon_sym_boolean] = ACTIONS(3330),
    [anon_sym_string] = ACTIONS(3330),
    [anon_sym_symbol] = ACTIONS(3330),
    [anon_sym_object] = ACTIONS(3330),
    [anon_sym_abstract] = ACTIONS(3330),
    [anon_sym_interface] = ACTIONS(3330),
    [anon_sym_enum] = ACTIONS(3330),
    [sym_html_comment] = ACTIONS(5),
  },
  [1495] = {
    [sym_comment] = STATE(1495),
    [ts_builtin_sym_end] = ACTIONS(3542),
    [sym_identifier] = ACTIONS(3328),
    [anon_sym_export] = ACTIONS(3328),
    [anon_sym_type] = ACTIONS(3328),
    [anon_sym_namespace] = ACTIONS(3328),
    [anon_sym_LBRACE] = ACTIONS(3328),
    [anon_sym_RBRACE] = ACTIONS(3328),
    [anon_sym_typeof] = ACTIONS(3328),
    [anon_sym_import] = ACTIONS(3328),
    [anon_sym_with] = ACTIONS(3328),
    [anon_sym_var] = ACTIONS(3328),
    [anon_sym_let] = ACTIONS(3328),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_BANG] = ACTIONS(3328),
    [anon_sym_else] = ACTIONS(3328),
    [anon_sym_if] = ACTIONS(3328),
    [anon_sym_switch] = ACTIONS(3328),
    [anon_sym_for] = ACTIONS(3328),
    [anon_sym_LPAREN] = ACTIONS(3328),
    [anon_sym_await] = ACTIONS(3328),
    [anon_sym_while] = ACTIONS(3328),
    [anon_sym_do] = ACTIONS(3328),
    [anon_sym_try] = ACTIONS(3328),
    [anon_sym_break] = ACTIONS(3328),
    [anon_sym_continue] = ACTIONS(3328),
    [anon_sym_debugger] = ACTIONS(3328),
    [anon_sym_return] = ACTIONS(3328),
    [anon_sym_throw] = ACTIONS(3328),
    [anon_sym_SEMI] = ACTIONS(3328),
    [anon_sym_yield] = ACTIONS(3328),
    [anon_sym_LBRACK] = ACTIONS(3328),
    [anon_sym_LTtemplate_GT] = ACTIONS(3328),
    [anon_sym_DQUOTE] = ACTIONS(3328),
    [anon_sym_SQUOTE] = ACTIONS(3328),
    [anon_sym_class] = ACTIONS(3328),
    [anon_sym_async] = ACTIONS(3328),
    [anon_sym_function] = ACTIONS(3328),
    [anon_sym_new] = ACTIONS(3328),
    [anon_sym_using] = ACTIONS(3328),
    [anon_sym_PLUS] = ACTIONS(3328),
    [anon_sym_DASH] = ACTIONS(3328),
    [anon_sym_SLASH] = ACTIONS(3328),
    [anon_sym_LT] = ACTIONS(3328),
    [anon_sym_TILDE] = ACTIONS(3328),
    [anon_sym_void] = ACTIONS(3328),
    [anon_sym_delete] = ACTIONS(3328),
    [anon_sym_PLUS_PLUS] = ACTIONS(3328),
    [anon_sym_DASH_DASH] = ACTIONS(3328),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3328),
    [sym_number] = ACTIONS(3328),
    [sym_private_property_identifier] = ACTIONS(3328),
    [sym_this] = ACTIONS(3328),
    [sym_super] = ACTIONS(3328),
    [sym_true] = ACTIONS(3328),
    [sym_false] = ACTIONS(3328),
    [sym_null] = ACTIONS(3328),
    [sym_undefined] = ACTIONS(3328),
    [anon_sym_AT] = ACTIONS(3328),
    [anon_sym_static] = ACTIONS(3328),
    [anon_sym_readonly] = ACTIONS(3328),
    [anon_sym_get] = ACTIONS(3328),
    [anon_sym_set] = ACTIONS(3328),
    [anon_sym_declare] = ACTIONS(3328),
    [anon_sym_public] = ACTIONS(3328),
    [anon_sym_private] = ACTIONS(3328),
    [anon_sym_protected] = ACTIONS(3328),
    [anon_sym_override] = ACTIONS(3328),
    [anon_sym_module] = ACTIONS(3328),
    [anon_sym_any] = ACTIONS(3328),
    [anon_sym_number] = ACTIONS(3328),
    [anon_sym_boolean] = ACTIONS(3328),
    [anon_sym_string] = ACTIONS(3328),
    [anon_sym_symbol] = ACTIONS(3328),
    [anon_sym_object] = ACTIONS(3328),
    [anon_sym_abstract] = ACTIONS(3328),
    [anon_sym_interface] = ACTIONS(3328),
    [anon_sym_enum] = ACTIONS(3328),
    [sym_html_comment] = ACTIONS(5),
  },
  [1496] = {
    [sym_comment] = STATE(1496),
    [ts_builtin_sym_end] = ACTIONS(3544),
    [sym_identifier] = ACTIONS(3184),
    [anon_sym_export] = ACTIONS(3184),
    [anon_sym_type] = ACTIONS(3184),
    [anon_sym_namespace] = ACTIONS(3184),
    [anon_sym_LBRACE] = ACTIONS(3184),
    [anon_sym_RBRACE] = ACTIONS(3184),
    [anon_sym_typeof] = ACTIONS(3184),
    [anon_sym_import] = ACTIONS(3184),
    [anon_sym_with] = ACTIONS(3184),
    [anon_sym_var] = ACTIONS(3184),
    [anon_sym_let] = ACTIONS(3184),
    [anon_sym_const] = ACTIONS(3184),
    [anon_sym_BANG] = ACTIONS(3184),
    [anon_sym_else] = ACTIONS(3184),
    [anon_sym_if] = ACTIONS(3184),
    [anon_sym_switch] = ACTIONS(3184),
    [anon_sym_for] = ACTIONS(3184),
    [anon_sym_LPAREN] = ACTIONS(3184),
    [anon_sym_await] = ACTIONS(3184),
    [anon_sym_while] = ACTIONS(3184),
    [anon_sym_do] = ACTIONS(3184),
    [anon_sym_try] = ACTIONS(3184),
    [anon_sym_break] = ACTIONS(3184),
    [anon_sym_continue] = ACTIONS(3184),
    [anon_sym_debugger] = ACTIONS(3184),
    [anon_sym_return] = ACTIONS(3184),
    [anon_sym_throw] = ACTIONS(3184),
    [anon_sym_SEMI] = ACTIONS(3184),
    [anon_sym_yield] = ACTIONS(3184),
    [anon_sym_LBRACK] = ACTIONS(3184),
    [anon_sym_LTtemplate_GT] = ACTIONS(3184),
    [anon_sym_DQUOTE] = ACTIONS(3184),
    [anon_sym_SQUOTE] = ACTIONS(3184),
    [anon_sym_class] = ACTIONS(3184),
    [anon_sym_async] = ACTIONS(3184),
    [anon_sym_function] = ACTIONS(3184),
    [anon_sym_new] = ACTIONS(3184),
    [anon_sym_using] = ACTIONS(3184),
    [anon_sym_PLUS] = ACTIONS(3184),
    [anon_sym_DASH] = ACTIONS(3184),
    [anon_sym_SLASH] = ACTIONS(3184),
    [anon_sym_LT] = ACTIONS(3184),
    [anon_sym_TILDE] = ACTIONS(3184),
    [anon_sym_void] = ACTIONS(3184),
    [anon_sym_delete] = ACTIONS(3184),
    [anon_sym_PLUS_PLUS] = ACTIONS(3184),
    [anon_sym_DASH_DASH] = ACTIONS(3184),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3184),
    [sym_number] = ACTIONS(3184),
    [sym_private_property_identifier] = ACTIONS(3184),
    [sym_this] = ACTIONS(3184),
    [sym_super] = ACTIONS(3184),
    [sym_true] = ACTIONS(3184),
    [sym_false] = ACTIONS(3184),
    [sym_null] = ACTIONS(3184),
    [sym_undefined] = ACTIONS(3184),
    [anon_sym_AT] = ACTIONS(3184),
    [anon_sym_static] = ACTIONS(3184),
    [anon_sym_readonly] = ACTIONS(3184),
    [anon_sym_get] = ACTIONS(3184),
    [anon_sym_set] = ACTIONS(3184),
    [anon_sym_declare] = ACTIONS(3184),
    [anon_sym_public] = ACTIONS(3184),
    [anon_sym_private] = ACTIONS(3184),
    [anon_sym_protected] = ACTIONS(3184),
    [anon_sym_override] = ACTIONS(3184),
    [anon_sym_module] = ACTIONS(3184),
    [anon_sym_any] = ACTIONS(3184),
    [anon_sym_number] = ACTIONS(3184),
    [anon_sym_boolean] = ACTIONS(3184),
    [anon_sym_string] = ACTIONS(3184),
    [anon_sym_symbol] = ACTIONS(3184),
    [anon_sym_object] = ACTIONS(3184),
    [anon_sym_abstract] = ACTIONS(3184),
    [anon_sym_interface] = ACTIONS(3184),
    [anon_sym_enum] = ACTIONS(3184),
    [sym_html_comment] = ACTIONS(5),
  },
  [1497] = {
    [sym_comment] = STATE(1497),
    [ts_builtin_sym_end] = ACTIONS(3546),
    [sym_identifier] = ACTIONS(3182),
    [anon_sym_export] = ACTIONS(3182),
    [anon_sym_type] = ACTIONS(3182),
    [anon_sym_namespace] = ACTIONS(3182),
    [anon_sym_LBRACE] = ACTIONS(3182),
    [anon_sym_RBRACE] = ACTIONS(3182),
    [anon_sym_typeof] = ACTIONS(3182),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_with] = ACTIONS(3182),
    [anon_sym_var] = ACTIONS(3182),
    [anon_sym_let] = ACTIONS(3182),
    [anon_sym_const] = ACTIONS(3182),
    [anon_sym_BANG] = ACTIONS(3182),
    [anon_sym_else] = ACTIONS(3182),
    [anon_sym_if] = ACTIONS(3182),
    [anon_sym_switch] = ACTIONS(3182),
    [anon_sym_for] = ACTIONS(3182),
    [anon_sym_LPAREN] = ACTIONS(3182),
    [anon_sym_await] = ACTIONS(3182),
    [anon_sym_while] = ACTIONS(3182),
    [anon_sym_do] = ACTIONS(3182),
    [anon_sym_try] = ACTIONS(3182),
    [anon_sym_break] = ACTIONS(3182),
    [anon_sym_continue] = ACTIONS(3182),
    [anon_sym_debugger] = ACTIONS(3182),
    [anon_sym_return] = ACTIONS(3182),
    [anon_sym_throw] = ACTIONS(3182),
    [anon_sym_SEMI] = ACTIONS(3182),
    [anon_sym_yield] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3182),
    [anon_sym_LTtemplate_GT] = ACTIONS(3182),
    [anon_sym_DQUOTE] = ACTIONS(3182),
    [anon_sym_SQUOTE] = ACTIONS(3182),
    [anon_sym_class] = ACTIONS(3182),
    [anon_sym_async] = ACTIONS(3182),
    [anon_sym_function] = ACTIONS(3182),
    [anon_sym_new] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_PLUS] = ACTIONS(3182),
    [anon_sym_DASH] = ACTIONS(3182),
    [anon_sym_SLASH] = ACTIONS(3182),
    [anon_sym_LT] = ACTIONS(3182),
    [anon_sym_TILDE] = ACTIONS(3182),
    [anon_sym_void] = ACTIONS(3182),
    [anon_sym_delete] = ACTIONS(3182),
    [anon_sym_PLUS_PLUS] = ACTIONS(3182),
    [anon_sym_DASH_DASH] = ACTIONS(3182),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3182),
    [sym_number] = ACTIONS(3182),
    [sym_private_property_identifier] = ACTIONS(3182),
    [sym_this] = ACTIONS(3182),
    [sym_super] = ACTIONS(3182),
    [sym_true] = ACTIONS(3182),
    [sym_false] = ACTIONS(3182),
    [sym_null] = ACTIONS(3182),
    [sym_undefined] = ACTIONS(3182),
    [anon_sym_AT] = ACTIONS(3182),
    [anon_sym_static] = ACTIONS(3182),
    [anon_sym_readonly] = ACTIONS(3182),
    [anon_sym_get] = ACTIONS(3182),
    [anon_sym_set] = ACTIONS(3182),
    [anon_sym_declare] = ACTIONS(3182),
    [anon_sym_public] = ACTIONS(3182),
    [anon_sym_private] = ACTIONS(3182),
    [anon_sym_protected] = ACTIONS(3182),
    [anon_sym_override] = ACTIONS(3182),
    [anon_sym_module] = ACTIONS(3182),
    [anon_sym_any] = ACTIONS(3182),
    [anon_sym_number] = ACTIONS(3182),
    [anon_sym_boolean] = ACTIONS(3182),
    [anon_sym_string] = ACTIONS(3182),
    [anon_sym_symbol] = ACTIONS(3182),
    [anon_sym_object] = ACTIONS(3182),
    [anon_sym_abstract] = ACTIONS(3182),
    [anon_sym_interface] = ACTIONS(3182),
    [anon_sym_enum] = ACTIONS(3182),
    [sym_html_comment] = ACTIONS(5),
  },
  [1498] = {
    [sym_comment] = STATE(1498),
    [ts_builtin_sym_end] = ACTIONS(2253),
    [sym_identifier] = ACTIONS(2251),
    [anon_sym_export] = ACTIONS(2251),
    [anon_sym_type] = ACTIONS(2251),
    [anon_sym_namespace] = ACTIONS(2251),
    [anon_sym_LBRACE] = ACTIONS(2251),
    [anon_sym_RBRACE] = ACTIONS(2251),
    [anon_sym_typeof] = ACTIONS(2251),
    [anon_sym_import] = ACTIONS(2251),
    [anon_sym_with] = ACTIONS(2251),
    [anon_sym_var] = ACTIONS(2251),
    [anon_sym_let] = ACTIONS(2251),
    [anon_sym_const] = ACTIONS(2251),
    [anon_sym_BANG] = ACTIONS(2251),
    [anon_sym_if] = ACTIONS(2251),
    [anon_sym_switch] = ACTIONS(2251),
    [anon_sym_for] = ACTIONS(2251),
    [anon_sym_LPAREN] = ACTIONS(2251),
    [anon_sym_await] = ACTIONS(2251),
    [anon_sym_while] = ACTIONS(2251),
    [anon_sym_do] = ACTIONS(2251),
    [anon_sym_try] = ACTIONS(2251),
    [anon_sym_break] = ACTIONS(2251),
    [anon_sym_continue] = ACTIONS(2251),
    [anon_sym_debugger] = ACTIONS(2251),
    [anon_sym_return] = ACTIONS(2251),
    [anon_sym_throw] = ACTIONS(2251),
    [anon_sym_SEMI] = ACTIONS(2251),
    [anon_sym_yield] = ACTIONS(2251),
    [anon_sym_LBRACK] = ACTIONS(2251),
    [anon_sym_LTtemplate_GT] = ACTIONS(2251),
    [anon_sym_DQUOTE] = ACTIONS(2251),
    [anon_sym_SQUOTE] = ACTIONS(2251),
    [anon_sym_class] = ACTIONS(2251),
    [anon_sym_async] = ACTIONS(2251),
    [anon_sym_function] = ACTIONS(2251),
    [anon_sym_new] = ACTIONS(2251),
    [anon_sym_using] = ACTIONS(2251),
    [anon_sym_PLUS] = ACTIONS(2251),
    [anon_sym_DASH] = ACTIONS(2251),
    [anon_sym_SLASH] = ACTIONS(2251),
    [anon_sym_LT] = ACTIONS(2251),
    [anon_sym_TILDE] = ACTIONS(2251),
    [anon_sym_void] = ACTIONS(2251),
    [anon_sym_delete] = ACTIONS(2251),
    [anon_sym_PLUS_PLUS] = ACTIONS(2251),
    [anon_sym_DASH_DASH] = ACTIONS(2251),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2251),
    [sym_number] = ACTIONS(2251),
    [sym_private_property_identifier] = ACTIONS(2251),
    [sym_this] = ACTIONS(2251),
    [sym_super] = ACTIONS(2251),
    [sym_true] = ACTIONS(2251),
    [sym_false] = ACTIONS(2251),
    [sym_null] = ACTIONS(2251),
    [sym_undefined] = ACTIONS(2251),
    [anon_sym_AT] = ACTIONS(2251),
    [anon_sym_static] = ACTIONS(2251),
    [anon_sym_readonly] = ACTIONS(2251),
    [anon_sym_get] = ACTIONS(2251),
    [anon_sym_set] = ACTIONS(2251),
    [anon_sym_declare] = ACTIONS(2251),
    [anon_sym_public] = ACTIONS(2251),
    [anon_sym_private] = ACTIONS(2251),
    [anon_sym_protected] = ACTIONS(2251),
    [anon_sym_override] = ACTIONS(2251),
    [anon_sym_module] = ACTIONS(2251),
    [anon_sym_any] = ACTIONS(2251),
    [anon_sym_number] = ACTIONS(2251),
    [anon_sym_boolean] = ACTIONS(2251),
    [anon_sym_string] = ACTIONS(2251),
    [anon_sym_symbol] = ACTIONS(2251),
    [anon_sym_object] = ACTIONS(2251),
    [anon_sym_abstract] = ACTIONS(2251),
    [anon_sym_interface] = ACTIONS(2251),
    [anon_sym_enum] = ACTIONS(2251),
    [sym__automatic_semicolon] = ACTIONS(2253),
    [sym_html_comment] = ACTIONS(5),
  },
  [1499] = {
    [sym_comment] = STATE(1499),
    [ts_builtin_sym_end] = ACTIONS(3548),
    [sym_identifier] = ACTIONS(3180),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_type] = ACTIONS(3180),
    [anon_sym_namespace] = ACTIONS(3180),
    [anon_sym_LBRACE] = ACTIONS(3180),
    [anon_sym_RBRACE] = ACTIONS(3180),
    [anon_sym_typeof] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3180),
    [anon_sym_with] = ACTIONS(3180),
    [anon_sym_var] = ACTIONS(3180),
    [anon_sym_let] = ACTIONS(3180),
    [anon_sym_const] = ACTIONS(3180),
    [anon_sym_BANG] = ACTIONS(3180),
    [anon_sym_else] = ACTIONS(3180),
    [anon_sym_if] = ACTIONS(3180),
    [anon_sym_switch] = ACTIONS(3180),
    [anon_sym_for] = ACTIONS(3180),
    [anon_sym_LPAREN] = ACTIONS(3180),
    [anon_sym_await] = ACTIONS(3180),
    [anon_sym_while] = ACTIONS(3180),
    [anon_sym_do] = ACTIONS(3180),
    [anon_sym_try] = ACTIONS(3180),
    [anon_sym_break] = ACTIONS(3180),
    [anon_sym_continue] = ACTIONS(3180),
    [anon_sym_debugger] = ACTIONS(3180),
    [anon_sym_return] = ACTIONS(3180),
    [anon_sym_throw] = ACTIONS(3180),
    [anon_sym_SEMI] = ACTIONS(3180),
    [anon_sym_yield] = ACTIONS(3180),
    [anon_sym_LBRACK] = ACTIONS(3180),
    [anon_sym_LTtemplate_GT] = ACTIONS(3180),
    [anon_sym_DQUOTE] = ACTIONS(3180),
    [anon_sym_SQUOTE] = ACTIONS(3180),
    [anon_sym_class] = ACTIONS(3180),
    [anon_sym_async] = ACTIONS(3180),
    [anon_sym_function] = ACTIONS(3180),
    [anon_sym_new] = ACTIONS(3180),
    [anon_sym_using] = ACTIONS(3180),
    [anon_sym_PLUS] = ACTIONS(3180),
    [anon_sym_DASH] = ACTIONS(3180),
    [anon_sym_SLASH] = ACTIONS(3180),
    [anon_sym_LT] = ACTIONS(3180),
    [anon_sym_TILDE] = ACTIONS(3180),
    [anon_sym_void] = ACTIONS(3180),
    [anon_sym_delete] = ACTIONS(3180),
    [anon_sym_PLUS_PLUS] = ACTIONS(3180),
    [anon_sym_DASH_DASH] = ACTIONS(3180),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3180),
    [sym_number] = ACTIONS(3180),
    [sym_private_property_identifier] = ACTIONS(3180),
    [sym_this] = ACTIONS(3180),
    [sym_super] = ACTIONS(3180),
    [sym_true] = ACTIONS(3180),
    [sym_false] = ACTIONS(3180),
    [sym_null] = ACTIONS(3180),
    [sym_undefined] = ACTIONS(3180),
    [anon_sym_AT] = ACTIONS(3180),
    [anon_sym_static] = ACTIONS(3180),
    [anon_sym_readonly] = ACTIONS(3180),
    [anon_sym_get] = ACTIONS(3180),
    [anon_sym_set] = ACTIONS(3180),
    [anon_sym_declare] = ACTIONS(3180),
    [anon_sym_public] = ACTIONS(3180),
    [anon_sym_private] = ACTIONS(3180),
    [anon_sym_protected] = ACTIONS(3180),
    [anon_sym_override] = ACTIONS(3180),
    [anon_sym_module] = ACTIONS(3180),
    [anon_sym_any] = ACTIONS(3180),
    [anon_sym_number] = ACTIONS(3180),
    [anon_sym_boolean] = ACTIONS(3180),
    [anon_sym_string] = ACTIONS(3180),
    [anon_sym_symbol] = ACTIONS(3180),
    [anon_sym_object] = ACTIONS(3180),
    [anon_sym_abstract] = ACTIONS(3180),
    [anon_sym_interface] = ACTIONS(3180),
    [anon_sym_enum] = ACTIONS(3180),
    [sym_html_comment] = ACTIONS(5),
  },
  [1500] = {
    [sym_comment] = STATE(1500),
    [ts_builtin_sym_end] = ACTIONS(3550),
    [sym_identifier] = ACTIONS(3178),
    [anon_sym_export] = ACTIONS(3178),
    [anon_sym_type] = ACTIONS(3178),
    [anon_sym_namespace] = ACTIONS(3178),
    [anon_sym_LBRACE] = ACTIONS(3178),
    [anon_sym_RBRACE] = ACTIONS(3178),
    [anon_sym_typeof] = ACTIONS(3178),
    [anon_sym_import] = ACTIONS(3178),
    [anon_sym_with] = ACTIONS(3178),
    [anon_sym_var] = ACTIONS(3178),
    [anon_sym_let] = ACTIONS(3178),
    [anon_sym_const] = ACTIONS(3178),
    [anon_sym_BANG] = ACTIONS(3178),
    [anon_sym_else] = ACTIONS(3178),
    [anon_sym_if] = ACTIONS(3178),
    [anon_sym_switch] = ACTIONS(3178),
    [anon_sym_for] = ACTIONS(3178),
    [anon_sym_LPAREN] = ACTIONS(3178),
    [anon_sym_await] = ACTIONS(3178),
    [anon_sym_while] = ACTIONS(3178),
    [anon_sym_do] = ACTIONS(3178),
    [anon_sym_try] = ACTIONS(3178),
    [anon_sym_break] = ACTIONS(3178),
    [anon_sym_continue] = ACTIONS(3178),
    [anon_sym_debugger] = ACTIONS(3178),
    [anon_sym_return] = ACTIONS(3178),
    [anon_sym_throw] = ACTIONS(3178),
    [anon_sym_SEMI] = ACTIONS(3178),
    [anon_sym_yield] = ACTIONS(3178),
    [anon_sym_LBRACK] = ACTIONS(3178),
    [anon_sym_LTtemplate_GT] = ACTIONS(3178),
    [anon_sym_DQUOTE] = ACTIONS(3178),
    [anon_sym_SQUOTE] = ACTIONS(3178),
    [anon_sym_class] = ACTIONS(3178),
    [anon_sym_async] = ACTIONS(3178),
    [anon_sym_function] = ACTIONS(3178),
    [anon_sym_new] = ACTIONS(3178),
    [anon_sym_using] = ACTIONS(3178),
    [anon_sym_PLUS] = ACTIONS(3178),
    [anon_sym_DASH] = ACTIONS(3178),
    [anon_sym_SLASH] = ACTIONS(3178),
    [anon_sym_LT] = ACTIONS(3178),
    [anon_sym_TILDE] = ACTIONS(3178),
    [anon_sym_void] = ACTIONS(3178),
    [anon_sym_delete] = ACTIONS(3178),
    [anon_sym_PLUS_PLUS] = ACTIONS(3178),
    [anon_sym_DASH_DASH] = ACTIONS(3178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3178),
    [sym_number] = ACTIONS(3178),
    [sym_private_property_identifier] = ACTIONS(3178),
    [sym_this] = ACTIONS(3178),
    [sym_super] = ACTIONS(3178),
    [sym_true] = ACTIONS(3178),
    [sym_false] = ACTIONS(3178),
    [sym_null] = ACTIONS(3178),
    [sym_undefined] = ACTIONS(3178),
    [anon_sym_AT] = ACTIONS(3178),
    [anon_sym_static] = ACTIONS(3178),
    [anon_sym_readonly] = ACTIONS(3178),
    [anon_sym_get] = ACTIONS(3178),
    [anon_sym_set] = ACTIONS(3178),
    [anon_sym_declare] = ACTIONS(3178),
    [anon_sym_public] = ACTIONS(3178),
    [anon_sym_private] = ACTIONS(3178),
    [anon_sym_protected] = ACTIONS(3178),
    [anon_sym_override] = ACTIONS(3178),
    [anon_sym_module] = ACTIONS(3178),
    [anon_sym_any] = ACTIONS(3178),
    [anon_sym_number] = ACTIONS(3178),
    [anon_sym_boolean] = ACTIONS(3178),
    [anon_sym_string] = ACTIONS(3178),
    [anon_sym_symbol] = ACTIONS(3178),
    [anon_sym_object] = ACTIONS(3178),
    [anon_sym_abstract] = ACTIONS(3178),
    [anon_sym_interface] = ACTIONS(3178),
    [anon_sym_enum] = ACTIONS(3178),
    [sym_html_comment] = ACTIONS(5),
  },
  [1501] = {
    [sym_comment] = STATE(1501),
    [ts_builtin_sym_end] = ACTIONS(3552),
    [sym_identifier] = ACTIONS(3176),
    [anon_sym_export] = ACTIONS(3176),
    [anon_sym_type] = ACTIONS(3176),
    [anon_sym_namespace] = ACTIONS(3176),
    [anon_sym_LBRACE] = ACTIONS(3176),
    [anon_sym_RBRACE] = ACTIONS(3176),
    [anon_sym_typeof] = ACTIONS(3176),
    [anon_sym_import] = ACTIONS(3176),
    [anon_sym_with] = ACTIONS(3176),
    [anon_sym_var] = ACTIONS(3176),
    [anon_sym_let] = ACTIONS(3176),
    [anon_sym_const] = ACTIONS(3176),
    [anon_sym_BANG] = ACTIONS(3176),
    [anon_sym_else] = ACTIONS(3176),
    [anon_sym_if] = ACTIONS(3176),
    [anon_sym_switch] = ACTIONS(3176),
    [anon_sym_for] = ACTIONS(3176),
    [anon_sym_LPAREN] = ACTIONS(3176),
    [anon_sym_await] = ACTIONS(3176),
    [anon_sym_while] = ACTIONS(3176),
    [anon_sym_do] = ACTIONS(3176),
    [anon_sym_try] = ACTIONS(3176),
    [anon_sym_break] = ACTIONS(3176),
    [anon_sym_continue] = ACTIONS(3176),
    [anon_sym_debugger] = ACTIONS(3176),
    [anon_sym_return] = ACTIONS(3176),
    [anon_sym_throw] = ACTIONS(3176),
    [anon_sym_SEMI] = ACTIONS(3176),
    [anon_sym_yield] = ACTIONS(3176),
    [anon_sym_LBRACK] = ACTIONS(3176),
    [anon_sym_LTtemplate_GT] = ACTIONS(3176),
    [anon_sym_DQUOTE] = ACTIONS(3176),
    [anon_sym_SQUOTE] = ACTIONS(3176),
    [anon_sym_class] = ACTIONS(3176),
    [anon_sym_async] = ACTIONS(3176),
    [anon_sym_function] = ACTIONS(3176),
    [anon_sym_new] = ACTIONS(3176),
    [anon_sym_using] = ACTIONS(3176),
    [anon_sym_PLUS] = ACTIONS(3176),
    [anon_sym_DASH] = ACTIONS(3176),
    [anon_sym_SLASH] = ACTIONS(3176),
    [anon_sym_LT] = ACTIONS(3176),
    [anon_sym_TILDE] = ACTIONS(3176),
    [anon_sym_void] = ACTIONS(3176),
    [anon_sym_delete] = ACTIONS(3176),
    [anon_sym_PLUS_PLUS] = ACTIONS(3176),
    [anon_sym_DASH_DASH] = ACTIONS(3176),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3176),
    [sym_number] = ACTIONS(3176),
    [sym_private_property_identifier] = ACTIONS(3176),
    [sym_this] = ACTIONS(3176),
    [sym_super] = ACTIONS(3176),
    [sym_true] = ACTIONS(3176),
    [sym_false] = ACTIONS(3176),
    [sym_null] = ACTIONS(3176),
    [sym_undefined] = ACTIONS(3176),
    [anon_sym_AT] = ACTIONS(3176),
    [anon_sym_static] = ACTIONS(3176),
    [anon_sym_readonly] = ACTIONS(3176),
    [anon_sym_get] = ACTIONS(3176),
    [anon_sym_set] = ACTIONS(3176),
    [anon_sym_declare] = ACTIONS(3176),
    [anon_sym_public] = ACTIONS(3176),
    [anon_sym_private] = ACTIONS(3176),
    [anon_sym_protected] = ACTIONS(3176),
    [anon_sym_override] = ACTIONS(3176),
    [anon_sym_module] = ACTIONS(3176),
    [anon_sym_any] = ACTIONS(3176),
    [anon_sym_number] = ACTIONS(3176),
    [anon_sym_boolean] = ACTIONS(3176),
    [anon_sym_string] = ACTIONS(3176),
    [anon_sym_symbol] = ACTIONS(3176),
    [anon_sym_object] = ACTIONS(3176),
    [anon_sym_abstract] = ACTIONS(3176),
    [anon_sym_interface] = ACTIONS(3176),
    [anon_sym_enum] = ACTIONS(3176),
    [sym_html_comment] = ACTIONS(5),
  },
  [1502] = {
    [sym_comment] = STATE(1502),
    [sym_identifier] = ACTIONS(3294),
    [anon_sym_export] = ACTIONS(3294),
    [anon_sym_default] = ACTIONS(3294),
    [anon_sym_type] = ACTIONS(3294),
    [anon_sym_namespace] = ACTIONS(3294),
    [anon_sym_LBRACE] = ACTIONS(3294),
    [anon_sym_RBRACE] = ACTIONS(3294),
    [anon_sym_typeof] = ACTIONS(3294),
    [anon_sym_import] = ACTIONS(3294),
    [anon_sym_with] = ACTIONS(3294),
    [anon_sym_var] = ACTIONS(3294),
    [anon_sym_let] = ACTIONS(3294),
    [anon_sym_const] = ACTIONS(3294),
    [anon_sym_BANG] = ACTIONS(3294),
    [anon_sym_if] = ACTIONS(3294),
    [anon_sym_switch] = ACTIONS(3294),
    [anon_sym_for] = ACTIONS(3294),
    [anon_sym_LPAREN] = ACTIONS(3294),
    [anon_sym_await] = ACTIONS(3294),
    [anon_sym_while] = ACTIONS(3294),
    [anon_sym_do] = ACTIONS(3294),
    [anon_sym_try] = ACTIONS(3294),
    [anon_sym_break] = ACTIONS(3294),
    [anon_sym_continue] = ACTIONS(3294),
    [anon_sym_debugger] = ACTIONS(3294),
    [anon_sym_return] = ACTIONS(3294),
    [anon_sym_throw] = ACTIONS(3294),
    [anon_sym_SEMI] = ACTIONS(3294),
    [anon_sym_case] = ACTIONS(3294),
    [anon_sym_yield] = ACTIONS(3294),
    [anon_sym_LBRACK] = ACTIONS(3294),
    [anon_sym_LTtemplate_GT] = ACTIONS(3294),
    [anon_sym_DQUOTE] = ACTIONS(3294),
    [anon_sym_SQUOTE] = ACTIONS(3294),
    [anon_sym_class] = ACTIONS(3294),
    [anon_sym_async] = ACTIONS(3294),
    [anon_sym_function] = ACTIONS(3294),
    [anon_sym_new] = ACTIONS(3294),
    [anon_sym_using] = ACTIONS(3294),
    [anon_sym_PLUS] = ACTIONS(3294),
    [anon_sym_DASH] = ACTIONS(3294),
    [anon_sym_SLASH] = ACTIONS(3294),
    [anon_sym_LT] = ACTIONS(3294),
    [anon_sym_TILDE] = ACTIONS(3294),
    [anon_sym_void] = ACTIONS(3294),
    [anon_sym_delete] = ACTIONS(3294),
    [anon_sym_PLUS_PLUS] = ACTIONS(3294),
    [anon_sym_DASH_DASH] = ACTIONS(3294),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3294),
    [sym_number] = ACTIONS(3294),
    [sym_private_property_identifier] = ACTIONS(3294),
    [sym_this] = ACTIONS(3294),
    [sym_super] = ACTIONS(3294),
    [sym_true] = ACTIONS(3294),
    [sym_false] = ACTIONS(3294),
    [sym_null] = ACTIONS(3294),
    [sym_undefined] = ACTIONS(3294),
    [anon_sym_AT] = ACTIONS(3294),
    [anon_sym_static] = ACTIONS(3294),
    [anon_sym_readonly] = ACTIONS(3294),
    [anon_sym_get] = ACTIONS(3294),
    [anon_sym_set] = ACTIONS(3294),
    [anon_sym_declare] = ACTIONS(3294),
    [anon_sym_public] = ACTIONS(3294),
    [anon_sym_private] = ACTIONS(3294),
    [anon_sym_protected] = ACTIONS(3294),
    [anon_sym_override] = ACTIONS(3294),
    [anon_sym_module] = ACTIONS(3294),
    [anon_sym_any] = ACTIONS(3294),
    [anon_sym_number] = ACTIONS(3294),
    [anon_sym_boolean] = ACTIONS(3294),
    [anon_sym_string] = ACTIONS(3294),
    [anon_sym_symbol] = ACTIONS(3294),
    [anon_sym_object] = ACTIONS(3294),
    [anon_sym_abstract] = ACTIONS(3294),
    [anon_sym_interface] = ACTIONS(3294),
    [anon_sym_enum] = ACTIONS(3294),
    [sym_html_comment] = ACTIONS(5),
  },
  [1503] = {
    [sym_comment] = STATE(1503),
    [sym_identifier] = ACTIONS(3292),
    [anon_sym_export] = ACTIONS(3292),
    [anon_sym_default] = ACTIONS(3292),
    [anon_sym_type] = ACTIONS(3292),
    [anon_sym_namespace] = ACTIONS(3292),
    [anon_sym_LBRACE] = ACTIONS(3292),
    [anon_sym_RBRACE] = ACTIONS(3292),
    [anon_sym_typeof] = ACTIONS(3292),
    [anon_sym_import] = ACTIONS(3292),
    [anon_sym_with] = ACTIONS(3292),
    [anon_sym_var] = ACTIONS(3292),
    [anon_sym_let] = ACTIONS(3292),
    [anon_sym_const] = ACTIONS(3292),
    [anon_sym_BANG] = ACTIONS(3292),
    [anon_sym_if] = ACTIONS(3292),
    [anon_sym_switch] = ACTIONS(3292),
    [anon_sym_for] = ACTIONS(3292),
    [anon_sym_LPAREN] = ACTIONS(3292),
    [anon_sym_await] = ACTIONS(3292),
    [anon_sym_while] = ACTIONS(3292),
    [anon_sym_do] = ACTIONS(3292),
    [anon_sym_try] = ACTIONS(3292),
    [anon_sym_break] = ACTIONS(3292),
    [anon_sym_continue] = ACTIONS(3292),
    [anon_sym_debugger] = ACTIONS(3292),
    [anon_sym_return] = ACTIONS(3292),
    [anon_sym_throw] = ACTIONS(3292),
    [anon_sym_SEMI] = ACTIONS(3292),
    [anon_sym_case] = ACTIONS(3292),
    [anon_sym_yield] = ACTIONS(3292),
    [anon_sym_LBRACK] = ACTIONS(3292),
    [anon_sym_LTtemplate_GT] = ACTIONS(3292),
    [anon_sym_DQUOTE] = ACTIONS(3292),
    [anon_sym_SQUOTE] = ACTIONS(3292),
    [anon_sym_class] = ACTIONS(3292),
    [anon_sym_async] = ACTIONS(3292),
    [anon_sym_function] = ACTIONS(3292),
    [anon_sym_new] = ACTIONS(3292),
    [anon_sym_using] = ACTIONS(3292),
    [anon_sym_PLUS] = ACTIONS(3292),
    [anon_sym_DASH] = ACTIONS(3292),
    [anon_sym_SLASH] = ACTIONS(3292),
    [anon_sym_LT] = ACTIONS(3292),
    [anon_sym_TILDE] = ACTIONS(3292),
    [anon_sym_void] = ACTIONS(3292),
    [anon_sym_delete] = ACTIONS(3292),
    [anon_sym_PLUS_PLUS] = ACTIONS(3292),
    [anon_sym_DASH_DASH] = ACTIONS(3292),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3292),
    [sym_number] = ACTIONS(3292),
    [sym_private_property_identifier] = ACTIONS(3292),
    [sym_this] = ACTIONS(3292),
    [sym_super] = ACTIONS(3292),
    [sym_true] = ACTIONS(3292),
    [sym_false] = ACTIONS(3292),
    [sym_null] = ACTIONS(3292),
    [sym_undefined] = ACTIONS(3292),
    [anon_sym_AT] = ACTIONS(3292),
    [anon_sym_static] = ACTIONS(3292),
    [anon_sym_readonly] = ACTIONS(3292),
    [anon_sym_get] = ACTIONS(3292),
    [anon_sym_set] = ACTIONS(3292),
    [anon_sym_declare] = ACTIONS(3292),
    [anon_sym_public] = ACTIONS(3292),
    [anon_sym_private] = ACTIONS(3292),
    [anon_sym_protected] = ACTIONS(3292),
    [anon_sym_override] = ACTIONS(3292),
    [anon_sym_module] = ACTIONS(3292),
    [anon_sym_any] = ACTIONS(3292),
    [anon_sym_number] = ACTIONS(3292),
    [anon_sym_boolean] = ACTIONS(3292),
    [anon_sym_string] = ACTIONS(3292),
    [anon_sym_symbol] = ACTIONS(3292),
    [anon_sym_object] = ACTIONS(3292),
    [anon_sym_abstract] = ACTIONS(3292),
    [anon_sym_interface] = ACTIONS(3292),
    [anon_sym_enum] = ACTIONS(3292),
    [sym_html_comment] = ACTIONS(5),
  },
  [1504] = {
    [sym_comment] = STATE(1504),
    [sym_identifier] = ACTIONS(3290),
    [anon_sym_export] = ACTIONS(3290),
    [anon_sym_default] = ACTIONS(3290),
    [anon_sym_type] = ACTIONS(3290),
    [anon_sym_namespace] = ACTIONS(3290),
    [anon_sym_LBRACE] = ACTIONS(3290),
    [anon_sym_RBRACE] = ACTIONS(3290),
    [anon_sym_typeof] = ACTIONS(3290),
    [anon_sym_import] = ACTIONS(3290),
    [anon_sym_with] = ACTIONS(3290),
    [anon_sym_var] = ACTIONS(3290),
    [anon_sym_let] = ACTIONS(3290),
    [anon_sym_const] = ACTIONS(3290),
    [anon_sym_BANG] = ACTIONS(3290),
    [anon_sym_if] = ACTIONS(3290),
    [anon_sym_switch] = ACTIONS(3290),
    [anon_sym_for] = ACTIONS(3290),
    [anon_sym_LPAREN] = ACTIONS(3290),
    [anon_sym_await] = ACTIONS(3290),
    [anon_sym_while] = ACTIONS(3290),
    [anon_sym_do] = ACTIONS(3290),
    [anon_sym_try] = ACTIONS(3290),
    [anon_sym_break] = ACTIONS(3290),
    [anon_sym_continue] = ACTIONS(3290),
    [anon_sym_debugger] = ACTIONS(3290),
    [anon_sym_return] = ACTIONS(3290),
    [anon_sym_throw] = ACTIONS(3290),
    [anon_sym_SEMI] = ACTIONS(3290),
    [anon_sym_case] = ACTIONS(3290),
    [anon_sym_yield] = ACTIONS(3290),
    [anon_sym_LBRACK] = ACTIONS(3290),
    [anon_sym_LTtemplate_GT] = ACTIONS(3290),
    [anon_sym_DQUOTE] = ACTIONS(3290),
    [anon_sym_SQUOTE] = ACTIONS(3290),
    [anon_sym_class] = ACTIONS(3290),
    [anon_sym_async] = ACTIONS(3290),
    [anon_sym_function] = ACTIONS(3290),
    [anon_sym_new] = ACTIONS(3290),
    [anon_sym_using] = ACTIONS(3290),
    [anon_sym_PLUS] = ACTIONS(3290),
    [anon_sym_DASH] = ACTIONS(3290),
    [anon_sym_SLASH] = ACTIONS(3290),
    [anon_sym_LT] = ACTIONS(3290),
    [anon_sym_TILDE] = ACTIONS(3290),
    [anon_sym_void] = ACTIONS(3290),
    [anon_sym_delete] = ACTIONS(3290),
    [anon_sym_PLUS_PLUS] = ACTIONS(3290),
    [anon_sym_DASH_DASH] = ACTIONS(3290),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3290),
    [sym_number] = ACTIONS(3290),
    [sym_private_property_identifier] = ACTIONS(3290),
    [sym_this] = ACTIONS(3290),
    [sym_super] = ACTIONS(3290),
    [sym_true] = ACTIONS(3290),
    [sym_false] = ACTIONS(3290),
    [sym_null] = ACTIONS(3290),
    [sym_undefined] = ACTIONS(3290),
    [anon_sym_AT] = ACTIONS(3290),
    [anon_sym_static] = ACTIONS(3290),
    [anon_sym_readonly] = ACTIONS(3290),
    [anon_sym_get] = ACTIONS(3290),
    [anon_sym_set] = ACTIONS(3290),
    [anon_sym_declare] = ACTIONS(3290),
    [anon_sym_public] = ACTIONS(3290),
    [anon_sym_private] = ACTIONS(3290),
    [anon_sym_protected] = ACTIONS(3290),
    [anon_sym_override] = ACTIONS(3290),
    [anon_sym_module] = ACTIONS(3290),
    [anon_sym_any] = ACTIONS(3290),
    [anon_sym_number] = ACTIONS(3290),
    [anon_sym_boolean] = ACTIONS(3290),
    [anon_sym_string] = ACTIONS(3290),
    [anon_sym_symbol] = ACTIONS(3290),
    [anon_sym_object] = ACTIONS(3290),
    [anon_sym_abstract] = ACTIONS(3290),
    [anon_sym_interface] = ACTIONS(3290),
    [anon_sym_enum] = ACTIONS(3290),
    [sym_html_comment] = ACTIONS(5),
  },
  [1505] = {
    [sym_comment] = STATE(1505),
    [sym_identifier] = ACTIONS(3288),
    [anon_sym_export] = ACTIONS(3288),
    [anon_sym_default] = ACTIONS(3288),
    [anon_sym_type] = ACTIONS(3288),
    [anon_sym_namespace] = ACTIONS(3288),
    [anon_sym_LBRACE] = ACTIONS(3288),
    [anon_sym_RBRACE] = ACTIONS(3288),
    [anon_sym_typeof] = ACTIONS(3288),
    [anon_sym_import] = ACTIONS(3288),
    [anon_sym_with] = ACTIONS(3288),
    [anon_sym_var] = ACTIONS(3288),
    [anon_sym_let] = ACTIONS(3288),
    [anon_sym_const] = ACTIONS(3288),
    [anon_sym_BANG] = ACTIONS(3288),
    [anon_sym_if] = ACTIONS(3288),
    [anon_sym_switch] = ACTIONS(3288),
    [anon_sym_for] = ACTIONS(3288),
    [anon_sym_LPAREN] = ACTIONS(3288),
    [anon_sym_await] = ACTIONS(3288),
    [anon_sym_while] = ACTIONS(3288),
    [anon_sym_do] = ACTIONS(3288),
    [anon_sym_try] = ACTIONS(3288),
    [anon_sym_break] = ACTIONS(3288),
    [anon_sym_continue] = ACTIONS(3288),
    [anon_sym_debugger] = ACTIONS(3288),
    [anon_sym_return] = ACTIONS(3288),
    [anon_sym_throw] = ACTIONS(3288),
    [anon_sym_SEMI] = ACTIONS(3288),
    [anon_sym_case] = ACTIONS(3288),
    [anon_sym_yield] = ACTIONS(3288),
    [anon_sym_LBRACK] = ACTIONS(3288),
    [anon_sym_LTtemplate_GT] = ACTIONS(3288),
    [anon_sym_DQUOTE] = ACTIONS(3288),
    [anon_sym_SQUOTE] = ACTIONS(3288),
    [anon_sym_class] = ACTIONS(3288),
    [anon_sym_async] = ACTIONS(3288),
    [anon_sym_function] = ACTIONS(3288),
    [anon_sym_new] = ACTIONS(3288),
    [anon_sym_using] = ACTIONS(3288),
    [anon_sym_PLUS] = ACTIONS(3288),
    [anon_sym_DASH] = ACTIONS(3288),
    [anon_sym_SLASH] = ACTIONS(3288),
    [anon_sym_LT] = ACTIONS(3288),
    [anon_sym_TILDE] = ACTIONS(3288),
    [anon_sym_void] = ACTIONS(3288),
    [anon_sym_delete] = ACTIONS(3288),
    [anon_sym_PLUS_PLUS] = ACTIONS(3288),
    [anon_sym_DASH_DASH] = ACTIONS(3288),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3288),
    [sym_number] = ACTIONS(3288),
    [sym_private_property_identifier] = ACTIONS(3288),
    [sym_this] = ACTIONS(3288),
    [sym_super] = ACTIONS(3288),
    [sym_true] = ACTIONS(3288),
    [sym_false] = ACTIONS(3288),
    [sym_null] = ACTIONS(3288),
    [sym_undefined] = ACTIONS(3288),
    [anon_sym_AT] = ACTIONS(3288),
    [anon_sym_static] = ACTIONS(3288),
    [anon_sym_readonly] = ACTIONS(3288),
    [anon_sym_get] = ACTIONS(3288),
    [anon_sym_set] = ACTIONS(3288),
    [anon_sym_declare] = ACTIONS(3288),
    [anon_sym_public] = ACTIONS(3288),
    [anon_sym_private] = ACTIONS(3288),
    [anon_sym_protected] = ACTIONS(3288),
    [anon_sym_override] = ACTIONS(3288),
    [anon_sym_module] = ACTIONS(3288),
    [anon_sym_any] = ACTIONS(3288),
    [anon_sym_number] = ACTIONS(3288),
    [anon_sym_boolean] = ACTIONS(3288),
    [anon_sym_string] = ACTIONS(3288),
    [anon_sym_symbol] = ACTIONS(3288),
    [anon_sym_object] = ACTIONS(3288),
    [anon_sym_abstract] = ACTIONS(3288),
    [anon_sym_interface] = ACTIONS(3288),
    [anon_sym_enum] = ACTIONS(3288),
    [sym_html_comment] = ACTIONS(5),
  },
  [1506] = {
    [sym_comment] = STATE(1506),
    [ts_builtin_sym_end] = ACTIONS(3554),
    [sym_identifier] = ACTIONS(3174),
    [anon_sym_export] = ACTIONS(3174),
    [anon_sym_type] = ACTIONS(3174),
    [anon_sym_namespace] = ACTIONS(3174),
    [anon_sym_LBRACE] = ACTIONS(3174),
    [anon_sym_RBRACE] = ACTIONS(3174),
    [anon_sym_typeof] = ACTIONS(3174),
    [anon_sym_import] = ACTIONS(3174),
    [anon_sym_with] = ACTIONS(3174),
    [anon_sym_var] = ACTIONS(3174),
    [anon_sym_let] = ACTIONS(3174),
    [anon_sym_const] = ACTIONS(3174),
    [anon_sym_BANG] = ACTIONS(3174),
    [anon_sym_else] = ACTIONS(3174),
    [anon_sym_if] = ACTIONS(3174),
    [anon_sym_switch] = ACTIONS(3174),
    [anon_sym_for] = ACTIONS(3174),
    [anon_sym_LPAREN] = ACTIONS(3174),
    [anon_sym_await] = ACTIONS(3174),
    [anon_sym_while] = ACTIONS(3174),
    [anon_sym_do] = ACTIONS(3174),
    [anon_sym_try] = ACTIONS(3174),
    [anon_sym_break] = ACTIONS(3174),
    [anon_sym_continue] = ACTIONS(3174),
    [anon_sym_debugger] = ACTIONS(3174),
    [anon_sym_return] = ACTIONS(3174),
    [anon_sym_throw] = ACTIONS(3174),
    [anon_sym_SEMI] = ACTIONS(3174),
    [anon_sym_yield] = ACTIONS(3174),
    [anon_sym_LBRACK] = ACTIONS(3174),
    [anon_sym_LTtemplate_GT] = ACTIONS(3174),
    [anon_sym_DQUOTE] = ACTIONS(3174),
    [anon_sym_SQUOTE] = ACTIONS(3174),
    [anon_sym_class] = ACTIONS(3174),
    [anon_sym_async] = ACTIONS(3174),
    [anon_sym_function] = ACTIONS(3174),
    [anon_sym_new] = ACTIONS(3174),
    [anon_sym_using] = ACTIONS(3174),
    [anon_sym_PLUS] = ACTIONS(3174),
    [anon_sym_DASH] = ACTIONS(3174),
    [anon_sym_SLASH] = ACTIONS(3174),
    [anon_sym_LT] = ACTIONS(3174),
    [anon_sym_TILDE] = ACTIONS(3174),
    [anon_sym_void] = ACTIONS(3174),
    [anon_sym_delete] = ACTIONS(3174),
    [anon_sym_PLUS_PLUS] = ACTIONS(3174),
    [anon_sym_DASH_DASH] = ACTIONS(3174),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3174),
    [sym_number] = ACTIONS(3174),
    [sym_private_property_identifier] = ACTIONS(3174),
    [sym_this] = ACTIONS(3174),
    [sym_super] = ACTIONS(3174),
    [sym_true] = ACTIONS(3174),
    [sym_false] = ACTIONS(3174),
    [sym_null] = ACTIONS(3174),
    [sym_undefined] = ACTIONS(3174),
    [anon_sym_AT] = ACTIONS(3174),
    [anon_sym_static] = ACTIONS(3174),
    [anon_sym_readonly] = ACTIONS(3174),
    [anon_sym_get] = ACTIONS(3174),
    [anon_sym_set] = ACTIONS(3174),
    [anon_sym_declare] = ACTIONS(3174),
    [anon_sym_public] = ACTIONS(3174),
    [anon_sym_private] = ACTIONS(3174),
    [anon_sym_protected] = ACTIONS(3174),
    [anon_sym_override] = ACTIONS(3174),
    [anon_sym_module] = ACTIONS(3174),
    [anon_sym_any] = ACTIONS(3174),
    [anon_sym_number] = ACTIONS(3174),
    [anon_sym_boolean] = ACTIONS(3174),
    [anon_sym_string] = ACTIONS(3174),
    [anon_sym_symbol] = ACTIONS(3174),
    [anon_sym_object] = ACTIONS(3174),
    [anon_sym_abstract] = ACTIONS(3174),
    [anon_sym_interface] = ACTIONS(3174),
    [anon_sym_enum] = ACTIONS(3174),
    [sym_html_comment] = ACTIONS(5),
  },
  [1507] = {
    [sym_comment] = STATE(1507),
    [sym_identifier] = ACTIONS(3286),
    [anon_sym_export] = ACTIONS(3286),
    [anon_sym_default] = ACTIONS(3286),
    [anon_sym_type] = ACTIONS(3286),
    [anon_sym_namespace] = ACTIONS(3286),
    [anon_sym_LBRACE] = ACTIONS(3286),
    [anon_sym_RBRACE] = ACTIONS(3286),
    [anon_sym_typeof] = ACTIONS(3286),
    [anon_sym_import] = ACTIONS(3286),
    [anon_sym_with] = ACTIONS(3286),
    [anon_sym_var] = ACTIONS(3286),
    [anon_sym_let] = ACTIONS(3286),
    [anon_sym_const] = ACTIONS(3286),
    [anon_sym_BANG] = ACTIONS(3286),
    [anon_sym_if] = ACTIONS(3286),
    [anon_sym_switch] = ACTIONS(3286),
    [anon_sym_for] = ACTIONS(3286),
    [anon_sym_LPAREN] = ACTIONS(3286),
    [anon_sym_await] = ACTIONS(3286),
    [anon_sym_while] = ACTIONS(3286),
    [anon_sym_do] = ACTIONS(3286),
    [anon_sym_try] = ACTIONS(3286),
    [anon_sym_break] = ACTIONS(3286),
    [anon_sym_continue] = ACTIONS(3286),
    [anon_sym_debugger] = ACTIONS(3286),
    [anon_sym_return] = ACTIONS(3286),
    [anon_sym_throw] = ACTIONS(3286),
    [anon_sym_SEMI] = ACTIONS(3286),
    [anon_sym_case] = ACTIONS(3286),
    [anon_sym_yield] = ACTIONS(3286),
    [anon_sym_LBRACK] = ACTIONS(3286),
    [anon_sym_LTtemplate_GT] = ACTIONS(3286),
    [anon_sym_DQUOTE] = ACTIONS(3286),
    [anon_sym_SQUOTE] = ACTIONS(3286),
    [anon_sym_class] = ACTIONS(3286),
    [anon_sym_async] = ACTIONS(3286),
    [anon_sym_function] = ACTIONS(3286),
    [anon_sym_new] = ACTIONS(3286),
    [anon_sym_using] = ACTIONS(3286),
    [anon_sym_PLUS] = ACTIONS(3286),
    [anon_sym_DASH] = ACTIONS(3286),
    [anon_sym_SLASH] = ACTIONS(3286),
    [anon_sym_LT] = ACTIONS(3286),
    [anon_sym_TILDE] = ACTIONS(3286),
    [anon_sym_void] = ACTIONS(3286),
    [anon_sym_delete] = ACTIONS(3286),
    [anon_sym_PLUS_PLUS] = ACTIONS(3286),
    [anon_sym_DASH_DASH] = ACTIONS(3286),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3286),
    [sym_number] = ACTIONS(3286),
    [sym_private_property_identifier] = ACTIONS(3286),
    [sym_this] = ACTIONS(3286),
    [sym_super] = ACTIONS(3286),
    [sym_true] = ACTIONS(3286),
    [sym_false] = ACTIONS(3286),
    [sym_null] = ACTIONS(3286),
    [sym_undefined] = ACTIONS(3286),
    [anon_sym_AT] = ACTIONS(3286),
    [anon_sym_static] = ACTIONS(3286),
    [anon_sym_readonly] = ACTIONS(3286),
    [anon_sym_get] = ACTIONS(3286),
    [anon_sym_set] = ACTIONS(3286),
    [anon_sym_declare] = ACTIONS(3286),
    [anon_sym_public] = ACTIONS(3286),
    [anon_sym_private] = ACTIONS(3286),
    [anon_sym_protected] = ACTIONS(3286),
    [anon_sym_override] = ACTIONS(3286),
    [anon_sym_module] = ACTIONS(3286),
    [anon_sym_any] = ACTIONS(3286),
    [anon_sym_number] = ACTIONS(3286),
    [anon_sym_boolean] = ACTIONS(3286),
    [anon_sym_string] = ACTIONS(3286),
    [anon_sym_symbol] = ACTIONS(3286),
    [anon_sym_object] = ACTIONS(3286),
    [anon_sym_abstract] = ACTIONS(3286),
    [anon_sym_interface] = ACTIONS(3286),
    [anon_sym_enum] = ACTIONS(3286),
    [sym_html_comment] = ACTIONS(5),
  },
  [1508] = {
    [sym_comment] = STATE(1508),
    [sym_identifier] = ACTIONS(3154),
    [anon_sym_export] = ACTIONS(3154),
    [anon_sym_default] = ACTIONS(3154),
    [anon_sym_type] = ACTIONS(3154),
    [anon_sym_namespace] = ACTIONS(3154),
    [anon_sym_LBRACE] = ACTIONS(3154),
    [anon_sym_RBRACE] = ACTIONS(3154),
    [anon_sym_typeof] = ACTIONS(3154),
    [anon_sym_import] = ACTIONS(3154),
    [anon_sym_with] = ACTIONS(3154),
    [anon_sym_var] = ACTIONS(3154),
    [anon_sym_let] = ACTIONS(3154),
    [anon_sym_const] = ACTIONS(3154),
    [anon_sym_BANG] = ACTIONS(3154),
    [anon_sym_if] = ACTIONS(3154),
    [anon_sym_switch] = ACTIONS(3154),
    [anon_sym_for] = ACTIONS(3154),
    [anon_sym_LPAREN] = ACTIONS(3154),
    [anon_sym_await] = ACTIONS(3154),
    [anon_sym_while] = ACTIONS(3154),
    [anon_sym_do] = ACTIONS(3154),
    [anon_sym_try] = ACTIONS(3154),
    [anon_sym_break] = ACTIONS(3154),
    [anon_sym_continue] = ACTIONS(3154),
    [anon_sym_debugger] = ACTIONS(3154),
    [anon_sym_return] = ACTIONS(3154),
    [anon_sym_throw] = ACTIONS(3154),
    [anon_sym_SEMI] = ACTIONS(3154),
    [anon_sym_case] = ACTIONS(3154),
    [anon_sym_yield] = ACTIONS(3154),
    [anon_sym_LBRACK] = ACTIONS(3154),
    [anon_sym_LTtemplate_GT] = ACTIONS(3154),
    [anon_sym_DQUOTE] = ACTIONS(3154),
    [anon_sym_SQUOTE] = ACTIONS(3154),
    [anon_sym_class] = ACTIONS(3154),
    [anon_sym_async] = ACTIONS(3154),
    [anon_sym_function] = ACTIONS(3154),
    [anon_sym_new] = ACTIONS(3154),
    [anon_sym_using] = ACTIONS(3154),
    [anon_sym_PLUS] = ACTIONS(3154),
    [anon_sym_DASH] = ACTIONS(3154),
    [anon_sym_SLASH] = ACTIONS(3154),
    [anon_sym_LT] = ACTIONS(3154),
    [anon_sym_TILDE] = ACTIONS(3154),
    [anon_sym_void] = ACTIONS(3154),
    [anon_sym_delete] = ACTIONS(3154),
    [anon_sym_PLUS_PLUS] = ACTIONS(3154),
    [anon_sym_DASH_DASH] = ACTIONS(3154),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3154),
    [sym_number] = ACTIONS(3154),
    [sym_private_property_identifier] = ACTIONS(3154),
    [sym_this] = ACTIONS(3154),
    [sym_super] = ACTIONS(3154),
    [sym_true] = ACTIONS(3154),
    [sym_false] = ACTIONS(3154),
    [sym_null] = ACTIONS(3154),
    [sym_undefined] = ACTIONS(3154),
    [anon_sym_AT] = ACTIONS(3154),
    [anon_sym_static] = ACTIONS(3154),
    [anon_sym_readonly] = ACTIONS(3154),
    [anon_sym_get] = ACTIONS(3154),
    [anon_sym_set] = ACTIONS(3154),
    [anon_sym_declare] = ACTIONS(3154),
    [anon_sym_public] = ACTIONS(3154),
    [anon_sym_private] = ACTIONS(3154),
    [anon_sym_protected] = ACTIONS(3154),
    [anon_sym_override] = ACTIONS(3154),
    [anon_sym_module] = ACTIONS(3154),
    [anon_sym_any] = ACTIONS(3154),
    [anon_sym_number] = ACTIONS(3154),
    [anon_sym_boolean] = ACTIONS(3154),
    [anon_sym_string] = ACTIONS(3154),
    [anon_sym_symbol] = ACTIONS(3154),
    [anon_sym_object] = ACTIONS(3154),
    [anon_sym_abstract] = ACTIONS(3154),
    [anon_sym_interface] = ACTIONS(3154),
    [anon_sym_enum] = ACTIONS(3154),
    [sym_html_comment] = ACTIONS(5),
  },
  [1509] = {
    [sym_comment] = STATE(1509),
    [ts_builtin_sym_end] = ACTIONS(3556),
    [sym_identifier] = ACTIONS(3170),
    [anon_sym_export] = ACTIONS(3170),
    [anon_sym_type] = ACTIONS(3170),
    [anon_sym_namespace] = ACTIONS(3170),
    [anon_sym_LBRACE] = ACTIONS(3170),
    [anon_sym_RBRACE] = ACTIONS(3170),
    [anon_sym_typeof] = ACTIONS(3170),
    [anon_sym_import] = ACTIONS(3170),
    [anon_sym_with] = ACTIONS(3170),
    [anon_sym_var] = ACTIONS(3170),
    [anon_sym_let] = ACTIONS(3170),
    [anon_sym_const] = ACTIONS(3170),
    [anon_sym_BANG] = ACTIONS(3170),
    [anon_sym_else] = ACTIONS(3170),
    [anon_sym_if] = ACTIONS(3170),
    [anon_sym_switch] = ACTIONS(3170),
    [anon_sym_for] = ACTIONS(3170),
    [anon_sym_LPAREN] = ACTIONS(3170),
    [anon_sym_await] = ACTIONS(3170),
    [anon_sym_while] = ACTIONS(3170),
    [anon_sym_do] = ACTIONS(3170),
    [anon_sym_try] = ACTIONS(3170),
    [anon_sym_break] = ACTIONS(3170),
    [anon_sym_continue] = ACTIONS(3170),
    [anon_sym_debugger] = ACTIONS(3170),
    [anon_sym_return] = ACTIONS(3170),
    [anon_sym_throw] = ACTIONS(3170),
    [anon_sym_SEMI] = ACTIONS(3170),
    [anon_sym_yield] = ACTIONS(3170),
    [anon_sym_LBRACK] = ACTIONS(3170),
    [anon_sym_LTtemplate_GT] = ACTIONS(3170),
    [anon_sym_DQUOTE] = ACTIONS(3170),
    [anon_sym_SQUOTE] = ACTIONS(3170),
    [anon_sym_class] = ACTIONS(3170),
    [anon_sym_async] = ACTIONS(3170),
    [anon_sym_function] = ACTIONS(3170),
    [anon_sym_new] = ACTIONS(3170),
    [anon_sym_using] = ACTIONS(3170),
    [anon_sym_PLUS] = ACTIONS(3170),
    [anon_sym_DASH] = ACTIONS(3170),
    [anon_sym_SLASH] = ACTIONS(3170),
    [anon_sym_LT] = ACTIONS(3170),
    [anon_sym_TILDE] = ACTIONS(3170),
    [anon_sym_void] = ACTIONS(3170),
    [anon_sym_delete] = ACTIONS(3170),
    [anon_sym_PLUS_PLUS] = ACTIONS(3170),
    [anon_sym_DASH_DASH] = ACTIONS(3170),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3170),
    [sym_number] = ACTIONS(3170),
    [sym_private_property_identifier] = ACTIONS(3170),
    [sym_this] = ACTIONS(3170),
    [sym_super] = ACTIONS(3170),
    [sym_true] = ACTIONS(3170),
    [sym_false] = ACTIONS(3170),
    [sym_null] = ACTIONS(3170),
    [sym_undefined] = ACTIONS(3170),
    [anon_sym_AT] = ACTIONS(3170),
    [anon_sym_static] = ACTIONS(3170),
    [anon_sym_readonly] = ACTIONS(3170),
    [anon_sym_get] = ACTIONS(3170),
    [anon_sym_set] = ACTIONS(3170),
    [anon_sym_declare] = ACTIONS(3170),
    [anon_sym_public] = ACTIONS(3170),
    [anon_sym_private] = ACTIONS(3170),
    [anon_sym_protected] = ACTIONS(3170),
    [anon_sym_override] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(3170),
    [anon_sym_any] = ACTIONS(3170),
    [anon_sym_number] = ACTIONS(3170),
    [anon_sym_boolean] = ACTIONS(3170),
    [anon_sym_string] = ACTIONS(3170),
    [anon_sym_symbol] = ACTIONS(3170),
    [anon_sym_object] = ACTIONS(3170),
    [anon_sym_abstract] = ACTIONS(3170),
    [anon_sym_interface] = ACTIONS(3170),
    [anon_sym_enum] = ACTIONS(3170),
    [sym_html_comment] = ACTIONS(5),
  },
  [1510] = {
    [sym_comment] = STATE(1510),
    [ts_builtin_sym_end] = ACTIONS(3558),
    [sym_identifier] = ACTIONS(3166),
    [anon_sym_export] = ACTIONS(3166),
    [anon_sym_type] = ACTIONS(3166),
    [anon_sym_namespace] = ACTIONS(3166),
    [anon_sym_LBRACE] = ACTIONS(3166),
    [anon_sym_RBRACE] = ACTIONS(3166),
    [anon_sym_typeof] = ACTIONS(3166),
    [anon_sym_import] = ACTIONS(3166),
    [anon_sym_with] = ACTIONS(3166),
    [anon_sym_var] = ACTIONS(3166),
    [anon_sym_let] = ACTIONS(3166),
    [anon_sym_const] = ACTIONS(3166),
    [anon_sym_BANG] = ACTIONS(3166),
    [anon_sym_else] = ACTIONS(3166),
    [anon_sym_if] = ACTIONS(3166),
    [anon_sym_switch] = ACTIONS(3166),
    [anon_sym_for] = ACTIONS(3166),
    [anon_sym_LPAREN] = ACTIONS(3166),
    [anon_sym_await] = ACTIONS(3166),
    [anon_sym_while] = ACTIONS(3166),
    [anon_sym_do] = ACTIONS(3166),
    [anon_sym_try] = ACTIONS(3166),
    [anon_sym_break] = ACTIONS(3166),
    [anon_sym_continue] = ACTIONS(3166),
    [anon_sym_debugger] = ACTIONS(3166),
    [anon_sym_return] = ACTIONS(3166),
    [anon_sym_throw] = ACTIONS(3166),
    [anon_sym_SEMI] = ACTIONS(3166),
    [anon_sym_yield] = ACTIONS(3166),
    [anon_sym_LBRACK] = ACTIONS(3166),
    [anon_sym_LTtemplate_GT] = ACTIONS(3166),
    [anon_sym_DQUOTE] = ACTIONS(3166),
    [anon_sym_SQUOTE] = ACTIONS(3166),
    [anon_sym_class] = ACTIONS(3166),
    [anon_sym_async] = ACTIONS(3166),
    [anon_sym_function] = ACTIONS(3166),
    [anon_sym_new] = ACTIONS(3166),
    [anon_sym_using] = ACTIONS(3166),
    [anon_sym_PLUS] = ACTIONS(3166),
    [anon_sym_DASH] = ACTIONS(3166),
    [anon_sym_SLASH] = ACTIONS(3166),
    [anon_sym_LT] = ACTIONS(3166),
    [anon_sym_TILDE] = ACTIONS(3166),
    [anon_sym_void] = ACTIONS(3166),
    [anon_sym_delete] = ACTIONS(3166),
    [anon_sym_PLUS_PLUS] = ACTIONS(3166),
    [anon_sym_DASH_DASH] = ACTIONS(3166),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3166),
    [sym_number] = ACTIONS(3166),
    [sym_private_property_identifier] = ACTIONS(3166),
    [sym_this] = ACTIONS(3166),
    [sym_super] = ACTIONS(3166),
    [sym_true] = ACTIONS(3166),
    [sym_false] = ACTIONS(3166),
    [sym_null] = ACTIONS(3166),
    [sym_undefined] = ACTIONS(3166),
    [anon_sym_AT] = ACTIONS(3166),
    [anon_sym_static] = ACTIONS(3166),
    [anon_sym_readonly] = ACTIONS(3166),
    [anon_sym_get] = ACTIONS(3166),
    [anon_sym_set] = ACTIONS(3166),
    [anon_sym_declare] = ACTIONS(3166),
    [anon_sym_public] = ACTIONS(3166),
    [anon_sym_private] = ACTIONS(3166),
    [anon_sym_protected] = ACTIONS(3166),
    [anon_sym_override] = ACTIONS(3166),
    [anon_sym_module] = ACTIONS(3166),
    [anon_sym_any] = ACTIONS(3166),
    [anon_sym_number] = ACTIONS(3166),
    [anon_sym_boolean] = ACTIONS(3166),
    [anon_sym_string] = ACTIONS(3166),
    [anon_sym_symbol] = ACTIONS(3166),
    [anon_sym_object] = ACTIONS(3166),
    [anon_sym_abstract] = ACTIONS(3166),
    [anon_sym_interface] = ACTIONS(3166),
    [anon_sym_enum] = ACTIONS(3166),
    [sym_html_comment] = ACTIONS(5),
  },
  [1511] = {
    [sym_comment] = STATE(1511),
    [ts_builtin_sym_end] = ACTIONS(3560),
    [sym_identifier] = ACTIONS(3164),
    [anon_sym_export] = ACTIONS(3164),
    [anon_sym_type] = ACTIONS(3164),
    [anon_sym_namespace] = ACTIONS(3164),
    [anon_sym_LBRACE] = ACTIONS(3164),
    [anon_sym_RBRACE] = ACTIONS(3164),
    [anon_sym_typeof] = ACTIONS(3164),
    [anon_sym_import] = ACTIONS(3164),
    [anon_sym_with] = ACTIONS(3164),
    [anon_sym_var] = ACTIONS(3164),
    [anon_sym_let] = ACTIONS(3164),
    [anon_sym_const] = ACTIONS(3164),
    [anon_sym_BANG] = ACTIONS(3164),
    [anon_sym_else] = ACTIONS(3164),
    [anon_sym_if] = ACTIONS(3164),
    [anon_sym_switch] = ACTIONS(3164),
    [anon_sym_for] = ACTIONS(3164),
    [anon_sym_LPAREN] = ACTIONS(3164),
    [anon_sym_await] = ACTIONS(3164),
    [anon_sym_while] = ACTIONS(3164),
    [anon_sym_do] = ACTIONS(3164),
    [anon_sym_try] = ACTIONS(3164),
    [anon_sym_break] = ACTIONS(3164),
    [anon_sym_continue] = ACTIONS(3164),
    [anon_sym_debugger] = ACTIONS(3164),
    [anon_sym_return] = ACTIONS(3164),
    [anon_sym_throw] = ACTIONS(3164),
    [anon_sym_SEMI] = ACTIONS(3164),
    [anon_sym_yield] = ACTIONS(3164),
    [anon_sym_LBRACK] = ACTIONS(3164),
    [anon_sym_LTtemplate_GT] = ACTIONS(3164),
    [anon_sym_DQUOTE] = ACTIONS(3164),
    [anon_sym_SQUOTE] = ACTIONS(3164),
    [anon_sym_class] = ACTIONS(3164),
    [anon_sym_async] = ACTIONS(3164),
    [anon_sym_function] = ACTIONS(3164),
    [anon_sym_new] = ACTIONS(3164),
    [anon_sym_using] = ACTIONS(3164),
    [anon_sym_PLUS] = ACTIONS(3164),
    [anon_sym_DASH] = ACTIONS(3164),
    [anon_sym_SLASH] = ACTIONS(3164),
    [anon_sym_LT] = ACTIONS(3164),
    [anon_sym_TILDE] = ACTIONS(3164),
    [anon_sym_void] = ACTIONS(3164),
    [anon_sym_delete] = ACTIONS(3164),
    [anon_sym_PLUS_PLUS] = ACTIONS(3164),
    [anon_sym_DASH_DASH] = ACTIONS(3164),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3164),
    [sym_number] = ACTIONS(3164),
    [sym_private_property_identifier] = ACTIONS(3164),
    [sym_this] = ACTIONS(3164),
    [sym_super] = ACTIONS(3164),
    [sym_true] = ACTIONS(3164),
    [sym_false] = ACTIONS(3164),
    [sym_null] = ACTIONS(3164),
    [sym_undefined] = ACTIONS(3164),
    [anon_sym_AT] = ACTIONS(3164),
    [anon_sym_static] = ACTIONS(3164),
    [anon_sym_readonly] = ACTIONS(3164),
    [anon_sym_get] = ACTIONS(3164),
    [anon_sym_set] = ACTIONS(3164),
    [anon_sym_declare] = ACTIONS(3164),
    [anon_sym_public] = ACTIONS(3164),
    [anon_sym_private] = ACTIONS(3164),
    [anon_sym_protected] = ACTIONS(3164),
    [anon_sym_override] = ACTIONS(3164),
    [anon_sym_module] = ACTIONS(3164),
    [anon_sym_any] = ACTIONS(3164),
    [anon_sym_number] = ACTIONS(3164),
    [anon_sym_boolean] = ACTIONS(3164),
    [anon_sym_string] = ACTIONS(3164),
    [anon_sym_symbol] = ACTIONS(3164),
    [anon_sym_object] = ACTIONS(3164),
    [anon_sym_abstract] = ACTIONS(3164),
    [anon_sym_interface] = ACTIONS(3164),
    [anon_sym_enum] = ACTIONS(3164),
    [sym_html_comment] = ACTIONS(5),
  },
  [1512] = {
    [sym_comment] = STATE(1512),
    [sym_identifier] = ACTIONS(3154),
    [anon_sym_export] = ACTIONS(3154),
    [anon_sym_default] = ACTIONS(3154),
    [anon_sym_type] = ACTIONS(3154),
    [anon_sym_namespace] = ACTIONS(3154),
    [anon_sym_LBRACE] = ACTIONS(3154),
    [anon_sym_RBRACE] = ACTIONS(3154),
    [anon_sym_typeof] = ACTIONS(3154),
    [anon_sym_import] = ACTIONS(3154),
    [anon_sym_with] = ACTIONS(3154),
    [anon_sym_var] = ACTIONS(3154),
    [anon_sym_let] = ACTIONS(3154),
    [anon_sym_const] = ACTIONS(3154),
    [anon_sym_BANG] = ACTIONS(3154),
    [anon_sym_if] = ACTIONS(3154),
    [anon_sym_switch] = ACTIONS(3154),
    [anon_sym_for] = ACTIONS(3154),
    [anon_sym_LPAREN] = ACTIONS(3154),
    [anon_sym_await] = ACTIONS(3154),
    [anon_sym_while] = ACTIONS(3154),
    [anon_sym_do] = ACTIONS(3154),
    [anon_sym_try] = ACTIONS(3154),
    [anon_sym_break] = ACTIONS(3154),
    [anon_sym_continue] = ACTIONS(3154),
    [anon_sym_debugger] = ACTIONS(3154),
    [anon_sym_return] = ACTIONS(3154),
    [anon_sym_throw] = ACTIONS(3154),
    [anon_sym_SEMI] = ACTIONS(3154),
    [anon_sym_case] = ACTIONS(3154),
    [anon_sym_yield] = ACTIONS(3154),
    [anon_sym_LBRACK] = ACTIONS(3154),
    [anon_sym_LTtemplate_GT] = ACTIONS(3154),
    [anon_sym_DQUOTE] = ACTIONS(3154),
    [anon_sym_SQUOTE] = ACTIONS(3154),
    [anon_sym_class] = ACTIONS(3154),
    [anon_sym_async] = ACTIONS(3154),
    [anon_sym_function] = ACTIONS(3154),
    [anon_sym_new] = ACTIONS(3154),
    [anon_sym_using] = ACTIONS(3154),
    [anon_sym_PLUS] = ACTIONS(3154),
    [anon_sym_DASH] = ACTIONS(3154),
    [anon_sym_SLASH] = ACTIONS(3154),
    [anon_sym_LT] = ACTIONS(3154),
    [anon_sym_TILDE] = ACTIONS(3154),
    [anon_sym_void] = ACTIONS(3154),
    [anon_sym_delete] = ACTIONS(3154),
    [anon_sym_PLUS_PLUS] = ACTIONS(3154),
    [anon_sym_DASH_DASH] = ACTIONS(3154),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3154),
    [sym_number] = ACTIONS(3154),
    [sym_private_property_identifier] = ACTIONS(3154),
    [sym_this] = ACTIONS(3154),
    [sym_super] = ACTIONS(3154),
    [sym_true] = ACTIONS(3154),
    [sym_false] = ACTIONS(3154),
    [sym_null] = ACTIONS(3154),
    [sym_undefined] = ACTIONS(3154),
    [anon_sym_AT] = ACTIONS(3154),
    [anon_sym_static] = ACTIONS(3154),
    [anon_sym_readonly] = ACTIONS(3154),
    [anon_sym_get] = ACTIONS(3154),
    [anon_sym_set] = ACTIONS(3154),
    [anon_sym_declare] = ACTIONS(3154),
    [anon_sym_public] = ACTIONS(3154),
    [anon_sym_private] = ACTIONS(3154),
    [anon_sym_protected] = ACTIONS(3154),
    [anon_sym_override] = ACTIONS(3154),
    [anon_sym_module] = ACTIONS(3154),
    [anon_sym_any] = ACTIONS(3154),
    [anon_sym_number] = ACTIONS(3154),
    [anon_sym_boolean] = ACTIONS(3154),
    [anon_sym_string] = ACTIONS(3154),
    [anon_sym_symbol] = ACTIONS(3154),
    [anon_sym_object] = ACTIONS(3154),
    [anon_sym_abstract] = ACTIONS(3154),
    [anon_sym_interface] = ACTIONS(3154),
    [anon_sym_enum] = ACTIONS(3154),
    [sym_html_comment] = ACTIONS(5),
  },
  [1513] = {
    [sym_comment] = STATE(1513),
    [sym_identifier] = ACTIONS(3154),
    [anon_sym_export] = ACTIONS(3154),
    [anon_sym_default] = ACTIONS(3154),
    [anon_sym_type] = ACTIONS(3154),
    [anon_sym_namespace] = ACTIONS(3154),
    [anon_sym_LBRACE] = ACTIONS(3154),
    [anon_sym_RBRACE] = ACTIONS(3154),
    [anon_sym_typeof] = ACTIONS(3154),
    [anon_sym_import] = ACTIONS(3154),
    [anon_sym_with] = ACTIONS(3154),
    [anon_sym_var] = ACTIONS(3154),
    [anon_sym_let] = ACTIONS(3154),
    [anon_sym_const] = ACTIONS(3154),
    [anon_sym_BANG] = ACTIONS(3154),
    [anon_sym_if] = ACTIONS(3154),
    [anon_sym_switch] = ACTIONS(3154),
    [anon_sym_for] = ACTIONS(3154),
    [anon_sym_LPAREN] = ACTIONS(3154),
    [anon_sym_await] = ACTIONS(3154),
    [anon_sym_while] = ACTIONS(3154),
    [anon_sym_do] = ACTIONS(3154),
    [anon_sym_try] = ACTIONS(3154),
    [anon_sym_break] = ACTIONS(3154),
    [anon_sym_continue] = ACTIONS(3154),
    [anon_sym_debugger] = ACTIONS(3154),
    [anon_sym_return] = ACTIONS(3154),
    [anon_sym_throw] = ACTIONS(3154),
    [anon_sym_SEMI] = ACTIONS(3154),
    [anon_sym_case] = ACTIONS(3154),
    [anon_sym_yield] = ACTIONS(3154),
    [anon_sym_LBRACK] = ACTIONS(3154),
    [anon_sym_LTtemplate_GT] = ACTIONS(3154),
    [anon_sym_DQUOTE] = ACTIONS(3154),
    [anon_sym_SQUOTE] = ACTIONS(3154),
    [anon_sym_class] = ACTIONS(3154),
    [anon_sym_async] = ACTIONS(3154),
    [anon_sym_function] = ACTIONS(3154),
    [anon_sym_new] = ACTIONS(3154),
    [anon_sym_using] = ACTIONS(3154),
    [anon_sym_PLUS] = ACTIONS(3154),
    [anon_sym_DASH] = ACTIONS(3154),
    [anon_sym_SLASH] = ACTIONS(3154),
    [anon_sym_LT] = ACTIONS(3154),
    [anon_sym_TILDE] = ACTIONS(3154),
    [anon_sym_void] = ACTIONS(3154),
    [anon_sym_delete] = ACTIONS(3154),
    [anon_sym_PLUS_PLUS] = ACTIONS(3154),
    [anon_sym_DASH_DASH] = ACTIONS(3154),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3154),
    [sym_number] = ACTIONS(3154),
    [sym_private_property_identifier] = ACTIONS(3154),
    [sym_this] = ACTIONS(3154),
    [sym_super] = ACTIONS(3154),
    [sym_true] = ACTIONS(3154),
    [sym_false] = ACTIONS(3154),
    [sym_null] = ACTIONS(3154),
    [sym_undefined] = ACTIONS(3154),
    [anon_sym_AT] = ACTIONS(3154),
    [anon_sym_static] = ACTIONS(3154),
    [anon_sym_readonly] = ACTIONS(3154),
    [anon_sym_get] = ACTIONS(3154),
    [anon_sym_set] = ACTIONS(3154),
    [anon_sym_declare] = ACTIONS(3154),
    [anon_sym_public] = ACTIONS(3154),
    [anon_sym_private] = ACTIONS(3154),
    [anon_sym_protected] = ACTIONS(3154),
    [anon_sym_override] = ACTIONS(3154),
    [anon_sym_module] = ACTIONS(3154),
    [anon_sym_any] = ACTIONS(3154),
    [anon_sym_number] = ACTIONS(3154),
    [anon_sym_boolean] = ACTIONS(3154),
    [anon_sym_string] = ACTIONS(3154),
    [anon_sym_symbol] = ACTIONS(3154),
    [anon_sym_object] = ACTIONS(3154),
    [anon_sym_abstract] = ACTIONS(3154),
    [anon_sym_interface] = ACTIONS(3154),
    [anon_sym_enum] = ACTIONS(3154),
    [sym_html_comment] = ACTIONS(5),
  },
  [1514] = {
    [sym_comment] = STATE(1514),
    [sym_identifier] = ACTIONS(3154),
    [anon_sym_export] = ACTIONS(3154),
    [anon_sym_default] = ACTIONS(3154),
    [anon_sym_type] = ACTIONS(3154),
    [anon_sym_namespace] = ACTIONS(3154),
    [anon_sym_LBRACE] = ACTIONS(3154),
    [anon_sym_RBRACE] = ACTIONS(3154),
    [anon_sym_typeof] = ACTIONS(3154),
    [anon_sym_import] = ACTIONS(3154),
    [anon_sym_with] = ACTIONS(3154),
    [anon_sym_var] = ACTIONS(3154),
    [anon_sym_let] = ACTIONS(3154),
    [anon_sym_const] = ACTIONS(3154),
    [anon_sym_BANG] = ACTIONS(3154),
    [anon_sym_if] = ACTIONS(3154),
    [anon_sym_switch] = ACTIONS(3154),
    [anon_sym_for] = ACTIONS(3154),
    [anon_sym_LPAREN] = ACTIONS(3154),
    [anon_sym_await] = ACTIONS(3154),
    [anon_sym_while] = ACTIONS(3154),
    [anon_sym_do] = ACTIONS(3154),
    [anon_sym_try] = ACTIONS(3154),
    [anon_sym_break] = ACTIONS(3154),
    [anon_sym_continue] = ACTIONS(3154),
    [anon_sym_debugger] = ACTIONS(3154),
    [anon_sym_return] = ACTIONS(3154),
    [anon_sym_throw] = ACTIONS(3154),
    [anon_sym_SEMI] = ACTIONS(3154),
    [anon_sym_case] = ACTIONS(3154),
    [anon_sym_yield] = ACTIONS(3154),
    [anon_sym_LBRACK] = ACTIONS(3154),
    [anon_sym_LTtemplate_GT] = ACTIONS(3154),
    [anon_sym_DQUOTE] = ACTIONS(3154),
    [anon_sym_SQUOTE] = ACTIONS(3154),
    [anon_sym_class] = ACTIONS(3154),
    [anon_sym_async] = ACTIONS(3154),
    [anon_sym_function] = ACTIONS(3154),
    [anon_sym_new] = ACTIONS(3154),
    [anon_sym_using] = ACTIONS(3154),
    [anon_sym_PLUS] = ACTIONS(3154),
    [anon_sym_DASH] = ACTIONS(3154),
    [anon_sym_SLASH] = ACTIONS(3154),
    [anon_sym_LT] = ACTIONS(3154),
    [anon_sym_TILDE] = ACTIONS(3154),
    [anon_sym_void] = ACTIONS(3154),
    [anon_sym_delete] = ACTIONS(3154),
    [anon_sym_PLUS_PLUS] = ACTIONS(3154),
    [anon_sym_DASH_DASH] = ACTIONS(3154),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3154),
    [sym_number] = ACTIONS(3154),
    [sym_private_property_identifier] = ACTIONS(3154),
    [sym_this] = ACTIONS(3154),
    [sym_super] = ACTIONS(3154),
    [sym_true] = ACTIONS(3154),
    [sym_false] = ACTIONS(3154),
    [sym_null] = ACTIONS(3154),
    [sym_undefined] = ACTIONS(3154),
    [anon_sym_AT] = ACTIONS(3154),
    [anon_sym_static] = ACTIONS(3154),
    [anon_sym_readonly] = ACTIONS(3154),
    [anon_sym_get] = ACTIONS(3154),
    [anon_sym_set] = ACTIONS(3154),
    [anon_sym_declare] = ACTIONS(3154),
    [anon_sym_public] = ACTIONS(3154),
    [anon_sym_private] = ACTIONS(3154),
    [anon_sym_protected] = ACTIONS(3154),
    [anon_sym_override] = ACTIONS(3154),
    [anon_sym_module] = ACTIONS(3154),
    [anon_sym_any] = ACTIONS(3154),
    [anon_sym_number] = ACTIONS(3154),
    [anon_sym_boolean] = ACTIONS(3154),
    [anon_sym_string] = ACTIONS(3154),
    [anon_sym_symbol] = ACTIONS(3154),
    [anon_sym_object] = ACTIONS(3154),
    [anon_sym_abstract] = ACTIONS(3154),
    [anon_sym_interface] = ACTIONS(3154),
    [anon_sym_enum] = ACTIONS(3154),
    [sym_html_comment] = ACTIONS(5),
  },
  [1515] = {
    [sym_comment] = STATE(1515),
    [sym_identifier] = ACTIONS(3154),
    [anon_sym_export] = ACTIONS(3154),
    [anon_sym_default] = ACTIONS(3154),
    [anon_sym_type] = ACTIONS(3154),
    [anon_sym_namespace] = ACTIONS(3154),
    [anon_sym_LBRACE] = ACTIONS(3154),
    [anon_sym_RBRACE] = ACTIONS(3154),
    [anon_sym_typeof] = ACTIONS(3154),
    [anon_sym_import] = ACTIONS(3154),
    [anon_sym_with] = ACTIONS(3154),
    [anon_sym_var] = ACTIONS(3154),
    [anon_sym_let] = ACTIONS(3154),
    [anon_sym_const] = ACTIONS(3154),
    [anon_sym_BANG] = ACTIONS(3154),
    [anon_sym_if] = ACTIONS(3154),
    [anon_sym_switch] = ACTIONS(3154),
    [anon_sym_for] = ACTIONS(3154),
    [anon_sym_LPAREN] = ACTIONS(3154),
    [anon_sym_await] = ACTIONS(3154),
    [anon_sym_while] = ACTIONS(3154),
    [anon_sym_do] = ACTIONS(3154),
    [anon_sym_try] = ACTIONS(3154),
    [anon_sym_break] = ACTIONS(3154),
    [anon_sym_continue] = ACTIONS(3154),
    [anon_sym_debugger] = ACTIONS(3154),
    [anon_sym_return] = ACTIONS(3154),
    [anon_sym_throw] = ACTIONS(3154),
    [anon_sym_SEMI] = ACTIONS(3154),
    [anon_sym_case] = ACTIONS(3154),
    [anon_sym_yield] = ACTIONS(3154),
    [anon_sym_LBRACK] = ACTIONS(3154),
    [anon_sym_LTtemplate_GT] = ACTIONS(3154),
    [anon_sym_DQUOTE] = ACTIONS(3154),
    [anon_sym_SQUOTE] = ACTIONS(3154),
    [anon_sym_class] = ACTIONS(3154),
    [anon_sym_async] = ACTIONS(3154),
    [anon_sym_function] = ACTIONS(3154),
    [anon_sym_new] = ACTIONS(3154),
    [anon_sym_using] = ACTIONS(3154),
    [anon_sym_PLUS] = ACTIONS(3154),
    [anon_sym_DASH] = ACTIONS(3154),
    [anon_sym_SLASH] = ACTIONS(3154),
    [anon_sym_LT] = ACTIONS(3154),
    [anon_sym_TILDE] = ACTIONS(3154),
    [anon_sym_void] = ACTIONS(3154),
    [anon_sym_delete] = ACTIONS(3154),
    [anon_sym_PLUS_PLUS] = ACTIONS(3154),
    [anon_sym_DASH_DASH] = ACTIONS(3154),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3154),
    [sym_number] = ACTIONS(3154),
    [sym_private_property_identifier] = ACTIONS(3154),
    [sym_this] = ACTIONS(3154),
    [sym_super] = ACTIONS(3154),
    [sym_true] = ACTIONS(3154),
    [sym_false] = ACTIONS(3154),
    [sym_null] = ACTIONS(3154),
    [sym_undefined] = ACTIONS(3154),
    [anon_sym_AT] = ACTIONS(3154),
    [anon_sym_static] = ACTIONS(3154),
    [anon_sym_readonly] = ACTIONS(3154),
    [anon_sym_get] = ACTIONS(3154),
    [anon_sym_set] = ACTIONS(3154),
    [anon_sym_declare] = ACTIONS(3154),
    [anon_sym_public] = ACTIONS(3154),
    [anon_sym_private] = ACTIONS(3154),
    [anon_sym_protected] = ACTIONS(3154),
    [anon_sym_override] = ACTIONS(3154),
    [anon_sym_module] = ACTIONS(3154),
    [anon_sym_any] = ACTIONS(3154),
    [anon_sym_number] = ACTIONS(3154),
    [anon_sym_boolean] = ACTIONS(3154),
    [anon_sym_string] = ACTIONS(3154),
    [anon_sym_symbol] = ACTIONS(3154),
    [anon_sym_object] = ACTIONS(3154),
    [anon_sym_abstract] = ACTIONS(3154),
    [anon_sym_interface] = ACTIONS(3154),
    [anon_sym_enum] = ACTIONS(3154),
    [sym_html_comment] = ACTIONS(5),
  },
  [1516] = {
    [sym_comment] = STATE(1516),
    [ts_builtin_sym_end] = ACTIONS(3562),
    [sym_identifier] = ACTIONS(3162),
    [anon_sym_export] = ACTIONS(3162),
    [anon_sym_type] = ACTIONS(3162),
    [anon_sym_namespace] = ACTIONS(3162),
    [anon_sym_LBRACE] = ACTIONS(3162),
    [anon_sym_RBRACE] = ACTIONS(3162),
    [anon_sym_typeof] = ACTIONS(3162),
    [anon_sym_import] = ACTIONS(3162),
    [anon_sym_with] = ACTIONS(3162),
    [anon_sym_var] = ACTIONS(3162),
    [anon_sym_let] = ACTIONS(3162),
    [anon_sym_const] = ACTIONS(3162),
    [anon_sym_BANG] = ACTIONS(3162),
    [anon_sym_else] = ACTIONS(3162),
    [anon_sym_if] = ACTIONS(3162),
    [anon_sym_switch] = ACTIONS(3162),
    [anon_sym_for] = ACTIONS(3162),
    [anon_sym_LPAREN] = ACTIONS(3162),
    [anon_sym_await] = ACTIONS(3162),
    [anon_sym_while] = ACTIONS(3162),
    [anon_sym_do] = ACTIONS(3162),
    [anon_sym_try] = ACTIONS(3162),
    [anon_sym_break] = ACTIONS(3162),
    [anon_sym_continue] = ACTIONS(3162),
    [anon_sym_debugger] = ACTIONS(3162),
    [anon_sym_return] = ACTIONS(3162),
    [anon_sym_throw] = ACTIONS(3162),
    [anon_sym_SEMI] = ACTIONS(3162),
    [anon_sym_yield] = ACTIONS(3162),
    [anon_sym_LBRACK] = ACTIONS(3162),
    [anon_sym_LTtemplate_GT] = ACTIONS(3162),
    [anon_sym_DQUOTE] = ACTIONS(3162),
    [anon_sym_SQUOTE] = ACTIONS(3162),
    [anon_sym_class] = ACTIONS(3162),
    [anon_sym_async] = ACTIONS(3162),
    [anon_sym_function] = ACTIONS(3162),
    [anon_sym_new] = ACTIONS(3162),
    [anon_sym_using] = ACTIONS(3162),
    [anon_sym_PLUS] = ACTIONS(3162),
    [anon_sym_DASH] = ACTIONS(3162),
    [anon_sym_SLASH] = ACTIONS(3162),
    [anon_sym_LT] = ACTIONS(3162),
    [anon_sym_TILDE] = ACTIONS(3162),
    [anon_sym_void] = ACTIONS(3162),
    [anon_sym_delete] = ACTIONS(3162),
    [anon_sym_PLUS_PLUS] = ACTIONS(3162),
    [anon_sym_DASH_DASH] = ACTIONS(3162),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3162),
    [sym_number] = ACTIONS(3162),
    [sym_private_property_identifier] = ACTIONS(3162),
    [sym_this] = ACTIONS(3162),
    [sym_super] = ACTIONS(3162),
    [sym_true] = ACTIONS(3162),
    [sym_false] = ACTIONS(3162),
    [sym_null] = ACTIONS(3162),
    [sym_undefined] = ACTIONS(3162),
    [anon_sym_AT] = ACTIONS(3162),
    [anon_sym_static] = ACTIONS(3162),
    [anon_sym_readonly] = ACTIONS(3162),
    [anon_sym_get] = ACTIONS(3162),
    [anon_sym_set] = ACTIONS(3162),
    [anon_sym_declare] = ACTIONS(3162),
    [anon_sym_public] = ACTIONS(3162),
    [anon_sym_private] = ACTIONS(3162),
    [anon_sym_protected] = ACTIONS(3162),
    [anon_sym_override] = ACTIONS(3162),
    [anon_sym_module] = ACTIONS(3162),
    [anon_sym_any] = ACTIONS(3162),
    [anon_sym_number] = ACTIONS(3162),
    [anon_sym_boolean] = ACTIONS(3162),
    [anon_sym_string] = ACTIONS(3162),
    [anon_sym_symbol] = ACTIONS(3162),
    [anon_sym_object] = ACTIONS(3162),
    [anon_sym_abstract] = ACTIONS(3162),
    [anon_sym_interface] = ACTIONS(3162),
    [anon_sym_enum] = ACTIONS(3162),
    [sym_html_comment] = ACTIONS(5),
  },
  [1517] = {
    [sym_comment] = STATE(1517),
    [sym_identifier] = ACTIONS(3154),
    [anon_sym_export] = ACTIONS(3154),
    [anon_sym_default] = ACTIONS(3154),
    [anon_sym_type] = ACTIONS(3154),
    [anon_sym_namespace] = ACTIONS(3154),
    [anon_sym_LBRACE] = ACTIONS(3154),
    [anon_sym_RBRACE] = ACTIONS(3154),
    [anon_sym_typeof] = ACTIONS(3154),
    [anon_sym_import] = ACTIONS(3154),
    [anon_sym_with] = ACTIONS(3154),
    [anon_sym_var] = ACTIONS(3154),
    [anon_sym_let] = ACTIONS(3154),
    [anon_sym_const] = ACTIONS(3154),
    [anon_sym_BANG] = ACTIONS(3154),
    [anon_sym_if] = ACTIONS(3154),
    [anon_sym_switch] = ACTIONS(3154),
    [anon_sym_for] = ACTIONS(3154),
    [anon_sym_LPAREN] = ACTIONS(3154),
    [anon_sym_await] = ACTIONS(3154),
    [anon_sym_while] = ACTIONS(3154),
    [anon_sym_do] = ACTIONS(3154),
    [anon_sym_try] = ACTIONS(3154),
    [anon_sym_break] = ACTIONS(3154),
    [anon_sym_continue] = ACTIONS(3154),
    [anon_sym_debugger] = ACTIONS(3154),
    [anon_sym_return] = ACTIONS(3154),
    [anon_sym_throw] = ACTIONS(3154),
    [anon_sym_SEMI] = ACTIONS(3154),
    [anon_sym_case] = ACTIONS(3154),
    [anon_sym_yield] = ACTIONS(3154),
    [anon_sym_LBRACK] = ACTIONS(3154),
    [anon_sym_LTtemplate_GT] = ACTIONS(3154),
    [anon_sym_DQUOTE] = ACTIONS(3154),
    [anon_sym_SQUOTE] = ACTIONS(3154),
    [anon_sym_class] = ACTIONS(3154),
    [anon_sym_async] = ACTIONS(3154),
    [anon_sym_function] = ACTIONS(3154),
    [anon_sym_new] = ACTIONS(3154),
    [anon_sym_using] = ACTIONS(3154),
    [anon_sym_PLUS] = ACTIONS(3154),
    [anon_sym_DASH] = ACTIONS(3154),
    [anon_sym_SLASH] = ACTIONS(3154),
    [anon_sym_LT] = ACTIONS(3154),
    [anon_sym_TILDE] = ACTIONS(3154),
    [anon_sym_void] = ACTIONS(3154),
    [anon_sym_delete] = ACTIONS(3154),
    [anon_sym_PLUS_PLUS] = ACTIONS(3154),
    [anon_sym_DASH_DASH] = ACTIONS(3154),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3154),
    [sym_number] = ACTIONS(3154),
    [sym_private_property_identifier] = ACTIONS(3154),
    [sym_this] = ACTIONS(3154),
    [sym_super] = ACTIONS(3154),
    [sym_true] = ACTIONS(3154),
    [sym_false] = ACTIONS(3154),
    [sym_null] = ACTIONS(3154),
    [sym_undefined] = ACTIONS(3154),
    [anon_sym_AT] = ACTIONS(3154),
    [anon_sym_static] = ACTIONS(3154),
    [anon_sym_readonly] = ACTIONS(3154),
    [anon_sym_get] = ACTIONS(3154),
    [anon_sym_set] = ACTIONS(3154),
    [anon_sym_declare] = ACTIONS(3154),
    [anon_sym_public] = ACTIONS(3154),
    [anon_sym_private] = ACTIONS(3154),
    [anon_sym_protected] = ACTIONS(3154),
    [anon_sym_override] = ACTIONS(3154),
    [anon_sym_module] = ACTIONS(3154),
    [anon_sym_any] = ACTIONS(3154),
    [anon_sym_number] = ACTIONS(3154),
    [anon_sym_boolean] = ACTIONS(3154),
    [anon_sym_string] = ACTIONS(3154),
    [anon_sym_symbol] = ACTIONS(3154),
    [anon_sym_object] = ACTIONS(3154),
    [anon_sym_abstract] = ACTIONS(3154),
    [anon_sym_interface] = ACTIONS(3154),
    [anon_sym_enum] = ACTIONS(3154),
    [sym_html_comment] = ACTIONS(5),
  },
  [1518] = {
    [sym_comment] = STATE(1518),
    [sym_identifier] = ACTIONS(3154),
    [anon_sym_export] = ACTIONS(3154),
    [anon_sym_default] = ACTIONS(3154),
    [anon_sym_type] = ACTIONS(3154),
    [anon_sym_namespace] = ACTIONS(3154),
    [anon_sym_LBRACE] = ACTIONS(3154),
    [anon_sym_RBRACE] = ACTIONS(3154),
    [anon_sym_typeof] = ACTIONS(3154),
    [anon_sym_import] = ACTIONS(3154),
    [anon_sym_with] = ACTIONS(3154),
    [anon_sym_var] = ACTIONS(3154),
    [anon_sym_let] = ACTIONS(3154),
    [anon_sym_const] = ACTIONS(3154),
    [anon_sym_BANG] = ACTIONS(3154),
    [anon_sym_if] = ACTIONS(3154),
    [anon_sym_switch] = ACTIONS(3154),
    [anon_sym_for] = ACTIONS(3154),
    [anon_sym_LPAREN] = ACTIONS(3154),
    [anon_sym_await] = ACTIONS(3154),
    [anon_sym_while] = ACTIONS(3154),
    [anon_sym_do] = ACTIONS(3154),
    [anon_sym_try] = ACTIONS(3154),
    [anon_sym_break] = ACTIONS(3154),
    [anon_sym_continue] = ACTIONS(3154),
    [anon_sym_debugger] = ACTIONS(3154),
    [anon_sym_return] = ACTIONS(3154),
    [anon_sym_throw] = ACTIONS(3154),
    [anon_sym_SEMI] = ACTIONS(3154),
    [anon_sym_case] = ACTIONS(3154),
    [anon_sym_yield] = ACTIONS(3154),
    [anon_sym_LBRACK] = ACTIONS(3154),
    [anon_sym_LTtemplate_GT] = ACTIONS(3154),
    [anon_sym_DQUOTE] = ACTIONS(3154),
    [anon_sym_SQUOTE] = ACTIONS(3154),
    [anon_sym_class] = ACTIONS(3154),
    [anon_sym_async] = ACTIONS(3154),
    [anon_sym_function] = ACTIONS(3154),
    [anon_sym_new] = ACTIONS(3154),
    [anon_sym_using] = ACTIONS(3154),
    [anon_sym_PLUS] = ACTIONS(3154),
    [anon_sym_DASH] = ACTIONS(3154),
    [anon_sym_SLASH] = ACTIONS(3154),
    [anon_sym_LT] = ACTIONS(3154),
    [anon_sym_TILDE] = ACTIONS(3154),
    [anon_sym_void] = ACTIONS(3154),
    [anon_sym_delete] = ACTIONS(3154),
    [anon_sym_PLUS_PLUS] = ACTIONS(3154),
    [anon_sym_DASH_DASH] = ACTIONS(3154),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3154),
    [sym_number] = ACTIONS(3154),
    [sym_private_property_identifier] = ACTIONS(3154),
    [sym_this] = ACTIONS(3154),
    [sym_super] = ACTIONS(3154),
    [sym_true] = ACTIONS(3154),
    [sym_false] = ACTIONS(3154),
    [sym_null] = ACTIONS(3154),
    [sym_undefined] = ACTIONS(3154),
    [anon_sym_AT] = ACTIONS(3154),
    [anon_sym_static] = ACTIONS(3154),
    [anon_sym_readonly] = ACTIONS(3154),
    [anon_sym_get] = ACTIONS(3154),
    [anon_sym_set] = ACTIONS(3154),
    [anon_sym_declare] = ACTIONS(3154),
    [anon_sym_public] = ACTIONS(3154),
    [anon_sym_private] = ACTIONS(3154),
    [anon_sym_protected] = ACTIONS(3154),
    [anon_sym_override] = ACTIONS(3154),
    [anon_sym_module] = ACTIONS(3154),
    [anon_sym_any] = ACTIONS(3154),
    [anon_sym_number] = ACTIONS(3154),
    [anon_sym_boolean] = ACTIONS(3154),
    [anon_sym_string] = ACTIONS(3154),
    [anon_sym_symbol] = ACTIONS(3154),
    [anon_sym_object] = ACTIONS(3154),
    [anon_sym_abstract] = ACTIONS(3154),
    [anon_sym_interface] = ACTIONS(3154),
    [anon_sym_enum] = ACTIONS(3154),
    [sym_html_comment] = ACTIONS(5),
  },
  [1519] = {
    [sym_comment] = STATE(1519),
    [sym_identifier] = ACTIONS(3154),
    [anon_sym_export] = ACTIONS(3154),
    [anon_sym_default] = ACTIONS(3154),
    [anon_sym_type] = ACTIONS(3154),
    [anon_sym_namespace] = ACTIONS(3154),
    [anon_sym_LBRACE] = ACTIONS(3154),
    [anon_sym_RBRACE] = ACTIONS(3154),
    [anon_sym_typeof] = ACTIONS(3154),
    [anon_sym_import] = ACTIONS(3154),
    [anon_sym_with] = ACTIONS(3154),
    [anon_sym_var] = ACTIONS(3154),
    [anon_sym_let] = ACTIONS(3154),
    [anon_sym_const] = ACTIONS(3154),
    [anon_sym_BANG] = ACTIONS(3154),
    [anon_sym_if] = ACTIONS(3154),
    [anon_sym_switch] = ACTIONS(3154),
    [anon_sym_for] = ACTIONS(3154),
    [anon_sym_LPAREN] = ACTIONS(3154),
    [anon_sym_await] = ACTIONS(3154),
    [anon_sym_while] = ACTIONS(3154),
    [anon_sym_do] = ACTIONS(3154),
    [anon_sym_try] = ACTIONS(3154),
    [anon_sym_break] = ACTIONS(3154),
    [anon_sym_continue] = ACTIONS(3154),
    [anon_sym_debugger] = ACTIONS(3154),
    [anon_sym_return] = ACTIONS(3154),
    [anon_sym_throw] = ACTIONS(3154),
    [anon_sym_SEMI] = ACTIONS(3154),
    [anon_sym_case] = ACTIONS(3154),
    [anon_sym_yield] = ACTIONS(3154),
    [anon_sym_LBRACK] = ACTIONS(3154),
    [anon_sym_LTtemplate_GT] = ACTIONS(3154),
    [anon_sym_DQUOTE] = ACTIONS(3154),
    [anon_sym_SQUOTE] = ACTIONS(3154),
    [anon_sym_class] = ACTIONS(3154),
    [anon_sym_async] = ACTIONS(3154),
    [anon_sym_function] = ACTIONS(3154),
    [anon_sym_new] = ACTIONS(3154),
    [anon_sym_using] = ACTIONS(3154),
    [anon_sym_PLUS] = ACTIONS(3154),
    [anon_sym_DASH] = ACTIONS(3154),
    [anon_sym_SLASH] = ACTIONS(3154),
    [anon_sym_LT] = ACTIONS(3154),
    [anon_sym_TILDE] = ACTIONS(3154),
    [anon_sym_void] = ACTIONS(3154),
    [anon_sym_delete] = ACTIONS(3154),
    [anon_sym_PLUS_PLUS] = ACTIONS(3154),
    [anon_sym_DASH_DASH] = ACTIONS(3154),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3154),
    [sym_number] = ACTIONS(3154),
    [sym_private_property_identifier] = ACTIONS(3154),
    [sym_this] = ACTIONS(3154),
    [sym_super] = ACTIONS(3154),
    [sym_true] = ACTIONS(3154),
    [sym_false] = ACTIONS(3154),
    [sym_null] = ACTIONS(3154),
    [sym_undefined] = ACTIONS(3154),
    [anon_sym_AT] = ACTIONS(3154),
    [anon_sym_static] = ACTIONS(3154),
    [anon_sym_readonly] = ACTIONS(3154),
    [anon_sym_get] = ACTIONS(3154),
    [anon_sym_set] = ACTIONS(3154),
    [anon_sym_declare] = ACTIONS(3154),
    [anon_sym_public] = ACTIONS(3154),
    [anon_sym_private] = ACTIONS(3154),
    [anon_sym_protected] = ACTIONS(3154),
    [anon_sym_override] = ACTIONS(3154),
    [anon_sym_module] = ACTIONS(3154),
    [anon_sym_any] = ACTIONS(3154),
    [anon_sym_number] = ACTIONS(3154),
    [anon_sym_boolean] = ACTIONS(3154),
    [anon_sym_string] = ACTIONS(3154),
    [anon_sym_symbol] = ACTIONS(3154),
    [anon_sym_object] = ACTIONS(3154),
    [anon_sym_abstract] = ACTIONS(3154),
    [anon_sym_interface] = ACTIONS(3154),
    [anon_sym_enum] = ACTIONS(3154),
    [sym_html_comment] = ACTIONS(5),
  },
  [1520] = {
    [sym_comment] = STATE(1520),
    [sym_identifier] = ACTIONS(3154),
    [anon_sym_export] = ACTIONS(3154),
    [anon_sym_default] = ACTIONS(3154),
    [anon_sym_type] = ACTIONS(3154),
    [anon_sym_namespace] = ACTIONS(3154),
    [anon_sym_LBRACE] = ACTIONS(3154),
    [anon_sym_RBRACE] = ACTIONS(3154),
    [anon_sym_typeof] = ACTIONS(3154),
    [anon_sym_import] = ACTIONS(3154),
    [anon_sym_with] = ACTIONS(3154),
    [anon_sym_var] = ACTIONS(3154),
    [anon_sym_let] = ACTIONS(3154),
    [anon_sym_const] = ACTIONS(3154),
    [anon_sym_BANG] = ACTIONS(3154),
    [anon_sym_if] = ACTIONS(3154),
    [anon_sym_switch] = ACTIONS(3154),
    [anon_sym_for] = ACTIONS(3154),
    [anon_sym_LPAREN] = ACTIONS(3154),
    [anon_sym_await] = ACTIONS(3154),
    [anon_sym_while] = ACTIONS(3154),
    [anon_sym_do] = ACTIONS(3154),
    [anon_sym_try] = ACTIONS(3154),
    [anon_sym_break] = ACTIONS(3154),
    [anon_sym_continue] = ACTIONS(3154),
    [anon_sym_debugger] = ACTIONS(3154),
    [anon_sym_return] = ACTIONS(3154),
    [anon_sym_throw] = ACTIONS(3154),
    [anon_sym_SEMI] = ACTIONS(3154),
    [anon_sym_case] = ACTIONS(3154),
    [anon_sym_yield] = ACTIONS(3154),
    [anon_sym_LBRACK] = ACTIONS(3154),
    [anon_sym_LTtemplate_GT] = ACTIONS(3154),
    [anon_sym_DQUOTE] = ACTIONS(3154),
    [anon_sym_SQUOTE] = ACTIONS(3154),
    [anon_sym_class] = ACTIONS(3154),
    [anon_sym_async] = ACTIONS(3154),
    [anon_sym_function] = ACTIONS(3154),
    [anon_sym_new] = ACTIONS(3154),
    [anon_sym_using] = ACTIONS(3154),
    [anon_sym_PLUS] = ACTIONS(3154),
    [anon_sym_DASH] = ACTIONS(3154),
    [anon_sym_SLASH] = ACTIONS(3154),
    [anon_sym_LT] = ACTIONS(3154),
    [anon_sym_TILDE] = ACTIONS(3154),
    [anon_sym_void] = ACTIONS(3154),
    [anon_sym_delete] = ACTIONS(3154),
    [anon_sym_PLUS_PLUS] = ACTIONS(3154),
    [anon_sym_DASH_DASH] = ACTIONS(3154),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3154),
    [sym_number] = ACTIONS(3154),
    [sym_private_property_identifier] = ACTIONS(3154),
    [sym_this] = ACTIONS(3154),
    [sym_super] = ACTIONS(3154),
    [sym_true] = ACTIONS(3154),
    [sym_false] = ACTIONS(3154),
    [sym_null] = ACTIONS(3154),
    [sym_undefined] = ACTIONS(3154),
    [anon_sym_AT] = ACTIONS(3154),
    [anon_sym_static] = ACTIONS(3154),
    [anon_sym_readonly] = ACTIONS(3154),
    [anon_sym_get] = ACTIONS(3154),
    [anon_sym_set] = ACTIONS(3154),
    [anon_sym_declare] = ACTIONS(3154),
    [anon_sym_public] = ACTIONS(3154),
    [anon_sym_private] = ACTIONS(3154),
    [anon_sym_protected] = ACTIONS(3154),
    [anon_sym_override] = ACTIONS(3154),
    [anon_sym_module] = ACTIONS(3154),
    [anon_sym_any] = ACTIONS(3154),
    [anon_sym_number] = ACTIONS(3154),
    [anon_sym_boolean] = ACTIONS(3154),
    [anon_sym_string] = ACTIONS(3154),
    [anon_sym_symbol] = ACTIONS(3154),
    [anon_sym_object] = ACTIONS(3154),
    [anon_sym_abstract] = ACTIONS(3154),
    [anon_sym_interface] = ACTIONS(3154),
    [anon_sym_enum] = ACTIONS(3154),
    [sym_html_comment] = ACTIONS(5),
  },
  [1521] = {
    [sym_comment] = STATE(1521),
    [sym_identifier] = ACTIONS(3154),
    [anon_sym_export] = ACTIONS(3154),
    [anon_sym_default] = ACTIONS(3154),
    [anon_sym_type] = ACTIONS(3154),
    [anon_sym_namespace] = ACTIONS(3154),
    [anon_sym_LBRACE] = ACTIONS(3154),
    [anon_sym_RBRACE] = ACTIONS(3154),
    [anon_sym_typeof] = ACTIONS(3154),
    [anon_sym_import] = ACTIONS(3154),
    [anon_sym_with] = ACTIONS(3154),
    [anon_sym_var] = ACTIONS(3154),
    [anon_sym_let] = ACTIONS(3154),
    [anon_sym_const] = ACTIONS(3154),
    [anon_sym_BANG] = ACTIONS(3154),
    [anon_sym_if] = ACTIONS(3154),
    [anon_sym_switch] = ACTIONS(3154),
    [anon_sym_for] = ACTIONS(3154),
    [anon_sym_LPAREN] = ACTIONS(3154),
    [anon_sym_await] = ACTIONS(3154),
    [anon_sym_while] = ACTIONS(3154),
    [anon_sym_do] = ACTIONS(3154),
    [anon_sym_try] = ACTIONS(3154),
    [anon_sym_break] = ACTIONS(3154),
    [anon_sym_continue] = ACTIONS(3154),
    [anon_sym_debugger] = ACTIONS(3154),
    [anon_sym_return] = ACTIONS(3154),
    [anon_sym_throw] = ACTIONS(3154),
    [anon_sym_SEMI] = ACTIONS(3154),
    [anon_sym_case] = ACTIONS(3154),
    [anon_sym_yield] = ACTIONS(3154),
    [anon_sym_LBRACK] = ACTIONS(3154),
    [anon_sym_LTtemplate_GT] = ACTIONS(3154),
    [anon_sym_DQUOTE] = ACTIONS(3154),
    [anon_sym_SQUOTE] = ACTIONS(3154),
    [anon_sym_class] = ACTIONS(3154),
    [anon_sym_async] = ACTIONS(3154),
    [anon_sym_function] = ACTIONS(3154),
    [anon_sym_new] = ACTIONS(3154),
    [anon_sym_using] = ACTIONS(3154),
    [anon_sym_PLUS] = ACTIONS(3154),
    [anon_sym_DASH] = ACTIONS(3154),
    [anon_sym_SLASH] = ACTIONS(3154),
    [anon_sym_LT] = ACTIONS(3154),
    [anon_sym_TILDE] = ACTIONS(3154),
    [anon_sym_void] = ACTIONS(3154),
    [anon_sym_delete] = ACTIONS(3154),
    [anon_sym_PLUS_PLUS] = ACTIONS(3154),
    [anon_sym_DASH_DASH] = ACTIONS(3154),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3154),
    [sym_number] = ACTIONS(3154),
    [sym_private_property_identifier] = ACTIONS(3154),
    [sym_this] = ACTIONS(3154),
    [sym_super] = ACTIONS(3154),
    [sym_true] = ACTIONS(3154),
    [sym_false] = ACTIONS(3154),
    [sym_null] = ACTIONS(3154),
    [sym_undefined] = ACTIONS(3154),
    [anon_sym_AT] = ACTIONS(3154),
    [anon_sym_static] = ACTIONS(3154),
    [anon_sym_readonly] = ACTIONS(3154),
    [anon_sym_get] = ACTIONS(3154),
    [anon_sym_set] = ACTIONS(3154),
    [anon_sym_declare] = ACTIONS(3154),
    [anon_sym_public] = ACTIONS(3154),
    [anon_sym_private] = ACTIONS(3154),
    [anon_sym_protected] = ACTIONS(3154),
    [anon_sym_override] = ACTIONS(3154),
    [anon_sym_module] = ACTIONS(3154),
    [anon_sym_any] = ACTIONS(3154),
    [anon_sym_number] = ACTIONS(3154),
    [anon_sym_boolean] = ACTIONS(3154),
    [anon_sym_string] = ACTIONS(3154),
    [anon_sym_symbol] = ACTIONS(3154),
    [anon_sym_object] = ACTIONS(3154),
    [anon_sym_abstract] = ACTIONS(3154),
    [anon_sym_interface] = ACTIONS(3154),
    [anon_sym_enum] = ACTIONS(3154),
    [sym_html_comment] = ACTIONS(5),
  },
  [1522] = {
    [sym_comment] = STATE(1522),
    [sym_identifier] = ACTIONS(3154),
    [anon_sym_export] = ACTIONS(3154),
    [anon_sym_default] = ACTIONS(3154),
    [anon_sym_type] = ACTIONS(3154),
    [anon_sym_namespace] = ACTIONS(3154),
    [anon_sym_LBRACE] = ACTIONS(3154),
    [anon_sym_RBRACE] = ACTIONS(3154),
    [anon_sym_typeof] = ACTIONS(3154),
    [anon_sym_import] = ACTIONS(3154),
    [anon_sym_with] = ACTIONS(3154),
    [anon_sym_var] = ACTIONS(3154),
    [anon_sym_let] = ACTIONS(3154),
    [anon_sym_const] = ACTIONS(3154),
    [anon_sym_BANG] = ACTIONS(3154),
    [anon_sym_if] = ACTIONS(3154),
    [anon_sym_switch] = ACTIONS(3154),
    [anon_sym_for] = ACTIONS(3154),
    [anon_sym_LPAREN] = ACTIONS(3154),
    [anon_sym_await] = ACTIONS(3154),
    [anon_sym_while] = ACTIONS(3154),
    [anon_sym_do] = ACTIONS(3154),
    [anon_sym_try] = ACTIONS(3154),
    [anon_sym_break] = ACTIONS(3154),
    [anon_sym_continue] = ACTIONS(3154),
    [anon_sym_debugger] = ACTIONS(3154),
    [anon_sym_return] = ACTIONS(3154),
    [anon_sym_throw] = ACTIONS(3154),
    [anon_sym_SEMI] = ACTIONS(3154),
    [anon_sym_case] = ACTIONS(3154),
    [anon_sym_yield] = ACTIONS(3154),
    [anon_sym_LBRACK] = ACTIONS(3154),
    [anon_sym_LTtemplate_GT] = ACTIONS(3154),
    [anon_sym_DQUOTE] = ACTIONS(3154),
    [anon_sym_SQUOTE] = ACTIONS(3154),
    [anon_sym_class] = ACTIONS(3154),
    [anon_sym_async] = ACTIONS(3154),
    [anon_sym_function] = ACTIONS(3154),
    [anon_sym_new] = ACTIONS(3154),
    [anon_sym_using] = ACTIONS(3154),
    [anon_sym_PLUS] = ACTIONS(3154),
    [anon_sym_DASH] = ACTIONS(3154),
    [anon_sym_SLASH] = ACTIONS(3154),
    [anon_sym_LT] = ACTIONS(3154),
    [anon_sym_TILDE] = ACTIONS(3154),
    [anon_sym_void] = ACTIONS(3154),
    [anon_sym_delete] = ACTIONS(3154),
    [anon_sym_PLUS_PLUS] = ACTIONS(3154),
    [anon_sym_DASH_DASH] = ACTIONS(3154),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3154),
    [sym_number] = ACTIONS(3154),
    [sym_private_property_identifier] = ACTIONS(3154),
    [sym_this] = ACTIONS(3154),
    [sym_super] = ACTIONS(3154),
    [sym_true] = ACTIONS(3154),
    [sym_false] = ACTIONS(3154),
    [sym_null] = ACTIONS(3154),
    [sym_undefined] = ACTIONS(3154),
    [anon_sym_AT] = ACTIONS(3154),
    [anon_sym_static] = ACTIONS(3154),
    [anon_sym_readonly] = ACTIONS(3154),
    [anon_sym_get] = ACTIONS(3154),
    [anon_sym_set] = ACTIONS(3154),
    [anon_sym_declare] = ACTIONS(3154),
    [anon_sym_public] = ACTIONS(3154),
    [anon_sym_private] = ACTIONS(3154),
    [anon_sym_protected] = ACTIONS(3154),
    [anon_sym_override] = ACTIONS(3154),
    [anon_sym_module] = ACTIONS(3154),
    [anon_sym_any] = ACTIONS(3154),
    [anon_sym_number] = ACTIONS(3154),
    [anon_sym_boolean] = ACTIONS(3154),
    [anon_sym_string] = ACTIONS(3154),
    [anon_sym_symbol] = ACTIONS(3154),
    [anon_sym_object] = ACTIONS(3154),
    [anon_sym_abstract] = ACTIONS(3154),
    [anon_sym_interface] = ACTIONS(3154),
    [anon_sym_enum] = ACTIONS(3154),
    [sym_html_comment] = ACTIONS(5),
  },
  [1523] = {
    [sym_comment] = STATE(1523),
    [sym_identifier] = ACTIONS(3154),
    [anon_sym_export] = ACTIONS(3154),
    [anon_sym_default] = ACTIONS(3154),
    [anon_sym_type] = ACTIONS(3154),
    [anon_sym_namespace] = ACTIONS(3154),
    [anon_sym_LBRACE] = ACTIONS(3154),
    [anon_sym_RBRACE] = ACTIONS(3154),
    [anon_sym_typeof] = ACTIONS(3154),
    [anon_sym_import] = ACTIONS(3154),
    [anon_sym_with] = ACTIONS(3154),
    [anon_sym_var] = ACTIONS(3154),
    [anon_sym_let] = ACTIONS(3154),
    [anon_sym_const] = ACTIONS(3154),
    [anon_sym_BANG] = ACTIONS(3154),
    [anon_sym_if] = ACTIONS(3154),
    [anon_sym_switch] = ACTIONS(3154),
    [anon_sym_for] = ACTIONS(3154),
    [anon_sym_LPAREN] = ACTIONS(3154),
    [anon_sym_await] = ACTIONS(3154),
    [anon_sym_while] = ACTIONS(3154),
    [anon_sym_do] = ACTIONS(3154),
    [anon_sym_try] = ACTIONS(3154),
    [anon_sym_break] = ACTIONS(3154),
    [anon_sym_continue] = ACTIONS(3154),
    [anon_sym_debugger] = ACTIONS(3154),
    [anon_sym_return] = ACTIONS(3154),
    [anon_sym_throw] = ACTIONS(3154),
    [anon_sym_SEMI] = ACTIONS(3154),
    [anon_sym_case] = ACTIONS(3154),
    [anon_sym_yield] = ACTIONS(3154),
    [anon_sym_LBRACK] = ACTIONS(3154),
    [anon_sym_LTtemplate_GT] = ACTIONS(3154),
    [anon_sym_DQUOTE] = ACTIONS(3154),
    [anon_sym_SQUOTE] = ACTIONS(3154),
    [anon_sym_class] = ACTIONS(3154),
    [anon_sym_async] = ACTIONS(3154),
    [anon_sym_function] = ACTIONS(3154),
    [anon_sym_new] = ACTIONS(3154),
    [anon_sym_using] = ACTIONS(3154),
    [anon_sym_PLUS] = ACTIONS(3154),
    [anon_sym_DASH] = ACTIONS(3154),
    [anon_sym_SLASH] = ACTIONS(3154),
    [anon_sym_LT] = ACTIONS(3154),
    [anon_sym_TILDE] = ACTIONS(3154),
    [anon_sym_void] = ACTIONS(3154),
    [anon_sym_delete] = ACTIONS(3154),
    [anon_sym_PLUS_PLUS] = ACTIONS(3154),
    [anon_sym_DASH_DASH] = ACTIONS(3154),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3154),
    [sym_number] = ACTIONS(3154),
    [sym_private_property_identifier] = ACTIONS(3154),
    [sym_this] = ACTIONS(3154),
    [sym_super] = ACTIONS(3154),
    [sym_true] = ACTIONS(3154),
    [sym_false] = ACTIONS(3154),
    [sym_null] = ACTIONS(3154),
    [sym_undefined] = ACTIONS(3154),
    [anon_sym_AT] = ACTIONS(3154),
    [anon_sym_static] = ACTIONS(3154),
    [anon_sym_readonly] = ACTIONS(3154),
    [anon_sym_get] = ACTIONS(3154),
    [anon_sym_set] = ACTIONS(3154),
    [anon_sym_declare] = ACTIONS(3154),
    [anon_sym_public] = ACTIONS(3154),
    [anon_sym_private] = ACTIONS(3154),
    [anon_sym_protected] = ACTIONS(3154),
    [anon_sym_override] = ACTIONS(3154),
    [anon_sym_module] = ACTIONS(3154),
    [anon_sym_any] = ACTIONS(3154),
    [anon_sym_number] = ACTIONS(3154),
    [anon_sym_boolean] = ACTIONS(3154),
    [anon_sym_string] = ACTIONS(3154),
    [anon_sym_symbol] = ACTIONS(3154),
    [anon_sym_object] = ACTIONS(3154),
    [anon_sym_abstract] = ACTIONS(3154),
    [anon_sym_interface] = ACTIONS(3154),
    [anon_sym_enum] = ACTIONS(3154),
    [sym_html_comment] = ACTIONS(5),
  },
  [1524] = {
    [sym_comment] = STATE(1524),
    [sym_identifier] = ACTIONS(3154),
    [anon_sym_export] = ACTIONS(3154),
    [anon_sym_default] = ACTIONS(3154),
    [anon_sym_type] = ACTIONS(3154),
    [anon_sym_namespace] = ACTIONS(3154),
    [anon_sym_LBRACE] = ACTIONS(3154),
    [anon_sym_RBRACE] = ACTIONS(3154),
    [anon_sym_typeof] = ACTIONS(3154),
    [anon_sym_import] = ACTIONS(3154),
    [anon_sym_with] = ACTIONS(3154),
    [anon_sym_var] = ACTIONS(3154),
    [anon_sym_let] = ACTIONS(3154),
    [anon_sym_const] = ACTIONS(3154),
    [anon_sym_BANG] = ACTIONS(3154),
    [anon_sym_if] = ACTIONS(3154),
    [anon_sym_switch] = ACTIONS(3154),
    [anon_sym_for] = ACTIONS(3154),
    [anon_sym_LPAREN] = ACTIONS(3154),
    [anon_sym_await] = ACTIONS(3154),
    [anon_sym_while] = ACTIONS(3154),
    [anon_sym_do] = ACTIONS(3154),
    [anon_sym_try] = ACTIONS(3154),
    [anon_sym_break] = ACTIONS(3154),
    [anon_sym_continue] = ACTIONS(3154),
    [anon_sym_debugger] = ACTIONS(3154),
    [anon_sym_return] = ACTIONS(3154),
    [anon_sym_throw] = ACTIONS(3154),
    [anon_sym_SEMI] = ACTIONS(3154),
    [anon_sym_case] = ACTIONS(3154),
    [anon_sym_yield] = ACTIONS(3154),
    [anon_sym_LBRACK] = ACTIONS(3154),
    [anon_sym_LTtemplate_GT] = ACTIONS(3154),
    [anon_sym_DQUOTE] = ACTIONS(3154),
    [anon_sym_SQUOTE] = ACTIONS(3154),
    [anon_sym_class] = ACTIONS(3154),
    [anon_sym_async] = ACTIONS(3154),
    [anon_sym_function] = ACTIONS(3154),
    [anon_sym_new] = ACTIONS(3154),
    [anon_sym_using] = ACTIONS(3154),
    [anon_sym_PLUS] = ACTIONS(3154),
    [anon_sym_DASH] = ACTIONS(3154),
    [anon_sym_SLASH] = ACTIONS(3154),
    [anon_sym_LT] = ACTIONS(3154),
    [anon_sym_TILDE] = ACTIONS(3154),
    [anon_sym_void] = ACTIONS(3154),
    [anon_sym_delete] = ACTIONS(3154),
    [anon_sym_PLUS_PLUS] = ACTIONS(3154),
    [anon_sym_DASH_DASH] = ACTIONS(3154),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3154),
    [sym_number] = ACTIONS(3154),
    [sym_private_property_identifier] = ACTIONS(3154),
    [sym_this] = ACTIONS(3154),
    [sym_super] = ACTIONS(3154),
    [sym_true] = ACTIONS(3154),
    [sym_false] = ACTIONS(3154),
    [sym_null] = ACTIONS(3154),
    [sym_undefined] = ACTIONS(3154),
    [anon_sym_AT] = ACTIONS(3154),
    [anon_sym_static] = ACTIONS(3154),
    [anon_sym_readonly] = ACTIONS(3154),
    [anon_sym_get] = ACTIONS(3154),
    [anon_sym_set] = ACTIONS(3154),
    [anon_sym_declare] = ACTIONS(3154),
    [anon_sym_public] = ACTIONS(3154),
    [anon_sym_private] = ACTIONS(3154),
    [anon_sym_protected] = ACTIONS(3154),
    [anon_sym_override] = ACTIONS(3154),
    [anon_sym_module] = ACTIONS(3154),
    [anon_sym_any] = ACTIONS(3154),
    [anon_sym_number] = ACTIONS(3154),
    [anon_sym_boolean] = ACTIONS(3154),
    [anon_sym_string] = ACTIONS(3154),
    [anon_sym_symbol] = ACTIONS(3154),
    [anon_sym_object] = ACTIONS(3154),
    [anon_sym_abstract] = ACTIONS(3154),
    [anon_sym_interface] = ACTIONS(3154),
    [anon_sym_enum] = ACTIONS(3154),
    [sym_html_comment] = ACTIONS(5),
  },
  [1525] = {
    [sym_comment] = STATE(1525),
    [sym_identifier] = ACTIONS(3154),
    [anon_sym_export] = ACTIONS(3154),
    [anon_sym_default] = ACTIONS(3154),
    [anon_sym_type] = ACTIONS(3154),
    [anon_sym_namespace] = ACTIONS(3154),
    [anon_sym_LBRACE] = ACTIONS(3154),
    [anon_sym_RBRACE] = ACTIONS(3154),
    [anon_sym_typeof] = ACTIONS(3154),
    [anon_sym_import] = ACTIONS(3154),
    [anon_sym_with] = ACTIONS(3154),
    [anon_sym_var] = ACTIONS(3154),
    [anon_sym_let] = ACTIONS(3154),
    [anon_sym_const] = ACTIONS(3154),
    [anon_sym_BANG] = ACTIONS(3154),
    [anon_sym_if] = ACTIONS(3154),
    [anon_sym_switch] = ACTIONS(3154),
    [anon_sym_for] = ACTIONS(3154),
    [anon_sym_LPAREN] = ACTIONS(3154),
    [anon_sym_await] = ACTIONS(3154),
    [anon_sym_while] = ACTIONS(3154),
    [anon_sym_do] = ACTIONS(3154),
    [anon_sym_try] = ACTIONS(3154),
    [anon_sym_break] = ACTIONS(3154),
    [anon_sym_continue] = ACTIONS(3154),
    [anon_sym_debugger] = ACTIONS(3154),
    [anon_sym_return] = ACTIONS(3154),
    [anon_sym_throw] = ACTIONS(3154),
    [anon_sym_SEMI] = ACTIONS(3154),
    [anon_sym_case] = ACTIONS(3154),
    [anon_sym_yield] = ACTIONS(3154),
    [anon_sym_LBRACK] = ACTIONS(3154),
    [anon_sym_LTtemplate_GT] = ACTIONS(3154),
    [anon_sym_DQUOTE] = ACTIONS(3154),
    [anon_sym_SQUOTE] = ACTIONS(3154),
    [anon_sym_class] = ACTIONS(3154),
    [anon_sym_async] = ACTIONS(3154),
    [anon_sym_function] = ACTIONS(3154),
    [anon_sym_new] = ACTIONS(3154),
    [anon_sym_using] = ACTIONS(3154),
    [anon_sym_PLUS] = ACTIONS(3154),
    [anon_sym_DASH] = ACTIONS(3154),
    [anon_sym_SLASH] = ACTIONS(3154),
    [anon_sym_LT] = ACTIONS(3154),
    [anon_sym_TILDE] = ACTIONS(3154),
    [anon_sym_void] = ACTIONS(3154),
    [anon_sym_delete] = ACTIONS(3154),
    [anon_sym_PLUS_PLUS] = ACTIONS(3154),
    [anon_sym_DASH_DASH] = ACTIONS(3154),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3154),
    [sym_number] = ACTIONS(3154),
    [sym_private_property_identifier] = ACTIONS(3154),
    [sym_this] = ACTIONS(3154),
    [sym_super] = ACTIONS(3154),
    [sym_true] = ACTIONS(3154),
    [sym_false] = ACTIONS(3154),
    [sym_null] = ACTIONS(3154),
    [sym_undefined] = ACTIONS(3154),
    [anon_sym_AT] = ACTIONS(3154),
    [anon_sym_static] = ACTIONS(3154),
    [anon_sym_readonly] = ACTIONS(3154),
    [anon_sym_get] = ACTIONS(3154),
    [anon_sym_set] = ACTIONS(3154),
    [anon_sym_declare] = ACTIONS(3154),
    [anon_sym_public] = ACTIONS(3154),
    [anon_sym_private] = ACTIONS(3154),
    [anon_sym_protected] = ACTIONS(3154),
    [anon_sym_override] = ACTIONS(3154),
    [anon_sym_module] = ACTIONS(3154),
    [anon_sym_any] = ACTIONS(3154),
    [anon_sym_number] = ACTIONS(3154),
    [anon_sym_boolean] = ACTIONS(3154),
    [anon_sym_string] = ACTIONS(3154),
    [anon_sym_symbol] = ACTIONS(3154),
    [anon_sym_object] = ACTIONS(3154),
    [anon_sym_abstract] = ACTIONS(3154),
    [anon_sym_interface] = ACTIONS(3154),
    [anon_sym_enum] = ACTIONS(3154),
    [sym_html_comment] = ACTIONS(5),
  },
  [1526] = {
    [sym_comment] = STATE(1526),
    [sym_identifier] = ACTIONS(3154),
    [anon_sym_export] = ACTIONS(3154),
    [anon_sym_default] = ACTIONS(3154),
    [anon_sym_type] = ACTIONS(3154),
    [anon_sym_namespace] = ACTIONS(3154),
    [anon_sym_LBRACE] = ACTIONS(3154),
    [anon_sym_RBRACE] = ACTIONS(3154),
    [anon_sym_typeof] = ACTIONS(3154),
    [anon_sym_import] = ACTIONS(3154),
    [anon_sym_with] = ACTIONS(3154),
    [anon_sym_var] = ACTIONS(3154),
    [anon_sym_let] = ACTIONS(3154),
    [anon_sym_const] = ACTIONS(3154),
    [anon_sym_BANG] = ACTIONS(3154),
    [anon_sym_if] = ACTIONS(3154),
    [anon_sym_switch] = ACTIONS(3154),
    [anon_sym_for] = ACTIONS(3154),
    [anon_sym_LPAREN] = ACTIONS(3154),
    [anon_sym_await] = ACTIONS(3154),
    [anon_sym_while] = ACTIONS(3154),
    [anon_sym_do] = ACTIONS(3154),
    [anon_sym_try] = ACTIONS(3154),
    [anon_sym_break] = ACTIONS(3154),
    [anon_sym_continue] = ACTIONS(3154),
    [anon_sym_debugger] = ACTIONS(3154),
    [anon_sym_return] = ACTIONS(3154),
    [anon_sym_throw] = ACTIONS(3154),
    [anon_sym_SEMI] = ACTIONS(3154),
    [anon_sym_case] = ACTIONS(3154),
    [anon_sym_yield] = ACTIONS(3154),
    [anon_sym_LBRACK] = ACTIONS(3154),
    [anon_sym_LTtemplate_GT] = ACTIONS(3154),
    [anon_sym_DQUOTE] = ACTIONS(3154),
    [anon_sym_SQUOTE] = ACTIONS(3154),
    [anon_sym_class] = ACTIONS(3154),
    [anon_sym_async] = ACTIONS(3154),
    [anon_sym_function] = ACTIONS(3154),
    [anon_sym_new] = ACTIONS(3154),
    [anon_sym_using] = ACTIONS(3154),
    [anon_sym_PLUS] = ACTIONS(3154),
    [anon_sym_DASH] = ACTIONS(3154),
    [anon_sym_SLASH] = ACTIONS(3154),
    [anon_sym_LT] = ACTIONS(3154),
    [anon_sym_TILDE] = ACTIONS(3154),
    [anon_sym_void] = ACTIONS(3154),
    [anon_sym_delete] = ACTIONS(3154),
    [anon_sym_PLUS_PLUS] = ACTIONS(3154),
    [anon_sym_DASH_DASH] = ACTIONS(3154),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3154),
    [sym_number] = ACTIONS(3154),
    [sym_private_property_identifier] = ACTIONS(3154),
    [sym_this] = ACTIONS(3154),
    [sym_super] = ACTIONS(3154),
    [sym_true] = ACTIONS(3154),
    [sym_false] = ACTIONS(3154),
    [sym_null] = ACTIONS(3154),
    [sym_undefined] = ACTIONS(3154),
    [anon_sym_AT] = ACTIONS(3154),
    [anon_sym_static] = ACTIONS(3154),
    [anon_sym_readonly] = ACTIONS(3154),
    [anon_sym_get] = ACTIONS(3154),
    [anon_sym_set] = ACTIONS(3154),
    [anon_sym_declare] = ACTIONS(3154),
    [anon_sym_public] = ACTIONS(3154),
    [anon_sym_private] = ACTIONS(3154),
    [anon_sym_protected] = ACTIONS(3154),
    [anon_sym_override] = ACTIONS(3154),
    [anon_sym_module] = ACTIONS(3154),
    [anon_sym_any] = ACTIONS(3154),
    [anon_sym_number] = ACTIONS(3154),
    [anon_sym_boolean] = ACTIONS(3154),
    [anon_sym_string] = ACTIONS(3154),
    [anon_sym_symbol] = ACTIONS(3154),
    [anon_sym_object] = ACTIONS(3154),
    [anon_sym_abstract] = ACTIONS(3154),
    [anon_sym_interface] = ACTIONS(3154),
    [anon_sym_enum] = ACTIONS(3154),
    [sym_html_comment] = ACTIONS(5),
  },
  [1527] = {
    [sym_comment] = STATE(1527),
    [ts_builtin_sym_end] = ACTIONS(3564),
    [sym_identifier] = ACTIONS(3160),
    [anon_sym_export] = ACTIONS(3160),
    [anon_sym_type] = ACTIONS(3160),
    [anon_sym_namespace] = ACTIONS(3160),
    [anon_sym_LBRACE] = ACTIONS(3160),
    [anon_sym_RBRACE] = ACTIONS(3160),
    [anon_sym_typeof] = ACTIONS(3160),
    [anon_sym_import] = ACTIONS(3160),
    [anon_sym_with] = ACTIONS(3160),
    [anon_sym_var] = ACTIONS(3160),
    [anon_sym_let] = ACTIONS(3160),
    [anon_sym_const] = ACTIONS(3160),
    [anon_sym_BANG] = ACTIONS(3160),
    [anon_sym_else] = ACTIONS(3160),
    [anon_sym_if] = ACTIONS(3160),
    [anon_sym_switch] = ACTIONS(3160),
    [anon_sym_for] = ACTIONS(3160),
    [anon_sym_LPAREN] = ACTIONS(3160),
    [anon_sym_await] = ACTIONS(3160),
    [anon_sym_while] = ACTIONS(3160),
    [anon_sym_do] = ACTIONS(3160),
    [anon_sym_try] = ACTIONS(3160),
    [anon_sym_break] = ACTIONS(3160),
    [anon_sym_continue] = ACTIONS(3160),
    [anon_sym_debugger] = ACTIONS(3160),
    [anon_sym_return] = ACTIONS(3160),
    [anon_sym_throw] = ACTIONS(3160),
    [anon_sym_SEMI] = ACTIONS(3160),
    [anon_sym_yield] = ACTIONS(3160),
    [anon_sym_LBRACK] = ACTIONS(3160),
    [anon_sym_LTtemplate_GT] = ACTIONS(3160),
    [anon_sym_DQUOTE] = ACTIONS(3160),
    [anon_sym_SQUOTE] = ACTIONS(3160),
    [anon_sym_class] = ACTIONS(3160),
    [anon_sym_async] = ACTIONS(3160),
    [anon_sym_function] = ACTIONS(3160),
    [anon_sym_new] = ACTIONS(3160),
    [anon_sym_using] = ACTIONS(3160),
    [anon_sym_PLUS] = ACTIONS(3160),
    [anon_sym_DASH] = ACTIONS(3160),
    [anon_sym_SLASH] = ACTIONS(3160),
    [anon_sym_LT] = ACTIONS(3160),
    [anon_sym_TILDE] = ACTIONS(3160),
    [anon_sym_void] = ACTIONS(3160),
    [anon_sym_delete] = ACTIONS(3160),
    [anon_sym_PLUS_PLUS] = ACTIONS(3160),
    [anon_sym_DASH_DASH] = ACTIONS(3160),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3160),
    [sym_number] = ACTIONS(3160),
    [sym_private_property_identifier] = ACTIONS(3160),
    [sym_this] = ACTIONS(3160),
    [sym_super] = ACTIONS(3160),
    [sym_true] = ACTIONS(3160),
    [sym_false] = ACTIONS(3160),
    [sym_null] = ACTIONS(3160),
    [sym_undefined] = ACTIONS(3160),
    [anon_sym_AT] = ACTIONS(3160),
    [anon_sym_static] = ACTIONS(3160),
    [anon_sym_readonly] = ACTIONS(3160),
    [anon_sym_get] = ACTIONS(3160),
    [anon_sym_set] = ACTIONS(3160),
    [anon_sym_declare] = ACTIONS(3160),
    [anon_sym_public] = ACTIONS(3160),
    [anon_sym_private] = ACTIONS(3160),
    [anon_sym_protected] = ACTIONS(3160),
    [anon_sym_override] = ACTIONS(3160),
    [anon_sym_module] = ACTIONS(3160),
    [anon_sym_any] = ACTIONS(3160),
    [anon_sym_number] = ACTIONS(3160),
    [anon_sym_boolean] = ACTIONS(3160),
    [anon_sym_string] = ACTIONS(3160),
    [anon_sym_symbol] = ACTIONS(3160),
    [anon_sym_object] = ACTIONS(3160),
    [anon_sym_abstract] = ACTIONS(3160),
    [anon_sym_interface] = ACTIONS(3160),
    [anon_sym_enum] = ACTIONS(3160),
    [sym_html_comment] = ACTIONS(5),
  },
  [1528] = {
    [sym_comment] = STATE(1528),
    [ts_builtin_sym_end] = ACTIONS(3566),
    [sym_identifier] = ACTIONS(3158),
    [anon_sym_export] = ACTIONS(3158),
    [anon_sym_type] = ACTIONS(3158),
    [anon_sym_namespace] = ACTIONS(3158),
    [anon_sym_LBRACE] = ACTIONS(3158),
    [anon_sym_RBRACE] = ACTIONS(3158),
    [anon_sym_typeof] = ACTIONS(3158),
    [anon_sym_import] = ACTIONS(3158),
    [anon_sym_with] = ACTIONS(3158),
    [anon_sym_var] = ACTIONS(3158),
    [anon_sym_let] = ACTIONS(3158),
    [anon_sym_const] = ACTIONS(3158),
    [anon_sym_BANG] = ACTIONS(3158),
    [anon_sym_else] = ACTIONS(3158),
    [anon_sym_if] = ACTIONS(3158),
    [anon_sym_switch] = ACTIONS(3158),
    [anon_sym_for] = ACTIONS(3158),
    [anon_sym_LPAREN] = ACTIONS(3158),
    [anon_sym_await] = ACTIONS(3158),
    [anon_sym_while] = ACTIONS(3158),
    [anon_sym_do] = ACTIONS(3158),
    [anon_sym_try] = ACTIONS(3158),
    [anon_sym_break] = ACTIONS(3158),
    [anon_sym_continue] = ACTIONS(3158),
    [anon_sym_debugger] = ACTIONS(3158),
    [anon_sym_return] = ACTIONS(3158),
    [anon_sym_throw] = ACTIONS(3158),
    [anon_sym_SEMI] = ACTIONS(3158),
    [anon_sym_yield] = ACTIONS(3158),
    [anon_sym_LBRACK] = ACTIONS(3158),
    [anon_sym_LTtemplate_GT] = ACTIONS(3158),
    [anon_sym_DQUOTE] = ACTIONS(3158),
    [anon_sym_SQUOTE] = ACTIONS(3158),
    [anon_sym_class] = ACTIONS(3158),
    [anon_sym_async] = ACTIONS(3158),
    [anon_sym_function] = ACTIONS(3158),
    [anon_sym_new] = ACTIONS(3158),
    [anon_sym_using] = ACTIONS(3158),
    [anon_sym_PLUS] = ACTIONS(3158),
    [anon_sym_DASH] = ACTIONS(3158),
    [anon_sym_SLASH] = ACTIONS(3158),
    [anon_sym_LT] = ACTIONS(3158),
    [anon_sym_TILDE] = ACTIONS(3158),
    [anon_sym_void] = ACTIONS(3158),
    [anon_sym_delete] = ACTIONS(3158),
    [anon_sym_PLUS_PLUS] = ACTIONS(3158),
    [anon_sym_DASH_DASH] = ACTIONS(3158),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3158),
    [sym_number] = ACTIONS(3158),
    [sym_private_property_identifier] = ACTIONS(3158),
    [sym_this] = ACTIONS(3158),
    [sym_super] = ACTIONS(3158),
    [sym_true] = ACTIONS(3158),
    [sym_false] = ACTIONS(3158),
    [sym_null] = ACTIONS(3158),
    [sym_undefined] = ACTIONS(3158),
    [anon_sym_AT] = ACTIONS(3158),
    [anon_sym_static] = ACTIONS(3158),
    [anon_sym_readonly] = ACTIONS(3158),
    [anon_sym_get] = ACTIONS(3158),
    [anon_sym_set] = ACTIONS(3158),
    [anon_sym_declare] = ACTIONS(3158),
    [anon_sym_public] = ACTIONS(3158),
    [anon_sym_private] = ACTIONS(3158),
    [anon_sym_protected] = ACTIONS(3158),
    [anon_sym_override] = ACTIONS(3158),
    [anon_sym_module] = ACTIONS(3158),
    [anon_sym_any] = ACTIONS(3158),
    [anon_sym_number] = ACTIONS(3158),
    [anon_sym_boolean] = ACTIONS(3158),
    [anon_sym_string] = ACTIONS(3158),
    [anon_sym_symbol] = ACTIONS(3158),
    [anon_sym_object] = ACTIONS(3158),
    [anon_sym_abstract] = ACTIONS(3158),
    [anon_sym_interface] = ACTIONS(3158),
    [anon_sym_enum] = ACTIONS(3158),
    [sym_html_comment] = ACTIONS(5),
  },
  [1529] = {
    [sym_comment] = STATE(1529),
    [ts_builtin_sym_end] = ACTIONS(3568),
    [sym_identifier] = ACTIONS(3304),
    [anon_sym_export] = ACTIONS(3304),
    [anon_sym_type] = ACTIONS(3304),
    [anon_sym_namespace] = ACTIONS(3304),
    [anon_sym_LBRACE] = ACTIONS(3304),
    [anon_sym_RBRACE] = ACTIONS(3304),
    [anon_sym_typeof] = ACTIONS(3304),
    [anon_sym_import] = ACTIONS(3304),
    [anon_sym_with] = ACTIONS(3304),
    [anon_sym_var] = ACTIONS(3304),
    [anon_sym_let] = ACTIONS(3304),
    [anon_sym_const] = ACTIONS(3304),
    [anon_sym_BANG] = ACTIONS(3304),
    [anon_sym_else] = ACTIONS(3304),
    [anon_sym_if] = ACTIONS(3304),
    [anon_sym_switch] = ACTIONS(3304),
    [anon_sym_for] = ACTIONS(3304),
    [anon_sym_LPAREN] = ACTIONS(3304),
    [anon_sym_await] = ACTIONS(3304),
    [anon_sym_while] = ACTIONS(3304),
    [anon_sym_do] = ACTIONS(3304),
    [anon_sym_try] = ACTIONS(3304),
    [anon_sym_break] = ACTIONS(3304),
    [anon_sym_continue] = ACTIONS(3304),
    [anon_sym_debugger] = ACTIONS(3304),
    [anon_sym_return] = ACTIONS(3304),
    [anon_sym_throw] = ACTIONS(3304),
    [anon_sym_SEMI] = ACTIONS(3304),
    [anon_sym_yield] = ACTIONS(3304),
    [anon_sym_LBRACK] = ACTIONS(3304),
    [anon_sym_LTtemplate_GT] = ACTIONS(3304),
    [anon_sym_DQUOTE] = ACTIONS(3304),
    [anon_sym_SQUOTE] = ACTIONS(3304),
    [anon_sym_class] = ACTIONS(3304),
    [anon_sym_async] = ACTIONS(3304),
    [anon_sym_function] = ACTIONS(3304),
    [anon_sym_new] = ACTIONS(3304),
    [anon_sym_using] = ACTIONS(3304),
    [anon_sym_PLUS] = ACTIONS(3304),
    [anon_sym_DASH] = ACTIONS(3304),
    [anon_sym_SLASH] = ACTIONS(3304),
    [anon_sym_LT] = ACTIONS(3304),
    [anon_sym_TILDE] = ACTIONS(3304),
    [anon_sym_void] = ACTIONS(3304),
    [anon_sym_delete] = ACTIONS(3304),
    [anon_sym_PLUS_PLUS] = ACTIONS(3304),
    [anon_sym_DASH_DASH] = ACTIONS(3304),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3304),
    [sym_number] = ACTIONS(3304),
    [sym_private_property_identifier] = ACTIONS(3304),
    [sym_this] = ACTIONS(3304),
    [sym_super] = ACTIONS(3304),
    [sym_true] = ACTIONS(3304),
    [sym_false] = ACTIONS(3304),
    [sym_null] = ACTIONS(3304),
    [sym_undefined] = ACTIONS(3304),
    [anon_sym_AT] = ACTIONS(3304),
    [anon_sym_static] = ACTIONS(3304),
    [anon_sym_readonly] = ACTIONS(3304),
    [anon_sym_get] = ACTIONS(3304),
    [anon_sym_set] = ACTIONS(3304),
    [anon_sym_declare] = ACTIONS(3304),
    [anon_sym_public] = ACTIONS(3304),
    [anon_sym_private] = ACTIONS(3304),
    [anon_sym_protected] = ACTIONS(3304),
    [anon_sym_override] = ACTIONS(3304),
    [anon_sym_module] = ACTIONS(3304),
    [anon_sym_any] = ACTIONS(3304),
    [anon_sym_number] = ACTIONS(3304),
    [anon_sym_boolean] = ACTIONS(3304),
    [anon_sym_string] = ACTIONS(3304),
    [anon_sym_symbol] = ACTIONS(3304),
    [anon_sym_object] = ACTIONS(3304),
    [anon_sym_abstract] = ACTIONS(3304),
    [anon_sym_interface] = ACTIONS(3304),
    [anon_sym_enum] = ACTIONS(3304),
    [sym_html_comment] = ACTIONS(5),
  },
  [1530] = {
    [sym_comment] = STATE(1530),
    [ts_builtin_sym_end] = ACTIONS(3570),
    [sym_identifier] = ACTIONS(3152),
    [anon_sym_export] = ACTIONS(3152),
    [anon_sym_type] = ACTIONS(3152),
    [anon_sym_namespace] = ACTIONS(3152),
    [anon_sym_LBRACE] = ACTIONS(3152),
    [anon_sym_RBRACE] = ACTIONS(3152),
    [anon_sym_typeof] = ACTIONS(3152),
    [anon_sym_import] = ACTIONS(3152),
    [anon_sym_with] = ACTIONS(3152),
    [anon_sym_var] = ACTIONS(3152),
    [anon_sym_let] = ACTIONS(3152),
    [anon_sym_const] = ACTIONS(3152),
    [anon_sym_BANG] = ACTIONS(3152),
    [anon_sym_else] = ACTIONS(3152),
    [anon_sym_if] = ACTIONS(3152),
    [anon_sym_switch] = ACTIONS(3152),
    [anon_sym_for] = ACTIONS(3152),
    [anon_sym_LPAREN] = ACTIONS(3152),
    [anon_sym_await] = ACTIONS(3152),
    [anon_sym_while] = ACTIONS(3152),
    [anon_sym_do] = ACTIONS(3152),
    [anon_sym_try] = ACTIONS(3152),
    [anon_sym_break] = ACTIONS(3152),
    [anon_sym_continue] = ACTIONS(3152),
    [anon_sym_debugger] = ACTIONS(3152),
    [anon_sym_return] = ACTIONS(3152),
    [anon_sym_throw] = ACTIONS(3152),
    [anon_sym_SEMI] = ACTIONS(3152),
    [anon_sym_yield] = ACTIONS(3152),
    [anon_sym_LBRACK] = ACTIONS(3152),
    [anon_sym_LTtemplate_GT] = ACTIONS(3152),
    [anon_sym_DQUOTE] = ACTIONS(3152),
    [anon_sym_SQUOTE] = ACTIONS(3152),
    [anon_sym_class] = ACTIONS(3152),
    [anon_sym_async] = ACTIONS(3152),
    [anon_sym_function] = ACTIONS(3152),
    [anon_sym_new] = ACTIONS(3152),
    [anon_sym_using] = ACTIONS(3152),
    [anon_sym_PLUS] = ACTIONS(3152),
    [anon_sym_DASH] = ACTIONS(3152),
    [anon_sym_SLASH] = ACTIONS(3152),
    [anon_sym_LT] = ACTIONS(3152),
    [anon_sym_TILDE] = ACTIONS(3152),
    [anon_sym_void] = ACTIONS(3152),
    [anon_sym_delete] = ACTIONS(3152),
    [anon_sym_PLUS_PLUS] = ACTIONS(3152),
    [anon_sym_DASH_DASH] = ACTIONS(3152),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3152),
    [sym_number] = ACTIONS(3152),
    [sym_private_property_identifier] = ACTIONS(3152),
    [sym_this] = ACTIONS(3152),
    [sym_super] = ACTIONS(3152),
    [sym_true] = ACTIONS(3152),
    [sym_false] = ACTIONS(3152),
    [sym_null] = ACTIONS(3152),
    [sym_undefined] = ACTIONS(3152),
    [anon_sym_AT] = ACTIONS(3152),
    [anon_sym_static] = ACTIONS(3152),
    [anon_sym_readonly] = ACTIONS(3152),
    [anon_sym_get] = ACTIONS(3152),
    [anon_sym_set] = ACTIONS(3152),
    [anon_sym_declare] = ACTIONS(3152),
    [anon_sym_public] = ACTIONS(3152),
    [anon_sym_private] = ACTIONS(3152),
    [anon_sym_protected] = ACTIONS(3152),
    [anon_sym_override] = ACTIONS(3152),
    [anon_sym_module] = ACTIONS(3152),
    [anon_sym_any] = ACTIONS(3152),
    [anon_sym_number] = ACTIONS(3152),
    [anon_sym_boolean] = ACTIONS(3152),
    [anon_sym_string] = ACTIONS(3152),
    [anon_sym_symbol] = ACTIONS(3152),
    [anon_sym_object] = ACTIONS(3152),
    [anon_sym_abstract] = ACTIONS(3152),
    [anon_sym_interface] = ACTIONS(3152),
    [anon_sym_enum] = ACTIONS(3152),
    [sym_html_comment] = ACTIONS(5),
  },
  [1531] = {
    [sym_comment] = STATE(1531),
    [sym_identifier] = ACTIONS(3154),
    [anon_sym_export] = ACTIONS(3154),
    [anon_sym_default] = ACTIONS(3154),
    [anon_sym_type] = ACTIONS(3154),
    [anon_sym_namespace] = ACTIONS(3154),
    [anon_sym_LBRACE] = ACTIONS(3154),
    [anon_sym_RBRACE] = ACTIONS(3154),
    [anon_sym_typeof] = ACTIONS(3154),
    [anon_sym_import] = ACTIONS(3154),
    [anon_sym_with] = ACTIONS(3154),
    [anon_sym_var] = ACTIONS(3154),
    [anon_sym_let] = ACTIONS(3154),
    [anon_sym_const] = ACTIONS(3154),
    [anon_sym_BANG] = ACTIONS(3154),
    [anon_sym_if] = ACTIONS(3154),
    [anon_sym_switch] = ACTIONS(3154),
    [anon_sym_for] = ACTIONS(3154),
    [anon_sym_LPAREN] = ACTIONS(3154),
    [anon_sym_await] = ACTIONS(3154),
    [anon_sym_while] = ACTIONS(3154),
    [anon_sym_do] = ACTIONS(3154),
    [anon_sym_try] = ACTIONS(3154),
    [anon_sym_break] = ACTIONS(3154),
    [anon_sym_continue] = ACTIONS(3154),
    [anon_sym_debugger] = ACTIONS(3154),
    [anon_sym_return] = ACTIONS(3154),
    [anon_sym_throw] = ACTIONS(3154),
    [anon_sym_SEMI] = ACTIONS(3154),
    [anon_sym_case] = ACTIONS(3154),
    [anon_sym_yield] = ACTIONS(3154),
    [anon_sym_LBRACK] = ACTIONS(3154),
    [anon_sym_LTtemplate_GT] = ACTIONS(3154),
    [anon_sym_DQUOTE] = ACTIONS(3154),
    [anon_sym_SQUOTE] = ACTIONS(3154),
    [anon_sym_class] = ACTIONS(3154),
    [anon_sym_async] = ACTIONS(3154),
    [anon_sym_function] = ACTIONS(3154),
    [anon_sym_new] = ACTIONS(3154),
    [anon_sym_using] = ACTIONS(3154),
    [anon_sym_PLUS] = ACTIONS(3154),
    [anon_sym_DASH] = ACTIONS(3154),
    [anon_sym_SLASH] = ACTIONS(3154),
    [anon_sym_LT] = ACTIONS(3154),
    [anon_sym_TILDE] = ACTIONS(3154),
    [anon_sym_void] = ACTIONS(3154),
    [anon_sym_delete] = ACTIONS(3154),
    [anon_sym_PLUS_PLUS] = ACTIONS(3154),
    [anon_sym_DASH_DASH] = ACTIONS(3154),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3154),
    [sym_number] = ACTIONS(3154),
    [sym_private_property_identifier] = ACTIONS(3154),
    [sym_this] = ACTIONS(3154),
    [sym_super] = ACTIONS(3154),
    [sym_true] = ACTIONS(3154),
    [sym_false] = ACTIONS(3154),
    [sym_null] = ACTIONS(3154),
    [sym_undefined] = ACTIONS(3154),
    [anon_sym_AT] = ACTIONS(3154),
    [anon_sym_static] = ACTIONS(3154),
    [anon_sym_readonly] = ACTIONS(3154),
    [anon_sym_get] = ACTIONS(3154),
    [anon_sym_set] = ACTIONS(3154),
    [anon_sym_declare] = ACTIONS(3154),
    [anon_sym_public] = ACTIONS(3154),
    [anon_sym_private] = ACTIONS(3154),
    [anon_sym_protected] = ACTIONS(3154),
    [anon_sym_override] = ACTIONS(3154),
    [anon_sym_module] = ACTIONS(3154),
    [anon_sym_any] = ACTIONS(3154),
    [anon_sym_number] = ACTIONS(3154),
    [anon_sym_boolean] = ACTIONS(3154),
    [anon_sym_string] = ACTIONS(3154),
    [anon_sym_symbol] = ACTIONS(3154),
    [anon_sym_object] = ACTIONS(3154),
    [anon_sym_abstract] = ACTIONS(3154),
    [anon_sym_interface] = ACTIONS(3154),
    [anon_sym_enum] = ACTIONS(3154),
    [sym_html_comment] = ACTIONS(5),
  },
  [1532] = {
    [sym_comment] = STATE(1532),
    [ts_builtin_sym_end] = ACTIONS(2095),
    [sym_identifier] = ACTIONS(2093),
    [anon_sym_export] = ACTIONS(2093),
    [anon_sym_type] = ACTIONS(2093),
    [anon_sym_namespace] = ACTIONS(2093),
    [anon_sym_LBRACE] = ACTIONS(2093),
    [anon_sym_RBRACE] = ACTIONS(2093),
    [anon_sym_typeof] = ACTIONS(2093),
    [anon_sym_import] = ACTIONS(2093),
    [anon_sym_with] = ACTIONS(2093),
    [anon_sym_var] = ACTIONS(2093),
    [anon_sym_let] = ACTIONS(2093),
    [anon_sym_const] = ACTIONS(2093),
    [anon_sym_BANG] = ACTIONS(2093),
    [anon_sym_if] = ACTIONS(2093),
    [anon_sym_switch] = ACTIONS(2093),
    [anon_sym_for] = ACTIONS(2093),
    [anon_sym_LPAREN] = ACTIONS(2093),
    [anon_sym_await] = ACTIONS(2093),
    [anon_sym_while] = ACTIONS(2093),
    [anon_sym_do] = ACTIONS(2093),
    [anon_sym_try] = ACTIONS(2093),
    [anon_sym_break] = ACTIONS(2093),
    [anon_sym_continue] = ACTIONS(2093),
    [anon_sym_debugger] = ACTIONS(2093),
    [anon_sym_return] = ACTIONS(2093),
    [anon_sym_throw] = ACTIONS(2093),
    [anon_sym_SEMI] = ACTIONS(2093),
    [anon_sym_yield] = ACTIONS(2093),
    [anon_sym_LBRACK] = ACTIONS(2093),
    [anon_sym_LTtemplate_GT] = ACTIONS(2093),
    [anon_sym_DQUOTE] = ACTIONS(2093),
    [anon_sym_SQUOTE] = ACTIONS(2093),
    [anon_sym_class] = ACTIONS(2093),
    [anon_sym_async] = ACTIONS(2093),
    [anon_sym_function] = ACTIONS(2093),
    [anon_sym_new] = ACTIONS(2093),
    [anon_sym_using] = ACTIONS(2093),
    [anon_sym_PLUS] = ACTIONS(2093),
    [anon_sym_DASH] = ACTIONS(2093),
    [anon_sym_SLASH] = ACTIONS(2093),
    [anon_sym_LT] = ACTIONS(2093),
    [anon_sym_TILDE] = ACTIONS(2093),
    [anon_sym_void] = ACTIONS(2093),
    [anon_sym_delete] = ACTIONS(2093),
    [anon_sym_PLUS_PLUS] = ACTIONS(2093),
    [anon_sym_DASH_DASH] = ACTIONS(2093),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2093),
    [sym_number] = ACTIONS(2093),
    [sym_private_property_identifier] = ACTIONS(2093),
    [sym_this] = ACTIONS(2093),
    [sym_super] = ACTIONS(2093),
    [sym_true] = ACTIONS(2093),
    [sym_false] = ACTIONS(2093),
    [sym_null] = ACTIONS(2093),
    [sym_undefined] = ACTIONS(2093),
    [anon_sym_AT] = ACTIONS(2093),
    [anon_sym_static] = ACTIONS(2093),
    [anon_sym_readonly] = ACTIONS(2093),
    [anon_sym_get] = ACTIONS(2093),
    [anon_sym_set] = ACTIONS(2093),
    [anon_sym_declare] = ACTIONS(2093),
    [anon_sym_public] = ACTIONS(2093),
    [anon_sym_private] = ACTIONS(2093),
    [anon_sym_protected] = ACTIONS(2093),
    [anon_sym_override] = ACTIONS(2093),
    [anon_sym_module] = ACTIONS(2093),
    [anon_sym_any] = ACTIONS(2093),
    [anon_sym_number] = ACTIONS(2093),
    [anon_sym_boolean] = ACTIONS(2093),
    [anon_sym_string] = ACTIONS(2093),
    [anon_sym_symbol] = ACTIONS(2093),
    [anon_sym_object] = ACTIONS(2093),
    [anon_sym_abstract] = ACTIONS(2093),
    [anon_sym_interface] = ACTIONS(2093),
    [anon_sym_enum] = ACTIONS(2093),
    [sym__automatic_semicolon] = ACTIONS(3572),
    [sym_html_comment] = ACTIONS(5),
  },
  [1533] = {
    [sym_comment] = STATE(1533),
    [sym_identifier] = ACTIONS(3154),
    [anon_sym_export] = ACTIONS(3154),
    [anon_sym_default] = ACTIONS(3154),
    [anon_sym_type] = ACTIONS(3154),
    [anon_sym_namespace] = ACTIONS(3154),
    [anon_sym_LBRACE] = ACTIONS(3154),
    [anon_sym_RBRACE] = ACTIONS(3154),
    [anon_sym_typeof] = ACTIONS(3154),
    [anon_sym_import] = ACTIONS(3154),
    [anon_sym_with] = ACTIONS(3154),
    [anon_sym_var] = ACTIONS(3154),
    [anon_sym_let] = ACTIONS(3154),
    [anon_sym_const] = ACTIONS(3154),
    [anon_sym_BANG] = ACTIONS(3154),
    [anon_sym_if] = ACTIONS(3154),
    [anon_sym_switch] = ACTIONS(3154),
    [anon_sym_for] = ACTIONS(3154),
    [anon_sym_LPAREN] = ACTIONS(3154),
    [anon_sym_await] = ACTIONS(3154),
    [anon_sym_while] = ACTIONS(3154),
    [anon_sym_do] = ACTIONS(3154),
    [anon_sym_try] = ACTIONS(3154),
    [anon_sym_break] = ACTIONS(3154),
    [anon_sym_continue] = ACTIONS(3154),
    [anon_sym_debugger] = ACTIONS(3154),
    [anon_sym_return] = ACTIONS(3154),
    [anon_sym_throw] = ACTIONS(3154),
    [anon_sym_SEMI] = ACTIONS(3154),
    [anon_sym_case] = ACTIONS(3154),
    [anon_sym_yield] = ACTIONS(3154),
    [anon_sym_LBRACK] = ACTIONS(3154),
    [anon_sym_LTtemplate_GT] = ACTIONS(3154),
    [anon_sym_DQUOTE] = ACTIONS(3154),
    [anon_sym_SQUOTE] = ACTIONS(3154),
    [anon_sym_class] = ACTIONS(3154),
    [anon_sym_async] = ACTIONS(3154),
    [anon_sym_function] = ACTIONS(3154),
    [anon_sym_new] = ACTIONS(3154),
    [anon_sym_using] = ACTIONS(3154),
    [anon_sym_PLUS] = ACTIONS(3154),
    [anon_sym_DASH] = ACTIONS(3154),
    [anon_sym_SLASH] = ACTIONS(3154),
    [anon_sym_LT] = ACTIONS(3154),
    [anon_sym_TILDE] = ACTIONS(3154),
    [anon_sym_void] = ACTIONS(3154),
    [anon_sym_delete] = ACTIONS(3154),
    [anon_sym_PLUS_PLUS] = ACTIONS(3154),
    [anon_sym_DASH_DASH] = ACTIONS(3154),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3154),
    [sym_number] = ACTIONS(3154),
    [sym_private_property_identifier] = ACTIONS(3154),
    [sym_this] = ACTIONS(3154),
    [sym_super] = ACTIONS(3154),
    [sym_true] = ACTIONS(3154),
    [sym_false] = ACTIONS(3154),
    [sym_null] = ACTIONS(3154),
    [sym_undefined] = ACTIONS(3154),
    [anon_sym_AT] = ACTIONS(3154),
    [anon_sym_static] = ACTIONS(3154),
    [anon_sym_readonly] = ACTIONS(3154),
    [anon_sym_get] = ACTIONS(3154),
    [anon_sym_set] = ACTIONS(3154),
    [anon_sym_declare] = ACTIONS(3154),
    [anon_sym_public] = ACTIONS(3154),
    [anon_sym_private] = ACTIONS(3154),
    [anon_sym_protected] = ACTIONS(3154),
    [anon_sym_override] = ACTIONS(3154),
    [anon_sym_module] = ACTIONS(3154),
    [anon_sym_any] = ACTIONS(3154),
    [anon_sym_number] = ACTIONS(3154),
    [anon_sym_boolean] = ACTIONS(3154),
    [anon_sym_string] = ACTIONS(3154),
    [anon_sym_symbol] = ACTIONS(3154),
    [anon_sym_object] = ACTIONS(3154),
    [anon_sym_abstract] = ACTIONS(3154),
    [anon_sym_interface] = ACTIONS(3154),
    [anon_sym_enum] = ACTIONS(3154),
    [sym_html_comment] = ACTIONS(5),
  },
  [1534] = {
    [sym_comment] = STATE(1534),
    [sym_identifier] = ACTIONS(3154),
    [anon_sym_export] = ACTIONS(3154),
    [anon_sym_default] = ACTIONS(3154),
    [anon_sym_type] = ACTIONS(3154),
    [anon_sym_namespace] = ACTIONS(3154),
    [anon_sym_LBRACE] = ACTIONS(3154),
    [anon_sym_RBRACE] = ACTIONS(3154),
    [anon_sym_typeof] = ACTIONS(3154),
    [anon_sym_import] = ACTIONS(3154),
    [anon_sym_with] = ACTIONS(3154),
    [anon_sym_var] = ACTIONS(3154),
    [anon_sym_let] = ACTIONS(3154),
    [anon_sym_const] = ACTIONS(3154),
    [anon_sym_BANG] = ACTIONS(3154),
    [anon_sym_if] = ACTIONS(3154),
    [anon_sym_switch] = ACTIONS(3154),
    [anon_sym_for] = ACTIONS(3154),
    [anon_sym_LPAREN] = ACTIONS(3154),
    [anon_sym_await] = ACTIONS(3154),
    [anon_sym_while] = ACTIONS(3154),
    [anon_sym_do] = ACTIONS(3154),
    [anon_sym_try] = ACTIONS(3154),
    [anon_sym_break] = ACTIONS(3154),
    [anon_sym_continue] = ACTIONS(3154),
    [anon_sym_debugger] = ACTIONS(3154),
    [anon_sym_return] = ACTIONS(3154),
    [anon_sym_throw] = ACTIONS(3154),
    [anon_sym_SEMI] = ACTIONS(3154),
    [anon_sym_case] = ACTIONS(3154),
    [anon_sym_yield] = ACTIONS(3154),
    [anon_sym_LBRACK] = ACTIONS(3154),
    [anon_sym_LTtemplate_GT] = ACTIONS(3154),
    [anon_sym_DQUOTE] = ACTIONS(3154),
    [anon_sym_SQUOTE] = ACTIONS(3154),
    [anon_sym_class] = ACTIONS(3154),
    [anon_sym_async] = ACTIONS(3154),
    [anon_sym_function] = ACTIONS(3154),
    [anon_sym_new] = ACTIONS(3154),
    [anon_sym_using] = ACTIONS(3154),
    [anon_sym_PLUS] = ACTIONS(3154),
    [anon_sym_DASH] = ACTIONS(3154),
    [anon_sym_SLASH] = ACTIONS(3154),
    [anon_sym_LT] = ACTIONS(3154),
    [anon_sym_TILDE] = ACTIONS(3154),
    [anon_sym_void] = ACTIONS(3154),
    [anon_sym_delete] = ACTIONS(3154),
    [anon_sym_PLUS_PLUS] = ACTIONS(3154),
    [anon_sym_DASH_DASH] = ACTIONS(3154),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3154),
    [sym_number] = ACTIONS(3154),
    [sym_private_property_identifier] = ACTIONS(3154),
    [sym_this] = ACTIONS(3154),
    [sym_super] = ACTIONS(3154),
    [sym_true] = ACTIONS(3154),
    [sym_false] = ACTIONS(3154),
    [sym_null] = ACTIONS(3154),
    [sym_undefined] = ACTIONS(3154),
    [anon_sym_AT] = ACTIONS(3154),
    [anon_sym_static] = ACTIONS(3154),
    [anon_sym_readonly] = ACTIONS(3154),
    [anon_sym_get] = ACTIONS(3154),
    [anon_sym_set] = ACTIONS(3154),
    [anon_sym_declare] = ACTIONS(3154),
    [anon_sym_public] = ACTIONS(3154),
    [anon_sym_private] = ACTIONS(3154),
    [anon_sym_protected] = ACTIONS(3154),
    [anon_sym_override] = ACTIONS(3154),
    [anon_sym_module] = ACTIONS(3154),
    [anon_sym_any] = ACTIONS(3154),
    [anon_sym_number] = ACTIONS(3154),
    [anon_sym_boolean] = ACTIONS(3154),
    [anon_sym_string] = ACTIONS(3154),
    [anon_sym_symbol] = ACTIONS(3154),
    [anon_sym_object] = ACTIONS(3154),
    [anon_sym_abstract] = ACTIONS(3154),
    [anon_sym_interface] = ACTIONS(3154),
    [anon_sym_enum] = ACTIONS(3154),
    [sym_html_comment] = ACTIONS(5),
  },
  [1535] = {
    [sym_comment] = STATE(1535),
    [ts_builtin_sym_end] = ACTIONS(3574),
    [sym_identifier] = ACTIONS(3150),
    [anon_sym_export] = ACTIONS(3150),
    [anon_sym_type] = ACTIONS(3150),
    [anon_sym_namespace] = ACTIONS(3150),
    [anon_sym_LBRACE] = ACTIONS(3150),
    [anon_sym_RBRACE] = ACTIONS(3150),
    [anon_sym_typeof] = ACTIONS(3150),
    [anon_sym_import] = ACTIONS(3150),
    [anon_sym_with] = ACTIONS(3150),
    [anon_sym_var] = ACTIONS(3150),
    [anon_sym_let] = ACTIONS(3150),
    [anon_sym_const] = ACTIONS(3150),
    [anon_sym_BANG] = ACTIONS(3150),
    [anon_sym_else] = ACTIONS(3150),
    [anon_sym_if] = ACTIONS(3150),
    [anon_sym_switch] = ACTIONS(3150),
    [anon_sym_for] = ACTIONS(3150),
    [anon_sym_LPAREN] = ACTIONS(3150),
    [anon_sym_await] = ACTIONS(3150),
    [anon_sym_while] = ACTIONS(3150),
    [anon_sym_do] = ACTIONS(3150),
    [anon_sym_try] = ACTIONS(3150),
    [anon_sym_break] = ACTIONS(3150),
    [anon_sym_continue] = ACTIONS(3150),
    [anon_sym_debugger] = ACTIONS(3150),
    [anon_sym_return] = ACTIONS(3150),
    [anon_sym_throw] = ACTIONS(3150),
    [anon_sym_SEMI] = ACTIONS(3150),
    [anon_sym_yield] = ACTIONS(3150),
    [anon_sym_LBRACK] = ACTIONS(3150),
    [anon_sym_LTtemplate_GT] = ACTIONS(3150),
    [anon_sym_DQUOTE] = ACTIONS(3150),
    [anon_sym_SQUOTE] = ACTIONS(3150),
    [anon_sym_class] = ACTIONS(3150),
    [anon_sym_async] = ACTIONS(3150),
    [anon_sym_function] = ACTIONS(3150),
    [anon_sym_new] = ACTIONS(3150),
    [anon_sym_using] = ACTIONS(3150),
    [anon_sym_PLUS] = ACTIONS(3150),
    [anon_sym_DASH] = ACTIONS(3150),
    [anon_sym_SLASH] = ACTIONS(3150),
    [anon_sym_LT] = ACTIONS(3150),
    [anon_sym_TILDE] = ACTIONS(3150),
    [anon_sym_void] = ACTIONS(3150),
    [anon_sym_delete] = ACTIONS(3150),
    [anon_sym_PLUS_PLUS] = ACTIONS(3150),
    [anon_sym_DASH_DASH] = ACTIONS(3150),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3150),
    [sym_number] = ACTIONS(3150),
    [sym_private_property_identifier] = ACTIONS(3150),
    [sym_this] = ACTIONS(3150),
    [sym_super] = ACTIONS(3150),
    [sym_true] = ACTIONS(3150),
    [sym_false] = ACTIONS(3150),
    [sym_null] = ACTIONS(3150),
    [sym_undefined] = ACTIONS(3150),
    [anon_sym_AT] = ACTIONS(3150),
    [anon_sym_static] = ACTIONS(3150),
    [anon_sym_readonly] = ACTIONS(3150),
    [anon_sym_get] = ACTIONS(3150),
    [anon_sym_set] = ACTIONS(3150),
    [anon_sym_declare] = ACTIONS(3150),
    [anon_sym_public] = ACTIONS(3150),
    [anon_sym_private] = ACTIONS(3150),
    [anon_sym_protected] = ACTIONS(3150),
    [anon_sym_override] = ACTIONS(3150),
    [anon_sym_module] = ACTIONS(3150),
    [anon_sym_any] = ACTIONS(3150),
    [anon_sym_number] = ACTIONS(3150),
    [anon_sym_boolean] = ACTIONS(3150),
    [anon_sym_string] = ACTIONS(3150),
    [anon_sym_symbol] = ACTIONS(3150),
    [anon_sym_object] = ACTIONS(3150),
    [anon_sym_abstract] = ACTIONS(3150),
    [anon_sym_interface] = ACTIONS(3150),
    [anon_sym_enum] = ACTIONS(3150),
    [sym_html_comment] = ACTIONS(5),
  },
  [1536] = {
    [sym_comment] = STATE(1536),
    [sym_identifier] = ACTIONS(3154),
    [anon_sym_export] = ACTIONS(3154),
    [anon_sym_default] = ACTIONS(3154),
    [anon_sym_type] = ACTIONS(3154),
    [anon_sym_namespace] = ACTIONS(3154),
    [anon_sym_LBRACE] = ACTIONS(3154),
    [anon_sym_RBRACE] = ACTIONS(3154),
    [anon_sym_typeof] = ACTIONS(3154),
    [anon_sym_import] = ACTIONS(3154),
    [anon_sym_with] = ACTIONS(3154),
    [anon_sym_var] = ACTIONS(3154),
    [anon_sym_let] = ACTIONS(3154),
    [anon_sym_const] = ACTIONS(3154),
    [anon_sym_BANG] = ACTIONS(3154),
    [anon_sym_if] = ACTIONS(3154),
    [anon_sym_switch] = ACTIONS(3154),
    [anon_sym_for] = ACTIONS(3154),
    [anon_sym_LPAREN] = ACTIONS(3154),
    [anon_sym_await] = ACTIONS(3154),
    [anon_sym_while] = ACTIONS(3154),
    [anon_sym_do] = ACTIONS(3154),
    [anon_sym_try] = ACTIONS(3154),
    [anon_sym_break] = ACTIONS(3154),
    [anon_sym_continue] = ACTIONS(3154),
    [anon_sym_debugger] = ACTIONS(3154),
    [anon_sym_return] = ACTIONS(3154),
    [anon_sym_throw] = ACTIONS(3154),
    [anon_sym_SEMI] = ACTIONS(3154),
    [anon_sym_case] = ACTIONS(3154),
    [anon_sym_yield] = ACTIONS(3154),
    [anon_sym_LBRACK] = ACTIONS(3154),
    [anon_sym_LTtemplate_GT] = ACTIONS(3154),
    [anon_sym_DQUOTE] = ACTIONS(3154),
    [anon_sym_SQUOTE] = ACTIONS(3154),
    [anon_sym_class] = ACTIONS(3154),
    [anon_sym_async] = ACTIONS(3154),
    [anon_sym_function] = ACTIONS(3154),
    [anon_sym_new] = ACTIONS(3154),
    [anon_sym_using] = ACTIONS(3154),
    [anon_sym_PLUS] = ACTIONS(3154),
    [anon_sym_DASH] = ACTIONS(3154),
    [anon_sym_SLASH] = ACTIONS(3154),
    [anon_sym_LT] = ACTIONS(3154),
    [anon_sym_TILDE] = ACTIONS(3154),
    [anon_sym_void] = ACTIONS(3154),
    [anon_sym_delete] = ACTIONS(3154),
    [anon_sym_PLUS_PLUS] = ACTIONS(3154),
    [anon_sym_DASH_DASH] = ACTIONS(3154),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3154),
    [sym_number] = ACTIONS(3154),
    [sym_private_property_identifier] = ACTIONS(3154),
    [sym_this] = ACTIONS(3154),
    [sym_super] = ACTIONS(3154),
    [sym_true] = ACTIONS(3154),
    [sym_false] = ACTIONS(3154),
    [sym_null] = ACTIONS(3154),
    [sym_undefined] = ACTIONS(3154),
    [anon_sym_AT] = ACTIONS(3154),
    [anon_sym_static] = ACTIONS(3154),
    [anon_sym_readonly] = ACTIONS(3154),
    [anon_sym_get] = ACTIONS(3154),
    [anon_sym_set] = ACTIONS(3154),
    [anon_sym_declare] = ACTIONS(3154),
    [anon_sym_public] = ACTIONS(3154),
    [anon_sym_private] = ACTIONS(3154),
    [anon_sym_protected] = ACTIONS(3154),
    [anon_sym_override] = ACTIONS(3154),
    [anon_sym_module] = ACTIONS(3154),
    [anon_sym_any] = ACTIONS(3154),
    [anon_sym_number] = ACTIONS(3154),
    [anon_sym_boolean] = ACTIONS(3154),
    [anon_sym_string] = ACTIONS(3154),
    [anon_sym_symbol] = ACTIONS(3154),
    [anon_sym_object] = ACTIONS(3154),
    [anon_sym_abstract] = ACTIONS(3154),
    [anon_sym_interface] = ACTIONS(3154),
    [anon_sym_enum] = ACTIONS(3154),
    [sym_html_comment] = ACTIONS(5),
  },
  [1537] = {
    [sym_comment] = STATE(1537),
    [sym_identifier] = ACTIONS(3154),
    [anon_sym_export] = ACTIONS(3154),
    [anon_sym_default] = ACTIONS(3154),
    [anon_sym_type] = ACTIONS(3154),
    [anon_sym_namespace] = ACTIONS(3154),
    [anon_sym_LBRACE] = ACTIONS(3154),
    [anon_sym_RBRACE] = ACTIONS(3154),
    [anon_sym_typeof] = ACTIONS(3154),
    [anon_sym_import] = ACTIONS(3154),
    [anon_sym_with] = ACTIONS(3154),
    [anon_sym_var] = ACTIONS(3154),
    [anon_sym_let] = ACTIONS(3154),
    [anon_sym_const] = ACTIONS(3154),
    [anon_sym_BANG] = ACTIONS(3154),
    [anon_sym_if] = ACTIONS(3154),
    [anon_sym_switch] = ACTIONS(3154),
    [anon_sym_for] = ACTIONS(3154),
    [anon_sym_LPAREN] = ACTIONS(3154),
    [anon_sym_await] = ACTIONS(3154),
    [anon_sym_while] = ACTIONS(3154),
    [anon_sym_do] = ACTIONS(3154),
    [anon_sym_try] = ACTIONS(3154),
    [anon_sym_break] = ACTIONS(3154),
    [anon_sym_continue] = ACTIONS(3154),
    [anon_sym_debugger] = ACTIONS(3154),
    [anon_sym_return] = ACTIONS(3154),
    [anon_sym_throw] = ACTIONS(3154),
    [anon_sym_SEMI] = ACTIONS(3154),
    [anon_sym_case] = ACTIONS(3154),
    [anon_sym_yield] = ACTIONS(3154),
    [anon_sym_LBRACK] = ACTIONS(3154),
    [anon_sym_LTtemplate_GT] = ACTIONS(3154),
    [anon_sym_DQUOTE] = ACTIONS(3154),
    [anon_sym_SQUOTE] = ACTIONS(3154),
    [anon_sym_class] = ACTIONS(3154),
    [anon_sym_async] = ACTIONS(3154),
    [anon_sym_function] = ACTIONS(3154),
    [anon_sym_new] = ACTIONS(3154),
    [anon_sym_using] = ACTIONS(3154),
    [anon_sym_PLUS] = ACTIONS(3154),
    [anon_sym_DASH] = ACTIONS(3154),
    [anon_sym_SLASH] = ACTIONS(3154),
    [anon_sym_LT] = ACTIONS(3154),
    [anon_sym_TILDE] = ACTIONS(3154),
    [anon_sym_void] = ACTIONS(3154),
    [anon_sym_delete] = ACTIONS(3154),
    [anon_sym_PLUS_PLUS] = ACTIONS(3154),
    [anon_sym_DASH_DASH] = ACTIONS(3154),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3154),
    [sym_number] = ACTIONS(3154),
    [sym_private_property_identifier] = ACTIONS(3154),
    [sym_this] = ACTIONS(3154),
    [sym_super] = ACTIONS(3154),
    [sym_true] = ACTIONS(3154),
    [sym_false] = ACTIONS(3154),
    [sym_null] = ACTIONS(3154),
    [sym_undefined] = ACTIONS(3154),
    [anon_sym_AT] = ACTIONS(3154),
    [anon_sym_static] = ACTIONS(3154),
    [anon_sym_readonly] = ACTIONS(3154),
    [anon_sym_get] = ACTIONS(3154),
    [anon_sym_set] = ACTIONS(3154),
    [anon_sym_declare] = ACTIONS(3154),
    [anon_sym_public] = ACTIONS(3154),
    [anon_sym_private] = ACTIONS(3154),
    [anon_sym_protected] = ACTIONS(3154),
    [anon_sym_override] = ACTIONS(3154),
    [anon_sym_module] = ACTIONS(3154),
    [anon_sym_any] = ACTIONS(3154),
    [anon_sym_number] = ACTIONS(3154),
    [anon_sym_boolean] = ACTIONS(3154),
    [anon_sym_string] = ACTIONS(3154),
    [anon_sym_symbol] = ACTIONS(3154),
    [anon_sym_object] = ACTIONS(3154),
    [anon_sym_abstract] = ACTIONS(3154),
    [anon_sym_interface] = ACTIONS(3154),
    [anon_sym_enum] = ACTIONS(3154),
    [sym_html_comment] = ACTIONS(5),
  },
  [1538] = {
    [sym_comment] = STATE(1538),
    [ts_builtin_sym_end] = ACTIONS(3576),
    [sym_identifier] = ACTIONS(3148),
    [anon_sym_export] = ACTIONS(3148),
    [anon_sym_type] = ACTIONS(3148),
    [anon_sym_namespace] = ACTIONS(3148),
    [anon_sym_LBRACE] = ACTIONS(3148),
    [anon_sym_RBRACE] = ACTIONS(3148),
    [anon_sym_typeof] = ACTIONS(3148),
    [anon_sym_import] = ACTIONS(3148),
    [anon_sym_with] = ACTIONS(3148),
    [anon_sym_var] = ACTIONS(3148),
    [anon_sym_let] = ACTIONS(3148),
    [anon_sym_const] = ACTIONS(3148),
    [anon_sym_BANG] = ACTIONS(3148),
    [anon_sym_else] = ACTIONS(3148),
    [anon_sym_if] = ACTIONS(3148),
    [anon_sym_switch] = ACTIONS(3148),
    [anon_sym_for] = ACTIONS(3148),
    [anon_sym_LPAREN] = ACTIONS(3148),
    [anon_sym_await] = ACTIONS(3148),
    [anon_sym_while] = ACTIONS(3148),
    [anon_sym_do] = ACTIONS(3148),
    [anon_sym_try] = ACTIONS(3148),
    [anon_sym_break] = ACTIONS(3148),
    [anon_sym_continue] = ACTIONS(3148),
    [anon_sym_debugger] = ACTIONS(3148),
    [anon_sym_return] = ACTIONS(3148),
    [anon_sym_throw] = ACTIONS(3148),
    [anon_sym_SEMI] = ACTIONS(3148),
    [anon_sym_yield] = ACTIONS(3148),
    [anon_sym_LBRACK] = ACTIONS(3148),
    [anon_sym_LTtemplate_GT] = ACTIONS(3148),
    [anon_sym_DQUOTE] = ACTIONS(3148),
    [anon_sym_SQUOTE] = ACTIONS(3148),
    [anon_sym_class] = ACTIONS(3148),
    [anon_sym_async] = ACTIONS(3148),
    [anon_sym_function] = ACTIONS(3148),
    [anon_sym_new] = ACTIONS(3148),
    [anon_sym_using] = ACTIONS(3148),
    [anon_sym_PLUS] = ACTIONS(3148),
    [anon_sym_DASH] = ACTIONS(3148),
    [anon_sym_SLASH] = ACTIONS(3148),
    [anon_sym_LT] = ACTIONS(3148),
    [anon_sym_TILDE] = ACTIONS(3148),
    [anon_sym_void] = ACTIONS(3148),
    [anon_sym_delete] = ACTIONS(3148),
    [anon_sym_PLUS_PLUS] = ACTIONS(3148),
    [anon_sym_DASH_DASH] = ACTIONS(3148),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3148),
    [sym_number] = ACTIONS(3148),
    [sym_private_property_identifier] = ACTIONS(3148),
    [sym_this] = ACTIONS(3148),
    [sym_super] = ACTIONS(3148),
    [sym_true] = ACTIONS(3148),
    [sym_false] = ACTIONS(3148),
    [sym_null] = ACTIONS(3148),
    [sym_undefined] = ACTIONS(3148),
    [anon_sym_AT] = ACTIONS(3148),
    [anon_sym_static] = ACTIONS(3148),
    [anon_sym_readonly] = ACTIONS(3148),
    [anon_sym_get] = ACTIONS(3148),
    [anon_sym_set] = ACTIONS(3148),
    [anon_sym_declare] = ACTIONS(3148),
    [anon_sym_public] = ACTIONS(3148),
    [anon_sym_private] = ACTIONS(3148),
    [anon_sym_protected] = ACTIONS(3148),
    [anon_sym_override] = ACTIONS(3148),
    [anon_sym_module] = ACTIONS(3148),
    [anon_sym_any] = ACTIONS(3148),
    [anon_sym_number] = ACTIONS(3148),
    [anon_sym_boolean] = ACTIONS(3148),
    [anon_sym_string] = ACTIONS(3148),
    [anon_sym_symbol] = ACTIONS(3148),
    [anon_sym_object] = ACTIONS(3148),
    [anon_sym_abstract] = ACTIONS(3148),
    [anon_sym_interface] = ACTIONS(3148),
    [anon_sym_enum] = ACTIONS(3148),
    [sym_html_comment] = ACTIONS(5),
  },
  [1539] = {
    [sym_comment] = STATE(1539),
    [sym_identifier] = ACTIONS(3140),
    [anon_sym_export] = ACTIONS(3140),
    [anon_sym_default] = ACTIONS(3140),
    [anon_sym_type] = ACTIONS(3140),
    [anon_sym_namespace] = ACTIONS(3140),
    [anon_sym_LBRACE] = ACTIONS(3140),
    [anon_sym_RBRACE] = ACTIONS(3140),
    [anon_sym_typeof] = ACTIONS(3140),
    [anon_sym_import] = ACTIONS(3140),
    [anon_sym_with] = ACTIONS(3140),
    [anon_sym_var] = ACTIONS(3140),
    [anon_sym_let] = ACTIONS(3140),
    [anon_sym_const] = ACTIONS(3140),
    [anon_sym_BANG] = ACTIONS(3140),
    [anon_sym_if] = ACTIONS(3140),
    [anon_sym_switch] = ACTIONS(3140),
    [anon_sym_for] = ACTIONS(3140),
    [anon_sym_LPAREN] = ACTIONS(3140),
    [anon_sym_await] = ACTIONS(3140),
    [anon_sym_while] = ACTIONS(3140),
    [anon_sym_do] = ACTIONS(3140),
    [anon_sym_try] = ACTIONS(3140),
    [anon_sym_break] = ACTIONS(3140),
    [anon_sym_continue] = ACTIONS(3140),
    [anon_sym_debugger] = ACTIONS(3140),
    [anon_sym_return] = ACTIONS(3140),
    [anon_sym_throw] = ACTIONS(3140),
    [anon_sym_SEMI] = ACTIONS(3140),
    [anon_sym_case] = ACTIONS(3140),
    [anon_sym_yield] = ACTIONS(3140),
    [anon_sym_LBRACK] = ACTIONS(3140),
    [anon_sym_LTtemplate_GT] = ACTIONS(3140),
    [anon_sym_DQUOTE] = ACTIONS(3140),
    [anon_sym_SQUOTE] = ACTIONS(3140),
    [anon_sym_class] = ACTIONS(3140),
    [anon_sym_async] = ACTIONS(3140),
    [anon_sym_function] = ACTIONS(3140),
    [anon_sym_new] = ACTIONS(3140),
    [anon_sym_using] = ACTIONS(3140),
    [anon_sym_PLUS] = ACTIONS(3140),
    [anon_sym_DASH] = ACTIONS(3140),
    [anon_sym_SLASH] = ACTIONS(3140),
    [anon_sym_LT] = ACTIONS(3140),
    [anon_sym_TILDE] = ACTIONS(3140),
    [anon_sym_void] = ACTIONS(3140),
    [anon_sym_delete] = ACTIONS(3140),
    [anon_sym_PLUS_PLUS] = ACTIONS(3140),
    [anon_sym_DASH_DASH] = ACTIONS(3140),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3140),
    [sym_number] = ACTIONS(3140),
    [sym_private_property_identifier] = ACTIONS(3140),
    [sym_this] = ACTIONS(3140),
    [sym_super] = ACTIONS(3140),
    [sym_true] = ACTIONS(3140),
    [sym_false] = ACTIONS(3140),
    [sym_null] = ACTIONS(3140),
    [sym_undefined] = ACTIONS(3140),
    [anon_sym_AT] = ACTIONS(3140),
    [anon_sym_static] = ACTIONS(3140),
    [anon_sym_readonly] = ACTIONS(3140),
    [anon_sym_get] = ACTIONS(3140),
    [anon_sym_set] = ACTIONS(3140),
    [anon_sym_declare] = ACTIONS(3140),
    [anon_sym_public] = ACTIONS(3140),
    [anon_sym_private] = ACTIONS(3140),
    [anon_sym_protected] = ACTIONS(3140),
    [anon_sym_override] = ACTIONS(3140),
    [anon_sym_module] = ACTIONS(3140),
    [anon_sym_any] = ACTIONS(3140),
    [anon_sym_number] = ACTIONS(3140),
    [anon_sym_boolean] = ACTIONS(3140),
    [anon_sym_string] = ACTIONS(3140),
    [anon_sym_symbol] = ACTIONS(3140),
    [anon_sym_object] = ACTIONS(3140),
    [anon_sym_abstract] = ACTIONS(3140),
    [anon_sym_interface] = ACTIONS(3140),
    [anon_sym_enum] = ACTIONS(3140),
    [sym_html_comment] = ACTIONS(5),
  },
  [1540] = {
    [sym_comment] = STATE(1540),
    [ts_builtin_sym_end] = ACTIONS(2341),
    [sym_identifier] = ACTIONS(2085),
    [anon_sym_export] = ACTIONS(2085),
    [anon_sym_type] = ACTIONS(2085),
    [anon_sym_namespace] = ACTIONS(2085),
    [anon_sym_LBRACE] = ACTIONS(2085),
    [anon_sym_RBRACE] = ACTIONS(2085),
    [anon_sym_typeof] = ACTIONS(2085),
    [anon_sym_import] = ACTIONS(2085),
    [anon_sym_with] = ACTIONS(2085),
    [anon_sym_var] = ACTIONS(2085),
    [anon_sym_let] = ACTIONS(2085),
    [anon_sym_const] = ACTIONS(2085),
    [anon_sym_BANG] = ACTIONS(2085),
    [anon_sym_if] = ACTIONS(2085),
    [anon_sym_switch] = ACTIONS(2085),
    [anon_sym_for] = ACTIONS(2085),
    [anon_sym_LPAREN] = ACTIONS(2085),
    [anon_sym_await] = ACTIONS(2085),
    [anon_sym_while] = ACTIONS(2085),
    [anon_sym_do] = ACTIONS(2085),
    [anon_sym_try] = ACTIONS(2085),
    [anon_sym_break] = ACTIONS(2085),
    [anon_sym_continue] = ACTIONS(2085),
    [anon_sym_debugger] = ACTIONS(2085),
    [anon_sym_return] = ACTIONS(2085),
    [anon_sym_throw] = ACTIONS(2085),
    [anon_sym_SEMI] = ACTIONS(2085),
    [anon_sym_yield] = ACTIONS(2085),
    [anon_sym_LBRACK] = ACTIONS(2085),
    [anon_sym_LTtemplate_GT] = ACTIONS(2085),
    [anon_sym_DQUOTE] = ACTIONS(2085),
    [anon_sym_SQUOTE] = ACTIONS(2085),
    [anon_sym_class] = ACTIONS(2085),
    [anon_sym_async] = ACTIONS(2085),
    [anon_sym_function] = ACTIONS(2085),
    [anon_sym_new] = ACTIONS(2085),
    [anon_sym_using] = ACTIONS(2085),
    [anon_sym_PLUS] = ACTIONS(2085),
    [anon_sym_DASH] = ACTIONS(2085),
    [anon_sym_SLASH] = ACTIONS(2085),
    [anon_sym_LT] = ACTIONS(2085),
    [anon_sym_TILDE] = ACTIONS(2085),
    [anon_sym_void] = ACTIONS(2085),
    [anon_sym_delete] = ACTIONS(2085),
    [anon_sym_PLUS_PLUS] = ACTIONS(2085),
    [anon_sym_DASH_DASH] = ACTIONS(2085),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2085),
    [sym_number] = ACTIONS(2085),
    [sym_private_property_identifier] = ACTIONS(2085),
    [sym_this] = ACTIONS(2085),
    [sym_super] = ACTIONS(2085),
    [sym_true] = ACTIONS(2085),
    [sym_false] = ACTIONS(2085),
    [sym_null] = ACTIONS(2085),
    [sym_undefined] = ACTIONS(2085),
    [anon_sym_AT] = ACTIONS(2085),
    [anon_sym_static] = ACTIONS(2085),
    [anon_sym_readonly] = ACTIONS(2085),
    [anon_sym_get] = ACTIONS(2085),
    [anon_sym_set] = ACTIONS(2085),
    [anon_sym_declare] = ACTIONS(2085),
    [anon_sym_public] = ACTIONS(2085),
    [anon_sym_private] = ACTIONS(2085),
    [anon_sym_protected] = ACTIONS(2085),
    [anon_sym_override] = ACTIONS(2085),
    [anon_sym_module] = ACTIONS(2085),
    [anon_sym_any] = ACTIONS(2085),
    [anon_sym_number] = ACTIONS(2085),
    [anon_sym_boolean] = ACTIONS(2085),
    [anon_sym_string] = ACTIONS(2085),
    [anon_sym_symbol] = ACTIONS(2085),
    [anon_sym_object] = ACTIONS(2085),
    [anon_sym_abstract] = ACTIONS(2085),
    [anon_sym_interface] = ACTIONS(2085),
    [anon_sym_enum] = ACTIONS(2085),
    [sym__automatic_semicolon] = ACTIONS(2417),
    [sym_html_comment] = ACTIONS(5),
  },
  [1541] = {
    [sym_comment] = STATE(1541),
    [ts_builtin_sym_end] = ACTIONS(3578),
    [sym_identifier] = ACTIONS(3146),
    [anon_sym_export] = ACTIONS(3146),
    [anon_sym_type] = ACTIONS(3146),
    [anon_sym_namespace] = ACTIONS(3146),
    [anon_sym_LBRACE] = ACTIONS(3146),
    [anon_sym_RBRACE] = ACTIONS(3146),
    [anon_sym_typeof] = ACTIONS(3146),
    [anon_sym_import] = ACTIONS(3146),
    [anon_sym_with] = ACTIONS(3146),
    [anon_sym_var] = ACTIONS(3146),
    [anon_sym_let] = ACTIONS(3146),
    [anon_sym_const] = ACTIONS(3146),
    [anon_sym_BANG] = ACTIONS(3146),
    [anon_sym_else] = ACTIONS(3146),
    [anon_sym_if] = ACTIONS(3146),
    [anon_sym_switch] = ACTIONS(3146),
    [anon_sym_for] = ACTIONS(3146),
    [anon_sym_LPAREN] = ACTIONS(3146),
    [anon_sym_await] = ACTIONS(3146),
    [anon_sym_while] = ACTIONS(3146),
    [anon_sym_do] = ACTIONS(3146),
    [anon_sym_try] = ACTIONS(3146),
    [anon_sym_break] = ACTIONS(3146),
    [anon_sym_continue] = ACTIONS(3146),
    [anon_sym_debugger] = ACTIONS(3146),
    [anon_sym_return] = ACTIONS(3146),
    [anon_sym_throw] = ACTIONS(3146),
    [anon_sym_SEMI] = ACTIONS(3146),
    [anon_sym_yield] = ACTIONS(3146),
    [anon_sym_LBRACK] = ACTIONS(3146),
    [anon_sym_LTtemplate_GT] = ACTIONS(3146),
    [anon_sym_DQUOTE] = ACTIONS(3146),
    [anon_sym_SQUOTE] = ACTIONS(3146),
    [anon_sym_class] = ACTIONS(3146),
    [anon_sym_async] = ACTIONS(3146),
    [anon_sym_function] = ACTIONS(3146),
    [anon_sym_new] = ACTIONS(3146),
    [anon_sym_using] = ACTIONS(3146),
    [anon_sym_PLUS] = ACTIONS(3146),
    [anon_sym_DASH] = ACTIONS(3146),
    [anon_sym_SLASH] = ACTIONS(3146),
    [anon_sym_LT] = ACTIONS(3146),
    [anon_sym_TILDE] = ACTIONS(3146),
    [anon_sym_void] = ACTIONS(3146),
    [anon_sym_delete] = ACTIONS(3146),
    [anon_sym_PLUS_PLUS] = ACTIONS(3146),
    [anon_sym_DASH_DASH] = ACTIONS(3146),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3146),
    [sym_number] = ACTIONS(3146),
    [sym_private_property_identifier] = ACTIONS(3146),
    [sym_this] = ACTIONS(3146),
    [sym_super] = ACTIONS(3146),
    [sym_true] = ACTIONS(3146),
    [sym_false] = ACTIONS(3146),
    [sym_null] = ACTIONS(3146),
    [sym_undefined] = ACTIONS(3146),
    [anon_sym_AT] = ACTIONS(3146),
    [anon_sym_static] = ACTIONS(3146),
    [anon_sym_readonly] = ACTIONS(3146),
    [anon_sym_get] = ACTIONS(3146),
    [anon_sym_set] = ACTIONS(3146),
    [anon_sym_declare] = ACTIONS(3146),
    [anon_sym_public] = ACTIONS(3146),
    [anon_sym_private] = ACTIONS(3146),
    [anon_sym_protected] = ACTIONS(3146),
    [anon_sym_override] = ACTIONS(3146),
    [anon_sym_module] = ACTIONS(3146),
    [anon_sym_any] = ACTIONS(3146),
    [anon_sym_number] = ACTIONS(3146),
    [anon_sym_boolean] = ACTIONS(3146),
    [anon_sym_string] = ACTIONS(3146),
    [anon_sym_symbol] = ACTIONS(3146),
    [anon_sym_object] = ACTIONS(3146),
    [anon_sym_abstract] = ACTIONS(3146),
    [anon_sym_interface] = ACTIONS(3146),
    [anon_sym_enum] = ACTIONS(3146),
    [sym_html_comment] = ACTIONS(5),
  },
  [1542] = {
    [sym_comment] = STATE(1542),
    [ts_builtin_sym_end] = ACTIONS(2297),
    [sym_identifier] = ACTIONS(2117),
    [anon_sym_export] = ACTIONS(2117),
    [anon_sym_type] = ACTIONS(2117),
    [anon_sym_namespace] = ACTIONS(2117),
    [anon_sym_LBRACE] = ACTIONS(2117),
    [anon_sym_RBRACE] = ACTIONS(2117),
    [anon_sym_typeof] = ACTIONS(2117),
    [anon_sym_import] = ACTIONS(2117),
    [anon_sym_with] = ACTIONS(2117),
    [anon_sym_var] = ACTIONS(2117),
    [anon_sym_let] = ACTIONS(2117),
    [anon_sym_const] = ACTIONS(2117),
    [anon_sym_BANG] = ACTIONS(2117),
    [anon_sym_if] = ACTIONS(2117),
    [anon_sym_switch] = ACTIONS(2117),
    [anon_sym_for] = ACTIONS(2117),
    [anon_sym_LPAREN] = ACTIONS(2117),
    [anon_sym_await] = ACTIONS(2117),
    [anon_sym_while] = ACTIONS(2117),
    [anon_sym_do] = ACTIONS(2117),
    [anon_sym_try] = ACTIONS(2117),
    [anon_sym_break] = ACTIONS(2117),
    [anon_sym_continue] = ACTIONS(2117),
    [anon_sym_debugger] = ACTIONS(2117),
    [anon_sym_return] = ACTIONS(2117),
    [anon_sym_throw] = ACTIONS(2117),
    [anon_sym_SEMI] = ACTIONS(2117),
    [anon_sym_yield] = ACTIONS(2117),
    [anon_sym_LBRACK] = ACTIONS(2117),
    [anon_sym_LTtemplate_GT] = ACTIONS(2117),
    [anon_sym_DQUOTE] = ACTIONS(2117),
    [anon_sym_SQUOTE] = ACTIONS(2117),
    [anon_sym_class] = ACTIONS(2117),
    [anon_sym_async] = ACTIONS(2117),
    [anon_sym_function] = ACTIONS(2117),
    [anon_sym_new] = ACTIONS(2117),
    [anon_sym_using] = ACTIONS(2117),
    [anon_sym_PLUS] = ACTIONS(2117),
    [anon_sym_DASH] = ACTIONS(2117),
    [anon_sym_SLASH] = ACTIONS(2117),
    [anon_sym_LT] = ACTIONS(2117),
    [anon_sym_TILDE] = ACTIONS(2117),
    [anon_sym_void] = ACTIONS(2117),
    [anon_sym_delete] = ACTIONS(2117),
    [anon_sym_PLUS_PLUS] = ACTIONS(2117),
    [anon_sym_DASH_DASH] = ACTIONS(2117),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2117),
    [sym_number] = ACTIONS(2117),
    [sym_private_property_identifier] = ACTIONS(2117),
    [sym_this] = ACTIONS(2117),
    [sym_super] = ACTIONS(2117),
    [sym_true] = ACTIONS(2117),
    [sym_false] = ACTIONS(2117),
    [sym_null] = ACTIONS(2117),
    [sym_undefined] = ACTIONS(2117),
    [anon_sym_AT] = ACTIONS(2117),
    [anon_sym_static] = ACTIONS(2117),
    [anon_sym_readonly] = ACTIONS(2117),
    [anon_sym_get] = ACTIONS(2117),
    [anon_sym_set] = ACTIONS(2117),
    [anon_sym_declare] = ACTIONS(2117),
    [anon_sym_public] = ACTIONS(2117),
    [anon_sym_private] = ACTIONS(2117),
    [anon_sym_protected] = ACTIONS(2117),
    [anon_sym_override] = ACTIONS(2117),
    [anon_sym_module] = ACTIONS(2117),
    [anon_sym_any] = ACTIONS(2117),
    [anon_sym_number] = ACTIONS(2117),
    [anon_sym_boolean] = ACTIONS(2117),
    [anon_sym_string] = ACTIONS(2117),
    [anon_sym_symbol] = ACTIONS(2117),
    [anon_sym_object] = ACTIONS(2117),
    [anon_sym_abstract] = ACTIONS(2117),
    [anon_sym_interface] = ACTIONS(2117),
    [anon_sym_enum] = ACTIONS(2117),
    [sym__automatic_semicolon] = ACTIONS(2407),
    [sym_html_comment] = ACTIONS(5),
  },
  [1543] = {
    [sym_comment] = STATE(1543),
    [ts_builtin_sym_end] = ACTIONS(2301),
    [sym_identifier] = ACTIONS(2127),
    [anon_sym_export] = ACTIONS(2127),
    [anon_sym_type] = ACTIONS(2127),
    [anon_sym_namespace] = ACTIONS(2127),
    [anon_sym_LBRACE] = ACTIONS(2127),
    [anon_sym_RBRACE] = ACTIONS(2127),
    [anon_sym_typeof] = ACTIONS(2127),
    [anon_sym_import] = ACTIONS(2127),
    [anon_sym_with] = ACTIONS(2127),
    [anon_sym_var] = ACTIONS(2127),
    [anon_sym_let] = ACTIONS(2127),
    [anon_sym_const] = ACTIONS(2127),
    [anon_sym_BANG] = ACTIONS(2127),
    [anon_sym_if] = ACTIONS(2127),
    [anon_sym_switch] = ACTIONS(2127),
    [anon_sym_for] = ACTIONS(2127),
    [anon_sym_LPAREN] = ACTIONS(2127),
    [anon_sym_await] = ACTIONS(2127),
    [anon_sym_while] = ACTIONS(2127),
    [anon_sym_do] = ACTIONS(2127),
    [anon_sym_try] = ACTIONS(2127),
    [anon_sym_break] = ACTIONS(2127),
    [anon_sym_continue] = ACTIONS(2127),
    [anon_sym_debugger] = ACTIONS(2127),
    [anon_sym_return] = ACTIONS(2127),
    [anon_sym_throw] = ACTIONS(2127),
    [anon_sym_SEMI] = ACTIONS(2127),
    [anon_sym_yield] = ACTIONS(2127),
    [anon_sym_LBRACK] = ACTIONS(2127),
    [anon_sym_LTtemplate_GT] = ACTIONS(2127),
    [anon_sym_DQUOTE] = ACTIONS(2127),
    [anon_sym_SQUOTE] = ACTIONS(2127),
    [anon_sym_class] = ACTIONS(2127),
    [anon_sym_async] = ACTIONS(2127),
    [anon_sym_function] = ACTIONS(2127),
    [anon_sym_new] = ACTIONS(2127),
    [anon_sym_using] = ACTIONS(2127),
    [anon_sym_PLUS] = ACTIONS(2127),
    [anon_sym_DASH] = ACTIONS(2127),
    [anon_sym_SLASH] = ACTIONS(2127),
    [anon_sym_LT] = ACTIONS(2127),
    [anon_sym_TILDE] = ACTIONS(2127),
    [anon_sym_void] = ACTIONS(2127),
    [anon_sym_delete] = ACTIONS(2127),
    [anon_sym_PLUS_PLUS] = ACTIONS(2127),
    [anon_sym_DASH_DASH] = ACTIONS(2127),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2127),
    [sym_number] = ACTIONS(2127),
    [sym_private_property_identifier] = ACTIONS(2127),
    [sym_this] = ACTIONS(2127),
    [sym_super] = ACTIONS(2127),
    [sym_true] = ACTIONS(2127),
    [sym_false] = ACTIONS(2127),
    [sym_null] = ACTIONS(2127),
    [sym_undefined] = ACTIONS(2127),
    [anon_sym_AT] = ACTIONS(2127),
    [anon_sym_static] = ACTIONS(2127),
    [anon_sym_readonly] = ACTIONS(2127),
    [anon_sym_get] = ACTIONS(2127),
    [anon_sym_set] = ACTIONS(2127),
    [anon_sym_declare] = ACTIONS(2127),
    [anon_sym_public] = ACTIONS(2127),
    [anon_sym_private] = ACTIONS(2127),
    [anon_sym_protected] = ACTIONS(2127),
    [anon_sym_override] = ACTIONS(2127),
    [anon_sym_module] = ACTIONS(2127),
    [anon_sym_any] = ACTIONS(2127),
    [anon_sym_number] = ACTIONS(2127),
    [anon_sym_boolean] = ACTIONS(2127),
    [anon_sym_string] = ACTIONS(2127),
    [anon_sym_symbol] = ACTIONS(2127),
    [anon_sym_object] = ACTIONS(2127),
    [anon_sym_abstract] = ACTIONS(2127),
    [anon_sym_interface] = ACTIONS(2127),
    [anon_sym_enum] = ACTIONS(2127),
    [sym__automatic_semicolon] = ACTIONS(2415),
    [sym_html_comment] = ACTIONS(5),
  },
  [1544] = {
    [sym_comment] = STATE(1544),
    [ts_builtin_sym_end] = ACTIONS(2307),
    [sym_identifier] = ACTIONS(2173),
    [anon_sym_export] = ACTIONS(2173),
    [anon_sym_type] = ACTIONS(2173),
    [anon_sym_namespace] = ACTIONS(2173),
    [anon_sym_LBRACE] = ACTIONS(2173),
    [anon_sym_RBRACE] = ACTIONS(2173),
    [anon_sym_typeof] = ACTIONS(2173),
    [anon_sym_import] = ACTIONS(2173),
    [anon_sym_with] = ACTIONS(2173),
    [anon_sym_var] = ACTIONS(2173),
    [anon_sym_let] = ACTIONS(2173),
    [anon_sym_const] = ACTIONS(2173),
    [anon_sym_BANG] = ACTIONS(2173),
    [anon_sym_if] = ACTIONS(2173),
    [anon_sym_switch] = ACTIONS(2173),
    [anon_sym_for] = ACTIONS(2173),
    [anon_sym_LPAREN] = ACTIONS(2173),
    [anon_sym_await] = ACTIONS(2173),
    [anon_sym_while] = ACTIONS(2173),
    [anon_sym_do] = ACTIONS(2173),
    [anon_sym_try] = ACTIONS(2173),
    [anon_sym_break] = ACTIONS(2173),
    [anon_sym_continue] = ACTIONS(2173),
    [anon_sym_debugger] = ACTIONS(2173),
    [anon_sym_return] = ACTIONS(2173),
    [anon_sym_throw] = ACTIONS(2173),
    [anon_sym_SEMI] = ACTIONS(2173),
    [anon_sym_yield] = ACTIONS(2173),
    [anon_sym_LBRACK] = ACTIONS(2173),
    [anon_sym_LTtemplate_GT] = ACTIONS(2173),
    [anon_sym_DQUOTE] = ACTIONS(2173),
    [anon_sym_SQUOTE] = ACTIONS(2173),
    [anon_sym_class] = ACTIONS(2173),
    [anon_sym_async] = ACTIONS(2173),
    [anon_sym_function] = ACTIONS(2173),
    [anon_sym_new] = ACTIONS(2173),
    [anon_sym_using] = ACTIONS(2173),
    [anon_sym_PLUS] = ACTIONS(2173),
    [anon_sym_DASH] = ACTIONS(2173),
    [anon_sym_SLASH] = ACTIONS(2173),
    [anon_sym_LT] = ACTIONS(2173),
    [anon_sym_TILDE] = ACTIONS(2173),
    [anon_sym_void] = ACTIONS(2173),
    [anon_sym_delete] = ACTIONS(2173),
    [anon_sym_PLUS_PLUS] = ACTIONS(2173),
    [anon_sym_DASH_DASH] = ACTIONS(2173),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2173),
    [sym_number] = ACTIONS(2173),
    [sym_private_property_identifier] = ACTIONS(2173),
    [sym_this] = ACTIONS(2173),
    [sym_super] = ACTIONS(2173),
    [sym_true] = ACTIONS(2173),
    [sym_false] = ACTIONS(2173),
    [sym_null] = ACTIONS(2173),
    [sym_undefined] = ACTIONS(2173),
    [anon_sym_AT] = ACTIONS(2173),
    [anon_sym_static] = ACTIONS(2173),
    [anon_sym_readonly] = ACTIONS(2173),
    [anon_sym_get] = ACTIONS(2173),
    [anon_sym_set] = ACTIONS(2173),
    [anon_sym_declare] = ACTIONS(2173),
    [anon_sym_public] = ACTIONS(2173),
    [anon_sym_private] = ACTIONS(2173),
    [anon_sym_protected] = ACTIONS(2173),
    [anon_sym_override] = ACTIONS(2173),
    [anon_sym_module] = ACTIONS(2173),
    [anon_sym_any] = ACTIONS(2173),
    [anon_sym_number] = ACTIONS(2173),
    [anon_sym_boolean] = ACTIONS(2173),
    [anon_sym_string] = ACTIONS(2173),
    [anon_sym_symbol] = ACTIONS(2173),
    [anon_sym_object] = ACTIONS(2173),
    [anon_sym_abstract] = ACTIONS(2173),
    [anon_sym_interface] = ACTIONS(2173),
    [anon_sym_enum] = ACTIONS(2173),
    [sym__automatic_semicolon] = ACTIONS(2445),
    [sym_html_comment] = ACTIONS(5),
  },
  [1545] = {
    [sym_comment] = STATE(1545),
    [sym_identifier] = ACTIONS(3136),
    [anon_sym_export] = ACTIONS(3136),
    [anon_sym_default] = ACTIONS(3136),
    [anon_sym_type] = ACTIONS(3136),
    [anon_sym_namespace] = ACTIONS(3136),
    [anon_sym_LBRACE] = ACTIONS(3136),
    [anon_sym_RBRACE] = ACTIONS(3136),
    [anon_sym_typeof] = ACTIONS(3136),
    [anon_sym_import] = ACTIONS(3136),
    [anon_sym_with] = ACTIONS(3136),
    [anon_sym_var] = ACTIONS(3136),
    [anon_sym_let] = ACTIONS(3136),
    [anon_sym_const] = ACTIONS(3136),
    [anon_sym_BANG] = ACTIONS(3136),
    [anon_sym_if] = ACTIONS(3136),
    [anon_sym_switch] = ACTIONS(3136),
    [anon_sym_for] = ACTIONS(3136),
    [anon_sym_LPAREN] = ACTIONS(3136),
    [anon_sym_await] = ACTIONS(3136),
    [anon_sym_while] = ACTIONS(3136),
    [anon_sym_do] = ACTIONS(3136),
    [anon_sym_try] = ACTIONS(3136),
    [anon_sym_break] = ACTIONS(3136),
    [anon_sym_continue] = ACTIONS(3136),
    [anon_sym_debugger] = ACTIONS(3136),
    [anon_sym_return] = ACTIONS(3136),
    [anon_sym_throw] = ACTIONS(3136),
    [anon_sym_SEMI] = ACTIONS(3136),
    [anon_sym_case] = ACTIONS(3136),
    [anon_sym_yield] = ACTIONS(3136),
    [anon_sym_LBRACK] = ACTIONS(3136),
    [anon_sym_LTtemplate_GT] = ACTIONS(3136),
    [anon_sym_DQUOTE] = ACTIONS(3136),
    [anon_sym_SQUOTE] = ACTIONS(3136),
    [anon_sym_class] = ACTIONS(3136),
    [anon_sym_async] = ACTIONS(3136),
    [anon_sym_function] = ACTIONS(3136),
    [anon_sym_new] = ACTIONS(3136),
    [anon_sym_using] = ACTIONS(3136),
    [anon_sym_PLUS] = ACTIONS(3136),
    [anon_sym_DASH] = ACTIONS(3136),
    [anon_sym_SLASH] = ACTIONS(3136),
    [anon_sym_LT] = ACTIONS(3136),
    [anon_sym_TILDE] = ACTIONS(3136),
    [anon_sym_void] = ACTIONS(3136),
    [anon_sym_delete] = ACTIONS(3136),
    [anon_sym_PLUS_PLUS] = ACTIONS(3136),
    [anon_sym_DASH_DASH] = ACTIONS(3136),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3136),
    [sym_number] = ACTIONS(3136),
    [sym_private_property_identifier] = ACTIONS(3136),
    [sym_this] = ACTIONS(3136),
    [sym_super] = ACTIONS(3136),
    [sym_true] = ACTIONS(3136),
    [sym_false] = ACTIONS(3136),
    [sym_null] = ACTIONS(3136),
    [sym_undefined] = ACTIONS(3136),
    [anon_sym_AT] = ACTIONS(3136),
    [anon_sym_static] = ACTIONS(3136),
    [anon_sym_readonly] = ACTIONS(3136),
    [anon_sym_get] = ACTIONS(3136),
    [anon_sym_set] = ACTIONS(3136),
    [anon_sym_declare] = ACTIONS(3136),
    [anon_sym_public] = ACTIONS(3136),
    [anon_sym_private] = ACTIONS(3136),
    [anon_sym_protected] = ACTIONS(3136),
    [anon_sym_override] = ACTIONS(3136),
    [anon_sym_module] = ACTIONS(3136),
    [anon_sym_any] = ACTIONS(3136),
    [anon_sym_number] = ACTIONS(3136),
    [anon_sym_boolean] = ACTIONS(3136),
    [anon_sym_string] = ACTIONS(3136),
    [anon_sym_symbol] = ACTIONS(3136),
    [anon_sym_object] = ACTIONS(3136),
    [anon_sym_abstract] = ACTIONS(3136),
    [anon_sym_interface] = ACTIONS(3136),
    [anon_sym_enum] = ACTIONS(3136),
    [sym_html_comment] = ACTIONS(5),
  },
  [1546] = {
    [sym_comment] = STATE(1546),
    [ts_builtin_sym_end] = ACTIONS(2311),
    [sym_identifier] = ACTIONS(2181),
    [anon_sym_export] = ACTIONS(2181),
    [anon_sym_type] = ACTIONS(2181),
    [anon_sym_namespace] = ACTIONS(2181),
    [anon_sym_LBRACE] = ACTIONS(2181),
    [anon_sym_RBRACE] = ACTIONS(2181),
    [anon_sym_typeof] = ACTIONS(2181),
    [anon_sym_import] = ACTIONS(2181),
    [anon_sym_with] = ACTIONS(2181),
    [anon_sym_var] = ACTIONS(2181),
    [anon_sym_let] = ACTIONS(2181),
    [anon_sym_const] = ACTIONS(2181),
    [anon_sym_BANG] = ACTIONS(2181),
    [anon_sym_if] = ACTIONS(2181),
    [anon_sym_switch] = ACTIONS(2181),
    [anon_sym_for] = ACTIONS(2181),
    [anon_sym_LPAREN] = ACTIONS(2181),
    [anon_sym_await] = ACTIONS(2181),
    [anon_sym_while] = ACTIONS(2181),
    [anon_sym_do] = ACTIONS(2181),
    [anon_sym_try] = ACTIONS(2181),
    [anon_sym_break] = ACTIONS(2181),
    [anon_sym_continue] = ACTIONS(2181),
    [anon_sym_debugger] = ACTIONS(2181),
    [anon_sym_return] = ACTIONS(2181),
    [anon_sym_throw] = ACTIONS(2181),
    [anon_sym_SEMI] = ACTIONS(2181),
    [anon_sym_yield] = ACTIONS(2181),
    [anon_sym_LBRACK] = ACTIONS(2181),
    [anon_sym_LTtemplate_GT] = ACTIONS(2181),
    [anon_sym_DQUOTE] = ACTIONS(2181),
    [anon_sym_SQUOTE] = ACTIONS(2181),
    [anon_sym_class] = ACTIONS(2181),
    [anon_sym_async] = ACTIONS(2181),
    [anon_sym_function] = ACTIONS(2181),
    [anon_sym_new] = ACTIONS(2181),
    [anon_sym_using] = ACTIONS(2181),
    [anon_sym_PLUS] = ACTIONS(2181),
    [anon_sym_DASH] = ACTIONS(2181),
    [anon_sym_SLASH] = ACTIONS(2181),
    [anon_sym_LT] = ACTIONS(2181),
    [anon_sym_TILDE] = ACTIONS(2181),
    [anon_sym_void] = ACTIONS(2181),
    [anon_sym_delete] = ACTIONS(2181),
    [anon_sym_PLUS_PLUS] = ACTIONS(2181),
    [anon_sym_DASH_DASH] = ACTIONS(2181),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2181),
    [sym_number] = ACTIONS(2181),
    [sym_private_property_identifier] = ACTIONS(2181),
    [sym_this] = ACTIONS(2181),
    [sym_super] = ACTIONS(2181),
    [sym_true] = ACTIONS(2181),
    [sym_false] = ACTIONS(2181),
    [sym_null] = ACTIONS(2181),
    [sym_undefined] = ACTIONS(2181),
    [anon_sym_AT] = ACTIONS(2181),
    [anon_sym_static] = ACTIONS(2181),
    [anon_sym_readonly] = ACTIONS(2181),
    [anon_sym_get] = ACTIONS(2181),
    [anon_sym_set] = ACTIONS(2181),
    [anon_sym_declare] = ACTIONS(2181),
    [anon_sym_public] = ACTIONS(2181),
    [anon_sym_private] = ACTIONS(2181),
    [anon_sym_protected] = ACTIONS(2181),
    [anon_sym_override] = ACTIONS(2181),
    [anon_sym_module] = ACTIONS(2181),
    [anon_sym_any] = ACTIONS(2181),
    [anon_sym_number] = ACTIONS(2181),
    [anon_sym_boolean] = ACTIONS(2181),
    [anon_sym_string] = ACTIONS(2181),
    [anon_sym_symbol] = ACTIONS(2181),
    [anon_sym_object] = ACTIONS(2181),
    [anon_sym_abstract] = ACTIONS(2181),
    [anon_sym_interface] = ACTIONS(2181),
    [anon_sym_enum] = ACTIONS(2181),
    [sym__automatic_semicolon] = ACTIONS(2437),
    [sym_html_comment] = ACTIONS(5),
  },
  [1547] = {
    [sym_comment] = STATE(1547),
    [ts_builtin_sym_end] = ACTIONS(3580),
    [sym_identifier] = ACTIONS(3144),
    [anon_sym_export] = ACTIONS(3144),
    [anon_sym_type] = ACTIONS(3144),
    [anon_sym_namespace] = ACTIONS(3144),
    [anon_sym_LBRACE] = ACTIONS(3144),
    [anon_sym_RBRACE] = ACTIONS(3144),
    [anon_sym_typeof] = ACTIONS(3144),
    [anon_sym_import] = ACTIONS(3144),
    [anon_sym_with] = ACTIONS(3144),
    [anon_sym_var] = ACTIONS(3144),
    [anon_sym_let] = ACTIONS(3144),
    [anon_sym_const] = ACTIONS(3144),
    [anon_sym_BANG] = ACTIONS(3144),
    [anon_sym_else] = ACTIONS(3144),
    [anon_sym_if] = ACTIONS(3144),
    [anon_sym_switch] = ACTIONS(3144),
    [anon_sym_for] = ACTIONS(3144),
    [anon_sym_LPAREN] = ACTIONS(3144),
    [anon_sym_await] = ACTIONS(3144),
    [anon_sym_while] = ACTIONS(3144),
    [anon_sym_do] = ACTIONS(3144),
    [anon_sym_try] = ACTIONS(3144),
    [anon_sym_break] = ACTIONS(3144),
    [anon_sym_continue] = ACTIONS(3144),
    [anon_sym_debugger] = ACTIONS(3144),
    [anon_sym_return] = ACTIONS(3144),
    [anon_sym_throw] = ACTIONS(3144),
    [anon_sym_SEMI] = ACTIONS(3144),
    [anon_sym_yield] = ACTIONS(3144),
    [anon_sym_LBRACK] = ACTIONS(3144),
    [anon_sym_LTtemplate_GT] = ACTIONS(3144),
    [anon_sym_DQUOTE] = ACTIONS(3144),
    [anon_sym_SQUOTE] = ACTIONS(3144),
    [anon_sym_class] = ACTIONS(3144),
    [anon_sym_async] = ACTIONS(3144),
    [anon_sym_function] = ACTIONS(3144),
    [anon_sym_new] = ACTIONS(3144),
    [anon_sym_using] = ACTIONS(3144),
    [anon_sym_PLUS] = ACTIONS(3144),
    [anon_sym_DASH] = ACTIONS(3144),
    [anon_sym_SLASH] = ACTIONS(3144),
    [anon_sym_LT] = ACTIONS(3144),
    [anon_sym_TILDE] = ACTIONS(3144),
    [anon_sym_void] = ACTIONS(3144),
    [anon_sym_delete] = ACTIONS(3144),
    [anon_sym_PLUS_PLUS] = ACTIONS(3144),
    [anon_sym_DASH_DASH] = ACTIONS(3144),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3144),
    [sym_number] = ACTIONS(3144),
    [sym_private_property_identifier] = ACTIONS(3144),
    [sym_this] = ACTIONS(3144),
    [sym_super] = ACTIONS(3144),
    [sym_true] = ACTIONS(3144),
    [sym_false] = ACTIONS(3144),
    [sym_null] = ACTIONS(3144),
    [sym_undefined] = ACTIONS(3144),
    [anon_sym_AT] = ACTIONS(3144),
    [anon_sym_static] = ACTIONS(3144),
    [anon_sym_readonly] = ACTIONS(3144),
    [anon_sym_get] = ACTIONS(3144),
    [anon_sym_set] = ACTIONS(3144),
    [anon_sym_declare] = ACTIONS(3144),
    [anon_sym_public] = ACTIONS(3144),
    [anon_sym_private] = ACTIONS(3144),
    [anon_sym_protected] = ACTIONS(3144),
    [anon_sym_override] = ACTIONS(3144),
    [anon_sym_module] = ACTIONS(3144),
    [anon_sym_any] = ACTIONS(3144),
    [anon_sym_number] = ACTIONS(3144),
    [anon_sym_boolean] = ACTIONS(3144),
    [anon_sym_string] = ACTIONS(3144),
    [anon_sym_symbol] = ACTIONS(3144),
    [anon_sym_object] = ACTIONS(3144),
    [anon_sym_abstract] = ACTIONS(3144),
    [anon_sym_interface] = ACTIONS(3144),
    [anon_sym_enum] = ACTIONS(3144),
    [sym_html_comment] = ACTIONS(5),
  },
  [1548] = {
    [sym_comment] = STATE(1548),
    [sym_identifier] = ACTIONS(3134),
    [anon_sym_export] = ACTIONS(3134),
    [anon_sym_default] = ACTIONS(3134),
    [anon_sym_type] = ACTIONS(3134),
    [anon_sym_namespace] = ACTIONS(3134),
    [anon_sym_LBRACE] = ACTIONS(3134),
    [anon_sym_RBRACE] = ACTIONS(3134),
    [anon_sym_typeof] = ACTIONS(3134),
    [anon_sym_import] = ACTIONS(3134),
    [anon_sym_with] = ACTIONS(3134),
    [anon_sym_var] = ACTIONS(3134),
    [anon_sym_let] = ACTIONS(3134),
    [anon_sym_const] = ACTIONS(3134),
    [anon_sym_BANG] = ACTIONS(3134),
    [anon_sym_if] = ACTIONS(3134),
    [anon_sym_switch] = ACTIONS(3134),
    [anon_sym_for] = ACTIONS(3134),
    [anon_sym_LPAREN] = ACTIONS(3134),
    [anon_sym_await] = ACTIONS(3134),
    [anon_sym_while] = ACTIONS(3134),
    [anon_sym_do] = ACTIONS(3134),
    [anon_sym_try] = ACTIONS(3134),
    [anon_sym_break] = ACTIONS(3134),
    [anon_sym_continue] = ACTIONS(3134),
    [anon_sym_debugger] = ACTIONS(3134),
    [anon_sym_return] = ACTIONS(3134),
    [anon_sym_throw] = ACTIONS(3134),
    [anon_sym_SEMI] = ACTIONS(3134),
    [anon_sym_case] = ACTIONS(3134),
    [anon_sym_yield] = ACTIONS(3134),
    [anon_sym_LBRACK] = ACTIONS(3134),
    [anon_sym_LTtemplate_GT] = ACTIONS(3134),
    [anon_sym_DQUOTE] = ACTIONS(3134),
    [anon_sym_SQUOTE] = ACTIONS(3134),
    [anon_sym_class] = ACTIONS(3134),
    [anon_sym_async] = ACTIONS(3134),
    [anon_sym_function] = ACTIONS(3134),
    [anon_sym_new] = ACTIONS(3134),
    [anon_sym_using] = ACTIONS(3134),
    [anon_sym_PLUS] = ACTIONS(3134),
    [anon_sym_DASH] = ACTIONS(3134),
    [anon_sym_SLASH] = ACTIONS(3134),
    [anon_sym_LT] = ACTIONS(3134),
    [anon_sym_TILDE] = ACTIONS(3134),
    [anon_sym_void] = ACTIONS(3134),
    [anon_sym_delete] = ACTIONS(3134),
    [anon_sym_PLUS_PLUS] = ACTIONS(3134),
    [anon_sym_DASH_DASH] = ACTIONS(3134),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3134),
    [sym_number] = ACTIONS(3134),
    [sym_private_property_identifier] = ACTIONS(3134),
    [sym_this] = ACTIONS(3134),
    [sym_super] = ACTIONS(3134),
    [sym_true] = ACTIONS(3134),
    [sym_false] = ACTIONS(3134),
    [sym_null] = ACTIONS(3134),
    [sym_undefined] = ACTIONS(3134),
    [anon_sym_AT] = ACTIONS(3134),
    [anon_sym_static] = ACTIONS(3134),
    [anon_sym_readonly] = ACTIONS(3134),
    [anon_sym_get] = ACTIONS(3134),
    [anon_sym_set] = ACTIONS(3134),
    [anon_sym_declare] = ACTIONS(3134),
    [anon_sym_public] = ACTIONS(3134),
    [anon_sym_private] = ACTIONS(3134),
    [anon_sym_protected] = ACTIONS(3134),
    [anon_sym_override] = ACTIONS(3134),
    [anon_sym_module] = ACTIONS(3134),
    [anon_sym_any] = ACTIONS(3134),
    [anon_sym_number] = ACTIONS(3134),
    [anon_sym_boolean] = ACTIONS(3134),
    [anon_sym_string] = ACTIONS(3134),
    [anon_sym_symbol] = ACTIONS(3134),
    [anon_sym_object] = ACTIONS(3134),
    [anon_sym_abstract] = ACTIONS(3134),
    [anon_sym_interface] = ACTIONS(3134),
    [anon_sym_enum] = ACTIONS(3134),
    [sym_html_comment] = ACTIONS(5),
  },
  [1549] = {
    [sym_comment] = STATE(1549),
    [sym_identifier] = ACTIONS(3128),
    [anon_sym_export] = ACTIONS(3128),
    [anon_sym_default] = ACTIONS(3128),
    [anon_sym_type] = ACTIONS(3128),
    [anon_sym_namespace] = ACTIONS(3128),
    [anon_sym_LBRACE] = ACTIONS(3128),
    [anon_sym_RBRACE] = ACTIONS(3128),
    [anon_sym_typeof] = ACTIONS(3128),
    [anon_sym_import] = ACTIONS(3128),
    [anon_sym_with] = ACTIONS(3128),
    [anon_sym_var] = ACTIONS(3128),
    [anon_sym_let] = ACTIONS(3128),
    [anon_sym_const] = ACTIONS(3128),
    [anon_sym_BANG] = ACTIONS(3128),
    [anon_sym_if] = ACTIONS(3128),
    [anon_sym_switch] = ACTIONS(3128),
    [anon_sym_for] = ACTIONS(3128),
    [anon_sym_LPAREN] = ACTIONS(3128),
    [anon_sym_await] = ACTIONS(3128),
    [anon_sym_while] = ACTIONS(3128),
    [anon_sym_do] = ACTIONS(3128),
    [anon_sym_try] = ACTIONS(3128),
    [anon_sym_break] = ACTIONS(3128),
    [anon_sym_continue] = ACTIONS(3128),
    [anon_sym_debugger] = ACTIONS(3128),
    [anon_sym_return] = ACTIONS(3128),
    [anon_sym_throw] = ACTIONS(3128),
    [anon_sym_SEMI] = ACTIONS(3128),
    [anon_sym_case] = ACTIONS(3128),
    [anon_sym_yield] = ACTIONS(3128),
    [anon_sym_LBRACK] = ACTIONS(3128),
    [anon_sym_LTtemplate_GT] = ACTIONS(3128),
    [anon_sym_DQUOTE] = ACTIONS(3128),
    [anon_sym_SQUOTE] = ACTIONS(3128),
    [anon_sym_class] = ACTIONS(3128),
    [anon_sym_async] = ACTIONS(3128),
    [anon_sym_function] = ACTIONS(3128),
    [anon_sym_new] = ACTIONS(3128),
    [anon_sym_using] = ACTIONS(3128),
    [anon_sym_PLUS] = ACTIONS(3128),
    [anon_sym_DASH] = ACTIONS(3128),
    [anon_sym_SLASH] = ACTIONS(3128),
    [anon_sym_LT] = ACTIONS(3128),
    [anon_sym_TILDE] = ACTIONS(3128),
    [anon_sym_void] = ACTIONS(3128),
    [anon_sym_delete] = ACTIONS(3128),
    [anon_sym_PLUS_PLUS] = ACTIONS(3128),
    [anon_sym_DASH_DASH] = ACTIONS(3128),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3128),
    [sym_number] = ACTIONS(3128),
    [sym_private_property_identifier] = ACTIONS(3128),
    [sym_this] = ACTIONS(3128),
    [sym_super] = ACTIONS(3128),
    [sym_true] = ACTIONS(3128),
    [sym_false] = ACTIONS(3128),
    [sym_null] = ACTIONS(3128),
    [sym_undefined] = ACTIONS(3128),
    [anon_sym_AT] = ACTIONS(3128),
    [anon_sym_static] = ACTIONS(3128),
    [anon_sym_readonly] = ACTIONS(3128),
    [anon_sym_get] = ACTIONS(3128),
    [anon_sym_set] = ACTIONS(3128),
    [anon_sym_declare] = ACTIONS(3128),
    [anon_sym_public] = ACTIONS(3128),
    [anon_sym_private] = ACTIONS(3128),
    [anon_sym_protected] = ACTIONS(3128),
    [anon_sym_override] = ACTIONS(3128),
    [anon_sym_module] = ACTIONS(3128),
    [anon_sym_any] = ACTIONS(3128),
    [anon_sym_number] = ACTIONS(3128),
    [anon_sym_boolean] = ACTIONS(3128),
    [anon_sym_string] = ACTIONS(3128),
    [anon_sym_symbol] = ACTIONS(3128),
    [anon_sym_object] = ACTIONS(3128),
    [anon_sym_abstract] = ACTIONS(3128),
    [anon_sym_interface] = ACTIONS(3128),
    [anon_sym_enum] = ACTIONS(3128),
    [sym_html_comment] = ACTIONS(5),
  },
  [1550] = {
    [sym_comment] = STATE(1550),
    [sym_identifier] = ACTIONS(3156),
    [anon_sym_export] = ACTIONS(3156),
    [anon_sym_default] = ACTIONS(3156),
    [anon_sym_type] = ACTIONS(3156),
    [anon_sym_namespace] = ACTIONS(3156),
    [anon_sym_LBRACE] = ACTIONS(3156),
    [anon_sym_RBRACE] = ACTIONS(3156),
    [anon_sym_typeof] = ACTIONS(3156),
    [anon_sym_import] = ACTIONS(3156),
    [anon_sym_with] = ACTIONS(3156),
    [anon_sym_var] = ACTIONS(3156),
    [anon_sym_let] = ACTIONS(3156),
    [anon_sym_const] = ACTIONS(3156),
    [anon_sym_BANG] = ACTIONS(3156),
    [anon_sym_if] = ACTIONS(3156),
    [anon_sym_switch] = ACTIONS(3156),
    [anon_sym_for] = ACTIONS(3156),
    [anon_sym_LPAREN] = ACTIONS(3156),
    [anon_sym_await] = ACTIONS(3156),
    [anon_sym_while] = ACTIONS(3156),
    [anon_sym_do] = ACTIONS(3156),
    [anon_sym_try] = ACTIONS(3156),
    [anon_sym_break] = ACTIONS(3156),
    [anon_sym_continue] = ACTIONS(3156),
    [anon_sym_debugger] = ACTIONS(3156),
    [anon_sym_return] = ACTIONS(3156),
    [anon_sym_throw] = ACTIONS(3156),
    [anon_sym_SEMI] = ACTIONS(3156),
    [anon_sym_case] = ACTIONS(3156),
    [anon_sym_yield] = ACTIONS(3156),
    [anon_sym_LBRACK] = ACTIONS(3156),
    [anon_sym_LTtemplate_GT] = ACTIONS(3156),
    [anon_sym_DQUOTE] = ACTIONS(3156),
    [anon_sym_SQUOTE] = ACTIONS(3156),
    [anon_sym_class] = ACTIONS(3156),
    [anon_sym_async] = ACTIONS(3156),
    [anon_sym_function] = ACTIONS(3156),
    [anon_sym_new] = ACTIONS(3156),
    [anon_sym_using] = ACTIONS(3156),
    [anon_sym_PLUS] = ACTIONS(3156),
    [anon_sym_DASH] = ACTIONS(3156),
    [anon_sym_SLASH] = ACTIONS(3156),
    [anon_sym_LT] = ACTIONS(3156),
    [anon_sym_TILDE] = ACTIONS(3156),
    [anon_sym_void] = ACTIONS(3156),
    [anon_sym_delete] = ACTIONS(3156),
    [anon_sym_PLUS_PLUS] = ACTIONS(3156),
    [anon_sym_DASH_DASH] = ACTIONS(3156),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3156),
    [sym_number] = ACTIONS(3156),
    [sym_private_property_identifier] = ACTIONS(3156),
    [sym_this] = ACTIONS(3156),
    [sym_super] = ACTIONS(3156),
    [sym_true] = ACTIONS(3156),
    [sym_false] = ACTIONS(3156),
    [sym_null] = ACTIONS(3156),
    [sym_undefined] = ACTIONS(3156),
    [anon_sym_AT] = ACTIONS(3156),
    [anon_sym_static] = ACTIONS(3156),
    [anon_sym_readonly] = ACTIONS(3156),
    [anon_sym_get] = ACTIONS(3156),
    [anon_sym_set] = ACTIONS(3156),
    [anon_sym_declare] = ACTIONS(3156),
    [anon_sym_public] = ACTIONS(3156),
    [anon_sym_private] = ACTIONS(3156),
    [anon_sym_protected] = ACTIONS(3156),
    [anon_sym_override] = ACTIONS(3156),
    [anon_sym_module] = ACTIONS(3156),
    [anon_sym_any] = ACTIONS(3156),
    [anon_sym_number] = ACTIONS(3156),
    [anon_sym_boolean] = ACTIONS(3156),
    [anon_sym_string] = ACTIONS(3156),
    [anon_sym_symbol] = ACTIONS(3156),
    [anon_sym_object] = ACTIONS(3156),
    [anon_sym_abstract] = ACTIONS(3156),
    [anon_sym_interface] = ACTIONS(3156),
    [anon_sym_enum] = ACTIONS(3156),
    [sym_html_comment] = ACTIONS(5),
  },
  [1551] = {
    [sym_comment] = STATE(1551),
    [ts_builtin_sym_end] = ACTIONS(3582),
    [sym_identifier] = ACTIONS(3142),
    [anon_sym_export] = ACTIONS(3142),
    [anon_sym_type] = ACTIONS(3142),
    [anon_sym_namespace] = ACTIONS(3142),
    [anon_sym_LBRACE] = ACTIONS(3142),
    [anon_sym_RBRACE] = ACTIONS(3142),
    [anon_sym_typeof] = ACTIONS(3142),
    [anon_sym_import] = ACTIONS(3142),
    [anon_sym_with] = ACTIONS(3142),
    [anon_sym_var] = ACTIONS(3142),
    [anon_sym_let] = ACTIONS(3142),
    [anon_sym_const] = ACTIONS(3142),
    [anon_sym_BANG] = ACTIONS(3142),
    [anon_sym_else] = ACTIONS(3142),
    [anon_sym_if] = ACTIONS(3142),
    [anon_sym_switch] = ACTIONS(3142),
    [anon_sym_for] = ACTIONS(3142),
    [anon_sym_LPAREN] = ACTIONS(3142),
    [anon_sym_await] = ACTIONS(3142),
    [anon_sym_while] = ACTIONS(3142),
    [anon_sym_do] = ACTIONS(3142),
    [anon_sym_try] = ACTIONS(3142),
    [anon_sym_break] = ACTIONS(3142),
    [anon_sym_continue] = ACTIONS(3142),
    [anon_sym_debugger] = ACTIONS(3142),
    [anon_sym_return] = ACTIONS(3142),
    [anon_sym_throw] = ACTIONS(3142),
    [anon_sym_SEMI] = ACTIONS(3142),
    [anon_sym_yield] = ACTIONS(3142),
    [anon_sym_LBRACK] = ACTIONS(3142),
    [anon_sym_LTtemplate_GT] = ACTIONS(3142),
    [anon_sym_DQUOTE] = ACTIONS(3142),
    [anon_sym_SQUOTE] = ACTIONS(3142),
    [anon_sym_class] = ACTIONS(3142),
    [anon_sym_async] = ACTIONS(3142),
    [anon_sym_function] = ACTIONS(3142),
    [anon_sym_new] = ACTIONS(3142),
    [anon_sym_using] = ACTIONS(3142),
    [anon_sym_PLUS] = ACTIONS(3142),
    [anon_sym_DASH] = ACTIONS(3142),
    [anon_sym_SLASH] = ACTIONS(3142),
    [anon_sym_LT] = ACTIONS(3142),
    [anon_sym_TILDE] = ACTIONS(3142),
    [anon_sym_void] = ACTIONS(3142),
    [anon_sym_delete] = ACTIONS(3142),
    [anon_sym_PLUS_PLUS] = ACTIONS(3142),
    [anon_sym_DASH_DASH] = ACTIONS(3142),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3142),
    [sym_number] = ACTIONS(3142),
    [sym_private_property_identifier] = ACTIONS(3142),
    [sym_this] = ACTIONS(3142),
    [sym_super] = ACTIONS(3142),
    [sym_true] = ACTIONS(3142),
    [sym_false] = ACTIONS(3142),
    [sym_null] = ACTIONS(3142),
    [sym_undefined] = ACTIONS(3142),
    [anon_sym_AT] = ACTIONS(3142),
    [anon_sym_static] = ACTIONS(3142),
    [anon_sym_readonly] = ACTIONS(3142),
    [anon_sym_get] = ACTIONS(3142),
    [anon_sym_set] = ACTIONS(3142),
    [anon_sym_declare] = ACTIONS(3142),
    [anon_sym_public] = ACTIONS(3142),
    [anon_sym_private] = ACTIONS(3142),
    [anon_sym_protected] = ACTIONS(3142),
    [anon_sym_override] = ACTIONS(3142),
    [anon_sym_module] = ACTIONS(3142),
    [anon_sym_any] = ACTIONS(3142),
    [anon_sym_number] = ACTIONS(3142),
    [anon_sym_boolean] = ACTIONS(3142),
    [anon_sym_string] = ACTIONS(3142),
    [anon_sym_symbol] = ACTIONS(3142),
    [anon_sym_object] = ACTIONS(3142),
    [anon_sym_abstract] = ACTIONS(3142),
    [anon_sym_interface] = ACTIONS(3142),
    [anon_sym_enum] = ACTIONS(3142),
    [sym_html_comment] = ACTIONS(5),
  },
  [1552] = {
    [sym_comment] = STATE(1552),
    [sym_identifier] = ACTIONS(3222),
    [anon_sym_export] = ACTIONS(3222),
    [anon_sym_default] = ACTIONS(3222),
    [anon_sym_type] = ACTIONS(3222),
    [anon_sym_namespace] = ACTIONS(3222),
    [anon_sym_LBRACE] = ACTIONS(3222),
    [anon_sym_RBRACE] = ACTIONS(3222),
    [anon_sym_typeof] = ACTIONS(3222),
    [anon_sym_import] = ACTIONS(3222),
    [anon_sym_with] = ACTIONS(3222),
    [anon_sym_var] = ACTIONS(3222),
    [anon_sym_let] = ACTIONS(3222),
    [anon_sym_const] = ACTIONS(3222),
    [anon_sym_BANG] = ACTIONS(3222),
    [anon_sym_if] = ACTIONS(3222),
    [anon_sym_switch] = ACTIONS(3222),
    [anon_sym_for] = ACTIONS(3222),
    [anon_sym_LPAREN] = ACTIONS(3222),
    [anon_sym_await] = ACTIONS(3222),
    [anon_sym_while] = ACTIONS(3222),
    [anon_sym_do] = ACTIONS(3222),
    [anon_sym_try] = ACTIONS(3222),
    [anon_sym_break] = ACTIONS(3222),
    [anon_sym_continue] = ACTIONS(3222),
    [anon_sym_debugger] = ACTIONS(3222),
    [anon_sym_return] = ACTIONS(3222),
    [anon_sym_throw] = ACTIONS(3222),
    [anon_sym_SEMI] = ACTIONS(3222),
    [anon_sym_case] = ACTIONS(3222),
    [anon_sym_yield] = ACTIONS(3222),
    [anon_sym_LBRACK] = ACTIONS(3222),
    [anon_sym_LTtemplate_GT] = ACTIONS(3222),
    [anon_sym_DQUOTE] = ACTIONS(3222),
    [anon_sym_SQUOTE] = ACTIONS(3222),
    [anon_sym_class] = ACTIONS(3222),
    [anon_sym_async] = ACTIONS(3222),
    [anon_sym_function] = ACTIONS(3222),
    [anon_sym_new] = ACTIONS(3222),
    [anon_sym_using] = ACTIONS(3222),
    [anon_sym_PLUS] = ACTIONS(3222),
    [anon_sym_DASH] = ACTIONS(3222),
    [anon_sym_SLASH] = ACTIONS(3222),
    [anon_sym_LT] = ACTIONS(3222),
    [anon_sym_TILDE] = ACTIONS(3222),
    [anon_sym_void] = ACTIONS(3222),
    [anon_sym_delete] = ACTIONS(3222),
    [anon_sym_PLUS_PLUS] = ACTIONS(3222),
    [anon_sym_DASH_DASH] = ACTIONS(3222),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3222),
    [sym_number] = ACTIONS(3222),
    [sym_private_property_identifier] = ACTIONS(3222),
    [sym_this] = ACTIONS(3222),
    [sym_super] = ACTIONS(3222),
    [sym_true] = ACTIONS(3222),
    [sym_false] = ACTIONS(3222),
    [sym_null] = ACTIONS(3222),
    [sym_undefined] = ACTIONS(3222),
    [anon_sym_AT] = ACTIONS(3222),
    [anon_sym_static] = ACTIONS(3222),
    [anon_sym_readonly] = ACTIONS(3222),
    [anon_sym_get] = ACTIONS(3222),
    [anon_sym_set] = ACTIONS(3222),
    [anon_sym_declare] = ACTIONS(3222),
    [anon_sym_public] = ACTIONS(3222),
    [anon_sym_private] = ACTIONS(3222),
    [anon_sym_protected] = ACTIONS(3222),
    [anon_sym_override] = ACTIONS(3222),
    [anon_sym_module] = ACTIONS(3222),
    [anon_sym_any] = ACTIONS(3222),
    [anon_sym_number] = ACTIONS(3222),
    [anon_sym_boolean] = ACTIONS(3222),
    [anon_sym_string] = ACTIONS(3222),
    [anon_sym_symbol] = ACTIONS(3222),
    [anon_sym_object] = ACTIONS(3222),
    [anon_sym_abstract] = ACTIONS(3222),
    [anon_sym_interface] = ACTIONS(3222),
    [anon_sym_enum] = ACTIONS(3222),
    [sym_html_comment] = ACTIONS(5),
  },
  [1553] = {
    [sym_comment] = STATE(1553),
    [sym_identifier] = ACTIONS(3218),
    [anon_sym_export] = ACTIONS(3218),
    [anon_sym_default] = ACTIONS(3218),
    [anon_sym_type] = ACTIONS(3218),
    [anon_sym_namespace] = ACTIONS(3218),
    [anon_sym_LBRACE] = ACTIONS(3218),
    [anon_sym_RBRACE] = ACTIONS(3218),
    [anon_sym_typeof] = ACTIONS(3218),
    [anon_sym_import] = ACTIONS(3218),
    [anon_sym_with] = ACTIONS(3218),
    [anon_sym_var] = ACTIONS(3218),
    [anon_sym_let] = ACTIONS(3218),
    [anon_sym_const] = ACTIONS(3218),
    [anon_sym_BANG] = ACTIONS(3218),
    [anon_sym_if] = ACTIONS(3218),
    [anon_sym_switch] = ACTIONS(3218),
    [anon_sym_for] = ACTIONS(3218),
    [anon_sym_LPAREN] = ACTIONS(3218),
    [anon_sym_await] = ACTIONS(3218),
    [anon_sym_while] = ACTIONS(3218),
    [anon_sym_do] = ACTIONS(3218),
    [anon_sym_try] = ACTIONS(3218),
    [anon_sym_break] = ACTIONS(3218),
    [anon_sym_continue] = ACTIONS(3218),
    [anon_sym_debugger] = ACTIONS(3218),
    [anon_sym_return] = ACTIONS(3218),
    [anon_sym_throw] = ACTIONS(3218),
    [anon_sym_SEMI] = ACTIONS(3218),
    [anon_sym_case] = ACTIONS(3218),
    [anon_sym_yield] = ACTIONS(3218),
    [anon_sym_LBRACK] = ACTIONS(3218),
    [anon_sym_LTtemplate_GT] = ACTIONS(3218),
    [anon_sym_DQUOTE] = ACTIONS(3218),
    [anon_sym_SQUOTE] = ACTIONS(3218),
    [anon_sym_class] = ACTIONS(3218),
    [anon_sym_async] = ACTIONS(3218),
    [anon_sym_function] = ACTIONS(3218),
    [anon_sym_new] = ACTIONS(3218),
    [anon_sym_using] = ACTIONS(3218),
    [anon_sym_PLUS] = ACTIONS(3218),
    [anon_sym_DASH] = ACTIONS(3218),
    [anon_sym_SLASH] = ACTIONS(3218),
    [anon_sym_LT] = ACTIONS(3218),
    [anon_sym_TILDE] = ACTIONS(3218),
    [anon_sym_void] = ACTIONS(3218),
    [anon_sym_delete] = ACTIONS(3218),
    [anon_sym_PLUS_PLUS] = ACTIONS(3218),
    [anon_sym_DASH_DASH] = ACTIONS(3218),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3218),
    [sym_number] = ACTIONS(3218),
    [sym_private_property_identifier] = ACTIONS(3218),
    [sym_this] = ACTIONS(3218),
    [sym_super] = ACTIONS(3218),
    [sym_true] = ACTIONS(3218),
    [sym_false] = ACTIONS(3218),
    [sym_null] = ACTIONS(3218),
    [sym_undefined] = ACTIONS(3218),
    [anon_sym_AT] = ACTIONS(3218),
    [anon_sym_static] = ACTIONS(3218),
    [anon_sym_readonly] = ACTIONS(3218),
    [anon_sym_get] = ACTIONS(3218),
    [anon_sym_set] = ACTIONS(3218),
    [anon_sym_declare] = ACTIONS(3218),
    [anon_sym_public] = ACTIONS(3218),
    [anon_sym_private] = ACTIONS(3218),
    [anon_sym_protected] = ACTIONS(3218),
    [anon_sym_override] = ACTIONS(3218),
    [anon_sym_module] = ACTIONS(3218),
    [anon_sym_any] = ACTIONS(3218),
    [anon_sym_number] = ACTIONS(3218),
    [anon_sym_boolean] = ACTIONS(3218),
    [anon_sym_string] = ACTIONS(3218),
    [anon_sym_symbol] = ACTIONS(3218),
    [anon_sym_object] = ACTIONS(3218),
    [anon_sym_abstract] = ACTIONS(3218),
    [anon_sym_interface] = ACTIONS(3218),
    [anon_sym_enum] = ACTIONS(3218),
    [sym_html_comment] = ACTIONS(5),
  },
  [1554] = {
    [sym_comment] = STATE(1554),
    [sym_identifier] = ACTIONS(3214),
    [anon_sym_export] = ACTIONS(3214),
    [anon_sym_default] = ACTIONS(3214),
    [anon_sym_type] = ACTIONS(3214),
    [anon_sym_namespace] = ACTIONS(3214),
    [anon_sym_LBRACE] = ACTIONS(3214),
    [anon_sym_RBRACE] = ACTIONS(3214),
    [anon_sym_typeof] = ACTIONS(3214),
    [anon_sym_import] = ACTIONS(3214),
    [anon_sym_with] = ACTIONS(3214),
    [anon_sym_var] = ACTIONS(3214),
    [anon_sym_let] = ACTIONS(3214),
    [anon_sym_const] = ACTIONS(3214),
    [anon_sym_BANG] = ACTIONS(3214),
    [anon_sym_if] = ACTIONS(3214),
    [anon_sym_switch] = ACTIONS(3214),
    [anon_sym_for] = ACTIONS(3214),
    [anon_sym_LPAREN] = ACTIONS(3214),
    [anon_sym_await] = ACTIONS(3214),
    [anon_sym_while] = ACTIONS(3214),
    [anon_sym_do] = ACTIONS(3214),
    [anon_sym_try] = ACTIONS(3214),
    [anon_sym_break] = ACTIONS(3214),
    [anon_sym_continue] = ACTIONS(3214),
    [anon_sym_debugger] = ACTIONS(3214),
    [anon_sym_return] = ACTIONS(3214),
    [anon_sym_throw] = ACTIONS(3214),
    [anon_sym_SEMI] = ACTIONS(3214),
    [anon_sym_case] = ACTIONS(3214),
    [anon_sym_yield] = ACTIONS(3214),
    [anon_sym_LBRACK] = ACTIONS(3214),
    [anon_sym_LTtemplate_GT] = ACTIONS(3214),
    [anon_sym_DQUOTE] = ACTIONS(3214),
    [anon_sym_SQUOTE] = ACTIONS(3214),
    [anon_sym_class] = ACTIONS(3214),
    [anon_sym_async] = ACTIONS(3214),
    [anon_sym_function] = ACTIONS(3214),
    [anon_sym_new] = ACTIONS(3214),
    [anon_sym_using] = ACTIONS(3214),
    [anon_sym_PLUS] = ACTIONS(3214),
    [anon_sym_DASH] = ACTIONS(3214),
    [anon_sym_SLASH] = ACTIONS(3214),
    [anon_sym_LT] = ACTIONS(3214),
    [anon_sym_TILDE] = ACTIONS(3214),
    [anon_sym_void] = ACTIONS(3214),
    [anon_sym_delete] = ACTIONS(3214),
    [anon_sym_PLUS_PLUS] = ACTIONS(3214),
    [anon_sym_DASH_DASH] = ACTIONS(3214),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3214),
    [sym_number] = ACTIONS(3214),
    [sym_private_property_identifier] = ACTIONS(3214),
    [sym_this] = ACTIONS(3214),
    [sym_super] = ACTIONS(3214),
    [sym_true] = ACTIONS(3214),
    [sym_false] = ACTIONS(3214),
    [sym_null] = ACTIONS(3214),
    [sym_undefined] = ACTIONS(3214),
    [anon_sym_AT] = ACTIONS(3214),
    [anon_sym_static] = ACTIONS(3214),
    [anon_sym_readonly] = ACTIONS(3214),
    [anon_sym_get] = ACTIONS(3214),
    [anon_sym_set] = ACTIONS(3214),
    [anon_sym_declare] = ACTIONS(3214),
    [anon_sym_public] = ACTIONS(3214),
    [anon_sym_private] = ACTIONS(3214),
    [anon_sym_protected] = ACTIONS(3214),
    [anon_sym_override] = ACTIONS(3214),
    [anon_sym_module] = ACTIONS(3214),
    [anon_sym_any] = ACTIONS(3214),
    [anon_sym_number] = ACTIONS(3214),
    [anon_sym_boolean] = ACTIONS(3214),
    [anon_sym_string] = ACTIONS(3214),
    [anon_sym_symbol] = ACTIONS(3214),
    [anon_sym_object] = ACTIONS(3214),
    [anon_sym_abstract] = ACTIONS(3214),
    [anon_sym_interface] = ACTIONS(3214),
    [anon_sym_enum] = ACTIONS(3214),
    [sym_html_comment] = ACTIONS(5),
  },
  [1555] = {
    [sym_comment] = STATE(1555),
    [sym_identifier] = ACTIONS(3212),
    [anon_sym_export] = ACTIONS(3212),
    [anon_sym_default] = ACTIONS(3212),
    [anon_sym_type] = ACTIONS(3212),
    [anon_sym_namespace] = ACTIONS(3212),
    [anon_sym_LBRACE] = ACTIONS(3212),
    [anon_sym_RBRACE] = ACTIONS(3212),
    [anon_sym_typeof] = ACTIONS(3212),
    [anon_sym_import] = ACTIONS(3212),
    [anon_sym_with] = ACTIONS(3212),
    [anon_sym_var] = ACTIONS(3212),
    [anon_sym_let] = ACTIONS(3212),
    [anon_sym_const] = ACTIONS(3212),
    [anon_sym_BANG] = ACTIONS(3212),
    [anon_sym_if] = ACTIONS(3212),
    [anon_sym_switch] = ACTIONS(3212),
    [anon_sym_for] = ACTIONS(3212),
    [anon_sym_LPAREN] = ACTIONS(3212),
    [anon_sym_await] = ACTIONS(3212),
    [anon_sym_while] = ACTIONS(3212),
    [anon_sym_do] = ACTIONS(3212),
    [anon_sym_try] = ACTIONS(3212),
    [anon_sym_break] = ACTIONS(3212),
    [anon_sym_continue] = ACTIONS(3212),
    [anon_sym_debugger] = ACTIONS(3212),
    [anon_sym_return] = ACTIONS(3212),
    [anon_sym_throw] = ACTIONS(3212),
    [anon_sym_SEMI] = ACTIONS(3212),
    [anon_sym_case] = ACTIONS(3212),
    [anon_sym_yield] = ACTIONS(3212),
    [anon_sym_LBRACK] = ACTIONS(3212),
    [anon_sym_LTtemplate_GT] = ACTIONS(3212),
    [anon_sym_DQUOTE] = ACTIONS(3212),
    [anon_sym_SQUOTE] = ACTIONS(3212),
    [anon_sym_class] = ACTIONS(3212),
    [anon_sym_async] = ACTIONS(3212),
    [anon_sym_function] = ACTIONS(3212),
    [anon_sym_new] = ACTIONS(3212),
    [anon_sym_using] = ACTIONS(3212),
    [anon_sym_PLUS] = ACTIONS(3212),
    [anon_sym_DASH] = ACTIONS(3212),
    [anon_sym_SLASH] = ACTIONS(3212),
    [anon_sym_LT] = ACTIONS(3212),
    [anon_sym_TILDE] = ACTIONS(3212),
    [anon_sym_void] = ACTIONS(3212),
    [anon_sym_delete] = ACTIONS(3212),
    [anon_sym_PLUS_PLUS] = ACTIONS(3212),
    [anon_sym_DASH_DASH] = ACTIONS(3212),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3212),
    [sym_number] = ACTIONS(3212),
    [sym_private_property_identifier] = ACTIONS(3212),
    [sym_this] = ACTIONS(3212),
    [sym_super] = ACTIONS(3212),
    [sym_true] = ACTIONS(3212),
    [sym_false] = ACTIONS(3212),
    [sym_null] = ACTIONS(3212),
    [sym_undefined] = ACTIONS(3212),
    [anon_sym_AT] = ACTIONS(3212),
    [anon_sym_static] = ACTIONS(3212),
    [anon_sym_readonly] = ACTIONS(3212),
    [anon_sym_get] = ACTIONS(3212),
    [anon_sym_set] = ACTIONS(3212),
    [anon_sym_declare] = ACTIONS(3212),
    [anon_sym_public] = ACTIONS(3212),
    [anon_sym_private] = ACTIONS(3212),
    [anon_sym_protected] = ACTIONS(3212),
    [anon_sym_override] = ACTIONS(3212),
    [anon_sym_module] = ACTIONS(3212),
    [anon_sym_any] = ACTIONS(3212),
    [anon_sym_number] = ACTIONS(3212),
    [anon_sym_boolean] = ACTIONS(3212),
    [anon_sym_string] = ACTIONS(3212),
    [anon_sym_symbol] = ACTIONS(3212),
    [anon_sym_object] = ACTIONS(3212),
    [anon_sym_abstract] = ACTIONS(3212),
    [anon_sym_interface] = ACTIONS(3212),
    [anon_sym_enum] = ACTIONS(3212),
    [sym_html_comment] = ACTIONS(5),
  },
  [1556] = {
    [sym_comment] = STATE(1556),
    [ts_builtin_sym_end] = ACTIONS(3546),
    [sym_identifier] = ACTIONS(3182),
    [anon_sym_export] = ACTIONS(3182),
    [anon_sym_type] = ACTIONS(3182),
    [anon_sym_namespace] = ACTIONS(3182),
    [anon_sym_LBRACE] = ACTIONS(3182),
    [anon_sym_RBRACE] = ACTIONS(3182),
    [anon_sym_typeof] = ACTIONS(3182),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_with] = ACTIONS(3182),
    [anon_sym_var] = ACTIONS(3182),
    [anon_sym_let] = ACTIONS(3182),
    [anon_sym_const] = ACTIONS(3182),
    [anon_sym_BANG] = ACTIONS(3182),
    [anon_sym_if] = ACTIONS(3182),
    [anon_sym_switch] = ACTIONS(3182),
    [anon_sym_for] = ACTIONS(3182),
    [anon_sym_LPAREN] = ACTIONS(3182),
    [anon_sym_await] = ACTIONS(3182),
    [anon_sym_while] = ACTIONS(3182),
    [anon_sym_do] = ACTIONS(3182),
    [anon_sym_try] = ACTIONS(3182),
    [anon_sym_break] = ACTIONS(3182),
    [anon_sym_continue] = ACTIONS(3182),
    [anon_sym_debugger] = ACTIONS(3182),
    [anon_sym_return] = ACTIONS(3182),
    [anon_sym_throw] = ACTIONS(3182),
    [anon_sym_SEMI] = ACTIONS(3182),
    [anon_sym_yield] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3182),
    [anon_sym_LTtemplate_GT] = ACTIONS(3182),
    [anon_sym_DQUOTE] = ACTIONS(3182),
    [anon_sym_SQUOTE] = ACTIONS(3182),
    [anon_sym_class] = ACTIONS(3182),
    [anon_sym_async] = ACTIONS(3182),
    [anon_sym_function] = ACTIONS(3182),
    [anon_sym_new] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_PLUS] = ACTIONS(3182),
    [anon_sym_DASH] = ACTIONS(3182),
    [anon_sym_SLASH] = ACTIONS(3182),
    [anon_sym_LT] = ACTIONS(3182),
    [anon_sym_TILDE] = ACTIONS(3182),
    [anon_sym_void] = ACTIONS(3182),
    [anon_sym_delete] = ACTIONS(3182),
    [anon_sym_PLUS_PLUS] = ACTIONS(3182),
    [anon_sym_DASH_DASH] = ACTIONS(3182),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3182),
    [sym_number] = ACTIONS(3182),
    [sym_private_property_identifier] = ACTIONS(3182),
    [sym_this] = ACTIONS(3182),
    [sym_super] = ACTIONS(3182),
    [sym_true] = ACTIONS(3182),
    [sym_false] = ACTIONS(3182),
    [sym_null] = ACTIONS(3182),
    [sym_undefined] = ACTIONS(3182),
    [anon_sym_AT] = ACTIONS(3182),
    [anon_sym_static] = ACTIONS(3182),
    [anon_sym_readonly] = ACTIONS(3182),
    [anon_sym_get] = ACTIONS(3182),
    [anon_sym_set] = ACTIONS(3182),
    [anon_sym_declare] = ACTIONS(3182),
    [anon_sym_public] = ACTIONS(3182),
    [anon_sym_private] = ACTIONS(3182),
    [anon_sym_protected] = ACTIONS(3182),
    [anon_sym_override] = ACTIONS(3182),
    [anon_sym_module] = ACTIONS(3182),
    [anon_sym_any] = ACTIONS(3182),
    [anon_sym_number] = ACTIONS(3182),
    [anon_sym_boolean] = ACTIONS(3182),
    [anon_sym_string] = ACTIONS(3182),
    [anon_sym_symbol] = ACTIONS(3182),
    [anon_sym_object] = ACTIONS(3182),
    [anon_sym_abstract] = ACTIONS(3182),
    [anon_sym_interface] = ACTIONS(3182),
    [anon_sym_enum] = ACTIONS(3182),
    [sym_html_comment] = ACTIONS(5),
  },
  [1557] = {
    [sym_comment] = STATE(1557),
    [ts_builtin_sym_end] = ACTIONS(3442),
    [sym_identifier] = ACTIONS(3224),
    [anon_sym_export] = ACTIONS(3224),
    [anon_sym_type] = ACTIONS(3224),
    [anon_sym_namespace] = ACTIONS(3224),
    [anon_sym_LBRACE] = ACTIONS(3224),
    [anon_sym_RBRACE] = ACTIONS(3224),
    [anon_sym_typeof] = ACTIONS(3224),
    [anon_sym_import] = ACTIONS(3224),
    [anon_sym_with] = ACTIONS(3224),
    [anon_sym_var] = ACTIONS(3224),
    [anon_sym_let] = ACTIONS(3224),
    [anon_sym_const] = ACTIONS(3224),
    [anon_sym_BANG] = ACTIONS(3224),
    [anon_sym_if] = ACTIONS(3224),
    [anon_sym_switch] = ACTIONS(3224),
    [anon_sym_for] = ACTIONS(3224),
    [anon_sym_LPAREN] = ACTIONS(3224),
    [anon_sym_await] = ACTIONS(3224),
    [anon_sym_while] = ACTIONS(3224),
    [anon_sym_do] = ACTIONS(3224),
    [anon_sym_try] = ACTIONS(3224),
    [anon_sym_break] = ACTIONS(3224),
    [anon_sym_continue] = ACTIONS(3224),
    [anon_sym_debugger] = ACTIONS(3224),
    [anon_sym_return] = ACTIONS(3224),
    [anon_sym_throw] = ACTIONS(3224),
    [anon_sym_SEMI] = ACTIONS(3224),
    [anon_sym_yield] = ACTIONS(3224),
    [anon_sym_LBRACK] = ACTIONS(3224),
    [anon_sym_LTtemplate_GT] = ACTIONS(3224),
    [anon_sym_DQUOTE] = ACTIONS(3224),
    [anon_sym_SQUOTE] = ACTIONS(3224),
    [anon_sym_class] = ACTIONS(3224),
    [anon_sym_async] = ACTIONS(3224),
    [anon_sym_function] = ACTIONS(3224),
    [anon_sym_new] = ACTIONS(3224),
    [anon_sym_using] = ACTIONS(3224),
    [anon_sym_PLUS] = ACTIONS(3224),
    [anon_sym_DASH] = ACTIONS(3224),
    [anon_sym_SLASH] = ACTIONS(3224),
    [anon_sym_LT] = ACTIONS(3224),
    [anon_sym_TILDE] = ACTIONS(3224),
    [anon_sym_void] = ACTIONS(3224),
    [anon_sym_delete] = ACTIONS(3224),
    [anon_sym_PLUS_PLUS] = ACTIONS(3224),
    [anon_sym_DASH_DASH] = ACTIONS(3224),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3224),
    [sym_number] = ACTIONS(3224),
    [sym_private_property_identifier] = ACTIONS(3224),
    [sym_this] = ACTIONS(3224),
    [sym_super] = ACTIONS(3224),
    [sym_true] = ACTIONS(3224),
    [sym_false] = ACTIONS(3224),
    [sym_null] = ACTIONS(3224),
    [sym_undefined] = ACTIONS(3224),
    [anon_sym_AT] = ACTIONS(3224),
    [anon_sym_static] = ACTIONS(3224),
    [anon_sym_readonly] = ACTIONS(3224),
    [anon_sym_get] = ACTIONS(3224),
    [anon_sym_set] = ACTIONS(3224),
    [anon_sym_declare] = ACTIONS(3224),
    [anon_sym_public] = ACTIONS(3224),
    [anon_sym_private] = ACTIONS(3224),
    [anon_sym_protected] = ACTIONS(3224),
    [anon_sym_override] = ACTIONS(3224),
    [anon_sym_module] = ACTIONS(3224),
    [anon_sym_any] = ACTIONS(3224),
    [anon_sym_number] = ACTIONS(3224),
    [anon_sym_boolean] = ACTIONS(3224),
    [anon_sym_string] = ACTIONS(3224),
    [anon_sym_symbol] = ACTIONS(3224),
    [anon_sym_object] = ACTIONS(3224),
    [anon_sym_abstract] = ACTIONS(3224),
    [anon_sym_interface] = ACTIONS(3224),
    [anon_sym_enum] = ACTIONS(3224),
    [sym_html_comment] = ACTIONS(5),
  },
  [1558] = {
    [sym_comment] = STATE(1558),
    [ts_builtin_sym_end] = ACTIONS(3570),
    [sym_identifier] = ACTIONS(3152),
    [anon_sym_export] = ACTIONS(3152),
    [anon_sym_type] = ACTIONS(3152),
    [anon_sym_namespace] = ACTIONS(3152),
    [anon_sym_LBRACE] = ACTIONS(3152),
    [anon_sym_RBRACE] = ACTIONS(3152),
    [anon_sym_typeof] = ACTIONS(3152),
    [anon_sym_import] = ACTIONS(3152),
    [anon_sym_with] = ACTIONS(3152),
    [anon_sym_var] = ACTIONS(3152),
    [anon_sym_let] = ACTIONS(3152),
    [anon_sym_const] = ACTIONS(3152),
    [anon_sym_BANG] = ACTIONS(3152),
    [anon_sym_if] = ACTIONS(3152),
    [anon_sym_switch] = ACTIONS(3152),
    [anon_sym_for] = ACTIONS(3152),
    [anon_sym_LPAREN] = ACTIONS(3152),
    [anon_sym_await] = ACTIONS(3152),
    [anon_sym_while] = ACTIONS(3152),
    [anon_sym_do] = ACTIONS(3152),
    [anon_sym_try] = ACTIONS(3152),
    [anon_sym_break] = ACTIONS(3152),
    [anon_sym_continue] = ACTIONS(3152),
    [anon_sym_debugger] = ACTIONS(3152),
    [anon_sym_return] = ACTIONS(3152),
    [anon_sym_throw] = ACTIONS(3152),
    [anon_sym_SEMI] = ACTIONS(3152),
    [anon_sym_yield] = ACTIONS(3152),
    [anon_sym_LBRACK] = ACTIONS(3152),
    [anon_sym_LTtemplate_GT] = ACTIONS(3152),
    [anon_sym_DQUOTE] = ACTIONS(3152),
    [anon_sym_SQUOTE] = ACTIONS(3152),
    [anon_sym_class] = ACTIONS(3152),
    [anon_sym_async] = ACTIONS(3152),
    [anon_sym_function] = ACTIONS(3152),
    [anon_sym_new] = ACTIONS(3152),
    [anon_sym_using] = ACTIONS(3152),
    [anon_sym_PLUS] = ACTIONS(3152),
    [anon_sym_DASH] = ACTIONS(3152),
    [anon_sym_SLASH] = ACTIONS(3152),
    [anon_sym_LT] = ACTIONS(3152),
    [anon_sym_TILDE] = ACTIONS(3152),
    [anon_sym_void] = ACTIONS(3152),
    [anon_sym_delete] = ACTIONS(3152),
    [anon_sym_PLUS_PLUS] = ACTIONS(3152),
    [anon_sym_DASH_DASH] = ACTIONS(3152),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3152),
    [sym_number] = ACTIONS(3152),
    [sym_private_property_identifier] = ACTIONS(3152),
    [sym_this] = ACTIONS(3152),
    [sym_super] = ACTIONS(3152),
    [sym_true] = ACTIONS(3152),
    [sym_false] = ACTIONS(3152),
    [sym_null] = ACTIONS(3152),
    [sym_undefined] = ACTIONS(3152),
    [anon_sym_AT] = ACTIONS(3152),
    [anon_sym_static] = ACTIONS(3152),
    [anon_sym_readonly] = ACTIONS(3152),
    [anon_sym_get] = ACTIONS(3152),
    [anon_sym_set] = ACTIONS(3152),
    [anon_sym_declare] = ACTIONS(3152),
    [anon_sym_public] = ACTIONS(3152),
    [anon_sym_private] = ACTIONS(3152),
    [anon_sym_protected] = ACTIONS(3152),
    [anon_sym_override] = ACTIONS(3152),
    [anon_sym_module] = ACTIONS(3152),
    [anon_sym_any] = ACTIONS(3152),
    [anon_sym_number] = ACTIONS(3152),
    [anon_sym_boolean] = ACTIONS(3152),
    [anon_sym_string] = ACTIONS(3152),
    [anon_sym_symbol] = ACTIONS(3152),
    [anon_sym_object] = ACTIONS(3152),
    [anon_sym_abstract] = ACTIONS(3152),
    [anon_sym_interface] = ACTIONS(3152),
    [anon_sym_enum] = ACTIONS(3152),
    [sym_html_comment] = ACTIONS(5),
  },
  [1559] = {
    [sym_comment] = STATE(1559),
    [ts_builtin_sym_end] = ACTIONS(3574),
    [sym_identifier] = ACTIONS(3150),
    [anon_sym_export] = ACTIONS(3150),
    [anon_sym_type] = ACTIONS(3150),
    [anon_sym_namespace] = ACTIONS(3150),
    [anon_sym_LBRACE] = ACTIONS(3150),
    [anon_sym_RBRACE] = ACTIONS(3150),
    [anon_sym_typeof] = ACTIONS(3150),
    [anon_sym_import] = ACTIONS(3150),
    [anon_sym_with] = ACTIONS(3150),
    [anon_sym_var] = ACTIONS(3150),
    [anon_sym_let] = ACTIONS(3150),
    [anon_sym_const] = ACTIONS(3150),
    [anon_sym_BANG] = ACTIONS(3150),
    [anon_sym_if] = ACTIONS(3150),
    [anon_sym_switch] = ACTIONS(3150),
    [anon_sym_for] = ACTIONS(3150),
    [anon_sym_LPAREN] = ACTIONS(3150),
    [anon_sym_await] = ACTIONS(3150),
    [anon_sym_while] = ACTIONS(3150),
    [anon_sym_do] = ACTIONS(3150),
    [anon_sym_try] = ACTIONS(3150),
    [anon_sym_break] = ACTIONS(3150),
    [anon_sym_continue] = ACTIONS(3150),
    [anon_sym_debugger] = ACTIONS(3150),
    [anon_sym_return] = ACTIONS(3150),
    [anon_sym_throw] = ACTIONS(3150),
    [anon_sym_SEMI] = ACTIONS(3150),
    [anon_sym_yield] = ACTIONS(3150),
    [anon_sym_LBRACK] = ACTIONS(3150),
    [anon_sym_LTtemplate_GT] = ACTIONS(3150),
    [anon_sym_DQUOTE] = ACTIONS(3150),
    [anon_sym_SQUOTE] = ACTIONS(3150),
    [anon_sym_class] = ACTIONS(3150),
    [anon_sym_async] = ACTIONS(3150),
    [anon_sym_function] = ACTIONS(3150),
    [anon_sym_new] = ACTIONS(3150),
    [anon_sym_using] = ACTIONS(3150),
    [anon_sym_PLUS] = ACTIONS(3150),
    [anon_sym_DASH] = ACTIONS(3150),
    [anon_sym_SLASH] = ACTIONS(3150),
    [anon_sym_LT] = ACTIONS(3150),
    [anon_sym_TILDE] = ACTIONS(3150),
    [anon_sym_void] = ACTIONS(3150),
    [anon_sym_delete] = ACTIONS(3150),
    [anon_sym_PLUS_PLUS] = ACTIONS(3150),
    [anon_sym_DASH_DASH] = ACTIONS(3150),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3150),
    [sym_number] = ACTIONS(3150),
    [sym_private_property_identifier] = ACTIONS(3150),
    [sym_this] = ACTIONS(3150),
    [sym_super] = ACTIONS(3150),
    [sym_true] = ACTIONS(3150),
    [sym_false] = ACTIONS(3150),
    [sym_null] = ACTIONS(3150),
    [sym_undefined] = ACTIONS(3150),
    [anon_sym_AT] = ACTIONS(3150),
    [anon_sym_static] = ACTIONS(3150),
    [anon_sym_readonly] = ACTIONS(3150),
    [anon_sym_get] = ACTIONS(3150),
    [anon_sym_set] = ACTIONS(3150),
    [anon_sym_declare] = ACTIONS(3150),
    [anon_sym_public] = ACTIONS(3150),
    [anon_sym_private] = ACTIONS(3150),
    [anon_sym_protected] = ACTIONS(3150),
    [anon_sym_override] = ACTIONS(3150),
    [anon_sym_module] = ACTIONS(3150),
    [anon_sym_any] = ACTIONS(3150),
    [anon_sym_number] = ACTIONS(3150),
    [anon_sym_boolean] = ACTIONS(3150),
    [anon_sym_string] = ACTIONS(3150),
    [anon_sym_symbol] = ACTIONS(3150),
    [anon_sym_object] = ACTIONS(3150),
    [anon_sym_abstract] = ACTIONS(3150),
    [anon_sym_interface] = ACTIONS(3150),
    [anon_sym_enum] = ACTIONS(3150),
    [sym_html_comment] = ACTIONS(5),
  },
  [1560] = {
    [sym_comment] = STATE(1560),
    [ts_builtin_sym_end] = ACTIONS(3576),
    [sym_identifier] = ACTIONS(3148),
    [anon_sym_export] = ACTIONS(3148),
    [anon_sym_type] = ACTIONS(3148),
    [anon_sym_namespace] = ACTIONS(3148),
    [anon_sym_LBRACE] = ACTIONS(3148),
    [anon_sym_RBRACE] = ACTIONS(3148),
    [anon_sym_typeof] = ACTIONS(3148),
    [anon_sym_import] = ACTIONS(3148),
    [anon_sym_with] = ACTIONS(3148),
    [anon_sym_var] = ACTIONS(3148),
    [anon_sym_let] = ACTIONS(3148),
    [anon_sym_const] = ACTIONS(3148),
    [anon_sym_BANG] = ACTIONS(3148),
    [anon_sym_if] = ACTIONS(3148),
    [anon_sym_switch] = ACTIONS(3148),
    [anon_sym_for] = ACTIONS(3148),
    [anon_sym_LPAREN] = ACTIONS(3148),
    [anon_sym_await] = ACTIONS(3148),
    [anon_sym_while] = ACTIONS(3148),
    [anon_sym_do] = ACTIONS(3148),
    [anon_sym_try] = ACTIONS(3148),
    [anon_sym_break] = ACTIONS(3148),
    [anon_sym_continue] = ACTIONS(3148),
    [anon_sym_debugger] = ACTIONS(3148),
    [anon_sym_return] = ACTIONS(3148),
    [anon_sym_throw] = ACTIONS(3148),
    [anon_sym_SEMI] = ACTIONS(3148),
    [anon_sym_yield] = ACTIONS(3148),
    [anon_sym_LBRACK] = ACTIONS(3148),
    [anon_sym_LTtemplate_GT] = ACTIONS(3148),
    [anon_sym_DQUOTE] = ACTIONS(3148),
    [anon_sym_SQUOTE] = ACTIONS(3148),
    [anon_sym_class] = ACTIONS(3148),
    [anon_sym_async] = ACTIONS(3148),
    [anon_sym_function] = ACTIONS(3148),
    [anon_sym_new] = ACTIONS(3148),
    [anon_sym_using] = ACTIONS(3148),
    [anon_sym_PLUS] = ACTIONS(3148),
    [anon_sym_DASH] = ACTIONS(3148),
    [anon_sym_SLASH] = ACTIONS(3148),
    [anon_sym_LT] = ACTIONS(3148),
    [anon_sym_TILDE] = ACTIONS(3148),
    [anon_sym_void] = ACTIONS(3148),
    [anon_sym_delete] = ACTIONS(3148),
    [anon_sym_PLUS_PLUS] = ACTIONS(3148),
    [anon_sym_DASH_DASH] = ACTIONS(3148),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3148),
    [sym_number] = ACTIONS(3148),
    [sym_private_property_identifier] = ACTIONS(3148),
    [sym_this] = ACTIONS(3148),
    [sym_super] = ACTIONS(3148),
    [sym_true] = ACTIONS(3148),
    [sym_false] = ACTIONS(3148),
    [sym_null] = ACTIONS(3148),
    [sym_undefined] = ACTIONS(3148),
    [anon_sym_AT] = ACTIONS(3148),
    [anon_sym_static] = ACTIONS(3148),
    [anon_sym_readonly] = ACTIONS(3148),
    [anon_sym_get] = ACTIONS(3148),
    [anon_sym_set] = ACTIONS(3148),
    [anon_sym_declare] = ACTIONS(3148),
    [anon_sym_public] = ACTIONS(3148),
    [anon_sym_private] = ACTIONS(3148),
    [anon_sym_protected] = ACTIONS(3148),
    [anon_sym_override] = ACTIONS(3148),
    [anon_sym_module] = ACTIONS(3148),
    [anon_sym_any] = ACTIONS(3148),
    [anon_sym_number] = ACTIONS(3148),
    [anon_sym_boolean] = ACTIONS(3148),
    [anon_sym_string] = ACTIONS(3148),
    [anon_sym_symbol] = ACTIONS(3148),
    [anon_sym_object] = ACTIONS(3148),
    [anon_sym_abstract] = ACTIONS(3148),
    [anon_sym_interface] = ACTIONS(3148),
    [anon_sym_enum] = ACTIONS(3148),
    [sym_html_comment] = ACTIONS(5),
  },
  [1561] = {
    [sym_comment] = STATE(1561),
    [ts_builtin_sym_end] = ACTIONS(3578),
    [sym_identifier] = ACTIONS(3146),
    [anon_sym_export] = ACTIONS(3146),
    [anon_sym_type] = ACTIONS(3146),
    [anon_sym_namespace] = ACTIONS(3146),
    [anon_sym_LBRACE] = ACTIONS(3146),
    [anon_sym_RBRACE] = ACTIONS(3146),
    [anon_sym_typeof] = ACTIONS(3146),
    [anon_sym_import] = ACTIONS(3146),
    [anon_sym_with] = ACTIONS(3146),
    [anon_sym_var] = ACTIONS(3146),
    [anon_sym_let] = ACTIONS(3146),
    [anon_sym_const] = ACTIONS(3146),
    [anon_sym_BANG] = ACTIONS(3146),
    [anon_sym_if] = ACTIONS(3146),
    [anon_sym_switch] = ACTIONS(3146),
    [anon_sym_for] = ACTIONS(3146),
    [anon_sym_LPAREN] = ACTIONS(3146),
    [anon_sym_await] = ACTIONS(3146),
    [anon_sym_while] = ACTIONS(3146),
    [anon_sym_do] = ACTIONS(3146),
    [anon_sym_try] = ACTIONS(3146),
    [anon_sym_break] = ACTIONS(3146),
    [anon_sym_continue] = ACTIONS(3146),
    [anon_sym_debugger] = ACTIONS(3146),
    [anon_sym_return] = ACTIONS(3146),
    [anon_sym_throw] = ACTIONS(3146),
    [anon_sym_SEMI] = ACTIONS(3146),
    [anon_sym_yield] = ACTIONS(3146),
    [anon_sym_LBRACK] = ACTIONS(3146),
    [anon_sym_LTtemplate_GT] = ACTIONS(3146),
    [anon_sym_DQUOTE] = ACTIONS(3146),
    [anon_sym_SQUOTE] = ACTIONS(3146),
    [anon_sym_class] = ACTIONS(3146),
    [anon_sym_async] = ACTIONS(3146),
    [anon_sym_function] = ACTIONS(3146),
    [anon_sym_new] = ACTIONS(3146),
    [anon_sym_using] = ACTIONS(3146),
    [anon_sym_PLUS] = ACTIONS(3146),
    [anon_sym_DASH] = ACTIONS(3146),
    [anon_sym_SLASH] = ACTIONS(3146),
    [anon_sym_LT] = ACTIONS(3146),
    [anon_sym_TILDE] = ACTIONS(3146),
    [anon_sym_void] = ACTIONS(3146),
    [anon_sym_delete] = ACTIONS(3146),
    [anon_sym_PLUS_PLUS] = ACTIONS(3146),
    [anon_sym_DASH_DASH] = ACTIONS(3146),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3146),
    [sym_number] = ACTIONS(3146),
    [sym_private_property_identifier] = ACTIONS(3146),
    [sym_this] = ACTIONS(3146),
    [sym_super] = ACTIONS(3146),
    [sym_true] = ACTIONS(3146),
    [sym_false] = ACTIONS(3146),
    [sym_null] = ACTIONS(3146),
    [sym_undefined] = ACTIONS(3146),
    [anon_sym_AT] = ACTIONS(3146),
    [anon_sym_static] = ACTIONS(3146),
    [anon_sym_readonly] = ACTIONS(3146),
    [anon_sym_get] = ACTIONS(3146),
    [anon_sym_set] = ACTIONS(3146),
    [anon_sym_declare] = ACTIONS(3146),
    [anon_sym_public] = ACTIONS(3146),
    [anon_sym_private] = ACTIONS(3146),
    [anon_sym_protected] = ACTIONS(3146),
    [anon_sym_override] = ACTIONS(3146),
    [anon_sym_module] = ACTIONS(3146),
    [anon_sym_any] = ACTIONS(3146),
    [anon_sym_number] = ACTIONS(3146),
    [anon_sym_boolean] = ACTIONS(3146),
    [anon_sym_string] = ACTIONS(3146),
    [anon_sym_symbol] = ACTIONS(3146),
    [anon_sym_object] = ACTIONS(3146),
    [anon_sym_abstract] = ACTIONS(3146),
    [anon_sym_interface] = ACTIONS(3146),
    [anon_sym_enum] = ACTIONS(3146),
    [sym_html_comment] = ACTIONS(5),
  },
  [1562] = {
    [sym_comment] = STATE(1562),
    [ts_builtin_sym_end] = ACTIONS(3580),
    [sym_identifier] = ACTIONS(3144),
    [anon_sym_export] = ACTIONS(3144),
    [anon_sym_type] = ACTIONS(3144),
    [anon_sym_namespace] = ACTIONS(3144),
    [anon_sym_LBRACE] = ACTIONS(3144),
    [anon_sym_RBRACE] = ACTIONS(3144),
    [anon_sym_typeof] = ACTIONS(3144),
    [anon_sym_import] = ACTIONS(3144),
    [anon_sym_with] = ACTIONS(3144),
    [anon_sym_var] = ACTIONS(3144),
    [anon_sym_let] = ACTIONS(3144),
    [anon_sym_const] = ACTIONS(3144),
    [anon_sym_BANG] = ACTIONS(3144),
    [anon_sym_if] = ACTIONS(3144),
    [anon_sym_switch] = ACTIONS(3144),
    [anon_sym_for] = ACTIONS(3144),
    [anon_sym_LPAREN] = ACTIONS(3144),
    [anon_sym_await] = ACTIONS(3144),
    [anon_sym_while] = ACTIONS(3144),
    [anon_sym_do] = ACTIONS(3144),
    [anon_sym_try] = ACTIONS(3144),
    [anon_sym_break] = ACTIONS(3144),
    [anon_sym_continue] = ACTIONS(3144),
    [anon_sym_debugger] = ACTIONS(3144),
    [anon_sym_return] = ACTIONS(3144),
    [anon_sym_throw] = ACTIONS(3144),
    [anon_sym_SEMI] = ACTIONS(3144),
    [anon_sym_yield] = ACTIONS(3144),
    [anon_sym_LBRACK] = ACTIONS(3144),
    [anon_sym_LTtemplate_GT] = ACTIONS(3144),
    [anon_sym_DQUOTE] = ACTIONS(3144),
    [anon_sym_SQUOTE] = ACTIONS(3144),
    [anon_sym_class] = ACTIONS(3144),
    [anon_sym_async] = ACTIONS(3144),
    [anon_sym_function] = ACTIONS(3144),
    [anon_sym_new] = ACTIONS(3144),
    [anon_sym_using] = ACTIONS(3144),
    [anon_sym_PLUS] = ACTIONS(3144),
    [anon_sym_DASH] = ACTIONS(3144),
    [anon_sym_SLASH] = ACTIONS(3144),
    [anon_sym_LT] = ACTIONS(3144),
    [anon_sym_TILDE] = ACTIONS(3144),
    [anon_sym_void] = ACTIONS(3144),
    [anon_sym_delete] = ACTIONS(3144),
    [anon_sym_PLUS_PLUS] = ACTIONS(3144),
    [anon_sym_DASH_DASH] = ACTIONS(3144),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3144),
    [sym_number] = ACTIONS(3144),
    [sym_private_property_identifier] = ACTIONS(3144),
    [sym_this] = ACTIONS(3144),
    [sym_super] = ACTIONS(3144),
    [sym_true] = ACTIONS(3144),
    [sym_false] = ACTIONS(3144),
    [sym_null] = ACTIONS(3144),
    [sym_undefined] = ACTIONS(3144),
    [anon_sym_AT] = ACTIONS(3144),
    [anon_sym_static] = ACTIONS(3144),
    [anon_sym_readonly] = ACTIONS(3144),
    [anon_sym_get] = ACTIONS(3144),
    [anon_sym_set] = ACTIONS(3144),
    [anon_sym_declare] = ACTIONS(3144),
    [anon_sym_public] = ACTIONS(3144),
    [anon_sym_private] = ACTIONS(3144),
    [anon_sym_protected] = ACTIONS(3144),
    [anon_sym_override] = ACTIONS(3144),
    [anon_sym_module] = ACTIONS(3144),
    [anon_sym_any] = ACTIONS(3144),
    [anon_sym_number] = ACTIONS(3144),
    [anon_sym_boolean] = ACTIONS(3144),
    [anon_sym_string] = ACTIONS(3144),
    [anon_sym_symbol] = ACTIONS(3144),
    [anon_sym_object] = ACTIONS(3144),
    [anon_sym_abstract] = ACTIONS(3144),
    [anon_sym_interface] = ACTIONS(3144),
    [anon_sym_enum] = ACTIONS(3144),
    [sym_html_comment] = ACTIONS(5),
  },
  [1563] = {
    [sym_comment] = STATE(1563),
    [ts_builtin_sym_end] = ACTIONS(3582),
    [sym_identifier] = ACTIONS(3142),
    [anon_sym_export] = ACTIONS(3142),
    [anon_sym_type] = ACTIONS(3142),
    [anon_sym_namespace] = ACTIONS(3142),
    [anon_sym_LBRACE] = ACTIONS(3142),
    [anon_sym_RBRACE] = ACTIONS(3142),
    [anon_sym_typeof] = ACTIONS(3142),
    [anon_sym_import] = ACTIONS(3142),
    [anon_sym_with] = ACTIONS(3142),
    [anon_sym_var] = ACTIONS(3142),
    [anon_sym_let] = ACTIONS(3142),
    [anon_sym_const] = ACTIONS(3142),
    [anon_sym_BANG] = ACTIONS(3142),
    [anon_sym_if] = ACTIONS(3142),
    [anon_sym_switch] = ACTIONS(3142),
    [anon_sym_for] = ACTIONS(3142),
    [anon_sym_LPAREN] = ACTIONS(3142),
    [anon_sym_await] = ACTIONS(3142),
    [anon_sym_while] = ACTIONS(3142),
    [anon_sym_do] = ACTIONS(3142),
    [anon_sym_try] = ACTIONS(3142),
    [anon_sym_break] = ACTIONS(3142),
    [anon_sym_continue] = ACTIONS(3142),
    [anon_sym_debugger] = ACTIONS(3142),
    [anon_sym_return] = ACTIONS(3142),
    [anon_sym_throw] = ACTIONS(3142),
    [anon_sym_SEMI] = ACTIONS(3142),
    [anon_sym_yield] = ACTIONS(3142),
    [anon_sym_LBRACK] = ACTIONS(3142),
    [anon_sym_LTtemplate_GT] = ACTIONS(3142),
    [anon_sym_DQUOTE] = ACTIONS(3142),
    [anon_sym_SQUOTE] = ACTIONS(3142),
    [anon_sym_class] = ACTIONS(3142),
    [anon_sym_async] = ACTIONS(3142),
    [anon_sym_function] = ACTIONS(3142),
    [anon_sym_new] = ACTIONS(3142),
    [anon_sym_using] = ACTIONS(3142),
    [anon_sym_PLUS] = ACTIONS(3142),
    [anon_sym_DASH] = ACTIONS(3142),
    [anon_sym_SLASH] = ACTIONS(3142),
    [anon_sym_LT] = ACTIONS(3142),
    [anon_sym_TILDE] = ACTIONS(3142),
    [anon_sym_void] = ACTIONS(3142),
    [anon_sym_delete] = ACTIONS(3142),
    [anon_sym_PLUS_PLUS] = ACTIONS(3142),
    [anon_sym_DASH_DASH] = ACTIONS(3142),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3142),
    [sym_number] = ACTIONS(3142),
    [sym_private_property_identifier] = ACTIONS(3142),
    [sym_this] = ACTIONS(3142),
    [sym_super] = ACTIONS(3142),
    [sym_true] = ACTIONS(3142),
    [sym_false] = ACTIONS(3142),
    [sym_null] = ACTIONS(3142),
    [sym_undefined] = ACTIONS(3142),
    [anon_sym_AT] = ACTIONS(3142),
    [anon_sym_static] = ACTIONS(3142),
    [anon_sym_readonly] = ACTIONS(3142),
    [anon_sym_get] = ACTIONS(3142),
    [anon_sym_set] = ACTIONS(3142),
    [anon_sym_declare] = ACTIONS(3142),
    [anon_sym_public] = ACTIONS(3142),
    [anon_sym_private] = ACTIONS(3142),
    [anon_sym_protected] = ACTIONS(3142),
    [anon_sym_override] = ACTIONS(3142),
    [anon_sym_module] = ACTIONS(3142),
    [anon_sym_any] = ACTIONS(3142),
    [anon_sym_number] = ACTIONS(3142),
    [anon_sym_boolean] = ACTIONS(3142),
    [anon_sym_string] = ACTIONS(3142),
    [anon_sym_symbol] = ACTIONS(3142),
    [anon_sym_object] = ACTIONS(3142),
    [anon_sym_abstract] = ACTIONS(3142),
    [anon_sym_interface] = ACTIONS(3142),
    [anon_sym_enum] = ACTIONS(3142),
    [sym_html_comment] = ACTIONS(5),
  },
  [1564] = {
    [sym_comment] = STATE(1564),
    [ts_builtin_sym_end] = ACTIONS(3540),
    [sym_identifier] = ACTIONS(3330),
    [anon_sym_export] = ACTIONS(3330),
    [anon_sym_type] = ACTIONS(3330),
    [anon_sym_namespace] = ACTIONS(3330),
    [anon_sym_LBRACE] = ACTIONS(3330),
    [anon_sym_RBRACE] = ACTIONS(3330),
    [anon_sym_typeof] = ACTIONS(3330),
    [anon_sym_import] = ACTIONS(3330),
    [anon_sym_with] = ACTIONS(3330),
    [anon_sym_var] = ACTIONS(3330),
    [anon_sym_let] = ACTIONS(3330),
    [anon_sym_const] = ACTIONS(3330),
    [anon_sym_BANG] = ACTIONS(3330),
    [anon_sym_if] = ACTIONS(3330),
    [anon_sym_switch] = ACTIONS(3330),
    [anon_sym_for] = ACTIONS(3330),
    [anon_sym_LPAREN] = ACTIONS(3330),
    [anon_sym_await] = ACTIONS(3330),
    [anon_sym_while] = ACTIONS(3330),
    [anon_sym_do] = ACTIONS(3330),
    [anon_sym_try] = ACTIONS(3330),
    [anon_sym_break] = ACTIONS(3330),
    [anon_sym_continue] = ACTIONS(3330),
    [anon_sym_debugger] = ACTIONS(3330),
    [anon_sym_return] = ACTIONS(3330),
    [anon_sym_throw] = ACTIONS(3330),
    [anon_sym_SEMI] = ACTIONS(3330),
    [anon_sym_yield] = ACTIONS(3330),
    [anon_sym_LBRACK] = ACTIONS(3330),
    [anon_sym_LTtemplate_GT] = ACTIONS(3330),
    [anon_sym_DQUOTE] = ACTIONS(3330),
    [anon_sym_SQUOTE] = ACTIONS(3330),
    [anon_sym_class] = ACTIONS(3330),
    [anon_sym_async] = ACTIONS(3330),
    [anon_sym_function] = ACTIONS(3330),
    [anon_sym_new] = ACTIONS(3330),
    [anon_sym_using] = ACTIONS(3330),
    [anon_sym_PLUS] = ACTIONS(3330),
    [anon_sym_DASH] = ACTIONS(3330),
    [anon_sym_SLASH] = ACTIONS(3330),
    [anon_sym_LT] = ACTIONS(3330),
    [anon_sym_TILDE] = ACTIONS(3330),
    [anon_sym_void] = ACTIONS(3330),
    [anon_sym_delete] = ACTIONS(3330),
    [anon_sym_PLUS_PLUS] = ACTIONS(3330),
    [anon_sym_DASH_DASH] = ACTIONS(3330),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3330),
    [sym_number] = ACTIONS(3330),
    [sym_private_property_identifier] = ACTIONS(3330),
    [sym_this] = ACTIONS(3330),
    [sym_super] = ACTIONS(3330),
    [sym_true] = ACTIONS(3330),
    [sym_false] = ACTIONS(3330),
    [sym_null] = ACTIONS(3330),
    [sym_undefined] = ACTIONS(3330),
    [anon_sym_AT] = ACTIONS(3330),
    [anon_sym_static] = ACTIONS(3330),
    [anon_sym_readonly] = ACTIONS(3330),
    [anon_sym_get] = ACTIONS(3330),
    [anon_sym_set] = ACTIONS(3330),
    [anon_sym_declare] = ACTIONS(3330),
    [anon_sym_public] = ACTIONS(3330),
    [anon_sym_private] = ACTIONS(3330),
    [anon_sym_protected] = ACTIONS(3330),
    [anon_sym_override] = ACTIONS(3330),
    [anon_sym_module] = ACTIONS(3330),
    [anon_sym_any] = ACTIONS(3330),
    [anon_sym_number] = ACTIONS(3330),
    [anon_sym_boolean] = ACTIONS(3330),
    [anon_sym_string] = ACTIONS(3330),
    [anon_sym_symbol] = ACTIONS(3330),
    [anon_sym_object] = ACTIONS(3330),
    [anon_sym_abstract] = ACTIONS(3330),
    [anon_sym_interface] = ACTIONS(3330),
    [anon_sym_enum] = ACTIONS(3330),
    [sym_html_comment] = ACTIONS(5),
  },
  [1565] = {
    [sym_comment] = STATE(1565),
    [ts_builtin_sym_end] = ACTIONS(3540),
    [sym_identifier] = ACTIONS(3330),
    [anon_sym_export] = ACTIONS(3330),
    [anon_sym_type] = ACTIONS(3330),
    [anon_sym_namespace] = ACTIONS(3330),
    [anon_sym_LBRACE] = ACTIONS(3330),
    [anon_sym_RBRACE] = ACTIONS(3330),
    [anon_sym_typeof] = ACTIONS(3330),
    [anon_sym_import] = ACTIONS(3330),
    [anon_sym_with] = ACTIONS(3330),
    [anon_sym_var] = ACTIONS(3330),
    [anon_sym_let] = ACTIONS(3330),
    [anon_sym_const] = ACTIONS(3330),
    [anon_sym_BANG] = ACTIONS(3330),
    [anon_sym_if] = ACTIONS(3330),
    [anon_sym_switch] = ACTIONS(3330),
    [anon_sym_for] = ACTIONS(3330),
    [anon_sym_LPAREN] = ACTIONS(3330),
    [anon_sym_await] = ACTIONS(3330),
    [anon_sym_while] = ACTIONS(3330),
    [anon_sym_do] = ACTIONS(3330),
    [anon_sym_try] = ACTIONS(3330),
    [anon_sym_break] = ACTIONS(3330),
    [anon_sym_continue] = ACTIONS(3330),
    [anon_sym_debugger] = ACTIONS(3330),
    [anon_sym_return] = ACTIONS(3330),
    [anon_sym_throw] = ACTIONS(3330),
    [anon_sym_SEMI] = ACTIONS(3330),
    [anon_sym_yield] = ACTIONS(3330),
    [anon_sym_LBRACK] = ACTIONS(3330),
    [anon_sym_LTtemplate_GT] = ACTIONS(3330),
    [anon_sym_DQUOTE] = ACTIONS(3330),
    [anon_sym_SQUOTE] = ACTIONS(3330),
    [anon_sym_class] = ACTIONS(3330),
    [anon_sym_async] = ACTIONS(3330),
    [anon_sym_function] = ACTIONS(3330),
    [anon_sym_new] = ACTIONS(3330),
    [anon_sym_using] = ACTIONS(3330),
    [anon_sym_PLUS] = ACTIONS(3330),
    [anon_sym_DASH] = ACTIONS(3330),
    [anon_sym_SLASH] = ACTIONS(3330),
    [anon_sym_LT] = ACTIONS(3330),
    [anon_sym_TILDE] = ACTIONS(3330),
    [anon_sym_void] = ACTIONS(3330),
    [anon_sym_delete] = ACTIONS(3330),
    [anon_sym_PLUS_PLUS] = ACTIONS(3330),
    [anon_sym_DASH_DASH] = ACTIONS(3330),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3330),
    [sym_number] = ACTIONS(3330),
    [sym_private_property_identifier] = ACTIONS(3330),
    [sym_this] = ACTIONS(3330),
    [sym_super] = ACTIONS(3330),
    [sym_true] = ACTIONS(3330),
    [sym_false] = ACTIONS(3330),
    [sym_null] = ACTIONS(3330),
    [sym_undefined] = ACTIONS(3330),
    [anon_sym_AT] = ACTIONS(3330),
    [anon_sym_static] = ACTIONS(3330),
    [anon_sym_readonly] = ACTIONS(3330),
    [anon_sym_get] = ACTIONS(3330),
    [anon_sym_set] = ACTIONS(3330),
    [anon_sym_declare] = ACTIONS(3330),
    [anon_sym_public] = ACTIONS(3330),
    [anon_sym_private] = ACTIONS(3330),
    [anon_sym_protected] = ACTIONS(3330),
    [anon_sym_override] = ACTIONS(3330),
    [anon_sym_module] = ACTIONS(3330),
    [anon_sym_any] = ACTIONS(3330),
    [anon_sym_number] = ACTIONS(3330),
    [anon_sym_boolean] = ACTIONS(3330),
    [anon_sym_string] = ACTIONS(3330),
    [anon_sym_symbol] = ACTIONS(3330),
    [anon_sym_object] = ACTIONS(3330),
    [anon_sym_abstract] = ACTIONS(3330),
    [anon_sym_interface] = ACTIONS(3330),
    [anon_sym_enum] = ACTIONS(3330),
    [sym_html_comment] = ACTIONS(5),
  },
  [1566] = {
    [sym_comment] = STATE(1566),
    [ts_builtin_sym_end] = ACTIONS(3428),
    [sym_identifier] = ACTIONS(3262),
    [anon_sym_export] = ACTIONS(3262),
    [anon_sym_type] = ACTIONS(3262),
    [anon_sym_namespace] = ACTIONS(3262),
    [anon_sym_LBRACE] = ACTIONS(3262),
    [anon_sym_RBRACE] = ACTIONS(3262),
    [anon_sym_typeof] = ACTIONS(3262),
    [anon_sym_import] = ACTIONS(3262),
    [anon_sym_with] = ACTIONS(3262),
    [anon_sym_var] = ACTIONS(3262),
    [anon_sym_let] = ACTIONS(3262),
    [anon_sym_const] = ACTIONS(3262),
    [anon_sym_BANG] = ACTIONS(3262),
    [anon_sym_if] = ACTIONS(3262),
    [anon_sym_switch] = ACTIONS(3262),
    [anon_sym_for] = ACTIONS(3262),
    [anon_sym_LPAREN] = ACTIONS(3262),
    [anon_sym_await] = ACTIONS(3262),
    [anon_sym_while] = ACTIONS(3262),
    [anon_sym_do] = ACTIONS(3262),
    [anon_sym_try] = ACTIONS(3262),
    [anon_sym_break] = ACTIONS(3262),
    [anon_sym_continue] = ACTIONS(3262),
    [anon_sym_debugger] = ACTIONS(3262),
    [anon_sym_return] = ACTIONS(3262),
    [anon_sym_throw] = ACTIONS(3262),
    [anon_sym_SEMI] = ACTIONS(3262),
    [anon_sym_yield] = ACTIONS(3262),
    [anon_sym_LBRACK] = ACTIONS(3262),
    [anon_sym_LTtemplate_GT] = ACTIONS(3262),
    [anon_sym_DQUOTE] = ACTIONS(3262),
    [anon_sym_SQUOTE] = ACTIONS(3262),
    [anon_sym_class] = ACTIONS(3262),
    [anon_sym_async] = ACTIONS(3262),
    [anon_sym_function] = ACTIONS(3262),
    [anon_sym_new] = ACTIONS(3262),
    [anon_sym_using] = ACTIONS(3262),
    [anon_sym_PLUS] = ACTIONS(3262),
    [anon_sym_DASH] = ACTIONS(3262),
    [anon_sym_SLASH] = ACTIONS(3262),
    [anon_sym_LT] = ACTIONS(3262),
    [anon_sym_TILDE] = ACTIONS(3262),
    [anon_sym_void] = ACTIONS(3262),
    [anon_sym_delete] = ACTIONS(3262),
    [anon_sym_PLUS_PLUS] = ACTIONS(3262),
    [anon_sym_DASH_DASH] = ACTIONS(3262),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3262),
    [sym_number] = ACTIONS(3262),
    [sym_private_property_identifier] = ACTIONS(3262),
    [sym_this] = ACTIONS(3262),
    [sym_super] = ACTIONS(3262),
    [sym_true] = ACTIONS(3262),
    [sym_false] = ACTIONS(3262),
    [sym_null] = ACTIONS(3262),
    [sym_undefined] = ACTIONS(3262),
    [anon_sym_AT] = ACTIONS(3262),
    [anon_sym_static] = ACTIONS(3262),
    [anon_sym_readonly] = ACTIONS(3262),
    [anon_sym_get] = ACTIONS(3262),
    [anon_sym_set] = ACTIONS(3262),
    [anon_sym_declare] = ACTIONS(3262),
    [anon_sym_public] = ACTIONS(3262),
    [anon_sym_private] = ACTIONS(3262),
    [anon_sym_protected] = ACTIONS(3262),
    [anon_sym_override] = ACTIONS(3262),
    [anon_sym_module] = ACTIONS(3262),
    [anon_sym_any] = ACTIONS(3262),
    [anon_sym_number] = ACTIONS(3262),
    [anon_sym_boolean] = ACTIONS(3262),
    [anon_sym_string] = ACTIONS(3262),
    [anon_sym_symbol] = ACTIONS(3262),
    [anon_sym_object] = ACTIONS(3262),
    [anon_sym_abstract] = ACTIONS(3262),
    [anon_sym_interface] = ACTIONS(3262),
    [anon_sym_enum] = ACTIONS(3262),
    [sym_html_comment] = ACTIONS(5),
  },
  [1567] = {
    [sym_comment] = STATE(1567),
    [ts_builtin_sym_end] = ACTIONS(3426),
    [sym_identifier] = ACTIONS(3264),
    [anon_sym_export] = ACTIONS(3264),
    [anon_sym_type] = ACTIONS(3264),
    [anon_sym_namespace] = ACTIONS(3264),
    [anon_sym_LBRACE] = ACTIONS(3264),
    [anon_sym_RBRACE] = ACTIONS(3264),
    [anon_sym_typeof] = ACTIONS(3264),
    [anon_sym_import] = ACTIONS(3264),
    [anon_sym_with] = ACTIONS(3264),
    [anon_sym_var] = ACTIONS(3264),
    [anon_sym_let] = ACTIONS(3264),
    [anon_sym_const] = ACTIONS(3264),
    [anon_sym_BANG] = ACTIONS(3264),
    [anon_sym_if] = ACTIONS(3264),
    [anon_sym_switch] = ACTIONS(3264),
    [anon_sym_for] = ACTIONS(3264),
    [anon_sym_LPAREN] = ACTIONS(3264),
    [anon_sym_await] = ACTIONS(3264),
    [anon_sym_while] = ACTIONS(3264),
    [anon_sym_do] = ACTIONS(3264),
    [anon_sym_try] = ACTIONS(3264),
    [anon_sym_break] = ACTIONS(3264),
    [anon_sym_continue] = ACTIONS(3264),
    [anon_sym_debugger] = ACTIONS(3264),
    [anon_sym_return] = ACTIONS(3264),
    [anon_sym_throw] = ACTIONS(3264),
    [anon_sym_SEMI] = ACTIONS(3264),
    [anon_sym_yield] = ACTIONS(3264),
    [anon_sym_LBRACK] = ACTIONS(3264),
    [anon_sym_LTtemplate_GT] = ACTIONS(3264),
    [anon_sym_DQUOTE] = ACTIONS(3264),
    [anon_sym_SQUOTE] = ACTIONS(3264),
    [anon_sym_class] = ACTIONS(3264),
    [anon_sym_async] = ACTIONS(3264),
    [anon_sym_function] = ACTIONS(3264),
    [anon_sym_new] = ACTIONS(3264),
    [anon_sym_using] = ACTIONS(3264),
    [anon_sym_PLUS] = ACTIONS(3264),
    [anon_sym_DASH] = ACTIONS(3264),
    [anon_sym_SLASH] = ACTIONS(3264),
    [anon_sym_LT] = ACTIONS(3264),
    [anon_sym_TILDE] = ACTIONS(3264),
    [anon_sym_void] = ACTIONS(3264),
    [anon_sym_delete] = ACTIONS(3264),
    [anon_sym_PLUS_PLUS] = ACTIONS(3264),
    [anon_sym_DASH_DASH] = ACTIONS(3264),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3264),
    [sym_number] = ACTIONS(3264),
    [sym_private_property_identifier] = ACTIONS(3264),
    [sym_this] = ACTIONS(3264),
    [sym_super] = ACTIONS(3264),
    [sym_true] = ACTIONS(3264),
    [sym_false] = ACTIONS(3264),
    [sym_null] = ACTIONS(3264),
    [sym_undefined] = ACTIONS(3264),
    [anon_sym_AT] = ACTIONS(3264),
    [anon_sym_static] = ACTIONS(3264),
    [anon_sym_readonly] = ACTIONS(3264),
    [anon_sym_get] = ACTIONS(3264),
    [anon_sym_set] = ACTIONS(3264),
    [anon_sym_declare] = ACTIONS(3264),
    [anon_sym_public] = ACTIONS(3264),
    [anon_sym_private] = ACTIONS(3264),
    [anon_sym_protected] = ACTIONS(3264),
    [anon_sym_override] = ACTIONS(3264),
    [anon_sym_module] = ACTIONS(3264),
    [anon_sym_any] = ACTIONS(3264),
    [anon_sym_number] = ACTIONS(3264),
    [anon_sym_boolean] = ACTIONS(3264),
    [anon_sym_string] = ACTIONS(3264),
    [anon_sym_symbol] = ACTIONS(3264),
    [anon_sym_object] = ACTIONS(3264),
    [anon_sym_abstract] = ACTIONS(3264),
    [anon_sym_interface] = ACTIONS(3264),
    [anon_sym_enum] = ACTIONS(3264),
    [sym_html_comment] = ACTIONS(5),
  },
  [1568] = {
    [sym_comment] = STATE(1568),
    [ts_builtin_sym_end] = ACTIONS(3424),
    [sym_identifier] = ACTIONS(3266),
    [anon_sym_export] = ACTIONS(3266),
    [anon_sym_type] = ACTIONS(3266),
    [anon_sym_namespace] = ACTIONS(3266),
    [anon_sym_LBRACE] = ACTIONS(3266),
    [anon_sym_RBRACE] = ACTIONS(3266),
    [anon_sym_typeof] = ACTIONS(3266),
    [anon_sym_import] = ACTIONS(3266),
    [anon_sym_with] = ACTIONS(3266),
    [anon_sym_var] = ACTIONS(3266),
    [anon_sym_let] = ACTIONS(3266),
    [anon_sym_const] = ACTIONS(3266),
    [anon_sym_BANG] = ACTIONS(3266),
    [anon_sym_if] = ACTIONS(3266),
    [anon_sym_switch] = ACTIONS(3266),
    [anon_sym_for] = ACTIONS(3266),
    [anon_sym_LPAREN] = ACTIONS(3266),
    [anon_sym_await] = ACTIONS(3266),
    [anon_sym_while] = ACTIONS(3266),
    [anon_sym_do] = ACTIONS(3266),
    [anon_sym_try] = ACTIONS(3266),
    [anon_sym_break] = ACTIONS(3266),
    [anon_sym_continue] = ACTIONS(3266),
    [anon_sym_debugger] = ACTIONS(3266),
    [anon_sym_return] = ACTIONS(3266),
    [anon_sym_throw] = ACTIONS(3266),
    [anon_sym_SEMI] = ACTIONS(3266),
    [anon_sym_yield] = ACTIONS(3266),
    [anon_sym_LBRACK] = ACTIONS(3266),
    [anon_sym_LTtemplate_GT] = ACTIONS(3266),
    [anon_sym_DQUOTE] = ACTIONS(3266),
    [anon_sym_SQUOTE] = ACTIONS(3266),
    [anon_sym_class] = ACTIONS(3266),
    [anon_sym_async] = ACTIONS(3266),
    [anon_sym_function] = ACTIONS(3266),
    [anon_sym_new] = ACTIONS(3266),
    [anon_sym_using] = ACTIONS(3266),
    [anon_sym_PLUS] = ACTIONS(3266),
    [anon_sym_DASH] = ACTIONS(3266),
    [anon_sym_SLASH] = ACTIONS(3266),
    [anon_sym_LT] = ACTIONS(3266),
    [anon_sym_TILDE] = ACTIONS(3266),
    [anon_sym_void] = ACTIONS(3266),
    [anon_sym_delete] = ACTIONS(3266),
    [anon_sym_PLUS_PLUS] = ACTIONS(3266),
    [anon_sym_DASH_DASH] = ACTIONS(3266),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3266),
    [sym_number] = ACTIONS(3266),
    [sym_private_property_identifier] = ACTIONS(3266),
    [sym_this] = ACTIONS(3266),
    [sym_super] = ACTIONS(3266),
    [sym_true] = ACTIONS(3266),
    [sym_false] = ACTIONS(3266),
    [sym_null] = ACTIONS(3266),
    [sym_undefined] = ACTIONS(3266),
    [anon_sym_AT] = ACTIONS(3266),
    [anon_sym_static] = ACTIONS(3266),
    [anon_sym_readonly] = ACTIONS(3266),
    [anon_sym_get] = ACTIONS(3266),
    [anon_sym_set] = ACTIONS(3266),
    [anon_sym_declare] = ACTIONS(3266),
    [anon_sym_public] = ACTIONS(3266),
    [anon_sym_private] = ACTIONS(3266),
    [anon_sym_protected] = ACTIONS(3266),
    [anon_sym_override] = ACTIONS(3266),
    [anon_sym_module] = ACTIONS(3266),
    [anon_sym_any] = ACTIONS(3266),
    [anon_sym_number] = ACTIONS(3266),
    [anon_sym_boolean] = ACTIONS(3266),
    [anon_sym_string] = ACTIONS(3266),
    [anon_sym_symbol] = ACTIONS(3266),
    [anon_sym_object] = ACTIONS(3266),
    [anon_sym_abstract] = ACTIONS(3266),
    [anon_sym_interface] = ACTIONS(3266),
    [anon_sym_enum] = ACTIONS(3266),
    [sym_html_comment] = ACTIONS(5),
  },
  [1569] = {
    [sym_comment] = STATE(1569),
    [ts_builtin_sym_end] = ACTIONS(3496),
    [sym_identifier] = ACTIONS(3230),
    [anon_sym_export] = ACTIONS(3230),
    [anon_sym_type] = ACTIONS(3230),
    [anon_sym_namespace] = ACTIONS(3230),
    [anon_sym_LBRACE] = ACTIONS(3230),
    [anon_sym_RBRACE] = ACTIONS(3230),
    [anon_sym_typeof] = ACTIONS(3230),
    [anon_sym_import] = ACTIONS(3230),
    [anon_sym_with] = ACTIONS(3230),
    [anon_sym_var] = ACTIONS(3230),
    [anon_sym_let] = ACTIONS(3230),
    [anon_sym_const] = ACTIONS(3230),
    [anon_sym_BANG] = ACTIONS(3230),
    [anon_sym_if] = ACTIONS(3230),
    [anon_sym_switch] = ACTIONS(3230),
    [anon_sym_for] = ACTIONS(3230),
    [anon_sym_LPAREN] = ACTIONS(3230),
    [anon_sym_await] = ACTIONS(3230),
    [anon_sym_while] = ACTIONS(3230),
    [anon_sym_do] = ACTIONS(3230),
    [anon_sym_try] = ACTIONS(3230),
    [anon_sym_break] = ACTIONS(3230),
    [anon_sym_continue] = ACTIONS(3230),
    [anon_sym_debugger] = ACTIONS(3230),
    [anon_sym_return] = ACTIONS(3230),
    [anon_sym_throw] = ACTIONS(3230),
    [anon_sym_SEMI] = ACTIONS(3230),
    [anon_sym_yield] = ACTIONS(3230),
    [anon_sym_LBRACK] = ACTIONS(3230),
    [anon_sym_LTtemplate_GT] = ACTIONS(3230),
    [anon_sym_DQUOTE] = ACTIONS(3230),
    [anon_sym_SQUOTE] = ACTIONS(3230),
    [anon_sym_class] = ACTIONS(3230),
    [anon_sym_async] = ACTIONS(3230),
    [anon_sym_function] = ACTIONS(3230),
    [anon_sym_new] = ACTIONS(3230),
    [anon_sym_using] = ACTIONS(3230),
    [anon_sym_PLUS] = ACTIONS(3230),
    [anon_sym_DASH] = ACTIONS(3230),
    [anon_sym_SLASH] = ACTIONS(3230),
    [anon_sym_LT] = ACTIONS(3230),
    [anon_sym_TILDE] = ACTIONS(3230),
    [anon_sym_void] = ACTIONS(3230),
    [anon_sym_delete] = ACTIONS(3230),
    [anon_sym_PLUS_PLUS] = ACTIONS(3230),
    [anon_sym_DASH_DASH] = ACTIONS(3230),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3230),
    [sym_number] = ACTIONS(3230),
    [sym_private_property_identifier] = ACTIONS(3230),
    [sym_this] = ACTIONS(3230),
    [sym_super] = ACTIONS(3230),
    [sym_true] = ACTIONS(3230),
    [sym_false] = ACTIONS(3230),
    [sym_null] = ACTIONS(3230),
    [sym_undefined] = ACTIONS(3230),
    [anon_sym_AT] = ACTIONS(3230),
    [anon_sym_static] = ACTIONS(3230),
    [anon_sym_readonly] = ACTIONS(3230),
    [anon_sym_get] = ACTIONS(3230),
    [anon_sym_set] = ACTIONS(3230),
    [anon_sym_declare] = ACTIONS(3230),
    [anon_sym_public] = ACTIONS(3230),
    [anon_sym_private] = ACTIONS(3230),
    [anon_sym_protected] = ACTIONS(3230),
    [anon_sym_override] = ACTIONS(3230),
    [anon_sym_module] = ACTIONS(3230),
    [anon_sym_any] = ACTIONS(3230),
    [anon_sym_number] = ACTIONS(3230),
    [anon_sym_boolean] = ACTIONS(3230),
    [anon_sym_string] = ACTIONS(3230),
    [anon_sym_symbol] = ACTIONS(3230),
    [anon_sym_object] = ACTIONS(3230),
    [anon_sym_abstract] = ACTIONS(3230),
    [anon_sym_interface] = ACTIONS(3230),
    [anon_sym_enum] = ACTIONS(3230),
    [sym_html_comment] = ACTIONS(5),
  },
  [1570] = {
    [sym_comment] = STATE(1570),
    [ts_builtin_sym_end] = ACTIONS(3376),
    [sym_identifier] = ACTIONS(3284),
    [anon_sym_export] = ACTIONS(3284),
    [anon_sym_type] = ACTIONS(3284),
    [anon_sym_namespace] = ACTIONS(3284),
    [anon_sym_LBRACE] = ACTIONS(3284),
    [anon_sym_RBRACE] = ACTIONS(3284),
    [anon_sym_typeof] = ACTIONS(3284),
    [anon_sym_import] = ACTIONS(3284),
    [anon_sym_with] = ACTIONS(3284),
    [anon_sym_var] = ACTIONS(3284),
    [anon_sym_let] = ACTIONS(3284),
    [anon_sym_const] = ACTIONS(3284),
    [anon_sym_BANG] = ACTIONS(3284),
    [anon_sym_if] = ACTIONS(3284),
    [anon_sym_switch] = ACTIONS(3284),
    [anon_sym_for] = ACTIONS(3284),
    [anon_sym_LPAREN] = ACTIONS(3284),
    [anon_sym_await] = ACTIONS(3284),
    [anon_sym_while] = ACTIONS(3284),
    [anon_sym_do] = ACTIONS(3284),
    [anon_sym_try] = ACTIONS(3284),
    [anon_sym_break] = ACTIONS(3284),
    [anon_sym_continue] = ACTIONS(3284),
    [anon_sym_debugger] = ACTIONS(3284),
    [anon_sym_return] = ACTIONS(3284),
    [anon_sym_throw] = ACTIONS(3284),
    [anon_sym_SEMI] = ACTIONS(3284),
    [anon_sym_yield] = ACTIONS(3284),
    [anon_sym_LBRACK] = ACTIONS(3284),
    [anon_sym_LTtemplate_GT] = ACTIONS(3284),
    [anon_sym_DQUOTE] = ACTIONS(3284),
    [anon_sym_SQUOTE] = ACTIONS(3284),
    [anon_sym_class] = ACTIONS(3284),
    [anon_sym_async] = ACTIONS(3284),
    [anon_sym_function] = ACTIONS(3284),
    [anon_sym_new] = ACTIONS(3284),
    [anon_sym_using] = ACTIONS(3284),
    [anon_sym_PLUS] = ACTIONS(3284),
    [anon_sym_DASH] = ACTIONS(3284),
    [anon_sym_SLASH] = ACTIONS(3284),
    [anon_sym_LT] = ACTIONS(3284),
    [anon_sym_TILDE] = ACTIONS(3284),
    [anon_sym_void] = ACTIONS(3284),
    [anon_sym_delete] = ACTIONS(3284),
    [anon_sym_PLUS_PLUS] = ACTIONS(3284),
    [anon_sym_DASH_DASH] = ACTIONS(3284),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3284),
    [sym_number] = ACTIONS(3284),
    [sym_private_property_identifier] = ACTIONS(3284),
    [sym_this] = ACTIONS(3284),
    [sym_super] = ACTIONS(3284),
    [sym_true] = ACTIONS(3284),
    [sym_false] = ACTIONS(3284),
    [sym_null] = ACTIONS(3284),
    [sym_undefined] = ACTIONS(3284),
    [anon_sym_AT] = ACTIONS(3284),
    [anon_sym_static] = ACTIONS(3284),
    [anon_sym_readonly] = ACTIONS(3284),
    [anon_sym_get] = ACTIONS(3284),
    [anon_sym_set] = ACTIONS(3284),
    [anon_sym_declare] = ACTIONS(3284),
    [anon_sym_public] = ACTIONS(3284),
    [anon_sym_private] = ACTIONS(3284),
    [anon_sym_protected] = ACTIONS(3284),
    [anon_sym_override] = ACTIONS(3284),
    [anon_sym_module] = ACTIONS(3284),
    [anon_sym_any] = ACTIONS(3284),
    [anon_sym_number] = ACTIONS(3284),
    [anon_sym_boolean] = ACTIONS(3284),
    [anon_sym_string] = ACTIONS(3284),
    [anon_sym_symbol] = ACTIONS(3284),
    [anon_sym_object] = ACTIONS(3284),
    [anon_sym_abstract] = ACTIONS(3284),
    [anon_sym_interface] = ACTIONS(3284),
    [anon_sym_enum] = ACTIONS(3284),
    [sym_html_comment] = ACTIONS(5),
  },
  [1571] = {
    [sym_comment] = STATE(1571),
    [ts_builtin_sym_end] = ACTIONS(2201),
    [sym_identifier] = ACTIONS(2199),
    [anon_sym_export] = ACTIONS(2199),
    [anon_sym_type] = ACTIONS(2199),
    [anon_sym_namespace] = ACTIONS(2199),
    [anon_sym_LBRACE] = ACTIONS(2199),
    [anon_sym_RBRACE] = ACTIONS(2199),
    [anon_sym_typeof] = ACTIONS(2199),
    [anon_sym_import] = ACTIONS(2199),
    [anon_sym_with] = ACTIONS(2199),
    [anon_sym_var] = ACTIONS(2199),
    [anon_sym_let] = ACTIONS(2199),
    [anon_sym_const] = ACTIONS(2199),
    [anon_sym_BANG] = ACTIONS(2199),
    [anon_sym_if] = ACTIONS(2199),
    [anon_sym_switch] = ACTIONS(2199),
    [anon_sym_for] = ACTIONS(2199),
    [anon_sym_LPAREN] = ACTIONS(2199),
    [anon_sym_await] = ACTIONS(2199),
    [anon_sym_while] = ACTIONS(2199),
    [anon_sym_do] = ACTIONS(2199),
    [anon_sym_try] = ACTIONS(2199),
    [anon_sym_break] = ACTIONS(2199),
    [anon_sym_continue] = ACTIONS(2199),
    [anon_sym_debugger] = ACTIONS(2199),
    [anon_sym_return] = ACTIONS(2199),
    [anon_sym_throw] = ACTIONS(2199),
    [anon_sym_SEMI] = ACTIONS(2199),
    [anon_sym_yield] = ACTIONS(2199),
    [anon_sym_LBRACK] = ACTIONS(2199),
    [anon_sym_LTtemplate_GT] = ACTIONS(2199),
    [anon_sym_DQUOTE] = ACTIONS(2199),
    [anon_sym_SQUOTE] = ACTIONS(2199),
    [anon_sym_class] = ACTIONS(2199),
    [anon_sym_async] = ACTIONS(2199),
    [anon_sym_function] = ACTIONS(2199),
    [anon_sym_new] = ACTIONS(2199),
    [anon_sym_using] = ACTIONS(2199),
    [anon_sym_PLUS] = ACTIONS(2199),
    [anon_sym_DASH] = ACTIONS(2199),
    [anon_sym_SLASH] = ACTIONS(2199),
    [anon_sym_LT] = ACTIONS(2199),
    [anon_sym_TILDE] = ACTIONS(2199),
    [anon_sym_void] = ACTIONS(2199),
    [anon_sym_delete] = ACTIONS(2199),
    [anon_sym_PLUS_PLUS] = ACTIONS(2199),
    [anon_sym_DASH_DASH] = ACTIONS(2199),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2199),
    [sym_number] = ACTIONS(2199),
    [sym_private_property_identifier] = ACTIONS(2199),
    [sym_this] = ACTIONS(2199),
    [sym_super] = ACTIONS(2199),
    [sym_true] = ACTIONS(2199),
    [sym_false] = ACTIONS(2199),
    [sym_null] = ACTIONS(2199),
    [sym_undefined] = ACTIONS(2199),
    [anon_sym_AT] = ACTIONS(2199),
    [anon_sym_static] = ACTIONS(2199),
    [anon_sym_readonly] = ACTIONS(2199),
    [anon_sym_get] = ACTIONS(2199),
    [anon_sym_set] = ACTIONS(2199),
    [anon_sym_declare] = ACTIONS(2199),
    [anon_sym_public] = ACTIONS(2199),
    [anon_sym_private] = ACTIONS(2199),
    [anon_sym_protected] = ACTIONS(2199),
    [anon_sym_override] = ACTIONS(2199),
    [anon_sym_module] = ACTIONS(2199),
    [anon_sym_any] = ACTIONS(2199),
    [anon_sym_number] = ACTIONS(2199),
    [anon_sym_boolean] = ACTIONS(2199),
    [anon_sym_string] = ACTIONS(2199),
    [anon_sym_symbol] = ACTIONS(2199),
    [anon_sym_object] = ACTIONS(2199),
    [anon_sym_abstract] = ACTIONS(2199),
    [anon_sym_interface] = ACTIONS(2199),
    [anon_sym_enum] = ACTIONS(2199),
    [sym_html_comment] = ACTIONS(5),
  },
  [1572] = {
    [sym_comment] = STATE(1572),
    [ts_builtin_sym_end] = ACTIONS(3584),
    [sym_identifier] = ACTIONS(3372),
    [anon_sym_export] = ACTIONS(3372),
    [anon_sym_type] = ACTIONS(3372),
    [anon_sym_namespace] = ACTIONS(3372),
    [anon_sym_LBRACE] = ACTIONS(3372),
    [anon_sym_RBRACE] = ACTIONS(3372),
    [anon_sym_typeof] = ACTIONS(3372),
    [anon_sym_import] = ACTIONS(3372),
    [anon_sym_with] = ACTIONS(3372),
    [anon_sym_var] = ACTIONS(3372),
    [anon_sym_let] = ACTIONS(3372),
    [anon_sym_const] = ACTIONS(3372),
    [anon_sym_BANG] = ACTIONS(3372),
    [anon_sym_if] = ACTIONS(3372),
    [anon_sym_switch] = ACTIONS(3372),
    [anon_sym_for] = ACTIONS(3372),
    [anon_sym_LPAREN] = ACTIONS(3372),
    [anon_sym_await] = ACTIONS(3372),
    [anon_sym_while] = ACTIONS(3372),
    [anon_sym_do] = ACTIONS(3372),
    [anon_sym_try] = ACTIONS(3372),
    [anon_sym_break] = ACTIONS(3372),
    [anon_sym_continue] = ACTIONS(3372),
    [anon_sym_debugger] = ACTIONS(3372),
    [anon_sym_return] = ACTIONS(3372),
    [anon_sym_throw] = ACTIONS(3372),
    [anon_sym_SEMI] = ACTIONS(3372),
    [anon_sym_yield] = ACTIONS(3372),
    [anon_sym_LBRACK] = ACTIONS(3372),
    [anon_sym_LTtemplate_GT] = ACTIONS(3372),
    [anon_sym_DQUOTE] = ACTIONS(3372),
    [anon_sym_SQUOTE] = ACTIONS(3372),
    [anon_sym_class] = ACTIONS(3372),
    [anon_sym_async] = ACTIONS(3372),
    [anon_sym_function] = ACTIONS(3372),
    [anon_sym_new] = ACTIONS(3372),
    [anon_sym_using] = ACTIONS(3372),
    [anon_sym_PLUS] = ACTIONS(3372),
    [anon_sym_DASH] = ACTIONS(3372),
    [anon_sym_SLASH] = ACTIONS(3372),
    [anon_sym_LT] = ACTIONS(3372),
    [anon_sym_TILDE] = ACTIONS(3372),
    [anon_sym_void] = ACTIONS(3372),
    [anon_sym_delete] = ACTIONS(3372),
    [anon_sym_PLUS_PLUS] = ACTIONS(3372),
    [anon_sym_DASH_DASH] = ACTIONS(3372),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3372),
    [sym_number] = ACTIONS(3372),
    [sym_private_property_identifier] = ACTIONS(3372),
    [sym_this] = ACTIONS(3372),
    [sym_super] = ACTIONS(3372),
    [sym_true] = ACTIONS(3372),
    [sym_false] = ACTIONS(3372),
    [sym_null] = ACTIONS(3372),
    [sym_undefined] = ACTIONS(3372),
    [anon_sym_AT] = ACTIONS(3372),
    [anon_sym_static] = ACTIONS(3372),
    [anon_sym_readonly] = ACTIONS(3372),
    [anon_sym_get] = ACTIONS(3372),
    [anon_sym_set] = ACTIONS(3372),
    [anon_sym_declare] = ACTIONS(3372),
    [anon_sym_public] = ACTIONS(3372),
    [anon_sym_private] = ACTIONS(3372),
    [anon_sym_protected] = ACTIONS(3372),
    [anon_sym_override] = ACTIONS(3372),
    [anon_sym_module] = ACTIONS(3372),
    [anon_sym_any] = ACTIONS(3372),
    [anon_sym_number] = ACTIONS(3372),
    [anon_sym_boolean] = ACTIONS(3372),
    [anon_sym_string] = ACTIONS(3372),
    [anon_sym_symbol] = ACTIONS(3372),
    [anon_sym_object] = ACTIONS(3372),
    [anon_sym_abstract] = ACTIONS(3372),
    [anon_sym_interface] = ACTIONS(3372),
    [anon_sym_enum] = ACTIONS(3372),
    [sym_html_comment] = ACTIONS(5),
  },
  [1573] = {
    [sym_comment] = STATE(1573),
    [ts_builtin_sym_end] = ACTIONS(2387),
    [sym_identifier] = ACTIONS(2167),
    [anon_sym_export] = ACTIONS(2167),
    [anon_sym_type] = ACTIONS(2167),
    [anon_sym_namespace] = ACTIONS(2167),
    [anon_sym_LBRACE] = ACTIONS(2167),
    [anon_sym_RBRACE] = ACTIONS(2167),
    [anon_sym_typeof] = ACTIONS(2167),
    [anon_sym_import] = ACTIONS(2167),
    [anon_sym_with] = ACTIONS(2167),
    [anon_sym_var] = ACTIONS(2167),
    [anon_sym_let] = ACTIONS(2167),
    [anon_sym_const] = ACTIONS(2167),
    [anon_sym_BANG] = ACTIONS(2167),
    [anon_sym_if] = ACTIONS(2167),
    [anon_sym_switch] = ACTIONS(2167),
    [anon_sym_for] = ACTIONS(2167),
    [anon_sym_LPAREN] = ACTIONS(2167),
    [anon_sym_await] = ACTIONS(2167),
    [anon_sym_while] = ACTIONS(2167),
    [anon_sym_do] = ACTIONS(2167),
    [anon_sym_try] = ACTIONS(2167),
    [anon_sym_break] = ACTIONS(2167),
    [anon_sym_continue] = ACTIONS(2167),
    [anon_sym_debugger] = ACTIONS(2167),
    [anon_sym_return] = ACTIONS(2167),
    [anon_sym_throw] = ACTIONS(2167),
    [anon_sym_SEMI] = ACTIONS(2167),
    [anon_sym_yield] = ACTIONS(2167),
    [anon_sym_LBRACK] = ACTIONS(2167),
    [anon_sym_LTtemplate_GT] = ACTIONS(2167),
    [anon_sym_DQUOTE] = ACTIONS(2167),
    [anon_sym_SQUOTE] = ACTIONS(2167),
    [anon_sym_class] = ACTIONS(2167),
    [anon_sym_async] = ACTIONS(2167),
    [anon_sym_function] = ACTIONS(2167),
    [anon_sym_new] = ACTIONS(2167),
    [anon_sym_using] = ACTIONS(2167),
    [anon_sym_PLUS] = ACTIONS(2167),
    [anon_sym_DASH] = ACTIONS(2167),
    [anon_sym_SLASH] = ACTIONS(2167),
    [anon_sym_LT] = ACTIONS(2167),
    [anon_sym_TILDE] = ACTIONS(2167),
    [anon_sym_void] = ACTIONS(2167),
    [anon_sym_delete] = ACTIONS(2167),
    [anon_sym_PLUS_PLUS] = ACTIONS(2167),
    [anon_sym_DASH_DASH] = ACTIONS(2167),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2167),
    [sym_number] = ACTIONS(2167),
    [sym_private_property_identifier] = ACTIONS(2167),
    [sym_this] = ACTIONS(2167),
    [sym_super] = ACTIONS(2167),
    [sym_true] = ACTIONS(2167),
    [sym_false] = ACTIONS(2167),
    [sym_null] = ACTIONS(2167),
    [sym_undefined] = ACTIONS(2167),
    [anon_sym_AT] = ACTIONS(2167),
    [anon_sym_static] = ACTIONS(2167),
    [anon_sym_readonly] = ACTIONS(2167),
    [anon_sym_get] = ACTIONS(2167),
    [anon_sym_set] = ACTIONS(2167),
    [anon_sym_declare] = ACTIONS(2167),
    [anon_sym_public] = ACTIONS(2167),
    [anon_sym_private] = ACTIONS(2167),
    [anon_sym_protected] = ACTIONS(2167),
    [anon_sym_override] = ACTIONS(2167),
    [anon_sym_module] = ACTIONS(2167),
    [anon_sym_any] = ACTIONS(2167),
    [anon_sym_number] = ACTIONS(2167),
    [anon_sym_boolean] = ACTIONS(2167),
    [anon_sym_string] = ACTIONS(2167),
    [anon_sym_symbol] = ACTIONS(2167),
    [anon_sym_object] = ACTIONS(2167),
    [anon_sym_abstract] = ACTIONS(2167),
    [anon_sym_interface] = ACTIONS(2167),
    [anon_sym_enum] = ACTIONS(2167),
    [sym_html_comment] = ACTIONS(5),
  },
  [1574] = {
    [sym_comment] = STATE(1574),
    [ts_builtin_sym_end] = ACTIONS(3378),
    [sym_identifier] = ACTIONS(3282),
    [anon_sym_export] = ACTIONS(3282),
    [anon_sym_type] = ACTIONS(3282),
    [anon_sym_namespace] = ACTIONS(3282),
    [anon_sym_LBRACE] = ACTIONS(3282),
    [anon_sym_RBRACE] = ACTIONS(3282),
    [anon_sym_typeof] = ACTIONS(3282),
    [anon_sym_import] = ACTIONS(3282),
    [anon_sym_with] = ACTIONS(3282),
    [anon_sym_var] = ACTIONS(3282),
    [anon_sym_let] = ACTIONS(3282),
    [anon_sym_const] = ACTIONS(3282),
    [anon_sym_BANG] = ACTIONS(3282),
    [anon_sym_if] = ACTIONS(3282),
    [anon_sym_switch] = ACTIONS(3282),
    [anon_sym_for] = ACTIONS(3282),
    [anon_sym_LPAREN] = ACTIONS(3282),
    [anon_sym_await] = ACTIONS(3282),
    [anon_sym_while] = ACTIONS(3282),
    [anon_sym_do] = ACTIONS(3282),
    [anon_sym_try] = ACTIONS(3282),
    [anon_sym_break] = ACTIONS(3282),
    [anon_sym_continue] = ACTIONS(3282),
    [anon_sym_debugger] = ACTIONS(3282),
    [anon_sym_return] = ACTIONS(3282),
    [anon_sym_throw] = ACTIONS(3282),
    [anon_sym_SEMI] = ACTIONS(3282),
    [anon_sym_yield] = ACTIONS(3282),
    [anon_sym_LBRACK] = ACTIONS(3282),
    [anon_sym_LTtemplate_GT] = ACTIONS(3282),
    [anon_sym_DQUOTE] = ACTIONS(3282),
    [anon_sym_SQUOTE] = ACTIONS(3282),
    [anon_sym_class] = ACTIONS(3282),
    [anon_sym_async] = ACTIONS(3282),
    [anon_sym_function] = ACTIONS(3282),
    [anon_sym_new] = ACTIONS(3282),
    [anon_sym_using] = ACTIONS(3282),
    [anon_sym_PLUS] = ACTIONS(3282),
    [anon_sym_DASH] = ACTIONS(3282),
    [anon_sym_SLASH] = ACTIONS(3282),
    [anon_sym_LT] = ACTIONS(3282),
    [anon_sym_TILDE] = ACTIONS(3282),
    [anon_sym_void] = ACTIONS(3282),
    [anon_sym_delete] = ACTIONS(3282),
    [anon_sym_PLUS_PLUS] = ACTIONS(3282),
    [anon_sym_DASH_DASH] = ACTIONS(3282),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3282),
    [sym_number] = ACTIONS(3282),
    [sym_private_property_identifier] = ACTIONS(3282),
    [sym_this] = ACTIONS(3282),
    [sym_super] = ACTIONS(3282),
    [sym_true] = ACTIONS(3282),
    [sym_false] = ACTIONS(3282),
    [sym_null] = ACTIONS(3282),
    [sym_undefined] = ACTIONS(3282),
    [anon_sym_AT] = ACTIONS(3282),
    [anon_sym_static] = ACTIONS(3282),
    [anon_sym_readonly] = ACTIONS(3282),
    [anon_sym_get] = ACTIONS(3282),
    [anon_sym_set] = ACTIONS(3282),
    [anon_sym_declare] = ACTIONS(3282),
    [anon_sym_public] = ACTIONS(3282),
    [anon_sym_private] = ACTIONS(3282),
    [anon_sym_protected] = ACTIONS(3282),
    [anon_sym_override] = ACTIONS(3282),
    [anon_sym_module] = ACTIONS(3282),
    [anon_sym_any] = ACTIONS(3282),
    [anon_sym_number] = ACTIONS(3282),
    [anon_sym_boolean] = ACTIONS(3282),
    [anon_sym_string] = ACTIONS(3282),
    [anon_sym_symbol] = ACTIONS(3282),
    [anon_sym_object] = ACTIONS(3282),
    [anon_sym_abstract] = ACTIONS(3282),
    [anon_sym_interface] = ACTIONS(3282),
    [anon_sym_enum] = ACTIONS(3282),
    [sym_html_comment] = ACTIONS(5),
  },
  [1575] = {
    [sym_comment] = STATE(1575),
    [ts_builtin_sym_end] = ACTIONS(2387),
    [sym_identifier] = ACTIONS(2167),
    [anon_sym_export] = ACTIONS(2167),
    [anon_sym_type] = ACTIONS(2167),
    [anon_sym_namespace] = ACTIONS(2167),
    [anon_sym_LBRACE] = ACTIONS(2167),
    [anon_sym_RBRACE] = ACTIONS(2167),
    [anon_sym_typeof] = ACTIONS(2167),
    [anon_sym_import] = ACTIONS(2167),
    [anon_sym_with] = ACTIONS(2167),
    [anon_sym_var] = ACTIONS(2167),
    [anon_sym_let] = ACTIONS(2167),
    [anon_sym_const] = ACTIONS(2167),
    [anon_sym_BANG] = ACTIONS(2167),
    [anon_sym_if] = ACTIONS(2167),
    [anon_sym_switch] = ACTIONS(2167),
    [anon_sym_for] = ACTIONS(2167),
    [anon_sym_LPAREN] = ACTIONS(2167),
    [anon_sym_await] = ACTIONS(2167),
    [anon_sym_while] = ACTIONS(2167),
    [anon_sym_do] = ACTIONS(2167),
    [anon_sym_try] = ACTIONS(2167),
    [anon_sym_break] = ACTIONS(2167),
    [anon_sym_continue] = ACTIONS(2167),
    [anon_sym_debugger] = ACTIONS(2167),
    [anon_sym_return] = ACTIONS(2167),
    [anon_sym_throw] = ACTIONS(2167),
    [anon_sym_SEMI] = ACTIONS(2167),
    [anon_sym_yield] = ACTIONS(2167),
    [anon_sym_LBRACK] = ACTIONS(2167),
    [anon_sym_LTtemplate_GT] = ACTIONS(2167),
    [anon_sym_DQUOTE] = ACTIONS(2167),
    [anon_sym_SQUOTE] = ACTIONS(2167),
    [anon_sym_class] = ACTIONS(2167),
    [anon_sym_async] = ACTIONS(2167),
    [anon_sym_function] = ACTIONS(2167),
    [anon_sym_new] = ACTIONS(2167),
    [anon_sym_using] = ACTIONS(2167),
    [anon_sym_PLUS] = ACTIONS(2167),
    [anon_sym_DASH] = ACTIONS(2167),
    [anon_sym_SLASH] = ACTIONS(2167),
    [anon_sym_LT] = ACTIONS(2167),
    [anon_sym_TILDE] = ACTIONS(2167),
    [anon_sym_void] = ACTIONS(2167),
    [anon_sym_delete] = ACTIONS(2167),
    [anon_sym_PLUS_PLUS] = ACTIONS(2167),
    [anon_sym_DASH_DASH] = ACTIONS(2167),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2167),
    [sym_number] = ACTIONS(2167),
    [sym_private_property_identifier] = ACTIONS(2167),
    [sym_this] = ACTIONS(2167),
    [sym_super] = ACTIONS(2167),
    [sym_true] = ACTIONS(2167),
    [sym_false] = ACTIONS(2167),
    [sym_null] = ACTIONS(2167),
    [sym_undefined] = ACTIONS(2167),
    [anon_sym_AT] = ACTIONS(2167),
    [anon_sym_static] = ACTIONS(2167),
    [anon_sym_readonly] = ACTIONS(2167),
    [anon_sym_get] = ACTIONS(2167),
    [anon_sym_set] = ACTIONS(2167),
    [anon_sym_declare] = ACTIONS(2167),
    [anon_sym_public] = ACTIONS(2167),
    [anon_sym_private] = ACTIONS(2167),
    [anon_sym_protected] = ACTIONS(2167),
    [anon_sym_override] = ACTIONS(2167),
    [anon_sym_module] = ACTIONS(2167),
    [anon_sym_any] = ACTIONS(2167),
    [anon_sym_number] = ACTIONS(2167),
    [anon_sym_boolean] = ACTIONS(2167),
    [anon_sym_string] = ACTIONS(2167),
    [anon_sym_symbol] = ACTIONS(2167),
    [anon_sym_object] = ACTIONS(2167),
    [anon_sym_abstract] = ACTIONS(2167),
    [anon_sym_interface] = ACTIONS(2167),
    [anon_sym_enum] = ACTIONS(2167),
    [sym_html_comment] = ACTIONS(5),
  },
  [1576] = {
    [sym_comment] = STATE(1576),
    [ts_builtin_sym_end] = ACTIONS(3380),
    [sym_identifier] = ACTIONS(3222),
    [anon_sym_export] = ACTIONS(3222),
    [anon_sym_type] = ACTIONS(3222),
    [anon_sym_namespace] = ACTIONS(3222),
    [anon_sym_LBRACE] = ACTIONS(3222),
    [anon_sym_RBRACE] = ACTIONS(3222),
    [anon_sym_typeof] = ACTIONS(3222),
    [anon_sym_import] = ACTIONS(3222),
    [anon_sym_with] = ACTIONS(3222),
    [anon_sym_var] = ACTIONS(3222),
    [anon_sym_let] = ACTIONS(3222),
    [anon_sym_const] = ACTIONS(3222),
    [anon_sym_BANG] = ACTIONS(3222),
    [anon_sym_if] = ACTIONS(3222),
    [anon_sym_switch] = ACTIONS(3222),
    [anon_sym_for] = ACTIONS(3222),
    [anon_sym_LPAREN] = ACTIONS(3222),
    [anon_sym_await] = ACTIONS(3222),
    [anon_sym_while] = ACTIONS(3222),
    [anon_sym_do] = ACTIONS(3222),
    [anon_sym_try] = ACTIONS(3222),
    [anon_sym_break] = ACTIONS(3222),
    [anon_sym_continue] = ACTIONS(3222),
    [anon_sym_debugger] = ACTIONS(3222),
    [anon_sym_return] = ACTIONS(3222),
    [anon_sym_throw] = ACTIONS(3222),
    [anon_sym_SEMI] = ACTIONS(3222),
    [anon_sym_yield] = ACTIONS(3222),
    [anon_sym_LBRACK] = ACTIONS(3222),
    [anon_sym_LTtemplate_GT] = ACTIONS(3222),
    [anon_sym_DQUOTE] = ACTIONS(3222),
    [anon_sym_SQUOTE] = ACTIONS(3222),
    [anon_sym_class] = ACTIONS(3222),
    [anon_sym_async] = ACTIONS(3222),
    [anon_sym_function] = ACTIONS(3222),
    [anon_sym_new] = ACTIONS(3222),
    [anon_sym_using] = ACTIONS(3222),
    [anon_sym_PLUS] = ACTIONS(3222),
    [anon_sym_DASH] = ACTIONS(3222),
    [anon_sym_SLASH] = ACTIONS(3222),
    [anon_sym_LT] = ACTIONS(3222),
    [anon_sym_TILDE] = ACTIONS(3222),
    [anon_sym_void] = ACTIONS(3222),
    [anon_sym_delete] = ACTIONS(3222),
    [anon_sym_PLUS_PLUS] = ACTIONS(3222),
    [anon_sym_DASH_DASH] = ACTIONS(3222),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3222),
    [sym_number] = ACTIONS(3222),
    [sym_private_property_identifier] = ACTIONS(3222),
    [sym_this] = ACTIONS(3222),
    [sym_super] = ACTIONS(3222),
    [sym_true] = ACTIONS(3222),
    [sym_false] = ACTIONS(3222),
    [sym_null] = ACTIONS(3222),
    [sym_undefined] = ACTIONS(3222),
    [anon_sym_AT] = ACTIONS(3222),
    [anon_sym_static] = ACTIONS(3222),
    [anon_sym_readonly] = ACTIONS(3222),
    [anon_sym_get] = ACTIONS(3222),
    [anon_sym_set] = ACTIONS(3222),
    [anon_sym_declare] = ACTIONS(3222),
    [anon_sym_public] = ACTIONS(3222),
    [anon_sym_private] = ACTIONS(3222),
    [anon_sym_protected] = ACTIONS(3222),
    [anon_sym_override] = ACTIONS(3222),
    [anon_sym_module] = ACTIONS(3222),
    [anon_sym_any] = ACTIONS(3222),
    [anon_sym_number] = ACTIONS(3222),
    [anon_sym_boolean] = ACTIONS(3222),
    [anon_sym_string] = ACTIONS(3222),
    [anon_sym_symbol] = ACTIONS(3222),
    [anon_sym_object] = ACTIONS(3222),
    [anon_sym_abstract] = ACTIONS(3222),
    [anon_sym_interface] = ACTIONS(3222),
    [anon_sym_enum] = ACTIONS(3222),
    [sym_html_comment] = ACTIONS(5),
  },
  [1577] = {
    [sym_comment] = STATE(1577),
    [ts_builtin_sym_end] = ACTIONS(3382),
    [sym_identifier] = ACTIONS(3218),
    [anon_sym_export] = ACTIONS(3218),
    [anon_sym_type] = ACTIONS(3218),
    [anon_sym_namespace] = ACTIONS(3218),
    [anon_sym_LBRACE] = ACTIONS(3218),
    [anon_sym_RBRACE] = ACTIONS(3218),
    [anon_sym_typeof] = ACTIONS(3218),
    [anon_sym_import] = ACTIONS(3218),
    [anon_sym_with] = ACTIONS(3218),
    [anon_sym_var] = ACTIONS(3218),
    [anon_sym_let] = ACTIONS(3218),
    [anon_sym_const] = ACTIONS(3218),
    [anon_sym_BANG] = ACTIONS(3218),
    [anon_sym_if] = ACTIONS(3218),
    [anon_sym_switch] = ACTIONS(3218),
    [anon_sym_for] = ACTIONS(3218),
    [anon_sym_LPAREN] = ACTIONS(3218),
    [anon_sym_await] = ACTIONS(3218),
    [anon_sym_while] = ACTIONS(3218),
    [anon_sym_do] = ACTIONS(3218),
    [anon_sym_try] = ACTIONS(3218),
    [anon_sym_break] = ACTIONS(3218),
    [anon_sym_continue] = ACTIONS(3218),
    [anon_sym_debugger] = ACTIONS(3218),
    [anon_sym_return] = ACTIONS(3218),
    [anon_sym_throw] = ACTIONS(3218),
    [anon_sym_SEMI] = ACTIONS(3218),
    [anon_sym_yield] = ACTIONS(3218),
    [anon_sym_LBRACK] = ACTIONS(3218),
    [anon_sym_LTtemplate_GT] = ACTIONS(3218),
    [anon_sym_DQUOTE] = ACTIONS(3218),
    [anon_sym_SQUOTE] = ACTIONS(3218),
    [anon_sym_class] = ACTIONS(3218),
    [anon_sym_async] = ACTIONS(3218),
    [anon_sym_function] = ACTIONS(3218),
    [anon_sym_new] = ACTIONS(3218),
    [anon_sym_using] = ACTIONS(3218),
    [anon_sym_PLUS] = ACTIONS(3218),
    [anon_sym_DASH] = ACTIONS(3218),
    [anon_sym_SLASH] = ACTIONS(3218),
    [anon_sym_LT] = ACTIONS(3218),
    [anon_sym_TILDE] = ACTIONS(3218),
    [anon_sym_void] = ACTIONS(3218),
    [anon_sym_delete] = ACTIONS(3218),
    [anon_sym_PLUS_PLUS] = ACTIONS(3218),
    [anon_sym_DASH_DASH] = ACTIONS(3218),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3218),
    [sym_number] = ACTIONS(3218),
    [sym_private_property_identifier] = ACTIONS(3218),
    [sym_this] = ACTIONS(3218),
    [sym_super] = ACTIONS(3218),
    [sym_true] = ACTIONS(3218),
    [sym_false] = ACTIONS(3218),
    [sym_null] = ACTIONS(3218),
    [sym_undefined] = ACTIONS(3218),
    [anon_sym_AT] = ACTIONS(3218),
    [anon_sym_static] = ACTIONS(3218),
    [anon_sym_readonly] = ACTIONS(3218),
    [anon_sym_get] = ACTIONS(3218),
    [anon_sym_set] = ACTIONS(3218),
    [anon_sym_declare] = ACTIONS(3218),
    [anon_sym_public] = ACTIONS(3218),
    [anon_sym_private] = ACTIONS(3218),
    [anon_sym_protected] = ACTIONS(3218),
    [anon_sym_override] = ACTIONS(3218),
    [anon_sym_module] = ACTIONS(3218),
    [anon_sym_any] = ACTIONS(3218),
    [anon_sym_number] = ACTIONS(3218),
    [anon_sym_boolean] = ACTIONS(3218),
    [anon_sym_string] = ACTIONS(3218),
    [anon_sym_symbol] = ACTIONS(3218),
    [anon_sym_object] = ACTIONS(3218),
    [anon_sym_abstract] = ACTIONS(3218),
    [anon_sym_interface] = ACTIONS(3218),
    [anon_sym_enum] = ACTIONS(3218),
    [sym_html_comment] = ACTIONS(5),
  },
  [1578] = {
    [sym_comment] = STATE(1578),
    [ts_builtin_sym_end] = ACTIONS(3384),
    [sym_identifier] = ACTIONS(3214),
    [anon_sym_export] = ACTIONS(3214),
    [anon_sym_type] = ACTIONS(3214),
    [anon_sym_namespace] = ACTIONS(3214),
    [anon_sym_LBRACE] = ACTIONS(3214),
    [anon_sym_RBRACE] = ACTIONS(3214),
    [anon_sym_typeof] = ACTIONS(3214),
    [anon_sym_import] = ACTIONS(3214),
    [anon_sym_with] = ACTIONS(3214),
    [anon_sym_var] = ACTIONS(3214),
    [anon_sym_let] = ACTIONS(3214),
    [anon_sym_const] = ACTIONS(3214),
    [anon_sym_BANG] = ACTIONS(3214),
    [anon_sym_if] = ACTIONS(3214),
    [anon_sym_switch] = ACTIONS(3214),
    [anon_sym_for] = ACTIONS(3214),
    [anon_sym_LPAREN] = ACTIONS(3214),
    [anon_sym_await] = ACTIONS(3214),
    [anon_sym_while] = ACTIONS(3214),
    [anon_sym_do] = ACTIONS(3214),
    [anon_sym_try] = ACTIONS(3214),
    [anon_sym_break] = ACTIONS(3214),
    [anon_sym_continue] = ACTIONS(3214),
    [anon_sym_debugger] = ACTIONS(3214),
    [anon_sym_return] = ACTIONS(3214),
    [anon_sym_throw] = ACTIONS(3214),
    [anon_sym_SEMI] = ACTIONS(3214),
    [anon_sym_yield] = ACTIONS(3214),
    [anon_sym_LBRACK] = ACTIONS(3214),
    [anon_sym_LTtemplate_GT] = ACTIONS(3214),
    [anon_sym_DQUOTE] = ACTIONS(3214),
    [anon_sym_SQUOTE] = ACTIONS(3214),
    [anon_sym_class] = ACTIONS(3214),
    [anon_sym_async] = ACTIONS(3214),
    [anon_sym_function] = ACTIONS(3214),
    [anon_sym_new] = ACTIONS(3214),
    [anon_sym_using] = ACTIONS(3214),
    [anon_sym_PLUS] = ACTIONS(3214),
    [anon_sym_DASH] = ACTIONS(3214),
    [anon_sym_SLASH] = ACTIONS(3214),
    [anon_sym_LT] = ACTIONS(3214),
    [anon_sym_TILDE] = ACTIONS(3214),
    [anon_sym_void] = ACTIONS(3214),
    [anon_sym_delete] = ACTIONS(3214),
    [anon_sym_PLUS_PLUS] = ACTIONS(3214),
    [anon_sym_DASH_DASH] = ACTIONS(3214),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3214),
    [sym_number] = ACTIONS(3214),
    [sym_private_property_identifier] = ACTIONS(3214),
    [sym_this] = ACTIONS(3214),
    [sym_super] = ACTIONS(3214),
    [sym_true] = ACTIONS(3214),
    [sym_false] = ACTIONS(3214),
    [sym_null] = ACTIONS(3214),
    [sym_undefined] = ACTIONS(3214),
    [anon_sym_AT] = ACTIONS(3214),
    [anon_sym_static] = ACTIONS(3214),
    [anon_sym_readonly] = ACTIONS(3214),
    [anon_sym_get] = ACTIONS(3214),
    [anon_sym_set] = ACTIONS(3214),
    [anon_sym_declare] = ACTIONS(3214),
    [anon_sym_public] = ACTIONS(3214),
    [anon_sym_private] = ACTIONS(3214),
    [anon_sym_protected] = ACTIONS(3214),
    [anon_sym_override] = ACTIONS(3214),
    [anon_sym_module] = ACTIONS(3214),
    [anon_sym_any] = ACTIONS(3214),
    [anon_sym_number] = ACTIONS(3214),
    [anon_sym_boolean] = ACTIONS(3214),
    [anon_sym_string] = ACTIONS(3214),
    [anon_sym_symbol] = ACTIONS(3214),
    [anon_sym_object] = ACTIONS(3214),
    [anon_sym_abstract] = ACTIONS(3214),
    [anon_sym_interface] = ACTIONS(3214),
    [anon_sym_enum] = ACTIONS(3214),
    [sym_html_comment] = ACTIONS(5),
  },
  [1579] = {
    [sym_comment] = STATE(1579),
    [ts_builtin_sym_end] = ACTIONS(3386),
    [sym_identifier] = ACTIONS(3212),
    [anon_sym_export] = ACTIONS(3212),
    [anon_sym_type] = ACTIONS(3212),
    [anon_sym_namespace] = ACTIONS(3212),
    [anon_sym_LBRACE] = ACTIONS(3212),
    [anon_sym_RBRACE] = ACTIONS(3212),
    [anon_sym_typeof] = ACTIONS(3212),
    [anon_sym_import] = ACTIONS(3212),
    [anon_sym_with] = ACTIONS(3212),
    [anon_sym_var] = ACTIONS(3212),
    [anon_sym_let] = ACTIONS(3212),
    [anon_sym_const] = ACTIONS(3212),
    [anon_sym_BANG] = ACTIONS(3212),
    [anon_sym_if] = ACTIONS(3212),
    [anon_sym_switch] = ACTIONS(3212),
    [anon_sym_for] = ACTIONS(3212),
    [anon_sym_LPAREN] = ACTIONS(3212),
    [anon_sym_await] = ACTIONS(3212),
    [anon_sym_while] = ACTIONS(3212),
    [anon_sym_do] = ACTIONS(3212),
    [anon_sym_try] = ACTIONS(3212),
    [anon_sym_break] = ACTIONS(3212),
    [anon_sym_continue] = ACTIONS(3212),
    [anon_sym_debugger] = ACTIONS(3212),
    [anon_sym_return] = ACTIONS(3212),
    [anon_sym_throw] = ACTIONS(3212),
    [anon_sym_SEMI] = ACTIONS(3212),
    [anon_sym_yield] = ACTIONS(3212),
    [anon_sym_LBRACK] = ACTIONS(3212),
    [anon_sym_LTtemplate_GT] = ACTIONS(3212),
    [anon_sym_DQUOTE] = ACTIONS(3212),
    [anon_sym_SQUOTE] = ACTIONS(3212),
    [anon_sym_class] = ACTIONS(3212),
    [anon_sym_async] = ACTIONS(3212),
    [anon_sym_function] = ACTIONS(3212),
    [anon_sym_new] = ACTIONS(3212),
    [anon_sym_using] = ACTIONS(3212),
    [anon_sym_PLUS] = ACTIONS(3212),
    [anon_sym_DASH] = ACTIONS(3212),
    [anon_sym_SLASH] = ACTIONS(3212),
    [anon_sym_LT] = ACTIONS(3212),
    [anon_sym_TILDE] = ACTIONS(3212),
    [anon_sym_void] = ACTIONS(3212),
    [anon_sym_delete] = ACTIONS(3212),
    [anon_sym_PLUS_PLUS] = ACTIONS(3212),
    [anon_sym_DASH_DASH] = ACTIONS(3212),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3212),
    [sym_number] = ACTIONS(3212),
    [sym_private_property_identifier] = ACTIONS(3212),
    [sym_this] = ACTIONS(3212),
    [sym_super] = ACTIONS(3212),
    [sym_true] = ACTIONS(3212),
    [sym_false] = ACTIONS(3212),
    [sym_null] = ACTIONS(3212),
    [sym_undefined] = ACTIONS(3212),
    [anon_sym_AT] = ACTIONS(3212),
    [anon_sym_static] = ACTIONS(3212),
    [anon_sym_readonly] = ACTIONS(3212),
    [anon_sym_get] = ACTIONS(3212),
    [anon_sym_set] = ACTIONS(3212),
    [anon_sym_declare] = ACTIONS(3212),
    [anon_sym_public] = ACTIONS(3212),
    [anon_sym_private] = ACTIONS(3212),
    [anon_sym_protected] = ACTIONS(3212),
    [anon_sym_override] = ACTIONS(3212),
    [anon_sym_module] = ACTIONS(3212),
    [anon_sym_any] = ACTIONS(3212),
    [anon_sym_number] = ACTIONS(3212),
    [anon_sym_boolean] = ACTIONS(3212),
    [anon_sym_string] = ACTIONS(3212),
    [anon_sym_symbol] = ACTIONS(3212),
    [anon_sym_object] = ACTIONS(3212),
    [anon_sym_abstract] = ACTIONS(3212),
    [anon_sym_interface] = ACTIONS(3212),
    [anon_sym_enum] = ACTIONS(3212),
    [sym_html_comment] = ACTIONS(5),
  },
  [1580] = {
    [sym_comment] = STATE(1580),
    [ts_builtin_sym_end] = ACTIONS(2205),
    [sym_identifier] = ACTIONS(2203),
    [anon_sym_export] = ACTIONS(2203),
    [anon_sym_type] = ACTIONS(2203),
    [anon_sym_namespace] = ACTIONS(2203),
    [anon_sym_LBRACE] = ACTIONS(2203),
    [anon_sym_RBRACE] = ACTIONS(2203),
    [anon_sym_typeof] = ACTIONS(2203),
    [anon_sym_import] = ACTIONS(2203),
    [anon_sym_with] = ACTIONS(2203),
    [anon_sym_var] = ACTIONS(2203),
    [anon_sym_let] = ACTIONS(2203),
    [anon_sym_const] = ACTIONS(2203),
    [anon_sym_BANG] = ACTIONS(2203),
    [anon_sym_if] = ACTIONS(2203),
    [anon_sym_switch] = ACTIONS(2203),
    [anon_sym_for] = ACTIONS(2203),
    [anon_sym_LPAREN] = ACTIONS(2203),
    [anon_sym_await] = ACTIONS(2203),
    [anon_sym_while] = ACTIONS(2203),
    [anon_sym_do] = ACTIONS(2203),
    [anon_sym_try] = ACTIONS(2203),
    [anon_sym_break] = ACTIONS(2203),
    [anon_sym_continue] = ACTIONS(2203),
    [anon_sym_debugger] = ACTIONS(2203),
    [anon_sym_return] = ACTIONS(2203),
    [anon_sym_throw] = ACTIONS(2203),
    [anon_sym_SEMI] = ACTIONS(2203),
    [anon_sym_yield] = ACTIONS(2203),
    [anon_sym_LBRACK] = ACTIONS(2203),
    [anon_sym_LTtemplate_GT] = ACTIONS(2203),
    [anon_sym_DQUOTE] = ACTIONS(2203),
    [anon_sym_SQUOTE] = ACTIONS(2203),
    [anon_sym_class] = ACTIONS(2203),
    [anon_sym_async] = ACTIONS(2203),
    [anon_sym_function] = ACTIONS(2203),
    [anon_sym_new] = ACTIONS(2203),
    [anon_sym_using] = ACTIONS(2203),
    [anon_sym_PLUS] = ACTIONS(2203),
    [anon_sym_DASH] = ACTIONS(2203),
    [anon_sym_SLASH] = ACTIONS(2203),
    [anon_sym_LT] = ACTIONS(2203),
    [anon_sym_TILDE] = ACTIONS(2203),
    [anon_sym_void] = ACTIONS(2203),
    [anon_sym_delete] = ACTIONS(2203),
    [anon_sym_PLUS_PLUS] = ACTIONS(2203),
    [anon_sym_DASH_DASH] = ACTIONS(2203),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2203),
    [sym_number] = ACTIONS(2203),
    [sym_private_property_identifier] = ACTIONS(2203),
    [sym_this] = ACTIONS(2203),
    [sym_super] = ACTIONS(2203),
    [sym_true] = ACTIONS(2203),
    [sym_false] = ACTIONS(2203),
    [sym_null] = ACTIONS(2203),
    [sym_undefined] = ACTIONS(2203),
    [anon_sym_AT] = ACTIONS(2203),
    [anon_sym_static] = ACTIONS(2203),
    [anon_sym_readonly] = ACTIONS(2203),
    [anon_sym_get] = ACTIONS(2203),
    [anon_sym_set] = ACTIONS(2203),
    [anon_sym_declare] = ACTIONS(2203),
    [anon_sym_public] = ACTIONS(2203),
    [anon_sym_private] = ACTIONS(2203),
    [anon_sym_protected] = ACTIONS(2203),
    [anon_sym_override] = ACTIONS(2203),
    [anon_sym_module] = ACTIONS(2203),
    [anon_sym_any] = ACTIONS(2203),
    [anon_sym_number] = ACTIONS(2203),
    [anon_sym_boolean] = ACTIONS(2203),
    [anon_sym_string] = ACTIONS(2203),
    [anon_sym_symbol] = ACTIONS(2203),
    [anon_sym_object] = ACTIONS(2203),
    [anon_sym_abstract] = ACTIONS(2203),
    [anon_sym_interface] = ACTIONS(2203),
    [anon_sym_enum] = ACTIONS(2203),
    [sym_html_comment] = ACTIONS(5),
  },
  [1581] = {
    [sym_comment] = STATE(1581),
    [ts_builtin_sym_end] = ACTIONS(3390),
    [sym_identifier] = ACTIONS(3276),
    [anon_sym_export] = ACTIONS(3276),
    [anon_sym_type] = ACTIONS(3276),
    [anon_sym_namespace] = ACTIONS(3276),
    [anon_sym_LBRACE] = ACTIONS(3276),
    [anon_sym_RBRACE] = ACTIONS(3276),
    [anon_sym_typeof] = ACTIONS(3276),
    [anon_sym_import] = ACTIONS(3276),
    [anon_sym_with] = ACTIONS(3276),
    [anon_sym_var] = ACTIONS(3276),
    [anon_sym_let] = ACTIONS(3276),
    [anon_sym_const] = ACTIONS(3276),
    [anon_sym_BANG] = ACTIONS(3276),
    [anon_sym_if] = ACTIONS(3276),
    [anon_sym_switch] = ACTIONS(3276),
    [anon_sym_for] = ACTIONS(3276),
    [anon_sym_LPAREN] = ACTIONS(3276),
    [anon_sym_await] = ACTIONS(3276),
    [anon_sym_while] = ACTIONS(3276),
    [anon_sym_do] = ACTIONS(3276),
    [anon_sym_try] = ACTIONS(3276),
    [anon_sym_break] = ACTIONS(3276),
    [anon_sym_continue] = ACTIONS(3276),
    [anon_sym_debugger] = ACTIONS(3276),
    [anon_sym_return] = ACTIONS(3276),
    [anon_sym_throw] = ACTIONS(3276),
    [anon_sym_SEMI] = ACTIONS(3276),
    [anon_sym_yield] = ACTIONS(3276),
    [anon_sym_LBRACK] = ACTIONS(3276),
    [anon_sym_LTtemplate_GT] = ACTIONS(3276),
    [anon_sym_DQUOTE] = ACTIONS(3276),
    [anon_sym_SQUOTE] = ACTIONS(3276),
    [anon_sym_class] = ACTIONS(3276),
    [anon_sym_async] = ACTIONS(3276),
    [anon_sym_function] = ACTIONS(3276),
    [anon_sym_new] = ACTIONS(3276),
    [anon_sym_using] = ACTIONS(3276),
    [anon_sym_PLUS] = ACTIONS(3276),
    [anon_sym_DASH] = ACTIONS(3276),
    [anon_sym_SLASH] = ACTIONS(3276),
    [anon_sym_LT] = ACTIONS(3276),
    [anon_sym_TILDE] = ACTIONS(3276),
    [anon_sym_void] = ACTIONS(3276),
    [anon_sym_delete] = ACTIONS(3276),
    [anon_sym_PLUS_PLUS] = ACTIONS(3276),
    [anon_sym_DASH_DASH] = ACTIONS(3276),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3276),
    [sym_number] = ACTIONS(3276),
    [sym_private_property_identifier] = ACTIONS(3276),
    [sym_this] = ACTIONS(3276),
    [sym_super] = ACTIONS(3276),
    [sym_true] = ACTIONS(3276),
    [sym_false] = ACTIONS(3276),
    [sym_null] = ACTIONS(3276),
    [sym_undefined] = ACTIONS(3276),
    [anon_sym_AT] = ACTIONS(3276),
    [anon_sym_static] = ACTIONS(3276),
    [anon_sym_readonly] = ACTIONS(3276),
    [anon_sym_get] = ACTIONS(3276),
    [anon_sym_set] = ACTIONS(3276),
    [anon_sym_declare] = ACTIONS(3276),
    [anon_sym_public] = ACTIONS(3276),
    [anon_sym_private] = ACTIONS(3276),
    [anon_sym_protected] = ACTIONS(3276),
    [anon_sym_override] = ACTIONS(3276),
    [anon_sym_module] = ACTIONS(3276),
    [anon_sym_any] = ACTIONS(3276),
    [anon_sym_number] = ACTIONS(3276),
    [anon_sym_boolean] = ACTIONS(3276),
    [anon_sym_string] = ACTIONS(3276),
    [anon_sym_symbol] = ACTIONS(3276),
    [anon_sym_object] = ACTIONS(3276),
    [anon_sym_abstract] = ACTIONS(3276),
    [anon_sym_interface] = ACTIONS(3276),
    [anon_sym_enum] = ACTIONS(3276),
    [sym_html_comment] = ACTIONS(5),
  },
  [1582] = {
    [sym_comment] = STATE(1582),
    [ts_builtin_sym_end] = ACTIONS(3542),
    [sym_identifier] = ACTIONS(3328),
    [anon_sym_export] = ACTIONS(3328),
    [anon_sym_type] = ACTIONS(3328),
    [anon_sym_namespace] = ACTIONS(3328),
    [anon_sym_LBRACE] = ACTIONS(3328),
    [anon_sym_RBRACE] = ACTIONS(3328),
    [anon_sym_typeof] = ACTIONS(3328),
    [anon_sym_import] = ACTIONS(3328),
    [anon_sym_with] = ACTIONS(3328),
    [anon_sym_var] = ACTIONS(3328),
    [anon_sym_let] = ACTIONS(3328),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_BANG] = ACTIONS(3328),
    [anon_sym_if] = ACTIONS(3328),
    [anon_sym_switch] = ACTIONS(3328),
    [anon_sym_for] = ACTIONS(3328),
    [anon_sym_LPAREN] = ACTIONS(3328),
    [anon_sym_await] = ACTIONS(3328),
    [anon_sym_while] = ACTIONS(3328),
    [anon_sym_do] = ACTIONS(3328),
    [anon_sym_try] = ACTIONS(3328),
    [anon_sym_break] = ACTIONS(3328),
    [anon_sym_continue] = ACTIONS(3328),
    [anon_sym_debugger] = ACTIONS(3328),
    [anon_sym_return] = ACTIONS(3328),
    [anon_sym_throw] = ACTIONS(3328),
    [anon_sym_SEMI] = ACTIONS(3328),
    [anon_sym_yield] = ACTIONS(3328),
    [anon_sym_LBRACK] = ACTIONS(3328),
    [anon_sym_LTtemplate_GT] = ACTIONS(3328),
    [anon_sym_DQUOTE] = ACTIONS(3328),
    [anon_sym_SQUOTE] = ACTIONS(3328),
    [anon_sym_class] = ACTIONS(3328),
    [anon_sym_async] = ACTIONS(3328),
    [anon_sym_function] = ACTIONS(3328),
    [anon_sym_new] = ACTIONS(3328),
    [anon_sym_using] = ACTIONS(3328),
    [anon_sym_PLUS] = ACTIONS(3328),
    [anon_sym_DASH] = ACTIONS(3328),
    [anon_sym_SLASH] = ACTIONS(3328),
    [anon_sym_LT] = ACTIONS(3328),
    [anon_sym_TILDE] = ACTIONS(3328),
    [anon_sym_void] = ACTIONS(3328),
    [anon_sym_delete] = ACTIONS(3328),
    [anon_sym_PLUS_PLUS] = ACTIONS(3328),
    [anon_sym_DASH_DASH] = ACTIONS(3328),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3328),
    [sym_number] = ACTIONS(3328),
    [sym_private_property_identifier] = ACTIONS(3328),
    [sym_this] = ACTIONS(3328),
    [sym_super] = ACTIONS(3328),
    [sym_true] = ACTIONS(3328),
    [sym_false] = ACTIONS(3328),
    [sym_null] = ACTIONS(3328),
    [sym_undefined] = ACTIONS(3328),
    [anon_sym_AT] = ACTIONS(3328),
    [anon_sym_static] = ACTIONS(3328),
    [anon_sym_readonly] = ACTIONS(3328),
    [anon_sym_get] = ACTIONS(3328),
    [anon_sym_set] = ACTIONS(3328),
    [anon_sym_declare] = ACTIONS(3328),
    [anon_sym_public] = ACTIONS(3328),
    [anon_sym_private] = ACTIONS(3328),
    [anon_sym_protected] = ACTIONS(3328),
    [anon_sym_override] = ACTIONS(3328),
    [anon_sym_module] = ACTIONS(3328),
    [anon_sym_any] = ACTIONS(3328),
    [anon_sym_number] = ACTIONS(3328),
    [anon_sym_boolean] = ACTIONS(3328),
    [anon_sym_string] = ACTIONS(3328),
    [anon_sym_symbol] = ACTIONS(3328),
    [anon_sym_object] = ACTIONS(3328),
    [anon_sym_abstract] = ACTIONS(3328),
    [anon_sym_interface] = ACTIONS(3328),
    [anon_sym_enum] = ACTIONS(3328),
    [sym_html_comment] = ACTIONS(5),
  },
  [1583] = {
    [sym_comment] = STATE(1583),
    [ts_builtin_sym_end] = ACTIONS(3392),
    [sym_identifier] = ACTIONS(3274),
    [anon_sym_export] = ACTIONS(3274),
    [anon_sym_type] = ACTIONS(3274),
    [anon_sym_namespace] = ACTIONS(3274),
    [anon_sym_LBRACE] = ACTIONS(3274),
    [anon_sym_RBRACE] = ACTIONS(3274),
    [anon_sym_typeof] = ACTIONS(3274),
    [anon_sym_import] = ACTIONS(3274),
    [anon_sym_with] = ACTIONS(3274),
    [anon_sym_var] = ACTIONS(3274),
    [anon_sym_let] = ACTIONS(3274),
    [anon_sym_const] = ACTIONS(3274),
    [anon_sym_BANG] = ACTIONS(3274),
    [anon_sym_if] = ACTIONS(3274),
    [anon_sym_switch] = ACTIONS(3274),
    [anon_sym_for] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(3274),
    [anon_sym_await] = ACTIONS(3274),
    [anon_sym_while] = ACTIONS(3274),
    [anon_sym_do] = ACTIONS(3274),
    [anon_sym_try] = ACTIONS(3274),
    [anon_sym_break] = ACTIONS(3274),
    [anon_sym_continue] = ACTIONS(3274),
    [anon_sym_debugger] = ACTIONS(3274),
    [anon_sym_return] = ACTIONS(3274),
    [anon_sym_throw] = ACTIONS(3274),
    [anon_sym_SEMI] = ACTIONS(3274),
    [anon_sym_yield] = ACTIONS(3274),
    [anon_sym_LBRACK] = ACTIONS(3274),
    [anon_sym_LTtemplate_GT] = ACTIONS(3274),
    [anon_sym_DQUOTE] = ACTIONS(3274),
    [anon_sym_SQUOTE] = ACTIONS(3274),
    [anon_sym_class] = ACTIONS(3274),
    [anon_sym_async] = ACTIONS(3274),
    [anon_sym_function] = ACTIONS(3274),
    [anon_sym_new] = ACTIONS(3274),
    [anon_sym_using] = ACTIONS(3274),
    [anon_sym_PLUS] = ACTIONS(3274),
    [anon_sym_DASH] = ACTIONS(3274),
    [anon_sym_SLASH] = ACTIONS(3274),
    [anon_sym_LT] = ACTIONS(3274),
    [anon_sym_TILDE] = ACTIONS(3274),
    [anon_sym_void] = ACTIONS(3274),
    [anon_sym_delete] = ACTIONS(3274),
    [anon_sym_PLUS_PLUS] = ACTIONS(3274),
    [anon_sym_DASH_DASH] = ACTIONS(3274),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3274),
    [sym_number] = ACTIONS(3274),
    [sym_private_property_identifier] = ACTIONS(3274),
    [sym_this] = ACTIONS(3274),
    [sym_super] = ACTIONS(3274),
    [sym_true] = ACTIONS(3274),
    [sym_false] = ACTIONS(3274),
    [sym_null] = ACTIONS(3274),
    [sym_undefined] = ACTIONS(3274),
    [anon_sym_AT] = ACTIONS(3274),
    [anon_sym_static] = ACTIONS(3274),
    [anon_sym_readonly] = ACTIONS(3274),
    [anon_sym_get] = ACTIONS(3274),
    [anon_sym_set] = ACTIONS(3274),
    [anon_sym_declare] = ACTIONS(3274),
    [anon_sym_public] = ACTIONS(3274),
    [anon_sym_private] = ACTIONS(3274),
    [anon_sym_protected] = ACTIONS(3274),
    [anon_sym_override] = ACTIONS(3274),
    [anon_sym_module] = ACTIONS(3274),
    [anon_sym_any] = ACTIONS(3274),
    [anon_sym_number] = ACTIONS(3274),
    [anon_sym_boolean] = ACTIONS(3274),
    [anon_sym_string] = ACTIONS(3274),
    [anon_sym_symbol] = ACTIONS(3274),
    [anon_sym_object] = ACTIONS(3274),
    [anon_sym_abstract] = ACTIONS(3274),
    [anon_sym_interface] = ACTIONS(3274),
    [anon_sym_enum] = ACTIONS(3274),
    [sym_html_comment] = ACTIONS(5),
  },
  [1584] = {
    [sym_comment] = STATE(1584),
    [ts_builtin_sym_end] = ACTIONS(3370),
    [sym_identifier] = ACTIONS(3154),
    [anon_sym_export] = ACTIONS(3154),
    [anon_sym_type] = ACTIONS(3154),
    [anon_sym_namespace] = ACTIONS(3154),
    [anon_sym_LBRACE] = ACTIONS(3154),
    [anon_sym_RBRACE] = ACTIONS(3154),
    [anon_sym_typeof] = ACTIONS(3154),
    [anon_sym_import] = ACTIONS(3154),
    [anon_sym_with] = ACTIONS(3154),
    [anon_sym_var] = ACTIONS(3154),
    [anon_sym_let] = ACTIONS(3154),
    [anon_sym_const] = ACTIONS(3154),
    [anon_sym_BANG] = ACTIONS(3154),
    [anon_sym_if] = ACTIONS(3154),
    [anon_sym_switch] = ACTIONS(3154),
    [anon_sym_for] = ACTIONS(3154),
    [anon_sym_LPAREN] = ACTIONS(3154),
    [anon_sym_await] = ACTIONS(3154),
    [anon_sym_while] = ACTIONS(3154),
    [anon_sym_do] = ACTIONS(3154),
    [anon_sym_try] = ACTIONS(3154),
    [anon_sym_break] = ACTIONS(3154),
    [anon_sym_continue] = ACTIONS(3154),
    [anon_sym_debugger] = ACTIONS(3154),
    [anon_sym_return] = ACTIONS(3154),
    [anon_sym_throw] = ACTIONS(3154),
    [anon_sym_SEMI] = ACTIONS(3154),
    [anon_sym_yield] = ACTIONS(3154),
    [anon_sym_LBRACK] = ACTIONS(3154),
    [anon_sym_LTtemplate_GT] = ACTIONS(3154),
    [anon_sym_DQUOTE] = ACTIONS(3154),
    [anon_sym_SQUOTE] = ACTIONS(3154),
    [anon_sym_class] = ACTIONS(3154),
    [anon_sym_async] = ACTIONS(3154),
    [anon_sym_function] = ACTIONS(3154),
    [anon_sym_new] = ACTIONS(3154),
    [anon_sym_using] = ACTIONS(3154),
    [anon_sym_PLUS] = ACTIONS(3154),
    [anon_sym_DASH] = ACTIONS(3154),
    [anon_sym_SLASH] = ACTIONS(3154),
    [anon_sym_LT] = ACTIONS(3154),
    [anon_sym_TILDE] = ACTIONS(3154),
    [anon_sym_void] = ACTIONS(3154),
    [anon_sym_delete] = ACTIONS(3154),
    [anon_sym_PLUS_PLUS] = ACTIONS(3154),
    [anon_sym_DASH_DASH] = ACTIONS(3154),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3154),
    [sym_number] = ACTIONS(3154),
    [sym_private_property_identifier] = ACTIONS(3154),
    [sym_this] = ACTIONS(3154),
    [sym_super] = ACTIONS(3154),
    [sym_true] = ACTIONS(3154),
    [sym_false] = ACTIONS(3154),
    [sym_null] = ACTIONS(3154),
    [sym_undefined] = ACTIONS(3154),
    [anon_sym_AT] = ACTIONS(3154),
    [anon_sym_static] = ACTIONS(3154),
    [anon_sym_readonly] = ACTIONS(3154),
    [anon_sym_get] = ACTIONS(3154),
    [anon_sym_set] = ACTIONS(3154),
    [anon_sym_declare] = ACTIONS(3154),
    [anon_sym_public] = ACTIONS(3154),
    [anon_sym_private] = ACTIONS(3154),
    [anon_sym_protected] = ACTIONS(3154),
    [anon_sym_override] = ACTIONS(3154),
    [anon_sym_module] = ACTIONS(3154),
    [anon_sym_any] = ACTIONS(3154),
    [anon_sym_number] = ACTIONS(3154),
    [anon_sym_boolean] = ACTIONS(3154),
    [anon_sym_string] = ACTIONS(3154),
    [anon_sym_symbol] = ACTIONS(3154),
    [anon_sym_object] = ACTIONS(3154),
    [anon_sym_abstract] = ACTIONS(3154),
    [anon_sym_interface] = ACTIONS(3154),
    [anon_sym_enum] = ACTIONS(3154),
    [sym_html_comment] = ACTIONS(5),
  },
  [1585] = {
    [sym_comment] = STATE(1585),
    [ts_builtin_sym_end] = ACTIONS(3396),
    [sym_identifier] = ACTIONS(3156),
    [anon_sym_export] = ACTIONS(3156),
    [anon_sym_type] = ACTIONS(3156),
    [anon_sym_namespace] = ACTIONS(3156),
    [anon_sym_LBRACE] = ACTIONS(3156),
    [anon_sym_RBRACE] = ACTIONS(3156),
    [anon_sym_typeof] = ACTIONS(3156),
    [anon_sym_import] = ACTIONS(3156),
    [anon_sym_with] = ACTIONS(3156),
    [anon_sym_var] = ACTIONS(3156),
    [anon_sym_let] = ACTIONS(3156),
    [anon_sym_const] = ACTIONS(3156),
    [anon_sym_BANG] = ACTIONS(3156),
    [anon_sym_if] = ACTIONS(3156),
    [anon_sym_switch] = ACTIONS(3156),
    [anon_sym_for] = ACTIONS(3156),
    [anon_sym_LPAREN] = ACTIONS(3156),
    [anon_sym_await] = ACTIONS(3156),
    [anon_sym_while] = ACTIONS(3156),
    [anon_sym_do] = ACTIONS(3156),
    [anon_sym_try] = ACTIONS(3156),
    [anon_sym_break] = ACTIONS(3156),
    [anon_sym_continue] = ACTIONS(3156),
    [anon_sym_debugger] = ACTIONS(3156),
    [anon_sym_return] = ACTIONS(3156),
    [anon_sym_throw] = ACTIONS(3156),
    [anon_sym_SEMI] = ACTIONS(3156),
    [anon_sym_yield] = ACTIONS(3156),
    [anon_sym_LBRACK] = ACTIONS(3156),
    [anon_sym_LTtemplate_GT] = ACTIONS(3156),
    [anon_sym_DQUOTE] = ACTIONS(3156),
    [anon_sym_SQUOTE] = ACTIONS(3156),
    [anon_sym_class] = ACTIONS(3156),
    [anon_sym_async] = ACTIONS(3156),
    [anon_sym_function] = ACTIONS(3156),
    [anon_sym_new] = ACTIONS(3156),
    [anon_sym_using] = ACTIONS(3156),
    [anon_sym_PLUS] = ACTIONS(3156),
    [anon_sym_DASH] = ACTIONS(3156),
    [anon_sym_SLASH] = ACTIONS(3156),
    [anon_sym_LT] = ACTIONS(3156),
    [anon_sym_TILDE] = ACTIONS(3156),
    [anon_sym_void] = ACTIONS(3156),
    [anon_sym_delete] = ACTIONS(3156),
    [anon_sym_PLUS_PLUS] = ACTIONS(3156),
    [anon_sym_DASH_DASH] = ACTIONS(3156),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3156),
    [sym_number] = ACTIONS(3156),
    [sym_private_property_identifier] = ACTIONS(3156),
    [sym_this] = ACTIONS(3156),
    [sym_super] = ACTIONS(3156),
    [sym_true] = ACTIONS(3156),
    [sym_false] = ACTIONS(3156),
    [sym_null] = ACTIONS(3156),
    [sym_undefined] = ACTIONS(3156),
    [anon_sym_AT] = ACTIONS(3156),
    [anon_sym_static] = ACTIONS(3156),
    [anon_sym_readonly] = ACTIONS(3156),
    [anon_sym_get] = ACTIONS(3156),
    [anon_sym_set] = ACTIONS(3156),
    [anon_sym_declare] = ACTIONS(3156),
    [anon_sym_public] = ACTIONS(3156),
    [anon_sym_private] = ACTIONS(3156),
    [anon_sym_protected] = ACTIONS(3156),
    [anon_sym_override] = ACTIONS(3156),
    [anon_sym_module] = ACTIONS(3156),
    [anon_sym_any] = ACTIONS(3156),
    [anon_sym_number] = ACTIONS(3156),
    [anon_sym_boolean] = ACTIONS(3156),
    [anon_sym_string] = ACTIONS(3156),
    [anon_sym_symbol] = ACTIONS(3156),
    [anon_sym_object] = ACTIONS(3156),
    [anon_sym_abstract] = ACTIONS(3156),
    [anon_sym_interface] = ACTIONS(3156),
    [anon_sym_enum] = ACTIONS(3156),
    [sym_html_comment] = ACTIONS(5),
  },
  [1586] = {
    [sym_comment] = STATE(1586),
    [ts_builtin_sym_end] = ACTIONS(3398),
    [sym_identifier] = ACTIONS(3270),
    [anon_sym_export] = ACTIONS(3270),
    [anon_sym_type] = ACTIONS(3270),
    [anon_sym_namespace] = ACTIONS(3270),
    [anon_sym_LBRACE] = ACTIONS(3270),
    [anon_sym_RBRACE] = ACTIONS(3270),
    [anon_sym_typeof] = ACTIONS(3270),
    [anon_sym_import] = ACTIONS(3270),
    [anon_sym_with] = ACTIONS(3270),
    [anon_sym_var] = ACTIONS(3270),
    [anon_sym_let] = ACTIONS(3270),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_BANG] = ACTIONS(3270),
    [anon_sym_if] = ACTIONS(3270),
    [anon_sym_switch] = ACTIONS(3270),
    [anon_sym_for] = ACTIONS(3270),
    [anon_sym_LPAREN] = ACTIONS(3270),
    [anon_sym_await] = ACTIONS(3270),
    [anon_sym_while] = ACTIONS(3270),
    [anon_sym_do] = ACTIONS(3270),
    [anon_sym_try] = ACTIONS(3270),
    [anon_sym_break] = ACTIONS(3270),
    [anon_sym_continue] = ACTIONS(3270),
    [anon_sym_debugger] = ACTIONS(3270),
    [anon_sym_return] = ACTIONS(3270),
    [anon_sym_throw] = ACTIONS(3270),
    [anon_sym_SEMI] = ACTIONS(3270),
    [anon_sym_yield] = ACTIONS(3270),
    [anon_sym_LBRACK] = ACTIONS(3270),
    [anon_sym_LTtemplate_GT] = ACTIONS(3270),
    [anon_sym_DQUOTE] = ACTIONS(3270),
    [anon_sym_SQUOTE] = ACTIONS(3270),
    [anon_sym_class] = ACTIONS(3270),
    [anon_sym_async] = ACTIONS(3270),
    [anon_sym_function] = ACTIONS(3270),
    [anon_sym_new] = ACTIONS(3270),
    [anon_sym_using] = ACTIONS(3270),
    [anon_sym_PLUS] = ACTIONS(3270),
    [anon_sym_DASH] = ACTIONS(3270),
    [anon_sym_SLASH] = ACTIONS(3270),
    [anon_sym_LT] = ACTIONS(3270),
    [anon_sym_TILDE] = ACTIONS(3270),
    [anon_sym_void] = ACTIONS(3270),
    [anon_sym_delete] = ACTIONS(3270),
    [anon_sym_PLUS_PLUS] = ACTIONS(3270),
    [anon_sym_DASH_DASH] = ACTIONS(3270),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3270),
    [sym_number] = ACTIONS(3270),
    [sym_private_property_identifier] = ACTIONS(3270),
    [sym_this] = ACTIONS(3270),
    [sym_super] = ACTIONS(3270),
    [sym_true] = ACTIONS(3270),
    [sym_false] = ACTIONS(3270),
    [sym_null] = ACTIONS(3270),
    [sym_undefined] = ACTIONS(3270),
    [anon_sym_AT] = ACTIONS(3270),
    [anon_sym_static] = ACTIONS(3270),
    [anon_sym_readonly] = ACTIONS(3270),
    [anon_sym_get] = ACTIONS(3270),
    [anon_sym_set] = ACTIONS(3270),
    [anon_sym_declare] = ACTIONS(3270),
    [anon_sym_public] = ACTIONS(3270),
    [anon_sym_private] = ACTIONS(3270),
    [anon_sym_protected] = ACTIONS(3270),
    [anon_sym_override] = ACTIONS(3270),
    [anon_sym_module] = ACTIONS(3270),
    [anon_sym_any] = ACTIONS(3270),
    [anon_sym_number] = ACTIONS(3270),
    [anon_sym_boolean] = ACTIONS(3270),
    [anon_sym_string] = ACTIONS(3270),
    [anon_sym_symbol] = ACTIONS(3270),
    [anon_sym_object] = ACTIONS(3270),
    [anon_sym_abstract] = ACTIONS(3270),
    [anon_sym_interface] = ACTIONS(3270),
    [anon_sym_enum] = ACTIONS(3270),
    [sym_html_comment] = ACTIONS(5),
  },
  [1587] = {
    [sym_comment] = STATE(1587),
    [ts_builtin_sym_end] = ACTIONS(3432),
    [sym_identifier] = ACTIONS(3188),
    [anon_sym_export] = ACTIONS(3188),
    [anon_sym_type] = ACTIONS(3188),
    [anon_sym_namespace] = ACTIONS(3188),
    [anon_sym_LBRACE] = ACTIONS(3188),
    [anon_sym_RBRACE] = ACTIONS(3188),
    [anon_sym_typeof] = ACTIONS(3188),
    [anon_sym_import] = ACTIONS(3188),
    [anon_sym_with] = ACTIONS(3188),
    [anon_sym_var] = ACTIONS(3188),
    [anon_sym_let] = ACTIONS(3188),
    [anon_sym_const] = ACTIONS(3188),
    [anon_sym_BANG] = ACTIONS(3188),
    [anon_sym_if] = ACTIONS(3188),
    [anon_sym_switch] = ACTIONS(3188),
    [anon_sym_for] = ACTIONS(3188),
    [anon_sym_LPAREN] = ACTIONS(3188),
    [anon_sym_await] = ACTIONS(3188),
    [anon_sym_while] = ACTIONS(3188),
    [anon_sym_do] = ACTIONS(3188),
    [anon_sym_try] = ACTIONS(3188),
    [anon_sym_break] = ACTIONS(3188),
    [anon_sym_continue] = ACTIONS(3188),
    [anon_sym_debugger] = ACTIONS(3188),
    [anon_sym_return] = ACTIONS(3188),
    [anon_sym_throw] = ACTIONS(3188),
    [anon_sym_SEMI] = ACTIONS(3188),
    [anon_sym_yield] = ACTIONS(3188),
    [anon_sym_LBRACK] = ACTIONS(3188),
    [anon_sym_LTtemplate_GT] = ACTIONS(3188),
    [anon_sym_DQUOTE] = ACTIONS(3188),
    [anon_sym_SQUOTE] = ACTIONS(3188),
    [anon_sym_class] = ACTIONS(3188),
    [anon_sym_async] = ACTIONS(3188),
    [anon_sym_function] = ACTIONS(3188),
    [anon_sym_new] = ACTIONS(3188),
    [anon_sym_using] = ACTIONS(3188),
    [anon_sym_PLUS] = ACTIONS(3188),
    [anon_sym_DASH] = ACTIONS(3188),
    [anon_sym_SLASH] = ACTIONS(3188),
    [anon_sym_LT] = ACTIONS(3188),
    [anon_sym_TILDE] = ACTIONS(3188),
    [anon_sym_void] = ACTIONS(3188),
    [anon_sym_delete] = ACTIONS(3188),
    [anon_sym_PLUS_PLUS] = ACTIONS(3188),
    [anon_sym_DASH_DASH] = ACTIONS(3188),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3188),
    [sym_number] = ACTIONS(3188),
    [sym_private_property_identifier] = ACTIONS(3188),
    [sym_this] = ACTIONS(3188),
    [sym_super] = ACTIONS(3188),
    [sym_true] = ACTIONS(3188),
    [sym_false] = ACTIONS(3188),
    [sym_null] = ACTIONS(3188),
    [sym_undefined] = ACTIONS(3188),
    [anon_sym_AT] = ACTIONS(3188),
    [anon_sym_static] = ACTIONS(3188),
    [anon_sym_readonly] = ACTIONS(3188),
    [anon_sym_get] = ACTIONS(3188),
    [anon_sym_set] = ACTIONS(3188),
    [anon_sym_declare] = ACTIONS(3188),
    [anon_sym_public] = ACTIONS(3188),
    [anon_sym_private] = ACTIONS(3188),
    [anon_sym_protected] = ACTIONS(3188),
    [anon_sym_override] = ACTIONS(3188),
    [anon_sym_module] = ACTIONS(3188),
    [anon_sym_any] = ACTIONS(3188),
    [anon_sym_number] = ACTIONS(3188),
    [anon_sym_boolean] = ACTIONS(3188),
    [anon_sym_string] = ACTIONS(3188),
    [anon_sym_symbol] = ACTIONS(3188),
    [anon_sym_object] = ACTIONS(3188),
    [anon_sym_abstract] = ACTIONS(3188),
    [anon_sym_interface] = ACTIONS(3188),
    [anon_sym_enum] = ACTIONS(3188),
    [sym_html_comment] = ACTIONS(5),
  },
  [1588] = {
    [sym_comment] = STATE(1588),
    [ts_builtin_sym_end] = ACTIONS(3388),
    [sym_identifier] = ACTIONS(3278),
    [anon_sym_export] = ACTIONS(3278),
    [anon_sym_type] = ACTIONS(3278),
    [anon_sym_namespace] = ACTIONS(3278),
    [anon_sym_LBRACE] = ACTIONS(3278),
    [anon_sym_RBRACE] = ACTIONS(3278),
    [anon_sym_typeof] = ACTIONS(3278),
    [anon_sym_import] = ACTIONS(3278),
    [anon_sym_with] = ACTIONS(3278),
    [anon_sym_var] = ACTIONS(3278),
    [anon_sym_let] = ACTIONS(3278),
    [anon_sym_const] = ACTIONS(3278),
    [anon_sym_BANG] = ACTIONS(3278),
    [anon_sym_if] = ACTIONS(3278),
    [anon_sym_switch] = ACTIONS(3278),
    [anon_sym_for] = ACTIONS(3278),
    [anon_sym_LPAREN] = ACTIONS(3278),
    [anon_sym_await] = ACTIONS(3278),
    [anon_sym_while] = ACTIONS(3278),
    [anon_sym_do] = ACTIONS(3278),
    [anon_sym_try] = ACTIONS(3278),
    [anon_sym_break] = ACTIONS(3278),
    [anon_sym_continue] = ACTIONS(3278),
    [anon_sym_debugger] = ACTIONS(3278),
    [anon_sym_return] = ACTIONS(3278),
    [anon_sym_throw] = ACTIONS(3278),
    [anon_sym_SEMI] = ACTIONS(3278),
    [anon_sym_yield] = ACTIONS(3278),
    [anon_sym_LBRACK] = ACTIONS(3278),
    [anon_sym_LTtemplate_GT] = ACTIONS(3278),
    [anon_sym_DQUOTE] = ACTIONS(3278),
    [anon_sym_SQUOTE] = ACTIONS(3278),
    [anon_sym_class] = ACTIONS(3278),
    [anon_sym_async] = ACTIONS(3278),
    [anon_sym_function] = ACTIONS(3278),
    [anon_sym_new] = ACTIONS(3278),
    [anon_sym_using] = ACTIONS(3278),
    [anon_sym_PLUS] = ACTIONS(3278),
    [anon_sym_DASH] = ACTIONS(3278),
    [anon_sym_SLASH] = ACTIONS(3278),
    [anon_sym_LT] = ACTIONS(3278),
    [anon_sym_TILDE] = ACTIONS(3278),
    [anon_sym_void] = ACTIONS(3278),
    [anon_sym_delete] = ACTIONS(3278),
    [anon_sym_PLUS_PLUS] = ACTIONS(3278),
    [anon_sym_DASH_DASH] = ACTIONS(3278),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3278),
    [sym_number] = ACTIONS(3278),
    [sym_private_property_identifier] = ACTIONS(3278),
    [sym_this] = ACTIONS(3278),
    [sym_super] = ACTIONS(3278),
    [sym_true] = ACTIONS(3278),
    [sym_false] = ACTIONS(3278),
    [sym_null] = ACTIONS(3278),
    [sym_undefined] = ACTIONS(3278),
    [anon_sym_AT] = ACTIONS(3278),
    [anon_sym_static] = ACTIONS(3278),
    [anon_sym_readonly] = ACTIONS(3278),
    [anon_sym_get] = ACTIONS(3278),
    [anon_sym_set] = ACTIONS(3278),
    [anon_sym_declare] = ACTIONS(3278),
    [anon_sym_public] = ACTIONS(3278),
    [anon_sym_private] = ACTIONS(3278),
    [anon_sym_protected] = ACTIONS(3278),
    [anon_sym_override] = ACTIONS(3278),
    [anon_sym_module] = ACTIONS(3278),
    [anon_sym_any] = ACTIONS(3278),
    [anon_sym_number] = ACTIONS(3278),
    [anon_sym_boolean] = ACTIONS(3278),
    [anon_sym_string] = ACTIONS(3278),
    [anon_sym_symbol] = ACTIONS(3278),
    [anon_sym_object] = ACTIONS(3278),
    [anon_sym_abstract] = ACTIONS(3278),
    [anon_sym_interface] = ACTIONS(3278),
    [anon_sym_enum] = ACTIONS(3278),
    [sym_html_comment] = ACTIONS(5),
  },
  [1589] = {
    [sym_comment] = STATE(1589),
    [ts_builtin_sym_end] = ACTIONS(3434),
    [sym_identifier] = ACTIONS(3192),
    [anon_sym_export] = ACTIONS(3192),
    [anon_sym_type] = ACTIONS(3192),
    [anon_sym_namespace] = ACTIONS(3192),
    [anon_sym_LBRACE] = ACTIONS(3192),
    [anon_sym_RBRACE] = ACTIONS(3192),
    [anon_sym_typeof] = ACTIONS(3192),
    [anon_sym_import] = ACTIONS(3192),
    [anon_sym_with] = ACTIONS(3192),
    [anon_sym_var] = ACTIONS(3192),
    [anon_sym_let] = ACTIONS(3192),
    [anon_sym_const] = ACTIONS(3192),
    [anon_sym_BANG] = ACTIONS(3192),
    [anon_sym_if] = ACTIONS(3192),
    [anon_sym_switch] = ACTIONS(3192),
    [anon_sym_for] = ACTIONS(3192),
    [anon_sym_LPAREN] = ACTIONS(3192),
    [anon_sym_await] = ACTIONS(3192),
    [anon_sym_while] = ACTIONS(3192),
    [anon_sym_do] = ACTIONS(3192),
    [anon_sym_try] = ACTIONS(3192),
    [anon_sym_break] = ACTIONS(3192),
    [anon_sym_continue] = ACTIONS(3192),
    [anon_sym_debugger] = ACTIONS(3192),
    [anon_sym_return] = ACTIONS(3192),
    [anon_sym_throw] = ACTIONS(3192),
    [anon_sym_SEMI] = ACTIONS(3192),
    [anon_sym_yield] = ACTIONS(3192),
    [anon_sym_LBRACK] = ACTIONS(3192),
    [anon_sym_LTtemplate_GT] = ACTIONS(3192),
    [anon_sym_DQUOTE] = ACTIONS(3192),
    [anon_sym_SQUOTE] = ACTIONS(3192),
    [anon_sym_class] = ACTIONS(3192),
    [anon_sym_async] = ACTIONS(3192),
    [anon_sym_function] = ACTIONS(3192),
    [anon_sym_new] = ACTIONS(3192),
    [anon_sym_using] = ACTIONS(3192),
    [anon_sym_PLUS] = ACTIONS(3192),
    [anon_sym_DASH] = ACTIONS(3192),
    [anon_sym_SLASH] = ACTIONS(3192),
    [anon_sym_LT] = ACTIONS(3192),
    [anon_sym_TILDE] = ACTIONS(3192),
    [anon_sym_void] = ACTIONS(3192),
    [anon_sym_delete] = ACTIONS(3192),
    [anon_sym_PLUS_PLUS] = ACTIONS(3192),
    [anon_sym_DASH_DASH] = ACTIONS(3192),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3192),
    [sym_number] = ACTIONS(3192),
    [sym_private_property_identifier] = ACTIONS(3192),
    [sym_this] = ACTIONS(3192),
    [sym_super] = ACTIONS(3192),
    [sym_true] = ACTIONS(3192),
    [sym_false] = ACTIONS(3192),
    [sym_null] = ACTIONS(3192),
    [sym_undefined] = ACTIONS(3192),
    [anon_sym_AT] = ACTIONS(3192),
    [anon_sym_static] = ACTIONS(3192),
    [anon_sym_readonly] = ACTIONS(3192),
    [anon_sym_get] = ACTIONS(3192),
    [anon_sym_set] = ACTIONS(3192),
    [anon_sym_declare] = ACTIONS(3192),
    [anon_sym_public] = ACTIONS(3192),
    [anon_sym_private] = ACTIONS(3192),
    [anon_sym_protected] = ACTIONS(3192),
    [anon_sym_override] = ACTIONS(3192),
    [anon_sym_module] = ACTIONS(3192),
    [anon_sym_any] = ACTIONS(3192),
    [anon_sym_number] = ACTIONS(3192),
    [anon_sym_boolean] = ACTIONS(3192),
    [anon_sym_string] = ACTIONS(3192),
    [anon_sym_symbol] = ACTIONS(3192),
    [anon_sym_object] = ACTIONS(3192),
    [anon_sym_abstract] = ACTIONS(3192),
    [anon_sym_interface] = ACTIONS(3192),
    [anon_sym_enum] = ACTIONS(3192),
    [sym_html_comment] = ACTIONS(5),
  },
  [1590] = {
    [sym_comment] = STATE(1590),
    [ts_builtin_sym_end] = ACTIONS(3436),
    [sym_identifier] = ACTIONS(3196),
    [anon_sym_export] = ACTIONS(3196),
    [anon_sym_type] = ACTIONS(3196),
    [anon_sym_namespace] = ACTIONS(3196),
    [anon_sym_LBRACE] = ACTIONS(3196),
    [anon_sym_RBRACE] = ACTIONS(3196),
    [anon_sym_typeof] = ACTIONS(3196),
    [anon_sym_import] = ACTIONS(3196),
    [anon_sym_with] = ACTIONS(3196),
    [anon_sym_var] = ACTIONS(3196),
    [anon_sym_let] = ACTIONS(3196),
    [anon_sym_const] = ACTIONS(3196),
    [anon_sym_BANG] = ACTIONS(3196),
    [anon_sym_if] = ACTIONS(3196),
    [anon_sym_switch] = ACTIONS(3196),
    [anon_sym_for] = ACTIONS(3196),
    [anon_sym_LPAREN] = ACTIONS(3196),
    [anon_sym_await] = ACTIONS(3196),
    [anon_sym_while] = ACTIONS(3196),
    [anon_sym_do] = ACTIONS(3196),
    [anon_sym_try] = ACTIONS(3196),
    [anon_sym_break] = ACTIONS(3196),
    [anon_sym_continue] = ACTIONS(3196),
    [anon_sym_debugger] = ACTIONS(3196),
    [anon_sym_return] = ACTIONS(3196),
    [anon_sym_throw] = ACTIONS(3196),
    [anon_sym_SEMI] = ACTIONS(3196),
    [anon_sym_yield] = ACTIONS(3196),
    [anon_sym_LBRACK] = ACTIONS(3196),
    [anon_sym_LTtemplate_GT] = ACTIONS(3196),
    [anon_sym_DQUOTE] = ACTIONS(3196),
    [anon_sym_SQUOTE] = ACTIONS(3196),
    [anon_sym_class] = ACTIONS(3196),
    [anon_sym_async] = ACTIONS(3196),
    [anon_sym_function] = ACTIONS(3196),
    [anon_sym_new] = ACTIONS(3196),
    [anon_sym_using] = ACTIONS(3196),
    [anon_sym_PLUS] = ACTIONS(3196),
    [anon_sym_DASH] = ACTIONS(3196),
    [anon_sym_SLASH] = ACTIONS(3196),
    [anon_sym_LT] = ACTIONS(3196),
    [anon_sym_TILDE] = ACTIONS(3196),
    [anon_sym_void] = ACTIONS(3196),
    [anon_sym_delete] = ACTIONS(3196),
    [anon_sym_PLUS_PLUS] = ACTIONS(3196),
    [anon_sym_DASH_DASH] = ACTIONS(3196),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3196),
    [sym_number] = ACTIONS(3196),
    [sym_private_property_identifier] = ACTIONS(3196),
    [sym_this] = ACTIONS(3196),
    [sym_super] = ACTIONS(3196),
    [sym_true] = ACTIONS(3196),
    [sym_false] = ACTIONS(3196),
    [sym_null] = ACTIONS(3196),
    [sym_undefined] = ACTIONS(3196),
    [anon_sym_AT] = ACTIONS(3196),
    [anon_sym_static] = ACTIONS(3196),
    [anon_sym_readonly] = ACTIONS(3196),
    [anon_sym_get] = ACTIONS(3196),
    [anon_sym_set] = ACTIONS(3196),
    [anon_sym_declare] = ACTIONS(3196),
    [anon_sym_public] = ACTIONS(3196),
    [anon_sym_private] = ACTIONS(3196),
    [anon_sym_protected] = ACTIONS(3196),
    [anon_sym_override] = ACTIONS(3196),
    [anon_sym_module] = ACTIONS(3196),
    [anon_sym_any] = ACTIONS(3196),
    [anon_sym_number] = ACTIONS(3196),
    [anon_sym_boolean] = ACTIONS(3196),
    [anon_sym_string] = ACTIONS(3196),
    [anon_sym_symbol] = ACTIONS(3196),
    [anon_sym_object] = ACTIONS(3196),
    [anon_sym_abstract] = ACTIONS(3196),
    [anon_sym_interface] = ACTIONS(3196),
    [anon_sym_enum] = ACTIONS(3196),
    [sym_html_comment] = ACTIONS(5),
  },
  [1591] = {
    [sym_comment] = STATE(1591),
    [ts_builtin_sym_end] = ACTIONS(3440),
    [sym_identifier] = ACTIONS(3172),
    [anon_sym_export] = ACTIONS(3172),
    [anon_sym_type] = ACTIONS(3172),
    [anon_sym_namespace] = ACTIONS(3172),
    [anon_sym_LBRACE] = ACTIONS(3172),
    [anon_sym_RBRACE] = ACTIONS(3172),
    [anon_sym_typeof] = ACTIONS(3172),
    [anon_sym_import] = ACTIONS(3172),
    [anon_sym_with] = ACTIONS(3172),
    [anon_sym_var] = ACTIONS(3172),
    [anon_sym_let] = ACTIONS(3172),
    [anon_sym_const] = ACTIONS(3172),
    [anon_sym_BANG] = ACTIONS(3172),
    [anon_sym_if] = ACTIONS(3172),
    [anon_sym_switch] = ACTIONS(3172),
    [anon_sym_for] = ACTIONS(3172),
    [anon_sym_LPAREN] = ACTIONS(3172),
    [anon_sym_await] = ACTIONS(3172),
    [anon_sym_while] = ACTIONS(3172),
    [anon_sym_do] = ACTIONS(3172),
    [anon_sym_try] = ACTIONS(3172),
    [anon_sym_break] = ACTIONS(3172),
    [anon_sym_continue] = ACTIONS(3172),
    [anon_sym_debugger] = ACTIONS(3172),
    [anon_sym_return] = ACTIONS(3172),
    [anon_sym_throw] = ACTIONS(3172),
    [anon_sym_SEMI] = ACTIONS(3172),
    [anon_sym_yield] = ACTIONS(3172),
    [anon_sym_LBRACK] = ACTIONS(3172),
    [anon_sym_LTtemplate_GT] = ACTIONS(3172),
    [anon_sym_DQUOTE] = ACTIONS(3172),
    [anon_sym_SQUOTE] = ACTIONS(3172),
    [anon_sym_class] = ACTIONS(3172),
    [anon_sym_async] = ACTIONS(3172),
    [anon_sym_function] = ACTIONS(3172),
    [anon_sym_new] = ACTIONS(3172),
    [anon_sym_using] = ACTIONS(3172),
    [anon_sym_PLUS] = ACTIONS(3172),
    [anon_sym_DASH] = ACTIONS(3172),
    [anon_sym_SLASH] = ACTIONS(3172),
    [anon_sym_LT] = ACTIONS(3172),
    [anon_sym_TILDE] = ACTIONS(3172),
    [anon_sym_void] = ACTIONS(3172),
    [anon_sym_delete] = ACTIONS(3172),
    [anon_sym_PLUS_PLUS] = ACTIONS(3172),
    [anon_sym_DASH_DASH] = ACTIONS(3172),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3172),
    [sym_number] = ACTIONS(3172),
    [sym_private_property_identifier] = ACTIONS(3172),
    [sym_this] = ACTIONS(3172),
    [sym_super] = ACTIONS(3172),
    [sym_true] = ACTIONS(3172),
    [sym_false] = ACTIONS(3172),
    [sym_null] = ACTIONS(3172),
    [sym_undefined] = ACTIONS(3172),
    [anon_sym_AT] = ACTIONS(3172),
    [anon_sym_static] = ACTIONS(3172),
    [anon_sym_readonly] = ACTIONS(3172),
    [anon_sym_get] = ACTIONS(3172),
    [anon_sym_set] = ACTIONS(3172),
    [anon_sym_declare] = ACTIONS(3172),
    [anon_sym_public] = ACTIONS(3172),
    [anon_sym_private] = ACTIONS(3172),
    [anon_sym_protected] = ACTIONS(3172),
    [anon_sym_override] = ACTIONS(3172),
    [anon_sym_module] = ACTIONS(3172),
    [anon_sym_any] = ACTIONS(3172),
    [anon_sym_number] = ACTIONS(3172),
    [anon_sym_boolean] = ACTIONS(3172),
    [anon_sym_string] = ACTIONS(3172),
    [anon_sym_symbol] = ACTIONS(3172),
    [anon_sym_object] = ACTIONS(3172),
    [anon_sym_abstract] = ACTIONS(3172),
    [anon_sym_interface] = ACTIONS(3172),
    [anon_sym_enum] = ACTIONS(3172),
    [sym_html_comment] = ACTIONS(5),
  },
  [1592] = {
    [sym_comment] = STATE(1592),
    [ts_builtin_sym_end] = ACTIONS(2147),
    [sym_identifier] = ACTIONS(2145),
    [anon_sym_export] = ACTIONS(2145),
    [anon_sym_type] = ACTIONS(2145),
    [anon_sym_namespace] = ACTIONS(2145),
    [anon_sym_LBRACE] = ACTIONS(2145),
    [anon_sym_RBRACE] = ACTIONS(2145),
    [anon_sym_typeof] = ACTIONS(2145),
    [anon_sym_import] = ACTIONS(2145),
    [anon_sym_with] = ACTIONS(2145),
    [anon_sym_var] = ACTIONS(2145),
    [anon_sym_let] = ACTIONS(2145),
    [anon_sym_const] = ACTIONS(2145),
    [anon_sym_BANG] = ACTIONS(2145),
    [anon_sym_if] = ACTIONS(2145),
    [anon_sym_switch] = ACTIONS(2145),
    [anon_sym_for] = ACTIONS(2145),
    [anon_sym_LPAREN] = ACTIONS(2145),
    [anon_sym_await] = ACTIONS(2145),
    [anon_sym_while] = ACTIONS(2145),
    [anon_sym_do] = ACTIONS(2145),
    [anon_sym_try] = ACTIONS(2145),
    [anon_sym_break] = ACTIONS(2145),
    [anon_sym_continue] = ACTIONS(2145),
    [anon_sym_debugger] = ACTIONS(2145),
    [anon_sym_return] = ACTIONS(2145),
    [anon_sym_throw] = ACTIONS(2145),
    [anon_sym_SEMI] = ACTIONS(2145),
    [anon_sym_yield] = ACTIONS(2145),
    [anon_sym_LBRACK] = ACTIONS(2145),
    [anon_sym_LTtemplate_GT] = ACTIONS(2145),
    [anon_sym_DQUOTE] = ACTIONS(2145),
    [anon_sym_SQUOTE] = ACTIONS(2145),
    [anon_sym_class] = ACTIONS(2145),
    [anon_sym_async] = ACTIONS(2145),
    [anon_sym_function] = ACTIONS(2145),
    [anon_sym_new] = ACTIONS(2145),
    [anon_sym_using] = ACTIONS(2145),
    [anon_sym_PLUS] = ACTIONS(2145),
    [anon_sym_DASH] = ACTIONS(2145),
    [anon_sym_SLASH] = ACTIONS(2145),
    [anon_sym_LT] = ACTIONS(2145),
    [anon_sym_TILDE] = ACTIONS(2145),
    [anon_sym_void] = ACTIONS(2145),
    [anon_sym_delete] = ACTIONS(2145),
    [anon_sym_PLUS_PLUS] = ACTIONS(2145),
    [anon_sym_DASH_DASH] = ACTIONS(2145),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2145),
    [sym_number] = ACTIONS(2145),
    [sym_private_property_identifier] = ACTIONS(2145),
    [sym_this] = ACTIONS(2145),
    [sym_super] = ACTIONS(2145),
    [sym_true] = ACTIONS(2145),
    [sym_false] = ACTIONS(2145),
    [sym_null] = ACTIONS(2145),
    [sym_undefined] = ACTIONS(2145),
    [anon_sym_AT] = ACTIONS(2145),
    [anon_sym_static] = ACTIONS(2145),
    [anon_sym_readonly] = ACTIONS(2145),
    [anon_sym_get] = ACTIONS(2145),
    [anon_sym_set] = ACTIONS(2145),
    [anon_sym_declare] = ACTIONS(2145),
    [anon_sym_public] = ACTIONS(2145),
    [anon_sym_private] = ACTIONS(2145),
    [anon_sym_protected] = ACTIONS(2145),
    [anon_sym_override] = ACTIONS(2145),
    [anon_sym_module] = ACTIONS(2145),
    [anon_sym_any] = ACTIONS(2145),
    [anon_sym_number] = ACTIONS(2145),
    [anon_sym_boolean] = ACTIONS(2145),
    [anon_sym_string] = ACTIONS(2145),
    [anon_sym_symbol] = ACTIONS(2145),
    [anon_sym_object] = ACTIONS(2145),
    [anon_sym_abstract] = ACTIONS(2145),
    [anon_sym_interface] = ACTIONS(2145),
    [anon_sym_enum] = ACTIONS(2145),
    [sym_html_comment] = ACTIONS(5),
  },
  [1593] = {
    [sym_comment] = STATE(1593),
    [ts_builtin_sym_end] = ACTIONS(3492),
    [sym_identifier] = ACTIONS(3234),
    [anon_sym_export] = ACTIONS(3234),
    [anon_sym_type] = ACTIONS(3234),
    [anon_sym_namespace] = ACTIONS(3234),
    [anon_sym_LBRACE] = ACTIONS(3234),
    [anon_sym_RBRACE] = ACTIONS(3234),
    [anon_sym_typeof] = ACTIONS(3234),
    [anon_sym_import] = ACTIONS(3234),
    [anon_sym_with] = ACTIONS(3234),
    [anon_sym_var] = ACTIONS(3234),
    [anon_sym_let] = ACTIONS(3234),
    [anon_sym_const] = ACTIONS(3234),
    [anon_sym_BANG] = ACTIONS(3234),
    [anon_sym_if] = ACTIONS(3234),
    [anon_sym_switch] = ACTIONS(3234),
    [anon_sym_for] = ACTIONS(3234),
    [anon_sym_LPAREN] = ACTIONS(3234),
    [anon_sym_await] = ACTIONS(3234),
    [anon_sym_while] = ACTIONS(3234),
    [anon_sym_do] = ACTIONS(3234),
    [anon_sym_try] = ACTIONS(3234),
    [anon_sym_break] = ACTIONS(3234),
    [anon_sym_continue] = ACTIONS(3234),
    [anon_sym_debugger] = ACTIONS(3234),
    [anon_sym_return] = ACTIONS(3234),
    [anon_sym_throw] = ACTIONS(3234),
    [anon_sym_SEMI] = ACTIONS(3234),
    [anon_sym_yield] = ACTIONS(3234),
    [anon_sym_LBRACK] = ACTIONS(3234),
    [anon_sym_LTtemplate_GT] = ACTIONS(3234),
    [anon_sym_DQUOTE] = ACTIONS(3234),
    [anon_sym_SQUOTE] = ACTIONS(3234),
    [anon_sym_class] = ACTIONS(3234),
    [anon_sym_async] = ACTIONS(3234),
    [anon_sym_function] = ACTIONS(3234),
    [anon_sym_new] = ACTIONS(3234),
    [anon_sym_using] = ACTIONS(3234),
    [anon_sym_PLUS] = ACTIONS(3234),
    [anon_sym_DASH] = ACTIONS(3234),
    [anon_sym_SLASH] = ACTIONS(3234),
    [anon_sym_LT] = ACTIONS(3234),
    [anon_sym_TILDE] = ACTIONS(3234),
    [anon_sym_void] = ACTIONS(3234),
    [anon_sym_delete] = ACTIONS(3234),
    [anon_sym_PLUS_PLUS] = ACTIONS(3234),
    [anon_sym_DASH_DASH] = ACTIONS(3234),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3234),
    [sym_number] = ACTIONS(3234),
    [sym_private_property_identifier] = ACTIONS(3234),
    [sym_this] = ACTIONS(3234),
    [sym_super] = ACTIONS(3234),
    [sym_true] = ACTIONS(3234),
    [sym_false] = ACTIONS(3234),
    [sym_null] = ACTIONS(3234),
    [sym_undefined] = ACTIONS(3234),
    [anon_sym_AT] = ACTIONS(3234),
    [anon_sym_static] = ACTIONS(3234),
    [anon_sym_readonly] = ACTIONS(3234),
    [anon_sym_get] = ACTIONS(3234),
    [anon_sym_set] = ACTIONS(3234),
    [anon_sym_declare] = ACTIONS(3234),
    [anon_sym_public] = ACTIONS(3234),
    [anon_sym_private] = ACTIONS(3234),
    [anon_sym_protected] = ACTIONS(3234),
    [anon_sym_override] = ACTIONS(3234),
    [anon_sym_module] = ACTIONS(3234),
    [anon_sym_any] = ACTIONS(3234),
    [anon_sym_number] = ACTIONS(3234),
    [anon_sym_boolean] = ACTIONS(3234),
    [anon_sym_string] = ACTIONS(3234),
    [anon_sym_symbol] = ACTIONS(3234),
    [anon_sym_object] = ACTIONS(3234),
    [anon_sym_abstract] = ACTIONS(3234),
    [anon_sym_interface] = ACTIONS(3234),
    [anon_sym_enum] = ACTIONS(3234),
    [sym_html_comment] = ACTIONS(5),
  },
  [1594] = {
    [sym_comment] = STATE(1594),
    [ts_builtin_sym_end] = ACTIONS(3492),
    [sym_identifier] = ACTIONS(3234),
    [anon_sym_export] = ACTIONS(3234),
    [anon_sym_type] = ACTIONS(3234),
    [anon_sym_namespace] = ACTIONS(3234),
    [anon_sym_LBRACE] = ACTIONS(3234),
    [anon_sym_RBRACE] = ACTIONS(3234),
    [anon_sym_typeof] = ACTIONS(3234),
    [anon_sym_import] = ACTIONS(3234),
    [anon_sym_with] = ACTIONS(3234),
    [anon_sym_var] = ACTIONS(3234),
    [anon_sym_let] = ACTIONS(3234),
    [anon_sym_const] = ACTIONS(3234),
    [anon_sym_BANG] = ACTIONS(3234),
    [anon_sym_if] = ACTIONS(3234),
    [anon_sym_switch] = ACTIONS(3234),
    [anon_sym_for] = ACTIONS(3234),
    [anon_sym_LPAREN] = ACTIONS(3234),
    [anon_sym_await] = ACTIONS(3234),
    [anon_sym_while] = ACTIONS(3234),
    [anon_sym_do] = ACTIONS(3234),
    [anon_sym_try] = ACTIONS(3234),
    [anon_sym_break] = ACTIONS(3234),
    [anon_sym_continue] = ACTIONS(3234),
    [anon_sym_debugger] = ACTIONS(3234),
    [anon_sym_return] = ACTIONS(3234),
    [anon_sym_throw] = ACTIONS(3234),
    [anon_sym_SEMI] = ACTIONS(3234),
    [anon_sym_yield] = ACTIONS(3234),
    [anon_sym_LBRACK] = ACTIONS(3234),
    [anon_sym_LTtemplate_GT] = ACTIONS(3234),
    [anon_sym_DQUOTE] = ACTIONS(3234),
    [anon_sym_SQUOTE] = ACTIONS(3234),
    [anon_sym_class] = ACTIONS(3234),
    [anon_sym_async] = ACTIONS(3234),
    [anon_sym_function] = ACTIONS(3234),
    [anon_sym_new] = ACTIONS(3234),
    [anon_sym_using] = ACTIONS(3234),
    [anon_sym_PLUS] = ACTIONS(3234),
    [anon_sym_DASH] = ACTIONS(3234),
    [anon_sym_SLASH] = ACTIONS(3234),
    [anon_sym_LT] = ACTIONS(3234),
    [anon_sym_TILDE] = ACTIONS(3234),
    [anon_sym_void] = ACTIONS(3234),
    [anon_sym_delete] = ACTIONS(3234),
    [anon_sym_PLUS_PLUS] = ACTIONS(3234),
    [anon_sym_DASH_DASH] = ACTIONS(3234),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3234),
    [sym_number] = ACTIONS(3234),
    [sym_private_property_identifier] = ACTIONS(3234),
    [sym_this] = ACTIONS(3234),
    [sym_super] = ACTIONS(3234),
    [sym_true] = ACTIONS(3234),
    [sym_false] = ACTIONS(3234),
    [sym_null] = ACTIONS(3234),
    [sym_undefined] = ACTIONS(3234),
    [anon_sym_AT] = ACTIONS(3234),
    [anon_sym_static] = ACTIONS(3234),
    [anon_sym_readonly] = ACTIONS(3234),
    [anon_sym_get] = ACTIONS(3234),
    [anon_sym_set] = ACTIONS(3234),
    [anon_sym_declare] = ACTIONS(3234),
    [anon_sym_public] = ACTIONS(3234),
    [anon_sym_private] = ACTIONS(3234),
    [anon_sym_protected] = ACTIONS(3234),
    [anon_sym_override] = ACTIONS(3234),
    [anon_sym_module] = ACTIONS(3234),
    [anon_sym_any] = ACTIONS(3234),
    [anon_sym_number] = ACTIONS(3234),
    [anon_sym_boolean] = ACTIONS(3234),
    [anon_sym_string] = ACTIONS(3234),
    [anon_sym_symbol] = ACTIONS(3234),
    [anon_sym_object] = ACTIONS(3234),
    [anon_sym_abstract] = ACTIONS(3234),
    [anon_sym_interface] = ACTIONS(3234),
    [anon_sym_enum] = ACTIONS(3234),
    [sym_html_comment] = ACTIONS(5),
  },
  [1595] = {
    [sym_comment] = STATE(1595),
    [ts_builtin_sym_end] = ACTIONS(3490),
    [sym_identifier] = ACTIONS(3236),
    [anon_sym_export] = ACTIONS(3236),
    [anon_sym_type] = ACTIONS(3236),
    [anon_sym_namespace] = ACTIONS(3236),
    [anon_sym_LBRACE] = ACTIONS(3236),
    [anon_sym_RBRACE] = ACTIONS(3236),
    [anon_sym_typeof] = ACTIONS(3236),
    [anon_sym_import] = ACTIONS(3236),
    [anon_sym_with] = ACTIONS(3236),
    [anon_sym_var] = ACTIONS(3236),
    [anon_sym_let] = ACTIONS(3236),
    [anon_sym_const] = ACTIONS(3236),
    [anon_sym_BANG] = ACTIONS(3236),
    [anon_sym_if] = ACTIONS(3236),
    [anon_sym_switch] = ACTIONS(3236),
    [anon_sym_for] = ACTIONS(3236),
    [anon_sym_LPAREN] = ACTIONS(3236),
    [anon_sym_await] = ACTIONS(3236),
    [anon_sym_while] = ACTIONS(3236),
    [anon_sym_do] = ACTIONS(3236),
    [anon_sym_try] = ACTIONS(3236),
    [anon_sym_break] = ACTIONS(3236),
    [anon_sym_continue] = ACTIONS(3236),
    [anon_sym_debugger] = ACTIONS(3236),
    [anon_sym_return] = ACTIONS(3236),
    [anon_sym_throw] = ACTIONS(3236),
    [anon_sym_SEMI] = ACTIONS(3236),
    [anon_sym_yield] = ACTIONS(3236),
    [anon_sym_LBRACK] = ACTIONS(3236),
    [anon_sym_LTtemplate_GT] = ACTIONS(3236),
    [anon_sym_DQUOTE] = ACTIONS(3236),
    [anon_sym_SQUOTE] = ACTIONS(3236),
    [anon_sym_class] = ACTIONS(3236),
    [anon_sym_async] = ACTIONS(3236),
    [anon_sym_function] = ACTIONS(3236),
    [anon_sym_new] = ACTIONS(3236),
    [anon_sym_using] = ACTIONS(3236),
    [anon_sym_PLUS] = ACTIONS(3236),
    [anon_sym_DASH] = ACTIONS(3236),
    [anon_sym_SLASH] = ACTIONS(3236),
    [anon_sym_LT] = ACTIONS(3236),
    [anon_sym_TILDE] = ACTIONS(3236),
    [anon_sym_void] = ACTIONS(3236),
    [anon_sym_delete] = ACTIONS(3236),
    [anon_sym_PLUS_PLUS] = ACTIONS(3236),
    [anon_sym_DASH_DASH] = ACTIONS(3236),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3236),
    [sym_number] = ACTIONS(3236),
    [sym_private_property_identifier] = ACTIONS(3236),
    [sym_this] = ACTIONS(3236),
    [sym_super] = ACTIONS(3236),
    [sym_true] = ACTIONS(3236),
    [sym_false] = ACTIONS(3236),
    [sym_null] = ACTIONS(3236),
    [sym_undefined] = ACTIONS(3236),
    [anon_sym_AT] = ACTIONS(3236),
    [anon_sym_static] = ACTIONS(3236),
    [anon_sym_readonly] = ACTIONS(3236),
    [anon_sym_get] = ACTIONS(3236),
    [anon_sym_set] = ACTIONS(3236),
    [anon_sym_declare] = ACTIONS(3236),
    [anon_sym_public] = ACTIONS(3236),
    [anon_sym_private] = ACTIONS(3236),
    [anon_sym_protected] = ACTIONS(3236),
    [anon_sym_override] = ACTIONS(3236),
    [anon_sym_module] = ACTIONS(3236),
    [anon_sym_any] = ACTIONS(3236),
    [anon_sym_number] = ACTIONS(3236),
    [anon_sym_boolean] = ACTIONS(3236),
    [anon_sym_string] = ACTIONS(3236),
    [anon_sym_symbol] = ACTIONS(3236),
    [anon_sym_object] = ACTIONS(3236),
    [anon_sym_abstract] = ACTIONS(3236),
    [anon_sym_interface] = ACTIONS(3236),
    [anon_sym_enum] = ACTIONS(3236),
    [sym_html_comment] = ACTIONS(5),
  },
  [1596] = {
    [sym_comment] = STATE(1596),
    [ts_builtin_sym_end] = ACTIONS(3400),
    [sym_identifier] = ACTIONS(3128),
    [anon_sym_export] = ACTIONS(3128),
    [anon_sym_type] = ACTIONS(3128),
    [anon_sym_namespace] = ACTIONS(3128),
    [anon_sym_LBRACE] = ACTIONS(3128),
    [anon_sym_RBRACE] = ACTIONS(3128),
    [anon_sym_typeof] = ACTIONS(3128),
    [anon_sym_import] = ACTIONS(3128),
    [anon_sym_with] = ACTIONS(3128),
    [anon_sym_var] = ACTIONS(3128),
    [anon_sym_let] = ACTIONS(3128),
    [anon_sym_const] = ACTIONS(3128),
    [anon_sym_BANG] = ACTIONS(3128),
    [anon_sym_if] = ACTIONS(3128),
    [anon_sym_switch] = ACTIONS(3128),
    [anon_sym_for] = ACTIONS(3128),
    [anon_sym_LPAREN] = ACTIONS(3128),
    [anon_sym_await] = ACTIONS(3128),
    [anon_sym_while] = ACTIONS(3128),
    [anon_sym_do] = ACTIONS(3128),
    [anon_sym_try] = ACTIONS(3128),
    [anon_sym_break] = ACTIONS(3128),
    [anon_sym_continue] = ACTIONS(3128),
    [anon_sym_debugger] = ACTIONS(3128),
    [anon_sym_return] = ACTIONS(3128),
    [anon_sym_throw] = ACTIONS(3128),
    [anon_sym_SEMI] = ACTIONS(3128),
    [anon_sym_yield] = ACTIONS(3128),
    [anon_sym_LBRACK] = ACTIONS(3128),
    [anon_sym_LTtemplate_GT] = ACTIONS(3128),
    [anon_sym_DQUOTE] = ACTIONS(3128),
    [anon_sym_SQUOTE] = ACTIONS(3128),
    [anon_sym_class] = ACTIONS(3128),
    [anon_sym_async] = ACTIONS(3128),
    [anon_sym_function] = ACTIONS(3128),
    [anon_sym_new] = ACTIONS(3128),
    [anon_sym_using] = ACTIONS(3128),
    [anon_sym_PLUS] = ACTIONS(3128),
    [anon_sym_DASH] = ACTIONS(3128),
    [anon_sym_SLASH] = ACTIONS(3128),
    [anon_sym_LT] = ACTIONS(3128),
    [anon_sym_TILDE] = ACTIONS(3128),
    [anon_sym_void] = ACTIONS(3128),
    [anon_sym_delete] = ACTIONS(3128),
    [anon_sym_PLUS_PLUS] = ACTIONS(3128),
    [anon_sym_DASH_DASH] = ACTIONS(3128),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3128),
    [sym_number] = ACTIONS(3128),
    [sym_private_property_identifier] = ACTIONS(3128),
    [sym_this] = ACTIONS(3128),
    [sym_super] = ACTIONS(3128),
    [sym_true] = ACTIONS(3128),
    [sym_false] = ACTIONS(3128),
    [sym_null] = ACTIONS(3128),
    [sym_undefined] = ACTIONS(3128),
    [anon_sym_AT] = ACTIONS(3128),
    [anon_sym_static] = ACTIONS(3128),
    [anon_sym_readonly] = ACTIONS(3128),
    [anon_sym_get] = ACTIONS(3128),
    [anon_sym_set] = ACTIONS(3128),
    [anon_sym_declare] = ACTIONS(3128),
    [anon_sym_public] = ACTIONS(3128),
    [anon_sym_private] = ACTIONS(3128),
    [anon_sym_protected] = ACTIONS(3128),
    [anon_sym_override] = ACTIONS(3128),
    [anon_sym_module] = ACTIONS(3128),
    [anon_sym_any] = ACTIONS(3128),
    [anon_sym_number] = ACTIONS(3128),
    [anon_sym_boolean] = ACTIONS(3128),
    [anon_sym_string] = ACTIONS(3128),
    [anon_sym_symbol] = ACTIONS(3128),
    [anon_sym_object] = ACTIONS(3128),
    [anon_sym_abstract] = ACTIONS(3128),
    [anon_sym_interface] = ACTIONS(3128),
    [anon_sym_enum] = ACTIONS(3128),
    [sym_html_comment] = ACTIONS(5),
  },
  [1597] = {
    [sym_comment] = STATE(1597),
    [ts_builtin_sym_end] = ACTIONS(3402),
    [sym_identifier] = ACTIONS(3134),
    [anon_sym_export] = ACTIONS(3134),
    [anon_sym_type] = ACTIONS(3134),
    [anon_sym_namespace] = ACTIONS(3134),
    [anon_sym_LBRACE] = ACTIONS(3134),
    [anon_sym_RBRACE] = ACTIONS(3134),
    [anon_sym_typeof] = ACTIONS(3134),
    [anon_sym_import] = ACTIONS(3134),
    [anon_sym_with] = ACTIONS(3134),
    [anon_sym_var] = ACTIONS(3134),
    [anon_sym_let] = ACTIONS(3134),
    [anon_sym_const] = ACTIONS(3134),
    [anon_sym_BANG] = ACTIONS(3134),
    [anon_sym_if] = ACTIONS(3134),
    [anon_sym_switch] = ACTIONS(3134),
    [anon_sym_for] = ACTIONS(3134),
    [anon_sym_LPAREN] = ACTIONS(3134),
    [anon_sym_await] = ACTIONS(3134),
    [anon_sym_while] = ACTIONS(3134),
    [anon_sym_do] = ACTIONS(3134),
    [anon_sym_try] = ACTIONS(3134),
    [anon_sym_break] = ACTIONS(3134),
    [anon_sym_continue] = ACTIONS(3134),
    [anon_sym_debugger] = ACTIONS(3134),
    [anon_sym_return] = ACTIONS(3134),
    [anon_sym_throw] = ACTIONS(3134),
    [anon_sym_SEMI] = ACTIONS(3134),
    [anon_sym_yield] = ACTIONS(3134),
    [anon_sym_LBRACK] = ACTIONS(3134),
    [anon_sym_LTtemplate_GT] = ACTIONS(3134),
    [anon_sym_DQUOTE] = ACTIONS(3134),
    [anon_sym_SQUOTE] = ACTIONS(3134),
    [anon_sym_class] = ACTIONS(3134),
    [anon_sym_async] = ACTIONS(3134),
    [anon_sym_function] = ACTIONS(3134),
    [anon_sym_new] = ACTIONS(3134),
    [anon_sym_using] = ACTIONS(3134),
    [anon_sym_PLUS] = ACTIONS(3134),
    [anon_sym_DASH] = ACTIONS(3134),
    [anon_sym_SLASH] = ACTIONS(3134),
    [anon_sym_LT] = ACTIONS(3134),
    [anon_sym_TILDE] = ACTIONS(3134),
    [anon_sym_void] = ACTIONS(3134),
    [anon_sym_delete] = ACTIONS(3134),
    [anon_sym_PLUS_PLUS] = ACTIONS(3134),
    [anon_sym_DASH_DASH] = ACTIONS(3134),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3134),
    [sym_number] = ACTIONS(3134),
    [sym_private_property_identifier] = ACTIONS(3134),
    [sym_this] = ACTIONS(3134),
    [sym_super] = ACTIONS(3134),
    [sym_true] = ACTIONS(3134),
    [sym_false] = ACTIONS(3134),
    [sym_null] = ACTIONS(3134),
    [sym_undefined] = ACTIONS(3134),
    [anon_sym_AT] = ACTIONS(3134),
    [anon_sym_static] = ACTIONS(3134),
    [anon_sym_readonly] = ACTIONS(3134),
    [anon_sym_get] = ACTIONS(3134),
    [anon_sym_set] = ACTIONS(3134),
    [anon_sym_declare] = ACTIONS(3134),
    [anon_sym_public] = ACTIONS(3134),
    [anon_sym_private] = ACTIONS(3134),
    [anon_sym_protected] = ACTIONS(3134),
    [anon_sym_override] = ACTIONS(3134),
    [anon_sym_module] = ACTIONS(3134),
    [anon_sym_any] = ACTIONS(3134),
    [anon_sym_number] = ACTIONS(3134),
    [anon_sym_boolean] = ACTIONS(3134),
    [anon_sym_string] = ACTIONS(3134),
    [anon_sym_symbol] = ACTIONS(3134),
    [anon_sym_object] = ACTIONS(3134),
    [anon_sym_abstract] = ACTIONS(3134),
    [anon_sym_interface] = ACTIONS(3134),
    [anon_sym_enum] = ACTIONS(3134),
    [sym_html_comment] = ACTIONS(5),
  },
  [1598] = {
    [sym_comment] = STATE(1598),
    [ts_builtin_sym_end] = ACTIONS(3404),
    [sym_identifier] = ACTIONS(3136),
    [anon_sym_export] = ACTIONS(3136),
    [anon_sym_type] = ACTIONS(3136),
    [anon_sym_namespace] = ACTIONS(3136),
    [anon_sym_LBRACE] = ACTIONS(3136),
    [anon_sym_RBRACE] = ACTIONS(3136),
    [anon_sym_typeof] = ACTIONS(3136),
    [anon_sym_import] = ACTIONS(3136),
    [anon_sym_with] = ACTIONS(3136),
    [anon_sym_var] = ACTIONS(3136),
    [anon_sym_let] = ACTIONS(3136),
    [anon_sym_const] = ACTIONS(3136),
    [anon_sym_BANG] = ACTIONS(3136),
    [anon_sym_if] = ACTIONS(3136),
    [anon_sym_switch] = ACTIONS(3136),
    [anon_sym_for] = ACTIONS(3136),
    [anon_sym_LPAREN] = ACTIONS(3136),
    [anon_sym_await] = ACTIONS(3136),
    [anon_sym_while] = ACTIONS(3136),
    [anon_sym_do] = ACTIONS(3136),
    [anon_sym_try] = ACTIONS(3136),
    [anon_sym_break] = ACTIONS(3136),
    [anon_sym_continue] = ACTIONS(3136),
    [anon_sym_debugger] = ACTIONS(3136),
    [anon_sym_return] = ACTIONS(3136),
    [anon_sym_throw] = ACTIONS(3136),
    [anon_sym_SEMI] = ACTIONS(3136),
    [anon_sym_yield] = ACTIONS(3136),
    [anon_sym_LBRACK] = ACTIONS(3136),
    [anon_sym_LTtemplate_GT] = ACTIONS(3136),
    [anon_sym_DQUOTE] = ACTIONS(3136),
    [anon_sym_SQUOTE] = ACTIONS(3136),
    [anon_sym_class] = ACTIONS(3136),
    [anon_sym_async] = ACTIONS(3136),
    [anon_sym_function] = ACTIONS(3136),
    [anon_sym_new] = ACTIONS(3136),
    [anon_sym_using] = ACTIONS(3136),
    [anon_sym_PLUS] = ACTIONS(3136),
    [anon_sym_DASH] = ACTIONS(3136),
    [anon_sym_SLASH] = ACTIONS(3136),
    [anon_sym_LT] = ACTIONS(3136),
    [anon_sym_TILDE] = ACTIONS(3136),
    [anon_sym_void] = ACTIONS(3136),
    [anon_sym_delete] = ACTIONS(3136),
    [anon_sym_PLUS_PLUS] = ACTIONS(3136),
    [anon_sym_DASH_DASH] = ACTIONS(3136),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3136),
    [sym_number] = ACTIONS(3136),
    [sym_private_property_identifier] = ACTIONS(3136),
    [sym_this] = ACTIONS(3136),
    [sym_super] = ACTIONS(3136),
    [sym_true] = ACTIONS(3136),
    [sym_false] = ACTIONS(3136),
    [sym_null] = ACTIONS(3136),
    [sym_undefined] = ACTIONS(3136),
    [anon_sym_AT] = ACTIONS(3136),
    [anon_sym_static] = ACTIONS(3136),
    [anon_sym_readonly] = ACTIONS(3136),
    [anon_sym_get] = ACTIONS(3136),
    [anon_sym_set] = ACTIONS(3136),
    [anon_sym_declare] = ACTIONS(3136),
    [anon_sym_public] = ACTIONS(3136),
    [anon_sym_private] = ACTIONS(3136),
    [anon_sym_protected] = ACTIONS(3136),
    [anon_sym_override] = ACTIONS(3136),
    [anon_sym_module] = ACTIONS(3136),
    [anon_sym_any] = ACTIONS(3136),
    [anon_sym_number] = ACTIONS(3136),
    [anon_sym_boolean] = ACTIONS(3136),
    [anon_sym_string] = ACTIONS(3136),
    [anon_sym_symbol] = ACTIONS(3136),
    [anon_sym_object] = ACTIONS(3136),
    [anon_sym_abstract] = ACTIONS(3136),
    [anon_sym_interface] = ACTIONS(3136),
    [anon_sym_enum] = ACTIONS(3136),
    [sym_html_comment] = ACTIONS(5),
  },
  [1599] = {
    [sym_comment] = STATE(1599),
    [ts_builtin_sym_end] = ACTIONS(3498),
    [sym_identifier] = ACTIONS(3358),
    [anon_sym_export] = ACTIONS(3358),
    [anon_sym_type] = ACTIONS(3358),
    [anon_sym_namespace] = ACTIONS(3358),
    [anon_sym_LBRACE] = ACTIONS(3358),
    [anon_sym_RBRACE] = ACTIONS(3358),
    [anon_sym_typeof] = ACTIONS(3358),
    [anon_sym_import] = ACTIONS(3358),
    [anon_sym_with] = ACTIONS(3358),
    [anon_sym_var] = ACTIONS(3358),
    [anon_sym_let] = ACTIONS(3358),
    [anon_sym_const] = ACTIONS(3358),
    [anon_sym_BANG] = ACTIONS(3358),
    [anon_sym_if] = ACTIONS(3358),
    [anon_sym_switch] = ACTIONS(3358),
    [anon_sym_for] = ACTIONS(3358),
    [anon_sym_LPAREN] = ACTIONS(3358),
    [anon_sym_await] = ACTIONS(3358),
    [anon_sym_while] = ACTIONS(3358),
    [anon_sym_do] = ACTIONS(3358),
    [anon_sym_try] = ACTIONS(3358),
    [anon_sym_break] = ACTIONS(3358),
    [anon_sym_continue] = ACTIONS(3358),
    [anon_sym_debugger] = ACTIONS(3358),
    [anon_sym_return] = ACTIONS(3358),
    [anon_sym_throw] = ACTIONS(3358),
    [anon_sym_SEMI] = ACTIONS(3358),
    [anon_sym_yield] = ACTIONS(3358),
    [anon_sym_LBRACK] = ACTIONS(3358),
    [anon_sym_LTtemplate_GT] = ACTIONS(3358),
    [anon_sym_DQUOTE] = ACTIONS(3358),
    [anon_sym_SQUOTE] = ACTIONS(3358),
    [anon_sym_class] = ACTIONS(3358),
    [anon_sym_async] = ACTIONS(3358),
    [anon_sym_function] = ACTIONS(3358),
    [anon_sym_new] = ACTIONS(3358),
    [anon_sym_using] = ACTIONS(3358),
    [anon_sym_PLUS] = ACTIONS(3358),
    [anon_sym_DASH] = ACTIONS(3358),
    [anon_sym_SLASH] = ACTIONS(3358),
    [anon_sym_LT] = ACTIONS(3358),
    [anon_sym_TILDE] = ACTIONS(3358),
    [anon_sym_void] = ACTIONS(3358),
    [anon_sym_delete] = ACTIONS(3358),
    [anon_sym_PLUS_PLUS] = ACTIONS(3358),
    [anon_sym_DASH_DASH] = ACTIONS(3358),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3358),
    [sym_number] = ACTIONS(3358),
    [sym_private_property_identifier] = ACTIONS(3358),
    [sym_this] = ACTIONS(3358),
    [sym_super] = ACTIONS(3358),
    [sym_true] = ACTIONS(3358),
    [sym_false] = ACTIONS(3358),
    [sym_null] = ACTIONS(3358),
    [sym_undefined] = ACTIONS(3358),
    [anon_sym_AT] = ACTIONS(3358),
    [anon_sym_static] = ACTIONS(3358),
    [anon_sym_readonly] = ACTIONS(3358),
    [anon_sym_get] = ACTIONS(3358),
    [anon_sym_set] = ACTIONS(3358),
    [anon_sym_declare] = ACTIONS(3358),
    [anon_sym_public] = ACTIONS(3358),
    [anon_sym_private] = ACTIONS(3358),
    [anon_sym_protected] = ACTIONS(3358),
    [anon_sym_override] = ACTIONS(3358),
    [anon_sym_module] = ACTIONS(3358),
    [anon_sym_any] = ACTIONS(3358),
    [anon_sym_number] = ACTIONS(3358),
    [anon_sym_boolean] = ACTIONS(3358),
    [anon_sym_string] = ACTIONS(3358),
    [anon_sym_symbol] = ACTIONS(3358),
    [anon_sym_object] = ACTIONS(3358),
    [anon_sym_abstract] = ACTIONS(3358),
    [anon_sym_interface] = ACTIONS(3358),
    [anon_sym_enum] = ACTIONS(3358),
    [sym_html_comment] = ACTIONS(5),
  },
  [1600] = {
    [sym_comment] = STATE(1600),
    [ts_builtin_sym_end] = ACTIONS(3498),
    [sym_identifier] = ACTIONS(3358),
    [anon_sym_export] = ACTIONS(3358),
    [anon_sym_type] = ACTIONS(3358),
    [anon_sym_namespace] = ACTIONS(3358),
    [anon_sym_LBRACE] = ACTIONS(3358),
    [anon_sym_RBRACE] = ACTIONS(3358),
    [anon_sym_typeof] = ACTIONS(3358),
    [anon_sym_import] = ACTIONS(3358),
    [anon_sym_with] = ACTIONS(3358),
    [anon_sym_var] = ACTIONS(3358),
    [anon_sym_let] = ACTIONS(3358),
    [anon_sym_const] = ACTIONS(3358),
    [anon_sym_BANG] = ACTIONS(3358),
    [anon_sym_if] = ACTIONS(3358),
    [anon_sym_switch] = ACTIONS(3358),
    [anon_sym_for] = ACTIONS(3358),
    [anon_sym_LPAREN] = ACTIONS(3358),
    [anon_sym_await] = ACTIONS(3358),
    [anon_sym_while] = ACTIONS(3358),
    [anon_sym_do] = ACTIONS(3358),
    [anon_sym_try] = ACTIONS(3358),
    [anon_sym_break] = ACTIONS(3358),
    [anon_sym_continue] = ACTIONS(3358),
    [anon_sym_debugger] = ACTIONS(3358),
    [anon_sym_return] = ACTIONS(3358),
    [anon_sym_throw] = ACTIONS(3358),
    [anon_sym_SEMI] = ACTIONS(3358),
    [anon_sym_yield] = ACTIONS(3358),
    [anon_sym_LBRACK] = ACTIONS(3358),
    [anon_sym_LTtemplate_GT] = ACTIONS(3358),
    [anon_sym_DQUOTE] = ACTIONS(3358),
    [anon_sym_SQUOTE] = ACTIONS(3358),
    [anon_sym_class] = ACTIONS(3358),
    [anon_sym_async] = ACTIONS(3358),
    [anon_sym_function] = ACTIONS(3358),
    [anon_sym_new] = ACTIONS(3358),
    [anon_sym_using] = ACTIONS(3358),
    [anon_sym_PLUS] = ACTIONS(3358),
    [anon_sym_DASH] = ACTIONS(3358),
    [anon_sym_SLASH] = ACTIONS(3358),
    [anon_sym_LT] = ACTIONS(3358),
    [anon_sym_TILDE] = ACTIONS(3358),
    [anon_sym_void] = ACTIONS(3358),
    [anon_sym_delete] = ACTIONS(3358),
    [anon_sym_PLUS_PLUS] = ACTIONS(3358),
    [anon_sym_DASH_DASH] = ACTIONS(3358),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3358),
    [sym_number] = ACTIONS(3358),
    [sym_private_property_identifier] = ACTIONS(3358),
    [sym_this] = ACTIONS(3358),
    [sym_super] = ACTIONS(3358),
    [sym_true] = ACTIONS(3358),
    [sym_false] = ACTIONS(3358),
    [sym_null] = ACTIONS(3358),
    [sym_undefined] = ACTIONS(3358),
    [anon_sym_AT] = ACTIONS(3358),
    [anon_sym_static] = ACTIONS(3358),
    [anon_sym_readonly] = ACTIONS(3358),
    [anon_sym_get] = ACTIONS(3358),
    [anon_sym_set] = ACTIONS(3358),
    [anon_sym_declare] = ACTIONS(3358),
    [anon_sym_public] = ACTIONS(3358),
    [anon_sym_private] = ACTIONS(3358),
    [anon_sym_protected] = ACTIONS(3358),
    [anon_sym_override] = ACTIONS(3358),
    [anon_sym_module] = ACTIONS(3358),
    [anon_sym_any] = ACTIONS(3358),
    [anon_sym_number] = ACTIONS(3358),
    [anon_sym_boolean] = ACTIONS(3358),
    [anon_sym_string] = ACTIONS(3358),
    [anon_sym_symbol] = ACTIONS(3358),
    [anon_sym_object] = ACTIONS(3358),
    [anon_sym_abstract] = ACTIONS(3358),
    [anon_sym_interface] = ACTIONS(3358),
    [anon_sym_enum] = ACTIONS(3358),
    [sym_html_comment] = ACTIONS(5),
  },
  [1601] = {
    [sym_comment] = STATE(1601),
    [ts_builtin_sym_end] = ACTIONS(2095),
    [sym_identifier] = ACTIONS(2093),
    [anon_sym_export] = ACTIONS(2093),
    [anon_sym_type] = ACTIONS(2093),
    [anon_sym_namespace] = ACTIONS(2093),
    [anon_sym_LBRACE] = ACTIONS(2093),
    [anon_sym_RBRACE] = ACTIONS(2093),
    [anon_sym_typeof] = ACTIONS(2093),
    [anon_sym_import] = ACTIONS(2093),
    [anon_sym_with] = ACTIONS(2093),
    [anon_sym_var] = ACTIONS(2093),
    [anon_sym_let] = ACTIONS(2093),
    [anon_sym_const] = ACTIONS(2093),
    [anon_sym_BANG] = ACTIONS(2093),
    [anon_sym_if] = ACTIONS(2093),
    [anon_sym_switch] = ACTIONS(2093),
    [anon_sym_for] = ACTIONS(2093),
    [anon_sym_LPAREN] = ACTIONS(2093),
    [anon_sym_await] = ACTIONS(2093),
    [anon_sym_while] = ACTIONS(2093),
    [anon_sym_do] = ACTIONS(2093),
    [anon_sym_try] = ACTIONS(2093),
    [anon_sym_break] = ACTIONS(2093),
    [anon_sym_continue] = ACTIONS(2093),
    [anon_sym_debugger] = ACTIONS(2093),
    [anon_sym_return] = ACTIONS(2093),
    [anon_sym_throw] = ACTIONS(2093),
    [anon_sym_SEMI] = ACTIONS(2093),
    [anon_sym_yield] = ACTIONS(2093),
    [anon_sym_LBRACK] = ACTIONS(2093),
    [anon_sym_LTtemplate_GT] = ACTIONS(2093),
    [anon_sym_DQUOTE] = ACTIONS(2093),
    [anon_sym_SQUOTE] = ACTIONS(2093),
    [anon_sym_class] = ACTIONS(2093),
    [anon_sym_async] = ACTIONS(2093),
    [anon_sym_function] = ACTIONS(2093),
    [anon_sym_new] = ACTIONS(2093),
    [anon_sym_using] = ACTIONS(2093),
    [anon_sym_PLUS] = ACTIONS(2093),
    [anon_sym_DASH] = ACTIONS(2093),
    [anon_sym_SLASH] = ACTIONS(2093),
    [anon_sym_LT] = ACTIONS(2093),
    [anon_sym_TILDE] = ACTIONS(2093),
    [anon_sym_void] = ACTIONS(2093),
    [anon_sym_delete] = ACTIONS(2093),
    [anon_sym_PLUS_PLUS] = ACTIONS(2093),
    [anon_sym_DASH_DASH] = ACTIONS(2093),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2093),
    [sym_number] = ACTIONS(2093),
    [sym_private_property_identifier] = ACTIONS(2093),
    [sym_this] = ACTIONS(2093),
    [sym_super] = ACTIONS(2093),
    [sym_true] = ACTIONS(2093),
    [sym_false] = ACTIONS(2093),
    [sym_null] = ACTIONS(2093),
    [sym_undefined] = ACTIONS(2093),
    [anon_sym_AT] = ACTIONS(2093),
    [anon_sym_static] = ACTIONS(2093),
    [anon_sym_readonly] = ACTIONS(2093),
    [anon_sym_get] = ACTIONS(2093),
    [anon_sym_set] = ACTIONS(2093),
    [anon_sym_declare] = ACTIONS(2093),
    [anon_sym_public] = ACTIONS(2093),
    [anon_sym_private] = ACTIONS(2093),
    [anon_sym_protected] = ACTIONS(2093),
    [anon_sym_override] = ACTIONS(2093),
    [anon_sym_module] = ACTIONS(2093),
    [anon_sym_any] = ACTIONS(2093),
    [anon_sym_number] = ACTIONS(2093),
    [anon_sym_boolean] = ACTIONS(2093),
    [anon_sym_string] = ACTIONS(2093),
    [anon_sym_symbol] = ACTIONS(2093),
    [anon_sym_object] = ACTIONS(2093),
    [anon_sym_abstract] = ACTIONS(2093),
    [anon_sym_interface] = ACTIONS(2093),
    [anon_sym_enum] = ACTIONS(2093),
    [sym_html_comment] = ACTIONS(5),
  },
  [1602] = {
    [sym_comment] = STATE(1602),
    [ts_builtin_sym_end] = ACTIONS(3406),
    [sym_identifier] = ACTIONS(3124),
    [anon_sym_export] = ACTIONS(3124),
    [anon_sym_type] = ACTIONS(3124),
    [anon_sym_namespace] = ACTIONS(3124),
    [anon_sym_LBRACE] = ACTIONS(3124),
    [anon_sym_RBRACE] = ACTIONS(3124),
    [anon_sym_typeof] = ACTIONS(3124),
    [anon_sym_import] = ACTIONS(3124),
    [anon_sym_with] = ACTIONS(3124),
    [anon_sym_var] = ACTIONS(3124),
    [anon_sym_let] = ACTIONS(3124),
    [anon_sym_const] = ACTIONS(3124),
    [anon_sym_BANG] = ACTIONS(3124),
    [anon_sym_if] = ACTIONS(3124),
    [anon_sym_switch] = ACTIONS(3124),
    [anon_sym_for] = ACTIONS(3124),
    [anon_sym_LPAREN] = ACTIONS(3124),
    [anon_sym_await] = ACTIONS(3124),
    [anon_sym_while] = ACTIONS(3124),
    [anon_sym_do] = ACTIONS(3124),
    [anon_sym_try] = ACTIONS(3124),
    [anon_sym_break] = ACTIONS(3124),
    [anon_sym_continue] = ACTIONS(3124),
    [anon_sym_debugger] = ACTIONS(3124),
    [anon_sym_return] = ACTIONS(3124),
    [anon_sym_throw] = ACTIONS(3124),
    [anon_sym_SEMI] = ACTIONS(3124),
    [anon_sym_yield] = ACTIONS(3124),
    [anon_sym_LBRACK] = ACTIONS(3124),
    [anon_sym_LTtemplate_GT] = ACTIONS(3124),
    [anon_sym_DQUOTE] = ACTIONS(3124),
    [anon_sym_SQUOTE] = ACTIONS(3124),
    [anon_sym_class] = ACTIONS(3124),
    [anon_sym_async] = ACTIONS(3124),
    [anon_sym_function] = ACTIONS(3124),
    [anon_sym_new] = ACTIONS(3124),
    [anon_sym_using] = ACTIONS(3124),
    [anon_sym_PLUS] = ACTIONS(3124),
    [anon_sym_DASH] = ACTIONS(3124),
    [anon_sym_SLASH] = ACTIONS(3124),
    [anon_sym_LT] = ACTIONS(3124),
    [anon_sym_TILDE] = ACTIONS(3124),
    [anon_sym_void] = ACTIONS(3124),
    [anon_sym_delete] = ACTIONS(3124),
    [anon_sym_PLUS_PLUS] = ACTIONS(3124),
    [anon_sym_DASH_DASH] = ACTIONS(3124),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3124),
    [sym_number] = ACTIONS(3124),
    [sym_private_property_identifier] = ACTIONS(3124),
    [sym_this] = ACTIONS(3124),
    [sym_super] = ACTIONS(3124),
    [sym_true] = ACTIONS(3124),
    [sym_false] = ACTIONS(3124),
    [sym_null] = ACTIONS(3124),
    [sym_undefined] = ACTIONS(3124),
    [anon_sym_AT] = ACTIONS(3124),
    [anon_sym_static] = ACTIONS(3124),
    [anon_sym_readonly] = ACTIONS(3124),
    [anon_sym_get] = ACTIONS(3124),
    [anon_sym_set] = ACTIONS(3124),
    [anon_sym_declare] = ACTIONS(3124),
    [anon_sym_public] = ACTIONS(3124),
    [anon_sym_private] = ACTIONS(3124),
    [anon_sym_protected] = ACTIONS(3124),
    [anon_sym_override] = ACTIONS(3124),
    [anon_sym_module] = ACTIONS(3124),
    [anon_sym_any] = ACTIONS(3124),
    [anon_sym_number] = ACTIONS(3124),
    [anon_sym_boolean] = ACTIONS(3124),
    [anon_sym_string] = ACTIONS(3124),
    [anon_sym_symbol] = ACTIONS(3124),
    [anon_sym_object] = ACTIONS(3124),
    [anon_sym_abstract] = ACTIONS(3124),
    [anon_sym_interface] = ACTIONS(3124),
    [anon_sym_enum] = ACTIONS(3124),
    [sym_html_comment] = ACTIONS(5),
  },
  [1603] = {
    [sym_comment] = STATE(1603),
    [ts_builtin_sym_end] = ACTIONS(3408),
    [sym_identifier] = ACTIONS(3168),
    [anon_sym_export] = ACTIONS(3168),
    [anon_sym_type] = ACTIONS(3168),
    [anon_sym_namespace] = ACTIONS(3168),
    [anon_sym_LBRACE] = ACTIONS(3168),
    [anon_sym_RBRACE] = ACTIONS(3168),
    [anon_sym_typeof] = ACTIONS(3168),
    [anon_sym_import] = ACTIONS(3168),
    [anon_sym_with] = ACTIONS(3168),
    [anon_sym_var] = ACTIONS(3168),
    [anon_sym_let] = ACTIONS(3168),
    [anon_sym_const] = ACTIONS(3168),
    [anon_sym_BANG] = ACTIONS(3168),
    [anon_sym_if] = ACTIONS(3168),
    [anon_sym_switch] = ACTIONS(3168),
    [anon_sym_for] = ACTIONS(3168),
    [anon_sym_LPAREN] = ACTIONS(3168),
    [anon_sym_await] = ACTIONS(3168),
    [anon_sym_while] = ACTIONS(3168),
    [anon_sym_do] = ACTIONS(3168),
    [anon_sym_try] = ACTIONS(3168),
    [anon_sym_break] = ACTIONS(3168),
    [anon_sym_continue] = ACTIONS(3168),
    [anon_sym_debugger] = ACTIONS(3168),
    [anon_sym_return] = ACTIONS(3168),
    [anon_sym_throw] = ACTIONS(3168),
    [anon_sym_SEMI] = ACTIONS(3168),
    [anon_sym_yield] = ACTIONS(3168),
    [anon_sym_LBRACK] = ACTIONS(3168),
    [anon_sym_LTtemplate_GT] = ACTIONS(3168),
    [anon_sym_DQUOTE] = ACTIONS(3168),
    [anon_sym_SQUOTE] = ACTIONS(3168),
    [anon_sym_class] = ACTIONS(3168),
    [anon_sym_async] = ACTIONS(3168),
    [anon_sym_function] = ACTIONS(3168),
    [anon_sym_new] = ACTIONS(3168),
    [anon_sym_using] = ACTIONS(3168),
    [anon_sym_PLUS] = ACTIONS(3168),
    [anon_sym_DASH] = ACTIONS(3168),
    [anon_sym_SLASH] = ACTIONS(3168),
    [anon_sym_LT] = ACTIONS(3168),
    [anon_sym_TILDE] = ACTIONS(3168),
    [anon_sym_void] = ACTIONS(3168),
    [anon_sym_delete] = ACTIONS(3168),
    [anon_sym_PLUS_PLUS] = ACTIONS(3168),
    [anon_sym_DASH_DASH] = ACTIONS(3168),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3168),
    [sym_number] = ACTIONS(3168),
    [sym_private_property_identifier] = ACTIONS(3168),
    [sym_this] = ACTIONS(3168),
    [sym_super] = ACTIONS(3168),
    [sym_true] = ACTIONS(3168),
    [sym_false] = ACTIONS(3168),
    [sym_null] = ACTIONS(3168),
    [sym_undefined] = ACTIONS(3168),
    [anon_sym_AT] = ACTIONS(3168),
    [anon_sym_static] = ACTIONS(3168),
    [anon_sym_readonly] = ACTIONS(3168),
    [anon_sym_get] = ACTIONS(3168),
    [anon_sym_set] = ACTIONS(3168),
    [anon_sym_declare] = ACTIONS(3168),
    [anon_sym_public] = ACTIONS(3168),
    [anon_sym_private] = ACTIONS(3168),
    [anon_sym_protected] = ACTIONS(3168),
    [anon_sym_override] = ACTIONS(3168),
    [anon_sym_module] = ACTIONS(3168),
    [anon_sym_any] = ACTIONS(3168),
    [anon_sym_number] = ACTIONS(3168),
    [anon_sym_boolean] = ACTIONS(3168),
    [anon_sym_string] = ACTIONS(3168),
    [anon_sym_symbol] = ACTIONS(3168),
    [anon_sym_object] = ACTIONS(3168),
    [anon_sym_abstract] = ACTIONS(3168),
    [anon_sym_interface] = ACTIONS(3168),
    [anon_sym_enum] = ACTIONS(3168),
    [sym_html_comment] = ACTIONS(5),
  },
  [1604] = {
    [sym_comment] = STATE(1604),
    [ts_builtin_sym_end] = ACTIONS(3410),
    [sym_identifier] = ACTIONS(3140),
    [anon_sym_export] = ACTIONS(3140),
    [anon_sym_type] = ACTIONS(3140),
    [anon_sym_namespace] = ACTIONS(3140),
    [anon_sym_LBRACE] = ACTIONS(3140),
    [anon_sym_RBRACE] = ACTIONS(3140),
    [anon_sym_typeof] = ACTIONS(3140),
    [anon_sym_import] = ACTIONS(3140),
    [anon_sym_with] = ACTIONS(3140),
    [anon_sym_var] = ACTIONS(3140),
    [anon_sym_let] = ACTIONS(3140),
    [anon_sym_const] = ACTIONS(3140),
    [anon_sym_BANG] = ACTIONS(3140),
    [anon_sym_if] = ACTIONS(3140),
    [anon_sym_switch] = ACTIONS(3140),
    [anon_sym_for] = ACTIONS(3140),
    [anon_sym_LPAREN] = ACTIONS(3140),
    [anon_sym_await] = ACTIONS(3140),
    [anon_sym_while] = ACTIONS(3140),
    [anon_sym_do] = ACTIONS(3140),
    [anon_sym_try] = ACTIONS(3140),
    [anon_sym_break] = ACTIONS(3140),
    [anon_sym_continue] = ACTIONS(3140),
    [anon_sym_debugger] = ACTIONS(3140),
    [anon_sym_return] = ACTIONS(3140),
    [anon_sym_throw] = ACTIONS(3140),
    [anon_sym_SEMI] = ACTIONS(3140),
    [anon_sym_yield] = ACTIONS(3140),
    [anon_sym_LBRACK] = ACTIONS(3140),
    [anon_sym_LTtemplate_GT] = ACTIONS(3140),
    [anon_sym_DQUOTE] = ACTIONS(3140),
    [anon_sym_SQUOTE] = ACTIONS(3140),
    [anon_sym_class] = ACTIONS(3140),
    [anon_sym_async] = ACTIONS(3140),
    [anon_sym_function] = ACTIONS(3140),
    [anon_sym_new] = ACTIONS(3140),
    [anon_sym_using] = ACTIONS(3140),
    [anon_sym_PLUS] = ACTIONS(3140),
    [anon_sym_DASH] = ACTIONS(3140),
    [anon_sym_SLASH] = ACTIONS(3140),
    [anon_sym_LT] = ACTIONS(3140),
    [anon_sym_TILDE] = ACTIONS(3140),
    [anon_sym_void] = ACTIONS(3140),
    [anon_sym_delete] = ACTIONS(3140),
    [anon_sym_PLUS_PLUS] = ACTIONS(3140),
    [anon_sym_DASH_DASH] = ACTIONS(3140),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3140),
    [sym_number] = ACTIONS(3140),
    [sym_private_property_identifier] = ACTIONS(3140),
    [sym_this] = ACTIONS(3140),
    [sym_super] = ACTIONS(3140),
    [sym_true] = ACTIONS(3140),
    [sym_false] = ACTIONS(3140),
    [sym_null] = ACTIONS(3140),
    [sym_undefined] = ACTIONS(3140),
    [anon_sym_AT] = ACTIONS(3140),
    [anon_sym_static] = ACTIONS(3140),
    [anon_sym_readonly] = ACTIONS(3140),
    [anon_sym_get] = ACTIONS(3140),
    [anon_sym_set] = ACTIONS(3140),
    [anon_sym_declare] = ACTIONS(3140),
    [anon_sym_public] = ACTIONS(3140),
    [anon_sym_private] = ACTIONS(3140),
    [anon_sym_protected] = ACTIONS(3140),
    [anon_sym_override] = ACTIONS(3140),
    [anon_sym_module] = ACTIONS(3140),
    [anon_sym_any] = ACTIONS(3140),
    [anon_sym_number] = ACTIONS(3140),
    [anon_sym_boolean] = ACTIONS(3140),
    [anon_sym_string] = ACTIONS(3140),
    [anon_sym_symbol] = ACTIONS(3140),
    [anon_sym_object] = ACTIONS(3140),
    [anon_sym_abstract] = ACTIONS(3140),
    [anon_sym_interface] = ACTIONS(3140),
    [anon_sym_enum] = ACTIONS(3140),
    [sym_html_comment] = ACTIONS(5),
  },
  [1605] = {
    [sym_comment] = STATE(1605),
    [ts_builtin_sym_end] = ACTIONS(3538),
    [sym_identifier] = ACTIONS(3186),
    [anon_sym_export] = ACTIONS(3186),
    [anon_sym_type] = ACTIONS(3186),
    [anon_sym_namespace] = ACTIONS(3186),
    [anon_sym_LBRACE] = ACTIONS(3186),
    [anon_sym_RBRACE] = ACTIONS(3186),
    [anon_sym_typeof] = ACTIONS(3186),
    [anon_sym_import] = ACTIONS(3186),
    [anon_sym_with] = ACTIONS(3186),
    [anon_sym_var] = ACTIONS(3186),
    [anon_sym_let] = ACTIONS(3186),
    [anon_sym_const] = ACTIONS(3186),
    [anon_sym_BANG] = ACTIONS(3186),
    [anon_sym_if] = ACTIONS(3186),
    [anon_sym_switch] = ACTIONS(3186),
    [anon_sym_for] = ACTIONS(3186),
    [anon_sym_LPAREN] = ACTIONS(3186),
    [anon_sym_await] = ACTIONS(3186),
    [anon_sym_while] = ACTIONS(3186),
    [anon_sym_do] = ACTIONS(3186),
    [anon_sym_try] = ACTIONS(3186),
    [anon_sym_break] = ACTIONS(3186),
    [anon_sym_continue] = ACTIONS(3186),
    [anon_sym_debugger] = ACTIONS(3186),
    [anon_sym_return] = ACTIONS(3186),
    [anon_sym_throw] = ACTIONS(3186),
    [anon_sym_SEMI] = ACTIONS(3186),
    [anon_sym_yield] = ACTIONS(3186),
    [anon_sym_LBRACK] = ACTIONS(3186),
    [anon_sym_LTtemplate_GT] = ACTIONS(3186),
    [anon_sym_DQUOTE] = ACTIONS(3186),
    [anon_sym_SQUOTE] = ACTIONS(3186),
    [anon_sym_class] = ACTIONS(3186),
    [anon_sym_async] = ACTIONS(3186),
    [anon_sym_function] = ACTIONS(3186),
    [anon_sym_new] = ACTIONS(3186),
    [anon_sym_using] = ACTIONS(3186),
    [anon_sym_PLUS] = ACTIONS(3186),
    [anon_sym_DASH] = ACTIONS(3186),
    [anon_sym_SLASH] = ACTIONS(3186),
    [anon_sym_LT] = ACTIONS(3186),
    [anon_sym_TILDE] = ACTIONS(3186),
    [anon_sym_void] = ACTIONS(3186),
    [anon_sym_delete] = ACTIONS(3186),
    [anon_sym_PLUS_PLUS] = ACTIONS(3186),
    [anon_sym_DASH_DASH] = ACTIONS(3186),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3186),
    [sym_number] = ACTIONS(3186),
    [sym_private_property_identifier] = ACTIONS(3186),
    [sym_this] = ACTIONS(3186),
    [sym_super] = ACTIONS(3186),
    [sym_true] = ACTIONS(3186),
    [sym_false] = ACTIONS(3186),
    [sym_null] = ACTIONS(3186),
    [sym_undefined] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(3186),
    [anon_sym_static] = ACTIONS(3186),
    [anon_sym_readonly] = ACTIONS(3186),
    [anon_sym_get] = ACTIONS(3186),
    [anon_sym_set] = ACTIONS(3186),
    [anon_sym_declare] = ACTIONS(3186),
    [anon_sym_public] = ACTIONS(3186),
    [anon_sym_private] = ACTIONS(3186),
    [anon_sym_protected] = ACTIONS(3186),
    [anon_sym_override] = ACTIONS(3186),
    [anon_sym_module] = ACTIONS(3186),
    [anon_sym_any] = ACTIONS(3186),
    [anon_sym_number] = ACTIONS(3186),
    [anon_sym_boolean] = ACTIONS(3186),
    [anon_sym_string] = ACTIONS(3186),
    [anon_sym_symbol] = ACTIONS(3186),
    [anon_sym_object] = ACTIONS(3186),
    [anon_sym_abstract] = ACTIONS(3186),
    [anon_sym_interface] = ACTIONS(3186),
    [anon_sym_enum] = ACTIONS(3186),
    [sym_html_comment] = ACTIONS(5),
  },
  [1606] = {
    [sym_comment] = STATE(1606),
    [ts_builtin_sym_end] = ACTIONS(3500),
    [sym_identifier] = ACTIONS(3356),
    [anon_sym_export] = ACTIONS(3356),
    [anon_sym_type] = ACTIONS(3356),
    [anon_sym_namespace] = ACTIONS(3356),
    [anon_sym_LBRACE] = ACTIONS(3356),
    [anon_sym_RBRACE] = ACTIONS(3356),
    [anon_sym_typeof] = ACTIONS(3356),
    [anon_sym_import] = ACTIONS(3356),
    [anon_sym_with] = ACTIONS(3356),
    [anon_sym_var] = ACTIONS(3356),
    [anon_sym_let] = ACTIONS(3356),
    [anon_sym_const] = ACTIONS(3356),
    [anon_sym_BANG] = ACTIONS(3356),
    [anon_sym_if] = ACTIONS(3356),
    [anon_sym_switch] = ACTIONS(3356),
    [anon_sym_for] = ACTIONS(3356),
    [anon_sym_LPAREN] = ACTIONS(3356),
    [anon_sym_await] = ACTIONS(3356),
    [anon_sym_while] = ACTIONS(3356),
    [anon_sym_do] = ACTIONS(3356),
    [anon_sym_try] = ACTIONS(3356),
    [anon_sym_break] = ACTIONS(3356),
    [anon_sym_continue] = ACTIONS(3356),
    [anon_sym_debugger] = ACTIONS(3356),
    [anon_sym_return] = ACTIONS(3356),
    [anon_sym_throw] = ACTIONS(3356),
    [anon_sym_SEMI] = ACTIONS(3356),
    [anon_sym_yield] = ACTIONS(3356),
    [anon_sym_LBRACK] = ACTIONS(3356),
    [anon_sym_LTtemplate_GT] = ACTIONS(3356),
    [anon_sym_DQUOTE] = ACTIONS(3356),
    [anon_sym_SQUOTE] = ACTIONS(3356),
    [anon_sym_class] = ACTIONS(3356),
    [anon_sym_async] = ACTIONS(3356),
    [anon_sym_function] = ACTIONS(3356),
    [anon_sym_new] = ACTIONS(3356),
    [anon_sym_using] = ACTIONS(3356),
    [anon_sym_PLUS] = ACTIONS(3356),
    [anon_sym_DASH] = ACTIONS(3356),
    [anon_sym_SLASH] = ACTIONS(3356),
    [anon_sym_LT] = ACTIONS(3356),
    [anon_sym_TILDE] = ACTIONS(3356),
    [anon_sym_void] = ACTIONS(3356),
    [anon_sym_delete] = ACTIONS(3356),
    [anon_sym_PLUS_PLUS] = ACTIONS(3356),
    [anon_sym_DASH_DASH] = ACTIONS(3356),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3356),
    [sym_number] = ACTIONS(3356),
    [sym_private_property_identifier] = ACTIONS(3356),
    [sym_this] = ACTIONS(3356),
    [sym_super] = ACTIONS(3356),
    [sym_true] = ACTIONS(3356),
    [sym_false] = ACTIONS(3356),
    [sym_null] = ACTIONS(3356),
    [sym_undefined] = ACTIONS(3356),
    [anon_sym_AT] = ACTIONS(3356),
    [anon_sym_static] = ACTIONS(3356),
    [anon_sym_readonly] = ACTIONS(3356),
    [anon_sym_get] = ACTIONS(3356),
    [anon_sym_set] = ACTIONS(3356),
    [anon_sym_declare] = ACTIONS(3356),
    [anon_sym_public] = ACTIONS(3356),
    [anon_sym_private] = ACTIONS(3356),
    [anon_sym_protected] = ACTIONS(3356),
    [anon_sym_override] = ACTIONS(3356),
    [anon_sym_module] = ACTIONS(3356),
    [anon_sym_any] = ACTIONS(3356),
    [anon_sym_number] = ACTIONS(3356),
    [anon_sym_boolean] = ACTIONS(3356),
    [anon_sym_string] = ACTIONS(3356),
    [anon_sym_symbol] = ACTIONS(3356),
    [anon_sym_object] = ACTIONS(3356),
    [anon_sym_abstract] = ACTIONS(3356),
    [anon_sym_interface] = ACTIONS(3356),
    [anon_sym_enum] = ACTIONS(3356),
    [sym_html_comment] = ACTIONS(5),
  },
  [1607] = {
    [sym_comment] = STATE(1607),
    [ts_builtin_sym_end] = ACTIONS(3370),
    [sym_identifier] = ACTIONS(3154),
    [anon_sym_export] = ACTIONS(3154),
    [anon_sym_type] = ACTIONS(3154),
    [anon_sym_namespace] = ACTIONS(3154),
    [anon_sym_LBRACE] = ACTIONS(3154),
    [anon_sym_RBRACE] = ACTIONS(3154),
    [anon_sym_typeof] = ACTIONS(3154),
    [anon_sym_import] = ACTIONS(3154),
    [anon_sym_with] = ACTIONS(3154),
    [anon_sym_var] = ACTIONS(3154),
    [anon_sym_let] = ACTIONS(3154),
    [anon_sym_const] = ACTIONS(3154),
    [anon_sym_BANG] = ACTIONS(3154),
    [anon_sym_if] = ACTIONS(3154),
    [anon_sym_switch] = ACTIONS(3154),
    [anon_sym_for] = ACTIONS(3154),
    [anon_sym_LPAREN] = ACTIONS(3154),
    [anon_sym_await] = ACTIONS(3154),
    [anon_sym_while] = ACTIONS(3154),
    [anon_sym_do] = ACTIONS(3154),
    [anon_sym_try] = ACTIONS(3154),
    [anon_sym_break] = ACTIONS(3154),
    [anon_sym_continue] = ACTIONS(3154),
    [anon_sym_debugger] = ACTIONS(3154),
    [anon_sym_return] = ACTIONS(3154),
    [anon_sym_throw] = ACTIONS(3154),
    [anon_sym_SEMI] = ACTIONS(3154),
    [anon_sym_yield] = ACTIONS(3154),
    [anon_sym_LBRACK] = ACTIONS(3154),
    [anon_sym_LTtemplate_GT] = ACTIONS(3154),
    [anon_sym_DQUOTE] = ACTIONS(3154),
    [anon_sym_SQUOTE] = ACTIONS(3154),
    [anon_sym_class] = ACTIONS(3154),
    [anon_sym_async] = ACTIONS(3154),
    [anon_sym_function] = ACTIONS(3154),
    [anon_sym_new] = ACTIONS(3154),
    [anon_sym_using] = ACTIONS(3154),
    [anon_sym_PLUS] = ACTIONS(3154),
    [anon_sym_DASH] = ACTIONS(3154),
    [anon_sym_SLASH] = ACTIONS(3154),
    [anon_sym_LT] = ACTIONS(3154),
    [anon_sym_TILDE] = ACTIONS(3154),
    [anon_sym_void] = ACTIONS(3154),
    [anon_sym_delete] = ACTIONS(3154),
    [anon_sym_PLUS_PLUS] = ACTIONS(3154),
    [anon_sym_DASH_DASH] = ACTIONS(3154),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3154),
    [sym_number] = ACTIONS(3154),
    [sym_private_property_identifier] = ACTIONS(3154),
    [sym_this] = ACTIONS(3154),
    [sym_super] = ACTIONS(3154),
    [sym_true] = ACTIONS(3154),
    [sym_false] = ACTIONS(3154),
    [sym_null] = ACTIONS(3154),
    [sym_undefined] = ACTIONS(3154),
    [anon_sym_AT] = ACTIONS(3154),
    [anon_sym_static] = ACTIONS(3154),
    [anon_sym_readonly] = ACTIONS(3154),
    [anon_sym_get] = ACTIONS(3154),
    [anon_sym_set] = ACTIONS(3154),
    [anon_sym_declare] = ACTIONS(3154),
    [anon_sym_public] = ACTIONS(3154),
    [anon_sym_private] = ACTIONS(3154),
    [anon_sym_protected] = ACTIONS(3154),
    [anon_sym_override] = ACTIONS(3154),
    [anon_sym_module] = ACTIONS(3154),
    [anon_sym_any] = ACTIONS(3154),
    [anon_sym_number] = ACTIONS(3154),
    [anon_sym_boolean] = ACTIONS(3154),
    [anon_sym_string] = ACTIONS(3154),
    [anon_sym_symbol] = ACTIONS(3154),
    [anon_sym_object] = ACTIONS(3154),
    [anon_sym_abstract] = ACTIONS(3154),
    [anon_sym_interface] = ACTIONS(3154),
    [anon_sym_enum] = ACTIONS(3154),
    [sym_html_comment] = ACTIONS(5),
  },
  [1608] = {
    [sym_comment] = STATE(1608),
    [ts_builtin_sym_end] = ACTIONS(3536),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_export] = ACTIONS(3190),
    [anon_sym_type] = ACTIONS(3190),
    [anon_sym_namespace] = ACTIONS(3190),
    [anon_sym_LBRACE] = ACTIONS(3190),
    [anon_sym_RBRACE] = ACTIONS(3190),
    [anon_sym_typeof] = ACTIONS(3190),
    [anon_sym_import] = ACTIONS(3190),
    [anon_sym_with] = ACTIONS(3190),
    [anon_sym_var] = ACTIONS(3190),
    [anon_sym_let] = ACTIONS(3190),
    [anon_sym_const] = ACTIONS(3190),
    [anon_sym_BANG] = ACTIONS(3190),
    [anon_sym_if] = ACTIONS(3190),
    [anon_sym_switch] = ACTIONS(3190),
    [anon_sym_for] = ACTIONS(3190),
    [anon_sym_LPAREN] = ACTIONS(3190),
    [anon_sym_await] = ACTIONS(3190),
    [anon_sym_while] = ACTIONS(3190),
    [anon_sym_do] = ACTIONS(3190),
    [anon_sym_try] = ACTIONS(3190),
    [anon_sym_break] = ACTIONS(3190),
    [anon_sym_continue] = ACTIONS(3190),
    [anon_sym_debugger] = ACTIONS(3190),
    [anon_sym_return] = ACTIONS(3190),
    [anon_sym_throw] = ACTIONS(3190),
    [anon_sym_SEMI] = ACTIONS(3190),
    [anon_sym_yield] = ACTIONS(3190),
    [anon_sym_LBRACK] = ACTIONS(3190),
    [anon_sym_LTtemplate_GT] = ACTIONS(3190),
    [anon_sym_DQUOTE] = ACTIONS(3190),
    [anon_sym_SQUOTE] = ACTIONS(3190),
    [anon_sym_class] = ACTIONS(3190),
    [anon_sym_async] = ACTIONS(3190),
    [anon_sym_function] = ACTIONS(3190),
    [anon_sym_new] = ACTIONS(3190),
    [anon_sym_using] = ACTIONS(3190),
    [anon_sym_PLUS] = ACTIONS(3190),
    [anon_sym_DASH] = ACTIONS(3190),
    [anon_sym_SLASH] = ACTIONS(3190),
    [anon_sym_LT] = ACTIONS(3190),
    [anon_sym_TILDE] = ACTIONS(3190),
    [anon_sym_void] = ACTIONS(3190),
    [anon_sym_delete] = ACTIONS(3190),
    [anon_sym_PLUS_PLUS] = ACTIONS(3190),
    [anon_sym_DASH_DASH] = ACTIONS(3190),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3190),
    [sym_number] = ACTIONS(3190),
    [sym_private_property_identifier] = ACTIONS(3190),
    [sym_this] = ACTIONS(3190),
    [sym_super] = ACTIONS(3190),
    [sym_true] = ACTIONS(3190),
    [sym_false] = ACTIONS(3190),
    [sym_null] = ACTIONS(3190),
    [sym_undefined] = ACTIONS(3190),
    [anon_sym_AT] = ACTIONS(3190),
    [anon_sym_static] = ACTIONS(3190),
    [anon_sym_readonly] = ACTIONS(3190),
    [anon_sym_get] = ACTIONS(3190),
    [anon_sym_set] = ACTIONS(3190),
    [anon_sym_declare] = ACTIONS(3190),
    [anon_sym_public] = ACTIONS(3190),
    [anon_sym_private] = ACTIONS(3190),
    [anon_sym_protected] = ACTIONS(3190),
    [anon_sym_override] = ACTIONS(3190),
    [anon_sym_module] = ACTIONS(3190),
    [anon_sym_any] = ACTIONS(3190),
    [anon_sym_number] = ACTIONS(3190),
    [anon_sym_boolean] = ACTIONS(3190),
    [anon_sym_string] = ACTIONS(3190),
    [anon_sym_symbol] = ACTIONS(3190),
    [anon_sym_object] = ACTIONS(3190),
    [anon_sym_abstract] = ACTIONS(3190),
    [anon_sym_interface] = ACTIONS(3190),
    [anon_sym_enum] = ACTIONS(3190),
    [sym_html_comment] = ACTIONS(5),
  },
  [1609] = {
    [sym_comment] = STATE(1609),
    [ts_builtin_sym_end] = ACTIONS(3534),
    [sym_identifier] = ACTIONS(3194),
    [anon_sym_export] = ACTIONS(3194),
    [anon_sym_type] = ACTIONS(3194),
    [anon_sym_namespace] = ACTIONS(3194),
    [anon_sym_LBRACE] = ACTIONS(3194),
    [anon_sym_RBRACE] = ACTIONS(3194),
    [anon_sym_typeof] = ACTIONS(3194),
    [anon_sym_import] = ACTIONS(3194),
    [anon_sym_with] = ACTIONS(3194),
    [anon_sym_var] = ACTIONS(3194),
    [anon_sym_let] = ACTIONS(3194),
    [anon_sym_const] = ACTIONS(3194),
    [anon_sym_BANG] = ACTIONS(3194),
    [anon_sym_if] = ACTIONS(3194),
    [anon_sym_switch] = ACTIONS(3194),
    [anon_sym_for] = ACTIONS(3194),
    [anon_sym_LPAREN] = ACTIONS(3194),
    [anon_sym_await] = ACTIONS(3194),
    [anon_sym_while] = ACTIONS(3194),
    [anon_sym_do] = ACTIONS(3194),
    [anon_sym_try] = ACTIONS(3194),
    [anon_sym_break] = ACTIONS(3194),
    [anon_sym_continue] = ACTIONS(3194),
    [anon_sym_debugger] = ACTIONS(3194),
    [anon_sym_return] = ACTIONS(3194),
    [anon_sym_throw] = ACTIONS(3194),
    [anon_sym_SEMI] = ACTIONS(3194),
    [anon_sym_yield] = ACTIONS(3194),
    [anon_sym_LBRACK] = ACTIONS(3194),
    [anon_sym_LTtemplate_GT] = ACTIONS(3194),
    [anon_sym_DQUOTE] = ACTIONS(3194),
    [anon_sym_SQUOTE] = ACTIONS(3194),
    [anon_sym_class] = ACTIONS(3194),
    [anon_sym_async] = ACTIONS(3194),
    [anon_sym_function] = ACTIONS(3194),
    [anon_sym_new] = ACTIONS(3194),
    [anon_sym_using] = ACTIONS(3194),
    [anon_sym_PLUS] = ACTIONS(3194),
    [anon_sym_DASH] = ACTIONS(3194),
    [anon_sym_SLASH] = ACTIONS(3194),
    [anon_sym_LT] = ACTIONS(3194),
    [anon_sym_TILDE] = ACTIONS(3194),
    [anon_sym_void] = ACTIONS(3194),
    [anon_sym_delete] = ACTIONS(3194),
    [anon_sym_PLUS_PLUS] = ACTIONS(3194),
    [anon_sym_DASH_DASH] = ACTIONS(3194),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3194),
    [sym_number] = ACTIONS(3194),
    [sym_private_property_identifier] = ACTIONS(3194),
    [sym_this] = ACTIONS(3194),
    [sym_super] = ACTIONS(3194),
    [sym_true] = ACTIONS(3194),
    [sym_false] = ACTIONS(3194),
    [sym_null] = ACTIONS(3194),
    [sym_undefined] = ACTIONS(3194),
    [anon_sym_AT] = ACTIONS(3194),
    [anon_sym_static] = ACTIONS(3194),
    [anon_sym_readonly] = ACTIONS(3194),
    [anon_sym_get] = ACTIONS(3194),
    [anon_sym_set] = ACTIONS(3194),
    [anon_sym_declare] = ACTIONS(3194),
    [anon_sym_public] = ACTIONS(3194),
    [anon_sym_private] = ACTIONS(3194),
    [anon_sym_protected] = ACTIONS(3194),
    [anon_sym_override] = ACTIONS(3194),
    [anon_sym_module] = ACTIONS(3194),
    [anon_sym_any] = ACTIONS(3194),
    [anon_sym_number] = ACTIONS(3194),
    [anon_sym_boolean] = ACTIONS(3194),
    [anon_sym_string] = ACTIONS(3194),
    [anon_sym_symbol] = ACTIONS(3194),
    [anon_sym_object] = ACTIONS(3194),
    [anon_sym_abstract] = ACTIONS(3194),
    [anon_sym_interface] = ACTIONS(3194),
    [anon_sym_enum] = ACTIONS(3194),
    [sym_html_comment] = ACTIONS(5),
  },
  [1610] = {
    [sym_comment] = STATE(1610),
    [ts_builtin_sym_end] = ACTIONS(3568),
    [sym_identifier] = ACTIONS(3304),
    [anon_sym_export] = ACTIONS(3304),
    [anon_sym_type] = ACTIONS(3304),
    [anon_sym_namespace] = ACTIONS(3304),
    [anon_sym_LBRACE] = ACTIONS(3304),
    [anon_sym_RBRACE] = ACTIONS(3304),
    [anon_sym_typeof] = ACTIONS(3304),
    [anon_sym_import] = ACTIONS(3304),
    [anon_sym_with] = ACTIONS(3304),
    [anon_sym_var] = ACTIONS(3304),
    [anon_sym_let] = ACTIONS(3304),
    [anon_sym_const] = ACTIONS(3304),
    [anon_sym_BANG] = ACTIONS(3304),
    [anon_sym_if] = ACTIONS(3304),
    [anon_sym_switch] = ACTIONS(3304),
    [anon_sym_for] = ACTIONS(3304),
    [anon_sym_LPAREN] = ACTIONS(3304),
    [anon_sym_await] = ACTIONS(3304),
    [anon_sym_while] = ACTIONS(3304),
    [anon_sym_do] = ACTIONS(3304),
    [anon_sym_try] = ACTIONS(3304),
    [anon_sym_break] = ACTIONS(3304),
    [anon_sym_continue] = ACTIONS(3304),
    [anon_sym_debugger] = ACTIONS(3304),
    [anon_sym_return] = ACTIONS(3304),
    [anon_sym_throw] = ACTIONS(3304),
    [anon_sym_SEMI] = ACTIONS(3304),
    [anon_sym_yield] = ACTIONS(3304),
    [anon_sym_LBRACK] = ACTIONS(3304),
    [anon_sym_LTtemplate_GT] = ACTIONS(3304),
    [anon_sym_DQUOTE] = ACTIONS(3304),
    [anon_sym_SQUOTE] = ACTIONS(3304),
    [anon_sym_class] = ACTIONS(3304),
    [anon_sym_async] = ACTIONS(3304),
    [anon_sym_function] = ACTIONS(3304),
    [anon_sym_new] = ACTIONS(3304),
    [anon_sym_using] = ACTIONS(3304),
    [anon_sym_PLUS] = ACTIONS(3304),
    [anon_sym_DASH] = ACTIONS(3304),
    [anon_sym_SLASH] = ACTIONS(3304),
    [anon_sym_LT] = ACTIONS(3304),
    [anon_sym_TILDE] = ACTIONS(3304),
    [anon_sym_void] = ACTIONS(3304),
    [anon_sym_delete] = ACTIONS(3304),
    [anon_sym_PLUS_PLUS] = ACTIONS(3304),
    [anon_sym_DASH_DASH] = ACTIONS(3304),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3304),
    [sym_number] = ACTIONS(3304),
    [sym_private_property_identifier] = ACTIONS(3304),
    [sym_this] = ACTIONS(3304),
    [sym_super] = ACTIONS(3304),
    [sym_true] = ACTIONS(3304),
    [sym_false] = ACTIONS(3304),
    [sym_null] = ACTIONS(3304),
    [sym_undefined] = ACTIONS(3304),
    [anon_sym_AT] = ACTIONS(3304),
    [anon_sym_static] = ACTIONS(3304),
    [anon_sym_readonly] = ACTIONS(3304),
    [anon_sym_get] = ACTIONS(3304),
    [anon_sym_set] = ACTIONS(3304),
    [anon_sym_declare] = ACTIONS(3304),
    [anon_sym_public] = ACTIONS(3304),
    [anon_sym_private] = ACTIONS(3304),
    [anon_sym_protected] = ACTIONS(3304),
    [anon_sym_override] = ACTIONS(3304),
    [anon_sym_module] = ACTIONS(3304),
    [anon_sym_any] = ACTIONS(3304),
    [anon_sym_number] = ACTIONS(3304),
    [anon_sym_boolean] = ACTIONS(3304),
    [anon_sym_string] = ACTIONS(3304),
    [anon_sym_symbol] = ACTIONS(3304),
    [anon_sym_object] = ACTIONS(3304),
    [anon_sym_abstract] = ACTIONS(3304),
    [anon_sym_interface] = ACTIONS(3304),
    [anon_sym_enum] = ACTIONS(3304),
    [sym_html_comment] = ACTIONS(5),
  },
  [1611] = {
    [sym_comment] = STATE(1611),
    [ts_builtin_sym_end] = ACTIONS(3502),
    [sym_identifier] = ACTIONS(3354),
    [anon_sym_export] = ACTIONS(3354),
    [anon_sym_type] = ACTIONS(3354),
    [anon_sym_namespace] = ACTIONS(3354),
    [anon_sym_LBRACE] = ACTIONS(3354),
    [anon_sym_RBRACE] = ACTIONS(3354),
    [anon_sym_typeof] = ACTIONS(3354),
    [anon_sym_import] = ACTIONS(3354),
    [anon_sym_with] = ACTIONS(3354),
    [anon_sym_var] = ACTIONS(3354),
    [anon_sym_let] = ACTIONS(3354),
    [anon_sym_const] = ACTIONS(3354),
    [anon_sym_BANG] = ACTIONS(3354),
    [anon_sym_if] = ACTIONS(3354),
    [anon_sym_switch] = ACTIONS(3354),
    [anon_sym_for] = ACTIONS(3354),
    [anon_sym_LPAREN] = ACTIONS(3354),
    [anon_sym_await] = ACTIONS(3354),
    [anon_sym_while] = ACTIONS(3354),
    [anon_sym_do] = ACTIONS(3354),
    [anon_sym_try] = ACTIONS(3354),
    [anon_sym_break] = ACTIONS(3354),
    [anon_sym_continue] = ACTIONS(3354),
    [anon_sym_debugger] = ACTIONS(3354),
    [anon_sym_return] = ACTIONS(3354),
    [anon_sym_throw] = ACTIONS(3354),
    [anon_sym_SEMI] = ACTIONS(3354),
    [anon_sym_yield] = ACTIONS(3354),
    [anon_sym_LBRACK] = ACTIONS(3354),
    [anon_sym_LTtemplate_GT] = ACTIONS(3354),
    [anon_sym_DQUOTE] = ACTIONS(3354),
    [anon_sym_SQUOTE] = ACTIONS(3354),
    [anon_sym_class] = ACTIONS(3354),
    [anon_sym_async] = ACTIONS(3354),
    [anon_sym_function] = ACTIONS(3354),
    [anon_sym_new] = ACTIONS(3354),
    [anon_sym_using] = ACTIONS(3354),
    [anon_sym_PLUS] = ACTIONS(3354),
    [anon_sym_DASH] = ACTIONS(3354),
    [anon_sym_SLASH] = ACTIONS(3354),
    [anon_sym_LT] = ACTIONS(3354),
    [anon_sym_TILDE] = ACTIONS(3354),
    [anon_sym_void] = ACTIONS(3354),
    [anon_sym_delete] = ACTIONS(3354),
    [anon_sym_PLUS_PLUS] = ACTIONS(3354),
    [anon_sym_DASH_DASH] = ACTIONS(3354),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3354),
    [sym_number] = ACTIONS(3354),
    [sym_private_property_identifier] = ACTIONS(3354),
    [sym_this] = ACTIONS(3354),
    [sym_super] = ACTIONS(3354),
    [sym_true] = ACTIONS(3354),
    [sym_false] = ACTIONS(3354),
    [sym_null] = ACTIONS(3354),
    [sym_undefined] = ACTIONS(3354),
    [anon_sym_AT] = ACTIONS(3354),
    [anon_sym_static] = ACTIONS(3354),
    [anon_sym_readonly] = ACTIONS(3354),
    [anon_sym_get] = ACTIONS(3354),
    [anon_sym_set] = ACTIONS(3354),
    [anon_sym_declare] = ACTIONS(3354),
    [anon_sym_public] = ACTIONS(3354),
    [anon_sym_private] = ACTIONS(3354),
    [anon_sym_protected] = ACTIONS(3354),
    [anon_sym_override] = ACTIONS(3354),
    [anon_sym_module] = ACTIONS(3354),
    [anon_sym_any] = ACTIONS(3354),
    [anon_sym_number] = ACTIONS(3354),
    [anon_sym_boolean] = ACTIONS(3354),
    [anon_sym_string] = ACTIONS(3354),
    [anon_sym_symbol] = ACTIONS(3354),
    [anon_sym_object] = ACTIONS(3354),
    [anon_sym_abstract] = ACTIONS(3354),
    [anon_sym_interface] = ACTIONS(3354),
    [anon_sym_enum] = ACTIONS(3354),
    [sym_html_comment] = ACTIONS(5),
  },
  [1612] = {
    [sym_comment] = STATE(1612),
    [ts_builtin_sym_end] = ACTIONS(3504),
    [sym_identifier] = ACTIONS(3228),
    [anon_sym_export] = ACTIONS(3228),
    [anon_sym_type] = ACTIONS(3228),
    [anon_sym_namespace] = ACTIONS(3228),
    [anon_sym_LBRACE] = ACTIONS(3228),
    [anon_sym_RBRACE] = ACTIONS(3228),
    [anon_sym_typeof] = ACTIONS(3228),
    [anon_sym_import] = ACTIONS(3228),
    [anon_sym_with] = ACTIONS(3228),
    [anon_sym_var] = ACTIONS(3228),
    [anon_sym_let] = ACTIONS(3228),
    [anon_sym_const] = ACTIONS(3228),
    [anon_sym_BANG] = ACTIONS(3228),
    [anon_sym_if] = ACTIONS(3228),
    [anon_sym_switch] = ACTIONS(3228),
    [anon_sym_for] = ACTIONS(3228),
    [anon_sym_LPAREN] = ACTIONS(3228),
    [anon_sym_await] = ACTIONS(3228),
    [anon_sym_while] = ACTIONS(3228),
    [anon_sym_do] = ACTIONS(3228),
    [anon_sym_try] = ACTIONS(3228),
    [anon_sym_break] = ACTIONS(3228),
    [anon_sym_continue] = ACTIONS(3228),
    [anon_sym_debugger] = ACTIONS(3228),
    [anon_sym_return] = ACTIONS(3228),
    [anon_sym_throw] = ACTIONS(3228),
    [anon_sym_SEMI] = ACTIONS(3228),
    [anon_sym_yield] = ACTIONS(3228),
    [anon_sym_LBRACK] = ACTIONS(3228),
    [anon_sym_LTtemplate_GT] = ACTIONS(3228),
    [anon_sym_DQUOTE] = ACTIONS(3228),
    [anon_sym_SQUOTE] = ACTIONS(3228),
    [anon_sym_class] = ACTIONS(3228),
    [anon_sym_async] = ACTIONS(3228),
    [anon_sym_function] = ACTIONS(3228),
    [anon_sym_new] = ACTIONS(3228),
    [anon_sym_using] = ACTIONS(3228),
    [anon_sym_PLUS] = ACTIONS(3228),
    [anon_sym_DASH] = ACTIONS(3228),
    [anon_sym_SLASH] = ACTIONS(3228),
    [anon_sym_LT] = ACTIONS(3228),
    [anon_sym_TILDE] = ACTIONS(3228),
    [anon_sym_void] = ACTIONS(3228),
    [anon_sym_delete] = ACTIONS(3228),
    [anon_sym_PLUS_PLUS] = ACTIONS(3228),
    [anon_sym_DASH_DASH] = ACTIONS(3228),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3228),
    [sym_number] = ACTIONS(3228),
    [sym_private_property_identifier] = ACTIONS(3228),
    [sym_this] = ACTIONS(3228),
    [sym_super] = ACTIONS(3228),
    [sym_true] = ACTIONS(3228),
    [sym_false] = ACTIONS(3228),
    [sym_null] = ACTIONS(3228),
    [sym_undefined] = ACTIONS(3228),
    [anon_sym_AT] = ACTIONS(3228),
    [anon_sym_static] = ACTIONS(3228),
    [anon_sym_readonly] = ACTIONS(3228),
    [anon_sym_get] = ACTIONS(3228),
    [anon_sym_set] = ACTIONS(3228),
    [anon_sym_declare] = ACTIONS(3228),
    [anon_sym_public] = ACTIONS(3228),
    [anon_sym_private] = ACTIONS(3228),
    [anon_sym_protected] = ACTIONS(3228),
    [anon_sym_override] = ACTIONS(3228),
    [anon_sym_module] = ACTIONS(3228),
    [anon_sym_any] = ACTIONS(3228),
    [anon_sym_number] = ACTIONS(3228),
    [anon_sym_boolean] = ACTIONS(3228),
    [anon_sym_string] = ACTIONS(3228),
    [anon_sym_symbol] = ACTIONS(3228),
    [anon_sym_object] = ACTIONS(3228),
    [anon_sym_abstract] = ACTIONS(3228),
    [anon_sym_interface] = ACTIONS(3228),
    [anon_sym_enum] = ACTIONS(3228),
    [sym_html_comment] = ACTIONS(5),
  },
  [1613] = {
    [sym_comment] = STATE(1613),
    [ts_builtin_sym_end] = ACTIONS(3370),
    [sym_identifier] = ACTIONS(3154),
    [anon_sym_export] = ACTIONS(3154),
    [anon_sym_type] = ACTIONS(3154),
    [anon_sym_namespace] = ACTIONS(3154),
    [anon_sym_LBRACE] = ACTIONS(3154),
    [anon_sym_RBRACE] = ACTIONS(3154),
    [anon_sym_typeof] = ACTIONS(3154),
    [anon_sym_import] = ACTIONS(3154),
    [anon_sym_with] = ACTIONS(3154),
    [anon_sym_var] = ACTIONS(3154),
    [anon_sym_let] = ACTIONS(3154),
    [anon_sym_const] = ACTIONS(3154),
    [anon_sym_BANG] = ACTIONS(3154),
    [anon_sym_if] = ACTIONS(3154),
    [anon_sym_switch] = ACTIONS(3154),
    [anon_sym_for] = ACTIONS(3154),
    [anon_sym_LPAREN] = ACTIONS(3154),
    [anon_sym_await] = ACTIONS(3154),
    [anon_sym_while] = ACTIONS(3154),
    [anon_sym_do] = ACTIONS(3154),
    [anon_sym_try] = ACTIONS(3154),
    [anon_sym_break] = ACTIONS(3154),
    [anon_sym_continue] = ACTIONS(3154),
    [anon_sym_debugger] = ACTIONS(3154),
    [anon_sym_return] = ACTIONS(3154),
    [anon_sym_throw] = ACTIONS(3154),
    [anon_sym_SEMI] = ACTIONS(3154),
    [anon_sym_yield] = ACTIONS(3154),
    [anon_sym_LBRACK] = ACTIONS(3154),
    [anon_sym_LTtemplate_GT] = ACTIONS(3154),
    [anon_sym_DQUOTE] = ACTIONS(3154),
    [anon_sym_SQUOTE] = ACTIONS(3154),
    [anon_sym_class] = ACTIONS(3154),
    [anon_sym_async] = ACTIONS(3154),
    [anon_sym_function] = ACTIONS(3154),
    [anon_sym_new] = ACTIONS(3154),
    [anon_sym_using] = ACTIONS(3154),
    [anon_sym_PLUS] = ACTIONS(3154),
    [anon_sym_DASH] = ACTIONS(3154),
    [anon_sym_SLASH] = ACTIONS(3154),
    [anon_sym_LT] = ACTIONS(3154),
    [anon_sym_TILDE] = ACTIONS(3154),
    [anon_sym_void] = ACTIONS(3154),
    [anon_sym_delete] = ACTIONS(3154),
    [anon_sym_PLUS_PLUS] = ACTIONS(3154),
    [anon_sym_DASH_DASH] = ACTIONS(3154),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3154),
    [sym_number] = ACTIONS(3154),
    [sym_private_property_identifier] = ACTIONS(3154),
    [sym_this] = ACTIONS(3154),
    [sym_super] = ACTIONS(3154),
    [sym_true] = ACTIONS(3154),
    [sym_false] = ACTIONS(3154),
    [sym_null] = ACTIONS(3154),
    [sym_undefined] = ACTIONS(3154),
    [anon_sym_AT] = ACTIONS(3154),
    [anon_sym_static] = ACTIONS(3154),
    [anon_sym_readonly] = ACTIONS(3154),
    [anon_sym_get] = ACTIONS(3154),
    [anon_sym_set] = ACTIONS(3154),
    [anon_sym_declare] = ACTIONS(3154),
    [anon_sym_public] = ACTIONS(3154),
    [anon_sym_private] = ACTIONS(3154),
    [anon_sym_protected] = ACTIONS(3154),
    [anon_sym_override] = ACTIONS(3154),
    [anon_sym_module] = ACTIONS(3154),
    [anon_sym_any] = ACTIONS(3154),
    [anon_sym_number] = ACTIONS(3154),
    [anon_sym_boolean] = ACTIONS(3154),
    [anon_sym_string] = ACTIONS(3154),
    [anon_sym_symbol] = ACTIONS(3154),
    [anon_sym_object] = ACTIONS(3154),
    [anon_sym_abstract] = ACTIONS(3154),
    [anon_sym_interface] = ACTIONS(3154),
    [anon_sym_enum] = ACTIONS(3154),
    [sym_html_comment] = ACTIONS(5),
  },
  [1614] = {
    [sym_comment] = STATE(1614),
    [ts_builtin_sym_end] = ACTIONS(3370),
    [sym_identifier] = ACTIONS(3154),
    [anon_sym_export] = ACTIONS(3154),
    [anon_sym_type] = ACTIONS(3154),
    [anon_sym_namespace] = ACTIONS(3154),
    [anon_sym_LBRACE] = ACTIONS(3154),
    [anon_sym_RBRACE] = ACTIONS(3154),
    [anon_sym_typeof] = ACTIONS(3154),
    [anon_sym_import] = ACTIONS(3154),
    [anon_sym_with] = ACTIONS(3154),
    [anon_sym_var] = ACTIONS(3154),
    [anon_sym_let] = ACTIONS(3154),
    [anon_sym_const] = ACTIONS(3154),
    [anon_sym_BANG] = ACTIONS(3154),
    [anon_sym_if] = ACTIONS(3154),
    [anon_sym_switch] = ACTIONS(3154),
    [anon_sym_for] = ACTIONS(3154),
    [anon_sym_LPAREN] = ACTIONS(3154),
    [anon_sym_await] = ACTIONS(3154),
    [anon_sym_while] = ACTIONS(3154),
    [anon_sym_do] = ACTIONS(3154),
    [anon_sym_try] = ACTIONS(3154),
    [anon_sym_break] = ACTIONS(3154),
    [anon_sym_continue] = ACTIONS(3154),
    [anon_sym_debugger] = ACTIONS(3154),
    [anon_sym_return] = ACTIONS(3154),
    [anon_sym_throw] = ACTIONS(3154),
    [anon_sym_SEMI] = ACTIONS(3154),
    [anon_sym_yield] = ACTIONS(3154),
    [anon_sym_LBRACK] = ACTIONS(3154),
    [anon_sym_LTtemplate_GT] = ACTIONS(3154),
    [anon_sym_DQUOTE] = ACTIONS(3154),
    [anon_sym_SQUOTE] = ACTIONS(3154),
    [anon_sym_class] = ACTIONS(3154),
    [anon_sym_async] = ACTIONS(3154),
    [anon_sym_function] = ACTIONS(3154),
    [anon_sym_new] = ACTIONS(3154),
    [anon_sym_using] = ACTIONS(3154),
    [anon_sym_PLUS] = ACTIONS(3154),
    [anon_sym_DASH] = ACTIONS(3154),
    [anon_sym_SLASH] = ACTIONS(3154),
    [anon_sym_LT] = ACTIONS(3154),
    [anon_sym_TILDE] = ACTIONS(3154),
    [anon_sym_void] = ACTIONS(3154),
    [anon_sym_delete] = ACTIONS(3154),
    [anon_sym_PLUS_PLUS] = ACTIONS(3154),
    [anon_sym_DASH_DASH] = ACTIONS(3154),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3154),
    [sym_number] = ACTIONS(3154),
    [sym_private_property_identifier] = ACTIONS(3154),
    [sym_this] = ACTIONS(3154),
    [sym_super] = ACTIONS(3154),
    [sym_true] = ACTIONS(3154),
    [sym_false] = ACTIONS(3154),
    [sym_null] = ACTIONS(3154),
    [sym_undefined] = ACTIONS(3154),
    [anon_sym_AT] = ACTIONS(3154),
    [anon_sym_static] = ACTIONS(3154),
    [anon_sym_readonly] = ACTIONS(3154),
    [anon_sym_get] = ACTIONS(3154),
    [anon_sym_set] = ACTIONS(3154),
    [anon_sym_declare] = ACTIONS(3154),
    [anon_sym_public] = ACTIONS(3154),
    [anon_sym_private] = ACTIONS(3154),
    [anon_sym_protected] = ACTIONS(3154),
    [anon_sym_override] = ACTIONS(3154),
    [anon_sym_module] = ACTIONS(3154),
    [anon_sym_any] = ACTIONS(3154),
    [anon_sym_number] = ACTIONS(3154),
    [anon_sym_boolean] = ACTIONS(3154),
    [anon_sym_string] = ACTIONS(3154),
    [anon_sym_symbol] = ACTIONS(3154),
    [anon_sym_object] = ACTIONS(3154),
    [anon_sym_abstract] = ACTIONS(3154),
    [anon_sym_interface] = ACTIONS(3154),
    [anon_sym_enum] = ACTIONS(3154),
    [sym_html_comment] = ACTIONS(5),
  },
  [1615] = {
    [sym_comment] = STATE(1615),
    [ts_builtin_sym_end] = ACTIONS(3532),
    [sym_identifier] = ACTIONS(3198),
    [anon_sym_export] = ACTIONS(3198),
    [anon_sym_type] = ACTIONS(3198),
    [anon_sym_namespace] = ACTIONS(3198),
    [anon_sym_LBRACE] = ACTIONS(3198),
    [anon_sym_RBRACE] = ACTIONS(3198),
    [anon_sym_typeof] = ACTIONS(3198),
    [anon_sym_import] = ACTIONS(3198),
    [anon_sym_with] = ACTIONS(3198),
    [anon_sym_var] = ACTIONS(3198),
    [anon_sym_let] = ACTIONS(3198),
    [anon_sym_const] = ACTIONS(3198),
    [anon_sym_BANG] = ACTIONS(3198),
    [anon_sym_if] = ACTIONS(3198),
    [anon_sym_switch] = ACTIONS(3198),
    [anon_sym_for] = ACTIONS(3198),
    [anon_sym_LPAREN] = ACTIONS(3198),
    [anon_sym_await] = ACTIONS(3198),
    [anon_sym_while] = ACTIONS(3198),
    [anon_sym_do] = ACTIONS(3198),
    [anon_sym_try] = ACTIONS(3198),
    [anon_sym_break] = ACTIONS(3198),
    [anon_sym_continue] = ACTIONS(3198),
    [anon_sym_debugger] = ACTIONS(3198),
    [anon_sym_return] = ACTIONS(3198),
    [anon_sym_throw] = ACTIONS(3198),
    [anon_sym_SEMI] = ACTIONS(3198),
    [anon_sym_yield] = ACTIONS(3198),
    [anon_sym_LBRACK] = ACTIONS(3198),
    [anon_sym_LTtemplate_GT] = ACTIONS(3198),
    [anon_sym_DQUOTE] = ACTIONS(3198),
    [anon_sym_SQUOTE] = ACTIONS(3198),
    [anon_sym_class] = ACTIONS(3198),
    [anon_sym_async] = ACTIONS(3198),
    [anon_sym_function] = ACTIONS(3198),
    [anon_sym_new] = ACTIONS(3198),
    [anon_sym_using] = ACTIONS(3198),
    [anon_sym_PLUS] = ACTIONS(3198),
    [anon_sym_DASH] = ACTIONS(3198),
    [anon_sym_SLASH] = ACTIONS(3198),
    [anon_sym_LT] = ACTIONS(3198),
    [anon_sym_TILDE] = ACTIONS(3198),
    [anon_sym_void] = ACTIONS(3198),
    [anon_sym_delete] = ACTIONS(3198),
    [anon_sym_PLUS_PLUS] = ACTIONS(3198),
    [anon_sym_DASH_DASH] = ACTIONS(3198),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3198),
    [sym_number] = ACTIONS(3198),
    [sym_private_property_identifier] = ACTIONS(3198),
    [sym_this] = ACTIONS(3198),
    [sym_super] = ACTIONS(3198),
    [sym_true] = ACTIONS(3198),
    [sym_false] = ACTIONS(3198),
    [sym_null] = ACTIONS(3198),
    [sym_undefined] = ACTIONS(3198),
    [anon_sym_AT] = ACTIONS(3198),
    [anon_sym_static] = ACTIONS(3198),
    [anon_sym_readonly] = ACTIONS(3198),
    [anon_sym_get] = ACTIONS(3198),
    [anon_sym_set] = ACTIONS(3198),
    [anon_sym_declare] = ACTIONS(3198),
    [anon_sym_public] = ACTIONS(3198),
    [anon_sym_private] = ACTIONS(3198),
    [anon_sym_protected] = ACTIONS(3198),
    [anon_sym_override] = ACTIONS(3198),
    [anon_sym_module] = ACTIONS(3198),
    [anon_sym_any] = ACTIONS(3198),
    [anon_sym_number] = ACTIONS(3198),
    [anon_sym_boolean] = ACTIONS(3198),
    [anon_sym_string] = ACTIONS(3198),
    [anon_sym_symbol] = ACTIONS(3198),
    [anon_sym_object] = ACTIONS(3198),
    [anon_sym_abstract] = ACTIONS(3198),
    [anon_sym_interface] = ACTIONS(3198),
    [anon_sym_enum] = ACTIONS(3198),
    [sym_html_comment] = ACTIONS(5),
  },
  [1616] = {
    [sym_comment] = STATE(1616),
    [ts_builtin_sym_end] = ACTIONS(3532),
    [sym_identifier] = ACTIONS(3198),
    [anon_sym_export] = ACTIONS(3198),
    [anon_sym_type] = ACTIONS(3198),
    [anon_sym_namespace] = ACTIONS(3198),
    [anon_sym_LBRACE] = ACTIONS(3198),
    [anon_sym_RBRACE] = ACTIONS(3198),
    [anon_sym_typeof] = ACTIONS(3198),
    [anon_sym_import] = ACTIONS(3198),
    [anon_sym_with] = ACTIONS(3198),
    [anon_sym_var] = ACTIONS(3198),
    [anon_sym_let] = ACTIONS(3198),
    [anon_sym_const] = ACTIONS(3198),
    [anon_sym_BANG] = ACTIONS(3198),
    [anon_sym_if] = ACTIONS(3198),
    [anon_sym_switch] = ACTIONS(3198),
    [anon_sym_for] = ACTIONS(3198),
    [anon_sym_LPAREN] = ACTIONS(3198),
    [anon_sym_await] = ACTIONS(3198),
    [anon_sym_while] = ACTIONS(3198),
    [anon_sym_do] = ACTIONS(3198),
    [anon_sym_try] = ACTIONS(3198),
    [anon_sym_break] = ACTIONS(3198),
    [anon_sym_continue] = ACTIONS(3198),
    [anon_sym_debugger] = ACTIONS(3198),
    [anon_sym_return] = ACTIONS(3198),
    [anon_sym_throw] = ACTIONS(3198),
    [anon_sym_SEMI] = ACTIONS(3198),
    [anon_sym_yield] = ACTIONS(3198),
    [anon_sym_LBRACK] = ACTIONS(3198),
    [anon_sym_LTtemplate_GT] = ACTIONS(3198),
    [anon_sym_DQUOTE] = ACTIONS(3198),
    [anon_sym_SQUOTE] = ACTIONS(3198),
    [anon_sym_class] = ACTIONS(3198),
    [anon_sym_async] = ACTIONS(3198),
    [anon_sym_function] = ACTIONS(3198),
    [anon_sym_new] = ACTIONS(3198),
    [anon_sym_using] = ACTIONS(3198),
    [anon_sym_PLUS] = ACTIONS(3198),
    [anon_sym_DASH] = ACTIONS(3198),
    [anon_sym_SLASH] = ACTIONS(3198),
    [anon_sym_LT] = ACTIONS(3198),
    [anon_sym_TILDE] = ACTIONS(3198),
    [anon_sym_void] = ACTIONS(3198),
    [anon_sym_delete] = ACTIONS(3198),
    [anon_sym_PLUS_PLUS] = ACTIONS(3198),
    [anon_sym_DASH_DASH] = ACTIONS(3198),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3198),
    [sym_number] = ACTIONS(3198),
    [sym_private_property_identifier] = ACTIONS(3198),
    [sym_this] = ACTIONS(3198),
    [sym_super] = ACTIONS(3198),
    [sym_true] = ACTIONS(3198),
    [sym_false] = ACTIONS(3198),
    [sym_null] = ACTIONS(3198),
    [sym_undefined] = ACTIONS(3198),
    [anon_sym_AT] = ACTIONS(3198),
    [anon_sym_static] = ACTIONS(3198),
    [anon_sym_readonly] = ACTIONS(3198),
    [anon_sym_get] = ACTIONS(3198),
    [anon_sym_set] = ACTIONS(3198),
    [anon_sym_declare] = ACTIONS(3198),
    [anon_sym_public] = ACTIONS(3198),
    [anon_sym_private] = ACTIONS(3198),
    [anon_sym_protected] = ACTIONS(3198),
    [anon_sym_override] = ACTIONS(3198),
    [anon_sym_module] = ACTIONS(3198),
    [anon_sym_any] = ACTIONS(3198),
    [anon_sym_number] = ACTIONS(3198),
    [anon_sym_boolean] = ACTIONS(3198),
    [anon_sym_string] = ACTIONS(3198),
    [anon_sym_symbol] = ACTIONS(3198),
    [anon_sym_object] = ACTIONS(3198),
    [anon_sym_abstract] = ACTIONS(3198),
    [anon_sym_interface] = ACTIONS(3198),
    [anon_sym_enum] = ACTIONS(3198),
    [sym_html_comment] = ACTIONS(5),
  },
  [1617] = {
    [sym_comment] = STATE(1617),
    [ts_builtin_sym_end] = ACTIONS(3506),
    [sym_identifier] = ACTIONS(3346),
    [anon_sym_export] = ACTIONS(3346),
    [anon_sym_type] = ACTIONS(3346),
    [anon_sym_namespace] = ACTIONS(3346),
    [anon_sym_LBRACE] = ACTIONS(3346),
    [anon_sym_RBRACE] = ACTIONS(3346),
    [anon_sym_typeof] = ACTIONS(3346),
    [anon_sym_import] = ACTIONS(3346),
    [anon_sym_with] = ACTIONS(3346),
    [anon_sym_var] = ACTIONS(3346),
    [anon_sym_let] = ACTIONS(3346),
    [anon_sym_const] = ACTIONS(3346),
    [anon_sym_BANG] = ACTIONS(3346),
    [anon_sym_if] = ACTIONS(3346),
    [anon_sym_switch] = ACTIONS(3346),
    [anon_sym_for] = ACTIONS(3346),
    [anon_sym_LPAREN] = ACTIONS(3346),
    [anon_sym_await] = ACTIONS(3346),
    [anon_sym_while] = ACTIONS(3346),
    [anon_sym_do] = ACTIONS(3346),
    [anon_sym_try] = ACTIONS(3346),
    [anon_sym_break] = ACTIONS(3346),
    [anon_sym_continue] = ACTIONS(3346),
    [anon_sym_debugger] = ACTIONS(3346),
    [anon_sym_return] = ACTIONS(3346),
    [anon_sym_throw] = ACTIONS(3346),
    [anon_sym_SEMI] = ACTIONS(3346),
    [anon_sym_yield] = ACTIONS(3346),
    [anon_sym_LBRACK] = ACTIONS(3346),
    [anon_sym_LTtemplate_GT] = ACTIONS(3346),
    [anon_sym_DQUOTE] = ACTIONS(3346),
    [anon_sym_SQUOTE] = ACTIONS(3346),
    [anon_sym_class] = ACTIONS(3346),
    [anon_sym_async] = ACTIONS(3346),
    [anon_sym_function] = ACTIONS(3346),
    [anon_sym_new] = ACTIONS(3346),
    [anon_sym_using] = ACTIONS(3346),
    [anon_sym_PLUS] = ACTIONS(3346),
    [anon_sym_DASH] = ACTIONS(3346),
    [anon_sym_SLASH] = ACTIONS(3346),
    [anon_sym_LT] = ACTIONS(3346),
    [anon_sym_TILDE] = ACTIONS(3346),
    [anon_sym_void] = ACTIONS(3346),
    [anon_sym_delete] = ACTIONS(3346),
    [anon_sym_PLUS_PLUS] = ACTIONS(3346),
    [anon_sym_DASH_DASH] = ACTIONS(3346),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3346),
    [sym_number] = ACTIONS(3346),
    [sym_private_property_identifier] = ACTIONS(3346),
    [sym_this] = ACTIONS(3346),
    [sym_super] = ACTIONS(3346),
    [sym_true] = ACTIONS(3346),
    [sym_false] = ACTIONS(3346),
    [sym_null] = ACTIONS(3346),
    [sym_undefined] = ACTIONS(3346),
    [anon_sym_AT] = ACTIONS(3346),
    [anon_sym_static] = ACTIONS(3346),
    [anon_sym_readonly] = ACTIONS(3346),
    [anon_sym_get] = ACTIONS(3346),
    [anon_sym_set] = ACTIONS(3346),
    [anon_sym_declare] = ACTIONS(3346),
    [anon_sym_public] = ACTIONS(3346),
    [anon_sym_private] = ACTIONS(3346),
    [anon_sym_protected] = ACTIONS(3346),
    [anon_sym_override] = ACTIONS(3346),
    [anon_sym_module] = ACTIONS(3346),
    [anon_sym_any] = ACTIONS(3346),
    [anon_sym_number] = ACTIONS(3346),
    [anon_sym_boolean] = ACTIONS(3346),
    [anon_sym_string] = ACTIONS(3346),
    [anon_sym_symbol] = ACTIONS(3346),
    [anon_sym_object] = ACTIONS(3346),
    [anon_sym_abstract] = ACTIONS(3346),
    [anon_sym_interface] = ACTIONS(3346),
    [anon_sym_enum] = ACTIONS(3346),
    [sym_html_comment] = ACTIONS(5),
  },
  [1618] = {
    [sym_comment] = STATE(1618),
    [ts_builtin_sym_end] = ACTIONS(3506),
    [sym_identifier] = ACTIONS(3346),
    [anon_sym_export] = ACTIONS(3346),
    [anon_sym_type] = ACTIONS(3346),
    [anon_sym_namespace] = ACTIONS(3346),
    [anon_sym_LBRACE] = ACTIONS(3346),
    [anon_sym_RBRACE] = ACTIONS(3346),
    [anon_sym_typeof] = ACTIONS(3346),
    [anon_sym_import] = ACTIONS(3346),
    [anon_sym_with] = ACTIONS(3346),
    [anon_sym_var] = ACTIONS(3346),
    [anon_sym_let] = ACTIONS(3346),
    [anon_sym_const] = ACTIONS(3346),
    [anon_sym_BANG] = ACTIONS(3346),
    [anon_sym_if] = ACTIONS(3346),
    [anon_sym_switch] = ACTIONS(3346),
    [anon_sym_for] = ACTIONS(3346),
    [anon_sym_LPAREN] = ACTIONS(3346),
    [anon_sym_await] = ACTIONS(3346),
    [anon_sym_while] = ACTIONS(3346),
    [anon_sym_do] = ACTIONS(3346),
    [anon_sym_try] = ACTIONS(3346),
    [anon_sym_break] = ACTIONS(3346),
    [anon_sym_continue] = ACTIONS(3346),
    [anon_sym_debugger] = ACTIONS(3346),
    [anon_sym_return] = ACTIONS(3346),
    [anon_sym_throw] = ACTIONS(3346),
    [anon_sym_SEMI] = ACTIONS(3346),
    [anon_sym_yield] = ACTIONS(3346),
    [anon_sym_LBRACK] = ACTIONS(3346),
    [anon_sym_LTtemplate_GT] = ACTIONS(3346),
    [anon_sym_DQUOTE] = ACTIONS(3346),
    [anon_sym_SQUOTE] = ACTIONS(3346),
    [anon_sym_class] = ACTIONS(3346),
    [anon_sym_async] = ACTIONS(3346),
    [anon_sym_function] = ACTIONS(3346),
    [anon_sym_new] = ACTIONS(3346),
    [anon_sym_using] = ACTIONS(3346),
    [anon_sym_PLUS] = ACTIONS(3346),
    [anon_sym_DASH] = ACTIONS(3346),
    [anon_sym_SLASH] = ACTIONS(3346),
    [anon_sym_LT] = ACTIONS(3346),
    [anon_sym_TILDE] = ACTIONS(3346),
    [anon_sym_void] = ACTIONS(3346),
    [anon_sym_delete] = ACTIONS(3346),
    [anon_sym_PLUS_PLUS] = ACTIONS(3346),
    [anon_sym_DASH_DASH] = ACTIONS(3346),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3346),
    [sym_number] = ACTIONS(3346),
    [sym_private_property_identifier] = ACTIONS(3346),
    [sym_this] = ACTIONS(3346),
    [sym_super] = ACTIONS(3346),
    [sym_true] = ACTIONS(3346),
    [sym_false] = ACTIONS(3346),
    [sym_null] = ACTIONS(3346),
    [sym_undefined] = ACTIONS(3346),
    [anon_sym_AT] = ACTIONS(3346),
    [anon_sym_static] = ACTIONS(3346),
    [anon_sym_readonly] = ACTIONS(3346),
    [anon_sym_get] = ACTIONS(3346),
    [anon_sym_set] = ACTIONS(3346),
    [anon_sym_declare] = ACTIONS(3346),
    [anon_sym_public] = ACTIONS(3346),
    [anon_sym_private] = ACTIONS(3346),
    [anon_sym_protected] = ACTIONS(3346),
    [anon_sym_override] = ACTIONS(3346),
    [anon_sym_module] = ACTIONS(3346),
    [anon_sym_any] = ACTIONS(3346),
    [anon_sym_number] = ACTIONS(3346),
    [anon_sym_boolean] = ACTIONS(3346),
    [anon_sym_string] = ACTIONS(3346),
    [anon_sym_symbol] = ACTIONS(3346),
    [anon_sym_object] = ACTIONS(3346),
    [anon_sym_abstract] = ACTIONS(3346),
    [anon_sym_interface] = ACTIONS(3346),
    [anon_sym_enum] = ACTIONS(3346),
    [sym_html_comment] = ACTIONS(5),
  },
  [1619] = {
    [sym_comment] = STATE(1619),
    [ts_builtin_sym_end] = ACTIONS(3370),
    [sym_identifier] = ACTIONS(3154),
    [anon_sym_export] = ACTIONS(3154),
    [anon_sym_type] = ACTIONS(3154),
    [anon_sym_namespace] = ACTIONS(3154),
    [anon_sym_LBRACE] = ACTIONS(3154),
    [anon_sym_RBRACE] = ACTIONS(3154),
    [anon_sym_typeof] = ACTIONS(3154),
    [anon_sym_import] = ACTIONS(3154),
    [anon_sym_with] = ACTIONS(3154),
    [anon_sym_var] = ACTIONS(3154),
    [anon_sym_let] = ACTIONS(3154),
    [anon_sym_const] = ACTIONS(3154),
    [anon_sym_BANG] = ACTIONS(3154),
    [anon_sym_if] = ACTIONS(3154),
    [anon_sym_switch] = ACTIONS(3154),
    [anon_sym_for] = ACTIONS(3154),
    [anon_sym_LPAREN] = ACTIONS(3154),
    [anon_sym_await] = ACTIONS(3154),
    [anon_sym_while] = ACTIONS(3154),
    [anon_sym_do] = ACTIONS(3154),
    [anon_sym_try] = ACTIONS(3154),
    [anon_sym_break] = ACTIONS(3154),
    [anon_sym_continue] = ACTIONS(3154),
    [anon_sym_debugger] = ACTIONS(3154),
    [anon_sym_return] = ACTIONS(3154),
    [anon_sym_throw] = ACTIONS(3154),
    [anon_sym_SEMI] = ACTIONS(3154),
    [anon_sym_yield] = ACTIONS(3154),
    [anon_sym_LBRACK] = ACTIONS(3154),
    [anon_sym_LTtemplate_GT] = ACTIONS(3154),
    [anon_sym_DQUOTE] = ACTIONS(3154),
    [anon_sym_SQUOTE] = ACTIONS(3154),
    [anon_sym_class] = ACTIONS(3154),
    [anon_sym_async] = ACTIONS(3154),
    [anon_sym_function] = ACTIONS(3154),
    [anon_sym_new] = ACTIONS(3154),
    [anon_sym_using] = ACTIONS(3154),
    [anon_sym_PLUS] = ACTIONS(3154),
    [anon_sym_DASH] = ACTIONS(3154),
    [anon_sym_SLASH] = ACTIONS(3154),
    [anon_sym_LT] = ACTIONS(3154),
    [anon_sym_TILDE] = ACTIONS(3154),
    [anon_sym_void] = ACTIONS(3154),
    [anon_sym_delete] = ACTIONS(3154),
    [anon_sym_PLUS_PLUS] = ACTIONS(3154),
    [anon_sym_DASH_DASH] = ACTIONS(3154),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3154),
    [sym_number] = ACTIONS(3154),
    [sym_private_property_identifier] = ACTIONS(3154),
    [sym_this] = ACTIONS(3154),
    [sym_super] = ACTIONS(3154),
    [sym_true] = ACTIONS(3154),
    [sym_false] = ACTIONS(3154),
    [sym_null] = ACTIONS(3154),
    [sym_undefined] = ACTIONS(3154),
    [anon_sym_AT] = ACTIONS(3154),
    [anon_sym_static] = ACTIONS(3154),
    [anon_sym_readonly] = ACTIONS(3154),
    [anon_sym_get] = ACTIONS(3154),
    [anon_sym_set] = ACTIONS(3154),
    [anon_sym_declare] = ACTIONS(3154),
    [anon_sym_public] = ACTIONS(3154),
    [anon_sym_private] = ACTIONS(3154),
    [anon_sym_protected] = ACTIONS(3154),
    [anon_sym_override] = ACTIONS(3154),
    [anon_sym_module] = ACTIONS(3154),
    [anon_sym_any] = ACTIONS(3154),
    [anon_sym_number] = ACTIONS(3154),
    [anon_sym_boolean] = ACTIONS(3154),
    [anon_sym_string] = ACTIONS(3154),
    [anon_sym_symbol] = ACTIONS(3154),
    [anon_sym_object] = ACTIONS(3154),
    [anon_sym_abstract] = ACTIONS(3154),
    [anon_sym_interface] = ACTIONS(3154),
    [anon_sym_enum] = ACTIONS(3154),
    [sym_html_comment] = ACTIONS(5),
  },
  [1620] = {
    [sym_comment] = STATE(1620),
    [ts_builtin_sym_end] = ACTIONS(3370),
    [sym_identifier] = ACTIONS(3154),
    [anon_sym_export] = ACTIONS(3154),
    [anon_sym_type] = ACTIONS(3154),
    [anon_sym_namespace] = ACTIONS(3154),
    [anon_sym_LBRACE] = ACTIONS(3154),
    [anon_sym_RBRACE] = ACTIONS(3154),
    [anon_sym_typeof] = ACTIONS(3154),
    [anon_sym_import] = ACTIONS(3154),
    [anon_sym_with] = ACTIONS(3154),
    [anon_sym_var] = ACTIONS(3154),
    [anon_sym_let] = ACTIONS(3154),
    [anon_sym_const] = ACTIONS(3154),
    [anon_sym_BANG] = ACTIONS(3154),
    [anon_sym_if] = ACTIONS(3154),
    [anon_sym_switch] = ACTIONS(3154),
    [anon_sym_for] = ACTIONS(3154),
    [anon_sym_LPAREN] = ACTIONS(3154),
    [anon_sym_await] = ACTIONS(3154),
    [anon_sym_while] = ACTIONS(3154),
    [anon_sym_do] = ACTIONS(3154),
    [anon_sym_try] = ACTIONS(3154),
    [anon_sym_break] = ACTIONS(3154),
    [anon_sym_continue] = ACTIONS(3154),
    [anon_sym_debugger] = ACTIONS(3154),
    [anon_sym_return] = ACTIONS(3154),
    [anon_sym_throw] = ACTIONS(3154),
    [anon_sym_SEMI] = ACTIONS(3154),
    [anon_sym_yield] = ACTIONS(3154),
    [anon_sym_LBRACK] = ACTIONS(3154),
    [anon_sym_LTtemplate_GT] = ACTIONS(3154),
    [anon_sym_DQUOTE] = ACTIONS(3154),
    [anon_sym_SQUOTE] = ACTIONS(3154),
    [anon_sym_class] = ACTIONS(3154),
    [anon_sym_async] = ACTIONS(3154),
    [anon_sym_function] = ACTIONS(3154),
    [anon_sym_new] = ACTIONS(3154),
    [anon_sym_using] = ACTIONS(3154),
    [anon_sym_PLUS] = ACTIONS(3154),
    [anon_sym_DASH] = ACTIONS(3154),
    [anon_sym_SLASH] = ACTIONS(3154),
    [anon_sym_LT] = ACTIONS(3154),
    [anon_sym_TILDE] = ACTIONS(3154),
    [anon_sym_void] = ACTIONS(3154),
    [anon_sym_delete] = ACTIONS(3154),
    [anon_sym_PLUS_PLUS] = ACTIONS(3154),
    [anon_sym_DASH_DASH] = ACTIONS(3154),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3154),
    [sym_number] = ACTIONS(3154),
    [sym_private_property_identifier] = ACTIONS(3154),
    [sym_this] = ACTIONS(3154),
    [sym_super] = ACTIONS(3154),
    [sym_true] = ACTIONS(3154),
    [sym_false] = ACTIONS(3154),
    [sym_null] = ACTIONS(3154),
    [sym_undefined] = ACTIONS(3154),
    [anon_sym_AT] = ACTIONS(3154),
    [anon_sym_static] = ACTIONS(3154),
    [anon_sym_readonly] = ACTIONS(3154),
    [anon_sym_get] = ACTIONS(3154),
    [anon_sym_set] = ACTIONS(3154),
    [anon_sym_declare] = ACTIONS(3154),
    [anon_sym_public] = ACTIONS(3154),
    [anon_sym_private] = ACTIONS(3154),
    [anon_sym_protected] = ACTIONS(3154),
    [anon_sym_override] = ACTIONS(3154),
    [anon_sym_module] = ACTIONS(3154),
    [anon_sym_any] = ACTIONS(3154),
    [anon_sym_number] = ACTIONS(3154),
    [anon_sym_boolean] = ACTIONS(3154),
    [anon_sym_string] = ACTIONS(3154),
    [anon_sym_symbol] = ACTIONS(3154),
    [anon_sym_object] = ACTIONS(3154),
    [anon_sym_abstract] = ACTIONS(3154),
    [anon_sym_interface] = ACTIONS(3154),
    [anon_sym_enum] = ACTIONS(3154),
    [sym_html_comment] = ACTIONS(5),
  },
  [1621] = {
    [sym_comment] = STATE(1621),
    [ts_builtin_sym_end] = ACTIONS(3370),
    [sym_identifier] = ACTIONS(3154),
    [anon_sym_export] = ACTIONS(3154),
    [anon_sym_type] = ACTIONS(3154),
    [anon_sym_namespace] = ACTIONS(3154),
    [anon_sym_LBRACE] = ACTIONS(3154),
    [anon_sym_RBRACE] = ACTIONS(3154),
    [anon_sym_typeof] = ACTIONS(3154),
    [anon_sym_import] = ACTIONS(3154),
    [anon_sym_with] = ACTIONS(3154),
    [anon_sym_var] = ACTIONS(3154),
    [anon_sym_let] = ACTIONS(3154),
    [anon_sym_const] = ACTIONS(3154),
    [anon_sym_BANG] = ACTIONS(3154),
    [anon_sym_if] = ACTIONS(3154),
    [anon_sym_switch] = ACTIONS(3154),
    [anon_sym_for] = ACTIONS(3154),
    [anon_sym_LPAREN] = ACTIONS(3154),
    [anon_sym_await] = ACTIONS(3154),
    [anon_sym_while] = ACTIONS(3154),
    [anon_sym_do] = ACTIONS(3154),
    [anon_sym_try] = ACTIONS(3154),
    [anon_sym_break] = ACTIONS(3154),
    [anon_sym_continue] = ACTIONS(3154),
    [anon_sym_debugger] = ACTIONS(3154),
    [anon_sym_return] = ACTIONS(3154),
    [anon_sym_throw] = ACTIONS(3154),
    [anon_sym_SEMI] = ACTIONS(3154),
    [anon_sym_yield] = ACTIONS(3154),
    [anon_sym_LBRACK] = ACTIONS(3154),
    [anon_sym_LTtemplate_GT] = ACTIONS(3154),
    [anon_sym_DQUOTE] = ACTIONS(3154),
    [anon_sym_SQUOTE] = ACTIONS(3154),
    [anon_sym_class] = ACTIONS(3154),
    [anon_sym_async] = ACTIONS(3154),
    [anon_sym_function] = ACTIONS(3154),
    [anon_sym_new] = ACTIONS(3154),
    [anon_sym_using] = ACTIONS(3154),
    [anon_sym_PLUS] = ACTIONS(3154),
    [anon_sym_DASH] = ACTIONS(3154),
    [anon_sym_SLASH] = ACTIONS(3154),
    [anon_sym_LT] = ACTIONS(3154),
    [anon_sym_TILDE] = ACTIONS(3154),
    [anon_sym_void] = ACTIONS(3154),
    [anon_sym_delete] = ACTIONS(3154),
    [anon_sym_PLUS_PLUS] = ACTIONS(3154),
    [anon_sym_DASH_DASH] = ACTIONS(3154),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3154),
    [sym_number] = ACTIONS(3154),
    [sym_private_property_identifier] = ACTIONS(3154),
    [sym_this] = ACTIONS(3154),
    [sym_super] = ACTIONS(3154),
    [sym_true] = ACTIONS(3154),
    [sym_false] = ACTIONS(3154),
    [sym_null] = ACTIONS(3154),
    [sym_undefined] = ACTIONS(3154),
    [anon_sym_AT] = ACTIONS(3154),
    [anon_sym_static] = ACTIONS(3154),
    [anon_sym_readonly] = ACTIONS(3154),
    [anon_sym_get] = ACTIONS(3154),
    [anon_sym_set] = ACTIONS(3154),
    [anon_sym_declare] = ACTIONS(3154),
    [anon_sym_public] = ACTIONS(3154),
    [anon_sym_private] = ACTIONS(3154),
    [anon_sym_protected] = ACTIONS(3154),
    [anon_sym_override] = ACTIONS(3154),
    [anon_sym_module] = ACTIONS(3154),
    [anon_sym_any] = ACTIONS(3154),
    [anon_sym_number] = ACTIONS(3154),
    [anon_sym_boolean] = ACTIONS(3154),
    [anon_sym_string] = ACTIONS(3154),
    [anon_sym_symbol] = ACTIONS(3154),
    [anon_sym_object] = ACTIONS(3154),
    [anon_sym_abstract] = ACTIONS(3154),
    [anon_sym_interface] = ACTIONS(3154),
    [anon_sym_enum] = ACTIONS(3154),
    [sym_html_comment] = ACTIONS(5),
  },
  [1622] = {
    [sym_comment] = STATE(1622),
    [ts_builtin_sym_end] = ACTIONS(3370),
    [sym_identifier] = ACTIONS(3154),
    [anon_sym_export] = ACTIONS(3154),
    [anon_sym_type] = ACTIONS(3154),
    [anon_sym_namespace] = ACTIONS(3154),
    [anon_sym_LBRACE] = ACTIONS(3154),
    [anon_sym_RBRACE] = ACTIONS(3154),
    [anon_sym_typeof] = ACTIONS(3154),
    [anon_sym_import] = ACTIONS(3154),
    [anon_sym_with] = ACTIONS(3154),
    [anon_sym_var] = ACTIONS(3154),
    [anon_sym_let] = ACTIONS(3154),
    [anon_sym_const] = ACTIONS(3154),
    [anon_sym_BANG] = ACTIONS(3154),
    [anon_sym_if] = ACTIONS(3154),
    [anon_sym_switch] = ACTIONS(3154),
    [anon_sym_for] = ACTIONS(3154),
    [anon_sym_LPAREN] = ACTIONS(3154),
    [anon_sym_await] = ACTIONS(3154),
    [anon_sym_while] = ACTIONS(3154),
    [anon_sym_do] = ACTIONS(3154),
    [anon_sym_try] = ACTIONS(3154),
    [anon_sym_break] = ACTIONS(3154),
    [anon_sym_continue] = ACTIONS(3154),
    [anon_sym_debugger] = ACTIONS(3154),
    [anon_sym_return] = ACTIONS(3154),
    [anon_sym_throw] = ACTIONS(3154),
    [anon_sym_SEMI] = ACTIONS(3154),
    [anon_sym_yield] = ACTIONS(3154),
    [anon_sym_LBRACK] = ACTIONS(3154),
    [anon_sym_LTtemplate_GT] = ACTIONS(3154),
    [anon_sym_DQUOTE] = ACTIONS(3154),
    [anon_sym_SQUOTE] = ACTIONS(3154),
    [anon_sym_class] = ACTIONS(3154),
    [anon_sym_async] = ACTIONS(3154),
    [anon_sym_function] = ACTIONS(3154),
    [anon_sym_new] = ACTIONS(3154),
    [anon_sym_using] = ACTIONS(3154),
    [anon_sym_PLUS] = ACTIONS(3154),
    [anon_sym_DASH] = ACTIONS(3154),
    [anon_sym_SLASH] = ACTIONS(3154),
    [anon_sym_LT] = ACTIONS(3154),
    [anon_sym_TILDE] = ACTIONS(3154),
    [anon_sym_void] = ACTIONS(3154),
    [anon_sym_delete] = ACTIONS(3154),
    [anon_sym_PLUS_PLUS] = ACTIONS(3154),
    [anon_sym_DASH_DASH] = ACTIONS(3154),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3154),
    [sym_number] = ACTIONS(3154),
    [sym_private_property_identifier] = ACTIONS(3154),
    [sym_this] = ACTIONS(3154),
    [sym_super] = ACTIONS(3154),
    [sym_true] = ACTIONS(3154),
    [sym_false] = ACTIONS(3154),
    [sym_null] = ACTIONS(3154),
    [sym_undefined] = ACTIONS(3154),
    [anon_sym_AT] = ACTIONS(3154),
    [anon_sym_static] = ACTIONS(3154),
    [anon_sym_readonly] = ACTIONS(3154),
    [anon_sym_get] = ACTIONS(3154),
    [anon_sym_set] = ACTIONS(3154),
    [anon_sym_declare] = ACTIONS(3154),
    [anon_sym_public] = ACTIONS(3154),
    [anon_sym_private] = ACTIONS(3154),
    [anon_sym_protected] = ACTIONS(3154),
    [anon_sym_override] = ACTIONS(3154),
    [anon_sym_module] = ACTIONS(3154),
    [anon_sym_any] = ACTIONS(3154),
    [anon_sym_number] = ACTIONS(3154),
    [anon_sym_boolean] = ACTIONS(3154),
    [anon_sym_string] = ACTIONS(3154),
    [anon_sym_symbol] = ACTIONS(3154),
    [anon_sym_object] = ACTIONS(3154),
    [anon_sym_abstract] = ACTIONS(3154),
    [anon_sym_interface] = ACTIONS(3154),
    [anon_sym_enum] = ACTIONS(3154),
    [sym_html_comment] = ACTIONS(5),
  },
  [1623] = {
    [sym_comment] = STATE(1623),
    [ts_builtin_sym_end] = ACTIONS(3508),
    [sym_identifier] = ACTIONS(3344),
    [anon_sym_export] = ACTIONS(3344),
    [anon_sym_type] = ACTIONS(3344),
    [anon_sym_namespace] = ACTIONS(3344),
    [anon_sym_LBRACE] = ACTIONS(3344),
    [anon_sym_RBRACE] = ACTIONS(3344),
    [anon_sym_typeof] = ACTIONS(3344),
    [anon_sym_import] = ACTIONS(3344),
    [anon_sym_with] = ACTIONS(3344),
    [anon_sym_var] = ACTIONS(3344),
    [anon_sym_let] = ACTIONS(3344),
    [anon_sym_const] = ACTIONS(3344),
    [anon_sym_BANG] = ACTIONS(3344),
    [anon_sym_if] = ACTIONS(3344),
    [anon_sym_switch] = ACTIONS(3344),
    [anon_sym_for] = ACTIONS(3344),
    [anon_sym_LPAREN] = ACTIONS(3344),
    [anon_sym_await] = ACTIONS(3344),
    [anon_sym_while] = ACTIONS(3344),
    [anon_sym_do] = ACTIONS(3344),
    [anon_sym_try] = ACTIONS(3344),
    [anon_sym_break] = ACTIONS(3344),
    [anon_sym_continue] = ACTIONS(3344),
    [anon_sym_debugger] = ACTIONS(3344),
    [anon_sym_return] = ACTIONS(3344),
    [anon_sym_throw] = ACTIONS(3344),
    [anon_sym_SEMI] = ACTIONS(3344),
    [anon_sym_yield] = ACTIONS(3344),
    [anon_sym_LBRACK] = ACTIONS(3344),
    [anon_sym_LTtemplate_GT] = ACTIONS(3344),
    [anon_sym_DQUOTE] = ACTIONS(3344),
    [anon_sym_SQUOTE] = ACTIONS(3344),
    [anon_sym_class] = ACTIONS(3344),
    [anon_sym_async] = ACTIONS(3344),
    [anon_sym_function] = ACTIONS(3344),
    [anon_sym_new] = ACTIONS(3344),
    [anon_sym_using] = ACTIONS(3344),
    [anon_sym_PLUS] = ACTIONS(3344),
    [anon_sym_DASH] = ACTIONS(3344),
    [anon_sym_SLASH] = ACTIONS(3344),
    [anon_sym_LT] = ACTIONS(3344),
    [anon_sym_TILDE] = ACTIONS(3344),
    [anon_sym_void] = ACTIONS(3344),
    [anon_sym_delete] = ACTIONS(3344),
    [anon_sym_PLUS_PLUS] = ACTIONS(3344),
    [anon_sym_DASH_DASH] = ACTIONS(3344),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3344),
    [sym_number] = ACTIONS(3344),
    [sym_private_property_identifier] = ACTIONS(3344),
    [sym_this] = ACTIONS(3344),
    [sym_super] = ACTIONS(3344),
    [sym_true] = ACTIONS(3344),
    [sym_false] = ACTIONS(3344),
    [sym_null] = ACTIONS(3344),
    [sym_undefined] = ACTIONS(3344),
    [anon_sym_AT] = ACTIONS(3344),
    [anon_sym_static] = ACTIONS(3344),
    [anon_sym_readonly] = ACTIONS(3344),
    [anon_sym_get] = ACTIONS(3344),
    [anon_sym_set] = ACTIONS(3344),
    [anon_sym_declare] = ACTIONS(3344),
    [anon_sym_public] = ACTIONS(3344),
    [anon_sym_private] = ACTIONS(3344),
    [anon_sym_protected] = ACTIONS(3344),
    [anon_sym_override] = ACTIONS(3344),
    [anon_sym_module] = ACTIONS(3344),
    [anon_sym_any] = ACTIONS(3344),
    [anon_sym_number] = ACTIONS(3344),
    [anon_sym_boolean] = ACTIONS(3344),
    [anon_sym_string] = ACTIONS(3344),
    [anon_sym_symbol] = ACTIONS(3344),
    [anon_sym_object] = ACTIONS(3344),
    [anon_sym_abstract] = ACTIONS(3344),
    [anon_sym_interface] = ACTIONS(3344),
    [anon_sym_enum] = ACTIONS(3344),
    [sym_html_comment] = ACTIONS(5),
  },
  [1624] = {
    [sym_comment] = STATE(1624),
    [ts_builtin_sym_end] = ACTIONS(3510),
    [sym_identifier] = ACTIONS(3342),
    [anon_sym_export] = ACTIONS(3342),
    [anon_sym_type] = ACTIONS(3342),
    [anon_sym_namespace] = ACTIONS(3342),
    [anon_sym_LBRACE] = ACTIONS(3342),
    [anon_sym_RBRACE] = ACTIONS(3342),
    [anon_sym_typeof] = ACTIONS(3342),
    [anon_sym_import] = ACTIONS(3342),
    [anon_sym_with] = ACTIONS(3342),
    [anon_sym_var] = ACTIONS(3342),
    [anon_sym_let] = ACTIONS(3342),
    [anon_sym_const] = ACTIONS(3342),
    [anon_sym_BANG] = ACTIONS(3342),
    [anon_sym_if] = ACTIONS(3342),
    [anon_sym_switch] = ACTIONS(3342),
    [anon_sym_for] = ACTIONS(3342),
    [anon_sym_LPAREN] = ACTIONS(3342),
    [anon_sym_await] = ACTIONS(3342),
    [anon_sym_while] = ACTIONS(3342),
    [anon_sym_do] = ACTIONS(3342),
    [anon_sym_try] = ACTIONS(3342),
    [anon_sym_break] = ACTIONS(3342),
    [anon_sym_continue] = ACTIONS(3342),
    [anon_sym_debugger] = ACTIONS(3342),
    [anon_sym_return] = ACTIONS(3342),
    [anon_sym_throw] = ACTIONS(3342),
    [anon_sym_SEMI] = ACTIONS(3342),
    [anon_sym_yield] = ACTIONS(3342),
    [anon_sym_LBRACK] = ACTIONS(3342),
    [anon_sym_LTtemplate_GT] = ACTIONS(3342),
    [anon_sym_DQUOTE] = ACTIONS(3342),
    [anon_sym_SQUOTE] = ACTIONS(3342),
    [anon_sym_class] = ACTIONS(3342),
    [anon_sym_async] = ACTIONS(3342),
    [anon_sym_function] = ACTIONS(3342),
    [anon_sym_new] = ACTIONS(3342),
    [anon_sym_using] = ACTIONS(3342),
    [anon_sym_PLUS] = ACTIONS(3342),
    [anon_sym_DASH] = ACTIONS(3342),
    [anon_sym_SLASH] = ACTIONS(3342),
    [anon_sym_LT] = ACTIONS(3342),
    [anon_sym_TILDE] = ACTIONS(3342),
    [anon_sym_void] = ACTIONS(3342),
    [anon_sym_delete] = ACTIONS(3342),
    [anon_sym_PLUS_PLUS] = ACTIONS(3342),
    [anon_sym_DASH_DASH] = ACTIONS(3342),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3342),
    [sym_number] = ACTIONS(3342),
    [sym_private_property_identifier] = ACTIONS(3342),
    [sym_this] = ACTIONS(3342),
    [sym_super] = ACTIONS(3342),
    [sym_true] = ACTIONS(3342),
    [sym_false] = ACTIONS(3342),
    [sym_null] = ACTIONS(3342),
    [sym_undefined] = ACTIONS(3342),
    [anon_sym_AT] = ACTIONS(3342),
    [anon_sym_static] = ACTIONS(3342),
    [anon_sym_readonly] = ACTIONS(3342),
    [anon_sym_get] = ACTIONS(3342),
    [anon_sym_set] = ACTIONS(3342),
    [anon_sym_declare] = ACTIONS(3342),
    [anon_sym_public] = ACTIONS(3342),
    [anon_sym_private] = ACTIONS(3342),
    [anon_sym_protected] = ACTIONS(3342),
    [anon_sym_override] = ACTIONS(3342),
    [anon_sym_module] = ACTIONS(3342),
    [anon_sym_any] = ACTIONS(3342),
    [anon_sym_number] = ACTIONS(3342),
    [anon_sym_boolean] = ACTIONS(3342),
    [anon_sym_string] = ACTIONS(3342),
    [anon_sym_symbol] = ACTIONS(3342),
    [anon_sym_object] = ACTIONS(3342),
    [anon_sym_abstract] = ACTIONS(3342),
    [anon_sym_interface] = ACTIONS(3342),
    [anon_sym_enum] = ACTIONS(3342),
    [sym_html_comment] = ACTIONS(5),
  },
  [1625] = {
    [sym_comment] = STATE(1625),
    [ts_builtin_sym_end] = ACTIONS(3488),
    [sym_identifier] = ACTIONS(3238),
    [anon_sym_export] = ACTIONS(3238),
    [anon_sym_type] = ACTIONS(3238),
    [anon_sym_namespace] = ACTIONS(3238),
    [anon_sym_LBRACE] = ACTIONS(3238),
    [anon_sym_RBRACE] = ACTIONS(3238),
    [anon_sym_typeof] = ACTIONS(3238),
    [anon_sym_import] = ACTIONS(3238),
    [anon_sym_with] = ACTIONS(3238),
    [anon_sym_var] = ACTIONS(3238),
    [anon_sym_let] = ACTIONS(3238),
    [anon_sym_const] = ACTIONS(3238),
    [anon_sym_BANG] = ACTIONS(3238),
    [anon_sym_if] = ACTIONS(3238),
    [anon_sym_switch] = ACTIONS(3238),
    [anon_sym_for] = ACTIONS(3238),
    [anon_sym_LPAREN] = ACTIONS(3238),
    [anon_sym_await] = ACTIONS(3238),
    [anon_sym_while] = ACTIONS(3238),
    [anon_sym_do] = ACTIONS(3238),
    [anon_sym_try] = ACTIONS(3238),
    [anon_sym_break] = ACTIONS(3238),
    [anon_sym_continue] = ACTIONS(3238),
    [anon_sym_debugger] = ACTIONS(3238),
    [anon_sym_return] = ACTIONS(3238),
    [anon_sym_throw] = ACTIONS(3238),
    [anon_sym_SEMI] = ACTIONS(3238),
    [anon_sym_yield] = ACTIONS(3238),
    [anon_sym_LBRACK] = ACTIONS(3238),
    [anon_sym_LTtemplate_GT] = ACTIONS(3238),
    [anon_sym_DQUOTE] = ACTIONS(3238),
    [anon_sym_SQUOTE] = ACTIONS(3238),
    [anon_sym_class] = ACTIONS(3238),
    [anon_sym_async] = ACTIONS(3238),
    [anon_sym_function] = ACTIONS(3238),
    [anon_sym_new] = ACTIONS(3238),
    [anon_sym_using] = ACTIONS(3238),
    [anon_sym_PLUS] = ACTIONS(3238),
    [anon_sym_DASH] = ACTIONS(3238),
    [anon_sym_SLASH] = ACTIONS(3238),
    [anon_sym_LT] = ACTIONS(3238),
    [anon_sym_TILDE] = ACTIONS(3238),
    [anon_sym_void] = ACTIONS(3238),
    [anon_sym_delete] = ACTIONS(3238),
    [anon_sym_PLUS_PLUS] = ACTIONS(3238),
    [anon_sym_DASH_DASH] = ACTIONS(3238),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3238),
    [sym_number] = ACTIONS(3238),
    [sym_private_property_identifier] = ACTIONS(3238),
    [sym_this] = ACTIONS(3238),
    [sym_super] = ACTIONS(3238),
    [sym_true] = ACTIONS(3238),
    [sym_false] = ACTIONS(3238),
    [sym_null] = ACTIONS(3238),
    [sym_undefined] = ACTIONS(3238),
    [anon_sym_AT] = ACTIONS(3238),
    [anon_sym_static] = ACTIONS(3238),
    [anon_sym_readonly] = ACTIONS(3238),
    [anon_sym_get] = ACTIONS(3238),
    [anon_sym_set] = ACTIONS(3238),
    [anon_sym_declare] = ACTIONS(3238),
    [anon_sym_public] = ACTIONS(3238),
    [anon_sym_private] = ACTIONS(3238),
    [anon_sym_protected] = ACTIONS(3238),
    [anon_sym_override] = ACTIONS(3238),
    [anon_sym_module] = ACTIONS(3238),
    [anon_sym_any] = ACTIONS(3238),
    [anon_sym_number] = ACTIONS(3238),
    [anon_sym_boolean] = ACTIONS(3238),
    [anon_sym_string] = ACTIONS(3238),
    [anon_sym_symbol] = ACTIONS(3238),
    [anon_sym_object] = ACTIONS(3238),
    [anon_sym_abstract] = ACTIONS(3238),
    [anon_sym_interface] = ACTIONS(3238),
    [anon_sym_enum] = ACTIONS(3238),
    [sym_html_comment] = ACTIONS(5),
  },
  [1626] = {
    [sym_comment] = STATE(1626),
    [ts_builtin_sym_end] = ACTIONS(3486),
    [sym_identifier] = ACTIONS(3240),
    [anon_sym_export] = ACTIONS(3240),
    [anon_sym_type] = ACTIONS(3240),
    [anon_sym_namespace] = ACTIONS(3240),
    [anon_sym_LBRACE] = ACTIONS(3240),
    [anon_sym_RBRACE] = ACTIONS(3240),
    [anon_sym_typeof] = ACTIONS(3240),
    [anon_sym_import] = ACTIONS(3240),
    [anon_sym_with] = ACTIONS(3240),
    [anon_sym_var] = ACTIONS(3240),
    [anon_sym_let] = ACTIONS(3240),
    [anon_sym_const] = ACTIONS(3240),
    [anon_sym_BANG] = ACTIONS(3240),
    [anon_sym_if] = ACTIONS(3240),
    [anon_sym_switch] = ACTIONS(3240),
    [anon_sym_for] = ACTIONS(3240),
    [anon_sym_LPAREN] = ACTIONS(3240),
    [anon_sym_await] = ACTIONS(3240),
    [anon_sym_while] = ACTIONS(3240),
    [anon_sym_do] = ACTIONS(3240),
    [anon_sym_try] = ACTIONS(3240),
    [anon_sym_break] = ACTIONS(3240),
    [anon_sym_continue] = ACTIONS(3240),
    [anon_sym_debugger] = ACTIONS(3240),
    [anon_sym_return] = ACTIONS(3240),
    [anon_sym_throw] = ACTIONS(3240),
    [anon_sym_SEMI] = ACTIONS(3240),
    [anon_sym_yield] = ACTIONS(3240),
    [anon_sym_LBRACK] = ACTIONS(3240),
    [anon_sym_LTtemplate_GT] = ACTIONS(3240),
    [anon_sym_DQUOTE] = ACTIONS(3240),
    [anon_sym_SQUOTE] = ACTIONS(3240),
    [anon_sym_class] = ACTIONS(3240),
    [anon_sym_async] = ACTIONS(3240),
    [anon_sym_function] = ACTIONS(3240),
    [anon_sym_new] = ACTIONS(3240),
    [anon_sym_using] = ACTIONS(3240),
    [anon_sym_PLUS] = ACTIONS(3240),
    [anon_sym_DASH] = ACTIONS(3240),
    [anon_sym_SLASH] = ACTIONS(3240),
    [anon_sym_LT] = ACTIONS(3240),
    [anon_sym_TILDE] = ACTIONS(3240),
    [anon_sym_void] = ACTIONS(3240),
    [anon_sym_delete] = ACTIONS(3240),
    [anon_sym_PLUS_PLUS] = ACTIONS(3240),
    [anon_sym_DASH_DASH] = ACTIONS(3240),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3240),
    [sym_number] = ACTIONS(3240),
    [sym_private_property_identifier] = ACTIONS(3240),
    [sym_this] = ACTIONS(3240),
    [sym_super] = ACTIONS(3240),
    [sym_true] = ACTIONS(3240),
    [sym_false] = ACTIONS(3240),
    [sym_null] = ACTIONS(3240),
    [sym_undefined] = ACTIONS(3240),
    [anon_sym_AT] = ACTIONS(3240),
    [anon_sym_static] = ACTIONS(3240),
    [anon_sym_readonly] = ACTIONS(3240),
    [anon_sym_get] = ACTIONS(3240),
    [anon_sym_set] = ACTIONS(3240),
    [anon_sym_declare] = ACTIONS(3240),
    [anon_sym_public] = ACTIONS(3240),
    [anon_sym_private] = ACTIONS(3240),
    [anon_sym_protected] = ACTIONS(3240),
    [anon_sym_override] = ACTIONS(3240),
    [anon_sym_module] = ACTIONS(3240),
    [anon_sym_any] = ACTIONS(3240),
    [anon_sym_number] = ACTIONS(3240),
    [anon_sym_boolean] = ACTIONS(3240),
    [anon_sym_string] = ACTIONS(3240),
    [anon_sym_symbol] = ACTIONS(3240),
    [anon_sym_object] = ACTIONS(3240),
    [anon_sym_abstract] = ACTIONS(3240),
    [anon_sym_interface] = ACTIONS(3240),
    [anon_sym_enum] = ACTIONS(3240),
    [sym_html_comment] = ACTIONS(5),
  },
  [1627] = {
    [sym_comment] = STATE(1627),
    [ts_builtin_sym_end] = ACTIONS(3484),
    [sym_identifier] = ACTIONS(3242),
    [anon_sym_export] = ACTIONS(3242),
    [anon_sym_type] = ACTIONS(3242),
    [anon_sym_namespace] = ACTIONS(3242),
    [anon_sym_LBRACE] = ACTIONS(3242),
    [anon_sym_RBRACE] = ACTIONS(3242),
    [anon_sym_typeof] = ACTIONS(3242),
    [anon_sym_import] = ACTIONS(3242),
    [anon_sym_with] = ACTIONS(3242),
    [anon_sym_var] = ACTIONS(3242),
    [anon_sym_let] = ACTIONS(3242),
    [anon_sym_const] = ACTIONS(3242),
    [anon_sym_BANG] = ACTIONS(3242),
    [anon_sym_if] = ACTIONS(3242),
    [anon_sym_switch] = ACTIONS(3242),
    [anon_sym_for] = ACTIONS(3242),
    [anon_sym_LPAREN] = ACTIONS(3242),
    [anon_sym_await] = ACTIONS(3242),
    [anon_sym_while] = ACTIONS(3242),
    [anon_sym_do] = ACTIONS(3242),
    [anon_sym_try] = ACTIONS(3242),
    [anon_sym_break] = ACTIONS(3242),
    [anon_sym_continue] = ACTIONS(3242),
    [anon_sym_debugger] = ACTIONS(3242),
    [anon_sym_return] = ACTIONS(3242),
    [anon_sym_throw] = ACTIONS(3242),
    [anon_sym_SEMI] = ACTIONS(3242),
    [anon_sym_yield] = ACTIONS(3242),
    [anon_sym_LBRACK] = ACTIONS(3242),
    [anon_sym_LTtemplate_GT] = ACTIONS(3242),
    [anon_sym_DQUOTE] = ACTIONS(3242),
    [anon_sym_SQUOTE] = ACTIONS(3242),
    [anon_sym_class] = ACTIONS(3242),
    [anon_sym_async] = ACTIONS(3242),
    [anon_sym_function] = ACTIONS(3242),
    [anon_sym_new] = ACTIONS(3242),
    [anon_sym_using] = ACTIONS(3242),
    [anon_sym_PLUS] = ACTIONS(3242),
    [anon_sym_DASH] = ACTIONS(3242),
    [anon_sym_SLASH] = ACTIONS(3242),
    [anon_sym_LT] = ACTIONS(3242),
    [anon_sym_TILDE] = ACTIONS(3242),
    [anon_sym_void] = ACTIONS(3242),
    [anon_sym_delete] = ACTIONS(3242),
    [anon_sym_PLUS_PLUS] = ACTIONS(3242),
    [anon_sym_DASH_DASH] = ACTIONS(3242),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3242),
    [sym_number] = ACTIONS(3242),
    [sym_private_property_identifier] = ACTIONS(3242),
    [sym_this] = ACTIONS(3242),
    [sym_super] = ACTIONS(3242),
    [sym_true] = ACTIONS(3242),
    [sym_false] = ACTIONS(3242),
    [sym_null] = ACTIONS(3242),
    [sym_undefined] = ACTIONS(3242),
    [anon_sym_AT] = ACTIONS(3242),
    [anon_sym_static] = ACTIONS(3242),
    [anon_sym_readonly] = ACTIONS(3242),
    [anon_sym_get] = ACTIONS(3242),
    [anon_sym_set] = ACTIONS(3242),
    [anon_sym_declare] = ACTIONS(3242),
    [anon_sym_public] = ACTIONS(3242),
    [anon_sym_private] = ACTIONS(3242),
    [anon_sym_protected] = ACTIONS(3242),
    [anon_sym_override] = ACTIONS(3242),
    [anon_sym_module] = ACTIONS(3242),
    [anon_sym_any] = ACTIONS(3242),
    [anon_sym_number] = ACTIONS(3242),
    [anon_sym_boolean] = ACTIONS(3242),
    [anon_sym_string] = ACTIONS(3242),
    [anon_sym_symbol] = ACTIONS(3242),
    [anon_sym_object] = ACTIONS(3242),
    [anon_sym_abstract] = ACTIONS(3242),
    [anon_sym_interface] = ACTIONS(3242),
    [anon_sym_enum] = ACTIONS(3242),
    [sym_html_comment] = ACTIONS(5),
  },
  [1628] = {
    [sym_comment] = STATE(1628),
    [ts_builtin_sym_end] = ACTIONS(3566),
    [sym_identifier] = ACTIONS(3158),
    [anon_sym_export] = ACTIONS(3158),
    [anon_sym_type] = ACTIONS(3158),
    [anon_sym_namespace] = ACTIONS(3158),
    [anon_sym_LBRACE] = ACTIONS(3158),
    [anon_sym_RBRACE] = ACTIONS(3158),
    [anon_sym_typeof] = ACTIONS(3158),
    [anon_sym_import] = ACTIONS(3158),
    [anon_sym_with] = ACTIONS(3158),
    [anon_sym_var] = ACTIONS(3158),
    [anon_sym_let] = ACTIONS(3158),
    [anon_sym_const] = ACTIONS(3158),
    [anon_sym_BANG] = ACTIONS(3158),
    [anon_sym_if] = ACTIONS(3158),
    [anon_sym_switch] = ACTIONS(3158),
    [anon_sym_for] = ACTIONS(3158),
    [anon_sym_LPAREN] = ACTIONS(3158),
    [anon_sym_await] = ACTIONS(3158),
    [anon_sym_while] = ACTIONS(3158),
    [anon_sym_do] = ACTIONS(3158),
    [anon_sym_try] = ACTIONS(3158),
    [anon_sym_break] = ACTIONS(3158),
    [anon_sym_continue] = ACTIONS(3158),
    [anon_sym_debugger] = ACTIONS(3158),
    [anon_sym_return] = ACTIONS(3158),
    [anon_sym_throw] = ACTIONS(3158),
    [anon_sym_SEMI] = ACTIONS(3158),
    [anon_sym_yield] = ACTIONS(3158),
    [anon_sym_LBRACK] = ACTIONS(3158),
    [anon_sym_LTtemplate_GT] = ACTIONS(3158),
    [anon_sym_DQUOTE] = ACTIONS(3158),
    [anon_sym_SQUOTE] = ACTIONS(3158),
    [anon_sym_class] = ACTIONS(3158),
    [anon_sym_async] = ACTIONS(3158),
    [anon_sym_function] = ACTIONS(3158),
    [anon_sym_new] = ACTIONS(3158),
    [anon_sym_using] = ACTIONS(3158),
    [anon_sym_PLUS] = ACTIONS(3158),
    [anon_sym_DASH] = ACTIONS(3158),
    [anon_sym_SLASH] = ACTIONS(3158),
    [anon_sym_LT] = ACTIONS(3158),
    [anon_sym_TILDE] = ACTIONS(3158),
    [anon_sym_void] = ACTIONS(3158),
    [anon_sym_delete] = ACTIONS(3158),
    [anon_sym_PLUS_PLUS] = ACTIONS(3158),
    [anon_sym_DASH_DASH] = ACTIONS(3158),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3158),
    [sym_number] = ACTIONS(3158),
    [sym_private_property_identifier] = ACTIONS(3158),
    [sym_this] = ACTIONS(3158),
    [sym_super] = ACTIONS(3158),
    [sym_true] = ACTIONS(3158),
    [sym_false] = ACTIONS(3158),
    [sym_null] = ACTIONS(3158),
    [sym_undefined] = ACTIONS(3158),
    [anon_sym_AT] = ACTIONS(3158),
    [anon_sym_static] = ACTIONS(3158),
    [anon_sym_readonly] = ACTIONS(3158),
    [anon_sym_get] = ACTIONS(3158),
    [anon_sym_set] = ACTIONS(3158),
    [anon_sym_declare] = ACTIONS(3158),
    [anon_sym_public] = ACTIONS(3158),
    [anon_sym_private] = ACTIONS(3158),
    [anon_sym_protected] = ACTIONS(3158),
    [anon_sym_override] = ACTIONS(3158),
    [anon_sym_module] = ACTIONS(3158),
    [anon_sym_any] = ACTIONS(3158),
    [anon_sym_number] = ACTIONS(3158),
    [anon_sym_boolean] = ACTIONS(3158),
    [anon_sym_string] = ACTIONS(3158),
    [anon_sym_symbol] = ACTIONS(3158),
    [anon_sym_object] = ACTIONS(3158),
    [anon_sym_abstract] = ACTIONS(3158),
    [anon_sym_interface] = ACTIONS(3158),
    [anon_sym_enum] = ACTIONS(3158),
    [sym_html_comment] = ACTIONS(5),
  },
  [1629] = {
    [sym_comment] = STATE(1629),
    [ts_builtin_sym_end] = ACTIONS(3564),
    [sym_identifier] = ACTIONS(3160),
    [anon_sym_export] = ACTIONS(3160),
    [anon_sym_type] = ACTIONS(3160),
    [anon_sym_namespace] = ACTIONS(3160),
    [anon_sym_LBRACE] = ACTIONS(3160),
    [anon_sym_RBRACE] = ACTIONS(3160),
    [anon_sym_typeof] = ACTIONS(3160),
    [anon_sym_import] = ACTIONS(3160),
    [anon_sym_with] = ACTIONS(3160),
    [anon_sym_var] = ACTIONS(3160),
    [anon_sym_let] = ACTIONS(3160),
    [anon_sym_const] = ACTIONS(3160),
    [anon_sym_BANG] = ACTIONS(3160),
    [anon_sym_if] = ACTIONS(3160),
    [anon_sym_switch] = ACTIONS(3160),
    [anon_sym_for] = ACTIONS(3160),
    [anon_sym_LPAREN] = ACTIONS(3160),
    [anon_sym_await] = ACTIONS(3160),
    [anon_sym_while] = ACTIONS(3160),
    [anon_sym_do] = ACTIONS(3160),
    [anon_sym_try] = ACTIONS(3160),
    [anon_sym_break] = ACTIONS(3160),
    [anon_sym_continue] = ACTIONS(3160),
    [anon_sym_debugger] = ACTIONS(3160),
    [anon_sym_return] = ACTIONS(3160),
    [anon_sym_throw] = ACTIONS(3160),
    [anon_sym_SEMI] = ACTIONS(3160),
    [anon_sym_yield] = ACTIONS(3160),
    [anon_sym_LBRACK] = ACTIONS(3160),
    [anon_sym_LTtemplate_GT] = ACTIONS(3160),
    [anon_sym_DQUOTE] = ACTIONS(3160),
    [anon_sym_SQUOTE] = ACTIONS(3160),
    [anon_sym_class] = ACTIONS(3160),
    [anon_sym_async] = ACTIONS(3160),
    [anon_sym_function] = ACTIONS(3160),
    [anon_sym_new] = ACTIONS(3160),
    [anon_sym_using] = ACTIONS(3160),
    [anon_sym_PLUS] = ACTIONS(3160),
    [anon_sym_DASH] = ACTIONS(3160),
    [anon_sym_SLASH] = ACTIONS(3160),
    [anon_sym_LT] = ACTIONS(3160),
    [anon_sym_TILDE] = ACTIONS(3160),
    [anon_sym_void] = ACTIONS(3160),
    [anon_sym_delete] = ACTIONS(3160),
    [anon_sym_PLUS_PLUS] = ACTIONS(3160),
    [anon_sym_DASH_DASH] = ACTIONS(3160),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3160),
    [sym_number] = ACTIONS(3160),
    [sym_private_property_identifier] = ACTIONS(3160),
    [sym_this] = ACTIONS(3160),
    [sym_super] = ACTIONS(3160),
    [sym_true] = ACTIONS(3160),
    [sym_false] = ACTIONS(3160),
    [sym_null] = ACTIONS(3160),
    [sym_undefined] = ACTIONS(3160),
    [anon_sym_AT] = ACTIONS(3160),
    [anon_sym_static] = ACTIONS(3160),
    [anon_sym_readonly] = ACTIONS(3160),
    [anon_sym_get] = ACTIONS(3160),
    [anon_sym_set] = ACTIONS(3160),
    [anon_sym_declare] = ACTIONS(3160),
    [anon_sym_public] = ACTIONS(3160),
    [anon_sym_private] = ACTIONS(3160),
    [anon_sym_protected] = ACTIONS(3160),
    [anon_sym_override] = ACTIONS(3160),
    [anon_sym_module] = ACTIONS(3160),
    [anon_sym_any] = ACTIONS(3160),
    [anon_sym_number] = ACTIONS(3160),
    [anon_sym_boolean] = ACTIONS(3160),
    [anon_sym_string] = ACTIONS(3160),
    [anon_sym_symbol] = ACTIONS(3160),
    [anon_sym_object] = ACTIONS(3160),
    [anon_sym_abstract] = ACTIONS(3160),
    [anon_sym_interface] = ACTIONS(3160),
    [anon_sym_enum] = ACTIONS(3160),
    [sym_html_comment] = ACTIONS(5),
  },
  [1630] = {
    [sym_comment] = STATE(1630),
    [ts_builtin_sym_end] = ACTIONS(3562),
    [sym_identifier] = ACTIONS(3162),
    [anon_sym_export] = ACTIONS(3162),
    [anon_sym_type] = ACTIONS(3162),
    [anon_sym_namespace] = ACTIONS(3162),
    [anon_sym_LBRACE] = ACTIONS(3162),
    [anon_sym_RBRACE] = ACTIONS(3162),
    [anon_sym_typeof] = ACTIONS(3162),
    [anon_sym_import] = ACTIONS(3162),
    [anon_sym_with] = ACTIONS(3162),
    [anon_sym_var] = ACTIONS(3162),
    [anon_sym_let] = ACTIONS(3162),
    [anon_sym_const] = ACTIONS(3162),
    [anon_sym_BANG] = ACTIONS(3162),
    [anon_sym_if] = ACTIONS(3162),
    [anon_sym_switch] = ACTIONS(3162),
    [anon_sym_for] = ACTIONS(3162),
    [anon_sym_LPAREN] = ACTIONS(3162),
    [anon_sym_await] = ACTIONS(3162),
    [anon_sym_while] = ACTIONS(3162),
    [anon_sym_do] = ACTIONS(3162),
    [anon_sym_try] = ACTIONS(3162),
    [anon_sym_break] = ACTIONS(3162),
    [anon_sym_continue] = ACTIONS(3162),
    [anon_sym_debugger] = ACTIONS(3162),
    [anon_sym_return] = ACTIONS(3162),
    [anon_sym_throw] = ACTIONS(3162),
    [anon_sym_SEMI] = ACTIONS(3162),
    [anon_sym_yield] = ACTIONS(3162),
    [anon_sym_LBRACK] = ACTIONS(3162),
    [anon_sym_LTtemplate_GT] = ACTIONS(3162),
    [anon_sym_DQUOTE] = ACTIONS(3162),
    [anon_sym_SQUOTE] = ACTIONS(3162),
    [anon_sym_class] = ACTIONS(3162),
    [anon_sym_async] = ACTIONS(3162),
    [anon_sym_function] = ACTIONS(3162),
    [anon_sym_new] = ACTIONS(3162),
    [anon_sym_using] = ACTIONS(3162),
    [anon_sym_PLUS] = ACTIONS(3162),
    [anon_sym_DASH] = ACTIONS(3162),
    [anon_sym_SLASH] = ACTIONS(3162),
    [anon_sym_LT] = ACTIONS(3162),
    [anon_sym_TILDE] = ACTIONS(3162),
    [anon_sym_void] = ACTIONS(3162),
    [anon_sym_delete] = ACTIONS(3162),
    [anon_sym_PLUS_PLUS] = ACTIONS(3162),
    [anon_sym_DASH_DASH] = ACTIONS(3162),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3162),
    [sym_number] = ACTIONS(3162),
    [sym_private_property_identifier] = ACTIONS(3162),
    [sym_this] = ACTIONS(3162),
    [sym_super] = ACTIONS(3162),
    [sym_true] = ACTIONS(3162),
    [sym_false] = ACTIONS(3162),
    [sym_null] = ACTIONS(3162),
    [sym_undefined] = ACTIONS(3162),
    [anon_sym_AT] = ACTIONS(3162),
    [anon_sym_static] = ACTIONS(3162),
    [anon_sym_readonly] = ACTIONS(3162),
    [anon_sym_get] = ACTIONS(3162),
    [anon_sym_set] = ACTIONS(3162),
    [anon_sym_declare] = ACTIONS(3162),
    [anon_sym_public] = ACTIONS(3162),
    [anon_sym_private] = ACTIONS(3162),
    [anon_sym_protected] = ACTIONS(3162),
    [anon_sym_override] = ACTIONS(3162),
    [anon_sym_module] = ACTIONS(3162),
    [anon_sym_any] = ACTIONS(3162),
    [anon_sym_number] = ACTIONS(3162),
    [anon_sym_boolean] = ACTIONS(3162),
    [anon_sym_string] = ACTIONS(3162),
    [anon_sym_symbol] = ACTIONS(3162),
    [anon_sym_object] = ACTIONS(3162),
    [anon_sym_abstract] = ACTIONS(3162),
    [anon_sym_interface] = ACTIONS(3162),
    [anon_sym_enum] = ACTIONS(3162),
    [sym_html_comment] = ACTIONS(5),
  },
  [1631] = {
    [sym_comment] = STATE(1631),
    [ts_builtin_sym_end] = ACTIONS(3370),
    [sym_identifier] = ACTIONS(3154),
    [anon_sym_export] = ACTIONS(3154),
    [anon_sym_type] = ACTIONS(3154),
    [anon_sym_namespace] = ACTIONS(3154),
    [anon_sym_LBRACE] = ACTIONS(3154),
    [anon_sym_RBRACE] = ACTIONS(3154),
    [anon_sym_typeof] = ACTIONS(3154),
    [anon_sym_import] = ACTIONS(3154),
    [anon_sym_with] = ACTIONS(3154),
    [anon_sym_var] = ACTIONS(3154),
    [anon_sym_let] = ACTIONS(3154),
    [anon_sym_const] = ACTIONS(3154),
    [anon_sym_BANG] = ACTIONS(3154),
    [anon_sym_if] = ACTIONS(3154),
    [anon_sym_switch] = ACTIONS(3154),
    [anon_sym_for] = ACTIONS(3154),
    [anon_sym_LPAREN] = ACTIONS(3154),
    [anon_sym_await] = ACTIONS(3154),
    [anon_sym_while] = ACTIONS(3154),
    [anon_sym_do] = ACTIONS(3154),
    [anon_sym_try] = ACTIONS(3154),
    [anon_sym_break] = ACTIONS(3154),
    [anon_sym_continue] = ACTIONS(3154),
    [anon_sym_debugger] = ACTIONS(3154),
    [anon_sym_return] = ACTIONS(3154),
    [anon_sym_throw] = ACTIONS(3154),
    [anon_sym_SEMI] = ACTIONS(3154),
    [anon_sym_yield] = ACTIONS(3154),
    [anon_sym_LBRACK] = ACTIONS(3154),
    [anon_sym_LTtemplate_GT] = ACTIONS(3154),
    [anon_sym_DQUOTE] = ACTIONS(3154),
    [anon_sym_SQUOTE] = ACTIONS(3154),
    [anon_sym_class] = ACTIONS(3154),
    [anon_sym_async] = ACTIONS(3154),
    [anon_sym_function] = ACTIONS(3154),
    [anon_sym_new] = ACTIONS(3154),
    [anon_sym_using] = ACTIONS(3154),
    [anon_sym_PLUS] = ACTIONS(3154),
    [anon_sym_DASH] = ACTIONS(3154),
    [anon_sym_SLASH] = ACTIONS(3154),
    [anon_sym_LT] = ACTIONS(3154),
    [anon_sym_TILDE] = ACTIONS(3154),
    [anon_sym_void] = ACTIONS(3154),
    [anon_sym_delete] = ACTIONS(3154),
    [anon_sym_PLUS_PLUS] = ACTIONS(3154),
    [anon_sym_DASH_DASH] = ACTIONS(3154),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3154),
    [sym_number] = ACTIONS(3154),
    [sym_private_property_identifier] = ACTIONS(3154),
    [sym_this] = ACTIONS(3154),
    [sym_super] = ACTIONS(3154),
    [sym_true] = ACTIONS(3154),
    [sym_false] = ACTIONS(3154),
    [sym_null] = ACTIONS(3154),
    [sym_undefined] = ACTIONS(3154),
    [anon_sym_AT] = ACTIONS(3154),
    [anon_sym_static] = ACTIONS(3154),
    [anon_sym_readonly] = ACTIONS(3154),
    [anon_sym_get] = ACTIONS(3154),
    [anon_sym_set] = ACTIONS(3154),
    [anon_sym_declare] = ACTIONS(3154),
    [anon_sym_public] = ACTIONS(3154),
    [anon_sym_private] = ACTIONS(3154),
    [anon_sym_protected] = ACTIONS(3154),
    [anon_sym_override] = ACTIONS(3154),
    [anon_sym_module] = ACTIONS(3154),
    [anon_sym_any] = ACTIONS(3154),
    [anon_sym_number] = ACTIONS(3154),
    [anon_sym_boolean] = ACTIONS(3154),
    [anon_sym_string] = ACTIONS(3154),
    [anon_sym_symbol] = ACTIONS(3154),
    [anon_sym_object] = ACTIONS(3154),
    [anon_sym_abstract] = ACTIONS(3154),
    [anon_sym_interface] = ACTIONS(3154),
    [anon_sym_enum] = ACTIONS(3154),
    [sym_html_comment] = ACTIONS(5),
  },
  [1632] = {
    [sym_comment] = STATE(1632),
    [ts_builtin_sym_end] = ACTIONS(3560),
    [sym_identifier] = ACTIONS(3164),
    [anon_sym_export] = ACTIONS(3164),
    [anon_sym_type] = ACTIONS(3164),
    [anon_sym_namespace] = ACTIONS(3164),
    [anon_sym_LBRACE] = ACTIONS(3164),
    [anon_sym_RBRACE] = ACTIONS(3164),
    [anon_sym_typeof] = ACTIONS(3164),
    [anon_sym_import] = ACTIONS(3164),
    [anon_sym_with] = ACTIONS(3164),
    [anon_sym_var] = ACTIONS(3164),
    [anon_sym_let] = ACTIONS(3164),
    [anon_sym_const] = ACTIONS(3164),
    [anon_sym_BANG] = ACTIONS(3164),
    [anon_sym_if] = ACTIONS(3164),
    [anon_sym_switch] = ACTIONS(3164),
    [anon_sym_for] = ACTIONS(3164),
    [anon_sym_LPAREN] = ACTIONS(3164),
    [anon_sym_await] = ACTIONS(3164),
    [anon_sym_while] = ACTIONS(3164),
    [anon_sym_do] = ACTIONS(3164),
    [anon_sym_try] = ACTIONS(3164),
    [anon_sym_break] = ACTIONS(3164),
    [anon_sym_continue] = ACTIONS(3164),
    [anon_sym_debugger] = ACTIONS(3164),
    [anon_sym_return] = ACTIONS(3164),
    [anon_sym_throw] = ACTIONS(3164),
    [anon_sym_SEMI] = ACTIONS(3164),
    [anon_sym_yield] = ACTIONS(3164),
    [anon_sym_LBRACK] = ACTIONS(3164),
    [anon_sym_LTtemplate_GT] = ACTIONS(3164),
    [anon_sym_DQUOTE] = ACTIONS(3164),
    [anon_sym_SQUOTE] = ACTIONS(3164),
    [anon_sym_class] = ACTIONS(3164),
    [anon_sym_async] = ACTIONS(3164),
    [anon_sym_function] = ACTIONS(3164),
    [anon_sym_new] = ACTIONS(3164),
    [anon_sym_using] = ACTIONS(3164),
    [anon_sym_PLUS] = ACTIONS(3164),
    [anon_sym_DASH] = ACTIONS(3164),
    [anon_sym_SLASH] = ACTIONS(3164),
    [anon_sym_LT] = ACTIONS(3164),
    [anon_sym_TILDE] = ACTIONS(3164),
    [anon_sym_void] = ACTIONS(3164),
    [anon_sym_delete] = ACTIONS(3164),
    [anon_sym_PLUS_PLUS] = ACTIONS(3164),
    [anon_sym_DASH_DASH] = ACTIONS(3164),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3164),
    [sym_number] = ACTIONS(3164),
    [sym_private_property_identifier] = ACTIONS(3164),
    [sym_this] = ACTIONS(3164),
    [sym_super] = ACTIONS(3164),
    [sym_true] = ACTIONS(3164),
    [sym_false] = ACTIONS(3164),
    [sym_null] = ACTIONS(3164),
    [sym_undefined] = ACTIONS(3164),
    [anon_sym_AT] = ACTIONS(3164),
    [anon_sym_static] = ACTIONS(3164),
    [anon_sym_readonly] = ACTIONS(3164),
    [anon_sym_get] = ACTIONS(3164),
    [anon_sym_set] = ACTIONS(3164),
    [anon_sym_declare] = ACTIONS(3164),
    [anon_sym_public] = ACTIONS(3164),
    [anon_sym_private] = ACTIONS(3164),
    [anon_sym_protected] = ACTIONS(3164),
    [anon_sym_override] = ACTIONS(3164),
    [anon_sym_module] = ACTIONS(3164),
    [anon_sym_any] = ACTIONS(3164),
    [anon_sym_number] = ACTIONS(3164),
    [anon_sym_boolean] = ACTIONS(3164),
    [anon_sym_string] = ACTIONS(3164),
    [anon_sym_symbol] = ACTIONS(3164),
    [anon_sym_object] = ACTIONS(3164),
    [anon_sym_abstract] = ACTIONS(3164),
    [anon_sym_interface] = ACTIONS(3164),
    [anon_sym_enum] = ACTIONS(3164),
    [sym_html_comment] = ACTIONS(5),
  },
  [1633] = {
    [sym_comment] = STATE(1633),
    [ts_builtin_sym_end] = ACTIONS(2253),
    [sym_identifier] = ACTIONS(2251),
    [anon_sym_export] = ACTIONS(2251),
    [anon_sym_type] = ACTIONS(2251),
    [anon_sym_namespace] = ACTIONS(2251),
    [anon_sym_LBRACE] = ACTIONS(2251),
    [anon_sym_RBRACE] = ACTIONS(2251),
    [anon_sym_typeof] = ACTIONS(2251),
    [anon_sym_import] = ACTIONS(2251),
    [anon_sym_with] = ACTIONS(2251),
    [anon_sym_var] = ACTIONS(2251),
    [anon_sym_let] = ACTIONS(2251),
    [anon_sym_const] = ACTIONS(2251),
    [anon_sym_BANG] = ACTIONS(2251),
    [anon_sym_if] = ACTIONS(2251),
    [anon_sym_switch] = ACTIONS(2251),
    [anon_sym_for] = ACTIONS(2251),
    [anon_sym_LPAREN] = ACTIONS(2251),
    [anon_sym_await] = ACTIONS(2251),
    [anon_sym_while] = ACTIONS(2251),
    [anon_sym_do] = ACTIONS(2251),
    [anon_sym_try] = ACTIONS(2251),
    [anon_sym_break] = ACTIONS(2251),
    [anon_sym_continue] = ACTIONS(2251),
    [anon_sym_debugger] = ACTIONS(2251),
    [anon_sym_return] = ACTIONS(2251),
    [anon_sym_throw] = ACTIONS(2251),
    [anon_sym_SEMI] = ACTIONS(2251),
    [anon_sym_yield] = ACTIONS(2251),
    [anon_sym_LBRACK] = ACTIONS(2251),
    [anon_sym_LTtemplate_GT] = ACTIONS(2251),
    [anon_sym_DQUOTE] = ACTIONS(2251),
    [anon_sym_SQUOTE] = ACTIONS(2251),
    [anon_sym_class] = ACTIONS(2251),
    [anon_sym_async] = ACTIONS(2251),
    [anon_sym_function] = ACTIONS(2251),
    [anon_sym_new] = ACTIONS(2251),
    [anon_sym_using] = ACTIONS(2251),
    [anon_sym_PLUS] = ACTIONS(2251),
    [anon_sym_DASH] = ACTIONS(2251),
    [anon_sym_SLASH] = ACTIONS(2251),
    [anon_sym_LT] = ACTIONS(2251),
    [anon_sym_TILDE] = ACTIONS(2251),
    [anon_sym_void] = ACTIONS(2251),
    [anon_sym_delete] = ACTIONS(2251),
    [anon_sym_PLUS_PLUS] = ACTIONS(2251),
    [anon_sym_DASH_DASH] = ACTIONS(2251),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2251),
    [sym_number] = ACTIONS(2251),
    [sym_private_property_identifier] = ACTIONS(2251),
    [sym_this] = ACTIONS(2251),
    [sym_super] = ACTIONS(2251),
    [sym_true] = ACTIONS(2251),
    [sym_false] = ACTIONS(2251),
    [sym_null] = ACTIONS(2251),
    [sym_undefined] = ACTIONS(2251),
    [anon_sym_AT] = ACTIONS(2251),
    [anon_sym_static] = ACTIONS(2251),
    [anon_sym_readonly] = ACTIONS(2251),
    [anon_sym_get] = ACTIONS(2251),
    [anon_sym_set] = ACTIONS(2251),
    [anon_sym_declare] = ACTIONS(2251),
    [anon_sym_public] = ACTIONS(2251),
    [anon_sym_private] = ACTIONS(2251),
    [anon_sym_protected] = ACTIONS(2251),
    [anon_sym_override] = ACTIONS(2251),
    [anon_sym_module] = ACTIONS(2251),
    [anon_sym_any] = ACTIONS(2251),
    [anon_sym_number] = ACTIONS(2251),
    [anon_sym_boolean] = ACTIONS(2251),
    [anon_sym_string] = ACTIONS(2251),
    [anon_sym_symbol] = ACTIONS(2251),
    [anon_sym_object] = ACTIONS(2251),
    [anon_sym_abstract] = ACTIONS(2251),
    [anon_sym_interface] = ACTIONS(2251),
    [anon_sym_enum] = ACTIONS(2251),
    [sym_html_comment] = ACTIONS(5),
  },
  [1634] = {
    [sym_comment] = STATE(1634),
    [ts_builtin_sym_end] = ACTIONS(2223),
    [sym_identifier] = ACTIONS(2221),
    [anon_sym_export] = ACTIONS(2221),
    [anon_sym_type] = ACTIONS(2221),
    [anon_sym_namespace] = ACTIONS(2221),
    [anon_sym_LBRACE] = ACTIONS(2221),
    [anon_sym_RBRACE] = ACTIONS(2221),
    [anon_sym_typeof] = ACTIONS(2221),
    [anon_sym_import] = ACTIONS(2221),
    [anon_sym_with] = ACTIONS(2221),
    [anon_sym_var] = ACTIONS(2221),
    [anon_sym_let] = ACTIONS(2221),
    [anon_sym_const] = ACTIONS(2221),
    [anon_sym_BANG] = ACTIONS(2221),
    [anon_sym_if] = ACTIONS(2221),
    [anon_sym_switch] = ACTIONS(2221),
    [anon_sym_for] = ACTIONS(2221),
    [anon_sym_LPAREN] = ACTIONS(2221),
    [anon_sym_await] = ACTIONS(2221),
    [anon_sym_while] = ACTIONS(2221),
    [anon_sym_do] = ACTIONS(2221),
    [anon_sym_try] = ACTIONS(2221),
    [anon_sym_break] = ACTIONS(2221),
    [anon_sym_continue] = ACTIONS(2221),
    [anon_sym_debugger] = ACTIONS(2221),
    [anon_sym_return] = ACTIONS(2221),
    [anon_sym_throw] = ACTIONS(2221),
    [anon_sym_SEMI] = ACTIONS(2221),
    [anon_sym_yield] = ACTIONS(2221),
    [anon_sym_LBRACK] = ACTIONS(2221),
    [anon_sym_LTtemplate_GT] = ACTIONS(2221),
    [anon_sym_DQUOTE] = ACTIONS(2221),
    [anon_sym_SQUOTE] = ACTIONS(2221),
    [anon_sym_class] = ACTIONS(2221),
    [anon_sym_async] = ACTIONS(2221),
    [anon_sym_function] = ACTIONS(2221),
    [anon_sym_new] = ACTIONS(2221),
    [anon_sym_using] = ACTIONS(2221),
    [anon_sym_PLUS] = ACTIONS(2221),
    [anon_sym_DASH] = ACTIONS(2221),
    [anon_sym_SLASH] = ACTIONS(2221),
    [anon_sym_LT] = ACTIONS(2221),
    [anon_sym_TILDE] = ACTIONS(2221),
    [anon_sym_void] = ACTIONS(2221),
    [anon_sym_delete] = ACTIONS(2221),
    [anon_sym_PLUS_PLUS] = ACTIONS(2221),
    [anon_sym_DASH_DASH] = ACTIONS(2221),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2221),
    [sym_number] = ACTIONS(2221),
    [sym_private_property_identifier] = ACTIONS(2221),
    [sym_this] = ACTIONS(2221),
    [sym_super] = ACTIONS(2221),
    [sym_true] = ACTIONS(2221),
    [sym_false] = ACTIONS(2221),
    [sym_null] = ACTIONS(2221),
    [sym_undefined] = ACTIONS(2221),
    [anon_sym_AT] = ACTIONS(2221),
    [anon_sym_static] = ACTIONS(2221),
    [anon_sym_readonly] = ACTIONS(2221),
    [anon_sym_get] = ACTIONS(2221),
    [anon_sym_set] = ACTIONS(2221),
    [anon_sym_declare] = ACTIONS(2221),
    [anon_sym_public] = ACTIONS(2221),
    [anon_sym_private] = ACTIONS(2221),
    [anon_sym_protected] = ACTIONS(2221),
    [anon_sym_override] = ACTIONS(2221),
    [anon_sym_module] = ACTIONS(2221),
    [anon_sym_any] = ACTIONS(2221),
    [anon_sym_number] = ACTIONS(2221),
    [anon_sym_boolean] = ACTIONS(2221),
    [anon_sym_string] = ACTIONS(2221),
    [anon_sym_symbol] = ACTIONS(2221),
    [anon_sym_object] = ACTIONS(2221),
    [anon_sym_abstract] = ACTIONS(2221),
    [anon_sym_interface] = ACTIONS(2221),
    [anon_sym_enum] = ACTIONS(2221),
    [sym_html_comment] = ACTIONS(5),
  },
  [1635] = {
    [sym_comment] = STATE(1635),
    [ts_builtin_sym_end] = ACTIONS(3512),
    [sym_identifier] = ACTIONS(3340),
    [anon_sym_export] = ACTIONS(3340),
    [anon_sym_type] = ACTIONS(3340),
    [anon_sym_namespace] = ACTIONS(3340),
    [anon_sym_LBRACE] = ACTIONS(3340),
    [anon_sym_RBRACE] = ACTIONS(3340),
    [anon_sym_typeof] = ACTIONS(3340),
    [anon_sym_import] = ACTIONS(3340),
    [anon_sym_with] = ACTIONS(3340),
    [anon_sym_var] = ACTIONS(3340),
    [anon_sym_let] = ACTIONS(3340),
    [anon_sym_const] = ACTIONS(3340),
    [anon_sym_BANG] = ACTIONS(3340),
    [anon_sym_if] = ACTIONS(3340),
    [anon_sym_switch] = ACTIONS(3340),
    [anon_sym_for] = ACTIONS(3340),
    [anon_sym_LPAREN] = ACTIONS(3340),
    [anon_sym_await] = ACTIONS(3340),
    [anon_sym_while] = ACTIONS(3340),
    [anon_sym_do] = ACTIONS(3340),
    [anon_sym_try] = ACTIONS(3340),
    [anon_sym_break] = ACTIONS(3340),
    [anon_sym_continue] = ACTIONS(3340),
    [anon_sym_debugger] = ACTIONS(3340),
    [anon_sym_return] = ACTIONS(3340),
    [anon_sym_throw] = ACTIONS(3340),
    [anon_sym_SEMI] = ACTIONS(3340),
    [anon_sym_yield] = ACTIONS(3340),
    [anon_sym_LBRACK] = ACTIONS(3340),
    [anon_sym_LTtemplate_GT] = ACTIONS(3340),
    [anon_sym_DQUOTE] = ACTIONS(3340),
    [anon_sym_SQUOTE] = ACTIONS(3340),
    [anon_sym_class] = ACTIONS(3340),
    [anon_sym_async] = ACTIONS(3340),
    [anon_sym_function] = ACTIONS(3340),
    [anon_sym_new] = ACTIONS(3340),
    [anon_sym_using] = ACTIONS(3340),
    [anon_sym_PLUS] = ACTIONS(3340),
    [anon_sym_DASH] = ACTIONS(3340),
    [anon_sym_SLASH] = ACTIONS(3340),
    [anon_sym_LT] = ACTIONS(3340),
    [anon_sym_TILDE] = ACTIONS(3340),
    [anon_sym_void] = ACTIONS(3340),
    [anon_sym_delete] = ACTIONS(3340),
    [anon_sym_PLUS_PLUS] = ACTIONS(3340),
    [anon_sym_DASH_DASH] = ACTIONS(3340),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3340),
    [sym_number] = ACTIONS(3340),
    [sym_private_property_identifier] = ACTIONS(3340),
    [sym_this] = ACTIONS(3340),
    [sym_super] = ACTIONS(3340),
    [sym_true] = ACTIONS(3340),
    [sym_false] = ACTIONS(3340),
    [sym_null] = ACTIONS(3340),
    [sym_undefined] = ACTIONS(3340),
    [anon_sym_AT] = ACTIONS(3340),
    [anon_sym_static] = ACTIONS(3340),
    [anon_sym_readonly] = ACTIONS(3340),
    [anon_sym_get] = ACTIONS(3340),
    [anon_sym_set] = ACTIONS(3340),
    [anon_sym_declare] = ACTIONS(3340),
    [anon_sym_public] = ACTIONS(3340),
    [anon_sym_private] = ACTIONS(3340),
    [anon_sym_protected] = ACTIONS(3340),
    [anon_sym_override] = ACTIONS(3340),
    [anon_sym_module] = ACTIONS(3340),
    [anon_sym_any] = ACTIONS(3340),
    [anon_sym_number] = ACTIONS(3340),
    [anon_sym_boolean] = ACTIONS(3340),
    [anon_sym_string] = ACTIONS(3340),
    [anon_sym_symbol] = ACTIONS(3340),
    [anon_sym_object] = ACTIONS(3340),
    [anon_sym_abstract] = ACTIONS(3340),
    [anon_sym_interface] = ACTIONS(3340),
    [anon_sym_enum] = ACTIONS(3340),
    [sym_html_comment] = ACTIONS(5),
  },
  [1636] = {
    [sym_comment] = STATE(1636),
    [ts_builtin_sym_end] = ACTIONS(3558),
    [sym_identifier] = ACTIONS(3166),
    [anon_sym_export] = ACTIONS(3166),
    [anon_sym_type] = ACTIONS(3166),
    [anon_sym_namespace] = ACTIONS(3166),
    [anon_sym_LBRACE] = ACTIONS(3166),
    [anon_sym_RBRACE] = ACTIONS(3166),
    [anon_sym_typeof] = ACTIONS(3166),
    [anon_sym_import] = ACTIONS(3166),
    [anon_sym_with] = ACTIONS(3166),
    [anon_sym_var] = ACTIONS(3166),
    [anon_sym_let] = ACTIONS(3166),
    [anon_sym_const] = ACTIONS(3166),
    [anon_sym_BANG] = ACTIONS(3166),
    [anon_sym_if] = ACTIONS(3166),
    [anon_sym_switch] = ACTIONS(3166),
    [anon_sym_for] = ACTIONS(3166),
    [anon_sym_LPAREN] = ACTIONS(3166),
    [anon_sym_await] = ACTIONS(3166),
    [anon_sym_while] = ACTIONS(3166),
    [anon_sym_do] = ACTIONS(3166),
    [anon_sym_try] = ACTIONS(3166),
    [anon_sym_break] = ACTIONS(3166),
    [anon_sym_continue] = ACTIONS(3166),
    [anon_sym_debugger] = ACTIONS(3166),
    [anon_sym_return] = ACTIONS(3166),
    [anon_sym_throw] = ACTIONS(3166),
    [anon_sym_SEMI] = ACTIONS(3166),
    [anon_sym_yield] = ACTIONS(3166),
    [anon_sym_LBRACK] = ACTIONS(3166),
    [anon_sym_LTtemplate_GT] = ACTIONS(3166),
    [anon_sym_DQUOTE] = ACTIONS(3166),
    [anon_sym_SQUOTE] = ACTIONS(3166),
    [anon_sym_class] = ACTIONS(3166),
    [anon_sym_async] = ACTIONS(3166),
    [anon_sym_function] = ACTIONS(3166),
    [anon_sym_new] = ACTIONS(3166),
    [anon_sym_using] = ACTIONS(3166),
    [anon_sym_PLUS] = ACTIONS(3166),
    [anon_sym_DASH] = ACTIONS(3166),
    [anon_sym_SLASH] = ACTIONS(3166),
    [anon_sym_LT] = ACTIONS(3166),
    [anon_sym_TILDE] = ACTIONS(3166),
    [anon_sym_void] = ACTIONS(3166),
    [anon_sym_delete] = ACTIONS(3166),
    [anon_sym_PLUS_PLUS] = ACTIONS(3166),
    [anon_sym_DASH_DASH] = ACTIONS(3166),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3166),
    [sym_number] = ACTIONS(3166),
    [sym_private_property_identifier] = ACTIONS(3166),
    [sym_this] = ACTIONS(3166),
    [sym_super] = ACTIONS(3166),
    [sym_true] = ACTIONS(3166),
    [sym_false] = ACTIONS(3166),
    [sym_null] = ACTIONS(3166),
    [sym_undefined] = ACTIONS(3166),
    [anon_sym_AT] = ACTIONS(3166),
    [anon_sym_static] = ACTIONS(3166),
    [anon_sym_readonly] = ACTIONS(3166),
    [anon_sym_get] = ACTIONS(3166),
    [anon_sym_set] = ACTIONS(3166),
    [anon_sym_declare] = ACTIONS(3166),
    [anon_sym_public] = ACTIONS(3166),
    [anon_sym_private] = ACTIONS(3166),
    [anon_sym_protected] = ACTIONS(3166),
    [anon_sym_override] = ACTIONS(3166),
    [anon_sym_module] = ACTIONS(3166),
    [anon_sym_any] = ACTIONS(3166),
    [anon_sym_number] = ACTIONS(3166),
    [anon_sym_boolean] = ACTIONS(3166),
    [anon_sym_string] = ACTIONS(3166),
    [anon_sym_symbol] = ACTIONS(3166),
    [anon_sym_object] = ACTIONS(3166),
    [anon_sym_abstract] = ACTIONS(3166),
    [anon_sym_interface] = ACTIONS(3166),
    [anon_sym_enum] = ACTIONS(3166),
    [sym_html_comment] = ACTIONS(5),
  },
  [1637] = {
    [sym_comment] = STATE(1637),
    [ts_builtin_sym_end] = ACTIONS(3494),
    [sym_identifier] = ACTIONS(3232),
    [anon_sym_export] = ACTIONS(3232),
    [anon_sym_type] = ACTIONS(3232),
    [anon_sym_namespace] = ACTIONS(3232),
    [anon_sym_LBRACE] = ACTIONS(3232),
    [anon_sym_RBRACE] = ACTIONS(3232),
    [anon_sym_typeof] = ACTIONS(3232),
    [anon_sym_import] = ACTIONS(3232),
    [anon_sym_with] = ACTIONS(3232),
    [anon_sym_var] = ACTIONS(3232),
    [anon_sym_let] = ACTIONS(3232),
    [anon_sym_const] = ACTIONS(3232),
    [anon_sym_BANG] = ACTIONS(3232),
    [anon_sym_if] = ACTIONS(3232),
    [anon_sym_switch] = ACTIONS(3232),
    [anon_sym_for] = ACTIONS(3232),
    [anon_sym_LPAREN] = ACTIONS(3232),
    [anon_sym_await] = ACTIONS(3232),
    [anon_sym_while] = ACTIONS(3232),
    [anon_sym_do] = ACTIONS(3232),
    [anon_sym_try] = ACTIONS(3232),
    [anon_sym_break] = ACTIONS(3232),
    [anon_sym_continue] = ACTIONS(3232),
    [anon_sym_debugger] = ACTIONS(3232),
    [anon_sym_return] = ACTIONS(3232),
    [anon_sym_throw] = ACTIONS(3232),
    [anon_sym_SEMI] = ACTIONS(3232),
    [anon_sym_yield] = ACTIONS(3232),
    [anon_sym_LBRACK] = ACTIONS(3232),
    [anon_sym_LTtemplate_GT] = ACTIONS(3232),
    [anon_sym_DQUOTE] = ACTIONS(3232),
    [anon_sym_SQUOTE] = ACTIONS(3232),
    [anon_sym_class] = ACTIONS(3232),
    [anon_sym_async] = ACTIONS(3232),
    [anon_sym_function] = ACTIONS(3232),
    [anon_sym_new] = ACTIONS(3232),
    [anon_sym_using] = ACTIONS(3232),
    [anon_sym_PLUS] = ACTIONS(3232),
    [anon_sym_DASH] = ACTIONS(3232),
    [anon_sym_SLASH] = ACTIONS(3232),
    [anon_sym_LT] = ACTIONS(3232),
    [anon_sym_TILDE] = ACTIONS(3232),
    [anon_sym_void] = ACTIONS(3232),
    [anon_sym_delete] = ACTIONS(3232),
    [anon_sym_PLUS_PLUS] = ACTIONS(3232),
    [anon_sym_DASH_DASH] = ACTIONS(3232),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3232),
    [sym_number] = ACTIONS(3232),
    [sym_private_property_identifier] = ACTIONS(3232),
    [sym_this] = ACTIONS(3232),
    [sym_super] = ACTIONS(3232),
    [sym_true] = ACTIONS(3232),
    [sym_false] = ACTIONS(3232),
    [sym_null] = ACTIONS(3232),
    [sym_undefined] = ACTIONS(3232),
    [anon_sym_AT] = ACTIONS(3232),
    [anon_sym_static] = ACTIONS(3232),
    [anon_sym_readonly] = ACTIONS(3232),
    [anon_sym_get] = ACTIONS(3232),
    [anon_sym_set] = ACTIONS(3232),
    [anon_sym_declare] = ACTIONS(3232),
    [anon_sym_public] = ACTIONS(3232),
    [anon_sym_private] = ACTIONS(3232),
    [anon_sym_protected] = ACTIONS(3232),
    [anon_sym_override] = ACTIONS(3232),
    [anon_sym_module] = ACTIONS(3232),
    [anon_sym_any] = ACTIONS(3232),
    [anon_sym_number] = ACTIONS(3232),
    [anon_sym_boolean] = ACTIONS(3232),
    [anon_sym_string] = ACTIONS(3232),
    [anon_sym_symbol] = ACTIONS(3232),
    [anon_sym_object] = ACTIONS(3232),
    [anon_sym_abstract] = ACTIONS(3232),
    [anon_sym_interface] = ACTIONS(3232),
    [anon_sym_enum] = ACTIONS(3232),
    [sym_html_comment] = ACTIONS(5),
  },
  [1638] = {
    [sym_comment] = STATE(1638),
    [ts_builtin_sym_end] = ACTIONS(3556),
    [sym_identifier] = ACTIONS(3170),
    [anon_sym_export] = ACTIONS(3170),
    [anon_sym_type] = ACTIONS(3170),
    [anon_sym_namespace] = ACTIONS(3170),
    [anon_sym_LBRACE] = ACTIONS(3170),
    [anon_sym_RBRACE] = ACTIONS(3170),
    [anon_sym_typeof] = ACTIONS(3170),
    [anon_sym_import] = ACTIONS(3170),
    [anon_sym_with] = ACTIONS(3170),
    [anon_sym_var] = ACTIONS(3170),
    [anon_sym_let] = ACTIONS(3170),
    [anon_sym_const] = ACTIONS(3170),
    [anon_sym_BANG] = ACTIONS(3170),
    [anon_sym_if] = ACTIONS(3170),
    [anon_sym_switch] = ACTIONS(3170),
    [anon_sym_for] = ACTIONS(3170),
    [anon_sym_LPAREN] = ACTIONS(3170),
    [anon_sym_await] = ACTIONS(3170),
    [anon_sym_while] = ACTIONS(3170),
    [anon_sym_do] = ACTIONS(3170),
    [anon_sym_try] = ACTIONS(3170),
    [anon_sym_break] = ACTIONS(3170),
    [anon_sym_continue] = ACTIONS(3170),
    [anon_sym_debugger] = ACTIONS(3170),
    [anon_sym_return] = ACTIONS(3170),
    [anon_sym_throw] = ACTIONS(3170),
    [anon_sym_SEMI] = ACTIONS(3170),
    [anon_sym_yield] = ACTIONS(3170),
    [anon_sym_LBRACK] = ACTIONS(3170),
    [anon_sym_LTtemplate_GT] = ACTIONS(3170),
    [anon_sym_DQUOTE] = ACTIONS(3170),
    [anon_sym_SQUOTE] = ACTIONS(3170),
    [anon_sym_class] = ACTIONS(3170),
    [anon_sym_async] = ACTIONS(3170),
    [anon_sym_function] = ACTIONS(3170),
    [anon_sym_new] = ACTIONS(3170),
    [anon_sym_using] = ACTIONS(3170),
    [anon_sym_PLUS] = ACTIONS(3170),
    [anon_sym_DASH] = ACTIONS(3170),
    [anon_sym_SLASH] = ACTIONS(3170),
    [anon_sym_LT] = ACTIONS(3170),
    [anon_sym_TILDE] = ACTIONS(3170),
    [anon_sym_void] = ACTIONS(3170),
    [anon_sym_delete] = ACTIONS(3170),
    [anon_sym_PLUS_PLUS] = ACTIONS(3170),
    [anon_sym_DASH_DASH] = ACTIONS(3170),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3170),
    [sym_number] = ACTIONS(3170),
    [sym_private_property_identifier] = ACTIONS(3170),
    [sym_this] = ACTIONS(3170),
    [sym_super] = ACTIONS(3170),
    [sym_true] = ACTIONS(3170),
    [sym_false] = ACTIONS(3170),
    [sym_null] = ACTIONS(3170),
    [sym_undefined] = ACTIONS(3170),
    [anon_sym_AT] = ACTIONS(3170),
    [anon_sym_static] = ACTIONS(3170),
    [anon_sym_readonly] = ACTIONS(3170),
    [anon_sym_get] = ACTIONS(3170),
    [anon_sym_set] = ACTIONS(3170),
    [anon_sym_declare] = ACTIONS(3170),
    [anon_sym_public] = ACTIONS(3170),
    [anon_sym_private] = ACTIONS(3170),
    [anon_sym_protected] = ACTIONS(3170),
    [anon_sym_override] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(3170),
    [anon_sym_any] = ACTIONS(3170),
    [anon_sym_number] = ACTIONS(3170),
    [anon_sym_boolean] = ACTIONS(3170),
    [anon_sym_string] = ACTIONS(3170),
    [anon_sym_symbol] = ACTIONS(3170),
    [anon_sym_object] = ACTIONS(3170),
    [anon_sym_abstract] = ACTIONS(3170),
    [anon_sym_interface] = ACTIONS(3170),
    [anon_sym_enum] = ACTIONS(3170),
    [sym_html_comment] = ACTIONS(5),
  },
  [1639] = {
    [sym_comment] = STATE(1639),
    [ts_builtin_sym_end] = ACTIONS(3482),
    [sym_identifier] = ACTIONS(3244),
    [anon_sym_export] = ACTIONS(3244),
    [anon_sym_type] = ACTIONS(3244),
    [anon_sym_namespace] = ACTIONS(3244),
    [anon_sym_LBRACE] = ACTIONS(3244),
    [anon_sym_RBRACE] = ACTIONS(3244),
    [anon_sym_typeof] = ACTIONS(3244),
    [anon_sym_import] = ACTIONS(3244),
    [anon_sym_with] = ACTIONS(3244),
    [anon_sym_var] = ACTIONS(3244),
    [anon_sym_let] = ACTIONS(3244),
    [anon_sym_const] = ACTIONS(3244),
    [anon_sym_BANG] = ACTIONS(3244),
    [anon_sym_if] = ACTIONS(3244),
    [anon_sym_switch] = ACTIONS(3244),
    [anon_sym_for] = ACTIONS(3244),
    [anon_sym_LPAREN] = ACTIONS(3244),
    [anon_sym_await] = ACTIONS(3244),
    [anon_sym_while] = ACTIONS(3244),
    [anon_sym_do] = ACTIONS(3244),
    [anon_sym_try] = ACTIONS(3244),
    [anon_sym_break] = ACTIONS(3244),
    [anon_sym_continue] = ACTIONS(3244),
    [anon_sym_debugger] = ACTIONS(3244),
    [anon_sym_return] = ACTIONS(3244),
    [anon_sym_throw] = ACTIONS(3244),
    [anon_sym_SEMI] = ACTIONS(3244),
    [anon_sym_yield] = ACTIONS(3244),
    [anon_sym_LBRACK] = ACTIONS(3244),
    [anon_sym_LTtemplate_GT] = ACTIONS(3244),
    [anon_sym_DQUOTE] = ACTIONS(3244),
    [anon_sym_SQUOTE] = ACTIONS(3244),
    [anon_sym_class] = ACTIONS(3244),
    [anon_sym_async] = ACTIONS(3244),
    [anon_sym_function] = ACTIONS(3244),
    [anon_sym_new] = ACTIONS(3244),
    [anon_sym_using] = ACTIONS(3244),
    [anon_sym_PLUS] = ACTIONS(3244),
    [anon_sym_DASH] = ACTIONS(3244),
    [anon_sym_SLASH] = ACTIONS(3244),
    [anon_sym_LT] = ACTIONS(3244),
    [anon_sym_TILDE] = ACTIONS(3244),
    [anon_sym_void] = ACTIONS(3244),
    [anon_sym_delete] = ACTIONS(3244),
    [anon_sym_PLUS_PLUS] = ACTIONS(3244),
    [anon_sym_DASH_DASH] = ACTIONS(3244),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3244),
    [sym_number] = ACTIONS(3244),
    [sym_private_property_identifier] = ACTIONS(3244),
    [sym_this] = ACTIONS(3244),
    [sym_super] = ACTIONS(3244),
    [sym_true] = ACTIONS(3244),
    [sym_false] = ACTIONS(3244),
    [sym_null] = ACTIONS(3244),
    [sym_undefined] = ACTIONS(3244),
    [anon_sym_AT] = ACTIONS(3244),
    [anon_sym_static] = ACTIONS(3244),
    [anon_sym_readonly] = ACTIONS(3244),
    [anon_sym_get] = ACTIONS(3244),
    [anon_sym_set] = ACTIONS(3244),
    [anon_sym_declare] = ACTIONS(3244),
    [anon_sym_public] = ACTIONS(3244),
    [anon_sym_private] = ACTIONS(3244),
    [anon_sym_protected] = ACTIONS(3244),
    [anon_sym_override] = ACTIONS(3244),
    [anon_sym_module] = ACTIONS(3244),
    [anon_sym_any] = ACTIONS(3244),
    [anon_sym_number] = ACTIONS(3244),
    [anon_sym_boolean] = ACTIONS(3244),
    [anon_sym_string] = ACTIONS(3244),
    [anon_sym_symbol] = ACTIONS(3244),
    [anon_sym_object] = ACTIONS(3244),
    [anon_sym_abstract] = ACTIONS(3244),
    [anon_sym_interface] = ACTIONS(3244),
    [anon_sym_enum] = ACTIONS(3244),
    [sym_html_comment] = ACTIONS(5),
  },
  [1640] = {
    [sym_comment] = STATE(1640),
    [ts_builtin_sym_end] = ACTIONS(3554),
    [sym_identifier] = ACTIONS(3174),
    [anon_sym_export] = ACTIONS(3174),
    [anon_sym_type] = ACTIONS(3174),
    [anon_sym_namespace] = ACTIONS(3174),
    [anon_sym_LBRACE] = ACTIONS(3174),
    [anon_sym_RBRACE] = ACTIONS(3174),
    [anon_sym_typeof] = ACTIONS(3174),
    [anon_sym_import] = ACTIONS(3174),
    [anon_sym_with] = ACTIONS(3174),
    [anon_sym_var] = ACTIONS(3174),
    [anon_sym_let] = ACTIONS(3174),
    [anon_sym_const] = ACTIONS(3174),
    [anon_sym_BANG] = ACTIONS(3174),
    [anon_sym_if] = ACTIONS(3174),
    [anon_sym_switch] = ACTIONS(3174),
    [anon_sym_for] = ACTIONS(3174),
    [anon_sym_LPAREN] = ACTIONS(3174),
    [anon_sym_await] = ACTIONS(3174),
    [anon_sym_while] = ACTIONS(3174),
    [anon_sym_do] = ACTIONS(3174),
    [anon_sym_try] = ACTIONS(3174),
    [anon_sym_break] = ACTIONS(3174),
    [anon_sym_continue] = ACTIONS(3174),
    [anon_sym_debugger] = ACTIONS(3174),
    [anon_sym_return] = ACTIONS(3174),
    [anon_sym_throw] = ACTIONS(3174),
    [anon_sym_SEMI] = ACTIONS(3174),
    [anon_sym_yield] = ACTIONS(3174),
    [anon_sym_LBRACK] = ACTIONS(3174),
    [anon_sym_LTtemplate_GT] = ACTIONS(3174),
    [anon_sym_DQUOTE] = ACTIONS(3174),
    [anon_sym_SQUOTE] = ACTIONS(3174),
    [anon_sym_class] = ACTIONS(3174),
    [anon_sym_async] = ACTIONS(3174),
    [anon_sym_function] = ACTIONS(3174),
    [anon_sym_new] = ACTIONS(3174),
    [anon_sym_using] = ACTIONS(3174),
    [anon_sym_PLUS] = ACTIONS(3174),
    [anon_sym_DASH] = ACTIONS(3174),
    [anon_sym_SLASH] = ACTIONS(3174),
    [anon_sym_LT] = ACTIONS(3174),
    [anon_sym_TILDE] = ACTIONS(3174),
    [anon_sym_void] = ACTIONS(3174),
    [anon_sym_delete] = ACTIONS(3174),
    [anon_sym_PLUS_PLUS] = ACTIONS(3174),
    [anon_sym_DASH_DASH] = ACTIONS(3174),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3174),
    [sym_number] = ACTIONS(3174),
    [sym_private_property_identifier] = ACTIONS(3174),
    [sym_this] = ACTIONS(3174),
    [sym_super] = ACTIONS(3174),
    [sym_true] = ACTIONS(3174),
    [sym_false] = ACTIONS(3174),
    [sym_null] = ACTIONS(3174),
    [sym_undefined] = ACTIONS(3174),
    [anon_sym_AT] = ACTIONS(3174),
    [anon_sym_static] = ACTIONS(3174),
    [anon_sym_readonly] = ACTIONS(3174),
    [anon_sym_get] = ACTIONS(3174),
    [anon_sym_set] = ACTIONS(3174),
    [anon_sym_declare] = ACTIONS(3174),
    [anon_sym_public] = ACTIONS(3174),
    [anon_sym_private] = ACTIONS(3174),
    [anon_sym_protected] = ACTIONS(3174),
    [anon_sym_override] = ACTIONS(3174),
    [anon_sym_module] = ACTIONS(3174),
    [anon_sym_any] = ACTIONS(3174),
    [anon_sym_number] = ACTIONS(3174),
    [anon_sym_boolean] = ACTIONS(3174),
    [anon_sym_string] = ACTIONS(3174),
    [anon_sym_symbol] = ACTIONS(3174),
    [anon_sym_object] = ACTIONS(3174),
    [anon_sym_abstract] = ACTIONS(3174),
    [anon_sym_interface] = ACTIONS(3174),
    [anon_sym_enum] = ACTIONS(3174),
    [sym_html_comment] = ACTIONS(5),
  },
  [1641] = {
    [sym_comment] = STATE(1641),
    [ts_builtin_sym_end] = ACTIONS(3552),
    [sym_identifier] = ACTIONS(3176),
    [anon_sym_export] = ACTIONS(3176),
    [anon_sym_type] = ACTIONS(3176),
    [anon_sym_namespace] = ACTIONS(3176),
    [anon_sym_LBRACE] = ACTIONS(3176),
    [anon_sym_RBRACE] = ACTIONS(3176),
    [anon_sym_typeof] = ACTIONS(3176),
    [anon_sym_import] = ACTIONS(3176),
    [anon_sym_with] = ACTIONS(3176),
    [anon_sym_var] = ACTIONS(3176),
    [anon_sym_let] = ACTIONS(3176),
    [anon_sym_const] = ACTIONS(3176),
    [anon_sym_BANG] = ACTIONS(3176),
    [anon_sym_if] = ACTIONS(3176),
    [anon_sym_switch] = ACTIONS(3176),
    [anon_sym_for] = ACTIONS(3176),
    [anon_sym_LPAREN] = ACTIONS(3176),
    [anon_sym_await] = ACTIONS(3176),
    [anon_sym_while] = ACTIONS(3176),
    [anon_sym_do] = ACTIONS(3176),
    [anon_sym_try] = ACTIONS(3176),
    [anon_sym_break] = ACTIONS(3176),
    [anon_sym_continue] = ACTIONS(3176),
    [anon_sym_debugger] = ACTIONS(3176),
    [anon_sym_return] = ACTIONS(3176),
    [anon_sym_throw] = ACTIONS(3176),
    [anon_sym_SEMI] = ACTIONS(3176),
    [anon_sym_yield] = ACTIONS(3176),
    [anon_sym_LBRACK] = ACTIONS(3176),
    [anon_sym_LTtemplate_GT] = ACTIONS(3176),
    [anon_sym_DQUOTE] = ACTIONS(3176),
    [anon_sym_SQUOTE] = ACTIONS(3176),
    [anon_sym_class] = ACTIONS(3176),
    [anon_sym_async] = ACTIONS(3176),
    [anon_sym_function] = ACTIONS(3176),
    [anon_sym_new] = ACTIONS(3176),
    [anon_sym_using] = ACTIONS(3176),
    [anon_sym_PLUS] = ACTIONS(3176),
    [anon_sym_DASH] = ACTIONS(3176),
    [anon_sym_SLASH] = ACTIONS(3176),
    [anon_sym_LT] = ACTIONS(3176),
    [anon_sym_TILDE] = ACTIONS(3176),
    [anon_sym_void] = ACTIONS(3176),
    [anon_sym_delete] = ACTIONS(3176),
    [anon_sym_PLUS_PLUS] = ACTIONS(3176),
    [anon_sym_DASH_DASH] = ACTIONS(3176),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3176),
    [sym_number] = ACTIONS(3176),
    [sym_private_property_identifier] = ACTIONS(3176),
    [sym_this] = ACTIONS(3176),
    [sym_super] = ACTIONS(3176),
    [sym_true] = ACTIONS(3176),
    [sym_false] = ACTIONS(3176),
    [sym_null] = ACTIONS(3176),
    [sym_undefined] = ACTIONS(3176),
    [anon_sym_AT] = ACTIONS(3176),
    [anon_sym_static] = ACTIONS(3176),
    [anon_sym_readonly] = ACTIONS(3176),
    [anon_sym_get] = ACTIONS(3176),
    [anon_sym_set] = ACTIONS(3176),
    [anon_sym_declare] = ACTIONS(3176),
    [anon_sym_public] = ACTIONS(3176),
    [anon_sym_private] = ACTIONS(3176),
    [anon_sym_protected] = ACTIONS(3176),
    [anon_sym_override] = ACTIONS(3176),
    [anon_sym_module] = ACTIONS(3176),
    [anon_sym_any] = ACTIONS(3176),
    [anon_sym_number] = ACTIONS(3176),
    [anon_sym_boolean] = ACTIONS(3176),
    [anon_sym_string] = ACTIONS(3176),
    [anon_sym_symbol] = ACTIONS(3176),
    [anon_sym_object] = ACTIONS(3176),
    [anon_sym_abstract] = ACTIONS(3176),
    [anon_sym_interface] = ACTIONS(3176),
    [anon_sym_enum] = ACTIONS(3176),
    [sym_html_comment] = ACTIONS(5),
  },
  [1642] = {
    [sym_comment] = STATE(1642),
    [ts_builtin_sym_end] = ACTIONS(3370),
    [sym_identifier] = ACTIONS(3154),
    [anon_sym_export] = ACTIONS(3154),
    [anon_sym_type] = ACTIONS(3154),
    [anon_sym_namespace] = ACTIONS(3154),
    [anon_sym_LBRACE] = ACTIONS(3154),
    [anon_sym_RBRACE] = ACTIONS(3154),
    [anon_sym_typeof] = ACTIONS(3154),
    [anon_sym_import] = ACTIONS(3154),
    [anon_sym_with] = ACTIONS(3154),
    [anon_sym_var] = ACTIONS(3154),
    [anon_sym_let] = ACTIONS(3154),
    [anon_sym_const] = ACTIONS(3154),
    [anon_sym_BANG] = ACTIONS(3154),
    [anon_sym_if] = ACTIONS(3154),
    [anon_sym_switch] = ACTIONS(3154),
    [anon_sym_for] = ACTIONS(3154),
    [anon_sym_LPAREN] = ACTIONS(3154),
    [anon_sym_await] = ACTIONS(3154),
    [anon_sym_while] = ACTIONS(3154),
    [anon_sym_do] = ACTIONS(3154),
    [anon_sym_try] = ACTIONS(3154),
    [anon_sym_break] = ACTIONS(3154),
    [anon_sym_continue] = ACTIONS(3154),
    [anon_sym_debugger] = ACTIONS(3154),
    [anon_sym_return] = ACTIONS(3154),
    [anon_sym_throw] = ACTIONS(3154),
    [anon_sym_SEMI] = ACTIONS(3154),
    [anon_sym_yield] = ACTIONS(3154),
    [anon_sym_LBRACK] = ACTIONS(3154),
    [anon_sym_LTtemplate_GT] = ACTIONS(3154),
    [anon_sym_DQUOTE] = ACTIONS(3154),
    [anon_sym_SQUOTE] = ACTIONS(3154),
    [anon_sym_class] = ACTIONS(3154),
    [anon_sym_async] = ACTIONS(3154),
    [anon_sym_function] = ACTIONS(3154),
    [anon_sym_new] = ACTIONS(3154),
    [anon_sym_using] = ACTIONS(3154),
    [anon_sym_PLUS] = ACTIONS(3154),
    [anon_sym_DASH] = ACTIONS(3154),
    [anon_sym_SLASH] = ACTIONS(3154),
    [anon_sym_LT] = ACTIONS(3154),
    [anon_sym_TILDE] = ACTIONS(3154),
    [anon_sym_void] = ACTIONS(3154),
    [anon_sym_delete] = ACTIONS(3154),
    [anon_sym_PLUS_PLUS] = ACTIONS(3154),
    [anon_sym_DASH_DASH] = ACTIONS(3154),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3154),
    [sym_number] = ACTIONS(3154),
    [sym_private_property_identifier] = ACTIONS(3154),
    [sym_this] = ACTIONS(3154),
    [sym_super] = ACTIONS(3154),
    [sym_true] = ACTIONS(3154),
    [sym_false] = ACTIONS(3154),
    [sym_null] = ACTIONS(3154),
    [sym_undefined] = ACTIONS(3154),
    [anon_sym_AT] = ACTIONS(3154),
    [anon_sym_static] = ACTIONS(3154),
    [anon_sym_readonly] = ACTIONS(3154),
    [anon_sym_get] = ACTIONS(3154),
    [anon_sym_set] = ACTIONS(3154),
    [anon_sym_declare] = ACTIONS(3154),
    [anon_sym_public] = ACTIONS(3154),
    [anon_sym_private] = ACTIONS(3154),
    [anon_sym_protected] = ACTIONS(3154),
    [anon_sym_override] = ACTIONS(3154),
    [anon_sym_module] = ACTIONS(3154),
    [anon_sym_any] = ACTIONS(3154),
    [anon_sym_number] = ACTIONS(3154),
    [anon_sym_boolean] = ACTIONS(3154),
    [anon_sym_string] = ACTIONS(3154),
    [anon_sym_symbol] = ACTIONS(3154),
    [anon_sym_object] = ACTIONS(3154),
    [anon_sym_abstract] = ACTIONS(3154),
    [anon_sym_interface] = ACTIONS(3154),
    [anon_sym_enum] = ACTIONS(3154),
    [sym_html_comment] = ACTIONS(5),
  },
  [1643] = {
    [sym_comment] = STATE(1643),
    [ts_builtin_sym_end] = ACTIONS(3480),
    [sym_identifier] = ACTIONS(3246),
    [anon_sym_export] = ACTIONS(3246),
    [anon_sym_type] = ACTIONS(3246),
    [anon_sym_namespace] = ACTIONS(3246),
    [anon_sym_LBRACE] = ACTIONS(3246),
    [anon_sym_RBRACE] = ACTIONS(3246),
    [anon_sym_typeof] = ACTIONS(3246),
    [anon_sym_import] = ACTIONS(3246),
    [anon_sym_with] = ACTIONS(3246),
    [anon_sym_var] = ACTIONS(3246),
    [anon_sym_let] = ACTIONS(3246),
    [anon_sym_const] = ACTIONS(3246),
    [anon_sym_BANG] = ACTIONS(3246),
    [anon_sym_if] = ACTIONS(3246),
    [anon_sym_switch] = ACTIONS(3246),
    [anon_sym_for] = ACTIONS(3246),
    [anon_sym_LPAREN] = ACTIONS(3246),
    [anon_sym_await] = ACTIONS(3246),
    [anon_sym_while] = ACTIONS(3246),
    [anon_sym_do] = ACTIONS(3246),
    [anon_sym_try] = ACTIONS(3246),
    [anon_sym_break] = ACTIONS(3246),
    [anon_sym_continue] = ACTIONS(3246),
    [anon_sym_debugger] = ACTIONS(3246),
    [anon_sym_return] = ACTIONS(3246),
    [anon_sym_throw] = ACTIONS(3246),
    [anon_sym_SEMI] = ACTIONS(3246),
    [anon_sym_yield] = ACTIONS(3246),
    [anon_sym_LBRACK] = ACTIONS(3246),
    [anon_sym_LTtemplate_GT] = ACTIONS(3246),
    [anon_sym_DQUOTE] = ACTIONS(3246),
    [anon_sym_SQUOTE] = ACTIONS(3246),
    [anon_sym_class] = ACTIONS(3246),
    [anon_sym_async] = ACTIONS(3246),
    [anon_sym_function] = ACTIONS(3246),
    [anon_sym_new] = ACTIONS(3246),
    [anon_sym_using] = ACTIONS(3246),
    [anon_sym_PLUS] = ACTIONS(3246),
    [anon_sym_DASH] = ACTIONS(3246),
    [anon_sym_SLASH] = ACTIONS(3246),
    [anon_sym_LT] = ACTIONS(3246),
    [anon_sym_TILDE] = ACTIONS(3246),
    [anon_sym_void] = ACTIONS(3246),
    [anon_sym_delete] = ACTIONS(3246),
    [anon_sym_PLUS_PLUS] = ACTIONS(3246),
    [anon_sym_DASH_DASH] = ACTIONS(3246),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3246),
    [sym_number] = ACTIONS(3246),
    [sym_private_property_identifier] = ACTIONS(3246),
    [sym_this] = ACTIONS(3246),
    [sym_super] = ACTIONS(3246),
    [sym_true] = ACTIONS(3246),
    [sym_false] = ACTIONS(3246),
    [sym_null] = ACTIONS(3246),
    [sym_undefined] = ACTIONS(3246),
    [anon_sym_AT] = ACTIONS(3246),
    [anon_sym_static] = ACTIONS(3246),
    [anon_sym_readonly] = ACTIONS(3246),
    [anon_sym_get] = ACTIONS(3246),
    [anon_sym_set] = ACTIONS(3246),
    [anon_sym_declare] = ACTIONS(3246),
    [anon_sym_public] = ACTIONS(3246),
    [anon_sym_private] = ACTIONS(3246),
    [anon_sym_protected] = ACTIONS(3246),
    [anon_sym_override] = ACTIONS(3246),
    [anon_sym_module] = ACTIONS(3246),
    [anon_sym_any] = ACTIONS(3246),
    [anon_sym_number] = ACTIONS(3246),
    [anon_sym_boolean] = ACTIONS(3246),
    [anon_sym_string] = ACTIONS(3246),
    [anon_sym_symbol] = ACTIONS(3246),
    [anon_sym_object] = ACTIONS(3246),
    [anon_sym_abstract] = ACTIONS(3246),
    [anon_sym_interface] = ACTIONS(3246),
    [anon_sym_enum] = ACTIONS(3246),
    [sym_html_comment] = ACTIONS(5),
  },
  [1644] = {
    [sym_comment] = STATE(1644),
    [ts_builtin_sym_end] = ACTIONS(3550),
    [sym_identifier] = ACTIONS(3178),
    [anon_sym_export] = ACTIONS(3178),
    [anon_sym_type] = ACTIONS(3178),
    [anon_sym_namespace] = ACTIONS(3178),
    [anon_sym_LBRACE] = ACTIONS(3178),
    [anon_sym_RBRACE] = ACTIONS(3178),
    [anon_sym_typeof] = ACTIONS(3178),
    [anon_sym_import] = ACTIONS(3178),
    [anon_sym_with] = ACTIONS(3178),
    [anon_sym_var] = ACTIONS(3178),
    [anon_sym_let] = ACTIONS(3178),
    [anon_sym_const] = ACTIONS(3178),
    [anon_sym_BANG] = ACTIONS(3178),
    [anon_sym_if] = ACTIONS(3178),
    [anon_sym_switch] = ACTIONS(3178),
    [anon_sym_for] = ACTIONS(3178),
    [anon_sym_LPAREN] = ACTIONS(3178),
    [anon_sym_await] = ACTIONS(3178),
    [anon_sym_while] = ACTIONS(3178),
    [anon_sym_do] = ACTIONS(3178),
    [anon_sym_try] = ACTIONS(3178),
    [anon_sym_break] = ACTIONS(3178),
    [anon_sym_continue] = ACTIONS(3178),
    [anon_sym_debugger] = ACTIONS(3178),
    [anon_sym_return] = ACTIONS(3178),
    [anon_sym_throw] = ACTIONS(3178),
    [anon_sym_SEMI] = ACTIONS(3178),
    [anon_sym_yield] = ACTIONS(3178),
    [anon_sym_LBRACK] = ACTIONS(3178),
    [anon_sym_LTtemplate_GT] = ACTIONS(3178),
    [anon_sym_DQUOTE] = ACTIONS(3178),
    [anon_sym_SQUOTE] = ACTIONS(3178),
    [anon_sym_class] = ACTIONS(3178),
    [anon_sym_async] = ACTIONS(3178),
    [anon_sym_function] = ACTIONS(3178),
    [anon_sym_new] = ACTIONS(3178),
    [anon_sym_using] = ACTIONS(3178),
    [anon_sym_PLUS] = ACTIONS(3178),
    [anon_sym_DASH] = ACTIONS(3178),
    [anon_sym_SLASH] = ACTIONS(3178),
    [anon_sym_LT] = ACTIONS(3178),
    [anon_sym_TILDE] = ACTIONS(3178),
    [anon_sym_void] = ACTIONS(3178),
    [anon_sym_delete] = ACTIONS(3178),
    [anon_sym_PLUS_PLUS] = ACTIONS(3178),
    [anon_sym_DASH_DASH] = ACTIONS(3178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3178),
    [sym_number] = ACTIONS(3178),
    [sym_private_property_identifier] = ACTIONS(3178),
    [sym_this] = ACTIONS(3178),
    [sym_super] = ACTIONS(3178),
    [sym_true] = ACTIONS(3178),
    [sym_false] = ACTIONS(3178),
    [sym_null] = ACTIONS(3178),
    [sym_undefined] = ACTIONS(3178),
    [anon_sym_AT] = ACTIONS(3178),
    [anon_sym_static] = ACTIONS(3178),
    [anon_sym_readonly] = ACTIONS(3178),
    [anon_sym_get] = ACTIONS(3178),
    [anon_sym_set] = ACTIONS(3178),
    [anon_sym_declare] = ACTIONS(3178),
    [anon_sym_public] = ACTIONS(3178),
    [anon_sym_private] = ACTIONS(3178),
    [anon_sym_protected] = ACTIONS(3178),
    [anon_sym_override] = ACTIONS(3178),
    [anon_sym_module] = ACTIONS(3178),
    [anon_sym_any] = ACTIONS(3178),
    [anon_sym_number] = ACTIONS(3178),
    [anon_sym_boolean] = ACTIONS(3178),
    [anon_sym_string] = ACTIONS(3178),
    [anon_sym_symbol] = ACTIONS(3178),
    [anon_sym_object] = ACTIONS(3178),
    [anon_sym_abstract] = ACTIONS(3178),
    [anon_sym_interface] = ACTIONS(3178),
    [anon_sym_enum] = ACTIONS(3178),
    [sym_html_comment] = ACTIONS(5),
  },
  [1645] = {
    [sym_comment] = STATE(1645),
    [ts_builtin_sym_end] = ACTIONS(3480),
    [sym_identifier] = ACTIONS(3246),
    [anon_sym_export] = ACTIONS(3246),
    [anon_sym_type] = ACTIONS(3246),
    [anon_sym_namespace] = ACTIONS(3246),
    [anon_sym_LBRACE] = ACTIONS(3246),
    [anon_sym_RBRACE] = ACTIONS(3246),
    [anon_sym_typeof] = ACTIONS(3246),
    [anon_sym_import] = ACTIONS(3246),
    [anon_sym_with] = ACTIONS(3246),
    [anon_sym_var] = ACTIONS(3246),
    [anon_sym_let] = ACTIONS(3246),
    [anon_sym_const] = ACTIONS(3246),
    [anon_sym_BANG] = ACTIONS(3246),
    [anon_sym_if] = ACTIONS(3246),
    [anon_sym_switch] = ACTIONS(3246),
    [anon_sym_for] = ACTIONS(3246),
    [anon_sym_LPAREN] = ACTIONS(3246),
    [anon_sym_await] = ACTIONS(3246),
    [anon_sym_while] = ACTIONS(3246),
    [anon_sym_do] = ACTIONS(3246),
    [anon_sym_try] = ACTIONS(3246),
    [anon_sym_break] = ACTIONS(3246),
    [anon_sym_continue] = ACTIONS(3246),
    [anon_sym_debugger] = ACTIONS(3246),
    [anon_sym_return] = ACTIONS(3246),
    [anon_sym_throw] = ACTIONS(3246),
    [anon_sym_SEMI] = ACTIONS(3246),
    [anon_sym_yield] = ACTIONS(3246),
    [anon_sym_LBRACK] = ACTIONS(3246),
    [anon_sym_LTtemplate_GT] = ACTIONS(3246),
    [anon_sym_DQUOTE] = ACTIONS(3246),
    [anon_sym_SQUOTE] = ACTIONS(3246),
    [anon_sym_class] = ACTIONS(3246),
    [anon_sym_async] = ACTIONS(3246),
    [anon_sym_function] = ACTIONS(3246),
    [anon_sym_new] = ACTIONS(3246),
    [anon_sym_using] = ACTIONS(3246),
    [anon_sym_PLUS] = ACTIONS(3246),
    [anon_sym_DASH] = ACTIONS(3246),
    [anon_sym_SLASH] = ACTIONS(3246),
    [anon_sym_LT] = ACTIONS(3246),
    [anon_sym_TILDE] = ACTIONS(3246),
    [anon_sym_void] = ACTIONS(3246),
    [anon_sym_delete] = ACTIONS(3246),
    [anon_sym_PLUS_PLUS] = ACTIONS(3246),
    [anon_sym_DASH_DASH] = ACTIONS(3246),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3246),
    [sym_number] = ACTIONS(3246),
    [sym_private_property_identifier] = ACTIONS(3246),
    [sym_this] = ACTIONS(3246),
    [sym_super] = ACTIONS(3246),
    [sym_true] = ACTIONS(3246),
    [sym_false] = ACTIONS(3246),
    [sym_null] = ACTIONS(3246),
    [sym_undefined] = ACTIONS(3246),
    [anon_sym_AT] = ACTIONS(3246),
    [anon_sym_static] = ACTIONS(3246),
    [anon_sym_readonly] = ACTIONS(3246),
    [anon_sym_get] = ACTIONS(3246),
    [anon_sym_set] = ACTIONS(3246),
    [anon_sym_declare] = ACTIONS(3246),
    [anon_sym_public] = ACTIONS(3246),
    [anon_sym_private] = ACTIONS(3246),
    [anon_sym_protected] = ACTIONS(3246),
    [anon_sym_override] = ACTIONS(3246),
    [anon_sym_module] = ACTIONS(3246),
    [anon_sym_any] = ACTIONS(3246),
    [anon_sym_number] = ACTIONS(3246),
    [anon_sym_boolean] = ACTIONS(3246),
    [anon_sym_string] = ACTIONS(3246),
    [anon_sym_symbol] = ACTIONS(3246),
    [anon_sym_object] = ACTIONS(3246),
    [anon_sym_abstract] = ACTIONS(3246),
    [anon_sym_interface] = ACTIONS(3246),
    [anon_sym_enum] = ACTIONS(3246),
    [sym_html_comment] = ACTIONS(5),
  },
  [1646] = {
    [sym_comment] = STATE(1646),
    [ts_builtin_sym_end] = ACTIONS(3480),
    [sym_identifier] = ACTIONS(3246),
    [anon_sym_export] = ACTIONS(3246),
    [anon_sym_type] = ACTIONS(3246),
    [anon_sym_namespace] = ACTIONS(3246),
    [anon_sym_LBRACE] = ACTIONS(3246),
    [anon_sym_RBRACE] = ACTIONS(3246),
    [anon_sym_typeof] = ACTIONS(3246),
    [anon_sym_import] = ACTIONS(3246),
    [anon_sym_with] = ACTIONS(3246),
    [anon_sym_var] = ACTIONS(3246),
    [anon_sym_let] = ACTIONS(3246),
    [anon_sym_const] = ACTIONS(3246),
    [anon_sym_BANG] = ACTIONS(3246),
    [anon_sym_if] = ACTIONS(3246),
    [anon_sym_switch] = ACTIONS(3246),
    [anon_sym_for] = ACTIONS(3246),
    [anon_sym_LPAREN] = ACTIONS(3246),
    [anon_sym_await] = ACTIONS(3246),
    [anon_sym_while] = ACTIONS(3246),
    [anon_sym_do] = ACTIONS(3246),
    [anon_sym_try] = ACTIONS(3246),
    [anon_sym_break] = ACTIONS(3246),
    [anon_sym_continue] = ACTIONS(3246),
    [anon_sym_debugger] = ACTIONS(3246),
    [anon_sym_return] = ACTIONS(3246),
    [anon_sym_throw] = ACTIONS(3246),
    [anon_sym_SEMI] = ACTIONS(3246),
    [anon_sym_yield] = ACTIONS(3246),
    [anon_sym_LBRACK] = ACTIONS(3246),
    [anon_sym_LTtemplate_GT] = ACTIONS(3246),
    [anon_sym_DQUOTE] = ACTIONS(3246),
    [anon_sym_SQUOTE] = ACTIONS(3246),
    [anon_sym_class] = ACTIONS(3246),
    [anon_sym_async] = ACTIONS(3246),
    [anon_sym_function] = ACTIONS(3246),
    [anon_sym_new] = ACTIONS(3246),
    [anon_sym_using] = ACTIONS(3246),
    [anon_sym_PLUS] = ACTIONS(3246),
    [anon_sym_DASH] = ACTIONS(3246),
    [anon_sym_SLASH] = ACTIONS(3246),
    [anon_sym_LT] = ACTIONS(3246),
    [anon_sym_TILDE] = ACTIONS(3246),
    [anon_sym_void] = ACTIONS(3246),
    [anon_sym_delete] = ACTIONS(3246),
    [anon_sym_PLUS_PLUS] = ACTIONS(3246),
    [anon_sym_DASH_DASH] = ACTIONS(3246),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3246),
    [sym_number] = ACTIONS(3246),
    [sym_private_property_identifier] = ACTIONS(3246),
    [sym_this] = ACTIONS(3246),
    [sym_super] = ACTIONS(3246),
    [sym_true] = ACTIONS(3246),
    [sym_false] = ACTIONS(3246),
    [sym_null] = ACTIONS(3246),
    [sym_undefined] = ACTIONS(3246),
    [anon_sym_AT] = ACTIONS(3246),
    [anon_sym_static] = ACTIONS(3246),
    [anon_sym_readonly] = ACTIONS(3246),
    [anon_sym_get] = ACTIONS(3246),
    [anon_sym_set] = ACTIONS(3246),
    [anon_sym_declare] = ACTIONS(3246),
    [anon_sym_public] = ACTIONS(3246),
    [anon_sym_private] = ACTIONS(3246),
    [anon_sym_protected] = ACTIONS(3246),
    [anon_sym_override] = ACTIONS(3246),
    [anon_sym_module] = ACTIONS(3246),
    [anon_sym_any] = ACTIONS(3246),
    [anon_sym_number] = ACTIONS(3246),
    [anon_sym_boolean] = ACTIONS(3246),
    [anon_sym_string] = ACTIONS(3246),
    [anon_sym_symbol] = ACTIONS(3246),
    [anon_sym_object] = ACTIONS(3246),
    [anon_sym_abstract] = ACTIONS(3246),
    [anon_sym_interface] = ACTIONS(3246),
    [anon_sym_enum] = ACTIONS(3246),
    [sym_html_comment] = ACTIONS(5),
  },
  [1647] = {
    [sym_comment] = STATE(1647),
    [ts_builtin_sym_end] = ACTIONS(3370),
    [sym_identifier] = ACTIONS(3154),
    [anon_sym_export] = ACTIONS(3154),
    [anon_sym_type] = ACTIONS(3154),
    [anon_sym_namespace] = ACTIONS(3154),
    [anon_sym_LBRACE] = ACTIONS(3154),
    [anon_sym_RBRACE] = ACTIONS(3154),
    [anon_sym_typeof] = ACTIONS(3154),
    [anon_sym_import] = ACTIONS(3154),
    [anon_sym_with] = ACTIONS(3154),
    [anon_sym_var] = ACTIONS(3154),
    [anon_sym_let] = ACTIONS(3154),
    [anon_sym_const] = ACTIONS(3154),
    [anon_sym_BANG] = ACTIONS(3154),
    [anon_sym_if] = ACTIONS(3154),
    [anon_sym_switch] = ACTIONS(3154),
    [anon_sym_for] = ACTIONS(3154),
    [anon_sym_LPAREN] = ACTIONS(3154),
    [anon_sym_await] = ACTIONS(3154),
    [anon_sym_while] = ACTIONS(3154),
    [anon_sym_do] = ACTIONS(3154),
    [anon_sym_try] = ACTIONS(3154),
    [anon_sym_break] = ACTIONS(3154),
    [anon_sym_continue] = ACTIONS(3154),
    [anon_sym_debugger] = ACTIONS(3154),
    [anon_sym_return] = ACTIONS(3154),
    [anon_sym_throw] = ACTIONS(3154),
    [anon_sym_SEMI] = ACTIONS(3154),
    [anon_sym_yield] = ACTIONS(3154),
    [anon_sym_LBRACK] = ACTIONS(3154),
    [anon_sym_LTtemplate_GT] = ACTIONS(3154),
    [anon_sym_DQUOTE] = ACTIONS(3154),
    [anon_sym_SQUOTE] = ACTIONS(3154),
    [anon_sym_class] = ACTIONS(3154),
    [anon_sym_async] = ACTIONS(3154),
    [anon_sym_function] = ACTIONS(3154),
    [anon_sym_new] = ACTIONS(3154),
    [anon_sym_using] = ACTIONS(3154),
    [anon_sym_PLUS] = ACTIONS(3154),
    [anon_sym_DASH] = ACTIONS(3154),
    [anon_sym_SLASH] = ACTIONS(3154),
    [anon_sym_LT] = ACTIONS(3154),
    [anon_sym_TILDE] = ACTIONS(3154),
    [anon_sym_void] = ACTIONS(3154),
    [anon_sym_delete] = ACTIONS(3154),
    [anon_sym_PLUS_PLUS] = ACTIONS(3154),
    [anon_sym_DASH_DASH] = ACTIONS(3154),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3154),
    [sym_number] = ACTIONS(3154),
    [sym_private_property_identifier] = ACTIONS(3154),
    [sym_this] = ACTIONS(3154),
    [sym_super] = ACTIONS(3154),
    [sym_true] = ACTIONS(3154),
    [sym_false] = ACTIONS(3154),
    [sym_null] = ACTIONS(3154),
    [sym_undefined] = ACTIONS(3154),
    [anon_sym_AT] = ACTIONS(3154),
    [anon_sym_static] = ACTIONS(3154),
    [anon_sym_readonly] = ACTIONS(3154),
    [anon_sym_get] = ACTIONS(3154),
    [anon_sym_set] = ACTIONS(3154),
    [anon_sym_declare] = ACTIONS(3154),
    [anon_sym_public] = ACTIONS(3154),
    [anon_sym_private] = ACTIONS(3154),
    [anon_sym_protected] = ACTIONS(3154),
    [anon_sym_override] = ACTIONS(3154),
    [anon_sym_module] = ACTIONS(3154),
    [anon_sym_any] = ACTIONS(3154),
    [anon_sym_number] = ACTIONS(3154),
    [anon_sym_boolean] = ACTIONS(3154),
    [anon_sym_string] = ACTIONS(3154),
    [anon_sym_symbol] = ACTIONS(3154),
    [anon_sym_object] = ACTIONS(3154),
    [anon_sym_abstract] = ACTIONS(3154),
    [anon_sym_interface] = ACTIONS(3154),
    [anon_sym_enum] = ACTIONS(3154),
    [sym_html_comment] = ACTIONS(5),
  },
  [1648] = {
    [sym_comment] = STATE(1648),
    [ts_builtin_sym_end] = ACTIONS(3370),
    [sym_identifier] = ACTIONS(3154),
    [anon_sym_export] = ACTIONS(3154),
    [anon_sym_type] = ACTIONS(3154),
    [anon_sym_namespace] = ACTIONS(3154),
    [anon_sym_LBRACE] = ACTIONS(3154),
    [anon_sym_RBRACE] = ACTIONS(3154),
    [anon_sym_typeof] = ACTIONS(3154),
    [anon_sym_import] = ACTIONS(3154),
    [anon_sym_with] = ACTIONS(3154),
    [anon_sym_var] = ACTIONS(3154),
    [anon_sym_let] = ACTIONS(3154),
    [anon_sym_const] = ACTIONS(3154),
    [anon_sym_BANG] = ACTIONS(3154),
    [anon_sym_if] = ACTIONS(3154),
    [anon_sym_switch] = ACTIONS(3154),
    [anon_sym_for] = ACTIONS(3154),
    [anon_sym_LPAREN] = ACTIONS(3154),
    [anon_sym_await] = ACTIONS(3154),
    [anon_sym_while] = ACTIONS(3154),
    [anon_sym_do] = ACTIONS(3154),
    [anon_sym_try] = ACTIONS(3154),
    [anon_sym_break] = ACTIONS(3154),
    [anon_sym_continue] = ACTIONS(3154),
    [anon_sym_debugger] = ACTIONS(3154),
    [anon_sym_return] = ACTIONS(3154),
    [anon_sym_throw] = ACTIONS(3154),
    [anon_sym_SEMI] = ACTIONS(3154),
    [anon_sym_yield] = ACTIONS(3154),
    [anon_sym_LBRACK] = ACTIONS(3154),
    [anon_sym_LTtemplate_GT] = ACTIONS(3154),
    [anon_sym_DQUOTE] = ACTIONS(3154),
    [anon_sym_SQUOTE] = ACTIONS(3154),
    [anon_sym_class] = ACTIONS(3154),
    [anon_sym_async] = ACTIONS(3154),
    [anon_sym_function] = ACTIONS(3154),
    [anon_sym_new] = ACTIONS(3154),
    [anon_sym_using] = ACTIONS(3154),
    [anon_sym_PLUS] = ACTIONS(3154),
    [anon_sym_DASH] = ACTIONS(3154),
    [anon_sym_SLASH] = ACTIONS(3154),
    [anon_sym_LT] = ACTIONS(3154),
    [anon_sym_TILDE] = ACTIONS(3154),
    [anon_sym_void] = ACTIONS(3154),
    [anon_sym_delete] = ACTIONS(3154),
    [anon_sym_PLUS_PLUS] = ACTIONS(3154),
    [anon_sym_DASH_DASH] = ACTIONS(3154),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3154),
    [sym_number] = ACTIONS(3154),
    [sym_private_property_identifier] = ACTIONS(3154),
    [sym_this] = ACTIONS(3154),
    [sym_super] = ACTIONS(3154),
    [sym_true] = ACTIONS(3154),
    [sym_false] = ACTIONS(3154),
    [sym_null] = ACTIONS(3154),
    [sym_undefined] = ACTIONS(3154),
    [anon_sym_AT] = ACTIONS(3154),
    [anon_sym_static] = ACTIONS(3154),
    [anon_sym_readonly] = ACTIONS(3154),
    [anon_sym_get] = ACTIONS(3154),
    [anon_sym_set] = ACTIONS(3154),
    [anon_sym_declare] = ACTIONS(3154),
    [anon_sym_public] = ACTIONS(3154),
    [anon_sym_private] = ACTIONS(3154),
    [anon_sym_protected] = ACTIONS(3154),
    [anon_sym_override] = ACTIONS(3154),
    [anon_sym_module] = ACTIONS(3154),
    [anon_sym_any] = ACTIONS(3154),
    [anon_sym_number] = ACTIONS(3154),
    [anon_sym_boolean] = ACTIONS(3154),
    [anon_sym_string] = ACTIONS(3154),
    [anon_sym_symbol] = ACTIONS(3154),
    [anon_sym_object] = ACTIONS(3154),
    [anon_sym_abstract] = ACTIONS(3154),
    [anon_sym_interface] = ACTIONS(3154),
    [anon_sym_enum] = ACTIONS(3154),
    [sym_html_comment] = ACTIONS(5),
  },
  [1649] = {
    [sym_comment] = STATE(1649),
    [ts_builtin_sym_end] = ACTIONS(3548),
    [sym_identifier] = ACTIONS(3180),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_type] = ACTIONS(3180),
    [anon_sym_namespace] = ACTIONS(3180),
    [anon_sym_LBRACE] = ACTIONS(3180),
    [anon_sym_RBRACE] = ACTIONS(3180),
    [anon_sym_typeof] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3180),
    [anon_sym_with] = ACTIONS(3180),
    [anon_sym_var] = ACTIONS(3180),
    [anon_sym_let] = ACTIONS(3180),
    [anon_sym_const] = ACTIONS(3180),
    [anon_sym_BANG] = ACTIONS(3180),
    [anon_sym_if] = ACTIONS(3180),
    [anon_sym_switch] = ACTIONS(3180),
    [anon_sym_for] = ACTIONS(3180),
    [anon_sym_LPAREN] = ACTIONS(3180),
    [anon_sym_await] = ACTIONS(3180),
    [anon_sym_while] = ACTIONS(3180),
    [anon_sym_do] = ACTIONS(3180),
    [anon_sym_try] = ACTIONS(3180),
    [anon_sym_break] = ACTIONS(3180),
    [anon_sym_continue] = ACTIONS(3180),
    [anon_sym_debugger] = ACTIONS(3180),
    [anon_sym_return] = ACTIONS(3180),
    [anon_sym_throw] = ACTIONS(3180),
    [anon_sym_SEMI] = ACTIONS(3180),
    [anon_sym_yield] = ACTIONS(3180),
    [anon_sym_LBRACK] = ACTIONS(3180),
    [anon_sym_LTtemplate_GT] = ACTIONS(3180),
    [anon_sym_DQUOTE] = ACTIONS(3180),
    [anon_sym_SQUOTE] = ACTIONS(3180),
    [anon_sym_class] = ACTIONS(3180),
    [anon_sym_async] = ACTIONS(3180),
    [anon_sym_function] = ACTIONS(3180),
    [anon_sym_new] = ACTIONS(3180),
    [anon_sym_using] = ACTIONS(3180),
    [anon_sym_PLUS] = ACTIONS(3180),
    [anon_sym_DASH] = ACTIONS(3180),
    [anon_sym_SLASH] = ACTIONS(3180),
    [anon_sym_LT] = ACTIONS(3180),
    [anon_sym_TILDE] = ACTIONS(3180),
    [anon_sym_void] = ACTIONS(3180),
    [anon_sym_delete] = ACTIONS(3180),
    [anon_sym_PLUS_PLUS] = ACTIONS(3180),
    [anon_sym_DASH_DASH] = ACTIONS(3180),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3180),
    [sym_number] = ACTIONS(3180),
    [sym_private_property_identifier] = ACTIONS(3180),
    [sym_this] = ACTIONS(3180),
    [sym_super] = ACTIONS(3180),
    [sym_true] = ACTIONS(3180),
    [sym_false] = ACTIONS(3180),
    [sym_null] = ACTIONS(3180),
    [sym_undefined] = ACTIONS(3180),
    [anon_sym_AT] = ACTIONS(3180),
    [anon_sym_static] = ACTIONS(3180),
    [anon_sym_readonly] = ACTIONS(3180),
    [anon_sym_get] = ACTIONS(3180),
    [anon_sym_set] = ACTIONS(3180),
    [anon_sym_declare] = ACTIONS(3180),
    [anon_sym_public] = ACTIONS(3180),
    [anon_sym_private] = ACTIONS(3180),
    [anon_sym_protected] = ACTIONS(3180),
    [anon_sym_override] = ACTIONS(3180),
    [anon_sym_module] = ACTIONS(3180),
    [anon_sym_any] = ACTIONS(3180),
    [anon_sym_number] = ACTIONS(3180),
    [anon_sym_boolean] = ACTIONS(3180),
    [anon_sym_string] = ACTIONS(3180),
    [anon_sym_symbol] = ACTIONS(3180),
    [anon_sym_object] = ACTIONS(3180),
    [anon_sym_abstract] = ACTIONS(3180),
    [anon_sym_interface] = ACTIONS(3180),
    [anon_sym_enum] = ACTIONS(3180),
    [sym_html_comment] = ACTIONS(5),
  },
  [1650] = {
    [sym_comment] = STATE(1650),
    [ts_builtin_sym_end] = ACTIONS(3430),
    [sym_identifier] = ACTIONS(3258),
    [anon_sym_export] = ACTIONS(3258),
    [anon_sym_type] = ACTIONS(3258),
    [anon_sym_namespace] = ACTIONS(3258),
    [anon_sym_LBRACE] = ACTIONS(3258),
    [anon_sym_RBRACE] = ACTIONS(3258),
    [anon_sym_typeof] = ACTIONS(3258),
    [anon_sym_import] = ACTIONS(3258),
    [anon_sym_with] = ACTIONS(3258),
    [anon_sym_var] = ACTIONS(3258),
    [anon_sym_let] = ACTIONS(3258),
    [anon_sym_const] = ACTIONS(3258),
    [anon_sym_BANG] = ACTIONS(3258),
    [anon_sym_if] = ACTIONS(3258),
    [anon_sym_switch] = ACTIONS(3258),
    [anon_sym_for] = ACTIONS(3258),
    [anon_sym_LPAREN] = ACTIONS(3258),
    [anon_sym_await] = ACTIONS(3258),
    [anon_sym_while] = ACTIONS(3258),
    [anon_sym_do] = ACTIONS(3258),
    [anon_sym_try] = ACTIONS(3258),
    [anon_sym_break] = ACTIONS(3258),
    [anon_sym_continue] = ACTIONS(3258),
    [anon_sym_debugger] = ACTIONS(3258),
    [anon_sym_return] = ACTIONS(3258),
    [anon_sym_throw] = ACTIONS(3258),
    [anon_sym_SEMI] = ACTIONS(3258),
    [anon_sym_yield] = ACTIONS(3258),
    [anon_sym_LBRACK] = ACTIONS(3258),
    [anon_sym_LTtemplate_GT] = ACTIONS(3258),
    [anon_sym_DQUOTE] = ACTIONS(3258),
    [anon_sym_SQUOTE] = ACTIONS(3258),
    [anon_sym_class] = ACTIONS(3258),
    [anon_sym_async] = ACTIONS(3258),
    [anon_sym_function] = ACTIONS(3258),
    [anon_sym_new] = ACTIONS(3258),
    [anon_sym_using] = ACTIONS(3258),
    [anon_sym_PLUS] = ACTIONS(3258),
    [anon_sym_DASH] = ACTIONS(3258),
    [anon_sym_SLASH] = ACTIONS(3258),
    [anon_sym_LT] = ACTIONS(3258),
    [anon_sym_TILDE] = ACTIONS(3258),
    [anon_sym_void] = ACTIONS(3258),
    [anon_sym_delete] = ACTIONS(3258),
    [anon_sym_PLUS_PLUS] = ACTIONS(3258),
    [anon_sym_DASH_DASH] = ACTIONS(3258),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3258),
    [sym_number] = ACTIONS(3258),
    [sym_private_property_identifier] = ACTIONS(3258),
    [sym_this] = ACTIONS(3258),
    [sym_super] = ACTIONS(3258),
    [sym_true] = ACTIONS(3258),
    [sym_false] = ACTIONS(3258),
    [sym_null] = ACTIONS(3258),
    [sym_undefined] = ACTIONS(3258),
    [anon_sym_AT] = ACTIONS(3258),
    [anon_sym_static] = ACTIONS(3258),
    [anon_sym_readonly] = ACTIONS(3258),
    [anon_sym_get] = ACTIONS(3258),
    [anon_sym_set] = ACTIONS(3258),
    [anon_sym_declare] = ACTIONS(3258),
    [anon_sym_public] = ACTIONS(3258),
    [anon_sym_private] = ACTIONS(3258),
    [anon_sym_protected] = ACTIONS(3258),
    [anon_sym_override] = ACTIONS(3258),
    [anon_sym_module] = ACTIONS(3258),
    [anon_sym_any] = ACTIONS(3258),
    [anon_sym_number] = ACTIONS(3258),
    [anon_sym_boolean] = ACTIONS(3258),
    [anon_sym_string] = ACTIONS(3258),
    [anon_sym_symbol] = ACTIONS(3258),
    [anon_sym_object] = ACTIONS(3258),
    [anon_sym_abstract] = ACTIONS(3258),
    [anon_sym_interface] = ACTIONS(3258),
    [anon_sym_enum] = ACTIONS(3258),
    [sym_html_comment] = ACTIONS(5),
  },
  [1651] = {
    [sym_comment] = STATE(1651),
    [ts_builtin_sym_end] = ACTIONS(3438),
    [sym_identifier] = ACTIONS(3252),
    [anon_sym_export] = ACTIONS(3252),
    [anon_sym_type] = ACTIONS(3252),
    [anon_sym_namespace] = ACTIONS(3252),
    [anon_sym_LBRACE] = ACTIONS(3252),
    [anon_sym_RBRACE] = ACTIONS(3252),
    [anon_sym_typeof] = ACTIONS(3252),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_with] = ACTIONS(3252),
    [anon_sym_var] = ACTIONS(3252),
    [anon_sym_let] = ACTIONS(3252),
    [anon_sym_const] = ACTIONS(3252),
    [anon_sym_BANG] = ACTIONS(3252),
    [anon_sym_if] = ACTIONS(3252),
    [anon_sym_switch] = ACTIONS(3252),
    [anon_sym_for] = ACTIONS(3252),
    [anon_sym_LPAREN] = ACTIONS(3252),
    [anon_sym_await] = ACTIONS(3252),
    [anon_sym_while] = ACTIONS(3252),
    [anon_sym_do] = ACTIONS(3252),
    [anon_sym_try] = ACTIONS(3252),
    [anon_sym_break] = ACTIONS(3252),
    [anon_sym_continue] = ACTIONS(3252),
    [anon_sym_debugger] = ACTIONS(3252),
    [anon_sym_return] = ACTIONS(3252),
    [anon_sym_throw] = ACTIONS(3252),
    [anon_sym_SEMI] = ACTIONS(3252),
    [anon_sym_yield] = ACTIONS(3252),
    [anon_sym_LBRACK] = ACTIONS(3252),
    [anon_sym_LTtemplate_GT] = ACTIONS(3252),
    [anon_sym_DQUOTE] = ACTIONS(3252),
    [anon_sym_SQUOTE] = ACTIONS(3252),
    [anon_sym_class] = ACTIONS(3252),
    [anon_sym_async] = ACTIONS(3252),
    [anon_sym_function] = ACTIONS(3252),
    [anon_sym_new] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3252),
    [anon_sym_PLUS] = ACTIONS(3252),
    [anon_sym_DASH] = ACTIONS(3252),
    [anon_sym_SLASH] = ACTIONS(3252),
    [anon_sym_LT] = ACTIONS(3252),
    [anon_sym_TILDE] = ACTIONS(3252),
    [anon_sym_void] = ACTIONS(3252),
    [anon_sym_delete] = ACTIONS(3252),
    [anon_sym_PLUS_PLUS] = ACTIONS(3252),
    [anon_sym_DASH_DASH] = ACTIONS(3252),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3252),
    [sym_number] = ACTIONS(3252),
    [sym_private_property_identifier] = ACTIONS(3252),
    [sym_this] = ACTIONS(3252),
    [sym_super] = ACTIONS(3252),
    [sym_true] = ACTIONS(3252),
    [sym_false] = ACTIONS(3252),
    [sym_null] = ACTIONS(3252),
    [sym_undefined] = ACTIONS(3252),
    [anon_sym_AT] = ACTIONS(3252),
    [anon_sym_static] = ACTIONS(3252),
    [anon_sym_readonly] = ACTIONS(3252),
    [anon_sym_get] = ACTIONS(3252),
    [anon_sym_set] = ACTIONS(3252),
    [anon_sym_declare] = ACTIONS(3252),
    [anon_sym_public] = ACTIONS(3252),
    [anon_sym_private] = ACTIONS(3252),
    [anon_sym_protected] = ACTIONS(3252),
    [anon_sym_override] = ACTIONS(3252),
    [anon_sym_module] = ACTIONS(3252),
    [anon_sym_any] = ACTIONS(3252),
    [anon_sym_number] = ACTIONS(3252),
    [anon_sym_boolean] = ACTIONS(3252),
    [anon_sym_string] = ACTIONS(3252),
    [anon_sym_symbol] = ACTIONS(3252),
    [anon_sym_object] = ACTIONS(3252),
    [anon_sym_abstract] = ACTIONS(3252),
    [anon_sym_interface] = ACTIONS(3252),
    [anon_sym_enum] = ACTIONS(3252),
    [sym_html_comment] = ACTIONS(5),
  },
  [1652] = {
    [sym_comment] = STATE(1652),
    [ts_builtin_sym_end] = ACTIONS(3438),
    [sym_identifier] = ACTIONS(3252),
    [anon_sym_export] = ACTIONS(3252),
    [anon_sym_type] = ACTIONS(3252),
    [anon_sym_namespace] = ACTIONS(3252),
    [anon_sym_LBRACE] = ACTIONS(3252),
    [anon_sym_RBRACE] = ACTIONS(3252),
    [anon_sym_typeof] = ACTIONS(3252),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_with] = ACTIONS(3252),
    [anon_sym_var] = ACTIONS(3252),
    [anon_sym_let] = ACTIONS(3252),
    [anon_sym_const] = ACTIONS(3252),
    [anon_sym_BANG] = ACTIONS(3252),
    [anon_sym_if] = ACTIONS(3252),
    [anon_sym_switch] = ACTIONS(3252),
    [anon_sym_for] = ACTIONS(3252),
    [anon_sym_LPAREN] = ACTIONS(3252),
    [anon_sym_await] = ACTIONS(3252),
    [anon_sym_while] = ACTIONS(3252),
    [anon_sym_do] = ACTIONS(3252),
    [anon_sym_try] = ACTIONS(3252),
    [anon_sym_break] = ACTIONS(3252),
    [anon_sym_continue] = ACTIONS(3252),
    [anon_sym_debugger] = ACTIONS(3252),
    [anon_sym_return] = ACTIONS(3252),
    [anon_sym_throw] = ACTIONS(3252),
    [anon_sym_SEMI] = ACTIONS(3252),
    [anon_sym_yield] = ACTIONS(3252),
    [anon_sym_LBRACK] = ACTIONS(3252),
    [anon_sym_LTtemplate_GT] = ACTIONS(3252),
    [anon_sym_DQUOTE] = ACTIONS(3252),
    [anon_sym_SQUOTE] = ACTIONS(3252),
    [anon_sym_class] = ACTIONS(3252),
    [anon_sym_async] = ACTIONS(3252),
    [anon_sym_function] = ACTIONS(3252),
    [anon_sym_new] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3252),
    [anon_sym_PLUS] = ACTIONS(3252),
    [anon_sym_DASH] = ACTIONS(3252),
    [anon_sym_SLASH] = ACTIONS(3252),
    [anon_sym_LT] = ACTIONS(3252),
    [anon_sym_TILDE] = ACTIONS(3252),
    [anon_sym_void] = ACTIONS(3252),
    [anon_sym_delete] = ACTIONS(3252),
    [anon_sym_PLUS_PLUS] = ACTIONS(3252),
    [anon_sym_DASH_DASH] = ACTIONS(3252),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3252),
    [sym_number] = ACTIONS(3252),
    [sym_private_property_identifier] = ACTIONS(3252),
    [sym_this] = ACTIONS(3252),
    [sym_super] = ACTIONS(3252),
    [sym_true] = ACTIONS(3252),
    [sym_false] = ACTIONS(3252),
    [sym_null] = ACTIONS(3252),
    [sym_undefined] = ACTIONS(3252),
    [anon_sym_AT] = ACTIONS(3252),
    [anon_sym_static] = ACTIONS(3252),
    [anon_sym_readonly] = ACTIONS(3252),
    [anon_sym_get] = ACTIONS(3252),
    [anon_sym_set] = ACTIONS(3252),
    [anon_sym_declare] = ACTIONS(3252),
    [anon_sym_public] = ACTIONS(3252),
    [anon_sym_private] = ACTIONS(3252),
    [anon_sym_protected] = ACTIONS(3252),
    [anon_sym_override] = ACTIONS(3252),
    [anon_sym_module] = ACTIONS(3252),
    [anon_sym_any] = ACTIONS(3252),
    [anon_sym_number] = ACTIONS(3252),
    [anon_sym_boolean] = ACTIONS(3252),
    [anon_sym_string] = ACTIONS(3252),
    [anon_sym_symbol] = ACTIONS(3252),
    [anon_sym_object] = ACTIONS(3252),
    [anon_sym_abstract] = ACTIONS(3252),
    [anon_sym_interface] = ACTIONS(3252),
    [anon_sym_enum] = ACTIONS(3252),
    [sym_html_comment] = ACTIONS(5),
  },
  [1653] = {
    [sym_comment] = STATE(1653),
    [ts_builtin_sym_end] = ACTIONS(3444),
    [sym_identifier] = ACTIONS(3256),
    [anon_sym_export] = ACTIONS(3256),
    [anon_sym_type] = ACTIONS(3256),
    [anon_sym_namespace] = ACTIONS(3256),
    [anon_sym_LBRACE] = ACTIONS(3256),
    [anon_sym_RBRACE] = ACTIONS(3256),
    [anon_sym_typeof] = ACTIONS(3256),
    [anon_sym_import] = ACTIONS(3256),
    [anon_sym_with] = ACTIONS(3256),
    [anon_sym_var] = ACTIONS(3256),
    [anon_sym_let] = ACTIONS(3256),
    [anon_sym_const] = ACTIONS(3256),
    [anon_sym_BANG] = ACTIONS(3256),
    [anon_sym_if] = ACTIONS(3256),
    [anon_sym_switch] = ACTIONS(3256),
    [anon_sym_for] = ACTIONS(3256),
    [anon_sym_LPAREN] = ACTIONS(3256),
    [anon_sym_await] = ACTIONS(3256),
    [anon_sym_while] = ACTIONS(3256),
    [anon_sym_do] = ACTIONS(3256),
    [anon_sym_try] = ACTIONS(3256),
    [anon_sym_break] = ACTIONS(3256),
    [anon_sym_continue] = ACTIONS(3256),
    [anon_sym_debugger] = ACTIONS(3256),
    [anon_sym_return] = ACTIONS(3256),
    [anon_sym_throw] = ACTIONS(3256),
    [anon_sym_SEMI] = ACTIONS(3256),
    [anon_sym_yield] = ACTIONS(3256),
    [anon_sym_LBRACK] = ACTIONS(3256),
    [anon_sym_LTtemplate_GT] = ACTIONS(3256),
    [anon_sym_DQUOTE] = ACTIONS(3256),
    [anon_sym_SQUOTE] = ACTIONS(3256),
    [anon_sym_class] = ACTIONS(3256),
    [anon_sym_async] = ACTIONS(3256),
    [anon_sym_function] = ACTIONS(3256),
    [anon_sym_new] = ACTIONS(3256),
    [anon_sym_using] = ACTIONS(3256),
    [anon_sym_PLUS] = ACTIONS(3256),
    [anon_sym_DASH] = ACTIONS(3256),
    [anon_sym_SLASH] = ACTIONS(3256),
    [anon_sym_LT] = ACTIONS(3256),
    [anon_sym_TILDE] = ACTIONS(3256),
    [anon_sym_void] = ACTIONS(3256),
    [anon_sym_delete] = ACTIONS(3256),
    [anon_sym_PLUS_PLUS] = ACTIONS(3256),
    [anon_sym_DASH_DASH] = ACTIONS(3256),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3256),
    [sym_number] = ACTIONS(3256),
    [sym_private_property_identifier] = ACTIONS(3256),
    [sym_this] = ACTIONS(3256),
    [sym_super] = ACTIONS(3256),
    [sym_true] = ACTIONS(3256),
    [sym_false] = ACTIONS(3256),
    [sym_null] = ACTIONS(3256),
    [sym_undefined] = ACTIONS(3256),
    [anon_sym_AT] = ACTIONS(3256),
    [anon_sym_static] = ACTIONS(3256),
    [anon_sym_readonly] = ACTIONS(3256),
    [anon_sym_get] = ACTIONS(3256),
    [anon_sym_set] = ACTIONS(3256),
    [anon_sym_declare] = ACTIONS(3256),
    [anon_sym_public] = ACTIONS(3256),
    [anon_sym_private] = ACTIONS(3256),
    [anon_sym_protected] = ACTIONS(3256),
    [anon_sym_override] = ACTIONS(3256),
    [anon_sym_module] = ACTIONS(3256),
    [anon_sym_any] = ACTIONS(3256),
    [anon_sym_number] = ACTIONS(3256),
    [anon_sym_boolean] = ACTIONS(3256),
    [anon_sym_string] = ACTIONS(3256),
    [anon_sym_symbol] = ACTIONS(3256),
    [anon_sym_object] = ACTIONS(3256),
    [anon_sym_abstract] = ACTIONS(3256),
    [anon_sym_interface] = ACTIONS(3256),
    [anon_sym_enum] = ACTIONS(3256),
    [sym_html_comment] = ACTIONS(5),
  },
  [1654] = {
    [sym_comment] = STATE(1654),
    [ts_builtin_sym_end] = ACTIONS(3446),
    [sym_identifier] = ACTIONS(3254),
    [anon_sym_export] = ACTIONS(3254),
    [anon_sym_type] = ACTIONS(3254),
    [anon_sym_namespace] = ACTIONS(3254),
    [anon_sym_LBRACE] = ACTIONS(3254),
    [anon_sym_RBRACE] = ACTIONS(3254),
    [anon_sym_typeof] = ACTIONS(3254),
    [anon_sym_import] = ACTIONS(3254),
    [anon_sym_with] = ACTIONS(3254),
    [anon_sym_var] = ACTIONS(3254),
    [anon_sym_let] = ACTIONS(3254),
    [anon_sym_const] = ACTIONS(3254),
    [anon_sym_BANG] = ACTIONS(3254),
    [anon_sym_if] = ACTIONS(3254),
    [anon_sym_switch] = ACTIONS(3254),
    [anon_sym_for] = ACTIONS(3254),
    [anon_sym_LPAREN] = ACTIONS(3254),
    [anon_sym_await] = ACTIONS(3254),
    [anon_sym_while] = ACTIONS(3254),
    [anon_sym_do] = ACTIONS(3254),
    [anon_sym_try] = ACTIONS(3254),
    [anon_sym_break] = ACTIONS(3254),
    [anon_sym_continue] = ACTIONS(3254),
    [anon_sym_debugger] = ACTIONS(3254),
    [anon_sym_return] = ACTIONS(3254),
    [anon_sym_throw] = ACTIONS(3254),
    [anon_sym_SEMI] = ACTIONS(3254),
    [anon_sym_yield] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(3254),
    [anon_sym_LTtemplate_GT] = ACTIONS(3254),
    [anon_sym_DQUOTE] = ACTIONS(3254),
    [anon_sym_SQUOTE] = ACTIONS(3254),
    [anon_sym_class] = ACTIONS(3254),
    [anon_sym_async] = ACTIONS(3254),
    [anon_sym_function] = ACTIONS(3254),
    [anon_sym_new] = ACTIONS(3254),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_PLUS] = ACTIONS(3254),
    [anon_sym_DASH] = ACTIONS(3254),
    [anon_sym_SLASH] = ACTIONS(3254),
    [anon_sym_LT] = ACTIONS(3254),
    [anon_sym_TILDE] = ACTIONS(3254),
    [anon_sym_void] = ACTIONS(3254),
    [anon_sym_delete] = ACTIONS(3254),
    [anon_sym_PLUS_PLUS] = ACTIONS(3254),
    [anon_sym_DASH_DASH] = ACTIONS(3254),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3254),
    [sym_number] = ACTIONS(3254),
    [sym_private_property_identifier] = ACTIONS(3254),
    [sym_this] = ACTIONS(3254),
    [sym_super] = ACTIONS(3254),
    [sym_true] = ACTIONS(3254),
    [sym_false] = ACTIONS(3254),
    [sym_null] = ACTIONS(3254),
    [sym_undefined] = ACTIONS(3254),
    [anon_sym_AT] = ACTIONS(3254),
    [anon_sym_static] = ACTIONS(3254),
    [anon_sym_readonly] = ACTIONS(3254),
    [anon_sym_get] = ACTIONS(3254),
    [anon_sym_set] = ACTIONS(3254),
    [anon_sym_declare] = ACTIONS(3254),
    [anon_sym_public] = ACTIONS(3254),
    [anon_sym_private] = ACTIONS(3254),
    [anon_sym_protected] = ACTIONS(3254),
    [anon_sym_override] = ACTIONS(3254),
    [anon_sym_module] = ACTIONS(3254),
    [anon_sym_any] = ACTIONS(3254),
    [anon_sym_number] = ACTIONS(3254),
    [anon_sym_boolean] = ACTIONS(3254),
    [anon_sym_string] = ACTIONS(3254),
    [anon_sym_symbol] = ACTIONS(3254),
    [anon_sym_object] = ACTIONS(3254),
    [anon_sym_abstract] = ACTIONS(3254),
    [anon_sym_interface] = ACTIONS(3254),
    [anon_sym_enum] = ACTIONS(3254),
    [sym_html_comment] = ACTIONS(5),
  },
  [1655] = {
    [sym_comment] = STATE(1655),
    [ts_builtin_sym_end] = ACTIONS(3394),
    [sym_identifier] = ACTIONS(3272),
    [anon_sym_export] = ACTIONS(3272),
    [anon_sym_type] = ACTIONS(3272),
    [anon_sym_namespace] = ACTIONS(3272),
    [anon_sym_LBRACE] = ACTIONS(3272),
    [anon_sym_RBRACE] = ACTIONS(3272),
    [anon_sym_typeof] = ACTIONS(3272),
    [anon_sym_import] = ACTIONS(3272),
    [anon_sym_with] = ACTIONS(3272),
    [anon_sym_var] = ACTIONS(3272),
    [anon_sym_let] = ACTIONS(3272),
    [anon_sym_const] = ACTIONS(3272),
    [anon_sym_BANG] = ACTIONS(3272),
    [anon_sym_if] = ACTIONS(3272),
    [anon_sym_switch] = ACTIONS(3272),
    [anon_sym_for] = ACTIONS(3272),
    [anon_sym_LPAREN] = ACTIONS(3272),
    [anon_sym_await] = ACTIONS(3272),
    [anon_sym_while] = ACTIONS(3272),
    [anon_sym_do] = ACTIONS(3272),
    [anon_sym_try] = ACTIONS(3272),
    [anon_sym_break] = ACTIONS(3272),
    [anon_sym_continue] = ACTIONS(3272),
    [anon_sym_debugger] = ACTIONS(3272),
    [anon_sym_return] = ACTIONS(3272),
    [anon_sym_throw] = ACTIONS(3272),
    [anon_sym_SEMI] = ACTIONS(3272),
    [anon_sym_yield] = ACTIONS(3272),
    [anon_sym_LBRACK] = ACTIONS(3272),
    [anon_sym_LTtemplate_GT] = ACTIONS(3272),
    [anon_sym_DQUOTE] = ACTIONS(3272),
    [anon_sym_SQUOTE] = ACTIONS(3272),
    [anon_sym_class] = ACTIONS(3272),
    [anon_sym_async] = ACTIONS(3272),
    [anon_sym_function] = ACTIONS(3272),
    [anon_sym_new] = ACTIONS(3272),
    [anon_sym_using] = ACTIONS(3272),
    [anon_sym_PLUS] = ACTIONS(3272),
    [anon_sym_DASH] = ACTIONS(3272),
    [anon_sym_SLASH] = ACTIONS(3272),
    [anon_sym_LT] = ACTIONS(3272),
    [anon_sym_TILDE] = ACTIONS(3272),
    [anon_sym_void] = ACTIONS(3272),
    [anon_sym_delete] = ACTIONS(3272),
    [anon_sym_PLUS_PLUS] = ACTIONS(3272),
    [anon_sym_DASH_DASH] = ACTIONS(3272),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3272),
    [sym_number] = ACTIONS(3272),
    [sym_private_property_identifier] = ACTIONS(3272),
    [sym_this] = ACTIONS(3272),
    [sym_super] = ACTIONS(3272),
    [sym_true] = ACTIONS(3272),
    [sym_false] = ACTIONS(3272),
    [sym_null] = ACTIONS(3272),
    [sym_undefined] = ACTIONS(3272),
    [anon_sym_AT] = ACTIONS(3272),
    [anon_sym_static] = ACTIONS(3272),
    [anon_sym_readonly] = ACTIONS(3272),
    [anon_sym_get] = ACTIONS(3272),
    [anon_sym_set] = ACTIONS(3272),
    [anon_sym_declare] = ACTIONS(3272),
    [anon_sym_public] = ACTIONS(3272),
    [anon_sym_private] = ACTIONS(3272),
    [anon_sym_protected] = ACTIONS(3272),
    [anon_sym_override] = ACTIONS(3272),
    [anon_sym_module] = ACTIONS(3272),
    [anon_sym_any] = ACTIONS(3272),
    [anon_sym_number] = ACTIONS(3272),
    [anon_sym_boolean] = ACTIONS(3272),
    [anon_sym_string] = ACTIONS(3272),
    [anon_sym_symbol] = ACTIONS(3272),
    [anon_sym_object] = ACTIONS(3272),
    [anon_sym_abstract] = ACTIONS(3272),
    [anon_sym_interface] = ACTIONS(3272),
    [anon_sym_enum] = ACTIONS(3272),
    [sym_html_comment] = ACTIONS(5),
  },
  [1656] = {
    [sym_comment] = STATE(1656),
    [ts_builtin_sym_end] = ACTIONS(3370),
    [sym_identifier] = ACTIONS(3154),
    [anon_sym_export] = ACTIONS(3154),
    [anon_sym_type] = ACTIONS(3154),
    [anon_sym_namespace] = ACTIONS(3154),
    [anon_sym_LBRACE] = ACTIONS(3154),
    [anon_sym_RBRACE] = ACTIONS(3154),
    [anon_sym_typeof] = ACTIONS(3154),
    [anon_sym_import] = ACTIONS(3154),
    [anon_sym_with] = ACTIONS(3154),
    [anon_sym_var] = ACTIONS(3154),
    [anon_sym_let] = ACTIONS(3154),
    [anon_sym_const] = ACTIONS(3154),
    [anon_sym_BANG] = ACTIONS(3154),
    [anon_sym_if] = ACTIONS(3154),
    [anon_sym_switch] = ACTIONS(3154),
    [anon_sym_for] = ACTIONS(3154),
    [anon_sym_LPAREN] = ACTIONS(3154),
    [anon_sym_await] = ACTIONS(3154),
    [anon_sym_while] = ACTIONS(3154),
    [anon_sym_do] = ACTIONS(3154),
    [anon_sym_try] = ACTIONS(3154),
    [anon_sym_break] = ACTIONS(3154),
    [anon_sym_continue] = ACTIONS(3154),
    [anon_sym_debugger] = ACTIONS(3154),
    [anon_sym_return] = ACTIONS(3154),
    [anon_sym_throw] = ACTIONS(3154),
    [anon_sym_SEMI] = ACTIONS(3154),
    [anon_sym_yield] = ACTIONS(3154),
    [anon_sym_LBRACK] = ACTIONS(3154),
    [anon_sym_LTtemplate_GT] = ACTIONS(3154),
    [anon_sym_DQUOTE] = ACTIONS(3154),
    [anon_sym_SQUOTE] = ACTIONS(3154),
    [anon_sym_class] = ACTIONS(3154),
    [anon_sym_async] = ACTIONS(3154),
    [anon_sym_function] = ACTIONS(3154),
    [anon_sym_new] = ACTIONS(3154),
    [anon_sym_using] = ACTIONS(3154),
    [anon_sym_PLUS] = ACTIONS(3154),
    [anon_sym_DASH] = ACTIONS(3154),
    [anon_sym_SLASH] = ACTIONS(3154),
    [anon_sym_LT] = ACTIONS(3154),
    [anon_sym_TILDE] = ACTIONS(3154),
    [anon_sym_void] = ACTIONS(3154),
    [anon_sym_delete] = ACTIONS(3154),
    [anon_sym_PLUS_PLUS] = ACTIONS(3154),
    [anon_sym_DASH_DASH] = ACTIONS(3154),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3154),
    [sym_number] = ACTIONS(3154),
    [sym_private_property_identifier] = ACTIONS(3154),
    [sym_this] = ACTIONS(3154),
    [sym_super] = ACTIONS(3154),
    [sym_true] = ACTIONS(3154),
    [sym_false] = ACTIONS(3154),
    [sym_null] = ACTIONS(3154),
    [sym_undefined] = ACTIONS(3154),
    [anon_sym_AT] = ACTIONS(3154),
    [anon_sym_static] = ACTIONS(3154),
    [anon_sym_readonly] = ACTIONS(3154),
    [anon_sym_get] = ACTIONS(3154),
    [anon_sym_set] = ACTIONS(3154),
    [anon_sym_declare] = ACTIONS(3154),
    [anon_sym_public] = ACTIONS(3154),
    [anon_sym_private] = ACTIONS(3154),
    [anon_sym_protected] = ACTIONS(3154),
    [anon_sym_override] = ACTIONS(3154),
    [anon_sym_module] = ACTIONS(3154),
    [anon_sym_any] = ACTIONS(3154),
    [anon_sym_number] = ACTIONS(3154),
    [anon_sym_boolean] = ACTIONS(3154),
    [anon_sym_string] = ACTIONS(3154),
    [anon_sym_symbol] = ACTIONS(3154),
    [anon_sym_object] = ACTIONS(3154),
    [anon_sym_abstract] = ACTIONS(3154),
    [anon_sym_interface] = ACTIONS(3154),
    [anon_sym_enum] = ACTIONS(3154),
    [sym_html_comment] = ACTIONS(5),
  },
  [1657] = {
    [sym_comment] = STATE(1657),
    [ts_builtin_sym_end] = ACTIONS(3370),
    [sym_identifier] = ACTIONS(3154),
    [anon_sym_export] = ACTIONS(3154),
    [anon_sym_type] = ACTIONS(3154),
    [anon_sym_namespace] = ACTIONS(3154),
    [anon_sym_LBRACE] = ACTIONS(3154),
    [anon_sym_RBRACE] = ACTIONS(3154),
    [anon_sym_typeof] = ACTIONS(3154),
    [anon_sym_import] = ACTIONS(3154),
    [anon_sym_with] = ACTIONS(3154),
    [anon_sym_var] = ACTIONS(3154),
    [anon_sym_let] = ACTIONS(3154),
    [anon_sym_const] = ACTIONS(3154),
    [anon_sym_BANG] = ACTIONS(3154),
    [anon_sym_if] = ACTIONS(3154),
    [anon_sym_switch] = ACTIONS(3154),
    [anon_sym_for] = ACTIONS(3154),
    [anon_sym_LPAREN] = ACTIONS(3154),
    [anon_sym_await] = ACTIONS(3154),
    [anon_sym_while] = ACTIONS(3154),
    [anon_sym_do] = ACTIONS(3154),
    [anon_sym_try] = ACTIONS(3154),
    [anon_sym_break] = ACTIONS(3154),
    [anon_sym_continue] = ACTIONS(3154),
    [anon_sym_debugger] = ACTIONS(3154),
    [anon_sym_return] = ACTIONS(3154),
    [anon_sym_throw] = ACTIONS(3154),
    [anon_sym_SEMI] = ACTIONS(3154),
    [anon_sym_yield] = ACTIONS(3154),
    [anon_sym_LBRACK] = ACTIONS(3154),
    [anon_sym_LTtemplate_GT] = ACTIONS(3154),
    [anon_sym_DQUOTE] = ACTIONS(3154),
    [anon_sym_SQUOTE] = ACTIONS(3154),
    [anon_sym_class] = ACTIONS(3154),
    [anon_sym_async] = ACTIONS(3154),
    [anon_sym_function] = ACTIONS(3154),
    [anon_sym_new] = ACTIONS(3154),
    [anon_sym_using] = ACTIONS(3154),
    [anon_sym_PLUS] = ACTIONS(3154),
    [anon_sym_DASH] = ACTIONS(3154),
    [anon_sym_SLASH] = ACTIONS(3154),
    [anon_sym_LT] = ACTIONS(3154),
    [anon_sym_TILDE] = ACTIONS(3154),
    [anon_sym_void] = ACTIONS(3154),
    [anon_sym_delete] = ACTIONS(3154),
    [anon_sym_PLUS_PLUS] = ACTIONS(3154),
    [anon_sym_DASH_DASH] = ACTIONS(3154),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3154),
    [sym_number] = ACTIONS(3154),
    [sym_private_property_identifier] = ACTIONS(3154),
    [sym_this] = ACTIONS(3154),
    [sym_super] = ACTIONS(3154),
    [sym_true] = ACTIONS(3154),
    [sym_false] = ACTIONS(3154),
    [sym_null] = ACTIONS(3154),
    [sym_undefined] = ACTIONS(3154),
    [anon_sym_AT] = ACTIONS(3154),
    [anon_sym_static] = ACTIONS(3154),
    [anon_sym_readonly] = ACTIONS(3154),
    [anon_sym_get] = ACTIONS(3154),
    [anon_sym_set] = ACTIONS(3154),
    [anon_sym_declare] = ACTIONS(3154),
    [anon_sym_public] = ACTIONS(3154),
    [anon_sym_private] = ACTIONS(3154),
    [anon_sym_protected] = ACTIONS(3154),
    [anon_sym_override] = ACTIONS(3154),
    [anon_sym_module] = ACTIONS(3154),
    [anon_sym_any] = ACTIONS(3154),
    [anon_sym_number] = ACTIONS(3154),
    [anon_sym_boolean] = ACTIONS(3154),
    [anon_sym_string] = ACTIONS(3154),
    [anon_sym_symbol] = ACTIONS(3154),
    [anon_sym_object] = ACTIONS(3154),
    [anon_sym_abstract] = ACTIONS(3154),
    [anon_sym_interface] = ACTIONS(3154),
    [anon_sym_enum] = ACTIONS(3154),
    [sym_html_comment] = ACTIONS(5),
  },
  [1658] = {
    [sym_comment] = STATE(1658),
    [ts_builtin_sym_end] = ACTIONS(3438),
    [sym_identifier] = ACTIONS(3252),
    [anon_sym_export] = ACTIONS(3252),
    [anon_sym_type] = ACTIONS(3252),
    [anon_sym_namespace] = ACTIONS(3252),
    [anon_sym_LBRACE] = ACTIONS(3252),
    [anon_sym_RBRACE] = ACTIONS(3252),
    [anon_sym_typeof] = ACTIONS(3252),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_with] = ACTIONS(3252),
    [anon_sym_var] = ACTIONS(3252),
    [anon_sym_let] = ACTIONS(3252),
    [anon_sym_const] = ACTIONS(3252),
    [anon_sym_BANG] = ACTIONS(3252),
    [anon_sym_if] = ACTIONS(3252),
    [anon_sym_switch] = ACTIONS(3252),
    [anon_sym_for] = ACTIONS(3252),
    [anon_sym_LPAREN] = ACTIONS(3252),
    [anon_sym_await] = ACTIONS(3252),
    [anon_sym_while] = ACTIONS(3252),
    [anon_sym_do] = ACTIONS(3252),
    [anon_sym_try] = ACTIONS(3252),
    [anon_sym_break] = ACTIONS(3252),
    [anon_sym_continue] = ACTIONS(3252),
    [anon_sym_debugger] = ACTIONS(3252),
    [anon_sym_return] = ACTIONS(3252),
    [anon_sym_throw] = ACTIONS(3252),
    [anon_sym_SEMI] = ACTIONS(3252),
    [anon_sym_yield] = ACTIONS(3252),
    [anon_sym_LBRACK] = ACTIONS(3252),
    [anon_sym_LTtemplate_GT] = ACTIONS(3252),
    [anon_sym_DQUOTE] = ACTIONS(3252),
    [anon_sym_SQUOTE] = ACTIONS(3252),
    [anon_sym_class] = ACTIONS(3252),
    [anon_sym_async] = ACTIONS(3252),
    [anon_sym_function] = ACTIONS(3252),
    [anon_sym_new] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3252),
    [anon_sym_PLUS] = ACTIONS(3252),
    [anon_sym_DASH] = ACTIONS(3252),
    [anon_sym_SLASH] = ACTIONS(3252),
    [anon_sym_LT] = ACTIONS(3252),
    [anon_sym_TILDE] = ACTIONS(3252),
    [anon_sym_void] = ACTIONS(3252),
    [anon_sym_delete] = ACTIONS(3252),
    [anon_sym_PLUS_PLUS] = ACTIONS(3252),
    [anon_sym_DASH_DASH] = ACTIONS(3252),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3252),
    [sym_number] = ACTIONS(3252),
    [sym_private_property_identifier] = ACTIONS(3252),
    [sym_this] = ACTIONS(3252),
    [sym_super] = ACTIONS(3252),
    [sym_true] = ACTIONS(3252),
    [sym_false] = ACTIONS(3252),
    [sym_null] = ACTIONS(3252),
    [sym_undefined] = ACTIONS(3252),
    [anon_sym_AT] = ACTIONS(3252),
    [anon_sym_static] = ACTIONS(3252),
    [anon_sym_readonly] = ACTIONS(3252),
    [anon_sym_get] = ACTIONS(3252),
    [anon_sym_set] = ACTIONS(3252),
    [anon_sym_declare] = ACTIONS(3252),
    [anon_sym_public] = ACTIONS(3252),
    [anon_sym_private] = ACTIONS(3252),
    [anon_sym_protected] = ACTIONS(3252),
    [anon_sym_override] = ACTIONS(3252),
    [anon_sym_module] = ACTIONS(3252),
    [anon_sym_any] = ACTIONS(3252),
    [anon_sym_number] = ACTIONS(3252),
    [anon_sym_boolean] = ACTIONS(3252),
    [anon_sym_string] = ACTIONS(3252),
    [anon_sym_symbol] = ACTIONS(3252),
    [anon_sym_object] = ACTIONS(3252),
    [anon_sym_abstract] = ACTIONS(3252),
    [anon_sym_interface] = ACTIONS(3252),
    [anon_sym_enum] = ACTIONS(3252),
    [sym_html_comment] = ACTIONS(5),
  },
  [1659] = {
    [sym_comment] = STATE(1659),
    [ts_builtin_sym_end] = ACTIONS(3530),
    [sym_identifier] = ACTIONS(3200),
    [anon_sym_export] = ACTIONS(3200),
    [anon_sym_type] = ACTIONS(3200),
    [anon_sym_namespace] = ACTIONS(3200),
    [anon_sym_LBRACE] = ACTIONS(3200),
    [anon_sym_RBRACE] = ACTIONS(3200),
    [anon_sym_typeof] = ACTIONS(3200),
    [anon_sym_import] = ACTIONS(3200),
    [anon_sym_with] = ACTIONS(3200),
    [anon_sym_var] = ACTIONS(3200),
    [anon_sym_let] = ACTIONS(3200),
    [anon_sym_const] = ACTIONS(3200),
    [anon_sym_BANG] = ACTIONS(3200),
    [anon_sym_if] = ACTIONS(3200),
    [anon_sym_switch] = ACTIONS(3200),
    [anon_sym_for] = ACTIONS(3200),
    [anon_sym_LPAREN] = ACTIONS(3200),
    [anon_sym_await] = ACTIONS(3200),
    [anon_sym_while] = ACTIONS(3200),
    [anon_sym_do] = ACTIONS(3200),
    [anon_sym_try] = ACTIONS(3200),
    [anon_sym_break] = ACTIONS(3200),
    [anon_sym_continue] = ACTIONS(3200),
    [anon_sym_debugger] = ACTIONS(3200),
    [anon_sym_return] = ACTIONS(3200),
    [anon_sym_throw] = ACTIONS(3200),
    [anon_sym_SEMI] = ACTIONS(3200),
    [anon_sym_yield] = ACTIONS(3200),
    [anon_sym_LBRACK] = ACTIONS(3200),
    [anon_sym_LTtemplate_GT] = ACTIONS(3200),
    [anon_sym_DQUOTE] = ACTIONS(3200),
    [anon_sym_SQUOTE] = ACTIONS(3200),
    [anon_sym_class] = ACTIONS(3200),
    [anon_sym_async] = ACTIONS(3200),
    [anon_sym_function] = ACTIONS(3200),
    [anon_sym_new] = ACTIONS(3200),
    [anon_sym_using] = ACTIONS(3200),
    [anon_sym_PLUS] = ACTIONS(3200),
    [anon_sym_DASH] = ACTIONS(3200),
    [anon_sym_SLASH] = ACTIONS(3200),
    [anon_sym_LT] = ACTIONS(3200),
    [anon_sym_TILDE] = ACTIONS(3200),
    [anon_sym_void] = ACTIONS(3200),
    [anon_sym_delete] = ACTIONS(3200),
    [anon_sym_PLUS_PLUS] = ACTIONS(3200),
    [anon_sym_DASH_DASH] = ACTIONS(3200),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3200),
    [sym_number] = ACTIONS(3200),
    [sym_private_property_identifier] = ACTIONS(3200),
    [sym_this] = ACTIONS(3200),
    [sym_super] = ACTIONS(3200),
    [sym_true] = ACTIONS(3200),
    [sym_false] = ACTIONS(3200),
    [sym_null] = ACTIONS(3200),
    [sym_undefined] = ACTIONS(3200),
    [anon_sym_AT] = ACTIONS(3200),
    [anon_sym_static] = ACTIONS(3200),
    [anon_sym_readonly] = ACTIONS(3200),
    [anon_sym_get] = ACTIONS(3200),
    [anon_sym_set] = ACTIONS(3200),
    [anon_sym_declare] = ACTIONS(3200),
    [anon_sym_public] = ACTIONS(3200),
    [anon_sym_private] = ACTIONS(3200),
    [anon_sym_protected] = ACTIONS(3200),
    [anon_sym_override] = ACTIONS(3200),
    [anon_sym_module] = ACTIONS(3200),
    [anon_sym_any] = ACTIONS(3200),
    [anon_sym_number] = ACTIONS(3200),
    [anon_sym_boolean] = ACTIONS(3200),
    [anon_sym_string] = ACTIONS(3200),
    [anon_sym_symbol] = ACTIONS(3200),
    [anon_sym_object] = ACTIONS(3200),
    [anon_sym_abstract] = ACTIONS(3200),
    [anon_sym_interface] = ACTIONS(3200),
    [anon_sym_enum] = ACTIONS(3200),
    [sym_html_comment] = ACTIONS(5),
  },
  [1660] = {
    [sym_comment] = STATE(1660),
    [ts_builtin_sym_end] = ACTIONS(3370),
    [sym_identifier] = ACTIONS(3154),
    [anon_sym_export] = ACTIONS(3154),
    [anon_sym_type] = ACTIONS(3154),
    [anon_sym_namespace] = ACTIONS(3154),
    [anon_sym_LBRACE] = ACTIONS(3154),
    [anon_sym_RBRACE] = ACTIONS(3154),
    [anon_sym_typeof] = ACTIONS(3154),
    [anon_sym_import] = ACTIONS(3154),
    [anon_sym_with] = ACTIONS(3154),
    [anon_sym_var] = ACTIONS(3154),
    [anon_sym_let] = ACTIONS(3154),
    [anon_sym_const] = ACTIONS(3154),
    [anon_sym_BANG] = ACTIONS(3154),
    [anon_sym_if] = ACTIONS(3154),
    [anon_sym_switch] = ACTIONS(3154),
    [anon_sym_for] = ACTIONS(3154),
    [anon_sym_LPAREN] = ACTIONS(3154),
    [anon_sym_await] = ACTIONS(3154),
    [anon_sym_while] = ACTIONS(3154),
    [anon_sym_do] = ACTIONS(3154),
    [anon_sym_try] = ACTIONS(3154),
    [anon_sym_break] = ACTIONS(3154),
    [anon_sym_continue] = ACTIONS(3154),
    [anon_sym_debugger] = ACTIONS(3154),
    [anon_sym_return] = ACTIONS(3154),
    [anon_sym_throw] = ACTIONS(3154),
    [anon_sym_SEMI] = ACTIONS(3154),
    [anon_sym_yield] = ACTIONS(3154),
    [anon_sym_LBRACK] = ACTIONS(3154),
    [anon_sym_LTtemplate_GT] = ACTIONS(3154),
    [anon_sym_DQUOTE] = ACTIONS(3154),
    [anon_sym_SQUOTE] = ACTIONS(3154),
    [anon_sym_class] = ACTIONS(3154),
    [anon_sym_async] = ACTIONS(3154),
    [anon_sym_function] = ACTIONS(3154),
    [anon_sym_new] = ACTIONS(3154),
    [anon_sym_using] = ACTIONS(3154),
    [anon_sym_PLUS] = ACTIONS(3154),
    [anon_sym_DASH] = ACTIONS(3154),
    [anon_sym_SLASH] = ACTIONS(3154),
    [anon_sym_LT] = ACTIONS(3154),
    [anon_sym_TILDE] = ACTIONS(3154),
    [anon_sym_void] = ACTIONS(3154),
    [anon_sym_delete] = ACTIONS(3154),
    [anon_sym_PLUS_PLUS] = ACTIONS(3154),
    [anon_sym_DASH_DASH] = ACTIONS(3154),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3154),
    [sym_number] = ACTIONS(3154),
    [sym_private_property_identifier] = ACTIONS(3154),
    [sym_this] = ACTIONS(3154),
    [sym_super] = ACTIONS(3154),
    [sym_true] = ACTIONS(3154),
    [sym_false] = ACTIONS(3154),
    [sym_null] = ACTIONS(3154),
    [sym_undefined] = ACTIONS(3154),
    [anon_sym_AT] = ACTIONS(3154),
    [anon_sym_static] = ACTIONS(3154),
    [anon_sym_readonly] = ACTIONS(3154),
    [anon_sym_get] = ACTIONS(3154),
    [anon_sym_set] = ACTIONS(3154),
    [anon_sym_declare] = ACTIONS(3154),
    [anon_sym_public] = ACTIONS(3154),
    [anon_sym_private] = ACTIONS(3154),
    [anon_sym_protected] = ACTIONS(3154),
    [anon_sym_override] = ACTIONS(3154),
    [anon_sym_module] = ACTIONS(3154),
    [anon_sym_any] = ACTIONS(3154),
    [anon_sym_number] = ACTIONS(3154),
    [anon_sym_boolean] = ACTIONS(3154),
    [anon_sym_string] = ACTIONS(3154),
    [anon_sym_symbol] = ACTIONS(3154),
    [anon_sym_object] = ACTIONS(3154),
    [anon_sym_abstract] = ACTIONS(3154),
    [anon_sym_interface] = ACTIONS(3154),
    [anon_sym_enum] = ACTIONS(3154),
    [sym_html_comment] = ACTIONS(5),
  },
  [1661] = {
    [sym_comment] = STATE(1661),
    [ts_builtin_sym_end] = ACTIONS(3370),
    [sym_identifier] = ACTIONS(3154),
    [anon_sym_export] = ACTIONS(3154),
    [anon_sym_type] = ACTIONS(3154),
    [anon_sym_namespace] = ACTIONS(3154),
    [anon_sym_LBRACE] = ACTIONS(3154),
    [anon_sym_RBRACE] = ACTIONS(3154),
    [anon_sym_typeof] = ACTIONS(3154),
    [anon_sym_import] = ACTIONS(3154),
    [anon_sym_with] = ACTIONS(3154),
    [anon_sym_var] = ACTIONS(3154),
    [anon_sym_let] = ACTIONS(3154),
    [anon_sym_const] = ACTIONS(3154),
    [anon_sym_BANG] = ACTIONS(3154),
    [anon_sym_if] = ACTIONS(3154),
    [anon_sym_switch] = ACTIONS(3154),
    [anon_sym_for] = ACTIONS(3154),
    [anon_sym_LPAREN] = ACTIONS(3154),
    [anon_sym_await] = ACTIONS(3154),
    [anon_sym_while] = ACTIONS(3154),
    [anon_sym_do] = ACTIONS(3154),
    [anon_sym_try] = ACTIONS(3154),
    [anon_sym_break] = ACTIONS(3154),
    [anon_sym_continue] = ACTIONS(3154),
    [anon_sym_debugger] = ACTIONS(3154),
    [anon_sym_return] = ACTIONS(3154),
    [anon_sym_throw] = ACTIONS(3154),
    [anon_sym_SEMI] = ACTIONS(3154),
    [anon_sym_yield] = ACTIONS(3154),
    [anon_sym_LBRACK] = ACTIONS(3154),
    [anon_sym_LTtemplate_GT] = ACTIONS(3154),
    [anon_sym_DQUOTE] = ACTIONS(3154),
    [anon_sym_SQUOTE] = ACTIONS(3154),
    [anon_sym_class] = ACTIONS(3154),
    [anon_sym_async] = ACTIONS(3154),
    [anon_sym_function] = ACTIONS(3154),
    [anon_sym_new] = ACTIONS(3154),
    [anon_sym_using] = ACTIONS(3154),
    [anon_sym_PLUS] = ACTIONS(3154),
    [anon_sym_DASH] = ACTIONS(3154),
    [anon_sym_SLASH] = ACTIONS(3154),
    [anon_sym_LT] = ACTIONS(3154),
    [anon_sym_TILDE] = ACTIONS(3154),
    [anon_sym_void] = ACTIONS(3154),
    [anon_sym_delete] = ACTIONS(3154),
    [anon_sym_PLUS_PLUS] = ACTIONS(3154),
    [anon_sym_DASH_DASH] = ACTIONS(3154),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3154),
    [sym_number] = ACTIONS(3154),
    [sym_private_property_identifier] = ACTIONS(3154),
    [sym_this] = ACTIONS(3154),
    [sym_super] = ACTIONS(3154),
    [sym_true] = ACTIONS(3154),
    [sym_false] = ACTIONS(3154),
    [sym_null] = ACTIONS(3154),
    [sym_undefined] = ACTIONS(3154),
    [anon_sym_AT] = ACTIONS(3154),
    [anon_sym_static] = ACTIONS(3154),
    [anon_sym_readonly] = ACTIONS(3154),
    [anon_sym_get] = ACTIONS(3154),
    [anon_sym_set] = ACTIONS(3154),
    [anon_sym_declare] = ACTIONS(3154),
    [anon_sym_public] = ACTIONS(3154),
    [anon_sym_private] = ACTIONS(3154),
    [anon_sym_protected] = ACTIONS(3154),
    [anon_sym_override] = ACTIONS(3154),
    [anon_sym_module] = ACTIONS(3154),
    [anon_sym_any] = ACTIONS(3154),
    [anon_sym_number] = ACTIONS(3154),
    [anon_sym_boolean] = ACTIONS(3154),
    [anon_sym_string] = ACTIONS(3154),
    [anon_sym_symbol] = ACTIONS(3154),
    [anon_sym_object] = ACTIONS(3154),
    [anon_sym_abstract] = ACTIONS(3154),
    [anon_sym_interface] = ACTIONS(3154),
    [anon_sym_enum] = ACTIONS(3154),
    [sym_html_comment] = ACTIONS(5),
  },
  [1662] = {
    [sym_comment] = STATE(1662),
    [ts_builtin_sym_end] = ACTIONS(3370),
    [sym_identifier] = ACTIONS(3154),
    [anon_sym_export] = ACTIONS(3154),
    [anon_sym_type] = ACTIONS(3154),
    [anon_sym_namespace] = ACTIONS(3154),
    [anon_sym_LBRACE] = ACTIONS(3154),
    [anon_sym_RBRACE] = ACTIONS(3154),
    [anon_sym_typeof] = ACTIONS(3154),
    [anon_sym_import] = ACTIONS(3154),
    [anon_sym_with] = ACTIONS(3154),
    [anon_sym_var] = ACTIONS(3154),
    [anon_sym_let] = ACTIONS(3154),
    [anon_sym_const] = ACTIONS(3154),
    [anon_sym_BANG] = ACTIONS(3154),
    [anon_sym_if] = ACTIONS(3154),
    [anon_sym_switch] = ACTIONS(3154),
    [anon_sym_for] = ACTIONS(3154),
    [anon_sym_LPAREN] = ACTIONS(3154),
    [anon_sym_await] = ACTIONS(3154),
    [anon_sym_while] = ACTIONS(3154),
    [anon_sym_do] = ACTIONS(3154),
    [anon_sym_try] = ACTIONS(3154),
    [anon_sym_break] = ACTIONS(3154),
    [anon_sym_continue] = ACTIONS(3154),
    [anon_sym_debugger] = ACTIONS(3154),
    [anon_sym_return] = ACTIONS(3154),
    [anon_sym_throw] = ACTIONS(3154),
    [anon_sym_SEMI] = ACTIONS(3154),
    [anon_sym_yield] = ACTIONS(3154),
    [anon_sym_LBRACK] = ACTIONS(3154),
    [anon_sym_LTtemplate_GT] = ACTIONS(3154),
    [anon_sym_DQUOTE] = ACTIONS(3154),
    [anon_sym_SQUOTE] = ACTIONS(3154),
    [anon_sym_class] = ACTIONS(3154),
    [anon_sym_async] = ACTIONS(3154),
    [anon_sym_function] = ACTIONS(3154),
    [anon_sym_new] = ACTIONS(3154),
    [anon_sym_using] = ACTIONS(3154),
    [anon_sym_PLUS] = ACTIONS(3154),
    [anon_sym_DASH] = ACTIONS(3154),
    [anon_sym_SLASH] = ACTIONS(3154),
    [anon_sym_LT] = ACTIONS(3154),
    [anon_sym_TILDE] = ACTIONS(3154),
    [anon_sym_void] = ACTIONS(3154),
    [anon_sym_delete] = ACTIONS(3154),
    [anon_sym_PLUS_PLUS] = ACTIONS(3154),
    [anon_sym_DASH_DASH] = ACTIONS(3154),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3154),
    [sym_number] = ACTIONS(3154),
    [sym_private_property_identifier] = ACTIONS(3154),
    [sym_this] = ACTIONS(3154),
    [sym_super] = ACTIONS(3154),
    [sym_true] = ACTIONS(3154),
    [sym_false] = ACTIONS(3154),
    [sym_null] = ACTIONS(3154),
    [sym_undefined] = ACTIONS(3154),
    [anon_sym_AT] = ACTIONS(3154),
    [anon_sym_static] = ACTIONS(3154),
    [anon_sym_readonly] = ACTIONS(3154),
    [anon_sym_get] = ACTIONS(3154),
    [anon_sym_set] = ACTIONS(3154),
    [anon_sym_declare] = ACTIONS(3154),
    [anon_sym_public] = ACTIONS(3154),
    [anon_sym_private] = ACTIONS(3154),
    [anon_sym_protected] = ACTIONS(3154),
    [anon_sym_override] = ACTIONS(3154),
    [anon_sym_module] = ACTIONS(3154),
    [anon_sym_any] = ACTIONS(3154),
    [anon_sym_number] = ACTIONS(3154),
    [anon_sym_boolean] = ACTIONS(3154),
    [anon_sym_string] = ACTIONS(3154),
    [anon_sym_symbol] = ACTIONS(3154),
    [anon_sym_object] = ACTIONS(3154),
    [anon_sym_abstract] = ACTIONS(3154),
    [anon_sym_interface] = ACTIONS(3154),
    [anon_sym_enum] = ACTIONS(3154),
    [sym_html_comment] = ACTIONS(5),
  },
  [1663] = {
    [sym_comment] = STATE(1663),
    [ts_builtin_sym_end] = ACTIONS(3528),
    [sym_identifier] = ACTIONS(3202),
    [anon_sym_export] = ACTIONS(3202),
    [anon_sym_type] = ACTIONS(3202),
    [anon_sym_namespace] = ACTIONS(3202),
    [anon_sym_LBRACE] = ACTIONS(3202),
    [anon_sym_RBRACE] = ACTIONS(3202),
    [anon_sym_typeof] = ACTIONS(3202),
    [anon_sym_import] = ACTIONS(3202),
    [anon_sym_with] = ACTIONS(3202),
    [anon_sym_var] = ACTIONS(3202),
    [anon_sym_let] = ACTIONS(3202),
    [anon_sym_const] = ACTIONS(3202),
    [anon_sym_BANG] = ACTIONS(3202),
    [anon_sym_if] = ACTIONS(3202),
    [anon_sym_switch] = ACTIONS(3202),
    [anon_sym_for] = ACTIONS(3202),
    [anon_sym_LPAREN] = ACTIONS(3202),
    [anon_sym_await] = ACTIONS(3202),
    [anon_sym_while] = ACTIONS(3202),
    [anon_sym_do] = ACTIONS(3202),
    [anon_sym_try] = ACTIONS(3202),
    [anon_sym_break] = ACTIONS(3202),
    [anon_sym_continue] = ACTIONS(3202),
    [anon_sym_debugger] = ACTIONS(3202),
    [anon_sym_return] = ACTIONS(3202),
    [anon_sym_throw] = ACTIONS(3202),
    [anon_sym_SEMI] = ACTIONS(3202),
    [anon_sym_yield] = ACTIONS(3202),
    [anon_sym_LBRACK] = ACTIONS(3202),
    [anon_sym_LTtemplate_GT] = ACTIONS(3202),
    [anon_sym_DQUOTE] = ACTIONS(3202),
    [anon_sym_SQUOTE] = ACTIONS(3202),
    [anon_sym_class] = ACTIONS(3202),
    [anon_sym_async] = ACTIONS(3202),
    [anon_sym_function] = ACTIONS(3202),
    [anon_sym_new] = ACTIONS(3202),
    [anon_sym_using] = ACTIONS(3202),
    [anon_sym_PLUS] = ACTIONS(3202),
    [anon_sym_DASH] = ACTIONS(3202),
    [anon_sym_SLASH] = ACTIONS(3202),
    [anon_sym_LT] = ACTIONS(3202),
    [anon_sym_TILDE] = ACTIONS(3202),
    [anon_sym_void] = ACTIONS(3202),
    [anon_sym_delete] = ACTIONS(3202),
    [anon_sym_PLUS_PLUS] = ACTIONS(3202),
    [anon_sym_DASH_DASH] = ACTIONS(3202),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3202),
    [sym_number] = ACTIONS(3202),
    [sym_private_property_identifier] = ACTIONS(3202),
    [sym_this] = ACTIONS(3202),
    [sym_super] = ACTIONS(3202),
    [sym_true] = ACTIONS(3202),
    [sym_false] = ACTIONS(3202),
    [sym_null] = ACTIONS(3202),
    [sym_undefined] = ACTIONS(3202),
    [anon_sym_AT] = ACTIONS(3202),
    [anon_sym_static] = ACTIONS(3202),
    [anon_sym_readonly] = ACTIONS(3202),
    [anon_sym_get] = ACTIONS(3202),
    [anon_sym_set] = ACTIONS(3202),
    [anon_sym_declare] = ACTIONS(3202),
    [anon_sym_public] = ACTIONS(3202),
    [anon_sym_private] = ACTIONS(3202),
    [anon_sym_protected] = ACTIONS(3202),
    [anon_sym_override] = ACTIONS(3202),
    [anon_sym_module] = ACTIONS(3202),
    [anon_sym_any] = ACTIONS(3202),
    [anon_sym_number] = ACTIONS(3202),
    [anon_sym_boolean] = ACTIONS(3202),
    [anon_sym_string] = ACTIONS(3202),
    [anon_sym_symbol] = ACTIONS(3202),
    [anon_sym_object] = ACTIONS(3202),
    [anon_sym_abstract] = ACTIONS(3202),
    [anon_sym_interface] = ACTIONS(3202),
    [anon_sym_enum] = ACTIONS(3202),
    [sym_html_comment] = ACTIONS(5),
  },
  [1664] = {
    [sym_comment] = STATE(1664),
    [ts_builtin_sym_end] = ACTIONS(3370),
    [sym_identifier] = ACTIONS(3154),
    [anon_sym_export] = ACTIONS(3154),
    [anon_sym_type] = ACTIONS(3154),
    [anon_sym_namespace] = ACTIONS(3154),
    [anon_sym_LBRACE] = ACTIONS(3154),
    [anon_sym_RBRACE] = ACTIONS(3154),
    [anon_sym_typeof] = ACTIONS(3154),
    [anon_sym_import] = ACTIONS(3154),
    [anon_sym_with] = ACTIONS(3154),
    [anon_sym_var] = ACTIONS(3154),
    [anon_sym_let] = ACTIONS(3154),
    [anon_sym_const] = ACTIONS(3154),
    [anon_sym_BANG] = ACTIONS(3154),
    [anon_sym_if] = ACTIONS(3154),
    [anon_sym_switch] = ACTIONS(3154),
    [anon_sym_for] = ACTIONS(3154),
    [anon_sym_LPAREN] = ACTIONS(3154),
    [anon_sym_await] = ACTIONS(3154),
    [anon_sym_while] = ACTIONS(3154),
    [anon_sym_do] = ACTIONS(3154),
    [anon_sym_try] = ACTIONS(3154),
    [anon_sym_break] = ACTIONS(3154),
    [anon_sym_continue] = ACTIONS(3154),
    [anon_sym_debugger] = ACTIONS(3154),
    [anon_sym_return] = ACTIONS(3154),
    [anon_sym_throw] = ACTIONS(3154),
    [anon_sym_SEMI] = ACTIONS(3154),
    [anon_sym_yield] = ACTIONS(3154),
    [anon_sym_LBRACK] = ACTIONS(3154),
    [anon_sym_LTtemplate_GT] = ACTIONS(3154),
    [anon_sym_DQUOTE] = ACTIONS(3154),
    [anon_sym_SQUOTE] = ACTIONS(3154),
    [anon_sym_class] = ACTIONS(3154),
    [anon_sym_async] = ACTIONS(3154),
    [anon_sym_function] = ACTIONS(3154),
    [anon_sym_new] = ACTIONS(3154),
    [anon_sym_using] = ACTIONS(3154),
    [anon_sym_PLUS] = ACTIONS(3154),
    [anon_sym_DASH] = ACTIONS(3154),
    [anon_sym_SLASH] = ACTIONS(3154),
    [anon_sym_LT] = ACTIONS(3154),
    [anon_sym_TILDE] = ACTIONS(3154),
    [anon_sym_void] = ACTIONS(3154),
    [anon_sym_delete] = ACTIONS(3154),
    [anon_sym_PLUS_PLUS] = ACTIONS(3154),
    [anon_sym_DASH_DASH] = ACTIONS(3154),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3154),
    [sym_number] = ACTIONS(3154),
    [sym_private_property_identifier] = ACTIONS(3154),
    [sym_this] = ACTIONS(3154),
    [sym_super] = ACTIONS(3154),
    [sym_true] = ACTIONS(3154),
    [sym_false] = ACTIONS(3154),
    [sym_null] = ACTIONS(3154),
    [sym_undefined] = ACTIONS(3154),
    [anon_sym_AT] = ACTIONS(3154),
    [anon_sym_static] = ACTIONS(3154),
    [anon_sym_readonly] = ACTIONS(3154),
    [anon_sym_get] = ACTIONS(3154),
    [anon_sym_set] = ACTIONS(3154),
    [anon_sym_declare] = ACTIONS(3154),
    [anon_sym_public] = ACTIONS(3154),
    [anon_sym_private] = ACTIONS(3154),
    [anon_sym_protected] = ACTIONS(3154),
    [anon_sym_override] = ACTIONS(3154),
    [anon_sym_module] = ACTIONS(3154),
    [anon_sym_any] = ACTIONS(3154),
    [anon_sym_number] = ACTIONS(3154),
    [anon_sym_boolean] = ACTIONS(3154),
    [anon_sym_string] = ACTIONS(3154),
    [anon_sym_symbol] = ACTIONS(3154),
    [anon_sym_object] = ACTIONS(3154),
    [anon_sym_abstract] = ACTIONS(3154),
    [anon_sym_interface] = ACTIONS(3154),
    [anon_sym_enum] = ACTIONS(3154),
    [sym_html_comment] = ACTIONS(5),
  },
  [1665] = {
    [sym_comment] = STATE(1665),
    [ts_builtin_sym_end] = ACTIONS(3526),
    [sym_identifier] = ACTIONS(3204),
    [anon_sym_export] = ACTIONS(3204),
    [anon_sym_type] = ACTIONS(3204),
    [anon_sym_namespace] = ACTIONS(3204),
    [anon_sym_LBRACE] = ACTIONS(3204),
    [anon_sym_RBRACE] = ACTIONS(3204),
    [anon_sym_typeof] = ACTIONS(3204),
    [anon_sym_import] = ACTIONS(3204),
    [anon_sym_with] = ACTIONS(3204),
    [anon_sym_var] = ACTIONS(3204),
    [anon_sym_let] = ACTIONS(3204),
    [anon_sym_const] = ACTIONS(3204),
    [anon_sym_BANG] = ACTIONS(3204),
    [anon_sym_if] = ACTIONS(3204),
    [anon_sym_switch] = ACTIONS(3204),
    [anon_sym_for] = ACTIONS(3204),
    [anon_sym_LPAREN] = ACTIONS(3204),
    [anon_sym_await] = ACTIONS(3204),
    [anon_sym_while] = ACTIONS(3204),
    [anon_sym_do] = ACTIONS(3204),
    [anon_sym_try] = ACTIONS(3204),
    [anon_sym_break] = ACTIONS(3204),
    [anon_sym_continue] = ACTIONS(3204),
    [anon_sym_debugger] = ACTIONS(3204),
    [anon_sym_return] = ACTIONS(3204),
    [anon_sym_throw] = ACTIONS(3204),
    [anon_sym_SEMI] = ACTIONS(3204),
    [anon_sym_yield] = ACTIONS(3204),
    [anon_sym_LBRACK] = ACTIONS(3204),
    [anon_sym_LTtemplate_GT] = ACTIONS(3204),
    [anon_sym_DQUOTE] = ACTIONS(3204),
    [anon_sym_SQUOTE] = ACTIONS(3204),
    [anon_sym_class] = ACTIONS(3204),
    [anon_sym_async] = ACTIONS(3204),
    [anon_sym_function] = ACTIONS(3204),
    [anon_sym_new] = ACTIONS(3204),
    [anon_sym_using] = ACTIONS(3204),
    [anon_sym_PLUS] = ACTIONS(3204),
    [anon_sym_DASH] = ACTIONS(3204),
    [anon_sym_SLASH] = ACTIONS(3204),
    [anon_sym_LT] = ACTIONS(3204),
    [anon_sym_TILDE] = ACTIONS(3204),
    [anon_sym_void] = ACTIONS(3204),
    [anon_sym_delete] = ACTIONS(3204),
    [anon_sym_PLUS_PLUS] = ACTIONS(3204),
    [anon_sym_DASH_DASH] = ACTIONS(3204),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3204),
    [sym_number] = ACTIONS(3204),
    [sym_private_property_identifier] = ACTIONS(3204),
    [sym_this] = ACTIONS(3204),
    [sym_super] = ACTIONS(3204),
    [sym_true] = ACTIONS(3204),
    [sym_false] = ACTIONS(3204),
    [sym_null] = ACTIONS(3204),
    [sym_undefined] = ACTIONS(3204),
    [anon_sym_AT] = ACTIONS(3204),
    [anon_sym_static] = ACTIONS(3204),
    [anon_sym_readonly] = ACTIONS(3204),
    [anon_sym_get] = ACTIONS(3204),
    [anon_sym_set] = ACTIONS(3204),
    [anon_sym_declare] = ACTIONS(3204),
    [anon_sym_public] = ACTIONS(3204),
    [anon_sym_private] = ACTIONS(3204),
    [anon_sym_protected] = ACTIONS(3204),
    [anon_sym_override] = ACTIONS(3204),
    [anon_sym_module] = ACTIONS(3204),
    [anon_sym_any] = ACTIONS(3204),
    [anon_sym_number] = ACTIONS(3204),
    [anon_sym_boolean] = ACTIONS(3204),
    [anon_sym_string] = ACTIONS(3204),
    [anon_sym_symbol] = ACTIONS(3204),
    [anon_sym_object] = ACTIONS(3204),
    [anon_sym_abstract] = ACTIONS(3204),
    [anon_sym_interface] = ACTIONS(3204),
    [anon_sym_enum] = ACTIONS(3204),
    [sym_html_comment] = ACTIONS(5),
  },
  [1666] = {
    [sym_comment] = STATE(1666),
    [ts_builtin_sym_end] = ACTIONS(3524),
    [sym_identifier] = ACTIONS(3206),
    [anon_sym_export] = ACTIONS(3206),
    [anon_sym_type] = ACTIONS(3206),
    [anon_sym_namespace] = ACTIONS(3206),
    [anon_sym_LBRACE] = ACTIONS(3206),
    [anon_sym_RBRACE] = ACTIONS(3206),
    [anon_sym_typeof] = ACTIONS(3206),
    [anon_sym_import] = ACTIONS(3206),
    [anon_sym_with] = ACTIONS(3206),
    [anon_sym_var] = ACTIONS(3206),
    [anon_sym_let] = ACTIONS(3206),
    [anon_sym_const] = ACTIONS(3206),
    [anon_sym_BANG] = ACTIONS(3206),
    [anon_sym_if] = ACTIONS(3206),
    [anon_sym_switch] = ACTIONS(3206),
    [anon_sym_for] = ACTIONS(3206),
    [anon_sym_LPAREN] = ACTIONS(3206),
    [anon_sym_await] = ACTIONS(3206),
    [anon_sym_while] = ACTIONS(3206),
    [anon_sym_do] = ACTIONS(3206),
    [anon_sym_try] = ACTIONS(3206),
    [anon_sym_break] = ACTIONS(3206),
    [anon_sym_continue] = ACTIONS(3206),
    [anon_sym_debugger] = ACTIONS(3206),
    [anon_sym_return] = ACTIONS(3206),
    [anon_sym_throw] = ACTIONS(3206),
    [anon_sym_SEMI] = ACTIONS(3206),
    [anon_sym_yield] = ACTIONS(3206),
    [anon_sym_LBRACK] = ACTIONS(3206),
    [anon_sym_LTtemplate_GT] = ACTIONS(3206),
    [anon_sym_DQUOTE] = ACTIONS(3206),
    [anon_sym_SQUOTE] = ACTIONS(3206),
    [anon_sym_class] = ACTIONS(3206),
    [anon_sym_async] = ACTIONS(3206),
    [anon_sym_function] = ACTIONS(3206),
    [anon_sym_new] = ACTIONS(3206),
    [anon_sym_using] = ACTIONS(3206),
    [anon_sym_PLUS] = ACTIONS(3206),
    [anon_sym_DASH] = ACTIONS(3206),
    [anon_sym_SLASH] = ACTIONS(3206),
    [anon_sym_LT] = ACTIONS(3206),
    [anon_sym_TILDE] = ACTIONS(3206),
    [anon_sym_void] = ACTIONS(3206),
    [anon_sym_delete] = ACTIONS(3206),
    [anon_sym_PLUS_PLUS] = ACTIONS(3206),
    [anon_sym_DASH_DASH] = ACTIONS(3206),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3206),
    [sym_number] = ACTIONS(3206),
    [sym_private_property_identifier] = ACTIONS(3206),
    [sym_this] = ACTIONS(3206),
    [sym_super] = ACTIONS(3206),
    [sym_true] = ACTIONS(3206),
    [sym_false] = ACTIONS(3206),
    [sym_null] = ACTIONS(3206),
    [sym_undefined] = ACTIONS(3206),
    [anon_sym_AT] = ACTIONS(3206),
    [anon_sym_static] = ACTIONS(3206),
    [anon_sym_readonly] = ACTIONS(3206),
    [anon_sym_get] = ACTIONS(3206),
    [anon_sym_set] = ACTIONS(3206),
    [anon_sym_declare] = ACTIONS(3206),
    [anon_sym_public] = ACTIONS(3206),
    [anon_sym_private] = ACTIONS(3206),
    [anon_sym_protected] = ACTIONS(3206),
    [anon_sym_override] = ACTIONS(3206),
    [anon_sym_module] = ACTIONS(3206),
    [anon_sym_any] = ACTIONS(3206),
    [anon_sym_number] = ACTIONS(3206),
    [anon_sym_boolean] = ACTIONS(3206),
    [anon_sym_string] = ACTIONS(3206),
    [anon_sym_symbol] = ACTIONS(3206),
    [anon_sym_object] = ACTIONS(3206),
    [anon_sym_abstract] = ACTIONS(3206),
    [anon_sym_interface] = ACTIONS(3206),
    [anon_sym_enum] = ACTIONS(3206),
    [sym_html_comment] = ACTIONS(5),
  },
  [1667] = {
    [sym_comment] = STATE(1667),
    [ts_builtin_sym_end] = ACTIONS(3370),
    [sym_identifier] = ACTIONS(3154),
    [anon_sym_export] = ACTIONS(3154),
    [anon_sym_type] = ACTIONS(3154),
    [anon_sym_namespace] = ACTIONS(3154),
    [anon_sym_LBRACE] = ACTIONS(3154),
    [anon_sym_RBRACE] = ACTIONS(3154),
    [anon_sym_typeof] = ACTIONS(3154),
    [anon_sym_import] = ACTIONS(3154),
    [anon_sym_with] = ACTIONS(3154),
    [anon_sym_var] = ACTIONS(3154),
    [anon_sym_let] = ACTIONS(3154),
    [anon_sym_const] = ACTIONS(3154),
    [anon_sym_BANG] = ACTIONS(3154),
    [anon_sym_if] = ACTIONS(3154),
    [anon_sym_switch] = ACTIONS(3154),
    [anon_sym_for] = ACTIONS(3154),
    [anon_sym_LPAREN] = ACTIONS(3154),
    [anon_sym_await] = ACTIONS(3154),
    [anon_sym_while] = ACTIONS(3154),
    [anon_sym_do] = ACTIONS(3154),
    [anon_sym_try] = ACTIONS(3154),
    [anon_sym_break] = ACTIONS(3154),
    [anon_sym_continue] = ACTIONS(3154),
    [anon_sym_debugger] = ACTIONS(3154),
    [anon_sym_return] = ACTIONS(3154),
    [anon_sym_throw] = ACTIONS(3154),
    [anon_sym_SEMI] = ACTIONS(3154),
    [anon_sym_yield] = ACTIONS(3154),
    [anon_sym_LBRACK] = ACTIONS(3154),
    [anon_sym_LTtemplate_GT] = ACTIONS(3154),
    [anon_sym_DQUOTE] = ACTIONS(3154),
    [anon_sym_SQUOTE] = ACTIONS(3154),
    [anon_sym_class] = ACTIONS(3154),
    [anon_sym_async] = ACTIONS(3154),
    [anon_sym_function] = ACTIONS(3154),
    [anon_sym_new] = ACTIONS(3154),
    [anon_sym_using] = ACTIONS(3154),
    [anon_sym_PLUS] = ACTIONS(3154),
    [anon_sym_DASH] = ACTIONS(3154),
    [anon_sym_SLASH] = ACTIONS(3154),
    [anon_sym_LT] = ACTIONS(3154),
    [anon_sym_TILDE] = ACTIONS(3154),
    [anon_sym_void] = ACTIONS(3154),
    [anon_sym_delete] = ACTIONS(3154),
    [anon_sym_PLUS_PLUS] = ACTIONS(3154),
    [anon_sym_DASH_DASH] = ACTIONS(3154),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3154),
    [sym_number] = ACTIONS(3154),
    [sym_private_property_identifier] = ACTIONS(3154),
    [sym_this] = ACTIONS(3154),
    [sym_super] = ACTIONS(3154),
    [sym_true] = ACTIONS(3154),
    [sym_false] = ACTIONS(3154),
    [sym_null] = ACTIONS(3154),
    [sym_undefined] = ACTIONS(3154),
    [anon_sym_AT] = ACTIONS(3154),
    [anon_sym_static] = ACTIONS(3154),
    [anon_sym_readonly] = ACTIONS(3154),
    [anon_sym_get] = ACTIONS(3154),
    [anon_sym_set] = ACTIONS(3154),
    [anon_sym_declare] = ACTIONS(3154),
    [anon_sym_public] = ACTIONS(3154),
    [anon_sym_private] = ACTIONS(3154),
    [anon_sym_protected] = ACTIONS(3154),
    [anon_sym_override] = ACTIONS(3154),
    [anon_sym_module] = ACTIONS(3154),
    [anon_sym_any] = ACTIONS(3154),
    [anon_sym_number] = ACTIONS(3154),
    [anon_sym_boolean] = ACTIONS(3154),
    [anon_sym_string] = ACTIONS(3154),
    [anon_sym_symbol] = ACTIONS(3154),
    [anon_sym_object] = ACTIONS(3154),
    [anon_sym_abstract] = ACTIONS(3154),
    [anon_sym_interface] = ACTIONS(3154),
    [anon_sym_enum] = ACTIONS(3154),
    [sym_html_comment] = ACTIONS(5),
  },
  [1668] = {
    [sym_comment] = STATE(1668),
    [ts_builtin_sym_end] = ACTIONS(3522),
    [sym_identifier] = ACTIONS(3208),
    [anon_sym_export] = ACTIONS(3208),
    [anon_sym_type] = ACTIONS(3208),
    [anon_sym_namespace] = ACTIONS(3208),
    [anon_sym_LBRACE] = ACTIONS(3208),
    [anon_sym_RBRACE] = ACTIONS(3208),
    [anon_sym_typeof] = ACTIONS(3208),
    [anon_sym_import] = ACTIONS(3208),
    [anon_sym_with] = ACTIONS(3208),
    [anon_sym_var] = ACTIONS(3208),
    [anon_sym_let] = ACTIONS(3208),
    [anon_sym_const] = ACTIONS(3208),
    [anon_sym_BANG] = ACTIONS(3208),
    [anon_sym_if] = ACTIONS(3208),
    [anon_sym_switch] = ACTIONS(3208),
    [anon_sym_for] = ACTIONS(3208),
    [anon_sym_LPAREN] = ACTIONS(3208),
    [anon_sym_await] = ACTIONS(3208),
    [anon_sym_while] = ACTIONS(3208),
    [anon_sym_do] = ACTIONS(3208),
    [anon_sym_try] = ACTIONS(3208),
    [anon_sym_break] = ACTIONS(3208),
    [anon_sym_continue] = ACTIONS(3208),
    [anon_sym_debugger] = ACTIONS(3208),
    [anon_sym_return] = ACTIONS(3208),
    [anon_sym_throw] = ACTIONS(3208),
    [anon_sym_SEMI] = ACTIONS(3208),
    [anon_sym_yield] = ACTIONS(3208),
    [anon_sym_LBRACK] = ACTIONS(3208),
    [anon_sym_LTtemplate_GT] = ACTIONS(3208),
    [anon_sym_DQUOTE] = ACTIONS(3208),
    [anon_sym_SQUOTE] = ACTIONS(3208),
    [anon_sym_class] = ACTIONS(3208),
    [anon_sym_async] = ACTIONS(3208),
    [anon_sym_function] = ACTIONS(3208),
    [anon_sym_new] = ACTIONS(3208),
    [anon_sym_using] = ACTIONS(3208),
    [anon_sym_PLUS] = ACTIONS(3208),
    [anon_sym_DASH] = ACTIONS(3208),
    [anon_sym_SLASH] = ACTIONS(3208),
    [anon_sym_LT] = ACTIONS(3208),
    [anon_sym_TILDE] = ACTIONS(3208),
    [anon_sym_void] = ACTIONS(3208),
    [anon_sym_delete] = ACTIONS(3208),
    [anon_sym_PLUS_PLUS] = ACTIONS(3208),
    [anon_sym_DASH_DASH] = ACTIONS(3208),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3208),
    [sym_number] = ACTIONS(3208),
    [sym_private_property_identifier] = ACTIONS(3208),
    [sym_this] = ACTIONS(3208),
    [sym_super] = ACTIONS(3208),
    [sym_true] = ACTIONS(3208),
    [sym_false] = ACTIONS(3208),
    [sym_null] = ACTIONS(3208),
    [sym_undefined] = ACTIONS(3208),
    [anon_sym_AT] = ACTIONS(3208),
    [anon_sym_static] = ACTIONS(3208),
    [anon_sym_readonly] = ACTIONS(3208),
    [anon_sym_get] = ACTIONS(3208),
    [anon_sym_set] = ACTIONS(3208),
    [anon_sym_declare] = ACTIONS(3208),
    [anon_sym_public] = ACTIONS(3208),
    [anon_sym_private] = ACTIONS(3208),
    [anon_sym_protected] = ACTIONS(3208),
    [anon_sym_override] = ACTIONS(3208),
    [anon_sym_module] = ACTIONS(3208),
    [anon_sym_any] = ACTIONS(3208),
    [anon_sym_number] = ACTIONS(3208),
    [anon_sym_boolean] = ACTIONS(3208),
    [anon_sym_string] = ACTIONS(3208),
    [anon_sym_symbol] = ACTIONS(3208),
    [anon_sym_object] = ACTIONS(3208),
    [anon_sym_abstract] = ACTIONS(3208),
    [anon_sym_interface] = ACTIONS(3208),
    [anon_sym_enum] = ACTIONS(3208),
    [sym_html_comment] = ACTIONS(5),
  },
  [1669] = {
    [sym_comment] = STATE(1669),
    [ts_builtin_sym_end] = ACTIONS(3370),
    [sym_identifier] = ACTIONS(3154),
    [anon_sym_export] = ACTIONS(3154),
    [anon_sym_type] = ACTIONS(3154),
    [anon_sym_namespace] = ACTIONS(3154),
    [anon_sym_LBRACE] = ACTIONS(3154),
    [anon_sym_RBRACE] = ACTIONS(3154),
    [anon_sym_typeof] = ACTIONS(3154),
    [anon_sym_import] = ACTIONS(3154),
    [anon_sym_with] = ACTIONS(3154),
    [anon_sym_var] = ACTIONS(3154),
    [anon_sym_let] = ACTIONS(3154),
    [anon_sym_const] = ACTIONS(3154),
    [anon_sym_BANG] = ACTIONS(3154),
    [anon_sym_if] = ACTIONS(3154),
    [anon_sym_switch] = ACTIONS(3154),
    [anon_sym_for] = ACTIONS(3154),
    [anon_sym_LPAREN] = ACTIONS(3154),
    [anon_sym_await] = ACTIONS(3154),
    [anon_sym_while] = ACTIONS(3154),
    [anon_sym_do] = ACTIONS(3154),
    [anon_sym_try] = ACTIONS(3154),
    [anon_sym_break] = ACTIONS(3154),
    [anon_sym_continue] = ACTIONS(3154),
    [anon_sym_debugger] = ACTIONS(3154),
    [anon_sym_return] = ACTIONS(3154),
    [anon_sym_throw] = ACTIONS(3154),
    [anon_sym_SEMI] = ACTIONS(3154),
    [anon_sym_yield] = ACTIONS(3154),
    [anon_sym_LBRACK] = ACTIONS(3154),
    [anon_sym_LTtemplate_GT] = ACTIONS(3154),
    [anon_sym_DQUOTE] = ACTIONS(3154),
    [anon_sym_SQUOTE] = ACTIONS(3154),
    [anon_sym_class] = ACTIONS(3154),
    [anon_sym_async] = ACTIONS(3154),
    [anon_sym_function] = ACTIONS(3154),
    [anon_sym_new] = ACTIONS(3154),
    [anon_sym_using] = ACTIONS(3154),
    [anon_sym_PLUS] = ACTIONS(3154),
    [anon_sym_DASH] = ACTIONS(3154),
    [anon_sym_SLASH] = ACTIONS(3154),
    [anon_sym_LT] = ACTIONS(3154),
    [anon_sym_TILDE] = ACTIONS(3154),
    [anon_sym_void] = ACTIONS(3154),
    [anon_sym_delete] = ACTIONS(3154),
    [anon_sym_PLUS_PLUS] = ACTIONS(3154),
    [anon_sym_DASH_DASH] = ACTIONS(3154),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3154),
    [sym_number] = ACTIONS(3154),
    [sym_private_property_identifier] = ACTIONS(3154),
    [sym_this] = ACTIONS(3154),
    [sym_super] = ACTIONS(3154),
    [sym_true] = ACTIONS(3154),
    [sym_false] = ACTIONS(3154),
    [sym_null] = ACTIONS(3154),
    [sym_undefined] = ACTIONS(3154),
    [anon_sym_AT] = ACTIONS(3154),
    [anon_sym_static] = ACTIONS(3154),
    [anon_sym_readonly] = ACTIONS(3154),
    [anon_sym_get] = ACTIONS(3154),
    [anon_sym_set] = ACTIONS(3154),
    [anon_sym_declare] = ACTIONS(3154),
    [anon_sym_public] = ACTIONS(3154),
    [anon_sym_private] = ACTIONS(3154),
    [anon_sym_protected] = ACTIONS(3154),
    [anon_sym_override] = ACTIONS(3154),
    [anon_sym_module] = ACTIONS(3154),
    [anon_sym_any] = ACTIONS(3154),
    [anon_sym_number] = ACTIONS(3154),
    [anon_sym_boolean] = ACTIONS(3154),
    [anon_sym_string] = ACTIONS(3154),
    [anon_sym_symbol] = ACTIONS(3154),
    [anon_sym_object] = ACTIONS(3154),
    [anon_sym_abstract] = ACTIONS(3154),
    [anon_sym_interface] = ACTIONS(3154),
    [anon_sym_enum] = ACTIONS(3154),
    [sym_html_comment] = ACTIONS(5),
  },
  [1670] = {
    [sym_comment] = STATE(1670),
    [ts_builtin_sym_end] = ACTIONS(3520),
    [sym_identifier] = ACTIONS(3210),
    [anon_sym_export] = ACTIONS(3210),
    [anon_sym_type] = ACTIONS(3210),
    [anon_sym_namespace] = ACTIONS(3210),
    [anon_sym_LBRACE] = ACTIONS(3210),
    [anon_sym_RBRACE] = ACTIONS(3210),
    [anon_sym_typeof] = ACTIONS(3210),
    [anon_sym_import] = ACTIONS(3210),
    [anon_sym_with] = ACTIONS(3210),
    [anon_sym_var] = ACTIONS(3210),
    [anon_sym_let] = ACTIONS(3210),
    [anon_sym_const] = ACTIONS(3210),
    [anon_sym_BANG] = ACTIONS(3210),
    [anon_sym_if] = ACTIONS(3210),
    [anon_sym_switch] = ACTIONS(3210),
    [anon_sym_for] = ACTIONS(3210),
    [anon_sym_LPAREN] = ACTIONS(3210),
    [anon_sym_await] = ACTIONS(3210),
    [anon_sym_while] = ACTIONS(3210),
    [anon_sym_do] = ACTIONS(3210),
    [anon_sym_try] = ACTIONS(3210),
    [anon_sym_break] = ACTIONS(3210),
    [anon_sym_continue] = ACTIONS(3210),
    [anon_sym_debugger] = ACTIONS(3210),
    [anon_sym_return] = ACTIONS(3210),
    [anon_sym_throw] = ACTIONS(3210),
    [anon_sym_SEMI] = ACTIONS(3210),
    [anon_sym_yield] = ACTIONS(3210),
    [anon_sym_LBRACK] = ACTIONS(3210),
    [anon_sym_LTtemplate_GT] = ACTIONS(3210),
    [anon_sym_DQUOTE] = ACTIONS(3210),
    [anon_sym_SQUOTE] = ACTIONS(3210),
    [anon_sym_class] = ACTIONS(3210),
    [anon_sym_async] = ACTIONS(3210),
    [anon_sym_function] = ACTIONS(3210),
    [anon_sym_new] = ACTIONS(3210),
    [anon_sym_using] = ACTIONS(3210),
    [anon_sym_PLUS] = ACTIONS(3210),
    [anon_sym_DASH] = ACTIONS(3210),
    [anon_sym_SLASH] = ACTIONS(3210),
    [anon_sym_LT] = ACTIONS(3210),
    [anon_sym_TILDE] = ACTIONS(3210),
    [anon_sym_void] = ACTIONS(3210),
    [anon_sym_delete] = ACTIONS(3210),
    [anon_sym_PLUS_PLUS] = ACTIONS(3210),
    [anon_sym_DASH_DASH] = ACTIONS(3210),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3210),
    [sym_number] = ACTIONS(3210),
    [sym_private_property_identifier] = ACTIONS(3210),
    [sym_this] = ACTIONS(3210),
    [sym_super] = ACTIONS(3210),
    [sym_true] = ACTIONS(3210),
    [sym_false] = ACTIONS(3210),
    [sym_null] = ACTIONS(3210),
    [sym_undefined] = ACTIONS(3210),
    [anon_sym_AT] = ACTIONS(3210),
    [anon_sym_static] = ACTIONS(3210),
    [anon_sym_readonly] = ACTIONS(3210),
    [anon_sym_get] = ACTIONS(3210),
    [anon_sym_set] = ACTIONS(3210),
    [anon_sym_declare] = ACTIONS(3210),
    [anon_sym_public] = ACTIONS(3210),
    [anon_sym_private] = ACTIONS(3210),
    [anon_sym_protected] = ACTIONS(3210),
    [anon_sym_override] = ACTIONS(3210),
    [anon_sym_module] = ACTIONS(3210),
    [anon_sym_any] = ACTIONS(3210),
    [anon_sym_number] = ACTIONS(3210),
    [anon_sym_boolean] = ACTIONS(3210),
    [anon_sym_string] = ACTIONS(3210),
    [anon_sym_symbol] = ACTIONS(3210),
    [anon_sym_object] = ACTIONS(3210),
    [anon_sym_abstract] = ACTIONS(3210),
    [anon_sym_interface] = ACTIONS(3210),
    [anon_sym_enum] = ACTIONS(3210),
    [sym_html_comment] = ACTIONS(5),
  },
  [1671] = {
    [sym_comment] = STATE(1671),
    [ts_builtin_sym_end] = ACTIONS(3438),
    [sym_identifier] = ACTIONS(3252),
    [anon_sym_export] = ACTIONS(3252),
    [anon_sym_type] = ACTIONS(3252),
    [anon_sym_namespace] = ACTIONS(3252),
    [anon_sym_LBRACE] = ACTIONS(3252),
    [anon_sym_RBRACE] = ACTIONS(3252),
    [anon_sym_typeof] = ACTIONS(3252),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_with] = ACTIONS(3252),
    [anon_sym_var] = ACTIONS(3252),
    [anon_sym_let] = ACTIONS(3252),
    [anon_sym_const] = ACTIONS(3252),
    [anon_sym_BANG] = ACTIONS(3252),
    [anon_sym_if] = ACTIONS(3252),
    [anon_sym_switch] = ACTIONS(3252),
    [anon_sym_for] = ACTIONS(3252),
    [anon_sym_LPAREN] = ACTIONS(3252),
    [anon_sym_await] = ACTIONS(3252),
    [anon_sym_while] = ACTIONS(3252),
    [anon_sym_do] = ACTIONS(3252),
    [anon_sym_try] = ACTIONS(3252),
    [anon_sym_break] = ACTIONS(3252),
    [anon_sym_continue] = ACTIONS(3252),
    [anon_sym_debugger] = ACTIONS(3252),
    [anon_sym_return] = ACTIONS(3252),
    [anon_sym_throw] = ACTIONS(3252),
    [anon_sym_SEMI] = ACTIONS(3252),
    [anon_sym_yield] = ACTIONS(3252),
    [anon_sym_LBRACK] = ACTIONS(3252),
    [anon_sym_LTtemplate_GT] = ACTIONS(3252),
    [anon_sym_DQUOTE] = ACTIONS(3252),
    [anon_sym_SQUOTE] = ACTIONS(3252),
    [anon_sym_class] = ACTIONS(3252),
    [anon_sym_async] = ACTIONS(3252),
    [anon_sym_function] = ACTIONS(3252),
    [anon_sym_new] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3252),
    [anon_sym_PLUS] = ACTIONS(3252),
    [anon_sym_DASH] = ACTIONS(3252),
    [anon_sym_SLASH] = ACTIONS(3252),
    [anon_sym_LT] = ACTIONS(3252),
    [anon_sym_TILDE] = ACTIONS(3252),
    [anon_sym_void] = ACTIONS(3252),
    [anon_sym_delete] = ACTIONS(3252),
    [anon_sym_PLUS_PLUS] = ACTIONS(3252),
    [anon_sym_DASH_DASH] = ACTIONS(3252),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3252),
    [sym_number] = ACTIONS(3252),
    [sym_private_property_identifier] = ACTIONS(3252),
    [sym_this] = ACTIONS(3252),
    [sym_super] = ACTIONS(3252),
    [sym_true] = ACTIONS(3252),
    [sym_false] = ACTIONS(3252),
    [sym_null] = ACTIONS(3252),
    [sym_undefined] = ACTIONS(3252),
    [anon_sym_AT] = ACTIONS(3252),
    [anon_sym_static] = ACTIONS(3252),
    [anon_sym_readonly] = ACTIONS(3252),
    [anon_sym_get] = ACTIONS(3252),
    [anon_sym_set] = ACTIONS(3252),
    [anon_sym_declare] = ACTIONS(3252),
    [anon_sym_public] = ACTIONS(3252),
    [anon_sym_private] = ACTIONS(3252),
    [anon_sym_protected] = ACTIONS(3252),
    [anon_sym_override] = ACTIONS(3252),
    [anon_sym_module] = ACTIONS(3252),
    [anon_sym_any] = ACTIONS(3252),
    [anon_sym_number] = ACTIONS(3252),
    [anon_sym_boolean] = ACTIONS(3252),
    [anon_sym_string] = ACTIONS(3252),
    [anon_sym_symbol] = ACTIONS(3252),
    [anon_sym_object] = ACTIONS(3252),
    [anon_sym_abstract] = ACTIONS(3252),
    [anon_sym_interface] = ACTIONS(3252),
    [anon_sym_enum] = ACTIONS(3252),
    [sym_html_comment] = ACTIONS(5),
  },
  [1672] = {
    [sym_comment] = STATE(1672),
    [ts_builtin_sym_end] = ACTIONS(3438),
    [sym_identifier] = ACTIONS(3252),
    [anon_sym_export] = ACTIONS(3252),
    [anon_sym_type] = ACTIONS(3252),
    [anon_sym_namespace] = ACTIONS(3252),
    [anon_sym_LBRACE] = ACTIONS(3252),
    [anon_sym_RBRACE] = ACTIONS(3252),
    [anon_sym_typeof] = ACTIONS(3252),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_with] = ACTIONS(3252),
    [anon_sym_var] = ACTIONS(3252),
    [anon_sym_let] = ACTIONS(3252),
    [anon_sym_const] = ACTIONS(3252),
    [anon_sym_BANG] = ACTIONS(3252),
    [anon_sym_if] = ACTIONS(3252),
    [anon_sym_switch] = ACTIONS(3252),
    [anon_sym_for] = ACTIONS(3252),
    [anon_sym_LPAREN] = ACTIONS(3252),
    [anon_sym_await] = ACTIONS(3252),
    [anon_sym_while] = ACTIONS(3252),
    [anon_sym_do] = ACTIONS(3252),
    [anon_sym_try] = ACTIONS(3252),
    [anon_sym_break] = ACTIONS(3252),
    [anon_sym_continue] = ACTIONS(3252),
    [anon_sym_debugger] = ACTIONS(3252),
    [anon_sym_return] = ACTIONS(3252),
    [anon_sym_throw] = ACTIONS(3252),
    [anon_sym_SEMI] = ACTIONS(3252),
    [anon_sym_yield] = ACTIONS(3252),
    [anon_sym_LBRACK] = ACTIONS(3252),
    [anon_sym_LTtemplate_GT] = ACTIONS(3252),
    [anon_sym_DQUOTE] = ACTIONS(3252),
    [anon_sym_SQUOTE] = ACTIONS(3252),
    [anon_sym_class] = ACTIONS(3252),
    [anon_sym_async] = ACTIONS(3252),
    [anon_sym_function] = ACTIONS(3252),
    [anon_sym_new] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3252),
    [anon_sym_PLUS] = ACTIONS(3252),
    [anon_sym_DASH] = ACTIONS(3252),
    [anon_sym_SLASH] = ACTIONS(3252),
    [anon_sym_LT] = ACTIONS(3252),
    [anon_sym_TILDE] = ACTIONS(3252),
    [anon_sym_void] = ACTIONS(3252),
    [anon_sym_delete] = ACTIONS(3252),
    [anon_sym_PLUS_PLUS] = ACTIONS(3252),
    [anon_sym_DASH_DASH] = ACTIONS(3252),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3252),
    [sym_number] = ACTIONS(3252),
    [sym_private_property_identifier] = ACTIONS(3252),
    [sym_this] = ACTIONS(3252),
    [sym_super] = ACTIONS(3252),
    [sym_true] = ACTIONS(3252),
    [sym_false] = ACTIONS(3252),
    [sym_null] = ACTIONS(3252),
    [sym_undefined] = ACTIONS(3252),
    [anon_sym_AT] = ACTIONS(3252),
    [anon_sym_static] = ACTIONS(3252),
    [anon_sym_readonly] = ACTIONS(3252),
    [anon_sym_get] = ACTIONS(3252),
    [anon_sym_set] = ACTIONS(3252),
    [anon_sym_declare] = ACTIONS(3252),
    [anon_sym_public] = ACTIONS(3252),
    [anon_sym_private] = ACTIONS(3252),
    [anon_sym_protected] = ACTIONS(3252),
    [anon_sym_override] = ACTIONS(3252),
    [anon_sym_module] = ACTIONS(3252),
    [anon_sym_any] = ACTIONS(3252),
    [anon_sym_number] = ACTIONS(3252),
    [anon_sym_boolean] = ACTIONS(3252),
    [anon_sym_string] = ACTIONS(3252),
    [anon_sym_symbol] = ACTIONS(3252),
    [anon_sym_object] = ACTIONS(3252),
    [anon_sym_abstract] = ACTIONS(3252),
    [anon_sym_interface] = ACTIONS(3252),
    [anon_sym_enum] = ACTIONS(3252),
    [sym_html_comment] = ACTIONS(5),
  },
  [1673] = {
    [sym_comment] = STATE(1673),
    [ts_builtin_sym_end] = ACTIONS(3518),
    [sym_identifier] = ACTIONS(3216),
    [anon_sym_export] = ACTIONS(3216),
    [anon_sym_type] = ACTIONS(3216),
    [anon_sym_namespace] = ACTIONS(3216),
    [anon_sym_LBRACE] = ACTIONS(3216),
    [anon_sym_RBRACE] = ACTIONS(3216),
    [anon_sym_typeof] = ACTIONS(3216),
    [anon_sym_import] = ACTIONS(3216),
    [anon_sym_with] = ACTIONS(3216),
    [anon_sym_var] = ACTIONS(3216),
    [anon_sym_let] = ACTIONS(3216),
    [anon_sym_const] = ACTIONS(3216),
    [anon_sym_BANG] = ACTIONS(3216),
    [anon_sym_if] = ACTIONS(3216),
    [anon_sym_switch] = ACTIONS(3216),
    [anon_sym_for] = ACTIONS(3216),
    [anon_sym_LPAREN] = ACTIONS(3216),
    [anon_sym_await] = ACTIONS(3216),
    [anon_sym_while] = ACTIONS(3216),
    [anon_sym_do] = ACTIONS(3216),
    [anon_sym_try] = ACTIONS(3216),
    [anon_sym_break] = ACTIONS(3216),
    [anon_sym_continue] = ACTIONS(3216),
    [anon_sym_debugger] = ACTIONS(3216),
    [anon_sym_return] = ACTIONS(3216),
    [anon_sym_throw] = ACTIONS(3216),
    [anon_sym_SEMI] = ACTIONS(3216),
    [anon_sym_yield] = ACTIONS(3216),
    [anon_sym_LBRACK] = ACTIONS(3216),
    [anon_sym_LTtemplate_GT] = ACTIONS(3216),
    [anon_sym_DQUOTE] = ACTIONS(3216),
    [anon_sym_SQUOTE] = ACTIONS(3216),
    [anon_sym_class] = ACTIONS(3216),
    [anon_sym_async] = ACTIONS(3216),
    [anon_sym_function] = ACTIONS(3216),
    [anon_sym_new] = ACTIONS(3216),
    [anon_sym_using] = ACTIONS(3216),
    [anon_sym_PLUS] = ACTIONS(3216),
    [anon_sym_DASH] = ACTIONS(3216),
    [anon_sym_SLASH] = ACTIONS(3216),
    [anon_sym_LT] = ACTIONS(3216),
    [anon_sym_TILDE] = ACTIONS(3216),
    [anon_sym_void] = ACTIONS(3216),
    [anon_sym_delete] = ACTIONS(3216),
    [anon_sym_PLUS_PLUS] = ACTIONS(3216),
    [anon_sym_DASH_DASH] = ACTIONS(3216),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3216),
    [sym_number] = ACTIONS(3216),
    [sym_private_property_identifier] = ACTIONS(3216),
    [sym_this] = ACTIONS(3216),
    [sym_super] = ACTIONS(3216),
    [sym_true] = ACTIONS(3216),
    [sym_false] = ACTIONS(3216),
    [sym_null] = ACTIONS(3216),
    [sym_undefined] = ACTIONS(3216),
    [anon_sym_AT] = ACTIONS(3216),
    [anon_sym_static] = ACTIONS(3216),
    [anon_sym_readonly] = ACTIONS(3216),
    [anon_sym_get] = ACTIONS(3216),
    [anon_sym_set] = ACTIONS(3216),
    [anon_sym_declare] = ACTIONS(3216),
    [anon_sym_public] = ACTIONS(3216),
    [anon_sym_private] = ACTIONS(3216),
    [anon_sym_protected] = ACTIONS(3216),
    [anon_sym_override] = ACTIONS(3216),
    [anon_sym_module] = ACTIONS(3216),
    [anon_sym_any] = ACTIONS(3216),
    [anon_sym_number] = ACTIONS(3216),
    [anon_sym_boolean] = ACTIONS(3216),
    [anon_sym_string] = ACTIONS(3216),
    [anon_sym_symbol] = ACTIONS(3216),
    [anon_sym_object] = ACTIONS(3216),
    [anon_sym_abstract] = ACTIONS(3216),
    [anon_sym_interface] = ACTIONS(3216),
    [anon_sym_enum] = ACTIONS(3216),
    [sym_html_comment] = ACTIONS(5),
  },
  [1674] = {
    [sym_comment] = STATE(1674),
    [ts_builtin_sym_end] = ACTIONS(3518),
    [sym_identifier] = ACTIONS(3216),
    [anon_sym_export] = ACTIONS(3216),
    [anon_sym_type] = ACTIONS(3216),
    [anon_sym_namespace] = ACTIONS(3216),
    [anon_sym_LBRACE] = ACTIONS(3216),
    [anon_sym_RBRACE] = ACTIONS(3216),
    [anon_sym_typeof] = ACTIONS(3216),
    [anon_sym_import] = ACTIONS(3216),
    [anon_sym_with] = ACTIONS(3216),
    [anon_sym_var] = ACTIONS(3216),
    [anon_sym_let] = ACTIONS(3216),
    [anon_sym_const] = ACTIONS(3216),
    [anon_sym_BANG] = ACTIONS(3216),
    [anon_sym_if] = ACTIONS(3216),
    [anon_sym_switch] = ACTIONS(3216),
    [anon_sym_for] = ACTIONS(3216),
    [anon_sym_LPAREN] = ACTIONS(3216),
    [anon_sym_await] = ACTIONS(3216),
    [anon_sym_while] = ACTIONS(3216),
    [anon_sym_do] = ACTIONS(3216),
    [anon_sym_try] = ACTIONS(3216),
    [anon_sym_break] = ACTIONS(3216),
    [anon_sym_continue] = ACTIONS(3216),
    [anon_sym_debugger] = ACTIONS(3216),
    [anon_sym_return] = ACTIONS(3216),
    [anon_sym_throw] = ACTIONS(3216),
    [anon_sym_SEMI] = ACTIONS(3216),
    [anon_sym_yield] = ACTIONS(3216),
    [anon_sym_LBRACK] = ACTIONS(3216),
    [anon_sym_LTtemplate_GT] = ACTIONS(3216),
    [anon_sym_DQUOTE] = ACTIONS(3216),
    [anon_sym_SQUOTE] = ACTIONS(3216),
    [anon_sym_class] = ACTIONS(3216),
    [anon_sym_async] = ACTIONS(3216),
    [anon_sym_function] = ACTIONS(3216),
    [anon_sym_new] = ACTIONS(3216),
    [anon_sym_using] = ACTIONS(3216),
    [anon_sym_PLUS] = ACTIONS(3216),
    [anon_sym_DASH] = ACTIONS(3216),
    [anon_sym_SLASH] = ACTIONS(3216),
    [anon_sym_LT] = ACTIONS(3216),
    [anon_sym_TILDE] = ACTIONS(3216),
    [anon_sym_void] = ACTIONS(3216),
    [anon_sym_delete] = ACTIONS(3216),
    [anon_sym_PLUS_PLUS] = ACTIONS(3216),
    [anon_sym_DASH_DASH] = ACTIONS(3216),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3216),
    [sym_number] = ACTIONS(3216),
    [sym_private_property_identifier] = ACTIONS(3216),
    [sym_this] = ACTIONS(3216),
    [sym_super] = ACTIONS(3216),
    [sym_true] = ACTIONS(3216),
    [sym_false] = ACTIONS(3216),
    [sym_null] = ACTIONS(3216),
    [sym_undefined] = ACTIONS(3216),
    [anon_sym_AT] = ACTIONS(3216),
    [anon_sym_static] = ACTIONS(3216),
    [anon_sym_readonly] = ACTIONS(3216),
    [anon_sym_get] = ACTIONS(3216),
    [anon_sym_set] = ACTIONS(3216),
    [anon_sym_declare] = ACTIONS(3216),
    [anon_sym_public] = ACTIONS(3216),
    [anon_sym_private] = ACTIONS(3216),
    [anon_sym_protected] = ACTIONS(3216),
    [anon_sym_override] = ACTIONS(3216),
    [anon_sym_module] = ACTIONS(3216),
    [anon_sym_any] = ACTIONS(3216),
    [anon_sym_number] = ACTIONS(3216),
    [anon_sym_boolean] = ACTIONS(3216),
    [anon_sym_string] = ACTIONS(3216),
    [anon_sym_symbol] = ACTIONS(3216),
    [anon_sym_object] = ACTIONS(3216),
    [anon_sym_abstract] = ACTIONS(3216),
    [anon_sym_interface] = ACTIONS(3216),
    [anon_sym_enum] = ACTIONS(3216),
    [sym_html_comment] = ACTIONS(5),
  },
  [1675] = {
    [sym_comment] = STATE(1675),
    [ts_builtin_sym_end] = ACTIONS(3518),
    [sym_identifier] = ACTIONS(3216),
    [anon_sym_export] = ACTIONS(3216),
    [anon_sym_type] = ACTIONS(3216),
    [anon_sym_namespace] = ACTIONS(3216),
    [anon_sym_LBRACE] = ACTIONS(3216),
    [anon_sym_RBRACE] = ACTIONS(3216),
    [anon_sym_typeof] = ACTIONS(3216),
    [anon_sym_import] = ACTIONS(3216),
    [anon_sym_with] = ACTIONS(3216),
    [anon_sym_var] = ACTIONS(3216),
    [anon_sym_let] = ACTIONS(3216),
    [anon_sym_const] = ACTIONS(3216),
    [anon_sym_BANG] = ACTIONS(3216),
    [anon_sym_if] = ACTIONS(3216),
    [anon_sym_switch] = ACTIONS(3216),
    [anon_sym_for] = ACTIONS(3216),
    [anon_sym_LPAREN] = ACTIONS(3216),
    [anon_sym_await] = ACTIONS(3216),
    [anon_sym_while] = ACTIONS(3216),
    [anon_sym_do] = ACTIONS(3216),
    [anon_sym_try] = ACTIONS(3216),
    [anon_sym_break] = ACTIONS(3216),
    [anon_sym_continue] = ACTIONS(3216),
    [anon_sym_debugger] = ACTIONS(3216),
    [anon_sym_return] = ACTIONS(3216),
    [anon_sym_throw] = ACTIONS(3216),
    [anon_sym_SEMI] = ACTIONS(3216),
    [anon_sym_yield] = ACTIONS(3216),
    [anon_sym_LBRACK] = ACTIONS(3216),
    [anon_sym_LTtemplate_GT] = ACTIONS(3216),
    [anon_sym_DQUOTE] = ACTIONS(3216),
    [anon_sym_SQUOTE] = ACTIONS(3216),
    [anon_sym_class] = ACTIONS(3216),
    [anon_sym_async] = ACTIONS(3216),
    [anon_sym_function] = ACTIONS(3216),
    [anon_sym_new] = ACTIONS(3216),
    [anon_sym_using] = ACTIONS(3216),
    [anon_sym_PLUS] = ACTIONS(3216),
    [anon_sym_DASH] = ACTIONS(3216),
    [anon_sym_SLASH] = ACTIONS(3216),
    [anon_sym_LT] = ACTIONS(3216),
    [anon_sym_TILDE] = ACTIONS(3216),
    [anon_sym_void] = ACTIONS(3216),
    [anon_sym_delete] = ACTIONS(3216),
    [anon_sym_PLUS_PLUS] = ACTIONS(3216),
    [anon_sym_DASH_DASH] = ACTIONS(3216),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3216),
    [sym_number] = ACTIONS(3216),
    [sym_private_property_identifier] = ACTIONS(3216),
    [sym_this] = ACTIONS(3216),
    [sym_super] = ACTIONS(3216),
    [sym_true] = ACTIONS(3216),
    [sym_false] = ACTIONS(3216),
    [sym_null] = ACTIONS(3216),
    [sym_undefined] = ACTIONS(3216),
    [anon_sym_AT] = ACTIONS(3216),
    [anon_sym_static] = ACTIONS(3216),
    [anon_sym_readonly] = ACTIONS(3216),
    [anon_sym_get] = ACTIONS(3216),
    [anon_sym_set] = ACTIONS(3216),
    [anon_sym_declare] = ACTIONS(3216),
    [anon_sym_public] = ACTIONS(3216),
    [anon_sym_private] = ACTIONS(3216),
    [anon_sym_protected] = ACTIONS(3216),
    [anon_sym_override] = ACTIONS(3216),
    [anon_sym_module] = ACTIONS(3216),
    [anon_sym_any] = ACTIONS(3216),
    [anon_sym_number] = ACTIONS(3216),
    [anon_sym_boolean] = ACTIONS(3216),
    [anon_sym_string] = ACTIONS(3216),
    [anon_sym_symbol] = ACTIONS(3216),
    [anon_sym_object] = ACTIONS(3216),
    [anon_sym_abstract] = ACTIONS(3216),
    [anon_sym_interface] = ACTIONS(3216),
    [anon_sym_enum] = ACTIONS(3216),
    [sym_html_comment] = ACTIONS(5),
  },
  [1676] = {
    [sym_comment] = STATE(1676),
    [ts_builtin_sym_end] = ACTIONS(3478),
    [sym_identifier] = ACTIONS(3248),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_type] = ACTIONS(3248),
    [anon_sym_namespace] = ACTIONS(3248),
    [anon_sym_LBRACE] = ACTIONS(3248),
    [anon_sym_RBRACE] = ACTIONS(3248),
    [anon_sym_typeof] = ACTIONS(3248),
    [anon_sym_import] = ACTIONS(3248),
    [anon_sym_with] = ACTIONS(3248),
    [anon_sym_var] = ACTIONS(3248),
    [anon_sym_let] = ACTIONS(3248),
    [anon_sym_const] = ACTIONS(3248),
    [anon_sym_BANG] = ACTIONS(3248),
    [anon_sym_if] = ACTIONS(3248),
    [anon_sym_switch] = ACTIONS(3248),
    [anon_sym_for] = ACTIONS(3248),
    [anon_sym_LPAREN] = ACTIONS(3248),
    [anon_sym_await] = ACTIONS(3248),
    [anon_sym_while] = ACTIONS(3248),
    [anon_sym_do] = ACTIONS(3248),
    [anon_sym_try] = ACTIONS(3248),
    [anon_sym_break] = ACTIONS(3248),
    [anon_sym_continue] = ACTIONS(3248),
    [anon_sym_debugger] = ACTIONS(3248),
    [anon_sym_return] = ACTIONS(3248),
    [anon_sym_throw] = ACTIONS(3248),
    [anon_sym_SEMI] = ACTIONS(3248),
    [anon_sym_yield] = ACTIONS(3248),
    [anon_sym_LBRACK] = ACTIONS(3248),
    [anon_sym_LTtemplate_GT] = ACTIONS(3248),
    [anon_sym_DQUOTE] = ACTIONS(3248),
    [anon_sym_SQUOTE] = ACTIONS(3248),
    [anon_sym_class] = ACTIONS(3248),
    [anon_sym_async] = ACTIONS(3248),
    [anon_sym_function] = ACTIONS(3248),
    [anon_sym_new] = ACTIONS(3248),
    [anon_sym_using] = ACTIONS(3248),
    [anon_sym_PLUS] = ACTIONS(3248),
    [anon_sym_DASH] = ACTIONS(3248),
    [anon_sym_SLASH] = ACTIONS(3248),
    [anon_sym_LT] = ACTIONS(3248),
    [anon_sym_TILDE] = ACTIONS(3248),
    [anon_sym_void] = ACTIONS(3248),
    [anon_sym_delete] = ACTIONS(3248),
    [anon_sym_PLUS_PLUS] = ACTIONS(3248),
    [anon_sym_DASH_DASH] = ACTIONS(3248),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3248),
    [sym_number] = ACTIONS(3248),
    [sym_private_property_identifier] = ACTIONS(3248),
    [sym_this] = ACTIONS(3248),
    [sym_super] = ACTIONS(3248),
    [sym_true] = ACTIONS(3248),
    [sym_false] = ACTIONS(3248),
    [sym_null] = ACTIONS(3248),
    [sym_undefined] = ACTIONS(3248),
    [anon_sym_AT] = ACTIONS(3248),
    [anon_sym_static] = ACTIONS(3248),
    [anon_sym_readonly] = ACTIONS(3248),
    [anon_sym_get] = ACTIONS(3248),
    [anon_sym_set] = ACTIONS(3248),
    [anon_sym_declare] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3248),
    [anon_sym_private] = ACTIONS(3248),
    [anon_sym_protected] = ACTIONS(3248),
    [anon_sym_override] = ACTIONS(3248),
    [anon_sym_module] = ACTIONS(3248),
    [anon_sym_any] = ACTIONS(3248),
    [anon_sym_number] = ACTIONS(3248),
    [anon_sym_boolean] = ACTIONS(3248),
    [anon_sym_string] = ACTIONS(3248),
    [anon_sym_symbol] = ACTIONS(3248),
    [anon_sym_object] = ACTIONS(3248),
    [anon_sym_abstract] = ACTIONS(3248),
    [anon_sym_interface] = ACTIONS(3248),
    [anon_sym_enum] = ACTIONS(3248),
    [sym_html_comment] = ACTIONS(5),
  },
  [1677] = {
    [sym_comment] = STATE(1677),
    [ts_builtin_sym_end] = ACTIONS(3470),
    [sym_identifier] = ACTIONS(3336),
    [anon_sym_export] = ACTIONS(3336),
    [anon_sym_type] = ACTIONS(3336),
    [anon_sym_namespace] = ACTIONS(3336),
    [anon_sym_LBRACE] = ACTIONS(3336),
    [anon_sym_RBRACE] = ACTIONS(3336),
    [anon_sym_typeof] = ACTIONS(3336),
    [anon_sym_import] = ACTIONS(3336),
    [anon_sym_with] = ACTIONS(3336),
    [anon_sym_var] = ACTIONS(3336),
    [anon_sym_let] = ACTIONS(3336),
    [anon_sym_const] = ACTIONS(3336),
    [anon_sym_BANG] = ACTIONS(3336),
    [anon_sym_if] = ACTIONS(3336),
    [anon_sym_switch] = ACTIONS(3336),
    [anon_sym_for] = ACTIONS(3336),
    [anon_sym_LPAREN] = ACTIONS(3336),
    [anon_sym_await] = ACTIONS(3336),
    [anon_sym_while] = ACTIONS(3336),
    [anon_sym_do] = ACTIONS(3336),
    [anon_sym_try] = ACTIONS(3336),
    [anon_sym_break] = ACTIONS(3336),
    [anon_sym_continue] = ACTIONS(3336),
    [anon_sym_debugger] = ACTIONS(3336),
    [anon_sym_return] = ACTIONS(3336),
    [anon_sym_throw] = ACTIONS(3336),
    [anon_sym_SEMI] = ACTIONS(3336),
    [anon_sym_yield] = ACTIONS(3336),
    [anon_sym_LBRACK] = ACTIONS(3336),
    [anon_sym_LTtemplate_GT] = ACTIONS(3336),
    [anon_sym_DQUOTE] = ACTIONS(3336),
    [anon_sym_SQUOTE] = ACTIONS(3336),
    [anon_sym_class] = ACTIONS(3336),
    [anon_sym_async] = ACTIONS(3336),
    [anon_sym_function] = ACTIONS(3336),
    [anon_sym_new] = ACTIONS(3336),
    [anon_sym_using] = ACTIONS(3336),
    [anon_sym_PLUS] = ACTIONS(3336),
    [anon_sym_DASH] = ACTIONS(3336),
    [anon_sym_SLASH] = ACTIONS(3336),
    [anon_sym_LT] = ACTIONS(3336),
    [anon_sym_TILDE] = ACTIONS(3336),
    [anon_sym_void] = ACTIONS(3336),
    [anon_sym_delete] = ACTIONS(3336),
    [anon_sym_PLUS_PLUS] = ACTIONS(3336),
    [anon_sym_DASH_DASH] = ACTIONS(3336),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3336),
    [sym_number] = ACTIONS(3336),
    [sym_private_property_identifier] = ACTIONS(3336),
    [sym_this] = ACTIONS(3336),
    [sym_super] = ACTIONS(3336),
    [sym_true] = ACTIONS(3336),
    [sym_false] = ACTIONS(3336),
    [sym_null] = ACTIONS(3336),
    [sym_undefined] = ACTIONS(3336),
    [anon_sym_AT] = ACTIONS(3336),
    [anon_sym_static] = ACTIONS(3336),
    [anon_sym_readonly] = ACTIONS(3336),
    [anon_sym_get] = ACTIONS(3336),
    [anon_sym_set] = ACTIONS(3336),
    [anon_sym_declare] = ACTIONS(3336),
    [anon_sym_public] = ACTIONS(3336),
    [anon_sym_private] = ACTIONS(3336),
    [anon_sym_protected] = ACTIONS(3336),
    [anon_sym_override] = ACTIONS(3336),
    [anon_sym_module] = ACTIONS(3336),
    [anon_sym_any] = ACTIONS(3336),
    [anon_sym_number] = ACTIONS(3336),
    [anon_sym_boolean] = ACTIONS(3336),
    [anon_sym_string] = ACTIONS(3336),
    [anon_sym_symbol] = ACTIONS(3336),
    [anon_sym_object] = ACTIONS(3336),
    [anon_sym_abstract] = ACTIONS(3336),
    [anon_sym_interface] = ACTIONS(3336),
    [anon_sym_enum] = ACTIONS(3336),
    [sym_html_comment] = ACTIONS(5),
  },
  [1678] = {
    [sym_comment] = STATE(1678),
    [ts_builtin_sym_end] = ACTIONS(3476),
    [sym_identifier] = ACTIONS(3366),
    [anon_sym_export] = ACTIONS(3366),
    [anon_sym_type] = ACTIONS(3366),
    [anon_sym_namespace] = ACTIONS(3366),
    [anon_sym_LBRACE] = ACTIONS(3366),
    [anon_sym_RBRACE] = ACTIONS(3366),
    [anon_sym_typeof] = ACTIONS(3366),
    [anon_sym_import] = ACTIONS(3366),
    [anon_sym_with] = ACTIONS(3366),
    [anon_sym_var] = ACTIONS(3366),
    [anon_sym_let] = ACTIONS(3366),
    [anon_sym_const] = ACTIONS(3366),
    [anon_sym_BANG] = ACTIONS(3366),
    [anon_sym_if] = ACTIONS(3366),
    [anon_sym_switch] = ACTIONS(3366),
    [anon_sym_for] = ACTIONS(3366),
    [anon_sym_LPAREN] = ACTIONS(3366),
    [anon_sym_await] = ACTIONS(3366),
    [anon_sym_while] = ACTIONS(3366),
    [anon_sym_do] = ACTIONS(3366),
    [anon_sym_try] = ACTIONS(3366),
    [anon_sym_break] = ACTIONS(3366),
    [anon_sym_continue] = ACTIONS(3366),
    [anon_sym_debugger] = ACTIONS(3366),
    [anon_sym_return] = ACTIONS(3366),
    [anon_sym_throw] = ACTIONS(3366),
    [anon_sym_SEMI] = ACTIONS(3366),
    [anon_sym_yield] = ACTIONS(3366),
    [anon_sym_LBRACK] = ACTIONS(3366),
    [anon_sym_LTtemplate_GT] = ACTIONS(3366),
    [anon_sym_DQUOTE] = ACTIONS(3366),
    [anon_sym_SQUOTE] = ACTIONS(3366),
    [anon_sym_class] = ACTIONS(3366),
    [anon_sym_async] = ACTIONS(3366),
    [anon_sym_function] = ACTIONS(3366),
    [anon_sym_new] = ACTIONS(3366),
    [anon_sym_using] = ACTIONS(3366),
    [anon_sym_PLUS] = ACTIONS(3366),
    [anon_sym_DASH] = ACTIONS(3366),
    [anon_sym_SLASH] = ACTIONS(3366),
    [anon_sym_LT] = ACTIONS(3366),
    [anon_sym_TILDE] = ACTIONS(3366),
    [anon_sym_void] = ACTIONS(3366),
    [anon_sym_delete] = ACTIONS(3366),
    [anon_sym_PLUS_PLUS] = ACTIONS(3366),
    [anon_sym_DASH_DASH] = ACTIONS(3366),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3366),
    [sym_number] = ACTIONS(3366),
    [sym_private_property_identifier] = ACTIONS(3366),
    [sym_this] = ACTIONS(3366),
    [sym_super] = ACTIONS(3366),
    [sym_true] = ACTIONS(3366),
    [sym_false] = ACTIONS(3366),
    [sym_null] = ACTIONS(3366),
    [sym_undefined] = ACTIONS(3366),
    [anon_sym_AT] = ACTIONS(3366),
    [anon_sym_static] = ACTIONS(3366),
    [anon_sym_readonly] = ACTIONS(3366),
    [anon_sym_get] = ACTIONS(3366),
    [anon_sym_set] = ACTIONS(3366),
    [anon_sym_declare] = ACTIONS(3366),
    [anon_sym_public] = ACTIONS(3366),
    [anon_sym_private] = ACTIONS(3366),
    [anon_sym_protected] = ACTIONS(3366),
    [anon_sym_override] = ACTIONS(3366),
    [anon_sym_module] = ACTIONS(3366),
    [anon_sym_any] = ACTIONS(3366),
    [anon_sym_number] = ACTIONS(3366),
    [anon_sym_boolean] = ACTIONS(3366),
    [anon_sym_string] = ACTIONS(3366),
    [anon_sym_symbol] = ACTIONS(3366),
    [anon_sym_object] = ACTIONS(3366),
    [anon_sym_abstract] = ACTIONS(3366),
    [anon_sym_interface] = ACTIONS(3366),
    [anon_sym_enum] = ACTIONS(3366),
    [sym_html_comment] = ACTIONS(5),
  },
  [1679] = {
    [sym_comment] = STATE(1679),
    [ts_builtin_sym_end] = ACTIONS(3474),
    [sym_identifier] = ACTIONS(3364),
    [anon_sym_export] = ACTIONS(3364),
    [anon_sym_type] = ACTIONS(3364),
    [anon_sym_namespace] = ACTIONS(3364),
    [anon_sym_LBRACE] = ACTIONS(3364),
    [anon_sym_RBRACE] = ACTIONS(3364),
    [anon_sym_typeof] = ACTIONS(3364),
    [anon_sym_import] = ACTIONS(3364),
    [anon_sym_with] = ACTIONS(3364),
    [anon_sym_var] = ACTIONS(3364),
    [anon_sym_let] = ACTIONS(3364),
    [anon_sym_const] = ACTIONS(3364),
    [anon_sym_BANG] = ACTIONS(3364),
    [anon_sym_if] = ACTIONS(3364),
    [anon_sym_switch] = ACTIONS(3364),
    [anon_sym_for] = ACTIONS(3364),
    [anon_sym_LPAREN] = ACTIONS(3364),
    [anon_sym_await] = ACTIONS(3364),
    [anon_sym_while] = ACTIONS(3364),
    [anon_sym_do] = ACTIONS(3364),
    [anon_sym_try] = ACTIONS(3364),
    [anon_sym_break] = ACTIONS(3364),
    [anon_sym_continue] = ACTIONS(3364),
    [anon_sym_debugger] = ACTIONS(3364),
    [anon_sym_return] = ACTIONS(3364),
    [anon_sym_throw] = ACTIONS(3364),
    [anon_sym_SEMI] = ACTIONS(3364),
    [anon_sym_yield] = ACTIONS(3364),
    [anon_sym_LBRACK] = ACTIONS(3364),
    [anon_sym_LTtemplate_GT] = ACTIONS(3364),
    [anon_sym_DQUOTE] = ACTIONS(3364),
    [anon_sym_SQUOTE] = ACTIONS(3364),
    [anon_sym_class] = ACTIONS(3364),
    [anon_sym_async] = ACTIONS(3364),
    [anon_sym_function] = ACTIONS(3364),
    [anon_sym_new] = ACTIONS(3364),
    [anon_sym_using] = ACTIONS(3364),
    [anon_sym_PLUS] = ACTIONS(3364),
    [anon_sym_DASH] = ACTIONS(3364),
    [anon_sym_SLASH] = ACTIONS(3364),
    [anon_sym_LT] = ACTIONS(3364),
    [anon_sym_TILDE] = ACTIONS(3364),
    [anon_sym_void] = ACTIONS(3364),
    [anon_sym_delete] = ACTIONS(3364),
    [anon_sym_PLUS_PLUS] = ACTIONS(3364),
    [anon_sym_DASH_DASH] = ACTIONS(3364),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3364),
    [sym_number] = ACTIONS(3364),
    [sym_private_property_identifier] = ACTIONS(3364),
    [sym_this] = ACTIONS(3364),
    [sym_super] = ACTIONS(3364),
    [sym_true] = ACTIONS(3364),
    [sym_false] = ACTIONS(3364),
    [sym_null] = ACTIONS(3364),
    [sym_undefined] = ACTIONS(3364),
    [anon_sym_AT] = ACTIONS(3364),
    [anon_sym_static] = ACTIONS(3364),
    [anon_sym_readonly] = ACTIONS(3364),
    [anon_sym_get] = ACTIONS(3364),
    [anon_sym_set] = ACTIONS(3364),
    [anon_sym_declare] = ACTIONS(3364),
    [anon_sym_public] = ACTIONS(3364),
    [anon_sym_private] = ACTIONS(3364),
    [anon_sym_protected] = ACTIONS(3364),
    [anon_sym_override] = ACTIONS(3364),
    [anon_sym_module] = ACTIONS(3364),
    [anon_sym_any] = ACTIONS(3364),
    [anon_sym_number] = ACTIONS(3364),
    [anon_sym_boolean] = ACTIONS(3364),
    [anon_sym_string] = ACTIONS(3364),
    [anon_sym_symbol] = ACTIONS(3364),
    [anon_sym_object] = ACTIONS(3364),
    [anon_sym_abstract] = ACTIONS(3364),
    [anon_sym_interface] = ACTIONS(3364),
    [anon_sym_enum] = ACTIONS(3364),
    [sym_html_comment] = ACTIONS(5),
  },
  [1680] = {
    [sym_comment] = STATE(1680),
    [ts_builtin_sym_end] = ACTIONS(3470),
    [sym_identifier] = ACTIONS(3336),
    [anon_sym_export] = ACTIONS(3336),
    [anon_sym_type] = ACTIONS(3336),
    [anon_sym_namespace] = ACTIONS(3336),
    [anon_sym_LBRACE] = ACTIONS(3336),
    [anon_sym_RBRACE] = ACTIONS(3336),
    [anon_sym_typeof] = ACTIONS(3336),
    [anon_sym_import] = ACTIONS(3336),
    [anon_sym_with] = ACTIONS(3336),
    [anon_sym_var] = ACTIONS(3336),
    [anon_sym_let] = ACTIONS(3336),
    [anon_sym_const] = ACTIONS(3336),
    [anon_sym_BANG] = ACTIONS(3336),
    [anon_sym_if] = ACTIONS(3336),
    [anon_sym_switch] = ACTIONS(3336),
    [anon_sym_for] = ACTIONS(3336),
    [anon_sym_LPAREN] = ACTIONS(3336),
    [anon_sym_await] = ACTIONS(3336),
    [anon_sym_while] = ACTIONS(3336),
    [anon_sym_do] = ACTIONS(3336),
    [anon_sym_try] = ACTIONS(3336),
    [anon_sym_break] = ACTIONS(3336),
    [anon_sym_continue] = ACTIONS(3336),
    [anon_sym_debugger] = ACTIONS(3336),
    [anon_sym_return] = ACTIONS(3336),
    [anon_sym_throw] = ACTIONS(3336),
    [anon_sym_SEMI] = ACTIONS(3336),
    [anon_sym_yield] = ACTIONS(3336),
    [anon_sym_LBRACK] = ACTIONS(3336),
    [anon_sym_LTtemplate_GT] = ACTIONS(3336),
    [anon_sym_DQUOTE] = ACTIONS(3336),
    [anon_sym_SQUOTE] = ACTIONS(3336),
    [anon_sym_class] = ACTIONS(3336),
    [anon_sym_async] = ACTIONS(3336),
    [anon_sym_function] = ACTIONS(3336),
    [anon_sym_new] = ACTIONS(3336),
    [anon_sym_using] = ACTIONS(3336),
    [anon_sym_PLUS] = ACTIONS(3336),
    [anon_sym_DASH] = ACTIONS(3336),
    [anon_sym_SLASH] = ACTIONS(3336),
    [anon_sym_LT] = ACTIONS(3336),
    [anon_sym_TILDE] = ACTIONS(3336),
    [anon_sym_void] = ACTIONS(3336),
    [anon_sym_delete] = ACTIONS(3336),
    [anon_sym_PLUS_PLUS] = ACTIONS(3336),
    [anon_sym_DASH_DASH] = ACTIONS(3336),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3336),
    [sym_number] = ACTIONS(3336),
    [sym_private_property_identifier] = ACTIONS(3336),
    [sym_this] = ACTIONS(3336),
    [sym_super] = ACTIONS(3336),
    [sym_true] = ACTIONS(3336),
    [sym_false] = ACTIONS(3336),
    [sym_null] = ACTIONS(3336),
    [sym_undefined] = ACTIONS(3336),
    [anon_sym_AT] = ACTIONS(3336),
    [anon_sym_static] = ACTIONS(3336),
    [anon_sym_readonly] = ACTIONS(3336),
    [anon_sym_get] = ACTIONS(3336),
    [anon_sym_set] = ACTIONS(3336),
    [anon_sym_declare] = ACTIONS(3336),
    [anon_sym_public] = ACTIONS(3336),
    [anon_sym_private] = ACTIONS(3336),
    [anon_sym_protected] = ACTIONS(3336),
    [anon_sym_override] = ACTIONS(3336),
    [anon_sym_module] = ACTIONS(3336),
    [anon_sym_any] = ACTIONS(3336),
    [anon_sym_number] = ACTIONS(3336),
    [anon_sym_boolean] = ACTIONS(3336),
    [anon_sym_string] = ACTIONS(3336),
    [anon_sym_symbol] = ACTIONS(3336),
    [anon_sym_object] = ACTIONS(3336),
    [anon_sym_abstract] = ACTIONS(3336),
    [anon_sym_interface] = ACTIONS(3336),
    [anon_sym_enum] = ACTIONS(3336),
    [sym_html_comment] = ACTIONS(5),
  },
  [1681] = {
    [sym_comment] = STATE(1681),
    [ts_builtin_sym_end] = ACTIONS(3470),
    [sym_identifier] = ACTIONS(3336),
    [anon_sym_export] = ACTIONS(3336),
    [anon_sym_type] = ACTIONS(3336),
    [anon_sym_namespace] = ACTIONS(3336),
    [anon_sym_LBRACE] = ACTIONS(3336),
    [anon_sym_RBRACE] = ACTIONS(3336),
    [anon_sym_typeof] = ACTIONS(3336),
    [anon_sym_import] = ACTIONS(3336),
    [anon_sym_with] = ACTIONS(3336),
    [anon_sym_var] = ACTIONS(3336),
    [anon_sym_let] = ACTIONS(3336),
    [anon_sym_const] = ACTIONS(3336),
    [anon_sym_BANG] = ACTIONS(3336),
    [anon_sym_if] = ACTIONS(3336),
    [anon_sym_switch] = ACTIONS(3336),
    [anon_sym_for] = ACTIONS(3336),
    [anon_sym_LPAREN] = ACTIONS(3336),
    [anon_sym_await] = ACTIONS(3336),
    [anon_sym_while] = ACTIONS(3336),
    [anon_sym_do] = ACTIONS(3336),
    [anon_sym_try] = ACTIONS(3336),
    [anon_sym_break] = ACTIONS(3336),
    [anon_sym_continue] = ACTIONS(3336),
    [anon_sym_debugger] = ACTIONS(3336),
    [anon_sym_return] = ACTIONS(3336),
    [anon_sym_throw] = ACTIONS(3336),
    [anon_sym_SEMI] = ACTIONS(3336),
    [anon_sym_yield] = ACTIONS(3336),
    [anon_sym_LBRACK] = ACTIONS(3336),
    [anon_sym_LTtemplate_GT] = ACTIONS(3336),
    [anon_sym_DQUOTE] = ACTIONS(3336),
    [anon_sym_SQUOTE] = ACTIONS(3336),
    [anon_sym_class] = ACTIONS(3336),
    [anon_sym_async] = ACTIONS(3336),
    [anon_sym_function] = ACTIONS(3336),
    [anon_sym_new] = ACTIONS(3336),
    [anon_sym_using] = ACTIONS(3336),
    [anon_sym_PLUS] = ACTIONS(3336),
    [anon_sym_DASH] = ACTIONS(3336),
    [anon_sym_SLASH] = ACTIONS(3336),
    [anon_sym_LT] = ACTIONS(3336),
    [anon_sym_TILDE] = ACTIONS(3336),
    [anon_sym_void] = ACTIONS(3336),
    [anon_sym_delete] = ACTIONS(3336),
    [anon_sym_PLUS_PLUS] = ACTIONS(3336),
    [anon_sym_DASH_DASH] = ACTIONS(3336),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3336),
    [sym_number] = ACTIONS(3336),
    [sym_private_property_identifier] = ACTIONS(3336),
    [sym_this] = ACTIONS(3336),
    [sym_super] = ACTIONS(3336),
    [sym_true] = ACTIONS(3336),
    [sym_false] = ACTIONS(3336),
    [sym_null] = ACTIONS(3336),
    [sym_undefined] = ACTIONS(3336),
    [anon_sym_AT] = ACTIONS(3336),
    [anon_sym_static] = ACTIONS(3336),
    [anon_sym_readonly] = ACTIONS(3336),
    [anon_sym_get] = ACTIONS(3336),
    [anon_sym_set] = ACTIONS(3336),
    [anon_sym_declare] = ACTIONS(3336),
    [anon_sym_public] = ACTIONS(3336),
    [anon_sym_private] = ACTIONS(3336),
    [anon_sym_protected] = ACTIONS(3336),
    [anon_sym_override] = ACTIONS(3336),
    [anon_sym_module] = ACTIONS(3336),
    [anon_sym_any] = ACTIONS(3336),
    [anon_sym_number] = ACTIONS(3336),
    [anon_sym_boolean] = ACTIONS(3336),
    [anon_sym_string] = ACTIONS(3336),
    [anon_sym_symbol] = ACTIONS(3336),
    [anon_sym_object] = ACTIONS(3336),
    [anon_sym_abstract] = ACTIONS(3336),
    [anon_sym_interface] = ACTIONS(3336),
    [anon_sym_enum] = ACTIONS(3336),
    [sym_html_comment] = ACTIONS(5),
  },
  [1682] = {
    [sym_comment] = STATE(1682),
    [ts_builtin_sym_end] = ACTIONS(3470),
    [sym_identifier] = ACTIONS(3336),
    [anon_sym_export] = ACTIONS(3336),
    [anon_sym_type] = ACTIONS(3336),
    [anon_sym_namespace] = ACTIONS(3336),
    [anon_sym_LBRACE] = ACTIONS(3336),
    [anon_sym_RBRACE] = ACTIONS(3336),
    [anon_sym_typeof] = ACTIONS(3336),
    [anon_sym_import] = ACTIONS(3336),
    [anon_sym_with] = ACTIONS(3336),
    [anon_sym_var] = ACTIONS(3336),
    [anon_sym_let] = ACTIONS(3336),
    [anon_sym_const] = ACTIONS(3336),
    [anon_sym_BANG] = ACTIONS(3336),
    [anon_sym_if] = ACTIONS(3336),
    [anon_sym_switch] = ACTIONS(3336),
    [anon_sym_for] = ACTIONS(3336),
    [anon_sym_LPAREN] = ACTIONS(3336),
    [anon_sym_await] = ACTIONS(3336),
    [anon_sym_while] = ACTIONS(3336),
    [anon_sym_do] = ACTIONS(3336),
    [anon_sym_try] = ACTIONS(3336),
    [anon_sym_break] = ACTIONS(3336),
    [anon_sym_continue] = ACTIONS(3336),
    [anon_sym_debugger] = ACTIONS(3336),
    [anon_sym_return] = ACTIONS(3336),
    [anon_sym_throw] = ACTIONS(3336),
    [anon_sym_SEMI] = ACTIONS(3336),
    [anon_sym_yield] = ACTIONS(3336),
    [anon_sym_LBRACK] = ACTIONS(3336),
    [anon_sym_LTtemplate_GT] = ACTIONS(3336),
    [anon_sym_DQUOTE] = ACTIONS(3336),
    [anon_sym_SQUOTE] = ACTIONS(3336),
    [anon_sym_class] = ACTIONS(3336),
    [anon_sym_async] = ACTIONS(3336),
    [anon_sym_function] = ACTIONS(3336),
    [anon_sym_new] = ACTIONS(3336),
    [anon_sym_using] = ACTIONS(3336),
    [anon_sym_PLUS] = ACTIONS(3336),
    [anon_sym_DASH] = ACTIONS(3336),
    [anon_sym_SLASH] = ACTIONS(3336),
    [anon_sym_LT] = ACTIONS(3336),
    [anon_sym_TILDE] = ACTIONS(3336),
    [anon_sym_void] = ACTIONS(3336),
    [anon_sym_delete] = ACTIONS(3336),
    [anon_sym_PLUS_PLUS] = ACTIONS(3336),
    [anon_sym_DASH_DASH] = ACTIONS(3336),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3336),
    [sym_number] = ACTIONS(3336),
    [sym_private_property_identifier] = ACTIONS(3336),
    [sym_this] = ACTIONS(3336),
    [sym_super] = ACTIONS(3336),
    [sym_true] = ACTIONS(3336),
    [sym_false] = ACTIONS(3336),
    [sym_null] = ACTIONS(3336),
    [sym_undefined] = ACTIONS(3336),
    [anon_sym_AT] = ACTIONS(3336),
    [anon_sym_static] = ACTIONS(3336),
    [anon_sym_readonly] = ACTIONS(3336),
    [anon_sym_get] = ACTIONS(3336),
    [anon_sym_set] = ACTIONS(3336),
    [anon_sym_declare] = ACTIONS(3336),
    [anon_sym_public] = ACTIONS(3336),
    [anon_sym_private] = ACTIONS(3336),
    [anon_sym_protected] = ACTIONS(3336),
    [anon_sym_override] = ACTIONS(3336),
    [anon_sym_module] = ACTIONS(3336),
    [anon_sym_any] = ACTIONS(3336),
    [anon_sym_number] = ACTIONS(3336),
    [anon_sym_boolean] = ACTIONS(3336),
    [anon_sym_string] = ACTIONS(3336),
    [anon_sym_symbol] = ACTIONS(3336),
    [anon_sym_object] = ACTIONS(3336),
    [anon_sym_abstract] = ACTIONS(3336),
    [anon_sym_interface] = ACTIONS(3336),
    [anon_sym_enum] = ACTIONS(3336),
    [sym_html_comment] = ACTIONS(5),
  },
  [1683] = {
    [sym_comment] = STATE(1683),
    [ts_builtin_sym_end] = ACTIONS(3470),
    [sym_identifier] = ACTIONS(3336),
    [anon_sym_export] = ACTIONS(3336),
    [anon_sym_type] = ACTIONS(3336),
    [anon_sym_namespace] = ACTIONS(3336),
    [anon_sym_LBRACE] = ACTIONS(3336),
    [anon_sym_RBRACE] = ACTIONS(3336),
    [anon_sym_typeof] = ACTIONS(3336),
    [anon_sym_import] = ACTIONS(3336),
    [anon_sym_with] = ACTIONS(3336),
    [anon_sym_var] = ACTIONS(3336),
    [anon_sym_let] = ACTIONS(3336),
    [anon_sym_const] = ACTIONS(3336),
    [anon_sym_BANG] = ACTIONS(3336),
    [anon_sym_if] = ACTIONS(3336),
    [anon_sym_switch] = ACTIONS(3336),
    [anon_sym_for] = ACTIONS(3336),
    [anon_sym_LPAREN] = ACTIONS(3336),
    [anon_sym_await] = ACTIONS(3336),
    [anon_sym_while] = ACTIONS(3336),
    [anon_sym_do] = ACTIONS(3336),
    [anon_sym_try] = ACTIONS(3336),
    [anon_sym_break] = ACTIONS(3336),
    [anon_sym_continue] = ACTIONS(3336),
    [anon_sym_debugger] = ACTIONS(3336),
    [anon_sym_return] = ACTIONS(3336),
    [anon_sym_throw] = ACTIONS(3336),
    [anon_sym_SEMI] = ACTIONS(3336),
    [anon_sym_yield] = ACTIONS(3336),
    [anon_sym_LBRACK] = ACTIONS(3336),
    [anon_sym_LTtemplate_GT] = ACTIONS(3336),
    [anon_sym_DQUOTE] = ACTIONS(3336),
    [anon_sym_SQUOTE] = ACTIONS(3336),
    [anon_sym_class] = ACTIONS(3336),
    [anon_sym_async] = ACTIONS(3336),
    [anon_sym_function] = ACTIONS(3336),
    [anon_sym_new] = ACTIONS(3336),
    [anon_sym_using] = ACTIONS(3336),
    [anon_sym_PLUS] = ACTIONS(3336),
    [anon_sym_DASH] = ACTIONS(3336),
    [anon_sym_SLASH] = ACTIONS(3336),
    [anon_sym_LT] = ACTIONS(3336),
    [anon_sym_TILDE] = ACTIONS(3336),
    [anon_sym_void] = ACTIONS(3336),
    [anon_sym_delete] = ACTIONS(3336),
    [anon_sym_PLUS_PLUS] = ACTIONS(3336),
    [anon_sym_DASH_DASH] = ACTIONS(3336),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3336),
    [sym_number] = ACTIONS(3336),
    [sym_private_property_identifier] = ACTIONS(3336),
    [sym_this] = ACTIONS(3336),
    [sym_super] = ACTIONS(3336),
    [sym_true] = ACTIONS(3336),
    [sym_false] = ACTIONS(3336),
    [sym_null] = ACTIONS(3336),
    [sym_undefined] = ACTIONS(3336),
    [anon_sym_AT] = ACTIONS(3336),
    [anon_sym_static] = ACTIONS(3336),
    [anon_sym_readonly] = ACTIONS(3336),
    [anon_sym_get] = ACTIONS(3336),
    [anon_sym_set] = ACTIONS(3336),
    [anon_sym_declare] = ACTIONS(3336),
    [anon_sym_public] = ACTIONS(3336),
    [anon_sym_private] = ACTIONS(3336),
    [anon_sym_protected] = ACTIONS(3336),
    [anon_sym_override] = ACTIONS(3336),
    [anon_sym_module] = ACTIONS(3336),
    [anon_sym_any] = ACTIONS(3336),
    [anon_sym_number] = ACTIONS(3336),
    [anon_sym_boolean] = ACTIONS(3336),
    [anon_sym_string] = ACTIONS(3336),
    [anon_sym_symbol] = ACTIONS(3336),
    [anon_sym_object] = ACTIONS(3336),
    [anon_sym_abstract] = ACTIONS(3336),
    [anon_sym_interface] = ACTIONS(3336),
    [anon_sym_enum] = ACTIONS(3336),
    [sym_html_comment] = ACTIONS(5),
  },
  [1684] = {
    [sym_comment] = STATE(1684),
    [ts_builtin_sym_end] = ACTIONS(3470),
    [sym_identifier] = ACTIONS(3336),
    [anon_sym_export] = ACTIONS(3336),
    [anon_sym_type] = ACTIONS(3336),
    [anon_sym_namespace] = ACTIONS(3336),
    [anon_sym_LBRACE] = ACTIONS(3336),
    [anon_sym_RBRACE] = ACTIONS(3336),
    [anon_sym_typeof] = ACTIONS(3336),
    [anon_sym_import] = ACTIONS(3336),
    [anon_sym_with] = ACTIONS(3336),
    [anon_sym_var] = ACTIONS(3336),
    [anon_sym_let] = ACTIONS(3336),
    [anon_sym_const] = ACTIONS(3336),
    [anon_sym_BANG] = ACTIONS(3336),
    [anon_sym_if] = ACTIONS(3336),
    [anon_sym_switch] = ACTIONS(3336),
    [anon_sym_for] = ACTIONS(3336),
    [anon_sym_LPAREN] = ACTIONS(3336),
    [anon_sym_await] = ACTIONS(3336),
    [anon_sym_while] = ACTIONS(3336),
    [anon_sym_do] = ACTIONS(3336),
    [anon_sym_try] = ACTIONS(3336),
    [anon_sym_break] = ACTIONS(3336),
    [anon_sym_continue] = ACTIONS(3336),
    [anon_sym_debugger] = ACTIONS(3336),
    [anon_sym_return] = ACTIONS(3336),
    [anon_sym_throw] = ACTIONS(3336),
    [anon_sym_SEMI] = ACTIONS(3336),
    [anon_sym_yield] = ACTIONS(3336),
    [anon_sym_LBRACK] = ACTIONS(3336),
    [anon_sym_LTtemplate_GT] = ACTIONS(3336),
    [anon_sym_DQUOTE] = ACTIONS(3336),
    [anon_sym_SQUOTE] = ACTIONS(3336),
    [anon_sym_class] = ACTIONS(3336),
    [anon_sym_async] = ACTIONS(3336),
    [anon_sym_function] = ACTIONS(3336),
    [anon_sym_new] = ACTIONS(3336),
    [anon_sym_using] = ACTIONS(3336),
    [anon_sym_PLUS] = ACTIONS(3336),
    [anon_sym_DASH] = ACTIONS(3336),
    [anon_sym_SLASH] = ACTIONS(3336),
    [anon_sym_LT] = ACTIONS(3336),
    [anon_sym_TILDE] = ACTIONS(3336),
    [anon_sym_void] = ACTIONS(3336),
    [anon_sym_delete] = ACTIONS(3336),
    [anon_sym_PLUS_PLUS] = ACTIONS(3336),
    [anon_sym_DASH_DASH] = ACTIONS(3336),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3336),
    [sym_number] = ACTIONS(3336),
    [sym_private_property_identifier] = ACTIONS(3336),
    [sym_this] = ACTIONS(3336),
    [sym_super] = ACTIONS(3336),
    [sym_true] = ACTIONS(3336),
    [sym_false] = ACTIONS(3336),
    [sym_null] = ACTIONS(3336),
    [sym_undefined] = ACTIONS(3336),
    [anon_sym_AT] = ACTIONS(3336),
    [anon_sym_static] = ACTIONS(3336),
    [anon_sym_readonly] = ACTIONS(3336),
    [anon_sym_get] = ACTIONS(3336),
    [anon_sym_set] = ACTIONS(3336),
    [anon_sym_declare] = ACTIONS(3336),
    [anon_sym_public] = ACTIONS(3336),
    [anon_sym_private] = ACTIONS(3336),
    [anon_sym_protected] = ACTIONS(3336),
    [anon_sym_override] = ACTIONS(3336),
    [anon_sym_module] = ACTIONS(3336),
    [anon_sym_any] = ACTIONS(3336),
    [anon_sym_number] = ACTIONS(3336),
    [anon_sym_boolean] = ACTIONS(3336),
    [anon_sym_string] = ACTIONS(3336),
    [anon_sym_symbol] = ACTIONS(3336),
    [anon_sym_object] = ACTIONS(3336),
    [anon_sym_abstract] = ACTIONS(3336),
    [anon_sym_interface] = ACTIONS(3336),
    [anon_sym_enum] = ACTIONS(3336),
    [sym_html_comment] = ACTIONS(5),
  },
  [1685] = {
    [sym_comment] = STATE(1685),
    [ts_builtin_sym_end] = ACTIONS(2079),
    [sym_identifier] = ACTIONS(2077),
    [anon_sym_export] = ACTIONS(2077),
    [anon_sym_type] = ACTIONS(2077),
    [anon_sym_namespace] = ACTIONS(2077),
    [anon_sym_LBRACE] = ACTIONS(2077),
    [anon_sym_RBRACE] = ACTIONS(2077),
    [anon_sym_typeof] = ACTIONS(2077),
    [anon_sym_import] = ACTIONS(2077),
    [anon_sym_with] = ACTIONS(2077),
    [anon_sym_var] = ACTIONS(2077),
    [anon_sym_let] = ACTIONS(2077),
    [anon_sym_const] = ACTIONS(2077),
    [anon_sym_BANG] = ACTIONS(2077),
    [anon_sym_if] = ACTIONS(2077),
    [anon_sym_switch] = ACTIONS(2077),
    [anon_sym_for] = ACTIONS(2077),
    [anon_sym_LPAREN] = ACTIONS(2077),
    [anon_sym_await] = ACTIONS(2077),
    [anon_sym_while] = ACTIONS(2077),
    [anon_sym_do] = ACTIONS(2077),
    [anon_sym_try] = ACTIONS(2077),
    [anon_sym_break] = ACTIONS(2077),
    [anon_sym_continue] = ACTIONS(2077),
    [anon_sym_debugger] = ACTIONS(2077),
    [anon_sym_return] = ACTIONS(2077),
    [anon_sym_throw] = ACTIONS(2077),
    [anon_sym_SEMI] = ACTIONS(2077),
    [anon_sym_yield] = ACTIONS(2077),
    [anon_sym_LBRACK] = ACTIONS(2077),
    [anon_sym_LTtemplate_GT] = ACTIONS(2077),
    [anon_sym_DQUOTE] = ACTIONS(2077),
    [anon_sym_SQUOTE] = ACTIONS(2077),
    [anon_sym_class] = ACTIONS(2077),
    [anon_sym_async] = ACTIONS(2077),
    [anon_sym_function] = ACTIONS(2077),
    [anon_sym_new] = ACTIONS(2077),
    [anon_sym_using] = ACTIONS(2077),
    [anon_sym_PLUS] = ACTIONS(2077),
    [anon_sym_DASH] = ACTIONS(2077),
    [anon_sym_SLASH] = ACTIONS(2077),
    [anon_sym_LT] = ACTIONS(2077),
    [anon_sym_TILDE] = ACTIONS(2077),
    [anon_sym_void] = ACTIONS(2077),
    [anon_sym_delete] = ACTIONS(2077),
    [anon_sym_PLUS_PLUS] = ACTIONS(2077),
    [anon_sym_DASH_DASH] = ACTIONS(2077),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2077),
    [sym_number] = ACTIONS(2077),
    [sym_private_property_identifier] = ACTIONS(2077),
    [sym_this] = ACTIONS(2077),
    [sym_super] = ACTIONS(2077),
    [sym_true] = ACTIONS(2077),
    [sym_false] = ACTIONS(2077),
    [sym_null] = ACTIONS(2077),
    [sym_undefined] = ACTIONS(2077),
    [anon_sym_AT] = ACTIONS(2077),
    [anon_sym_static] = ACTIONS(2077),
    [anon_sym_readonly] = ACTIONS(2077),
    [anon_sym_get] = ACTIONS(2077),
    [anon_sym_set] = ACTIONS(2077),
    [anon_sym_declare] = ACTIONS(2077),
    [anon_sym_public] = ACTIONS(2077),
    [anon_sym_private] = ACTIONS(2077),
    [anon_sym_protected] = ACTIONS(2077),
    [anon_sym_override] = ACTIONS(2077),
    [anon_sym_module] = ACTIONS(2077),
    [anon_sym_any] = ACTIONS(2077),
    [anon_sym_number] = ACTIONS(2077),
    [anon_sym_boolean] = ACTIONS(2077),
    [anon_sym_string] = ACTIONS(2077),
    [anon_sym_symbol] = ACTIONS(2077),
    [anon_sym_object] = ACTIONS(2077),
    [anon_sym_abstract] = ACTIONS(2077),
    [anon_sym_interface] = ACTIONS(2077),
    [anon_sym_enum] = ACTIONS(2077),
    [sym_html_comment] = ACTIONS(5),
  },
  [1686] = {
    [sym_comment] = STATE(1686),
    [ts_builtin_sym_end] = ACTIONS(3470),
    [sym_identifier] = ACTIONS(3336),
    [anon_sym_export] = ACTIONS(3336),
    [anon_sym_type] = ACTIONS(3336),
    [anon_sym_namespace] = ACTIONS(3336),
    [anon_sym_LBRACE] = ACTIONS(3336),
    [anon_sym_RBRACE] = ACTIONS(3336),
    [anon_sym_typeof] = ACTIONS(3336),
    [anon_sym_import] = ACTIONS(3336),
    [anon_sym_with] = ACTIONS(3336),
    [anon_sym_var] = ACTIONS(3336),
    [anon_sym_let] = ACTIONS(3336),
    [anon_sym_const] = ACTIONS(3336),
    [anon_sym_BANG] = ACTIONS(3336),
    [anon_sym_if] = ACTIONS(3336),
    [anon_sym_switch] = ACTIONS(3336),
    [anon_sym_for] = ACTIONS(3336),
    [anon_sym_LPAREN] = ACTIONS(3336),
    [anon_sym_await] = ACTIONS(3336),
    [anon_sym_while] = ACTIONS(3336),
    [anon_sym_do] = ACTIONS(3336),
    [anon_sym_try] = ACTIONS(3336),
    [anon_sym_break] = ACTIONS(3336),
    [anon_sym_continue] = ACTIONS(3336),
    [anon_sym_debugger] = ACTIONS(3336),
    [anon_sym_return] = ACTIONS(3336),
    [anon_sym_throw] = ACTIONS(3336),
    [anon_sym_SEMI] = ACTIONS(3336),
    [anon_sym_yield] = ACTIONS(3336),
    [anon_sym_LBRACK] = ACTIONS(3336),
    [anon_sym_LTtemplate_GT] = ACTIONS(3336),
    [anon_sym_DQUOTE] = ACTIONS(3336),
    [anon_sym_SQUOTE] = ACTIONS(3336),
    [anon_sym_class] = ACTIONS(3336),
    [anon_sym_async] = ACTIONS(3336),
    [anon_sym_function] = ACTIONS(3336),
    [anon_sym_new] = ACTIONS(3336),
    [anon_sym_using] = ACTIONS(3336),
    [anon_sym_PLUS] = ACTIONS(3336),
    [anon_sym_DASH] = ACTIONS(3336),
    [anon_sym_SLASH] = ACTIONS(3336),
    [anon_sym_LT] = ACTIONS(3336),
    [anon_sym_TILDE] = ACTIONS(3336),
    [anon_sym_void] = ACTIONS(3336),
    [anon_sym_delete] = ACTIONS(3336),
    [anon_sym_PLUS_PLUS] = ACTIONS(3336),
    [anon_sym_DASH_DASH] = ACTIONS(3336),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3336),
    [sym_number] = ACTIONS(3336),
    [sym_private_property_identifier] = ACTIONS(3336),
    [sym_this] = ACTIONS(3336),
    [sym_super] = ACTIONS(3336),
    [sym_true] = ACTIONS(3336),
    [sym_false] = ACTIONS(3336),
    [sym_null] = ACTIONS(3336),
    [sym_undefined] = ACTIONS(3336),
    [anon_sym_AT] = ACTIONS(3336),
    [anon_sym_static] = ACTIONS(3336),
    [anon_sym_readonly] = ACTIONS(3336),
    [anon_sym_get] = ACTIONS(3336),
    [anon_sym_set] = ACTIONS(3336),
    [anon_sym_declare] = ACTIONS(3336),
    [anon_sym_public] = ACTIONS(3336),
    [anon_sym_private] = ACTIONS(3336),
    [anon_sym_protected] = ACTIONS(3336),
    [anon_sym_override] = ACTIONS(3336),
    [anon_sym_module] = ACTIONS(3336),
    [anon_sym_any] = ACTIONS(3336),
    [anon_sym_number] = ACTIONS(3336),
    [anon_sym_boolean] = ACTIONS(3336),
    [anon_sym_string] = ACTIONS(3336),
    [anon_sym_symbol] = ACTIONS(3336),
    [anon_sym_object] = ACTIONS(3336),
    [anon_sym_abstract] = ACTIONS(3336),
    [anon_sym_interface] = ACTIONS(3336),
    [anon_sym_enum] = ACTIONS(3336),
    [sym_html_comment] = ACTIONS(5),
  },
  [1687] = {
    [sym_comment] = STATE(1687),
    [ts_builtin_sym_end] = ACTIONS(3470),
    [sym_identifier] = ACTIONS(3336),
    [anon_sym_export] = ACTIONS(3336),
    [anon_sym_type] = ACTIONS(3336),
    [anon_sym_namespace] = ACTIONS(3336),
    [anon_sym_LBRACE] = ACTIONS(3336),
    [anon_sym_RBRACE] = ACTIONS(3336),
    [anon_sym_typeof] = ACTIONS(3336),
    [anon_sym_import] = ACTIONS(3336),
    [anon_sym_with] = ACTIONS(3336),
    [anon_sym_var] = ACTIONS(3336),
    [anon_sym_let] = ACTIONS(3336),
    [anon_sym_const] = ACTIONS(3336),
    [anon_sym_BANG] = ACTIONS(3336),
    [anon_sym_if] = ACTIONS(3336),
    [anon_sym_switch] = ACTIONS(3336),
    [anon_sym_for] = ACTIONS(3336),
    [anon_sym_LPAREN] = ACTIONS(3336),
    [anon_sym_await] = ACTIONS(3336),
    [anon_sym_while] = ACTIONS(3336),
    [anon_sym_do] = ACTIONS(3336),
    [anon_sym_try] = ACTIONS(3336),
    [anon_sym_break] = ACTIONS(3336),
    [anon_sym_continue] = ACTIONS(3336),
    [anon_sym_debugger] = ACTIONS(3336),
    [anon_sym_return] = ACTIONS(3336),
    [anon_sym_throw] = ACTIONS(3336),
    [anon_sym_SEMI] = ACTIONS(3336),
    [anon_sym_yield] = ACTIONS(3336),
    [anon_sym_LBRACK] = ACTIONS(3336),
    [anon_sym_LTtemplate_GT] = ACTIONS(3336),
    [anon_sym_DQUOTE] = ACTIONS(3336),
    [anon_sym_SQUOTE] = ACTIONS(3336),
    [anon_sym_class] = ACTIONS(3336),
    [anon_sym_async] = ACTIONS(3336),
    [anon_sym_function] = ACTIONS(3336),
    [anon_sym_new] = ACTIONS(3336),
    [anon_sym_using] = ACTIONS(3336),
    [anon_sym_PLUS] = ACTIONS(3336),
    [anon_sym_DASH] = ACTIONS(3336),
    [anon_sym_SLASH] = ACTIONS(3336),
    [anon_sym_LT] = ACTIONS(3336),
    [anon_sym_TILDE] = ACTIONS(3336),
    [anon_sym_void] = ACTIONS(3336),
    [anon_sym_delete] = ACTIONS(3336),
    [anon_sym_PLUS_PLUS] = ACTIONS(3336),
    [anon_sym_DASH_DASH] = ACTIONS(3336),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3336),
    [sym_number] = ACTIONS(3336),
    [sym_private_property_identifier] = ACTIONS(3336),
    [sym_this] = ACTIONS(3336),
    [sym_super] = ACTIONS(3336),
    [sym_true] = ACTIONS(3336),
    [sym_false] = ACTIONS(3336),
    [sym_null] = ACTIONS(3336),
    [sym_undefined] = ACTIONS(3336),
    [anon_sym_AT] = ACTIONS(3336),
    [anon_sym_static] = ACTIONS(3336),
    [anon_sym_readonly] = ACTIONS(3336),
    [anon_sym_get] = ACTIONS(3336),
    [anon_sym_set] = ACTIONS(3336),
    [anon_sym_declare] = ACTIONS(3336),
    [anon_sym_public] = ACTIONS(3336),
    [anon_sym_private] = ACTIONS(3336),
    [anon_sym_protected] = ACTIONS(3336),
    [anon_sym_override] = ACTIONS(3336),
    [anon_sym_module] = ACTIONS(3336),
    [anon_sym_any] = ACTIONS(3336),
    [anon_sym_number] = ACTIONS(3336),
    [anon_sym_boolean] = ACTIONS(3336),
    [anon_sym_string] = ACTIONS(3336),
    [anon_sym_symbol] = ACTIONS(3336),
    [anon_sym_object] = ACTIONS(3336),
    [anon_sym_abstract] = ACTIONS(3336),
    [anon_sym_interface] = ACTIONS(3336),
    [anon_sym_enum] = ACTIONS(3336),
    [sym_html_comment] = ACTIONS(5),
  },
  [1688] = {
    [sym_comment] = STATE(1688),
    [ts_builtin_sym_end] = ACTIONS(3470),
    [sym_identifier] = ACTIONS(3336),
    [anon_sym_export] = ACTIONS(3336),
    [anon_sym_type] = ACTIONS(3336),
    [anon_sym_namespace] = ACTIONS(3336),
    [anon_sym_LBRACE] = ACTIONS(3336),
    [anon_sym_RBRACE] = ACTIONS(3336),
    [anon_sym_typeof] = ACTIONS(3336),
    [anon_sym_import] = ACTIONS(3336),
    [anon_sym_with] = ACTIONS(3336),
    [anon_sym_var] = ACTIONS(3336),
    [anon_sym_let] = ACTIONS(3336),
    [anon_sym_const] = ACTIONS(3336),
    [anon_sym_BANG] = ACTIONS(3336),
    [anon_sym_if] = ACTIONS(3336),
    [anon_sym_switch] = ACTIONS(3336),
    [anon_sym_for] = ACTIONS(3336),
    [anon_sym_LPAREN] = ACTIONS(3336),
    [anon_sym_await] = ACTIONS(3336),
    [anon_sym_while] = ACTIONS(3336),
    [anon_sym_do] = ACTIONS(3336),
    [anon_sym_try] = ACTIONS(3336),
    [anon_sym_break] = ACTIONS(3336),
    [anon_sym_continue] = ACTIONS(3336),
    [anon_sym_debugger] = ACTIONS(3336),
    [anon_sym_return] = ACTIONS(3336),
    [anon_sym_throw] = ACTIONS(3336),
    [anon_sym_SEMI] = ACTIONS(3336),
    [anon_sym_yield] = ACTIONS(3336),
    [anon_sym_LBRACK] = ACTIONS(3336),
    [anon_sym_LTtemplate_GT] = ACTIONS(3336),
    [anon_sym_DQUOTE] = ACTIONS(3336),
    [anon_sym_SQUOTE] = ACTIONS(3336),
    [anon_sym_class] = ACTIONS(3336),
    [anon_sym_async] = ACTIONS(3336),
    [anon_sym_function] = ACTIONS(3336),
    [anon_sym_new] = ACTIONS(3336),
    [anon_sym_using] = ACTIONS(3336),
    [anon_sym_PLUS] = ACTIONS(3336),
    [anon_sym_DASH] = ACTIONS(3336),
    [anon_sym_SLASH] = ACTIONS(3336),
    [anon_sym_LT] = ACTIONS(3336),
    [anon_sym_TILDE] = ACTIONS(3336),
    [anon_sym_void] = ACTIONS(3336),
    [anon_sym_delete] = ACTIONS(3336),
    [anon_sym_PLUS_PLUS] = ACTIONS(3336),
    [anon_sym_DASH_DASH] = ACTIONS(3336),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3336),
    [sym_number] = ACTIONS(3336),
    [sym_private_property_identifier] = ACTIONS(3336),
    [sym_this] = ACTIONS(3336),
    [sym_super] = ACTIONS(3336),
    [sym_true] = ACTIONS(3336),
    [sym_false] = ACTIONS(3336),
    [sym_null] = ACTIONS(3336),
    [sym_undefined] = ACTIONS(3336),
    [anon_sym_AT] = ACTIONS(3336),
    [anon_sym_static] = ACTIONS(3336),
    [anon_sym_readonly] = ACTIONS(3336),
    [anon_sym_get] = ACTIONS(3336),
    [anon_sym_set] = ACTIONS(3336),
    [anon_sym_declare] = ACTIONS(3336),
    [anon_sym_public] = ACTIONS(3336),
    [anon_sym_private] = ACTIONS(3336),
    [anon_sym_protected] = ACTIONS(3336),
    [anon_sym_override] = ACTIONS(3336),
    [anon_sym_module] = ACTIONS(3336),
    [anon_sym_any] = ACTIONS(3336),
    [anon_sym_number] = ACTIONS(3336),
    [anon_sym_boolean] = ACTIONS(3336),
    [anon_sym_string] = ACTIONS(3336),
    [anon_sym_symbol] = ACTIONS(3336),
    [anon_sym_object] = ACTIONS(3336),
    [anon_sym_abstract] = ACTIONS(3336),
    [anon_sym_interface] = ACTIONS(3336),
    [anon_sym_enum] = ACTIONS(3336),
    [sym_html_comment] = ACTIONS(5),
  },
  [1689] = {
    [sym_comment] = STATE(1689),
    [ts_builtin_sym_end] = ACTIONS(3470),
    [sym_identifier] = ACTIONS(3336),
    [anon_sym_export] = ACTIONS(3336),
    [anon_sym_type] = ACTIONS(3336),
    [anon_sym_namespace] = ACTIONS(3336),
    [anon_sym_LBRACE] = ACTIONS(3336),
    [anon_sym_RBRACE] = ACTIONS(3336),
    [anon_sym_typeof] = ACTIONS(3336),
    [anon_sym_import] = ACTIONS(3336),
    [anon_sym_with] = ACTIONS(3336),
    [anon_sym_var] = ACTIONS(3336),
    [anon_sym_let] = ACTIONS(3336),
    [anon_sym_const] = ACTIONS(3336),
    [anon_sym_BANG] = ACTIONS(3336),
    [anon_sym_if] = ACTIONS(3336),
    [anon_sym_switch] = ACTIONS(3336),
    [anon_sym_for] = ACTIONS(3336),
    [anon_sym_LPAREN] = ACTIONS(3336),
    [anon_sym_await] = ACTIONS(3336),
    [anon_sym_while] = ACTIONS(3336),
    [anon_sym_do] = ACTIONS(3336),
    [anon_sym_try] = ACTIONS(3336),
    [anon_sym_break] = ACTIONS(3336),
    [anon_sym_continue] = ACTIONS(3336),
    [anon_sym_debugger] = ACTIONS(3336),
    [anon_sym_return] = ACTIONS(3336),
    [anon_sym_throw] = ACTIONS(3336),
    [anon_sym_SEMI] = ACTIONS(3336),
    [anon_sym_yield] = ACTIONS(3336),
    [anon_sym_LBRACK] = ACTIONS(3336),
    [anon_sym_LTtemplate_GT] = ACTIONS(3336),
    [anon_sym_DQUOTE] = ACTIONS(3336),
    [anon_sym_SQUOTE] = ACTIONS(3336),
    [anon_sym_class] = ACTIONS(3336),
    [anon_sym_async] = ACTIONS(3336),
    [anon_sym_function] = ACTIONS(3336),
    [anon_sym_new] = ACTIONS(3336),
    [anon_sym_using] = ACTIONS(3336),
    [anon_sym_PLUS] = ACTIONS(3336),
    [anon_sym_DASH] = ACTIONS(3336),
    [anon_sym_SLASH] = ACTIONS(3336),
    [anon_sym_LT] = ACTIONS(3336),
    [anon_sym_TILDE] = ACTIONS(3336),
    [anon_sym_void] = ACTIONS(3336),
    [anon_sym_delete] = ACTIONS(3336),
    [anon_sym_PLUS_PLUS] = ACTIONS(3336),
    [anon_sym_DASH_DASH] = ACTIONS(3336),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3336),
    [sym_number] = ACTIONS(3336),
    [sym_private_property_identifier] = ACTIONS(3336),
    [sym_this] = ACTIONS(3336),
    [sym_super] = ACTIONS(3336),
    [sym_true] = ACTIONS(3336),
    [sym_false] = ACTIONS(3336),
    [sym_null] = ACTIONS(3336),
    [sym_undefined] = ACTIONS(3336),
    [anon_sym_AT] = ACTIONS(3336),
    [anon_sym_static] = ACTIONS(3336),
    [anon_sym_readonly] = ACTIONS(3336),
    [anon_sym_get] = ACTIONS(3336),
    [anon_sym_set] = ACTIONS(3336),
    [anon_sym_declare] = ACTIONS(3336),
    [anon_sym_public] = ACTIONS(3336),
    [anon_sym_private] = ACTIONS(3336),
    [anon_sym_protected] = ACTIONS(3336),
    [anon_sym_override] = ACTIONS(3336),
    [anon_sym_module] = ACTIONS(3336),
    [anon_sym_any] = ACTIONS(3336),
    [anon_sym_number] = ACTIONS(3336),
    [anon_sym_boolean] = ACTIONS(3336),
    [anon_sym_string] = ACTIONS(3336),
    [anon_sym_symbol] = ACTIONS(3336),
    [anon_sym_object] = ACTIONS(3336),
    [anon_sym_abstract] = ACTIONS(3336),
    [anon_sym_interface] = ACTIONS(3336),
    [anon_sym_enum] = ACTIONS(3336),
    [sym_html_comment] = ACTIONS(5),
  },
  [1690] = {
    [sym_comment] = STATE(1690),
    [ts_builtin_sym_end] = ACTIONS(3422),
    [sym_identifier] = ACTIONS(3296),
    [anon_sym_export] = ACTIONS(3296),
    [anon_sym_type] = ACTIONS(3296),
    [anon_sym_namespace] = ACTIONS(3296),
    [anon_sym_LBRACE] = ACTIONS(3296),
    [anon_sym_RBRACE] = ACTIONS(3296),
    [anon_sym_typeof] = ACTIONS(3296),
    [anon_sym_import] = ACTIONS(3296),
    [anon_sym_with] = ACTIONS(3296),
    [anon_sym_var] = ACTIONS(3296),
    [anon_sym_let] = ACTIONS(3296),
    [anon_sym_const] = ACTIONS(3296),
    [anon_sym_BANG] = ACTIONS(3296),
    [anon_sym_if] = ACTIONS(3296),
    [anon_sym_switch] = ACTIONS(3296),
    [anon_sym_for] = ACTIONS(3296),
    [anon_sym_LPAREN] = ACTIONS(3296),
    [anon_sym_await] = ACTIONS(3296),
    [anon_sym_while] = ACTIONS(3296),
    [anon_sym_do] = ACTIONS(3296),
    [anon_sym_try] = ACTIONS(3296),
    [anon_sym_break] = ACTIONS(3296),
    [anon_sym_continue] = ACTIONS(3296),
    [anon_sym_debugger] = ACTIONS(3296),
    [anon_sym_return] = ACTIONS(3296),
    [anon_sym_throw] = ACTIONS(3296),
    [anon_sym_SEMI] = ACTIONS(3296),
    [anon_sym_yield] = ACTIONS(3296),
    [anon_sym_LBRACK] = ACTIONS(3296),
    [anon_sym_LTtemplate_GT] = ACTIONS(3296),
    [anon_sym_DQUOTE] = ACTIONS(3296),
    [anon_sym_SQUOTE] = ACTIONS(3296),
    [anon_sym_class] = ACTIONS(3296),
    [anon_sym_async] = ACTIONS(3296),
    [anon_sym_function] = ACTIONS(3296),
    [anon_sym_new] = ACTIONS(3296),
    [anon_sym_using] = ACTIONS(3296),
    [anon_sym_PLUS] = ACTIONS(3296),
    [anon_sym_DASH] = ACTIONS(3296),
    [anon_sym_SLASH] = ACTIONS(3296),
    [anon_sym_LT] = ACTIONS(3296),
    [anon_sym_TILDE] = ACTIONS(3296),
    [anon_sym_void] = ACTIONS(3296),
    [anon_sym_delete] = ACTIONS(3296),
    [anon_sym_PLUS_PLUS] = ACTIONS(3296),
    [anon_sym_DASH_DASH] = ACTIONS(3296),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3296),
    [sym_number] = ACTIONS(3296),
    [sym_private_property_identifier] = ACTIONS(3296),
    [sym_this] = ACTIONS(3296),
    [sym_super] = ACTIONS(3296),
    [sym_true] = ACTIONS(3296),
    [sym_false] = ACTIONS(3296),
    [sym_null] = ACTIONS(3296),
    [sym_undefined] = ACTIONS(3296),
    [anon_sym_AT] = ACTIONS(3296),
    [anon_sym_static] = ACTIONS(3296),
    [anon_sym_readonly] = ACTIONS(3296),
    [anon_sym_get] = ACTIONS(3296),
    [anon_sym_set] = ACTIONS(3296),
    [anon_sym_declare] = ACTIONS(3296),
    [anon_sym_public] = ACTIONS(3296),
    [anon_sym_private] = ACTIONS(3296),
    [anon_sym_protected] = ACTIONS(3296),
    [anon_sym_override] = ACTIONS(3296),
    [anon_sym_module] = ACTIONS(3296),
    [anon_sym_any] = ACTIONS(3296),
    [anon_sym_number] = ACTIONS(3296),
    [anon_sym_boolean] = ACTIONS(3296),
    [anon_sym_string] = ACTIONS(3296),
    [anon_sym_symbol] = ACTIONS(3296),
    [anon_sym_object] = ACTIONS(3296),
    [anon_sym_abstract] = ACTIONS(3296),
    [anon_sym_interface] = ACTIONS(3296),
    [anon_sym_enum] = ACTIONS(3296),
    [sym_html_comment] = ACTIONS(5),
  },
  [1691] = {
    [sym_comment] = STATE(1691),
    [ts_builtin_sym_end] = ACTIONS(2107),
    [sym_identifier] = ACTIONS(2105),
    [anon_sym_export] = ACTIONS(2105),
    [anon_sym_type] = ACTIONS(2105),
    [anon_sym_namespace] = ACTIONS(2105),
    [anon_sym_LBRACE] = ACTIONS(2105),
    [anon_sym_RBRACE] = ACTIONS(2105),
    [anon_sym_typeof] = ACTIONS(2105),
    [anon_sym_import] = ACTIONS(2105),
    [anon_sym_with] = ACTIONS(2105),
    [anon_sym_var] = ACTIONS(2105),
    [anon_sym_let] = ACTIONS(2105),
    [anon_sym_const] = ACTIONS(2105),
    [anon_sym_BANG] = ACTIONS(2105),
    [anon_sym_if] = ACTIONS(2105),
    [anon_sym_switch] = ACTIONS(2105),
    [anon_sym_for] = ACTIONS(2105),
    [anon_sym_LPAREN] = ACTIONS(2105),
    [anon_sym_await] = ACTIONS(2105),
    [anon_sym_while] = ACTIONS(2105),
    [anon_sym_do] = ACTIONS(2105),
    [anon_sym_try] = ACTIONS(2105),
    [anon_sym_break] = ACTIONS(2105),
    [anon_sym_continue] = ACTIONS(2105),
    [anon_sym_debugger] = ACTIONS(2105),
    [anon_sym_return] = ACTIONS(2105),
    [anon_sym_throw] = ACTIONS(2105),
    [anon_sym_SEMI] = ACTIONS(2105),
    [anon_sym_yield] = ACTIONS(2105),
    [anon_sym_LBRACK] = ACTIONS(2105),
    [anon_sym_LTtemplate_GT] = ACTIONS(2105),
    [anon_sym_DQUOTE] = ACTIONS(2105),
    [anon_sym_SQUOTE] = ACTIONS(2105),
    [anon_sym_class] = ACTIONS(2105),
    [anon_sym_async] = ACTIONS(2105),
    [anon_sym_function] = ACTIONS(2105),
    [anon_sym_new] = ACTIONS(2105),
    [anon_sym_using] = ACTIONS(2105),
    [anon_sym_PLUS] = ACTIONS(2105),
    [anon_sym_DASH] = ACTIONS(2105),
    [anon_sym_SLASH] = ACTIONS(2105),
    [anon_sym_LT] = ACTIONS(2105),
    [anon_sym_TILDE] = ACTIONS(2105),
    [anon_sym_void] = ACTIONS(2105),
    [anon_sym_delete] = ACTIONS(2105),
    [anon_sym_PLUS_PLUS] = ACTIONS(2105),
    [anon_sym_DASH_DASH] = ACTIONS(2105),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2105),
    [sym_number] = ACTIONS(2105),
    [sym_private_property_identifier] = ACTIONS(2105),
    [sym_this] = ACTIONS(2105),
    [sym_super] = ACTIONS(2105),
    [sym_true] = ACTIONS(2105),
    [sym_false] = ACTIONS(2105),
    [sym_null] = ACTIONS(2105),
    [sym_undefined] = ACTIONS(2105),
    [anon_sym_AT] = ACTIONS(2105),
    [anon_sym_static] = ACTIONS(2105),
    [anon_sym_readonly] = ACTIONS(2105),
    [anon_sym_get] = ACTIONS(2105),
    [anon_sym_set] = ACTIONS(2105),
    [anon_sym_declare] = ACTIONS(2105),
    [anon_sym_public] = ACTIONS(2105),
    [anon_sym_private] = ACTIONS(2105),
    [anon_sym_protected] = ACTIONS(2105),
    [anon_sym_override] = ACTIONS(2105),
    [anon_sym_module] = ACTIONS(2105),
    [anon_sym_any] = ACTIONS(2105),
    [anon_sym_number] = ACTIONS(2105),
    [anon_sym_boolean] = ACTIONS(2105),
    [anon_sym_string] = ACTIONS(2105),
    [anon_sym_symbol] = ACTIONS(2105),
    [anon_sym_object] = ACTIONS(2105),
    [anon_sym_abstract] = ACTIONS(2105),
    [anon_sym_interface] = ACTIONS(2105),
    [anon_sym_enum] = ACTIONS(2105),
    [sym_html_comment] = ACTIONS(5),
  },
  [1692] = {
    [sym_comment] = STATE(1692),
    [ts_builtin_sym_end] = ACTIONS(3438),
    [sym_identifier] = ACTIONS(3252),
    [anon_sym_export] = ACTIONS(3252),
    [anon_sym_type] = ACTIONS(3252),
    [anon_sym_namespace] = ACTIONS(3252),
    [anon_sym_LBRACE] = ACTIONS(3252),
    [anon_sym_RBRACE] = ACTIONS(3252),
    [anon_sym_typeof] = ACTIONS(3252),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_with] = ACTIONS(3252),
    [anon_sym_var] = ACTIONS(3252),
    [anon_sym_let] = ACTIONS(3252),
    [anon_sym_const] = ACTIONS(3252),
    [anon_sym_BANG] = ACTIONS(3252),
    [anon_sym_if] = ACTIONS(3252),
    [anon_sym_switch] = ACTIONS(3252),
    [anon_sym_for] = ACTIONS(3252),
    [anon_sym_LPAREN] = ACTIONS(3252),
    [anon_sym_await] = ACTIONS(3252),
    [anon_sym_while] = ACTIONS(3252),
    [anon_sym_do] = ACTIONS(3252),
    [anon_sym_try] = ACTIONS(3252),
    [anon_sym_break] = ACTIONS(3252),
    [anon_sym_continue] = ACTIONS(3252),
    [anon_sym_debugger] = ACTIONS(3252),
    [anon_sym_return] = ACTIONS(3252),
    [anon_sym_throw] = ACTIONS(3252),
    [anon_sym_SEMI] = ACTIONS(3252),
    [anon_sym_yield] = ACTIONS(3252),
    [anon_sym_LBRACK] = ACTIONS(3252),
    [anon_sym_LTtemplate_GT] = ACTIONS(3252),
    [anon_sym_DQUOTE] = ACTIONS(3252),
    [anon_sym_SQUOTE] = ACTIONS(3252),
    [anon_sym_class] = ACTIONS(3252),
    [anon_sym_async] = ACTIONS(3252),
    [anon_sym_function] = ACTIONS(3252),
    [anon_sym_new] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3252),
    [anon_sym_PLUS] = ACTIONS(3252),
    [anon_sym_DASH] = ACTIONS(3252),
    [anon_sym_SLASH] = ACTIONS(3252),
    [anon_sym_LT] = ACTIONS(3252),
    [anon_sym_TILDE] = ACTIONS(3252),
    [anon_sym_void] = ACTIONS(3252),
    [anon_sym_delete] = ACTIONS(3252),
    [anon_sym_PLUS_PLUS] = ACTIONS(3252),
    [anon_sym_DASH_DASH] = ACTIONS(3252),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3252),
    [sym_number] = ACTIONS(3252),
    [sym_private_property_identifier] = ACTIONS(3252),
    [sym_this] = ACTIONS(3252),
    [sym_super] = ACTIONS(3252),
    [sym_true] = ACTIONS(3252),
    [sym_false] = ACTIONS(3252),
    [sym_null] = ACTIONS(3252),
    [sym_undefined] = ACTIONS(3252),
    [anon_sym_AT] = ACTIONS(3252),
    [anon_sym_static] = ACTIONS(3252),
    [anon_sym_readonly] = ACTIONS(3252),
    [anon_sym_get] = ACTIONS(3252),
    [anon_sym_set] = ACTIONS(3252),
    [anon_sym_declare] = ACTIONS(3252),
    [anon_sym_public] = ACTIONS(3252),
    [anon_sym_private] = ACTIONS(3252),
    [anon_sym_protected] = ACTIONS(3252),
    [anon_sym_override] = ACTIONS(3252),
    [anon_sym_module] = ACTIONS(3252),
    [anon_sym_any] = ACTIONS(3252),
    [anon_sym_number] = ACTIONS(3252),
    [anon_sym_boolean] = ACTIONS(3252),
    [anon_sym_string] = ACTIONS(3252),
    [anon_sym_symbol] = ACTIONS(3252),
    [anon_sym_object] = ACTIONS(3252),
    [anon_sym_abstract] = ACTIONS(3252),
    [anon_sym_interface] = ACTIONS(3252),
    [anon_sym_enum] = ACTIONS(3252),
    [sym_html_comment] = ACTIONS(5),
  },
  [1693] = {
    [sym_comment] = STATE(1693),
    [ts_builtin_sym_end] = ACTIONS(3452),
    [sym_identifier] = ACTIONS(3320),
    [anon_sym_export] = ACTIONS(3320),
    [anon_sym_type] = ACTIONS(3320),
    [anon_sym_namespace] = ACTIONS(3320),
    [anon_sym_LBRACE] = ACTIONS(3320),
    [anon_sym_RBRACE] = ACTIONS(3320),
    [anon_sym_typeof] = ACTIONS(3320),
    [anon_sym_import] = ACTIONS(3320),
    [anon_sym_with] = ACTIONS(3320),
    [anon_sym_var] = ACTIONS(3320),
    [anon_sym_let] = ACTIONS(3320),
    [anon_sym_const] = ACTIONS(3320),
    [anon_sym_BANG] = ACTIONS(3320),
    [anon_sym_if] = ACTIONS(3320),
    [anon_sym_switch] = ACTIONS(3320),
    [anon_sym_for] = ACTIONS(3320),
    [anon_sym_LPAREN] = ACTIONS(3320),
    [anon_sym_await] = ACTIONS(3320),
    [anon_sym_while] = ACTIONS(3320),
    [anon_sym_do] = ACTIONS(3320),
    [anon_sym_try] = ACTIONS(3320),
    [anon_sym_break] = ACTIONS(3320),
    [anon_sym_continue] = ACTIONS(3320),
    [anon_sym_debugger] = ACTIONS(3320),
    [anon_sym_return] = ACTIONS(3320),
    [anon_sym_throw] = ACTIONS(3320),
    [anon_sym_SEMI] = ACTIONS(3320),
    [anon_sym_yield] = ACTIONS(3320),
    [anon_sym_LBRACK] = ACTIONS(3320),
    [anon_sym_LTtemplate_GT] = ACTIONS(3320),
    [anon_sym_DQUOTE] = ACTIONS(3320),
    [anon_sym_SQUOTE] = ACTIONS(3320),
    [anon_sym_class] = ACTIONS(3320),
    [anon_sym_async] = ACTIONS(3320),
    [anon_sym_function] = ACTIONS(3320),
    [anon_sym_new] = ACTIONS(3320),
    [anon_sym_using] = ACTIONS(3320),
    [anon_sym_PLUS] = ACTIONS(3320),
    [anon_sym_DASH] = ACTIONS(3320),
    [anon_sym_SLASH] = ACTIONS(3320),
    [anon_sym_LT] = ACTIONS(3320),
    [anon_sym_TILDE] = ACTIONS(3320),
    [anon_sym_void] = ACTIONS(3320),
    [anon_sym_delete] = ACTIONS(3320),
    [anon_sym_PLUS_PLUS] = ACTIONS(3320),
    [anon_sym_DASH_DASH] = ACTIONS(3320),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3320),
    [sym_number] = ACTIONS(3320),
    [sym_private_property_identifier] = ACTIONS(3320),
    [sym_this] = ACTIONS(3320),
    [sym_super] = ACTIONS(3320),
    [sym_true] = ACTIONS(3320),
    [sym_false] = ACTIONS(3320),
    [sym_null] = ACTIONS(3320),
    [sym_undefined] = ACTIONS(3320),
    [anon_sym_AT] = ACTIONS(3320),
    [anon_sym_static] = ACTIONS(3320),
    [anon_sym_readonly] = ACTIONS(3320),
    [anon_sym_get] = ACTIONS(3320),
    [anon_sym_set] = ACTIONS(3320),
    [anon_sym_declare] = ACTIONS(3320),
    [anon_sym_public] = ACTIONS(3320),
    [anon_sym_private] = ACTIONS(3320),
    [anon_sym_protected] = ACTIONS(3320),
    [anon_sym_override] = ACTIONS(3320),
    [anon_sym_module] = ACTIONS(3320),
    [anon_sym_any] = ACTIONS(3320),
    [anon_sym_number] = ACTIONS(3320),
    [anon_sym_boolean] = ACTIONS(3320),
    [anon_sym_string] = ACTIONS(3320),
    [anon_sym_symbol] = ACTIONS(3320),
    [anon_sym_object] = ACTIONS(3320),
    [anon_sym_abstract] = ACTIONS(3320),
    [anon_sym_interface] = ACTIONS(3320),
    [anon_sym_enum] = ACTIONS(3320),
    [sym_html_comment] = ACTIONS(5),
  },
  [1694] = {
    [sym_comment] = STATE(1694),
    [ts_builtin_sym_end] = ACTIONS(3470),
    [sym_identifier] = ACTIONS(3336),
    [anon_sym_export] = ACTIONS(3336),
    [anon_sym_type] = ACTIONS(3336),
    [anon_sym_namespace] = ACTIONS(3336),
    [anon_sym_LBRACE] = ACTIONS(3336),
    [anon_sym_RBRACE] = ACTIONS(3336),
    [anon_sym_typeof] = ACTIONS(3336),
    [anon_sym_import] = ACTIONS(3336),
    [anon_sym_with] = ACTIONS(3336),
    [anon_sym_var] = ACTIONS(3336),
    [anon_sym_let] = ACTIONS(3336),
    [anon_sym_const] = ACTIONS(3336),
    [anon_sym_BANG] = ACTIONS(3336),
    [anon_sym_if] = ACTIONS(3336),
    [anon_sym_switch] = ACTIONS(3336),
    [anon_sym_for] = ACTIONS(3336),
    [anon_sym_LPAREN] = ACTIONS(3336),
    [anon_sym_await] = ACTIONS(3336),
    [anon_sym_while] = ACTIONS(3336),
    [anon_sym_do] = ACTIONS(3336),
    [anon_sym_try] = ACTIONS(3336),
    [anon_sym_break] = ACTIONS(3336),
    [anon_sym_continue] = ACTIONS(3336),
    [anon_sym_debugger] = ACTIONS(3336),
    [anon_sym_return] = ACTIONS(3336),
    [anon_sym_throw] = ACTIONS(3336),
    [anon_sym_SEMI] = ACTIONS(3336),
    [anon_sym_yield] = ACTIONS(3336),
    [anon_sym_LBRACK] = ACTIONS(3336),
    [anon_sym_LTtemplate_GT] = ACTIONS(3336),
    [anon_sym_DQUOTE] = ACTIONS(3336),
    [anon_sym_SQUOTE] = ACTIONS(3336),
    [anon_sym_class] = ACTIONS(3336),
    [anon_sym_async] = ACTIONS(3336),
    [anon_sym_function] = ACTIONS(3336),
    [anon_sym_new] = ACTIONS(3336),
    [anon_sym_using] = ACTIONS(3336),
    [anon_sym_PLUS] = ACTIONS(3336),
    [anon_sym_DASH] = ACTIONS(3336),
    [anon_sym_SLASH] = ACTIONS(3336),
    [anon_sym_LT] = ACTIONS(3336),
    [anon_sym_TILDE] = ACTIONS(3336),
    [anon_sym_void] = ACTIONS(3336),
    [anon_sym_delete] = ACTIONS(3336),
    [anon_sym_PLUS_PLUS] = ACTIONS(3336),
    [anon_sym_DASH_DASH] = ACTIONS(3336),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3336),
    [sym_number] = ACTIONS(3336),
    [sym_private_property_identifier] = ACTIONS(3336),
    [sym_this] = ACTIONS(3336),
    [sym_super] = ACTIONS(3336),
    [sym_true] = ACTIONS(3336),
    [sym_false] = ACTIONS(3336),
    [sym_null] = ACTIONS(3336),
    [sym_undefined] = ACTIONS(3336),
    [anon_sym_AT] = ACTIONS(3336),
    [anon_sym_static] = ACTIONS(3336),
    [anon_sym_readonly] = ACTIONS(3336),
    [anon_sym_get] = ACTIONS(3336),
    [anon_sym_set] = ACTIONS(3336),
    [anon_sym_declare] = ACTIONS(3336),
    [anon_sym_public] = ACTIONS(3336),
    [anon_sym_private] = ACTIONS(3336),
    [anon_sym_protected] = ACTIONS(3336),
    [anon_sym_override] = ACTIONS(3336),
    [anon_sym_module] = ACTIONS(3336),
    [anon_sym_any] = ACTIONS(3336),
    [anon_sym_number] = ACTIONS(3336),
    [anon_sym_boolean] = ACTIONS(3336),
    [anon_sym_string] = ACTIONS(3336),
    [anon_sym_symbol] = ACTIONS(3336),
    [anon_sym_object] = ACTIONS(3336),
    [anon_sym_abstract] = ACTIONS(3336),
    [anon_sym_interface] = ACTIONS(3336),
    [anon_sym_enum] = ACTIONS(3336),
    [sym_html_comment] = ACTIONS(5),
  },
  [1695] = {
    [sym_comment] = STATE(1695),
    [ts_builtin_sym_end] = ACTIONS(3420),
    [sym_identifier] = ACTIONS(3294),
    [anon_sym_export] = ACTIONS(3294),
    [anon_sym_type] = ACTIONS(3294),
    [anon_sym_namespace] = ACTIONS(3294),
    [anon_sym_LBRACE] = ACTIONS(3294),
    [anon_sym_RBRACE] = ACTIONS(3294),
    [anon_sym_typeof] = ACTIONS(3294),
    [anon_sym_import] = ACTIONS(3294),
    [anon_sym_with] = ACTIONS(3294),
    [anon_sym_var] = ACTIONS(3294),
    [anon_sym_let] = ACTIONS(3294),
    [anon_sym_const] = ACTIONS(3294),
    [anon_sym_BANG] = ACTIONS(3294),
    [anon_sym_if] = ACTIONS(3294),
    [anon_sym_switch] = ACTIONS(3294),
    [anon_sym_for] = ACTIONS(3294),
    [anon_sym_LPAREN] = ACTIONS(3294),
    [anon_sym_await] = ACTIONS(3294),
    [anon_sym_while] = ACTIONS(3294),
    [anon_sym_do] = ACTIONS(3294),
    [anon_sym_try] = ACTIONS(3294),
    [anon_sym_break] = ACTIONS(3294),
    [anon_sym_continue] = ACTIONS(3294),
    [anon_sym_debugger] = ACTIONS(3294),
    [anon_sym_return] = ACTIONS(3294),
    [anon_sym_throw] = ACTIONS(3294),
    [anon_sym_SEMI] = ACTIONS(3294),
    [anon_sym_yield] = ACTIONS(3294),
    [anon_sym_LBRACK] = ACTIONS(3294),
    [anon_sym_LTtemplate_GT] = ACTIONS(3294),
    [anon_sym_DQUOTE] = ACTIONS(3294),
    [anon_sym_SQUOTE] = ACTIONS(3294),
    [anon_sym_class] = ACTIONS(3294),
    [anon_sym_async] = ACTIONS(3294),
    [anon_sym_function] = ACTIONS(3294),
    [anon_sym_new] = ACTIONS(3294),
    [anon_sym_using] = ACTIONS(3294),
    [anon_sym_PLUS] = ACTIONS(3294),
    [anon_sym_DASH] = ACTIONS(3294),
    [anon_sym_SLASH] = ACTIONS(3294),
    [anon_sym_LT] = ACTIONS(3294),
    [anon_sym_TILDE] = ACTIONS(3294),
    [anon_sym_void] = ACTIONS(3294),
    [anon_sym_delete] = ACTIONS(3294),
    [anon_sym_PLUS_PLUS] = ACTIONS(3294),
    [anon_sym_DASH_DASH] = ACTIONS(3294),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3294),
    [sym_number] = ACTIONS(3294),
    [sym_private_property_identifier] = ACTIONS(3294),
    [sym_this] = ACTIONS(3294),
    [sym_super] = ACTIONS(3294),
    [sym_true] = ACTIONS(3294),
    [sym_false] = ACTIONS(3294),
    [sym_null] = ACTIONS(3294),
    [sym_undefined] = ACTIONS(3294),
    [anon_sym_AT] = ACTIONS(3294),
    [anon_sym_static] = ACTIONS(3294),
    [anon_sym_readonly] = ACTIONS(3294),
    [anon_sym_get] = ACTIONS(3294),
    [anon_sym_set] = ACTIONS(3294),
    [anon_sym_declare] = ACTIONS(3294),
    [anon_sym_public] = ACTIONS(3294),
    [anon_sym_private] = ACTIONS(3294),
    [anon_sym_protected] = ACTIONS(3294),
    [anon_sym_override] = ACTIONS(3294),
    [anon_sym_module] = ACTIONS(3294),
    [anon_sym_any] = ACTIONS(3294),
    [anon_sym_number] = ACTIONS(3294),
    [anon_sym_boolean] = ACTIONS(3294),
    [anon_sym_string] = ACTIONS(3294),
    [anon_sym_symbol] = ACTIONS(3294),
    [anon_sym_object] = ACTIONS(3294),
    [anon_sym_abstract] = ACTIONS(3294),
    [anon_sym_interface] = ACTIONS(3294),
    [anon_sym_enum] = ACTIONS(3294),
    [sym_html_comment] = ACTIONS(5),
  },
  [1696] = {
    [sym_comment] = STATE(1696),
    [ts_builtin_sym_end] = ACTIONS(3454),
    [sym_identifier] = ACTIONS(3322),
    [anon_sym_export] = ACTIONS(3322),
    [anon_sym_type] = ACTIONS(3322),
    [anon_sym_namespace] = ACTIONS(3322),
    [anon_sym_LBRACE] = ACTIONS(3322),
    [anon_sym_RBRACE] = ACTIONS(3322),
    [anon_sym_typeof] = ACTIONS(3322),
    [anon_sym_import] = ACTIONS(3322),
    [anon_sym_with] = ACTIONS(3322),
    [anon_sym_var] = ACTIONS(3322),
    [anon_sym_let] = ACTIONS(3322),
    [anon_sym_const] = ACTIONS(3322),
    [anon_sym_BANG] = ACTIONS(3322),
    [anon_sym_if] = ACTIONS(3322),
    [anon_sym_switch] = ACTIONS(3322),
    [anon_sym_for] = ACTIONS(3322),
    [anon_sym_LPAREN] = ACTIONS(3322),
    [anon_sym_await] = ACTIONS(3322),
    [anon_sym_while] = ACTIONS(3322),
    [anon_sym_do] = ACTIONS(3322),
    [anon_sym_try] = ACTIONS(3322),
    [anon_sym_break] = ACTIONS(3322),
    [anon_sym_continue] = ACTIONS(3322),
    [anon_sym_debugger] = ACTIONS(3322),
    [anon_sym_return] = ACTIONS(3322),
    [anon_sym_throw] = ACTIONS(3322),
    [anon_sym_SEMI] = ACTIONS(3322),
    [anon_sym_yield] = ACTIONS(3322),
    [anon_sym_LBRACK] = ACTIONS(3322),
    [anon_sym_LTtemplate_GT] = ACTIONS(3322),
    [anon_sym_DQUOTE] = ACTIONS(3322),
    [anon_sym_SQUOTE] = ACTIONS(3322),
    [anon_sym_class] = ACTIONS(3322),
    [anon_sym_async] = ACTIONS(3322),
    [anon_sym_function] = ACTIONS(3322),
    [anon_sym_new] = ACTIONS(3322),
    [anon_sym_using] = ACTIONS(3322),
    [anon_sym_PLUS] = ACTIONS(3322),
    [anon_sym_DASH] = ACTIONS(3322),
    [anon_sym_SLASH] = ACTIONS(3322),
    [anon_sym_LT] = ACTIONS(3322),
    [anon_sym_TILDE] = ACTIONS(3322),
    [anon_sym_void] = ACTIONS(3322),
    [anon_sym_delete] = ACTIONS(3322),
    [anon_sym_PLUS_PLUS] = ACTIONS(3322),
    [anon_sym_DASH_DASH] = ACTIONS(3322),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3322),
    [sym_number] = ACTIONS(3322),
    [sym_private_property_identifier] = ACTIONS(3322),
    [sym_this] = ACTIONS(3322),
    [sym_super] = ACTIONS(3322),
    [sym_true] = ACTIONS(3322),
    [sym_false] = ACTIONS(3322),
    [sym_null] = ACTIONS(3322),
    [sym_undefined] = ACTIONS(3322),
    [anon_sym_AT] = ACTIONS(3322),
    [anon_sym_static] = ACTIONS(3322),
    [anon_sym_readonly] = ACTIONS(3322),
    [anon_sym_get] = ACTIONS(3322),
    [anon_sym_set] = ACTIONS(3322),
    [anon_sym_declare] = ACTIONS(3322),
    [anon_sym_public] = ACTIONS(3322),
    [anon_sym_private] = ACTIONS(3322),
    [anon_sym_protected] = ACTIONS(3322),
    [anon_sym_override] = ACTIONS(3322),
    [anon_sym_module] = ACTIONS(3322),
    [anon_sym_any] = ACTIONS(3322),
    [anon_sym_number] = ACTIONS(3322),
    [anon_sym_boolean] = ACTIONS(3322),
    [anon_sym_string] = ACTIONS(3322),
    [anon_sym_symbol] = ACTIONS(3322),
    [anon_sym_object] = ACTIONS(3322),
    [anon_sym_abstract] = ACTIONS(3322),
    [anon_sym_interface] = ACTIONS(3322),
    [anon_sym_enum] = ACTIONS(3322),
    [sym_html_comment] = ACTIONS(5),
  },
  [1697] = {
    [sym_comment] = STATE(1697),
    [ts_builtin_sym_end] = ACTIONS(3456),
    [sym_identifier] = ACTIONS(3324),
    [anon_sym_export] = ACTIONS(3324),
    [anon_sym_type] = ACTIONS(3324),
    [anon_sym_namespace] = ACTIONS(3324),
    [anon_sym_LBRACE] = ACTIONS(3324),
    [anon_sym_RBRACE] = ACTIONS(3324),
    [anon_sym_typeof] = ACTIONS(3324),
    [anon_sym_import] = ACTIONS(3324),
    [anon_sym_with] = ACTIONS(3324),
    [anon_sym_var] = ACTIONS(3324),
    [anon_sym_let] = ACTIONS(3324),
    [anon_sym_const] = ACTIONS(3324),
    [anon_sym_BANG] = ACTIONS(3324),
    [anon_sym_if] = ACTIONS(3324),
    [anon_sym_switch] = ACTIONS(3324),
    [anon_sym_for] = ACTIONS(3324),
    [anon_sym_LPAREN] = ACTIONS(3324),
    [anon_sym_await] = ACTIONS(3324),
    [anon_sym_while] = ACTIONS(3324),
    [anon_sym_do] = ACTIONS(3324),
    [anon_sym_try] = ACTIONS(3324),
    [anon_sym_break] = ACTIONS(3324),
    [anon_sym_continue] = ACTIONS(3324),
    [anon_sym_debugger] = ACTIONS(3324),
    [anon_sym_return] = ACTIONS(3324),
    [anon_sym_throw] = ACTIONS(3324),
    [anon_sym_SEMI] = ACTIONS(3324),
    [anon_sym_yield] = ACTIONS(3324),
    [anon_sym_LBRACK] = ACTIONS(3324),
    [anon_sym_LTtemplate_GT] = ACTIONS(3324),
    [anon_sym_DQUOTE] = ACTIONS(3324),
    [anon_sym_SQUOTE] = ACTIONS(3324),
    [anon_sym_class] = ACTIONS(3324),
    [anon_sym_async] = ACTIONS(3324),
    [anon_sym_function] = ACTIONS(3324),
    [anon_sym_new] = ACTIONS(3324),
    [anon_sym_using] = ACTIONS(3324),
    [anon_sym_PLUS] = ACTIONS(3324),
    [anon_sym_DASH] = ACTIONS(3324),
    [anon_sym_SLASH] = ACTIONS(3324),
    [anon_sym_LT] = ACTIONS(3324),
    [anon_sym_TILDE] = ACTIONS(3324),
    [anon_sym_void] = ACTIONS(3324),
    [anon_sym_delete] = ACTIONS(3324),
    [anon_sym_PLUS_PLUS] = ACTIONS(3324),
    [anon_sym_DASH_DASH] = ACTIONS(3324),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3324),
    [sym_number] = ACTIONS(3324),
    [sym_private_property_identifier] = ACTIONS(3324),
    [sym_this] = ACTIONS(3324),
    [sym_super] = ACTIONS(3324),
    [sym_true] = ACTIONS(3324),
    [sym_false] = ACTIONS(3324),
    [sym_null] = ACTIONS(3324),
    [sym_undefined] = ACTIONS(3324),
    [anon_sym_AT] = ACTIONS(3324),
    [anon_sym_static] = ACTIONS(3324),
    [anon_sym_readonly] = ACTIONS(3324),
    [anon_sym_get] = ACTIONS(3324),
    [anon_sym_set] = ACTIONS(3324),
    [anon_sym_declare] = ACTIONS(3324),
    [anon_sym_public] = ACTIONS(3324),
    [anon_sym_private] = ACTIONS(3324),
    [anon_sym_protected] = ACTIONS(3324),
    [anon_sym_override] = ACTIONS(3324),
    [anon_sym_module] = ACTIONS(3324),
    [anon_sym_any] = ACTIONS(3324),
    [anon_sym_number] = ACTIONS(3324),
    [anon_sym_boolean] = ACTIONS(3324),
    [anon_sym_string] = ACTIONS(3324),
    [anon_sym_symbol] = ACTIONS(3324),
    [anon_sym_object] = ACTIONS(3324),
    [anon_sym_abstract] = ACTIONS(3324),
    [anon_sym_interface] = ACTIONS(3324),
    [anon_sym_enum] = ACTIONS(3324),
    [sym_html_comment] = ACTIONS(5),
  },
  [1698] = {
    [sym_comment] = STATE(1698),
    [ts_builtin_sym_end] = ACTIONS(3470),
    [sym_identifier] = ACTIONS(3336),
    [anon_sym_export] = ACTIONS(3336),
    [anon_sym_type] = ACTIONS(3336),
    [anon_sym_namespace] = ACTIONS(3336),
    [anon_sym_LBRACE] = ACTIONS(3336),
    [anon_sym_RBRACE] = ACTIONS(3336),
    [anon_sym_typeof] = ACTIONS(3336),
    [anon_sym_import] = ACTIONS(3336),
    [anon_sym_with] = ACTIONS(3336),
    [anon_sym_var] = ACTIONS(3336),
    [anon_sym_let] = ACTIONS(3336),
    [anon_sym_const] = ACTIONS(3336),
    [anon_sym_BANG] = ACTIONS(3336),
    [anon_sym_if] = ACTIONS(3336),
    [anon_sym_switch] = ACTIONS(3336),
    [anon_sym_for] = ACTIONS(3336),
    [anon_sym_LPAREN] = ACTIONS(3336),
    [anon_sym_await] = ACTIONS(3336),
    [anon_sym_while] = ACTIONS(3336),
    [anon_sym_do] = ACTIONS(3336),
    [anon_sym_try] = ACTIONS(3336),
    [anon_sym_break] = ACTIONS(3336),
    [anon_sym_continue] = ACTIONS(3336),
    [anon_sym_debugger] = ACTIONS(3336),
    [anon_sym_return] = ACTIONS(3336),
    [anon_sym_throw] = ACTIONS(3336),
    [anon_sym_SEMI] = ACTIONS(3336),
    [anon_sym_yield] = ACTIONS(3336),
    [anon_sym_LBRACK] = ACTIONS(3336),
    [anon_sym_LTtemplate_GT] = ACTIONS(3336),
    [anon_sym_DQUOTE] = ACTIONS(3336),
    [anon_sym_SQUOTE] = ACTIONS(3336),
    [anon_sym_class] = ACTIONS(3336),
    [anon_sym_async] = ACTIONS(3336),
    [anon_sym_function] = ACTIONS(3336),
    [anon_sym_new] = ACTIONS(3336),
    [anon_sym_using] = ACTIONS(3336),
    [anon_sym_PLUS] = ACTIONS(3336),
    [anon_sym_DASH] = ACTIONS(3336),
    [anon_sym_SLASH] = ACTIONS(3336),
    [anon_sym_LT] = ACTIONS(3336),
    [anon_sym_TILDE] = ACTIONS(3336),
    [anon_sym_void] = ACTIONS(3336),
    [anon_sym_delete] = ACTIONS(3336),
    [anon_sym_PLUS_PLUS] = ACTIONS(3336),
    [anon_sym_DASH_DASH] = ACTIONS(3336),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3336),
    [sym_number] = ACTIONS(3336),
    [sym_private_property_identifier] = ACTIONS(3336),
    [sym_this] = ACTIONS(3336),
    [sym_super] = ACTIONS(3336),
    [sym_true] = ACTIONS(3336),
    [sym_false] = ACTIONS(3336),
    [sym_null] = ACTIONS(3336),
    [sym_undefined] = ACTIONS(3336),
    [anon_sym_AT] = ACTIONS(3336),
    [anon_sym_static] = ACTIONS(3336),
    [anon_sym_readonly] = ACTIONS(3336),
    [anon_sym_get] = ACTIONS(3336),
    [anon_sym_set] = ACTIONS(3336),
    [anon_sym_declare] = ACTIONS(3336),
    [anon_sym_public] = ACTIONS(3336),
    [anon_sym_private] = ACTIONS(3336),
    [anon_sym_protected] = ACTIONS(3336),
    [anon_sym_override] = ACTIONS(3336),
    [anon_sym_module] = ACTIONS(3336),
    [anon_sym_any] = ACTIONS(3336),
    [anon_sym_number] = ACTIONS(3336),
    [anon_sym_boolean] = ACTIONS(3336),
    [anon_sym_string] = ACTIONS(3336),
    [anon_sym_symbol] = ACTIONS(3336),
    [anon_sym_object] = ACTIONS(3336),
    [anon_sym_abstract] = ACTIONS(3336),
    [anon_sym_interface] = ACTIONS(3336),
    [anon_sym_enum] = ACTIONS(3336),
    [sym_html_comment] = ACTIONS(5),
  },
  [1699] = {
    [sym_comment] = STATE(1699),
    [ts_builtin_sym_end] = ACTIONS(3470),
    [sym_identifier] = ACTIONS(3336),
    [anon_sym_export] = ACTIONS(3336),
    [anon_sym_type] = ACTIONS(3336),
    [anon_sym_namespace] = ACTIONS(3336),
    [anon_sym_LBRACE] = ACTIONS(3336),
    [anon_sym_RBRACE] = ACTIONS(3336),
    [anon_sym_typeof] = ACTIONS(3336),
    [anon_sym_import] = ACTIONS(3336),
    [anon_sym_with] = ACTIONS(3336),
    [anon_sym_var] = ACTIONS(3336),
    [anon_sym_let] = ACTIONS(3336),
    [anon_sym_const] = ACTIONS(3336),
    [anon_sym_BANG] = ACTIONS(3336),
    [anon_sym_if] = ACTIONS(3336),
    [anon_sym_switch] = ACTIONS(3336),
    [anon_sym_for] = ACTIONS(3336),
    [anon_sym_LPAREN] = ACTIONS(3336),
    [anon_sym_await] = ACTIONS(3336),
    [anon_sym_while] = ACTIONS(3336),
    [anon_sym_do] = ACTIONS(3336),
    [anon_sym_try] = ACTIONS(3336),
    [anon_sym_break] = ACTIONS(3336),
    [anon_sym_continue] = ACTIONS(3336),
    [anon_sym_debugger] = ACTIONS(3336),
    [anon_sym_return] = ACTIONS(3336),
    [anon_sym_throw] = ACTIONS(3336),
    [anon_sym_SEMI] = ACTIONS(3336),
    [anon_sym_yield] = ACTIONS(3336),
    [anon_sym_LBRACK] = ACTIONS(3336),
    [anon_sym_LTtemplate_GT] = ACTIONS(3336),
    [anon_sym_DQUOTE] = ACTIONS(3336),
    [anon_sym_SQUOTE] = ACTIONS(3336),
    [anon_sym_class] = ACTIONS(3336),
    [anon_sym_async] = ACTIONS(3336),
    [anon_sym_function] = ACTIONS(3336),
    [anon_sym_new] = ACTIONS(3336),
    [anon_sym_using] = ACTIONS(3336),
    [anon_sym_PLUS] = ACTIONS(3336),
    [anon_sym_DASH] = ACTIONS(3336),
    [anon_sym_SLASH] = ACTIONS(3336),
    [anon_sym_LT] = ACTIONS(3336),
    [anon_sym_TILDE] = ACTIONS(3336),
    [anon_sym_void] = ACTIONS(3336),
    [anon_sym_delete] = ACTIONS(3336),
    [anon_sym_PLUS_PLUS] = ACTIONS(3336),
    [anon_sym_DASH_DASH] = ACTIONS(3336),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3336),
    [sym_number] = ACTIONS(3336),
    [sym_private_property_identifier] = ACTIONS(3336),
    [sym_this] = ACTIONS(3336),
    [sym_super] = ACTIONS(3336),
    [sym_true] = ACTIONS(3336),
    [sym_false] = ACTIONS(3336),
    [sym_null] = ACTIONS(3336),
    [sym_undefined] = ACTIONS(3336),
    [anon_sym_AT] = ACTIONS(3336),
    [anon_sym_static] = ACTIONS(3336),
    [anon_sym_readonly] = ACTIONS(3336),
    [anon_sym_get] = ACTIONS(3336),
    [anon_sym_set] = ACTIONS(3336),
    [anon_sym_declare] = ACTIONS(3336),
    [anon_sym_public] = ACTIONS(3336),
    [anon_sym_private] = ACTIONS(3336),
    [anon_sym_protected] = ACTIONS(3336),
    [anon_sym_override] = ACTIONS(3336),
    [anon_sym_module] = ACTIONS(3336),
    [anon_sym_any] = ACTIONS(3336),
    [anon_sym_number] = ACTIONS(3336),
    [anon_sym_boolean] = ACTIONS(3336),
    [anon_sym_string] = ACTIONS(3336),
    [anon_sym_symbol] = ACTIONS(3336),
    [anon_sym_object] = ACTIONS(3336),
    [anon_sym_abstract] = ACTIONS(3336),
    [anon_sym_interface] = ACTIONS(3336),
    [anon_sym_enum] = ACTIONS(3336),
    [sym_html_comment] = ACTIONS(5),
  },
  [1700] = {
    [sym_comment] = STATE(1700),
    [ts_builtin_sym_end] = ACTIONS(3470),
    [sym_identifier] = ACTIONS(3336),
    [anon_sym_export] = ACTIONS(3336),
    [anon_sym_type] = ACTIONS(3336),
    [anon_sym_namespace] = ACTIONS(3336),
    [anon_sym_LBRACE] = ACTIONS(3336),
    [anon_sym_RBRACE] = ACTIONS(3336),
    [anon_sym_typeof] = ACTIONS(3336),
    [anon_sym_import] = ACTIONS(3336),
    [anon_sym_with] = ACTIONS(3336),
    [anon_sym_var] = ACTIONS(3336),
    [anon_sym_let] = ACTIONS(3336),
    [anon_sym_const] = ACTIONS(3336),
    [anon_sym_BANG] = ACTIONS(3336),
    [anon_sym_if] = ACTIONS(3336),
    [anon_sym_switch] = ACTIONS(3336),
    [anon_sym_for] = ACTIONS(3336),
    [anon_sym_LPAREN] = ACTIONS(3336),
    [anon_sym_await] = ACTIONS(3336),
    [anon_sym_while] = ACTIONS(3336),
    [anon_sym_do] = ACTIONS(3336),
    [anon_sym_try] = ACTIONS(3336),
    [anon_sym_break] = ACTIONS(3336),
    [anon_sym_continue] = ACTIONS(3336),
    [anon_sym_debugger] = ACTIONS(3336),
    [anon_sym_return] = ACTIONS(3336),
    [anon_sym_throw] = ACTIONS(3336),
    [anon_sym_SEMI] = ACTIONS(3336),
    [anon_sym_yield] = ACTIONS(3336),
    [anon_sym_LBRACK] = ACTIONS(3336),
    [anon_sym_LTtemplate_GT] = ACTIONS(3336),
    [anon_sym_DQUOTE] = ACTIONS(3336),
    [anon_sym_SQUOTE] = ACTIONS(3336),
    [anon_sym_class] = ACTIONS(3336),
    [anon_sym_async] = ACTIONS(3336),
    [anon_sym_function] = ACTIONS(3336),
    [anon_sym_new] = ACTIONS(3336),
    [anon_sym_using] = ACTIONS(3336),
    [anon_sym_PLUS] = ACTIONS(3336),
    [anon_sym_DASH] = ACTIONS(3336),
    [anon_sym_SLASH] = ACTIONS(3336),
    [anon_sym_LT] = ACTIONS(3336),
    [anon_sym_TILDE] = ACTIONS(3336),
    [anon_sym_void] = ACTIONS(3336),
    [anon_sym_delete] = ACTIONS(3336),
    [anon_sym_PLUS_PLUS] = ACTIONS(3336),
    [anon_sym_DASH_DASH] = ACTIONS(3336),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3336),
    [sym_number] = ACTIONS(3336),
    [sym_private_property_identifier] = ACTIONS(3336),
    [sym_this] = ACTIONS(3336),
    [sym_super] = ACTIONS(3336),
    [sym_true] = ACTIONS(3336),
    [sym_false] = ACTIONS(3336),
    [sym_null] = ACTIONS(3336),
    [sym_undefined] = ACTIONS(3336),
    [anon_sym_AT] = ACTIONS(3336),
    [anon_sym_static] = ACTIONS(3336),
    [anon_sym_readonly] = ACTIONS(3336),
    [anon_sym_get] = ACTIONS(3336),
    [anon_sym_set] = ACTIONS(3336),
    [anon_sym_declare] = ACTIONS(3336),
    [anon_sym_public] = ACTIONS(3336),
    [anon_sym_private] = ACTIONS(3336),
    [anon_sym_protected] = ACTIONS(3336),
    [anon_sym_override] = ACTIONS(3336),
    [anon_sym_module] = ACTIONS(3336),
    [anon_sym_any] = ACTIONS(3336),
    [anon_sym_number] = ACTIONS(3336),
    [anon_sym_boolean] = ACTIONS(3336),
    [anon_sym_string] = ACTIONS(3336),
    [anon_sym_symbol] = ACTIONS(3336),
    [anon_sym_object] = ACTIONS(3336),
    [anon_sym_abstract] = ACTIONS(3336),
    [anon_sym_interface] = ACTIONS(3336),
    [anon_sym_enum] = ACTIONS(3336),
    [sym_html_comment] = ACTIONS(5),
  },
  [1701] = {
    [sym_comment] = STATE(1701),
    [ts_builtin_sym_end] = ACTIONS(3514),
    [sym_identifier] = ACTIONS(3226),
    [anon_sym_export] = ACTIONS(3226),
    [anon_sym_type] = ACTIONS(3226),
    [anon_sym_namespace] = ACTIONS(3226),
    [anon_sym_LBRACE] = ACTIONS(3226),
    [anon_sym_RBRACE] = ACTIONS(3226),
    [anon_sym_typeof] = ACTIONS(3226),
    [anon_sym_import] = ACTIONS(3226),
    [anon_sym_with] = ACTIONS(3226),
    [anon_sym_var] = ACTIONS(3226),
    [anon_sym_let] = ACTIONS(3226),
    [anon_sym_const] = ACTIONS(3226),
    [anon_sym_BANG] = ACTIONS(3226),
    [anon_sym_if] = ACTIONS(3226),
    [anon_sym_switch] = ACTIONS(3226),
    [anon_sym_for] = ACTIONS(3226),
    [anon_sym_LPAREN] = ACTIONS(3226),
    [anon_sym_await] = ACTIONS(3226),
    [anon_sym_while] = ACTIONS(3226),
    [anon_sym_do] = ACTIONS(3226),
    [anon_sym_try] = ACTIONS(3226),
    [anon_sym_break] = ACTIONS(3226),
    [anon_sym_continue] = ACTIONS(3226),
    [anon_sym_debugger] = ACTIONS(3226),
    [anon_sym_return] = ACTIONS(3226),
    [anon_sym_throw] = ACTIONS(3226),
    [anon_sym_SEMI] = ACTIONS(3226),
    [anon_sym_yield] = ACTIONS(3226),
    [anon_sym_LBRACK] = ACTIONS(3226),
    [anon_sym_LTtemplate_GT] = ACTIONS(3226),
    [anon_sym_DQUOTE] = ACTIONS(3226),
    [anon_sym_SQUOTE] = ACTIONS(3226),
    [anon_sym_class] = ACTIONS(3226),
    [anon_sym_async] = ACTIONS(3226),
    [anon_sym_function] = ACTIONS(3226),
    [anon_sym_new] = ACTIONS(3226),
    [anon_sym_using] = ACTIONS(3226),
    [anon_sym_PLUS] = ACTIONS(3226),
    [anon_sym_DASH] = ACTIONS(3226),
    [anon_sym_SLASH] = ACTIONS(3226),
    [anon_sym_LT] = ACTIONS(3226),
    [anon_sym_TILDE] = ACTIONS(3226),
    [anon_sym_void] = ACTIONS(3226),
    [anon_sym_delete] = ACTIONS(3226),
    [anon_sym_PLUS_PLUS] = ACTIONS(3226),
    [anon_sym_DASH_DASH] = ACTIONS(3226),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3226),
    [sym_number] = ACTIONS(3226),
    [sym_private_property_identifier] = ACTIONS(3226),
    [sym_this] = ACTIONS(3226),
    [sym_super] = ACTIONS(3226),
    [sym_true] = ACTIONS(3226),
    [sym_false] = ACTIONS(3226),
    [sym_null] = ACTIONS(3226),
    [sym_undefined] = ACTIONS(3226),
    [anon_sym_AT] = ACTIONS(3226),
    [anon_sym_static] = ACTIONS(3226),
    [anon_sym_readonly] = ACTIONS(3226),
    [anon_sym_get] = ACTIONS(3226),
    [anon_sym_set] = ACTIONS(3226),
    [anon_sym_declare] = ACTIONS(3226),
    [anon_sym_public] = ACTIONS(3226),
    [anon_sym_private] = ACTIONS(3226),
    [anon_sym_protected] = ACTIONS(3226),
    [anon_sym_override] = ACTIONS(3226),
    [anon_sym_module] = ACTIONS(3226),
    [anon_sym_any] = ACTIONS(3226),
    [anon_sym_number] = ACTIONS(3226),
    [anon_sym_boolean] = ACTIONS(3226),
    [anon_sym_string] = ACTIONS(3226),
    [anon_sym_symbol] = ACTIONS(3226),
    [anon_sym_object] = ACTIONS(3226),
    [anon_sym_abstract] = ACTIONS(3226),
    [anon_sym_interface] = ACTIONS(3226),
    [anon_sym_enum] = ACTIONS(3226),
    [sym_html_comment] = ACTIONS(5),
  },
  [1702] = {
    [sym_comment] = STATE(1702),
    [ts_builtin_sym_end] = ACTIONS(3418),
    [sym_identifier] = ACTIONS(3292),
    [anon_sym_export] = ACTIONS(3292),
    [anon_sym_type] = ACTIONS(3292),
    [anon_sym_namespace] = ACTIONS(3292),
    [anon_sym_LBRACE] = ACTIONS(3292),
    [anon_sym_RBRACE] = ACTIONS(3292),
    [anon_sym_typeof] = ACTIONS(3292),
    [anon_sym_import] = ACTIONS(3292),
    [anon_sym_with] = ACTIONS(3292),
    [anon_sym_var] = ACTIONS(3292),
    [anon_sym_let] = ACTIONS(3292),
    [anon_sym_const] = ACTIONS(3292),
    [anon_sym_BANG] = ACTIONS(3292),
    [anon_sym_if] = ACTIONS(3292),
    [anon_sym_switch] = ACTIONS(3292),
    [anon_sym_for] = ACTIONS(3292),
    [anon_sym_LPAREN] = ACTIONS(3292),
    [anon_sym_await] = ACTIONS(3292),
    [anon_sym_while] = ACTIONS(3292),
    [anon_sym_do] = ACTIONS(3292),
    [anon_sym_try] = ACTIONS(3292),
    [anon_sym_break] = ACTIONS(3292),
    [anon_sym_continue] = ACTIONS(3292),
    [anon_sym_debugger] = ACTIONS(3292),
    [anon_sym_return] = ACTIONS(3292),
    [anon_sym_throw] = ACTIONS(3292),
    [anon_sym_SEMI] = ACTIONS(3292),
    [anon_sym_yield] = ACTIONS(3292),
    [anon_sym_LBRACK] = ACTIONS(3292),
    [anon_sym_LTtemplate_GT] = ACTIONS(3292),
    [anon_sym_DQUOTE] = ACTIONS(3292),
    [anon_sym_SQUOTE] = ACTIONS(3292),
    [anon_sym_class] = ACTIONS(3292),
    [anon_sym_async] = ACTIONS(3292),
    [anon_sym_function] = ACTIONS(3292),
    [anon_sym_new] = ACTIONS(3292),
    [anon_sym_using] = ACTIONS(3292),
    [anon_sym_PLUS] = ACTIONS(3292),
    [anon_sym_DASH] = ACTIONS(3292),
    [anon_sym_SLASH] = ACTIONS(3292),
    [anon_sym_LT] = ACTIONS(3292),
    [anon_sym_TILDE] = ACTIONS(3292),
    [anon_sym_void] = ACTIONS(3292),
    [anon_sym_delete] = ACTIONS(3292),
    [anon_sym_PLUS_PLUS] = ACTIONS(3292),
    [anon_sym_DASH_DASH] = ACTIONS(3292),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3292),
    [sym_number] = ACTIONS(3292),
    [sym_private_property_identifier] = ACTIONS(3292),
    [sym_this] = ACTIONS(3292),
    [sym_super] = ACTIONS(3292),
    [sym_true] = ACTIONS(3292),
    [sym_false] = ACTIONS(3292),
    [sym_null] = ACTIONS(3292),
    [sym_undefined] = ACTIONS(3292),
    [anon_sym_AT] = ACTIONS(3292),
    [anon_sym_static] = ACTIONS(3292),
    [anon_sym_readonly] = ACTIONS(3292),
    [anon_sym_get] = ACTIONS(3292),
    [anon_sym_set] = ACTIONS(3292),
    [anon_sym_declare] = ACTIONS(3292),
    [anon_sym_public] = ACTIONS(3292),
    [anon_sym_private] = ACTIONS(3292),
    [anon_sym_protected] = ACTIONS(3292),
    [anon_sym_override] = ACTIONS(3292),
    [anon_sym_module] = ACTIONS(3292),
    [anon_sym_any] = ACTIONS(3292),
    [anon_sym_number] = ACTIONS(3292),
    [anon_sym_boolean] = ACTIONS(3292),
    [anon_sym_string] = ACTIONS(3292),
    [anon_sym_symbol] = ACTIONS(3292),
    [anon_sym_object] = ACTIONS(3292),
    [anon_sym_abstract] = ACTIONS(3292),
    [anon_sym_interface] = ACTIONS(3292),
    [anon_sym_enum] = ACTIONS(3292),
    [sym_html_comment] = ACTIONS(5),
  },
  [1703] = {
    [sym_comment] = STATE(1703),
    [ts_builtin_sym_end] = ACTIONS(3470),
    [sym_identifier] = ACTIONS(3336),
    [anon_sym_export] = ACTIONS(3336),
    [anon_sym_type] = ACTIONS(3336),
    [anon_sym_namespace] = ACTIONS(3336),
    [anon_sym_LBRACE] = ACTIONS(3336),
    [anon_sym_RBRACE] = ACTIONS(3336),
    [anon_sym_typeof] = ACTIONS(3336),
    [anon_sym_import] = ACTIONS(3336),
    [anon_sym_with] = ACTIONS(3336),
    [anon_sym_var] = ACTIONS(3336),
    [anon_sym_let] = ACTIONS(3336),
    [anon_sym_const] = ACTIONS(3336),
    [anon_sym_BANG] = ACTIONS(3336),
    [anon_sym_if] = ACTIONS(3336),
    [anon_sym_switch] = ACTIONS(3336),
    [anon_sym_for] = ACTIONS(3336),
    [anon_sym_LPAREN] = ACTIONS(3336),
    [anon_sym_await] = ACTIONS(3336),
    [anon_sym_while] = ACTIONS(3336),
    [anon_sym_do] = ACTIONS(3336),
    [anon_sym_try] = ACTIONS(3336),
    [anon_sym_break] = ACTIONS(3336),
    [anon_sym_continue] = ACTIONS(3336),
    [anon_sym_debugger] = ACTIONS(3336),
    [anon_sym_return] = ACTIONS(3336),
    [anon_sym_throw] = ACTIONS(3336),
    [anon_sym_SEMI] = ACTIONS(3336),
    [anon_sym_yield] = ACTIONS(3336),
    [anon_sym_LBRACK] = ACTIONS(3336),
    [anon_sym_LTtemplate_GT] = ACTIONS(3336),
    [anon_sym_DQUOTE] = ACTIONS(3336),
    [anon_sym_SQUOTE] = ACTIONS(3336),
    [anon_sym_class] = ACTIONS(3336),
    [anon_sym_async] = ACTIONS(3336),
    [anon_sym_function] = ACTIONS(3336),
    [anon_sym_new] = ACTIONS(3336),
    [anon_sym_using] = ACTIONS(3336),
    [anon_sym_PLUS] = ACTIONS(3336),
    [anon_sym_DASH] = ACTIONS(3336),
    [anon_sym_SLASH] = ACTIONS(3336),
    [anon_sym_LT] = ACTIONS(3336),
    [anon_sym_TILDE] = ACTIONS(3336),
    [anon_sym_void] = ACTIONS(3336),
    [anon_sym_delete] = ACTIONS(3336),
    [anon_sym_PLUS_PLUS] = ACTIONS(3336),
    [anon_sym_DASH_DASH] = ACTIONS(3336),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3336),
    [sym_number] = ACTIONS(3336),
    [sym_private_property_identifier] = ACTIONS(3336),
    [sym_this] = ACTIONS(3336),
    [sym_super] = ACTIONS(3336),
    [sym_true] = ACTIONS(3336),
    [sym_false] = ACTIONS(3336),
    [sym_null] = ACTIONS(3336),
    [sym_undefined] = ACTIONS(3336),
    [anon_sym_AT] = ACTIONS(3336),
    [anon_sym_static] = ACTIONS(3336),
    [anon_sym_readonly] = ACTIONS(3336),
    [anon_sym_get] = ACTIONS(3336),
    [anon_sym_set] = ACTIONS(3336),
    [anon_sym_declare] = ACTIONS(3336),
    [anon_sym_public] = ACTIONS(3336),
    [anon_sym_private] = ACTIONS(3336),
    [anon_sym_protected] = ACTIONS(3336),
    [anon_sym_override] = ACTIONS(3336),
    [anon_sym_module] = ACTIONS(3336),
    [anon_sym_any] = ACTIONS(3336),
    [anon_sym_number] = ACTIONS(3336),
    [anon_sym_boolean] = ACTIONS(3336),
    [anon_sym_string] = ACTIONS(3336),
    [anon_sym_symbol] = ACTIONS(3336),
    [anon_sym_object] = ACTIONS(3336),
    [anon_sym_abstract] = ACTIONS(3336),
    [anon_sym_interface] = ACTIONS(3336),
    [anon_sym_enum] = ACTIONS(3336),
    [sym_html_comment] = ACTIONS(5),
  },
  [1704] = {
    [sym_comment] = STATE(1704),
    [ts_builtin_sym_end] = ACTIONS(3416),
    [sym_identifier] = ACTIONS(3290),
    [anon_sym_export] = ACTIONS(3290),
    [anon_sym_type] = ACTIONS(3290),
    [anon_sym_namespace] = ACTIONS(3290),
    [anon_sym_LBRACE] = ACTIONS(3290),
    [anon_sym_RBRACE] = ACTIONS(3290),
    [anon_sym_typeof] = ACTIONS(3290),
    [anon_sym_import] = ACTIONS(3290),
    [anon_sym_with] = ACTIONS(3290),
    [anon_sym_var] = ACTIONS(3290),
    [anon_sym_let] = ACTIONS(3290),
    [anon_sym_const] = ACTIONS(3290),
    [anon_sym_BANG] = ACTIONS(3290),
    [anon_sym_if] = ACTIONS(3290),
    [anon_sym_switch] = ACTIONS(3290),
    [anon_sym_for] = ACTIONS(3290),
    [anon_sym_LPAREN] = ACTIONS(3290),
    [anon_sym_await] = ACTIONS(3290),
    [anon_sym_while] = ACTIONS(3290),
    [anon_sym_do] = ACTIONS(3290),
    [anon_sym_try] = ACTIONS(3290),
    [anon_sym_break] = ACTIONS(3290),
    [anon_sym_continue] = ACTIONS(3290),
    [anon_sym_debugger] = ACTIONS(3290),
    [anon_sym_return] = ACTIONS(3290),
    [anon_sym_throw] = ACTIONS(3290),
    [anon_sym_SEMI] = ACTIONS(3290),
    [anon_sym_yield] = ACTIONS(3290),
    [anon_sym_LBRACK] = ACTIONS(3290),
    [anon_sym_LTtemplate_GT] = ACTIONS(3290),
    [anon_sym_DQUOTE] = ACTIONS(3290),
    [anon_sym_SQUOTE] = ACTIONS(3290),
    [anon_sym_class] = ACTIONS(3290),
    [anon_sym_async] = ACTIONS(3290),
    [anon_sym_function] = ACTIONS(3290),
    [anon_sym_new] = ACTIONS(3290),
    [anon_sym_using] = ACTIONS(3290),
    [anon_sym_PLUS] = ACTIONS(3290),
    [anon_sym_DASH] = ACTIONS(3290),
    [anon_sym_SLASH] = ACTIONS(3290),
    [anon_sym_LT] = ACTIONS(3290),
    [anon_sym_TILDE] = ACTIONS(3290),
    [anon_sym_void] = ACTIONS(3290),
    [anon_sym_delete] = ACTIONS(3290),
    [anon_sym_PLUS_PLUS] = ACTIONS(3290),
    [anon_sym_DASH_DASH] = ACTIONS(3290),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3290),
    [sym_number] = ACTIONS(3290),
    [sym_private_property_identifier] = ACTIONS(3290),
    [sym_this] = ACTIONS(3290),
    [sym_super] = ACTIONS(3290),
    [sym_true] = ACTIONS(3290),
    [sym_false] = ACTIONS(3290),
    [sym_null] = ACTIONS(3290),
    [sym_undefined] = ACTIONS(3290),
    [anon_sym_AT] = ACTIONS(3290),
    [anon_sym_static] = ACTIONS(3290),
    [anon_sym_readonly] = ACTIONS(3290),
    [anon_sym_get] = ACTIONS(3290),
    [anon_sym_set] = ACTIONS(3290),
    [anon_sym_declare] = ACTIONS(3290),
    [anon_sym_public] = ACTIONS(3290),
    [anon_sym_private] = ACTIONS(3290),
    [anon_sym_protected] = ACTIONS(3290),
    [anon_sym_override] = ACTIONS(3290),
    [anon_sym_module] = ACTIONS(3290),
    [anon_sym_any] = ACTIONS(3290),
    [anon_sym_number] = ACTIONS(3290),
    [anon_sym_boolean] = ACTIONS(3290),
    [anon_sym_string] = ACTIONS(3290),
    [anon_sym_symbol] = ACTIONS(3290),
    [anon_sym_object] = ACTIONS(3290),
    [anon_sym_abstract] = ACTIONS(3290),
    [anon_sym_interface] = ACTIONS(3290),
    [anon_sym_enum] = ACTIONS(3290),
    [sym_html_comment] = ACTIONS(5),
  },
  [1705] = {
    [sym_comment] = STATE(1705),
    [ts_builtin_sym_end] = ACTIONS(3414),
    [sym_identifier] = ACTIONS(3288),
    [anon_sym_export] = ACTIONS(3288),
    [anon_sym_type] = ACTIONS(3288),
    [anon_sym_namespace] = ACTIONS(3288),
    [anon_sym_LBRACE] = ACTIONS(3288),
    [anon_sym_RBRACE] = ACTIONS(3288),
    [anon_sym_typeof] = ACTIONS(3288),
    [anon_sym_import] = ACTIONS(3288),
    [anon_sym_with] = ACTIONS(3288),
    [anon_sym_var] = ACTIONS(3288),
    [anon_sym_let] = ACTIONS(3288),
    [anon_sym_const] = ACTIONS(3288),
    [anon_sym_BANG] = ACTIONS(3288),
    [anon_sym_if] = ACTIONS(3288),
    [anon_sym_switch] = ACTIONS(3288),
    [anon_sym_for] = ACTIONS(3288),
    [anon_sym_LPAREN] = ACTIONS(3288),
    [anon_sym_await] = ACTIONS(3288),
    [anon_sym_while] = ACTIONS(3288),
    [anon_sym_do] = ACTIONS(3288),
    [anon_sym_try] = ACTIONS(3288),
    [anon_sym_break] = ACTIONS(3288),
    [anon_sym_continue] = ACTIONS(3288),
    [anon_sym_debugger] = ACTIONS(3288),
    [anon_sym_return] = ACTIONS(3288),
    [anon_sym_throw] = ACTIONS(3288),
    [anon_sym_SEMI] = ACTIONS(3288),
    [anon_sym_yield] = ACTIONS(3288),
    [anon_sym_LBRACK] = ACTIONS(3288),
    [anon_sym_LTtemplate_GT] = ACTIONS(3288),
    [anon_sym_DQUOTE] = ACTIONS(3288),
    [anon_sym_SQUOTE] = ACTIONS(3288),
    [anon_sym_class] = ACTIONS(3288),
    [anon_sym_async] = ACTIONS(3288),
    [anon_sym_function] = ACTIONS(3288),
    [anon_sym_new] = ACTIONS(3288),
    [anon_sym_using] = ACTIONS(3288),
    [anon_sym_PLUS] = ACTIONS(3288),
    [anon_sym_DASH] = ACTIONS(3288),
    [anon_sym_SLASH] = ACTIONS(3288),
    [anon_sym_LT] = ACTIONS(3288),
    [anon_sym_TILDE] = ACTIONS(3288),
    [anon_sym_void] = ACTIONS(3288),
    [anon_sym_delete] = ACTIONS(3288),
    [anon_sym_PLUS_PLUS] = ACTIONS(3288),
    [anon_sym_DASH_DASH] = ACTIONS(3288),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3288),
    [sym_number] = ACTIONS(3288),
    [sym_private_property_identifier] = ACTIONS(3288),
    [sym_this] = ACTIONS(3288),
    [sym_super] = ACTIONS(3288),
    [sym_true] = ACTIONS(3288),
    [sym_false] = ACTIONS(3288),
    [sym_null] = ACTIONS(3288),
    [sym_undefined] = ACTIONS(3288),
    [anon_sym_AT] = ACTIONS(3288),
    [anon_sym_static] = ACTIONS(3288),
    [anon_sym_readonly] = ACTIONS(3288),
    [anon_sym_get] = ACTIONS(3288),
    [anon_sym_set] = ACTIONS(3288),
    [anon_sym_declare] = ACTIONS(3288),
    [anon_sym_public] = ACTIONS(3288),
    [anon_sym_private] = ACTIONS(3288),
    [anon_sym_protected] = ACTIONS(3288),
    [anon_sym_override] = ACTIONS(3288),
    [anon_sym_module] = ACTIONS(3288),
    [anon_sym_any] = ACTIONS(3288),
    [anon_sym_number] = ACTIONS(3288),
    [anon_sym_boolean] = ACTIONS(3288),
    [anon_sym_string] = ACTIONS(3288),
    [anon_sym_symbol] = ACTIONS(3288),
    [anon_sym_object] = ACTIONS(3288),
    [anon_sym_abstract] = ACTIONS(3288),
    [anon_sym_interface] = ACTIONS(3288),
    [anon_sym_enum] = ACTIONS(3288),
    [sym_html_comment] = ACTIONS(5),
  },
  [1706] = {
    [sym_comment] = STATE(1706),
    [ts_builtin_sym_end] = ACTIONS(3516),
    [sym_identifier] = ACTIONS(3220),
    [anon_sym_export] = ACTIONS(3220),
    [anon_sym_type] = ACTIONS(3220),
    [anon_sym_namespace] = ACTIONS(3220),
    [anon_sym_LBRACE] = ACTIONS(3220),
    [anon_sym_RBRACE] = ACTIONS(3220),
    [anon_sym_typeof] = ACTIONS(3220),
    [anon_sym_import] = ACTIONS(3220),
    [anon_sym_with] = ACTIONS(3220),
    [anon_sym_var] = ACTIONS(3220),
    [anon_sym_let] = ACTIONS(3220),
    [anon_sym_const] = ACTIONS(3220),
    [anon_sym_BANG] = ACTIONS(3220),
    [anon_sym_if] = ACTIONS(3220),
    [anon_sym_switch] = ACTIONS(3220),
    [anon_sym_for] = ACTIONS(3220),
    [anon_sym_LPAREN] = ACTIONS(3220),
    [anon_sym_await] = ACTIONS(3220),
    [anon_sym_while] = ACTIONS(3220),
    [anon_sym_do] = ACTIONS(3220),
    [anon_sym_try] = ACTIONS(3220),
    [anon_sym_break] = ACTIONS(3220),
    [anon_sym_continue] = ACTIONS(3220),
    [anon_sym_debugger] = ACTIONS(3220),
    [anon_sym_return] = ACTIONS(3220),
    [anon_sym_throw] = ACTIONS(3220),
    [anon_sym_SEMI] = ACTIONS(3220),
    [anon_sym_yield] = ACTIONS(3220),
    [anon_sym_LBRACK] = ACTIONS(3220),
    [anon_sym_LTtemplate_GT] = ACTIONS(3220),
    [anon_sym_DQUOTE] = ACTIONS(3220),
    [anon_sym_SQUOTE] = ACTIONS(3220),
    [anon_sym_class] = ACTIONS(3220),
    [anon_sym_async] = ACTIONS(3220),
    [anon_sym_function] = ACTIONS(3220),
    [anon_sym_new] = ACTIONS(3220),
    [anon_sym_using] = ACTIONS(3220),
    [anon_sym_PLUS] = ACTIONS(3220),
    [anon_sym_DASH] = ACTIONS(3220),
    [anon_sym_SLASH] = ACTIONS(3220),
    [anon_sym_LT] = ACTIONS(3220),
    [anon_sym_TILDE] = ACTIONS(3220),
    [anon_sym_void] = ACTIONS(3220),
    [anon_sym_delete] = ACTIONS(3220),
    [anon_sym_PLUS_PLUS] = ACTIONS(3220),
    [anon_sym_DASH_DASH] = ACTIONS(3220),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3220),
    [sym_number] = ACTIONS(3220),
    [sym_private_property_identifier] = ACTIONS(3220),
    [sym_this] = ACTIONS(3220),
    [sym_super] = ACTIONS(3220),
    [sym_true] = ACTIONS(3220),
    [sym_false] = ACTIONS(3220),
    [sym_null] = ACTIONS(3220),
    [sym_undefined] = ACTIONS(3220),
    [anon_sym_AT] = ACTIONS(3220),
    [anon_sym_static] = ACTIONS(3220),
    [anon_sym_readonly] = ACTIONS(3220),
    [anon_sym_get] = ACTIONS(3220),
    [anon_sym_set] = ACTIONS(3220),
    [anon_sym_declare] = ACTIONS(3220),
    [anon_sym_public] = ACTIONS(3220),
    [anon_sym_private] = ACTIONS(3220),
    [anon_sym_protected] = ACTIONS(3220),
    [anon_sym_override] = ACTIONS(3220),
    [anon_sym_module] = ACTIONS(3220),
    [anon_sym_any] = ACTIONS(3220),
    [anon_sym_number] = ACTIONS(3220),
    [anon_sym_boolean] = ACTIONS(3220),
    [anon_sym_string] = ACTIONS(3220),
    [anon_sym_symbol] = ACTIONS(3220),
    [anon_sym_object] = ACTIONS(3220),
    [anon_sym_abstract] = ACTIONS(3220),
    [anon_sym_interface] = ACTIONS(3220),
    [anon_sym_enum] = ACTIONS(3220),
    [sym_html_comment] = ACTIONS(5),
  },
  [1707] = {
    [sym_comment] = STATE(1707),
    [ts_builtin_sym_end] = ACTIONS(3456),
    [sym_identifier] = ACTIONS(3324),
    [anon_sym_export] = ACTIONS(3324),
    [anon_sym_type] = ACTIONS(3324),
    [anon_sym_namespace] = ACTIONS(3324),
    [anon_sym_LBRACE] = ACTIONS(3324),
    [anon_sym_RBRACE] = ACTIONS(3324),
    [anon_sym_typeof] = ACTIONS(3324),
    [anon_sym_import] = ACTIONS(3324),
    [anon_sym_with] = ACTIONS(3324),
    [anon_sym_var] = ACTIONS(3324),
    [anon_sym_let] = ACTIONS(3324),
    [anon_sym_const] = ACTIONS(3324),
    [anon_sym_BANG] = ACTIONS(3324),
    [anon_sym_if] = ACTIONS(3324),
    [anon_sym_switch] = ACTIONS(3324),
    [anon_sym_for] = ACTIONS(3324),
    [anon_sym_LPAREN] = ACTIONS(3324),
    [anon_sym_await] = ACTIONS(3324),
    [anon_sym_while] = ACTIONS(3324),
    [anon_sym_do] = ACTIONS(3324),
    [anon_sym_try] = ACTIONS(3324),
    [anon_sym_break] = ACTIONS(3324),
    [anon_sym_continue] = ACTIONS(3324),
    [anon_sym_debugger] = ACTIONS(3324),
    [anon_sym_return] = ACTIONS(3324),
    [anon_sym_throw] = ACTIONS(3324),
    [anon_sym_SEMI] = ACTIONS(3324),
    [anon_sym_yield] = ACTIONS(3324),
    [anon_sym_LBRACK] = ACTIONS(3324),
    [anon_sym_LTtemplate_GT] = ACTIONS(3324),
    [anon_sym_DQUOTE] = ACTIONS(3324),
    [anon_sym_SQUOTE] = ACTIONS(3324),
    [anon_sym_class] = ACTIONS(3324),
    [anon_sym_async] = ACTIONS(3324),
    [anon_sym_function] = ACTIONS(3324),
    [anon_sym_new] = ACTIONS(3324),
    [anon_sym_using] = ACTIONS(3324),
    [anon_sym_PLUS] = ACTIONS(3324),
    [anon_sym_DASH] = ACTIONS(3324),
    [anon_sym_SLASH] = ACTIONS(3324),
    [anon_sym_LT] = ACTIONS(3324),
    [anon_sym_TILDE] = ACTIONS(3324),
    [anon_sym_void] = ACTIONS(3324),
    [anon_sym_delete] = ACTIONS(3324),
    [anon_sym_PLUS_PLUS] = ACTIONS(3324),
    [anon_sym_DASH_DASH] = ACTIONS(3324),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3324),
    [sym_number] = ACTIONS(3324),
    [sym_private_property_identifier] = ACTIONS(3324),
    [sym_this] = ACTIONS(3324),
    [sym_super] = ACTIONS(3324),
    [sym_true] = ACTIONS(3324),
    [sym_false] = ACTIONS(3324),
    [sym_null] = ACTIONS(3324),
    [sym_undefined] = ACTIONS(3324),
    [anon_sym_AT] = ACTIONS(3324),
    [anon_sym_static] = ACTIONS(3324),
    [anon_sym_readonly] = ACTIONS(3324),
    [anon_sym_get] = ACTIONS(3324),
    [anon_sym_set] = ACTIONS(3324),
    [anon_sym_declare] = ACTIONS(3324),
    [anon_sym_public] = ACTIONS(3324),
    [anon_sym_private] = ACTIONS(3324),
    [anon_sym_protected] = ACTIONS(3324),
    [anon_sym_override] = ACTIONS(3324),
    [anon_sym_module] = ACTIONS(3324),
    [anon_sym_any] = ACTIONS(3324),
    [anon_sym_number] = ACTIONS(3324),
    [anon_sym_boolean] = ACTIONS(3324),
    [anon_sym_string] = ACTIONS(3324),
    [anon_sym_symbol] = ACTIONS(3324),
    [anon_sym_object] = ACTIONS(3324),
    [anon_sym_abstract] = ACTIONS(3324),
    [anon_sym_interface] = ACTIONS(3324),
    [anon_sym_enum] = ACTIONS(3324),
    [sym_html_comment] = ACTIONS(5),
  },
  [1708] = {
    [sym_comment] = STATE(1708),
    [ts_builtin_sym_end] = ACTIONS(3470),
    [sym_identifier] = ACTIONS(3336),
    [anon_sym_export] = ACTIONS(3336),
    [anon_sym_type] = ACTIONS(3336),
    [anon_sym_namespace] = ACTIONS(3336),
    [anon_sym_LBRACE] = ACTIONS(3336),
    [anon_sym_RBRACE] = ACTIONS(3336),
    [anon_sym_typeof] = ACTIONS(3336),
    [anon_sym_import] = ACTIONS(3336),
    [anon_sym_with] = ACTIONS(3336),
    [anon_sym_var] = ACTIONS(3336),
    [anon_sym_let] = ACTIONS(3336),
    [anon_sym_const] = ACTIONS(3336),
    [anon_sym_BANG] = ACTIONS(3336),
    [anon_sym_if] = ACTIONS(3336),
    [anon_sym_switch] = ACTIONS(3336),
    [anon_sym_for] = ACTIONS(3336),
    [anon_sym_LPAREN] = ACTIONS(3336),
    [anon_sym_await] = ACTIONS(3336),
    [anon_sym_while] = ACTIONS(3336),
    [anon_sym_do] = ACTIONS(3336),
    [anon_sym_try] = ACTIONS(3336),
    [anon_sym_break] = ACTIONS(3336),
    [anon_sym_continue] = ACTIONS(3336),
    [anon_sym_debugger] = ACTIONS(3336),
    [anon_sym_return] = ACTIONS(3336),
    [anon_sym_throw] = ACTIONS(3336),
    [anon_sym_SEMI] = ACTIONS(3336),
    [anon_sym_yield] = ACTIONS(3336),
    [anon_sym_LBRACK] = ACTIONS(3336),
    [anon_sym_LTtemplate_GT] = ACTIONS(3336),
    [anon_sym_DQUOTE] = ACTIONS(3336),
    [anon_sym_SQUOTE] = ACTIONS(3336),
    [anon_sym_class] = ACTIONS(3336),
    [anon_sym_async] = ACTIONS(3336),
    [anon_sym_function] = ACTIONS(3336),
    [anon_sym_new] = ACTIONS(3336),
    [anon_sym_using] = ACTIONS(3336),
    [anon_sym_PLUS] = ACTIONS(3336),
    [anon_sym_DASH] = ACTIONS(3336),
    [anon_sym_SLASH] = ACTIONS(3336),
    [anon_sym_LT] = ACTIONS(3336),
    [anon_sym_TILDE] = ACTIONS(3336),
    [anon_sym_void] = ACTIONS(3336),
    [anon_sym_delete] = ACTIONS(3336),
    [anon_sym_PLUS_PLUS] = ACTIONS(3336),
    [anon_sym_DASH_DASH] = ACTIONS(3336),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3336),
    [sym_number] = ACTIONS(3336),
    [sym_private_property_identifier] = ACTIONS(3336),
    [sym_this] = ACTIONS(3336),
    [sym_super] = ACTIONS(3336),
    [sym_true] = ACTIONS(3336),
    [sym_false] = ACTIONS(3336),
    [sym_null] = ACTIONS(3336),
    [sym_undefined] = ACTIONS(3336),
    [anon_sym_AT] = ACTIONS(3336),
    [anon_sym_static] = ACTIONS(3336),
    [anon_sym_readonly] = ACTIONS(3336),
    [anon_sym_get] = ACTIONS(3336),
    [anon_sym_set] = ACTIONS(3336),
    [anon_sym_declare] = ACTIONS(3336),
    [anon_sym_public] = ACTIONS(3336),
    [anon_sym_private] = ACTIONS(3336),
    [anon_sym_protected] = ACTIONS(3336),
    [anon_sym_override] = ACTIONS(3336),
    [anon_sym_module] = ACTIONS(3336),
    [anon_sym_any] = ACTIONS(3336),
    [anon_sym_number] = ACTIONS(3336),
    [anon_sym_boolean] = ACTIONS(3336),
    [anon_sym_string] = ACTIONS(3336),
    [anon_sym_symbol] = ACTIONS(3336),
    [anon_sym_object] = ACTIONS(3336),
    [anon_sym_abstract] = ACTIONS(3336),
    [anon_sym_interface] = ACTIONS(3336),
    [anon_sym_enum] = ACTIONS(3336),
    [sym_html_comment] = ACTIONS(5),
  },
  [1709] = {
    [sym_comment] = STATE(1709),
    [ts_builtin_sym_end] = ACTIONS(3544),
    [sym_identifier] = ACTIONS(3184),
    [anon_sym_export] = ACTIONS(3184),
    [anon_sym_type] = ACTIONS(3184),
    [anon_sym_namespace] = ACTIONS(3184),
    [anon_sym_LBRACE] = ACTIONS(3184),
    [anon_sym_RBRACE] = ACTIONS(3184),
    [anon_sym_typeof] = ACTIONS(3184),
    [anon_sym_import] = ACTIONS(3184),
    [anon_sym_with] = ACTIONS(3184),
    [anon_sym_var] = ACTIONS(3184),
    [anon_sym_let] = ACTIONS(3184),
    [anon_sym_const] = ACTIONS(3184),
    [anon_sym_BANG] = ACTIONS(3184),
    [anon_sym_if] = ACTIONS(3184),
    [anon_sym_switch] = ACTIONS(3184),
    [anon_sym_for] = ACTIONS(3184),
    [anon_sym_LPAREN] = ACTIONS(3184),
    [anon_sym_await] = ACTIONS(3184),
    [anon_sym_while] = ACTIONS(3184),
    [anon_sym_do] = ACTIONS(3184),
    [anon_sym_try] = ACTIONS(3184),
    [anon_sym_break] = ACTIONS(3184),
    [anon_sym_continue] = ACTIONS(3184),
    [anon_sym_debugger] = ACTIONS(3184),
    [anon_sym_return] = ACTIONS(3184),
    [anon_sym_throw] = ACTIONS(3184),
    [anon_sym_SEMI] = ACTIONS(3184),
    [anon_sym_yield] = ACTIONS(3184),
    [anon_sym_LBRACK] = ACTIONS(3184),
    [anon_sym_LTtemplate_GT] = ACTIONS(3184),
    [anon_sym_DQUOTE] = ACTIONS(3184),
    [anon_sym_SQUOTE] = ACTIONS(3184),
    [anon_sym_class] = ACTIONS(3184),
    [anon_sym_async] = ACTIONS(3184),
    [anon_sym_function] = ACTIONS(3184),
    [anon_sym_new] = ACTIONS(3184),
    [anon_sym_using] = ACTIONS(3184),
    [anon_sym_PLUS] = ACTIONS(3184),
    [anon_sym_DASH] = ACTIONS(3184),
    [anon_sym_SLASH] = ACTIONS(3184),
    [anon_sym_LT] = ACTIONS(3184),
    [anon_sym_TILDE] = ACTIONS(3184),
    [anon_sym_void] = ACTIONS(3184),
    [anon_sym_delete] = ACTIONS(3184),
    [anon_sym_PLUS_PLUS] = ACTIONS(3184),
    [anon_sym_DASH_DASH] = ACTIONS(3184),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3184),
    [sym_number] = ACTIONS(3184),
    [sym_private_property_identifier] = ACTIONS(3184),
    [sym_this] = ACTIONS(3184),
    [sym_super] = ACTIONS(3184),
    [sym_true] = ACTIONS(3184),
    [sym_false] = ACTIONS(3184),
    [sym_null] = ACTIONS(3184),
    [sym_undefined] = ACTIONS(3184),
    [anon_sym_AT] = ACTIONS(3184),
    [anon_sym_static] = ACTIONS(3184),
    [anon_sym_readonly] = ACTIONS(3184),
    [anon_sym_get] = ACTIONS(3184),
    [anon_sym_set] = ACTIONS(3184),
    [anon_sym_declare] = ACTIONS(3184),
    [anon_sym_public] = ACTIONS(3184),
    [anon_sym_private] = ACTIONS(3184),
    [anon_sym_protected] = ACTIONS(3184),
    [anon_sym_override] = ACTIONS(3184),
    [anon_sym_module] = ACTIONS(3184),
    [anon_sym_any] = ACTIONS(3184),
    [anon_sym_number] = ACTIONS(3184),
    [anon_sym_boolean] = ACTIONS(3184),
    [anon_sym_string] = ACTIONS(3184),
    [anon_sym_symbol] = ACTIONS(3184),
    [anon_sym_object] = ACTIONS(3184),
    [anon_sym_abstract] = ACTIONS(3184),
    [anon_sym_interface] = ACTIONS(3184),
    [anon_sym_enum] = ACTIONS(3184),
    [sym_html_comment] = ACTIONS(5),
  },
  [1710] = {
    [sym_comment] = STATE(1710),
    [ts_builtin_sym_end] = ACTIONS(3412),
    [sym_identifier] = ACTIONS(3286),
    [anon_sym_export] = ACTIONS(3286),
    [anon_sym_type] = ACTIONS(3286),
    [anon_sym_namespace] = ACTIONS(3286),
    [anon_sym_LBRACE] = ACTIONS(3286),
    [anon_sym_RBRACE] = ACTIONS(3286),
    [anon_sym_typeof] = ACTIONS(3286),
    [anon_sym_import] = ACTIONS(3286),
    [anon_sym_with] = ACTIONS(3286),
    [anon_sym_var] = ACTIONS(3286),
    [anon_sym_let] = ACTIONS(3286),
    [anon_sym_const] = ACTIONS(3286),
    [anon_sym_BANG] = ACTIONS(3286),
    [anon_sym_if] = ACTIONS(3286),
    [anon_sym_switch] = ACTIONS(3286),
    [anon_sym_for] = ACTIONS(3286),
    [anon_sym_LPAREN] = ACTIONS(3286),
    [anon_sym_await] = ACTIONS(3286),
    [anon_sym_while] = ACTIONS(3286),
    [anon_sym_do] = ACTIONS(3286),
    [anon_sym_try] = ACTIONS(3286),
    [anon_sym_break] = ACTIONS(3286),
    [anon_sym_continue] = ACTIONS(3286),
    [anon_sym_debugger] = ACTIONS(3286),
    [anon_sym_return] = ACTIONS(3286),
    [anon_sym_throw] = ACTIONS(3286),
    [anon_sym_SEMI] = ACTIONS(3286),
    [anon_sym_yield] = ACTIONS(3286),
    [anon_sym_LBRACK] = ACTIONS(3286),
    [anon_sym_LTtemplate_GT] = ACTIONS(3286),
    [anon_sym_DQUOTE] = ACTIONS(3286),
    [anon_sym_SQUOTE] = ACTIONS(3286),
    [anon_sym_class] = ACTIONS(3286),
    [anon_sym_async] = ACTIONS(3286),
    [anon_sym_function] = ACTIONS(3286),
    [anon_sym_new] = ACTIONS(3286),
    [anon_sym_using] = ACTIONS(3286),
    [anon_sym_PLUS] = ACTIONS(3286),
    [anon_sym_DASH] = ACTIONS(3286),
    [anon_sym_SLASH] = ACTIONS(3286),
    [anon_sym_LT] = ACTIONS(3286),
    [anon_sym_TILDE] = ACTIONS(3286),
    [anon_sym_void] = ACTIONS(3286),
    [anon_sym_delete] = ACTIONS(3286),
    [anon_sym_PLUS_PLUS] = ACTIONS(3286),
    [anon_sym_DASH_DASH] = ACTIONS(3286),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3286),
    [sym_number] = ACTIONS(3286),
    [sym_private_property_identifier] = ACTIONS(3286),
    [sym_this] = ACTIONS(3286),
    [sym_super] = ACTIONS(3286),
    [sym_true] = ACTIONS(3286),
    [sym_false] = ACTIONS(3286),
    [sym_null] = ACTIONS(3286),
    [sym_undefined] = ACTIONS(3286),
    [anon_sym_AT] = ACTIONS(3286),
    [anon_sym_static] = ACTIONS(3286),
    [anon_sym_readonly] = ACTIONS(3286),
    [anon_sym_get] = ACTIONS(3286),
    [anon_sym_set] = ACTIONS(3286),
    [anon_sym_declare] = ACTIONS(3286),
    [anon_sym_public] = ACTIONS(3286),
    [anon_sym_private] = ACTIONS(3286),
    [anon_sym_protected] = ACTIONS(3286),
    [anon_sym_override] = ACTIONS(3286),
    [anon_sym_module] = ACTIONS(3286),
    [anon_sym_any] = ACTIONS(3286),
    [anon_sym_number] = ACTIONS(3286),
    [anon_sym_boolean] = ACTIONS(3286),
    [anon_sym_string] = ACTIONS(3286),
    [anon_sym_symbol] = ACTIONS(3286),
    [anon_sym_object] = ACTIONS(3286),
    [anon_sym_abstract] = ACTIONS(3286),
    [anon_sym_interface] = ACTIONS(3286),
    [anon_sym_enum] = ACTIONS(3286),
    [sym_html_comment] = ACTIONS(5),
  },
  [1711] = {
    [sym_comment] = STATE(1711),
    [ts_builtin_sym_end] = ACTIONS(3458),
    [sym_identifier] = ACTIONS(3326),
    [anon_sym_export] = ACTIONS(3326),
    [anon_sym_type] = ACTIONS(3326),
    [anon_sym_namespace] = ACTIONS(3326),
    [anon_sym_LBRACE] = ACTIONS(3326),
    [anon_sym_RBRACE] = ACTIONS(3326),
    [anon_sym_typeof] = ACTIONS(3326),
    [anon_sym_import] = ACTIONS(3326),
    [anon_sym_with] = ACTIONS(3326),
    [anon_sym_var] = ACTIONS(3326),
    [anon_sym_let] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3326),
    [anon_sym_BANG] = ACTIONS(3326),
    [anon_sym_if] = ACTIONS(3326),
    [anon_sym_switch] = ACTIONS(3326),
    [anon_sym_for] = ACTIONS(3326),
    [anon_sym_LPAREN] = ACTIONS(3326),
    [anon_sym_await] = ACTIONS(3326),
    [anon_sym_while] = ACTIONS(3326),
    [anon_sym_do] = ACTIONS(3326),
    [anon_sym_try] = ACTIONS(3326),
    [anon_sym_break] = ACTIONS(3326),
    [anon_sym_continue] = ACTIONS(3326),
    [anon_sym_debugger] = ACTIONS(3326),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_throw] = ACTIONS(3326),
    [anon_sym_SEMI] = ACTIONS(3326),
    [anon_sym_yield] = ACTIONS(3326),
    [anon_sym_LBRACK] = ACTIONS(3326),
    [anon_sym_LTtemplate_GT] = ACTIONS(3326),
    [anon_sym_DQUOTE] = ACTIONS(3326),
    [anon_sym_SQUOTE] = ACTIONS(3326),
    [anon_sym_class] = ACTIONS(3326),
    [anon_sym_async] = ACTIONS(3326),
    [anon_sym_function] = ACTIONS(3326),
    [anon_sym_new] = ACTIONS(3326),
    [anon_sym_using] = ACTIONS(3326),
    [anon_sym_PLUS] = ACTIONS(3326),
    [anon_sym_DASH] = ACTIONS(3326),
    [anon_sym_SLASH] = ACTIONS(3326),
    [anon_sym_LT] = ACTIONS(3326),
    [anon_sym_TILDE] = ACTIONS(3326),
    [anon_sym_void] = ACTIONS(3326),
    [anon_sym_delete] = ACTIONS(3326),
    [anon_sym_PLUS_PLUS] = ACTIONS(3326),
    [anon_sym_DASH_DASH] = ACTIONS(3326),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3326),
    [sym_number] = ACTIONS(3326),
    [sym_private_property_identifier] = ACTIONS(3326),
    [sym_this] = ACTIONS(3326),
    [sym_super] = ACTIONS(3326),
    [sym_true] = ACTIONS(3326),
    [sym_false] = ACTIONS(3326),
    [sym_null] = ACTIONS(3326),
    [sym_undefined] = ACTIONS(3326),
    [anon_sym_AT] = ACTIONS(3326),
    [anon_sym_static] = ACTIONS(3326),
    [anon_sym_readonly] = ACTIONS(3326),
    [anon_sym_get] = ACTIONS(3326),
    [anon_sym_set] = ACTIONS(3326),
    [anon_sym_declare] = ACTIONS(3326),
    [anon_sym_public] = ACTIONS(3326),
    [anon_sym_private] = ACTIONS(3326),
    [anon_sym_protected] = ACTIONS(3326),
    [anon_sym_override] = ACTIONS(3326),
    [anon_sym_module] = ACTIONS(3326),
    [anon_sym_any] = ACTIONS(3326),
    [anon_sym_number] = ACTIONS(3326),
    [anon_sym_boolean] = ACTIONS(3326),
    [anon_sym_string] = ACTIONS(3326),
    [anon_sym_symbol] = ACTIONS(3326),
    [anon_sym_object] = ACTIONS(3326),
    [anon_sym_abstract] = ACTIONS(3326),
    [anon_sym_interface] = ACTIONS(3326),
    [anon_sym_enum] = ACTIONS(3326),
    [sym_html_comment] = ACTIONS(5),
  },
  [1712] = {
    [sym_comment] = STATE(1712),
    [ts_builtin_sym_end] = ACTIONS(3460),
    [sym_identifier] = ACTIONS(3138),
    [anon_sym_export] = ACTIONS(3138),
    [anon_sym_type] = ACTIONS(3138),
    [anon_sym_namespace] = ACTIONS(3138),
    [anon_sym_LBRACE] = ACTIONS(3138),
    [anon_sym_RBRACE] = ACTIONS(3138),
    [anon_sym_typeof] = ACTIONS(3138),
    [anon_sym_import] = ACTIONS(3138),
    [anon_sym_with] = ACTIONS(3138),
    [anon_sym_var] = ACTIONS(3138),
    [anon_sym_let] = ACTIONS(3138),
    [anon_sym_const] = ACTIONS(3138),
    [anon_sym_BANG] = ACTIONS(3138),
    [anon_sym_if] = ACTIONS(3138),
    [anon_sym_switch] = ACTIONS(3138),
    [anon_sym_for] = ACTIONS(3138),
    [anon_sym_LPAREN] = ACTIONS(3138),
    [anon_sym_await] = ACTIONS(3138),
    [anon_sym_while] = ACTIONS(3138),
    [anon_sym_do] = ACTIONS(3138),
    [anon_sym_try] = ACTIONS(3138),
    [anon_sym_break] = ACTIONS(3138),
    [anon_sym_continue] = ACTIONS(3138),
    [anon_sym_debugger] = ACTIONS(3138),
    [anon_sym_return] = ACTIONS(3138),
    [anon_sym_throw] = ACTIONS(3138),
    [anon_sym_SEMI] = ACTIONS(3138),
    [anon_sym_yield] = ACTIONS(3138),
    [anon_sym_LBRACK] = ACTIONS(3138),
    [anon_sym_LTtemplate_GT] = ACTIONS(3138),
    [anon_sym_DQUOTE] = ACTIONS(3138),
    [anon_sym_SQUOTE] = ACTIONS(3138),
    [anon_sym_class] = ACTIONS(3138),
    [anon_sym_async] = ACTIONS(3138),
    [anon_sym_function] = ACTIONS(3138),
    [anon_sym_new] = ACTIONS(3138),
    [anon_sym_using] = ACTIONS(3138),
    [anon_sym_PLUS] = ACTIONS(3138),
    [anon_sym_DASH] = ACTIONS(3138),
    [anon_sym_SLASH] = ACTIONS(3138),
    [anon_sym_LT] = ACTIONS(3138),
    [anon_sym_TILDE] = ACTIONS(3138),
    [anon_sym_void] = ACTIONS(3138),
    [anon_sym_delete] = ACTIONS(3138),
    [anon_sym_PLUS_PLUS] = ACTIONS(3138),
    [anon_sym_DASH_DASH] = ACTIONS(3138),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3138),
    [sym_number] = ACTIONS(3138),
    [sym_private_property_identifier] = ACTIONS(3138),
    [sym_this] = ACTIONS(3138),
    [sym_super] = ACTIONS(3138),
    [sym_true] = ACTIONS(3138),
    [sym_false] = ACTIONS(3138),
    [sym_null] = ACTIONS(3138),
    [sym_undefined] = ACTIONS(3138),
    [anon_sym_AT] = ACTIONS(3138),
    [anon_sym_static] = ACTIONS(3138),
    [anon_sym_readonly] = ACTIONS(3138),
    [anon_sym_get] = ACTIONS(3138),
    [anon_sym_set] = ACTIONS(3138),
    [anon_sym_declare] = ACTIONS(3138),
    [anon_sym_public] = ACTIONS(3138),
    [anon_sym_private] = ACTIONS(3138),
    [anon_sym_protected] = ACTIONS(3138),
    [anon_sym_override] = ACTIONS(3138),
    [anon_sym_module] = ACTIONS(3138),
    [anon_sym_any] = ACTIONS(3138),
    [anon_sym_number] = ACTIONS(3138),
    [anon_sym_boolean] = ACTIONS(3138),
    [anon_sym_string] = ACTIONS(3138),
    [anon_sym_symbol] = ACTIONS(3138),
    [anon_sym_object] = ACTIONS(3138),
    [anon_sym_abstract] = ACTIONS(3138),
    [anon_sym_interface] = ACTIONS(3138),
    [anon_sym_enum] = ACTIONS(3138),
    [sym_html_comment] = ACTIONS(5),
  },
  [1713] = {
    [sym_comment] = STATE(1713),
    [ts_builtin_sym_end] = ACTIONS(3462),
    [sym_identifier] = ACTIONS(3132),
    [anon_sym_export] = ACTIONS(3132),
    [anon_sym_type] = ACTIONS(3132),
    [anon_sym_namespace] = ACTIONS(3132),
    [anon_sym_LBRACE] = ACTIONS(3132),
    [anon_sym_RBRACE] = ACTIONS(3132),
    [anon_sym_typeof] = ACTIONS(3132),
    [anon_sym_import] = ACTIONS(3132),
    [anon_sym_with] = ACTIONS(3132),
    [anon_sym_var] = ACTIONS(3132),
    [anon_sym_let] = ACTIONS(3132),
    [anon_sym_const] = ACTIONS(3132),
    [anon_sym_BANG] = ACTIONS(3132),
    [anon_sym_if] = ACTIONS(3132),
    [anon_sym_switch] = ACTIONS(3132),
    [anon_sym_for] = ACTIONS(3132),
    [anon_sym_LPAREN] = ACTIONS(3132),
    [anon_sym_await] = ACTIONS(3132),
    [anon_sym_while] = ACTIONS(3132),
    [anon_sym_do] = ACTIONS(3132),
    [anon_sym_try] = ACTIONS(3132),
    [anon_sym_break] = ACTIONS(3132),
    [anon_sym_continue] = ACTIONS(3132),
    [anon_sym_debugger] = ACTIONS(3132),
    [anon_sym_return] = ACTIONS(3132),
    [anon_sym_throw] = ACTIONS(3132),
    [anon_sym_SEMI] = ACTIONS(3132),
    [anon_sym_yield] = ACTIONS(3132),
    [anon_sym_LBRACK] = ACTIONS(3132),
    [anon_sym_LTtemplate_GT] = ACTIONS(3132),
    [anon_sym_DQUOTE] = ACTIONS(3132),
    [anon_sym_SQUOTE] = ACTIONS(3132),
    [anon_sym_class] = ACTIONS(3132),
    [anon_sym_async] = ACTIONS(3132),
    [anon_sym_function] = ACTIONS(3132),
    [anon_sym_new] = ACTIONS(3132),
    [anon_sym_using] = ACTIONS(3132),
    [anon_sym_PLUS] = ACTIONS(3132),
    [anon_sym_DASH] = ACTIONS(3132),
    [anon_sym_SLASH] = ACTIONS(3132),
    [anon_sym_LT] = ACTIONS(3132),
    [anon_sym_TILDE] = ACTIONS(3132),
    [anon_sym_void] = ACTIONS(3132),
    [anon_sym_delete] = ACTIONS(3132),
    [anon_sym_PLUS_PLUS] = ACTIONS(3132),
    [anon_sym_DASH_DASH] = ACTIONS(3132),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3132),
    [sym_number] = ACTIONS(3132),
    [sym_private_property_identifier] = ACTIONS(3132),
    [sym_this] = ACTIONS(3132),
    [sym_super] = ACTIONS(3132),
    [sym_true] = ACTIONS(3132),
    [sym_false] = ACTIONS(3132),
    [sym_null] = ACTIONS(3132),
    [sym_undefined] = ACTIONS(3132),
    [anon_sym_AT] = ACTIONS(3132),
    [anon_sym_static] = ACTIONS(3132),
    [anon_sym_readonly] = ACTIONS(3132),
    [anon_sym_get] = ACTIONS(3132),
    [anon_sym_set] = ACTIONS(3132),
    [anon_sym_declare] = ACTIONS(3132),
    [anon_sym_public] = ACTIONS(3132),
    [anon_sym_private] = ACTIONS(3132),
    [anon_sym_protected] = ACTIONS(3132),
    [anon_sym_override] = ACTIONS(3132),
    [anon_sym_module] = ACTIONS(3132),
    [anon_sym_any] = ACTIONS(3132),
    [anon_sym_number] = ACTIONS(3132),
    [anon_sym_boolean] = ACTIONS(3132),
    [anon_sym_string] = ACTIONS(3132),
    [anon_sym_symbol] = ACTIONS(3132),
    [anon_sym_object] = ACTIONS(3132),
    [anon_sym_abstract] = ACTIONS(3132),
    [anon_sym_interface] = ACTIONS(3132),
    [anon_sym_enum] = ACTIONS(3132),
    [sym_html_comment] = ACTIONS(5),
  },
  [1714] = {
    [sym_comment] = STATE(1714),
    [ts_builtin_sym_end] = ACTIONS(3470),
    [sym_identifier] = ACTIONS(3336),
    [anon_sym_export] = ACTIONS(3336),
    [anon_sym_type] = ACTIONS(3336),
    [anon_sym_namespace] = ACTIONS(3336),
    [anon_sym_LBRACE] = ACTIONS(3336),
    [anon_sym_RBRACE] = ACTIONS(3336),
    [anon_sym_typeof] = ACTIONS(3336),
    [anon_sym_import] = ACTIONS(3336),
    [anon_sym_with] = ACTIONS(3336),
    [anon_sym_var] = ACTIONS(3336),
    [anon_sym_let] = ACTIONS(3336),
    [anon_sym_const] = ACTIONS(3336),
    [anon_sym_BANG] = ACTIONS(3336),
    [anon_sym_if] = ACTIONS(3336),
    [anon_sym_switch] = ACTIONS(3336),
    [anon_sym_for] = ACTIONS(3336),
    [anon_sym_LPAREN] = ACTIONS(3336),
    [anon_sym_await] = ACTIONS(3336),
    [anon_sym_while] = ACTIONS(3336),
    [anon_sym_do] = ACTIONS(3336),
    [anon_sym_try] = ACTIONS(3336),
    [anon_sym_break] = ACTIONS(3336),
    [anon_sym_continue] = ACTIONS(3336),
    [anon_sym_debugger] = ACTIONS(3336),
    [anon_sym_return] = ACTIONS(3336),
    [anon_sym_throw] = ACTIONS(3336),
    [anon_sym_SEMI] = ACTIONS(3336),
    [anon_sym_yield] = ACTIONS(3336),
    [anon_sym_LBRACK] = ACTIONS(3336),
    [anon_sym_LTtemplate_GT] = ACTIONS(3336),
    [anon_sym_DQUOTE] = ACTIONS(3336),
    [anon_sym_SQUOTE] = ACTIONS(3336),
    [anon_sym_class] = ACTIONS(3336),
    [anon_sym_async] = ACTIONS(3336),
    [anon_sym_function] = ACTIONS(3336),
    [anon_sym_new] = ACTIONS(3336),
    [anon_sym_using] = ACTIONS(3336),
    [anon_sym_PLUS] = ACTIONS(3336),
    [anon_sym_DASH] = ACTIONS(3336),
    [anon_sym_SLASH] = ACTIONS(3336),
    [anon_sym_LT] = ACTIONS(3336),
    [anon_sym_TILDE] = ACTIONS(3336),
    [anon_sym_void] = ACTIONS(3336),
    [anon_sym_delete] = ACTIONS(3336),
    [anon_sym_PLUS_PLUS] = ACTIONS(3336),
    [anon_sym_DASH_DASH] = ACTIONS(3336),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3336),
    [sym_number] = ACTIONS(3336),
    [sym_private_property_identifier] = ACTIONS(3336),
    [sym_this] = ACTIONS(3336),
    [sym_super] = ACTIONS(3336),
    [sym_true] = ACTIONS(3336),
    [sym_false] = ACTIONS(3336),
    [sym_null] = ACTIONS(3336),
    [sym_undefined] = ACTIONS(3336),
    [anon_sym_AT] = ACTIONS(3336),
    [anon_sym_static] = ACTIONS(3336),
    [anon_sym_readonly] = ACTIONS(3336),
    [anon_sym_get] = ACTIONS(3336),
    [anon_sym_set] = ACTIONS(3336),
    [anon_sym_declare] = ACTIONS(3336),
    [anon_sym_public] = ACTIONS(3336),
    [anon_sym_private] = ACTIONS(3336),
    [anon_sym_protected] = ACTIONS(3336),
    [anon_sym_override] = ACTIONS(3336),
    [anon_sym_module] = ACTIONS(3336),
    [anon_sym_any] = ACTIONS(3336),
    [anon_sym_number] = ACTIONS(3336),
    [anon_sym_boolean] = ACTIONS(3336),
    [anon_sym_string] = ACTIONS(3336),
    [anon_sym_symbol] = ACTIONS(3336),
    [anon_sym_object] = ACTIONS(3336),
    [anon_sym_abstract] = ACTIONS(3336),
    [anon_sym_interface] = ACTIONS(3336),
    [anon_sym_enum] = ACTIONS(3336),
    [sym_html_comment] = ACTIONS(5),
  },
  [1715] = {
    [sym_comment] = STATE(1715),
    [ts_builtin_sym_end] = ACTIONS(3470),
    [sym_identifier] = ACTIONS(3336),
    [anon_sym_export] = ACTIONS(3336),
    [anon_sym_type] = ACTIONS(3336),
    [anon_sym_namespace] = ACTIONS(3336),
    [anon_sym_LBRACE] = ACTIONS(3336),
    [anon_sym_RBRACE] = ACTIONS(3336),
    [anon_sym_typeof] = ACTIONS(3336),
    [anon_sym_import] = ACTIONS(3336),
    [anon_sym_with] = ACTIONS(3336),
    [anon_sym_var] = ACTIONS(3336),
    [anon_sym_let] = ACTIONS(3336),
    [anon_sym_const] = ACTIONS(3336),
    [anon_sym_BANG] = ACTIONS(3336),
    [anon_sym_if] = ACTIONS(3336),
    [anon_sym_switch] = ACTIONS(3336),
    [anon_sym_for] = ACTIONS(3336),
    [anon_sym_LPAREN] = ACTIONS(3336),
    [anon_sym_await] = ACTIONS(3336),
    [anon_sym_while] = ACTIONS(3336),
    [anon_sym_do] = ACTIONS(3336),
    [anon_sym_try] = ACTIONS(3336),
    [anon_sym_break] = ACTIONS(3336),
    [anon_sym_continue] = ACTIONS(3336),
    [anon_sym_debugger] = ACTIONS(3336),
    [anon_sym_return] = ACTIONS(3336),
    [anon_sym_throw] = ACTIONS(3336),
    [anon_sym_SEMI] = ACTIONS(3336),
    [anon_sym_yield] = ACTIONS(3336),
    [anon_sym_LBRACK] = ACTIONS(3336),
    [anon_sym_LTtemplate_GT] = ACTIONS(3336),
    [anon_sym_DQUOTE] = ACTIONS(3336),
    [anon_sym_SQUOTE] = ACTIONS(3336),
    [anon_sym_class] = ACTIONS(3336),
    [anon_sym_async] = ACTIONS(3336),
    [anon_sym_function] = ACTIONS(3336),
    [anon_sym_new] = ACTIONS(3336),
    [anon_sym_using] = ACTIONS(3336),
    [anon_sym_PLUS] = ACTIONS(3336),
    [anon_sym_DASH] = ACTIONS(3336),
    [anon_sym_SLASH] = ACTIONS(3336),
    [anon_sym_LT] = ACTIONS(3336),
    [anon_sym_TILDE] = ACTIONS(3336),
    [anon_sym_void] = ACTIONS(3336),
    [anon_sym_delete] = ACTIONS(3336),
    [anon_sym_PLUS_PLUS] = ACTIONS(3336),
    [anon_sym_DASH_DASH] = ACTIONS(3336),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3336),
    [sym_number] = ACTIONS(3336),
    [sym_private_property_identifier] = ACTIONS(3336),
    [sym_this] = ACTIONS(3336),
    [sym_super] = ACTIONS(3336),
    [sym_true] = ACTIONS(3336),
    [sym_false] = ACTIONS(3336),
    [sym_null] = ACTIONS(3336),
    [sym_undefined] = ACTIONS(3336),
    [anon_sym_AT] = ACTIONS(3336),
    [anon_sym_static] = ACTIONS(3336),
    [anon_sym_readonly] = ACTIONS(3336),
    [anon_sym_get] = ACTIONS(3336),
    [anon_sym_set] = ACTIONS(3336),
    [anon_sym_declare] = ACTIONS(3336),
    [anon_sym_public] = ACTIONS(3336),
    [anon_sym_private] = ACTIONS(3336),
    [anon_sym_protected] = ACTIONS(3336),
    [anon_sym_override] = ACTIONS(3336),
    [anon_sym_module] = ACTIONS(3336),
    [anon_sym_any] = ACTIONS(3336),
    [anon_sym_number] = ACTIONS(3336),
    [anon_sym_boolean] = ACTIONS(3336),
    [anon_sym_string] = ACTIONS(3336),
    [anon_sym_symbol] = ACTIONS(3336),
    [anon_sym_object] = ACTIONS(3336),
    [anon_sym_abstract] = ACTIONS(3336),
    [anon_sym_interface] = ACTIONS(3336),
    [anon_sym_enum] = ACTIONS(3336),
    [sym_html_comment] = ACTIONS(5),
  },
  [1716] = {
    [sym_comment] = STATE(1716),
    [ts_builtin_sym_end] = ACTIONS(3464),
    [sym_identifier] = ACTIONS(3250),
    [anon_sym_export] = ACTIONS(3250),
    [anon_sym_type] = ACTIONS(3250),
    [anon_sym_namespace] = ACTIONS(3250),
    [anon_sym_LBRACE] = ACTIONS(3250),
    [anon_sym_RBRACE] = ACTIONS(3250),
    [anon_sym_typeof] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3250),
    [anon_sym_with] = ACTIONS(3250),
    [anon_sym_var] = ACTIONS(3250),
    [anon_sym_let] = ACTIONS(3250),
    [anon_sym_const] = ACTIONS(3250),
    [anon_sym_BANG] = ACTIONS(3250),
    [anon_sym_if] = ACTIONS(3250),
    [anon_sym_switch] = ACTIONS(3250),
    [anon_sym_for] = ACTIONS(3250),
    [anon_sym_LPAREN] = ACTIONS(3250),
    [anon_sym_await] = ACTIONS(3250),
    [anon_sym_while] = ACTIONS(3250),
    [anon_sym_do] = ACTIONS(3250),
    [anon_sym_try] = ACTIONS(3250),
    [anon_sym_break] = ACTIONS(3250),
    [anon_sym_continue] = ACTIONS(3250),
    [anon_sym_debugger] = ACTIONS(3250),
    [anon_sym_return] = ACTIONS(3250),
    [anon_sym_throw] = ACTIONS(3250),
    [anon_sym_SEMI] = ACTIONS(3250),
    [anon_sym_yield] = ACTIONS(3250),
    [anon_sym_LBRACK] = ACTIONS(3250),
    [anon_sym_LTtemplate_GT] = ACTIONS(3250),
    [anon_sym_DQUOTE] = ACTIONS(3250),
    [anon_sym_SQUOTE] = ACTIONS(3250),
    [anon_sym_class] = ACTIONS(3250),
    [anon_sym_async] = ACTIONS(3250),
    [anon_sym_function] = ACTIONS(3250),
    [anon_sym_new] = ACTIONS(3250),
    [anon_sym_using] = ACTIONS(3250),
    [anon_sym_PLUS] = ACTIONS(3250),
    [anon_sym_DASH] = ACTIONS(3250),
    [anon_sym_SLASH] = ACTIONS(3250),
    [anon_sym_LT] = ACTIONS(3250),
    [anon_sym_TILDE] = ACTIONS(3250),
    [anon_sym_void] = ACTIONS(3250),
    [anon_sym_delete] = ACTIONS(3250),
    [anon_sym_PLUS_PLUS] = ACTIONS(3250),
    [anon_sym_DASH_DASH] = ACTIONS(3250),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3250),
    [sym_number] = ACTIONS(3250),
    [sym_private_property_identifier] = ACTIONS(3250),
    [sym_this] = ACTIONS(3250),
    [sym_super] = ACTIONS(3250),
    [sym_true] = ACTIONS(3250),
    [sym_false] = ACTIONS(3250),
    [sym_null] = ACTIONS(3250),
    [sym_undefined] = ACTIONS(3250),
    [anon_sym_AT] = ACTIONS(3250),
    [anon_sym_static] = ACTIONS(3250),
    [anon_sym_readonly] = ACTIONS(3250),
    [anon_sym_get] = ACTIONS(3250),
    [anon_sym_set] = ACTIONS(3250),
    [anon_sym_declare] = ACTIONS(3250),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_private] = ACTIONS(3250),
    [anon_sym_protected] = ACTIONS(3250),
    [anon_sym_override] = ACTIONS(3250),
    [anon_sym_module] = ACTIONS(3250),
    [anon_sym_any] = ACTIONS(3250),
    [anon_sym_number] = ACTIONS(3250),
    [anon_sym_boolean] = ACTIONS(3250),
    [anon_sym_string] = ACTIONS(3250),
    [anon_sym_symbol] = ACTIONS(3250),
    [anon_sym_object] = ACTIONS(3250),
    [anon_sym_abstract] = ACTIONS(3250),
    [anon_sym_interface] = ACTIONS(3250),
    [anon_sym_enum] = ACTIONS(3250),
    [sym_html_comment] = ACTIONS(5),
  },
  [1717] = {
    [sym_comment] = STATE(1717),
    [ts_builtin_sym_end] = ACTIONS(3466),
    [sym_identifier] = ACTIONS(3332),
    [anon_sym_export] = ACTIONS(3332),
    [anon_sym_type] = ACTIONS(3332),
    [anon_sym_namespace] = ACTIONS(3332),
    [anon_sym_LBRACE] = ACTIONS(3332),
    [anon_sym_RBRACE] = ACTIONS(3332),
    [anon_sym_typeof] = ACTIONS(3332),
    [anon_sym_import] = ACTIONS(3332),
    [anon_sym_with] = ACTIONS(3332),
    [anon_sym_var] = ACTIONS(3332),
    [anon_sym_let] = ACTIONS(3332),
    [anon_sym_const] = ACTIONS(3332),
    [anon_sym_BANG] = ACTIONS(3332),
    [anon_sym_if] = ACTIONS(3332),
    [anon_sym_switch] = ACTIONS(3332),
    [anon_sym_for] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(3332),
    [anon_sym_await] = ACTIONS(3332),
    [anon_sym_while] = ACTIONS(3332),
    [anon_sym_do] = ACTIONS(3332),
    [anon_sym_try] = ACTIONS(3332),
    [anon_sym_break] = ACTIONS(3332),
    [anon_sym_continue] = ACTIONS(3332),
    [anon_sym_debugger] = ACTIONS(3332),
    [anon_sym_return] = ACTIONS(3332),
    [anon_sym_throw] = ACTIONS(3332),
    [anon_sym_SEMI] = ACTIONS(3332),
    [anon_sym_yield] = ACTIONS(3332),
    [anon_sym_LBRACK] = ACTIONS(3332),
    [anon_sym_LTtemplate_GT] = ACTIONS(3332),
    [anon_sym_DQUOTE] = ACTIONS(3332),
    [anon_sym_SQUOTE] = ACTIONS(3332),
    [anon_sym_class] = ACTIONS(3332),
    [anon_sym_async] = ACTIONS(3332),
    [anon_sym_function] = ACTIONS(3332),
    [anon_sym_new] = ACTIONS(3332),
    [anon_sym_using] = ACTIONS(3332),
    [anon_sym_PLUS] = ACTIONS(3332),
    [anon_sym_DASH] = ACTIONS(3332),
    [anon_sym_SLASH] = ACTIONS(3332),
    [anon_sym_LT] = ACTIONS(3332),
    [anon_sym_TILDE] = ACTIONS(3332),
    [anon_sym_void] = ACTIONS(3332),
    [anon_sym_delete] = ACTIONS(3332),
    [anon_sym_PLUS_PLUS] = ACTIONS(3332),
    [anon_sym_DASH_DASH] = ACTIONS(3332),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3332),
    [sym_number] = ACTIONS(3332),
    [sym_private_property_identifier] = ACTIONS(3332),
    [sym_this] = ACTIONS(3332),
    [sym_super] = ACTIONS(3332),
    [sym_true] = ACTIONS(3332),
    [sym_false] = ACTIONS(3332),
    [sym_null] = ACTIONS(3332),
    [sym_undefined] = ACTIONS(3332),
    [anon_sym_AT] = ACTIONS(3332),
    [anon_sym_static] = ACTIONS(3332),
    [anon_sym_readonly] = ACTIONS(3332),
    [anon_sym_get] = ACTIONS(3332),
    [anon_sym_set] = ACTIONS(3332),
    [anon_sym_declare] = ACTIONS(3332),
    [anon_sym_public] = ACTIONS(3332),
    [anon_sym_private] = ACTIONS(3332),
    [anon_sym_protected] = ACTIONS(3332),
    [anon_sym_override] = ACTIONS(3332),
    [anon_sym_module] = ACTIONS(3332),
    [anon_sym_any] = ACTIONS(3332),
    [anon_sym_number] = ACTIONS(3332),
    [anon_sym_boolean] = ACTIONS(3332),
    [anon_sym_string] = ACTIONS(3332),
    [anon_sym_symbol] = ACTIONS(3332),
    [anon_sym_object] = ACTIONS(3332),
    [anon_sym_abstract] = ACTIONS(3332),
    [anon_sym_interface] = ACTIONS(3332),
    [anon_sym_enum] = ACTIONS(3332),
    [sym_html_comment] = ACTIONS(5),
  },
  [1718] = {
    [sym_comment] = STATE(1718),
    [ts_builtin_sym_end] = ACTIONS(3468),
    [sym_identifier] = ACTIONS(3334),
    [anon_sym_export] = ACTIONS(3334),
    [anon_sym_type] = ACTIONS(3334),
    [anon_sym_namespace] = ACTIONS(3334),
    [anon_sym_LBRACE] = ACTIONS(3334),
    [anon_sym_RBRACE] = ACTIONS(3334),
    [anon_sym_typeof] = ACTIONS(3334),
    [anon_sym_import] = ACTIONS(3334),
    [anon_sym_with] = ACTIONS(3334),
    [anon_sym_var] = ACTIONS(3334),
    [anon_sym_let] = ACTIONS(3334),
    [anon_sym_const] = ACTIONS(3334),
    [anon_sym_BANG] = ACTIONS(3334),
    [anon_sym_if] = ACTIONS(3334),
    [anon_sym_switch] = ACTIONS(3334),
    [anon_sym_for] = ACTIONS(3334),
    [anon_sym_LPAREN] = ACTIONS(3334),
    [anon_sym_await] = ACTIONS(3334),
    [anon_sym_while] = ACTIONS(3334),
    [anon_sym_do] = ACTIONS(3334),
    [anon_sym_try] = ACTIONS(3334),
    [anon_sym_break] = ACTIONS(3334),
    [anon_sym_continue] = ACTIONS(3334),
    [anon_sym_debugger] = ACTIONS(3334),
    [anon_sym_return] = ACTIONS(3334),
    [anon_sym_throw] = ACTIONS(3334),
    [anon_sym_SEMI] = ACTIONS(3334),
    [anon_sym_yield] = ACTIONS(3334),
    [anon_sym_LBRACK] = ACTIONS(3334),
    [anon_sym_LTtemplate_GT] = ACTIONS(3334),
    [anon_sym_DQUOTE] = ACTIONS(3334),
    [anon_sym_SQUOTE] = ACTIONS(3334),
    [anon_sym_class] = ACTIONS(3334),
    [anon_sym_async] = ACTIONS(3334),
    [anon_sym_function] = ACTIONS(3334),
    [anon_sym_new] = ACTIONS(3334),
    [anon_sym_using] = ACTIONS(3334),
    [anon_sym_PLUS] = ACTIONS(3334),
    [anon_sym_DASH] = ACTIONS(3334),
    [anon_sym_SLASH] = ACTIONS(3334),
    [anon_sym_LT] = ACTIONS(3334),
    [anon_sym_TILDE] = ACTIONS(3334),
    [anon_sym_void] = ACTIONS(3334),
    [anon_sym_delete] = ACTIONS(3334),
    [anon_sym_PLUS_PLUS] = ACTIONS(3334),
    [anon_sym_DASH_DASH] = ACTIONS(3334),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3334),
    [sym_number] = ACTIONS(3334),
    [sym_private_property_identifier] = ACTIONS(3334),
    [sym_this] = ACTIONS(3334),
    [sym_super] = ACTIONS(3334),
    [sym_true] = ACTIONS(3334),
    [sym_false] = ACTIONS(3334),
    [sym_null] = ACTIONS(3334),
    [sym_undefined] = ACTIONS(3334),
    [anon_sym_AT] = ACTIONS(3334),
    [anon_sym_static] = ACTIONS(3334),
    [anon_sym_readonly] = ACTIONS(3334),
    [anon_sym_get] = ACTIONS(3334),
    [anon_sym_set] = ACTIONS(3334),
    [anon_sym_declare] = ACTIONS(3334),
    [anon_sym_public] = ACTIONS(3334),
    [anon_sym_private] = ACTIONS(3334),
    [anon_sym_protected] = ACTIONS(3334),
    [anon_sym_override] = ACTIONS(3334),
    [anon_sym_module] = ACTIONS(3334),
    [anon_sym_any] = ACTIONS(3334),
    [anon_sym_number] = ACTIONS(3334),
    [anon_sym_boolean] = ACTIONS(3334),
    [anon_sym_string] = ACTIONS(3334),
    [anon_sym_symbol] = ACTIONS(3334),
    [anon_sym_object] = ACTIONS(3334),
    [anon_sym_abstract] = ACTIONS(3334),
    [anon_sym_interface] = ACTIONS(3334),
    [anon_sym_enum] = ACTIONS(3334),
    [sym_html_comment] = ACTIONS(5),
  },
  [1719] = {
    [sym_comment] = STATE(1719),
    [ts_builtin_sym_end] = ACTIONS(3470),
    [sym_identifier] = ACTIONS(3336),
    [anon_sym_export] = ACTIONS(3336),
    [anon_sym_type] = ACTIONS(3336),
    [anon_sym_namespace] = ACTIONS(3336),
    [anon_sym_LBRACE] = ACTIONS(3336),
    [anon_sym_RBRACE] = ACTIONS(3336),
    [anon_sym_typeof] = ACTIONS(3336),
    [anon_sym_import] = ACTIONS(3336),
    [anon_sym_with] = ACTIONS(3336),
    [anon_sym_var] = ACTIONS(3336),
    [anon_sym_let] = ACTIONS(3336),
    [anon_sym_const] = ACTIONS(3336),
    [anon_sym_BANG] = ACTIONS(3336),
    [anon_sym_if] = ACTIONS(3336),
    [anon_sym_switch] = ACTIONS(3336),
    [anon_sym_for] = ACTIONS(3336),
    [anon_sym_LPAREN] = ACTIONS(3336),
    [anon_sym_await] = ACTIONS(3336),
    [anon_sym_while] = ACTIONS(3336),
    [anon_sym_do] = ACTIONS(3336),
    [anon_sym_try] = ACTIONS(3336),
    [anon_sym_break] = ACTIONS(3336),
    [anon_sym_continue] = ACTIONS(3336),
    [anon_sym_debugger] = ACTIONS(3336),
    [anon_sym_return] = ACTIONS(3336),
    [anon_sym_throw] = ACTIONS(3336),
    [anon_sym_SEMI] = ACTIONS(3336),
    [anon_sym_yield] = ACTIONS(3336),
    [anon_sym_LBRACK] = ACTIONS(3336),
    [anon_sym_LTtemplate_GT] = ACTIONS(3336),
    [anon_sym_DQUOTE] = ACTIONS(3336),
    [anon_sym_SQUOTE] = ACTIONS(3336),
    [anon_sym_class] = ACTIONS(3336),
    [anon_sym_async] = ACTIONS(3336),
    [anon_sym_function] = ACTIONS(3336),
    [anon_sym_new] = ACTIONS(3336),
    [anon_sym_using] = ACTIONS(3336),
    [anon_sym_PLUS] = ACTIONS(3336),
    [anon_sym_DASH] = ACTIONS(3336),
    [anon_sym_SLASH] = ACTIONS(3336),
    [anon_sym_LT] = ACTIONS(3336),
    [anon_sym_TILDE] = ACTIONS(3336),
    [anon_sym_void] = ACTIONS(3336),
    [anon_sym_delete] = ACTIONS(3336),
    [anon_sym_PLUS_PLUS] = ACTIONS(3336),
    [anon_sym_DASH_DASH] = ACTIONS(3336),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3336),
    [sym_number] = ACTIONS(3336),
    [sym_private_property_identifier] = ACTIONS(3336),
    [sym_this] = ACTIONS(3336),
    [sym_super] = ACTIONS(3336),
    [sym_true] = ACTIONS(3336),
    [sym_false] = ACTIONS(3336),
    [sym_null] = ACTIONS(3336),
    [sym_undefined] = ACTIONS(3336),
    [anon_sym_AT] = ACTIONS(3336),
    [anon_sym_static] = ACTIONS(3336),
    [anon_sym_readonly] = ACTIONS(3336),
    [anon_sym_get] = ACTIONS(3336),
    [anon_sym_set] = ACTIONS(3336),
    [anon_sym_declare] = ACTIONS(3336),
    [anon_sym_public] = ACTIONS(3336),
    [anon_sym_private] = ACTIONS(3336),
    [anon_sym_protected] = ACTIONS(3336),
    [anon_sym_override] = ACTIONS(3336),
    [anon_sym_module] = ACTIONS(3336),
    [anon_sym_any] = ACTIONS(3336),
    [anon_sym_number] = ACTIONS(3336),
    [anon_sym_boolean] = ACTIONS(3336),
    [anon_sym_string] = ACTIONS(3336),
    [anon_sym_symbol] = ACTIONS(3336),
    [anon_sym_object] = ACTIONS(3336),
    [anon_sym_abstract] = ACTIONS(3336),
    [anon_sym_interface] = ACTIONS(3336),
    [anon_sym_enum] = ACTIONS(3336),
    [sym_html_comment] = ACTIONS(5),
  },
  [1720] = {
    [sym_comment] = STATE(1720),
    [ts_builtin_sym_end] = ACTIONS(3470),
    [sym_identifier] = ACTIONS(3336),
    [anon_sym_export] = ACTIONS(3336),
    [anon_sym_type] = ACTIONS(3336),
    [anon_sym_namespace] = ACTIONS(3336),
    [anon_sym_LBRACE] = ACTIONS(3336),
    [anon_sym_RBRACE] = ACTIONS(3336),
    [anon_sym_typeof] = ACTIONS(3336),
    [anon_sym_import] = ACTIONS(3336),
    [anon_sym_with] = ACTIONS(3336),
    [anon_sym_var] = ACTIONS(3336),
    [anon_sym_let] = ACTIONS(3336),
    [anon_sym_const] = ACTIONS(3336),
    [anon_sym_BANG] = ACTIONS(3336),
    [anon_sym_if] = ACTIONS(3336),
    [anon_sym_switch] = ACTIONS(3336),
    [anon_sym_for] = ACTIONS(3336),
    [anon_sym_LPAREN] = ACTIONS(3336),
    [anon_sym_await] = ACTIONS(3336),
    [anon_sym_while] = ACTIONS(3336),
    [anon_sym_do] = ACTIONS(3336),
    [anon_sym_try] = ACTIONS(3336),
    [anon_sym_break] = ACTIONS(3336),
    [anon_sym_continue] = ACTIONS(3336),
    [anon_sym_debugger] = ACTIONS(3336),
    [anon_sym_return] = ACTIONS(3336),
    [anon_sym_throw] = ACTIONS(3336),
    [anon_sym_SEMI] = ACTIONS(3336),
    [anon_sym_yield] = ACTIONS(3336),
    [anon_sym_LBRACK] = ACTIONS(3336),
    [anon_sym_LTtemplate_GT] = ACTIONS(3336),
    [anon_sym_DQUOTE] = ACTIONS(3336),
    [anon_sym_SQUOTE] = ACTIONS(3336),
    [anon_sym_class] = ACTIONS(3336),
    [anon_sym_async] = ACTIONS(3336),
    [anon_sym_function] = ACTIONS(3336),
    [anon_sym_new] = ACTIONS(3336),
    [anon_sym_using] = ACTIONS(3336),
    [anon_sym_PLUS] = ACTIONS(3336),
    [anon_sym_DASH] = ACTIONS(3336),
    [anon_sym_SLASH] = ACTIONS(3336),
    [anon_sym_LT] = ACTIONS(3336),
    [anon_sym_TILDE] = ACTIONS(3336),
    [anon_sym_void] = ACTIONS(3336),
    [anon_sym_delete] = ACTIONS(3336),
    [anon_sym_PLUS_PLUS] = ACTIONS(3336),
    [anon_sym_DASH_DASH] = ACTIONS(3336),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3336),
    [sym_number] = ACTIONS(3336),
    [sym_private_property_identifier] = ACTIONS(3336),
    [sym_this] = ACTIONS(3336),
    [sym_super] = ACTIONS(3336),
    [sym_true] = ACTIONS(3336),
    [sym_false] = ACTIONS(3336),
    [sym_null] = ACTIONS(3336),
    [sym_undefined] = ACTIONS(3336),
    [anon_sym_AT] = ACTIONS(3336),
    [anon_sym_static] = ACTIONS(3336),
    [anon_sym_readonly] = ACTIONS(3336),
    [anon_sym_get] = ACTIONS(3336),
    [anon_sym_set] = ACTIONS(3336),
    [anon_sym_declare] = ACTIONS(3336),
    [anon_sym_public] = ACTIONS(3336),
    [anon_sym_private] = ACTIONS(3336),
    [anon_sym_protected] = ACTIONS(3336),
    [anon_sym_override] = ACTIONS(3336),
    [anon_sym_module] = ACTIONS(3336),
    [anon_sym_any] = ACTIONS(3336),
    [anon_sym_number] = ACTIONS(3336),
    [anon_sym_boolean] = ACTIONS(3336),
    [anon_sym_string] = ACTIONS(3336),
    [anon_sym_symbol] = ACTIONS(3336),
    [anon_sym_object] = ACTIONS(3336),
    [anon_sym_abstract] = ACTIONS(3336),
    [anon_sym_interface] = ACTIONS(3336),
    [anon_sym_enum] = ACTIONS(3336),
    [sym_html_comment] = ACTIONS(5),
  },
  [1721] = {
    [sym_nested_identifier] = STATE(7283),
    [sym_string] = STATE(3875),
    [sym_comment] = STATE(1721),
    [sym_formal_parameters] = STATE(7329),
    [sym_rest_pattern] = STATE(6774),
    [sym_nested_type_identifier] = STATE(3821),
    [sym__type] = STATE(4875),
    [sym_tuple_parameter] = STATE(6776),
    [sym_optional_tuple_parameter] = STATE(6776),
    [sym_optional_type] = STATE(6776),
    [sym_rest_type] = STATE(6776),
    [sym__tuple_type_member] = STATE(5889),
    [sym_constructor_type] = STATE(3924),
    [sym__primary_type] = STATE(3930),
    [sym_template_literal_type] = STATE(3873),
    [sym_infer_type] = STATE(3924),
    [sym_conditional_type] = STATE(3873),
    [sym_generic_type] = STATE(3873),
    [sym_type_query] = STATE(3873),
    [sym_index_type_query] = STATE(3873),
    [sym_lookup_type] = STATE(3873),
    [sym_literal_type] = STATE(3873),
    [sym__number] = STATE(3934),
    [sym_existential_type] = STATE(3873),
    [sym_flow_maybe_type] = STATE(3873),
    [sym_parenthesized_type] = STATE(3873),
    [sym_predefined_type] = STATE(3873),
    [sym_object_type] = STATE(3873),
    [sym_type_parameters] = STATE(6758),
    [sym_array_type] = STATE(3873),
    [sym_tuple_type] = STATE(3873),
    [sym_readonly_type] = STATE(3924),
    [sym_union_type] = STATE(3873),
    [sym_intersection_type] = STATE(3873),
    [sym_function_type] = STATE(3924),
    [sym_identifier] = ACTIONS(3586),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(209),
    [anon_sym_COMMA] = ACTIONS(3588),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_RBRACK] = ACTIONS(3590),
    [anon_sym_DQUOTE] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [anon_sym_new] = ACTIONS(1898),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3592),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(1900),
    [anon_sym_DASH] = ACTIONS(1900),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(207),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_any] = ACTIONS(207),
    [anon_sym_number] = ACTIONS(207),
    [anon_sym_boolean] = ACTIONS(207),
    [anon_sym_string] = ACTIONS(207),
    [anon_sym_symbol] = ACTIONS(207),
    [anon_sym_object] = ACTIONS(207),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [1722] = {
    [sym_nested_identifier] = STATE(7283),
    [sym_string] = STATE(3875),
    [sym_comment] = STATE(1722),
    [sym_formal_parameters] = STATE(7329),
    [sym_rest_pattern] = STATE(6774),
    [sym_nested_type_identifier] = STATE(3821),
    [sym__type] = STATE(4875),
    [sym_tuple_parameter] = STATE(6776),
    [sym_optional_tuple_parameter] = STATE(6776),
    [sym_optional_type] = STATE(6776),
    [sym_rest_type] = STATE(6776),
    [sym__tuple_type_member] = STATE(6179),
    [sym_constructor_type] = STATE(3924),
    [sym__primary_type] = STATE(3930),
    [sym_template_literal_type] = STATE(3873),
    [sym_infer_type] = STATE(3924),
    [sym_conditional_type] = STATE(3873),
    [sym_generic_type] = STATE(3873),
    [sym_type_query] = STATE(3873),
    [sym_index_type_query] = STATE(3873),
    [sym_lookup_type] = STATE(3873),
    [sym_literal_type] = STATE(3873),
    [sym__number] = STATE(3934),
    [sym_existential_type] = STATE(3873),
    [sym_flow_maybe_type] = STATE(3873),
    [sym_parenthesized_type] = STATE(3873),
    [sym_predefined_type] = STATE(3873),
    [sym_object_type] = STATE(3873),
    [sym_type_parameters] = STATE(6758),
    [sym_array_type] = STATE(3873),
    [sym_tuple_type] = STATE(3873),
    [sym_readonly_type] = STATE(3924),
    [sym_union_type] = STATE(3873),
    [sym_intersection_type] = STATE(3873),
    [sym_function_type] = STATE(3924),
    [sym_identifier] = ACTIONS(3586),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(209),
    [anon_sym_COMMA] = ACTIONS(3594),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_RBRACK] = ACTIONS(3596),
    [anon_sym_DQUOTE] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [anon_sym_new] = ACTIONS(1898),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3592),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(1900),
    [anon_sym_DASH] = ACTIONS(1900),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(207),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_any] = ACTIONS(207),
    [anon_sym_number] = ACTIONS(207),
    [anon_sym_boolean] = ACTIONS(207),
    [anon_sym_string] = ACTIONS(207),
    [anon_sym_symbol] = ACTIONS(207),
    [anon_sym_object] = ACTIONS(207),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [1723] = {
    [sym_nested_identifier] = STATE(7283),
    [sym_string] = STATE(3875),
    [sym_comment] = STATE(1723),
    [sym_formal_parameters] = STATE(7329),
    [sym_rest_pattern] = STATE(6774),
    [sym_nested_type_identifier] = STATE(3821),
    [sym__type] = STATE(4875),
    [sym_tuple_parameter] = STATE(6776),
    [sym_optional_tuple_parameter] = STATE(6776),
    [sym_optional_type] = STATE(6776),
    [sym_rest_type] = STATE(6776),
    [sym__tuple_type_member] = STATE(6241),
    [sym_constructor_type] = STATE(3924),
    [sym__primary_type] = STATE(3930),
    [sym_template_literal_type] = STATE(3873),
    [sym_infer_type] = STATE(3924),
    [sym_conditional_type] = STATE(3873),
    [sym_generic_type] = STATE(3873),
    [sym_type_query] = STATE(3873),
    [sym_index_type_query] = STATE(3873),
    [sym_lookup_type] = STATE(3873),
    [sym_literal_type] = STATE(3873),
    [sym__number] = STATE(3934),
    [sym_existential_type] = STATE(3873),
    [sym_flow_maybe_type] = STATE(3873),
    [sym_parenthesized_type] = STATE(3873),
    [sym_predefined_type] = STATE(3873),
    [sym_object_type] = STATE(3873),
    [sym_type_parameters] = STATE(6758),
    [sym_array_type] = STATE(3873),
    [sym_tuple_type] = STATE(3873),
    [sym_readonly_type] = STATE(3924),
    [sym_union_type] = STATE(3873),
    [sym_intersection_type] = STATE(3873),
    [sym_function_type] = STATE(3924),
    [sym_identifier] = ACTIONS(3586),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(209),
    [anon_sym_COMMA] = ACTIONS(3598),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_RBRACK] = ACTIONS(3600),
    [anon_sym_DQUOTE] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [anon_sym_new] = ACTIONS(1898),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3592),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(1900),
    [anon_sym_DASH] = ACTIONS(1900),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(207),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_any] = ACTIONS(207),
    [anon_sym_number] = ACTIONS(207),
    [anon_sym_boolean] = ACTIONS(207),
    [anon_sym_string] = ACTIONS(207),
    [anon_sym_symbol] = ACTIONS(207),
    [anon_sym_object] = ACTIONS(207),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [1724] = {
    [sym_nested_identifier] = STATE(7283),
    [sym_string] = STATE(3875),
    [sym_comment] = STATE(1724),
    [sym_formal_parameters] = STATE(7329),
    [sym_rest_pattern] = STATE(6774),
    [sym_nested_type_identifier] = STATE(3821),
    [sym__type] = STATE(4875),
    [sym_tuple_parameter] = STATE(6776),
    [sym_optional_tuple_parameter] = STATE(6776),
    [sym_optional_type] = STATE(6776),
    [sym_rest_type] = STATE(6776),
    [sym__tuple_type_member] = STATE(6175),
    [sym_constructor_type] = STATE(3924),
    [sym__primary_type] = STATE(3930),
    [sym_template_literal_type] = STATE(3873),
    [sym_infer_type] = STATE(3924),
    [sym_conditional_type] = STATE(3873),
    [sym_generic_type] = STATE(3873),
    [sym_type_query] = STATE(3873),
    [sym_index_type_query] = STATE(3873),
    [sym_lookup_type] = STATE(3873),
    [sym_literal_type] = STATE(3873),
    [sym__number] = STATE(3934),
    [sym_existential_type] = STATE(3873),
    [sym_flow_maybe_type] = STATE(3873),
    [sym_parenthesized_type] = STATE(3873),
    [sym_predefined_type] = STATE(3873),
    [sym_object_type] = STATE(3873),
    [sym_type_parameters] = STATE(6758),
    [sym_array_type] = STATE(3873),
    [sym_tuple_type] = STATE(3873),
    [sym_readonly_type] = STATE(3924),
    [sym_union_type] = STATE(3873),
    [sym_intersection_type] = STATE(3873),
    [sym_function_type] = STATE(3924),
    [sym_identifier] = ACTIONS(3586),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(209),
    [anon_sym_COMMA] = ACTIONS(3602),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_RBRACK] = ACTIONS(3604),
    [anon_sym_DQUOTE] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [anon_sym_new] = ACTIONS(1898),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3592),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(1900),
    [anon_sym_DASH] = ACTIONS(1900),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(207),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_any] = ACTIONS(207),
    [anon_sym_number] = ACTIONS(207),
    [anon_sym_boolean] = ACTIONS(207),
    [anon_sym_string] = ACTIONS(207),
    [anon_sym_symbol] = ACTIONS(207),
    [anon_sym_object] = ACTIONS(207),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [1725] = {
    [sym_nested_identifier] = STATE(7283),
    [sym_string] = STATE(3875),
    [sym_comment] = STATE(1725),
    [sym_formal_parameters] = STATE(7329),
    [sym_rest_pattern] = STATE(6774),
    [sym_nested_type_identifier] = STATE(3821),
    [sym__type] = STATE(4875),
    [sym_tuple_parameter] = STATE(6776),
    [sym_optional_tuple_parameter] = STATE(6776),
    [sym_optional_type] = STATE(6776),
    [sym_rest_type] = STATE(6776),
    [sym__tuple_type_member] = STATE(6428),
    [sym_constructor_type] = STATE(3924),
    [sym__primary_type] = STATE(3930),
    [sym_template_literal_type] = STATE(3873),
    [sym_infer_type] = STATE(3924),
    [sym_conditional_type] = STATE(3873),
    [sym_generic_type] = STATE(3873),
    [sym_type_query] = STATE(3873),
    [sym_index_type_query] = STATE(3873),
    [sym_lookup_type] = STATE(3873),
    [sym_literal_type] = STATE(3873),
    [sym__number] = STATE(3934),
    [sym_existential_type] = STATE(3873),
    [sym_flow_maybe_type] = STATE(3873),
    [sym_parenthesized_type] = STATE(3873),
    [sym_predefined_type] = STATE(3873),
    [sym_object_type] = STATE(3873),
    [sym_type_parameters] = STATE(6758),
    [sym_array_type] = STATE(3873),
    [sym_tuple_type] = STATE(3873),
    [sym_readonly_type] = STATE(3924),
    [sym_union_type] = STATE(3873),
    [sym_intersection_type] = STATE(3873),
    [sym_function_type] = STATE(3924),
    [sym_identifier] = ACTIONS(3586),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(209),
    [anon_sym_COMMA] = ACTIONS(3606),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_RBRACK] = ACTIONS(3608),
    [anon_sym_DQUOTE] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [anon_sym_new] = ACTIONS(1898),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3592),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(1900),
    [anon_sym_DASH] = ACTIONS(1900),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(207),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_any] = ACTIONS(207),
    [anon_sym_number] = ACTIONS(207),
    [anon_sym_boolean] = ACTIONS(207),
    [anon_sym_string] = ACTIONS(207),
    [anon_sym_symbol] = ACTIONS(207),
    [anon_sym_object] = ACTIONS(207),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [1726] = {
    [sym_comment] = STATE(1726),
    [sym_identifier] = ACTIONS(3078),
    [anon_sym_export] = ACTIONS(3078),
    [anon_sym_type] = ACTIONS(3078),
    [anon_sym_namespace] = ACTIONS(3078),
    [anon_sym_LBRACE] = ACTIONS(3078),
    [anon_sym_typeof] = ACTIONS(3078),
    [anon_sym_import] = ACTIONS(3078),
    [anon_sym_with] = ACTIONS(3078),
    [anon_sym_var] = ACTIONS(3078),
    [anon_sym_let] = ACTIONS(3078),
    [anon_sym_const] = ACTIONS(3078),
    [anon_sym_BANG] = ACTIONS(3078),
    [anon_sym_if] = ACTIONS(3078),
    [anon_sym_switch] = ACTIONS(3078),
    [anon_sym_for] = ACTIONS(3078),
    [anon_sym_LPAREN] = ACTIONS(3078),
    [anon_sym_await] = ACTIONS(3078),
    [anon_sym_while] = ACTIONS(3078),
    [anon_sym_do] = ACTIONS(3078),
    [anon_sym_try] = ACTIONS(3078),
    [anon_sym_break] = ACTIONS(3078),
    [anon_sym_continue] = ACTIONS(3078),
    [anon_sym_debugger] = ACTIONS(3078),
    [anon_sym_return] = ACTIONS(3078),
    [anon_sym_throw] = ACTIONS(3078),
    [anon_sym_SEMI] = ACTIONS(3078),
    [anon_sym_yield] = ACTIONS(3078),
    [anon_sym_LBRACK] = ACTIONS(3078),
    [anon_sym_LTtemplate_GT] = ACTIONS(3078),
    [anon_sym_DQUOTE] = ACTIONS(3078),
    [anon_sym_SQUOTE] = ACTIONS(3078),
    [anon_sym_class] = ACTIONS(3078),
    [anon_sym_async] = ACTIONS(3078),
    [anon_sym_function] = ACTIONS(3078),
    [anon_sym_new] = ACTIONS(3078),
    [anon_sym_using] = ACTIONS(3078),
    [anon_sym_PLUS] = ACTIONS(3078),
    [anon_sym_DASH] = ACTIONS(3078),
    [anon_sym_SLASH] = ACTIONS(3078),
    [anon_sym_LT] = ACTIONS(3078),
    [anon_sym_TILDE] = ACTIONS(3078),
    [anon_sym_void] = ACTIONS(3078),
    [anon_sym_delete] = ACTIONS(3078),
    [anon_sym_PLUS_PLUS] = ACTIONS(3078),
    [anon_sym_DASH_DASH] = ACTIONS(3078),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3078),
    [sym_number] = ACTIONS(3078),
    [sym_private_property_identifier] = ACTIONS(3078),
    [sym_this] = ACTIONS(3078),
    [sym_super] = ACTIONS(3078),
    [sym_true] = ACTIONS(3078),
    [sym_false] = ACTIONS(3078),
    [sym_null] = ACTIONS(3078),
    [sym_undefined] = ACTIONS(3078),
    [anon_sym_AT] = ACTIONS(3078),
    [anon_sym_static] = ACTIONS(3078),
    [anon_sym_readonly] = ACTIONS(3078),
    [anon_sym_get] = ACTIONS(3078),
    [anon_sym_set] = ACTIONS(3078),
    [anon_sym_declare] = ACTIONS(3078),
    [anon_sym_public] = ACTIONS(3078),
    [anon_sym_private] = ACTIONS(3078),
    [anon_sym_protected] = ACTIONS(3078),
    [anon_sym_override] = ACTIONS(3078),
    [anon_sym_module] = ACTIONS(3078),
    [anon_sym_any] = ACTIONS(3078),
    [anon_sym_number] = ACTIONS(3078),
    [anon_sym_boolean] = ACTIONS(3078),
    [anon_sym_string] = ACTIONS(3078),
    [anon_sym_symbol] = ACTIONS(3078),
    [anon_sym_object] = ACTIONS(3078),
    [anon_sym_abstract] = ACTIONS(3078),
    [anon_sym_interface] = ACTIONS(3078),
    [anon_sym_enum] = ACTIONS(3078),
    [sym_html_comment] = ACTIONS(5),
  },
  [1727] = {
    [sym_nested_identifier] = STATE(7283),
    [sym_string] = STATE(3875),
    [sym_comment] = STATE(1727),
    [sym_formal_parameters] = STATE(7329),
    [sym_rest_pattern] = STATE(6774),
    [sym_nested_type_identifier] = STATE(3821),
    [sym__type] = STATE(4875),
    [sym_tuple_parameter] = STATE(6776),
    [sym_optional_tuple_parameter] = STATE(6776),
    [sym_optional_type] = STATE(6776),
    [sym_rest_type] = STATE(6776),
    [sym__tuple_type_member] = STATE(6520),
    [sym_constructor_type] = STATE(3924),
    [sym__primary_type] = STATE(3930),
    [sym_template_literal_type] = STATE(3873),
    [sym_infer_type] = STATE(3924),
    [sym_conditional_type] = STATE(3873),
    [sym_generic_type] = STATE(3873),
    [sym_type_query] = STATE(3873),
    [sym_index_type_query] = STATE(3873),
    [sym_lookup_type] = STATE(3873),
    [sym_literal_type] = STATE(3873),
    [sym__number] = STATE(3934),
    [sym_existential_type] = STATE(3873),
    [sym_flow_maybe_type] = STATE(3873),
    [sym_parenthesized_type] = STATE(3873),
    [sym_predefined_type] = STATE(3873),
    [sym_object_type] = STATE(3873),
    [sym_type_parameters] = STATE(6758),
    [sym_array_type] = STATE(3873),
    [sym_tuple_type] = STATE(3873),
    [sym_readonly_type] = STATE(3924),
    [sym_union_type] = STATE(3873),
    [sym_intersection_type] = STATE(3873),
    [sym_function_type] = STATE(3924),
    [sym_identifier] = ACTIONS(3586),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(209),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_RBRACK] = ACTIONS(3610),
    [anon_sym_DQUOTE] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [anon_sym_new] = ACTIONS(1898),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3592),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(1900),
    [anon_sym_DASH] = ACTIONS(1900),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(207),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_any] = ACTIONS(207),
    [anon_sym_number] = ACTIONS(207),
    [anon_sym_boolean] = ACTIONS(207),
    [anon_sym_string] = ACTIONS(207),
    [anon_sym_symbol] = ACTIONS(207),
    [anon_sym_object] = ACTIONS(207),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [1728] = {
    [sym_comment] = STATE(1728),
    [sym_identifier] = ACTIONS(3612),
    [anon_sym_export] = ACTIONS(3612),
    [anon_sym_type] = ACTIONS(3612),
    [anon_sym_namespace] = ACTIONS(3612),
    [anon_sym_LBRACE] = ACTIONS(3612),
    [anon_sym_typeof] = ACTIONS(3612),
    [anon_sym_import] = ACTIONS(3612),
    [anon_sym_with] = ACTIONS(3612),
    [anon_sym_var] = ACTIONS(3612),
    [anon_sym_let] = ACTIONS(3612),
    [anon_sym_const] = ACTIONS(3612),
    [anon_sym_BANG] = ACTIONS(3612),
    [anon_sym_if] = ACTIONS(3612),
    [anon_sym_switch] = ACTIONS(3612),
    [anon_sym_for] = ACTIONS(3612),
    [anon_sym_LPAREN] = ACTIONS(3612),
    [anon_sym_await] = ACTIONS(3612),
    [anon_sym_while] = ACTIONS(3612),
    [anon_sym_do] = ACTIONS(3612),
    [anon_sym_try] = ACTIONS(3612),
    [anon_sym_break] = ACTIONS(3612),
    [anon_sym_continue] = ACTIONS(3612),
    [anon_sym_debugger] = ACTIONS(3612),
    [anon_sym_return] = ACTIONS(3612),
    [anon_sym_throw] = ACTIONS(3612),
    [anon_sym_SEMI] = ACTIONS(3612),
    [anon_sym_yield] = ACTIONS(3612),
    [anon_sym_LBRACK] = ACTIONS(3612),
    [anon_sym_LTtemplate_GT] = ACTIONS(3612),
    [anon_sym_DQUOTE] = ACTIONS(3612),
    [anon_sym_SQUOTE] = ACTIONS(3612),
    [anon_sym_class] = ACTIONS(3612),
    [anon_sym_async] = ACTIONS(3612),
    [anon_sym_function] = ACTIONS(3612),
    [anon_sym_new] = ACTIONS(3612),
    [anon_sym_using] = ACTIONS(3612),
    [anon_sym_PLUS] = ACTIONS(3612),
    [anon_sym_DASH] = ACTIONS(3612),
    [anon_sym_SLASH] = ACTIONS(3612),
    [anon_sym_LT] = ACTIONS(3612),
    [anon_sym_TILDE] = ACTIONS(3612),
    [anon_sym_void] = ACTIONS(3612),
    [anon_sym_delete] = ACTIONS(3612),
    [anon_sym_PLUS_PLUS] = ACTIONS(3612),
    [anon_sym_DASH_DASH] = ACTIONS(3612),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3612),
    [sym_number] = ACTIONS(3612),
    [sym_private_property_identifier] = ACTIONS(3612),
    [sym_this] = ACTIONS(3612),
    [sym_super] = ACTIONS(3612),
    [sym_true] = ACTIONS(3612),
    [sym_false] = ACTIONS(3612),
    [sym_null] = ACTIONS(3612),
    [sym_undefined] = ACTIONS(3612),
    [anon_sym_AT] = ACTIONS(3612),
    [anon_sym_static] = ACTIONS(3612),
    [anon_sym_readonly] = ACTIONS(3612),
    [anon_sym_get] = ACTIONS(3612),
    [anon_sym_set] = ACTIONS(3612),
    [anon_sym_declare] = ACTIONS(3612),
    [anon_sym_public] = ACTIONS(3612),
    [anon_sym_private] = ACTIONS(3612),
    [anon_sym_protected] = ACTIONS(3612),
    [anon_sym_override] = ACTIONS(3612),
    [anon_sym_module] = ACTIONS(3612),
    [anon_sym_any] = ACTIONS(3612),
    [anon_sym_number] = ACTIONS(3612),
    [anon_sym_boolean] = ACTIONS(3612),
    [anon_sym_string] = ACTIONS(3612),
    [anon_sym_symbol] = ACTIONS(3612),
    [anon_sym_object] = ACTIONS(3612),
    [anon_sym_abstract] = ACTIONS(3612),
    [anon_sym_interface] = ACTIONS(3612),
    [anon_sym_enum] = ACTIONS(3612),
    [sym_html_comment] = ACTIONS(5),
  },
  [1729] = {
    [sym_comment] = STATE(1729),
    [sym_identifier] = ACTIONS(3612),
    [anon_sym_export] = ACTIONS(3612),
    [anon_sym_type] = ACTIONS(3612),
    [anon_sym_namespace] = ACTIONS(3612),
    [anon_sym_LBRACE] = ACTIONS(3612),
    [anon_sym_typeof] = ACTIONS(3612),
    [anon_sym_import] = ACTIONS(3612),
    [anon_sym_with] = ACTIONS(3612),
    [anon_sym_var] = ACTIONS(3612),
    [anon_sym_let] = ACTIONS(3612),
    [anon_sym_const] = ACTIONS(3612),
    [anon_sym_BANG] = ACTIONS(3612),
    [anon_sym_if] = ACTIONS(3612),
    [anon_sym_switch] = ACTIONS(3612),
    [anon_sym_for] = ACTIONS(3612),
    [anon_sym_LPAREN] = ACTIONS(3612),
    [anon_sym_await] = ACTIONS(3612),
    [anon_sym_while] = ACTIONS(3612),
    [anon_sym_do] = ACTIONS(3612),
    [anon_sym_try] = ACTIONS(3612),
    [anon_sym_break] = ACTIONS(3612),
    [anon_sym_continue] = ACTIONS(3612),
    [anon_sym_debugger] = ACTIONS(3612),
    [anon_sym_return] = ACTIONS(3612),
    [anon_sym_throw] = ACTIONS(3612),
    [anon_sym_SEMI] = ACTIONS(3612),
    [anon_sym_yield] = ACTIONS(3612),
    [anon_sym_LBRACK] = ACTIONS(3612),
    [anon_sym_LTtemplate_GT] = ACTIONS(3612),
    [anon_sym_DQUOTE] = ACTIONS(3612),
    [anon_sym_SQUOTE] = ACTIONS(3612),
    [anon_sym_class] = ACTIONS(3612),
    [anon_sym_async] = ACTIONS(3612),
    [anon_sym_function] = ACTIONS(3612),
    [anon_sym_new] = ACTIONS(3612),
    [anon_sym_using] = ACTIONS(3612),
    [anon_sym_PLUS] = ACTIONS(3612),
    [anon_sym_DASH] = ACTIONS(3612),
    [anon_sym_SLASH] = ACTIONS(3612),
    [anon_sym_LT] = ACTIONS(3612),
    [anon_sym_TILDE] = ACTIONS(3612),
    [anon_sym_void] = ACTIONS(3612),
    [anon_sym_delete] = ACTIONS(3612),
    [anon_sym_PLUS_PLUS] = ACTIONS(3612),
    [anon_sym_DASH_DASH] = ACTIONS(3612),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3612),
    [sym_number] = ACTIONS(3612),
    [sym_private_property_identifier] = ACTIONS(3612),
    [sym_this] = ACTIONS(3612),
    [sym_super] = ACTIONS(3612),
    [sym_true] = ACTIONS(3612),
    [sym_false] = ACTIONS(3612),
    [sym_null] = ACTIONS(3612),
    [sym_undefined] = ACTIONS(3612),
    [anon_sym_AT] = ACTIONS(3612),
    [anon_sym_static] = ACTIONS(3612),
    [anon_sym_readonly] = ACTIONS(3612),
    [anon_sym_get] = ACTIONS(3612),
    [anon_sym_set] = ACTIONS(3612),
    [anon_sym_declare] = ACTIONS(3612),
    [anon_sym_public] = ACTIONS(3612),
    [anon_sym_private] = ACTIONS(3612),
    [anon_sym_protected] = ACTIONS(3612),
    [anon_sym_override] = ACTIONS(3612),
    [anon_sym_module] = ACTIONS(3612),
    [anon_sym_any] = ACTIONS(3612),
    [anon_sym_number] = ACTIONS(3612),
    [anon_sym_boolean] = ACTIONS(3612),
    [anon_sym_string] = ACTIONS(3612),
    [anon_sym_symbol] = ACTIONS(3612),
    [anon_sym_object] = ACTIONS(3612),
    [anon_sym_abstract] = ACTIONS(3612),
    [anon_sym_interface] = ACTIONS(3612),
    [anon_sym_enum] = ACTIONS(3612),
    [sym_html_comment] = ACTIONS(5),
  },
  [1730] = {
    [sym_comment] = STATE(1730),
    [sym_identifier] = ACTIONS(3612),
    [anon_sym_export] = ACTIONS(3612),
    [anon_sym_type] = ACTIONS(3612),
    [anon_sym_namespace] = ACTIONS(3612),
    [anon_sym_LBRACE] = ACTIONS(3612),
    [anon_sym_typeof] = ACTIONS(3612),
    [anon_sym_import] = ACTIONS(3612),
    [anon_sym_with] = ACTIONS(3612),
    [anon_sym_var] = ACTIONS(3612),
    [anon_sym_let] = ACTIONS(3612),
    [anon_sym_const] = ACTIONS(3612),
    [anon_sym_BANG] = ACTIONS(3612),
    [anon_sym_if] = ACTIONS(3612),
    [anon_sym_switch] = ACTIONS(3612),
    [anon_sym_for] = ACTIONS(3612),
    [anon_sym_LPAREN] = ACTIONS(3612),
    [anon_sym_await] = ACTIONS(3612),
    [anon_sym_while] = ACTIONS(3612),
    [anon_sym_do] = ACTIONS(3612),
    [anon_sym_try] = ACTIONS(3612),
    [anon_sym_break] = ACTIONS(3612),
    [anon_sym_continue] = ACTIONS(3612),
    [anon_sym_debugger] = ACTIONS(3612),
    [anon_sym_return] = ACTIONS(3612),
    [anon_sym_throw] = ACTIONS(3612),
    [anon_sym_SEMI] = ACTIONS(3612),
    [anon_sym_yield] = ACTIONS(3612),
    [anon_sym_LBRACK] = ACTIONS(3612),
    [anon_sym_LTtemplate_GT] = ACTIONS(3612),
    [anon_sym_DQUOTE] = ACTIONS(3612),
    [anon_sym_SQUOTE] = ACTIONS(3612),
    [anon_sym_class] = ACTIONS(3612),
    [anon_sym_async] = ACTIONS(3612),
    [anon_sym_function] = ACTIONS(3612),
    [anon_sym_new] = ACTIONS(3612),
    [anon_sym_using] = ACTIONS(3612),
    [anon_sym_PLUS] = ACTIONS(3612),
    [anon_sym_DASH] = ACTIONS(3612),
    [anon_sym_SLASH] = ACTIONS(3612),
    [anon_sym_LT] = ACTIONS(3612),
    [anon_sym_TILDE] = ACTIONS(3612),
    [anon_sym_void] = ACTIONS(3612),
    [anon_sym_delete] = ACTIONS(3612),
    [anon_sym_PLUS_PLUS] = ACTIONS(3612),
    [anon_sym_DASH_DASH] = ACTIONS(3612),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3612),
    [sym_number] = ACTIONS(3612),
    [sym_private_property_identifier] = ACTIONS(3612),
    [sym_this] = ACTIONS(3612),
    [sym_super] = ACTIONS(3612),
    [sym_true] = ACTIONS(3612),
    [sym_false] = ACTIONS(3612),
    [sym_null] = ACTIONS(3612),
    [sym_undefined] = ACTIONS(3612),
    [anon_sym_AT] = ACTIONS(3612),
    [anon_sym_static] = ACTIONS(3612),
    [anon_sym_readonly] = ACTIONS(3612),
    [anon_sym_get] = ACTIONS(3612),
    [anon_sym_set] = ACTIONS(3612),
    [anon_sym_declare] = ACTIONS(3612),
    [anon_sym_public] = ACTIONS(3612),
    [anon_sym_private] = ACTIONS(3612),
    [anon_sym_protected] = ACTIONS(3612),
    [anon_sym_override] = ACTIONS(3612),
    [anon_sym_module] = ACTIONS(3612),
    [anon_sym_any] = ACTIONS(3612),
    [anon_sym_number] = ACTIONS(3612),
    [anon_sym_boolean] = ACTIONS(3612),
    [anon_sym_string] = ACTIONS(3612),
    [anon_sym_symbol] = ACTIONS(3612),
    [anon_sym_object] = ACTIONS(3612),
    [anon_sym_abstract] = ACTIONS(3612),
    [anon_sym_interface] = ACTIONS(3612),
    [anon_sym_enum] = ACTIONS(3612),
    [sym_html_comment] = ACTIONS(5),
  },
  [1731] = {
    [sym_comment] = STATE(1731),
    [sym_identifier] = ACTIONS(3612),
    [anon_sym_export] = ACTIONS(3612),
    [anon_sym_type] = ACTIONS(3612),
    [anon_sym_namespace] = ACTIONS(3612),
    [anon_sym_LBRACE] = ACTIONS(3612),
    [anon_sym_typeof] = ACTIONS(3612),
    [anon_sym_import] = ACTIONS(3612),
    [anon_sym_with] = ACTIONS(3612),
    [anon_sym_var] = ACTIONS(3612),
    [anon_sym_let] = ACTIONS(3612),
    [anon_sym_const] = ACTIONS(3612),
    [anon_sym_BANG] = ACTIONS(3612),
    [anon_sym_if] = ACTIONS(3612),
    [anon_sym_switch] = ACTIONS(3612),
    [anon_sym_for] = ACTIONS(3612),
    [anon_sym_LPAREN] = ACTIONS(3612),
    [anon_sym_await] = ACTIONS(3612),
    [anon_sym_while] = ACTIONS(3612),
    [anon_sym_do] = ACTIONS(3612),
    [anon_sym_try] = ACTIONS(3612),
    [anon_sym_break] = ACTIONS(3612),
    [anon_sym_continue] = ACTIONS(3612),
    [anon_sym_debugger] = ACTIONS(3612),
    [anon_sym_return] = ACTIONS(3612),
    [anon_sym_throw] = ACTIONS(3612),
    [anon_sym_SEMI] = ACTIONS(3612),
    [anon_sym_yield] = ACTIONS(3612),
    [anon_sym_LBRACK] = ACTIONS(3612),
    [anon_sym_LTtemplate_GT] = ACTIONS(3612),
    [anon_sym_DQUOTE] = ACTIONS(3612),
    [anon_sym_SQUOTE] = ACTIONS(3612),
    [anon_sym_class] = ACTIONS(3612),
    [anon_sym_async] = ACTIONS(3612),
    [anon_sym_function] = ACTIONS(3612),
    [anon_sym_new] = ACTIONS(3612),
    [anon_sym_using] = ACTIONS(3612),
    [anon_sym_PLUS] = ACTIONS(3612),
    [anon_sym_DASH] = ACTIONS(3612),
    [anon_sym_SLASH] = ACTIONS(3612),
    [anon_sym_LT] = ACTIONS(3612),
    [anon_sym_TILDE] = ACTIONS(3612),
    [anon_sym_void] = ACTIONS(3612),
    [anon_sym_delete] = ACTIONS(3612),
    [anon_sym_PLUS_PLUS] = ACTIONS(3612),
    [anon_sym_DASH_DASH] = ACTIONS(3612),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3612),
    [sym_number] = ACTIONS(3612),
    [sym_private_property_identifier] = ACTIONS(3612),
    [sym_this] = ACTIONS(3612),
    [sym_super] = ACTIONS(3612),
    [sym_true] = ACTIONS(3612),
    [sym_false] = ACTIONS(3612),
    [sym_null] = ACTIONS(3612),
    [sym_undefined] = ACTIONS(3612),
    [anon_sym_AT] = ACTIONS(3612),
    [anon_sym_static] = ACTIONS(3612),
    [anon_sym_readonly] = ACTIONS(3612),
    [anon_sym_get] = ACTIONS(3612),
    [anon_sym_set] = ACTIONS(3612),
    [anon_sym_declare] = ACTIONS(3612),
    [anon_sym_public] = ACTIONS(3612),
    [anon_sym_private] = ACTIONS(3612),
    [anon_sym_protected] = ACTIONS(3612),
    [anon_sym_override] = ACTIONS(3612),
    [anon_sym_module] = ACTIONS(3612),
    [anon_sym_any] = ACTIONS(3612),
    [anon_sym_number] = ACTIONS(3612),
    [anon_sym_boolean] = ACTIONS(3612),
    [anon_sym_string] = ACTIONS(3612),
    [anon_sym_symbol] = ACTIONS(3612),
    [anon_sym_object] = ACTIONS(3612),
    [anon_sym_abstract] = ACTIONS(3612),
    [anon_sym_interface] = ACTIONS(3612),
    [anon_sym_enum] = ACTIONS(3612),
    [sym_html_comment] = ACTIONS(5),
  },
  [1732] = {
    [sym_comment] = STATE(1732),
    [sym_identifier] = ACTIONS(3612),
    [anon_sym_export] = ACTIONS(3612),
    [anon_sym_type] = ACTIONS(3612),
    [anon_sym_namespace] = ACTIONS(3612),
    [anon_sym_LBRACE] = ACTIONS(3612),
    [anon_sym_typeof] = ACTIONS(3612),
    [anon_sym_import] = ACTIONS(3612),
    [anon_sym_with] = ACTIONS(3612),
    [anon_sym_var] = ACTIONS(3612),
    [anon_sym_let] = ACTIONS(3612),
    [anon_sym_const] = ACTIONS(3612),
    [anon_sym_BANG] = ACTIONS(3612),
    [anon_sym_if] = ACTIONS(3612),
    [anon_sym_switch] = ACTIONS(3612),
    [anon_sym_for] = ACTIONS(3612),
    [anon_sym_LPAREN] = ACTIONS(3612),
    [anon_sym_await] = ACTIONS(3612),
    [anon_sym_while] = ACTIONS(3612),
    [anon_sym_do] = ACTIONS(3612),
    [anon_sym_try] = ACTIONS(3612),
    [anon_sym_break] = ACTIONS(3612),
    [anon_sym_continue] = ACTIONS(3612),
    [anon_sym_debugger] = ACTIONS(3612),
    [anon_sym_return] = ACTIONS(3612),
    [anon_sym_throw] = ACTIONS(3612),
    [anon_sym_SEMI] = ACTIONS(3612),
    [anon_sym_yield] = ACTIONS(3612),
    [anon_sym_LBRACK] = ACTIONS(3612),
    [anon_sym_LTtemplate_GT] = ACTIONS(3612),
    [anon_sym_DQUOTE] = ACTIONS(3612),
    [anon_sym_SQUOTE] = ACTIONS(3612),
    [anon_sym_class] = ACTIONS(3612),
    [anon_sym_async] = ACTIONS(3612),
    [anon_sym_function] = ACTIONS(3612),
    [anon_sym_new] = ACTIONS(3612),
    [anon_sym_using] = ACTIONS(3612),
    [anon_sym_PLUS] = ACTIONS(3612),
    [anon_sym_DASH] = ACTIONS(3612),
    [anon_sym_SLASH] = ACTIONS(3612),
    [anon_sym_LT] = ACTIONS(3612),
    [anon_sym_TILDE] = ACTIONS(3612),
    [anon_sym_void] = ACTIONS(3612),
    [anon_sym_delete] = ACTIONS(3612),
    [anon_sym_PLUS_PLUS] = ACTIONS(3612),
    [anon_sym_DASH_DASH] = ACTIONS(3612),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3612),
    [sym_number] = ACTIONS(3612),
    [sym_private_property_identifier] = ACTIONS(3612),
    [sym_this] = ACTIONS(3612),
    [sym_super] = ACTIONS(3612),
    [sym_true] = ACTIONS(3612),
    [sym_false] = ACTIONS(3612),
    [sym_null] = ACTIONS(3612),
    [sym_undefined] = ACTIONS(3612),
    [anon_sym_AT] = ACTIONS(3612),
    [anon_sym_static] = ACTIONS(3612),
    [anon_sym_readonly] = ACTIONS(3612),
    [anon_sym_get] = ACTIONS(3612),
    [anon_sym_set] = ACTIONS(3612),
    [anon_sym_declare] = ACTIONS(3612),
    [anon_sym_public] = ACTIONS(3612),
    [anon_sym_private] = ACTIONS(3612),
    [anon_sym_protected] = ACTIONS(3612),
    [anon_sym_override] = ACTIONS(3612),
    [anon_sym_module] = ACTIONS(3612),
    [anon_sym_any] = ACTIONS(3612),
    [anon_sym_number] = ACTIONS(3612),
    [anon_sym_boolean] = ACTIONS(3612),
    [anon_sym_string] = ACTIONS(3612),
    [anon_sym_symbol] = ACTIONS(3612),
    [anon_sym_object] = ACTIONS(3612),
    [anon_sym_abstract] = ACTIONS(3612),
    [anon_sym_interface] = ACTIONS(3612),
    [anon_sym_enum] = ACTIONS(3612),
    [sym_html_comment] = ACTIONS(5),
  },
  [1733] = {
    [sym_comment] = STATE(1733),
    [sym_identifier] = ACTIONS(3612),
    [anon_sym_export] = ACTIONS(3612),
    [anon_sym_type] = ACTIONS(3612),
    [anon_sym_namespace] = ACTIONS(3612),
    [anon_sym_LBRACE] = ACTIONS(3612),
    [anon_sym_typeof] = ACTIONS(3612),
    [anon_sym_import] = ACTIONS(3612),
    [anon_sym_with] = ACTIONS(3612),
    [anon_sym_var] = ACTIONS(3612),
    [anon_sym_let] = ACTIONS(3612),
    [anon_sym_const] = ACTIONS(3612),
    [anon_sym_BANG] = ACTIONS(3612),
    [anon_sym_if] = ACTIONS(3612),
    [anon_sym_switch] = ACTIONS(3612),
    [anon_sym_for] = ACTIONS(3612),
    [anon_sym_LPAREN] = ACTIONS(3612),
    [anon_sym_await] = ACTIONS(3612),
    [anon_sym_while] = ACTIONS(3612),
    [anon_sym_do] = ACTIONS(3612),
    [anon_sym_try] = ACTIONS(3612),
    [anon_sym_break] = ACTIONS(3612),
    [anon_sym_continue] = ACTIONS(3612),
    [anon_sym_debugger] = ACTIONS(3612),
    [anon_sym_return] = ACTIONS(3612),
    [anon_sym_throw] = ACTIONS(3612),
    [anon_sym_SEMI] = ACTIONS(3612),
    [anon_sym_yield] = ACTIONS(3612),
    [anon_sym_LBRACK] = ACTIONS(3612),
    [anon_sym_LTtemplate_GT] = ACTIONS(3612),
    [anon_sym_DQUOTE] = ACTIONS(3612),
    [anon_sym_SQUOTE] = ACTIONS(3612),
    [anon_sym_class] = ACTIONS(3612),
    [anon_sym_async] = ACTIONS(3612),
    [anon_sym_function] = ACTIONS(3612),
    [anon_sym_new] = ACTIONS(3612),
    [anon_sym_using] = ACTIONS(3612),
    [anon_sym_PLUS] = ACTIONS(3612),
    [anon_sym_DASH] = ACTIONS(3612),
    [anon_sym_SLASH] = ACTIONS(3612),
    [anon_sym_LT] = ACTIONS(3612),
    [anon_sym_TILDE] = ACTIONS(3612),
    [anon_sym_void] = ACTIONS(3612),
    [anon_sym_delete] = ACTIONS(3612),
    [anon_sym_PLUS_PLUS] = ACTIONS(3612),
    [anon_sym_DASH_DASH] = ACTIONS(3612),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3612),
    [sym_number] = ACTIONS(3612),
    [sym_private_property_identifier] = ACTIONS(3612),
    [sym_this] = ACTIONS(3612),
    [sym_super] = ACTIONS(3612),
    [sym_true] = ACTIONS(3612),
    [sym_false] = ACTIONS(3612),
    [sym_null] = ACTIONS(3612),
    [sym_undefined] = ACTIONS(3612),
    [anon_sym_AT] = ACTIONS(3612),
    [anon_sym_static] = ACTIONS(3612),
    [anon_sym_readonly] = ACTIONS(3612),
    [anon_sym_get] = ACTIONS(3612),
    [anon_sym_set] = ACTIONS(3612),
    [anon_sym_declare] = ACTIONS(3612),
    [anon_sym_public] = ACTIONS(3612),
    [anon_sym_private] = ACTIONS(3612),
    [anon_sym_protected] = ACTIONS(3612),
    [anon_sym_override] = ACTIONS(3612),
    [anon_sym_module] = ACTIONS(3612),
    [anon_sym_any] = ACTIONS(3612),
    [anon_sym_number] = ACTIONS(3612),
    [anon_sym_boolean] = ACTIONS(3612),
    [anon_sym_string] = ACTIONS(3612),
    [anon_sym_symbol] = ACTIONS(3612),
    [anon_sym_object] = ACTIONS(3612),
    [anon_sym_abstract] = ACTIONS(3612),
    [anon_sym_interface] = ACTIONS(3612),
    [anon_sym_enum] = ACTIONS(3612),
    [sym_html_comment] = ACTIONS(5),
  },
  [1734] = {
    [sym_nested_identifier] = STATE(7283),
    [sym_string] = STATE(3875),
    [sym_comment] = STATE(1734),
    [sym_formal_parameters] = STATE(7329),
    [sym_rest_pattern] = STATE(6774),
    [sym_nested_type_identifier] = STATE(3821),
    [sym__type] = STATE(4875),
    [sym_tuple_parameter] = STATE(6776),
    [sym_optional_tuple_parameter] = STATE(6776),
    [sym_optional_type] = STATE(6776),
    [sym_rest_type] = STATE(6776),
    [sym__tuple_type_member] = STATE(6520),
    [sym_constructor_type] = STATE(3924),
    [sym__primary_type] = STATE(3930),
    [sym_template_literal_type] = STATE(3873),
    [sym_infer_type] = STATE(3924),
    [sym_conditional_type] = STATE(3873),
    [sym_generic_type] = STATE(3873),
    [sym_type_query] = STATE(3873),
    [sym_index_type_query] = STATE(3873),
    [sym_lookup_type] = STATE(3873),
    [sym_literal_type] = STATE(3873),
    [sym__number] = STATE(3934),
    [sym_existential_type] = STATE(3873),
    [sym_flow_maybe_type] = STATE(3873),
    [sym_parenthesized_type] = STATE(3873),
    [sym_predefined_type] = STATE(3873),
    [sym_object_type] = STATE(3873),
    [sym_type_parameters] = STATE(6758),
    [sym_array_type] = STATE(3873),
    [sym_tuple_type] = STATE(3873),
    [sym_readonly_type] = STATE(3924),
    [sym_union_type] = STATE(3873),
    [sym_intersection_type] = STATE(3873),
    [sym_function_type] = STATE(3924),
    [sym_identifier] = ACTIONS(3586),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(209),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_RBRACK] = ACTIONS(3614),
    [anon_sym_DQUOTE] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [anon_sym_new] = ACTIONS(1898),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3592),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(1900),
    [anon_sym_DASH] = ACTIONS(1900),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(207),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_any] = ACTIONS(207),
    [anon_sym_number] = ACTIONS(207),
    [anon_sym_boolean] = ACTIONS(207),
    [anon_sym_string] = ACTIONS(207),
    [anon_sym_symbol] = ACTIONS(207),
    [anon_sym_object] = ACTIONS(207),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [1735] = {
    [sym_nested_identifier] = STATE(7283),
    [sym_string] = STATE(3875),
    [sym_comment] = STATE(1735),
    [sym_formal_parameters] = STATE(7329),
    [sym_rest_pattern] = STATE(6774),
    [sym_nested_type_identifier] = STATE(3821),
    [sym__type] = STATE(4875),
    [sym_tuple_parameter] = STATE(6776),
    [sym_optional_tuple_parameter] = STATE(6776),
    [sym_optional_type] = STATE(6776),
    [sym_rest_type] = STATE(6776),
    [sym__tuple_type_member] = STATE(6520),
    [sym_constructor_type] = STATE(3924),
    [sym__primary_type] = STATE(3930),
    [sym_template_literal_type] = STATE(3873),
    [sym_infer_type] = STATE(3924),
    [sym_conditional_type] = STATE(3873),
    [sym_generic_type] = STATE(3873),
    [sym_type_query] = STATE(3873),
    [sym_index_type_query] = STATE(3873),
    [sym_lookup_type] = STATE(3873),
    [sym_literal_type] = STATE(3873),
    [sym__number] = STATE(3934),
    [sym_existential_type] = STATE(3873),
    [sym_flow_maybe_type] = STATE(3873),
    [sym_parenthesized_type] = STATE(3873),
    [sym_predefined_type] = STATE(3873),
    [sym_object_type] = STATE(3873),
    [sym_type_parameters] = STATE(6758),
    [sym_array_type] = STATE(3873),
    [sym_tuple_type] = STATE(3873),
    [sym_readonly_type] = STATE(3924),
    [sym_union_type] = STATE(3873),
    [sym_intersection_type] = STATE(3873),
    [sym_function_type] = STATE(3924),
    [sym_identifier] = ACTIONS(3586),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(209),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_RBRACK] = ACTIONS(3616),
    [anon_sym_DQUOTE] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [anon_sym_new] = ACTIONS(1898),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3592),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(1900),
    [anon_sym_DASH] = ACTIONS(1900),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(207),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_any] = ACTIONS(207),
    [anon_sym_number] = ACTIONS(207),
    [anon_sym_boolean] = ACTIONS(207),
    [anon_sym_string] = ACTIONS(207),
    [anon_sym_symbol] = ACTIONS(207),
    [anon_sym_object] = ACTIONS(207),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [1736] = {
    [sym_comment] = STATE(1736),
    [sym_identifier] = ACTIONS(3612),
    [anon_sym_export] = ACTIONS(3612),
    [anon_sym_type] = ACTIONS(3612),
    [anon_sym_namespace] = ACTIONS(3612),
    [anon_sym_LBRACE] = ACTIONS(3612),
    [anon_sym_typeof] = ACTIONS(3612),
    [anon_sym_import] = ACTIONS(3612),
    [anon_sym_with] = ACTIONS(3612),
    [anon_sym_var] = ACTIONS(3612),
    [anon_sym_let] = ACTIONS(3612),
    [anon_sym_const] = ACTIONS(3612),
    [anon_sym_BANG] = ACTIONS(3612),
    [anon_sym_if] = ACTIONS(3612),
    [anon_sym_switch] = ACTIONS(3612),
    [anon_sym_for] = ACTIONS(3612),
    [anon_sym_LPAREN] = ACTIONS(3612),
    [anon_sym_await] = ACTIONS(3612),
    [anon_sym_while] = ACTIONS(3612),
    [anon_sym_do] = ACTIONS(3612),
    [anon_sym_try] = ACTIONS(3612),
    [anon_sym_break] = ACTIONS(3612),
    [anon_sym_continue] = ACTIONS(3612),
    [anon_sym_debugger] = ACTIONS(3612),
    [anon_sym_return] = ACTIONS(3612),
    [anon_sym_throw] = ACTIONS(3612),
    [anon_sym_SEMI] = ACTIONS(3612),
    [anon_sym_yield] = ACTIONS(3612),
    [anon_sym_LBRACK] = ACTIONS(3612),
    [anon_sym_LTtemplate_GT] = ACTIONS(3612),
    [anon_sym_DQUOTE] = ACTIONS(3612),
    [anon_sym_SQUOTE] = ACTIONS(3612),
    [anon_sym_class] = ACTIONS(3612),
    [anon_sym_async] = ACTIONS(3612),
    [anon_sym_function] = ACTIONS(3612),
    [anon_sym_new] = ACTIONS(3612),
    [anon_sym_using] = ACTIONS(3612),
    [anon_sym_PLUS] = ACTIONS(3612),
    [anon_sym_DASH] = ACTIONS(3612),
    [anon_sym_SLASH] = ACTIONS(3612),
    [anon_sym_LT] = ACTIONS(3612),
    [anon_sym_TILDE] = ACTIONS(3612),
    [anon_sym_void] = ACTIONS(3612),
    [anon_sym_delete] = ACTIONS(3612),
    [anon_sym_PLUS_PLUS] = ACTIONS(3612),
    [anon_sym_DASH_DASH] = ACTIONS(3612),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3612),
    [sym_number] = ACTIONS(3612),
    [sym_private_property_identifier] = ACTIONS(3612),
    [sym_this] = ACTIONS(3612),
    [sym_super] = ACTIONS(3612),
    [sym_true] = ACTIONS(3612),
    [sym_false] = ACTIONS(3612),
    [sym_null] = ACTIONS(3612),
    [sym_undefined] = ACTIONS(3612),
    [anon_sym_AT] = ACTIONS(3612),
    [anon_sym_static] = ACTIONS(3612),
    [anon_sym_readonly] = ACTIONS(3612),
    [anon_sym_get] = ACTIONS(3612),
    [anon_sym_set] = ACTIONS(3612),
    [anon_sym_declare] = ACTIONS(3612),
    [anon_sym_public] = ACTIONS(3612),
    [anon_sym_private] = ACTIONS(3612),
    [anon_sym_protected] = ACTIONS(3612),
    [anon_sym_override] = ACTIONS(3612),
    [anon_sym_module] = ACTIONS(3612),
    [anon_sym_any] = ACTIONS(3612),
    [anon_sym_number] = ACTIONS(3612),
    [anon_sym_boolean] = ACTIONS(3612),
    [anon_sym_string] = ACTIONS(3612),
    [anon_sym_symbol] = ACTIONS(3612),
    [anon_sym_object] = ACTIONS(3612),
    [anon_sym_abstract] = ACTIONS(3612),
    [anon_sym_interface] = ACTIONS(3612),
    [anon_sym_enum] = ACTIONS(3612),
    [sym_html_comment] = ACTIONS(5),
  },
  [1737] = {
    [sym_comment] = STATE(1737),
    [sym_identifier] = ACTIONS(3618),
    [anon_sym_export] = ACTIONS(3618),
    [anon_sym_type] = ACTIONS(3618),
    [anon_sym_namespace] = ACTIONS(3618),
    [anon_sym_LBRACE] = ACTIONS(3618),
    [anon_sym_typeof] = ACTIONS(3618),
    [anon_sym_import] = ACTIONS(3618),
    [anon_sym_with] = ACTIONS(3618),
    [anon_sym_var] = ACTIONS(3618),
    [anon_sym_let] = ACTIONS(3618),
    [anon_sym_const] = ACTIONS(3618),
    [anon_sym_BANG] = ACTIONS(3618),
    [anon_sym_if] = ACTIONS(3618),
    [anon_sym_switch] = ACTIONS(3618),
    [anon_sym_for] = ACTIONS(3618),
    [anon_sym_LPAREN] = ACTIONS(3618),
    [anon_sym_await] = ACTIONS(3618),
    [anon_sym_while] = ACTIONS(3618),
    [anon_sym_do] = ACTIONS(3618),
    [anon_sym_try] = ACTIONS(3618),
    [anon_sym_break] = ACTIONS(3618),
    [anon_sym_continue] = ACTIONS(3618),
    [anon_sym_debugger] = ACTIONS(3618),
    [anon_sym_return] = ACTIONS(3618),
    [anon_sym_throw] = ACTIONS(3618),
    [anon_sym_SEMI] = ACTIONS(3618),
    [anon_sym_yield] = ACTIONS(3618),
    [anon_sym_LBRACK] = ACTIONS(3618),
    [anon_sym_LTtemplate_GT] = ACTIONS(3618),
    [anon_sym_DQUOTE] = ACTIONS(3618),
    [anon_sym_SQUOTE] = ACTIONS(3618),
    [anon_sym_class] = ACTIONS(3618),
    [anon_sym_async] = ACTIONS(3618),
    [anon_sym_function] = ACTIONS(3618),
    [anon_sym_new] = ACTIONS(3618),
    [anon_sym_using] = ACTIONS(3618),
    [anon_sym_PLUS] = ACTIONS(3618),
    [anon_sym_DASH] = ACTIONS(3618),
    [anon_sym_SLASH] = ACTIONS(3618),
    [anon_sym_LT] = ACTIONS(3618),
    [anon_sym_TILDE] = ACTIONS(3618),
    [anon_sym_void] = ACTIONS(3618),
    [anon_sym_delete] = ACTIONS(3618),
    [anon_sym_PLUS_PLUS] = ACTIONS(3618),
    [anon_sym_DASH_DASH] = ACTIONS(3618),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3618),
    [sym_number] = ACTIONS(3618),
    [sym_private_property_identifier] = ACTIONS(3618),
    [sym_this] = ACTIONS(3618),
    [sym_super] = ACTIONS(3618),
    [sym_true] = ACTIONS(3618),
    [sym_false] = ACTIONS(3618),
    [sym_null] = ACTIONS(3618),
    [sym_undefined] = ACTIONS(3618),
    [anon_sym_AT] = ACTIONS(3618),
    [anon_sym_static] = ACTIONS(3618),
    [anon_sym_readonly] = ACTIONS(3618),
    [anon_sym_get] = ACTIONS(3618),
    [anon_sym_set] = ACTIONS(3618),
    [anon_sym_declare] = ACTIONS(3618),
    [anon_sym_public] = ACTIONS(3618),
    [anon_sym_private] = ACTIONS(3618),
    [anon_sym_protected] = ACTIONS(3618),
    [anon_sym_override] = ACTIONS(3618),
    [anon_sym_module] = ACTIONS(3618),
    [anon_sym_any] = ACTIONS(3618),
    [anon_sym_number] = ACTIONS(3618),
    [anon_sym_boolean] = ACTIONS(3618),
    [anon_sym_string] = ACTIONS(3618),
    [anon_sym_symbol] = ACTIONS(3618),
    [anon_sym_object] = ACTIONS(3618),
    [anon_sym_abstract] = ACTIONS(3618),
    [anon_sym_interface] = ACTIONS(3618),
    [anon_sym_enum] = ACTIONS(3618),
    [sym_html_comment] = ACTIONS(5),
  },
  [1738] = {
    [sym_comment] = STATE(1738),
    [sym_identifier] = ACTIONS(3620),
    [anon_sym_export] = ACTIONS(3620),
    [anon_sym_type] = ACTIONS(3620),
    [anon_sym_namespace] = ACTIONS(3620),
    [anon_sym_LBRACE] = ACTIONS(3620),
    [anon_sym_typeof] = ACTIONS(3620),
    [anon_sym_import] = ACTIONS(3620),
    [anon_sym_with] = ACTIONS(3620),
    [anon_sym_var] = ACTIONS(3620),
    [anon_sym_let] = ACTIONS(3620),
    [anon_sym_const] = ACTIONS(3620),
    [anon_sym_BANG] = ACTIONS(3620),
    [anon_sym_if] = ACTIONS(3620),
    [anon_sym_switch] = ACTIONS(3620),
    [anon_sym_for] = ACTIONS(3620),
    [anon_sym_LPAREN] = ACTIONS(3620),
    [anon_sym_await] = ACTIONS(3620),
    [anon_sym_while] = ACTIONS(3620),
    [anon_sym_do] = ACTIONS(3620),
    [anon_sym_try] = ACTIONS(3620),
    [anon_sym_break] = ACTIONS(3620),
    [anon_sym_continue] = ACTIONS(3620),
    [anon_sym_debugger] = ACTIONS(3620),
    [anon_sym_return] = ACTIONS(3620),
    [anon_sym_throw] = ACTIONS(3620),
    [anon_sym_SEMI] = ACTIONS(3620),
    [anon_sym_yield] = ACTIONS(3620),
    [anon_sym_LBRACK] = ACTIONS(3620),
    [anon_sym_LTtemplate_GT] = ACTIONS(3620),
    [anon_sym_DQUOTE] = ACTIONS(3620),
    [anon_sym_SQUOTE] = ACTIONS(3620),
    [anon_sym_class] = ACTIONS(3620),
    [anon_sym_async] = ACTIONS(3620),
    [anon_sym_function] = ACTIONS(3620),
    [anon_sym_new] = ACTIONS(3620),
    [anon_sym_using] = ACTIONS(3620),
    [anon_sym_PLUS] = ACTIONS(3620),
    [anon_sym_DASH] = ACTIONS(3620),
    [anon_sym_SLASH] = ACTIONS(3620),
    [anon_sym_LT] = ACTIONS(3620),
    [anon_sym_TILDE] = ACTIONS(3620),
    [anon_sym_void] = ACTIONS(3620),
    [anon_sym_delete] = ACTIONS(3620),
    [anon_sym_PLUS_PLUS] = ACTIONS(3620),
    [anon_sym_DASH_DASH] = ACTIONS(3620),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3620),
    [sym_number] = ACTIONS(3620),
    [sym_private_property_identifier] = ACTIONS(3620),
    [sym_this] = ACTIONS(3620),
    [sym_super] = ACTIONS(3620),
    [sym_true] = ACTIONS(3620),
    [sym_false] = ACTIONS(3620),
    [sym_null] = ACTIONS(3620),
    [sym_undefined] = ACTIONS(3620),
    [anon_sym_AT] = ACTIONS(3620),
    [anon_sym_static] = ACTIONS(3620),
    [anon_sym_readonly] = ACTIONS(3620),
    [anon_sym_get] = ACTIONS(3620),
    [anon_sym_set] = ACTIONS(3620),
    [anon_sym_declare] = ACTIONS(3620),
    [anon_sym_public] = ACTIONS(3620),
    [anon_sym_private] = ACTIONS(3620),
    [anon_sym_protected] = ACTIONS(3620),
    [anon_sym_override] = ACTIONS(3620),
    [anon_sym_module] = ACTIONS(3620),
    [anon_sym_any] = ACTIONS(3620),
    [anon_sym_number] = ACTIONS(3620),
    [anon_sym_boolean] = ACTIONS(3620),
    [anon_sym_string] = ACTIONS(3620),
    [anon_sym_symbol] = ACTIONS(3620),
    [anon_sym_object] = ACTIONS(3620),
    [anon_sym_abstract] = ACTIONS(3620),
    [anon_sym_interface] = ACTIONS(3620),
    [anon_sym_enum] = ACTIONS(3620),
    [sym_html_comment] = ACTIONS(5),
  },
  [1739] = {
    [sym_comment] = STATE(1739),
    [sym_identifier] = ACTIONS(3612),
    [anon_sym_export] = ACTIONS(3612),
    [anon_sym_type] = ACTIONS(3612),
    [anon_sym_namespace] = ACTIONS(3612),
    [anon_sym_LBRACE] = ACTIONS(3612),
    [anon_sym_typeof] = ACTIONS(3612),
    [anon_sym_import] = ACTIONS(3612),
    [anon_sym_with] = ACTIONS(3612),
    [anon_sym_var] = ACTIONS(3612),
    [anon_sym_let] = ACTIONS(3612),
    [anon_sym_const] = ACTIONS(3612),
    [anon_sym_BANG] = ACTIONS(3612),
    [anon_sym_if] = ACTIONS(3612),
    [anon_sym_switch] = ACTIONS(3612),
    [anon_sym_for] = ACTIONS(3612),
    [anon_sym_LPAREN] = ACTIONS(3612),
    [anon_sym_await] = ACTIONS(3612),
    [anon_sym_while] = ACTIONS(3612),
    [anon_sym_do] = ACTIONS(3612),
    [anon_sym_try] = ACTIONS(3612),
    [anon_sym_break] = ACTIONS(3612),
    [anon_sym_continue] = ACTIONS(3612),
    [anon_sym_debugger] = ACTIONS(3612),
    [anon_sym_return] = ACTIONS(3612),
    [anon_sym_throw] = ACTIONS(3612),
    [anon_sym_SEMI] = ACTIONS(3612),
    [anon_sym_yield] = ACTIONS(3612),
    [anon_sym_LBRACK] = ACTIONS(3612),
    [anon_sym_LTtemplate_GT] = ACTIONS(3612),
    [anon_sym_DQUOTE] = ACTIONS(3612),
    [anon_sym_SQUOTE] = ACTIONS(3612),
    [anon_sym_class] = ACTIONS(3612),
    [anon_sym_async] = ACTIONS(3612),
    [anon_sym_function] = ACTIONS(3612),
    [anon_sym_new] = ACTIONS(3612),
    [anon_sym_using] = ACTIONS(3612),
    [anon_sym_PLUS] = ACTIONS(3612),
    [anon_sym_DASH] = ACTIONS(3612),
    [anon_sym_SLASH] = ACTIONS(3612),
    [anon_sym_LT] = ACTIONS(3612),
    [anon_sym_TILDE] = ACTIONS(3612),
    [anon_sym_void] = ACTIONS(3612),
    [anon_sym_delete] = ACTIONS(3612),
    [anon_sym_PLUS_PLUS] = ACTIONS(3612),
    [anon_sym_DASH_DASH] = ACTIONS(3612),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3612),
    [sym_number] = ACTIONS(3612),
    [sym_private_property_identifier] = ACTIONS(3612),
    [sym_this] = ACTIONS(3612),
    [sym_super] = ACTIONS(3612),
    [sym_true] = ACTIONS(3612),
    [sym_false] = ACTIONS(3612),
    [sym_null] = ACTIONS(3612),
    [sym_undefined] = ACTIONS(3612),
    [anon_sym_AT] = ACTIONS(3612),
    [anon_sym_static] = ACTIONS(3612),
    [anon_sym_readonly] = ACTIONS(3612),
    [anon_sym_get] = ACTIONS(3612),
    [anon_sym_set] = ACTIONS(3612),
    [anon_sym_declare] = ACTIONS(3612),
    [anon_sym_public] = ACTIONS(3612),
    [anon_sym_private] = ACTIONS(3612),
    [anon_sym_protected] = ACTIONS(3612),
    [anon_sym_override] = ACTIONS(3612),
    [anon_sym_module] = ACTIONS(3612),
    [anon_sym_any] = ACTIONS(3612),
    [anon_sym_number] = ACTIONS(3612),
    [anon_sym_boolean] = ACTIONS(3612),
    [anon_sym_string] = ACTIONS(3612),
    [anon_sym_symbol] = ACTIONS(3612),
    [anon_sym_object] = ACTIONS(3612),
    [anon_sym_abstract] = ACTIONS(3612),
    [anon_sym_interface] = ACTIONS(3612),
    [anon_sym_enum] = ACTIONS(3612),
    [sym_html_comment] = ACTIONS(5),
  },
  [1740] = {
    [sym_comment] = STATE(1740),
    [sym_identifier] = ACTIONS(3622),
    [anon_sym_export] = ACTIONS(3622),
    [anon_sym_type] = ACTIONS(3622),
    [anon_sym_namespace] = ACTIONS(3622),
    [anon_sym_LBRACE] = ACTIONS(3622),
    [anon_sym_typeof] = ACTIONS(3622),
    [anon_sym_import] = ACTIONS(3622),
    [anon_sym_with] = ACTIONS(3622),
    [anon_sym_var] = ACTIONS(3622),
    [anon_sym_let] = ACTIONS(3622),
    [anon_sym_const] = ACTIONS(3622),
    [anon_sym_BANG] = ACTIONS(3622),
    [anon_sym_if] = ACTIONS(3622),
    [anon_sym_switch] = ACTIONS(3622),
    [anon_sym_for] = ACTIONS(3622),
    [anon_sym_LPAREN] = ACTIONS(3622),
    [anon_sym_await] = ACTIONS(3622),
    [anon_sym_while] = ACTIONS(3622),
    [anon_sym_do] = ACTIONS(3622),
    [anon_sym_try] = ACTIONS(3622),
    [anon_sym_break] = ACTIONS(3622),
    [anon_sym_continue] = ACTIONS(3622),
    [anon_sym_debugger] = ACTIONS(3622),
    [anon_sym_return] = ACTIONS(3622),
    [anon_sym_throw] = ACTIONS(3622),
    [anon_sym_SEMI] = ACTIONS(3622),
    [anon_sym_yield] = ACTIONS(3622),
    [anon_sym_LBRACK] = ACTIONS(3622),
    [anon_sym_LTtemplate_GT] = ACTIONS(3622),
    [anon_sym_DQUOTE] = ACTIONS(3622),
    [anon_sym_SQUOTE] = ACTIONS(3622),
    [anon_sym_class] = ACTIONS(3622),
    [anon_sym_async] = ACTIONS(3622),
    [anon_sym_function] = ACTIONS(3622),
    [anon_sym_new] = ACTIONS(3622),
    [anon_sym_using] = ACTIONS(3622),
    [anon_sym_PLUS] = ACTIONS(3622),
    [anon_sym_DASH] = ACTIONS(3622),
    [anon_sym_SLASH] = ACTIONS(3622),
    [anon_sym_LT] = ACTIONS(3622),
    [anon_sym_TILDE] = ACTIONS(3622),
    [anon_sym_void] = ACTIONS(3622),
    [anon_sym_delete] = ACTIONS(3622),
    [anon_sym_PLUS_PLUS] = ACTIONS(3622),
    [anon_sym_DASH_DASH] = ACTIONS(3622),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3622),
    [sym_number] = ACTIONS(3622),
    [sym_private_property_identifier] = ACTIONS(3622),
    [sym_this] = ACTIONS(3622),
    [sym_super] = ACTIONS(3622),
    [sym_true] = ACTIONS(3622),
    [sym_false] = ACTIONS(3622),
    [sym_null] = ACTIONS(3622),
    [sym_undefined] = ACTIONS(3622),
    [anon_sym_AT] = ACTIONS(3622),
    [anon_sym_static] = ACTIONS(3622),
    [anon_sym_readonly] = ACTIONS(3622),
    [anon_sym_get] = ACTIONS(3622),
    [anon_sym_set] = ACTIONS(3622),
    [anon_sym_declare] = ACTIONS(3622),
    [anon_sym_public] = ACTIONS(3622),
    [anon_sym_private] = ACTIONS(3622),
    [anon_sym_protected] = ACTIONS(3622),
    [anon_sym_override] = ACTIONS(3622),
    [anon_sym_module] = ACTIONS(3622),
    [anon_sym_any] = ACTIONS(3622),
    [anon_sym_number] = ACTIONS(3622),
    [anon_sym_boolean] = ACTIONS(3622),
    [anon_sym_string] = ACTIONS(3622),
    [anon_sym_symbol] = ACTIONS(3622),
    [anon_sym_object] = ACTIONS(3622),
    [anon_sym_abstract] = ACTIONS(3622),
    [anon_sym_interface] = ACTIONS(3622),
    [anon_sym_enum] = ACTIONS(3622),
    [sym_html_comment] = ACTIONS(5),
  },
  [1741] = {
    [sym_nested_identifier] = STATE(7283),
    [sym_string] = STATE(3875),
    [sym_comment] = STATE(1741),
    [sym_formal_parameters] = STATE(7329),
    [sym_rest_pattern] = STATE(6774),
    [sym_nested_type_identifier] = STATE(3821),
    [sym__type] = STATE(4875),
    [sym_tuple_parameter] = STATE(6776),
    [sym_optional_tuple_parameter] = STATE(6776),
    [sym_optional_type] = STATE(6776),
    [sym_rest_type] = STATE(6776),
    [sym__tuple_type_member] = STATE(6520),
    [sym_constructor_type] = STATE(3924),
    [sym__primary_type] = STATE(3930),
    [sym_template_literal_type] = STATE(3873),
    [sym_infer_type] = STATE(3924),
    [sym_conditional_type] = STATE(3873),
    [sym_generic_type] = STATE(3873),
    [sym_type_query] = STATE(3873),
    [sym_index_type_query] = STATE(3873),
    [sym_lookup_type] = STATE(3873),
    [sym_literal_type] = STATE(3873),
    [sym__number] = STATE(3934),
    [sym_existential_type] = STATE(3873),
    [sym_flow_maybe_type] = STATE(3873),
    [sym_parenthesized_type] = STATE(3873),
    [sym_predefined_type] = STATE(3873),
    [sym_object_type] = STATE(3873),
    [sym_type_parameters] = STATE(6758),
    [sym_array_type] = STATE(3873),
    [sym_tuple_type] = STATE(3873),
    [sym_readonly_type] = STATE(3924),
    [sym_union_type] = STATE(3873),
    [sym_intersection_type] = STATE(3873),
    [sym_function_type] = STATE(3924),
    [sym_identifier] = ACTIONS(3586),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(209),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_RBRACK] = ACTIONS(3624),
    [anon_sym_DQUOTE] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [anon_sym_new] = ACTIONS(1898),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3592),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(1900),
    [anon_sym_DASH] = ACTIONS(1900),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(207),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_any] = ACTIONS(207),
    [anon_sym_number] = ACTIONS(207),
    [anon_sym_boolean] = ACTIONS(207),
    [anon_sym_string] = ACTIONS(207),
    [anon_sym_symbol] = ACTIONS(207),
    [anon_sym_object] = ACTIONS(207),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [1742] = {
    [sym_nested_identifier] = STATE(7283),
    [sym_string] = STATE(3875),
    [sym_comment] = STATE(1742),
    [sym_formal_parameters] = STATE(7329),
    [sym_rest_pattern] = STATE(6774),
    [sym_nested_type_identifier] = STATE(3821),
    [sym__type] = STATE(4875),
    [sym_tuple_parameter] = STATE(6776),
    [sym_optional_tuple_parameter] = STATE(6776),
    [sym_optional_type] = STATE(6776),
    [sym_rest_type] = STATE(6776),
    [sym__tuple_type_member] = STATE(6520),
    [sym_constructor_type] = STATE(3924),
    [sym__primary_type] = STATE(3930),
    [sym_template_literal_type] = STATE(3873),
    [sym_infer_type] = STATE(3924),
    [sym_conditional_type] = STATE(3873),
    [sym_generic_type] = STATE(3873),
    [sym_type_query] = STATE(3873),
    [sym_index_type_query] = STATE(3873),
    [sym_lookup_type] = STATE(3873),
    [sym_literal_type] = STATE(3873),
    [sym__number] = STATE(3934),
    [sym_existential_type] = STATE(3873),
    [sym_flow_maybe_type] = STATE(3873),
    [sym_parenthesized_type] = STATE(3873),
    [sym_predefined_type] = STATE(3873),
    [sym_object_type] = STATE(3873),
    [sym_type_parameters] = STATE(6758),
    [sym_array_type] = STATE(3873),
    [sym_tuple_type] = STATE(3873),
    [sym_readonly_type] = STATE(3924),
    [sym_union_type] = STATE(3873),
    [sym_intersection_type] = STATE(3873),
    [sym_function_type] = STATE(3924),
    [sym_identifier] = ACTIONS(3586),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(209),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_RBRACK] = ACTIONS(3626),
    [anon_sym_DQUOTE] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [anon_sym_new] = ACTIONS(1898),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3592),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(1900),
    [anon_sym_DASH] = ACTIONS(1900),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(207),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_any] = ACTIONS(207),
    [anon_sym_number] = ACTIONS(207),
    [anon_sym_boolean] = ACTIONS(207),
    [anon_sym_string] = ACTIONS(207),
    [anon_sym_symbol] = ACTIONS(207),
    [anon_sym_object] = ACTIONS(207),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [1743] = {
    [sym_nested_identifier] = STATE(7283),
    [sym_string] = STATE(3875),
    [sym_comment] = STATE(1743),
    [sym_formal_parameters] = STATE(7329),
    [sym_rest_pattern] = STATE(6774),
    [sym_nested_type_identifier] = STATE(3821),
    [sym__type] = STATE(4875),
    [sym_tuple_parameter] = STATE(6776),
    [sym_optional_tuple_parameter] = STATE(6776),
    [sym_optional_type] = STATE(6776),
    [sym_rest_type] = STATE(6776),
    [sym__tuple_type_member] = STATE(6520),
    [sym_constructor_type] = STATE(3924),
    [sym__primary_type] = STATE(3930),
    [sym_template_literal_type] = STATE(3873),
    [sym_infer_type] = STATE(3924),
    [sym_conditional_type] = STATE(3873),
    [sym_generic_type] = STATE(3873),
    [sym_type_query] = STATE(3873),
    [sym_index_type_query] = STATE(3873),
    [sym_lookup_type] = STATE(3873),
    [sym_literal_type] = STATE(3873),
    [sym__number] = STATE(3934),
    [sym_existential_type] = STATE(3873),
    [sym_flow_maybe_type] = STATE(3873),
    [sym_parenthesized_type] = STATE(3873),
    [sym_predefined_type] = STATE(3873),
    [sym_object_type] = STATE(3873),
    [sym_type_parameters] = STATE(6758),
    [sym_array_type] = STATE(3873),
    [sym_tuple_type] = STATE(3873),
    [sym_readonly_type] = STATE(3924),
    [sym_union_type] = STATE(3873),
    [sym_intersection_type] = STATE(3873),
    [sym_function_type] = STATE(3924),
    [sym_identifier] = ACTIONS(3586),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(209),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_RBRACK] = ACTIONS(3628),
    [anon_sym_DQUOTE] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [anon_sym_new] = ACTIONS(1898),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3592),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(1900),
    [anon_sym_DASH] = ACTIONS(1900),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(207),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_any] = ACTIONS(207),
    [anon_sym_number] = ACTIONS(207),
    [anon_sym_boolean] = ACTIONS(207),
    [anon_sym_string] = ACTIONS(207),
    [anon_sym_symbol] = ACTIONS(207),
    [anon_sym_object] = ACTIONS(207),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [1744] = {
    [sym_nested_identifier] = STATE(7283),
    [sym_string] = STATE(3875),
    [sym_comment] = STATE(1744),
    [sym_formal_parameters] = STATE(7329),
    [sym_rest_pattern] = STATE(6774),
    [sym_nested_type_identifier] = STATE(3821),
    [sym__type] = STATE(4875),
    [sym_tuple_parameter] = STATE(6776),
    [sym_optional_tuple_parameter] = STATE(6776),
    [sym_optional_type] = STATE(6776),
    [sym_rest_type] = STATE(6776),
    [sym__tuple_type_member] = STATE(6520),
    [sym_constructor_type] = STATE(3924),
    [sym__primary_type] = STATE(3930),
    [sym_template_literal_type] = STATE(3873),
    [sym_infer_type] = STATE(3924),
    [sym_conditional_type] = STATE(3873),
    [sym_generic_type] = STATE(3873),
    [sym_type_query] = STATE(3873),
    [sym_index_type_query] = STATE(3873),
    [sym_lookup_type] = STATE(3873),
    [sym_literal_type] = STATE(3873),
    [sym__number] = STATE(3934),
    [sym_existential_type] = STATE(3873),
    [sym_flow_maybe_type] = STATE(3873),
    [sym_parenthesized_type] = STATE(3873),
    [sym_predefined_type] = STATE(3873),
    [sym_object_type] = STATE(3873),
    [sym_type_parameters] = STATE(6758),
    [sym_array_type] = STATE(3873),
    [sym_tuple_type] = STATE(3873),
    [sym_readonly_type] = STATE(3924),
    [sym_union_type] = STATE(3873),
    [sym_intersection_type] = STATE(3873),
    [sym_function_type] = STATE(3924),
    [sym_identifier] = ACTIONS(3586),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(209),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_RBRACK] = ACTIONS(3630),
    [anon_sym_DQUOTE] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [anon_sym_new] = ACTIONS(1898),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3592),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(1900),
    [anon_sym_DASH] = ACTIONS(1900),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(207),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_any] = ACTIONS(207),
    [anon_sym_number] = ACTIONS(207),
    [anon_sym_boolean] = ACTIONS(207),
    [anon_sym_string] = ACTIONS(207),
    [anon_sym_symbol] = ACTIONS(207),
    [anon_sym_object] = ACTIONS(207),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [1745] = {
    [sym_comment] = STATE(1745),
    [sym_identifier] = ACTIONS(3072),
    [anon_sym_export] = ACTIONS(3072),
    [anon_sym_type] = ACTIONS(3072),
    [anon_sym_namespace] = ACTIONS(3072),
    [anon_sym_LBRACE] = ACTIONS(3072),
    [anon_sym_typeof] = ACTIONS(3072),
    [anon_sym_import] = ACTIONS(3072),
    [anon_sym_with] = ACTIONS(3072),
    [anon_sym_var] = ACTIONS(3072),
    [anon_sym_let] = ACTIONS(3072),
    [anon_sym_const] = ACTIONS(3072),
    [anon_sym_BANG] = ACTIONS(3072),
    [anon_sym_if] = ACTIONS(3072),
    [anon_sym_switch] = ACTIONS(3072),
    [anon_sym_for] = ACTIONS(3072),
    [anon_sym_LPAREN] = ACTIONS(3072),
    [anon_sym_await] = ACTIONS(3072),
    [anon_sym_while] = ACTIONS(3072),
    [anon_sym_do] = ACTIONS(3072),
    [anon_sym_try] = ACTIONS(3072),
    [anon_sym_break] = ACTIONS(3072),
    [anon_sym_continue] = ACTIONS(3072),
    [anon_sym_debugger] = ACTIONS(3072),
    [anon_sym_return] = ACTIONS(3072),
    [anon_sym_throw] = ACTIONS(3072),
    [anon_sym_SEMI] = ACTIONS(3072),
    [anon_sym_yield] = ACTIONS(3072),
    [anon_sym_LBRACK] = ACTIONS(3072),
    [anon_sym_LTtemplate_GT] = ACTIONS(3072),
    [anon_sym_DQUOTE] = ACTIONS(3072),
    [anon_sym_SQUOTE] = ACTIONS(3072),
    [anon_sym_class] = ACTIONS(3072),
    [anon_sym_async] = ACTIONS(3072),
    [anon_sym_function] = ACTIONS(3072),
    [anon_sym_new] = ACTIONS(3072),
    [anon_sym_using] = ACTIONS(3072),
    [anon_sym_PLUS] = ACTIONS(3072),
    [anon_sym_DASH] = ACTIONS(3072),
    [anon_sym_SLASH] = ACTIONS(3072),
    [anon_sym_LT] = ACTIONS(3072),
    [anon_sym_TILDE] = ACTIONS(3072),
    [anon_sym_void] = ACTIONS(3072),
    [anon_sym_delete] = ACTIONS(3072),
    [anon_sym_PLUS_PLUS] = ACTIONS(3072),
    [anon_sym_DASH_DASH] = ACTIONS(3072),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3072),
    [sym_number] = ACTIONS(3072),
    [sym_private_property_identifier] = ACTIONS(3072),
    [sym_this] = ACTIONS(3072),
    [sym_super] = ACTIONS(3072),
    [sym_true] = ACTIONS(3072),
    [sym_false] = ACTIONS(3072),
    [sym_null] = ACTIONS(3072),
    [sym_undefined] = ACTIONS(3072),
    [anon_sym_AT] = ACTIONS(3072),
    [anon_sym_static] = ACTIONS(3072),
    [anon_sym_readonly] = ACTIONS(3072),
    [anon_sym_get] = ACTIONS(3072),
    [anon_sym_set] = ACTIONS(3072),
    [anon_sym_declare] = ACTIONS(3072),
    [anon_sym_public] = ACTIONS(3072),
    [anon_sym_private] = ACTIONS(3072),
    [anon_sym_protected] = ACTIONS(3072),
    [anon_sym_override] = ACTIONS(3072),
    [anon_sym_module] = ACTIONS(3072),
    [anon_sym_any] = ACTIONS(3072),
    [anon_sym_number] = ACTIONS(3072),
    [anon_sym_boolean] = ACTIONS(3072),
    [anon_sym_string] = ACTIONS(3072),
    [anon_sym_symbol] = ACTIONS(3072),
    [anon_sym_object] = ACTIONS(3072),
    [anon_sym_abstract] = ACTIONS(3072),
    [anon_sym_interface] = ACTIONS(3072),
    [anon_sym_enum] = ACTIONS(3072),
    [sym_html_comment] = ACTIONS(5),
  },
  [1746] = {
    [sym_nested_identifier] = STATE(7283),
    [sym_string] = STATE(3875),
    [sym_comment] = STATE(1746),
    [sym_formal_parameters] = STATE(7329),
    [sym_rest_pattern] = STATE(6774),
    [sym_nested_type_identifier] = STATE(3821),
    [sym__type] = STATE(4875),
    [sym_tuple_parameter] = STATE(6776),
    [sym_optional_tuple_parameter] = STATE(6776),
    [sym_optional_type] = STATE(6776),
    [sym_rest_type] = STATE(6776),
    [sym__tuple_type_member] = STATE(6520),
    [sym_constructor_type] = STATE(3924),
    [sym__primary_type] = STATE(3930),
    [sym_template_literal_type] = STATE(3873),
    [sym_infer_type] = STATE(3924),
    [sym_conditional_type] = STATE(3873),
    [sym_generic_type] = STATE(3873),
    [sym_type_query] = STATE(3873),
    [sym_index_type_query] = STATE(3873),
    [sym_lookup_type] = STATE(3873),
    [sym_literal_type] = STATE(3873),
    [sym__number] = STATE(3934),
    [sym_existential_type] = STATE(3873),
    [sym_flow_maybe_type] = STATE(3873),
    [sym_parenthesized_type] = STATE(3873),
    [sym_predefined_type] = STATE(3873),
    [sym_object_type] = STATE(3873),
    [sym_type_parameters] = STATE(6758),
    [sym_array_type] = STATE(3873),
    [sym_tuple_type] = STATE(3873),
    [sym_readonly_type] = STATE(3924),
    [sym_union_type] = STATE(3873),
    [sym_intersection_type] = STATE(3873),
    [sym_function_type] = STATE(3924),
    [sym_identifier] = ACTIONS(3586),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(209),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_RBRACK] = ACTIONS(3632),
    [anon_sym_DQUOTE] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [anon_sym_new] = ACTIONS(1898),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3592),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(1900),
    [anon_sym_DASH] = ACTIONS(1900),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(207),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_any] = ACTIONS(207),
    [anon_sym_number] = ACTIONS(207),
    [anon_sym_boolean] = ACTIONS(207),
    [anon_sym_string] = ACTIONS(207),
    [anon_sym_symbol] = ACTIONS(207),
    [anon_sym_object] = ACTIONS(207),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [1747] = {
    [sym_nested_identifier] = STATE(7283),
    [sym_string] = STATE(3875),
    [sym_comment] = STATE(1747),
    [sym_formal_parameters] = STATE(7329),
    [sym_rest_pattern] = STATE(6774),
    [sym_nested_type_identifier] = STATE(3821),
    [sym__type] = STATE(4875),
    [sym_tuple_parameter] = STATE(6776),
    [sym_optional_tuple_parameter] = STATE(6776),
    [sym_optional_type] = STATE(6776),
    [sym_rest_type] = STATE(6776),
    [sym__tuple_type_member] = STATE(6520),
    [sym_constructor_type] = STATE(3924),
    [sym__primary_type] = STATE(3930),
    [sym_template_literal_type] = STATE(3873),
    [sym_infer_type] = STATE(3924),
    [sym_conditional_type] = STATE(3873),
    [sym_generic_type] = STATE(3873),
    [sym_type_query] = STATE(3873),
    [sym_index_type_query] = STATE(3873),
    [sym_lookup_type] = STATE(3873),
    [sym_literal_type] = STATE(3873),
    [sym__number] = STATE(3934),
    [sym_existential_type] = STATE(3873),
    [sym_flow_maybe_type] = STATE(3873),
    [sym_parenthesized_type] = STATE(3873),
    [sym_predefined_type] = STATE(3873),
    [sym_object_type] = STATE(3873),
    [sym_type_parameters] = STATE(6758),
    [sym_array_type] = STATE(3873),
    [sym_tuple_type] = STATE(3873),
    [sym_readonly_type] = STATE(3924),
    [sym_union_type] = STATE(3873),
    [sym_intersection_type] = STATE(3873),
    [sym_function_type] = STATE(3924),
    [sym_identifier] = ACTIONS(3586),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(209),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_RBRACK] = ACTIONS(3634),
    [anon_sym_DQUOTE] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [anon_sym_new] = ACTIONS(1898),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3592),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(1900),
    [anon_sym_DASH] = ACTIONS(1900),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(207),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_any] = ACTIONS(207),
    [anon_sym_number] = ACTIONS(207),
    [anon_sym_boolean] = ACTIONS(207),
    [anon_sym_string] = ACTIONS(207),
    [anon_sym_symbol] = ACTIONS(207),
    [anon_sym_object] = ACTIONS(207),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [1748] = {
    [sym_nested_identifier] = STATE(7283),
    [sym_string] = STATE(3875),
    [sym_comment] = STATE(1748),
    [sym_formal_parameters] = STATE(7329),
    [sym_rest_pattern] = STATE(6774),
    [sym_nested_type_identifier] = STATE(3821),
    [sym__type] = STATE(4875),
    [sym_tuple_parameter] = STATE(6776),
    [sym_optional_tuple_parameter] = STATE(6776),
    [sym_optional_type] = STATE(6776),
    [sym_rest_type] = STATE(6776),
    [sym__tuple_type_member] = STATE(6520),
    [sym_constructor_type] = STATE(3924),
    [sym__primary_type] = STATE(3930),
    [sym_template_literal_type] = STATE(3873),
    [sym_infer_type] = STATE(3924),
    [sym_conditional_type] = STATE(3873),
    [sym_generic_type] = STATE(3873),
    [sym_type_query] = STATE(3873),
    [sym_index_type_query] = STATE(3873),
    [sym_lookup_type] = STATE(3873),
    [sym_literal_type] = STATE(3873),
    [sym__number] = STATE(3934),
    [sym_existential_type] = STATE(3873),
    [sym_flow_maybe_type] = STATE(3873),
    [sym_parenthesized_type] = STATE(3873),
    [sym_predefined_type] = STATE(3873),
    [sym_object_type] = STATE(3873),
    [sym_type_parameters] = STATE(6758),
    [sym_array_type] = STATE(3873),
    [sym_tuple_type] = STATE(3873),
    [sym_readonly_type] = STATE(3924),
    [sym_union_type] = STATE(3873),
    [sym_intersection_type] = STATE(3873),
    [sym_function_type] = STATE(3924),
    [sym_identifier] = ACTIONS(3586),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(209),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_RBRACK] = ACTIONS(3636),
    [anon_sym_DQUOTE] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [anon_sym_new] = ACTIONS(1898),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3592),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(1900),
    [anon_sym_DASH] = ACTIONS(1900),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(207),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_any] = ACTIONS(207),
    [anon_sym_number] = ACTIONS(207),
    [anon_sym_boolean] = ACTIONS(207),
    [anon_sym_string] = ACTIONS(207),
    [anon_sym_symbol] = ACTIONS(207),
    [anon_sym_object] = ACTIONS(207),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [1749] = {
    [sym_import] = STATE(6247),
    [sym_nested_identifier] = STATE(7203),
    [sym_string] = STATE(4142),
    [sym_comment] = STATE(1749),
    [sym_formal_parameters] = STATE(7533),
    [sym_nested_type_identifier] = STATE(4018),
    [sym__type_query_member_expression_in_type_annotation] = STATE(4193),
    [sym__type_query_call_expression_in_type_annotation] = STATE(4477),
    [sym_asserts] = STATE(4858),
    [sym__type] = STATE(4194),
    [sym_constructor_type] = STATE(4150),
    [sym__primary_type] = STATE(4152),
    [sym_template_literal_type] = STATE(4126),
    [sym_infer_type] = STATE(4150),
    [sym_conditional_type] = STATE(4126),
    [sym_generic_type] = STATE(4126),
    [sym_type_predicate] = STATE(4855),
    [sym_type_query] = STATE(4126),
    [sym_index_type_query] = STATE(4126),
    [sym_lookup_type] = STATE(4126),
    [sym_literal_type] = STATE(4126),
    [sym__number] = STATE(4153),
    [sym_existential_type] = STATE(4126),
    [sym_flow_maybe_type] = STATE(4126),
    [sym_parenthesized_type] = STATE(4126),
    [sym_predefined_type] = STATE(4090),
    [sym_object_type] = STATE(4126),
    [sym_type_parameters] = STATE(7111),
    [sym_array_type] = STATE(4126),
    [sym_tuple_type] = STATE(4126),
    [sym_readonly_type] = STATE(4150),
    [sym_union_type] = STATE(4126),
    [sym_intersection_type] = STATE(4126),
    [sym_function_type] = STATE(4150),
    [sym_identifier] = ACTIONS(3638),
    [anon_sym_STAR] = ACTIONS(1296),
    [anon_sym_LBRACE] = ACTIONS(1342),
    [anon_sym_typeof] = ACTIONS(1924),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_const] = ACTIONS(1302),
    [anon_sym_LPAREN] = ACTIONS(1926),
    [anon_sym_LBRACK] = ACTIONS(1928),
    [anon_sym_DQUOTE] = ACTIONS(1930),
    [anon_sym_SQUOTE] = ACTIONS(1932),
    [anon_sym_new] = ACTIONS(1934),
    [anon_sym_AMP] = ACTIONS(1310),
    [anon_sym_PIPE] = ACTIONS(1312),
    [anon_sym_PLUS] = ACTIONS(1936),
    [anon_sym_DASH] = ACTIONS(1936),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(1340),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1938),
    [sym_number] = ACTIONS(1940),
    [sym_this] = ACTIONS(3640),
    [sym_true] = ACTIONS(1940),
    [sym_false] = ACTIONS(1940),
    [sym_null] = ACTIONS(1940),
    [sym_undefined] = ACTIONS(1940),
    [anon_sym_readonly] = ACTIONS(1944),
    [anon_sym_QMARK] = ACTIONS(1328),
    [anon_sym_any] = ACTIONS(1340),
    [anon_sym_number] = ACTIONS(1340),
    [anon_sym_boolean] = ACTIONS(1340),
    [anon_sym_string] = ACTIONS(1340),
    [anon_sym_symbol] = ACTIONS(1340),
    [anon_sym_object] = ACTIONS(1340),
    [anon_sym_abstract] = ACTIONS(1332),
    [anon_sym_asserts] = ACTIONS(3642),
    [anon_sym_infer] = ACTIONS(1334),
    [anon_sym_keyof] = ACTIONS(1336),
    [anon_sym_unique] = ACTIONS(1338),
    [anon_sym_unknown] = ACTIONS(1340),
    [anon_sym_never] = ACTIONS(1340),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1342),
    [sym_html_comment] = ACTIONS(5),
  },
  [1750] = {
    [sym_import] = STATE(5933),
    [sym_nested_identifier] = STATE(7283),
    [sym_string] = STATE(3875),
    [sym_comment] = STATE(1750),
    [sym_formal_parameters] = STATE(7329),
    [sym_nested_type_identifier] = STATE(3821),
    [sym__type_query_member_expression_in_type_annotation] = STATE(4256),
    [sym__type_query_call_expression_in_type_annotation] = STATE(4694),
    [sym_asserts] = STATE(6528),
    [sym__type] = STATE(4251),
    [sym_constructor_type] = STATE(3924),
    [sym__primary_type] = STATE(3930),
    [sym_template_literal_type] = STATE(3873),
    [sym_infer_type] = STATE(3924),
    [sym_conditional_type] = STATE(3873),
    [sym_generic_type] = STATE(3873),
    [sym_type_predicate] = STATE(6533),
    [sym_type_query] = STATE(3873),
    [sym_index_type_query] = STATE(3873),
    [sym_lookup_type] = STATE(3873),
    [sym_literal_type] = STATE(3873),
    [sym__number] = STATE(3934),
    [sym_existential_type] = STATE(3873),
    [sym_flow_maybe_type] = STATE(3873),
    [sym_parenthesized_type] = STATE(3873),
    [sym_predefined_type] = STATE(3824),
    [sym_object_type] = STATE(3873),
    [sym_type_parameters] = STATE(6758),
    [sym_array_type] = STATE(3873),
    [sym_tuple_type] = STATE(3873),
    [sym_readonly_type] = STATE(3924),
    [sym_union_type] = STATE(3873),
    [sym_intersection_type] = STATE(3873),
    [sym_function_type] = STATE(3924),
    [sym_identifier] = ACTIONS(3644),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(209),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_DQUOTE] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [anon_sym_new] = ACTIONS(1898),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(1900),
    [anon_sym_DASH] = ACTIONS(1900),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(207),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(3646),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_any] = ACTIONS(207),
    [anon_sym_number] = ACTIONS(207),
    [anon_sym_boolean] = ACTIONS(207),
    [anon_sym_string] = ACTIONS(207),
    [anon_sym_symbol] = ACTIONS(207),
    [anon_sym_object] = ACTIONS(207),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_asserts] = ACTIONS(3648),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [1751] = {
    [sym_import] = STATE(5852),
    [sym_nested_identifier] = STATE(7344),
    [sym_string] = STATE(4431),
    [sym_comment] = STATE(1751),
    [sym_formal_parameters] = STATE(7555),
    [sym_nested_type_identifier] = STATE(4170),
    [sym__type_query_member_expression_in_type_annotation] = STATE(4449),
    [sym__type_query_call_expression_in_type_annotation] = STATE(4852),
    [sym_asserts] = STATE(5505),
    [sym__type] = STATE(4448),
    [sym_constructor_type] = STATE(4427),
    [sym__primary_type] = STATE(4425),
    [sym_template_literal_type] = STATE(4437),
    [sym_infer_type] = STATE(4427),
    [sym_conditional_type] = STATE(4437),
    [sym_generic_type] = STATE(4437),
    [sym_type_predicate] = STATE(5506),
    [sym_type_query] = STATE(4437),
    [sym_index_type_query] = STATE(4437),
    [sym_lookup_type] = STATE(4437),
    [sym_literal_type] = STATE(4437),
    [sym__number] = STATE(4424),
    [sym_existential_type] = STATE(4437),
    [sym_flow_maybe_type] = STATE(4437),
    [sym_parenthesized_type] = STATE(4437),
    [sym_predefined_type] = STATE(4197),
    [sym_object_type] = STATE(4437),
    [sym_type_parameters] = STATE(6962),
    [sym_array_type] = STATE(4437),
    [sym_tuple_type] = STATE(4437),
    [sym_readonly_type] = STATE(4427),
    [sym_union_type] = STATE(4437),
    [sym_intersection_type] = STATE(4437),
    [sym_function_type] = STATE(4427),
    [sym_identifier] = ACTIONS(3650),
    [anon_sym_STAR] = ACTIONS(3652),
    [anon_sym_LBRACE] = ACTIONS(3654),
    [anon_sym_typeof] = ACTIONS(3656),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_const] = ACTIONS(3658),
    [anon_sym_LPAREN] = ACTIONS(3660),
    [anon_sym_LBRACK] = ACTIONS(3662),
    [anon_sym_DQUOTE] = ACTIONS(3664),
    [anon_sym_SQUOTE] = ACTIONS(3666),
    [anon_sym_new] = ACTIONS(3668),
    [anon_sym_AMP] = ACTIONS(3670),
    [anon_sym_PIPE] = ACTIONS(3672),
    [anon_sym_PLUS] = ACTIONS(3674),
    [anon_sym_DASH] = ACTIONS(3674),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(3676),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3678),
    [sym_number] = ACTIONS(3680),
    [sym_this] = ACTIONS(3682),
    [sym_true] = ACTIONS(3680),
    [sym_false] = ACTIONS(3680),
    [sym_null] = ACTIONS(3680),
    [sym_undefined] = ACTIONS(3680),
    [anon_sym_readonly] = ACTIONS(3684),
    [anon_sym_QMARK] = ACTIONS(3686),
    [anon_sym_any] = ACTIONS(3676),
    [anon_sym_number] = ACTIONS(3676),
    [anon_sym_boolean] = ACTIONS(3676),
    [anon_sym_string] = ACTIONS(3676),
    [anon_sym_symbol] = ACTIONS(3676),
    [anon_sym_object] = ACTIONS(3676),
    [anon_sym_abstract] = ACTIONS(3688),
    [anon_sym_asserts] = ACTIONS(3690),
    [anon_sym_infer] = ACTIONS(3692),
    [anon_sym_keyof] = ACTIONS(3694),
    [anon_sym_unique] = ACTIONS(3696),
    [anon_sym_unknown] = ACTIONS(3676),
    [anon_sym_never] = ACTIONS(3676),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3654),
    [sym_html_comment] = ACTIONS(5),
  },
  [1752] = {
    [sym_nested_identifier] = STATE(7283),
    [sym_string] = STATE(3875),
    [sym_comment] = STATE(1752),
    [sym_formal_parameters] = STATE(7329),
    [sym_rest_pattern] = STATE(6774),
    [sym_nested_type_identifier] = STATE(3821),
    [sym__type] = STATE(4875),
    [sym_tuple_parameter] = STATE(6776),
    [sym_optional_tuple_parameter] = STATE(6776),
    [sym_optional_type] = STATE(6776),
    [sym_rest_type] = STATE(6776),
    [sym__tuple_type_member] = STATE(6520),
    [sym_constructor_type] = STATE(3924),
    [sym__primary_type] = STATE(3930),
    [sym_template_literal_type] = STATE(3873),
    [sym_infer_type] = STATE(3924),
    [sym_conditional_type] = STATE(3873),
    [sym_generic_type] = STATE(3873),
    [sym_type_query] = STATE(3873),
    [sym_index_type_query] = STATE(3873),
    [sym_lookup_type] = STATE(3873),
    [sym_literal_type] = STATE(3873),
    [sym__number] = STATE(3934),
    [sym_existential_type] = STATE(3873),
    [sym_flow_maybe_type] = STATE(3873),
    [sym_parenthesized_type] = STATE(3873),
    [sym_predefined_type] = STATE(3873),
    [sym_object_type] = STATE(3873),
    [sym_type_parameters] = STATE(6758),
    [sym_array_type] = STATE(3873),
    [sym_tuple_type] = STATE(3873),
    [sym_readonly_type] = STATE(3924),
    [sym_union_type] = STATE(3873),
    [sym_intersection_type] = STATE(3873),
    [sym_function_type] = STATE(3924),
    [sym_identifier] = ACTIONS(3586),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(209),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_DQUOTE] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [anon_sym_new] = ACTIONS(1898),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3592),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(1900),
    [anon_sym_DASH] = ACTIONS(1900),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(207),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_any] = ACTIONS(207),
    [anon_sym_number] = ACTIONS(207),
    [anon_sym_boolean] = ACTIONS(207),
    [anon_sym_string] = ACTIONS(207),
    [anon_sym_symbol] = ACTIONS(207),
    [anon_sym_object] = ACTIONS(207),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [1753] = {
    [sym_import] = STATE(5933),
    [sym_nested_identifier] = STATE(7283),
    [sym_string] = STATE(3875),
    [sym_comment] = STATE(1753),
    [sym_formal_parameters] = STATE(7329),
    [sym_nested_type_identifier] = STATE(3821),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5529),
    [sym__type_query_call_expression_in_type_annotation] = STATE(5957),
    [sym__type] = STATE(5461),
    [sym_constructor_type] = STATE(3924),
    [sym__primary_type] = STATE(3930),
    [sym_template_literal_type] = STATE(3873),
    [sym_infer_type] = STATE(3924),
    [sym_conditional_type] = STATE(3873),
    [sym_generic_type] = STATE(3873),
    [sym_type_query] = STATE(3873),
    [sym_index_type_query] = STATE(3873),
    [sym_lookup_type] = STATE(3873),
    [sym_literal_type] = STATE(3873),
    [sym__number] = STATE(3934),
    [sym_existential_type] = STATE(3873),
    [sym_flow_maybe_type] = STATE(3873),
    [sym_parenthesized_type] = STATE(3873),
    [sym_predefined_type] = STATE(3873),
    [sym_object_type] = STATE(3873),
    [sym_type_parameters] = STATE(6758),
    [sym_array_type] = STATE(3873),
    [sym_tuple_type] = STATE(3873),
    [sym_readonly_type] = STATE(3924),
    [sym_union_type] = STATE(3873),
    [sym_intersection_type] = STATE(3873),
    [sym_function_type] = STATE(3924),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(209),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_GT] = ACTIONS(3698),
    [anon_sym_DQUOTE] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [anon_sym_new] = ACTIONS(1898),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(1900),
    [anon_sym_DASH] = ACTIONS(1900),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(207),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_any] = ACTIONS(207),
    [anon_sym_number] = ACTIONS(207),
    [anon_sym_boolean] = ACTIONS(207),
    [anon_sym_string] = ACTIONS(207),
    [anon_sym_symbol] = ACTIONS(207),
    [anon_sym_object] = ACTIONS(207),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [1754] = {
    [sym_import] = STATE(5933),
    [sym_nested_identifier] = STATE(7283),
    [sym_string] = STATE(3875),
    [sym_comment] = STATE(1754),
    [sym_formal_parameters] = STATE(7329),
    [sym_nested_type_identifier] = STATE(3821),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5529),
    [sym__type_query_call_expression_in_type_annotation] = STATE(5957),
    [sym__type] = STATE(5461),
    [sym_constructor_type] = STATE(3924),
    [sym__primary_type] = STATE(3930),
    [sym_template_literal_type] = STATE(3873),
    [sym_infer_type] = STATE(3924),
    [sym_conditional_type] = STATE(3873),
    [sym_generic_type] = STATE(3873),
    [sym_type_query] = STATE(3873),
    [sym_index_type_query] = STATE(3873),
    [sym_lookup_type] = STATE(3873),
    [sym_literal_type] = STATE(3873),
    [sym__number] = STATE(3934),
    [sym_existential_type] = STATE(3873),
    [sym_flow_maybe_type] = STATE(3873),
    [sym_parenthesized_type] = STATE(3873),
    [sym_predefined_type] = STATE(3873),
    [sym_object_type] = STATE(3873),
    [sym_type_parameters] = STATE(6758),
    [sym_array_type] = STATE(3873),
    [sym_tuple_type] = STATE(3873),
    [sym_readonly_type] = STATE(3924),
    [sym_union_type] = STATE(3873),
    [sym_intersection_type] = STATE(3873),
    [sym_function_type] = STATE(3924),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(209),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_GT] = ACTIONS(3700),
    [anon_sym_DQUOTE] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [anon_sym_new] = ACTIONS(1898),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(1900),
    [anon_sym_DASH] = ACTIONS(1900),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(207),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_any] = ACTIONS(207),
    [anon_sym_number] = ACTIONS(207),
    [anon_sym_boolean] = ACTIONS(207),
    [anon_sym_string] = ACTIONS(207),
    [anon_sym_symbol] = ACTIONS(207),
    [anon_sym_object] = ACTIONS(207),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [1755] = {
    [sym_import] = STATE(5933),
    [sym_nested_identifier] = STATE(7283),
    [sym_string] = STATE(3875),
    [sym_comment] = STATE(1755),
    [sym_formal_parameters] = STATE(7329),
    [sym_nested_type_identifier] = STATE(3821),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5529),
    [sym__type_query_call_expression_in_type_annotation] = STATE(5957),
    [sym__type] = STATE(5461),
    [sym_constructor_type] = STATE(3924),
    [sym__primary_type] = STATE(3930),
    [sym_template_literal_type] = STATE(3873),
    [sym_infer_type] = STATE(3924),
    [sym_conditional_type] = STATE(3873),
    [sym_generic_type] = STATE(3873),
    [sym_type_query] = STATE(3873),
    [sym_index_type_query] = STATE(3873),
    [sym_lookup_type] = STATE(3873),
    [sym_literal_type] = STATE(3873),
    [sym__number] = STATE(3934),
    [sym_existential_type] = STATE(3873),
    [sym_flow_maybe_type] = STATE(3873),
    [sym_parenthesized_type] = STATE(3873),
    [sym_predefined_type] = STATE(3873),
    [sym_object_type] = STATE(3873),
    [sym_type_parameters] = STATE(6758),
    [sym_array_type] = STATE(3873),
    [sym_tuple_type] = STATE(3873),
    [sym_readonly_type] = STATE(3924),
    [sym_union_type] = STATE(3873),
    [sym_intersection_type] = STATE(3873),
    [sym_function_type] = STATE(3924),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(209),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_GT] = ACTIONS(3702),
    [anon_sym_DQUOTE] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [anon_sym_new] = ACTIONS(1898),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(1900),
    [anon_sym_DASH] = ACTIONS(1900),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(207),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_any] = ACTIONS(207),
    [anon_sym_number] = ACTIONS(207),
    [anon_sym_boolean] = ACTIONS(207),
    [anon_sym_string] = ACTIONS(207),
    [anon_sym_symbol] = ACTIONS(207),
    [anon_sym_object] = ACTIONS(207),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [1756] = {
    [sym_import] = STATE(5933),
    [sym_nested_identifier] = STATE(7283),
    [sym_string] = STATE(3875),
    [sym_comment] = STATE(1756),
    [sym_formal_parameters] = STATE(7329),
    [sym_nested_type_identifier] = STATE(3821),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5529),
    [sym__type_query_call_expression_in_type_annotation] = STATE(5957),
    [sym__type] = STATE(5461),
    [sym_constructor_type] = STATE(3924),
    [sym__primary_type] = STATE(3930),
    [sym_template_literal_type] = STATE(3873),
    [sym_infer_type] = STATE(3924),
    [sym_conditional_type] = STATE(3873),
    [sym_generic_type] = STATE(3873),
    [sym_type_query] = STATE(3873),
    [sym_index_type_query] = STATE(3873),
    [sym_lookup_type] = STATE(3873),
    [sym_literal_type] = STATE(3873),
    [sym__number] = STATE(3934),
    [sym_existential_type] = STATE(3873),
    [sym_flow_maybe_type] = STATE(3873),
    [sym_parenthesized_type] = STATE(3873),
    [sym_predefined_type] = STATE(3873),
    [sym_object_type] = STATE(3873),
    [sym_type_parameters] = STATE(6758),
    [sym_array_type] = STATE(3873),
    [sym_tuple_type] = STATE(3873),
    [sym_readonly_type] = STATE(3924),
    [sym_union_type] = STATE(3873),
    [sym_intersection_type] = STATE(3873),
    [sym_function_type] = STATE(3924),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(209),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_GT] = ACTIONS(3704),
    [anon_sym_DQUOTE] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [anon_sym_new] = ACTIONS(1898),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(1900),
    [anon_sym_DASH] = ACTIONS(1900),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(207),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_any] = ACTIONS(207),
    [anon_sym_number] = ACTIONS(207),
    [anon_sym_boolean] = ACTIONS(207),
    [anon_sym_string] = ACTIONS(207),
    [anon_sym_symbol] = ACTIONS(207),
    [anon_sym_object] = ACTIONS(207),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [1757] = {
    [sym_import] = STATE(5933),
    [sym_nested_identifier] = STATE(7283),
    [sym_string] = STATE(3875),
    [sym_comment] = STATE(1757),
    [sym_formal_parameters] = STATE(7329),
    [sym_nested_type_identifier] = STATE(3821),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5529),
    [sym__type_query_call_expression_in_type_annotation] = STATE(5957),
    [sym__type] = STATE(5461),
    [sym_constructor_type] = STATE(3924),
    [sym__primary_type] = STATE(3930),
    [sym_template_literal_type] = STATE(3873),
    [sym_infer_type] = STATE(3924),
    [sym_conditional_type] = STATE(3873),
    [sym_generic_type] = STATE(3873),
    [sym_type_query] = STATE(3873),
    [sym_index_type_query] = STATE(3873),
    [sym_lookup_type] = STATE(3873),
    [sym_literal_type] = STATE(3873),
    [sym__number] = STATE(3934),
    [sym_existential_type] = STATE(3873),
    [sym_flow_maybe_type] = STATE(3873),
    [sym_parenthesized_type] = STATE(3873),
    [sym_predefined_type] = STATE(3873),
    [sym_object_type] = STATE(3873),
    [sym_type_parameters] = STATE(6758),
    [sym_array_type] = STATE(3873),
    [sym_tuple_type] = STATE(3873),
    [sym_readonly_type] = STATE(3924),
    [sym_union_type] = STATE(3873),
    [sym_intersection_type] = STATE(3873),
    [sym_function_type] = STATE(3924),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(209),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_GT] = ACTIONS(3706),
    [anon_sym_DQUOTE] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [anon_sym_new] = ACTIONS(1898),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(1900),
    [anon_sym_DASH] = ACTIONS(1900),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(207),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_any] = ACTIONS(207),
    [anon_sym_number] = ACTIONS(207),
    [anon_sym_boolean] = ACTIONS(207),
    [anon_sym_string] = ACTIONS(207),
    [anon_sym_symbol] = ACTIONS(207),
    [anon_sym_object] = ACTIONS(207),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [1758] = {
    [sym_import] = STATE(5933),
    [sym_nested_identifier] = STATE(7283),
    [sym_string] = STATE(3875),
    [sym_comment] = STATE(1758),
    [sym_formal_parameters] = STATE(7329),
    [sym_nested_type_identifier] = STATE(3821),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5529),
    [sym__type_query_call_expression_in_type_annotation] = STATE(5957),
    [sym__type] = STATE(5461),
    [sym_constructor_type] = STATE(3924),
    [sym__primary_type] = STATE(3930),
    [sym_template_literal_type] = STATE(3873),
    [sym_infer_type] = STATE(3924),
    [sym_conditional_type] = STATE(3873),
    [sym_generic_type] = STATE(3873),
    [sym_type_query] = STATE(3873),
    [sym_index_type_query] = STATE(3873),
    [sym_lookup_type] = STATE(3873),
    [sym_literal_type] = STATE(3873),
    [sym__number] = STATE(3934),
    [sym_existential_type] = STATE(3873),
    [sym_flow_maybe_type] = STATE(3873),
    [sym_parenthesized_type] = STATE(3873),
    [sym_predefined_type] = STATE(3873),
    [sym_object_type] = STATE(3873),
    [sym_type_parameters] = STATE(6758),
    [sym_array_type] = STATE(3873),
    [sym_tuple_type] = STATE(3873),
    [sym_readonly_type] = STATE(3924),
    [sym_union_type] = STATE(3873),
    [sym_intersection_type] = STATE(3873),
    [sym_function_type] = STATE(3924),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(209),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_GT] = ACTIONS(3708),
    [anon_sym_DQUOTE] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [anon_sym_new] = ACTIONS(1898),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(1900),
    [anon_sym_DASH] = ACTIONS(1900),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(207),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_any] = ACTIONS(207),
    [anon_sym_number] = ACTIONS(207),
    [anon_sym_boolean] = ACTIONS(207),
    [anon_sym_string] = ACTIONS(207),
    [anon_sym_symbol] = ACTIONS(207),
    [anon_sym_object] = ACTIONS(207),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [1759] = {
    [sym_import] = STATE(5933),
    [sym_nested_identifier] = STATE(7283),
    [sym_string] = STATE(3875),
    [sym_comment] = STATE(1759),
    [sym_formal_parameters] = STATE(7329),
    [sym_nested_type_identifier] = STATE(3821),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5529),
    [sym__type_query_call_expression_in_type_annotation] = STATE(5957),
    [sym__type] = STATE(5461),
    [sym_constructor_type] = STATE(3924),
    [sym__primary_type] = STATE(3930),
    [sym_template_literal_type] = STATE(3873),
    [sym_infer_type] = STATE(3924),
    [sym_conditional_type] = STATE(3873),
    [sym_generic_type] = STATE(3873),
    [sym_type_query] = STATE(3873),
    [sym_index_type_query] = STATE(3873),
    [sym_lookup_type] = STATE(3873),
    [sym_literal_type] = STATE(3873),
    [sym__number] = STATE(3934),
    [sym_existential_type] = STATE(3873),
    [sym_flow_maybe_type] = STATE(3873),
    [sym_parenthesized_type] = STATE(3873),
    [sym_predefined_type] = STATE(3873),
    [sym_object_type] = STATE(3873),
    [sym_type_parameters] = STATE(6758),
    [sym_array_type] = STATE(3873),
    [sym_tuple_type] = STATE(3873),
    [sym_readonly_type] = STATE(3924),
    [sym_union_type] = STATE(3873),
    [sym_intersection_type] = STATE(3873),
    [sym_function_type] = STATE(3924),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(209),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_GT] = ACTIONS(3710),
    [anon_sym_DQUOTE] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [anon_sym_new] = ACTIONS(1898),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(1900),
    [anon_sym_DASH] = ACTIONS(1900),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(207),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_any] = ACTIONS(207),
    [anon_sym_number] = ACTIONS(207),
    [anon_sym_boolean] = ACTIONS(207),
    [anon_sym_string] = ACTIONS(207),
    [anon_sym_symbol] = ACTIONS(207),
    [anon_sym_object] = ACTIONS(207),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [1760] = {
    [sym_import] = STATE(5933),
    [sym_nested_identifier] = STATE(7283),
    [sym_string] = STATE(3875),
    [sym_comment] = STATE(1760),
    [sym_formal_parameters] = STATE(7329),
    [sym_nested_type_identifier] = STATE(3821),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5529),
    [sym__type_query_call_expression_in_type_annotation] = STATE(5957),
    [sym__type] = STATE(5461),
    [sym_constructor_type] = STATE(3924),
    [sym__primary_type] = STATE(3930),
    [sym_template_literal_type] = STATE(3873),
    [sym_infer_type] = STATE(3924),
    [sym_conditional_type] = STATE(3873),
    [sym_generic_type] = STATE(3873),
    [sym_type_query] = STATE(3873),
    [sym_index_type_query] = STATE(3873),
    [sym_lookup_type] = STATE(3873),
    [sym_literal_type] = STATE(3873),
    [sym__number] = STATE(3934),
    [sym_existential_type] = STATE(3873),
    [sym_flow_maybe_type] = STATE(3873),
    [sym_parenthesized_type] = STATE(3873),
    [sym_predefined_type] = STATE(3873),
    [sym_object_type] = STATE(3873),
    [sym_type_parameters] = STATE(6758),
    [sym_array_type] = STATE(3873),
    [sym_tuple_type] = STATE(3873),
    [sym_readonly_type] = STATE(3924),
    [sym_union_type] = STATE(3873),
    [sym_intersection_type] = STATE(3873),
    [sym_function_type] = STATE(3924),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(209),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_GT] = ACTIONS(3712),
    [anon_sym_DQUOTE] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [anon_sym_new] = ACTIONS(1898),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(1900),
    [anon_sym_DASH] = ACTIONS(1900),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(207),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_any] = ACTIONS(207),
    [anon_sym_number] = ACTIONS(207),
    [anon_sym_boolean] = ACTIONS(207),
    [anon_sym_string] = ACTIONS(207),
    [anon_sym_symbol] = ACTIONS(207),
    [anon_sym_object] = ACTIONS(207),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [1761] = {
    [sym_import] = STATE(5933),
    [sym_nested_identifier] = STATE(7283),
    [sym_string] = STATE(3875),
    [sym_comment] = STATE(1761),
    [sym_formal_parameters] = STATE(7329),
    [sym_nested_type_identifier] = STATE(3821),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5529),
    [sym__type_query_call_expression_in_type_annotation] = STATE(5957),
    [sym__type] = STATE(5461),
    [sym_constructor_type] = STATE(3924),
    [sym__primary_type] = STATE(3930),
    [sym_template_literal_type] = STATE(3873),
    [sym_infer_type] = STATE(3924),
    [sym_conditional_type] = STATE(3873),
    [sym_generic_type] = STATE(3873),
    [sym_type_query] = STATE(3873),
    [sym_index_type_query] = STATE(3873),
    [sym_lookup_type] = STATE(3873),
    [sym_literal_type] = STATE(3873),
    [sym__number] = STATE(3934),
    [sym_existential_type] = STATE(3873),
    [sym_flow_maybe_type] = STATE(3873),
    [sym_parenthesized_type] = STATE(3873),
    [sym_predefined_type] = STATE(3873),
    [sym_object_type] = STATE(3873),
    [sym_type_parameters] = STATE(6758),
    [sym_array_type] = STATE(3873),
    [sym_tuple_type] = STATE(3873),
    [sym_readonly_type] = STATE(3924),
    [sym_union_type] = STATE(3873),
    [sym_intersection_type] = STATE(3873),
    [sym_function_type] = STATE(3924),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(209),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_GT] = ACTIONS(3714),
    [anon_sym_DQUOTE] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [anon_sym_new] = ACTIONS(1898),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(1900),
    [anon_sym_DASH] = ACTIONS(1900),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(207),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_any] = ACTIONS(207),
    [anon_sym_number] = ACTIONS(207),
    [anon_sym_boolean] = ACTIONS(207),
    [anon_sym_string] = ACTIONS(207),
    [anon_sym_symbol] = ACTIONS(207),
    [anon_sym_object] = ACTIONS(207),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [1762] = {
    [sym_import] = STATE(5933),
    [sym_nested_identifier] = STATE(7283),
    [sym_string] = STATE(3875),
    [sym_comment] = STATE(1762),
    [sym_formal_parameters] = STATE(7329),
    [sym_nested_type_identifier] = STATE(3821),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5529),
    [sym__type_query_call_expression_in_type_annotation] = STATE(5957),
    [sym__type] = STATE(5461),
    [sym_constructor_type] = STATE(3924),
    [sym__primary_type] = STATE(3930),
    [sym_template_literal_type] = STATE(3873),
    [sym_infer_type] = STATE(3924),
    [sym_conditional_type] = STATE(3873),
    [sym_generic_type] = STATE(3873),
    [sym_type_query] = STATE(3873),
    [sym_index_type_query] = STATE(3873),
    [sym_lookup_type] = STATE(3873),
    [sym_literal_type] = STATE(3873),
    [sym__number] = STATE(3934),
    [sym_existential_type] = STATE(3873),
    [sym_flow_maybe_type] = STATE(3873),
    [sym_parenthesized_type] = STATE(3873),
    [sym_predefined_type] = STATE(3873),
    [sym_object_type] = STATE(3873),
    [sym_type_parameters] = STATE(6758),
    [sym_array_type] = STATE(3873),
    [sym_tuple_type] = STATE(3873),
    [sym_readonly_type] = STATE(3924),
    [sym_union_type] = STATE(3873),
    [sym_intersection_type] = STATE(3873),
    [sym_function_type] = STATE(3924),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(209),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_GT] = ACTIONS(3716),
    [anon_sym_DQUOTE] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [anon_sym_new] = ACTIONS(1898),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(1900),
    [anon_sym_DASH] = ACTIONS(1900),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(207),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_any] = ACTIONS(207),
    [anon_sym_number] = ACTIONS(207),
    [anon_sym_boolean] = ACTIONS(207),
    [anon_sym_string] = ACTIONS(207),
    [anon_sym_symbol] = ACTIONS(207),
    [anon_sym_object] = ACTIONS(207),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [1763] = {
    [sym_import] = STATE(5933),
    [sym_nested_identifier] = STATE(7283),
    [sym_string] = STATE(3875),
    [sym_comment] = STATE(1763),
    [sym_formal_parameters] = STATE(7329),
    [sym_nested_type_identifier] = STATE(3821),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5529),
    [sym__type_query_call_expression_in_type_annotation] = STATE(5957),
    [sym__type] = STATE(5461),
    [sym_constructor_type] = STATE(3924),
    [sym__primary_type] = STATE(3930),
    [sym_template_literal_type] = STATE(3873),
    [sym_infer_type] = STATE(3924),
    [sym_conditional_type] = STATE(3873),
    [sym_generic_type] = STATE(3873),
    [sym_type_query] = STATE(3873),
    [sym_index_type_query] = STATE(3873),
    [sym_lookup_type] = STATE(3873),
    [sym_literal_type] = STATE(3873),
    [sym__number] = STATE(3934),
    [sym_existential_type] = STATE(3873),
    [sym_flow_maybe_type] = STATE(3873),
    [sym_parenthesized_type] = STATE(3873),
    [sym_predefined_type] = STATE(3873),
    [sym_object_type] = STATE(3873),
    [sym_type_parameters] = STATE(6758),
    [sym_array_type] = STATE(3873),
    [sym_tuple_type] = STATE(3873),
    [sym_readonly_type] = STATE(3924),
    [sym_union_type] = STATE(3873),
    [sym_intersection_type] = STATE(3873),
    [sym_function_type] = STATE(3924),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(209),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_GT] = ACTIONS(3718),
    [anon_sym_DQUOTE] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [anon_sym_new] = ACTIONS(1898),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(1900),
    [anon_sym_DASH] = ACTIONS(1900),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(207),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_any] = ACTIONS(207),
    [anon_sym_number] = ACTIONS(207),
    [anon_sym_boolean] = ACTIONS(207),
    [anon_sym_string] = ACTIONS(207),
    [anon_sym_symbol] = ACTIONS(207),
    [anon_sym_object] = ACTIONS(207),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [1764] = {
    [sym_import] = STATE(5933),
    [sym_nested_identifier] = STATE(7283),
    [sym_string] = STATE(3875),
    [sym_comment] = STATE(1764),
    [sym_formal_parameters] = STATE(7329),
    [sym_nested_type_identifier] = STATE(3821),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5529),
    [sym__type_query_call_expression_in_type_annotation] = STATE(5957),
    [sym__type] = STATE(5461),
    [sym_constructor_type] = STATE(3924),
    [sym__primary_type] = STATE(3930),
    [sym_template_literal_type] = STATE(3873),
    [sym_infer_type] = STATE(3924),
    [sym_conditional_type] = STATE(3873),
    [sym_generic_type] = STATE(3873),
    [sym_type_query] = STATE(3873),
    [sym_index_type_query] = STATE(3873),
    [sym_lookup_type] = STATE(3873),
    [sym_literal_type] = STATE(3873),
    [sym__number] = STATE(3934),
    [sym_existential_type] = STATE(3873),
    [sym_flow_maybe_type] = STATE(3873),
    [sym_parenthesized_type] = STATE(3873),
    [sym_predefined_type] = STATE(3873),
    [sym_object_type] = STATE(3873),
    [sym_type_parameters] = STATE(6758),
    [sym_array_type] = STATE(3873),
    [sym_tuple_type] = STATE(3873),
    [sym_readonly_type] = STATE(3924),
    [sym_union_type] = STATE(3873),
    [sym_intersection_type] = STATE(3873),
    [sym_function_type] = STATE(3924),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(209),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_GT] = ACTIONS(3720),
    [anon_sym_DQUOTE] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [anon_sym_new] = ACTIONS(1898),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(1900),
    [anon_sym_DASH] = ACTIONS(1900),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(207),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_any] = ACTIONS(207),
    [anon_sym_number] = ACTIONS(207),
    [anon_sym_boolean] = ACTIONS(207),
    [anon_sym_string] = ACTIONS(207),
    [anon_sym_symbol] = ACTIONS(207),
    [anon_sym_object] = ACTIONS(207),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [1765] = {
    [sym_import] = STATE(5933),
    [sym_nested_identifier] = STATE(7283),
    [sym_string] = STATE(3875),
    [sym_comment] = STATE(1765),
    [sym_formal_parameters] = STATE(7329),
    [sym_nested_type_identifier] = STATE(3821),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5529),
    [sym__type_query_call_expression_in_type_annotation] = STATE(5957),
    [sym__type] = STATE(5461),
    [sym_constructor_type] = STATE(3924),
    [sym__primary_type] = STATE(3930),
    [sym_template_literal_type] = STATE(3873),
    [sym_infer_type] = STATE(3924),
    [sym_conditional_type] = STATE(3873),
    [sym_generic_type] = STATE(3873),
    [sym_type_query] = STATE(3873),
    [sym_index_type_query] = STATE(3873),
    [sym_lookup_type] = STATE(3873),
    [sym_literal_type] = STATE(3873),
    [sym__number] = STATE(3934),
    [sym_existential_type] = STATE(3873),
    [sym_flow_maybe_type] = STATE(3873),
    [sym_parenthesized_type] = STATE(3873),
    [sym_predefined_type] = STATE(3873),
    [sym_object_type] = STATE(3873),
    [sym_type_parameters] = STATE(6758),
    [sym_array_type] = STATE(3873),
    [sym_tuple_type] = STATE(3873),
    [sym_readonly_type] = STATE(3924),
    [sym_union_type] = STATE(3873),
    [sym_intersection_type] = STATE(3873),
    [sym_function_type] = STATE(3924),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(209),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_GT] = ACTIONS(3722),
    [anon_sym_DQUOTE] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [anon_sym_new] = ACTIONS(1898),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(1900),
    [anon_sym_DASH] = ACTIONS(1900),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(207),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_any] = ACTIONS(207),
    [anon_sym_number] = ACTIONS(207),
    [anon_sym_boolean] = ACTIONS(207),
    [anon_sym_string] = ACTIONS(207),
    [anon_sym_symbol] = ACTIONS(207),
    [anon_sym_object] = ACTIONS(207),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [1766] = {
    [sym_import] = STATE(5933),
    [sym_nested_identifier] = STATE(7283),
    [sym_string] = STATE(3875),
    [sym_comment] = STATE(1766),
    [sym_formal_parameters] = STATE(7329),
    [sym_nested_type_identifier] = STATE(3821),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5529),
    [sym__type_query_call_expression_in_type_annotation] = STATE(5957),
    [sym__type] = STATE(5461),
    [sym_constructor_type] = STATE(3924),
    [sym__primary_type] = STATE(3930),
    [sym_template_literal_type] = STATE(3873),
    [sym_infer_type] = STATE(3924),
    [sym_conditional_type] = STATE(3873),
    [sym_generic_type] = STATE(3873),
    [sym_type_query] = STATE(3873),
    [sym_index_type_query] = STATE(3873),
    [sym_lookup_type] = STATE(3873),
    [sym_literal_type] = STATE(3873),
    [sym__number] = STATE(3934),
    [sym_existential_type] = STATE(3873),
    [sym_flow_maybe_type] = STATE(3873),
    [sym_parenthesized_type] = STATE(3873),
    [sym_predefined_type] = STATE(3873),
    [sym_object_type] = STATE(3873),
    [sym_type_parameters] = STATE(6758),
    [sym_array_type] = STATE(3873),
    [sym_tuple_type] = STATE(3873),
    [sym_readonly_type] = STATE(3924),
    [sym_union_type] = STATE(3873),
    [sym_intersection_type] = STATE(3873),
    [sym_function_type] = STATE(3924),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(209),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_GT] = ACTIONS(3724),
    [anon_sym_DQUOTE] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [anon_sym_new] = ACTIONS(1898),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(1900),
    [anon_sym_DASH] = ACTIONS(1900),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(207),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_any] = ACTIONS(207),
    [anon_sym_number] = ACTIONS(207),
    [anon_sym_boolean] = ACTIONS(207),
    [anon_sym_string] = ACTIONS(207),
    [anon_sym_symbol] = ACTIONS(207),
    [anon_sym_object] = ACTIONS(207),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [1767] = {
    [sym_import] = STATE(5933),
    [sym_nested_identifier] = STATE(7283),
    [sym_string] = STATE(3875),
    [sym_comment] = STATE(1767),
    [sym_formal_parameters] = STATE(7329),
    [sym_nested_type_identifier] = STATE(3821),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5529),
    [sym__type_query_call_expression_in_type_annotation] = STATE(5957),
    [sym__type] = STATE(5461),
    [sym_constructor_type] = STATE(3924),
    [sym__primary_type] = STATE(3930),
    [sym_template_literal_type] = STATE(3873),
    [sym_infer_type] = STATE(3924),
    [sym_conditional_type] = STATE(3873),
    [sym_generic_type] = STATE(3873),
    [sym_type_query] = STATE(3873),
    [sym_index_type_query] = STATE(3873),
    [sym_lookup_type] = STATE(3873),
    [sym_literal_type] = STATE(3873),
    [sym__number] = STATE(3934),
    [sym_existential_type] = STATE(3873),
    [sym_flow_maybe_type] = STATE(3873),
    [sym_parenthesized_type] = STATE(3873),
    [sym_predefined_type] = STATE(3873),
    [sym_object_type] = STATE(3873),
    [sym_type_parameters] = STATE(6758),
    [sym_array_type] = STATE(3873),
    [sym_tuple_type] = STATE(3873),
    [sym_readonly_type] = STATE(3924),
    [sym_union_type] = STATE(3873),
    [sym_intersection_type] = STATE(3873),
    [sym_function_type] = STATE(3924),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(209),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_GT] = ACTIONS(3726),
    [anon_sym_DQUOTE] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [anon_sym_new] = ACTIONS(1898),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(1900),
    [anon_sym_DASH] = ACTIONS(1900),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(207),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_any] = ACTIONS(207),
    [anon_sym_number] = ACTIONS(207),
    [anon_sym_boolean] = ACTIONS(207),
    [anon_sym_string] = ACTIONS(207),
    [anon_sym_symbol] = ACTIONS(207),
    [anon_sym_object] = ACTIONS(207),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [1768] = {
    [sym_import] = STATE(5933),
    [sym_nested_identifier] = STATE(7283),
    [sym_string] = STATE(3875),
    [sym_comment] = STATE(1768),
    [sym_formal_parameters] = STATE(7329),
    [sym_nested_type_identifier] = STATE(3821),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5529),
    [sym__type_query_call_expression_in_type_annotation] = STATE(5957),
    [sym__type] = STATE(5461),
    [sym_constructor_type] = STATE(3924),
    [sym__primary_type] = STATE(3930),
    [sym_template_literal_type] = STATE(3873),
    [sym_infer_type] = STATE(3924),
    [sym_conditional_type] = STATE(3873),
    [sym_generic_type] = STATE(3873),
    [sym_type_query] = STATE(3873),
    [sym_index_type_query] = STATE(3873),
    [sym_lookup_type] = STATE(3873),
    [sym_literal_type] = STATE(3873),
    [sym__number] = STATE(3934),
    [sym_existential_type] = STATE(3873),
    [sym_flow_maybe_type] = STATE(3873),
    [sym_parenthesized_type] = STATE(3873),
    [sym_predefined_type] = STATE(3873),
    [sym_object_type] = STATE(3873),
    [sym_type_parameters] = STATE(6758),
    [sym_array_type] = STATE(3873),
    [sym_tuple_type] = STATE(3873),
    [sym_readonly_type] = STATE(3924),
    [sym_union_type] = STATE(3873),
    [sym_intersection_type] = STATE(3873),
    [sym_function_type] = STATE(3924),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(209),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_GT] = ACTIONS(3728),
    [anon_sym_DQUOTE] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [anon_sym_new] = ACTIONS(1898),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(1900),
    [anon_sym_DASH] = ACTIONS(1900),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(207),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_any] = ACTIONS(207),
    [anon_sym_number] = ACTIONS(207),
    [anon_sym_boolean] = ACTIONS(207),
    [anon_sym_string] = ACTIONS(207),
    [anon_sym_symbol] = ACTIONS(207),
    [anon_sym_object] = ACTIONS(207),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [1769] = {
    [sym_import] = STATE(5933),
    [sym_nested_identifier] = STATE(7283),
    [sym_string] = STATE(3875),
    [sym_comment] = STATE(1769),
    [sym_formal_parameters] = STATE(7329),
    [sym_nested_type_identifier] = STATE(3821),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5529),
    [sym__type_query_call_expression_in_type_annotation] = STATE(5957),
    [sym__type] = STATE(5461),
    [sym_constructor_type] = STATE(3924),
    [sym__primary_type] = STATE(3930),
    [sym_template_literal_type] = STATE(3873),
    [sym_infer_type] = STATE(3924),
    [sym_conditional_type] = STATE(3873),
    [sym_generic_type] = STATE(3873),
    [sym_type_query] = STATE(3873),
    [sym_index_type_query] = STATE(3873),
    [sym_lookup_type] = STATE(3873),
    [sym_literal_type] = STATE(3873),
    [sym__number] = STATE(3934),
    [sym_existential_type] = STATE(3873),
    [sym_flow_maybe_type] = STATE(3873),
    [sym_parenthesized_type] = STATE(3873),
    [sym_predefined_type] = STATE(3873),
    [sym_object_type] = STATE(3873),
    [sym_type_parameters] = STATE(6758),
    [sym_array_type] = STATE(3873),
    [sym_tuple_type] = STATE(3873),
    [sym_readonly_type] = STATE(3924),
    [sym_union_type] = STATE(3873),
    [sym_intersection_type] = STATE(3873),
    [sym_function_type] = STATE(3924),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(209),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_GT] = ACTIONS(3730),
    [anon_sym_DQUOTE] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [anon_sym_new] = ACTIONS(1898),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(1900),
    [anon_sym_DASH] = ACTIONS(1900),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(207),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_any] = ACTIONS(207),
    [anon_sym_number] = ACTIONS(207),
    [anon_sym_boolean] = ACTIONS(207),
    [anon_sym_string] = ACTIONS(207),
    [anon_sym_symbol] = ACTIONS(207),
    [anon_sym_object] = ACTIONS(207),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [1770] = {
    [sym_import] = STATE(5933),
    [sym_nested_identifier] = STATE(7283),
    [sym_string] = STATE(3875),
    [sym_comment] = STATE(1770),
    [sym_formal_parameters] = STATE(7329),
    [sym_nested_type_identifier] = STATE(3821),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5529),
    [sym__type_query_call_expression_in_type_annotation] = STATE(5957),
    [sym__type] = STATE(5461),
    [sym_constructor_type] = STATE(3924),
    [sym__primary_type] = STATE(3930),
    [sym_template_literal_type] = STATE(3873),
    [sym_infer_type] = STATE(3924),
    [sym_conditional_type] = STATE(3873),
    [sym_generic_type] = STATE(3873),
    [sym_type_query] = STATE(3873),
    [sym_index_type_query] = STATE(3873),
    [sym_lookup_type] = STATE(3873),
    [sym_literal_type] = STATE(3873),
    [sym__number] = STATE(3934),
    [sym_existential_type] = STATE(3873),
    [sym_flow_maybe_type] = STATE(3873),
    [sym_parenthesized_type] = STATE(3873),
    [sym_predefined_type] = STATE(3873),
    [sym_object_type] = STATE(3873),
    [sym_type_parameters] = STATE(6758),
    [sym_array_type] = STATE(3873),
    [sym_tuple_type] = STATE(3873),
    [sym_readonly_type] = STATE(3924),
    [sym_union_type] = STATE(3873),
    [sym_intersection_type] = STATE(3873),
    [sym_function_type] = STATE(3924),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(209),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_GT] = ACTIONS(3732),
    [anon_sym_DQUOTE] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [anon_sym_new] = ACTIONS(1898),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(1900),
    [anon_sym_DASH] = ACTIONS(1900),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(207),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_any] = ACTIONS(207),
    [anon_sym_number] = ACTIONS(207),
    [anon_sym_boolean] = ACTIONS(207),
    [anon_sym_string] = ACTIONS(207),
    [anon_sym_symbol] = ACTIONS(207),
    [anon_sym_object] = ACTIONS(207),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [1771] = {
    [sym_import] = STATE(5933),
    [sym_nested_identifier] = STATE(7283),
    [sym_string] = STATE(3875),
    [sym_comment] = STATE(1771),
    [sym_formal_parameters] = STATE(7329),
    [sym_nested_type_identifier] = STATE(3821),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5529),
    [sym__type_query_call_expression_in_type_annotation] = STATE(5957),
    [sym__type] = STATE(5461),
    [sym_constructor_type] = STATE(3924),
    [sym__primary_type] = STATE(3930),
    [sym_template_literal_type] = STATE(3873),
    [sym_infer_type] = STATE(3924),
    [sym_conditional_type] = STATE(3873),
    [sym_generic_type] = STATE(3873),
    [sym_type_query] = STATE(3873),
    [sym_index_type_query] = STATE(3873),
    [sym_lookup_type] = STATE(3873),
    [sym_literal_type] = STATE(3873),
    [sym__number] = STATE(3934),
    [sym_existential_type] = STATE(3873),
    [sym_flow_maybe_type] = STATE(3873),
    [sym_parenthesized_type] = STATE(3873),
    [sym_predefined_type] = STATE(3873),
    [sym_object_type] = STATE(3873),
    [sym_type_parameters] = STATE(6758),
    [sym_array_type] = STATE(3873),
    [sym_tuple_type] = STATE(3873),
    [sym_readonly_type] = STATE(3924),
    [sym_union_type] = STATE(3873),
    [sym_intersection_type] = STATE(3873),
    [sym_function_type] = STATE(3924),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(209),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_GT] = ACTIONS(3734),
    [anon_sym_DQUOTE] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [anon_sym_new] = ACTIONS(1898),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(1900),
    [anon_sym_DASH] = ACTIONS(1900),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(207),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_any] = ACTIONS(207),
    [anon_sym_number] = ACTIONS(207),
    [anon_sym_boolean] = ACTIONS(207),
    [anon_sym_string] = ACTIONS(207),
    [anon_sym_symbol] = ACTIONS(207),
    [anon_sym_object] = ACTIONS(207),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [1772] = {
    [sym_import] = STATE(5933),
    [sym_nested_identifier] = STATE(7283),
    [sym_string] = STATE(3875),
    [sym_comment] = STATE(1772),
    [sym_formal_parameters] = STATE(7329),
    [sym_nested_type_identifier] = STATE(3821),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5529),
    [sym__type_query_call_expression_in_type_annotation] = STATE(5957),
    [sym__type] = STATE(5461),
    [sym_constructor_type] = STATE(3924),
    [sym__primary_type] = STATE(3930),
    [sym_template_literal_type] = STATE(3873),
    [sym_infer_type] = STATE(3924),
    [sym_conditional_type] = STATE(3873),
    [sym_generic_type] = STATE(3873),
    [sym_type_query] = STATE(3873),
    [sym_index_type_query] = STATE(3873),
    [sym_lookup_type] = STATE(3873),
    [sym_literal_type] = STATE(3873),
    [sym__number] = STATE(3934),
    [sym_existential_type] = STATE(3873),
    [sym_flow_maybe_type] = STATE(3873),
    [sym_parenthesized_type] = STATE(3873),
    [sym_predefined_type] = STATE(3873),
    [sym_object_type] = STATE(3873),
    [sym_type_parameters] = STATE(6758),
    [sym_array_type] = STATE(3873),
    [sym_tuple_type] = STATE(3873),
    [sym_readonly_type] = STATE(3924),
    [sym_union_type] = STATE(3873),
    [sym_intersection_type] = STATE(3873),
    [sym_function_type] = STATE(3924),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(209),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_GT] = ACTIONS(3736),
    [anon_sym_DQUOTE] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [anon_sym_new] = ACTIONS(1898),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(1900),
    [anon_sym_DASH] = ACTIONS(1900),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(207),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_any] = ACTIONS(207),
    [anon_sym_number] = ACTIONS(207),
    [anon_sym_boolean] = ACTIONS(207),
    [anon_sym_string] = ACTIONS(207),
    [anon_sym_symbol] = ACTIONS(207),
    [anon_sym_object] = ACTIONS(207),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [1773] = {
    [sym_import] = STATE(5933),
    [sym_nested_identifier] = STATE(7283),
    [sym_string] = STATE(3875),
    [sym_comment] = STATE(1773),
    [sym_formal_parameters] = STATE(7329),
    [sym_nested_type_identifier] = STATE(3821),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5529),
    [sym__type_query_call_expression_in_type_annotation] = STATE(5957),
    [sym__type] = STATE(5461),
    [sym_constructor_type] = STATE(3924),
    [sym__primary_type] = STATE(3930),
    [sym_template_literal_type] = STATE(3873),
    [sym_infer_type] = STATE(3924),
    [sym_conditional_type] = STATE(3873),
    [sym_generic_type] = STATE(3873),
    [sym_type_query] = STATE(3873),
    [sym_index_type_query] = STATE(3873),
    [sym_lookup_type] = STATE(3873),
    [sym_literal_type] = STATE(3873),
    [sym__number] = STATE(3934),
    [sym_existential_type] = STATE(3873),
    [sym_flow_maybe_type] = STATE(3873),
    [sym_parenthesized_type] = STATE(3873),
    [sym_predefined_type] = STATE(3873),
    [sym_object_type] = STATE(3873),
    [sym_type_parameters] = STATE(6758),
    [sym_array_type] = STATE(3873),
    [sym_tuple_type] = STATE(3873),
    [sym_readonly_type] = STATE(3924),
    [sym_union_type] = STATE(3873),
    [sym_intersection_type] = STATE(3873),
    [sym_function_type] = STATE(3924),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(209),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_GT] = ACTIONS(3738),
    [anon_sym_DQUOTE] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [anon_sym_new] = ACTIONS(1898),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(1900),
    [anon_sym_DASH] = ACTIONS(1900),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(207),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_any] = ACTIONS(207),
    [anon_sym_number] = ACTIONS(207),
    [anon_sym_boolean] = ACTIONS(207),
    [anon_sym_string] = ACTIONS(207),
    [anon_sym_symbol] = ACTIONS(207),
    [anon_sym_object] = ACTIONS(207),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [1774] = {
    [sym_import] = STATE(5933),
    [sym_nested_identifier] = STATE(7283),
    [sym_string] = STATE(3875),
    [sym_comment] = STATE(1774),
    [sym_formal_parameters] = STATE(7329),
    [sym_nested_type_identifier] = STATE(3821),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5529),
    [sym__type_query_call_expression_in_type_annotation] = STATE(5957),
    [sym__type] = STATE(5461),
    [sym_constructor_type] = STATE(3924),
    [sym__primary_type] = STATE(3930),
    [sym_template_literal_type] = STATE(3873),
    [sym_infer_type] = STATE(3924),
    [sym_conditional_type] = STATE(3873),
    [sym_generic_type] = STATE(3873),
    [sym_type_query] = STATE(3873),
    [sym_index_type_query] = STATE(3873),
    [sym_lookup_type] = STATE(3873),
    [sym_literal_type] = STATE(3873),
    [sym__number] = STATE(3934),
    [sym_existential_type] = STATE(3873),
    [sym_flow_maybe_type] = STATE(3873),
    [sym_parenthesized_type] = STATE(3873),
    [sym_predefined_type] = STATE(3873),
    [sym_object_type] = STATE(3873),
    [sym_type_parameters] = STATE(6758),
    [sym_array_type] = STATE(3873),
    [sym_tuple_type] = STATE(3873),
    [sym_readonly_type] = STATE(3924),
    [sym_union_type] = STATE(3873),
    [sym_intersection_type] = STATE(3873),
    [sym_function_type] = STATE(3924),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(209),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_GT] = ACTIONS(3740),
    [anon_sym_DQUOTE] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [anon_sym_new] = ACTIONS(1898),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(1900),
    [anon_sym_DASH] = ACTIONS(1900),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(207),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_any] = ACTIONS(207),
    [anon_sym_number] = ACTIONS(207),
    [anon_sym_boolean] = ACTIONS(207),
    [anon_sym_string] = ACTIONS(207),
    [anon_sym_symbol] = ACTIONS(207),
    [anon_sym_object] = ACTIONS(207),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [1775] = {
    [sym_import] = STATE(5933),
    [sym_nested_identifier] = STATE(7283),
    [sym_string] = STATE(3875),
    [sym_comment] = STATE(1775),
    [sym_formal_parameters] = STATE(7329),
    [sym_nested_type_identifier] = STATE(3821),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5529),
    [sym__type_query_call_expression_in_type_annotation] = STATE(5957),
    [sym__type] = STATE(5461),
    [sym_constructor_type] = STATE(3924),
    [sym__primary_type] = STATE(3930),
    [sym_template_literal_type] = STATE(3873),
    [sym_infer_type] = STATE(3924),
    [sym_conditional_type] = STATE(3873),
    [sym_generic_type] = STATE(3873),
    [sym_type_query] = STATE(3873),
    [sym_index_type_query] = STATE(3873),
    [sym_lookup_type] = STATE(3873),
    [sym_literal_type] = STATE(3873),
    [sym__number] = STATE(3934),
    [sym_existential_type] = STATE(3873),
    [sym_flow_maybe_type] = STATE(3873),
    [sym_parenthesized_type] = STATE(3873),
    [sym_predefined_type] = STATE(3873),
    [sym_object_type] = STATE(3873),
    [sym_type_parameters] = STATE(6758),
    [sym_array_type] = STATE(3873),
    [sym_tuple_type] = STATE(3873),
    [sym_readonly_type] = STATE(3924),
    [sym_union_type] = STATE(3873),
    [sym_intersection_type] = STATE(3873),
    [sym_function_type] = STATE(3924),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(209),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_GT] = ACTIONS(3742),
    [anon_sym_DQUOTE] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [anon_sym_new] = ACTIONS(1898),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(1900),
    [anon_sym_DASH] = ACTIONS(1900),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(207),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_any] = ACTIONS(207),
    [anon_sym_number] = ACTIONS(207),
    [anon_sym_boolean] = ACTIONS(207),
    [anon_sym_string] = ACTIONS(207),
    [anon_sym_symbol] = ACTIONS(207),
    [anon_sym_object] = ACTIONS(207),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [1776] = {
    [sym_import] = STATE(5933),
    [sym_nested_identifier] = STATE(7283),
    [sym_string] = STATE(3875),
    [sym_comment] = STATE(1776),
    [sym_formal_parameters] = STATE(7329),
    [sym_nested_type_identifier] = STATE(3821),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5529),
    [sym__type_query_call_expression_in_type_annotation] = STATE(5957),
    [sym__type] = STATE(5461),
    [sym_constructor_type] = STATE(3924),
    [sym__primary_type] = STATE(3930),
    [sym_template_literal_type] = STATE(3873),
    [sym_infer_type] = STATE(3924),
    [sym_conditional_type] = STATE(3873),
    [sym_generic_type] = STATE(3873),
    [sym_type_query] = STATE(3873),
    [sym_index_type_query] = STATE(3873),
    [sym_lookup_type] = STATE(3873),
    [sym_literal_type] = STATE(3873),
    [sym__number] = STATE(3934),
    [sym_existential_type] = STATE(3873),
    [sym_flow_maybe_type] = STATE(3873),
    [sym_parenthesized_type] = STATE(3873),
    [sym_predefined_type] = STATE(3873),
    [sym_object_type] = STATE(3873),
    [sym_type_parameters] = STATE(6758),
    [sym_array_type] = STATE(3873),
    [sym_tuple_type] = STATE(3873),
    [sym_readonly_type] = STATE(3924),
    [sym_union_type] = STATE(3873),
    [sym_intersection_type] = STATE(3873),
    [sym_function_type] = STATE(3924),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(209),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_GT] = ACTIONS(3744),
    [anon_sym_DQUOTE] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [anon_sym_new] = ACTIONS(1898),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(1900),
    [anon_sym_DASH] = ACTIONS(1900),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(207),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_any] = ACTIONS(207),
    [anon_sym_number] = ACTIONS(207),
    [anon_sym_boolean] = ACTIONS(207),
    [anon_sym_string] = ACTIONS(207),
    [anon_sym_symbol] = ACTIONS(207),
    [anon_sym_object] = ACTIONS(207),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [1777] = {
    [sym_import] = STATE(5933),
    [sym_nested_identifier] = STATE(7283),
    [sym_string] = STATE(3875),
    [sym_comment] = STATE(1777),
    [sym_formal_parameters] = STATE(7329),
    [sym_nested_type_identifier] = STATE(3821),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5529),
    [sym__type_query_call_expression_in_type_annotation] = STATE(5957),
    [sym__type] = STATE(5461),
    [sym_constructor_type] = STATE(3924),
    [sym__primary_type] = STATE(3930),
    [sym_template_literal_type] = STATE(3873),
    [sym_infer_type] = STATE(3924),
    [sym_conditional_type] = STATE(3873),
    [sym_generic_type] = STATE(3873),
    [sym_type_query] = STATE(3873),
    [sym_index_type_query] = STATE(3873),
    [sym_lookup_type] = STATE(3873),
    [sym_literal_type] = STATE(3873),
    [sym__number] = STATE(3934),
    [sym_existential_type] = STATE(3873),
    [sym_flow_maybe_type] = STATE(3873),
    [sym_parenthesized_type] = STATE(3873),
    [sym_predefined_type] = STATE(3873),
    [sym_object_type] = STATE(3873),
    [sym_type_parameters] = STATE(6758),
    [sym_array_type] = STATE(3873),
    [sym_tuple_type] = STATE(3873),
    [sym_readonly_type] = STATE(3924),
    [sym_union_type] = STATE(3873),
    [sym_intersection_type] = STATE(3873),
    [sym_function_type] = STATE(3924),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(209),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_GT] = ACTIONS(3746),
    [anon_sym_DQUOTE] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [anon_sym_new] = ACTIONS(1898),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(1900),
    [anon_sym_DASH] = ACTIONS(1900),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(207),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_any] = ACTIONS(207),
    [anon_sym_number] = ACTIONS(207),
    [anon_sym_boolean] = ACTIONS(207),
    [anon_sym_string] = ACTIONS(207),
    [anon_sym_symbol] = ACTIONS(207),
    [anon_sym_object] = ACTIONS(207),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [1778] = {
    [sym_import] = STATE(5933),
    [sym_nested_identifier] = STATE(7283),
    [sym_string] = STATE(3875),
    [sym_comment] = STATE(1778),
    [sym_formal_parameters] = STATE(7329),
    [sym_nested_type_identifier] = STATE(3821),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5529),
    [sym__type_query_call_expression_in_type_annotation] = STATE(5957),
    [sym__type] = STATE(5461),
    [sym_constructor_type] = STATE(3924),
    [sym__primary_type] = STATE(3930),
    [sym_template_literal_type] = STATE(3873),
    [sym_infer_type] = STATE(3924),
    [sym_conditional_type] = STATE(3873),
    [sym_generic_type] = STATE(3873),
    [sym_type_query] = STATE(3873),
    [sym_index_type_query] = STATE(3873),
    [sym_lookup_type] = STATE(3873),
    [sym_literal_type] = STATE(3873),
    [sym__number] = STATE(3934),
    [sym_existential_type] = STATE(3873),
    [sym_flow_maybe_type] = STATE(3873),
    [sym_parenthesized_type] = STATE(3873),
    [sym_predefined_type] = STATE(3873),
    [sym_object_type] = STATE(3873),
    [sym_type_parameters] = STATE(6758),
    [sym_array_type] = STATE(3873),
    [sym_tuple_type] = STATE(3873),
    [sym_readonly_type] = STATE(3924),
    [sym_union_type] = STATE(3873),
    [sym_intersection_type] = STATE(3873),
    [sym_function_type] = STATE(3924),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(209),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_GT] = ACTIONS(3748),
    [anon_sym_DQUOTE] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [anon_sym_new] = ACTIONS(1898),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(1900),
    [anon_sym_DASH] = ACTIONS(1900),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(207),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_any] = ACTIONS(207),
    [anon_sym_number] = ACTIONS(207),
    [anon_sym_boolean] = ACTIONS(207),
    [anon_sym_string] = ACTIONS(207),
    [anon_sym_symbol] = ACTIONS(207),
    [anon_sym_object] = ACTIONS(207),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [1779] = {
    [sym_import] = STATE(5933),
    [sym_nested_identifier] = STATE(7283),
    [sym_string] = STATE(3875),
    [sym_comment] = STATE(1779),
    [sym_formal_parameters] = STATE(7329),
    [sym_nested_type_identifier] = STATE(3821),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5529),
    [sym__type_query_call_expression_in_type_annotation] = STATE(5957),
    [sym__type] = STATE(5461),
    [sym_constructor_type] = STATE(3924),
    [sym__primary_type] = STATE(3930),
    [sym_template_literal_type] = STATE(3873),
    [sym_infer_type] = STATE(3924),
    [sym_conditional_type] = STATE(3873),
    [sym_generic_type] = STATE(3873),
    [sym_type_query] = STATE(3873),
    [sym_index_type_query] = STATE(3873),
    [sym_lookup_type] = STATE(3873),
    [sym_literal_type] = STATE(3873),
    [sym__number] = STATE(3934),
    [sym_existential_type] = STATE(3873),
    [sym_flow_maybe_type] = STATE(3873),
    [sym_parenthesized_type] = STATE(3873),
    [sym_predefined_type] = STATE(3873),
    [sym_object_type] = STATE(3873),
    [sym_type_parameters] = STATE(6758),
    [sym_array_type] = STATE(3873),
    [sym_tuple_type] = STATE(3873),
    [sym_readonly_type] = STATE(3924),
    [sym_union_type] = STATE(3873),
    [sym_intersection_type] = STATE(3873),
    [sym_function_type] = STATE(3924),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(209),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_GT] = ACTIONS(3750),
    [anon_sym_DQUOTE] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [anon_sym_new] = ACTIONS(1898),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(1900),
    [anon_sym_DASH] = ACTIONS(1900),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(207),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_any] = ACTIONS(207),
    [anon_sym_number] = ACTIONS(207),
    [anon_sym_boolean] = ACTIONS(207),
    [anon_sym_string] = ACTIONS(207),
    [anon_sym_symbol] = ACTIONS(207),
    [anon_sym_object] = ACTIONS(207),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [1780] = {
    [sym_import] = STATE(5933),
    [sym_nested_identifier] = STATE(7283),
    [sym_string] = STATE(3875),
    [sym_comment] = STATE(1780),
    [sym_formal_parameters] = STATE(7329),
    [sym_nested_type_identifier] = STATE(3821),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5529),
    [sym__type_query_call_expression_in_type_annotation] = STATE(5957),
    [sym__type] = STATE(5461),
    [sym_constructor_type] = STATE(3924),
    [sym__primary_type] = STATE(3930),
    [sym_template_literal_type] = STATE(3873),
    [sym_infer_type] = STATE(3924),
    [sym_conditional_type] = STATE(3873),
    [sym_generic_type] = STATE(3873),
    [sym_type_query] = STATE(3873),
    [sym_index_type_query] = STATE(3873),
    [sym_lookup_type] = STATE(3873),
    [sym_literal_type] = STATE(3873),
    [sym__number] = STATE(3934),
    [sym_existential_type] = STATE(3873),
    [sym_flow_maybe_type] = STATE(3873),
    [sym_parenthesized_type] = STATE(3873),
    [sym_predefined_type] = STATE(3873),
    [sym_object_type] = STATE(3873),
    [sym_type_parameters] = STATE(6758),
    [sym_array_type] = STATE(3873),
    [sym_tuple_type] = STATE(3873),
    [sym_readonly_type] = STATE(3924),
    [sym_union_type] = STATE(3873),
    [sym_intersection_type] = STATE(3873),
    [sym_function_type] = STATE(3924),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(209),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_GT] = ACTIONS(3752),
    [anon_sym_DQUOTE] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [anon_sym_new] = ACTIONS(1898),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(1900),
    [anon_sym_DASH] = ACTIONS(1900),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(207),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_any] = ACTIONS(207),
    [anon_sym_number] = ACTIONS(207),
    [anon_sym_boolean] = ACTIONS(207),
    [anon_sym_string] = ACTIONS(207),
    [anon_sym_symbol] = ACTIONS(207),
    [anon_sym_object] = ACTIONS(207),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [1781] = {
    [sym_import] = STATE(5933),
    [sym_nested_identifier] = STATE(7283),
    [sym_string] = STATE(3875),
    [sym_comment] = STATE(1781),
    [sym_formal_parameters] = STATE(7329),
    [sym_nested_type_identifier] = STATE(3821),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5529),
    [sym__type_query_call_expression_in_type_annotation] = STATE(5957),
    [sym__type] = STATE(5461),
    [sym_constructor_type] = STATE(3924),
    [sym__primary_type] = STATE(3930),
    [sym_template_literal_type] = STATE(3873),
    [sym_infer_type] = STATE(3924),
    [sym_conditional_type] = STATE(3873),
    [sym_generic_type] = STATE(3873),
    [sym_type_query] = STATE(3873),
    [sym_index_type_query] = STATE(3873),
    [sym_lookup_type] = STATE(3873),
    [sym_literal_type] = STATE(3873),
    [sym__number] = STATE(3934),
    [sym_existential_type] = STATE(3873),
    [sym_flow_maybe_type] = STATE(3873),
    [sym_parenthesized_type] = STATE(3873),
    [sym_predefined_type] = STATE(3873),
    [sym_object_type] = STATE(3873),
    [sym_type_parameters] = STATE(6758),
    [sym_array_type] = STATE(3873),
    [sym_tuple_type] = STATE(3873),
    [sym_readonly_type] = STATE(3924),
    [sym_union_type] = STATE(3873),
    [sym_intersection_type] = STATE(3873),
    [sym_function_type] = STATE(3924),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(209),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_GT] = ACTIONS(3754),
    [anon_sym_DQUOTE] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [anon_sym_new] = ACTIONS(1898),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(1900),
    [anon_sym_DASH] = ACTIONS(1900),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(207),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_any] = ACTIONS(207),
    [anon_sym_number] = ACTIONS(207),
    [anon_sym_boolean] = ACTIONS(207),
    [anon_sym_string] = ACTIONS(207),
    [anon_sym_symbol] = ACTIONS(207),
    [anon_sym_object] = ACTIONS(207),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [1782] = {
    [sym_import] = STATE(5933),
    [sym_nested_identifier] = STATE(7283),
    [sym_string] = STATE(3875),
    [sym_comment] = STATE(1782),
    [sym_formal_parameters] = STATE(7329),
    [sym_nested_type_identifier] = STATE(3821),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5529),
    [sym__type_query_call_expression_in_type_annotation] = STATE(5957),
    [sym__type] = STATE(5461),
    [sym_constructor_type] = STATE(3924),
    [sym__primary_type] = STATE(3930),
    [sym_template_literal_type] = STATE(3873),
    [sym_infer_type] = STATE(3924),
    [sym_conditional_type] = STATE(3873),
    [sym_generic_type] = STATE(3873),
    [sym_type_query] = STATE(3873),
    [sym_index_type_query] = STATE(3873),
    [sym_lookup_type] = STATE(3873),
    [sym_literal_type] = STATE(3873),
    [sym__number] = STATE(3934),
    [sym_existential_type] = STATE(3873),
    [sym_flow_maybe_type] = STATE(3873),
    [sym_parenthesized_type] = STATE(3873),
    [sym_predefined_type] = STATE(3873),
    [sym_object_type] = STATE(3873),
    [sym_type_parameters] = STATE(6758),
    [sym_array_type] = STATE(3873),
    [sym_tuple_type] = STATE(3873),
    [sym_readonly_type] = STATE(3924),
    [sym_union_type] = STATE(3873),
    [sym_intersection_type] = STATE(3873),
    [sym_function_type] = STATE(3924),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(209),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_GT] = ACTIONS(3756),
    [anon_sym_DQUOTE] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [anon_sym_new] = ACTIONS(1898),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(1900),
    [anon_sym_DASH] = ACTIONS(1900),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(207),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_any] = ACTIONS(207),
    [anon_sym_number] = ACTIONS(207),
    [anon_sym_boolean] = ACTIONS(207),
    [anon_sym_string] = ACTIONS(207),
    [anon_sym_symbol] = ACTIONS(207),
    [anon_sym_object] = ACTIONS(207),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [1783] = {
    [sym_import] = STATE(5933),
    [sym_nested_identifier] = STATE(7283),
    [sym_string] = STATE(3875),
    [sym_comment] = STATE(1783),
    [sym_formal_parameters] = STATE(7329),
    [sym_nested_type_identifier] = STATE(3821),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5529),
    [sym__type_query_call_expression_in_type_annotation] = STATE(5957),
    [sym__type] = STATE(5461),
    [sym_constructor_type] = STATE(3924),
    [sym__primary_type] = STATE(3930),
    [sym_template_literal_type] = STATE(3873),
    [sym_infer_type] = STATE(3924),
    [sym_conditional_type] = STATE(3873),
    [sym_generic_type] = STATE(3873),
    [sym_type_query] = STATE(3873),
    [sym_index_type_query] = STATE(3873),
    [sym_lookup_type] = STATE(3873),
    [sym_literal_type] = STATE(3873),
    [sym__number] = STATE(3934),
    [sym_existential_type] = STATE(3873),
    [sym_flow_maybe_type] = STATE(3873),
    [sym_parenthesized_type] = STATE(3873),
    [sym_predefined_type] = STATE(3873),
    [sym_object_type] = STATE(3873),
    [sym_type_parameters] = STATE(6758),
    [sym_array_type] = STATE(3873),
    [sym_tuple_type] = STATE(3873),
    [sym_readonly_type] = STATE(3924),
    [sym_union_type] = STATE(3873),
    [sym_intersection_type] = STATE(3873),
    [sym_function_type] = STATE(3924),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(209),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_GT] = ACTIONS(3758),
    [anon_sym_DQUOTE] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [anon_sym_new] = ACTIONS(1898),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(1900),
    [anon_sym_DASH] = ACTIONS(1900),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(207),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_any] = ACTIONS(207),
    [anon_sym_number] = ACTIONS(207),
    [anon_sym_boolean] = ACTIONS(207),
    [anon_sym_string] = ACTIONS(207),
    [anon_sym_symbol] = ACTIONS(207),
    [anon_sym_object] = ACTIONS(207),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [1784] = {
    [sym_import] = STATE(5933),
    [sym_nested_identifier] = STATE(7283),
    [sym_string] = STATE(3875),
    [sym_comment] = STATE(1784),
    [sym_formal_parameters] = STATE(7329),
    [sym_nested_type_identifier] = STATE(3821),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5529),
    [sym__type_query_call_expression_in_type_annotation] = STATE(5957),
    [sym__type] = STATE(5461),
    [sym_constructor_type] = STATE(3924),
    [sym__primary_type] = STATE(3930),
    [sym_template_literal_type] = STATE(3873),
    [sym_infer_type] = STATE(3924),
    [sym_conditional_type] = STATE(3873),
    [sym_generic_type] = STATE(3873),
    [sym_type_query] = STATE(3873),
    [sym_index_type_query] = STATE(3873),
    [sym_lookup_type] = STATE(3873),
    [sym_literal_type] = STATE(3873),
    [sym__number] = STATE(3934),
    [sym_existential_type] = STATE(3873),
    [sym_flow_maybe_type] = STATE(3873),
    [sym_parenthesized_type] = STATE(3873),
    [sym_predefined_type] = STATE(3873),
    [sym_object_type] = STATE(3873),
    [sym_type_parameters] = STATE(6758),
    [sym_array_type] = STATE(3873),
    [sym_tuple_type] = STATE(3873),
    [sym_readonly_type] = STATE(3924),
    [sym_union_type] = STATE(3873),
    [sym_intersection_type] = STATE(3873),
    [sym_function_type] = STATE(3924),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(209),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_GT] = ACTIONS(3760),
    [anon_sym_DQUOTE] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [anon_sym_new] = ACTIONS(1898),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(1900),
    [anon_sym_DASH] = ACTIONS(1900),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(207),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_any] = ACTIONS(207),
    [anon_sym_number] = ACTIONS(207),
    [anon_sym_boolean] = ACTIONS(207),
    [anon_sym_string] = ACTIONS(207),
    [anon_sym_symbol] = ACTIONS(207),
    [anon_sym_object] = ACTIONS(207),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [1785] = {
    [sym_import] = STATE(5933),
    [sym_nested_identifier] = STATE(7283),
    [sym_string] = STATE(3875),
    [sym_comment] = STATE(1785),
    [sym_formal_parameters] = STATE(7329),
    [sym_nested_type_identifier] = STATE(3821),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5529),
    [sym__type_query_call_expression_in_type_annotation] = STATE(5957),
    [sym__type] = STATE(5461),
    [sym_constructor_type] = STATE(3924),
    [sym__primary_type] = STATE(3930),
    [sym_template_literal_type] = STATE(3873),
    [sym_infer_type] = STATE(3924),
    [sym_conditional_type] = STATE(3873),
    [sym_generic_type] = STATE(3873),
    [sym_type_query] = STATE(3873),
    [sym_index_type_query] = STATE(3873),
    [sym_lookup_type] = STATE(3873),
    [sym_literal_type] = STATE(3873),
    [sym__number] = STATE(3934),
    [sym_existential_type] = STATE(3873),
    [sym_flow_maybe_type] = STATE(3873),
    [sym_parenthesized_type] = STATE(3873),
    [sym_predefined_type] = STATE(3873),
    [sym_object_type] = STATE(3873),
    [sym_type_parameters] = STATE(6758),
    [sym_array_type] = STATE(3873),
    [sym_tuple_type] = STATE(3873),
    [sym_readonly_type] = STATE(3924),
    [sym_union_type] = STATE(3873),
    [sym_intersection_type] = STATE(3873),
    [sym_function_type] = STATE(3924),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(209),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_GT] = ACTIONS(3762),
    [anon_sym_DQUOTE] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [anon_sym_new] = ACTIONS(1898),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(1900),
    [anon_sym_DASH] = ACTIONS(1900),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(207),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_any] = ACTIONS(207),
    [anon_sym_number] = ACTIONS(207),
    [anon_sym_boolean] = ACTIONS(207),
    [anon_sym_string] = ACTIONS(207),
    [anon_sym_symbol] = ACTIONS(207),
    [anon_sym_object] = ACTIONS(207),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [1786] = {
    [sym_import] = STATE(5933),
    [sym_nested_identifier] = STATE(7283),
    [sym_string] = STATE(3875),
    [sym_comment] = STATE(1786),
    [sym_formal_parameters] = STATE(7329),
    [sym_nested_type_identifier] = STATE(3821),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5529),
    [sym__type_query_call_expression_in_type_annotation] = STATE(5957),
    [sym__type] = STATE(5461),
    [sym_constructor_type] = STATE(3924),
    [sym__primary_type] = STATE(3930),
    [sym_template_literal_type] = STATE(3873),
    [sym_infer_type] = STATE(3924),
    [sym_conditional_type] = STATE(3873),
    [sym_generic_type] = STATE(3873),
    [sym_type_query] = STATE(3873),
    [sym_index_type_query] = STATE(3873),
    [sym_lookup_type] = STATE(3873),
    [sym_literal_type] = STATE(3873),
    [sym__number] = STATE(3934),
    [sym_existential_type] = STATE(3873),
    [sym_flow_maybe_type] = STATE(3873),
    [sym_parenthesized_type] = STATE(3873),
    [sym_predefined_type] = STATE(3873),
    [sym_object_type] = STATE(3873),
    [sym_type_parameters] = STATE(6758),
    [sym_array_type] = STATE(3873),
    [sym_tuple_type] = STATE(3873),
    [sym_readonly_type] = STATE(3924),
    [sym_union_type] = STATE(3873),
    [sym_intersection_type] = STATE(3873),
    [sym_function_type] = STATE(3924),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(209),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_GT] = ACTIONS(3764),
    [anon_sym_DQUOTE] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [anon_sym_new] = ACTIONS(1898),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(1900),
    [anon_sym_DASH] = ACTIONS(1900),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(207),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_any] = ACTIONS(207),
    [anon_sym_number] = ACTIONS(207),
    [anon_sym_boolean] = ACTIONS(207),
    [anon_sym_string] = ACTIONS(207),
    [anon_sym_symbol] = ACTIONS(207),
    [anon_sym_object] = ACTIONS(207),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [1787] = {
    [sym_import] = STATE(5933),
    [sym_nested_identifier] = STATE(7283),
    [sym_string] = STATE(3875),
    [sym_comment] = STATE(1787),
    [sym_formal_parameters] = STATE(7329),
    [sym_nested_type_identifier] = STATE(3821),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5529),
    [sym__type_query_call_expression_in_type_annotation] = STATE(5957),
    [sym__type] = STATE(5461),
    [sym_constructor_type] = STATE(3924),
    [sym__primary_type] = STATE(3930),
    [sym_template_literal_type] = STATE(3873),
    [sym_infer_type] = STATE(3924),
    [sym_conditional_type] = STATE(3873),
    [sym_generic_type] = STATE(3873),
    [sym_type_query] = STATE(3873),
    [sym_index_type_query] = STATE(3873),
    [sym_lookup_type] = STATE(3873),
    [sym_literal_type] = STATE(3873),
    [sym__number] = STATE(3934),
    [sym_existential_type] = STATE(3873),
    [sym_flow_maybe_type] = STATE(3873),
    [sym_parenthesized_type] = STATE(3873),
    [sym_predefined_type] = STATE(3873),
    [sym_object_type] = STATE(3873),
    [sym_type_parameters] = STATE(6758),
    [sym_array_type] = STATE(3873),
    [sym_tuple_type] = STATE(3873),
    [sym_readonly_type] = STATE(3924),
    [sym_union_type] = STATE(3873),
    [sym_intersection_type] = STATE(3873),
    [sym_function_type] = STATE(3924),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(209),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_GT] = ACTIONS(3766),
    [anon_sym_DQUOTE] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [anon_sym_new] = ACTIONS(1898),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(1900),
    [anon_sym_DASH] = ACTIONS(1900),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(207),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_any] = ACTIONS(207),
    [anon_sym_number] = ACTIONS(207),
    [anon_sym_boolean] = ACTIONS(207),
    [anon_sym_string] = ACTIONS(207),
    [anon_sym_symbol] = ACTIONS(207),
    [anon_sym_object] = ACTIONS(207),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [1788] = {
    [sym_import] = STATE(5933),
    [sym_nested_identifier] = STATE(7283),
    [sym_string] = STATE(3875),
    [sym_comment] = STATE(1788),
    [sym_formal_parameters] = STATE(7329),
    [sym_nested_type_identifier] = STATE(3821),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5529),
    [sym__type_query_call_expression_in_type_annotation] = STATE(5957),
    [sym__type] = STATE(5461),
    [sym_constructor_type] = STATE(3924),
    [sym__primary_type] = STATE(3930),
    [sym_template_literal_type] = STATE(3873),
    [sym_infer_type] = STATE(3924),
    [sym_conditional_type] = STATE(3873),
    [sym_generic_type] = STATE(3873),
    [sym_type_query] = STATE(3873),
    [sym_index_type_query] = STATE(3873),
    [sym_lookup_type] = STATE(3873),
    [sym_literal_type] = STATE(3873),
    [sym__number] = STATE(3934),
    [sym_existential_type] = STATE(3873),
    [sym_flow_maybe_type] = STATE(3873),
    [sym_parenthesized_type] = STATE(3873),
    [sym_predefined_type] = STATE(3873),
    [sym_object_type] = STATE(3873),
    [sym_type_parameters] = STATE(6758),
    [sym_array_type] = STATE(3873),
    [sym_tuple_type] = STATE(3873),
    [sym_readonly_type] = STATE(3924),
    [sym_union_type] = STATE(3873),
    [sym_intersection_type] = STATE(3873),
    [sym_function_type] = STATE(3924),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(209),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_GT] = ACTIONS(3768),
    [anon_sym_DQUOTE] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [anon_sym_new] = ACTIONS(1898),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(1900),
    [anon_sym_DASH] = ACTIONS(1900),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(207),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_any] = ACTIONS(207),
    [anon_sym_number] = ACTIONS(207),
    [anon_sym_boolean] = ACTIONS(207),
    [anon_sym_string] = ACTIONS(207),
    [anon_sym_symbol] = ACTIONS(207),
    [anon_sym_object] = ACTIONS(207),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [1789] = {
    [sym_import] = STATE(5933),
    [sym_nested_identifier] = STATE(7283),
    [sym_string] = STATE(3875),
    [sym_comment] = STATE(1789),
    [sym_formal_parameters] = STATE(7329),
    [sym_nested_type_identifier] = STATE(3821),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5529),
    [sym__type_query_call_expression_in_type_annotation] = STATE(5957),
    [sym__type] = STATE(5461),
    [sym_constructor_type] = STATE(3924),
    [sym__primary_type] = STATE(3930),
    [sym_template_literal_type] = STATE(3873),
    [sym_infer_type] = STATE(3924),
    [sym_conditional_type] = STATE(3873),
    [sym_generic_type] = STATE(3873),
    [sym_type_query] = STATE(3873),
    [sym_index_type_query] = STATE(3873),
    [sym_lookup_type] = STATE(3873),
    [sym_literal_type] = STATE(3873),
    [sym__number] = STATE(3934),
    [sym_existential_type] = STATE(3873),
    [sym_flow_maybe_type] = STATE(3873),
    [sym_parenthesized_type] = STATE(3873),
    [sym_predefined_type] = STATE(3873),
    [sym_object_type] = STATE(3873),
    [sym_type_parameters] = STATE(6758),
    [sym_array_type] = STATE(3873),
    [sym_tuple_type] = STATE(3873),
    [sym_readonly_type] = STATE(3924),
    [sym_union_type] = STATE(3873),
    [sym_intersection_type] = STATE(3873),
    [sym_function_type] = STATE(3924),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(209),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_GT] = ACTIONS(3770),
    [anon_sym_DQUOTE] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [anon_sym_new] = ACTIONS(1898),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(1900),
    [anon_sym_DASH] = ACTIONS(1900),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(207),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_any] = ACTIONS(207),
    [anon_sym_number] = ACTIONS(207),
    [anon_sym_boolean] = ACTIONS(207),
    [anon_sym_string] = ACTIONS(207),
    [anon_sym_symbol] = ACTIONS(207),
    [anon_sym_object] = ACTIONS(207),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [1790] = {
    [sym_import] = STATE(5933),
    [sym_nested_identifier] = STATE(7283),
    [sym_string] = STATE(3875),
    [sym_comment] = STATE(1790),
    [sym_formal_parameters] = STATE(7329),
    [sym_nested_type_identifier] = STATE(3821),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5529),
    [sym__type_query_call_expression_in_type_annotation] = STATE(5957),
    [sym__type] = STATE(5461),
    [sym_constructor_type] = STATE(3924),
    [sym__primary_type] = STATE(3930),
    [sym_template_literal_type] = STATE(3873),
    [sym_infer_type] = STATE(3924),
    [sym_conditional_type] = STATE(3873),
    [sym_generic_type] = STATE(3873),
    [sym_type_query] = STATE(3873),
    [sym_index_type_query] = STATE(3873),
    [sym_lookup_type] = STATE(3873),
    [sym_literal_type] = STATE(3873),
    [sym__number] = STATE(3934),
    [sym_existential_type] = STATE(3873),
    [sym_flow_maybe_type] = STATE(3873),
    [sym_parenthesized_type] = STATE(3873),
    [sym_predefined_type] = STATE(3873),
    [sym_object_type] = STATE(3873),
    [sym_type_parameters] = STATE(6758),
    [sym_array_type] = STATE(3873),
    [sym_tuple_type] = STATE(3873),
    [sym_readonly_type] = STATE(3924),
    [sym_union_type] = STATE(3873),
    [sym_intersection_type] = STATE(3873),
    [sym_function_type] = STATE(3924),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(209),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_GT] = ACTIONS(3772),
    [anon_sym_DQUOTE] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [anon_sym_new] = ACTIONS(1898),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(1900),
    [anon_sym_DASH] = ACTIONS(1900),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(207),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_any] = ACTIONS(207),
    [anon_sym_number] = ACTIONS(207),
    [anon_sym_boolean] = ACTIONS(207),
    [anon_sym_string] = ACTIONS(207),
    [anon_sym_symbol] = ACTIONS(207),
    [anon_sym_object] = ACTIONS(207),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [1791] = {
    [sym_import] = STATE(5933),
    [sym_nested_identifier] = STATE(7283),
    [sym_string] = STATE(3875),
    [sym_comment] = STATE(1791),
    [sym_formal_parameters] = STATE(7329),
    [sym_nested_type_identifier] = STATE(3821),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5529),
    [sym__type_query_call_expression_in_type_annotation] = STATE(5957),
    [sym__type] = STATE(5461),
    [sym_constructor_type] = STATE(3924),
    [sym__primary_type] = STATE(3930),
    [sym_template_literal_type] = STATE(3873),
    [sym_infer_type] = STATE(3924),
    [sym_conditional_type] = STATE(3873),
    [sym_generic_type] = STATE(3873),
    [sym_type_query] = STATE(3873),
    [sym_index_type_query] = STATE(3873),
    [sym_lookup_type] = STATE(3873),
    [sym_literal_type] = STATE(3873),
    [sym__number] = STATE(3934),
    [sym_existential_type] = STATE(3873),
    [sym_flow_maybe_type] = STATE(3873),
    [sym_parenthesized_type] = STATE(3873),
    [sym_predefined_type] = STATE(3873),
    [sym_object_type] = STATE(3873),
    [sym_type_parameters] = STATE(6758),
    [sym_array_type] = STATE(3873),
    [sym_tuple_type] = STATE(3873),
    [sym_readonly_type] = STATE(3924),
    [sym_union_type] = STATE(3873),
    [sym_intersection_type] = STATE(3873),
    [sym_function_type] = STATE(3924),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(209),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_GT] = ACTIONS(3774),
    [anon_sym_DQUOTE] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [anon_sym_new] = ACTIONS(1898),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(1900),
    [anon_sym_DASH] = ACTIONS(1900),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(207),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_any] = ACTIONS(207),
    [anon_sym_number] = ACTIONS(207),
    [anon_sym_boolean] = ACTIONS(207),
    [anon_sym_string] = ACTIONS(207),
    [anon_sym_symbol] = ACTIONS(207),
    [anon_sym_object] = ACTIONS(207),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [1792] = {
    [sym_import] = STATE(5933),
    [sym_nested_identifier] = STATE(7283),
    [sym_string] = STATE(3875),
    [sym_comment] = STATE(1792),
    [sym_formal_parameters] = STATE(7329),
    [sym_nested_type_identifier] = STATE(3821),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5529),
    [sym__type_query_call_expression_in_type_annotation] = STATE(5957),
    [sym__type] = STATE(5461),
    [sym_constructor_type] = STATE(3924),
    [sym__primary_type] = STATE(3930),
    [sym_template_literal_type] = STATE(3873),
    [sym_infer_type] = STATE(3924),
    [sym_conditional_type] = STATE(3873),
    [sym_generic_type] = STATE(3873),
    [sym_type_query] = STATE(3873),
    [sym_index_type_query] = STATE(3873),
    [sym_lookup_type] = STATE(3873),
    [sym_literal_type] = STATE(3873),
    [sym__number] = STATE(3934),
    [sym_existential_type] = STATE(3873),
    [sym_flow_maybe_type] = STATE(3873),
    [sym_parenthesized_type] = STATE(3873),
    [sym_predefined_type] = STATE(3873),
    [sym_object_type] = STATE(3873),
    [sym_type_parameters] = STATE(6758),
    [sym_array_type] = STATE(3873),
    [sym_tuple_type] = STATE(3873),
    [sym_readonly_type] = STATE(3924),
    [sym_union_type] = STATE(3873),
    [sym_intersection_type] = STATE(3873),
    [sym_function_type] = STATE(3924),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(209),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_GT] = ACTIONS(3776),
    [anon_sym_DQUOTE] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [anon_sym_new] = ACTIONS(1898),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(1900),
    [anon_sym_DASH] = ACTIONS(1900),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(207),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_any] = ACTIONS(207),
    [anon_sym_number] = ACTIONS(207),
    [anon_sym_boolean] = ACTIONS(207),
    [anon_sym_string] = ACTIONS(207),
    [anon_sym_symbol] = ACTIONS(207),
    [anon_sym_object] = ACTIONS(207),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [1793] = {
    [sym_import] = STATE(5933),
    [sym_nested_identifier] = STATE(7283),
    [sym_string] = STATE(3875),
    [sym_comment] = STATE(1793),
    [sym_formal_parameters] = STATE(7329),
    [sym_nested_type_identifier] = STATE(3821),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5529),
    [sym__type_query_call_expression_in_type_annotation] = STATE(5957),
    [sym__type] = STATE(5461),
    [sym_constructor_type] = STATE(3924),
    [sym__primary_type] = STATE(3930),
    [sym_template_literal_type] = STATE(3873),
    [sym_infer_type] = STATE(3924),
    [sym_conditional_type] = STATE(3873),
    [sym_generic_type] = STATE(3873),
    [sym_type_query] = STATE(3873),
    [sym_index_type_query] = STATE(3873),
    [sym_lookup_type] = STATE(3873),
    [sym_literal_type] = STATE(3873),
    [sym__number] = STATE(3934),
    [sym_existential_type] = STATE(3873),
    [sym_flow_maybe_type] = STATE(3873),
    [sym_parenthesized_type] = STATE(3873),
    [sym_predefined_type] = STATE(3873),
    [sym_object_type] = STATE(3873),
    [sym_type_parameters] = STATE(6758),
    [sym_array_type] = STATE(3873),
    [sym_tuple_type] = STATE(3873),
    [sym_readonly_type] = STATE(3924),
    [sym_union_type] = STATE(3873),
    [sym_intersection_type] = STATE(3873),
    [sym_function_type] = STATE(3924),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(209),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_GT] = ACTIONS(3778),
    [anon_sym_DQUOTE] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [anon_sym_new] = ACTIONS(1898),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(1900),
    [anon_sym_DASH] = ACTIONS(1900),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(207),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_any] = ACTIONS(207),
    [anon_sym_number] = ACTIONS(207),
    [anon_sym_boolean] = ACTIONS(207),
    [anon_sym_string] = ACTIONS(207),
    [anon_sym_symbol] = ACTIONS(207),
    [anon_sym_object] = ACTIONS(207),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [1794] = {
    [sym_import] = STATE(5933),
    [sym_nested_identifier] = STATE(7283),
    [sym_string] = STATE(3875),
    [sym_comment] = STATE(1794),
    [sym_formal_parameters] = STATE(7329),
    [sym_nested_type_identifier] = STATE(3821),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5529),
    [sym__type_query_call_expression_in_type_annotation] = STATE(5957),
    [sym__type] = STATE(5461),
    [sym_constructor_type] = STATE(3924),
    [sym__primary_type] = STATE(3930),
    [sym_template_literal_type] = STATE(3873),
    [sym_infer_type] = STATE(3924),
    [sym_conditional_type] = STATE(3873),
    [sym_generic_type] = STATE(3873),
    [sym_type_query] = STATE(3873),
    [sym_index_type_query] = STATE(3873),
    [sym_lookup_type] = STATE(3873),
    [sym_literal_type] = STATE(3873),
    [sym__number] = STATE(3934),
    [sym_existential_type] = STATE(3873),
    [sym_flow_maybe_type] = STATE(3873),
    [sym_parenthesized_type] = STATE(3873),
    [sym_predefined_type] = STATE(3873),
    [sym_object_type] = STATE(3873),
    [sym_type_parameters] = STATE(6758),
    [sym_array_type] = STATE(3873),
    [sym_tuple_type] = STATE(3873),
    [sym_readonly_type] = STATE(3924),
    [sym_union_type] = STATE(3873),
    [sym_intersection_type] = STATE(3873),
    [sym_function_type] = STATE(3924),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(209),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_GT] = ACTIONS(3780),
    [anon_sym_DQUOTE] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [anon_sym_new] = ACTIONS(1898),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(1900),
    [anon_sym_DASH] = ACTIONS(1900),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(207),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_any] = ACTIONS(207),
    [anon_sym_number] = ACTIONS(207),
    [anon_sym_boolean] = ACTIONS(207),
    [anon_sym_string] = ACTIONS(207),
    [anon_sym_symbol] = ACTIONS(207),
    [anon_sym_object] = ACTIONS(207),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [1795] = {
    [sym_import] = STATE(5933),
    [sym_nested_identifier] = STATE(7283),
    [sym_string] = STATE(3875),
    [sym_comment] = STATE(1795),
    [sym_formal_parameters] = STATE(7329),
    [sym_nested_type_identifier] = STATE(3821),
    [sym__type_query_member_expression_in_type_annotation] = STATE(4960),
    [sym__type_query_call_expression_in_type_annotation] = STATE(5646),
    [sym__type] = STATE(4958),
    [sym_constructor_type] = STATE(3924),
    [sym__primary_type] = STATE(3930),
    [sym_template_literal_type] = STATE(3873),
    [sym_infer_type] = STATE(3924),
    [sym_conditional_type] = STATE(3873),
    [sym_generic_type] = STATE(3873),
    [sym_type_query] = STATE(3873),
    [sym_index_type_query] = STATE(3873),
    [sym_lookup_type] = STATE(3873),
    [sym_literal_type] = STATE(3873),
    [sym__number] = STATE(3934),
    [sym_existential_type] = STATE(3873),
    [sym_flow_maybe_type] = STATE(3873),
    [sym_parenthesized_type] = STATE(3873),
    [sym_predefined_type] = STATE(3873),
    [sym_object_type] = STATE(3873),
    [sym_type_parameters] = STATE(6758),
    [sym_array_type] = STATE(3873),
    [sym_tuple_type] = STATE(3873),
    [sym_readonly_type] = STATE(3924),
    [sym_union_type] = STATE(3873),
    [sym_intersection_type] = STATE(3873),
    [sym_function_type] = STATE(3924),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(209),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_DQUOTE] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [anon_sym_new] = ACTIONS(1898),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(1900),
    [anon_sym_DASH] = ACTIONS(1900),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(207),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_any] = ACTIONS(207),
    [anon_sym_number] = ACTIONS(207),
    [anon_sym_boolean] = ACTIONS(207),
    [anon_sym_string] = ACTIONS(207),
    [anon_sym_symbol] = ACTIONS(207),
    [anon_sym_object] = ACTIONS(207),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [1796] = {
    [sym_import] = STATE(5933),
    [sym_nested_identifier] = STATE(7283),
    [sym_string] = STATE(3875),
    [sym_comment] = STATE(1796),
    [sym_formal_parameters] = STATE(7329),
    [sym_nested_type_identifier] = STATE(3821),
    [sym__type_query_member_expression_in_type_annotation] = STATE(4927),
    [sym__type_query_call_expression_in_type_annotation] = STATE(5764),
    [sym__type] = STATE(4928),
    [sym_constructor_type] = STATE(3924),
    [sym__primary_type] = STATE(3930),
    [sym_template_literal_type] = STATE(3873),
    [sym_infer_type] = STATE(3924),
    [sym_conditional_type] = STATE(3873),
    [sym_generic_type] = STATE(3873),
    [sym_type_query] = STATE(3873),
    [sym_index_type_query] = STATE(3873),
    [sym_lookup_type] = STATE(3873),
    [sym_literal_type] = STATE(3873),
    [sym__number] = STATE(3934),
    [sym_existential_type] = STATE(3873),
    [sym_flow_maybe_type] = STATE(3873),
    [sym_parenthesized_type] = STATE(3873),
    [sym_predefined_type] = STATE(3873),
    [sym_object_type] = STATE(3873),
    [sym_type_parameters] = STATE(6758),
    [sym_array_type] = STATE(3873),
    [sym_tuple_type] = STATE(3873),
    [sym_readonly_type] = STATE(3924),
    [sym_union_type] = STATE(3873),
    [sym_intersection_type] = STATE(3873),
    [sym_function_type] = STATE(3924),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(209),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_DQUOTE] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [anon_sym_new] = ACTIONS(1898),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(1900),
    [anon_sym_DASH] = ACTIONS(1900),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(207),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_any] = ACTIONS(207),
    [anon_sym_number] = ACTIONS(207),
    [anon_sym_boolean] = ACTIONS(207),
    [anon_sym_string] = ACTIONS(207),
    [anon_sym_symbol] = ACTIONS(207),
    [anon_sym_object] = ACTIONS(207),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [1797] = {
    [sym_import] = STATE(5933),
    [sym_nested_identifier] = STATE(7283),
    [sym_string] = STATE(3875),
    [sym_comment] = STATE(1797),
    [sym_formal_parameters] = STATE(7329),
    [sym_nested_type_identifier] = STATE(3821),
    [sym__type_query_member_expression_in_type_annotation] = STATE(4256),
    [sym__type_query_call_expression_in_type_annotation] = STATE(4694),
    [sym__type] = STATE(4251),
    [sym_constructor_type] = STATE(3924),
    [sym__primary_type] = STATE(3930),
    [sym_template_literal_type] = STATE(3873),
    [sym_infer_type] = STATE(3924),
    [sym_conditional_type] = STATE(3873),
    [sym_generic_type] = STATE(3873),
    [sym_type_query] = STATE(3873),
    [sym_index_type_query] = STATE(3873),
    [sym_lookup_type] = STATE(3873),
    [sym_literal_type] = STATE(3873),
    [sym__number] = STATE(3934),
    [sym_existential_type] = STATE(3873),
    [sym_flow_maybe_type] = STATE(3873),
    [sym_parenthesized_type] = STATE(3873),
    [sym_predefined_type] = STATE(3873),
    [sym_object_type] = STATE(3873),
    [sym_type_parameters] = STATE(6758),
    [sym_array_type] = STATE(3873),
    [sym_tuple_type] = STATE(3873),
    [sym_readonly_type] = STATE(3924),
    [sym_union_type] = STATE(3873),
    [sym_intersection_type] = STATE(3873),
    [sym_function_type] = STATE(3924),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(209),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_DQUOTE] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [anon_sym_new] = ACTIONS(1898),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(1900),
    [anon_sym_DASH] = ACTIONS(1900),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(207),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_any] = ACTIONS(207),
    [anon_sym_number] = ACTIONS(207),
    [anon_sym_boolean] = ACTIONS(207),
    [anon_sym_string] = ACTIONS(207),
    [anon_sym_symbol] = ACTIONS(207),
    [anon_sym_object] = ACTIONS(207),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [1798] = {
    [sym_import] = STATE(5933),
    [sym_nested_identifier] = STATE(7283),
    [sym_string] = STATE(3875),
    [sym_comment] = STATE(1798),
    [sym_formal_parameters] = STATE(7329),
    [sym_nested_type_identifier] = STATE(3821),
    [sym__type_query_member_expression_in_type_annotation] = STATE(4903),
    [sym__type_query_call_expression_in_type_annotation] = STATE(5567),
    [sym__type] = STATE(4902),
    [sym_constructor_type] = STATE(3924),
    [sym__primary_type] = STATE(3930),
    [sym_template_literal_type] = STATE(3873),
    [sym_infer_type] = STATE(3924),
    [sym_conditional_type] = STATE(3873),
    [sym_generic_type] = STATE(3873),
    [sym_type_query] = STATE(3873),
    [sym_index_type_query] = STATE(3873),
    [sym_lookup_type] = STATE(3873),
    [sym_literal_type] = STATE(3873),
    [sym__number] = STATE(3934),
    [sym_existential_type] = STATE(3873),
    [sym_flow_maybe_type] = STATE(3873),
    [sym_parenthesized_type] = STATE(3873),
    [sym_predefined_type] = STATE(3873),
    [sym_object_type] = STATE(3873),
    [sym_type_parameters] = STATE(6758),
    [sym_array_type] = STATE(3873),
    [sym_tuple_type] = STATE(3873),
    [sym_readonly_type] = STATE(3924),
    [sym_union_type] = STATE(3873),
    [sym_intersection_type] = STATE(3873),
    [sym_function_type] = STATE(3924),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(209),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_DQUOTE] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [anon_sym_new] = ACTIONS(1898),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(1900),
    [anon_sym_DASH] = ACTIONS(1900),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(207),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_any] = ACTIONS(207),
    [anon_sym_number] = ACTIONS(207),
    [anon_sym_boolean] = ACTIONS(207),
    [anon_sym_string] = ACTIONS(207),
    [anon_sym_symbol] = ACTIONS(207),
    [anon_sym_object] = ACTIONS(207),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [1799] = {
    [sym_import] = STATE(5933),
    [sym_nested_identifier] = STATE(7283),
    [sym_string] = STATE(3875),
    [sym_comment] = STATE(1799),
    [sym_formal_parameters] = STATE(7329),
    [sym_nested_type_identifier] = STATE(3821),
    [sym__type_query_member_expression_in_type_annotation] = STATE(4859),
    [sym__type_query_call_expression_in_type_annotation] = STATE(5590),
    [sym__type] = STATE(4860),
    [sym_constructor_type] = STATE(3924),
    [sym__primary_type] = STATE(3930),
    [sym_template_literal_type] = STATE(3873),
    [sym_infer_type] = STATE(3924),
    [sym_conditional_type] = STATE(3873),
    [sym_generic_type] = STATE(3873),
    [sym_type_query] = STATE(3873),
    [sym_index_type_query] = STATE(3873),
    [sym_lookup_type] = STATE(3873),
    [sym_literal_type] = STATE(3873),
    [sym__number] = STATE(3934),
    [sym_existential_type] = STATE(3873),
    [sym_flow_maybe_type] = STATE(3873),
    [sym_parenthesized_type] = STATE(3873),
    [sym_predefined_type] = STATE(3873),
    [sym_object_type] = STATE(3873),
    [sym_type_parameters] = STATE(6758),
    [sym_array_type] = STATE(3873),
    [sym_tuple_type] = STATE(3873),
    [sym_readonly_type] = STATE(3924),
    [sym_union_type] = STATE(3873),
    [sym_intersection_type] = STATE(3873),
    [sym_function_type] = STATE(3924),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(209),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_DQUOTE] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [anon_sym_new] = ACTIONS(1898),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(1900),
    [anon_sym_DASH] = ACTIONS(1900),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(207),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_any] = ACTIONS(207),
    [anon_sym_number] = ACTIONS(207),
    [anon_sym_boolean] = ACTIONS(207),
    [anon_sym_string] = ACTIONS(207),
    [anon_sym_symbol] = ACTIONS(207),
    [anon_sym_object] = ACTIONS(207),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [1800] = {
    [sym_import] = STATE(5933),
    [sym_nested_identifier] = STATE(7283),
    [sym_string] = STATE(3875),
    [sym_comment] = STATE(1800),
    [sym_formal_parameters] = STATE(7329),
    [sym_nested_type_identifier] = STATE(3821),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5529),
    [sym__type_query_call_expression_in_type_annotation] = STATE(5957),
    [sym__type] = STATE(5461),
    [sym_constructor_type] = STATE(3924),
    [sym__primary_type] = STATE(3930),
    [sym_template_literal_type] = STATE(3873),
    [sym_infer_type] = STATE(3924),
    [sym_conditional_type] = STATE(3873),
    [sym_generic_type] = STATE(3873),
    [sym_type_query] = STATE(3873),
    [sym_index_type_query] = STATE(3873),
    [sym_lookup_type] = STATE(3873),
    [sym_literal_type] = STATE(3873),
    [sym__number] = STATE(3934),
    [sym_existential_type] = STATE(3873),
    [sym_flow_maybe_type] = STATE(3873),
    [sym_parenthesized_type] = STATE(3873),
    [sym_predefined_type] = STATE(3873),
    [sym_object_type] = STATE(3873),
    [sym_type_parameters] = STATE(6758),
    [sym_array_type] = STATE(3873),
    [sym_tuple_type] = STATE(3873),
    [sym_readonly_type] = STATE(3924),
    [sym_union_type] = STATE(3873),
    [sym_intersection_type] = STATE(3873),
    [sym_function_type] = STATE(3924),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(209),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_DQUOTE] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [anon_sym_new] = ACTIONS(1898),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(1900),
    [anon_sym_DASH] = ACTIONS(1900),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(207),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_any] = ACTIONS(207),
    [anon_sym_number] = ACTIONS(207),
    [anon_sym_boolean] = ACTIONS(207),
    [anon_sym_string] = ACTIONS(207),
    [anon_sym_symbol] = ACTIONS(207),
    [anon_sym_object] = ACTIONS(207),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [1801] = {
    [sym_import] = STATE(5933),
    [sym_nested_identifier] = STATE(7283),
    [sym_string] = STATE(3875),
    [sym_comment] = STATE(1801),
    [sym_formal_parameters] = STATE(7329),
    [sym_nested_type_identifier] = STATE(3821),
    [sym__type_query_member_expression_in_type_annotation] = STATE(4827),
    [sym__type_query_call_expression_in_type_annotation] = STATE(5711),
    [sym__type] = STATE(4828),
    [sym_constructor_type] = STATE(3924),
    [sym__primary_type] = STATE(3930),
    [sym_template_literal_type] = STATE(3873),
    [sym_infer_type] = STATE(3924),
    [sym_conditional_type] = STATE(3873),
    [sym_generic_type] = STATE(3873),
    [sym_type_query] = STATE(3873),
    [sym_index_type_query] = STATE(3873),
    [sym_lookup_type] = STATE(3873),
    [sym_literal_type] = STATE(3873),
    [sym__number] = STATE(3934),
    [sym_existential_type] = STATE(3873),
    [sym_flow_maybe_type] = STATE(3873),
    [sym_parenthesized_type] = STATE(3873),
    [sym_predefined_type] = STATE(3873),
    [sym_object_type] = STATE(3873),
    [sym_type_parameters] = STATE(6758),
    [sym_array_type] = STATE(3873),
    [sym_tuple_type] = STATE(3873),
    [sym_readonly_type] = STATE(3924),
    [sym_union_type] = STATE(3873),
    [sym_intersection_type] = STATE(3873),
    [sym_function_type] = STATE(3924),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(209),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_DQUOTE] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [anon_sym_new] = ACTIONS(1898),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(1900),
    [anon_sym_DASH] = ACTIONS(1900),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(207),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_any] = ACTIONS(207),
    [anon_sym_number] = ACTIONS(207),
    [anon_sym_boolean] = ACTIONS(207),
    [anon_sym_string] = ACTIONS(207),
    [anon_sym_symbol] = ACTIONS(207),
    [anon_sym_object] = ACTIONS(207),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [1802] = {
    [sym_import] = STATE(5933),
    [sym_nested_identifier] = STATE(7283),
    [sym_string] = STATE(3875),
    [sym_comment] = STATE(1802),
    [sym_formal_parameters] = STATE(7329),
    [sym_nested_type_identifier] = STATE(3821),
    [sym__type_query_member_expression_in_type_annotation] = STATE(4821),
    [sym__type_query_call_expression_in_type_annotation] = STATE(5648),
    [sym__type] = STATE(4820),
    [sym_constructor_type] = STATE(3924),
    [sym__primary_type] = STATE(3930),
    [sym_template_literal_type] = STATE(3873),
    [sym_infer_type] = STATE(3924),
    [sym_conditional_type] = STATE(3873),
    [sym_generic_type] = STATE(3873),
    [sym_type_query] = STATE(3873),
    [sym_index_type_query] = STATE(3873),
    [sym_lookup_type] = STATE(3873),
    [sym_literal_type] = STATE(3873),
    [sym__number] = STATE(3934),
    [sym_existential_type] = STATE(3873),
    [sym_flow_maybe_type] = STATE(3873),
    [sym_parenthesized_type] = STATE(3873),
    [sym_predefined_type] = STATE(3873),
    [sym_object_type] = STATE(3873),
    [sym_type_parameters] = STATE(6758),
    [sym_array_type] = STATE(3873),
    [sym_tuple_type] = STATE(3873),
    [sym_readonly_type] = STATE(3924),
    [sym_union_type] = STATE(3873),
    [sym_intersection_type] = STATE(3873),
    [sym_function_type] = STATE(3924),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(209),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_DQUOTE] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [anon_sym_new] = ACTIONS(1898),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(1900),
    [anon_sym_DASH] = ACTIONS(1900),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(207),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_any] = ACTIONS(207),
    [anon_sym_number] = ACTIONS(207),
    [anon_sym_boolean] = ACTIONS(207),
    [anon_sym_string] = ACTIONS(207),
    [anon_sym_symbol] = ACTIONS(207),
    [anon_sym_object] = ACTIONS(207),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [1803] = {
    [sym_import] = STATE(5933),
    [sym_nested_identifier] = STATE(7283),
    [sym_string] = STATE(3875),
    [sym_comment] = STATE(1803),
    [sym_formal_parameters] = STATE(7329),
    [sym_nested_type_identifier] = STATE(3821),
    [sym__type_query_member_expression_in_type_annotation] = STATE(4975),
    [sym__type_query_call_expression_in_type_annotation] = STATE(5724),
    [sym__type] = STATE(4974),
    [sym_constructor_type] = STATE(3924),
    [sym__primary_type] = STATE(3930),
    [sym_template_literal_type] = STATE(3873),
    [sym_infer_type] = STATE(3924),
    [sym_conditional_type] = STATE(3873),
    [sym_generic_type] = STATE(3873),
    [sym_type_query] = STATE(3873),
    [sym_index_type_query] = STATE(3873),
    [sym_lookup_type] = STATE(3873),
    [sym_literal_type] = STATE(3873),
    [sym__number] = STATE(3934),
    [sym_existential_type] = STATE(3873),
    [sym_flow_maybe_type] = STATE(3873),
    [sym_parenthesized_type] = STATE(3873),
    [sym_predefined_type] = STATE(3873),
    [sym_object_type] = STATE(3873),
    [sym_type_parameters] = STATE(6758),
    [sym_array_type] = STATE(3873),
    [sym_tuple_type] = STATE(3873),
    [sym_readonly_type] = STATE(3924),
    [sym_union_type] = STATE(3873),
    [sym_intersection_type] = STATE(3873),
    [sym_function_type] = STATE(3924),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(209),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_DQUOTE] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [anon_sym_new] = ACTIONS(1898),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(1900),
    [anon_sym_DASH] = ACTIONS(1900),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(207),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_any] = ACTIONS(207),
    [anon_sym_number] = ACTIONS(207),
    [anon_sym_boolean] = ACTIONS(207),
    [anon_sym_string] = ACTIONS(207),
    [anon_sym_symbol] = ACTIONS(207),
    [anon_sym_object] = ACTIONS(207),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [1804] = {
    [sym_import] = STATE(6247),
    [sym_nested_identifier] = STATE(7203),
    [sym_string] = STATE(4142),
    [sym_comment] = STATE(1804),
    [sym_formal_parameters] = STATE(7533),
    [sym_nested_type_identifier] = STATE(4018),
    [sym__type_query_member_expression_in_type_annotation] = STATE(4193),
    [sym__type_query_call_expression_in_type_annotation] = STATE(4477),
    [sym__type] = STATE(4194),
    [sym_constructor_type] = STATE(4150),
    [sym__primary_type] = STATE(4152),
    [sym_template_literal_type] = STATE(4126),
    [sym_infer_type] = STATE(4150),
    [sym_conditional_type] = STATE(4126),
    [sym_generic_type] = STATE(4126),
    [sym_type_query] = STATE(4126),
    [sym_index_type_query] = STATE(4126),
    [sym_lookup_type] = STATE(4126),
    [sym_literal_type] = STATE(4126),
    [sym__number] = STATE(4153),
    [sym_existential_type] = STATE(4126),
    [sym_flow_maybe_type] = STATE(4126),
    [sym_parenthesized_type] = STATE(4126),
    [sym_predefined_type] = STATE(4126),
    [sym_object_type] = STATE(4126),
    [sym_type_parameters] = STATE(7111),
    [sym_array_type] = STATE(4126),
    [sym_tuple_type] = STATE(4126),
    [sym_readonly_type] = STATE(4150),
    [sym_union_type] = STATE(4126),
    [sym_intersection_type] = STATE(4126),
    [sym_function_type] = STATE(4150),
    [sym_identifier] = ACTIONS(1922),
    [anon_sym_STAR] = ACTIONS(1296),
    [anon_sym_LBRACE] = ACTIONS(1342),
    [anon_sym_typeof] = ACTIONS(1924),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_const] = ACTIONS(1302),
    [anon_sym_LPAREN] = ACTIONS(1926),
    [anon_sym_LBRACK] = ACTIONS(1928),
    [anon_sym_DQUOTE] = ACTIONS(1930),
    [anon_sym_SQUOTE] = ACTIONS(1932),
    [anon_sym_new] = ACTIONS(1934),
    [anon_sym_AMP] = ACTIONS(1310),
    [anon_sym_PIPE] = ACTIONS(1312),
    [anon_sym_PLUS] = ACTIONS(1936),
    [anon_sym_DASH] = ACTIONS(1936),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(1340),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1938),
    [sym_number] = ACTIONS(1940),
    [sym_this] = ACTIONS(1942),
    [sym_true] = ACTIONS(1940),
    [sym_false] = ACTIONS(1940),
    [sym_null] = ACTIONS(1940),
    [sym_undefined] = ACTIONS(1940),
    [anon_sym_readonly] = ACTIONS(1944),
    [anon_sym_QMARK] = ACTIONS(1328),
    [anon_sym_any] = ACTIONS(1340),
    [anon_sym_number] = ACTIONS(1340),
    [anon_sym_boolean] = ACTIONS(1340),
    [anon_sym_string] = ACTIONS(1340),
    [anon_sym_symbol] = ACTIONS(1340),
    [anon_sym_object] = ACTIONS(1340),
    [anon_sym_abstract] = ACTIONS(1332),
    [anon_sym_infer] = ACTIONS(1334),
    [anon_sym_keyof] = ACTIONS(1336),
    [anon_sym_unique] = ACTIONS(1338),
    [anon_sym_unknown] = ACTIONS(1340),
    [anon_sym_never] = ACTIONS(1340),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1342),
    [sym_html_comment] = ACTIONS(5),
  },
  [1805] = {
    [sym_nested_identifier] = STATE(7203),
    [sym_string] = STATE(4142),
    [sym_comment] = STATE(1805),
    [sym_formal_parameters] = STATE(7533),
    [sym_nested_type_identifier] = STATE(4018),
    [sym_asserts] = STATE(4122),
    [sym__type] = STATE(4123),
    [sym_constructor_type] = STATE(4150),
    [sym__primary_type] = STATE(4152),
    [sym_template_literal_type] = STATE(4126),
    [sym_infer_type] = STATE(4150),
    [sym_conditional_type] = STATE(4126),
    [sym_generic_type] = STATE(4126),
    [sym_type_predicate] = STATE(4122),
    [sym_type_query] = STATE(4126),
    [sym_index_type_query] = STATE(4126),
    [sym_lookup_type] = STATE(4126),
    [sym_literal_type] = STATE(4126),
    [sym__number] = STATE(4153),
    [sym_existential_type] = STATE(4126),
    [sym_flow_maybe_type] = STATE(4126),
    [sym_parenthesized_type] = STATE(4126),
    [sym_predefined_type] = STATE(4090),
    [sym_object_type] = STATE(4126),
    [sym_type_parameters] = STATE(7111),
    [sym_array_type] = STATE(4126),
    [sym_tuple_type] = STATE(4126),
    [sym_readonly_type] = STATE(4150),
    [sym_union_type] = STATE(4126),
    [sym_intersection_type] = STATE(4126),
    [sym_function_type] = STATE(4150),
    [sym_identifier] = ACTIONS(3638),
    [anon_sym_STAR] = ACTIONS(1296),
    [anon_sym_LBRACE] = ACTIONS(1342),
    [anon_sym_typeof] = ACTIONS(1924),
    [anon_sym_const] = ACTIONS(1302),
    [anon_sym_LPAREN] = ACTIONS(1926),
    [anon_sym_LBRACK] = ACTIONS(1928),
    [anon_sym_DQUOTE] = ACTIONS(1930),
    [anon_sym_SQUOTE] = ACTIONS(1932),
    [anon_sym_new] = ACTIONS(1934),
    [anon_sym_AMP] = ACTIONS(1310),
    [anon_sym_PIPE] = ACTIONS(1312),
    [anon_sym_PLUS] = ACTIONS(1936),
    [anon_sym_DASH] = ACTIONS(1936),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(1340),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1938),
    [sym_number] = ACTIONS(1940),
    [sym_this] = ACTIONS(3640),
    [sym_true] = ACTIONS(1940),
    [sym_false] = ACTIONS(1940),
    [sym_null] = ACTIONS(1940),
    [sym_undefined] = ACTIONS(1940),
    [anon_sym_readonly] = ACTIONS(1944),
    [anon_sym_QMARK] = ACTIONS(1328),
    [anon_sym_any] = ACTIONS(1340),
    [anon_sym_number] = ACTIONS(1340),
    [anon_sym_boolean] = ACTIONS(1340),
    [anon_sym_string] = ACTIONS(1340),
    [anon_sym_symbol] = ACTIONS(1340),
    [anon_sym_object] = ACTIONS(1340),
    [anon_sym_abstract] = ACTIONS(1332),
    [anon_sym_asserts] = ACTIONS(3642),
    [anon_sym_infer] = ACTIONS(1334),
    [anon_sym_keyof] = ACTIONS(1336),
    [anon_sym_unique] = ACTIONS(1338),
    [anon_sym_unknown] = ACTIONS(1340),
    [anon_sym_never] = ACTIONS(1340),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1342),
    [sym_html_comment] = ACTIONS(5),
  },
  [1806] = {
    [sym_nested_identifier] = STATE(7311),
    [sym_string] = STATE(2943),
    [sym_comment] = STATE(1806),
    [sym_formal_parameters] = STATE(7434),
    [sym_nested_type_identifier] = STATE(2799),
    [sym_asserts] = STATE(2903),
    [sym__type] = STATE(2902),
    [sym_constructor_type] = STATE(2950),
    [sym__primary_type] = STATE(2951),
    [sym_template_literal_type] = STATE(2939),
    [sym_infer_type] = STATE(2950),
    [sym_conditional_type] = STATE(2939),
    [sym_generic_type] = STATE(2939),
    [sym_type_predicate] = STATE(2903),
    [sym_type_query] = STATE(2939),
    [sym_index_type_query] = STATE(2939),
    [sym_lookup_type] = STATE(2939),
    [sym_literal_type] = STATE(2939),
    [sym__number] = STATE(2952),
    [sym_existential_type] = STATE(2939),
    [sym_flow_maybe_type] = STATE(2939),
    [sym_parenthesized_type] = STATE(2939),
    [sym_predefined_type] = STATE(2771),
    [sym_object_type] = STATE(2939),
    [sym_type_parameters] = STATE(6909),
    [sym_array_type] = STATE(2939),
    [sym_tuple_type] = STATE(2939),
    [sym_readonly_type] = STATE(2950),
    [sym_union_type] = STATE(2939),
    [sym_intersection_type] = STATE(2939),
    [sym_function_type] = STATE(2950),
    [sym_identifier] = ACTIONS(3782),
    [anon_sym_STAR] = ACTIONS(3784),
    [anon_sym_LBRACE] = ACTIONS(3786),
    [anon_sym_typeof] = ACTIONS(3788),
    [anon_sym_const] = ACTIONS(3790),
    [anon_sym_LPAREN] = ACTIONS(3792),
    [anon_sym_LBRACK] = ACTIONS(3794),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_new] = ACTIONS(3796),
    [anon_sym_AMP] = ACTIONS(3798),
    [anon_sym_PIPE] = ACTIONS(3800),
    [anon_sym_PLUS] = ACTIONS(3802),
    [anon_sym_DASH] = ACTIONS(3802),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(3804),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3806),
    [sym_number] = ACTIONS(3808),
    [sym_this] = ACTIONS(3810),
    [sym_true] = ACTIONS(3808),
    [sym_false] = ACTIONS(3808),
    [sym_null] = ACTIONS(3808),
    [sym_undefined] = ACTIONS(3808),
    [anon_sym_readonly] = ACTIONS(3812),
    [anon_sym_QMARK] = ACTIONS(3814),
    [anon_sym_any] = ACTIONS(3804),
    [anon_sym_number] = ACTIONS(3804),
    [anon_sym_boolean] = ACTIONS(3804),
    [anon_sym_string] = ACTIONS(3804),
    [anon_sym_symbol] = ACTIONS(3804),
    [anon_sym_object] = ACTIONS(3804),
    [anon_sym_abstract] = ACTIONS(3816),
    [anon_sym_asserts] = ACTIONS(3818),
    [anon_sym_infer] = ACTIONS(3820),
    [anon_sym_keyof] = ACTIONS(3822),
    [anon_sym_unique] = ACTIONS(3824),
    [anon_sym_unknown] = ACTIONS(3804),
    [anon_sym_never] = ACTIONS(3804),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3786),
    [sym_html_comment] = ACTIONS(5),
  },
  [1807] = {
    [sym_nested_identifier] = STATE(7203),
    [sym_string] = STATE(4142),
    [sym_comment] = STATE(1807),
    [sym_formal_parameters] = STATE(7533),
    [sym_nested_type_identifier] = STATE(4018),
    [sym_asserts] = STATE(4169),
    [sym__type] = STATE(4168),
    [sym_constructor_type] = STATE(4150),
    [sym__primary_type] = STATE(4152),
    [sym_template_literal_type] = STATE(4126),
    [sym_infer_type] = STATE(4150),
    [sym_conditional_type] = STATE(4126),
    [sym_generic_type] = STATE(4126),
    [sym_type_predicate] = STATE(4169),
    [sym_type_query] = STATE(4126),
    [sym_index_type_query] = STATE(4126),
    [sym_lookup_type] = STATE(4126),
    [sym_literal_type] = STATE(4126),
    [sym__number] = STATE(4153),
    [sym_existential_type] = STATE(4126),
    [sym_flow_maybe_type] = STATE(4126),
    [sym_parenthesized_type] = STATE(4126),
    [sym_predefined_type] = STATE(4090),
    [sym_object_type] = STATE(4126),
    [sym_type_parameters] = STATE(7111),
    [sym_array_type] = STATE(4126),
    [sym_tuple_type] = STATE(4126),
    [sym_readonly_type] = STATE(4150),
    [sym_union_type] = STATE(4126),
    [sym_intersection_type] = STATE(4126),
    [sym_function_type] = STATE(4150),
    [sym_identifier] = ACTIONS(3638),
    [anon_sym_STAR] = ACTIONS(1296),
    [anon_sym_LBRACE] = ACTIONS(1342),
    [anon_sym_typeof] = ACTIONS(1924),
    [anon_sym_const] = ACTIONS(1302),
    [anon_sym_LPAREN] = ACTIONS(1926),
    [anon_sym_LBRACK] = ACTIONS(1928),
    [anon_sym_DQUOTE] = ACTIONS(1930),
    [anon_sym_SQUOTE] = ACTIONS(1932),
    [anon_sym_new] = ACTIONS(1934),
    [anon_sym_AMP] = ACTIONS(1310),
    [anon_sym_PIPE] = ACTIONS(1312),
    [anon_sym_PLUS] = ACTIONS(1936),
    [anon_sym_DASH] = ACTIONS(1936),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(1340),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1938),
    [sym_number] = ACTIONS(1940),
    [sym_this] = ACTIONS(3640),
    [sym_true] = ACTIONS(1940),
    [sym_false] = ACTIONS(1940),
    [sym_null] = ACTIONS(1940),
    [sym_undefined] = ACTIONS(1940),
    [anon_sym_readonly] = ACTIONS(1944),
    [anon_sym_QMARK] = ACTIONS(1328),
    [anon_sym_any] = ACTIONS(1340),
    [anon_sym_number] = ACTIONS(1340),
    [anon_sym_boolean] = ACTIONS(1340),
    [anon_sym_string] = ACTIONS(1340),
    [anon_sym_symbol] = ACTIONS(1340),
    [anon_sym_object] = ACTIONS(1340),
    [anon_sym_abstract] = ACTIONS(1332),
    [anon_sym_asserts] = ACTIONS(3642),
    [anon_sym_infer] = ACTIONS(1334),
    [anon_sym_keyof] = ACTIONS(1336),
    [anon_sym_unique] = ACTIONS(1338),
    [anon_sym_unknown] = ACTIONS(1340),
    [anon_sym_never] = ACTIONS(1340),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1342),
    [sym_html_comment] = ACTIONS(5),
  },
  [1808] = {
    [sym_nested_identifier] = STATE(7283),
    [sym_string] = STATE(3875),
    [sym_comment] = STATE(1808),
    [sym_formal_parameters] = STATE(7329),
    [sym_nested_type_identifier] = STATE(3821),
    [sym_asserts] = STATE(3887),
    [sym__type] = STATE(3843),
    [sym_constructor_type] = STATE(3924),
    [sym__primary_type] = STATE(3930),
    [sym_template_literal_type] = STATE(3873),
    [sym_infer_type] = STATE(3924),
    [sym_conditional_type] = STATE(3873),
    [sym_generic_type] = STATE(3873),
    [sym_type_predicate] = STATE(3887),
    [sym_type_query] = STATE(3873),
    [sym_index_type_query] = STATE(3873),
    [sym_lookup_type] = STATE(3873),
    [sym_literal_type] = STATE(3873),
    [sym__number] = STATE(3934),
    [sym_existential_type] = STATE(3873),
    [sym_flow_maybe_type] = STATE(3873),
    [sym_parenthesized_type] = STATE(3873),
    [sym_predefined_type] = STATE(3824),
    [sym_object_type] = STATE(3873),
    [sym_type_parameters] = STATE(6758),
    [sym_array_type] = STATE(3873),
    [sym_tuple_type] = STATE(3873),
    [sym_readonly_type] = STATE(3924),
    [sym_union_type] = STATE(3873),
    [sym_intersection_type] = STATE(3873),
    [sym_function_type] = STATE(3924),
    [sym_identifier] = ACTIONS(3644),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(209),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_DQUOTE] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [anon_sym_new] = ACTIONS(1898),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(1900),
    [anon_sym_DASH] = ACTIONS(1900),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(207),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(3646),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_any] = ACTIONS(207),
    [anon_sym_number] = ACTIONS(207),
    [anon_sym_boolean] = ACTIONS(207),
    [anon_sym_string] = ACTIONS(207),
    [anon_sym_symbol] = ACTIONS(207),
    [anon_sym_object] = ACTIONS(207),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_asserts] = ACTIONS(3648),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [1809] = {
    [sym_nested_identifier] = STATE(7344),
    [sym_string] = STATE(4431),
    [sym_comment] = STATE(1809),
    [sym_formal_parameters] = STATE(7555),
    [sym_nested_type_identifier] = STATE(4170),
    [sym_asserts] = STATE(4279),
    [sym__type] = STATE(4278),
    [sym_constructor_type] = STATE(4427),
    [sym__primary_type] = STATE(4425),
    [sym_template_literal_type] = STATE(4437),
    [sym_infer_type] = STATE(4427),
    [sym_conditional_type] = STATE(4437),
    [sym_generic_type] = STATE(4437),
    [sym_type_predicate] = STATE(4279),
    [sym_type_query] = STATE(4437),
    [sym_index_type_query] = STATE(4437),
    [sym_lookup_type] = STATE(4437),
    [sym_literal_type] = STATE(4437),
    [sym__number] = STATE(4424),
    [sym_existential_type] = STATE(4437),
    [sym_flow_maybe_type] = STATE(4437),
    [sym_parenthesized_type] = STATE(4437),
    [sym_predefined_type] = STATE(4197),
    [sym_object_type] = STATE(4437),
    [sym_type_parameters] = STATE(6962),
    [sym_array_type] = STATE(4437),
    [sym_tuple_type] = STATE(4437),
    [sym_readonly_type] = STATE(4427),
    [sym_union_type] = STATE(4437),
    [sym_intersection_type] = STATE(4437),
    [sym_function_type] = STATE(4427),
    [sym_identifier] = ACTIONS(3650),
    [anon_sym_STAR] = ACTIONS(3652),
    [anon_sym_LBRACE] = ACTIONS(3654),
    [anon_sym_typeof] = ACTIONS(3656),
    [anon_sym_const] = ACTIONS(3658),
    [anon_sym_LPAREN] = ACTIONS(3660),
    [anon_sym_LBRACK] = ACTIONS(3662),
    [anon_sym_DQUOTE] = ACTIONS(3664),
    [anon_sym_SQUOTE] = ACTIONS(3666),
    [anon_sym_new] = ACTIONS(3668),
    [anon_sym_AMP] = ACTIONS(3670),
    [anon_sym_PIPE] = ACTIONS(3672),
    [anon_sym_PLUS] = ACTIONS(3674),
    [anon_sym_DASH] = ACTIONS(3674),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(3676),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3678),
    [sym_number] = ACTIONS(3680),
    [sym_this] = ACTIONS(3682),
    [sym_true] = ACTIONS(3680),
    [sym_false] = ACTIONS(3680),
    [sym_null] = ACTIONS(3680),
    [sym_undefined] = ACTIONS(3680),
    [anon_sym_readonly] = ACTIONS(3684),
    [anon_sym_QMARK] = ACTIONS(3686),
    [anon_sym_any] = ACTIONS(3676),
    [anon_sym_number] = ACTIONS(3676),
    [anon_sym_boolean] = ACTIONS(3676),
    [anon_sym_string] = ACTIONS(3676),
    [anon_sym_symbol] = ACTIONS(3676),
    [anon_sym_object] = ACTIONS(3676),
    [anon_sym_abstract] = ACTIONS(3688),
    [anon_sym_asserts] = ACTIONS(3690),
    [anon_sym_infer] = ACTIONS(3692),
    [anon_sym_keyof] = ACTIONS(3694),
    [anon_sym_unique] = ACTIONS(3696),
    [anon_sym_unknown] = ACTIONS(3676),
    [anon_sym_never] = ACTIONS(3676),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3654),
    [sym_html_comment] = ACTIONS(5),
  },
  [1810] = {
    [sym_nested_identifier] = STATE(7283),
    [sym_string] = STATE(3875),
    [sym_comment] = STATE(1810),
    [sym_formal_parameters] = STATE(7329),
    [sym_nested_type_identifier] = STATE(3821),
    [sym_asserts] = STATE(3917),
    [sym__type] = STATE(3884),
    [sym_constructor_type] = STATE(3924),
    [sym__primary_type] = STATE(3930),
    [sym_template_literal_type] = STATE(3873),
    [sym_infer_type] = STATE(3924),
    [sym_conditional_type] = STATE(3873),
    [sym_generic_type] = STATE(3873),
    [sym_type_predicate] = STATE(3917),
    [sym_type_query] = STATE(3873),
    [sym_index_type_query] = STATE(3873),
    [sym_lookup_type] = STATE(3873),
    [sym_literal_type] = STATE(3873),
    [sym__number] = STATE(3934),
    [sym_existential_type] = STATE(3873),
    [sym_flow_maybe_type] = STATE(3873),
    [sym_parenthesized_type] = STATE(3873),
    [sym_predefined_type] = STATE(3824),
    [sym_object_type] = STATE(3873),
    [sym_type_parameters] = STATE(6758),
    [sym_array_type] = STATE(3873),
    [sym_tuple_type] = STATE(3873),
    [sym_readonly_type] = STATE(3924),
    [sym_union_type] = STATE(3873),
    [sym_intersection_type] = STATE(3873),
    [sym_function_type] = STATE(3924),
    [sym_identifier] = ACTIONS(3644),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(209),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_DQUOTE] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [anon_sym_new] = ACTIONS(1898),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(1900),
    [anon_sym_DASH] = ACTIONS(1900),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(207),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(3646),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_any] = ACTIONS(207),
    [anon_sym_number] = ACTIONS(207),
    [anon_sym_boolean] = ACTIONS(207),
    [anon_sym_string] = ACTIONS(207),
    [anon_sym_symbol] = ACTIONS(207),
    [anon_sym_object] = ACTIONS(207),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_asserts] = ACTIONS(3648),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [1811] = {
    [sym_nested_identifier] = STATE(7229),
    [sym_string] = STATE(2505),
    [sym_comment] = STATE(1811),
    [sym_formal_parameters] = STATE(7316),
    [sym_nested_type_identifier] = STATE(2360),
    [sym_asserts] = STATE(2433),
    [sym__type] = STATE(2432),
    [sym_constructor_type] = STATE(2501),
    [sym__primary_type] = STATE(2499),
    [sym_template_literal_type] = STATE(2507),
    [sym_infer_type] = STATE(2501),
    [sym_conditional_type] = STATE(2507),
    [sym_generic_type] = STATE(2507),
    [sym_type_predicate] = STATE(2433),
    [sym_type_query] = STATE(2507),
    [sym_index_type_query] = STATE(2507),
    [sym_lookup_type] = STATE(2507),
    [sym_literal_type] = STATE(2507),
    [sym__number] = STATE(2498),
    [sym_existential_type] = STATE(2507),
    [sym_flow_maybe_type] = STATE(2507),
    [sym_parenthesized_type] = STATE(2507),
    [sym_predefined_type] = STATE(2370),
    [sym_object_type] = STATE(2507),
    [sym_type_parameters] = STATE(7078),
    [sym_array_type] = STATE(2507),
    [sym_tuple_type] = STATE(2507),
    [sym_readonly_type] = STATE(2501),
    [sym_union_type] = STATE(2507),
    [sym_intersection_type] = STATE(2507),
    [sym_function_type] = STATE(2501),
    [sym_identifier] = ACTIONS(3826),
    [anon_sym_STAR] = ACTIONS(3828),
    [anon_sym_LBRACE] = ACTIONS(3830),
    [anon_sym_typeof] = ACTIONS(3832),
    [anon_sym_const] = ACTIONS(3834),
    [anon_sym_LPAREN] = ACTIONS(3836),
    [anon_sym_LBRACK] = ACTIONS(3838),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_new] = ACTIONS(3840),
    [anon_sym_AMP] = ACTIONS(3842),
    [anon_sym_PIPE] = ACTIONS(3844),
    [anon_sym_PLUS] = ACTIONS(3846),
    [anon_sym_DASH] = ACTIONS(3846),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(3848),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3850),
    [sym_number] = ACTIONS(3852),
    [sym_this] = ACTIONS(3854),
    [sym_true] = ACTIONS(3852),
    [sym_false] = ACTIONS(3852),
    [sym_null] = ACTIONS(3852),
    [sym_undefined] = ACTIONS(3852),
    [anon_sym_readonly] = ACTIONS(3856),
    [anon_sym_QMARK] = ACTIONS(3858),
    [anon_sym_any] = ACTIONS(3848),
    [anon_sym_number] = ACTIONS(3848),
    [anon_sym_boolean] = ACTIONS(3848),
    [anon_sym_string] = ACTIONS(3848),
    [anon_sym_symbol] = ACTIONS(3848),
    [anon_sym_object] = ACTIONS(3848),
    [anon_sym_abstract] = ACTIONS(3860),
    [anon_sym_asserts] = ACTIONS(3862),
    [anon_sym_infer] = ACTIONS(3864),
    [anon_sym_keyof] = ACTIONS(3866),
    [anon_sym_unique] = ACTIONS(3868),
    [anon_sym_unknown] = ACTIONS(3848),
    [anon_sym_never] = ACTIONS(3848),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3830),
    [sym_html_comment] = ACTIONS(5),
  },
  [1812] = {
    [sym_nested_identifier] = STATE(7344),
    [sym_string] = STATE(4431),
    [sym_comment] = STATE(1812),
    [sym_formal_parameters] = STATE(7555),
    [sym_nested_type_identifier] = STATE(4170),
    [sym_asserts] = STATE(4240),
    [sym__type] = STATE(4239),
    [sym_constructor_type] = STATE(4427),
    [sym__primary_type] = STATE(4425),
    [sym_template_literal_type] = STATE(4437),
    [sym_infer_type] = STATE(4427),
    [sym_conditional_type] = STATE(4437),
    [sym_generic_type] = STATE(4437),
    [sym_type_predicate] = STATE(4240),
    [sym_type_query] = STATE(4437),
    [sym_index_type_query] = STATE(4437),
    [sym_lookup_type] = STATE(4437),
    [sym_literal_type] = STATE(4437),
    [sym__number] = STATE(4424),
    [sym_existential_type] = STATE(4437),
    [sym_flow_maybe_type] = STATE(4437),
    [sym_parenthesized_type] = STATE(4437),
    [sym_predefined_type] = STATE(4197),
    [sym_object_type] = STATE(4437),
    [sym_type_parameters] = STATE(6962),
    [sym_array_type] = STATE(4437),
    [sym_tuple_type] = STATE(4437),
    [sym_readonly_type] = STATE(4427),
    [sym_union_type] = STATE(4437),
    [sym_intersection_type] = STATE(4437),
    [sym_function_type] = STATE(4427),
    [sym_identifier] = ACTIONS(3650),
    [anon_sym_STAR] = ACTIONS(3652),
    [anon_sym_LBRACE] = ACTIONS(3654),
    [anon_sym_typeof] = ACTIONS(3656),
    [anon_sym_const] = ACTIONS(3658),
    [anon_sym_LPAREN] = ACTIONS(3660),
    [anon_sym_LBRACK] = ACTIONS(3662),
    [anon_sym_DQUOTE] = ACTIONS(3664),
    [anon_sym_SQUOTE] = ACTIONS(3666),
    [anon_sym_new] = ACTIONS(3668),
    [anon_sym_AMP] = ACTIONS(3670),
    [anon_sym_PIPE] = ACTIONS(3672),
    [anon_sym_PLUS] = ACTIONS(3674),
    [anon_sym_DASH] = ACTIONS(3674),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(3676),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3678),
    [sym_number] = ACTIONS(3680),
    [sym_this] = ACTIONS(3682),
    [sym_true] = ACTIONS(3680),
    [sym_false] = ACTIONS(3680),
    [sym_null] = ACTIONS(3680),
    [sym_undefined] = ACTIONS(3680),
    [anon_sym_readonly] = ACTIONS(3684),
    [anon_sym_QMARK] = ACTIONS(3686),
    [anon_sym_any] = ACTIONS(3676),
    [anon_sym_number] = ACTIONS(3676),
    [anon_sym_boolean] = ACTIONS(3676),
    [anon_sym_string] = ACTIONS(3676),
    [anon_sym_symbol] = ACTIONS(3676),
    [anon_sym_object] = ACTIONS(3676),
    [anon_sym_abstract] = ACTIONS(3688),
    [anon_sym_asserts] = ACTIONS(3690),
    [anon_sym_infer] = ACTIONS(3692),
    [anon_sym_keyof] = ACTIONS(3694),
    [anon_sym_unique] = ACTIONS(3696),
    [anon_sym_unknown] = ACTIONS(3676),
    [anon_sym_never] = ACTIONS(3676),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3654),
    [sym_html_comment] = ACTIONS(5),
  },
  [1813] = {
    [sym_nested_identifier] = STATE(7311),
    [sym_string] = STATE(2943),
    [sym_comment] = STATE(1813),
    [sym_formal_parameters] = STATE(7434),
    [sym_nested_type_identifier] = STATE(2799),
    [sym_asserts] = STATE(2844),
    [sym__type] = STATE(2843),
    [sym_constructor_type] = STATE(2950),
    [sym__primary_type] = STATE(2951),
    [sym_template_literal_type] = STATE(2939),
    [sym_infer_type] = STATE(2950),
    [sym_conditional_type] = STATE(2939),
    [sym_generic_type] = STATE(2939),
    [sym_type_predicate] = STATE(2844),
    [sym_type_query] = STATE(2939),
    [sym_index_type_query] = STATE(2939),
    [sym_lookup_type] = STATE(2939),
    [sym_literal_type] = STATE(2939),
    [sym__number] = STATE(2952),
    [sym_existential_type] = STATE(2939),
    [sym_flow_maybe_type] = STATE(2939),
    [sym_parenthesized_type] = STATE(2939),
    [sym_predefined_type] = STATE(2771),
    [sym_object_type] = STATE(2939),
    [sym_type_parameters] = STATE(6909),
    [sym_array_type] = STATE(2939),
    [sym_tuple_type] = STATE(2939),
    [sym_readonly_type] = STATE(2950),
    [sym_union_type] = STATE(2939),
    [sym_intersection_type] = STATE(2939),
    [sym_function_type] = STATE(2950),
    [sym_identifier] = ACTIONS(3782),
    [anon_sym_STAR] = ACTIONS(3784),
    [anon_sym_LBRACE] = ACTIONS(3786),
    [anon_sym_typeof] = ACTIONS(3788),
    [anon_sym_const] = ACTIONS(3790),
    [anon_sym_LPAREN] = ACTIONS(3792),
    [anon_sym_LBRACK] = ACTIONS(3794),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_new] = ACTIONS(3796),
    [anon_sym_AMP] = ACTIONS(3798),
    [anon_sym_PIPE] = ACTIONS(3800),
    [anon_sym_PLUS] = ACTIONS(3802),
    [anon_sym_DASH] = ACTIONS(3802),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(3804),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3806),
    [sym_number] = ACTIONS(3808),
    [sym_this] = ACTIONS(3810),
    [sym_true] = ACTIONS(3808),
    [sym_false] = ACTIONS(3808),
    [sym_null] = ACTIONS(3808),
    [sym_undefined] = ACTIONS(3808),
    [anon_sym_readonly] = ACTIONS(3812),
    [anon_sym_QMARK] = ACTIONS(3814),
    [anon_sym_any] = ACTIONS(3804),
    [anon_sym_number] = ACTIONS(3804),
    [anon_sym_boolean] = ACTIONS(3804),
    [anon_sym_string] = ACTIONS(3804),
    [anon_sym_symbol] = ACTIONS(3804),
    [anon_sym_object] = ACTIONS(3804),
    [anon_sym_abstract] = ACTIONS(3816),
    [anon_sym_asserts] = ACTIONS(3818),
    [anon_sym_infer] = ACTIONS(3820),
    [anon_sym_keyof] = ACTIONS(3822),
    [anon_sym_unique] = ACTIONS(3824),
    [anon_sym_unknown] = ACTIONS(3804),
    [anon_sym_never] = ACTIONS(3804),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3786),
    [sym_html_comment] = ACTIONS(5),
  },
  [1814] = {
    [sym_nested_identifier] = STATE(7229),
    [sym_string] = STATE(2505),
    [sym_comment] = STATE(1814),
    [sym_formal_parameters] = STATE(7316),
    [sym_nested_type_identifier] = STATE(2360),
    [sym_asserts] = STATE(2515),
    [sym__type] = STATE(2458),
    [sym_constructor_type] = STATE(2501),
    [sym__primary_type] = STATE(2499),
    [sym_template_literal_type] = STATE(2507),
    [sym_infer_type] = STATE(2501),
    [sym_conditional_type] = STATE(2507),
    [sym_generic_type] = STATE(2507),
    [sym_type_predicate] = STATE(2515),
    [sym_type_query] = STATE(2507),
    [sym_index_type_query] = STATE(2507),
    [sym_lookup_type] = STATE(2507),
    [sym_literal_type] = STATE(2507),
    [sym__number] = STATE(2498),
    [sym_existential_type] = STATE(2507),
    [sym_flow_maybe_type] = STATE(2507),
    [sym_parenthesized_type] = STATE(2507),
    [sym_predefined_type] = STATE(2370),
    [sym_object_type] = STATE(2507),
    [sym_type_parameters] = STATE(7078),
    [sym_array_type] = STATE(2507),
    [sym_tuple_type] = STATE(2507),
    [sym_readonly_type] = STATE(2501),
    [sym_union_type] = STATE(2507),
    [sym_intersection_type] = STATE(2507),
    [sym_function_type] = STATE(2501),
    [sym_identifier] = ACTIONS(3826),
    [anon_sym_STAR] = ACTIONS(3828),
    [anon_sym_LBRACE] = ACTIONS(3830),
    [anon_sym_typeof] = ACTIONS(3832),
    [anon_sym_const] = ACTIONS(3834),
    [anon_sym_LPAREN] = ACTIONS(3836),
    [anon_sym_LBRACK] = ACTIONS(3838),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_new] = ACTIONS(3840),
    [anon_sym_AMP] = ACTIONS(3842),
    [anon_sym_PIPE] = ACTIONS(3844),
    [anon_sym_PLUS] = ACTIONS(3846),
    [anon_sym_DASH] = ACTIONS(3846),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(3848),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3850),
    [sym_number] = ACTIONS(3852),
    [sym_this] = ACTIONS(3854),
    [sym_true] = ACTIONS(3852),
    [sym_false] = ACTIONS(3852),
    [sym_null] = ACTIONS(3852),
    [sym_undefined] = ACTIONS(3852),
    [anon_sym_readonly] = ACTIONS(3856),
    [anon_sym_QMARK] = ACTIONS(3858),
    [anon_sym_any] = ACTIONS(3848),
    [anon_sym_number] = ACTIONS(3848),
    [anon_sym_boolean] = ACTIONS(3848),
    [anon_sym_string] = ACTIONS(3848),
    [anon_sym_symbol] = ACTIONS(3848),
    [anon_sym_object] = ACTIONS(3848),
    [anon_sym_abstract] = ACTIONS(3860),
    [anon_sym_asserts] = ACTIONS(3862),
    [anon_sym_infer] = ACTIONS(3864),
    [anon_sym_keyof] = ACTIONS(3866),
    [anon_sym_unique] = ACTIONS(3868),
    [anon_sym_unknown] = ACTIONS(3848),
    [anon_sym_never] = ACTIONS(3848),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3830),
    [sym_html_comment] = ACTIONS(5),
  },
  [1815] = {
    [sym_export_statement] = STATE(4905),
    [sym_object_pattern] = STATE(4283),
    [sym_object_assignment_pattern] = STATE(5931),
    [sym_array_pattern] = STATE(4283),
    [sym__call_signature] = STATE(5071),
    [sym__destructuring_pattern] = STATE(7361),
    [sym_spread_element] = STATE(6446),
    [sym_string] = STATE(4151),
    [sym_comment] = STATE(1815),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4200),
    [sym_rest_pattern] = STATE(5931),
    [sym_method_definition] = STATE(6446),
    [sym_pair] = STATE(6446),
    [sym_pair_pattern] = STATE(5931),
    [sym__property_name] = STATE(4034),
    [sym_computed_property_name] = STATE(4151),
    [sym_method_signature] = STATE(4905),
    [sym_accessibility_modifier] = STATE(3627),
    [sym_override_modifier] = STATE(3671),
    [sym_call_signature] = STATE(4905),
    [sym_property_signature] = STATE(4905),
    [sym_type_parameters] = STATE(6630),
    [sym_construct_signature] = STATE(4905),
    [sym_index_signature] = STATE(4905),
    [aux_sym_export_statement_repeat1] = STATE(5733),
    [aux_sym_object_repeat1] = STATE(6441),
    [aux_sym_object_pattern_repeat1] = STATE(5945),
    [sym_identifier] = ACTIONS(3870),
    [anon_sym_export] = ACTIONS(3872),
    [anon_sym_STAR] = ACTIONS(3874),
    [anon_sym_type] = ACTIONS(3870),
    [anon_sym_namespace] = ACTIONS(3870),
    [anon_sym_LBRACE] = ACTIONS(3876),
    [anon_sym_COMMA] = ACTIONS(3878),
    [anon_sym_RBRACE] = ACTIONS(3880),
    [anon_sym_let] = ACTIONS(3870),
    [anon_sym_LPAREN] = ACTIONS(3882),
    [anon_sym_SEMI] = ACTIONS(3884),
    [anon_sym_LBRACK] = ACTIONS(3886),
    [anon_sym_DQUOTE] = ACTIONS(1930),
    [anon_sym_SQUOTE] = ACTIONS(1932),
    [anon_sym_async] = ACTIONS(3888),
    [anon_sym_new] = ACTIONS(3890),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(243),
    [anon_sym_PLUS] = ACTIONS(3892),
    [anon_sym_DASH] = ACTIONS(3892),
    [anon_sym_LT] = ACTIONS(1902),
    [aux_sym_comment_token1] = ACTIONS(3),
    [sym_number] = ACTIONS(3894),
    [sym_private_property_identifier] = ACTIONS(3894),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(3896),
    [anon_sym_readonly] = ACTIONS(3898),
    [anon_sym_get] = ACTIONS(3900),
    [anon_sym_set] = ACTIONS(3900),
    [anon_sym_declare] = ACTIONS(3870),
    [anon_sym_public] = ACTIONS(3902),
    [anon_sym_private] = ACTIONS(3902),
    [anon_sym_protected] = ACTIONS(3902),
    [anon_sym_override] = ACTIONS(3904),
    [anon_sym_module] = ACTIONS(3870),
    [anon_sym_any] = ACTIONS(3870),
    [anon_sym_number] = ACTIONS(3870),
    [anon_sym_boolean] = ACTIONS(3870),
    [anon_sym_string] = ACTIONS(3870),
    [anon_sym_symbol] = ACTIONS(3870),
    [anon_sym_object] = ACTIONS(3870),
    [anon_sym_abstract] = ACTIONS(3906),
    [anon_sym_PIPE_RBRACE] = ACTIONS(3908),
    [sym_html_comment] = ACTIONS(5),
  },
  [1816] = {
    [sym_export_statement] = STATE(4905),
    [sym_object_pattern] = STATE(4283),
    [sym_object_assignment_pattern] = STATE(5931),
    [sym_array_pattern] = STATE(4283),
    [sym__call_signature] = STATE(5071),
    [sym__destructuring_pattern] = STATE(7361),
    [sym_spread_element] = STATE(6446),
    [sym_string] = STATE(4151),
    [sym_comment] = STATE(1816),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4200),
    [sym_rest_pattern] = STATE(5931),
    [sym_method_definition] = STATE(6446),
    [sym_pair] = STATE(6446),
    [sym_pair_pattern] = STATE(5931),
    [sym__property_name] = STATE(4034),
    [sym_computed_property_name] = STATE(4151),
    [sym_method_signature] = STATE(4905),
    [sym_accessibility_modifier] = STATE(3627),
    [sym_override_modifier] = STATE(3671),
    [sym_call_signature] = STATE(4905),
    [sym_property_signature] = STATE(4905),
    [sym_type_parameters] = STATE(6630),
    [sym_construct_signature] = STATE(4905),
    [sym_index_signature] = STATE(4905),
    [aux_sym_export_statement_repeat1] = STATE(5733),
    [aux_sym_object_repeat1] = STATE(6441),
    [aux_sym_object_pattern_repeat1] = STATE(5945),
    [sym_identifier] = ACTIONS(3910),
    [anon_sym_export] = ACTIONS(3912),
    [anon_sym_STAR] = ACTIONS(3874),
    [anon_sym_type] = ACTIONS(3910),
    [anon_sym_namespace] = ACTIONS(3910),
    [anon_sym_LBRACE] = ACTIONS(3876),
    [anon_sym_COMMA] = ACTIONS(3878),
    [anon_sym_RBRACE] = ACTIONS(3914),
    [anon_sym_let] = ACTIONS(3910),
    [anon_sym_LPAREN] = ACTIONS(3882),
    [anon_sym_SEMI] = ACTIONS(3884),
    [anon_sym_LBRACK] = ACTIONS(3886),
    [anon_sym_DQUOTE] = ACTIONS(1930),
    [anon_sym_SQUOTE] = ACTIONS(1932),
    [anon_sym_async] = ACTIONS(3916),
    [anon_sym_new] = ACTIONS(3918),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(243),
    [anon_sym_PLUS] = ACTIONS(3892),
    [anon_sym_DASH] = ACTIONS(3892),
    [anon_sym_LT] = ACTIONS(1902),
    [aux_sym_comment_token1] = ACTIONS(3),
    [sym_number] = ACTIONS(3894),
    [sym_private_property_identifier] = ACTIONS(3894),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(3920),
    [anon_sym_readonly] = ACTIONS(3922),
    [anon_sym_get] = ACTIONS(3924),
    [anon_sym_set] = ACTIONS(3924),
    [anon_sym_declare] = ACTIONS(3910),
    [anon_sym_public] = ACTIONS(3926),
    [anon_sym_private] = ACTIONS(3926),
    [anon_sym_protected] = ACTIONS(3926),
    [anon_sym_override] = ACTIONS(3928),
    [anon_sym_module] = ACTIONS(3910),
    [anon_sym_any] = ACTIONS(3910),
    [anon_sym_number] = ACTIONS(3910),
    [anon_sym_boolean] = ACTIONS(3910),
    [anon_sym_string] = ACTIONS(3910),
    [anon_sym_symbol] = ACTIONS(3910),
    [anon_sym_object] = ACTIONS(3910),
    [anon_sym_abstract] = ACTIONS(3906),
    [anon_sym_PIPE_RBRACE] = ACTIONS(3908),
    [sym_html_comment] = ACTIONS(5),
  },
  [1817] = {
    [sym_export_statement] = STATE(4905),
    [sym_object_pattern] = STATE(4283),
    [sym_object_assignment_pattern] = STATE(5931),
    [sym_array_pattern] = STATE(4283),
    [sym__call_signature] = STATE(5071),
    [sym__destructuring_pattern] = STATE(7361),
    [sym_spread_element] = STATE(6446),
    [sym_string] = STATE(4151),
    [sym_comment] = STATE(1817),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4200),
    [sym_rest_pattern] = STATE(5931),
    [sym_method_definition] = STATE(6446),
    [sym_pair] = STATE(6446),
    [sym_pair_pattern] = STATE(5931),
    [sym__property_name] = STATE(4034),
    [sym_computed_property_name] = STATE(4151),
    [sym_method_signature] = STATE(4905),
    [sym_accessibility_modifier] = STATE(3627),
    [sym_override_modifier] = STATE(3671),
    [sym_call_signature] = STATE(4905),
    [sym_property_signature] = STATE(4905),
    [sym_type_parameters] = STATE(6630),
    [sym_construct_signature] = STATE(4905),
    [sym_index_signature] = STATE(4905),
    [aux_sym_export_statement_repeat1] = STATE(5733),
    [aux_sym_object_repeat1] = STATE(6441),
    [aux_sym_object_pattern_repeat1] = STATE(5945),
    [sym_identifier] = ACTIONS(3910),
    [anon_sym_export] = ACTIONS(3912),
    [anon_sym_STAR] = ACTIONS(3874),
    [anon_sym_type] = ACTIONS(3910),
    [anon_sym_namespace] = ACTIONS(3910),
    [anon_sym_LBRACE] = ACTIONS(3876),
    [anon_sym_COMMA] = ACTIONS(3878),
    [anon_sym_RBRACE] = ACTIONS(3930),
    [anon_sym_let] = ACTIONS(3910),
    [anon_sym_LPAREN] = ACTIONS(3882),
    [anon_sym_SEMI] = ACTIONS(3884),
    [anon_sym_LBRACK] = ACTIONS(3886),
    [anon_sym_DQUOTE] = ACTIONS(1930),
    [anon_sym_SQUOTE] = ACTIONS(1932),
    [anon_sym_async] = ACTIONS(3916),
    [anon_sym_new] = ACTIONS(3918),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(243),
    [anon_sym_PLUS] = ACTIONS(3892),
    [anon_sym_DASH] = ACTIONS(3892),
    [anon_sym_LT] = ACTIONS(1902),
    [aux_sym_comment_token1] = ACTIONS(3),
    [sym_number] = ACTIONS(3894),
    [sym_private_property_identifier] = ACTIONS(3894),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(3920),
    [anon_sym_readonly] = ACTIONS(3922),
    [anon_sym_get] = ACTIONS(3924),
    [anon_sym_set] = ACTIONS(3924),
    [anon_sym_declare] = ACTIONS(3910),
    [anon_sym_public] = ACTIONS(3926),
    [anon_sym_private] = ACTIONS(3926),
    [anon_sym_protected] = ACTIONS(3926),
    [anon_sym_override] = ACTIONS(3928),
    [anon_sym_module] = ACTIONS(3910),
    [anon_sym_any] = ACTIONS(3910),
    [anon_sym_number] = ACTIONS(3910),
    [anon_sym_boolean] = ACTIONS(3910),
    [anon_sym_string] = ACTIONS(3910),
    [anon_sym_symbol] = ACTIONS(3910),
    [anon_sym_object] = ACTIONS(3910),
    [anon_sym_abstract] = ACTIONS(3906),
    [anon_sym_PIPE_RBRACE] = ACTIONS(3908),
    [sym_html_comment] = ACTIONS(5),
  },
  [1818] = {
    [sym_export_statement] = STATE(4905),
    [sym_object_pattern] = STATE(4283),
    [sym_object_assignment_pattern] = STATE(5931),
    [sym_array_pattern] = STATE(4283),
    [sym__call_signature] = STATE(5071),
    [sym__destructuring_pattern] = STATE(7361),
    [sym_spread_element] = STATE(6446),
    [sym_string] = STATE(4151),
    [sym_comment] = STATE(1818),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4200),
    [sym_rest_pattern] = STATE(5931),
    [sym_method_definition] = STATE(6446),
    [sym_pair] = STATE(6446),
    [sym_pair_pattern] = STATE(5931),
    [sym__property_name] = STATE(4034),
    [sym_computed_property_name] = STATE(4151),
    [sym_method_signature] = STATE(4905),
    [sym_accessibility_modifier] = STATE(3627),
    [sym_override_modifier] = STATE(3671),
    [sym_call_signature] = STATE(4905),
    [sym_property_signature] = STATE(4905),
    [sym_type_parameters] = STATE(6630),
    [sym_construct_signature] = STATE(4905),
    [sym_index_signature] = STATE(4905),
    [aux_sym_export_statement_repeat1] = STATE(5733),
    [aux_sym_object_repeat1] = STATE(6441),
    [aux_sym_object_pattern_repeat1] = STATE(5945),
    [sym_identifier] = ACTIONS(3870),
    [anon_sym_export] = ACTIONS(3872),
    [anon_sym_STAR] = ACTIONS(3874),
    [anon_sym_type] = ACTIONS(3870),
    [anon_sym_namespace] = ACTIONS(3870),
    [anon_sym_LBRACE] = ACTIONS(3876),
    [anon_sym_COMMA] = ACTIONS(3878),
    [anon_sym_RBRACE] = ACTIONS(3932),
    [anon_sym_let] = ACTIONS(3870),
    [anon_sym_LPAREN] = ACTIONS(3882),
    [anon_sym_SEMI] = ACTIONS(3884),
    [anon_sym_LBRACK] = ACTIONS(3886),
    [anon_sym_DQUOTE] = ACTIONS(1930),
    [anon_sym_SQUOTE] = ACTIONS(1932),
    [anon_sym_async] = ACTIONS(3888),
    [anon_sym_new] = ACTIONS(3890),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(243),
    [anon_sym_PLUS] = ACTIONS(3892),
    [anon_sym_DASH] = ACTIONS(3892),
    [anon_sym_LT] = ACTIONS(1902),
    [aux_sym_comment_token1] = ACTIONS(3),
    [sym_number] = ACTIONS(3894),
    [sym_private_property_identifier] = ACTIONS(3894),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(3896),
    [anon_sym_readonly] = ACTIONS(3898),
    [anon_sym_get] = ACTIONS(3900),
    [anon_sym_set] = ACTIONS(3900),
    [anon_sym_declare] = ACTIONS(3870),
    [anon_sym_public] = ACTIONS(3902),
    [anon_sym_private] = ACTIONS(3902),
    [anon_sym_protected] = ACTIONS(3902),
    [anon_sym_override] = ACTIONS(3904),
    [anon_sym_module] = ACTIONS(3870),
    [anon_sym_any] = ACTIONS(3870),
    [anon_sym_number] = ACTIONS(3870),
    [anon_sym_boolean] = ACTIONS(3870),
    [anon_sym_string] = ACTIONS(3870),
    [anon_sym_symbol] = ACTIONS(3870),
    [anon_sym_object] = ACTIONS(3870),
    [anon_sym_abstract] = ACTIONS(3906),
    [anon_sym_PIPE_RBRACE] = ACTIONS(3908),
    [sym_html_comment] = ACTIONS(5),
  },
  [1819] = {
    [sym_export_statement] = STATE(4905),
    [sym_object_pattern] = STATE(4283),
    [sym_object_assignment_pattern] = STATE(5931),
    [sym_array_pattern] = STATE(4283),
    [sym__call_signature] = STATE(5071),
    [sym__destructuring_pattern] = STATE(7361),
    [sym_spread_element] = STATE(6446),
    [sym_string] = STATE(4151),
    [sym_comment] = STATE(1819),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4200),
    [sym_rest_pattern] = STATE(5931),
    [sym_method_definition] = STATE(6446),
    [sym_pair] = STATE(6446),
    [sym_pair_pattern] = STATE(5931),
    [sym__property_name] = STATE(4034),
    [sym_computed_property_name] = STATE(4151),
    [sym_method_signature] = STATE(4905),
    [sym_accessibility_modifier] = STATE(3627),
    [sym_override_modifier] = STATE(3671),
    [sym_call_signature] = STATE(4905),
    [sym_property_signature] = STATE(4905),
    [sym_type_parameters] = STATE(6630),
    [sym_construct_signature] = STATE(4905),
    [sym_index_signature] = STATE(4905),
    [aux_sym_export_statement_repeat1] = STATE(5733),
    [aux_sym_object_repeat1] = STATE(6441),
    [aux_sym_object_pattern_repeat1] = STATE(5945),
    [sym_identifier] = ACTIONS(3910),
    [anon_sym_export] = ACTIONS(3912),
    [anon_sym_STAR] = ACTIONS(3874),
    [anon_sym_type] = ACTIONS(3910),
    [anon_sym_namespace] = ACTIONS(3910),
    [anon_sym_LBRACE] = ACTIONS(3876),
    [anon_sym_COMMA] = ACTIONS(3878),
    [anon_sym_RBRACE] = ACTIONS(3934),
    [anon_sym_let] = ACTIONS(3910),
    [anon_sym_LPAREN] = ACTIONS(3882),
    [anon_sym_SEMI] = ACTIONS(3884),
    [anon_sym_LBRACK] = ACTIONS(3886),
    [anon_sym_DQUOTE] = ACTIONS(1930),
    [anon_sym_SQUOTE] = ACTIONS(1932),
    [anon_sym_async] = ACTIONS(3916),
    [anon_sym_new] = ACTIONS(3918),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(243),
    [anon_sym_PLUS] = ACTIONS(3892),
    [anon_sym_DASH] = ACTIONS(3892),
    [anon_sym_LT] = ACTIONS(1902),
    [aux_sym_comment_token1] = ACTIONS(3),
    [sym_number] = ACTIONS(3894),
    [sym_private_property_identifier] = ACTIONS(3894),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(3920),
    [anon_sym_readonly] = ACTIONS(3922),
    [anon_sym_get] = ACTIONS(3924),
    [anon_sym_set] = ACTIONS(3924),
    [anon_sym_declare] = ACTIONS(3910),
    [anon_sym_public] = ACTIONS(3926),
    [anon_sym_private] = ACTIONS(3926),
    [anon_sym_protected] = ACTIONS(3926),
    [anon_sym_override] = ACTIONS(3928),
    [anon_sym_module] = ACTIONS(3910),
    [anon_sym_any] = ACTIONS(3910),
    [anon_sym_number] = ACTIONS(3910),
    [anon_sym_boolean] = ACTIONS(3910),
    [anon_sym_string] = ACTIONS(3910),
    [anon_sym_symbol] = ACTIONS(3910),
    [anon_sym_object] = ACTIONS(3910),
    [anon_sym_abstract] = ACTIONS(3906),
    [anon_sym_PIPE_RBRACE] = ACTIONS(3908),
    [sym_html_comment] = ACTIONS(5),
  },
  [1820] = {
    [sym_export_statement] = STATE(4905),
    [sym_object_pattern] = STATE(4283),
    [sym_object_assignment_pattern] = STATE(5931),
    [sym_array_pattern] = STATE(4283),
    [sym__call_signature] = STATE(5071),
    [sym__destructuring_pattern] = STATE(7361),
    [sym_spread_element] = STATE(6446),
    [sym_string] = STATE(4151),
    [sym_comment] = STATE(1820),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4200),
    [sym_rest_pattern] = STATE(5931),
    [sym_method_definition] = STATE(6446),
    [sym_pair] = STATE(6446),
    [sym_pair_pattern] = STATE(5931),
    [sym__property_name] = STATE(4034),
    [sym_computed_property_name] = STATE(4151),
    [sym_method_signature] = STATE(4905),
    [sym_accessibility_modifier] = STATE(3627),
    [sym_override_modifier] = STATE(3671),
    [sym_call_signature] = STATE(4905),
    [sym_property_signature] = STATE(4905),
    [sym_type_parameters] = STATE(6630),
    [sym_construct_signature] = STATE(4905),
    [sym_index_signature] = STATE(4905),
    [aux_sym_export_statement_repeat1] = STATE(5733),
    [aux_sym_object_repeat1] = STATE(6441),
    [aux_sym_object_pattern_repeat1] = STATE(5945),
    [sym_identifier] = ACTIONS(3936),
    [anon_sym_export] = ACTIONS(3938),
    [anon_sym_STAR] = ACTIONS(3874),
    [anon_sym_type] = ACTIONS(3936),
    [anon_sym_namespace] = ACTIONS(3936),
    [anon_sym_LBRACE] = ACTIONS(3876),
    [anon_sym_COMMA] = ACTIONS(3878),
    [anon_sym_RBRACE] = ACTIONS(3940),
    [anon_sym_let] = ACTIONS(3936),
    [anon_sym_LPAREN] = ACTIONS(3882),
    [anon_sym_SEMI] = ACTIONS(3884),
    [anon_sym_LBRACK] = ACTIONS(3886),
    [anon_sym_DQUOTE] = ACTIONS(1930),
    [anon_sym_SQUOTE] = ACTIONS(1932),
    [anon_sym_async] = ACTIONS(3942),
    [anon_sym_new] = ACTIONS(3944),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(243),
    [anon_sym_PLUS] = ACTIONS(3892),
    [anon_sym_DASH] = ACTIONS(3892),
    [anon_sym_LT] = ACTIONS(1902),
    [aux_sym_comment_token1] = ACTIONS(3),
    [sym_number] = ACTIONS(3894),
    [sym_private_property_identifier] = ACTIONS(3894),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(3946),
    [anon_sym_readonly] = ACTIONS(3948),
    [anon_sym_get] = ACTIONS(3950),
    [anon_sym_set] = ACTIONS(3950),
    [anon_sym_declare] = ACTIONS(3936),
    [anon_sym_public] = ACTIONS(3952),
    [anon_sym_private] = ACTIONS(3952),
    [anon_sym_protected] = ACTIONS(3952),
    [anon_sym_override] = ACTIONS(3954),
    [anon_sym_module] = ACTIONS(3936),
    [anon_sym_any] = ACTIONS(3936),
    [anon_sym_number] = ACTIONS(3936),
    [anon_sym_boolean] = ACTIONS(3936),
    [anon_sym_string] = ACTIONS(3936),
    [anon_sym_symbol] = ACTIONS(3936),
    [anon_sym_object] = ACTIONS(3936),
    [anon_sym_abstract] = ACTIONS(3906),
    [anon_sym_PIPE_RBRACE] = ACTIONS(3908),
    [sym_html_comment] = ACTIONS(5),
  },
  [1821] = {
    [sym_export_statement] = STATE(4905),
    [sym_object_pattern] = STATE(4283),
    [sym_object_assignment_pattern] = STATE(5931),
    [sym_array_pattern] = STATE(4283),
    [sym__call_signature] = STATE(5071),
    [sym__destructuring_pattern] = STATE(7361),
    [sym_spread_element] = STATE(6446),
    [sym_string] = STATE(4151),
    [sym_comment] = STATE(1821),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4200),
    [sym_rest_pattern] = STATE(5931),
    [sym_method_definition] = STATE(6446),
    [sym_pair] = STATE(6446),
    [sym_pair_pattern] = STATE(5931),
    [sym__property_name] = STATE(4034),
    [sym_computed_property_name] = STATE(4151),
    [sym_method_signature] = STATE(4905),
    [sym_accessibility_modifier] = STATE(3627),
    [sym_override_modifier] = STATE(3671),
    [sym_call_signature] = STATE(4905),
    [sym_property_signature] = STATE(4905),
    [sym_type_parameters] = STATE(6630),
    [sym_construct_signature] = STATE(4905),
    [sym_index_signature] = STATE(4905),
    [aux_sym_export_statement_repeat1] = STATE(5733),
    [aux_sym_object_repeat1] = STATE(6441),
    [aux_sym_object_pattern_repeat1] = STATE(5945),
    [sym_identifier] = ACTIONS(3936),
    [anon_sym_export] = ACTIONS(3938),
    [anon_sym_STAR] = ACTIONS(3874),
    [anon_sym_type] = ACTIONS(3936),
    [anon_sym_namespace] = ACTIONS(3936),
    [anon_sym_LBRACE] = ACTIONS(3876),
    [anon_sym_COMMA] = ACTIONS(3878),
    [anon_sym_RBRACE] = ACTIONS(3956),
    [anon_sym_let] = ACTIONS(3936),
    [anon_sym_LPAREN] = ACTIONS(3882),
    [anon_sym_SEMI] = ACTIONS(3884),
    [anon_sym_LBRACK] = ACTIONS(3886),
    [anon_sym_DQUOTE] = ACTIONS(1930),
    [anon_sym_SQUOTE] = ACTIONS(1932),
    [anon_sym_async] = ACTIONS(3942),
    [anon_sym_new] = ACTIONS(3944),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(243),
    [anon_sym_PLUS] = ACTIONS(3892),
    [anon_sym_DASH] = ACTIONS(3892),
    [anon_sym_LT] = ACTIONS(1902),
    [aux_sym_comment_token1] = ACTIONS(3),
    [sym_number] = ACTIONS(3894),
    [sym_private_property_identifier] = ACTIONS(3894),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(3946),
    [anon_sym_readonly] = ACTIONS(3948),
    [anon_sym_get] = ACTIONS(3950),
    [anon_sym_set] = ACTIONS(3950),
    [anon_sym_declare] = ACTIONS(3936),
    [anon_sym_public] = ACTIONS(3952),
    [anon_sym_private] = ACTIONS(3952),
    [anon_sym_protected] = ACTIONS(3952),
    [anon_sym_override] = ACTIONS(3954),
    [anon_sym_module] = ACTIONS(3936),
    [anon_sym_any] = ACTIONS(3936),
    [anon_sym_number] = ACTIONS(3936),
    [anon_sym_boolean] = ACTIONS(3936),
    [anon_sym_string] = ACTIONS(3936),
    [anon_sym_symbol] = ACTIONS(3936),
    [anon_sym_object] = ACTIONS(3936),
    [anon_sym_abstract] = ACTIONS(3906),
    [anon_sym_PIPE_RBRACE] = ACTIONS(3908),
    [sym_html_comment] = ACTIONS(5),
  },
  [1822] = {
    [sym_export_statement] = STATE(4894),
    [sym_object_pattern] = STATE(4283),
    [sym_object_assignment_pattern] = STATE(5931),
    [sym_array_pattern] = STATE(4283),
    [sym__call_signature] = STATE(5071),
    [sym__destructuring_pattern] = STATE(7361),
    [sym_spread_element] = STATE(6446),
    [sym_string] = STATE(4151),
    [sym_comment] = STATE(1822),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4200),
    [sym_rest_pattern] = STATE(5931),
    [sym_method_definition] = STATE(6446),
    [sym_pair] = STATE(6446),
    [sym_pair_pattern] = STATE(5931),
    [sym__property_name] = STATE(4034),
    [sym_computed_property_name] = STATE(4151),
    [sym_method_signature] = STATE(4894),
    [sym_accessibility_modifier] = STATE(3627),
    [sym_override_modifier] = STATE(3671),
    [sym_call_signature] = STATE(4894),
    [sym_property_signature] = STATE(4894),
    [sym_type_parameters] = STATE(6630),
    [sym_construct_signature] = STATE(4894),
    [sym_index_signature] = STATE(4894),
    [aux_sym_export_statement_repeat1] = STATE(5733),
    [aux_sym_object_repeat1] = STATE(6441),
    [aux_sym_object_pattern_repeat1] = STATE(5945),
    [sym_identifier] = ACTIONS(3870),
    [anon_sym_export] = ACTIONS(3872),
    [anon_sym_STAR] = ACTIONS(3874),
    [anon_sym_type] = ACTIONS(3870),
    [anon_sym_namespace] = ACTIONS(3870),
    [anon_sym_LBRACE] = ACTIONS(3876),
    [anon_sym_COMMA] = ACTIONS(3958),
    [anon_sym_RBRACE] = ACTIONS(3960),
    [anon_sym_let] = ACTIONS(3870),
    [anon_sym_LPAREN] = ACTIONS(3882),
    [anon_sym_SEMI] = ACTIONS(3962),
    [anon_sym_LBRACK] = ACTIONS(3886),
    [anon_sym_DQUOTE] = ACTIONS(1930),
    [anon_sym_SQUOTE] = ACTIONS(1932),
    [anon_sym_async] = ACTIONS(3888),
    [anon_sym_new] = ACTIONS(3890),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(243),
    [anon_sym_PLUS] = ACTIONS(3892),
    [anon_sym_DASH] = ACTIONS(3892),
    [anon_sym_LT] = ACTIONS(1902),
    [aux_sym_comment_token1] = ACTIONS(3),
    [sym_number] = ACTIONS(3894),
    [sym_private_property_identifier] = ACTIONS(3894),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(3896),
    [anon_sym_readonly] = ACTIONS(3898),
    [anon_sym_get] = ACTIONS(3900),
    [anon_sym_set] = ACTIONS(3900),
    [anon_sym_declare] = ACTIONS(3870),
    [anon_sym_public] = ACTIONS(3902),
    [anon_sym_private] = ACTIONS(3902),
    [anon_sym_protected] = ACTIONS(3902),
    [anon_sym_override] = ACTIONS(3904),
    [anon_sym_module] = ACTIONS(3870),
    [anon_sym_any] = ACTIONS(3870),
    [anon_sym_number] = ACTIONS(3870),
    [anon_sym_boolean] = ACTIONS(3870),
    [anon_sym_string] = ACTIONS(3870),
    [anon_sym_symbol] = ACTIONS(3870),
    [anon_sym_object] = ACTIONS(3870),
    [anon_sym_abstract] = ACTIONS(3906),
    [anon_sym_PIPE_RBRACE] = ACTIONS(3964),
    [sym_html_comment] = ACTIONS(5),
  },
  [1823] = {
    [sym_export_statement] = STATE(4905),
    [sym_object_pattern] = STATE(4283),
    [sym_object_assignment_pattern] = STATE(5931),
    [sym_array_pattern] = STATE(4283),
    [sym__call_signature] = STATE(5071),
    [sym__destructuring_pattern] = STATE(7361),
    [sym_spread_element] = STATE(5935),
    [sym_string] = STATE(4151),
    [sym_comment] = STATE(1823),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4200),
    [sym_rest_pattern] = STATE(5931),
    [sym_method_definition] = STATE(5935),
    [sym_pair] = STATE(5935),
    [sym_pair_pattern] = STATE(5931),
    [sym__property_name] = STATE(4034),
    [sym_computed_property_name] = STATE(4151),
    [sym_method_signature] = STATE(4905),
    [sym_accessibility_modifier] = STATE(3627),
    [sym_override_modifier] = STATE(3671),
    [sym_call_signature] = STATE(4905),
    [sym_property_signature] = STATE(4905),
    [sym_type_parameters] = STATE(6630),
    [sym_construct_signature] = STATE(4905),
    [sym_index_signature] = STATE(4905),
    [aux_sym_export_statement_repeat1] = STATE(5733),
    [aux_sym_object_repeat1] = STATE(5939),
    [aux_sym_object_pattern_repeat1] = STATE(5945),
    [sym_identifier] = ACTIONS(3966),
    [anon_sym_export] = ACTIONS(3968),
    [anon_sym_STAR] = ACTIONS(3874),
    [anon_sym_type] = ACTIONS(3966),
    [anon_sym_namespace] = ACTIONS(3966),
    [anon_sym_LBRACE] = ACTIONS(3876),
    [anon_sym_COMMA] = ACTIONS(3878),
    [anon_sym_RBRACE] = ACTIONS(3970),
    [anon_sym_let] = ACTIONS(3966),
    [anon_sym_LPAREN] = ACTIONS(3882),
    [anon_sym_SEMI] = ACTIONS(3884),
    [anon_sym_LBRACK] = ACTIONS(3886),
    [anon_sym_DQUOTE] = ACTIONS(1930),
    [anon_sym_SQUOTE] = ACTIONS(1932),
    [anon_sym_async] = ACTIONS(3972),
    [anon_sym_new] = ACTIONS(3974),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(243),
    [anon_sym_PLUS] = ACTIONS(3892),
    [anon_sym_DASH] = ACTIONS(3892),
    [anon_sym_LT] = ACTIONS(1902),
    [aux_sym_comment_token1] = ACTIONS(3),
    [sym_number] = ACTIONS(3894),
    [sym_private_property_identifier] = ACTIONS(3894),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(3976),
    [anon_sym_readonly] = ACTIONS(3978),
    [anon_sym_get] = ACTIONS(3980),
    [anon_sym_set] = ACTIONS(3980),
    [anon_sym_declare] = ACTIONS(3966),
    [anon_sym_public] = ACTIONS(3982),
    [anon_sym_private] = ACTIONS(3982),
    [anon_sym_protected] = ACTIONS(3982),
    [anon_sym_override] = ACTIONS(3984),
    [anon_sym_module] = ACTIONS(3966),
    [anon_sym_any] = ACTIONS(3966),
    [anon_sym_number] = ACTIONS(3966),
    [anon_sym_boolean] = ACTIONS(3966),
    [anon_sym_string] = ACTIONS(3966),
    [anon_sym_symbol] = ACTIONS(3966),
    [anon_sym_object] = ACTIONS(3966),
    [anon_sym_abstract] = ACTIONS(3906),
    [anon_sym_PIPE_RBRACE] = ACTIONS(3908),
    [sym_html_comment] = ACTIONS(5),
  },
  [1824] = {
    [sym_export_statement] = STATE(4905),
    [sym_object_pattern] = STATE(4283),
    [sym_object_assignment_pattern] = STATE(5931),
    [sym_array_pattern] = STATE(4283),
    [sym__call_signature] = STATE(5071),
    [sym__destructuring_pattern] = STATE(7361),
    [sym_spread_element] = STATE(5935),
    [sym_string] = STATE(4151),
    [sym_comment] = STATE(1824),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4200),
    [sym_rest_pattern] = STATE(5931),
    [sym_method_definition] = STATE(5935),
    [sym_pair] = STATE(5935),
    [sym_pair_pattern] = STATE(5931),
    [sym__property_name] = STATE(4034),
    [sym_computed_property_name] = STATE(4151),
    [sym_method_signature] = STATE(4905),
    [sym_accessibility_modifier] = STATE(3627),
    [sym_override_modifier] = STATE(3671),
    [sym_call_signature] = STATE(4905),
    [sym_property_signature] = STATE(4905),
    [sym_type_parameters] = STATE(6630),
    [sym_construct_signature] = STATE(4905),
    [sym_index_signature] = STATE(4905),
    [aux_sym_export_statement_repeat1] = STATE(5733),
    [aux_sym_object_repeat1] = STATE(5939),
    [aux_sym_object_pattern_repeat1] = STATE(5945),
    [sym_identifier] = ACTIONS(3966),
    [anon_sym_export] = ACTIONS(3968),
    [anon_sym_STAR] = ACTIONS(3874),
    [anon_sym_type] = ACTIONS(3966),
    [anon_sym_namespace] = ACTIONS(3966),
    [anon_sym_LBRACE] = ACTIONS(3876),
    [anon_sym_COMMA] = ACTIONS(3878),
    [anon_sym_RBRACE] = ACTIONS(3986),
    [anon_sym_let] = ACTIONS(3966),
    [anon_sym_LPAREN] = ACTIONS(3882),
    [anon_sym_SEMI] = ACTIONS(3884),
    [anon_sym_LBRACK] = ACTIONS(3886),
    [anon_sym_DQUOTE] = ACTIONS(1930),
    [anon_sym_SQUOTE] = ACTIONS(1932),
    [anon_sym_async] = ACTIONS(3972),
    [anon_sym_new] = ACTIONS(3974),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(243),
    [anon_sym_PLUS] = ACTIONS(3892),
    [anon_sym_DASH] = ACTIONS(3892),
    [anon_sym_LT] = ACTIONS(1902),
    [aux_sym_comment_token1] = ACTIONS(3),
    [sym_number] = ACTIONS(3894),
    [sym_private_property_identifier] = ACTIONS(3894),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(3976),
    [anon_sym_readonly] = ACTIONS(3978),
    [anon_sym_get] = ACTIONS(3980),
    [anon_sym_set] = ACTIONS(3980),
    [anon_sym_declare] = ACTIONS(3966),
    [anon_sym_public] = ACTIONS(3982),
    [anon_sym_private] = ACTIONS(3982),
    [anon_sym_protected] = ACTIONS(3982),
    [anon_sym_override] = ACTIONS(3984),
    [anon_sym_module] = ACTIONS(3966),
    [anon_sym_any] = ACTIONS(3966),
    [anon_sym_number] = ACTIONS(3966),
    [anon_sym_boolean] = ACTIONS(3966),
    [anon_sym_string] = ACTIONS(3966),
    [anon_sym_symbol] = ACTIONS(3966),
    [anon_sym_object] = ACTIONS(3966),
    [anon_sym_abstract] = ACTIONS(3906),
    [anon_sym_PIPE_RBRACE] = ACTIONS(3908),
    [sym_html_comment] = ACTIONS(5),
  },
  [1825] = {
    [sym_export_statement] = STATE(4905),
    [sym_object_pattern] = STATE(4283),
    [sym_object_assignment_pattern] = STATE(5931),
    [sym_array_pattern] = STATE(4283),
    [sym__call_signature] = STATE(5071),
    [sym__destructuring_pattern] = STATE(7361),
    [sym_spread_element] = STATE(6446),
    [sym_string] = STATE(4151),
    [sym_comment] = STATE(1825),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4200),
    [sym_rest_pattern] = STATE(5931),
    [sym_method_definition] = STATE(6446),
    [sym_pair] = STATE(6446),
    [sym_pair_pattern] = STATE(5931),
    [sym__property_name] = STATE(4034),
    [sym_computed_property_name] = STATE(4151),
    [sym_method_signature] = STATE(4905),
    [sym_accessibility_modifier] = STATE(3627),
    [sym_override_modifier] = STATE(3671),
    [sym_call_signature] = STATE(4905),
    [sym_property_signature] = STATE(4905),
    [sym_type_parameters] = STATE(6630),
    [sym_construct_signature] = STATE(4905),
    [sym_index_signature] = STATE(4905),
    [aux_sym_export_statement_repeat1] = STATE(5733),
    [aux_sym_object_repeat1] = STATE(6441),
    [aux_sym_object_pattern_repeat1] = STATE(5945),
    [sym_identifier] = ACTIONS(3988),
    [anon_sym_export] = ACTIONS(3990),
    [anon_sym_STAR] = ACTIONS(3874),
    [anon_sym_type] = ACTIONS(3988),
    [anon_sym_namespace] = ACTIONS(3988),
    [anon_sym_LBRACE] = ACTIONS(3876),
    [anon_sym_COMMA] = ACTIONS(3878),
    [anon_sym_RBRACE] = ACTIONS(3932),
    [anon_sym_let] = ACTIONS(3988),
    [anon_sym_LPAREN] = ACTIONS(3882),
    [anon_sym_SEMI] = ACTIONS(3884),
    [anon_sym_LBRACK] = ACTIONS(3886),
    [anon_sym_DQUOTE] = ACTIONS(1930),
    [anon_sym_SQUOTE] = ACTIONS(1932),
    [anon_sym_async] = ACTIONS(3992),
    [anon_sym_new] = ACTIONS(3994),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(243),
    [anon_sym_PLUS] = ACTIONS(3892),
    [anon_sym_DASH] = ACTIONS(3892),
    [anon_sym_LT] = ACTIONS(1902),
    [aux_sym_comment_token1] = ACTIONS(3),
    [sym_number] = ACTIONS(3894),
    [sym_private_property_identifier] = ACTIONS(3894),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(3996),
    [anon_sym_readonly] = ACTIONS(3998),
    [anon_sym_get] = ACTIONS(4000),
    [anon_sym_set] = ACTIONS(4000),
    [anon_sym_declare] = ACTIONS(3988),
    [anon_sym_public] = ACTIONS(4002),
    [anon_sym_private] = ACTIONS(4002),
    [anon_sym_protected] = ACTIONS(4002),
    [anon_sym_override] = ACTIONS(4004),
    [anon_sym_module] = ACTIONS(3988),
    [anon_sym_any] = ACTIONS(3988),
    [anon_sym_number] = ACTIONS(3988),
    [anon_sym_boolean] = ACTIONS(3988),
    [anon_sym_string] = ACTIONS(3988),
    [anon_sym_symbol] = ACTIONS(3988),
    [anon_sym_object] = ACTIONS(3988),
    [anon_sym_abstract] = ACTIONS(3906),
    [anon_sym_PIPE_RBRACE] = ACTIONS(3908),
    [sym_html_comment] = ACTIONS(5),
  },
  [1826] = {
    [sym_export_statement] = STATE(4905),
    [sym_object_pattern] = STATE(4283),
    [sym_object_assignment_pattern] = STATE(5931),
    [sym_array_pattern] = STATE(4283),
    [sym__call_signature] = STATE(5071),
    [sym__destructuring_pattern] = STATE(7361),
    [sym_spread_element] = STATE(6446),
    [sym_string] = STATE(4151),
    [sym_comment] = STATE(1826),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4200),
    [sym_rest_pattern] = STATE(5931),
    [sym_method_definition] = STATE(6446),
    [sym_pair] = STATE(6446),
    [sym_pair_pattern] = STATE(5931),
    [sym__property_name] = STATE(4034),
    [sym_computed_property_name] = STATE(4151),
    [sym_method_signature] = STATE(4905),
    [sym_accessibility_modifier] = STATE(3627),
    [sym_override_modifier] = STATE(3671),
    [sym_call_signature] = STATE(4905),
    [sym_property_signature] = STATE(4905),
    [sym_type_parameters] = STATE(6630),
    [sym_construct_signature] = STATE(4905),
    [sym_index_signature] = STATE(4905),
    [aux_sym_export_statement_repeat1] = STATE(5733),
    [aux_sym_object_repeat1] = STATE(6441),
    [aux_sym_object_pattern_repeat1] = STATE(5945),
    [sym_identifier] = ACTIONS(3870),
    [anon_sym_export] = ACTIONS(3872),
    [anon_sym_STAR] = ACTIONS(3874),
    [anon_sym_type] = ACTIONS(3870),
    [anon_sym_namespace] = ACTIONS(3870),
    [anon_sym_LBRACE] = ACTIONS(3876),
    [anon_sym_COMMA] = ACTIONS(3878),
    [anon_sym_RBRACE] = ACTIONS(3934),
    [anon_sym_let] = ACTIONS(3870),
    [anon_sym_LPAREN] = ACTIONS(3882),
    [anon_sym_SEMI] = ACTIONS(3884),
    [anon_sym_LBRACK] = ACTIONS(3886),
    [anon_sym_DQUOTE] = ACTIONS(1930),
    [anon_sym_SQUOTE] = ACTIONS(1932),
    [anon_sym_async] = ACTIONS(3888),
    [anon_sym_new] = ACTIONS(3890),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(243),
    [anon_sym_PLUS] = ACTIONS(3892),
    [anon_sym_DASH] = ACTIONS(3892),
    [anon_sym_LT] = ACTIONS(1902),
    [aux_sym_comment_token1] = ACTIONS(3),
    [sym_number] = ACTIONS(3894),
    [sym_private_property_identifier] = ACTIONS(3894),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(3896),
    [anon_sym_readonly] = ACTIONS(3898),
    [anon_sym_get] = ACTIONS(3900),
    [anon_sym_set] = ACTIONS(3900),
    [anon_sym_declare] = ACTIONS(3870),
    [anon_sym_public] = ACTIONS(3902),
    [anon_sym_private] = ACTIONS(3902),
    [anon_sym_protected] = ACTIONS(3902),
    [anon_sym_override] = ACTIONS(3904),
    [anon_sym_module] = ACTIONS(3870),
    [anon_sym_any] = ACTIONS(3870),
    [anon_sym_number] = ACTIONS(3870),
    [anon_sym_boolean] = ACTIONS(3870),
    [anon_sym_string] = ACTIONS(3870),
    [anon_sym_symbol] = ACTIONS(3870),
    [anon_sym_object] = ACTIONS(3870),
    [anon_sym_abstract] = ACTIONS(3906),
    [anon_sym_PIPE_RBRACE] = ACTIONS(3908),
    [sym_html_comment] = ACTIONS(5),
  },
  [1827] = {
    [sym_nested_identifier] = STATE(1194),
    [sym_string] = STATE(1215),
    [sym_comment] = STATE(1827),
    [sym__module] = STATE(1581),
    [aux_sym_object_repeat1] = STATE(6333),
    [aux_sym_object_pattern_repeat1] = STATE(6171),
    [sym_identifier] = ACTIONS(4006),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_EQ] = ACTIONS(1016),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_RBRACE] = ACTIONS(1053),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2693),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1024),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(4008),
    [anon_sym_SQUOTE] = ACTIONS(4010),
    [anon_sym_EQ_GT] = ACTIONS(1035),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2693),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_QMARK] = ACTIONS(1043),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(211),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [1828] = {
    [sym_nested_identifier] = STATE(407),
    [sym_string] = STATE(406),
    [sym_comment] = STATE(1828),
    [sym__module] = STATE(456),
    [aux_sym_object_repeat1] = STATE(6333),
    [aux_sym_object_pattern_repeat1] = STATE(6171),
    [sym_identifier] = ACTIONS(4012),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_EQ] = ACTIONS(1016),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_RBRACE] = ACTIONS(1022),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2693),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1024),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(4014),
    [anon_sym_SQUOTE] = ACTIONS(4016),
    [anon_sym_EQ_GT] = ACTIONS(1035),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2693),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_QMARK] = ACTIONS(1043),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(211),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [1829] = {
    [sym_variable_declarator] = STATE(5725),
    [sym_object_pattern] = STATE(4667),
    [sym_array_pattern] = STATE(4667),
    [sym__destructuring_pattern] = STATE(4584),
    [sym_comment] = STATE(1829),
    [aux_sym_object_repeat1] = STATE(6333),
    [aux_sym_object_pattern_repeat1] = STATE(6171),
    [sym_identifier] = ACTIONS(4018),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_EQ] = ACTIONS(1016),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_LBRACE] = ACTIONS(4020),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_RBRACE] = ACTIONS(1022),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2693),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1024),
    [anon_sym_LBRACK] = ACTIONS(4022),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_EQ_GT] = ACTIONS(1035),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2693),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_QMARK] = ACTIONS(1043),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(211),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [1830] = {
    [sym_nested_identifier] = STATE(7283),
    [sym_string] = STATE(3875),
    [sym_comment] = STATE(1830),
    [sym_formal_parameters] = STATE(7329),
    [sym_nested_type_identifier] = STATE(3821),
    [sym__type] = STATE(5667),
    [sym_constructor_type] = STATE(3924),
    [sym__primary_type] = STATE(3930),
    [sym_template_literal_type] = STATE(3873),
    [sym_infer_type] = STATE(3924),
    [sym_conditional_type] = STATE(3873),
    [sym_generic_type] = STATE(3873),
    [sym_type_query] = STATE(3873),
    [sym_index_type_query] = STATE(3873),
    [sym_lookup_type] = STATE(3873),
    [sym_literal_type] = STATE(3873),
    [sym__number] = STATE(3934),
    [sym_existential_type] = STATE(3873),
    [sym_flow_maybe_type] = STATE(3873),
    [sym_parenthesized_type] = STATE(3873),
    [sym_predefined_type] = STATE(3873),
    [sym_object_type] = STATE(3873),
    [sym_type_parameters] = STATE(6758),
    [sym_array_type] = STATE(3873),
    [sym_tuple_type] = STATE(3873),
    [sym_readonly_type] = STATE(3924),
    [sym_union_type] = STATE(3873),
    [sym_intersection_type] = STATE(3873),
    [sym_function_type] = STATE(3924),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(209),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_RBRACK] = ACTIONS(4024),
    [anon_sym_DQUOTE] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [anon_sym_new] = ACTIONS(1898),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(1900),
    [anon_sym_DASH] = ACTIONS(1900),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(207),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_any] = ACTIONS(207),
    [anon_sym_number] = ACTIONS(207),
    [anon_sym_boolean] = ACTIONS(207),
    [anon_sym_string] = ACTIONS(207),
    [anon_sym_symbol] = ACTIONS(207),
    [anon_sym_object] = ACTIONS(207),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [1831] = {
    [sym_nested_identifier] = STATE(7283),
    [sym_string] = STATE(3875),
    [sym_comment] = STATE(1831),
    [sym_formal_parameters] = STATE(7329),
    [sym_nested_type_identifier] = STATE(3821),
    [sym__type] = STATE(5644),
    [sym_constructor_type] = STATE(3924),
    [sym__primary_type] = STATE(3930),
    [sym_template_literal_type] = STATE(3873),
    [sym_infer_type] = STATE(3924),
    [sym_conditional_type] = STATE(3873),
    [sym_generic_type] = STATE(3873),
    [sym_type_query] = STATE(3873),
    [sym_index_type_query] = STATE(3873),
    [sym_lookup_type] = STATE(3873),
    [sym_literal_type] = STATE(3873),
    [sym__number] = STATE(3934),
    [sym_existential_type] = STATE(3873),
    [sym_flow_maybe_type] = STATE(3873),
    [sym_parenthesized_type] = STATE(3873),
    [sym_predefined_type] = STATE(3873),
    [sym_object_type] = STATE(3873),
    [sym_type_parameters] = STATE(6758),
    [sym_array_type] = STATE(3873),
    [sym_tuple_type] = STATE(3873),
    [sym_readonly_type] = STATE(3924),
    [sym_union_type] = STATE(3873),
    [sym_intersection_type] = STATE(3873),
    [sym_function_type] = STATE(3924),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(209),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_RBRACK] = ACTIONS(4026),
    [anon_sym_DQUOTE] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [anon_sym_new] = ACTIONS(1898),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(1900),
    [anon_sym_DASH] = ACTIONS(1900),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(207),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_any] = ACTIONS(207),
    [anon_sym_number] = ACTIONS(207),
    [anon_sym_boolean] = ACTIONS(207),
    [anon_sym_string] = ACTIONS(207),
    [anon_sym_symbol] = ACTIONS(207),
    [anon_sym_object] = ACTIONS(207),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [1832] = {
    [sym_nested_identifier] = STATE(407),
    [sym_string] = STATE(406),
    [sym_comment] = STATE(1832),
    [sym__module] = STATE(456),
    [aux_sym_object_repeat1] = STATE(6165),
    [aux_sym_object_pattern_repeat1] = STATE(6171),
    [sym_identifier] = ACTIONS(4012),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_EQ] = ACTIONS(1016),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_RBRACE] = ACTIONS(1051),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2693),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1024),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(4014),
    [anon_sym_SQUOTE] = ACTIONS(4016),
    [anon_sym_EQ_GT] = ACTIONS(1035),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2693),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_QMARK] = ACTIONS(1043),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(211),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [1833] = {
    [sym_nested_identifier] = STATE(7283),
    [sym_string] = STATE(3875),
    [sym_comment] = STATE(1833),
    [sym_formal_parameters] = STATE(7329),
    [sym_nested_type_identifier] = STATE(3821),
    [sym__type] = STATE(4794),
    [sym_constructor_type] = STATE(3924),
    [sym__primary_type] = STATE(3930),
    [sym_template_literal_type] = STATE(3873),
    [sym_infer_type] = STATE(3924),
    [sym_conditional_type] = STATE(3873),
    [sym_generic_type] = STATE(3873),
    [sym_type_query] = STATE(3873),
    [sym_index_type_query] = STATE(3873),
    [sym_lookup_type] = STATE(3873),
    [sym_literal_type] = STATE(3873),
    [sym__number] = STATE(3934),
    [sym_existential_type] = STATE(3873),
    [sym_flow_maybe_type] = STATE(3873),
    [sym_parenthesized_type] = STATE(3873),
    [sym_predefined_type] = STATE(3873),
    [sym_object_type] = STATE(3873),
    [sym_type_parameters] = STATE(6758),
    [sym_array_type] = STATE(3873),
    [sym_tuple_type] = STATE(3873),
    [sym_readonly_type] = STATE(3924),
    [sym_union_type] = STATE(3873),
    [sym_intersection_type] = STATE(3873),
    [sym_function_type] = STATE(3924),
    [sym_identifier] = ACTIONS(4028),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(209),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [sym_jsx_identifier] = ACTIONS(4030),
    [anon_sym_DQUOTE] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [anon_sym_new] = ACTIONS(1898),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(1900),
    [anon_sym_DASH] = ACTIONS(1900),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(207),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_any] = ACTIONS(207),
    [anon_sym_number] = ACTIONS(207),
    [anon_sym_boolean] = ACTIONS(207),
    [anon_sym_string] = ACTIONS(207),
    [anon_sym_symbol] = ACTIONS(207),
    [anon_sym_object] = ACTIONS(207),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [1834] = {
    [sym_variable_declarator] = STATE(5725),
    [sym_object_pattern] = STATE(4667),
    [sym_array_pattern] = STATE(4667),
    [sym__destructuring_pattern] = STATE(4584),
    [sym_comment] = STATE(1834),
    [aux_sym_object_repeat1] = STATE(6333),
    [aux_sym_object_pattern_repeat1] = STATE(6171),
    [sym_identifier] = ACTIONS(4018),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_EQ] = ACTIONS(1016),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_LBRACE] = ACTIONS(4020),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_RBRACE] = ACTIONS(1053),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2693),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1024),
    [anon_sym_LBRACK] = ACTIONS(4022),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_EQ_GT] = ACTIONS(1035),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2693),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_QMARK] = ACTIONS(1043),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(211),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [1835] = {
    [sym_nested_identifier] = STATE(1194),
    [sym_string] = STATE(1215),
    [sym_comment] = STATE(1835),
    [sym__module] = STATE(1581),
    [aux_sym_object_repeat1] = STATE(6333),
    [aux_sym_object_pattern_repeat1] = STATE(6171),
    [sym_identifier] = ACTIONS(4006),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_EQ] = ACTIONS(1016),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_RBRACE] = ACTIONS(1022),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2693),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1024),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(4008),
    [anon_sym_SQUOTE] = ACTIONS(4010),
    [anon_sym_EQ_GT] = ACTIONS(1035),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2693),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_QMARK] = ACTIONS(1043),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(211),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [1836] = {
    [sym_nested_identifier] = STATE(407),
    [sym_string] = STATE(406),
    [sym_comment] = STATE(1836),
    [sym__module] = STATE(456),
    [aux_sym_object_repeat1] = STATE(6333),
    [aux_sym_object_pattern_repeat1] = STATE(6171),
    [sym_identifier] = ACTIONS(4012),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_EQ] = ACTIONS(1016),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_RBRACE] = ACTIONS(1053),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2693),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1024),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(4014),
    [anon_sym_SQUOTE] = ACTIONS(4016),
    [anon_sym_EQ_GT] = ACTIONS(1035),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2693),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_QMARK] = ACTIONS(1043),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(211),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [1837] = {
    [sym_nested_identifier] = STATE(7283),
    [sym_string] = STATE(3875),
    [sym_comment] = STATE(1837),
    [sym_formal_parameters] = STATE(7329),
    [sym_nested_type_identifier] = STATE(3821),
    [sym__type] = STATE(5557),
    [sym_constructor_type] = STATE(3924),
    [sym__primary_type] = STATE(3930),
    [sym_template_literal_type] = STATE(3873),
    [sym_infer_type] = STATE(3924),
    [sym_conditional_type] = STATE(3873),
    [sym_generic_type] = STATE(3873),
    [sym_type_query] = STATE(3873),
    [sym_index_type_query] = STATE(3873),
    [sym_lookup_type] = STATE(3873),
    [sym_literal_type] = STATE(3873),
    [sym__number] = STATE(3934),
    [sym_existential_type] = STATE(3873),
    [sym_flow_maybe_type] = STATE(3873),
    [sym_parenthesized_type] = STATE(3873),
    [sym_predefined_type] = STATE(3873),
    [sym_object_type] = STATE(3873),
    [sym_type_parameters] = STATE(6758),
    [sym_array_type] = STATE(3873),
    [sym_tuple_type] = STATE(3873),
    [sym_readonly_type] = STATE(3924),
    [sym_union_type] = STATE(3873),
    [sym_intersection_type] = STATE(3873),
    [sym_function_type] = STATE(3924),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(209),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_RBRACK] = ACTIONS(4032),
    [anon_sym_DQUOTE] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [anon_sym_new] = ACTIONS(1898),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(1900),
    [anon_sym_DASH] = ACTIONS(1900),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(207),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_any] = ACTIONS(207),
    [anon_sym_number] = ACTIONS(207),
    [anon_sym_boolean] = ACTIONS(207),
    [anon_sym_string] = ACTIONS(207),
    [anon_sym_symbol] = ACTIONS(207),
    [anon_sym_object] = ACTIONS(207),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [1838] = {
    [sym_nested_identifier] = STATE(1194),
    [sym_string] = STATE(1215),
    [sym_comment] = STATE(1838),
    [sym__module] = STATE(1581),
    [aux_sym_object_repeat1] = STATE(6165),
    [aux_sym_object_pattern_repeat1] = STATE(6171),
    [sym_identifier] = ACTIONS(4006),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_EQ] = ACTIONS(1016),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_RBRACE] = ACTIONS(1051),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2693),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1024),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(4008),
    [anon_sym_SQUOTE] = ACTIONS(4010),
    [anon_sym_EQ_GT] = ACTIONS(1035),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2693),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_QMARK] = ACTIONS(1043),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(211),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [1839] = {
    [sym_variable_declarator] = STATE(5725),
    [sym_object_pattern] = STATE(4667),
    [sym_array_pattern] = STATE(4667),
    [sym__destructuring_pattern] = STATE(4584),
    [sym_comment] = STATE(1839),
    [aux_sym_object_repeat1] = STATE(6165),
    [aux_sym_object_pattern_repeat1] = STATE(6171),
    [sym_identifier] = ACTIONS(4018),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_EQ] = ACTIONS(1016),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_LBRACE] = ACTIONS(4020),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_RBRACE] = ACTIONS(1051),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2693),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1024),
    [anon_sym_LBRACK] = ACTIONS(4022),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_EQ_GT] = ACTIONS(1035),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2693),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_QMARK] = ACTIONS(1043),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(211),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [1840] = {
    [sym_nested_identifier] = STATE(7283),
    [sym_string] = STATE(3875),
    [sym_comment] = STATE(1840),
    [sym_formal_parameters] = STATE(7329),
    [sym_nested_type_identifier] = STATE(3821),
    [sym__type] = STATE(5586),
    [sym_constructor_type] = STATE(3924),
    [sym__primary_type] = STATE(3930),
    [sym_template_literal_type] = STATE(3873),
    [sym_infer_type] = STATE(3924),
    [sym_conditional_type] = STATE(3873),
    [sym_generic_type] = STATE(3873),
    [sym_type_query] = STATE(3873),
    [sym_index_type_query] = STATE(3873),
    [sym_lookup_type] = STATE(3873),
    [sym_literal_type] = STATE(3873),
    [sym__number] = STATE(3934),
    [sym_existential_type] = STATE(3873),
    [sym_flow_maybe_type] = STATE(3873),
    [sym_parenthesized_type] = STATE(3873),
    [sym_predefined_type] = STATE(3873),
    [sym_object_type] = STATE(3873),
    [sym_type_parameters] = STATE(6758),
    [sym_array_type] = STATE(3873),
    [sym_tuple_type] = STATE(3873),
    [sym_readonly_type] = STATE(3924),
    [sym_union_type] = STATE(3873),
    [sym_intersection_type] = STATE(3873),
    [sym_function_type] = STATE(3924),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(209),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_RBRACK] = ACTIONS(4034),
    [anon_sym_DQUOTE] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [anon_sym_new] = ACTIONS(1898),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(1900),
    [anon_sym_DASH] = ACTIONS(1900),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(207),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_any] = ACTIONS(207),
    [anon_sym_number] = ACTIONS(207),
    [anon_sym_boolean] = ACTIONS(207),
    [anon_sym_string] = ACTIONS(207),
    [anon_sym_symbol] = ACTIONS(207),
    [anon_sym_object] = ACTIONS(207),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [1841] = {
    [sym_nested_identifier] = STATE(7283),
    [sym_string] = STATE(3875),
    [sym_comment] = STATE(1841),
    [sym_formal_parameters] = STATE(7329),
    [sym_nested_type_identifier] = STATE(3821),
    [sym__type] = STATE(5748),
    [sym_constructor_type] = STATE(3924),
    [sym__primary_type] = STATE(3930),
    [sym_template_literal_type] = STATE(3873),
    [sym_infer_type] = STATE(3924),
    [sym_conditional_type] = STATE(3873),
    [sym_generic_type] = STATE(3873),
    [sym_type_query] = STATE(3873),
    [sym_index_type_query] = STATE(3873),
    [sym_lookup_type] = STATE(3873),
    [sym_literal_type] = STATE(3873),
    [sym__number] = STATE(3934),
    [sym_existential_type] = STATE(3873),
    [sym_flow_maybe_type] = STATE(3873),
    [sym_parenthesized_type] = STATE(3873),
    [sym_predefined_type] = STATE(3873),
    [sym_object_type] = STATE(3873),
    [sym_type_parameters] = STATE(6758),
    [sym_array_type] = STATE(3873),
    [sym_tuple_type] = STATE(3873),
    [sym_readonly_type] = STATE(3924),
    [sym_union_type] = STATE(3873),
    [sym_intersection_type] = STATE(3873),
    [sym_function_type] = STATE(3924),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(209),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_RBRACK] = ACTIONS(4036),
    [anon_sym_DQUOTE] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [anon_sym_new] = ACTIONS(1898),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(1900),
    [anon_sym_DASH] = ACTIONS(1900),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(207),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_any] = ACTIONS(207),
    [anon_sym_number] = ACTIONS(207),
    [anon_sym_boolean] = ACTIONS(207),
    [anon_sym_string] = ACTIONS(207),
    [anon_sym_symbol] = ACTIONS(207),
    [anon_sym_object] = ACTIONS(207),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [1842] = {
    [sym_nested_identifier] = STATE(7283),
    [sym_string] = STATE(3875),
    [sym_comment] = STATE(1842),
    [sym_formal_parameters] = STATE(7329),
    [sym_nested_type_identifier] = STATE(3821),
    [sym__type] = STATE(5632),
    [sym_constructor_type] = STATE(3924),
    [sym__primary_type] = STATE(3930),
    [sym_template_literal_type] = STATE(3873),
    [sym_infer_type] = STATE(3924),
    [sym_conditional_type] = STATE(3873),
    [sym_generic_type] = STATE(3873),
    [sym_type_query] = STATE(3873),
    [sym_index_type_query] = STATE(3873),
    [sym_lookup_type] = STATE(3873),
    [sym_literal_type] = STATE(3873),
    [sym__number] = STATE(3934),
    [sym_existential_type] = STATE(3873),
    [sym_flow_maybe_type] = STATE(3873),
    [sym_parenthesized_type] = STATE(3873),
    [sym_predefined_type] = STATE(3873),
    [sym_object_type] = STATE(3873),
    [sym_type_parameters] = STATE(6758),
    [sym_array_type] = STATE(3873),
    [sym_tuple_type] = STATE(3873),
    [sym_readonly_type] = STATE(3924),
    [sym_union_type] = STATE(3873),
    [sym_intersection_type] = STATE(3873),
    [sym_function_type] = STATE(3924),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(209),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_DQUOTE] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [anon_sym_new] = ACTIONS(1898),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(1900),
    [anon_sym_DASH] = ACTIONS(1900),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(207),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_any] = ACTIONS(207),
    [anon_sym_number] = ACTIONS(207),
    [anon_sym_boolean] = ACTIONS(207),
    [anon_sym_string] = ACTIONS(207),
    [anon_sym_symbol] = ACTIONS(207),
    [anon_sym_object] = ACTIONS(207),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [1843] = {
    [sym_nested_identifier] = STATE(7311),
    [sym_string] = STATE(2943),
    [sym_comment] = STATE(1843),
    [sym_formal_parameters] = STATE(7434),
    [sym_nested_type_identifier] = STATE(2799),
    [sym__type] = STATE(2895),
    [sym_constructor_type] = STATE(2950),
    [sym__primary_type] = STATE(2951),
    [sym_template_literal_type] = STATE(2939),
    [sym_infer_type] = STATE(2950),
    [sym_conditional_type] = STATE(2939),
    [sym_generic_type] = STATE(2939),
    [sym_type_query] = STATE(2939),
    [sym_index_type_query] = STATE(2939),
    [sym_lookup_type] = STATE(2939),
    [sym_literal_type] = STATE(2939),
    [sym__number] = STATE(2952),
    [sym_existential_type] = STATE(2939),
    [sym_flow_maybe_type] = STATE(2939),
    [sym_parenthesized_type] = STATE(2939),
    [sym_predefined_type] = STATE(2939),
    [sym_object_type] = STATE(2939),
    [sym_type_parameters] = STATE(6909),
    [sym_array_type] = STATE(2939),
    [sym_tuple_type] = STATE(2939),
    [sym_readonly_type] = STATE(2950),
    [sym_union_type] = STATE(2939),
    [sym_intersection_type] = STATE(2939),
    [sym_function_type] = STATE(2950),
    [sym_identifier] = ACTIONS(4038),
    [anon_sym_STAR] = ACTIONS(3784),
    [anon_sym_LBRACE] = ACTIONS(3786),
    [anon_sym_typeof] = ACTIONS(3788),
    [anon_sym_const] = ACTIONS(3790),
    [anon_sym_LPAREN] = ACTIONS(3792),
    [anon_sym_LBRACK] = ACTIONS(3794),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_new] = ACTIONS(3796),
    [anon_sym_AMP] = ACTIONS(3798),
    [anon_sym_PIPE] = ACTIONS(3800),
    [anon_sym_PLUS] = ACTIONS(3802),
    [anon_sym_DASH] = ACTIONS(3802),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(3804),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3806),
    [sym_number] = ACTIONS(3808),
    [sym_this] = ACTIONS(4040),
    [sym_true] = ACTIONS(3808),
    [sym_false] = ACTIONS(3808),
    [sym_null] = ACTIONS(3808),
    [sym_undefined] = ACTIONS(3808),
    [anon_sym_readonly] = ACTIONS(3812),
    [anon_sym_QMARK] = ACTIONS(3814),
    [anon_sym_any] = ACTIONS(3804),
    [anon_sym_number] = ACTIONS(3804),
    [anon_sym_boolean] = ACTIONS(3804),
    [anon_sym_string] = ACTIONS(3804),
    [anon_sym_symbol] = ACTIONS(3804),
    [anon_sym_object] = ACTIONS(3804),
    [anon_sym_abstract] = ACTIONS(3816),
    [anon_sym_infer] = ACTIONS(3820),
    [anon_sym_keyof] = ACTIONS(3822),
    [anon_sym_unique] = ACTIONS(3824),
    [anon_sym_unknown] = ACTIONS(3804),
    [anon_sym_never] = ACTIONS(3804),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3786),
    [sym_html_comment] = ACTIONS(5),
  },
  [1844] = {
    [sym_nested_identifier] = STATE(7283),
    [sym_string] = STATE(3875),
    [sym_comment] = STATE(1844),
    [sym_formal_parameters] = STATE(7329),
    [sym_nested_type_identifier] = STATE(3821),
    [sym__type] = STATE(3925),
    [sym_constructor_type] = STATE(3924),
    [sym__primary_type] = STATE(3930),
    [sym_template_literal_type] = STATE(3873),
    [sym_infer_type] = STATE(3924),
    [sym_conditional_type] = STATE(3873),
    [sym_generic_type] = STATE(3873),
    [sym_type_query] = STATE(3873),
    [sym_index_type_query] = STATE(3873),
    [sym_lookup_type] = STATE(3873),
    [sym_literal_type] = STATE(3873),
    [sym__number] = STATE(3934),
    [sym_existential_type] = STATE(3873),
    [sym_flow_maybe_type] = STATE(3873),
    [sym_parenthesized_type] = STATE(3873),
    [sym_predefined_type] = STATE(3873),
    [sym_object_type] = STATE(3873),
    [sym_type_parameters] = STATE(6758),
    [sym_array_type] = STATE(3873),
    [sym_tuple_type] = STATE(3873),
    [sym_readonly_type] = STATE(3924),
    [sym_union_type] = STATE(3873),
    [sym_intersection_type] = STATE(3873),
    [sym_function_type] = STATE(3924),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(209),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_DQUOTE] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [anon_sym_new] = ACTIONS(1898),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(1900),
    [anon_sym_DASH] = ACTIONS(1900),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(207),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_any] = ACTIONS(207),
    [anon_sym_number] = ACTIONS(207),
    [anon_sym_boolean] = ACTIONS(207),
    [anon_sym_string] = ACTIONS(207),
    [anon_sym_symbol] = ACTIONS(207),
    [anon_sym_object] = ACTIONS(207),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [1845] = {
    [sym_nested_identifier] = STATE(7283),
    [sym_string] = STATE(3875),
    [sym_comment] = STATE(1845),
    [sym_formal_parameters] = STATE(7329),
    [sym_nested_type_identifier] = STATE(3821),
    [sym__type] = STATE(5634),
    [sym_constructor_type] = STATE(3924),
    [sym__primary_type] = STATE(3930),
    [sym_template_literal_type] = STATE(3873),
    [sym_infer_type] = STATE(3924),
    [sym_conditional_type] = STATE(3873),
    [sym_generic_type] = STATE(3873),
    [sym_type_query] = STATE(3873),
    [sym_index_type_query] = STATE(3873),
    [sym_lookup_type] = STATE(3873),
    [sym_literal_type] = STATE(3873),
    [sym__number] = STATE(3934),
    [sym_existential_type] = STATE(3873),
    [sym_flow_maybe_type] = STATE(3873),
    [sym_parenthesized_type] = STATE(3873),
    [sym_predefined_type] = STATE(3873),
    [sym_object_type] = STATE(3873),
    [sym_type_parameters] = STATE(6758),
    [sym_array_type] = STATE(3873),
    [sym_tuple_type] = STATE(3873),
    [sym_readonly_type] = STATE(3924),
    [sym_union_type] = STATE(3873),
    [sym_intersection_type] = STATE(3873),
    [sym_function_type] = STATE(3924),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(209),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_DQUOTE] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [anon_sym_new] = ACTIONS(1898),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(1900),
    [anon_sym_DASH] = ACTIONS(1900),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(207),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_any] = ACTIONS(207),
    [anon_sym_number] = ACTIONS(207),
    [anon_sym_boolean] = ACTIONS(207),
    [anon_sym_string] = ACTIONS(207),
    [anon_sym_symbol] = ACTIONS(207),
    [anon_sym_object] = ACTIONS(207),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [1846] = {
    [sym_nested_identifier] = STATE(7283),
    [sym_string] = STATE(3875),
    [sym_comment] = STATE(1846),
    [sym_formal_parameters] = STATE(7329),
    [sym_nested_type_identifier] = STATE(3821),
    [sym__type] = STATE(5593),
    [sym_constructor_type] = STATE(3924),
    [sym__primary_type] = STATE(3930),
    [sym_template_literal_type] = STATE(3873),
    [sym_infer_type] = STATE(3924),
    [sym_conditional_type] = STATE(3873),
    [sym_generic_type] = STATE(3873),
    [sym_type_query] = STATE(3873),
    [sym_index_type_query] = STATE(3873),
    [sym_lookup_type] = STATE(3873),
    [sym_literal_type] = STATE(3873),
    [sym__number] = STATE(3934),
    [sym_existential_type] = STATE(3873),
    [sym_flow_maybe_type] = STATE(3873),
    [sym_parenthesized_type] = STATE(3873),
    [sym_predefined_type] = STATE(3873),
    [sym_object_type] = STATE(3873),
    [sym_type_parameters] = STATE(6758),
    [sym_array_type] = STATE(3873),
    [sym_tuple_type] = STATE(3873),
    [sym_readonly_type] = STATE(3924),
    [sym_union_type] = STATE(3873),
    [sym_intersection_type] = STATE(3873),
    [sym_function_type] = STATE(3924),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(209),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_DQUOTE] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [anon_sym_new] = ACTIONS(1898),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(1900),
    [anon_sym_DASH] = ACTIONS(1900),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(207),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_any] = ACTIONS(207),
    [anon_sym_number] = ACTIONS(207),
    [anon_sym_boolean] = ACTIONS(207),
    [anon_sym_string] = ACTIONS(207),
    [anon_sym_symbol] = ACTIONS(207),
    [anon_sym_object] = ACTIONS(207),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [1847] = {
    [sym_nested_identifier] = STATE(7344),
    [sym_string] = STATE(4431),
    [sym_comment] = STATE(1847),
    [sym_formal_parameters] = STATE(7555),
    [sym_nested_type_identifier] = STATE(4170),
    [sym__type] = STATE(4219),
    [sym_constructor_type] = STATE(4427),
    [sym__primary_type] = STATE(4425),
    [sym_template_literal_type] = STATE(4437),
    [sym_infer_type] = STATE(4427),
    [sym_conditional_type] = STATE(4437),
    [sym_generic_type] = STATE(4437),
    [sym_type_query] = STATE(4437),
    [sym_index_type_query] = STATE(4437),
    [sym_lookup_type] = STATE(4437),
    [sym_literal_type] = STATE(4437),
    [sym__number] = STATE(4424),
    [sym_existential_type] = STATE(4437),
    [sym_flow_maybe_type] = STATE(4437),
    [sym_parenthesized_type] = STATE(4437),
    [sym_predefined_type] = STATE(4437),
    [sym_object_type] = STATE(4437),
    [sym_type_parameters] = STATE(6962),
    [sym_array_type] = STATE(4437),
    [sym_tuple_type] = STATE(4437),
    [sym_readonly_type] = STATE(4427),
    [sym_union_type] = STATE(4437),
    [sym_intersection_type] = STATE(4437),
    [sym_function_type] = STATE(4427),
    [sym_identifier] = ACTIONS(4042),
    [anon_sym_STAR] = ACTIONS(3652),
    [anon_sym_LBRACE] = ACTIONS(3654),
    [anon_sym_typeof] = ACTIONS(3656),
    [anon_sym_const] = ACTIONS(3658),
    [anon_sym_LPAREN] = ACTIONS(3660),
    [anon_sym_LBRACK] = ACTIONS(3662),
    [anon_sym_DQUOTE] = ACTIONS(3664),
    [anon_sym_SQUOTE] = ACTIONS(3666),
    [anon_sym_new] = ACTIONS(3668),
    [anon_sym_AMP] = ACTIONS(3670),
    [anon_sym_PIPE] = ACTIONS(3672),
    [anon_sym_PLUS] = ACTIONS(3674),
    [anon_sym_DASH] = ACTIONS(3674),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(3676),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3678),
    [sym_number] = ACTIONS(3680),
    [sym_this] = ACTIONS(4044),
    [sym_true] = ACTIONS(3680),
    [sym_false] = ACTIONS(3680),
    [sym_null] = ACTIONS(3680),
    [sym_undefined] = ACTIONS(3680),
    [anon_sym_readonly] = ACTIONS(3684),
    [anon_sym_QMARK] = ACTIONS(3686),
    [anon_sym_any] = ACTIONS(3676),
    [anon_sym_number] = ACTIONS(3676),
    [anon_sym_boolean] = ACTIONS(3676),
    [anon_sym_string] = ACTIONS(3676),
    [anon_sym_symbol] = ACTIONS(3676),
    [anon_sym_object] = ACTIONS(3676),
    [anon_sym_abstract] = ACTIONS(3688),
    [anon_sym_infer] = ACTIONS(3692),
    [anon_sym_keyof] = ACTIONS(3694),
    [anon_sym_unique] = ACTIONS(3696),
    [anon_sym_unknown] = ACTIONS(3676),
    [anon_sym_never] = ACTIONS(3676),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3654),
    [sym_html_comment] = ACTIONS(5),
  },
  [1848] = {
    [sym_nested_identifier] = STATE(7229),
    [sym_string] = STATE(2505),
    [sym_comment] = STATE(1848),
    [sym_formal_parameters] = STATE(7316),
    [sym_nested_type_identifier] = STATE(2360),
    [sym__type] = STATE(2384),
    [sym_constructor_type] = STATE(2501),
    [sym__primary_type] = STATE(2499),
    [sym_template_literal_type] = STATE(2507),
    [sym_infer_type] = STATE(2501),
    [sym_conditional_type] = STATE(2507),
    [sym_generic_type] = STATE(2507),
    [sym_type_query] = STATE(2507),
    [sym_index_type_query] = STATE(2507),
    [sym_lookup_type] = STATE(2507),
    [sym_literal_type] = STATE(2507),
    [sym__number] = STATE(2498),
    [sym_existential_type] = STATE(2507),
    [sym_flow_maybe_type] = STATE(2507),
    [sym_parenthesized_type] = STATE(2507),
    [sym_predefined_type] = STATE(2507),
    [sym_object_type] = STATE(2507),
    [sym_type_parameters] = STATE(7078),
    [sym_array_type] = STATE(2507),
    [sym_tuple_type] = STATE(2507),
    [sym_readonly_type] = STATE(2501),
    [sym_union_type] = STATE(2507),
    [sym_intersection_type] = STATE(2507),
    [sym_function_type] = STATE(2501),
    [sym_identifier] = ACTIONS(4046),
    [anon_sym_STAR] = ACTIONS(3828),
    [anon_sym_LBRACE] = ACTIONS(3830),
    [anon_sym_typeof] = ACTIONS(3832),
    [anon_sym_const] = ACTIONS(3834),
    [anon_sym_LPAREN] = ACTIONS(3836),
    [anon_sym_LBRACK] = ACTIONS(3838),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_new] = ACTIONS(3840),
    [anon_sym_AMP] = ACTIONS(3842),
    [anon_sym_PIPE] = ACTIONS(3844),
    [anon_sym_PLUS] = ACTIONS(3846),
    [anon_sym_DASH] = ACTIONS(3846),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(3848),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3850),
    [sym_number] = ACTIONS(3852),
    [sym_this] = ACTIONS(4048),
    [sym_true] = ACTIONS(3852),
    [sym_false] = ACTIONS(3852),
    [sym_null] = ACTIONS(3852),
    [sym_undefined] = ACTIONS(3852),
    [anon_sym_readonly] = ACTIONS(3856),
    [anon_sym_QMARK] = ACTIONS(3858),
    [anon_sym_any] = ACTIONS(3848),
    [anon_sym_number] = ACTIONS(3848),
    [anon_sym_boolean] = ACTIONS(3848),
    [anon_sym_string] = ACTIONS(3848),
    [anon_sym_symbol] = ACTIONS(3848),
    [anon_sym_object] = ACTIONS(3848),
    [anon_sym_abstract] = ACTIONS(3860),
    [anon_sym_infer] = ACTIONS(3864),
    [anon_sym_keyof] = ACTIONS(3866),
    [anon_sym_unique] = ACTIONS(3868),
    [anon_sym_unknown] = ACTIONS(3848),
    [anon_sym_never] = ACTIONS(3848),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3830),
    [sym_html_comment] = ACTIONS(5),
  },
  [1849] = {
    [sym_nested_identifier] = STATE(7344),
    [sym_string] = STATE(4431),
    [sym_comment] = STATE(1849),
    [sym_formal_parameters] = STATE(7555),
    [sym_nested_type_identifier] = STATE(4170),
    [sym__type] = STATE(4220),
    [sym_constructor_type] = STATE(4427),
    [sym__primary_type] = STATE(4425),
    [sym_template_literal_type] = STATE(4437),
    [sym_infer_type] = STATE(4427),
    [sym_conditional_type] = STATE(4437),
    [sym_generic_type] = STATE(4437),
    [sym_type_query] = STATE(4437),
    [sym_index_type_query] = STATE(4437),
    [sym_lookup_type] = STATE(4437),
    [sym_literal_type] = STATE(4437),
    [sym__number] = STATE(4424),
    [sym_existential_type] = STATE(4437),
    [sym_flow_maybe_type] = STATE(4437),
    [sym_parenthesized_type] = STATE(4437),
    [sym_predefined_type] = STATE(4437),
    [sym_object_type] = STATE(4437),
    [sym_type_parameters] = STATE(6962),
    [sym_array_type] = STATE(4437),
    [sym_tuple_type] = STATE(4437),
    [sym_readonly_type] = STATE(4427),
    [sym_union_type] = STATE(4437),
    [sym_intersection_type] = STATE(4437),
    [sym_function_type] = STATE(4427),
    [sym_identifier] = ACTIONS(4042),
    [anon_sym_STAR] = ACTIONS(3652),
    [anon_sym_LBRACE] = ACTIONS(3654),
    [anon_sym_typeof] = ACTIONS(3656),
    [anon_sym_const] = ACTIONS(3658),
    [anon_sym_LPAREN] = ACTIONS(3660),
    [anon_sym_LBRACK] = ACTIONS(3662),
    [anon_sym_DQUOTE] = ACTIONS(3664),
    [anon_sym_SQUOTE] = ACTIONS(3666),
    [anon_sym_new] = ACTIONS(3668),
    [anon_sym_AMP] = ACTIONS(3670),
    [anon_sym_PIPE] = ACTIONS(3672),
    [anon_sym_PLUS] = ACTIONS(3674),
    [anon_sym_DASH] = ACTIONS(3674),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(3676),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3678),
    [sym_number] = ACTIONS(3680),
    [sym_this] = ACTIONS(4044),
    [sym_true] = ACTIONS(3680),
    [sym_false] = ACTIONS(3680),
    [sym_null] = ACTIONS(3680),
    [sym_undefined] = ACTIONS(3680),
    [anon_sym_readonly] = ACTIONS(3684),
    [anon_sym_QMARK] = ACTIONS(3686),
    [anon_sym_any] = ACTIONS(3676),
    [anon_sym_number] = ACTIONS(3676),
    [anon_sym_boolean] = ACTIONS(3676),
    [anon_sym_string] = ACTIONS(3676),
    [anon_sym_symbol] = ACTIONS(3676),
    [anon_sym_object] = ACTIONS(3676),
    [anon_sym_abstract] = ACTIONS(3688),
    [anon_sym_infer] = ACTIONS(3692),
    [anon_sym_keyof] = ACTIONS(3694),
    [anon_sym_unique] = ACTIONS(3696),
    [anon_sym_unknown] = ACTIONS(3676),
    [anon_sym_never] = ACTIONS(3676),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3654),
    [sym_html_comment] = ACTIONS(5),
  },
  [1850] = {
    [sym_nested_identifier] = STATE(7229),
    [sym_string] = STATE(2505),
    [sym_comment] = STATE(1850),
    [sym_formal_parameters] = STATE(7316),
    [sym_nested_type_identifier] = STATE(2360),
    [sym__type] = STATE(2490),
    [sym_constructor_type] = STATE(2501),
    [sym__primary_type] = STATE(2499),
    [sym_template_literal_type] = STATE(2507),
    [sym_infer_type] = STATE(2501),
    [sym_conditional_type] = STATE(2507),
    [sym_generic_type] = STATE(2507),
    [sym_type_query] = STATE(2507),
    [sym_index_type_query] = STATE(2507),
    [sym_lookup_type] = STATE(2507),
    [sym_literal_type] = STATE(2507),
    [sym__number] = STATE(2498),
    [sym_existential_type] = STATE(2507),
    [sym_flow_maybe_type] = STATE(2507),
    [sym_parenthesized_type] = STATE(2507),
    [sym_predefined_type] = STATE(2507),
    [sym_object_type] = STATE(2507),
    [sym_type_parameters] = STATE(7078),
    [sym_array_type] = STATE(2507),
    [sym_tuple_type] = STATE(2507),
    [sym_readonly_type] = STATE(2501),
    [sym_union_type] = STATE(2507),
    [sym_intersection_type] = STATE(2507),
    [sym_function_type] = STATE(2501),
    [sym_identifier] = ACTIONS(4046),
    [anon_sym_STAR] = ACTIONS(3828),
    [anon_sym_LBRACE] = ACTIONS(3830),
    [anon_sym_typeof] = ACTIONS(3832),
    [anon_sym_const] = ACTIONS(4050),
    [anon_sym_LPAREN] = ACTIONS(3836),
    [anon_sym_LBRACK] = ACTIONS(3838),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_new] = ACTIONS(3840),
    [anon_sym_AMP] = ACTIONS(3842),
    [anon_sym_PIPE] = ACTIONS(3844),
    [anon_sym_PLUS] = ACTIONS(3846),
    [anon_sym_DASH] = ACTIONS(3846),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(3848),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3850),
    [sym_number] = ACTIONS(3852),
    [sym_this] = ACTIONS(4048),
    [sym_true] = ACTIONS(3852),
    [sym_false] = ACTIONS(3852),
    [sym_null] = ACTIONS(3852),
    [sym_undefined] = ACTIONS(3852),
    [anon_sym_readonly] = ACTIONS(3856),
    [anon_sym_QMARK] = ACTIONS(3858),
    [anon_sym_any] = ACTIONS(3848),
    [anon_sym_number] = ACTIONS(3848),
    [anon_sym_boolean] = ACTIONS(3848),
    [anon_sym_string] = ACTIONS(3848),
    [anon_sym_symbol] = ACTIONS(3848),
    [anon_sym_object] = ACTIONS(3848),
    [anon_sym_abstract] = ACTIONS(3860),
    [anon_sym_infer] = ACTIONS(3864),
    [anon_sym_keyof] = ACTIONS(3866),
    [anon_sym_unique] = ACTIONS(3868),
    [anon_sym_unknown] = ACTIONS(3848),
    [anon_sym_never] = ACTIONS(3848),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3830),
    [sym_html_comment] = ACTIONS(5),
  },
  [1851] = {
    [sym_nested_identifier] = STATE(7229),
    [sym_string] = STATE(2505),
    [sym_comment] = STATE(1851),
    [sym_formal_parameters] = STATE(7316),
    [sym_nested_type_identifier] = STATE(2360),
    [sym__type] = STATE(2383),
    [sym_constructor_type] = STATE(2501),
    [sym__primary_type] = STATE(2499),
    [sym_template_literal_type] = STATE(2507),
    [sym_infer_type] = STATE(2501),
    [sym_conditional_type] = STATE(2507),
    [sym_generic_type] = STATE(2507),
    [sym_type_query] = STATE(2507),
    [sym_index_type_query] = STATE(2507),
    [sym_lookup_type] = STATE(2507),
    [sym_literal_type] = STATE(2507),
    [sym__number] = STATE(2498),
    [sym_existential_type] = STATE(2507),
    [sym_flow_maybe_type] = STATE(2507),
    [sym_parenthesized_type] = STATE(2507),
    [sym_predefined_type] = STATE(2507),
    [sym_object_type] = STATE(2507),
    [sym_type_parameters] = STATE(7078),
    [sym_array_type] = STATE(2507),
    [sym_tuple_type] = STATE(2507),
    [sym_readonly_type] = STATE(2501),
    [sym_union_type] = STATE(2507),
    [sym_intersection_type] = STATE(2507),
    [sym_function_type] = STATE(2501),
    [sym_identifier] = ACTIONS(4046),
    [anon_sym_STAR] = ACTIONS(3828),
    [anon_sym_LBRACE] = ACTIONS(3830),
    [anon_sym_typeof] = ACTIONS(3832),
    [anon_sym_const] = ACTIONS(3834),
    [anon_sym_LPAREN] = ACTIONS(3836),
    [anon_sym_LBRACK] = ACTIONS(3838),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_new] = ACTIONS(3840),
    [anon_sym_AMP] = ACTIONS(3842),
    [anon_sym_PIPE] = ACTIONS(3844),
    [anon_sym_PLUS] = ACTIONS(3846),
    [anon_sym_DASH] = ACTIONS(3846),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(3848),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3850),
    [sym_number] = ACTIONS(3852),
    [sym_this] = ACTIONS(4048),
    [sym_true] = ACTIONS(3852),
    [sym_false] = ACTIONS(3852),
    [sym_null] = ACTIONS(3852),
    [sym_undefined] = ACTIONS(3852),
    [anon_sym_readonly] = ACTIONS(3856),
    [anon_sym_QMARK] = ACTIONS(3858),
    [anon_sym_any] = ACTIONS(3848),
    [anon_sym_number] = ACTIONS(3848),
    [anon_sym_boolean] = ACTIONS(3848),
    [anon_sym_string] = ACTIONS(3848),
    [anon_sym_symbol] = ACTIONS(3848),
    [anon_sym_object] = ACTIONS(3848),
    [anon_sym_abstract] = ACTIONS(3860),
    [anon_sym_infer] = ACTIONS(3864),
    [anon_sym_keyof] = ACTIONS(3866),
    [anon_sym_unique] = ACTIONS(3868),
    [anon_sym_unknown] = ACTIONS(3848),
    [anon_sym_never] = ACTIONS(3848),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3830),
    [sym_html_comment] = ACTIONS(5),
  },
  [1852] = {
    [sym_nested_identifier] = STATE(7229),
    [sym_string] = STATE(2505),
    [sym_comment] = STATE(1852),
    [sym_formal_parameters] = STATE(7316),
    [sym_nested_type_identifier] = STATE(2360),
    [sym__type] = STATE(2475),
    [sym_constructor_type] = STATE(2501),
    [sym__primary_type] = STATE(2499),
    [sym_template_literal_type] = STATE(2507),
    [sym_infer_type] = STATE(2501),
    [sym_conditional_type] = STATE(2507),
    [sym_generic_type] = STATE(2507),
    [sym_type_query] = STATE(2507),
    [sym_index_type_query] = STATE(2507),
    [sym_lookup_type] = STATE(2507),
    [sym_literal_type] = STATE(2507),
    [sym__number] = STATE(2498),
    [sym_existential_type] = STATE(2507),
    [sym_flow_maybe_type] = STATE(2507),
    [sym_parenthesized_type] = STATE(2507),
    [sym_predefined_type] = STATE(2507),
    [sym_object_type] = STATE(2507),
    [sym_type_parameters] = STATE(7078),
    [sym_array_type] = STATE(2507),
    [sym_tuple_type] = STATE(2507),
    [sym_readonly_type] = STATE(2501),
    [sym_union_type] = STATE(2507),
    [sym_intersection_type] = STATE(2507),
    [sym_function_type] = STATE(2501),
    [sym_identifier] = ACTIONS(4046),
    [anon_sym_STAR] = ACTIONS(3828),
    [anon_sym_LBRACE] = ACTIONS(3830),
    [anon_sym_typeof] = ACTIONS(3832),
    [anon_sym_const] = ACTIONS(3834),
    [anon_sym_LPAREN] = ACTIONS(3836),
    [anon_sym_LBRACK] = ACTIONS(3838),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_new] = ACTIONS(3840),
    [anon_sym_AMP] = ACTIONS(3842),
    [anon_sym_PIPE] = ACTIONS(3844),
    [anon_sym_PLUS] = ACTIONS(3846),
    [anon_sym_DASH] = ACTIONS(3846),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(3848),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3850),
    [sym_number] = ACTIONS(3852),
    [sym_this] = ACTIONS(4048),
    [sym_true] = ACTIONS(3852),
    [sym_false] = ACTIONS(3852),
    [sym_null] = ACTIONS(3852),
    [sym_undefined] = ACTIONS(3852),
    [anon_sym_readonly] = ACTIONS(3856),
    [anon_sym_QMARK] = ACTIONS(3858),
    [anon_sym_any] = ACTIONS(3848),
    [anon_sym_number] = ACTIONS(3848),
    [anon_sym_boolean] = ACTIONS(3848),
    [anon_sym_string] = ACTIONS(3848),
    [anon_sym_symbol] = ACTIONS(3848),
    [anon_sym_object] = ACTIONS(3848),
    [anon_sym_abstract] = ACTIONS(3860),
    [anon_sym_infer] = ACTIONS(3864),
    [anon_sym_keyof] = ACTIONS(3866),
    [anon_sym_unique] = ACTIONS(3868),
    [anon_sym_unknown] = ACTIONS(3848),
    [anon_sym_never] = ACTIONS(3848),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3830),
    [sym_html_comment] = ACTIONS(5),
  },
  [1853] = {
    [sym_nested_identifier] = STATE(7229),
    [sym_string] = STATE(2505),
    [sym_comment] = STATE(1853),
    [sym_formal_parameters] = STATE(7316),
    [sym_nested_type_identifier] = STATE(2360),
    [sym__type] = STATE(2511),
    [sym_constructor_type] = STATE(2501),
    [sym__primary_type] = STATE(2499),
    [sym_template_literal_type] = STATE(2507),
    [sym_infer_type] = STATE(2501),
    [sym_conditional_type] = STATE(2507),
    [sym_generic_type] = STATE(2507),
    [sym_type_query] = STATE(2507),
    [sym_index_type_query] = STATE(2507),
    [sym_lookup_type] = STATE(2507),
    [sym_literal_type] = STATE(2507),
    [sym__number] = STATE(2498),
    [sym_existential_type] = STATE(2507),
    [sym_flow_maybe_type] = STATE(2507),
    [sym_parenthesized_type] = STATE(2507),
    [sym_predefined_type] = STATE(2507),
    [sym_object_type] = STATE(2507),
    [sym_type_parameters] = STATE(7078),
    [sym_array_type] = STATE(2507),
    [sym_tuple_type] = STATE(2507),
    [sym_readonly_type] = STATE(2501),
    [sym_union_type] = STATE(2507),
    [sym_intersection_type] = STATE(2507),
    [sym_function_type] = STATE(2501),
    [sym_identifier] = ACTIONS(4046),
    [anon_sym_STAR] = ACTIONS(3828),
    [anon_sym_LBRACE] = ACTIONS(3830),
    [anon_sym_typeof] = ACTIONS(3832),
    [anon_sym_const] = ACTIONS(3834),
    [anon_sym_LPAREN] = ACTIONS(3836),
    [anon_sym_LBRACK] = ACTIONS(3838),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_new] = ACTIONS(3840),
    [anon_sym_AMP] = ACTIONS(3842),
    [anon_sym_PIPE] = ACTIONS(3844),
    [anon_sym_PLUS] = ACTIONS(3846),
    [anon_sym_DASH] = ACTIONS(3846),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(3848),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3850),
    [sym_number] = ACTIONS(3852),
    [sym_this] = ACTIONS(4048),
    [sym_true] = ACTIONS(3852),
    [sym_false] = ACTIONS(3852),
    [sym_null] = ACTIONS(3852),
    [sym_undefined] = ACTIONS(3852),
    [anon_sym_readonly] = ACTIONS(3856),
    [anon_sym_QMARK] = ACTIONS(3858),
    [anon_sym_any] = ACTIONS(3848),
    [anon_sym_number] = ACTIONS(3848),
    [anon_sym_boolean] = ACTIONS(3848),
    [anon_sym_string] = ACTIONS(3848),
    [anon_sym_symbol] = ACTIONS(3848),
    [anon_sym_object] = ACTIONS(3848),
    [anon_sym_abstract] = ACTIONS(3860),
    [anon_sym_infer] = ACTIONS(3864),
    [anon_sym_keyof] = ACTIONS(3866),
    [anon_sym_unique] = ACTIONS(3868),
    [anon_sym_unknown] = ACTIONS(3848),
    [anon_sym_never] = ACTIONS(3848),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3830),
    [sym_html_comment] = ACTIONS(5),
  },
  [1854] = {
    [sym_nested_identifier] = STATE(7229),
    [sym_string] = STATE(2505),
    [sym_comment] = STATE(1854),
    [sym_formal_parameters] = STATE(7316),
    [sym_nested_type_identifier] = STATE(2360),
    [sym__type] = STATE(2474),
    [sym_constructor_type] = STATE(2501),
    [sym__primary_type] = STATE(2499),
    [sym_template_literal_type] = STATE(2507),
    [sym_infer_type] = STATE(2501),
    [sym_conditional_type] = STATE(2507),
    [sym_generic_type] = STATE(2507),
    [sym_type_query] = STATE(2507),
    [sym_index_type_query] = STATE(2507),
    [sym_lookup_type] = STATE(2507),
    [sym_literal_type] = STATE(2507),
    [sym__number] = STATE(2498),
    [sym_existential_type] = STATE(2507),
    [sym_flow_maybe_type] = STATE(2507),
    [sym_parenthesized_type] = STATE(2507),
    [sym_predefined_type] = STATE(2507),
    [sym_object_type] = STATE(2507),
    [sym_type_parameters] = STATE(7078),
    [sym_array_type] = STATE(2507),
    [sym_tuple_type] = STATE(2507),
    [sym_readonly_type] = STATE(2501),
    [sym_union_type] = STATE(2507),
    [sym_intersection_type] = STATE(2507),
    [sym_function_type] = STATE(2501),
    [sym_identifier] = ACTIONS(4046),
    [anon_sym_STAR] = ACTIONS(3828),
    [anon_sym_LBRACE] = ACTIONS(3830),
    [anon_sym_typeof] = ACTIONS(3832),
    [anon_sym_const] = ACTIONS(3834),
    [anon_sym_LPAREN] = ACTIONS(3836),
    [anon_sym_LBRACK] = ACTIONS(3838),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_new] = ACTIONS(3840),
    [anon_sym_AMP] = ACTIONS(3842),
    [anon_sym_PIPE] = ACTIONS(3844),
    [anon_sym_PLUS] = ACTIONS(3846),
    [anon_sym_DASH] = ACTIONS(3846),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(3848),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3850),
    [sym_number] = ACTIONS(3852),
    [sym_this] = ACTIONS(4048),
    [sym_true] = ACTIONS(3852),
    [sym_false] = ACTIONS(3852),
    [sym_null] = ACTIONS(3852),
    [sym_undefined] = ACTIONS(3852),
    [anon_sym_readonly] = ACTIONS(3856),
    [anon_sym_QMARK] = ACTIONS(3858),
    [anon_sym_any] = ACTIONS(3848),
    [anon_sym_number] = ACTIONS(3848),
    [anon_sym_boolean] = ACTIONS(3848),
    [anon_sym_string] = ACTIONS(3848),
    [anon_sym_symbol] = ACTIONS(3848),
    [anon_sym_object] = ACTIONS(3848),
    [anon_sym_abstract] = ACTIONS(3860),
    [anon_sym_infer] = ACTIONS(3864),
    [anon_sym_keyof] = ACTIONS(3866),
    [anon_sym_unique] = ACTIONS(3868),
    [anon_sym_unknown] = ACTIONS(3848),
    [anon_sym_never] = ACTIONS(3848),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3830),
    [sym_html_comment] = ACTIONS(5),
  },
  [1855] = {
    [sym_nested_identifier] = STATE(7283),
    [sym_string] = STATE(3875),
    [sym_comment] = STATE(1855),
    [sym_formal_parameters] = STATE(7329),
    [sym_nested_type_identifier] = STATE(3821),
    [sym__type] = STATE(3902),
    [sym_constructor_type] = STATE(3924),
    [sym__primary_type] = STATE(3930),
    [sym_template_literal_type] = STATE(3873),
    [sym_infer_type] = STATE(3924),
    [sym_conditional_type] = STATE(3873),
    [sym_generic_type] = STATE(3873),
    [sym_type_query] = STATE(3873),
    [sym_index_type_query] = STATE(3873),
    [sym_lookup_type] = STATE(3873),
    [sym_literal_type] = STATE(3873),
    [sym__number] = STATE(3934),
    [sym_existential_type] = STATE(3873),
    [sym_flow_maybe_type] = STATE(3873),
    [sym_parenthesized_type] = STATE(3873),
    [sym_predefined_type] = STATE(3873),
    [sym_object_type] = STATE(3873),
    [sym_type_parameters] = STATE(6758),
    [sym_array_type] = STATE(3873),
    [sym_tuple_type] = STATE(3873),
    [sym_readonly_type] = STATE(3924),
    [sym_union_type] = STATE(3873),
    [sym_intersection_type] = STATE(3873),
    [sym_function_type] = STATE(3924),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(209),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_DQUOTE] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [anon_sym_new] = ACTIONS(1898),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(1900),
    [anon_sym_DASH] = ACTIONS(1900),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(207),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_any] = ACTIONS(207),
    [anon_sym_number] = ACTIONS(207),
    [anon_sym_boolean] = ACTIONS(207),
    [anon_sym_string] = ACTIONS(207),
    [anon_sym_symbol] = ACTIONS(207),
    [anon_sym_object] = ACTIONS(207),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [1856] = {
    [sym_nested_identifier] = STATE(7283),
    [sym_string] = STATE(3875),
    [sym_comment] = STATE(1856),
    [sym_formal_parameters] = STATE(7329),
    [sym_nested_type_identifier] = STATE(3821),
    [sym__type] = STATE(6224),
    [sym_constructor_type] = STATE(3924),
    [sym__primary_type] = STATE(5157),
    [sym_template_literal_type] = STATE(3873),
    [sym_infer_type] = STATE(5720),
    [sym_conditional_type] = STATE(3873),
    [sym_generic_type] = STATE(3873),
    [sym_type_query] = STATE(3873),
    [sym_index_type_query] = STATE(3873),
    [sym_lookup_type] = STATE(3873),
    [sym_literal_type] = STATE(3873),
    [sym__number] = STATE(3934),
    [sym_existential_type] = STATE(3873),
    [sym_flow_maybe_type] = STATE(3873),
    [sym_parenthesized_type] = STATE(3873),
    [sym_predefined_type] = STATE(3873),
    [sym_object_type] = STATE(3873),
    [sym_type_parameters] = STATE(6758),
    [sym_array_type] = STATE(3873),
    [sym_tuple_type] = STATE(3873),
    [sym_readonly_type] = STATE(3924),
    [sym_union_type] = STATE(3873),
    [sym_intersection_type] = STATE(3873),
    [sym_function_type] = STATE(3924),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(209),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_DQUOTE] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [anon_sym_new] = ACTIONS(1898),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(1900),
    [anon_sym_DASH] = ACTIONS(1900),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(207),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_any] = ACTIONS(207),
    [anon_sym_number] = ACTIONS(207),
    [anon_sym_boolean] = ACTIONS(207),
    [anon_sym_string] = ACTIONS(207),
    [anon_sym_symbol] = ACTIONS(207),
    [anon_sym_object] = ACTIONS(207),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [1857] = {
    [sym_nested_identifier] = STATE(7283),
    [sym_string] = STATE(3875),
    [sym_comment] = STATE(1857),
    [sym_formal_parameters] = STATE(7329),
    [sym_nested_type_identifier] = STATE(3821),
    [sym__type] = STATE(6224),
    [sym_constructor_type] = STATE(3924),
    [sym__primary_type] = STATE(3901),
    [sym_template_literal_type] = STATE(3873),
    [sym_infer_type] = STATE(3924),
    [sym_conditional_type] = STATE(3873),
    [sym_generic_type] = STATE(3873),
    [sym_type_query] = STATE(3873),
    [sym_index_type_query] = STATE(3873),
    [sym_lookup_type] = STATE(3873),
    [sym_literal_type] = STATE(3873),
    [sym__number] = STATE(3934),
    [sym_existential_type] = STATE(3873),
    [sym_flow_maybe_type] = STATE(3873),
    [sym_parenthesized_type] = STATE(3873),
    [sym_predefined_type] = STATE(3873),
    [sym_object_type] = STATE(3873),
    [sym_type_parameters] = STATE(6758),
    [sym_array_type] = STATE(3873),
    [sym_tuple_type] = STATE(3873),
    [sym_readonly_type] = STATE(3924),
    [sym_union_type] = STATE(3873),
    [sym_intersection_type] = STATE(3873),
    [sym_function_type] = STATE(3924),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(209),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_DQUOTE] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [anon_sym_new] = ACTIONS(1898),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(1900),
    [anon_sym_DASH] = ACTIONS(1900),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(207),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_any] = ACTIONS(207),
    [anon_sym_number] = ACTIONS(207),
    [anon_sym_boolean] = ACTIONS(207),
    [anon_sym_string] = ACTIONS(207),
    [anon_sym_symbol] = ACTIONS(207),
    [anon_sym_object] = ACTIONS(207),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [1858] = {
    [sym_nested_identifier] = STATE(7203),
    [sym_string] = STATE(4142),
    [sym_comment] = STATE(1858),
    [sym_formal_parameters] = STATE(7533),
    [sym_nested_type_identifier] = STATE(4018),
    [sym__type] = STATE(4134),
    [sym_constructor_type] = STATE(4150),
    [sym__primary_type] = STATE(4152),
    [sym_template_literal_type] = STATE(4126),
    [sym_infer_type] = STATE(4150),
    [sym_conditional_type] = STATE(4126),
    [sym_generic_type] = STATE(4126),
    [sym_type_query] = STATE(4126),
    [sym_index_type_query] = STATE(4126),
    [sym_lookup_type] = STATE(4126),
    [sym_literal_type] = STATE(4126),
    [sym__number] = STATE(4153),
    [sym_existential_type] = STATE(4126),
    [sym_flow_maybe_type] = STATE(4126),
    [sym_parenthesized_type] = STATE(4126),
    [sym_predefined_type] = STATE(4126),
    [sym_object_type] = STATE(4126),
    [sym_type_parameters] = STATE(7111),
    [sym_array_type] = STATE(4126),
    [sym_tuple_type] = STATE(4126),
    [sym_readonly_type] = STATE(4150),
    [sym_union_type] = STATE(4126),
    [sym_intersection_type] = STATE(4126),
    [sym_function_type] = STATE(4150),
    [sym_identifier] = ACTIONS(1922),
    [anon_sym_STAR] = ACTIONS(1296),
    [anon_sym_LBRACE] = ACTIONS(1342),
    [anon_sym_typeof] = ACTIONS(1924),
    [anon_sym_const] = ACTIONS(1302),
    [anon_sym_LPAREN] = ACTIONS(1926),
    [anon_sym_LBRACK] = ACTIONS(1928),
    [anon_sym_DQUOTE] = ACTIONS(1930),
    [anon_sym_SQUOTE] = ACTIONS(1932),
    [anon_sym_new] = ACTIONS(1934),
    [anon_sym_AMP] = ACTIONS(1310),
    [anon_sym_PIPE] = ACTIONS(1312),
    [anon_sym_PLUS] = ACTIONS(1936),
    [anon_sym_DASH] = ACTIONS(1936),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(1340),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1938),
    [sym_number] = ACTIONS(1940),
    [sym_this] = ACTIONS(1942),
    [sym_true] = ACTIONS(1940),
    [sym_false] = ACTIONS(1940),
    [sym_null] = ACTIONS(1940),
    [sym_undefined] = ACTIONS(1940),
    [anon_sym_readonly] = ACTIONS(1944),
    [anon_sym_QMARK] = ACTIONS(1328),
    [anon_sym_any] = ACTIONS(1340),
    [anon_sym_number] = ACTIONS(1340),
    [anon_sym_boolean] = ACTIONS(1340),
    [anon_sym_string] = ACTIONS(1340),
    [anon_sym_symbol] = ACTIONS(1340),
    [anon_sym_object] = ACTIONS(1340),
    [anon_sym_abstract] = ACTIONS(1332),
    [anon_sym_infer] = ACTIONS(1334),
    [anon_sym_keyof] = ACTIONS(1336),
    [anon_sym_unique] = ACTIONS(1338),
    [anon_sym_unknown] = ACTIONS(1340),
    [anon_sym_never] = ACTIONS(1340),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1342),
    [sym_html_comment] = ACTIONS(5),
  },
  [1859] = {
    [sym_nested_identifier] = STATE(7203),
    [sym_string] = STATE(4142),
    [sym_comment] = STATE(1859),
    [sym_formal_parameters] = STATE(7533),
    [sym_nested_type_identifier] = STATE(4018),
    [sym__type] = STATE(4128),
    [sym_constructor_type] = STATE(4150),
    [sym__primary_type] = STATE(4152),
    [sym_template_literal_type] = STATE(4126),
    [sym_infer_type] = STATE(4150),
    [sym_conditional_type] = STATE(4126),
    [sym_generic_type] = STATE(4126),
    [sym_type_query] = STATE(4126),
    [sym_index_type_query] = STATE(4126),
    [sym_lookup_type] = STATE(4126),
    [sym_literal_type] = STATE(4126),
    [sym__number] = STATE(4153),
    [sym_existential_type] = STATE(4126),
    [sym_flow_maybe_type] = STATE(4126),
    [sym_parenthesized_type] = STATE(4126),
    [sym_predefined_type] = STATE(4126),
    [sym_object_type] = STATE(4126),
    [sym_type_parameters] = STATE(7111),
    [sym_array_type] = STATE(4126),
    [sym_tuple_type] = STATE(4126),
    [sym_readonly_type] = STATE(4150),
    [sym_union_type] = STATE(4126),
    [sym_intersection_type] = STATE(4126),
    [sym_function_type] = STATE(4150),
    [sym_identifier] = ACTIONS(1922),
    [anon_sym_STAR] = ACTIONS(1296),
    [anon_sym_LBRACE] = ACTIONS(1342),
    [anon_sym_typeof] = ACTIONS(1924),
    [anon_sym_const] = ACTIONS(1302),
    [anon_sym_LPAREN] = ACTIONS(1926),
    [anon_sym_LBRACK] = ACTIONS(1928),
    [anon_sym_DQUOTE] = ACTIONS(1930),
    [anon_sym_SQUOTE] = ACTIONS(1932),
    [anon_sym_new] = ACTIONS(1934),
    [anon_sym_AMP] = ACTIONS(1310),
    [anon_sym_PIPE] = ACTIONS(1312),
    [anon_sym_PLUS] = ACTIONS(1936),
    [anon_sym_DASH] = ACTIONS(1936),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(1340),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1938),
    [sym_number] = ACTIONS(1940),
    [sym_this] = ACTIONS(1942),
    [sym_true] = ACTIONS(1940),
    [sym_false] = ACTIONS(1940),
    [sym_null] = ACTIONS(1940),
    [sym_undefined] = ACTIONS(1940),
    [anon_sym_readonly] = ACTIONS(1944),
    [anon_sym_QMARK] = ACTIONS(1328),
    [anon_sym_any] = ACTIONS(1340),
    [anon_sym_number] = ACTIONS(1340),
    [anon_sym_boolean] = ACTIONS(1340),
    [anon_sym_string] = ACTIONS(1340),
    [anon_sym_symbol] = ACTIONS(1340),
    [anon_sym_object] = ACTIONS(1340),
    [anon_sym_abstract] = ACTIONS(1332),
    [anon_sym_infer] = ACTIONS(1334),
    [anon_sym_keyof] = ACTIONS(1336),
    [anon_sym_unique] = ACTIONS(1338),
    [anon_sym_unknown] = ACTIONS(1340),
    [anon_sym_never] = ACTIONS(1340),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1342),
    [sym_html_comment] = ACTIONS(5),
  },
  [1860] = {
    [sym_nested_identifier] = STATE(7203),
    [sym_string] = STATE(4142),
    [sym_comment] = STATE(1860),
    [sym_formal_parameters] = STATE(7533),
    [sym_nested_type_identifier] = STATE(4018),
    [sym__type] = STATE(4138),
    [sym_constructor_type] = STATE(4150),
    [sym__primary_type] = STATE(4152),
    [sym_template_literal_type] = STATE(4126),
    [sym_infer_type] = STATE(4150),
    [sym_conditional_type] = STATE(4126),
    [sym_generic_type] = STATE(4126),
    [sym_type_query] = STATE(4126),
    [sym_index_type_query] = STATE(4126),
    [sym_lookup_type] = STATE(4126),
    [sym_literal_type] = STATE(4126),
    [sym__number] = STATE(4153),
    [sym_existential_type] = STATE(4126),
    [sym_flow_maybe_type] = STATE(4126),
    [sym_parenthesized_type] = STATE(4126),
    [sym_predefined_type] = STATE(4126),
    [sym_object_type] = STATE(4126),
    [sym_type_parameters] = STATE(7111),
    [sym_array_type] = STATE(4126),
    [sym_tuple_type] = STATE(4126),
    [sym_readonly_type] = STATE(4150),
    [sym_union_type] = STATE(4126),
    [sym_intersection_type] = STATE(4126),
    [sym_function_type] = STATE(4150),
    [sym_identifier] = ACTIONS(1922),
    [anon_sym_STAR] = ACTIONS(1296),
    [anon_sym_LBRACE] = ACTIONS(1342),
    [anon_sym_typeof] = ACTIONS(1924),
    [anon_sym_const] = ACTIONS(1302),
    [anon_sym_LPAREN] = ACTIONS(1926),
    [anon_sym_LBRACK] = ACTIONS(1928),
    [anon_sym_DQUOTE] = ACTIONS(1930),
    [anon_sym_SQUOTE] = ACTIONS(1932),
    [anon_sym_new] = ACTIONS(1934),
    [anon_sym_AMP] = ACTIONS(1310),
    [anon_sym_PIPE] = ACTIONS(1312),
    [anon_sym_PLUS] = ACTIONS(1936),
    [anon_sym_DASH] = ACTIONS(1936),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(1340),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1938),
    [sym_number] = ACTIONS(1940),
    [sym_this] = ACTIONS(1942),
    [sym_true] = ACTIONS(1940),
    [sym_false] = ACTIONS(1940),
    [sym_null] = ACTIONS(1940),
    [sym_undefined] = ACTIONS(1940),
    [anon_sym_readonly] = ACTIONS(1944),
    [anon_sym_QMARK] = ACTIONS(1328),
    [anon_sym_any] = ACTIONS(1340),
    [anon_sym_number] = ACTIONS(1340),
    [anon_sym_boolean] = ACTIONS(1340),
    [anon_sym_string] = ACTIONS(1340),
    [anon_sym_symbol] = ACTIONS(1340),
    [anon_sym_object] = ACTIONS(1340),
    [anon_sym_abstract] = ACTIONS(1332),
    [anon_sym_infer] = ACTIONS(1334),
    [anon_sym_keyof] = ACTIONS(1336),
    [anon_sym_unique] = ACTIONS(1338),
    [anon_sym_unknown] = ACTIONS(1340),
    [anon_sym_never] = ACTIONS(1340),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1342),
    [sym_html_comment] = ACTIONS(5),
  },
  [1861] = {
    [sym_nested_identifier] = STATE(7283),
    [sym_string] = STATE(3875),
    [sym_comment] = STATE(1861),
    [sym_formal_parameters] = STATE(7329),
    [sym_nested_type_identifier] = STATE(3821),
    [sym__type] = STATE(5614),
    [sym_constructor_type] = STATE(3924),
    [sym__primary_type] = STATE(3930),
    [sym_template_literal_type] = STATE(3873),
    [sym_infer_type] = STATE(3924),
    [sym_conditional_type] = STATE(3873),
    [sym_generic_type] = STATE(3873),
    [sym_type_query] = STATE(3873),
    [sym_index_type_query] = STATE(3873),
    [sym_lookup_type] = STATE(3873),
    [sym_literal_type] = STATE(3873),
    [sym__number] = STATE(3934),
    [sym_existential_type] = STATE(3873),
    [sym_flow_maybe_type] = STATE(3873),
    [sym_parenthesized_type] = STATE(3873),
    [sym_predefined_type] = STATE(3873),
    [sym_object_type] = STATE(3873),
    [sym_type_parameters] = STATE(6758),
    [sym_array_type] = STATE(3873),
    [sym_tuple_type] = STATE(3873),
    [sym_readonly_type] = STATE(3924),
    [sym_union_type] = STATE(3873),
    [sym_intersection_type] = STATE(3873),
    [sym_function_type] = STATE(3924),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(209),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_DQUOTE] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [anon_sym_new] = ACTIONS(1898),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(1900),
    [anon_sym_DASH] = ACTIONS(1900),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(207),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_any] = ACTIONS(207),
    [anon_sym_number] = ACTIONS(207),
    [anon_sym_boolean] = ACTIONS(207),
    [anon_sym_string] = ACTIONS(207),
    [anon_sym_symbol] = ACTIONS(207),
    [anon_sym_object] = ACTIONS(207),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [1862] = {
    [sym_nested_identifier] = STATE(7283),
    [sym_string] = STATE(3875),
    [sym_comment] = STATE(1862),
    [sym_formal_parameters] = STATE(7329),
    [sym_nested_type_identifier] = STATE(3821),
    [sym__type] = STATE(5613),
    [sym_constructor_type] = STATE(3924),
    [sym__primary_type] = STATE(3930),
    [sym_template_literal_type] = STATE(3873),
    [sym_infer_type] = STATE(3924),
    [sym_conditional_type] = STATE(3873),
    [sym_generic_type] = STATE(3873),
    [sym_type_query] = STATE(3873),
    [sym_index_type_query] = STATE(3873),
    [sym_lookup_type] = STATE(3873),
    [sym_literal_type] = STATE(3873),
    [sym__number] = STATE(3934),
    [sym_existential_type] = STATE(3873),
    [sym_flow_maybe_type] = STATE(3873),
    [sym_parenthesized_type] = STATE(3873),
    [sym_predefined_type] = STATE(3873),
    [sym_object_type] = STATE(3873),
    [sym_type_parameters] = STATE(6758),
    [sym_array_type] = STATE(3873),
    [sym_tuple_type] = STATE(3873),
    [sym_readonly_type] = STATE(3924),
    [sym_union_type] = STATE(3873),
    [sym_intersection_type] = STATE(3873),
    [sym_function_type] = STATE(3924),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(209),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_DQUOTE] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [anon_sym_new] = ACTIONS(1898),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(1900),
    [anon_sym_DASH] = ACTIONS(1900),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(207),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_any] = ACTIONS(207),
    [anon_sym_number] = ACTIONS(207),
    [anon_sym_boolean] = ACTIONS(207),
    [anon_sym_string] = ACTIONS(207),
    [anon_sym_symbol] = ACTIONS(207),
    [anon_sym_object] = ACTIONS(207),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [1863] = {
    [sym_nested_identifier] = STATE(7229),
    [sym_string] = STATE(2505),
    [sym_comment] = STATE(1863),
    [sym_formal_parameters] = STATE(7316),
    [sym_nested_type_identifier] = STATE(2360),
    [sym__type] = STATE(2392),
    [sym_constructor_type] = STATE(2501),
    [sym__primary_type] = STATE(2499),
    [sym_template_literal_type] = STATE(2507),
    [sym_infer_type] = STATE(2501),
    [sym_conditional_type] = STATE(2507),
    [sym_generic_type] = STATE(2507),
    [sym_type_query] = STATE(2507),
    [sym_index_type_query] = STATE(2507),
    [sym_lookup_type] = STATE(2507),
    [sym_literal_type] = STATE(2507),
    [sym__number] = STATE(2498),
    [sym_existential_type] = STATE(2507),
    [sym_flow_maybe_type] = STATE(2507),
    [sym_parenthesized_type] = STATE(2507),
    [sym_predefined_type] = STATE(2507),
    [sym_object_type] = STATE(2507),
    [sym_type_parameters] = STATE(7078),
    [sym_array_type] = STATE(2507),
    [sym_tuple_type] = STATE(2507),
    [sym_readonly_type] = STATE(2501),
    [sym_union_type] = STATE(2507),
    [sym_intersection_type] = STATE(2507),
    [sym_function_type] = STATE(2501),
    [sym_identifier] = ACTIONS(4046),
    [anon_sym_STAR] = ACTIONS(3828),
    [anon_sym_LBRACE] = ACTIONS(3830),
    [anon_sym_typeof] = ACTIONS(3832),
    [anon_sym_const] = ACTIONS(3834),
    [anon_sym_LPAREN] = ACTIONS(3836),
    [anon_sym_LBRACK] = ACTIONS(3838),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_new] = ACTIONS(3840),
    [anon_sym_AMP] = ACTIONS(3842),
    [anon_sym_PIPE] = ACTIONS(3844),
    [anon_sym_PLUS] = ACTIONS(3846),
    [anon_sym_DASH] = ACTIONS(3846),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(3848),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3850),
    [sym_number] = ACTIONS(3852),
    [sym_this] = ACTIONS(4048),
    [sym_true] = ACTIONS(3852),
    [sym_false] = ACTIONS(3852),
    [sym_null] = ACTIONS(3852),
    [sym_undefined] = ACTIONS(3852),
    [anon_sym_readonly] = ACTIONS(3856),
    [anon_sym_QMARK] = ACTIONS(3858),
    [anon_sym_any] = ACTIONS(3848),
    [anon_sym_number] = ACTIONS(3848),
    [anon_sym_boolean] = ACTIONS(3848),
    [anon_sym_string] = ACTIONS(3848),
    [anon_sym_symbol] = ACTIONS(3848),
    [anon_sym_object] = ACTIONS(3848),
    [anon_sym_abstract] = ACTIONS(3860),
    [anon_sym_infer] = ACTIONS(3864),
    [anon_sym_keyof] = ACTIONS(3866),
    [anon_sym_unique] = ACTIONS(3868),
    [anon_sym_unknown] = ACTIONS(3848),
    [anon_sym_never] = ACTIONS(3848),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3830),
    [sym_html_comment] = ACTIONS(5),
  },
  [1864] = {
    [sym_nested_identifier] = STATE(7283),
    [sym_string] = STATE(3875),
    [sym_comment] = STATE(1864),
    [sym_formal_parameters] = STATE(7329),
    [sym_nested_type_identifier] = STATE(3821),
    [sym__type] = STATE(3879),
    [sym_constructor_type] = STATE(3924),
    [sym__primary_type] = STATE(3930),
    [sym_template_literal_type] = STATE(3873),
    [sym_infer_type] = STATE(3924),
    [sym_conditional_type] = STATE(3873),
    [sym_generic_type] = STATE(3873),
    [sym_type_query] = STATE(3873),
    [sym_index_type_query] = STATE(3873),
    [sym_lookup_type] = STATE(3873),
    [sym_literal_type] = STATE(3873),
    [sym__number] = STATE(3934),
    [sym_existential_type] = STATE(3873),
    [sym_flow_maybe_type] = STATE(3873),
    [sym_parenthesized_type] = STATE(3873),
    [sym_predefined_type] = STATE(3873),
    [sym_object_type] = STATE(3873),
    [sym_type_parameters] = STATE(6758),
    [sym_array_type] = STATE(3873),
    [sym_tuple_type] = STATE(3873),
    [sym_readonly_type] = STATE(3924),
    [sym_union_type] = STATE(3873),
    [sym_intersection_type] = STATE(3873),
    [sym_function_type] = STATE(3924),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(209),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_DQUOTE] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [anon_sym_new] = ACTIONS(1898),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(1900),
    [anon_sym_DASH] = ACTIONS(1900),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(207),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_any] = ACTIONS(207),
    [anon_sym_number] = ACTIONS(207),
    [anon_sym_boolean] = ACTIONS(207),
    [anon_sym_string] = ACTIONS(207),
    [anon_sym_symbol] = ACTIONS(207),
    [anon_sym_object] = ACTIONS(207),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [1865] = {
    [sym_nested_identifier] = STATE(7283),
    [sym_string] = STATE(3875),
    [sym_comment] = STATE(1865),
    [sym_formal_parameters] = STATE(7329),
    [sym_nested_type_identifier] = STATE(3821),
    [sym__type] = STATE(6224),
    [sym_constructor_type] = STATE(3924),
    [sym__primary_type] = STATE(3899),
    [sym_template_literal_type] = STATE(3873),
    [sym_infer_type] = STATE(3924),
    [sym_conditional_type] = STATE(3873),
    [sym_generic_type] = STATE(3873),
    [sym_type_query] = STATE(3873),
    [sym_index_type_query] = STATE(3873),
    [sym_lookup_type] = STATE(3873),
    [sym_literal_type] = STATE(3873),
    [sym__number] = STATE(3934),
    [sym_existential_type] = STATE(3873),
    [sym_flow_maybe_type] = STATE(3873),
    [sym_parenthesized_type] = STATE(3873),
    [sym_predefined_type] = STATE(3873),
    [sym_object_type] = STATE(3873),
    [sym_type_parameters] = STATE(6758),
    [sym_array_type] = STATE(3873),
    [sym_tuple_type] = STATE(3873),
    [sym_readonly_type] = STATE(3924),
    [sym_union_type] = STATE(3873),
    [sym_intersection_type] = STATE(3873),
    [sym_function_type] = STATE(3924),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(209),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_DQUOTE] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [anon_sym_new] = ACTIONS(1898),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(1900),
    [anon_sym_DASH] = ACTIONS(1900),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(207),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_any] = ACTIONS(207),
    [anon_sym_number] = ACTIONS(207),
    [anon_sym_boolean] = ACTIONS(207),
    [anon_sym_string] = ACTIONS(207),
    [anon_sym_symbol] = ACTIONS(207),
    [anon_sym_object] = ACTIONS(207),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [1866] = {
    [sym_nested_identifier] = STATE(7203),
    [sym_string] = STATE(4142),
    [sym_comment] = STATE(1866),
    [sym_formal_parameters] = STATE(7533),
    [sym_nested_type_identifier] = STATE(4018),
    [sym__type] = STATE(4136),
    [sym_constructor_type] = STATE(4150),
    [sym__primary_type] = STATE(4152),
    [sym_template_literal_type] = STATE(4126),
    [sym_infer_type] = STATE(4150),
    [sym_conditional_type] = STATE(4126),
    [sym_generic_type] = STATE(4126),
    [sym_type_query] = STATE(4126),
    [sym_index_type_query] = STATE(4126),
    [sym_lookup_type] = STATE(4126),
    [sym_literal_type] = STATE(4126),
    [sym__number] = STATE(4153),
    [sym_existential_type] = STATE(4126),
    [sym_flow_maybe_type] = STATE(4126),
    [sym_parenthesized_type] = STATE(4126),
    [sym_predefined_type] = STATE(4126),
    [sym_object_type] = STATE(4126),
    [sym_type_parameters] = STATE(7111),
    [sym_array_type] = STATE(4126),
    [sym_tuple_type] = STATE(4126),
    [sym_readonly_type] = STATE(4150),
    [sym_union_type] = STATE(4126),
    [sym_intersection_type] = STATE(4126),
    [sym_function_type] = STATE(4150),
    [sym_identifier] = ACTIONS(1922),
    [anon_sym_STAR] = ACTIONS(1296),
    [anon_sym_LBRACE] = ACTIONS(1342),
    [anon_sym_typeof] = ACTIONS(1924),
    [anon_sym_const] = ACTIONS(1302),
    [anon_sym_LPAREN] = ACTIONS(1926),
    [anon_sym_LBRACK] = ACTIONS(1928),
    [anon_sym_DQUOTE] = ACTIONS(1930),
    [anon_sym_SQUOTE] = ACTIONS(1932),
    [anon_sym_new] = ACTIONS(1934),
    [anon_sym_AMP] = ACTIONS(1310),
    [anon_sym_PIPE] = ACTIONS(1312),
    [anon_sym_PLUS] = ACTIONS(1936),
    [anon_sym_DASH] = ACTIONS(1936),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(1340),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1938),
    [sym_number] = ACTIONS(1940),
    [sym_this] = ACTIONS(1942),
    [sym_true] = ACTIONS(1940),
    [sym_false] = ACTIONS(1940),
    [sym_null] = ACTIONS(1940),
    [sym_undefined] = ACTIONS(1940),
    [anon_sym_readonly] = ACTIONS(1944),
    [anon_sym_QMARK] = ACTIONS(1328),
    [anon_sym_any] = ACTIONS(1340),
    [anon_sym_number] = ACTIONS(1340),
    [anon_sym_boolean] = ACTIONS(1340),
    [anon_sym_string] = ACTIONS(1340),
    [anon_sym_symbol] = ACTIONS(1340),
    [anon_sym_object] = ACTIONS(1340),
    [anon_sym_abstract] = ACTIONS(1332),
    [anon_sym_infer] = ACTIONS(1334),
    [anon_sym_keyof] = ACTIONS(1336),
    [anon_sym_unique] = ACTIONS(1338),
    [anon_sym_unknown] = ACTIONS(1340),
    [anon_sym_never] = ACTIONS(1340),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1342),
    [sym_html_comment] = ACTIONS(5),
  },
  [1867] = {
    [sym_nested_identifier] = STATE(7283),
    [sym_string] = STATE(3875),
    [sym_comment] = STATE(1867),
    [sym_formal_parameters] = STATE(7329),
    [sym_nested_type_identifier] = STATE(3821),
    [sym__type] = STATE(5747),
    [sym_constructor_type] = STATE(3924),
    [sym__primary_type] = STATE(3930),
    [sym_template_literal_type] = STATE(3873),
    [sym_infer_type] = STATE(3924),
    [sym_conditional_type] = STATE(3873),
    [sym_generic_type] = STATE(3873),
    [sym_type_query] = STATE(3873),
    [sym_index_type_query] = STATE(3873),
    [sym_lookup_type] = STATE(3873),
    [sym_literal_type] = STATE(3873),
    [sym__number] = STATE(3934),
    [sym_existential_type] = STATE(3873),
    [sym_flow_maybe_type] = STATE(3873),
    [sym_parenthesized_type] = STATE(3873),
    [sym_predefined_type] = STATE(3873),
    [sym_object_type] = STATE(3873),
    [sym_type_parameters] = STATE(6758),
    [sym_array_type] = STATE(3873),
    [sym_tuple_type] = STATE(3873),
    [sym_readonly_type] = STATE(3924),
    [sym_union_type] = STATE(3873),
    [sym_intersection_type] = STATE(3873),
    [sym_function_type] = STATE(3924),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(209),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_DQUOTE] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [anon_sym_new] = ACTIONS(1898),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(1900),
    [anon_sym_DASH] = ACTIONS(1900),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(207),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_any] = ACTIONS(207),
    [anon_sym_number] = ACTIONS(207),
    [anon_sym_boolean] = ACTIONS(207),
    [anon_sym_string] = ACTIONS(207),
    [anon_sym_symbol] = ACTIONS(207),
    [anon_sym_object] = ACTIONS(207),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [1868] = {
    [sym_nested_identifier] = STATE(7203),
    [sym_string] = STATE(4142),
    [sym_comment] = STATE(1868),
    [sym_formal_parameters] = STATE(7533),
    [sym_nested_type_identifier] = STATE(4018),
    [sym__type] = STATE(4133),
    [sym_constructor_type] = STATE(4150),
    [sym__primary_type] = STATE(4152),
    [sym_template_literal_type] = STATE(4126),
    [sym_infer_type] = STATE(4150),
    [sym_conditional_type] = STATE(4126),
    [sym_generic_type] = STATE(4126),
    [sym_type_query] = STATE(4126),
    [sym_index_type_query] = STATE(4126),
    [sym_lookup_type] = STATE(4126),
    [sym_literal_type] = STATE(4126),
    [sym__number] = STATE(4153),
    [sym_existential_type] = STATE(4126),
    [sym_flow_maybe_type] = STATE(4126),
    [sym_parenthesized_type] = STATE(4126),
    [sym_predefined_type] = STATE(4126),
    [sym_object_type] = STATE(4126),
    [sym_type_parameters] = STATE(7111),
    [sym_array_type] = STATE(4126),
    [sym_tuple_type] = STATE(4126),
    [sym_readonly_type] = STATE(4150),
    [sym_union_type] = STATE(4126),
    [sym_intersection_type] = STATE(4126),
    [sym_function_type] = STATE(4150),
    [sym_identifier] = ACTIONS(1922),
    [anon_sym_STAR] = ACTIONS(1296),
    [anon_sym_LBRACE] = ACTIONS(1342),
    [anon_sym_typeof] = ACTIONS(1924),
    [anon_sym_const] = ACTIONS(1302),
    [anon_sym_LPAREN] = ACTIONS(1926),
    [anon_sym_LBRACK] = ACTIONS(1928),
    [anon_sym_DQUOTE] = ACTIONS(1930),
    [anon_sym_SQUOTE] = ACTIONS(1932),
    [anon_sym_new] = ACTIONS(1934),
    [anon_sym_AMP] = ACTIONS(1310),
    [anon_sym_PIPE] = ACTIONS(1312),
    [anon_sym_PLUS] = ACTIONS(1936),
    [anon_sym_DASH] = ACTIONS(1936),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(1340),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1938),
    [sym_number] = ACTIONS(1940),
    [sym_this] = ACTIONS(1942),
    [sym_true] = ACTIONS(1940),
    [sym_false] = ACTIONS(1940),
    [sym_null] = ACTIONS(1940),
    [sym_undefined] = ACTIONS(1940),
    [anon_sym_readonly] = ACTIONS(1944),
    [anon_sym_QMARK] = ACTIONS(1328),
    [anon_sym_any] = ACTIONS(1340),
    [anon_sym_number] = ACTIONS(1340),
    [anon_sym_boolean] = ACTIONS(1340),
    [anon_sym_string] = ACTIONS(1340),
    [anon_sym_symbol] = ACTIONS(1340),
    [anon_sym_object] = ACTIONS(1340),
    [anon_sym_abstract] = ACTIONS(1332),
    [anon_sym_infer] = ACTIONS(1334),
    [anon_sym_keyof] = ACTIONS(1336),
    [anon_sym_unique] = ACTIONS(1338),
    [anon_sym_unknown] = ACTIONS(1340),
    [anon_sym_never] = ACTIONS(1340),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1342),
    [sym_html_comment] = ACTIONS(5),
  },
  [1869] = {
    [sym_nested_identifier] = STATE(7283),
    [sym_string] = STATE(3875),
    [sym_comment] = STATE(1869),
    [sym_formal_parameters] = STATE(7329),
    [sym_nested_type_identifier] = STATE(3821),
    [sym__type] = STATE(4956),
    [sym_constructor_type] = STATE(3924),
    [sym__primary_type] = STATE(3930),
    [sym_template_literal_type] = STATE(3873),
    [sym_infer_type] = STATE(3924),
    [sym_conditional_type] = STATE(3873),
    [sym_generic_type] = STATE(3873),
    [sym_type_query] = STATE(3873),
    [sym_index_type_query] = STATE(3873),
    [sym_lookup_type] = STATE(3873),
    [sym_literal_type] = STATE(3873),
    [sym__number] = STATE(3934),
    [sym_existential_type] = STATE(3873),
    [sym_flow_maybe_type] = STATE(3873),
    [sym_parenthesized_type] = STATE(3873),
    [sym_predefined_type] = STATE(3873),
    [sym_object_type] = STATE(3873),
    [sym_type_parameters] = STATE(6758),
    [sym_array_type] = STATE(3873),
    [sym_tuple_type] = STATE(3873),
    [sym_readonly_type] = STATE(3924),
    [sym_union_type] = STATE(3873),
    [sym_intersection_type] = STATE(3873),
    [sym_function_type] = STATE(3924),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(209),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_DQUOTE] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [anon_sym_new] = ACTIONS(1898),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(1900),
    [anon_sym_DASH] = ACTIONS(1900),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(207),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_any] = ACTIONS(207),
    [anon_sym_number] = ACTIONS(207),
    [anon_sym_boolean] = ACTIONS(207),
    [anon_sym_string] = ACTIONS(207),
    [anon_sym_symbol] = ACTIONS(207),
    [anon_sym_object] = ACTIONS(207),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [1870] = {
    [sym_nested_identifier] = STATE(7203),
    [sym_string] = STATE(4142),
    [sym_comment] = STATE(1870),
    [sym_formal_parameters] = STATE(7533),
    [sym_nested_type_identifier] = STATE(4018),
    [sym__type] = STATE(4132),
    [sym_constructor_type] = STATE(4150),
    [sym__primary_type] = STATE(4152),
    [sym_template_literal_type] = STATE(4126),
    [sym_infer_type] = STATE(4150),
    [sym_conditional_type] = STATE(4126),
    [sym_generic_type] = STATE(4126),
    [sym_type_query] = STATE(4126),
    [sym_index_type_query] = STATE(4126),
    [sym_lookup_type] = STATE(4126),
    [sym_literal_type] = STATE(4126),
    [sym__number] = STATE(4153),
    [sym_existential_type] = STATE(4126),
    [sym_flow_maybe_type] = STATE(4126),
    [sym_parenthesized_type] = STATE(4126),
    [sym_predefined_type] = STATE(4126),
    [sym_object_type] = STATE(4126),
    [sym_type_parameters] = STATE(7111),
    [sym_array_type] = STATE(4126),
    [sym_tuple_type] = STATE(4126),
    [sym_readonly_type] = STATE(4150),
    [sym_union_type] = STATE(4126),
    [sym_intersection_type] = STATE(4126),
    [sym_function_type] = STATE(4150),
    [sym_identifier] = ACTIONS(1922),
    [anon_sym_STAR] = ACTIONS(1296),
    [anon_sym_LBRACE] = ACTIONS(1342),
    [anon_sym_typeof] = ACTIONS(1924),
    [anon_sym_const] = ACTIONS(1302),
    [anon_sym_LPAREN] = ACTIONS(1926),
    [anon_sym_LBRACK] = ACTIONS(1928),
    [anon_sym_DQUOTE] = ACTIONS(1930),
    [anon_sym_SQUOTE] = ACTIONS(1932),
    [anon_sym_new] = ACTIONS(1934),
    [anon_sym_AMP] = ACTIONS(1310),
    [anon_sym_PIPE] = ACTIONS(1312),
    [anon_sym_PLUS] = ACTIONS(1936),
    [anon_sym_DASH] = ACTIONS(1936),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(1340),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1938),
    [sym_number] = ACTIONS(1940),
    [sym_this] = ACTIONS(1942),
    [sym_true] = ACTIONS(1940),
    [sym_false] = ACTIONS(1940),
    [sym_null] = ACTIONS(1940),
    [sym_undefined] = ACTIONS(1940),
    [anon_sym_readonly] = ACTIONS(1944),
    [anon_sym_QMARK] = ACTIONS(1328),
    [anon_sym_any] = ACTIONS(1340),
    [anon_sym_number] = ACTIONS(1340),
    [anon_sym_boolean] = ACTIONS(1340),
    [anon_sym_string] = ACTIONS(1340),
    [anon_sym_symbol] = ACTIONS(1340),
    [anon_sym_object] = ACTIONS(1340),
    [anon_sym_abstract] = ACTIONS(1332),
    [anon_sym_infer] = ACTIONS(1334),
    [anon_sym_keyof] = ACTIONS(1336),
    [anon_sym_unique] = ACTIONS(1338),
    [anon_sym_unknown] = ACTIONS(1340),
    [anon_sym_never] = ACTIONS(1340),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1342),
    [sym_html_comment] = ACTIONS(5),
  },
  [1871] = {
    [sym_nested_identifier] = STATE(7283),
    [sym_string] = STATE(3875),
    [sym_comment] = STATE(1871),
    [sym_formal_parameters] = STATE(7329),
    [sym_nested_type_identifier] = STATE(3821),
    [sym__type] = STATE(5685),
    [sym_constructor_type] = STATE(3924),
    [sym__primary_type] = STATE(3930),
    [sym_template_literal_type] = STATE(3873),
    [sym_infer_type] = STATE(3924),
    [sym_conditional_type] = STATE(3873),
    [sym_generic_type] = STATE(3873),
    [sym_type_query] = STATE(3873),
    [sym_index_type_query] = STATE(3873),
    [sym_lookup_type] = STATE(3873),
    [sym_literal_type] = STATE(3873),
    [sym__number] = STATE(3934),
    [sym_existential_type] = STATE(3873),
    [sym_flow_maybe_type] = STATE(3873),
    [sym_parenthesized_type] = STATE(3873),
    [sym_predefined_type] = STATE(3873),
    [sym_object_type] = STATE(3873),
    [sym_type_parameters] = STATE(6758),
    [sym_array_type] = STATE(3873),
    [sym_tuple_type] = STATE(3873),
    [sym_readonly_type] = STATE(3924),
    [sym_union_type] = STATE(3873),
    [sym_intersection_type] = STATE(3873),
    [sym_function_type] = STATE(3924),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(209),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_DQUOTE] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [anon_sym_new] = ACTIONS(1898),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(1900),
    [anon_sym_DASH] = ACTIONS(1900),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(207),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_any] = ACTIONS(207),
    [anon_sym_number] = ACTIONS(207),
    [anon_sym_boolean] = ACTIONS(207),
    [anon_sym_string] = ACTIONS(207),
    [anon_sym_symbol] = ACTIONS(207),
    [anon_sym_object] = ACTIONS(207),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [1872] = {
    [sym_nested_identifier] = STATE(7203),
    [sym_string] = STATE(4142),
    [sym_comment] = STATE(1872),
    [sym_formal_parameters] = STATE(7533),
    [sym_nested_type_identifier] = STATE(4018),
    [sym__type] = STATE(4468),
    [sym_constructor_type] = STATE(4150),
    [sym__primary_type] = STATE(4152),
    [sym_template_literal_type] = STATE(4126),
    [sym_infer_type] = STATE(4150),
    [sym_conditional_type] = STATE(4126),
    [sym_generic_type] = STATE(4126),
    [sym_type_query] = STATE(4126),
    [sym_index_type_query] = STATE(4126),
    [sym_lookup_type] = STATE(4126),
    [sym_literal_type] = STATE(4126),
    [sym__number] = STATE(4153),
    [sym_existential_type] = STATE(4126),
    [sym_flow_maybe_type] = STATE(4126),
    [sym_parenthesized_type] = STATE(4126),
    [sym_predefined_type] = STATE(4126),
    [sym_object_type] = STATE(4126),
    [sym_type_parameters] = STATE(7111),
    [sym_array_type] = STATE(4126),
    [sym_tuple_type] = STATE(4126),
    [sym_readonly_type] = STATE(4150),
    [sym_union_type] = STATE(4126),
    [sym_intersection_type] = STATE(4126),
    [sym_function_type] = STATE(4150),
    [sym_identifier] = ACTIONS(1922),
    [anon_sym_STAR] = ACTIONS(1296),
    [anon_sym_LBRACE] = ACTIONS(1342),
    [anon_sym_typeof] = ACTIONS(1924),
    [anon_sym_const] = ACTIONS(1302),
    [anon_sym_LPAREN] = ACTIONS(1926),
    [anon_sym_LBRACK] = ACTIONS(1928),
    [anon_sym_DQUOTE] = ACTIONS(1930),
    [anon_sym_SQUOTE] = ACTIONS(1932),
    [anon_sym_new] = ACTIONS(1934),
    [anon_sym_AMP] = ACTIONS(1310),
    [anon_sym_PIPE] = ACTIONS(1312),
    [anon_sym_PLUS] = ACTIONS(1936),
    [anon_sym_DASH] = ACTIONS(1936),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(1340),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1938),
    [sym_number] = ACTIONS(1940),
    [sym_this] = ACTIONS(1942),
    [sym_true] = ACTIONS(1940),
    [sym_false] = ACTIONS(1940),
    [sym_null] = ACTIONS(1940),
    [sym_undefined] = ACTIONS(1940),
    [anon_sym_readonly] = ACTIONS(1944),
    [anon_sym_QMARK] = ACTIONS(1328),
    [anon_sym_any] = ACTIONS(1340),
    [anon_sym_number] = ACTIONS(1340),
    [anon_sym_boolean] = ACTIONS(1340),
    [anon_sym_string] = ACTIONS(1340),
    [anon_sym_symbol] = ACTIONS(1340),
    [anon_sym_object] = ACTIONS(1340),
    [anon_sym_abstract] = ACTIONS(1332),
    [anon_sym_infer] = ACTIONS(1334),
    [anon_sym_keyof] = ACTIONS(1336),
    [anon_sym_unique] = ACTIONS(1338),
    [anon_sym_unknown] = ACTIONS(1340),
    [anon_sym_never] = ACTIONS(1340),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1342),
    [sym_html_comment] = ACTIONS(5),
  },
  [1873] = {
    [sym_nested_identifier] = STATE(7203),
    [sym_string] = STATE(4142),
    [sym_comment] = STATE(1873),
    [sym_formal_parameters] = STATE(7329),
    [sym_nested_type_identifier] = STATE(4018),
    [sym__type] = STATE(5893),
    [sym_constructor_type] = STATE(3924),
    [sym__primary_type] = STATE(4155),
    [sym_template_literal_type] = STATE(4126),
    [sym_infer_type] = STATE(3924),
    [sym_conditional_type] = STATE(4126),
    [sym_generic_type] = STATE(4126),
    [sym_type_query] = STATE(4126),
    [sym_index_type_query] = STATE(4126),
    [sym_lookup_type] = STATE(4126),
    [sym_literal_type] = STATE(4126),
    [sym__number] = STATE(4153),
    [sym_existential_type] = STATE(4126),
    [sym_flow_maybe_type] = STATE(4126),
    [sym_parenthesized_type] = STATE(4126),
    [sym_predefined_type] = STATE(4126),
    [sym_object_type] = STATE(4126),
    [sym_type_parameters] = STATE(6758),
    [sym_array_type] = STATE(4126),
    [sym_tuple_type] = STATE(4126),
    [sym_readonly_type] = STATE(3924),
    [sym_union_type] = STATE(4126),
    [sym_intersection_type] = STATE(4126),
    [sym_function_type] = STATE(3924),
    [sym_identifier] = ACTIONS(1922),
    [anon_sym_STAR] = ACTIONS(1296),
    [anon_sym_LBRACE] = ACTIONS(1342),
    [anon_sym_typeof] = ACTIONS(1924),
    [anon_sym_const] = ACTIONS(1302),
    [anon_sym_LPAREN] = ACTIONS(1926),
    [anon_sym_LBRACK] = ACTIONS(1928),
    [anon_sym_DQUOTE] = ACTIONS(1930),
    [anon_sym_SQUOTE] = ACTIONS(1932),
    [anon_sym_new] = ACTIONS(1898),
    [anon_sym_AMP] = ACTIONS(1310),
    [anon_sym_PIPE] = ACTIONS(1312),
    [anon_sym_PLUS] = ACTIONS(1936),
    [anon_sym_DASH] = ACTIONS(1936),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(1340),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1938),
    [sym_number] = ACTIONS(1940),
    [sym_this] = ACTIONS(1942),
    [sym_true] = ACTIONS(1940),
    [sym_false] = ACTIONS(1940),
    [sym_null] = ACTIONS(1940),
    [sym_undefined] = ACTIONS(1940),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(1328),
    [anon_sym_any] = ACTIONS(1340),
    [anon_sym_number] = ACTIONS(1340),
    [anon_sym_boolean] = ACTIONS(1340),
    [anon_sym_string] = ACTIONS(1340),
    [anon_sym_symbol] = ACTIONS(1340),
    [anon_sym_object] = ACTIONS(1340),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(1336),
    [anon_sym_unique] = ACTIONS(1338),
    [anon_sym_unknown] = ACTIONS(1340),
    [anon_sym_never] = ACTIONS(1340),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1342),
    [sym_html_comment] = ACTIONS(5),
  },
  [1874] = {
    [sym_nested_identifier] = STATE(7203),
    [sym_string] = STATE(4142),
    [sym_comment] = STATE(1874),
    [sym_formal_parameters] = STATE(7533),
    [sym_nested_type_identifier] = STATE(4018),
    [sym__type] = STATE(4450),
    [sym_constructor_type] = STATE(4150),
    [sym__primary_type] = STATE(4152),
    [sym_template_literal_type] = STATE(4126),
    [sym_infer_type] = STATE(4150),
    [sym_conditional_type] = STATE(4126),
    [sym_generic_type] = STATE(4126),
    [sym_type_query] = STATE(4126),
    [sym_index_type_query] = STATE(4126),
    [sym_lookup_type] = STATE(4126),
    [sym_literal_type] = STATE(4126),
    [sym__number] = STATE(4153),
    [sym_existential_type] = STATE(4126),
    [sym_flow_maybe_type] = STATE(4126),
    [sym_parenthesized_type] = STATE(4126),
    [sym_predefined_type] = STATE(4126),
    [sym_object_type] = STATE(4126),
    [sym_type_parameters] = STATE(7111),
    [sym_array_type] = STATE(4126),
    [sym_tuple_type] = STATE(4126),
    [sym_readonly_type] = STATE(4150),
    [sym_union_type] = STATE(4126),
    [sym_intersection_type] = STATE(4126),
    [sym_function_type] = STATE(4150),
    [sym_identifier] = ACTIONS(1922),
    [anon_sym_STAR] = ACTIONS(1296),
    [anon_sym_LBRACE] = ACTIONS(1342),
    [anon_sym_typeof] = ACTIONS(1924),
    [anon_sym_const] = ACTIONS(1302),
    [anon_sym_LPAREN] = ACTIONS(1926),
    [anon_sym_LBRACK] = ACTIONS(1928),
    [anon_sym_DQUOTE] = ACTIONS(1930),
    [anon_sym_SQUOTE] = ACTIONS(1932),
    [anon_sym_new] = ACTIONS(1934),
    [anon_sym_AMP] = ACTIONS(1310),
    [anon_sym_PIPE] = ACTIONS(1312),
    [anon_sym_PLUS] = ACTIONS(1936),
    [anon_sym_DASH] = ACTIONS(1936),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(1340),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1938),
    [sym_number] = ACTIONS(1940),
    [sym_this] = ACTIONS(1942),
    [sym_true] = ACTIONS(1940),
    [sym_false] = ACTIONS(1940),
    [sym_null] = ACTIONS(1940),
    [sym_undefined] = ACTIONS(1940),
    [anon_sym_readonly] = ACTIONS(1944),
    [anon_sym_QMARK] = ACTIONS(1328),
    [anon_sym_any] = ACTIONS(1340),
    [anon_sym_number] = ACTIONS(1340),
    [anon_sym_boolean] = ACTIONS(1340),
    [anon_sym_string] = ACTIONS(1340),
    [anon_sym_symbol] = ACTIONS(1340),
    [anon_sym_object] = ACTIONS(1340),
    [anon_sym_abstract] = ACTIONS(1332),
    [anon_sym_infer] = ACTIONS(1334),
    [anon_sym_keyof] = ACTIONS(1336),
    [anon_sym_unique] = ACTIONS(1338),
    [anon_sym_unknown] = ACTIONS(1340),
    [anon_sym_never] = ACTIONS(1340),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1342),
    [sym_html_comment] = ACTIONS(5),
  },
  [1875] = {
    [sym_nested_identifier] = STATE(7344),
    [sym_string] = STATE(4431),
    [sym_comment] = STATE(1875),
    [sym_formal_parameters] = STATE(7555),
    [sym_nested_type_identifier] = STATE(4170),
    [sym__type] = STATE(4242),
    [sym_constructor_type] = STATE(4427),
    [sym__primary_type] = STATE(4425),
    [sym_template_literal_type] = STATE(4437),
    [sym_infer_type] = STATE(4427),
    [sym_conditional_type] = STATE(4437),
    [sym_generic_type] = STATE(4437),
    [sym_type_query] = STATE(4437),
    [sym_index_type_query] = STATE(4437),
    [sym_lookup_type] = STATE(4437),
    [sym_literal_type] = STATE(4437),
    [sym__number] = STATE(4424),
    [sym_existential_type] = STATE(4437),
    [sym_flow_maybe_type] = STATE(4437),
    [sym_parenthesized_type] = STATE(4437),
    [sym_predefined_type] = STATE(4437),
    [sym_object_type] = STATE(4437),
    [sym_type_parameters] = STATE(6962),
    [sym_array_type] = STATE(4437),
    [sym_tuple_type] = STATE(4437),
    [sym_readonly_type] = STATE(4427),
    [sym_union_type] = STATE(4437),
    [sym_intersection_type] = STATE(4437),
    [sym_function_type] = STATE(4427),
    [sym_identifier] = ACTIONS(4042),
    [anon_sym_STAR] = ACTIONS(3652),
    [anon_sym_LBRACE] = ACTIONS(3654),
    [anon_sym_typeof] = ACTIONS(3656),
    [anon_sym_const] = ACTIONS(3658),
    [anon_sym_LPAREN] = ACTIONS(3660),
    [anon_sym_LBRACK] = ACTIONS(3662),
    [anon_sym_DQUOTE] = ACTIONS(3664),
    [anon_sym_SQUOTE] = ACTIONS(3666),
    [anon_sym_new] = ACTIONS(3668),
    [anon_sym_AMP] = ACTIONS(3670),
    [anon_sym_PIPE] = ACTIONS(3672),
    [anon_sym_PLUS] = ACTIONS(3674),
    [anon_sym_DASH] = ACTIONS(3674),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(3676),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3678),
    [sym_number] = ACTIONS(3680),
    [sym_this] = ACTIONS(4044),
    [sym_true] = ACTIONS(3680),
    [sym_false] = ACTIONS(3680),
    [sym_null] = ACTIONS(3680),
    [sym_undefined] = ACTIONS(3680),
    [anon_sym_readonly] = ACTIONS(3684),
    [anon_sym_QMARK] = ACTIONS(3686),
    [anon_sym_any] = ACTIONS(3676),
    [anon_sym_number] = ACTIONS(3676),
    [anon_sym_boolean] = ACTIONS(3676),
    [anon_sym_string] = ACTIONS(3676),
    [anon_sym_symbol] = ACTIONS(3676),
    [anon_sym_object] = ACTIONS(3676),
    [anon_sym_abstract] = ACTIONS(3688),
    [anon_sym_infer] = ACTIONS(3692),
    [anon_sym_keyof] = ACTIONS(3694),
    [anon_sym_unique] = ACTIONS(3696),
    [anon_sym_unknown] = ACTIONS(3676),
    [anon_sym_never] = ACTIONS(3676),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3654),
    [sym_html_comment] = ACTIONS(5),
  },
  [1876] = {
    [sym_nested_identifier] = STATE(7344),
    [sym_string] = STATE(4431),
    [sym_comment] = STATE(1876),
    [sym_formal_parameters] = STATE(7555),
    [sym_nested_type_identifier] = STATE(4170),
    [sym__type] = STATE(4244),
    [sym_constructor_type] = STATE(4427),
    [sym__primary_type] = STATE(4425),
    [sym_template_literal_type] = STATE(4437),
    [sym_infer_type] = STATE(4427),
    [sym_conditional_type] = STATE(4437),
    [sym_generic_type] = STATE(4437),
    [sym_type_query] = STATE(4437),
    [sym_index_type_query] = STATE(4437),
    [sym_lookup_type] = STATE(4437),
    [sym_literal_type] = STATE(4437),
    [sym__number] = STATE(4424),
    [sym_existential_type] = STATE(4437),
    [sym_flow_maybe_type] = STATE(4437),
    [sym_parenthesized_type] = STATE(4437),
    [sym_predefined_type] = STATE(4437),
    [sym_object_type] = STATE(4437),
    [sym_type_parameters] = STATE(6962),
    [sym_array_type] = STATE(4437),
    [sym_tuple_type] = STATE(4437),
    [sym_readonly_type] = STATE(4427),
    [sym_union_type] = STATE(4437),
    [sym_intersection_type] = STATE(4437),
    [sym_function_type] = STATE(4427),
    [sym_identifier] = ACTIONS(4042),
    [anon_sym_STAR] = ACTIONS(3652),
    [anon_sym_LBRACE] = ACTIONS(3654),
    [anon_sym_typeof] = ACTIONS(3656),
    [anon_sym_const] = ACTIONS(3658),
    [anon_sym_LPAREN] = ACTIONS(3660),
    [anon_sym_LBRACK] = ACTIONS(3662),
    [anon_sym_DQUOTE] = ACTIONS(3664),
    [anon_sym_SQUOTE] = ACTIONS(3666),
    [anon_sym_new] = ACTIONS(3668),
    [anon_sym_AMP] = ACTIONS(3670),
    [anon_sym_PIPE] = ACTIONS(3672),
    [anon_sym_PLUS] = ACTIONS(3674),
    [anon_sym_DASH] = ACTIONS(3674),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(3676),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3678),
    [sym_number] = ACTIONS(3680),
    [sym_this] = ACTIONS(4044),
    [sym_true] = ACTIONS(3680),
    [sym_false] = ACTIONS(3680),
    [sym_null] = ACTIONS(3680),
    [sym_undefined] = ACTIONS(3680),
    [anon_sym_readonly] = ACTIONS(3684),
    [anon_sym_QMARK] = ACTIONS(3686),
    [anon_sym_any] = ACTIONS(3676),
    [anon_sym_number] = ACTIONS(3676),
    [anon_sym_boolean] = ACTIONS(3676),
    [anon_sym_string] = ACTIONS(3676),
    [anon_sym_symbol] = ACTIONS(3676),
    [anon_sym_object] = ACTIONS(3676),
    [anon_sym_abstract] = ACTIONS(3688),
    [anon_sym_infer] = ACTIONS(3692),
    [anon_sym_keyof] = ACTIONS(3694),
    [anon_sym_unique] = ACTIONS(3696),
    [anon_sym_unknown] = ACTIONS(3676),
    [anon_sym_never] = ACTIONS(3676),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3654),
    [sym_html_comment] = ACTIONS(5),
  },
  [1877] = {
    [sym_nested_identifier] = STATE(7283),
    [sym_string] = STATE(3875),
    [sym_comment] = STATE(1877),
    [sym_formal_parameters] = STATE(7329),
    [sym_nested_type_identifier] = STATE(3821),
    [sym__type] = STATE(3834),
    [sym_constructor_type] = STATE(3924),
    [sym__primary_type] = STATE(3930),
    [sym_template_literal_type] = STATE(3873),
    [sym_infer_type] = STATE(3924),
    [sym_conditional_type] = STATE(3873),
    [sym_generic_type] = STATE(3873),
    [sym_type_query] = STATE(3873),
    [sym_index_type_query] = STATE(3873),
    [sym_lookup_type] = STATE(3873),
    [sym_literal_type] = STATE(3873),
    [sym__number] = STATE(3934),
    [sym_existential_type] = STATE(3873),
    [sym_flow_maybe_type] = STATE(3873),
    [sym_parenthesized_type] = STATE(3873),
    [sym_predefined_type] = STATE(3873),
    [sym_object_type] = STATE(3873),
    [sym_type_parameters] = STATE(6758),
    [sym_array_type] = STATE(3873),
    [sym_tuple_type] = STATE(3873),
    [sym_readonly_type] = STATE(3924),
    [sym_union_type] = STATE(3873),
    [sym_intersection_type] = STATE(3873),
    [sym_function_type] = STATE(3924),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(209),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_DQUOTE] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [anon_sym_new] = ACTIONS(1898),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(1900),
    [anon_sym_DASH] = ACTIONS(1900),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(207),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_any] = ACTIONS(207),
    [anon_sym_number] = ACTIONS(207),
    [anon_sym_boolean] = ACTIONS(207),
    [anon_sym_string] = ACTIONS(207),
    [anon_sym_symbol] = ACTIONS(207),
    [anon_sym_object] = ACTIONS(207),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [1878] = {
    [sym_nested_identifier] = STATE(7283),
    [sym_string] = STATE(3875),
    [sym_comment] = STATE(1878),
    [sym_formal_parameters] = STATE(7329),
    [sym_nested_type_identifier] = STATE(3821),
    [sym__type] = STATE(3836),
    [sym_constructor_type] = STATE(3924),
    [sym__primary_type] = STATE(3930),
    [sym_template_literal_type] = STATE(3873),
    [sym_infer_type] = STATE(3924),
    [sym_conditional_type] = STATE(3873),
    [sym_generic_type] = STATE(3873),
    [sym_type_query] = STATE(3873),
    [sym_index_type_query] = STATE(3873),
    [sym_lookup_type] = STATE(3873),
    [sym_literal_type] = STATE(3873),
    [sym__number] = STATE(3934),
    [sym_existential_type] = STATE(3873),
    [sym_flow_maybe_type] = STATE(3873),
    [sym_parenthesized_type] = STATE(3873),
    [sym_predefined_type] = STATE(3873),
    [sym_object_type] = STATE(3873),
    [sym_type_parameters] = STATE(6758),
    [sym_array_type] = STATE(3873),
    [sym_tuple_type] = STATE(3873),
    [sym_readonly_type] = STATE(3924),
    [sym_union_type] = STATE(3873),
    [sym_intersection_type] = STATE(3873),
    [sym_function_type] = STATE(3924),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(209),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_DQUOTE] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [anon_sym_new] = ACTIONS(1898),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(1900),
    [anon_sym_DASH] = ACTIONS(1900),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(207),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_any] = ACTIONS(207),
    [anon_sym_number] = ACTIONS(207),
    [anon_sym_boolean] = ACTIONS(207),
    [anon_sym_string] = ACTIONS(207),
    [anon_sym_symbol] = ACTIONS(207),
    [anon_sym_object] = ACTIONS(207),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [1879] = {
    [sym_nested_identifier] = STATE(7203),
    [sym_string] = STATE(4142),
    [sym_comment] = STATE(1879),
    [sym_formal_parameters] = STATE(7329),
    [sym_nested_type_identifier] = STATE(4018),
    [sym__type] = STATE(5893),
    [sym_constructor_type] = STATE(3924),
    [sym__primary_type] = STATE(4141),
    [sym_template_literal_type] = STATE(4126),
    [sym_infer_type] = STATE(3924),
    [sym_conditional_type] = STATE(4126),
    [sym_generic_type] = STATE(4126),
    [sym_type_query] = STATE(4126),
    [sym_index_type_query] = STATE(4126),
    [sym_lookup_type] = STATE(4126),
    [sym_literal_type] = STATE(4126),
    [sym__number] = STATE(4153),
    [sym_existential_type] = STATE(4126),
    [sym_flow_maybe_type] = STATE(4126),
    [sym_parenthesized_type] = STATE(4126),
    [sym_predefined_type] = STATE(4126),
    [sym_object_type] = STATE(4126),
    [sym_type_parameters] = STATE(6758),
    [sym_array_type] = STATE(4126),
    [sym_tuple_type] = STATE(4126),
    [sym_readonly_type] = STATE(3924),
    [sym_union_type] = STATE(4126),
    [sym_intersection_type] = STATE(4126),
    [sym_function_type] = STATE(3924),
    [sym_identifier] = ACTIONS(1922),
    [anon_sym_STAR] = ACTIONS(1296),
    [anon_sym_LBRACE] = ACTIONS(1342),
    [anon_sym_typeof] = ACTIONS(1924),
    [anon_sym_const] = ACTIONS(1302),
    [anon_sym_LPAREN] = ACTIONS(1926),
    [anon_sym_LBRACK] = ACTIONS(1928),
    [anon_sym_DQUOTE] = ACTIONS(1930),
    [anon_sym_SQUOTE] = ACTIONS(1932),
    [anon_sym_new] = ACTIONS(1898),
    [anon_sym_AMP] = ACTIONS(1310),
    [anon_sym_PIPE] = ACTIONS(1312),
    [anon_sym_PLUS] = ACTIONS(1936),
    [anon_sym_DASH] = ACTIONS(1936),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(1340),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1938),
    [sym_number] = ACTIONS(1940),
    [sym_this] = ACTIONS(1942),
    [sym_true] = ACTIONS(1940),
    [sym_false] = ACTIONS(1940),
    [sym_null] = ACTIONS(1940),
    [sym_undefined] = ACTIONS(1940),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(1328),
    [anon_sym_any] = ACTIONS(1340),
    [anon_sym_number] = ACTIONS(1340),
    [anon_sym_boolean] = ACTIONS(1340),
    [anon_sym_string] = ACTIONS(1340),
    [anon_sym_symbol] = ACTIONS(1340),
    [anon_sym_object] = ACTIONS(1340),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(1336),
    [anon_sym_unique] = ACTIONS(1338),
    [anon_sym_unknown] = ACTIONS(1340),
    [anon_sym_never] = ACTIONS(1340),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1342),
    [sym_html_comment] = ACTIONS(5),
  },
  [1880] = {
    [sym_nested_identifier] = STATE(7283),
    [sym_string] = STATE(3875),
    [sym_comment] = STATE(1880),
    [sym_formal_parameters] = STATE(7329),
    [sym_nested_type_identifier] = STATE(3821),
    [sym__type] = STATE(3881),
    [sym_constructor_type] = STATE(3924),
    [sym__primary_type] = STATE(3930),
    [sym_template_literal_type] = STATE(3873),
    [sym_infer_type] = STATE(3924),
    [sym_conditional_type] = STATE(3873),
    [sym_generic_type] = STATE(3873),
    [sym_type_query] = STATE(3873),
    [sym_index_type_query] = STATE(3873),
    [sym_lookup_type] = STATE(3873),
    [sym_literal_type] = STATE(3873),
    [sym__number] = STATE(3934),
    [sym_existential_type] = STATE(3873),
    [sym_flow_maybe_type] = STATE(3873),
    [sym_parenthesized_type] = STATE(3873),
    [sym_predefined_type] = STATE(3873),
    [sym_object_type] = STATE(3873),
    [sym_type_parameters] = STATE(6758),
    [sym_array_type] = STATE(3873),
    [sym_tuple_type] = STATE(3873),
    [sym_readonly_type] = STATE(3924),
    [sym_union_type] = STATE(3873),
    [sym_intersection_type] = STATE(3873),
    [sym_function_type] = STATE(3924),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(209),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_DQUOTE] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [anon_sym_new] = ACTIONS(1898),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(1900),
    [anon_sym_DASH] = ACTIONS(1900),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(207),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_any] = ACTIONS(207),
    [anon_sym_number] = ACTIONS(207),
    [anon_sym_boolean] = ACTIONS(207),
    [anon_sym_string] = ACTIONS(207),
    [anon_sym_symbol] = ACTIONS(207),
    [anon_sym_object] = ACTIONS(207),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [1881] = {
    [sym_nested_identifier] = STATE(7229),
    [sym_string] = STATE(2505),
    [sym_comment] = STATE(1881),
    [sym_formal_parameters] = STATE(7316),
    [sym_nested_type_identifier] = STATE(2360),
    [sym__type] = STATE(2414),
    [sym_constructor_type] = STATE(2501),
    [sym__primary_type] = STATE(2499),
    [sym_template_literal_type] = STATE(2507),
    [sym_infer_type] = STATE(2501),
    [sym_conditional_type] = STATE(2507),
    [sym_generic_type] = STATE(2507),
    [sym_type_query] = STATE(2507),
    [sym_index_type_query] = STATE(2507),
    [sym_lookup_type] = STATE(2507),
    [sym_literal_type] = STATE(2507),
    [sym__number] = STATE(2498),
    [sym_existential_type] = STATE(2507),
    [sym_flow_maybe_type] = STATE(2507),
    [sym_parenthesized_type] = STATE(2507),
    [sym_predefined_type] = STATE(2507),
    [sym_object_type] = STATE(2507),
    [sym_type_parameters] = STATE(7078),
    [sym_array_type] = STATE(2507),
    [sym_tuple_type] = STATE(2507),
    [sym_readonly_type] = STATE(2501),
    [sym_union_type] = STATE(2507),
    [sym_intersection_type] = STATE(2507),
    [sym_function_type] = STATE(2501),
    [sym_identifier] = ACTIONS(4046),
    [anon_sym_STAR] = ACTIONS(3828),
    [anon_sym_LBRACE] = ACTIONS(3830),
    [anon_sym_typeof] = ACTIONS(3832),
    [anon_sym_const] = ACTIONS(3834),
    [anon_sym_LPAREN] = ACTIONS(3836),
    [anon_sym_LBRACK] = ACTIONS(3838),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_new] = ACTIONS(3840),
    [anon_sym_AMP] = ACTIONS(3842),
    [anon_sym_PIPE] = ACTIONS(3844),
    [anon_sym_PLUS] = ACTIONS(3846),
    [anon_sym_DASH] = ACTIONS(3846),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(3848),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3850),
    [sym_number] = ACTIONS(3852),
    [sym_this] = ACTIONS(4048),
    [sym_true] = ACTIONS(3852),
    [sym_false] = ACTIONS(3852),
    [sym_null] = ACTIONS(3852),
    [sym_undefined] = ACTIONS(3852),
    [anon_sym_readonly] = ACTIONS(3856),
    [anon_sym_QMARK] = ACTIONS(3858),
    [anon_sym_any] = ACTIONS(3848),
    [anon_sym_number] = ACTIONS(3848),
    [anon_sym_boolean] = ACTIONS(3848),
    [anon_sym_string] = ACTIONS(3848),
    [anon_sym_symbol] = ACTIONS(3848),
    [anon_sym_object] = ACTIONS(3848),
    [anon_sym_abstract] = ACTIONS(3860),
    [anon_sym_infer] = ACTIONS(3864),
    [anon_sym_keyof] = ACTIONS(3866),
    [anon_sym_unique] = ACTIONS(3868),
    [anon_sym_unknown] = ACTIONS(3848),
    [anon_sym_never] = ACTIONS(3848),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3830),
    [sym_html_comment] = ACTIONS(5),
  },
  [1882] = {
    [sym_nested_identifier] = STATE(7283),
    [sym_string] = STATE(3875),
    [sym_comment] = STATE(1882),
    [sym_formal_parameters] = STATE(7329),
    [sym_nested_type_identifier] = STATE(3821),
    [sym__type] = STATE(5138),
    [sym_constructor_type] = STATE(3924),
    [sym__primary_type] = STATE(3930),
    [sym_template_literal_type] = STATE(3873),
    [sym_infer_type] = STATE(3924),
    [sym_conditional_type] = STATE(3873),
    [sym_generic_type] = STATE(3873),
    [sym_type_query] = STATE(3873),
    [sym_index_type_query] = STATE(3873),
    [sym_lookup_type] = STATE(3873),
    [sym_literal_type] = STATE(3873),
    [sym__number] = STATE(3934),
    [sym_existential_type] = STATE(3873),
    [sym_flow_maybe_type] = STATE(3873),
    [sym_parenthesized_type] = STATE(3873),
    [sym_predefined_type] = STATE(3873),
    [sym_object_type] = STATE(3873),
    [sym_type_parameters] = STATE(6758),
    [sym_array_type] = STATE(3873),
    [sym_tuple_type] = STATE(3873),
    [sym_readonly_type] = STATE(3924),
    [sym_union_type] = STATE(3873),
    [sym_intersection_type] = STATE(3873),
    [sym_function_type] = STATE(3924),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(209),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_DQUOTE] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [anon_sym_new] = ACTIONS(1898),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(1900),
    [anon_sym_DASH] = ACTIONS(1900),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(207),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_any] = ACTIONS(207),
    [anon_sym_number] = ACTIONS(207),
    [anon_sym_boolean] = ACTIONS(207),
    [anon_sym_string] = ACTIONS(207),
    [anon_sym_symbol] = ACTIONS(207),
    [anon_sym_object] = ACTIONS(207),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [1883] = {
    [sym_nested_identifier] = STATE(7203),
    [sym_string] = STATE(4142),
    [sym_comment] = STATE(1883),
    [sym_formal_parameters] = STATE(7533),
    [sym_nested_type_identifier] = STATE(4018),
    [sym__type] = STATE(4119),
    [sym_constructor_type] = STATE(4150),
    [sym__primary_type] = STATE(4152),
    [sym_template_literal_type] = STATE(4126),
    [sym_infer_type] = STATE(4150),
    [sym_conditional_type] = STATE(4126),
    [sym_generic_type] = STATE(4126),
    [sym_type_query] = STATE(4126),
    [sym_index_type_query] = STATE(4126),
    [sym_lookup_type] = STATE(4126),
    [sym_literal_type] = STATE(4126),
    [sym__number] = STATE(4153),
    [sym_existential_type] = STATE(4126),
    [sym_flow_maybe_type] = STATE(4126),
    [sym_parenthesized_type] = STATE(4126),
    [sym_predefined_type] = STATE(4126),
    [sym_object_type] = STATE(4126),
    [sym_type_parameters] = STATE(7111),
    [sym_array_type] = STATE(4126),
    [sym_tuple_type] = STATE(4126),
    [sym_readonly_type] = STATE(4150),
    [sym_union_type] = STATE(4126),
    [sym_intersection_type] = STATE(4126),
    [sym_function_type] = STATE(4150),
    [sym_identifier] = ACTIONS(1922),
    [anon_sym_STAR] = ACTIONS(1296),
    [anon_sym_LBRACE] = ACTIONS(1342),
    [anon_sym_typeof] = ACTIONS(1924),
    [anon_sym_const] = ACTIONS(1302),
    [anon_sym_LPAREN] = ACTIONS(1926),
    [anon_sym_LBRACK] = ACTIONS(1928),
    [anon_sym_DQUOTE] = ACTIONS(1930),
    [anon_sym_SQUOTE] = ACTIONS(1932),
    [anon_sym_new] = ACTIONS(1934),
    [anon_sym_AMP] = ACTIONS(1310),
    [anon_sym_PIPE] = ACTIONS(1312),
    [anon_sym_PLUS] = ACTIONS(1936),
    [anon_sym_DASH] = ACTIONS(1936),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(1340),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1938),
    [sym_number] = ACTIONS(1940),
    [sym_this] = ACTIONS(1942),
    [sym_true] = ACTIONS(1940),
    [sym_false] = ACTIONS(1940),
    [sym_null] = ACTIONS(1940),
    [sym_undefined] = ACTIONS(1940),
    [anon_sym_readonly] = ACTIONS(1944),
    [anon_sym_QMARK] = ACTIONS(1328),
    [anon_sym_any] = ACTIONS(1340),
    [anon_sym_number] = ACTIONS(1340),
    [anon_sym_boolean] = ACTIONS(1340),
    [anon_sym_string] = ACTIONS(1340),
    [anon_sym_symbol] = ACTIONS(1340),
    [anon_sym_object] = ACTIONS(1340),
    [anon_sym_abstract] = ACTIONS(1332),
    [anon_sym_infer] = ACTIONS(1334),
    [anon_sym_keyof] = ACTIONS(1336),
    [anon_sym_unique] = ACTIONS(1338),
    [anon_sym_unknown] = ACTIONS(1340),
    [anon_sym_never] = ACTIONS(1340),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1342),
    [sym_html_comment] = ACTIONS(5),
  },
  [1884] = {
    [sym_nested_identifier] = STATE(7203),
    [sym_string] = STATE(4142),
    [sym_comment] = STATE(1884),
    [sym_formal_parameters] = STATE(7533),
    [sym_nested_type_identifier] = STATE(4018),
    [sym__type] = STATE(4115),
    [sym_constructor_type] = STATE(4150),
    [sym__primary_type] = STATE(4152),
    [sym_template_literal_type] = STATE(4126),
    [sym_infer_type] = STATE(4150),
    [sym_conditional_type] = STATE(4126),
    [sym_generic_type] = STATE(4126),
    [sym_type_query] = STATE(4126),
    [sym_index_type_query] = STATE(4126),
    [sym_lookup_type] = STATE(4126),
    [sym_literal_type] = STATE(4126),
    [sym__number] = STATE(4153),
    [sym_existential_type] = STATE(4126),
    [sym_flow_maybe_type] = STATE(4126),
    [sym_parenthesized_type] = STATE(4126),
    [sym_predefined_type] = STATE(4126),
    [sym_object_type] = STATE(4126),
    [sym_type_parameters] = STATE(7111),
    [sym_array_type] = STATE(4126),
    [sym_tuple_type] = STATE(4126),
    [sym_readonly_type] = STATE(4150),
    [sym_union_type] = STATE(4126),
    [sym_intersection_type] = STATE(4126),
    [sym_function_type] = STATE(4150),
    [sym_identifier] = ACTIONS(1922),
    [anon_sym_STAR] = ACTIONS(1296),
    [anon_sym_LBRACE] = ACTIONS(1342),
    [anon_sym_typeof] = ACTIONS(1924),
    [anon_sym_const] = ACTIONS(1302),
    [anon_sym_LPAREN] = ACTIONS(1926),
    [anon_sym_LBRACK] = ACTIONS(1928),
    [anon_sym_DQUOTE] = ACTIONS(1930),
    [anon_sym_SQUOTE] = ACTIONS(1932),
    [anon_sym_new] = ACTIONS(1934),
    [anon_sym_AMP] = ACTIONS(1310),
    [anon_sym_PIPE] = ACTIONS(1312),
    [anon_sym_PLUS] = ACTIONS(1936),
    [anon_sym_DASH] = ACTIONS(1936),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(1340),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1938),
    [sym_number] = ACTIONS(1940),
    [sym_this] = ACTIONS(1942),
    [sym_true] = ACTIONS(1940),
    [sym_false] = ACTIONS(1940),
    [sym_null] = ACTIONS(1940),
    [sym_undefined] = ACTIONS(1940),
    [anon_sym_readonly] = ACTIONS(1944),
    [anon_sym_QMARK] = ACTIONS(1328),
    [anon_sym_any] = ACTIONS(1340),
    [anon_sym_number] = ACTIONS(1340),
    [anon_sym_boolean] = ACTIONS(1340),
    [anon_sym_string] = ACTIONS(1340),
    [anon_sym_symbol] = ACTIONS(1340),
    [anon_sym_object] = ACTIONS(1340),
    [anon_sym_abstract] = ACTIONS(1332),
    [anon_sym_infer] = ACTIONS(1334),
    [anon_sym_keyof] = ACTIONS(1336),
    [anon_sym_unique] = ACTIONS(1338),
    [anon_sym_unknown] = ACTIONS(1340),
    [anon_sym_never] = ACTIONS(1340),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1342),
    [sym_html_comment] = ACTIONS(5),
  },
  [1885] = {
    [sym_nested_identifier] = STATE(7283),
    [sym_string] = STATE(3875),
    [sym_comment] = STATE(1885),
    [sym_formal_parameters] = STATE(7329),
    [sym_nested_type_identifier] = STATE(3821),
    [sym__type] = STATE(3915),
    [sym_constructor_type] = STATE(3924),
    [sym__primary_type] = STATE(3930),
    [sym_template_literal_type] = STATE(3873),
    [sym_infer_type] = STATE(3924),
    [sym_conditional_type] = STATE(3873),
    [sym_generic_type] = STATE(3873),
    [sym_type_query] = STATE(3873),
    [sym_index_type_query] = STATE(3873),
    [sym_lookup_type] = STATE(3873),
    [sym_literal_type] = STATE(3873),
    [sym__number] = STATE(3934),
    [sym_existential_type] = STATE(3873),
    [sym_flow_maybe_type] = STATE(3873),
    [sym_parenthesized_type] = STATE(3873),
    [sym_predefined_type] = STATE(3873),
    [sym_object_type] = STATE(3873),
    [sym_type_parameters] = STATE(6758),
    [sym_array_type] = STATE(3873),
    [sym_tuple_type] = STATE(3873),
    [sym_readonly_type] = STATE(3924),
    [sym_union_type] = STATE(3873),
    [sym_intersection_type] = STATE(3873),
    [sym_function_type] = STATE(3924),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(209),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_DQUOTE] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [anon_sym_new] = ACTIONS(1898),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(1900),
    [anon_sym_DASH] = ACTIONS(1900),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(207),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_any] = ACTIONS(207),
    [anon_sym_number] = ACTIONS(207),
    [anon_sym_boolean] = ACTIONS(207),
    [anon_sym_string] = ACTIONS(207),
    [anon_sym_symbol] = ACTIONS(207),
    [anon_sym_object] = ACTIONS(207),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [1886] = {
    [sym_nested_identifier] = STATE(7283),
    [sym_string] = STATE(3875),
    [sym_comment] = STATE(1886),
    [sym_formal_parameters] = STATE(7329),
    [sym_nested_type_identifier] = STATE(3821),
    [sym__type] = STATE(3919),
    [sym_constructor_type] = STATE(3924),
    [sym__primary_type] = STATE(3930),
    [sym_template_literal_type] = STATE(3873),
    [sym_infer_type] = STATE(3924),
    [sym_conditional_type] = STATE(3873),
    [sym_generic_type] = STATE(3873),
    [sym_type_query] = STATE(3873),
    [sym_index_type_query] = STATE(3873),
    [sym_lookup_type] = STATE(3873),
    [sym_literal_type] = STATE(3873),
    [sym__number] = STATE(3934),
    [sym_existential_type] = STATE(3873),
    [sym_flow_maybe_type] = STATE(3873),
    [sym_parenthesized_type] = STATE(3873),
    [sym_predefined_type] = STATE(3873),
    [sym_object_type] = STATE(3873),
    [sym_type_parameters] = STATE(6758),
    [sym_array_type] = STATE(3873),
    [sym_tuple_type] = STATE(3873),
    [sym_readonly_type] = STATE(3924),
    [sym_union_type] = STATE(3873),
    [sym_intersection_type] = STATE(3873),
    [sym_function_type] = STATE(3924),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(209),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_DQUOTE] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [anon_sym_new] = ACTIONS(1898),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(1900),
    [anon_sym_DASH] = ACTIONS(1900),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(207),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_any] = ACTIONS(207),
    [anon_sym_number] = ACTIONS(207),
    [anon_sym_boolean] = ACTIONS(207),
    [anon_sym_string] = ACTIONS(207),
    [anon_sym_symbol] = ACTIONS(207),
    [anon_sym_object] = ACTIONS(207),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [1887] = {
    [sym_nested_identifier] = STATE(7283),
    [sym_string] = STATE(3875),
    [sym_comment] = STATE(1887),
    [sym_formal_parameters] = STATE(7329),
    [sym_nested_type_identifier] = STATE(3821),
    [sym__type] = STATE(5055),
    [sym_constructor_type] = STATE(3924),
    [sym__primary_type] = STATE(3930),
    [sym_template_literal_type] = STATE(3873),
    [sym_infer_type] = STATE(3924),
    [sym_conditional_type] = STATE(3873),
    [sym_generic_type] = STATE(3873),
    [sym_type_query] = STATE(3873),
    [sym_index_type_query] = STATE(3873),
    [sym_lookup_type] = STATE(3873),
    [sym_literal_type] = STATE(3873),
    [sym__number] = STATE(3934),
    [sym_existential_type] = STATE(3873),
    [sym_flow_maybe_type] = STATE(3873),
    [sym_parenthesized_type] = STATE(3873),
    [sym_predefined_type] = STATE(3873),
    [sym_object_type] = STATE(3873),
    [sym_type_parameters] = STATE(6758),
    [sym_array_type] = STATE(3873),
    [sym_tuple_type] = STATE(3873),
    [sym_readonly_type] = STATE(3924),
    [sym_union_type] = STATE(3873),
    [sym_intersection_type] = STATE(3873),
    [sym_function_type] = STATE(3924),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(209),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_DQUOTE] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [anon_sym_new] = ACTIONS(1898),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(1900),
    [anon_sym_DASH] = ACTIONS(1900),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(207),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_any] = ACTIONS(207),
    [anon_sym_number] = ACTIONS(207),
    [anon_sym_boolean] = ACTIONS(207),
    [anon_sym_string] = ACTIONS(207),
    [anon_sym_symbol] = ACTIONS(207),
    [anon_sym_object] = ACTIONS(207),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [1888] = {
    [sym_nested_identifier] = STATE(7203),
    [sym_string] = STATE(4142),
    [sym_comment] = STATE(1888),
    [sym_formal_parameters] = STATE(7533),
    [sym_nested_type_identifier] = STATE(4018),
    [sym__type] = STATE(5387),
    [sym_constructor_type] = STATE(4150),
    [sym__primary_type] = STATE(4152),
    [sym_template_literal_type] = STATE(4126),
    [sym_infer_type] = STATE(4150),
    [sym_conditional_type] = STATE(4126),
    [sym_generic_type] = STATE(4126),
    [sym_type_query] = STATE(4126),
    [sym_index_type_query] = STATE(4126),
    [sym_lookup_type] = STATE(4126),
    [sym_literal_type] = STATE(4126),
    [sym__number] = STATE(4153),
    [sym_existential_type] = STATE(4126),
    [sym_flow_maybe_type] = STATE(4126),
    [sym_parenthesized_type] = STATE(4126),
    [sym_predefined_type] = STATE(4126),
    [sym_object_type] = STATE(4126),
    [sym_type_parameters] = STATE(7111),
    [sym_array_type] = STATE(4126),
    [sym_tuple_type] = STATE(4126),
    [sym_readonly_type] = STATE(4150),
    [sym_union_type] = STATE(4126),
    [sym_intersection_type] = STATE(4126),
    [sym_function_type] = STATE(4150),
    [sym_identifier] = ACTIONS(1922),
    [anon_sym_STAR] = ACTIONS(1296),
    [anon_sym_LBRACE] = ACTIONS(1342),
    [anon_sym_typeof] = ACTIONS(1924),
    [anon_sym_const] = ACTIONS(1302),
    [anon_sym_LPAREN] = ACTIONS(1926),
    [anon_sym_LBRACK] = ACTIONS(1928),
    [anon_sym_DQUOTE] = ACTIONS(1930),
    [anon_sym_SQUOTE] = ACTIONS(1932),
    [anon_sym_new] = ACTIONS(1934),
    [anon_sym_AMP] = ACTIONS(1310),
    [anon_sym_PIPE] = ACTIONS(1312),
    [anon_sym_PLUS] = ACTIONS(1936),
    [anon_sym_DASH] = ACTIONS(1936),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(1340),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1938),
    [sym_number] = ACTIONS(1940),
    [sym_this] = ACTIONS(1942),
    [sym_true] = ACTIONS(1940),
    [sym_false] = ACTIONS(1940),
    [sym_null] = ACTIONS(1940),
    [sym_undefined] = ACTIONS(1940),
    [anon_sym_readonly] = ACTIONS(1944),
    [anon_sym_QMARK] = ACTIONS(1328),
    [anon_sym_any] = ACTIONS(1340),
    [anon_sym_number] = ACTIONS(1340),
    [anon_sym_boolean] = ACTIONS(1340),
    [anon_sym_string] = ACTIONS(1340),
    [anon_sym_symbol] = ACTIONS(1340),
    [anon_sym_object] = ACTIONS(1340),
    [anon_sym_abstract] = ACTIONS(1332),
    [anon_sym_infer] = ACTIONS(1334),
    [anon_sym_keyof] = ACTIONS(1336),
    [anon_sym_unique] = ACTIONS(1338),
    [anon_sym_unknown] = ACTIONS(1340),
    [anon_sym_never] = ACTIONS(1340),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1342),
    [sym_html_comment] = ACTIONS(5),
  },
  [1889] = {
    [sym_nested_identifier] = STATE(7311),
    [sym_string] = STATE(2943),
    [sym_comment] = STATE(1889),
    [sym_formal_parameters] = STATE(7434),
    [sym_nested_type_identifier] = STATE(2799),
    [sym__type] = STATE(2980),
    [sym_constructor_type] = STATE(2950),
    [sym__primary_type] = STATE(2951),
    [sym_template_literal_type] = STATE(2939),
    [sym_infer_type] = STATE(2950),
    [sym_conditional_type] = STATE(2939),
    [sym_generic_type] = STATE(2939),
    [sym_type_query] = STATE(2939),
    [sym_index_type_query] = STATE(2939),
    [sym_lookup_type] = STATE(2939),
    [sym_literal_type] = STATE(2939),
    [sym__number] = STATE(2952),
    [sym_existential_type] = STATE(2939),
    [sym_flow_maybe_type] = STATE(2939),
    [sym_parenthesized_type] = STATE(2939),
    [sym_predefined_type] = STATE(2939),
    [sym_object_type] = STATE(2939),
    [sym_type_parameters] = STATE(6909),
    [sym_array_type] = STATE(2939),
    [sym_tuple_type] = STATE(2939),
    [sym_readonly_type] = STATE(2950),
    [sym_union_type] = STATE(2939),
    [sym_intersection_type] = STATE(2939),
    [sym_function_type] = STATE(2950),
    [sym_identifier] = ACTIONS(4038),
    [anon_sym_STAR] = ACTIONS(3784),
    [anon_sym_LBRACE] = ACTIONS(3786),
    [anon_sym_typeof] = ACTIONS(3788),
    [anon_sym_const] = ACTIONS(3790),
    [anon_sym_LPAREN] = ACTIONS(3792),
    [anon_sym_LBRACK] = ACTIONS(3794),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_new] = ACTIONS(3796),
    [anon_sym_AMP] = ACTIONS(3798),
    [anon_sym_PIPE] = ACTIONS(3800),
    [anon_sym_PLUS] = ACTIONS(3802),
    [anon_sym_DASH] = ACTIONS(3802),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(3804),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3806),
    [sym_number] = ACTIONS(3808),
    [sym_this] = ACTIONS(4040),
    [sym_true] = ACTIONS(3808),
    [sym_false] = ACTIONS(3808),
    [sym_null] = ACTIONS(3808),
    [sym_undefined] = ACTIONS(3808),
    [anon_sym_readonly] = ACTIONS(3812),
    [anon_sym_QMARK] = ACTIONS(3814),
    [anon_sym_any] = ACTIONS(3804),
    [anon_sym_number] = ACTIONS(3804),
    [anon_sym_boolean] = ACTIONS(3804),
    [anon_sym_string] = ACTIONS(3804),
    [anon_sym_symbol] = ACTIONS(3804),
    [anon_sym_object] = ACTIONS(3804),
    [anon_sym_abstract] = ACTIONS(3816),
    [anon_sym_infer] = ACTIONS(3820),
    [anon_sym_keyof] = ACTIONS(3822),
    [anon_sym_unique] = ACTIONS(3824),
    [anon_sym_unknown] = ACTIONS(3804),
    [anon_sym_never] = ACTIONS(3804),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3786),
    [sym_html_comment] = ACTIONS(5),
  },
  [1890] = {
    [sym_nested_identifier] = STATE(7203),
    [sym_string] = STATE(4142),
    [sym_comment] = STATE(1890),
    [sym_formal_parameters] = STATE(7533),
    [sym_nested_type_identifier] = STATE(4018),
    [sym__type] = STATE(4165),
    [sym_constructor_type] = STATE(4150),
    [sym__primary_type] = STATE(4152),
    [sym_template_literal_type] = STATE(4126),
    [sym_infer_type] = STATE(4150),
    [sym_conditional_type] = STATE(4126),
    [sym_generic_type] = STATE(4126),
    [sym_type_query] = STATE(4126),
    [sym_index_type_query] = STATE(4126),
    [sym_lookup_type] = STATE(4126),
    [sym_literal_type] = STATE(4126),
    [sym__number] = STATE(4153),
    [sym_existential_type] = STATE(4126),
    [sym_flow_maybe_type] = STATE(4126),
    [sym_parenthesized_type] = STATE(4126),
    [sym_predefined_type] = STATE(4126),
    [sym_object_type] = STATE(4126),
    [sym_type_parameters] = STATE(7111),
    [sym_array_type] = STATE(4126),
    [sym_tuple_type] = STATE(4126),
    [sym_readonly_type] = STATE(4150),
    [sym_union_type] = STATE(4126),
    [sym_intersection_type] = STATE(4126),
    [sym_function_type] = STATE(4150),
    [sym_identifier] = ACTIONS(1922),
    [anon_sym_STAR] = ACTIONS(1296),
    [anon_sym_LBRACE] = ACTIONS(1342),
    [anon_sym_typeof] = ACTIONS(1924),
    [anon_sym_const] = ACTIONS(1302),
    [anon_sym_LPAREN] = ACTIONS(1926),
    [anon_sym_LBRACK] = ACTIONS(1928),
    [anon_sym_DQUOTE] = ACTIONS(1930),
    [anon_sym_SQUOTE] = ACTIONS(1932),
    [anon_sym_new] = ACTIONS(1934),
    [anon_sym_AMP] = ACTIONS(1310),
    [anon_sym_PIPE] = ACTIONS(1312),
    [anon_sym_PLUS] = ACTIONS(1936),
    [anon_sym_DASH] = ACTIONS(1936),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(1340),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1938),
    [sym_number] = ACTIONS(1940),
    [sym_this] = ACTIONS(1942),
    [sym_true] = ACTIONS(1940),
    [sym_false] = ACTIONS(1940),
    [sym_null] = ACTIONS(1940),
    [sym_undefined] = ACTIONS(1940),
    [anon_sym_readonly] = ACTIONS(1944),
    [anon_sym_QMARK] = ACTIONS(1328),
    [anon_sym_any] = ACTIONS(1340),
    [anon_sym_number] = ACTIONS(1340),
    [anon_sym_boolean] = ACTIONS(1340),
    [anon_sym_string] = ACTIONS(1340),
    [anon_sym_symbol] = ACTIONS(1340),
    [anon_sym_object] = ACTIONS(1340),
    [anon_sym_abstract] = ACTIONS(1332),
    [anon_sym_infer] = ACTIONS(1334),
    [anon_sym_keyof] = ACTIONS(1336),
    [anon_sym_unique] = ACTIONS(1338),
    [anon_sym_unknown] = ACTIONS(1340),
    [anon_sym_never] = ACTIONS(1340),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1342),
    [sym_html_comment] = ACTIONS(5),
  },
  [1891] = {
    [sym_nested_identifier] = STATE(7311),
    [sym_string] = STATE(2943),
    [sym_comment] = STATE(1891),
    [sym_formal_parameters] = STATE(7434),
    [sym_nested_type_identifier] = STATE(2799),
    [sym__type] = STATE(2971),
    [sym_constructor_type] = STATE(2950),
    [sym__primary_type] = STATE(2951),
    [sym_template_literal_type] = STATE(2939),
    [sym_infer_type] = STATE(2950),
    [sym_conditional_type] = STATE(2939),
    [sym_generic_type] = STATE(2939),
    [sym_type_query] = STATE(2939),
    [sym_index_type_query] = STATE(2939),
    [sym_lookup_type] = STATE(2939),
    [sym_literal_type] = STATE(2939),
    [sym__number] = STATE(2952),
    [sym_existential_type] = STATE(2939),
    [sym_flow_maybe_type] = STATE(2939),
    [sym_parenthesized_type] = STATE(2939),
    [sym_predefined_type] = STATE(2939),
    [sym_object_type] = STATE(2939),
    [sym_type_parameters] = STATE(6909),
    [sym_array_type] = STATE(2939),
    [sym_tuple_type] = STATE(2939),
    [sym_readonly_type] = STATE(2950),
    [sym_union_type] = STATE(2939),
    [sym_intersection_type] = STATE(2939),
    [sym_function_type] = STATE(2950),
    [sym_identifier] = ACTIONS(4038),
    [anon_sym_STAR] = ACTIONS(3784),
    [anon_sym_LBRACE] = ACTIONS(3786),
    [anon_sym_typeof] = ACTIONS(3788),
    [anon_sym_const] = ACTIONS(3790),
    [anon_sym_LPAREN] = ACTIONS(3792),
    [anon_sym_LBRACK] = ACTIONS(3794),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_new] = ACTIONS(3796),
    [anon_sym_AMP] = ACTIONS(3798),
    [anon_sym_PIPE] = ACTIONS(3800),
    [anon_sym_PLUS] = ACTIONS(3802),
    [anon_sym_DASH] = ACTIONS(3802),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(3804),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3806),
    [sym_number] = ACTIONS(3808),
    [sym_this] = ACTIONS(4040),
    [sym_true] = ACTIONS(3808),
    [sym_false] = ACTIONS(3808),
    [sym_null] = ACTIONS(3808),
    [sym_undefined] = ACTIONS(3808),
    [anon_sym_readonly] = ACTIONS(3812),
    [anon_sym_QMARK] = ACTIONS(3814),
    [anon_sym_any] = ACTIONS(3804),
    [anon_sym_number] = ACTIONS(3804),
    [anon_sym_boolean] = ACTIONS(3804),
    [anon_sym_string] = ACTIONS(3804),
    [anon_sym_symbol] = ACTIONS(3804),
    [anon_sym_object] = ACTIONS(3804),
    [anon_sym_abstract] = ACTIONS(3816),
    [anon_sym_infer] = ACTIONS(3820),
    [anon_sym_keyof] = ACTIONS(3822),
    [anon_sym_unique] = ACTIONS(3824),
    [anon_sym_unknown] = ACTIONS(3804),
    [anon_sym_never] = ACTIONS(3804),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3786),
    [sym_html_comment] = ACTIONS(5),
  },
  [1892] = {
    [sym_nested_identifier] = STATE(7203),
    [sym_string] = STATE(4142),
    [sym_comment] = STATE(1892),
    [sym_formal_parameters] = STATE(7533),
    [sym_nested_type_identifier] = STATE(4018),
    [sym__type] = STATE(4114),
    [sym_constructor_type] = STATE(4150),
    [sym__primary_type] = STATE(4152),
    [sym_template_literal_type] = STATE(4126),
    [sym_infer_type] = STATE(4150),
    [sym_conditional_type] = STATE(4126),
    [sym_generic_type] = STATE(4126),
    [sym_type_query] = STATE(4126),
    [sym_index_type_query] = STATE(4126),
    [sym_lookup_type] = STATE(4126),
    [sym_literal_type] = STATE(4126),
    [sym__number] = STATE(4153),
    [sym_existential_type] = STATE(4126),
    [sym_flow_maybe_type] = STATE(4126),
    [sym_parenthesized_type] = STATE(4126),
    [sym_predefined_type] = STATE(4126),
    [sym_object_type] = STATE(4126),
    [sym_type_parameters] = STATE(7111),
    [sym_array_type] = STATE(4126),
    [sym_tuple_type] = STATE(4126),
    [sym_readonly_type] = STATE(4150),
    [sym_union_type] = STATE(4126),
    [sym_intersection_type] = STATE(4126),
    [sym_function_type] = STATE(4150),
    [sym_identifier] = ACTIONS(1922),
    [anon_sym_STAR] = ACTIONS(1296),
    [anon_sym_LBRACE] = ACTIONS(1342),
    [anon_sym_typeof] = ACTIONS(1924),
    [anon_sym_const] = ACTIONS(1302),
    [anon_sym_LPAREN] = ACTIONS(1926),
    [anon_sym_LBRACK] = ACTIONS(1928),
    [anon_sym_DQUOTE] = ACTIONS(1930),
    [anon_sym_SQUOTE] = ACTIONS(1932),
    [anon_sym_new] = ACTIONS(1934),
    [anon_sym_AMP] = ACTIONS(1310),
    [anon_sym_PIPE] = ACTIONS(1312),
    [anon_sym_PLUS] = ACTIONS(1936),
    [anon_sym_DASH] = ACTIONS(1936),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(1340),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1938),
    [sym_number] = ACTIONS(1940),
    [sym_this] = ACTIONS(1942),
    [sym_true] = ACTIONS(1940),
    [sym_false] = ACTIONS(1940),
    [sym_null] = ACTIONS(1940),
    [sym_undefined] = ACTIONS(1940),
    [anon_sym_readonly] = ACTIONS(1944),
    [anon_sym_QMARK] = ACTIONS(1328),
    [anon_sym_any] = ACTIONS(1340),
    [anon_sym_number] = ACTIONS(1340),
    [anon_sym_boolean] = ACTIONS(1340),
    [anon_sym_string] = ACTIONS(1340),
    [anon_sym_symbol] = ACTIONS(1340),
    [anon_sym_object] = ACTIONS(1340),
    [anon_sym_abstract] = ACTIONS(1332),
    [anon_sym_infer] = ACTIONS(1334),
    [anon_sym_keyof] = ACTIONS(1336),
    [anon_sym_unique] = ACTIONS(1338),
    [anon_sym_unknown] = ACTIONS(1340),
    [anon_sym_never] = ACTIONS(1340),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1342),
    [sym_html_comment] = ACTIONS(5),
  },
  [1893] = {
    [sym_nested_identifier] = STATE(7311),
    [sym_string] = STATE(2943),
    [sym_comment] = STATE(1893),
    [sym_formal_parameters] = STATE(7434),
    [sym_nested_type_identifier] = STATE(2799),
    [sym__type] = STATE(2891),
    [sym_constructor_type] = STATE(2950),
    [sym__primary_type] = STATE(2951),
    [sym_template_literal_type] = STATE(2939),
    [sym_infer_type] = STATE(2950),
    [sym_conditional_type] = STATE(2939),
    [sym_generic_type] = STATE(2939),
    [sym_type_query] = STATE(2939),
    [sym_index_type_query] = STATE(2939),
    [sym_lookup_type] = STATE(2939),
    [sym_literal_type] = STATE(2939),
    [sym__number] = STATE(2952),
    [sym_existential_type] = STATE(2939),
    [sym_flow_maybe_type] = STATE(2939),
    [sym_parenthesized_type] = STATE(2939),
    [sym_predefined_type] = STATE(2939),
    [sym_object_type] = STATE(2939),
    [sym_type_parameters] = STATE(6909),
    [sym_array_type] = STATE(2939),
    [sym_tuple_type] = STATE(2939),
    [sym_readonly_type] = STATE(2950),
    [sym_union_type] = STATE(2939),
    [sym_intersection_type] = STATE(2939),
    [sym_function_type] = STATE(2950),
    [sym_identifier] = ACTIONS(4038),
    [anon_sym_STAR] = ACTIONS(3784),
    [anon_sym_LBRACE] = ACTIONS(3786),
    [anon_sym_typeof] = ACTIONS(3788),
    [anon_sym_const] = ACTIONS(3790),
    [anon_sym_LPAREN] = ACTIONS(3792),
    [anon_sym_LBRACK] = ACTIONS(3794),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_new] = ACTIONS(3796),
    [anon_sym_AMP] = ACTIONS(3798),
    [anon_sym_PIPE] = ACTIONS(3800),
    [anon_sym_PLUS] = ACTIONS(3802),
    [anon_sym_DASH] = ACTIONS(3802),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(3804),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3806),
    [sym_number] = ACTIONS(3808),
    [sym_this] = ACTIONS(4040),
    [sym_true] = ACTIONS(3808),
    [sym_false] = ACTIONS(3808),
    [sym_null] = ACTIONS(3808),
    [sym_undefined] = ACTIONS(3808),
    [anon_sym_readonly] = ACTIONS(3812),
    [anon_sym_QMARK] = ACTIONS(3814),
    [anon_sym_any] = ACTIONS(3804),
    [anon_sym_number] = ACTIONS(3804),
    [anon_sym_boolean] = ACTIONS(3804),
    [anon_sym_string] = ACTIONS(3804),
    [anon_sym_symbol] = ACTIONS(3804),
    [anon_sym_object] = ACTIONS(3804),
    [anon_sym_abstract] = ACTIONS(3816),
    [anon_sym_infer] = ACTIONS(3820),
    [anon_sym_keyof] = ACTIONS(3822),
    [anon_sym_unique] = ACTIONS(3824),
    [anon_sym_unknown] = ACTIONS(3804),
    [anon_sym_never] = ACTIONS(3804),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3786),
    [sym_html_comment] = ACTIONS(5),
  },
  [1894] = {
    [sym_nested_identifier] = STATE(7311),
    [sym_string] = STATE(2943),
    [sym_comment] = STATE(1894),
    [sym_formal_parameters] = STATE(7434),
    [sym_nested_type_identifier] = STATE(2799),
    [sym__type] = STATE(2876),
    [sym_constructor_type] = STATE(2950),
    [sym__primary_type] = STATE(2951),
    [sym_template_literal_type] = STATE(2939),
    [sym_infer_type] = STATE(2950),
    [sym_conditional_type] = STATE(2939),
    [sym_generic_type] = STATE(2939),
    [sym_type_query] = STATE(2939),
    [sym_index_type_query] = STATE(2939),
    [sym_lookup_type] = STATE(2939),
    [sym_literal_type] = STATE(2939),
    [sym__number] = STATE(2952),
    [sym_existential_type] = STATE(2939),
    [sym_flow_maybe_type] = STATE(2939),
    [sym_parenthesized_type] = STATE(2939),
    [sym_predefined_type] = STATE(2939),
    [sym_object_type] = STATE(2939),
    [sym_type_parameters] = STATE(6909),
    [sym_array_type] = STATE(2939),
    [sym_tuple_type] = STATE(2939),
    [sym_readonly_type] = STATE(2950),
    [sym_union_type] = STATE(2939),
    [sym_intersection_type] = STATE(2939),
    [sym_function_type] = STATE(2950),
    [sym_identifier] = ACTIONS(4038),
    [anon_sym_STAR] = ACTIONS(3784),
    [anon_sym_LBRACE] = ACTIONS(3786),
    [anon_sym_typeof] = ACTIONS(3788),
    [anon_sym_const] = ACTIONS(3790),
    [anon_sym_LPAREN] = ACTIONS(3792),
    [anon_sym_LBRACK] = ACTIONS(3794),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_new] = ACTIONS(3796),
    [anon_sym_AMP] = ACTIONS(3798),
    [anon_sym_PIPE] = ACTIONS(3800),
    [anon_sym_PLUS] = ACTIONS(3802),
    [anon_sym_DASH] = ACTIONS(3802),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(3804),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3806),
    [sym_number] = ACTIONS(3808),
    [sym_this] = ACTIONS(4040),
    [sym_true] = ACTIONS(3808),
    [sym_false] = ACTIONS(3808),
    [sym_null] = ACTIONS(3808),
    [sym_undefined] = ACTIONS(3808),
    [anon_sym_readonly] = ACTIONS(3812),
    [anon_sym_QMARK] = ACTIONS(3814),
    [anon_sym_any] = ACTIONS(3804),
    [anon_sym_number] = ACTIONS(3804),
    [anon_sym_boolean] = ACTIONS(3804),
    [anon_sym_string] = ACTIONS(3804),
    [anon_sym_symbol] = ACTIONS(3804),
    [anon_sym_object] = ACTIONS(3804),
    [anon_sym_abstract] = ACTIONS(3816),
    [anon_sym_infer] = ACTIONS(3820),
    [anon_sym_keyof] = ACTIONS(3822),
    [anon_sym_unique] = ACTIONS(3824),
    [anon_sym_unknown] = ACTIONS(3804),
    [anon_sym_never] = ACTIONS(3804),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3786),
    [sym_html_comment] = ACTIONS(5),
  },
  [1895] = {
    [sym_nested_identifier] = STATE(7229),
    [sym_string] = STATE(2505),
    [sym_comment] = STATE(1895),
    [sym_formal_parameters] = STATE(7316),
    [sym_nested_type_identifier] = STATE(2360),
    [sym__type] = STATE(2400),
    [sym_constructor_type] = STATE(2501),
    [sym__primary_type] = STATE(2499),
    [sym_template_literal_type] = STATE(2507),
    [sym_infer_type] = STATE(2501),
    [sym_conditional_type] = STATE(2507),
    [sym_generic_type] = STATE(2507),
    [sym_type_query] = STATE(2507),
    [sym_index_type_query] = STATE(2507),
    [sym_lookup_type] = STATE(2507),
    [sym_literal_type] = STATE(2507),
    [sym__number] = STATE(2498),
    [sym_existential_type] = STATE(2507),
    [sym_flow_maybe_type] = STATE(2507),
    [sym_parenthesized_type] = STATE(2507),
    [sym_predefined_type] = STATE(2507),
    [sym_object_type] = STATE(2507),
    [sym_type_parameters] = STATE(7078),
    [sym_array_type] = STATE(2507),
    [sym_tuple_type] = STATE(2507),
    [sym_readonly_type] = STATE(2501),
    [sym_union_type] = STATE(2507),
    [sym_intersection_type] = STATE(2507),
    [sym_function_type] = STATE(2501),
    [sym_identifier] = ACTIONS(4046),
    [anon_sym_STAR] = ACTIONS(3828),
    [anon_sym_LBRACE] = ACTIONS(3830),
    [anon_sym_typeof] = ACTIONS(3832),
    [anon_sym_const] = ACTIONS(3834),
    [anon_sym_LPAREN] = ACTIONS(3836),
    [anon_sym_LBRACK] = ACTIONS(3838),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_new] = ACTIONS(3840),
    [anon_sym_AMP] = ACTIONS(3842),
    [anon_sym_PIPE] = ACTIONS(3844),
    [anon_sym_PLUS] = ACTIONS(3846),
    [anon_sym_DASH] = ACTIONS(3846),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(3848),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3850),
    [sym_number] = ACTIONS(3852),
    [sym_this] = ACTIONS(4048),
    [sym_true] = ACTIONS(3852),
    [sym_false] = ACTIONS(3852),
    [sym_null] = ACTIONS(3852),
    [sym_undefined] = ACTIONS(3852),
    [anon_sym_readonly] = ACTIONS(3856),
    [anon_sym_QMARK] = ACTIONS(3858),
    [anon_sym_any] = ACTIONS(3848),
    [anon_sym_number] = ACTIONS(3848),
    [anon_sym_boolean] = ACTIONS(3848),
    [anon_sym_string] = ACTIONS(3848),
    [anon_sym_symbol] = ACTIONS(3848),
    [anon_sym_object] = ACTIONS(3848),
    [anon_sym_abstract] = ACTIONS(3860),
    [anon_sym_infer] = ACTIONS(3864),
    [anon_sym_keyof] = ACTIONS(3866),
    [anon_sym_unique] = ACTIONS(3868),
    [anon_sym_unknown] = ACTIONS(3848),
    [anon_sym_never] = ACTIONS(3848),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3830),
    [sym_html_comment] = ACTIONS(5),
  },
  [1896] = {
    [sym_nested_identifier] = STATE(7311),
    [sym_string] = STATE(2943),
    [sym_comment] = STATE(1896),
    [sym_formal_parameters] = STATE(7434),
    [sym_nested_type_identifier] = STATE(2799),
    [sym__type] = STATE(2847),
    [sym_constructor_type] = STATE(2950),
    [sym__primary_type] = STATE(2951),
    [sym_template_literal_type] = STATE(2939),
    [sym_infer_type] = STATE(2950),
    [sym_conditional_type] = STATE(2939),
    [sym_generic_type] = STATE(2939),
    [sym_type_query] = STATE(2939),
    [sym_index_type_query] = STATE(2939),
    [sym_lookup_type] = STATE(2939),
    [sym_literal_type] = STATE(2939),
    [sym__number] = STATE(2952),
    [sym_existential_type] = STATE(2939),
    [sym_flow_maybe_type] = STATE(2939),
    [sym_parenthesized_type] = STATE(2939),
    [sym_predefined_type] = STATE(2939),
    [sym_object_type] = STATE(2939),
    [sym_type_parameters] = STATE(6909),
    [sym_array_type] = STATE(2939),
    [sym_tuple_type] = STATE(2939),
    [sym_readonly_type] = STATE(2950),
    [sym_union_type] = STATE(2939),
    [sym_intersection_type] = STATE(2939),
    [sym_function_type] = STATE(2950),
    [sym_identifier] = ACTIONS(4038),
    [anon_sym_STAR] = ACTIONS(3784),
    [anon_sym_LBRACE] = ACTIONS(3786),
    [anon_sym_typeof] = ACTIONS(3788),
    [anon_sym_const] = ACTIONS(3790),
    [anon_sym_LPAREN] = ACTIONS(3792),
    [anon_sym_LBRACK] = ACTIONS(3794),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_new] = ACTIONS(3796),
    [anon_sym_AMP] = ACTIONS(3798),
    [anon_sym_PIPE] = ACTIONS(3800),
    [anon_sym_PLUS] = ACTIONS(3802),
    [anon_sym_DASH] = ACTIONS(3802),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(3804),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3806),
    [sym_number] = ACTIONS(3808),
    [sym_this] = ACTIONS(4040),
    [sym_true] = ACTIONS(3808),
    [sym_false] = ACTIONS(3808),
    [sym_null] = ACTIONS(3808),
    [sym_undefined] = ACTIONS(3808),
    [anon_sym_readonly] = ACTIONS(3812),
    [anon_sym_QMARK] = ACTIONS(3814),
    [anon_sym_any] = ACTIONS(3804),
    [anon_sym_number] = ACTIONS(3804),
    [anon_sym_boolean] = ACTIONS(3804),
    [anon_sym_string] = ACTIONS(3804),
    [anon_sym_symbol] = ACTIONS(3804),
    [anon_sym_object] = ACTIONS(3804),
    [anon_sym_abstract] = ACTIONS(3816),
    [anon_sym_infer] = ACTIONS(3820),
    [anon_sym_keyof] = ACTIONS(3822),
    [anon_sym_unique] = ACTIONS(3824),
    [anon_sym_unknown] = ACTIONS(3804),
    [anon_sym_never] = ACTIONS(3804),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3786),
    [sym_html_comment] = ACTIONS(5),
  },
  [1897] = {
    [sym_nested_identifier] = STATE(7311),
    [sym_string] = STATE(2943),
    [sym_comment] = STATE(1897),
    [sym_formal_parameters] = STATE(7434),
    [sym_nested_type_identifier] = STATE(2799),
    [sym__type] = STATE(2849),
    [sym_constructor_type] = STATE(2950),
    [sym__primary_type] = STATE(2951),
    [sym_template_literal_type] = STATE(2939),
    [sym_infer_type] = STATE(2950),
    [sym_conditional_type] = STATE(2939),
    [sym_generic_type] = STATE(2939),
    [sym_type_query] = STATE(2939),
    [sym_index_type_query] = STATE(2939),
    [sym_lookup_type] = STATE(2939),
    [sym_literal_type] = STATE(2939),
    [sym__number] = STATE(2952),
    [sym_existential_type] = STATE(2939),
    [sym_flow_maybe_type] = STATE(2939),
    [sym_parenthesized_type] = STATE(2939),
    [sym_predefined_type] = STATE(2939),
    [sym_object_type] = STATE(2939),
    [sym_type_parameters] = STATE(6909),
    [sym_array_type] = STATE(2939),
    [sym_tuple_type] = STATE(2939),
    [sym_readonly_type] = STATE(2950),
    [sym_union_type] = STATE(2939),
    [sym_intersection_type] = STATE(2939),
    [sym_function_type] = STATE(2950),
    [sym_identifier] = ACTIONS(4038),
    [anon_sym_STAR] = ACTIONS(3784),
    [anon_sym_LBRACE] = ACTIONS(3786),
    [anon_sym_typeof] = ACTIONS(3788),
    [anon_sym_const] = ACTIONS(3790),
    [anon_sym_LPAREN] = ACTIONS(3792),
    [anon_sym_LBRACK] = ACTIONS(3794),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_new] = ACTIONS(3796),
    [anon_sym_AMP] = ACTIONS(3798),
    [anon_sym_PIPE] = ACTIONS(3800),
    [anon_sym_PLUS] = ACTIONS(3802),
    [anon_sym_DASH] = ACTIONS(3802),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(3804),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3806),
    [sym_number] = ACTIONS(3808),
    [sym_this] = ACTIONS(4040),
    [sym_true] = ACTIONS(3808),
    [sym_false] = ACTIONS(3808),
    [sym_null] = ACTIONS(3808),
    [sym_undefined] = ACTIONS(3808),
    [anon_sym_readonly] = ACTIONS(3812),
    [anon_sym_QMARK] = ACTIONS(3814),
    [anon_sym_any] = ACTIONS(3804),
    [anon_sym_number] = ACTIONS(3804),
    [anon_sym_boolean] = ACTIONS(3804),
    [anon_sym_string] = ACTIONS(3804),
    [anon_sym_symbol] = ACTIONS(3804),
    [anon_sym_object] = ACTIONS(3804),
    [anon_sym_abstract] = ACTIONS(3816),
    [anon_sym_infer] = ACTIONS(3820),
    [anon_sym_keyof] = ACTIONS(3822),
    [anon_sym_unique] = ACTIONS(3824),
    [anon_sym_unknown] = ACTIONS(3804),
    [anon_sym_never] = ACTIONS(3804),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3786),
    [sym_html_comment] = ACTIONS(5),
  },
  [1898] = {
    [sym_nested_identifier] = STATE(7283),
    [sym_string] = STATE(3875),
    [sym_comment] = STATE(1898),
    [sym_formal_parameters] = STATE(7329),
    [sym_nested_type_identifier] = STATE(3821),
    [sym__type] = STATE(3830),
    [sym_constructor_type] = STATE(3924),
    [sym__primary_type] = STATE(3930),
    [sym_template_literal_type] = STATE(3873),
    [sym_infer_type] = STATE(3924),
    [sym_conditional_type] = STATE(3873),
    [sym_generic_type] = STATE(3873),
    [sym_type_query] = STATE(3873),
    [sym_index_type_query] = STATE(3873),
    [sym_lookup_type] = STATE(3873),
    [sym_literal_type] = STATE(3873),
    [sym__number] = STATE(3934),
    [sym_existential_type] = STATE(3873),
    [sym_flow_maybe_type] = STATE(3873),
    [sym_parenthesized_type] = STATE(3873),
    [sym_predefined_type] = STATE(3873),
    [sym_object_type] = STATE(3873),
    [sym_type_parameters] = STATE(6758),
    [sym_array_type] = STATE(3873),
    [sym_tuple_type] = STATE(3873),
    [sym_readonly_type] = STATE(3924),
    [sym_union_type] = STATE(3873),
    [sym_intersection_type] = STATE(3873),
    [sym_function_type] = STATE(3924),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(209),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_DQUOTE] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [anon_sym_new] = ACTIONS(1898),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(1900),
    [anon_sym_DASH] = ACTIONS(1900),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(207),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_any] = ACTIONS(207),
    [anon_sym_number] = ACTIONS(207),
    [anon_sym_boolean] = ACTIONS(207),
    [anon_sym_string] = ACTIONS(207),
    [anon_sym_symbol] = ACTIONS(207),
    [anon_sym_object] = ACTIONS(207),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [1899] = {
    [sym_nested_identifier] = STATE(7283),
    [sym_string] = STATE(3875),
    [sym_comment] = STATE(1899),
    [sym_formal_parameters] = STATE(7329),
    [sym_nested_type_identifier] = STATE(3821),
    [sym__type] = STATE(3871),
    [sym_constructor_type] = STATE(3924),
    [sym__primary_type] = STATE(3930),
    [sym_template_literal_type] = STATE(3873),
    [sym_infer_type] = STATE(3924),
    [sym_conditional_type] = STATE(3873),
    [sym_generic_type] = STATE(3873),
    [sym_type_query] = STATE(3873),
    [sym_index_type_query] = STATE(3873),
    [sym_lookup_type] = STATE(3873),
    [sym_literal_type] = STATE(3873),
    [sym__number] = STATE(3934),
    [sym_existential_type] = STATE(3873),
    [sym_flow_maybe_type] = STATE(3873),
    [sym_parenthesized_type] = STATE(3873),
    [sym_predefined_type] = STATE(3873),
    [sym_object_type] = STATE(3873),
    [sym_type_parameters] = STATE(6758),
    [sym_array_type] = STATE(3873),
    [sym_tuple_type] = STATE(3873),
    [sym_readonly_type] = STATE(3924),
    [sym_union_type] = STATE(3873),
    [sym_intersection_type] = STATE(3873),
    [sym_function_type] = STATE(3924),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(209),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_DQUOTE] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [anon_sym_new] = ACTIONS(1898),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(1900),
    [anon_sym_DASH] = ACTIONS(1900),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(207),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_any] = ACTIONS(207),
    [anon_sym_number] = ACTIONS(207),
    [anon_sym_boolean] = ACTIONS(207),
    [anon_sym_string] = ACTIONS(207),
    [anon_sym_symbol] = ACTIONS(207),
    [anon_sym_object] = ACTIONS(207),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [1900] = {
    [sym_nested_identifier] = STATE(7344),
    [sym_string] = STATE(4431),
    [sym_comment] = STATE(1900),
    [sym_formal_parameters] = STATE(7555),
    [sym_nested_type_identifier] = STATE(4170),
    [sym__type] = STATE(4446),
    [sym_constructor_type] = STATE(4427),
    [sym__primary_type] = STATE(4425),
    [sym_template_literal_type] = STATE(4437),
    [sym_infer_type] = STATE(4427),
    [sym_conditional_type] = STATE(4437),
    [sym_generic_type] = STATE(4437),
    [sym_type_query] = STATE(4437),
    [sym_index_type_query] = STATE(4437),
    [sym_lookup_type] = STATE(4437),
    [sym_literal_type] = STATE(4437),
    [sym__number] = STATE(4424),
    [sym_existential_type] = STATE(4437),
    [sym_flow_maybe_type] = STATE(4437),
    [sym_parenthesized_type] = STATE(4437),
    [sym_predefined_type] = STATE(4437),
    [sym_object_type] = STATE(4437),
    [sym_type_parameters] = STATE(6962),
    [sym_array_type] = STATE(4437),
    [sym_tuple_type] = STATE(4437),
    [sym_readonly_type] = STATE(4427),
    [sym_union_type] = STATE(4437),
    [sym_intersection_type] = STATE(4437),
    [sym_function_type] = STATE(4427),
    [sym_identifier] = ACTIONS(4042),
    [anon_sym_STAR] = ACTIONS(3652),
    [anon_sym_LBRACE] = ACTIONS(3654),
    [anon_sym_typeof] = ACTIONS(3656),
    [anon_sym_const] = ACTIONS(3658),
    [anon_sym_LPAREN] = ACTIONS(3660),
    [anon_sym_LBRACK] = ACTIONS(3662),
    [anon_sym_DQUOTE] = ACTIONS(3664),
    [anon_sym_SQUOTE] = ACTIONS(3666),
    [anon_sym_new] = ACTIONS(3668),
    [anon_sym_AMP] = ACTIONS(3670),
    [anon_sym_PIPE] = ACTIONS(3672),
    [anon_sym_PLUS] = ACTIONS(3674),
    [anon_sym_DASH] = ACTIONS(3674),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(3676),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3678),
    [sym_number] = ACTIONS(3680),
    [sym_this] = ACTIONS(4044),
    [sym_true] = ACTIONS(3680),
    [sym_false] = ACTIONS(3680),
    [sym_null] = ACTIONS(3680),
    [sym_undefined] = ACTIONS(3680),
    [anon_sym_readonly] = ACTIONS(3684),
    [anon_sym_QMARK] = ACTIONS(3686),
    [anon_sym_any] = ACTIONS(3676),
    [anon_sym_number] = ACTIONS(3676),
    [anon_sym_boolean] = ACTIONS(3676),
    [anon_sym_string] = ACTIONS(3676),
    [anon_sym_symbol] = ACTIONS(3676),
    [anon_sym_object] = ACTIONS(3676),
    [anon_sym_abstract] = ACTIONS(3688),
    [anon_sym_infer] = ACTIONS(3692),
    [anon_sym_keyof] = ACTIONS(3694),
    [anon_sym_unique] = ACTIONS(3696),
    [anon_sym_unknown] = ACTIONS(3676),
    [anon_sym_never] = ACTIONS(3676),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3654),
    [sym_html_comment] = ACTIONS(5),
  },
  [1901] = {
    [sym_nested_identifier] = STATE(7344),
    [sym_string] = STATE(4431),
    [sym_comment] = STATE(1901),
    [sym_formal_parameters] = STATE(7555),
    [sym_nested_type_identifier] = STATE(4170),
    [sym__type] = STATE(4445),
    [sym_constructor_type] = STATE(4427),
    [sym__primary_type] = STATE(4425),
    [sym_template_literal_type] = STATE(4437),
    [sym_infer_type] = STATE(4427),
    [sym_conditional_type] = STATE(4437),
    [sym_generic_type] = STATE(4437),
    [sym_type_query] = STATE(4437),
    [sym_index_type_query] = STATE(4437),
    [sym_lookup_type] = STATE(4437),
    [sym_literal_type] = STATE(4437),
    [sym__number] = STATE(4424),
    [sym_existential_type] = STATE(4437),
    [sym_flow_maybe_type] = STATE(4437),
    [sym_parenthesized_type] = STATE(4437),
    [sym_predefined_type] = STATE(4437),
    [sym_object_type] = STATE(4437),
    [sym_type_parameters] = STATE(6962),
    [sym_array_type] = STATE(4437),
    [sym_tuple_type] = STATE(4437),
    [sym_readonly_type] = STATE(4427),
    [sym_union_type] = STATE(4437),
    [sym_intersection_type] = STATE(4437),
    [sym_function_type] = STATE(4427),
    [sym_identifier] = ACTIONS(4042),
    [anon_sym_STAR] = ACTIONS(3652),
    [anon_sym_LBRACE] = ACTIONS(3654),
    [anon_sym_typeof] = ACTIONS(3656),
    [anon_sym_const] = ACTIONS(3658),
    [anon_sym_LPAREN] = ACTIONS(3660),
    [anon_sym_LBRACK] = ACTIONS(3662),
    [anon_sym_DQUOTE] = ACTIONS(3664),
    [anon_sym_SQUOTE] = ACTIONS(3666),
    [anon_sym_new] = ACTIONS(3668),
    [anon_sym_AMP] = ACTIONS(3670),
    [anon_sym_PIPE] = ACTIONS(3672),
    [anon_sym_PLUS] = ACTIONS(3674),
    [anon_sym_DASH] = ACTIONS(3674),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(3676),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3678),
    [sym_number] = ACTIONS(3680),
    [sym_this] = ACTIONS(4044),
    [sym_true] = ACTIONS(3680),
    [sym_false] = ACTIONS(3680),
    [sym_null] = ACTIONS(3680),
    [sym_undefined] = ACTIONS(3680),
    [anon_sym_readonly] = ACTIONS(3684),
    [anon_sym_QMARK] = ACTIONS(3686),
    [anon_sym_any] = ACTIONS(3676),
    [anon_sym_number] = ACTIONS(3676),
    [anon_sym_boolean] = ACTIONS(3676),
    [anon_sym_string] = ACTIONS(3676),
    [anon_sym_symbol] = ACTIONS(3676),
    [anon_sym_object] = ACTIONS(3676),
    [anon_sym_abstract] = ACTIONS(3688),
    [anon_sym_infer] = ACTIONS(3692),
    [anon_sym_keyof] = ACTIONS(3694),
    [anon_sym_unique] = ACTIONS(3696),
    [anon_sym_unknown] = ACTIONS(3676),
    [anon_sym_never] = ACTIONS(3676),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3654),
    [sym_html_comment] = ACTIONS(5),
  },
  [1902] = {
    [sym_nested_identifier] = STATE(7203),
    [sym_string] = STATE(4142),
    [sym_comment] = STATE(1902),
    [sym_formal_parameters] = STATE(7533),
    [sym_nested_type_identifier] = STATE(4018),
    [sym__type] = STATE(4130),
    [sym_constructor_type] = STATE(4150),
    [sym__primary_type] = STATE(4152),
    [sym_template_literal_type] = STATE(4126),
    [sym_infer_type] = STATE(4150),
    [sym_conditional_type] = STATE(4126),
    [sym_generic_type] = STATE(4126),
    [sym_type_query] = STATE(4126),
    [sym_index_type_query] = STATE(4126),
    [sym_lookup_type] = STATE(4126),
    [sym_literal_type] = STATE(4126),
    [sym__number] = STATE(4153),
    [sym_existential_type] = STATE(4126),
    [sym_flow_maybe_type] = STATE(4126),
    [sym_parenthesized_type] = STATE(4126),
    [sym_predefined_type] = STATE(4126),
    [sym_object_type] = STATE(4126),
    [sym_type_parameters] = STATE(7111),
    [sym_array_type] = STATE(4126),
    [sym_tuple_type] = STATE(4126),
    [sym_readonly_type] = STATE(4150),
    [sym_union_type] = STATE(4126),
    [sym_intersection_type] = STATE(4126),
    [sym_function_type] = STATE(4150),
    [sym_identifier] = ACTIONS(1922),
    [anon_sym_STAR] = ACTIONS(1296),
    [anon_sym_LBRACE] = ACTIONS(1342),
    [anon_sym_typeof] = ACTIONS(1924),
    [anon_sym_const] = ACTIONS(1302),
    [anon_sym_LPAREN] = ACTIONS(1926),
    [anon_sym_LBRACK] = ACTIONS(1928),
    [anon_sym_DQUOTE] = ACTIONS(1930),
    [anon_sym_SQUOTE] = ACTIONS(1932),
    [anon_sym_new] = ACTIONS(1934),
    [anon_sym_AMP] = ACTIONS(1310),
    [anon_sym_PIPE] = ACTIONS(1312),
    [anon_sym_PLUS] = ACTIONS(1936),
    [anon_sym_DASH] = ACTIONS(1936),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(1340),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1938),
    [sym_number] = ACTIONS(1940),
    [sym_this] = ACTIONS(1942),
    [sym_true] = ACTIONS(1940),
    [sym_false] = ACTIONS(1940),
    [sym_null] = ACTIONS(1940),
    [sym_undefined] = ACTIONS(1940),
    [anon_sym_readonly] = ACTIONS(1944),
    [anon_sym_QMARK] = ACTIONS(1328),
    [anon_sym_any] = ACTIONS(1340),
    [anon_sym_number] = ACTIONS(1340),
    [anon_sym_boolean] = ACTIONS(1340),
    [anon_sym_string] = ACTIONS(1340),
    [anon_sym_symbol] = ACTIONS(1340),
    [anon_sym_object] = ACTIONS(1340),
    [anon_sym_abstract] = ACTIONS(1332),
    [anon_sym_infer] = ACTIONS(1334),
    [anon_sym_keyof] = ACTIONS(1336),
    [anon_sym_unique] = ACTIONS(1338),
    [anon_sym_unknown] = ACTIONS(1340),
    [anon_sym_never] = ACTIONS(1340),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1342),
    [sym_html_comment] = ACTIONS(5),
  },
  [1903] = {
    [sym_nested_identifier] = STATE(7283),
    [sym_string] = STATE(3875),
    [sym_comment] = STATE(1903),
    [sym_formal_parameters] = STATE(7329),
    [sym_nested_type_identifier] = STATE(3821),
    [sym__type] = STATE(5585),
    [sym_constructor_type] = STATE(3924),
    [sym__primary_type] = STATE(3930),
    [sym_template_literal_type] = STATE(3873),
    [sym_infer_type] = STATE(3924),
    [sym_conditional_type] = STATE(3873),
    [sym_generic_type] = STATE(3873),
    [sym_type_query] = STATE(3873),
    [sym_index_type_query] = STATE(3873),
    [sym_lookup_type] = STATE(3873),
    [sym_literal_type] = STATE(3873),
    [sym__number] = STATE(3934),
    [sym_existential_type] = STATE(3873),
    [sym_flow_maybe_type] = STATE(3873),
    [sym_parenthesized_type] = STATE(3873),
    [sym_predefined_type] = STATE(3873),
    [sym_object_type] = STATE(3873),
    [sym_type_parameters] = STATE(6758),
    [sym_array_type] = STATE(3873),
    [sym_tuple_type] = STATE(3873),
    [sym_readonly_type] = STATE(3924),
    [sym_union_type] = STATE(3873),
    [sym_intersection_type] = STATE(3873),
    [sym_function_type] = STATE(3924),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(209),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_DQUOTE] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [anon_sym_new] = ACTIONS(1898),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(1900),
    [anon_sym_DASH] = ACTIONS(1900),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(207),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_any] = ACTIONS(207),
    [anon_sym_number] = ACTIONS(207),
    [anon_sym_boolean] = ACTIONS(207),
    [anon_sym_string] = ACTIONS(207),
    [anon_sym_symbol] = ACTIONS(207),
    [anon_sym_object] = ACTIONS(207),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [1904] = {
    [sym_nested_identifier] = STATE(7311),
    [sym_string] = STATE(2943),
    [sym_comment] = STATE(1904),
    [sym_formal_parameters] = STATE(7434),
    [sym_nested_type_identifier] = STATE(2799),
    [sym__type] = STATE(2900),
    [sym_constructor_type] = STATE(2950),
    [sym__primary_type] = STATE(2951),
    [sym_template_literal_type] = STATE(2939),
    [sym_infer_type] = STATE(2950),
    [sym_conditional_type] = STATE(2939),
    [sym_generic_type] = STATE(2939),
    [sym_type_query] = STATE(2939),
    [sym_index_type_query] = STATE(2939),
    [sym_lookup_type] = STATE(2939),
    [sym_literal_type] = STATE(2939),
    [sym__number] = STATE(2952),
    [sym_existential_type] = STATE(2939),
    [sym_flow_maybe_type] = STATE(2939),
    [sym_parenthesized_type] = STATE(2939),
    [sym_predefined_type] = STATE(2939),
    [sym_object_type] = STATE(2939),
    [sym_type_parameters] = STATE(6909),
    [sym_array_type] = STATE(2939),
    [sym_tuple_type] = STATE(2939),
    [sym_readonly_type] = STATE(2950),
    [sym_union_type] = STATE(2939),
    [sym_intersection_type] = STATE(2939),
    [sym_function_type] = STATE(2950),
    [sym_identifier] = ACTIONS(4038),
    [anon_sym_STAR] = ACTIONS(3784),
    [anon_sym_LBRACE] = ACTIONS(3786),
    [anon_sym_typeof] = ACTIONS(3788),
    [anon_sym_const] = ACTIONS(3790),
    [anon_sym_LPAREN] = ACTIONS(3792),
    [anon_sym_LBRACK] = ACTIONS(3794),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_new] = ACTIONS(3796),
    [anon_sym_AMP] = ACTIONS(3798),
    [anon_sym_PIPE] = ACTIONS(3800),
    [anon_sym_PLUS] = ACTIONS(3802),
    [anon_sym_DASH] = ACTIONS(3802),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(3804),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3806),
    [sym_number] = ACTIONS(3808),
    [sym_this] = ACTIONS(4040),
    [sym_true] = ACTIONS(3808),
    [sym_false] = ACTIONS(3808),
    [sym_null] = ACTIONS(3808),
    [sym_undefined] = ACTIONS(3808),
    [anon_sym_readonly] = ACTIONS(3812),
    [anon_sym_QMARK] = ACTIONS(3814),
    [anon_sym_any] = ACTIONS(3804),
    [anon_sym_number] = ACTIONS(3804),
    [anon_sym_boolean] = ACTIONS(3804),
    [anon_sym_string] = ACTIONS(3804),
    [anon_sym_symbol] = ACTIONS(3804),
    [anon_sym_object] = ACTIONS(3804),
    [anon_sym_abstract] = ACTIONS(3816),
    [anon_sym_infer] = ACTIONS(3820),
    [anon_sym_keyof] = ACTIONS(3822),
    [anon_sym_unique] = ACTIONS(3824),
    [anon_sym_unknown] = ACTIONS(3804),
    [anon_sym_never] = ACTIONS(3804),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3786),
    [sym_html_comment] = ACTIONS(5),
  },
  [1905] = {
    [sym_nested_identifier] = STATE(7311),
    [sym_string] = STATE(2943),
    [sym_comment] = STATE(1905),
    [sym_formal_parameters] = STATE(7434),
    [sym_nested_type_identifier] = STATE(2799),
    [sym__type] = STATE(2901),
    [sym_constructor_type] = STATE(2950),
    [sym__primary_type] = STATE(2951),
    [sym_template_literal_type] = STATE(2939),
    [sym_infer_type] = STATE(2950),
    [sym_conditional_type] = STATE(2939),
    [sym_generic_type] = STATE(2939),
    [sym_type_query] = STATE(2939),
    [sym_index_type_query] = STATE(2939),
    [sym_lookup_type] = STATE(2939),
    [sym_literal_type] = STATE(2939),
    [sym__number] = STATE(2952),
    [sym_existential_type] = STATE(2939),
    [sym_flow_maybe_type] = STATE(2939),
    [sym_parenthesized_type] = STATE(2939),
    [sym_predefined_type] = STATE(2939),
    [sym_object_type] = STATE(2939),
    [sym_type_parameters] = STATE(6909),
    [sym_array_type] = STATE(2939),
    [sym_tuple_type] = STATE(2939),
    [sym_readonly_type] = STATE(2950),
    [sym_union_type] = STATE(2939),
    [sym_intersection_type] = STATE(2939),
    [sym_function_type] = STATE(2950),
    [sym_identifier] = ACTIONS(4038),
    [anon_sym_STAR] = ACTIONS(3784),
    [anon_sym_LBRACE] = ACTIONS(3786),
    [anon_sym_typeof] = ACTIONS(3788),
    [anon_sym_const] = ACTIONS(3790),
    [anon_sym_LPAREN] = ACTIONS(3792),
    [anon_sym_LBRACK] = ACTIONS(3794),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_new] = ACTIONS(3796),
    [anon_sym_AMP] = ACTIONS(3798),
    [anon_sym_PIPE] = ACTIONS(3800),
    [anon_sym_PLUS] = ACTIONS(3802),
    [anon_sym_DASH] = ACTIONS(3802),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(3804),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3806),
    [sym_number] = ACTIONS(3808),
    [sym_this] = ACTIONS(4040),
    [sym_true] = ACTIONS(3808),
    [sym_false] = ACTIONS(3808),
    [sym_null] = ACTIONS(3808),
    [sym_undefined] = ACTIONS(3808),
    [anon_sym_readonly] = ACTIONS(3812),
    [anon_sym_QMARK] = ACTIONS(3814),
    [anon_sym_any] = ACTIONS(3804),
    [anon_sym_number] = ACTIONS(3804),
    [anon_sym_boolean] = ACTIONS(3804),
    [anon_sym_string] = ACTIONS(3804),
    [anon_sym_symbol] = ACTIONS(3804),
    [anon_sym_object] = ACTIONS(3804),
    [anon_sym_abstract] = ACTIONS(3816),
    [anon_sym_infer] = ACTIONS(3820),
    [anon_sym_keyof] = ACTIONS(3822),
    [anon_sym_unique] = ACTIONS(3824),
    [anon_sym_unknown] = ACTIONS(3804),
    [anon_sym_never] = ACTIONS(3804),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3786),
    [sym_html_comment] = ACTIONS(5),
  },
  [1906] = {
    [sym_nested_identifier] = STATE(7203),
    [sym_string] = STATE(4142),
    [sym_comment] = STATE(1906),
    [sym_formal_parameters] = STATE(7533),
    [sym_nested_type_identifier] = STATE(4018),
    [sym__type] = STATE(4129),
    [sym_constructor_type] = STATE(4150),
    [sym__primary_type] = STATE(4152),
    [sym_template_literal_type] = STATE(4126),
    [sym_infer_type] = STATE(4150),
    [sym_conditional_type] = STATE(4126),
    [sym_generic_type] = STATE(4126),
    [sym_type_query] = STATE(4126),
    [sym_index_type_query] = STATE(4126),
    [sym_lookup_type] = STATE(4126),
    [sym_literal_type] = STATE(4126),
    [sym__number] = STATE(4153),
    [sym_existential_type] = STATE(4126),
    [sym_flow_maybe_type] = STATE(4126),
    [sym_parenthesized_type] = STATE(4126),
    [sym_predefined_type] = STATE(4126),
    [sym_object_type] = STATE(4126),
    [sym_type_parameters] = STATE(7111),
    [sym_array_type] = STATE(4126),
    [sym_tuple_type] = STATE(4126),
    [sym_readonly_type] = STATE(4150),
    [sym_union_type] = STATE(4126),
    [sym_intersection_type] = STATE(4126),
    [sym_function_type] = STATE(4150),
    [sym_identifier] = ACTIONS(1922),
    [anon_sym_STAR] = ACTIONS(1296),
    [anon_sym_LBRACE] = ACTIONS(1342),
    [anon_sym_typeof] = ACTIONS(1924),
    [anon_sym_const] = ACTIONS(1302),
    [anon_sym_LPAREN] = ACTIONS(1926),
    [anon_sym_LBRACK] = ACTIONS(1928),
    [anon_sym_DQUOTE] = ACTIONS(1930),
    [anon_sym_SQUOTE] = ACTIONS(1932),
    [anon_sym_new] = ACTIONS(1934),
    [anon_sym_AMP] = ACTIONS(1310),
    [anon_sym_PIPE] = ACTIONS(1312),
    [anon_sym_PLUS] = ACTIONS(1936),
    [anon_sym_DASH] = ACTIONS(1936),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(1340),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1938),
    [sym_number] = ACTIONS(1940),
    [sym_this] = ACTIONS(1942),
    [sym_true] = ACTIONS(1940),
    [sym_false] = ACTIONS(1940),
    [sym_null] = ACTIONS(1940),
    [sym_undefined] = ACTIONS(1940),
    [anon_sym_readonly] = ACTIONS(1944),
    [anon_sym_QMARK] = ACTIONS(1328),
    [anon_sym_any] = ACTIONS(1340),
    [anon_sym_number] = ACTIONS(1340),
    [anon_sym_boolean] = ACTIONS(1340),
    [anon_sym_string] = ACTIONS(1340),
    [anon_sym_symbol] = ACTIONS(1340),
    [anon_sym_object] = ACTIONS(1340),
    [anon_sym_abstract] = ACTIONS(1332),
    [anon_sym_infer] = ACTIONS(1334),
    [anon_sym_keyof] = ACTIONS(1336),
    [anon_sym_unique] = ACTIONS(1338),
    [anon_sym_unknown] = ACTIONS(1340),
    [anon_sym_never] = ACTIONS(1340),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1342),
    [sym_html_comment] = ACTIONS(5),
  },
  [1907] = {
    [sym_nested_identifier] = STATE(7344),
    [sym_string] = STATE(4431),
    [sym_comment] = STATE(1907),
    [sym_formal_parameters] = STATE(7329),
    [sym_nested_type_identifier] = STATE(4170),
    [sym__type] = STATE(6432),
    [sym_constructor_type] = STATE(3924),
    [sym__primary_type] = STATE(4333),
    [sym_template_literal_type] = STATE(4437),
    [sym_infer_type] = STATE(3924),
    [sym_conditional_type] = STATE(4437),
    [sym_generic_type] = STATE(4437),
    [sym_type_query] = STATE(4437),
    [sym_index_type_query] = STATE(4437),
    [sym_lookup_type] = STATE(4437),
    [sym_literal_type] = STATE(4437),
    [sym__number] = STATE(4424),
    [sym_existential_type] = STATE(4437),
    [sym_flow_maybe_type] = STATE(4437),
    [sym_parenthesized_type] = STATE(4437),
    [sym_predefined_type] = STATE(4437),
    [sym_object_type] = STATE(4437),
    [sym_type_parameters] = STATE(6758),
    [sym_array_type] = STATE(4437),
    [sym_tuple_type] = STATE(4437),
    [sym_readonly_type] = STATE(3924),
    [sym_union_type] = STATE(4437),
    [sym_intersection_type] = STATE(4437),
    [sym_function_type] = STATE(3924),
    [sym_identifier] = ACTIONS(4042),
    [anon_sym_STAR] = ACTIONS(3652),
    [anon_sym_LBRACE] = ACTIONS(3654),
    [anon_sym_typeof] = ACTIONS(3656),
    [anon_sym_const] = ACTIONS(3658),
    [anon_sym_LPAREN] = ACTIONS(3660),
    [anon_sym_LBRACK] = ACTIONS(3662),
    [anon_sym_DQUOTE] = ACTIONS(3664),
    [anon_sym_SQUOTE] = ACTIONS(3666),
    [anon_sym_new] = ACTIONS(1898),
    [anon_sym_AMP] = ACTIONS(3670),
    [anon_sym_PIPE] = ACTIONS(3672),
    [anon_sym_PLUS] = ACTIONS(3674),
    [anon_sym_DASH] = ACTIONS(3674),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(3676),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3678),
    [sym_number] = ACTIONS(3680),
    [sym_this] = ACTIONS(4044),
    [sym_true] = ACTIONS(3680),
    [sym_false] = ACTIONS(3680),
    [sym_null] = ACTIONS(3680),
    [sym_undefined] = ACTIONS(3680),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(3686),
    [anon_sym_any] = ACTIONS(3676),
    [anon_sym_number] = ACTIONS(3676),
    [anon_sym_boolean] = ACTIONS(3676),
    [anon_sym_string] = ACTIONS(3676),
    [anon_sym_symbol] = ACTIONS(3676),
    [anon_sym_object] = ACTIONS(3676),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(3694),
    [anon_sym_unique] = ACTIONS(3696),
    [anon_sym_unknown] = ACTIONS(3676),
    [anon_sym_never] = ACTIONS(3676),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3654),
    [sym_html_comment] = ACTIONS(5),
  },
  [1908] = {
    [sym_nested_identifier] = STATE(7203),
    [sym_string] = STATE(4142),
    [sym_comment] = STATE(1908),
    [sym_formal_parameters] = STATE(7533),
    [sym_nested_type_identifier] = STATE(4018),
    [sym__type] = STATE(5164),
    [sym_constructor_type] = STATE(4150),
    [sym__primary_type] = STATE(4152),
    [sym_template_literal_type] = STATE(4126),
    [sym_infer_type] = STATE(4150),
    [sym_conditional_type] = STATE(4126),
    [sym_generic_type] = STATE(4126),
    [sym_type_query] = STATE(4126),
    [sym_index_type_query] = STATE(4126),
    [sym_lookup_type] = STATE(4126),
    [sym_literal_type] = STATE(4126),
    [sym__number] = STATE(4153),
    [sym_existential_type] = STATE(4126),
    [sym_flow_maybe_type] = STATE(4126),
    [sym_parenthesized_type] = STATE(4126),
    [sym_predefined_type] = STATE(4126),
    [sym_object_type] = STATE(4126),
    [sym_type_parameters] = STATE(7111),
    [sym_array_type] = STATE(4126),
    [sym_tuple_type] = STATE(4126),
    [sym_readonly_type] = STATE(4150),
    [sym_union_type] = STATE(4126),
    [sym_intersection_type] = STATE(4126),
    [sym_function_type] = STATE(4150),
    [sym_identifier] = ACTIONS(1922),
    [anon_sym_STAR] = ACTIONS(1296),
    [anon_sym_LBRACE] = ACTIONS(1342),
    [anon_sym_typeof] = ACTIONS(1924),
    [anon_sym_const] = ACTIONS(1302),
    [anon_sym_LPAREN] = ACTIONS(1926),
    [anon_sym_LBRACK] = ACTIONS(1928),
    [anon_sym_DQUOTE] = ACTIONS(1930),
    [anon_sym_SQUOTE] = ACTIONS(1932),
    [anon_sym_new] = ACTIONS(1934),
    [anon_sym_AMP] = ACTIONS(1310),
    [anon_sym_PIPE] = ACTIONS(1312),
    [anon_sym_PLUS] = ACTIONS(1936),
    [anon_sym_DASH] = ACTIONS(1936),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(1340),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1938),
    [sym_number] = ACTIONS(1940),
    [sym_this] = ACTIONS(1942),
    [sym_true] = ACTIONS(1940),
    [sym_false] = ACTIONS(1940),
    [sym_null] = ACTIONS(1940),
    [sym_undefined] = ACTIONS(1940),
    [anon_sym_readonly] = ACTIONS(1944),
    [anon_sym_QMARK] = ACTIONS(1328),
    [anon_sym_any] = ACTIONS(1340),
    [anon_sym_number] = ACTIONS(1340),
    [anon_sym_boolean] = ACTIONS(1340),
    [anon_sym_string] = ACTIONS(1340),
    [anon_sym_symbol] = ACTIONS(1340),
    [anon_sym_object] = ACTIONS(1340),
    [anon_sym_abstract] = ACTIONS(1332),
    [anon_sym_infer] = ACTIONS(1334),
    [anon_sym_keyof] = ACTIONS(1336),
    [anon_sym_unique] = ACTIONS(1338),
    [anon_sym_unknown] = ACTIONS(1340),
    [anon_sym_never] = ACTIONS(1340),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1342),
    [sym_html_comment] = ACTIONS(5),
  },
  [1909] = {
    [sym_nested_identifier] = STATE(7203),
    [sym_string] = STATE(4142),
    [sym_comment] = STATE(1909),
    [sym_formal_parameters] = STATE(7533),
    [sym_nested_type_identifier] = STATE(4018),
    [sym__type] = STATE(5291),
    [sym_constructor_type] = STATE(4150),
    [sym__primary_type] = STATE(4152),
    [sym_template_literal_type] = STATE(4126),
    [sym_infer_type] = STATE(4150),
    [sym_conditional_type] = STATE(4126),
    [sym_generic_type] = STATE(4126),
    [sym_type_query] = STATE(4126),
    [sym_index_type_query] = STATE(4126),
    [sym_lookup_type] = STATE(4126),
    [sym_literal_type] = STATE(4126),
    [sym__number] = STATE(4153),
    [sym_existential_type] = STATE(4126),
    [sym_flow_maybe_type] = STATE(4126),
    [sym_parenthesized_type] = STATE(4126),
    [sym_predefined_type] = STATE(4126),
    [sym_object_type] = STATE(4126),
    [sym_type_parameters] = STATE(7111),
    [sym_array_type] = STATE(4126),
    [sym_tuple_type] = STATE(4126),
    [sym_readonly_type] = STATE(4150),
    [sym_union_type] = STATE(4126),
    [sym_intersection_type] = STATE(4126),
    [sym_function_type] = STATE(4150),
    [sym_identifier] = ACTIONS(1922),
    [anon_sym_STAR] = ACTIONS(1296),
    [anon_sym_LBRACE] = ACTIONS(1342),
    [anon_sym_typeof] = ACTIONS(1924),
    [anon_sym_const] = ACTIONS(1302),
    [anon_sym_LPAREN] = ACTIONS(1926),
    [anon_sym_LBRACK] = ACTIONS(1928),
    [anon_sym_DQUOTE] = ACTIONS(1930),
    [anon_sym_SQUOTE] = ACTIONS(1932),
    [anon_sym_new] = ACTIONS(1934),
    [anon_sym_AMP] = ACTIONS(1310),
    [anon_sym_PIPE] = ACTIONS(1312),
    [anon_sym_PLUS] = ACTIONS(1936),
    [anon_sym_DASH] = ACTIONS(1936),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(1340),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1938),
    [sym_number] = ACTIONS(1940),
    [sym_this] = ACTIONS(1942),
    [sym_true] = ACTIONS(1940),
    [sym_false] = ACTIONS(1940),
    [sym_null] = ACTIONS(1940),
    [sym_undefined] = ACTIONS(1940),
    [anon_sym_readonly] = ACTIONS(1944),
    [anon_sym_QMARK] = ACTIONS(1328),
    [anon_sym_any] = ACTIONS(1340),
    [anon_sym_number] = ACTIONS(1340),
    [anon_sym_boolean] = ACTIONS(1340),
    [anon_sym_string] = ACTIONS(1340),
    [anon_sym_symbol] = ACTIONS(1340),
    [anon_sym_object] = ACTIONS(1340),
    [anon_sym_abstract] = ACTIONS(1332),
    [anon_sym_infer] = ACTIONS(1334),
    [anon_sym_keyof] = ACTIONS(1336),
    [anon_sym_unique] = ACTIONS(1338),
    [anon_sym_unknown] = ACTIONS(1340),
    [anon_sym_never] = ACTIONS(1340),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1342),
    [sym_html_comment] = ACTIONS(5),
  },
  [1910] = {
    [sym_nested_identifier] = STATE(7344),
    [sym_string] = STATE(4431),
    [sym_comment] = STATE(1910),
    [sym_formal_parameters] = STATE(7555),
    [sym_nested_type_identifier] = STATE(4170),
    [sym__type] = STATE(4334),
    [sym_constructor_type] = STATE(4427),
    [sym__primary_type] = STATE(4425),
    [sym_template_literal_type] = STATE(4437),
    [sym_infer_type] = STATE(4427),
    [sym_conditional_type] = STATE(4437),
    [sym_generic_type] = STATE(4437),
    [sym_type_query] = STATE(4437),
    [sym_index_type_query] = STATE(4437),
    [sym_lookup_type] = STATE(4437),
    [sym_literal_type] = STATE(4437),
    [sym__number] = STATE(4424),
    [sym_existential_type] = STATE(4437),
    [sym_flow_maybe_type] = STATE(4437),
    [sym_parenthesized_type] = STATE(4437),
    [sym_predefined_type] = STATE(4437),
    [sym_object_type] = STATE(4437),
    [sym_type_parameters] = STATE(6962),
    [sym_array_type] = STATE(4437),
    [sym_tuple_type] = STATE(4437),
    [sym_readonly_type] = STATE(4427),
    [sym_union_type] = STATE(4437),
    [sym_intersection_type] = STATE(4437),
    [sym_function_type] = STATE(4427),
    [sym_identifier] = ACTIONS(4042),
    [anon_sym_STAR] = ACTIONS(3652),
    [anon_sym_LBRACE] = ACTIONS(3654),
    [anon_sym_typeof] = ACTIONS(3656),
    [anon_sym_const] = ACTIONS(3658),
    [anon_sym_LPAREN] = ACTIONS(3660),
    [anon_sym_LBRACK] = ACTIONS(3662),
    [anon_sym_DQUOTE] = ACTIONS(3664),
    [anon_sym_SQUOTE] = ACTIONS(3666),
    [anon_sym_new] = ACTIONS(3668),
    [anon_sym_AMP] = ACTIONS(3670),
    [anon_sym_PIPE] = ACTIONS(3672),
    [anon_sym_PLUS] = ACTIONS(3674),
    [anon_sym_DASH] = ACTIONS(3674),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(3676),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3678),
    [sym_number] = ACTIONS(3680),
    [sym_this] = ACTIONS(4044),
    [sym_true] = ACTIONS(3680),
    [sym_false] = ACTIONS(3680),
    [sym_null] = ACTIONS(3680),
    [sym_undefined] = ACTIONS(3680),
    [anon_sym_readonly] = ACTIONS(3684),
    [anon_sym_QMARK] = ACTIONS(3686),
    [anon_sym_any] = ACTIONS(3676),
    [anon_sym_number] = ACTIONS(3676),
    [anon_sym_boolean] = ACTIONS(3676),
    [anon_sym_string] = ACTIONS(3676),
    [anon_sym_symbol] = ACTIONS(3676),
    [anon_sym_object] = ACTIONS(3676),
    [anon_sym_abstract] = ACTIONS(3688),
    [anon_sym_infer] = ACTIONS(3692),
    [anon_sym_keyof] = ACTIONS(3694),
    [anon_sym_unique] = ACTIONS(3696),
    [anon_sym_unknown] = ACTIONS(3676),
    [anon_sym_never] = ACTIONS(3676),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3654),
    [sym_html_comment] = ACTIONS(5),
  },
  [1911] = {
    [sym_nested_identifier] = STATE(7344),
    [sym_string] = STATE(4431),
    [sym_comment] = STATE(1911),
    [sym_formal_parameters] = STATE(7555),
    [sym_nested_type_identifier] = STATE(4170),
    [sym__type] = STATE(4344),
    [sym_constructor_type] = STATE(4427),
    [sym__primary_type] = STATE(4425),
    [sym_template_literal_type] = STATE(4437),
    [sym_infer_type] = STATE(4427),
    [sym_conditional_type] = STATE(4437),
    [sym_generic_type] = STATE(4437),
    [sym_type_query] = STATE(4437),
    [sym_index_type_query] = STATE(4437),
    [sym_lookup_type] = STATE(4437),
    [sym_literal_type] = STATE(4437),
    [sym__number] = STATE(4424),
    [sym_existential_type] = STATE(4437),
    [sym_flow_maybe_type] = STATE(4437),
    [sym_parenthesized_type] = STATE(4437),
    [sym_predefined_type] = STATE(4437),
    [sym_object_type] = STATE(4437),
    [sym_type_parameters] = STATE(6962),
    [sym_array_type] = STATE(4437),
    [sym_tuple_type] = STATE(4437),
    [sym_readonly_type] = STATE(4427),
    [sym_union_type] = STATE(4437),
    [sym_intersection_type] = STATE(4437),
    [sym_function_type] = STATE(4427),
    [sym_identifier] = ACTIONS(4042),
    [anon_sym_STAR] = ACTIONS(3652),
    [anon_sym_LBRACE] = ACTIONS(3654),
    [anon_sym_typeof] = ACTIONS(3656),
    [anon_sym_const] = ACTIONS(3658),
    [anon_sym_LPAREN] = ACTIONS(3660),
    [anon_sym_LBRACK] = ACTIONS(3662),
    [anon_sym_DQUOTE] = ACTIONS(3664),
    [anon_sym_SQUOTE] = ACTIONS(3666),
    [anon_sym_new] = ACTIONS(3668),
    [anon_sym_AMP] = ACTIONS(3670),
    [anon_sym_PIPE] = ACTIONS(3672),
    [anon_sym_PLUS] = ACTIONS(3674),
    [anon_sym_DASH] = ACTIONS(3674),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(3676),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3678),
    [sym_number] = ACTIONS(3680),
    [sym_this] = ACTIONS(4044),
    [sym_true] = ACTIONS(3680),
    [sym_false] = ACTIONS(3680),
    [sym_null] = ACTIONS(3680),
    [sym_undefined] = ACTIONS(3680),
    [anon_sym_readonly] = ACTIONS(3684),
    [anon_sym_QMARK] = ACTIONS(3686),
    [anon_sym_any] = ACTIONS(3676),
    [anon_sym_number] = ACTIONS(3676),
    [anon_sym_boolean] = ACTIONS(3676),
    [anon_sym_string] = ACTIONS(3676),
    [anon_sym_symbol] = ACTIONS(3676),
    [anon_sym_object] = ACTIONS(3676),
    [anon_sym_abstract] = ACTIONS(3688),
    [anon_sym_infer] = ACTIONS(3692),
    [anon_sym_keyof] = ACTIONS(3694),
    [anon_sym_unique] = ACTIONS(3696),
    [anon_sym_unknown] = ACTIONS(3676),
    [anon_sym_never] = ACTIONS(3676),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3654),
    [sym_html_comment] = ACTIONS(5),
  },
  [1912] = {
    [sym_nested_identifier] = STATE(7283),
    [sym_string] = STATE(3875),
    [sym_comment] = STATE(1912),
    [sym_formal_parameters] = STATE(7329),
    [sym_nested_type_identifier] = STATE(3821),
    [sym__type] = STATE(3837),
    [sym_constructor_type] = STATE(3924),
    [sym__primary_type] = STATE(3930),
    [sym_template_literal_type] = STATE(3873),
    [sym_infer_type] = STATE(3924),
    [sym_conditional_type] = STATE(3873),
    [sym_generic_type] = STATE(3873),
    [sym_type_query] = STATE(3873),
    [sym_index_type_query] = STATE(3873),
    [sym_lookup_type] = STATE(3873),
    [sym_literal_type] = STATE(3873),
    [sym__number] = STATE(3934),
    [sym_existential_type] = STATE(3873),
    [sym_flow_maybe_type] = STATE(3873),
    [sym_parenthesized_type] = STATE(3873),
    [sym_predefined_type] = STATE(3873),
    [sym_object_type] = STATE(3873),
    [sym_type_parameters] = STATE(6758),
    [sym_array_type] = STATE(3873),
    [sym_tuple_type] = STATE(3873),
    [sym_readonly_type] = STATE(3924),
    [sym_union_type] = STATE(3873),
    [sym_intersection_type] = STATE(3873),
    [sym_function_type] = STATE(3924),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(209),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_DQUOTE] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [anon_sym_new] = ACTIONS(1898),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(1900),
    [anon_sym_DASH] = ACTIONS(1900),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(207),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_any] = ACTIONS(207),
    [anon_sym_number] = ACTIONS(207),
    [anon_sym_boolean] = ACTIONS(207),
    [anon_sym_string] = ACTIONS(207),
    [anon_sym_symbol] = ACTIONS(207),
    [anon_sym_object] = ACTIONS(207),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [1913] = {
    [sym_nested_identifier] = STATE(7344),
    [sym_string] = STATE(4431),
    [sym_comment] = STATE(1913),
    [sym_formal_parameters] = STATE(7555),
    [sym_nested_type_identifier] = STATE(4170),
    [sym__type] = STATE(4346),
    [sym_constructor_type] = STATE(4427),
    [sym__primary_type] = STATE(4425),
    [sym_template_literal_type] = STATE(4437),
    [sym_infer_type] = STATE(4427),
    [sym_conditional_type] = STATE(4437),
    [sym_generic_type] = STATE(4437),
    [sym_type_query] = STATE(4437),
    [sym_index_type_query] = STATE(4437),
    [sym_lookup_type] = STATE(4437),
    [sym_literal_type] = STATE(4437),
    [sym__number] = STATE(4424),
    [sym_existential_type] = STATE(4437),
    [sym_flow_maybe_type] = STATE(4437),
    [sym_parenthesized_type] = STATE(4437),
    [sym_predefined_type] = STATE(4437),
    [sym_object_type] = STATE(4437),
    [sym_type_parameters] = STATE(6962),
    [sym_array_type] = STATE(4437),
    [sym_tuple_type] = STATE(4437),
    [sym_readonly_type] = STATE(4427),
    [sym_union_type] = STATE(4437),
    [sym_intersection_type] = STATE(4437),
    [sym_function_type] = STATE(4427),
    [sym_identifier] = ACTIONS(4042),
    [anon_sym_STAR] = ACTIONS(3652),
    [anon_sym_LBRACE] = ACTIONS(3654),
    [anon_sym_typeof] = ACTIONS(3656),
    [anon_sym_const] = ACTIONS(3658),
    [anon_sym_LPAREN] = ACTIONS(3660),
    [anon_sym_LBRACK] = ACTIONS(3662),
    [anon_sym_DQUOTE] = ACTIONS(3664),
    [anon_sym_SQUOTE] = ACTIONS(3666),
    [anon_sym_new] = ACTIONS(3668),
    [anon_sym_AMP] = ACTIONS(3670),
    [anon_sym_PIPE] = ACTIONS(3672),
    [anon_sym_PLUS] = ACTIONS(3674),
    [anon_sym_DASH] = ACTIONS(3674),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(3676),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3678),
    [sym_number] = ACTIONS(3680),
    [sym_this] = ACTIONS(4044),
    [sym_true] = ACTIONS(3680),
    [sym_false] = ACTIONS(3680),
    [sym_null] = ACTIONS(3680),
    [sym_undefined] = ACTIONS(3680),
    [anon_sym_readonly] = ACTIONS(3684),
    [anon_sym_QMARK] = ACTIONS(3686),
    [anon_sym_any] = ACTIONS(3676),
    [anon_sym_number] = ACTIONS(3676),
    [anon_sym_boolean] = ACTIONS(3676),
    [anon_sym_string] = ACTIONS(3676),
    [anon_sym_symbol] = ACTIONS(3676),
    [anon_sym_object] = ACTIONS(3676),
    [anon_sym_abstract] = ACTIONS(3688),
    [anon_sym_infer] = ACTIONS(3692),
    [anon_sym_keyof] = ACTIONS(3694),
    [anon_sym_unique] = ACTIONS(3696),
    [anon_sym_unknown] = ACTIONS(3676),
    [anon_sym_never] = ACTIONS(3676),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3654),
    [sym_html_comment] = ACTIONS(5),
  },
  [1914] = {
    [sym_nested_identifier] = STATE(7203),
    [sym_string] = STATE(4142),
    [sym_comment] = STATE(1914),
    [sym_formal_parameters] = STATE(7533),
    [sym_nested_type_identifier] = STATE(4018),
    [sym__type] = STATE(5451),
    [sym_constructor_type] = STATE(4150),
    [sym__primary_type] = STATE(4152),
    [sym_template_literal_type] = STATE(4126),
    [sym_infer_type] = STATE(4150),
    [sym_conditional_type] = STATE(4126),
    [sym_generic_type] = STATE(4126),
    [sym_type_query] = STATE(4126),
    [sym_index_type_query] = STATE(4126),
    [sym_lookup_type] = STATE(4126),
    [sym_literal_type] = STATE(4126),
    [sym__number] = STATE(4153),
    [sym_existential_type] = STATE(4126),
    [sym_flow_maybe_type] = STATE(4126),
    [sym_parenthesized_type] = STATE(4126),
    [sym_predefined_type] = STATE(4126),
    [sym_object_type] = STATE(4126),
    [sym_type_parameters] = STATE(7111),
    [sym_array_type] = STATE(4126),
    [sym_tuple_type] = STATE(4126),
    [sym_readonly_type] = STATE(4150),
    [sym_union_type] = STATE(4126),
    [sym_intersection_type] = STATE(4126),
    [sym_function_type] = STATE(4150),
    [sym_identifier] = ACTIONS(1922),
    [anon_sym_STAR] = ACTIONS(1296),
    [anon_sym_LBRACE] = ACTIONS(1342),
    [anon_sym_typeof] = ACTIONS(1924),
    [anon_sym_const] = ACTIONS(1302),
    [anon_sym_LPAREN] = ACTIONS(1926),
    [anon_sym_LBRACK] = ACTIONS(1928),
    [anon_sym_DQUOTE] = ACTIONS(1930),
    [anon_sym_SQUOTE] = ACTIONS(1932),
    [anon_sym_new] = ACTIONS(1934),
    [anon_sym_AMP] = ACTIONS(1310),
    [anon_sym_PIPE] = ACTIONS(1312),
    [anon_sym_PLUS] = ACTIONS(1936),
    [anon_sym_DASH] = ACTIONS(1936),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(1340),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1938),
    [sym_number] = ACTIONS(1940),
    [sym_this] = ACTIONS(1942),
    [sym_true] = ACTIONS(1940),
    [sym_false] = ACTIONS(1940),
    [sym_null] = ACTIONS(1940),
    [sym_undefined] = ACTIONS(1940),
    [anon_sym_readonly] = ACTIONS(1944),
    [anon_sym_QMARK] = ACTIONS(1328),
    [anon_sym_any] = ACTIONS(1340),
    [anon_sym_number] = ACTIONS(1340),
    [anon_sym_boolean] = ACTIONS(1340),
    [anon_sym_string] = ACTIONS(1340),
    [anon_sym_symbol] = ACTIONS(1340),
    [anon_sym_object] = ACTIONS(1340),
    [anon_sym_abstract] = ACTIONS(1332),
    [anon_sym_infer] = ACTIONS(1334),
    [anon_sym_keyof] = ACTIONS(1336),
    [anon_sym_unique] = ACTIONS(1338),
    [anon_sym_unknown] = ACTIONS(1340),
    [anon_sym_never] = ACTIONS(1340),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1342),
    [sym_html_comment] = ACTIONS(5),
  },
  [1915] = {
    [sym_nested_identifier] = STATE(7344),
    [sym_string] = STATE(4431),
    [sym_comment] = STATE(1915),
    [sym_formal_parameters] = STATE(7555),
    [sym_nested_type_identifier] = STATE(4170),
    [sym__type] = STATE(4243),
    [sym_constructor_type] = STATE(4427),
    [sym__primary_type] = STATE(4425),
    [sym_template_literal_type] = STATE(4437),
    [sym_infer_type] = STATE(4427),
    [sym_conditional_type] = STATE(4437),
    [sym_generic_type] = STATE(4437),
    [sym_type_query] = STATE(4437),
    [sym_index_type_query] = STATE(4437),
    [sym_lookup_type] = STATE(4437),
    [sym_literal_type] = STATE(4437),
    [sym__number] = STATE(4424),
    [sym_existential_type] = STATE(4437),
    [sym_flow_maybe_type] = STATE(4437),
    [sym_parenthesized_type] = STATE(4437),
    [sym_predefined_type] = STATE(4437),
    [sym_object_type] = STATE(4437),
    [sym_type_parameters] = STATE(6962),
    [sym_array_type] = STATE(4437),
    [sym_tuple_type] = STATE(4437),
    [sym_readonly_type] = STATE(4427),
    [sym_union_type] = STATE(4437),
    [sym_intersection_type] = STATE(4437),
    [sym_function_type] = STATE(4427),
    [sym_identifier] = ACTIONS(4042),
    [anon_sym_STAR] = ACTIONS(3652),
    [anon_sym_LBRACE] = ACTIONS(3654),
    [anon_sym_typeof] = ACTIONS(3656),
    [anon_sym_const] = ACTIONS(3658),
    [anon_sym_LPAREN] = ACTIONS(3660),
    [anon_sym_LBRACK] = ACTIONS(3662),
    [anon_sym_DQUOTE] = ACTIONS(3664),
    [anon_sym_SQUOTE] = ACTIONS(3666),
    [anon_sym_new] = ACTIONS(3668),
    [anon_sym_AMP] = ACTIONS(3670),
    [anon_sym_PIPE] = ACTIONS(3672),
    [anon_sym_PLUS] = ACTIONS(3674),
    [anon_sym_DASH] = ACTIONS(3674),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(3676),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3678),
    [sym_number] = ACTIONS(3680),
    [sym_this] = ACTIONS(4044),
    [sym_true] = ACTIONS(3680),
    [sym_false] = ACTIONS(3680),
    [sym_null] = ACTIONS(3680),
    [sym_undefined] = ACTIONS(3680),
    [anon_sym_readonly] = ACTIONS(3684),
    [anon_sym_QMARK] = ACTIONS(3686),
    [anon_sym_any] = ACTIONS(3676),
    [anon_sym_number] = ACTIONS(3676),
    [anon_sym_boolean] = ACTIONS(3676),
    [anon_sym_string] = ACTIONS(3676),
    [anon_sym_symbol] = ACTIONS(3676),
    [anon_sym_object] = ACTIONS(3676),
    [anon_sym_abstract] = ACTIONS(3688),
    [anon_sym_infer] = ACTIONS(3692),
    [anon_sym_keyof] = ACTIONS(3694),
    [anon_sym_unique] = ACTIONS(3696),
    [anon_sym_unknown] = ACTIONS(3676),
    [anon_sym_never] = ACTIONS(3676),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3654),
    [sym_html_comment] = ACTIONS(5),
  },
  [1916] = {
    [sym_nested_identifier] = STATE(7203),
    [sym_string] = STATE(4142),
    [sym_comment] = STATE(1916),
    [sym_formal_parameters] = STATE(7533),
    [sym_nested_type_identifier] = STATE(4018),
    [sym__type] = STATE(5526),
    [sym_constructor_type] = STATE(4150),
    [sym__primary_type] = STATE(4152),
    [sym_template_literal_type] = STATE(4126),
    [sym_infer_type] = STATE(4150),
    [sym_conditional_type] = STATE(4126),
    [sym_generic_type] = STATE(4126),
    [sym_type_query] = STATE(4126),
    [sym_index_type_query] = STATE(4126),
    [sym_lookup_type] = STATE(4126),
    [sym_literal_type] = STATE(4126),
    [sym__number] = STATE(4153),
    [sym_existential_type] = STATE(4126),
    [sym_flow_maybe_type] = STATE(4126),
    [sym_parenthesized_type] = STATE(4126),
    [sym_predefined_type] = STATE(4126),
    [sym_object_type] = STATE(4126),
    [sym_type_parameters] = STATE(7111),
    [sym_array_type] = STATE(4126),
    [sym_tuple_type] = STATE(4126),
    [sym_readonly_type] = STATE(4150),
    [sym_union_type] = STATE(4126),
    [sym_intersection_type] = STATE(4126),
    [sym_function_type] = STATE(4150),
    [sym_identifier] = ACTIONS(1922),
    [anon_sym_STAR] = ACTIONS(1296),
    [anon_sym_LBRACE] = ACTIONS(1342),
    [anon_sym_typeof] = ACTIONS(1924),
    [anon_sym_const] = ACTIONS(1302),
    [anon_sym_LPAREN] = ACTIONS(1926),
    [anon_sym_LBRACK] = ACTIONS(1928),
    [anon_sym_DQUOTE] = ACTIONS(1930),
    [anon_sym_SQUOTE] = ACTIONS(1932),
    [anon_sym_new] = ACTIONS(1934),
    [anon_sym_AMP] = ACTIONS(1310),
    [anon_sym_PIPE] = ACTIONS(1312),
    [anon_sym_PLUS] = ACTIONS(1936),
    [anon_sym_DASH] = ACTIONS(1936),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(1340),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1938),
    [sym_number] = ACTIONS(1940),
    [sym_this] = ACTIONS(1942),
    [sym_true] = ACTIONS(1940),
    [sym_false] = ACTIONS(1940),
    [sym_null] = ACTIONS(1940),
    [sym_undefined] = ACTIONS(1940),
    [anon_sym_readonly] = ACTIONS(1944),
    [anon_sym_QMARK] = ACTIONS(1328),
    [anon_sym_any] = ACTIONS(1340),
    [anon_sym_number] = ACTIONS(1340),
    [anon_sym_boolean] = ACTIONS(1340),
    [anon_sym_string] = ACTIONS(1340),
    [anon_sym_symbol] = ACTIONS(1340),
    [anon_sym_object] = ACTIONS(1340),
    [anon_sym_abstract] = ACTIONS(1332),
    [anon_sym_infer] = ACTIONS(1334),
    [anon_sym_keyof] = ACTIONS(1336),
    [anon_sym_unique] = ACTIONS(1338),
    [anon_sym_unknown] = ACTIONS(1340),
    [anon_sym_never] = ACTIONS(1340),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1342),
    [sym_html_comment] = ACTIONS(5),
  },
  [1917] = {
    [sym_nested_identifier] = STATE(7283),
    [sym_string] = STATE(3875),
    [sym_comment] = STATE(1917),
    [sym_formal_parameters] = STATE(7329),
    [sym_nested_type_identifier] = STATE(3821),
    [sym__type] = STATE(3920),
    [sym_constructor_type] = STATE(3924),
    [sym__primary_type] = STATE(3930),
    [sym_template_literal_type] = STATE(3873),
    [sym_infer_type] = STATE(3924),
    [sym_conditional_type] = STATE(3873),
    [sym_generic_type] = STATE(3873),
    [sym_type_query] = STATE(3873),
    [sym_index_type_query] = STATE(3873),
    [sym_lookup_type] = STATE(3873),
    [sym_literal_type] = STATE(3873),
    [sym__number] = STATE(3934),
    [sym_existential_type] = STATE(3873),
    [sym_flow_maybe_type] = STATE(3873),
    [sym_parenthesized_type] = STATE(3873),
    [sym_predefined_type] = STATE(3873),
    [sym_object_type] = STATE(3873),
    [sym_type_parameters] = STATE(6758),
    [sym_array_type] = STATE(3873),
    [sym_tuple_type] = STATE(3873),
    [sym_readonly_type] = STATE(3924),
    [sym_union_type] = STATE(3873),
    [sym_intersection_type] = STATE(3873),
    [sym_function_type] = STATE(3924),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(209),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_DQUOTE] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [anon_sym_new] = ACTIONS(1898),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(1900),
    [anon_sym_DASH] = ACTIONS(1900),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(207),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_any] = ACTIONS(207),
    [anon_sym_number] = ACTIONS(207),
    [anon_sym_boolean] = ACTIONS(207),
    [anon_sym_string] = ACTIONS(207),
    [anon_sym_symbol] = ACTIONS(207),
    [anon_sym_object] = ACTIONS(207),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [1918] = {
    [sym_nested_identifier] = STATE(7344),
    [sym_string] = STATE(4431),
    [sym_comment] = STATE(1918),
    [sym_formal_parameters] = STATE(7555),
    [sym_nested_type_identifier] = STATE(4170),
    [sym__type] = STATE(4273),
    [sym_constructor_type] = STATE(4427),
    [sym__primary_type] = STATE(4425),
    [sym_template_literal_type] = STATE(4437),
    [sym_infer_type] = STATE(4427),
    [sym_conditional_type] = STATE(4437),
    [sym_generic_type] = STATE(4437),
    [sym_type_query] = STATE(4437),
    [sym_index_type_query] = STATE(4437),
    [sym_lookup_type] = STATE(4437),
    [sym_literal_type] = STATE(4437),
    [sym__number] = STATE(4424),
    [sym_existential_type] = STATE(4437),
    [sym_flow_maybe_type] = STATE(4437),
    [sym_parenthesized_type] = STATE(4437),
    [sym_predefined_type] = STATE(4437),
    [sym_object_type] = STATE(4437),
    [sym_type_parameters] = STATE(6962),
    [sym_array_type] = STATE(4437),
    [sym_tuple_type] = STATE(4437),
    [sym_readonly_type] = STATE(4427),
    [sym_union_type] = STATE(4437),
    [sym_intersection_type] = STATE(4437),
    [sym_function_type] = STATE(4427),
    [sym_identifier] = ACTIONS(4042),
    [anon_sym_STAR] = ACTIONS(3652),
    [anon_sym_LBRACE] = ACTIONS(3654),
    [anon_sym_typeof] = ACTIONS(3656),
    [anon_sym_const] = ACTIONS(3658),
    [anon_sym_LPAREN] = ACTIONS(3660),
    [anon_sym_LBRACK] = ACTIONS(3662),
    [anon_sym_DQUOTE] = ACTIONS(3664),
    [anon_sym_SQUOTE] = ACTIONS(3666),
    [anon_sym_new] = ACTIONS(3668),
    [anon_sym_AMP] = ACTIONS(3670),
    [anon_sym_PIPE] = ACTIONS(3672),
    [anon_sym_PLUS] = ACTIONS(3674),
    [anon_sym_DASH] = ACTIONS(3674),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(3676),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3678),
    [sym_number] = ACTIONS(3680),
    [sym_this] = ACTIONS(4044),
    [sym_true] = ACTIONS(3680),
    [sym_false] = ACTIONS(3680),
    [sym_null] = ACTIONS(3680),
    [sym_undefined] = ACTIONS(3680),
    [anon_sym_readonly] = ACTIONS(3684),
    [anon_sym_QMARK] = ACTIONS(3686),
    [anon_sym_any] = ACTIONS(3676),
    [anon_sym_number] = ACTIONS(3676),
    [anon_sym_boolean] = ACTIONS(3676),
    [anon_sym_string] = ACTIONS(3676),
    [anon_sym_symbol] = ACTIONS(3676),
    [anon_sym_object] = ACTIONS(3676),
    [anon_sym_abstract] = ACTIONS(3688),
    [anon_sym_infer] = ACTIONS(3692),
    [anon_sym_keyof] = ACTIONS(3694),
    [anon_sym_unique] = ACTIONS(3696),
    [anon_sym_unknown] = ACTIONS(3676),
    [anon_sym_never] = ACTIONS(3676),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3654),
    [sym_html_comment] = ACTIONS(5),
  },
  [1919] = {
    [sym_nested_identifier] = STATE(7203),
    [sym_string] = STATE(4142),
    [sym_comment] = STATE(1919),
    [sym_formal_parameters] = STATE(7533),
    [sym_nested_type_identifier] = STATE(4018),
    [sym__type] = STATE(4992),
    [sym_constructor_type] = STATE(4150),
    [sym__primary_type] = STATE(4152),
    [sym_template_literal_type] = STATE(4126),
    [sym_infer_type] = STATE(4150),
    [sym_conditional_type] = STATE(4126),
    [sym_generic_type] = STATE(4126),
    [sym_type_query] = STATE(4126),
    [sym_index_type_query] = STATE(4126),
    [sym_lookup_type] = STATE(4126),
    [sym_literal_type] = STATE(4126),
    [sym__number] = STATE(4153),
    [sym_existential_type] = STATE(4126),
    [sym_flow_maybe_type] = STATE(4126),
    [sym_parenthesized_type] = STATE(4126),
    [sym_predefined_type] = STATE(4126),
    [sym_object_type] = STATE(4126),
    [sym_type_parameters] = STATE(7111),
    [sym_array_type] = STATE(4126),
    [sym_tuple_type] = STATE(4126),
    [sym_readonly_type] = STATE(4150),
    [sym_union_type] = STATE(4126),
    [sym_intersection_type] = STATE(4126),
    [sym_function_type] = STATE(4150),
    [sym_identifier] = ACTIONS(1922),
    [anon_sym_STAR] = ACTIONS(1296),
    [anon_sym_LBRACE] = ACTIONS(1342),
    [anon_sym_typeof] = ACTIONS(1924),
    [anon_sym_const] = ACTIONS(1302),
    [anon_sym_LPAREN] = ACTIONS(1926),
    [anon_sym_LBRACK] = ACTIONS(1928),
    [anon_sym_DQUOTE] = ACTIONS(1930),
    [anon_sym_SQUOTE] = ACTIONS(1932),
    [anon_sym_new] = ACTIONS(1934),
    [anon_sym_AMP] = ACTIONS(1310),
    [anon_sym_PIPE] = ACTIONS(1312),
    [anon_sym_PLUS] = ACTIONS(1936),
    [anon_sym_DASH] = ACTIONS(1936),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(1340),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1938),
    [sym_number] = ACTIONS(1940),
    [sym_this] = ACTIONS(1942),
    [sym_true] = ACTIONS(1940),
    [sym_false] = ACTIONS(1940),
    [sym_null] = ACTIONS(1940),
    [sym_undefined] = ACTIONS(1940),
    [anon_sym_readonly] = ACTIONS(1944),
    [anon_sym_QMARK] = ACTIONS(1328),
    [anon_sym_any] = ACTIONS(1340),
    [anon_sym_number] = ACTIONS(1340),
    [anon_sym_boolean] = ACTIONS(1340),
    [anon_sym_string] = ACTIONS(1340),
    [anon_sym_symbol] = ACTIONS(1340),
    [anon_sym_object] = ACTIONS(1340),
    [anon_sym_abstract] = ACTIONS(1332),
    [anon_sym_infer] = ACTIONS(1334),
    [anon_sym_keyof] = ACTIONS(1336),
    [anon_sym_unique] = ACTIONS(1338),
    [anon_sym_unknown] = ACTIONS(1340),
    [anon_sym_never] = ACTIONS(1340),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1342),
    [sym_html_comment] = ACTIONS(5),
  },
  [1920] = {
    [sym_nested_identifier] = STATE(7283),
    [sym_string] = STATE(3875),
    [sym_comment] = STATE(1920),
    [sym_formal_parameters] = STATE(7329),
    [sym_nested_type_identifier] = STATE(3821),
    [sym__type] = STATE(5609),
    [sym_constructor_type] = STATE(3924),
    [sym__primary_type] = STATE(3930),
    [sym_template_literal_type] = STATE(3873),
    [sym_infer_type] = STATE(3924),
    [sym_conditional_type] = STATE(3873),
    [sym_generic_type] = STATE(3873),
    [sym_type_query] = STATE(3873),
    [sym_index_type_query] = STATE(3873),
    [sym_lookup_type] = STATE(3873),
    [sym_literal_type] = STATE(3873),
    [sym__number] = STATE(3934),
    [sym_existential_type] = STATE(3873),
    [sym_flow_maybe_type] = STATE(3873),
    [sym_parenthesized_type] = STATE(3873),
    [sym_predefined_type] = STATE(3873),
    [sym_object_type] = STATE(3873),
    [sym_type_parameters] = STATE(6758),
    [sym_array_type] = STATE(3873),
    [sym_tuple_type] = STATE(3873),
    [sym_readonly_type] = STATE(3924),
    [sym_union_type] = STATE(3873),
    [sym_intersection_type] = STATE(3873),
    [sym_function_type] = STATE(3924),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(209),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_DQUOTE] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [anon_sym_new] = ACTIONS(1898),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(1900),
    [anon_sym_DASH] = ACTIONS(1900),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(207),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_any] = ACTIONS(207),
    [anon_sym_number] = ACTIONS(207),
    [anon_sym_boolean] = ACTIONS(207),
    [anon_sym_string] = ACTIONS(207),
    [anon_sym_symbol] = ACTIONS(207),
    [anon_sym_object] = ACTIONS(207),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [1921] = {
    [sym_nested_identifier] = STATE(7344),
    [sym_string] = STATE(4431),
    [sym_comment] = STATE(1921),
    [sym_formal_parameters] = STATE(7329),
    [sym_nested_type_identifier] = STATE(4170),
    [sym__type] = STATE(6432),
    [sym_constructor_type] = STATE(3924),
    [sym__primary_type] = STATE(4331),
    [sym_template_literal_type] = STATE(4437),
    [sym_infer_type] = STATE(3924),
    [sym_conditional_type] = STATE(4437),
    [sym_generic_type] = STATE(4437),
    [sym_type_query] = STATE(4437),
    [sym_index_type_query] = STATE(4437),
    [sym_lookup_type] = STATE(4437),
    [sym_literal_type] = STATE(4437),
    [sym__number] = STATE(4424),
    [sym_existential_type] = STATE(4437),
    [sym_flow_maybe_type] = STATE(4437),
    [sym_parenthesized_type] = STATE(4437),
    [sym_predefined_type] = STATE(4437),
    [sym_object_type] = STATE(4437),
    [sym_type_parameters] = STATE(6758),
    [sym_array_type] = STATE(4437),
    [sym_tuple_type] = STATE(4437),
    [sym_readonly_type] = STATE(3924),
    [sym_union_type] = STATE(4437),
    [sym_intersection_type] = STATE(4437),
    [sym_function_type] = STATE(3924),
    [sym_identifier] = ACTIONS(4042),
    [anon_sym_STAR] = ACTIONS(3652),
    [anon_sym_LBRACE] = ACTIONS(3654),
    [anon_sym_typeof] = ACTIONS(3656),
    [anon_sym_const] = ACTIONS(3658),
    [anon_sym_LPAREN] = ACTIONS(3660),
    [anon_sym_LBRACK] = ACTIONS(3662),
    [anon_sym_DQUOTE] = ACTIONS(3664),
    [anon_sym_SQUOTE] = ACTIONS(3666),
    [anon_sym_new] = ACTIONS(1898),
    [anon_sym_AMP] = ACTIONS(3670),
    [anon_sym_PIPE] = ACTIONS(3672),
    [anon_sym_PLUS] = ACTIONS(3674),
    [anon_sym_DASH] = ACTIONS(3674),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(3676),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3678),
    [sym_number] = ACTIONS(3680),
    [sym_this] = ACTIONS(4044),
    [sym_true] = ACTIONS(3680),
    [sym_false] = ACTIONS(3680),
    [sym_null] = ACTIONS(3680),
    [sym_undefined] = ACTIONS(3680),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(3686),
    [anon_sym_any] = ACTIONS(3676),
    [anon_sym_number] = ACTIONS(3676),
    [anon_sym_boolean] = ACTIONS(3676),
    [anon_sym_string] = ACTIONS(3676),
    [anon_sym_symbol] = ACTIONS(3676),
    [anon_sym_object] = ACTIONS(3676),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(3694),
    [anon_sym_unique] = ACTIONS(3696),
    [anon_sym_unknown] = ACTIONS(3676),
    [anon_sym_never] = ACTIONS(3676),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3654),
    [sym_html_comment] = ACTIONS(5),
  },
  [1922] = {
    [sym_nested_identifier] = STATE(7311),
    [sym_string] = STATE(2943),
    [sym_comment] = STATE(1922),
    [sym_formal_parameters] = STATE(7434),
    [sym_nested_type_identifier] = STATE(2799),
    [sym__type] = STATE(2959),
    [sym_constructor_type] = STATE(2950),
    [sym__primary_type] = STATE(2951),
    [sym_template_literal_type] = STATE(2939),
    [sym_infer_type] = STATE(2950),
    [sym_conditional_type] = STATE(2939),
    [sym_generic_type] = STATE(2939),
    [sym_type_query] = STATE(2939),
    [sym_index_type_query] = STATE(2939),
    [sym_lookup_type] = STATE(2939),
    [sym_literal_type] = STATE(2939),
    [sym__number] = STATE(2952),
    [sym_existential_type] = STATE(2939),
    [sym_flow_maybe_type] = STATE(2939),
    [sym_parenthesized_type] = STATE(2939),
    [sym_predefined_type] = STATE(2939),
    [sym_object_type] = STATE(2939),
    [sym_type_parameters] = STATE(6909),
    [sym_array_type] = STATE(2939),
    [sym_tuple_type] = STATE(2939),
    [sym_readonly_type] = STATE(2950),
    [sym_union_type] = STATE(2939),
    [sym_intersection_type] = STATE(2939),
    [sym_function_type] = STATE(2950),
    [sym_identifier] = ACTIONS(4038),
    [anon_sym_STAR] = ACTIONS(3784),
    [anon_sym_LBRACE] = ACTIONS(3786),
    [anon_sym_typeof] = ACTIONS(3788),
    [anon_sym_const] = ACTIONS(4052),
    [anon_sym_LPAREN] = ACTIONS(3792),
    [anon_sym_LBRACK] = ACTIONS(3794),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_new] = ACTIONS(3796),
    [anon_sym_AMP] = ACTIONS(3798),
    [anon_sym_PIPE] = ACTIONS(3800),
    [anon_sym_PLUS] = ACTIONS(3802),
    [anon_sym_DASH] = ACTIONS(3802),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(3804),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3806),
    [sym_number] = ACTIONS(3808),
    [sym_this] = ACTIONS(4040),
    [sym_true] = ACTIONS(3808),
    [sym_false] = ACTIONS(3808),
    [sym_null] = ACTIONS(3808),
    [sym_undefined] = ACTIONS(3808),
    [anon_sym_readonly] = ACTIONS(3812),
    [anon_sym_QMARK] = ACTIONS(3814),
    [anon_sym_any] = ACTIONS(3804),
    [anon_sym_number] = ACTIONS(3804),
    [anon_sym_boolean] = ACTIONS(3804),
    [anon_sym_string] = ACTIONS(3804),
    [anon_sym_symbol] = ACTIONS(3804),
    [anon_sym_object] = ACTIONS(3804),
    [anon_sym_abstract] = ACTIONS(3816),
    [anon_sym_infer] = ACTIONS(3820),
    [anon_sym_keyof] = ACTIONS(3822),
    [anon_sym_unique] = ACTIONS(3824),
    [anon_sym_unknown] = ACTIONS(3804),
    [anon_sym_never] = ACTIONS(3804),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3786),
    [sym_html_comment] = ACTIONS(5),
  },
  [1923] = {
    [sym_nested_identifier] = STATE(7311),
    [sym_string] = STATE(2943),
    [sym_comment] = STATE(1923),
    [sym_formal_parameters] = STATE(7329),
    [sym_nested_type_identifier] = STATE(2799),
    [sym__type] = STATE(6166),
    [sym_constructor_type] = STATE(3924),
    [sym__primary_type] = STATE(3023),
    [sym_template_literal_type] = STATE(2939),
    [sym_infer_type] = STATE(3924),
    [sym_conditional_type] = STATE(2939),
    [sym_generic_type] = STATE(2939),
    [sym_type_query] = STATE(2939),
    [sym_index_type_query] = STATE(2939),
    [sym_lookup_type] = STATE(2939),
    [sym_literal_type] = STATE(2939),
    [sym__number] = STATE(2952),
    [sym_existential_type] = STATE(2939),
    [sym_flow_maybe_type] = STATE(2939),
    [sym_parenthesized_type] = STATE(2939),
    [sym_predefined_type] = STATE(2939),
    [sym_object_type] = STATE(2939),
    [sym_type_parameters] = STATE(6758),
    [sym_array_type] = STATE(2939),
    [sym_tuple_type] = STATE(2939),
    [sym_readonly_type] = STATE(3924),
    [sym_union_type] = STATE(2939),
    [sym_intersection_type] = STATE(2939),
    [sym_function_type] = STATE(3924),
    [sym_identifier] = ACTIONS(4038),
    [anon_sym_STAR] = ACTIONS(3784),
    [anon_sym_LBRACE] = ACTIONS(3786),
    [anon_sym_typeof] = ACTIONS(3788),
    [anon_sym_const] = ACTIONS(3790),
    [anon_sym_LPAREN] = ACTIONS(3792),
    [anon_sym_LBRACK] = ACTIONS(3794),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_new] = ACTIONS(1898),
    [anon_sym_AMP] = ACTIONS(3798),
    [anon_sym_PIPE] = ACTIONS(3800),
    [anon_sym_PLUS] = ACTIONS(3802),
    [anon_sym_DASH] = ACTIONS(3802),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(3804),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3806),
    [sym_number] = ACTIONS(3808),
    [sym_this] = ACTIONS(4040),
    [sym_true] = ACTIONS(3808),
    [sym_false] = ACTIONS(3808),
    [sym_null] = ACTIONS(3808),
    [sym_undefined] = ACTIONS(3808),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(3814),
    [anon_sym_any] = ACTIONS(3804),
    [anon_sym_number] = ACTIONS(3804),
    [anon_sym_boolean] = ACTIONS(3804),
    [anon_sym_string] = ACTIONS(3804),
    [anon_sym_symbol] = ACTIONS(3804),
    [anon_sym_object] = ACTIONS(3804),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(3822),
    [anon_sym_unique] = ACTIONS(3824),
    [anon_sym_unknown] = ACTIONS(3804),
    [anon_sym_never] = ACTIONS(3804),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3786),
    [sym_html_comment] = ACTIONS(5),
  },
  [1924] = {
    [sym_nested_identifier] = STATE(7311),
    [sym_string] = STATE(2943),
    [sym_comment] = STATE(1924),
    [sym_formal_parameters] = STATE(7329),
    [sym_nested_type_identifier] = STATE(2799),
    [sym__type] = STATE(6166),
    [sym_constructor_type] = STATE(3924),
    [sym__primary_type] = STATE(3029),
    [sym_template_literal_type] = STATE(2939),
    [sym_infer_type] = STATE(3924),
    [sym_conditional_type] = STATE(2939),
    [sym_generic_type] = STATE(2939),
    [sym_type_query] = STATE(2939),
    [sym_index_type_query] = STATE(2939),
    [sym_lookup_type] = STATE(2939),
    [sym_literal_type] = STATE(2939),
    [sym__number] = STATE(2952),
    [sym_existential_type] = STATE(2939),
    [sym_flow_maybe_type] = STATE(2939),
    [sym_parenthesized_type] = STATE(2939),
    [sym_predefined_type] = STATE(2939),
    [sym_object_type] = STATE(2939),
    [sym_type_parameters] = STATE(6758),
    [sym_array_type] = STATE(2939),
    [sym_tuple_type] = STATE(2939),
    [sym_readonly_type] = STATE(3924),
    [sym_union_type] = STATE(2939),
    [sym_intersection_type] = STATE(2939),
    [sym_function_type] = STATE(3924),
    [sym_identifier] = ACTIONS(4038),
    [anon_sym_STAR] = ACTIONS(3784),
    [anon_sym_LBRACE] = ACTIONS(3786),
    [anon_sym_typeof] = ACTIONS(3788),
    [anon_sym_const] = ACTIONS(3790),
    [anon_sym_LPAREN] = ACTIONS(3792),
    [anon_sym_LBRACK] = ACTIONS(3794),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_new] = ACTIONS(1898),
    [anon_sym_AMP] = ACTIONS(3798),
    [anon_sym_PIPE] = ACTIONS(3800),
    [anon_sym_PLUS] = ACTIONS(3802),
    [anon_sym_DASH] = ACTIONS(3802),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(3804),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3806),
    [sym_number] = ACTIONS(3808),
    [sym_this] = ACTIONS(4040),
    [sym_true] = ACTIONS(3808),
    [sym_false] = ACTIONS(3808),
    [sym_null] = ACTIONS(3808),
    [sym_undefined] = ACTIONS(3808),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(3814),
    [anon_sym_any] = ACTIONS(3804),
    [anon_sym_number] = ACTIONS(3804),
    [anon_sym_boolean] = ACTIONS(3804),
    [anon_sym_string] = ACTIONS(3804),
    [anon_sym_symbol] = ACTIONS(3804),
    [anon_sym_object] = ACTIONS(3804),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(3822),
    [anon_sym_unique] = ACTIONS(3824),
    [anon_sym_unknown] = ACTIONS(3804),
    [anon_sym_never] = ACTIONS(3804),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3786),
    [sym_html_comment] = ACTIONS(5),
  },
  [1925] = {
    [sym_nested_identifier] = STATE(7311),
    [sym_string] = STATE(2943),
    [sym_comment] = STATE(1925),
    [sym_formal_parameters] = STATE(7434),
    [sym_nested_type_identifier] = STATE(2799),
    [sym__type] = STATE(3034),
    [sym_constructor_type] = STATE(2950),
    [sym__primary_type] = STATE(2951),
    [sym_template_literal_type] = STATE(2939),
    [sym_infer_type] = STATE(2950),
    [sym_conditional_type] = STATE(2939),
    [sym_generic_type] = STATE(2939),
    [sym_type_query] = STATE(2939),
    [sym_index_type_query] = STATE(2939),
    [sym_lookup_type] = STATE(2939),
    [sym_literal_type] = STATE(2939),
    [sym__number] = STATE(2952),
    [sym_existential_type] = STATE(2939),
    [sym_flow_maybe_type] = STATE(2939),
    [sym_parenthesized_type] = STATE(2939),
    [sym_predefined_type] = STATE(2939),
    [sym_object_type] = STATE(2939),
    [sym_type_parameters] = STATE(6909),
    [sym_array_type] = STATE(2939),
    [sym_tuple_type] = STATE(2939),
    [sym_readonly_type] = STATE(2950),
    [sym_union_type] = STATE(2939),
    [sym_intersection_type] = STATE(2939),
    [sym_function_type] = STATE(2950),
    [sym_identifier] = ACTIONS(4038),
    [anon_sym_STAR] = ACTIONS(3784),
    [anon_sym_LBRACE] = ACTIONS(3786),
    [anon_sym_typeof] = ACTIONS(3788),
    [anon_sym_const] = ACTIONS(3790),
    [anon_sym_LPAREN] = ACTIONS(3792),
    [anon_sym_LBRACK] = ACTIONS(3794),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_new] = ACTIONS(3796),
    [anon_sym_AMP] = ACTIONS(3798),
    [anon_sym_PIPE] = ACTIONS(3800),
    [anon_sym_PLUS] = ACTIONS(3802),
    [anon_sym_DASH] = ACTIONS(3802),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(3804),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3806),
    [sym_number] = ACTIONS(3808),
    [sym_this] = ACTIONS(4040),
    [sym_true] = ACTIONS(3808),
    [sym_false] = ACTIONS(3808),
    [sym_null] = ACTIONS(3808),
    [sym_undefined] = ACTIONS(3808),
    [anon_sym_readonly] = ACTIONS(3812),
    [anon_sym_QMARK] = ACTIONS(3814),
    [anon_sym_any] = ACTIONS(3804),
    [anon_sym_number] = ACTIONS(3804),
    [anon_sym_boolean] = ACTIONS(3804),
    [anon_sym_string] = ACTIONS(3804),
    [anon_sym_symbol] = ACTIONS(3804),
    [anon_sym_object] = ACTIONS(3804),
    [anon_sym_abstract] = ACTIONS(3816),
    [anon_sym_infer] = ACTIONS(3820),
    [anon_sym_keyof] = ACTIONS(3822),
    [anon_sym_unique] = ACTIONS(3824),
    [anon_sym_unknown] = ACTIONS(3804),
    [anon_sym_never] = ACTIONS(3804),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3786),
    [sym_html_comment] = ACTIONS(5),
  },
  [1926] = {
    [sym_nested_identifier] = STATE(7311),
    [sym_string] = STATE(2943),
    [sym_comment] = STATE(1926),
    [sym_formal_parameters] = STATE(7434),
    [sym_nested_type_identifier] = STATE(2799),
    [sym__type] = STATE(3046),
    [sym_constructor_type] = STATE(2950),
    [sym__primary_type] = STATE(2951),
    [sym_template_literal_type] = STATE(2939),
    [sym_infer_type] = STATE(2950),
    [sym_conditional_type] = STATE(2939),
    [sym_generic_type] = STATE(2939),
    [sym_type_query] = STATE(2939),
    [sym_index_type_query] = STATE(2939),
    [sym_lookup_type] = STATE(2939),
    [sym_literal_type] = STATE(2939),
    [sym__number] = STATE(2952),
    [sym_existential_type] = STATE(2939),
    [sym_flow_maybe_type] = STATE(2939),
    [sym_parenthesized_type] = STATE(2939),
    [sym_predefined_type] = STATE(2939),
    [sym_object_type] = STATE(2939),
    [sym_type_parameters] = STATE(6909),
    [sym_array_type] = STATE(2939),
    [sym_tuple_type] = STATE(2939),
    [sym_readonly_type] = STATE(2950),
    [sym_union_type] = STATE(2939),
    [sym_intersection_type] = STATE(2939),
    [sym_function_type] = STATE(2950),
    [sym_identifier] = ACTIONS(4038),
    [anon_sym_STAR] = ACTIONS(3784),
    [anon_sym_LBRACE] = ACTIONS(3786),
    [anon_sym_typeof] = ACTIONS(3788),
    [anon_sym_const] = ACTIONS(3790),
    [anon_sym_LPAREN] = ACTIONS(3792),
    [anon_sym_LBRACK] = ACTIONS(3794),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_new] = ACTIONS(3796),
    [anon_sym_AMP] = ACTIONS(3798),
    [anon_sym_PIPE] = ACTIONS(3800),
    [anon_sym_PLUS] = ACTIONS(3802),
    [anon_sym_DASH] = ACTIONS(3802),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(3804),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3806),
    [sym_number] = ACTIONS(3808),
    [sym_this] = ACTIONS(4040),
    [sym_true] = ACTIONS(3808),
    [sym_false] = ACTIONS(3808),
    [sym_null] = ACTIONS(3808),
    [sym_undefined] = ACTIONS(3808),
    [anon_sym_readonly] = ACTIONS(3812),
    [anon_sym_QMARK] = ACTIONS(3814),
    [anon_sym_any] = ACTIONS(3804),
    [anon_sym_number] = ACTIONS(3804),
    [anon_sym_boolean] = ACTIONS(3804),
    [anon_sym_string] = ACTIONS(3804),
    [anon_sym_symbol] = ACTIONS(3804),
    [anon_sym_object] = ACTIONS(3804),
    [anon_sym_abstract] = ACTIONS(3816),
    [anon_sym_infer] = ACTIONS(3820),
    [anon_sym_keyof] = ACTIONS(3822),
    [anon_sym_unique] = ACTIONS(3824),
    [anon_sym_unknown] = ACTIONS(3804),
    [anon_sym_never] = ACTIONS(3804),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3786),
    [sym_html_comment] = ACTIONS(5),
  },
  [1927] = {
    [sym_nested_identifier] = STATE(7311),
    [sym_string] = STATE(2943),
    [sym_comment] = STATE(1927),
    [sym_formal_parameters] = STATE(7434),
    [sym_nested_type_identifier] = STATE(2799),
    [sym__type] = STATE(3058),
    [sym_constructor_type] = STATE(2950),
    [sym__primary_type] = STATE(2951),
    [sym_template_literal_type] = STATE(2939),
    [sym_infer_type] = STATE(2950),
    [sym_conditional_type] = STATE(2939),
    [sym_generic_type] = STATE(2939),
    [sym_type_query] = STATE(2939),
    [sym_index_type_query] = STATE(2939),
    [sym_lookup_type] = STATE(2939),
    [sym_literal_type] = STATE(2939),
    [sym__number] = STATE(2952),
    [sym_existential_type] = STATE(2939),
    [sym_flow_maybe_type] = STATE(2939),
    [sym_parenthesized_type] = STATE(2939),
    [sym_predefined_type] = STATE(2939),
    [sym_object_type] = STATE(2939),
    [sym_type_parameters] = STATE(6909),
    [sym_array_type] = STATE(2939),
    [sym_tuple_type] = STATE(2939),
    [sym_readonly_type] = STATE(2950),
    [sym_union_type] = STATE(2939),
    [sym_intersection_type] = STATE(2939),
    [sym_function_type] = STATE(2950),
    [sym_identifier] = ACTIONS(4038),
    [anon_sym_STAR] = ACTIONS(3784),
    [anon_sym_LBRACE] = ACTIONS(3786),
    [anon_sym_typeof] = ACTIONS(3788),
    [anon_sym_const] = ACTIONS(3790),
    [anon_sym_LPAREN] = ACTIONS(3792),
    [anon_sym_LBRACK] = ACTIONS(3794),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_new] = ACTIONS(3796),
    [anon_sym_AMP] = ACTIONS(3798),
    [anon_sym_PIPE] = ACTIONS(3800),
    [anon_sym_PLUS] = ACTIONS(3802),
    [anon_sym_DASH] = ACTIONS(3802),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(3804),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3806),
    [sym_number] = ACTIONS(3808),
    [sym_this] = ACTIONS(4040),
    [sym_true] = ACTIONS(3808),
    [sym_false] = ACTIONS(3808),
    [sym_null] = ACTIONS(3808),
    [sym_undefined] = ACTIONS(3808),
    [anon_sym_readonly] = ACTIONS(3812),
    [anon_sym_QMARK] = ACTIONS(3814),
    [anon_sym_any] = ACTIONS(3804),
    [anon_sym_number] = ACTIONS(3804),
    [anon_sym_boolean] = ACTIONS(3804),
    [anon_sym_string] = ACTIONS(3804),
    [anon_sym_symbol] = ACTIONS(3804),
    [anon_sym_object] = ACTIONS(3804),
    [anon_sym_abstract] = ACTIONS(3816),
    [anon_sym_infer] = ACTIONS(3820),
    [anon_sym_keyof] = ACTIONS(3822),
    [anon_sym_unique] = ACTIONS(3824),
    [anon_sym_unknown] = ACTIONS(3804),
    [anon_sym_never] = ACTIONS(3804),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3786),
    [sym_html_comment] = ACTIONS(5),
  },
  [1928] = {
    [sym_nested_identifier] = STATE(7229),
    [sym_string] = STATE(2505),
    [sym_comment] = STATE(1928),
    [sym_formal_parameters] = STATE(7316),
    [sym_nested_type_identifier] = STATE(2360),
    [sym__type] = STATE(2478),
    [sym_constructor_type] = STATE(2501),
    [sym__primary_type] = STATE(2499),
    [sym_template_literal_type] = STATE(2507),
    [sym_infer_type] = STATE(2501),
    [sym_conditional_type] = STATE(2507),
    [sym_generic_type] = STATE(2507),
    [sym_type_query] = STATE(2507),
    [sym_index_type_query] = STATE(2507),
    [sym_lookup_type] = STATE(2507),
    [sym_literal_type] = STATE(2507),
    [sym__number] = STATE(2498),
    [sym_existential_type] = STATE(2507),
    [sym_flow_maybe_type] = STATE(2507),
    [sym_parenthesized_type] = STATE(2507),
    [sym_predefined_type] = STATE(2507),
    [sym_object_type] = STATE(2507),
    [sym_type_parameters] = STATE(7078),
    [sym_array_type] = STATE(2507),
    [sym_tuple_type] = STATE(2507),
    [sym_readonly_type] = STATE(2501),
    [sym_union_type] = STATE(2507),
    [sym_intersection_type] = STATE(2507),
    [sym_function_type] = STATE(2501),
    [sym_identifier] = ACTIONS(4046),
    [anon_sym_STAR] = ACTIONS(3828),
    [anon_sym_LBRACE] = ACTIONS(3830),
    [anon_sym_typeof] = ACTIONS(3832),
    [anon_sym_const] = ACTIONS(3834),
    [anon_sym_LPAREN] = ACTIONS(3836),
    [anon_sym_LBRACK] = ACTIONS(3838),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_new] = ACTIONS(3840),
    [anon_sym_AMP] = ACTIONS(3842),
    [anon_sym_PIPE] = ACTIONS(3844),
    [anon_sym_PLUS] = ACTIONS(3846),
    [anon_sym_DASH] = ACTIONS(3846),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(3848),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3850),
    [sym_number] = ACTIONS(3852),
    [sym_this] = ACTIONS(4048),
    [sym_true] = ACTIONS(3852),
    [sym_false] = ACTIONS(3852),
    [sym_null] = ACTIONS(3852),
    [sym_undefined] = ACTIONS(3852),
    [anon_sym_readonly] = ACTIONS(3856),
    [anon_sym_QMARK] = ACTIONS(3858),
    [anon_sym_any] = ACTIONS(3848),
    [anon_sym_number] = ACTIONS(3848),
    [anon_sym_boolean] = ACTIONS(3848),
    [anon_sym_string] = ACTIONS(3848),
    [anon_sym_symbol] = ACTIONS(3848),
    [anon_sym_object] = ACTIONS(3848),
    [anon_sym_abstract] = ACTIONS(3860),
    [anon_sym_infer] = ACTIONS(3864),
    [anon_sym_keyof] = ACTIONS(3866),
    [anon_sym_unique] = ACTIONS(3868),
    [anon_sym_unknown] = ACTIONS(3848),
    [anon_sym_never] = ACTIONS(3848),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3830),
    [sym_html_comment] = ACTIONS(5),
  },
  [1929] = {
    [sym_nested_identifier] = STATE(7229),
    [sym_string] = STATE(2505),
    [sym_comment] = STATE(1929),
    [sym_formal_parameters] = STATE(7316),
    [sym_nested_type_identifier] = STATE(2360),
    [sym__type] = STATE(2415),
    [sym_constructor_type] = STATE(2501),
    [sym__primary_type] = STATE(2499),
    [sym_template_literal_type] = STATE(2507),
    [sym_infer_type] = STATE(2501),
    [sym_conditional_type] = STATE(2507),
    [sym_generic_type] = STATE(2507),
    [sym_type_query] = STATE(2507),
    [sym_index_type_query] = STATE(2507),
    [sym_lookup_type] = STATE(2507),
    [sym_literal_type] = STATE(2507),
    [sym__number] = STATE(2498),
    [sym_existential_type] = STATE(2507),
    [sym_flow_maybe_type] = STATE(2507),
    [sym_parenthesized_type] = STATE(2507),
    [sym_predefined_type] = STATE(2507),
    [sym_object_type] = STATE(2507),
    [sym_type_parameters] = STATE(7078),
    [sym_array_type] = STATE(2507),
    [sym_tuple_type] = STATE(2507),
    [sym_readonly_type] = STATE(2501),
    [sym_union_type] = STATE(2507),
    [sym_intersection_type] = STATE(2507),
    [sym_function_type] = STATE(2501),
    [sym_identifier] = ACTIONS(4046),
    [anon_sym_STAR] = ACTIONS(3828),
    [anon_sym_LBRACE] = ACTIONS(3830),
    [anon_sym_typeof] = ACTIONS(3832),
    [anon_sym_const] = ACTIONS(3834),
    [anon_sym_LPAREN] = ACTIONS(3836),
    [anon_sym_LBRACK] = ACTIONS(3838),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_new] = ACTIONS(3840),
    [anon_sym_AMP] = ACTIONS(3842),
    [anon_sym_PIPE] = ACTIONS(3844),
    [anon_sym_PLUS] = ACTIONS(3846),
    [anon_sym_DASH] = ACTIONS(3846),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(3848),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3850),
    [sym_number] = ACTIONS(3852),
    [sym_this] = ACTIONS(4048),
    [sym_true] = ACTIONS(3852),
    [sym_false] = ACTIONS(3852),
    [sym_null] = ACTIONS(3852),
    [sym_undefined] = ACTIONS(3852),
    [anon_sym_readonly] = ACTIONS(3856),
    [anon_sym_QMARK] = ACTIONS(3858),
    [anon_sym_any] = ACTIONS(3848),
    [anon_sym_number] = ACTIONS(3848),
    [anon_sym_boolean] = ACTIONS(3848),
    [anon_sym_string] = ACTIONS(3848),
    [anon_sym_symbol] = ACTIONS(3848),
    [anon_sym_object] = ACTIONS(3848),
    [anon_sym_abstract] = ACTIONS(3860),
    [anon_sym_infer] = ACTIONS(3864),
    [anon_sym_keyof] = ACTIONS(3866),
    [anon_sym_unique] = ACTIONS(3868),
    [anon_sym_unknown] = ACTIONS(3848),
    [anon_sym_never] = ACTIONS(3848),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3830),
    [sym_html_comment] = ACTIONS(5),
  },
  [1930] = {
    [sym_nested_identifier] = STATE(7229),
    [sym_string] = STATE(2505),
    [sym_comment] = STATE(1930),
    [sym_formal_parameters] = STATE(7316),
    [sym_nested_type_identifier] = STATE(2360),
    [sym__type] = STATE(2431),
    [sym_constructor_type] = STATE(2501),
    [sym__primary_type] = STATE(2499),
    [sym_template_literal_type] = STATE(2507),
    [sym_infer_type] = STATE(2501),
    [sym_conditional_type] = STATE(2507),
    [sym_generic_type] = STATE(2507),
    [sym_type_query] = STATE(2507),
    [sym_index_type_query] = STATE(2507),
    [sym_lookup_type] = STATE(2507),
    [sym_literal_type] = STATE(2507),
    [sym__number] = STATE(2498),
    [sym_existential_type] = STATE(2507),
    [sym_flow_maybe_type] = STATE(2507),
    [sym_parenthesized_type] = STATE(2507),
    [sym_predefined_type] = STATE(2507),
    [sym_object_type] = STATE(2507),
    [sym_type_parameters] = STATE(7078),
    [sym_array_type] = STATE(2507),
    [sym_tuple_type] = STATE(2507),
    [sym_readonly_type] = STATE(2501),
    [sym_union_type] = STATE(2507),
    [sym_intersection_type] = STATE(2507),
    [sym_function_type] = STATE(2501),
    [sym_identifier] = ACTIONS(4046),
    [anon_sym_STAR] = ACTIONS(3828),
    [anon_sym_LBRACE] = ACTIONS(3830),
    [anon_sym_typeof] = ACTIONS(3832),
    [anon_sym_const] = ACTIONS(3834),
    [anon_sym_LPAREN] = ACTIONS(3836),
    [anon_sym_LBRACK] = ACTIONS(3838),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_new] = ACTIONS(3840),
    [anon_sym_AMP] = ACTIONS(3842),
    [anon_sym_PIPE] = ACTIONS(3844),
    [anon_sym_PLUS] = ACTIONS(3846),
    [anon_sym_DASH] = ACTIONS(3846),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(3848),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3850),
    [sym_number] = ACTIONS(3852),
    [sym_this] = ACTIONS(4048),
    [sym_true] = ACTIONS(3852),
    [sym_false] = ACTIONS(3852),
    [sym_null] = ACTIONS(3852),
    [sym_undefined] = ACTIONS(3852),
    [anon_sym_readonly] = ACTIONS(3856),
    [anon_sym_QMARK] = ACTIONS(3858),
    [anon_sym_any] = ACTIONS(3848),
    [anon_sym_number] = ACTIONS(3848),
    [anon_sym_boolean] = ACTIONS(3848),
    [anon_sym_string] = ACTIONS(3848),
    [anon_sym_symbol] = ACTIONS(3848),
    [anon_sym_object] = ACTIONS(3848),
    [anon_sym_abstract] = ACTIONS(3860),
    [anon_sym_infer] = ACTIONS(3864),
    [anon_sym_keyof] = ACTIONS(3866),
    [anon_sym_unique] = ACTIONS(3868),
    [anon_sym_unknown] = ACTIONS(3848),
    [anon_sym_never] = ACTIONS(3848),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3830),
    [sym_html_comment] = ACTIONS(5),
  },
  [1931] = {
    [sym_nested_identifier] = STATE(7283),
    [sym_string] = STATE(3875),
    [sym_comment] = STATE(1931),
    [sym_formal_parameters] = STATE(7329),
    [sym_nested_type_identifier] = STATE(3821),
    [sym__type] = STATE(5630),
    [sym_constructor_type] = STATE(3924),
    [sym__primary_type] = STATE(3930),
    [sym_template_literal_type] = STATE(3873),
    [sym_infer_type] = STATE(3924),
    [sym_conditional_type] = STATE(3873),
    [sym_generic_type] = STATE(3873),
    [sym_type_query] = STATE(3873),
    [sym_index_type_query] = STATE(3873),
    [sym_lookup_type] = STATE(3873),
    [sym_literal_type] = STATE(3873),
    [sym__number] = STATE(3934),
    [sym_existential_type] = STATE(3873),
    [sym_flow_maybe_type] = STATE(3873),
    [sym_parenthesized_type] = STATE(3873),
    [sym_predefined_type] = STATE(3873),
    [sym_object_type] = STATE(3873),
    [sym_type_parameters] = STATE(6758),
    [sym_array_type] = STATE(3873),
    [sym_tuple_type] = STATE(3873),
    [sym_readonly_type] = STATE(3924),
    [sym_union_type] = STATE(3873),
    [sym_intersection_type] = STATE(3873),
    [sym_function_type] = STATE(3924),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(209),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_DQUOTE] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [anon_sym_new] = ACTIONS(1898),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(1900),
    [anon_sym_DASH] = ACTIONS(1900),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(207),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_any] = ACTIONS(207),
    [anon_sym_number] = ACTIONS(207),
    [anon_sym_boolean] = ACTIONS(207),
    [anon_sym_string] = ACTIONS(207),
    [anon_sym_symbol] = ACTIONS(207),
    [anon_sym_object] = ACTIONS(207),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [1932] = {
    [sym_nested_identifier] = STATE(7203),
    [sym_string] = STATE(4142),
    [sym_comment] = STATE(1932),
    [sym_formal_parameters] = STATE(7533),
    [sym_nested_type_identifier] = STATE(4018),
    [sym__type] = STATE(5087),
    [sym_constructor_type] = STATE(4150),
    [sym__primary_type] = STATE(4152),
    [sym_template_literal_type] = STATE(4126),
    [sym_infer_type] = STATE(4150),
    [sym_conditional_type] = STATE(4126),
    [sym_generic_type] = STATE(4126),
    [sym_type_query] = STATE(4126),
    [sym_index_type_query] = STATE(4126),
    [sym_lookup_type] = STATE(4126),
    [sym_literal_type] = STATE(4126),
    [sym__number] = STATE(4153),
    [sym_existential_type] = STATE(4126),
    [sym_flow_maybe_type] = STATE(4126),
    [sym_parenthesized_type] = STATE(4126),
    [sym_predefined_type] = STATE(4126),
    [sym_object_type] = STATE(4126),
    [sym_type_parameters] = STATE(7111),
    [sym_array_type] = STATE(4126),
    [sym_tuple_type] = STATE(4126),
    [sym_readonly_type] = STATE(4150),
    [sym_union_type] = STATE(4126),
    [sym_intersection_type] = STATE(4126),
    [sym_function_type] = STATE(4150),
    [sym_identifier] = ACTIONS(1922),
    [anon_sym_STAR] = ACTIONS(1296),
    [anon_sym_LBRACE] = ACTIONS(1342),
    [anon_sym_typeof] = ACTIONS(1924),
    [anon_sym_const] = ACTIONS(1302),
    [anon_sym_LPAREN] = ACTIONS(1926),
    [anon_sym_LBRACK] = ACTIONS(1928),
    [anon_sym_DQUOTE] = ACTIONS(1930),
    [anon_sym_SQUOTE] = ACTIONS(1932),
    [anon_sym_new] = ACTIONS(1934),
    [anon_sym_AMP] = ACTIONS(1310),
    [anon_sym_PIPE] = ACTIONS(1312),
    [anon_sym_PLUS] = ACTIONS(1936),
    [anon_sym_DASH] = ACTIONS(1936),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(1340),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1938),
    [sym_number] = ACTIONS(1940),
    [sym_this] = ACTIONS(1942),
    [sym_true] = ACTIONS(1940),
    [sym_false] = ACTIONS(1940),
    [sym_null] = ACTIONS(1940),
    [sym_undefined] = ACTIONS(1940),
    [anon_sym_readonly] = ACTIONS(1944),
    [anon_sym_QMARK] = ACTIONS(1328),
    [anon_sym_any] = ACTIONS(1340),
    [anon_sym_number] = ACTIONS(1340),
    [anon_sym_boolean] = ACTIONS(1340),
    [anon_sym_string] = ACTIONS(1340),
    [anon_sym_symbol] = ACTIONS(1340),
    [anon_sym_object] = ACTIONS(1340),
    [anon_sym_abstract] = ACTIONS(1332),
    [anon_sym_infer] = ACTIONS(1334),
    [anon_sym_keyof] = ACTIONS(1336),
    [anon_sym_unique] = ACTIONS(1338),
    [anon_sym_unknown] = ACTIONS(1340),
    [anon_sym_never] = ACTIONS(1340),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1342),
    [sym_html_comment] = ACTIONS(5),
  },
  [1933] = {
    [sym_nested_identifier] = STATE(7203),
    [sym_string] = STATE(4142),
    [sym_comment] = STATE(1933),
    [sym_formal_parameters] = STATE(7533),
    [sym_nested_type_identifier] = STATE(4018),
    [sym__type] = STATE(4135),
    [sym_constructor_type] = STATE(4150),
    [sym__primary_type] = STATE(4152),
    [sym_template_literal_type] = STATE(4126),
    [sym_infer_type] = STATE(4150),
    [sym_conditional_type] = STATE(4126),
    [sym_generic_type] = STATE(4126),
    [sym_type_query] = STATE(4126),
    [sym_index_type_query] = STATE(4126),
    [sym_lookup_type] = STATE(4126),
    [sym_literal_type] = STATE(4126),
    [sym__number] = STATE(4153),
    [sym_existential_type] = STATE(4126),
    [sym_flow_maybe_type] = STATE(4126),
    [sym_parenthesized_type] = STATE(4126),
    [sym_predefined_type] = STATE(4126),
    [sym_object_type] = STATE(4126),
    [sym_type_parameters] = STATE(7111),
    [sym_array_type] = STATE(4126),
    [sym_tuple_type] = STATE(4126),
    [sym_readonly_type] = STATE(4150),
    [sym_union_type] = STATE(4126),
    [sym_intersection_type] = STATE(4126),
    [sym_function_type] = STATE(4150),
    [sym_identifier] = ACTIONS(1922),
    [anon_sym_STAR] = ACTIONS(1296),
    [anon_sym_LBRACE] = ACTIONS(1342),
    [anon_sym_typeof] = ACTIONS(1924),
    [anon_sym_const] = ACTIONS(1302),
    [anon_sym_LPAREN] = ACTIONS(1926),
    [anon_sym_LBRACK] = ACTIONS(1928),
    [anon_sym_DQUOTE] = ACTIONS(1930),
    [anon_sym_SQUOTE] = ACTIONS(1932),
    [anon_sym_new] = ACTIONS(1934),
    [anon_sym_AMP] = ACTIONS(1310),
    [anon_sym_PIPE] = ACTIONS(1312),
    [anon_sym_PLUS] = ACTIONS(1936),
    [anon_sym_DASH] = ACTIONS(1936),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(1340),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1938),
    [sym_number] = ACTIONS(1940),
    [sym_this] = ACTIONS(1942),
    [sym_true] = ACTIONS(1940),
    [sym_false] = ACTIONS(1940),
    [sym_null] = ACTIONS(1940),
    [sym_undefined] = ACTIONS(1940),
    [anon_sym_readonly] = ACTIONS(1944),
    [anon_sym_QMARK] = ACTIONS(1328),
    [anon_sym_any] = ACTIONS(1340),
    [anon_sym_number] = ACTIONS(1340),
    [anon_sym_boolean] = ACTIONS(1340),
    [anon_sym_string] = ACTIONS(1340),
    [anon_sym_symbol] = ACTIONS(1340),
    [anon_sym_object] = ACTIONS(1340),
    [anon_sym_abstract] = ACTIONS(1332),
    [anon_sym_infer] = ACTIONS(1334),
    [anon_sym_keyof] = ACTIONS(1336),
    [anon_sym_unique] = ACTIONS(1338),
    [anon_sym_unknown] = ACTIONS(1340),
    [anon_sym_never] = ACTIONS(1340),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1342),
    [sym_html_comment] = ACTIONS(5),
  },
  [1934] = {
    [sym_nested_identifier] = STATE(7203),
    [sym_string] = STATE(4142),
    [sym_comment] = STATE(1934),
    [sym_formal_parameters] = STATE(7533),
    [sym_nested_type_identifier] = STATE(4018),
    [sym__type] = STATE(4482),
    [sym_constructor_type] = STATE(4150),
    [sym__primary_type] = STATE(4152),
    [sym_template_literal_type] = STATE(4126),
    [sym_infer_type] = STATE(4150),
    [sym_conditional_type] = STATE(4126),
    [sym_generic_type] = STATE(4126),
    [sym_type_query] = STATE(4126),
    [sym_index_type_query] = STATE(4126),
    [sym_lookup_type] = STATE(4126),
    [sym_literal_type] = STATE(4126),
    [sym__number] = STATE(4153),
    [sym_existential_type] = STATE(4126),
    [sym_flow_maybe_type] = STATE(4126),
    [sym_parenthesized_type] = STATE(4126),
    [sym_predefined_type] = STATE(4126),
    [sym_object_type] = STATE(4126),
    [sym_type_parameters] = STATE(7111),
    [sym_array_type] = STATE(4126),
    [sym_tuple_type] = STATE(4126),
    [sym_readonly_type] = STATE(4150),
    [sym_union_type] = STATE(4126),
    [sym_intersection_type] = STATE(4126),
    [sym_function_type] = STATE(4150),
    [sym_identifier] = ACTIONS(1922),
    [anon_sym_STAR] = ACTIONS(1296),
    [anon_sym_LBRACE] = ACTIONS(1342),
    [anon_sym_typeof] = ACTIONS(1924),
    [anon_sym_const] = ACTIONS(1302),
    [anon_sym_LPAREN] = ACTIONS(1926),
    [anon_sym_LBRACK] = ACTIONS(1928),
    [anon_sym_DQUOTE] = ACTIONS(1930),
    [anon_sym_SQUOTE] = ACTIONS(1932),
    [anon_sym_new] = ACTIONS(1934),
    [anon_sym_AMP] = ACTIONS(1310),
    [anon_sym_PIPE] = ACTIONS(1312),
    [anon_sym_PLUS] = ACTIONS(1936),
    [anon_sym_DASH] = ACTIONS(1936),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(1340),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1938),
    [sym_number] = ACTIONS(1940),
    [sym_this] = ACTIONS(1942),
    [sym_true] = ACTIONS(1940),
    [sym_false] = ACTIONS(1940),
    [sym_null] = ACTIONS(1940),
    [sym_undefined] = ACTIONS(1940),
    [anon_sym_readonly] = ACTIONS(1944),
    [anon_sym_QMARK] = ACTIONS(1328),
    [anon_sym_any] = ACTIONS(1340),
    [anon_sym_number] = ACTIONS(1340),
    [anon_sym_boolean] = ACTIONS(1340),
    [anon_sym_string] = ACTIONS(1340),
    [anon_sym_symbol] = ACTIONS(1340),
    [anon_sym_object] = ACTIONS(1340),
    [anon_sym_abstract] = ACTIONS(1332),
    [anon_sym_infer] = ACTIONS(1334),
    [anon_sym_keyof] = ACTIONS(1336),
    [anon_sym_unique] = ACTIONS(1338),
    [anon_sym_unknown] = ACTIONS(1340),
    [anon_sym_never] = ACTIONS(1340),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1342),
    [sym_html_comment] = ACTIONS(5),
  },
  [1935] = {
    [sym_nested_identifier] = STATE(7203),
    [sym_string] = STATE(4142),
    [sym_comment] = STATE(1935),
    [sym_formal_parameters] = STATE(7533),
    [sym_nested_type_identifier] = STATE(4018),
    [sym__type] = STATE(5136),
    [sym_constructor_type] = STATE(4150),
    [sym__primary_type] = STATE(4152),
    [sym_template_literal_type] = STATE(4126),
    [sym_infer_type] = STATE(4150),
    [sym_conditional_type] = STATE(4126),
    [sym_generic_type] = STATE(4126),
    [sym_type_query] = STATE(4126),
    [sym_index_type_query] = STATE(4126),
    [sym_lookup_type] = STATE(4126),
    [sym_literal_type] = STATE(4126),
    [sym__number] = STATE(4153),
    [sym_existential_type] = STATE(4126),
    [sym_flow_maybe_type] = STATE(4126),
    [sym_parenthesized_type] = STATE(4126),
    [sym_predefined_type] = STATE(4126),
    [sym_object_type] = STATE(4126),
    [sym_type_parameters] = STATE(7111),
    [sym_array_type] = STATE(4126),
    [sym_tuple_type] = STATE(4126),
    [sym_readonly_type] = STATE(4150),
    [sym_union_type] = STATE(4126),
    [sym_intersection_type] = STATE(4126),
    [sym_function_type] = STATE(4150),
    [sym_identifier] = ACTIONS(1922),
    [anon_sym_STAR] = ACTIONS(1296),
    [anon_sym_LBRACE] = ACTIONS(1342),
    [anon_sym_typeof] = ACTIONS(1924),
    [anon_sym_const] = ACTIONS(1302),
    [anon_sym_LPAREN] = ACTIONS(1926),
    [anon_sym_LBRACK] = ACTIONS(1928),
    [anon_sym_DQUOTE] = ACTIONS(1930),
    [anon_sym_SQUOTE] = ACTIONS(1932),
    [anon_sym_new] = ACTIONS(1934),
    [anon_sym_AMP] = ACTIONS(1310),
    [anon_sym_PIPE] = ACTIONS(1312),
    [anon_sym_PLUS] = ACTIONS(1936),
    [anon_sym_DASH] = ACTIONS(1936),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(1340),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1938),
    [sym_number] = ACTIONS(1940),
    [sym_this] = ACTIONS(1942),
    [sym_true] = ACTIONS(1940),
    [sym_false] = ACTIONS(1940),
    [sym_null] = ACTIONS(1940),
    [sym_undefined] = ACTIONS(1940),
    [anon_sym_readonly] = ACTIONS(1944),
    [anon_sym_QMARK] = ACTIONS(1328),
    [anon_sym_any] = ACTIONS(1340),
    [anon_sym_number] = ACTIONS(1340),
    [anon_sym_boolean] = ACTIONS(1340),
    [anon_sym_string] = ACTIONS(1340),
    [anon_sym_symbol] = ACTIONS(1340),
    [anon_sym_object] = ACTIONS(1340),
    [anon_sym_abstract] = ACTIONS(1332),
    [anon_sym_infer] = ACTIONS(1334),
    [anon_sym_keyof] = ACTIONS(1336),
    [anon_sym_unique] = ACTIONS(1338),
    [anon_sym_unknown] = ACTIONS(1340),
    [anon_sym_never] = ACTIONS(1340),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1342),
    [sym_html_comment] = ACTIONS(5),
  },
  [1936] = {
    [sym_nested_identifier] = STATE(7203),
    [sym_string] = STATE(4142),
    [sym_comment] = STATE(1936),
    [sym_formal_parameters] = STATE(7533),
    [sym_nested_type_identifier] = STATE(4018),
    [sym__type] = STATE(5267),
    [sym_constructor_type] = STATE(4150),
    [sym__primary_type] = STATE(4152),
    [sym_template_literal_type] = STATE(4126),
    [sym_infer_type] = STATE(4150),
    [sym_conditional_type] = STATE(4126),
    [sym_generic_type] = STATE(4126),
    [sym_type_query] = STATE(4126),
    [sym_index_type_query] = STATE(4126),
    [sym_lookup_type] = STATE(4126),
    [sym_literal_type] = STATE(4126),
    [sym__number] = STATE(4153),
    [sym_existential_type] = STATE(4126),
    [sym_flow_maybe_type] = STATE(4126),
    [sym_parenthesized_type] = STATE(4126),
    [sym_predefined_type] = STATE(4126),
    [sym_object_type] = STATE(4126),
    [sym_type_parameters] = STATE(7111),
    [sym_array_type] = STATE(4126),
    [sym_tuple_type] = STATE(4126),
    [sym_readonly_type] = STATE(4150),
    [sym_union_type] = STATE(4126),
    [sym_intersection_type] = STATE(4126),
    [sym_function_type] = STATE(4150),
    [sym_identifier] = ACTIONS(1922),
    [anon_sym_STAR] = ACTIONS(1296),
    [anon_sym_LBRACE] = ACTIONS(1342),
    [anon_sym_typeof] = ACTIONS(1924),
    [anon_sym_const] = ACTIONS(1302),
    [anon_sym_LPAREN] = ACTIONS(1926),
    [anon_sym_LBRACK] = ACTIONS(1928),
    [anon_sym_DQUOTE] = ACTIONS(1930),
    [anon_sym_SQUOTE] = ACTIONS(1932),
    [anon_sym_new] = ACTIONS(1934),
    [anon_sym_AMP] = ACTIONS(1310),
    [anon_sym_PIPE] = ACTIONS(1312),
    [anon_sym_PLUS] = ACTIONS(1936),
    [anon_sym_DASH] = ACTIONS(1936),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(1340),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1938),
    [sym_number] = ACTIONS(1940),
    [sym_this] = ACTIONS(1942),
    [sym_true] = ACTIONS(1940),
    [sym_false] = ACTIONS(1940),
    [sym_null] = ACTIONS(1940),
    [sym_undefined] = ACTIONS(1940),
    [anon_sym_readonly] = ACTIONS(1944),
    [anon_sym_QMARK] = ACTIONS(1328),
    [anon_sym_any] = ACTIONS(1340),
    [anon_sym_number] = ACTIONS(1340),
    [anon_sym_boolean] = ACTIONS(1340),
    [anon_sym_string] = ACTIONS(1340),
    [anon_sym_symbol] = ACTIONS(1340),
    [anon_sym_object] = ACTIONS(1340),
    [anon_sym_abstract] = ACTIONS(1332),
    [anon_sym_infer] = ACTIONS(1334),
    [anon_sym_keyof] = ACTIONS(1336),
    [anon_sym_unique] = ACTIONS(1338),
    [anon_sym_unknown] = ACTIONS(1340),
    [anon_sym_never] = ACTIONS(1340),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1342),
    [sym_html_comment] = ACTIONS(5),
  },
  [1937] = {
    [sym_nested_identifier] = STATE(7283),
    [sym_string] = STATE(3875),
    [sym_comment] = STATE(1937),
    [sym_formal_parameters] = STATE(7329),
    [sym_nested_type_identifier] = STATE(3821),
    [sym__type] = STATE(5665),
    [sym_constructor_type] = STATE(3924),
    [sym__primary_type] = STATE(3930),
    [sym_template_literal_type] = STATE(3873),
    [sym_infer_type] = STATE(3924),
    [sym_conditional_type] = STATE(3873),
    [sym_generic_type] = STATE(3873),
    [sym_type_query] = STATE(3873),
    [sym_index_type_query] = STATE(3873),
    [sym_lookup_type] = STATE(3873),
    [sym_literal_type] = STATE(3873),
    [sym__number] = STATE(3934),
    [sym_existential_type] = STATE(3873),
    [sym_flow_maybe_type] = STATE(3873),
    [sym_parenthesized_type] = STATE(3873),
    [sym_predefined_type] = STATE(3873),
    [sym_object_type] = STATE(3873),
    [sym_type_parameters] = STATE(6758),
    [sym_array_type] = STATE(3873),
    [sym_tuple_type] = STATE(3873),
    [sym_readonly_type] = STATE(3924),
    [sym_union_type] = STATE(3873),
    [sym_intersection_type] = STATE(3873),
    [sym_function_type] = STATE(3924),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(209),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_DQUOTE] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [anon_sym_new] = ACTIONS(1898),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(1900),
    [anon_sym_DASH] = ACTIONS(1900),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(207),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_any] = ACTIONS(207),
    [anon_sym_number] = ACTIONS(207),
    [anon_sym_boolean] = ACTIONS(207),
    [anon_sym_string] = ACTIONS(207),
    [anon_sym_symbol] = ACTIONS(207),
    [anon_sym_object] = ACTIONS(207),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [1938] = {
    [sym_nested_identifier] = STATE(7229),
    [sym_string] = STATE(2505),
    [sym_comment] = STATE(1938),
    [sym_formal_parameters] = STATE(7316),
    [sym_nested_type_identifier] = STATE(2360),
    [sym__type] = STATE(2476),
    [sym_constructor_type] = STATE(2501),
    [sym__primary_type] = STATE(2499),
    [sym_template_literal_type] = STATE(2507),
    [sym_infer_type] = STATE(2501),
    [sym_conditional_type] = STATE(2507),
    [sym_generic_type] = STATE(2507),
    [sym_type_query] = STATE(2507),
    [sym_index_type_query] = STATE(2507),
    [sym_lookup_type] = STATE(2507),
    [sym_literal_type] = STATE(2507),
    [sym__number] = STATE(2498),
    [sym_existential_type] = STATE(2507),
    [sym_flow_maybe_type] = STATE(2507),
    [sym_parenthesized_type] = STATE(2507),
    [sym_predefined_type] = STATE(2507),
    [sym_object_type] = STATE(2507),
    [sym_type_parameters] = STATE(7078),
    [sym_array_type] = STATE(2507),
    [sym_tuple_type] = STATE(2507),
    [sym_readonly_type] = STATE(2501),
    [sym_union_type] = STATE(2507),
    [sym_intersection_type] = STATE(2507),
    [sym_function_type] = STATE(2501),
    [sym_identifier] = ACTIONS(4046),
    [anon_sym_STAR] = ACTIONS(3828),
    [anon_sym_LBRACE] = ACTIONS(3830),
    [anon_sym_typeof] = ACTIONS(3832),
    [anon_sym_const] = ACTIONS(3834),
    [anon_sym_LPAREN] = ACTIONS(3836),
    [anon_sym_LBRACK] = ACTIONS(3838),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_new] = ACTIONS(3840),
    [anon_sym_AMP] = ACTIONS(3842),
    [anon_sym_PIPE] = ACTIONS(3844),
    [anon_sym_PLUS] = ACTIONS(3846),
    [anon_sym_DASH] = ACTIONS(3846),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(3848),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3850),
    [sym_number] = ACTIONS(3852),
    [sym_this] = ACTIONS(4048),
    [sym_true] = ACTIONS(3852),
    [sym_false] = ACTIONS(3852),
    [sym_null] = ACTIONS(3852),
    [sym_undefined] = ACTIONS(3852),
    [anon_sym_readonly] = ACTIONS(3856),
    [anon_sym_QMARK] = ACTIONS(3858),
    [anon_sym_any] = ACTIONS(3848),
    [anon_sym_number] = ACTIONS(3848),
    [anon_sym_boolean] = ACTIONS(3848),
    [anon_sym_string] = ACTIONS(3848),
    [anon_sym_symbol] = ACTIONS(3848),
    [anon_sym_object] = ACTIONS(3848),
    [anon_sym_abstract] = ACTIONS(3860),
    [anon_sym_infer] = ACTIONS(3864),
    [anon_sym_keyof] = ACTIONS(3866),
    [anon_sym_unique] = ACTIONS(3868),
    [anon_sym_unknown] = ACTIONS(3848),
    [anon_sym_never] = ACTIONS(3848),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3830),
    [sym_html_comment] = ACTIONS(5),
  },
  [1939] = {
    [sym_nested_identifier] = STATE(7203),
    [sym_string] = STATE(4142),
    [sym_comment] = STATE(1939),
    [sym_formal_parameters] = STATE(7533),
    [sym_nested_type_identifier] = STATE(4018),
    [sym__type] = STATE(5326),
    [sym_constructor_type] = STATE(4150),
    [sym__primary_type] = STATE(4152),
    [sym_template_literal_type] = STATE(4126),
    [sym_infer_type] = STATE(4150),
    [sym_conditional_type] = STATE(4126),
    [sym_generic_type] = STATE(4126),
    [sym_type_query] = STATE(4126),
    [sym_index_type_query] = STATE(4126),
    [sym_lookup_type] = STATE(4126),
    [sym_literal_type] = STATE(4126),
    [sym__number] = STATE(4153),
    [sym_existential_type] = STATE(4126),
    [sym_flow_maybe_type] = STATE(4126),
    [sym_parenthesized_type] = STATE(4126),
    [sym_predefined_type] = STATE(4126),
    [sym_object_type] = STATE(4126),
    [sym_type_parameters] = STATE(7111),
    [sym_array_type] = STATE(4126),
    [sym_tuple_type] = STATE(4126),
    [sym_readonly_type] = STATE(4150),
    [sym_union_type] = STATE(4126),
    [sym_intersection_type] = STATE(4126),
    [sym_function_type] = STATE(4150),
    [sym_identifier] = ACTIONS(1922),
    [anon_sym_STAR] = ACTIONS(1296),
    [anon_sym_LBRACE] = ACTIONS(1342),
    [anon_sym_typeof] = ACTIONS(1924),
    [anon_sym_const] = ACTIONS(1302),
    [anon_sym_LPAREN] = ACTIONS(1926),
    [anon_sym_LBRACK] = ACTIONS(1928),
    [anon_sym_DQUOTE] = ACTIONS(1930),
    [anon_sym_SQUOTE] = ACTIONS(1932),
    [anon_sym_new] = ACTIONS(1934),
    [anon_sym_AMP] = ACTIONS(1310),
    [anon_sym_PIPE] = ACTIONS(1312),
    [anon_sym_PLUS] = ACTIONS(1936),
    [anon_sym_DASH] = ACTIONS(1936),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(1340),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1938),
    [sym_number] = ACTIONS(1940),
    [sym_this] = ACTIONS(1942),
    [sym_true] = ACTIONS(1940),
    [sym_false] = ACTIONS(1940),
    [sym_null] = ACTIONS(1940),
    [sym_undefined] = ACTIONS(1940),
    [anon_sym_readonly] = ACTIONS(1944),
    [anon_sym_QMARK] = ACTIONS(1328),
    [anon_sym_any] = ACTIONS(1340),
    [anon_sym_number] = ACTIONS(1340),
    [anon_sym_boolean] = ACTIONS(1340),
    [anon_sym_string] = ACTIONS(1340),
    [anon_sym_symbol] = ACTIONS(1340),
    [anon_sym_object] = ACTIONS(1340),
    [anon_sym_abstract] = ACTIONS(1332),
    [anon_sym_infer] = ACTIONS(1334),
    [anon_sym_keyof] = ACTIONS(1336),
    [anon_sym_unique] = ACTIONS(1338),
    [anon_sym_unknown] = ACTIONS(1340),
    [anon_sym_never] = ACTIONS(1340),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1342),
    [sym_html_comment] = ACTIONS(5),
  },
  [1940] = {
    [sym_nested_identifier] = STATE(7283),
    [sym_string] = STATE(3875),
    [sym_comment] = STATE(1940),
    [sym_formal_parameters] = STATE(7329),
    [sym_nested_type_identifier] = STATE(3821),
    [sym__type] = STATE(5626),
    [sym_constructor_type] = STATE(3924),
    [sym__primary_type] = STATE(3930),
    [sym_template_literal_type] = STATE(3873),
    [sym_infer_type] = STATE(3924),
    [sym_conditional_type] = STATE(3873),
    [sym_generic_type] = STATE(3873),
    [sym_type_query] = STATE(3873),
    [sym_index_type_query] = STATE(3873),
    [sym_lookup_type] = STATE(3873),
    [sym_literal_type] = STATE(3873),
    [sym__number] = STATE(3934),
    [sym_existential_type] = STATE(3873),
    [sym_flow_maybe_type] = STATE(3873),
    [sym_parenthesized_type] = STATE(3873),
    [sym_predefined_type] = STATE(3873),
    [sym_object_type] = STATE(3873),
    [sym_type_parameters] = STATE(6758),
    [sym_array_type] = STATE(3873),
    [sym_tuple_type] = STATE(3873),
    [sym_readonly_type] = STATE(3924),
    [sym_union_type] = STATE(3873),
    [sym_intersection_type] = STATE(3873),
    [sym_function_type] = STATE(3924),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(209),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_DQUOTE] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [anon_sym_new] = ACTIONS(1898),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(1900),
    [anon_sym_DASH] = ACTIONS(1900),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(207),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_any] = ACTIONS(207),
    [anon_sym_number] = ACTIONS(207),
    [anon_sym_boolean] = ACTIONS(207),
    [anon_sym_string] = ACTIONS(207),
    [anon_sym_symbol] = ACTIONS(207),
    [anon_sym_object] = ACTIONS(207),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [1941] = {
    [sym_nested_identifier] = STATE(7229),
    [sym_string] = STATE(2505),
    [sym_comment] = STATE(1941),
    [sym_formal_parameters] = STATE(7316),
    [sym_nested_type_identifier] = STATE(2360),
    [sym__type] = STATE(2465),
    [sym_constructor_type] = STATE(2501),
    [sym__primary_type] = STATE(2499),
    [sym_template_literal_type] = STATE(2507),
    [sym_infer_type] = STATE(2501),
    [sym_conditional_type] = STATE(2507),
    [sym_generic_type] = STATE(2507),
    [sym_type_query] = STATE(2507),
    [sym_index_type_query] = STATE(2507),
    [sym_lookup_type] = STATE(2507),
    [sym_literal_type] = STATE(2507),
    [sym__number] = STATE(2498),
    [sym_existential_type] = STATE(2507),
    [sym_flow_maybe_type] = STATE(2507),
    [sym_parenthesized_type] = STATE(2507),
    [sym_predefined_type] = STATE(2507),
    [sym_object_type] = STATE(2507),
    [sym_type_parameters] = STATE(7078),
    [sym_array_type] = STATE(2507),
    [sym_tuple_type] = STATE(2507),
    [sym_readonly_type] = STATE(2501),
    [sym_union_type] = STATE(2507),
    [sym_intersection_type] = STATE(2507),
    [sym_function_type] = STATE(2501),
    [sym_identifier] = ACTIONS(4046),
    [anon_sym_STAR] = ACTIONS(3828),
    [anon_sym_LBRACE] = ACTIONS(3830),
    [anon_sym_typeof] = ACTIONS(3832),
    [anon_sym_const] = ACTIONS(3834),
    [anon_sym_LPAREN] = ACTIONS(3836),
    [anon_sym_LBRACK] = ACTIONS(3838),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_new] = ACTIONS(3840),
    [anon_sym_AMP] = ACTIONS(3842),
    [anon_sym_PIPE] = ACTIONS(3844),
    [anon_sym_PLUS] = ACTIONS(3846),
    [anon_sym_DASH] = ACTIONS(3846),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(3848),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3850),
    [sym_number] = ACTIONS(3852),
    [sym_this] = ACTIONS(4048),
    [sym_true] = ACTIONS(3852),
    [sym_false] = ACTIONS(3852),
    [sym_null] = ACTIONS(3852),
    [sym_undefined] = ACTIONS(3852),
    [anon_sym_readonly] = ACTIONS(3856),
    [anon_sym_QMARK] = ACTIONS(3858),
    [anon_sym_any] = ACTIONS(3848),
    [anon_sym_number] = ACTIONS(3848),
    [anon_sym_boolean] = ACTIONS(3848),
    [anon_sym_string] = ACTIONS(3848),
    [anon_sym_symbol] = ACTIONS(3848),
    [anon_sym_object] = ACTIONS(3848),
    [anon_sym_abstract] = ACTIONS(3860),
    [anon_sym_infer] = ACTIONS(3864),
    [anon_sym_keyof] = ACTIONS(3866),
    [anon_sym_unique] = ACTIONS(3868),
    [anon_sym_unknown] = ACTIONS(3848),
    [anon_sym_never] = ACTIONS(3848),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3830),
    [sym_html_comment] = ACTIONS(5),
  },
  [1942] = {
    [sym_nested_identifier] = STATE(7283),
    [sym_string] = STATE(3875),
    [sym_comment] = STATE(1942),
    [sym_formal_parameters] = STATE(7329),
    [sym_nested_type_identifier] = STATE(3821),
    [sym__type] = STATE(4794),
    [sym_constructor_type] = STATE(3924),
    [sym__primary_type] = STATE(3930),
    [sym_template_literal_type] = STATE(3873),
    [sym_infer_type] = STATE(3924),
    [sym_conditional_type] = STATE(3873),
    [sym_generic_type] = STATE(3873),
    [sym_type_query] = STATE(3873),
    [sym_index_type_query] = STATE(3873),
    [sym_lookup_type] = STATE(3873),
    [sym_literal_type] = STATE(3873),
    [sym__number] = STATE(3934),
    [sym_existential_type] = STATE(3873),
    [sym_flow_maybe_type] = STATE(3873),
    [sym_parenthesized_type] = STATE(3873),
    [sym_predefined_type] = STATE(3873),
    [sym_object_type] = STATE(3873),
    [sym_type_parameters] = STATE(6758),
    [sym_array_type] = STATE(3873),
    [sym_tuple_type] = STATE(3873),
    [sym_readonly_type] = STATE(3924),
    [sym_union_type] = STATE(3873),
    [sym_intersection_type] = STATE(3873),
    [sym_function_type] = STATE(3924),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(209),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_DQUOTE] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [anon_sym_new] = ACTIONS(1898),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(1900),
    [anon_sym_DASH] = ACTIONS(1900),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(207),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_any] = ACTIONS(207),
    [anon_sym_number] = ACTIONS(207),
    [anon_sym_boolean] = ACTIONS(207),
    [anon_sym_string] = ACTIONS(207),
    [anon_sym_symbol] = ACTIONS(207),
    [anon_sym_object] = ACTIONS(207),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [1943] = {
    [sym_nested_identifier] = STATE(7229),
    [sym_string] = STATE(2505),
    [sym_comment] = STATE(1943),
    [sym_formal_parameters] = STATE(7329),
    [sym_nested_type_identifier] = STATE(2360),
    [sym__type] = STATE(6183),
    [sym_constructor_type] = STATE(3924),
    [sym__primary_type] = STATE(2463),
    [sym_template_literal_type] = STATE(2507),
    [sym_infer_type] = STATE(3924),
    [sym_conditional_type] = STATE(2507),
    [sym_generic_type] = STATE(2507),
    [sym_type_query] = STATE(2507),
    [sym_index_type_query] = STATE(2507),
    [sym_lookup_type] = STATE(2507),
    [sym_literal_type] = STATE(2507),
    [sym__number] = STATE(2498),
    [sym_existential_type] = STATE(2507),
    [sym_flow_maybe_type] = STATE(2507),
    [sym_parenthesized_type] = STATE(2507),
    [sym_predefined_type] = STATE(2507),
    [sym_object_type] = STATE(2507),
    [sym_type_parameters] = STATE(6758),
    [sym_array_type] = STATE(2507),
    [sym_tuple_type] = STATE(2507),
    [sym_readonly_type] = STATE(3924),
    [sym_union_type] = STATE(2507),
    [sym_intersection_type] = STATE(2507),
    [sym_function_type] = STATE(3924),
    [sym_identifier] = ACTIONS(4046),
    [anon_sym_STAR] = ACTIONS(3828),
    [anon_sym_LBRACE] = ACTIONS(3830),
    [anon_sym_typeof] = ACTIONS(3832),
    [anon_sym_const] = ACTIONS(3834),
    [anon_sym_LPAREN] = ACTIONS(3836),
    [anon_sym_LBRACK] = ACTIONS(3838),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_new] = ACTIONS(1898),
    [anon_sym_AMP] = ACTIONS(3842),
    [anon_sym_PIPE] = ACTIONS(3844),
    [anon_sym_PLUS] = ACTIONS(3846),
    [anon_sym_DASH] = ACTIONS(3846),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(3848),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3850),
    [sym_number] = ACTIONS(3852),
    [sym_this] = ACTIONS(4048),
    [sym_true] = ACTIONS(3852),
    [sym_false] = ACTIONS(3852),
    [sym_null] = ACTIONS(3852),
    [sym_undefined] = ACTIONS(3852),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(3858),
    [anon_sym_any] = ACTIONS(3848),
    [anon_sym_number] = ACTIONS(3848),
    [anon_sym_boolean] = ACTIONS(3848),
    [anon_sym_string] = ACTIONS(3848),
    [anon_sym_symbol] = ACTIONS(3848),
    [anon_sym_object] = ACTIONS(3848),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(3866),
    [anon_sym_unique] = ACTIONS(3868),
    [anon_sym_unknown] = ACTIONS(3848),
    [anon_sym_never] = ACTIONS(3848),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3830),
    [sym_html_comment] = ACTIONS(5),
  },
  [1944] = {
    [sym_nested_identifier] = STATE(7283),
    [sym_string] = STATE(3875),
    [sym_comment] = STATE(1944),
    [sym_formal_parameters] = STATE(7329),
    [sym_nested_type_identifier] = STATE(3821),
    [sym__type] = STATE(3921),
    [sym_constructor_type] = STATE(3924),
    [sym__primary_type] = STATE(3930),
    [sym_template_literal_type] = STATE(3873),
    [sym_infer_type] = STATE(3924),
    [sym_conditional_type] = STATE(3873),
    [sym_generic_type] = STATE(3873),
    [sym_type_query] = STATE(3873),
    [sym_index_type_query] = STATE(3873),
    [sym_lookup_type] = STATE(3873),
    [sym_literal_type] = STATE(3873),
    [sym__number] = STATE(3934),
    [sym_existential_type] = STATE(3873),
    [sym_flow_maybe_type] = STATE(3873),
    [sym_parenthesized_type] = STATE(3873),
    [sym_predefined_type] = STATE(3873),
    [sym_object_type] = STATE(3873),
    [sym_type_parameters] = STATE(6758),
    [sym_array_type] = STATE(3873),
    [sym_tuple_type] = STATE(3873),
    [sym_readonly_type] = STATE(3924),
    [sym_union_type] = STATE(3873),
    [sym_intersection_type] = STATE(3873),
    [sym_function_type] = STATE(3924),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(209),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_DQUOTE] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [anon_sym_new] = ACTIONS(1898),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(1900),
    [anon_sym_DASH] = ACTIONS(1900),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(207),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_any] = ACTIONS(207),
    [anon_sym_number] = ACTIONS(207),
    [anon_sym_boolean] = ACTIONS(207),
    [anon_sym_string] = ACTIONS(207),
    [anon_sym_symbol] = ACTIONS(207),
    [anon_sym_object] = ACTIONS(207),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [1945] = {
    [sym_nested_identifier] = STATE(7344),
    [sym_string] = STATE(4431),
    [sym_comment] = STATE(1945),
    [sym_formal_parameters] = STATE(7555),
    [sym_nested_type_identifier] = STATE(4170),
    [sym__type] = STATE(4274),
    [sym_constructor_type] = STATE(4427),
    [sym__primary_type] = STATE(4425),
    [sym_template_literal_type] = STATE(4437),
    [sym_infer_type] = STATE(4427),
    [sym_conditional_type] = STATE(4437),
    [sym_generic_type] = STATE(4437),
    [sym_type_query] = STATE(4437),
    [sym_index_type_query] = STATE(4437),
    [sym_lookup_type] = STATE(4437),
    [sym_literal_type] = STATE(4437),
    [sym__number] = STATE(4424),
    [sym_existential_type] = STATE(4437),
    [sym_flow_maybe_type] = STATE(4437),
    [sym_parenthesized_type] = STATE(4437),
    [sym_predefined_type] = STATE(4437),
    [sym_object_type] = STATE(4437),
    [sym_type_parameters] = STATE(6962),
    [sym_array_type] = STATE(4437),
    [sym_tuple_type] = STATE(4437),
    [sym_readonly_type] = STATE(4427),
    [sym_union_type] = STATE(4437),
    [sym_intersection_type] = STATE(4437),
    [sym_function_type] = STATE(4427),
    [sym_identifier] = ACTIONS(4042),
    [anon_sym_STAR] = ACTIONS(3652),
    [anon_sym_LBRACE] = ACTIONS(3654),
    [anon_sym_typeof] = ACTIONS(3656),
    [anon_sym_const] = ACTIONS(3658),
    [anon_sym_LPAREN] = ACTIONS(3660),
    [anon_sym_LBRACK] = ACTIONS(3662),
    [anon_sym_DQUOTE] = ACTIONS(3664),
    [anon_sym_SQUOTE] = ACTIONS(3666),
    [anon_sym_new] = ACTIONS(3668),
    [anon_sym_AMP] = ACTIONS(3670),
    [anon_sym_PIPE] = ACTIONS(3672),
    [anon_sym_PLUS] = ACTIONS(3674),
    [anon_sym_DASH] = ACTIONS(3674),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(3676),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3678),
    [sym_number] = ACTIONS(3680),
    [sym_this] = ACTIONS(4044),
    [sym_true] = ACTIONS(3680),
    [sym_false] = ACTIONS(3680),
    [sym_null] = ACTIONS(3680),
    [sym_undefined] = ACTIONS(3680),
    [anon_sym_readonly] = ACTIONS(3684),
    [anon_sym_QMARK] = ACTIONS(3686),
    [anon_sym_any] = ACTIONS(3676),
    [anon_sym_number] = ACTIONS(3676),
    [anon_sym_boolean] = ACTIONS(3676),
    [anon_sym_string] = ACTIONS(3676),
    [anon_sym_symbol] = ACTIONS(3676),
    [anon_sym_object] = ACTIONS(3676),
    [anon_sym_abstract] = ACTIONS(3688),
    [anon_sym_infer] = ACTIONS(3692),
    [anon_sym_keyof] = ACTIONS(3694),
    [anon_sym_unique] = ACTIONS(3696),
    [anon_sym_unknown] = ACTIONS(3676),
    [anon_sym_never] = ACTIONS(3676),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3654),
    [sym_html_comment] = ACTIONS(5),
  },
  [1946] = {
    [sym_nested_identifier] = STATE(7283),
    [sym_string] = STATE(3875),
    [sym_comment] = STATE(1946),
    [sym_formal_parameters] = STATE(7329),
    [sym_nested_type_identifier] = STATE(3821),
    [sym__type] = STATE(5671),
    [sym_constructor_type] = STATE(3924),
    [sym__primary_type] = STATE(3930),
    [sym_template_literal_type] = STATE(3873),
    [sym_infer_type] = STATE(3924),
    [sym_conditional_type] = STATE(3873),
    [sym_generic_type] = STATE(3873),
    [sym_type_query] = STATE(3873),
    [sym_index_type_query] = STATE(3873),
    [sym_lookup_type] = STATE(3873),
    [sym_literal_type] = STATE(3873),
    [sym__number] = STATE(3934),
    [sym_existential_type] = STATE(3873),
    [sym_flow_maybe_type] = STATE(3873),
    [sym_parenthesized_type] = STATE(3873),
    [sym_predefined_type] = STATE(3873),
    [sym_object_type] = STATE(3873),
    [sym_type_parameters] = STATE(6758),
    [sym_array_type] = STATE(3873),
    [sym_tuple_type] = STATE(3873),
    [sym_readonly_type] = STATE(3924),
    [sym_union_type] = STATE(3873),
    [sym_intersection_type] = STATE(3873),
    [sym_function_type] = STATE(3924),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(209),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_DQUOTE] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [anon_sym_new] = ACTIONS(1898),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(1900),
    [anon_sym_DASH] = ACTIONS(1900),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(207),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_any] = ACTIONS(207),
    [anon_sym_number] = ACTIONS(207),
    [anon_sym_boolean] = ACTIONS(207),
    [anon_sym_string] = ACTIONS(207),
    [anon_sym_symbol] = ACTIONS(207),
    [anon_sym_object] = ACTIONS(207),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [1947] = {
    [sym_nested_identifier] = STATE(7311),
    [sym_string] = STATE(2943),
    [sym_comment] = STATE(1947),
    [sym_formal_parameters] = STATE(7434),
    [sym_nested_type_identifier] = STATE(2799),
    [sym__type] = STATE(2833),
    [sym_constructor_type] = STATE(2950),
    [sym__primary_type] = STATE(2951),
    [sym_template_literal_type] = STATE(2939),
    [sym_infer_type] = STATE(2950),
    [sym_conditional_type] = STATE(2939),
    [sym_generic_type] = STATE(2939),
    [sym_type_query] = STATE(2939),
    [sym_index_type_query] = STATE(2939),
    [sym_lookup_type] = STATE(2939),
    [sym_literal_type] = STATE(2939),
    [sym__number] = STATE(2952),
    [sym_existential_type] = STATE(2939),
    [sym_flow_maybe_type] = STATE(2939),
    [sym_parenthesized_type] = STATE(2939),
    [sym_predefined_type] = STATE(2939),
    [sym_object_type] = STATE(2939),
    [sym_type_parameters] = STATE(6909),
    [sym_array_type] = STATE(2939),
    [sym_tuple_type] = STATE(2939),
    [sym_readonly_type] = STATE(2950),
    [sym_union_type] = STATE(2939),
    [sym_intersection_type] = STATE(2939),
    [sym_function_type] = STATE(2950),
    [sym_identifier] = ACTIONS(4038),
    [anon_sym_STAR] = ACTIONS(3784),
    [anon_sym_LBRACE] = ACTIONS(3786),
    [anon_sym_typeof] = ACTIONS(3788),
    [anon_sym_const] = ACTIONS(3790),
    [anon_sym_LPAREN] = ACTIONS(3792),
    [anon_sym_LBRACK] = ACTIONS(3794),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_new] = ACTIONS(3796),
    [anon_sym_AMP] = ACTIONS(3798),
    [anon_sym_PIPE] = ACTIONS(3800),
    [anon_sym_PLUS] = ACTIONS(3802),
    [anon_sym_DASH] = ACTIONS(3802),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(3804),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3806),
    [sym_number] = ACTIONS(3808),
    [sym_this] = ACTIONS(4040),
    [sym_true] = ACTIONS(3808),
    [sym_false] = ACTIONS(3808),
    [sym_null] = ACTIONS(3808),
    [sym_undefined] = ACTIONS(3808),
    [anon_sym_readonly] = ACTIONS(3812),
    [anon_sym_QMARK] = ACTIONS(3814),
    [anon_sym_any] = ACTIONS(3804),
    [anon_sym_number] = ACTIONS(3804),
    [anon_sym_boolean] = ACTIONS(3804),
    [anon_sym_string] = ACTIONS(3804),
    [anon_sym_symbol] = ACTIONS(3804),
    [anon_sym_object] = ACTIONS(3804),
    [anon_sym_abstract] = ACTIONS(3816),
    [anon_sym_infer] = ACTIONS(3820),
    [anon_sym_keyof] = ACTIONS(3822),
    [anon_sym_unique] = ACTIONS(3824),
    [anon_sym_unknown] = ACTIONS(3804),
    [anon_sym_never] = ACTIONS(3804),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3786),
    [sym_html_comment] = ACTIONS(5),
  },
  [1948] = {
    [sym_nested_identifier] = STATE(7203),
    [sym_string] = STATE(4142),
    [sym_comment] = STATE(1948),
    [sym_formal_parameters] = STATE(7533),
    [sym_nested_type_identifier] = STATE(4018),
    [sym__type] = STATE(5478),
    [sym_constructor_type] = STATE(4150),
    [sym__primary_type] = STATE(4152),
    [sym_template_literal_type] = STATE(4126),
    [sym_infer_type] = STATE(4150),
    [sym_conditional_type] = STATE(4126),
    [sym_generic_type] = STATE(4126),
    [sym_type_query] = STATE(4126),
    [sym_index_type_query] = STATE(4126),
    [sym_lookup_type] = STATE(4126),
    [sym_literal_type] = STATE(4126),
    [sym__number] = STATE(4153),
    [sym_existential_type] = STATE(4126),
    [sym_flow_maybe_type] = STATE(4126),
    [sym_parenthesized_type] = STATE(4126),
    [sym_predefined_type] = STATE(4126),
    [sym_object_type] = STATE(4126),
    [sym_type_parameters] = STATE(7111),
    [sym_array_type] = STATE(4126),
    [sym_tuple_type] = STATE(4126),
    [sym_readonly_type] = STATE(4150),
    [sym_union_type] = STATE(4126),
    [sym_intersection_type] = STATE(4126),
    [sym_function_type] = STATE(4150),
    [sym_identifier] = ACTIONS(1922),
    [anon_sym_STAR] = ACTIONS(1296),
    [anon_sym_LBRACE] = ACTIONS(1342),
    [anon_sym_typeof] = ACTIONS(1924),
    [anon_sym_const] = ACTIONS(1302),
    [anon_sym_LPAREN] = ACTIONS(1926),
    [anon_sym_LBRACK] = ACTIONS(1928),
    [anon_sym_DQUOTE] = ACTIONS(1930),
    [anon_sym_SQUOTE] = ACTIONS(1932),
    [anon_sym_new] = ACTIONS(1934),
    [anon_sym_AMP] = ACTIONS(1310),
    [anon_sym_PIPE] = ACTIONS(1312),
    [anon_sym_PLUS] = ACTIONS(1936),
    [anon_sym_DASH] = ACTIONS(1936),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(1340),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1938),
    [sym_number] = ACTIONS(1940),
    [sym_this] = ACTIONS(1942),
    [sym_true] = ACTIONS(1940),
    [sym_false] = ACTIONS(1940),
    [sym_null] = ACTIONS(1940),
    [sym_undefined] = ACTIONS(1940),
    [anon_sym_readonly] = ACTIONS(1944),
    [anon_sym_QMARK] = ACTIONS(1328),
    [anon_sym_any] = ACTIONS(1340),
    [anon_sym_number] = ACTIONS(1340),
    [anon_sym_boolean] = ACTIONS(1340),
    [anon_sym_string] = ACTIONS(1340),
    [anon_sym_symbol] = ACTIONS(1340),
    [anon_sym_object] = ACTIONS(1340),
    [anon_sym_abstract] = ACTIONS(1332),
    [anon_sym_infer] = ACTIONS(1334),
    [anon_sym_keyof] = ACTIONS(1336),
    [anon_sym_unique] = ACTIONS(1338),
    [anon_sym_unknown] = ACTIONS(1340),
    [anon_sym_never] = ACTIONS(1340),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1342),
    [sym_html_comment] = ACTIONS(5),
  },
  [1949] = {
    [sym_nested_identifier] = STATE(7203),
    [sym_string] = STATE(4142),
    [sym_comment] = STATE(1949),
    [sym_formal_parameters] = STATE(7533),
    [sym_nested_type_identifier] = STATE(4018),
    [sym__type] = STATE(5435),
    [sym_constructor_type] = STATE(4150),
    [sym__primary_type] = STATE(4152),
    [sym_template_literal_type] = STATE(4126),
    [sym_infer_type] = STATE(4150),
    [sym_conditional_type] = STATE(4126),
    [sym_generic_type] = STATE(4126),
    [sym_type_query] = STATE(4126),
    [sym_index_type_query] = STATE(4126),
    [sym_lookup_type] = STATE(4126),
    [sym_literal_type] = STATE(4126),
    [sym__number] = STATE(4153),
    [sym_existential_type] = STATE(4126),
    [sym_flow_maybe_type] = STATE(4126),
    [sym_parenthesized_type] = STATE(4126),
    [sym_predefined_type] = STATE(4126),
    [sym_object_type] = STATE(4126),
    [sym_type_parameters] = STATE(7111),
    [sym_array_type] = STATE(4126),
    [sym_tuple_type] = STATE(4126),
    [sym_readonly_type] = STATE(4150),
    [sym_union_type] = STATE(4126),
    [sym_intersection_type] = STATE(4126),
    [sym_function_type] = STATE(4150),
    [sym_identifier] = ACTIONS(1922),
    [anon_sym_STAR] = ACTIONS(1296),
    [anon_sym_LBRACE] = ACTIONS(1342),
    [anon_sym_typeof] = ACTIONS(1924),
    [anon_sym_const] = ACTIONS(1302),
    [anon_sym_LPAREN] = ACTIONS(1926),
    [anon_sym_LBRACK] = ACTIONS(1928),
    [anon_sym_DQUOTE] = ACTIONS(1930),
    [anon_sym_SQUOTE] = ACTIONS(1932),
    [anon_sym_new] = ACTIONS(1934),
    [anon_sym_AMP] = ACTIONS(1310),
    [anon_sym_PIPE] = ACTIONS(1312),
    [anon_sym_PLUS] = ACTIONS(1936),
    [anon_sym_DASH] = ACTIONS(1936),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(1340),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1938),
    [sym_number] = ACTIONS(1940),
    [sym_this] = ACTIONS(1942),
    [sym_true] = ACTIONS(1940),
    [sym_false] = ACTIONS(1940),
    [sym_null] = ACTIONS(1940),
    [sym_undefined] = ACTIONS(1940),
    [anon_sym_readonly] = ACTIONS(1944),
    [anon_sym_QMARK] = ACTIONS(1328),
    [anon_sym_any] = ACTIONS(1340),
    [anon_sym_number] = ACTIONS(1340),
    [anon_sym_boolean] = ACTIONS(1340),
    [anon_sym_string] = ACTIONS(1340),
    [anon_sym_symbol] = ACTIONS(1340),
    [anon_sym_object] = ACTIONS(1340),
    [anon_sym_abstract] = ACTIONS(1332),
    [anon_sym_infer] = ACTIONS(1334),
    [anon_sym_keyof] = ACTIONS(1336),
    [anon_sym_unique] = ACTIONS(1338),
    [anon_sym_unknown] = ACTIONS(1340),
    [anon_sym_never] = ACTIONS(1340),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1342),
    [sym_html_comment] = ACTIONS(5),
  },
  [1950] = {
    [sym_nested_identifier] = STATE(7203),
    [sym_string] = STATE(4142),
    [sym_comment] = STATE(1950),
    [sym_formal_parameters] = STATE(7533),
    [sym_nested_type_identifier] = STATE(4018),
    [sym__type] = STATE(5405),
    [sym_constructor_type] = STATE(4150),
    [sym__primary_type] = STATE(4152),
    [sym_template_literal_type] = STATE(4126),
    [sym_infer_type] = STATE(4150),
    [sym_conditional_type] = STATE(4126),
    [sym_generic_type] = STATE(4126),
    [sym_type_query] = STATE(4126),
    [sym_index_type_query] = STATE(4126),
    [sym_lookup_type] = STATE(4126),
    [sym_literal_type] = STATE(4126),
    [sym__number] = STATE(4153),
    [sym_existential_type] = STATE(4126),
    [sym_flow_maybe_type] = STATE(4126),
    [sym_parenthesized_type] = STATE(4126),
    [sym_predefined_type] = STATE(4126),
    [sym_object_type] = STATE(4126),
    [sym_type_parameters] = STATE(7111),
    [sym_array_type] = STATE(4126),
    [sym_tuple_type] = STATE(4126),
    [sym_readonly_type] = STATE(4150),
    [sym_union_type] = STATE(4126),
    [sym_intersection_type] = STATE(4126),
    [sym_function_type] = STATE(4150),
    [sym_identifier] = ACTIONS(1922),
    [anon_sym_STAR] = ACTIONS(1296),
    [anon_sym_LBRACE] = ACTIONS(1342),
    [anon_sym_typeof] = ACTIONS(1924),
    [anon_sym_const] = ACTIONS(1302),
    [anon_sym_LPAREN] = ACTIONS(1926),
    [anon_sym_LBRACK] = ACTIONS(1928),
    [anon_sym_DQUOTE] = ACTIONS(1930),
    [anon_sym_SQUOTE] = ACTIONS(1932),
    [anon_sym_new] = ACTIONS(1934),
    [anon_sym_AMP] = ACTIONS(1310),
    [anon_sym_PIPE] = ACTIONS(1312),
    [anon_sym_PLUS] = ACTIONS(1936),
    [anon_sym_DASH] = ACTIONS(1936),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(1340),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1938),
    [sym_number] = ACTIONS(1940),
    [sym_this] = ACTIONS(1942),
    [sym_true] = ACTIONS(1940),
    [sym_false] = ACTIONS(1940),
    [sym_null] = ACTIONS(1940),
    [sym_undefined] = ACTIONS(1940),
    [anon_sym_readonly] = ACTIONS(1944),
    [anon_sym_QMARK] = ACTIONS(1328),
    [anon_sym_any] = ACTIONS(1340),
    [anon_sym_number] = ACTIONS(1340),
    [anon_sym_boolean] = ACTIONS(1340),
    [anon_sym_string] = ACTIONS(1340),
    [anon_sym_symbol] = ACTIONS(1340),
    [anon_sym_object] = ACTIONS(1340),
    [anon_sym_abstract] = ACTIONS(1332),
    [anon_sym_infer] = ACTIONS(1334),
    [anon_sym_keyof] = ACTIONS(1336),
    [anon_sym_unique] = ACTIONS(1338),
    [anon_sym_unknown] = ACTIONS(1340),
    [anon_sym_never] = ACTIONS(1340),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1342),
    [sym_html_comment] = ACTIONS(5),
  },
  [1951] = {
    [sym_nested_identifier] = STATE(7283),
    [sym_string] = STATE(3875),
    [sym_comment] = STATE(1951),
    [sym_formal_parameters] = STATE(7329),
    [sym_nested_type_identifier] = STATE(3821),
    [sym__type] = STATE(5594),
    [sym_constructor_type] = STATE(3924),
    [sym__primary_type] = STATE(3930),
    [sym_template_literal_type] = STATE(3873),
    [sym_infer_type] = STATE(3924),
    [sym_conditional_type] = STATE(3873),
    [sym_generic_type] = STATE(3873),
    [sym_type_query] = STATE(3873),
    [sym_index_type_query] = STATE(3873),
    [sym_lookup_type] = STATE(3873),
    [sym_literal_type] = STATE(3873),
    [sym__number] = STATE(3934),
    [sym_existential_type] = STATE(3873),
    [sym_flow_maybe_type] = STATE(3873),
    [sym_parenthesized_type] = STATE(3873),
    [sym_predefined_type] = STATE(3873),
    [sym_object_type] = STATE(3873),
    [sym_type_parameters] = STATE(6758),
    [sym_array_type] = STATE(3873),
    [sym_tuple_type] = STATE(3873),
    [sym_readonly_type] = STATE(3924),
    [sym_union_type] = STATE(3873),
    [sym_intersection_type] = STATE(3873),
    [sym_function_type] = STATE(3924),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(209),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_DQUOTE] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [anon_sym_new] = ACTIONS(1898),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(1900),
    [anon_sym_DASH] = ACTIONS(1900),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(207),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_any] = ACTIONS(207),
    [anon_sym_number] = ACTIONS(207),
    [anon_sym_boolean] = ACTIONS(207),
    [anon_sym_string] = ACTIONS(207),
    [anon_sym_symbol] = ACTIONS(207),
    [anon_sym_object] = ACTIONS(207),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [1952] = {
    [sym_nested_identifier] = STATE(7283),
    [sym_string] = STATE(3875),
    [sym_comment] = STATE(1952),
    [sym_formal_parameters] = STATE(7329),
    [sym_nested_type_identifier] = STATE(3821),
    [sym__type] = STATE(5199),
    [sym_constructor_type] = STATE(3924),
    [sym__primary_type] = STATE(3930),
    [sym_template_literal_type] = STATE(3873),
    [sym_infer_type] = STATE(3924),
    [sym_conditional_type] = STATE(3873),
    [sym_generic_type] = STATE(3873),
    [sym_type_query] = STATE(3873),
    [sym_index_type_query] = STATE(3873),
    [sym_lookup_type] = STATE(3873),
    [sym_literal_type] = STATE(3873),
    [sym__number] = STATE(3934),
    [sym_existential_type] = STATE(3873),
    [sym_flow_maybe_type] = STATE(3873),
    [sym_parenthesized_type] = STATE(3873),
    [sym_predefined_type] = STATE(3873),
    [sym_object_type] = STATE(3873),
    [sym_type_parameters] = STATE(6758),
    [sym_array_type] = STATE(3873),
    [sym_tuple_type] = STATE(3873),
    [sym_readonly_type] = STATE(3924),
    [sym_union_type] = STATE(3873),
    [sym_intersection_type] = STATE(3873),
    [sym_function_type] = STATE(3924),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(209),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_DQUOTE] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [anon_sym_new] = ACTIONS(1898),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(1900),
    [anon_sym_DASH] = ACTIONS(1900),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(207),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_any] = ACTIONS(207),
    [anon_sym_number] = ACTIONS(207),
    [anon_sym_boolean] = ACTIONS(207),
    [anon_sym_string] = ACTIONS(207),
    [anon_sym_symbol] = ACTIONS(207),
    [anon_sym_object] = ACTIONS(207),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [1953] = {
    [sym_nested_identifier] = STATE(7203),
    [sym_string] = STATE(4142),
    [sym_comment] = STATE(1953),
    [sym_formal_parameters] = STATE(7533),
    [sym_nested_type_identifier] = STATE(4018),
    [sym__type] = STATE(5269),
    [sym_constructor_type] = STATE(4150),
    [sym__primary_type] = STATE(4152),
    [sym_template_literal_type] = STATE(4126),
    [sym_infer_type] = STATE(4150),
    [sym_conditional_type] = STATE(4126),
    [sym_generic_type] = STATE(4126),
    [sym_type_query] = STATE(4126),
    [sym_index_type_query] = STATE(4126),
    [sym_lookup_type] = STATE(4126),
    [sym_literal_type] = STATE(4126),
    [sym__number] = STATE(4153),
    [sym_existential_type] = STATE(4126),
    [sym_flow_maybe_type] = STATE(4126),
    [sym_parenthesized_type] = STATE(4126),
    [sym_predefined_type] = STATE(4126),
    [sym_object_type] = STATE(4126),
    [sym_type_parameters] = STATE(7111),
    [sym_array_type] = STATE(4126),
    [sym_tuple_type] = STATE(4126),
    [sym_readonly_type] = STATE(4150),
    [sym_union_type] = STATE(4126),
    [sym_intersection_type] = STATE(4126),
    [sym_function_type] = STATE(4150),
    [sym_identifier] = ACTIONS(1922),
    [anon_sym_STAR] = ACTIONS(1296),
    [anon_sym_LBRACE] = ACTIONS(1342),
    [anon_sym_typeof] = ACTIONS(1924),
    [anon_sym_const] = ACTIONS(1302),
    [anon_sym_LPAREN] = ACTIONS(1926),
    [anon_sym_LBRACK] = ACTIONS(1928),
    [anon_sym_DQUOTE] = ACTIONS(1930),
    [anon_sym_SQUOTE] = ACTIONS(1932),
    [anon_sym_new] = ACTIONS(1934),
    [anon_sym_AMP] = ACTIONS(1310),
    [anon_sym_PIPE] = ACTIONS(1312),
    [anon_sym_PLUS] = ACTIONS(1936),
    [anon_sym_DASH] = ACTIONS(1936),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(1340),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1938),
    [sym_number] = ACTIONS(1940),
    [sym_this] = ACTIONS(1942),
    [sym_true] = ACTIONS(1940),
    [sym_false] = ACTIONS(1940),
    [sym_null] = ACTIONS(1940),
    [sym_undefined] = ACTIONS(1940),
    [anon_sym_readonly] = ACTIONS(1944),
    [anon_sym_QMARK] = ACTIONS(1328),
    [anon_sym_any] = ACTIONS(1340),
    [anon_sym_number] = ACTIONS(1340),
    [anon_sym_boolean] = ACTIONS(1340),
    [anon_sym_string] = ACTIONS(1340),
    [anon_sym_symbol] = ACTIONS(1340),
    [anon_sym_object] = ACTIONS(1340),
    [anon_sym_abstract] = ACTIONS(1332),
    [anon_sym_infer] = ACTIONS(1334),
    [anon_sym_keyof] = ACTIONS(1336),
    [anon_sym_unique] = ACTIONS(1338),
    [anon_sym_unknown] = ACTIONS(1340),
    [anon_sym_never] = ACTIONS(1340),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1342),
    [sym_html_comment] = ACTIONS(5),
  },
  [1954] = {
    [sym_nested_identifier] = STATE(7203),
    [sym_string] = STATE(4142),
    [sym_comment] = STATE(1954),
    [sym_formal_parameters] = STATE(7533),
    [sym_nested_type_identifier] = STATE(4018),
    [sym__type] = STATE(5225),
    [sym_constructor_type] = STATE(4150),
    [sym__primary_type] = STATE(4152),
    [sym_template_literal_type] = STATE(4126),
    [sym_infer_type] = STATE(4150),
    [sym_conditional_type] = STATE(4126),
    [sym_generic_type] = STATE(4126),
    [sym_type_query] = STATE(4126),
    [sym_index_type_query] = STATE(4126),
    [sym_lookup_type] = STATE(4126),
    [sym_literal_type] = STATE(4126),
    [sym__number] = STATE(4153),
    [sym_existential_type] = STATE(4126),
    [sym_flow_maybe_type] = STATE(4126),
    [sym_parenthesized_type] = STATE(4126),
    [sym_predefined_type] = STATE(4126),
    [sym_object_type] = STATE(4126),
    [sym_type_parameters] = STATE(7111),
    [sym_array_type] = STATE(4126),
    [sym_tuple_type] = STATE(4126),
    [sym_readonly_type] = STATE(4150),
    [sym_union_type] = STATE(4126),
    [sym_intersection_type] = STATE(4126),
    [sym_function_type] = STATE(4150),
    [sym_identifier] = ACTIONS(1922),
    [anon_sym_STAR] = ACTIONS(1296),
    [anon_sym_LBRACE] = ACTIONS(1342),
    [anon_sym_typeof] = ACTIONS(1924),
    [anon_sym_const] = ACTIONS(1302),
    [anon_sym_LPAREN] = ACTIONS(1926),
    [anon_sym_LBRACK] = ACTIONS(1928),
    [anon_sym_DQUOTE] = ACTIONS(1930),
    [anon_sym_SQUOTE] = ACTIONS(1932),
    [anon_sym_new] = ACTIONS(1934),
    [anon_sym_AMP] = ACTIONS(1310),
    [anon_sym_PIPE] = ACTIONS(1312),
    [anon_sym_PLUS] = ACTIONS(1936),
    [anon_sym_DASH] = ACTIONS(1936),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(1340),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1938),
    [sym_number] = ACTIONS(1940),
    [sym_this] = ACTIONS(1942),
    [sym_true] = ACTIONS(1940),
    [sym_false] = ACTIONS(1940),
    [sym_null] = ACTIONS(1940),
    [sym_undefined] = ACTIONS(1940),
    [anon_sym_readonly] = ACTIONS(1944),
    [anon_sym_QMARK] = ACTIONS(1328),
    [anon_sym_any] = ACTIONS(1340),
    [anon_sym_number] = ACTIONS(1340),
    [anon_sym_boolean] = ACTIONS(1340),
    [anon_sym_string] = ACTIONS(1340),
    [anon_sym_symbol] = ACTIONS(1340),
    [anon_sym_object] = ACTIONS(1340),
    [anon_sym_abstract] = ACTIONS(1332),
    [anon_sym_infer] = ACTIONS(1334),
    [anon_sym_keyof] = ACTIONS(1336),
    [anon_sym_unique] = ACTIONS(1338),
    [anon_sym_unknown] = ACTIONS(1340),
    [anon_sym_never] = ACTIONS(1340),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1342),
    [sym_html_comment] = ACTIONS(5),
  },
  [1955] = {
    [sym_nested_identifier] = STATE(7203),
    [sym_string] = STATE(4142),
    [sym_comment] = STATE(1955),
    [sym_formal_parameters] = STATE(7533),
    [sym_nested_type_identifier] = STATE(4018),
    [sym__type] = STATE(5198),
    [sym_constructor_type] = STATE(4150),
    [sym__primary_type] = STATE(4152),
    [sym_template_literal_type] = STATE(4126),
    [sym_infer_type] = STATE(4150),
    [sym_conditional_type] = STATE(4126),
    [sym_generic_type] = STATE(4126),
    [sym_type_query] = STATE(4126),
    [sym_index_type_query] = STATE(4126),
    [sym_lookup_type] = STATE(4126),
    [sym_literal_type] = STATE(4126),
    [sym__number] = STATE(4153),
    [sym_existential_type] = STATE(4126),
    [sym_flow_maybe_type] = STATE(4126),
    [sym_parenthesized_type] = STATE(4126),
    [sym_predefined_type] = STATE(4126),
    [sym_object_type] = STATE(4126),
    [sym_type_parameters] = STATE(7111),
    [sym_array_type] = STATE(4126),
    [sym_tuple_type] = STATE(4126),
    [sym_readonly_type] = STATE(4150),
    [sym_union_type] = STATE(4126),
    [sym_intersection_type] = STATE(4126),
    [sym_function_type] = STATE(4150),
    [sym_identifier] = ACTIONS(1922),
    [anon_sym_STAR] = ACTIONS(1296),
    [anon_sym_LBRACE] = ACTIONS(1342),
    [anon_sym_typeof] = ACTIONS(1924),
    [anon_sym_const] = ACTIONS(1302),
    [anon_sym_LPAREN] = ACTIONS(1926),
    [anon_sym_LBRACK] = ACTIONS(1928),
    [anon_sym_DQUOTE] = ACTIONS(1930),
    [anon_sym_SQUOTE] = ACTIONS(1932),
    [anon_sym_new] = ACTIONS(1934),
    [anon_sym_AMP] = ACTIONS(1310),
    [anon_sym_PIPE] = ACTIONS(1312),
    [anon_sym_PLUS] = ACTIONS(1936),
    [anon_sym_DASH] = ACTIONS(1936),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(1340),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1938),
    [sym_number] = ACTIONS(1940),
    [sym_this] = ACTIONS(1942),
    [sym_true] = ACTIONS(1940),
    [sym_false] = ACTIONS(1940),
    [sym_null] = ACTIONS(1940),
    [sym_undefined] = ACTIONS(1940),
    [anon_sym_readonly] = ACTIONS(1944),
    [anon_sym_QMARK] = ACTIONS(1328),
    [anon_sym_any] = ACTIONS(1340),
    [anon_sym_number] = ACTIONS(1340),
    [anon_sym_boolean] = ACTIONS(1340),
    [anon_sym_string] = ACTIONS(1340),
    [anon_sym_symbol] = ACTIONS(1340),
    [anon_sym_object] = ACTIONS(1340),
    [anon_sym_abstract] = ACTIONS(1332),
    [anon_sym_infer] = ACTIONS(1334),
    [anon_sym_keyof] = ACTIONS(1336),
    [anon_sym_unique] = ACTIONS(1338),
    [anon_sym_unknown] = ACTIONS(1340),
    [anon_sym_never] = ACTIONS(1340),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1342),
    [sym_html_comment] = ACTIONS(5),
  },
  [1956] = {
    [sym_nested_identifier] = STATE(7283),
    [sym_string] = STATE(3875),
    [sym_comment] = STATE(1956),
    [sym_formal_parameters] = STATE(7329),
    [sym_nested_type_identifier] = STATE(3821),
    [sym__type] = STATE(5675),
    [sym_constructor_type] = STATE(3924),
    [sym__primary_type] = STATE(3930),
    [sym_template_literal_type] = STATE(3873),
    [sym_infer_type] = STATE(3924),
    [sym_conditional_type] = STATE(3873),
    [sym_generic_type] = STATE(3873),
    [sym_type_query] = STATE(3873),
    [sym_index_type_query] = STATE(3873),
    [sym_lookup_type] = STATE(3873),
    [sym_literal_type] = STATE(3873),
    [sym__number] = STATE(3934),
    [sym_existential_type] = STATE(3873),
    [sym_flow_maybe_type] = STATE(3873),
    [sym_parenthesized_type] = STATE(3873),
    [sym_predefined_type] = STATE(3873),
    [sym_object_type] = STATE(3873),
    [sym_type_parameters] = STATE(6758),
    [sym_array_type] = STATE(3873),
    [sym_tuple_type] = STATE(3873),
    [sym_readonly_type] = STATE(3924),
    [sym_union_type] = STATE(3873),
    [sym_intersection_type] = STATE(3873),
    [sym_function_type] = STATE(3924),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(209),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_DQUOTE] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [anon_sym_new] = ACTIONS(1898),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(1900),
    [anon_sym_DASH] = ACTIONS(1900),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(207),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_any] = ACTIONS(207),
    [anon_sym_number] = ACTIONS(207),
    [anon_sym_boolean] = ACTIONS(207),
    [anon_sym_string] = ACTIONS(207),
    [anon_sym_symbol] = ACTIONS(207),
    [anon_sym_object] = ACTIONS(207),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [1957] = {
    [sym_nested_identifier] = STATE(7311),
    [sym_string] = STATE(2943),
    [sym_comment] = STATE(1957),
    [sym_formal_parameters] = STATE(7434),
    [sym_nested_type_identifier] = STATE(2799),
    [sym__type] = STATE(2831),
    [sym_constructor_type] = STATE(2950),
    [sym__primary_type] = STATE(2951),
    [sym_template_literal_type] = STATE(2939),
    [sym_infer_type] = STATE(2950),
    [sym_conditional_type] = STATE(2939),
    [sym_generic_type] = STATE(2939),
    [sym_type_query] = STATE(2939),
    [sym_index_type_query] = STATE(2939),
    [sym_lookup_type] = STATE(2939),
    [sym_literal_type] = STATE(2939),
    [sym__number] = STATE(2952),
    [sym_existential_type] = STATE(2939),
    [sym_flow_maybe_type] = STATE(2939),
    [sym_parenthesized_type] = STATE(2939),
    [sym_predefined_type] = STATE(2939),
    [sym_object_type] = STATE(2939),
    [sym_type_parameters] = STATE(6909),
    [sym_array_type] = STATE(2939),
    [sym_tuple_type] = STATE(2939),
    [sym_readonly_type] = STATE(2950),
    [sym_union_type] = STATE(2939),
    [sym_intersection_type] = STATE(2939),
    [sym_function_type] = STATE(2950),
    [sym_identifier] = ACTIONS(4038),
    [anon_sym_STAR] = ACTIONS(3784),
    [anon_sym_LBRACE] = ACTIONS(3786),
    [anon_sym_typeof] = ACTIONS(3788),
    [anon_sym_const] = ACTIONS(3790),
    [anon_sym_LPAREN] = ACTIONS(3792),
    [anon_sym_LBRACK] = ACTIONS(3794),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_new] = ACTIONS(3796),
    [anon_sym_AMP] = ACTIONS(3798),
    [anon_sym_PIPE] = ACTIONS(3800),
    [anon_sym_PLUS] = ACTIONS(3802),
    [anon_sym_DASH] = ACTIONS(3802),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(3804),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3806),
    [sym_number] = ACTIONS(3808),
    [sym_this] = ACTIONS(4040),
    [sym_true] = ACTIONS(3808),
    [sym_false] = ACTIONS(3808),
    [sym_null] = ACTIONS(3808),
    [sym_undefined] = ACTIONS(3808),
    [anon_sym_readonly] = ACTIONS(3812),
    [anon_sym_QMARK] = ACTIONS(3814),
    [anon_sym_any] = ACTIONS(3804),
    [anon_sym_number] = ACTIONS(3804),
    [anon_sym_boolean] = ACTIONS(3804),
    [anon_sym_string] = ACTIONS(3804),
    [anon_sym_symbol] = ACTIONS(3804),
    [anon_sym_object] = ACTIONS(3804),
    [anon_sym_abstract] = ACTIONS(3816),
    [anon_sym_infer] = ACTIONS(3820),
    [anon_sym_keyof] = ACTIONS(3822),
    [anon_sym_unique] = ACTIONS(3824),
    [anon_sym_unknown] = ACTIONS(3804),
    [anon_sym_never] = ACTIONS(3804),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3786),
    [sym_html_comment] = ACTIONS(5),
  },
  [1958] = {
    [sym_nested_identifier] = STATE(7283),
    [sym_string] = STATE(3875),
    [sym_comment] = STATE(1958),
    [sym_formal_parameters] = STATE(7329),
    [sym_nested_type_identifier] = STATE(3821),
    [sym__type] = STATE(5674),
    [sym_constructor_type] = STATE(3924),
    [sym__primary_type] = STATE(3930),
    [sym_template_literal_type] = STATE(3873),
    [sym_infer_type] = STATE(3924),
    [sym_conditional_type] = STATE(3873),
    [sym_generic_type] = STATE(3873),
    [sym_type_query] = STATE(3873),
    [sym_index_type_query] = STATE(3873),
    [sym_lookup_type] = STATE(3873),
    [sym_literal_type] = STATE(3873),
    [sym__number] = STATE(3934),
    [sym_existential_type] = STATE(3873),
    [sym_flow_maybe_type] = STATE(3873),
    [sym_parenthesized_type] = STATE(3873),
    [sym_predefined_type] = STATE(3873),
    [sym_object_type] = STATE(3873),
    [sym_type_parameters] = STATE(6758),
    [sym_array_type] = STATE(3873),
    [sym_tuple_type] = STATE(3873),
    [sym_readonly_type] = STATE(3924),
    [sym_union_type] = STATE(3873),
    [sym_intersection_type] = STATE(3873),
    [sym_function_type] = STATE(3924),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(209),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_DQUOTE] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [anon_sym_new] = ACTIONS(1898),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(1900),
    [anon_sym_DASH] = ACTIONS(1900),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(207),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_any] = ACTIONS(207),
    [anon_sym_number] = ACTIONS(207),
    [anon_sym_boolean] = ACTIONS(207),
    [anon_sym_string] = ACTIONS(207),
    [anon_sym_symbol] = ACTIONS(207),
    [anon_sym_object] = ACTIONS(207),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [1959] = {
    [sym_nested_identifier] = STATE(7203),
    [sym_string] = STATE(4142),
    [sym_comment] = STATE(1959),
    [sym_formal_parameters] = STATE(7533),
    [sym_nested_type_identifier] = STATE(4018),
    [sym__type] = STATE(5105),
    [sym_constructor_type] = STATE(4150),
    [sym__primary_type] = STATE(4152),
    [sym_template_literal_type] = STATE(4126),
    [sym_infer_type] = STATE(4150),
    [sym_conditional_type] = STATE(4126),
    [sym_generic_type] = STATE(4126),
    [sym_type_query] = STATE(4126),
    [sym_index_type_query] = STATE(4126),
    [sym_lookup_type] = STATE(4126),
    [sym_literal_type] = STATE(4126),
    [sym__number] = STATE(4153),
    [sym_existential_type] = STATE(4126),
    [sym_flow_maybe_type] = STATE(4126),
    [sym_parenthesized_type] = STATE(4126),
    [sym_predefined_type] = STATE(4126),
    [sym_object_type] = STATE(4126),
    [sym_type_parameters] = STATE(7111),
    [sym_array_type] = STATE(4126),
    [sym_tuple_type] = STATE(4126),
    [sym_readonly_type] = STATE(4150),
    [sym_union_type] = STATE(4126),
    [sym_intersection_type] = STATE(4126),
    [sym_function_type] = STATE(4150),
    [sym_identifier] = ACTIONS(1922),
    [anon_sym_STAR] = ACTIONS(1296),
    [anon_sym_LBRACE] = ACTIONS(1342),
    [anon_sym_typeof] = ACTIONS(1924),
    [anon_sym_const] = ACTIONS(1302),
    [anon_sym_LPAREN] = ACTIONS(1926),
    [anon_sym_LBRACK] = ACTIONS(1928),
    [anon_sym_DQUOTE] = ACTIONS(1930),
    [anon_sym_SQUOTE] = ACTIONS(1932),
    [anon_sym_new] = ACTIONS(1934),
    [anon_sym_AMP] = ACTIONS(1310),
    [anon_sym_PIPE] = ACTIONS(1312),
    [anon_sym_PLUS] = ACTIONS(1936),
    [anon_sym_DASH] = ACTIONS(1936),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(1340),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1938),
    [sym_number] = ACTIONS(1940),
    [sym_this] = ACTIONS(1942),
    [sym_true] = ACTIONS(1940),
    [sym_false] = ACTIONS(1940),
    [sym_null] = ACTIONS(1940),
    [sym_undefined] = ACTIONS(1940),
    [anon_sym_readonly] = ACTIONS(1944),
    [anon_sym_QMARK] = ACTIONS(1328),
    [anon_sym_any] = ACTIONS(1340),
    [anon_sym_number] = ACTIONS(1340),
    [anon_sym_boolean] = ACTIONS(1340),
    [anon_sym_string] = ACTIONS(1340),
    [anon_sym_symbol] = ACTIONS(1340),
    [anon_sym_object] = ACTIONS(1340),
    [anon_sym_abstract] = ACTIONS(1332),
    [anon_sym_infer] = ACTIONS(1334),
    [anon_sym_keyof] = ACTIONS(1336),
    [anon_sym_unique] = ACTIONS(1338),
    [anon_sym_unknown] = ACTIONS(1340),
    [anon_sym_never] = ACTIONS(1340),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1342),
    [sym_html_comment] = ACTIONS(5),
  },
  [1960] = {
    [sym_nested_identifier] = STATE(7283),
    [sym_string] = STATE(3875),
    [sym_comment] = STATE(1960),
    [sym_formal_parameters] = STATE(7329),
    [sym_nested_type_identifier] = STATE(3821),
    [sym__type] = STATE(5600),
    [sym_constructor_type] = STATE(3924),
    [sym__primary_type] = STATE(3930),
    [sym_template_literal_type] = STATE(3873),
    [sym_infer_type] = STATE(3924),
    [sym_conditional_type] = STATE(3873),
    [sym_generic_type] = STATE(3873),
    [sym_type_query] = STATE(3873),
    [sym_index_type_query] = STATE(3873),
    [sym_lookup_type] = STATE(3873),
    [sym_literal_type] = STATE(3873),
    [sym__number] = STATE(3934),
    [sym_existential_type] = STATE(3873),
    [sym_flow_maybe_type] = STATE(3873),
    [sym_parenthesized_type] = STATE(3873),
    [sym_predefined_type] = STATE(3873),
    [sym_object_type] = STATE(3873),
    [sym_type_parameters] = STATE(6758),
    [sym_array_type] = STATE(3873),
    [sym_tuple_type] = STATE(3873),
    [sym_readonly_type] = STATE(3924),
    [sym_union_type] = STATE(3873),
    [sym_intersection_type] = STATE(3873),
    [sym_function_type] = STATE(3924),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(209),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_DQUOTE] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [anon_sym_new] = ACTIONS(1898),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(1900),
    [anon_sym_DASH] = ACTIONS(1900),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(207),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_any] = ACTIONS(207),
    [anon_sym_number] = ACTIONS(207),
    [anon_sym_boolean] = ACTIONS(207),
    [anon_sym_string] = ACTIONS(207),
    [anon_sym_symbol] = ACTIONS(207),
    [anon_sym_object] = ACTIONS(207),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [1961] = {
    [sym_nested_identifier] = STATE(7203),
    [sym_string] = STATE(4142),
    [sym_comment] = STATE(1961),
    [sym_formal_parameters] = STATE(7533),
    [sym_nested_type_identifier] = STATE(4018),
    [sym__type] = STATE(5064),
    [sym_constructor_type] = STATE(4150),
    [sym__primary_type] = STATE(4152),
    [sym_template_literal_type] = STATE(4126),
    [sym_infer_type] = STATE(4150),
    [sym_conditional_type] = STATE(4126),
    [sym_generic_type] = STATE(4126),
    [sym_type_query] = STATE(4126),
    [sym_index_type_query] = STATE(4126),
    [sym_lookup_type] = STATE(4126),
    [sym_literal_type] = STATE(4126),
    [sym__number] = STATE(4153),
    [sym_existential_type] = STATE(4126),
    [sym_flow_maybe_type] = STATE(4126),
    [sym_parenthesized_type] = STATE(4126),
    [sym_predefined_type] = STATE(4126),
    [sym_object_type] = STATE(4126),
    [sym_type_parameters] = STATE(7111),
    [sym_array_type] = STATE(4126),
    [sym_tuple_type] = STATE(4126),
    [sym_readonly_type] = STATE(4150),
    [sym_union_type] = STATE(4126),
    [sym_intersection_type] = STATE(4126),
    [sym_function_type] = STATE(4150),
    [sym_identifier] = ACTIONS(1922),
    [anon_sym_STAR] = ACTIONS(1296),
    [anon_sym_LBRACE] = ACTIONS(1342),
    [anon_sym_typeof] = ACTIONS(1924),
    [anon_sym_const] = ACTIONS(1302),
    [anon_sym_LPAREN] = ACTIONS(1926),
    [anon_sym_LBRACK] = ACTIONS(1928),
    [anon_sym_DQUOTE] = ACTIONS(1930),
    [anon_sym_SQUOTE] = ACTIONS(1932),
    [anon_sym_new] = ACTIONS(1934),
    [anon_sym_AMP] = ACTIONS(1310),
    [anon_sym_PIPE] = ACTIONS(1312),
    [anon_sym_PLUS] = ACTIONS(1936),
    [anon_sym_DASH] = ACTIONS(1936),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(1340),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1938),
    [sym_number] = ACTIONS(1940),
    [sym_this] = ACTIONS(1942),
    [sym_true] = ACTIONS(1940),
    [sym_false] = ACTIONS(1940),
    [sym_null] = ACTIONS(1940),
    [sym_undefined] = ACTIONS(1940),
    [anon_sym_readonly] = ACTIONS(1944),
    [anon_sym_QMARK] = ACTIONS(1328),
    [anon_sym_any] = ACTIONS(1340),
    [anon_sym_number] = ACTIONS(1340),
    [anon_sym_boolean] = ACTIONS(1340),
    [anon_sym_string] = ACTIONS(1340),
    [anon_sym_symbol] = ACTIONS(1340),
    [anon_sym_object] = ACTIONS(1340),
    [anon_sym_abstract] = ACTIONS(1332),
    [anon_sym_infer] = ACTIONS(1334),
    [anon_sym_keyof] = ACTIONS(1336),
    [anon_sym_unique] = ACTIONS(1338),
    [anon_sym_unknown] = ACTIONS(1340),
    [anon_sym_never] = ACTIONS(1340),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1342),
    [sym_html_comment] = ACTIONS(5),
  },
  [1962] = {
    [sym_nested_identifier] = STATE(7229),
    [sym_string] = STATE(2505),
    [sym_comment] = STATE(1962),
    [sym_formal_parameters] = STATE(7316),
    [sym_nested_type_identifier] = STATE(2360),
    [sym__type] = STATE(2430),
    [sym_constructor_type] = STATE(2501),
    [sym__primary_type] = STATE(2499),
    [sym_template_literal_type] = STATE(2507),
    [sym_infer_type] = STATE(2501),
    [sym_conditional_type] = STATE(2507),
    [sym_generic_type] = STATE(2507),
    [sym_type_query] = STATE(2507),
    [sym_index_type_query] = STATE(2507),
    [sym_lookup_type] = STATE(2507),
    [sym_literal_type] = STATE(2507),
    [sym__number] = STATE(2498),
    [sym_existential_type] = STATE(2507),
    [sym_flow_maybe_type] = STATE(2507),
    [sym_parenthesized_type] = STATE(2507),
    [sym_predefined_type] = STATE(2507),
    [sym_object_type] = STATE(2507),
    [sym_type_parameters] = STATE(7078),
    [sym_array_type] = STATE(2507),
    [sym_tuple_type] = STATE(2507),
    [sym_readonly_type] = STATE(2501),
    [sym_union_type] = STATE(2507),
    [sym_intersection_type] = STATE(2507),
    [sym_function_type] = STATE(2501),
    [sym_identifier] = ACTIONS(4046),
    [anon_sym_STAR] = ACTIONS(3828),
    [anon_sym_LBRACE] = ACTIONS(3830),
    [anon_sym_typeof] = ACTIONS(3832),
    [anon_sym_const] = ACTIONS(3834),
    [anon_sym_LPAREN] = ACTIONS(3836),
    [anon_sym_LBRACK] = ACTIONS(3838),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_new] = ACTIONS(3840),
    [anon_sym_AMP] = ACTIONS(3842),
    [anon_sym_PIPE] = ACTIONS(3844),
    [anon_sym_PLUS] = ACTIONS(3846),
    [anon_sym_DASH] = ACTIONS(3846),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(3848),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3850),
    [sym_number] = ACTIONS(3852),
    [sym_this] = ACTIONS(4048),
    [sym_true] = ACTIONS(3852),
    [sym_false] = ACTIONS(3852),
    [sym_null] = ACTIONS(3852),
    [sym_undefined] = ACTIONS(3852),
    [anon_sym_readonly] = ACTIONS(3856),
    [anon_sym_QMARK] = ACTIONS(3858),
    [anon_sym_any] = ACTIONS(3848),
    [anon_sym_number] = ACTIONS(3848),
    [anon_sym_boolean] = ACTIONS(3848),
    [anon_sym_string] = ACTIONS(3848),
    [anon_sym_symbol] = ACTIONS(3848),
    [anon_sym_object] = ACTIONS(3848),
    [anon_sym_abstract] = ACTIONS(3860),
    [anon_sym_infer] = ACTIONS(3864),
    [anon_sym_keyof] = ACTIONS(3866),
    [anon_sym_unique] = ACTIONS(3868),
    [anon_sym_unknown] = ACTIONS(3848),
    [anon_sym_never] = ACTIONS(3848),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3830),
    [sym_html_comment] = ACTIONS(5),
  },
  [1963] = {
    [sym_nested_identifier] = STATE(7344),
    [sym_string] = STATE(4431),
    [sym_comment] = STATE(1963),
    [sym_formal_parameters] = STATE(7555),
    [sym_nested_type_identifier] = STATE(4170),
    [sym__type] = STATE(4246),
    [sym_constructor_type] = STATE(4427),
    [sym__primary_type] = STATE(4425),
    [sym_template_literal_type] = STATE(4437),
    [sym_infer_type] = STATE(4427),
    [sym_conditional_type] = STATE(4437),
    [sym_generic_type] = STATE(4437),
    [sym_type_query] = STATE(4437),
    [sym_index_type_query] = STATE(4437),
    [sym_lookup_type] = STATE(4437),
    [sym_literal_type] = STATE(4437),
    [sym__number] = STATE(4424),
    [sym_existential_type] = STATE(4437),
    [sym_flow_maybe_type] = STATE(4437),
    [sym_parenthesized_type] = STATE(4437),
    [sym_predefined_type] = STATE(4437),
    [sym_object_type] = STATE(4437),
    [sym_type_parameters] = STATE(6962),
    [sym_array_type] = STATE(4437),
    [sym_tuple_type] = STATE(4437),
    [sym_readonly_type] = STATE(4427),
    [sym_union_type] = STATE(4437),
    [sym_intersection_type] = STATE(4437),
    [sym_function_type] = STATE(4427),
    [sym_identifier] = ACTIONS(4042),
    [anon_sym_STAR] = ACTIONS(3652),
    [anon_sym_LBRACE] = ACTIONS(3654),
    [anon_sym_typeof] = ACTIONS(3656),
    [anon_sym_const] = ACTIONS(3658),
    [anon_sym_LPAREN] = ACTIONS(3660),
    [anon_sym_LBRACK] = ACTIONS(3662),
    [anon_sym_DQUOTE] = ACTIONS(3664),
    [anon_sym_SQUOTE] = ACTIONS(3666),
    [anon_sym_new] = ACTIONS(3668),
    [anon_sym_AMP] = ACTIONS(3670),
    [anon_sym_PIPE] = ACTIONS(3672),
    [anon_sym_PLUS] = ACTIONS(3674),
    [anon_sym_DASH] = ACTIONS(3674),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(3676),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3678),
    [sym_number] = ACTIONS(3680),
    [sym_this] = ACTIONS(4044),
    [sym_true] = ACTIONS(3680),
    [sym_false] = ACTIONS(3680),
    [sym_null] = ACTIONS(3680),
    [sym_undefined] = ACTIONS(3680),
    [anon_sym_readonly] = ACTIONS(3684),
    [anon_sym_QMARK] = ACTIONS(3686),
    [anon_sym_any] = ACTIONS(3676),
    [anon_sym_number] = ACTIONS(3676),
    [anon_sym_boolean] = ACTIONS(3676),
    [anon_sym_string] = ACTIONS(3676),
    [anon_sym_symbol] = ACTIONS(3676),
    [anon_sym_object] = ACTIONS(3676),
    [anon_sym_abstract] = ACTIONS(3688),
    [anon_sym_infer] = ACTIONS(3692),
    [anon_sym_keyof] = ACTIONS(3694),
    [anon_sym_unique] = ACTIONS(3696),
    [anon_sym_unknown] = ACTIONS(3676),
    [anon_sym_never] = ACTIONS(3676),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3654),
    [sym_html_comment] = ACTIONS(5),
  },
  [1964] = {
    [sym_nested_identifier] = STATE(7229),
    [sym_string] = STATE(2505),
    [sym_comment] = STATE(1964),
    [sym_formal_parameters] = STATE(7329),
    [sym_nested_type_identifier] = STATE(2360),
    [sym__type] = STATE(6183),
    [sym_constructor_type] = STATE(3924),
    [sym__primary_type] = STATE(2459),
    [sym_template_literal_type] = STATE(2507),
    [sym_infer_type] = STATE(3924),
    [sym_conditional_type] = STATE(2507),
    [sym_generic_type] = STATE(2507),
    [sym_type_query] = STATE(2507),
    [sym_index_type_query] = STATE(2507),
    [sym_lookup_type] = STATE(2507),
    [sym_literal_type] = STATE(2507),
    [sym__number] = STATE(2498),
    [sym_existential_type] = STATE(2507),
    [sym_flow_maybe_type] = STATE(2507),
    [sym_parenthesized_type] = STATE(2507),
    [sym_predefined_type] = STATE(2507),
    [sym_object_type] = STATE(2507),
    [sym_type_parameters] = STATE(6758),
    [sym_array_type] = STATE(2507),
    [sym_tuple_type] = STATE(2507),
    [sym_readonly_type] = STATE(3924),
    [sym_union_type] = STATE(2507),
    [sym_intersection_type] = STATE(2507),
    [sym_function_type] = STATE(3924),
    [sym_identifier] = ACTIONS(4046),
    [anon_sym_STAR] = ACTIONS(3828),
    [anon_sym_LBRACE] = ACTIONS(3830),
    [anon_sym_typeof] = ACTIONS(3832),
    [anon_sym_const] = ACTIONS(3834),
    [anon_sym_LPAREN] = ACTIONS(3836),
    [anon_sym_LBRACK] = ACTIONS(3838),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_new] = ACTIONS(1898),
    [anon_sym_AMP] = ACTIONS(3842),
    [anon_sym_PIPE] = ACTIONS(3844),
    [anon_sym_PLUS] = ACTIONS(3846),
    [anon_sym_DASH] = ACTIONS(3846),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_void] = ACTIONS(3848),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3850),
    [sym_number] = ACTIONS(3852),
    [sym_this] = ACTIONS(4048),
    [sym_true] = ACTIONS(3852),
    [sym_false] = ACTIONS(3852),
    [sym_null] = ACTIONS(3852),
    [sym_undefined] = ACTIONS(3852),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(3858),
    [anon_sym_any] = ACTIONS(3848),
    [anon_sym_number] = ACTIONS(3848),
    [anon_sym_boolean] = ACTIONS(3848),
    [anon_sym_string] = ACTIONS(3848),
    [anon_sym_symbol] = ACTIONS(3848),
    [anon_sym_object] = ACTIONS(3848),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(3866),
    [anon_sym_unique] = ACTIONS(3868),
    [anon_sym_unknown] = ACTIONS(3848),
    [anon_sym_never] = ACTIONS(3848),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3830),
    [sym_html_comment] = ACTIONS(5),
  },
  [1965] = {
    [sym_nested_identifier] = STATE(2519),
    [sym_string] = STATE(2518),
    [sym_comment] = STATE(1965),
    [sym__module] = STATE(2555),
    [sym_identifier] = ACTIONS(4054),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_EQ] = ACTIONS(115),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_COMMA] = ACTIONS(124),
    [anon_sym_RBRACE] = ACTIONS(124),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(118),
    [anon_sym_RPAREN] = ACTIONS(124),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(124),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_RBRACK] = ACTIONS(124),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_EQ_GT] = ACTIONS(153),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_QMARK] = ACTIONS(124),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [1966] = {
    [sym_nested_identifier] = STATE(2519),
    [sym_string] = STATE(2518),
    [sym_comment] = STATE(1966),
    [sym__module] = STATE(2555),
    [sym_identifier] = ACTIONS(4054),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_EQ] = ACTIONS(213),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_COMMA] = ACTIONS(216),
    [anon_sym_RBRACE] = ACTIONS(216),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(118),
    [anon_sym_RPAREN] = ACTIONS(216),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(216),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_RBRACK] = ACTIONS(216),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_EQ_GT] = ACTIONS(219),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_QMARK] = ACTIONS(124),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [1967] = {
    [sym_nested_identifier] = STATE(2519),
    [sym_string] = STATE(2518),
    [sym_comment] = STATE(1967),
    [sym__module] = STATE(2555),
    [sym_identifier] = ACTIONS(4054),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_EQ] = ACTIONS(1117),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_COMMA] = ACTIONS(1119),
    [anon_sym_RBRACE] = ACTIONS(1119),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(118),
    [anon_sym_RPAREN] = ACTIONS(1119),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1119),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_RBRACK] = ACTIONS(1119),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_EQ_GT] = ACTIONS(153),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_QMARK] = ACTIONS(1119),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [1968] = {
    [sym_export_statement] = STATE(4877),
    [sym_object_pattern] = STATE(4283),
    [sym_object_assignment_pattern] = STATE(6763),
    [sym_array_pattern] = STATE(4283),
    [sym__call_signature] = STATE(5071),
    [sym__destructuring_pattern] = STATE(7361),
    [sym_spread_element] = STATE(6824),
    [sym_string] = STATE(4151),
    [sym_comment] = STATE(1968),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4200),
    [sym_rest_pattern] = STATE(6763),
    [sym_method_definition] = STATE(6824),
    [sym_pair] = STATE(6824),
    [sym_pair_pattern] = STATE(6763),
    [sym__property_name] = STATE(4034),
    [sym_computed_property_name] = STATE(4151),
    [sym_method_signature] = STATE(4877),
    [sym_accessibility_modifier] = STATE(3627),
    [sym_override_modifier] = STATE(3671),
    [sym_call_signature] = STATE(4877),
    [sym_property_signature] = STATE(4877),
    [sym_type_parameters] = STATE(6630),
    [sym_construct_signature] = STATE(4877),
    [sym_index_signature] = STATE(4877),
    [aux_sym_export_statement_repeat1] = STATE(5733),
    [sym_identifier] = ACTIONS(4056),
    [anon_sym_export] = ACTIONS(4058),
    [anon_sym_STAR] = ACTIONS(3874),
    [anon_sym_type] = ACTIONS(4056),
    [anon_sym_namespace] = ACTIONS(4056),
    [anon_sym_LBRACE] = ACTIONS(3876),
    [anon_sym_COMMA] = ACTIONS(4060),
    [anon_sym_RBRACE] = ACTIONS(4060),
    [anon_sym_let] = ACTIONS(4056),
    [anon_sym_LPAREN] = ACTIONS(3882),
    [anon_sym_LBRACK] = ACTIONS(3886),
    [anon_sym_DQUOTE] = ACTIONS(1930),
    [anon_sym_SQUOTE] = ACTIONS(1932),
    [anon_sym_async] = ACTIONS(4063),
    [anon_sym_new] = ACTIONS(4065),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(243),
    [anon_sym_PLUS] = ACTIONS(3892),
    [anon_sym_DASH] = ACTIONS(3892),
    [anon_sym_LT] = ACTIONS(1902),
    [aux_sym_comment_token1] = ACTIONS(3),
    [sym_number] = ACTIONS(3894),
    [sym_private_property_identifier] = ACTIONS(3894),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(4067),
    [anon_sym_readonly] = ACTIONS(4069),
    [anon_sym_get] = ACTIONS(4071),
    [anon_sym_set] = ACTIONS(4071),
    [anon_sym_declare] = ACTIONS(4056),
    [anon_sym_public] = ACTIONS(4073),
    [anon_sym_private] = ACTIONS(4073),
    [anon_sym_protected] = ACTIONS(4073),
    [anon_sym_override] = ACTIONS(4075),
    [anon_sym_module] = ACTIONS(4056),
    [anon_sym_any] = ACTIONS(4056),
    [anon_sym_number] = ACTIONS(4056),
    [anon_sym_boolean] = ACTIONS(4056),
    [anon_sym_string] = ACTIONS(4056),
    [anon_sym_symbol] = ACTIONS(4056),
    [anon_sym_object] = ACTIONS(4056),
    [anon_sym_abstract] = ACTIONS(3906),
    [sym_html_comment] = ACTIONS(5),
  },
  [1969] = {
    [sym_export_statement] = STATE(4893),
    [sym_object_pattern] = STATE(4283),
    [sym_object_assignment_pattern] = STATE(6763),
    [sym_array_pattern] = STATE(4283),
    [sym__call_signature] = STATE(5071),
    [sym__destructuring_pattern] = STATE(7361),
    [sym_spread_element] = STATE(6824),
    [sym_string] = STATE(4151),
    [sym_comment] = STATE(1969),
    [sym_decorator] = STATE(5700),
    [sym_formal_parameters] = STATE(4200),
    [sym_rest_pattern] = STATE(6763),
    [sym_method_definition] = STATE(6824),
    [sym_pair] = STATE(6824),
    [sym_pair_pattern] = STATE(6763),
    [sym__property_name] = STATE(4034),
    [sym_computed_property_name] = STATE(4151),
    [sym_method_signature] = STATE(4893),
    [sym_accessibility_modifier] = STATE(3627),
    [sym_override_modifier] = STATE(3671),
    [sym_call_signature] = STATE(4893),
    [sym_property_signature] = STATE(4893),
    [sym_type_parameters] = STATE(6630),
    [sym_construct_signature] = STATE(4893),
    [sym_index_signature] = STATE(4893),
    [aux_sym_export_statement_repeat1] = STATE(5733),
    [sym_identifier] = ACTIONS(4056),
    [anon_sym_export] = ACTIONS(4058),
    [anon_sym_STAR] = ACTIONS(3874),
    [anon_sym_type] = ACTIONS(4056),
    [anon_sym_namespace] = ACTIONS(4056),
    [anon_sym_LBRACE] = ACTIONS(3876),
    [anon_sym_COMMA] = ACTIONS(4060),
    [anon_sym_RBRACE] = ACTIONS(4060),
    [anon_sym_let] = ACTIONS(4056),
    [anon_sym_LPAREN] = ACTIONS(3882),
    [anon_sym_LBRACK] = ACTIONS(3886),
    [anon_sym_DQUOTE] = ACTIONS(1930),
    [anon_sym_SQUOTE] = ACTIONS(1932),
    [anon_sym_async] = ACTIONS(4063),
    [anon_sym_new] = ACTIONS(4065),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(243),
    [anon_sym_PLUS] = ACTIONS(3892),
    [anon_sym_DASH] = ACTIONS(3892),
    [anon_sym_LT] = ACTIONS(1902),
    [aux_sym_comment_token1] = ACTIONS(3),
    [sym_number] = ACTIONS(3894),
    [sym_private_property_identifier] = ACTIONS(3894),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(4067),
    [anon_sym_readonly] = ACTIONS(4069),
    [anon_sym_get] = ACTIONS(4071),
    [anon_sym_set] = ACTIONS(4071),
    [anon_sym_declare] = ACTIONS(4056),
    [anon_sym_public] = ACTIONS(4073),
    [anon_sym_private] = ACTIONS(4073),
    [anon_sym_protected] = ACTIONS(4073),
    [anon_sym_override] = ACTIONS(4075),
    [anon_sym_module] = ACTIONS(4056),
    [anon_sym_any] = ACTIONS(4056),
    [anon_sym_number] = ACTIONS(4056),
    [anon_sym_boolean] = ACTIONS(4056),
    [anon_sym_string] = ACTIONS(4056),
    [anon_sym_symbol] = ACTIONS(4056),
    [anon_sym_object] = ACTIONS(4056),
    [anon_sym_abstract] = ACTIONS(3906),
    [sym_html_comment] = ACTIONS(5),
  },
  [1970] = {
    [sym_nested_identifier] = STATE(2519),
    [sym_string] = STATE(2518),
    [sym_comment] = STATE(1970),
    [sym__module] = STATE(2555),
    [sym_identifier] = ACTIONS(4054),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_EQ] = ACTIONS(1117),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_RBRACE] = ACTIONS(118),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(118),
    [anon_sym_RPAREN] = ACTIONS(118),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_RBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_EQ_GT] = ACTIONS(219),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [1971] = {
    [sym_nested_identifier] = STATE(2519),
    [sym_string] = STATE(2518),
    [sym_comment] = STATE(1971),
    [sym__module] = STATE(2555),
    [sym_identifier] = ACTIONS(4054),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_EQ] = ACTIONS(1135),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_RBRACE] = ACTIONS(118),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(118),
    [anon_sym_RPAREN] = ACTIONS(118),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_RBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_EQ_GT] = ACTIONS(219),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [1972] = {
    [sym_nested_identifier] = STATE(407),
    [sym_string] = STATE(406),
    [sym_comment] = STATE(1972),
    [sym__module] = STATE(456),
    [sym_identifier] = ACTIONS(4012),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_EQ] = ACTIONS(1167),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(118),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1197),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(4014),
    [anon_sym_SQUOTE] = ACTIONS(4016),
    [anon_sym_EQ_GT] = ACTIONS(1035),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(211),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [1973] = {
    [sym_variable_declarator] = STATE(5759),
    [sym_object_pattern] = STATE(4667),
    [sym_array_pattern] = STATE(4667),
    [sym__destructuring_pattern] = STATE(4584),
    [sym_comment] = STATE(1973),
    [sym_identifier] = ACTIONS(4018),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_EQ] = ACTIONS(1167),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_LBRACE] = ACTIONS(4020),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(118),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1179),
    [anon_sym_LBRACK] = ACTIONS(4022),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_EQ_GT] = ACTIONS(1035),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(211),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [1974] = {
    [sym_nested_identifier] = STATE(957),
    [sym_string] = STATE(971),
    [sym_comment] = STATE(1974),
    [sym__module] = STATE(1237),
    [sym_identifier] = ACTIONS(4077),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_EQ] = ACTIONS(1167),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(118),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1199),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(4079),
    [anon_sym_SQUOTE] = ACTIONS(4081),
    [anon_sym_EQ_GT] = ACTIONS(1035),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(211),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [1975] = {
    [sym_nested_identifier] = STATE(2519),
    [sym_string] = STATE(2518),
    [sym_comment] = STATE(1975),
    [sym__module] = STATE(2555),
    [sym_identifier] = ACTIONS(4054),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_EQ] = ACTIONS(1117),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_RBRACE] = ACTIONS(118),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(118),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_EQ_GT] = ACTIONS(1035),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(211),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [1976] = {
    [sym_variable_declarator] = STATE(5687),
    [sym_object_pattern] = STATE(4667),
    [sym_array_pattern] = STATE(4667),
    [sym__destructuring_pattern] = STATE(4584),
    [sym_comment] = STATE(1976),
    [sym_identifier] = ACTIONS(4018),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_EQ] = ACTIONS(1167),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_LBRACE] = ACTIONS(4020),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(118),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1201),
    [anon_sym_LBRACK] = ACTIONS(4022),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_EQ_GT] = ACTIONS(1035),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(211),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [1977] = {
    [sym_nested_identifier] = STATE(1194),
    [sym_string] = STATE(1215),
    [sym_comment] = STATE(1977),
    [sym__module] = STATE(1581),
    [sym_identifier] = ACTIONS(4006),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_EQ] = ACTIONS(1167),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(118),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1197),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(4008),
    [anon_sym_SQUOTE] = ACTIONS(4010),
    [anon_sym_EQ_GT] = ACTIONS(1035),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(211),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [1978] = {
    [sym_variable_declarator] = STATE(5755),
    [sym_object_pattern] = STATE(4667),
    [sym_array_pattern] = STATE(4667),
    [sym__destructuring_pattern] = STATE(4584),
    [sym_comment] = STATE(1978),
    [sym_identifier] = ACTIONS(4018),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_EQ] = ACTIONS(1167),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_LBRACE] = ACTIONS(4020),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(118),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1199),
    [anon_sym_LBRACK] = ACTIONS(4022),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_EQ_GT] = ACTIONS(1035),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(211),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [1979] = {
    [sym_variable_declarator] = STATE(5725),
    [sym_object_pattern] = STATE(4667),
    [sym_array_pattern] = STATE(4667),
    [sym__destructuring_pattern] = STATE(4584),
    [sym_comment] = STATE(1979),
    [sym_identifier] = ACTIONS(4018),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_EQ] = ACTIONS(1167),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_LBRACE] = ACTIONS(4020),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(118),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1197),
    [anon_sym_LBRACK] = ACTIONS(4022),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_EQ_GT] = ACTIONS(1035),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(211),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [1980] = {
    [sym_nested_identifier] = STATE(291),
    [sym_string] = STATE(290),
    [sym_comment] = STATE(1980),
    [sym__module] = STATE(325),
    [sym_identifier] = ACTIONS(4083),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_EQ] = ACTIONS(1167),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(118),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1179),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(4085),
    [anon_sym_SQUOTE] = ACTIONS(4087),
    [anon_sym_EQ_GT] = ACTIONS(1035),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(211),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [1981] = {
    [sym_nested_identifier] = STATE(925),
    [sym_string] = STATE(1032),
    [sym_comment] = STATE(1981),
    [sym__module] = STATE(1357),
    [sym_identifier] = ACTIONS(4089),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_EQ] = ACTIONS(1167),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(118),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1201),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(4091),
    [anon_sym_SQUOTE] = ACTIONS(4093),
    [anon_sym_EQ_GT] = ACTIONS(1035),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(211),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [1982] = {
    [sym_nested_identifier] = STATE(2519),
    [sym_string] = STATE(2518),
    [sym_comment] = STATE(1982),
    [sym__module] = STATE(2555),
    [sym_identifier] = ACTIONS(4054),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_EQ] = ACTIONS(1135),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_COMMA] = ACTIONS(1208),
    [anon_sym_RBRACE] = ACTIONS(1208),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(118),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1119),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_RBRACK] = ACTIONS(1208),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_EQ_GT] = ACTIONS(219),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [1983] = {
    [sym_nested_identifier] = STATE(341),
    [sym_string] = STATE(337),
    [sym_comment] = STATE(1983),
    [sym__module] = STATE(381),
    [sym_identifier] = ACTIONS(4095),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_EQ] = ACTIONS(1167),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(118),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1201),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(4097),
    [anon_sym_SQUOTE] = ACTIONS(4099),
    [anon_sym_EQ_GT] = ACTIONS(1035),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(211),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [1984] = {
    [sym_nested_identifier] = STATE(343),
    [sym_string] = STATE(321),
    [sym_comment] = STATE(1984),
    [sym__module] = STATE(418),
    [sym_identifier] = ACTIONS(4101),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_EQ] = ACTIONS(1167),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(118),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1199),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(4103),
    [anon_sym_SQUOTE] = ACTIONS(4105),
    [anon_sym_EQ_GT] = ACTIONS(1035),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(211),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [1985] = {
    [sym_nested_identifier] = STATE(909),
    [sym_string] = STATE(915),
    [sym_comment] = STATE(1985),
    [sym__module] = STATE(1093),
    [sym_identifier] = ACTIONS(4107),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_EQ] = ACTIONS(1167),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(118),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1179),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(4109),
    [anon_sym_SQUOTE] = ACTIONS(4111),
    [anon_sym_EQ_GT] = ACTIONS(1035),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(211),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [1986] = {
    [sym_variable_declarator] = STATE(5658),
    [sym_object_pattern] = STATE(4667),
    [sym_array_pattern] = STATE(4667),
    [sym__destructuring_pattern] = STATE(4584),
    [sym_comment] = STATE(1986),
    [sym_identifier] = ACTIONS(4018),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_EQ] = ACTIONS(1167),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_LBRACE] = ACTIONS(4020),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(118),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1177),
    [anon_sym_LBRACK] = ACTIONS(4022),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_EQ_GT] = ACTIONS(1035),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(211),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [1987] = {
    [sym_nested_identifier] = STATE(2519),
    [sym_string] = STATE(2518),
    [sym_comment] = STATE(1987),
    [sym__module] = STATE(2555),
    [sym_identifier] = ACTIONS(4054),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_EQ] = ACTIONS(1117),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(118),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_of] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_EQ_GT] = ACTIONS(1191),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(211),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [1988] = {
    [sym_nested_identifier] = STATE(5470),
    [sym_string] = STATE(5576),
    [sym_comment] = STATE(1988),
    [sym__module] = STATE(6960),
    [sym_identifier] = ACTIONS(4113),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_EQ] = ACTIONS(1167),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(118),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1177),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [anon_sym_EQ_GT] = ACTIONS(1035),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(211),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [1989] = {
    [sym_nested_identifier] = STATE(2361),
    [sym_string] = STATE(2365),
    [sym_comment] = STATE(1989),
    [sym__module] = STATE(2548),
    [sym_identifier] = ACTIONS(4115),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_EQ] = ACTIONS(1167),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(118),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1177),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_EQ_GT] = ACTIONS(1035),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(211),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [1990] = {
    [sym_nested_identifier] = STATE(2361),
    [sym_string] = STATE(2365),
    [sym_comment] = STATE(1990),
    [sym__module] = STATE(2548),
    [sym_identifier] = ACTIONS(4115),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_EQ] = ACTIONS(1185),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(118),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_of] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_EQ_GT] = ACTIONS(1191),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(211),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [1991] = {
    [sym_nested_identifier] = STATE(2361),
    [sym_string] = STATE(2365),
    [sym_comment] = STATE(1991),
    [sym__module] = STATE(2548),
    [sym_identifier] = ACTIONS(4115),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_EQ] = ACTIONS(1167),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_RBRACE] = ACTIONS(118),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(118),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_EQ_GT] = ACTIONS(1035),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(211),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [1992] = {
    [sym_nested_identifier] = STATE(2361),
    [sym_string] = STATE(2365),
    [sym_comment] = STATE(1992),
    [sym__module] = STATE(2548),
    [sym_identifier] = ACTIONS(4115),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_EQ] = ACTIONS(1167),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(118),
    [anon_sym_in] = ACTIONS(1203),
    [anon_sym_of] = ACTIONS(1206),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(67),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_EQ_GT] = ACTIONS(1035),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(211),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [1993] = {
    [sym_variable_declarator] = STATE(5577),
    [sym_object_pattern] = STATE(4667),
    [sym_array_pattern] = STATE(4667),
    [sym__destructuring_pattern] = STATE(4337),
    [sym_comment] = STATE(1993),
    [sym_identifier] = ACTIONS(4117),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_EQ] = ACTIONS(1167),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_LBRACE] = ACTIONS(4020),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(118),
    [anon_sym_in] = ACTIONS(1203),
    [anon_sym_of] = ACTIONS(1206),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(4022),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_EQ_GT] = ACTIONS(1035),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(211),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [1994] = {
    [sym_nested_identifier] = STATE(2519),
    [sym_string] = STATE(2518),
    [sym_comment] = STATE(1994),
    [sym__module] = STATE(2555),
    [sym_identifier] = ACTIONS(4054),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_EQ] = ACTIONS(1264),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_LBRACE] = ACTIONS(118),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(118),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_EQ_GT] = ACTIONS(1270),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_satisfies] = ACTIONS(118),
    [anon_sym_implements] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [1995] = {
    [sym_comment] = STATE(1995),
    [aux_sym_object_repeat1] = STATE(6165),
    [aux_sym_object_pattern_repeat1] = STATE(6171),
    [sym_identifier] = ACTIONS(4119),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_EQ] = ACTIONS(1016),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_RBRACE] = ACTIONS(1051),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2693),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1024),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_EQ_GT] = ACTIONS(1035),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2693),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_QMARK] = ACTIONS(1043),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(211),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [1996] = {
    [sym_comment] = STATE(1996),
    [aux_sym_object_repeat1] = STATE(6333),
    [aux_sym_object_pattern_repeat1] = STATE(6171),
    [sym_identifier] = ACTIONS(4119),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_EQ] = ACTIONS(1016),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_RBRACE] = ACTIONS(1053),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2693),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1024),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_EQ_GT] = ACTIONS(1035),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2693),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_QMARK] = ACTIONS(1043),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(211),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [1997] = {
    [sym_nested_identifier] = STATE(2519),
    [sym_string] = STATE(2518),
    [sym_comment] = STATE(1997),
    [sym__module] = STATE(2555),
    [sym_identifier] = ACTIONS(4054),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_EQ] = ACTIONS(1117),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_LBRACE] = ACTIONS(118),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(118),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_EQ_GT] = ACTIONS(1270),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_satisfies] = ACTIONS(118),
    [anon_sym_implements] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [1998] = {
    [sym_nested_identifier] = STATE(2519),
    [sym_string] = STATE(2518),
    [sym_comment] = STATE(1998),
    [sym__module] = STATE(2555),
    [sym_identifier] = ACTIONS(4054),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_EQ] = ACTIONS(1215),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_COMMA] = ACTIONS(124),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(118),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1220),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_RBRACK] = ACTIONS(216),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_EQ_GT] = ACTIONS(1224),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [1999] = {
    [sym_comment] = STATE(1999),
    [aux_sym_object_repeat1] = STATE(6333),
    [aux_sym_object_pattern_repeat1] = STATE(6171),
    [sym_identifier] = ACTIONS(4119),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_EQ] = ACTIONS(1016),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_RBRACE] = ACTIONS(1022),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2693),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1024),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_EQ_GT] = ACTIONS(1035),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2693),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_QMARK] = ACTIONS(1043),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(211),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
};

static const uint16_t ts_small_parse_table[] = {
  [0] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1016), 1,
      anon_sym_EQ,
    ACTIONS(1043), 1,
      anon_sym_QMARK,
    ACTIONS(2667), 1,
      anon_sym_RBRACE,
    ACTIONS(2677), 1,
      anon_sym_LPAREN,
    ACTIONS(2680), 1,
      anon_sym_COLON,
    ACTIONS(2689), 1,
      anon_sym_EQ_GT,
    ACTIONS(2693), 1,
      anon_sym_LT,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2000), 1,
      sym_comment,
    STATE(6171), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6333), 1,
      aux_sym_object_repeat1,
    ACTIONS(2691), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(211), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(118), 20,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [95] = 16,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4123), 1,
      anon_sym_EQ,
    ACTIONS(4129), 1,
      anon_sym_LPAREN,
    ACTIONS(4133), 1,
      anon_sym_DOT,
    ACTIONS(4135), 1,
      anon_sym_EQ_GT,
    ACTIONS(4137), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4141), 1,
      anon_sym_LT,
    STATE(2001), 1,
      sym_comment,
    STATE(3804), 1,
      sym_arguments,
    STATE(3877), 1,
      sym_type_arguments,
    ACTIONS(4127), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_extends,
    ACTIONS(4131), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4125), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4139), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4121), 17,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [192] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(143), 1,
      anon_sym_DQUOTE,
    ACTIONS(145), 1,
      anon_sym_SQUOTE,
    ACTIONS(211), 1,
      sym__ternary_qmark,
    ACTIONS(1242), 1,
      anon_sym_EQ_GT,
    ACTIONS(1252), 1,
      anon_sym_EQ,
    ACTIONS(4054), 1,
      sym_identifier,
    STATE(2002), 1,
      sym_comment,
    STATE(2518), 1,
      sym_string,
    STATE(2519), 1,
      sym_nested_identifier,
    STATE(2555), 1,
      sym__module,
    ACTIONS(159), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 37,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [285] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2003), 1,
      sym_comment,
    ACTIONS(4143), 23,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_QMARK,
    ACTIONS(4145), 38,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [360] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2004), 1,
      sym_comment,
    ACTIONS(4147), 23,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_QMARK,
    ACTIONS(4149), 38,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [435] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1232), 1,
      anon_sym_EQ,
    ACTIONS(1238), 1,
      anon_sym_EQ_GT,
    ACTIONS(4018), 1,
      sym_identifier,
    ACTIONS(4020), 1,
      anon_sym_LBRACE,
    ACTIONS(4022), 1,
      anon_sym_LBRACK,
    STATE(2005), 1,
      sym_comment,
    STATE(4584), 1,
      sym__destructuring_pattern,
    STATE(5759), 1,
      sym_variable_declarator,
    ACTIONS(211), 2,
      sym__automatic_semicolon,
      sym__ternary_qmark,
    STATE(4667), 2,
      sym_object_pattern,
      sym_array_pattern,
    ACTIONS(159), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 35,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [528] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2006), 1,
      sym_comment,
    ACTIONS(4151), 23,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_QMARK,
    ACTIONS(4153), 38,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [603] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2007), 1,
      sym_comment,
    ACTIONS(4155), 23,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_QMARK,
    ACTIONS(4157), 38,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [678] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1232), 1,
      anon_sym_EQ,
    ACTIONS(1238), 1,
      anon_sym_EQ_GT,
    ACTIONS(4083), 1,
      sym_identifier,
    ACTIONS(4085), 1,
      anon_sym_DQUOTE,
    ACTIONS(4087), 1,
      anon_sym_SQUOTE,
    STATE(290), 1,
      sym_string,
    STATE(291), 1,
      sym_nested_identifier,
    STATE(325), 1,
      sym__module,
    STATE(2008), 1,
      sym_comment,
    ACTIONS(211), 2,
      sym__automatic_semicolon,
      sym__ternary_qmark,
    ACTIONS(159), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 36,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [771] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(143), 1,
      anon_sym_DQUOTE,
    ACTIONS(145), 1,
      anon_sym_SQUOTE,
    ACTIONS(211), 1,
      sym__ternary_qmark,
    ACTIONS(1220), 1,
      anon_sym_COLON,
    ACTIONS(1224), 1,
      anon_sym_EQ_GT,
    ACTIONS(1244), 1,
      anon_sym_EQ,
    ACTIONS(4054), 1,
      sym_identifier,
    STATE(2009), 1,
      sym_comment,
    STATE(2518), 1,
      sym_string,
    STATE(2519), 1,
      sym_nested_identifier,
    STATE(2555), 1,
      sym__module,
    ACTIONS(159), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 36,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [866] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1232), 1,
      anon_sym_EQ,
    ACTIONS(1238), 1,
      anon_sym_EQ_GT,
    ACTIONS(4018), 1,
      sym_identifier,
    ACTIONS(4020), 1,
      anon_sym_LBRACE,
    ACTIONS(4022), 1,
      anon_sym_LBRACK,
    STATE(2010), 1,
      sym_comment,
    STATE(4584), 1,
      sym__destructuring_pattern,
    STATE(5627), 1,
      sym_variable_declarator,
    ACTIONS(211), 2,
      sym__automatic_semicolon,
      sym__ternary_qmark,
    STATE(4667), 2,
      sym_object_pattern,
      sym_array_pattern,
    ACTIONS(159), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 35,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [959] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1232), 1,
      anon_sym_EQ,
    ACTIONS(1238), 1,
      anon_sym_EQ_GT,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(4159), 1,
      sym_identifier,
    STATE(2011), 1,
      sym_comment,
    STATE(4467), 1,
      sym_nested_identifier,
    STATE(4692), 1,
      sym_string,
    STATE(5250), 1,
      sym__module,
    ACTIONS(211), 2,
      sym__automatic_semicolon,
      sym__ternary_qmark,
    ACTIONS(159), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 36,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [1052] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(143), 1,
      anon_sym_DQUOTE,
    ACTIONS(145), 1,
      anon_sym_SQUOTE,
    ACTIONS(211), 1,
      sym__ternary_qmark,
    ACTIONS(1117), 1,
      anon_sym_EQ,
    ACTIONS(1242), 1,
      anon_sym_EQ_GT,
    ACTIONS(4054), 1,
      sym_identifier,
    STATE(2012), 1,
      sym_comment,
    STATE(2518), 1,
      sym_string,
    STATE(2519), 1,
      sym_nested_identifier,
    STATE(2555), 1,
      sym__module,
    ACTIONS(159), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 37,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [1145] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1232), 1,
      anon_sym_EQ,
    ACTIONS(1238), 1,
      anon_sym_EQ_GT,
    ACTIONS(4101), 1,
      sym_identifier,
    ACTIONS(4103), 1,
      anon_sym_DQUOTE,
    ACTIONS(4105), 1,
      anon_sym_SQUOTE,
    STATE(321), 1,
      sym_string,
    STATE(343), 1,
      sym_nested_identifier,
    STATE(418), 1,
      sym__module,
    STATE(2013), 1,
      sym_comment,
    ACTIONS(211), 2,
      sym__automatic_semicolon,
      sym__ternary_qmark,
    ACTIONS(159), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 36,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [1238] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1016), 1,
      anon_sym_EQ,
    ACTIONS(1043), 1,
      anon_sym_QMARK,
    ACTIONS(2677), 1,
      anon_sym_LPAREN,
    ACTIONS(2680), 1,
      anon_sym_COLON,
    ACTIONS(2689), 1,
      anon_sym_EQ_GT,
    ACTIONS(2693), 1,
      anon_sym_LT,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(2712), 1,
      anon_sym_RBRACE,
    STATE(2014), 1,
      sym_comment,
    STATE(6165), 1,
      aux_sym_object_repeat1,
    STATE(6171), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(2691), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(211), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(118), 20,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [1333] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1043), 1,
      anon_sym_QMARK,
    ACTIONS(2680), 1,
      anon_sym_COLON,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(2712), 1,
      anon_sym_RBRACE,
    ACTIONS(4161), 1,
      anon_sym_EQ,
    ACTIONS(4163), 1,
      anon_sym_LPAREN,
    ACTIONS(4166), 1,
      anon_sym_EQ_GT,
    ACTIONS(4168), 1,
      anon_sym_LT,
    STATE(2015), 1,
      sym_comment,
    STATE(6165), 1,
      aux_sym_object_repeat1,
    STATE(6171), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(4139), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4125), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4121), 20,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [1428] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1232), 1,
      anon_sym_EQ,
    ACTIONS(1238), 1,
      anon_sym_EQ_GT,
    ACTIONS(4018), 1,
      sym_identifier,
    ACTIONS(4020), 1,
      anon_sym_LBRACE,
    ACTIONS(4022), 1,
      anon_sym_LBRACK,
    STATE(2016), 1,
      sym_comment,
    STATE(4584), 1,
      sym__destructuring_pattern,
    STATE(5687), 1,
      sym_variable_declarator,
    ACTIONS(211), 2,
      sym__automatic_semicolon,
      sym__ternary_qmark,
    STATE(4667), 2,
      sym_object_pattern,
      sym_array_pattern,
    ACTIONS(159), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 35,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [1521] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1232), 1,
      anon_sym_EQ,
    ACTIONS(1238), 1,
      anon_sym_EQ_GT,
    ACTIONS(4089), 1,
      sym_identifier,
    ACTIONS(4091), 1,
      anon_sym_DQUOTE,
    ACTIONS(4093), 1,
      anon_sym_SQUOTE,
    STATE(925), 1,
      sym_nested_identifier,
    STATE(1032), 1,
      sym_string,
    STATE(1357), 1,
      sym__module,
    STATE(2017), 1,
      sym_comment,
    ACTIONS(211), 2,
      sym__automatic_semicolon,
      sym__ternary_qmark,
    ACTIONS(159), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 36,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [1614] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1232), 1,
      anon_sym_EQ,
    ACTIONS(1238), 1,
      anon_sym_EQ_GT,
    ACTIONS(4107), 1,
      sym_identifier,
    ACTIONS(4109), 1,
      anon_sym_DQUOTE,
    ACTIONS(4111), 1,
      anon_sym_SQUOTE,
    STATE(909), 1,
      sym_nested_identifier,
    STATE(915), 1,
      sym_string,
    STATE(1093), 1,
      sym__module,
    STATE(2018), 1,
      sym_comment,
    ACTIONS(211), 2,
      sym__automatic_semicolon,
      sym__ternary_qmark,
    ACTIONS(159), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 36,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [1707] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2019), 1,
      sym_comment,
    ACTIONS(4171), 23,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_QMARK,
    ACTIONS(4173), 38,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [1782] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1232), 1,
      anon_sym_EQ,
    ACTIONS(1238), 1,
      anon_sym_EQ_GT,
    ACTIONS(4077), 1,
      sym_identifier,
    ACTIONS(4079), 1,
      anon_sym_DQUOTE,
    ACTIONS(4081), 1,
      anon_sym_SQUOTE,
    STATE(957), 1,
      sym_nested_identifier,
    STATE(971), 1,
      sym_string,
    STATE(1237), 1,
      sym__module,
    STATE(2020), 1,
      sym_comment,
    ACTIONS(211), 2,
      sym__automatic_semicolon,
      sym__ternary_qmark,
    ACTIONS(159), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 36,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [1875] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1232), 1,
      anon_sym_EQ,
    ACTIONS(1238), 1,
      anon_sym_EQ_GT,
    ACTIONS(4018), 1,
      sym_identifier,
    ACTIONS(4020), 1,
      anon_sym_LBRACE,
    ACTIONS(4022), 1,
      anon_sym_LBRACK,
    STATE(2021), 1,
      sym_comment,
    STATE(4584), 1,
      sym__destructuring_pattern,
    STATE(5755), 1,
      sym_variable_declarator,
    ACTIONS(211), 2,
      sym__automatic_semicolon,
      sym__ternary_qmark,
    STATE(4667), 2,
      sym_object_pattern,
      sym_array_pattern,
    ACTIONS(159), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 35,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [1968] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2022), 1,
      sym_comment,
    ACTIONS(4175), 23,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_QMARK,
    ACTIONS(4177), 38,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [2043] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1043), 1,
      anon_sym_QMARK,
    ACTIONS(2680), 1,
      anon_sym_COLON,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(2710), 1,
      anon_sym_RBRACE,
    ACTIONS(4161), 1,
      anon_sym_EQ,
    ACTIONS(4163), 1,
      anon_sym_LPAREN,
    ACTIONS(4166), 1,
      anon_sym_EQ_GT,
    ACTIONS(4168), 1,
      anon_sym_LT,
    STATE(2023), 1,
      sym_comment,
    STATE(6171), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6333), 1,
      aux_sym_object_repeat1,
    ACTIONS(4139), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4125), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4121), 20,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [2138] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1232), 1,
      anon_sym_EQ,
    ACTIONS(1238), 1,
      anon_sym_EQ_GT,
    ACTIONS(4095), 1,
      sym_identifier,
    ACTIONS(4097), 1,
      anon_sym_DQUOTE,
    ACTIONS(4099), 1,
      anon_sym_SQUOTE,
    STATE(337), 1,
      sym_string,
    STATE(341), 1,
      sym_nested_identifier,
    STATE(381), 1,
      sym__module,
    STATE(2024), 1,
      sym_comment,
    ACTIONS(211), 2,
      sym__automatic_semicolon,
      sym__ternary_qmark,
    ACTIONS(159), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 36,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [2231] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1043), 1,
      anon_sym_QMARK,
    ACTIONS(2667), 1,
      anon_sym_RBRACE,
    ACTIONS(2680), 1,
      anon_sym_COLON,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4161), 1,
      anon_sym_EQ,
    ACTIONS(4163), 1,
      anon_sym_LPAREN,
    ACTIONS(4166), 1,
      anon_sym_EQ_GT,
    ACTIONS(4168), 1,
      anon_sym_LT,
    STATE(2025), 1,
      sym_comment,
    STATE(6171), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6333), 1,
      aux_sym_object_repeat1,
    ACTIONS(4139), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4125), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4121), 20,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [2326] = 16,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(124), 1,
      anon_sym_COMMA,
    ACTIONS(143), 1,
      anon_sym_DQUOTE,
    ACTIONS(145), 1,
      anon_sym_SQUOTE,
    ACTIONS(211), 1,
      sym__ternary_qmark,
    ACTIONS(216), 1,
      anon_sym_RBRACK,
    ACTIONS(1215), 1,
      anon_sym_EQ,
    ACTIONS(1224), 1,
      anon_sym_EQ_GT,
    ACTIONS(4054), 1,
      sym_identifier,
    STATE(2026), 1,
      sym_comment,
    STATE(2518), 1,
      sym_string,
    STATE(2519), 1,
      sym_nested_identifier,
    STATE(2555), 1,
      sym__module,
    ACTIONS(159), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 35,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [2423] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(143), 1,
      anon_sym_DQUOTE,
    ACTIONS(145), 1,
      anon_sym_SQUOTE,
    ACTIONS(211), 1,
      sym__ternary_qmark,
    ACTIONS(1224), 1,
      anon_sym_EQ_GT,
    ACTIONS(1244), 1,
      anon_sym_EQ,
    ACTIONS(1246), 1,
      anon_sym_COLON,
    ACTIONS(4054), 1,
      sym_identifier,
    STATE(2027), 1,
      sym_comment,
    STATE(2518), 1,
      sym_string,
    STATE(2519), 1,
      sym_nested_identifier,
    STATE(2555), 1,
      sym__module,
    ACTIONS(159), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 36,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [2518] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(67), 1,
      anon_sym_DQUOTE,
    ACTIONS(69), 1,
      anon_sym_SQUOTE,
    ACTIONS(1232), 1,
      anon_sym_EQ,
    ACTIONS(1238), 1,
      anon_sym_EQ_GT,
    ACTIONS(4115), 1,
      sym_identifier,
    STATE(2028), 1,
      sym_comment,
    STATE(2361), 1,
      sym_nested_identifier,
    STATE(2365), 1,
      sym_string,
    STATE(2548), 1,
      sym__module,
    ACTIONS(211), 2,
      sym__automatic_semicolon,
      sym__ternary_qmark,
    ACTIONS(159), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 36,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [2611] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1016), 1,
      anon_sym_EQ,
    ACTIONS(1043), 1,
      anon_sym_QMARK,
    ACTIONS(2677), 1,
      anon_sym_LPAREN,
    ACTIONS(2680), 1,
      anon_sym_COLON,
    ACTIONS(2689), 1,
      anon_sym_EQ_GT,
    ACTIONS(2693), 1,
      anon_sym_LT,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(2710), 1,
      anon_sym_RBRACE,
    STATE(2029), 1,
      sym_comment,
    STATE(6171), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6333), 1,
      aux_sym_object_repeat1,
    ACTIONS(2691), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(211), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(118), 20,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [2706] = 16,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4123), 1,
      anon_sym_EQ,
    ACTIONS(4135), 1,
      anon_sym_EQ_GT,
    ACTIONS(4179), 1,
      anon_sym_LPAREN,
    ACTIONS(4181), 1,
      anon_sym_DOT,
    ACTIONS(4183), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4185), 1,
      anon_sym_LT,
    STATE(2030), 1,
      sym_comment,
    STATE(4024), 1,
      sym_arguments,
    STATE(4171), 1,
      sym_type_arguments,
    ACTIONS(4131), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4127), 7,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
    ACTIONS(4125), 11,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4139), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4121), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [2803] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1232), 1,
      anon_sym_EQ,
    ACTIONS(1238), 1,
      anon_sym_EQ_GT,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(4113), 1,
      sym_identifier,
    STATE(2031), 1,
      sym_comment,
    STATE(5470), 1,
      sym_nested_identifier,
    STATE(5576), 1,
      sym_string,
    STATE(6960), 1,
      sym__module,
    ACTIONS(211), 2,
      sym__automatic_semicolon,
      sym__ternary_qmark,
    ACTIONS(159), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 36,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [2896] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1232), 1,
      anon_sym_EQ,
    ACTIONS(1238), 1,
      anon_sym_EQ_GT,
    ACTIONS(4018), 1,
      sym_identifier,
    ACTIONS(4020), 1,
      anon_sym_LBRACE,
    ACTIONS(4022), 1,
      anon_sym_LBRACK,
    STATE(2032), 1,
      sym_comment,
    STATE(4584), 1,
      sym__destructuring_pattern,
    STATE(5658), 1,
      sym_variable_declarator,
    ACTIONS(211), 2,
      sym__automatic_semicolon,
      sym__ternary_qmark,
    STATE(4667), 2,
      sym_object_pattern,
      sym_array_pattern,
    ACTIONS(159), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 35,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [2989] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(143), 1,
      anon_sym_DQUOTE,
    ACTIONS(145), 1,
      anon_sym_SQUOTE,
    ACTIONS(1117), 1,
      anon_sym_EQ,
    ACTIONS(1238), 1,
      anon_sym_EQ_GT,
    ACTIONS(4054), 1,
      sym_identifier,
    STATE(2033), 1,
      sym_comment,
    STATE(2518), 1,
      sym_string,
    STATE(2519), 1,
      sym_nested_identifier,
    STATE(2555), 1,
      sym__module,
    ACTIONS(211), 2,
      sym__automatic_semicolon,
      sym__ternary_qmark,
    ACTIONS(159), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 36,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [3082] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1232), 1,
      anon_sym_EQ,
    ACTIONS(1238), 1,
      anon_sym_EQ_GT,
    ACTIONS(4012), 1,
      sym_identifier,
    ACTIONS(4014), 1,
      anon_sym_DQUOTE,
    ACTIONS(4016), 1,
      anon_sym_SQUOTE,
    STATE(406), 1,
      sym_string,
    STATE(407), 1,
      sym_nested_identifier,
    STATE(456), 1,
      sym__module,
    STATE(2034), 1,
      sym_comment,
    ACTIONS(211), 2,
      sym__automatic_semicolon,
      sym__ternary_qmark,
    ACTIONS(159), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 36,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [3175] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2035), 1,
      sym_comment,
    ACTIONS(4187), 23,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_QMARK,
    ACTIONS(4189), 38,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [3250] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1232), 1,
      anon_sym_EQ,
    ACTIONS(1238), 1,
      anon_sym_EQ_GT,
    ACTIONS(4018), 1,
      sym_identifier,
    ACTIONS(4020), 1,
      anon_sym_LBRACE,
    ACTIONS(4022), 1,
      anon_sym_LBRACK,
    STATE(2036), 1,
      sym_comment,
    STATE(4584), 1,
      sym__destructuring_pattern,
    STATE(5725), 1,
      sym_variable_declarator,
    ACTIONS(211), 2,
      sym__automatic_semicolon,
      sym__ternary_qmark,
    STATE(4667), 2,
      sym_object_pattern,
      sym_array_pattern,
    ACTIONS(159), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 35,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [3343] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1232), 1,
      anon_sym_EQ,
    ACTIONS(1238), 1,
      anon_sym_EQ_GT,
    ACTIONS(4006), 1,
      sym_identifier,
    ACTIONS(4008), 1,
      anon_sym_DQUOTE,
    ACTIONS(4010), 1,
      anon_sym_SQUOTE,
    STATE(1194), 1,
      sym_nested_identifier,
    STATE(1215), 1,
      sym_string,
    STATE(1581), 1,
      sym__module,
    STATE(2037), 1,
      sym_comment,
    ACTIONS(211), 2,
      sym__automatic_semicolon,
      sym__ternary_qmark,
    ACTIONS(159), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 36,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [3436] = 16,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(143), 1,
      anon_sym_DQUOTE,
    ACTIONS(145), 1,
      anon_sym_SQUOTE,
    ACTIONS(153), 1,
      anon_sym_EQ_GT,
    ACTIONS(211), 1,
      sym__ternary_qmark,
    ACTIONS(1117), 1,
      anon_sym_EQ,
    ACTIONS(1203), 1,
      anon_sym_in,
    ACTIONS(1206), 1,
      anon_sym_of,
    ACTIONS(4054), 1,
      sym_identifier,
    STATE(2038), 1,
      sym_comment,
    STATE(2518), 1,
      sym_string,
    STATE(2519), 1,
      sym_nested_identifier,
    STATE(2555), 1,
      sym__module,
    ACTIONS(159), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 34,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [3532] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2039), 1,
      sym_comment,
    ACTIONS(3078), 22,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(3080), 38,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [3606] = 14,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4123), 1,
      anon_sym_EQ,
    ACTIONS(4135), 1,
      anon_sym_EQ_GT,
    ACTIONS(4197), 1,
      anon_sym_DOT,
    ACTIONS(4200), 1,
      anon_sym_LT,
    ACTIONS(4203), 1,
      anon_sym_extends,
    STATE(2040), 1,
      sym_comment,
    STATE(3913), 1,
      sym_type_arguments,
    ACTIONS(4191), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(4194), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4139), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4121), 17,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(4125), 17,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [3698] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(143), 1,
      anon_sym_DQUOTE,
    ACTIONS(145), 1,
      anon_sym_SQUOTE,
    ACTIONS(211), 1,
      sym__ternary_qmark,
    ACTIONS(1280), 1,
      anon_sym_EQ,
    ACTIONS(1286), 1,
      anon_sym_EQ_GT,
    ACTIONS(4054), 1,
      sym_identifier,
    STATE(2041), 1,
      sym_comment,
    STATE(2518), 1,
      sym_string,
    STATE(2519), 1,
      sym_nested_identifier,
    STATE(2555), 1,
      sym__module,
    ACTIONS(159), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 36,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [3790] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4135), 1,
      anon_sym_EQ_GT,
    ACTIONS(4191), 1,
      anon_sym_LBRACK,
    ACTIONS(4205), 1,
      anon_sym_EQ,
    ACTIONS(4212), 1,
      anon_sym_DOT,
    ACTIONS(4215), 1,
      anon_sym_LT,
    STATE(2042), 1,
      sym_comment,
    STATE(4116), 1,
      sym_type_arguments,
    ACTIONS(4194), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4208), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(4203), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
    ACTIONS(4125), 13,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4139), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4121), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [3884] = 16,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4129), 1,
      anon_sym_LPAREN,
    ACTIONS(4133), 1,
      anon_sym_DOT,
    ACTIONS(4137), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4141), 1,
      anon_sym_LT,
    ACTIONS(4218), 1,
      anon_sym_EQ,
    ACTIONS(4220), 1,
      anon_sym_EQ_GT,
    STATE(2043), 1,
      sym_comment,
    STATE(3804), 1,
      sym_arguments,
    STATE(3877), 1,
      sym_type_arguments,
    ACTIONS(4127), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_extends,
    ACTIONS(4131), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4125), 14,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4139), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4121), 17,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [3980] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(143), 1,
      anon_sym_DQUOTE,
    ACTIONS(145), 1,
      anon_sym_SQUOTE,
    ACTIONS(211), 1,
      sym__ternary_qmark,
    ACTIONS(1117), 1,
      anon_sym_EQ,
    ACTIONS(1224), 1,
      anon_sym_EQ_GT,
    ACTIONS(4054), 1,
      sym_identifier,
    STATE(2044), 1,
      sym_comment,
    STATE(2518), 1,
      sym_string,
    STATE(2519), 1,
      sym_nested_identifier,
    STATE(2555), 1,
      sym__module,
    ACTIONS(159), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 36,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [4072] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2045), 1,
      sym_comment,
    ACTIONS(3072), 22,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(3074), 38,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [4146] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(143), 1,
      anon_sym_DQUOTE,
    ACTIONS(145), 1,
      anon_sym_SQUOTE,
    ACTIONS(153), 1,
      anon_sym_EQ_GT,
    ACTIONS(211), 1,
      sym__ternary_qmark,
    ACTIONS(1117), 1,
      anon_sym_EQ,
    ACTIONS(1119), 1,
      anon_sym_COLON,
    ACTIONS(4054), 1,
      sym_identifier,
    STATE(2046), 1,
      sym_comment,
    STATE(2518), 1,
      sym_string,
    STATE(2519), 1,
      sym_nested_identifier,
    STATE(2555), 1,
      sym__module,
    ACTIONS(159), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 35,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [4240] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(143), 1,
      anon_sym_DQUOTE,
    ACTIONS(145), 1,
      anon_sym_SQUOTE,
    ACTIONS(211), 1,
      sym__ternary_qmark,
    ACTIONS(1117), 1,
      anon_sym_EQ,
    ACTIONS(1286), 1,
      anon_sym_EQ_GT,
    ACTIONS(4054), 1,
      sym_identifier,
    STATE(2047), 1,
      sym_comment,
    STATE(2518), 1,
      sym_string,
    STATE(2519), 1,
      sym_nested_identifier,
    STATE(2555), 1,
      sym__module,
    ACTIONS(159), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 36,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [4332] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4222), 1,
      anon_sym_EQ,
    STATE(2048), 1,
      sym_comment,
    ACTIONS(4139), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4121), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(4125), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [4410] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(143), 1,
      anon_sym_DQUOTE,
    ACTIONS(145), 1,
      anon_sym_SQUOTE,
    ACTIONS(211), 1,
      sym__ternary_qmark,
    ACTIONS(1224), 1,
      anon_sym_EQ_GT,
    ACTIONS(1244), 1,
      anon_sym_EQ,
    ACTIONS(4054), 1,
      sym_identifier,
    STATE(2049), 1,
      sym_comment,
    STATE(2518), 1,
      sym_string,
    STATE(2519), 1,
      sym_nested_identifier,
    STATE(2555), 1,
      sym__module,
    ACTIONS(159), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 36,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [4502] = 16,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4129), 1,
      anon_sym_LPAREN,
    ACTIONS(4133), 1,
      anon_sym_DOT,
    ACTIONS(4137), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4141), 1,
      anon_sym_LT,
    ACTIONS(4166), 1,
      anon_sym_EQ_GT,
    ACTIONS(4224), 1,
      anon_sym_EQ,
    STATE(2050), 1,
      sym_comment,
    STATE(3804), 1,
      sym_arguments,
    STATE(3877), 1,
      sym_type_arguments,
    ACTIONS(4127), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_extends,
    ACTIONS(4131), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4125), 14,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4139), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4121), 17,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [4598] = 16,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4123), 1,
      anon_sym_EQ,
    ACTIONS(4129), 1,
      anon_sym_LPAREN,
    ACTIONS(4133), 1,
      anon_sym_DOT,
    ACTIONS(4135), 1,
      anon_sym_EQ_GT,
    ACTIONS(4137), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4141), 1,
      anon_sym_LT,
    STATE(2051), 1,
      sym_comment,
    STATE(3804), 1,
      sym_arguments,
    STATE(3877), 1,
      sym_type_arguments,
    ACTIONS(4131), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4127), 4,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_extends,
    ACTIONS(4125), 13,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4139), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4121), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [4694] = 18,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4135), 1,
      anon_sym_EQ_GT,
    ACTIONS(4191), 1,
      anon_sym_LBRACK,
    ACTIONS(4197), 1,
      anon_sym_DOT,
    ACTIONS(4200), 1,
      anon_sym_LT,
    ACTIONS(4203), 1,
      anon_sym_extends,
    ACTIONS(4205), 1,
      anon_sym_EQ,
    ACTIONS(4226), 1,
      anon_sym_COLON,
    ACTIONS(4228), 1,
      anon_sym_QMARK,
    STATE(2052), 1,
      sym_comment,
    STATE(3913), 1,
      sym_type_arguments,
    STATE(7084), 1,
      sym_type_annotation,
    ACTIONS(4194), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4208), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(4125), 13,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4139), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4121), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [4794] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(143), 1,
      anon_sym_DQUOTE,
    ACTIONS(145), 1,
      anon_sym_SQUOTE,
    ACTIONS(153), 1,
      anon_sym_EQ_GT,
    ACTIONS(211), 1,
      sym__ternary_qmark,
    ACTIONS(1358), 1,
      anon_sym_EQ,
    ACTIONS(4054), 1,
      sym_identifier,
    STATE(2053), 1,
      sym_comment,
    STATE(2518), 1,
      sym_string,
    STATE(2519), 1,
      sym_nested_identifier,
    STATE(2555), 1,
      sym__module,
    ACTIONS(159), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 35,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [4885] = 7,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4233), 1,
      anon_sym_LPAREN,
    ACTIONS(4235), 1,
      anon_sym_DOT,
    STATE(2054), 1,
      sym_comment,
    STATE(2114), 1,
      sym_arguments,
    ACTIONS(4231), 56,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_LBRACE,
      anon_sym_typeof,
      anon_sym_import,
      anon_sym_let,
      anon_sym_BANG,
      anon_sym_await,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_using,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_TILDE,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [4962] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(124), 1,
      anon_sym_QMARK,
    ACTIONS(213), 1,
      anon_sym_EQ,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4240), 1,
      anon_sym_EQ_GT,
    STATE(2055), 1,
      sym_comment,
    ACTIONS(4237), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
    ACTIONS(211), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(2691), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [5045] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4222), 1,
      anon_sym_EQ,
    ACTIONS(4244), 1,
      anon_sym_EQ_GT,
    ACTIONS(4246), 1,
      anon_sym_QMARK,
    STATE(2056), 1,
      sym_comment,
    ACTIONS(4242), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
    ACTIONS(4125), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4139), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4121), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [5128] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(143), 1,
      anon_sym_DQUOTE,
    ACTIONS(145), 1,
      anon_sym_SQUOTE,
    ACTIONS(153), 1,
      anon_sym_EQ_GT,
    ACTIONS(211), 1,
      sym__ternary_qmark,
    ACTIONS(1292), 1,
      anon_sym_EQ,
    ACTIONS(4054), 1,
      sym_identifier,
    STATE(2057), 1,
      sym_comment,
    STATE(2518), 1,
      sym_string,
    STATE(2519), 1,
      sym_nested_identifier,
    STATE(2555), 1,
      sym__module,
    ACTIONS(159), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 35,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [5219] = 14,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4166), 1,
      anon_sym_EQ_GT,
    ACTIONS(4197), 1,
      anon_sym_DOT,
    ACTIONS(4200), 1,
      anon_sym_LT,
    ACTIONS(4203), 1,
      anon_sym_extends,
    ACTIONS(4224), 1,
      anon_sym_EQ,
    STATE(2058), 1,
      sym_comment,
    STATE(3913), 1,
      sym_type_arguments,
    ACTIONS(4191), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(4194), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4139), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4125), 16,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4121), 17,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [5310] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(143), 1,
      anon_sym_DQUOTE,
    ACTIONS(145), 1,
      anon_sym_SQUOTE,
    ACTIONS(153), 1,
      anon_sym_EQ_GT,
    ACTIONS(211), 1,
      sym__ternary_qmark,
    ACTIONS(1117), 1,
      anon_sym_EQ,
    ACTIONS(4054), 1,
      sym_identifier,
    STATE(2059), 1,
      sym_comment,
    STATE(2518), 1,
      sym_string,
    STATE(2519), 1,
      sym_nested_identifier,
    STATE(2555), 1,
      sym__module,
    ACTIONS(159), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 35,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [5401] = 16,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4129), 1,
      anon_sym_LPAREN,
    ACTIONS(4133), 1,
      anon_sym_DOT,
    ACTIONS(4137), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4141), 1,
      anon_sym_LT,
    ACTIONS(4248), 1,
      anon_sym_EQ,
    ACTIONS(4250), 1,
      anon_sym_EQ_GT,
    STATE(2060), 1,
      sym_comment,
    STATE(3804), 1,
      sym_arguments,
    STATE(3877), 1,
      sym_type_arguments,
    ACTIONS(4127), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_extends,
    ACTIONS(4131), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4125), 13,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4139), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4121), 17,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [5496] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4244), 1,
      anon_sym_EQ_GT,
    ACTIONS(4252), 1,
      anon_sym_EQ,
    ACTIONS(4257), 1,
      anon_sym_QMARK,
    STATE(2061), 1,
      sym_comment,
    ACTIONS(4255), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
    ACTIONS(4125), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4139), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4121), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [5579] = 17,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4135), 1,
      anon_sym_EQ_GT,
    ACTIONS(4191), 1,
      anon_sym_LBRACK,
    ACTIONS(4197), 1,
      anon_sym_DOT,
    ACTIONS(4200), 1,
      anon_sym_LT,
    ACTIONS(4203), 1,
      anon_sym_extends,
    ACTIONS(4205), 1,
      anon_sym_EQ,
    ACTIONS(4208), 1,
      anon_sym_RPAREN,
    ACTIONS(4257), 1,
      anon_sym_QMARK,
    STATE(2062), 1,
      sym_comment,
    STATE(3913), 1,
      sym_type_arguments,
    ACTIONS(4194), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4259), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(4125), 13,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4139), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4121), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [5676] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(143), 1,
      anon_sym_DQUOTE,
    ACTIONS(145), 1,
      anon_sym_SQUOTE,
    ACTIONS(153), 1,
      anon_sym_EQ_GT,
    ACTIONS(211), 1,
      sym__ternary_qmark,
    ACTIONS(1346), 1,
      anon_sym_EQ,
    ACTIONS(4054), 1,
      sym_identifier,
    STATE(2063), 1,
      sym_comment,
    STATE(2518), 1,
      sym_string,
    STATE(2519), 1,
      sym_nested_identifier,
    STATE(2555), 1,
      sym__module,
    ACTIONS(159), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 35,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [5767] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(115), 1,
      anon_sym_EQ,
    ACTIONS(124), 1,
      anon_sym_QMARK,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4264), 1,
      anon_sym_EQ_GT,
    STATE(2064), 1,
      sym_comment,
    ACTIONS(4262), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
    ACTIONS(211), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(2691), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [5850] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(143), 1,
      anon_sym_DQUOTE,
    ACTIONS(145), 1,
      anon_sym_SQUOTE,
    ACTIONS(153), 1,
      anon_sym_EQ_GT,
    ACTIONS(211), 1,
      sym__ternary_qmark,
    ACTIONS(1352), 1,
      anon_sym_EQ,
    ACTIONS(4054), 1,
      sym_identifier,
    STATE(2065), 1,
      sym_comment,
    STATE(2518), 1,
      sym_string,
    STATE(2519), 1,
      sym_nested_identifier,
    STATE(2555), 1,
      sym__module,
    ACTIONS(159), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 35,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [5941] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1117), 1,
      anon_sym_EQ,
    ACTIONS(1119), 1,
      anon_sym_QMARK,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4264), 1,
      anon_sym_EQ_GT,
    STATE(2066), 1,
      sym_comment,
    ACTIONS(4266), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
    ACTIONS(211), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(2691), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [6024] = 16,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4123), 1,
      anon_sym_EQ,
    ACTIONS(4129), 1,
      anon_sym_LPAREN,
    ACTIONS(4133), 1,
      anon_sym_DOT,
    ACTIONS(4135), 1,
      anon_sym_EQ_GT,
    ACTIONS(4137), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4141), 1,
      anon_sym_LT,
    STATE(2067), 1,
      sym_comment,
    STATE(3804), 1,
      sym_arguments,
    STATE(3877), 1,
      sym_type_arguments,
    ACTIONS(4131), 3,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
    ACTIONS(4127), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_extends,
    ACTIONS(4125), 11,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4139), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4121), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [6119] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(153), 1,
      anon_sym_EQ_GT,
    ACTIONS(211), 1,
      sym__ternary_qmark,
    ACTIONS(1117), 1,
      anon_sym_EQ,
    ACTIONS(1203), 1,
      anon_sym_in,
    ACTIONS(1206), 1,
      anon_sym_of,
    ACTIONS(3876), 1,
      anon_sym_LBRACE,
    ACTIONS(4268), 1,
      sym_identifier,
    ACTIONS(4270), 1,
      anon_sym_LBRACK,
    STATE(2068), 1,
      sym_comment,
    STATE(6989), 1,
      sym__destructuring_pattern,
    STATE(4283), 2,
      sym_object_pattern,
      sym_array_pattern,
    ACTIONS(159), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 33,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [6212] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1135), 1,
      anon_sym_EQ,
    ACTIONS(2030), 1,
      anon_sym_extends,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4240), 1,
      anon_sym_EQ_GT,
    STATE(2069), 1,
      sym_comment,
    ACTIONS(4273), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(4276), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(2691), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(211), 18,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [6297] = 14,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4197), 1,
      anon_sym_DOT,
    ACTIONS(4200), 1,
      anon_sym_LT,
    ACTIONS(4203), 1,
      anon_sym_extends,
    ACTIONS(4218), 1,
      anon_sym_EQ,
    ACTIONS(4220), 1,
      anon_sym_EQ_GT,
    STATE(2070), 1,
      sym_comment,
    STATE(3913), 1,
      sym_type_arguments,
    ACTIONS(4191), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(4194), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4139), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4125), 16,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4121), 17,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [6388] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(143), 1,
      anon_sym_DQUOTE,
    ACTIONS(145), 1,
      anon_sym_SQUOTE,
    ACTIONS(153), 1,
      anon_sym_EQ_GT,
    ACTIONS(211), 1,
      sym__ternary_qmark,
    ACTIONS(1344), 1,
      anon_sym_EQ,
    ACTIONS(4054), 1,
      sym_identifier,
    STATE(2071), 1,
      sym_comment,
    STATE(2518), 1,
      sym_string,
    STATE(2519), 1,
      sym_nested_identifier,
    STATE(2555), 1,
      sym__module,
    ACTIONS(159), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 35,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [6479] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(213), 1,
      anon_sym_EQ,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4240), 1,
      anon_sym_EQ_GT,
    ACTIONS(4273), 1,
      anon_sym_LBRACK,
    STATE(2072), 1,
      sym_comment,
    ACTIONS(4276), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(2030), 6,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
    ACTIONS(211), 14,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(2691), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 19,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [6564] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4281), 1,
      anon_sym_class,
    ACTIONS(4284), 1,
      anon_sym_AT,
    STATE(2073), 1,
      sym_comment,
    STATE(2075), 1,
      aux_sym_export_statement_repeat1,
    STATE(2152), 1,
      sym_decorator,
    ACTIONS(4279), 55,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_LBRACE,
      anon_sym_typeof,
      anon_sym_import,
      anon_sym_let,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_using,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_TILDE,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [6643] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(143), 1,
      anon_sym_DQUOTE,
    ACTIONS(145), 1,
      anon_sym_SQUOTE,
    ACTIONS(153), 1,
      anon_sym_EQ_GT,
    ACTIONS(211), 1,
      sym__ternary_qmark,
    ACTIONS(1356), 1,
      anon_sym_EQ,
    ACTIONS(4054), 1,
      sym_identifier,
    STATE(2074), 1,
      sym_comment,
    STATE(2518), 1,
      sym_string,
    STATE(2519), 1,
      sym_nested_identifier,
    STATE(2555), 1,
      sym__module,
    ACTIONS(159), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 35,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [6734] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4284), 1,
      anon_sym_AT,
    STATE(2152), 1,
      sym_decorator,
    STATE(2075), 2,
      sym_comment,
      aux_sym_export_statement_repeat1,
    ACTIONS(4279), 56,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_LBRACE,
      anon_sym_typeof,
      anon_sym_import,
      anon_sym_let,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_using,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_TILDE,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [6809] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(143), 1,
      anon_sym_DQUOTE,
    ACTIONS(145), 1,
      anon_sym_SQUOTE,
    ACTIONS(153), 1,
      anon_sym_EQ_GT,
    ACTIONS(211), 1,
      sym__ternary_qmark,
    ACTIONS(1354), 1,
      anon_sym_EQ,
    ACTIONS(4054), 1,
      sym_identifier,
    STATE(2076), 1,
      sym_comment,
    STATE(2518), 1,
      sym_string,
    STATE(2519), 1,
      sym_nested_identifier,
    STATE(2555), 1,
      sym__module,
    ACTIONS(159), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 35,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [6900] = 17,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4191), 1,
      anon_sym_LBRACK,
    ACTIONS(4197), 1,
      anon_sym_DOT,
    ACTIONS(4200), 1,
      anon_sym_LT,
    ACTIONS(4203), 1,
      anon_sym_extends,
    ACTIONS(4244), 1,
      anon_sym_EQ_GT,
    ACTIONS(4252), 1,
      anon_sym_EQ,
    ACTIONS(4257), 1,
      anon_sym_QMARK,
    ACTIONS(4287), 1,
      anon_sym_RPAREN,
    STATE(2077), 1,
      sym_comment,
    STATE(3913), 1,
      sym_type_arguments,
    ACTIONS(4194), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4255), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(4125), 13,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4139), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4121), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [6997] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2078), 1,
      sym_comment,
    ACTIONS(4147), 22,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(4149), 37,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [7070] = 16,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4129), 1,
      anon_sym_LPAREN,
    ACTIONS(4133), 1,
      anon_sym_DOT,
    ACTIONS(4137), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4141), 1,
      anon_sym_LT,
    ACTIONS(4290), 1,
      anon_sym_EQ,
    ACTIONS(4292), 1,
      anon_sym_EQ_GT,
    STATE(2079), 1,
      sym_comment,
    STATE(3804), 1,
      sym_arguments,
    STATE(3877), 1,
      sym_type_arguments,
    ACTIONS(4127), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_extends,
    ACTIONS(4131), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4125), 13,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_SEMI,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4139), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4121), 17,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [7165] = 16,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4129), 1,
      anon_sym_LPAREN,
    ACTIONS(4133), 1,
      anon_sym_DOT,
    ACTIONS(4137), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4141), 1,
      anon_sym_LT,
    ACTIONS(4294), 1,
      anon_sym_EQ,
    ACTIONS(4296), 1,
      anon_sym_EQ_GT,
    STATE(2080), 1,
      sym_comment,
    STATE(3804), 1,
      sym_arguments,
    STATE(3877), 1,
      sym_type_arguments,
    ACTIONS(4127), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_extends,
    ACTIONS(4131), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4125), 13,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
    ACTIONS(4139), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4121), 17,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [7260] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(143), 1,
      anon_sym_DQUOTE,
    ACTIONS(145), 1,
      anon_sym_SQUOTE,
    ACTIONS(153), 1,
      anon_sym_EQ_GT,
    ACTIONS(211), 1,
      sym__ternary_qmark,
    ACTIONS(1348), 1,
      anon_sym_EQ,
    ACTIONS(4054), 1,
      sym_identifier,
    STATE(2081), 1,
      sym_comment,
    STATE(2518), 1,
      sym_string,
    STATE(2519), 1,
      sym_nested_identifier,
    STATE(2555), 1,
      sym__module,
    ACTIONS(159), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 35,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [7351] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(143), 1,
      anon_sym_DQUOTE,
    ACTIONS(145), 1,
      anon_sym_SQUOTE,
    ACTIONS(153), 1,
      anon_sym_EQ_GT,
    ACTIONS(211), 1,
      sym__ternary_qmark,
    ACTIONS(1350), 1,
      anon_sym_EQ,
    ACTIONS(4054), 1,
      sym_identifier,
    STATE(2082), 1,
      sym_comment,
    STATE(2518), 1,
      sym_string,
    STATE(2519), 1,
      sym_nested_identifier,
    STATE(2555), 1,
      sym__module,
    ACTIONS(159), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 35,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [7442] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4135), 1,
      anon_sym_EQ_GT,
    ACTIONS(4205), 1,
      anon_sym_EQ,
    ACTIONS(4257), 1,
      anon_sym_QMARK,
    STATE(2083), 1,
      sym_comment,
    ACTIONS(4259), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
    ACTIONS(4125), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4139), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4121), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [7525] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2084), 1,
      sym_comment,
    ACTIONS(4143), 22,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(4145), 37,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [7598] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1035), 1,
      anon_sym_EQ_GT,
    ACTIONS(1167), 1,
      anon_sym_EQ,
    ACTIONS(1177), 1,
      anon_sym_COLON,
    ACTIONS(4298), 1,
      sym_identifier,
    STATE(2085), 1,
      sym_comment,
    ACTIONS(211), 2,
      sym__automatic_semicolon,
      sym__ternary_qmark,
    ACTIONS(159), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 37,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [7680] = 16,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4129), 1,
      anon_sym_LPAREN,
    ACTIONS(4133), 1,
      anon_sym_DOT,
    ACTIONS(4137), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4141), 1,
      anon_sym_LT,
    ACTIONS(4300), 1,
      anon_sym_EQ,
    ACTIONS(4302), 1,
      anon_sym_EQ_GT,
    STATE(2086), 1,
      sym_comment,
    STATE(3804), 1,
      sym_arguments,
    STATE(3877), 1,
      sym_type_arguments,
    ACTIONS(4127), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_extends,
    ACTIONS(4131), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4125), 12,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4139), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4121), 17,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [7774] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1167), 1,
      anon_sym_EQ,
    ACTIONS(2030), 1,
      anon_sym_extends,
    ACTIONS(2689), 1,
      anon_sym_EQ_GT,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2087), 1,
      sym_comment,
    ACTIONS(4273), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(4276), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(2691), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(211), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(118), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [7858] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(115), 1,
      anon_sym_EQ,
    ACTIONS(124), 1,
      anon_sym_QMARK,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4264), 1,
      anon_sym_EQ_GT,
    ACTIONS(4273), 1,
      anon_sym_LBRACK,
    STATE(2088), 1,
      sym_comment,
    ACTIONS(2030), 2,
      anon_sym_RPAREN,
      anon_sym_extends,
    ACTIONS(4262), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(4276), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(211), 14,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(2691), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 19,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [7946] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4191), 1,
      anon_sym_LBRACK,
    ACTIONS(4197), 1,
      anon_sym_DOT,
    ACTIONS(4200), 1,
      anon_sym_LT,
    ACTIONS(4222), 1,
      anon_sym_EQ,
    ACTIONS(4242), 1,
      anon_sym_COLON,
    ACTIONS(4244), 1,
      anon_sym_EQ_GT,
    STATE(2089), 1,
      sym_comment,
    STATE(3913), 1,
      sym_type_arguments,
    ACTIONS(4194), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4203), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_extends,
    ACTIONS(4125), 13,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4139), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4121), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [8038] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(2090), 1,
      sym_comment,
    ACTIONS(4304), 58,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_LBRACE,
      anon_sym_typeof,
      anon_sym_import,
      anon_sym_let,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DOT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_using,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_TILDE,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [8108] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1035), 1,
      anon_sym_EQ_GT,
    ACTIONS(1167), 1,
      anon_sym_EQ,
    ACTIONS(1199), 1,
      anon_sym_COLON,
    ACTIONS(4306), 1,
      sym_identifier,
    STATE(2091), 1,
      sym_comment,
    ACTIONS(211), 2,
      sym__automatic_semicolon,
      sym__ternary_qmark,
    ACTIONS(159), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 37,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [8190] = 14,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4197), 1,
      anon_sym_DOT,
    ACTIONS(4200), 1,
      anon_sym_LT,
    ACTIONS(4203), 1,
      anon_sym_extends,
    ACTIONS(4294), 1,
      anon_sym_EQ,
    ACTIONS(4296), 1,
      anon_sym_EQ_GT,
    STATE(2092), 1,
      sym_comment,
    STATE(3913), 1,
      sym_type_arguments,
    ACTIONS(4191), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(4194), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4125), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
    ACTIONS(4139), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4121), 17,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [8280] = 14,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4191), 1,
      anon_sym_LBRACK,
    ACTIONS(4197), 1,
      anon_sym_DOT,
    ACTIONS(4200), 1,
      anon_sym_LT,
    ACTIONS(4290), 1,
      anon_sym_EQ,
    ACTIONS(4292), 1,
      anon_sym_EQ_GT,
    STATE(2093), 1,
      sym_comment,
    STATE(3913), 1,
      sym_type_arguments,
    ACTIONS(4203), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(4194), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4125), 15,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4139), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4121), 17,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [8370] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4135), 1,
      anon_sym_EQ_GT,
    ACTIONS(4222), 1,
      anon_sym_EQ,
    STATE(2094), 1,
      sym_comment,
    ACTIONS(4139), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4125), 20,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4121), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [8448] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1035), 1,
      anon_sym_EQ_GT,
    ACTIONS(1167), 1,
      anon_sym_EQ,
    ACTIONS(1179), 1,
      anon_sym_COLON,
    ACTIONS(4308), 1,
      sym_identifier,
    STATE(2095), 1,
      sym_comment,
    ACTIONS(211), 2,
      sym__automatic_semicolon,
      sym__ternary_qmark,
    ACTIONS(159), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 37,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [8530] = 14,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4191), 1,
      anon_sym_LBRACK,
    ACTIONS(4197), 1,
      anon_sym_DOT,
    ACTIONS(4200), 1,
      anon_sym_LT,
    ACTIONS(4248), 1,
      anon_sym_EQ,
    ACTIONS(4250), 1,
      anon_sym_EQ_GT,
    STATE(2096), 1,
      sym_comment,
    STATE(3913), 1,
      sym_type_arguments,
    ACTIONS(4203), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(4194), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4125), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4139), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4121), 17,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [8620] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1185), 1,
      anon_sym_EQ,
    ACTIONS(2030), 1,
      anon_sym_extends,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4310), 1,
      anon_sym_EQ_GT,
    STATE(2097), 1,
      sym_comment,
    ACTIONS(4273), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(4276), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(2691), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(211), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(118), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [8704] = 16,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4129), 1,
      anon_sym_LPAREN,
    ACTIONS(4133), 1,
      anon_sym_DOT,
    ACTIONS(4137), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4141), 1,
      anon_sym_LT,
    ACTIONS(4222), 1,
      anon_sym_EQ,
    ACTIONS(4244), 1,
      anon_sym_EQ_GT,
    STATE(2098), 1,
      sym_comment,
    STATE(3804), 1,
      sym_arguments,
    STATE(3877), 1,
      sym_type_arguments,
    ACTIONS(4131), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4127), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_extends,
    ACTIONS(4125), 11,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4139), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4121), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [8798] = 16,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4123), 1,
      anon_sym_EQ,
    ACTIONS(4135), 1,
      anon_sym_EQ_GT,
    ACTIONS(4191), 1,
      anon_sym_LBRACK,
    ACTIONS(4197), 1,
      anon_sym_DOT,
    ACTIONS(4200), 1,
      anon_sym_LT,
    ACTIONS(4203), 1,
      anon_sym_extends,
    ACTIONS(4242), 1,
      anon_sym_COLON,
    STATE(2099), 1,
      sym_comment,
    STATE(3913), 1,
      sym_type_arguments,
    ACTIONS(4194), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4312), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(4125), 13,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4139), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4121), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [8892] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(2100), 1,
      sym_comment,
    ACTIONS(3274), 58,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_LBRACE,
      anon_sym_typeof,
      anon_sym_import,
      anon_sym_let,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_await,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_using,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_TILDE,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [8962] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4205), 1,
      anon_sym_EQ,
    ACTIONS(4257), 1,
      anon_sym_QMARK,
    STATE(2101), 1,
      sym_comment,
    ACTIONS(4259), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
    ACTIONS(4125), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4139), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4121), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [9042] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1117), 1,
      anon_sym_EQ,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4240), 1,
      anon_sym_EQ_GT,
    STATE(2102), 1,
      sym_comment,
    ACTIONS(2691), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(211), 20,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(118), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [9120] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4123), 1,
      anon_sym_EQ,
    ACTIONS(4135), 1,
      anon_sym_EQ_GT,
    STATE(2103), 1,
      sym_comment,
    ACTIONS(4139), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4125), 20,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4121), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [9198] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1035), 1,
      anon_sym_EQ_GT,
    ACTIONS(1167), 1,
      anon_sym_EQ,
    ACTIONS(1201), 1,
      anon_sym_COLON,
    ACTIONS(4316), 1,
      sym_identifier,
    STATE(2104), 1,
      sym_comment,
    ACTIONS(211), 2,
      sym__automatic_semicolon,
      sym__ternary_qmark,
    ACTIONS(159), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 37,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [9280] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1135), 1,
      anon_sym_EQ,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4240), 1,
      anon_sym_EQ_GT,
    STATE(2105), 1,
      sym_comment,
    ACTIONS(2691), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(211), 20,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(118), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [9358] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(124), 1,
      anon_sym_QMARK,
    ACTIONS(213), 1,
      anon_sym_EQ,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4240), 1,
      anon_sym_EQ_GT,
    ACTIONS(4273), 1,
      anon_sym_LBRACK,
    STATE(2106), 1,
      sym_comment,
    ACTIONS(2030), 2,
      anon_sym_RPAREN,
      anon_sym_extends,
    ACTIONS(4237), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(4276), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(211), 14,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(2691), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 19,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [9446] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1035), 1,
      anon_sym_EQ_GT,
    ACTIONS(1167), 1,
      anon_sym_EQ,
    ACTIONS(1197), 1,
      anon_sym_COLON,
    ACTIONS(4119), 1,
      sym_identifier,
    STATE(2107), 1,
      sym_comment,
    ACTIONS(211), 2,
      sym__automatic_semicolon,
      sym__ternary_qmark,
    ACTIONS(159), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 37,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [9528] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(2108), 1,
      sym_comment,
    ACTIONS(3284), 58,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_LBRACE,
      anon_sym_typeof,
      anon_sym_import,
      anon_sym_let,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_await,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_using,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_TILDE,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [9598] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4222), 1,
      anon_sym_EQ,
    ACTIONS(4246), 1,
      anon_sym_QMARK,
    STATE(2109), 1,
      sym_comment,
    ACTIONS(4242), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
    ACTIONS(4125), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4139), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4121), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [9678] = 16,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4129), 1,
      anon_sym_LPAREN,
    ACTIONS(4133), 1,
      anon_sym_DOT,
    ACTIONS(4137), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4141), 1,
      anon_sym_LT,
    ACTIONS(4318), 1,
      anon_sym_EQ,
    ACTIONS(4320), 1,
      anon_sym_EQ_GT,
    STATE(2110), 1,
      sym_comment,
    STATE(3804), 1,
      sym_arguments,
    STATE(3877), 1,
      sym_type_arguments,
    ACTIONS(4127), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_extends,
    ACTIONS(4131), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4125), 12,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_of,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4139), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4121), 17,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [9772] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4252), 1,
      anon_sym_EQ,
    ACTIONS(4257), 1,
      anon_sym_QMARK,
    STATE(2111), 1,
      sym_comment,
    ACTIONS(4255), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
    ACTIONS(4125), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4139), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4121), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [9852] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2112), 1,
      sym_comment,
    ACTIONS(4322), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
    ACTIONS(4143), 22,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(4145), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [9925] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(2113), 1,
      sym_comment,
    ACTIONS(4324), 57,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_LBRACE,
      anon_sym_typeof,
      anon_sym_import,
      anon_sym_let,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_using,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_TILDE,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [9994] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(2114), 1,
      sym_comment,
    ACTIONS(4326), 57,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_LBRACE,
      anon_sym_typeof,
      anon_sym_import,
      anon_sym_let,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_using,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_TILDE,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [10063] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4166), 1,
      anon_sym_EQ_GT,
    ACTIONS(4224), 1,
      anon_sym_EQ,
    STATE(2115), 1,
      sym_comment,
    ACTIONS(4139), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4125), 19,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4121), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [10140] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(2878), 1,
      anon_sym_COLON,
    ACTIONS(4166), 1,
      anon_sym_EQ_GT,
    ACTIONS(4224), 1,
      anon_sym_EQ,
    STATE(2116), 1,
      sym_comment,
    ACTIONS(4139), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4125), 18,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4121), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [10219] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1167), 1,
      anon_sym_EQ,
    ACTIONS(2689), 1,
      anon_sym_EQ_GT,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(2878), 1,
      anon_sym_COLON,
    STATE(2117), 1,
      sym_comment,
    ACTIONS(2691), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(211), 18,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(118), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [10298] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4220), 1,
      anon_sym_EQ_GT,
    ACTIONS(4222), 1,
      anon_sym_EQ,
    STATE(2118), 1,
      sym_comment,
    ACTIONS(4139), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4125), 19,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4121), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [10375] = 14,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4191), 1,
      anon_sym_LBRACK,
    ACTIONS(4197), 1,
      anon_sym_DOT,
    ACTIONS(4200), 1,
      anon_sym_LT,
    ACTIONS(4300), 1,
      anon_sym_EQ,
    ACTIONS(4302), 1,
      anon_sym_EQ_GT,
    STATE(2119), 1,
      sym_comment,
    STATE(3913), 1,
      sym_type_arguments,
    ACTIONS(4203), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(4194), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4125), 14,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4139), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4121), 17,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [10464] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(2840), 1,
      anon_sym_COLON,
    ACTIONS(4166), 1,
      anon_sym_EQ_GT,
    ACTIONS(4224), 1,
      anon_sym_EQ,
    STATE(2120), 1,
      sym_comment,
    ACTIONS(4139), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4125), 18,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4121), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [10543] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1167), 1,
      anon_sym_EQ,
    ACTIONS(2689), 1,
      anon_sym_EQ_GT,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(2840), 1,
      anon_sym_COLON,
    STATE(2121), 1,
      sym_comment,
    ACTIONS(2691), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(211), 18,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(118), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [10622] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2122), 1,
      sym_comment,
    ACTIONS(3078), 22,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(3080), 35,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [10693] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4166), 1,
      anon_sym_EQ_GT,
    ACTIONS(4224), 1,
      anon_sym_EQ,
    ACTIONS(4328), 1,
      anon_sym_in,
    ACTIONS(4331), 1,
      anon_sym_of,
    STATE(2123), 1,
      sym_comment,
    ACTIONS(4139), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4125), 18,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4121), 20,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [10774] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1167), 1,
      anon_sym_EQ,
    ACTIONS(1203), 1,
      anon_sym_in,
    ACTIONS(2689), 1,
      anon_sym_EQ_GT,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4333), 1,
      anon_sym_of,
    STATE(2124), 1,
      sym_comment,
    ACTIONS(2691), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(211), 18,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(118), 20,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [10855] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(2898), 1,
      anon_sym_COLON,
    ACTIONS(4166), 1,
      anon_sym_EQ_GT,
    ACTIONS(4224), 1,
      anon_sym_EQ,
    STATE(2125), 1,
      sym_comment,
    ACTIONS(4139), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4125), 18,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4121), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [10934] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4218), 1,
      anon_sym_EQ,
    ACTIONS(4220), 1,
      anon_sym_EQ_GT,
    STATE(2126), 1,
      sym_comment,
    ACTIONS(4139), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4125), 19,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4121), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [11011] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1167), 1,
      anon_sym_EQ,
    ACTIONS(2689), 1,
      anon_sym_EQ_GT,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(2764), 1,
      anon_sym_COLON,
    STATE(2127), 1,
      sym_comment,
    ACTIONS(2691), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(211), 18,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(118), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [11090] = 14,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4191), 1,
      anon_sym_LBRACK,
    ACTIONS(4197), 1,
      anon_sym_DOT,
    ACTIONS(4200), 1,
      anon_sym_LT,
    ACTIONS(4318), 1,
      anon_sym_EQ,
    ACTIONS(4320), 1,
      anon_sym_EQ_GT,
    STATE(2128), 1,
      sym_comment,
    STATE(3913), 1,
      sym_type_arguments,
    ACTIONS(4203), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(4194), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4125), 14,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4139), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4121), 17,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [11179] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1167), 1,
      anon_sym_EQ,
    ACTIONS(2689), 1,
      anon_sym_EQ_GT,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2129), 1,
      sym_comment,
    ACTIONS(2691), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(211), 19,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(118), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [11256] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2130), 1,
      sym_comment,
    ACTIONS(3072), 22,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(3074), 35,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [11327] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1135), 1,
      anon_sym_EQ,
    ACTIONS(2030), 1,
      anon_sym_extends,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4240), 1,
      anon_sym_EQ_GT,
    ACTIONS(4266), 1,
      anon_sym_COLON,
    ACTIONS(4273), 1,
      anon_sym_LBRACK,
    STATE(2131), 1,
      sym_comment,
    ACTIONS(4276), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4335), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(211), 14,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(2691), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 19,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [11414] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2132), 1,
      sym_comment,
    ACTIONS(4339), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
    ACTIONS(4147), 22,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(4149), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [11487] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2133), 1,
      sym_comment,
    ACTIONS(4147), 22,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(4149), 35,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [11558] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1117), 1,
      anon_sym_EQ,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4264), 1,
      anon_sym_EQ_GT,
    ACTIONS(4266), 1,
      anon_sym_COLON,
    ACTIONS(4273), 1,
      anon_sym_LBRACK,
    STATE(2134), 1,
      sym_comment,
    ACTIONS(4276), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(2030), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_extends,
    ACTIONS(211), 14,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(2691), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 19,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [11643] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2135), 1,
      sym_comment,
    ACTIONS(4143), 22,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(4145), 35,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [11714] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1252), 1,
      anon_sym_EQ,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4273), 1,
      anon_sym_LBRACK,
    ACTIONS(4341), 1,
      anon_sym_EQ_GT,
    STATE(2136), 1,
      sym_comment,
    ACTIONS(2030), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(4276), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(2691), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(211), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(118), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [11797] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1117), 1,
      anon_sym_EQ,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4310), 1,
      anon_sym_EQ_GT,
    STATE(2137), 1,
      sym_comment,
    ACTIONS(2691), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(211), 19,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(118), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [11874] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2138), 1,
      sym_comment,
    ACTIONS(4151), 22,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(4153), 35,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [11945] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1264), 1,
      anon_sym_EQ,
    ACTIONS(2030), 1,
      anon_sym_extends,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4343), 1,
      anon_sym_EQ_GT,
    STATE(2139), 1,
      sym_comment,
    ACTIONS(4273), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(4276), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(2691), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(211), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
    ACTIONS(118), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [12028] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2140), 1,
      sym_comment,
    ACTIONS(4147), 22,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(4149), 35,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [12099] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(2141), 1,
      sym_comment,
    ACTIONS(4345), 57,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_LBRACE,
      anon_sym_typeof,
      anon_sym_import,
      anon_sym_let,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_using,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_TILDE,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [12168] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4166), 1,
      anon_sym_EQ_GT,
    ACTIONS(4222), 1,
      anon_sym_EQ,
    STATE(2142), 1,
      sym_comment,
    ACTIONS(4139), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4125), 19,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4121), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [12245] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(2764), 1,
      anon_sym_COLON,
    ACTIONS(4166), 1,
      anon_sym_EQ_GT,
    ACTIONS(4224), 1,
      anon_sym_EQ,
    STATE(2143), 1,
      sym_comment,
    ACTIONS(4139), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4125), 18,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4121), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [12324] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2144), 1,
      sym_comment,
    ACTIONS(4175), 22,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(4177), 35,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [12395] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(2145), 1,
      sym_comment,
    ACTIONS(3168), 57,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_LBRACE,
      anon_sym_typeof,
      anon_sym_import,
      anon_sym_let,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_using,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_TILDE,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [12464] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1232), 1,
      anon_sym_EQ,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(2934), 1,
      anon_sym_EQ_GT,
    ACTIONS(4273), 1,
      anon_sym_LBRACK,
    STATE(2146), 1,
      sym_comment,
    ACTIONS(2030), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(4276), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(2691), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(211), 16,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(118), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [12547] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(2147), 1,
      sym_comment,
    ACTIONS(3124), 57,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_LBRACE,
      anon_sym_typeof,
      anon_sym_import,
      anon_sym_let,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_using,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_TILDE,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [12616] = 16,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4129), 1,
      anon_sym_LPAREN,
    ACTIONS(4133), 1,
      anon_sym_DOT,
    ACTIONS(4137), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4141), 1,
      anon_sym_LT,
    ACTIONS(4222), 1,
      anon_sym_EQ,
    ACTIONS(4244), 1,
      anon_sym_EQ_GT,
    STATE(2148), 1,
      sym_comment,
    STATE(3804), 1,
      sym_arguments,
    STATE(3877), 1,
      sym_type_arguments,
    ACTIONS(4127), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_extends,
    ACTIONS(4131), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4125), 11,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4139), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4121), 17,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [12709] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(2149), 1,
      sym_comment,
    ACTIONS(3138), 57,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_LBRACE,
      anon_sym_typeof,
      anon_sym_import,
      anon_sym_let,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_using,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_TILDE,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [12778] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(2150), 1,
      sym_comment,
    ACTIONS(3132), 57,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_LBRACE,
      anon_sym_typeof,
      anon_sym_import,
      anon_sym_let,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_using,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_TILDE,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [12847] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4123), 1,
      anon_sym_EQ,
    STATE(2151), 1,
      sym_comment,
    ACTIONS(4139), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4125), 20,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4121), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [12922] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(2152), 1,
      sym_comment,
    ACTIONS(4347), 57,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_LBRACE,
      anon_sym_typeof,
      anon_sym_import,
      anon_sym_let,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_using,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_TILDE,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [12991] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1117), 1,
      anon_sym_EQ,
    ACTIONS(2689), 1,
      anon_sym_EQ_GT,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2153), 1,
      sym_comment,
    ACTIONS(2691), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(211), 19,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(118), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [13068] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1135), 1,
      anon_sym_EQ,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4240), 1,
      anon_sym_EQ_GT,
    ACTIONS(4266), 1,
      anon_sym_COLON,
    STATE(2154), 1,
      sym_comment,
    ACTIONS(4349), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
    ACTIONS(211), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(2691), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [13149] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2155), 1,
      sym_comment,
    ACTIONS(4187), 22,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(4189), 35,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [13220] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(2802), 1,
      anon_sym_COLON,
    ACTIONS(4166), 1,
      anon_sym_EQ_GT,
    ACTIONS(4224), 1,
      anon_sym_EQ,
    STATE(2156), 1,
      sym_comment,
    ACTIONS(4139), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4125), 18,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4121), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [13299] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1167), 1,
      anon_sym_EQ,
    ACTIONS(2689), 1,
      anon_sym_EQ_GT,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(2802), 1,
      anon_sym_COLON,
    STATE(2157), 1,
      sym_comment,
    ACTIONS(2691), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(211), 18,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(118), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [13378] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4222), 1,
      anon_sym_EQ,
    STATE(2158), 1,
      sym_comment,
    ACTIONS(4139), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4125), 20,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4121), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [13453] = 14,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4123), 1,
      anon_sym_EQ,
    ACTIONS(4135), 1,
      anon_sym_EQ_GT,
    ACTIONS(4197), 1,
      anon_sym_DOT,
    ACTIONS(4200), 1,
      anon_sym_LT,
    ACTIONS(4203), 1,
      anon_sym_extends,
    STATE(2159), 1,
      sym_comment,
    STATE(3913), 1,
      sym_type_arguments,
    ACTIONS(4191), 2,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
    ACTIONS(4194), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4125), 14,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4139), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4121), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [13542] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1185), 1,
      anon_sym_EQ,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4310), 1,
      anon_sym_EQ_GT,
    STATE(2160), 1,
      sym_comment,
    ACTIONS(2691), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(211), 19,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(118), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [13619] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(2161), 1,
      sym_comment,
    ACTIONS(4352), 57,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_LBRACE,
      anon_sym_typeof,
      anon_sym_import,
      anon_sym_let,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_using,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_TILDE,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [13688] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2162), 1,
      sym_comment,
    ACTIONS(4155), 22,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(4157), 35,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [13759] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4339), 1,
      anon_sym_COMMA,
    STATE(2163), 1,
      sym_comment,
    ACTIONS(4147), 22,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(4149), 34,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [13832] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4322), 1,
      anon_sym_COMMA,
    STATE(2164), 1,
      sym_comment,
    ACTIONS(4143), 22,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(4145), 34,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [13905] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(213), 1,
      anon_sym_EQ,
    ACTIONS(1978), 1,
      anon_sym_QMARK,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4240), 1,
      anon_sym_EQ_GT,
    ACTIONS(4273), 1,
      anon_sym_LBRACK,
    STATE(2165), 1,
      sym_comment,
    ACTIONS(4276), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(2030), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_extends,
    ACTIONS(211), 14,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(2691), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 19,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [13990] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(2166), 1,
      sym_comment,
    ACTIONS(4231), 57,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_LBRACE,
      anon_sym_typeof,
      anon_sym_import,
      anon_sym_let,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_using,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_TILDE,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [14059] = 16,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4129), 1,
      anon_sym_LPAREN,
    ACTIONS(4133), 1,
      anon_sym_DOT,
    ACTIONS(4137), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4141), 1,
      anon_sym_LT,
    ACTIONS(4222), 1,
      anon_sym_EQ,
    ACTIONS(4244), 1,
      anon_sym_EQ_GT,
    STATE(2167), 1,
      sym_comment,
    STATE(3804), 1,
      sym_arguments,
    STATE(3877), 1,
      sym_type_arguments,
    ACTIONS(4131), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4127), 3,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_extends,
    ACTIONS(4125), 11,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4139), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4121), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [14152] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2168), 1,
      sym_comment,
    ACTIONS(4171), 22,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(4173), 35,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [14223] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1167), 1,
      anon_sym_EQ,
    ACTIONS(2689), 1,
      anon_sym_EQ_GT,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(2898), 1,
      anon_sym_COLON,
    STATE(2169), 1,
      sym_comment,
    ACTIONS(2691), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(211), 18,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(118), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [14302] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2170), 1,
      sym_comment,
    ACTIONS(4143), 22,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(4145), 35,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [14373] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4123), 1,
      anon_sym_EQ,
    ACTIONS(4135), 1,
      anon_sym_EQ_GT,
    STATE(2171), 1,
      sym_comment,
    ACTIONS(4354), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
    ACTIONS(4125), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4139), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4121), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [14451] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1232), 1,
      anon_sym_EQ,
    ACTIONS(1238), 1,
      anon_sym_EQ_GT,
    ACTIONS(4298), 1,
      sym_identifier,
    STATE(2172), 1,
      sym_comment,
    ACTIONS(211), 2,
      sym__automatic_semicolon,
      sym__ternary_qmark,
    ACTIONS(159), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 36,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [14529] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4222), 1,
      anon_sym_EQ,
    ACTIONS(4296), 1,
      anon_sym_EQ_GT,
    STATE(2173), 1,
      sym_comment,
    ACTIONS(4139), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4125), 18,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
    ACTIONS(4121), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [14605] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1117), 1,
      anon_sym_EQ,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4343), 1,
      anon_sym_EQ_GT,
    STATE(2174), 1,
      sym_comment,
    ACTIONS(2691), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(211), 18,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
    ACTIONS(118), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [14681] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4218), 1,
      anon_sym_EQ,
    STATE(2175), 1,
      sym_comment,
    ACTIONS(4139), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4125), 19,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4121), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [14755] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1232), 1,
      anon_sym_EQ,
    ACTIONS(1238), 1,
      anon_sym_EQ_GT,
    ACTIONS(4308), 1,
      sym_identifier,
    STATE(2176), 1,
      sym_comment,
    ACTIONS(211), 2,
      sym__automatic_semicolon,
      sym__ternary_qmark,
    ACTIONS(159), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 36,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [14833] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4224), 1,
      anon_sym_EQ,
    STATE(2177), 1,
      sym_comment,
    ACTIONS(4139), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4125), 19,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4121), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [14907] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1232), 1,
      anon_sym_EQ,
    ACTIONS(1238), 1,
      anon_sym_EQ_GT,
    ACTIONS(4119), 1,
      sym_identifier,
    STATE(2178), 1,
      sym_comment,
    ACTIONS(211), 2,
      sym__automatic_semicolon,
      sym__ternary_qmark,
    ACTIONS(159), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 36,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [14985] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1215), 1,
      anon_sym_EQ,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4237), 1,
      anon_sym_RBRACK,
    ACTIONS(4262), 1,
      anon_sym_COMMA,
    ACTIONS(4357), 1,
      anon_sym_COLON,
    ACTIONS(4359), 1,
      anon_sym_EQ_GT,
    STATE(2179), 1,
      sym_comment,
    ACTIONS(211), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(2691), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [15067] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1232), 1,
      anon_sym_EQ,
    ACTIONS(1238), 1,
      anon_sym_EQ_GT,
    ACTIONS(4316), 1,
      sym_identifier,
    STATE(2180), 1,
      sym_comment,
    ACTIONS(211), 2,
      sym__automatic_semicolon,
      sym__ternary_qmark,
    ACTIONS(159), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 36,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [15145] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4255), 1,
      anon_sym_COMMA,
    ACTIONS(4259), 1,
      anon_sym_RBRACK,
    ACTIONS(4302), 1,
      anon_sym_EQ_GT,
    ACTIONS(4361), 1,
      anon_sym_EQ,
    ACTIONS(4364), 1,
      anon_sym_in,
    ACTIONS(4366), 1,
      anon_sym_COLON,
    STATE(2181), 1,
      sym_comment,
    ACTIONS(4125), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4139), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4121), 20,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [15229] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1264), 1,
      anon_sym_EQ,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4343), 1,
      anon_sym_EQ_GT,
    STATE(2182), 1,
      sym_comment,
    ACTIONS(2691), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(211), 18,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
    ACTIONS(118), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [15305] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1280), 1,
      anon_sym_EQ,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4273), 1,
      anon_sym_LBRACK,
    ACTIONS(4368), 1,
      anon_sym_EQ_GT,
    STATE(2183), 1,
      sym_comment,
    ACTIONS(2030), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(4276), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(211), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(2691), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [15387] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4224), 1,
      anon_sym_EQ,
    ACTIONS(4328), 1,
      anon_sym_in,
    ACTIONS(4331), 1,
      anon_sym_of,
    STATE(2184), 1,
      sym_comment,
    ACTIONS(4139), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4125), 18,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4121), 20,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [15465] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4123), 1,
      anon_sym_EQ,
    ACTIONS(4242), 1,
      anon_sym_COLON,
    STATE(2185), 1,
      sym_comment,
    ACTIONS(4354), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
    ACTIONS(4125), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4139), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4121), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [15543] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1232), 1,
      anon_sym_EQ,
    ACTIONS(1238), 1,
      anon_sym_EQ_GT,
    ACTIONS(4306), 1,
      sym_identifier,
    STATE(2186), 1,
      sym_comment,
    ACTIONS(211), 2,
      sym__automatic_semicolon,
      sym__ternary_qmark,
    ACTIONS(159), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 36,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [15621] = 14,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4191), 1,
      anon_sym_LBRACK,
    ACTIONS(4197), 1,
      anon_sym_DOT,
    ACTIONS(4200), 1,
      anon_sym_LT,
    ACTIONS(4222), 1,
      anon_sym_EQ,
    ACTIONS(4244), 1,
      anon_sym_EQ_GT,
    STATE(2187), 1,
      sym_comment,
    STATE(3913), 1,
      sym_type_arguments,
    ACTIONS(4203), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(4194), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4125), 13,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4139), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4121), 17,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [15709] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1232), 1,
      anon_sym_EQ,
    ACTIONS(1238), 1,
      anon_sym_EQ_GT,
    ACTIONS(4370), 1,
      sym_identifier,
    STATE(2188), 1,
      sym_comment,
    ACTIONS(211), 2,
      sym__automatic_semicolon,
      sym__ternary_qmark,
    ACTIONS(159), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 36,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [15787] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1135), 1,
      anon_sym_EQ,
    ACTIONS(2030), 1,
      anon_sym_extends,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4240), 1,
      anon_sym_EQ_GT,
    STATE(2189), 1,
      sym_comment,
    ACTIONS(4273), 2,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
    ACTIONS(4276), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(211), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(2691), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 19,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [15869] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1244), 1,
      anon_sym_EQ,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4273), 1,
      anon_sym_LBRACK,
    ACTIONS(4359), 1,
      anon_sym_EQ_GT,
    STATE(2190), 1,
      sym_comment,
    ACTIONS(2030), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(4276), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(211), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(2691), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [15951] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4294), 1,
      anon_sym_EQ,
    ACTIONS(4296), 1,
      anon_sym_EQ_GT,
    STATE(2191), 1,
      sym_comment,
    ACTIONS(4139), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4125), 18,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
    ACTIONS(4121), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [16027] = 34,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1902), 1,
      anon_sym_LT,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(3882), 1,
      anon_sym_LPAREN,
    ACTIONS(3906), 1,
      anon_sym_abstract,
    ACTIONS(4374), 1,
      anon_sym_export,
    ACTIONS(4376), 1,
      anon_sym_STAR,
    ACTIONS(4382), 1,
      anon_sym_LBRACK,
    ACTIONS(4384), 1,
      anon_sym_async,
    ACTIONS(4386), 1,
      anon_sym_new,
    ACTIONS(4388), 1,
      anon_sym_static,
    ACTIONS(4390), 1,
      anon_sym_readonly,
    ACTIONS(4396), 1,
      anon_sym_override,
    STATE(2192), 1,
      sym_comment,
    STATE(3635), 1,
      sym_accessibility_modifier,
    STATE(3674), 1,
      sym_override_modifier,
    STATE(4031), 1,
      sym__property_name,
    STATE(4200), 1,
      sym_formal_parameters,
    STATE(5071), 1,
      sym__call_signature,
    STATE(5700), 1,
      sym_decorator,
    STATE(5733), 1,
      aux_sym_export_statement_repeat1,
    STATE(6630), 1,
      sym_type_parameters,
    ACTIONS(3892), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3894), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4378), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(4380), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(4392), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4151), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4394), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(4807), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4372), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [16154] = 34,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1902), 1,
      anon_sym_LT,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(3882), 1,
      anon_sym_LPAREN,
    ACTIONS(3906), 1,
      anon_sym_abstract,
    ACTIONS(4374), 1,
      anon_sym_export,
    ACTIONS(4376), 1,
      anon_sym_STAR,
    ACTIONS(4382), 1,
      anon_sym_LBRACK,
    ACTIONS(4384), 1,
      anon_sym_async,
    ACTIONS(4386), 1,
      anon_sym_new,
    ACTIONS(4388), 1,
      anon_sym_static,
    ACTIONS(4390), 1,
      anon_sym_readonly,
    ACTIONS(4396), 1,
      anon_sym_override,
    STATE(2193), 1,
      sym_comment,
    STATE(3635), 1,
      sym_accessibility_modifier,
    STATE(3674), 1,
      sym_override_modifier,
    STATE(4031), 1,
      sym__property_name,
    STATE(4200), 1,
      sym_formal_parameters,
    STATE(5071), 1,
      sym__call_signature,
    STATE(5700), 1,
      sym_decorator,
    STATE(5733), 1,
      aux_sym_export_statement_repeat1,
    STATE(6630), 1,
      sym_type_parameters,
    ACTIONS(3892), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3894), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4392), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4398), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(4400), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    STATE(4151), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4394), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(4837), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4372), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [16281] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1117), 1,
      anon_sym_EQ,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4264), 1,
      anon_sym_EQ_GT,
    ACTIONS(4273), 1,
      anon_sym_LBRACK,
    STATE(2194), 1,
      sym_comment,
    ACTIONS(2030), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(4276), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(211), 14,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(2691), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [16362] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4339), 1,
      anon_sym_COMMA,
    STATE(2195), 1,
      sym_comment,
    ACTIONS(4147), 22,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(4149), 32,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [16433] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4294), 1,
      anon_sym_EQ,
    STATE(2196), 1,
      sym_comment,
    ACTIONS(4139), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4125), 18,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
    ACTIONS(4121), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [16506] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4300), 1,
      anon_sym_EQ,
    ACTIONS(4302), 1,
      anon_sym_EQ_GT,
    ACTIONS(4364), 1,
      anon_sym_in,
    ACTIONS(4402), 1,
      anon_sym_COLON,
    STATE(2197), 1,
      sym_comment,
    ACTIONS(4139), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4125), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4121), 20,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [16585] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1244), 1,
      anon_sym_EQ,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4357), 1,
      anon_sym_COLON,
    ACTIONS(4359), 1,
      anon_sym_EQ_GT,
    STATE(2198), 1,
      sym_comment,
    ACTIONS(2691), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(211), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(118), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [16662] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4300), 1,
      anon_sym_EQ,
    ACTIONS(4302), 1,
      anon_sym_EQ_GT,
    ACTIONS(4364), 1,
      anon_sym_in,
    ACTIONS(4366), 1,
      anon_sym_COLON,
    STATE(2199), 1,
      sym_comment,
    ACTIONS(4139), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4125), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4121), 20,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [16741] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4322), 1,
      anon_sym_COMMA,
    STATE(2200), 1,
      sym_comment,
    ACTIONS(4143), 22,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(4145), 32,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [16812] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4222), 1,
      anon_sym_EQ,
    ACTIONS(4250), 1,
      anon_sym_EQ_GT,
    STATE(2201), 1,
      sym_comment,
    ACTIONS(4139), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4125), 17,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4121), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [16887] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1117), 1,
      anon_sym_EQ,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4341), 1,
      anon_sym_EQ_GT,
    STATE(2202), 1,
      sym_comment,
    ACTIONS(2691), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(211), 17,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(118), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [16962] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1252), 1,
      anon_sym_EQ,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4341), 1,
      anon_sym_EQ_GT,
    STATE(2203), 1,
      sym_comment,
    ACTIONS(2691), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(211), 17,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(118), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [17037] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1232), 1,
      anon_sym_EQ,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(2934), 1,
      anon_sym_EQ_GT,
    STATE(2204), 1,
      sym_comment,
    ACTIONS(2691), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(211), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(118), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [17112] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4290), 1,
      anon_sym_EQ,
    ACTIONS(4292), 1,
      anon_sym_EQ_GT,
    STATE(2205), 1,
      sym_comment,
    ACTIONS(4139), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4125), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4121), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [17187] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4222), 1,
      anon_sym_EQ,
    ACTIONS(4292), 1,
      anon_sym_EQ_GT,
    STATE(2206), 1,
      sym_comment,
    ACTIONS(4139), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4125), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4121), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [17262] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4248), 1,
      anon_sym_EQ,
    ACTIONS(4250), 1,
      anon_sym_EQ_GT,
    STATE(2207), 1,
      sym_comment,
    ACTIONS(4139), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4125), 17,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4121), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [17337] = 34,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1902), 1,
      anon_sym_LT,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(3882), 1,
      anon_sym_LPAREN,
    ACTIONS(3906), 1,
      anon_sym_abstract,
    ACTIONS(4374), 1,
      anon_sym_export,
    ACTIONS(4376), 1,
      anon_sym_STAR,
    ACTIONS(4382), 1,
      anon_sym_LBRACK,
    ACTIONS(4384), 1,
      anon_sym_async,
    ACTIONS(4386), 1,
      anon_sym_new,
    ACTIONS(4388), 1,
      anon_sym_static,
    ACTIONS(4390), 1,
      anon_sym_readonly,
    ACTIONS(4396), 1,
      anon_sym_override,
    STATE(2208), 1,
      sym_comment,
    STATE(3635), 1,
      sym_accessibility_modifier,
    STATE(3674), 1,
      sym_override_modifier,
    STATE(4031), 1,
      sym__property_name,
    STATE(4200), 1,
      sym_formal_parameters,
    STATE(5071), 1,
      sym__call_signature,
    STATE(5700), 1,
      sym_decorator,
    STATE(5733), 1,
      aux_sym_export_statement_repeat1,
    STATE(6630), 1,
      sym_type_parameters,
    ACTIONS(3892), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3894), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4392), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4404), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(4406), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    STATE(4151), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4394), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(4891), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4372), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [17464] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1215), 1,
      anon_sym_EQ,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4237), 1,
      anon_sym_RBRACK,
    ACTIONS(4262), 1,
      anon_sym_COMMA,
    ACTIONS(4359), 1,
      anon_sym_EQ_GT,
    STATE(2209), 1,
      sym_comment,
    ACTIONS(211), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(2691), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [17543] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1117), 1,
      anon_sym_EQ,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(2934), 1,
      anon_sym_EQ_GT,
    STATE(2210), 1,
      sym_comment,
    ACTIONS(2691), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(211), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(118), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [17618] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1244), 1,
      anon_sym_EQ,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4359), 1,
      anon_sym_EQ_GT,
    ACTIONS(4408), 1,
      anon_sym_COLON,
    STATE(2211), 1,
      sym_comment,
    ACTIONS(2691), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(211), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(118), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [17695] = 34,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1902), 1,
      anon_sym_LT,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(3882), 1,
      anon_sym_LPAREN,
    ACTIONS(3906), 1,
      anon_sym_abstract,
    ACTIONS(4374), 1,
      anon_sym_export,
    ACTIONS(4376), 1,
      anon_sym_STAR,
    ACTIONS(4382), 1,
      anon_sym_LBRACK,
    ACTIONS(4384), 1,
      anon_sym_async,
    ACTIONS(4386), 1,
      anon_sym_new,
    ACTIONS(4388), 1,
      anon_sym_static,
    ACTIONS(4390), 1,
      anon_sym_readonly,
    ACTIONS(4396), 1,
      anon_sym_override,
    STATE(2212), 1,
      sym_comment,
    STATE(3635), 1,
      sym_accessibility_modifier,
    STATE(3674), 1,
      sym_override_modifier,
    STATE(4031), 1,
      sym__property_name,
    STATE(4200), 1,
      sym_formal_parameters,
    STATE(5071), 1,
      sym__call_signature,
    STATE(5700), 1,
      sym_decorator,
    STATE(5733), 1,
      aux_sym_export_statement_repeat1,
    STATE(6630), 1,
      sym_type_parameters,
    ACTIONS(3892), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3894), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4392), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4410), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(4412), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    STATE(4151), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4394), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(4965), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4372), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [17822] = 34,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1902), 1,
      anon_sym_LT,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(3882), 1,
      anon_sym_LPAREN,
    ACTIONS(3906), 1,
      anon_sym_abstract,
    ACTIONS(4374), 1,
      anon_sym_export,
    ACTIONS(4376), 1,
      anon_sym_STAR,
    ACTIONS(4382), 1,
      anon_sym_LBRACK,
    ACTIONS(4384), 1,
      anon_sym_async,
    ACTIONS(4386), 1,
      anon_sym_new,
    ACTIONS(4388), 1,
      anon_sym_static,
    ACTIONS(4390), 1,
      anon_sym_readonly,
    ACTIONS(4396), 1,
      anon_sym_override,
    STATE(2213), 1,
      sym_comment,
    STATE(3635), 1,
      sym_accessibility_modifier,
    STATE(3674), 1,
      sym_override_modifier,
    STATE(4031), 1,
      sym__property_name,
    STATE(4200), 1,
      sym_formal_parameters,
    STATE(5071), 1,
      sym__call_signature,
    STATE(5700), 1,
      sym_decorator,
    STATE(5733), 1,
      aux_sym_export_statement_repeat1,
    STATE(6630), 1,
      sym_type_parameters,
    ACTIONS(3892), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3894), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3962), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(3964), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(4392), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4151), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4394), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(4894), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4372), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [17949] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4255), 1,
      anon_sym_COMMA,
    ACTIONS(4259), 1,
      anon_sym_RBRACK,
    ACTIONS(4302), 1,
      anon_sym_EQ_GT,
    ACTIONS(4361), 1,
      anon_sym_EQ,
    STATE(2214), 1,
      sym_comment,
    ACTIONS(4125), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4139), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4121), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [18028] = 34,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1902), 1,
      anon_sym_LT,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(3882), 1,
      anon_sym_LPAREN,
    ACTIONS(3906), 1,
      anon_sym_abstract,
    ACTIONS(4374), 1,
      anon_sym_export,
    ACTIONS(4376), 1,
      anon_sym_STAR,
    ACTIONS(4382), 1,
      anon_sym_LBRACK,
    ACTIONS(4384), 1,
      anon_sym_async,
    ACTIONS(4386), 1,
      anon_sym_new,
    ACTIONS(4388), 1,
      anon_sym_static,
    ACTIONS(4390), 1,
      anon_sym_readonly,
    ACTIONS(4396), 1,
      anon_sym_override,
    STATE(2215), 1,
      sym_comment,
    STATE(3635), 1,
      sym_accessibility_modifier,
    STATE(3674), 1,
      sym_override_modifier,
    STATE(4031), 1,
      sym__property_name,
    STATE(4200), 1,
      sym_formal_parameters,
    STATE(5071), 1,
      sym__call_signature,
    STATE(5700), 1,
      sym_decorator,
    STATE(5733), 1,
      aux_sym_export_statement_repeat1,
    STATE(6630), 1,
      sym_type_parameters,
    ACTIONS(3892), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3894), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4392), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4414), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(4416), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    STATE(4151), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4394), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(4933), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4372), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [18155] = 34,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1902), 1,
      anon_sym_LT,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(3882), 1,
      anon_sym_LPAREN,
    ACTIONS(3906), 1,
      anon_sym_abstract,
    ACTIONS(4374), 1,
      anon_sym_export,
    ACTIONS(4376), 1,
      anon_sym_STAR,
    ACTIONS(4382), 1,
      anon_sym_LBRACK,
    ACTIONS(4384), 1,
      anon_sym_async,
    ACTIONS(4386), 1,
      anon_sym_new,
    ACTIONS(4388), 1,
      anon_sym_static,
    ACTIONS(4390), 1,
      anon_sym_readonly,
    ACTIONS(4396), 1,
      anon_sym_override,
    STATE(2216), 1,
      sym_comment,
    STATE(3635), 1,
      sym_accessibility_modifier,
    STATE(3674), 1,
      sym_override_modifier,
    STATE(4031), 1,
      sym__property_name,
    STATE(4200), 1,
      sym_formal_parameters,
    STATE(5071), 1,
      sym__call_signature,
    STATE(5700), 1,
      sym_decorator,
    STATE(5733), 1,
      aux_sym_export_statement_repeat1,
    STATE(6630), 1,
      sym_type_parameters,
    ACTIONS(3892), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3894), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4392), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4418), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(4420), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    STATE(4151), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4394), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(4981), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4372), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [18282] = 34,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1902), 1,
      anon_sym_LT,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(3882), 1,
      anon_sym_LPAREN,
    ACTIONS(3906), 1,
      anon_sym_abstract,
    ACTIONS(4374), 1,
      anon_sym_export,
    ACTIONS(4376), 1,
      anon_sym_STAR,
    ACTIONS(4382), 1,
      anon_sym_LBRACK,
    ACTIONS(4384), 1,
      anon_sym_async,
    ACTIONS(4386), 1,
      anon_sym_new,
    ACTIONS(4388), 1,
      anon_sym_static,
    ACTIONS(4390), 1,
      anon_sym_readonly,
    ACTIONS(4396), 1,
      anon_sym_override,
    STATE(2217), 1,
      sym_comment,
    STATE(3635), 1,
      sym_accessibility_modifier,
    STATE(3674), 1,
      sym_override_modifier,
    STATE(4031), 1,
      sym__property_name,
    STATE(4200), 1,
      sym_formal_parameters,
    STATE(5071), 1,
      sym__call_signature,
    STATE(5700), 1,
      sym_decorator,
    STATE(5733), 1,
      aux_sym_export_statement_repeat1,
    STATE(6630), 1,
      sym_type_parameters,
    ACTIONS(3884), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(3892), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3894), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3908), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(4392), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4151), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4394), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(4905), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4372), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [18409] = 34,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1902), 1,
      anon_sym_LT,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(3882), 1,
      anon_sym_LPAREN,
    ACTIONS(3906), 1,
      anon_sym_abstract,
    ACTIONS(4374), 1,
      anon_sym_export,
    ACTIONS(4376), 1,
      anon_sym_STAR,
    ACTIONS(4382), 1,
      anon_sym_LBRACK,
    ACTIONS(4384), 1,
      anon_sym_async,
    ACTIONS(4386), 1,
      anon_sym_new,
    ACTIONS(4388), 1,
      anon_sym_static,
    ACTIONS(4390), 1,
      anon_sym_readonly,
    ACTIONS(4396), 1,
      anon_sym_override,
    STATE(2218), 1,
      sym_comment,
    STATE(3635), 1,
      sym_accessibility_modifier,
    STATE(3674), 1,
      sym_override_modifier,
    STATE(4031), 1,
      sym__property_name,
    STATE(4200), 1,
      sym_formal_parameters,
    STATE(5071), 1,
      sym__call_signature,
    STATE(5700), 1,
      sym_decorator,
    STATE(5733), 1,
      aux_sym_export_statement_repeat1,
    STATE(6630), 1,
      sym_type_parameters,
    ACTIONS(3892), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3894), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4392), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4422), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(4424), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    STATE(4151), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4394), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(4936), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4372), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [18536] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1244), 1,
      anon_sym_EQ,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4359), 1,
      anon_sym_EQ_GT,
    STATE(2219), 1,
      sym_comment,
    ACTIONS(2691), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(211), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(118), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [18610] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4222), 1,
      anon_sym_EQ,
    ACTIONS(4302), 1,
      anon_sym_EQ_GT,
    STATE(2220), 1,
      sym_comment,
    ACTIONS(4139), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4125), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4121), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [18684] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4290), 1,
      anon_sym_EQ,
    STATE(2221), 1,
      sym_comment,
    ACTIONS(4139), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4125), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4121), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [18756] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1117), 1,
      anon_sym_EQ,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4359), 1,
      anon_sym_EQ_GT,
    STATE(2222), 1,
      sym_comment,
    ACTIONS(2691), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(211), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(118), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [18830] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1117), 1,
      anon_sym_EQ,
    ACTIONS(1203), 1,
      anon_sym_in,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4264), 1,
      anon_sym_EQ_GT,
    ACTIONS(4333), 1,
      anon_sym_of,
    STATE(2223), 1,
      sym_comment,
    ACTIONS(211), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(2691), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 20,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [18908] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4300), 1,
      anon_sym_EQ,
    ACTIONS(4302), 1,
      anon_sym_EQ_GT,
    STATE(2224), 1,
      sym_comment,
    ACTIONS(4139), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4125), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4121), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [18982] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4222), 1,
      anon_sym_EQ,
    ACTIONS(4320), 1,
      anon_sym_EQ_GT,
    STATE(2225), 1,
      sym_comment,
    ACTIONS(4139), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4125), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4121), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [19056] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1117), 1,
      anon_sym_EQ,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4368), 1,
      anon_sym_EQ_GT,
    STATE(2226), 1,
      sym_comment,
    ACTIONS(2691), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(211), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(118), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [19130] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4222), 1,
      anon_sym_EQ,
    ACTIONS(4244), 1,
      anon_sym_EQ_GT,
    ACTIONS(4328), 1,
      anon_sym_in,
    ACTIONS(4331), 1,
      anon_sym_of,
    STATE(2227), 1,
      sym_comment,
    ACTIONS(4125), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4139), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4121), 20,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [19208] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4255), 1,
      anon_sym_COMMA,
    ACTIONS(4259), 1,
      anon_sym_RBRACK,
    ACTIONS(4361), 1,
      anon_sym_EQ,
    STATE(2228), 1,
      sym_comment,
    ACTIONS(4125), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4139), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4121), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [19284] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4248), 1,
      anon_sym_EQ,
    STATE(2229), 1,
      sym_comment,
    ACTIONS(4139), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4125), 17,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4121), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [19356] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1117), 1,
      anon_sym_EQ,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4264), 1,
      anon_sym_EQ_GT,
    ACTIONS(4266), 1,
      anon_sym_COLON,
    STATE(2230), 1,
      sym_comment,
    ACTIONS(211), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(2691), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [19432] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4318), 1,
      anon_sym_EQ,
    ACTIONS(4320), 1,
      anon_sym_EQ_GT,
    STATE(2231), 1,
      sym_comment,
    ACTIONS(4139), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4125), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4121), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [19506] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1280), 1,
      anon_sym_EQ,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4368), 1,
      anon_sym_EQ_GT,
    STATE(2232), 1,
      sym_comment,
    ACTIONS(2691), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(211), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(118), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [19580] = 33,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1902), 1,
      anon_sym_LT,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(3882), 1,
      anon_sym_LPAREN,
    ACTIONS(3906), 1,
      anon_sym_abstract,
    ACTIONS(4374), 1,
      anon_sym_export,
    ACTIONS(4376), 1,
      anon_sym_STAR,
    ACTIONS(4382), 1,
      anon_sym_LBRACK,
    ACTIONS(4384), 1,
      anon_sym_async,
    ACTIONS(4386), 1,
      anon_sym_new,
    ACTIONS(4388), 1,
      anon_sym_static,
    ACTIONS(4390), 1,
      anon_sym_readonly,
    ACTIONS(4396), 1,
      anon_sym_override,
    STATE(2233), 1,
      sym_comment,
    STATE(3635), 1,
      sym_accessibility_modifier,
    STATE(3674), 1,
      sym_override_modifier,
    STATE(4031), 1,
      sym__property_name,
    STATE(4200), 1,
      sym_formal_parameters,
    STATE(5071), 1,
      sym__call_signature,
    STATE(5700), 1,
      sym_decorator,
    STATE(5733), 1,
      aux_sym_export_statement_repeat1,
    STATE(6630), 1,
      sym_type_parameters,
    ACTIONS(3892), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3894), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4392), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4426), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    STATE(4151), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4394), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(5296), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4372), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [19703] = 33,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1902), 1,
      anon_sym_LT,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(3882), 1,
      anon_sym_LPAREN,
    ACTIONS(3906), 1,
      anon_sym_abstract,
    ACTIONS(4374), 1,
      anon_sym_export,
    ACTIONS(4376), 1,
      anon_sym_STAR,
    ACTIONS(4382), 1,
      anon_sym_LBRACK,
    ACTIONS(4384), 1,
      anon_sym_async,
    ACTIONS(4386), 1,
      anon_sym_new,
    ACTIONS(4388), 1,
      anon_sym_static,
    ACTIONS(4390), 1,
      anon_sym_readonly,
    ACTIONS(4396), 1,
      anon_sym_override,
    STATE(2234), 1,
      sym_comment,
    STATE(3635), 1,
      sym_accessibility_modifier,
    STATE(3674), 1,
      sym_override_modifier,
    STATE(4031), 1,
      sym__property_name,
    STATE(4200), 1,
      sym_formal_parameters,
    STATE(5071), 1,
      sym__call_signature,
    STATE(5700), 1,
      sym_decorator,
    STATE(5733), 1,
      aux_sym_export_statement_repeat1,
    STATE(6630), 1,
      sym_type_parameters,
    ACTIONS(3892), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3894), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4392), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4428), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    STATE(4151), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4394), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(5296), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4372), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [19826] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1292), 1,
      anon_sym_EQ,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4264), 1,
      anon_sym_EQ_GT,
    STATE(2235), 1,
      sym_comment,
    ACTIONS(211), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(2691), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [19899] = 33,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1902), 1,
      anon_sym_LT,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(3882), 1,
      anon_sym_LPAREN,
    ACTIONS(3906), 1,
      anon_sym_abstract,
    ACTIONS(4374), 1,
      anon_sym_export,
    ACTIONS(4376), 1,
      anon_sym_STAR,
    ACTIONS(4382), 1,
      anon_sym_LBRACK,
    ACTIONS(4384), 1,
      anon_sym_async,
    ACTIONS(4386), 1,
      anon_sym_new,
    ACTIONS(4388), 1,
      anon_sym_static,
    ACTIONS(4390), 1,
      anon_sym_readonly,
    ACTIONS(4396), 1,
      anon_sym_override,
    STATE(2236), 1,
      sym_comment,
    STATE(3635), 1,
      sym_accessibility_modifier,
    STATE(3674), 1,
      sym_override_modifier,
    STATE(4031), 1,
      sym__property_name,
    STATE(4200), 1,
      sym_formal_parameters,
    STATE(5071), 1,
      sym__call_signature,
    STATE(5700), 1,
      sym_decorator,
    STATE(5733), 1,
      aux_sym_export_statement_repeat1,
    STATE(6630), 1,
      sym_type_parameters,
    ACTIONS(3892), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3894), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4392), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4430), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    STATE(4151), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4394), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(5296), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4372), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [20022] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4244), 1,
      anon_sym_EQ_GT,
    ACTIONS(4432), 1,
      anon_sym_EQ,
    STATE(2237), 1,
      sym_comment,
    ACTIONS(4125), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4139), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4121), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [20095] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4222), 1,
      anon_sym_EQ,
    ACTIONS(4328), 1,
      anon_sym_in,
    ACTIONS(4331), 1,
      anon_sym_of,
    STATE(2238), 1,
      sym_comment,
    ACTIONS(4125), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4139), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4121), 20,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [20170] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4318), 1,
      anon_sym_EQ,
    STATE(2239), 1,
      sym_comment,
    ACTIONS(4139), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4125), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4121), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [20241] = 33,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1902), 1,
      anon_sym_LT,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(3882), 1,
      anon_sym_LPAREN,
    ACTIONS(3906), 1,
      anon_sym_abstract,
    ACTIONS(4374), 1,
      anon_sym_export,
    ACTIONS(4376), 1,
      anon_sym_STAR,
    ACTIONS(4382), 1,
      anon_sym_LBRACK,
    ACTIONS(4384), 1,
      anon_sym_async,
    ACTIONS(4386), 1,
      anon_sym_new,
    ACTIONS(4388), 1,
      anon_sym_static,
    ACTIONS(4390), 1,
      anon_sym_readonly,
    ACTIONS(4396), 1,
      anon_sym_override,
    STATE(2240), 1,
      sym_comment,
    STATE(3635), 1,
      sym_accessibility_modifier,
    STATE(3674), 1,
      sym_override_modifier,
    STATE(4031), 1,
      sym__property_name,
    STATE(4200), 1,
      sym_formal_parameters,
    STATE(5071), 1,
      sym__call_signature,
    STATE(5700), 1,
      sym_decorator,
    STATE(5733), 1,
      aux_sym_export_statement_repeat1,
    STATE(6630), 1,
      sym_type_parameters,
    ACTIONS(3892), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3894), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4392), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4434), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    STATE(4151), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4394), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(5296), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4372), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [20364] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1344), 1,
      anon_sym_EQ,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4264), 1,
      anon_sym_EQ_GT,
    STATE(2241), 1,
      sym_comment,
    ACTIONS(211), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(2691), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [20437] = 33,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1902), 1,
      anon_sym_LT,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(3882), 1,
      anon_sym_LPAREN,
    ACTIONS(3906), 1,
      anon_sym_abstract,
    ACTIONS(4374), 1,
      anon_sym_export,
    ACTIONS(4376), 1,
      anon_sym_STAR,
    ACTIONS(4382), 1,
      anon_sym_LBRACK,
    ACTIONS(4384), 1,
      anon_sym_async,
    ACTIONS(4386), 1,
      anon_sym_new,
    ACTIONS(4388), 1,
      anon_sym_static,
    ACTIONS(4390), 1,
      anon_sym_readonly,
    ACTIONS(4396), 1,
      anon_sym_override,
    STATE(2242), 1,
      sym_comment,
    STATE(3635), 1,
      sym_accessibility_modifier,
    STATE(3674), 1,
      sym_override_modifier,
    STATE(4031), 1,
      sym__property_name,
    STATE(4200), 1,
      sym_formal_parameters,
    STATE(5071), 1,
      sym__call_signature,
    STATE(5700), 1,
      sym_decorator,
    STATE(5733), 1,
      aux_sym_export_statement_repeat1,
    STATE(6630), 1,
      sym_type_parameters,
    ACTIONS(3892), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3894), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4392), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4436), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    STATE(4151), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4394), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(5296), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4372), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [20560] = 33,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1902), 1,
      anon_sym_LT,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(3882), 1,
      anon_sym_LPAREN,
    ACTIONS(3906), 1,
      anon_sym_abstract,
    ACTIONS(4374), 1,
      anon_sym_export,
    ACTIONS(4376), 1,
      anon_sym_STAR,
    ACTIONS(4382), 1,
      anon_sym_LBRACK,
    ACTIONS(4384), 1,
      anon_sym_async,
    ACTIONS(4386), 1,
      anon_sym_new,
    ACTIONS(4388), 1,
      anon_sym_static,
    ACTIONS(4390), 1,
      anon_sym_readonly,
    ACTIONS(4396), 1,
      anon_sym_override,
    STATE(2243), 1,
      sym_comment,
    STATE(3635), 1,
      sym_accessibility_modifier,
    STATE(3674), 1,
      sym_override_modifier,
    STATE(4031), 1,
      sym__property_name,
    STATE(4200), 1,
      sym_formal_parameters,
    STATE(5071), 1,
      sym__call_signature,
    STATE(5700), 1,
      sym_decorator,
    STATE(5733), 1,
      aux_sym_export_statement_repeat1,
    STATE(6630), 1,
      sym_type_parameters,
    ACTIONS(3892), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3894), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4392), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4438), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    STATE(4151), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4394), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(5296), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4372), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [20683] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4244), 1,
      anon_sym_EQ_GT,
    ACTIONS(4440), 1,
      anon_sym_EQ,
    STATE(2244), 1,
      sym_comment,
    ACTIONS(4125), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4139), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4121), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [20756] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1358), 1,
      anon_sym_EQ,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4264), 1,
      anon_sym_EQ_GT,
    STATE(2245), 1,
      sym_comment,
    ACTIONS(211), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(2691), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [20829] = 33,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1902), 1,
      anon_sym_LT,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(3882), 1,
      anon_sym_LPAREN,
    ACTIONS(3906), 1,
      anon_sym_abstract,
    ACTIONS(4374), 1,
      anon_sym_export,
    ACTIONS(4376), 1,
      anon_sym_STAR,
    ACTIONS(4382), 1,
      anon_sym_LBRACK,
    ACTIONS(4384), 1,
      anon_sym_async,
    ACTIONS(4386), 1,
      anon_sym_new,
    ACTIONS(4388), 1,
      anon_sym_static,
    ACTIONS(4390), 1,
      anon_sym_readonly,
    ACTIONS(4396), 1,
      anon_sym_override,
    STATE(2246), 1,
      sym_comment,
    STATE(3635), 1,
      sym_accessibility_modifier,
    STATE(3674), 1,
      sym_override_modifier,
    STATE(4031), 1,
      sym__property_name,
    STATE(4200), 1,
      sym_formal_parameters,
    STATE(5071), 1,
      sym__call_signature,
    STATE(5700), 1,
      sym_decorator,
    STATE(5733), 1,
      aux_sym_export_statement_repeat1,
    STATE(6630), 1,
      sym_type_parameters,
    ACTIONS(3892), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3894), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4392), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4442), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    STATE(4151), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4394), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(5296), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4372), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [20952] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1348), 1,
      anon_sym_EQ,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4264), 1,
      anon_sym_EQ_GT,
    STATE(2247), 1,
      sym_comment,
    ACTIONS(211), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(2691), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [21025] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4300), 1,
      anon_sym_EQ,
    STATE(2248), 1,
      sym_comment,
    ACTIONS(4139), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4125), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4121), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [21096] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4244), 1,
      anon_sym_EQ_GT,
    ACTIONS(4444), 1,
      anon_sym_EQ,
    STATE(2249), 1,
      sym_comment,
    ACTIONS(4125), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4139), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4121), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [21169] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1352), 1,
      anon_sym_EQ,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4264), 1,
      anon_sym_EQ_GT,
    STATE(2250), 1,
      sym_comment,
    ACTIONS(211), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(2691), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [21242] = 33,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1902), 1,
      anon_sym_LT,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(3882), 1,
      anon_sym_LPAREN,
    ACTIONS(3906), 1,
      anon_sym_abstract,
    ACTIONS(4374), 1,
      anon_sym_export,
    ACTIONS(4376), 1,
      anon_sym_STAR,
    ACTIONS(4382), 1,
      anon_sym_LBRACK,
    ACTIONS(4384), 1,
      anon_sym_async,
    ACTIONS(4386), 1,
      anon_sym_new,
    ACTIONS(4388), 1,
      anon_sym_static,
    ACTIONS(4390), 1,
      anon_sym_readonly,
    ACTIONS(4396), 1,
      anon_sym_override,
    STATE(2251), 1,
      sym_comment,
    STATE(3635), 1,
      sym_accessibility_modifier,
    STATE(3674), 1,
      sym_override_modifier,
    STATE(4031), 1,
      sym__property_name,
    STATE(4200), 1,
      sym_formal_parameters,
    STATE(5071), 1,
      sym__call_signature,
    STATE(5700), 1,
      sym_decorator,
    STATE(5733), 1,
      aux_sym_export_statement_repeat1,
    STATE(6630), 1,
      sym_type_parameters,
    ACTIONS(3892), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3894), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4392), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4446), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    STATE(4151), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4394), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(5296), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4372), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [21365] = 33,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1902), 1,
      anon_sym_LT,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(3882), 1,
      anon_sym_LPAREN,
    ACTIONS(3906), 1,
      anon_sym_abstract,
    ACTIONS(4374), 1,
      anon_sym_export,
    ACTIONS(4376), 1,
      anon_sym_STAR,
    ACTIONS(4382), 1,
      anon_sym_LBRACK,
    ACTIONS(4384), 1,
      anon_sym_async,
    ACTIONS(4386), 1,
      anon_sym_new,
    ACTIONS(4388), 1,
      anon_sym_static,
    ACTIONS(4390), 1,
      anon_sym_readonly,
    ACTIONS(4396), 1,
      anon_sym_override,
    STATE(2252), 1,
      sym_comment,
    STATE(3635), 1,
      sym_accessibility_modifier,
    STATE(3674), 1,
      sym_override_modifier,
    STATE(4031), 1,
      sym__property_name,
    STATE(4200), 1,
      sym_formal_parameters,
    STATE(5071), 1,
      sym__call_signature,
    STATE(5700), 1,
      sym_decorator,
    STATE(5733), 1,
      aux_sym_export_statement_repeat1,
    STATE(6630), 1,
      sym_type_parameters,
    ACTIONS(3892), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3894), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4392), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4448), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    STATE(4151), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4394), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(5296), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4372), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [21488] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4244), 1,
      anon_sym_EQ_GT,
    ACTIONS(4450), 1,
      anon_sym_EQ,
    STATE(2253), 1,
      sym_comment,
    ACTIONS(4125), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4139), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4121), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [21561] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4244), 1,
      anon_sym_EQ_GT,
    ACTIONS(4452), 1,
      anon_sym_EQ,
    STATE(2254), 1,
      sym_comment,
    ACTIONS(4125), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4139), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4121), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [21634] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4244), 1,
      anon_sym_EQ_GT,
    ACTIONS(4454), 1,
      anon_sym_EQ,
    STATE(2255), 1,
      sym_comment,
    ACTIONS(4125), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4139), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4121), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [21707] = 33,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1902), 1,
      anon_sym_LT,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(3882), 1,
      anon_sym_LPAREN,
    ACTIONS(3906), 1,
      anon_sym_abstract,
    ACTIONS(4374), 1,
      anon_sym_export,
    ACTIONS(4376), 1,
      anon_sym_STAR,
    ACTIONS(4382), 1,
      anon_sym_LBRACK,
    ACTIONS(4384), 1,
      anon_sym_async,
    ACTIONS(4386), 1,
      anon_sym_new,
    ACTIONS(4388), 1,
      anon_sym_static,
    ACTIONS(4390), 1,
      anon_sym_readonly,
    ACTIONS(4396), 1,
      anon_sym_override,
    STATE(2256), 1,
      sym_comment,
    STATE(3635), 1,
      sym_accessibility_modifier,
    STATE(3674), 1,
      sym_override_modifier,
    STATE(4031), 1,
      sym__property_name,
    STATE(4200), 1,
      sym_formal_parameters,
    STATE(5071), 1,
      sym__call_signature,
    STATE(5700), 1,
      sym_decorator,
    STATE(5733), 1,
      aux_sym_export_statement_repeat1,
    STATE(6630), 1,
      sym_type_parameters,
    ACTIONS(3892), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3894), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4392), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4456), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    STATE(4151), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4394), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(5296), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4372), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [21830] = 33,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1902), 1,
      anon_sym_LT,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(3882), 1,
      anon_sym_LPAREN,
    ACTIONS(3906), 1,
      anon_sym_abstract,
    ACTIONS(4374), 1,
      anon_sym_export,
    ACTIONS(4376), 1,
      anon_sym_STAR,
    ACTIONS(4382), 1,
      anon_sym_LBRACK,
    ACTIONS(4384), 1,
      anon_sym_async,
    ACTIONS(4386), 1,
      anon_sym_new,
    ACTIONS(4388), 1,
      anon_sym_static,
    ACTIONS(4390), 1,
      anon_sym_readonly,
    ACTIONS(4396), 1,
      anon_sym_override,
    STATE(2257), 1,
      sym_comment,
    STATE(3635), 1,
      sym_accessibility_modifier,
    STATE(3674), 1,
      sym_override_modifier,
    STATE(4031), 1,
      sym__property_name,
    STATE(4200), 1,
      sym_formal_parameters,
    STATE(5071), 1,
      sym__call_signature,
    STATE(5700), 1,
      sym_decorator,
    STATE(5733), 1,
      aux_sym_export_statement_repeat1,
    STATE(6630), 1,
      sym_type_parameters,
    ACTIONS(3892), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3894), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4392), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4458), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    STATE(4151), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4394), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(5296), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4372), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [21953] = 33,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1902), 1,
      anon_sym_LT,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(3882), 1,
      anon_sym_LPAREN,
    ACTIONS(3906), 1,
      anon_sym_abstract,
    ACTIONS(4374), 1,
      anon_sym_export,
    ACTIONS(4376), 1,
      anon_sym_STAR,
    ACTIONS(4382), 1,
      anon_sym_LBRACK,
    ACTIONS(4384), 1,
      anon_sym_async,
    ACTIONS(4386), 1,
      anon_sym_new,
    ACTIONS(4388), 1,
      anon_sym_static,
    ACTIONS(4390), 1,
      anon_sym_readonly,
    ACTIONS(4396), 1,
      anon_sym_override,
    STATE(2258), 1,
      sym_comment,
    STATE(3635), 1,
      sym_accessibility_modifier,
    STATE(3674), 1,
      sym_override_modifier,
    STATE(4031), 1,
      sym__property_name,
    STATE(4200), 1,
      sym_formal_parameters,
    STATE(5071), 1,
      sym__call_signature,
    STATE(5700), 1,
      sym_decorator,
    STATE(5733), 1,
      aux_sym_export_statement_repeat1,
    STATE(6630), 1,
      sym_type_parameters,
    ACTIONS(3892), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3894), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4392), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4460), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    STATE(4151), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4394), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(5296), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4372), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [22076] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1117), 1,
      anon_sym_EQ,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4264), 1,
      anon_sym_EQ_GT,
    STATE(2259), 1,
      sym_comment,
    ACTIONS(211), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(2691), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [22149] = 33,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1902), 1,
      anon_sym_LT,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(3882), 1,
      anon_sym_LPAREN,
    ACTIONS(3906), 1,
      anon_sym_abstract,
    ACTIONS(4374), 1,
      anon_sym_export,
    ACTIONS(4376), 1,
      anon_sym_STAR,
    ACTIONS(4382), 1,
      anon_sym_LBRACK,
    ACTIONS(4384), 1,
      anon_sym_async,
    ACTIONS(4386), 1,
      anon_sym_new,
    ACTIONS(4388), 1,
      anon_sym_static,
    ACTIONS(4390), 1,
      anon_sym_readonly,
    ACTIONS(4396), 1,
      anon_sym_override,
    STATE(2260), 1,
      sym_comment,
    STATE(3635), 1,
      sym_accessibility_modifier,
    STATE(3674), 1,
      sym_override_modifier,
    STATE(4031), 1,
      sym__property_name,
    STATE(4200), 1,
      sym_formal_parameters,
    STATE(5071), 1,
      sym__call_signature,
    STATE(5700), 1,
      sym_decorator,
    STATE(5733), 1,
      aux_sym_export_statement_repeat1,
    STATE(6630), 1,
      sym_type_parameters,
    ACTIONS(3892), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3894), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4392), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4462), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    STATE(4151), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4394), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(5296), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4372), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [22272] = 33,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1902), 1,
      anon_sym_LT,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(3882), 1,
      anon_sym_LPAREN,
    ACTIONS(3906), 1,
      anon_sym_abstract,
    ACTIONS(4374), 1,
      anon_sym_export,
    ACTIONS(4376), 1,
      anon_sym_STAR,
    ACTIONS(4382), 1,
      anon_sym_LBRACK,
    ACTIONS(4384), 1,
      anon_sym_async,
    ACTIONS(4386), 1,
      anon_sym_new,
    ACTIONS(4388), 1,
      anon_sym_static,
    ACTIONS(4390), 1,
      anon_sym_readonly,
    ACTIONS(4396), 1,
      anon_sym_override,
    STATE(2261), 1,
      sym_comment,
    STATE(3635), 1,
      sym_accessibility_modifier,
    STATE(3674), 1,
      sym_override_modifier,
    STATE(4031), 1,
      sym__property_name,
    STATE(4200), 1,
      sym_formal_parameters,
    STATE(5071), 1,
      sym__call_signature,
    STATE(5700), 1,
      sym_decorator,
    STATE(5733), 1,
      aux_sym_export_statement_repeat1,
    STATE(6630), 1,
      sym_type_parameters,
    ACTIONS(3892), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3894), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4392), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4464), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    STATE(4151), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4394), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(5296), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4372), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [22395] = 33,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1902), 1,
      anon_sym_LT,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(3882), 1,
      anon_sym_LPAREN,
    ACTIONS(3906), 1,
      anon_sym_abstract,
    ACTIONS(4374), 1,
      anon_sym_export,
    ACTIONS(4376), 1,
      anon_sym_STAR,
    ACTIONS(4382), 1,
      anon_sym_LBRACK,
    ACTIONS(4384), 1,
      anon_sym_async,
    ACTIONS(4386), 1,
      anon_sym_new,
    ACTIONS(4388), 1,
      anon_sym_static,
    ACTIONS(4390), 1,
      anon_sym_readonly,
    ACTIONS(4396), 1,
      anon_sym_override,
    STATE(2262), 1,
      sym_comment,
    STATE(3635), 1,
      sym_accessibility_modifier,
    STATE(3674), 1,
      sym_override_modifier,
    STATE(4031), 1,
      sym__property_name,
    STATE(4200), 1,
      sym_formal_parameters,
    STATE(5071), 1,
      sym__call_signature,
    STATE(5700), 1,
      sym_decorator,
    STATE(5733), 1,
      aux_sym_export_statement_repeat1,
    STATE(6630), 1,
      sym_type_parameters,
    ACTIONS(3892), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3894), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4392), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4466), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    STATE(4151), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4394), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(5296), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4372), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [22518] = 33,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1902), 1,
      anon_sym_LT,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(3882), 1,
      anon_sym_LPAREN,
    ACTIONS(3906), 1,
      anon_sym_abstract,
    ACTIONS(4374), 1,
      anon_sym_export,
    ACTIONS(4376), 1,
      anon_sym_STAR,
    ACTIONS(4382), 1,
      anon_sym_LBRACK,
    ACTIONS(4384), 1,
      anon_sym_async,
    ACTIONS(4386), 1,
      anon_sym_new,
    ACTIONS(4388), 1,
      anon_sym_static,
    ACTIONS(4390), 1,
      anon_sym_readonly,
    ACTIONS(4396), 1,
      anon_sym_override,
    STATE(2263), 1,
      sym_comment,
    STATE(3635), 1,
      sym_accessibility_modifier,
    STATE(3674), 1,
      sym_override_modifier,
    STATE(4031), 1,
      sym__property_name,
    STATE(4200), 1,
      sym_formal_parameters,
    STATE(5071), 1,
      sym__call_signature,
    STATE(5700), 1,
      sym_decorator,
    STATE(5733), 1,
      aux_sym_export_statement_repeat1,
    STATE(6630), 1,
      sym_type_parameters,
    ACTIONS(3892), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3894), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4392), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4468), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    STATE(4151), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4394), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(5296), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4372), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [22641] = 33,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1902), 1,
      anon_sym_LT,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(3882), 1,
      anon_sym_LPAREN,
    ACTIONS(3906), 1,
      anon_sym_abstract,
    ACTIONS(4374), 1,
      anon_sym_export,
    ACTIONS(4376), 1,
      anon_sym_STAR,
    ACTIONS(4382), 1,
      anon_sym_LBRACK,
    ACTIONS(4384), 1,
      anon_sym_async,
    ACTIONS(4386), 1,
      anon_sym_new,
    ACTIONS(4388), 1,
      anon_sym_static,
    ACTIONS(4390), 1,
      anon_sym_readonly,
    ACTIONS(4396), 1,
      anon_sym_override,
    STATE(2264), 1,
      sym_comment,
    STATE(3635), 1,
      sym_accessibility_modifier,
    STATE(3674), 1,
      sym_override_modifier,
    STATE(4031), 1,
      sym__property_name,
    STATE(4200), 1,
      sym_formal_parameters,
    STATE(5071), 1,
      sym__call_signature,
    STATE(5700), 1,
      sym_decorator,
    STATE(5733), 1,
      aux_sym_export_statement_repeat1,
    STATE(6630), 1,
      sym_type_parameters,
    ACTIONS(3892), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3894), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4392), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4470), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    STATE(4151), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4394), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(5296), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4372), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [22764] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1354), 1,
      anon_sym_EQ,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4264), 1,
      anon_sym_EQ_GT,
    STATE(2265), 1,
      sym_comment,
    ACTIONS(211), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(2691), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [22837] = 33,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1902), 1,
      anon_sym_LT,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(3882), 1,
      anon_sym_LPAREN,
    ACTIONS(3906), 1,
      anon_sym_abstract,
    ACTIONS(4374), 1,
      anon_sym_export,
    ACTIONS(4376), 1,
      anon_sym_STAR,
    ACTIONS(4382), 1,
      anon_sym_LBRACK,
    ACTIONS(4384), 1,
      anon_sym_async,
    ACTIONS(4386), 1,
      anon_sym_new,
    ACTIONS(4388), 1,
      anon_sym_static,
    ACTIONS(4390), 1,
      anon_sym_readonly,
    ACTIONS(4396), 1,
      anon_sym_override,
    STATE(2266), 1,
      sym_comment,
    STATE(3635), 1,
      sym_accessibility_modifier,
    STATE(3674), 1,
      sym_override_modifier,
    STATE(4031), 1,
      sym__property_name,
    STATE(4200), 1,
      sym_formal_parameters,
    STATE(5071), 1,
      sym__call_signature,
    STATE(5700), 1,
      sym_decorator,
    STATE(5733), 1,
      aux_sym_export_statement_repeat1,
    STATE(6630), 1,
      sym_type_parameters,
    ACTIONS(3892), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3894), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4392), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4472), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    STATE(4151), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4394), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(5296), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4372), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [22960] = 33,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1902), 1,
      anon_sym_LT,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(3882), 1,
      anon_sym_LPAREN,
    ACTIONS(3906), 1,
      anon_sym_abstract,
    ACTIONS(4374), 1,
      anon_sym_export,
    ACTIONS(4376), 1,
      anon_sym_STAR,
    ACTIONS(4382), 1,
      anon_sym_LBRACK,
    ACTIONS(4384), 1,
      anon_sym_async,
    ACTIONS(4386), 1,
      anon_sym_new,
    ACTIONS(4388), 1,
      anon_sym_static,
    ACTIONS(4390), 1,
      anon_sym_readonly,
    ACTIONS(4396), 1,
      anon_sym_override,
    STATE(2267), 1,
      sym_comment,
    STATE(3635), 1,
      sym_accessibility_modifier,
    STATE(3674), 1,
      sym_override_modifier,
    STATE(4031), 1,
      sym__property_name,
    STATE(4200), 1,
      sym_formal_parameters,
    STATE(5071), 1,
      sym__call_signature,
    STATE(5700), 1,
      sym_decorator,
    STATE(5733), 1,
      aux_sym_export_statement_repeat1,
    STATE(6630), 1,
      sym_type_parameters,
    ACTIONS(3892), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3894), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4392), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4474), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    STATE(4151), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4394), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(5296), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4372), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [23083] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4244), 1,
      anon_sym_EQ_GT,
    ACTIONS(4476), 1,
      anon_sym_EQ,
    STATE(2268), 1,
      sym_comment,
    ACTIONS(4125), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4139), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4121), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [23156] = 33,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1902), 1,
      anon_sym_LT,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(3882), 1,
      anon_sym_LPAREN,
    ACTIONS(3906), 1,
      anon_sym_abstract,
    ACTIONS(4374), 1,
      anon_sym_export,
    ACTIONS(4376), 1,
      anon_sym_STAR,
    ACTIONS(4382), 1,
      anon_sym_LBRACK,
    ACTIONS(4384), 1,
      anon_sym_async,
    ACTIONS(4386), 1,
      anon_sym_new,
    ACTIONS(4388), 1,
      anon_sym_static,
    ACTIONS(4390), 1,
      anon_sym_readonly,
    ACTIONS(4396), 1,
      anon_sym_override,
    STATE(2269), 1,
      sym_comment,
    STATE(3635), 1,
      sym_accessibility_modifier,
    STATE(3674), 1,
      sym_override_modifier,
    STATE(4031), 1,
      sym__property_name,
    STATE(4200), 1,
      sym_formal_parameters,
    STATE(5071), 1,
      sym__call_signature,
    STATE(5700), 1,
      sym_decorator,
    STATE(5733), 1,
      aux_sym_export_statement_repeat1,
    STATE(6630), 1,
      sym_type_parameters,
    ACTIONS(3892), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3894), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4392), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4478), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    STATE(4151), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4394), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(5296), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4372), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [23279] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4222), 1,
      anon_sym_EQ,
    ACTIONS(4242), 1,
      anon_sym_COLON,
    STATE(2270), 1,
      sym_comment,
    ACTIONS(4125), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4139), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4121), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [23352] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1346), 1,
      anon_sym_EQ,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4264), 1,
      anon_sym_EQ_GT,
    STATE(2271), 1,
      sym_comment,
    ACTIONS(211), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(2691), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [23425] = 33,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1902), 1,
      anon_sym_LT,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(3882), 1,
      anon_sym_LPAREN,
    ACTIONS(3906), 1,
      anon_sym_abstract,
    ACTIONS(4374), 1,
      anon_sym_export,
    ACTIONS(4376), 1,
      anon_sym_STAR,
    ACTIONS(4382), 1,
      anon_sym_LBRACK,
    ACTIONS(4384), 1,
      anon_sym_async,
    ACTIONS(4386), 1,
      anon_sym_new,
    ACTIONS(4388), 1,
      anon_sym_static,
    ACTIONS(4390), 1,
      anon_sym_readonly,
    ACTIONS(4396), 1,
      anon_sym_override,
    STATE(2272), 1,
      sym_comment,
    STATE(3635), 1,
      sym_accessibility_modifier,
    STATE(3674), 1,
      sym_override_modifier,
    STATE(4031), 1,
      sym__property_name,
    STATE(4200), 1,
      sym_formal_parameters,
    STATE(5071), 1,
      sym__call_signature,
    STATE(5700), 1,
      sym_decorator,
    STATE(5733), 1,
      aux_sym_export_statement_repeat1,
    STATE(6630), 1,
      sym_type_parameters,
    ACTIONS(3892), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3894), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4392), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4480), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    STATE(4151), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4394), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(5296), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4372), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [23548] = 33,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1902), 1,
      anon_sym_LT,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(3882), 1,
      anon_sym_LPAREN,
    ACTIONS(3906), 1,
      anon_sym_abstract,
    ACTIONS(4374), 1,
      anon_sym_export,
    ACTIONS(4376), 1,
      anon_sym_STAR,
    ACTIONS(4382), 1,
      anon_sym_LBRACK,
    ACTIONS(4384), 1,
      anon_sym_async,
    ACTIONS(4386), 1,
      anon_sym_new,
    ACTIONS(4388), 1,
      anon_sym_static,
    ACTIONS(4390), 1,
      anon_sym_readonly,
    ACTIONS(4396), 1,
      anon_sym_override,
    STATE(2273), 1,
      sym_comment,
    STATE(3635), 1,
      sym_accessibility_modifier,
    STATE(3674), 1,
      sym_override_modifier,
    STATE(4031), 1,
      sym__property_name,
    STATE(4200), 1,
      sym_formal_parameters,
    STATE(5071), 1,
      sym__call_signature,
    STATE(5700), 1,
      sym_decorator,
    STATE(5733), 1,
      aux_sym_export_statement_repeat1,
    STATE(6630), 1,
      sym_type_parameters,
    ACTIONS(3892), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3894), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4392), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4482), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    STATE(4151), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4394), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(5296), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4372), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [23671] = 33,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1902), 1,
      anon_sym_LT,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(3882), 1,
      anon_sym_LPAREN,
    ACTIONS(3906), 1,
      anon_sym_abstract,
    ACTIONS(4374), 1,
      anon_sym_export,
    ACTIONS(4376), 1,
      anon_sym_STAR,
    ACTIONS(4382), 1,
      anon_sym_LBRACK,
    ACTIONS(4384), 1,
      anon_sym_async,
    ACTIONS(4386), 1,
      anon_sym_new,
    ACTIONS(4388), 1,
      anon_sym_static,
    ACTIONS(4390), 1,
      anon_sym_readonly,
    ACTIONS(4396), 1,
      anon_sym_override,
    STATE(2274), 1,
      sym_comment,
    STATE(3635), 1,
      sym_accessibility_modifier,
    STATE(3674), 1,
      sym_override_modifier,
    STATE(4031), 1,
      sym__property_name,
    STATE(4200), 1,
      sym_formal_parameters,
    STATE(5071), 1,
      sym__call_signature,
    STATE(5700), 1,
      sym_decorator,
    STATE(5733), 1,
      aux_sym_export_statement_repeat1,
    STATE(6630), 1,
      sym_type_parameters,
    ACTIONS(3892), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3894), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4392), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4484), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    STATE(4151), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4394), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(5296), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4372), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [23794] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4244), 1,
      anon_sym_EQ_GT,
    ACTIONS(4486), 1,
      anon_sym_EQ,
    STATE(2275), 1,
      sym_comment,
    ACTIONS(4125), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4139), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4121), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [23867] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1350), 1,
      anon_sym_EQ,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4264), 1,
      anon_sym_EQ_GT,
    STATE(2276), 1,
      sym_comment,
    ACTIONS(211), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(2691), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [23940] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4222), 1,
      anon_sym_EQ,
    ACTIONS(4244), 1,
      anon_sym_EQ_GT,
    STATE(2277), 1,
      sym_comment,
    ACTIONS(4125), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4139), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4121), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [24013] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4244), 1,
      anon_sym_EQ_GT,
    ACTIONS(4488), 1,
      anon_sym_EQ,
    STATE(2278), 1,
      sym_comment,
    ACTIONS(4125), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4139), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4121), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [24086] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1356), 1,
      anon_sym_EQ,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4264), 1,
      anon_sym_EQ_GT,
    STATE(2279), 1,
      sym_comment,
    ACTIONS(211), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(2691), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [24159] = 33,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1902), 1,
      anon_sym_LT,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(3882), 1,
      anon_sym_LPAREN,
    ACTIONS(3906), 1,
      anon_sym_abstract,
    ACTIONS(4374), 1,
      anon_sym_export,
    ACTIONS(4376), 1,
      anon_sym_STAR,
    ACTIONS(4382), 1,
      anon_sym_LBRACK,
    ACTIONS(4384), 1,
      anon_sym_async,
    ACTIONS(4386), 1,
      anon_sym_new,
    ACTIONS(4388), 1,
      anon_sym_static,
    ACTIONS(4390), 1,
      anon_sym_readonly,
    ACTIONS(4396), 1,
      anon_sym_override,
    STATE(2280), 1,
      sym_comment,
    STATE(3635), 1,
      sym_accessibility_modifier,
    STATE(3674), 1,
      sym_override_modifier,
    STATE(4031), 1,
      sym__property_name,
    STATE(4200), 1,
      sym_formal_parameters,
    STATE(5071), 1,
      sym__call_signature,
    STATE(5700), 1,
      sym_decorator,
    STATE(5733), 1,
      aux_sym_export_statement_repeat1,
    STATE(6630), 1,
      sym_type_parameters,
    ACTIONS(3892), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3894), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4392), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4490), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    STATE(4151), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4394), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(5296), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4372), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [24282] = 33,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1902), 1,
      anon_sym_LT,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(3882), 1,
      anon_sym_LPAREN,
    ACTIONS(3906), 1,
      anon_sym_abstract,
    ACTIONS(4374), 1,
      anon_sym_export,
    ACTIONS(4376), 1,
      anon_sym_STAR,
    ACTIONS(4382), 1,
      anon_sym_LBRACK,
    ACTIONS(4384), 1,
      anon_sym_async,
    ACTIONS(4386), 1,
      anon_sym_new,
    ACTIONS(4388), 1,
      anon_sym_static,
    ACTIONS(4390), 1,
      anon_sym_readonly,
    ACTIONS(4396), 1,
      anon_sym_override,
    STATE(2281), 1,
      sym_comment,
    STATE(3635), 1,
      sym_accessibility_modifier,
    STATE(3674), 1,
      sym_override_modifier,
    STATE(4031), 1,
      sym__property_name,
    STATE(4200), 1,
      sym_formal_parameters,
    STATE(5071), 1,
      sym__call_signature,
    STATE(5700), 1,
      sym_decorator,
    STATE(5733), 1,
      aux_sym_export_statement_repeat1,
    STATE(6630), 1,
      sym_type_parameters,
    ACTIONS(3892), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3894), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4392), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4492), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    STATE(4151), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4394), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(5296), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4372), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [24405] = 33,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1902), 1,
      anon_sym_LT,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(3882), 1,
      anon_sym_LPAREN,
    ACTIONS(3906), 1,
      anon_sym_abstract,
    ACTIONS(4374), 1,
      anon_sym_export,
    ACTIONS(4376), 1,
      anon_sym_STAR,
    ACTIONS(4382), 1,
      anon_sym_LBRACK,
    ACTIONS(4384), 1,
      anon_sym_async,
    ACTIONS(4386), 1,
      anon_sym_new,
    ACTIONS(4388), 1,
      anon_sym_static,
    ACTIONS(4390), 1,
      anon_sym_readonly,
    ACTIONS(4396), 1,
      anon_sym_override,
    STATE(2282), 1,
      sym_comment,
    STATE(3635), 1,
      sym_accessibility_modifier,
    STATE(3674), 1,
      sym_override_modifier,
    STATE(4031), 1,
      sym__property_name,
    STATE(4200), 1,
      sym_formal_parameters,
    STATE(5071), 1,
      sym__call_signature,
    STATE(5700), 1,
      sym_decorator,
    STATE(5733), 1,
      aux_sym_export_statement_repeat1,
    STATE(6630), 1,
      sym_type_parameters,
    ACTIONS(3892), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3894), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4392), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4494), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    STATE(4151), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4394), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(5296), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4372), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [24528] = 33,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1902), 1,
      anon_sym_LT,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(3882), 1,
      anon_sym_LPAREN,
    ACTIONS(3906), 1,
      anon_sym_abstract,
    ACTIONS(4374), 1,
      anon_sym_export,
    ACTIONS(4376), 1,
      anon_sym_STAR,
    ACTIONS(4382), 1,
      anon_sym_LBRACK,
    ACTIONS(4384), 1,
      anon_sym_async,
    ACTIONS(4386), 1,
      anon_sym_new,
    ACTIONS(4388), 1,
      anon_sym_static,
    ACTIONS(4390), 1,
      anon_sym_readonly,
    ACTIONS(4396), 1,
      anon_sym_override,
    STATE(2283), 1,
      sym_comment,
    STATE(3635), 1,
      sym_accessibility_modifier,
    STATE(3674), 1,
      sym_override_modifier,
    STATE(4031), 1,
      sym__property_name,
    STATE(4200), 1,
      sym_formal_parameters,
    STATE(5071), 1,
      sym__call_signature,
    STATE(5700), 1,
      sym_decorator,
    STATE(5733), 1,
      aux_sym_export_statement_repeat1,
    STATE(6630), 1,
      sym_type_parameters,
    ACTIONS(3892), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3894), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4392), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4496), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    STATE(4151), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4394), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(5296), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4372), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [24651] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4476), 1,
      anon_sym_EQ,
    STATE(2284), 1,
      sym_comment,
    ACTIONS(4125), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4139), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4121), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [24721] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4486), 1,
      anon_sym_EQ,
    STATE(2285), 1,
      sym_comment,
    ACTIONS(4125), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4139), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4121), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [24791] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4444), 1,
      anon_sym_EQ,
    STATE(2286), 1,
      sym_comment,
    ACTIONS(4125), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4139), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4121), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [24861] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4450), 1,
      anon_sym_EQ,
    STATE(2287), 1,
      sym_comment,
    ACTIONS(4125), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4139), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4121), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [24931] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4452), 1,
      anon_sym_EQ,
    STATE(2288), 1,
      sym_comment,
    ACTIONS(4125), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4139), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4121), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [25001] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4432), 1,
      anon_sym_EQ,
    STATE(2289), 1,
      sym_comment,
    ACTIONS(4125), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4139), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4121), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [25071] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4454), 1,
      anon_sym_EQ,
    STATE(2290), 1,
      sym_comment,
    ACTIONS(4125), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4139), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4121), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [25141] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4440), 1,
      anon_sym_EQ,
    STATE(2291), 1,
      sym_comment,
    ACTIONS(4125), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4139), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4121), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [25211] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4488), 1,
      anon_sym_EQ,
    STATE(2292), 1,
      sym_comment,
    ACTIONS(4125), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4139), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4121), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [25281] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1902), 1,
      anon_sym_LT,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(3882), 1,
      anon_sym_LPAREN,
    ACTIONS(3906), 1,
      anon_sym_abstract,
    ACTIONS(4374), 1,
      anon_sym_export,
    ACTIONS(4376), 1,
      anon_sym_STAR,
    ACTIONS(4382), 1,
      anon_sym_LBRACK,
    ACTIONS(4384), 1,
      anon_sym_async,
    ACTIONS(4386), 1,
      anon_sym_new,
    ACTIONS(4388), 1,
      anon_sym_static,
    ACTIONS(4390), 1,
      anon_sym_readonly,
    ACTIONS(4396), 1,
      anon_sym_override,
    STATE(2293), 1,
      sym_comment,
    STATE(3635), 1,
      sym_accessibility_modifier,
    STATE(3674), 1,
      sym_override_modifier,
    STATE(4031), 1,
      sym__property_name,
    STATE(4200), 1,
      sym_formal_parameters,
    STATE(5071), 1,
      sym__call_signature,
    STATE(5700), 1,
      sym_decorator,
    STATE(5733), 1,
      aux_sym_export_statement_repeat1,
    STATE(6630), 1,
      sym_type_parameters,
    ACTIONS(3892), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3894), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4392), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4151), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4394), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(4915), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4372), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [25400] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1902), 1,
      anon_sym_LT,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(3882), 1,
      anon_sym_LPAREN,
    ACTIONS(3906), 1,
      anon_sym_abstract,
    ACTIONS(4374), 1,
      anon_sym_export,
    ACTIONS(4376), 1,
      anon_sym_STAR,
    ACTIONS(4382), 1,
      anon_sym_LBRACK,
    ACTIONS(4384), 1,
      anon_sym_async,
    ACTIONS(4386), 1,
      anon_sym_new,
    ACTIONS(4388), 1,
      anon_sym_static,
    ACTIONS(4390), 1,
      anon_sym_readonly,
    ACTIONS(4396), 1,
      anon_sym_override,
    STATE(2294), 1,
      sym_comment,
    STATE(3635), 1,
      sym_accessibility_modifier,
    STATE(3674), 1,
      sym_override_modifier,
    STATE(4031), 1,
      sym__property_name,
    STATE(4200), 1,
      sym_formal_parameters,
    STATE(5071), 1,
      sym__call_signature,
    STATE(5700), 1,
      sym_decorator,
    STATE(5733), 1,
      aux_sym_export_statement_repeat1,
    STATE(6630), 1,
      sym_type_parameters,
    ACTIONS(3892), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3894), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4392), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4151), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4394), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(4877), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4372), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [25519] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1902), 1,
      anon_sym_LT,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(3882), 1,
      anon_sym_LPAREN,
    ACTIONS(3906), 1,
      anon_sym_abstract,
    ACTIONS(4374), 1,
      anon_sym_export,
    ACTIONS(4376), 1,
      anon_sym_STAR,
    ACTIONS(4382), 1,
      anon_sym_LBRACK,
    ACTIONS(4384), 1,
      anon_sym_async,
    ACTIONS(4386), 1,
      anon_sym_new,
    ACTIONS(4388), 1,
      anon_sym_static,
    ACTIONS(4390), 1,
      anon_sym_readonly,
    ACTIONS(4396), 1,
      anon_sym_override,
    STATE(2295), 1,
      sym_comment,
    STATE(3635), 1,
      sym_accessibility_modifier,
    STATE(3674), 1,
      sym_override_modifier,
    STATE(4031), 1,
      sym__property_name,
    STATE(4200), 1,
      sym_formal_parameters,
    STATE(5071), 1,
      sym__call_signature,
    STATE(5700), 1,
      sym_decorator,
    STATE(5733), 1,
      aux_sym_export_statement_repeat1,
    STATE(6630), 1,
      sym_type_parameters,
    ACTIONS(3892), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3894), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4392), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4151), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4394), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(4864), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4372), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [25638] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1902), 1,
      anon_sym_LT,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(3882), 1,
      anon_sym_LPAREN,
    ACTIONS(3906), 1,
      anon_sym_abstract,
    ACTIONS(4374), 1,
      anon_sym_export,
    ACTIONS(4376), 1,
      anon_sym_STAR,
    ACTIONS(4382), 1,
      anon_sym_LBRACK,
    ACTIONS(4384), 1,
      anon_sym_async,
    ACTIONS(4386), 1,
      anon_sym_new,
    ACTIONS(4388), 1,
      anon_sym_static,
    ACTIONS(4390), 1,
      anon_sym_readonly,
    ACTIONS(4396), 1,
      anon_sym_override,
    STATE(2296), 1,
      sym_comment,
    STATE(3635), 1,
      sym_accessibility_modifier,
    STATE(3674), 1,
      sym_override_modifier,
    STATE(4031), 1,
      sym__property_name,
    STATE(4200), 1,
      sym_formal_parameters,
    STATE(5071), 1,
      sym__call_signature,
    STATE(5700), 1,
      sym_decorator,
    STATE(5733), 1,
      aux_sym_export_statement_repeat1,
    STATE(6630), 1,
      sym_type_parameters,
    ACTIONS(3892), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3894), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4392), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4151), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4394), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(4893), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4372), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [25757] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1902), 1,
      anon_sym_LT,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(3882), 1,
      anon_sym_LPAREN,
    ACTIONS(3906), 1,
      anon_sym_abstract,
    ACTIONS(4374), 1,
      anon_sym_export,
    ACTIONS(4376), 1,
      anon_sym_STAR,
    ACTIONS(4382), 1,
      anon_sym_LBRACK,
    ACTIONS(4384), 1,
      anon_sym_async,
    ACTIONS(4386), 1,
      anon_sym_new,
    ACTIONS(4388), 1,
      anon_sym_static,
    ACTIONS(4390), 1,
      anon_sym_readonly,
    ACTIONS(4396), 1,
      anon_sym_override,
    STATE(2297), 1,
      sym_comment,
    STATE(3635), 1,
      sym_accessibility_modifier,
    STATE(3674), 1,
      sym_override_modifier,
    STATE(4031), 1,
      sym__property_name,
    STATE(4200), 1,
      sym_formal_parameters,
    STATE(5071), 1,
      sym__call_signature,
    STATE(5700), 1,
      sym_decorator,
    STATE(5733), 1,
      aux_sym_export_statement_repeat1,
    STATE(6630), 1,
      sym_type_parameters,
    ACTIONS(3892), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3894), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4392), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4151), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4394), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(4792), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4372), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [25876] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1902), 1,
      anon_sym_LT,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(3882), 1,
      anon_sym_LPAREN,
    ACTIONS(3906), 1,
      anon_sym_abstract,
    ACTIONS(4374), 1,
      anon_sym_export,
    ACTIONS(4376), 1,
      anon_sym_STAR,
    ACTIONS(4382), 1,
      anon_sym_LBRACK,
    ACTIONS(4384), 1,
      anon_sym_async,
    ACTIONS(4386), 1,
      anon_sym_new,
    ACTIONS(4388), 1,
      anon_sym_static,
    ACTIONS(4390), 1,
      anon_sym_readonly,
    ACTIONS(4396), 1,
      anon_sym_override,
    STATE(2298), 1,
      sym_comment,
    STATE(3635), 1,
      sym_accessibility_modifier,
    STATE(3674), 1,
      sym_override_modifier,
    STATE(4031), 1,
      sym__property_name,
    STATE(4200), 1,
      sym_formal_parameters,
    STATE(5071), 1,
      sym__call_signature,
    STATE(5700), 1,
      sym_decorator,
    STATE(5733), 1,
      aux_sym_export_statement_repeat1,
    STATE(6630), 1,
      sym_type_parameters,
    ACTIONS(3892), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3894), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4392), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4151), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4394), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(4935), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4372), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [25995] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1902), 1,
      anon_sym_LT,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(3882), 1,
      anon_sym_LPAREN,
    ACTIONS(3906), 1,
      anon_sym_abstract,
    ACTIONS(4374), 1,
      anon_sym_export,
    ACTIONS(4376), 1,
      anon_sym_STAR,
    ACTIONS(4382), 1,
      anon_sym_LBRACK,
    ACTIONS(4384), 1,
      anon_sym_async,
    ACTIONS(4386), 1,
      anon_sym_new,
    ACTIONS(4388), 1,
      anon_sym_static,
    ACTIONS(4390), 1,
      anon_sym_readonly,
    ACTIONS(4396), 1,
      anon_sym_override,
    STATE(2299), 1,
      sym_comment,
    STATE(3635), 1,
      sym_accessibility_modifier,
    STATE(3674), 1,
      sym_override_modifier,
    STATE(4031), 1,
      sym__property_name,
    STATE(4200), 1,
      sym_formal_parameters,
    STATE(5071), 1,
      sym__call_signature,
    STATE(5700), 1,
      sym_decorator,
    STATE(5733), 1,
      aux_sym_export_statement_repeat1,
    STATE(6630), 1,
      sym_type_parameters,
    ACTIONS(3892), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3894), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4392), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4151), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4394), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(4961), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4372), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [26114] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1902), 1,
      anon_sym_LT,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(3882), 1,
      anon_sym_LPAREN,
    ACTIONS(3906), 1,
      anon_sym_abstract,
    ACTIONS(4374), 1,
      anon_sym_export,
    ACTIONS(4376), 1,
      anon_sym_STAR,
    ACTIONS(4382), 1,
      anon_sym_LBRACK,
    ACTIONS(4384), 1,
      anon_sym_async,
    ACTIONS(4386), 1,
      anon_sym_new,
    ACTIONS(4388), 1,
      anon_sym_static,
    ACTIONS(4390), 1,
      anon_sym_readonly,
    ACTIONS(4396), 1,
      anon_sym_override,
    STATE(2300), 1,
      sym_comment,
    STATE(3635), 1,
      sym_accessibility_modifier,
    STATE(3674), 1,
      sym_override_modifier,
    STATE(4031), 1,
      sym__property_name,
    STATE(4200), 1,
      sym_formal_parameters,
    STATE(5071), 1,
      sym__call_signature,
    STATE(5700), 1,
      sym_decorator,
    STATE(5733), 1,
      aux_sym_export_statement_repeat1,
    STATE(6630), 1,
      sym_type_parameters,
    ACTIONS(3892), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3894), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4392), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4151), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4394), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(4980), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4372), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [26233] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1902), 1,
      anon_sym_LT,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(3882), 1,
      anon_sym_LPAREN,
    ACTIONS(3906), 1,
      anon_sym_abstract,
    ACTIONS(4374), 1,
      anon_sym_export,
    ACTIONS(4376), 1,
      anon_sym_STAR,
    ACTIONS(4382), 1,
      anon_sym_LBRACK,
    ACTIONS(4384), 1,
      anon_sym_async,
    ACTIONS(4386), 1,
      anon_sym_new,
    ACTIONS(4388), 1,
      anon_sym_static,
    ACTIONS(4390), 1,
      anon_sym_readonly,
    ACTIONS(4396), 1,
      anon_sym_override,
    STATE(2301), 1,
      sym_comment,
    STATE(3635), 1,
      sym_accessibility_modifier,
    STATE(3674), 1,
      sym_override_modifier,
    STATE(4031), 1,
      sym__property_name,
    STATE(4200), 1,
      sym_formal_parameters,
    STATE(5071), 1,
      sym__call_signature,
    STATE(5700), 1,
      sym_decorator,
    STATE(5733), 1,
      aux_sym_export_statement_repeat1,
    STATE(6630), 1,
      sym_type_parameters,
    ACTIONS(3892), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3894), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4392), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4151), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4394), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(4944), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4372), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [26352] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1902), 1,
      anon_sym_LT,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(3882), 1,
      anon_sym_LPAREN,
    ACTIONS(3906), 1,
      anon_sym_abstract,
    ACTIONS(4374), 1,
      anon_sym_export,
    ACTIONS(4376), 1,
      anon_sym_STAR,
    ACTIONS(4382), 1,
      anon_sym_LBRACK,
    ACTIONS(4384), 1,
      anon_sym_async,
    ACTIONS(4386), 1,
      anon_sym_new,
    ACTIONS(4388), 1,
      anon_sym_static,
    ACTIONS(4390), 1,
      anon_sym_readonly,
    ACTIONS(4396), 1,
      anon_sym_override,
    STATE(2302), 1,
      sym_comment,
    STATE(3635), 1,
      sym_accessibility_modifier,
    STATE(3674), 1,
      sym_override_modifier,
    STATE(4031), 1,
      sym__property_name,
    STATE(4200), 1,
      sym_formal_parameters,
    STATE(5071), 1,
      sym__call_signature,
    STATE(5700), 1,
      sym_decorator,
    STATE(5733), 1,
      aux_sym_export_statement_repeat1,
    STATE(6630), 1,
      sym_type_parameters,
    ACTIONS(3892), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3894), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4392), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4151), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4394), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(5296), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4372), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [26471] = 35,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2665), 1,
      anon_sym_LBRACE,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(2698), 1,
      anon_sym_AT,
    ACTIONS(2938), 1,
      anon_sym_namespace,
    ACTIONS(2940), 1,
      anon_sym_import,
    ACTIONS(2942), 1,
      anon_sym_var,
    ACTIONS(2944), 1,
      anon_sym_let,
    ACTIONS(2946), 1,
      anon_sym_const,
    ACTIONS(2948), 1,
      anon_sym_class,
    ACTIONS(2950), 1,
      anon_sym_async,
    ACTIONS(2952), 1,
      anon_sym_function,
    ACTIONS(2954), 1,
      anon_sym_declare,
    ACTIONS(2958), 1,
      anon_sym_abstract,
    ACTIONS(2962), 1,
      anon_sym_interface,
    ACTIONS(2964), 1,
      anon_sym_enum,
    ACTIONS(4498), 1,
      anon_sym_STAR,
    ACTIONS(4500), 1,
      anon_sym_default,
    ACTIONS(4502), 1,
      anon_sym_type,
    ACTIONS(4504), 1,
      anon_sym_EQ,
    ACTIONS(4506), 1,
      anon_sym_as,
    ACTIONS(4508), 1,
      anon_sym_COMMA,
    ACTIONS(4511), 1,
      anon_sym_RBRACE,
    ACTIONS(4516), 1,
      anon_sym_module,
    STATE(2303), 1,
      sym_comment,
    STATE(5204), 1,
      sym_declaration,
    STATE(5206), 1,
      sym_internal_module,
    STATE(5375), 1,
      aux_sym_export_statement_repeat1,
    STATE(5584), 1,
      sym_export_clause,
    STATE(5700), 1,
      sym_decorator,
    STATE(6171), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6333), 1,
      aux_sym_object_repeat1,
    STATE(7103), 1,
      sym_namespace_export,
    ACTIONS(4514), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    STATE(5192), 13,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
      sym_function_signature,
      sym_ambient_declaration,
      sym_abstract_class_declaration,
      sym_module,
      sym_import_alias,
      sym_interface_declaration,
      sym_enum_declaration,
      sym_type_alias_declaration,
  [26595] = 35,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2665), 1,
      anon_sym_LBRACE,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(2698), 1,
      anon_sym_AT,
    ACTIONS(2938), 1,
      anon_sym_namespace,
    ACTIONS(2940), 1,
      anon_sym_import,
    ACTIONS(2942), 1,
      anon_sym_var,
    ACTIONS(2944), 1,
      anon_sym_let,
    ACTIONS(2946), 1,
      anon_sym_const,
    ACTIONS(2948), 1,
      anon_sym_class,
    ACTIONS(2950), 1,
      anon_sym_async,
    ACTIONS(2952), 1,
      anon_sym_function,
    ACTIONS(2954), 1,
      anon_sym_declare,
    ACTIONS(2958), 1,
      anon_sym_abstract,
    ACTIONS(2962), 1,
      anon_sym_interface,
    ACTIONS(2964), 1,
      anon_sym_enum,
    ACTIONS(4498), 1,
      anon_sym_STAR,
    ACTIONS(4500), 1,
      anon_sym_default,
    ACTIONS(4502), 1,
      anon_sym_type,
    ACTIONS(4504), 1,
      anon_sym_EQ,
    ACTIONS(4506), 1,
      anon_sym_as,
    ACTIONS(4508), 1,
      anon_sym_COMMA,
    ACTIONS(4516), 1,
      anon_sym_module,
    ACTIONS(4518), 1,
      anon_sym_RBRACE,
    STATE(2304), 1,
      sym_comment,
    STATE(5204), 1,
      sym_declaration,
    STATE(5206), 1,
      sym_internal_module,
    STATE(5375), 1,
      aux_sym_export_statement_repeat1,
    STATE(5584), 1,
      sym_export_clause,
    STATE(5700), 1,
      sym_decorator,
    STATE(6171), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6333), 1,
      aux_sym_object_repeat1,
    STATE(7103), 1,
      sym_namespace_export,
    ACTIONS(4514), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    STATE(5192), 13,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
      sym_function_signature,
      sym_ambient_declaration,
      sym_abstract_class_declaration,
      sym_module,
      sym_import_alias,
      sym_interface_declaration,
      sym_enum_declaration,
      sym_type_alias_declaration,
  [26719] = 35,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2665), 1,
      anon_sym_LBRACE,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(2698), 1,
      anon_sym_AT,
    ACTIONS(2938), 1,
      anon_sym_namespace,
    ACTIONS(2940), 1,
      anon_sym_import,
    ACTIONS(2942), 1,
      anon_sym_var,
    ACTIONS(2944), 1,
      anon_sym_let,
    ACTIONS(2946), 1,
      anon_sym_const,
    ACTIONS(2948), 1,
      anon_sym_class,
    ACTIONS(2950), 1,
      anon_sym_async,
    ACTIONS(2952), 1,
      anon_sym_function,
    ACTIONS(2954), 1,
      anon_sym_declare,
    ACTIONS(2958), 1,
      anon_sym_abstract,
    ACTIONS(2962), 1,
      anon_sym_interface,
    ACTIONS(2964), 1,
      anon_sym_enum,
    ACTIONS(4498), 1,
      anon_sym_STAR,
    ACTIONS(4500), 1,
      anon_sym_default,
    ACTIONS(4502), 1,
      anon_sym_type,
    ACTIONS(4504), 1,
      anon_sym_EQ,
    ACTIONS(4506), 1,
      anon_sym_as,
    ACTIONS(4508), 1,
      anon_sym_COMMA,
    ACTIONS(4516), 1,
      anon_sym_module,
    ACTIONS(4521), 1,
      anon_sym_RBRACE,
    STATE(2305), 1,
      sym_comment,
    STATE(5204), 1,
      sym_declaration,
    STATE(5206), 1,
      sym_internal_module,
    STATE(5375), 1,
      aux_sym_export_statement_repeat1,
    STATE(5584), 1,
      sym_export_clause,
    STATE(5700), 1,
      sym_decorator,
    STATE(6171), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6333), 1,
      aux_sym_object_repeat1,
    STATE(7103), 1,
      sym_namespace_export,
    ACTIONS(4514), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    STATE(5192), 13,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
      sym_function_signature,
      sym_ambient_declaration,
      sym_abstract_class_declaration,
      sym_module,
      sym_import_alias,
      sym_interface_declaration,
      sym_enum_declaration,
      sym_type_alias_declaration,
  [26843] = 35,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2665), 1,
      anon_sym_LBRACE,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(2698), 1,
      anon_sym_AT,
    ACTIONS(2938), 1,
      anon_sym_namespace,
    ACTIONS(2940), 1,
      anon_sym_import,
    ACTIONS(2942), 1,
      anon_sym_var,
    ACTIONS(2944), 1,
      anon_sym_let,
    ACTIONS(2946), 1,
      anon_sym_const,
    ACTIONS(2948), 1,
      anon_sym_class,
    ACTIONS(2950), 1,
      anon_sym_async,
    ACTIONS(2952), 1,
      anon_sym_function,
    ACTIONS(2954), 1,
      anon_sym_declare,
    ACTIONS(2958), 1,
      anon_sym_abstract,
    ACTIONS(2962), 1,
      anon_sym_interface,
    ACTIONS(2964), 1,
      anon_sym_enum,
    ACTIONS(4498), 1,
      anon_sym_STAR,
    ACTIONS(4500), 1,
      anon_sym_default,
    ACTIONS(4502), 1,
      anon_sym_type,
    ACTIONS(4504), 1,
      anon_sym_EQ,
    ACTIONS(4506), 1,
      anon_sym_as,
    ACTIONS(4508), 1,
      anon_sym_COMMA,
    ACTIONS(4516), 1,
      anon_sym_module,
    ACTIONS(4524), 1,
      anon_sym_RBRACE,
    STATE(2306), 1,
      sym_comment,
    STATE(5204), 1,
      sym_declaration,
    STATE(5206), 1,
      sym_internal_module,
    STATE(5375), 1,
      aux_sym_export_statement_repeat1,
    STATE(5584), 1,
      sym_export_clause,
    STATE(5700), 1,
      sym_decorator,
    STATE(6171), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6333), 1,
      aux_sym_object_repeat1,
    STATE(7103), 1,
      sym_namespace_export,
    ACTIONS(4514), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    STATE(5192), 13,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
      sym_function_signature,
      sym_ambient_declaration,
      sym_abstract_class_declaration,
      sym_module,
      sym_import_alias,
      sym_interface_declaration,
      sym_enum_declaration,
      sym_type_alias_declaration,
  [26967] = 35,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2665), 1,
      anon_sym_LBRACE,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(2698), 1,
      anon_sym_AT,
    ACTIONS(2938), 1,
      anon_sym_namespace,
    ACTIONS(2940), 1,
      anon_sym_import,
    ACTIONS(2942), 1,
      anon_sym_var,
    ACTIONS(2944), 1,
      anon_sym_let,
    ACTIONS(2946), 1,
      anon_sym_const,
    ACTIONS(2948), 1,
      anon_sym_class,
    ACTIONS(2950), 1,
      anon_sym_async,
    ACTIONS(2952), 1,
      anon_sym_function,
    ACTIONS(2954), 1,
      anon_sym_declare,
    ACTIONS(2958), 1,
      anon_sym_abstract,
    ACTIONS(2962), 1,
      anon_sym_interface,
    ACTIONS(2964), 1,
      anon_sym_enum,
    ACTIONS(4498), 1,
      anon_sym_STAR,
    ACTIONS(4500), 1,
      anon_sym_default,
    ACTIONS(4502), 1,
      anon_sym_type,
    ACTIONS(4504), 1,
      anon_sym_EQ,
    ACTIONS(4506), 1,
      anon_sym_as,
    ACTIONS(4508), 1,
      anon_sym_COMMA,
    ACTIONS(4516), 1,
      anon_sym_module,
    ACTIONS(4527), 1,
      anon_sym_RBRACE,
    STATE(2307), 1,
      sym_comment,
    STATE(5204), 1,
      sym_declaration,
    STATE(5206), 1,
      sym_internal_module,
    STATE(5375), 1,
      aux_sym_export_statement_repeat1,
    STATE(5584), 1,
      sym_export_clause,
    STATE(5700), 1,
      sym_decorator,
    STATE(6165), 1,
      aux_sym_object_repeat1,
    STATE(6171), 1,
      aux_sym_object_pattern_repeat1,
    STATE(7103), 1,
      sym_namespace_export,
    ACTIONS(4514), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    STATE(5192), 13,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
      sym_function_signature,
      sym_ambient_declaration,
      sym_abstract_class_declaration,
      sym_module,
      sym_import_alias,
      sym_interface_declaration,
      sym_enum_declaration,
      sym_type_alias_declaration,
  [27091] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(4382), 1,
      anon_sym_LBRACK,
    ACTIONS(4396), 1,
      anon_sym_override,
    ACTIONS(4530), 1,
      anon_sym_STAR,
    ACTIONS(4532), 1,
      anon_sym_RBRACE,
    ACTIONS(4534), 1,
      anon_sym_SEMI,
    ACTIONS(4536), 1,
      anon_sym_async,
    ACTIONS(4538), 1,
      anon_sym_AT,
    ACTIONS(4540), 1,
      anon_sym_static,
    ACTIONS(4542), 1,
      anon_sym_readonly,
    ACTIONS(4546), 1,
      anon_sym_declare,
    ACTIONS(4550), 1,
      anon_sym_abstract,
    STATE(2308), 1,
      sym_comment,
    STATE(2310), 1,
      aux_sym_class_body_repeat1,
    STATE(3436), 1,
      aux_sym_export_statement_repeat1,
    STATE(3508), 1,
      sym_method_definition,
    STATE(3566), 1,
      sym_class_static_block,
    STATE(3582), 1,
      sym_accessibility_modifier,
    STATE(3667), 1,
      sym_override_modifier,
    STATE(3712), 1,
      sym_decorator,
    STATE(3975), 1,
      sym__property_name,
    STATE(5558), 1,
      sym_method_signature,
    ACTIONS(3892), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3894), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4544), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4151), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4548), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(6097), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(4372), 13,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [27208] = 29,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(225), 1,
      anon_sym_STAR,
    ACTIONS(231), 1,
      anon_sym_COMMA,
    ACTIONS(243), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(3876), 1,
      anon_sym_LBRACE,
    ACTIONS(4554), 1,
      anon_sym_RBRACE,
    ACTIONS(4556), 1,
      anon_sym_LBRACK,
    ACTIONS(4558), 1,
      anon_sym_async,
    ACTIONS(4560), 1,
      anon_sym_static,
    ACTIONS(4562), 1,
      anon_sym_readonly,
    ACTIONS(4568), 1,
      anon_sym_override,
    STATE(2309), 1,
      sym_comment,
    STATE(3651), 1,
      sym_accessibility_modifier,
    STATE(3663), 1,
      sym_override_modifier,
    STATE(4662), 1,
      sym__property_name,
    STATE(5945), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6441), 1,
      aux_sym_object_repeat1,
    STATE(7361), 1,
      sym__destructuring_pattern,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4564), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4283), 2,
      sym_object_pattern,
      sym_array_pattern,
    STATE(4740), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4566), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(5931), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(6446), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
    ACTIONS(4552), 14,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [27319] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(4382), 1,
      anon_sym_LBRACK,
    ACTIONS(4396), 1,
      anon_sym_override,
    ACTIONS(4530), 1,
      anon_sym_STAR,
    ACTIONS(4534), 1,
      anon_sym_SEMI,
    ACTIONS(4536), 1,
      anon_sym_async,
    ACTIONS(4538), 1,
      anon_sym_AT,
    ACTIONS(4540), 1,
      anon_sym_static,
    ACTIONS(4542), 1,
      anon_sym_readonly,
    ACTIONS(4546), 1,
      anon_sym_declare,
    ACTIONS(4550), 1,
      anon_sym_abstract,
    ACTIONS(4570), 1,
      anon_sym_RBRACE,
    STATE(2310), 1,
      sym_comment,
    STATE(2342), 1,
      aux_sym_class_body_repeat1,
    STATE(3436), 1,
      aux_sym_export_statement_repeat1,
    STATE(3508), 1,
      sym_method_definition,
    STATE(3566), 1,
      sym_class_static_block,
    STATE(3582), 1,
      sym_accessibility_modifier,
    STATE(3667), 1,
      sym_override_modifier,
    STATE(3712), 1,
      sym_decorator,
    STATE(3975), 1,
      sym__property_name,
    STATE(5558), 1,
      sym_method_signature,
    ACTIONS(3892), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3894), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4544), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4151), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4548), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(6097), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(4372), 13,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [27436] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(4382), 1,
      anon_sym_LBRACK,
    ACTIONS(4396), 1,
      anon_sym_override,
    ACTIONS(4530), 1,
      anon_sym_STAR,
    ACTIONS(4534), 1,
      anon_sym_SEMI,
    ACTIONS(4536), 1,
      anon_sym_async,
    ACTIONS(4538), 1,
      anon_sym_AT,
    ACTIONS(4540), 1,
      anon_sym_static,
    ACTIONS(4542), 1,
      anon_sym_readonly,
    ACTIONS(4546), 1,
      anon_sym_declare,
    ACTIONS(4550), 1,
      anon_sym_abstract,
    ACTIONS(4572), 1,
      anon_sym_RBRACE,
    STATE(2311), 1,
      sym_comment,
    STATE(2344), 1,
      aux_sym_class_body_repeat1,
    STATE(3436), 1,
      aux_sym_export_statement_repeat1,
    STATE(3508), 1,
      sym_method_definition,
    STATE(3566), 1,
      sym_class_static_block,
    STATE(3582), 1,
      sym_accessibility_modifier,
    STATE(3667), 1,
      sym_override_modifier,
    STATE(3712), 1,
      sym_decorator,
    STATE(3975), 1,
      sym__property_name,
    STATE(5558), 1,
      sym_method_signature,
    ACTIONS(3892), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3894), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4544), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4151), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4548), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(6097), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(4372), 13,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [27553] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(4382), 1,
      anon_sym_LBRACK,
    ACTIONS(4396), 1,
      anon_sym_override,
    ACTIONS(4530), 1,
      anon_sym_STAR,
    ACTIONS(4534), 1,
      anon_sym_SEMI,
    ACTIONS(4536), 1,
      anon_sym_async,
    ACTIONS(4538), 1,
      anon_sym_AT,
    ACTIONS(4540), 1,
      anon_sym_static,
    ACTIONS(4542), 1,
      anon_sym_readonly,
    ACTIONS(4546), 1,
      anon_sym_declare,
    ACTIONS(4550), 1,
      anon_sym_abstract,
    ACTIONS(4574), 1,
      anon_sym_RBRACE,
    STATE(2312), 1,
      sym_comment,
    STATE(2342), 1,
      aux_sym_class_body_repeat1,
    STATE(3436), 1,
      aux_sym_export_statement_repeat1,
    STATE(3508), 1,
      sym_method_definition,
    STATE(3566), 1,
      sym_class_static_block,
    STATE(3582), 1,
      sym_accessibility_modifier,
    STATE(3667), 1,
      sym_override_modifier,
    STATE(3712), 1,
      sym_decorator,
    STATE(3975), 1,
      sym__property_name,
    STATE(5558), 1,
      sym_method_signature,
    ACTIONS(3892), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3894), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4544), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4151), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4548), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(6097), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(4372), 13,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [27670] = 29,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(225), 1,
      anon_sym_STAR,
    ACTIONS(231), 1,
      anon_sym_COMMA,
    ACTIONS(243), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(3876), 1,
      anon_sym_LBRACE,
    ACTIONS(4556), 1,
      anon_sym_LBRACK,
    ACTIONS(4578), 1,
      anon_sym_RBRACE,
    ACTIONS(4580), 1,
      anon_sym_async,
    ACTIONS(4582), 1,
      anon_sym_static,
    ACTIONS(4584), 1,
      anon_sym_readonly,
    ACTIONS(4590), 1,
      anon_sym_override,
    STATE(2313), 1,
      sym_comment,
    STATE(3651), 1,
      sym_accessibility_modifier,
    STATE(3663), 1,
      sym_override_modifier,
    STATE(4662), 1,
      sym__property_name,
    STATE(5939), 1,
      aux_sym_object_repeat1,
    STATE(5945), 1,
      aux_sym_object_pattern_repeat1,
    STATE(7361), 1,
      sym__destructuring_pattern,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4586), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4283), 2,
      sym_object_pattern,
      sym_array_pattern,
    STATE(4740), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4588), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(5931), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(5935), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
    ACTIONS(4576), 14,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [27781] = 29,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(225), 1,
      anon_sym_STAR,
    ACTIONS(231), 1,
      anon_sym_COMMA,
    ACTIONS(243), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(3876), 1,
      anon_sym_LBRACE,
    ACTIONS(4556), 1,
      anon_sym_LBRACK,
    ACTIONS(4594), 1,
      anon_sym_RBRACE,
    ACTIONS(4596), 1,
      anon_sym_async,
    ACTIONS(4598), 1,
      anon_sym_static,
    ACTIONS(4600), 1,
      anon_sym_readonly,
    ACTIONS(4606), 1,
      anon_sym_override,
    STATE(2314), 1,
      sym_comment,
    STATE(3651), 1,
      sym_accessibility_modifier,
    STATE(3663), 1,
      sym_override_modifier,
    STATE(4662), 1,
      sym__property_name,
    STATE(5945), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6441), 1,
      aux_sym_object_repeat1,
    STATE(7361), 1,
      sym__destructuring_pattern,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4602), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4283), 2,
      sym_object_pattern,
      sym_array_pattern,
    STATE(4740), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4604), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(5931), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(6446), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
    ACTIONS(4592), 14,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [27892] = 29,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(225), 1,
      anon_sym_STAR,
    ACTIONS(231), 1,
      anon_sym_COMMA,
    ACTIONS(243), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(3876), 1,
      anon_sym_LBRACE,
    ACTIONS(4556), 1,
      anon_sym_LBRACK,
    ACTIONS(4610), 1,
      anon_sym_RBRACE,
    ACTIONS(4612), 1,
      anon_sym_async,
    ACTIONS(4614), 1,
      anon_sym_static,
    ACTIONS(4616), 1,
      anon_sym_readonly,
    ACTIONS(4622), 1,
      anon_sym_override,
    STATE(2315), 1,
      sym_comment,
    STATE(3651), 1,
      sym_accessibility_modifier,
    STATE(3663), 1,
      sym_override_modifier,
    STATE(4662), 1,
      sym__property_name,
    STATE(5939), 1,
      aux_sym_object_repeat1,
    STATE(5945), 1,
      aux_sym_object_pattern_repeat1,
    STATE(7361), 1,
      sym__destructuring_pattern,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4618), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4283), 2,
      sym_object_pattern,
      sym_array_pattern,
    STATE(4740), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4620), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(5931), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(5935), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
    ACTIONS(4608), 14,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [28003] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(4382), 1,
      anon_sym_LBRACK,
    ACTIONS(4396), 1,
      anon_sym_override,
    ACTIONS(4530), 1,
      anon_sym_STAR,
    ACTIONS(4534), 1,
      anon_sym_SEMI,
    ACTIONS(4536), 1,
      anon_sym_async,
    ACTIONS(4538), 1,
      anon_sym_AT,
    ACTIONS(4540), 1,
      anon_sym_static,
    ACTIONS(4542), 1,
      anon_sym_readonly,
    ACTIONS(4546), 1,
      anon_sym_declare,
    ACTIONS(4550), 1,
      anon_sym_abstract,
    ACTIONS(4624), 1,
      anon_sym_RBRACE,
    STATE(2316), 1,
      sym_comment,
    STATE(2317), 1,
      aux_sym_class_body_repeat1,
    STATE(3436), 1,
      aux_sym_export_statement_repeat1,
    STATE(3508), 1,
      sym_method_definition,
    STATE(3566), 1,
      sym_class_static_block,
    STATE(3582), 1,
      sym_accessibility_modifier,
    STATE(3667), 1,
      sym_override_modifier,
    STATE(3712), 1,
      sym_decorator,
    STATE(3975), 1,
      sym__property_name,
    STATE(5558), 1,
      sym_method_signature,
    ACTIONS(3892), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3894), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4544), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4151), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4548), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(6097), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(4372), 13,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [28120] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(4382), 1,
      anon_sym_LBRACK,
    ACTIONS(4396), 1,
      anon_sym_override,
    ACTIONS(4530), 1,
      anon_sym_STAR,
    ACTIONS(4534), 1,
      anon_sym_SEMI,
    ACTIONS(4536), 1,
      anon_sym_async,
    ACTIONS(4538), 1,
      anon_sym_AT,
    ACTIONS(4540), 1,
      anon_sym_static,
    ACTIONS(4542), 1,
      anon_sym_readonly,
    ACTIONS(4546), 1,
      anon_sym_declare,
    ACTIONS(4550), 1,
      anon_sym_abstract,
    ACTIONS(4626), 1,
      anon_sym_RBRACE,
    STATE(2317), 1,
      sym_comment,
    STATE(2342), 1,
      aux_sym_class_body_repeat1,
    STATE(3436), 1,
      aux_sym_export_statement_repeat1,
    STATE(3508), 1,
      sym_method_definition,
    STATE(3566), 1,
      sym_class_static_block,
    STATE(3582), 1,
      sym_accessibility_modifier,
    STATE(3667), 1,
      sym_override_modifier,
    STATE(3712), 1,
      sym_decorator,
    STATE(3975), 1,
      sym__property_name,
    STATE(5558), 1,
      sym_method_signature,
    ACTIONS(3892), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3894), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4544), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4151), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4548), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(6097), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(4372), 13,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [28237] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(4382), 1,
      anon_sym_LBRACK,
    ACTIONS(4396), 1,
      anon_sym_override,
    ACTIONS(4530), 1,
      anon_sym_STAR,
    ACTIONS(4534), 1,
      anon_sym_SEMI,
    ACTIONS(4536), 1,
      anon_sym_async,
    ACTIONS(4538), 1,
      anon_sym_AT,
    ACTIONS(4540), 1,
      anon_sym_static,
    ACTIONS(4542), 1,
      anon_sym_readonly,
    ACTIONS(4546), 1,
      anon_sym_declare,
    ACTIONS(4550), 1,
      anon_sym_abstract,
    ACTIONS(4628), 1,
      anon_sym_RBRACE,
    STATE(2318), 1,
      sym_comment,
    STATE(2342), 1,
      aux_sym_class_body_repeat1,
    STATE(3436), 1,
      aux_sym_export_statement_repeat1,
    STATE(3508), 1,
      sym_method_definition,
    STATE(3566), 1,
      sym_class_static_block,
    STATE(3582), 1,
      sym_accessibility_modifier,
    STATE(3667), 1,
      sym_override_modifier,
    STATE(3712), 1,
      sym_decorator,
    STATE(3975), 1,
      sym__property_name,
    STATE(5558), 1,
      sym_method_signature,
    ACTIONS(3892), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3894), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4544), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4151), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4548), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(6097), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(4372), 13,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [28354] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(4382), 1,
      anon_sym_LBRACK,
    ACTIONS(4396), 1,
      anon_sym_override,
    ACTIONS(4530), 1,
      anon_sym_STAR,
    ACTIONS(4534), 1,
      anon_sym_SEMI,
    ACTIONS(4536), 1,
      anon_sym_async,
    ACTIONS(4538), 1,
      anon_sym_AT,
    ACTIONS(4540), 1,
      anon_sym_static,
    ACTIONS(4542), 1,
      anon_sym_readonly,
    ACTIONS(4546), 1,
      anon_sym_declare,
    ACTIONS(4550), 1,
      anon_sym_abstract,
    ACTIONS(4630), 1,
      anon_sym_RBRACE,
    STATE(2319), 1,
      sym_comment,
    STATE(2320), 1,
      aux_sym_class_body_repeat1,
    STATE(3436), 1,
      aux_sym_export_statement_repeat1,
    STATE(3508), 1,
      sym_method_definition,
    STATE(3566), 1,
      sym_class_static_block,
    STATE(3582), 1,
      sym_accessibility_modifier,
    STATE(3667), 1,
      sym_override_modifier,
    STATE(3712), 1,
      sym_decorator,
    STATE(3975), 1,
      sym__property_name,
    STATE(5558), 1,
      sym_method_signature,
    ACTIONS(3892), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3894), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4544), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4151), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4548), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(6097), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(4372), 13,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [28471] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(4382), 1,
      anon_sym_LBRACK,
    ACTIONS(4396), 1,
      anon_sym_override,
    ACTIONS(4530), 1,
      anon_sym_STAR,
    ACTIONS(4534), 1,
      anon_sym_SEMI,
    ACTIONS(4536), 1,
      anon_sym_async,
    ACTIONS(4538), 1,
      anon_sym_AT,
    ACTIONS(4540), 1,
      anon_sym_static,
    ACTIONS(4542), 1,
      anon_sym_readonly,
    ACTIONS(4546), 1,
      anon_sym_declare,
    ACTIONS(4550), 1,
      anon_sym_abstract,
    ACTIONS(4632), 1,
      anon_sym_RBRACE,
    STATE(2320), 1,
      sym_comment,
    STATE(2342), 1,
      aux_sym_class_body_repeat1,
    STATE(3436), 1,
      aux_sym_export_statement_repeat1,
    STATE(3508), 1,
      sym_method_definition,
    STATE(3566), 1,
      sym_class_static_block,
    STATE(3582), 1,
      sym_accessibility_modifier,
    STATE(3667), 1,
      sym_override_modifier,
    STATE(3712), 1,
      sym_decorator,
    STATE(3975), 1,
      sym__property_name,
    STATE(5558), 1,
      sym_method_signature,
    ACTIONS(3892), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3894), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4544), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4151), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4548), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(6097), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(4372), 13,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [28588] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(4382), 1,
      anon_sym_LBRACK,
    ACTIONS(4396), 1,
      anon_sym_override,
    ACTIONS(4530), 1,
      anon_sym_STAR,
    ACTIONS(4534), 1,
      anon_sym_SEMI,
    ACTIONS(4536), 1,
      anon_sym_async,
    ACTIONS(4538), 1,
      anon_sym_AT,
    ACTIONS(4540), 1,
      anon_sym_static,
    ACTIONS(4542), 1,
      anon_sym_readonly,
    ACTIONS(4546), 1,
      anon_sym_declare,
    ACTIONS(4550), 1,
      anon_sym_abstract,
    ACTIONS(4634), 1,
      anon_sym_RBRACE,
    STATE(2318), 1,
      aux_sym_class_body_repeat1,
    STATE(2321), 1,
      sym_comment,
    STATE(3436), 1,
      aux_sym_export_statement_repeat1,
    STATE(3508), 1,
      sym_method_definition,
    STATE(3566), 1,
      sym_class_static_block,
    STATE(3582), 1,
      sym_accessibility_modifier,
    STATE(3667), 1,
      sym_override_modifier,
    STATE(3712), 1,
      sym_decorator,
    STATE(3975), 1,
      sym__property_name,
    STATE(5558), 1,
      sym_method_signature,
    ACTIONS(3892), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3894), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4544), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4151), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4548), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(6097), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(4372), 13,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [28705] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(4382), 1,
      anon_sym_LBRACK,
    ACTIONS(4396), 1,
      anon_sym_override,
    ACTIONS(4530), 1,
      anon_sym_STAR,
    ACTIONS(4534), 1,
      anon_sym_SEMI,
    ACTIONS(4536), 1,
      anon_sym_async,
    ACTIONS(4538), 1,
      anon_sym_AT,
    ACTIONS(4540), 1,
      anon_sym_static,
    ACTIONS(4542), 1,
      anon_sym_readonly,
    ACTIONS(4546), 1,
      anon_sym_declare,
    ACTIONS(4550), 1,
      anon_sym_abstract,
    ACTIONS(4636), 1,
      anon_sym_RBRACE,
    STATE(2312), 1,
      aux_sym_class_body_repeat1,
    STATE(2322), 1,
      sym_comment,
    STATE(3436), 1,
      aux_sym_export_statement_repeat1,
    STATE(3508), 1,
      sym_method_definition,
    STATE(3566), 1,
      sym_class_static_block,
    STATE(3582), 1,
      sym_accessibility_modifier,
    STATE(3667), 1,
      sym_override_modifier,
    STATE(3712), 1,
      sym_decorator,
    STATE(3975), 1,
      sym__property_name,
    STATE(5558), 1,
      sym_method_signature,
    ACTIONS(3892), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3894), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4544), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4151), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4548), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(6097), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(4372), 13,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [28822] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(4382), 1,
      anon_sym_LBRACK,
    ACTIONS(4396), 1,
      anon_sym_override,
    ACTIONS(4530), 1,
      anon_sym_STAR,
    ACTIONS(4534), 1,
      anon_sym_SEMI,
    ACTIONS(4536), 1,
      anon_sym_async,
    ACTIONS(4538), 1,
      anon_sym_AT,
    ACTIONS(4540), 1,
      anon_sym_static,
    ACTIONS(4542), 1,
      anon_sym_readonly,
    ACTIONS(4546), 1,
      anon_sym_declare,
    ACTIONS(4550), 1,
      anon_sym_abstract,
    ACTIONS(4638), 1,
      anon_sym_RBRACE,
    STATE(2323), 1,
      sym_comment,
    STATE(2325), 1,
      aux_sym_class_body_repeat1,
    STATE(3436), 1,
      aux_sym_export_statement_repeat1,
    STATE(3508), 1,
      sym_method_definition,
    STATE(3566), 1,
      sym_class_static_block,
    STATE(3582), 1,
      sym_accessibility_modifier,
    STATE(3667), 1,
      sym_override_modifier,
    STATE(3712), 1,
      sym_decorator,
    STATE(3975), 1,
      sym__property_name,
    STATE(5558), 1,
      sym_method_signature,
    ACTIONS(3892), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3894), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4544), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4151), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4548), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(6097), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(4372), 13,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [28939] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(4382), 1,
      anon_sym_LBRACK,
    ACTIONS(4396), 1,
      anon_sym_override,
    ACTIONS(4530), 1,
      anon_sym_STAR,
    ACTIONS(4534), 1,
      anon_sym_SEMI,
    ACTIONS(4536), 1,
      anon_sym_async,
    ACTIONS(4538), 1,
      anon_sym_AT,
    ACTIONS(4540), 1,
      anon_sym_static,
    ACTIONS(4542), 1,
      anon_sym_readonly,
    ACTIONS(4546), 1,
      anon_sym_declare,
    ACTIONS(4550), 1,
      anon_sym_abstract,
    ACTIONS(4640), 1,
      anon_sym_RBRACE,
    STATE(2324), 1,
      sym_comment,
    STATE(2342), 1,
      aux_sym_class_body_repeat1,
    STATE(3436), 1,
      aux_sym_export_statement_repeat1,
    STATE(3508), 1,
      sym_method_definition,
    STATE(3566), 1,
      sym_class_static_block,
    STATE(3582), 1,
      sym_accessibility_modifier,
    STATE(3667), 1,
      sym_override_modifier,
    STATE(3712), 1,
      sym_decorator,
    STATE(3975), 1,
      sym__property_name,
    STATE(5558), 1,
      sym_method_signature,
    ACTIONS(3892), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3894), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4544), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4151), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4548), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(6097), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(4372), 13,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [29056] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(4382), 1,
      anon_sym_LBRACK,
    ACTIONS(4396), 1,
      anon_sym_override,
    ACTIONS(4530), 1,
      anon_sym_STAR,
    ACTIONS(4534), 1,
      anon_sym_SEMI,
    ACTIONS(4536), 1,
      anon_sym_async,
    ACTIONS(4538), 1,
      anon_sym_AT,
    ACTIONS(4540), 1,
      anon_sym_static,
    ACTIONS(4542), 1,
      anon_sym_readonly,
    ACTIONS(4546), 1,
      anon_sym_declare,
    ACTIONS(4550), 1,
      anon_sym_abstract,
    ACTIONS(4642), 1,
      anon_sym_RBRACE,
    STATE(2325), 1,
      sym_comment,
    STATE(2342), 1,
      aux_sym_class_body_repeat1,
    STATE(3436), 1,
      aux_sym_export_statement_repeat1,
    STATE(3508), 1,
      sym_method_definition,
    STATE(3566), 1,
      sym_class_static_block,
    STATE(3582), 1,
      sym_accessibility_modifier,
    STATE(3667), 1,
      sym_override_modifier,
    STATE(3712), 1,
      sym_decorator,
    STATE(3975), 1,
      sym__property_name,
    STATE(5558), 1,
      sym_method_signature,
    ACTIONS(3892), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3894), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4544), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4151), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4548), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(6097), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(4372), 13,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [29173] = 29,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(225), 1,
      anon_sym_STAR,
    ACTIONS(231), 1,
      anon_sym_COMMA,
    ACTIONS(243), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(3876), 1,
      anon_sym_LBRACE,
    ACTIONS(4556), 1,
      anon_sym_LBRACK,
    ACTIONS(4646), 1,
      anon_sym_RBRACE,
    ACTIONS(4648), 1,
      anon_sym_async,
    ACTIONS(4650), 1,
      anon_sym_static,
    ACTIONS(4652), 1,
      anon_sym_readonly,
    ACTIONS(4658), 1,
      anon_sym_override,
    STATE(2326), 1,
      sym_comment,
    STATE(3651), 1,
      sym_accessibility_modifier,
    STATE(3663), 1,
      sym_override_modifier,
    STATE(4662), 1,
      sym__property_name,
    STATE(5945), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6441), 1,
      aux_sym_object_repeat1,
    STATE(7361), 1,
      sym__destructuring_pattern,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4654), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4283), 2,
      sym_object_pattern,
      sym_array_pattern,
    STATE(4740), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4656), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(5931), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(6446), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
    ACTIONS(4644), 14,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [29284] = 29,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(225), 1,
      anon_sym_STAR,
    ACTIONS(231), 1,
      anon_sym_COMMA,
    ACTIONS(243), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(3876), 1,
      anon_sym_LBRACE,
    ACTIONS(4556), 1,
      anon_sym_LBRACK,
    ACTIONS(4662), 1,
      anon_sym_RBRACE,
    ACTIONS(4664), 1,
      anon_sym_async,
    ACTIONS(4666), 1,
      anon_sym_static,
    ACTIONS(4668), 1,
      anon_sym_readonly,
    ACTIONS(4674), 1,
      anon_sym_override,
    STATE(2327), 1,
      sym_comment,
    STATE(3651), 1,
      sym_accessibility_modifier,
    STATE(3663), 1,
      sym_override_modifier,
    STATE(4662), 1,
      sym__property_name,
    STATE(5945), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6441), 1,
      aux_sym_object_repeat1,
    STATE(7361), 1,
      sym__destructuring_pattern,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4670), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4283), 2,
      sym_object_pattern,
      sym_array_pattern,
    STATE(4740), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4672), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(5931), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(6446), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
    ACTIONS(4660), 14,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [29395] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(4382), 1,
      anon_sym_LBRACK,
    ACTIONS(4396), 1,
      anon_sym_override,
    ACTIONS(4530), 1,
      anon_sym_STAR,
    ACTIONS(4534), 1,
      anon_sym_SEMI,
    ACTIONS(4536), 1,
      anon_sym_async,
    ACTIONS(4538), 1,
      anon_sym_AT,
    ACTIONS(4540), 1,
      anon_sym_static,
    ACTIONS(4542), 1,
      anon_sym_readonly,
    ACTIONS(4546), 1,
      anon_sym_declare,
    ACTIONS(4550), 1,
      anon_sym_abstract,
    ACTIONS(4676), 1,
      anon_sym_RBRACE,
    STATE(2328), 1,
      sym_comment,
    STATE(2329), 1,
      aux_sym_class_body_repeat1,
    STATE(3436), 1,
      aux_sym_export_statement_repeat1,
    STATE(3508), 1,
      sym_method_definition,
    STATE(3566), 1,
      sym_class_static_block,
    STATE(3582), 1,
      sym_accessibility_modifier,
    STATE(3667), 1,
      sym_override_modifier,
    STATE(3712), 1,
      sym_decorator,
    STATE(3975), 1,
      sym__property_name,
    STATE(5558), 1,
      sym_method_signature,
    ACTIONS(3892), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3894), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4544), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4151), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4548), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(6097), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(4372), 13,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [29512] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(4382), 1,
      anon_sym_LBRACK,
    ACTIONS(4396), 1,
      anon_sym_override,
    ACTIONS(4530), 1,
      anon_sym_STAR,
    ACTIONS(4534), 1,
      anon_sym_SEMI,
    ACTIONS(4536), 1,
      anon_sym_async,
    ACTIONS(4538), 1,
      anon_sym_AT,
    ACTIONS(4540), 1,
      anon_sym_static,
    ACTIONS(4542), 1,
      anon_sym_readonly,
    ACTIONS(4546), 1,
      anon_sym_declare,
    ACTIONS(4550), 1,
      anon_sym_abstract,
    ACTIONS(4678), 1,
      anon_sym_RBRACE,
    STATE(2329), 1,
      sym_comment,
    STATE(2342), 1,
      aux_sym_class_body_repeat1,
    STATE(3436), 1,
      aux_sym_export_statement_repeat1,
    STATE(3508), 1,
      sym_method_definition,
    STATE(3566), 1,
      sym_class_static_block,
    STATE(3582), 1,
      sym_accessibility_modifier,
    STATE(3667), 1,
      sym_override_modifier,
    STATE(3712), 1,
      sym_decorator,
    STATE(3975), 1,
      sym__property_name,
    STATE(5558), 1,
      sym_method_signature,
    ACTIONS(3892), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3894), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4544), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4151), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4548), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(6097), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(4372), 13,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [29629] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(4382), 1,
      anon_sym_LBRACK,
    ACTIONS(4396), 1,
      anon_sym_override,
    ACTIONS(4530), 1,
      anon_sym_STAR,
    ACTIONS(4534), 1,
      anon_sym_SEMI,
    ACTIONS(4536), 1,
      anon_sym_async,
    ACTIONS(4538), 1,
      anon_sym_AT,
    ACTIONS(4540), 1,
      anon_sym_static,
    ACTIONS(4542), 1,
      anon_sym_readonly,
    ACTIONS(4546), 1,
      anon_sym_declare,
    ACTIONS(4550), 1,
      anon_sym_abstract,
    ACTIONS(4680), 1,
      anon_sym_RBRACE,
    STATE(2330), 1,
      sym_comment,
    STATE(2333), 1,
      aux_sym_class_body_repeat1,
    STATE(3436), 1,
      aux_sym_export_statement_repeat1,
    STATE(3508), 1,
      sym_method_definition,
    STATE(3566), 1,
      sym_class_static_block,
    STATE(3582), 1,
      sym_accessibility_modifier,
    STATE(3667), 1,
      sym_override_modifier,
    STATE(3712), 1,
      sym_decorator,
    STATE(3975), 1,
      sym__property_name,
    STATE(5558), 1,
      sym_method_signature,
    ACTIONS(3892), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3894), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4544), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4151), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4548), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(6097), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(4372), 13,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [29746] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(4382), 1,
      anon_sym_LBRACK,
    ACTIONS(4396), 1,
      anon_sym_override,
    ACTIONS(4530), 1,
      anon_sym_STAR,
    ACTIONS(4534), 1,
      anon_sym_SEMI,
    ACTIONS(4536), 1,
      anon_sym_async,
    ACTIONS(4538), 1,
      anon_sym_AT,
    ACTIONS(4540), 1,
      anon_sym_static,
    ACTIONS(4542), 1,
      anon_sym_readonly,
    ACTIONS(4546), 1,
      anon_sym_declare,
    ACTIONS(4550), 1,
      anon_sym_abstract,
    ACTIONS(4682), 1,
      anon_sym_RBRACE,
    STATE(2324), 1,
      aux_sym_class_body_repeat1,
    STATE(2331), 1,
      sym_comment,
    STATE(3436), 1,
      aux_sym_export_statement_repeat1,
    STATE(3508), 1,
      sym_method_definition,
    STATE(3566), 1,
      sym_class_static_block,
    STATE(3582), 1,
      sym_accessibility_modifier,
    STATE(3667), 1,
      sym_override_modifier,
    STATE(3712), 1,
      sym_decorator,
    STATE(3975), 1,
      sym__property_name,
    STATE(5558), 1,
      sym_method_signature,
    ACTIONS(3892), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3894), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4544), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4151), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4548), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(6097), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(4372), 13,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [29863] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(4382), 1,
      anon_sym_LBRACK,
    ACTIONS(4396), 1,
      anon_sym_override,
    ACTIONS(4530), 1,
      anon_sym_STAR,
    ACTIONS(4534), 1,
      anon_sym_SEMI,
    ACTIONS(4536), 1,
      anon_sym_async,
    ACTIONS(4538), 1,
      anon_sym_AT,
    ACTIONS(4540), 1,
      anon_sym_static,
    ACTIONS(4542), 1,
      anon_sym_readonly,
    ACTIONS(4546), 1,
      anon_sym_declare,
    ACTIONS(4550), 1,
      anon_sym_abstract,
    ACTIONS(4684), 1,
      anon_sym_RBRACE,
    STATE(2332), 1,
      sym_comment,
    STATE(2342), 1,
      aux_sym_class_body_repeat1,
    STATE(3436), 1,
      aux_sym_export_statement_repeat1,
    STATE(3508), 1,
      sym_method_definition,
    STATE(3566), 1,
      sym_class_static_block,
    STATE(3582), 1,
      sym_accessibility_modifier,
    STATE(3667), 1,
      sym_override_modifier,
    STATE(3712), 1,
      sym_decorator,
    STATE(3975), 1,
      sym__property_name,
    STATE(5558), 1,
      sym_method_signature,
    ACTIONS(3892), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3894), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4544), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4151), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4548), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(6097), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(4372), 13,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [29980] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(4382), 1,
      anon_sym_LBRACK,
    ACTIONS(4396), 1,
      anon_sym_override,
    ACTIONS(4530), 1,
      anon_sym_STAR,
    ACTIONS(4534), 1,
      anon_sym_SEMI,
    ACTIONS(4536), 1,
      anon_sym_async,
    ACTIONS(4538), 1,
      anon_sym_AT,
    ACTIONS(4540), 1,
      anon_sym_static,
    ACTIONS(4542), 1,
      anon_sym_readonly,
    ACTIONS(4546), 1,
      anon_sym_declare,
    ACTIONS(4550), 1,
      anon_sym_abstract,
    ACTIONS(4686), 1,
      anon_sym_RBRACE,
    STATE(2333), 1,
      sym_comment,
    STATE(2342), 1,
      aux_sym_class_body_repeat1,
    STATE(3436), 1,
      aux_sym_export_statement_repeat1,
    STATE(3508), 1,
      sym_method_definition,
    STATE(3566), 1,
      sym_class_static_block,
    STATE(3582), 1,
      sym_accessibility_modifier,
    STATE(3667), 1,
      sym_override_modifier,
    STATE(3712), 1,
      sym_decorator,
    STATE(3975), 1,
      sym__property_name,
    STATE(5558), 1,
      sym_method_signature,
    ACTIONS(3892), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3894), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4544), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4151), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4548), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(6097), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(4372), 13,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [30097] = 29,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(225), 1,
      anon_sym_STAR,
    ACTIONS(231), 1,
      anon_sym_COMMA,
    ACTIONS(243), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(3876), 1,
      anon_sym_LBRACE,
    ACTIONS(4556), 1,
      anon_sym_LBRACK,
    ACTIONS(4690), 1,
      anon_sym_RBRACE,
    ACTIONS(4692), 1,
      anon_sym_async,
    ACTIONS(4694), 1,
      anon_sym_static,
    ACTIONS(4696), 1,
      anon_sym_readonly,
    ACTIONS(4702), 1,
      anon_sym_override,
    STATE(2334), 1,
      sym_comment,
    STATE(3651), 1,
      sym_accessibility_modifier,
    STATE(3663), 1,
      sym_override_modifier,
    STATE(4662), 1,
      sym__property_name,
    STATE(5945), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6441), 1,
      aux_sym_object_repeat1,
    STATE(7361), 1,
      sym__destructuring_pattern,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4698), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4283), 2,
      sym_object_pattern,
      sym_array_pattern,
    STATE(4740), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4700), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(5931), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(6446), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
    ACTIONS(4688), 14,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [30208] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(4382), 1,
      anon_sym_LBRACK,
    ACTIONS(4396), 1,
      anon_sym_override,
    ACTIONS(4530), 1,
      anon_sym_STAR,
    ACTIONS(4534), 1,
      anon_sym_SEMI,
    ACTIONS(4536), 1,
      anon_sym_async,
    ACTIONS(4538), 1,
      anon_sym_AT,
    ACTIONS(4540), 1,
      anon_sym_static,
    ACTIONS(4542), 1,
      anon_sym_readonly,
    ACTIONS(4546), 1,
      anon_sym_declare,
    ACTIONS(4550), 1,
      anon_sym_abstract,
    ACTIONS(4704), 1,
      anon_sym_RBRACE,
    STATE(2335), 1,
      sym_comment,
    STATE(2336), 1,
      aux_sym_class_body_repeat1,
    STATE(3436), 1,
      aux_sym_export_statement_repeat1,
    STATE(3508), 1,
      sym_method_definition,
    STATE(3566), 1,
      sym_class_static_block,
    STATE(3582), 1,
      sym_accessibility_modifier,
    STATE(3667), 1,
      sym_override_modifier,
    STATE(3712), 1,
      sym_decorator,
    STATE(3975), 1,
      sym__property_name,
    STATE(5558), 1,
      sym_method_signature,
    ACTIONS(3892), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3894), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4544), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4151), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4548), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(6097), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(4372), 13,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [30325] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(4382), 1,
      anon_sym_LBRACK,
    ACTIONS(4396), 1,
      anon_sym_override,
    ACTIONS(4530), 1,
      anon_sym_STAR,
    ACTIONS(4534), 1,
      anon_sym_SEMI,
    ACTIONS(4536), 1,
      anon_sym_async,
    ACTIONS(4538), 1,
      anon_sym_AT,
    ACTIONS(4540), 1,
      anon_sym_static,
    ACTIONS(4542), 1,
      anon_sym_readonly,
    ACTIONS(4546), 1,
      anon_sym_declare,
    ACTIONS(4550), 1,
      anon_sym_abstract,
    ACTIONS(4706), 1,
      anon_sym_RBRACE,
    STATE(2336), 1,
      sym_comment,
    STATE(2342), 1,
      aux_sym_class_body_repeat1,
    STATE(3436), 1,
      aux_sym_export_statement_repeat1,
    STATE(3508), 1,
      sym_method_definition,
    STATE(3566), 1,
      sym_class_static_block,
    STATE(3582), 1,
      sym_accessibility_modifier,
    STATE(3667), 1,
      sym_override_modifier,
    STATE(3712), 1,
      sym_decorator,
    STATE(3975), 1,
      sym__property_name,
    STATE(5558), 1,
      sym_method_signature,
    ACTIONS(3892), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3894), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4544), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4151), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4548), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(6097), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(4372), 13,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [30442] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(4382), 1,
      anon_sym_LBRACK,
    ACTIONS(4396), 1,
      anon_sym_override,
    ACTIONS(4530), 1,
      anon_sym_STAR,
    ACTIONS(4534), 1,
      anon_sym_SEMI,
    ACTIONS(4536), 1,
      anon_sym_async,
    ACTIONS(4538), 1,
      anon_sym_AT,
    ACTIONS(4540), 1,
      anon_sym_static,
    ACTIONS(4542), 1,
      anon_sym_readonly,
    ACTIONS(4546), 1,
      anon_sym_declare,
    ACTIONS(4550), 1,
      anon_sym_abstract,
    ACTIONS(4708), 1,
      anon_sym_RBRACE,
    STATE(2337), 1,
      sym_comment,
    STATE(2338), 1,
      aux_sym_class_body_repeat1,
    STATE(3436), 1,
      aux_sym_export_statement_repeat1,
    STATE(3508), 1,
      sym_method_definition,
    STATE(3566), 1,
      sym_class_static_block,
    STATE(3582), 1,
      sym_accessibility_modifier,
    STATE(3667), 1,
      sym_override_modifier,
    STATE(3712), 1,
      sym_decorator,
    STATE(3975), 1,
      sym__property_name,
    STATE(5558), 1,
      sym_method_signature,
    ACTIONS(3892), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3894), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4544), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4151), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4548), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(6097), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(4372), 13,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [30559] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(4382), 1,
      anon_sym_LBRACK,
    ACTIONS(4396), 1,
      anon_sym_override,
    ACTIONS(4530), 1,
      anon_sym_STAR,
    ACTIONS(4534), 1,
      anon_sym_SEMI,
    ACTIONS(4536), 1,
      anon_sym_async,
    ACTIONS(4538), 1,
      anon_sym_AT,
    ACTIONS(4540), 1,
      anon_sym_static,
    ACTIONS(4542), 1,
      anon_sym_readonly,
    ACTIONS(4546), 1,
      anon_sym_declare,
    ACTIONS(4550), 1,
      anon_sym_abstract,
    ACTIONS(4710), 1,
      anon_sym_RBRACE,
    STATE(2338), 1,
      sym_comment,
    STATE(2342), 1,
      aux_sym_class_body_repeat1,
    STATE(3436), 1,
      aux_sym_export_statement_repeat1,
    STATE(3508), 1,
      sym_method_definition,
    STATE(3566), 1,
      sym_class_static_block,
    STATE(3582), 1,
      sym_accessibility_modifier,
    STATE(3667), 1,
      sym_override_modifier,
    STATE(3712), 1,
      sym_decorator,
    STATE(3975), 1,
      sym__property_name,
    STATE(5558), 1,
      sym_method_signature,
    ACTIONS(3892), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3894), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4544), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4151), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4548), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(6097), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(4372), 13,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [30676] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(4382), 1,
      anon_sym_LBRACK,
    ACTIONS(4396), 1,
      anon_sym_override,
    ACTIONS(4530), 1,
      anon_sym_STAR,
    ACTIONS(4534), 1,
      anon_sym_SEMI,
    ACTIONS(4536), 1,
      anon_sym_async,
    ACTIONS(4538), 1,
      anon_sym_AT,
    ACTIONS(4540), 1,
      anon_sym_static,
    ACTIONS(4542), 1,
      anon_sym_readonly,
    ACTIONS(4546), 1,
      anon_sym_declare,
    ACTIONS(4550), 1,
      anon_sym_abstract,
    ACTIONS(4712), 1,
      anon_sym_RBRACE,
    STATE(2339), 1,
      sym_comment,
    STATE(2340), 1,
      aux_sym_class_body_repeat1,
    STATE(3436), 1,
      aux_sym_export_statement_repeat1,
    STATE(3508), 1,
      sym_method_definition,
    STATE(3566), 1,
      sym_class_static_block,
    STATE(3582), 1,
      sym_accessibility_modifier,
    STATE(3667), 1,
      sym_override_modifier,
    STATE(3712), 1,
      sym_decorator,
    STATE(3975), 1,
      sym__property_name,
    STATE(5558), 1,
      sym_method_signature,
    ACTIONS(3892), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3894), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4544), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4151), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4548), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(6097), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(4372), 13,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [30793] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(4382), 1,
      anon_sym_LBRACK,
    ACTIONS(4396), 1,
      anon_sym_override,
    ACTIONS(4530), 1,
      anon_sym_STAR,
    ACTIONS(4534), 1,
      anon_sym_SEMI,
    ACTIONS(4536), 1,
      anon_sym_async,
    ACTIONS(4538), 1,
      anon_sym_AT,
    ACTIONS(4540), 1,
      anon_sym_static,
    ACTIONS(4542), 1,
      anon_sym_readonly,
    ACTIONS(4546), 1,
      anon_sym_declare,
    ACTIONS(4550), 1,
      anon_sym_abstract,
    ACTIONS(4714), 1,
      anon_sym_RBRACE,
    STATE(2340), 1,
      sym_comment,
    STATE(2342), 1,
      aux_sym_class_body_repeat1,
    STATE(3436), 1,
      aux_sym_export_statement_repeat1,
    STATE(3508), 1,
      sym_method_definition,
    STATE(3566), 1,
      sym_class_static_block,
    STATE(3582), 1,
      sym_accessibility_modifier,
    STATE(3667), 1,
      sym_override_modifier,
    STATE(3712), 1,
      sym_decorator,
    STATE(3975), 1,
      sym__property_name,
    STATE(5558), 1,
      sym_method_signature,
    ACTIONS(3892), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3894), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4544), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4151), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4548), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(6097), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(4372), 13,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [30910] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(4382), 1,
      anon_sym_LBRACK,
    ACTIONS(4396), 1,
      anon_sym_override,
    ACTIONS(4530), 1,
      anon_sym_STAR,
    ACTIONS(4534), 1,
      anon_sym_SEMI,
    ACTIONS(4536), 1,
      anon_sym_async,
    ACTIONS(4538), 1,
      anon_sym_AT,
    ACTIONS(4540), 1,
      anon_sym_static,
    ACTIONS(4542), 1,
      anon_sym_readonly,
    ACTIONS(4546), 1,
      anon_sym_declare,
    ACTIONS(4550), 1,
      anon_sym_abstract,
    ACTIONS(4716), 1,
      anon_sym_RBRACE,
    STATE(2341), 1,
      sym_comment,
    STATE(2343), 1,
      aux_sym_class_body_repeat1,
    STATE(3436), 1,
      aux_sym_export_statement_repeat1,
    STATE(3508), 1,
      sym_method_definition,
    STATE(3566), 1,
      sym_class_static_block,
    STATE(3582), 1,
      sym_accessibility_modifier,
    STATE(3667), 1,
      sym_override_modifier,
    STATE(3712), 1,
      sym_decorator,
    STATE(3975), 1,
      sym__property_name,
    STATE(5558), 1,
      sym_method_signature,
    ACTIONS(3892), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3894), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4544), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4151), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4548), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(6097), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(4372), 13,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [31027] = 31,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4721), 1,
      anon_sym_STAR,
    ACTIONS(4724), 1,
      anon_sym_RBRACE,
    ACTIONS(4726), 1,
      anon_sym_SEMI,
    ACTIONS(4729), 1,
      anon_sym_LBRACK,
    ACTIONS(4732), 1,
      anon_sym_DQUOTE,
    ACTIONS(4735), 1,
      anon_sym_SQUOTE,
    ACTIONS(4738), 1,
      anon_sym_async,
    ACTIONS(4747), 1,
      anon_sym_AT,
    ACTIONS(4750), 1,
      anon_sym_static,
    ACTIONS(4753), 1,
      anon_sym_readonly,
    ACTIONS(4759), 1,
      anon_sym_declare,
    ACTIONS(4765), 1,
      anon_sym_override,
    ACTIONS(4768), 1,
      anon_sym_abstract,
    STATE(3436), 1,
      aux_sym_export_statement_repeat1,
    STATE(3508), 1,
      sym_method_definition,
    STATE(3566), 1,
      sym_class_static_block,
    STATE(3582), 1,
      sym_accessibility_modifier,
    STATE(3667), 1,
      sym_override_modifier,
    STATE(3712), 1,
      sym_decorator,
    STATE(3975), 1,
      sym__property_name,
    STATE(5558), 1,
      sym_method_signature,
    ACTIONS(4741), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4744), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4756), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2342), 2,
      sym_comment,
      aux_sym_class_body_repeat1,
    STATE(4151), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4762), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(6097), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(4718), 13,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [31142] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(4382), 1,
      anon_sym_LBRACK,
    ACTIONS(4396), 1,
      anon_sym_override,
    ACTIONS(4530), 1,
      anon_sym_STAR,
    ACTIONS(4534), 1,
      anon_sym_SEMI,
    ACTIONS(4536), 1,
      anon_sym_async,
    ACTIONS(4538), 1,
      anon_sym_AT,
    ACTIONS(4540), 1,
      anon_sym_static,
    ACTIONS(4542), 1,
      anon_sym_readonly,
    ACTIONS(4546), 1,
      anon_sym_declare,
    ACTIONS(4550), 1,
      anon_sym_abstract,
    ACTIONS(4771), 1,
      anon_sym_RBRACE,
    STATE(2342), 1,
      aux_sym_class_body_repeat1,
    STATE(2343), 1,
      sym_comment,
    STATE(3436), 1,
      aux_sym_export_statement_repeat1,
    STATE(3508), 1,
      sym_method_definition,
    STATE(3566), 1,
      sym_class_static_block,
    STATE(3582), 1,
      sym_accessibility_modifier,
    STATE(3667), 1,
      sym_override_modifier,
    STATE(3712), 1,
      sym_decorator,
    STATE(3975), 1,
      sym__property_name,
    STATE(5558), 1,
      sym_method_signature,
    ACTIONS(3892), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3894), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4544), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4151), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4548), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(6097), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(4372), 13,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [31259] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(4382), 1,
      anon_sym_LBRACK,
    ACTIONS(4396), 1,
      anon_sym_override,
    ACTIONS(4530), 1,
      anon_sym_STAR,
    ACTIONS(4534), 1,
      anon_sym_SEMI,
    ACTIONS(4536), 1,
      anon_sym_async,
    ACTIONS(4538), 1,
      anon_sym_AT,
    ACTIONS(4540), 1,
      anon_sym_static,
    ACTIONS(4542), 1,
      anon_sym_readonly,
    ACTIONS(4546), 1,
      anon_sym_declare,
    ACTIONS(4550), 1,
      anon_sym_abstract,
    ACTIONS(4773), 1,
      anon_sym_RBRACE,
    STATE(2342), 1,
      aux_sym_class_body_repeat1,
    STATE(2344), 1,
      sym_comment,
    STATE(3436), 1,
      aux_sym_export_statement_repeat1,
    STATE(3508), 1,
      sym_method_definition,
    STATE(3566), 1,
      sym_class_static_block,
    STATE(3582), 1,
      sym_accessibility_modifier,
    STATE(3667), 1,
      sym_override_modifier,
    STATE(3712), 1,
      sym_decorator,
    STATE(3975), 1,
      sym__property_name,
    STATE(5558), 1,
      sym_method_signature,
    ACTIONS(3892), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3894), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4544), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4151), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4548), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(6097), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(4372), 13,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [31376] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(4382), 1,
      anon_sym_LBRACK,
    ACTIONS(4396), 1,
      anon_sym_override,
    ACTIONS(4530), 1,
      anon_sym_STAR,
    ACTIONS(4534), 1,
      anon_sym_SEMI,
    ACTIONS(4536), 1,
      anon_sym_async,
    ACTIONS(4538), 1,
      anon_sym_AT,
    ACTIONS(4540), 1,
      anon_sym_static,
    ACTIONS(4542), 1,
      anon_sym_readonly,
    ACTIONS(4546), 1,
      anon_sym_declare,
    ACTIONS(4550), 1,
      anon_sym_abstract,
    ACTIONS(4775), 1,
      anon_sym_RBRACE,
    STATE(2345), 1,
      sym_comment,
    STATE(2347), 1,
      aux_sym_class_body_repeat1,
    STATE(3436), 1,
      aux_sym_export_statement_repeat1,
    STATE(3508), 1,
      sym_method_definition,
    STATE(3566), 1,
      sym_class_static_block,
    STATE(3582), 1,
      sym_accessibility_modifier,
    STATE(3667), 1,
      sym_override_modifier,
    STATE(3712), 1,
      sym_decorator,
    STATE(3975), 1,
      sym__property_name,
    STATE(5558), 1,
      sym_method_signature,
    ACTIONS(3892), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3894), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4544), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4151), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4548), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(6097), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(4372), 13,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [31493] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(4382), 1,
      anon_sym_LBRACK,
    ACTIONS(4396), 1,
      anon_sym_override,
    ACTIONS(4530), 1,
      anon_sym_STAR,
    ACTIONS(4534), 1,
      anon_sym_SEMI,
    ACTIONS(4536), 1,
      anon_sym_async,
    ACTIONS(4538), 1,
      anon_sym_AT,
    ACTIONS(4540), 1,
      anon_sym_static,
    ACTIONS(4542), 1,
      anon_sym_readonly,
    ACTIONS(4546), 1,
      anon_sym_declare,
    ACTIONS(4550), 1,
      anon_sym_abstract,
    ACTIONS(4777), 1,
      anon_sym_RBRACE,
    STATE(2332), 1,
      aux_sym_class_body_repeat1,
    STATE(2346), 1,
      sym_comment,
    STATE(3436), 1,
      aux_sym_export_statement_repeat1,
    STATE(3508), 1,
      sym_method_definition,
    STATE(3566), 1,
      sym_class_static_block,
    STATE(3582), 1,
      sym_accessibility_modifier,
    STATE(3667), 1,
      sym_override_modifier,
    STATE(3712), 1,
      sym_decorator,
    STATE(3975), 1,
      sym__property_name,
    STATE(5558), 1,
      sym_method_signature,
    ACTIONS(3892), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3894), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4544), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4151), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4548), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(6097), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(4372), 13,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [31610] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(4382), 1,
      anon_sym_LBRACK,
    ACTIONS(4396), 1,
      anon_sym_override,
    ACTIONS(4530), 1,
      anon_sym_STAR,
    ACTIONS(4534), 1,
      anon_sym_SEMI,
    ACTIONS(4536), 1,
      anon_sym_async,
    ACTIONS(4538), 1,
      anon_sym_AT,
    ACTIONS(4540), 1,
      anon_sym_static,
    ACTIONS(4542), 1,
      anon_sym_readonly,
    ACTIONS(4546), 1,
      anon_sym_declare,
    ACTIONS(4550), 1,
      anon_sym_abstract,
    ACTIONS(4779), 1,
      anon_sym_RBRACE,
    STATE(2342), 1,
      aux_sym_class_body_repeat1,
    STATE(2347), 1,
      sym_comment,
    STATE(3436), 1,
      aux_sym_export_statement_repeat1,
    STATE(3508), 1,
      sym_method_definition,
    STATE(3566), 1,
      sym_class_static_block,
    STATE(3582), 1,
      sym_accessibility_modifier,
    STATE(3667), 1,
      sym_override_modifier,
    STATE(3712), 1,
      sym_decorator,
    STATE(3975), 1,
      sym__property_name,
    STATE(5558), 1,
      sym_method_signature,
    ACTIONS(3892), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3894), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4544), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4151), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4548), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(6097), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(4372), 13,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [31727] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2348), 1,
      sym_comment,
    ACTIONS(2077), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
    ACTIONS(2079), 34,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_while,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [31789] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2349), 1,
      sym_comment,
    ACTIONS(2221), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
    ACTIONS(2223), 34,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_while,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [31851] = 31,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2665), 1,
      anon_sym_LBRACE,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(2698), 1,
      anon_sym_AT,
    ACTIONS(2938), 1,
      anon_sym_namespace,
    ACTIONS(2940), 1,
      anon_sym_import,
    ACTIONS(2942), 1,
      anon_sym_var,
    ACTIONS(2944), 1,
      anon_sym_let,
    ACTIONS(2946), 1,
      anon_sym_const,
    ACTIONS(2948), 1,
      anon_sym_class,
    ACTIONS(2950), 1,
      anon_sym_async,
    ACTIONS(2952), 1,
      anon_sym_function,
    ACTIONS(2954), 1,
      anon_sym_declare,
    ACTIONS(2958), 1,
      anon_sym_abstract,
    ACTIONS(2962), 1,
      anon_sym_interface,
    ACTIONS(2964), 1,
      anon_sym_enum,
    ACTIONS(4498), 1,
      anon_sym_STAR,
    ACTIONS(4500), 1,
      anon_sym_default,
    ACTIONS(4502), 1,
      anon_sym_type,
    ACTIONS(4506), 1,
      anon_sym_as,
    ACTIONS(4516), 1,
      anon_sym_module,
    ACTIONS(4781), 1,
      anon_sym_EQ,
    STATE(2350), 1,
      sym_comment,
    STATE(5204), 1,
      sym_declaration,
    STATE(5206), 1,
      sym_internal_module,
    STATE(5375), 1,
      aux_sym_export_statement_repeat1,
    STATE(5584), 1,
      sym_export_clause,
    STATE(5700), 1,
      sym_decorator,
    STATE(7103), 1,
      sym_namespace_export,
    ACTIONS(4514), 9,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    STATE(5192), 13,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
      sym_function_signature,
      sym_ambient_declaration,
      sym_abstract_class_declaration,
      sym_module,
      sym_import_alias,
      sym_interface_declaration,
      sym_enum_declaration,
      sym_type_alias_declaration,
  [31965] = 32,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2665), 1,
      anon_sym_LBRACE,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(2698), 1,
      anon_sym_AT,
    ACTIONS(2938), 1,
      anon_sym_namespace,
    ACTIONS(2940), 1,
      anon_sym_import,
    ACTIONS(2942), 1,
      anon_sym_var,
    ACTIONS(2944), 1,
      anon_sym_let,
    ACTIONS(2946), 1,
      anon_sym_const,
    ACTIONS(2948), 1,
      anon_sym_class,
    ACTIONS(2950), 1,
      anon_sym_async,
    ACTIONS(2952), 1,
      anon_sym_function,
    ACTIONS(2954), 1,
      anon_sym_declare,
    ACTIONS(2958), 1,
      anon_sym_abstract,
    ACTIONS(2962), 1,
      anon_sym_interface,
    ACTIONS(2964), 1,
      anon_sym_enum,
    ACTIONS(4498), 1,
      anon_sym_STAR,
    ACTIONS(4500), 1,
      anon_sym_default,
    ACTIONS(4502), 1,
      anon_sym_type,
    ACTIONS(4504), 1,
      anon_sym_EQ,
    ACTIONS(4506), 1,
      anon_sym_as,
    ACTIONS(4516), 1,
      anon_sym_module,
    STATE(2351), 1,
      sym_comment,
    STATE(5204), 1,
      sym_declaration,
    STATE(5206), 1,
      sym_internal_module,
    STATE(5375), 1,
      aux_sym_export_statement_repeat1,
    STATE(5584), 1,
      sym_export_clause,
    STATE(5700), 1,
      sym_decorator,
    STATE(7103), 1,
      sym_namespace_export,
    ACTIONS(4783), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(4514), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    STATE(5192), 13,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
      sym_function_signature,
      sym_ambient_declaration,
      sym_abstract_class_declaration,
      sym_module,
      sym_import_alias,
      sym_interface_declaration,
      sym_enum_declaration,
      sym_type_alias_declaration,
  [32081] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4787), 1,
      anon_sym_LPAREN,
    ACTIONS(4789), 1,
      anon_sym_DOT,
    ACTIONS(4791), 1,
      anon_sym_LT,
    STATE(2352), 1,
      sym_comment,
    STATE(2450), 1,
      sym_type_arguments,
    STATE(2451), 1,
      sym_arguments,
    ACTIONS(4131), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4127), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [32152] = 26,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(225), 1,
      anon_sym_STAR,
    ACTIONS(243), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(3876), 1,
      anon_sym_LBRACE,
    ACTIONS(4556), 1,
      anon_sym_LBRACK,
    ACTIONS(4795), 1,
      anon_sym_async,
    ACTIONS(4797), 1,
      anon_sym_static,
    ACTIONS(4799), 1,
      anon_sym_readonly,
    ACTIONS(4805), 1,
      anon_sym_override,
    STATE(2353), 1,
      sym_comment,
    STATE(3651), 1,
      sym_accessibility_modifier,
    STATE(3663), 1,
      sym_override_modifier,
    STATE(4662), 1,
      sym__property_name,
    STATE(7361), 1,
      sym__destructuring_pattern,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4060), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(4801), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4283), 2,
      sym_object_pattern,
      sym_array_pattern,
    STATE(4740), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4803), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(6763), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(6824), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
    ACTIONS(4793), 14,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [32255] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4787), 1,
      anon_sym_LPAREN,
    ACTIONS(4791), 1,
      anon_sym_LT,
    ACTIONS(4811), 1,
      anon_sym_LBRACK,
    ACTIONS(4813), 1,
      anon_sym_DOT,
    ACTIONS(4815), 1,
      anon_sym_QMARK_DOT,
    STATE(2354), 1,
      sym_comment,
    STATE(2397), 1,
      sym_type_arguments,
    STATE(2686), 1,
      sym_arguments,
    STATE(6354), 1,
      sym_optional_chain,
    ACTIONS(4807), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4809), 27,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [32332] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4791), 1,
      anon_sym_LT,
    ACTIONS(4819), 1,
      anon_sym_DOT,
    ACTIONS(4821), 1,
      anon_sym_is,
    STATE(2355), 1,
      sym_comment,
    STATE(2466), 1,
      sym_type_arguments,
    ACTIONS(4817), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4203), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [32401] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4787), 1,
      anon_sym_LPAREN,
    ACTIONS(4791), 1,
      anon_sym_LT,
    ACTIONS(4827), 1,
      anon_sym_DOT,
    STATE(2356), 1,
      sym_comment,
    STATE(2442), 1,
      sym_type_arguments,
    STATE(2443), 1,
      sym_arguments,
    ACTIONS(4823), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4825), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [32472] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4787), 1,
      anon_sym_LPAREN,
    ACTIONS(4791), 1,
      anon_sym_LT,
    ACTIONS(4833), 1,
      anon_sym_DOT,
    STATE(2357), 1,
      sym_comment,
    STATE(2444), 1,
      sym_type_arguments,
    STATE(2449), 1,
      sym_arguments,
    ACTIONS(4829), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4831), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [32543] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2358), 1,
      sym_comment,
    ACTIONS(1978), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2030), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
      anon_sym_is,
  [32603] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4791), 1,
      anon_sym_LT,
    ACTIONS(4819), 1,
      anon_sym_DOT,
    STATE(2359), 1,
      sym_comment,
    STATE(2466), 1,
      sym_type_arguments,
    ACTIONS(4817), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4203), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [32669] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4791), 1,
      anon_sym_LT,
    STATE(2360), 1,
      sym_comment,
    STATE(2452), 1,
      sym_type_arguments,
    ACTIONS(4835), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4837), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [32733] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4839), 1,
      anon_sym_LBRACE,
    ACTIONS(4841), 1,
      anon_sym_DOT,
    STATE(2361), 1,
      sym_comment,
    STATE(2540), 1,
      sym_statement_block,
    ACTIONS(2055), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2059), 30,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_while,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_PIPE_RBRACE,
  [32799] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2362), 1,
      sym_comment,
    ACTIONS(4324), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
    ACTIONS(4843), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [32859] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2363), 1,
      sym_comment,
    ACTIONS(4352), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
    ACTIONS(4845), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [32919] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2364), 1,
      sym_comment,
    ACTIONS(2077), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
    ACTIONS(2079), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [32979] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4839), 1,
      anon_sym_LBRACE,
    STATE(2365), 1,
      sym_comment,
    STATE(2540), 1,
      sym_statement_block,
    ACTIONS(2055), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2059), 31,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_while,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_PIPE_RBRACE,
  [33043] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4821), 1,
      anon_sym_is,
    STATE(2366), 1,
      sym_comment,
    ACTIONS(4847), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4849), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [33105] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2367), 1,
      sym_comment,
    ACTIONS(2221), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
    ACTIONS(2223), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [33165] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2368), 1,
      sym_comment,
    ACTIONS(4851), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4853), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
      anon_sym_is,
  [33225] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4839), 1,
      anon_sym_LBRACE,
    ACTIONS(4855), 1,
      anon_sym_DOT,
    STATE(2369), 1,
      sym_comment,
    STATE(2540), 1,
      sym_statement_block,
    ACTIONS(2055), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2059), 30,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_while,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_PIPE_RBRACE,
  [33291] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4857), 1,
      anon_sym_is,
    STATE(2370), 1,
      sym_comment,
    ACTIONS(4835), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4837), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [33353] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4821), 1,
      anon_sym_is,
    STATE(2371), 1,
      sym_comment,
    ACTIONS(4859), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4861), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [33415] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4787), 1,
      anon_sym_LPAREN,
    ACTIONS(4867), 1,
      anon_sym_BQUOTE,
    STATE(2372), 1,
      sym_comment,
    STATE(2680), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4863), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4865), 29,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_implements,
  [33481] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2373), 1,
      sym_comment,
    ACTIONS(4345), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
    ACTIONS(4869), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [33541] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2071), 1,
      anon_sym_EQ,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4871), 1,
      sym__automatic_semicolon,
    STATE(2374), 1,
      sym_comment,
    ACTIONS(2067), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2103), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [33605] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2375), 1,
      sym_comment,
    ACTIONS(4873), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4875), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [33664] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4787), 1,
      anon_sym_LPAREN,
    ACTIONS(4811), 1,
      anon_sym_LBRACK,
    ACTIONS(4813), 1,
      anon_sym_DOT,
    ACTIONS(4867), 1,
      anon_sym_BQUOTE,
    ACTIONS(4879), 1,
      anon_sym_as,
    ACTIONS(4883), 1,
      anon_sym_BANG,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4889), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4891), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4893), 1,
      anon_sym_GT_GT,
    ACTIONS(4897), 1,
      anon_sym_AMP,
    ACTIONS(4899), 1,
      anon_sym_CARET,
    ACTIONS(4901), 1,
      anon_sym_PIPE,
    ACTIONS(4905), 1,
      anon_sym_PERCENT,
    ACTIONS(4907), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4909), 1,
      anon_sym_LT,
    ACTIONS(4917), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4921), 1,
      anon_sym_satisfies,
    ACTIONS(4923), 1,
      sym__ternary_qmark,
    STATE(2372), 1,
      sym_type_arguments,
    STATE(2376), 1,
      sym_comment,
    STATE(6354), 1,
      sym_optional_chain,
    ACTIONS(4877), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4885), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4895), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4903), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4913), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4915), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4919), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2716), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4911), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4881), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [33781] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2377), 1,
      sym_comment,
    ACTIONS(4925), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4927), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [33840] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2378), 1,
      sym_comment,
    ACTIONS(4929), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4931), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [33899] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2379), 1,
      sym_comment,
    ACTIONS(4929), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4931), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [33958] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2380), 1,
      sym_comment,
    ACTIONS(4933), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4935), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [34017] = 23,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(4396), 1,
      anon_sym_override,
    ACTIONS(4514), 1,
      sym__automatic_semicolon,
    ACTIONS(4937), 1,
      anon_sym_STAR,
    ACTIONS(4939), 1,
      anon_sym_EQ,
    ACTIONS(4941), 1,
      anon_sym_COMMA,
    ACTIONS(4944), 1,
      anon_sym_RBRACE,
    ACTIONS(4947), 1,
      anon_sym_LBRACK,
    ACTIONS(4949), 1,
      anon_sym_async,
    ACTIONS(4951), 1,
      anon_sym_readonly,
    STATE(2381), 1,
      sym_comment,
    STATE(3670), 1,
      sym_override_modifier,
    STATE(4017), 1,
      sym__property_name,
    STATE(6171), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6333), 1,
      aux_sym_object_repeat1,
    ACTIONS(3894), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4953), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4151), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 6,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(4372), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [34112] = 19,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4787), 1,
      anon_sym_LPAREN,
    ACTIONS(4811), 1,
      anon_sym_LBRACK,
    ACTIONS(4813), 1,
      anon_sym_DOT,
    ACTIONS(4867), 1,
      anon_sym_BQUOTE,
    ACTIONS(4879), 1,
      anon_sym_as,
    ACTIONS(4883), 1,
      anon_sym_BANG,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4907), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4921), 1,
      anon_sym_satisfies,
    ACTIONS(4959), 1,
      anon_sym_LT,
    STATE(2372), 1,
      sym_type_arguments,
    STATE(2382), 1,
      sym_comment,
    STATE(6354), 1,
      sym_optional_chain,
    ACTIONS(4919), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2716), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4955), 11,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4957), 18,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [34199] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2383), 1,
      sym_comment,
    ACTIONS(4962), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4964), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [34258] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2384), 1,
      sym_comment,
    ACTIONS(4966), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4968), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [34317] = 18,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4787), 1,
      anon_sym_LPAREN,
    ACTIONS(4811), 1,
      anon_sym_LBRACK,
    ACTIONS(4813), 1,
      anon_sym_DOT,
    ACTIONS(4867), 1,
      anon_sym_BQUOTE,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4905), 1,
      anon_sym_PERCENT,
    ACTIONS(4907), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4959), 1,
      anon_sym_LT,
    STATE(2372), 1,
      sym_type_arguments,
    STATE(2385), 1,
      sym_comment,
    STATE(6354), 1,
      sym_optional_chain,
    ACTIONS(4877), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4919), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2716), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4955), 10,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4957), 19,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [34402] = 21,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4787), 1,
      anon_sym_LPAREN,
    ACTIONS(4811), 1,
      anon_sym_LBRACK,
    ACTIONS(4813), 1,
      anon_sym_DOT,
    ACTIONS(4867), 1,
      anon_sym_BQUOTE,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4893), 1,
      anon_sym_GT_GT,
    ACTIONS(4905), 1,
      anon_sym_PERCENT,
    ACTIONS(4907), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4909), 1,
      anon_sym_LT,
    STATE(2372), 1,
      sym_type_arguments,
    STATE(2386), 1,
      sym_comment,
    STATE(6354), 1,
      sym_optional_chain,
    ACTIONS(4877), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4895), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4903), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4919), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2716), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4955), 7,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4957), 17,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [34493] = 27,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4787), 1,
      anon_sym_LPAREN,
    ACTIONS(4811), 1,
      anon_sym_LBRACK,
    ACTIONS(4813), 1,
      anon_sym_DOT,
    ACTIONS(4867), 1,
      anon_sym_BQUOTE,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4893), 1,
      anon_sym_GT_GT,
    ACTIONS(4897), 1,
      anon_sym_AMP,
    ACTIONS(4899), 1,
      anon_sym_CARET,
    ACTIONS(4905), 1,
      anon_sym_PERCENT,
    ACTIONS(4907), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4909), 1,
      anon_sym_LT,
    STATE(2372), 1,
      sym_type_arguments,
    STATE(2387), 1,
      sym_comment,
    STATE(6354), 1,
      sym_optional_chain,
    ACTIONS(4877), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4885), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4895), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4903), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4913), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4915), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4919), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4955), 2,
      anon_sym_BANG,
      anon_sym_PIPE,
    STATE(2716), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4911), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4957), 11,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [34596] = 26,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4787), 1,
      anon_sym_LPAREN,
    ACTIONS(4811), 1,
      anon_sym_LBRACK,
    ACTIONS(4813), 1,
      anon_sym_DOT,
    ACTIONS(4867), 1,
      anon_sym_BQUOTE,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4893), 1,
      anon_sym_GT_GT,
    ACTIONS(4897), 1,
      anon_sym_AMP,
    ACTIONS(4905), 1,
      anon_sym_PERCENT,
    ACTIONS(4907), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4909), 1,
      anon_sym_LT,
    STATE(2372), 1,
      sym_type_arguments,
    STATE(2388), 1,
      sym_comment,
    STATE(6354), 1,
      sym_optional_chain,
    ACTIONS(4877), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4885), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4895), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4903), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4913), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4915), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4919), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4955), 2,
      anon_sym_BANG,
      anon_sym_PIPE,
    STATE(2716), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4911), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4957), 12,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [34697] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4787), 1,
      anon_sym_LPAREN,
    ACTIONS(4811), 1,
      anon_sym_LBRACK,
    ACTIONS(4813), 1,
      anon_sym_DOT,
    ACTIONS(4867), 1,
      anon_sym_BQUOTE,
    ACTIONS(4879), 1,
      anon_sym_as,
    ACTIONS(4883), 1,
      anon_sym_BANG,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4889), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4891), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4893), 1,
      anon_sym_GT_GT,
    ACTIONS(4897), 1,
      anon_sym_AMP,
    ACTIONS(4899), 1,
      anon_sym_CARET,
    ACTIONS(4901), 1,
      anon_sym_PIPE,
    ACTIONS(4905), 1,
      anon_sym_PERCENT,
    ACTIONS(4907), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4909), 1,
      anon_sym_LT,
    ACTIONS(4917), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4921), 1,
      anon_sym_satisfies,
    ACTIONS(4923), 1,
      sym__ternary_qmark,
    STATE(2372), 1,
      sym_type_arguments,
    STATE(2389), 1,
      sym_comment,
    STATE(6354), 1,
      sym_optional_chain,
    ACTIONS(4877), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4885), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4895), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4903), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4913), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4915), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4919), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2716), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4911), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4970), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [34814] = 25,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4787), 1,
      anon_sym_LPAREN,
    ACTIONS(4811), 1,
      anon_sym_LBRACK,
    ACTIONS(4813), 1,
      anon_sym_DOT,
    ACTIONS(4867), 1,
      anon_sym_BQUOTE,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4893), 1,
      anon_sym_GT_GT,
    ACTIONS(4905), 1,
      anon_sym_PERCENT,
    ACTIONS(4907), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4909), 1,
      anon_sym_LT,
    STATE(2372), 1,
      sym_type_arguments,
    STATE(2390), 1,
      sym_comment,
    STATE(6354), 1,
      sym_optional_chain,
    ACTIONS(4877), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4885), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4895), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4903), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4913), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4915), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4919), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2716), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4911), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4955), 3,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4957), 12,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [34913] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2391), 1,
      sym_comment,
    ACTIONS(4972), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4974), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [34972] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4980), 1,
      anon_sym_AMP,
    ACTIONS(4982), 1,
      anon_sym_PIPE,
    ACTIONS(4984), 1,
      anon_sym_extends,
    STATE(2392), 1,
      sym_comment,
    ACTIONS(4976), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4978), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [35037] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4787), 1,
      anon_sym_LPAREN,
    ACTIONS(4811), 1,
      anon_sym_LBRACK,
    ACTIONS(4813), 1,
      anon_sym_DOT,
    ACTIONS(4867), 1,
      anon_sym_BQUOTE,
    ACTIONS(4879), 1,
      anon_sym_as,
    ACTIONS(4883), 1,
      anon_sym_BANG,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4889), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4891), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4893), 1,
      anon_sym_GT_GT,
    ACTIONS(4897), 1,
      anon_sym_AMP,
    ACTIONS(4899), 1,
      anon_sym_CARET,
    ACTIONS(4901), 1,
      anon_sym_PIPE,
    ACTIONS(4905), 1,
      anon_sym_PERCENT,
    ACTIONS(4907), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4909), 1,
      anon_sym_LT,
    ACTIONS(4917), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4921), 1,
      anon_sym_satisfies,
    ACTIONS(4923), 1,
      sym__ternary_qmark,
    STATE(2372), 1,
      sym_type_arguments,
    STATE(2393), 1,
      sym_comment,
    STATE(6354), 1,
      sym_optional_chain,
    ACTIONS(4877), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4885), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4895), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4903), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4913), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4915), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4919), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2716), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4911), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4986), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [35154] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2394), 1,
      sym_comment,
    ACTIONS(4988), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4990), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [35213] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2395), 1,
      sym_comment,
    ACTIONS(4992), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4994), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [35272] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2396), 1,
      sym_comment,
    ACTIONS(4992), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4994), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [35331] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4787), 1,
      anon_sym_LPAREN,
    STATE(2397), 1,
      sym_comment,
    STATE(2632), 1,
      sym_arguments,
    ACTIONS(4996), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4998), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [35394] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2398), 1,
      sym_comment,
    ACTIONS(4992), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4994), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [35453] = 38,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4226), 1,
      anon_sym_COLON,
    ACTIONS(4787), 1,
      anon_sym_LPAREN,
    ACTIONS(4811), 1,
      anon_sym_LBRACK,
    ACTIONS(4813), 1,
      anon_sym_DOT,
    ACTIONS(4867), 1,
      anon_sym_BQUOTE,
    ACTIONS(4879), 1,
      anon_sym_as,
    ACTIONS(4883), 1,
      anon_sym_BANG,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4889), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4891), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4893), 1,
      anon_sym_GT_GT,
    ACTIONS(4897), 1,
      anon_sym_AMP,
    ACTIONS(4899), 1,
      anon_sym_CARET,
    ACTIONS(4901), 1,
      anon_sym_PIPE,
    ACTIONS(4905), 1,
      anon_sym_PERCENT,
    ACTIONS(4907), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4909), 1,
      anon_sym_LT,
    ACTIONS(4917), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4921), 1,
      anon_sym_satisfies,
    ACTIONS(4923), 1,
      sym__ternary_qmark,
    ACTIONS(5000), 1,
      anon_sym_COMMA,
    ACTIONS(5002), 1,
      anon_sym_RPAREN,
    STATE(2372), 1,
      sym_type_arguments,
    STATE(2399), 1,
      sym_comment,
    STATE(4803), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(6354), 1,
      sym_optional_chain,
    STATE(7557), 1,
      sym_type_annotation,
    ACTIONS(4877), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4885), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4895), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4903), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4913), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4915), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4919), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2716), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4911), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [35578] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2400), 1,
      sym_comment,
    ACTIONS(5004), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5006), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [35637] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2401), 1,
      sym_comment,
    ACTIONS(5008), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5010), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [35696] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2402), 1,
      sym_comment,
    ACTIONS(5008), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5010), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [35755] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2403), 1,
      sym_comment,
    ACTIONS(5012), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5014), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [35814] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2404), 1,
      sym_comment,
    ACTIONS(4972), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4974), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [35873] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2405), 1,
      sym_comment,
    ACTIONS(5008), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5010), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [35932] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2406), 1,
      sym_comment,
    ACTIONS(5016), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5018), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [35991] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2407), 1,
      sym_comment,
    ACTIONS(5020), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5022), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [36050] = 38,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4226), 1,
      anon_sym_COLON,
    ACTIONS(4787), 1,
      anon_sym_LPAREN,
    ACTIONS(4811), 1,
      anon_sym_LBRACK,
    ACTIONS(4813), 1,
      anon_sym_DOT,
    ACTIONS(4867), 1,
      anon_sym_BQUOTE,
    ACTIONS(4879), 1,
      anon_sym_as,
    ACTIONS(4883), 1,
      anon_sym_BANG,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4889), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4891), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4893), 1,
      anon_sym_GT_GT,
    ACTIONS(4897), 1,
      anon_sym_AMP,
    ACTIONS(4899), 1,
      anon_sym_CARET,
    ACTIONS(4901), 1,
      anon_sym_PIPE,
    ACTIONS(4905), 1,
      anon_sym_PERCENT,
    ACTIONS(4907), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4909), 1,
      anon_sym_LT,
    ACTIONS(4917), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4921), 1,
      anon_sym_satisfies,
    ACTIONS(4923), 1,
      sym__ternary_qmark,
    ACTIONS(5000), 1,
      anon_sym_COMMA,
    ACTIONS(5024), 1,
      anon_sym_RPAREN,
    STATE(2372), 1,
      sym_type_arguments,
    STATE(2408), 1,
      sym_comment,
    STATE(4803), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(6354), 1,
      sym_optional_chain,
    STATE(7483), 1,
      sym_type_annotation,
    ACTIONS(4877), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4885), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4895), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4903), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4913), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4915), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4919), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2716), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4911), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [36175] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2409), 1,
      sym_comment,
    ACTIONS(5020), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5022), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [36234] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2410), 1,
      sym_comment,
    ACTIONS(5020), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5022), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [36293] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4787), 1,
      anon_sym_LPAREN,
    ACTIONS(4811), 1,
      anon_sym_LBRACK,
    ACTIONS(4813), 1,
      anon_sym_DOT,
    ACTIONS(4867), 1,
      anon_sym_BQUOTE,
    ACTIONS(4879), 1,
      anon_sym_as,
    ACTIONS(4883), 1,
      anon_sym_BANG,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4889), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4891), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4893), 1,
      anon_sym_GT_GT,
    ACTIONS(4897), 1,
      anon_sym_AMP,
    ACTIONS(4899), 1,
      anon_sym_CARET,
    ACTIONS(4901), 1,
      anon_sym_PIPE,
    ACTIONS(4905), 1,
      anon_sym_PERCENT,
    ACTIONS(4907), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4909), 1,
      anon_sym_LT,
    ACTIONS(4917), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4921), 1,
      anon_sym_satisfies,
    ACTIONS(4923), 1,
      sym__ternary_qmark,
    STATE(2372), 1,
      sym_type_arguments,
    STATE(2411), 1,
      sym_comment,
    STATE(6354), 1,
      sym_optional_chain,
    ACTIONS(4877), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4885), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4895), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4903), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4913), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4915), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4919), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2716), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4911), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5026), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [36410] = 38,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4226), 1,
      anon_sym_COLON,
    ACTIONS(4787), 1,
      anon_sym_LPAREN,
    ACTIONS(4811), 1,
      anon_sym_LBRACK,
    ACTIONS(4813), 1,
      anon_sym_DOT,
    ACTIONS(4867), 1,
      anon_sym_BQUOTE,
    ACTIONS(4879), 1,
      anon_sym_as,
    ACTIONS(4883), 1,
      anon_sym_BANG,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4889), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4891), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4893), 1,
      anon_sym_GT_GT,
    ACTIONS(4897), 1,
      anon_sym_AMP,
    ACTIONS(4899), 1,
      anon_sym_CARET,
    ACTIONS(4901), 1,
      anon_sym_PIPE,
    ACTIONS(4905), 1,
      anon_sym_PERCENT,
    ACTIONS(4907), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4909), 1,
      anon_sym_LT,
    ACTIONS(4917), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4921), 1,
      anon_sym_satisfies,
    ACTIONS(4923), 1,
      sym__ternary_qmark,
    ACTIONS(5000), 1,
      anon_sym_COMMA,
    ACTIONS(5028), 1,
      anon_sym_RPAREN,
    STATE(2372), 1,
      sym_type_arguments,
    STATE(2412), 1,
      sym_comment,
    STATE(4803), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(6354), 1,
      sym_optional_chain,
    STATE(7439), 1,
      sym_type_annotation,
    ACTIONS(4877), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4885), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4895), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4903), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4913), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4915), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4919), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2716), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4911), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [36535] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2413), 1,
      sym_comment,
    ACTIONS(5016), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5018), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [36594] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2414), 1,
      sym_comment,
    ACTIONS(5030), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5032), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [36653] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4980), 1,
      anon_sym_AMP,
    ACTIONS(4982), 1,
      anon_sym_PIPE,
    ACTIONS(4984), 1,
      anon_sym_extends,
    STATE(2415), 1,
      sym_comment,
    ACTIONS(5034), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5036), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [36718] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4787), 1,
      anon_sym_LPAREN,
    ACTIONS(4811), 1,
      anon_sym_LBRACK,
    ACTIONS(4813), 1,
      anon_sym_DOT,
    ACTIONS(4867), 1,
      anon_sym_BQUOTE,
    ACTIONS(4879), 1,
      anon_sym_as,
    ACTIONS(4883), 1,
      anon_sym_BANG,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4889), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4891), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4893), 1,
      anon_sym_GT_GT,
    ACTIONS(4897), 1,
      anon_sym_AMP,
    ACTIONS(4899), 1,
      anon_sym_CARET,
    ACTIONS(4901), 1,
      anon_sym_PIPE,
    ACTIONS(4905), 1,
      anon_sym_PERCENT,
    ACTIONS(4907), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4909), 1,
      anon_sym_LT,
    ACTIONS(4917), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4921), 1,
      anon_sym_satisfies,
    ACTIONS(4923), 1,
      sym__ternary_qmark,
    STATE(2372), 1,
      sym_type_arguments,
    STATE(2416), 1,
      sym_comment,
    STATE(6354), 1,
      sym_optional_chain,
    ACTIONS(4877), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4885), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4895), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4903), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4913), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4915), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4919), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2716), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4911), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5038), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [36835] = 38,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4226), 1,
      anon_sym_COLON,
    ACTIONS(4787), 1,
      anon_sym_LPAREN,
    ACTIONS(4811), 1,
      anon_sym_LBRACK,
    ACTIONS(4813), 1,
      anon_sym_DOT,
    ACTIONS(4867), 1,
      anon_sym_BQUOTE,
    ACTIONS(4879), 1,
      anon_sym_as,
    ACTIONS(4883), 1,
      anon_sym_BANG,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4889), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4891), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4893), 1,
      anon_sym_GT_GT,
    ACTIONS(4897), 1,
      anon_sym_AMP,
    ACTIONS(4899), 1,
      anon_sym_CARET,
    ACTIONS(4901), 1,
      anon_sym_PIPE,
    ACTIONS(4905), 1,
      anon_sym_PERCENT,
    ACTIONS(4907), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4909), 1,
      anon_sym_LT,
    ACTIONS(4917), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4921), 1,
      anon_sym_satisfies,
    ACTIONS(4923), 1,
      sym__ternary_qmark,
    ACTIONS(5000), 1,
      anon_sym_COMMA,
    ACTIONS(5040), 1,
      anon_sym_RPAREN,
    STATE(2372), 1,
      sym_type_arguments,
    STATE(2417), 1,
      sym_comment,
    STATE(4803), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(6354), 1,
      sym_optional_chain,
    STATE(7576), 1,
      sym_type_annotation,
    ACTIONS(4877), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4885), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4895), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4903), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4913), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4915), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4919), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2716), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4911), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [36960] = 38,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4226), 1,
      anon_sym_COLON,
    ACTIONS(4787), 1,
      anon_sym_LPAREN,
    ACTIONS(4811), 1,
      anon_sym_LBRACK,
    ACTIONS(4813), 1,
      anon_sym_DOT,
    ACTIONS(4867), 1,
      anon_sym_BQUOTE,
    ACTIONS(4879), 1,
      anon_sym_as,
    ACTIONS(4883), 1,
      anon_sym_BANG,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4889), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4891), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4893), 1,
      anon_sym_GT_GT,
    ACTIONS(4897), 1,
      anon_sym_AMP,
    ACTIONS(4899), 1,
      anon_sym_CARET,
    ACTIONS(4901), 1,
      anon_sym_PIPE,
    ACTIONS(4905), 1,
      anon_sym_PERCENT,
    ACTIONS(4907), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4909), 1,
      anon_sym_LT,
    ACTIONS(4917), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4921), 1,
      anon_sym_satisfies,
    ACTIONS(4923), 1,
      sym__ternary_qmark,
    ACTIONS(5000), 1,
      anon_sym_COMMA,
    ACTIONS(5042), 1,
      anon_sym_RPAREN,
    STATE(2372), 1,
      sym_type_arguments,
    STATE(2418), 1,
      sym_comment,
    STATE(4803), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(6354), 1,
      sym_optional_chain,
    STATE(7426), 1,
      sym_type_annotation,
    ACTIONS(4877), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4885), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4895), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4903), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4913), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4915), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4919), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2716), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4911), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [37085] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2419), 1,
      sym_comment,
    ACTIONS(5044), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5046), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [37144] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2420), 1,
      sym_comment,
    ACTIONS(5048), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5050), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [37203] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2421), 1,
      sym_comment,
    ACTIONS(5044), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5046), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [37262] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2422), 1,
      sym_comment,
    ACTIONS(5048), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5050), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [37321] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2423), 1,
      sym_comment,
    ACTIONS(5052), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5054), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [37380] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2424), 1,
      sym_comment,
    ACTIONS(5056), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5058), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [37439] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2425), 1,
      sym_comment,
    ACTIONS(5052), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5054), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [37498] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2426), 1,
      sym_comment,
    ACTIONS(5056), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5058), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [37557] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2427), 1,
      sym_comment,
    ACTIONS(5060), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5062), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [37616] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2428), 1,
      sym_comment,
    ACTIONS(5064), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5066), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [37675] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2429), 1,
      sym_comment,
    ACTIONS(5068), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5070), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [37734] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4980), 1,
      anon_sym_AMP,
    STATE(2430), 1,
      sym_comment,
    ACTIONS(5072), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5074), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [37795] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2431), 1,
      sym_comment,
    ACTIONS(5076), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5078), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [37854] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4980), 1,
      anon_sym_AMP,
    ACTIONS(4982), 1,
      anon_sym_PIPE,
    ACTIONS(4984), 1,
      anon_sym_extends,
    STATE(2432), 1,
      sym_comment,
    ACTIONS(5080), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5082), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [37919] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2433), 1,
      sym_comment,
    ACTIONS(5080), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5082), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [37978] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5088), 1,
      anon_sym_DOT,
    STATE(2434), 1,
      sym_comment,
    ACTIONS(5084), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5086), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [38039] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5091), 1,
      anon_sym_DOT,
    STATE(2435), 1,
      sym_comment,
    ACTIONS(5084), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5086), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [38100] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2436), 1,
      sym_comment,
    ACTIONS(5094), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5096), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [38159] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5098), 1,
      sym__automatic_semicolon,
    STATE(2437), 1,
      sym_comment,
    ACTIONS(2093), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2095), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [38220] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4787), 1,
      anon_sym_LPAREN,
    ACTIONS(4811), 1,
      anon_sym_LBRACK,
    ACTIONS(4813), 1,
      anon_sym_DOT,
    ACTIONS(4867), 1,
      anon_sym_BQUOTE,
    ACTIONS(4879), 1,
      anon_sym_as,
    ACTIONS(4883), 1,
      anon_sym_BANG,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4889), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4891), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4893), 1,
      anon_sym_GT_GT,
    ACTIONS(4897), 1,
      anon_sym_AMP,
    ACTIONS(4899), 1,
      anon_sym_CARET,
    ACTIONS(4901), 1,
      anon_sym_PIPE,
    ACTIONS(4905), 1,
      anon_sym_PERCENT,
    ACTIONS(4907), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4909), 1,
      anon_sym_LT,
    ACTIONS(4917), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4921), 1,
      anon_sym_satisfies,
    ACTIONS(4923), 1,
      sym__ternary_qmark,
    STATE(2372), 1,
      sym_type_arguments,
    STATE(2438), 1,
      sym_comment,
    STATE(6354), 1,
      sym_optional_chain,
    ACTIONS(4877), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4885), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4895), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4903), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4913), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4915), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4919), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2716), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4911), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5100), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [38337] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2439), 1,
      sym_comment,
    ACTIONS(5102), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5104), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [38396] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4787), 1,
      anon_sym_LPAREN,
    ACTIONS(4811), 1,
      anon_sym_LBRACK,
    ACTIONS(4813), 1,
      anon_sym_DOT,
    ACTIONS(4867), 1,
      anon_sym_BQUOTE,
    ACTIONS(4879), 1,
      anon_sym_as,
    ACTIONS(4883), 1,
      anon_sym_BANG,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4889), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4891), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4893), 1,
      anon_sym_GT_GT,
    ACTIONS(4897), 1,
      anon_sym_AMP,
    ACTIONS(4899), 1,
      anon_sym_CARET,
    ACTIONS(4901), 1,
      anon_sym_PIPE,
    ACTIONS(4905), 1,
      anon_sym_PERCENT,
    ACTIONS(4907), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4909), 1,
      anon_sym_LT,
    ACTIONS(4917), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4921), 1,
      anon_sym_satisfies,
    ACTIONS(4923), 1,
      sym__ternary_qmark,
    STATE(2372), 1,
      sym_type_arguments,
    STATE(2440), 1,
      sym_comment,
    STATE(6354), 1,
      sym_optional_chain,
    ACTIONS(4877), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4885), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4895), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4903), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4913), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4915), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4919), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2716), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4911), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5106), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [38513] = 19,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4787), 1,
      anon_sym_LPAREN,
    ACTIONS(4811), 1,
      anon_sym_LBRACK,
    ACTIONS(4813), 1,
      anon_sym_DOT,
    ACTIONS(4867), 1,
      anon_sym_BQUOTE,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4905), 1,
      anon_sym_PERCENT,
    ACTIONS(4907), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4959), 1,
      anon_sym_LT,
    STATE(2372), 1,
      sym_type_arguments,
    STATE(2441), 1,
      sym_comment,
    STATE(6354), 1,
      sym_optional_chain,
    ACTIONS(4877), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4903), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4919), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2716), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4955), 8,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4957), 19,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [38600] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2442), 1,
      sym_comment,
    ACTIONS(5108), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5110), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [38659] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2443), 1,
      sym_comment,
    ACTIONS(5112), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5114), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [38718] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2444), 1,
      sym_comment,
    ACTIONS(5116), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5118), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [38777] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2445), 1,
      sym_comment,
    ACTIONS(5120), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5122), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [38836] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2446), 1,
      sym_comment,
    ACTIONS(4929), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4931), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [38895] = 23,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(4396), 1,
      anon_sym_override,
    ACTIONS(4514), 1,
      sym__automatic_semicolon,
    ACTIONS(4937), 1,
      anon_sym_STAR,
    ACTIONS(4939), 1,
      anon_sym_EQ,
    ACTIONS(4941), 1,
      anon_sym_COMMA,
    ACTIONS(4947), 1,
      anon_sym_LBRACK,
    ACTIONS(4949), 1,
      anon_sym_async,
    ACTIONS(4951), 1,
      anon_sym_readonly,
    ACTIONS(5124), 1,
      anon_sym_RBRACE,
    STATE(2447), 1,
      sym_comment,
    STATE(3670), 1,
      sym_override_modifier,
    STATE(4017), 1,
      sym__property_name,
    STATE(6171), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6333), 1,
      aux_sym_object_repeat1,
    ACTIONS(3894), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4953), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4151), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 6,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(4372), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [38990] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2448), 1,
      sym_comment,
    ACTIONS(5120), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5122), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [39049] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2449), 1,
      sym_comment,
    ACTIONS(5127), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5129), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [39108] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2450), 1,
      sym_comment,
    ACTIONS(5131), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5133), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [39167] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2451), 1,
      sym_comment,
    ACTIONS(5135), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5137), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [39226] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2452), 1,
      sym_comment,
    ACTIONS(5139), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5141), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [39285] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2453), 1,
      sym_comment,
    ACTIONS(3188), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3432), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [39344] = 14,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4787), 1,
      anon_sym_LPAREN,
    ACTIONS(4811), 1,
      anon_sym_LBRACK,
    ACTIONS(4813), 1,
      anon_sym_DOT,
    ACTIONS(4867), 1,
      anon_sym_BQUOTE,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5147), 1,
      anon_sym_LT,
    STATE(2372), 1,
      sym_type_arguments,
    STATE(2454), 1,
      sym_comment,
    STATE(6354), 1,
      sym_optional_chain,
    STATE(2716), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5143), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5145), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [39421] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2455), 1,
      sym_comment,
    ACTIONS(5150), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5152), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [39480] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4787), 1,
      anon_sym_LPAREN,
    ACTIONS(4811), 1,
      anon_sym_LBRACK,
    ACTIONS(4813), 1,
      anon_sym_DOT,
    ACTIONS(4867), 1,
      anon_sym_BQUOTE,
    ACTIONS(4879), 1,
      anon_sym_as,
    ACTIONS(4883), 1,
      anon_sym_BANG,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4889), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4891), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4893), 1,
      anon_sym_GT_GT,
    ACTIONS(4897), 1,
      anon_sym_AMP,
    ACTIONS(4899), 1,
      anon_sym_CARET,
    ACTIONS(4901), 1,
      anon_sym_PIPE,
    ACTIONS(4905), 1,
      anon_sym_PERCENT,
    ACTIONS(4907), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4909), 1,
      anon_sym_LT,
    ACTIONS(4917), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4921), 1,
      anon_sym_satisfies,
    ACTIONS(4923), 1,
      sym__ternary_qmark,
    STATE(2372), 1,
      sym_type_arguments,
    STATE(2456), 1,
      sym_comment,
    STATE(6354), 1,
      sym_optional_chain,
    ACTIONS(4877), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4885), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4895), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4903), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4913), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4915), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4919), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2716), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4911), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5154), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [39597] = 18,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4787), 1,
      anon_sym_LPAREN,
    ACTIONS(4811), 1,
      anon_sym_LBRACK,
    ACTIONS(4813), 1,
      anon_sym_DOT,
    ACTIONS(4867), 1,
      anon_sym_BQUOTE,
    ACTIONS(4879), 1,
      anon_sym_as,
    ACTIONS(4883), 1,
      anon_sym_BANG,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4921), 1,
      anon_sym_satisfies,
    ACTIONS(5160), 1,
      anon_sym_LT,
    STATE(2372), 1,
      sym_type_arguments,
    STATE(2457), 1,
      sym_comment,
    STATE(6354), 1,
      sym_optional_chain,
    ACTIONS(4919), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2716), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5156), 11,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5158), 19,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [39682] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4980), 1,
      anon_sym_AMP,
    ACTIONS(4982), 1,
      anon_sym_PIPE,
    ACTIONS(4984), 1,
      anon_sym_extends,
    STATE(2458), 1,
      sym_comment,
    ACTIONS(5163), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5165), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [39747] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5171), 1,
      anon_sym_LBRACK,
    STATE(2459), 1,
      sym_comment,
    ACTIONS(5167), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5169), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [39808] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5177), 1,
      anon_sym_extends,
    STATE(2460), 1,
      sym_comment,
    ACTIONS(5173), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5175), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [39869] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4787), 1,
      anon_sym_LPAREN,
    ACTIONS(4811), 1,
      anon_sym_LBRACK,
    ACTIONS(4813), 1,
      anon_sym_DOT,
    ACTIONS(4867), 1,
      anon_sym_BQUOTE,
    ACTIONS(4879), 1,
      anon_sym_as,
    ACTIONS(4883), 1,
      anon_sym_BANG,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4889), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4891), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4893), 1,
      anon_sym_GT_GT,
    ACTIONS(4897), 1,
      anon_sym_AMP,
    ACTIONS(4899), 1,
      anon_sym_CARET,
    ACTIONS(4901), 1,
      anon_sym_PIPE,
    ACTIONS(4905), 1,
      anon_sym_PERCENT,
    ACTIONS(4907), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4909), 1,
      anon_sym_LT,
    ACTIONS(4917), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4921), 1,
      anon_sym_satisfies,
    ACTIONS(4923), 1,
      sym__ternary_qmark,
    STATE(2372), 1,
      sym_type_arguments,
    STATE(2461), 1,
      sym_comment,
    STATE(6354), 1,
      sym_optional_chain,
    ACTIONS(4877), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4885), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4895), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4903), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4913), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4915), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4919), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2716), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4911), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5179), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [39986] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2462), 1,
      sym_comment,
    ACTIONS(4847), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4849), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [40045] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5171), 1,
      anon_sym_LBRACK,
    ACTIONS(5187), 1,
      anon_sym_extends,
    STATE(2463), 1,
      sym_comment,
    ACTIONS(5185), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5181), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5183), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [40110] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4787), 1,
      anon_sym_LPAREN,
    ACTIONS(4811), 1,
      anon_sym_LBRACK,
    ACTIONS(4813), 1,
      anon_sym_DOT,
    ACTIONS(4867), 1,
      anon_sym_BQUOTE,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5193), 1,
      anon_sym_LT,
    STATE(2372), 1,
      sym_type_arguments,
    STATE(2464), 1,
      sym_comment,
    STATE(6354), 1,
      sym_optional_chain,
    ACTIONS(4919), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2716), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5189), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5191), 21,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [40189] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4980), 1,
      anon_sym_AMP,
    ACTIONS(4982), 1,
      anon_sym_PIPE,
    ACTIONS(4984), 1,
      anon_sym_extends,
    STATE(2465), 1,
      sym_comment,
    ACTIONS(5196), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5198), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [40254] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2466), 1,
      sym_comment,
    ACTIONS(5200), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5202), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [40313] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2467), 1,
      sym_comment,
    ACTIONS(3192), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3434), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [40372] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2468), 1,
      sym_comment,
    ACTIONS(5204), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5206), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [40431] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4811), 1,
      anon_sym_LBRACK,
    ACTIONS(4813), 1,
      anon_sym_DOT,
    ACTIONS(4815), 1,
      anon_sym_QMARK_DOT,
    STATE(2469), 1,
      sym_comment,
    STATE(6354), 1,
      sym_optional_chain,
    ACTIONS(2169), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2171), 28,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [40498] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2470), 1,
      sym_comment,
    ACTIONS(5208), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5210), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [40557] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4787), 1,
      anon_sym_LPAREN,
    ACTIONS(4811), 1,
      anon_sym_LBRACK,
    ACTIONS(4813), 1,
      anon_sym_DOT,
    ACTIONS(4867), 1,
      anon_sym_BQUOTE,
    ACTIONS(4879), 1,
      anon_sym_as,
    ACTIONS(4883), 1,
      anon_sym_BANG,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4889), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4891), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4893), 1,
      anon_sym_GT_GT,
    ACTIONS(4897), 1,
      anon_sym_AMP,
    ACTIONS(4899), 1,
      anon_sym_CARET,
    ACTIONS(4901), 1,
      anon_sym_PIPE,
    ACTIONS(4905), 1,
      anon_sym_PERCENT,
    ACTIONS(4907), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4909), 1,
      anon_sym_LT,
    ACTIONS(4917), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4921), 1,
      anon_sym_satisfies,
    ACTIONS(4923), 1,
      sym__ternary_qmark,
    STATE(2372), 1,
      sym_type_arguments,
    STATE(2471), 1,
      sym_comment,
    STATE(6354), 1,
      sym_optional_chain,
    ACTIONS(4877), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4885), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4895), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4903), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4913), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4915), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4919), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2716), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4911), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5212), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [40674] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4787), 1,
      anon_sym_LPAREN,
    ACTIONS(4811), 1,
      anon_sym_LBRACK,
    ACTIONS(4813), 1,
      anon_sym_DOT,
    ACTIONS(4867), 1,
      anon_sym_BQUOTE,
    ACTIONS(4879), 1,
      anon_sym_as,
    ACTIONS(4883), 1,
      anon_sym_BANG,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4889), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4891), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4893), 1,
      anon_sym_GT_GT,
    ACTIONS(4897), 1,
      anon_sym_AMP,
    ACTIONS(4899), 1,
      anon_sym_CARET,
    ACTIONS(4901), 1,
      anon_sym_PIPE,
    ACTIONS(4905), 1,
      anon_sym_PERCENT,
    ACTIONS(4907), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4909), 1,
      anon_sym_LT,
    ACTIONS(4917), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4921), 1,
      anon_sym_satisfies,
    ACTIONS(4923), 1,
      sym__ternary_qmark,
    STATE(2372), 1,
      sym_type_arguments,
    STATE(2472), 1,
      sym_comment,
    STATE(6354), 1,
      sym_optional_chain,
    ACTIONS(4877), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4885), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4895), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4903), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4913), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4915), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4919), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2716), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4911), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5214), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [40791] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4787), 1,
      anon_sym_LPAREN,
    ACTIONS(4811), 1,
      anon_sym_LBRACK,
    ACTIONS(4813), 1,
      anon_sym_DOT,
    ACTIONS(4867), 1,
      anon_sym_BQUOTE,
    ACTIONS(4879), 1,
      anon_sym_as,
    ACTIONS(4883), 1,
      anon_sym_BANG,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4889), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4891), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4893), 1,
      anon_sym_GT_GT,
    ACTIONS(4897), 1,
      anon_sym_AMP,
    ACTIONS(4899), 1,
      anon_sym_CARET,
    ACTIONS(4901), 1,
      anon_sym_PIPE,
    ACTIONS(4905), 1,
      anon_sym_PERCENT,
    ACTIONS(4907), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4909), 1,
      anon_sym_LT,
    ACTIONS(4917), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4921), 1,
      anon_sym_satisfies,
    ACTIONS(4923), 1,
      sym__ternary_qmark,
    STATE(2372), 1,
      sym_type_arguments,
    STATE(2473), 1,
      sym_comment,
    STATE(6354), 1,
      sym_optional_chain,
    ACTIONS(4877), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4885), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4895), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4903), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4913), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4915), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4919), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2716), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4911), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5216), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [40908] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4980), 1,
      anon_sym_AMP,
    ACTIONS(4982), 1,
      anon_sym_PIPE,
    ACTIONS(4984), 1,
      anon_sym_extends,
    STATE(2474), 1,
      sym_comment,
    ACTIONS(5218), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5220), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [40973] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4980), 1,
      anon_sym_AMP,
    ACTIONS(4982), 1,
      anon_sym_PIPE,
    ACTIONS(4984), 1,
      anon_sym_extends,
    STATE(2475), 1,
      sym_comment,
    ACTIONS(5222), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5224), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [41038] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4980), 1,
      anon_sym_AMP,
    STATE(2476), 1,
      sym_comment,
    ACTIONS(5226), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5228), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [41099] = 23,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(4396), 1,
      anon_sym_override,
    ACTIONS(4514), 1,
      sym__automatic_semicolon,
    ACTIONS(4937), 1,
      anon_sym_STAR,
    ACTIONS(4939), 1,
      anon_sym_EQ,
    ACTIONS(4941), 1,
      anon_sym_COMMA,
    ACTIONS(4947), 1,
      anon_sym_LBRACK,
    ACTIONS(4949), 1,
      anon_sym_async,
    ACTIONS(4951), 1,
      anon_sym_readonly,
    ACTIONS(5230), 1,
      anon_sym_RBRACE,
    STATE(2477), 1,
      sym_comment,
    STATE(3670), 1,
      sym_override_modifier,
    STATE(4017), 1,
      sym__property_name,
    STATE(6165), 1,
      aux_sym_object_repeat1,
    STATE(6171), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(3894), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4953), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4151), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 6,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(4372), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [41194] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2478), 1,
      sym_comment,
    ACTIONS(5233), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5235), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [41253] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2479), 1,
      sym_comment,
    ACTIONS(5237), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5239), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [41312] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4787), 1,
      anon_sym_LPAREN,
    ACTIONS(4811), 1,
      anon_sym_LBRACK,
    ACTIONS(4813), 1,
      anon_sym_DOT,
    ACTIONS(4867), 1,
      anon_sym_BQUOTE,
    ACTIONS(4879), 1,
      anon_sym_as,
    ACTIONS(4883), 1,
      anon_sym_BANG,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4889), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4891), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4893), 1,
      anon_sym_GT_GT,
    ACTIONS(4897), 1,
      anon_sym_AMP,
    ACTIONS(4899), 1,
      anon_sym_CARET,
    ACTIONS(4901), 1,
      anon_sym_PIPE,
    ACTIONS(4905), 1,
      anon_sym_PERCENT,
    ACTIONS(4907), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4909), 1,
      anon_sym_LT,
    ACTIONS(4917), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4921), 1,
      anon_sym_satisfies,
    ACTIONS(4923), 1,
      sym__ternary_qmark,
    STATE(2372), 1,
      sym_type_arguments,
    STATE(2480), 1,
      sym_comment,
    STATE(6354), 1,
      sym_optional_chain,
    ACTIONS(4877), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4885), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4895), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4903), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4913), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4915), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4919), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2716), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4911), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5241), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [41429] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2481), 1,
      sym_comment,
    ACTIONS(5120), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5122), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [41488] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2482), 1,
      sym_comment,
    ACTIONS(3196), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3436), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [41547] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2483), 1,
      sym_comment,
    ACTIONS(5243), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5245), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [41606] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5251), 1,
      anon_sym_DOT,
    STATE(2484), 1,
      sym_comment,
    ACTIONS(5247), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5249), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [41667] = 38,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4226), 1,
      anon_sym_COLON,
    ACTIONS(4787), 1,
      anon_sym_LPAREN,
    ACTIONS(4811), 1,
      anon_sym_LBRACK,
    ACTIONS(4813), 1,
      anon_sym_DOT,
    ACTIONS(4867), 1,
      anon_sym_BQUOTE,
    ACTIONS(4879), 1,
      anon_sym_as,
    ACTIONS(4883), 1,
      anon_sym_BANG,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4889), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4891), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4893), 1,
      anon_sym_GT_GT,
    ACTIONS(4897), 1,
      anon_sym_AMP,
    ACTIONS(4899), 1,
      anon_sym_CARET,
    ACTIONS(4901), 1,
      anon_sym_PIPE,
    ACTIONS(4905), 1,
      anon_sym_PERCENT,
    ACTIONS(4907), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4909), 1,
      anon_sym_LT,
    ACTIONS(4917), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4921), 1,
      anon_sym_satisfies,
    ACTIONS(4923), 1,
      sym__ternary_qmark,
    ACTIONS(5000), 1,
      anon_sym_COMMA,
    ACTIONS(5253), 1,
      anon_sym_RPAREN,
    STATE(2372), 1,
      sym_type_arguments,
    STATE(2485), 1,
      sym_comment,
    STATE(4803), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(6354), 1,
      sym_optional_chain,
    STATE(7300), 1,
      sym_type_annotation,
    ACTIONS(4877), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4885), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4895), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4903), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4913), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4915), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4919), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2716), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4911), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [41792] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2486), 1,
      sym_comment,
    ACTIONS(3172), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3440), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [41851] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2487), 1,
      sym_comment,
    ACTIONS(3224), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3442), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [41910] = 16,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4787), 1,
      anon_sym_LPAREN,
    ACTIONS(4811), 1,
      anon_sym_LBRACK,
    ACTIONS(4813), 1,
      anon_sym_DOT,
    ACTIONS(4867), 1,
      anon_sym_BQUOTE,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4907), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4959), 1,
      anon_sym_LT,
    STATE(2372), 1,
      sym_type_arguments,
    STATE(2488), 1,
      sym_comment,
    STATE(6354), 1,
      sym_optional_chain,
    ACTIONS(4919), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2716), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4955), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4957), 20,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [41991] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4837), 1,
      anon_sym_extends,
    STATE(2489), 1,
      sym_comment,
    ACTIONS(5255), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5257), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [42052] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4980), 1,
      anon_sym_AMP,
    ACTIONS(4982), 1,
      anon_sym_PIPE,
    ACTIONS(4984), 1,
      anon_sym_extends,
    STATE(2490), 1,
      sym_comment,
    ACTIONS(5255), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5257), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [42117] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2071), 1,
      anon_sym_EQ,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(3432), 1,
      anon_sym_extends,
    STATE(2491), 1,
      sym_comment,
    ACTIONS(5259), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(5262), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(2069), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2075), 28,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [42184] = 23,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(4396), 1,
      anon_sym_override,
    ACTIONS(4514), 1,
      sym__automatic_semicolon,
    ACTIONS(4937), 1,
      anon_sym_STAR,
    ACTIONS(4939), 1,
      anon_sym_EQ,
    ACTIONS(4941), 1,
      anon_sym_COMMA,
    ACTIONS(4947), 1,
      anon_sym_LBRACK,
    ACTIONS(4949), 1,
      anon_sym_async,
    ACTIONS(4951), 1,
      anon_sym_readonly,
    ACTIONS(5265), 1,
      anon_sym_RBRACE,
    STATE(2492), 1,
      sym_comment,
    STATE(3670), 1,
      sym_override_modifier,
    STATE(4017), 1,
      sym__property_name,
    STATE(6171), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6333), 1,
      aux_sym_object_repeat1,
    ACTIONS(3894), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4953), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4151), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 6,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(4372), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [42279] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5239), 1,
      anon_sym_extends,
    ACTIONS(5270), 1,
      anon_sym_EQ,
    STATE(2493), 1,
      sym_comment,
    ACTIONS(5274), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(5277), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5268), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5272), 28,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [42346] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2494), 1,
      sym_comment,
    ACTIONS(5208), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5210), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_extends,
    ACTIONS(4121), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4125), 29,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [42409] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2495), 1,
      sym_comment,
    ACTIONS(2081), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2083), 32,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_while,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_PIPE_RBRACE,
  [42468] = 23,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4787), 1,
      anon_sym_LPAREN,
    ACTIONS(4811), 1,
      anon_sym_LBRACK,
    ACTIONS(4813), 1,
      anon_sym_DOT,
    ACTIONS(4867), 1,
      anon_sym_BQUOTE,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4893), 1,
      anon_sym_GT_GT,
    ACTIONS(4905), 1,
      anon_sym_PERCENT,
    ACTIONS(4907), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4909), 1,
      anon_sym_LT,
    STATE(2372), 1,
      sym_type_arguments,
    STATE(2496), 1,
      sym_comment,
    STATE(6354), 1,
      sym_optional_chain,
    ACTIONS(4877), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4885), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4895), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4903), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4919), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2716), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4911), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4955), 5,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4957), 14,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [42563] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2497), 1,
      sym_comment,
    ACTIONS(2195), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2197), 32,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_while,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_PIPE_RBRACE,
  [42622] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2498), 1,
      sym_comment,
    ACTIONS(5280), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5282), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [42681] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5171), 1,
      anon_sym_LBRACK,
    STATE(2499), 1,
      sym_comment,
    ACTIONS(5185), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5187), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [42742] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4871), 1,
      sym__automatic_semicolon,
    STATE(2500), 1,
      sym_comment,
    ACTIONS(2067), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2103), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [42803] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2501), 1,
      sym_comment,
    ACTIONS(5185), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5187), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [42862] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4787), 1,
      anon_sym_LPAREN,
    ACTIONS(4811), 1,
      anon_sym_LBRACK,
    ACTIONS(4813), 1,
      anon_sym_DOT,
    ACTIONS(4867), 1,
      anon_sym_BQUOTE,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4889), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4891), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4893), 1,
      anon_sym_GT_GT,
    ACTIONS(4897), 1,
      anon_sym_AMP,
    ACTIONS(4899), 1,
      anon_sym_CARET,
    ACTIONS(4901), 1,
      anon_sym_PIPE,
    ACTIONS(4905), 1,
      anon_sym_PERCENT,
    ACTIONS(4907), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4909), 1,
      anon_sym_LT,
    ACTIONS(4955), 1,
      anon_sym_BANG,
    STATE(2372), 1,
      sym_type_arguments,
    STATE(2502), 1,
      sym_comment,
    STATE(6354), 1,
      sym_optional_chain,
    ACTIONS(4877), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4885), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4895), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4903), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4913), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4915), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4919), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2716), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4911), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4957), 9,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [42971] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2503), 1,
      sym_comment,
    ACTIONS(4859), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4861), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [43030] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2504), 1,
      sym_comment,
    ACTIONS(4925), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4927), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [43089] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2505), 1,
      sym_comment,
    ACTIONS(5284), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5286), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [43148] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2506), 1,
      sym_comment,
    ACTIONS(5288), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5290), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [43207] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2507), 1,
      sym_comment,
    ACTIONS(4835), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4837), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [43266] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2508), 1,
      sym_comment,
    ACTIONS(5292), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5294), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [43325] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4787), 1,
      anon_sym_LPAREN,
    ACTIONS(4811), 1,
      anon_sym_LBRACK,
    ACTIONS(4813), 1,
      anon_sym_DOT,
    ACTIONS(4867), 1,
      anon_sym_BQUOTE,
    ACTIONS(4879), 1,
      anon_sym_as,
    ACTIONS(4883), 1,
      anon_sym_BANG,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4889), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4891), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4893), 1,
      anon_sym_GT_GT,
    ACTIONS(4897), 1,
      anon_sym_AMP,
    ACTIONS(4899), 1,
      anon_sym_CARET,
    ACTIONS(4901), 1,
      anon_sym_PIPE,
    ACTIONS(4905), 1,
      anon_sym_PERCENT,
    ACTIONS(4907), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4909), 1,
      anon_sym_LT,
    ACTIONS(4917), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4921), 1,
      anon_sym_satisfies,
    ACTIONS(4923), 1,
      sym__ternary_qmark,
    STATE(2372), 1,
      sym_type_arguments,
    STATE(2509), 1,
      sym_comment,
    STATE(6354), 1,
      sym_optional_chain,
    ACTIONS(4877), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4885), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4895), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4903), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4913), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4915), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4919), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2716), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4911), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5296), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [43442] = 38,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4226), 1,
      anon_sym_COLON,
    ACTIONS(4787), 1,
      anon_sym_LPAREN,
    ACTIONS(4811), 1,
      anon_sym_LBRACK,
    ACTIONS(4813), 1,
      anon_sym_DOT,
    ACTIONS(4867), 1,
      anon_sym_BQUOTE,
    ACTIONS(4879), 1,
      anon_sym_as,
    ACTIONS(4883), 1,
      anon_sym_BANG,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4889), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4891), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4893), 1,
      anon_sym_GT_GT,
    ACTIONS(4897), 1,
      anon_sym_AMP,
    ACTIONS(4899), 1,
      anon_sym_CARET,
    ACTIONS(4901), 1,
      anon_sym_PIPE,
    ACTIONS(4905), 1,
      anon_sym_PERCENT,
    ACTIONS(4907), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4909), 1,
      anon_sym_LT,
    ACTIONS(4917), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4921), 1,
      anon_sym_satisfies,
    ACTIONS(4923), 1,
      sym__ternary_qmark,
    ACTIONS(5000), 1,
      anon_sym_COMMA,
    ACTIONS(5298), 1,
      anon_sym_RPAREN,
    STATE(2372), 1,
      sym_type_arguments,
    STATE(2510), 1,
      sym_comment,
    STATE(4803), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(6354), 1,
      sym_optional_chain,
    STATE(7568), 1,
      sym_type_annotation,
    ACTIONS(4877), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4885), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4895), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4903), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4913), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4915), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4919), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2716), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4911), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [43567] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4980), 1,
      anon_sym_AMP,
    ACTIONS(4982), 1,
      anon_sym_PIPE,
    ACTIONS(4984), 1,
      anon_sym_extends,
    STATE(2511), 1,
      sym_comment,
    ACTIONS(5300), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5302), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [43632] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2512), 1,
      sym_comment,
    ACTIONS(4925), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4927), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [43691] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4787), 1,
      anon_sym_LPAREN,
    ACTIONS(4811), 1,
      anon_sym_LBRACK,
    ACTIONS(4813), 1,
      anon_sym_DOT,
    ACTIONS(4867), 1,
      anon_sym_BQUOTE,
    ACTIONS(4879), 1,
      anon_sym_as,
    ACTIONS(4883), 1,
      anon_sym_BANG,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4889), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4891), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4893), 1,
      anon_sym_GT_GT,
    ACTIONS(4897), 1,
      anon_sym_AMP,
    ACTIONS(4899), 1,
      anon_sym_CARET,
    ACTIONS(4901), 1,
      anon_sym_PIPE,
    ACTIONS(4905), 1,
      anon_sym_PERCENT,
    ACTIONS(4907), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4909), 1,
      anon_sym_LT,
    ACTIONS(4917), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4921), 1,
      anon_sym_satisfies,
    ACTIONS(4923), 1,
      sym__ternary_qmark,
    STATE(2372), 1,
      sym_type_arguments,
    STATE(2513), 1,
      sym_comment,
    STATE(6354), 1,
      sym_optional_chain,
    ACTIONS(4877), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4885), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4895), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4903), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4913), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4915), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4919), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2716), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4911), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5304), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [43808] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5135), 1,
      anon_sym_QMARK,
    ACTIONS(5137), 1,
      anon_sym_extends,
    STATE(2514), 1,
      sym_comment,
    ACTIONS(5306), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5308), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [43871] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2515), 1,
      sym_comment,
    ACTIONS(5163), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5165), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [43930] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4222), 1,
      anon_sym_EQ,
    STATE(2516), 1,
      sym_comment,
    ACTIONS(4121), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4125), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [43991] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4787), 1,
      anon_sym_LPAREN,
    ACTIONS(4811), 1,
      anon_sym_LBRACK,
    ACTIONS(4813), 1,
      anon_sym_DOT,
    ACTIONS(4867), 1,
      anon_sym_BQUOTE,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4893), 1,
      anon_sym_GT_GT,
    ACTIONS(4897), 1,
      anon_sym_AMP,
    ACTIONS(4899), 1,
      anon_sym_CARET,
    ACTIONS(4901), 1,
      anon_sym_PIPE,
    ACTIONS(4905), 1,
      anon_sym_PERCENT,
    ACTIONS(4907), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4909), 1,
      anon_sym_LT,
    ACTIONS(4955), 1,
      anon_sym_BANG,
    STATE(2372), 1,
      sym_type_arguments,
    STATE(2517), 1,
      sym_comment,
    STATE(6354), 1,
      sym_optional_chain,
    ACTIONS(4877), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4885), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4895), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4903), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4913), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4915), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4919), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2716), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4911), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4957), 11,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [44096] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5310), 1,
      anon_sym_LBRACE,
    STATE(2518), 1,
      sym_comment,
    STATE(2562), 1,
      sym_statement_block,
    ACTIONS(2055), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2059), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [44159] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5310), 1,
      anon_sym_LBRACE,
    ACTIONS(5312), 1,
      anon_sym_DOT,
    STATE(2519), 1,
      sym_comment,
    STATE(2562), 1,
      sym_statement_block,
    ACTIONS(2055), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2059), 29,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [44224] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5310), 1,
      anon_sym_LBRACE,
    ACTIONS(5314), 1,
      anon_sym_DOT,
    STATE(2520), 1,
      sym_comment,
    STATE(2562), 1,
      sym_statement_block,
    ACTIONS(2055), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2059), 29,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [44289] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2521), 1,
      sym_comment,
    ACTIONS(5316), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5318), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [44348] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2522), 1,
      sym_comment,
    ACTIONS(5320), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5322), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [44407] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2523), 1,
      sym_comment,
    ACTIONS(5324), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5326), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [44466] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2524), 1,
      sym_comment,
    ACTIONS(5328), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5330), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [44525] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2525), 1,
      sym_comment,
    ACTIONS(5332), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5334), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [44584] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2526), 1,
      sym_comment,
    ACTIONS(5332), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5334), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [44643] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2527), 1,
      sym_comment,
    ACTIONS(5336), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5338), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [44702] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2528), 1,
      sym_comment,
    ACTIONS(5336), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5338), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [44761] = 23,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(4396), 1,
      anon_sym_override,
    ACTIONS(4514), 1,
      sym__automatic_semicolon,
    ACTIONS(4937), 1,
      anon_sym_STAR,
    ACTIONS(4939), 1,
      anon_sym_EQ,
    ACTIONS(4941), 1,
      anon_sym_COMMA,
    ACTIONS(4947), 1,
      anon_sym_LBRACK,
    ACTIONS(4949), 1,
      anon_sym_async,
    ACTIONS(4951), 1,
      anon_sym_readonly,
    ACTIONS(5340), 1,
      anon_sym_RBRACE,
    STATE(2529), 1,
      sym_comment,
    STATE(3670), 1,
      sym_override_modifier,
    STATE(4017), 1,
      sym__property_name,
    STATE(6171), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6333), 1,
      aux_sym_object_repeat1,
    ACTIONS(3894), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4953), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4151), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 6,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(4372), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [44856] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2530), 1,
      sym_comment,
    ACTIONS(5343), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5345), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [44915] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2531), 1,
      sym_comment,
    ACTIONS(5347), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5349), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [44974] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2532), 1,
      sym_comment,
    ACTIONS(5351), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5353), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [45033] = 38,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4226), 1,
      anon_sym_COLON,
    ACTIONS(4787), 1,
      anon_sym_LPAREN,
    ACTIONS(4811), 1,
      anon_sym_LBRACK,
    ACTIONS(4813), 1,
      anon_sym_DOT,
    ACTIONS(4867), 1,
      anon_sym_BQUOTE,
    ACTIONS(4879), 1,
      anon_sym_as,
    ACTIONS(4883), 1,
      anon_sym_BANG,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4889), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4891), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4893), 1,
      anon_sym_GT_GT,
    ACTIONS(4897), 1,
      anon_sym_AMP,
    ACTIONS(4899), 1,
      anon_sym_CARET,
    ACTIONS(4901), 1,
      anon_sym_PIPE,
    ACTIONS(4905), 1,
      anon_sym_PERCENT,
    ACTIONS(4907), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4909), 1,
      anon_sym_LT,
    ACTIONS(4917), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4921), 1,
      anon_sym_satisfies,
    ACTIONS(4923), 1,
      sym__ternary_qmark,
    ACTIONS(5000), 1,
      anon_sym_COMMA,
    ACTIONS(5355), 1,
      anon_sym_RPAREN,
    STATE(2372), 1,
      sym_type_arguments,
    STATE(2533), 1,
      sym_comment,
    STATE(4803), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(6354), 1,
      sym_optional_chain,
    STATE(7461), 1,
      sym_type_annotation,
    ACTIONS(4877), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4885), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4895), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4903), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4913), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4915), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4919), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2716), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4911), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [45158] = 29,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4787), 1,
      anon_sym_LPAREN,
    ACTIONS(4811), 1,
      anon_sym_LBRACK,
    ACTIONS(4813), 1,
      anon_sym_DOT,
    ACTIONS(4867), 1,
      anon_sym_BQUOTE,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4889), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4893), 1,
      anon_sym_GT_GT,
    ACTIONS(4897), 1,
      anon_sym_AMP,
    ACTIONS(4899), 1,
      anon_sym_CARET,
    ACTIONS(4901), 1,
      anon_sym_PIPE,
    ACTIONS(4905), 1,
      anon_sym_PERCENT,
    ACTIONS(4907), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4909), 1,
      anon_sym_LT,
    ACTIONS(4955), 1,
      anon_sym_BANG,
    STATE(2372), 1,
      sym_type_arguments,
    STATE(2534), 1,
      sym_comment,
    STATE(6354), 1,
      sym_optional_chain,
    ACTIONS(4877), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4885), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4895), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4903), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4913), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4915), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4919), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2716), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4911), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4957), 10,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [45265] = 38,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4226), 1,
      anon_sym_COLON,
    ACTIONS(4787), 1,
      anon_sym_LPAREN,
    ACTIONS(4811), 1,
      anon_sym_LBRACK,
    ACTIONS(4813), 1,
      anon_sym_DOT,
    ACTIONS(4867), 1,
      anon_sym_BQUOTE,
    ACTIONS(4879), 1,
      anon_sym_as,
    ACTIONS(4883), 1,
      anon_sym_BANG,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4889), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4891), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4893), 1,
      anon_sym_GT_GT,
    ACTIONS(4897), 1,
      anon_sym_AMP,
    ACTIONS(4899), 1,
      anon_sym_CARET,
    ACTIONS(4901), 1,
      anon_sym_PIPE,
    ACTIONS(4905), 1,
      anon_sym_PERCENT,
    ACTIONS(4907), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4909), 1,
      anon_sym_LT,
    ACTIONS(4917), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4921), 1,
      anon_sym_satisfies,
    ACTIONS(4923), 1,
      sym__ternary_qmark,
    ACTIONS(5000), 1,
      anon_sym_COMMA,
    ACTIONS(5357), 1,
      anon_sym_RPAREN,
    STATE(2372), 1,
      sym_type_arguments,
    STATE(2535), 1,
      sym_comment,
    STATE(4803), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(6354), 1,
      sym_optional_chain,
    STATE(7507), 1,
      sym_type_annotation,
    ACTIONS(4877), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4885), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4895), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4903), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4913), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4915), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4919), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2716), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4911), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [45390] = 20,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(4514), 1,
      sym__automatic_semicolon,
    ACTIONS(4937), 1,
      anon_sym_STAR,
    ACTIONS(4939), 1,
      anon_sym_EQ,
    ACTIONS(4941), 1,
      anon_sym_COMMA,
    ACTIONS(4944), 1,
      anon_sym_RBRACE,
    ACTIONS(4949), 1,
      anon_sym_async,
    ACTIONS(5359), 1,
      anon_sym_LBRACK,
    STATE(2536), 1,
      sym_comment,
    STATE(4017), 1,
      sym__property_name,
    STATE(6171), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6333), 1,
      aux_sym_object_repeat1,
    ACTIONS(3894), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4953), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4151), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 6,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(4372), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [45478] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2537), 1,
      sym_comment,
    ACTIONS(2169), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2171), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [45536] = 35,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5363), 1,
      anon_sym_as,
    ACTIONS(5367), 1,
      anon_sym_BANG,
    ACTIONS(5369), 1,
      anon_sym_LPAREN,
    ACTIONS(5375), 1,
      anon_sym_LBRACK,
    ACTIONS(5377), 1,
      anon_sym_DOT,
    ACTIONS(5379), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5381), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5383), 1,
      anon_sym_GT_GT,
    ACTIONS(5387), 1,
      anon_sym_AMP,
    ACTIONS(5389), 1,
      anon_sym_CARET,
    ACTIONS(5391), 1,
      anon_sym_PIPE,
    ACTIONS(5395), 1,
      anon_sym_PERCENT,
    ACTIONS(5397), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5399), 1,
      anon_sym_LT,
    ACTIONS(5407), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5411), 1,
      anon_sym_BQUOTE,
    ACTIONS(5413), 1,
      anon_sym_satisfies,
    ACTIONS(5415), 1,
      sym__ternary_qmark,
    STATE(2538), 1,
      sym_comment,
    STATE(2739), 1,
      sym_type_arguments,
    STATE(6093), 1,
      sym_optional_chain,
    ACTIONS(5361), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5365), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(5371), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5373), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(5385), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5393), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5403), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5405), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5409), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(3121), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5401), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [45654] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5419), 1,
      anon_sym_EQ,
    STATE(2539), 1,
      sym_comment,
    ACTIONS(5417), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5421), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [45714] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2540), 1,
      sym_comment,
    ACTIONS(2203), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2205), 31,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_while,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_PIPE_RBRACE,
  [45772] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2071), 1,
      anon_sym_EQ,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2541), 1,
      sym_comment,
    ACTIONS(2069), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2075), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [45832] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5270), 1,
      anon_sym_EQ,
    STATE(2542), 1,
      sym_comment,
    ACTIONS(5268), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5272), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [45892] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5423), 1,
      anon_sym_DOT,
    ACTIONS(5425), 1,
      anon_sym_LT,
    ACTIONS(5427), 1,
      anon_sym_is,
    STATE(2543), 1,
      sym_comment,
    STATE(3035), 1,
      sym_type_arguments,
    ACTIONS(4817), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4203), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [45958] = 35,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5363), 1,
      anon_sym_as,
    ACTIONS(5367), 1,
      anon_sym_BANG,
    ACTIONS(5369), 1,
      anon_sym_LPAREN,
    ACTIONS(5375), 1,
      anon_sym_LBRACK,
    ACTIONS(5377), 1,
      anon_sym_DOT,
    ACTIONS(5411), 1,
      anon_sym_BQUOTE,
    ACTIONS(5413), 1,
      anon_sym_satisfies,
    ACTIONS(5433), 1,
      anon_sym_in,
    ACTIONS(5436), 1,
      anon_sym_GT,
    ACTIONS(5438), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5440), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5442), 1,
      anon_sym_GT_GT,
    ACTIONS(5446), 1,
      anon_sym_AMP,
    ACTIONS(5448), 1,
      anon_sym_CARET,
    ACTIONS(5450), 1,
      anon_sym_PIPE,
    ACTIONS(5454), 1,
      anon_sym_PERCENT,
    ACTIONS(5456), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5458), 1,
      anon_sym_LT,
    ACTIONS(5466), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5468), 1,
      sym__ternary_qmark,
    STATE(2544), 1,
      sym_comment,
    STATE(2739), 1,
      sym_type_arguments,
    STATE(6093), 1,
      sym_optional_chain,
    ACTIONS(5409), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5429), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5444), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5452), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5462), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5464), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3121), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5460), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5431), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
  [46076] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5363), 1,
      anon_sym_as,
    ACTIONS(5367), 1,
      anon_sym_BANG,
    ACTIONS(5369), 1,
      anon_sym_LPAREN,
    ACTIONS(5375), 1,
      anon_sym_LBRACK,
    ACTIONS(5377), 1,
      anon_sym_DOT,
    ACTIONS(5379), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5381), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5383), 1,
      anon_sym_GT_GT,
    ACTIONS(5387), 1,
      anon_sym_AMP,
    ACTIONS(5389), 1,
      anon_sym_CARET,
    ACTIONS(5391), 1,
      anon_sym_PIPE,
    ACTIONS(5395), 1,
      anon_sym_PERCENT,
    ACTIONS(5397), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5399), 1,
      anon_sym_LT,
    ACTIONS(5407), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5411), 1,
      anon_sym_BQUOTE,
    ACTIONS(5413), 1,
      anon_sym_satisfies,
    ACTIONS(5415), 1,
      sym__ternary_qmark,
    ACTIONS(5470), 1,
      anon_sym_COMMA,
    STATE(2545), 1,
      sym_comment,
    STATE(2739), 1,
      sym_type_arguments,
    STATE(5598), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(6093), 1,
      sym_optional_chain,
    ACTIONS(5361), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5371), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5385), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5393), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5403), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5405), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5409), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5472), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(3121), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5401), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [46196] = 23,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5369), 1,
      anon_sym_LPAREN,
    ACTIONS(5375), 1,
      anon_sym_LBRACK,
    ACTIONS(5377), 1,
      anon_sym_DOT,
    ACTIONS(5383), 1,
      anon_sym_GT_GT,
    ACTIONS(5395), 1,
      anon_sym_PERCENT,
    ACTIONS(5397), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5399), 1,
      anon_sym_LT,
    ACTIONS(5411), 1,
      anon_sym_BQUOTE,
    STATE(2546), 1,
      sym_comment,
    STATE(2739), 1,
      sym_type_arguments,
    STATE(6093), 1,
      sym_optional_chain,
    ACTIONS(5361), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5371), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5385), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5393), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5409), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(3121), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5401), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4955), 5,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4957), 13,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [46290] = 14,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5369), 1,
      anon_sym_LPAREN,
    ACTIONS(5375), 1,
      anon_sym_LBRACK,
    ACTIONS(5377), 1,
      anon_sym_DOT,
    ACTIONS(5411), 1,
      anon_sym_BQUOTE,
    ACTIONS(5474), 1,
      anon_sym_LT,
    STATE(2547), 1,
      sym_comment,
    STATE(2739), 1,
      sym_type_arguments,
    STATE(6093), 1,
      sym_optional_chain,
    STATE(3121), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5143), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5145), 22,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [46366] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2548), 1,
      sym_comment,
    ACTIONS(2199), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2201), 31,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_while,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_PIPE_RBRACE,
  [46424] = 19,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(4514), 1,
      sym__automatic_semicolon,
    ACTIONS(4937), 1,
      anon_sym_STAR,
    ACTIONS(4939), 1,
      anon_sym_EQ,
    ACTIONS(4941), 1,
      anon_sym_COMMA,
    ACTIONS(5340), 1,
      anon_sym_RBRACE,
    ACTIONS(5477), 1,
      anon_sym_LBRACK,
    STATE(2549), 1,
      sym_comment,
    STATE(4890), 1,
      sym__property_name,
    STATE(6171), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6333), 1,
      aux_sym_object_repeat1,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5479), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4740), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 6,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2900), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [46510] = 20,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(4514), 1,
      sym__automatic_semicolon,
    ACTIONS(4937), 1,
      anon_sym_STAR,
    ACTIONS(4939), 1,
      anon_sym_EQ,
    ACTIONS(4941), 1,
      anon_sym_COMMA,
    ACTIONS(4949), 1,
      anon_sym_async,
    ACTIONS(5340), 1,
      anon_sym_RBRACE,
    ACTIONS(5359), 1,
      anon_sym_LBRACK,
    STATE(2550), 1,
      sym_comment,
    STATE(4017), 1,
      sym__property_name,
    STATE(6171), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6333), 1,
      aux_sym_object_repeat1,
    ACTIONS(3894), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4953), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4151), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 6,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(4372), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [46598] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4955), 1,
      anon_sym_BANG,
    ACTIONS(5369), 1,
      anon_sym_LPAREN,
    ACTIONS(5375), 1,
      anon_sym_LBRACK,
    ACTIONS(5377), 1,
      anon_sym_DOT,
    ACTIONS(5379), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5381), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5383), 1,
      anon_sym_GT_GT,
    ACTIONS(5387), 1,
      anon_sym_AMP,
    ACTIONS(5389), 1,
      anon_sym_CARET,
    ACTIONS(5391), 1,
      anon_sym_PIPE,
    ACTIONS(5395), 1,
      anon_sym_PERCENT,
    ACTIONS(5397), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5399), 1,
      anon_sym_LT,
    ACTIONS(5411), 1,
      anon_sym_BQUOTE,
    STATE(2551), 1,
      sym_comment,
    STATE(2739), 1,
      sym_type_arguments,
    STATE(6093), 1,
      sym_optional_chain,
    ACTIONS(5361), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5371), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5385), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5393), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5403), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5405), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5409), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(3121), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5401), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4957), 8,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [46706] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2552), 1,
      sym_comment,
    ACTIONS(2259), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2263), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [46764] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2553), 1,
      sym_comment,
    ACTIONS(2215), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2219), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [46822] = 18,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5369), 1,
      anon_sym_LPAREN,
    ACTIONS(5375), 1,
      anon_sym_LBRACK,
    ACTIONS(5377), 1,
      anon_sym_DOT,
    ACTIONS(5395), 1,
      anon_sym_PERCENT,
    ACTIONS(5397), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5411), 1,
      anon_sym_BQUOTE,
    ACTIONS(5481), 1,
      anon_sym_LT,
    STATE(2554), 1,
      sym_comment,
    STATE(2739), 1,
      sym_type_arguments,
    STATE(6093), 1,
      sym_optional_chain,
    ACTIONS(5361), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5409), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(3121), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4955), 10,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4957), 18,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [46906] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2555), 1,
      sym_comment,
    ACTIONS(2199), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2201), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [46964] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5363), 1,
      anon_sym_as,
    ACTIONS(5367), 1,
      anon_sym_BANG,
    ACTIONS(5369), 1,
      anon_sym_LPAREN,
    ACTIONS(5375), 1,
      anon_sym_LBRACK,
    ACTIONS(5377), 1,
      anon_sym_DOT,
    ACTIONS(5411), 1,
      anon_sym_BQUOTE,
    ACTIONS(5413), 1,
      anon_sym_satisfies,
    ACTIONS(5438), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5440), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5442), 1,
      anon_sym_GT_GT,
    ACTIONS(5446), 1,
      anon_sym_AMP,
    ACTIONS(5448), 1,
      anon_sym_CARET,
    ACTIONS(5450), 1,
      anon_sym_PIPE,
    ACTIONS(5454), 1,
      anon_sym_PERCENT,
    ACTIONS(5456), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5458), 1,
      anon_sym_LT,
    ACTIONS(5466), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5468), 1,
      sym__ternary_qmark,
    STATE(2556), 1,
      sym_comment,
    STATE(2739), 1,
      sym_type_arguments,
    STATE(6093), 1,
      sym_optional_chain,
    ACTIONS(5409), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5429), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5436), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5444), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5452), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5462), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5464), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3121), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5460), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5106), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
  [47080] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5363), 1,
      anon_sym_as,
    ACTIONS(5367), 1,
      anon_sym_BANG,
    ACTIONS(5369), 1,
      anon_sym_LPAREN,
    ACTIONS(5375), 1,
      anon_sym_LBRACK,
    ACTIONS(5377), 1,
      anon_sym_DOT,
    ACTIONS(5411), 1,
      anon_sym_BQUOTE,
    ACTIONS(5413), 1,
      anon_sym_satisfies,
    ACTIONS(5438), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5440), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5442), 1,
      anon_sym_GT_GT,
    ACTIONS(5446), 1,
      anon_sym_AMP,
    ACTIONS(5448), 1,
      anon_sym_CARET,
    ACTIONS(5450), 1,
      anon_sym_PIPE,
    ACTIONS(5454), 1,
      anon_sym_PERCENT,
    ACTIONS(5456), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5458), 1,
      anon_sym_LT,
    ACTIONS(5466), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5468), 1,
      sym__ternary_qmark,
    STATE(2557), 1,
      sym_comment,
    STATE(2739), 1,
      sym_type_arguments,
    STATE(6093), 1,
      sym_optional_chain,
    ACTIONS(5409), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5429), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5436), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5444), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5452), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5462), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5464), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3121), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5460), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5100), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
  [47196] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5363), 1,
      anon_sym_as,
    ACTIONS(5367), 1,
      anon_sym_BANG,
    ACTIONS(5369), 1,
      anon_sym_LPAREN,
    ACTIONS(5375), 1,
      anon_sym_LBRACK,
    ACTIONS(5377), 1,
      anon_sym_DOT,
    ACTIONS(5411), 1,
      anon_sym_BQUOTE,
    ACTIONS(5413), 1,
      anon_sym_satisfies,
    ACTIONS(5438), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5440), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5442), 1,
      anon_sym_GT_GT,
    ACTIONS(5446), 1,
      anon_sym_AMP,
    ACTIONS(5448), 1,
      anon_sym_CARET,
    ACTIONS(5450), 1,
      anon_sym_PIPE,
    ACTIONS(5454), 1,
      anon_sym_PERCENT,
    ACTIONS(5456), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5458), 1,
      anon_sym_LT,
    ACTIONS(5466), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5468), 1,
      sym__ternary_qmark,
    STATE(2558), 1,
      sym_comment,
    STATE(2739), 1,
      sym_type_arguments,
    STATE(6093), 1,
      sym_optional_chain,
    ACTIONS(5409), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5429), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5436), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5444), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5452), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5462), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5464), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3121), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5460), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4881), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
  [47312] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5363), 1,
      anon_sym_as,
    ACTIONS(5367), 1,
      anon_sym_BANG,
    ACTIONS(5369), 1,
      anon_sym_LPAREN,
    ACTIONS(5375), 1,
      anon_sym_LBRACK,
    ACTIONS(5377), 1,
      anon_sym_DOT,
    ACTIONS(5379), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5381), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5383), 1,
      anon_sym_GT_GT,
    ACTIONS(5387), 1,
      anon_sym_AMP,
    ACTIONS(5389), 1,
      anon_sym_CARET,
    ACTIONS(5391), 1,
      anon_sym_PIPE,
    ACTIONS(5395), 1,
      anon_sym_PERCENT,
    ACTIONS(5397), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5399), 1,
      anon_sym_LT,
    ACTIONS(5407), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5411), 1,
      anon_sym_BQUOTE,
    ACTIONS(5413), 1,
      anon_sym_satisfies,
    ACTIONS(5415), 1,
      sym__ternary_qmark,
    ACTIONS(5470), 1,
      anon_sym_COMMA,
    STATE(2559), 1,
      sym_comment,
    STATE(2739), 1,
      sym_type_arguments,
    STATE(5598), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(6093), 1,
      sym_optional_chain,
    ACTIONS(5361), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5371), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5385), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5393), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5403), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5405), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5409), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5484), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(3121), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5401), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [47432] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5363), 1,
      anon_sym_as,
    ACTIONS(5367), 1,
      anon_sym_BANG,
    ACTIONS(5369), 1,
      anon_sym_LPAREN,
    ACTIONS(5375), 1,
      anon_sym_LBRACK,
    ACTIONS(5377), 1,
      anon_sym_DOT,
    ACTIONS(5379), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5381), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5383), 1,
      anon_sym_GT_GT,
    ACTIONS(5387), 1,
      anon_sym_AMP,
    ACTIONS(5389), 1,
      anon_sym_CARET,
    ACTIONS(5391), 1,
      anon_sym_PIPE,
    ACTIONS(5395), 1,
      anon_sym_PERCENT,
    ACTIONS(5397), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5399), 1,
      anon_sym_LT,
    ACTIONS(5407), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5411), 1,
      anon_sym_BQUOTE,
    ACTIONS(5413), 1,
      anon_sym_satisfies,
    ACTIONS(5415), 1,
      sym__ternary_qmark,
    ACTIONS(5470), 1,
      anon_sym_COMMA,
    STATE(2560), 1,
      sym_comment,
    STATE(2739), 1,
      sym_type_arguments,
    STATE(5598), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(6093), 1,
      sym_optional_chain,
    ACTIONS(5361), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5371), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5385), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5393), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5403), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5405), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5409), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5486), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(3121), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5401), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [47552] = 18,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5363), 1,
      anon_sym_as,
    ACTIONS(5367), 1,
      anon_sym_BANG,
    ACTIONS(5369), 1,
      anon_sym_LPAREN,
    ACTIONS(5375), 1,
      anon_sym_LBRACK,
    ACTIONS(5377), 1,
      anon_sym_DOT,
    ACTIONS(5411), 1,
      anon_sym_BQUOTE,
    ACTIONS(5413), 1,
      anon_sym_satisfies,
    ACTIONS(5488), 1,
      anon_sym_LT,
    STATE(2561), 1,
      sym_comment,
    STATE(2739), 1,
      sym_type_arguments,
    STATE(6093), 1,
      sym_optional_chain,
    ACTIONS(5409), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(3121), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5156), 11,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5158), 18,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [47636] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2562), 1,
      sym_comment,
    ACTIONS(2203), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2205), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [47694] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2563), 1,
      sym_comment,
    ACTIONS(2093), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2095), 31,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_while,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_PIPE_RBRACE,
  [47752] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2564), 1,
      sym_comment,
    ACTIONS(2183), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2187), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [47810] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5369), 1,
      anon_sym_LPAREN,
    ACTIONS(5375), 1,
      anon_sym_LBRACK,
    ACTIONS(5377), 1,
      anon_sym_DOT,
    ACTIONS(5411), 1,
      anon_sym_BQUOTE,
    ACTIONS(5491), 1,
      anon_sym_LT,
    STATE(2565), 1,
      sym_comment,
    STATE(2739), 1,
      sym_type_arguments,
    STATE(6093), 1,
      sym_optional_chain,
    ACTIONS(5409), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(3121), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5189), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5191), 20,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [47888] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2566), 1,
      sym_comment,
    ACTIONS(2175), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2179), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [47946] = 19,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5363), 1,
      anon_sym_as,
    ACTIONS(5367), 1,
      anon_sym_BANG,
    ACTIONS(5369), 1,
      anon_sym_LPAREN,
    ACTIONS(5375), 1,
      anon_sym_LBRACK,
    ACTIONS(5377), 1,
      anon_sym_DOT,
    ACTIONS(5397), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5411), 1,
      anon_sym_BQUOTE,
    ACTIONS(5413), 1,
      anon_sym_satisfies,
    ACTIONS(5481), 1,
      anon_sym_LT,
    STATE(2567), 1,
      sym_comment,
    STATE(2739), 1,
      sym_type_arguments,
    STATE(6093), 1,
      sym_optional_chain,
    ACTIONS(5409), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(3121), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4955), 11,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4957), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [48032] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2568), 1,
      sym_comment,
    ACTIONS(2129), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2133), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [48090] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2569), 1,
      sym_comment,
    ACTIONS(2119), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2123), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [48148] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2570), 1,
      sym_comment,
    ACTIONS(2087), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2091), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [48206] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5494), 1,
      sym__automatic_semicolon,
    STATE(2571), 1,
      sym_comment,
    ACTIONS(2093), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2095), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_while,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_PIPE_RBRACE,
  [48266] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2572), 1,
      sym_comment,
    ACTIONS(5496), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5498), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [48324] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5369), 1,
      anon_sym_LPAREN,
    ACTIONS(5375), 1,
      anon_sym_LBRACK,
    ACTIONS(5377), 1,
      anon_sym_DOT,
    ACTIONS(5411), 1,
      anon_sym_BQUOTE,
    ACTIONS(5500), 1,
      anon_sym_LT,
    STATE(2573), 1,
      sym_comment,
    STATE(2739), 1,
      sym_type_arguments,
    STATE(6093), 1,
      sym_optional_chain,
    ACTIONS(5409), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(3121), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5189), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5191), 20,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [48402] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5503), 1,
      sym__automatic_semicolon,
    STATE(2574), 1,
      sym_comment,
    ACTIONS(2067), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2103), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_while,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_PIPE_RBRACE,
  [48462] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5363), 1,
      anon_sym_as,
    ACTIONS(5367), 1,
      anon_sym_BANG,
    ACTIONS(5369), 1,
      anon_sym_LPAREN,
    ACTIONS(5375), 1,
      anon_sym_LBRACK,
    ACTIONS(5377), 1,
      anon_sym_DOT,
    ACTIONS(5411), 1,
      anon_sym_BQUOTE,
    ACTIONS(5413), 1,
      anon_sym_satisfies,
    ACTIONS(5438), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5440), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5442), 1,
      anon_sym_GT_GT,
    ACTIONS(5446), 1,
      anon_sym_AMP,
    ACTIONS(5448), 1,
      anon_sym_CARET,
    ACTIONS(5450), 1,
      anon_sym_PIPE,
    ACTIONS(5454), 1,
      anon_sym_PERCENT,
    ACTIONS(5456), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5458), 1,
      anon_sym_LT,
    ACTIONS(5466), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5468), 1,
      sym__ternary_qmark,
    STATE(2575), 1,
      sym_comment,
    STATE(2739), 1,
      sym_type_arguments,
    STATE(6093), 1,
      sym_optional_chain,
    ACTIONS(5409), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5429), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5436), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5444), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5452), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5462), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5464), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3121), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5460), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5038), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
  [48578] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5363), 1,
      anon_sym_as,
    ACTIONS(5367), 1,
      anon_sym_BANG,
    ACTIONS(5369), 1,
      anon_sym_LPAREN,
    ACTIONS(5375), 1,
      anon_sym_LBRACK,
    ACTIONS(5377), 1,
      anon_sym_DOT,
    ACTIONS(5379), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5381), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5383), 1,
      anon_sym_GT_GT,
    ACTIONS(5387), 1,
      anon_sym_AMP,
    ACTIONS(5389), 1,
      anon_sym_CARET,
    ACTIONS(5391), 1,
      anon_sym_PIPE,
    ACTIONS(5395), 1,
      anon_sym_PERCENT,
    ACTIONS(5397), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5399), 1,
      anon_sym_LT,
    ACTIONS(5407), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5411), 1,
      anon_sym_BQUOTE,
    ACTIONS(5413), 1,
      anon_sym_satisfies,
    ACTIONS(5415), 1,
      sym__ternary_qmark,
    STATE(2576), 1,
      sym_comment,
    STATE(2739), 1,
      sym_type_arguments,
    STATE(6093), 1,
      sym_optional_chain,
    ACTIONS(5361), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5371), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5385), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5393), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5403), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5405), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5409), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(3121), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5401), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5154), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [48694] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5363), 1,
      anon_sym_as,
    ACTIONS(5367), 1,
      anon_sym_BANG,
    ACTIONS(5369), 1,
      anon_sym_LPAREN,
    ACTIONS(5375), 1,
      anon_sym_LBRACK,
    ACTIONS(5377), 1,
      anon_sym_DOT,
    ACTIONS(5379), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5381), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5383), 1,
      anon_sym_GT_GT,
    ACTIONS(5387), 1,
      anon_sym_AMP,
    ACTIONS(5389), 1,
      anon_sym_CARET,
    ACTIONS(5391), 1,
      anon_sym_PIPE,
    ACTIONS(5395), 1,
      anon_sym_PERCENT,
    ACTIONS(5397), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5399), 1,
      anon_sym_LT,
    ACTIONS(5407), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5411), 1,
      anon_sym_BQUOTE,
    ACTIONS(5413), 1,
      anon_sym_satisfies,
    ACTIONS(5415), 1,
      sym__ternary_qmark,
    ACTIONS(5470), 1,
      anon_sym_COMMA,
    STATE(2577), 1,
      sym_comment,
    STATE(2739), 1,
      sym_type_arguments,
    STATE(5598), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(6093), 1,
      sym_optional_chain,
    ACTIONS(5361), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5371), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5385), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5393), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5403), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5405), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5409), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5505), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(3121), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5401), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [48814] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2578), 1,
      sym_comment,
    ACTIONS(5507), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5509), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [48872] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5363), 1,
      anon_sym_as,
    ACTIONS(5367), 1,
      anon_sym_BANG,
    ACTIONS(5369), 1,
      anon_sym_LPAREN,
    ACTIONS(5375), 1,
      anon_sym_LBRACK,
    ACTIONS(5377), 1,
      anon_sym_DOT,
    ACTIONS(5379), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5381), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5383), 1,
      anon_sym_GT_GT,
    ACTIONS(5387), 1,
      anon_sym_AMP,
    ACTIONS(5389), 1,
      anon_sym_CARET,
    ACTIONS(5391), 1,
      anon_sym_PIPE,
    ACTIONS(5395), 1,
      anon_sym_PERCENT,
    ACTIONS(5397), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5399), 1,
      anon_sym_LT,
    ACTIONS(5407), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5411), 1,
      anon_sym_BQUOTE,
    ACTIONS(5413), 1,
      anon_sym_satisfies,
    ACTIONS(5415), 1,
      sym__ternary_qmark,
    STATE(2579), 1,
      sym_comment,
    STATE(2739), 1,
      sym_type_arguments,
    STATE(6093), 1,
      sym_optional_chain,
    ACTIONS(5361), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5371), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5385), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5393), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5403), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5405), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5409), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(3121), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5401), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5179), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [48988] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2580), 1,
      sym_comment,
    ACTIONS(5511), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5513), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [49046] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5363), 1,
      anon_sym_as,
    ACTIONS(5367), 1,
      anon_sym_BANG,
    ACTIONS(5369), 1,
      anon_sym_LPAREN,
    ACTIONS(5375), 1,
      anon_sym_LBRACK,
    ACTIONS(5377), 1,
      anon_sym_DOT,
    ACTIONS(5379), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5381), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5383), 1,
      anon_sym_GT_GT,
    ACTIONS(5387), 1,
      anon_sym_AMP,
    ACTIONS(5389), 1,
      anon_sym_CARET,
    ACTIONS(5391), 1,
      anon_sym_PIPE,
    ACTIONS(5395), 1,
      anon_sym_PERCENT,
    ACTIONS(5397), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5399), 1,
      anon_sym_LT,
    ACTIONS(5407), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5411), 1,
      anon_sym_BQUOTE,
    ACTIONS(5413), 1,
      anon_sym_satisfies,
    ACTIONS(5415), 1,
      sym__ternary_qmark,
    STATE(2581), 1,
      sym_comment,
    STATE(2739), 1,
      sym_type_arguments,
    STATE(6093), 1,
      sym_optional_chain,
    ACTIONS(5361), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5371), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5385), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5393), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5403), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5405), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5409), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(3121), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5401), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5304), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [49162] = 18,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5363), 1,
      anon_sym_as,
    ACTIONS(5367), 1,
      anon_sym_BANG,
    ACTIONS(5369), 1,
      anon_sym_LPAREN,
    ACTIONS(5375), 1,
      anon_sym_LBRACK,
    ACTIONS(5377), 1,
      anon_sym_DOT,
    ACTIONS(5411), 1,
      anon_sym_BQUOTE,
    ACTIONS(5413), 1,
      anon_sym_satisfies,
    ACTIONS(5515), 1,
      anon_sym_LT,
    STATE(2582), 1,
      sym_comment,
    STATE(2739), 1,
      sym_type_arguments,
    STATE(6093), 1,
      sym_optional_chain,
    ACTIONS(5409), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(3121), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5156), 11,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5158), 18,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [49246] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5363), 1,
      anon_sym_as,
    ACTIONS(5367), 1,
      anon_sym_BANG,
    ACTIONS(5369), 1,
      anon_sym_LPAREN,
    ACTIONS(5375), 1,
      anon_sym_LBRACK,
    ACTIONS(5377), 1,
      anon_sym_DOT,
    ACTIONS(5379), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5381), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5383), 1,
      anon_sym_GT_GT,
    ACTIONS(5387), 1,
      anon_sym_AMP,
    ACTIONS(5389), 1,
      anon_sym_CARET,
    ACTIONS(5391), 1,
      anon_sym_PIPE,
    ACTIONS(5395), 1,
      anon_sym_PERCENT,
    ACTIONS(5397), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5399), 1,
      anon_sym_LT,
    ACTIONS(5407), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5411), 1,
      anon_sym_BQUOTE,
    ACTIONS(5413), 1,
      anon_sym_satisfies,
    ACTIONS(5415), 1,
      sym__ternary_qmark,
    ACTIONS(5470), 1,
      anon_sym_COMMA,
    STATE(2583), 1,
      sym_comment,
    STATE(2739), 1,
      sym_type_arguments,
    STATE(5598), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(6093), 1,
      sym_optional_chain,
    ACTIONS(5361), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5371), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5385), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5393), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5403), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5405), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5409), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5518), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(3121), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5401), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [49366] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2584), 1,
      sym_comment,
    ACTIONS(5520), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5522), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [49424] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5363), 1,
      anon_sym_as,
    ACTIONS(5367), 1,
      anon_sym_BANG,
    ACTIONS(5369), 1,
      anon_sym_LPAREN,
    ACTIONS(5375), 1,
      anon_sym_LBRACK,
    ACTIONS(5377), 1,
      anon_sym_DOT,
    ACTIONS(5379), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5381), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5383), 1,
      anon_sym_GT_GT,
    ACTIONS(5387), 1,
      anon_sym_AMP,
    ACTIONS(5389), 1,
      anon_sym_CARET,
    ACTIONS(5391), 1,
      anon_sym_PIPE,
    ACTIONS(5395), 1,
      anon_sym_PERCENT,
    ACTIONS(5397), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5399), 1,
      anon_sym_LT,
    ACTIONS(5407), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5411), 1,
      anon_sym_BQUOTE,
    ACTIONS(5413), 1,
      anon_sym_satisfies,
    ACTIONS(5415), 1,
      sym__ternary_qmark,
    ACTIONS(5470), 1,
      anon_sym_COMMA,
    STATE(2585), 1,
      sym_comment,
    STATE(2739), 1,
      sym_type_arguments,
    STATE(5598), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(6093), 1,
      sym_optional_chain,
    ACTIONS(5361), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5371), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5385), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5393), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5403), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5405), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5409), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5524), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(3121), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5401), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [49544] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5363), 1,
      anon_sym_as,
    ACTIONS(5365), 1,
      anon_sym_RBRACE,
    ACTIONS(5367), 1,
      anon_sym_BANG,
    ACTIONS(5369), 1,
      anon_sym_LPAREN,
    ACTIONS(5375), 1,
      anon_sym_LBRACK,
    ACTIONS(5377), 1,
      anon_sym_DOT,
    ACTIONS(5379), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5381), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5383), 1,
      anon_sym_GT_GT,
    ACTIONS(5387), 1,
      anon_sym_AMP,
    ACTIONS(5389), 1,
      anon_sym_CARET,
    ACTIONS(5391), 1,
      anon_sym_PIPE,
    ACTIONS(5395), 1,
      anon_sym_PERCENT,
    ACTIONS(5397), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5399), 1,
      anon_sym_LT,
    ACTIONS(5407), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5411), 1,
      anon_sym_BQUOTE,
    ACTIONS(5413), 1,
      anon_sym_satisfies,
    ACTIONS(5415), 1,
      sym__ternary_qmark,
    ACTIONS(5526), 1,
      anon_sym_COMMA,
    STATE(2586), 1,
      sym_comment,
    STATE(2739), 1,
      sym_type_arguments,
    STATE(6093), 1,
      sym_optional_chain,
    ACTIONS(5361), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5371), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5385), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5393), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5403), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5405), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5409), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5529), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(3121), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5401), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [49664] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5363), 1,
      anon_sym_as,
    ACTIONS(5367), 1,
      anon_sym_BANG,
    ACTIONS(5369), 1,
      anon_sym_LPAREN,
    ACTIONS(5375), 1,
      anon_sym_LBRACK,
    ACTIONS(5377), 1,
      anon_sym_DOT,
    ACTIONS(5379), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5381), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5383), 1,
      anon_sym_GT_GT,
    ACTIONS(5387), 1,
      anon_sym_AMP,
    ACTIONS(5389), 1,
      anon_sym_CARET,
    ACTIONS(5391), 1,
      anon_sym_PIPE,
    ACTIONS(5395), 1,
      anon_sym_PERCENT,
    ACTIONS(5397), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5399), 1,
      anon_sym_LT,
    ACTIONS(5407), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5411), 1,
      anon_sym_BQUOTE,
    ACTIONS(5413), 1,
      anon_sym_satisfies,
    ACTIONS(5415), 1,
      sym__ternary_qmark,
    STATE(2587), 1,
      sym_comment,
    STATE(2739), 1,
      sym_type_arguments,
    STATE(6093), 1,
      sym_optional_chain,
    ACTIONS(5361), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5371), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5385), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5393), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5403), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5405), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5409), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(3121), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5401), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4881), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [49780] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5363), 1,
      anon_sym_as,
    ACTIONS(5367), 1,
      anon_sym_BANG,
    ACTIONS(5369), 1,
      anon_sym_LPAREN,
    ACTIONS(5375), 1,
      anon_sym_LBRACK,
    ACTIONS(5377), 1,
      anon_sym_DOT,
    ACTIONS(5411), 1,
      anon_sym_BQUOTE,
    ACTIONS(5413), 1,
      anon_sym_satisfies,
    ACTIONS(5438), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5440), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5442), 1,
      anon_sym_GT_GT,
    ACTIONS(5446), 1,
      anon_sym_AMP,
    ACTIONS(5448), 1,
      anon_sym_CARET,
    ACTIONS(5450), 1,
      anon_sym_PIPE,
    ACTIONS(5454), 1,
      anon_sym_PERCENT,
    ACTIONS(5456), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5458), 1,
      anon_sym_LT,
    ACTIONS(5466), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5468), 1,
      sym__ternary_qmark,
    STATE(2588), 1,
      sym_comment,
    STATE(2739), 1,
      sym_type_arguments,
    STATE(6093), 1,
      sym_optional_chain,
    ACTIONS(5409), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5429), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5436), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5444), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5452), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5462), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5464), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3121), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5460), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4986), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
  [49896] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5363), 1,
      anon_sym_as,
    ACTIONS(5365), 1,
      anon_sym_RBRACE,
    ACTIONS(5367), 1,
      anon_sym_BANG,
    ACTIONS(5369), 1,
      anon_sym_LPAREN,
    ACTIONS(5375), 1,
      anon_sym_LBRACK,
    ACTIONS(5377), 1,
      anon_sym_DOT,
    ACTIONS(5379), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5381), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5383), 1,
      anon_sym_GT_GT,
    ACTIONS(5387), 1,
      anon_sym_AMP,
    ACTIONS(5389), 1,
      anon_sym_CARET,
    ACTIONS(5391), 1,
      anon_sym_PIPE,
    ACTIONS(5395), 1,
      anon_sym_PERCENT,
    ACTIONS(5397), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5399), 1,
      anon_sym_LT,
    ACTIONS(5407), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5411), 1,
      anon_sym_BQUOTE,
    ACTIONS(5413), 1,
      anon_sym_satisfies,
    ACTIONS(5415), 1,
      sym__ternary_qmark,
    ACTIONS(5526), 1,
      anon_sym_COMMA,
    STATE(2589), 1,
      sym_comment,
    STATE(2739), 1,
      sym_type_arguments,
    STATE(6093), 1,
      sym_optional_chain,
    ACTIONS(5100), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(5361), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5371), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5385), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5393), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5403), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5405), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5409), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(3121), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5401), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [50016] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5363), 1,
      anon_sym_as,
    ACTIONS(5367), 1,
      anon_sym_BANG,
    ACTIONS(5369), 1,
      anon_sym_LPAREN,
    ACTIONS(5375), 1,
      anon_sym_LBRACK,
    ACTIONS(5377), 1,
      anon_sym_DOT,
    ACTIONS(5411), 1,
      anon_sym_BQUOTE,
    ACTIONS(5413), 1,
      anon_sym_satisfies,
    ACTIONS(5438), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5440), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5442), 1,
      anon_sym_GT_GT,
    ACTIONS(5446), 1,
      anon_sym_AMP,
    ACTIONS(5448), 1,
      anon_sym_CARET,
    ACTIONS(5450), 1,
      anon_sym_PIPE,
    ACTIONS(5454), 1,
      anon_sym_PERCENT,
    ACTIONS(5456), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5458), 1,
      anon_sym_LT,
    ACTIONS(5466), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5468), 1,
      sym__ternary_qmark,
    STATE(2590), 1,
      sym_comment,
    STATE(2739), 1,
      sym_type_arguments,
    STATE(6093), 1,
      sym_optional_chain,
    ACTIONS(5409), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5429), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5436), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5444), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5452), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5462), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5464), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3121), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5460), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4970), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
  [50132] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5363), 1,
      anon_sym_as,
    ACTIONS(5365), 1,
      anon_sym_RBRACE,
    ACTIONS(5367), 1,
      anon_sym_BANG,
    ACTIONS(5369), 1,
      anon_sym_LPAREN,
    ACTIONS(5375), 1,
      anon_sym_LBRACK,
    ACTIONS(5377), 1,
      anon_sym_DOT,
    ACTIONS(5379), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5381), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5383), 1,
      anon_sym_GT_GT,
    ACTIONS(5387), 1,
      anon_sym_AMP,
    ACTIONS(5389), 1,
      anon_sym_CARET,
    ACTIONS(5391), 1,
      anon_sym_PIPE,
    ACTIONS(5395), 1,
      anon_sym_PERCENT,
    ACTIONS(5397), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5399), 1,
      anon_sym_LT,
    ACTIONS(5407), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5411), 1,
      anon_sym_BQUOTE,
    ACTIONS(5413), 1,
      anon_sym_satisfies,
    ACTIONS(5415), 1,
      sym__ternary_qmark,
    ACTIONS(5531), 1,
      anon_sym_COMMA,
    STATE(2591), 1,
      sym_comment,
    STATE(2739), 1,
      sym_type_arguments,
    STATE(6093), 1,
      sym_optional_chain,
    ACTIONS(4986), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(5361), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5371), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5385), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5393), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5403), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5405), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5409), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(3121), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5401), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [50252] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5363), 1,
      anon_sym_as,
    ACTIONS(5367), 1,
      anon_sym_BANG,
    ACTIONS(5369), 1,
      anon_sym_LPAREN,
    ACTIONS(5375), 1,
      anon_sym_LBRACK,
    ACTIONS(5377), 1,
      anon_sym_DOT,
    ACTIONS(5379), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5381), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5383), 1,
      anon_sym_GT_GT,
    ACTIONS(5387), 1,
      anon_sym_AMP,
    ACTIONS(5389), 1,
      anon_sym_CARET,
    ACTIONS(5391), 1,
      anon_sym_PIPE,
    ACTIONS(5395), 1,
      anon_sym_PERCENT,
    ACTIONS(5397), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5399), 1,
      anon_sym_LT,
    ACTIONS(5407), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5411), 1,
      anon_sym_BQUOTE,
    ACTIONS(5413), 1,
      anon_sym_satisfies,
    ACTIONS(5415), 1,
      sym__ternary_qmark,
    ACTIONS(5534), 1,
      anon_sym_COMMA,
    ACTIONS(5537), 1,
      anon_sym_RBRACE,
    STATE(2592), 1,
      sym_comment,
    STATE(2739), 1,
      sym_type_arguments,
    STATE(6093), 1,
      sym_optional_chain,
    ACTIONS(4986), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(5361), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5371), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5385), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5393), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5403), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5405), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5409), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(3121), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5401), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [50372] = 21,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5369), 1,
      anon_sym_LPAREN,
    ACTIONS(5375), 1,
      anon_sym_LBRACK,
    ACTIONS(5377), 1,
      anon_sym_DOT,
    ACTIONS(5411), 1,
      anon_sym_BQUOTE,
    ACTIONS(5442), 1,
      anon_sym_GT_GT,
    ACTIONS(5454), 1,
      anon_sym_PERCENT,
    ACTIONS(5456), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5458), 1,
      anon_sym_LT,
    STATE(2593), 1,
      sym_comment,
    STATE(2739), 1,
      sym_type_arguments,
    STATE(6093), 1,
      sym_optional_chain,
    ACTIONS(5409), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5429), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5444), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5452), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(3121), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4955), 7,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4957), 16,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [50462] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5369), 1,
      anon_sym_LPAREN,
    ACTIONS(5375), 1,
      anon_sym_LBRACK,
    ACTIONS(5377), 1,
      anon_sym_DOT,
    ACTIONS(5425), 1,
      anon_sym_LT,
    ACTIONS(5539), 1,
      anon_sym_QMARK_DOT,
    STATE(2594), 1,
      sym_comment,
    STATE(2934), 1,
      sym_type_arguments,
    STATE(3181), 1,
      sym_arguments,
    STATE(6093), 1,
      sym_optional_chain,
    ACTIONS(4807), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4809), 24,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [50536] = 16,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5369), 1,
      anon_sym_LPAREN,
    ACTIONS(5375), 1,
      anon_sym_LBRACK,
    ACTIONS(5377), 1,
      anon_sym_DOT,
    ACTIONS(5411), 1,
      anon_sym_BQUOTE,
    ACTIONS(5456), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5541), 1,
      anon_sym_LT,
    STATE(2595), 1,
      sym_comment,
    STATE(2739), 1,
      sym_type_arguments,
    STATE(6093), 1,
      sym_optional_chain,
    ACTIONS(5409), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(3121), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4955), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4957), 19,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [50616] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4955), 1,
      anon_sym_BANG,
    ACTIONS(5369), 1,
      anon_sym_LPAREN,
    ACTIONS(5375), 1,
      anon_sym_LBRACK,
    ACTIONS(5377), 1,
      anon_sym_DOT,
    ACTIONS(5411), 1,
      anon_sym_BQUOTE,
    ACTIONS(5442), 1,
      anon_sym_GT_GT,
    ACTIONS(5446), 1,
      anon_sym_AMP,
    ACTIONS(5448), 1,
      anon_sym_CARET,
    ACTIONS(5450), 1,
      anon_sym_PIPE,
    ACTIONS(5454), 1,
      anon_sym_PERCENT,
    ACTIONS(5456), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5458), 1,
      anon_sym_LT,
    STATE(2596), 1,
      sym_comment,
    STATE(2739), 1,
      sym_type_arguments,
    STATE(6093), 1,
      sym_optional_chain,
    ACTIONS(5409), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5429), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5436), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5444), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5452), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5462), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5464), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3121), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5460), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4957), 10,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [50720] = 29,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4955), 1,
      anon_sym_BANG,
    ACTIONS(5369), 1,
      anon_sym_LPAREN,
    ACTIONS(5375), 1,
      anon_sym_LBRACK,
    ACTIONS(5377), 1,
      anon_sym_DOT,
    ACTIONS(5411), 1,
      anon_sym_BQUOTE,
    ACTIONS(5438), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5442), 1,
      anon_sym_GT_GT,
    ACTIONS(5446), 1,
      anon_sym_AMP,
    ACTIONS(5448), 1,
      anon_sym_CARET,
    ACTIONS(5450), 1,
      anon_sym_PIPE,
    ACTIONS(5454), 1,
      anon_sym_PERCENT,
    ACTIONS(5456), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5458), 1,
      anon_sym_LT,
    STATE(2597), 1,
      sym_comment,
    STATE(2739), 1,
      sym_type_arguments,
    STATE(6093), 1,
      sym_optional_chain,
    ACTIONS(5409), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5429), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5436), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5444), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5452), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5462), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5464), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3121), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5460), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4957), 9,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [50826] = 19,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5369), 1,
      anon_sym_LPAREN,
    ACTIONS(5375), 1,
      anon_sym_LBRACK,
    ACTIONS(5377), 1,
      anon_sym_DOT,
    ACTIONS(5411), 1,
      anon_sym_BQUOTE,
    ACTIONS(5454), 1,
      anon_sym_PERCENT,
    ACTIONS(5456), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5541), 1,
      anon_sym_LT,
    STATE(2598), 1,
      sym_comment,
    STATE(2739), 1,
      sym_type_arguments,
    STATE(6093), 1,
      sym_optional_chain,
    ACTIONS(5409), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5429), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5452), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(3121), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4955), 8,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4957), 18,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [50912] = 25,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5369), 1,
      anon_sym_LPAREN,
    ACTIONS(5375), 1,
      anon_sym_LBRACK,
    ACTIONS(5377), 1,
      anon_sym_DOT,
    ACTIONS(5411), 1,
      anon_sym_BQUOTE,
    ACTIONS(5442), 1,
      anon_sym_GT_GT,
    ACTIONS(5454), 1,
      anon_sym_PERCENT,
    ACTIONS(5456), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5458), 1,
      anon_sym_LT,
    STATE(2599), 1,
      sym_comment,
    STATE(2739), 1,
      sym_type_arguments,
    STATE(6093), 1,
      sym_optional_chain,
    ACTIONS(5409), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5429), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5436), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5444), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5452), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5462), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5464), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3121), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4955), 3,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5460), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4957), 11,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [51010] = 26,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5369), 1,
      anon_sym_LPAREN,
    ACTIONS(5375), 1,
      anon_sym_LBRACK,
    ACTIONS(5377), 1,
      anon_sym_DOT,
    ACTIONS(5411), 1,
      anon_sym_BQUOTE,
    ACTIONS(5442), 1,
      anon_sym_GT_GT,
    ACTIONS(5446), 1,
      anon_sym_AMP,
    ACTIONS(5454), 1,
      anon_sym_PERCENT,
    ACTIONS(5456), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5458), 1,
      anon_sym_LT,
    STATE(2600), 1,
      sym_comment,
    STATE(2739), 1,
      sym_type_arguments,
    STATE(6093), 1,
      sym_optional_chain,
    ACTIONS(4955), 2,
      anon_sym_BANG,
      anon_sym_PIPE,
    ACTIONS(5409), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5429), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5436), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5444), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5452), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5462), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5464), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3121), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5460), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4957), 11,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [51110] = 27,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5369), 1,
      anon_sym_LPAREN,
    ACTIONS(5375), 1,
      anon_sym_LBRACK,
    ACTIONS(5377), 1,
      anon_sym_DOT,
    ACTIONS(5411), 1,
      anon_sym_BQUOTE,
    ACTIONS(5442), 1,
      anon_sym_GT_GT,
    ACTIONS(5446), 1,
      anon_sym_AMP,
    ACTIONS(5448), 1,
      anon_sym_CARET,
    ACTIONS(5454), 1,
      anon_sym_PERCENT,
    ACTIONS(5456), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5458), 1,
      anon_sym_LT,
    STATE(2601), 1,
      sym_comment,
    STATE(2739), 1,
      sym_type_arguments,
    STATE(6093), 1,
      sym_optional_chain,
    ACTIONS(4955), 2,
      anon_sym_BANG,
      anon_sym_PIPE,
    ACTIONS(5409), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5429), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5436), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5444), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5452), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5462), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5464), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3121), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5460), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4957), 10,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [51212] = 18,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5369), 1,
      anon_sym_LPAREN,
    ACTIONS(5375), 1,
      anon_sym_LBRACK,
    ACTIONS(5377), 1,
      anon_sym_DOT,
    ACTIONS(5411), 1,
      anon_sym_BQUOTE,
    ACTIONS(5454), 1,
      anon_sym_PERCENT,
    ACTIONS(5456), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5541), 1,
      anon_sym_LT,
    STATE(2602), 1,
      sym_comment,
    STATE(2739), 1,
      sym_type_arguments,
    STATE(6093), 1,
      sym_optional_chain,
    ACTIONS(5409), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5429), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(3121), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4955), 10,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4957), 18,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [51296] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2603), 1,
      sym_comment,
    ACTIONS(2137), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2141), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [51354] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2604), 1,
      sym_comment,
    ACTIONS(2151), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2155), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [51412] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2605), 1,
      sym_comment,
    ACTIONS(2231), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2235), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [51470] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2606), 1,
      sym_comment,
    ACTIONS(2239), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2243), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [51528] = 19,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5363), 1,
      anon_sym_as,
    ACTIONS(5367), 1,
      anon_sym_BANG,
    ACTIONS(5369), 1,
      anon_sym_LPAREN,
    ACTIONS(5375), 1,
      anon_sym_LBRACK,
    ACTIONS(5377), 1,
      anon_sym_DOT,
    ACTIONS(5411), 1,
      anon_sym_BQUOTE,
    ACTIONS(5413), 1,
      anon_sym_satisfies,
    ACTIONS(5456), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5541), 1,
      anon_sym_LT,
    STATE(2607), 1,
      sym_comment,
    STATE(2739), 1,
      sym_type_arguments,
    STATE(6093), 1,
      sym_optional_chain,
    ACTIONS(5409), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(3121), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4955), 11,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4957), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [51614] = 23,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5369), 1,
      anon_sym_LPAREN,
    ACTIONS(5375), 1,
      anon_sym_LBRACK,
    ACTIONS(5377), 1,
      anon_sym_DOT,
    ACTIONS(5411), 1,
      anon_sym_BQUOTE,
    ACTIONS(5442), 1,
      anon_sym_GT_GT,
    ACTIONS(5454), 1,
      anon_sym_PERCENT,
    ACTIONS(5456), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5458), 1,
      anon_sym_LT,
    STATE(2608), 1,
      sym_comment,
    STATE(2739), 1,
      sym_type_arguments,
    STATE(6093), 1,
      sym_optional_chain,
    ACTIONS(5409), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5429), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5436), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5444), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5452), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(3121), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5460), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4955), 5,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4957), 13,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [51708] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4955), 1,
      anon_sym_BANG,
    ACTIONS(5369), 1,
      anon_sym_LPAREN,
    ACTIONS(5375), 1,
      anon_sym_LBRACK,
    ACTIONS(5377), 1,
      anon_sym_DOT,
    ACTIONS(5411), 1,
      anon_sym_BQUOTE,
    ACTIONS(5438), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5440), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5442), 1,
      anon_sym_GT_GT,
    ACTIONS(5446), 1,
      anon_sym_AMP,
    ACTIONS(5448), 1,
      anon_sym_CARET,
    ACTIONS(5450), 1,
      anon_sym_PIPE,
    ACTIONS(5454), 1,
      anon_sym_PERCENT,
    ACTIONS(5456), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5458), 1,
      anon_sym_LT,
    STATE(2609), 1,
      sym_comment,
    STATE(2739), 1,
      sym_type_arguments,
    STATE(6093), 1,
      sym_optional_chain,
    ACTIONS(5409), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5429), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5436), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5444), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5452), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5462), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5464), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3121), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5460), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4957), 8,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [51816] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5363), 1,
      anon_sym_as,
    ACTIONS(5367), 1,
      anon_sym_BANG,
    ACTIONS(5369), 1,
      anon_sym_LPAREN,
    ACTIONS(5375), 1,
      anon_sym_LBRACK,
    ACTIONS(5377), 1,
      anon_sym_DOT,
    ACTIONS(5411), 1,
      anon_sym_BQUOTE,
    ACTIONS(5413), 1,
      anon_sym_satisfies,
    ACTIONS(5438), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5440), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5442), 1,
      anon_sym_GT_GT,
    ACTIONS(5446), 1,
      anon_sym_AMP,
    ACTIONS(5448), 1,
      anon_sym_CARET,
    ACTIONS(5450), 1,
      anon_sym_PIPE,
    ACTIONS(5454), 1,
      anon_sym_PERCENT,
    ACTIONS(5456), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5458), 1,
      anon_sym_LT,
    ACTIONS(5466), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5468), 1,
      sym__ternary_qmark,
    STATE(2610), 1,
      sym_comment,
    STATE(2739), 1,
      sym_type_arguments,
    STATE(6093), 1,
      sym_optional_chain,
    ACTIONS(5409), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5429), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5436), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5444), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5452), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5462), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5464), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3121), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5460), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5154), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
  [51932] = 27,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5369), 1,
      anon_sym_LPAREN,
    ACTIONS(5375), 1,
      anon_sym_LBRACK,
    ACTIONS(5377), 1,
      anon_sym_DOT,
    ACTIONS(5383), 1,
      anon_sym_GT_GT,
    ACTIONS(5387), 1,
      anon_sym_AMP,
    ACTIONS(5389), 1,
      anon_sym_CARET,
    ACTIONS(5395), 1,
      anon_sym_PERCENT,
    ACTIONS(5397), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5399), 1,
      anon_sym_LT,
    ACTIONS(5411), 1,
      anon_sym_BQUOTE,
    STATE(2611), 1,
      sym_comment,
    STATE(2739), 1,
      sym_type_arguments,
    STATE(6093), 1,
      sym_optional_chain,
    ACTIONS(4955), 2,
      anon_sym_BANG,
      anon_sym_PIPE,
    ACTIONS(5361), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5371), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5385), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5393), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5403), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5405), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5409), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(3121), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5401), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4957), 10,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [52034] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5363), 1,
      anon_sym_as,
    ACTIONS(5367), 1,
      anon_sym_BANG,
    ACTIONS(5369), 1,
      anon_sym_LPAREN,
    ACTIONS(5375), 1,
      anon_sym_LBRACK,
    ACTIONS(5377), 1,
      anon_sym_DOT,
    ACTIONS(5411), 1,
      anon_sym_BQUOTE,
    ACTIONS(5413), 1,
      anon_sym_satisfies,
    ACTIONS(5438), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5440), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5442), 1,
      anon_sym_GT_GT,
    ACTIONS(5446), 1,
      anon_sym_AMP,
    ACTIONS(5448), 1,
      anon_sym_CARET,
    ACTIONS(5450), 1,
      anon_sym_PIPE,
    ACTIONS(5454), 1,
      anon_sym_PERCENT,
    ACTIONS(5456), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5458), 1,
      anon_sym_LT,
    ACTIONS(5466), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5468), 1,
      sym__ternary_qmark,
    STATE(2612), 1,
      sym_comment,
    STATE(2739), 1,
      sym_type_arguments,
    STATE(6093), 1,
      sym_optional_chain,
    ACTIONS(5409), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5429), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5436), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5444), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5452), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5462), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5464), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3121), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5460), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5179), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
  [52150] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2613), 1,
      sym_comment,
    ACTIONS(5544), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5546), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [52208] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2614), 1,
      sym_comment,
    ACTIONS(5548), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5550), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [52266] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2615), 1,
      sym_comment,
    ACTIONS(2105), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2107), 31,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_while,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_PIPE_RBRACE,
  [52324] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2616), 1,
      sym_comment,
    ACTIONS(5552), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5554), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [52382] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2617), 1,
      sym_comment,
    ACTIONS(5556), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5558), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [52440] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2618), 1,
      sym_comment,
    ACTIONS(5560), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5562), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [52498] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5206), 1,
      anon_sym_extends,
    STATE(2619), 1,
      sym_comment,
    ACTIONS(5568), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(5571), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5564), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5566), 28,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [52562] = 26,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5369), 1,
      anon_sym_LPAREN,
    ACTIONS(5375), 1,
      anon_sym_LBRACK,
    ACTIONS(5377), 1,
      anon_sym_DOT,
    ACTIONS(5383), 1,
      anon_sym_GT_GT,
    ACTIONS(5387), 1,
      anon_sym_AMP,
    ACTIONS(5395), 1,
      anon_sym_PERCENT,
    ACTIONS(5397), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5399), 1,
      anon_sym_LT,
    ACTIONS(5411), 1,
      anon_sym_BQUOTE,
    STATE(2620), 1,
      sym_comment,
    STATE(2739), 1,
      sym_type_arguments,
    STATE(6093), 1,
      sym_optional_chain,
    ACTIONS(4955), 2,
      anon_sym_BANG,
      anon_sym_PIPE,
    ACTIONS(5361), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5371), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5385), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5393), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5403), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5405), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5409), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(3121), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5401), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4957), 11,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [52662] = 25,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5369), 1,
      anon_sym_LPAREN,
    ACTIONS(5375), 1,
      anon_sym_LBRACK,
    ACTIONS(5377), 1,
      anon_sym_DOT,
    ACTIONS(5383), 1,
      anon_sym_GT_GT,
    ACTIONS(5395), 1,
      anon_sym_PERCENT,
    ACTIONS(5397), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5399), 1,
      anon_sym_LT,
    ACTIONS(5411), 1,
      anon_sym_BQUOTE,
    STATE(2621), 1,
      sym_comment,
    STATE(2739), 1,
      sym_type_arguments,
    STATE(6093), 1,
      sym_optional_chain,
    ACTIONS(5361), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5371), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5385), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5393), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5403), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5405), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5409), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(3121), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4955), 3,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5401), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4957), 11,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [52760] = 20,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(4514), 1,
      sym__automatic_semicolon,
    ACTIONS(4937), 1,
      anon_sym_STAR,
    ACTIONS(4939), 1,
      anon_sym_EQ,
    ACTIONS(4941), 1,
      anon_sym_COMMA,
    ACTIONS(4949), 1,
      anon_sym_async,
    ACTIONS(5265), 1,
      anon_sym_RBRACE,
    ACTIONS(5359), 1,
      anon_sym_LBRACK,
    STATE(2622), 1,
      sym_comment,
    STATE(4017), 1,
      sym__property_name,
    STATE(6171), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6333), 1,
      aux_sym_object_repeat1,
    ACTIONS(3894), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4953), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4151), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 6,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(4372), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [52848] = 19,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(4514), 1,
      sym__automatic_semicolon,
    ACTIONS(4937), 1,
      anon_sym_STAR,
    ACTIONS(4939), 1,
      anon_sym_EQ,
    ACTIONS(4941), 1,
      anon_sym_COMMA,
    ACTIONS(5265), 1,
      anon_sym_RBRACE,
    ACTIONS(5477), 1,
      anon_sym_LBRACK,
    STATE(2623), 1,
      sym_comment,
    STATE(4890), 1,
      sym__property_name,
    STATE(6171), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6333), 1,
      aux_sym_object_repeat1,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5479), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4740), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 6,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2900), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [52934] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2624), 1,
      sym_comment,
    ACTIONS(5574), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5576), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [52992] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2625), 1,
      sym_comment,
    ACTIONS(5578), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5580), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [53050] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2626), 1,
      sym_comment,
    ACTIONS(5582), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5584), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [53108] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2627), 1,
      sym_comment,
    ACTIONS(5574), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5576), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [53166] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2628), 1,
      sym_comment,
    ACTIONS(5586), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5588), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [53224] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2629), 1,
      sym_comment,
    ACTIONS(5574), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5576), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [53282] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2630), 1,
      sym_comment,
    ACTIONS(5590), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5592), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [53340] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2631), 1,
      sym_comment,
    ACTIONS(2105), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2107), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [53398] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2632), 1,
      sym_comment,
    ACTIONS(5594), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5596), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [53456] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2633), 1,
      sym_comment,
    ACTIONS(5598), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5600), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [53514] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2634), 1,
      sym_comment,
    ACTIONS(5602), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5216), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [53572] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2635), 1,
      sym_comment,
    ACTIONS(5604), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5214), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [53630] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2636), 1,
      sym_comment,
    ACTIONS(5606), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5608), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [53688] = 14,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5369), 1,
      anon_sym_LPAREN,
    ACTIONS(5375), 1,
      anon_sym_LBRACK,
    ACTIONS(5377), 1,
      anon_sym_DOT,
    ACTIONS(5411), 1,
      anon_sym_BQUOTE,
    ACTIONS(5610), 1,
      anon_sym_LT,
    STATE(2637), 1,
      sym_comment,
    STATE(2739), 1,
      sym_type_arguments,
    STATE(6093), 1,
      sym_optional_chain,
    STATE(3121), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5143), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5145), 22,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [53764] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2638), 1,
      sym_comment,
    ACTIONS(5613), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5212), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [53822] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2639), 1,
      sym_comment,
    ACTIONS(5615), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5617), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [53880] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5369), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LT,
    ACTIONS(5619), 1,
      anon_sym_DOT,
    STATE(2640), 1,
      sym_comment,
    STATE(2911), 1,
      sym_type_arguments,
    STATE(2912), 1,
      sym_arguments,
    ACTIONS(4823), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4825), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [53948] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2641), 1,
      sym_comment,
    ACTIONS(2093), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2095), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [54006] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5369), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LT,
    ACTIONS(5621), 1,
      anon_sym_DOT,
    STATE(2642), 1,
      sym_comment,
    STATE(2914), 1,
      sym_type_arguments,
    STATE(2915), 1,
      sym_arguments,
    ACTIONS(4829), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4831), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [54074] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5369), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LT,
    ACTIONS(5623), 1,
      anon_sym_DOT,
    STATE(2643), 1,
      sym_comment,
    STATE(2916), 1,
      sym_type_arguments,
    STATE(2917), 1,
      sym_arguments,
    ACTIONS(4131), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4127), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [54142] = 19,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5369), 1,
      anon_sym_LPAREN,
    ACTIONS(5375), 1,
      anon_sym_LBRACK,
    ACTIONS(5377), 1,
      anon_sym_DOT,
    ACTIONS(5395), 1,
      anon_sym_PERCENT,
    ACTIONS(5397), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5411), 1,
      anon_sym_BQUOTE,
    ACTIONS(5481), 1,
      anon_sym_LT,
    STATE(2644), 1,
      sym_comment,
    STATE(2739), 1,
      sym_type_arguments,
    STATE(6093), 1,
      sym_optional_chain,
    ACTIONS(5361), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5393), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5409), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(3121), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4955), 8,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4957), 18,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [54228] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2645), 1,
      sym_comment,
    ACTIONS(2145), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2147), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [54286] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2646), 1,
      sym_comment,
    ACTIONS(5625), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5627), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [54344] = 29,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4955), 1,
      anon_sym_BANG,
    ACTIONS(5369), 1,
      anon_sym_LPAREN,
    ACTIONS(5375), 1,
      anon_sym_LBRACK,
    ACTIONS(5377), 1,
      anon_sym_DOT,
    ACTIONS(5379), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5383), 1,
      anon_sym_GT_GT,
    ACTIONS(5387), 1,
      anon_sym_AMP,
    ACTIONS(5389), 1,
      anon_sym_CARET,
    ACTIONS(5391), 1,
      anon_sym_PIPE,
    ACTIONS(5395), 1,
      anon_sym_PERCENT,
    ACTIONS(5397), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5399), 1,
      anon_sym_LT,
    ACTIONS(5411), 1,
      anon_sym_BQUOTE,
    STATE(2647), 1,
      sym_comment,
    STATE(2739), 1,
      sym_type_arguments,
    STATE(6093), 1,
      sym_optional_chain,
    ACTIONS(5361), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5371), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5385), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5393), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5403), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5405), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5409), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(3121), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5401), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4957), 9,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [54450] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5363), 1,
      anon_sym_as,
    ACTIONS(5367), 1,
      anon_sym_BANG,
    ACTIONS(5369), 1,
      anon_sym_LPAREN,
    ACTIONS(5375), 1,
      anon_sym_LBRACK,
    ACTIONS(5377), 1,
      anon_sym_DOT,
    ACTIONS(5411), 1,
      anon_sym_BQUOTE,
    ACTIONS(5413), 1,
      anon_sym_satisfies,
    ACTIONS(5438), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5440), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5442), 1,
      anon_sym_GT_GT,
    ACTIONS(5446), 1,
      anon_sym_AMP,
    ACTIONS(5448), 1,
      anon_sym_CARET,
    ACTIONS(5450), 1,
      anon_sym_PIPE,
    ACTIONS(5454), 1,
      anon_sym_PERCENT,
    ACTIONS(5456), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5458), 1,
      anon_sym_LT,
    ACTIONS(5466), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5468), 1,
      sym__ternary_qmark,
    STATE(2648), 1,
      sym_comment,
    STATE(2739), 1,
      sym_type_arguments,
    STATE(6093), 1,
      sym_optional_chain,
    ACTIONS(5409), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5429), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5436), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5444), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5452), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5462), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5464), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3121), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5460), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5212), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
  [54566] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5363), 1,
      anon_sym_as,
    ACTIONS(5367), 1,
      anon_sym_BANG,
    ACTIONS(5369), 1,
      anon_sym_LPAREN,
    ACTIONS(5375), 1,
      anon_sym_LBRACK,
    ACTIONS(5377), 1,
      anon_sym_DOT,
    ACTIONS(5411), 1,
      anon_sym_BQUOTE,
    ACTIONS(5413), 1,
      anon_sym_satisfies,
    ACTIONS(5438), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5440), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5442), 1,
      anon_sym_GT_GT,
    ACTIONS(5446), 1,
      anon_sym_AMP,
    ACTIONS(5448), 1,
      anon_sym_CARET,
    ACTIONS(5450), 1,
      anon_sym_PIPE,
    ACTIONS(5454), 1,
      anon_sym_PERCENT,
    ACTIONS(5456), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5458), 1,
      anon_sym_LT,
    ACTIONS(5466), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5468), 1,
      sym__ternary_qmark,
    STATE(2649), 1,
      sym_comment,
    STATE(2739), 1,
      sym_type_arguments,
    STATE(6093), 1,
      sym_optional_chain,
    ACTIONS(5409), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5429), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5436), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5444), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5452), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5462), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5464), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3121), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5460), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5214), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
  [54682] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5363), 1,
      anon_sym_as,
    ACTIONS(5367), 1,
      anon_sym_BANG,
    ACTIONS(5369), 1,
      anon_sym_LPAREN,
    ACTIONS(5375), 1,
      anon_sym_LBRACK,
    ACTIONS(5377), 1,
      anon_sym_DOT,
    ACTIONS(5411), 1,
      anon_sym_BQUOTE,
    ACTIONS(5413), 1,
      anon_sym_satisfies,
    ACTIONS(5438), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5440), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5442), 1,
      anon_sym_GT_GT,
    ACTIONS(5446), 1,
      anon_sym_AMP,
    ACTIONS(5448), 1,
      anon_sym_CARET,
    ACTIONS(5450), 1,
      anon_sym_PIPE,
    ACTIONS(5454), 1,
      anon_sym_PERCENT,
    ACTIONS(5456), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5458), 1,
      anon_sym_LT,
    ACTIONS(5466), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5468), 1,
      sym__ternary_qmark,
    STATE(2650), 1,
      sym_comment,
    STATE(2739), 1,
      sym_type_arguments,
    STATE(6093), 1,
      sym_optional_chain,
    ACTIONS(5409), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5429), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5436), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5444), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5452), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5462), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5464), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3121), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5460), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5216), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
  [54798] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4955), 1,
      anon_sym_BANG,
    ACTIONS(5369), 1,
      anon_sym_LPAREN,
    ACTIONS(5375), 1,
      anon_sym_LBRACK,
    ACTIONS(5377), 1,
      anon_sym_DOT,
    ACTIONS(5383), 1,
      anon_sym_GT_GT,
    ACTIONS(5387), 1,
      anon_sym_AMP,
    ACTIONS(5389), 1,
      anon_sym_CARET,
    ACTIONS(5391), 1,
      anon_sym_PIPE,
    ACTIONS(5395), 1,
      anon_sym_PERCENT,
    ACTIONS(5397), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5399), 1,
      anon_sym_LT,
    ACTIONS(5411), 1,
      anon_sym_BQUOTE,
    STATE(2651), 1,
      sym_comment,
    STATE(2739), 1,
      sym_type_arguments,
    STATE(6093), 1,
      sym_optional_chain,
    ACTIONS(5361), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5371), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5385), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5393), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5403), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5405), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5409), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(3121), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5401), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4957), 10,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [54902] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5363), 1,
      anon_sym_as,
    ACTIONS(5367), 1,
      anon_sym_BANG,
    ACTIONS(5369), 1,
      anon_sym_LPAREN,
    ACTIONS(5375), 1,
      anon_sym_LBRACK,
    ACTIONS(5377), 1,
      anon_sym_DOT,
    ACTIONS(5411), 1,
      anon_sym_BQUOTE,
    ACTIONS(5413), 1,
      anon_sym_satisfies,
    ACTIONS(5438), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5440), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5442), 1,
      anon_sym_GT_GT,
    ACTIONS(5446), 1,
      anon_sym_AMP,
    ACTIONS(5448), 1,
      anon_sym_CARET,
    ACTIONS(5450), 1,
      anon_sym_PIPE,
    ACTIONS(5454), 1,
      anon_sym_PERCENT,
    ACTIONS(5456), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5458), 1,
      anon_sym_LT,
    ACTIONS(5466), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5468), 1,
      sym__ternary_qmark,
    STATE(2652), 1,
      sym_comment,
    STATE(2739), 1,
      sym_type_arguments,
    STATE(6093), 1,
      sym_optional_chain,
    ACTIONS(5409), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5429), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5436), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5444), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5452), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5462), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5464), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3121), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5460), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5241), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
  [55018] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5363), 1,
      anon_sym_as,
    ACTIONS(5367), 1,
      anon_sym_BANG,
    ACTIONS(5369), 1,
      anon_sym_LPAREN,
    ACTIONS(5375), 1,
      anon_sym_LBRACK,
    ACTIONS(5377), 1,
      anon_sym_DOT,
    ACTIONS(5411), 1,
      anon_sym_BQUOTE,
    ACTIONS(5413), 1,
      anon_sym_satisfies,
    ACTIONS(5438), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5440), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5442), 1,
      anon_sym_GT_GT,
    ACTIONS(5446), 1,
      anon_sym_AMP,
    ACTIONS(5448), 1,
      anon_sym_CARET,
    ACTIONS(5450), 1,
      anon_sym_PIPE,
    ACTIONS(5454), 1,
      anon_sym_PERCENT,
    ACTIONS(5456), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5458), 1,
      anon_sym_LT,
    ACTIONS(5466), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5468), 1,
      sym__ternary_qmark,
    STATE(2653), 1,
      sym_comment,
    STATE(2739), 1,
      sym_type_arguments,
    STATE(6093), 1,
      sym_optional_chain,
    ACTIONS(5409), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5429), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5436), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5444), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5452), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5462), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5464), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3121), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5460), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5026), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
  [55134] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5363), 1,
      anon_sym_as,
    ACTIONS(5367), 1,
      anon_sym_BANG,
    ACTIONS(5369), 1,
      anon_sym_LPAREN,
    ACTIONS(5375), 1,
      anon_sym_LBRACK,
    ACTIONS(5377), 1,
      anon_sym_DOT,
    ACTIONS(5379), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5381), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5383), 1,
      anon_sym_GT_GT,
    ACTIONS(5387), 1,
      anon_sym_AMP,
    ACTIONS(5389), 1,
      anon_sym_CARET,
    ACTIONS(5391), 1,
      anon_sym_PIPE,
    ACTIONS(5395), 1,
      anon_sym_PERCENT,
    ACTIONS(5397), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5399), 1,
      anon_sym_LT,
    ACTIONS(5407), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5411), 1,
      anon_sym_BQUOTE,
    ACTIONS(5413), 1,
      anon_sym_satisfies,
    ACTIONS(5415), 1,
      sym__ternary_qmark,
    STATE(2654), 1,
      sym_comment,
    STATE(2739), 1,
      sym_type_arguments,
    STATE(6093), 1,
      sym_optional_chain,
    ACTIONS(5361), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5371), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5385), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5393), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5403), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5405), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5409), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(3121), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5401), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5106), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [55250] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5363), 1,
      anon_sym_as,
    ACTIONS(5367), 1,
      anon_sym_BANG,
    ACTIONS(5369), 1,
      anon_sym_LPAREN,
    ACTIONS(5375), 1,
      anon_sym_LBRACK,
    ACTIONS(5377), 1,
      anon_sym_DOT,
    ACTIONS(5379), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5381), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5383), 1,
      anon_sym_GT_GT,
    ACTIONS(5387), 1,
      anon_sym_AMP,
    ACTIONS(5389), 1,
      anon_sym_CARET,
    ACTIONS(5391), 1,
      anon_sym_PIPE,
    ACTIONS(5395), 1,
      anon_sym_PERCENT,
    ACTIONS(5397), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5399), 1,
      anon_sym_LT,
    ACTIONS(5407), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5411), 1,
      anon_sym_BQUOTE,
    ACTIONS(5413), 1,
      anon_sym_satisfies,
    ACTIONS(5415), 1,
      sym__ternary_qmark,
    STATE(2655), 1,
      sym_comment,
    STATE(2739), 1,
      sym_type_arguments,
    STATE(6093), 1,
      sym_optional_chain,
    ACTIONS(5361), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5371), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5385), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5393), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5403), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5405), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5409), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(3121), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5401), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5100), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [55366] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5363), 1,
      anon_sym_as,
    ACTIONS(5367), 1,
      anon_sym_BANG,
    ACTIONS(5369), 1,
      anon_sym_LPAREN,
    ACTIONS(5375), 1,
      anon_sym_LBRACK,
    ACTIONS(5377), 1,
      anon_sym_DOT,
    ACTIONS(5411), 1,
      anon_sym_BQUOTE,
    ACTIONS(5413), 1,
      anon_sym_satisfies,
    ACTIONS(5438), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5440), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5442), 1,
      anon_sym_GT_GT,
    ACTIONS(5446), 1,
      anon_sym_AMP,
    ACTIONS(5448), 1,
      anon_sym_CARET,
    ACTIONS(5450), 1,
      anon_sym_PIPE,
    ACTIONS(5454), 1,
      anon_sym_PERCENT,
    ACTIONS(5456), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5458), 1,
      anon_sym_LT,
    ACTIONS(5466), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5468), 1,
      sym__ternary_qmark,
    STATE(2656), 1,
      sym_comment,
    STATE(2739), 1,
      sym_type_arguments,
    STATE(6093), 1,
      sym_optional_chain,
    ACTIONS(5409), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5429), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5436), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5444), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5452), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5462), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5464), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3121), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5460), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5304), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
  [55482] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4787), 1,
      anon_sym_LPAREN,
    ACTIONS(4811), 1,
      anon_sym_LBRACK,
    ACTIONS(4813), 1,
      anon_sym_DOT,
    ACTIONS(4867), 1,
      anon_sym_BQUOTE,
    ACTIONS(4879), 1,
      anon_sym_as,
    ACTIONS(4883), 1,
      anon_sym_BANG,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4889), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4891), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4893), 1,
      anon_sym_GT_GT,
    ACTIONS(4897), 1,
      anon_sym_AMP,
    ACTIONS(4899), 1,
      anon_sym_CARET,
    ACTIONS(4901), 1,
      anon_sym_PIPE,
    ACTIONS(4905), 1,
      anon_sym_PERCENT,
    ACTIONS(4907), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4909), 1,
      anon_sym_LT,
    ACTIONS(4917), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4921), 1,
      anon_sym_satisfies,
    ACTIONS(4923), 1,
      sym__ternary_qmark,
    STATE(2372), 1,
      sym_type_arguments,
    STATE(2657), 1,
      sym_comment,
    STATE(6354), 1,
      sym_optional_chain,
    ACTIONS(4877), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4885), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4895), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4903), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4913), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4915), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4919), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2716), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4911), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5629), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [55598] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2658), 1,
      sym_comment,
    ACTIONS(2161), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2165), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [55656] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2659), 1,
      sym_comment,
    ACTIONS(5631), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5633), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [55714] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2660), 1,
      sym_comment,
    ACTIONS(5635), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5637), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [55772] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5363), 1,
      anon_sym_as,
    ACTIONS(5367), 1,
      anon_sym_BANG,
    ACTIONS(5369), 1,
      anon_sym_LPAREN,
    ACTIONS(5375), 1,
      anon_sym_LBRACK,
    ACTIONS(5377), 1,
      anon_sym_DOT,
    ACTIONS(5379), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5381), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5383), 1,
      anon_sym_GT_GT,
    ACTIONS(5387), 1,
      anon_sym_AMP,
    ACTIONS(5389), 1,
      anon_sym_CARET,
    ACTIONS(5391), 1,
      anon_sym_PIPE,
    ACTIONS(5395), 1,
      anon_sym_PERCENT,
    ACTIONS(5397), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5399), 1,
      anon_sym_LT,
    ACTIONS(5407), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5411), 1,
      anon_sym_BQUOTE,
    ACTIONS(5413), 1,
      anon_sym_satisfies,
    ACTIONS(5415), 1,
      sym__ternary_qmark,
    ACTIONS(5470), 1,
      anon_sym_COMMA,
    STATE(2661), 1,
      sym_comment,
    STATE(2739), 1,
      sym_type_arguments,
    STATE(5598), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(6093), 1,
      sym_optional_chain,
    ACTIONS(5361), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5371), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5385), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5393), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5403), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5405), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5409), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5639), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(3121), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5401), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [55892] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2662), 1,
      sym_comment,
    ACTIONS(5641), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5643), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [55950] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5363), 1,
      anon_sym_as,
    ACTIONS(5367), 1,
      anon_sym_BANG,
    ACTIONS(5369), 1,
      anon_sym_LPAREN,
    ACTIONS(5375), 1,
      anon_sym_LBRACK,
    ACTIONS(5377), 1,
      anon_sym_DOT,
    ACTIONS(5379), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5381), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5383), 1,
      anon_sym_GT_GT,
    ACTIONS(5387), 1,
      anon_sym_AMP,
    ACTIONS(5389), 1,
      anon_sym_CARET,
    ACTIONS(5391), 1,
      anon_sym_PIPE,
    ACTIONS(5395), 1,
      anon_sym_PERCENT,
    ACTIONS(5397), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5399), 1,
      anon_sym_LT,
    ACTIONS(5407), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5411), 1,
      anon_sym_BQUOTE,
    ACTIONS(5413), 1,
      anon_sym_satisfies,
    ACTIONS(5415), 1,
      sym__ternary_qmark,
    ACTIONS(5470), 1,
      anon_sym_COMMA,
    STATE(2663), 1,
      sym_comment,
    STATE(2739), 1,
      sym_type_arguments,
    STATE(5598), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(6093), 1,
      sym_optional_chain,
    ACTIONS(5361), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5371), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5385), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5393), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5403), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5405), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5409), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5645), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(3121), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5401), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [56070] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5363), 1,
      anon_sym_as,
    ACTIONS(5367), 1,
      anon_sym_BANG,
    ACTIONS(5369), 1,
      anon_sym_LPAREN,
    ACTIONS(5375), 1,
      anon_sym_LBRACK,
    ACTIONS(5377), 1,
      anon_sym_DOT,
    ACTIONS(5379), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5381), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5383), 1,
      anon_sym_GT_GT,
    ACTIONS(5387), 1,
      anon_sym_AMP,
    ACTIONS(5389), 1,
      anon_sym_CARET,
    ACTIONS(5391), 1,
      anon_sym_PIPE,
    ACTIONS(5395), 1,
      anon_sym_PERCENT,
    ACTIONS(5397), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5399), 1,
      anon_sym_LT,
    ACTIONS(5407), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5411), 1,
      anon_sym_BQUOTE,
    ACTIONS(5413), 1,
      anon_sym_satisfies,
    ACTIONS(5415), 1,
      sym__ternary_qmark,
    ACTIONS(5470), 1,
      anon_sym_COMMA,
    STATE(2664), 1,
      sym_comment,
    STATE(2739), 1,
      sym_type_arguments,
    STATE(5598), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(6093), 1,
      sym_optional_chain,
    ACTIONS(5361), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5371), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5385), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5393), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5403), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5405), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5409), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5647), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(3121), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5401), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [56190] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2665), 1,
      sym_comment,
    ACTIONS(5649), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5154), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [56248] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2666), 1,
      sym_comment,
    ACTIONS(5651), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5653), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [56306] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2667), 1,
      sym_comment,
    ACTIONS(5655), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5657), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [56364] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5363), 1,
      anon_sym_as,
    ACTIONS(5367), 1,
      anon_sym_BANG,
    ACTIONS(5369), 1,
      anon_sym_LPAREN,
    ACTIONS(5375), 1,
      anon_sym_LBRACK,
    ACTIONS(5377), 1,
      anon_sym_DOT,
    ACTIONS(5379), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5381), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5383), 1,
      anon_sym_GT_GT,
    ACTIONS(5387), 1,
      anon_sym_AMP,
    ACTIONS(5389), 1,
      anon_sym_CARET,
    ACTIONS(5391), 1,
      anon_sym_PIPE,
    ACTIONS(5395), 1,
      anon_sym_PERCENT,
    ACTIONS(5397), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5399), 1,
      anon_sym_LT,
    ACTIONS(5407), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5411), 1,
      anon_sym_BQUOTE,
    ACTIONS(5413), 1,
      anon_sym_satisfies,
    ACTIONS(5415), 1,
      sym__ternary_qmark,
    ACTIONS(5470), 1,
      anon_sym_COMMA,
    STATE(2668), 1,
      sym_comment,
    STATE(2739), 1,
      sym_type_arguments,
    STATE(5598), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(6093), 1,
      sym_optional_chain,
    ACTIONS(5361), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5371), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5385), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5393), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5403), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5405), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5409), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5659), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(3121), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5401), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [56484] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2669), 1,
      sym_comment,
    ACTIONS(5661), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5663), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [56542] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2670), 1,
      sym_comment,
    ACTIONS(5665), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5667), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [56600] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5363), 1,
      anon_sym_as,
    ACTIONS(5367), 1,
      anon_sym_BANG,
    ACTIONS(5369), 1,
      anon_sym_LPAREN,
    ACTIONS(5375), 1,
      anon_sym_LBRACK,
    ACTIONS(5377), 1,
      anon_sym_DOT,
    ACTIONS(5379), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5381), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5383), 1,
      anon_sym_GT_GT,
    ACTIONS(5387), 1,
      anon_sym_AMP,
    ACTIONS(5389), 1,
      anon_sym_CARET,
    ACTIONS(5391), 1,
      anon_sym_PIPE,
    ACTIONS(5395), 1,
      anon_sym_PERCENT,
    ACTIONS(5397), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5399), 1,
      anon_sym_LT,
    ACTIONS(5407), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5411), 1,
      anon_sym_BQUOTE,
    ACTIONS(5413), 1,
      anon_sym_satisfies,
    ACTIONS(5415), 1,
      sym__ternary_qmark,
    STATE(2671), 1,
      sym_comment,
    STATE(2739), 1,
      sym_type_arguments,
    STATE(6093), 1,
      sym_optional_chain,
    ACTIONS(5361), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5371), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5385), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5393), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5403), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5405), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5409), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(3121), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5401), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5038), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [56716] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2672), 1,
      sym_comment,
    ACTIONS(2251), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2253), 31,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_while,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_PIPE_RBRACE,
  [56774] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4861), 1,
      anon_sym_extends,
    STATE(2673), 1,
      sym_comment,
    ACTIONS(5669), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(5672), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4121), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4125), 28,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [56838] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5286), 1,
      anon_sym_extends,
    STATE(2674), 1,
      sym_comment,
    ACTIONS(5675), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(5678), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4121), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4125), 28,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [56902] = 20,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(4396), 1,
      anon_sym_override,
    ACTIONS(4514), 1,
      sym__automatic_semicolon,
    ACTIONS(4947), 1,
      anon_sym_LBRACK,
    ACTIONS(5681), 1,
      anon_sym_STAR,
    ACTIONS(5683), 1,
      anon_sym_LBRACE,
    ACTIONS(5685), 1,
      anon_sym_async,
    ACTIONS(5687), 1,
      anon_sym_readonly,
    STATE(2675), 1,
      sym_comment,
    STATE(3568), 1,
      sym_statement_block,
    STATE(3677), 1,
      sym_override_modifier,
    STATE(3951), 1,
      sym__property_name,
    ACTIONS(3894), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5689), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4151), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(4372), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [56990] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5363), 1,
      anon_sym_as,
    ACTIONS(5367), 1,
      anon_sym_BANG,
    ACTIONS(5369), 1,
      anon_sym_LPAREN,
    ACTIONS(5375), 1,
      anon_sym_LBRACK,
    ACTIONS(5377), 1,
      anon_sym_DOT,
    ACTIONS(5379), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5381), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5383), 1,
      anon_sym_GT_GT,
    ACTIONS(5387), 1,
      anon_sym_AMP,
    ACTIONS(5389), 1,
      anon_sym_CARET,
    ACTIONS(5391), 1,
      anon_sym_PIPE,
    ACTIONS(5395), 1,
      anon_sym_PERCENT,
    ACTIONS(5397), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5399), 1,
      anon_sym_LT,
    ACTIONS(5407), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5411), 1,
      anon_sym_BQUOTE,
    ACTIONS(5413), 1,
      anon_sym_satisfies,
    ACTIONS(5415), 1,
      sym__ternary_qmark,
    ACTIONS(5470), 1,
      anon_sym_COMMA,
    STATE(2676), 1,
      sym_comment,
    STATE(2739), 1,
      sym_type_arguments,
    STATE(5598), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(6093), 1,
      sym_optional_chain,
    ACTIONS(5361), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5371), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5385), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5393), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5403), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5405), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5409), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5691), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(3121), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5401), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [57110] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5363), 1,
      anon_sym_as,
    ACTIONS(5367), 1,
      anon_sym_BANG,
    ACTIONS(5369), 1,
      anon_sym_LPAREN,
    ACTIONS(5375), 1,
      anon_sym_LBRACK,
    ACTIONS(5377), 1,
      anon_sym_DOT,
    ACTIONS(5379), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5381), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5383), 1,
      anon_sym_GT_GT,
    ACTIONS(5387), 1,
      anon_sym_AMP,
    ACTIONS(5389), 1,
      anon_sym_CARET,
    ACTIONS(5391), 1,
      anon_sym_PIPE,
    ACTIONS(5395), 1,
      anon_sym_PERCENT,
    ACTIONS(5397), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5399), 1,
      anon_sym_LT,
    ACTIONS(5407), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5411), 1,
      anon_sym_BQUOTE,
    ACTIONS(5413), 1,
      anon_sym_satisfies,
    ACTIONS(5415), 1,
      sym__ternary_qmark,
    ACTIONS(5470), 1,
      anon_sym_COMMA,
    STATE(2677), 1,
      sym_comment,
    STATE(2739), 1,
      sym_type_arguments,
    STATE(5598), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(6093), 1,
      sym_optional_chain,
    ACTIONS(5361), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5371), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5385), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5393), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5403), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5405), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5409), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5693), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(3121), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5401), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [57230] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2678), 1,
      sym_comment,
    ACTIONS(2145), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2147), 31,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_while,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_PIPE_RBRACE,
  [57288] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5363), 1,
      anon_sym_as,
    ACTIONS(5367), 1,
      anon_sym_BANG,
    ACTIONS(5369), 1,
      anon_sym_LPAREN,
    ACTIONS(5375), 1,
      anon_sym_LBRACK,
    ACTIONS(5377), 1,
      anon_sym_DOT,
    ACTIONS(5379), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5381), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5383), 1,
      anon_sym_GT_GT,
    ACTIONS(5387), 1,
      anon_sym_AMP,
    ACTIONS(5389), 1,
      anon_sym_CARET,
    ACTIONS(5391), 1,
      anon_sym_PIPE,
    ACTIONS(5395), 1,
      anon_sym_PERCENT,
    ACTIONS(5397), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5399), 1,
      anon_sym_LT,
    ACTIONS(5407), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5411), 1,
      anon_sym_BQUOTE,
    ACTIONS(5413), 1,
      anon_sym_satisfies,
    ACTIONS(5415), 1,
      sym__ternary_qmark,
    ACTIONS(5470), 1,
      anon_sym_COMMA,
    STATE(2679), 1,
      sym_comment,
    STATE(2739), 1,
      sym_type_arguments,
    STATE(5598), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(6093), 1,
      sym_optional_chain,
    ACTIONS(5361), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5371), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5385), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5393), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5403), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5405), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5409), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5695), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(3121), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5401), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [57408] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2680), 1,
      sym_comment,
    ACTIONS(5697), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5699), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [57466] = 19,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(4514), 1,
      sym__automatic_semicolon,
    ACTIONS(4937), 1,
      anon_sym_STAR,
    ACTIONS(4939), 1,
      anon_sym_EQ,
    ACTIONS(4941), 1,
      anon_sym_COMMA,
    ACTIONS(4944), 1,
      anon_sym_RBRACE,
    ACTIONS(5477), 1,
      anon_sym_LBRACK,
    STATE(2681), 1,
      sym_comment,
    STATE(4890), 1,
      sym__property_name,
    STATE(6171), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6333), 1,
      aux_sym_object_repeat1,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5479), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4740), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 6,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2900), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [57552] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2682), 1,
      sym_comment,
    ACTIONS(5701), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4970), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [57610] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2683), 1,
      sym_comment,
    ACTIONS(5703), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5705), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [57668] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2684), 1,
      sym_comment,
    ACTIONS(5707), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5709), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [57726] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2685), 1,
      sym_comment,
    ACTIONS(5711), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5713), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [57784] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2686), 1,
      sym_comment,
    ACTIONS(5715), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5717), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [57842] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2687), 1,
      sym_comment,
    ACTIONS(5719), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5721), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [57900] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2688), 1,
      sym_comment,
    ACTIONS(5723), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5725), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [57958] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2689), 1,
      sym_comment,
    ACTIONS(5727), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5729), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [58016] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2690), 1,
      sym_comment,
    ACTIONS(5731), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5733), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [58074] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5363), 1,
      anon_sym_as,
    ACTIONS(5367), 1,
      anon_sym_BANG,
    ACTIONS(5369), 1,
      anon_sym_LPAREN,
    ACTIONS(5375), 1,
      anon_sym_LBRACK,
    ACTIONS(5377), 1,
      anon_sym_DOT,
    ACTIONS(5379), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5381), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5383), 1,
      anon_sym_GT_GT,
    ACTIONS(5387), 1,
      anon_sym_AMP,
    ACTIONS(5389), 1,
      anon_sym_CARET,
    ACTIONS(5391), 1,
      anon_sym_PIPE,
    ACTIONS(5395), 1,
      anon_sym_PERCENT,
    ACTIONS(5397), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5399), 1,
      anon_sym_LT,
    ACTIONS(5407), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5411), 1,
      anon_sym_BQUOTE,
    ACTIONS(5413), 1,
      anon_sym_satisfies,
    ACTIONS(5415), 1,
      sym__ternary_qmark,
    ACTIONS(5470), 1,
      anon_sym_COMMA,
    STATE(2691), 1,
      sym_comment,
    STATE(2739), 1,
      sym_type_arguments,
    STATE(5598), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(6093), 1,
      sym_optional_chain,
    ACTIONS(5361), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5371), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5385), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5393), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5403), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5405), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5409), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5735), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(3121), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5401), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [58194] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5363), 1,
      anon_sym_as,
    ACTIONS(5367), 1,
      anon_sym_BANG,
    ACTIONS(5369), 1,
      anon_sym_LPAREN,
    ACTIONS(5375), 1,
      anon_sym_LBRACK,
    ACTIONS(5377), 1,
      anon_sym_DOT,
    ACTIONS(5379), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5381), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5383), 1,
      anon_sym_GT_GT,
    ACTIONS(5387), 1,
      anon_sym_AMP,
    ACTIONS(5389), 1,
      anon_sym_CARET,
    ACTIONS(5391), 1,
      anon_sym_PIPE,
    ACTIONS(5395), 1,
      anon_sym_PERCENT,
    ACTIONS(5397), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5399), 1,
      anon_sym_LT,
    ACTIONS(5407), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5411), 1,
      anon_sym_BQUOTE,
    ACTIONS(5413), 1,
      anon_sym_satisfies,
    ACTIONS(5415), 1,
      sym__ternary_qmark,
    ACTIONS(5470), 1,
      anon_sym_COMMA,
    STATE(2692), 1,
      sym_comment,
    STATE(2739), 1,
      sym_type_arguments,
    STATE(5598), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(6093), 1,
      sym_optional_chain,
    ACTIONS(5361), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5371), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5385), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5393), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5403), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5405), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5409), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5737), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(3121), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5401), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [58314] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2693), 1,
      sym_comment,
    ACTIONS(2251), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2253), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [58372] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2694), 1,
      sym_comment,
    ACTIONS(5739), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5741), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [58430] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5363), 1,
      anon_sym_as,
    ACTIONS(5367), 1,
      anon_sym_BANG,
    ACTIONS(5369), 1,
      anon_sym_LPAREN,
    ACTIONS(5375), 1,
      anon_sym_LBRACK,
    ACTIONS(5377), 1,
      anon_sym_DOT,
    ACTIONS(5379), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5381), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5383), 1,
      anon_sym_GT_GT,
    ACTIONS(5387), 1,
      anon_sym_AMP,
    ACTIONS(5389), 1,
      anon_sym_CARET,
    ACTIONS(5391), 1,
      anon_sym_PIPE,
    ACTIONS(5395), 1,
      anon_sym_PERCENT,
    ACTIONS(5397), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5399), 1,
      anon_sym_LT,
    ACTIONS(5407), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5411), 1,
      anon_sym_BQUOTE,
    ACTIONS(5413), 1,
      anon_sym_satisfies,
    ACTIONS(5415), 1,
      sym__ternary_qmark,
    ACTIONS(5470), 1,
      anon_sym_COMMA,
    STATE(2695), 1,
      sym_comment,
    STATE(2739), 1,
      sym_type_arguments,
    STATE(5598), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(6093), 1,
      sym_optional_chain,
    ACTIONS(5361), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5371), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5385), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5393), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5403), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5405), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5409), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5743), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(3121), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5401), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [58550] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5363), 1,
      anon_sym_as,
    ACTIONS(5367), 1,
      anon_sym_BANG,
    ACTIONS(5369), 1,
      anon_sym_LPAREN,
    ACTIONS(5375), 1,
      anon_sym_LBRACK,
    ACTIONS(5377), 1,
      anon_sym_DOT,
    ACTIONS(5379), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5381), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5383), 1,
      anon_sym_GT_GT,
    ACTIONS(5387), 1,
      anon_sym_AMP,
    ACTIONS(5389), 1,
      anon_sym_CARET,
    ACTIONS(5391), 1,
      anon_sym_PIPE,
    ACTIONS(5395), 1,
      anon_sym_PERCENT,
    ACTIONS(5397), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5399), 1,
      anon_sym_LT,
    ACTIONS(5407), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5411), 1,
      anon_sym_BQUOTE,
    ACTIONS(5413), 1,
      anon_sym_satisfies,
    ACTIONS(5415), 1,
      sym__ternary_qmark,
    STATE(2696), 1,
      sym_comment,
    STATE(2739), 1,
      sym_type_arguments,
    STATE(6093), 1,
      sym_optional_chain,
    ACTIONS(5361), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5371), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5385), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5393), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5403), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5405), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5409), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(3121), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5401), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4986), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [58666] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2697), 1,
      sym_comment,
    ACTIONS(2071), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5745), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
    ACTIONS(2069), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2075), 24,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [58728] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5363), 1,
      anon_sym_as,
    ACTIONS(5367), 1,
      anon_sym_BANG,
    ACTIONS(5369), 1,
      anon_sym_LPAREN,
    ACTIONS(5375), 1,
      anon_sym_LBRACK,
    ACTIONS(5377), 1,
      anon_sym_DOT,
    ACTIONS(5379), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5381), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5383), 1,
      anon_sym_GT_GT,
    ACTIONS(5387), 1,
      anon_sym_AMP,
    ACTIONS(5389), 1,
      anon_sym_CARET,
    ACTIONS(5391), 1,
      anon_sym_PIPE,
    ACTIONS(5395), 1,
      anon_sym_PERCENT,
    ACTIONS(5397), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5399), 1,
      anon_sym_LT,
    ACTIONS(5407), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5411), 1,
      anon_sym_BQUOTE,
    ACTIONS(5413), 1,
      anon_sym_satisfies,
    ACTIONS(5415), 1,
      sym__ternary_qmark,
    STATE(2698), 1,
      sym_comment,
    STATE(2739), 1,
      sym_type_arguments,
    STATE(6093), 1,
      sym_optional_chain,
    ACTIONS(5361), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5371), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5385), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5393), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5403), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5405), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5409), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(3121), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5401), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5212), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [58844] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2699), 1,
      sym_comment,
    ACTIONS(5748), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5750), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [58902] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5363), 1,
      anon_sym_as,
    ACTIONS(5367), 1,
      anon_sym_BANG,
    ACTIONS(5369), 1,
      anon_sym_LPAREN,
    ACTIONS(5375), 1,
      anon_sym_LBRACK,
    ACTIONS(5377), 1,
      anon_sym_DOT,
    ACTIONS(5379), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5381), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5383), 1,
      anon_sym_GT_GT,
    ACTIONS(5387), 1,
      anon_sym_AMP,
    ACTIONS(5389), 1,
      anon_sym_CARET,
    ACTIONS(5391), 1,
      anon_sym_PIPE,
    ACTIONS(5395), 1,
      anon_sym_PERCENT,
    ACTIONS(5397), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5399), 1,
      anon_sym_LT,
    ACTIONS(5407), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5411), 1,
      anon_sym_BQUOTE,
    ACTIONS(5413), 1,
      anon_sym_satisfies,
    ACTIONS(5415), 1,
      sym__ternary_qmark,
    STATE(2700), 1,
      sym_comment,
    STATE(2739), 1,
      sym_type_arguments,
    STATE(6093), 1,
      sym_optional_chain,
    ACTIONS(5361), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5371), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5385), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5393), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5403), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5405), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5409), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(3121), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5401), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4970), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [59018] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5363), 1,
      anon_sym_as,
    ACTIONS(5367), 1,
      anon_sym_BANG,
    ACTIONS(5369), 1,
      anon_sym_LPAREN,
    ACTIONS(5375), 1,
      anon_sym_LBRACK,
    ACTIONS(5377), 1,
      anon_sym_DOT,
    ACTIONS(5379), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5381), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5383), 1,
      anon_sym_GT_GT,
    ACTIONS(5387), 1,
      anon_sym_AMP,
    ACTIONS(5389), 1,
      anon_sym_CARET,
    ACTIONS(5391), 1,
      anon_sym_PIPE,
    ACTIONS(5395), 1,
      anon_sym_PERCENT,
    ACTIONS(5397), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5399), 1,
      anon_sym_LT,
    ACTIONS(5407), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5411), 1,
      anon_sym_BQUOTE,
    ACTIONS(5413), 1,
      anon_sym_satisfies,
    ACTIONS(5415), 1,
      sym__ternary_qmark,
    STATE(2701), 1,
      sym_comment,
    STATE(2739), 1,
      sym_type_arguments,
    STATE(6093), 1,
      sym_optional_chain,
    ACTIONS(5361), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5371), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5385), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5393), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5403), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5405), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5409), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(3121), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5401), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5214), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [59134] = 21,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5369), 1,
      anon_sym_LPAREN,
    ACTIONS(5375), 1,
      anon_sym_LBRACK,
    ACTIONS(5377), 1,
      anon_sym_DOT,
    ACTIONS(5383), 1,
      anon_sym_GT_GT,
    ACTIONS(5395), 1,
      anon_sym_PERCENT,
    ACTIONS(5397), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5399), 1,
      anon_sym_LT,
    ACTIONS(5411), 1,
      anon_sym_BQUOTE,
    STATE(2702), 1,
      sym_comment,
    STATE(2739), 1,
      sym_type_arguments,
    STATE(6093), 1,
      sym_optional_chain,
    ACTIONS(5361), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5385), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5393), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5409), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(3121), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4955), 7,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4957), 16,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [59224] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5363), 1,
      anon_sym_as,
    ACTIONS(5367), 1,
      anon_sym_BANG,
    ACTIONS(5369), 1,
      anon_sym_LPAREN,
    ACTIONS(5375), 1,
      anon_sym_LBRACK,
    ACTIONS(5377), 1,
      anon_sym_DOT,
    ACTIONS(5379), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5381), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5383), 1,
      anon_sym_GT_GT,
    ACTIONS(5387), 1,
      anon_sym_AMP,
    ACTIONS(5389), 1,
      anon_sym_CARET,
    ACTIONS(5391), 1,
      anon_sym_PIPE,
    ACTIONS(5395), 1,
      anon_sym_PERCENT,
    ACTIONS(5397), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5399), 1,
      anon_sym_LT,
    ACTIONS(5407), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5411), 1,
      anon_sym_BQUOTE,
    ACTIONS(5413), 1,
      anon_sym_satisfies,
    ACTIONS(5415), 1,
      sym__ternary_qmark,
    STATE(2703), 1,
      sym_comment,
    STATE(2739), 1,
      sym_type_arguments,
    STATE(6093), 1,
      sym_optional_chain,
    ACTIONS(5361), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5371), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5385), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5393), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5403), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5405), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5409), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(3121), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5401), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5216), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [59340] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2704), 1,
      sym_comment,
    ACTIONS(5419), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5752), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
    ACTIONS(5417), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5421), 24,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [59402] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2705), 1,
      sym_comment,
    ACTIONS(5755), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5106), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [59460] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2706), 1,
      sym_comment,
    ACTIONS(5757), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5759), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [59518] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2707), 1,
      sym_comment,
    ACTIONS(5761), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5763), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [59576] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2708), 1,
      sym_comment,
    ACTIONS(5765), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5767), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [59634] = 20,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(4514), 1,
      sym__automatic_semicolon,
    ACTIONS(4937), 1,
      anon_sym_STAR,
    ACTIONS(4939), 1,
      anon_sym_EQ,
    ACTIONS(4941), 1,
      anon_sym_COMMA,
    ACTIONS(4949), 1,
      anon_sym_async,
    ACTIONS(5124), 1,
      anon_sym_RBRACE,
    ACTIONS(5359), 1,
      anon_sym_LBRACK,
    STATE(2709), 1,
      sym_comment,
    STATE(4017), 1,
      sym__property_name,
    STATE(6171), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6333), 1,
      aux_sym_object_repeat1,
    ACTIONS(3894), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4953), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4151), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 6,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(4372), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [59722] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2710), 1,
      sym_comment,
    ACTIONS(5769), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5771), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [59780] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5363), 1,
      anon_sym_as,
    ACTIONS(5367), 1,
      anon_sym_BANG,
    ACTIONS(5369), 1,
      anon_sym_LPAREN,
    ACTIONS(5375), 1,
      anon_sym_LBRACK,
    ACTIONS(5377), 1,
      anon_sym_DOT,
    ACTIONS(5379), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5381), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5383), 1,
      anon_sym_GT_GT,
    ACTIONS(5387), 1,
      anon_sym_AMP,
    ACTIONS(5389), 1,
      anon_sym_CARET,
    ACTIONS(5391), 1,
      anon_sym_PIPE,
    ACTIONS(5395), 1,
      anon_sym_PERCENT,
    ACTIONS(5397), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5399), 1,
      anon_sym_LT,
    ACTIONS(5407), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5411), 1,
      anon_sym_BQUOTE,
    ACTIONS(5413), 1,
      anon_sym_satisfies,
    ACTIONS(5415), 1,
      sym__ternary_qmark,
    STATE(2711), 1,
      sym_comment,
    STATE(2739), 1,
      sym_type_arguments,
    STATE(6093), 1,
      sym_optional_chain,
    ACTIONS(5361), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5371), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5385), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5393), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5403), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5405), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5409), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(3121), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5401), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5241), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [59896] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5363), 1,
      anon_sym_as,
    ACTIONS(5367), 1,
      anon_sym_BANG,
    ACTIONS(5369), 1,
      anon_sym_LPAREN,
    ACTIONS(5375), 1,
      anon_sym_LBRACK,
    ACTIONS(5377), 1,
      anon_sym_DOT,
    ACTIONS(5379), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5381), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5383), 1,
      anon_sym_GT_GT,
    ACTIONS(5387), 1,
      anon_sym_AMP,
    ACTIONS(5389), 1,
      anon_sym_CARET,
    ACTIONS(5391), 1,
      anon_sym_PIPE,
    ACTIONS(5395), 1,
      anon_sym_PERCENT,
    ACTIONS(5397), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5399), 1,
      anon_sym_LT,
    ACTIONS(5407), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5411), 1,
      anon_sym_BQUOTE,
    ACTIONS(5413), 1,
      anon_sym_satisfies,
    ACTIONS(5415), 1,
      sym__ternary_qmark,
    STATE(2712), 1,
      sym_comment,
    STATE(2739), 1,
      sym_type_arguments,
    STATE(6093), 1,
      sym_optional_chain,
    ACTIONS(5361), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5371), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5385), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5393), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5403), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5405), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5409), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(3121), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5401), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5026), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [60012] = 19,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(4514), 1,
      sym__automatic_semicolon,
    ACTIONS(4937), 1,
      anon_sym_STAR,
    ACTIONS(4939), 1,
      anon_sym_EQ,
    ACTIONS(4941), 1,
      anon_sym_COMMA,
    ACTIONS(5124), 1,
      anon_sym_RBRACE,
    ACTIONS(5477), 1,
      anon_sym_LBRACK,
    STATE(2713), 1,
      sym_comment,
    STATE(4890), 1,
      sym__property_name,
    STATE(6171), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6333), 1,
      aux_sym_object_repeat1,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5479), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4740), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 6,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2900), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [60098] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2714), 1,
      sym_comment,
    ACTIONS(2195), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2197), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [60156] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2715), 1,
      sym_comment,
    ACTIONS(2081), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2083), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [60214] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2716), 1,
      sym_comment,
    ACTIONS(5306), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5308), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [60272] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2717), 1,
      sym_comment,
    ACTIONS(5564), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5566), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [60330] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2718), 1,
      sym_comment,
    ACTIONS(5773), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5775), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [60388] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2719), 1,
      sym_comment,
    ACTIONS(5777), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5779), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [60446] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2720), 1,
      sym_comment,
    ACTIONS(5270), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5781), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
    ACTIONS(5268), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5272), 24,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [60508] = 16,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5369), 1,
      anon_sym_LPAREN,
    ACTIONS(5375), 1,
      anon_sym_LBRACK,
    ACTIONS(5377), 1,
      anon_sym_DOT,
    ACTIONS(5397), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5411), 1,
      anon_sym_BQUOTE,
    ACTIONS(5481), 1,
      anon_sym_LT,
    STATE(2721), 1,
      sym_comment,
    STATE(2739), 1,
      sym_type_arguments,
    STATE(6093), 1,
      sym_optional_chain,
    ACTIONS(5409), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(3121), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4955), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4957), 19,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [60588] = 19,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(4514), 1,
      sym__automatic_semicolon,
    ACTIONS(4937), 1,
      anon_sym_STAR,
    ACTIONS(4939), 1,
      anon_sym_EQ,
    ACTIONS(4941), 1,
      anon_sym_COMMA,
    ACTIONS(5230), 1,
      anon_sym_RBRACE,
    ACTIONS(5477), 1,
      anon_sym_LBRACK,
    STATE(2722), 1,
      sym_comment,
    STATE(4890), 1,
      sym__property_name,
    STATE(6165), 1,
      aux_sym_object_repeat1,
    STATE(6171), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5479), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4740), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 6,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2900), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [60674] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2723), 1,
      sym_comment,
    ACTIONS(4121), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4125), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [60732] = 20,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(4514), 1,
      sym__automatic_semicolon,
    ACTIONS(4937), 1,
      anon_sym_STAR,
    ACTIONS(4939), 1,
      anon_sym_EQ,
    ACTIONS(4941), 1,
      anon_sym_COMMA,
    ACTIONS(4949), 1,
      anon_sym_async,
    ACTIONS(5230), 1,
      anon_sym_RBRACE,
    ACTIONS(5359), 1,
      anon_sym_LBRACK,
    STATE(2724), 1,
      sym_comment,
    STATE(4017), 1,
      sym__property_name,
    STATE(6165), 1,
      aux_sym_object_repeat1,
    STATE(6171), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(3894), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4953), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4151), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 6,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(4372), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [60820] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4205), 1,
      anon_sym_EQ,
    ACTIONS(4257), 1,
      anon_sym_QMARK,
    STATE(2725), 1,
      sym_comment,
    ACTIONS(4259), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
    ACTIONS(4121), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4125), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [60883] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4787), 1,
      anon_sym_LPAREN,
    ACTIONS(4811), 1,
      anon_sym_LBRACK,
    ACTIONS(4813), 1,
      anon_sym_DOT,
    ACTIONS(4867), 1,
      anon_sym_BQUOTE,
    ACTIONS(4879), 1,
      anon_sym_as,
    ACTIONS(4883), 1,
      anon_sym_BANG,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4921), 1,
      anon_sym_satisfies,
    ACTIONS(5790), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5792), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5794), 1,
      anon_sym_GT_GT,
    ACTIONS(5798), 1,
      anon_sym_AMP,
    ACTIONS(5800), 1,
      anon_sym_CARET,
    ACTIONS(5802), 1,
      anon_sym_PIPE,
    ACTIONS(5806), 1,
      anon_sym_PERCENT,
    ACTIONS(5808), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5810), 1,
      anon_sym_LT,
    ACTIONS(5818), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5820), 1,
      sym__ternary_qmark,
    STATE(2726), 1,
      sym_comment,
    STATE(3123), 1,
      sym_type_arguments,
    STATE(6354), 1,
      sym_optional_chain,
    ACTIONS(4919), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5784), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5788), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5796), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5804), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5814), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5816), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2716), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5786), 3,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_implements,
    ACTIONS(5812), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [60998] = 35,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5100), 1,
      anon_sym_COMMA,
    ACTIONS(5363), 1,
      anon_sym_as,
    ACTIONS(5367), 1,
      anon_sym_BANG,
    ACTIONS(5369), 1,
      anon_sym_LPAREN,
    ACTIONS(5375), 1,
      anon_sym_LBRACK,
    ACTIONS(5377), 1,
      anon_sym_DOT,
    ACTIONS(5379), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5381), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5383), 1,
      anon_sym_GT_GT,
    ACTIONS(5387), 1,
      anon_sym_AMP,
    ACTIONS(5389), 1,
      anon_sym_CARET,
    ACTIONS(5391), 1,
      anon_sym_PIPE,
    ACTIONS(5395), 1,
      anon_sym_PERCENT,
    ACTIONS(5397), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5399), 1,
      anon_sym_LT,
    ACTIONS(5407), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5411), 1,
      anon_sym_BQUOTE,
    ACTIONS(5413), 1,
      anon_sym_satisfies,
    ACTIONS(5415), 1,
      sym__ternary_qmark,
    STATE(2727), 1,
      sym_comment,
    STATE(2739), 1,
      sym_type_arguments,
    STATE(6093), 1,
      sym_optional_chain,
    ACTIONS(5361), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5371), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5385), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5393), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5403), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5405), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5409), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5822), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(3121), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5401), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [61115] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4787), 1,
      anon_sym_LPAREN,
    ACTIONS(4811), 1,
      anon_sym_LBRACK,
    ACTIONS(4813), 1,
      anon_sym_DOT,
    ACTIONS(4867), 1,
      anon_sym_BQUOTE,
    ACTIONS(4879), 1,
      anon_sym_as,
    ACTIONS(4883), 1,
      anon_sym_BANG,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4889), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4891), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4893), 1,
      anon_sym_GT_GT,
    ACTIONS(4897), 1,
      anon_sym_AMP,
    ACTIONS(4899), 1,
      anon_sym_CARET,
    ACTIONS(4901), 1,
      anon_sym_PIPE,
    ACTIONS(4905), 1,
      anon_sym_PERCENT,
    ACTIONS(4907), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4909), 1,
      anon_sym_LT,
    ACTIONS(4917), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4921), 1,
      anon_sym_satisfies,
    ACTIONS(4923), 1,
      sym__ternary_qmark,
    ACTIONS(5000), 1,
      anon_sym_COMMA,
    ACTIONS(5824), 1,
      anon_sym_RPAREN,
    STATE(2372), 1,
      sym_type_arguments,
    STATE(2728), 1,
      sym_comment,
    STATE(4803), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(6354), 1,
      sym_optional_chain,
    ACTIONS(4877), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4885), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4895), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4903), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4913), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4915), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4919), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2716), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4911), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [61234] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2071), 1,
      anon_sym_EQ,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5259), 1,
      anon_sym_LBRACK,
    STATE(2729), 1,
      sym_comment,
    ACTIONS(3432), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(5262), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(2069), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2075), 26,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [61299] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4787), 1,
      anon_sym_LPAREN,
    ACTIONS(4811), 1,
      anon_sym_LBRACK,
    ACTIONS(4813), 1,
      anon_sym_DOT,
    ACTIONS(4867), 1,
      anon_sym_BQUOTE,
    ACTIONS(4879), 1,
      anon_sym_as,
    ACTIONS(4883), 1,
      anon_sym_BANG,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4889), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4891), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4893), 1,
      anon_sym_GT_GT,
    ACTIONS(4897), 1,
      anon_sym_AMP,
    ACTIONS(4899), 1,
      anon_sym_CARET,
    ACTIONS(4901), 1,
      anon_sym_PIPE,
    ACTIONS(4905), 1,
      anon_sym_PERCENT,
    ACTIONS(4907), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4909), 1,
      anon_sym_LT,
    ACTIONS(4917), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4921), 1,
      anon_sym_satisfies,
    ACTIONS(4923), 1,
      sym__ternary_qmark,
    STATE(2372), 1,
      sym_type_arguments,
    STATE(2730), 1,
      sym_comment,
    STATE(6354), 1,
      sym_optional_chain,
    ACTIONS(4877), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4885), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4895), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4903), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4913), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4915), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4919), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2716), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4911), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5431), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
  [61414] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4787), 1,
      anon_sym_LPAREN,
    ACTIONS(4811), 1,
      anon_sym_LBRACK,
    ACTIONS(4813), 1,
      anon_sym_DOT,
    ACTIONS(4867), 1,
      anon_sym_BQUOTE,
    ACTIONS(4879), 1,
      anon_sym_as,
    ACTIONS(4883), 1,
      anon_sym_BANG,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4921), 1,
      anon_sym_satisfies,
    ACTIONS(5790), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5792), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5794), 1,
      anon_sym_GT_GT,
    ACTIONS(5798), 1,
      anon_sym_AMP,
    ACTIONS(5800), 1,
      anon_sym_CARET,
    ACTIONS(5802), 1,
      anon_sym_PIPE,
    ACTIONS(5806), 1,
      anon_sym_PERCENT,
    ACTIONS(5808), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5810), 1,
      anon_sym_LT,
    ACTIONS(5818), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5820), 1,
      sym__ternary_qmark,
    STATE(2372), 1,
      sym_type_arguments,
    STATE(2731), 1,
      sym_comment,
    STATE(6354), 1,
      sym_optional_chain,
    ACTIONS(4919), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5784), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5788), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5796), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5804), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5814), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5816), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2716), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5100), 3,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_implements,
    ACTIONS(5812), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [61529] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4787), 1,
      anon_sym_LPAREN,
    ACTIONS(4811), 1,
      anon_sym_LBRACK,
    ACTIONS(4813), 1,
      anon_sym_DOT,
    ACTIONS(4867), 1,
      anon_sym_BQUOTE,
    ACTIONS(4879), 1,
      anon_sym_as,
    ACTIONS(4883), 1,
      anon_sym_BANG,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4889), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4891), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4893), 1,
      anon_sym_GT_GT,
    ACTIONS(4897), 1,
      anon_sym_AMP,
    ACTIONS(4899), 1,
      anon_sym_CARET,
    ACTIONS(4901), 1,
      anon_sym_PIPE,
    ACTIONS(4905), 1,
      anon_sym_PERCENT,
    ACTIONS(4907), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4909), 1,
      anon_sym_LT,
    ACTIONS(4917), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4921), 1,
      anon_sym_satisfies,
    ACTIONS(4923), 1,
      sym__ternary_qmark,
    ACTIONS(5000), 1,
      anon_sym_COMMA,
    ACTIONS(5826), 1,
      anon_sym_RPAREN,
    STATE(2372), 1,
      sym_type_arguments,
    STATE(2732), 1,
      sym_comment,
    STATE(4803), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(6354), 1,
      sym_optional_chain,
    ACTIONS(4877), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4885), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4895), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4903), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4913), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4915), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4919), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2716), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4911), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [61648] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4787), 1,
      anon_sym_LPAREN,
    ACTIONS(4811), 1,
      anon_sym_LBRACK,
    ACTIONS(4813), 1,
      anon_sym_DOT,
    ACTIONS(4867), 1,
      anon_sym_BQUOTE,
    ACTIONS(4879), 1,
      anon_sym_as,
    ACTIONS(4883), 1,
      anon_sym_BANG,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4921), 1,
      anon_sym_satisfies,
    ACTIONS(5790), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5792), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5794), 1,
      anon_sym_GT_GT,
    ACTIONS(5798), 1,
      anon_sym_AMP,
    ACTIONS(5800), 1,
      anon_sym_CARET,
    ACTIONS(5802), 1,
      anon_sym_PIPE,
    ACTIONS(5806), 1,
      anon_sym_PERCENT,
    ACTIONS(5808), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5810), 1,
      anon_sym_LT,
    ACTIONS(5818), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5820), 1,
      sym__ternary_qmark,
    STATE(2372), 1,
      sym_type_arguments,
    STATE(2733), 1,
      sym_comment,
    STATE(6354), 1,
      sym_optional_chain,
    ACTIONS(4919), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5784), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5788), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5796), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5804), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5814), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5816), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2716), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5106), 3,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_implements,
    ACTIONS(5812), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [61763] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4787), 1,
      anon_sym_LPAREN,
    ACTIONS(4811), 1,
      anon_sym_LBRACK,
    ACTIONS(4813), 1,
      anon_sym_DOT,
    ACTIONS(4867), 1,
      anon_sym_BQUOTE,
    ACTIONS(4879), 1,
      anon_sym_as,
    ACTIONS(4883), 1,
      anon_sym_BANG,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4889), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4891), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4893), 1,
      anon_sym_GT_GT,
    ACTIONS(4897), 1,
      anon_sym_AMP,
    ACTIONS(4899), 1,
      anon_sym_CARET,
    ACTIONS(4901), 1,
      anon_sym_PIPE,
    ACTIONS(4905), 1,
      anon_sym_PERCENT,
    ACTIONS(4907), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4909), 1,
      anon_sym_LT,
    ACTIONS(4917), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4921), 1,
      anon_sym_satisfies,
    ACTIONS(4923), 1,
      sym__ternary_qmark,
    ACTIONS(5000), 1,
      anon_sym_COMMA,
    ACTIONS(5828), 1,
      anon_sym_RPAREN,
    STATE(2372), 1,
      sym_type_arguments,
    STATE(2734), 1,
      sym_comment,
    STATE(4803), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(6354), 1,
      sym_optional_chain,
    ACTIONS(4877), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4885), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4895), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4903), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4913), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4915), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4919), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2716), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4911), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [61882] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4787), 1,
      anon_sym_LPAREN,
    ACTIONS(4811), 1,
      anon_sym_LBRACK,
    ACTIONS(4813), 1,
      anon_sym_DOT,
    ACTIONS(4867), 1,
      anon_sym_BQUOTE,
    ACTIONS(4879), 1,
      anon_sym_as,
    ACTIONS(4883), 1,
      anon_sym_BANG,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4889), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4891), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4893), 1,
      anon_sym_GT_GT,
    ACTIONS(4897), 1,
      anon_sym_AMP,
    ACTIONS(4899), 1,
      anon_sym_CARET,
    ACTIONS(4901), 1,
      anon_sym_PIPE,
    ACTIONS(4905), 1,
      anon_sym_PERCENT,
    ACTIONS(4907), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4909), 1,
      anon_sym_LT,
    ACTIONS(4917), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4921), 1,
      anon_sym_satisfies,
    ACTIONS(4923), 1,
      sym__ternary_qmark,
    ACTIONS(5830), 1,
      anon_sym_COMMA,
    ACTIONS(5832), 1,
      anon_sym_RBRACK,
    STATE(2372), 1,
      sym_type_arguments,
    STATE(2735), 1,
      sym_comment,
    STATE(6287), 1,
      aux_sym_array_repeat1,
    STATE(6354), 1,
      sym_optional_chain,
    ACTIONS(4877), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4885), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4895), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4903), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4913), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4915), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4919), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2716), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4911), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [62001] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2736), 1,
      sym_comment,
    ACTIONS(4324), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4843), 30,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [62058] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5270), 1,
      anon_sym_EQ,
    ACTIONS(5274), 1,
      anon_sym_LBRACK,
    STATE(2737), 1,
      sym_comment,
    ACTIONS(5239), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(5277), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5268), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5272), 26,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [62123] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4787), 1,
      anon_sym_LPAREN,
    ACTIONS(4811), 1,
      anon_sym_LBRACK,
    ACTIONS(4813), 1,
      anon_sym_DOT,
    ACTIONS(4867), 1,
      anon_sym_BQUOTE,
    ACTIONS(4879), 1,
      anon_sym_as,
    ACTIONS(4883), 1,
      anon_sym_BANG,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4921), 1,
      anon_sym_satisfies,
    ACTIONS(5790), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5792), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5794), 1,
      anon_sym_GT_GT,
    ACTIONS(5798), 1,
      anon_sym_AMP,
    ACTIONS(5800), 1,
      anon_sym_CARET,
    ACTIONS(5802), 1,
      anon_sym_PIPE,
    ACTIONS(5806), 1,
      anon_sym_PERCENT,
    ACTIONS(5808), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5810), 1,
      anon_sym_LT,
    ACTIONS(5818), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5820), 1,
      sym__ternary_qmark,
    STATE(2372), 1,
      sym_type_arguments,
    STATE(2738), 1,
      sym_comment,
    STATE(6354), 1,
      sym_optional_chain,
    ACTIONS(4919), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5784), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5788), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5796), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5804), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5814), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5816), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2716), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5038), 3,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_implements,
    ACTIONS(5812), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [62238] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5369), 1,
      anon_sym_LPAREN,
    ACTIONS(5411), 1,
      anon_sym_BQUOTE,
    STATE(2739), 1,
      sym_comment,
    STATE(3080), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4863), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4865), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [62301] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4787), 1,
      anon_sym_LPAREN,
    ACTIONS(4811), 1,
      anon_sym_LBRACK,
    ACTIONS(4813), 1,
      anon_sym_DOT,
    ACTIONS(4867), 1,
      anon_sym_BQUOTE,
    ACTIONS(4879), 1,
      anon_sym_as,
    ACTIONS(4883), 1,
      anon_sym_BANG,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4921), 1,
      anon_sym_satisfies,
    ACTIONS(5790), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5792), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5794), 1,
      anon_sym_GT_GT,
    ACTIONS(5798), 1,
      anon_sym_AMP,
    ACTIONS(5800), 1,
      anon_sym_CARET,
    ACTIONS(5802), 1,
      anon_sym_PIPE,
    ACTIONS(5806), 1,
      anon_sym_PERCENT,
    ACTIONS(5808), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5810), 1,
      anon_sym_LT,
    ACTIONS(5818), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5820), 1,
      sym__ternary_qmark,
    STATE(2372), 1,
      sym_type_arguments,
    STATE(2740), 1,
      sym_comment,
    STATE(6354), 1,
      sym_optional_chain,
    ACTIONS(4919), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5784), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5788), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5796), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5804), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5814), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5816), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2716), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4986), 3,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_implements,
    ACTIONS(5812), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [62416] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4787), 1,
      anon_sym_LPAREN,
    ACTIONS(4811), 1,
      anon_sym_LBRACK,
    ACTIONS(4813), 1,
      anon_sym_DOT,
    ACTIONS(4867), 1,
      anon_sym_BQUOTE,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5834), 1,
      anon_sym_LT,
    STATE(2372), 1,
      sym_type_arguments,
    STATE(2741), 1,
      sym_comment,
    STATE(6354), 1,
      sym_optional_chain,
    ACTIONS(4919), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2716), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5189), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5191), 19,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
      anon_sym_implements,
  [62493] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2071), 1,
      anon_sym_EQ,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(3432), 1,
      anon_sym_extends,
    STATE(2742), 1,
      sym_comment,
    ACTIONS(5259), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(5262), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(2069), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2075), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [62558] = 18,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4787), 1,
      anon_sym_LPAREN,
    ACTIONS(4811), 1,
      anon_sym_LBRACK,
    ACTIONS(4813), 1,
      anon_sym_DOT,
    ACTIONS(4867), 1,
      anon_sym_BQUOTE,
    ACTIONS(4879), 1,
      anon_sym_as,
    ACTIONS(4883), 1,
      anon_sym_BANG,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4921), 1,
      anon_sym_satisfies,
    ACTIONS(5837), 1,
      anon_sym_LT,
    STATE(2372), 1,
      sym_type_arguments,
    STATE(2743), 1,
      sym_comment,
    STATE(6354), 1,
      sym_optional_chain,
    ACTIONS(4919), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2716), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5156), 11,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5158), 17,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_implements,
  [62641] = 17,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(4514), 1,
      sym__automatic_semicolon,
    ACTIONS(4939), 1,
      anon_sym_EQ,
    ACTIONS(4941), 1,
      anon_sym_COMMA,
    ACTIONS(5230), 1,
      anon_sym_RBRACE,
    ACTIONS(5477), 1,
      anon_sym_LBRACK,
    STATE(2744), 1,
      sym_comment,
    STATE(4890), 1,
      sym__property_name,
    STATE(6165), 1,
      aux_sym_object_repeat1,
    STATE(6171), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4740), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 6,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [62722] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4787), 1,
      anon_sym_LPAREN,
    ACTIONS(4811), 1,
      anon_sym_LBRACK,
    ACTIONS(4813), 1,
      anon_sym_DOT,
    ACTIONS(4867), 1,
      anon_sym_BQUOTE,
    ACTIONS(4879), 1,
      anon_sym_as,
    ACTIONS(4883), 1,
      anon_sym_BANG,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4921), 1,
      anon_sym_satisfies,
    ACTIONS(5790), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5792), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5794), 1,
      anon_sym_GT_GT,
    ACTIONS(5798), 1,
      anon_sym_AMP,
    ACTIONS(5800), 1,
      anon_sym_CARET,
    ACTIONS(5802), 1,
      anon_sym_PIPE,
    ACTIONS(5806), 1,
      anon_sym_PERCENT,
    ACTIONS(5808), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5810), 1,
      anon_sym_LT,
    ACTIONS(5818), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5820), 1,
      sym__ternary_qmark,
    STATE(2372), 1,
      sym_type_arguments,
    STATE(2745), 1,
      sym_comment,
    STATE(6354), 1,
      sym_optional_chain,
    ACTIONS(4919), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5784), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5788), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5796), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5804), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5814), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5816), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2716), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4970), 3,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_implements,
    ACTIONS(5812), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [62837] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4787), 1,
      anon_sym_LPAREN,
    ACTIONS(4811), 1,
      anon_sym_LBRACK,
    ACTIONS(4813), 1,
      anon_sym_DOT,
    ACTIONS(4867), 1,
      anon_sym_BQUOTE,
    ACTIONS(4879), 1,
      anon_sym_as,
    ACTIONS(4883), 1,
      anon_sym_BANG,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4921), 1,
      anon_sym_satisfies,
    ACTIONS(5790), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5792), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5794), 1,
      anon_sym_GT_GT,
    ACTIONS(5798), 1,
      anon_sym_AMP,
    ACTIONS(5800), 1,
      anon_sym_CARET,
    ACTIONS(5802), 1,
      anon_sym_PIPE,
    ACTIONS(5806), 1,
      anon_sym_PERCENT,
    ACTIONS(5808), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5810), 1,
      anon_sym_LT,
    ACTIONS(5818), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5820), 1,
      sym__ternary_qmark,
    STATE(2372), 1,
      sym_type_arguments,
    STATE(2746), 1,
      sym_comment,
    STATE(6354), 1,
      sym_optional_chain,
    ACTIONS(4919), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5784), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5788), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5796), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5804), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5814), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5816), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2716), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4881), 3,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_implements,
    ACTIONS(5812), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [62952] = 21,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4787), 1,
      anon_sym_LPAREN,
    ACTIONS(4811), 1,
      anon_sym_LBRACK,
    ACTIONS(4813), 1,
      anon_sym_DOT,
    ACTIONS(4867), 1,
      anon_sym_BQUOTE,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5794), 1,
      anon_sym_GT_GT,
    ACTIONS(5806), 1,
      anon_sym_PERCENT,
    ACTIONS(5808), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5810), 1,
      anon_sym_LT,
    STATE(2372), 1,
      sym_type_arguments,
    STATE(2747), 1,
      sym_comment,
    STATE(6354), 1,
      sym_optional_chain,
    ACTIONS(4919), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5784), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5796), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5804), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(2716), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4955), 7,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4957), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
      anon_sym_implements,
  [63041] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5239), 1,
      anon_sym_extends,
    ACTIONS(5270), 1,
      anon_sym_EQ,
    STATE(2748), 1,
      sym_comment,
    ACTIONS(5274), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(5277), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5268), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5272), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [63106] = 14,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4787), 1,
      anon_sym_LPAREN,
    ACTIONS(4811), 1,
      anon_sym_LBRACK,
    ACTIONS(4813), 1,
      anon_sym_DOT,
    ACTIONS(4867), 1,
      anon_sym_BQUOTE,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5840), 1,
      anon_sym_LT,
    STATE(2372), 1,
      sym_type_arguments,
    STATE(2749), 1,
      sym_comment,
    STATE(6354), 1,
      sym_optional_chain,
    STATE(2716), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5143), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5145), 21,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_implements,
  [63181] = 16,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4787), 1,
      anon_sym_LPAREN,
    ACTIONS(4811), 1,
      anon_sym_LBRACK,
    ACTIONS(4813), 1,
      anon_sym_DOT,
    ACTIONS(4867), 1,
      anon_sym_BQUOTE,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5808), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5843), 1,
      anon_sym_LT,
    STATE(2372), 1,
      sym_type_arguments,
    STATE(2750), 1,
      sym_comment,
    STATE(6354), 1,
      sym_optional_chain,
    ACTIONS(4919), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2716), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4955), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4957), 18,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
      anon_sym_implements,
  [63260] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4787), 1,
      anon_sym_LPAREN,
    ACTIONS(4811), 1,
      anon_sym_LBRACK,
    ACTIONS(4813), 1,
      anon_sym_DOT,
    ACTIONS(4867), 1,
      anon_sym_BQUOTE,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4955), 1,
      anon_sym_BANG,
    ACTIONS(5794), 1,
      anon_sym_GT_GT,
    ACTIONS(5798), 1,
      anon_sym_AMP,
    ACTIONS(5800), 1,
      anon_sym_CARET,
    ACTIONS(5802), 1,
      anon_sym_PIPE,
    ACTIONS(5806), 1,
      anon_sym_PERCENT,
    ACTIONS(5808), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5810), 1,
      anon_sym_LT,
    STATE(2372), 1,
      sym_type_arguments,
    STATE(2751), 1,
      sym_comment,
    STATE(6354), 1,
      sym_optional_chain,
    ACTIONS(4919), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5784), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5788), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5796), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5804), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5814), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5816), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2716), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5812), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4957), 9,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
      anon_sym_implements,
  [63363] = 29,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4787), 1,
      anon_sym_LPAREN,
    ACTIONS(4811), 1,
      anon_sym_LBRACK,
    ACTIONS(4813), 1,
      anon_sym_DOT,
    ACTIONS(4867), 1,
      anon_sym_BQUOTE,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4955), 1,
      anon_sym_BANG,
    ACTIONS(5790), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5794), 1,
      anon_sym_GT_GT,
    ACTIONS(5798), 1,
      anon_sym_AMP,
    ACTIONS(5800), 1,
      anon_sym_CARET,
    ACTIONS(5802), 1,
      anon_sym_PIPE,
    ACTIONS(5806), 1,
      anon_sym_PERCENT,
    ACTIONS(5808), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5810), 1,
      anon_sym_LT,
    STATE(2372), 1,
      sym_type_arguments,
    STATE(2752), 1,
      sym_comment,
    STATE(6354), 1,
      sym_optional_chain,
    ACTIONS(4919), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5784), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5788), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5796), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5804), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5814), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5816), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2716), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5812), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4957), 8,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
      anon_sym_implements,
  [63468] = 35,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5100), 1,
      anon_sym_COMMA,
    ACTIONS(5363), 1,
      anon_sym_as,
    ACTIONS(5367), 1,
      anon_sym_BANG,
    ACTIONS(5369), 1,
      anon_sym_LPAREN,
    ACTIONS(5375), 1,
      anon_sym_LBRACK,
    ACTIONS(5377), 1,
      anon_sym_DOT,
    ACTIONS(5379), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5381), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5383), 1,
      anon_sym_GT_GT,
    ACTIONS(5387), 1,
      anon_sym_AMP,
    ACTIONS(5389), 1,
      anon_sym_CARET,
    ACTIONS(5391), 1,
      anon_sym_PIPE,
    ACTIONS(5395), 1,
      anon_sym_PERCENT,
    ACTIONS(5397), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5399), 1,
      anon_sym_LT,
    ACTIONS(5407), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5411), 1,
      anon_sym_BQUOTE,
    ACTIONS(5413), 1,
      anon_sym_satisfies,
    ACTIONS(5415), 1,
      sym__ternary_qmark,
    STATE(2739), 1,
      sym_type_arguments,
    STATE(2753), 1,
      sym_comment,
    STATE(6093), 1,
      sym_optional_chain,
    ACTIONS(5361), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5371), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5385), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5393), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5403), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5405), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5409), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5529), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(3121), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5401), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [63585] = 19,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4787), 1,
      anon_sym_LPAREN,
    ACTIONS(4811), 1,
      anon_sym_LBRACK,
    ACTIONS(4813), 1,
      anon_sym_DOT,
    ACTIONS(4867), 1,
      anon_sym_BQUOTE,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5806), 1,
      anon_sym_PERCENT,
    ACTIONS(5808), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5843), 1,
      anon_sym_LT,
    STATE(2372), 1,
      sym_type_arguments,
    STATE(2754), 1,
      sym_comment,
    STATE(6354), 1,
      sym_optional_chain,
    ACTIONS(4919), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5784), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5804), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(2716), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4955), 8,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4957), 17,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
      anon_sym_implements,
  [63670] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4787), 1,
      anon_sym_LPAREN,
    ACTIONS(4811), 1,
      anon_sym_LBRACK,
    ACTIONS(4813), 1,
      anon_sym_DOT,
    ACTIONS(4867), 1,
      anon_sym_BQUOTE,
    ACTIONS(4879), 1,
      anon_sym_as,
    ACTIONS(4883), 1,
      anon_sym_BANG,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4889), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4891), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4893), 1,
      anon_sym_GT_GT,
    ACTIONS(4897), 1,
      anon_sym_AMP,
    ACTIONS(4899), 1,
      anon_sym_CARET,
    ACTIONS(4901), 1,
      anon_sym_PIPE,
    ACTIONS(4905), 1,
      anon_sym_PERCENT,
    ACTIONS(4907), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4909), 1,
      anon_sym_LT,
    ACTIONS(4917), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4921), 1,
      anon_sym_satisfies,
    ACTIONS(4923), 1,
      sym__ternary_qmark,
    ACTIONS(5830), 1,
      anon_sym_COMMA,
    ACTIONS(5846), 1,
      anon_sym_RPAREN,
    STATE(2372), 1,
      sym_type_arguments,
    STATE(2755), 1,
      sym_comment,
    STATE(6354), 1,
      sym_optional_chain,
    STATE(6398), 1,
      aux_sym_array_repeat1,
    ACTIONS(4877), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4885), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4895), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4903), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4913), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4915), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4919), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2716), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4911), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [63789] = 25,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4787), 1,
      anon_sym_LPAREN,
    ACTIONS(4811), 1,
      anon_sym_LBRACK,
    ACTIONS(4813), 1,
      anon_sym_DOT,
    ACTIONS(4867), 1,
      anon_sym_BQUOTE,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5794), 1,
      anon_sym_GT_GT,
    ACTIONS(5806), 1,
      anon_sym_PERCENT,
    ACTIONS(5808), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5810), 1,
      anon_sym_LT,
    STATE(2372), 1,
      sym_type_arguments,
    STATE(2756), 1,
      sym_comment,
    STATE(6354), 1,
      sym_optional_chain,
    ACTIONS(4919), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5784), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5788), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5796), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5804), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5814), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5816), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2716), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4955), 3,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5812), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4957), 10,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
      anon_sym_implements,
  [63886] = 26,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4787), 1,
      anon_sym_LPAREN,
    ACTIONS(4811), 1,
      anon_sym_LBRACK,
    ACTIONS(4813), 1,
      anon_sym_DOT,
    ACTIONS(4867), 1,
      anon_sym_BQUOTE,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5794), 1,
      anon_sym_GT_GT,
    ACTIONS(5798), 1,
      anon_sym_AMP,
    ACTIONS(5806), 1,
      anon_sym_PERCENT,
    ACTIONS(5808), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5810), 1,
      anon_sym_LT,
    STATE(2372), 1,
      sym_type_arguments,
    STATE(2757), 1,
      sym_comment,
    STATE(6354), 1,
      sym_optional_chain,
    ACTIONS(4919), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4955), 2,
      anon_sym_BANG,
      anon_sym_PIPE,
    ACTIONS(5784), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5788), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5796), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5804), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5814), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5816), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2716), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5812), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4957), 10,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
      anon_sym_implements,
  [63985] = 27,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4787), 1,
      anon_sym_LPAREN,
    ACTIONS(4811), 1,
      anon_sym_LBRACK,
    ACTIONS(4813), 1,
      anon_sym_DOT,
    ACTIONS(4867), 1,
      anon_sym_BQUOTE,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5794), 1,
      anon_sym_GT_GT,
    ACTIONS(5798), 1,
      anon_sym_AMP,
    ACTIONS(5800), 1,
      anon_sym_CARET,
    ACTIONS(5806), 1,
      anon_sym_PERCENT,
    ACTIONS(5808), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5810), 1,
      anon_sym_LT,
    STATE(2372), 1,
      sym_type_arguments,
    STATE(2758), 1,
      sym_comment,
    STATE(6354), 1,
      sym_optional_chain,
    ACTIONS(4919), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4955), 2,
      anon_sym_BANG,
      anon_sym_PIPE,
    ACTIONS(5784), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5788), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5796), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5804), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5814), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5816), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2716), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5812), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4957), 9,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
      anon_sym_implements,
  [64086] = 18,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4787), 1,
      anon_sym_LPAREN,
    ACTIONS(4811), 1,
      anon_sym_LBRACK,
    ACTIONS(4813), 1,
      anon_sym_DOT,
    ACTIONS(4867), 1,
      anon_sym_BQUOTE,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5806), 1,
      anon_sym_PERCENT,
    ACTIONS(5808), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5843), 1,
      anon_sym_LT,
    STATE(2372), 1,
      sym_type_arguments,
    STATE(2759), 1,
      sym_comment,
    STATE(6354), 1,
      sym_optional_chain,
    ACTIONS(4919), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5784), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(2716), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4955), 10,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4957), 17,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
      anon_sym_implements,
  [64169] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4787), 1,
      anon_sym_LPAREN,
    ACTIONS(4811), 1,
      anon_sym_LBRACK,
    ACTIONS(4813), 1,
      anon_sym_DOT,
    ACTIONS(4867), 1,
      anon_sym_BQUOTE,
    ACTIONS(4879), 1,
      anon_sym_as,
    ACTIONS(4883), 1,
      anon_sym_BANG,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4889), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4891), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4893), 1,
      anon_sym_GT_GT,
    ACTIONS(4897), 1,
      anon_sym_AMP,
    ACTIONS(4899), 1,
      anon_sym_CARET,
    ACTIONS(4901), 1,
      anon_sym_PIPE,
    ACTIONS(4905), 1,
      anon_sym_PERCENT,
    ACTIONS(4907), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4909), 1,
      anon_sym_LT,
    ACTIONS(4917), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4921), 1,
      anon_sym_satisfies,
    ACTIONS(4923), 1,
      sym__ternary_qmark,
    ACTIONS(5000), 1,
      anon_sym_COMMA,
    ACTIONS(5848), 1,
      anon_sym_RPAREN,
    STATE(2372), 1,
      sym_type_arguments,
    STATE(2760), 1,
      sym_comment,
    STATE(4803), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(6354), 1,
      sym_optional_chain,
    ACTIONS(4877), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4885), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4895), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4903), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4913), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4915), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4919), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2716), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4911), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [64288] = 19,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4787), 1,
      anon_sym_LPAREN,
    ACTIONS(4811), 1,
      anon_sym_LBRACK,
    ACTIONS(4813), 1,
      anon_sym_DOT,
    ACTIONS(4867), 1,
      anon_sym_BQUOTE,
    ACTIONS(4879), 1,
      anon_sym_as,
    ACTIONS(4883), 1,
      anon_sym_BANG,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4921), 1,
      anon_sym_satisfies,
    ACTIONS(5808), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5843), 1,
      anon_sym_LT,
    STATE(2372), 1,
      sym_type_arguments,
    STATE(2761), 1,
      sym_comment,
    STATE(6354), 1,
      sym_optional_chain,
    ACTIONS(4919), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2716), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4955), 11,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4957), 16,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_implements,
  [64373] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4787), 1,
      anon_sym_LPAREN,
    ACTIONS(4811), 1,
      anon_sym_LBRACK,
    ACTIONS(4813), 1,
      anon_sym_DOT,
    ACTIONS(4867), 1,
      anon_sym_BQUOTE,
    ACTIONS(4879), 1,
      anon_sym_as,
    ACTIONS(4883), 1,
      anon_sym_BANG,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4889), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4891), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4893), 1,
      anon_sym_GT_GT,
    ACTIONS(4897), 1,
      anon_sym_AMP,
    ACTIONS(4899), 1,
      anon_sym_CARET,
    ACTIONS(4901), 1,
      anon_sym_PIPE,
    ACTIONS(4905), 1,
      anon_sym_PERCENT,
    ACTIONS(4907), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4909), 1,
      anon_sym_LT,
    ACTIONS(4917), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4921), 1,
      anon_sym_satisfies,
    ACTIONS(4923), 1,
      sym__ternary_qmark,
    ACTIONS(5830), 1,
      anon_sym_COMMA,
    ACTIONS(5850), 1,
      anon_sym_RPAREN,
    STATE(2372), 1,
      sym_type_arguments,
    STATE(2762), 1,
      sym_comment,
    STATE(6354), 1,
      sym_optional_chain,
    STATE(6443), 1,
      aux_sym_array_repeat1,
    ACTIONS(4877), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4885), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4895), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4903), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4913), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4915), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4919), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2716), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4911), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [64492] = 23,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4787), 1,
      anon_sym_LPAREN,
    ACTIONS(4811), 1,
      anon_sym_LBRACK,
    ACTIONS(4813), 1,
      anon_sym_DOT,
    ACTIONS(4867), 1,
      anon_sym_BQUOTE,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5794), 1,
      anon_sym_GT_GT,
    ACTIONS(5806), 1,
      anon_sym_PERCENT,
    ACTIONS(5808), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5810), 1,
      anon_sym_LT,
    STATE(2372), 1,
      sym_type_arguments,
    STATE(2763), 1,
      sym_comment,
    STATE(6354), 1,
      sym_optional_chain,
    ACTIONS(4919), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5784), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5788), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5796), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5804), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(2716), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5812), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4955), 5,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4957), 12,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
      anon_sym_implements,
  [64585] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4787), 1,
      anon_sym_LPAREN,
    ACTIONS(4811), 1,
      anon_sym_LBRACK,
    ACTIONS(4813), 1,
      anon_sym_DOT,
    ACTIONS(4867), 1,
      anon_sym_BQUOTE,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4955), 1,
      anon_sym_BANG,
    ACTIONS(5790), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5792), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5794), 1,
      anon_sym_GT_GT,
    ACTIONS(5798), 1,
      anon_sym_AMP,
    ACTIONS(5800), 1,
      anon_sym_CARET,
    ACTIONS(5802), 1,
      anon_sym_PIPE,
    ACTIONS(5806), 1,
      anon_sym_PERCENT,
    ACTIONS(5808), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5810), 1,
      anon_sym_LT,
    STATE(2372), 1,
      sym_type_arguments,
    STATE(2764), 1,
      sym_comment,
    STATE(6354), 1,
      sym_optional_chain,
    ACTIONS(4919), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5784), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5788), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5796), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5804), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5814), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5816), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2716), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5812), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4957), 7,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
      anon_sym_implements,
  [64692] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2765), 1,
      sym_comment,
    ACTIONS(4851), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4853), 30,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_is,
  [64749] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4787), 1,
      anon_sym_LPAREN,
    ACTIONS(4811), 1,
      anon_sym_LBRACK,
    ACTIONS(4813), 1,
      anon_sym_DOT,
    ACTIONS(4867), 1,
      anon_sym_BQUOTE,
    ACTIONS(4879), 1,
      anon_sym_as,
    ACTIONS(4883), 1,
      anon_sym_BANG,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4921), 1,
      anon_sym_satisfies,
    ACTIONS(5790), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5792), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5794), 1,
      anon_sym_GT_GT,
    ACTIONS(5798), 1,
      anon_sym_AMP,
    ACTIONS(5800), 1,
      anon_sym_CARET,
    ACTIONS(5802), 1,
      anon_sym_PIPE,
    ACTIONS(5806), 1,
      anon_sym_PERCENT,
    ACTIONS(5808), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5810), 1,
      anon_sym_LT,
    ACTIONS(5818), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5820), 1,
      sym__ternary_qmark,
    STATE(2372), 1,
      sym_type_arguments,
    STATE(2766), 1,
      sym_comment,
    STATE(6354), 1,
      sym_optional_chain,
    ACTIONS(4919), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5784), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5788), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5796), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5804), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5814), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5816), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2716), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5154), 3,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_implements,
    ACTIONS(5812), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [64864] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4787), 1,
      anon_sym_LPAREN,
    ACTIONS(4811), 1,
      anon_sym_LBRACK,
    ACTIONS(4813), 1,
      anon_sym_DOT,
    ACTIONS(4867), 1,
      anon_sym_BQUOTE,
    ACTIONS(4879), 1,
      anon_sym_as,
    ACTIONS(4883), 1,
      anon_sym_BANG,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4889), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4891), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4893), 1,
      anon_sym_GT_GT,
    ACTIONS(4897), 1,
      anon_sym_AMP,
    ACTIONS(4899), 1,
      anon_sym_CARET,
    ACTIONS(4901), 1,
      anon_sym_PIPE,
    ACTIONS(4905), 1,
      anon_sym_PERCENT,
    ACTIONS(4907), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4909), 1,
      anon_sym_LT,
    ACTIONS(4917), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4921), 1,
      anon_sym_satisfies,
    ACTIONS(4923), 1,
      sym__ternary_qmark,
    ACTIONS(5000), 1,
      anon_sym_COMMA,
    ACTIONS(5852), 1,
      anon_sym_RBRACK,
    STATE(2372), 1,
      sym_type_arguments,
    STATE(2767), 1,
      sym_comment,
    STATE(4803), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(6354), 1,
      sym_optional_chain,
    ACTIONS(4877), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4885), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4895), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4903), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4913), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4915), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4919), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2716), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4911), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [64983] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4787), 1,
      anon_sym_LPAREN,
    ACTIONS(4811), 1,
      anon_sym_LBRACK,
    ACTIONS(4813), 1,
      anon_sym_DOT,
    ACTIONS(4867), 1,
      anon_sym_BQUOTE,
    ACTIONS(4879), 1,
      anon_sym_as,
    ACTIONS(4883), 1,
      anon_sym_BANG,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4921), 1,
      anon_sym_satisfies,
    ACTIONS(5790), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5792), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5794), 1,
      anon_sym_GT_GT,
    ACTIONS(5798), 1,
      anon_sym_AMP,
    ACTIONS(5800), 1,
      anon_sym_CARET,
    ACTIONS(5802), 1,
      anon_sym_PIPE,
    ACTIONS(5806), 1,
      anon_sym_PERCENT,
    ACTIONS(5808), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5810), 1,
      anon_sym_LT,
    ACTIONS(5818), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5820), 1,
      sym__ternary_qmark,
    STATE(2372), 1,
      sym_type_arguments,
    STATE(2768), 1,
      sym_comment,
    STATE(6354), 1,
      sym_optional_chain,
    ACTIONS(4919), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5784), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5788), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5796), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5804), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5814), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5816), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2716), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5179), 3,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_implements,
    ACTIONS(5812), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [65098] = 35,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5100), 1,
      anon_sym_COMMA,
    ACTIONS(5363), 1,
      anon_sym_as,
    ACTIONS(5367), 1,
      anon_sym_BANG,
    ACTIONS(5369), 1,
      anon_sym_LPAREN,
    ACTIONS(5375), 1,
      anon_sym_LBRACK,
    ACTIONS(5377), 1,
      anon_sym_DOT,
    ACTIONS(5379), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5381), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5383), 1,
      anon_sym_GT_GT,
    ACTIONS(5387), 1,
      anon_sym_AMP,
    ACTIONS(5389), 1,
      anon_sym_CARET,
    ACTIONS(5391), 1,
      anon_sym_PIPE,
    ACTIONS(5395), 1,
      anon_sym_PERCENT,
    ACTIONS(5397), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5399), 1,
      anon_sym_LT,
    ACTIONS(5407), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5411), 1,
      anon_sym_BQUOTE,
    ACTIONS(5413), 1,
      anon_sym_satisfies,
    ACTIONS(5415), 1,
      sym__ternary_qmark,
    STATE(2739), 1,
      sym_type_arguments,
    STATE(2769), 1,
      sym_comment,
    STATE(6093), 1,
      sym_optional_chain,
    ACTIONS(5361), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5371), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5385), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5393), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5403), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5405), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5409), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5854), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(3121), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5401), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [65215] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5427), 1,
      anon_sym_is,
    STATE(2770), 1,
      sym_comment,
    ACTIONS(4859), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4861), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [65274] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5856), 1,
      anon_sym_is,
    STATE(2771), 1,
      sym_comment,
    ACTIONS(4835), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4837), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [65333] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4787), 1,
      anon_sym_LPAREN,
    ACTIONS(4811), 1,
      anon_sym_LBRACK,
    ACTIONS(4813), 1,
      anon_sym_DOT,
    ACTIONS(4867), 1,
      anon_sym_BQUOTE,
    ACTIONS(4879), 1,
      anon_sym_as,
    ACTIONS(4883), 1,
      anon_sym_BANG,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4889), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4891), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4893), 1,
      anon_sym_GT_GT,
    ACTIONS(4897), 1,
      anon_sym_AMP,
    ACTIONS(4899), 1,
      anon_sym_CARET,
    ACTIONS(4901), 1,
      anon_sym_PIPE,
    ACTIONS(4905), 1,
      anon_sym_PERCENT,
    ACTIONS(4907), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4909), 1,
      anon_sym_LT,
    ACTIONS(4917), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4921), 1,
      anon_sym_satisfies,
    ACTIONS(4923), 1,
      sym__ternary_qmark,
    ACTIONS(5830), 1,
      anon_sym_COMMA,
    ACTIONS(5858), 1,
      anon_sym_RPAREN,
    STATE(2372), 1,
      sym_type_arguments,
    STATE(2772), 1,
      sym_comment,
    STATE(6148), 1,
      aux_sym_array_repeat1,
    STATE(6354), 1,
      sym_optional_chain,
    ACTIONS(4877), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4885), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4895), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4903), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4913), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4915), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4919), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2716), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4911), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [65452] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4787), 1,
      anon_sym_LPAREN,
    ACTIONS(4811), 1,
      anon_sym_LBRACK,
    ACTIONS(4813), 1,
      anon_sym_DOT,
    ACTIONS(4867), 1,
      anon_sym_BQUOTE,
    ACTIONS(4879), 1,
      anon_sym_as,
    ACTIONS(4883), 1,
      anon_sym_BANG,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4889), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4891), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4893), 1,
      anon_sym_GT_GT,
    ACTIONS(4897), 1,
      anon_sym_AMP,
    ACTIONS(4899), 1,
      anon_sym_CARET,
    ACTIONS(4901), 1,
      anon_sym_PIPE,
    ACTIONS(4905), 1,
      anon_sym_PERCENT,
    ACTIONS(4907), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4909), 1,
      anon_sym_LT,
    ACTIONS(4917), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4921), 1,
      anon_sym_satisfies,
    ACTIONS(4923), 1,
      sym__ternary_qmark,
    STATE(2372), 1,
      sym_type_arguments,
    STATE(2773), 1,
      sym_comment,
    STATE(6354), 1,
      sym_optional_chain,
    ACTIONS(4877), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4885), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4895), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4903), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4913), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4915), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4919), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2716), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4911), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5860), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [65567] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4787), 1,
      anon_sym_LPAREN,
    ACTIONS(4811), 1,
      anon_sym_LBRACK,
    ACTIONS(4813), 1,
      anon_sym_DOT,
    ACTIONS(4867), 1,
      anon_sym_BQUOTE,
    ACTIONS(4879), 1,
      anon_sym_as,
    ACTIONS(4883), 1,
      anon_sym_BANG,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4889), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4891), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4893), 1,
      anon_sym_GT_GT,
    ACTIONS(4897), 1,
      anon_sym_AMP,
    ACTIONS(4899), 1,
      anon_sym_CARET,
    ACTIONS(4901), 1,
      anon_sym_PIPE,
    ACTIONS(4905), 1,
      anon_sym_PERCENT,
    ACTIONS(4907), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4909), 1,
      anon_sym_LT,
    ACTIONS(4917), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4921), 1,
      anon_sym_satisfies,
    ACTIONS(4923), 1,
      sym__ternary_qmark,
    ACTIONS(5000), 1,
      anon_sym_COMMA,
    ACTIONS(5862), 1,
      anon_sym_RBRACE,
    STATE(2372), 1,
      sym_type_arguments,
    STATE(2774), 1,
      sym_comment,
    STATE(4803), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(6354), 1,
      sym_optional_chain,
    ACTIONS(4877), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4885), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4895), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4903), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4913), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4915), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4919), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2716), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4911), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [65686] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4123), 1,
      anon_sym_EQ,
    ACTIONS(5286), 1,
      anon_sym_extends,
    STATE(2775), 1,
      sym_comment,
    ACTIONS(5675), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(5678), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4121), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4125), 26,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [65751] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4787), 1,
      anon_sym_LPAREN,
    ACTIONS(4811), 1,
      anon_sym_LBRACK,
    ACTIONS(4813), 1,
      anon_sym_DOT,
    ACTIONS(4867), 1,
      anon_sym_BQUOTE,
    ACTIONS(4879), 1,
      anon_sym_as,
    ACTIONS(4883), 1,
      anon_sym_BANG,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4889), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4891), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4893), 1,
      anon_sym_GT_GT,
    ACTIONS(4897), 1,
      anon_sym_AMP,
    ACTIONS(4899), 1,
      anon_sym_CARET,
    ACTIONS(4901), 1,
      anon_sym_PIPE,
    ACTIONS(4905), 1,
      anon_sym_PERCENT,
    ACTIONS(4907), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4909), 1,
      anon_sym_LT,
    ACTIONS(4917), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4921), 1,
      anon_sym_satisfies,
    ACTIONS(4923), 1,
      sym__ternary_qmark,
    ACTIONS(5000), 1,
      anon_sym_COMMA,
    ACTIONS(5864), 1,
      anon_sym_RPAREN,
    STATE(2372), 1,
      sym_type_arguments,
    STATE(2776), 1,
      sym_comment,
    STATE(4803), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(6354), 1,
      sym_optional_chain,
    ACTIONS(4877), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4885), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4895), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4903), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4913), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4915), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4919), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2716), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4911), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [65870] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4205), 1,
      anon_sym_EQ,
    ACTIONS(5675), 1,
      anon_sym_LBRACK,
    STATE(2777), 1,
      sym_comment,
    ACTIONS(5678), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5286), 6,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
    ACTIONS(4121), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4125), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [65935] = 19,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(4396), 1,
      anon_sym_override,
    ACTIONS(4514), 1,
      sym__automatic_semicolon,
    ACTIONS(4947), 1,
      anon_sym_LBRACK,
    ACTIONS(5866), 1,
      anon_sym_static,
    ACTIONS(5868), 1,
      anon_sym_readonly,
    ACTIONS(5870), 1,
      anon_sym_abstract,
    STATE(2778), 1,
      sym_comment,
    STATE(3622), 1,
      sym_accessibility_modifier,
    STATE(3717), 1,
      sym_override_modifier,
    STATE(4325), 1,
      sym__property_name,
    ACTIONS(3894), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4151), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4548), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(1043), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(4372), 17,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [66020] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4787), 1,
      anon_sym_LPAREN,
    ACTIONS(4811), 1,
      anon_sym_LBRACK,
    ACTIONS(4813), 1,
      anon_sym_DOT,
    ACTIONS(4867), 1,
      anon_sym_BQUOTE,
    ACTIONS(4879), 1,
      anon_sym_as,
    ACTIONS(4883), 1,
      anon_sym_BANG,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4889), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4891), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4893), 1,
      anon_sym_GT_GT,
    ACTIONS(4897), 1,
      anon_sym_AMP,
    ACTIONS(4899), 1,
      anon_sym_CARET,
    ACTIONS(4901), 1,
      anon_sym_PIPE,
    ACTIONS(4905), 1,
      anon_sym_PERCENT,
    ACTIONS(4907), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4909), 1,
      anon_sym_LT,
    ACTIONS(4917), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4921), 1,
      anon_sym_satisfies,
    ACTIONS(4923), 1,
      sym__ternary_qmark,
    ACTIONS(5830), 1,
      anon_sym_COMMA,
    ACTIONS(5872), 1,
      anon_sym_RPAREN,
    STATE(2372), 1,
      sym_type_arguments,
    STATE(2779), 1,
      sym_comment,
    STATE(6196), 1,
      aux_sym_array_repeat1,
    STATE(6354), 1,
      sym_optional_chain,
    ACTIONS(4877), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4885), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4895), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4903), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4913), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4915), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4919), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2716), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4911), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [66139] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4787), 1,
      anon_sym_LPAREN,
    ACTIONS(4811), 1,
      anon_sym_LBRACK,
    ACTIONS(4813), 1,
      anon_sym_DOT,
    ACTIONS(4867), 1,
      anon_sym_BQUOTE,
    ACTIONS(4879), 1,
      anon_sym_as,
    ACTIONS(4883), 1,
      anon_sym_BANG,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4921), 1,
      anon_sym_satisfies,
    ACTIONS(5790), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5792), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5794), 1,
      anon_sym_GT_GT,
    ACTIONS(5798), 1,
      anon_sym_AMP,
    ACTIONS(5800), 1,
      anon_sym_CARET,
    ACTIONS(5802), 1,
      anon_sym_PIPE,
    ACTIONS(5806), 1,
      anon_sym_PERCENT,
    ACTIONS(5808), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5810), 1,
      anon_sym_LT,
    ACTIONS(5818), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5820), 1,
      sym__ternary_qmark,
    STATE(2372), 1,
      sym_type_arguments,
    STATE(2780), 1,
      sym_comment,
    STATE(6354), 1,
      sym_optional_chain,
    ACTIONS(4919), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5784), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5788), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5796), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5804), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5814), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5816), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2716), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5212), 3,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_implements,
    ACTIONS(5812), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [66254] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4787), 1,
      anon_sym_LPAREN,
    ACTIONS(4811), 1,
      anon_sym_LBRACK,
    ACTIONS(4813), 1,
      anon_sym_DOT,
    ACTIONS(4867), 1,
      anon_sym_BQUOTE,
    ACTIONS(4879), 1,
      anon_sym_as,
    ACTIONS(4883), 1,
      anon_sym_BANG,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4921), 1,
      anon_sym_satisfies,
    ACTIONS(5790), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5792), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5794), 1,
      anon_sym_GT_GT,
    ACTIONS(5798), 1,
      anon_sym_AMP,
    ACTIONS(5800), 1,
      anon_sym_CARET,
    ACTIONS(5802), 1,
      anon_sym_PIPE,
    ACTIONS(5806), 1,
      anon_sym_PERCENT,
    ACTIONS(5808), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5810), 1,
      anon_sym_LT,
    ACTIONS(5818), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5820), 1,
      sym__ternary_qmark,
    STATE(2372), 1,
      sym_type_arguments,
    STATE(2781), 1,
      sym_comment,
    STATE(6354), 1,
      sym_optional_chain,
    ACTIONS(4919), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5784), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5788), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5796), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5804), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5814), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5816), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2716), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5214), 3,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_implements,
    ACTIONS(5812), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [66369] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4787), 1,
      anon_sym_LPAREN,
    ACTIONS(4811), 1,
      anon_sym_LBRACK,
    ACTIONS(4813), 1,
      anon_sym_DOT,
    ACTIONS(4867), 1,
      anon_sym_BQUOTE,
    ACTIONS(4879), 1,
      anon_sym_as,
    ACTIONS(4883), 1,
      anon_sym_BANG,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4921), 1,
      anon_sym_satisfies,
    ACTIONS(5790), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5792), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5794), 1,
      anon_sym_GT_GT,
    ACTIONS(5798), 1,
      anon_sym_AMP,
    ACTIONS(5800), 1,
      anon_sym_CARET,
    ACTIONS(5802), 1,
      anon_sym_PIPE,
    ACTIONS(5806), 1,
      anon_sym_PERCENT,
    ACTIONS(5808), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5810), 1,
      anon_sym_LT,
    ACTIONS(5818), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5820), 1,
      sym__ternary_qmark,
    STATE(2372), 1,
      sym_type_arguments,
    STATE(2782), 1,
      sym_comment,
    STATE(6354), 1,
      sym_optional_chain,
    ACTIONS(4919), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5784), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5788), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5796), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5804), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5814), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5816), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2716), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5216), 3,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_implements,
    ACTIONS(5812), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [66484] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4787), 1,
      anon_sym_LPAREN,
    ACTIONS(4811), 1,
      anon_sym_LBRACK,
    ACTIONS(4813), 1,
      anon_sym_DOT,
    ACTIONS(4867), 1,
      anon_sym_BQUOTE,
    ACTIONS(4879), 1,
      anon_sym_as,
    ACTIONS(4883), 1,
      anon_sym_BANG,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4921), 1,
      anon_sym_satisfies,
    ACTIONS(5790), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5792), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5794), 1,
      anon_sym_GT_GT,
    ACTIONS(5798), 1,
      anon_sym_AMP,
    ACTIONS(5800), 1,
      anon_sym_CARET,
    ACTIONS(5802), 1,
      anon_sym_PIPE,
    ACTIONS(5806), 1,
      anon_sym_PERCENT,
    ACTIONS(5808), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5810), 1,
      anon_sym_LT,
    ACTIONS(5818), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5820), 1,
      sym__ternary_qmark,
    STATE(2372), 1,
      sym_type_arguments,
    STATE(2783), 1,
      sym_comment,
    STATE(6354), 1,
      sym_optional_chain,
    ACTIONS(4919), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5784), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5788), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5796), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5804), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5814), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5816), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2716), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5241), 3,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_implements,
    ACTIONS(5812), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [66599] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4787), 1,
      anon_sym_LPAREN,
    ACTIONS(4811), 1,
      anon_sym_LBRACK,
    ACTIONS(4813), 1,
      anon_sym_DOT,
    ACTIONS(4867), 1,
      anon_sym_BQUOTE,
    ACTIONS(4879), 1,
      anon_sym_as,
    ACTIONS(4883), 1,
      anon_sym_BANG,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4921), 1,
      anon_sym_satisfies,
    ACTIONS(5790), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5792), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5794), 1,
      anon_sym_GT_GT,
    ACTIONS(5798), 1,
      anon_sym_AMP,
    ACTIONS(5800), 1,
      anon_sym_CARET,
    ACTIONS(5802), 1,
      anon_sym_PIPE,
    ACTIONS(5806), 1,
      anon_sym_PERCENT,
    ACTIONS(5808), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5810), 1,
      anon_sym_LT,
    ACTIONS(5818), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5820), 1,
      sym__ternary_qmark,
    STATE(2372), 1,
      sym_type_arguments,
    STATE(2784), 1,
      sym_comment,
    STATE(6354), 1,
      sym_optional_chain,
    ACTIONS(4919), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5784), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5788), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5796), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5804), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5814), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5816), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2716), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5026), 3,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_implements,
    ACTIONS(5812), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [66714] = 35,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5100), 1,
      anon_sym_COMMA,
    ACTIONS(5363), 1,
      anon_sym_as,
    ACTIONS(5367), 1,
      anon_sym_BANG,
    ACTIONS(5369), 1,
      anon_sym_LPAREN,
    ACTIONS(5375), 1,
      anon_sym_LBRACK,
    ACTIONS(5377), 1,
      anon_sym_DOT,
    ACTIONS(5379), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5381), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5383), 1,
      anon_sym_GT_GT,
    ACTIONS(5387), 1,
      anon_sym_AMP,
    ACTIONS(5389), 1,
      anon_sym_CARET,
    ACTIONS(5391), 1,
      anon_sym_PIPE,
    ACTIONS(5395), 1,
      anon_sym_PERCENT,
    ACTIONS(5397), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5399), 1,
      anon_sym_LT,
    ACTIONS(5407), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5411), 1,
      anon_sym_BQUOTE,
    ACTIONS(5413), 1,
      anon_sym_satisfies,
    ACTIONS(5415), 1,
      sym__ternary_qmark,
    STATE(2739), 1,
      sym_type_arguments,
    STATE(2785), 1,
      sym_comment,
    STATE(6093), 1,
      sym_optional_chain,
    ACTIONS(5361), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5371), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5385), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5393), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5403), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5405), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5409), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5874), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(3121), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5401), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [66831] = 19,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(4396), 1,
      anon_sym_override,
    ACTIONS(4514), 1,
      sym__automatic_semicolon,
    ACTIONS(4947), 1,
      anon_sym_LBRACK,
    ACTIONS(5876), 1,
      anon_sym_static,
    ACTIONS(5878), 1,
      anon_sym_readonly,
    ACTIONS(5880), 1,
      anon_sym_abstract,
    STATE(2786), 1,
      sym_comment,
    STATE(3617), 1,
      sym_accessibility_modifier,
    STATE(3741), 1,
      sym_override_modifier,
    STATE(4393), 1,
      sym__property_name,
    ACTIONS(3894), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4151), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4548), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(1043), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(4372), 17,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [66916] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4787), 1,
      anon_sym_LPAREN,
    ACTIONS(4811), 1,
      anon_sym_LBRACK,
    ACTIONS(4813), 1,
      anon_sym_DOT,
    ACTIONS(4867), 1,
      anon_sym_BQUOTE,
    ACTIONS(4879), 1,
      anon_sym_as,
    ACTIONS(4883), 1,
      anon_sym_BANG,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4889), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4891), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4893), 1,
      anon_sym_GT_GT,
    ACTIONS(4897), 1,
      anon_sym_AMP,
    ACTIONS(4899), 1,
      anon_sym_CARET,
    ACTIONS(4901), 1,
      anon_sym_PIPE,
    ACTIONS(4905), 1,
      anon_sym_PERCENT,
    ACTIONS(4907), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4909), 1,
      anon_sym_LT,
    ACTIONS(4917), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4921), 1,
      anon_sym_satisfies,
    ACTIONS(4923), 1,
      sym__ternary_qmark,
    ACTIONS(5000), 1,
      anon_sym_COMMA,
    ACTIONS(5882), 1,
      anon_sym_RBRACK,
    STATE(2372), 1,
      sym_type_arguments,
    STATE(2787), 1,
      sym_comment,
    STATE(4803), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(6354), 1,
      sym_optional_chain,
    ACTIONS(4877), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4885), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4895), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4903), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4913), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4915), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4919), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2716), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4911), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [67035] = 17,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(4514), 1,
      sym__automatic_semicolon,
    ACTIONS(4939), 1,
      anon_sym_EQ,
    ACTIONS(4941), 1,
      anon_sym_COMMA,
    ACTIONS(4944), 1,
      anon_sym_RBRACE,
    ACTIONS(5477), 1,
      anon_sym_LBRACK,
    STATE(2788), 1,
      sym_comment,
    STATE(4890), 1,
      sym__property_name,
    STATE(6171), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6333), 1,
      aux_sym_object_repeat1,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4740), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 6,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [67116] = 17,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(4514), 1,
      sym__automatic_semicolon,
    ACTIONS(4939), 1,
      anon_sym_EQ,
    ACTIONS(4941), 1,
      anon_sym_COMMA,
    ACTIONS(5340), 1,
      anon_sym_RBRACE,
    ACTIONS(5477), 1,
      anon_sym_LBRACK,
    STATE(2789), 1,
      sym_comment,
    STATE(4890), 1,
      sym__property_name,
    STATE(6171), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6333), 1,
      aux_sym_object_repeat1,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4740), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 6,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [67197] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4252), 1,
      anon_sym_EQ,
    ACTIONS(4257), 1,
      anon_sym_QMARK,
    STATE(2790), 1,
      sym_comment,
    ACTIONS(4255), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
    ACTIONS(4121), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4125), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [67260] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4787), 1,
      anon_sym_LPAREN,
    ACTIONS(4811), 1,
      anon_sym_LBRACK,
    ACTIONS(4813), 1,
      anon_sym_DOT,
    ACTIONS(4867), 1,
      anon_sym_BQUOTE,
    ACTIONS(4879), 1,
      anon_sym_as,
    ACTIONS(4883), 1,
      anon_sym_BANG,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4889), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4891), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4893), 1,
      anon_sym_GT_GT,
    ACTIONS(4897), 1,
      anon_sym_AMP,
    ACTIONS(4899), 1,
      anon_sym_CARET,
    ACTIONS(4901), 1,
      anon_sym_PIPE,
    ACTIONS(4905), 1,
      anon_sym_PERCENT,
    ACTIONS(4907), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4909), 1,
      anon_sym_LT,
    ACTIONS(4917), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4921), 1,
      anon_sym_satisfies,
    ACTIONS(4923), 1,
      sym__ternary_qmark,
    ACTIONS(5000), 1,
      anon_sym_COMMA,
    ACTIONS(5884), 1,
      anon_sym_RPAREN,
    STATE(2372), 1,
      sym_type_arguments,
    STATE(2791), 1,
      sym_comment,
    STATE(4803), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(6354), 1,
      sym_optional_chain,
    ACTIONS(4877), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4885), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4895), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4903), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4913), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4915), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4919), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2716), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4911), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [67379] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5363), 1,
      anon_sym_as,
    ACTIONS(5367), 1,
      anon_sym_BANG,
    ACTIONS(5369), 1,
      anon_sym_LPAREN,
    ACTIONS(5375), 1,
      anon_sym_LBRACK,
    ACTIONS(5377), 1,
      anon_sym_DOT,
    ACTIONS(5379), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5381), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5383), 1,
      anon_sym_GT_GT,
    ACTIONS(5387), 1,
      anon_sym_AMP,
    ACTIONS(5389), 1,
      anon_sym_CARET,
    ACTIONS(5391), 1,
      anon_sym_PIPE,
    ACTIONS(5395), 1,
      anon_sym_PERCENT,
    ACTIONS(5397), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5399), 1,
      anon_sym_LT,
    ACTIONS(5407), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5411), 1,
      anon_sym_BQUOTE,
    ACTIONS(5413), 1,
      anon_sym_satisfies,
    ACTIONS(5415), 1,
      sym__ternary_qmark,
    STATE(2739), 1,
      sym_type_arguments,
    STATE(2792), 1,
      sym_comment,
    STATE(6093), 1,
      sym_optional_chain,
    ACTIONS(5361), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5371), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5385), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5393), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5403), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5405), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5409), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(3121), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5296), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(5401), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [67494] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4787), 1,
      anon_sym_LPAREN,
    ACTIONS(4811), 1,
      anon_sym_LBRACK,
    ACTIONS(4813), 1,
      anon_sym_DOT,
    ACTIONS(4867), 1,
      anon_sym_BQUOTE,
    ACTIONS(4879), 1,
      anon_sym_as,
    ACTIONS(4883), 1,
      anon_sym_BANG,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4889), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4891), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4893), 1,
      anon_sym_GT_GT,
    ACTIONS(4897), 1,
      anon_sym_AMP,
    ACTIONS(4899), 1,
      anon_sym_CARET,
    ACTIONS(4901), 1,
      anon_sym_PIPE,
    ACTIONS(4905), 1,
      anon_sym_PERCENT,
    ACTIONS(4907), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4909), 1,
      anon_sym_LT,
    ACTIONS(4917), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4921), 1,
      anon_sym_satisfies,
    ACTIONS(4923), 1,
      sym__ternary_qmark,
    ACTIONS(5000), 1,
      anon_sym_COMMA,
    ACTIONS(5886), 1,
      anon_sym_RPAREN,
    STATE(2372), 1,
      sym_type_arguments,
    STATE(2793), 1,
      sym_comment,
    STATE(4803), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(6354), 1,
      sym_optional_chain,
    ACTIONS(4877), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4885), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4895), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4903), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4913), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4915), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4919), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2716), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4911), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [67613] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4787), 1,
      anon_sym_LPAREN,
    ACTIONS(4811), 1,
      anon_sym_LBRACK,
    ACTIONS(4813), 1,
      anon_sym_DOT,
    ACTIONS(4867), 1,
      anon_sym_BQUOTE,
    ACTIONS(4879), 1,
      anon_sym_as,
    ACTIONS(4883), 1,
      anon_sym_BANG,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4889), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4891), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4893), 1,
      anon_sym_GT_GT,
    ACTIONS(4897), 1,
      anon_sym_AMP,
    ACTIONS(4899), 1,
      anon_sym_CARET,
    ACTIONS(4901), 1,
      anon_sym_PIPE,
    ACTIONS(4905), 1,
      anon_sym_PERCENT,
    ACTIONS(4907), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4909), 1,
      anon_sym_LT,
    ACTIONS(4917), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4921), 1,
      anon_sym_satisfies,
    ACTIONS(4923), 1,
      sym__ternary_qmark,
    STATE(2372), 1,
      sym_type_arguments,
    STATE(2794), 1,
      sym_comment,
    STATE(6354), 1,
      sym_optional_chain,
    ACTIONS(4877), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4885), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4895), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4903), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4913), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4915), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4919), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2716), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4911), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5888), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
  [67728] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4787), 1,
      anon_sym_LPAREN,
    ACTIONS(4811), 1,
      anon_sym_LBRACK,
    ACTIONS(4813), 1,
      anon_sym_DOT,
    ACTIONS(4867), 1,
      anon_sym_BQUOTE,
    ACTIONS(4879), 1,
      anon_sym_as,
    ACTIONS(4883), 1,
      anon_sym_BANG,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4889), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4891), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4893), 1,
      anon_sym_GT_GT,
    ACTIONS(4897), 1,
      anon_sym_AMP,
    ACTIONS(4899), 1,
      anon_sym_CARET,
    ACTIONS(4901), 1,
      anon_sym_PIPE,
    ACTIONS(4905), 1,
      anon_sym_PERCENT,
    ACTIONS(4907), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4909), 1,
      anon_sym_LT,
    ACTIONS(4917), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4921), 1,
      anon_sym_satisfies,
    ACTIONS(4923), 1,
      sym__ternary_qmark,
    ACTIONS(5830), 1,
      anon_sym_COMMA,
    ACTIONS(5890), 1,
      anon_sym_RPAREN,
    STATE(2372), 1,
      sym_type_arguments,
    STATE(2795), 1,
      sym_comment,
    STATE(6332), 1,
      aux_sym_array_repeat1,
    STATE(6354), 1,
      sym_optional_chain,
    ACTIONS(4877), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4885), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4895), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4903), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4913), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4915), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4919), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2716), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4911), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [67847] = 17,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(4514), 1,
      sym__automatic_semicolon,
    ACTIONS(4939), 1,
      anon_sym_EQ,
    ACTIONS(4941), 1,
      anon_sym_COMMA,
    ACTIONS(5265), 1,
      anon_sym_RBRACE,
    ACTIONS(5477), 1,
      anon_sym_LBRACK,
    STATE(2796), 1,
      sym_comment,
    STATE(4890), 1,
      sym__property_name,
    STATE(6171), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6333), 1,
      aux_sym_object_repeat1,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4740), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 6,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [67928] = 35,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5100), 1,
      anon_sym_COMMA,
    ACTIONS(5363), 1,
      anon_sym_as,
    ACTIONS(5367), 1,
      anon_sym_BANG,
    ACTIONS(5369), 1,
      anon_sym_LPAREN,
    ACTIONS(5375), 1,
      anon_sym_LBRACK,
    ACTIONS(5377), 1,
      anon_sym_DOT,
    ACTIONS(5379), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5381), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5383), 1,
      anon_sym_GT_GT,
    ACTIONS(5387), 1,
      anon_sym_AMP,
    ACTIONS(5389), 1,
      anon_sym_CARET,
    ACTIONS(5391), 1,
      anon_sym_PIPE,
    ACTIONS(5395), 1,
      anon_sym_PERCENT,
    ACTIONS(5397), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5399), 1,
      anon_sym_LT,
    ACTIONS(5407), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5411), 1,
      anon_sym_BQUOTE,
    ACTIONS(5413), 1,
      anon_sym_satisfies,
    ACTIONS(5415), 1,
      sym__ternary_qmark,
    STATE(2739), 1,
      sym_type_arguments,
    STATE(2797), 1,
      sym_comment,
    STATE(6093), 1,
      sym_optional_chain,
    ACTIONS(5361), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5371), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5385), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5393), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5403), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5405), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5409), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5892), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(3121), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5401), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [68045] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4787), 1,
      anon_sym_LPAREN,
    ACTIONS(4811), 1,
      anon_sym_LBRACK,
    ACTIONS(4813), 1,
      anon_sym_DOT,
    ACTIONS(4867), 1,
      anon_sym_BQUOTE,
    ACTIONS(4879), 1,
      anon_sym_as,
    ACTIONS(4883), 1,
      anon_sym_BANG,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4889), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4891), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4893), 1,
      anon_sym_GT_GT,
    ACTIONS(4897), 1,
      anon_sym_AMP,
    ACTIONS(4899), 1,
      anon_sym_CARET,
    ACTIONS(4901), 1,
      anon_sym_PIPE,
    ACTIONS(4905), 1,
      anon_sym_PERCENT,
    ACTIONS(4907), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4909), 1,
      anon_sym_LT,
    ACTIONS(4917), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4921), 1,
      anon_sym_satisfies,
    ACTIONS(4923), 1,
      sym__ternary_qmark,
    ACTIONS(5000), 1,
      anon_sym_COMMA,
    ACTIONS(5894), 1,
      anon_sym_RBRACK,
    STATE(2372), 1,
      sym_type_arguments,
    STATE(2798), 1,
      sym_comment,
    STATE(4803), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(6354), 1,
      sym_optional_chain,
    ACTIONS(4877), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4885), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4895), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4903), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4913), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4915), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4919), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2716), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4911), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [68164] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5425), 1,
      anon_sym_LT,
    STATE(2799), 1,
      sym_comment,
    STATE(3018), 1,
      sym_type_arguments,
    ACTIONS(4835), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4837), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [68225] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2800), 1,
      sym_comment,
    ACTIONS(5306), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5308), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [68282] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5423), 1,
      anon_sym_DOT,
    ACTIONS(5425), 1,
      anon_sym_LT,
    STATE(2801), 1,
      sym_comment,
    STATE(3035), 1,
      sym_type_arguments,
    ACTIONS(4817), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4203), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [68345] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2802), 1,
      sym_comment,
    ACTIONS(1978), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2030), 30,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_is,
  [68402] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2803), 1,
      sym_comment,
    ACTIONS(4352), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4845), 30,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [68459] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2071), 1,
      anon_sym_EQ,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5259), 1,
      anon_sym_LBRACK,
    STATE(2804), 1,
      sym_comment,
    ACTIONS(5262), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5896), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(3432), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2069), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2075), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [68526] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5270), 1,
      anon_sym_EQ,
    ACTIONS(5274), 1,
      anon_sym_LBRACK,
    STATE(2805), 1,
      sym_comment,
    ACTIONS(5277), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5900), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(5239), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
    ACTIONS(5268), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5272), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [68593] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5427), 1,
      anon_sym_is,
    STATE(2806), 1,
      sym_comment,
    ACTIONS(4847), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4849), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [68652] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5363), 1,
      anon_sym_as,
    ACTIONS(5367), 1,
      anon_sym_BANG,
    ACTIONS(5369), 1,
      anon_sym_LPAREN,
    ACTIONS(5375), 1,
      anon_sym_LBRACK,
    ACTIONS(5377), 1,
      anon_sym_DOT,
    ACTIONS(5379), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5381), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5383), 1,
      anon_sym_GT_GT,
    ACTIONS(5387), 1,
      anon_sym_AMP,
    ACTIONS(5389), 1,
      anon_sym_CARET,
    ACTIONS(5391), 1,
      anon_sym_PIPE,
    ACTIONS(5395), 1,
      anon_sym_PERCENT,
    ACTIONS(5397), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5399), 1,
      anon_sym_LT,
    ACTIONS(5407), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5411), 1,
      anon_sym_BQUOTE,
    ACTIONS(5413), 1,
      anon_sym_satisfies,
    ACTIONS(5415), 1,
      sym__ternary_qmark,
    STATE(2739), 1,
      sym_type_arguments,
    STATE(2807), 1,
      sym_comment,
    STATE(6093), 1,
      sym_optional_chain,
    ACTIONS(5361), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5371), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5385), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5393), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5403), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5405), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5409), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(3121), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5401), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5431), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [68767] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4787), 1,
      anon_sym_LPAREN,
    ACTIONS(4811), 1,
      anon_sym_LBRACK,
    ACTIONS(4813), 1,
      anon_sym_DOT,
    ACTIONS(4867), 1,
      anon_sym_BQUOTE,
    ACTIONS(4879), 1,
      anon_sym_as,
    ACTIONS(4883), 1,
      anon_sym_BANG,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4889), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4891), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4893), 1,
      anon_sym_GT_GT,
    ACTIONS(4897), 1,
      anon_sym_AMP,
    ACTIONS(4899), 1,
      anon_sym_CARET,
    ACTIONS(4901), 1,
      anon_sym_PIPE,
    ACTIONS(4905), 1,
      anon_sym_PERCENT,
    ACTIONS(4907), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4909), 1,
      anon_sym_LT,
    ACTIONS(4917), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4921), 1,
      anon_sym_satisfies,
    ACTIONS(4923), 1,
      sym__ternary_qmark,
    ACTIONS(5830), 1,
      anon_sym_COMMA,
    ACTIONS(5904), 1,
      anon_sym_RBRACK,
    STATE(2372), 1,
      sym_type_arguments,
    STATE(2808), 1,
      sym_comment,
    STATE(6287), 1,
      aux_sym_array_repeat1,
    STATE(6354), 1,
      sym_optional_chain,
    ACTIONS(4877), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4885), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4895), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4903), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4913), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4915), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4919), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2716), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4911), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [68886] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4787), 1,
      anon_sym_LPAREN,
    ACTIONS(4811), 1,
      anon_sym_LBRACK,
    ACTIONS(4813), 1,
      anon_sym_DOT,
    ACTIONS(4867), 1,
      anon_sym_BQUOTE,
    ACTIONS(4879), 1,
      anon_sym_as,
    ACTIONS(4883), 1,
      anon_sym_BANG,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4889), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4891), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4893), 1,
      anon_sym_GT_GT,
    ACTIONS(4897), 1,
      anon_sym_AMP,
    ACTIONS(4899), 1,
      anon_sym_CARET,
    ACTIONS(4901), 1,
      anon_sym_PIPE,
    ACTIONS(4905), 1,
      anon_sym_PERCENT,
    ACTIONS(4907), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4909), 1,
      anon_sym_LT,
    ACTIONS(4917), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4921), 1,
      anon_sym_satisfies,
    ACTIONS(4923), 1,
      sym__ternary_qmark,
    ACTIONS(5000), 1,
      anon_sym_COMMA,
    ACTIONS(5906), 1,
      anon_sym_RBRACE,
    STATE(2372), 1,
      sym_type_arguments,
    STATE(2809), 1,
      sym_comment,
    STATE(4803), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(6354), 1,
      sym_optional_chain,
    ACTIONS(4877), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4885), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4895), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4903), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4913), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4915), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4919), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2716), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4911), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [69005] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4787), 1,
      anon_sym_LPAREN,
    ACTIONS(4811), 1,
      anon_sym_LBRACK,
    ACTIONS(4813), 1,
      anon_sym_DOT,
    ACTIONS(4867), 1,
      anon_sym_BQUOTE,
    ACTIONS(4879), 1,
      anon_sym_as,
    ACTIONS(4883), 1,
      anon_sym_BANG,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4921), 1,
      anon_sym_satisfies,
    ACTIONS(5790), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5792), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5794), 1,
      anon_sym_GT_GT,
    ACTIONS(5798), 1,
      anon_sym_AMP,
    ACTIONS(5800), 1,
      anon_sym_CARET,
    ACTIONS(5802), 1,
      anon_sym_PIPE,
    ACTIONS(5806), 1,
      anon_sym_PERCENT,
    ACTIONS(5808), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5810), 1,
      anon_sym_LT,
    ACTIONS(5818), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5820), 1,
      sym__ternary_qmark,
    STATE(2372), 1,
      sym_type_arguments,
    STATE(2810), 1,
      sym_comment,
    STATE(6354), 1,
      sym_optional_chain,
    ACTIONS(4919), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5784), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5788), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5796), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5804), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5814), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5816), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2716), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5304), 3,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_implements,
    ACTIONS(5812), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [69120] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4787), 1,
      anon_sym_LPAREN,
    ACTIONS(4811), 1,
      anon_sym_LBRACK,
    ACTIONS(4813), 1,
      anon_sym_DOT,
    ACTIONS(4867), 1,
      anon_sym_BQUOTE,
    ACTIONS(4879), 1,
      anon_sym_as,
    ACTIONS(4883), 1,
      anon_sym_BANG,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4889), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4891), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4893), 1,
      anon_sym_GT_GT,
    ACTIONS(4897), 1,
      anon_sym_AMP,
    ACTIONS(4899), 1,
      anon_sym_CARET,
    ACTIONS(4901), 1,
      anon_sym_PIPE,
    ACTIONS(4905), 1,
      anon_sym_PERCENT,
    ACTIONS(4907), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4909), 1,
      anon_sym_LT,
    ACTIONS(4917), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4921), 1,
      anon_sym_satisfies,
    ACTIONS(4923), 1,
      sym__ternary_qmark,
    ACTIONS(5000), 1,
      anon_sym_COMMA,
    ACTIONS(5908), 1,
      anon_sym_RPAREN,
    STATE(2372), 1,
      sym_type_arguments,
    STATE(2811), 1,
      sym_comment,
    STATE(4803), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(6354), 1,
      sym_optional_chain,
    ACTIONS(4877), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4885), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4895), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4903), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4913), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4915), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4919), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2716), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4911), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [69239] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2812), 1,
      sym_comment,
    ACTIONS(5137), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_extends,
    ACTIONS(5306), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5308), 26,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [69298] = 20,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(4396), 1,
      anon_sym_override,
    ACTIONS(4514), 1,
      sym__automatic_semicolon,
    ACTIONS(4937), 1,
      anon_sym_STAR,
    ACTIONS(4939), 1,
      anon_sym_EQ,
    ACTIONS(4947), 1,
      anon_sym_LBRACK,
    ACTIONS(4949), 1,
      anon_sym_async,
    ACTIONS(4951), 1,
      anon_sym_readonly,
    STATE(2813), 1,
      sym_comment,
    STATE(3670), 1,
      sym_override_modifier,
    STATE(4017), 1,
      sym__property_name,
    ACTIONS(3894), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4953), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(5910), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(4151), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 6,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(4372), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [69385] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2814), 1,
      sym_comment,
    ACTIONS(2071), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5914), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
    ACTIONS(2069), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2075), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [69446] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4787), 1,
      anon_sym_LPAREN,
    ACTIONS(4811), 1,
      anon_sym_LBRACK,
    ACTIONS(4813), 1,
      anon_sym_DOT,
    ACTIONS(4867), 1,
      anon_sym_BQUOTE,
    ACTIONS(4879), 1,
      anon_sym_as,
    ACTIONS(4883), 1,
      anon_sym_BANG,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4889), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4891), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4893), 1,
      anon_sym_GT_GT,
    ACTIONS(4897), 1,
      anon_sym_AMP,
    ACTIONS(4899), 1,
      anon_sym_CARET,
    ACTIONS(4901), 1,
      anon_sym_PIPE,
    ACTIONS(4905), 1,
      anon_sym_PERCENT,
    ACTIONS(4907), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4909), 1,
      anon_sym_LT,
    ACTIONS(4917), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4921), 1,
      anon_sym_satisfies,
    ACTIONS(4923), 1,
      sym__ternary_qmark,
    ACTIONS(5000), 1,
      anon_sym_COMMA,
    ACTIONS(5916), 1,
      anon_sym_RBRACE,
    STATE(2372), 1,
      sym_type_arguments,
    STATE(2815), 1,
      sym_comment,
    STATE(4803), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(6354), 1,
      sym_optional_chain,
    ACTIONS(4877), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4885), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4895), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4903), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4913), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4915), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4919), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2716), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4911), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [69565] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4787), 1,
      anon_sym_LPAREN,
    ACTIONS(4811), 1,
      anon_sym_LBRACK,
    ACTIONS(4813), 1,
      anon_sym_DOT,
    ACTIONS(4867), 1,
      anon_sym_BQUOTE,
    ACTIONS(4879), 1,
      anon_sym_as,
    ACTIONS(4883), 1,
      anon_sym_BANG,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4889), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4891), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4893), 1,
      anon_sym_GT_GT,
    ACTIONS(4897), 1,
      anon_sym_AMP,
    ACTIONS(4899), 1,
      anon_sym_CARET,
    ACTIONS(4901), 1,
      anon_sym_PIPE,
    ACTIONS(4905), 1,
      anon_sym_PERCENT,
    ACTIONS(4907), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4909), 1,
      anon_sym_LT,
    ACTIONS(4917), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4921), 1,
      anon_sym_satisfies,
    ACTIONS(4923), 1,
      sym__ternary_qmark,
    ACTIONS(5000), 1,
      anon_sym_COMMA,
    ACTIONS(5918), 1,
      anon_sym_RBRACK,
    STATE(2372), 1,
      sym_type_arguments,
    STATE(2816), 1,
      sym_comment,
    STATE(4803), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(6354), 1,
      sym_optional_chain,
    ACTIONS(4877), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4885), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4895), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4903), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4913), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4915), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4919), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2716), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4911), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [69684] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2817), 1,
      sym_comment,
    ACTIONS(5419), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5920), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
    ACTIONS(5417), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5421), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [69745] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4787), 1,
      anon_sym_LPAREN,
    ACTIONS(4811), 1,
      anon_sym_LBRACK,
    ACTIONS(4813), 1,
      anon_sym_DOT,
    ACTIONS(4867), 1,
      anon_sym_BQUOTE,
    ACTIONS(4879), 1,
      anon_sym_as,
    ACTIONS(4883), 1,
      anon_sym_BANG,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4889), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4891), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4893), 1,
      anon_sym_GT_GT,
    ACTIONS(4897), 1,
      anon_sym_AMP,
    ACTIONS(4899), 1,
      anon_sym_CARET,
    ACTIONS(4901), 1,
      anon_sym_PIPE,
    ACTIONS(4905), 1,
      anon_sym_PERCENT,
    ACTIONS(4907), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4909), 1,
      anon_sym_LT,
    ACTIONS(4917), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4921), 1,
      anon_sym_satisfies,
    ACTIONS(4923), 1,
      sym__ternary_qmark,
    ACTIONS(5830), 1,
      anon_sym_COMMA,
    ACTIONS(5922), 1,
      anon_sym_RBRACK,
    STATE(2372), 1,
      sym_type_arguments,
    STATE(2818), 1,
      sym_comment,
    STATE(6308), 1,
      aux_sym_array_repeat1,
    STATE(6354), 1,
      sym_optional_chain,
    ACTIONS(4877), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4885), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4895), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4903), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4913), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4915), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4919), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2716), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4911), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [69864] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4222), 1,
      anon_sym_EQ,
    ACTIONS(4246), 1,
      anon_sym_QMARK,
    STATE(2819), 1,
      sym_comment,
    ACTIONS(4242), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
    ACTIONS(4121), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4125), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [69927] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2820), 1,
      sym_comment,
    ACTIONS(4345), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4869), 30,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [69984] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4787), 1,
      anon_sym_LPAREN,
    ACTIONS(4811), 1,
      anon_sym_LBRACK,
    ACTIONS(4813), 1,
      anon_sym_DOT,
    ACTIONS(4867), 1,
      anon_sym_BQUOTE,
    ACTIONS(4879), 1,
      anon_sym_as,
    ACTIONS(4883), 1,
      anon_sym_BANG,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4889), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4891), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4893), 1,
      anon_sym_GT_GT,
    ACTIONS(4897), 1,
      anon_sym_AMP,
    ACTIONS(4899), 1,
      anon_sym_CARET,
    ACTIONS(4901), 1,
      anon_sym_PIPE,
    ACTIONS(4905), 1,
      anon_sym_PERCENT,
    ACTIONS(4907), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4909), 1,
      anon_sym_LT,
    ACTIONS(4917), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4921), 1,
      anon_sym_satisfies,
    ACTIONS(4923), 1,
      sym__ternary_qmark,
    ACTIONS(5830), 1,
      anon_sym_COMMA,
    ACTIONS(5924), 1,
      anon_sym_RPAREN,
    STATE(2372), 1,
      sym_type_arguments,
    STATE(2821), 1,
      sym_comment,
    STATE(6159), 1,
      aux_sym_array_repeat1,
    STATE(6354), 1,
      sym_optional_chain,
    ACTIONS(4877), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4885), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4895), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4903), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4913), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4915), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4919), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2716), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4911), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [70103] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2822), 1,
      sym_comment,
    ACTIONS(5270), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5926), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
    ACTIONS(5268), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5272), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [70164] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4787), 1,
      anon_sym_LPAREN,
    ACTIONS(4811), 1,
      anon_sym_LBRACK,
    ACTIONS(4813), 1,
      anon_sym_DOT,
    ACTIONS(4867), 1,
      anon_sym_BQUOTE,
    ACTIONS(4879), 1,
      anon_sym_as,
    ACTIONS(4883), 1,
      anon_sym_BANG,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4889), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4891), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4893), 1,
      anon_sym_GT_GT,
    ACTIONS(4897), 1,
      anon_sym_AMP,
    ACTIONS(4899), 1,
      anon_sym_CARET,
    ACTIONS(4901), 1,
      anon_sym_PIPE,
    ACTIONS(4905), 1,
      anon_sym_PERCENT,
    ACTIONS(4907), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4909), 1,
      anon_sym_LT,
    ACTIONS(4917), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4921), 1,
      anon_sym_satisfies,
    ACTIONS(4923), 1,
      sym__ternary_qmark,
    ACTIONS(5000), 1,
      anon_sym_COMMA,
    ACTIONS(5928), 1,
      anon_sym_RPAREN,
    STATE(2372), 1,
      sym_type_arguments,
    STATE(2823), 1,
      sym_comment,
    STATE(4803), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(6354), 1,
      sym_optional_chain,
    ACTIONS(4877), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4885), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4895), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4903), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4913), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4915), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4919), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2716), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4911), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [70283] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4787), 1,
      anon_sym_LPAREN,
    ACTIONS(4811), 1,
      anon_sym_LBRACK,
    ACTIONS(4813), 1,
      anon_sym_DOT,
    ACTIONS(4867), 1,
      anon_sym_BQUOTE,
    ACTIONS(4879), 1,
      anon_sym_as,
    ACTIONS(4883), 1,
      anon_sym_BANG,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4889), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4891), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4893), 1,
      anon_sym_GT_GT,
    ACTIONS(4897), 1,
      anon_sym_AMP,
    ACTIONS(4899), 1,
      anon_sym_CARET,
    ACTIONS(4901), 1,
      anon_sym_PIPE,
    ACTIONS(4905), 1,
      anon_sym_PERCENT,
    ACTIONS(4907), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4909), 1,
      anon_sym_LT,
    ACTIONS(4917), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4921), 1,
      anon_sym_satisfies,
    ACTIONS(4923), 1,
      sym__ternary_qmark,
    ACTIONS(5000), 1,
      anon_sym_COMMA,
    ACTIONS(5930), 1,
      anon_sym_RPAREN,
    STATE(2372), 1,
      sym_type_arguments,
    STATE(2824), 1,
      sym_comment,
    STATE(4803), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(6354), 1,
      sym_optional_chain,
    ACTIONS(4877), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4885), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4895), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4903), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4913), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4915), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4919), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2716), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4911), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [70402] = 17,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(4514), 1,
      sym__automatic_semicolon,
    ACTIONS(4939), 1,
      anon_sym_EQ,
    ACTIONS(4941), 1,
      anon_sym_COMMA,
    ACTIONS(5124), 1,
      anon_sym_RBRACE,
    ACTIONS(5477), 1,
      anon_sym_LBRACK,
    STATE(2825), 1,
      sym_comment,
    STATE(4890), 1,
      sym__property_name,
    STATE(6171), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6333), 1,
      aux_sym_object_repeat1,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4740), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 6,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [70483] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4787), 1,
      anon_sym_LPAREN,
    ACTIONS(4811), 1,
      anon_sym_LBRACK,
    ACTIONS(4813), 1,
      anon_sym_DOT,
    ACTIONS(4867), 1,
      anon_sym_BQUOTE,
    ACTIONS(4879), 1,
      anon_sym_as,
    ACTIONS(4883), 1,
      anon_sym_BANG,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4889), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4891), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4893), 1,
      anon_sym_GT_GT,
    ACTIONS(4897), 1,
      anon_sym_AMP,
    ACTIONS(4899), 1,
      anon_sym_CARET,
    ACTIONS(4901), 1,
      anon_sym_PIPE,
    ACTIONS(4905), 1,
      anon_sym_PERCENT,
    ACTIONS(4907), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4909), 1,
      anon_sym_LT,
    ACTIONS(4917), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4921), 1,
      anon_sym_satisfies,
    ACTIONS(4923), 1,
      sym__ternary_qmark,
    ACTIONS(5830), 1,
      anon_sym_COMMA,
    ACTIONS(5932), 1,
      anon_sym_RPAREN,
    STATE(2372), 1,
      sym_type_arguments,
    STATE(2826), 1,
      sym_comment,
    STATE(5906), 1,
      aux_sym_array_repeat1,
    STATE(6354), 1,
      sym_optional_chain,
    ACTIONS(4877), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4885), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4895), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4903), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4913), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4915), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4919), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2716), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4911), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [70602] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4787), 1,
      anon_sym_LPAREN,
    ACTIONS(4811), 1,
      anon_sym_LBRACK,
    ACTIONS(4813), 1,
      anon_sym_DOT,
    ACTIONS(4867), 1,
      anon_sym_BQUOTE,
    ACTIONS(4879), 1,
      anon_sym_as,
    ACTIONS(4883), 1,
      anon_sym_BANG,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4889), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4891), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4893), 1,
      anon_sym_GT_GT,
    ACTIONS(4897), 1,
      anon_sym_AMP,
    ACTIONS(4899), 1,
      anon_sym_CARET,
    ACTIONS(4901), 1,
      anon_sym_PIPE,
    ACTIONS(4905), 1,
      anon_sym_PERCENT,
    ACTIONS(4907), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4909), 1,
      anon_sym_LT,
    ACTIONS(4917), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4921), 1,
      anon_sym_satisfies,
    ACTIONS(4923), 1,
      sym__ternary_qmark,
    ACTIONS(5000), 1,
      anon_sym_COMMA,
    ACTIONS(5934), 1,
      anon_sym_RPAREN,
    STATE(2372), 1,
      sym_type_arguments,
    STATE(2827), 1,
      sym_comment,
    STATE(4803), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(6354), 1,
      sym_optional_chain,
    ACTIONS(4877), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4885), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4895), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4903), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4913), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4915), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4919), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2716), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4911), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [70721] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4787), 1,
      anon_sym_LPAREN,
    ACTIONS(4811), 1,
      anon_sym_LBRACK,
    ACTIONS(4813), 1,
      anon_sym_DOT,
    ACTIONS(4867), 1,
      anon_sym_BQUOTE,
    ACTIONS(4879), 1,
      anon_sym_as,
    ACTIONS(4883), 1,
      anon_sym_BANG,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4889), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4891), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4893), 1,
      anon_sym_GT_GT,
    ACTIONS(4897), 1,
      anon_sym_AMP,
    ACTIONS(4899), 1,
      anon_sym_CARET,
    ACTIONS(4901), 1,
      anon_sym_PIPE,
    ACTIONS(4905), 1,
      anon_sym_PERCENT,
    ACTIONS(4907), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4909), 1,
      anon_sym_LT,
    ACTIONS(4917), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4921), 1,
      anon_sym_satisfies,
    ACTIONS(4923), 1,
      sym__ternary_qmark,
    ACTIONS(5000), 1,
      anon_sym_COMMA,
    ACTIONS(5936), 1,
      anon_sym_RPAREN,
    STATE(2372), 1,
      sym_type_arguments,
    STATE(2828), 1,
      sym_comment,
    STATE(4803), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(6354), 1,
      sym_optional_chain,
    ACTIONS(4877), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4885), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4895), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4903), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4913), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4915), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4919), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2716), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4911), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [70840] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4787), 1,
      anon_sym_LPAREN,
    ACTIONS(4811), 1,
      anon_sym_LBRACK,
    ACTIONS(4813), 1,
      anon_sym_DOT,
    ACTIONS(4867), 1,
      anon_sym_BQUOTE,
    ACTIONS(4879), 1,
      anon_sym_as,
    ACTIONS(4883), 1,
      anon_sym_BANG,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4889), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4891), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4893), 1,
      anon_sym_GT_GT,
    ACTIONS(4897), 1,
      anon_sym_AMP,
    ACTIONS(4899), 1,
      anon_sym_CARET,
    ACTIONS(4901), 1,
      anon_sym_PIPE,
    ACTIONS(4905), 1,
      anon_sym_PERCENT,
    ACTIONS(4907), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4909), 1,
      anon_sym_LT,
    ACTIONS(4917), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4921), 1,
      anon_sym_satisfies,
    ACTIONS(4923), 1,
      sym__ternary_qmark,
    ACTIONS(5000), 1,
      anon_sym_COMMA,
    ACTIONS(5938), 1,
      anon_sym_COLON,
    STATE(2372), 1,
      sym_type_arguments,
    STATE(2829), 1,
      sym_comment,
    STATE(4803), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(6354), 1,
      sym_optional_chain,
    ACTIONS(4877), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4885), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4895), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4903), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4913), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4915), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4919), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2716), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4911), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [70959] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2830), 1,
      sym_comment,
    ACTIONS(3196), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3436), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [71015] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5940), 1,
      anon_sym_AMP,
    ACTIONS(5942), 1,
      anon_sym_PIPE,
    ACTIONS(5944), 1,
      anon_sym_extends,
    STATE(2831), 1,
      sym_comment,
    ACTIONS(5222), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5224), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [71077] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5363), 1,
      anon_sym_as,
    ACTIONS(5367), 1,
      anon_sym_BANG,
    ACTIONS(5369), 1,
      anon_sym_LPAREN,
    ACTIONS(5375), 1,
      anon_sym_LBRACK,
    ACTIONS(5377), 1,
      anon_sym_DOT,
    ACTIONS(5411), 1,
      anon_sym_BQUOTE,
    ACTIONS(5413), 1,
      anon_sym_satisfies,
    ACTIONS(5950), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5952), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5954), 1,
      anon_sym_GT_GT,
    ACTIONS(5958), 1,
      anon_sym_AMP,
    ACTIONS(5960), 1,
      anon_sym_CARET,
    ACTIONS(5962), 1,
      anon_sym_PIPE,
    ACTIONS(5966), 1,
      anon_sym_PERCENT,
    ACTIONS(5968), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5970), 1,
      anon_sym_LT,
    ACTIONS(5978), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5980), 1,
      sym__ternary_qmark,
    STATE(2739), 1,
      sym_type_arguments,
    STATE(2832), 1,
      sym_comment,
    STATE(6093), 1,
      sym_optional_chain,
    ACTIONS(4986), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(5409), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5946), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5948), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5956), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5964), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5974), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5976), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3121), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5972), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [71191] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5940), 1,
      anon_sym_AMP,
    ACTIONS(5942), 1,
      anon_sym_PIPE,
    ACTIONS(5944), 1,
      anon_sym_extends,
    STATE(2833), 1,
      sym_comment,
    ACTIONS(5218), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5220), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [71253] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2834), 1,
      sym_comment,
    ACTIONS(3172), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3440), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [71309] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2835), 1,
      sym_comment,
    ACTIONS(3224), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3442), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [71365] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2836), 1,
      sym_comment,
    ACTIONS(5316), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5318), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [71421] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2837), 1,
      sym_comment,
    ACTIONS(5288), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5290), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [71477] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4837), 1,
      anon_sym_extends,
    STATE(2838), 1,
      sym_comment,
    ACTIONS(5255), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5257), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [71535] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2839), 1,
      sym_comment,
    ACTIONS(5320), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5322), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [71591] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2840), 1,
      sym_comment,
    ACTIONS(5324), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5326), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [71647] = 29,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4955), 1,
      anon_sym_BANG,
    ACTIONS(5369), 1,
      anon_sym_LPAREN,
    ACTIONS(5375), 1,
      anon_sym_LBRACK,
    ACTIONS(5377), 1,
      anon_sym_DOT,
    ACTIONS(5411), 1,
      anon_sym_BQUOTE,
    ACTIONS(5950), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5954), 1,
      anon_sym_GT_GT,
    ACTIONS(5958), 1,
      anon_sym_AMP,
    ACTIONS(5960), 1,
      anon_sym_CARET,
    ACTIONS(5962), 1,
      anon_sym_PIPE,
    ACTIONS(5966), 1,
      anon_sym_PERCENT,
    ACTIONS(5968), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5970), 1,
      anon_sym_LT,
    STATE(2739), 1,
      sym_type_arguments,
    STATE(2841), 1,
      sym_comment,
    STATE(6093), 1,
      sym_optional_chain,
    ACTIONS(5409), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5946), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5948), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5956), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5964), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5974), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5976), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3121), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5972), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4957), 7,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [71751] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2842), 1,
      sym_comment,
    ACTIONS(5120), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5122), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [71807] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5940), 1,
      anon_sym_AMP,
    ACTIONS(5942), 1,
      anon_sym_PIPE,
    ACTIONS(5944), 1,
      anon_sym_extends,
    STATE(2843), 1,
      sym_comment,
    ACTIONS(5163), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5165), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [71869] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2844), 1,
      sym_comment,
    ACTIONS(5163), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5165), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [71925] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2845), 1,
      sym_comment,
    ACTIONS(5150), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5152), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [71981] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2846), 1,
      sym_comment,
    ACTIONS(5120), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5122), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [72037] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5940), 1,
      anon_sym_AMP,
    ACTIONS(5942), 1,
      anon_sym_PIPE,
    ACTIONS(5944), 1,
      anon_sym_extends,
    STATE(2847), 1,
      sym_comment,
    ACTIONS(4976), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4978), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [72099] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2848), 1,
      sym_comment,
    ACTIONS(5120), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5122), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [72155] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2849), 1,
      sym_comment,
    ACTIONS(5004), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5006), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [72211] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2850), 1,
      sym_comment,
    ACTIONS(5012), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5014), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [72267] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2851), 1,
      sym_comment,
    ACTIONS(4972), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4974), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [72323] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2852), 1,
      sym_comment,
    ACTIONS(5016), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5018), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [72379] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2853), 1,
      sym_comment,
    ACTIONS(4925), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4927), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [72435] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2854), 1,
      sym_comment,
    ACTIONS(4972), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4974), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [72491] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2855), 1,
      sym_comment,
    ACTIONS(5016), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5018), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [72547] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2856), 1,
      sym_comment,
    ACTIONS(5044), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5046), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [72603] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2857), 1,
      sym_comment,
    ACTIONS(5048), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5050), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [72659] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2858), 1,
      sym_comment,
    ACTIONS(5044), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5046), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [72715] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2859), 1,
      sym_comment,
    ACTIONS(5048), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5050), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [72771] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2860), 1,
      sym_comment,
    ACTIONS(5052), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5054), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [72827] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2861), 1,
      sym_comment,
    ACTIONS(4925), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4927), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [72883] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2862), 1,
      sym_comment,
    ACTIONS(5056), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5058), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [72939] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2863), 1,
      sym_comment,
    ACTIONS(5052), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5054), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [72995] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2864), 1,
      sym_comment,
    ACTIONS(5056), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5058), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [73051] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2865), 1,
      sym_comment,
    ACTIONS(5060), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5062), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [73107] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2866), 1,
      sym_comment,
    ACTIONS(4925), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4927), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [73163] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2867), 1,
      sym_comment,
    ACTIONS(5064), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5066), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [73219] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2868), 1,
      sym_comment,
    ACTIONS(4929), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4931), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [73275] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4955), 1,
      anon_sym_BANG,
    ACTIONS(5369), 1,
      anon_sym_LPAREN,
    ACTIONS(5375), 1,
      anon_sym_LBRACK,
    ACTIONS(5377), 1,
      anon_sym_DOT,
    ACTIONS(5411), 1,
      anon_sym_BQUOTE,
    ACTIONS(5954), 1,
      anon_sym_GT_GT,
    ACTIONS(5958), 1,
      anon_sym_AMP,
    ACTIONS(5960), 1,
      anon_sym_CARET,
    ACTIONS(5962), 1,
      anon_sym_PIPE,
    ACTIONS(5966), 1,
      anon_sym_PERCENT,
    ACTIONS(5968), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5970), 1,
      anon_sym_LT,
    STATE(2739), 1,
      sym_type_arguments,
    STATE(2869), 1,
      sym_comment,
    STATE(6093), 1,
      sym_optional_chain,
    ACTIONS(5409), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5946), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5948), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5956), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5964), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5974), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5976), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3121), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5972), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4957), 8,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [73377] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2870), 1,
      sym_comment,
    ACTIONS(4929), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4931), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [73433] = 18,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(161), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(3876), 1,
      anon_sym_LBRACE,
    ACTIONS(4556), 1,
      anon_sym_LBRACK,
    ACTIONS(5984), 1,
      anon_sym_COMMA,
    ACTIONS(5986), 1,
      anon_sym_RBRACE,
    STATE(2871), 1,
      sym_comment,
    STATE(5945), 1,
      aux_sym_object_pattern_repeat1,
    STATE(7361), 1,
      sym__destructuring_pattern,
    STATE(7523), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4283), 2,
      sym_object_pattern,
      sym_array_pattern,
    STATE(4740), 2,
      sym_string,
      sym_computed_property_name,
    STATE(5931), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    ACTIONS(5982), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [73515] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5363), 1,
      anon_sym_as,
    ACTIONS(5367), 1,
      anon_sym_BANG,
    ACTIONS(5369), 1,
      anon_sym_LPAREN,
    ACTIONS(5375), 1,
      anon_sym_LBRACK,
    ACTIONS(5377), 1,
      anon_sym_DOT,
    ACTIONS(5411), 1,
      anon_sym_BQUOTE,
    ACTIONS(5413), 1,
      anon_sym_satisfies,
    ACTIONS(5950), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5952), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5954), 1,
      anon_sym_GT_GT,
    ACTIONS(5958), 1,
      anon_sym_AMP,
    ACTIONS(5960), 1,
      anon_sym_CARET,
    ACTIONS(5962), 1,
      anon_sym_PIPE,
    ACTIONS(5966), 1,
      anon_sym_PERCENT,
    ACTIONS(5968), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5970), 1,
      anon_sym_LT,
    ACTIONS(5978), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5980), 1,
      sym__ternary_qmark,
    STATE(2739), 1,
      sym_type_arguments,
    STATE(2872), 1,
      sym_comment,
    STATE(6093), 1,
      sym_optional_chain,
    ACTIONS(5038), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(5409), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5946), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5948), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5956), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5964), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5974), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5976), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3121), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5972), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [73629] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2873), 1,
      sym_comment,
    ACTIONS(4929), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4931), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [73685] = 25,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5369), 1,
      anon_sym_LPAREN,
    ACTIONS(5375), 1,
      anon_sym_LBRACK,
    ACTIONS(5377), 1,
      anon_sym_DOT,
    ACTIONS(5411), 1,
      anon_sym_BQUOTE,
    ACTIONS(5954), 1,
      anon_sym_GT_GT,
    ACTIONS(5966), 1,
      anon_sym_PERCENT,
    ACTIONS(5968), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5970), 1,
      anon_sym_LT,
    STATE(2739), 1,
      sym_type_arguments,
    STATE(2874), 1,
      sym_comment,
    STATE(6093), 1,
      sym_optional_chain,
    ACTIONS(5409), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5946), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5948), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5956), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5964), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5974), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5976), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3121), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4955), 3,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5972), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4957), 9,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [73781] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2875), 1,
      sym_comment,
    ACTIONS(4933), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4935), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [73837] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2876), 1,
      sym_comment,
    ACTIONS(4962), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4964), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [73893] = 22,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(231), 1,
      anon_sym_COMMA,
    ACTIONS(1053), 1,
      anon_sym_RBRACE,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(2902), 1,
      anon_sym_async,
    ACTIONS(2904), 1,
      anon_sym_readonly,
    ACTIONS(2908), 1,
      anon_sym_override,
    ACTIONS(4939), 1,
      anon_sym_EQ,
    ACTIONS(5477), 1,
      anon_sym_LBRACK,
    ACTIONS(5988), 1,
      anon_sym_STAR,
    STATE(2877), 1,
      sym_comment,
    STATE(3665), 1,
      sym_override_modifier,
    STATE(4761), 1,
      sym__property_name,
    STATE(6171), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6333), 1,
      aux_sym_object_repeat1,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2906), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4740), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2900), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [73983] = 22,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(231), 1,
      anon_sym_COMMA,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(2902), 1,
      anon_sym_async,
    ACTIONS(2904), 1,
      anon_sym_readonly,
    ACTIONS(2908), 1,
      anon_sym_override,
    ACTIONS(4939), 1,
      anon_sym_EQ,
    ACTIONS(5477), 1,
      anon_sym_LBRACK,
    ACTIONS(5988), 1,
      anon_sym_STAR,
    ACTIONS(5990), 1,
      anon_sym_RBRACE,
    STATE(2878), 1,
      sym_comment,
    STATE(3665), 1,
      sym_override_modifier,
    STATE(4761), 1,
      sym__property_name,
    STATE(6171), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6333), 1,
      aux_sym_object_repeat1,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2906), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4740), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2900), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [74073] = 19,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5369), 1,
      anon_sym_LPAREN,
    ACTIONS(5375), 1,
      anon_sym_LBRACK,
    ACTIONS(5377), 1,
      anon_sym_DOT,
    ACTIONS(5411), 1,
      anon_sym_BQUOTE,
    ACTIONS(5966), 1,
      anon_sym_PERCENT,
    ACTIONS(5968), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5992), 1,
      anon_sym_LT,
    STATE(2739), 1,
      sym_type_arguments,
    STATE(2879), 1,
      sym_comment,
    STATE(6093), 1,
      sym_optional_chain,
    ACTIONS(5409), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5946), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5964), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(3121), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4955), 8,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4957), 16,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [74157] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5137), 1,
      anon_sym_extends,
    STATE(2880), 1,
      sym_comment,
    ACTIONS(5306), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5308), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [74215] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2881), 1,
      sym_comment,
    ACTIONS(5328), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5330), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [74271] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2882), 1,
      sym_comment,
    ACTIONS(5332), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5334), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [74327] = 18,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(4396), 1,
      anon_sym_override,
    ACTIONS(4514), 1,
      sym__automatic_semicolon,
    ACTIONS(4947), 1,
      anon_sym_LBRACK,
    ACTIONS(5995), 1,
      anon_sym_STAR,
    ACTIONS(5997), 1,
      anon_sym_async,
    ACTIONS(5999), 1,
      anon_sym_readonly,
    STATE(2883), 1,
      sym_comment,
    STATE(3681), 1,
      sym_override_modifier,
    STATE(3998), 1,
      sym__property_name,
    ACTIONS(3894), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6001), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4151), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 8,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(4372), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [74409] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2884), 1,
      sym_comment,
    ACTIONS(5332), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5334), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [74465] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2885), 1,
      sym_comment,
    ACTIONS(5336), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5338), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [74521] = 18,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(161), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(3876), 1,
      anon_sym_LBRACE,
    ACTIONS(4556), 1,
      anon_sym_LBRACK,
    ACTIONS(5984), 1,
      anon_sym_COMMA,
    ACTIONS(6005), 1,
      anon_sym_RBRACE,
    STATE(2886), 1,
      sym_comment,
    STATE(6439), 1,
      aux_sym_object_pattern_repeat1,
    STATE(7361), 1,
      sym__destructuring_pattern,
    STATE(7523), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4283), 2,
      sym_object_pattern,
      sym_array_pattern,
    STATE(4740), 2,
      sym_string,
      sym_computed_property_name,
    STATE(6448), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    ACTIONS(6003), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [74603] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2887), 1,
      sym_comment,
    ACTIONS(5336), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5338), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [74659] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5286), 1,
      anon_sym_extends,
    STATE(2888), 1,
      sym_comment,
    ACTIONS(5675), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(5678), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4121), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4125), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [74721] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5363), 1,
      anon_sym_as,
    ACTIONS(5367), 1,
      anon_sym_BANG,
    ACTIONS(5369), 1,
      anon_sym_LPAREN,
    ACTIONS(5375), 1,
      anon_sym_LBRACK,
    ACTIONS(5377), 1,
      anon_sym_DOT,
    ACTIONS(5411), 1,
      anon_sym_BQUOTE,
    ACTIONS(5413), 1,
      anon_sym_satisfies,
    ACTIONS(5950), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5952), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5954), 1,
      anon_sym_GT_GT,
    ACTIONS(5958), 1,
      anon_sym_AMP,
    ACTIONS(5960), 1,
      anon_sym_CARET,
    ACTIONS(5962), 1,
      anon_sym_PIPE,
    ACTIONS(5966), 1,
      anon_sym_PERCENT,
    ACTIONS(5968), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5970), 1,
      anon_sym_LT,
    ACTIONS(5978), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5980), 1,
      sym__ternary_qmark,
    STATE(2739), 1,
      sym_type_arguments,
    STATE(2889), 1,
      sym_comment,
    STATE(6093), 1,
      sym_optional_chain,
    ACTIONS(5100), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(5409), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5946), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5948), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5956), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5964), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5974), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5976), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3121), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5972), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [74835] = 17,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(4514), 1,
      sym__automatic_semicolon,
    ACTIONS(4937), 1,
      anon_sym_STAR,
    ACTIONS(4939), 1,
      anon_sym_EQ,
    ACTIONS(4949), 1,
      anon_sym_async,
    ACTIONS(5359), 1,
      anon_sym_LBRACK,
    STATE(2890), 1,
      sym_comment,
    STATE(4017), 1,
      sym__property_name,
    ACTIONS(3894), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4953), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(5910), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(4151), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 6,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(4372), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [74915] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2891), 1,
      sym_comment,
    ACTIONS(4966), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4968), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [74971] = 16,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(4514), 1,
      sym__automatic_semicolon,
    ACTIONS(4937), 1,
      anon_sym_STAR,
    ACTIONS(4939), 1,
      anon_sym_EQ,
    ACTIONS(5477), 1,
      anon_sym_LBRACK,
    STATE(2892), 1,
      sym_comment,
    STATE(4890), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5479), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(5910), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(4740), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 6,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2900), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [75049] = 22,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(231), 1,
      anon_sym_COMMA,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(2902), 1,
      anon_sym_async,
    ACTIONS(2904), 1,
      anon_sym_readonly,
    ACTIONS(2908), 1,
      anon_sym_override,
    ACTIONS(4939), 1,
      anon_sym_EQ,
    ACTIONS(5477), 1,
      anon_sym_LBRACK,
    ACTIONS(5988), 1,
      anon_sym_STAR,
    ACTIONS(6007), 1,
      anon_sym_RBRACE,
    STATE(2893), 1,
      sym_comment,
    STATE(3665), 1,
      sym_override_modifier,
    STATE(4761), 1,
      sym__property_name,
    STATE(6171), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6333), 1,
      aux_sym_object_repeat1,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2906), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4740), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2900), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [75139] = 26,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5369), 1,
      anon_sym_LPAREN,
    ACTIONS(5375), 1,
      anon_sym_LBRACK,
    ACTIONS(5377), 1,
      anon_sym_DOT,
    ACTIONS(5411), 1,
      anon_sym_BQUOTE,
    ACTIONS(5954), 1,
      anon_sym_GT_GT,
    ACTIONS(5958), 1,
      anon_sym_AMP,
    ACTIONS(5966), 1,
      anon_sym_PERCENT,
    ACTIONS(5968), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5970), 1,
      anon_sym_LT,
    STATE(2739), 1,
      sym_type_arguments,
    STATE(2894), 1,
      sym_comment,
    STATE(6093), 1,
      sym_optional_chain,
    ACTIONS(4955), 2,
      anon_sym_BANG,
      anon_sym_PIPE,
    ACTIONS(5409), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5946), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5948), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5956), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5964), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5974), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5976), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3121), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5972), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4957), 9,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [75237] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5940), 1,
      anon_sym_AMP,
    ACTIONS(5942), 1,
      anon_sym_PIPE,
    ACTIONS(5944), 1,
      anon_sym_extends,
    STATE(2895), 1,
      sym_comment,
    ACTIONS(5300), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5302), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [75299] = 27,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5369), 1,
      anon_sym_LPAREN,
    ACTIONS(5375), 1,
      anon_sym_LBRACK,
    ACTIONS(5377), 1,
      anon_sym_DOT,
    ACTIONS(5411), 1,
      anon_sym_BQUOTE,
    ACTIONS(5954), 1,
      anon_sym_GT_GT,
    ACTIONS(5958), 1,
      anon_sym_AMP,
    ACTIONS(5960), 1,
      anon_sym_CARET,
    ACTIONS(5966), 1,
      anon_sym_PERCENT,
    ACTIONS(5968), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5970), 1,
      anon_sym_LT,
    STATE(2739), 1,
      sym_type_arguments,
    STATE(2896), 1,
      sym_comment,
    STATE(6093), 1,
      sym_optional_chain,
    ACTIONS(4955), 2,
      anon_sym_BANG,
      anon_sym_PIPE,
    ACTIONS(5409), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5946), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5948), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5956), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5964), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5974), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5976), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3121), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5972), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4957), 8,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [75399] = 18,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5369), 1,
      anon_sym_LPAREN,
    ACTIONS(5375), 1,
      anon_sym_LBRACK,
    ACTIONS(5377), 1,
      anon_sym_DOT,
    ACTIONS(5411), 1,
      anon_sym_BQUOTE,
    ACTIONS(5966), 1,
      anon_sym_PERCENT,
    ACTIONS(5968), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5992), 1,
      anon_sym_LT,
    STATE(2739), 1,
      sym_type_arguments,
    STATE(2897), 1,
      sym_comment,
    STATE(6093), 1,
      sym_optional_chain,
    ACTIONS(5409), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5946), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(3121), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4955), 10,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4957), 16,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [75481] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2898), 1,
      sym_comment,
    ACTIONS(3192), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3434), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [75537] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2899), 1,
      sym_comment,
    ACTIONS(5068), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5070), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [75593] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5940), 1,
      anon_sym_AMP,
    STATE(2900), 1,
      sym_comment,
    ACTIONS(5072), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5074), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [75651] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2901), 1,
      sym_comment,
    ACTIONS(5076), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5078), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [75707] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5940), 1,
      anon_sym_AMP,
    ACTIONS(5942), 1,
      anon_sym_PIPE,
    ACTIONS(5944), 1,
      anon_sym_extends,
    STATE(2902), 1,
      sym_comment,
    ACTIONS(5080), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5082), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [75769] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2903), 1,
      sym_comment,
    ACTIONS(5080), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5082), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [75825] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5088), 1,
      anon_sym_DOT,
    STATE(2904), 1,
      sym_comment,
    ACTIONS(5084), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5086), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [75883] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5091), 1,
      anon_sym_DOT,
    STATE(2905), 1,
      sym_comment,
    ACTIONS(5084), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5086), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [75941] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2906), 1,
      sym_comment,
    ACTIONS(5094), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5096), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [75997] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5270), 1,
      anon_sym_EQ,
    STATE(2907), 1,
      sym_comment,
    ACTIONS(5268), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5272), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [76055] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2908), 1,
      sym_comment,
    ACTIONS(4847), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4849), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [76111] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2909), 1,
      sym_comment,
    ACTIONS(5102), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5104), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [76167] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2910), 1,
      sym_comment,
    ACTIONS(4873), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4875), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [76223] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2911), 1,
      sym_comment,
    ACTIONS(5108), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5110), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [76279] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2912), 1,
      sym_comment,
    ACTIONS(5112), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5114), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [76335] = 22,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(231), 1,
      anon_sym_COMMA,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(2902), 1,
      anon_sym_async,
    ACTIONS(2904), 1,
      anon_sym_readonly,
    ACTIONS(2908), 1,
      anon_sym_override,
    ACTIONS(4939), 1,
      anon_sym_EQ,
    ACTIONS(5477), 1,
      anon_sym_LBRACK,
    ACTIONS(5988), 1,
      anon_sym_STAR,
    ACTIONS(6009), 1,
      anon_sym_RBRACE,
    STATE(2913), 1,
      sym_comment,
    STATE(3665), 1,
      sym_override_modifier,
    STATE(4761), 1,
      sym__property_name,
    STATE(6165), 1,
      aux_sym_object_repeat1,
    STATE(6171), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2906), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4740), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2900), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [76425] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2914), 1,
      sym_comment,
    ACTIONS(5116), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5118), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [76481] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2915), 1,
      sym_comment,
    ACTIONS(5127), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5129), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [76537] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2916), 1,
      sym_comment,
    ACTIONS(5131), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5133), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [76593] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2917), 1,
      sym_comment,
    ACTIONS(5135), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5137), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [76649] = 14,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4787), 1,
      anon_sym_LPAREN,
    ACTIONS(4811), 1,
      anon_sym_LBRACK,
    ACTIONS(4813), 1,
      anon_sym_DOT,
    ACTIONS(4867), 1,
      anon_sym_BQUOTE,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6011), 1,
      anon_sym_LT,
    STATE(2372), 1,
      sym_type_arguments,
    STATE(2918), 1,
      sym_comment,
    STATE(6354), 1,
      sym_optional_chain,
    STATE(2716), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5143), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5145), 20,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [76723] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4787), 1,
      anon_sym_LPAREN,
    ACTIONS(4811), 1,
      anon_sym_LBRACK,
    ACTIONS(4813), 1,
      anon_sym_DOT,
    ACTIONS(4867), 1,
      anon_sym_BQUOTE,
    ACTIONS(4879), 1,
      anon_sym_as,
    ACTIONS(4883), 1,
      anon_sym_BANG,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4921), 1,
      anon_sym_satisfies,
    ACTIONS(6018), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6020), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6022), 1,
      anon_sym_GT_GT,
    ACTIONS(6026), 1,
      anon_sym_AMP,
    ACTIONS(6028), 1,
      anon_sym_CARET,
    ACTIONS(6030), 1,
      anon_sym_PIPE,
    ACTIONS(6034), 1,
      anon_sym_PERCENT,
    ACTIONS(6036), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6038), 1,
      anon_sym_LT,
    ACTIONS(6046), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6048), 1,
      sym__ternary_qmark,
    STATE(2372), 1,
      sym_type_arguments,
    STATE(2919), 1,
      sym_comment,
    STATE(6354), 1,
      sym_optional_chain,
    ACTIONS(4881), 2,
      anon_sym_RBRACE,
      anon_sym_COLON,
    ACTIONS(4919), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6014), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6016), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6024), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6032), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6042), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6044), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2716), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6040), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [76837] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4787), 1,
      anon_sym_LPAREN,
    ACTIONS(4811), 1,
      anon_sym_LBRACK,
    ACTIONS(4813), 1,
      anon_sym_DOT,
    ACTIONS(4867), 1,
      anon_sym_BQUOTE,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6050), 1,
      anon_sym_LT,
    STATE(2372), 1,
      sym_type_arguments,
    STATE(2920), 1,
      sym_comment,
    STATE(6354), 1,
      sym_optional_chain,
    ACTIONS(4919), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2716), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5189), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5191), 18,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [76913] = 18,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4787), 1,
      anon_sym_LPAREN,
    ACTIONS(4811), 1,
      anon_sym_LBRACK,
    ACTIONS(4813), 1,
      anon_sym_DOT,
    ACTIONS(4867), 1,
      anon_sym_BQUOTE,
    ACTIONS(4879), 1,
      anon_sym_as,
    ACTIONS(4883), 1,
      anon_sym_BANG,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4921), 1,
      anon_sym_satisfies,
    ACTIONS(6053), 1,
      anon_sym_LT,
    STATE(2372), 1,
      sym_type_arguments,
    STATE(2921), 1,
      sym_comment,
    STATE(6354), 1,
      sym_optional_chain,
    ACTIONS(4919), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2716), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5156), 11,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5158), 16,
      sym__ternary_qmark,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [76995] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4787), 1,
      anon_sym_LPAREN,
    ACTIONS(4811), 1,
      anon_sym_LBRACK,
    ACTIONS(4813), 1,
      anon_sym_DOT,
    ACTIONS(4867), 1,
      anon_sym_BQUOTE,
    ACTIONS(4879), 1,
      anon_sym_as,
    ACTIONS(4883), 1,
      anon_sym_BANG,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4889), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4891), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4893), 1,
      anon_sym_GT_GT,
    ACTIONS(4897), 1,
      anon_sym_AMP,
    ACTIONS(4899), 1,
      anon_sym_CARET,
    ACTIONS(4901), 1,
      anon_sym_PIPE,
    ACTIONS(4905), 1,
      anon_sym_PERCENT,
    ACTIONS(4907), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4909), 1,
      anon_sym_LT,
    ACTIONS(4917), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4921), 1,
      anon_sym_satisfies,
    ACTIONS(4923), 1,
      sym__ternary_qmark,
    STATE(2372), 1,
      sym_type_arguments,
    STATE(2922), 1,
      sym_comment,
    STATE(6354), 1,
      sym_optional_chain,
    ACTIONS(4877), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4885), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4895), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4903), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4913), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4915), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4919), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6056), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(2716), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4911), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [77109] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4787), 1,
      anon_sym_LPAREN,
    ACTIONS(4811), 1,
      anon_sym_LBRACK,
    ACTIONS(4813), 1,
      anon_sym_DOT,
    ACTIONS(4867), 1,
      anon_sym_BQUOTE,
    ACTIONS(4879), 1,
      anon_sym_as,
    ACTIONS(4883), 1,
      anon_sym_BANG,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4889), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4891), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4893), 1,
      anon_sym_GT_GT,
    ACTIONS(4897), 1,
      anon_sym_AMP,
    ACTIONS(4899), 1,
      anon_sym_CARET,
    ACTIONS(4901), 1,
      anon_sym_PIPE,
    ACTIONS(4905), 1,
      anon_sym_PERCENT,
    ACTIONS(4907), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4909), 1,
      anon_sym_LT,
    ACTIONS(4917), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4921), 1,
      anon_sym_satisfies,
    ACTIONS(4923), 1,
      sym__ternary_qmark,
    STATE(2372), 1,
      sym_type_arguments,
    STATE(2923), 1,
      sym_comment,
    STATE(6354), 1,
      sym_optional_chain,
    ACTIONS(4877), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4885), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4895), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4903), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4913), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4915), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4919), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5537), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(2716), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4911), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [77223] = 18,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(4396), 1,
      anon_sym_override,
    ACTIONS(4514), 1,
      sym__automatic_semicolon,
    ACTIONS(4947), 1,
      anon_sym_LBRACK,
    ACTIONS(6058), 1,
      anon_sym_STAR,
    ACTIONS(6060), 1,
      anon_sym_async,
    ACTIONS(6062), 1,
      anon_sym_readonly,
    STATE(2924), 1,
      sym_comment,
    STATE(3678), 1,
      sym_override_modifier,
    STATE(3955), 1,
      sym__property_name,
    ACTIONS(3894), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6064), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4151), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(4372), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [77305] = 16,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(4514), 1,
      sym__automatic_semicolon,
    ACTIONS(4947), 1,
      anon_sym_LBRACK,
    ACTIONS(6058), 1,
      anon_sym_STAR,
    ACTIONS(6060), 1,
      anon_sym_async,
    ACTIONS(6066), 1,
      anon_sym_abstract,
    STATE(2925), 1,
      sym_comment,
    STATE(3954), 1,
      sym__property_name,
    ACTIONS(3894), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6064), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4151), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(4372), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [77383] = 17,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(4396), 1,
      anon_sym_override,
    ACTIONS(4514), 1,
      sym__automatic_semicolon,
    ACTIONS(4947), 1,
      anon_sym_LBRACK,
    ACTIONS(6068), 1,
      anon_sym_static,
    ACTIONS(6070), 1,
      anon_sym_readonly,
    ACTIONS(6072), 1,
      anon_sym_abstract,
    STATE(2926), 1,
      sym_comment,
    STATE(3682), 1,
      sym_override_modifier,
    STATE(4286), 1,
      sym__property_name,
    ACTIONS(3894), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4151), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(4372), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [77463] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4787), 1,
      anon_sym_LPAREN,
    ACTIONS(4811), 1,
      anon_sym_LBRACK,
    ACTIONS(4813), 1,
      anon_sym_DOT,
    ACTIONS(4867), 1,
      anon_sym_BQUOTE,
    ACTIONS(4879), 1,
      anon_sym_as,
    ACTIONS(4883), 1,
      anon_sym_BANG,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4889), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4891), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4893), 1,
      anon_sym_GT_GT,
    ACTIONS(4897), 1,
      anon_sym_AMP,
    ACTIONS(4899), 1,
      anon_sym_CARET,
    ACTIONS(4901), 1,
      anon_sym_PIPE,
    ACTIONS(4905), 1,
      anon_sym_PERCENT,
    ACTIONS(4907), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4909), 1,
      anon_sym_LT,
    ACTIONS(4917), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4921), 1,
      anon_sym_satisfies,
    ACTIONS(4923), 1,
      sym__ternary_qmark,
    STATE(2372), 1,
      sym_type_arguments,
    STATE(2927), 1,
      sym_comment,
    STATE(6354), 1,
      sym_optional_chain,
    ACTIONS(4877), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4885), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4895), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4903), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4913), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4915), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4919), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5365), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(2716), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4911), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [77577] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2928), 1,
      sym_comment,
    ACTIONS(4988), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4990), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [77633] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5675), 1,
      anon_sym_LBRACK,
    STATE(2929), 1,
      sym_comment,
    ACTIONS(5286), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(5678), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4121), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4125), 26,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [77695] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4787), 1,
      anon_sym_LPAREN,
    ACTIONS(4811), 1,
      anon_sym_LBRACK,
    ACTIONS(4813), 1,
      anon_sym_DOT,
    ACTIONS(4867), 1,
      anon_sym_BQUOTE,
    ACTIONS(4879), 1,
      anon_sym_as,
    ACTIONS(4883), 1,
      anon_sym_BANG,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4921), 1,
      anon_sym_satisfies,
    ACTIONS(6018), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6020), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6022), 1,
      anon_sym_GT_GT,
    ACTIONS(6026), 1,
      anon_sym_AMP,
    ACTIONS(6028), 1,
      anon_sym_CARET,
    ACTIONS(6030), 1,
      anon_sym_PIPE,
    ACTIONS(6034), 1,
      anon_sym_PERCENT,
    ACTIONS(6036), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6038), 1,
      anon_sym_LT,
    ACTIONS(6046), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6048), 1,
      sym__ternary_qmark,
    STATE(2372), 1,
      sym_type_arguments,
    STATE(2930), 1,
      sym_comment,
    STATE(6354), 1,
      sym_optional_chain,
    ACTIONS(4919), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5304), 2,
      anon_sym_RBRACE,
      anon_sym_COLON,
    ACTIONS(6014), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6016), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6024), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6032), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6042), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6044), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2716), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6040), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [77809] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2931), 1,
      sym_comment,
    ACTIONS(4992), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4994), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [77865] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2071), 1,
      anon_sym_EQ,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(3188), 1,
      anon_sym_QMARK,
    ACTIONS(3432), 1,
      anon_sym_extends,
    ACTIONS(5259), 1,
      anon_sym_LBRACK,
    ACTIONS(5914), 1,
      anon_sym_COLON,
    STATE(2932), 1,
      sym_comment,
    ACTIONS(5262), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5896), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(2069), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2075), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [77935] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4787), 1,
      anon_sym_LPAREN,
    ACTIONS(4811), 1,
      anon_sym_LBRACK,
    ACTIONS(4813), 1,
      anon_sym_DOT,
    ACTIONS(4867), 1,
      anon_sym_BQUOTE,
    ACTIONS(4879), 1,
      anon_sym_as,
    ACTIONS(4883), 1,
      anon_sym_BANG,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4921), 1,
      anon_sym_satisfies,
    ACTIONS(6018), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6020), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6022), 1,
      anon_sym_GT_GT,
    ACTIONS(6026), 1,
      anon_sym_AMP,
    ACTIONS(6028), 1,
      anon_sym_CARET,
    ACTIONS(6030), 1,
      anon_sym_PIPE,
    ACTIONS(6034), 1,
      anon_sym_PERCENT,
    ACTIONS(6036), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6038), 1,
      anon_sym_LT,
    ACTIONS(6046), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6048), 1,
      sym__ternary_qmark,
    STATE(2372), 1,
      sym_type_arguments,
    STATE(2933), 1,
      sym_comment,
    STATE(6354), 1,
      sym_optional_chain,
    ACTIONS(4919), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5026), 2,
      anon_sym_RBRACE,
      anon_sym_COLON,
    ACTIONS(6014), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6016), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6024), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6032), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6042), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6044), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2716), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6040), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [78049] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5369), 1,
      anon_sym_LPAREN,
    STATE(2934), 1,
      sym_comment,
    STATE(3254), 1,
      sym_arguments,
    ACTIONS(4996), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4998), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [78109] = 35,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5363), 1,
      anon_sym_as,
    ACTIONS(5367), 1,
      anon_sym_BANG,
    ACTIONS(5369), 1,
      anon_sym_LPAREN,
    ACTIONS(5375), 1,
      anon_sym_LBRACK,
    ACTIONS(5377), 1,
      anon_sym_DOT,
    ACTIONS(5411), 1,
      anon_sym_BQUOTE,
    ACTIONS(5413), 1,
      anon_sym_satisfies,
    ACTIONS(5950), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5952), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5954), 1,
      anon_sym_GT_GT,
    ACTIONS(5958), 1,
      anon_sym_AMP,
    ACTIONS(5960), 1,
      anon_sym_CARET,
    ACTIONS(5962), 1,
      anon_sym_PIPE,
    ACTIONS(5966), 1,
      anon_sym_PERCENT,
    ACTIONS(5968), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5970), 1,
      anon_sym_LT,
    ACTIONS(5978), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5980), 1,
      sym__ternary_qmark,
    ACTIONS(6074), 1,
      anon_sym_SEMI,
    ACTIONS(6076), 1,
      sym__automatic_semicolon,
    STATE(2739), 1,
      sym_type_arguments,
    STATE(2935), 1,
      sym_comment,
    STATE(6093), 1,
      sym_optional_chain,
    ACTIONS(5409), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5946), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5948), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5956), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5964), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5974), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5976), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3121), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5972), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [78225] = 19,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5363), 1,
      anon_sym_as,
    ACTIONS(5367), 1,
      anon_sym_BANG,
    ACTIONS(5369), 1,
      anon_sym_LPAREN,
    ACTIONS(5375), 1,
      anon_sym_LBRACK,
    ACTIONS(5377), 1,
      anon_sym_DOT,
    ACTIONS(5411), 1,
      anon_sym_BQUOTE,
    ACTIONS(5413), 1,
      anon_sym_satisfies,
    ACTIONS(5968), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5992), 1,
      anon_sym_LT,
    STATE(2739), 1,
      sym_type_arguments,
    STATE(2936), 1,
      sym_comment,
    STATE(6093), 1,
      sym_optional_chain,
    ACTIONS(5409), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(3121), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4955), 11,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4957), 15,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [78309] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4787), 1,
      anon_sym_LPAREN,
    ACTIONS(4811), 1,
      anon_sym_LBRACK,
    ACTIONS(4813), 1,
      anon_sym_DOT,
    ACTIONS(4867), 1,
      anon_sym_BQUOTE,
    ACTIONS(4879), 1,
      anon_sym_as,
    ACTIONS(4883), 1,
      anon_sym_BANG,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4921), 1,
      anon_sym_satisfies,
    ACTIONS(6018), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6020), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6022), 1,
      anon_sym_GT_GT,
    ACTIONS(6026), 1,
      anon_sym_AMP,
    ACTIONS(6028), 1,
      anon_sym_CARET,
    ACTIONS(6030), 1,
      anon_sym_PIPE,
    ACTIONS(6034), 1,
      anon_sym_PERCENT,
    ACTIONS(6036), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6038), 1,
      anon_sym_LT,
    ACTIONS(6046), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6048), 1,
      sym__ternary_qmark,
    STATE(2372), 1,
      sym_type_arguments,
    STATE(2937), 1,
      sym_comment,
    STATE(6354), 1,
      sym_optional_chain,
    ACTIONS(4919), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5241), 2,
      anon_sym_RBRACE,
      anon_sym_COLON,
    ACTIONS(6014), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6016), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6024), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6032), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6042), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6044), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2716), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6040), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [78423] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2938), 1,
      sym_comment,
    ACTIONS(5292), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5294), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [78479] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2939), 1,
      sym_comment,
    ACTIONS(4835), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4837), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [78535] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5237), 1,
      anon_sym_QMARK,
    ACTIONS(5239), 1,
      anon_sym_extends,
    ACTIONS(5270), 1,
      anon_sym_EQ,
    ACTIONS(5274), 1,
      anon_sym_LBRACK,
    ACTIONS(5926), 1,
      anon_sym_COLON,
    STATE(2940), 1,
      sym_comment,
    ACTIONS(5277), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5900), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(5268), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5272), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [78605] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4787), 1,
      anon_sym_LPAREN,
    ACTIONS(4811), 1,
      anon_sym_LBRACK,
    ACTIONS(4813), 1,
      anon_sym_DOT,
    ACTIONS(4867), 1,
      anon_sym_BQUOTE,
    ACTIONS(4879), 1,
      anon_sym_as,
    ACTIONS(4883), 1,
      anon_sym_BANG,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4921), 1,
      anon_sym_satisfies,
    ACTIONS(6018), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6020), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6022), 1,
      anon_sym_GT_GT,
    ACTIONS(6026), 1,
      anon_sym_AMP,
    ACTIONS(6028), 1,
      anon_sym_CARET,
    ACTIONS(6030), 1,
      anon_sym_PIPE,
    ACTIONS(6034), 1,
      anon_sym_PERCENT,
    ACTIONS(6036), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6038), 1,
      anon_sym_LT,
    ACTIONS(6046), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6048), 1,
      sym__ternary_qmark,
    STATE(2372), 1,
      sym_type_arguments,
    STATE(2941), 1,
      sym_comment,
    STATE(6354), 1,
      sym_optional_chain,
    ACTIONS(4919), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5216), 2,
      anon_sym_RBRACE,
      anon_sym_COLON,
    ACTIONS(6014), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6016), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6024), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6032), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6042), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6044), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2716), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6040), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [78719] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2942), 1,
      sym_comment,
    ACTIONS(4992), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4994), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [78775] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2943), 1,
      sym_comment,
    ACTIONS(5284), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5286), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [78831] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2944), 1,
      sym_comment,
    ACTIONS(4992), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4994), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [78887] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2945), 1,
      sym_comment,
    ACTIONS(4859), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4861), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [78943] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4787), 1,
      anon_sym_LPAREN,
    ACTIONS(4811), 1,
      anon_sym_LBRACK,
    ACTIONS(4813), 1,
      anon_sym_DOT,
    ACTIONS(4867), 1,
      anon_sym_BQUOTE,
    ACTIONS(4879), 1,
      anon_sym_as,
    ACTIONS(4883), 1,
      anon_sym_BANG,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4921), 1,
      anon_sym_satisfies,
    ACTIONS(6018), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6020), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6022), 1,
      anon_sym_GT_GT,
    ACTIONS(6026), 1,
      anon_sym_AMP,
    ACTIONS(6028), 1,
      anon_sym_CARET,
    ACTIONS(6030), 1,
      anon_sym_PIPE,
    ACTIONS(6034), 1,
      anon_sym_PERCENT,
    ACTIONS(6036), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6038), 1,
      anon_sym_LT,
    ACTIONS(6046), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6048), 1,
      sym__ternary_qmark,
    STATE(2372), 1,
      sym_type_arguments,
    STATE(2946), 1,
      sym_comment,
    STATE(6354), 1,
      sym_optional_chain,
    ACTIONS(4919), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5214), 2,
      anon_sym_RBRACE,
      anon_sym_COLON,
    ACTIONS(6014), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6016), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6024), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6032), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6042), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6044), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2716), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6040), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [79057] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4787), 1,
      anon_sym_LPAREN,
    ACTIONS(4811), 1,
      anon_sym_LBRACK,
    ACTIONS(4813), 1,
      anon_sym_DOT,
    ACTIONS(4867), 1,
      anon_sym_BQUOTE,
    ACTIONS(4879), 1,
      anon_sym_as,
    ACTIONS(4883), 1,
      anon_sym_BANG,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4921), 1,
      anon_sym_satisfies,
    ACTIONS(6018), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6020), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6022), 1,
      anon_sym_GT_GT,
    ACTIONS(6026), 1,
      anon_sym_AMP,
    ACTIONS(6028), 1,
      anon_sym_CARET,
    ACTIONS(6030), 1,
      anon_sym_PIPE,
    ACTIONS(6034), 1,
      anon_sym_PERCENT,
    ACTIONS(6036), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6038), 1,
      anon_sym_LT,
    ACTIONS(6046), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6048), 1,
      sym__ternary_qmark,
    STATE(2372), 1,
      sym_type_arguments,
    STATE(2947), 1,
      sym_comment,
    STATE(6354), 1,
      sym_optional_chain,
    ACTIONS(4919), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5212), 2,
      anon_sym_RBRACE,
      anon_sym_COLON,
    ACTIONS(6014), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6016), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6024), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6032), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6042), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6044), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2716), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6040), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [79171] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2948), 1,
      sym_comment,
    ACTIONS(5008), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5010), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [79227] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2949), 1,
      sym_comment,
    ACTIONS(5008), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5010), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [79283] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2950), 1,
      sym_comment,
    ACTIONS(5185), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5187), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [79339] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(6078), 1,
      anon_sym_LBRACK,
    STATE(2951), 1,
      sym_comment,
    ACTIONS(5185), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5187), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [79397] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2952), 1,
      sym_comment,
    ACTIONS(5280), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5282), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [79453] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2953), 1,
      sym_comment,
    ACTIONS(5008), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5010), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [79509] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4252), 1,
      anon_sym_EQ,
    ACTIONS(4257), 1,
      anon_sym_QMARK,
    ACTIONS(5675), 1,
      anon_sym_LBRACK,
    STATE(2954), 1,
      sym_comment,
    ACTIONS(4255), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(5286), 2,
      anon_sym_RPAREN,
      anon_sym_extends,
    ACTIONS(5678), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4121), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4125), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [79577] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4787), 1,
      anon_sym_LPAREN,
    ACTIONS(4811), 1,
      anon_sym_LBRACK,
    ACTIONS(4813), 1,
      anon_sym_DOT,
    ACTIONS(4867), 1,
      anon_sym_BQUOTE,
    ACTIONS(4879), 1,
      anon_sym_as,
    ACTIONS(4883), 1,
      anon_sym_BANG,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4921), 1,
      anon_sym_satisfies,
    ACTIONS(6018), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6020), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6022), 1,
      anon_sym_GT_GT,
    ACTIONS(6026), 1,
      anon_sym_AMP,
    ACTIONS(6028), 1,
      anon_sym_CARET,
    ACTIONS(6030), 1,
      anon_sym_PIPE,
    ACTIONS(6034), 1,
      anon_sym_PERCENT,
    ACTIONS(6036), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6038), 1,
      anon_sym_LT,
    ACTIONS(6046), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6048), 1,
      sym__ternary_qmark,
    STATE(2372), 1,
      sym_type_arguments,
    STATE(2955), 1,
      sym_comment,
    STATE(6354), 1,
      sym_optional_chain,
    ACTIONS(4919), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5179), 2,
      anon_sym_RBRACE,
      anon_sym_COLON,
    ACTIONS(6014), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6016), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6024), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6032), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6042), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6044), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2716), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6040), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [79691] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5363), 1,
      anon_sym_as,
    ACTIONS(5367), 1,
      anon_sym_BANG,
    ACTIONS(5369), 1,
      anon_sym_LPAREN,
    ACTIONS(5375), 1,
      anon_sym_LBRACK,
    ACTIONS(5377), 1,
      anon_sym_DOT,
    ACTIONS(5411), 1,
      anon_sym_BQUOTE,
    ACTIONS(5413), 1,
      anon_sym_satisfies,
    ACTIONS(5950), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5952), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5954), 1,
      anon_sym_GT_GT,
    ACTIONS(5958), 1,
      anon_sym_AMP,
    ACTIONS(5960), 1,
      anon_sym_CARET,
    ACTIONS(5962), 1,
      anon_sym_PIPE,
    ACTIONS(5966), 1,
      anon_sym_PERCENT,
    ACTIONS(5968), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5970), 1,
      anon_sym_LT,
    ACTIONS(5978), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5980), 1,
      sym__ternary_qmark,
    STATE(2739), 1,
      sym_type_arguments,
    STATE(2956), 1,
      sym_comment,
    STATE(6093), 1,
      sym_optional_chain,
    ACTIONS(5409), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5946), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5948), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5956), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5964), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5974), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5976), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(6080), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(3121), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5972), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [79805] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2957), 1,
      sym_comment,
    ACTIONS(5020), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5022), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [79861] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4861), 1,
      anon_sym_extends,
    ACTIONS(5669), 1,
      anon_sym_LBRACK,
    ACTIONS(6086), 1,
      anon_sym_RPAREN,
    STATE(2958), 1,
      sym_comment,
    ACTIONS(5672), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(6082), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(6084), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(4121), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4125), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [79929] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5940), 1,
      anon_sym_AMP,
    ACTIONS(5942), 1,
      anon_sym_PIPE,
    ACTIONS(5944), 1,
      anon_sym_extends,
    STATE(2959), 1,
      sym_comment,
    ACTIONS(5255), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5257), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [79991] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4787), 1,
      anon_sym_LPAREN,
    ACTIONS(4811), 1,
      anon_sym_LBRACK,
    ACTIONS(4813), 1,
      anon_sym_DOT,
    ACTIONS(4867), 1,
      anon_sym_BQUOTE,
    ACTIONS(4879), 1,
      anon_sym_as,
    ACTIONS(4883), 1,
      anon_sym_BANG,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4921), 1,
      anon_sym_satisfies,
    ACTIONS(6018), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6020), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6022), 1,
      anon_sym_GT_GT,
    ACTIONS(6026), 1,
      anon_sym_AMP,
    ACTIONS(6028), 1,
      anon_sym_CARET,
    ACTIONS(6030), 1,
      anon_sym_PIPE,
    ACTIONS(6034), 1,
      anon_sym_PERCENT,
    ACTIONS(6036), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6038), 1,
      anon_sym_LT,
    ACTIONS(6046), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6048), 1,
      sym__ternary_qmark,
    STATE(2372), 1,
      sym_type_arguments,
    STATE(2960), 1,
      sym_comment,
    STATE(6354), 1,
      sym_optional_chain,
    ACTIONS(4919), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5154), 2,
      anon_sym_RBRACE,
      anon_sym_COLON,
    ACTIONS(6014), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6016), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6024), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6032), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6042), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6044), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2716), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6040), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [80105] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4787), 1,
      anon_sym_LPAREN,
    ACTIONS(4811), 1,
      anon_sym_LBRACK,
    ACTIONS(4813), 1,
      anon_sym_DOT,
    ACTIONS(4867), 1,
      anon_sym_BQUOTE,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4955), 1,
      anon_sym_BANG,
    ACTIONS(6018), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6020), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6022), 1,
      anon_sym_GT_GT,
    ACTIONS(6026), 1,
      anon_sym_AMP,
    ACTIONS(6028), 1,
      anon_sym_CARET,
    ACTIONS(6030), 1,
      anon_sym_PIPE,
    ACTIONS(6034), 1,
      anon_sym_PERCENT,
    ACTIONS(6036), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6038), 1,
      anon_sym_LT,
    STATE(2372), 1,
      sym_type_arguments,
    STATE(2961), 1,
      sym_comment,
    STATE(6354), 1,
      sym_optional_chain,
    ACTIONS(4919), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6014), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6016), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6024), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6032), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6042), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6044), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2716), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6040), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4957), 6,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [80211] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(3432), 1,
      anon_sym_extends,
    ACTIONS(5259), 1,
      anon_sym_LBRACK,
    ACTIONS(5896), 1,
      anon_sym_RPAREN,
    STATE(2962), 1,
      sym_comment,
    ACTIONS(2071), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5262), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5745), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(2069), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2075), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [80279] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2963), 1,
      sym_comment,
    ACTIONS(5020), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5022), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [80335] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(6093), 1,
      sym_regex_flags,
    STATE(2964), 1,
      sym_comment,
    ACTIONS(6089), 16,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_instanceof,
      anon_sym_satisfies,
    ACTIONS(6091), 25,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [80393] = 23,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4787), 1,
      anon_sym_LPAREN,
    ACTIONS(4811), 1,
      anon_sym_LBRACK,
    ACTIONS(4813), 1,
      anon_sym_DOT,
    ACTIONS(4867), 1,
      anon_sym_BQUOTE,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6022), 1,
      anon_sym_GT_GT,
    ACTIONS(6034), 1,
      anon_sym_PERCENT,
    ACTIONS(6036), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6038), 1,
      anon_sym_LT,
    STATE(2372), 1,
      sym_type_arguments,
    STATE(2965), 1,
      sym_comment,
    STATE(6354), 1,
      sym_optional_chain,
    ACTIONS(4919), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6014), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6016), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6024), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6032), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(2716), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6040), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4955), 5,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4957), 11,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [80485] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2966), 1,
      sym_comment,
    ACTIONS(5020), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5022), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [80541] = 19,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4787), 1,
      anon_sym_LPAREN,
    ACTIONS(4811), 1,
      anon_sym_LBRACK,
    ACTIONS(4813), 1,
      anon_sym_DOT,
    ACTIONS(4867), 1,
      anon_sym_BQUOTE,
    ACTIONS(4879), 1,
      anon_sym_as,
    ACTIONS(4883), 1,
      anon_sym_BANG,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4921), 1,
      anon_sym_satisfies,
    ACTIONS(6036), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6095), 1,
      anon_sym_LT,
    STATE(2372), 1,
      sym_type_arguments,
    STATE(2967), 1,
      sym_comment,
    STATE(6354), 1,
      sym_optional_chain,
    ACTIONS(4919), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2716), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4955), 11,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4957), 15,
      sym__ternary_qmark,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [80625] = 18,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(4396), 1,
      anon_sym_override,
    ACTIONS(4514), 1,
      sym__automatic_semicolon,
    ACTIONS(4947), 1,
      anon_sym_LBRACK,
    ACTIONS(6098), 1,
      anon_sym_STAR,
    ACTIONS(6100), 1,
      anon_sym_async,
    ACTIONS(6102), 1,
      anon_sym_readonly,
    STATE(2968), 1,
      sym_comment,
    STATE(3679), 1,
      sym_override_modifier,
    STATE(4042), 1,
      sym__property_name,
    ACTIONS(3894), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6104), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4151), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 8,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(4372), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [80707] = 35,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5363), 1,
      anon_sym_as,
    ACTIONS(5367), 1,
      anon_sym_BANG,
    ACTIONS(5369), 1,
      anon_sym_LPAREN,
    ACTIONS(5375), 1,
      anon_sym_LBRACK,
    ACTIONS(5377), 1,
      anon_sym_DOT,
    ACTIONS(5411), 1,
      anon_sym_BQUOTE,
    ACTIONS(5413), 1,
      anon_sym_satisfies,
    ACTIONS(5950), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5952), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5954), 1,
      anon_sym_GT_GT,
    ACTIONS(5958), 1,
      anon_sym_AMP,
    ACTIONS(5960), 1,
      anon_sym_CARET,
    ACTIONS(5962), 1,
      anon_sym_PIPE,
    ACTIONS(5966), 1,
      anon_sym_PERCENT,
    ACTIONS(5968), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5970), 1,
      anon_sym_LT,
    ACTIONS(5978), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5980), 1,
      sym__ternary_qmark,
    ACTIONS(6106), 1,
      anon_sym_SEMI,
    ACTIONS(6108), 1,
      sym__automatic_semicolon,
    STATE(2739), 1,
      sym_type_arguments,
    STATE(2969), 1,
      sym_comment,
    STATE(6093), 1,
      sym_optional_chain,
    ACTIONS(5409), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5946), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5948), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5956), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5964), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5974), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5976), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3121), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5972), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [80823] = 18,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4787), 1,
      anon_sym_LPAREN,
    ACTIONS(4811), 1,
      anon_sym_LBRACK,
    ACTIONS(4813), 1,
      anon_sym_DOT,
    ACTIONS(4867), 1,
      anon_sym_BQUOTE,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6034), 1,
      anon_sym_PERCENT,
    ACTIONS(6036), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6095), 1,
      anon_sym_LT,
    STATE(2372), 1,
      sym_type_arguments,
    STATE(2970), 1,
      sym_comment,
    STATE(6354), 1,
      sym_optional_chain,
    ACTIONS(4919), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6014), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(2716), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4955), 10,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4957), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [80905] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2971), 1,
      sym_comment,
    ACTIONS(5030), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5032), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [80961] = 27,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4787), 1,
      anon_sym_LPAREN,
    ACTIONS(4811), 1,
      anon_sym_LBRACK,
    ACTIONS(4813), 1,
      anon_sym_DOT,
    ACTIONS(4867), 1,
      anon_sym_BQUOTE,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6022), 1,
      anon_sym_GT_GT,
    ACTIONS(6026), 1,
      anon_sym_AMP,
    ACTIONS(6028), 1,
      anon_sym_CARET,
    ACTIONS(6034), 1,
      anon_sym_PERCENT,
    ACTIONS(6036), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6038), 1,
      anon_sym_LT,
    STATE(2372), 1,
      sym_type_arguments,
    STATE(2972), 1,
      sym_comment,
    STATE(6354), 1,
      sym_optional_chain,
    ACTIONS(4919), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4955), 2,
      anon_sym_BANG,
      anon_sym_PIPE,
    ACTIONS(6014), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6016), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6024), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6032), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6042), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6044), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2716), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6040), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4957), 8,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [81061] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2973), 1,
      sym_comment,
    ACTIONS(5343), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5345), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [81117] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2974), 1,
      sym_comment,
    ACTIONS(5347), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5349), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [81173] = 26,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4787), 1,
      anon_sym_LPAREN,
    ACTIONS(4811), 1,
      anon_sym_LBRACK,
    ACTIONS(4813), 1,
      anon_sym_DOT,
    ACTIONS(4867), 1,
      anon_sym_BQUOTE,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6022), 1,
      anon_sym_GT_GT,
    ACTIONS(6026), 1,
      anon_sym_AMP,
    ACTIONS(6034), 1,
      anon_sym_PERCENT,
    ACTIONS(6036), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6038), 1,
      anon_sym_LT,
    STATE(2372), 1,
      sym_type_arguments,
    STATE(2975), 1,
      sym_comment,
    STATE(6354), 1,
      sym_optional_chain,
    ACTIONS(4919), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4955), 2,
      anon_sym_BANG,
      anon_sym_PIPE,
    ACTIONS(6014), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6016), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6024), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6032), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6042), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6044), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2716), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6040), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4957), 9,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [81271] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2976), 1,
      sym_comment,
    ACTIONS(5351), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5353), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [81327] = 25,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4787), 1,
      anon_sym_LPAREN,
    ACTIONS(4811), 1,
      anon_sym_LBRACK,
    ACTIONS(4813), 1,
      anon_sym_DOT,
    ACTIONS(4867), 1,
      anon_sym_BQUOTE,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6022), 1,
      anon_sym_GT_GT,
    ACTIONS(6034), 1,
      anon_sym_PERCENT,
    ACTIONS(6036), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6038), 1,
      anon_sym_LT,
    STATE(2372), 1,
      sym_type_arguments,
    STATE(2977), 1,
      sym_comment,
    STATE(6354), 1,
      sym_optional_chain,
    ACTIONS(4919), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6014), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6016), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6024), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6032), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6042), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6044), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2716), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4955), 3,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(6040), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4957), 9,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [81423] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5239), 1,
      anon_sym_extends,
    ACTIONS(5274), 1,
      anon_sym_LBRACK,
    ACTIONS(5900), 1,
      anon_sym_RPAREN,
    STATE(2978), 1,
      sym_comment,
    ACTIONS(5270), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5277), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5781), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(5268), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5272), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [81491] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5239), 1,
      anon_sym_extends,
    ACTIONS(5274), 1,
      anon_sym_LBRACK,
    ACTIONS(6110), 1,
      anon_sym_RPAREN,
    STATE(2979), 1,
      sym_comment,
    ACTIONS(5270), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5277), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5926), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(5268), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5272), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [81559] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5940), 1,
      anon_sym_AMP,
    ACTIONS(5942), 1,
      anon_sym_PIPE,
    ACTIONS(5944), 1,
      anon_sym_extends,
    STATE(2980), 1,
      sym_comment,
    ACTIONS(5034), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5036), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [81621] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5363), 1,
      anon_sym_as,
    ACTIONS(5367), 1,
      anon_sym_BANG,
    ACTIONS(5369), 1,
      anon_sym_LPAREN,
    ACTIONS(5375), 1,
      anon_sym_LBRACK,
    ACTIONS(5377), 1,
      anon_sym_DOT,
    ACTIONS(5411), 1,
      anon_sym_BQUOTE,
    ACTIONS(5413), 1,
      anon_sym_satisfies,
    ACTIONS(5950), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5952), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5954), 1,
      anon_sym_GT_GT,
    ACTIONS(5958), 1,
      anon_sym_AMP,
    ACTIONS(5960), 1,
      anon_sym_CARET,
    ACTIONS(5962), 1,
      anon_sym_PIPE,
    ACTIONS(5966), 1,
      anon_sym_PERCENT,
    ACTIONS(5968), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5970), 1,
      anon_sym_LT,
    ACTIONS(5978), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5980), 1,
      sym__ternary_qmark,
    STATE(2739), 1,
      sym_type_arguments,
    STATE(2981), 1,
      sym_comment,
    STATE(6093), 1,
      sym_optional_chain,
    ACTIONS(5214), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(5409), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5946), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5948), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5956), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5964), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5974), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5976), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3121), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5972), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [81735] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5363), 1,
      anon_sym_as,
    ACTIONS(5367), 1,
      anon_sym_BANG,
    ACTIONS(5369), 1,
      anon_sym_LPAREN,
    ACTIONS(5375), 1,
      anon_sym_LBRACK,
    ACTIONS(5377), 1,
      anon_sym_DOT,
    ACTIONS(5411), 1,
      anon_sym_BQUOTE,
    ACTIONS(5413), 1,
      anon_sym_satisfies,
    ACTIONS(5950), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5952), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5954), 1,
      anon_sym_GT_GT,
    ACTIONS(5958), 1,
      anon_sym_AMP,
    ACTIONS(5960), 1,
      anon_sym_CARET,
    ACTIONS(5962), 1,
      anon_sym_PIPE,
    ACTIONS(5966), 1,
      anon_sym_PERCENT,
    ACTIONS(5968), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5970), 1,
      anon_sym_LT,
    ACTIONS(5978), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5980), 1,
      sym__ternary_qmark,
    STATE(2739), 1,
      sym_type_arguments,
    STATE(2982), 1,
      sym_comment,
    STATE(6093), 1,
      sym_optional_chain,
    ACTIONS(5106), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(5409), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5946), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5948), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5956), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5964), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5974), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5976), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3121), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5972), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [81849] = 19,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4787), 1,
      anon_sym_LPAREN,
    ACTIONS(4811), 1,
      anon_sym_LBRACK,
    ACTIONS(4813), 1,
      anon_sym_DOT,
    ACTIONS(4867), 1,
      anon_sym_BQUOTE,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6034), 1,
      anon_sym_PERCENT,
    ACTIONS(6036), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6095), 1,
      anon_sym_LT,
    STATE(2372), 1,
      sym_type_arguments,
    STATE(2983), 1,
      sym_comment,
    STATE(6354), 1,
      sym_optional_chain,
    ACTIONS(4919), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6014), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6032), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(2716), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4955), 8,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4957), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [81933] = 29,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4787), 1,
      anon_sym_LPAREN,
    ACTIONS(4811), 1,
      anon_sym_LBRACK,
    ACTIONS(4813), 1,
      anon_sym_DOT,
    ACTIONS(4867), 1,
      anon_sym_BQUOTE,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4955), 1,
      anon_sym_BANG,
    ACTIONS(6018), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6022), 1,
      anon_sym_GT_GT,
    ACTIONS(6026), 1,
      anon_sym_AMP,
    ACTIONS(6028), 1,
      anon_sym_CARET,
    ACTIONS(6030), 1,
      anon_sym_PIPE,
    ACTIONS(6034), 1,
      anon_sym_PERCENT,
    ACTIONS(6036), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6038), 1,
      anon_sym_LT,
    STATE(2372), 1,
      sym_type_arguments,
    STATE(2984), 1,
      sym_comment,
    STATE(6354), 1,
      sym_optional_chain,
    ACTIONS(4919), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6014), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6016), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6024), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6032), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6042), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6044), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2716), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6040), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4957), 7,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [82037] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5363), 1,
      anon_sym_as,
    ACTIONS(5367), 1,
      anon_sym_BANG,
    ACTIONS(5369), 1,
      anon_sym_LPAREN,
    ACTIONS(5375), 1,
      anon_sym_LBRACK,
    ACTIONS(5377), 1,
      anon_sym_DOT,
    ACTIONS(5411), 1,
      anon_sym_BQUOTE,
    ACTIONS(5413), 1,
      anon_sym_satisfies,
    ACTIONS(5950), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5952), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5954), 1,
      anon_sym_GT_GT,
    ACTIONS(5958), 1,
      anon_sym_AMP,
    ACTIONS(5960), 1,
      anon_sym_CARET,
    ACTIONS(5962), 1,
      anon_sym_PIPE,
    ACTIONS(5966), 1,
      anon_sym_PERCENT,
    ACTIONS(5968), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5970), 1,
      anon_sym_LT,
    ACTIONS(5978), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5980), 1,
      sym__ternary_qmark,
    STATE(2739), 1,
      sym_type_arguments,
    STATE(2985), 1,
      sym_comment,
    STATE(6093), 1,
      sym_optional_chain,
    ACTIONS(5026), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(5409), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5946), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5948), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5956), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5964), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5974), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5976), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3121), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5972), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [82151] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5363), 1,
      anon_sym_as,
    ACTIONS(5367), 1,
      anon_sym_BANG,
    ACTIONS(5369), 1,
      anon_sym_LPAREN,
    ACTIONS(5375), 1,
      anon_sym_LBRACK,
    ACTIONS(5377), 1,
      anon_sym_DOT,
    ACTIONS(5411), 1,
      anon_sym_BQUOTE,
    ACTIONS(5413), 1,
      anon_sym_satisfies,
    ACTIONS(5950), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5952), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5954), 1,
      anon_sym_GT_GT,
    ACTIONS(5958), 1,
      anon_sym_AMP,
    ACTIONS(5960), 1,
      anon_sym_CARET,
    ACTIONS(5962), 1,
      anon_sym_PIPE,
    ACTIONS(5966), 1,
      anon_sym_PERCENT,
    ACTIONS(5968), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5970), 1,
      anon_sym_LT,
    ACTIONS(5978), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5980), 1,
      sym__ternary_qmark,
    STATE(2739), 1,
      sym_type_arguments,
    STATE(2986), 1,
      sym_comment,
    STATE(6093), 1,
      sym_optional_chain,
    ACTIONS(4970), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(5409), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5946), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5948), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5956), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5964), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5974), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5976), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3121), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5972), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [82265] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4787), 1,
      anon_sym_LPAREN,
    ACTIONS(4811), 1,
      anon_sym_LBRACK,
    ACTIONS(4813), 1,
      anon_sym_DOT,
    ACTIONS(4867), 1,
      anon_sym_BQUOTE,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4955), 1,
      anon_sym_BANG,
    ACTIONS(6022), 1,
      anon_sym_GT_GT,
    ACTIONS(6026), 1,
      anon_sym_AMP,
    ACTIONS(6028), 1,
      anon_sym_CARET,
    ACTIONS(6030), 1,
      anon_sym_PIPE,
    ACTIONS(6034), 1,
      anon_sym_PERCENT,
    ACTIONS(6036), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6038), 1,
      anon_sym_LT,
    STATE(2372), 1,
      sym_type_arguments,
    STATE(2987), 1,
      sym_comment,
    STATE(6354), 1,
      sym_optional_chain,
    ACTIONS(4919), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6014), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6016), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6024), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6032), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6042), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6044), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2716), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6040), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4957), 8,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [82367] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5363), 1,
      anon_sym_as,
    ACTIONS(5367), 1,
      anon_sym_BANG,
    ACTIONS(5369), 1,
      anon_sym_LPAREN,
    ACTIONS(5375), 1,
      anon_sym_LBRACK,
    ACTIONS(5377), 1,
      anon_sym_DOT,
    ACTIONS(5411), 1,
      anon_sym_BQUOTE,
    ACTIONS(5413), 1,
      anon_sym_satisfies,
    ACTIONS(5950), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5952), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5954), 1,
      anon_sym_GT_GT,
    ACTIONS(5958), 1,
      anon_sym_AMP,
    ACTIONS(5960), 1,
      anon_sym_CARET,
    ACTIONS(5962), 1,
      anon_sym_PIPE,
    ACTIONS(5966), 1,
      anon_sym_PERCENT,
    ACTIONS(5968), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5970), 1,
      anon_sym_LT,
    ACTIONS(5978), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5980), 1,
      sym__ternary_qmark,
    STATE(2739), 1,
      sym_type_arguments,
    STATE(2988), 1,
      sym_comment,
    STATE(6093), 1,
      sym_optional_chain,
    ACTIONS(5409), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5946), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5948), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5956), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5964), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5974), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5976), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(6113), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(3121), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5972), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [82481] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(3432), 1,
      anon_sym_extends,
    ACTIONS(5259), 1,
      anon_sym_LBRACK,
    ACTIONS(6115), 1,
      anon_sym_RPAREN,
    STATE(2989), 1,
      sym_comment,
    ACTIONS(2071), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5262), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5914), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(2069), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2075), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [82549] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5375), 1,
      anon_sym_LBRACK,
    ACTIONS(5377), 1,
      anon_sym_DOT,
    ACTIONS(5539), 1,
      anon_sym_QMARK_DOT,
    STATE(2990), 1,
      sym_comment,
    STATE(6093), 1,
      sym_optional_chain,
    ACTIONS(2169), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2171), 25,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [82613] = 16,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4787), 1,
      anon_sym_LPAREN,
    ACTIONS(4811), 1,
      anon_sym_LBRACK,
    ACTIONS(4813), 1,
      anon_sym_DOT,
    ACTIONS(4867), 1,
      anon_sym_BQUOTE,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6036), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6095), 1,
      anon_sym_LT,
    STATE(2372), 1,
      sym_type_arguments,
    STATE(2991), 1,
      sym_comment,
    STATE(6354), 1,
      sym_optional_chain,
    ACTIONS(4919), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2716), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4955), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4957), 17,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [82691] = 21,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4787), 1,
      anon_sym_LPAREN,
    ACTIONS(4811), 1,
      anon_sym_LBRACK,
    ACTIONS(4813), 1,
      anon_sym_DOT,
    ACTIONS(4867), 1,
      anon_sym_BQUOTE,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6022), 1,
      anon_sym_GT_GT,
    ACTIONS(6034), 1,
      anon_sym_PERCENT,
    ACTIONS(6036), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6038), 1,
      anon_sym_LT,
    STATE(2372), 1,
      sym_type_arguments,
    STATE(2992), 1,
      sym_comment,
    STATE(6354), 1,
      sym_optional_chain,
    ACTIONS(4919), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6014), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6024), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6032), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(2716), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4955), 7,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4957), 14,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [82779] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2071), 1,
      anon_sym_EQ,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5503), 1,
      sym__automatic_semicolon,
    STATE(2993), 1,
      sym_comment,
    ACTIONS(2067), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2103), 27,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [82839] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4787), 1,
      anon_sym_LPAREN,
    ACTIONS(4811), 1,
      anon_sym_LBRACK,
    ACTIONS(4813), 1,
      anon_sym_DOT,
    ACTIONS(4867), 1,
      anon_sym_BQUOTE,
    ACTIONS(4879), 1,
      anon_sym_as,
    ACTIONS(4883), 1,
      anon_sym_BANG,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4921), 1,
      anon_sym_satisfies,
    ACTIONS(6018), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6020), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6022), 1,
      anon_sym_GT_GT,
    ACTIONS(6026), 1,
      anon_sym_AMP,
    ACTIONS(6028), 1,
      anon_sym_CARET,
    ACTIONS(6030), 1,
      anon_sym_PIPE,
    ACTIONS(6034), 1,
      anon_sym_PERCENT,
    ACTIONS(6036), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6038), 1,
      anon_sym_LT,
    ACTIONS(6046), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6048), 1,
      sym__ternary_qmark,
    STATE(2372), 1,
      sym_type_arguments,
    STATE(2994), 1,
      sym_comment,
    STATE(6354), 1,
      sym_optional_chain,
    ACTIONS(4919), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4970), 2,
      anon_sym_RBRACE,
      anon_sym_COLON,
    ACTIONS(6014), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6016), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6024), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6032), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6042), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6044), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2716), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6040), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [82953] = 16,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(4514), 1,
      sym__automatic_semicolon,
    ACTIONS(5359), 1,
      anon_sym_LBRACK,
    ACTIONS(5681), 1,
      anon_sym_STAR,
    ACTIONS(5685), 1,
      anon_sym_async,
    ACTIONS(6118), 1,
      anon_sym_abstract,
    STATE(2995), 1,
      sym_comment,
    STATE(3951), 1,
      sym__property_name,
    ACTIONS(3894), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5689), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4151), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(4372), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [83031] = 21,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5369), 1,
      anon_sym_LPAREN,
    ACTIONS(5375), 1,
      anon_sym_LBRACK,
    ACTIONS(5377), 1,
      anon_sym_DOT,
    ACTIONS(5411), 1,
      anon_sym_BQUOTE,
    ACTIONS(5954), 1,
      anon_sym_GT_GT,
    ACTIONS(5966), 1,
      anon_sym_PERCENT,
    ACTIONS(5968), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5970), 1,
      anon_sym_LT,
    STATE(2739), 1,
      sym_type_arguments,
    STATE(2996), 1,
      sym_comment,
    STATE(6093), 1,
      sym_optional_chain,
    ACTIONS(5409), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5946), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5956), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5964), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(3121), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4955), 7,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4957), 14,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [83119] = 23,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5369), 1,
      anon_sym_LPAREN,
    ACTIONS(5375), 1,
      anon_sym_LBRACK,
    ACTIONS(5377), 1,
      anon_sym_DOT,
    ACTIONS(5411), 1,
      anon_sym_BQUOTE,
    ACTIONS(5954), 1,
      anon_sym_GT_GT,
    ACTIONS(5966), 1,
      anon_sym_PERCENT,
    ACTIONS(5968), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5970), 1,
      anon_sym_LT,
    STATE(2739), 1,
      sym_type_arguments,
    STATE(2997), 1,
      sym_comment,
    STATE(6093), 1,
      sym_optional_chain,
    ACTIONS(5409), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5946), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5948), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5956), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5964), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(3121), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5972), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4955), 5,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4957), 11,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [83211] = 35,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5363), 1,
      anon_sym_as,
    ACTIONS(5367), 1,
      anon_sym_BANG,
    ACTIONS(5369), 1,
      anon_sym_LPAREN,
    ACTIONS(5375), 1,
      anon_sym_LBRACK,
    ACTIONS(5377), 1,
      anon_sym_DOT,
    ACTIONS(5411), 1,
      anon_sym_BQUOTE,
    ACTIONS(5413), 1,
      anon_sym_satisfies,
    ACTIONS(5950), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5952), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5954), 1,
      anon_sym_GT_GT,
    ACTIONS(5958), 1,
      anon_sym_AMP,
    ACTIONS(5960), 1,
      anon_sym_CARET,
    ACTIONS(5962), 1,
      anon_sym_PIPE,
    ACTIONS(5966), 1,
      anon_sym_PERCENT,
    ACTIONS(5968), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5970), 1,
      anon_sym_LT,
    ACTIONS(5978), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5980), 1,
      sym__ternary_qmark,
    ACTIONS(6120), 1,
      anon_sym_SEMI,
    ACTIONS(6122), 1,
      sym__automatic_semicolon,
    STATE(2739), 1,
      sym_type_arguments,
    STATE(2998), 1,
      sym_comment,
    STATE(6093), 1,
      sym_optional_chain,
    ACTIONS(5409), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5946), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5948), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5956), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5964), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5974), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5976), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3121), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5972), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [83327] = 16,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(4514), 1,
      sym__automatic_semicolon,
    ACTIONS(4947), 1,
      anon_sym_LBRACK,
    ACTIONS(6124), 1,
      anon_sym_STAR,
    ACTIONS(6126), 1,
      anon_sym_async,
    ACTIONS(6130), 1,
      anon_sym_abstract,
    STATE(2999), 1,
      sym_comment,
    STATE(3959), 1,
      sym__property_name,
    ACTIONS(3894), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6128), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4151), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(4372), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [83405] = 35,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5363), 1,
      anon_sym_as,
    ACTIONS(5367), 1,
      anon_sym_BANG,
    ACTIONS(5369), 1,
      anon_sym_LPAREN,
    ACTIONS(5375), 1,
      anon_sym_LBRACK,
    ACTIONS(5377), 1,
      anon_sym_DOT,
    ACTIONS(5411), 1,
      anon_sym_BQUOTE,
    ACTIONS(5413), 1,
      anon_sym_satisfies,
    ACTIONS(5950), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5952), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5954), 1,
      anon_sym_GT_GT,
    ACTIONS(5958), 1,
      anon_sym_AMP,
    ACTIONS(5960), 1,
      anon_sym_CARET,
    ACTIONS(5962), 1,
      anon_sym_PIPE,
    ACTIONS(5966), 1,
      anon_sym_PERCENT,
    ACTIONS(5968), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5970), 1,
      anon_sym_LT,
    ACTIONS(5978), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5980), 1,
      sym__ternary_qmark,
    ACTIONS(6132), 1,
      anon_sym_SEMI,
    ACTIONS(6134), 1,
      sym__automatic_semicolon,
    STATE(2739), 1,
      sym_type_arguments,
    STATE(3000), 1,
      sym_comment,
    STATE(6093), 1,
      sym_optional_chain,
    ACTIONS(5409), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5946), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5948), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5956), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5964), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5974), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5976), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3121), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5972), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [83521] = 18,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(4396), 1,
      anon_sym_override,
    ACTIONS(4514), 1,
      sym__automatic_semicolon,
    ACTIONS(4947), 1,
      anon_sym_LBRACK,
    ACTIONS(6124), 1,
      anon_sym_STAR,
    ACTIONS(6126), 1,
      anon_sym_async,
    ACTIONS(6136), 1,
      anon_sym_readonly,
    STATE(3001), 1,
      sym_comment,
    STATE(3675), 1,
      sym_override_modifier,
    STATE(3963), 1,
      sym__property_name,
    ACTIONS(3894), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6128), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4151), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(4372), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [83603] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3002), 1,
      sym_comment,
    ACTIONS(3188), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3432), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [83659] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4955), 1,
      anon_sym_BANG,
    ACTIONS(5369), 1,
      anon_sym_LPAREN,
    ACTIONS(5375), 1,
      anon_sym_LBRACK,
    ACTIONS(5377), 1,
      anon_sym_DOT,
    ACTIONS(5411), 1,
      anon_sym_BQUOTE,
    ACTIONS(5950), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5952), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5954), 1,
      anon_sym_GT_GT,
    ACTIONS(5958), 1,
      anon_sym_AMP,
    ACTIONS(5960), 1,
      anon_sym_CARET,
    ACTIONS(5962), 1,
      anon_sym_PIPE,
    ACTIONS(5966), 1,
      anon_sym_PERCENT,
    ACTIONS(5968), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5970), 1,
      anon_sym_LT,
    STATE(2739), 1,
      sym_type_arguments,
    STATE(3003), 1,
      sym_comment,
    STATE(6093), 1,
      sym_optional_chain,
    ACTIONS(5409), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5946), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5948), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5956), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5964), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5974), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5976), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3121), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5972), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4957), 6,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_SEMI,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [83765] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5363), 1,
      anon_sym_as,
    ACTIONS(5367), 1,
      anon_sym_BANG,
    ACTIONS(5369), 1,
      anon_sym_LPAREN,
    ACTIONS(5375), 1,
      anon_sym_LBRACK,
    ACTIONS(5377), 1,
      anon_sym_DOT,
    ACTIONS(5411), 1,
      anon_sym_BQUOTE,
    ACTIONS(5413), 1,
      anon_sym_satisfies,
    ACTIONS(5950), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5952), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5954), 1,
      anon_sym_GT_GT,
    ACTIONS(5958), 1,
      anon_sym_AMP,
    ACTIONS(5960), 1,
      anon_sym_CARET,
    ACTIONS(5962), 1,
      anon_sym_PIPE,
    ACTIONS(5966), 1,
      anon_sym_PERCENT,
    ACTIONS(5968), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5970), 1,
      anon_sym_LT,
    ACTIONS(5978), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5980), 1,
      sym__ternary_qmark,
    STATE(2739), 1,
      sym_type_arguments,
    STATE(3004), 1,
      sym_comment,
    STATE(6093), 1,
      sym_optional_chain,
    ACTIONS(5373), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(5409), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5946), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5948), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5956), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5964), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5974), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5976), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3121), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5972), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [83879] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4787), 1,
      anon_sym_LPAREN,
    ACTIONS(4811), 1,
      anon_sym_LBRACK,
    ACTIONS(4813), 1,
      anon_sym_DOT,
    ACTIONS(4867), 1,
      anon_sym_BQUOTE,
    ACTIONS(4879), 1,
      anon_sym_as,
    ACTIONS(4883), 1,
      anon_sym_BANG,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4921), 1,
      anon_sym_satisfies,
    ACTIONS(6018), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6020), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6022), 1,
      anon_sym_GT_GT,
    ACTIONS(6026), 1,
      anon_sym_AMP,
    ACTIONS(6028), 1,
      anon_sym_CARET,
    ACTIONS(6030), 1,
      anon_sym_PIPE,
    ACTIONS(6034), 1,
      anon_sym_PERCENT,
    ACTIONS(6036), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6038), 1,
      anon_sym_LT,
    ACTIONS(6046), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6048), 1,
      sym__ternary_qmark,
    STATE(2372), 1,
      sym_type_arguments,
    STATE(3005), 1,
      sym_comment,
    STATE(6354), 1,
      sym_optional_chain,
    ACTIONS(4919), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4986), 2,
      anon_sym_RBRACE,
      anon_sym_COLON,
    ACTIONS(6014), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6016), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6024), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6032), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6042), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6044), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2716), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6040), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [83993] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5363), 1,
      anon_sym_as,
    ACTIONS(5367), 1,
      anon_sym_BANG,
    ACTIONS(5369), 1,
      anon_sym_LPAREN,
    ACTIONS(5375), 1,
      anon_sym_LBRACK,
    ACTIONS(5377), 1,
      anon_sym_DOT,
    ACTIONS(5411), 1,
      anon_sym_BQUOTE,
    ACTIONS(5413), 1,
      anon_sym_satisfies,
    ACTIONS(5950), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5952), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5954), 1,
      anon_sym_GT_GT,
    ACTIONS(5958), 1,
      anon_sym_AMP,
    ACTIONS(5960), 1,
      anon_sym_CARET,
    ACTIONS(5962), 1,
      anon_sym_PIPE,
    ACTIONS(5966), 1,
      anon_sym_PERCENT,
    ACTIONS(5968), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5970), 1,
      anon_sym_LT,
    ACTIONS(5978), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5980), 1,
      sym__ternary_qmark,
    STATE(2739), 1,
      sym_type_arguments,
    STATE(3006), 1,
      sym_comment,
    STATE(6093), 1,
      sym_optional_chain,
    ACTIONS(5154), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(5409), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5946), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5948), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5956), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5964), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5974), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5976), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3121), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5972), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [84107] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2071), 1,
      anon_sym_EQ,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(6138), 1,
      sym__automatic_semicolon,
    STATE(3007), 1,
      sym_comment,
    ACTIONS(2103), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(2069), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2075), 25,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [84169] = 17,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(4396), 1,
      anon_sym_override,
    ACTIONS(4514), 1,
      sym__automatic_semicolon,
    ACTIONS(4947), 1,
      anon_sym_LBRACK,
    ACTIONS(6140), 1,
      anon_sym_static,
    ACTIONS(6142), 1,
      anon_sym_readonly,
    ACTIONS(6144), 1,
      anon_sym_abstract,
    STATE(3008), 1,
      sym_comment,
    STATE(3683), 1,
      sym_override_modifier,
    STATE(4436), 1,
      sym__property_name,
    ACTIONS(3894), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4151), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(4372), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [84249] = 16,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(4514), 1,
      sym__automatic_semicolon,
    ACTIONS(4947), 1,
      anon_sym_LBRACK,
    ACTIONS(6146), 1,
      anon_sym_STAR,
    ACTIONS(6148), 1,
      anon_sym_async,
    ACTIONS(6152), 1,
      anon_sym_abstract,
    STATE(3009), 1,
      sym_comment,
    STATE(3972), 1,
      sym__property_name,
    ACTIONS(3894), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6150), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4151), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(4372), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [84327] = 18,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(4396), 1,
      anon_sym_override,
    ACTIONS(4514), 1,
      sym__automatic_semicolon,
    ACTIONS(4947), 1,
      anon_sym_LBRACK,
    ACTIONS(6146), 1,
      anon_sym_STAR,
    ACTIONS(6148), 1,
      anon_sym_async,
    ACTIONS(6154), 1,
      anon_sym_readonly,
    STATE(3010), 1,
      sym_comment,
    STATE(3672), 1,
      sym_override_modifier,
    STATE(3972), 1,
      sym__property_name,
    ACTIONS(3894), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6150), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4151), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(4372), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [84409] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5363), 1,
      anon_sym_as,
    ACTIONS(5367), 1,
      anon_sym_BANG,
    ACTIONS(5369), 1,
      anon_sym_LPAREN,
    ACTIONS(5375), 1,
      anon_sym_LBRACK,
    ACTIONS(5377), 1,
      anon_sym_DOT,
    ACTIONS(5411), 1,
      anon_sym_BQUOTE,
    ACTIONS(5413), 1,
      anon_sym_satisfies,
    ACTIONS(5950), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5952), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5954), 1,
      anon_sym_GT_GT,
    ACTIONS(5958), 1,
      anon_sym_AMP,
    ACTIONS(5960), 1,
      anon_sym_CARET,
    ACTIONS(5962), 1,
      anon_sym_PIPE,
    ACTIONS(5966), 1,
      anon_sym_PERCENT,
    ACTIONS(5968), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5970), 1,
      anon_sym_LT,
    ACTIONS(5978), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5980), 1,
      sym__ternary_qmark,
    STATE(2739), 1,
      sym_type_arguments,
    STATE(3011), 1,
      sym_comment,
    STATE(6093), 1,
      sym_optional_chain,
    ACTIONS(5241), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(5409), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5946), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5948), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5956), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5964), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5974), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5976), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3121), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5972), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [84523] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4787), 1,
      anon_sym_LPAREN,
    ACTIONS(4811), 1,
      anon_sym_LBRACK,
    ACTIONS(4813), 1,
      anon_sym_DOT,
    ACTIONS(4867), 1,
      anon_sym_BQUOTE,
    ACTIONS(4879), 1,
      anon_sym_as,
    ACTIONS(4883), 1,
      anon_sym_BANG,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4921), 1,
      anon_sym_satisfies,
    ACTIONS(6018), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6020), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6022), 1,
      anon_sym_GT_GT,
    ACTIONS(6026), 1,
      anon_sym_AMP,
    ACTIONS(6028), 1,
      anon_sym_CARET,
    ACTIONS(6030), 1,
      anon_sym_PIPE,
    ACTIONS(6034), 1,
      anon_sym_PERCENT,
    ACTIONS(6036), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6038), 1,
      anon_sym_LT,
    ACTIONS(6046), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6048), 1,
      sym__ternary_qmark,
    STATE(2372), 1,
      sym_type_arguments,
    STATE(3012), 1,
      sym_comment,
    STATE(6354), 1,
      sym_optional_chain,
    ACTIONS(4919), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5038), 2,
      anon_sym_RBRACE,
      anon_sym_COLON,
    ACTIONS(6014), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6016), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6024), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6032), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6042), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6044), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2716), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6040), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [84637] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4787), 1,
      anon_sym_LPAREN,
    ACTIONS(4811), 1,
      anon_sym_LBRACK,
    ACTIONS(4813), 1,
      anon_sym_DOT,
    ACTIONS(4867), 1,
      anon_sym_BQUOTE,
    ACTIONS(4879), 1,
      anon_sym_as,
    ACTIONS(4883), 1,
      anon_sym_BANG,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4921), 1,
      anon_sym_satisfies,
    ACTIONS(6018), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6020), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6022), 1,
      anon_sym_GT_GT,
    ACTIONS(6026), 1,
      anon_sym_AMP,
    ACTIONS(6028), 1,
      anon_sym_CARET,
    ACTIONS(6030), 1,
      anon_sym_PIPE,
    ACTIONS(6034), 1,
      anon_sym_PERCENT,
    ACTIONS(6036), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6038), 1,
      anon_sym_LT,
    ACTIONS(6046), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6048), 1,
      sym__ternary_qmark,
    STATE(2372), 1,
      sym_type_arguments,
    STATE(3013), 1,
      sym_comment,
    STATE(6354), 1,
      sym_optional_chain,
    ACTIONS(4919), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5100), 2,
      anon_sym_RBRACE,
      anon_sym_COLON,
    ACTIONS(6014), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6016), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6024), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6032), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6042), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6044), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2716), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6040), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [84751] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5363), 1,
      anon_sym_as,
    ACTIONS(5367), 1,
      anon_sym_BANG,
    ACTIONS(5369), 1,
      anon_sym_LPAREN,
    ACTIONS(5375), 1,
      anon_sym_LBRACK,
    ACTIONS(5377), 1,
      anon_sym_DOT,
    ACTIONS(5411), 1,
      anon_sym_BQUOTE,
    ACTIONS(5413), 1,
      anon_sym_satisfies,
    ACTIONS(5950), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5952), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5954), 1,
      anon_sym_GT_GT,
    ACTIONS(5958), 1,
      anon_sym_AMP,
    ACTIONS(5960), 1,
      anon_sym_CARET,
    ACTIONS(5962), 1,
      anon_sym_PIPE,
    ACTIONS(5966), 1,
      anon_sym_PERCENT,
    ACTIONS(5968), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5970), 1,
      anon_sym_LT,
    ACTIONS(5978), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5980), 1,
      sym__ternary_qmark,
    STATE(2739), 1,
      sym_type_arguments,
    STATE(3014), 1,
      sym_comment,
    STATE(6093), 1,
      sym_optional_chain,
    ACTIONS(5179), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(5409), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5946), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5948), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5956), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5964), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5974), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5976), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3121), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5972), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [84865] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4787), 1,
      anon_sym_LPAREN,
    ACTIONS(4811), 1,
      anon_sym_LBRACK,
    ACTIONS(4813), 1,
      anon_sym_DOT,
    ACTIONS(4867), 1,
      anon_sym_BQUOTE,
    ACTIONS(4879), 1,
      anon_sym_as,
    ACTIONS(4883), 1,
      anon_sym_BANG,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4921), 1,
      anon_sym_satisfies,
    ACTIONS(6018), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6020), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6022), 1,
      anon_sym_GT_GT,
    ACTIONS(6026), 1,
      anon_sym_AMP,
    ACTIONS(6028), 1,
      anon_sym_CARET,
    ACTIONS(6030), 1,
      anon_sym_PIPE,
    ACTIONS(6034), 1,
      anon_sym_PERCENT,
    ACTIONS(6036), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6038), 1,
      anon_sym_LT,
    ACTIONS(6046), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6048), 1,
      sym__ternary_qmark,
    STATE(2372), 1,
      sym_type_arguments,
    STATE(3015), 1,
      sym_comment,
    STATE(6354), 1,
      sym_optional_chain,
    ACTIONS(4919), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5106), 2,
      anon_sym_RBRACE,
      anon_sym_COLON,
    ACTIONS(6014), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6016), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6024), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6032), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6042), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6044), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2716), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6040), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [84979] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3016), 1,
      sym_comment,
    ACTIONS(5672), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5669), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
    ACTIONS(4861), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
    ACTIONS(4121), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4125), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [85041] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4222), 1,
      anon_sym_EQ,
    STATE(3017), 1,
      sym_comment,
    ACTIONS(4121), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4125), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [85099] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3018), 1,
      sym_comment,
    ACTIONS(5139), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5141), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [85155] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5363), 1,
      anon_sym_as,
    ACTIONS(5367), 1,
      anon_sym_BANG,
    ACTIONS(5369), 1,
      anon_sym_LPAREN,
    ACTIONS(5375), 1,
      anon_sym_LBRACK,
    ACTIONS(5377), 1,
      anon_sym_DOT,
    ACTIONS(5411), 1,
      anon_sym_BQUOTE,
    ACTIONS(5413), 1,
      anon_sym_satisfies,
    ACTIONS(5950), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5952), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5954), 1,
      anon_sym_GT_GT,
    ACTIONS(5958), 1,
      anon_sym_AMP,
    ACTIONS(5960), 1,
      anon_sym_CARET,
    ACTIONS(5962), 1,
      anon_sym_PIPE,
    ACTIONS(5966), 1,
      anon_sym_PERCENT,
    ACTIONS(5968), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5970), 1,
      anon_sym_LT,
    ACTIONS(5978), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5980), 1,
      sym__ternary_qmark,
    STATE(2739), 1,
      sym_type_arguments,
    STATE(3019), 1,
      sym_comment,
    STATE(6093), 1,
      sym_optional_chain,
    ACTIONS(5409), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5946), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5948), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5956), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5964), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5974), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5976), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(6156), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(3121), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5972), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [85269] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4224), 1,
      anon_sym_EQ,
    ACTIONS(5286), 1,
      anon_sym_extends,
    STATE(3020), 1,
      sym_comment,
    ACTIONS(5675), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(5678), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4121), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4125), 25,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [85333] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5206), 1,
      anon_sym_extends,
    STATE(3021), 1,
      sym_comment,
    ACTIONS(5568), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(5571), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5564), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5566), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [85395] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5669), 1,
      anon_sym_LBRACK,
    STATE(3022), 1,
      sym_comment,
    ACTIONS(4861), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(5672), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4121), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4125), 26,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [85457] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(6078), 1,
      anon_sym_LBRACK,
    STATE(3023), 1,
      sym_comment,
    ACTIONS(5167), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5169), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [85515] = 35,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5363), 1,
      anon_sym_as,
    ACTIONS(5367), 1,
      anon_sym_BANG,
    ACTIONS(5369), 1,
      anon_sym_LPAREN,
    ACTIONS(5375), 1,
      anon_sym_LBRACK,
    ACTIONS(5377), 1,
      anon_sym_DOT,
    ACTIONS(5411), 1,
      anon_sym_BQUOTE,
    ACTIONS(5413), 1,
      anon_sym_satisfies,
    ACTIONS(5950), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5952), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5954), 1,
      anon_sym_GT_GT,
    ACTIONS(5958), 1,
      anon_sym_AMP,
    ACTIONS(5960), 1,
      anon_sym_CARET,
    ACTIONS(5962), 1,
      anon_sym_PIPE,
    ACTIONS(5966), 1,
      anon_sym_PERCENT,
    ACTIONS(5968), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5970), 1,
      anon_sym_LT,
    ACTIONS(5978), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5980), 1,
      sym__ternary_qmark,
    ACTIONS(6158), 1,
      anon_sym_SEMI,
    ACTIONS(6160), 1,
      sym__automatic_semicolon,
    STATE(2739), 1,
      sym_type_arguments,
    STATE(3024), 1,
      sym_comment,
    STATE(6093), 1,
      sym_optional_chain,
    ACTIONS(5409), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5946), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5948), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5956), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5964), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5974), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5976), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3121), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5972), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [85631] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3025), 1,
      sym_comment,
    ACTIONS(5208), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5210), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_extends,
    ACTIONS(4121), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4125), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [85691] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(6162), 1,
      anon_sym_extends,
    STATE(3026), 1,
      sym_comment,
    ACTIONS(5173), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5175), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [85749] = 18,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(4396), 1,
      anon_sym_override,
    ACTIONS(4514), 1,
      sym__automatic_semicolon,
    ACTIONS(4947), 1,
      anon_sym_LBRACK,
    ACTIONS(6164), 1,
      anon_sym_STAR,
    ACTIONS(6166), 1,
      anon_sym_async,
    ACTIONS(6168), 1,
      anon_sym_readonly,
    STATE(3027), 1,
      sym_comment,
    STATE(3668), 1,
      sym_override_modifier,
    STATE(4050), 1,
      sym__property_name,
    ACTIONS(3894), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6170), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4151), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 8,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(4372), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [85831] = 22,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(231), 1,
      anon_sym_COMMA,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(2902), 1,
      anon_sym_async,
    ACTIONS(2904), 1,
      anon_sym_readonly,
    ACTIONS(2908), 1,
      anon_sym_override,
    ACTIONS(4939), 1,
      anon_sym_EQ,
    ACTIONS(5477), 1,
      anon_sym_LBRACK,
    ACTIONS(5988), 1,
      anon_sym_STAR,
    ACTIONS(6172), 1,
      anon_sym_RBRACE,
    STATE(3028), 1,
      sym_comment,
    STATE(3665), 1,
      sym_override_modifier,
    STATE(4761), 1,
      sym__property_name,
    STATE(6171), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6333), 1,
      aux_sym_object_repeat1,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2906), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4740), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2900), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [85921] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5187), 1,
      anon_sym_extends,
    ACTIONS(6078), 1,
      anon_sym_LBRACK,
    STATE(3029), 1,
      sym_comment,
    ACTIONS(5185), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5181), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5183), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [85983] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5363), 1,
      anon_sym_as,
    ACTIONS(5367), 1,
      anon_sym_BANG,
    ACTIONS(5369), 1,
      anon_sym_LPAREN,
    ACTIONS(5375), 1,
      anon_sym_LBRACK,
    ACTIONS(5377), 1,
      anon_sym_DOT,
    ACTIONS(5411), 1,
      anon_sym_BQUOTE,
    ACTIONS(5413), 1,
      anon_sym_satisfies,
    ACTIONS(5950), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5952), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5954), 1,
      anon_sym_GT_GT,
    ACTIONS(5958), 1,
      anon_sym_AMP,
    ACTIONS(5960), 1,
      anon_sym_CARET,
    ACTIONS(5962), 1,
      anon_sym_PIPE,
    ACTIONS(5966), 1,
      anon_sym_PERCENT,
    ACTIONS(5968), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5970), 1,
      anon_sym_LT,
    ACTIONS(5978), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5980), 1,
      sym__ternary_qmark,
    STATE(2739), 1,
      sym_type_arguments,
    STATE(3030), 1,
      sym_comment,
    STATE(6093), 1,
      sym_optional_chain,
    ACTIONS(5409), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5946), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5948), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5956), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5964), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5974), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5976), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(6174), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(3121), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5972), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [86097] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4123), 1,
      anon_sym_EQ,
    STATE(3031), 1,
      sym_comment,
    ACTIONS(4121), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4125), 28,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [86155] = 35,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5363), 1,
      anon_sym_as,
    ACTIONS(5367), 1,
      anon_sym_BANG,
    ACTIONS(5369), 1,
      anon_sym_LPAREN,
    ACTIONS(5375), 1,
      anon_sym_LBRACK,
    ACTIONS(5377), 1,
      anon_sym_DOT,
    ACTIONS(5411), 1,
      anon_sym_BQUOTE,
    ACTIONS(5413), 1,
      anon_sym_satisfies,
    ACTIONS(5950), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5952), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5954), 1,
      anon_sym_GT_GT,
    ACTIONS(5958), 1,
      anon_sym_AMP,
    ACTIONS(5960), 1,
      anon_sym_CARET,
    ACTIONS(5962), 1,
      anon_sym_PIPE,
    ACTIONS(5966), 1,
      anon_sym_PERCENT,
    ACTIONS(5968), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5970), 1,
      anon_sym_LT,
    ACTIONS(5978), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5980), 1,
      sym__ternary_qmark,
    ACTIONS(6176), 1,
      anon_sym_SEMI,
    ACTIONS(6178), 1,
      sym__automatic_semicolon,
    STATE(2739), 1,
      sym_type_arguments,
    STATE(3032), 1,
      sym_comment,
    STATE(6093), 1,
      sym_optional_chain,
    ACTIONS(5409), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5946), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5948), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5956), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5964), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5974), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5976), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3121), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5972), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [86271] = 22,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(231), 1,
      anon_sym_COMMA,
    ACTIONS(1051), 1,
      anon_sym_RBRACE,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(2902), 1,
      anon_sym_async,
    ACTIONS(2904), 1,
      anon_sym_readonly,
    ACTIONS(2908), 1,
      anon_sym_override,
    ACTIONS(4939), 1,
      anon_sym_EQ,
    ACTIONS(5477), 1,
      anon_sym_LBRACK,
    ACTIONS(5988), 1,
      anon_sym_STAR,
    STATE(3033), 1,
      sym_comment,
    STATE(3665), 1,
      sym_override_modifier,
    STATE(4761), 1,
      sym__property_name,
    STATE(6165), 1,
      aux_sym_object_repeat1,
    STATE(6171), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2906), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4740), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2900), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [86361] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5940), 1,
      anon_sym_AMP,
    ACTIONS(5942), 1,
      anon_sym_PIPE,
    ACTIONS(5944), 1,
      anon_sym_extends,
    STATE(3034), 1,
      sym_comment,
    ACTIONS(5196), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5198), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [86423] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3035), 1,
      sym_comment,
    ACTIONS(5200), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5202), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [86479] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3036), 1,
      sym_comment,
    ACTIONS(5204), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5206), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [86535] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3037), 1,
      sym_comment,
    ACTIONS(5208), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5210), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [86591] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5363), 1,
      anon_sym_as,
    ACTIONS(5367), 1,
      anon_sym_BANG,
    ACTIONS(5369), 1,
      anon_sym_LPAREN,
    ACTIONS(5375), 1,
      anon_sym_LBRACK,
    ACTIONS(5377), 1,
      anon_sym_DOT,
    ACTIONS(5411), 1,
      anon_sym_BQUOTE,
    ACTIONS(5413), 1,
      anon_sym_satisfies,
    ACTIONS(5950), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5952), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5954), 1,
      anon_sym_GT_GT,
    ACTIONS(5958), 1,
      anon_sym_AMP,
    ACTIONS(5960), 1,
      anon_sym_CARET,
    ACTIONS(5962), 1,
      anon_sym_PIPE,
    ACTIONS(5966), 1,
      anon_sym_PERCENT,
    ACTIONS(5968), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5970), 1,
      anon_sym_LT,
    ACTIONS(5978), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5980), 1,
      sym__ternary_qmark,
    STATE(2739), 1,
      sym_type_arguments,
    STATE(3038), 1,
      sym_comment,
    STATE(6093), 1,
      sym_optional_chain,
    ACTIONS(5212), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(5409), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5946), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5948), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5956), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5964), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5974), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5976), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3121), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5972), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [86705] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3039), 1,
      sym_comment,
    ACTIONS(5137), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
    ACTIONS(5306), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5308), 25,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [86763] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4861), 1,
      anon_sym_extends,
    ACTIONS(5669), 1,
      anon_sym_LBRACK,
    ACTIONS(6183), 1,
      anon_sym_RPAREN,
    STATE(3040), 1,
      sym_comment,
    ACTIONS(5672), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(6082), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(6180), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(4121), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4125), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [86831] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5363), 1,
      anon_sym_as,
    ACTIONS(5367), 1,
      anon_sym_BANG,
    ACTIONS(5369), 1,
      anon_sym_LPAREN,
    ACTIONS(5375), 1,
      anon_sym_LBRACK,
    ACTIONS(5377), 1,
      anon_sym_DOT,
    ACTIONS(5411), 1,
      anon_sym_BQUOTE,
    ACTIONS(5413), 1,
      anon_sym_satisfies,
    ACTIONS(5950), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5952), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5954), 1,
      anon_sym_GT_GT,
    ACTIONS(5958), 1,
      anon_sym_AMP,
    ACTIONS(5960), 1,
      anon_sym_CARET,
    ACTIONS(5962), 1,
      anon_sym_PIPE,
    ACTIONS(5966), 1,
      anon_sym_PERCENT,
    ACTIONS(5968), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5970), 1,
      anon_sym_LT,
    ACTIONS(5978), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5980), 1,
      sym__ternary_qmark,
    STATE(2739), 1,
      sym_type_arguments,
    STATE(3041), 1,
      sym_comment,
    STATE(6093), 1,
      sym_optional_chain,
    ACTIONS(5409), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5946), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5948), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5956), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5964), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5974), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5976), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(6187), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(3121), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5972), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [86945] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4205), 1,
      anon_sym_EQ,
    ACTIONS(4257), 1,
      anon_sym_QMARK,
    ACTIONS(5675), 1,
      anon_sym_LBRACK,
    STATE(3042), 1,
      sym_comment,
    ACTIONS(4259), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(5286), 2,
      anon_sym_RPAREN,
      anon_sym_extends,
    ACTIONS(5678), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4121), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4125), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [87013] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4861), 1,
      anon_sym_extends,
    ACTIONS(5669), 1,
      anon_sym_LBRACK,
    ACTIONS(6193), 1,
      anon_sym_RPAREN,
    STATE(3043), 1,
      sym_comment,
    ACTIONS(5672), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(6189), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(6191), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(4121), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4125), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [87081] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2071), 1,
      anon_sym_EQ,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3044), 1,
      sym_comment,
    ACTIONS(2069), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2075), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [87139] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3045), 1,
      sym_comment,
    ACTIONS(5571), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5568), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
    ACTIONS(5206), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
    ACTIONS(5564), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5566), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [87201] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5940), 1,
      anon_sym_AMP,
    STATE(3046), 1,
      sym_comment,
    ACTIONS(5226), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5228), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [87259] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5363), 1,
      anon_sym_as,
    ACTIONS(5367), 1,
      anon_sym_BANG,
    ACTIONS(5369), 1,
      anon_sym_LPAREN,
    ACTIONS(5375), 1,
      anon_sym_LBRACK,
    ACTIONS(5377), 1,
      anon_sym_DOT,
    ACTIONS(5411), 1,
      anon_sym_BQUOTE,
    ACTIONS(5413), 1,
      anon_sym_satisfies,
    ACTIONS(5950), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5952), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5954), 1,
      anon_sym_GT_GT,
    ACTIONS(5958), 1,
      anon_sym_AMP,
    ACTIONS(5960), 1,
      anon_sym_CARET,
    ACTIONS(5962), 1,
      anon_sym_PIPE,
    ACTIONS(5966), 1,
      anon_sym_PERCENT,
    ACTIONS(5968), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5970), 1,
      anon_sym_LT,
    ACTIONS(5978), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5980), 1,
      sym__ternary_qmark,
    STATE(2739), 1,
      sym_type_arguments,
    STATE(3047), 1,
      sym_comment,
    STATE(6093), 1,
      sym_optional_chain,
    ACTIONS(5304), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(5409), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5946), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5948), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5956), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5964), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5974), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5976), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3121), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5972), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [87373] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(6196), 1,
      anon_sym_DOT,
    STATE(3048), 1,
      sym_comment,
    ACTIONS(5247), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5249), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [87431] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5568), 1,
      anon_sym_LBRACK,
    STATE(3049), 1,
      sym_comment,
    ACTIONS(5206), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(5571), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5564), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5566), 26,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [87493] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3050), 1,
      sym_comment,
    ACTIONS(5208), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5210), 7,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
    ACTIONS(4121), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4125), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [87553] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4861), 1,
      anon_sym_extends,
    STATE(3051), 1,
      sym_comment,
    ACTIONS(5669), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(5672), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4121), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4125), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [87615] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3052), 1,
      sym_comment,
    ACTIONS(5243), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5245), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [87671] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5363), 1,
      anon_sym_as,
    ACTIONS(5367), 1,
      anon_sym_BANG,
    ACTIONS(5369), 1,
      anon_sym_LPAREN,
    ACTIONS(5375), 1,
      anon_sym_LBRACK,
    ACTIONS(5377), 1,
      anon_sym_DOT,
    ACTIONS(5411), 1,
      anon_sym_BQUOTE,
    ACTIONS(5413), 1,
      anon_sym_satisfies,
    ACTIONS(5950), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5952), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5954), 1,
      anon_sym_GT_GT,
    ACTIONS(5958), 1,
      anon_sym_AMP,
    ACTIONS(5960), 1,
      anon_sym_CARET,
    ACTIONS(5962), 1,
      anon_sym_PIPE,
    ACTIONS(5966), 1,
      anon_sym_PERCENT,
    ACTIONS(5968), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5970), 1,
      anon_sym_LT,
    ACTIONS(5978), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5980), 1,
      sym__ternary_qmark,
    STATE(2739), 1,
      sym_type_arguments,
    STATE(3053), 1,
      sym_comment,
    STATE(6093), 1,
      sym_optional_chain,
    ACTIONS(5216), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(5409), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5946), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5948), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5956), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5964), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5974), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5976), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3121), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5972), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [87785] = 22,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(231), 1,
      anon_sym_COMMA,
    ACTIONS(1022), 1,
      anon_sym_RBRACE,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(2902), 1,
      anon_sym_async,
    ACTIONS(2904), 1,
      anon_sym_readonly,
    ACTIONS(2908), 1,
      anon_sym_override,
    ACTIONS(4939), 1,
      anon_sym_EQ,
    ACTIONS(5477), 1,
      anon_sym_LBRACK,
    ACTIONS(5988), 1,
      anon_sym_STAR,
    STATE(3054), 1,
      sym_comment,
    STATE(3665), 1,
      sym_override_modifier,
    STATE(4761), 1,
      sym__property_name,
    STATE(6171), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6333), 1,
      aux_sym_object_repeat1,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2906), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4740), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2900), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [87875] = 16,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5369), 1,
      anon_sym_LPAREN,
    ACTIONS(5375), 1,
      anon_sym_LBRACK,
    ACTIONS(5377), 1,
      anon_sym_DOT,
    ACTIONS(5411), 1,
      anon_sym_BQUOTE,
    ACTIONS(5968), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5992), 1,
      anon_sym_LT,
    STATE(2739), 1,
      sym_type_arguments,
    STATE(3055), 1,
      sym_comment,
    STATE(6093), 1,
      sym_optional_chain,
    ACTIONS(5409), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(3121), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4955), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4957), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [87953] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5363), 1,
      anon_sym_as,
    ACTIONS(5367), 1,
      anon_sym_BANG,
    ACTIONS(5369), 1,
      anon_sym_LPAREN,
    ACTIONS(5375), 1,
      anon_sym_LBRACK,
    ACTIONS(5377), 1,
      anon_sym_DOT,
    ACTIONS(5411), 1,
      anon_sym_BQUOTE,
    ACTIONS(5413), 1,
      anon_sym_satisfies,
    ACTIONS(5950), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5952), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5954), 1,
      anon_sym_GT_GT,
    ACTIONS(5958), 1,
      anon_sym_AMP,
    ACTIONS(5960), 1,
      anon_sym_CARET,
    ACTIONS(5962), 1,
      anon_sym_PIPE,
    ACTIONS(5966), 1,
      anon_sym_PERCENT,
    ACTIONS(5968), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5970), 1,
      anon_sym_LT,
    ACTIONS(5978), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5980), 1,
      sym__ternary_qmark,
    STATE(2739), 1,
      sym_type_arguments,
    STATE(3056), 1,
      sym_comment,
    STATE(6093), 1,
      sym_optional_chain,
    ACTIONS(5409), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5946), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5948), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5956), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5964), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5974), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5976), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(6198), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(3121), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5972), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [88067] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3057), 1,
      sym_comment,
    ACTIONS(5237), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5239), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [88123] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3058), 1,
      sym_comment,
    ACTIONS(5233), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5235), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [88179] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4218), 1,
      anon_sym_EQ,
    ACTIONS(5286), 1,
      anon_sym_extends,
    STATE(3059), 1,
      sym_comment,
    ACTIONS(5675), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(5678), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4121), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4125), 25,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [88243] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5369), 1,
      anon_sym_LPAREN,
    ACTIONS(5375), 1,
      anon_sym_LBRACK,
    ACTIONS(5377), 1,
      anon_sym_DOT,
    ACTIONS(5411), 1,
      anon_sym_BQUOTE,
    ACTIONS(6200), 1,
      anon_sym_LT,
    STATE(2739), 1,
      sym_type_arguments,
    STATE(3060), 1,
      sym_comment,
    STATE(6093), 1,
      sym_optional_chain,
    ACTIONS(5409), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(3121), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5189), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5191), 18,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [88319] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5419), 1,
      anon_sym_EQ,
    STATE(3061), 1,
      sym_comment,
    ACTIONS(5417), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5421), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [88377] = 18,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5363), 1,
      anon_sym_as,
    ACTIONS(5367), 1,
      anon_sym_BANG,
    ACTIONS(5369), 1,
      anon_sym_LPAREN,
    ACTIONS(5375), 1,
      anon_sym_LBRACK,
    ACTIONS(5377), 1,
      anon_sym_DOT,
    ACTIONS(5411), 1,
      anon_sym_BQUOTE,
    ACTIONS(5413), 1,
      anon_sym_satisfies,
    ACTIONS(6203), 1,
      anon_sym_LT,
    STATE(2739), 1,
      sym_type_arguments,
    STATE(3062), 1,
      sym_comment,
    STATE(6093), 1,
      sym_optional_chain,
    ACTIONS(5409), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(3121), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5156), 11,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5158), 16,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [88459] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5363), 1,
      anon_sym_as,
    ACTIONS(5367), 1,
      anon_sym_BANG,
    ACTIONS(5369), 1,
      anon_sym_LPAREN,
    ACTIONS(5375), 1,
      anon_sym_LBRACK,
    ACTIONS(5377), 1,
      anon_sym_DOT,
    ACTIONS(5411), 1,
      anon_sym_BQUOTE,
    ACTIONS(5413), 1,
      anon_sym_satisfies,
    ACTIONS(5950), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5952), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5954), 1,
      anon_sym_GT_GT,
    ACTIONS(5958), 1,
      anon_sym_AMP,
    ACTIONS(5960), 1,
      anon_sym_CARET,
    ACTIONS(5962), 1,
      anon_sym_PIPE,
    ACTIONS(5966), 1,
      anon_sym_PERCENT,
    ACTIONS(5968), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5970), 1,
      anon_sym_LT,
    ACTIONS(5978), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5980), 1,
      sym__ternary_qmark,
    STATE(2739), 1,
      sym_type_arguments,
    STATE(3063), 1,
      sym_comment,
    STATE(6093), 1,
      sym_optional_chain,
    ACTIONS(4881), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(5409), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5946), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5948), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5956), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5964), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5974), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5976), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3121), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5972), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [88573] = 14,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5369), 1,
      anon_sym_LPAREN,
    ACTIONS(5375), 1,
      anon_sym_LBRACK,
    ACTIONS(5377), 1,
      anon_sym_DOT,
    ACTIONS(5411), 1,
      anon_sym_BQUOTE,
    ACTIONS(6206), 1,
      anon_sym_LT,
    STATE(2739), 1,
      sym_type_arguments,
    STATE(3064), 1,
      sym_comment,
    STATE(6093), 1,
      sym_optional_chain,
    STATE(3121), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5143), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5145), 20,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [88647] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3065), 1,
      sym_comment,
    ACTIONS(5678), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5675), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
    ACTIONS(5286), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
    ACTIONS(4121), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4125), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [88709] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3066), 1,
      sym_comment,
    ACTIONS(2129), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2133), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [88764] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4787), 1,
      anon_sym_LPAREN,
    ACTIONS(4811), 1,
      anon_sym_LBRACK,
    ACTIONS(4813), 1,
      anon_sym_DOT,
    ACTIONS(4867), 1,
      anon_sym_BQUOTE,
    ACTIONS(4879), 1,
      anon_sym_as,
    ACTIONS(4883), 1,
      anon_sym_BANG,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4921), 1,
      anon_sym_satisfies,
    ACTIONS(5038), 1,
      anon_sym_RBRACK,
    ACTIONS(6213), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6215), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6217), 1,
      anon_sym_GT_GT,
    ACTIONS(6221), 1,
      anon_sym_AMP,
    ACTIONS(6223), 1,
      anon_sym_CARET,
    ACTIONS(6225), 1,
      anon_sym_PIPE,
    ACTIONS(6229), 1,
      anon_sym_PERCENT,
    ACTIONS(6231), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6233), 1,
      anon_sym_LT,
    ACTIONS(6241), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6243), 1,
      sym__ternary_qmark,
    STATE(2372), 1,
      sym_type_arguments,
    STATE(3067), 1,
      sym_comment,
    STATE(6354), 1,
      sym_optional_chain,
    ACTIONS(4919), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6209), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6211), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6219), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6227), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6237), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6239), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2716), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6235), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [88877] = 19,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(231), 1,
      anon_sym_COMMA,
    ACTIONS(1051), 1,
      anon_sym_RBRACE,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(2902), 1,
      anon_sym_async,
    ACTIONS(4939), 1,
      anon_sym_EQ,
    ACTIONS(5477), 1,
      anon_sym_LBRACK,
    ACTIONS(5988), 1,
      anon_sym_STAR,
    STATE(3068), 1,
      sym_comment,
    STATE(4761), 1,
      sym__property_name,
    STATE(6165), 1,
      aux_sym_object_repeat1,
    STATE(6171), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2906), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4740), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2900), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [88960] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3069), 1,
      sym_comment,
    ACTIONS(5586), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5588), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [89015] = 18,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(231), 1,
      anon_sym_COMMA,
    ACTIONS(1051), 1,
      anon_sym_RBRACE,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(4939), 1,
      anon_sym_EQ,
    ACTIONS(5477), 1,
      anon_sym_LBRACK,
    ACTIONS(5988), 1,
      anon_sym_STAR,
    STATE(3070), 1,
      sym_comment,
    STATE(4761), 1,
      sym__property_name,
    STATE(6165), 1,
      aux_sym_object_repeat1,
    STATE(6171), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2906), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4740), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2900), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [89096] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3071), 1,
      sym_comment,
    ACTIONS(5574), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5576), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [89151] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(4514), 1,
      sym__automatic_semicolon,
    ACTIONS(5477), 1,
      anon_sym_LBRACK,
    ACTIONS(6245), 1,
      anon_sym_STAR,
    STATE(3072), 1,
      sym_comment,
    STATE(4826), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6247), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4740), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2900), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [89224] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3073), 1,
      sym_comment,
    ACTIONS(5582), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5584), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [89279] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3074), 1,
      sym_comment,
    ACTIONS(5748), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5750), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [89334] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3075), 1,
      sym_comment,
    ACTIONS(5578), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5580), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [89389] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3076), 1,
      sym_comment,
    ACTIONS(5574), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5576), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [89444] = 16,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(161), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(3876), 1,
      anon_sym_LBRACE,
    ACTIONS(4556), 1,
      anon_sym_LBRACK,
    STATE(3077), 1,
      sym_comment,
    STATE(7361), 1,
      sym__destructuring_pattern,
    STATE(7523), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6251), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(4283), 2,
      sym_object_pattern,
      sym_array_pattern,
    STATE(4740), 2,
      sym_string,
      sym_computed_property_name,
    STATE(6763), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    ACTIONS(6249), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [89521] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4787), 1,
      anon_sym_LPAREN,
    ACTIONS(4811), 1,
      anon_sym_LBRACK,
    ACTIONS(4813), 1,
      anon_sym_DOT,
    ACTIONS(4867), 1,
      anon_sym_BQUOTE,
    ACTIONS(4879), 1,
      anon_sym_as,
    ACTIONS(4883), 1,
      anon_sym_BANG,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4921), 1,
      anon_sym_satisfies,
    ACTIONS(6018), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6020), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6022), 1,
      anon_sym_GT_GT,
    ACTIONS(6026), 1,
      anon_sym_AMP,
    ACTIONS(6028), 1,
      anon_sym_CARET,
    ACTIONS(6030), 1,
      anon_sym_PIPE,
    ACTIONS(6034), 1,
      anon_sym_PERCENT,
    ACTIONS(6036), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6038), 1,
      anon_sym_LT,
    ACTIONS(6046), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6048), 1,
      sym__ternary_qmark,
    ACTIONS(6253), 1,
      anon_sym_COLON,
    STATE(2372), 1,
      sym_type_arguments,
    STATE(3078), 1,
      sym_comment,
    STATE(6354), 1,
      sym_optional_chain,
    ACTIONS(4919), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6014), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6016), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6024), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6032), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6042), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6044), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2716), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6040), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [89634] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(4514), 1,
      sym__automatic_semicolon,
    ACTIONS(4947), 1,
      anon_sym_LBRACK,
    ACTIONS(6255), 1,
      anon_sym_STAR,
    ACTIONS(6257), 1,
      anon_sym_async,
    STATE(3079), 1,
      sym_comment,
    STATE(4015), 1,
      sym__property_name,
    ACTIONS(3894), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6259), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4151), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 8,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(4372), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [89709] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3080), 1,
      sym_comment,
    ACTIONS(5697), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5699), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [89764] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3081), 1,
      sym_comment,
    ACTIONS(2215), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2219), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [89819] = 19,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(231), 1,
      anon_sym_COMMA,
    ACTIONS(1022), 1,
      anon_sym_RBRACE,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(2902), 1,
      anon_sym_async,
    ACTIONS(4939), 1,
      anon_sym_EQ,
    ACTIONS(5477), 1,
      anon_sym_LBRACK,
    ACTIONS(5988), 1,
      anon_sym_STAR,
    STATE(3082), 1,
      sym_comment,
    STATE(4761), 1,
      sym__property_name,
    STATE(6171), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6333), 1,
      aux_sym_object_repeat1,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2906), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4740), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2900), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [89902] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3083), 1,
      sym_comment,
    ACTIONS(2347), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2259), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2263), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [89959] = 18,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(231), 1,
      anon_sym_COMMA,
    ACTIONS(1022), 1,
      anon_sym_RBRACE,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(4939), 1,
      anon_sym_EQ,
    ACTIONS(5477), 1,
      anon_sym_LBRACK,
    ACTIONS(5988), 1,
      anon_sym_STAR,
    STATE(3084), 1,
      sym_comment,
    STATE(4761), 1,
      sym__property_name,
    STATE(6171), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6333), 1,
      aux_sym_object_repeat1,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2906), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4740), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2900), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [90040] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3085), 1,
      sym_comment,
    ACTIONS(5755), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5106), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [90095] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4787), 1,
      anon_sym_LPAREN,
    ACTIONS(4811), 1,
      anon_sym_LBRACK,
    ACTIONS(4813), 1,
      anon_sym_DOT,
    ACTIONS(4867), 1,
      anon_sym_BQUOTE,
    ACTIONS(4879), 1,
      anon_sym_as,
    ACTIONS(4883), 1,
      anon_sym_BANG,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4921), 1,
      anon_sym_satisfies,
    ACTIONS(5629), 1,
      anon_sym_RBRACE,
    ACTIONS(6018), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6020), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6022), 1,
      anon_sym_GT_GT,
    ACTIONS(6026), 1,
      anon_sym_AMP,
    ACTIONS(6028), 1,
      anon_sym_CARET,
    ACTIONS(6030), 1,
      anon_sym_PIPE,
    ACTIONS(6034), 1,
      anon_sym_PERCENT,
    ACTIONS(6036), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6038), 1,
      anon_sym_LT,
    ACTIONS(6046), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6048), 1,
      sym__ternary_qmark,
    STATE(2372), 1,
      sym_type_arguments,
    STATE(3086), 1,
      sym_comment,
    STATE(6354), 1,
      sym_optional_chain,
    ACTIONS(4919), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6014), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6016), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6024), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6032), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6042), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6044), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2716), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6040), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [90208] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(4514), 1,
      sym__automatic_semicolon,
    ACTIONS(5477), 1,
      anon_sym_LBRACK,
    ACTIONS(5995), 1,
      anon_sym_STAR,
    STATE(3087), 1,
      sym_comment,
    STATE(4914), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6261), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4740), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 8,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2900), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [90281] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(4514), 1,
      sym__automatic_semicolon,
    ACTIONS(5477), 1,
      anon_sym_LBRACK,
    ACTIONS(6255), 1,
      anon_sym_STAR,
    STATE(3088), 1,
      sym_comment,
    STATE(4925), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6263), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4740), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 8,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2900), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [90354] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4222), 1,
      anon_sym_EQ,
    ACTIONS(4242), 1,
      anon_sym_COLON,
    ACTIONS(5675), 1,
      anon_sym_LBRACK,
    STATE(3089), 1,
      sym_comment,
    ACTIONS(5678), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5286), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_extends,
    ACTIONS(4121), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4125), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [90419] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3090), 1,
      sym_comment,
    ACTIONS(5757), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5759), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [90474] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(6265), 1,
      sym__automatic_semicolon,
    STATE(3091), 1,
      sym_comment,
    ACTIONS(2267), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2215), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2219), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [90533] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(4514), 1,
      sym__automatic_semicolon,
    ACTIONS(5477), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_STAR,
    STATE(3092), 1,
      sym_comment,
    STATE(4946), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6269), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4740), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 8,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2900), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [90606] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(4514), 1,
      sym__automatic_semicolon,
    ACTIONS(5477), 1,
      anon_sym_LBRACK,
    ACTIONS(6271), 1,
      anon_sym_STAR,
    STATE(3093), 1,
      sym_comment,
    STATE(4948), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6273), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4740), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 8,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2900), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [90679] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3094), 1,
      sym_comment,
    ACTIONS(2259), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2263), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [90734] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3095), 1,
      sym_comment,
    ACTIONS(2311), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2183), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2187), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [90791] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3096), 1,
      sym_comment,
    ACTIONS(2307), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2175), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2179), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [90848] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2071), 1,
      anon_sym_EQ,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5259), 1,
      anon_sym_LBRACK,
    STATE(3097), 1,
      sym_comment,
    ACTIONS(3432), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(5262), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(2069), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2075), 24,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [90911] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4787), 1,
      anon_sym_LPAREN,
    ACTIONS(4811), 1,
      anon_sym_LBRACK,
    ACTIONS(4813), 1,
      anon_sym_DOT,
    ACTIONS(4867), 1,
      anon_sym_BQUOTE,
    ACTIONS(4879), 1,
      anon_sym_as,
    ACTIONS(4883), 1,
      anon_sym_BANG,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4921), 1,
      anon_sym_satisfies,
    ACTIONS(5304), 1,
      anon_sym_of,
    ACTIONS(6279), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6281), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6283), 1,
      anon_sym_GT_GT,
    ACTIONS(6287), 1,
      anon_sym_AMP,
    ACTIONS(6289), 1,
      anon_sym_CARET,
    ACTIONS(6291), 1,
      anon_sym_PIPE,
    ACTIONS(6295), 1,
      anon_sym_PERCENT,
    ACTIONS(6297), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6299), 1,
      anon_sym_LT,
    ACTIONS(6307), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6309), 1,
      sym__ternary_qmark,
    STATE(2372), 1,
      sym_type_arguments,
    STATE(3098), 1,
      sym_comment,
    STATE(6354), 1,
      sym_optional_chain,
    ACTIONS(4919), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6275), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6277), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6285), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6293), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6303), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6305), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2716), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6301), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [91024] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(6311), 1,
      sym__automatic_semicolon,
    STATE(3099), 1,
      sym_comment,
    ACTIONS(2301), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2129), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2133), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [91083] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3100), 1,
      sym_comment,
    ACTIONS(5765), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5767), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [91138] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5270), 1,
      anon_sym_EQ,
    ACTIONS(5274), 1,
      anon_sym_LBRACK,
    STATE(3101), 1,
      sym_comment,
    ACTIONS(5239), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(5277), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5268), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5272), 24,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [91201] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(6313), 1,
      sym__automatic_semicolon,
    STATE(3102), 1,
      sym_comment,
    ACTIONS(2289), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(2239), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2243), 25,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [91260] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5284), 1,
      anon_sym_QMARK,
    STATE(3103), 1,
      sym_comment,
    ACTIONS(5286), 2,
      anon_sym_RPAREN,
      anon_sym_extends,
    ACTIONS(5678), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5675), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
    ACTIONS(4121), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4125), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [91323] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(6315), 1,
      sym__automatic_semicolon,
    STATE(3104), 1,
      sym_comment,
    ACTIONS(2283), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(2231), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2235), 25,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [91382] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3105), 1,
      sym_comment,
    ACTIONS(2387), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(2169), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2171), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [91439] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(4514), 1,
      sym__automatic_semicolon,
    ACTIONS(4947), 1,
      anon_sym_LBRACK,
    ACTIONS(6146), 1,
      anon_sym_STAR,
    ACTIONS(6148), 1,
      anon_sym_async,
    STATE(3106), 1,
      sym_comment,
    STATE(3972), 1,
      sym__property_name,
    ACTIONS(3894), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6150), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4151), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(4372), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [91514] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4787), 1,
      anon_sym_LPAREN,
    ACTIONS(4811), 1,
      anon_sym_LBRACK,
    ACTIONS(4813), 1,
      anon_sym_DOT,
    ACTIONS(4867), 1,
      anon_sym_BQUOTE,
    ACTIONS(4879), 1,
      anon_sym_as,
    ACTIONS(4883), 1,
      anon_sym_BANG,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4921), 1,
      anon_sym_satisfies,
    ACTIONS(6018), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6020), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6022), 1,
      anon_sym_GT_GT,
    ACTIONS(6026), 1,
      anon_sym_AMP,
    ACTIONS(6028), 1,
      anon_sym_CARET,
    ACTIONS(6030), 1,
      anon_sym_PIPE,
    ACTIONS(6034), 1,
      anon_sym_PERCENT,
    ACTIONS(6036), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6038), 1,
      anon_sym_LT,
    ACTIONS(6046), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6048), 1,
      sym__ternary_qmark,
    ACTIONS(6317), 1,
      anon_sym_COLON,
    STATE(2372), 1,
      sym_type_arguments,
    STATE(3107), 1,
      sym_comment,
    STATE(6354), 1,
      sym_optional_chain,
    ACTIONS(4919), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6014), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6016), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6024), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6032), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6042), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6044), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2716), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6040), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [91627] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(6319), 1,
      sym__automatic_semicolon,
    STATE(3108), 1,
      sym_comment,
    ACTIONS(2297), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2119), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2123), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [91686] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3109), 1,
      sym_comment,
    ACTIONS(5306), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5308), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [91741] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3110), 1,
      sym_comment,
    ACTIONS(5560), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5562), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [91796] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3111), 1,
      sym_comment,
    ACTIONS(2341), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2087), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2091), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [91853] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3112), 1,
      sym_comment,
    ACTIONS(5556), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5558), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [91908] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3113), 1,
      sym_comment,
    ACTIONS(4121), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4125), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [91963] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4787), 1,
      anon_sym_LPAREN,
    ACTIONS(4811), 1,
      anon_sym_LBRACK,
    ACTIONS(4813), 1,
      anon_sym_DOT,
    ACTIONS(4867), 1,
      anon_sym_BQUOTE,
    ACTIONS(4879), 1,
      anon_sym_as,
    ACTIONS(4883), 1,
      anon_sym_BANG,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4921), 1,
      anon_sym_satisfies,
    ACTIONS(6018), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6020), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6022), 1,
      anon_sym_GT_GT,
    ACTIONS(6026), 1,
      anon_sym_AMP,
    ACTIONS(6028), 1,
      anon_sym_CARET,
    ACTIONS(6030), 1,
      anon_sym_PIPE,
    ACTIONS(6034), 1,
      anon_sym_PERCENT,
    ACTIONS(6036), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6038), 1,
      anon_sym_LT,
    ACTIONS(6046), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6048), 1,
      sym__ternary_qmark,
    ACTIONS(6321), 1,
      anon_sym_COLON,
    STATE(2372), 1,
      sym_type_arguments,
    STATE(3114), 1,
      sym_comment,
    STATE(6354), 1,
      sym_optional_chain,
    ACTIONS(4919), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6014), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6016), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6024), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6032), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6042), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6044), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2716), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6040), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [92076] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3115), 1,
      sym_comment,
    ACTIONS(5761), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5763), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [92131] = 19,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(231), 1,
      anon_sym_COMMA,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(2902), 1,
      anon_sym_async,
    ACTIONS(4939), 1,
      anon_sym_EQ,
    ACTIONS(5477), 1,
      anon_sym_LBRACK,
    ACTIONS(5988), 1,
      anon_sym_STAR,
    ACTIONS(6172), 1,
      anon_sym_RBRACE,
    STATE(3116), 1,
      sym_comment,
    STATE(4761), 1,
      sym__property_name,
    STATE(6171), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6333), 1,
      aux_sym_object_repeat1,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2906), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4740), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2900), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [92214] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4224), 1,
      anon_sym_EQ,
    ACTIONS(4328), 1,
      anon_sym_in,
    ACTIONS(4331), 1,
      anon_sym_of,
    STATE(3117), 1,
      sym_comment,
    ACTIONS(4121), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4125), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [92275] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4787), 1,
      anon_sym_LPAREN,
    ACTIONS(4811), 1,
      anon_sym_LBRACK,
    ACTIONS(4813), 1,
      anon_sym_DOT,
    ACTIONS(4867), 1,
      anon_sym_BQUOTE,
    ACTIONS(4879), 1,
      anon_sym_as,
    ACTIONS(4883), 1,
      anon_sym_BANG,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4921), 1,
      anon_sym_satisfies,
    ACTIONS(6018), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6020), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6022), 1,
      anon_sym_GT_GT,
    ACTIONS(6026), 1,
      anon_sym_AMP,
    ACTIONS(6028), 1,
      anon_sym_CARET,
    ACTIONS(6030), 1,
      anon_sym_PIPE,
    ACTIONS(6034), 1,
      anon_sym_PERCENT,
    ACTIONS(6036), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6038), 1,
      anon_sym_LT,
    ACTIONS(6046), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6048), 1,
      sym__ternary_qmark,
    ACTIONS(6323), 1,
      anon_sym_COLON,
    STATE(2372), 1,
      sym_type_arguments,
    STATE(3118), 1,
      sym_comment,
    STATE(6354), 1,
      sym_optional_chain,
    ACTIONS(4919), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6014), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6016), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6024), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6032), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6042), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6044), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2716), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6040), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [92388] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3119), 1,
      sym_comment,
    ACTIONS(5769), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5771), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [92443] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3120), 1,
      sym_comment,
    ACTIONS(6189), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(6191), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(4121), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4125), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [92502] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3121), 1,
      sym_comment,
    ACTIONS(5306), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5308), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [92557] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3122), 1,
      sym_comment,
    ACTIONS(5564), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5566), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [92612] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4787), 1,
      anon_sym_LPAREN,
    ACTIONS(4867), 1,
      anon_sym_BQUOTE,
    STATE(3123), 1,
      sym_comment,
    STATE(2680), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6325), 3,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_implements,
    ACTIONS(4863), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4865), 21,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [92675] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3124), 1,
      sym_comment,
    ACTIONS(5552), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5554), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [92730] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(4514), 1,
      sym__automatic_semicolon,
    ACTIONS(4947), 1,
      anon_sym_LBRACK,
    ACTIONS(6327), 1,
      anon_sym_STAR,
    ACTIONS(6329), 1,
      anon_sym_async,
    STATE(3125), 1,
      sym_comment,
    STATE(3987), 1,
      sym__property_name,
    ACTIONS(3894), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6331), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4151), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 8,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(4372), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [92805] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(4514), 1,
      sym__automatic_semicolon,
    ACTIONS(5477), 1,
      anon_sym_LBRACK,
    ACTIONS(6327), 1,
      anon_sym_STAR,
    STATE(3126), 1,
      sym_comment,
    STATE(4969), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6333), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4740), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 8,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2900), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [92878] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4787), 1,
      anon_sym_LPAREN,
    ACTIONS(4811), 1,
      anon_sym_LBRACK,
    ACTIONS(4813), 1,
      anon_sym_DOT,
    ACTIONS(4867), 1,
      anon_sym_BQUOTE,
    ACTIONS(4879), 1,
      anon_sym_as,
    ACTIONS(4883), 1,
      anon_sym_BANG,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4921), 1,
      anon_sym_satisfies,
    ACTIONS(6213), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6215), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6217), 1,
      anon_sym_GT_GT,
    ACTIONS(6221), 1,
      anon_sym_AMP,
    ACTIONS(6223), 1,
      anon_sym_CARET,
    ACTIONS(6225), 1,
      anon_sym_PIPE,
    ACTIONS(6229), 1,
      anon_sym_PERCENT,
    ACTIONS(6231), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6233), 1,
      anon_sym_LT,
    ACTIONS(6241), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6243), 1,
      sym__ternary_qmark,
    ACTIONS(6335), 1,
      anon_sym_RBRACK,
    STATE(2372), 1,
      sym_type_arguments,
    STATE(3127), 1,
      sym_comment,
    STATE(6354), 1,
      sym_optional_chain,
    ACTIONS(4919), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6209), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6211), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6219), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6227), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6237), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6239), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2716), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6235), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [92991] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3128), 1,
      sym_comment,
    ACTIONS(5773), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5775), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [93046] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3129), 1,
      sym_comment,
    ACTIONS(6337), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(6339), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(4121), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4125), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [93105] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4224), 1,
      anon_sym_EQ,
    STATE(3130), 1,
      sym_comment,
    ACTIONS(4121), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4125), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [93162] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(4514), 1,
      sym__automatic_semicolon,
    ACTIONS(5477), 1,
      anon_sym_LBRACK,
    ACTIONS(6341), 1,
      anon_sym_STAR,
    STATE(3131), 1,
      sym_comment,
    STATE(4844), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6343), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4740), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 8,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2900), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [93235] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3132), 1,
      sym_comment,
    ACTIONS(5548), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5550), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [93290] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4787), 1,
      anon_sym_LPAREN,
    ACTIONS(4811), 1,
      anon_sym_LBRACK,
    ACTIONS(4813), 1,
      anon_sym_DOT,
    ACTIONS(4867), 1,
      anon_sym_BQUOTE,
    ACTIONS(4879), 1,
      anon_sym_as,
    ACTIONS(4883), 1,
      anon_sym_BANG,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4921), 1,
      anon_sym_satisfies,
    ACTIONS(6018), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6020), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6022), 1,
      anon_sym_GT_GT,
    ACTIONS(6026), 1,
      anon_sym_AMP,
    ACTIONS(6028), 1,
      anon_sym_CARET,
    ACTIONS(6030), 1,
      anon_sym_PIPE,
    ACTIONS(6034), 1,
      anon_sym_PERCENT,
    ACTIONS(6036), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6038), 1,
      anon_sym_LT,
    ACTIONS(6046), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6048), 1,
      sym__ternary_qmark,
    ACTIONS(6345), 1,
      anon_sym_COLON,
    STATE(2372), 1,
      sym_type_arguments,
    STATE(3133), 1,
      sym_comment,
    STATE(6354), 1,
      sym_optional_chain,
    ACTIONS(4919), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6014), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6016), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6024), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6032), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6042), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6044), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2716), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6040), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [93403] = 18,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(231), 1,
      anon_sym_COMMA,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(4939), 1,
      anon_sym_EQ,
    ACTIONS(5477), 1,
      anon_sym_LBRACK,
    ACTIONS(5988), 1,
      anon_sym_STAR,
    ACTIONS(6172), 1,
      anon_sym_RBRACE,
    STATE(3134), 1,
      sym_comment,
    STATE(4761), 1,
      sym__property_name,
    STATE(6171), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6333), 1,
      aux_sym_object_repeat1,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2906), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4740), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2900), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [93484] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(6347), 1,
      sym__automatic_semicolon,
    STATE(3135), 1,
      sym_comment,
    ACTIONS(2279), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(2151), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2155), 25,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [93543] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3136), 1,
      sym_comment,
    ACTIONS(5544), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5546), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [93598] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(4514), 1,
      sym__automatic_semicolon,
    ACTIONS(5477), 1,
      anon_sym_LBRACK,
    ACTIONS(6146), 1,
      anon_sym_STAR,
    STATE(3137), 1,
      sym_comment,
    STATE(4862), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6349), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4740), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2900), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [93671] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(4514), 1,
      sym__automatic_semicolon,
    ACTIONS(4947), 1,
      anon_sym_LBRACK,
    ACTIONS(6341), 1,
      anon_sym_STAR,
    ACTIONS(6351), 1,
      anon_sym_async,
    STATE(3138), 1,
      sym_comment,
    STATE(4053), 1,
      sym__property_name,
    ACTIONS(3894), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6353), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4151), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 8,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(4372), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [93746] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3139), 1,
      sym_comment,
    ACTIONS(2169), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2171), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [93801] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3140), 1,
      sym_comment,
    ACTIONS(5739), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5741), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [93856] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(4514), 1,
      sym__automatic_semicolon,
    ACTIONS(5477), 1,
      anon_sym_LBRACK,
    ACTIONS(6355), 1,
      anon_sym_STAR,
    STATE(3141), 1,
      sym_comment,
    STATE(4806), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6357), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4740), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 8,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2900), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [93929] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(4514), 1,
      sym__automatic_semicolon,
    ACTIONS(5477), 1,
      anon_sym_LBRACK,
    ACTIONS(6124), 1,
      anon_sym_STAR,
    STATE(3142), 1,
      sym_comment,
    STATE(4782), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6359), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4740), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2900), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [94002] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2071), 1,
      anon_sym_EQ,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5259), 1,
      anon_sym_LBRACK,
    ACTIONS(5914), 1,
      anon_sym_COLON,
    STATE(3143), 1,
      sym_comment,
    ACTIONS(5262), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3432), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_extends,
    ACTIONS(2069), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2075), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [94067] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(4514), 1,
      sym__automatic_semicolon,
    ACTIONS(5477), 1,
      anon_sym_LBRACK,
    ACTIONS(5681), 1,
      anon_sym_STAR,
    STATE(3144), 1,
      sym_comment,
    STATE(4926), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6361), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4740), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2900), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [94140] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5270), 1,
      anon_sym_EQ,
    ACTIONS(5274), 1,
      anon_sym_LBRACK,
    ACTIONS(5926), 1,
      anon_sym_COLON,
    STATE(3145), 1,
      sym_comment,
    ACTIONS(5277), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5239), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_extends,
    ACTIONS(5268), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5272), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [94205] = 14,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4787), 1,
      anon_sym_LPAREN,
    ACTIONS(4811), 1,
      anon_sym_LBRACK,
    ACTIONS(4813), 1,
      anon_sym_DOT,
    ACTIONS(4867), 1,
      anon_sym_BQUOTE,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6363), 1,
      anon_sym_LT,
    STATE(2372), 1,
      sym_type_arguments,
    STATE(3146), 1,
      sym_comment,
    STATE(6354), 1,
      sym_optional_chain,
    STATE(2716), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5143), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5145), 19,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [94278] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4787), 1,
      anon_sym_LPAREN,
    ACTIONS(4811), 1,
      anon_sym_LBRACK,
    ACTIONS(4813), 1,
      anon_sym_DOT,
    ACTIONS(4867), 1,
      anon_sym_BQUOTE,
    ACTIONS(4879), 1,
      anon_sym_as,
    ACTIONS(4881), 1,
      anon_sym_RBRACK,
    ACTIONS(4883), 1,
      anon_sym_BANG,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4921), 1,
      anon_sym_satisfies,
    ACTIONS(6213), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6215), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6217), 1,
      anon_sym_GT_GT,
    ACTIONS(6221), 1,
      anon_sym_AMP,
    ACTIONS(6223), 1,
      anon_sym_CARET,
    ACTIONS(6225), 1,
      anon_sym_PIPE,
    ACTIONS(6229), 1,
      anon_sym_PERCENT,
    ACTIONS(6231), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6233), 1,
      anon_sym_LT,
    ACTIONS(6241), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6243), 1,
      sym__ternary_qmark,
    STATE(2372), 1,
      sym_type_arguments,
    STATE(3147), 1,
      sym_comment,
    STATE(6354), 1,
      sym_optional_chain,
    ACTIONS(4919), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6209), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6211), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6219), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6227), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6237), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6239), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2716), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6235), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [94391] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(4514), 1,
      sym__automatic_semicolon,
    ACTIONS(5477), 1,
      anon_sym_LBRACK,
    ACTIONS(6366), 1,
      anon_sym_STAR,
    STATE(3148), 1,
      sym_comment,
    STATE(4920), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6368), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4740), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2900), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [94464] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4205), 1,
      anon_sym_EQ,
    ACTIONS(5284), 1,
      anon_sym_QMARK,
    ACTIONS(5675), 1,
      anon_sym_LBRACK,
    STATE(3149), 1,
      sym_comment,
    ACTIONS(5678), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5286), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_extends,
    ACTIONS(4121), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4125), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [94529] = 18,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4787), 1,
      anon_sym_LPAREN,
    ACTIONS(4811), 1,
      anon_sym_LBRACK,
    ACTIONS(4813), 1,
      anon_sym_DOT,
    ACTIONS(4867), 1,
      anon_sym_BQUOTE,
    ACTIONS(4879), 1,
      anon_sym_as,
    ACTIONS(4883), 1,
      anon_sym_BANG,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4921), 1,
      anon_sym_satisfies,
    ACTIONS(6370), 1,
      anon_sym_LT,
    STATE(2372), 1,
      sym_type_arguments,
    STATE(3150), 1,
      sym_comment,
    STATE(6354), 1,
      sym_optional_chain,
    ACTIONS(4919), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2716), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5156), 11,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5158), 15,
      sym__ternary_qmark,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [94610] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4787), 1,
      anon_sym_LPAREN,
    ACTIONS(4811), 1,
      anon_sym_LBRACK,
    ACTIONS(4813), 1,
      anon_sym_DOT,
    ACTIONS(4867), 1,
      anon_sym_BQUOTE,
    ACTIONS(4879), 1,
      anon_sym_as,
    ACTIONS(4883), 1,
      anon_sym_BANG,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4921), 1,
      anon_sym_satisfies,
    ACTIONS(6018), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6020), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6022), 1,
      anon_sym_GT_GT,
    ACTIONS(6026), 1,
      anon_sym_AMP,
    ACTIONS(6028), 1,
      anon_sym_CARET,
    ACTIONS(6030), 1,
      anon_sym_PIPE,
    ACTIONS(6034), 1,
      anon_sym_PERCENT,
    ACTIONS(6036), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6038), 1,
      anon_sym_LT,
    ACTIONS(6046), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6048), 1,
      sym__ternary_qmark,
    ACTIONS(6373), 1,
      anon_sym_COLON,
    STATE(2372), 1,
      sym_type_arguments,
    STATE(3151), 1,
      sym_comment,
    STATE(6354), 1,
      sym_optional_chain,
    ACTIONS(4919), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6014), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6016), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6024), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6032), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6042), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6044), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2716), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6040), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [94723] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(4514), 1,
      sym__automatic_semicolon,
    ACTIONS(4947), 1,
      anon_sym_LBRACK,
    ACTIONS(6245), 1,
      anon_sym_STAR,
    ACTIONS(6375), 1,
      anon_sym_async,
    STATE(3152), 1,
      sym_comment,
    STATE(3943), 1,
      sym__property_name,
    ACTIONS(3894), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6377), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4151), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(4372), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [94798] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3153), 1,
      sym_comment,
    ACTIONS(2275), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2137), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2141), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [94855] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3154), 1,
      sym_comment,
    ACTIONS(5703), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5705), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [94910] = 14,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4787), 1,
      anon_sym_LPAREN,
    ACTIONS(4811), 1,
      anon_sym_LBRACK,
    ACTIONS(4813), 1,
      anon_sym_DOT,
    ACTIONS(4867), 1,
      anon_sym_BQUOTE,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6379), 1,
      anon_sym_LT,
    STATE(2372), 1,
      sym_type_arguments,
    STATE(3155), 1,
      sym_comment,
    STATE(6354), 1,
      sym_optional_chain,
    STATE(2716), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5143), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5145), 19,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [94983] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4787), 1,
      anon_sym_LPAREN,
    ACTIONS(4811), 1,
      anon_sym_LBRACK,
    ACTIONS(4813), 1,
      anon_sym_DOT,
    ACTIONS(4867), 1,
      anon_sym_BQUOTE,
    ACTIONS(4879), 1,
      anon_sym_as,
    ACTIONS(4881), 1,
      anon_sym_of,
    ACTIONS(4883), 1,
      anon_sym_BANG,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4921), 1,
      anon_sym_satisfies,
    ACTIONS(6279), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6281), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6283), 1,
      anon_sym_GT_GT,
    ACTIONS(6287), 1,
      anon_sym_AMP,
    ACTIONS(6289), 1,
      anon_sym_CARET,
    ACTIONS(6291), 1,
      anon_sym_PIPE,
    ACTIONS(6295), 1,
      anon_sym_PERCENT,
    ACTIONS(6297), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6299), 1,
      anon_sym_LT,
    ACTIONS(6307), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6309), 1,
      sym__ternary_qmark,
    STATE(2372), 1,
      sym_type_arguments,
    STATE(3156), 1,
      sym_comment,
    STATE(6354), 1,
      sym_optional_chain,
    ACTIONS(4919), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6275), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6277), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6285), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6293), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6303), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6305), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2716), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6301), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [95096] = 18,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4787), 1,
      anon_sym_LPAREN,
    ACTIONS(4811), 1,
      anon_sym_LBRACK,
    ACTIONS(4813), 1,
      anon_sym_DOT,
    ACTIONS(4867), 1,
      anon_sym_BQUOTE,
    ACTIONS(4879), 1,
      anon_sym_as,
    ACTIONS(4883), 1,
      anon_sym_BANG,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4921), 1,
      anon_sym_satisfies,
    ACTIONS(6382), 1,
      anon_sym_LT,
    STATE(2372), 1,
      sym_type_arguments,
    STATE(3157), 1,
      sym_comment,
    STATE(6354), 1,
      sym_optional_chain,
    ACTIONS(4919), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2716), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5156), 11,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5158), 15,
      sym__ternary_qmark,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [95177] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3158), 1,
      sym_comment,
    ACTIONS(6385), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(6387), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(4121), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4125), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [95236] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3159), 1,
      sym_comment,
    ACTIONS(5520), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5522), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [95291] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4787), 1,
      anon_sym_LPAREN,
    ACTIONS(4811), 1,
      anon_sym_LBRACK,
    ACTIONS(4813), 1,
      anon_sym_DOT,
    ACTIONS(4867), 1,
      anon_sym_BQUOTE,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6389), 1,
      anon_sym_LT,
    STATE(2372), 1,
      sym_type_arguments,
    STATE(3160), 1,
      sym_comment,
    STATE(6354), 1,
      sym_optional_chain,
    ACTIONS(4919), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2716), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5189), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5191), 17,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [95366] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(4514), 1,
      sym__automatic_semicolon,
    ACTIONS(4947), 1,
      anon_sym_LBRACK,
    ACTIONS(6392), 1,
      anon_sym_STAR,
    ACTIONS(6394), 1,
      anon_sym_async,
    STATE(3161), 1,
      sym_comment,
    STATE(3966), 1,
      sym__property_name,
    ACTIONS(3894), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6396), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4151), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(4372), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [95441] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(4514), 1,
      sym__automatic_semicolon,
    ACTIONS(5477), 1,
      anon_sym_LBRACK,
    ACTIONS(6098), 1,
      anon_sym_STAR,
    STATE(3162), 1,
      sym_comment,
    STATE(4892), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6398), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4740), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 8,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2900), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [95514] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3163), 1,
      sym_comment,
    ACTIONS(5731), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5733), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [95569] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3164), 1,
      sym_comment,
    ACTIONS(5511), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5513), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [95624] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(4514), 1,
      sym__automatic_semicolon,
    ACTIONS(5359), 1,
      anon_sym_LBRACK,
    ACTIONS(6098), 1,
      anon_sym_STAR,
    ACTIONS(6100), 1,
      anon_sym_async,
    STATE(3165), 1,
      sym_comment,
    STATE(4042), 1,
      sym__property_name,
    ACTIONS(3894), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6104), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4151), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 8,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(4372), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [95699] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3166), 1,
      sym_comment,
    ACTIONS(5625), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5627), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [95754] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4787), 1,
      anon_sym_LPAREN,
    ACTIONS(4811), 1,
      anon_sym_LBRACK,
    ACTIONS(4813), 1,
      anon_sym_DOT,
    ACTIONS(4867), 1,
      anon_sym_BQUOTE,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6400), 1,
      anon_sym_LT,
    STATE(2372), 1,
      sym_type_arguments,
    STATE(3167), 1,
      sym_comment,
    STATE(6354), 1,
      sym_optional_chain,
    ACTIONS(4919), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2716), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5189), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5191), 17,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [95829] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4787), 1,
      anon_sym_LPAREN,
    ACTIONS(4811), 1,
      anon_sym_LBRACK,
    ACTIONS(4813), 1,
      anon_sym_DOT,
    ACTIONS(4867), 1,
      anon_sym_BQUOTE,
    ACTIONS(4879), 1,
      anon_sym_as,
    ACTIONS(4883), 1,
      anon_sym_BANG,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4921), 1,
      anon_sym_satisfies,
    ACTIONS(6018), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6020), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6022), 1,
      anon_sym_GT_GT,
    ACTIONS(6026), 1,
      anon_sym_AMP,
    ACTIONS(6028), 1,
      anon_sym_CARET,
    ACTIONS(6030), 1,
      anon_sym_PIPE,
    ACTIONS(6034), 1,
      anon_sym_PERCENT,
    ACTIONS(6036), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6038), 1,
      anon_sym_LT,
    ACTIONS(6046), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6048), 1,
      sym__ternary_qmark,
    ACTIONS(6403), 1,
      anon_sym_COLON,
    STATE(2372), 1,
      sym_type_arguments,
    STATE(3168), 1,
      sym_comment,
    STATE(6354), 1,
      sym_optional_chain,
    ACTIONS(4919), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6014), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6016), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6024), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6032), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6042), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6044), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2716), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6040), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [95942] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3169), 1,
      sym_comment,
    ACTIONS(5727), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5729), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [95997] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3170), 1,
      sym_comment,
    ACTIONS(5507), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5509), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [96052] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4787), 1,
      anon_sym_LPAREN,
    ACTIONS(4811), 1,
      anon_sym_LBRACK,
    ACTIONS(4813), 1,
      anon_sym_DOT,
    ACTIONS(4867), 1,
      anon_sym_BQUOTE,
    ACTIONS(4879), 1,
      anon_sym_as,
    ACTIONS(4883), 1,
      anon_sym_BANG,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4921), 1,
      anon_sym_satisfies,
    ACTIONS(5304), 1,
      anon_sym_RBRACK,
    ACTIONS(6213), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6215), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6217), 1,
      anon_sym_GT_GT,
    ACTIONS(6221), 1,
      anon_sym_AMP,
    ACTIONS(6223), 1,
      anon_sym_CARET,
    ACTIONS(6225), 1,
      anon_sym_PIPE,
    ACTIONS(6229), 1,
      anon_sym_PERCENT,
    ACTIONS(6231), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6233), 1,
      anon_sym_LT,
    ACTIONS(6241), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6243), 1,
      sym__ternary_qmark,
    STATE(2372), 1,
      sym_type_arguments,
    STATE(3171), 1,
      sym_comment,
    STATE(6354), 1,
      sym_optional_chain,
    ACTIONS(4919), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6209), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6211), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6219), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6227), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6237), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6239), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2716), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6235), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [96165] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3172), 1,
      sym_comment,
    ACTIONS(6405), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(6407), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(4121), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4125), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [96224] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3173), 1,
      sym_comment,
    ACTIONS(5723), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5725), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [96279] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3174), 1,
      sym_comment,
    ACTIONS(6405), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(6407), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(4121), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4125), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [96338] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4787), 1,
      anon_sym_LPAREN,
    ACTIONS(4811), 1,
      anon_sym_LBRACK,
    ACTIONS(4813), 1,
      anon_sym_DOT,
    ACTIONS(4867), 1,
      anon_sym_BQUOTE,
    ACTIONS(4879), 1,
      anon_sym_as,
    ACTIONS(4883), 1,
      anon_sym_BANG,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4921), 1,
      anon_sym_satisfies,
    ACTIONS(5026), 1,
      anon_sym_RBRACK,
    ACTIONS(6213), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6215), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6217), 1,
      anon_sym_GT_GT,
    ACTIONS(6221), 1,
      anon_sym_AMP,
    ACTIONS(6223), 1,
      anon_sym_CARET,
    ACTIONS(6225), 1,
      anon_sym_PIPE,
    ACTIONS(6229), 1,
      anon_sym_PERCENT,
    ACTIONS(6231), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6233), 1,
      anon_sym_LT,
    ACTIONS(6241), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6243), 1,
      sym__ternary_qmark,
    STATE(2372), 1,
      sym_type_arguments,
    STATE(3175), 1,
      sym_comment,
    STATE(6354), 1,
      sym_optional_chain,
    ACTIONS(4919), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6209), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6211), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6219), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6227), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6237), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6239), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2716), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6235), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [96451] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3176), 1,
      sym_comment,
    ACTIONS(6405), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(6407), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(4121), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4125), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [96510] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4514), 1,
      sym__automatic_semicolon,
    ACTIONS(4939), 1,
      anon_sym_EQ,
    ACTIONS(4941), 1,
      anon_sym_COMMA,
    ACTIONS(5265), 1,
      anon_sym_RBRACE,
    STATE(3177), 1,
      sym_comment,
    STATE(6171), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6333), 1,
      aux_sym_object_repeat1,
    ACTIONS(1043), 6,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2419), 29,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [96577] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3178), 1,
      sym_comment,
    ACTIONS(5719), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5721), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [96632] = 35,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4787), 1,
      anon_sym_LPAREN,
    ACTIONS(4811), 1,
      anon_sym_LBRACK,
    ACTIONS(4813), 1,
      anon_sym_DOT,
    ACTIONS(4867), 1,
      anon_sym_BQUOTE,
    ACTIONS(4879), 1,
      anon_sym_as,
    ACTIONS(4883), 1,
      anon_sym_BANG,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4921), 1,
      anon_sym_satisfies,
    ACTIONS(5431), 1,
      anon_sym_of,
    ACTIONS(6277), 1,
      anon_sym_GT,
    ACTIONS(6279), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6281), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6283), 1,
      anon_sym_GT_GT,
    ACTIONS(6287), 1,
      anon_sym_AMP,
    ACTIONS(6289), 1,
      anon_sym_CARET,
    ACTIONS(6291), 1,
      anon_sym_PIPE,
    ACTIONS(6295), 1,
      anon_sym_PERCENT,
    ACTIONS(6297), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6299), 1,
      anon_sym_LT,
    ACTIONS(6307), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6309), 1,
      sym__ternary_qmark,
    ACTIONS(6409), 1,
      anon_sym_in,
    STATE(2372), 1,
      sym_type_arguments,
    STATE(3179), 1,
      sym_comment,
    STATE(6354), 1,
      sym_optional_chain,
    ACTIONS(4919), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6275), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6285), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6293), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6303), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6305), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2716), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6301), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [96747] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4514), 1,
      sym__automatic_semicolon,
    ACTIONS(4939), 1,
      anon_sym_EQ,
    ACTIONS(4941), 1,
      anon_sym_COMMA,
    ACTIONS(5265), 1,
      anon_sym_RBRACE,
    STATE(3180), 1,
      sym_comment,
    STATE(6171), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6333), 1,
      aux_sym_object_repeat1,
    ACTIONS(1043), 6,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2431), 29,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [96814] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3181), 1,
      sym_comment,
    ACTIONS(5715), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5717), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [96869] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4787), 1,
      anon_sym_LPAREN,
    ACTIONS(4811), 1,
      anon_sym_LBRACK,
    ACTIONS(4813), 1,
      anon_sym_DOT,
    ACTIONS(4867), 1,
      anon_sym_BQUOTE,
    ACTIONS(4879), 1,
      anon_sym_as,
    ACTIONS(4883), 1,
      anon_sym_BANG,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4921), 1,
      anon_sym_satisfies,
    ACTIONS(5241), 1,
      anon_sym_RBRACK,
    ACTIONS(6213), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6215), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6217), 1,
      anon_sym_GT_GT,
    ACTIONS(6221), 1,
      anon_sym_AMP,
    ACTIONS(6223), 1,
      anon_sym_CARET,
    ACTIONS(6225), 1,
      anon_sym_PIPE,
    ACTIONS(6229), 1,
      anon_sym_PERCENT,
    ACTIONS(6231), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6233), 1,
      anon_sym_LT,
    ACTIONS(6241), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6243), 1,
      sym__ternary_qmark,
    STATE(2372), 1,
      sym_type_arguments,
    STATE(3182), 1,
      sym_comment,
    STATE(6354), 1,
      sym_optional_chain,
    ACTIONS(4919), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6209), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6211), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6219), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6227), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6237), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6239), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2716), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6235), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [96982] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(6412), 1,
      sym__automatic_semicolon,
    STATE(3183), 1,
      sym_comment,
    ACTIONS(2275), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(2137), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2141), 25,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [97041] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3184), 1,
      sym_comment,
    ACTIONS(6414), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
    ACTIONS(5306), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5308), 25,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [97098] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3185), 1,
      sym_comment,
    ACTIONS(6416), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(6418), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(4121), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4125), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [97157] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5206), 1,
      anon_sym_extends,
    STATE(3186), 1,
      sym_comment,
    ACTIONS(5571), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5568), 3,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
    ACTIONS(5564), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5566), 24,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [97218] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4787), 1,
      anon_sym_LPAREN,
    ACTIONS(4811), 1,
      anon_sym_LBRACK,
    ACTIONS(4813), 1,
      anon_sym_DOT,
    ACTIONS(4867), 1,
      anon_sym_BQUOTE,
    ACTIONS(4879), 1,
      anon_sym_as,
    ACTIONS(4883), 1,
      anon_sym_BANG,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4921), 1,
      anon_sym_satisfies,
    ACTIONS(5216), 1,
      anon_sym_RBRACK,
    ACTIONS(6213), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6215), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6217), 1,
      anon_sym_GT_GT,
    ACTIONS(6221), 1,
      anon_sym_AMP,
    ACTIONS(6223), 1,
      anon_sym_CARET,
    ACTIONS(6225), 1,
      anon_sym_PIPE,
    ACTIONS(6229), 1,
      anon_sym_PERCENT,
    ACTIONS(6231), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6233), 1,
      anon_sym_LT,
    ACTIONS(6241), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6243), 1,
      sym__ternary_qmark,
    STATE(2372), 1,
      sym_type_arguments,
    STATE(3187), 1,
      sym_comment,
    STATE(6354), 1,
      sym_optional_chain,
    ACTIONS(4919), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6209), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6211), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6219), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6227), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6237), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6239), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2716), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6235), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [97331] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(6420), 1,
      sym__automatic_semicolon,
    STATE(3188), 1,
      sym_comment,
    ACTIONS(2315), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(2161), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2165), 25,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [97390] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4514), 1,
      sym__automatic_semicolon,
    ACTIONS(4939), 1,
      anon_sym_EQ,
    ACTIONS(4941), 1,
      anon_sym_COMMA,
    ACTIONS(5124), 1,
      anon_sym_RBRACE,
    STATE(3189), 1,
      sym_comment,
    STATE(6171), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6333), 1,
      aux_sym_object_repeat1,
    ACTIONS(1043), 6,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2419), 29,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [97457] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3190), 1,
      sym_comment,
    ACTIONS(6082), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(6084), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(4121), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4125), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [97516] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(4514), 1,
      sym__automatic_semicolon,
    ACTIONS(4947), 1,
      anon_sym_LBRACK,
    ACTIONS(6164), 1,
      anon_sym_STAR,
    ACTIONS(6166), 1,
      anon_sym_async,
    STATE(3191), 1,
      sym_comment,
    STATE(4050), 1,
      sym__property_name,
    ACTIONS(3894), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6170), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4151), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 8,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(4372), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [97591] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4290), 1,
      anon_sym_EQ,
    ACTIONS(5675), 1,
      anon_sym_LBRACK,
    STATE(3192), 1,
      sym_comment,
    ACTIONS(5286), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(5678), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4121), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4125), 24,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [97654] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4787), 1,
      anon_sym_LPAREN,
    ACTIONS(4811), 1,
      anon_sym_LBRACK,
    ACTIONS(4813), 1,
      anon_sym_DOT,
    ACTIONS(4867), 1,
      anon_sym_BQUOTE,
    ACTIONS(4879), 1,
      anon_sym_as,
    ACTIONS(4883), 1,
      anon_sym_BANG,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4921), 1,
      anon_sym_satisfies,
    ACTIONS(5214), 1,
      anon_sym_RBRACK,
    ACTIONS(6213), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6215), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6217), 1,
      anon_sym_GT_GT,
    ACTIONS(6221), 1,
      anon_sym_AMP,
    ACTIONS(6223), 1,
      anon_sym_CARET,
    ACTIONS(6225), 1,
      anon_sym_PIPE,
    ACTIONS(6229), 1,
      anon_sym_PERCENT,
    ACTIONS(6231), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6233), 1,
      anon_sym_LT,
    ACTIONS(6241), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6243), 1,
      sym__ternary_qmark,
    STATE(2372), 1,
      sym_type_arguments,
    STATE(3193), 1,
      sym_comment,
    STATE(6354), 1,
      sym_optional_chain,
    ACTIONS(4919), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6209), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6211), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6219), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6227), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6237), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6239), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2716), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6235), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [97767] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(6422), 1,
      sym_regex_flags,
    STATE(3194), 1,
      sym_comment,
    ACTIONS(6089), 16,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_instanceof,
      anon_sym_satisfies,
    ACTIONS(6091), 24,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [97824] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(4514), 1,
      sym__automatic_semicolon,
    ACTIONS(5477), 1,
      anon_sym_LBRACK,
    ACTIONS(6164), 1,
      anon_sym_STAR,
    STATE(3195), 1,
      sym_comment,
    STATE(4805), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6424), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4740), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 8,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2900), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [97897] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3196), 1,
      sym_comment,
    ACTIONS(5208), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5210), 4,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_extends,
    ACTIONS(4121), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4125), 24,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [97956] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(4514), 1,
      sym__automatic_semicolon,
    ACTIONS(5477), 1,
      anon_sym_LBRACK,
    ACTIONS(6392), 1,
      anon_sym_STAR,
    STATE(3197), 1,
      sym_comment,
    STATE(4838), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6426), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4740), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2900), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [98029] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4514), 1,
      sym__automatic_semicolon,
    ACTIONS(4939), 1,
      anon_sym_EQ,
    ACTIONS(4941), 1,
      anon_sym_COMMA,
    ACTIONS(5124), 1,
      anon_sym_RBRACE,
    STATE(3198), 1,
      sym_comment,
    STATE(6171), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6333), 1,
      aux_sym_object_repeat1,
    ACTIONS(1043), 6,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2431), 29,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [98096] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3199), 1,
      sym_comment,
    ACTIONS(2387), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2169), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2171), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [98153] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3200), 1,
      sym_comment,
    ACTIONS(5711), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5713), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [98208] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(4514), 1,
      sym__automatic_semicolon,
    ACTIONS(4947), 1,
      anon_sym_LBRACK,
    ACTIONS(6058), 1,
      anon_sym_STAR,
    ACTIONS(6060), 1,
      anon_sym_async,
    STATE(3201), 1,
      sym_comment,
    STATE(3945), 1,
      sym__property_name,
    ACTIONS(3894), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6064), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4151), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(4372), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [98283] = 24,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(225), 1,
      anon_sym_STAR,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(2115), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5477), 1,
      anon_sym_LBRACK,
    ACTIONS(6430), 1,
      anon_sym_COMMA,
    ACTIONS(6432), 1,
      anon_sym_RBRACE,
    ACTIONS(6434), 1,
      anon_sym_async,
    ACTIONS(6436), 1,
      anon_sym_static,
    ACTIONS(6438), 1,
      anon_sym_readonly,
    ACTIONS(6444), 1,
      anon_sym_override,
    STATE(3202), 1,
      sym_comment,
    STATE(3651), 1,
      sym_accessibility_modifier,
    STATE(3663), 1,
      sym_override_modifier,
    STATE(4669), 1,
      sym__property_name,
    STATE(5841), 1,
      aux_sym_object_repeat1,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6440), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4740), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(6442), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(5842), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
    ACTIONS(6428), 14,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [98376] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4514), 1,
      sym__automatic_semicolon,
    ACTIONS(4939), 1,
      anon_sym_EQ,
    ACTIONS(4941), 1,
      anon_sym_COMMA,
    ACTIONS(5340), 1,
      anon_sym_RBRACE,
    STATE(3203), 1,
      sym_comment,
    STATE(6171), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6333), 1,
      aux_sym_object_repeat1,
    ACTIONS(1043), 6,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2419), 29,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [98443] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4514), 1,
      sym__automatic_semicolon,
    ACTIONS(4939), 1,
      anon_sym_EQ,
    ACTIONS(4941), 1,
      anon_sym_COMMA,
    ACTIONS(5340), 1,
      anon_sym_RBRACE,
    STATE(3204), 1,
      sym_comment,
    STATE(6171), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6333), 1,
      aux_sym_object_repeat1,
    ACTIONS(1043), 6,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2431), 29,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [98510] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4514), 1,
      sym__automatic_semicolon,
    ACTIONS(4939), 1,
      anon_sym_EQ,
    ACTIONS(4941), 1,
      anon_sym_COMMA,
    ACTIONS(4944), 1,
      anon_sym_RBRACE,
    STATE(3205), 1,
      sym_comment,
    STATE(6171), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6333), 1,
      aux_sym_object_repeat1,
    ACTIONS(1043), 6,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2419), 29,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [98577] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4514), 1,
      sym__automatic_semicolon,
    ACTIONS(4939), 1,
      anon_sym_EQ,
    ACTIONS(4941), 1,
      anon_sym_COMMA,
    ACTIONS(4944), 1,
      anon_sym_RBRACE,
    STATE(3206), 1,
      sym_comment,
    STATE(6171), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6333), 1,
      aux_sym_object_repeat1,
    ACTIONS(1043), 6,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2431), 29,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [98644] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3207), 1,
      sym_comment,
    ACTIONS(2161), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2165), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [98699] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5270), 1,
      anon_sym_EQ,
    ACTIONS(5926), 1,
      anon_sym_of,
    ACTIONS(6446), 1,
      anon_sym_in,
    STATE(3208), 1,
      sym_comment,
    ACTIONS(5268), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5272), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [98760] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3209), 1,
      sym_comment,
    ACTIONS(5631), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5633), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [98815] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5204), 1,
      anon_sym_QMARK,
    STATE(3210), 1,
      sym_comment,
    ACTIONS(5206), 2,
      anon_sym_RPAREN,
      anon_sym_extends,
    ACTIONS(5571), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5568), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
    ACTIONS(5564), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5566), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [98878] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(6414), 1,
      anon_sym_COMMA,
    STATE(3211), 1,
      sym_comment,
    ACTIONS(5306), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5308), 27,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [98935] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4787), 1,
      anon_sym_LPAREN,
    ACTIONS(4811), 1,
      anon_sym_LBRACK,
    ACTIONS(4813), 1,
      anon_sym_DOT,
    ACTIONS(4867), 1,
      anon_sym_BQUOTE,
    ACTIONS(4879), 1,
      anon_sym_as,
    ACTIONS(4883), 1,
      anon_sym_BANG,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4921), 1,
      anon_sym_satisfies,
    ACTIONS(5026), 1,
      anon_sym_of,
    ACTIONS(6279), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6281), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6283), 1,
      anon_sym_GT_GT,
    ACTIONS(6287), 1,
      anon_sym_AMP,
    ACTIONS(6289), 1,
      anon_sym_CARET,
    ACTIONS(6291), 1,
      anon_sym_PIPE,
    ACTIONS(6295), 1,
      anon_sym_PERCENT,
    ACTIONS(6297), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6299), 1,
      anon_sym_LT,
    ACTIONS(6307), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6309), 1,
      sym__ternary_qmark,
    STATE(2372), 1,
      sym_type_arguments,
    STATE(3212), 1,
      sym_comment,
    STATE(6354), 1,
      sym_optional_chain,
    ACTIONS(4919), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6275), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6277), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6285), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6293), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6303), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6305), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2716), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6301), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [99048] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4787), 1,
      anon_sym_LPAREN,
    ACTIONS(4811), 1,
      anon_sym_LBRACK,
    ACTIONS(4813), 1,
      anon_sym_DOT,
    ACTIONS(4867), 1,
      anon_sym_BQUOTE,
    ACTIONS(4879), 1,
      anon_sym_as,
    ACTIONS(4883), 1,
      anon_sym_BANG,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4921), 1,
      anon_sym_satisfies,
    ACTIONS(5241), 1,
      anon_sym_of,
    ACTIONS(6279), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6281), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6283), 1,
      anon_sym_GT_GT,
    ACTIONS(6287), 1,
      anon_sym_AMP,
    ACTIONS(6289), 1,
      anon_sym_CARET,
    ACTIONS(6291), 1,
      anon_sym_PIPE,
    ACTIONS(6295), 1,
      anon_sym_PERCENT,
    ACTIONS(6297), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6299), 1,
      anon_sym_LT,
    ACTIONS(6307), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6309), 1,
      sym__ternary_qmark,
    STATE(2372), 1,
      sym_type_arguments,
    STATE(3213), 1,
      sym_comment,
    STATE(6354), 1,
      sym_optional_chain,
    ACTIONS(4919), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6275), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6277), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6285), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6293), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6303), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6305), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2716), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6301), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [99161] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(6449), 1,
      anon_sym_LPAREN,
    ACTIONS(6452), 1,
      anon_sym_COLON,
    ACTIONS(6454), 1,
      anon_sym_LT,
    ACTIONS(6457), 1,
      anon_sym_QMARK,
    STATE(3214), 1,
      sym_comment,
    ACTIONS(5739), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5741), 25,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [99224] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(6422), 1,
      sym_regex_flags,
    STATE(3215), 1,
      sym_comment,
    ACTIONS(6089), 17,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_of,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_instanceof,
      anon_sym_satisfies,
    ACTIONS(6091), 23,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [99281] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(6459), 1,
      sym__automatic_semicolon,
    STATE(3216), 1,
      sym_comment,
    ACTIONS(2279), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2151), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2155), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [99340] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4787), 1,
      anon_sym_LPAREN,
    ACTIONS(4811), 1,
      anon_sym_LBRACK,
    ACTIONS(4813), 1,
      anon_sym_DOT,
    ACTIONS(4867), 1,
      anon_sym_BQUOTE,
    ACTIONS(4879), 1,
      anon_sym_as,
    ACTIONS(4883), 1,
      anon_sym_BANG,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4921), 1,
      anon_sym_satisfies,
    ACTIONS(5216), 1,
      anon_sym_of,
    ACTIONS(6279), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6281), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6283), 1,
      anon_sym_GT_GT,
    ACTIONS(6287), 1,
      anon_sym_AMP,
    ACTIONS(6289), 1,
      anon_sym_CARET,
    ACTIONS(6291), 1,
      anon_sym_PIPE,
    ACTIONS(6295), 1,
      anon_sym_PERCENT,
    ACTIONS(6297), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6299), 1,
      anon_sym_LT,
    ACTIONS(6307), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6309), 1,
      sym__ternary_qmark,
    STATE(2372), 1,
      sym_type_arguments,
    STATE(3217), 1,
      sym_comment,
    STATE(6354), 1,
      sym_optional_chain,
    ACTIONS(4919), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6275), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6277), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6285), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6293), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6303), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6305), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2716), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6301), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [99453] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4787), 1,
      anon_sym_LPAREN,
    ACTIONS(4811), 1,
      anon_sym_LBRACK,
    ACTIONS(4813), 1,
      anon_sym_DOT,
    ACTIONS(4867), 1,
      anon_sym_BQUOTE,
    ACTIONS(4879), 1,
      anon_sym_as,
    ACTIONS(4883), 1,
      anon_sym_BANG,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4921), 1,
      anon_sym_satisfies,
    ACTIONS(5214), 1,
      anon_sym_of,
    ACTIONS(6279), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6281), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6283), 1,
      anon_sym_GT_GT,
    ACTIONS(6287), 1,
      anon_sym_AMP,
    ACTIONS(6289), 1,
      anon_sym_CARET,
    ACTIONS(6291), 1,
      anon_sym_PIPE,
    ACTIONS(6295), 1,
      anon_sym_PERCENT,
    ACTIONS(6297), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6299), 1,
      anon_sym_LT,
    ACTIONS(6307), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6309), 1,
      sym__ternary_qmark,
    STATE(2372), 1,
      sym_type_arguments,
    STATE(3218), 1,
      sym_comment,
    STATE(6354), 1,
      sym_optional_chain,
    ACTIONS(4919), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6275), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6277), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6285), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6293), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6303), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6305), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2716), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6301), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [99566] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4787), 1,
      anon_sym_LPAREN,
    ACTIONS(4811), 1,
      anon_sym_LBRACK,
    ACTIONS(4813), 1,
      anon_sym_DOT,
    ACTIONS(4867), 1,
      anon_sym_BQUOTE,
    ACTIONS(4879), 1,
      anon_sym_as,
    ACTIONS(4883), 1,
      anon_sym_BANG,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4921), 1,
      anon_sym_satisfies,
    ACTIONS(5212), 1,
      anon_sym_of,
    ACTIONS(6279), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6281), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6283), 1,
      anon_sym_GT_GT,
    ACTIONS(6287), 1,
      anon_sym_AMP,
    ACTIONS(6289), 1,
      anon_sym_CARET,
    ACTIONS(6291), 1,
      anon_sym_PIPE,
    ACTIONS(6295), 1,
      anon_sym_PERCENT,
    ACTIONS(6297), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6299), 1,
      anon_sym_LT,
    ACTIONS(6307), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6309), 1,
      sym__ternary_qmark,
    STATE(2372), 1,
      sym_type_arguments,
    STATE(3219), 1,
      sym_comment,
    STATE(6354), 1,
      sym_optional_chain,
    ACTIONS(4919), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6275), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6277), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6285), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6293), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6303), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6305), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2716), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6301), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [99679] = 21,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4787), 1,
      anon_sym_LPAREN,
    ACTIONS(4811), 1,
      anon_sym_LBRACK,
    ACTIONS(4813), 1,
      anon_sym_DOT,
    ACTIONS(4867), 1,
      anon_sym_BQUOTE,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6217), 1,
      anon_sym_GT_GT,
    ACTIONS(6229), 1,
      anon_sym_PERCENT,
    ACTIONS(6231), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6233), 1,
      anon_sym_LT,
    STATE(2372), 1,
      sym_type_arguments,
    STATE(3220), 1,
      sym_comment,
    STATE(6354), 1,
      sym_optional_chain,
    ACTIONS(4919), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6209), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6219), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6227), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(2716), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4955), 7,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4957), 13,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [99766] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(6461), 1,
      sym__automatic_semicolon,
    STATE(3221), 1,
      sym_comment,
    ACTIONS(2341), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(2087), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2091), 25,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [99825] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3222), 1,
      sym_comment,
    ACTIONS(5602), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5216), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [99880] = 18,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(231), 1,
      anon_sym_COMMA,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(4939), 1,
      anon_sym_EQ,
    ACTIONS(5477), 1,
      anon_sym_LBRACK,
    ACTIONS(5988), 1,
      anon_sym_STAR,
    ACTIONS(6007), 1,
      anon_sym_RBRACE,
    STATE(3223), 1,
      sym_comment,
    STATE(4761), 1,
      sym__property_name,
    STATE(6171), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6333), 1,
      aux_sym_object_repeat1,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2906), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4740), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2900), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [99961] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(4514), 1,
      sym__automatic_semicolon,
    ACTIONS(4947), 1,
      anon_sym_LBRACK,
    ACTIONS(6058), 1,
      anon_sym_STAR,
    ACTIONS(6060), 1,
      anon_sym_async,
    STATE(3224), 1,
      sym_comment,
    STATE(3976), 1,
      sym__property_name,
    ACTIONS(3894), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6064), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4151), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(4372), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [100036] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4787), 1,
      anon_sym_LPAREN,
    ACTIONS(4811), 1,
      anon_sym_LBRACK,
    ACTIONS(4813), 1,
      anon_sym_DOT,
    ACTIONS(4867), 1,
      anon_sym_BQUOTE,
    ACTIONS(4879), 1,
      anon_sym_as,
    ACTIONS(4883), 1,
      anon_sym_BANG,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4921), 1,
      anon_sym_satisfies,
    ACTIONS(5106), 1,
      anon_sym_of,
    ACTIONS(6279), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6281), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6283), 1,
      anon_sym_GT_GT,
    ACTIONS(6287), 1,
      anon_sym_AMP,
    ACTIONS(6289), 1,
      anon_sym_CARET,
    ACTIONS(6291), 1,
      anon_sym_PIPE,
    ACTIONS(6295), 1,
      anon_sym_PERCENT,
    ACTIONS(6297), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6299), 1,
      anon_sym_LT,
    ACTIONS(6307), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6309), 1,
      sym__ternary_qmark,
    STATE(2372), 1,
      sym_type_arguments,
    STATE(3225), 1,
      sym_comment,
    STATE(6354), 1,
      sym_optional_chain,
    ACTIONS(4919), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6275), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6277), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6285), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6293), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6303), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6305), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2716), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6301), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [100149] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4787), 1,
      anon_sym_LPAREN,
    ACTIONS(4811), 1,
      anon_sym_LBRACK,
    ACTIONS(4813), 1,
      anon_sym_DOT,
    ACTIONS(4867), 1,
      anon_sym_BQUOTE,
    ACTIONS(4879), 1,
      anon_sym_as,
    ACTIONS(4883), 1,
      anon_sym_BANG,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4921), 1,
      anon_sym_satisfies,
    ACTIONS(5100), 1,
      anon_sym_of,
    ACTIONS(6279), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6281), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6283), 1,
      anon_sym_GT_GT,
    ACTIONS(6287), 1,
      anon_sym_AMP,
    ACTIONS(6289), 1,
      anon_sym_CARET,
    ACTIONS(6291), 1,
      anon_sym_PIPE,
    ACTIONS(6295), 1,
      anon_sym_PERCENT,
    ACTIONS(6297), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6299), 1,
      anon_sym_LT,
    ACTIONS(6307), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6309), 1,
      sym__ternary_qmark,
    STATE(2372), 1,
      sym_type_arguments,
    STATE(3226), 1,
      sym_comment,
    STATE(6354), 1,
      sym_optional_chain,
    ACTIONS(4919), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6275), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6277), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6285), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6293), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6303), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6305), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2716), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6301), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [100262] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5419), 1,
      anon_sym_EQ,
    ACTIONS(5920), 1,
      anon_sym_of,
    ACTIONS(6463), 1,
      anon_sym_in,
    STATE(3227), 1,
      sym_comment,
    ACTIONS(5417), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5421), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [100323] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2071), 1,
      anon_sym_EQ,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5914), 1,
      anon_sym_of,
    ACTIONS(6466), 1,
      anon_sym_in,
    STATE(3228), 1,
      sym_comment,
    ACTIONS(2069), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2075), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [100384] = 18,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(231), 1,
      anon_sym_COMMA,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(4939), 1,
      anon_sym_EQ,
    ACTIONS(5477), 1,
      anon_sym_LBRACK,
    ACTIONS(5988), 1,
      anon_sym_STAR,
    ACTIONS(6009), 1,
      anon_sym_RBRACE,
    STATE(3229), 1,
      sym_comment,
    STATE(4761), 1,
      sym__property_name,
    STATE(6165), 1,
      aux_sym_object_repeat1,
    STATE(6171), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2906), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4740), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2900), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [100465] = 19,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(231), 1,
      anon_sym_COMMA,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(2902), 1,
      anon_sym_async,
    ACTIONS(4939), 1,
      anon_sym_EQ,
    ACTIONS(5477), 1,
      anon_sym_LBRACK,
    ACTIONS(5988), 1,
      anon_sym_STAR,
    ACTIONS(6009), 1,
      anon_sym_RBRACE,
    STATE(3230), 1,
      sym_comment,
    STATE(4761), 1,
      sym__property_name,
    STATE(6165), 1,
      aux_sym_object_repeat1,
    STATE(6171), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2906), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4740), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2900), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [100548] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(4514), 1,
      sym__automatic_semicolon,
    ACTIONS(4947), 1,
      anon_sym_LBRACK,
    ACTIONS(6245), 1,
      anon_sym_STAR,
    ACTIONS(6375), 1,
      anon_sym_async,
    STATE(3231), 1,
      sym_comment,
    STATE(3939), 1,
      sym__property_name,
    ACTIONS(3894), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6377), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4151), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(4372), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [100623] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4787), 1,
      anon_sym_LPAREN,
    ACTIONS(4811), 1,
      anon_sym_LBRACK,
    ACTIONS(4813), 1,
      anon_sym_DOT,
    ACTIONS(4867), 1,
      anon_sym_BQUOTE,
    ACTIONS(4879), 1,
      anon_sym_as,
    ACTIONS(4883), 1,
      anon_sym_BANG,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4921), 1,
      anon_sym_satisfies,
    ACTIONS(5212), 1,
      anon_sym_RBRACK,
    ACTIONS(6213), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6215), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6217), 1,
      anon_sym_GT_GT,
    ACTIONS(6221), 1,
      anon_sym_AMP,
    ACTIONS(6223), 1,
      anon_sym_CARET,
    ACTIONS(6225), 1,
      anon_sym_PIPE,
    ACTIONS(6229), 1,
      anon_sym_PERCENT,
    ACTIONS(6231), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6233), 1,
      anon_sym_LT,
    ACTIONS(6241), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6243), 1,
      sym__ternary_qmark,
    STATE(2372), 1,
      sym_type_arguments,
    STATE(3232), 1,
      sym_comment,
    STATE(6354), 1,
      sym_optional_chain,
    ACTIONS(4919), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6209), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6211), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6219), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6227), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6237), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6239), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2716), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6235), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [100736] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3233), 1,
      sym_comment,
    ACTIONS(5777), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5779), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [100791] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4123), 1,
      anon_sym_EQ,
    ACTIONS(4242), 1,
      anon_sym_COLON,
    ACTIONS(5286), 1,
      anon_sym_extends,
    ACTIONS(5675), 1,
      anon_sym_LBRACK,
    STATE(3234), 1,
      sym_comment,
    ACTIONS(5678), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(6469), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(4121), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4125), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [100858] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4787), 1,
      anon_sym_LPAREN,
    ACTIONS(4811), 1,
      anon_sym_LBRACK,
    ACTIONS(4813), 1,
      anon_sym_DOT,
    ACTIONS(4867), 1,
      anon_sym_BQUOTE,
    ACTIONS(4879), 1,
      anon_sym_as,
    ACTIONS(4883), 1,
      anon_sym_BANG,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4921), 1,
      anon_sym_satisfies,
    ACTIONS(5179), 1,
      anon_sym_RBRACK,
    ACTIONS(6213), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6215), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6217), 1,
      anon_sym_GT_GT,
    ACTIONS(6221), 1,
      anon_sym_AMP,
    ACTIONS(6223), 1,
      anon_sym_CARET,
    ACTIONS(6225), 1,
      anon_sym_PIPE,
    ACTIONS(6229), 1,
      anon_sym_PERCENT,
    ACTIONS(6231), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6233), 1,
      anon_sym_LT,
    ACTIONS(6241), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6243), 1,
      sym__ternary_qmark,
    STATE(2372), 1,
      sym_type_arguments,
    STATE(3235), 1,
      sym_comment,
    STATE(6354), 1,
      sym_optional_chain,
    ACTIONS(4919), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6209), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6211), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6219), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6227), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6237), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6239), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2716), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6235), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [100971] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4787), 1,
      anon_sym_LPAREN,
    ACTIONS(4811), 1,
      anon_sym_LBRACK,
    ACTIONS(4813), 1,
      anon_sym_DOT,
    ACTIONS(4867), 1,
      anon_sym_BQUOTE,
    ACTIONS(4879), 1,
      anon_sym_as,
    ACTIONS(4883), 1,
      anon_sym_BANG,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4921), 1,
      anon_sym_satisfies,
    ACTIONS(5154), 1,
      anon_sym_RBRACK,
    ACTIONS(6213), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6215), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6217), 1,
      anon_sym_GT_GT,
    ACTIONS(6221), 1,
      anon_sym_AMP,
    ACTIONS(6223), 1,
      anon_sym_CARET,
    ACTIONS(6225), 1,
      anon_sym_PIPE,
    ACTIONS(6229), 1,
      anon_sym_PERCENT,
    ACTIONS(6231), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6233), 1,
      anon_sym_LT,
    ACTIONS(6241), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6243), 1,
      sym__ternary_qmark,
    STATE(2372), 1,
      sym_type_arguments,
    STATE(3236), 1,
      sym_comment,
    STATE(6354), 1,
      sym_optional_chain,
    ACTIONS(4919), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6209), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6211), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6219), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6227), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6237), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6239), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2716), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6235), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [101084] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4787), 1,
      anon_sym_LPAREN,
    ACTIONS(4811), 1,
      anon_sym_LBRACK,
    ACTIONS(4813), 1,
      anon_sym_DOT,
    ACTIONS(4867), 1,
      anon_sym_BQUOTE,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4955), 1,
      anon_sym_BANG,
    ACTIONS(6213), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6215), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6217), 1,
      anon_sym_GT_GT,
    ACTIONS(6221), 1,
      anon_sym_AMP,
    ACTIONS(6223), 1,
      anon_sym_CARET,
    ACTIONS(6225), 1,
      anon_sym_PIPE,
    ACTIONS(6229), 1,
      anon_sym_PERCENT,
    ACTIONS(6231), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6233), 1,
      anon_sym_LT,
    STATE(2372), 1,
      sym_type_arguments,
    STATE(3237), 1,
      sym_comment,
    STATE(6354), 1,
      sym_optional_chain,
    ACTIONS(4919), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6209), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6211), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6219), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6227), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6237), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6239), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2716), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6235), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4957), 5,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [101189] = 23,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4787), 1,
      anon_sym_LPAREN,
    ACTIONS(4811), 1,
      anon_sym_LBRACK,
    ACTIONS(4813), 1,
      anon_sym_DOT,
    ACTIONS(4867), 1,
      anon_sym_BQUOTE,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6217), 1,
      anon_sym_GT_GT,
    ACTIONS(6229), 1,
      anon_sym_PERCENT,
    ACTIONS(6231), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6233), 1,
      anon_sym_LT,
    STATE(2372), 1,
      sym_type_arguments,
    STATE(3238), 1,
      sym_comment,
    STATE(6354), 1,
      sym_optional_chain,
    ACTIONS(4919), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6209), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6211), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6219), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6227), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(2716), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6235), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4955), 5,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4957), 10,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [101280] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4787), 1,
      anon_sym_LPAREN,
    ACTIONS(4811), 1,
      anon_sym_LBRACK,
    ACTIONS(4813), 1,
      anon_sym_DOT,
    ACTIONS(4867), 1,
      anon_sym_BQUOTE,
    ACTIONS(4879), 1,
      anon_sym_as,
    ACTIONS(4883), 1,
      anon_sym_BANG,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4921), 1,
      anon_sym_satisfies,
    ACTIONS(6213), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6215), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6217), 1,
      anon_sym_GT_GT,
    ACTIONS(6221), 1,
      anon_sym_AMP,
    ACTIONS(6223), 1,
      anon_sym_CARET,
    ACTIONS(6225), 1,
      anon_sym_PIPE,
    ACTIONS(6229), 1,
      anon_sym_PERCENT,
    ACTIONS(6231), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6233), 1,
      anon_sym_LT,
    ACTIONS(6241), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6243), 1,
      sym__ternary_qmark,
    ACTIONS(6473), 1,
      anon_sym_RBRACK,
    STATE(2372), 1,
      sym_type_arguments,
    STATE(3239), 1,
      sym_comment,
    STATE(6354), 1,
      sym_optional_chain,
    ACTIONS(4919), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6209), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6211), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6219), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6227), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6237), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6239), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2716), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6235), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [101393] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3240), 1,
      sym_comment,
    ACTIONS(5707), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5709), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [101448] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3241), 1,
      sym_comment,
    ACTIONS(5615), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5617), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [101503] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4218), 1,
      anon_sym_EQ,
    STATE(3242), 1,
      sym_comment,
    ACTIONS(4121), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4125), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [101560] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(4514), 1,
      sym__automatic_semicolon,
    ACTIONS(4947), 1,
      anon_sym_LBRACK,
    ACTIONS(6475), 1,
      anon_sym_STAR,
    ACTIONS(6477), 1,
      anon_sym_async,
    STATE(3243), 1,
      sym_comment,
    STATE(3977), 1,
      sym__property_name,
    ACTIONS(3894), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6479), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4151), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(4372), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [101635] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(4514), 1,
      sym__automatic_semicolon,
    ACTIONS(5477), 1,
      anon_sym_LBRACK,
    ACTIONS(6475), 1,
      anon_sym_STAR,
    STATE(3244), 1,
      sym_comment,
    STATE(4774), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6481), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4740), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2900), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [101708] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4787), 1,
      anon_sym_LPAREN,
    ACTIONS(4811), 1,
      anon_sym_LBRACK,
    ACTIONS(4813), 1,
      anon_sym_DOT,
    ACTIONS(4867), 1,
      anon_sym_BQUOTE,
    ACTIONS(4879), 1,
      anon_sym_as,
    ACTIONS(4883), 1,
      anon_sym_BANG,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4921), 1,
      anon_sym_satisfies,
    ACTIONS(5038), 1,
      anon_sym_of,
    ACTIONS(6279), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6281), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6283), 1,
      anon_sym_GT_GT,
    ACTIONS(6287), 1,
      anon_sym_AMP,
    ACTIONS(6289), 1,
      anon_sym_CARET,
    ACTIONS(6291), 1,
      anon_sym_PIPE,
    ACTIONS(6295), 1,
      anon_sym_PERCENT,
    ACTIONS(6297), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6299), 1,
      anon_sym_LT,
    ACTIONS(6307), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6309), 1,
      sym__ternary_qmark,
    STATE(2372), 1,
      sym_type_arguments,
    STATE(3245), 1,
      sym_comment,
    STATE(6354), 1,
      sym_optional_chain,
    ACTIONS(4919), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6275), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6277), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6285), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6293), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6303), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6305), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2716), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6301), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [101821] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3246), 1,
      sym_comment,
    ACTIONS(5635), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5637), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [101876] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3247), 1,
      sym_comment,
    ACTIONS(5649), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5154), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [101931] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3248), 1,
      sym_comment,
    ACTIONS(5641), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5643), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [101986] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3249), 1,
      sym_comment,
    ACTIONS(6483), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(6485), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(4121), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4125), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [102045] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3250), 1,
      sym_comment,
    ACTIONS(2283), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2231), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2235), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [102102] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(6487), 1,
      sym__automatic_semicolon,
    STATE(3251), 1,
      sym_comment,
    ACTIONS(2297), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(2119), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2123), 25,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [102161] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(6489), 1,
      sym__automatic_semicolon,
    STATE(3252), 1,
      sym_comment,
    ACTIONS(2301), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(2129), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2133), 25,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [102220] = 19,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4787), 1,
      anon_sym_LPAREN,
    ACTIONS(4811), 1,
      anon_sym_LBRACK,
    ACTIONS(4813), 1,
      anon_sym_DOT,
    ACTIONS(4867), 1,
      anon_sym_BQUOTE,
    ACTIONS(4879), 1,
      anon_sym_as,
    ACTIONS(4883), 1,
      anon_sym_BANG,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4921), 1,
      anon_sym_satisfies,
    ACTIONS(6231), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6491), 1,
      anon_sym_LT,
    STATE(2372), 1,
      sym_type_arguments,
    STATE(3253), 1,
      sym_comment,
    STATE(6354), 1,
      sym_optional_chain,
    ACTIONS(4919), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2716), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4955), 11,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4957), 14,
      sym__ternary_qmark,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [102303] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3254), 1,
      sym_comment,
    ACTIONS(5594), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5596), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [102358] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3255), 1,
      sym_comment,
    ACTIONS(2315), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2161), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2165), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [102415] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3256), 1,
      sym_comment,
    ACTIONS(2289), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2239), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2243), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [102472] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4787), 1,
      anon_sym_LPAREN,
    ACTIONS(4811), 1,
      anon_sym_LBRACK,
    ACTIONS(4813), 1,
      anon_sym_DOT,
    ACTIONS(4867), 1,
      anon_sym_BQUOTE,
    ACTIONS(4879), 1,
      anon_sym_as,
    ACTIONS(4883), 1,
      anon_sym_BANG,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4921), 1,
      anon_sym_satisfies,
    ACTIONS(6018), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6020), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6022), 1,
      anon_sym_GT_GT,
    ACTIONS(6026), 1,
      anon_sym_AMP,
    ACTIONS(6028), 1,
      anon_sym_CARET,
    ACTIONS(6030), 1,
      anon_sym_PIPE,
    ACTIONS(6034), 1,
      anon_sym_PERCENT,
    ACTIONS(6036), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6038), 1,
      anon_sym_LT,
    ACTIONS(6046), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6048), 1,
      sym__ternary_qmark,
    ACTIONS(6494), 1,
      anon_sym_COLON,
    STATE(2372), 1,
      sym_type_arguments,
    STATE(3257), 1,
      sym_comment,
    STATE(6354), 1,
      sym_optional_chain,
    ACTIONS(4919), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6014), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6016), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6024), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6032), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6042), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6044), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2716), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6040), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [102585] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3258), 1,
      sym_comment,
    ACTIONS(5613), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5212), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [102640] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3259), 1,
      sym_comment,
    ACTIONS(5701), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4970), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [102695] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3260), 1,
      sym_comment,
    ACTIONS(6385), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(6387), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(4121), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4125), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [102754] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(4514), 1,
      sym__automatic_semicolon,
    ACTIONS(4939), 1,
      anon_sym_EQ,
    ACTIONS(5477), 1,
      anon_sym_LBRACK,
    STATE(3261), 1,
      sym_comment,
    STATE(4890), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5910), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(4740), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 6,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [102827] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3262), 1,
      sym_comment,
    ACTIONS(6385), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(6387), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(4121), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4125), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [102886] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3263), 1,
      sym_comment,
    ACTIONS(2239), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2243), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [102941] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3264), 1,
      sym_comment,
    ACTIONS(6082), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(6180), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(4121), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4125), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [103000] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3265), 1,
      sym_comment,
    ACTIONS(2231), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2235), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [103055] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3266), 1,
      sym_comment,
    ACTIONS(2151), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2155), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [103110] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3267), 1,
      sym_comment,
    ACTIONS(5651), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5653), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [103165] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3268), 1,
      sym_comment,
    ACTIONS(2137), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2141), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [103220] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4787), 1,
      anon_sym_LPAREN,
    ACTIONS(4811), 1,
      anon_sym_LBRACK,
    ACTIONS(4813), 1,
      anon_sym_DOT,
    ACTIONS(4867), 1,
      anon_sym_BQUOTE,
    ACTIONS(4879), 1,
      anon_sym_as,
    ACTIONS(4883), 1,
      anon_sym_BANG,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4921), 1,
      anon_sym_satisfies,
    ACTIONS(4986), 1,
      anon_sym_of,
    ACTIONS(6279), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6281), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6283), 1,
      anon_sym_GT_GT,
    ACTIONS(6287), 1,
      anon_sym_AMP,
    ACTIONS(6289), 1,
      anon_sym_CARET,
    ACTIONS(6291), 1,
      anon_sym_PIPE,
    ACTIONS(6295), 1,
      anon_sym_PERCENT,
    ACTIONS(6297), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6299), 1,
      anon_sym_LT,
    ACTIONS(6307), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6309), 1,
      sym__ternary_qmark,
    STATE(2372), 1,
      sym_type_arguments,
    STATE(3269), 1,
      sym_comment,
    STATE(6354), 1,
      sym_optional_chain,
    ACTIONS(4919), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6275), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6277), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6285), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6293), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6303), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6305), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2716), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6301), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [103333] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(4514), 1,
      sym__automatic_semicolon,
    ACTIONS(4947), 1,
      anon_sym_LBRACK,
    ACTIONS(5995), 1,
      anon_sym_STAR,
    ACTIONS(5997), 1,
      anon_sym_async,
    STATE(3270), 1,
      sym_comment,
    STATE(3998), 1,
      sym__property_name,
    ACTIONS(3894), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6001), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4151), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 8,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(4372), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [103408] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4787), 1,
      anon_sym_LPAREN,
    ACTIONS(4811), 1,
      anon_sym_LBRACK,
    ACTIONS(4813), 1,
      anon_sym_DOT,
    ACTIONS(4867), 1,
      anon_sym_BQUOTE,
    ACTIONS(4879), 1,
      anon_sym_as,
    ACTIONS(4883), 1,
      anon_sym_BANG,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4921), 1,
      anon_sym_satisfies,
    ACTIONS(4970), 1,
      anon_sym_of,
    ACTIONS(6279), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6281), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6283), 1,
      anon_sym_GT_GT,
    ACTIONS(6287), 1,
      anon_sym_AMP,
    ACTIONS(6289), 1,
      anon_sym_CARET,
    ACTIONS(6291), 1,
      anon_sym_PIPE,
    ACTIONS(6295), 1,
      anon_sym_PERCENT,
    ACTIONS(6297), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6299), 1,
      anon_sym_LT,
    ACTIONS(6307), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6309), 1,
      sym__ternary_qmark,
    STATE(2372), 1,
      sym_type_arguments,
    STATE(3271), 1,
      sym_comment,
    STATE(6354), 1,
      sym_optional_chain,
    ACTIONS(4919), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6275), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6277), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6285), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6293), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6303), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6305), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2716), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6301), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [103521] = 21,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4787), 1,
      anon_sym_LPAREN,
    ACTIONS(4811), 1,
      anon_sym_LBRACK,
    ACTIONS(4813), 1,
      anon_sym_DOT,
    ACTIONS(4867), 1,
      anon_sym_BQUOTE,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6283), 1,
      anon_sym_GT_GT,
    ACTIONS(6295), 1,
      anon_sym_PERCENT,
    ACTIONS(6297), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6299), 1,
      anon_sym_LT,
    STATE(2372), 1,
      sym_type_arguments,
    STATE(3272), 1,
      sym_comment,
    STATE(6354), 1,
      sym_optional_chain,
    ACTIONS(4919), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6275), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6285), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6293), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(2716), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4955), 7,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4957), 13,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [103608] = 16,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4787), 1,
      anon_sym_LPAREN,
    ACTIONS(4811), 1,
      anon_sym_LBRACK,
    ACTIONS(4813), 1,
      anon_sym_DOT,
    ACTIONS(4867), 1,
      anon_sym_BQUOTE,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6297), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6496), 1,
      anon_sym_LT,
    STATE(2372), 1,
      sym_type_arguments,
    STATE(3273), 1,
      sym_comment,
    STATE(6354), 1,
      sym_optional_chain,
    ACTIONS(4919), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2716), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4955), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4957), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [103685] = 18,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4787), 1,
      anon_sym_LPAREN,
    ACTIONS(4811), 1,
      anon_sym_LBRACK,
    ACTIONS(4813), 1,
      anon_sym_DOT,
    ACTIONS(4867), 1,
      anon_sym_BQUOTE,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6229), 1,
      anon_sym_PERCENT,
    ACTIONS(6231), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6491), 1,
      anon_sym_LT,
    STATE(2372), 1,
      sym_type_arguments,
    STATE(3274), 1,
      sym_comment,
    STATE(6354), 1,
      sym_optional_chain,
    ACTIONS(4919), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6209), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(2716), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4955), 10,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4957), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [103766] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4514), 1,
      sym__automatic_semicolon,
    ACTIONS(4939), 1,
      anon_sym_EQ,
    ACTIONS(4941), 1,
      anon_sym_COMMA,
    ACTIONS(5230), 1,
      anon_sym_RBRACE,
    STATE(3275), 1,
      sym_comment,
    STATE(6165), 1,
      aux_sym_object_repeat1,
    STATE(6171), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(1043), 6,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2419), 29,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [103833] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(4514), 1,
      sym__automatic_semicolon,
    ACTIONS(4947), 1,
      anon_sym_LBRACK,
    ACTIONS(6245), 1,
      anon_sym_STAR,
    ACTIONS(6375), 1,
      anon_sym_async,
    STATE(3276), 1,
      sym_comment,
    STATE(3979), 1,
      sym__property_name,
    ACTIONS(3894), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6377), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4151), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(4372), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [103908] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(6499), 1,
      anon_sym_LPAREN,
    ACTIONS(6502), 1,
      anon_sym_COLON,
    ACTIONS(6504), 1,
      anon_sym_LT,
    ACTIONS(6507), 1,
      anon_sym_QMARK,
    STATE(3277), 1,
      sym_comment,
    ACTIONS(4121), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4125), 25,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [103971] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(4514), 1,
      sym__automatic_semicolon,
    ACTIONS(4947), 1,
      anon_sym_LBRACK,
    ACTIONS(6509), 1,
      anon_sym_STAR,
    ACTIONS(6511), 1,
      anon_sym_async,
    STATE(3278), 1,
      sym_comment,
    STATE(3947), 1,
      sym__property_name,
    ACTIONS(3894), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6513), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4151), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(4372), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [104046] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4787), 1,
      anon_sym_LPAREN,
    ACTIONS(4811), 1,
      anon_sym_LBRACK,
    ACTIONS(4813), 1,
      anon_sym_DOT,
    ACTIONS(4867), 1,
      anon_sym_BQUOTE,
    ACTIONS(4879), 1,
      anon_sym_as,
    ACTIONS(4883), 1,
      anon_sym_BANG,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4921), 1,
      anon_sym_satisfies,
    ACTIONS(6018), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6020), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6022), 1,
      anon_sym_GT_GT,
    ACTIONS(6026), 1,
      anon_sym_AMP,
    ACTIONS(6028), 1,
      anon_sym_CARET,
    ACTIONS(6030), 1,
      anon_sym_PIPE,
    ACTIONS(6034), 1,
      anon_sym_PERCENT,
    ACTIONS(6036), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6038), 1,
      anon_sym_LT,
    ACTIONS(6046), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6048), 1,
      sym__ternary_qmark,
    ACTIONS(6515), 1,
      anon_sym_COLON,
    STATE(2372), 1,
      sym_type_arguments,
    STATE(3279), 1,
      sym_comment,
    STATE(6354), 1,
      sym_optional_chain,
    ACTIONS(4919), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6014), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6016), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6024), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6032), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6042), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6044), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2716), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6040), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [104159] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(4514), 1,
      sym__automatic_semicolon,
    ACTIONS(4947), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_STAR,
    ACTIONS(6517), 1,
      anon_sym_async,
    STATE(3280), 1,
      sym_comment,
    STATE(4026), 1,
      sym__property_name,
    ACTIONS(3894), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6519), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4151), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 8,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(4372), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [104234] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4248), 1,
      anon_sym_EQ,
    ACTIONS(5675), 1,
      anon_sym_LBRACK,
    STATE(3281), 1,
      sym_comment,
    ACTIONS(5286), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(5678), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4121), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4125), 24,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [104297] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4787), 1,
      anon_sym_LPAREN,
    ACTIONS(4811), 1,
      anon_sym_LBRACK,
    ACTIONS(4813), 1,
      anon_sym_DOT,
    ACTIONS(4867), 1,
      anon_sym_BQUOTE,
    ACTIONS(4879), 1,
      anon_sym_as,
    ACTIONS(4883), 1,
      anon_sym_BANG,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4921), 1,
      anon_sym_satisfies,
    ACTIONS(5106), 1,
      anon_sym_RBRACK,
    ACTIONS(6213), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6215), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6217), 1,
      anon_sym_GT_GT,
    ACTIONS(6221), 1,
      anon_sym_AMP,
    ACTIONS(6223), 1,
      anon_sym_CARET,
    ACTIONS(6225), 1,
      anon_sym_PIPE,
    ACTIONS(6229), 1,
      anon_sym_PERCENT,
    ACTIONS(6231), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6233), 1,
      anon_sym_LT,
    ACTIONS(6241), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6243), 1,
      sym__ternary_qmark,
    STATE(2372), 1,
      sym_type_arguments,
    STATE(3282), 1,
      sym_comment,
    STATE(6354), 1,
      sym_optional_chain,
    ACTIONS(4919), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6209), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6211), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6219), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6227), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6237), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6239), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2716), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6235), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [104410] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3283), 1,
      sym_comment,
    ACTIONS(5496), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5498), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [104465] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(6521), 1,
      sym__automatic_semicolon,
    STATE(3284), 1,
      sym_comment,
    ACTIONS(2307), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(2175), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2179), 25,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [104524] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4787), 1,
      anon_sym_LPAREN,
    ACTIONS(4811), 1,
      anon_sym_LBRACK,
    ACTIONS(4813), 1,
      anon_sym_DOT,
    ACTIONS(4867), 1,
      anon_sym_BQUOTE,
    ACTIONS(4879), 1,
      anon_sym_as,
    ACTIONS(4883), 1,
      anon_sym_BANG,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4921), 1,
      anon_sym_satisfies,
    ACTIONS(5100), 1,
      anon_sym_RBRACK,
    ACTIONS(6213), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6215), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6217), 1,
      anon_sym_GT_GT,
    ACTIONS(6221), 1,
      anon_sym_AMP,
    ACTIONS(6223), 1,
      anon_sym_CARET,
    ACTIONS(6225), 1,
      anon_sym_PIPE,
    ACTIONS(6229), 1,
      anon_sym_PERCENT,
    ACTIONS(6231), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6233), 1,
      anon_sym_LT,
    ACTIONS(6241), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6243), 1,
      sym__ternary_qmark,
    STATE(2372), 1,
      sym_type_arguments,
    STATE(3285), 1,
      sym_comment,
    STATE(6354), 1,
      sym_optional_chain,
    ACTIONS(4919), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6209), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6211), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6219), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6227), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6237), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6239), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2716), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6235), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [104637] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(6523), 1,
      sym__automatic_semicolon,
    STATE(3286), 1,
      sym_comment,
    ACTIONS(2311), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(2183), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2187), 25,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [104696] = 27,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4787), 1,
      anon_sym_LPAREN,
    ACTIONS(4811), 1,
      anon_sym_LBRACK,
    ACTIONS(4813), 1,
      anon_sym_DOT,
    ACTIONS(4867), 1,
      anon_sym_BQUOTE,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6217), 1,
      anon_sym_GT_GT,
    ACTIONS(6221), 1,
      anon_sym_AMP,
    ACTIONS(6223), 1,
      anon_sym_CARET,
    ACTIONS(6229), 1,
      anon_sym_PERCENT,
    ACTIONS(6231), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6233), 1,
      anon_sym_LT,
    STATE(2372), 1,
      sym_type_arguments,
    STATE(3287), 1,
      sym_comment,
    STATE(6354), 1,
      sym_optional_chain,
    ACTIONS(4919), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4955), 2,
      anon_sym_BANG,
      anon_sym_PIPE,
    ACTIONS(6209), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6211), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6219), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6227), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6237), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6239), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2716), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6235), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4957), 7,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [104795] = 26,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4787), 1,
      anon_sym_LPAREN,
    ACTIONS(4811), 1,
      anon_sym_LBRACK,
    ACTIONS(4813), 1,
      anon_sym_DOT,
    ACTIONS(4867), 1,
      anon_sym_BQUOTE,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6217), 1,
      anon_sym_GT_GT,
    ACTIONS(6221), 1,
      anon_sym_AMP,
    ACTIONS(6229), 1,
      anon_sym_PERCENT,
    ACTIONS(6231), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6233), 1,
      anon_sym_LT,
    STATE(2372), 1,
      sym_type_arguments,
    STATE(3288), 1,
      sym_comment,
    STATE(6354), 1,
      sym_optional_chain,
    ACTIONS(4919), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4955), 2,
      anon_sym_BANG,
      anon_sym_PIPE,
    ACTIONS(6209), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6211), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6219), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6227), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6237), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6239), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2716), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6235), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4957), 8,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [104892] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4514), 1,
      sym__automatic_semicolon,
    ACTIONS(4939), 1,
      anon_sym_EQ,
    ACTIONS(4941), 1,
      anon_sym_COMMA,
    ACTIONS(5230), 1,
      anon_sym_RBRACE,
    STATE(3289), 1,
      sym_comment,
    STATE(6165), 1,
      aux_sym_object_repeat1,
    STATE(6171), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(1043), 6,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2431), 29,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [104959] = 25,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4787), 1,
      anon_sym_LPAREN,
    ACTIONS(4811), 1,
      anon_sym_LBRACK,
    ACTIONS(4813), 1,
      anon_sym_DOT,
    ACTIONS(4867), 1,
      anon_sym_BQUOTE,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6217), 1,
      anon_sym_GT_GT,
    ACTIONS(6229), 1,
      anon_sym_PERCENT,
    ACTIONS(6231), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6233), 1,
      anon_sym_LT,
    STATE(2372), 1,
      sym_type_arguments,
    STATE(3290), 1,
      sym_comment,
    STATE(6354), 1,
      sym_optional_chain,
    ACTIONS(4919), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6209), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6211), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6219), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6227), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6237), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6239), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2716), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4955), 3,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(6235), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4957), 8,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [105054] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(4514), 1,
      sym__automatic_semicolon,
    ACTIONS(5477), 1,
      anon_sym_LBRACK,
    ACTIONS(6509), 1,
      anon_sym_STAR,
    STATE(3291), 1,
      sym_comment,
    STATE(4898), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6525), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4740), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2900), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [105127] = 19,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(231), 1,
      anon_sym_COMMA,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(2902), 1,
      anon_sym_async,
    ACTIONS(4939), 1,
      anon_sym_EQ,
    ACTIONS(5477), 1,
      anon_sym_LBRACK,
    ACTIONS(5988), 1,
      anon_sym_STAR,
    ACTIONS(5990), 1,
      anon_sym_RBRACE,
    STATE(3292), 1,
      sym_comment,
    STATE(4761), 1,
      sym__property_name,
    STATE(6171), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6333), 1,
      aux_sym_object_repeat1,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2906), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4740), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2900), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [105210] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3293), 1,
      sym_comment,
    ACTIONS(5590), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5592), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [105265] = 18,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(231), 1,
      anon_sym_COMMA,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(4939), 1,
      anon_sym_EQ,
    ACTIONS(5477), 1,
      anon_sym_LBRACK,
    ACTIONS(5988), 1,
      anon_sym_STAR,
    ACTIONS(5990), 1,
      anon_sym_RBRACE,
    STATE(3294), 1,
      sym_comment,
    STATE(4761), 1,
      sym__property_name,
    STATE(6171), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6333), 1,
      aux_sym_object_repeat1,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2906), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4740), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2900), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [105346] = 19,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(231), 1,
      anon_sym_COMMA,
    ACTIONS(1053), 1,
      anon_sym_RBRACE,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(2902), 1,
      anon_sym_async,
    ACTIONS(4939), 1,
      anon_sym_EQ,
    ACTIONS(5477), 1,
      anon_sym_LBRACK,
    ACTIONS(5988), 1,
      anon_sym_STAR,
    STATE(3295), 1,
      sym_comment,
    STATE(4761), 1,
      sym__property_name,
    STATE(6171), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6333), 1,
      aux_sym_object_repeat1,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2906), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4740), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2900), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [105429] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3296), 1,
      sym_comment,
    ACTIONS(5655), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5657), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [105484] = 19,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4787), 1,
      anon_sym_LPAREN,
    ACTIONS(4811), 1,
      anon_sym_LBRACK,
    ACTIONS(4813), 1,
      anon_sym_DOT,
    ACTIONS(4867), 1,
      anon_sym_BQUOTE,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6229), 1,
      anon_sym_PERCENT,
    ACTIONS(6231), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6491), 1,
      anon_sym_LT,
    STATE(2372), 1,
      sym_type_arguments,
    STATE(3297), 1,
      sym_comment,
    STATE(6354), 1,
      sym_optional_chain,
    ACTIONS(4919), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6209), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6227), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(2716), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4955), 8,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4957), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [105567] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(4514), 1,
      sym__automatic_semicolon,
    ACTIONS(5477), 1,
      anon_sym_LBRACK,
    ACTIONS(6527), 1,
      anon_sym_STAR,
    STATE(3298), 1,
      sym_comment,
    STATE(4843), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6529), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4740), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2900), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [105640] = 18,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(231), 1,
      anon_sym_COMMA,
    ACTIONS(1053), 1,
      anon_sym_RBRACE,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(4939), 1,
      anon_sym_EQ,
    ACTIONS(5477), 1,
      anon_sym_LBRACK,
    ACTIONS(5988), 1,
      anon_sym_STAR,
    STATE(3299), 1,
      sym_comment,
    STATE(4761), 1,
      sym__property_name,
    STATE(6171), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6333), 1,
      aux_sym_object_repeat1,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2906), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4740), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2900), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [105721] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3300), 1,
      sym_comment,
    ACTIONS(5606), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5608), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [105776] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3301), 1,
      sym_comment,
    ACTIONS(5661), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5663), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [105831] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4787), 1,
      anon_sym_LPAREN,
    ACTIONS(4811), 1,
      anon_sym_LBRACK,
    ACTIONS(4813), 1,
      anon_sym_DOT,
    ACTIONS(4867), 1,
      anon_sym_BQUOTE,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4955), 1,
      anon_sym_BANG,
    ACTIONS(6283), 1,
      anon_sym_GT_GT,
    ACTIONS(6287), 1,
      anon_sym_AMP,
    ACTIONS(6289), 1,
      anon_sym_CARET,
    ACTIONS(6291), 1,
      anon_sym_PIPE,
    ACTIONS(6295), 1,
      anon_sym_PERCENT,
    ACTIONS(6297), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6299), 1,
      anon_sym_LT,
    STATE(2372), 1,
      sym_type_arguments,
    STATE(3302), 1,
      sym_comment,
    STATE(6354), 1,
      sym_optional_chain,
    ACTIONS(4919), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6275), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6277), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6285), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6293), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6303), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6305), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2716), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6301), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4957), 7,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [105932] = 29,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4787), 1,
      anon_sym_LPAREN,
    ACTIONS(4811), 1,
      anon_sym_LBRACK,
    ACTIONS(4813), 1,
      anon_sym_DOT,
    ACTIONS(4867), 1,
      anon_sym_BQUOTE,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4955), 1,
      anon_sym_BANG,
    ACTIONS(6279), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6283), 1,
      anon_sym_GT_GT,
    ACTIONS(6287), 1,
      anon_sym_AMP,
    ACTIONS(6289), 1,
      anon_sym_CARET,
    ACTIONS(6291), 1,
      anon_sym_PIPE,
    ACTIONS(6295), 1,
      anon_sym_PERCENT,
    ACTIONS(6297), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6299), 1,
      anon_sym_LT,
    STATE(2372), 1,
      sym_type_arguments,
    STATE(3303), 1,
      sym_comment,
    STATE(6354), 1,
      sym_optional_chain,
    ACTIONS(4919), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6275), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6277), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6285), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6293), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6303), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6305), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2716), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6301), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4957), 6,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_of,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [106035] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3304), 1,
      sym_comment,
    ACTIONS(5604), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5214), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [106090] = 19,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4787), 1,
      anon_sym_LPAREN,
    ACTIONS(4811), 1,
      anon_sym_LBRACK,
    ACTIONS(4813), 1,
      anon_sym_DOT,
    ACTIONS(4867), 1,
      anon_sym_BQUOTE,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6295), 1,
      anon_sym_PERCENT,
    ACTIONS(6297), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6496), 1,
      anon_sym_LT,
    STATE(2372), 1,
      sym_type_arguments,
    STATE(3305), 1,
      sym_comment,
    STATE(6354), 1,
      sym_optional_chain,
    ACTIONS(4919), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6275), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6293), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(2716), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4955), 8,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4957), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [106173] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3306), 1,
      sym_comment,
    ACTIONS(5665), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5667), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [106228] = 29,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4787), 1,
      anon_sym_LPAREN,
    ACTIONS(4811), 1,
      anon_sym_LBRACK,
    ACTIONS(4813), 1,
      anon_sym_DOT,
    ACTIONS(4867), 1,
      anon_sym_BQUOTE,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4955), 1,
      anon_sym_BANG,
    ACTIONS(6213), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6217), 1,
      anon_sym_GT_GT,
    ACTIONS(6221), 1,
      anon_sym_AMP,
    ACTIONS(6223), 1,
      anon_sym_CARET,
    ACTIONS(6225), 1,
      anon_sym_PIPE,
    ACTIONS(6229), 1,
      anon_sym_PERCENT,
    ACTIONS(6231), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6233), 1,
      anon_sym_LT,
    STATE(2372), 1,
      sym_type_arguments,
    STATE(3307), 1,
      sym_comment,
    STATE(6354), 1,
      sym_optional_chain,
    ACTIONS(4919), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6209), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6211), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6219), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6227), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6237), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6239), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2716), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6235), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4957), 6,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [106331] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4787), 1,
      anon_sym_LPAREN,
    ACTIONS(4811), 1,
      anon_sym_LBRACK,
    ACTIONS(4813), 1,
      anon_sym_DOT,
    ACTIONS(4867), 1,
      anon_sym_BQUOTE,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4955), 1,
      anon_sym_BANG,
    ACTIONS(6217), 1,
      anon_sym_GT_GT,
    ACTIONS(6221), 1,
      anon_sym_AMP,
    ACTIONS(6223), 1,
      anon_sym_CARET,
    ACTIONS(6225), 1,
      anon_sym_PIPE,
    ACTIONS(6229), 1,
      anon_sym_PERCENT,
    ACTIONS(6231), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6233), 1,
      anon_sym_LT,
    STATE(2372), 1,
      sym_type_arguments,
    STATE(3308), 1,
      sym_comment,
    STATE(6354), 1,
      sym_optional_chain,
    ACTIONS(4919), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6209), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6211), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6219), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6227), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6237), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6239), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2716), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6235), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4957), 7,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [106432] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3309), 1,
      sym_comment,
    ACTIONS(2087), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2091), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [106487] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(6531), 1,
      sym__automatic_semicolon,
    STATE(3310), 1,
      sym_comment,
    ACTIONS(2347), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(2259), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2263), 25,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [106546] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3311), 1,
      sym_comment,
    ACTIONS(2119), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2123), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [106601] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3312), 1,
      sym_comment,
    ACTIONS(5574), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5576), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [106656] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3313), 1,
      sym_comment,
    ACTIONS(2175), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2179), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [106711] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3314), 1,
      sym_comment,
    ACTIONS(2183), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2187), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [106766] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4787), 1,
      anon_sym_LPAREN,
    ACTIONS(4811), 1,
      anon_sym_LBRACK,
    ACTIONS(4813), 1,
      anon_sym_DOT,
    ACTIONS(4867), 1,
      anon_sym_BQUOTE,
    ACTIONS(4879), 1,
      anon_sym_as,
    ACTIONS(4883), 1,
      anon_sym_BANG,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4921), 1,
      anon_sym_satisfies,
    ACTIONS(4986), 1,
      anon_sym_RBRACK,
    ACTIONS(6213), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6215), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6217), 1,
      anon_sym_GT_GT,
    ACTIONS(6221), 1,
      anon_sym_AMP,
    ACTIONS(6223), 1,
      anon_sym_CARET,
    ACTIONS(6225), 1,
      anon_sym_PIPE,
    ACTIONS(6229), 1,
      anon_sym_PERCENT,
    ACTIONS(6231), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6233), 1,
      anon_sym_LT,
    ACTIONS(6241), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6243), 1,
      sym__ternary_qmark,
    STATE(2372), 1,
      sym_type_arguments,
    STATE(3315), 1,
      sym_comment,
    STATE(6354), 1,
      sym_optional_chain,
    ACTIONS(4919), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6209), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6211), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6219), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6227), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6237), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6239), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2716), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6235), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [106879] = 16,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4787), 1,
      anon_sym_LPAREN,
    ACTIONS(4811), 1,
      anon_sym_LBRACK,
    ACTIONS(4813), 1,
      anon_sym_DOT,
    ACTIONS(4867), 1,
      anon_sym_BQUOTE,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6231), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6491), 1,
      anon_sym_LT,
    STATE(2372), 1,
      sym_type_arguments,
    STATE(3316), 1,
      sym_comment,
    STATE(6354), 1,
      sym_optional_chain,
    ACTIONS(4919), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2716), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4955), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4957), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [106956] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(4514), 1,
      sym__automatic_semicolon,
    ACTIONS(5477), 1,
      anon_sym_LBRACK,
    ACTIONS(6058), 1,
      anon_sym_STAR,
    STATE(3317), 1,
      sym_comment,
    STATE(4811), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6533), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4740), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2900), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [107029] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4787), 1,
      anon_sym_LPAREN,
    ACTIONS(4811), 1,
      anon_sym_LBRACK,
    ACTIONS(4813), 1,
      anon_sym_DOT,
    ACTIONS(4867), 1,
      anon_sym_BQUOTE,
    ACTIONS(4879), 1,
      anon_sym_as,
    ACTIONS(4883), 1,
      anon_sym_BANG,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4921), 1,
      anon_sym_satisfies,
    ACTIONS(5179), 1,
      anon_sym_of,
    ACTIONS(6279), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6281), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6283), 1,
      anon_sym_GT_GT,
    ACTIONS(6287), 1,
      anon_sym_AMP,
    ACTIONS(6289), 1,
      anon_sym_CARET,
    ACTIONS(6291), 1,
      anon_sym_PIPE,
    ACTIONS(6295), 1,
      anon_sym_PERCENT,
    ACTIONS(6297), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6299), 1,
      anon_sym_LT,
    ACTIONS(6307), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6309), 1,
      sym__ternary_qmark,
    STATE(2372), 1,
      sym_type_arguments,
    STATE(3318), 1,
      sym_comment,
    STATE(6354), 1,
      sym_optional_chain,
    ACTIONS(4919), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6275), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6277), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6285), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6293), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6303), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6305), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2716), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6301), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [107142] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3319), 1,
      sym_comment,
    ACTIONS(5598), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5600), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [107197] = 25,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4787), 1,
      anon_sym_LPAREN,
    ACTIONS(4811), 1,
      anon_sym_LBRACK,
    ACTIONS(4813), 1,
      anon_sym_DOT,
    ACTIONS(4867), 1,
      anon_sym_BQUOTE,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6283), 1,
      anon_sym_GT_GT,
    ACTIONS(6295), 1,
      anon_sym_PERCENT,
    ACTIONS(6297), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6299), 1,
      anon_sym_LT,
    STATE(2372), 1,
      sym_type_arguments,
    STATE(3320), 1,
      sym_comment,
    STATE(6354), 1,
      sym_optional_chain,
    ACTIONS(4919), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6275), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6277), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6285), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6293), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6303), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6305), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2716), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4955), 3,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(6301), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4957), 8,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [107292] = 26,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4787), 1,
      anon_sym_LPAREN,
    ACTIONS(4811), 1,
      anon_sym_LBRACK,
    ACTIONS(4813), 1,
      anon_sym_DOT,
    ACTIONS(4867), 1,
      anon_sym_BQUOTE,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6283), 1,
      anon_sym_GT_GT,
    ACTIONS(6287), 1,
      anon_sym_AMP,
    ACTIONS(6295), 1,
      anon_sym_PERCENT,
    ACTIONS(6297), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6299), 1,
      anon_sym_LT,
    STATE(2372), 1,
      sym_type_arguments,
    STATE(3321), 1,
      sym_comment,
    STATE(6354), 1,
      sym_optional_chain,
    ACTIONS(4919), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4955), 2,
      anon_sym_BANG,
      anon_sym_PIPE,
    ACTIONS(6275), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6277), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6285), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6293), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6303), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6305), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2716), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6301), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4957), 8,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [107389] = 27,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4787), 1,
      anon_sym_LPAREN,
    ACTIONS(4811), 1,
      anon_sym_LBRACK,
    ACTIONS(4813), 1,
      anon_sym_DOT,
    ACTIONS(4867), 1,
      anon_sym_BQUOTE,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6283), 1,
      anon_sym_GT_GT,
    ACTIONS(6287), 1,
      anon_sym_AMP,
    ACTIONS(6289), 1,
      anon_sym_CARET,
    ACTIONS(6295), 1,
      anon_sym_PERCENT,
    ACTIONS(6297), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6299), 1,
      anon_sym_LT,
    STATE(2372), 1,
      sym_type_arguments,
    STATE(3322), 1,
      sym_comment,
    STATE(6354), 1,
      sym_optional_chain,
    ACTIONS(4919), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4955), 2,
      anon_sym_BANG,
      anon_sym_PIPE,
    ACTIONS(6275), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6277), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6285), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6293), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6303), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6305), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2716), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6301), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4957), 7,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [107488] = 18,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4787), 1,
      anon_sym_LPAREN,
    ACTIONS(4811), 1,
      anon_sym_LBRACK,
    ACTIONS(4813), 1,
      anon_sym_DOT,
    ACTIONS(4867), 1,
      anon_sym_BQUOTE,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6295), 1,
      anon_sym_PERCENT,
    ACTIONS(6297), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6496), 1,
      anon_sym_LT,
    STATE(2372), 1,
      sym_type_arguments,
    STATE(3323), 1,
      sym_comment,
    STATE(6354), 1,
      sym_optional_chain,
    ACTIONS(4919), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6275), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(2716), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4955), 10,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4957), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [107569] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4787), 1,
      anon_sym_LPAREN,
    ACTIONS(4811), 1,
      anon_sym_LBRACK,
    ACTIONS(4813), 1,
      anon_sym_DOT,
    ACTIONS(4867), 1,
      anon_sym_BQUOTE,
    ACTIONS(4879), 1,
      anon_sym_as,
    ACTIONS(4883), 1,
      anon_sym_BANG,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4921), 1,
      anon_sym_satisfies,
    ACTIONS(5154), 1,
      anon_sym_of,
    ACTIONS(6279), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6281), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6283), 1,
      anon_sym_GT_GT,
    ACTIONS(6287), 1,
      anon_sym_AMP,
    ACTIONS(6289), 1,
      anon_sym_CARET,
    ACTIONS(6291), 1,
      anon_sym_PIPE,
    ACTIONS(6295), 1,
      anon_sym_PERCENT,
    ACTIONS(6297), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6299), 1,
      anon_sym_LT,
    ACTIONS(6307), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6309), 1,
      sym__ternary_qmark,
    STATE(2372), 1,
      sym_type_arguments,
    STATE(3324), 1,
      sym_comment,
    STATE(6354), 1,
      sym_optional_chain,
    ACTIONS(4919), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6275), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6277), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6285), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6293), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6303), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6305), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2716), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6301), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [107682] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3325), 1,
      sym_comment,
    ACTIONS(6535), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(6537), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(4121), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4125), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [107741] = 19,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4787), 1,
      anon_sym_LPAREN,
    ACTIONS(4811), 1,
      anon_sym_LBRACK,
    ACTIONS(4813), 1,
      anon_sym_DOT,
    ACTIONS(4867), 1,
      anon_sym_BQUOTE,
    ACTIONS(4879), 1,
      anon_sym_as,
    ACTIONS(4883), 1,
      anon_sym_BANG,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4921), 1,
      anon_sym_satisfies,
    ACTIONS(6297), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6496), 1,
      anon_sym_LT,
    STATE(2372), 1,
      sym_type_arguments,
    STATE(3326), 1,
      sym_comment,
    STATE(6354), 1,
      sym_optional_chain,
    ACTIONS(4919), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2716), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4955), 11,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4957), 14,
      sym__ternary_qmark,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [107824] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5286), 1,
      anon_sym_extends,
    STATE(3327), 1,
      sym_comment,
    ACTIONS(5678), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5675), 3,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
    ACTIONS(4121), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4125), 24,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [107885] = 19,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(231), 1,
      anon_sym_COMMA,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(2902), 1,
      anon_sym_async,
    ACTIONS(4939), 1,
      anon_sym_EQ,
    ACTIONS(5477), 1,
      anon_sym_LBRACK,
    ACTIONS(5988), 1,
      anon_sym_STAR,
    ACTIONS(6007), 1,
      anon_sym_RBRACE,
    STATE(3328), 1,
      sym_comment,
    STATE(4761), 1,
      sym__property_name,
    STATE(6171), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6333), 1,
      aux_sym_object_repeat1,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2906), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4740), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2900), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [107968] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4787), 1,
      anon_sym_LPAREN,
    ACTIONS(4811), 1,
      anon_sym_LBRACK,
    ACTIONS(4813), 1,
      anon_sym_DOT,
    ACTIONS(4867), 1,
      anon_sym_BQUOTE,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4955), 1,
      anon_sym_BANG,
    ACTIONS(6279), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6281), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6283), 1,
      anon_sym_GT_GT,
    ACTIONS(6287), 1,
      anon_sym_AMP,
    ACTIONS(6289), 1,
      anon_sym_CARET,
    ACTIONS(6291), 1,
      anon_sym_PIPE,
    ACTIONS(6295), 1,
      anon_sym_PERCENT,
    ACTIONS(6297), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6299), 1,
      anon_sym_LT,
    STATE(2372), 1,
      sym_type_arguments,
    STATE(3329), 1,
      sym_comment,
    STATE(6354), 1,
      sym_optional_chain,
    ACTIONS(4919), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6275), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6277), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6285), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6293), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6303), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6305), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2716), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6301), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4957), 5,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_of,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [108073] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(6539), 1,
      sym__automatic_semicolon,
    STATE(3330), 1,
      sym_comment,
    ACTIONS(2267), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(2215), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2219), 25,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [108132] = 23,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4787), 1,
      anon_sym_LPAREN,
    ACTIONS(4811), 1,
      anon_sym_LBRACK,
    ACTIONS(4813), 1,
      anon_sym_DOT,
    ACTIONS(4867), 1,
      anon_sym_BQUOTE,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6283), 1,
      anon_sym_GT_GT,
    ACTIONS(6295), 1,
      anon_sym_PERCENT,
    ACTIONS(6297), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6299), 1,
      anon_sym_LT,
    STATE(2372), 1,
      sym_type_arguments,
    STATE(3331), 1,
      sym_comment,
    STATE(6354), 1,
      sym_optional_chain,
    ACTIONS(4919), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6275), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6277), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6285), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6293), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(2716), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6301), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4955), 5,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4957), 10,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [108223] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4294), 1,
      anon_sym_EQ,
    ACTIONS(5286), 1,
      anon_sym_extends,
    STATE(3332), 1,
      sym_comment,
    ACTIONS(5675), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(5678), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4121), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4125), 24,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [108286] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4787), 1,
      anon_sym_LPAREN,
    ACTIONS(4811), 1,
      anon_sym_LBRACK,
    ACTIONS(4813), 1,
      anon_sym_DOT,
    ACTIONS(4867), 1,
      anon_sym_BQUOTE,
    ACTIONS(4879), 1,
      anon_sym_as,
    ACTIONS(4883), 1,
      anon_sym_BANG,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4921), 1,
      anon_sym_satisfies,
    ACTIONS(4970), 1,
      anon_sym_RBRACK,
    ACTIONS(6213), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6215), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6217), 1,
      anon_sym_GT_GT,
    ACTIONS(6221), 1,
      anon_sym_AMP,
    ACTIONS(6223), 1,
      anon_sym_CARET,
    ACTIONS(6225), 1,
      anon_sym_PIPE,
    ACTIONS(6229), 1,
      anon_sym_PERCENT,
    ACTIONS(6231), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6233), 1,
      anon_sym_LT,
    ACTIONS(6241), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6243), 1,
      sym__ternary_qmark,
    STATE(2372), 1,
      sym_type_arguments,
    STATE(3333), 1,
      sym_comment,
    STATE(6354), 1,
      sym_optional_chain,
    ACTIONS(4919), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6209), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6211), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6219), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6227), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6237), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6239), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2716), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6235), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [108399] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3334), 1,
      sym_comment,
    ACTIONS(5208), 3,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
    ACTIONS(5210), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_extends,
    ACTIONS(4121), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4125), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [108457] = 33,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4787), 1,
      anon_sym_LPAREN,
    ACTIONS(4811), 1,
      anon_sym_LBRACK,
    ACTIONS(4813), 1,
      anon_sym_DOT,
    ACTIONS(4867), 1,
      anon_sym_BQUOTE,
    ACTIONS(4879), 1,
      anon_sym_as,
    ACTIONS(4883), 1,
      anon_sym_BANG,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4921), 1,
      anon_sym_satisfies,
    ACTIONS(6545), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6547), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6549), 1,
      anon_sym_GT_GT,
    ACTIONS(6553), 1,
      anon_sym_AMP,
    ACTIONS(6555), 1,
      anon_sym_CARET,
    ACTIONS(6557), 1,
      anon_sym_PIPE,
    ACTIONS(6561), 1,
      anon_sym_PERCENT,
    ACTIONS(6563), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6565), 1,
      anon_sym_LT,
    ACTIONS(6573), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6575), 1,
      sym__ternary_qmark,
    STATE(2372), 1,
      sym_type_arguments,
    STATE(3335), 1,
      sym_comment,
    STATE(6354), 1,
      sym_optional_chain,
    ACTIONS(4919), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6541), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6543), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6551), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6559), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6569), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6571), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2716), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6567), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [108567] = 33,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4787), 1,
      anon_sym_LPAREN,
    ACTIONS(4811), 1,
      anon_sym_LBRACK,
    ACTIONS(4813), 1,
      anon_sym_DOT,
    ACTIONS(4867), 1,
      anon_sym_BQUOTE,
    ACTIONS(4879), 1,
      anon_sym_as,
    ACTIONS(4883), 1,
      anon_sym_BANG,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4921), 1,
      anon_sym_satisfies,
    ACTIONS(6545), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6547), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6549), 1,
      anon_sym_GT_GT,
    ACTIONS(6553), 1,
      anon_sym_AMP,
    ACTIONS(6555), 1,
      anon_sym_CARET,
    ACTIONS(6557), 1,
      anon_sym_PIPE,
    ACTIONS(6561), 1,
      anon_sym_PERCENT,
    ACTIONS(6563), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6565), 1,
      anon_sym_LT,
    ACTIONS(6573), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6575), 1,
      sym__ternary_qmark,
    STATE(2372), 1,
      sym_type_arguments,
    STATE(3336), 1,
      sym_comment,
    STATE(6354), 1,
      sym_optional_chain,
    ACTIONS(4919), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6541), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6543), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6551), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6559), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6569), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6571), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2716), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6567), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [108677] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(4514), 1,
      sym__automatic_semicolon,
    ACTIONS(5477), 1,
      anon_sym_LBRACK,
    STATE(3337), 1,
      sym_comment,
    STATE(4925), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4740), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 8,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [108745] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(4514), 1,
      sym__automatic_semicolon,
    ACTIONS(5477), 1,
      anon_sym_LBRACK,
    STATE(3338), 1,
      sym_comment,
    STATE(4946), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4740), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 8,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [108813] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(4514), 1,
      sym__automatic_semicolon,
    ACTIONS(5477), 1,
      anon_sym_LBRACK,
    STATE(3339), 1,
      sym_comment,
    STATE(4948), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4740), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 8,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [108881] = 16,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(231), 1,
      anon_sym_COMMA,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(4939), 1,
      anon_sym_EQ,
    ACTIONS(5477), 1,
      anon_sym_LBRACK,
    ACTIONS(6172), 1,
      anon_sym_RBRACE,
    STATE(3340), 1,
      sym_comment,
    STATE(4761), 1,
      sym__property_name,
    STATE(6171), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6333), 1,
      aux_sym_object_repeat1,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4740), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [108957] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(4514), 1,
      sym__automatic_semicolon,
    ACTIONS(5477), 1,
      anon_sym_LBRACK,
    STATE(3341), 1,
      sym_comment,
    STATE(4826), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4740), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [109025] = 22,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(225), 1,
      anon_sym_STAR,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(2115), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5477), 1,
      anon_sym_LBRACK,
    ACTIONS(6581), 1,
      anon_sym_async,
    ACTIONS(6583), 1,
      anon_sym_static,
    ACTIONS(6585), 1,
      anon_sym_readonly,
    ACTIONS(6591), 1,
      anon_sym_override,
    STATE(3342), 1,
      sym_comment,
    STATE(3651), 1,
      sym_accessibility_modifier,
    STATE(3663), 1,
      sym_override_modifier,
    STATE(4669), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6579), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(6587), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4740), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(6589), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(6824), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
    ACTIONS(6577), 14,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [109113] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(4514), 1,
      sym__automatic_semicolon,
    ACTIONS(4947), 1,
      anon_sym_LBRACK,
    STATE(3343), 1,
      sym_comment,
    STATE(4436), 1,
      sym__property_name,
    ACTIONS(3894), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4151), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(4372), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [109181] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4123), 1,
      anon_sym_EQ,
    STATE(3344), 1,
      sym_comment,
    ACTIONS(4354), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
    ACTIONS(4121), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4125), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [109239] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3345), 1,
      sym_comment,
    ACTIONS(5137), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(5306), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5308), 25,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [109295] = 16,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(231), 1,
      anon_sym_COMMA,
    ACTIONS(1022), 1,
      anon_sym_RBRACE,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(4939), 1,
      anon_sym_EQ,
    ACTIONS(5477), 1,
      anon_sym_LBRACK,
    STATE(3346), 1,
      sym_comment,
    STATE(4761), 1,
      sym__property_name,
    STATE(6171), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6333), 1,
      aux_sym_object_repeat1,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4740), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [109371] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4123), 1,
      anon_sym_EQ,
    ACTIONS(5286), 1,
      anon_sym_extends,
    STATE(3347), 1,
      sym_comment,
    ACTIONS(5675), 2,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
    ACTIONS(5678), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4121), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4125), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [109433] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(4514), 1,
      sym__automatic_semicolon,
    ACTIONS(5477), 1,
      anon_sym_LBRACK,
    STATE(3348), 1,
      sym_comment,
    STATE(4782), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4740), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [109501] = 19,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(2902), 1,
      anon_sym_async,
    ACTIONS(2904), 1,
      anon_sym_readonly,
    ACTIONS(2908), 1,
      anon_sym_override,
    ACTIONS(4939), 1,
      anon_sym_EQ,
    ACTIONS(5477), 1,
      anon_sym_LBRACK,
    ACTIONS(5988), 1,
      anon_sym_STAR,
    STATE(3349), 1,
      sym_comment,
    STATE(3665), 1,
      sym_override_modifier,
    STATE(4761), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2906), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(6593), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(4740), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2900), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [109583] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(4514), 1,
      sym__automatic_semicolon,
    ACTIONS(5477), 1,
      anon_sym_LBRACK,
    STATE(3350), 1,
      sym_comment,
    STATE(4969), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4740), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 8,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [109651] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(4514), 1,
      sym__automatic_semicolon,
    ACTIONS(5477), 1,
      anon_sym_LBRACK,
    STATE(3351), 1,
      sym_comment,
    STATE(4898), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4740), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [109719] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(4514), 1,
      sym__automatic_semicolon,
    ACTIONS(5477), 1,
      anon_sym_LBRACK,
    STATE(3352), 1,
      sym_comment,
    STATE(4811), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4740), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [109787] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4514), 1,
      sym__automatic_semicolon,
    STATE(3353), 1,
      sym_comment,
    ACTIONS(1043), 10,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2431), 29,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [109843] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(4514), 1,
      sym__automatic_semicolon,
    ACTIONS(5477), 1,
      anon_sym_LBRACK,
    STATE(3354), 1,
      sym_comment,
    STATE(4843), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4740), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [109911] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5675), 1,
      anon_sym_LBRACK,
    STATE(3355), 1,
      sym_comment,
    ACTIONS(5286), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(5678), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4121), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4125), 24,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [109971] = 16,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(231), 1,
      anon_sym_COMMA,
    ACTIONS(1053), 1,
      anon_sym_RBRACE,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(4939), 1,
      anon_sym_EQ,
    ACTIONS(5477), 1,
      anon_sym_LBRACK,
    STATE(3356), 1,
      sym_comment,
    STATE(4761), 1,
      sym__property_name,
    STATE(6171), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6333), 1,
      aux_sym_object_repeat1,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4740), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [110047] = 16,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(231), 1,
      anon_sym_COMMA,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(4939), 1,
      anon_sym_EQ,
    ACTIONS(5477), 1,
      anon_sym_LBRACK,
    ACTIONS(5990), 1,
      anon_sym_RBRACE,
    STATE(3357), 1,
      sym_comment,
    STATE(4761), 1,
      sym__property_name,
    STATE(6171), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6333), 1,
      aux_sym_object_repeat1,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4740), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [110123] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4294), 1,
      anon_sym_EQ,
    STATE(3358), 1,
      sym_comment,
    ACTIONS(4121), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4125), 26,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [110179] = 33,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4787), 1,
      anon_sym_LPAREN,
    ACTIONS(4811), 1,
      anon_sym_LBRACK,
    ACTIONS(4813), 1,
      anon_sym_DOT,
    ACTIONS(4867), 1,
      anon_sym_BQUOTE,
    ACTIONS(4879), 1,
      anon_sym_as,
    ACTIONS(4883), 1,
      anon_sym_BANG,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4921), 1,
      anon_sym_satisfies,
    ACTIONS(6545), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6547), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6549), 1,
      anon_sym_GT_GT,
    ACTIONS(6553), 1,
      anon_sym_AMP,
    ACTIONS(6555), 1,
      anon_sym_CARET,
    ACTIONS(6557), 1,
      anon_sym_PIPE,
    ACTIONS(6561), 1,
      anon_sym_PERCENT,
    ACTIONS(6563), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6565), 1,
      anon_sym_LT,
    ACTIONS(6573), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6575), 1,
      sym__ternary_qmark,
    STATE(2372), 1,
      sym_type_arguments,
    STATE(3359), 1,
      sym_comment,
    STATE(6354), 1,
      sym_optional_chain,
    ACTIONS(4919), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6541), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6543), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6551), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6559), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6569), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6571), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2716), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6567), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [110289] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(6093), 1,
      sym_regex_flags,
    STATE(3360), 1,
      sym_comment,
    ACTIONS(6089), 17,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_instanceof,
      anon_sym_satisfies,
      anon_sym_implements,
    ACTIONS(6091), 22,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [110345] = 16,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(231), 1,
      anon_sym_COMMA,
    ACTIONS(1051), 1,
      anon_sym_RBRACE,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(4939), 1,
      anon_sym_EQ,
    ACTIONS(5477), 1,
      anon_sym_LBRACK,
    STATE(3361), 1,
      sym_comment,
    STATE(4761), 1,
      sym__property_name,
    STATE(6165), 1,
      aux_sym_object_repeat1,
    STATE(6171), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4740), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [110421] = 33,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4787), 1,
      anon_sym_LPAREN,
    ACTIONS(4811), 1,
      anon_sym_LBRACK,
    ACTIONS(4813), 1,
      anon_sym_DOT,
    ACTIONS(4867), 1,
      anon_sym_BQUOTE,
    ACTIONS(4879), 1,
      anon_sym_as,
    ACTIONS(4883), 1,
      anon_sym_BANG,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4921), 1,
      anon_sym_satisfies,
    ACTIONS(6545), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6547), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6549), 1,
      anon_sym_GT_GT,
    ACTIONS(6553), 1,
      anon_sym_AMP,
    ACTIONS(6555), 1,
      anon_sym_CARET,
    ACTIONS(6557), 1,
      anon_sym_PIPE,
    ACTIONS(6561), 1,
      anon_sym_PERCENT,
    ACTIONS(6563), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6565), 1,
      anon_sym_LT,
    ACTIONS(6573), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6575), 1,
      sym__ternary_qmark,
    STATE(2372), 1,
      sym_type_arguments,
    STATE(3362), 1,
      sym_comment,
    STATE(6354), 1,
      sym_optional_chain,
    ACTIONS(4919), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6541), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6543), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6551), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6559), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6569), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6571), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2716), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6567), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [110531] = 33,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4787), 1,
      anon_sym_LPAREN,
    ACTIONS(4811), 1,
      anon_sym_LBRACK,
    ACTIONS(4813), 1,
      anon_sym_DOT,
    ACTIONS(4867), 1,
      anon_sym_BQUOTE,
    ACTIONS(4879), 1,
      anon_sym_as,
    ACTIONS(4883), 1,
      anon_sym_BANG,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4921), 1,
      anon_sym_satisfies,
    ACTIONS(6545), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6547), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6549), 1,
      anon_sym_GT_GT,
    ACTIONS(6553), 1,
      anon_sym_AMP,
    ACTIONS(6555), 1,
      anon_sym_CARET,
    ACTIONS(6557), 1,
      anon_sym_PIPE,
    ACTIONS(6561), 1,
      anon_sym_PERCENT,
    ACTIONS(6563), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6565), 1,
      anon_sym_LT,
    ACTIONS(6573), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6575), 1,
      sym__ternary_qmark,
    STATE(2372), 1,
      sym_type_arguments,
    STATE(3363), 1,
      sym_comment,
    STATE(6354), 1,
      sym_optional_chain,
    ACTIONS(4919), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6541), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6543), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6551), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6559), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6569), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6571), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2716), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6567), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [110641] = 33,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4879), 1,
      anon_sym_as,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4921), 1,
      anon_sym_satisfies,
    ACTIONS(5367), 1,
      anon_sym_BANG,
    ACTIONS(5369), 1,
      anon_sym_LPAREN,
    ACTIONS(5375), 1,
      anon_sym_LBRACK,
    ACTIONS(5377), 1,
      anon_sym_DOT,
    ACTIONS(5411), 1,
      anon_sym_BQUOTE,
    ACTIONS(6545), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6547), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6549), 1,
      anon_sym_GT_GT,
    ACTIONS(6553), 1,
      anon_sym_AMP,
    ACTIONS(6555), 1,
      anon_sym_CARET,
    ACTIONS(6557), 1,
      anon_sym_PIPE,
    ACTIONS(6561), 1,
      anon_sym_PERCENT,
    ACTIONS(6563), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6565), 1,
      anon_sym_LT,
    ACTIONS(6573), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6575), 1,
      sym__ternary_qmark,
    STATE(3364), 1,
      sym_comment,
    STATE(3483), 1,
      sym_type_arguments,
    STATE(6093), 1,
      sym_optional_chain,
    ACTIONS(4919), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6541), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6543), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6551), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6559), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6569), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6571), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3121), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6567), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [110751] = 33,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4787), 1,
      anon_sym_LPAREN,
    ACTIONS(4811), 1,
      anon_sym_LBRACK,
    ACTIONS(4813), 1,
      anon_sym_DOT,
    ACTIONS(4867), 1,
      anon_sym_BQUOTE,
    ACTIONS(4879), 1,
      anon_sym_as,
    ACTIONS(4883), 1,
      anon_sym_BANG,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4921), 1,
      anon_sym_satisfies,
    ACTIONS(6545), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6547), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6549), 1,
      anon_sym_GT_GT,
    ACTIONS(6553), 1,
      anon_sym_AMP,
    ACTIONS(6555), 1,
      anon_sym_CARET,
    ACTIONS(6557), 1,
      anon_sym_PIPE,
    ACTIONS(6561), 1,
      anon_sym_PERCENT,
    ACTIONS(6563), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6565), 1,
      anon_sym_LT,
    ACTIONS(6573), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6575), 1,
      sym__ternary_qmark,
    STATE(2372), 1,
      sym_type_arguments,
    STATE(3365), 1,
      sym_comment,
    STATE(6354), 1,
      sym_optional_chain,
    ACTIONS(4919), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6541), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6543), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6551), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6559), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6569), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6571), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2716), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6567), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [110861] = 33,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4787), 1,
      anon_sym_LPAREN,
    ACTIONS(4811), 1,
      anon_sym_LBRACK,
    ACTIONS(4813), 1,
      anon_sym_DOT,
    ACTIONS(4867), 1,
      anon_sym_BQUOTE,
    ACTIONS(4879), 1,
      anon_sym_as,
    ACTIONS(4883), 1,
      anon_sym_BANG,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4921), 1,
      anon_sym_satisfies,
    ACTIONS(6545), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6547), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6549), 1,
      anon_sym_GT_GT,
    ACTIONS(6553), 1,
      anon_sym_AMP,
    ACTIONS(6555), 1,
      anon_sym_CARET,
    ACTIONS(6557), 1,
      anon_sym_PIPE,
    ACTIONS(6561), 1,
      anon_sym_PERCENT,
    ACTIONS(6563), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6565), 1,
      anon_sym_LT,
    ACTIONS(6573), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6575), 1,
      sym__ternary_qmark,
    STATE(2372), 1,
      sym_type_arguments,
    STATE(3366), 1,
      sym_comment,
    STATE(6354), 1,
      sym_optional_chain,
    ACTIONS(4919), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6541), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6543), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6551), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6559), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6569), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6571), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2716), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6567), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [110971] = 33,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4787), 1,
      anon_sym_LPAREN,
    ACTIONS(4811), 1,
      anon_sym_LBRACK,
    ACTIONS(4813), 1,
      anon_sym_DOT,
    ACTIONS(4867), 1,
      anon_sym_BQUOTE,
    ACTIONS(4879), 1,
      anon_sym_as,
    ACTIONS(4883), 1,
      anon_sym_BANG,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4921), 1,
      anon_sym_satisfies,
    ACTIONS(6545), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6547), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6549), 1,
      anon_sym_GT_GT,
    ACTIONS(6553), 1,
      anon_sym_AMP,
    ACTIONS(6555), 1,
      anon_sym_CARET,
    ACTIONS(6557), 1,
      anon_sym_PIPE,
    ACTIONS(6561), 1,
      anon_sym_PERCENT,
    ACTIONS(6563), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6565), 1,
      anon_sym_LT,
    ACTIONS(6573), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6575), 1,
      sym__ternary_qmark,
    STATE(2372), 1,
      sym_type_arguments,
    STATE(3367), 1,
      sym_comment,
    STATE(6354), 1,
      sym_optional_chain,
    ACTIONS(4919), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6541), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6543), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6551), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6559), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6569), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6571), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2716), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6567), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [111081] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(4514), 1,
      sym__automatic_semicolon,
    ACTIONS(5477), 1,
      anon_sym_LBRACK,
    STATE(3368), 1,
      sym_comment,
    STATE(4920), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4740), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [111149] = 16,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(231), 1,
      anon_sym_COMMA,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(4939), 1,
      anon_sym_EQ,
    ACTIONS(5477), 1,
      anon_sym_LBRACK,
    ACTIONS(6007), 1,
      anon_sym_RBRACE,
    STATE(3369), 1,
      sym_comment,
    STATE(4761), 1,
      sym__property_name,
    STATE(6171), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6333), 1,
      aux_sym_object_repeat1,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4740), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [111225] = 21,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4787), 1,
      anon_sym_LPAREN,
    ACTIONS(4811), 1,
      anon_sym_LBRACK,
    ACTIONS(4813), 1,
      anon_sym_DOT,
    ACTIONS(4867), 1,
      anon_sym_BQUOTE,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6549), 1,
      anon_sym_GT_GT,
    ACTIONS(6561), 1,
      anon_sym_PERCENT,
    ACTIONS(6563), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6565), 1,
      anon_sym_LT,
    STATE(2372), 1,
      sym_type_arguments,
    STATE(3370), 1,
      sym_comment,
    STATE(6354), 1,
      sym_optional_chain,
    ACTIONS(4919), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6541), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6551), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6559), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(2716), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4955), 7,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4957), 12,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [111311] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(4514), 1,
      sym__automatic_semicolon,
    ACTIONS(5477), 1,
      anon_sym_LBRACK,
    STATE(3371), 1,
      sym_comment,
    STATE(4844), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4740), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 8,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [111379] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(4514), 1,
      sym__automatic_semicolon,
    ACTIONS(5477), 1,
      anon_sym_LBRACK,
    STATE(3372), 1,
      sym_comment,
    STATE(4862), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4740), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [111447] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4787), 1,
      anon_sym_LPAREN,
    ACTIONS(4811), 1,
      anon_sym_LBRACK,
    ACTIONS(4813), 1,
      anon_sym_DOT,
    ACTIONS(4867), 1,
      anon_sym_BQUOTE,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6596), 1,
      anon_sym_LT,
    STATE(2372), 1,
      sym_type_arguments,
    STATE(3373), 1,
      sym_comment,
    STATE(6354), 1,
      sym_optional_chain,
    ACTIONS(4919), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2716), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5189), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5191), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [111521] = 20,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(2902), 1,
      anon_sym_async,
    ACTIONS(2904), 1,
      anon_sym_readonly,
    ACTIONS(2908), 1,
      anon_sym_override,
    ACTIONS(5477), 1,
      anon_sym_LBRACK,
    ACTIONS(5988), 1,
      anon_sym_STAR,
    ACTIONS(6430), 1,
      anon_sym_COMMA,
    ACTIONS(6599), 1,
      anon_sym_RBRACE,
    STATE(3374), 1,
      sym_comment,
    STATE(3665), 1,
      sym_override_modifier,
    STATE(4761), 1,
      sym__property_name,
    STATE(5814), 1,
      aux_sym_object_repeat1,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2906), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4740), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2900), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [111605] = 33,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4787), 1,
      anon_sym_LPAREN,
    ACTIONS(4811), 1,
      anon_sym_LBRACK,
    ACTIONS(4813), 1,
      anon_sym_DOT,
    ACTIONS(4867), 1,
      anon_sym_BQUOTE,
    ACTIONS(4879), 1,
      anon_sym_as,
    ACTIONS(4883), 1,
      anon_sym_BANG,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4921), 1,
      anon_sym_satisfies,
    ACTIONS(6545), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6547), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6549), 1,
      anon_sym_GT_GT,
    ACTIONS(6553), 1,
      anon_sym_AMP,
    ACTIONS(6555), 1,
      anon_sym_CARET,
    ACTIONS(6557), 1,
      anon_sym_PIPE,
    ACTIONS(6561), 1,
      anon_sym_PERCENT,
    ACTIONS(6563), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6565), 1,
      anon_sym_LT,
    ACTIONS(6573), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6575), 1,
      sym__ternary_qmark,
    STATE(2372), 1,
      sym_type_arguments,
    STATE(3375), 1,
      sym_comment,
    STATE(6354), 1,
      sym_optional_chain,
    ACTIONS(4919), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6541), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6543), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6551), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6559), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6569), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6571), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2716), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6567), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [111715] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4300), 1,
      anon_sym_EQ,
    ACTIONS(5675), 1,
      anon_sym_LBRACK,
    STATE(3376), 1,
      sym_comment,
    ACTIONS(5286), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(5678), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4121), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4125), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [111777] = 18,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4787), 1,
      anon_sym_LPAREN,
    ACTIONS(4811), 1,
      anon_sym_LBRACK,
    ACTIONS(4813), 1,
      anon_sym_DOT,
    ACTIONS(4867), 1,
      anon_sym_BQUOTE,
    ACTIONS(4879), 1,
      anon_sym_as,
    ACTIONS(4883), 1,
      anon_sym_BANG,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4921), 1,
      anon_sym_satisfies,
    ACTIONS(6601), 1,
      anon_sym_LT,
    STATE(2372), 1,
      sym_type_arguments,
    STATE(3377), 1,
      sym_comment,
    STATE(6354), 1,
      sym_optional_chain,
    ACTIONS(4919), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2716), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5156), 11,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5158), 14,
      sym__ternary_qmark,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [111857] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5669), 1,
      anon_sym_LBRACK,
    STATE(3378), 1,
      sym_comment,
    ACTIONS(4861), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(5672), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4121), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4125), 24,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [111917] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5419), 1,
      anon_sym_EQ,
    ACTIONS(5920), 1,
      anon_sym_COLON,
    STATE(3379), 1,
      sym_comment,
    ACTIONS(5752), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(5417), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5421), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [111977] = 33,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4787), 1,
      anon_sym_LPAREN,
    ACTIONS(4811), 1,
      anon_sym_LBRACK,
    ACTIONS(4813), 1,
      anon_sym_DOT,
    ACTIONS(4867), 1,
      anon_sym_BQUOTE,
    ACTIONS(4879), 1,
      anon_sym_as,
    ACTIONS(4883), 1,
      anon_sym_BANG,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4921), 1,
      anon_sym_satisfies,
    ACTIONS(6545), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6547), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6549), 1,
      anon_sym_GT_GT,
    ACTIONS(6553), 1,
      anon_sym_AMP,
    ACTIONS(6555), 1,
      anon_sym_CARET,
    ACTIONS(6557), 1,
      anon_sym_PIPE,
    ACTIONS(6561), 1,
      anon_sym_PERCENT,
    ACTIONS(6563), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6565), 1,
      anon_sym_LT,
    ACTIONS(6573), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6575), 1,
      sym__ternary_qmark,
    STATE(2372), 1,
      sym_type_arguments,
    STATE(3380), 1,
      sym_comment,
    STATE(6354), 1,
      sym_optional_chain,
    ACTIONS(4919), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6541), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6543), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6551), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6559), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6569), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6571), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2716), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6567), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [112087] = 16,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4787), 1,
      anon_sym_LPAREN,
    ACTIONS(4811), 1,
      anon_sym_LBRACK,
    ACTIONS(4813), 1,
      anon_sym_DOT,
    ACTIONS(4867), 1,
      anon_sym_BQUOTE,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6563), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6604), 1,
      anon_sym_LT,
    STATE(2372), 1,
      sym_type_arguments,
    STATE(3381), 1,
      sym_comment,
    STATE(6354), 1,
      sym_optional_chain,
    ACTIONS(4919), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2716), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4955), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4957), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [112163] = 33,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4787), 1,
      anon_sym_LPAREN,
    ACTIONS(4811), 1,
      anon_sym_LBRACK,
    ACTIONS(4813), 1,
      anon_sym_DOT,
    ACTIONS(4867), 1,
      anon_sym_BQUOTE,
    ACTIONS(4879), 1,
      anon_sym_as,
    ACTIONS(4883), 1,
      anon_sym_BANG,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4921), 1,
      anon_sym_satisfies,
    ACTIONS(6545), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6547), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6549), 1,
      anon_sym_GT_GT,
    ACTIONS(6553), 1,
      anon_sym_AMP,
    ACTIONS(6555), 1,
      anon_sym_CARET,
    ACTIONS(6557), 1,
      anon_sym_PIPE,
    ACTIONS(6561), 1,
      anon_sym_PERCENT,
    ACTIONS(6563), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6565), 1,
      anon_sym_LT,
    ACTIONS(6573), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6575), 1,
      sym__ternary_qmark,
    STATE(2372), 1,
      sym_type_arguments,
    STATE(3382), 1,
      sym_comment,
    STATE(6354), 1,
      sym_optional_chain,
    ACTIONS(4919), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6541), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6543), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6551), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6559), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6569), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6571), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2716), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6567), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [112273] = 33,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4787), 1,
      anon_sym_LPAREN,
    ACTIONS(4811), 1,
      anon_sym_LBRACK,
    ACTIONS(4813), 1,
      anon_sym_DOT,
    ACTIONS(4867), 1,
      anon_sym_BQUOTE,
    ACTIONS(4879), 1,
      anon_sym_as,
    ACTIONS(4883), 1,
      anon_sym_BANG,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4921), 1,
      anon_sym_satisfies,
    ACTIONS(6545), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6547), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6549), 1,
      anon_sym_GT_GT,
    ACTIONS(6553), 1,
      anon_sym_AMP,
    ACTIONS(6555), 1,
      anon_sym_CARET,
    ACTIONS(6557), 1,
      anon_sym_PIPE,
    ACTIONS(6561), 1,
      anon_sym_PERCENT,
    ACTIONS(6563), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6565), 1,
      anon_sym_LT,
    ACTIONS(6573), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6575), 1,
      sym__ternary_qmark,
    STATE(2372), 1,
      sym_type_arguments,
    STATE(3383), 1,
      sym_comment,
    STATE(6354), 1,
      sym_optional_chain,
    ACTIONS(4919), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6541), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6543), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6551), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6559), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6569), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6571), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2716), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6567), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [112383] = 14,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4787), 1,
      anon_sym_LPAREN,
    ACTIONS(4811), 1,
      anon_sym_LBRACK,
    ACTIONS(4813), 1,
      anon_sym_DOT,
    ACTIONS(4867), 1,
      anon_sym_BQUOTE,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6607), 1,
      anon_sym_LT,
    STATE(2372), 1,
      sym_type_arguments,
    STATE(3384), 1,
      sym_comment,
    STATE(6354), 1,
      sym_optional_chain,
    STATE(2716), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5143), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5145), 18,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [112455] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4318), 1,
      anon_sym_EQ,
    ACTIONS(5675), 1,
      anon_sym_LBRACK,
    STATE(3385), 1,
      sym_comment,
    ACTIONS(5286), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(5678), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4121), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4125), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [112517] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4787), 1,
      anon_sym_LPAREN,
    ACTIONS(4811), 1,
      anon_sym_LBRACK,
    ACTIONS(4813), 1,
      anon_sym_DOT,
    ACTIONS(4867), 1,
      anon_sym_BQUOTE,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4955), 1,
      anon_sym_BANG,
    ACTIONS(6549), 1,
      anon_sym_GT_GT,
    ACTIONS(6553), 1,
      anon_sym_AMP,
    ACTIONS(6555), 1,
      anon_sym_CARET,
    ACTIONS(6557), 1,
      anon_sym_PIPE,
    ACTIONS(6561), 1,
      anon_sym_PERCENT,
    ACTIONS(6563), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6565), 1,
      anon_sym_LT,
    STATE(2372), 1,
      sym_type_arguments,
    STATE(3386), 1,
      sym_comment,
    STATE(6354), 1,
      sym_optional_chain,
    ACTIONS(4919), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6541), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6543), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6551), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6559), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6569), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6571), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2716), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6567), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4957), 6,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [112617] = 33,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4787), 1,
      anon_sym_LPAREN,
    ACTIONS(4811), 1,
      anon_sym_LBRACK,
    ACTIONS(4813), 1,
      anon_sym_DOT,
    ACTIONS(4867), 1,
      anon_sym_BQUOTE,
    ACTIONS(4879), 1,
      anon_sym_as,
    ACTIONS(4883), 1,
      anon_sym_BANG,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4921), 1,
      anon_sym_satisfies,
    ACTIONS(6545), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6547), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6549), 1,
      anon_sym_GT_GT,
    ACTIONS(6553), 1,
      anon_sym_AMP,
    ACTIONS(6555), 1,
      anon_sym_CARET,
    ACTIONS(6557), 1,
      anon_sym_PIPE,
    ACTIONS(6561), 1,
      anon_sym_PERCENT,
    ACTIONS(6563), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6565), 1,
      anon_sym_LT,
    ACTIONS(6573), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6575), 1,
      sym__ternary_qmark,
    STATE(2372), 1,
      sym_type_arguments,
    STATE(3387), 1,
      sym_comment,
    STATE(6354), 1,
      sym_optional_chain,
    ACTIONS(4919), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6541), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6543), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6551), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6559), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6569), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6571), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2716), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6567), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [112727] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(4514), 1,
      sym__automatic_semicolon,
    ACTIONS(4947), 1,
      anon_sym_LBRACK,
    STATE(3388), 1,
      sym_comment,
    STATE(4227), 1,
      sym__property_name,
    ACTIONS(3894), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4151), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(4372), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [112795] = 29,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4787), 1,
      anon_sym_LPAREN,
    ACTIONS(4811), 1,
      anon_sym_LBRACK,
    ACTIONS(4813), 1,
      anon_sym_DOT,
    ACTIONS(4867), 1,
      anon_sym_BQUOTE,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4955), 1,
      anon_sym_BANG,
    ACTIONS(6545), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6549), 1,
      anon_sym_GT_GT,
    ACTIONS(6553), 1,
      anon_sym_AMP,
    ACTIONS(6555), 1,
      anon_sym_CARET,
    ACTIONS(6557), 1,
      anon_sym_PIPE,
    ACTIONS(6561), 1,
      anon_sym_PERCENT,
    ACTIONS(6563), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6565), 1,
      anon_sym_LT,
    STATE(2372), 1,
      sym_type_arguments,
    STATE(3389), 1,
      sym_comment,
    STATE(6354), 1,
      sym_optional_chain,
    ACTIONS(4919), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6541), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6543), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6551), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6559), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6569), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6571), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2716), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6567), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4957), 5,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [112897] = 19,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4787), 1,
      anon_sym_LPAREN,
    ACTIONS(4811), 1,
      anon_sym_LBRACK,
    ACTIONS(4813), 1,
      anon_sym_DOT,
    ACTIONS(4867), 1,
      anon_sym_BQUOTE,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6561), 1,
      anon_sym_PERCENT,
    ACTIONS(6563), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6604), 1,
      anon_sym_LT,
    STATE(2372), 1,
      sym_type_arguments,
    STATE(3390), 1,
      sym_comment,
    STATE(6354), 1,
      sym_optional_chain,
    ACTIONS(4919), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6541), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6559), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(2716), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4955), 8,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4957), 14,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [112979] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(4514), 1,
      sym__automatic_semicolon,
    ACTIONS(5477), 1,
      anon_sym_LBRACK,
    STATE(3391), 1,
      sym_comment,
    STATE(4870), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4740), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [113047] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(4514), 1,
      sym__automatic_semicolon,
    ACTIONS(5477), 1,
      anon_sym_LBRACK,
    STATE(3392), 1,
      sym_comment,
    STATE(4926), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4740), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [113115] = 25,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4787), 1,
      anon_sym_LPAREN,
    ACTIONS(4811), 1,
      anon_sym_LBRACK,
    ACTIONS(4813), 1,
      anon_sym_DOT,
    ACTIONS(4867), 1,
      anon_sym_BQUOTE,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6549), 1,
      anon_sym_GT_GT,
    ACTIONS(6561), 1,
      anon_sym_PERCENT,
    ACTIONS(6563), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6565), 1,
      anon_sym_LT,
    STATE(2372), 1,
      sym_type_arguments,
    STATE(3393), 1,
      sym_comment,
    STATE(6354), 1,
      sym_optional_chain,
    ACTIONS(4919), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6541), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6543), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6551), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6559), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6569), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6571), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2716), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4955), 3,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(6567), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4957), 7,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [113209] = 26,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4787), 1,
      anon_sym_LPAREN,
    ACTIONS(4811), 1,
      anon_sym_LBRACK,
    ACTIONS(4813), 1,
      anon_sym_DOT,
    ACTIONS(4867), 1,
      anon_sym_BQUOTE,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6549), 1,
      anon_sym_GT_GT,
    ACTIONS(6553), 1,
      anon_sym_AMP,
    ACTIONS(6561), 1,
      anon_sym_PERCENT,
    ACTIONS(6563), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6565), 1,
      anon_sym_LT,
    STATE(2372), 1,
      sym_type_arguments,
    STATE(3394), 1,
      sym_comment,
    STATE(6354), 1,
      sym_optional_chain,
    ACTIONS(4919), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4955), 2,
      anon_sym_BANG,
      anon_sym_PIPE,
    ACTIONS(6541), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6543), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6551), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6559), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6569), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6571), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2716), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6567), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4957), 7,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [113305] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(4514), 1,
      sym__automatic_semicolon,
    ACTIONS(5477), 1,
      anon_sym_LBRACK,
    STATE(3395), 1,
      sym_comment,
    STATE(4914), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4740), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 8,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [113373] = 27,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4787), 1,
      anon_sym_LPAREN,
    ACTIONS(4811), 1,
      anon_sym_LBRACK,
    ACTIONS(4813), 1,
      anon_sym_DOT,
    ACTIONS(4867), 1,
      anon_sym_BQUOTE,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6549), 1,
      anon_sym_GT_GT,
    ACTIONS(6553), 1,
      anon_sym_AMP,
    ACTIONS(6555), 1,
      anon_sym_CARET,
    ACTIONS(6561), 1,
      anon_sym_PERCENT,
    ACTIONS(6563), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6565), 1,
      anon_sym_LT,
    STATE(2372), 1,
      sym_type_arguments,
    STATE(3396), 1,
      sym_comment,
    STATE(6354), 1,
      sym_optional_chain,
    ACTIONS(4919), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4955), 2,
      anon_sym_BANG,
      anon_sym_PIPE,
    ACTIONS(6541), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6543), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6551), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6559), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6569), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6571), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2716), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6567), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4957), 6,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [113471] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(4514), 1,
      sym__automatic_semicolon,
    ACTIONS(5477), 1,
      anon_sym_LBRACK,
    STATE(3397), 1,
      sym_comment,
    STATE(4892), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4740), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 8,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [113539] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5568), 1,
      anon_sym_LBRACK,
    STATE(3398), 1,
      sym_comment,
    ACTIONS(5206), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(5571), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5564), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5566), 24,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [113599] = 16,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(231), 1,
      anon_sym_COMMA,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(4939), 1,
      anon_sym_EQ,
    ACTIONS(5477), 1,
      anon_sym_LBRACK,
    ACTIONS(6009), 1,
      anon_sym_RBRACE,
    STATE(3399), 1,
      sym_comment,
    STATE(4761), 1,
      sym__property_name,
    STATE(6165), 1,
      aux_sym_object_repeat1,
    STATE(6171), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4740), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [113675] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(4514), 1,
      sym__automatic_semicolon,
    ACTIONS(5477), 1,
      anon_sym_LBRACK,
    STATE(3400), 1,
      sym_comment,
    STATE(4805), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4740), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 8,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [113743] = 33,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4787), 1,
      anon_sym_LPAREN,
    ACTIONS(4811), 1,
      anon_sym_LBRACK,
    ACTIONS(4813), 1,
      anon_sym_DOT,
    ACTIONS(4867), 1,
      anon_sym_BQUOTE,
    ACTIONS(4879), 1,
      anon_sym_as,
    ACTIONS(4883), 1,
      anon_sym_BANG,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4921), 1,
      anon_sym_satisfies,
    ACTIONS(6545), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6547), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6549), 1,
      anon_sym_GT_GT,
    ACTIONS(6553), 1,
      anon_sym_AMP,
    ACTIONS(6555), 1,
      anon_sym_CARET,
    ACTIONS(6557), 1,
      anon_sym_PIPE,
    ACTIONS(6561), 1,
      anon_sym_PERCENT,
    ACTIONS(6563), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6565), 1,
      anon_sym_LT,
    ACTIONS(6573), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6575), 1,
      sym__ternary_qmark,
    STATE(2372), 1,
      sym_type_arguments,
    STATE(3401), 1,
      sym_comment,
    STATE(6354), 1,
      sym_optional_chain,
    ACTIONS(4919), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6541), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6543), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6551), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6559), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6569), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6571), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2716), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6567), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [113853] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(4514), 1,
      sym__automatic_semicolon,
    ACTIONS(5477), 1,
      anon_sym_LBRACK,
    STATE(3402), 1,
      sym_comment,
    STATE(4806), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4740), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 8,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [113921] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2071), 1,
      anon_sym_EQ,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(3432), 1,
      anon_sym_extends,
    STATE(3403), 1,
      sym_comment,
    ACTIONS(5259), 2,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
    ACTIONS(5262), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(2069), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2075), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [113983] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5239), 1,
      anon_sym_extends,
    ACTIONS(5270), 1,
      anon_sym_EQ,
    STATE(3404), 1,
      sym_comment,
    ACTIONS(5274), 2,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
    ACTIONS(5277), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5268), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5272), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [114045] = 33,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4787), 1,
      anon_sym_LPAREN,
    ACTIONS(4811), 1,
      anon_sym_LBRACK,
    ACTIONS(4813), 1,
      anon_sym_DOT,
    ACTIONS(4867), 1,
      anon_sym_BQUOTE,
    ACTIONS(4879), 1,
      anon_sym_as,
    ACTIONS(4883), 1,
      anon_sym_BANG,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4921), 1,
      anon_sym_satisfies,
    ACTIONS(6545), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6547), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6549), 1,
      anon_sym_GT_GT,
    ACTIONS(6553), 1,
      anon_sym_AMP,
    ACTIONS(6555), 1,
      anon_sym_CARET,
    ACTIONS(6557), 1,
      anon_sym_PIPE,
    ACTIONS(6561), 1,
      anon_sym_PERCENT,
    ACTIONS(6563), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6565), 1,
      anon_sym_LT,
    ACTIONS(6573), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6575), 1,
      sym__ternary_qmark,
    STATE(2372), 1,
      sym_type_arguments,
    STATE(3405), 1,
      sym_comment,
    STATE(6354), 1,
      sym_optional_chain,
    ACTIONS(4919), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6541), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6543), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6551), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6559), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6569), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6571), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2716), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6567), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [114155] = 18,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4787), 1,
      anon_sym_LPAREN,
    ACTIONS(4811), 1,
      anon_sym_LBRACK,
    ACTIONS(4813), 1,
      anon_sym_DOT,
    ACTIONS(4867), 1,
      anon_sym_BQUOTE,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6561), 1,
      anon_sym_PERCENT,
    ACTIONS(6563), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6604), 1,
      anon_sym_LT,
    STATE(2372), 1,
      sym_type_arguments,
    STATE(3406), 1,
      sym_comment,
    STATE(6354), 1,
      sym_optional_chain,
    ACTIONS(4919), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6541), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(2716), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4955), 10,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4957), 14,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [114235] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(4514), 1,
      sym__automatic_semicolon,
    ACTIONS(5477), 1,
      anon_sym_LBRACK,
    STATE(3407), 1,
      sym_comment,
    STATE(4765), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4740), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [114303] = 19,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4787), 1,
      anon_sym_LPAREN,
    ACTIONS(4811), 1,
      anon_sym_LBRACK,
    ACTIONS(4813), 1,
      anon_sym_DOT,
    ACTIONS(4867), 1,
      anon_sym_BQUOTE,
    ACTIONS(4879), 1,
      anon_sym_as,
    ACTIONS(4883), 1,
      anon_sym_BANG,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4921), 1,
      anon_sym_satisfies,
    ACTIONS(6563), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6604), 1,
      anon_sym_LT,
    STATE(2372), 1,
      sym_type_arguments,
    STATE(3408), 1,
      sym_comment,
    STATE(6354), 1,
      sym_optional_chain,
    ACTIONS(4919), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2716), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4955), 11,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4957), 13,
      sym__ternary_qmark,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [114385] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(4514), 1,
      sym__automatic_semicolon,
    ACTIONS(5477), 1,
      anon_sym_LBRACK,
    STATE(3409), 1,
      sym_comment,
    STATE(4774), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4740), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [114453] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4859), 1,
      anon_sym_QMARK,
    ACTIONS(4861), 1,
      anon_sym_extends,
    STATE(3410), 1,
      sym_comment,
    ACTIONS(5672), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5669), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
    ACTIONS(4121), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4125), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [114515] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(4514), 1,
      sym__automatic_semicolon,
    ACTIONS(5477), 1,
      anon_sym_LBRACK,
    STATE(3411), 1,
      sym_comment,
    STATE(4838), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4740), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [114583] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4787), 1,
      anon_sym_LPAREN,
    ACTIONS(4811), 1,
      anon_sym_LBRACK,
    ACTIONS(4813), 1,
      anon_sym_DOT,
    ACTIONS(4867), 1,
      anon_sym_BQUOTE,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4955), 1,
      anon_sym_BANG,
    ACTIONS(6545), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6547), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6549), 1,
      anon_sym_GT_GT,
    ACTIONS(6553), 1,
      anon_sym_AMP,
    ACTIONS(6555), 1,
      anon_sym_CARET,
    ACTIONS(6557), 1,
      anon_sym_PIPE,
    ACTIONS(6561), 1,
      anon_sym_PERCENT,
    ACTIONS(6563), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6565), 1,
      anon_sym_LT,
    STATE(2372), 1,
      sym_type_arguments,
    STATE(3412), 1,
      sym_comment,
    STATE(6354), 1,
      sym_optional_chain,
    ACTIONS(4919), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6541), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6543), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6551), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6559), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6569), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6571), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2716), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6567), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4957), 4,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [114687] = 23,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4787), 1,
      anon_sym_LPAREN,
    ACTIONS(4811), 1,
      anon_sym_LBRACK,
    ACTIONS(4813), 1,
      anon_sym_DOT,
    ACTIONS(4867), 1,
      anon_sym_BQUOTE,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6549), 1,
      anon_sym_GT_GT,
    ACTIONS(6561), 1,
      anon_sym_PERCENT,
    ACTIONS(6563), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6565), 1,
      anon_sym_LT,
    STATE(2372), 1,
      sym_type_arguments,
    STATE(3413), 1,
      sym_comment,
    STATE(6354), 1,
      sym_optional_chain,
    ACTIONS(4919), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6541), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6543), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6551), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6559), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(2716), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6567), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4955), 5,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4957), 9,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [114777] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3414), 1,
      sym_comment,
    ACTIONS(2141), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(6610), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6613), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [114832] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4255), 1,
      anon_sym_COMMA,
    ACTIONS(4259), 1,
      anon_sym_RBRACK,
    ACTIONS(4361), 1,
      anon_sym_EQ,
    STATE(3415), 1,
      sym_comment,
    ACTIONS(4121), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4125), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [114891] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3416), 1,
      sym_comment,
    ACTIONS(2179), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(6616), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6619), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [114946] = 18,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(2902), 1,
      anon_sym_async,
    ACTIONS(2904), 1,
      anon_sym_readonly,
    ACTIONS(2908), 1,
      anon_sym_override,
    ACTIONS(5477), 1,
      anon_sym_LBRACK,
    ACTIONS(5988), 1,
      anon_sym_STAR,
    STATE(3417), 1,
      sym_comment,
    STATE(3665), 1,
      sym_override_modifier,
    STATE(4761), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2906), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(6622), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(4740), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2900), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [115025] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(4396), 1,
      anon_sym_override,
    ACTIONS(4514), 1,
      sym__automatic_semicolon,
    ACTIONS(4947), 1,
      anon_sym_LBRACK,
    ACTIONS(6624), 1,
      anon_sym_readonly,
    STATE(3418), 1,
      sym_comment,
    STATE(3689), 1,
      sym_override_modifier,
    STATE(4282), 1,
      sym__property_name,
    ACTIONS(3894), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4151), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 6,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(4372), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [115098] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5270), 1,
      anon_sym_EQ,
    ACTIONS(5781), 1,
      anon_sym_RBRACK,
    ACTIONS(5926), 1,
      anon_sym_COMMA,
    STATE(3419), 1,
      sym_comment,
    ACTIONS(5268), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5272), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [115157] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3420), 1,
      sym_comment,
    ACTIONS(2187), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(6626), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6629), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [115212] = 13,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(4514), 1,
      sym__automatic_semicolon,
    ACTIONS(4947), 1,
      anon_sym_LBRACK,
    ACTIONS(6632), 1,
      anon_sym_abstract,
    STATE(3421), 1,
      sym_comment,
    STATE(4263), 1,
      sym__property_name,
    ACTIONS(3894), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4151), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 6,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(4372), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [115281] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3422), 1,
      sym_comment,
    ACTIONS(5498), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(6634), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6637), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [115336] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4514), 1,
      sym__automatic_semicolon,
    ACTIONS(4939), 1,
      anon_sym_EQ,
    STATE(3423), 1,
      sym_comment,
    ACTIONS(5910), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(1043), 6,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2419), 29,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [115395] = 13,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(4514), 1,
      sym__automatic_semicolon,
    ACTIONS(4947), 1,
      anon_sym_LBRACK,
    ACTIONS(6640), 1,
      anon_sym_abstract,
    STATE(3424), 1,
      sym_comment,
    STATE(4378), 1,
      sym__property_name,
    ACTIONS(3894), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4151), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 6,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(4372), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [115464] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(4396), 1,
      anon_sym_override,
    ACTIONS(4514), 1,
      sym__automatic_semicolon,
    ACTIONS(4947), 1,
      anon_sym_LBRACK,
    ACTIONS(6642), 1,
      anon_sym_readonly,
    STATE(3425), 1,
      sym_comment,
    STATE(3720), 1,
      sym_override_modifier,
    STATE(4372), 1,
      sym__property_name,
    ACTIONS(3894), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4151), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 6,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(4372), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [115537] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3426), 1,
      sym_comment,
    ACTIONS(5643), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(6644), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6647), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [115592] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2071), 1,
      anon_sym_EQ,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5745), 1,
      anon_sym_RBRACK,
    ACTIONS(5914), 1,
      anon_sym_COMMA,
    STATE(3427), 1,
      sym_comment,
    ACTIONS(2069), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2075), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [115651] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3428), 1,
      sym_comment,
    ACTIONS(2263), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(6650), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6653), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [115706] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3429), 1,
      sym_comment,
    ACTIONS(5137), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(5306), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5308), 24,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [115761] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4514), 1,
      sym__automatic_semicolon,
    ACTIONS(4939), 1,
      anon_sym_EQ,
    STATE(3430), 1,
      sym_comment,
    ACTIONS(5910), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(1043), 6,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2431), 29,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [115820] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5669), 1,
      anon_sym_LBRACK,
    STATE(3431), 1,
      sym_comment,
    ACTIONS(5672), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4861), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_extends,
    ACTIONS(4121), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4125), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [115879] = 13,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(4514), 1,
      sym__automatic_semicolon,
    ACTIONS(4947), 1,
      anon_sym_LBRACK,
    ACTIONS(6656), 1,
      anon_sym_abstract,
    STATE(3432), 1,
      sym_comment,
    STATE(4410), 1,
      sym__property_name,
    ACTIONS(3894), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4151), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 6,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(4372), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [115948] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(4396), 1,
      anon_sym_override,
    ACTIONS(4514), 1,
      sym__automatic_semicolon,
    ACTIONS(4947), 1,
      anon_sym_LBRACK,
    ACTIONS(6658), 1,
      anon_sym_readonly,
    STATE(3433), 1,
      sym_comment,
    STATE(3710), 1,
      sym_override_modifier,
    STATE(4421), 1,
      sym__property_name,
    ACTIONS(3894), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4151), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 6,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(4372), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [116021] = 16,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(2902), 1,
      anon_sym_async,
    ACTIONS(4939), 1,
      anon_sym_EQ,
    ACTIONS(5477), 1,
      anon_sym_LBRACK,
    ACTIONS(5988), 1,
      anon_sym_STAR,
    STATE(3434), 1,
      sym_comment,
    STATE(4761), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2906), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(6593), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(4740), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2900), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [116096] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(4939), 1,
      anon_sym_EQ,
    ACTIONS(5477), 1,
      anon_sym_LBRACK,
    ACTIONS(5988), 1,
      anon_sym_STAR,
    STATE(3435), 1,
      sym_comment,
    STATE(4761), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2906), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(6593), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(4740), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2900), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [116169] = 25,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(4396), 1,
      anon_sym_override,
    ACTIONS(4538), 1,
      anon_sym_AT,
    ACTIONS(4947), 1,
      anon_sym_LBRACK,
    ACTIONS(6660), 1,
      anon_sym_STAR,
    ACTIONS(6662), 1,
      anon_sym_async,
    ACTIONS(6664), 1,
      anon_sym_static,
    ACTIONS(6666), 1,
      anon_sym_readonly,
    ACTIONS(6670), 1,
      anon_sym_declare,
    ACTIONS(6672), 1,
      anon_sym_abstract,
    STATE(3436), 1,
      sym_comment,
    STATE(3535), 1,
      sym_method_definition,
    STATE(3603), 1,
      sym_accessibility_modifier,
    STATE(3656), 1,
      aux_sym_export_statement_repeat1,
    STATE(3676), 1,
      sym_override_modifier,
    STATE(3712), 1,
      sym_decorator,
    STATE(3961), 1,
      sym__property_name,
    ACTIONS(3894), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6668), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4151), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4548), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(4372), 13,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [116262] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(6414), 1,
      anon_sym_COMMA,
    STATE(3437), 1,
      sym_comment,
    ACTIONS(5306), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5308), 25,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [116317] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4514), 1,
      sym__automatic_semicolon,
    STATE(3438), 1,
      sym_comment,
    ACTIONS(1043), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2419), 30,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [116372] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4861), 1,
      anon_sym_extends,
    STATE(3439), 1,
      sym_comment,
    ACTIONS(5669), 2,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
    ACTIONS(5672), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4121), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4125), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [116431] = 13,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(4514), 1,
      sym__automatic_semicolon,
    ACTIONS(4947), 1,
      anon_sym_LBRACK,
    ACTIONS(6152), 1,
      anon_sym_abstract,
    STATE(3440), 1,
      sym_comment,
    STATE(4436), 1,
      sym__property_name,
    ACTIONS(3894), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4151), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 6,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(4372), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [116500] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(4396), 1,
      anon_sym_override,
    ACTIONS(4514), 1,
      sym__automatic_semicolon,
    ACTIONS(4947), 1,
      anon_sym_LBRACK,
    ACTIONS(6674), 1,
      anon_sym_readonly,
    STATE(3441), 1,
      sym_comment,
    STATE(3683), 1,
      sym_override_modifier,
    STATE(4436), 1,
      sym__property_name,
    ACTIONS(3894), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4151), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 6,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(4372), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [116573] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5568), 1,
      anon_sym_LBRACK,
    STATE(3442), 1,
      sym_comment,
    ACTIONS(5571), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5206), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_extends,
    ACTIONS(5564), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5566), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [116632] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4290), 1,
      anon_sym_EQ,
    STATE(3443), 1,
      sym_comment,
    ACTIONS(4121), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4125), 25,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [116687] = 17,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(2902), 1,
      anon_sym_async,
    ACTIONS(5477), 1,
      anon_sym_LBRACK,
    ACTIONS(5988), 1,
      anon_sym_STAR,
    ACTIONS(6430), 1,
      anon_sym_COMMA,
    ACTIONS(6599), 1,
      anon_sym_RBRACE,
    STATE(3444), 1,
      sym_comment,
    STATE(4761), 1,
      sym__property_name,
    STATE(5814), 1,
      aux_sym_object_repeat1,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2906), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4740), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2900), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [116764] = 16,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(5477), 1,
      anon_sym_LBRACK,
    ACTIONS(5988), 1,
      anon_sym_STAR,
    ACTIONS(6430), 1,
      anon_sym_COMMA,
    ACTIONS(6599), 1,
      anon_sym_RBRACE,
    STATE(3445), 1,
      sym_comment,
    STATE(4761), 1,
      sym__property_name,
    STATE(5814), 1,
      aux_sym_object_repeat1,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2906), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4740), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2900), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [116839] = 13,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(4514), 1,
      sym__automatic_semicolon,
    ACTIONS(4947), 1,
      anon_sym_LBRACK,
    ACTIONS(6676), 1,
      anon_sym_abstract,
    STATE(3446), 1,
      sym_comment,
    STATE(4227), 1,
      sym__property_name,
    ACTIONS(3894), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4151), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 6,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(4372), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [116908] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5419), 1,
      anon_sym_EQ,
    ACTIONS(5752), 1,
      anon_sym_RBRACK,
    ACTIONS(5920), 1,
      anon_sym_COMMA,
    STATE(3447), 1,
      sym_comment,
    ACTIONS(5417), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5421), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [116967] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4222), 1,
      anon_sym_EQ,
    ACTIONS(5675), 1,
      anon_sym_LBRACK,
    STATE(3448), 1,
      sym_comment,
    ACTIONS(5286), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(5678), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4121), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4125), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [117028] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4248), 1,
      anon_sym_EQ,
    STATE(3449), 1,
      sym_comment,
    ACTIONS(4121), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4125), 25,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [117083] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(4396), 1,
      anon_sym_override,
    ACTIONS(4514), 1,
      sym__automatic_semicolon,
    ACTIONS(4947), 1,
      anon_sym_LBRACK,
    ACTIONS(6678), 1,
      anon_sym_readonly,
    STATE(3450), 1,
      sym_comment,
    STATE(3700), 1,
      sym_override_modifier,
    STATE(4227), 1,
      sym__property_name,
    ACTIONS(3894), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4151), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 6,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(4372), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [117156] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3451), 1,
      sym_comment,
    ACTIONS(5550), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(6680), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6683), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [117211] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3452), 1,
      sym_comment,
    ACTIONS(5546), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(6686), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6689), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [117266] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5675), 1,
      anon_sym_LBRACK,
    STATE(3453), 1,
      sym_comment,
    ACTIONS(5678), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5286), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_extends,
    ACTIONS(4121), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4125), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [117325] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(4514), 1,
      sym__automatic_semicolon,
    ACTIONS(4947), 1,
      anon_sym_LBRACK,
    STATE(3454), 1,
      sym_comment,
    STATE(4351), 1,
      sym__property_name,
    ACTIONS(3894), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4151), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 6,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(4372), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [117391] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(4514), 1,
      sym__automatic_semicolon,
    ACTIONS(4947), 1,
      anon_sym_LBRACK,
    STATE(3455), 1,
      sym_comment,
    STATE(4269), 1,
      sym__property_name,
    ACTIONS(3894), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4151), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 6,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(4372), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [117457] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(2902), 1,
      anon_sym_async,
    ACTIONS(5477), 1,
      anon_sym_LBRACK,
    ACTIONS(5988), 1,
      anon_sym_STAR,
    STATE(3456), 1,
      sym_comment,
    STATE(4761), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2906), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(6622), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(4740), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2900), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [117529] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(231), 1,
      anon_sym_COMMA,
    ACTIONS(4939), 1,
      anon_sym_EQ,
    ACTIONS(6172), 1,
      anon_sym_RBRACE,
    STATE(3457), 1,
      sym_comment,
    STATE(6171), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6333), 1,
      aux_sym_object_repeat1,
    ACTIONS(1043), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2431), 29,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [117591] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(231), 1,
      anon_sym_COMMA,
    ACTIONS(4939), 1,
      anon_sym_EQ,
    ACTIONS(6172), 1,
      anon_sym_RBRACE,
    STATE(3458), 1,
      sym_comment,
    STATE(6171), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6333), 1,
      aux_sym_object_repeat1,
    ACTIONS(1043), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2419), 29,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [117653] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(4514), 1,
      sym__automatic_semicolon,
    ACTIONS(4947), 1,
      anon_sym_LBRACK,
    STATE(3459), 1,
      sym_comment,
    STATE(4409), 1,
      sym__property_name,
    ACTIONS(3894), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4151), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 6,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(4372), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [117719] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(231), 1,
      anon_sym_COMMA,
    ACTIONS(1051), 1,
      anon_sym_RBRACE,
    ACTIONS(4939), 1,
      anon_sym_EQ,
    STATE(3460), 1,
      sym_comment,
    STATE(6165), 1,
      aux_sym_object_repeat1,
    STATE(6171), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(1043), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2431), 29,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [117781] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(231), 1,
      anon_sym_COMMA,
    ACTIONS(1051), 1,
      anon_sym_RBRACE,
    ACTIONS(4939), 1,
      anon_sym_EQ,
    STATE(3461), 1,
      sym_comment,
    STATE(6165), 1,
      aux_sym_object_repeat1,
    STATE(6171), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(1043), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2419), 29,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [117843] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4514), 1,
      sym__automatic_semicolon,
    STATE(3462), 1,
      sym_comment,
    ACTIONS(1043), 8,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2419), 29,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [117897] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(231), 1,
      anon_sym_COMMA,
    ACTIONS(4939), 1,
      anon_sym_EQ,
    ACTIONS(6007), 1,
      anon_sym_RBRACE,
    STATE(3463), 1,
      sym_comment,
    STATE(6171), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6333), 1,
      aux_sym_object_repeat1,
    ACTIONS(1043), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2419), 29,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [117959] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(4514), 1,
      sym__automatic_semicolon,
    ACTIONS(4947), 1,
      anon_sym_LBRACK,
    STATE(3464), 1,
      sym_comment,
    STATE(4252), 1,
      sym__property_name,
    ACTIONS(3894), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4151), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 6,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(4372), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [118025] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(4514), 1,
      sym__automatic_semicolon,
    ACTIONS(4947), 1,
      anon_sym_LBRACK,
    STATE(3465), 1,
      sym_comment,
    STATE(4435), 1,
      sym__property_name,
    ACTIONS(3894), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4151), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 6,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(4372), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [118091] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(4514), 1,
      sym__automatic_semicolon,
    ACTIONS(4947), 1,
      anon_sym_LBRACK,
    STATE(3466), 1,
      sym_comment,
    STATE(4447), 1,
      sym__property_name,
    ACTIONS(3894), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4151), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 6,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(4372), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [118157] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(5477), 1,
      anon_sym_LBRACK,
    ACTIONS(5988), 1,
      anon_sym_STAR,
    STATE(3467), 1,
      sym_comment,
    STATE(4761), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2906), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(6622), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(4740), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2900), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [118227] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4222), 1,
      anon_sym_EQ,
    ACTIONS(4328), 1,
      anon_sym_in,
    ACTIONS(4331), 1,
      anon_sym_of,
    STATE(3468), 1,
      sym_comment,
    ACTIONS(4121), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4125), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [118285] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(4514), 1,
      sym__automatic_semicolon,
    ACTIONS(4947), 1,
      anon_sym_LBRACK,
    STATE(3469), 1,
      sym_comment,
    STATE(4233), 1,
      sym__property_name,
    ACTIONS(3894), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4151), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 6,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(4372), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [118351] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(4514), 1,
      sym__automatic_semicolon,
    ACTIONS(4947), 1,
      anon_sym_LBRACK,
    STATE(3470), 1,
      sym_comment,
    STATE(4402), 1,
      sym__property_name,
    ACTIONS(3894), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4151), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 6,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(4372), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [118417] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2071), 1,
      anon_sym_EQ,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5914), 1,
      anon_sym_of,
    ACTIONS(6466), 1,
      anon_sym_in,
    STATE(3471), 1,
      sym_comment,
    ACTIONS(2069), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2075), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [118475] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(6093), 1,
      sym_regex_flags,
    STATE(3472), 1,
      sym_comment,
    ACTIONS(6089), 17,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_of,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_instanceof,
      anon_sym_satisfies,
    ACTIONS(6091), 20,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [118529] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5419), 1,
      anon_sym_EQ,
    ACTIONS(5920), 1,
      anon_sym_of,
    ACTIONS(6463), 1,
      anon_sym_in,
    STATE(3473), 1,
      sym_comment,
    ACTIONS(5417), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5421), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [118587] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(231), 1,
      anon_sym_COMMA,
    ACTIONS(4939), 1,
      anon_sym_EQ,
    ACTIONS(6007), 1,
      anon_sym_RBRACE,
    STATE(3474), 1,
      sym_comment,
    STATE(6171), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6333), 1,
      aux_sym_object_repeat1,
    ACTIONS(1043), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2431), 29,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [118649] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(5477), 1,
      anon_sym_LBRACK,
    ACTIONS(6430), 1,
      anon_sym_COMMA,
    ACTIONS(6599), 1,
      anon_sym_RBRACE,
    STATE(3475), 1,
      sym_comment,
    STATE(4761), 1,
      sym__property_name,
    STATE(5814), 1,
      aux_sym_object_repeat1,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4740), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [118719] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(231), 1,
      anon_sym_COMMA,
    ACTIONS(4939), 1,
      anon_sym_EQ,
    ACTIONS(6009), 1,
      anon_sym_RBRACE,
    STATE(3476), 1,
      sym_comment,
    STATE(6165), 1,
      aux_sym_object_repeat1,
    STATE(6171), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(1043), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2431), 29,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [118781] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(4514), 1,
      sym__automatic_semicolon,
    ACTIONS(4947), 1,
      anon_sym_LBRACK,
    STATE(3477), 1,
      sym_comment,
    STATE(4302), 1,
      sym__property_name,
    ACTIONS(3894), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4151), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 6,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(4372), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [118847] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(231), 1,
      anon_sym_COMMA,
    ACTIONS(1053), 1,
      anon_sym_RBRACE,
    ACTIONS(4939), 1,
      anon_sym_EQ,
    STATE(3478), 1,
      sym_comment,
    STATE(6171), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6333), 1,
      aux_sym_object_repeat1,
    ACTIONS(1043), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2431), 29,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [118909] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4300), 1,
      anon_sym_EQ,
    STATE(3479), 1,
      sym_comment,
    ACTIONS(4121), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4125), 24,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [118963] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(4514), 1,
      sym__automatic_semicolon,
    ACTIONS(4947), 1,
      anon_sym_LBRACK,
    STATE(3480), 1,
      sym_comment,
    STATE(4221), 1,
      sym__property_name,
    ACTIONS(3894), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4151), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 6,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(4372), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [119029] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(4514), 1,
      sym__automatic_semicolon,
    ACTIONS(4947), 1,
      anon_sym_LBRACK,
    STATE(3481), 1,
      sym_comment,
    STATE(4383), 1,
      sym__property_name,
    ACTIONS(3894), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4151), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 6,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(4372), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [119095] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(4514), 1,
      sym__automatic_semicolon,
    ACTIONS(4947), 1,
      anon_sym_LBRACK,
    STATE(3482), 1,
      sym_comment,
    STATE(4260), 1,
      sym__property_name,
    ACTIONS(3894), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4151), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 6,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(4372), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [119161] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5369), 1,
      anon_sym_LPAREN,
    ACTIONS(5411), 1,
      anon_sym_BQUOTE,
    STATE(3483), 1,
      sym_comment,
    STATE(3080), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4863), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4865), 21,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [119219] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5270), 1,
      anon_sym_EQ,
    ACTIONS(5926), 1,
      anon_sym_of,
    ACTIONS(6446), 1,
      anon_sym_in,
    STATE(3484), 1,
      sym_comment,
    ACTIONS(5268), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5272), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [119277] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(231), 1,
      anon_sym_COMMA,
    ACTIONS(4939), 1,
      anon_sym_EQ,
    ACTIONS(6009), 1,
      anon_sym_RBRACE,
    STATE(3485), 1,
      sym_comment,
    STATE(6165), 1,
      aux_sym_object_repeat1,
    STATE(6171), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(1043), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2419), 29,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [119339] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(231), 1,
      anon_sym_COMMA,
    ACTIONS(1053), 1,
      anon_sym_RBRACE,
    ACTIONS(4939), 1,
      anon_sym_EQ,
    STATE(3486), 1,
      sym_comment,
    STATE(6171), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6333), 1,
      aux_sym_object_repeat1,
    ACTIONS(1043), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2419), 29,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [119401] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(231), 1,
      anon_sym_COMMA,
    ACTIONS(4939), 1,
      anon_sym_EQ,
    ACTIONS(5990), 1,
      anon_sym_RBRACE,
    STATE(3487), 1,
      sym_comment,
    STATE(6171), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6333), 1,
      aux_sym_object_repeat1,
    ACTIONS(1043), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2431), 29,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [119463] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(4514), 1,
      sym__automatic_semicolon,
    ACTIONS(4947), 1,
      anon_sym_LBRACK,
    STATE(3488), 1,
      sym_comment,
    STATE(4418), 1,
      sym__property_name,
    ACTIONS(3894), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4151), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 6,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(4372), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [119529] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(4514), 1,
      sym__automatic_semicolon,
    ACTIONS(4947), 1,
      anon_sym_LBRACK,
    STATE(3489), 1,
      sym_comment,
    STATE(4335), 1,
      sym__property_name,
    ACTIONS(3894), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4151), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 6,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(4372), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [119595] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(4514), 1,
      sym__automatic_semicolon,
    ACTIONS(4947), 1,
      anon_sym_LBRACK,
    STATE(3490), 1,
      sym_comment,
    STATE(4313), 1,
      sym__property_name,
    ACTIONS(3894), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4151), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 6,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(4372), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [119661] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(231), 1,
      anon_sym_COMMA,
    ACTIONS(4939), 1,
      anon_sym_EQ,
    ACTIONS(5990), 1,
      anon_sym_RBRACE,
    STATE(3491), 1,
      sym_comment,
    STATE(6171), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6333), 1,
      aux_sym_object_repeat1,
    ACTIONS(1043), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2419), 29,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [119723] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4318), 1,
      anon_sym_EQ,
    STATE(3492), 1,
      sym_comment,
    ACTIONS(4121), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4125), 24,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [119777] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(4514), 1,
      sym__automatic_semicolon,
    ACTIONS(4947), 1,
      anon_sym_LBRACK,
    STATE(3493), 1,
      sym_comment,
    STATE(4353), 1,
      sym__property_name,
    ACTIONS(3894), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4151), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 6,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(4372), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [119843] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(231), 1,
      anon_sym_COMMA,
    ACTIONS(1022), 1,
      anon_sym_RBRACE,
    ACTIONS(4939), 1,
      anon_sym_EQ,
    STATE(3494), 1,
      sym_comment,
    STATE(6171), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6333), 1,
      aux_sym_object_repeat1,
    ACTIONS(1043), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2419), 29,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [119905] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(231), 1,
      anon_sym_COMMA,
    ACTIONS(1022), 1,
      anon_sym_RBRACE,
    ACTIONS(4939), 1,
      anon_sym_EQ,
    STATE(3495), 1,
      sym_comment,
    STATE(6171), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6333), 1,
      aux_sym_object_repeat1,
    ACTIONS(1043), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2431), 29,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [119967] = 13,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(4939), 1,
      anon_sym_EQ,
    ACTIONS(5477), 1,
      anon_sym_LBRACK,
    STATE(3496), 1,
      sym_comment,
    STATE(4761), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6593), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(4740), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [120035] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4450), 1,
      anon_sym_EQ,
    STATE(3497), 1,
      sym_comment,
    ACTIONS(4121), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4125), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [120088] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4488), 1,
      anon_sym_EQ,
    STATE(3498), 1,
      sym_comment,
    ACTIONS(4121), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4125), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [120141] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4444), 1,
      anon_sym_EQ,
    STATE(3499), 1,
      sym_comment,
    ACTIONS(4121), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4125), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [120194] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4486), 1,
      anon_sym_EQ,
    STATE(3500), 1,
      sym_comment,
    ACTIONS(4121), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4125), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [120247] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4454), 1,
      anon_sym_EQ,
    STATE(3501), 1,
      sym_comment,
    ACTIONS(4121), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4125), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [120300] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4476), 1,
      anon_sym_EQ,
    STATE(3502), 1,
      sym_comment,
    ACTIONS(4121), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4125), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [120353] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4440), 1,
      anon_sym_EQ,
    STATE(3503), 1,
      sym_comment,
    ACTIONS(4121), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4125), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [120406] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4452), 1,
      anon_sym_EQ,
    STATE(3504), 1,
      sym_comment,
    ACTIONS(4121), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4125), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [120459] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(5477), 1,
      anon_sym_LBRACK,
    STATE(3505), 1,
      sym_comment,
    STATE(4761), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6622), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(4740), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [120524] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4432), 1,
      anon_sym_EQ,
    STATE(3506), 1,
      sym_comment,
    ACTIONS(4121), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4125), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [120577] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6694), 1,
      sym__automatic_semicolon,
    STATE(3507), 1,
      sym_comment,
    ACTIONS(6692), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [120627] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6698), 1,
      anon_sym_SEMI,
    ACTIONS(6701), 1,
      sym__automatic_semicolon,
    STATE(3508), 1,
      sym_comment,
    ACTIONS(6696), 34,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [120679] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6705), 1,
      sym__automatic_semicolon,
    STATE(3509), 1,
      sym_comment,
    ACTIONS(6703), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [120729] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6709), 1,
      sym__automatic_semicolon,
    STATE(3510), 1,
      sym_comment,
    ACTIONS(6707), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [120779] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6713), 1,
      sym__automatic_semicolon,
    STATE(3511), 1,
      sym_comment,
    ACTIONS(6711), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [120829] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6717), 1,
      sym__automatic_semicolon,
    STATE(3512), 1,
      sym_comment,
    ACTIONS(6715), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [120879] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2107), 1,
      sym__automatic_semicolon,
    STATE(3513), 1,
      sym_comment,
    ACTIONS(2105), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [120929] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2095), 1,
      sym__automatic_semicolon,
    STATE(3514), 1,
      sym_comment,
    ACTIONS(2093), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [120979] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6717), 1,
      sym__automatic_semicolon,
    STATE(3515), 1,
      sym_comment,
    ACTIONS(6715), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [121029] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6717), 1,
      sym__automatic_semicolon,
    STATE(3516), 1,
      sym_comment,
    ACTIONS(6715), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [121079] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6721), 1,
      sym__automatic_semicolon,
    STATE(3517), 1,
      sym_comment,
    ACTIONS(6719), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [121129] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6723), 1,
      sym__automatic_semicolon,
    STATE(3518), 1,
      sym_comment,
    ACTIONS(2067), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [121179] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6725), 1,
      sym__automatic_semicolon,
    STATE(3519), 1,
      sym_comment,
    ACTIONS(2093), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [121229] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6729), 1,
      sym__automatic_semicolon,
    STATE(3520), 1,
      sym_comment,
    ACTIONS(6727), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [121279] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6729), 1,
      sym__automatic_semicolon,
    STATE(3521), 1,
      sym_comment,
    ACTIONS(6727), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [121329] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6729), 1,
      sym__automatic_semicolon,
    STATE(3522), 1,
      sym_comment,
    ACTIONS(6727), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [121379] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6705), 1,
      sym__automatic_semicolon,
    STATE(3523), 1,
      sym_comment,
    ACTIONS(6703), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [121429] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6731), 1,
      sym__automatic_semicolon,
    STATE(3524), 1,
      sym_comment,
    ACTIONS(2067), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [121479] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6735), 1,
      sym__automatic_semicolon,
    STATE(3525), 1,
      sym_comment,
    ACTIONS(6733), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [121529] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6737), 1,
      sym__automatic_semicolon,
    STATE(3526), 1,
      sym_comment,
    ACTIONS(2093), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [121579] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6741), 1,
      sym__automatic_semicolon,
    STATE(3527), 1,
      sym_comment,
    ACTIONS(6739), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [121629] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6745), 1,
      sym__automatic_semicolon,
    STATE(3528), 1,
      sym_comment,
    ACTIONS(6743), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [121679] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6729), 1,
      sym__automatic_semicolon,
    STATE(3529), 1,
      sym_comment,
    ACTIONS(6727), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [121729] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6741), 1,
      sym__automatic_semicolon,
    STATE(3530), 1,
      sym_comment,
    ACTIONS(6739), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [121779] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6749), 1,
      sym__automatic_semicolon,
    STATE(3531), 1,
      sym_comment,
    ACTIONS(6747), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [121829] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6753), 1,
      sym__automatic_semicolon,
    STATE(3532), 1,
      sym_comment,
    ACTIONS(6751), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [121879] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6735), 1,
      sym__automatic_semicolon,
    STATE(3533), 1,
      sym_comment,
    ACTIONS(6733), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [121929] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6709), 1,
      sym__automatic_semicolon,
    STATE(3534), 1,
      sym_comment,
    ACTIONS(6707), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [121979] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6757), 1,
      anon_sym_SEMI,
    ACTIONS(6760), 1,
      sym__automatic_semicolon,
    STATE(3535), 1,
      sym_comment,
    ACTIONS(6755), 34,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [122031] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6705), 1,
      sym__automatic_semicolon,
    STATE(3536), 1,
      sym_comment,
    ACTIONS(6703), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [122081] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6729), 1,
      sym__automatic_semicolon,
    STATE(3537), 1,
      sym_comment,
    ACTIONS(6727), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [122131] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6735), 1,
      sym__automatic_semicolon,
    STATE(3538), 1,
      sym_comment,
    ACTIONS(6733), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [122181] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6717), 1,
      sym__automatic_semicolon,
    STATE(3539), 1,
      sym_comment,
    ACTIONS(6715), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [122231] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6430), 1,
      anon_sym_COMMA,
    ACTIONS(6599), 1,
      anon_sym_RBRACE,
    STATE(3540), 1,
      sym_comment,
    STATE(5814), 1,
      aux_sym_object_repeat1,
    ACTIONS(1043), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2431), 29,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [122287] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6721), 1,
      sym__automatic_semicolon,
    STATE(3541), 1,
      sym_comment,
    ACTIONS(6719), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [122337] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6735), 1,
      sym__automatic_semicolon,
    STATE(3542), 1,
      sym_comment,
    ACTIONS(6733), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [122387] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6717), 1,
      sym__automatic_semicolon,
    STATE(3543), 1,
      sym_comment,
    ACTIONS(6715), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [122437] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6717), 1,
      sym__automatic_semicolon,
    STATE(3544), 1,
      sym_comment,
    ACTIONS(6715), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [122487] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6729), 1,
      sym__automatic_semicolon,
    STATE(3545), 1,
      sym_comment,
    ACTIONS(6727), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [122537] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6735), 1,
      sym__automatic_semicolon,
    STATE(3546), 1,
      sym_comment,
    ACTIONS(6733), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [122587] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6721), 1,
      sym__automatic_semicolon,
    STATE(3547), 1,
      sym_comment,
    ACTIONS(6719), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [122637] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6721), 1,
      sym__automatic_semicolon,
    STATE(3548), 1,
      sym_comment,
    ACTIONS(6719), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [122687] = 7,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4939), 1,
      anon_sym_EQ,
    STATE(3549), 1,
      sym_comment,
    ACTIONS(6593), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(1043), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2419), 29,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [122741] = 7,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4939), 1,
      anon_sym_EQ,
    STATE(3550), 1,
      sym_comment,
    ACTIONS(6593), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(1043), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2431), 29,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [122795] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6741), 1,
      sym__automatic_semicolon,
    STATE(3551), 1,
      sym_comment,
    ACTIONS(6739), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [122845] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6741), 1,
      sym__automatic_semicolon,
    STATE(3552), 1,
      sym_comment,
    ACTIONS(6739), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [122895] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6729), 1,
      sym__automatic_semicolon,
    STATE(3553), 1,
      sym_comment,
    ACTIONS(6727), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [122945] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6764), 1,
      sym__automatic_semicolon,
    STATE(3554), 1,
      sym_comment,
    ACTIONS(6762), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [122995] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6705), 1,
      sym__automatic_semicolon,
    STATE(3555), 1,
      sym_comment,
    ACTIONS(6703), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [123045] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6721), 1,
      sym__automatic_semicolon,
    STATE(3556), 1,
      sym_comment,
    ACTIONS(6719), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [123095] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6717), 1,
      sym__automatic_semicolon,
    STATE(3557), 1,
      sym_comment,
    ACTIONS(6715), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [123145] = 17,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(2908), 1,
      anon_sym_override,
    ACTIONS(5477), 1,
      anon_sym_LBRACK,
    ACTIONS(6766), 1,
      anon_sym_STAR,
    ACTIONS(6768), 1,
      anon_sym_async,
    ACTIONS(6770), 1,
      anon_sym_readonly,
    STATE(3558), 1,
      sym_comment,
    STATE(3662), 1,
      sym_override_modifier,
    STATE(4766), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6772), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4740), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2900), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [123219] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6705), 1,
      sym__automatic_semicolon,
    STATE(3559), 1,
      sym_comment,
    ACTIONS(6703), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [123269] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6776), 1,
      sym__automatic_semicolon,
    STATE(3560), 1,
      sym_comment,
    ACTIONS(6774), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [123319] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6741), 1,
      sym__automatic_semicolon,
    STATE(3561), 1,
      sym_comment,
    ACTIONS(6739), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [123369] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6764), 1,
      sym__automatic_semicolon,
    STATE(3562), 1,
      sym_comment,
    ACTIONS(6762), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [123419] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6430), 1,
      anon_sym_COMMA,
    ACTIONS(6599), 1,
      anon_sym_RBRACE,
    STATE(3563), 1,
      sym_comment,
    STATE(5814), 1,
      aux_sym_object_repeat1,
    ACTIONS(1043), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2419), 29,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [123475] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(5477), 1,
      anon_sym_LBRACK,
    ACTIONS(6778), 1,
      anon_sym_STAR,
    ACTIONS(6780), 1,
      anon_sym_async,
    STATE(3564), 1,
      sym_comment,
    STATE(4822), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6782), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4740), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2900), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [123542] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(3565), 1,
      sym_comment,
    ACTIONS(2105), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [123589] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(3566), 1,
      sym_comment,
    ACTIONS(6696), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [123636] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(3567), 1,
      sym_comment,
    ACTIONS(6784), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [123683] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(3568), 1,
      sym_comment,
    ACTIONS(6786), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [123730] = 13,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(5477), 1,
      anon_sym_LBRACK,
    ACTIONS(6778), 1,
      anon_sym_STAR,
    STATE(3569), 1,
      sym_comment,
    STATE(4822), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6782), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4740), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2900), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [123795] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(3570), 1,
      sym_comment,
    ACTIONS(6784), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [123842] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(3571), 1,
      sym_comment,
    ACTIONS(2093), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [123889] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(3572), 1,
      sym_comment,
    ACTIONS(6788), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [123936] = 13,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(5477), 1,
      anon_sym_LBRACK,
    ACTIONS(6790), 1,
      anon_sym_STAR,
    STATE(3573), 1,
      sym_comment,
    STATE(4833), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6792), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4740), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2900), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [124001] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(5477), 1,
      anon_sym_LBRACK,
    ACTIONS(6790), 1,
      anon_sym_STAR,
    ACTIONS(6794), 1,
      anon_sym_async,
    STATE(3574), 1,
      sym_comment,
    STATE(4833), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6792), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4740), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2900), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [124068] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(5477), 1,
      anon_sym_LBRACK,
    ACTIONS(6766), 1,
      anon_sym_STAR,
    ACTIONS(6768), 1,
      anon_sym_async,
    STATE(3575), 1,
      sym_comment,
    STATE(4766), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6772), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4740), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2900), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [124135] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(3576), 1,
      sym_comment,
    ACTIONS(6622), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(1043), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2419), 29,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [124186] = 13,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(5477), 1,
      anon_sym_LBRACK,
    ACTIONS(6766), 1,
      anon_sym_STAR,
    STATE(3577), 1,
      sym_comment,
    STATE(4766), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6772), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4740), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2900), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [124251] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(3578), 1,
      sym_comment,
    ACTIONS(6622), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(1043), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2431), 29,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [124302] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(5477), 1,
      anon_sym_LBRACK,
    ACTIONS(6796), 1,
      anon_sym_EQ_GT,
    STATE(3579), 1,
      sym_comment,
    STATE(4766), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4740), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [124365] = 13,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(5477), 1,
      anon_sym_LBRACK,
    ACTIONS(6798), 1,
      anon_sym_STAR,
    STATE(3580), 1,
      sym_comment,
    STATE(4917), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6800), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4740), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2900), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [124430] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(5477), 1,
      anon_sym_LBRACK,
    STATE(3581), 1,
      sym_comment,
    STATE(4830), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4740), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [124490] = 19,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(4396), 1,
      anon_sym_override,
    ACTIONS(4947), 1,
      anon_sym_LBRACK,
    ACTIONS(5681), 1,
      anon_sym_STAR,
    ACTIONS(5685), 1,
      anon_sym_async,
    ACTIONS(6802), 1,
      anon_sym_static,
    ACTIONS(6804), 1,
      anon_sym_readonly,
    ACTIONS(6806), 1,
      anon_sym_declare,
    ACTIONS(6808), 1,
      anon_sym_abstract,
    STATE(3582), 1,
      sym_comment,
    STATE(3677), 1,
      sym_override_modifier,
    STATE(3951), 1,
      sym__property_name,
    ACTIONS(3894), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5689), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4151), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4372), 16,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [124566] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(5477), 1,
      anon_sym_LBRACK,
    STATE(3583), 1,
      sym_comment,
    STATE(4805), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4740), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [124626] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(5477), 1,
      anon_sym_LBRACK,
    STATE(3584), 1,
      sym_comment,
    STATE(4969), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4740), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [124686] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(5477), 1,
      anon_sym_LBRACK,
    STATE(3585), 1,
      sym_comment,
    STATE(4950), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4740), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [124746] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(5477), 1,
      anon_sym_LBRACK,
    STATE(3586), 1,
      sym_comment,
    STATE(4835), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4740), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [124806] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(5477), 1,
      anon_sym_LBRACK,
    STATE(3587), 1,
      sym_comment,
    STATE(4948), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4740), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [124866] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(5477), 1,
      anon_sym_LBRACK,
    STATE(3588), 1,
      sym_comment,
    STATE(4774), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4740), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [124926] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(5477), 1,
      anon_sym_LBRACK,
    STATE(3589), 1,
      sym_comment,
    STATE(4766), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4740), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [124986] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(5477), 1,
      anon_sym_LBRACK,
    STATE(3590), 1,
      sym_comment,
    STATE(4914), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4740), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [125046] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(5477), 1,
      anon_sym_LBRACK,
    STATE(3591), 1,
      sym_comment,
    STATE(4898), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4740), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [125106] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(5477), 1,
      anon_sym_LBRACK,
    STATE(3592), 1,
      sym_comment,
    STATE(4946), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4740), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [125166] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(5477), 1,
      anon_sym_LBRACK,
    STATE(3593), 1,
      sym_comment,
    STATE(4811), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4740), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [125226] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(5477), 1,
      anon_sym_LBRACK,
    STATE(3594), 1,
      sym_comment,
    STATE(4765), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4740), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [125286] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(5477), 1,
      anon_sym_LBRACK,
    STATE(3595), 1,
      sym_comment,
    STATE(4817), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4740), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [125346] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(5477), 1,
      anon_sym_LBRACK,
    STATE(3596), 1,
      sym_comment,
    STATE(4833), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4740), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [125406] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(5477), 1,
      anon_sym_LBRACK,
    STATE(3597), 1,
      sym_comment,
    STATE(4826), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4740), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [125466] = 7,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6810), 1,
      anon_sym_LPAREN,
    ACTIONS(6812), 1,
      anon_sym_DOT,
    STATE(3598), 1,
      sym_comment,
    STATE(3732), 1,
      sym_arguments,
    ACTIONS(4231), 31,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [125518] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(5477), 1,
      anon_sym_LBRACK,
    STATE(3599), 1,
      sym_comment,
    STATE(4838), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4740), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [125578] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(5477), 1,
      anon_sym_LBRACK,
    STATE(3600), 1,
      sym_comment,
    STATE(4862), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4740), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [125638] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(5477), 1,
      anon_sym_LBRACK,
    STATE(3601), 1,
      sym_comment,
    STATE(4822), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4740), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [125698] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(5477), 1,
      anon_sym_LBRACK,
    STATE(3602), 1,
      sym_comment,
    STATE(4925), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4740), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [125758] = 19,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(4396), 1,
      anon_sym_override,
    ACTIONS(4947), 1,
      anon_sym_LBRACK,
    ACTIONS(6124), 1,
      anon_sym_STAR,
    ACTIONS(6126), 1,
      anon_sym_async,
    ACTIONS(6814), 1,
      anon_sym_static,
    ACTIONS(6816), 1,
      anon_sym_readonly,
    ACTIONS(6818), 1,
      anon_sym_declare,
    ACTIONS(6820), 1,
      anon_sym_abstract,
    STATE(3603), 1,
      sym_comment,
    STATE(3666), 1,
      sym_override_modifier,
    STATE(3949), 1,
      sym__property_name,
    ACTIONS(3894), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6128), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4151), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4372), 16,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [125834] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(5477), 1,
      anon_sym_LBRACK,
    STATE(3604), 1,
      sym_comment,
    STATE(4843), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4740), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [125894] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(5477), 1,
      anon_sym_LBRACK,
    STATE(3605), 1,
      sym_comment,
    STATE(4845), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4740), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [125954] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(5477), 1,
      anon_sym_LBRACK,
    STATE(3606), 1,
      sym_comment,
    STATE(4806), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4740), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [126014] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(5477), 1,
      anon_sym_LBRACK,
    STATE(3607), 1,
      sym_comment,
    STATE(4931), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4740), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [126074] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(5477), 1,
      anon_sym_LBRACK,
    STATE(3608), 1,
      sym_comment,
    STATE(4920), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4740), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [126134] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(5477), 1,
      anon_sym_LBRACK,
    STATE(3609), 1,
      sym_comment,
    STATE(4844), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4740), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [126194] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(5477), 1,
      anon_sym_LBRACK,
    STATE(3610), 1,
      sym_comment,
    STATE(4917), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4740), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1043), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [126254] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(5477), 1,
      anon_sym_LBRACK,
    ACTIONS(6822), 1,
      anon_sym_RBRACE,
    STATE(3611), 1,
      sym_comment,
    STATE(5161), 1,
      sym__property_name,
    STATE(6167), 1,
      sym_enum_assignment,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4740), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [126315] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(5477), 1,
      anon_sym_LBRACK,
    ACTIONS(6824), 1,
      anon_sym_RBRACE,
    STATE(3612), 1,
      sym_comment,
    STATE(5625), 1,
      sym__property_name,
    STATE(6506), 1,
      sym_enum_assignment,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4740), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [126376] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(4396), 1,
      anon_sym_override,
    ACTIONS(4947), 1,
      anon_sym_LBRACK,
    ACTIONS(6674), 1,
      anon_sym_readonly,
    ACTIONS(6826), 1,
      anon_sym_STAR,
    STATE(3613), 1,
      sym_comment,
    STATE(3673), 1,
      sym_override_modifier,
    STATE(3965), 1,
      sym__property_name,
    ACTIONS(3894), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6828), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4151), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4372), 19,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [126443] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(5477), 1,
      anon_sym_LBRACK,
    ACTIONS(6830), 1,
      anon_sym_RBRACE,
    STATE(3614), 1,
      sym_comment,
    STATE(5625), 1,
      sym__property_name,
    STATE(6506), 1,
      sym_enum_assignment,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4740), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [126504] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(5477), 1,
      anon_sym_LBRACK,
    ACTIONS(6832), 1,
      anon_sym_RBRACE,
    STATE(3615), 1,
      sym_comment,
    STATE(5625), 1,
      sym__property_name,
    STATE(6506), 1,
      sym_enum_assignment,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4740), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [126565] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(5477), 1,
      anon_sym_LBRACK,
    ACTIONS(6834), 1,
      anon_sym_RBRACE,
    STATE(3616), 1,
      sym_comment,
    STATE(5625), 1,
      sym__property_name,
    STATE(6506), 1,
      sym_enum_assignment,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4740), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [126626] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(4396), 1,
      anon_sym_override,
    ACTIONS(4947), 1,
      anon_sym_LBRACK,
    ACTIONS(6836), 1,
      anon_sym_static,
    ACTIONS(6838), 1,
      anon_sym_readonly,
    ACTIONS(6840), 1,
      anon_sym_abstract,
    STATE(3617), 1,
      sym_comment,
    STATE(3738), 1,
      sym_override_modifier,
    STATE(4217), 1,
      sym__property_name,
    ACTIONS(3894), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4151), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4372), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [126693] = 24,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(2698), 1,
      anon_sym_AT,
    ACTIONS(2754), 1,
      anon_sym_namespace,
    ACTIONS(2756), 1,
      anon_sym_import,
    ACTIONS(2758), 1,
      anon_sym_var,
    ACTIONS(2760), 1,
      anon_sym_let,
    ACTIONS(2762), 1,
      anon_sym_const,
    ACTIONS(2766), 1,
      anon_sym_class,
    ACTIONS(2768), 1,
      anon_sym_async,
    ACTIONS(2770), 1,
      anon_sym_function,
    ACTIONS(2772), 1,
      anon_sym_declare,
    ACTIONS(2774), 1,
      anon_sym_module,
    ACTIONS(2776), 1,
      anon_sym_abstract,
    ACTIONS(2778), 1,
      anon_sym_interface,
    ACTIONS(2780), 1,
      anon_sym_enum,
    ACTIONS(2928), 1,
      anon_sym_type,
    ACTIONS(6842), 1,
      anon_sym_default,
    STATE(1224), 1,
      sym_internal_module,
    STATE(1327), 1,
      sym_declaration,
    STATE(3618), 1,
      sym_comment,
    STATE(5213), 1,
      aux_sym_export_statement_repeat1,
    STATE(5700), 1,
      sym_decorator,
    STATE(1220), 13,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
      sym_function_signature,
      sym_ambient_declaration,
      sym_abstract_class_declaration,
      sym_module,
      sym_import_alias,
      sym_interface_declaration,
      sym_enum_declaration,
      sym_type_alias_declaration,
  [126778] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(5477), 1,
      anon_sym_LBRACK,
    ACTIONS(6844), 1,
      anon_sym_RBRACE,
    STATE(3619), 1,
      sym_comment,
    STATE(5496), 1,
      sym__property_name,
    STATE(6149), 1,
      sym_enum_assignment,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4740), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [126839] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(5477), 1,
      anon_sym_LBRACK,
    ACTIONS(6846), 1,
      anon_sym_RBRACE,
    STATE(3620), 1,
      sym_comment,
    STATE(5625), 1,
      sym__property_name,
    STATE(6506), 1,
      sym_enum_assignment,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4740), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [126900] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(5477), 1,
      anon_sym_LBRACK,
    ACTIONS(6848), 1,
      anon_sym_RBRACE,
    STATE(3621), 1,
      sym_comment,
    STATE(5625), 1,
      sym__property_name,
    STATE(6506), 1,
      sym_enum_assignment,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4740), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [126961] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(4396), 1,
      anon_sym_override,
    ACTIONS(4947), 1,
      anon_sym_LBRACK,
    ACTIONS(6140), 1,
      anon_sym_static,
    ACTIONS(6142), 1,
      anon_sym_readonly,
    ACTIONS(6144), 1,
      anon_sym_abstract,
    STATE(3622), 1,
      sym_comment,
    STATE(3683), 1,
      sym_override_modifier,
    STATE(4436), 1,
      sym__property_name,
    ACTIONS(3894), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4151), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4372), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [127028] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(5477), 1,
      anon_sym_LBRACK,
    ACTIONS(6850), 1,
      anon_sym_RBRACE,
    STATE(3623), 1,
      sym_comment,
    STATE(5625), 1,
      sym__property_name,
    STATE(6506), 1,
      sym_enum_assignment,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4740), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [127089] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(5477), 1,
      anon_sym_LBRACK,
    ACTIONS(6852), 1,
      anon_sym_RBRACE,
    STATE(3624), 1,
      sym_comment,
    STATE(5625), 1,
      sym__property_name,
    STATE(6506), 1,
      sym_enum_assignment,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4740), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [127150] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(5477), 1,
      anon_sym_LBRACK,
    ACTIONS(6854), 1,
      anon_sym_RBRACE,
    STATE(3625), 1,
      sym_comment,
    STATE(5625), 1,
      sym__property_name,
    STATE(6506), 1,
      sym_enum_assignment,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4740), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [127211] = 24,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(2698), 1,
      anon_sym_AT,
    ACTIONS(2830), 1,
      anon_sym_namespace,
    ACTIONS(2832), 1,
      anon_sym_import,
    ACTIONS(2834), 1,
      anon_sym_var,
    ACTIONS(2836), 1,
      anon_sym_let,
    ACTIONS(2838), 1,
      anon_sym_const,
    ACTIONS(2842), 1,
      anon_sym_class,
    ACTIONS(2844), 1,
      anon_sym_async,
    ACTIONS(2846), 1,
      anon_sym_function,
    ACTIONS(2848), 1,
      anon_sym_declare,
    ACTIONS(2852), 1,
      anon_sym_abstract,
    ACTIONS(2854), 1,
      anon_sym_interface,
    ACTIONS(2856), 1,
      anon_sym_enum,
    ACTIONS(2916), 1,
      anon_sym_type,
    ACTIONS(2918), 1,
      anon_sym_module,
    ACTIONS(2920), 1,
      anon_sym_global,
    STATE(1094), 1,
      sym_declaration,
    STATE(1102), 1,
      sym_internal_module,
    STATE(3626), 1,
      sym_comment,
    STATE(5341), 1,
      aux_sym_export_statement_repeat1,
    STATE(5700), 1,
      sym_decorator,
    STATE(1105), 13,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
      sym_function_signature,
      sym_ambient_declaration,
      sym_abstract_class_declaration,
      sym_module,
      sym_import_alias,
      sym_interface_declaration,
      sym_enum_declaration,
      sym_type_alias_declaration,
  [127296] = 17,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(4396), 1,
      anon_sym_override,
    ACTIONS(4937), 1,
      anon_sym_STAR,
    ACTIONS(4947), 1,
      anon_sym_LBRACK,
    ACTIONS(4949), 1,
      anon_sym_async,
    ACTIONS(4951), 1,
      anon_sym_readonly,
    ACTIONS(6856), 1,
      anon_sym_static,
    STATE(3627), 1,
      sym_comment,
    STATE(3670), 1,
      sym_override_modifier,
    STATE(4017), 1,
      sym__property_name,
    ACTIONS(3894), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4953), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4151), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4372), 17,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [127367] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(5477), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_RBRACE,
    STATE(3628), 1,
      sym_comment,
    STATE(5625), 1,
      sym__property_name,
    STATE(6506), 1,
      sym_enum_assignment,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4740), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [127428] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(5477), 1,
      anon_sym_LBRACK,
    ACTIONS(6860), 1,
      anon_sym_RBRACE,
    STATE(3629), 1,
      sym_comment,
    STATE(5625), 1,
      sym__property_name,
    STATE(6506), 1,
      sym_enum_assignment,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4740), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [127489] = 24,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2663), 1,
      anon_sym_namespace,
    ACTIONS(2669), 1,
      anon_sym_import,
    ACTIONS(2671), 1,
      anon_sym_var,
    ACTIONS(2673), 1,
      anon_sym_let,
    ACTIONS(2675), 1,
      anon_sym_const,
    ACTIONS(2683), 1,
      anon_sym_class,
    ACTIONS(2685), 1,
      anon_sym_async,
    ACTIONS(2687), 1,
      anon_sym_function,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(2698), 1,
      anon_sym_AT,
    ACTIONS(2700), 1,
      anon_sym_declare,
    ACTIONS(2704), 1,
      anon_sym_abstract,
    ACTIONS(2706), 1,
      anon_sym_interface,
    ACTIONS(2708), 1,
      anon_sym_enum,
    ACTIONS(2738), 1,
      anon_sym_type,
    ACTIONS(2740), 1,
      anon_sym_module,
    ACTIONS(2742), 1,
      anon_sym_global,
    STATE(1575), 1,
      sym_internal_module,
    STATE(1588), 1,
      sym_declaration,
    STATE(3630), 1,
      sym_comment,
    STATE(5414), 1,
      aux_sym_export_statement_repeat1,
    STATE(5700), 1,
      sym_decorator,
    STATE(1573), 13,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
      sym_function_signature,
      sym_ambient_declaration,
      sym_abstract_class_declaration,
      sym_module,
      sym_import_alias,
      sym_interface_declaration,
      sym_enum_declaration,
      sym_type_alias_declaration,
  [127574] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(5477), 1,
      anon_sym_LBRACK,
    ACTIONS(6862), 1,
      anon_sym_RBRACE,
    STATE(3631), 1,
      sym_comment,
    STATE(5625), 1,
      sym__property_name,
    STATE(6506), 1,
      sym_enum_assignment,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4740), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [127635] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(5477), 1,
      anon_sym_LBRACK,
    ACTIONS(6864), 1,
      anon_sym_RBRACE,
    STATE(3632), 1,
      sym_comment,
    STATE(5625), 1,
      sym__property_name,
    STATE(6506), 1,
      sym_enum_assignment,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4740), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [127696] = 24,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(2698), 1,
      anon_sym_AT,
    ACTIONS(2868), 1,
      anon_sym_namespace,
    ACTIONS(2870), 1,
      anon_sym_import,
    ACTIONS(2872), 1,
      anon_sym_var,
    ACTIONS(2874), 1,
      anon_sym_let,
    ACTIONS(2876), 1,
      anon_sym_const,
    ACTIONS(2880), 1,
      anon_sym_class,
    ACTIONS(2882), 1,
      anon_sym_async,
    ACTIONS(2884), 1,
      anon_sym_function,
    ACTIONS(2886), 1,
      anon_sym_declare,
    ACTIONS(2890), 1,
      anon_sym_abstract,
    ACTIONS(2892), 1,
      anon_sym_interface,
    ACTIONS(2894), 1,
      anon_sym_enum,
    ACTIONS(2910), 1,
      anon_sym_type,
    ACTIONS(2912), 1,
      anon_sym_module,
    ACTIONS(2914), 1,
      anon_sym_global,
    STATE(1358), 1,
      sym_declaration,
    STATE(1379), 1,
      sym_internal_module,
    STATE(3633), 1,
      sym_comment,
    STATE(5403), 1,
      aux_sym_export_statement_repeat1,
    STATE(5700), 1,
      sym_decorator,
    STATE(1382), 13,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
      sym_function_signature,
      sym_ambient_declaration,
      sym_abstract_class_declaration,
      sym_module,
      sym_import_alias,
      sym_interface_declaration,
      sym_enum_declaration,
      sym_type_alias_declaration,
  [127781] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(5477), 1,
      anon_sym_LBRACK,
    ACTIONS(6866), 1,
      anon_sym_RBRACE,
    STATE(3634), 1,
      sym_comment,
    STATE(5625), 1,
      sym__property_name,
    STATE(6506), 1,
      sym_enum_assignment,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4740), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [127842] = 17,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(4396), 1,
      anon_sym_override,
    ACTIONS(4947), 1,
      anon_sym_LBRACK,
    ACTIONS(6098), 1,
      anon_sym_STAR,
    ACTIONS(6100), 1,
      anon_sym_async,
    ACTIONS(6102), 1,
      anon_sym_readonly,
    ACTIONS(6868), 1,
      anon_sym_static,
    STATE(3635), 1,
      sym_comment,
    STATE(3679), 1,
      sym_override_modifier,
    STATE(4042), 1,
      sym__property_name,
    ACTIONS(3894), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6104), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4151), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4372), 17,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [127913] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(5477), 1,
      anon_sym_LBRACK,
    ACTIONS(6870), 1,
      anon_sym_RBRACE,
    STATE(3636), 1,
      sym_comment,
    STATE(5625), 1,
      sym__property_name,
    STATE(6506), 1,
      sym_enum_assignment,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4740), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [127974] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(5477), 1,
      anon_sym_LBRACK,
    ACTIONS(6872), 1,
      anon_sym_RBRACE,
    STATE(3637), 1,
      sym_comment,
    STATE(5190), 1,
      sym__property_name,
    STATE(5905), 1,
      sym_enum_assignment,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4740), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [128035] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(3638), 1,
      sym_comment,
    ACTIONS(4304), 33,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [128080] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(5477), 1,
      anon_sym_LBRACK,
    ACTIONS(6874), 1,
      anon_sym_RBRACE,
    STATE(3639), 1,
      sym_comment,
    STATE(5625), 1,
      sym__property_name,
    STATE(6506), 1,
      sym_enum_assignment,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4740), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [128141] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(5477), 1,
      anon_sym_LBRACK,
    ACTIONS(6876), 1,
      anon_sym_RBRACE,
    STATE(3640), 1,
      sym_comment,
    STATE(5625), 1,
      sym__property_name,
    STATE(6506), 1,
      sym_enum_assignment,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4740), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [128202] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(5477), 1,
      anon_sym_LBRACK,
    ACTIONS(6878), 1,
      anon_sym_RBRACE,
    STATE(3641), 1,
      sym_comment,
    STATE(5625), 1,
      sym__property_name,
    STATE(6506), 1,
      sym_enum_assignment,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4740), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [128263] = 24,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(2698), 1,
      anon_sym_AT,
    ACTIONS(2792), 1,
      anon_sym_namespace,
    ACTIONS(2794), 1,
      anon_sym_import,
    ACTIONS(2796), 1,
      anon_sym_var,
    ACTIONS(2798), 1,
      anon_sym_let,
    ACTIONS(2800), 1,
      anon_sym_const,
    ACTIONS(2804), 1,
      anon_sym_class,
    ACTIONS(2806), 1,
      anon_sym_async,
    ACTIONS(2808), 1,
      anon_sym_function,
    ACTIONS(2810), 1,
      anon_sym_declare,
    ACTIONS(2814), 1,
      anon_sym_abstract,
    ACTIONS(2816), 1,
      anon_sym_interface,
    ACTIONS(2818), 1,
      anon_sym_enum,
    ACTIONS(2922), 1,
      anon_sym_type,
    ACTIONS(2924), 1,
      anon_sym_module,
    ACTIONS(2926), 1,
      anon_sym_global,
    STATE(3642), 1,
      sym_comment,
    STATE(5327), 1,
      aux_sym_export_statement_repeat1,
    STATE(5700), 1,
      sym_decorator,
    STATE(6915), 1,
      sym_internal_module,
    STATE(6956), 1,
      sym_declaration,
    STATE(6895), 13,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
      sym_function_signature,
      sym_ambient_declaration,
      sym_abstract_class_declaration,
      sym_module,
      sym_import_alias,
      sym_interface_declaration,
      sym_enum_declaration,
      sym_type_alias_declaration,
  [128348] = 24,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(2698), 1,
      anon_sym_AT,
    ACTIONS(2792), 1,
      anon_sym_namespace,
    ACTIONS(2794), 1,
      anon_sym_import,
    ACTIONS(2796), 1,
      anon_sym_var,
    ACTIONS(2798), 1,
      anon_sym_let,
    ACTIONS(2800), 1,
      anon_sym_const,
    ACTIONS(2804), 1,
      anon_sym_class,
    ACTIONS(2806), 1,
      anon_sym_async,
    ACTIONS(2808), 1,
      anon_sym_function,
    ACTIONS(2810), 1,
      anon_sym_declare,
    ACTIONS(2812), 1,
      anon_sym_module,
    ACTIONS(2814), 1,
      anon_sym_abstract,
    ACTIONS(2816), 1,
      anon_sym_interface,
    ACTIONS(2818), 1,
      anon_sym_enum,
    ACTIONS(2922), 1,
      anon_sym_type,
    ACTIONS(6880), 1,
      anon_sym_default,
    STATE(3643), 1,
      sym_comment,
    STATE(5327), 1,
      aux_sym_export_statement_repeat1,
    STATE(5700), 1,
      sym_decorator,
    STATE(6915), 1,
      sym_internal_module,
    STATE(7122), 1,
      sym_declaration,
    STATE(6895), 13,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
      sym_function_signature,
      sym_ambient_declaration,
      sym_abstract_class_declaration,
      sym_module,
      sym_import_alias,
      sym_interface_declaration,
      sym_enum_declaration,
      sym_type_alias_declaration,
  [128433] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(5477), 1,
      anon_sym_LBRACK,
    ACTIONS(6882), 1,
      anon_sym_RBRACE,
    STATE(3644), 1,
      sym_comment,
    STATE(5625), 1,
      sym__property_name,
    STATE(6506), 1,
      sym_enum_assignment,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4740), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [128494] = 24,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(2698), 1,
      anon_sym_AT,
    ACTIONS(2936), 1,
      anon_sym_type,
    ACTIONS(2938), 1,
      anon_sym_namespace,
    ACTIONS(2940), 1,
      anon_sym_import,
    ACTIONS(2942), 1,
      anon_sym_var,
    ACTIONS(2944), 1,
      anon_sym_let,
    ACTIONS(2946), 1,
      anon_sym_const,
    ACTIONS(2948), 1,
      anon_sym_class,
    ACTIONS(2950), 1,
      anon_sym_async,
    ACTIONS(2952), 1,
      anon_sym_function,
    ACTIONS(2954), 1,
      anon_sym_declare,
    ACTIONS(2956), 1,
      anon_sym_module,
    ACTIONS(2958), 1,
      anon_sym_abstract,
    ACTIONS(2960), 1,
      anon_sym_global,
    ACTIONS(2962), 1,
      anon_sym_interface,
    ACTIONS(2964), 1,
      anon_sym_enum,
    STATE(3645), 1,
      sym_comment,
    STATE(5206), 1,
      sym_internal_module,
    STATE(5248), 1,
      sym_declaration,
    STATE(5375), 1,
      aux_sym_export_statement_repeat1,
    STATE(5700), 1,
      sym_decorator,
    STATE(5192), 13,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
      sym_function_signature,
      sym_ambient_declaration,
      sym_abstract_class_declaration,
      sym_module,
      sym_import_alias,
      sym_interface_declaration,
      sym_enum_declaration,
      sym_type_alias_declaration,
  [128579] = 24,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2663), 1,
      anon_sym_namespace,
    ACTIONS(2669), 1,
      anon_sym_import,
    ACTIONS(2671), 1,
      anon_sym_var,
    ACTIONS(2673), 1,
      anon_sym_let,
    ACTIONS(2675), 1,
      anon_sym_const,
    ACTIONS(2683), 1,
      anon_sym_class,
    ACTIONS(2685), 1,
      anon_sym_async,
    ACTIONS(2687), 1,
      anon_sym_function,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(2698), 1,
      anon_sym_AT,
    ACTIONS(2700), 1,
      anon_sym_declare,
    ACTIONS(2702), 1,
      anon_sym_module,
    ACTIONS(2704), 1,
      anon_sym_abstract,
    ACTIONS(2706), 1,
      anon_sym_interface,
    ACTIONS(2708), 1,
      anon_sym_enum,
    ACTIONS(2738), 1,
      anon_sym_type,
    ACTIONS(6884), 1,
      anon_sym_default,
    STATE(1575), 1,
      sym_internal_module,
    STATE(1650), 1,
      sym_declaration,
    STATE(3646), 1,
      sym_comment,
    STATE(5414), 1,
      aux_sym_export_statement_repeat1,
    STATE(5700), 1,
      sym_decorator,
    STATE(1573), 13,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
      sym_function_signature,
      sym_ambient_declaration,
      sym_abstract_class_declaration,
      sym_module,
      sym_import_alias,
      sym_interface_declaration,
      sym_enum_declaration,
      sym_type_alias_declaration,
  [128664] = 24,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(2698), 1,
      anon_sym_AT,
    ACTIONS(2754), 1,
      anon_sym_namespace,
    ACTIONS(2756), 1,
      anon_sym_import,
    ACTIONS(2758), 1,
      anon_sym_var,
    ACTIONS(2760), 1,
      anon_sym_let,
    ACTIONS(2762), 1,
      anon_sym_const,
    ACTIONS(2766), 1,
      anon_sym_class,
    ACTIONS(2768), 1,
      anon_sym_async,
    ACTIONS(2770), 1,
      anon_sym_function,
    ACTIONS(2772), 1,
      anon_sym_declare,
    ACTIONS(2776), 1,
      anon_sym_abstract,
    ACTIONS(2778), 1,
      anon_sym_interface,
    ACTIONS(2780), 1,
      anon_sym_enum,
    ACTIONS(2928), 1,
      anon_sym_type,
    ACTIONS(2930), 1,
      anon_sym_module,
    ACTIONS(2932), 1,
      anon_sym_global,
    STATE(1224), 1,
      sym_internal_module,
    STATE(1232), 1,
      sym_declaration,
    STATE(3647), 1,
      sym_comment,
    STATE(5213), 1,
      aux_sym_export_statement_repeat1,
    STATE(5700), 1,
      sym_decorator,
    STATE(1220), 13,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
      sym_function_signature,
      sym_ambient_declaration,
      sym_abstract_class_declaration,
      sym_module,
      sym_import_alias,
      sym_interface_declaration,
      sym_enum_declaration,
      sym_type_alias_declaration,
  [128749] = 24,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(2698), 1,
      anon_sym_AT,
    ACTIONS(2868), 1,
      anon_sym_namespace,
    ACTIONS(2870), 1,
      anon_sym_import,
    ACTIONS(2872), 1,
      anon_sym_var,
    ACTIONS(2874), 1,
      anon_sym_let,
    ACTIONS(2876), 1,
      anon_sym_const,
    ACTIONS(2880), 1,
      anon_sym_class,
    ACTIONS(2882), 1,
      anon_sym_async,
    ACTIONS(2884), 1,
      anon_sym_function,
    ACTIONS(2886), 1,
      anon_sym_declare,
    ACTIONS(2888), 1,
      anon_sym_module,
    ACTIONS(2890), 1,
      anon_sym_abstract,
    ACTIONS(2892), 1,
      anon_sym_interface,
    ACTIONS(2894), 1,
      anon_sym_enum,
    ACTIONS(2910), 1,
      anon_sym_type,
    ACTIONS(6886), 1,
      anon_sym_default,
    STATE(1274), 1,
      sym_declaration,
    STATE(1379), 1,
      sym_internal_module,
    STATE(3648), 1,
      sym_comment,
    STATE(5403), 1,
      aux_sym_export_statement_repeat1,
    STATE(5700), 1,
      sym_decorator,
    STATE(1382), 13,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
      sym_function_signature,
      sym_ambient_declaration,
      sym_abstract_class_declaration,
      sym_module,
      sym_import_alias,
      sym_interface_declaration,
      sym_enum_declaration,
      sym_type_alias_declaration,
  [128834] = 24,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(2698), 1,
      anon_sym_AT,
    ACTIONS(2830), 1,
      anon_sym_namespace,
    ACTIONS(2832), 1,
      anon_sym_import,
    ACTIONS(2834), 1,
      anon_sym_var,
    ACTIONS(2836), 1,
      anon_sym_let,
    ACTIONS(2838), 1,
      anon_sym_const,
    ACTIONS(2842), 1,
      anon_sym_class,
    ACTIONS(2844), 1,
      anon_sym_async,
    ACTIONS(2846), 1,
      anon_sym_function,
    ACTIONS(2848), 1,
      anon_sym_declare,
    ACTIONS(2850), 1,
      anon_sym_module,
    ACTIONS(2852), 1,
      anon_sym_abstract,
    ACTIONS(2854), 1,
      anon_sym_interface,
    ACTIONS(2856), 1,
      anon_sym_enum,
    ACTIONS(2916), 1,
      anon_sym_type,
    ACTIONS(6888), 1,
      anon_sym_default,
    STATE(1073), 1,
      sym_declaration,
    STATE(1102), 1,
      sym_internal_module,
    STATE(3649), 1,
      sym_comment,
    STATE(5341), 1,
      aux_sym_export_statement_repeat1,
    STATE(5700), 1,
      sym_decorator,
    STATE(1105), 13,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
      sym_function_signature,
      sym_ambient_declaration,
      sym_abstract_class_declaration,
      sym_module,
      sym_import_alias,
      sym_interface_declaration,
      sym_enum_declaration,
      sym_type_alias_declaration,
  [128919] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(5477), 1,
      anon_sym_LBRACK,
    ACTIONS(6890), 1,
      anon_sym_RBRACE,
    STATE(3650), 1,
      sym_comment,
    STATE(5625), 1,
      sym__property_name,
    STATE(6506), 1,
      sym_enum_assignment,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4740), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [128980] = 17,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(2902), 1,
      anon_sym_async,
    ACTIONS(2904), 1,
      anon_sym_readonly,
    ACTIONS(2908), 1,
      anon_sym_override,
    ACTIONS(5477), 1,
      anon_sym_LBRACK,
    ACTIONS(5988), 1,
      anon_sym_STAR,
    ACTIONS(6892), 1,
      anon_sym_static,
    STATE(3651), 1,
      sym_comment,
    STATE(3665), 1,
      sym_override_modifier,
    STATE(4761), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2906), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4740), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2900), 17,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [129051] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(5477), 1,
      anon_sym_LBRACK,
    ACTIONS(6894), 1,
      anon_sym_RBRACE,
    STATE(3652), 1,
      sym_comment,
    STATE(5625), 1,
      sym__property_name,
    STATE(6506), 1,
      sym_enum_assignment,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4740), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [129112] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(4396), 1,
      anon_sym_override,
    ACTIONS(4947), 1,
      anon_sym_LBRACK,
    ACTIONS(6896), 1,
      anon_sym_STAR,
    ACTIONS(6898), 1,
      anon_sym_readonly,
    STATE(3653), 1,
      sym_comment,
    STATE(3680), 1,
      sym_override_modifier,
    STATE(3953), 1,
      sym__property_name,
    ACTIONS(3894), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6900), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4151), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4372), 19,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [129179] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(5477), 1,
      anon_sym_LBRACK,
    ACTIONS(6902), 1,
      anon_sym_RBRACE,
    STATE(3654), 1,
      sym_comment,
    STATE(5625), 1,
      sym__property_name,
    STATE(6506), 1,
      sym_enum_assignment,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4740), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [129240] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(5477), 1,
      anon_sym_LBRACK,
    ACTIONS(6904), 1,
      anon_sym_RBRACE,
    STATE(3655), 1,
      sym_comment,
    STATE(5246), 1,
      sym__property_name,
    STATE(6442), 1,
      sym_enum_assignment,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4740), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [129301] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6906), 1,
      anon_sym_AT,
    STATE(3712), 1,
      sym_decorator,
    STATE(3656), 2,
      sym_comment,
      aux_sym_export_statement_repeat1,
    ACTIONS(4279), 30,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [129350] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(5477), 1,
      anon_sym_LBRACK,
    ACTIONS(6909), 1,
      anon_sym_RBRACE,
    STATE(3657), 1,
      sym_comment,
    STATE(5625), 1,
      sym__property_name,
    STATE(6506), 1,
      sym_enum_assignment,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4740), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [129411] = 24,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(2698), 1,
      anon_sym_AT,
    ACTIONS(2936), 1,
      anon_sym_type,
    ACTIONS(2938), 1,
      anon_sym_namespace,
    ACTIONS(2940), 1,
      anon_sym_import,
    ACTIONS(2942), 1,
      anon_sym_var,
    ACTIONS(2944), 1,
      anon_sym_let,
    ACTIONS(2946), 1,
      anon_sym_const,
    ACTIONS(2948), 1,
      anon_sym_class,
    ACTIONS(2950), 1,
      anon_sym_async,
    ACTIONS(2952), 1,
      anon_sym_function,
    ACTIONS(2954), 1,
      anon_sym_declare,
    ACTIONS(2958), 1,
      anon_sym_abstract,
    ACTIONS(2962), 1,
      anon_sym_interface,
    ACTIONS(2964), 1,
      anon_sym_enum,
    ACTIONS(4516), 1,
      anon_sym_module,
    ACTIONS(6911), 1,
      anon_sym_default,
    STATE(3658), 1,
      sym_comment,
    STATE(5083), 1,
      sym_declaration,
    STATE(5206), 1,
      sym_internal_module,
    STATE(5375), 1,
      aux_sym_export_statement_repeat1,
    STATE(5700), 1,
      sym_decorator,
    STATE(5192), 13,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
      sym_function_signature,
      sym_ambient_declaration,
      sym_abstract_class_declaration,
      sym_module,
      sym_import_alias,
      sym_interface_declaration,
      sym_enum_declaration,
      sym_type_alias_declaration,
  [129496] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(5477), 1,
      anon_sym_LBRACK,
    ACTIONS(6913), 1,
      anon_sym_RBRACE,
    STATE(3659), 1,
      sym_comment,
    STATE(5100), 1,
      sym__property_name,
    STATE(6399), 1,
      sym_enum_assignment,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4740), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [129557] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(5477), 1,
      anon_sym_LBRACK,
    ACTIONS(6915), 1,
      anon_sym_RBRACE,
    STATE(3660), 1,
      sym_comment,
    STATE(5625), 1,
      sym__property_name,
    STATE(6506), 1,
      sym_enum_assignment,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4740), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [129618] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(5477), 1,
      anon_sym_LBRACK,
    ACTIONS(6917), 1,
      anon_sym_RBRACE,
    STATE(3661), 1,
      sym_comment,
    STATE(5455), 1,
      sym__property_name,
    STATE(6195), 1,
      sym_enum_assignment,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4740), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [129679] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(5477), 1,
      anon_sym_LBRACK,
    ACTIONS(6790), 1,
      anon_sym_STAR,
    ACTIONS(6794), 1,
      anon_sym_async,
    ACTIONS(6919), 1,
      anon_sym_readonly,
    STATE(3662), 1,
      sym_comment,
    STATE(4833), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6792), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4740), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2900), 19,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [129743] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(2902), 1,
      anon_sym_async,
    ACTIONS(2904), 1,
      anon_sym_readonly,
    ACTIONS(5477), 1,
      anon_sym_LBRACK,
    ACTIONS(5988), 1,
      anon_sym_STAR,
    STATE(3663), 1,
      sym_comment,
    STATE(4761), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2906), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4740), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2900), 19,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [129807] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(3664), 1,
      sym_comment,
    ACTIONS(1043), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2431), 29,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [129853] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(5477), 1,
      anon_sym_LBRACK,
    ACTIONS(6766), 1,
      anon_sym_STAR,
    ACTIONS(6768), 1,
      anon_sym_async,
    ACTIONS(6770), 1,
      anon_sym_readonly,
    STATE(3665), 1,
      sym_comment,
    STATE(4766), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6772), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4740), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2900), 19,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [129917] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(4947), 1,
      anon_sym_LBRACK,
    ACTIONS(6058), 1,
      anon_sym_STAR,
    ACTIONS(6060), 1,
      anon_sym_async,
    ACTIONS(6921), 1,
      anon_sym_readonly,
    STATE(3666), 1,
      sym_comment,
    STATE(3967), 1,
      sym__property_name,
    ACTIONS(3894), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6064), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4151), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4372), 19,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [129981] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(4947), 1,
      anon_sym_LBRACK,
    ACTIONS(5681), 1,
      anon_sym_STAR,
    ACTIONS(5685), 1,
      anon_sym_async,
    ACTIONS(5687), 1,
      anon_sym_readonly,
    STATE(3667), 1,
      sym_comment,
    STATE(3951), 1,
      sym__property_name,
    ACTIONS(3894), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5689), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4151), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4372), 19,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [130045] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(4947), 1,
      anon_sym_LBRACK,
    ACTIONS(6327), 1,
      anon_sym_STAR,
    ACTIONS(6329), 1,
      anon_sym_async,
    ACTIONS(6923), 1,
      anon_sym_readonly,
    STATE(3668), 1,
      sym_comment,
    STATE(3987), 1,
      sym__property_name,
    ACTIONS(3894), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6331), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4151), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4372), 19,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [130109] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(5477), 1,
      anon_sym_LBRACK,
    STATE(3669), 1,
      sym_comment,
    STATE(5625), 1,
      sym__property_name,
    STATE(6506), 1,
      sym_enum_assignment,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4740), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [130167] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(4947), 1,
      anon_sym_LBRACK,
    ACTIONS(5995), 1,
      anon_sym_STAR,
    ACTIONS(5997), 1,
      anon_sym_async,
    ACTIONS(5999), 1,
      anon_sym_readonly,
    STATE(3670), 1,
      sym_comment,
    STATE(3998), 1,
      sym__property_name,
    ACTIONS(3894), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6001), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4151), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4372), 19,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [130231] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(4937), 1,
      anon_sym_STAR,
    ACTIONS(4947), 1,
      anon_sym_LBRACK,
    ACTIONS(4949), 1,
      anon_sym_async,
    ACTIONS(4951), 1,
      anon_sym_readonly,
    STATE(3671), 1,
      sym_comment,
    STATE(4017), 1,
      sym__property_name,
    ACTIONS(3894), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4953), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4151), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4372), 19,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [130295] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(4947), 1,
      anon_sym_LBRACK,
    ACTIONS(6475), 1,
      anon_sym_STAR,
    ACTIONS(6477), 1,
      anon_sym_async,
    ACTIONS(6925), 1,
      anon_sym_readonly,
    STATE(3672), 1,
      sym_comment,
    STATE(3977), 1,
      sym__property_name,
    ACTIONS(3894), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6479), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4151), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4372), 19,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [130359] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(5477), 1,
      anon_sym_LBRACK,
    ACTIONS(6927), 1,
      anon_sym_STAR,
    STATE(3673), 1,
      sym_comment,
    STATE(4765), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6929), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4740), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2900), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [130419] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(4947), 1,
      anon_sym_LBRACK,
    ACTIONS(6098), 1,
      anon_sym_STAR,
    ACTIONS(6100), 1,
      anon_sym_async,
    ACTIONS(6102), 1,
      anon_sym_readonly,
    STATE(3674), 1,
      sym_comment,
    STATE(4042), 1,
      sym__property_name,
    ACTIONS(3894), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6104), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4151), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4372), 19,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [130483] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(4947), 1,
      anon_sym_LBRACK,
    ACTIONS(6058), 1,
      anon_sym_STAR,
    ACTIONS(6060), 1,
      anon_sym_async,
    ACTIONS(6931), 1,
      anon_sym_readonly,
    STATE(3675), 1,
      sym_comment,
    STATE(3964), 1,
      sym__property_name,
    ACTIONS(3894), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6064), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4151), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4372), 19,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [130547] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(4947), 1,
      anon_sym_LBRACK,
    ACTIONS(6124), 1,
      anon_sym_STAR,
    ACTIONS(6126), 1,
      anon_sym_async,
    ACTIONS(6933), 1,
      anon_sym_readonly,
    STATE(3676), 1,
      sym_comment,
    STATE(3948), 1,
      sym__property_name,
    ACTIONS(3894), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6128), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4151), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4372), 19,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [130611] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(4947), 1,
      anon_sym_LBRACK,
    ACTIONS(6146), 1,
      anon_sym_STAR,
    ACTIONS(6148), 1,
      anon_sym_async,
    ACTIONS(6154), 1,
      anon_sym_readonly,
    STATE(3677), 1,
      sym_comment,
    STATE(3972), 1,
      sym__property_name,
    ACTIONS(3894), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6150), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4151), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4372), 19,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [130675] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(4947), 1,
      anon_sym_LBRACK,
    ACTIONS(6245), 1,
      anon_sym_STAR,
    ACTIONS(6375), 1,
      anon_sym_async,
    ACTIONS(6935), 1,
      anon_sym_readonly,
    STATE(3678), 1,
      sym_comment,
    STATE(3958), 1,
      sym__property_name,
    ACTIONS(3894), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6377), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4151), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4372), 19,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [130739] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(4947), 1,
      anon_sym_LBRACK,
    ACTIONS(6164), 1,
      anon_sym_STAR,
    ACTIONS(6166), 1,
      anon_sym_async,
    ACTIONS(6168), 1,
      anon_sym_readonly,
    STATE(3679), 1,
      sym_comment,
    STATE(4050), 1,
      sym__property_name,
    ACTIONS(3894), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6170), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4151), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4372), 19,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [130803] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(5477), 1,
      anon_sym_LBRACK,
    ACTIONS(6826), 1,
      anon_sym_STAR,
    STATE(3680), 1,
      sym_comment,
    STATE(4870), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6937), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4740), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2900), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [130863] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(4947), 1,
      anon_sym_LBRACK,
    ACTIONS(6255), 1,
      anon_sym_STAR,
    ACTIONS(6257), 1,
      anon_sym_async,
    ACTIONS(6939), 1,
      anon_sym_readonly,
    STATE(3681), 1,
      sym_comment,
    STATE(4015), 1,
      sym__property_name,
    ACTIONS(3894), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6259), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4151), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4372), 19,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [130927] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(4947), 1,
      anon_sym_LBRACK,
    ACTIONS(6941), 1,
      anon_sym_readonly,
    STATE(3682), 1,
      sym_comment,
    STATE(4322), 1,
      sym__property_name,
    ACTIONS(3894), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4151), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4372), 22,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [130984] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(4947), 1,
      anon_sym_LBRACK,
    ACTIONS(6678), 1,
      anon_sym_readonly,
    STATE(3683), 1,
      sym_comment,
    STATE(4227), 1,
      sym__property_name,
    ACTIONS(3894), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4151), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4372), 22,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [131041] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(5477), 1,
      anon_sym_LBRACK,
    STATE(3684), 1,
      sym_comment,
    STATE(4917), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4740), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [131096] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(5477), 1,
      anon_sym_LBRACK,
    STATE(3685), 1,
      sym_comment,
    STATE(4761), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4740), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [131151] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(5477), 1,
      anon_sym_LBRACK,
    STATE(3686), 1,
      sym_comment,
    STATE(4811), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4740), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [131206] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(5477), 1,
      anon_sym_LBRACK,
    STATE(3687), 1,
      sym_comment,
    STATE(4914), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4740), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [131261] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(5477), 1,
      anon_sym_LBRACK,
    STATE(3688), 1,
      sym_comment,
    STATE(4817), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4740), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [131316] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(4947), 1,
      anon_sym_LBRACK,
    ACTIONS(6943), 1,
      anon_sym_readonly,
    STATE(3689), 1,
      sym_comment,
    STATE(4396), 1,
      sym__property_name,
    ACTIONS(3894), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4151), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4372), 22,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [131373] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(5477), 1,
      anon_sym_LBRACK,
    STATE(3690), 1,
      sym_comment,
    STATE(4826), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4740), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [131428] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(4947), 1,
      anon_sym_LBRACK,
    STATE(3691), 1,
      sym_comment,
    STATE(4408), 1,
      sym__property_name,
    ACTIONS(3894), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4151), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4372), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [131483] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(5477), 1,
      anon_sym_LBRACK,
    STATE(3692), 1,
      sym_comment,
    STATE(4838), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4740), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [131538] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(5477), 1,
      anon_sym_LBRACK,
    STATE(3693), 1,
      sym_comment,
    STATE(4833), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4740), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [131593] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(5477), 1,
      anon_sym_LBRACK,
    STATE(3694), 1,
      sym_comment,
    STATE(4843), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4740), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [131648] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(5477), 1,
      anon_sym_LBRACK,
    STATE(3695), 1,
      sym_comment,
    STATE(4845), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4740), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [131703] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(5477), 1,
      anon_sym_LBRACK,
    STATE(3696), 1,
      sym_comment,
    STATE(4890), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4740), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [131758] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(5477), 1,
      anon_sym_LBRACK,
    STATE(3697), 1,
      sym_comment,
    STATE(4898), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4740), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [131813] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(5477), 1,
      anon_sym_LBRACK,
    STATE(3698), 1,
      sym_comment,
    STATE(4822), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4740), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [131868] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(5477), 1,
      anon_sym_LBRACK,
    STATE(3699), 1,
      sym_comment,
    STATE(4946), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4740), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [131923] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(4947), 1,
      anon_sym_LBRACK,
    ACTIONS(6945), 1,
      anon_sym_readonly,
    STATE(3700), 1,
      sym_comment,
    STATE(4260), 1,
      sym__property_name,
    ACTIONS(3894), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4151), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4372), 22,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [131980] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(4947), 1,
      anon_sym_LBRACK,
    STATE(3701), 1,
      sym_comment,
    STATE(4260), 1,
      sym__property_name,
    ACTIONS(3894), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4151), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4372), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [132035] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(5477), 1,
      anon_sym_LBRACK,
    STATE(3702), 1,
      sym_comment,
    STATE(4969), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4740), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [132090] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(5477), 1,
      anon_sym_LBRACK,
    STATE(3703), 1,
      sym_comment,
    STATE(4830), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4740), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [132145] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(5477), 1,
      anon_sym_LBRACK,
    STATE(3704), 1,
      sym_comment,
    STATE(4782), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4740), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [132200] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(5477), 1,
      anon_sym_LBRACK,
    STATE(3705), 1,
      sym_comment,
    STATE(4805), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4740), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [132255] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(5477), 1,
      anon_sym_LBRACK,
    STATE(3706), 1,
      sym_comment,
    STATE(4948), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4740), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [132310] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(5477), 1,
      anon_sym_LBRACK,
    STATE(3707), 1,
      sym_comment,
    STATE(4835), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4740), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [132365] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(5477), 1,
      anon_sym_LBRACK,
    STATE(3708), 1,
      sym_comment,
    STATE(4950), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4740), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [132420] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(4947), 1,
      anon_sym_LBRACK,
    STATE(3709), 1,
      sym_comment,
    STATE(4405), 1,
      sym__property_name,
    ACTIONS(3894), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4151), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4372), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [132475] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(4947), 1,
      anon_sym_LBRACK,
    ACTIONS(6947), 1,
      anon_sym_readonly,
    STATE(3710), 1,
      sym_comment,
    STATE(4415), 1,
      sym__property_name,
    ACTIONS(3894), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4151), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4372), 22,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [132532] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(4947), 1,
      anon_sym_LBRACK,
    STATE(3711), 1,
      sym_comment,
    STATE(4298), 1,
      sym__property_name,
    ACTIONS(3894), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4151), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4372), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [132587] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(3712), 1,
      sym_comment,
    ACTIONS(4347), 31,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [132630] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(4947), 1,
      anon_sym_LBRACK,
    ACTIONS(6949), 1,
      anon_sym_readonly,
    STATE(3713), 1,
      sym_comment,
    STATE(4428), 1,
      sym__property_name,
    ACTIONS(3894), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4151), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4372), 22,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [132687] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(5477), 1,
      anon_sym_LBRACK,
    STATE(3714), 1,
      sym_comment,
    STATE(4774), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4740), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [132742] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(4947), 1,
      anon_sym_LBRACK,
    ACTIONS(6951), 1,
      anon_sym_readonly,
    STATE(3715), 1,
      sym_comment,
    STATE(4296), 1,
      sym__property_name,
    ACTIONS(3894), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4151), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4372), 22,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [132799] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(5477), 1,
      anon_sym_LBRACK,
    STATE(3716), 1,
      sym_comment,
    STATE(4766), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4740), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [132854] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(4947), 1,
      anon_sym_LBRACK,
    ACTIONS(6674), 1,
      anon_sym_readonly,
    STATE(3717), 1,
      sym_comment,
    STATE(4436), 1,
      sym__property_name,
    ACTIONS(3894), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4151), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4372), 22,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [132911] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(4947), 1,
      anon_sym_LBRACK,
    STATE(3718), 1,
      sym_comment,
    STATE(4348), 1,
      sym__property_name,
    ACTIONS(3894), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4151), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4372), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [132966] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(4947), 1,
      anon_sym_LBRACK,
    ACTIONS(6953), 1,
      anon_sym_readonly,
    STATE(3719), 1,
      sym_comment,
    STATE(4389), 1,
      sym__property_name,
    ACTIONS(3894), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4151), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4372), 22,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [133023] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(4947), 1,
      anon_sym_LBRACK,
    ACTIONS(6955), 1,
      anon_sym_readonly,
    STATE(3720), 1,
      sym_comment,
    STATE(4336), 1,
      sym__property_name,
    ACTIONS(3894), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4151), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4372), 22,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [133080] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(4947), 1,
      anon_sym_LBRACK,
    STATE(3721), 1,
      sym_comment,
    STATE(4215), 1,
      sym__property_name,
    ACTIONS(3894), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4151), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4372), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [133135] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(5477), 1,
      anon_sym_LBRACK,
    STATE(3722), 1,
      sym_comment,
    STATE(4920), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4740), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [133190] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(5477), 1,
      anon_sym_LBRACK,
    STATE(3723), 1,
      sym_comment,
    STATE(4925), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4740), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [133245] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(3724), 1,
      sym_comment,
    ACTIONS(4345), 31,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [133288] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(4947), 1,
      anon_sym_LBRACK,
    STATE(3725), 1,
      sym_comment,
    STATE(4227), 1,
      sym__property_name,
    ACTIONS(3894), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4151), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4372), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [133343] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(5477), 1,
      anon_sym_LBRACK,
    STATE(3726), 1,
      sym_comment,
    STATE(4862), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4740), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [133398] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(5477), 1,
      anon_sym_LBRACK,
    STATE(3727), 1,
      sym_comment,
    STATE(4892), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4740), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [133453] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(3728), 1,
      sym_comment,
    ACTIONS(4231), 31,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [133496] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(5477), 1,
      anon_sym_LBRACK,
    STATE(3729), 1,
      sym_comment,
    STATE(4765), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4740), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [133551] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(5477), 1,
      anon_sym_LBRACK,
    STATE(3730), 1,
      sym_comment,
    STATE(4806), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4740), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [133606] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(4947), 1,
      anon_sym_LBRACK,
    ACTIONS(6957), 1,
      anon_sym_readonly,
    STATE(3731), 1,
      sym_comment,
    STATE(4371), 1,
      sym__property_name,
    ACTIONS(3894), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4151), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4372), 22,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [133663] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(3732), 1,
      sym_comment,
    ACTIONS(4326), 31,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [133706] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(5477), 1,
      anon_sym_LBRACK,
    STATE(3733), 1,
      sym_comment,
    STATE(4931), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4740), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [133761] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(4947), 1,
      anon_sym_LBRACK,
    STATE(3734), 1,
      sym_comment,
    STATE(4436), 1,
      sym__property_name,
    ACTIONS(3894), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4151), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4372), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [133816] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(5477), 1,
      anon_sym_LBRACK,
    STATE(3735), 1,
      sym_comment,
    STATE(4926), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4740), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [133871] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(3736), 1,
      sym_comment,
    ACTIONS(4352), 31,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [133914] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(3737), 1,
      sym_comment,
    ACTIONS(4324), 31,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [133957] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(4947), 1,
      anon_sym_LBRACK,
    ACTIONS(6959), 1,
      anon_sym_readonly,
    STATE(3738), 1,
      sym_comment,
    STATE(4385), 1,
      sym__property_name,
    ACTIONS(3894), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4151), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4372), 22,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [134014] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(5477), 1,
      anon_sym_LBRACK,
    STATE(3739), 1,
      sym_comment,
    STATE(4844), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4740), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [134069] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(5477), 1,
      anon_sym_LBRACK,
    STATE(3740), 1,
      sym_comment,
    STATE(4870), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4740), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [134124] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(4947), 1,
      anon_sym_LBRACK,
    ACTIONS(6961), 1,
      anon_sym_readonly,
    STATE(3741), 1,
      sym_comment,
    STATE(4366), 1,
      sym__property_name,
    ACTIONS(3894), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4151), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4372), 22,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [134181] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(4947), 1,
      anon_sym_LBRACK,
    ACTIONS(6963), 1,
      anon_sym_readonly,
    STATE(3742), 1,
      sym_comment,
    STATE(4401), 1,
      sym__property_name,
    ACTIONS(3894), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4151), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4372), 22,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [134238] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6965), 1,
      sym_identifier,
    STATE(3743), 1,
      sym_comment,
    STATE(7407), 1,
      sym_mapped_type_clause,
    ACTIONS(6967), 22,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [134278] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4129), 1,
      anon_sym_LPAREN,
    ACTIONS(6969), 1,
      anon_sym_DOT,
    ACTIONS(6971), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6973), 1,
      anon_sym_LT,
    STATE(3744), 1,
      sym_comment,
    STATE(3818), 1,
      sym_arguments,
    STATE(3933), 1,
      sym_type_arguments,
    ACTIONS(4823), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4825), 13,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [134325] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4129), 1,
      anon_sym_LPAREN,
    ACTIONS(6973), 1,
      anon_sym_LT,
    ACTIONS(6975), 1,
      anon_sym_DOT,
    ACTIONS(6977), 1,
      anon_sym_QMARK_DOT,
    STATE(3745), 1,
      sym_comment,
    STATE(3814), 1,
      sym_arguments,
    STATE(3839), 1,
      sym_type_arguments,
    ACTIONS(4829), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4831), 13,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [134372] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3746), 1,
      sym_comment,
    ACTIONS(4345), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4869), 19,
      anon_sym_export,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_class,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_AT,
      anon_sym_abstract,
      anon_sym_extends,
  [134407] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4129), 1,
      anon_sym_LPAREN,
    ACTIONS(4133), 1,
      anon_sym_DOT,
    ACTIONS(4137), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6973), 1,
      anon_sym_LT,
    STATE(3747), 1,
      sym_comment,
    STATE(3804), 1,
      sym_arguments,
    STATE(3877), 1,
      sym_type_arguments,
    ACTIONS(4131), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4127), 13,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [134454] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3748), 1,
      sym_comment,
    ACTIONS(4352), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4845), 19,
      anon_sym_export,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_class,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_AT,
      anon_sym_abstract,
      anon_sym_extends,
  [134489] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3749), 1,
      sym_comment,
    ACTIONS(4324), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4843), 19,
      anon_sym_export,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_class,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_AT,
      anon_sym_abstract,
      anon_sym_extends,
  [134524] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2221), 1,
      anon_sym_EQ,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3750), 1,
      sym_comment,
    ACTIONS(2223), 19,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_while,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_extends,
  [134558] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2077), 1,
      anon_sym_EQ,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3751), 1,
      sym_comment,
    ACTIONS(2079), 19,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_while,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_extends,
  [134592] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3752), 1,
      sym_comment,
    ACTIONS(5008), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5010), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [134625] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3753), 1,
      sym_comment,
    ACTIONS(5020), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5022), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [134658] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3754), 1,
      sym_comment,
    ACTIONS(5056), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5058), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [134691] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3755), 1,
      sym_comment,
    ACTIONS(5052), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5054), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [134724] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3756), 1,
      sym_comment,
    ACTIONS(5120), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5122), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [134757] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3757), 1,
      sym_comment,
    ACTIONS(5120), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5122), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [134790] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3758), 1,
      sym_comment,
    ACTIONS(4992), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4994), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [134823] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3759), 1,
      sym_comment,
    ACTIONS(5056), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5058), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [134856] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3760), 1,
      sym_comment,
    ACTIONS(5052), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5054), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [134889] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3761), 1,
      sym_comment,
    ACTIONS(5064), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5066), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [134922] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3762), 1,
      sym_comment,
    ACTIONS(5048), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5050), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [134955] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3763), 1,
      sym_comment,
    ACTIONS(5044), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5046), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [134988] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3764), 1,
      sym_comment,
    ACTIONS(4925), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4927), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [135021] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3765), 1,
      sym_comment,
    ACTIONS(5048), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5050), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [135054] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3766), 1,
      sym_comment,
    ACTIONS(5044), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5046), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [135087] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3767), 1,
      sym_comment,
    ACTIONS(4925), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4927), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [135120] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3768), 1,
      sym_comment,
    ACTIONS(5060), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5062), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [135153] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3769), 1,
      sym_comment,
    ACTIONS(4988), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4990), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [135186] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3770), 1,
      sym_comment,
    ACTIONS(4992), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4994), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [135219] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3771), 1,
      sym_comment,
    ACTIONS(4992), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4994), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [135252] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3772), 1,
      sym_comment,
    ACTIONS(5008), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5010), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [135285] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3773), 1,
      sym_comment,
    ACTIONS(4925), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4927), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [135318] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3774), 1,
      sym_comment,
    ACTIONS(5008), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5010), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [135351] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3775), 1,
      sym_comment,
    ACTIONS(5120), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5122), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [135384] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3776), 1,
      sym_comment,
    ACTIONS(4929), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4931), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [135417] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3777), 1,
      sym_comment,
    ACTIONS(4929), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4931), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [135450] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3778), 1,
      sym_comment,
    ACTIONS(5288), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5290), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [135483] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3779), 1,
      sym_comment,
    ACTIONS(5020), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5022), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [135516] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3780), 1,
      sym_comment,
    ACTIONS(4972), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4974), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [135549] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3781), 1,
      sym_comment,
    ACTIONS(5016), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5018), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [135582] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3782), 1,
      sym_comment,
    ACTIONS(4972), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4974), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [135615] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3783), 1,
      sym_comment,
    ACTIONS(4929), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4931), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [135648] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4817), 1,
      anon_sym_EQ,
    ACTIONS(6973), 1,
      anon_sym_LT,
    ACTIONS(6979), 1,
      anon_sym_DOT,
    ACTIONS(6981), 1,
      anon_sym_is,
    STATE(3784), 1,
      sym_comment,
    STATE(3913), 1,
      sym_type_arguments,
    ACTIONS(4203), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [135689] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3785), 1,
      sym_comment,
    ACTIONS(5020), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5022), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [135722] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3786), 1,
      sym_comment,
    ACTIONS(5016), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5018), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [135755] = 16,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(6983), 1,
      sym_identifier,
    ACTIONS(6985), 1,
      anon_sym_STAR,
    ACTIONS(6987), 1,
      anon_sym_type,
    ACTIONS(6989), 1,
      anon_sym_LBRACE,
    ACTIONS(6991), 1,
      anon_sym_typeof,
    STATE(3787), 1,
      sym_comment,
    STATE(5579), 1,
      sym_import_require_clause,
    STATE(5580), 1,
      sym_string,
    STATE(7025), 1,
      sym__import_identifier,
    STATE(7097), 1,
      sym_import_clause,
    STATE(7185), 2,
      sym_namespace_import,
      sym_named_imports,
    ACTIONS(6993), 5,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT,
      anon_sym_BQUOTE,
  [135809] = 16,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(6985), 1,
      anon_sym_STAR,
    ACTIONS(6989), 1,
      anon_sym_LBRACE,
    ACTIONS(6995), 1,
      sym_identifier,
    ACTIONS(6997), 1,
      anon_sym_type,
    ACTIONS(6999), 1,
      anon_sym_typeof,
    STATE(3788), 1,
      sym_comment,
    STATE(5752), 1,
      sym_string,
    STATE(5753), 1,
      sym_import_require_clause,
    STATE(7025), 1,
      sym__import_identifier,
    STATE(7091), 1,
      sym_import_clause,
    STATE(7185), 2,
      sym_namespace_import,
      sym_named_imports,
    ACTIONS(6993), 5,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT,
      anon_sym_BQUOTE,
  [135863] = 16,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(6985), 1,
      anon_sym_STAR,
    ACTIONS(6989), 1,
      anon_sym_LBRACE,
    ACTIONS(7001), 1,
      sym_identifier,
    ACTIONS(7003), 1,
      anon_sym_type,
    ACTIONS(7005), 1,
      anon_sym_typeof,
    STATE(3789), 1,
      sym_comment,
    STATE(5743), 1,
      sym_import_require_clause,
    STATE(5744), 1,
      sym_string,
    STATE(6981), 1,
      sym_import_clause,
    STATE(7025), 1,
      sym__import_identifier,
    STATE(7185), 2,
      sym_namespace_import,
      sym_named_imports,
    ACTIONS(6993), 5,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT,
      anon_sym_BQUOTE,
  [135917] = 19,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(7009), 1,
      anon_sym_EQ,
    ACTIONS(7011), 1,
      anon_sym_LBRACE,
    ACTIONS(7013), 1,
      anon_sym_COMMA,
    ACTIONS(7015), 1,
      anon_sym_COLON,
    ACTIONS(7017), 1,
      anon_sym_GT,
    ACTIONS(7020), 1,
      anon_sym_DOT,
    ACTIONS(7022), 1,
      anon_sym_SLASH_GT,
    ACTIONS(7024), 1,
      anon_sym_LT,
    ACTIONS(7026), 1,
      anon_sym_extends,
    STATE(3790), 1,
      sym_comment,
    STATE(4330), 1,
      sym_type_arguments,
    STATE(4364), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(4982), 1,
      sym_jsx_namespace_name,
    STATE(5735), 1,
      sym_constraint,
    STATE(6626), 1,
      sym_default_type,
    ACTIONS(7007), 2,
      sym_jsx_identifier,
      sym_identifier,
    STATE(5057), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [135977] = 16,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(6985), 1,
      anon_sym_STAR,
    ACTIONS(6989), 1,
      anon_sym_LBRACE,
    ACTIONS(7028), 1,
      sym_identifier,
    ACTIONS(7030), 1,
      anon_sym_type,
    ACTIONS(7032), 1,
      anon_sym_typeof,
    STATE(3791), 1,
      sym_comment,
    STATE(5660), 1,
      sym_import_require_clause,
    STATE(5661), 1,
      sym_string,
    STATE(6859), 1,
      sym_import_clause,
    STATE(7025), 1,
      sym__import_identifier,
    STATE(7185), 2,
      sym_namespace_import,
      sym_named_imports,
    ACTIONS(6993), 5,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT,
      anon_sym_BQUOTE,
  [136031] = 19,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(7009), 1,
      anon_sym_EQ,
    ACTIONS(7011), 1,
      anon_sym_LBRACE,
    ACTIONS(7013), 1,
      anon_sym_COMMA,
    ACTIONS(7015), 1,
      anon_sym_COLON,
    ACTIONS(7017), 1,
      anon_sym_GT,
    ACTIONS(7020), 1,
      anon_sym_DOT,
    ACTIONS(7024), 1,
      anon_sym_LT,
    ACTIONS(7026), 1,
      anon_sym_extends,
    ACTIONS(7034), 1,
      anon_sym_SLASH_GT,
    STATE(3792), 1,
      sym_comment,
    STATE(4216), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(4412), 1,
      sym_type_arguments,
    STATE(4982), 1,
      sym_jsx_namespace_name,
    STATE(5735), 1,
      sym_constraint,
    STATE(6626), 1,
      sym_default_type,
    ACTIONS(7007), 2,
      sym_jsx_identifier,
      sym_identifier,
    STATE(5057), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [136091] = 16,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(6985), 1,
      anon_sym_STAR,
    ACTIONS(6989), 1,
      anon_sym_LBRACE,
    ACTIONS(7036), 1,
      sym_identifier,
    ACTIONS(7038), 1,
      anon_sym_type,
    ACTIONS(7040), 1,
      anon_sym_typeof,
    STATE(3793), 1,
      sym_comment,
    STATE(5618), 1,
      sym_string,
    STATE(5619), 1,
      sym_import_require_clause,
    STATE(7006), 1,
      sym_import_clause,
    STATE(7025), 1,
      sym__import_identifier,
    STATE(7185), 2,
      sym_namespace_import,
      sym_named_imports,
    ACTIONS(6993), 5,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT,
      anon_sym_BQUOTE,
  [136145] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4817), 1,
      anon_sym_EQ,
    ACTIONS(6973), 1,
      anon_sym_LT,
    ACTIONS(6979), 1,
      anon_sym_DOT,
    STATE(3794), 1,
      sym_comment,
    STATE(3913), 1,
      sym_type_arguments,
    ACTIONS(4203), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [136183] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(3188), 1,
      anon_sym_EQ,
    STATE(3795), 1,
      sym_comment,
    ACTIONS(3432), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_RPAREN,
      anon_sym_while,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [136214] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2221), 1,
      anon_sym_PIPE,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3796), 1,
      sym_comment,
    ACTIONS(2223), 16,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_with,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [136245] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5316), 1,
      anon_sym_EQ,
    STATE(3797), 1,
      sym_comment,
    ACTIONS(5318), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_BQUOTE,
      anon_sym_QMARK,
      anon_sym_extends,
  [136276] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5320), 1,
      anon_sym_EQ,
    STATE(3798), 1,
      sym_comment,
    ACTIONS(5322), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_BQUOTE,
      anon_sym_QMARK,
      anon_sym_extends,
  [136307] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(3196), 1,
      anon_sym_EQ,
    STATE(3799), 1,
      sym_comment,
    ACTIONS(3436), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_RPAREN,
      anon_sym_while,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [136338] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5324), 1,
      anon_sym_EQ,
    STATE(3800), 1,
      sym_comment,
    ACTIONS(5326), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_BQUOTE,
      anon_sym_QMARK,
      anon_sym_extends,
  [136369] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5343), 1,
      anon_sym_EQ,
    STATE(3801), 1,
      sym_comment,
    ACTIONS(5345), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_BQUOTE,
      anon_sym_QMARK,
      anon_sym_extends,
  [136400] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5347), 1,
      anon_sym_EQ,
    STATE(3802), 1,
      sym_comment,
    ACTIONS(5349), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_BQUOTE,
      anon_sym_QMARK,
      anon_sym_extends,
  [136431] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5351), 1,
      anon_sym_EQ,
    STATE(3803), 1,
      sym_comment,
    ACTIONS(5353), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_BQUOTE,
      anon_sym_QMARK,
      anon_sym_extends,
  [136462] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3804), 1,
      sym_comment,
    ACTIONS(5135), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5137), 15,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [136493] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5336), 1,
      anon_sym_EQ,
    STATE(3805), 1,
      sym_comment,
    ACTIONS(5338), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_BQUOTE,
      anon_sym_QMARK,
      anon_sym_extends,
  [136524] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5332), 1,
      anon_sym_EQ,
    STATE(3806), 1,
      sym_comment,
    ACTIONS(5334), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_BQUOTE,
      anon_sym_QMARK,
      anon_sym_extends,
  [136555] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2083), 1,
      anon_sym_DOT,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5084), 1,
      anon_sym_EQ,
    STATE(3807), 1,
      sym_comment,
    ACTIONS(5086), 15,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_extends,
  [136588] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(3192), 1,
      anon_sym_EQ,
    STATE(3808), 1,
      sym_comment,
    ACTIONS(3434), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_RPAREN,
      anon_sym_while,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [136619] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4131), 1,
      anon_sym_PIPE,
    ACTIONS(4179), 1,
      anon_sym_LPAREN,
    ACTIONS(4181), 1,
      anon_sym_DOT,
    ACTIONS(4183), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(7042), 1,
      anon_sym_LT,
    STATE(3809), 1,
      sym_comment,
    STATE(4024), 1,
      sym_arguments,
    STATE(4171), 1,
      sym_type_arguments,
    ACTIONS(4127), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [136662] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5328), 1,
      anon_sym_EQ,
    STATE(3810), 1,
      sym_comment,
    ACTIONS(5330), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_BQUOTE,
      anon_sym_QMARK,
      anon_sym_extends,
  [136693] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4179), 1,
      anon_sym_LPAREN,
    ACTIONS(4823), 1,
      anon_sym_PIPE,
    ACTIONS(7042), 1,
      anon_sym_LT,
    ACTIONS(7044), 1,
      anon_sym_DOT,
    ACTIONS(7046), 1,
      anon_sym_QMARK_DOT,
    STATE(3811), 1,
      sym_comment,
    STATE(4022), 1,
      sym_arguments,
    STATE(4174), 1,
      sym_type_arguments,
    ACTIONS(4825), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [136736] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2077), 1,
      anon_sym_PIPE,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3812), 1,
      sym_comment,
    ACTIONS(2079), 16,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_with,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [136767] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7048), 1,
      anon_sym_DOT,
    ACTIONS(7050), 1,
      anon_sym_QMARK_DOT,
    STATE(3813), 1,
      sym_comment,
    ACTIONS(5247), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5249), 13,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [136802] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3814), 1,
      sym_comment,
    ACTIONS(5127), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5129), 15,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [136833] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2197), 1,
      anon_sym_DOT,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5084), 1,
      anon_sym_EQ,
    STATE(3815), 1,
      sym_comment,
    ACTIONS(5086), 15,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_extends,
  [136866] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5332), 1,
      anon_sym_EQ,
    STATE(3816), 1,
      sym_comment,
    ACTIONS(5334), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_BQUOTE,
      anon_sym_QMARK,
      anon_sym_extends,
  [136897] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4179), 1,
      anon_sym_LPAREN,
    ACTIONS(4829), 1,
      anon_sym_PIPE,
    ACTIONS(7042), 1,
      anon_sym_LT,
    ACTIONS(7052), 1,
      anon_sym_DOT,
    ACTIONS(7054), 1,
      anon_sym_QMARK_DOT,
    STATE(3817), 1,
      sym_comment,
    STATE(4023), 1,
      sym_arguments,
    STATE(4172), 1,
      sym_type_arguments,
    ACTIONS(4831), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [136940] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3818), 1,
      sym_comment,
    ACTIONS(5112), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5114), 15,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [136971] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(3224), 1,
      anon_sym_EQ,
    STATE(3819), 1,
      sym_comment,
    ACTIONS(3442), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_RPAREN,
      anon_sym_while,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [137002] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5336), 1,
      anon_sym_EQ,
    STATE(3820), 1,
      sym_comment,
    ACTIONS(5338), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_BQUOTE,
      anon_sym_QMARK,
      anon_sym_extends,
  [137033] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4835), 1,
      anon_sym_EQ,
    ACTIONS(6973), 1,
      anon_sym_LT,
    STATE(3821), 1,
      sym_comment,
    STATE(3898), 1,
      sym_type_arguments,
    ACTIONS(4837), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [137068] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(3172), 1,
      anon_sym_EQ,
    STATE(3822), 1,
      sym_comment,
    ACTIONS(3440), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_RPAREN,
      anon_sym_while,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [137099] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4851), 1,
      anon_sym_EQ,
    STATE(3823), 1,
      sym_comment,
    ACTIONS(4853), 15,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
      anon_sym_is,
  [137129] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4835), 1,
      anon_sym_EQ,
    ACTIONS(7056), 1,
      anon_sym_is,
    STATE(3824), 1,
      sym_comment,
    ACTIONS(4837), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [137161] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1978), 1,
      anon_sym_EQ,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3825), 1,
      sym_comment,
    ACTIONS(2030), 15,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
      anon_sym_is,
  [137191] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4859), 1,
      anon_sym_EQ,
    ACTIONS(6981), 1,
      anon_sym_is,
    STATE(3826), 1,
      sym_comment,
    ACTIONS(4861), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [137223] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4847), 1,
      anon_sym_EQ,
    ACTIONS(6981), 1,
      anon_sym_is,
    STATE(3827), 1,
      sym_comment,
    ACTIONS(4849), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [137255] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5064), 1,
      anon_sym_PIPE,
    STATE(3828), 1,
      sym_comment,
    ACTIONS(5066), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [137284] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7058), 1,
      anon_sym_LPAREN,
    ACTIONS(7060), 1,
      anon_sym_DOT,
    ACTIONS(7062), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(7064), 1,
      anon_sym_LT,
    STATE(3829), 1,
      sym_comment,
    STATE(4149), 1,
      sym_arguments,
    STATE(4293), 1,
      sym_type_arguments,
    ACTIONS(4127), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [137323] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5004), 1,
      anon_sym_EQ,
    STATE(3830), 1,
      sym_comment,
    ACTIONS(5006), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [137352] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4817), 1,
      anon_sym_PIPE,
    ACTIONS(7042), 1,
      anon_sym_LT,
    ACTIONS(7066), 1,
      anon_sym_DOT,
    ACTIONS(7068), 1,
      anon_sym_is,
    STATE(3831), 1,
      sym_comment,
    STATE(4116), 1,
      sym_type_arguments,
    ACTIONS(4203), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [137389] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7070), 1,
      anon_sym_DQUOTE,
    ACTIONS(7072), 1,
      anon_sym_SQUOTE,
    ACTIONS(7076), 1,
      sym_number,
    ACTIONS(7078), 1,
      anon_sym_unique,
    STATE(3832), 1,
      sym_comment,
    STATE(7491), 2,
      sym_string,
      sym_predefined_type,
    ACTIONS(7074), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [137426] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5094), 1,
      anon_sym_EQ,
    STATE(3833), 1,
      sym_comment,
    ACTIONS(5096), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [137455] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5218), 1,
      anon_sym_EQ,
    ACTIONS(7080), 1,
      anon_sym_AMP,
    ACTIONS(7082), 1,
      anon_sym_PIPE,
    ACTIONS(7084), 1,
      anon_sym_extends,
    STATE(3834), 1,
      sym_comment,
    ACTIONS(5220), 11,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
  [137490] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3835), 1,
      sym_comment,
    ACTIONS(7086), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
  [137517] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5222), 1,
      anon_sym_EQ,
    ACTIONS(7080), 1,
      anon_sym_AMP,
    ACTIONS(7082), 1,
      anon_sym_PIPE,
    ACTIONS(7084), 1,
      anon_sym_extends,
    STATE(3836), 1,
      sym_comment,
    ACTIONS(5224), 11,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
  [137552] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4976), 1,
      anon_sym_EQ,
    ACTIONS(7080), 1,
      anon_sym_AMP,
    ACTIONS(7082), 1,
      anon_sym_PIPE,
    ACTIONS(7084), 1,
      anon_sym_extends,
    STATE(3837), 1,
      sym_comment,
    ACTIONS(4978), 11,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
  [137587] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5150), 1,
      anon_sym_EQ,
    STATE(3838), 1,
      sym_comment,
    ACTIONS(5152), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [137616] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5116), 1,
      anon_sym_EQ,
    STATE(3839), 1,
      sym_comment,
    ACTIONS(5118), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [137645] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7070), 1,
      anon_sym_DQUOTE,
    ACTIONS(7072), 1,
      anon_sym_SQUOTE,
    ACTIONS(7078), 1,
      anon_sym_unique,
    ACTIONS(7088), 1,
      sym_number,
    STATE(3840), 1,
      sym_comment,
    STATE(7328), 1,
      sym_predefined_type,
    STATE(7587), 1,
      sym_string,
    ACTIONS(7074), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [137684] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7070), 1,
      anon_sym_DQUOTE,
    ACTIONS(7072), 1,
      anon_sym_SQUOTE,
    ACTIONS(7078), 1,
      anon_sym_unique,
    ACTIONS(7090), 1,
      sym_number,
    STATE(3841), 1,
      sym_comment,
    STATE(7422), 1,
      sym_string,
    STATE(7424), 1,
      sym_predefined_type,
    ACTIONS(7074), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [137723] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7070), 1,
      anon_sym_DQUOTE,
    ACTIONS(7072), 1,
      anon_sym_SQUOTE,
    ACTIONS(7078), 1,
      anon_sym_unique,
    ACTIONS(7092), 1,
      sym_number,
    STATE(3842), 1,
      sym_comment,
    STATE(7606), 2,
      sym_string,
      sym_predefined_type,
    ACTIONS(7074), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [137760] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5163), 1,
      anon_sym_EQ,
    ACTIONS(7080), 1,
      anon_sym_AMP,
    ACTIONS(7082), 1,
      anon_sym_PIPE,
    ACTIONS(7084), 1,
      anon_sym_extends,
    STATE(3843), 1,
      sym_comment,
    ACTIONS(5165), 11,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
  [137795] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3844), 1,
      sym_comment,
    ACTIONS(7094), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
  [137822] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7070), 1,
      anon_sym_DQUOTE,
    ACTIONS(7072), 1,
      anon_sym_SQUOTE,
    ACTIONS(7078), 1,
      anon_sym_unique,
    ACTIONS(7096), 1,
      sym_number,
    STATE(3845), 1,
      sym_comment,
    STATE(7180), 1,
      sym_predefined_type,
    STATE(7181), 1,
      sym_string,
    ACTIONS(7074), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [137861] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5060), 1,
      anon_sym_PIPE,
    STATE(3846), 1,
      sym_comment,
    ACTIONS(5062), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [137890] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5056), 1,
      anon_sym_PIPE,
    STATE(3847), 1,
      sym_comment,
    ACTIONS(5058), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [137919] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5052), 1,
      anon_sym_PIPE,
    STATE(3848), 1,
      sym_comment,
    ACTIONS(5054), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [137948] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5056), 1,
      anon_sym_PIPE,
    STATE(3849), 1,
      sym_comment,
    ACTIONS(5058), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [137977] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5052), 1,
      anon_sym_PIPE,
    STATE(3850), 1,
      sym_comment,
    ACTIONS(5054), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [138006] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5048), 1,
      anon_sym_PIPE,
    STATE(3851), 1,
      sym_comment,
    ACTIONS(5050), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [138035] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5044), 1,
      anon_sym_PIPE,
    STATE(3852), 1,
      sym_comment,
    ACTIONS(5046), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [138064] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5048), 1,
      anon_sym_PIPE,
    STATE(3853), 1,
      sym_comment,
    ACTIONS(5050), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [138093] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5044), 1,
      anon_sym_PIPE,
    STATE(3854), 1,
      sym_comment,
    ACTIONS(5046), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [138122] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5016), 1,
      anon_sym_PIPE,
    STATE(3855), 1,
      sym_comment,
    ACTIONS(5018), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [138151] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4972), 1,
      anon_sym_PIPE,
    STATE(3856), 1,
      sym_comment,
    ACTIONS(4974), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [138180] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5016), 1,
      anon_sym_PIPE,
    STATE(3857), 1,
      sym_comment,
    ACTIONS(5018), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [138209] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4972), 1,
      anon_sym_PIPE,
    STATE(3858), 1,
      sym_comment,
    ACTIONS(4974), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [138238] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7070), 1,
      anon_sym_DQUOTE,
    ACTIONS(7072), 1,
      anon_sym_SQUOTE,
    ACTIONS(7078), 1,
      anon_sym_unique,
    ACTIONS(7098), 1,
      sym_number,
    STATE(3859), 1,
      sym_comment,
    STATE(7184), 1,
      sym_predefined_type,
    STATE(7186), 1,
      sym_string,
    ACTIONS(7074), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [138277] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3860), 1,
      sym_comment,
    ACTIONS(7100), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
  [138304] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7070), 1,
      anon_sym_DQUOTE,
    ACTIONS(7072), 1,
      anon_sym_SQUOTE,
    ACTIONS(7078), 1,
      anon_sym_unique,
    ACTIONS(7102), 1,
      sym_number,
    STATE(3861), 1,
      sym_comment,
    STATE(7464), 1,
      sym_predefined_type,
    STATE(7467), 1,
      sym_string,
    ACTIONS(7074), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [138343] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5068), 1,
      anon_sym_EQ,
    STATE(3862), 1,
      sym_comment,
    ACTIONS(5070), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [138372] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7070), 1,
      anon_sym_DQUOTE,
    ACTIONS(7072), 1,
      anon_sym_SQUOTE,
    ACTIONS(7078), 1,
      anon_sym_unique,
    ACTIONS(7104), 1,
      sym_number,
    STATE(3863), 1,
      sym_comment,
    STATE(7189), 1,
      sym_predefined_type,
    STATE(7190), 1,
      sym_string,
    ACTIONS(7074), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [138411] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7070), 1,
      anon_sym_DQUOTE,
    ACTIONS(7072), 1,
      anon_sym_SQUOTE,
    ACTIONS(7078), 1,
      anon_sym_unique,
    ACTIONS(7106), 1,
      sym_number,
    STATE(3864), 1,
      sym_comment,
    STATE(7417), 1,
      sym_predefined_type,
    STATE(7603), 1,
      sym_string,
    ACTIONS(7074), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [138450] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7070), 1,
      anon_sym_DQUOTE,
    ACTIONS(7072), 1,
      anon_sym_SQUOTE,
    ACTIONS(7078), 1,
      anon_sym_unique,
    ACTIONS(7108), 1,
      sym_number,
    STATE(3865), 1,
      sym_comment,
    STATE(7196), 2,
      sym_string,
      sym_predefined_type,
    ACTIONS(7074), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [138487] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5102), 1,
      anon_sym_EQ,
    STATE(3866), 1,
      sym_comment,
    ACTIONS(5104), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [138516] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7070), 1,
      anon_sym_DQUOTE,
    ACTIONS(7072), 1,
      anon_sym_SQUOTE,
    ACTIONS(7078), 1,
      anon_sym_unique,
    ACTIONS(7110), 1,
      sym_number,
    STATE(3867), 1,
      sym_comment,
    STATE(7429), 1,
      sym_string,
    STATE(7430), 1,
      sym_predefined_type,
    ACTIONS(7074), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [138555] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7070), 1,
      anon_sym_DQUOTE,
    ACTIONS(7072), 1,
      anon_sym_SQUOTE,
    ACTIONS(7078), 1,
      anon_sym_unique,
    ACTIONS(7112), 1,
      sym_number,
    STATE(3868), 1,
      sym_comment,
    STATE(7597), 1,
      sym_predefined_type,
    STATE(7598), 1,
      sym_string,
    ACTIONS(7074), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [138594] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7070), 1,
      anon_sym_DQUOTE,
    ACTIONS(7072), 1,
      anon_sym_SQUOTE,
    ACTIONS(7078), 1,
      anon_sym_unique,
    ACTIONS(7114), 1,
      sym_number,
    STATE(3869), 1,
      sym_comment,
    STATE(7590), 1,
      sym_predefined_type,
    STATE(7594), 1,
      sym_string,
    ACTIONS(7074), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [138633] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5292), 1,
      anon_sym_EQ,
    STATE(3870), 1,
      sym_comment,
    ACTIONS(5294), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [138662] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5034), 1,
      anon_sym_EQ,
    ACTIONS(7080), 1,
      anon_sym_AMP,
    ACTIONS(7082), 1,
      anon_sym_PIPE,
    ACTIONS(7084), 1,
      anon_sym_extends,
    STATE(3871), 1,
      sym_comment,
    ACTIONS(5036), 11,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
  [138697] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5012), 1,
      anon_sym_EQ,
    STATE(3872), 1,
      sym_comment,
    ACTIONS(5014), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [138726] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4835), 1,
      anon_sym_EQ,
    STATE(3873), 1,
      sym_comment,
    ACTIONS(4837), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [138755] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4873), 1,
      anon_sym_EQ,
    STATE(3874), 1,
      sym_comment,
    ACTIONS(4875), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [138784] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5284), 1,
      anon_sym_EQ,
    STATE(3875), 1,
      sym_comment,
    ACTIONS(5286), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [138813] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4933), 1,
      anon_sym_EQ,
    STATE(3876), 1,
      sym_comment,
    ACTIONS(4935), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [138842] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5131), 1,
      anon_sym_EQ,
    STATE(3877), 1,
      sym_comment,
    ACTIONS(5133), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [138871] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3878), 1,
      sym_comment,
    ACTIONS(7116), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
  [138898] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4962), 1,
      anon_sym_EQ,
    STATE(3879), 1,
      sym_comment,
    ACTIONS(4964), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [138927] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4859), 1,
      anon_sym_EQ,
    STATE(3880), 1,
      sym_comment,
    ACTIONS(4861), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [138956] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4966), 1,
      anon_sym_EQ,
    STATE(3881), 1,
      sym_comment,
    ACTIONS(4968), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [138985] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5237), 1,
      anon_sym_EQ,
    STATE(3882), 1,
      sym_comment,
    ACTIONS(5239), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [139014] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7070), 1,
      anon_sym_DQUOTE,
    ACTIONS(7072), 1,
      anon_sym_SQUOTE,
    ACTIONS(7078), 1,
      anon_sym_unique,
    ACTIONS(7118), 1,
      sym_number,
    STATE(3883), 1,
      sym_comment,
    STATE(7412), 2,
      sym_string,
      sym_predefined_type,
    ACTIONS(7074), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [139051] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5080), 1,
      anon_sym_EQ,
    ACTIONS(7080), 1,
      anon_sym_AMP,
    ACTIONS(7082), 1,
      anon_sym_PIPE,
    ACTIONS(7084), 1,
      anon_sym_extends,
    STATE(3884), 1,
      sym_comment,
    ACTIONS(5082), 11,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
  [139086] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7058), 1,
      anon_sym_LPAREN,
    ACTIONS(7064), 1,
      anon_sym_LT,
    ACTIONS(7120), 1,
      anon_sym_DOT,
    ACTIONS(7122), 1,
      anon_sym_QMARK_DOT,
    STATE(3885), 1,
      sym_comment,
    STATE(4148), 1,
      sym_arguments,
    STATE(4292), 1,
      sym_type_arguments,
    ACTIONS(4831), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [139125] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7058), 1,
      anon_sym_LPAREN,
    ACTIONS(7064), 1,
      anon_sym_LT,
    ACTIONS(7124), 1,
      anon_sym_DOT,
    ACTIONS(7126), 1,
      anon_sym_QMARK_DOT,
    STATE(3886), 1,
      sym_comment,
    STATE(4146), 1,
      sym_arguments,
    STATE(4290), 1,
      sym_type_arguments,
    ACTIONS(4825), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [139164] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5163), 1,
      anon_sym_EQ,
    STATE(3887), 1,
      sym_comment,
    ACTIONS(5165), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [139193] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5288), 1,
      anon_sym_PIPE,
    STATE(3888), 1,
      sym_comment,
    ACTIONS(5290), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [139222] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5120), 1,
      anon_sym_PIPE,
    STATE(3889), 1,
      sym_comment,
    ACTIONS(5122), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [139251] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5120), 1,
      anon_sym_PIPE,
    STATE(3890), 1,
      sym_comment,
    ACTIONS(5122), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [139280] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5120), 1,
      anon_sym_PIPE,
    STATE(3891), 1,
      sym_comment,
    ACTIONS(5122), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [139309] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4925), 1,
      anon_sym_PIPE,
    STATE(3892), 1,
      sym_comment,
    ACTIONS(4927), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [139338] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4925), 1,
      anon_sym_PIPE,
    STATE(3893), 1,
      sym_comment,
    ACTIONS(4927), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [139367] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4925), 1,
      anon_sym_PIPE,
    STATE(3894), 1,
      sym_comment,
    ACTIONS(4927), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [139396] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4929), 1,
      anon_sym_PIPE,
    STATE(3895), 1,
      sym_comment,
    ACTIONS(4931), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [139425] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4929), 1,
      anon_sym_PIPE,
    STATE(3896), 1,
      sym_comment,
    ACTIONS(4931), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [139454] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4929), 1,
      anon_sym_PIPE,
    STATE(3897), 1,
      sym_comment,
    ACTIONS(4931), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [139483] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5139), 1,
      anon_sym_EQ,
    STATE(3898), 1,
      sym_comment,
    ACTIONS(5141), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [139512] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5167), 1,
      anon_sym_EQ,
    ACTIONS(7128), 1,
      anon_sym_LBRACK,
    STATE(3899), 1,
      sym_comment,
    ACTIONS(5169), 13,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [139543] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5173), 1,
      anon_sym_EQ,
    ACTIONS(7130), 1,
      anon_sym_extends,
    STATE(3900), 1,
      sym_comment,
    ACTIONS(5175), 13,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
  [139574] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5181), 1,
      anon_sym_EQ,
    ACTIONS(7128), 1,
      anon_sym_LBRACK,
    STATE(3901), 1,
      sym_comment,
    ACTIONS(5187), 3,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
    ACTIONS(5183), 10,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
  [139607] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5196), 1,
      anon_sym_EQ,
    ACTIONS(7080), 1,
      anon_sym_AMP,
    ACTIONS(7082), 1,
      anon_sym_PIPE,
    ACTIONS(7084), 1,
      anon_sym_extends,
    STATE(3902), 1,
      sym_comment,
    ACTIONS(5198), 11,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
  [139642] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4988), 1,
      anon_sym_PIPE,
    STATE(3903), 1,
      sym_comment,
    ACTIONS(4990), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [139671] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4992), 1,
      anon_sym_PIPE,
    STATE(3904), 1,
      sym_comment,
    ACTIONS(4994), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [139700] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4992), 1,
      anon_sym_PIPE,
    STATE(3905), 1,
      sym_comment,
    ACTIONS(4994), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [139729] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4992), 1,
      anon_sym_PIPE,
    STATE(3906), 1,
      sym_comment,
    ACTIONS(4994), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [139758] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5008), 1,
      anon_sym_PIPE,
    STATE(3907), 1,
      sym_comment,
    ACTIONS(5010), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [139787] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5008), 1,
      anon_sym_PIPE,
    STATE(3908), 1,
      sym_comment,
    ACTIONS(5010), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [139816] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5008), 1,
      anon_sym_PIPE,
    STATE(3909), 1,
      sym_comment,
    ACTIONS(5010), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [139845] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5020), 1,
      anon_sym_PIPE,
    STATE(3910), 1,
      sym_comment,
    ACTIONS(5022), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [139874] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5020), 1,
      anon_sym_PIPE,
    STATE(3911), 1,
      sym_comment,
    ACTIONS(5022), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [139903] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5020), 1,
      anon_sym_PIPE,
    STATE(3912), 1,
      sym_comment,
    ACTIONS(5022), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [139932] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5200), 1,
      anon_sym_EQ,
    STATE(3913), 1,
      sym_comment,
    ACTIONS(5202), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [139961] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5204), 1,
      anon_sym_EQ,
    STATE(3914), 1,
      sym_comment,
    ACTIONS(5206), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [139990] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5072), 1,
      anon_sym_EQ,
    ACTIONS(7080), 1,
      anon_sym_AMP,
    STATE(3915), 1,
      sym_comment,
    ACTIONS(5074), 13,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [140021] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5208), 1,
      anon_sym_EQ,
    STATE(3916), 1,
      sym_comment,
    ACTIONS(5210), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [140050] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5080), 1,
      anon_sym_EQ,
    STATE(3917), 1,
      sym_comment,
    ACTIONS(5082), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [140079] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3918), 1,
      sym_comment,
    ACTIONS(7132), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
  [140106] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5076), 1,
      anon_sym_EQ,
    STATE(3919), 1,
      sym_comment,
    ACTIONS(5078), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [140135] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5226), 1,
      anon_sym_EQ,
    ACTIONS(7080), 1,
      anon_sym_AMP,
    STATE(3920), 1,
      sym_comment,
    ACTIONS(5228), 13,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [140166] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5233), 1,
      anon_sym_EQ,
    STATE(3921), 1,
      sym_comment,
    ACTIONS(5235), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [140195] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7070), 1,
      anon_sym_DQUOTE,
    ACTIONS(7072), 1,
      anon_sym_SQUOTE,
    ACTIONS(7078), 1,
      anon_sym_unique,
    ACTIONS(7134), 1,
      sym_number,
    STATE(3922), 1,
      sym_comment,
    STATE(7217), 1,
      sym_predefined_type,
    STATE(7225), 1,
      sym_string,
    ACTIONS(7074), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [140234] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7070), 1,
      anon_sym_DQUOTE,
    ACTIONS(7072), 1,
      anon_sym_SQUOTE,
    ACTIONS(7078), 1,
      anon_sym_unique,
    ACTIONS(7136), 1,
      sym_number,
    STATE(3923), 1,
      sym_comment,
    STATE(7238), 1,
      sym_predefined_type,
    STATE(7242), 1,
      sym_string,
    ACTIONS(7074), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [140273] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5185), 1,
      anon_sym_EQ,
    STATE(3924), 1,
      sym_comment,
    ACTIONS(5187), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [140302] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5030), 1,
      anon_sym_EQ,
    STATE(3925), 1,
      sym_comment,
    ACTIONS(5032), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [140331] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5243), 1,
      anon_sym_EQ,
    STATE(3926), 1,
      sym_comment,
    ACTIONS(5245), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [140360] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7070), 1,
      anon_sym_DQUOTE,
    ACTIONS(7072), 1,
      anon_sym_SQUOTE,
    ACTIONS(7078), 1,
      anon_sym_unique,
    ACTIONS(7138), 1,
      sym_number,
    STATE(3927), 1,
      sym_comment,
    STATE(7245), 1,
      sym_predefined_type,
    STATE(7250), 1,
      sym_string,
    ACTIONS(7074), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [140399] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3928), 1,
      sym_comment,
    ACTIONS(7140), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
  [140426] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4847), 1,
      anon_sym_EQ,
    STATE(3929), 1,
      sym_comment,
    ACTIONS(4849), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [140455] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5185), 1,
      anon_sym_EQ,
    ACTIONS(7128), 1,
      anon_sym_LBRACK,
    STATE(3930), 1,
      sym_comment,
    ACTIONS(5187), 13,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [140486] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7070), 1,
      anon_sym_DQUOTE,
    ACTIONS(7072), 1,
      anon_sym_SQUOTE,
    ACTIONS(7078), 1,
      anon_sym_unique,
    ACTIONS(7142), 1,
      sym_number,
    STATE(3931), 1,
      sym_comment,
    STATE(7255), 2,
      sym_string,
      sym_predefined_type,
    ACTIONS(7074), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [140523] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7070), 1,
      anon_sym_DQUOTE,
    ACTIONS(7072), 1,
      anon_sym_SQUOTE,
    ACTIONS(7078), 1,
      anon_sym_unique,
    ACTIONS(7144), 1,
      sym_number,
    STATE(3932), 1,
      sym_comment,
    STATE(7452), 1,
      sym_predefined_type,
    STATE(7453), 1,
      sym_string,
    ACTIONS(7074), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [140562] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5108), 1,
      anon_sym_EQ,
    STATE(3933), 1,
      sym_comment,
    ACTIONS(5110), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [140591] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5280), 1,
      anon_sym_EQ,
    STATE(3934), 1,
      sym_comment,
    ACTIONS(5282), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [140620] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3935), 1,
      sym_comment,
    ACTIONS(7146), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
  [140647] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3936), 1,
      sym_comment,
    ACTIONS(7148), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
  [140674] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7070), 1,
      anon_sym_DQUOTE,
    ACTIONS(7072), 1,
      anon_sym_SQUOTE,
    ACTIONS(7078), 1,
      anon_sym_unique,
    ACTIONS(7150), 1,
      sym_number,
    STATE(3937), 1,
      sym_comment,
    STATE(7458), 1,
      sym_predefined_type,
    STATE(7459), 1,
      sym_string,
    ACTIONS(7074), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [140713] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3938), 1,
      sym_comment,
    ACTIONS(7152), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
  [140740] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    ACTIONS(7158), 1,
      anon_sym_BANG,
    ACTIONS(7160), 1,
      anon_sym_LPAREN,
    ACTIONS(7162), 1,
      anon_sym_COLON,
    ACTIONS(7164), 1,
      anon_sym_LT,
    ACTIONS(7166), 1,
      anon_sym_QMARK,
    STATE(3939), 1,
      sym_comment,
    STATE(4790), 1,
      sym_formal_parameters,
    STATE(5118), 1,
      sym_type_annotation,
    STATE(6209), 1,
      sym__initializer,
    STATE(6683), 1,
      sym_type_parameters,
    STATE(6815), 1,
      sym__call_signature,
    ACTIONS(7156), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [140788] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(6985), 1,
      anon_sym_STAR,
    ACTIONS(6989), 1,
      anon_sym_LBRACE,
    ACTIONS(7168), 1,
      sym_identifier,
    ACTIONS(7170), 1,
      anon_sym_type,
    STATE(3940), 1,
      sym_comment,
    STATE(5623), 1,
      sym_import_require_clause,
    STATE(5624), 1,
      sym_string,
    STATE(6902), 1,
      sym_import_clause,
    STATE(7025), 1,
      sym__import_identifier,
    ACTIONS(7172), 2,
      anon_sym_COMMA,
      anon_sym_from,
    STATE(7185), 2,
      sym_namespace_import,
      sym_named_imports,
  [140836] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(6985), 1,
      anon_sym_STAR,
    ACTIONS(6989), 1,
      anon_sym_LBRACE,
    ACTIONS(7168), 1,
      sym_identifier,
    ACTIONS(7170), 1,
      anon_sym_type,
    STATE(3941), 1,
      sym_comment,
    STATE(5562), 1,
      sym_string,
    STATE(5563), 1,
      sym_import_require_clause,
    STATE(7025), 1,
      sym__import_identifier,
    STATE(7081), 1,
      sym_import_clause,
    ACTIONS(7172), 2,
      anon_sym_COMMA,
      anon_sym_from,
    STATE(7185), 2,
      sym_namespace_import,
      sym_named_imports,
  [140884] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(205), 1,
      anon_sym_unique,
    STATE(3942), 1,
      sym_comment,
    STATE(4218), 1,
      sym_type_predicate,
    STATE(7317), 1,
      sym_predefined_type,
    ACTIONS(7174), 2,
      sym_identifier,
      sym_this,
    ACTIONS(207), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [140918] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    ACTIONS(7160), 1,
      anon_sym_LPAREN,
    ACTIONS(7162), 1,
      anon_sym_COLON,
    ACTIONS(7164), 1,
      anon_sym_LT,
    ACTIONS(7176), 1,
      anon_sym_BANG,
    ACTIONS(7178), 1,
      anon_sym_QMARK,
    STATE(3943), 1,
      sym_comment,
    STATE(4790), 1,
      sym_formal_parameters,
    STATE(5223), 1,
      sym_type_annotation,
    STATE(6475), 1,
      sym__initializer,
    STATE(6491), 1,
      sym__call_signature,
    STATE(6683), 1,
      sym_type_parameters,
    ACTIONS(7156), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [140966] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(205), 1,
      anon_sym_unique,
    STATE(2462), 1,
      sym_type_predicate,
    STATE(3944), 1,
      sym_comment,
    STATE(7570), 1,
      sym_predefined_type,
    ACTIONS(7180), 2,
      sym_identifier,
      sym_this,
    ACTIONS(207), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [141000] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    ACTIONS(7160), 1,
      anon_sym_LPAREN,
    ACTIONS(7162), 1,
      anon_sym_COLON,
    ACTIONS(7164), 1,
      anon_sym_LT,
    ACTIONS(7184), 1,
      anon_sym_BANG,
    ACTIONS(7186), 1,
      anon_sym_QMARK,
    STATE(3945), 1,
      sym_comment,
    STATE(4790), 1,
      sym_formal_parameters,
    STATE(5441), 1,
      sym_type_annotation,
    STATE(5816), 1,
      sym__initializer,
    STATE(6540), 1,
      sym__call_signature,
    STATE(6683), 1,
      sym_type_parameters,
    ACTIONS(7182), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [141048] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(205), 1,
      anon_sym_unique,
    STATE(3929), 1,
      sym_type_predicate,
    STATE(3946), 1,
      sym_comment,
    STATE(7301), 1,
      sym_predefined_type,
    ACTIONS(7188), 2,
      sym_identifier,
      sym_this,
    ACTIONS(207), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [141082] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    ACTIONS(7162), 1,
      anon_sym_COLON,
    ACTIONS(7164), 1,
      anon_sym_LT,
    ACTIONS(7192), 1,
      anon_sym_BANG,
    ACTIONS(7194), 1,
      anon_sym_LPAREN,
    ACTIONS(7196), 1,
      anon_sym_QMARK,
    STATE(3947), 1,
      sym_comment,
    STATE(4266), 1,
      sym_formal_parameters,
    STATE(4951), 1,
      sym__call_signature,
    STATE(5317), 1,
      sym_type_annotation,
    STATE(6004), 1,
      sym__initializer,
    STATE(6530), 1,
      sym_type_parameters,
    ACTIONS(7190), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [141130] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    ACTIONS(7160), 1,
      anon_sym_LPAREN,
    ACTIONS(7162), 1,
      anon_sym_COLON,
    ACTIONS(7164), 1,
      anon_sym_LT,
    ACTIONS(7200), 1,
      anon_sym_BANG,
    ACTIONS(7202), 1,
      anon_sym_QMARK,
    STATE(3948), 1,
      sym_comment,
    STATE(4790), 1,
      sym_formal_parameters,
    STATE(5217), 1,
      sym_type_annotation,
    STATE(5862), 1,
      sym__initializer,
    STATE(6588), 1,
      sym__call_signature,
    STATE(6683), 1,
      sym_type_parameters,
    ACTIONS(7198), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [141178] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    ACTIONS(7160), 1,
      anon_sym_LPAREN,
    ACTIONS(7162), 1,
      anon_sym_COLON,
    ACTIONS(7164), 1,
      anon_sym_LT,
    ACTIONS(7204), 1,
      anon_sym_BANG,
    ACTIONS(7206), 1,
      anon_sym_QMARK,
    STATE(3949), 1,
      sym_comment,
    STATE(4790), 1,
      sym_formal_parameters,
    STATE(5127), 1,
      sym_type_annotation,
    STATE(5843), 1,
      sym__initializer,
    STATE(6614), 1,
      sym__call_signature,
    STATE(6683), 1,
      sym_type_parameters,
    ACTIONS(7198), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [141226] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(6985), 1,
      anon_sym_STAR,
    ACTIONS(6989), 1,
      anon_sym_LBRACE,
    ACTIONS(7168), 1,
      sym_identifier,
    ACTIONS(7170), 1,
      anon_sym_type,
    STATE(3950), 1,
      sym_comment,
    STATE(5777), 1,
      sym_string,
    STATE(5778), 1,
      sym_import_require_clause,
    STATE(7025), 1,
      sym__import_identifier,
    STATE(7105), 1,
      sym_import_clause,
    ACTIONS(7172), 2,
      anon_sym_COMMA,
      anon_sym_from,
    STATE(7185), 2,
      sym_namespace_import,
      sym_named_imports,
  [141274] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    ACTIONS(7162), 1,
      anon_sym_COLON,
    ACTIONS(7164), 1,
      anon_sym_LT,
    ACTIONS(7194), 1,
      anon_sym_LPAREN,
    ACTIONS(7210), 1,
      anon_sym_BANG,
    ACTIONS(7212), 1,
      anon_sym_QMARK,
    STATE(3951), 1,
      sym_comment,
    STATE(4266), 1,
      sym_formal_parameters,
    STATE(4866), 1,
      sym__call_signature,
    STATE(5419), 1,
      sym_type_annotation,
    STATE(6075), 1,
      sym__initializer,
    STATE(6530), 1,
      sym_type_parameters,
    ACTIONS(7208), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [141322] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4508), 1,
      anon_sym_COMMA,
    ACTIONS(4511), 1,
      anon_sym_RBRACE,
    ACTIONS(7164), 1,
      anon_sym_LT,
    ACTIONS(7214), 1,
      anon_sym_EQ,
    ACTIONS(7216), 1,
      anon_sym_LPAREN,
    STATE(3952), 1,
      sym_comment,
    STATE(4561), 1,
      sym_formal_parameters,
    STATE(6171), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6333), 1,
      aux_sym_object_repeat1,
    STATE(7104), 1,
      sym_type_parameters,
    ACTIONS(4514), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
  [141366] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    ACTIONS(7162), 1,
      anon_sym_COLON,
    ACTIONS(7164), 1,
      anon_sym_LT,
    ACTIONS(7210), 1,
      anon_sym_BANG,
    ACTIONS(7216), 1,
      anon_sym_LPAREN,
    ACTIONS(7218), 1,
      anon_sym_QMARK,
    STATE(3953), 1,
      sym_comment,
    STATE(4200), 1,
      sym_formal_parameters,
    STATE(5419), 1,
      sym_type_annotation,
    STATE(6065), 1,
      sym__initializer,
    STATE(6066), 1,
      sym__call_signature,
    STATE(6630), 1,
      sym_type_parameters,
    ACTIONS(7208), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [141414] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    ACTIONS(7160), 1,
      anon_sym_LPAREN,
    ACTIONS(7162), 1,
      anon_sym_COLON,
    ACTIONS(7164), 1,
      anon_sym_LT,
    ACTIONS(7220), 1,
      anon_sym_BANG,
    ACTIONS(7222), 1,
      anon_sym_QMARK,
    STATE(3954), 1,
      sym_comment,
    STATE(4790), 1,
      sym_formal_parameters,
    STATE(5300), 1,
      sym_type_annotation,
    STATE(6116), 1,
      sym__initializer,
    STATE(6683), 1,
      sym_type_parameters,
    STATE(6924), 1,
      sym__call_signature,
    ACTIONS(7182), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [141462] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    ACTIONS(7160), 1,
      anon_sym_LPAREN,
    ACTIONS(7162), 1,
      anon_sym_COLON,
    ACTIONS(7164), 1,
      anon_sym_LT,
    ACTIONS(7224), 1,
      anon_sym_BANG,
    ACTIONS(7226), 1,
      anon_sym_QMARK,
    STATE(3955), 1,
      sym_comment,
    STATE(4790), 1,
      sym_formal_parameters,
    STATE(5271), 1,
      sym_type_annotation,
    STATE(6113), 1,
      sym__initializer,
    STATE(6683), 1,
      sym_type_parameters,
    STATE(6936), 1,
      sym__call_signature,
    ACTIONS(7182), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [141510] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4508), 1,
      anon_sym_COMMA,
    ACTIONS(4518), 1,
      anon_sym_RBRACE,
    ACTIONS(7164), 1,
      anon_sym_LT,
    ACTIONS(7214), 1,
      anon_sym_EQ,
    ACTIONS(7216), 1,
      anon_sym_LPAREN,
    STATE(3956), 1,
      sym_comment,
    STATE(4561), 1,
      sym_formal_parameters,
    STATE(6171), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6333), 1,
      aux_sym_object_repeat1,
    STATE(7104), 1,
      sym_type_parameters,
    ACTIONS(4514), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
  [141554] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4508), 1,
      anon_sym_COMMA,
    ACTIONS(4527), 1,
      anon_sym_RBRACE,
    ACTIONS(7164), 1,
      anon_sym_LT,
    ACTIONS(7214), 1,
      anon_sym_EQ,
    ACTIONS(7216), 1,
      anon_sym_LPAREN,
    STATE(3957), 1,
      sym_comment,
    STATE(4561), 1,
      sym_formal_parameters,
    STATE(6165), 1,
      aux_sym_object_repeat1,
    STATE(6171), 1,
      aux_sym_object_pattern_repeat1,
    STATE(7104), 1,
      sym_type_parameters,
    ACTIONS(4514), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
  [141598] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    ACTIONS(7160), 1,
      anon_sym_LPAREN,
    ACTIONS(7162), 1,
      anon_sym_COLON,
    ACTIONS(7164), 1,
      anon_sym_LT,
    ACTIONS(7228), 1,
      anon_sym_BANG,
    ACTIONS(7230), 1,
      anon_sym_QMARK,
    STATE(3958), 1,
      sym_comment,
    STATE(4790), 1,
      sym_formal_parameters,
    STATE(5080), 1,
      sym_type_annotation,
    STATE(6232), 1,
      sym__initializer,
    STATE(6683), 1,
      sym_type_parameters,
    STATE(6785), 1,
      sym__call_signature,
    ACTIONS(7156), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [141646] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    ACTIONS(7160), 1,
      anon_sym_LPAREN,
    ACTIONS(7162), 1,
      anon_sym_COLON,
    ACTIONS(7164), 1,
      anon_sym_LT,
    ACTIONS(7232), 1,
      anon_sym_BANG,
    ACTIONS(7234), 1,
      anon_sym_QMARK,
    STATE(3959), 1,
      sym_comment,
    STATE(4790), 1,
      sym_formal_parameters,
    STATE(5101), 1,
      sym_type_annotation,
    STATE(5867), 1,
      sym__initializer,
    STATE(6650), 1,
      sym__call_signature,
    STATE(6683), 1,
      sym_type_parameters,
    ACTIONS(7198), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [141694] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(205), 1,
      anon_sym_unique,
    STATE(2908), 1,
      sym_type_predicate,
    STATE(3960), 1,
      sym_comment,
    STATE(7268), 1,
      sym_predefined_type,
    ACTIONS(7236), 2,
      sym_identifier,
      sym_this,
    ACTIONS(207), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [141728] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    ACTIONS(7160), 1,
      anon_sym_LPAREN,
    ACTIONS(7162), 1,
      anon_sym_COLON,
    ACTIONS(7164), 1,
      anon_sym_LT,
    ACTIONS(7240), 1,
      anon_sym_BANG,
    ACTIONS(7242), 1,
      anon_sym_QMARK,
    STATE(3961), 1,
      sym_comment,
    STATE(4790), 1,
      sym_formal_parameters,
    STATE(5458), 1,
      sym_type_annotation,
    STATE(6043), 1,
      sym__initializer,
    STATE(6683), 1,
      sym_type_parameters,
    STATE(6698), 1,
      sym__call_signature,
    ACTIONS(7238), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [141776] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(6985), 1,
      anon_sym_STAR,
    ACTIONS(6989), 1,
      anon_sym_LBRACE,
    ACTIONS(7168), 1,
      sym_identifier,
    ACTIONS(7170), 1,
      anon_sym_type,
    STATE(3962), 1,
      sym_comment,
    STATE(5640), 1,
      sym_string,
    STATE(5641), 1,
      sym_import_require_clause,
    STATE(6976), 1,
      sym_import_clause,
    STATE(7025), 1,
      sym__import_identifier,
    ACTIONS(7172), 2,
      anon_sym_COMMA,
      anon_sym_from,
    STATE(7185), 2,
      sym_namespace_import,
      sym_named_imports,
  [141824] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    ACTIONS(7160), 1,
      anon_sym_LPAREN,
    ACTIONS(7162), 1,
      anon_sym_COLON,
    ACTIONS(7164), 1,
      anon_sym_LT,
    ACTIONS(7244), 1,
      anon_sym_BANG,
    ACTIONS(7246), 1,
      anon_sym_QMARK,
    STATE(3963), 1,
      sym_comment,
    STATE(4790), 1,
      sym_formal_parameters,
    STATE(5151), 1,
      sym_type_annotation,
    STATE(5870), 1,
      sym__initializer,
    STATE(6683), 1,
      sym_type_parameters,
    STATE(6687), 1,
      sym__call_signature,
    ACTIONS(7198), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [141872] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    ACTIONS(7160), 1,
      anon_sym_LPAREN,
    ACTIONS(7162), 1,
      anon_sym_COLON,
    ACTIONS(7164), 1,
      anon_sym_LT,
    ACTIONS(7248), 1,
      anon_sym_BANG,
    ACTIONS(7250), 1,
      anon_sym_QMARK,
    STATE(3964), 1,
      sym_comment,
    STATE(4790), 1,
      sym_formal_parameters,
    STATE(5548), 1,
      sym_type_annotation,
    STATE(5948), 1,
      sym__initializer,
    STATE(6683), 1,
      sym_type_parameters,
    STATE(6863), 1,
      sym__call_signature,
    ACTIONS(7182), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [141920] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    ACTIONS(7162), 1,
      anon_sym_COLON,
    ACTIONS(7164), 1,
      anon_sym_LT,
    ACTIONS(7216), 1,
      anon_sym_LPAREN,
    ACTIONS(7254), 1,
      anon_sym_BANG,
    ACTIONS(7256), 1,
      anon_sym_QMARK,
    STATE(3965), 1,
      sym_comment,
    STATE(4200), 1,
      sym_formal_parameters,
    STATE(5171), 1,
      sym_type_annotation,
    STATE(5871), 1,
      sym__initializer,
    STATE(5874), 1,
      sym__call_signature,
    STATE(6630), 1,
      sym_type_parameters,
    ACTIONS(7252), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [141968] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    ACTIONS(7160), 1,
      anon_sym_LPAREN,
    ACTIONS(7162), 1,
      anon_sym_COLON,
    ACTIONS(7164), 1,
      anon_sym_LT,
    ACTIONS(7260), 1,
      anon_sym_BANG,
    ACTIONS(7262), 1,
      anon_sym_QMARK,
    STATE(3966), 1,
      sym_comment,
    STATE(4790), 1,
      sym_formal_parameters,
    STATE(5391), 1,
      sym_type_annotation,
    STATE(6158), 1,
      sym__initializer,
    STATE(6683), 1,
      sym_type_parameters,
    STATE(7143), 1,
      sym__call_signature,
    ACTIONS(7258), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [142016] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    ACTIONS(7160), 1,
      anon_sym_LPAREN,
    ACTIONS(7162), 1,
      anon_sym_COLON,
    ACTIONS(7164), 1,
      anon_sym_LT,
    ACTIONS(7264), 1,
      anon_sym_BANG,
    ACTIONS(7266), 1,
      anon_sym_QMARK,
    STATE(3967), 1,
      sym_comment,
    STATE(4790), 1,
      sym_formal_parameters,
    STATE(5378), 1,
      sym_type_annotation,
    STATE(5792), 1,
      sym__initializer,
    STATE(6503), 1,
      sym__call_signature,
    STATE(6683), 1,
      sym_type_parameters,
    ACTIONS(7182), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [142064] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(205), 1,
      anon_sym_unique,
    STATE(3968), 1,
      sym_comment,
    STATE(4154), 1,
      sym_type_predicate,
    STATE(7362), 1,
      sym_predefined_type,
    ACTIONS(7268), 2,
      sym_identifier,
      sym_this,
    ACTIONS(207), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [142098] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4508), 1,
      anon_sym_COMMA,
    ACTIONS(4524), 1,
      anon_sym_RBRACE,
    ACTIONS(7164), 1,
      anon_sym_LT,
    ACTIONS(7214), 1,
      anon_sym_EQ,
    ACTIONS(7216), 1,
      anon_sym_LPAREN,
    STATE(3969), 1,
      sym_comment,
    STATE(4561), 1,
      sym_formal_parameters,
    STATE(6171), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6333), 1,
      aux_sym_object_repeat1,
    STATE(7104), 1,
      sym_type_parameters,
    ACTIONS(4514), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
  [142142] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4787), 1,
      anon_sym_LPAREN,
    ACTIONS(4867), 1,
      anon_sym_BQUOTE,
    STATE(3970), 1,
      sym_comment,
    STATE(2680), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5133), 10,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [142174] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4817), 1,
      anon_sym_PIPE,
    ACTIONS(7042), 1,
      anon_sym_LT,
    ACTIONS(7066), 1,
      anon_sym_DOT,
    STATE(3971), 1,
      sym_comment,
    STATE(4116), 1,
      sym_type_arguments,
    ACTIONS(4203), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [142208] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    ACTIONS(7162), 1,
      anon_sym_COLON,
    ACTIONS(7164), 1,
      anon_sym_LT,
    ACTIONS(7194), 1,
      anon_sym_LPAREN,
    ACTIONS(7254), 1,
      anon_sym_BANG,
    ACTIONS(7270), 1,
      anon_sym_QMARK,
    STATE(3972), 1,
      sym_comment,
    STATE(4266), 1,
      sym_formal_parameters,
    STATE(4773), 1,
      sym__call_signature,
    STATE(5171), 1,
      sym_type_annotation,
    STATE(5890), 1,
      sym__initializer,
    STATE(6530), 1,
      sym_type_parameters,
    ACTIONS(7252), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [142256] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4508), 1,
      anon_sym_COMMA,
    ACTIONS(4521), 1,
      anon_sym_RBRACE,
    ACTIONS(7164), 1,
      anon_sym_LT,
    ACTIONS(7214), 1,
      anon_sym_EQ,
    ACTIONS(7216), 1,
      anon_sym_LPAREN,
    STATE(3973), 1,
      sym_comment,
    STATE(4561), 1,
      sym_formal_parameters,
    STATE(6171), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6333), 1,
      aux_sym_object_repeat1,
    STATE(7104), 1,
      sym_type_parameters,
    ACTIONS(4514), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
  [142300] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4141), 1,
      anon_sym_LT,
    ACTIONS(7274), 1,
      anon_sym_GT,
    ACTIONS(7277), 1,
      anon_sym_DOT,
    STATE(3913), 1,
      sym_type_arguments,
    STATE(3974), 1,
      sym_comment,
    ACTIONS(7272), 4,
      anon_sym_LBRACE,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
      sym_identifier,
    ACTIONS(4817), 6,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [142336] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    ACTIONS(7162), 1,
      anon_sym_COLON,
    ACTIONS(7164), 1,
      anon_sym_LT,
    ACTIONS(7194), 1,
      anon_sym_LPAREN,
    ACTIONS(7281), 1,
      anon_sym_BANG,
    ACTIONS(7283), 1,
      anon_sym_QMARK,
    STATE(3975), 1,
      sym_comment,
    STATE(4266), 1,
      sym_formal_parameters,
    STATE(4941), 1,
      sym__call_signature,
    STATE(5018), 1,
      sym_type_annotation,
    STATE(6268), 1,
      sym__initializer,
    STATE(6530), 1,
      sym_type_parameters,
    ACTIONS(7279), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [142384] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    ACTIONS(7160), 1,
      anon_sym_LPAREN,
    ACTIONS(7162), 1,
      anon_sym_COLON,
    ACTIONS(7164), 1,
      anon_sym_LT,
    ACTIONS(7285), 1,
      anon_sym_BANG,
    ACTIONS(7287), 1,
      anon_sym_QMARK,
    STATE(3976), 1,
      sym_comment,
    STATE(4790), 1,
      sym_formal_parameters,
    STATE(5128), 1,
      sym_type_annotation,
    STATE(5844), 1,
      sym__initializer,
    STATE(6615), 1,
      sym__call_signature,
    STATE(6683), 1,
      sym_type_parameters,
    ACTIONS(7182), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [142432] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    ACTIONS(7162), 1,
      anon_sym_COLON,
    ACTIONS(7164), 1,
      anon_sym_LT,
    ACTIONS(7194), 1,
      anon_sym_LPAREN,
    ACTIONS(7291), 1,
      anon_sym_BANG,
    ACTIONS(7293), 1,
      anon_sym_QMARK,
    STATE(3977), 1,
      sym_comment,
    STATE(4266), 1,
      sym_formal_parameters,
    STATE(4869), 1,
      sym__call_signature,
    STATE(5417), 1,
      sym_type_annotation,
    STATE(5820), 1,
      sym__initializer,
    STATE(6530), 1,
      sym_type_parameters,
    ACTIONS(7289), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [142480] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(6985), 1,
      anon_sym_STAR,
    ACTIONS(6989), 1,
      anon_sym_LBRACE,
    ACTIONS(7168), 1,
      sym_identifier,
    ACTIONS(7170), 1,
      anon_sym_type,
    STATE(3978), 1,
      sym_comment,
    STATE(5766), 1,
      sym_import_require_clause,
    STATE(5773), 1,
      sym_string,
    STATE(6700), 1,
      sym_import_clause,
    STATE(7025), 1,
      sym__import_identifier,
    ACTIONS(7172), 2,
      anon_sym_COMMA,
      anon_sym_from,
    STATE(7185), 2,
      sym_namespace_import,
      sym_named_imports,
  [142528] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    ACTIONS(7160), 1,
      anon_sym_LPAREN,
    ACTIONS(7162), 1,
      anon_sym_COLON,
    ACTIONS(7164), 1,
      anon_sym_LT,
    ACTIONS(7295), 1,
      anon_sym_BANG,
    ACTIONS(7297), 1,
      anon_sym_QMARK,
    STATE(3979), 1,
      sym_comment,
    STATE(4790), 1,
      sym_formal_parameters,
    STATE(5551), 1,
      sym_type_annotation,
    STATE(6028), 1,
      sym__initializer,
    STATE(6683), 1,
      sym_type_parameters,
    STATE(7140), 1,
      sym__call_signature,
    ACTIONS(7156), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [142576] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3980), 1,
      sym_comment,
    ACTIONS(5050), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [142601] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2083), 1,
      anon_sym_DOT,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5084), 1,
      anon_sym_PIPE,
    STATE(3981), 1,
      sym_comment,
    ACTIONS(5086), 11,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [142630] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5320), 1,
      anon_sym_PIPE,
    STATE(3982), 1,
      sym_comment,
    ACTIONS(5322), 12,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [142657] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5316), 1,
      anon_sym_PIPE,
    STATE(3983), 1,
      sym_comment,
    ACTIONS(5318), 12,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [142684] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3984), 1,
      sym_comment,
    ACTIONS(5290), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [142709] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3985), 1,
      sym_comment,
    ACTIONS(5122), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [142734] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3986), 1,
      sym_comment,
    ACTIONS(5122), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [142759] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7162), 1,
      anon_sym_COLON,
    ACTIONS(7164), 1,
      anon_sym_LT,
    ACTIONS(7216), 1,
      anon_sym_LPAREN,
    ACTIONS(7301), 1,
      anon_sym_QMARK,
    STATE(3987), 1,
      sym_comment,
    STATE(4200), 1,
      sym_formal_parameters,
    STATE(5377), 1,
      sym__call_signature,
    STATE(5381), 1,
      sym_type_annotation,
    STATE(6630), 1,
      sym_type_parameters,
    ACTIONS(7299), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [142800] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3988), 1,
      sym_comment,
    ACTIONS(4927), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [142825] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3989), 1,
      sym_comment,
    ACTIONS(4927), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [142850] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3990), 1,
      sym_comment,
    ACTIONS(4927), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [142875] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3991), 1,
      sym_comment,
    ACTIONS(4931), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [142900] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3992), 1,
      sym_comment,
    ACTIONS(4931), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [142925] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3993), 1,
      sym_comment,
    ACTIONS(4931), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [142950] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3994), 1,
      sym_comment,
    ACTIONS(4990), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [142975] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3995), 1,
      sym_comment,
    ACTIONS(4994), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [143000] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3996), 1,
      sym_comment,
    ACTIONS(4994), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [143025] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3997), 1,
      sym_comment,
    ACTIONS(4994), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [143050] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7162), 1,
      anon_sym_COLON,
    ACTIONS(7164), 1,
      anon_sym_LT,
    ACTIONS(7216), 1,
      anon_sym_LPAREN,
    ACTIONS(7305), 1,
      anon_sym_QMARK,
    STATE(3998), 1,
      sym_comment,
    STATE(4200), 1,
      sym_formal_parameters,
    STATE(4601), 1,
      sym__call_signature,
    STATE(5036), 1,
      sym_type_annotation,
    STATE(6630), 1,
      sym_type_parameters,
    ACTIONS(7303), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [143091] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3999), 1,
      sym_comment,
    ACTIONS(5010), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [143116] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4000), 1,
      sym_comment,
    ACTIONS(5010), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [143141] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4345), 1,
      anon_sym_PIPE,
    STATE(4001), 1,
      sym_comment,
    ACTIONS(4869), 12,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [143168] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5336), 1,
      anon_sym_PIPE,
    STATE(4002), 1,
      sym_comment,
    ACTIONS(5338), 12,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [143195] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4003), 1,
      sym_comment,
    ACTIONS(5010), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [143220] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4004), 1,
      sym_comment,
    ACTIONS(5022), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [143245] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4005), 1,
      sym_comment,
    ACTIONS(5022), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [143270] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4006), 1,
      sym_comment,
    ACTIONS(5022), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [143295] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4007), 1,
      sym_comment,
    ACTIONS(5122), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [143320] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(7307), 1,
      anon_sym_LBRACE,
    ACTIONS(7311), 1,
      sym_html_character_reference,
    ACTIONS(7313), 1,
      anon_sym_LT_SLASH,
    ACTIONS(7315), 1,
      anon_sym_LT,
    STATE(3090), 1,
      sym_jsx_closing_element,
    STATE(4008), 1,
      sym_comment,
    STATE(4012), 1,
      aux_sym_jsx_element_repeat1,
    STATE(4037), 1,
      sym_jsx_opening_element,
    ACTIONS(7309), 2,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
    STATE(4849), 4,
      sym_jsx_element,
      sym_jsx_text,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
  [143361] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5332), 1,
      anon_sym_PIPE,
    STATE(4009), 1,
      sym_comment,
    ACTIONS(5334), 12,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [143388] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(7307), 1,
      anon_sym_LBRACE,
    ACTIONS(7311), 1,
      sym_html_character_reference,
    ACTIONS(7315), 1,
      anon_sym_LT,
    ACTIONS(7317), 1,
      anon_sym_LT_SLASH,
    STATE(4010), 1,
      sym_comment,
    STATE(4020), 1,
      aux_sym_jsx_element_repeat1,
    STATE(4037), 1,
      sym_jsx_opening_element,
    STATE(5281), 1,
      sym_jsx_closing_element,
    ACTIONS(7309), 2,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
    STATE(4849), 4,
      sym_jsx_element,
      sym_jsx_text,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
  [143429] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5332), 1,
      anon_sym_PIPE,
    STATE(4011), 1,
      sym_comment,
    ACTIONS(5334), 12,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [143456] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(7307), 1,
      anon_sym_LBRACE,
    ACTIONS(7311), 1,
      sym_html_character_reference,
    ACTIONS(7313), 1,
      anon_sym_LT_SLASH,
    ACTIONS(7315), 1,
      anon_sym_LT,
    STATE(3267), 1,
      sym_jsx_closing_element,
    STATE(4012), 1,
      sym_comment,
    STATE(4037), 1,
      sym_jsx_opening_element,
    STATE(4065), 1,
      aux_sym_jsx_element_repeat1,
    ACTIONS(7309), 2,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
    STATE(4849), 4,
      sym_jsx_element,
      sym_jsx_text,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
  [143497] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5328), 1,
      anon_sym_PIPE,
    STATE(4013), 1,
      sym_comment,
    ACTIONS(5330), 12,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [143524] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4787), 1,
      anon_sym_LPAREN,
    ACTIONS(4867), 1,
      anon_sym_BQUOTE,
    ACTIONS(5131), 1,
      anon_sym_PIPE,
    STATE(4014), 1,
      sym_comment,
    STATE(2680), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5133), 8,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [143557] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7162), 1,
      anon_sym_COLON,
    ACTIONS(7164), 1,
      anon_sym_LT,
    ACTIONS(7216), 1,
      anon_sym_LPAREN,
    ACTIONS(7319), 1,
      anon_sym_QMARK,
    STATE(4015), 1,
      sym_comment,
    STATE(4200), 1,
      sym_formal_parameters,
    STATE(4679), 1,
      sym__call_signature,
    STATE(5381), 1,
      sym_type_annotation,
    STATE(6630), 1,
      sym_type_parameters,
    ACTIONS(7299), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [143598] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4324), 1,
      anon_sym_PIPE,
    STATE(4016), 1,
      sym_comment,
    ACTIONS(4843), 12,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [143625] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7162), 1,
      anon_sym_COLON,
    ACTIONS(7164), 1,
      anon_sym_LT,
    ACTIONS(7216), 1,
      anon_sym_LPAREN,
    ACTIONS(7323), 1,
      anon_sym_QMARK,
    STATE(4017), 1,
      sym_comment,
    STATE(4200), 1,
      sym_formal_parameters,
    STATE(4559), 1,
      sym__call_signature,
    STATE(5276), 1,
      sym_type_annotation,
    STATE(6630), 1,
      sym_type_parameters,
    ACTIONS(7321), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [143666] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4835), 1,
      anon_sym_PIPE,
    ACTIONS(7042), 1,
      anon_sym_LT,
    STATE(4018), 1,
      sym_comment,
    STATE(4143), 1,
      sym_type_arguments,
    ACTIONS(4837), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [143697] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5324), 1,
      anon_sym_PIPE,
    STATE(4019), 1,
      sym_comment,
    ACTIONS(5326), 12,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [143724] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(7307), 1,
      anon_sym_LBRACE,
    ACTIONS(7311), 1,
      sym_html_character_reference,
    ACTIONS(7315), 1,
      anon_sym_LT,
    ACTIONS(7317), 1,
      anon_sym_LT_SLASH,
    STATE(4020), 1,
      sym_comment,
    STATE(4037), 1,
      sym_jsx_opening_element,
    STATE(4065), 1,
      aux_sym_jsx_element_repeat1,
    STATE(5311), 1,
      sym_jsx_closing_element,
    ACTIONS(7309), 2,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
    STATE(4849), 4,
      sym_jsx_element,
      sym_jsx_text,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
  [143765] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2197), 1,
      anon_sym_DOT,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5084), 1,
      anon_sym_PIPE,
    STATE(4021), 1,
      sym_comment,
    ACTIONS(5086), 11,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [143794] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5112), 1,
      anon_sym_PIPE,
    STATE(4022), 1,
      sym_comment,
    ACTIONS(5114), 12,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [143821] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5127), 1,
      anon_sym_PIPE,
    STATE(4023), 1,
      sym_comment,
    ACTIONS(5129), 12,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [143848] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5135), 1,
      anon_sym_PIPE,
    STATE(4024), 1,
      sym_comment,
    ACTIONS(5137), 12,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [143875] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4025), 1,
      sym_comment,
    ACTIONS(5018), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [143900] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7162), 1,
      anon_sym_COLON,
    ACTIONS(7164), 1,
      anon_sym_LT,
    ACTIONS(7216), 1,
      anon_sym_LPAREN,
    ACTIONS(7327), 1,
      anon_sym_QMARK,
    STATE(4026), 1,
      sym_comment,
    STATE(4200), 1,
      sym_formal_parameters,
    STATE(4690), 1,
      sym__call_signature,
    STATE(5239), 1,
      sym_type_annotation,
    STATE(6630), 1,
      sym_type_parameters,
    ACTIONS(7325), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [143941] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5351), 1,
      anon_sym_PIPE,
    STATE(4027), 1,
      sym_comment,
    ACTIONS(5353), 12,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [143968] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5347), 1,
      anon_sym_PIPE,
    STATE(4028), 1,
      sym_comment,
    ACTIONS(5349), 12,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [143995] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4029), 1,
      sym_comment,
    ACTIONS(5046), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [144020] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(7307), 1,
      anon_sym_LBRACE,
    ACTIONS(7311), 1,
      sym_html_character_reference,
    ACTIONS(7315), 1,
      anon_sym_LT,
    ACTIONS(7329), 1,
      anon_sym_LT_SLASH,
    STATE(2666), 1,
      sym_jsx_closing_element,
    STATE(4030), 1,
      sym_comment,
    STATE(4037), 1,
      sym_jsx_opening_element,
    STATE(4065), 1,
      aux_sym_jsx_element_repeat1,
    ACTIONS(7309), 2,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
    STATE(4849), 4,
      sym_jsx_element,
      sym_jsx_text,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
  [144061] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7162), 1,
      anon_sym_COLON,
    ACTIONS(7164), 1,
      anon_sym_LT,
    ACTIONS(7216), 1,
      anon_sym_LPAREN,
    ACTIONS(7333), 1,
      anon_sym_QMARK,
    STATE(4031), 1,
      sym_comment,
    STATE(4200), 1,
      sym_formal_parameters,
    STATE(5465), 1,
      sym__call_signature,
    STATE(5540), 1,
      sym_type_annotation,
    STATE(6630), 1,
      sym_type_parameters,
    ACTIONS(7331), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [144102] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5343), 1,
      anon_sym_PIPE,
    STATE(4032), 1,
      sym_comment,
    ACTIONS(5345), 12,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [144129] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4033), 1,
      sym_comment,
    ACTIONS(5018), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [144154] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7164), 1,
      anon_sym_LT,
    ACTIONS(7216), 1,
      anon_sym_LPAREN,
    ACTIONS(7335), 1,
      anon_sym_COLON,
    ACTIONS(7337), 1,
      anon_sym_QMARK,
    STATE(4034), 1,
      sym_comment,
    STATE(4200), 1,
      sym_formal_parameters,
    STATE(4534), 1,
      sym__call_signature,
    STATE(5540), 1,
      sym_type_annotation,
    STATE(6630), 1,
      sym_type_parameters,
    ACTIONS(7331), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [144195] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4035), 1,
      sym_comment,
    ACTIONS(5066), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [144220] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4036), 1,
      sym_comment,
    ACTIONS(5062), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [144245] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(7307), 1,
      anon_sym_LBRACE,
    ACTIONS(7311), 1,
      sym_html_character_reference,
    ACTIONS(7315), 1,
      anon_sym_LT,
    ACTIONS(7339), 1,
      anon_sym_LT_SLASH,
    STATE(4055), 1,
      aux_sym_jsx_element_repeat1,
    STATE(4940), 1,
      sym_jsx_closing_element,
    ACTIONS(7309), 2,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
    STATE(4037), 2,
      sym_jsx_opening_element,
      sym_comment,
    STATE(4849), 4,
      sym_jsx_element,
      sym_jsx_text,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
  [144284] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4038), 1,
      sym_comment,
    ACTIONS(5058), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [144309] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4039), 1,
      sym_comment,
    ACTIONS(5054), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [144334] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4040), 1,
      sym_comment,
    ACTIONS(5058), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [144359] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4041), 1,
      sym_comment,
    ACTIONS(4974), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [144384] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7162), 1,
      anon_sym_COLON,
    ACTIONS(7164), 1,
      anon_sym_LT,
    ACTIONS(7216), 1,
      anon_sym_LPAREN,
    ACTIONS(7341), 1,
      anon_sym_QMARK,
    STATE(4042), 1,
      sym_comment,
    STATE(4200), 1,
      sym_formal_parameters,
    STATE(5149), 1,
      sym__call_signature,
    STATE(5276), 1,
      sym_type_annotation,
    STATE(6630), 1,
      sym_type_parameters,
    ACTIONS(7321), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [144425] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7064), 1,
      anon_sym_LT,
    ACTIONS(7343), 1,
      anon_sym_DOT,
    ACTIONS(7345), 1,
      anon_sym_is,
    STATE(4043), 1,
      sym_comment,
    STATE(4382), 1,
      sym_type_arguments,
    ACTIONS(4203), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [144458] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4044), 1,
      sym_comment,
    ACTIONS(5054), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [144483] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5247), 1,
      anon_sym_PIPE,
    ACTIONS(7347), 1,
      anon_sym_DOT,
    ACTIONS(7349), 1,
      anon_sym_QMARK_DOT,
    STATE(4045), 1,
      sym_comment,
    ACTIONS(5249), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [144514] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4046), 1,
      sym_comment,
    ACTIONS(5050), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [144539] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4352), 1,
      anon_sym_PIPE,
    STATE(4047), 1,
      sym_comment,
    ACTIONS(4845), 12,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [144566] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(7307), 1,
      anon_sym_LBRACE,
    ACTIONS(7311), 1,
      sym_html_character_reference,
    ACTIONS(7315), 1,
      anon_sym_LT,
    ACTIONS(7329), 1,
      anon_sym_LT_SLASH,
    STATE(2706), 1,
      sym_jsx_closing_element,
    STATE(4030), 1,
      aux_sym_jsx_element_repeat1,
    STATE(4037), 1,
      sym_jsx_opening_element,
    STATE(4048), 1,
      sym_comment,
    ACTIONS(7309), 2,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
    STATE(4849), 4,
      sym_jsx_element,
      sym_jsx_text,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
  [144607] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(7011), 1,
      anon_sym_LBRACE,
    ACTIONS(7020), 1,
      anon_sym_DOT,
    ACTIONS(7024), 1,
      anon_sym_LT,
    ACTIONS(7351), 1,
      anon_sym_COLON,
    ACTIONS(7353), 1,
      anon_sym_GT,
    ACTIONS(7355), 1,
      anon_sym_SLASH_GT,
    STATE(4049), 1,
      sym_comment,
    STATE(4248), 1,
      sym_type_arguments,
    STATE(4249), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(4982), 1,
      sym_jsx_namespace_name,
    ACTIONS(7007), 2,
      sym_jsx_identifier,
      sym_identifier,
    STATE(5057), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [144652] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7162), 1,
      anon_sym_COLON,
    ACTIONS(7164), 1,
      anon_sym_LT,
    ACTIONS(7216), 1,
      anon_sym_LPAREN,
    ACTIONS(7357), 1,
      anon_sym_QMARK,
    STATE(4050), 1,
      sym_comment,
    STATE(4200), 1,
      sym_formal_parameters,
    STATE(5026), 1,
      sym__call_signature,
    STATE(5036), 1,
      sym_type_annotation,
    STATE(6630), 1,
      sym_type_parameters,
    ACTIONS(7303), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [144693] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5336), 1,
      anon_sym_PIPE,
    STATE(4051), 1,
      sym_comment,
    ACTIONS(5338), 12,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [144720] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4052), 1,
      sym_comment,
    ACTIONS(5046), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [144745] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7162), 1,
      anon_sym_COLON,
    ACTIONS(7164), 1,
      anon_sym_LT,
    ACTIONS(7216), 1,
      anon_sym_LPAREN,
    ACTIONS(7359), 1,
      anon_sym_QMARK,
    STATE(4053), 1,
      sym_comment,
    STATE(4200), 1,
      sym_formal_parameters,
    STATE(5239), 1,
      sym_type_annotation,
    STATE(5241), 1,
      sym__call_signature,
    STATE(6630), 1,
      sym_type_parameters,
    ACTIONS(7325), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [144786] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(7011), 1,
      anon_sym_LBRACE,
    ACTIONS(7020), 1,
      anon_sym_DOT,
    ACTIONS(7024), 1,
      anon_sym_LT,
    ACTIONS(7351), 1,
      anon_sym_COLON,
    ACTIONS(7353), 1,
      anon_sym_GT,
    ACTIONS(7361), 1,
      anon_sym_SLASH_GT,
    STATE(4054), 1,
      sym_comment,
    STATE(4315), 1,
      sym_type_arguments,
    STATE(4316), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(4982), 1,
      sym_jsx_namespace_name,
    ACTIONS(7007), 2,
      sym_jsx_identifier,
      sym_identifier,
    STATE(5057), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [144831] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(7307), 1,
      anon_sym_LBRACE,
    ACTIONS(7311), 1,
      sym_html_character_reference,
    ACTIONS(7315), 1,
      anon_sym_LT,
    ACTIONS(7339), 1,
      anon_sym_LT_SLASH,
    STATE(4037), 1,
      sym_jsx_opening_element,
    STATE(4055), 1,
      sym_comment,
    STATE(4065), 1,
      aux_sym_jsx_element_repeat1,
    STATE(4876), 1,
      sym_jsx_closing_element,
    ACTIONS(7309), 2,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
    STATE(4849), 4,
      sym_jsx_element,
      sym_jsx_text,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
  [144872] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4056), 1,
      sym_comment,
    ACTIONS(4974), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [144897] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4226), 1,
      anon_sym_COLON,
    ACTIONS(6973), 1,
      anon_sym_LT,
    ACTIONS(6979), 1,
      anon_sym_DOT,
    ACTIONS(7363), 1,
      anon_sym_QMARK,
    STATE(3913), 1,
      sym_type_arguments,
    STATE(4057), 1,
      sym_comment,
    STATE(7084), 1,
      sym_type_annotation,
    ACTIONS(4203), 6,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [144933] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4508), 1,
      anon_sym_COMMA,
    ACTIONS(4518), 1,
      anon_sym_RBRACE,
    ACTIONS(7214), 1,
      anon_sym_EQ,
    STATE(4058), 1,
      sym_comment,
    STATE(6171), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6333), 1,
      aux_sym_object_repeat1,
    ACTIONS(4514), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
  [144967] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    ACTIONS(7162), 1,
      anon_sym_COLON,
    ACTIONS(7164), 1,
      anon_sym_LT,
    ACTIONS(7194), 1,
      anon_sym_LPAREN,
    STATE(4059), 1,
      sym_comment,
    STATE(4266), 1,
      sym_formal_parameters,
    STATE(4879), 1,
      sym__call_signature,
    STATE(5439), 1,
      sym_type_annotation,
    STATE(6050), 1,
      sym__initializer,
    STATE(6530), 1,
      sym_type_parameters,
    ACTIONS(7366), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [145009] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4508), 1,
      anon_sym_COMMA,
    ACTIONS(4524), 1,
      anon_sym_RBRACE,
    ACTIONS(7214), 1,
      anon_sym_EQ,
    STATE(4060), 1,
      sym_comment,
    STATE(6171), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6333), 1,
      aux_sym_object_repeat1,
    ACTIONS(4514), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
  [145043] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    ACTIONS(7160), 1,
      anon_sym_LPAREN,
    ACTIONS(7162), 1,
      anon_sym_COLON,
    ACTIONS(7164), 1,
      anon_sym_LT,
    STATE(4061), 1,
      sym_comment,
    STATE(4790), 1,
      sym_formal_parameters,
    STATE(5368), 1,
      sym_type_annotation,
    STATE(5829), 1,
      sym__initializer,
    STATE(6570), 1,
      sym__call_signature,
    STATE(6683), 1,
      sym_type_parameters,
    ACTIONS(7368), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [145085] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    ACTIONS(7160), 1,
      anon_sym_LPAREN,
    ACTIONS(7162), 1,
      anon_sym_COLON,
    ACTIONS(7164), 1,
      anon_sym_LT,
    STATE(4062), 1,
      sym_comment,
    STATE(4790), 1,
      sym_formal_parameters,
    STATE(5295), 1,
      sym_type_annotation,
    STATE(6386), 1,
      sym__initializer,
    STATE(6632), 1,
      sym__call_signature,
    STATE(6683), 1,
      sym_type_parameters,
    ACTIONS(7370), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [145127] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    ACTIONS(7160), 1,
      anon_sym_LPAREN,
    ACTIONS(7162), 1,
      anon_sym_COLON,
    ACTIONS(7164), 1,
      anon_sym_LT,
    STATE(4063), 1,
      sym_comment,
    STATE(4790), 1,
      sym_formal_parameters,
    STATE(5357), 1,
      sym_type_annotation,
    STATE(6005), 1,
      sym__initializer,
    STATE(6683), 1,
      sym_type_parameters,
    STATE(7157), 1,
      sym__call_signature,
    ACTIONS(7370), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [145169] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    ACTIONS(7160), 1,
      anon_sym_LPAREN,
    ACTIONS(7162), 1,
      anon_sym_COLON,
    ACTIONS(7164), 1,
      anon_sym_LT,
    STATE(4064), 1,
      sym_comment,
    STATE(4790), 1,
      sym_formal_parameters,
    STATE(5183), 1,
      sym_type_annotation,
    STATE(5896), 1,
      sym__initializer,
    STATE(6683), 1,
      sym_type_parameters,
    STATE(6716), 1,
      sym__call_signature,
    ACTIONS(7368), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [145211] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(7372), 1,
      anon_sym_LBRACE,
    ACTIONS(7378), 1,
      sym_html_character_reference,
    ACTIONS(7381), 1,
      anon_sym_LT_SLASH,
    ACTIONS(7383), 1,
      anon_sym_LT,
    STATE(4037), 1,
      sym_jsx_opening_element,
    ACTIONS(7375), 2,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
    STATE(4065), 2,
      sym_comment,
      aux_sym_jsx_element_repeat1,
    STATE(4849), 4,
      sym_jsx_element,
      sym_jsx_text,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
  [145247] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7162), 1,
      anon_sym_COLON,
    ACTIONS(7164), 1,
      anon_sym_LT,
    ACTIONS(7216), 1,
      anon_sym_LPAREN,
    STATE(4066), 1,
      sym_comment,
    STATE(4200), 1,
      sym_formal_parameters,
    STATE(4696), 1,
      sym__call_signature,
    STATE(5115), 1,
      sym_type_annotation,
    STATE(6630), 1,
      sym_type_parameters,
    ACTIONS(7386), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [145285] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(6985), 1,
      anon_sym_STAR,
    ACTIONS(6989), 1,
      anon_sym_LBRACE,
    ACTIONS(7168), 1,
      sym_identifier,
    ACTIONS(7170), 1,
      anon_sym_type,
    STATE(4067), 1,
      sym_comment,
    STATE(5777), 1,
      sym_string,
    STATE(5778), 1,
      sym_import_require_clause,
    STATE(7025), 1,
      sym__import_identifier,
    STATE(7105), 1,
      sym_import_clause,
    STATE(7185), 2,
      sym_namespace_import,
      sym_named_imports,
  [145329] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7162), 1,
      anon_sym_COLON,
    ACTIONS(7164), 1,
      anon_sym_LT,
    ACTIONS(7216), 1,
      anon_sym_LPAREN,
    STATE(4068), 1,
      sym_comment,
    STATE(4200), 1,
      sym_formal_parameters,
    STATE(5112), 1,
      sym__call_signature,
    STATE(5115), 1,
      sym_type_annotation,
    STATE(6630), 1,
      sym_type_parameters,
    ACTIONS(7386), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [145367] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7162), 1,
      anon_sym_COLON,
    ACTIONS(7164), 1,
      anon_sym_LT,
    ACTIONS(7216), 1,
      anon_sym_LPAREN,
    STATE(4069), 1,
      sym_comment,
    STATE(4200), 1,
      sym_formal_parameters,
    STATE(5360), 1,
      sym__call_signature,
    STATE(5370), 1,
      sym_type_annotation,
    STATE(6630), 1,
      sym_type_parameters,
    ACTIONS(7388), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [145405] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7162), 1,
      anon_sym_COLON,
    ACTIONS(7164), 1,
      anon_sym_LT,
    ACTIONS(7216), 1,
      anon_sym_LPAREN,
    STATE(4070), 1,
      sym_comment,
    STATE(4200), 1,
      sym_formal_parameters,
    STATE(5046), 1,
      sym__call_signature,
    STATE(5062), 1,
      sym_type_annotation,
    STATE(6630), 1,
      sym_type_parameters,
    ACTIONS(7390), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [145443] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4508), 1,
      anon_sym_COMMA,
    ACTIONS(4511), 1,
      anon_sym_RBRACE,
    ACTIONS(7214), 1,
      anon_sym_EQ,
    STATE(4071), 1,
      sym_comment,
    STATE(6171), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6333), 1,
      aux_sym_object_repeat1,
    ACTIONS(4514), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
  [145477] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4508), 1,
      anon_sym_COMMA,
    ACTIONS(4521), 1,
      anon_sym_RBRACE,
    ACTIONS(7214), 1,
      anon_sym_EQ,
    STATE(4072), 1,
      sym_comment,
    STATE(6171), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6333), 1,
      aux_sym_object_repeat1,
    ACTIONS(4514), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
  [145511] = 13,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(7011), 1,
      anon_sym_LBRACE,
    ACTIONS(7024), 1,
      anon_sym_LT,
    ACTIONS(7392), 1,
      anon_sym_GT,
    ACTIONS(7394), 1,
      anon_sym_DOT,
    ACTIONS(7396), 1,
      anon_sym_SLASH_GT,
    STATE(4073), 1,
      sym_comment,
    STATE(4416), 1,
      sym_type_arguments,
    STATE(4417), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(4982), 1,
      sym_jsx_namespace_name,
    ACTIONS(7007), 2,
      sym_jsx_identifier,
      sym_identifier,
    STATE(5057), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [145553] = 13,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(7011), 1,
      anon_sym_LBRACE,
    ACTIONS(7024), 1,
      anon_sym_LT,
    ACTIONS(7392), 1,
      anon_sym_GT,
    ACTIONS(7394), 1,
      anon_sym_DOT,
    ACTIONS(7398), 1,
      anon_sym_SLASH_GT,
    STATE(4074), 1,
      sym_comment,
    STATE(4254), 1,
      sym_type_arguments,
    STATE(4255), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(4982), 1,
      sym_jsx_namespace_name,
    ACTIONS(7007), 2,
      sym_jsx_identifier,
      sym_identifier,
    STATE(5057), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [145595] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7162), 1,
      anon_sym_COLON,
    ACTIONS(7164), 1,
      anon_sym_LT,
    ACTIONS(7216), 1,
      anon_sym_LPAREN,
    STATE(4075), 1,
      sym_comment,
    STATE(4200), 1,
      sym_formal_parameters,
    STATE(5251), 1,
      sym_type_annotation,
    STATE(5253), 1,
      sym__call_signature,
    STATE(6630), 1,
      sym_type_parameters,
    ACTIONS(7400), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [145633] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    ACTIONS(7162), 1,
      anon_sym_COLON,
    ACTIONS(7164), 1,
      anon_sym_LT,
    ACTIONS(7194), 1,
      anon_sym_LPAREN,
    STATE(4076), 1,
      sym_comment,
    STATE(4266), 1,
      sym_formal_parameters,
    STATE(4888), 1,
      sym__call_signature,
    STATE(5487), 1,
      sym_type_annotation,
    STATE(6035), 1,
      sym__initializer,
    STATE(6530), 1,
      sym_type_parameters,
    ACTIONS(7402), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [145675] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    ACTIONS(7160), 1,
      anon_sym_LPAREN,
    ACTIONS(7162), 1,
      anon_sym_COLON,
    ACTIONS(7164), 1,
      anon_sym_LT,
    STATE(4077), 1,
      sym_comment,
    STATE(4790), 1,
      sym_formal_parameters,
    STATE(5539), 1,
      sym_type_annotation,
    STATE(6010), 1,
      sym__initializer,
    STATE(6683), 1,
      sym_type_parameters,
    STATE(7165), 1,
      sym__call_signature,
    ACTIONS(7404), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [145717] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    ACTIONS(7162), 1,
      anon_sym_COLON,
    ACTIONS(7164), 1,
      anon_sym_LT,
    ACTIONS(7194), 1,
      anon_sym_LPAREN,
    STATE(4078), 1,
      sym_comment,
    STATE(4266), 1,
      sym_formal_parameters,
    STATE(4984), 1,
      sym__call_signature,
    STATE(5477), 1,
      sym_type_annotation,
    STATE(5981), 1,
      sym__initializer,
    STATE(6530), 1,
      sym_type_parameters,
    ACTIONS(7406), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [145759] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4851), 1,
      anon_sym_PIPE,
    STATE(4079), 1,
      sym_comment,
    ACTIONS(4853), 11,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_is,
      anon_sym_PIPE_RBRACE,
  [145785] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    ACTIONS(7160), 1,
      anon_sym_LPAREN,
    ACTIONS(7162), 1,
      anon_sym_COLON,
    ACTIONS(7164), 1,
      anon_sym_LT,
    STATE(4080), 1,
      sym_comment,
    STATE(4790), 1,
      sym_formal_parameters,
    STATE(5034), 1,
      sym_type_annotation,
    STATE(5855), 1,
      sym__initializer,
    STATE(6683), 1,
      sym_type_parameters,
    STATE(6827), 1,
      sym__call_signature,
    ACTIONS(7408), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [145827] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7162), 1,
      anon_sym_COLON,
    ACTIONS(7164), 1,
      anon_sym_LT,
    ACTIONS(7216), 1,
      anon_sym_LPAREN,
    STATE(4081), 1,
      sym_comment,
    STATE(4200), 1,
      sym_formal_parameters,
    STATE(4549), 1,
      sym__call_signature,
    STATE(5251), 1,
      sym_type_annotation,
    STATE(6630), 1,
      sym_type_parameters,
    ACTIONS(7400), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [145865] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    ACTIONS(7160), 1,
      anon_sym_LPAREN,
    ACTIONS(7162), 1,
      anon_sym_COLON,
    ACTIONS(7164), 1,
      anon_sym_LT,
    STATE(4082), 1,
      sym_comment,
    STATE(4790), 1,
      sym_formal_parameters,
    STATE(5457), 1,
      sym_type_annotation,
    STATE(6041), 1,
      sym__initializer,
    STATE(6683), 1,
      sym_type_parameters,
    STATE(7119), 1,
      sym__call_signature,
    ACTIONS(7404), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [145907] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(6985), 1,
      anon_sym_STAR,
    ACTIONS(6989), 1,
      anon_sym_LBRACE,
    ACTIONS(7168), 1,
      sym_identifier,
    ACTIONS(7170), 1,
      anon_sym_type,
    STATE(4083), 1,
      sym_comment,
    STATE(5562), 1,
      sym_string,
    STATE(5563), 1,
      sym_import_require_clause,
    STATE(7025), 1,
      sym__import_identifier,
    STATE(7081), 1,
      sym_import_clause,
    STATE(7185), 2,
      sym_namespace_import,
      sym_named_imports,
  [145951] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    ACTIONS(7160), 1,
      anon_sym_LPAREN,
    ACTIONS(7162), 1,
      anon_sym_COLON,
    ACTIONS(7164), 1,
      anon_sym_LT,
    STATE(4084), 1,
      sym_comment,
    STATE(4790), 1,
      sym_formal_parameters,
    STATE(5331), 1,
      sym_type_annotation,
    STATE(6357), 1,
      sym__initializer,
    STATE(6669), 1,
      sym__call_signature,
    STATE(6683), 1,
      sym_type_parameters,
    ACTIONS(7404), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [145993] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7162), 1,
      anon_sym_COLON,
    ACTIONS(7164), 1,
      anon_sym_LT,
    ACTIONS(7216), 1,
      anon_sym_LPAREN,
    STATE(4085), 1,
      sym_comment,
    STATE(4200), 1,
      sym_formal_parameters,
    STATE(5305), 1,
      sym__call_signature,
    STATE(5318), 1,
      sym_type_annotation,
    STATE(6630), 1,
      sym_type_parameters,
    ACTIONS(7410), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [146031] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4847), 1,
      anon_sym_PIPE,
    ACTIONS(7068), 1,
      anon_sym_is,
    STATE(4086), 1,
      sym_comment,
    ACTIONS(4849), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [146059] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    ACTIONS(7162), 1,
      anon_sym_COLON,
    ACTIONS(7164), 1,
      anon_sym_LT,
    ACTIONS(7194), 1,
      anon_sym_LPAREN,
    STATE(4087), 1,
      sym_comment,
    STATE(4266), 1,
      sym_formal_parameters,
    STATE(4895), 1,
      sym__call_signature,
    STATE(5485), 1,
      sym_type_annotation,
    STATE(5813), 1,
      sym__initializer,
    STATE(6530), 1,
      sym_type_parameters,
    ACTIONS(7412), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [146101] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7164), 1,
      anon_sym_LT,
    ACTIONS(7214), 1,
      anon_sym_EQ,
    ACTIONS(7216), 1,
      anon_sym_LPAREN,
    STATE(4088), 1,
      sym_comment,
    STATE(4561), 1,
      sym_formal_parameters,
    STATE(7104), 1,
      sym_type_parameters,
    ACTIONS(4783), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(4514), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
  [146137] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4859), 1,
      anon_sym_PIPE,
    ACTIONS(7068), 1,
      anon_sym_is,
    STATE(4089), 1,
      sym_comment,
    ACTIONS(4861), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [146165] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4835), 1,
      anon_sym_PIPE,
    ACTIONS(7414), 1,
      anon_sym_is,
    STATE(4090), 1,
      sym_comment,
    ACTIONS(4837), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [146193] = 13,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(7011), 1,
      anon_sym_LBRACE,
    ACTIONS(7024), 1,
      anon_sym_LT,
    ACTIONS(7392), 1,
      anon_sym_GT,
    ACTIONS(7394), 1,
      anon_sym_DOT,
    ACTIONS(7416), 1,
      anon_sym_SLASH_GT,
    STATE(4091), 1,
      sym_comment,
    STATE(4319), 1,
      sym_type_arguments,
    STATE(4321), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(4982), 1,
      sym_jsx_namespace_name,
    ACTIONS(7007), 2,
      sym_jsx_identifier,
      sym_identifier,
    STATE(5057), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [146235] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    ACTIONS(7162), 1,
      anon_sym_COLON,
    ACTIONS(7164), 1,
      anon_sym_LT,
    ACTIONS(7216), 1,
      anon_sym_LPAREN,
    STATE(4092), 1,
      sym_comment,
    STATE(4200), 1,
      sym_formal_parameters,
    STATE(5162), 1,
      sym_type_annotation,
    STATE(5876), 1,
      sym__initializer,
    STATE(5877), 1,
      sym__call_signature,
    STATE(6630), 1,
      sym_type_parameters,
    ACTIONS(7418), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [146277] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    ACTIONS(7160), 1,
      anon_sym_LPAREN,
    ACTIONS(7162), 1,
      anon_sym_COLON,
    ACTIONS(7164), 1,
      anon_sym_LT,
    STATE(4093), 1,
      sym_comment,
    STATE(4790), 1,
      sym_formal_parameters,
    STATE(5546), 1,
      sym_type_annotation,
    STATE(6080), 1,
      sym__initializer,
    STATE(6683), 1,
      sym_type_parameters,
    STATE(7018), 1,
      sym__call_signature,
    ACTIONS(7370), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [146319] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7162), 1,
      anon_sym_COLON,
    ACTIONS(7164), 1,
      anon_sym_LT,
    ACTIONS(7216), 1,
      anon_sym_LPAREN,
    STATE(4094), 1,
      sym_comment,
    STATE(4200), 1,
      sym_formal_parameters,
    STATE(4542), 1,
      sym__call_signature,
    STATE(5318), 1,
      sym_type_annotation,
    STATE(6630), 1,
      sym_type_parameters,
    ACTIONS(7410), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [146357] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    ACTIONS(7160), 1,
      anon_sym_LPAREN,
    ACTIONS(7162), 1,
      anon_sym_COLON,
    ACTIONS(7164), 1,
      anon_sym_LT,
    STATE(4095), 1,
      sym_comment,
    STATE(4790), 1,
      sym_formal_parameters,
    STATE(5070), 1,
      sym_type_annotation,
    STATE(5984), 1,
      sym__initializer,
    STATE(6683), 1,
      sym_type_parameters,
    STATE(7036), 1,
      sym__call_signature,
    ACTIONS(7368), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [146399] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1978), 1,
      anon_sym_PIPE,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4096), 1,
      sym_comment,
    ACTIONS(2030), 11,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_is,
      anon_sym_PIPE_RBRACE,
  [146425] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    ACTIONS(7162), 1,
      anon_sym_COLON,
    ACTIONS(7164), 1,
      anon_sym_LT,
    ACTIONS(7194), 1,
      anon_sym_LPAREN,
    STATE(4097), 1,
      sym_comment,
    STATE(4266), 1,
      sym_formal_parameters,
    STATE(4763), 1,
      sym__call_signature,
    STATE(5162), 1,
      sym_type_annotation,
    STATE(5886), 1,
      sym__initializer,
    STATE(6530), 1,
      sym_type_parameters,
    ACTIONS(7418), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [146467] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    ACTIONS(7160), 1,
      anon_sym_LPAREN,
    ACTIONS(7162), 1,
      anon_sym_COLON,
    ACTIONS(7164), 1,
      anon_sym_LT,
    STATE(4098), 1,
      sym_comment,
    STATE(4790), 1,
      sym_formal_parameters,
    STATE(5340), 1,
      sym_type_annotation,
    STATE(5982), 1,
      sym__initializer,
    STATE(6683), 1,
      sym_type_parameters,
    STATE(7017), 1,
      sym__call_signature,
    ACTIONS(7370), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [146509] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4508), 1,
      anon_sym_COMMA,
    ACTIONS(4527), 1,
      anon_sym_RBRACE,
    ACTIONS(7214), 1,
      anon_sym_EQ,
    STATE(4099), 1,
      sym_comment,
    STATE(6165), 1,
      aux_sym_object_repeat1,
    STATE(6171), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(4514), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
  [146543] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    ACTIONS(7160), 1,
      anon_sym_LPAREN,
    ACTIONS(7162), 1,
      anon_sym_COLON,
    ACTIONS(7164), 1,
      anon_sym_LT,
    STATE(4100), 1,
      sym_comment,
    STATE(4790), 1,
      sym_formal_parameters,
    STATE(4999), 1,
      sym_type_annotation,
    STATE(6298), 1,
      sym__initializer,
    STATE(6683), 1,
      sym_type_parameters,
    STATE(6722), 1,
      sym__call_signature,
    ACTIONS(7420), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [146585] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7064), 1,
      anon_sym_LT,
    ACTIONS(7343), 1,
      anon_sym_DOT,
    STATE(4101), 1,
      sym_comment,
    STATE(4382), 1,
      sym_type_arguments,
    ACTIONS(4203), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [146615] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    ACTIONS(7160), 1,
      anon_sym_LPAREN,
    ACTIONS(7162), 1,
      anon_sym_COLON,
    ACTIONS(7164), 1,
      anon_sym_LT,
    STATE(4102), 1,
      sym_comment,
    STATE(4790), 1,
      sym_formal_parameters,
    STATE(5265), 1,
      sym_type_annotation,
    STATE(5901), 1,
      sym__initializer,
    STATE(6678), 1,
      sym__call_signature,
    STATE(6683), 1,
      sym_type_parameters,
    ACTIONS(7368), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [146657] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    ACTIONS(7162), 1,
      anon_sym_COLON,
    ACTIONS(7164), 1,
      anon_sym_LT,
    ACTIONS(7216), 1,
      anon_sym_LPAREN,
    STATE(4103), 1,
      sym_comment,
    STATE(4200), 1,
      sym_formal_parameters,
    STATE(5485), 1,
      sym_type_annotation,
    STATE(5808), 1,
      sym__call_signature,
    STATE(5838), 1,
      sym__initializer,
    STATE(6630), 1,
      sym_type_parameters,
    ACTIONS(7412), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [146699] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7162), 1,
      anon_sym_COLON,
    ACTIONS(7164), 1,
      anon_sym_LT,
    ACTIONS(7216), 1,
      anon_sym_LPAREN,
    STATE(4104), 1,
      sym_comment,
    STATE(4200), 1,
      sym_formal_parameters,
    STATE(4603), 1,
      sym__call_signature,
    STATE(5062), 1,
      sym_type_annotation,
    STATE(6630), 1,
      sym_type_parameters,
    ACTIONS(7390), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [146737] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    ACTIONS(7160), 1,
      anon_sym_LPAREN,
    ACTIONS(7162), 1,
      anon_sym_COLON,
    ACTIONS(7164), 1,
      anon_sym_LT,
    STATE(4105), 1,
      sym_comment,
    STATE(4790), 1,
      sym_formal_parameters,
    STATE(5288), 1,
      sym_type_annotation,
    STATE(6401), 1,
      sym__initializer,
    STATE(6559), 1,
      sym__call_signature,
    STATE(6683), 1,
      sym_type_parameters,
    ACTIONS(7404), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [146779] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(6985), 1,
      anon_sym_STAR,
    ACTIONS(6989), 1,
      anon_sym_LBRACE,
    ACTIONS(7168), 1,
      sym_identifier,
    ACTIONS(7170), 1,
      anon_sym_type,
    STATE(4106), 1,
      sym_comment,
    STATE(5766), 1,
      sym_import_require_clause,
    STATE(5773), 1,
      sym_string,
    STATE(6700), 1,
      sym_import_clause,
    STATE(7025), 1,
      sym__import_identifier,
    STATE(7185), 2,
      sym_namespace_import,
      sym_named_imports,
  [146823] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(6985), 1,
      anon_sym_STAR,
    ACTIONS(6989), 1,
      anon_sym_LBRACE,
    ACTIONS(7168), 1,
      sym_identifier,
    ACTIONS(7170), 1,
      anon_sym_type,
    STATE(4107), 1,
      sym_comment,
    STATE(5623), 1,
      sym_import_require_clause,
    STATE(5624), 1,
      sym_string,
    STATE(6902), 1,
      sym_import_clause,
    STATE(7025), 1,
      sym__import_identifier,
    STATE(7185), 2,
      sym_namespace_import,
      sym_named_imports,
  [146867] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7162), 1,
      anon_sym_COLON,
    ACTIONS(7164), 1,
      anon_sym_LT,
    ACTIONS(7216), 1,
      anon_sym_LPAREN,
    STATE(4108), 1,
      sym_comment,
    STATE(4200), 1,
      sym_formal_parameters,
    STATE(4758), 1,
      sym__call_signature,
    STATE(5370), 1,
      sym_type_annotation,
    STATE(6630), 1,
      sym_type_parameters,
    ACTIONS(7388), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [146905] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    ACTIONS(7160), 1,
      anon_sym_LPAREN,
    ACTIONS(7162), 1,
      anon_sym_COLON,
    ACTIONS(7164), 1,
      anon_sym_LT,
    STATE(4109), 1,
      sym_comment,
    STATE(4790), 1,
      sym_formal_parameters,
    STATE(5116), 1,
      sym_type_annotation,
    STATE(6220), 1,
      sym__initializer,
    STATE(6683), 1,
      sym_type_parameters,
    STATE(6804), 1,
      sym__call_signature,
    ACTIONS(7404), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [146947] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(6985), 1,
      anon_sym_STAR,
    ACTIONS(6989), 1,
      anon_sym_LBRACE,
    ACTIONS(7168), 1,
      sym_identifier,
    ACTIONS(7170), 1,
      anon_sym_type,
    STATE(4110), 1,
      sym_comment,
    STATE(5640), 1,
      sym_string,
    STATE(5641), 1,
      sym_import_require_clause,
    STATE(6976), 1,
      sym_import_clause,
    STATE(7025), 1,
      sym__import_identifier,
    STATE(7185), 2,
      sym_namespace_import,
      sym_named_imports,
  [146991] = 13,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(7011), 1,
      anon_sym_LBRACE,
    ACTIONS(7024), 1,
      anon_sym_LT,
    ACTIONS(7392), 1,
      anon_sym_GT,
    ACTIONS(7394), 1,
      anon_sym_DOT,
    ACTIONS(7422), 1,
      anon_sym_SLASH_GT,
    STATE(4111), 1,
      sym_comment,
    STATE(4367), 1,
      sym_type_arguments,
    STATE(4386), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(4982), 1,
      sym_jsx_namespace_name,
    ACTIONS(7007), 2,
      sym_jsx_identifier,
      sym_identifier,
    STATE(5057), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [147033] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    ACTIONS(7160), 1,
      anon_sym_LPAREN,
    ACTIONS(7162), 1,
      anon_sym_COLON,
    ACTIONS(7164), 1,
      anon_sym_LT,
    STATE(4112), 1,
      sym_comment,
    STATE(4790), 1,
      sym_formal_parameters,
    STATE(5024), 1,
      sym_type_annotation,
    STATE(6258), 1,
      sym__initializer,
    STATE(6683), 1,
      sym_type_parameters,
    STATE(6755), 1,
      sym__call_signature,
    ACTIONS(7404), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [147075] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4113), 1,
      sym_comment,
    ACTIONS(6452), 11,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
  [147098] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5072), 1,
      anon_sym_PIPE,
    ACTIONS(7424), 1,
      anon_sym_AMP,
    STATE(4114), 1,
      sym_comment,
    ACTIONS(5074), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [147125] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5004), 1,
      anon_sym_PIPE,
    STATE(4115), 1,
      sym_comment,
    ACTIONS(5006), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [147150] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5200), 1,
      anon_sym_PIPE,
    STATE(4116), 1,
      sym_comment,
    ACTIONS(5202), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [147175] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(7426), 1,
      sym_identifier,
    ACTIONS(7428), 1,
      anon_sym_type,
    ACTIONS(7430), 1,
      anon_sym_COMMA,
    ACTIONS(7432), 1,
      anon_sym_RBRACE,
    ACTIONS(7434), 1,
      anon_sym_typeof,
    STATE(4117), 1,
      sym_comment,
    STATE(5681), 1,
      sym_string,
    STATE(6364), 1,
      sym_import_specifier,
    STATE(6658), 1,
      sym__import_identifier,
    STATE(7488), 1,
      sym__module_export_name,
  [147218] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(3192), 1,
      anon_sym_PIPE,
    STATE(4118), 1,
      sym_comment,
    ACTIONS(3434), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [147243] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7424), 1,
      anon_sym_AMP,
    ACTIONS(7436), 1,
      anon_sym_PIPE,
    ACTIONS(7438), 1,
      anon_sym_extends,
    STATE(4119), 1,
      sym_comment,
    ACTIONS(4978), 8,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_PIPE_RBRACE,
  [147272] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5292), 1,
      anon_sym_PIPE,
    STATE(4120), 1,
      sym_comment,
    ACTIONS(5294), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [147297] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5150), 1,
      anon_sym_PIPE,
    STATE(4121), 1,
      sym_comment,
    ACTIONS(5152), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [147322] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5163), 1,
      anon_sym_PIPE,
    STATE(4122), 1,
      sym_comment,
    ACTIONS(5165), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [147347] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7424), 1,
      anon_sym_AMP,
    ACTIONS(7436), 1,
      anon_sym_PIPE,
    ACTIONS(7438), 1,
      anon_sym_extends,
    STATE(4123), 1,
      sym_comment,
    ACTIONS(5165), 8,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_PIPE_RBRACE,
  [147376] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5204), 1,
      anon_sym_PIPE,
    STATE(4124), 1,
      sym_comment,
    ACTIONS(5206), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [147401] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5208), 1,
      anon_sym_PIPE,
    STATE(4125), 1,
      sym_comment,
    ACTIONS(5210), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [147426] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4835), 1,
      anon_sym_PIPE,
    STATE(4126), 1,
      sym_comment,
    ACTIONS(4837), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [147451] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5012), 1,
      anon_sym_PIPE,
    STATE(4127), 1,
      sym_comment,
    ACTIONS(5014), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [147476] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7424), 1,
      anon_sym_AMP,
    ACTIONS(7436), 1,
      anon_sym_PIPE,
    ACTIONS(7438), 1,
      anon_sym_extends,
    STATE(4128), 1,
      sym_comment,
    ACTIONS(5220), 8,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_PIPE_RBRACE,
  [147505] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4962), 1,
      anon_sym_PIPE,
    STATE(4129), 1,
      sym_comment,
    ACTIONS(4964), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [147530] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4966), 1,
      anon_sym_PIPE,
    STATE(4130), 1,
      sym_comment,
    ACTIONS(4968), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [147555] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4131), 1,
      sym_comment,
    ACTIONS(4845), 11,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [147578] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7424), 1,
      anon_sym_AMP,
    ACTIONS(7436), 1,
      anon_sym_PIPE,
    ACTIONS(7438), 1,
      anon_sym_extends,
    STATE(4132), 1,
      sym_comment,
    ACTIONS(5198), 8,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_PIPE_RBRACE,
  [147607] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5226), 1,
      anon_sym_PIPE,
    ACTIONS(7424), 1,
      anon_sym_AMP,
    STATE(4133), 1,
      sym_comment,
    ACTIONS(5228), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [147634] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5030), 1,
      anon_sym_PIPE,
    STATE(4134), 1,
      sym_comment,
    ACTIONS(5032), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [147659] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5233), 1,
      anon_sym_PIPE,
    STATE(4135), 1,
      sym_comment,
    ACTIONS(5235), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [147684] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7424), 1,
      anon_sym_AMP,
    ACTIONS(7436), 1,
      anon_sym_PIPE,
    ACTIONS(7438), 1,
      anon_sym_extends,
    STATE(4136), 1,
      sym_comment,
    ACTIONS(5036), 8,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_PIPE_RBRACE,
  [147713] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5237), 1,
      anon_sym_PIPE,
    STATE(4137), 1,
      sym_comment,
    ACTIONS(5239), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [147738] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7424), 1,
      anon_sym_AMP,
    ACTIONS(7436), 1,
      anon_sym_PIPE,
    ACTIONS(7438), 1,
      anon_sym_extends,
    STATE(4138), 1,
      sym_comment,
    ACTIONS(5224), 8,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_PIPE_RBRACE,
  [147767] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5173), 1,
      anon_sym_PIPE,
    ACTIONS(7440), 1,
      anon_sym_extends,
    STATE(4139), 1,
      sym_comment,
    ACTIONS(5175), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE_RBRACE,
  [147794] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5243), 1,
      anon_sym_PIPE,
    STATE(4140), 1,
      sym_comment,
    ACTIONS(5245), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [147819] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5167), 1,
      anon_sym_PIPE,
    ACTIONS(7442), 1,
      anon_sym_LBRACK,
    STATE(4141), 1,
      sym_comment,
    ACTIONS(5169), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [147846] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5284), 1,
      anon_sym_PIPE,
    STATE(4142), 1,
      sym_comment,
    ACTIONS(5286), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [147871] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5139), 1,
      anon_sym_PIPE,
    STATE(4143), 1,
      sym_comment,
    ACTIONS(5141), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [147896] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(3188), 1,
      anon_sym_PIPE,
    STATE(4144), 1,
      sym_comment,
    ACTIONS(3432), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [147921] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4933), 1,
      anon_sym_PIPE,
    STATE(4145), 1,
      sym_comment,
    ACTIONS(4935), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [147946] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4146), 1,
      sym_comment,
    ACTIONS(5114), 11,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [147969] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4859), 1,
      anon_sym_PIPE,
    STATE(4147), 1,
      sym_comment,
    ACTIONS(4861), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [147994] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4148), 1,
      sym_comment,
    ACTIONS(5129), 11,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [148017] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4149), 1,
      sym_comment,
    ACTIONS(5137), 11,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [148040] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5185), 1,
      anon_sym_PIPE,
    STATE(4150), 1,
      sym_comment,
    ACTIONS(5187), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [148065] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4151), 1,
      sym_comment,
    ACTIONS(6502), 11,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
  [148088] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5185), 1,
      anon_sym_PIPE,
    ACTIONS(7442), 1,
      anon_sym_LBRACK,
    STATE(4152), 1,
      sym_comment,
    ACTIONS(5187), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [148115] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5280), 1,
      anon_sym_PIPE,
    STATE(4153), 1,
      sym_comment,
    ACTIONS(5282), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [148140] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4847), 1,
      anon_sym_PIPE,
    STATE(4154), 1,
      sym_comment,
    ACTIONS(4849), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [148165] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5185), 1,
      anon_sym_PIPE,
    ACTIONS(7442), 1,
      anon_sym_LBRACK,
    STATE(4155), 1,
      sym_comment,
    ACTIONS(5187), 2,
      anon_sym_AMP,
      anon_sym_extends,
    ACTIONS(5183), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [148194] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(3196), 1,
      anon_sym_PIPE,
    STATE(4156), 1,
      sym_comment,
    ACTIONS(3436), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [148219] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7444), 1,
      anon_sym_DOT,
    ACTIONS(7446), 1,
      anon_sym_QMARK_DOT,
    STATE(4157), 1,
      sym_comment,
    ACTIONS(5249), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [148246] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7164), 1,
      anon_sym_LT,
    ACTIONS(7216), 1,
      anon_sym_LPAREN,
    STATE(4158), 1,
      sym_comment,
    STATE(4561), 1,
      sym_formal_parameters,
    STATE(7104), 1,
      sym_type_parameters,
    ACTIONS(4514), 7,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
  [148277] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(3172), 1,
      anon_sym_PIPE,
    STATE(4159), 1,
      sym_comment,
    ACTIONS(3440), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [148302] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4160), 1,
      sym_comment,
    ACTIONS(4843), 11,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [148325] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(3224), 1,
      anon_sym_PIPE,
    STATE(4161), 1,
      sym_comment,
    ACTIONS(3442), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [148350] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4162), 1,
      sym_comment,
    ACTIONS(4869), 11,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [148373] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5068), 1,
      anon_sym_PIPE,
    STATE(4163), 1,
      sym_comment,
    ACTIONS(5070), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [148398] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2083), 1,
      anon_sym_DOT,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4164), 1,
      sym_comment,
    ACTIONS(5086), 10,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [148423] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5076), 1,
      anon_sym_PIPE,
    STATE(4165), 1,
      sym_comment,
    ACTIONS(5078), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [148448] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4166), 1,
      sym_comment,
    ACTIONS(4514), 11,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
  [148471] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2197), 1,
      anon_sym_DOT,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4167), 1,
      sym_comment,
    ACTIONS(5086), 10,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [148496] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7424), 1,
      anon_sym_AMP,
    ACTIONS(7436), 1,
      anon_sym_PIPE,
    ACTIONS(7438), 1,
      anon_sym_extends,
    STATE(4168), 1,
      sym_comment,
    ACTIONS(5082), 8,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_PIPE_RBRACE,
  [148525] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5080), 1,
      anon_sym_PIPE,
    STATE(4169), 1,
      sym_comment,
    ACTIONS(5082), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [148550] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7064), 1,
      anon_sym_LT,
    STATE(4170), 1,
      sym_comment,
    STATE(4384), 1,
      sym_type_arguments,
    ACTIONS(4837), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [148577] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5131), 1,
      anon_sym_PIPE,
    STATE(4171), 1,
      sym_comment,
    ACTIONS(5133), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [148602] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5116), 1,
      anon_sym_PIPE,
    STATE(4172), 1,
      sym_comment,
    ACTIONS(5118), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [148627] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5094), 1,
      anon_sym_PIPE,
    STATE(4173), 1,
      sym_comment,
    ACTIONS(5096), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [148652] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5108), 1,
      anon_sym_PIPE,
    STATE(4174), 1,
      sym_comment,
    ACTIONS(5110), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [148677] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4873), 1,
      anon_sym_PIPE,
    STATE(4175), 1,
      sym_comment,
    ACTIONS(4875), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [148702] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5102), 1,
      anon_sym_PIPE,
    STATE(4176), 1,
      sym_comment,
    ACTIONS(5104), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [148727] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5369), 1,
      anon_sym_LPAREN,
    ACTIONS(5411), 1,
      anon_sym_BQUOTE,
    STATE(4177), 1,
      sym_comment,
    STATE(3080), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5133), 6,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [148755] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(7011), 1,
      anon_sym_LBRACE,
    ACTIONS(7022), 1,
      anon_sym_SLASH_GT,
    ACTIONS(7351), 1,
      anon_sym_COLON,
    ACTIONS(7353), 1,
      anon_sym_GT,
    STATE(4178), 1,
      sym_comment,
    STATE(4235), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(4982), 1,
      sym_jsx_namespace_name,
    ACTIONS(7007), 2,
      sym_jsx_identifier,
      sym_identifier,
    STATE(5057), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [148791] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7450), 1,
      anon_sym_COLON,
    STATE(4179), 1,
      sym_comment,
    STATE(4854), 3,
      sym_type_annotation,
      sym_asserts_annotation,
      sym_type_predicate_annotation,
    ACTIONS(7448), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [148817] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4180), 1,
      sym_comment,
    ACTIONS(2030), 10,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
      anon_sym_is,
  [148839] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7214), 1,
      anon_sym_EQ,
    STATE(4181), 1,
      sym_comment,
    ACTIONS(4783), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(4514), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
  [148865] = 13,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1902), 1,
      anon_sym_LT,
    ACTIONS(7452), 1,
      sym_identifier,
    ACTIONS(7454), 1,
      anon_sym_LBRACE,
    ACTIONS(7456), 1,
      anon_sym_extends,
    ACTIONS(7458), 1,
      anon_sym_implements,
    STATE(3233), 1,
      sym_class_body,
    STATE(4182), 1,
      sym_comment,
    STATE(4639), 1,
      sym_type_parameters,
    STATE(6029), 1,
      sym_extends_clause,
    STATE(7141), 1,
      sym_class_heritage,
    STATE(7191), 1,
      sym_implements_clause,
  [148905] = 13,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1902), 1,
      anon_sym_LT,
    ACTIONS(7454), 1,
      anon_sym_LBRACE,
    ACTIONS(7456), 1,
      anon_sym_extends,
    ACTIONS(7458), 1,
      anon_sym_implements,
    ACTIONS(7460), 1,
      sym_identifier,
    STATE(3248), 1,
      sym_class_body,
    STATE(4183), 1,
      sym_comment,
    STATE(4707), 1,
      sym_type_parameters,
    STATE(6029), 1,
      sym_extends_clause,
    STATE(6535), 1,
      sym_class_heritage,
    STATE(7191), 1,
      sym_implements_clause,
  [148945] = 13,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1902), 1,
      anon_sym_LT,
    ACTIONS(7454), 1,
      anon_sym_LBRACE,
    ACTIONS(7456), 1,
      anon_sym_extends,
    ACTIONS(7458), 1,
      anon_sym_implements,
    ACTIONS(7462), 1,
      sym_identifier,
    STATE(3233), 1,
      sym_class_body,
    STATE(4184), 1,
      sym_comment,
    STATE(4639), 1,
      sym_type_parameters,
    STATE(6029), 1,
      sym_extends_clause,
    STATE(7141), 1,
      sym_class_heritage,
    STATE(7191), 1,
      sym_implements_clause,
  [148985] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7162), 1,
      anon_sym_COLON,
    ACTIONS(7464), 1,
      anon_sym_EQ,
    ACTIONS(7468), 1,
      anon_sym_BANG,
    STATE(4185), 1,
      sym_comment,
    STATE(5145), 1,
      sym_type_annotation,
    STATE(5372), 1,
      sym__initializer,
    ACTIONS(7470), 2,
      anon_sym_in,
      anon_sym_of,
    ACTIONS(7466), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [149019] = 13,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1902), 1,
      anon_sym_LT,
    ACTIONS(7454), 1,
      anon_sym_LBRACE,
    ACTIONS(7456), 1,
      anon_sym_extends,
    ACTIONS(7458), 1,
      anon_sym_implements,
    ACTIONS(7472), 1,
      sym_identifier,
    STATE(3233), 1,
      sym_class_body,
    STATE(4186), 1,
      sym_comment,
    STATE(4639), 1,
      sym_type_parameters,
    STATE(6029), 1,
      sym_extends_clause,
    STATE(7141), 1,
      sym_class_heritage,
    STATE(7191), 1,
      sym_implements_clause,
  [149059] = 13,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1902), 1,
      anon_sym_LT,
    ACTIONS(7454), 1,
      anon_sym_LBRACE,
    ACTIONS(7456), 1,
      anon_sym_extends,
    ACTIONS(7458), 1,
      anon_sym_implements,
    ACTIONS(7474), 1,
      sym_identifier,
    STATE(3248), 1,
      sym_class_body,
    STATE(4187), 1,
      sym_comment,
    STATE(4707), 1,
      sym_type_parameters,
    STATE(6029), 1,
      sym_extends_clause,
    STATE(6535), 1,
      sym_class_heritage,
    STATE(7191), 1,
      sym_implements_clause,
  [149099] = 13,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1902), 1,
      anon_sym_LT,
    ACTIONS(7456), 1,
      anon_sym_extends,
    ACTIONS(7458), 1,
      anon_sym_implements,
    ACTIONS(7476), 1,
      sym_identifier,
    ACTIONS(7478), 1,
      anon_sym_LBRACE,
    STATE(2662), 1,
      sym_class_body,
    STATE(4188), 1,
      sym_comment,
    STATE(4509), 1,
      sym_type_parameters,
    STATE(6029), 1,
      sym_extends_clause,
    STATE(6813), 1,
      sym_class_heritage,
    STATE(7191), 1,
      sym_implements_clause,
  [149139] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    ACTIONS(7162), 1,
      anon_sym_COLON,
    ACTIONS(7468), 1,
      anon_sym_BANG,
    STATE(4189), 1,
      sym_comment,
    STATE(5145), 1,
      sym_type_annotation,
    STATE(6437), 1,
      sym__initializer,
    ACTIONS(7470), 2,
      anon_sym_in,
      anon_sym_of,
    ACTIONS(7466), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [149173] = 13,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1902), 1,
      anon_sym_LT,
    ACTIONS(7454), 1,
      anon_sym_LBRACE,
    ACTIONS(7456), 1,
      anon_sym_extends,
    ACTIONS(7458), 1,
      anon_sym_implements,
    ACTIONS(7480), 1,
      sym_identifier,
    STATE(3233), 1,
      sym_class_body,
    STATE(4190), 1,
      sym_comment,
    STATE(4639), 1,
      sym_type_parameters,
    STATE(6029), 1,
      sym_extends_clause,
    STATE(7141), 1,
      sym_class_heritage,
    STATE(7191), 1,
      sym_implements_clause,
  [149213] = 13,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(7426), 1,
      sym_identifier,
    ACTIONS(7428), 1,
      anon_sym_type,
    ACTIONS(7434), 1,
      anon_sym_typeof,
    ACTIONS(7482), 1,
      anon_sym_RBRACE,
    STATE(4191), 1,
      sym_comment,
    STATE(5681), 1,
      sym_string,
    STATE(6658), 1,
      sym__import_identifier,
    STATE(6911), 1,
      sym_import_specifier,
    STATE(7488), 1,
      sym__module_export_name,
  [149253] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7345), 1,
      anon_sym_is,
    STATE(4192), 1,
      sym_comment,
    ACTIONS(4861), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [149277] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4179), 1,
      anon_sym_LPAREN,
    ACTIONS(7486), 1,
      anon_sym_DOT,
    STATE(4193), 1,
      sym_comment,
    STATE(4464), 1,
      sym_arguments,
    ACTIONS(7484), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [149305] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7424), 1,
      anon_sym_AMP,
    ACTIONS(7436), 1,
      anon_sym_PIPE,
    ACTIONS(7438), 1,
      anon_sym_extends,
    STATE(4194), 1,
      sym_comment,
    ACTIONS(7488), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [149333] = 13,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1902), 1,
      anon_sym_LT,
    ACTIONS(7456), 1,
      anon_sym_extends,
    ACTIONS(7458), 1,
      anon_sym_implements,
    ACTIONS(7478), 1,
      anon_sym_LBRACE,
    ACTIONS(7490), 1,
      sym_identifier,
    STATE(3426), 1,
      sym_class_body,
    STATE(4195), 1,
      sym_comment,
    STATE(4653), 1,
      sym_type_parameters,
    STATE(6029), 1,
      sym_extends_clause,
    STATE(6659), 1,
      sym_class_heritage,
    STATE(7191), 1,
      sym_implements_clause,
  [149373] = 13,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(7426), 1,
      sym_identifier,
    ACTIONS(7428), 1,
      anon_sym_type,
    ACTIONS(7434), 1,
      anon_sym_typeof,
    ACTIONS(7492), 1,
      anon_sym_RBRACE,
    STATE(4196), 1,
      sym_comment,
    STATE(5681), 1,
      sym_string,
    STATE(6658), 1,
      sym__import_identifier,
    STATE(6911), 1,
      sym_import_specifier,
    STATE(7488), 1,
      sym__module_export_name,
  [149413] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7494), 1,
      anon_sym_is,
    STATE(4197), 1,
      sym_comment,
    ACTIONS(4837), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [149437] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4198), 1,
      sym_comment,
    ACTIONS(4853), 10,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
      anon_sym_is,
  [149459] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(7011), 1,
      anon_sym_LBRACE,
    ACTIONS(7034), 1,
      anon_sym_SLASH_GT,
    ACTIONS(7351), 1,
      anon_sym_COLON,
    ACTIONS(7353), 1,
      anon_sym_GT,
    STATE(4199), 1,
      sym_comment,
    STATE(4403), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(4982), 1,
      sym_jsx_namespace_name,
    ACTIONS(7007), 2,
      sym_jsx_identifier,
      sym_identifier,
    STATE(5057), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [149495] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7450), 1,
      anon_sym_COLON,
    STATE(4200), 1,
      sym_comment,
    STATE(4972), 3,
      sym_type_annotation,
      sym_asserts_annotation,
      sym_type_predicate_annotation,
    ACTIONS(7496), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [149521] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(7011), 1,
      anon_sym_LBRACE,
    ACTIONS(7351), 1,
      anon_sym_COLON,
    ACTIONS(7353), 1,
      anon_sym_GT,
    ACTIONS(7361), 1,
      anon_sym_SLASH_GT,
    STATE(4201), 1,
      sym_comment,
    STATE(4314), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(4982), 1,
      sym_jsx_namespace_name,
    ACTIONS(7007), 2,
      sym_jsx_identifier,
      sym_identifier,
    STATE(5057), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [149557] = 13,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1902), 1,
      anon_sym_LT,
    ACTIONS(7454), 1,
      anon_sym_LBRACE,
    ACTIONS(7456), 1,
      anon_sym_extends,
    ACTIONS(7458), 1,
      anon_sym_implements,
    ACTIONS(7498), 1,
      sym_identifier,
    STATE(3233), 1,
      sym_class_body,
    STATE(4202), 1,
      sym_comment,
    STATE(4639), 1,
      sym_type_parameters,
    STATE(6029), 1,
      sym_extends_clause,
    STATE(7141), 1,
      sym_class_heritage,
    STATE(7191), 1,
      sym_implements_clause,
  [149597] = 13,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1902), 1,
      anon_sym_LT,
    ACTIONS(7456), 1,
      anon_sym_extends,
    ACTIONS(7458), 1,
      anon_sym_implements,
    ACTIONS(7478), 1,
      anon_sym_LBRACE,
    ACTIONS(7500), 1,
      sym_identifier,
    STATE(2719), 1,
      sym_class_body,
    STATE(4203), 1,
      sym_comment,
    STATE(4593), 1,
      sym_type_parameters,
    STATE(6029), 1,
      sym_extends_clause,
    STATE(6613), 1,
      sym_class_heritage,
    STATE(7191), 1,
      sym_implements_clause,
  [149637] = 13,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1902), 1,
      anon_sym_LT,
    ACTIONS(7454), 1,
      anon_sym_LBRACE,
    ACTIONS(7456), 1,
      anon_sym_extends,
    ACTIONS(7458), 1,
      anon_sym_implements,
    ACTIONS(7502), 1,
      sym_identifier,
    STATE(3248), 1,
      sym_class_body,
    STATE(4204), 1,
      sym_comment,
    STATE(4707), 1,
      sym_type_parameters,
    STATE(6029), 1,
      sym_extends_clause,
    STATE(6535), 1,
      sym_class_heritage,
    STATE(7191), 1,
      sym_implements_clause,
  [149677] = 13,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1902), 1,
      anon_sym_LT,
    ACTIONS(7454), 1,
      anon_sym_LBRACE,
    ACTIONS(7456), 1,
      anon_sym_extends,
    ACTIONS(7458), 1,
      anon_sym_implements,
    ACTIONS(7504), 1,
      sym_identifier,
    STATE(3233), 1,
      sym_class_body,
    STATE(4205), 1,
      sym_comment,
    STATE(4639), 1,
      sym_type_parameters,
    STATE(6029), 1,
      sym_extends_clause,
    STATE(7141), 1,
      sym_class_heritage,
    STATE(7191), 1,
      sym_implements_clause,
  [149717] = 13,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1902), 1,
      anon_sym_LT,
    ACTIONS(7454), 1,
      anon_sym_LBRACE,
    ACTIONS(7456), 1,
      anon_sym_extends,
    ACTIONS(7458), 1,
      anon_sym_implements,
    ACTIONS(7506), 1,
      sym_identifier,
    STATE(3233), 1,
      sym_class_body,
    STATE(4206), 1,
      sym_comment,
    STATE(4639), 1,
      sym_type_parameters,
    STATE(6029), 1,
      sym_extends_clause,
    STATE(7141), 1,
      sym_class_heritage,
    STATE(7191), 1,
      sym_implements_clause,
  [149757] = 13,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1902), 1,
      anon_sym_LT,
    ACTIONS(7454), 1,
      anon_sym_LBRACE,
    ACTIONS(7456), 1,
      anon_sym_extends,
    ACTIONS(7458), 1,
      anon_sym_implements,
    ACTIONS(7508), 1,
      sym_identifier,
    STATE(3248), 1,
      sym_class_body,
    STATE(4207), 1,
      sym_comment,
    STATE(4707), 1,
      sym_type_parameters,
    STATE(6029), 1,
      sym_extends_clause,
    STATE(6535), 1,
      sym_class_heritage,
    STATE(7191), 1,
      sym_implements_clause,
  [149797] = 13,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1902), 1,
      anon_sym_LT,
    ACTIONS(7454), 1,
      anon_sym_LBRACE,
    ACTIONS(7456), 1,
      anon_sym_extends,
    ACTIONS(7458), 1,
      anon_sym_implements,
    ACTIONS(7510), 1,
      sym_identifier,
    STATE(3248), 1,
      sym_class_body,
    STATE(4208), 1,
      sym_comment,
    STATE(4707), 1,
      sym_type_parameters,
    STATE(6029), 1,
      sym_extends_clause,
    STATE(6535), 1,
      sym_class_heritage,
    STATE(7191), 1,
      sym_implements_clause,
  [149837] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(7426), 1,
      sym_identifier,
    ACTIONS(7512), 1,
      anon_sym_type,
    ACTIONS(7514), 1,
      anon_sym_as,
    STATE(4209), 1,
      sym_comment,
    STATE(5681), 1,
      sym_string,
    STATE(6598), 1,
      sym__import_identifier,
    STATE(7531), 1,
      sym__module_export_name,
    ACTIONS(7172), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [149875] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(7516), 1,
      sym_identifier,
    ACTIONS(7520), 1,
      anon_sym_COMMA,
    ACTIONS(7522), 1,
      anon_sym_RBRACE,
    STATE(4210), 1,
      sym_comment,
    STATE(5681), 1,
      sym_string,
    STATE(6151), 1,
      sym_export_specifier,
    STATE(6152), 1,
      sym__module_export_name,
    ACTIONS(7518), 2,
      anon_sym_type,
      anon_sym_typeof,
  [149913] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7345), 1,
      anon_sym_is,
    STATE(4211), 1,
      sym_comment,
    ACTIONS(4849), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [149937] = 13,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1902), 1,
      anon_sym_LT,
    ACTIONS(7454), 1,
      anon_sym_LBRACE,
    ACTIONS(7456), 1,
      anon_sym_extends,
    ACTIONS(7458), 1,
      anon_sym_implements,
    ACTIONS(7524), 1,
      sym_identifier,
    STATE(3248), 1,
      sym_class_body,
    STATE(4212), 1,
      sym_comment,
    STATE(4707), 1,
      sym_type_parameters,
    STATE(6029), 1,
      sym_extends_clause,
    STATE(6535), 1,
      sym_class_heritage,
    STATE(7191), 1,
      sym_implements_clause,
  [149977] = 13,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1902), 1,
      anon_sym_LT,
    ACTIONS(7454), 1,
      anon_sym_LBRACE,
    ACTIONS(7456), 1,
      anon_sym_extends,
    ACTIONS(7458), 1,
      anon_sym_implements,
    ACTIONS(7526), 1,
      sym_identifier,
    STATE(3248), 1,
      sym_class_body,
    STATE(4213), 1,
      sym_comment,
    STATE(4707), 1,
      sym_type_parameters,
    STATE(6029), 1,
      sym_extends_clause,
    STATE(6535), 1,
      sym_class_heritage,
    STATE(7191), 1,
      sym_implements_clause,
  [150017] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(7011), 1,
      anon_sym_LBRACE,
    ACTIONS(7351), 1,
      anon_sym_COLON,
    ACTIONS(7353), 1,
      anon_sym_GT,
    ACTIONS(7355), 1,
      anon_sym_SLASH_GT,
    STATE(4214), 1,
      sym_comment,
    STATE(4232), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(4982), 1,
      sym_jsx_namespace_name,
    ACTIONS(7007), 2,
      sym_jsx_identifier,
      sym_identifier,
    STATE(5057), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [150053] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    ACTIONS(7162), 1,
      anon_sym_COLON,
    ACTIONS(7528), 1,
      anon_sym_BANG,
    ACTIONS(7530), 1,
      anon_sym_QMARK,
    STATE(4215), 1,
      sym_comment,
    STATE(5052), 1,
      sym_type_annotation,
    STATE(5973), 1,
      sym__initializer,
    ACTIONS(7182), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [150086] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(7011), 1,
      anon_sym_LBRACE,
    ACTIONS(7532), 1,
      anon_sym_GT,
    ACTIONS(7534), 1,
      anon_sym_SLASH_GT,
    STATE(4216), 1,
      sym_comment,
    STATE(4268), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(4982), 1,
      sym_jsx_namespace_name,
    ACTIONS(7007), 2,
      sym_jsx_identifier,
      sym_identifier,
    STATE(5057), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [150119] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    ACTIONS(7162), 1,
      anon_sym_COLON,
    ACTIONS(7536), 1,
      anon_sym_BANG,
    ACTIONS(7538), 1,
      anon_sym_QMARK,
    STATE(4217), 1,
      sym_comment,
    STATE(5374), 1,
      sym_type_annotation,
    STATE(6096), 1,
      sym__initializer,
    ACTIONS(7182), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [150152] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4218), 1,
      sym_comment,
    ACTIONS(4849), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [150173] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4219), 1,
      sym_comment,
    ACTIONS(4968), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [150194] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4220), 1,
      sym_comment,
    ACTIONS(4964), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [150215] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    ACTIONS(7162), 1,
      anon_sym_COLON,
    ACTIONS(7540), 1,
      anon_sym_BANG,
    ACTIONS(7542), 1,
      anon_sym_QMARK,
    STATE(4221), 1,
      sym_comment,
    STATE(5412), 1,
      sym_type_annotation,
    STATE(6242), 1,
      sym__initializer,
    ACTIONS(7258), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [150248] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4222), 1,
      sym_comment,
    ACTIONS(3436), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [150269] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7164), 1,
      anon_sym_LT,
    ACTIONS(7544), 1,
      anon_sym_LBRACE,
    ACTIONS(7546), 1,
      anon_sym_extends,
    ACTIONS(7548), 1,
      anon_sym_implements,
    STATE(3207), 1,
      sym_class_body,
    STATE(4223), 1,
      sym_comment,
    STATE(4617), 1,
      sym_type_parameters,
    STATE(6029), 1,
      sym_extends_clause,
    STATE(6579), 1,
      sym_class_heritage,
    STATE(7191), 1,
      sym_implements_clause,
  [150306] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4224), 1,
      sym_comment,
    ACTIONS(4935), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [150327] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7164), 1,
      anon_sym_LT,
    ACTIONS(7546), 1,
      anon_sym_extends,
    ACTIONS(7548), 1,
      anon_sym_implements,
    ACTIONS(7550), 1,
      anon_sym_LBRACE,
    STATE(371), 1,
      sym_class_body,
    STATE(4225), 1,
      sym_comment,
    STATE(4727), 1,
      sym_type_parameters,
    STATE(6029), 1,
      sym_extends_clause,
    STATE(6565), 1,
      sym_class_heritage,
    STATE(7191), 1,
      sym_implements_clause,
  [150364] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7164), 1,
      anon_sym_LT,
    ACTIONS(7546), 1,
      anon_sym_extends,
    ACTIONS(7548), 1,
      anon_sym_implements,
    ACTIONS(7552), 1,
      anon_sym_LBRACE,
    STATE(1186), 1,
      sym_class_body,
    STATE(4226), 1,
      sym_comment,
    STATE(4515), 1,
      sym_type_parameters,
    STATE(6029), 1,
      sym_extends_clause,
    STATE(6686), 1,
      sym_class_heritage,
    STATE(7191), 1,
      sym_implements_clause,
  [150401] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    ACTIONS(7162), 1,
      anon_sym_COLON,
    STATE(4227), 1,
      sym_comment,
    STATE(5417), 1,
      sym_type_annotation,
    STATE(5831), 1,
      sym__initializer,
    ACTIONS(7291), 2,
      anon_sym_BANG,
      anon_sym_QMARK,
    ACTIONS(7289), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [150432] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7164), 1,
      anon_sym_LT,
    ACTIONS(7546), 1,
      anon_sym_extends,
    ACTIONS(7548), 1,
      anon_sym_implements,
    ACTIONS(7554), 1,
      anon_sym_LBRACE,
    STATE(313), 1,
      sym_class_body,
    STATE(4228), 1,
      sym_comment,
    STATE(4646), 1,
      sym_type_parameters,
    STATE(6029), 1,
      sym_extends_clause,
    STATE(6575), 1,
      sym_class_heritage,
    STATE(7191), 1,
      sym_implements_clause,
  [150469] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7214), 1,
      anon_sym_EQ,
    ACTIONS(7556), 1,
      anon_sym_COMMA,
    ACTIONS(7558), 1,
      anon_sym_RBRACE,
    STATE(4229), 1,
      sym_comment,
    STATE(6171), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6333), 1,
      aux_sym_object_repeat1,
    ACTIONS(4514), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
  [150500] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4230), 1,
      sym_comment,
    ACTIONS(7560), 9,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [150521] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7164), 1,
      anon_sym_LT,
    ACTIONS(7546), 1,
      anon_sym_extends,
    ACTIONS(7548), 1,
      anon_sym_implements,
    ACTIONS(7562), 1,
      anon_sym_LBRACE,
    STATE(1209), 1,
      sym_class_body,
    STATE(4231), 1,
      sym_comment,
    STATE(4597), 1,
      sym_type_parameters,
    STATE(6029), 1,
      sym_extends_clause,
    STATE(6940), 1,
      sym_class_heritage,
    STATE(7191), 1,
      sym_implements_clause,
  [150558] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(7011), 1,
      anon_sym_LBRACE,
    ACTIONS(7564), 1,
      anon_sym_GT,
    ACTIONS(7566), 1,
      anon_sym_SLASH_GT,
    STATE(4232), 1,
      sym_comment,
    STATE(4268), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(4982), 1,
      sym_jsx_namespace_name,
    ACTIONS(7007), 2,
      sym_jsx_identifier,
      sym_identifier,
    STATE(5057), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [150591] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    ACTIONS(7162), 1,
      anon_sym_COLON,
    STATE(4233), 1,
      sym_comment,
    STATE(5467), 1,
      sym_type_annotation,
    STATE(6051), 1,
      sym__initializer,
    ACTIONS(7570), 2,
      anon_sym_BANG,
      anon_sym_QMARK,
    ACTIONS(7568), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [150622] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(7516), 1,
      sym_identifier,
    ACTIONS(7572), 1,
      anon_sym_RBRACE,
    STATE(4234), 1,
      sym_comment,
    STATE(5681), 1,
      sym_string,
    STATE(6152), 1,
      sym__module_export_name,
    STATE(6931), 1,
      sym_export_specifier,
    ACTIONS(7518), 2,
      anon_sym_type,
      anon_sym_typeof,
  [150657] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(7011), 1,
      anon_sym_LBRACE,
    ACTIONS(7564), 1,
      anon_sym_GT,
    ACTIONS(7574), 1,
      anon_sym_SLASH_GT,
    STATE(4235), 1,
      sym_comment,
    STATE(4268), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(4982), 1,
      sym_jsx_namespace_name,
    ACTIONS(7007), 2,
      sym_jsx_identifier,
      sym_identifier,
    STATE(5057), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [150690] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7164), 1,
      anon_sym_LT,
    ACTIONS(7546), 1,
      anon_sym_extends,
    ACTIONS(7548), 1,
      anon_sym_implements,
    ACTIONS(7562), 1,
      anon_sym_LBRACE,
    STATE(1471), 1,
      sym_class_body,
    STATE(4236), 1,
      sym_comment,
    STATE(4729), 1,
      sym_type_parameters,
    STATE(6029), 1,
      sym_extends_clause,
    STATE(6550), 1,
      sym_class_heritage,
    STATE(7191), 1,
      sym_implements_clause,
  [150727] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4237), 1,
      sym_comment,
    ACTIONS(3434), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [150748] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7214), 1,
      anon_sym_EQ,
    ACTIONS(7556), 1,
      anon_sym_COMMA,
    ACTIONS(7576), 1,
      anon_sym_RBRACE,
    STATE(4238), 1,
      sym_comment,
    STATE(6171), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6333), 1,
      aux_sym_object_repeat1,
    ACTIONS(4514), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
  [150779] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7578), 1,
      anon_sym_AMP,
    ACTIONS(7580), 1,
      anon_sym_PIPE,
    ACTIONS(7582), 1,
      anon_sym_extends,
    STATE(4239), 1,
      sym_comment,
    ACTIONS(5165), 6,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
  [150806] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4240), 1,
      sym_comment,
    ACTIONS(5165), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [150827] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4241), 1,
      sym_comment,
    ACTIONS(5152), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [150848] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7578), 1,
      anon_sym_AMP,
    ACTIONS(7580), 1,
      anon_sym_PIPE,
    ACTIONS(7582), 1,
      anon_sym_extends,
    STATE(4242), 1,
      sym_comment,
    ACTIONS(4978), 6,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
  [150875] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4243), 1,
      sym_comment,
    ACTIONS(5032), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [150896] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4244), 1,
      sym_comment,
    ACTIONS(5006), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [150917] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4245), 1,
      sym_comment,
    ACTIONS(5014), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [150938] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7578), 1,
      anon_sym_AMP,
    ACTIONS(7580), 1,
      anon_sym_PIPE,
    ACTIONS(7582), 1,
      anon_sym_extends,
    STATE(4246), 1,
      sym_comment,
    ACTIONS(5036), 6,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
  [150965] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7164), 1,
      anon_sym_LT,
    ACTIONS(7546), 1,
      anon_sym_extends,
    ACTIONS(7548), 1,
      anon_sym_implements,
    ACTIONS(7584), 1,
      anon_sym_LBRACE,
    STATE(452), 1,
      sym_class_body,
    STATE(4247), 1,
      sym_comment,
    STATE(4626), 1,
      sym_type_parameters,
    STATE(6029), 1,
      sym_extends_clause,
    STATE(6928), 1,
      sym_class_heritage,
    STATE(7191), 1,
      sym_implements_clause,
  [151002] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(7011), 1,
      anon_sym_LBRACE,
    ACTIONS(7586), 1,
      anon_sym_GT,
    ACTIONS(7588), 1,
      anon_sym_SLASH_GT,
    STATE(4248), 1,
      sym_comment,
    STATE(4328), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(4982), 1,
      sym_jsx_namespace_name,
    ACTIONS(7007), 2,
      sym_jsx_identifier,
      sym_identifier,
    STATE(5057), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [151035] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(7011), 1,
      anon_sym_LBRACE,
    ACTIONS(7532), 1,
      anon_sym_GT,
    ACTIONS(7590), 1,
      anon_sym_SLASH_GT,
    STATE(4249), 1,
      sym_comment,
    STATE(4268), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(4982), 1,
      sym_jsx_namespace_name,
    ACTIONS(7007), 2,
      sym_jsx_identifier,
      sym_identifier,
    STATE(5057), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [151068] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4250), 1,
      sym_comment,
    ACTIONS(7592), 9,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [151089] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7080), 1,
      anon_sym_AMP,
    ACTIONS(7082), 1,
      anon_sym_PIPE,
    ACTIONS(7084), 1,
      anon_sym_extends,
    ACTIONS(7594), 1,
      anon_sym_EQ,
    STATE(4251), 1,
      sym_comment,
    ACTIONS(7488), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_EQ_GT,
  [151118] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    ACTIONS(7162), 1,
      anon_sym_COLON,
    ACTIONS(7596), 1,
      anon_sym_BANG,
    ACTIONS(7598), 1,
      anon_sym_QMARK,
    STATE(4252), 1,
      sym_comment,
    STATE(5425), 1,
      sym_type_annotation,
    STATE(6157), 1,
      sym__initializer,
    ACTIONS(7258), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [151151] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4253), 1,
      sym_comment,
    ACTIONS(3440), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [151172] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(7011), 1,
      anon_sym_LBRACE,
    ACTIONS(7600), 1,
      anon_sym_GT,
    ACTIONS(7602), 1,
      anon_sym_SLASH_GT,
    STATE(4254), 1,
      sym_comment,
    STATE(4324), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(4982), 1,
      sym_jsx_namespace_name,
    ACTIONS(7007), 2,
      sym_jsx_identifier,
      sym_identifier,
    STATE(5057), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [151205] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(7011), 1,
      anon_sym_LBRACE,
    ACTIONS(7604), 1,
      anon_sym_GT,
    ACTIONS(7606), 1,
      anon_sym_SLASH_GT,
    STATE(4255), 1,
      sym_comment,
    STATE(4268), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(4982), 1,
      sym_jsx_namespace_name,
    ACTIONS(7007), 2,
      sym_jsx_identifier,
      sym_identifier,
    STATE(5057), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [151238] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4129), 1,
      anon_sym_LPAREN,
    ACTIONS(7608), 1,
      anon_sym_EQ,
    ACTIONS(7610), 1,
      anon_sym_DOT,
    STATE(4256), 1,
      sym_comment,
    STATE(4458), 1,
      sym_arguments,
    ACTIONS(7484), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_EQ_GT,
  [151267] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(7011), 1,
      anon_sym_LBRACE,
    ACTIONS(7612), 1,
      anon_sym_GT,
    ACTIONS(7614), 1,
      anon_sym_SLASH_GT,
    STATE(4257), 1,
      sym_comment,
    STATE(4268), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(4982), 1,
      sym_jsx_namespace_name,
    ACTIONS(7007), 2,
      sym_jsx_identifier,
      sym_identifier,
    STATE(5057), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [151300] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5369), 1,
      anon_sym_LPAREN,
    ACTIONS(5377), 1,
      anon_sym_DOT,
    ACTIONS(5411), 1,
      anon_sym_BQUOTE,
    ACTIONS(6973), 1,
      anon_sym_LT,
    STATE(2880), 1,
      sym_arguments,
    STATE(3121), 1,
      sym_template_string,
    STATE(4177), 1,
      sym_type_arguments,
    STATE(4258), 1,
      sym_comment,
    STATE(6998), 1,
      sym_optional_chain,
  [151337] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4787), 1,
      anon_sym_LPAREN,
    ACTIONS(4813), 1,
      anon_sym_DOT,
    ACTIONS(4867), 1,
      anon_sym_BQUOTE,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6973), 1,
      anon_sym_LT,
    STATE(4259), 1,
      sym_comment,
    STATE(5636), 1,
      sym_type_arguments,
    STATE(6668), 1,
      sym_optional_chain,
    STATE(2716), 2,
      sym_template_string,
      sym_arguments,
  [151372] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    ACTIONS(7162), 1,
      anon_sym_COLON,
    STATE(4260), 1,
      sym_comment,
    STATE(5317), 1,
      sym_type_annotation,
    STATE(5992), 1,
      sym__initializer,
    ACTIONS(7192), 2,
      anon_sym_BANG,
      anon_sym_QMARK,
    ACTIONS(7190), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [151403] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4261), 1,
      sym_comment,
    ACTIONS(7616), 9,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [151424] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4262), 1,
      sym_comment,
    ACTIONS(2079), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [151445] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    ACTIONS(7162), 1,
      anon_sym_COLON,
    ACTIONS(7618), 1,
      anon_sym_BANG,
    ACTIONS(7620), 1,
      anon_sym_QMARK,
    STATE(4263), 1,
      sym_comment,
    STATE(5002), 1,
      sym_type_annotation,
    STATE(6304), 1,
      sym__initializer,
    ACTIONS(7156), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [151478] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(7011), 1,
      anon_sym_LBRACE,
    ACTIONS(7622), 1,
      anon_sym_GT,
    ACTIONS(7624), 1,
      anon_sym_SLASH_GT,
    STATE(4264), 1,
      sym_comment,
    STATE(4268), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(4982), 1,
      sym_jsx_namespace_name,
    ACTIONS(7007), 2,
      sym_jsx_identifier,
      sym_identifier,
    STATE(5057), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [151511] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7164), 1,
      anon_sym_LT,
    ACTIONS(7546), 1,
      anon_sym_extends,
    ACTIONS(7548), 1,
      anon_sym_implements,
    ACTIONS(7626), 1,
      anon_sym_LBRACE,
    STATE(379), 1,
      sym_class_body,
    STATE(4265), 1,
      sym_comment,
    STATE(4615), 1,
      sym_type_parameters,
    STATE(6029), 1,
      sym_extends_clause,
    STATE(6916), 1,
      sym_class_heritage,
    STATE(7191), 1,
      sym_implements_clause,
  [151548] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7628), 1,
      anon_sym_COLON,
    STATE(4266), 1,
      sym_comment,
    STATE(5385), 3,
      sym_type_annotation,
      sym_asserts_annotation,
      sym_type_predicate_annotation,
    ACTIONS(7496), 5,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [151573] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7164), 1,
      anon_sym_LT,
    ACTIONS(7546), 1,
      anon_sym_extends,
    ACTIONS(7548), 1,
      anon_sym_implements,
    ACTIONS(7630), 1,
      anon_sym_LBRACE,
    STATE(1249), 1,
      sym_class_body,
    STATE(4267), 1,
      sym_comment,
    STATE(4686), 1,
      sym_type_parameters,
    STATE(6029), 1,
      sym_extends_clause,
    STATE(6493), 1,
      sym_class_heritage,
    STATE(7191), 1,
      sym_implements_clause,
  [151610] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(7635), 1,
      anon_sym_LBRACE,
    STATE(4982), 1,
      sym_jsx_namespace_name,
    ACTIONS(7632), 2,
      sym_jsx_identifier,
      sym_identifier,
    ACTIONS(7638), 2,
      anon_sym_GT,
      anon_sym_SLASH_GT,
    STATE(4268), 2,
      sym_comment,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(5057), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [151639] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    ACTIONS(7162), 1,
      anon_sym_COLON,
    ACTIONS(7640), 1,
      anon_sym_BANG,
    ACTIONS(7642), 1,
      anon_sym_QMARK,
    STATE(4269), 1,
      sym_comment,
    STATE(5268), 1,
      sym_type_annotation,
    STATE(5932), 1,
      sym__initializer,
    ACTIONS(7258), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [151672] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7164), 1,
      anon_sym_LT,
    ACTIONS(7546), 1,
      anon_sym_extends,
    ACTIONS(7548), 1,
      anon_sym_implements,
    ACTIONS(7644), 1,
      anon_sym_LBRACE,
    STATE(922), 1,
      sym_class_body,
    STATE(4270), 1,
      sym_comment,
    STATE(4564), 1,
      sym_type_parameters,
    STATE(6029), 1,
      sym_extends_clause,
    STATE(6595), 1,
      sym_class_heritage,
    STATE(7191), 1,
      sym_implements_clause,
  [151709] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7164), 1,
      anon_sym_LT,
    ACTIONS(7546), 1,
      anon_sym_extends,
    ACTIONS(7548), 1,
      anon_sym_implements,
    ACTIONS(7646), 1,
      anon_sym_LBRACE,
    STATE(1491), 1,
      sym_class_body,
    STATE(4271), 1,
      sym_comment,
    STATE(4744), 1,
      sym_type_parameters,
    STATE(6029), 1,
      sym_extends_clause,
    STATE(6877), 1,
      sym_class_heritage,
    STATE(7191), 1,
      sym_implements_clause,
  [151746] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4272), 1,
      sym_comment,
    ACTIONS(5070), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [151767] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7578), 1,
      anon_sym_AMP,
    STATE(4273), 1,
      sym_comment,
    ACTIONS(5074), 8,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_PIPE,
      anon_sym_extends,
  [151790] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4274), 1,
      sym_comment,
    ACTIONS(5078), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [151811] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4787), 1,
      anon_sym_LPAREN,
    ACTIONS(4813), 1,
      anon_sym_DOT,
    ACTIONS(4867), 1,
      anon_sym_BQUOTE,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6973), 1,
      anon_sym_LT,
    STATE(2716), 1,
      sym_template_string,
    STATE(2812), 1,
      sym_arguments,
    STATE(3970), 1,
      sym_type_arguments,
    STATE(4275), 1,
      sym_comment,
    STATE(6668), 1,
      sym_optional_chain,
  [151848] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4276), 1,
      sym_comment,
    ACTIONS(5318), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [151869] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4277), 1,
      sym_comment,
    ACTIONS(5322), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [151890] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7578), 1,
      anon_sym_AMP,
    ACTIONS(7580), 1,
      anon_sym_PIPE,
    ACTIONS(7582), 1,
      anon_sym_extends,
    STATE(4278), 1,
      sym_comment,
    ACTIONS(5082), 6,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
  [151917] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4279), 1,
      sym_comment,
    ACTIONS(5082), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [151938] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4280), 1,
      sym_comment,
    ACTIONS(5326), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [151959] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4787), 1,
      anon_sym_LPAREN,
    ACTIONS(4813), 1,
      anon_sym_DOT,
    ACTIONS(4867), 1,
      anon_sym_BQUOTE,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6973), 1,
      anon_sym_LT,
    STATE(2716), 1,
      sym_template_string,
    STATE(3429), 1,
      sym_arguments,
    STATE(3970), 1,
      sym_type_arguments,
    STATE(4281), 1,
      sym_comment,
    STATE(6668), 1,
      sym_optional_chain,
  [151996] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    ACTIONS(7162), 1,
      anon_sym_COLON,
    ACTIONS(7648), 1,
      anon_sym_BANG,
    ACTIONS(7650), 1,
      anon_sym_QMARK,
    STATE(4282), 1,
      sym_comment,
    STATE(4993), 1,
      sym_type_annotation,
    STATE(6273), 1,
      sym__initializer,
    ACTIONS(7156), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [152029] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4283), 1,
      sym_comment,
    ACTIONS(7652), 9,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [152050] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7164), 1,
      anon_sym_LT,
    ACTIONS(7546), 1,
      anon_sym_extends,
    ACTIONS(7548), 1,
      anon_sym_implements,
    ACTIONS(7584), 1,
      anon_sym_LBRACE,
    STATE(444), 1,
      sym_class_body,
    STATE(4284), 1,
      sym_comment,
    STATE(4699), 1,
      sym_type_parameters,
    STATE(6029), 1,
      sym_extends_clause,
    STATE(7086), 1,
      sym_class_heritage,
    STATE(7191), 1,
      sym_implements_clause,
  [152087] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(7011), 1,
      anon_sym_LBRACE,
    ACTIONS(7353), 1,
      anon_sym_GT,
    ACTIONS(7361), 1,
      anon_sym_SLASH_GT,
    STATE(4285), 1,
      sym_comment,
    STATE(4323), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(4982), 1,
      sym_jsx_namespace_name,
    ACTIONS(7007), 2,
      sym_jsx_identifier,
      sym_identifier,
    STATE(5057), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [152120] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    ACTIONS(7162), 1,
      anon_sym_COLON,
    ACTIONS(7654), 1,
      anon_sym_BANG,
    ACTIONS(7656), 1,
      anon_sym_QMARK,
    STATE(4286), 1,
      sym_comment,
    STATE(5322), 1,
      sym_type_annotation,
    STATE(5918), 1,
      sym__initializer,
    ACTIONS(7182), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [152153] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4287), 1,
      sym_comment,
    ACTIONS(5096), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [152174] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4288), 1,
      sym_comment,
    ACTIONS(5104), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [152195] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4289), 1,
      sym_comment,
    ACTIONS(4875), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [152216] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4290), 1,
      sym_comment,
    ACTIONS(5110), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [152237] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(7011), 1,
      anon_sym_LBRACE,
    ACTIONS(7658), 1,
      anon_sym_GT,
    ACTIONS(7660), 1,
      anon_sym_SLASH_GT,
    STATE(4268), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(4291), 1,
      sym_comment,
    STATE(4982), 1,
      sym_jsx_namespace_name,
    ACTIONS(7007), 2,
      sym_jsx_identifier,
      sym_identifier,
    STATE(5057), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [152270] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4292), 1,
      sym_comment,
    ACTIONS(5118), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [152291] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4293), 1,
      sym_comment,
    ACTIONS(5133), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [152312] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7662), 1,
      anon_sym_EQ,
    STATE(4294), 1,
      sym_comment,
    ACTIONS(4339), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
  [152335] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(7011), 1,
      anon_sym_LBRACE,
    ACTIONS(7353), 1,
      anon_sym_GT,
    ACTIONS(7355), 1,
      anon_sym_SLASH_GT,
    STATE(4291), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(4295), 1,
      sym_comment,
    STATE(4982), 1,
      sym_jsx_namespace_name,
    ACTIONS(7007), 2,
      sym_jsx_identifier,
      sym_identifier,
    STATE(5057), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [152368] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    ACTIONS(7162), 1,
      anon_sym_COLON,
    ACTIONS(7664), 1,
      anon_sym_BANG,
    ACTIONS(7666), 1,
      anon_sym_QMARK,
    STATE(4296), 1,
      sym_comment,
    STATE(5226), 1,
      sym_type_annotation,
    STATE(5909), 1,
      sym__initializer,
    ACTIONS(7182), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [152401] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(7426), 1,
      sym_identifier,
    ACTIONS(7428), 1,
      anon_sym_type,
    ACTIONS(7434), 1,
      anon_sym_typeof,
    STATE(4297), 1,
      sym_comment,
    STATE(5681), 1,
      sym_string,
    STATE(6658), 1,
      sym__import_identifier,
    STATE(6911), 1,
      sym_import_specifier,
    STATE(7488), 1,
      sym__module_export_name,
  [152438] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    ACTIONS(7162), 1,
      anon_sym_COLON,
    ACTIONS(7668), 1,
      anon_sym_BANG,
    ACTIONS(7670), 1,
      anon_sym_QMARK,
    STATE(4298), 1,
      sym_comment,
    STATE(5066), 1,
      sym_type_annotation,
    STATE(6266), 1,
      sym__initializer,
    ACTIONS(7156), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [152471] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4299), 1,
      sym_comment,
    ACTIONS(2223), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [152492] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7164), 1,
      anon_sym_LT,
    ACTIONS(7546), 1,
      anon_sym_extends,
    ACTIONS(7548), 1,
      anon_sym_implements,
    ACTIONS(7672), 1,
      anon_sym_LBRACE,
    STATE(1608), 1,
      sym_class_body,
    STATE(4300), 1,
      sym_comment,
    STATE(4497), 1,
      sym_type_parameters,
    STATE(6029), 1,
      sym_extends_clause,
    STATE(6826), 1,
      sym_class_heritage,
    STATE(7191), 1,
      sym_implements_clause,
  [152529] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7164), 1,
      anon_sym_LT,
    ACTIONS(7546), 1,
      anon_sym_extends,
    ACTIONS(7548), 1,
      anon_sym_implements,
    ACTIONS(7674), 1,
      anon_sym_LBRACE,
    STATE(3414), 1,
      sym_class_body,
    STATE(4301), 1,
      sym_comment,
    STATE(4585), 1,
      sym_type_parameters,
    STATE(6029), 1,
      sym_extends_clause,
    STATE(7002), 1,
      sym_class_heritage,
    STATE(7191), 1,
      sym_implements_clause,
  [152566] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    ACTIONS(7162), 1,
      anon_sym_COLON,
    ACTIONS(7676), 1,
      anon_sym_BANG,
    ACTIONS(7678), 1,
      anon_sym_QMARK,
    STATE(4302), 1,
      sym_comment,
    STATE(5348), 1,
      sym_type_annotation,
    STATE(6462), 1,
      sym__initializer,
    ACTIONS(7258), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [152599] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7164), 1,
      anon_sym_LT,
    ACTIONS(7546), 1,
      anon_sym_extends,
    ACTIONS(7548), 1,
      anon_sym_implements,
    ACTIONS(7680), 1,
      anon_sym_LBRACE,
    STATE(1044), 1,
      sym_class_body,
    STATE(4303), 1,
      sym_comment,
    STATE(4555), 1,
      sym_type_parameters,
    STATE(6029), 1,
      sym_extends_clause,
    STATE(6608), 1,
      sym_class_heritage,
    STATE(7191), 1,
      sym_implements_clause,
  [152636] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7164), 1,
      anon_sym_LT,
    ACTIONS(7546), 1,
      anon_sym_extends,
    ACTIONS(7548), 1,
      anon_sym_implements,
    ACTIONS(7682), 1,
      anon_sym_LBRACE,
    STATE(4304), 1,
      sym_comment,
    STATE(4565), 1,
      sym_type_parameters,
    STATE(5069), 1,
      sym_class_body,
    STATE(6029), 1,
      sym_extends_clause,
    STATE(6867), 1,
      sym_class_heritage,
    STATE(7191), 1,
      sym_implements_clause,
  [152673] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7684), 1,
      anon_sym_LBRACE,
    ACTIONS(7686), 1,
      anon_sym_DQUOTE,
    ACTIONS(7688), 1,
      anon_sym_SQUOTE,
    ACTIONS(7690), 1,
      anon_sym_LT,
    STATE(4010), 1,
      sym_jsx_opening_element,
    STATE(4305), 1,
      sym_comment,
    STATE(5048), 4,
      sym_jsx_element,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
      sym__jsx_string,
  [152704] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(7516), 1,
      sym_identifier,
    ACTIONS(7692), 1,
      anon_sym_RBRACE,
    STATE(4306), 1,
      sym_comment,
    STATE(5681), 1,
      sym_string,
    STATE(6152), 1,
      sym__module_export_name,
    STATE(6931), 1,
      sym_export_specifier,
    ACTIONS(7518), 2,
      anon_sym_type,
      anon_sym_typeof,
  [152739] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7684), 1,
      anon_sym_LBRACE,
    ACTIONS(7686), 1,
      anon_sym_DQUOTE,
    ACTIONS(7688), 1,
      anon_sym_SQUOTE,
    ACTIONS(7690), 1,
      anon_sym_LT,
    STATE(4010), 1,
      sym_jsx_opening_element,
    STATE(4307), 1,
      sym_comment,
    STATE(5049), 4,
      sym_jsx_element,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
      sym__jsx_string,
  [152770] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7164), 1,
      anon_sym_LT,
    ACTIONS(7546), 1,
      anon_sym_extends,
    ACTIONS(7548), 1,
      anon_sym_implements,
    ACTIONS(7694), 1,
      anon_sym_LBRACE,
    STATE(1190), 1,
      sym_class_body,
    STATE(4308), 1,
      sym_comment,
    STATE(4666), 1,
      sym_type_parameters,
    STATE(6029), 1,
      sym_extends_clause,
    STATE(6543), 1,
      sym_class_heritage,
    STATE(7191), 1,
      sym_implements_clause,
  [152807] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7164), 1,
      anon_sym_LT,
    ACTIONS(7544), 1,
      anon_sym_LBRACE,
    ACTIONS(7546), 1,
      anon_sym_extends,
    ACTIONS(7548), 1,
      anon_sym_implements,
    STATE(3268), 1,
      sym_class_body,
    STATE(4309), 1,
      sym_comment,
    STATE(4550), 1,
      sym_type_parameters,
    STATE(6029), 1,
      sym_extends_clause,
    STATE(6966), 1,
      sym_class_heritage,
    STATE(7191), 1,
      sym_implements_clause,
  [152844] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7164), 1,
      anon_sym_LT,
    ACTIONS(7546), 1,
      anon_sym_extends,
    ACTIONS(7548), 1,
      anon_sym_implements,
    ACTIONS(7696), 1,
      anon_sym_LBRACE,
    STATE(4310), 1,
      sym_comment,
    STATE(4661), 1,
      sym_type_parameters,
    STATE(6029), 1,
      sym_extends_clause,
    STATE(6806), 1,
      sym_class_body,
    STATE(7021), 1,
      sym_class_heritage,
    STATE(7191), 1,
      sym_implements_clause,
  [152881] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7164), 1,
      anon_sym_LT,
    ACTIONS(7544), 1,
      anon_sym_LBRACE,
    ACTIONS(7546), 1,
      anon_sym_extends,
    ACTIONS(7548), 1,
      anon_sym_implements,
    STATE(3153), 1,
      sym_class_body,
    STATE(4311), 1,
      sym_comment,
    STATE(4656), 1,
      sym_type_parameters,
    STATE(6029), 1,
      sym_extends_clause,
    STATE(6552), 1,
      sym_class_heritage,
    STATE(7191), 1,
      sym_implements_clause,
  [152918] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4867), 1,
      anon_sym_BQUOTE,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5369), 1,
      anon_sym_LPAREN,
    ACTIONS(6973), 1,
      anon_sym_LT,
    ACTIONS(7698), 1,
      anon_sym_DOT,
    STATE(2716), 1,
      sym_template_string,
    STATE(3184), 1,
      sym_arguments,
    STATE(4312), 1,
      sym_comment,
    STATE(5636), 1,
      sym_type_arguments,
    STATE(6668), 1,
      sym_optional_chain,
  [152955] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    ACTIONS(7162), 1,
      anon_sym_COLON,
    ACTIONS(7700), 1,
      anon_sym_BANG,
    ACTIONS(7702), 1,
      anon_sym_QMARK,
    STATE(4313), 1,
      sym_comment,
    STATE(5140), 1,
      sym_type_annotation,
    STATE(6430), 1,
      sym__initializer,
    ACTIONS(7156), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [152988] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(7011), 1,
      anon_sym_LBRACE,
    ACTIONS(7564), 1,
      anon_sym_GT,
    ACTIONS(7704), 1,
      anon_sym_SLASH_GT,
    STATE(4268), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(4314), 1,
      sym_comment,
    STATE(4982), 1,
      sym_jsx_namespace_name,
    ACTIONS(7007), 2,
      sym_jsx_identifier,
      sym_identifier,
    STATE(5057), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [153021] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(7011), 1,
      anon_sym_LBRACE,
    ACTIONS(7586), 1,
      anon_sym_GT,
    ACTIONS(7706), 1,
      anon_sym_SLASH_GT,
    STATE(4315), 1,
      sym_comment,
    STATE(4373), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(4982), 1,
      sym_jsx_namespace_name,
    ACTIONS(7007), 2,
      sym_jsx_identifier,
      sym_identifier,
    STATE(5057), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [153054] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(7011), 1,
      anon_sym_LBRACE,
    ACTIONS(7532), 1,
      anon_sym_GT,
    ACTIONS(7708), 1,
      anon_sym_SLASH_GT,
    STATE(4268), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(4316), 1,
      sym_comment,
    STATE(4982), 1,
      sym_jsx_namespace_name,
    ACTIONS(7007), 2,
      sym_jsx_identifier,
      sym_identifier,
    STATE(5057), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [153087] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7164), 1,
      anon_sym_LT,
    ACTIONS(7544), 1,
      anon_sym_LBRACE,
    ACTIONS(7546), 1,
      anon_sym_extends,
    ACTIONS(7548), 1,
      anon_sym_implements,
    STATE(3188), 1,
      sym_class_body,
    STATE(4317), 1,
      sym_comment,
    STATE(4522), 1,
      sym_type_parameters,
    STATE(6029), 1,
      sym_extends_clause,
    STATE(6719), 1,
      sym_class_heritage,
    STATE(7191), 1,
      sym_implements_clause,
  [153124] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4787), 1,
      anon_sym_LPAREN,
    ACTIONS(4813), 1,
      anon_sym_DOT,
    ACTIONS(4867), 1,
      anon_sym_BQUOTE,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6973), 1,
      anon_sym_LT,
    STATE(2514), 1,
      sym_arguments,
    STATE(2716), 1,
      sym_template_string,
    STATE(3970), 1,
      sym_type_arguments,
    STATE(4318), 1,
      sym_comment,
    STATE(6668), 1,
      sym_optional_chain,
  [153161] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(7011), 1,
      anon_sym_LBRACE,
    ACTIONS(7600), 1,
      anon_sym_GT,
    ACTIONS(7710), 1,
      anon_sym_SLASH_GT,
    STATE(4319), 1,
      sym_comment,
    STATE(4374), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(4982), 1,
      sym_jsx_namespace_name,
    ACTIONS(7007), 2,
      sym_jsx_identifier,
      sym_identifier,
    STATE(5057), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [153194] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7164), 1,
      anon_sym_LT,
    ACTIONS(7546), 1,
      anon_sym_extends,
    ACTIONS(7548), 1,
      anon_sym_implements,
    ACTIONS(7630), 1,
      anon_sym_LBRACE,
    STATE(1208), 1,
      sym_class_body,
    STATE(4320), 1,
      sym_comment,
    STATE(4629), 1,
      sym_type_parameters,
    STATE(6029), 1,
      sym_extends_clause,
    STATE(6561), 1,
      sym_class_heritage,
    STATE(7191), 1,
      sym_implements_clause,
  [153231] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(7011), 1,
      anon_sym_LBRACE,
    ACTIONS(7604), 1,
      anon_sym_GT,
    ACTIONS(7712), 1,
      anon_sym_SLASH_GT,
    STATE(4268), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(4321), 1,
      sym_comment,
    STATE(4982), 1,
      sym_jsx_namespace_name,
    ACTIONS(7007), 2,
      sym_jsx_identifier,
      sym_identifier,
    STATE(5057), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [153264] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    ACTIONS(7162), 1,
      anon_sym_COLON,
    ACTIONS(7714), 1,
      anon_sym_BANG,
    ACTIONS(7716), 1,
      anon_sym_QMARK,
    STATE(4322), 1,
      sym_comment,
    STATE(5094), 1,
      sym_type_annotation,
    STATE(6383), 1,
      sym__initializer,
    ACTIONS(7156), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [153297] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(7011), 1,
      anon_sym_LBRACE,
    ACTIONS(7658), 1,
      anon_sym_GT,
    ACTIONS(7718), 1,
      anon_sym_SLASH_GT,
    STATE(4268), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(4323), 1,
      sym_comment,
    STATE(4982), 1,
      sym_jsx_namespace_name,
    ACTIONS(7007), 2,
      sym_jsx_identifier,
      sym_identifier,
    STATE(5057), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [153330] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(7011), 1,
      anon_sym_LBRACE,
    ACTIONS(7612), 1,
      anon_sym_GT,
    ACTIONS(7720), 1,
      anon_sym_SLASH_GT,
    STATE(4268), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(4324), 1,
      sym_comment,
    STATE(4982), 1,
      sym_jsx_namespace_name,
    ACTIONS(7007), 2,
      sym_jsx_identifier,
      sym_identifier,
    STATE(5057), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [153363] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    ACTIONS(7162), 1,
      anon_sym_COLON,
    STATE(4325), 1,
      sym_comment,
    STATE(5419), 1,
      sym_type_annotation,
    STATE(6069), 1,
      sym__initializer,
    ACTIONS(7210), 2,
      anon_sym_BANG,
      anon_sym_QMARK,
    ACTIONS(7208), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [153394] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7164), 1,
      anon_sym_LT,
    ACTIONS(7546), 1,
      anon_sym_extends,
    ACTIONS(7548), 1,
      anon_sym_implements,
    ACTIONS(7682), 1,
      anon_sym_LBRACE,
    STATE(4326), 1,
      sym_comment,
    STATE(4531), 1,
      sym_type_parameters,
    STATE(5131), 1,
      sym_class_body,
    STATE(6029), 1,
      sym_extends_clause,
    STATE(6833), 1,
      sym_class_heritage,
    STATE(7191), 1,
      sym_implements_clause,
  [153431] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7164), 1,
      anon_sym_LT,
    ACTIONS(7546), 1,
      anon_sym_extends,
    ACTIONS(7548), 1,
      anon_sym_implements,
    ACTIONS(7646), 1,
      anon_sym_LBRACE,
    STATE(1423), 1,
      sym_class_body,
    STATE(4327), 1,
      sym_comment,
    STATE(4616), 1,
      sym_type_parameters,
    STATE(6029), 1,
      sym_extends_clause,
    STATE(6743), 1,
      sym_class_heritage,
    STATE(7191), 1,
      sym_implements_clause,
  [153468] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(7011), 1,
      anon_sym_LBRACE,
    ACTIONS(7622), 1,
      anon_sym_GT,
    ACTIONS(7722), 1,
      anon_sym_SLASH_GT,
    STATE(4268), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(4328), 1,
      sym_comment,
    STATE(4982), 1,
      sym_jsx_namespace_name,
    ACTIONS(7007), 2,
      sym_jsx_identifier,
      sym_identifier,
    STATE(5057), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [153501] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7164), 1,
      anon_sym_LT,
    ACTIONS(7546), 1,
      anon_sym_extends,
    ACTIONS(7548), 1,
      anon_sym_implements,
    ACTIONS(7672), 1,
      anon_sym_LBRACE,
    STATE(1639), 1,
      sym_class_body,
    STATE(4329), 1,
      sym_comment,
    STATE(4752), 1,
      sym_type_parameters,
    STATE(6029), 1,
      sym_extends_clause,
    STATE(6856), 1,
      sym_class_heritage,
    STATE(7191), 1,
      sym_implements_clause,
  [153538] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(7011), 1,
      anon_sym_LBRACE,
    ACTIONS(7586), 1,
      anon_sym_GT,
    ACTIONS(7724), 1,
      anon_sym_SLASH_GT,
    STATE(4264), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(4330), 1,
      sym_comment,
    STATE(4982), 1,
      sym_jsx_namespace_name,
    ACTIONS(7007), 2,
      sym_jsx_identifier,
      sym_identifier,
    STATE(5057), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [153571] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7726), 1,
      anon_sym_LBRACK,
    STATE(4331), 1,
      sym_comment,
    ACTIONS(5169), 8,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [153594] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7728), 1,
      anon_sym_extends,
    STATE(4332), 1,
      sym_comment,
    ACTIONS(5175), 8,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
  [153617] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7726), 1,
      anon_sym_LBRACK,
    STATE(4333), 1,
      sym_comment,
    ACTIONS(5187), 3,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
    ACTIONS(5183), 5,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [153642] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7578), 1,
      anon_sym_AMP,
    ACTIONS(7580), 1,
      anon_sym_PIPE,
    ACTIONS(7582), 1,
      anon_sym_extends,
    STATE(4334), 1,
      sym_comment,
    ACTIONS(5198), 6,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
  [153669] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    ACTIONS(7162), 1,
      anon_sym_COLON,
    ACTIONS(7730), 1,
      anon_sym_BANG,
    ACTIONS(7732), 1,
      anon_sym_QMARK,
    STATE(4335), 1,
      sym_comment,
    STATE(5329), 1,
      sym_type_annotation,
    STATE(6103), 1,
      sym__initializer,
    ACTIONS(7182), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [153702] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    ACTIONS(7162), 1,
      anon_sym_COLON,
    ACTIONS(7734), 1,
      anon_sym_BANG,
    ACTIONS(7736), 1,
      anon_sym_QMARK,
    STATE(4336), 1,
      sym_comment,
    STATE(5433), 1,
      sym_type_annotation,
    STATE(6063), 1,
      sym__initializer,
    ACTIONS(7156), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [153735] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    ACTIONS(7162), 1,
      anon_sym_COLON,
    STATE(4337), 1,
      sym_comment,
    STATE(5145), 1,
      sym_type_annotation,
    STATE(6463), 1,
      sym__initializer,
    ACTIONS(7470), 2,
      anon_sym_in,
      anon_sym_of,
    ACTIONS(7466), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [153766] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4338), 1,
      sym_comment,
    ACTIONS(7738), 9,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [153787] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4339), 1,
      sym_comment,
    ACTIONS(5206), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [153808] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4340), 1,
      sym_comment,
    ACTIONS(5330), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [153829] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(7011), 1,
      anon_sym_LBRACE,
    ACTIONS(7612), 1,
      anon_sym_GT,
    ACTIONS(7740), 1,
      anon_sym_SLASH_GT,
    STATE(4268), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(4341), 1,
      sym_comment,
    STATE(4982), 1,
      sym_jsx_namespace_name,
    ACTIONS(7007), 2,
      sym_jsx_identifier,
      sym_identifier,
    STATE(5057), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [153862] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(7011), 1,
      anon_sym_LBRACE,
    ACTIONS(7622), 1,
      anon_sym_GT,
    ACTIONS(7742), 1,
      anon_sym_SLASH_GT,
    STATE(4268), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(4342), 1,
      sym_comment,
    STATE(4982), 1,
      sym_jsx_namespace_name,
    ACTIONS(7007), 2,
      sym_jsx_identifier,
      sym_identifier,
    STATE(5057), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [153895] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4343), 1,
      sym_comment,
    ACTIONS(5210), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [153916] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7578), 1,
      anon_sym_AMP,
    STATE(4344), 1,
      sym_comment,
    ACTIONS(5228), 8,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_PIPE,
      anon_sym_extends,
  [153939] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(2710), 1,
      anon_sym_RBRACE,
    ACTIONS(7214), 1,
      anon_sym_EQ,
    ACTIONS(7556), 1,
      anon_sym_COMMA,
    STATE(4345), 1,
      sym_comment,
    STATE(6171), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6333), 1,
      aux_sym_object_repeat1,
    ACTIONS(4514), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
  [153970] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4346), 1,
      sym_comment,
    ACTIONS(5235), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [153991] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5369), 1,
      anon_sym_LPAREN,
    ACTIONS(5411), 1,
      anon_sym_BQUOTE,
    ACTIONS(6973), 1,
      anon_sym_LT,
    ACTIONS(7744), 1,
      anon_sym_DOT,
    STATE(3121), 1,
      sym_template_string,
    STATE(3437), 1,
      sym_arguments,
    STATE(4347), 1,
      sym_comment,
    STATE(5595), 1,
      sym_type_arguments,
    STATE(6998), 1,
      sym_optional_chain,
  [154028] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    ACTIONS(7162), 1,
      anon_sym_COLON,
    ACTIONS(7746), 1,
      anon_sym_BANG,
    ACTIONS(7748), 1,
      anon_sym_QMARK,
    STATE(4348), 1,
      sym_comment,
    STATE(5430), 1,
      sym_type_annotation,
    STATE(6067), 1,
      sym__initializer,
    ACTIONS(7156), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [154061] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4349), 1,
      sym_comment,
    ACTIONS(5239), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [154082] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4350), 1,
      sym_comment,
    ACTIONS(5245), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [154103] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    ACTIONS(7162), 1,
      anon_sym_COLON,
    ACTIONS(7750), 1,
      anon_sym_BANG,
    ACTIONS(7752), 1,
      anon_sym_QMARK,
    STATE(4351), 1,
      sym_comment,
    STATE(5438), 1,
      sym_type_annotation,
    STATE(6058), 1,
      sym__initializer,
    ACTIONS(7156), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [154136] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7164), 1,
      anon_sym_LT,
    ACTIONS(7546), 1,
      anon_sym_extends,
    ACTIONS(7548), 1,
      anon_sym_implements,
    ACTIONS(7626), 1,
      anon_sym_LBRACE,
    STATE(400), 1,
      sym_class_body,
    STATE(4352), 1,
      sym_comment,
    STATE(4514), 1,
      sym_type_parameters,
    STATE(6029), 1,
      sym_extends_clause,
    STATE(6819), 1,
      sym_class_heritage,
    STATE(7191), 1,
      sym_implements_clause,
  [154173] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    ACTIONS(7162), 1,
      anon_sym_COLON,
    ACTIONS(7754), 1,
      anon_sym_BANG,
    ACTIONS(7756), 1,
      anon_sym_QMARK,
    STATE(4353), 1,
      sym_comment,
    STATE(5424), 1,
      sym_type_annotation,
    STATE(6072), 1,
      sym__initializer,
    ACTIONS(7156), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [154206] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(7011), 1,
      anon_sym_LBRACE,
    ACTIONS(7034), 1,
      anon_sym_SLASH_GT,
    ACTIONS(7353), 1,
      anon_sym_GT,
    STATE(4354), 1,
      sym_comment,
    STATE(4419), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(4982), 1,
      sym_jsx_namespace_name,
    ACTIONS(7007), 2,
      sym_jsx_identifier,
      sym_identifier,
    STATE(5057), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [154239] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7164), 1,
      anon_sym_LT,
    ACTIONS(7546), 1,
      anon_sym_extends,
    ACTIONS(7548), 1,
      anon_sym_implements,
    ACTIONS(7694), 1,
      anon_sym_LBRACE,
    STATE(1133), 1,
      sym_class_body,
    STATE(4355), 1,
      sym_comment,
    STATE(4612), 1,
      sym_type_parameters,
    STATE(6029), 1,
      sym_extends_clause,
    STATE(6609), 1,
      sym_class_heritage,
    STATE(7191), 1,
      sym_implements_clause,
  [154276] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4356), 1,
      sym_comment,
    ACTIONS(5334), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [154297] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7164), 1,
      anon_sym_LT,
    ACTIONS(7546), 1,
      anon_sym_extends,
    ACTIONS(7548), 1,
      anon_sym_implements,
    ACTIONS(7554), 1,
      anon_sym_LBRACE,
    STATE(308), 1,
      sym_class_body,
    STATE(4357), 1,
      sym_comment,
    STATE(4492), 1,
      sym_type_parameters,
    STATE(6029), 1,
      sym_extends_clause,
    STATE(6622), 1,
      sym_class_heritage,
    STATE(7191), 1,
      sym_implements_clause,
  [154334] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7164), 1,
      anon_sym_LT,
    ACTIONS(7546), 1,
      anon_sym_extends,
    ACTIONS(7548), 1,
      anon_sym_implements,
    ACTIONS(7682), 1,
      anon_sym_LBRACE,
    STATE(4358), 1,
      sym_comment,
    STATE(4499), 1,
      sym_type_parameters,
    STATE(5260), 1,
      sym_class_body,
    STATE(6029), 1,
      sym_extends_clause,
    STATE(6811), 1,
      sym_class_heritage,
    STATE(7191), 1,
      sym_implements_clause,
  [154371] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4359), 1,
      sym_comment,
    ACTIONS(5334), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [154392] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7164), 1,
      anon_sym_LT,
    ACTIONS(7546), 1,
      anon_sym_extends,
    ACTIONS(7548), 1,
      anon_sym_implements,
    ACTIONS(7644), 1,
      anon_sym_LBRACE,
    STATE(949), 1,
      sym_class_body,
    STATE(4360), 1,
      sym_comment,
    STATE(4756), 1,
      sym_type_parameters,
    STATE(6029), 1,
      sym_extends_clause,
    STATE(6628), 1,
      sym_class_heritage,
    STATE(7191), 1,
      sym_implements_clause,
  [154429] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4361), 1,
      sym_comment,
    ACTIONS(5338), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [154450] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5369), 1,
      anon_sym_LPAREN,
    ACTIONS(5411), 1,
      anon_sym_BQUOTE,
    ACTIONS(6973), 1,
      anon_sym_LT,
    ACTIONS(7758), 1,
      anon_sym_DOT,
    STATE(3109), 1,
      sym_arguments,
    STATE(3121), 1,
      sym_template_string,
    STATE(4362), 1,
      sym_comment,
    STATE(5595), 1,
      sym_type_arguments,
    STATE(6998), 1,
      sym_optional_chain,
  [154487] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4363), 1,
      sym_comment,
    ACTIONS(5338), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [154508] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(7011), 1,
      anon_sym_LBRACE,
    ACTIONS(7532), 1,
      anon_sym_GT,
    ACTIONS(7760), 1,
      anon_sym_SLASH_GT,
    STATE(4268), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(4364), 1,
      sym_comment,
    STATE(4982), 1,
      sym_jsx_namespace_name,
    ACTIONS(7007), 2,
      sym_jsx_identifier,
      sym_identifier,
    STATE(5057), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [154541] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7214), 1,
      anon_sym_EQ,
    ACTIONS(7556), 1,
      anon_sym_COMMA,
    ACTIONS(7762), 1,
      anon_sym_RBRACE,
    STATE(4365), 1,
      sym_comment,
    STATE(6171), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6333), 1,
      aux_sym_object_repeat1,
    ACTIONS(4514), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
  [154572] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    ACTIONS(7162), 1,
      anon_sym_COLON,
    ACTIONS(7764), 1,
      anon_sym_BANG,
    ACTIONS(7766), 1,
      anon_sym_QMARK,
    STATE(4366), 1,
      sym_comment,
    STATE(5365), 1,
      sym_type_annotation,
    STATE(6098), 1,
      sym__initializer,
    ACTIONS(7182), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [154605] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(7011), 1,
      anon_sym_LBRACE,
    ACTIONS(7600), 1,
      anon_sym_GT,
    ACTIONS(7768), 1,
      anon_sym_SLASH_GT,
    STATE(4257), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(4367), 1,
      sym_comment,
    STATE(4982), 1,
      sym_jsx_namespace_name,
    ACTIONS(7007), 2,
      sym_jsx_identifier,
      sym_identifier,
    STATE(5057), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [154638] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7164), 1,
      anon_sym_LT,
    ACTIONS(7546), 1,
      anon_sym_extends,
    ACTIONS(7548), 1,
      anon_sym_implements,
    ACTIONS(7682), 1,
      anon_sym_LBRACE,
    STATE(4368), 1,
      sym_comment,
    STATE(4516), 1,
      sym_type_parameters,
    STATE(6029), 1,
      sym_extends_clause,
    STATE(6031), 1,
      sym_class_body,
    STATE(6820), 1,
      sym_class_heritage,
    STATE(7191), 1,
      sym_implements_clause,
  [154675] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5369), 1,
      anon_sym_LPAREN,
    ACTIONS(5377), 1,
      anon_sym_DOT,
    ACTIONS(5411), 1,
      anon_sym_BQUOTE,
    ACTIONS(6973), 1,
      anon_sym_LT,
    STATE(4369), 1,
      sym_comment,
    STATE(5595), 1,
      sym_type_arguments,
    STATE(6998), 1,
      sym_optional_chain,
    STATE(3121), 2,
      sym_template_string,
      sym_arguments,
  [154710] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7164), 1,
      anon_sym_LT,
    ACTIONS(7544), 1,
      anon_sym_LBRACE,
    ACTIONS(7546), 1,
      anon_sym_extends,
    ACTIONS(7548), 1,
      anon_sym_implements,
    STATE(3255), 1,
      sym_class_body,
    STATE(4370), 1,
      sym_comment,
    STATE(4588), 1,
      sym_type_parameters,
    STATE(6029), 1,
      sym_extends_clause,
    STATE(6637), 1,
      sym_class_heritage,
    STATE(7191), 1,
      sym_implements_clause,
  [154747] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    ACTIONS(7162), 1,
      anon_sym_COLON,
    ACTIONS(7770), 1,
      anon_sym_BANG,
    ACTIONS(7772), 1,
      anon_sym_QMARK,
    STATE(4371), 1,
      sym_comment,
    STATE(5027), 1,
      sym_type_annotation,
    STATE(6324), 1,
      sym__initializer,
    ACTIONS(7156), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [154780] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    ACTIONS(7162), 1,
      anon_sym_COLON,
    ACTIONS(7774), 1,
      anon_sym_BANG,
    ACTIONS(7776), 1,
      anon_sym_QMARK,
    STATE(4372), 1,
      sym_comment,
    STATE(5500), 1,
      sym_type_annotation,
    STATE(6034), 1,
      sym__initializer,
    ACTIONS(7182), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [154813] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(7011), 1,
      anon_sym_LBRACE,
    ACTIONS(7622), 1,
      anon_sym_GT,
    ACTIONS(7778), 1,
      anon_sym_SLASH_GT,
    STATE(4268), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(4373), 1,
      sym_comment,
    STATE(4982), 1,
      sym_jsx_namespace_name,
    ACTIONS(7007), 2,
      sym_jsx_identifier,
      sym_identifier,
    STATE(5057), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [154846] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(7011), 1,
      anon_sym_LBRACE,
    ACTIONS(7612), 1,
      anon_sym_GT,
    ACTIONS(7780), 1,
      anon_sym_SLASH_GT,
    STATE(4268), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(4374), 1,
      sym_comment,
    STATE(4982), 1,
      sym_jsx_namespace_name,
    ACTIONS(7007), 2,
      sym_jsx_identifier,
      sym_identifier,
    STATE(5057), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [154879] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7782), 1,
      anon_sym_EQ,
    STATE(4375), 1,
      sym_comment,
    ACTIONS(7784), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
  [154902] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7786), 1,
      anon_sym_EQ,
    STATE(4376), 1,
      sym_comment,
    ACTIONS(7788), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
  [154925] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4377), 1,
      sym_comment,
    ACTIONS(3432), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [154946] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    ACTIONS(7162), 1,
      anon_sym_COLON,
    ACTIONS(7790), 1,
      anon_sym_BANG,
    ACTIONS(7792), 1,
      anon_sym_QMARK,
    STATE(4378), 1,
      sym_comment,
    STATE(5486), 1,
      sym_type_annotation,
    STATE(6042), 1,
      sym__initializer,
    ACTIONS(7182), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [154979] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4379), 1,
      sym_comment,
    ACTIONS(7784), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_PIPE_RBRACE,
  [155000] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7164), 1,
      anon_sym_LT,
    ACTIONS(7546), 1,
      anon_sym_extends,
    ACTIONS(7548), 1,
      anon_sym_implements,
    ACTIONS(7674), 1,
      anon_sym_LBRACE,
    STATE(2658), 1,
      sym_class_body,
    STATE(4380), 1,
      sym_comment,
    STATE(4530), 1,
      sym_type_parameters,
    STATE(6029), 1,
      sym_extends_clause,
    STATE(6828), 1,
      sym_class_heritage,
    STATE(7191), 1,
      sym_implements_clause,
  [155037] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7164), 1,
      anon_sym_LT,
    ACTIONS(7546), 1,
      anon_sym_extends,
    ACTIONS(7548), 1,
      anon_sym_implements,
    ACTIONS(7674), 1,
      anon_sym_LBRACE,
    STATE(2603), 1,
      sym_class_body,
    STATE(4381), 1,
      sym_comment,
    STATE(4620), 1,
      sym_type_parameters,
    STATE(6029), 1,
      sym_extends_clause,
    STATE(6953), 1,
      sym_class_heritage,
    STATE(7191), 1,
      sym_implements_clause,
  [155074] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4382), 1,
      sym_comment,
    ACTIONS(5202), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [155095] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    ACTIONS(7162), 1,
      anon_sym_COLON,
    ACTIONS(7794), 1,
      anon_sym_BANG,
    ACTIONS(7796), 1,
      anon_sym_QMARK,
    STATE(4383), 1,
      sym_comment,
    STATE(5170), 1,
      sym_type_annotation,
    STATE(6156), 1,
      sym__initializer,
    ACTIONS(7156), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [155128] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4384), 1,
      sym_comment,
    ACTIONS(5141), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [155149] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    ACTIONS(7162), 1,
      anon_sym_COLON,
    ACTIONS(7798), 1,
      anon_sym_BANG,
    ACTIONS(7800), 1,
      anon_sym_QMARK,
    STATE(4385), 1,
      sym_comment,
    STATE(5067), 1,
      sym_type_annotation,
    STATE(6129), 1,
      sym__initializer,
    ACTIONS(7156), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [155182] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(7011), 1,
      anon_sym_LBRACE,
    ACTIONS(7604), 1,
      anon_sym_GT,
    ACTIONS(7802), 1,
      anon_sym_SLASH_GT,
    STATE(4268), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(4386), 1,
      sym_comment,
    STATE(4982), 1,
      sym_jsx_namespace_name,
    ACTIONS(7007), 2,
      sym_jsx_identifier,
      sym_identifier,
    STATE(5057), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [155215] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7162), 1,
      anon_sym_COLON,
    ACTIONS(7464), 1,
      anon_sym_EQ,
    STATE(4387), 1,
      sym_comment,
    STATE(5145), 1,
      sym_type_annotation,
    STATE(5373), 1,
      sym__initializer,
    ACTIONS(7470), 2,
      anon_sym_in,
      anon_sym_of,
    ACTIONS(7466), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [155246] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7804), 1,
      anon_sym_EQ,
    STATE(4388), 1,
      sym_comment,
    ACTIONS(7806), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
  [155269] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    ACTIONS(7162), 1,
      anon_sym_COLON,
    ACTIONS(7808), 1,
      anon_sym_BANG,
    ACTIONS(7810), 1,
      anon_sym_QMARK,
    STATE(4389), 1,
      sym_comment,
    STATE(5058), 1,
      sym_type_annotation,
    STATE(5861), 1,
      sym__initializer,
    ACTIONS(7198), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [155302] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(2712), 1,
      anon_sym_RBRACE,
    ACTIONS(7214), 1,
      anon_sym_EQ,
    ACTIONS(7556), 1,
      anon_sym_COMMA,
    STATE(4390), 1,
      sym_comment,
    STATE(6165), 1,
      aux_sym_object_repeat1,
    STATE(6171), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(4514), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
  [155333] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4813), 1,
      anon_sym_DOT,
    ACTIONS(4867), 1,
      anon_sym_BQUOTE,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5369), 1,
      anon_sym_LPAREN,
    ACTIONS(7042), 1,
      anon_sym_LT,
    STATE(2716), 1,
      sym_template_string,
    STATE(3039), 1,
      sym_arguments,
    STATE(4014), 1,
      sym_type_arguments,
    STATE(4391), 1,
      sym_comment,
    STATE(6668), 1,
      sym_optional_chain,
  [155370] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7164), 1,
      anon_sym_LT,
    ACTIONS(7546), 1,
      anon_sym_extends,
    ACTIONS(7548), 1,
      anon_sym_implements,
    ACTIONS(7682), 1,
      anon_sym_LBRACE,
    STATE(4392), 1,
      sym_comment,
    STATE(4618), 1,
      sym_type_parameters,
    STATE(5965), 1,
      sym_class_body,
    STATE(6029), 1,
      sym_extends_clause,
    STATE(6910), 1,
      sym_class_heritage,
    STATE(7191), 1,
      sym_implements_clause,
  [155407] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    ACTIONS(7162), 1,
      anon_sym_COLON,
    ACTIONS(7812), 1,
      anon_sym_BANG,
    ACTIONS(7814), 1,
      anon_sym_QMARK,
    STATE(4393), 1,
      sym_comment,
    STATE(5137), 1,
      sym_type_annotation,
    STATE(5864), 1,
      sym__initializer,
    ACTIONS(7198), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [155440] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7816), 1,
      anon_sym_EQ,
    STATE(4394), 1,
      sym_comment,
    ACTIONS(7818), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
  [155463] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4395), 1,
      sym_comment,
    ACTIONS(3442), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [155484] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    ACTIONS(7162), 1,
      anon_sym_COLON,
    ACTIONS(7820), 1,
      anon_sym_BANG,
    ACTIONS(7822), 1,
      anon_sym_QMARK,
    STATE(4396), 1,
      sym_comment,
    STATE(5429), 1,
      sym_type_annotation,
    STATE(6230), 1,
      sym__initializer,
    ACTIONS(7258), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [155517] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7164), 1,
      anon_sym_LT,
    ACTIONS(7546), 1,
      anon_sym_extends,
    ACTIONS(7548), 1,
      anon_sym_implements,
    ACTIONS(7552), 1,
      anon_sym_LBRACE,
    STATE(1150), 1,
      sym_class_body,
    STATE(4397), 1,
      sym_comment,
    STATE(4658), 1,
      sym_type_parameters,
    STATE(6029), 1,
      sym_extends_clause,
    STATE(6790), 1,
      sym_class_heritage,
    STATE(7191), 1,
      sym_implements_clause,
  [155554] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4398), 1,
      sym_comment,
    ACTIONS(7824), 9,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [155575] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5369), 1,
      anon_sym_LPAREN,
    ACTIONS(5377), 1,
      anon_sym_DOT,
    ACTIONS(5411), 1,
      anon_sym_BQUOTE,
    ACTIONS(6973), 1,
      anon_sym_LT,
    STATE(3121), 1,
      sym_template_string,
    STATE(3345), 1,
      sym_arguments,
    STATE(4177), 1,
      sym_type_arguments,
    STATE(4399), 1,
      sym_comment,
    STATE(6998), 1,
      sym_optional_chain,
  [155612] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7628), 1,
      anon_sym_COLON,
    STATE(4400), 1,
      sym_comment,
    STATE(5533), 3,
      sym_type_annotation,
      sym_asserts_annotation,
      sym_type_predicate_annotation,
    ACTIONS(7448), 5,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [155637] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    ACTIONS(7162), 1,
      anon_sym_COLON,
    ACTIONS(7826), 1,
      anon_sym_BANG,
    ACTIONS(7828), 1,
      anon_sym_QMARK,
    STATE(4401), 1,
      sym_comment,
    STATE(5320), 1,
      sym_type_annotation,
    STATE(6104), 1,
      sym__initializer,
    ACTIONS(7156), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [155670] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    ACTIONS(7162), 1,
      anon_sym_COLON,
    ACTIONS(7830), 1,
      anon_sym_BANG,
    ACTIONS(7832), 1,
      anon_sym_QMARK,
    STATE(4402), 1,
      sym_comment,
    STATE(5224), 1,
      sym_type_annotation,
    STATE(5916), 1,
      sym__initializer,
    ACTIONS(7258), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [155703] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(7011), 1,
      anon_sym_LBRACE,
    ACTIONS(7564), 1,
      anon_sym_GT,
    ACTIONS(7834), 1,
      anon_sym_SLASH_GT,
    STATE(4268), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(4403), 1,
      sym_comment,
    STATE(4982), 1,
      sym_jsx_namespace_name,
    ACTIONS(7007), 2,
      sym_jsx_identifier,
      sym_identifier,
    STATE(5057), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [155736] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7164), 1,
      anon_sym_LT,
    ACTIONS(7546), 1,
      anon_sym_extends,
    ACTIONS(7548), 1,
      anon_sym_implements,
    ACTIONS(7550), 1,
      anon_sym_LBRACE,
    STATE(350), 1,
      sym_class_body,
    STATE(4404), 1,
      sym_comment,
    STATE(4654), 1,
      sym_type_parameters,
    STATE(6029), 1,
      sym_extends_clause,
    STATE(6783), 1,
      sym_class_heritage,
    STATE(7191), 1,
      sym_implements_clause,
  [155773] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    ACTIONS(7162), 1,
      anon_sym_COLON,
    ACTIONS(7836), 1,
      anon_sym_BANG,
    ACTIONS(7838), 1,
      anon_sym_QMARK,
    STATE(4405), 1,
      sym_comment,
    STATE(5169), 1,
      sym_type_annotation,
    STATE(5887), 1,
      sym__initializer,
    ACTIONS(7258), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [155806] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7164), 1,
      anon_sym_LT,
    ACTIONS(7546), 1,
      anon_sym_extends,
    ACTIONS(7548), 1,
      anon_sym_implements,
    ACTIONS(7682), 1,
      anon_sym_LBRACE,
    STATE(4406), 1,
      sym_comment,
    STATE(4746), 1,
      sym_type_parameters,
    STATE(5530), 1,
      sym_class_body,
    STATE(6029), 1,
      sym_extends_clause,
    STATE(6778), 1,
      sym_class_heritage,
    STATE(7191), 1,
      sym_implements_clause,
  [155843] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7164), 1,
      anon_sym_LT,
    ACTIONS(7544), 1,
      anon_sym_LBRACE,
    ACTIONS(7546), 1,
      anon_sym_extends,
    ACTIONS(7548), 1,
      anon_sym_implements,
    STATE(3183), 1,
      sym_class_body,
    STATE(4407), 1,
      sym_comment,
    STATE(4605), 1,
      sym_type_parameters,
    STATE(6029), 1,
      sym_extends_clause,
    STATE(7019), 1,
      sym_class_heritage,
    STATE(7191), 1,
      sym_implements_clause,
  [155880] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    ACTIONS(7162), 1,
      anon_sym_COLON,
    ACTIONS(7840), 1,
      anon_sym_BANG,
    ACTIONS(7842), 1,
      anon_sym_QMARK,
    STATE(4408), 1,
      sym_comment,
    STATE(5422), 1,
      sym_type_annotation,
    STATE(6233), 1,
      sym__initializer,
    ACTIONS(7258), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [155913] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    ACTIONS(7162), 1,
      anon_sym_COLON,
    ACTIONS(7846), 1,
      anon_sym_BANG,
    ACTIONS(7848), 1,
      anon_sym_QMARK,
    STATE(4409), 1,
      sym_comment,
    STATE(5014), 1,
      sym_type_annotation,
    STATE(6272), 1,
      sym__initializer,
    ACTIONS(7844), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [155946] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    ACTIONS(7162), 1,
      anon_sym_COLON,
    ACTIONS(7850), 1,
      anon_sym_BANG,
    ACTIONS(7852), 1,
      anon_sym_QMARK,
    STATE(4410), 1,
      sym_comment,
    STATE(5388), 1,
      sym_type_annotation,
    STATE(6095), 1,
      sym__initializer,
    ACTIONS(7156), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [155979] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7854), 1,
      anon_sym_EQ,
    STATE(4411), 1,
      sym_comment,
    ACTIONS(4322), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
  [156002] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(7011), 1,
      anon_sym_LBRACE,
    ACTIONS(7586), 1,
      anon_sym_GT,
    ACTIONS(7856), 1,
      anon_sym_SLASH_GT,
    STATE(4342), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(4412), 1,
      sym_comment,
    STATE(4982), 1,
      sym_jsx_namespace_name,
    ACTIONS(7007), 2,
      sym_jsx_identifier,
      sym_identifier,
    STATE(5057), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [156035] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2667), 1,
      anon_sym_RBRACE,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7214), 1,
      anon_sym_EQ,
    ACTIONS(7556), 1,
      anon_sym_COMMA,
    STATE(4413), 1,
      sym_comment,
    STATE(6171), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6333), 1,
      aux_sym_object_repeat1,
    ACTIONS(4514), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
  [156066] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7214), 1,
      anon_sym_EQ,
    ACTIONS(7556), 1,
      anon_sym_COMMA,
    ACTIONS(7858), 1,
      anon_sym_RBRACE,
    STATE(4414), 1,
      sym_comment,
    STATE(6165), 1,
      aux_sym_object_repeat1,
    STATE(6171), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(4514), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
  [156097] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    ACTIONS(7162), 1,
      anon_sym_COLON,
    ACTIONS(7860), 1,
      anon_sym_BANG,
    ACTIONS(7862), 1,
      anon_sym_QMARK,
    STATE(4415), 1,
      sym_comment,
    STATE(5156), 1,
      sym_type_annotation,
    STATE(5881), 1,
      sym__initializer,
    ACTIONS(7258), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [156130] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(7011), 1,
      anon_sym_LBRACE,
    ACTIONS(7600), 1,
      anon_sym_GT,
    ACTIONS(7864), 1,
      anon_sym_SLASH_GT,
    STATE(4341), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(4416), 1,
      sym_comment,
    STATE(4982), 1,
      sym_jsx_namespace_name,
    ACTIONS(7007), 2,
      sym_jsx_identifier,
      sym_identifier,
    STATE(5057), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [156163] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(7011), 1,
      anon_sym_LBRACE,
    ACTIONS(7604), 1,
      anon_sym_GT,
    ACTIONS(7866), 1,
      anon_sym_SLASH_GT,
    STATE(4268), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(4417), 1,
      sym_comment,
    STATE(4982), 1,
      sym_jsx_namespace_name,
    ACTIONS(7007), 2,
      sym_jsx_identifier,
      sym_identifier,
    STATE(5057), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [156196] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    ACTIONS(7162), 1,
      anon_sym_COLON,
    ACTIONS(7868), 1,
      anon_sym_BANG,
    ACTIONS(7870), 1,
      anon_sym_QMARK,
    STATE(4418), 1,
      sym_comment,
    STATE(5035), 1,
      sym_type_annotation,
    STATE(5849), 1,
      sym__initializer,
    ACTIONS(7258), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [156229] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(7011), 1,
      anon_sym_LBRACE,
    ACTIONS(7658), 1,
      anon_sym_GT,
    ACTIONS(7872), 1,
      anon_sym_SLASH_GT,
    STATE(4268), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(4419), 1,
      sym_comment,
    STATE(4982), 1,
      sym_jsx_namespace_name,
    ACTIONS(7007), 2,
      sym_jsx_identifier,
      sym_identifier,
    STATE(5057), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [156262] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7164), 1,
      anon_sym_LT,
    ACTIONS(7546), 1,
      anon_sym_extends,
    ACTIONS(7548), 1,
      anon_sym_implements,
    ACTIONS(7696), 1,
      anon_sym_LBRACE,
    STATE(4420), 1,
      sym_comment,
    STATE(4577), 1,
      sym_type_parameters,
    STATE(6029), 1,
      sym_extends_clause,
    STATE(6886), 1,
      sym_class_heritage,
    STATE(7030), 1,
      sym_class_body,
    STATE(7191), 1,
      sym_implements_clause,
  [156299] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    ACTIONS(7162), 1,
      anon_sym_COLON,
    ACTIONS(7874), 1,
      anon_sym_BANG,
    ACTIONS(7876), 1,
      anon_sym_QMARK,
    STATE(4421), 1,
      sym_comment,
    STATE(5392), 1,
      sym_type_annotation,
    STATE(6090), 1,
      sym__initializer,
    ACTIONS(7156), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [156332] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4422), 1,
      sym_comment,
    ACTIONS(4322), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_PIPE_RBRACE,
  [156353] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4423), 1,
      sym_comment,
    ACTIONS(4339), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_PIPE_RBRACE,
  [156374] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4424), 1,
      sym_comment,
    ACTIONS(5282), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [156395] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7726), 1,
      anon_sym_LBRACK,
    STATE(4425), 1,
      sym_comment,
    ACTIONS(5187), 8,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [156418] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4787), 1,
      anon_sym_LPAREN,
    ACTIONS(4867), 1,
      anon_sym_BQUOTE,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6973), 1,
      anon_sym_LT,
    ACTIONS(7878), 1,
      anon_sym_DOT,
    STATE(2716), 1,
      sym_template_string,
    STATE(3211), 1,
      sym_arguments,
    STATE(4426), 1,
      sym_comment,
    STATE(5636), 1,
      sym_type_arguments,
    STATE(6668), 1,
      sym_optional_chain,
  [156455] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4427), 1,
      sym_comment,
    ACTIONS(5187), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [156476] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    ACTIONS(7162), 1,
      anon_sym_COLON,
    ACTIONS(7880), 1,
      anon_sym_BANG,
    ACTIONS(7882), 1,
      anon_sym_QMARK,
    STATE(4428), 1,
      sym_comment,
    STATE(5482), 1,
      sym_type_annotation,
    STATE(6037), 1,
      sym__initializer,
    ACTIONS(7182), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [156509] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4429), 1,
      sym_comment,
    ACTIONS(4861), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [156530] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4787), 1,
      anon_sym_LPAREN,
    ACTIONS(4867), 1,
      anon_sym_BQUOTE,
    ACTIONS(4887), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6973), 1,
      anon_sym_LT,
    ACTIONS(7884), 1,
      anon_sym_DOT,
    STATE(2716), 1,
      sym_template_string,
    STATE(2800), 1,
      sym_arguments,
    STATE(4430), 1,
      sym_comment,
    STATE(5636), 1,
      sym_type_arguments,
    STATE(6668), 1,
      sym_optional_chain,
  [156567] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4431), 1,
      sym_comment,
    ACTIONS(5286), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [156588] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(7011), 1,
      anon_sym_LBRACE,
    ACTIONS(7658), 1,
      anon_sym_GT,
    ACTIONS(7886), 1,
      anon_sym_SLASH_GT,
    STATE(4268), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(4432), 1,
      sym_comment,
    STATE(4982), 1,
      sym_jsx_namespace_name,
    ACTIONS(7007), 2,
      sym_jsx_identifier,
      sym_identifier,
    STATE(5057), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [156621] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4433), 1,
      sym_comment,
    ACTIONS(7788), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_PIPE_RBRACE,
  [156642] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4434), 1,
      sym_comment,
    ACTIONS(7806), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_PIPE_RBRACE,
  [156663] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    ACTIONS(7162), 1,
      anon_sym_COLON,
    ACTIONS(7888), 1,
      anon_sym_BANG,
    ACTIONS(7890), 1,
      anon_sym_QMARK,
    STATE(4435), 1,
      sym_comment,
    STATE(5354), 1,
      sym_type_annotation,
    STATE(5840), 1,
      sym__initializer,
    ACTIONS(7258), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [156696] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    ACTIONS(7162), 1,
      anon_sym_COLON,
    STATE(4436), 1,
      sym_comment,
    STATE(5171), 1,
      sym_type_annotation,
    STATE(5882), 1,
      sym__initializer,
    ACTIONS(7254), 2,
      anon_sym_BANG,
      anon_sym_QMARK,
    ACTIONS(7252), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [156727] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4437), 1,
      sym_comment,
    ACTIONS(4837), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [156748] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4438), 1,
      sym_comment,
    ACTIONS(5294), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [156769] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4439), 1,
      sym_comment,
    ACTIONS(7818), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_PIPE_RBRACE,
  [156790] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4440), 1,
      sym_comment,
    ACTIONS(5353), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [156811] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(7011), 1,
      anon_sym_LBRACE,
    ACTIONS(7022), 1,
      anon_sym_SLASH_GT,
    ACTIONS(7353), 1,
      anon_sym_GT,
    STATE(4432), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(4441), 1,
      sym_comment,
    STATE(4982), 1,
      sym_jsx_namespace_name,
    ACTIONS(7007), 2,
      sym_jsx_identifier,
      sym_identifier,
    STATE(5057), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [156844] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4442), 1,
      sym_comment,
    ACTIONS(5349), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [156865] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4443), 1,
      sym_comment,
    ACTIONS(5345), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [156886] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7164), 1,
      anon_sym_LT,
    ACTIONS(7546), 1,
      anon_sym_extends,
    ACTIONS(7548), 1,
      anon_sym_implements,
    ACTIONS(7680), 1,
      anon_sym_LBRACE,
    STATE(1006), 1,
      sym_class_body,
    STATE(4444), 1,
      sym_comment,
    STATE(4602), 1,
      sym_type_parameters,
    STATE(6029), 1,
      sym_extends_clause,
    STATE(6644), 1,
      sym_class_heritage,
    STATE(7191), 1,
      sym_implements_clause,
  [156923] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7578), 1,
      anon_sym_AMP,
    ACTIONS(7580), 1,
      anon_sym_PIPE,
    ACTIONS(7582), 1,
      anon_sym_extends,
    STATE(4445), 1,
      sym_comment,
    ACTIONS(5220), 6,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
  [156950] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7578), 1,
      anon_sym_AMP,
    ACTIONS(7580), 1,
      anon_sym_PIPE,
    ACTIONS(7582), 1,
      anon_sym_extends,
    STATE(4446), 1,
      sym_comment,
    ACTIONS(5224), 6,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
  [156977] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    ACTIONS(7162), 1,
      anon_sym_COLON,
    ACTIONS(7892), 1,
      anon_sym_BANG,
    ACTIONS(7894), 1,
      anon_sym_QMARK,
    STATE(4447), 1,
      sym_comment,
    STATE(5063), 1,
      sym_type_annotation,
    STATE(6369), 1,
      sym__initializer,
    ACTIONS(7844), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [157010] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7578), 1,
      anon_sym_AMP,
    ACTIONS(7580), 1,
      anon_sym_PIPE,
    ACTIONS(7582), 1,
      anon_sym_extends,
    STATE(4448), 1,
      sym_comment,
    ACTIONS(7488), 5,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [157036] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7058), 1,
      anon_sym_LPAREN,
    ACTIONS(7896), 1,
      anon_sym_DOT,
    STATE(4449), 1,
      sym_comment,
    STATE(4938), 1,
      sym_arguments,
    ACTIONS(7484), 5,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [157062] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7424), 1,
      anon_sym_AMP,
    ACTIONS(7436), 1,
      anon_sym_PIPE,
    ACTIONS(7438), 1,
      anon_sym_extends,
    STATE(4450), 1,
      sym_comment,
    ACTIONS(7898), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [157088] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4018), 1,
      sym_identifier,
    ACTIONS(4020), 1,
      anon_sym_LBRACE,
    ACTIONS(4022), 1,
      anon_sym_LBRACK,
    ACTIONS(7900), 1,
      anon_sym_enum,
    STATE(4451), 1,
      sym_comment,
    STATE(4584), 1,
      sym__destructuring_pattern,
    STATE(5725), 1,
      sym_variable_declarator,
    STATE(4667), 2,
      sym_object_pattern,
      sym_array_pattern,
  [157120] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7162), 1,
      anon_sym_COLON,
    ACTIONS(7902), 1,
      anon_sym_DASH_QMARK_COLON,
    ACTIONS(7904), 1,
      anon_sym_PLUS_QMARK_COLON,
    ACTIONS(7906), 1,
      anon_sym_QMARK_COLON,
    STATE(4452), 1,
      sym_comment,
    STATE(5492), 4,
      sym_omitting_type_annotation,
      sym_adding_type_annotation,
      sym_opting_type_annotation,
      sym_type_annotation,
  [157148] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7162), 1,
      anon_sym_COLON,
    ACTIONS(7902), 1,
      anon_sym_DASH_QMARK_COLON,
    ACTIONS(7904), 1,
      anon_sym_PLUS_QMARK_COLON,
    ACTIONS(7906), 1,
      anon_sym_QMARK_COLON,
    STATE(4453), 1,
      sym_comment,
    STATE(5193), 4,
      sym_omitting_type_annotation,
      sym_adding_type_annotation,
      sym_opting_type_annotation,
      sym_type_annotation,
  [157176] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7162), 1,
      anon_sym_COLON,
    ACTIONS(7902), 1,
      anon_sym_DASH_QMARK_COLON,
    ACTIONS(7904), 1,
      anon_sym_PLUS_QMARK_COLON,
    ACTIONS(7906), 1,
      anon_sym_QMARK_COLON,
    STATE(4454), 1,
      sym_comment,
    STATE(5350), 4,
      sym_omitting_type_annotation,
      sym_adding_type_annotation,
      sym_opting_type_annotation,
      sym_type_annotation,
  [157204] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7162), 1,
      anon_sym_COLON,
    ACTIONS(7902), 1,
      anon_sym_DASH_QMARK_COLON,
    ACTIONS(7904), 1,
      anon_sym_PLUS_QMARK_COLON,
    ACTIONS(7906), 1,
      anon_sym_QMARK_COLON,
    STATE(4455), 1,
      sym_comment,
    STATE(5289), 4,
      sym_omitting_type_annotation,
      sym_adding_type_annotation,
      sym_opting_type_annotation,
      sym_type_annotation,
  [157232] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4018), 1,
      sym_identifier,
    ACTIONS(4020), 1,
      anon_sym_LBRACE,
    ACTIONS(4022), 1,
      anon_sym_LBRACK,
    ACTIONS(7908), 1,
      anon_sym_enum,
    STATE(4456), 1,
      sym_comment,
    STATE(4584), 1,
      sym__destructuring_pattern,
    STATE(5627), 1,
      sym_variable_declarator,
    STATE(4667), 2,
      sym_object_pattern,
      sym_array_pattern,
  [157264] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7910), 1,
      anon_sym_EQ,
    STATE(4457), 1,
      sym_comment,
    ACTIONS(6414), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
  [157286] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7912), 1,
      anon_sym_EQ,
    STATE(4458), 1,
      sym_comment,
    ACTIONS(7914), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
  [157308] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4459), 1,
      sym_comment,
    ACTIONS(6414), 8,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_PIPE_RBRACE,
  [157328] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(7916), 1,
      sym_identifier,
    ACTIONS(7918), 1,
      anon_sym_const,
    ACTIONS(7920), 1,
      anon_sym_GT,
    ACTIONS(7922), 1,
      sym_jsx_identifier,
    ACTIONS(7924), 1,
      anon_sym_SLASH_GT,
    STATE(4073), 1,
      sym_nested_identifier,
    STATE(4354), 1,
      sym_jsx_namespace_name,
    STATE(4460), 1,
      sym_comment,
    STATE(6085), 1,
      sym_type_parameter,
  [157362] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7926), 1,
      sym_escape_sequence,
    ACTIONS(7928), 1,
      anon_sym_BQUOTE,
    ACTIONS(7930), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7932), 1,
      sym__template_chars,
    STATE(4461), 1,
      sym_comment,
    STATE(4831), 1,
      aux_sym_template_string_repeat1,
    STATE(5085), 1,
      aux_sym_template_literal_type_repeat1,
    STATE(5588), 1,
      sym_template_substitution,
    STATE(6239), 1,
      sym_template_type,
  [157396] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7926), 1,
      sym_escape_sequence,
    ACTIONS(7930), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7932), 1,
      sym__template_chars,
    ACTIONS(7934), 1,
      anon_sym_BQUOTE,
    STATE(4462), 1,
      sym_comment,
    STATE(4831), 1,
      aux_sym_template_string_repeat1,
    STATE(5085), 1,
      aux_sym_template_literal_type_repeat1,
    STATE(5588), 1,
      sym_template_substitution,
    STATE(6239), 1,
      sym_template_type,
  [157430] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4018), 1,
      sym_identifier,
    ACTIONS(4020), 1,
      anon_sym_LBRACE,
    ACTIONS(4022), 1,
      anon_sym_LBRACK,
    ACTIONS(7936), 1,
      anon_sym_enum,
    STATE(4463), 1,
      sym_comment,
    STATE(4584), 1,
      sym__destructuring_pattern,
    STATE(5658), 1,
      sym_variable_declarator,
    STATE(4667), 2,
      sym_object_pattern,
      sym_array_pattern,
  [157462] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4464), 1,
      sym_comment,
    ACTIONS(7914), 8,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_PIPE_RBRACE,
  [157482] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7162), 1,
      anon_sym_COLON,
    ACTIONS(7902), 1,
      anon_sym_DASH_QMARK_COLON,
    ACTIONS(7904), 1,
      anon_sym_PLUS_QMARK_COLON,
    ACTIONS(7906), 1,
      anon_sym_QMARK_COLON,
    STATE(4465), 1,
      sym_comment,
    STATE(5499), 4,
      sym_omitting_type_annotation,
      sym_adding_type_annotation,
      sym_opting_type_annotation,
      sym_type_annotation,
  [157510] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7926), 1,
      sym_escape_sequence,
    ACTIONS(7930), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7932), 1,
      sym__template_chars,
    ACTIONS(7938), 1,
      anon_sym_BQUOTE,
    STATE(4466), 1,
      sym_comment,
    STATE(4831), 1,
      aux_sym_template_string_repeat1,
    STATE(5085), 1,
      aux_sym_template_literal_type_repeat1,
    STATE(5588), 1,
      sym_template_substitution,
    STATE(6239), 1,
      sym_template_type,
  [157544] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7940), 1,
      anon_sym_LBRACE,
    ACTIONS(7942), 1,
      anon_sym_DOT,
    STATE(4467), 1,
      sym_comment,
    STATE(5010), 1,
      sym_statement_block,
    ACTIONS(2059), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [157570] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7424), 1,
      anon_sym_AMP,
    ACTIONS(7436), 1,
      anon_sym_PIPE,
    ACTIONS(7438), 1,
      anon_sym_extends,
    STATE(4468), 1,
      sym_comment,
    ACTIONS(7944), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [157596] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4018), 1,
      sym_identifier,
    ACTIONS(4020), 1,
      anon_sym_LBRACE,
    ACTIONS(4022), 1,
      anon_sym_LBRACK,
    ACTIONS(7946), 1,
      anon_sym_enum,
    STATE(4469), 1,
      sym_comment,
    STATE(4584), 1,
      sym__destructuring_pattern,
    STATE(5687), 1,
      sym_variable_declarator,
    STATE(4667), 2,
      sym_object_pattern,
      sym_array_pattern,
  [157628] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(7516), 1,
      sym_identifier,
    STATE(4470), 1,
      sym_comment,
    STATE(5681), 1,
      sym_string,
    STATE(6152), 1,
      sym__module_export_name,
    STATE(6931), 1,
      sym_export_specifier,
    ACTIONS(7518), 2,
      anon_sym_type,
      anon_sym_typeof,
  [157660] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7162), 1,
      anon_sym_COLON,
    ACTIONS(7902), 1,
      anon_sym_DASH_QMARK_COLON,
    ACTIONS(7904), 1,
      anon_sym_PLUS_QMARK_COLON,
    ACTIONS(7906), 1,
      anon_sym_QMARK_COLON,
    STATE(4471), 1,
      sym_comment,
    STATE(5214), 4,
      sym_omitting_type_annotation,
      sym_adding_type_annotation,
      sym_opting_type_annotation,
      sym_type_annotation,
  [157688] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    ACTIONS(7162), 1,
      anon_sym_COLON,
    ACTIONS(7468), 1,
      anon_sym_BANG,
    STATE(4472), 1,
      sym_comment,
    STATE(5145), 1,
      sym_type_annotation,
    STATE(6437), 1,
      sym__initializer,
    ACTIONS(7466), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [157718] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7162), 1,
      anon_sym_COLON,
    ACTIONS(7902), 1,
      anon_sym_DASH_QMARK_COLON,
    ACTIONS(7904), 1,
      anon_sym_PLUS_QMARK_COLON,
    ACTIONS(7906), 1,
      anon_sym_QMARK_COLON,
    STATE(4473), 1,
      sym_comment,
    STATE(5216), 4,
      sym_omitting_type_annotation,
      sym_adding_type_annotation,
      sym_opting_type_annotation,
      sym_type_annotation,
  [157746] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(7918), 1,
      anon_sym_const,
    ACTIONS(7920), 1,
      anon_sym_GT,
    ACTIONS(7948), 1,
      sym_identifier,
    ACTIONS(7950), 1,
      sym_jsx_identifier,
    ACTIONS(7952), 1,
      anon_sym_SLASH_GT,
    STATE(4111), 1,
      sym_nested_identifier,
    STATE(4441), 1,
      sym_jsx_namespace_name,
    STATE(4474), 1,
      sym_comment,
    STATE(6085), 1,
      sym_type_parameter,
  [157780] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7926), 1,
      sym_escape_sequence,
    ACTIONS(7930), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7932), 1,
      sym__template_chars,
    ACTIONS(7954), 1,
      anon_sym_BQUOTE,
    STATE(4475), 1,
      sym_comment,
    STATE(4831), 1,
      aux_sym_template_string_repeat1,
    STATE(5085), 1,
      aux_sym_template_literal_type_repeat1,
    STATE(5588), 1,
      sym_template_substitution,
    STATE(6239), 1,
      sym_template_type,
  [157814] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4018), 1,
      sym_identifier,
    ACTIONS(4020), 1,
      anon_sym_LBRACE,
    ACTIONS(4022), 1,
      anon_sym_LBRACK,
    ACTIONS(7956), 1,
      anon_sym_enum,
    STATE(4476), 1,
      sym_comment,
    STATE(4584), 1,
      sym__destructuring_pattern,
    STATE(5759), 1,
      sym_variable_declarator,
    STATE(4667), 2,
      sym_object_pattern,
      sym_array_pattern,
  [157846] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7960), 1,
      anon_sym_DOT,
    STATE(4477), 1,
      sym_comment,
    ACTIONS(7958), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [157868] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7162), 1,
      anon_sym_COLON,
    ACTIONS(7902), 1,
      anon_sym_DASH_QMARK_COLON,
    ACTIONS(7904), 1,
      anon_sym_PLUS_QMARK_COLON,
    ACTIONS(7906), 1,
      anon_sym_QMARK_COLON,
    STATE(4478), 1,
      sym_comment,
    STATE(5390), 4,
      sym_omitting_type_annotation,
      sym_adding_type_annotation,
      sym_opting_type_annotation,
      sym_type_annotation,
  [157896] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7162), 1,
      anon_sym_COLON,
    ACTIONS(7902), 1,
      anon_sym_DASH_QMARK_COLON,
    ACTIONS(7904), 1,
      anon_sym_PLUS_QMARK_COLON,
    ACTIONS(7906), 1,
      anon_sym_QMARK_COLON,
    STATE(4479), 1,
      sym_comment,
    STATE(5332), 4,
      sym_omitting_type_annotation,
      sym_adding_type_annotation,
      sym_opting_type_annotation,
      sym_type_annotation,
  [157924] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4018), 1,
      sym_identifier,
    ACTIONS(4020), 1,
      anon_sym_LBRACE,
    ACTIONS(4022), 1,
      anon_sym_LBRACK,
    ACTIONS(7962), 1,
      anon_sym_enum,
    STATE(4480), 1,
      sym_comment,
    STATE(4584), 1,
      sym__destructuring_pattern,
    STATE(5755), 1,
      sym_variable_declarator,
    STATE(4667), 2,
      sym_object_pattern,
      sym_array_pattern,
  [157956] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7926), 1,
      sym_escape_sequence,
    ACTIONS(7930), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7932), 1,
      sym__template_chars,
    ACTIONS(7964), 1,
      anon_sym_BQUOTE,
    STATE(4481), 1,
      sym_comment,
    STATE(4856), 1,
      aux_sym_template_string_repeat1,
    STATE(5085), 1,
      aux_sym_template_literal_type_repeat1,
    STATE(5588), 1,
      sym_template_substitution,
    STATE(6239), 1,
      sym_template_type,
  [157990] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7424), 1,
      anon_sym_AMP,
    ACTIONS(7436), 1,
      anon_sym_PIPE,
    ACTIONS(7438), 1,
      anon_sym_extends,
    STATE(4482), 1,
      sym_comment,
    ACTIONS(7966), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [158016] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7940), 1,
      anon_sym_LBRACE,
    ACTIONS(7968), 1,
      anon_sym_DOT,
    STATE(4483), 1,
      sym_comment,
    STATE(5010), 1,
      sym_statement_block,
    ACTIONS(2059), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [158042] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7926), 1,
      sym_escape_sequence,
    ACTIONS(7930), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7932), 1,
      sym__template_chars,
    ACTIONS(7970), 1,
      anon_sym_BQUOTE,
    STATE(4484), 1,
      sym_comment,
    STATE(4831), 1,
      aux_sym_template_string_repeat1,
    STATE(5174), 1,
      aux_sym_template_literal_type_repeat1,
    STATE(5588), 1,
      sym_template_substitution,
    STATE(6239), 1,
      sym_template_type,
  [158076] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7926), 1,
      sym_escape_sequence,
    ACTIONS(7930), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7932), 1,
      sym__template_chars,
    ACTIONS(7972), 1,
      anon_sym_BQUOTE,
    STATE(4485), 1,
      sym_comment,
    STATE(4831), 1,
      aux_sym_template_string_repeat1,
    STATE(5085), 1,
      aux_sym_template_literal_type_repeat1,
    STATE(5588), 1,
      sym_template_substitution,
    STATE(6239), 1,
      sym_template_type,
  [158110] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7926), 1,
      sym_escape_sequence,
    ACTIONS(7930), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7932), 1,
      sym__template_chars,
    ACTIONS(7974), 1,
      anon_sym_BQUOTE,
    STATE(4486), 1,
      sym_comment,
    STATE(4856), 1,
      aux_sym_template_string_repeat1,
    STATE(5085), 1,
      aux_sym_template_literal_type_repeat1,
    STATE(5588), 1,
      sym_template_substitution,
    STATE(6239), 1,
      sym_template_type,
  [158144] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    ACTIONS(7162), 1,
      anon_sym_COLON,
    STATE(4487), 1,
      sym_comment,
    STATE(5158), 1,
      sym_type_annotation,
    STATE(6436), 1,
      sym__initializer,
    ACTIONS(7404), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [158171] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    ACTIONS(7162), 1,
      anon_sym_COLON,
    STATE(4488), 1,
      sym_comment,
    STATE(5005), 1,
      sym_type_annotation,
    STATE(5800), 1,
      sym__initializer,
    ACTIONS(7370), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [158198] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    ACTIONS(7162), 1,
      anon_sym_COLON,
    STATE(4489), 1,
      sym_comment,
    STATE(5074), 1,
      sym_type_annotation,
    STATE(5848), 1,
      sym__initializer,
    ACTIONS(7370), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [158225] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    ACTIONS(7162), 1,
      anon_sym_COLON,
    STATE(4490), 1,
      sym_comment,
    STATE(5019), 1,
      sym_type_annotation,
    STATE(6270), 1,
      sym__initializer,
    ACTIONS(7420), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [158252] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    ACTIONS(7162), 1,
      anon_sym_COLON,
    STATE(4491), 1,
      sym_comment,
    STATE(5004), 1,
      sym_type_annotation,
    STATE(5809), 1,
      sym__initializer,
    ACTIONS(7370), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [158279] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7546), 1,
      anon_sym_extends,
    ACTIONS(7548), 1,
      anon_sym_implements,
    ACTIONS(7554), 1,
      anon_sym_LBRACE,
    STATE(317), 1,
      sym_class_body,
    STATE(4492), 1,
      sym_comment,
    STATE(6029), 1,
      sym_extends_clause,
    STATE(6643), 1,
      sym_class_heritage,
    STATE(7191), 1,
      sym_implements_clause,
  [158310] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    ACTIONS(7162), 1,
      anon_sym_COLON,
    STATE(4493), 1,
      sym_comment,
    STATE(5025), 1,
      sym_type_annotation,
    STATE(5826), 1,
      sym__initializer,
    ACTIONS(7370), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [158337] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    ACTIONS(7162), 1,
      anon_sym_COLON,
    STATE(4494), 1,
      sym_comment,
    STATE(5093), 1,
      sym_type_annotation,
    STATE(5858), 1,
      sym__initializer,
    ACTIONS(7370), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [158364] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    ACTIONS(7162), 1,
      anon_sym_COLON,
    STATE(4495), 1,
      sym_comment,
    STATE(5535), 1,
      sym_type_annotation,
    STATE(6100), 1,
      sym__initializer,
    ACTIONS(7370), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [158391] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    ACTIONS(7162), 1,
      anon_sym_COLON,
    STATE(4496), 1,
      sym_comment,
    STATE(5238), 1,
      sym_type_annotation,
    STATE(6464), 1,
      sym__initializer,
    ACTIONS(7404), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [158418] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7546), 1,
      anon_sym_extends,
    ACTIONS(7548), 1,
      anon_sym_implements,
    ACTIONS(7672), 1,
      anon_sym_LBRACE,
    STATE(1628), 1,
      sym_class_body,
    STATE(4497), 1,
      sym_comment,
    STATE(6029), 1,
      sym_extends_clause,
    STATE(6504), 1,
      sym_class_heritage,
    STATE(7191), 1,
      sym_implements_clause,
  [158449] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    ACTIONS(7162), 1,
      anon_sym_COLON,
    STATE(4498), 1,
      sym_comment,
    STATE(5397), 1,
      sym_type_annotation,
    STATE(6277), 1,
      sym__initializer,
    ACTIONS(7370), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [158476] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7546), 1,
      anon_sym_extends,
    ACTIONS(7548), 1,
      anon_sym_implements,
    ACTIONS(7682), 1,
      anon_sym_LBRACE,
    STATE(4499), 1,
      sym_comment,
    STATE(5553), 1,
      sym_class_body,
    STATE(6029), 1,
      sym_extends_clause,
    STATE(6775), 1,
      sym_class_heritage,
    STATE(7191), 1,
      sym_implements_clause,
  [158507] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    ACTIONS(7162), 1,
      anon_sym_COLON,
    STATE(4500), 1,
      sym_comment,
    STATE(5277), 1,
      sym_type_annotation,
    STATE(5963), 1,
      sym__initializer,
    ACTIONS(7370), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [158534] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7976), 1,
      sym__automatic_semicolon,
    STATE(4501), 1,
      sym_comment,
    ACTIONS(2095), 6,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_catch,
      anon_sym_finally,
  [158555] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4502), 1,
      sym_comment,
    ACTIONS(7738), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_COLON,
  [158574] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    ACTIONS(7162), 1,
      anon_sym_COLON,
    STATE(4503), 1,
      sym_comment,
    STATE(5477), 1,
      sym_type_annotation,
    STATE(5960), 1,
      sym__initializer,
    ACTIONS(7406), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [158601] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    ACTIONS(7162), 1,
      anon_sym_COLON,
    STATE(4504), 1,
      sym_comment,
    STATE(5342), 1,
      sym_type_annotation,
    STATE(5994), 1,
      sym__initializer,
    ACTIONS(7370), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [158628] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    ACTIONS(7162), 1,
      anon_sym_COLON,
    STATE(4505), 1,
      sym_comment,
    STATE(5016), 1,
      sym_type_annotation,
    STATE(6271), 1,
      sym__initializer,
    ACTIONS(7420), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [158655] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7978), 1,
      anon_sym_LBRACE,
    STATE(4506), 1,
      sym_comment,
    STATE(6756), 1,
      sym_statement_block,
    ACTIONS(7980), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [158678] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4020), 1,
      anon_sym_LBRACE,
    ACTIONS(4022), 1,
      anon_sym_LBRACK,
    ACTIONS(7982), 1,
      sym_identifier,
    STATE(4507), 1,
      sym_comment,
    STATE(4584), 1,
      sym__destructuring_pattern,
    STATE(5754), 1,
      sym_variable_declarator,
    STATE(4667), 2,
      sym_object_pattern,
      sym_array_pattern,
  [158707] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4141), 1,
      anon_sym_LT,
    ACTIONS(7984), 1,
      sym_identifier,
    ACTIONS(7986), 1,
      anon_sym_LPAREN,
    STATE(3306), 1,
      sym_arguments,
    STATE(4508), 1,
      sym_comment,
    STATE(6563), 1,
      sym_type_arguments,
    ACTIONS(7988), 2,
      anon_sym_LBRACK,
      sym_private_property_identifier,
  [158736] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7546), 1,
      anon_sym_extends,
    ACTIONS(7548), 1,
      anon_sym_implements,
    ACTIONS(7674), 1,
      anon_sym_LBRACE,
    STATE(2613), 1,
      sym_class_body,
    STATE(4509), 1,
      sym_comment,
    STATE(6029), 1,
      sym_extends_clause,
    STATE(6904), 1,
      sym_class_heritage,
    STATE(7191), 1,
      sym_implements_clause,
  [158767] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    ACTIONS(7162), 1,
      anon_sym_COLON,
    STATE(4510), 1,
      sym_comment,
    STATE(5185), 1,
      sym_type_annotation,
    STATE(5900), 1,
      sym__initializer,
    ACTIONS(7370), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [158794] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4511), 1,
      sym_comment,
    ACTIONS(7616), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_COLON,
  [158813] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    ACTIONS(7162), 1,
      anon_sym_COLON,
    STATE(4512), 1,
      sym_comment,
    STATE(5194), 1,
      sym_type_annotation,
    STATE(5902), 1,
      sym__initializer,
    ACTIONS(7370), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [158840] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1902), 1,
      anon_sym_LT,
    ACTIONS(7990), 1,
      sym_identifier,
    ACTIONS(7992), 1,
      anon_sym_STAR,
    ACTIONS(7994), 1,
      anon_sym_LPAREN,
    STATE(4513), 1,
      sym_comment,
    STATE(4790), 1,
      sym_formal_parameters,
    STATE(6573), 1,
      sym__call_signature,
    STATE(6683), 1,
      sym_type_parameters,
  [158871] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7546), 1,
      anon_sym_extends,
    ACTIONS(7548), 1,
      anon_sym_implements,
    ACTIONS(7626), 1,
      anon_sym_LBRACE,
    STATE(390), 1,
      sym_class_body,
    STATE(4514), 1,
      sym_comment,
    STATE(6029), 1,
      sym_extends_clause,
    STATE(6781), 1,
      sym_class_heritage,
    STATE(7191), 1,
      sym_implements_clause,
  [158902] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7546), 1,
      anon_sym_extends,
    ACTIONS(7548), 1,
      anon_sym_implements,
    ACTIONS(7552), 1,
      anon_sym_LBRACE,
    STATE(1157), 1,
      sym_class_body,
    STATE(4515), 1,
      sym_comment,
    STATE(6029), 1,
      sym_extends_clause,
    STATE(6784), 1,
      sym_class_heritage,
    STATE(7191), 1,
      sym_implements_clause,
  [158933] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7546), 1,
      anon_sym_extends,
    ACTIONS(7548), 1,
      anon_sym_implements,
    ACTIONS(7682), 1,
      anon_sym_LBRACE,
    STATE(4516), 1,
      sym_comment,
    STATE(5967), 1,
      sym_class_body,
    STATE(6029), 1,
      sym_extends_clause,
    STATE(6905), 1,
      sym_class_heritage,
    STATE(7191), 1,
      sym_implements_clause,
  [158964] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    ACTIONS(7162), 1,
      anon_sym_COLON,
    STATE(4517), 1,
      sym_comment,
    STATE(5294), 1,
      sym_type_annotation,
    STATE(6106), 1,
      sym__initializer,
    ACTIONS(7404), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [158991] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    ACTIONS(7162), 1,
      anon_sym_COLON,
    STATE(4518), 1,
      sym_comment,
    STATE(5285), 1,
      sym_type_annotation,
    STATE(6112), 1,
      sym__initializer,
    ACTIONS(7404), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [159018] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(128), 1,
      anon_sym_import,
    ACTIONS(7996), 1,
      sym_identifier,
    STATE(2640), 1,
      sym__type_query_subscript_expression,
    STATE(2642), 1,
      sym__type_query_member_expression,
    STATE(3048), 1,
      sym__type_query_call_expression,
    STATE(3052), 1,
      sym__type_query_instantiation_expression,
    STATE(4519), 1,
      sym_comment,
    STATE(5574), 1,
      sym_import,
  [159049] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    ACTIONS(7162), 1,
      anon_sym_COLON,
    STATE(4520), 1,
      sym_comment,
    STATE(5549), 1,
      sym_type_annotation,
    STATE(6030), 1,
      sym__initializer,
    ACTIONS(7404), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [159076] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    ACTIONS(7162), 1,
      anon_sym_COLON,
    STATE(4521), 1,
      sym_comment,
    STATE(5229), 1,
      sym_type_annotation,
    STATE(5921), 1,
      sym__initializer,
    ACTIONS(7370), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [159103] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7544), 1,
      anon_sym_LBRACE,
    ACTIONS(7546), 1,
      anon_sym_extends,
    ACTIONS(7548), 1,
      anon_sym_implements,
    STATE(3104), 1,
      sym_class_body,
    STATE(4522), 1,
      sym_comment,
    STATE(6029), 1,
      sym_extends_clause,
    STATE(6850), 1,
      sym_class_heritage,
    STATE(7191), 1,
      sym_implements_clause,
  [159134] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1902), 1,
      anon_sym_LT,
    ACTIONS(7994), 1,
      anon_sym_LPAREN,
    ACTIONS(7998), 1,
      sym_identifier,
    ACTIONS(8000), 1,
      anon_sym_STAR,
    STATE(4523), 1,
      sym_comment,
    STATE(4790), 1,
      sym_formal_parameters,
    STATE(6683), 1,
      sym_type_parameters,
    STATE(7098), 1,
      sym__call_signature,
  [159165] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    ACTIONS(7162), 1,
      anon_sym_COLON,
    STATE(4524), 1,
      sym_comment,
    STATE(5073), 1,
      sym_type_annotation,
    STATE(6255), 1,
      sym__initializer,
    ACTIONS(7420), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [159192] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    ACTIONS(7162), 1,
      anon_sym_COLON,
    STATE(4525), 1,
      sym_comment,
    STATE(5076), 1,
      sym_type_annotation,
    STATE(6248), 1,
      sym__initializer,
    ACTIONS(7420), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [159219] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    ACTIONS(7162), 1,
      anon_sym_COLON,
    STATE(4526), 1,
      sym_comment,
    STATE(5038), 1,
      sym_type_annotation,
    STATE(5856), 1,
      sym__initializer,
    ACTIONS(7408), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [159246] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    ACTIONS(7162), 1,
      anon_sym_COLON,
    STATE(4527), 1,
      sym_comment,
    STATE(5513), 1,
      sym_type_annotation,
    STATE(6131), 1,
      sym__initializer,
    ACTIONS(7370), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [159273] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7978), 1,
      anon_sym_LBRACE,
    STATE(4528), 1,
      sym_comment,
    STATE(6618), 1,
      sym_statement_block,
    ACTIONS(8002), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [159296] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    ACTIONS(7162), 1,
      anon_sym_COLON,
    STATE(4529), 1,
      sym_comment,
    STATE(5504), 1,
      sym_type_annotation,
    STATE(6047), 1,
      sym__initializer,
    ACTIONS(7368), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [159323] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7546), 1,
      anon_sym_extends,
    ACTIONS(7548), 1,
      anon_sym_implements,
    ACTIONS(7674), 1,
      anon_sym_LBRACE,
    STATE(2605), 1,
      sym_class_body,
    STATE(4530), 1,
      sym_comment,
    STATE(6029), 1,
      sym_extends_clause,
    STATE(6948), 1,
      sym_class_heritage,
    STATE(7191), 1,
      sym_implements_clause,
  [159354] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7546), 1,
      anon_sym_extends,
    ACTIONS(7548), 1,
      anon_sym_implements,
    ACTIONS(7682), 1,
      anon_sym_LBRACE,
    STATE(4531), 1,
      sym_comment,
    STATE(5398), 1,
      sym_class_body,
    STATE(6029), 1,
      sym_extends_clause,
    STATE(6787), 1,
      sym_class_heritage,
    STATE(7191), 1,
      sym_implements_clause,
  [159385] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    ACTIONS(7162), 1,
      anon_sym_COLON,
    STATE(4532), 1,
      sym_comment,
    STATE(5163), 1,
      sym_type_annotation,
    STATE(6161), 1,
      sym__initializer,
    ACTIONS(7404), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [159412] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    ACTIONS(7162), 1,
      anon_sym_COLON,
    STATE(4533), 1,
      sym_comment,
    STATE(5148), 1,
      sym_type_annotation,
    STATE(6164), 1,
      sym__initializer,
    ACTIONS(7404), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [159439] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7978), 1,
      anon_sym_LBRACE,
    STATE(4534), 1,
      sym_comment,
    STATE(6578), 1,
      sym_statement_block,
    ACTIONS(8004), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [159462] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    ACTIONS(7162), 1,
      anon_sym_COLON,
    STATE(4535), 1,
      sym_comment,
    STATE(5012), 1,
      sym_type_annotation,
    STATE(6264), 1,
      sym__initializer,
    ACTIONS(7420), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [159489] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    ACTIONS(7162), 1,
      anon_sym_COLON,
    STATE(4536), 1,
      sym_comment,
    STATE(5144), 1,
      sym_type_annotation,
    STATE(6176), 1,
      sym__initializer,
    ACTIONS(7404), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [159516] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    ACTIONS(7162), 1,
      anon_sym_COLON,
    STATE(4537), 1,
      sym_comment,
    STATE(5142), 1,
      sym_type_annotation,
    STATE(6180), 1,
      sym__initializer,
    ACTIONS(7404), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [159543] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7978), 1,
      anon_sym_LBRACE,
    STATE(4538), 1,
      sym_comment,
    STATE(6748), 1,
      sym_statement_block,
    ACTIONS(8006), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [159566] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4539), 1,
      sym_comment,
    ACTIONS(2147), 7,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [159585] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8008), 1,
      anon_sym_COMMA,
    ACTIONS(8010), 1,
      anon_sym_RBRACE,
    STATE(4540), 1,
      sym_comment,
    STATE(5814), 1,
      aux_sym_object_repeat1,
    ACTIONS(4514), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
  [159610] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4020), 1,
      anon_sym_LBRACE,
    ACTIONS(4022), 1,
      anon_sym_LBRACK,
    ACTIONS(7982), 1,
      sym_identifier,
    STATE(4541), 1,
      sym_comment,
    STATE(4584), 1,
      sym__destructuring_pattern,
    STATE(5755), 1,
      sym_variable_declarator,
    STATE(4667), 2,
      sym_object_pattern,
      sym_array_pattern,
  [159639] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7978), 1,
      anon_sym_LBRACE,
    STATE(4542), 1,
      sym_comment,
    STATE(6958), 1,
      sym_statement_block,
    ACTIONS(8012), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [159662] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    ACTIONS(7162), 1,
      anon_sym_COLON,
    STATE(4543), 1,
      sym_comment,
    STATE(5043), 1,
      sym_type_annotation,
    STATE(6360), 1,
      sym__initializer,
    ACTIONS(7420), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [159689] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    ACTIONS(7162), 1,
      anon_sym_COLON,
    STATE(4544), 1,
      sym_comment,
    STATE(5236), 1,
      sym_type_annotation,
    STATE(5922), 1,
      sym__initializer,
    ACTIONS(7370), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [159716] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    ACTIONS(7162), 1,
      anon_sym_COLON,
    STATE(4545), 1,
      sym_comment,
    STATE(5040), 1,
      sym_type_annotation,
    STATE(6359), 1,
      sym__initializer,
    ACTIONS(7420), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [159743] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1902), 1,
      anon_sym_LT,
    ACTIONS(7994), 1,
      anon_sym_LPAREN,
    ACTIONS(8014), 1,
      sym_identifier,
    ACTIONS(8016), 1,
      anon_sym_STAR,
    STATE(4546), 1,
      sym_comment,
    STATE(4790), 1,
      sym_formal_parameters,
    STATE(6683), 1,
      sym_type_parameters,
    STATE(7098), 1,
      sym__call_signature,
  [159774] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    ACTIONS(7162), 1,
      anon_sym_COLON,
    STATE(4547), 1,
      sym_comment,
    STATE(5469), 1,
      sym_type_annotation,
    STATE(6045), 1,
      sym__initializer,
    ACTIONS(7370), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [159801] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4548), 1,
      sym_comment,
    ACTIONS(8018), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_PIPE_RBRACE,
  [159820] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7978), 1,
      anon_sym_LBRACE,
    STATE(4549), 1,
      sym_comment,
    STATE(6624), 1,
      sym_statement_block,
    ACTIONS(8006), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [159843] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7544), 1,
      anon_sym_LBRACE,
    ACTIONS(7546), 1,
      anon_sym_extends,
    ACTIONS(7548), 1,
      anon_sym_implements,
    STATE(3314), 1,
      sym_class_body,
    STATE(4550), 1,
      sym_comment,
    STATE(6029), 1,
      sym_extends_clause,
    STATE(6762), 1,
      sym_class_heritage,
    STATE(7191), 1,
      sym_implements_clause,
  [159874] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4551), 1,
      sym_comment,
    ACTIONS(5914), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_COLON,
  [159893] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4091), 1,
      anon_sym_DQUOTE,
    ACTIONS(4093), 1,
      anon_sym_SQUOTE,
    ACTIONS(8020), 1,
      sym_identifier,
    ACTIONS(8022), 1,
      anon_sym_DOT,
    STATE(925), 1,
      sym_nested_identifier,
    STATE(1032), 1,
      sym_string,
    STATE(1357), 1,
      sym__module,
    STATE(4552), 1,
      sym_comment,
  [159924] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8024), 1,
      anon_sym_LBRACE,
    ACTIONS(8026), 1,
      anon_sym_LT,
    ACTIONS(8028), 1,
      anon_sym_extends,
    ACTIONS(8030), 1,
      anon_sym_LBRACE_PIPE,
    STATE(1283), 1,
      sym_object_type,
    STATE(4553), 1,
      sym_comment,
    STATE(5290), 1,
      sym_type_parameters,
    STATE(6392), 1,
      sym_extends_type_clause,
  [159955] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    ACTIONS(7162), 1,
      anon_sym_COLON,
    STATE(4554), 1,
      sym_comment,
    STATE(5037), 1,
      sym_type_annotation,
    STATE(6355), 1,
      sym__initializer,
    ACTIONS(7404), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [159982] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7546), 1,
      anon_sym_extends,
    ACTIONS(7548), 1,
      anon_sym_implements,
    ACTIONS(7680), 1,
      anon_sym_LBRACE,
    STATE(1015), 1,
      sym_class_body,
    STATE(4555), 1,
      sym_comment,
    STATE(6029), 1,
      sym_extends_clause,
    STATE(6635), 1,
      sym_class_heritage,
    STATE(7191), 1,
      sym_implements_clause,
  [160013] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4141), 1,
      anon_sym_LT,
    ACTIONS(7984), 1,
      sym_identifier,
    ACTIONS(8032), 1,
      anon_sym_LPAREN,
    STATE(2670), 1,
      sym_arguments,
    STATE(4556), 1,
      sym_comment,
    STATE(6803), 1,
      sym_type_arguments,
    ACTIONS(7988), 2,
      anon_sym_LBRACK,
      sym_private_property_identifier,
  [160042] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    ACTIONS(7162), 1,
      anon_sym_COLON,
    STATE(4557), 1,
      sym_comment,
    STATE(5119), 1,
      sym_type_annotation,
    STATE(6211), 1,
      sym__initializer,
    ACTIONS(8034), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [160069] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4558), 1,
      sym_comment,
    ACTIONS(2253), 7,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [160088] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7978), 1,
      anon_sym_LBRACE,
    STATE(4559), 1,
      sym_comment,
    STATE(6766), 1,
      sym_statement_block,
    ACTIONS(8036), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [160111] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8038), 1,
      anon_sym_EQ,
    STATE(4560), 1,
      sym_comment,
    ACTIONS(4255), 6,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [160132] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7162), 1,
      anon_sym_COLON,
    STATE(4561), 1,
      sym_comment,
    STATE(5247), 1,
      sym_type_annotation,
    ACTIONS(8041), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [160155] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1902), 1,
      anon_sym_LT,
    ACTIONS(7994), 1,
      anon_sym_LPAREN,
    ACTIONS(8043), 1,
      sym_identifier,
    ACTIONS(8045), 1,
      anon_sym_STAR,
    STATE(4562), 1,
      sym_comment,
    STATE(4790), 1,
      sym_formal_parameters,
    STATE(6573), 1,
      sym__call_signature,
    STATE(6683), 1,
      sym_type_parameters,
  [160186] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4563), 1,
      sym_comment,
    ACTIONS(7824), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_COLON,
  [160205] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7546), 1,
      anon_sym_extends,
    ACTIONS(7548), 1,
      anon_sym_implements,
    ACTIONS(7644), 1,
      anon_sym_LBRACE,
    STATE(945), 1,
      sym_class_body,
    STATE(4564), 1,
      sym_comment,
    STATE(6029), 1,
      sym_extends_clause,
    STATE(6625), 1,
      sym_class_heritage,
    STATE(7191), 1,
      sym_implements_clause,
  [160236] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7546), 1,
      anon_sym_extends,
    ACTIONS(7548), 1,
      anon_sym_implements,
    ACTIONS(7682), 1,
      anon_sym_LBRACE,
    STATE(4565), 1,
      sym_comment,
    STATE(5352), 1,
      sym_class_body,
    STATE(6029), 1,
      sym_extends_clause,
    STATE(6814), 1,
      sym_class_heritage,
    STATE(7191), 1,
      sym_implements_clause,
  [160267] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    ACTIONS(7162), 1,
      anon_sym_COLON,
    STATE(4566), 1,
      sym_comment,
    STATE(5205), 1,
      sym_type_annotation,
    STATE(6074), 1,
      sym__initializer,
    ACTIONS(7404), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [160294] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(209), 1,
      anon_sym_LBRACE,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8026), 1,
      anon_sym_LT,
    ACTIONS(8028), 1,
      anon_sym_extends,
    ACTIONS(8047), 1,
      anon_sym_LBRACE_PIPE,
    STATE(4567), 1,
      sym_comment,
    STATE(5402), 1,
      sym_type_parameters,
    STATE(6262), 1,
      sym_extends_type_clause,
    STATE(7116), 1,
      sym_object_type,
  [160325] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7978), 1,
      anon_sym_LBRACE,
    STATE(4568), 1,
      sym_comment,
    STATE(6796), 1,
      sym_statement_block,
    ACTIONS(8049), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [160348] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(8051), 1,
      sym_identifier,
    ACTIONS(8053), 1,
      anon_sym_DOT,
    STATE(4569), 1,
      sym_comment,
    STATE(5470), 1,
      sym_nested_identifier,
    STATE(5576), 1,
      sym_string,
    STATE(6960), 1,
      sym__module,
  [160379] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4570), 1,
      sym_comment,
    ACTIONS(5926), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_COLON,
  [160398] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7978), 1,
      anon_sym_LBRACE,
    STATE(4571), 1,
      sym_comment,
    STATE(6794), 1,
      sym_statement_block,
    ACTIONS(8055), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [160421] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    ACTIONS(7162), 1,
      anon_sym_COLON,
    STATE(4572), 1,
      sym_comment,
    STATE(5421), 1,
      sym_type_annotation,
    STATE(6073), 1,
      sym__initializer,
    ACTIONS(7404), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [160448] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    ACTIONS(7162), 1,
      anon_sym_COLON,
    STATE(4573), 1,
      sym_comment,
    STATE(5426), 1,
      sym_type_annotation,
    STATE(6070), 1,
      sym__initializer,
    ACTIONS(7404), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [160475] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    ACTIONS(7162), 1,
      anon_sym_COLON,
    STATE(4574), 1,
      sym_comment,
    STATE(5427), 1,
      sym_type_annotation,
    STATE(6068), 1,
      sym__initializer,
    ACTIONS(7404), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [160502] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    ACTIONS(7162), 1,
      anon_sym_COLON,
    STATE(4575), 1,
      sym_comment,
    STATE(4994), 1,
      sym_type_annotation,
    STATE(6280), 1,
      sym__initializer,
    ACTIONS(7420), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [160529] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    ACTIONS(7162), 1,
      anon_sym_COLON,
    STATE(4576), 1,
      sym_comment,
    STATE(4996), 1,
      sym_type_annotation,
    STATE(6282), 1,
      sym__initializer,
    ACTIONS(7420), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [160556] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7546), 1,
      anon_sym_extends,
    ACTIONS(7548), 1,
      anon_sym_implements,
    ACTIONS(7696), 1,
      anon_sym_LBRACE,
    STATE(4577), 1,
      sym_comment,
    STATE(6029), 1,
      sym_extends_clause,
    STATE(6846), 1,
      sym_class_body,
    STATE(7014), 1,
      sym_class_heritage,
    STATE(7191), 1,
      sym_implements_clause,
  [160587] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1902), 1,
      anon_sym_LT,
    ACTIONS(7994), 1,
      anon_sym_LPAREN,
    ACTIONS(8057), 1,
      sym_identifier,
    ACTIONS(8059), 1,
      anon_sym_STAR,
    STATE(4578), 1,
      sym_comment,
    STATE(4790), 1,
      sym_formal_parameters,
    STATE(6683), 1,
      sym_type_parameters,
    STATE(7098), 1,
      sym__call_signature,
  [160618] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    ACTIONS(7162), 1,
      anon_sym_COLON,
    STATE(4579), 1,
      sym_comment,
    STATE(5312), 1,
      sym_type_annotation,
    STATE(6105), 1,
      sym__initializer,
    ACTIONS(7368), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [160645] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    ACTIONS(7162), 1,
      anon_sym_COLON,
    STATE(4580), 1,
      sym_comment,
    STATE(5434), 1,
      sym_type_annotation,
    STATE(6061), 1,
      sym__initializer,
    ACTIONS(7404), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [160672] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7978), 1,
      anon_sym_LBRACE,
    STATE(4581), 1,
      sym_comment,
    STATE(6490), 1,
      sym_statement_block,
    ACTIONS(8061), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [160695] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    ACTIONS(7162), 1,
      anon_sym_COLON,
    STATE(4582), 1,
      sym_comment,
    STATE(5141), 1,
      sym_type_annotation,
    STATE(6435), 1,
      sym__initializer,
    ACTIONS(7420), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [160722] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7978), 1,
      anon_sym_LBRACE,
    STATE(4583), 1,
      sym_comment,
    STATE(6995), 1,
      sym_statement_block,
    ACTIONS(8036), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [160745] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    ACTIONS(7162), 1,
      anon_sym_COLON,
    STATE(4584), 1,
      sym_comment,
    STATE(5145), 1,
      sym_type_annotation,
    STATE(6463), 1,
      sym__initializer,
    ACTIONS(7466), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [160772] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7546), 1,
      anon_sym_extends,
    ACTIONS(7548), 1,
      anon_sym_implements,
    ACTIONS(7674), 1,
      anon_sym_LBRACE,
    STATE(3420), 1,
      sym_class_body,
    STATE(4585), 1,
      sym_comment,
    STATE(6029), 1,
      sym_extends_clause,
    STATE(6741), 1,
      sym_class_heritage,
    STATE(7191), 1,
      sym_implements_clause,
  [160803] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    ACTIONS(7162), 1,
      anon_sym_COLON,
    STATE(4586), 1,
      sym_comment,
    STATE(5330), 1,
      sym_type_annotation,
    STATE(6349), 1,
      sym__initializer,
    ACTIONS(7370), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [160830] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4008), 1,
      anon_sym_DQUOTE,
    ACTIONS(4010), 1,
      anon_sym_SQUOTE,
    ACTIONS(8063), 1,
      sym_identifier,
    ACTIONS(8065), 1,
      anon_sym_DOT,
    STATE(1194), 1,
      sym_nested_identifier,
    STATE(1215), 1,
      sym_string,
    STATE(1581), 1,
      sym__module,
    STATE(4587), 1,
      sym_comment,
  [160861] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7544), 1,
      anon_sym_LBRACE,
    ACTIONS(7546), 1,
      anon_sym_extends,
    ACTIONS(7548), 1,
      anon_sym_implements,
    STATE(3250), 1,
      sym_class_body,
    STATE(4588), 1,
      sym_comment,
    STATE(6029), 1,
      sym_extends_clause,
    STATE(6585), 1,
      sym_class_heritage,
    STATE(7191), 1,
      sym_implements_clause,
  [160892] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(128), 1,
      anon_sym_import,
    ACTIONS(8067), 1,
      sym_identifier,
    STATE(3885), 1,
      sym__type_query_member_expression,
    STATE(3886), 1,
      sym__type_query_subscript_expression,
    STATE(4157), 1,
      sym__type_query_call_expression,
    STATE(4350), 1,
      sym__type_query_instantiation_expression,
    STATE(4589), 1,
      sym_comment,
    STATE(5656), 1,
      sym_import,
  [160923] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7162), 1,
      anon_sym_COLON,
    STATE(4590), 1,
      sym_comment,
    STATE(5075), 1,
      sym_type_annotation,
    ACTIONS(8069), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [160946] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    ACTIONS(7162), 1,
      anon_sym_COLON,
    STATE(4591), 1,
      sym_comment,
    STATE(5303), 1,
      sym_type_annotation,
    STATE(6108), 1,
      sym__initializer,
    ACTIONS(7368), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [160973] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4592), 1,
      sym_comment,
    ACTIONS(6452), 7,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
  [160992] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7546), 1,
      anon_sym_extends,
    ACTIONS(7548), 1,
      anon_sym_implements,
    ACTIONS(7674), 1,
      anon_sym_LBRACE,
    STATE(2689), 1,
      sym_class_body,
    STATE(4593), 1,
      sym_comment,
    STATE(6029), 1,
      sym_extends_clause,
    STATE(6731), 1,
      sym_class_heritage,
    STATE(7191), 1,
      sym_implements_clause,
  [161023] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7162), 1,
      anon_sym_COLON,
    STATE(4594), 1,
      sym_comment,
    STATE(5384), 1,
      sym_type_annotation,
    ACTIONS(8071), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [161046] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    ACTIONS(7162), 1,
      anon_sym_COLON,
    STATE(4595), 1,
      sym_comment,
    STATE(5059), 1,
      sym_type_annotation,
    STATE(5983), 1,
      sym__initializer,
    ACTIONS(7368), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [161073] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    ACTIONS(7162), 1,
      anon_sym_COLON,
    STATE(4596), 1,
      sym_comment,
    STATE(5129), 1,
      sym_type_annotation,
    STATE(6210), 1,
      sym__initializer,
    ACTIONS(8034), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [161100] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7546), 1,
      anon_sym_extends,
    ACTIONS(7548), 1,
      anon_sym_implements,
    ACTIONS(7562), 1,
      anon_sym_LBRACE,
    STATE(1546), 1,
      sym_class_body,
    STATE(4597), 1,
      sym_comment,
    STATE(6029), 1,
      sym_extends_clause,
    STATE(6482), 1,
      sym_class_heritage,
    STATE(7191), 1,
      sym_implements_clause,
  [161131] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4020), 1,
      anon_sym_LBRACE,
    ACTIONS(4022), 1,
      anon_sym_LBRACK,
    ACTIONS(7982), 1,
      sym_identifier,
    STATE(4584), 1,
      sym__destructuring_pattern,
    STATE(4598), 1,
      sym_comment,
    STATE(5725), 1,
      sym_variable_declarator,
    STATE(4667), 2,
      sym_object_pattern,
      sym_array_pattern,
  [161160] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4599), 1,
      sym_comment,
    ACTIONS(4322), 7,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
  [161179] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4600), 1,
      sym_comment,
    ACTIONS(2083), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_PIPE_RBRACE,
  [161198] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7978), 1,
      anon_sym_LBRACE,
    STATE(4601), 1,
      sym_comment,
    STATE(6690), 1,
      sym_statement_block,
    ACTIONS(8055), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [161221] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7546), 1,
      anon_sym_extends,
    ACTIONS(7548), 1,
      anon_sym_implements,
    ACTIONS(7680), 1,
      anon_sym_LBRACE,
    STATE(983), 1,
      sym_class_body,
    STATE(4602), 1,
      sym_comment,
    STATE(6029), 1,
      sym_extends_clause,
    STATE(6653), 1,
      sym_class_heritage,
    STATE(7191), 1,
      sym_implements_clause,
  [161252] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7978), 1,
      anon_sym_LBRACE,
    STATE(4603), 1,
      sym_comment,
    STATE(6684), 1,
      sym_statement_block,
    ACTIONS(8049), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [161275] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    ACTIONS(7162), 1,
      anon_sym_COLON,
    STATE(4604), 1,
      sym_comment,
    STATE(5364), 1,
      sym_type_annotation,
    STATE(6009), 1,
      sym__initializer,
    ACTIONS(7370), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [161302] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7544), 1,
      anon_sym_LBRACE,
    ACTIONS(7546), 1,
      anon_sym_extends,
    ACTIONS(7548), 1,
      anon_sym_implements,
    STATE(3286), 1,
      sym_class_body,
    STATE(4605), 1,
      sym_comment,
    STATE(6029), 1,
      sym_extends_clause,
    STATE(7110), 1,
      sym_class_heritage,
    STATE(7191), 1,
      sym_implements_clause,
  [161333] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    ACTIONS(7162), 1,
      anon_sym_COLON,
    STATE(4606), 1,
      sym_comment,
    STATE(5003), 1,
      sym_type_annotation,
    STATE(5805), 1,
      sym__initializer,
    ACTIONS(7370), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [161360] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(128), 1,
      anon_sym_import,
    ACTIONS(8073), 1,
      sym_identifier,
    STATE(2356), 1,
      sym__type_query_subscript_expression,
    STATE(2357), 1,
      sym__type_query_member_expression,
    STATE(2483), 1,
      sym__type_query_instantiation_expression,
    STATE(2484), 1,
      sym__type_query_call_expression,
    STATE(4607), 1,
      sym_comment,
    STATE(5575), 1,
      sym_import,
  [161391] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    ACTIONS(7162), 1,
      anon_sym_COLON,
    STATE(4608), 1,
      sym_comment,
    STATE(5176), 1,
      sym_type_annotation,
    STATE(6454), 1,
      sym__initializer,
    ACTIONS(7404), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [161418] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    ACTIONS(7162), 1,
      anon_sym_COLON,
    STATE(4609), 1,
      sym_comment,
    STATE(5117), 1,
      sym_type_annotation,
    STATE(6216), 1,
      sym__initializer,
    ACTIONS(7404), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [161445] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4610), 1,
      sym_comment,
    ACTIONS(4339), 7,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
  [161464] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    ACTIONS(7162), 1,
      anon_sym_COLON,
    STATE(4611), 1,
      sym_comment,
    STATE(5420), 1,
      sym_type_annotation,
    STATE(6235), 1,
      sym__initializer,
    ACTIONS(7370), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [161491] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7546), 1,
      anon_sym_extends,
    ACTIONS(7548), 1,
      anon_sym_implements,
    ACTIONS(7694), 1,
      anon_sym_LBRACE,
    STATE(1195), 1,
      sym_class_body,
    STATE(4612), 1,
      sym_comment,
    STATE(6029), 1,
      sym_extends_clause,
    STATE(6546), 1,
      sym_class_heritage,
    STATE(7191), 1,
      sym_implements_clause,
  [161522] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    ACTIONS(7162), 1,
      anon_sym_COLON,
    STATE(4613), 1,
      sym_comment,
    STATE(5337), 1,
      sym_type_annotation,
    STATE(6336), 1,
      sym__initializer,
    ACTIONS(7370), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [161549] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4614), 1,
      sym_comment,
    ACTIONS(7784), 7,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
  [161568] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7546), 1,
      anon_sym_extends,
    ACTIONS(7548), 1,
      anon_sym_implements,
    ACTIONS(7626), 1,
      anon_sym_LBRACE,
    STATE(405), 1,
      sym_class_body,
    STATE(4615), 1,
      sym_comment,
    STATE(6029), 1,
      sym_extends_clause,
    STATE(6751), 1,
      sym_class_heritage,
    STATE(7191), 1,
      sym_implements_clause,
  [161599] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7546), 1,
      anon_sym_extends,
    ACTIONS(7548), 1,
      anon_sym_implements,
    ACTIONS(7646), 1,
      anon_sym_LBRACE,
    STATE(1484), 1,
      sym_class_body,
    STATE(4616), 1,
      sym_comment,
    STATE(6029), 1,
      sym_extends_clause,
    STATE(6865), 1,
      sym_class_heritage,
    STATE(7191), 1,
      sym_implements_clause,
  [161630] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7544), 1,
      anon_sym_LBRACE,
    ACTIONS(7546), 1,
      anon_sym_extends,
    ACTIONS(7548), 1,
      anon_sym_implements,
    STATE(3265), 1,
      sym_class_body,
    STATE(4617), 1,
      sym_comment,
    STATE(6029), 1,
      sym_extends_clause,
    STATE(6961), 1,
      sym_class_heritage,
    STATE(7191), 1,
      sym_implements_clause,
  [161661] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7546), 1,
      anon_sym_extends,
    ACTIONS(7548), 1,
      anon_sym_implements,
    ACTIONS(7682), 1,
      anon_sym_LBRACE,
    STATE(4618), 1,
      sym_comment,
    STATE(5912), 1,
      sym_class_body,
    STATE(6029), 1,
      sym_extends_clause,
    STATE(7041), 1,
      sym_class_heritage,
    STATE(7191), 1,
      sym_implements_clause,
  [161692] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7978), 1,
      anon_sym_LBRACE,
    STATE(4619), 1,
      sym_comment,
    STATE(6805), 1,
      sym_statement_block,
    ACTIONS(8075), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [161715] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7546), 1,
      anon_sym_extends,
    ACTIONS(7548), 1,
      anon_sym_implements,
    ACTIONS(7674), 1,
      anon_sym_LBRACE,
    STATE(2564), 1,
      sym_class_body,
    STATE(4620), 1,
      sym_comment,
    STATE(6029), 1,
      sym_extends_clause,
    STATE(7049), 1,
      sym_class_heritage,
    STATE(7191), 1,
      sym_implements_clause,
  [161746] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4621), 1,
      sym_comment,
    ACTIONS(7788), 7,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
  [161765] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    ACTIONS(7162), 1,
      anon_sym_COLON,
    STATE(4622), 1,
      sym_comment,
    STATE(5051), 1,
      sym_type_annotation,
    STATE(6376), 1,
      sym__initializer,
    ACTIONS(7420), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [161792] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    ACTIONS(7162), 1,
      anon_sym_COLON,
    STATE(4623), 1,
      sym_comment,
    STATE(5328), 1,
      sym_type_annotation,
    STATE(5978), 1,
      sym__initializer,
    ACTIONS(7370), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [161819] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8026), 1,
      anon_sym_LT,
    ACTIONS(8028), 1,
      anon_sym_extends,
    ACTIONS(8077), 1,
      anon_sym_LBRACE,
    ACTIONS(8079), 1,
      anon_sym_LBRACE_PIPE,
    STATE(1567), 1,
      sym_object_type,
    STATE(4624), 1,
      sym_comment,
    STATE(5179), 1,
      sym_type_parameters,
    STATE(5899), 1,
      sym_extends_type_clause,
  [161850] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1902), 1,
      anon_sym_LT,
    ACTIONS(7994), 1,
      anon_sym_LPAREN,
    ACTIONS(8081), 1,
      sym_identifier,
    ACTIONS(8083), 1,
      anon_sym_STAR,
    STATE(4625), 1,
      sym_comment,
    STATE(4790), 1,
      sym_formal_parameters,
    STATE(6573), 1,
      sym__call_signature,
    STATE(6683), 1,
      sym_type_parameters,
  [161881] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7546), 1,
      anon_sym_extends,
    ACTIONS(7548), 1,
      anon_sym_implements,
    ACTIONS(7584), 1,
      anon_sym_LBRACE,
    STATE(450), 1,
      sym_class_body,
    STATE(4626), 1,
      sym_comment,
    STATE(6029), 1,
      sym_extends_clause,
    STATE(6839), 1,
      sym_class_heritage,
    STATE(7191), 1,
      sym_implements_clause,
  [161912] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7162), 1,
      anon_sym_COLON,
    STATE(4627), 1,
      sym_comment,
    STATE(5008), 1,
      sym_type_annotation,
    ACTIONS(8085), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [161935] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    ACTIONS(7162), 1,
      anon_sym_COLON,
    STATE(4628), 1,
      sym_comment,
    STATE(5050), 1,
      sym_type_annotation,
    STATE(6253), 1,
      sym__initializer,
    ACTIONS(7404), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [161962] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7546), 1,
      anon_sym_extends,
    ACTIONS(7548), 1,
      anon_sym_implements,
    ACTIONS(7630), 1,
      anon_sym_LBRACE,
    STATE(1242), 1,
      sym_class_body,
    STATE(4629), 1,
      sym_comment,
    STATE(6029), 1,
      sym_extends_clause,
    STATE(6488), 1,
      sym_class_heritage,
    STATE(7191), 1,
      sym_implements_clause,
  [161993] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4630), 1,
      sym_comment,
    ACTIONS(7806), 7,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
  [162012] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8087), 1,
      anon_sym_EQ,
    STATE(4631), 1,
      sym_comment,
    ACTIONS(4242), 6,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [162033] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    ACTIONS(7162), 1,
      anon_sym_COLON,
    STATE(4632), 1,
      sym_comment,
    STATE(5162), 1,
      sym_type_annotation,
    STATE(5888), 1,
      sym__initializer,
    ACTIONS(7418), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [162060] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1902), 1,
      anon_sym_LT,
    ACTIONS(7994), 1,
      anon_sym_LPAREN,
    ACTIONS(8089), 1,
      sym_identifier,
    ACTIONS(8091), 1,
      anon_sym_STAR,
    STATE(4633), 1,
      sym_comment,
    STATE(4790), 1,
      sym_formal_parameters,
    STATE(6573), 1,
      sym__call_signature,
    STATE(6683), 1,
      sym_type_parameters,
  [162091] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    ACTIONS(7162), 1,
      anon_sym_COLON,
    STATE(4634), 1,
      sym_comment,
    STATE(5323), 1,
      sym_type_annotation,
    STATE(6353), 1,
      sym__initializer,
    ACTIONS(7370), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [162118] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1342), 1,
      anon_sym_LBRACE,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8026), 1,
      anon_sym_LT,
    ACTIONS(8028), 1,
      anon_sym_extends,
    ACTIONS(8093), 1,
      anon_sym_LBRACE_PIPE,
    STATE(4635), 1,
      sym_comment,
    STATE(5502), 1,
      sym_type_parameters,
    STATE(5544), 1,
      sym_object_type,
    STATE(6139), 1,
      sym_extends_type_clause,
  [162149] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4636), 1,
      sym_comment,
    ACTIONS(7818), 7,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
  [162168] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4020), 1,
      anon_sym_LBRACE,
    ACTIONS(4022), 1,
      anon_sym_LBRACK,
    ACTIONS(8095), 1,
      sym_identifier,
    STATE(4337), 1,
      sym__destructuring_pattern,
    STATE(4637), 1,
      sym_comment,
    STATE(5577), 1,
      sym_variable_declarator,
    STATE(4667), 2,
      sym_object_pattern,
      sym_array_pattern,
  [162197] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4020), 1,
      anon_sym_LBRACE,
    ACTIONS(4022), 1,
      anon_sym_LBRACK,
    ACTIONS(7982), 1,
      sym_identifier,
    STATE(4584), 1,
      sym__destructuring_pattern,
    STATE(4638), 1,
      sym_comment,
    STATE(5686), 1,
      sym_variable_declarator,
    STATE(4667), 2,
      sym_object_pattern,
      sym_array_pattern,
  [162226] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7544), 1,
      anon_sym_LBRACE,
    ACTIONS(7546), 1,
      anon_sym_extends,
    ACTIONS(7548), 1,
      anon_sym_implements,
    STATE(3169), 1,
      sym_class_body,
    STATE(4639), 1,
      sym_comment,
    STATE(6029), 1,
      sym_extends_clause,
    STATE(6764), 1,
      sym_class_heritage,
    STATE(7191), 1,
      sym_implements_clause,
  [162257] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4129), 1,
      anon_sym_LPAREN,
    ACTIONS(8099), 1,
      anon_sym_DOT,
    STATE(4640), 1,
      sym_comment,
    STATE(5689), 1,
      sym_arguments,
    ACTIONS(8097), 4,
      anon_sym_export,
      anon_sym_class,
      anon_sym_AT,
      anon_sym_abstract,
  [162282] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(8101), 1,
      sym_identifier,
    ACTIONS(8103), 1,
      anon_sym_DOT,
    STATE(4467), 1,
      sym_nested_identifier,
    STATE(4641), 1,
      sym_comment,
    STATE(4692), 1,
      sym_string,
    STATE(5250), 1,
      sym__module,
  [162313] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4642), 1,
      sym_comment,
    ACTIONS(2195), 7,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_DOT,
      anon_sym_SLASH_GT,
      anon_sym_LT,
      sym_identifier,
  [162332] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4643), 1,
      sym_comment,
    ACTIONS(2081), 7,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_DOT,
      anon_sym_SLASH_GT,
      anon_sym_LT,
      sym_identifier,
  [162351] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4644), 1,
      sym_comment,
    ACTIONS(7560), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_COLON,
  [162370] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4645), 1,
      sym_comment,
    ACTIONS(7592), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_COLON,
  [162389] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7546), 1,
      anon_sym_extends,
    ACTIONS(7548), 1,
      anon_sym_implements,
    ACTIONS(7554), 1,
      anon_sym_LBRACE,
    STATE(336), 1,
      sym_class_body,
    STATE(4646), 1,
      sym_comment,
    STATE(6029), 1,
      sym_extends_clause,
    STATE(6602), 1,
      sym_class_heritage,
    STATE(7191), 1,
      sym_implements_clause,
  [162420] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4020), 1,
      anon_sym_LBRACE,
    ACTIONS(4022), 1,
      anon_sym_LBRACK,
    ACTIONS(7982), 1,
      sym_identifier,
    STATE(4584), 1,
      sym__destructuring_pattern,
    STATE(4647), 1,
      sym_comment,
    STATE(5758), 1,
      sym_variable_declarator,
    STATE(4667), 2,
      sym_object_pattern,
      sym_array_pattern,
  [162449] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    ACTIONS(7162), 1,
      anon_sym_COLON,
    STATE(4648), 1,
      sym_comment,
    STATE(5031), 1,
      sym_type_annotation,
    STATE(6350), 1,
      sym__initializer,
    ACTIONS(7420), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [162476] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1902), 1,
      anon_sym_LT,
    ACTIONS(7994), 1,
      anon_sym_LPAREN,
    ACTIONS(8105), 1,
      sym_identifier,
    ACTIONS(8107), 1,
      anon_sym_STAR,
    STATE(4649), 1,
      sym_comment,
    STATE(4790), 1,
      sym_formal_parameters,
    STATE(6683), 1,
      sym_type_parameters,
    STATE(7098), 1,
      sym__call_signature,
  [162507] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    ACTIONS(7162), 1,
      anon_sym_COLON,
    STATE(4650), 1,
      sym_comment,
    STATE(5029), 1,
      sym_type_annotation,
    STATE(6348), 1,
      sym__initializer,
    ACTIONS(7420), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [162534] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4020), 1,
      anon_sym_LBRACE,
    ACTIONS(4022), 1,
      anon_sym_LBRACK,
    ACTIONS(7982), 1,
      sym_identifier,
    STATE(4584), 1,
      sym__destructuring_pattern,
    STATE(4651), 1,
      sym_comment,
    STATE(5740), 1,
      sym_variable_declarator,
    STATE(4667), 2,
      sym_object_pattern,
      sym_array_pattern,
  [162563] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    ACTIONS(7162), 1,
      anon_sym_COLON,
    STATE(4652), 1,
      sym_comment,
    STATE(5314), 1,
      sym_type_annotation,
    STATE(6265), 1,
      sym__initializer,
    ACTIONS(7404), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [162590] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7546), 1,
      anon_sym_extends,
    ACTIONS(7548), 1,
      anon_sym_implements,
    ACTIONS(7674), 1,
      anon_sym_LBRACE,
    STATE(3452), 1,
      sym_class_body,
    STATE(4653), 1,
      sym_comment,
    STATE(6029), 1,
      sym_extends_clause,
    STATE(7008), 1,
      sym_class_heritage,
    STATE(7191), 1,
      sym_implements_clause,
  [162621] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7546), 1,
      anon_sym_extends,
    ACTIONS(7548), 1,
      anon_sym_implements,
    ACTIONS(7550), 1,
      anon_sym_LBRACE,
    STATE(370), 1,
      sym_class_body,
    STATE(4654), 1,
      sym_comment,
    STATE(6029), 1,
      sym_extends_clause,
    STATE(6874), 1,
      sym_class_heritage,
    STATE(7191), 1,
      sym_implements_clause,
  [162652] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4655), 1,
      sym_comment,
    ACTIONS(5920), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_COLON,
  [162671] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7544), 1,
      anon_sym_LBRACE,
    ACTIONS(7546), 1,
      anon_sym_extends,
    ACTIONS(7548), 1,
      anon_sym_implements,
    STATE(3095), 1,
      sym_class_body,
    STATE(4656), 1,
      sym_comment,
    STATE(6029), 1,
      sym_extends_clause,
    STATE(6492), 1,
      sym_class_heritage,
    STATE(7191), 1,
      sym_implements_clause,
  [162702] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4020), 1,
      anon_sym_LBRACE,
    ACTIONS(4022), 1,
      anon_sym_LBRACK,
    ACTIONS(7982), 1,
      sym_identifier,
    STATE(4584), 1,
      sym__destructuring_pattern,
    STATE(4657), 1,
      sym_comment,
    STATE(5759), 1,
      sym_variable_declarator,
    STATE(4667), 2,
      sym_object_pattern,
      sym_array_pattern,
  [162731] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7546), 1,
      anon_sym_extends,
    ACTIONS(7548), 1,
      anon_sym_implements,
    ACTIONS(7552), 1,
      anon_sym_LBRACE,
    STATE(1132), 1,
      sym_class_body,
    STATE(4658), 1,
      sym_comment,
    STATE(6029), 1,
      sym_extends_clause,
    STATE(6897), 1,
      sym_class_heritage,
    STATE(7191), 1,
      sym_implements_clause,
  [162762] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    ACTIONS(7162), 1,
      anon_sym_COLON,
    STATE(4659), 1,
      sym_comment,
    STATE(5282), 1,
      sym_type_annotation,
    STATE(5934), 1,
      sym__initializer,
    ACTIONS(7370), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [162789] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    ACTIONS(7162), 1,
      anon_sym_COLON,
    STATE(4660), 1,
      sym_comment,
    STATE(5053), 1,
      sym_type_annotation,
    STATE(6367), 1,
      sym__initializer,
    ACTIONS(7420), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [162816] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7546), 1,
      anon_sym_extends,
    ACTIONS(7548), 1,
      anon_sym_implements,
    ACTIONS(7696), 1,
      anon_sym_LBRACE,
    STATE(4661), 1,
      sym_comment,
    STATE(6029), 1,
      sym_extends_clause,
    STATE(6717), 1,
      sym_class_body,
    STATE(7106), 1,
      sym_class_heritage,
    STATE(7191), 1,
      sym_implements_clause,
  [162847] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7160), 1,
      anon_sym_LPAREN,
    ACTIONS(7164), 1,
      anon_sym_LT,
    ACTIONS(8109), 1,
      anon_sym_COLON,
    ACTIONS(8111), 1,
      anon_sym_QMARK,
    STATE(4662), 1,
      sym_comment,
    STATE(4790), 1,
      sym_formal_parameters,
    STATE(6683), 1,
      sym_type_parameters,
    STATE(6786), 1,
      sym__call_signature,
  [162878] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    ACTIONS(7162), 1,
      anon_sym_COLON,
    STATE(4663), 1,
      sym_comment,
    STATE(5022), 1,
      sym_type_annotation,
    STATE(6335), 1,
      sym__initializer,
    ACTIONS(7420), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [162905] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4664), 1,
      sym_comment,
    ACTIONS(8113), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_PIPE_RBRACE,
  [162924] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1902), 1,
      anon_sym_LT,
    ACTIONS(7994), 1,
      anon_sym_LPAREN,
    ACTIONS(8115), 1,
      sym_identifier,
    ACTIONS(8117), 1,
      anon_sym_STAR,
    STATE(4665), 1,
      sym_comment,
    STATE(4790), 1,
      sym_formal_parameters,
    STATE(6573), 1,
      sym__call_signature,
    STATE(6683), 1,
      sym_type_parameters,
  [162955] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7546), 1,
      anon_sym_extends,
    ACTIONS(7548), 1,
      anon_sym_implements,
    ACTIONS(7694), 1,
      anon_sym_LBRACE,
    STATE(1148), 1,
      sym_class_body,
    STATE(4666), 1,
      sym_comment,
    STATE(6029), 1,
      sym_extends_clause,
    STATE(6495), 1,
      sym_class_heritage,
    STATE(7191), 1,
      sym_implements_clause,
  [162986] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4667), 1,
      sym_comment,
    ACTIONS(7652), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_COLON,
  [163005] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    ACTIONS(7162), 1,
      anon_sym_COLON,
    STATE(4668), 1,
      sym_comment,
    STATE(5023), 1,
      sym_type_annotation,
    STATE(6263), 1,
      sym__initializer,
    ACTIONS(7420), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [163032] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7160), 1,
      anon_sym_LPAREN,
    ACTIONS(7164), 1,
      anon_sym_LT,
    ACTIONS(8111), 1,
      anon_sym_QMARK,
    ACTIONS(8119), 1,
      anon_sym_COLON,
    STATE(4669), 1,
      sym_comment,
    STATE(4790), 1,
      sym_formal_parameters,
    STATE(6683), 1,
      sym_type_parameters,
    STATE(6786), 1,
      sym__call_signature,
  [163063] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4670), 1,
      sym_comment,
    ACTIONS(8121), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_PIPE_RBRACE,
  [163082] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8123), 1,
      sym__automatic_semicolon,
    STATE(4671), 1,
      sym_comment,
    ACTIONS(2103), 6,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [163103] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4020), 1,
      anon_sym_LBRACE,
    ACTIONS(4022), 1,
      anon_sym_LBRACK,
    ACTIONS(7982), 1,
      sym_identifier,
    STATE(4584), 1,
      sym__destructuring_pattern,
    STATE(4672), 1,
      sym_comment,
    STATE(5659), 1,
      sym_variable_declarator,
    STATE(4667), 2,
      sym_object_pattern,
      sym_array_pattern,
  [163132] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4226), 1,
      anon_sym_COLON,
    ACTIONS(8125), 1,
      anon_sym_EQ,
    ACTIONS(8129), 1,
      anon_sym_QMARK,
    STATE(4673), 1,
      sym_comment,
    STATE(5637), 1,
      sym_type_annotation,
    STATE(6753), 1,
      sym__initializer,
    ACTIONS(8127), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [163161] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    ACTIONS(7162), 1,
      anon_sym_COLON,
    STATE(4674), 1,
      sym_comment,
    STATE(5284), 1,
      sym_type_annotation,
    STATE(5943), 1,
      sym__initializer,
    ACTIONS(7370), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [163188] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    ACTIONS(7162), 1,
      anon_sym_COLON,
    STATE(4675), 1,
      sym_comment,
    STATE(5187), 1,
      sym_type_annotation,
    STATE(6471), 1,
      sym__initializer,
    ACTIONS(8131), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [163215] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    ACTIONS(7162), 1,
      anon_sym_COLON,
    STATE(4676), 1,
      sym_comment,
    STATE(5013), 1,
      sym_type_annotation,
    STATE(5796), 1,
      sym__initializer,
    ACTIONS(7370), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [163242] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(7426), 1,
      sym_identifier,
    ACTIONS(7512), 1,
      anon_sym_type,
    STATE(4677), 1,
      sym_comment,
    STATE(5681), 1,
      sym_string,
    STATE(6598), 1,
      sym__import_identifier,
    STATE(7531), 1,
      sym__module_export_name,
  [163273] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8133), 1,
      anon_sym_EQ,
    STATE(4678), 1,
      sym_comment,
    STATE(5735), 1,
      sym_constraint,
    STATE(6626), 1,
      sym_default_type,
    ACTIONS(8135), 2,
      anon_sym_COMMA,
      anon_sym_GT,
    ACTIONS(8137), 2,
      anon_sym_COLON,
      anon_sym_extends,
  [163300] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7978), 1,
      anon_sym_LBRACE,
    STATE(4679), 1,
      sym_comment,
    STATE(6640), 1,
      sym_statement_block,
    ACTIONS(8139), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [163323] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(7351), 1,
      anon_sym_COLON,
    ACTIONS(8143), 1,
      anon_sym_EQ,
    STATE(4680), 1,
      sym_comment,
    ACTIONS(8141), 5,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
      sym_identifier,
  [163346] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4681), 1,
      sym_comment,
    ACTIONS(2197), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_PIPE_RBRACE,
  [163365] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1902), 1,
      anon_sym_LT,
    ACTIONS(7994), 1,
      anon_sym_LPAREN,
    ACTIONS(8145), 1,
      sym_identifier,
    ACTIONS(8147), 1,
      anon_sym_STAR,
    STATE(4682), 1,
      sym_comment,
    STATE(4790), 1,
      sym_formal_parameters,
    STATE(6683), 1,
      sym_type_parameters,
    STATE(7098), 1,
      sym__call_signature,
  [163396] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4020), 1,
      anon_sym_LBRACE,
    ACTIONS(4022), 1,
      anon_sym_LBRACK,
    ACTIONS(7982), 1,
      sym_identifier,
    STATE(4584), 1,
      sym__destructuring_pattern,
    STATE(4683), 1,
      sym_comment,
    STATE(5687), 1,
      sym_variable_declarator,
    STATE(4667), 2,
      sym_object_pattern,
      sym_array_pattern,
  [163425] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    ACTIONS(7162), 1,
      anon_sym_COLON,
    STATE(4684), 1,
      sym_comment,
    STATE(5371), 1,
      sym_type_annotation,
    STATE(5827), 1,
      sym__initializer,
    ACTIONS(7368), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [163452] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1902), 1,
      anon_sym_LT,
    ACTIONS(7994), 1,
      anon_sym_LPAREN,
    ACTIONS(8149), 1,
      sym_identifier,
    ACTIONS(8151), 1,
      anon_sym_STAR,
    STATE(4685), 1,
      sym_comment,
    STATE(4790), 1,
      sym_formal_parameters,
    STATE(6683), 1,
      sym_type_parameters,
    STATE(6732), 1,
      sym__call_signature,
  [163483] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7546), 1,
      anon_sym_extends,
    ACTIONS(7548), 1,
      anon_sym_implements,
    ACTIONS(7630), 1,
      anon_sym_LBRACE,
    STATE(1286), 1,
      sym_class_body,
    STATE(4686), 1,
      sym_comment,
    STATE(6029), 1,
      sym_extends_clause,
    STATE(6514), 1,
      sym_class_heritage,
    STATE(7191), 1,
      sym_implements_clause,
  [163514] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    ACTIONS(7162), 1,
      anon_sym_COLON,
    STATE(4687), 1,
      sym_comment,
    STATE(5298), 1,
      sym_type_annotation,
    STATE(6371), 1,
      sym__initializer,
    ACTIONS(7370), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [163541] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4020), 1,
      anon_sym_LBRACE,
    ACTIONS(4022), 1,
      anon_sym_LBRACK,
    ACTIONS(7982), 1,
      sym_identifier,
    STATE(4584), 1,
      sym__destructuring_pattern,
    STATE(4688), 1,
      sym_comment,
    STATE(5658), 1,
      sym_variable_declarator,
    STATE(4667), 2,
      sym_object_pattern,
      sym_array_pattern,
  [163570] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    ACTIONS(7162), 1,
      anon_sym_COLON,
    STATE(4689), 1,
      sym_comment,
    STATE(5021), 1,
      sym_type_annotation,
    STATE(5791), 1,
      sym__initializer,
    ACTIONS(7370), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [163597] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7978), 1,
      anon_sym_LBRACE,
    STATE(4690), 1,
      sym_comment,
    STATE(6620), 1,
      sym_statement_block,
    ACTIONS(7980), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [163620] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1902), 1,
      anon_sym_LT,
    ACTIONS(7994), 1,
      anon_sym_LPAREN,
    ACTIONS(8153), 1,
      sym_identifier,
    ACTIONS(8155), 1,
      anon_sym_STAR,
    STATE(4691), 1,
      sym_comment,
    STATE(4790), 1,
      sym_formal_parameters,
    STATE(6683), 1,
      sym_type_parameters,
    STATE(7098), 1,
      sym__call_signature,
  [163651] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7940), 1,
      anon_sym_LBRACE,
    STATE(4692), 1,
      sym_comment,
    STATE(5010), 1,
      sym_statement_block,
    ACTIONS(2059), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [163674] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4693), 1,
      sym_comment,
    ACTIONS(4255), 7,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [163693] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8157), 1,
      anon_sym_EQ,
    ACTIONS(8159), 1,
      anon_sym_DOT,
    STATE(4694), 1,
      sym_comment,
    ACTIONS(7958), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_EQ_GT,
  [163716] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    ACTIONS(7162), 1,
      anon_sym_COLON,
    STATE(4695), 1,
      sym_comment,
    STATE(5020), 1,
      sym_type_annotation,
    STATE(6334), 1,
      sym__initializer,
    ACTIONS(7420), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [163743] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7978), 1,
      anon_sym_LBRACE,
    STATE(4696), 1,
      sym_comment,
    STATE(6617), 1,
      sym_statement_block,
    ACTIONS(8161), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [163766] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    ACTIONS(7162), 1,
      anon_sym_COLON,
    STATE(4697), 1,
      sym_comment,
    STATE(5333), 1,
      sym_type_annotation,
    STATE(6345), 1,
      sym__initializer,
    ACTIONS(7370), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [163793] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8133), 1,
      anon_sym_EQ,
    STATE(4698), 1,
      sym_comment,
    STATE(5710), 1,
      sym_constraint,
    STATE(6816), 1,
      sym_default_type,
    ACTIONS(8137), 2,
      anon_sym_COLON,
      anon_sym_extends,
    ACTIONS(8163), 2,
      anon_sym_COMMA,
      anon_sym_GT,
  [163820] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7546), 1,
      anon_sym_extends,
    ACTIONS(7548), 1,
      anon_sym_implements,
    ACTIONS(7584), 1,
      anon_sym_LBRACE,
    STATE(429), 1,
      sym_class_body,
    STATE(4699), 1,
      sym_comment,
    STATE(6029), 1,
      sym_extends_clause,
    STATE(6757), 1,
      sym_class_heritage,
    STATE(7191), 1,
      sym_implements_clause,
  [163851] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4020), 1,
      anon_sym_LBRACE,
    ACTIONS(4022), 1,
      anon_sym_LBRACK,
    ACTIONS(8165), 1,
      sym_identifier,
    STATE(4387), 1,
      sym__destructuring_pattern,
    STATE(4700), 1,
      sym_comment,
    STATE(5578), 1,
      sym_variable_declarator,
    STATE(4667), 2,
      sym_object_pattern,
      sym_array_pattern,
  [163880] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    ACTIONS(7162), 1,
      anon_sym_COLON,
    STATE(4701), 1,
      sym_comment,
    STATE(5480), 1,
      sym_type_annotation,
    STATE(6163), 1,
      sym__initializer,
    ACTIONS(7370), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [163907] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7214), 1,
      anon_sym_EQ,
    STATE(4702), 1,
      sym_comment,
    ACTIONS(8167), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(4514), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
  [163930] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    ACTIONS(7162), 1,
      anon_sym_COLON,
    STATE(4703), 1,
      sym_comment,
    STATE(5439), 1,
      sym_type_annotation,
    STATE(6057), 1,
      sym__initializer,
    ACTIONS(7366), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [163957] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(128), 1,
      anon_sym_import,
    ACTIONS(8170), 1,
      sym_identifier,
    STATE(3744), 1,
      sym__type_query_subscript_expression,
    STATE(3745), 1,
      sym__type_query_member_expression,
    STATE(3813), 1,
      sym__type_query_call_expression,
    STATE(3926), 1,
      sym__type_query_instantiation_expression,
    STATE(4704), 1,
      sym_comment,
    STATE(5732), 1,
      sym_import,
  [163988] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    ACTIONS(7162), 1,
      anon_sym_COLON,
    STATE(4705), 1,
      sym_comment,
    STATE(5089), 1,
      sym_type_annotation,
    STATE(6388), 1,
      sym__initializer,
    ACTIONS(7420), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [164015] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7978), 1,
      anon_sym_LBRACE,
    STATE(4706), 1,
      sym_comment,
    STATE(6890), 1,
      sym_statement_block,
    ACTIONS(8161), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [164038] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7544), 1,
      anon_sym_LBRACE,
    ACTIONS(7546), 1,
      anon_sym_extends,
    ACTIONS(7548), 1,
      anon_sym_implements,
    STATE(3136), 1,
      sym_class_body,
    STATE(4707), 1,
      sym_comment,
    STATE(6029), 1,
      sym_extends_clause,
    STATE(6929), 1,
      sym_class_heritage,
    STATE(7191), 1,
      sym_implements_clause,
  [164069] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    ACTIONS(7162), 1,
      anon_sym_COLON,
    STATE(4708), 1,
      sym_comment,
    STATE(5466), 1,
      sym_type_annotation,
    STATE(6181), 1,
      sym__initializer,
    ACTIONS(7370), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [164096] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4709), 1,
      sym_comment,
    ACTIONS(2095), 7,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [164115] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    ACTIONS(7162), 1,
      anon_sym_COLON,
    STATE(4710), 1,
      sym_comment,
    STATE(5485), 1,
      sym_type_annotation,
    STATE(5812), 1,
      sym__initializer,
    ACTIONS(7412), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [164142] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(6138), 1,
      sym__automatic_semicolon,
    STATE(4711), 1,
      sym_comment,
    ACTIONS(2103), 6,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_catch,
      anon_sym_finally,
  [164163] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7978), 1,
      anon_sym_LBRACE,
    STATE(4712), 1,
      sym_comment,
    STATE(6918), 1,
      sym_statement_block,
    ACTIONS(8172), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [164186] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    ACTIONS(7162), 1,
      anon_sym_COLON,
    STATE(4713), 1,
      sym_comment,
    STATE(5095), 1,
      sym_type_annotation,
    STATE(6319), 1,
      sym__initializer,
    ACTIONS(7420), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [164213] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4714), 1,
      sym_comment,
    ACTIONS(8174), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_PIPE_RBRACE,
  [164232] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    ACTIONS(7162), 1,
      anon_sym_COLON,
    STATE(4715), 1,
      sym_comment,
    STATE(5471), 1,
      sym_type_annotation,
    STATE(6008), 1,
      sym__initializer,
    ACTIONS(7404), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [164259] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    ACTIONS(7162), 1,
      anon_sym_COLON,
    STATE(4716), 1,
      sym_comment,
    STATE(5000), 1,
      sym_type_annotation,
    STATE(6299), 1,
      sym__initializer,
    ACTIONS(7420), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [164286] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8176), 1,
      anon_sym_EQ,
    STATE(4717), 1,
      sym_comment,
    ACTIONS(4255), 6,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [164307] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    ACTIONS(7162), 1,
      anon_sym_COLON,
    STATE(4718), 1,
      sym_comment,
    STATE(5443), 1,
      sym_type_annotation,
    STATE(6052), 1,
      sym__initializer,
    ACTIONS(7404), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [164334] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4079), 1,
      anon_sym_DQUOTE,
    ACTIONS(4081), 1,
      anon_sym_SQUOTE,
    ACTIONS(8179), 1,
      sym_identifier,
    ACTIONS(8181), 1,
      anon_sym_DOT,
    STATE(957), 1,
      sym_nested_identifier,
    STATE(971), 1,
      sym_string,
    STATE(1237), 1,
      sym__module,
    STATE(4719), 1,
      sym_comment,
  [164365] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1902), 1,
      anon_sym_LT,
    ACTIONS(7994), 1,
      anon_sym_LPAREN,
    ACTIONS(8183), 1,
      sym_identifier,
    ACTIONS(8185), 1,
      anon_sym_STAR,
    STATE(4720), 1,
      sym_comment,
    STATE(4790), 1,
      sym_formal_parameters,
    STATE(6683), 1,
      sym_type_parameters,
    STATE(7098), 1,
      sym__call_signature,
  [164396] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8187), 1,
      sym__automatic_semicolon,
    STATE(4721), 1,
      sym_comment,
    ACTIONS(2095), 6,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [164417] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1902), 1,
      anon_sym_LT,
    ACTIONS(7994), 1,
      anon_sym_LPAREN,
    ACTIONS(8189), 1,
      sym_identifier,
    ACTIONS(8191), 1,
      anon_sym_STAR,
    STATE(4722), 1,
      sym_comment,
    STATE(4790), 1,
      sym_formal_parameters,
    STATE(6573), 1,
      sym__call_signature,
    STATE(6683), 1,
      sym_type_parameters,
  [164448] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    ACTIONS(7162), 1,
      anon_sym_COLON,
    STATE(4723), 1,
      sym_comment,
    STATE(5302), 1,
      sym_type_annotation,
    STATE(5950), 1,
      sym__initializer,
    ACTIONS(7370), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [164475] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    ACTIONS(7162), 1,
      anon_sym_COLON,
    STATE(4724), 1,
      sym_comment,
    STATE(5252), 1,
      sym_type_annotation,
    STATE(6038), 1,
      sym__initializer,
    ACTIONS(7368), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [164502] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    ACTIONS(7162), 1,
      anon_sym_COLON,
    STATE(4725), 1,
      sym_comment,
    STATE(5308), 1,
      sym_type_annotation,
    STATE(5952), 1,
      sym__initializer,
    ACTIONS(7370), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [164529] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(128), 1,
      anon_sym_import,
    ACTIONS(8193), 1,
      sym_identifier,
    STATE(3811), 1,
      sym__type_query_subscript_expression,
    STATE(3817), 1,
      sym__type_query_member_expression,
    STATE(4045), 1,
      sym__type_query_call_expression,
    STATE(4140), 1,
      sym__type_query_instantiation_expression,
    STATE(4726), 1,
      sym_comment,
    STATE(5692), 1,
      sym_import,
  [164560] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7546), 1,
      anon_sym_extends,
    ACTIONS(7548), 1,
      anon_sym_implements,
    ACTIONS(7550), 1,
      anon_sym_LBRACE,
    STATE(353), 1,
      sym_class_body,
    STATE(4727), 1,
      sym_comment,
    STATE(6029), 1,
      sym_extends_clause,
    STATE(6708), 1,
      sym_class_heritage,
    STATE(7191), 1,
      sym_implements_clause,
  [164591] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4020), 1,
      anon_sym_LBRACE,
    ACTIONS(4022), 1,
      anon_sym_LBRACK,
    ACTIONS(7982), 1,
      sym_identifier,
    STATE(4584), 1,
      sym__destructuring_pattern,
    STATE(4728), 1,
      sym_comment,
    STATE(6380), 1,
      sym_variable_declarator,
    STATE(4667), 2,
      sym_object_pattern,
      sym_array_pattern,
  [164620] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7546), 1,
      anon_sym_extends,
    ACTIONS(7548), 1,
      anon_sym_implements,
    ACTIONS(7562), 1,
      anon_sym_LBRACE,
    STATE(1203), 1,
      sym_class_body,
    STATE(4729), 1,
      sym_comment,
    STATE(6029), 1,
      sym_extends_clause,
    STATE(6934), 1,
      sym_class_heritage,
    STATE(7191), 1,
      sym_implements_clause,
  [164651] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    ACTIONS(7162), 1,
      anon_sym_COLON,
    STATE(4730), 1,
      sym_comment,
    STATE(5054), 1,
      sym_type_annotation,
    STATE(6365), 1,
      sym__initializer,
    ACTIONS(7420), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [164678] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4020), 1,
      anon_sym_LBRACE,
    ACTIONS(4022), 1,
      anon_sym_LBRACK,
    ACTIONS(7982), 1,
      sym_identifier,
    STATE(4584), 1,
      sym__destructuring_pattern,
    STATE(4731), 1,
      sym_comment,
    STATE(5620), 1,
      sym_variable_declarator,
    STATE(4667), 2,
      sym_object_pattern,
      sym_array_pattern,
  [164707] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    ACTIONS(7162), 1,
      anon_sym_COLON,
    STATE(4732), 1,
      sym_comment,
    STATE(5418), 1,
      sym_type_annotation,
    STATE(6237), 1,
      sym__initializer,
    ACTIONS(7370), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [164734] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8026), 1,
      anon_sym_LT,
    ACTIONS(8028), 1,
      anon_sym_extends,
    ACTIONS(8195), 1,
      anon_sym_LBRACE,
    ACTIONS(8197), 1,
      anon_sym_LBRACE_PIPE,
    STATE(1325), 1,
      sym_object_type,
    STATE(4733), 1,
      sym_comment,
    STATE(5068), 1,
      sym_type_parameters,
    STATE(5846), 1,
      sym_extends_type_clause,
  [164765] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    ACTIONS(7162), 1,
      anon_sym_COLON,
    STATE(4734), 1,
      sym_comment,
    STATE(5143), 1,
      sym_type_annotation,
    STATE(6438), 1,
      sym__initializer,
    ACTIONS(7420), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [164792] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    ACTIONS(7162), 1,
      anon_sym_COLON,
    STATE(4735), 1,
      sym_comment,
    STATE(5155), 1,
      sym_type_annotation,
    STATE(6173), 1,
      sym__initializer,
    ACTIONS(8034), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [164819] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4109), 1,
      anon_sym_DQUOTE,
    ACTIONS(4111), 1,
      anon_sym_SQUOTE,
    ACTIONS(8199), 1,
      sym_identifier,
    ACTIONS(8201), 1,
      anon_sym_DOT,
    STATE(909), 1,
      sym_nested_identifier,
    STATE(915), 1,
      sym_string,
    STATE(1093), 1,
      sym__module,
    STATE(4736), 1,
      sym_comment,
  [164850] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8026), 1,
      anon_sym_LT,
    ACTIONS(8028), 1,
      anon_sym_extends,
    ACTIONS(8203), 1,
      anon_sym_LBRACE,
    ACTIONS(8205), 1,
      anon_sym_LBRACE_PIPE,
    STATE(1080), 1,
      sym_object_type,
    STATE(4737), 1,
      sym_comment,
    STATE(5120), 1,
      sym_type_parameters,
    STATE(6427), 1,
      sym_extends_type_clause,
  [164881] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    ACTIONS(7162), 1,
      anon_sym_COLON,
    STATE(4738), 1,
      sym_comment,
    STATE(5028), 1,
      sym_type_annotation,
    STATE(6347), 1,
      sym__initializer,
    ACTIONS(7404), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [164908] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7978), 1,
      anon_sym_LBRACE,
    STATE(4739), 1,
      sym_comment,
    STATE(6502), 1,
      sym_statement_block,
    ACTIONS(8207), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [164931] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4740), 1,
      sym_comment,
    ACTIONS(6502), 7,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
  [164950] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4020), 1,
      anon_sym_LBRACE,
    ACTIONS(4022), 1,
      anon_sym_LBRACK,
    ACTIONS(7982), 1,
      sym_identifier,
    STATE(4584), 1,
      sym__destructuring_pattern,
    STATE(4741), 1,
      sym_comment,
    STATE(5627), 1,
      sym_variable_declarator,
    STATE(4667), 2,
      sym_object_pattern,
      sym_array_pattern,
  [164979] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7978), 1,
      anon_sym_LBRACE,
    STATE(4742), 1,
      sym_comment,
    STATE(6497), 1,
      sym_statement_block,
    ACTIONS(8139), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [165002] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    ACTIONS(7162), 1,
      anon_sym_COLON,
    STATE(4743), 1,
      sym_comment,
    STATE(5146), 1,
      sym_type_annotation,
    STATE(6177), 1,
      sym__initializer,
    ACTIONS(8034), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [165029] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7546), 1,
      anon_sym_extends,
    ACTIONS(7548), 1,
      anon_sym_implements,
    ACTIONS(7646), 1,
      anon_sym_LBRACE,
    STATE(1528), 1,
      sym_class_body,
    STATE(4744), 1,
      sym_comment,
    STATE(6029), 1,
      sym_extends_clause,
    STATE(7136), 1,
      sym_class_heritage,
    STATE(7191), 1,
      sym_implements_clause,
  [165060] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    ACTIONS(7162), 1,
      anon_sym_COLON,
    STATE(4745), 1,
      sym_comment,
    STATE(5404), 1,
      sym_type_annotation,
    STATE(6246), 1,
      sym__initializer,
    ACTIONS(7370), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [165087] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7546), 1,
      anon_sym_extends,
    ACTIONS(7548), 1,
      anon_sym_implements,
    ACTIONS(7682), 1,
      anon_sym_LBRACE,
    STATE(4746), 1,
      sym_comment,
    STATE(5508), 1,
      sym_class_body,
    STATE(6029), 1,
      sym_extends_clause,
    STATE(6720), 1,
      sym_class_heritage,
    STATE(7191), 1,
      sym_implements_clause,
  [165118] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    ACTIONS(7162), 1,
      anon_sym_COLON,
    STATE(4747), 1,
      sym_comment,
    STATE(5442), 1,
      sym_type_annotation,
    STATE(6053), 1,
      sym__initializer,
    ACTIONS(7404), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [165145] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    ACTIONS(7162), 1,
      anon_sym_COLON,
    STATE(4748), 1,
      sym_comment,
    STATE(5487), 1,
      sym_type_annotation,
    STATE(6064), 1,
      sym__initializer,
    ACTIONS(7402), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [165172] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    ACTIONS(7162), 1,
      anon_sym_COLON,
    STATE(4749), 1,
      sym_comment,
    STATE(5060), 1,
      sym_type_annotation,
    STATE(6254), 1,
      sym__initializer,
    ACTIONS(7420), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [165199] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    ACTIONS(7162), 1,
      anon_sym_COLON,
    STATE(4750), 1,
      sym_comment,
    STATE(5436), 1,
      sym_type_annotation,
    STATE(6060), 1,
      sym__initializer,
    ACTIONS(7404), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [165226] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8209), 1,
      anon_sym_LBRACE,
    ACTIONS(8211), 1,
      anon_sym_COMMA,
    ACTIONS(8213), 1,
      anon_sym_DOT,
    ACTIONS(8215), 1,
      anon_sym_LT,
    ACTIONS(8217), 1,
      anon_sym_LBRACE_PIPE,
    STATE(4751), 1,
      sym_comment,
    STATE(5772), 1,
      aux_sym_extends_type_clause_repeat1,
    STATE(6107), 1,
      sym_type_arguments,
  [165257] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7546), 1,
      anon_sym_extends,
    ACTIONS(7548), 1,
      anon_sym_implements,
    ACTIONS(7672), 1,
      anon_sym_LBRACE,
    STATE(1666), 1,
      sym_class_body,
    STATE(4752), 1,
      sym_comment,
    STATE(6029), 1,
      sym_extends_clause,
    STATE(6980), 1,
      sym_class_heritage,
    STATE(7191), 1,
      sym_implements_clause,
  [165288] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4753), 1,
      sym_comment,
    ACTIONS(2107), 7,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [165307] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1902), 1,
      anon_sym_LT,
    ACTIONS(7994), 1,
      anon_sym_LPAREN,
    ACTIONS(8219), 1,
      sym_identifier,
    ACTIONS(8221), 1,
      anon_sym_STAR,
    STATE(4754), 1,
      sym_comment,
    STATE(4790), 1,
      sym_formal_parameters,
    STATE(6619), 1,
      sym__call_signature,
    STATE(6683), 1,
      sym_type_parameters,
  [165338] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    ACTIONS(7162), 1,
      anon_sym_COLON,
    STATE(4755), 1,
      sym_comment,
    STATE(5210), 1,
      sym_type_annotation,
    STATE(5897), 1,
      sym__initializer,
    ACTIONS(7368), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [165365] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7546), 1,
      anon_sym_extends,
    ACTIONS(7548), 1,
      anon_sym_implements,
    ACTIONS(7644), 1,
      anon_sym_LBRACE,
    STATE(917), 1,
      sym_class_body,
    STATE(4756), 1,
      sym_comment,
    STATE(6029), 1,
      sym_extends_clause,
    STATE(6647), 1,
      sym_class_heritage,
    STATE(7191), 1,
      sym_implements_clause,
  [165396] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1902), 1,
      anon_sym_LT,
    ACTIONS(7994), 1,
      anon_sym_LPAREN,
    ACTIONS(8223), 1,
      sym_identifier,
    ACTIONS(8225), 1,
      anon_sym_STAR,
    STATE(4757), 1,
      sym_comment,
    STATE(4790), 1,
      sym_formal_parameters,
    STATE(6573), 1,
      sym__call_signature,
    STATE(6683), 1,
      sym_type_parameters,
  [165427] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7978), 1,
      anon_sym_LBRACE,
    STATE(4758), 1,
      sym_comment,
    STATE(6714), 1,
      sym_statement_block,
    ACTIONS(8207), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [165450] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    ACTIONS(7162), 1,
      anon_sym_COLON,
    STATE(4759), 1,
      sym_comment,
    STATE(5139), 1,
      sym_type_annotation,
    STATE(5853), 1,
      sym__initializer,
    ACTIONS(7368), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [165477] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8227), 1,
      anon_sym_COMMA,
    STATE(4760), 2,
      sym_comment,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(5296), 4,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [165497] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7160), 1,
      anon_sym_LPAREN,
    ACTIONS(7164), 1,
      anon_sym_LT,
    ACTIONS(8230), 1,
      anon_sym_QMARK,
    STATE(4761), 1,
      sym_comment,
    STATE(4790), 1,
      sym_formal_parameters,
    STATE(6553), 1,
      sym__call_signature,
    STATE(6683), 1,
      sym_type_parameters,
  [165525] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8211), 1,
      anon_sym_COMMA,
    ACTIONS(8215), 1,
      anon_sym_LT,
    ACTIONS(8232), 1,
      anon_sym_LBRACE,
    ACTIONS(8234), 1,
      anon_sym_LBRACE_PIPE,
    STATE(4762), 1,
      sym_comment,
    STATE(5774), 1,
      aux_sym_extends_type_clause_repeat1,
    STATE(6110), 1,
      sym_type_arguments,
  [165553] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8236), 1,
      anon_sym_LBRACE,
    STATE(3536), 1,
      sym_statement_block,
    STATE(4763), 1,
      sym_comment,
    ACTIONS(8049), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [165575] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4764), 1,
      sym_comment,
    ACTIONS(8238), 6,
      anon_sym_export,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_class,
      anon_sym_AT,
      anon_sym_abstract,
  [165593] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7164), 1,
      anon_sym_LT,
    ACTIONS(7216), 1,
      anon_sym_LPAREN,
    ACTIONS(8240), 1,
      anon_sym_QMARK,
    STATE(4200), 1,
      sym_formal_parameters,
    STATE(4765), 1,
      sym_comment,
    STATE(5837), 1,
      sym__call_signature,
    STATE(6630), 1,
      sym_type_parameters,
  [165621] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7160), 1,
      anon_sym_LPAREN,
    ACTIONS(7164), 1,
      anon_sym_LT,
    ACTIONS(8242), 1,
      anon_sym_QMARK,
    STATE(4766), 1,
      sym_comment,
    STATE(4790), 1,
      sym_formal_parameters,
    STATE(6683), 1,
      sym_type_parameters,
    STATE(6957), 1,
      sym__call_signature,
  [165649] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4767), 1,
      sym_comment,
    ACTIONS(4514), 6,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
  [165667] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8246), 1,
      anon_sym_AT,
    STATE(5700), 1,
      sym_decorator,
    STATE(4768), 2,
      sym_comment,
      aux_sym_export_statement_repeat1,
    ACTIONS(8244), 3,
      anon_sym_export,
      anon_sym_class,
      anon_sym_abstract,
  [165689] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8236), 1,
      anon_sym_LBRACE,
    STATE(3531), 1,
      sym_statement_block,
    STATE(4769), 1,
      sym_comment,
    ACTIONS(8061), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [165711] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4008), 1,
      anon_sym_DQUOTE,
    ACTIONS(4010), 1,
      anon_sym_SQUOTE,
    ACTIONS(8063), 1,
      sym_identifier,
    STATE(1194), 1,
      sym_nested_identifier,
    STATE(1215), 1,
      sym_string,
    STATE(1571), 1,
      sym__module,
    STATE(4770), 1,
      sym_comment,
  [165739] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(2698), 1,
      anon_sym_AT,
    ACTIONS(8249), 1,
      anon_sym_export,
    ACTIONS(8251), 1,
      anon_sym_class,
    ACTIONS(8253), 1,
      anon_sym_abstract,
    STATE(4768), 1,
      aux_sym_export_statement_repeat1,
    STATE(4771), 1,
      sym_comment,
    STATE(5700), 1,
      sym_decorator,
  [165767] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4109), 1,
      anon_sym_DQUOTE,
    ACTIONS(4111), 1,
      anon_sym_SQUOTE,
    ACTIONS(8199), 1,
      sym_identifier,
    STATE(909), 1,
      sym_nested_identifier,
    STATE(915), 1,
      sym_string,
    STATE(1093), 1,
      sym__module,
    STATE(4772), 1,
      sym_comment,
  [165795] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8236), 1,
      anon_sym_LBRACE,
    STATE(3537), 1,
      sym_statement_block,
    STATE(4773), 1,
      sym_comment,
    ACTIONS(8055), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [165817] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7164), 1,
      anon_sym_LT,
    ACTIONS(7194), 1,
      anon_sym_LPAREN,
    ACTIONS(8255), 1,
      anon_sym_QMARK,
    STATE(4266), 1,
      sym_formal_parameters,
    STATE(4774), 1,
      sym_comment,
    STATE(4901), 1,
      sym__call_signature,
    STATE(6530), 1,
      sym_type_parameters,
  [165845] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4109), 1,
      anon_sym_DQUOTE,
    ACTIONS(4111), 1,
      anon_sym_SQUOTE,
    ACTIONS(8199), 1,
      sym_identifier,
    STATE(909), 1,
      sym_nested_identifier,
    STATE(915), 1,
      sym_string,
    STATE(1058), 1,
      sym__module,
    STATE(4775), 1,
      sym_comment,
  [165873] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8236), 1,
      anon_sym_LBRACE,
    STATE(3553), 1,
      sym_statement_block,
    STATE(4776), 1,
      sym_comment,
    ACTIONS(8055), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [165895] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4777), 1,
      sym_comment,
    ACTIONS(8257), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(4514), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
  [165915] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4778), 1,
      sym_comment,
    ACTIONS(8259), 6,
      anon_sym_LBRACE,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
      sym_html_character_reference,
      anon_sym_LT_SLASH,
      anon_sym_LT,
  [165933] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8261), 1,
      anon_sym_default,
    ACTIONS(8263), 1,
      anon_sym_RBRACE,
    ACTIONS(8265), 1,
      anon_sym_case,
    STATE(4779), 1,
      sym_comment,
    STATE(4872), 1,
      aux_sym_switch_body_repeat1,
    STATE(6459), 2,
      sym_switch_case,
      sym_switch_default,
  [165959] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4780), 1,
      sym_comment,
    ACTIONS(8267), 6,
      anon_sym_LBRACE,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
      sym_html_character_reference,
      anon_sym_LT_SLASH,
      anon_sym_LT,
  [165977] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4781), 1,
      sym_comment,
    STATE(4829), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(8271), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(8269), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [165999] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7160), 1,
      anon_sym_LPAREN,
    ACTIONS(7164), 1,
      anon_sym_LT,
    ACTIONS(8273), 1,
      anon_sym_QMARK,
    STATE(4782), 1,
      sym_comment,
    STATE(4790), 1,
      sym_formal_parameters,
    STATE(6683), 1,
      sym_type_parameters,
    STATE(6823), 1,
      sym__call_signature,
  [166027] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(2698), 1,
      anon_sym_AT,
    ACTIONS(8275), 1,
      anon_sym_export,
    ACTIONS(8277), 1,
      anon_sym_class,
    ACTIONS(8279), 1,
      anon_sym_abstract,
    STATE(4768), 1,
      aux_sym_export_statement_repeat1,
    STATE(4783), 1,
      sym_comment,
    STATE(5700), 1,
      sym_decorator,
  [166055] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4784), 1,
      sym_comment,
    ACTIONS(8281), 6,
      anon_sym_LBRACE,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
      sym_html_character_reference,
      anon_sym_LT_SLASH,
      anon_sym_LT,
  [166073] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8283), 1,
      anon_sym_BQUOTE,
    ACTIONS(8285), 1,
      anon_sym_DOLLAR_LBRACE,
    STATE(4785), 1,
      sym_comment,
    STATE(4831), 1,
      aux_sym_template_string_repeat1,
    STATE(5588), 1,
      sym_template_substitution,
    ACTIONS(7926), 2,
      sym__template_chars,
      sym_escape_sequence,
  [166099] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1902), 1,
      anon_sym_LT,
    ACTIONS(7994), 1,
      anon_sym_LPAREN,
    ACTIONS(8287), 1,
      sym_identifier,
    STATE(4786), 1,
      sym_comment,
    STATE(4790), 1,
      sym_formal_parameters,
    STATE(6683), 1,
      sym_type_parameters,
    STATE(6733), 1,
      sym__call_signature,
  [166127] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4787), 1,
      sym_comment,
    ACTIONS(8259), 6,
      anon_sym_LBRACE,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
      sym_html_character_reference,
      anon_sym_LT_SLASH,
      anon_sym_LT,
  [166145] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8236), 1,
      anon_sym_LBRACE,
    STATE(3532), 1,
      sym_statement_block,
    STATE(4788), 1,
      sym_comment,
    ACTIONS(8002), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [166167] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8236), 1,
      anon_sym_LBRACE,
    STATE(3555), 1,
      sym_statement_block,
    STATE(4789), 1,
      sym_comment,
    ACTIONS(8049), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [166189] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8289), 1,
      anon_sym_COLON,
    STATE(4790), 1,
      sym_comment,
    ACTIONS(7496), 2,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
    STATE(6942), 3,
      sym_type_annotation,
      sym_asserts_annotation,
      sym_type_predicate_annotation,
  [166211] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4791), 1,
      sym_comment,
    STATE(4829), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(8293), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(8291), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [166233] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4781), 1,
      aux_sym_object_type_repeat1,
    STATE(4792), 1,
      sym_comment,
    ACTIONS(8293), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(8291), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [166255] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4793), 1,
      sym_comment,
    ACTIONS(8295), 6,
      anon_sym_LBRACE,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
      sym_html_character_reference,
      anon_sym_LT_SLASH,
      anon_sym_LT,
  [166273] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7080), 1,
      anon_sym_AMP,
    ACTIONS(7082), 1,
      anon_sym_PIPE,
    ACTIONS(7084), 1,
      anon_sym_extends,
    STATE(4794), 1,
      sym_comment,
    ACTIONS(8297), 3,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_GT,
  [166297] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4008), 1,
      anon_sym_DQUOTE,
    ACTIONS(4010), 1,
      anon_sym_SQUOTE,
    ACTIONS(8063), 1,
      sym_identifier,
    STATE(1194), 1,
      sym_nested_identifier,
    STATE(1215), 1,
      sym_string,
    STATE(1581), 1,
      sym__module,
    STATE(4795), 1,
      sym_comment,
  [166325] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(8051), 1,
      sym_identifier,
    STATE(4796), 1,
      sym_comment,
    STATE(5470), 1,
      sym_nested_identifier,
    STATE(5576), 1,
      sym_string,
    STATE(6844), 1,
      sym__module,
  [166353] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(8051), 1,
      sym_identifier,
    STATE(4797), 1,
      sym_comment,
    STATE(5470), 1,
      sym_nested_identifier,
    STATE(5576), 1,
      sym_string,
    STATE(6960), 1,
      sym__module,
  [166381] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3876), 1,
      anon_sym_LBRACE,
    ACTIONS(8299), 1,
      sym_identifier,
    ACTIONS(8301), 1,
      anon_sym_LBRACK,
    STATE(4798), 1,
      sym_comment,
    STATE(6109), 1,
      sym__destructuring_pattern,
    STATE(4283), 2,
      sym_object_pattern,
      sym_array_pattern,
  [166407] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1902), 1,
      anon_sym_LT,
    ACTIONS(7994), 1,
      anon_sym_LPAREN,
    ACTIONS(8303), 1,
      sym_identifier,
    STATE(4790), 1,
      sym_formal_parameters,
    STATE(4799), 1,
      sym_comment,
    STATE(6683), 1,
      sym_type_parameters,
    STATE(6800), 1,
      sym__call_signature,
  [166435] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4800), 1,
      sym_comment,
    STATE(4829), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(8307), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(8305), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [166457] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4801), 1,
      sym_comment,
    ACTIONS(8309), 6,
      anon_sym_LBRACE,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
      sym_html_character_reference,
      anon_sym_LT_SLASH,
      anon_sym_LT,
  [166475] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8311), 1,
      sym_identifier,
    STATE(4802), 1,
      sym_comment,
    ACTIONS(6993), 5,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT,
      anon_sym_BQUOTE,
  [166495] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5000), 1,
      anon_sym_COMMA,
    STATE(4760), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(4803), 1,
      sym_comment,
    ACTIONS(8313), 4,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [166517] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4804), 1,
      sym_comment,
    ACTIONS(8315), 6,
      anon_sym_LBRACE,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
      sym_html_character_reference,
      anon_sym_LT_SLASH,
      anon_sym_LT,
  [166535] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7164), 1,
      anon_sym_LT,
    ACTIONS(7216), 1,
      anon_sym_LPAREN,
    ACTIONS(8317), 1,
      anon_sym_QMARK,
    STATE(4200), 1,
      sym_formal_parameters,
    STATE(4805), 1,
      sym_comment,
    STATE(5009), 1,
      sym__call_signature,
    STATE(6630), 1,
      sym_type_parameters,
  [166563] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7164), 1,
      anon_sym_LT,
    ACTIONS(7216), 1,
      anon_sym_LPAREN,
    ACTIONS(8319), 1,
      anon_sym_QMARK,
    STATE(4200), 1,
      sym_formal_parameters,
    STATE(4806), 1,
      sym_comment,
    STATE(5111), 1,
      sym__call_signature,
    STATE(6630), 1,
      sym_type_parameters,
  [166591] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4791), 1,
      aux_sym_object_type_repeat1,
    STATE(4807), 1,
      sym_comment,
    ACTIONS(8323), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(8321), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [166613] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4808), 1,
      sym_comment,
    ACTIONS(8259), 6,
      anon_sym_LBRACE,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
      sym_html_character_reference,
      anon_sym_LT_SLASH,
      anon_sym_LT,
  [166631] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8289), 1,
      anon_sym_COLON,
    STATE(4809), 1,
      sym_comment,
    ACTIONS(7448), 2,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
    STATE(6534), 3,
      sym_type_annotation,
      sym_asserts_annotation,
      sym_type_predicate_annotation,
  [166653] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8261), 1,
      anon_sym_default,
    ACTIONS(8265), 1,
      anon_sym_case,
    ACTIONS(8325), 1,
      anon_sym_RBRACE,
    STATE(4810), 1,
      sym_comment,
    STATE(4850), 1,
      aux_sym_switch_body_repeat1,
    STATE(6459), 2,
      sym_switch_case,
      sym_switch_default,
  [166679] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7160), 1,
      anon_sym_LPAREN,
    ACTIONS(7164), 1,
      anon_sym_LT,
    ACTIONS(8327), 1,
      anon_sym_QMARK,
    STATE(4790), 1,
      sym_formal_parameters,
    STATE(4811), 1,
      sym_comment,
    STATE(6683), 1,
      sym_type_parameters,
    STATE(6938), 1,
      sym__call_signature,
  [166707] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1902), 1,
      anon_sym_LT,
    ACTIONS(7994), 1,
      anon_sym_LPAREN,
    ACTIONS(8329), 1,
      sym_identifier,
    STATE(4790), 1,
      sym_formal_parameters,
    STATE(4812), 1,
      sym_comment,
    STATE(6683), 1,
      sym_type_parameters,
    STATE(6866), 1,
      sym__call_signature,
  [166735] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4813), 1,
      sym_comment,
    ACTIONS(7272), 6,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
      sym_identifier,
  [166753] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1902), 1,
      anon_sym_LT,
    ACTIONS(7994), 1,
      anon_sym_LPAREN,
    ACTIONS(8331), 1,
      sym_identifier,
    STATE(4790), 1,
      sym_formal_parameters,
    STATE(4814), 1,
      sym_comment,
    STATE(6683), 1,
      sym_type_parameters,
    STATE(6800), 1,
      sym__call_signature,
  [166781] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1902), 1,
      anon_sym_LT,
    ACTIONS(7994), 1,
      anon_sym_LPAREN,
    ACTIONS(8333), 1,
      sym_identifier,
    STATE(4790), 1,
      sym_formal_parameters,
    STATE(4815), 1,
      sym_comment,
    STATE(6519), 1,
      sym__call_signature,
    STATE(6683), 1,
      sym_type_parameters,
  [166809] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4816), 1,
      sym_comment,
    ACTIONS(8113), 6,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON,
  [166827] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7160), 1,
      anon_sym_LPAREN,
    ACTIONS(7164), 1,
      anon_sym_LT,
    ACTIONS(8335), 1,
      anon_sym_QMARK,
    STATE(4790), 1,
      sym_formal_parameters,
    STATE(4817), 1,
      sym_comment,
    STATE(6683), 1,
      sym_type_parameters,
    STATE(6978), 1,
      sym__call_signature,
  [166855] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8337), 1,
      anon_sym_catch,
    ACTIONS(8339), 1,
      anon_sym_finally,
    STATE(4818), 1,
      sym_comment,
    STATE(5582), 1,
      sym_catch_clause,
    STATE(7089), 1,
      sym_finally_clause,
    ACTIONS(3030), 2,
      anon_sym_else,
      anon_sym_while,
  [166881] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4226), 1,
      anon_sym_COLON,
    ACTIONS(8125), 1,
      anon_sym_EQ,
    STATE(4819), 1,
      sym_comment,
    STATE(5739), 1,
      sym_type_annotation,
    STATE(6654), 1,
      sym__initializer,
    ACTIONS(8341), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [166907] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7080), 1,
      anon_sym_AMP,
    ACTIONS(7082), 1,
      anon_sym_PIPE,
    ACTIONS(7084), 1,
      anon_sym_extends,
    ACTIONS(8343), 1,
      anon_sym_COMMA,
    ACTIONS(8345), 1,
      anon_sym_GT,
    STATE(4820), 1,
      sym_comment,
    STATE(6449), 1,
      aux_sym_type_arguments_repeat1,
  [166935] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4129), 1,
      anon_sym_LPAREN,
    ACTIONS(7610), 1,
      anon_sym_DOT,
    ACTIONS(8347), 1,
      anon_sym_COMMA,
    ACTIONS(8349), 1,
      anon_sym_GT,
    STATE(4458), 1,
      sym_arguments,
    STATE(4821), 1,
      sym_comment,
    STATE(6445), 1,
      aux_sym_type_arguments_repeat1,
  [166963] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7160), 1,
      anon_sym_LPAREN,
    ACTIONS(7164), 1,
      anon_sym_LT,
    ACTIONS(8351), 1,
      anon_sym_QMARK,
    STATE(4790), 1,
      sym_formal_parameters,
    STATE(4822), 1,
      sym_comment,
    STATE(6489), 1,
      sym__call_signature,
    STATE(6683), 1,
      sym_type_parameters,
  [166991] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4823), 1,
      sym_comment,
    ACTIONS(5507), 6,
      anon_sym_LBRACE,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
      sym_html_character_reference,
      anon_sym_LT_SLASH,
      anon_sym_LT,
  [167009] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8236), 1,
      anon_sym_LBRACE,
    STATE(3528), 1,
      sym_statement_block,
    STATE(4824), 1,
      sym_comment,
    ACTIONS(8075), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [167031] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8261), 1,
      anon_sym_default,
    ACTIONS(8265), 1,
      anon_sym_case,
    ACTIONS(8353), 1,
      anon_sym_RBRACE,
    STATE(4810), 1,
      aux_sym_switch_body_repeat1,
    STATE(4825), 1,
      sym_comment,
    STATE(6459), 2,
      sym_switch_case,
      sym_switch_default,
  [167057] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7160), 1,
      anon_sym_LPAREN,
    ACTIONS(7164), 1,
      anon_sym_LT,
    ACTIONS(8355), 1,
      anon_sym_QMARK,
    STATE(4790), 1,
      sym_formal_parameters,
    STATE(4826), 1,
      sym_comment,
    STATE(6683), 1,
      sym_type_parameters,
    STATE(7044), 1,
      sym__call_signature,
  [167085] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4129), 1,
      anon_sym_LPAREN,
    ACTIONS(7610), 1,
      anon_sym_DOT,
    ACTIONS(8357), 1,
      anon_sym_COMMA,
    ACTIONS(8359), 1,
      anon_sym_GT,
    STATE(4458), 1,
      sym_arguments,
    STATE(4827), 1,
      sym_comment,
    STATE(6395), 1,
      aux_sym_type_arguments_repeat1,
  [167113] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7080), 1,
      anon_sym_AMP,
    ACTIONS(7082), 1,
      anon_sym_PIPE,
    ACTIONS(7084), 1,
      anon_sym_extends,
    ACTIONS(8361), 1,
      anon_sym_COMMA,
    ACTIONS(8363), 1,
      anon_sym_GT,
    STATE(4828), 1,
      sym_comment,
    STATE(6391), 1,
      aux_sym_type_arguments_repeat1,
  [167141] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8368), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    STATE(4829), 2,
      sym_comment,
      aux_sym_object_type_repeat1,
    ACTIONS(8365), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [167161] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7164), 1,
      anon_sym_LT,
    ACTIONS(7216), 1,
      anon_sym_LPAREN,
    ACTIONS(8370), 1,
      anon_sym_QMARK,
    STATE(4200), 1,
      sym_formal_parameters,
    STATE(4830), 1,
      sym_comment,
    STATE(5211), 1,
      sym__call_signature,
    STATE(6630), 1,
      sym_type_parameters,
  [167189] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8285), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(8372), 1,
      anon_sym_BQUOTE,
    STATE(4831), 1,
      sym_comment,
    STATE(4966), 1,
      aux_sym_template_string_repeat1,
    STATE(5588), 1,
      sym_template_substitution,
    ACTIONS(7926), 2,
      sym__template_chars,
      sym_escape_sequence,
  [167215] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(7920), 1,
      anon_sym_GT,
    ACTIONS(8374), 1,
      sym_identifier,
    ACTIONS(8376), 1,
      sym_jsx_identifier,
    ACTIONS(8378), 1,
      anon_sym_SLASH_GT,
    STATE(4074), 1,
      sym_nested_identifier,
    STATE(4295), 1,
      sym_jsx_namespace_name,
    STATE(4832), 1,
      sym_comment,
  [167243] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7160), 1,
      anon_sym_LPAREN,
    ACTIONS(7164), 1,
      anon_sym_LT,
    ACTIONS(8380), 1,
      anon_sym_QMARK,
    STATE(4790), 1,
      sym_formal_parameters,
    STATE(4833), 1,
      sym_comment,
    STATE(6683), 1,
      sym_type_parameters,
    STATE(6768), 1,
      sym__call_signature,
  [167271] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4834), 1,
      sym_comment,
    ACTIONS(5511), 6,
      anon_sym_LBRACE,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
      sym_html_character_reference,
      anon_sym_LT_SLASH,
      anon_sym_LT,
  [167289] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7164), 1,
      anon_sym_LT,
    ACTIONS(7216), 1,
      anon_sym_LPAREN,
    ACTIONS(8382), 1,
      anon_sym_QMARK,
    STATE(4200), 1,
      sym_formal_parameters,
    STATE(4835), 1,
      sym_comment,
    STATE(6007), 1,
      sym__call_signature,
    STATE(6630), 1,
      sym_type_parameters,
  [167317] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1902), 1,
      anon_sym_LT,
    ACTIONS(7994), 1,
      anon_sym_LPAREN,
    ACTIONS(8384), 1,
      sym_identifier,
    STATE(4790), 1,
      sym_formal_parameters,
    STATE(4836), 1,
      sym_comment,
    STATE(6519), 1,
      sym__call_signature,
    STATE(6683), 1,
      sym_type_parameters,
  [167345] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4837), 1,
      sym_comment,
    STATE(4865), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(8388), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(8386), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [167367] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7160), 1,
      anon_sym_LPAREN,
    ACTIONS(7164), 1,
      anon_sym_LT,
    ACTIONS(8390), 1,
      anon_sym_QMARK,
    STATE(4790), 1,
      sym_formal_parameters,
    STATE(4838), 1,
      sym_comment,
    STATE(6683), 1,
      sym_type_parameters,
    STATE(7112), 1,
      sym__call_signature,
  [167395] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(7920), 1,
      anon_sym_GT,
    ACTIONS(8392), 1,
      sym_identifier,
    ACTIONS(8394), 1,
      sym_jsx_identifier,
    ACTIONS(8396), 1,
      anon_sym_SLASH_GT,
    STATE(4091), 1,
      sym_nested_identifier,
    STATE(4285), 1,
      sym_jsx_namespace_name,
    STATE(4839), 1,
      sym_comment,
  [167423] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1902), 1,
      anon_sym_LT,
    ACTIONS(7994), 1,
      anon_sym_LPAREN,
    ACTIONS(8398), 1,
      sym_identifier,
    STATE(4790), 1,
      sym_formal_parameters,
    STATE(4840), 1,
      sym_comment,
    STATE(6683), 1,
      sym_type_parameters,
    STATE(6800), 1,
      sym__call_signature,
  [167451] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8285), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(8400), 1,
      anon_sym_BQUOTE,
    STATE(4841), 1,
      sym_comment,
    STATE(4856), 1,
      aux_sym_template_string_repeat1,
    STATE(5588), 1,
      sym_template_substitution,
    ACTIONS(7926), 2,
      sym__template_chars,
      sym_escape_sequence,
  [167477] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3876), 1,
      anon_sym_LBRACE,
    ACTIONS(8301), 1,
      anon_sym_LBRACK,
    ACTIONS(8402), 1,
      sym_identifier,
    STATE(4842), 1,
      sym_comment,
    STATE(6033), 1,
      sym__destructuring_pattern,
    STATE(4283), 2,
      sym_object_pattern,
      sym_array_pattern,
  [167503] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7160), 1,
      anon_sym_LPAREN,
    ACTIONS(7164), 1,
      anon_sym_LT,
    ACTIONS(8404), 1,
      anon_sym_QMARK,
    STATE(4790), 1,
      sym_formal_parameters,
    STATE(4843), 1,
      sym_comment,
    STATE(6683), 1,
      sym_type_parameters,
    STATE(7161), 1,
      sym__call_signature,
  [167531] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7164), 1,
      anon_sym_LT,
    ACTIONS(7216), 1,
      anon_sym_LPAREN,
    ACTIONS(8406), 1,
      anon_sym_QMARK,
    STATE(4200), 1,
      sym_formal_parameters,
    STATE(4844), 1,
      sym_comment,
    STATE(5257), 1,
      sym__call_signature,
    STATE(6630), 1,
      sym_type_parameters,
  [167559] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7160), 1,
      anon_sym_LPAREN,
    ACTIONS(7164), 1,
      anon_sym_LT,
    ACTIONS(8408), 1,
      anon_sym_QMARK,
    STATE(4790), 1,
      sym_formal_parameters,
    STATE(4845), 1,
      sym_comment,
    STATE(6683), 1,
      sym_type_parameters,
    STATE(7171), 1,
      sym__call_signature,
  [167587] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8261), 1,
      anon_sym_default,
    ACTIONS(8265), 1,
      anon_sym_case,
    ACTIONS(8410), 1,
      anon_sym_RBRACE,
    STATE(4846), 1,
      sym_comment,
    STATE(4889), 1,
      aux_sym_switch_body_repeat1,
    STATE(6459), 2,
      sym_switch_case,
      sym_switch_default,
  [167613] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4091), 1,
      anon_sym_DQUOTE,
    ACTIONS(4093), 1,
      anon_sym_SQUOTE,
    ACTIONS(8020), 1,
      sym_identifier,
    STATE(925), 1,
      sym_nested_identifier,
    STATE(1032), 1,
      sym_string,
    STATE(1357), 1,
      sym__module,
    STATE(4847), 1,
      sym_comment,
  [167641] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4091), 1,
      anon_sym_DQUOTE,
    ACTIONS(4093), 1,
      anon_sym_SQUOTE,
    ACTIONS(8020), 1,
      sym_identifier,
    STATE(925), 1,
      sym_nested_identifier,
    STATE(1032), 1,
      sym_string,
    STATE(1384), 1,
      sym__module,
    STATE(4848), 1,
      sym_comment,
  [167669] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4849), 1,
      sym_comment,
    ACTIONS(8412), 6,
      anon_sym_LBRACE,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
      sym_html_character_reference,
      anon_sym_LT_SLASH,
      anon_sym_LT,
  [167687] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8414), 1,
      anon_sym_default,
    ACTIONS(8417), 1,
      anon_sym_RBRACE,
    ACTIONS(8419), 1,
      anon_sym_case,
    STATE(4850), 2,
      sym_comment,
      aux_sym_switch_body_repeat1,
    STATE(6459), 2,
      sym_switch_case,
      sym_switch_default,
  [167711] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4851), 1,
      sym_comment,
    ACTIONS(8422), 6,
      anon_sym_LBRACE,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
      sym_html_character_reference,
      anon_sym_LT_SLASH,
      anon_sym_LT,
  [167729] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8424), 1,
      anon_sym_DOT,
    STATE(4852), 1,
      sym_comment,
    ACTIONS(7958), 5,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [167749] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4853), 1,
      sym_comment,
    ACTIONS(2095), 6,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_catch,
      anon_sym_finally,
  [167767] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4854), 1,
      sym_comment,
    ACTIONS(8426), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [167785] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4855), 1,
      sym_comment,
    ACTIONS(8428), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [167803] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8285), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(8430), 1,
      anon_sym_BQUOTE,
    STATE(4856), 1,
      sym_comment,
    STATE(4966), 1,
      aux_sym_template_string_repeat1,
    STATE(5588), 1,
      sym_template_substitution,
    ACTIONS(7926), 2,
      sym__template_chars,
      sym_escape_sequence,
  [167829] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4829), 1,
      aux_sym_object_type_repeat1,
    STATE(4857), 1,
      sym_comment,
    ACTIONS(8434), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(8432), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [167851] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4858), 1,
      sym_comment,
    ACTIONS(8436), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [167869] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4129), 1,
      anon_sym_LPAREN,
    ACTIONS(7610), 1,
      anon_sym_DOT,
    ACTIONS(8438), 1,
      anon_sym_COMMA,
    ACTIONS(8440), 1,
      anon_sym_GT,
    STATE(4458), 1,
      sym_arguments,
    STATE(4859), 1,
      sym_comment,
    STATE(6141), 1,
      aux_sym_type_arguments_repeat1,
  [167897] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7080), 1,
      anon_sym_AMP,
    ACTIONS(7082), 1,
      anon_sym_PIPE,
    ACTIONS(7084), 1,
      anon_sym_extends,
    ACTIONS(8442), 1,
      anon_sym_COMMA,
    ACTIONS(8444), 1,
      anon_sym_GT,
    STATE(4860), 1,
      sym_comment,
    STATE(6136), 1,
      aux_sym_type_arguments_repeat1,
  [167925] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8236), 1,
      anon_sym_LBRACE,
    STATE(3533), 1,
      sym_statement_block,
    STATE(4861), 1,
      sym_comment,
    ACTIONS(8036), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [167947] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7164), 1,
      anon_sym_LT,
    ACTIONS(7194), 1,
      anon_sym_LPAREN,
    ACTIONS(8446), 1,
      anon_sym_QMARK,
    STATE(4266), 1,
      sym_formal_parameters,
    STATE(4776), 1,
      sym__call_signature,
    STATE(4862), 1,
      sym_comment,
    STATE(6530), 1,
      sym_type_parameters,
  [167975] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(2698), 1,
      anon_sym_AT,
    ACTIONS(8448), 1,
      anon_sym_export,
    ACTIONS(8450), 1,
      anon_sym_class,
    ACTIONS(8452), 1,
      anon_sym_abstract,
    STATE(4768), 1,
      aux_sym_export_statement_repeat1,
    STATE(4863), 1,
      sym_comment,
    STATE(5700), 1,
      sym_decorator,
  [168003] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4864), 1,
      sym_comment,
    STATE(4909), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(8456), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(8454), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [168025] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4829), 1,
      aux_sym_object_type_repeat1,
    STATE(4865), 1,
      sym_comment,
    ACTIONS(8456), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(8454), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [168047] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8236), 1,
      anon_sym_LBRACE,
    STATE(3546), 1,
      sym_statement_block,
    STATE(4866), 1,
      sym_comment,
    ACTIONS(8036), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [168069] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4867), 1,
      sym_comment,
    ACTIONS(8458), 6,
      anon_sym_LBRACE,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
      sym_html_character_reference,
      anon_sym_LT_SLASH,
      anon_sym_LT,
  [168087] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1902), 1,
      anon_sym_LT,
    ACTIONS(7994), 1,
      anon_sym_LPAREN,
    ACTIONS(8460), 1,
      sym_identifier,
    STATE(4790), 1,
      sym_formal_parameters,
    STATE(4868), 1,
      sym_comment,
    STATE(6519), 1,
      sym__call_signature,
    STATE(6683), 1,
      sym_type_parameters,
  [168115] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8236), 1,
      anon_sym_LBRACE,
    STATE(3547), 1,
      sym_statement_block,
    STATE(4869), 1,
      sym_comment,
    ACTIONS(8139), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [168137] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7164), 1,
      anon_sym_LT,
    ACTIONS(7216), 1,
      anon_sym_LPAREN,
    ACTIONS(8462), 1,
      anon_sym_QMARK,
    STATE(4200), 1,
      sym_formal_parameters,
    STATE(4870), 1,
      sym_comment,
    STATE(5880), 1,
      sym__call_signature,
    STATE(6630), 1,
      sym_type_parameters,
  [168165] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4829), 1,
      aux_sym_object_type_repeat1,
    STATE(4871), 1,
      sym_comment,
    ACTIONS(8466), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(8464), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [168187] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8261), 1,
      anon_sym_default,
    ACTIONS(8265), 1,
      anon_sym_case,
    ACTIONS(8468), 1,
      anon_sym_RBRACE,
    STATE(4850), 1,
      aux_sym_switch_body_repeat1,
    STATE(4872), 1,
      sym_comment,
    STATE(6459), 2,
      sym_switch_case,
      sym_switch_default,
  [168213] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4873), 1,
      sym_comment,
    ACTIONS(5574), 6,
      anon_sym_LBRACE,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
      sym_html_character_reference,
      anon_sym_LT_SLASH,
      anon_sym_LT,
  [168231] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4874), 1,
      sym_comment,
    ACTIONS(5586), 6,
      anon_sym_LBRACE,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
      sym_html_character_reference,
      anon_sym_LT_SLASH,
      anon_sym_LT,
  [168249] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7080), 1,
      anon_sym_AMP,
    ACTIONS(7082), 1,
      anon_sym_PIPE,
    ACTIONS(7084), 1,
      anon_sym_extends,
    ACTIONS(8472), 1,
      anon_sym_QMARK,
    STATE(4875), 1,
      sym_comment,
    ACTIONS(8470), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [168275] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4876), 1,
      sym_comment,
    ACTIONS(5651), 6,
      anon_sym_LBRACE,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
      sym_html_character_reference,
      anon_sym_LT_SLASH,
      anon_sym_LT,
  [168293] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4857), 1,
      aux_sym_object_type_repeat1,
    STATE(4877), 1,
      sym_comment,
    ACTIONS(8466), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(8464), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [168315] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4878), 1,
      sym_comment,
    ACTIONS(5655), 6,
      anon_sym_LBRACE,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
      sym_html_character_reference,
      anon_sym_LT_SLASH,
      anon_sym_LT,
  [168333] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8236), 1,
      anon_sym_LBRACE,
    STATE(3560), 1,
      sym_statement_block,
    STATE(4879), 1,
      sym_comment,
    ACTIONS(8012), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [168355] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8236), 1,
      anon_sym_LBRACE,
    STATE(3551), 1,
      sym_statement_block,
    STATE(4880), 1,
      sym_comment,
    ACTIONS(8006), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [168377] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4881), 1,
      sym_comment,
    ACTIONS(5574), 6,
      anon_sym_LBRACE,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
      sym_html_character_reference,
      anon_sym_LT_SLASH,
      anon_sym_LT,
  [168395] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4882), 1,
      sym_comment,
    ACTIONS(5773), 6,
      anon_sym_LBRACE,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
      sym_html_character_reference,
      anon_sym_LT_SLASH,
      anon_sym_LT,
  [168413] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4883), 1,
      sym_comment,
    ACTIONS(5582), 6,
      anon_sym_LBRACE,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
      sym_html_character_reference,
      anon_sym_LT_SLASH,
      anon_sym_LT,
  [168431] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4884), 1,
      sym_comment,
    ACTIONS(8174), 6,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON,
  [168449] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8236), 1,
      anon_sym_LBRACE,
    STATE(3562), 1,
      sym_statement_block,
    STATE(4885), 1,
      sym_comment,
    ACTIONS(7980), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [168471] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1902), 1,
      anon_sym_LT,
    ACTIONS(7994), 1,
      anon_sym_LPAREN,
    ACTIONS(8474), 1,
      sym_identifier,
    STATE(4790), 1,
      sym_formal_parameters,
    STATE(4886), 1,
      sym_comment,
    STATE(6683), 1,
      sym_type_parameters,
    STATE(6800), 1,
      sym__call_signature,
  [168499] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3876), 1,
      anon_sym_LBRACE,
    ACTIONS(8301), 1,
      anon_sym_LBRACK,
    ACTIONS(8476), 1,
      sym_identifier,
    STATE(4887), 1,
      sym_comment,
    STATE(5986), 1,
      sym__destructuring_pattern,
    STATE(4283), 2,
      sym_object_pattern,
      sym_array_pattern,
  [168525] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8236), 1,
      anon_sym_LBRACE,
    STATE(3510), 1,
      sym_statement_block,
    STATE(4888), 1,
      sym_comment,
    ACTIONS(8161), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [168547] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8261), 1,
      anon_sym_default,
    ACTIONS(8265), 1,
      anon_sym_case,
    ACTIONS(8478), 1,
      anon_sym_RBRACE,
    STATE(4850), 1,
      aux_sym_switch_body_repeat1,
    STATE(4889), 1,
      sym_comment,
    STATE(6459), 2,
      sym_switch_case,
      sym_switch_default,
  [168573] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7164), 1,
      anon_sym_LT,
    ACTIONS(7216), 1,
      anon_sym_LPAREN,
    ACTIONS(8480), 1,
      anon_sym_QMARK,
    STATE(4200), 1,
      sym_formal_parameters,
    STATE(4583), 1,
      sym__call_signature,
    STATE(4890), 1,
      sym_comment,
    STATE(6630), 1,
      sym_type_parameters,
  [168601] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4891), 1,
      sym_comment,
    STATE(4916), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(8484), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(8482), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [168623] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7164), 1,
      anon_sym_LT,
    ACTIONS(7216), 1,
      anon_sym_LPAREN,
    ACTIONS(8486), 1,
      anon_sym_QMARK,
    STATE(4200), 1,
      sym_formal_parameters,
    STATE(4892), 1,
      sym_comment,
    STATE(5232), 1,
      sym__call_signature,
    STATE(6630), 1,
      sym_type_parameters,
  [168651] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4800), 1,
      aux_sym_object_type_repeat1,
    STATE(4893), 1,
      sym_comment,
    ACTIONS(8490), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(8488), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [168673] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4871), 1,
      aux_sym_object_type_repeat1,
    STATE(4894), 1,
      sym_comment,
    ACTIONS(8494), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(8492), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [168695] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8236), 1,
      anon_sym_LBRACE,
    STATE(3512), 1,
      sym_statement_block,
    STATE(4895), 1,
      sym_comment,
    ACTIONS(8207), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [168717] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8261), 1,
      anon_sym_default,
    ACTIONS(8265), 1,
      anon_sym_case,
    ACTIONS(8496), 1,
      anon_sym_RBRACE,
    STATE(4850), 1,
      aux_sym_switch_body_repeat1,
    STATE(4896), 1,
      sym_comment,
    STATE(6459), 2,
      sym_switch_case,
      sym_switch_default,
  [168743] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1902), 1,
      anon_sym_LT,
    ACTIONS(7994), 1,
      anon_sym_LPAREN,
    ACTIONS(8498), 1,
      sym_identifier,
    STATE(4790), 1,
      sym_formal_parameters,
    STATE(4897), 1,
      sym_comment,
    STATE(6519), 1,
      sym__call_signature,
    STATE(6683), 1,
      sym_type_parameters,
  [168771] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7164), 1,
      anon_sym_LT,
    ACTIONS(7194), 1,
      anon_sym_LPAREN,
    ACTIONS(8500), 1,
      anon_sym_QMARK,
    STATE(4266), 1,
      sym_formal_parameters,
    STATE(4885), 1,
      sym__call_signature,
    STATE(4898), 1,
      sym_comment,
    STATE(6530), 1,
      sym_type_parameters,
  [168799] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4899), 1,
      sym_comment,
    ACTIONS(6414), 6,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT,
  [168817] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3876), 1,
      anon_sym_LBRACE,
    ACTIONS(8301), 1,
      anon_sym_LBRACK,
    ACTIONS(8502), 1,
      sym_identifier,
    STATE(4900), 1,
      sym_comment,
    STATE(5652), 1,
      sym__destructuring_pattern,
    STATE(4283), 2,
      sym_object_pattern,
      sym_array_pattern,
  [168843] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8236), 1,
      anon_sym_LBRACE,
    STATE(3548), 1,
      sym_statement_block,
    STATE(4901), 1,
      sym_comment,
    ACTIONS(8139), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [168865] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7080), 1,
      anon_sym_AMP,
    ACTIONS(7082), 1,
      anon_sym_PIPE,
    ACTIONS(7084), 1,
      anon_sym_extends,
    ACTIONS(8504), 1,
      anon_sym_COMMA,
    ACTIONS(8506), 1,
      anon_sym_GT,
    STATE(4902), 1,
      sym_comment,
    STATE(6202), 1,
      aux_sym_type_arguments_repeat1,
  [168893] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4129), 1,
      anon_sym_LPAREN,
    ACTIONS(7610), 1,
      anon_sym_DOT,
    ACTIONS(8508), 1,
      anon_sym_COMMA,
    ACTIONS(8510), 1,
      anon_sym_GT,
    STATE(4458), 1,
      sym_arguments,
    STATE(4903), 1,
      sym_comment,
    STATE(6198), 1,
      aux_sym_type_arguments_repeat1,
  [168921] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4829), 1,
      aux_sym_object_type_repeat1,
    STATE(4904), 1,
      sym_comment,
    ACTIONS(8490), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(8488), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [168943] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4904), 1,
      aux_sym_object_type_repeat1,
    STATE(4905), 1,
      sym_comment,
    ACTIONS(8514), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(8512), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [168965] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3876), 1,
      anon_sym_LBRACE,
    ACTIONS(8301), 1,
      anon_sym_LBRACK,
    ACTIONS(8516), 1,
      sym_identifier,
    STATE(4906), 1,
      sym_comment,
    STATE(6989), 1,
      sym__destructuring_pattern,
    STATE(4283), 2,
      sym_object_pattern,
      sym_array_pattern,
  [168991] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4907), 1,
      sym_comment,
    ACTIONS(8018), 6,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON,
  [169009] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4908), 1,
      sym_comment,
    ACTIONS(5707), 6,
      anon_sym_LBRACE,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
      sym_html_character_reference,
      anon_sym_LT_SLASH,
      anon_sym_LT,
  [169027] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4829), 1,
      aux_sym_object_type_repeat1,
    STATE(4909), 1,
      sym_comment,
    ACTIONS(8520), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(8518), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [169049] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4910), 1,
      sym_comment,
    ACTIONS(5711), 6,
      anon_sym_LBRACE,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
      sym_html_character_reference,
      anon_sym_LT_SLASH,
      anon_sym_LT,
  [169067] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4911), 1,
      sym_comment,
    ACTIONS(5578), 6,
      anon_sym_LBRACE,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
      sym_html_character_reference,
      anon_sym_LT_SLASH,
      anon_sym_LT,
  [169085] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4912), 1,
      sym_comment,
    ACTIONS(5574), 6,
      anon_sym_LBRACE,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
      sym_html_character_reference,
      anon_sym_LT_SLASH,
      anon_sym_LT,
  [169103] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8261), 1,
      anon_sym_default,
    ACTIONS(8265), 1,
      anon_sym_case,
    ACTIONS(8522), 1,
      anon_sym_RBRACE,
    STATE(4896), 1,
      aux_sym_switch_body_repeat1,
    STATE(4913), 1,
      sym_comment,
    STATE(6459), 2,
      sym_switch_case,
      sym_switch_default,
  [169129] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7164), 1,
      anon_sym_LT,
    ACTIONS(7216), 1,
      anon_sym_LPAREN,
    ACTIONS(8524), 1,
      anon_sym_QMARK,
    STATE(4200), 1,
      sym_formal_parameters,
    STATE(4571), 1,
      sym__call_signature,
    STATE(4914), 1,
      sym_comment,
    STATE(6630), 1,
      sym_type_parameters,
  [169157] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4915), 1,
      sym_comment,
    STATE(4930), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(8528), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(8526), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [169179] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4829), 1,
      aux_sym_object_type_repeat1,
    STATE(4916), 1,
      sym_comment,
    ACTIONS(8528), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(8526), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [169201] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7160), 1,
      anon_sym_LPAREN,
    ACTIONS(7164), 1,
      anon_sym_LT,
    ACTIONS(8530), 1,
      anon_sym_QMARK,
    STATE(4790), 1,
      sym_formal_parameters,
    STATE(4917), 1,
      sym_comment,
    STATE(6683), 1,
      sym_type_parameters,
    STATE(6761), 1,
      sym__call_signature,
  [169229] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4918), 1,
      sym_comment,
    ACTIONS(2107), 6,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_catch,
      anon_sym_finally,
  [169247] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1902), 1,
      anon_sym_LT,
    ACTIONS(7994), 1,
      anon_sym_LPAREN,
    ACTIONS(8532), 1,
      sym_identifier,
    STATE(4790), 1,
      sym_formal_parameters,
    STATE(4919), 1,
      sym_comment,
    STATE(6519), 1,
      sym__call_signature,
    STATE(6683), 1,
      sym_type_parameters,
  [169275] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7164), 1,
      anon_sym_LT,
    ACTIONS(7194), 1,
      anon_sym_LPAREN,
    ACTIONS(8534), 1,
      anon_sym_QMARK,
    STATE(4266), 1,
      sym_formal_parameters,
    STATE(4920), 1,
      sym_comment,
    STATE(4923), 1,
      sym__call_signature,
    STATE(6530), 1,
      sym_type_parameters,
  [169303] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8236), 1,
      anon_sym_LBRACE,
    STATE(3534), 1,
      sym_statement_block,
    STATE(4921), 1,
      sym_comment,
    ACTIONS(8161), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [169325] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1902), 1,
      anon_sym_LT,
    ACTIONS(7994), 1,
      anon_sym_LPAREN,
    ACTIONS(8536), 1,
      sym_identifier,
    STATE(4790), 1,
      sym_formal_parameters,
    STATE(4922), 1,
      sym_comment,
    STATE(6683), 1,
      sym_type_parameters,
    STATE(6800), 1,
      sym__call_signature,
  [169353] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8236), 1,
      anon_sym_LBRACE,
    STATE(3507), 1,
      sym_statement_block,
    STATE(4923), 1,
      sym_comment,
    ACTIONS(8172), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [169375] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3876), 1,
      anon_sym_LBRACE,
    ACTIONS(8301), 1,
      anon_sym_LBRACK,
    ACTIONS(8538), 1,
      sym_identifier,
    STATE(4924), 1,
      sym_comment,
    STATE(6077), 1,
      sym__destructuring_pattern,
    STATE(4283), 2,
      sym_object_pattern,
      sym_array_pattern,
  [169401] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7164), 1,
      anon_sym_LT,
    ACTIONS(7216), 1,
      anon_sym_LPAREN,
    ACTIONS(8540), 1,
      anon_sym_QMARK,
    STATE(4200), 1,
      sym_formal_parameters,
    STATE(4742), 1,
      sym__call_signature,
    STATE(4925), 1,
      sym_comment,
    STATE(6630), 1,
      sym_type_parameters,
  [169429] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7164), 1,
      anon_sym_LT,
    ACTIONS(7194), 1,
      anon_sym_LPAREN,
    ACTIONS(8542), 1,
      anon_sym_QMARK,
    STATE(4266), 1,
      sym_formal_parameters,
    STATE(4861), 1,
      sym__call_signature,
    STATE(4926), 1,
      sym_comment,
    STATE(6530), 1,
      sym_type_parameters,
  [169457] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4129), 1,
      anon_sym_LPAREN,
    ACTIONS(7610), 1,
      anon_sym_DOT,
    ACTIONS(8544), 1,
      anon_sym_COMMA,
    ACTIONS(8546), 1,
      anon_sym_GT,
    STATE(4458), 1,
      sym_arguments,
    STATE(4927), 1,
      sym_comment,
    STATE(6330), 1,
      aux_sym_type_arguments_repeat1,
  [169485] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7080), 1,
      anon_sym_AMP,
    ACTIONS(7082), 1,
      anon_sym_PIPE,
    ACTIONS(7084), 1,
      anon_sym_extends,
    ACTIONS(8548), 1,
      anon_sym_COMMA,
    ACTIONS(8550), 1,
      anon_sym_GT,
    STATE(4928), 1,
      sym_comment,
    STATE(6325), 1,
      aux_sym_type_arguments_repeat1,
  [169513] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4829), 1,
      aux_sym_object_type_repeat1,
    STATE(4929), 1,
      sym_comment,
    ACTIONS(8554), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(8552), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [169535] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4829), 1,
      aux_sym_object_type_repeat1,
    STATE(4930), 1,
      sym_comment,
    ACTIONS(8558), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(8556), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [169557] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7164), 1,
      anon_sym_LT,
    ACTIONS(7194), 1,
      anon_sym_LPAREN,
    ACTIONS(8560), 1,
      anon_sym_QMARK,
    STATE(4266), 1,
      sym_formal_parameters,
    STATE(4769), 1,
      sym__call_signature,
    STATE(4931), 1,
      sym_comment,
    STATE(6530), 1,
      sym_type_parameters,
  [169585] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4829), 1,
      aux_sym_object_type_repeat1,
    STATE(4932), 1,
      sym_comment,
    ACTIONS(8564), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(8562), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [169607] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4933), 1,
      sym_comment,
    STATE(4949), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(8568), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(8566), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [169629] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(8101), 1,
      sym_identifier,
    STATE(4467), 1,
      sym_nested_identifier,
    STATE(4692), 1,
      sym_string,
    STATE(4934), 1,
      sym_comment,
    STATE(5250), 1,
      sym__module,
  [169657] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4929), 1,
      aux_sym_object_type_repeat1,
    STATE(4935), 1,
      sym_comment,
    ACTIONS(8564), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(8562), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [169679] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4932), 1,
      aux_sym_object_type_repeat1,
    STATE(4936), 1,
      sym_comment,
    ACTIONS(8572), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(8570), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [169701] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3876), 1,
      anon_sym_LBRACE,
    ACTIONS(8301), 1,
      anon_sym_LBRACK,
    ACTIONS(8574), 1,
      sym_identifier,
    STATE(4937), 1,
      sym_comment,
    STATE(5962), 1,
      sym__destructuring_pattern,
    STATE(4283), 2,
      sym_object_pattern,
      sym_array_pattern,
  [169727] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4938), 1,
      sym_comment,
    ACTIONS(7914), 6,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT,
  [169745] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1930), 1,
      anon_sym_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_SQUOTE,
    ACTIONS(8101), 1,
      sym_identifier,
    STATE(4467), 1,
      sym_nested_identifier,
    STATE(4692), 1,
      sym_string,
    STATE(4939), 1,
      sym_comment,
    STATE(5007), 1,
      sym__module,
  [169773] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4940), 1,
      sym_comment,
    ACTIONS(5757), 6,
      anon_sym_LBRACE,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
      sym_html_character_reference,
      anon_sym_LT_SLASH,
      anon_sym_LT,
  [169791] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8236), 1,
      anon_sym_LBRACE,
    STATE(3511), 1,
      sym_statement_block,
    STATE(4941), 1,
      sym_comment,
    ACTIONS(8004), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [169813] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4942), 1,
      sym_comment,
    ACTIONS(5552), 6,
      anon_sym_LBRACE,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
      sym_html_character_reference,
      anon_sym_LT_SLASH,
      anon_sym_LT,
  [169831] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8236), 1,
      anon_sym_LBRACE,
    STATE(3539), 1,
      sym_statement_block,
    STATE(4943), 1,
      sym_comment,
    ACTIONS(8207), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [169853] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4944), 1,
      sym_comment,
    STATE(4989), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(8578), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(8576), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [169875] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4945), 1,
      sym_comment,
    ACTIONS(5556), 6,
      anon_sym_LBRACE,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
      sym_html_character_reference,
      anon_sym_LT_SLASH,
      anon_sym_LT,
  [169893] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7164), 1,
      anon_sym_LT,
    ACTIONS(7216), 1,
      anon_sym_LPAREN,
    ACTIONS(8580), 1,
      anon_sym_QMARK,
    STATE(4200), 1,
      sym_formal_parameters,
    STATE(4506), 1,
      sym__call_signature,
    STATE(4946), 1,
      sym_comment,
    STATE(6630), 1,
      sym_type_parameters,
  [169921] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8213), 1,
      anon_sym_DOT,
    ACTIONS(8215), 1,
      anon_sym_LT,
    ACTIONS(8582), 1,
      anon_sym_LBRACE,
    STATE(4947), 1,
      sym_comment,
    STATE(6107), 1,
      sym_type_arguments,
    ACTIONS(8584), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE_PIPE,
  [169947] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7164), 1,
      anon_sym_LT,
    ACTIONS(7216), 1,
      anon_sym_LPAREN,
    ACTIONS(8586), 1,
      anon_sym_QMARK,
    STATE(4200), 1,
      sym_formal_parameters,
    STATE(4712), 1,
      sym__call_signature,
    STATE(4948), 1,
      sym_comment,
    STATE(6630), 1,
      sym_type_parameters,
  [169975] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4829), 1,
      aux_sym_object_type_repeat1,
    STATE(4949), 1,
      sym_comment,
    ACTIONS(8578), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(8576), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [169997] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7164), 1,
      anon_sym_LT,
    ACTIONS(7216), 1,
      anon_sym_LPAREN,
    ACTIONS(8588), 1,
      anon_sym_QMARK,
    STATE(4200), 1,
      sym_formal_parameters,
    STATE(4581), 1,
      sym__call_signature,
    STATE(4950), 1,
      sym_comment,
    STATE(6630), 1,
      sym_type_parameters,
  [170025] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8236), 1,
      anon_sym_LBRACE,
    STATE(3554), 1,
      sym_statement_block,
    STATE(4951), 1,
      sym_comment,
    ACTIONS(7980), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [170047] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1902), 1,
      anon_sym_LT,
    ACTIONS(7994), 1,
      anon_sym_LPAREN,
    ACTIONS(8590), 1,
      sym_identifier,
    STATE(4790), 1,
      sym_formal_parameters,
    STATE(4952), 1,
      sym_comment,
    STATE(6519), 1,
      sym__call_signature,
    STATE(6683), 1,
      sym_type_parameters,
  [170075] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(2698), 1,
      anon_sym_AT,
    ACTIONS(8592), 1,
      anon_sym_export,
    ACTIONS(8594), 1,
      anon_sym_class,
    ACTIONS(8596), 1,
      anon_sym_abstract,
    STATE(4768), 1,
      aux_sym_export_statement_repeat1,
    STATE(4953), 1,
      sym_comment,
    STATE(5700), 1,
      sym_decorator,
  [170103] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4829), 1,
      aux_sym_object_type_repeat1,
    STATE(4954), 1,
      sym_comment,
    ACTIONS(8600), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(8598), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [170125] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1902), 1,
      anon_sym_LT,
    ACTIONS(7994), 1,
      anon_sym_LPAREN,
    ACTIONS(8602), 1,
      sym_identifier,
    STATE(4790), 1,
      sym_formal_parameters,
    STATE(4955), 1,
      sym_comment,
    STATE(6683), 1,
      sym_type_parameters,
    STATE(6800), 1,
      sym__call_signature,
  [170153] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7080), 1,
      anon_sym_AMP,
    ACTIONS(7082), 1,
      anon_sym_PIPE,
    ACTIONS(7084), 1,
      anon_sym_extends,
    ACTIONS(8604), 1,
      anon_sym_LBRACE,
    ACTIONS(8606), 1,
      anon_sym_COMMA,
    STATE(4956), 1,
      sym_comment,
    STATE(6147), 1,
      aux_sym_implements_clause_repeat1,
  [170181] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8608), 1,
      sym_identifier,
    STATE(4957), 1,
      sym_comment,
    ACTIONS(6993), 5,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT,
      anon_sym_BQUOTE,
  [170201] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7080), 1,
      anon_sym_AMP,
    ACTIONS(7082), 1,
      anon_sym_PIPE,
    ACTIONS(7084), 1,
      anon_sym_extends,
    ACTIONS(8610), 1,
      anon_sym_COMMA,
    ACTIONS(8612), 1,
      anon_sym_GT,
    STATE(4958), 1,
      sym_comment,
    STATE(6140), 1,
      aux_sym_type_arguments_repeat1,
  [170229] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4829), 1,
      aux_sym_object_type_repeat1,
    STATE(4959), 1,
      sym_comment,
    ACTIONS(8616), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(8614), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [170251] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4129), 1,
      anon_sym_LPAREN,
    ACTIONS(7610), 1,
      anon_sym_DOT,
    ACTIONS(8618), 1,
      anon_sym_COMMA,
    ACTIONS(8620), 1,
      anon_sym_GT,
    STATE(4458), 1,
      sym_arguments,
    STATE(4960), 1,
      sym_comment,
    STATE(6153), 1,
      aux_sym_type_arguments_repeat1,
  [170279] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4954), 1,
      aux_sym_object_type_repeat1,
    STATE(4961), 1,
      sym_comment,
    ACTIONS(8616), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(8614), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [170301] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8622), 1,
      sym_identifier,
    STATE(4962), 1,
      sym_comment,
    ACTIONS(6993), 5,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT,
      anon_sym_BQUOTE,
  [170321] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8624), 1,
      sym_identifier,
    STATE(4963), 1,
      sym_comment,
    ACTIONS(6993), 5,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT,
      anon_sym_BQUOTE,
  [170341] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8626), 1,
      sym_identifier,
    STATE(4964), 1,
      sym_comment,
    ACTIONS(6993), 5,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT,
      anon_sym_BQUOTE,
  [170361] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4959), 1,
      aux_sym_object_type_repeat1,
    STATE(4965), 1,
      sym_comment,
    ACTIONS(8630), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(8628), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [170383] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8635), 1,
      anon_sym_BQUOTE,
    ACTIONS(8637), 1,
      anon_sym_DOLLAR_LBRACE,
    STATE(5588), 1,
      sym_template_substitution,
    ACTIONS(8632), 2,
      sym__template_chars,
      sym_escape_sequence,
    STATE(4966), 2,
      sym_comment,
      aux_sym_template_string_repeat1,
  [170407] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4967), 1,
      sym_comment,
    ACTIONS(8121), 6,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON,
  [170425] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4829), 1,
      aux_sym_object_type_repeat1,
    STATE(4968), 1,
      sym_comment,
    ACTIONS(8642), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(8640), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [170447] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7164), 1,
      anon_sym_LT,
    ACTIONS(7216), 1,
      anon_sym_LPAREN,
    ACTIONS(8644), 1,
      anon_sym_QMARK,
    STATE(4200), 1,
      sym_formal_parameters,
    STATE(4969), 1,
      sym_comment,
    STATE(5345), 1,
      sym__call_signature,
    STATE(6630), 1,
      sym_type_parameters,
  [170475] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8261), 1,
      anon_sym_default,
    ACTIONS(8265), 1,
      anon_sym_case,
    ACTIONS(8646), 1,
      anon_sym_RBRACE,
    STATE(4850), 1,
      aux_sym_switch_body_repeat1,
    STATE(4970), 1,
      sym_comment,
    STATE(6459), 2,
      sym_switch_case,
      sym_switch_default,
  [170501] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1902), 1,
      anon_sym_LT,
    ACTIONS(7994), 1,
      anon_sym_LPAREN,
    ACTIONS(8648), 1,
      sym_identifier,
    STATE(4790), 1,
      sym_formal_parameters,
    STATE(4971), 1,
      sym_comment,
    STATE(6683), 1,
      sym_type_parameters,
    STATE(6800), 1,
      sym__call_signature,
  [170529] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4972), 1,
      sym_comment,
    ACTIONS(8650), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [170547] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4829), 1,
      aux_sym_object_type_repeat1,
    STATE(4973), 1,
      sym_comment,
    ACTIONS(8654), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(8652), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [170569] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7080), 1,
      anon_sym_AMP,
    ACTIONS(7082), 1,
      anon_sym_PIPE,
    ACTIONS(7084), 1,
      anon_sym_extends,
    ACTIONS(8656), 1,
      anon_sym_COMMA,
    ACTIONS(8658), 1,
      anon_sym_GT,
    STATE(4974), 1,
      sym_comment,
    STATE(5915), 1,
      aux_sym_type_arguments_repeat1,
  [170597] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4129), 1,
      anon_sym_LPAREN,
    ACTIONS(7610), 1,
      anon_sym_DOT,
    ACTIONS(8660), 1,
      anon_sym_COMMA,
    ACTIONS(8662), 1,
      anon_sym_GT,
    STATE(4458), 1,
      sym_arguments,
    STATE(4975), 1,
      sym_comment,
    STATE(5910), 1,
      aux_sym_type_arguments_repeat1,
  [170625] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4079), 1,
      anon_sym_DQUOTE,
    ACTIONS(4081), 1,
      anon_sym_SQUOTE,
    ACTIONS(8179), 1,
      sym_identifier,
    STATE(957), 1,
      sym_nested_identifier,
    STATE(971), 1,
      sym_string,
    STATE(1335), 1,
      sym__module,
    STATE(4976), 1,
      sym_comment,
  [170653] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8664), 1,
      sym_identifier,
    STATE(4977), 1,
      sym_comment,
    ACTIONS(6993), 5,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT,
      anon_sym_BQUOTE,
  [170673] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4079), 1,
      anon_sym_DQUOTE,
    ACTIONS(4081), 1,
      anon_sym_SQUOTE,
    ACTIONS(8179), 1,
      sym_identifier,
    STATE(957), 1,
      sym_nested_identifier,
    STATE(971), 1,
      sym_string,
    STATE(1237), 1,
      sym__module,
    STATE(4978), 1,
      sym_comment,
  [170701] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4979), 1,
      sym_comment,
    ACTIONS(8666), 6,
      anon_sym_LBRACE,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
      sym_html_character_reference,
      anon_sym_LT_SLASH,
      anon_sym_LT,
  [170719] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4968), 1,
      aux_sym_object_type_repeat1,
    STATE(4980), 1,
      sym_comment,
    ACTIONS(8654), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(8652), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [170741] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4973), 1,
      aux_sym_object_type_repeat1,
    STATE(4981), 1,
      sym_comment,
    ACTIONS(8670), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(8668), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [170763] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8674), 1,
      anon_sym_EQ,
    STATE(4982), 1,
      sym_comment,
    ACTIONS(8672), 5,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
      sym_identifier,
  [170783] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1902), 1,
      anon_sym_LT,
    ACTIONS(7994), 1,
      anon_sym_LPAREN,
    ACTIONS(8676), 1,
      sym_identifier,
    STATE(4790), 1,
      sym_formal_parameters,
    STATE(4983), 1,
      sym_comment,
    STATE(6519), 1,
      sym__call_signature,
    STATE(6683), 1,
      sym_type_parameters,
  [170811] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8236), 1,
      anon_sym_LBRACE,
    STATE(3561), 1,
      sym_statement_block,
    STATE(4984), 1,
      sym_comment,
    ACTIONS(8006), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [170833] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(2698), 1,
      anon_sym_AT,
    ACTIONS(8678), 1,
      anon_sym_export,
    ACTIONS(8680), 1,
      anon_sym_class,
    ACTIONS(8682), 1,
      anon_sym_abstract,
    STATE(4768), 1,
      aux_sym_export_statement_repeat1,
    STATE(4985), 1,
      sym_comment,
    STATE(5700), 1,
      sym_decorator,
  [170861] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4986), 1,
      sym_comment,
    ACTIONS(8684), 6,
      anon_sym_LBRACE,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
      sym_html_character_reference,
      anon_sym_LT_SLASH,
      anon_sym_LT,
  [170879] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4987), 1,
      sym_comment,
    ACTIONS(8686), 6,
      anon_sym_LBRACE,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
      sym_html_character_reference,
      anon_sym_LT_SLASH,
      anon_sym_LT,
  [170897] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4988), 1,
      sym_comment,
    ACTIONS(8688), 6,
      anon_sym_LBRACE,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
      sym_html_character_reference,
      anon_sym_LT_SLASH,
      anon_sym_LT,
  [170915] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4829), 1,
      aux_sym_object_type_repeat1,
    STATE(4989), 1,
      sym_comment,
    ACTIONS(8692), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(8690), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [170937] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8261), 1,
      anon_sym_default,
    ACTIONS(8265), 1,
      anon_sym_case,
    ACTIONS(8694), 1,
      anon_sym_RBRACE,
    STATE(4970), 1,
      aux_sym_switch_body_repeat1,
    STATE(4990), 1,
      sym_comment,
    STATE(6459), 2,
      sym_switch_case,
      sym_switch_default,
  [170963] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4991), 1,
      sym_comment,
    ACTIONS(3460), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [170980] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7424), 1,
      anon_sym_AMP,
    ACTIONS(7438), 1,
      anon_sym_extends,
    ACTIONS(8698), 1,
      anon_sym_PIPE,
    STATE(4992), 1,
      sym_comment,
    ACTIONS(8696), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [171003] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    STATE(4993), 1,
      sym_comment,
    STATE(6203), 1,
      sym__initializer,
    ACTIONS(8700), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [171024] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    STATE(4994), 1,
      sym_comment,
    STATE(6178), 1,
      sym__initializer,
    ACTIONS(8702), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [171045] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(2698), 1,
      anon_sym_AT,
    ACTIONS(8680), 1,
      anon_sym_class,
    ACTIONS(8682), 1,
      anon_sym_abstract,
    STATE(4768), 1,
      aux_sym_export_statement_repeat1,
    STATE(4995), 1,
      sym_comment,
    STATE(5700), 1,
      sym_decorator,
  [171070] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    STATE(4996), 1,
      sym_comment,
    STATE(6185), 1,
      sym__initializer,
    ACTIONS(8702), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [171091] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7164), 1,
      anon_sym_LT,
    ACTIONS(7194), 1,
      anon_sym_LPAREN,
    STATE(4266), 1,
      sym_formal_parameters,
    STATE(4997), 1,
      sym_comment,
    STATE(5272), 1,
      sym__call_signature,
    STATE(6530), 1,
      sym_type_parameters,
  [171116] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4998), 1,
      sym_comment,
    ACTIONS(3464), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [171133] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    STATE(4999), 1,
      sym_comment,
    STATE(6186), 1,
      sym__initializer,
    ACTIONS(8702), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [171154] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    STATE(5000), 1,
      sym_comment,
    STATE(6190), 1,
      sym__initializer,
    ACTIONS(8702), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [171175] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7160), 1,
      anon_sym_LPAREN,
    ACTIONS(7164), 1,
      anon_sym_LT,
    STATE(4790), 1,
      sym_formal_parameters,
    STATE(5001), 1,
      sym_comment,
    STATE(6582), 1,
      sym__call_signature,
    STATE(6683), 1,
      sym_type_parameters,
  [171200] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    STATE(5002), 1,
      sym_comment,
    STATE(6238), 1,
      sym__initializer,
    ACTIONS(8700), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [171221] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    STATE(5003), 1,
      sym_comment,
    STATE(6426), 1,
      sym__initializer,
    ACTIONS(8704), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [171242] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    STATE(5004), 1,
      sym_comment,
    STATE(6431), 1,
      sym__initializer,
    ACTIONS(8704), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [171263] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    STATE(5005), 1,
      sym_comment,
    STATE(6424), 1,
      sym__initializer,
    ACTIONS(8704), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [171284] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8706), 1,
      anon_sym_LBRACE,
    ACTIONS(8708), 1,
      anon_sym_SEMI,
    ACTIONS(8710), 1,
      sym__automatic_semicolon,
    ACTIONS(8712), 1,
      sym__function_signature_automatic_semicolon,
    STATE(449), 1,
      sym_statement_block,
    STATE(5006), 1,
      sym_comment,
  [171309] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5007), 1,
      sym_comment,
    ACTIONS(2201), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [171326] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5008), 1,
      sym_comment,
    ACTIONS(8714), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [171343] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5009), 1,
      sym_comment,
    ACTIONS(8055), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [171360] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5010), 1,
      sym_comment,
    ACTIONS(2205), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [171377] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8716), 1,
      sym_identifier,
    ACTIONS(8718), 1,
      anon_sym_GT,
    ACTIONS(8720), 1,
      sym_jsx_identifier,
    STATE(5011), 1,
      sym_comment,
    STATE(6641), 1,
      sym_nested_identifier,
    STATE(7500), 1,
      sym_jsx_namespace_name,
  [171402] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    STATE(5012), 1,
      sym_comment,
    STATE(6134), 1,
      sym__initializer,
    ACTIONS(8702), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [171423] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    STATE(5013), 1,
      sym_comment,
    STATE(6417), 1,
      sym__initializer,
    ACTIONS(8704), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [171444] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    STATE(5014), 1,
      sym_comment,
    STATE(6162), 1,
      sym__initializer,
    ACTIONS(8722), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [171465] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(2698), 1,
      anon_sym_AT,
    ACTIONS(8594), 1,
      anon_sym_class,
    ACTIONS(8596), 1,
      anon_sym_abstract,
    STATE(4768), 1,
      aux_sym_export_statement_repeat1,
    STATE(5015), 1,
      sym_comment,
    STATE(5700), 1,
      sym_decorator,
  [171490] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    STATE(5016), 1,
      sym_comment,
    STATE(6155), 1,
      sym__initializer,
    ACTIONS(8702), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [171511] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7164), 1,
      anon_sym_LT,
    ACTIONS(7216), 1,
      anon_sym_LPAREN,
    STATE(4200), 1,
      sym_formal_parameters,
    STATE(5017), 1,
      sym_comment,
    STATE(5343), 1,
      sym__call_signature,
    STATE(6630), 1,
      sym_type_parameters,
  [171536] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    STATE(5018), 1,
      sym_comment,
    STATE(6049), 1,
      sym__initializer,
    ACTIONS(8724), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [171557] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    STATE(5019), 1,
      sym_comment,
    STATE(6117), 1,
      sym__initializer,
    ACTIONS(8702), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [171578] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    STATE(5020), 1,
      sym_comment,
    STATE(6191), 1,
      sym__initializer,
    ACTIONS(8702), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [171599] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    STATE(5021), 1,
      sym_comment,
    STATE(6394), 1,
      sym__initializer,
    ACTIONS(8704), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [171620] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    STATE(5022), 1,
      sym_comment,
    STATE(6249), 1,
      sym__initializer,
    ACTIONS(8702), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [171641] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    STATE(5023), 1,
      sym_comment,
    STATE(6133), 1,
      sym__initializer,
    ACTIONS(8702), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [171662] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    STATE(5024), 1,
      sym_comment,
    STATE(6146), 1,
      sym__initializer,
    ACTIONS(8726), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [171683] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    STATE(5025), 1,
      sym_comment,
    STATE(6433), 1,
      sym__initializer,
    ACTIONS(8704), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [171704] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5026), 1,
      sym_comment,
    ACTIONS(8055), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [171721] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    STATE(5027), 1,
      sym_comment,
    STATE(6278), 1,
      sym__initializer,
    ACTIONS(8700), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [171742] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    STATE(5028), 1,
      sym_comment,
    STATE(6301), 1,
      sym__initializer,
    ACTIONS(8726), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [171763] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    STATE(5029), 1,
      sym_comment,
    STATE(6194), 1,
      sym__initializer,
    ACTIONS(8702), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [171784] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5030), 1,
      sym_comment,
    ACTIONS(8728), 5,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_extends,
      anon_sym_implements,
  [171801] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    STATE(5031), 1,
      sym_comment,
    STATE(6197), 1,
      sym__initializer,
    ACTIONS(8702), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [171822] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7160), 1,
      anon_sym_LPAREN,
    ACTIONS(7164), 1,
      anon_sym_LT,
    STATE(4790), 1,
      sym_formal_parameters,
    STATE(5032), 1,
      sym_comment,
    STATE(6683), 1,
      sym_type_parameters,
    STATE(6802), 1,
      sym__call_signature,
  [171847] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(5033), 1,
      sym_comment,
    ACTIONS(8315), 5,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
      sym_identifier,
  [171864] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    STATE(5034), 1,
      sym_comment,
    STATE(6121), 1,
      sym__initializer,
    ACTIONS(8730), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [171885] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    STATE(5035), 1,
      sym_comment,
    STATE(6434), 1,
      sym__initializer,
    ACTIONS(8732), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [171906] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5036), 1,
      sym_comment,
    ACTIONS(8734), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [171923] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    STATE(5037), 1,
      sym_comment,
    STATE(6303), 1,
      sym__initializer,
    ACTIONS(8726), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [171944] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    STATE(5038), 1,
      sym_comment,
    STATE(6111), 1,
      sym__initializer,
    ACTIONS(8730), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [171965] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5039), 1,
      sym_comment,
    ACTIONS(6407), 5,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_QMARK,
  [171982] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    STATE(5040), 1,
      sym_comment,
    STATE(6201), 1,
      sym__initializer,
    ACTIONS(8702), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [172003] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5041), 1,
      sym_comment,
    ACTIONS(6407), 5,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_QMARK,
  [172020] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7164), 1,
      anon_sym_LT,
    ACTIONS(7194), 1,
      anon_sym_LPAREN,
    STATE(4266), 1,
      sym_formal_parameters,
    STATE(5042), 1,
      sym_comment,
    STATE(5292), 1,
      sym__call_signature,
    STATE(6530), 1,
      sym_type_parameters,
  [172045] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    STATE(5043), 1,
      sym_comment,
    STATE(6204), 1,
      sym__initializer,
    ACTIONS(8702), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [172066] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8736), 1,
      anon_sym_BQUOTE,
    ACTIONS(8738), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(8740), 1,
      sym__template_chars,
    STATE(5044), 1,
      sym_comment,
    STATE(5174), 1,
      aux_sym_template_literal_type_repeat1,
    STATE(6239), 1,
      sym_template_type,
  [172091] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5045), 1,
      sym_comment,
    ACTIONS(6407), 5,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_QMARK,
  [172108] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5046), 1,
      sym_comment,
    ACTIONS(8049), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [172125] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8742), 1,
      anon_sym_LBRACE,
    ACTIONS(8744), 1,
      anon_sym_SEMI,
    ACTIONS(8746), 1,
      sym__automatic_semicolon,
    ACTIONS(8748), 1,
      sym__function_signature_automatic_semicolon,
    STATE(352), 1,
      sym_statement_block,
    STATE(5047), 1,
      sym_comment,
  [172150] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(5048), 1,
      sym_comment,
    ACTIONS(8750), 5,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
      sym_identifier,
  [172167] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(5049), 1,
      sym_comment,
    ACTIONS(8752), 5,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
      sym_identifier,
  [172184] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    STATE(5050), 1,
      sym_comment,
    STATE(6137), 1,
      sym__initializer,
    ACTIONS(8726), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [172205] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    STATE(5051), 1,
      sym_comment,
    STATE(6205), 1,
      sym__initializer,
    ACTIONS(8702), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [172226] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    STATE(5052), 1,
      sym_comment,
    STATE(6054), 1,
      sym__initializer,
    ACTIONS(8754), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [172247] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    STATE(5053), 1,
      sym_comment,
    STATE(6206), 1,
      sym__initializer,
    ACTIONS(8702), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [172268] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    STATE(5054), 1,
      sym_comment,
    STATE(6192), 1,
      sym__initializer,
    ACTIONS(8702), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [172289] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7080), 1,
      anon_sym_AMP,
    ACTIONS(7082), 1,
      anon_sym_PIPE,
    ACTIONS(7084), 1,
      anon_sym_extends,
    STATE(5055), 1,
      sym_comment,
    ACTIONS(8756), 2,
      anon_sym_LBRACE,
      anon_sym_COMMA,
  [172312] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5056), 1,
      sym_comment,
    ACTIONS(3438), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [172329] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(5057), 1,
      sym_comment,
    ACTIONS(8758), 5,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
      sym_identifier,
  [172346] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    STATE(5058), 1,
      sym_comment,
    STATE(6083), 1,
      sym__initializer,
    ACTIONS(8760), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [172367] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    STATE(5059), 1,
      sym_comment,
    STATE(6055), 1,
      sym__initializer,
    ACTIONS(8762), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [172388] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    STATE(5060), 1,
      sym_comment,
    STATE(6132), 1,
      sym__initializer,
    ACTIONS(8702), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [172409] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5061), 1,
      sym_comment,
    ACTIONS(6418), 5,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_QMARK,
  [172426] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5062), 1,
      sym_comment,
    ACTIONS(8764), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [172443] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    STATE(5063), 1,
      sym_comment,
    STATE(6208), 1,
      sym__initializer,
    ACTIONS(8722), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [172464] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7424), 1,
      anon_sym_AMP,
    ACTIONS(7438), 1,
      anon_sym_extends,
    ACTIONS(8698), 1,
      anon_sym_PIPE,
    STATE(5064), 1,
      sym_comment,
    ACTIONS(8766), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [172487] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5065), 1,
      sym_comment,
    ACTIONS(3438), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [172504] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    STATE(5066), 1,
      sym_comment,
    STATE(6135), 1,
      sym__initializer,
    ACTIONS(8700), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [172525] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    STATE(5067), 1,
      sym_comment,
    STATE(5947), 1,
      sym__initializer,
    ACTIONS(8700), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [172546] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8028), 1,
      anon_sym_extends,
    ACTIONS(8195), 1,
      anon_sym_LBRACE,
    ACTIONS(8197), 1,
      anon_sym_LBRACE_PIPE,
    STATE(1425), 1,
      sym_object_type,
    STATE(5068), 1,
      sym_comment,
    STATE(5903), 1,
      sym_extends_type_clause,
  [172571] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5069), 1,
      sym_comment,
    ACTIONS(2315), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [172588] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    STATE(5070), 1,
      sym_comment,
    STATE(6056), 1,
      sym__initializer,
    ACTIONS(8762), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [172609] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5071), 1,
      sym_comment,
    ACTIONS(8768), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [172626] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5072), 1,
      sym_comment,
    ACTIONS(3446), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [172643] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    STATE(5073), 1,
      sym_comment,
    STATE(6130), 1,
      sym__initializer,
    ACTIONS(8702), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [172664] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    STATE(5074), 1,
      sym_comment,
    STATE(6374), 1,
      sym__initializer,
    ACTIONS(8704), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [172685] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5075), 1,
      sym_comment,
    ACTIONS(8770), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [172702] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    STATE(5076), 1,
      sym_comment,
    STATE(6128), 1,
      sym__initializer,
    ACTIONS(8702), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [172723] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5077), 1,
      sym_comment,
    ACTIONS(8772), 5,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_extends,
      anon_sym_implements,
  [172740] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5078), 1,
      sym_comment,
    ACTIONS(3444), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [172757] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5079), 1,
      sym_comment,
    ACTIONS(3438), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [172774] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    STATE(5080), 1,
      sym_comment,
    STATE(6092), 1,
      sym__initializer,
    ACTIONS(8700), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [172795] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8774), 1,
      anon_sym_BQUOTE,
    ACTIONS(8776), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(8779), 1,
      sym__template_chars,
    STATE(6239), 1,
      sym_template_type,
    STATE(5081), 2,
      sym_comment,
      aux_sym_template_literal_type_repeat1,
  [172818] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5082), 1,
      sym_comment,
    ACTIONS(3438), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [172835] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5083), 1,
      sym_comment,
    ACTIONS(3430), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [172852] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5084), 1,
      sym_comment,
    ACTIONS(3480), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [172869] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8738), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(8740), 1,
      sym__template_chars,
    ACTIONS(8782), 1,
      anon_sym_BQUOTE,
    STATE(5081), 1,
      aux_sym_template_literal_type_repeat1,
    STATE(5085), 1,
      sym_comment,
    STATE(6239), 1,
      sym_template_type,
  [172894] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5086), 1,
      sym_comment,
    ACTIONS(3480), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [172911] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7424), 1,
      anon_sym_AMP,
    ACTIONS(7438), 1,
      anon_sym_extends,
    ACTIONS(8698), 1,
      anon_sym_PIPE,
    STATE(5087), 1,
      sym_comment,
    ACTIONS(8784), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [172934] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5088), 1,
      sym_comment,
    ACTIONS(3480), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [172951] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    STATE(5089), 1,
      sym_comment,
    STATE(6212), 1,
      sym__initializer,
    ACTIONS(8702), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [172972] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8786), 1,
      anon_sym_LBRACE,
    ACTIONS(8788), 1,
      anon_sym_SEMI,
    ACTIONS(8790), 1,
      sym__automatic_semicolon,
    ACTIONS(8792), 1,
      sym__function_signature_automatic_semicolon,
    STATE(948), 1,
      sym_statement_block,
    STATE(5090), 1,
      sym_comment,
  [172997] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7164), 1,
      anon_sym_LT,
    ACTIONS(7194), 1,
      anon_sym_LPAREN,
    STATE(4266), 1,
      sym_formal_parameters,
    STATE(5091), 1,
      sym_comment,
    STATE(5109), 1,
      sym__call_signature,
    STATE(6530), 1,
      sym_type_parameters,
  [173022] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7160), 1,
      anon_sym_LPAREN,
    ACTIONS(7164), 1,
      anon_sym_LT,
    STATE(4790), 1,
      sym_formal_parameters,
    STATE(5092), 1,
      sym_comment,
    STATE(6577), 1,
      sym__call_signature,
    STATE(6683), 1,
      sym_type_parameters,
  [173047] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    STATE(5093), 1,
      sym_comment,
    STATE(6373), 1,
      sym__initializer,
    ACTIONS(8704), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [173068] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    STATE(5094), 1,
      sym_comment,
    STATE(6346), 1,
      sym__initializer,
    ACTIONS(8700), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [173089] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    STATE(5095), 1,
      sym_comment,
    STATE(6213), 1,
      sym__initializer,
    ACTIONS(8702), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [173110] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7160), 1,
      anon_sym_LPAREN,
    ACTIONS(7164), 1,
      anon_sym_LT,
    STATE(4790), 1,
      sym_formal_parameters,
    STATE(5096), 1,
      sym_comment,
    STATE(6683), 1,
      sym_type_parameters,
    STATE(6777), 1,
      sym__call_signature,
  [173135] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4514), 1,
      anon_sym_COLON,
    ACTIONS(7214), 1,
      anon_sym_EQ,
    ACTIONS(8794), 1,
      anon_sym_COMMA,
    ACTIONS(8796), 1,
      anon_sym_RBRACE,
    STATE(5097), 1,
      sym_comment,
    STATE(6331), 1,
      aux_sym_object_pattern_repeat1,
  [173160] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(5098), 1,
      sym_comment,
    ACTIONS(5574), 5,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
      sym_identifier,
  [173177] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(5099), 1,
      sym_comment,
    ACTIONS(5586), 5,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
      sym_identifier,
  [173194] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8125), 1,
      anon_sym_EQ,
    ACTIONS(8798), 1,
      anon_sym_COMMA,
    ACTIONS(8800), 1,
      anon_sym_RBRACE,
    STATE(5100), 1,
      sym_comment,
    STATE(6378), 1,
      aux_sym_enum_body_repeat1,
    STATE(6979), 1,
      sym__initializer,
  [173219] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    STATE(5101), 1,
      sym_comment,
    STATE(5987), 1,
      sym__initializer,
    ACTIONS(8760), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [173240] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8788), 1,
      anon_sym_SEMI,
    ACTIONS(8790), 1,
      sym__automatic_semicolon,
    ACTIONS(8792), 1,
      sym__function_signature_automatic_semicolon,
    ACTIONS(8802), 1,
      anon_sym_LBRACE,
    STATE(305), 1,
      sym_statement_block,
    STATE(5102), 1,
      sym_comment,
  [173265] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5103), 1,
      sym_comment,
    ACTIONS(8161), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [173282] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7160), 1,
      anon_sym_LPAREN,
    ACTIONS(7164), 1,
      anon_sym_LT,
    STATE(4790), 1,
      sym_formal_parameters,
    STATE(5104), 1,
      sym_comment,
    STATE(6683), 1,
      sym_type_parameters,
    STATE(7003), 1,
      sym__call_signature,
  [173307] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7424), 1,
      anon_sym_AMP,
    ACTIONS(7438), 1,
      anon_sym_extends,
    ACTIONS(8698), 1,
      anon_sym_PIPE,
    STATE(5105), 1,
      sym_comment,
    ACTIONS(8804), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [173330] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5106), 1,
      sym_comment,
    ACTIONS(2083), 5,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_GT,
      anon_sym_DOT,
  [173347] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8786), 1,
      anon_sym_LBRACE,
    ACTIONS(8806), 1,
      anon_sym_SEMI,
    ACTIONS(8808), 1,
      sym__automatic_semicolon,
    ACTIONS(8810), 1,
      sym__function_signature_automatic_semicolon,
    STATE(939), 1,
      sym_statement_block,
    STATE(5107), 1,
      sym_comment,
  [173372] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5108), 1,
      sym_comment,
    ACTIONS(2197), 5,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_GT,
      anon_sym_DOT,
  [173389] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8706), 1,
      anon_sym_LBRACE,
    ACTIONS(8812), 1,
      anon_sym_SEMI,
    ACTIONS(8814), 1,
      sym__automatic_semicolon,
    ACTIONS(8816), 1,
      sym__function_signature_automatic_semicolon,
    STATE(430), 1,
      sym_statement_block,
    STATE(5109), 1,
      sym_comment,
  [173414] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7164), 1,
      anon_sym_LT,
    ACTIONS(7216), 1,
      anon_sym_LPAREN,
    STATE(4200), 1,
      sym_formal_parameters,
    STATE(5110), 1,
      sym_comment,
    STATE(5207), 1,
      sym__call_signature,
    STATE(6630), 1,
      sym_type_parameters,
  [173439] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5111), 1,
      sym_comment,
    ACTIONS(8172), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [173456] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5112), 1,
      sym_comment,
    ACTIONS(8161), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [173473] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(5113), 1,
      sym_comment,
    ACTIONS(5574), 5,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
      sym_identifier,
  [173490] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(5114), 1,
      sym_comment,
    ACTIONS(5582), 5,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
      sym_identifier,
  [173507] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5115), 1,
      sym_comment,
    ACTIONS(8818), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [173524] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    STATE(5116), 1,
      sym_comment,
    STATE(6001), 1,
      sym__initializer,
    ACTIONS(8726), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [173545] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    STATE(5117), 1,
      sym_comment,
    STATE(5891), 1,
      sym__initializer,
    ACTIONS(8726), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [173566] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    STATE(5118), 1,
      sym_comment,
    STATE(5993), 1,
      sym__initializer,
    ACTIONS(8700), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [173587] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    STATE(5119), 1,
      sym_comment,
    STATE(6126), 1,
      sym__initializer,
    ACTIONS(8820), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [173608] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8028), 1,
      anon_sym_extends,
    ACTIONS(8203), 1,
      anon_sym_LBRACE,
    ACTIONS(8205), 1,
      anon_sym_LBRACE_PIPE,
    STATE(1042), 1,
      sym_object_type,
    STATE(5120), 1,
      sym_comment,
    STATE(6408), 1,
      sym_extends_type_clause,
  [173633] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7160), 1,
      anon_sym_LPAREN,
    ACTIONS(7164), 1,
      anon_sym_LT,
    STATE(4790), 1,
      sym_formal_parameters,
    STATE(5121), 1,
      sym_comment,
    STATE(6683), 1,
      sym_type_parameters,
    STATE(6965), 1,
      sym__call_signature,
  [173658] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7160), 1,
      anon_sym_LPAREN,
    ACTIONS(7164), 1,
      anon_sym_LT,
    STATE(4790), 1,
      sym_formal_parameters,
    STATE(5122), 1,
      sym_comment,
    STATE(6683), 1,
      sym_type_parameters,
    STATE(6964), 1,
      sym__call_signature,
  [173683] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8822), 1,
      anon_sym_EQ,
    STATE(5123), 1,
      sym_comment,
    ACTIONS(4242), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [173702] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5124), 1,
      sym_comment,
    ACTIONS(8824), 5,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_extends,
      anon_sym_implements,
  [173719] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(5125), 1,
      sym_comment,
    ACTIONS(5578), 5,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
      sym_identifier,
  [173736] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8802), 1,
      anon_sym_LBRACE,
    ACTIONS(8806), 1,
      anon_sym_SEMI,
    ACTIONS(8808), 1,
      sym__automatic_semicolon,
    ACTIONS(8810), 1,
      sym__function_signature_automatic_semicolon,
    STATE(311), 1,
      sym_statement_block,
    STATE(5126), 1,
      sym_comment,
  [173761] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    STATE(5127), 1,
      sym_comment,
    STATE(5847), 1,
      sym__initializer,
    ACTIONS(8760), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [173782] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    STATE(5128), 1,
      sym_comment,
    STATE(6012), 1,
      sym__initializer,
    ACTIONS(8754), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [173803] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    STATE(5129), 1,
      sym_comment,
    STATE(6124), 1,
      sym__initializer,
    ACTIONS(8820), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [173824] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(5130), 1,
      sym_comment,
    ACTIONS(5574), 5,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
      sym_identifier,
  [173841] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5131), 1,
      sym_comment,
    ACTIONS(3482), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [173858] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5132), 1,
      sym_comment,
    ACTIONS(3484), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [173875] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5133), 1,
      sym_comment,
    ACTIONS(3486), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [173892] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8744), 1,
      anon_sym_SEMI,
    ACTIONS(8746), 1,
      sym__automatic_semicolon,
    ACTIONS(8748), 1,
      sym__function_signature_automatic_semicolon,
    ACTIONS(8826), 1,
      anon_sym_LBRACE,
    STATE(1151), 1,
      sym_statement_block,
    STATE(5134), 1,
      sym_comment,
  [173917] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5135), 1,
      sym_comment,
    ACTIONS(3488), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [173934] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7424), 1,
      anon_sym_AMP,
    ACTIONS(7438), 1,
      anon_sym_extends,
    ACTIONS(8698), 1,
      anon_sym_PIPE,
    STATE(5136), 1,
      sym_comment,
    ACTIONS(8828), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [173957] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    STATE(5137), 1,
      sym_comment,
    STATE(6087), 1,
      sym__initializer,
    ACTIONS(8760), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [173978] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7080), 1,
      anon_sym_AMP,
    ACTIONS(7082), 1,
      anon_sym_PIPE,
    ACTIONS(7084), 1,
      anon_sym_extends,
    STATE(5138), 1,
      sym_comment,
    ACTIONS(8830), 2,
      anon_sym_COMMA,
      anon_sym_GT,
  [174001] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    STATE(5139), 1,
      sym_comment,
    STATE(6014), 1,
      sym__initializer,
    ACTIONS(8762), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [174022] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    STATE(5140), 1,
      sym_comment,
    STATE(6361), 1,
      sym__initializer,
    ACTIONS(8700), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [174043] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    STATE(5141), 1,
      sym_comment,
    STATE(6214), 1,
      sym__initializer,
    ACTIONS(8702), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [174064] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    STATE(5142), 1,
      sym_comment,
    STATE(5977), 1,
      sym__initializer,
    ACTIONS(8726), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [174085] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    STATE(5143), 1,
      sym_comment,
    STATE(6215), 1,
      sym__initializer,
    ACTIONS(8702), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [174106] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    STATE(5144), 1,
      sym_comment,
    STATE(5964), 1,
      sym__initializer,
    ACTIONS(8726), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [174127] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    STATE(5145), 1,
      sym_comment,
    STATE(6384), 1,
      sym__initializer,
    ACTIONS(8832), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [174148] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    STATE(5146), 1,
      sym_comment,
    STATE(6123), 1,
      sym__initializer,
    ACTIONS(8820), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [174169] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(5147), 1,
      sym_comment,
    ACTIONS(5351), 5,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
      sym_identifier,
  [174186] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    STATE(5148), 1,
      sym_comment,
    STATE(5959), 1,
      sym__initializer,
    ACTIONS(8726), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [174207] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5149), 1,
      sym_comment,
    ACTIONS(8036), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [174224] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(5150), 1,
      sym_comment,
    ACTIONS(5347), 5,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
      sym_identifier,
  [174241] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    STATE(5151), 1,
      sym_comment,
    STATE(5937), 1,
      sym__initializer,
    ACTIONS(8760), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [174262] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(5152), 1,
      sym_comment,
    ACTIONS(5343), 5,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
      sym_identifier,
  [174279] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7164), 1,
      anon_sym_LT,
    ACTIONS(7194), 1,
      anon_sym_LPAREN,
    STATE(4266), 1,
      sym_formal_parameters,
    STATE(5153), 1,
      sym_comment,
    STATE(5522), 1,
      sym__call_signature,
    STATE(6530), 1,
      sym_type_parameters,
  [174304] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7164), 1,
      anon_sym_LT,
    ACTIONS(7216), 1,
      anon_sym_LPAREN,
    STATE(4200), 1,
      sym_formal_parameters,
    STATE(5154), 1,
      sym_comment,
    STATE(5836), 1,
      sym__call_signature,
    STATE(6630), 1,
      sym_type_parameters,
  [174329] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    STATE(5155), 1,
      sym_comment,
    STATE(6122), 1,
      sym__initializer,
    ACTIONS(8820), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [174350] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    STATE(5156), 1,
      sym_comment,
    STATE(6362), 1,
      sym__initializer,
    ACTIONS(8732), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [174371] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7128), 1,
      anon_sym_LBRACK,
    ACTIONS(8834), 1,
      anon_sym_RBRACE,
    STATE(5157), 1,
      sym_comment,
    ACTIONS(5187), 3,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [174392] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    STATE(5158), 1,
      sym_comment,
    STATE(6368), 1,
      sym__initializer,
    ACTIONS(8726), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [174413] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7160), 1,
      anon_sym_LPAREN,
    ACTIONS(7164), 1,
      anon_sym_LT,
    STATE(4790), 1,
      sym_formal_parameters,
    STATE(5159), 1,
      sym_comment,
    STATE(6683), 1,
      sym_type_parameters,
    STATE(6946), 1,
      sym__call_signature,
  [174438] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7160), 1,
      anon_sym_LPAREN,
    ACTIONS(7164), 1,
      anon_sym_LT,
    STATE(4790), 1,
      sym_formal_parameters,
    STATE(5160), 1,
      sym_comment,
    STATE(6683), 1,
      sym_type_parameters,
    STATE(6788), 1,
      sym__call_signature,
  [174463] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8125), 1,
      anon_sym_EQ,
    ACTIONS(8836), 1,
      anon_sym_COMMA,
    ACTIONS(8838), 1,
      anon_sym_RBRACE,
    STATE(5161), 1,
      sym_comment,
    STATE(5970), 1,
      aux_sym_enum_body_repeat1,
    STATE(6979), 1,
      sym__initializer,
  [174488] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    STATE(5162), 1,
      sym_comment,
    STATE(5818), 1,
      sym__initializer,
    ACTIONS(8840), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [174509] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    STATE(5163), 1,
      sym_comment,
    STATE(5955), 1,
      sym__initializer,
    ACTIONS(8726), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [174530] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7424), 1,
      anon_sym_AMP,
    ACTIONS(7438), 1,
      anon_sym_extends,
    ACTIONS(8698), 1,
      anon_sym_PIPE,
    STATE(5164), 1,
      sym_comment,
    ACTIONS(8842), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [174553] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7164), 1,
      anon_sym_LT,
    ACTIONS(7194), 1,
      anon_sym_LPAREN,
    STATE(4266), 1,
      sym_formal_parameters,
    STATE(5165), 1,
      sym_comment,
    STATE(5386), 1,
      sym__call_signature,
    STATE(6530), 1,
      sym_type_parameters,
  [174578] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8708), 1,
      anon_sym_SEMI,
    ACTIONS(8710), 1,
      sym__automatic_semicolon,
    ACTIONS(8712), 1,
      sym__function_signature_automatic_semicolon,
    ACTIONS(8844), 1,
      anon_sym_LBRACE,
    STATE(1207), 1,
      sym_statement_block,
    STATE(5166), 1,
      sym_comment,
  [174603] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7160), 1,
      anon_sym_LPAREN,
    ACTIONS(7164), 1,
      anon_sym_LT,
    STATE(4790), 1,
      sym_formal_parameters,
    STATE(5167), 1,
      sym_comment,
    STATE(6683), 1,
      sym_type_parameters,
    STATE(6937), 1,
      sym__call_signature,
  [174628] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7164), 1,
      anon_sym_LT,
    ACTIONS(7194), 1,
      anon_sym_LPAREN,
    STATE(4266), 1,
      sym_formal_parameters,
    STATE(5168), 1,
      sym_comment,
    STATE(5280), 1,
      sym__call_signature,
    STATE(6530), 1,
      sym_type_parameters,
  [174653] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    STATE(5169), 1,
      sym_comment,
    STATE(6358), 1,
      sym__initializer,
    ACTIONS(8732), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [174674] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    STATE(5170), 1,
      sym_comment,
    STATE(5954), 1,
      sym__initializer,
    ACTIONS(8700), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [174695] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    STATE(5171), 1,
      sym_comment,
    STATE(5817), 1,
      sym__initializer,
    ACTIONS(8846), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [174716] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7160), 1,
      anon_sym_LPAREN,
    ACTIONS(7164), 1,
      anon_sym_LT,
    STATE(4790), 1,
      sym_formal_parameters,
    STATE(5172), 1,
      sym_comment,
    STATE(6683), 1,
      sym_type_parameters,
    STATE(6812), 1,
      sym__call_signature,
  [174741] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(8848), 1,
      sym_identifier,
    STATE(5173), 1,
      sym_comment,
    STATE(5681), 1,
      sym_string,
    STATE(6933), 1,
      sym__module_export_name,
  [174766] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8738), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(8740), 1,
      sym__template_chars,
    ACTIONS(8850), 1,
      anon_sym_BQUOTE,
    STATE(5081), 1,
      aux_sym_template_literal_type_repeat1,
    STATE(5174), 1,
      sym_comment,
    STATE(6239), 1,
      sym_template_type,
  [174791] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7164), 1,
      anon_sym_LT,
    ACTIONS(7194), 1,
      anon_sym_LPAREN,
    STATE(4266), 1,
      sym_formal_parameters,
    STATE(5175), 1,
      sym_comment,
    STATE(5437), 1,
      sym__call_signature,
    STATE(6530), 1,
      sym_type_parameters,
  [174816] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    STATE(5176), 1,
      sym_comment,
    STATE(6381), 1,
      sym__initializer,
    ACTIONS(8726), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [174837] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8742), 1,
      anon_sym_LBRACE,
    ACTIONS(8852), 1,
      anon_sym_SEMI,
    ACTIONS(8854), 1,
      sym__automatic_semicolon,
    ACTIONS(8856), 1,
      sym__function_signature_automatic_semicolon,
    STATE(365), 1,
      sym_statement_block,
    STATE(5177), 1,
      sym_comment,
  [174862] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7164), 1,
      anon_sym_LT,
    ACTIONS(7194), 1,
      anon_sym_LPAREN,
    STATE(4266), 1,
      sym_formal_parameters,
    STATE(4824), 1,
      sym__call_signature,
    STATE(5178), 1,
      sym_comment,
    STATE(6530), 1,
      sym_type_parameters,
  [174887] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8028), 1,
      anon_sym_extends,
    ACTIONS(8077), 1,
      anon_sym_LBRACE,
    ACTIONS(8079), 1,
      anon_sym_LBRACE_PIPE,
    STATE(1626), 1,
      sym_object_type,
    STATE(5179), 1,
      sym_comment,
    STATE(6168), 1,
      sym_extends_type_clause,
  [174912] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7164), 1,
      anon_sym_LT,
    ACTIONS(7194), 1,
      anon_sym_LPAREN,
    STATE(4266), 1,
      sym_formal_parameters,
    STATE(5166), 1,
      sym__call_signature,
    STATE(5180), 1,
      sym_comment,
    STATE(6530), 1,
      sym_type_parameters,
  [174937] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7160), 1,
      anon_sym_LPAREN,
    ACTIONS(7164), 1,
      anon_sym_LT,
    STATE(4790), 1,
      sym_formal_parameters,
    STATE(5181), 1,
      sym_comment,
    STATE(6683), 1,
      sym_type_parameters,
    STATE(6836), 1,
      sym__call_signature,
  [174962] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(8848), 1,
      sym_identifier,
    STATE(5182), 1,
      sym_comment,
    STATE(5681), 1,
      sym_string,
    STATE(6458), 1,
      sym__module_export_name,
  [174987] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    STATE(5183), 1,
      sym_comment,
    STATE(6379), 1,
      sym__initializer,
    ACTIONS(8762), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [175008] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7164), 1,
      anon_sym_LT,
    ACTIONS(7194), 1,
      anon_sym_LPAREN,
    STATE(4266), 1,
      sym_formal_parameters,
    STATE(5184), 1,
      sym_comment,
    STATE(5462), 1,
      sym__call_signature,
    STATE(6530), 1,
      sym_type_parameters,
  [175033] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    STATE(5185), 1,
      sym_comment,
    STATE(6356), 1,
      sym__initializer,
    ACTIONS(8704), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [175054] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(5186), 1,
      sym_comment,
    ACTIONS(8858), 5,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
      sym_identifier,
  [175071] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    STATE(5187), 1,
      sym_comment,
    STATE(6218), 1,
      sym__initializer,
    ACTIONS(8860), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [175092] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(5188), 1,
      sym_comment,
    ACTIONS(5556), 5,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
      sym_identifier,
  [175109] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(5189), 1,
      sym_comment,
    ACTIONS(5552), 5,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
      sym_identifier,
  [175126] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8125), 1,
      anon_sym_EQ,
    ACTIONS(8862), 1,
      anon_sym_COMMA,
    ACTIONS(8864), 1,
      anon_sym_RBRACE,
    STATE(5190), 1,
      sym_comment,
    STATE(5951), 1,
      aux_sym_enum_body_repeat1,
    STATE(6979), 1,
      sym__initializer,
  [175151] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7164), 1,
      anon_sym_LT,
    ACTIONS(7194), 1,
      anon_sym_LPAREN,
    STATE(4266), 1,
      sym_formal_parameters,
    STATE(4943), 1,
      sym__call_signature,
    STATE(5191), 1,
      sym_comment,
    STATE(6530), 1,
      sym_type_parameters,
  [175176] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5192), 1,
      sym_comment,
    ACTIONS(2387), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [175193] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5193), 1,
      sym_comment,
    ACTIONS(8866), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [175210] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    STATE(5194), 1,
      sym_comment,
    STATE(6351), 1,
      sym__initializer,
    ACTIONS(8704), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [175231] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7164), 1,
      anon_sym_LT,
    ACTIONS(7194), 1,
      anon_sym_LPAREN,
    STATE(4266), 1,
      sym_formal_parameters,
    STATE(5195), 1,
      sym_comment,
    STATE(5249), 1,
      sym__call_signature,
    STATE(6530), 1,
      sym_type_parameters,
  [175256] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5196), 1,
      sym_comment,
    ACTIONS(8049), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [175273] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7164), 1,
      anon_sym_LT,
    ACTIONS(7216), 1,
      anon_sym_LPAREN,
    STATE(4200), 1,
      sym_formal_parameters,
    STATE(5197), 1,
      sym_comment,
    STATE(6003), 1,
      sym__call_signature,
    STATE(6630), 1,
      sym_type_parameters,
  [175298] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7424), 1,
      anon_sym_AMP,
    ACTIONS(7438), 1,
      anon_sym_extends,
    ACTIONS(8698), 1,
      anon_sym_PIPE,
    STATE(5198), 1,
      sym_comment,
    ACTIONS(8868), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [175321] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7080), 1,
      anon_sym_AMP,
    ACTIONS(7082), 1,
      anon_sym_PIPE,
    ACTIONS(7084), 1,
      anon_sym_extends,
    ACTIONS(8870), 1,
      anon_sym_as,
    ACTIONS(8872), 1,
      anon_sym_RBRACK,
    STATE(5199), 1,
      sym_comment,
  [175346] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(2698), 1,
      anon_sym_AT,
    ACTIONS(8277), 1,
      anon_sym_class,
    ACTIONS(8279), 1,
      anon_sym_abstract,
    STATE(4768), 1,
      aux_sym_export_statement_repeat1,
    STATE(5200), 1,
      sym_comment,
    STATE(5700), 1,
      sym_decorator,
  [175371] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7164), 1,
      anon_sym_LT,
    ACTIONS(7194), 1,
      anon_sym_LPAREN,
    STATE(4266), 1,
      sym_formal_parameters,
    STATE(5201), 1,
      sym_comment,
    STATE(5449), 1,
      sym__call_signature,
    STATE(6530), 1,
      sym_type_parameters,
  [175396] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(6265), 1,
      sym__automatic_semicolon,
    STATE(5202), 1,
      sym_comment,
    ACTIONS(2267), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [175415] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5203), 1,
      sym_comment,
    ACTIONS(3490), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [175432] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5204), 1,
      sym_comment,
    ACTIONS(3378), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [175449] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    STATE(5205), 1,
      sym_comment,
    STATE(5839), 1,
      sym__initializer,
    ACTIONS(8726), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [175470] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5206), 1,
      sym_comment,
    ACTIONS(2387), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [175487] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5207), 1,
      sym_comment,
    ACTIONS(8002), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [175504] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7164), 1,
      anon_sym_LT,
    ACTIONS(7216), 1,
      anon_sym_LPAREN,
    STATE(4200), 1,
      sym_formal_parameters,
    STATE(5208), 1,
      sym_comment,
    STATE(5219), 1,
      sym__call_signature,
    STATE(6630), 1,
      sym_type_parameters,
  [175529] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(6311), 1,
      sym__automatic_semicolon,
    STATE(5209), 1,
      sym_comment,
    ACTIONS(2301), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [175548] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    STATE(5210), 1,
      sym_comment,
    STATE(6466), 1,
      sym__initializer,
    ACTIONS(8762), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [175569] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5211), 1,
      sym_comment,
    ACTIONS(8061), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [175586] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7160), 1,
      anon_sym_LPAREN,
    ACTIONS(7164), 1,
      anon_sym_LT,
    STATE(4790), 1,
      sym_formal_parameters,
    STATE(5212), 1,
      sym_comment,
    STATE(6683), 1,
      sym_type_parameters,
    STATE(6829), 1,
      sym__call_signature,
  [175611] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(2698), 1,
      anon_sym_AT,
    ACTIONS(8452), 1,
      anon_sym_abstract,
    ACTIONS(8874), 1,
      anon_sym_class,
    STATE(4768), 1,
      aux_sym_export_statement_repeat1,
    STATE(5213), 1,
      sym_comment,
    STATE(5700), 1,
      sym_decorator,
  [175636] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5214), 1,
      sym_comment,
    ACTIONS(8876), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [175653] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(6319), 1,
      sym__automatic_semicolon,
    STATE(5215), 1,
      sym_comment,
    ACTIONS(2297), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [175672] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5216), 1,
      sym_comment,
    ACTIONS(8878), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [175689] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    STATE(5217), 1,
      sym_comment,
    STATE(5907), 1,
      sym__initializer,
    ACTIONS(8760), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [175710] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5218), 1,
      sym_comment,
    ACTIONS(3492), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [175727] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5219), 1,
      sym_comment,
    ACTIONS(8075), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [175744] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(6459), 1,
      sym__automatic_semicolon,
    STATE(5220), 1,
      sym_comment,
    ACTIONS(2279), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [175763] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7164), 1,
      anon_sym_LT,
    ACTIONS(7216), 1,
      anon_sym_LPAREN,
    STATE(4200), 1,
      sym_formal_parameters,
    STATE(5196), 1,
      sym__call_signature,
    STATE(5221), 1,
      sym_comment,
    STATE(6630), 1,
      sym_type_parameters,
  [175788] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(2698), 1,
      anon_sym_AT,
    ACTIONS(8251), 1,
      anon_sym_class,
    ACTIONS(8253), 1,
      anon_sym_abstract,
    STATE(4768), 1,
      aux_sym_export_statement_repeat1,
    STATE(5222), 1,
      sym_comment,
    STATE(5700), 1,
      sym_decorator,
  [175813] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    STATE(5223), 1,
      sym_comment,
    STATE(6390), 1,
      sym__initializer,
    ACTIONS(8700), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [175834] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    STATE(5224), 1,
      sym_comment,
    STATE(6339), 1,
      sym__initializer,
    ACTIONS(8732), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [175855] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7424), 1,
      anon_sym_AMP,
    ACTIONS(7438), 1,
      anon_sym_extends,
    ACTIONS(8698), 1,
      anon_sym_PIPE,
    STATE(5225), 1,
      sym_comment,
    ACTIONS(8880), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [175878] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    STATE(5226), 1,
      sym_comment,
    STATE(6465), 1,
      sym__initializer,
    ACTIONS(8754), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [175899] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5227), 1,
      sym_comment,
    ACTIONS(6537), 5,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_QMARK,
  [175916] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5228), 1,
      sym_comment,
    ACTIONS(3492), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [175933] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    STATE(5229), 1,
      sym_comment,
    STATE(6338), 1,
      sym__initializer,
    ACTIONS(8704), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [175954] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5230), 1,
      sym_comment,
    ACTIONS(3494), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [175971] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4226), 1,
      anon_sym_COLON,
    STATE(5231), 1,
      sym_comment,
    STATE(7084), 1,
      sym_type_annotation,
    ACTIONS(4255), 3,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [175992] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5232), 1,
      sym_comment,
    ACTIONS(8036), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [176009] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8289), 1,
      anon_sym_COLON,
    ACTIONS(8882), 1,
      anon_sym_EQ_GT,
    STATE(5233), 1,
      sym_comment,
    STATE(6942), 3,
      sym_type_annotation,
      sym_asserts_annotation,
      sym_type_predicate_annotation,
  [176030] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8885), 1,
      anon_sym_LBRACE,
    ACTIONS(8887), 1,
      anon_sym_SEMI,
    ACTIONS(8889), 1,
      sym__automatic_semicolon,
    ACTIONS(8891), 1,
      sym__function_signature_automatic_semicolon,
    STATE(1050), 1,
      sym_statement_block,
    STATE(5234), 1,
      sym_comment,
  [176055] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7164), 1,
      anon_sym_LT,
    ACTIONS(7194), 1,
      anon_sym_LPAREN,
    STATE(4266), 1,
      sym_formal_parameters,
    STATE(5235), 1,
      sym_comment,
    STATE(5484), 1,
      sym__call_signature,
    STATE(6530), 1,
      sym_type_parameters,
  [176080] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    STATE(5236), 1,
      sym_comment,
    STATE(6337), 1,
      sym__initializer,
    ACTIONS(8704), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [176101] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7160), 1,
      anon_sym_LPAREN,
    ACTIONS(7164), 1,
      anon_sym_LT,
    STATE(4790), 1,
      sym_formal_parameters,
    STATE(5237), 1,
      sym_comment,
    STATE(6683), 1,
      sym_type_parameters,
    STATE(6885), 1,
      sym__call_signature,
  [176126] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    STATE(5238), 1,
      sym_comment,
    STATE(6400), 1,
      sym__initializer,
    ACTIONS(8726), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [176147] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5239), 1,
      sym_comment,
    ACTIONS(8893), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [176164] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8289), 1,
      anon_sym_COLON,
    ACTIONS(8895), 1,
      anon_sym_EQ_GT,
    STATE(5240), 1,
      sym_comment,
    STATE(6534), 3,
      sym_type_annotation,
      sym_asserts_annotation,
      sym_type_predicate_annotation,
  [176185] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5241), 1,
      sym_comment,
    ACTIONS(7980), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [176202] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2083), 1,
      anon_sym_DOT,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5084), 1,
      anon_sym_LBRACE,
    STATE(5242), 1,
      sym_comment,
    ACTIONS(5086), 3,
      anon_sym_COMMA,
      anon_sym_LT,
      anon_sym_LBRACE_PIPE,
  [176223] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2197), 1,
      anon_sym_DOT,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5084), 1,
      anon_sym_LBRACE,
    STATE(5243), 1,
      sym_comment,
    ACTIONS(5086), 3,
      anon_sym_COMMA,
      anon_sym_LT,
      anon_sym_LBRACE_PIPE,
  [176244] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(8848), 1,
      sym_identifier,
    STATE(5244), 1,
      sym_comment,
    STATE(5681), 1,
      sym_string,
    STATE(7174), 1,
      sym__module_export_name,
  [176269] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5245), 1,
      sym_comment,
    ACTIONS(6191), 5,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_QMARK,
  [176286] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8125), 1,
      anon_sym_EQ,
    ACTIONS(8898), 1,
      anon_sym_COMMA,
    ACTIONS(8900), 1,
      anon_sym_RBRACE,
    STATE(5246), 1,
      sym_comment,
    STATE(6480), 1,
      aux_sym_enum_body_repeat1,
    STATE(6979), 1,
      sym__initializer,
  [176311] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5247), 1,
      sym_comment,
    ACTIONS(8902), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [176328] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5248), 1,
      sym_comment,
    ACTIONS(3388), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [176345] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4839), 1,
      anon_sym_LBRACE,
    ACTIONS(8904), 1,
      anon_sym_SEMI,
    ACTIONS(8906), 1,
      sym__automatic_semicolon,
    ACTIONS(8908), 1,
      sym__function_signature_automatic_semicolon,
    STATE(3108), 1,
      sym_statement_block,
    STATE(5249), 1,
      sym_comment,
  [176370] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5250), 1,
      sym_comment,
    ACTIONS(3390), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [176387] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5251), 1,
      sym_comment,
    ACTIONS(8910), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [176404] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    STATE(5252), 1,
      sym_comment,
    STATE(6079), 1,
      sym__initializer,
    ACTIONS(8762), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [176425] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5253), 1,
      sym_comment,
    ACTIONS(8006), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [176442] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7160), 1,
      anon_sym_LPAREN,
    ACTIONS(7164), 1,
      anon_sym_LT,
    STATE(4790), 1,
      sym_formal_parameters,
    STATE(5254), 1,
      sym_comment,
    STATE(6683), 1,
      sym_type_parameters,
    STATE(6906), 1,
      sym__call_signature,
  [176467] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5255), 1,
      sym_comment,
    ACTIONS(2289), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [176484] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5256), 1,
      sym_comment,
    ACTIONS(3438), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [176501] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5257), 1,
      sym_comment,
    ACTIONS(7980), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [176518] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8738), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(8740), 1,
      sym__template_chars,
    ACTIONS(8912), 1,
      anon_sym_BQUOTE,
    STATE(5081), 1,
      aux_sym_template_literal_type_repeat1,
    STATE(5258), 1,
      sym_comment,
    STATE(6239), 1,
      sym_template_type,
  [176543] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8826), 1,
      anon_sym_LBRACE,
    ACTIONS(8852), 1,
      anon_sym_SEMI,
    ACTIONS(8854), 1,
      sym__automatic_semicolon,
    ACTIONS(8856), 1,
      sym__function_signature_automatic_semicolon,
    STATE(1141), 1,
      sym_statement_block,
    STATE(5259), 1,
      sym_comment,
  [176568] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5260), 1,
      sym_comment,
    ACTIONS(2275), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [176585] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7164), 1,
      anon_sym_LT,
    ACTIONS(7216), 1,
      anon_sym_LPAREN,
    STATE(4200), 1,
      sym_formal_parameters,
    STATE(5103), 1,
      sym__call_signature,
    STATE(5261), 1,
      sym_comment,
    STATE(6630), 1,
      sym_type_parameters,
  [176610] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5262), 1,
      sym_comment,
    ACTIONS(3496), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [176627] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7164), 1,
      anon_sym_LT,
    ACTIONS(7194), 1,
      anon_sym_LPAREN,
    STATE(4266), 1,
      sym_formal_parameters,
    STATE(5263), 1,
      sym_comment,
    STATE(5481), 1,
      sym__call_signature,
    STATE(6530), 1,
      sym_type_parameters,
  [176652] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5264), 1,
      sym_comment,
    ACTIONS(8006), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [176669] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    STATE(5265), 1,
      sym_comment,
    STATE(6015), 1,
      sym__initializer,
    ACTIONS(8762), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [176690] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE,
    ACTIONS(8848), 1,
      sym_identifier,
    STATE(5266), 1,
      sym_comment,
    STATE(5681), 1,
      sym_string,
    STATE(6825), 1,
      sym__module_export_name,
  [176715] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7424), 1,
      anon_sym_AMP,
    ACTIONS(7438), 1,
      anon_sym_extends,
    ACTIONS(8698), 1,
      anon_sym_PIPE,
    STATE(5267), 1,
      sym_comment,
    ACTIONS(8914), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [176738] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    STATE(5268), 1,
      sym_comment,
    STATE(6328), 1,
      sym__initializer,
    ACTIONS(8732), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [176759] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7424), 1,
      anon_sym_AMP,
    ACTIONS(7438), 1,
      anon_sym_extends,
    ACTIONS(8698), 1,
      anon_sym_PIPE,
    STATE(5269), 1,
      sym_comment,
    ACTIONS(8916), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [176782] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7160), 1,
      anon_sym_LPAREN,
    ACTIONS(7164), 1,
      anon_sym_LT,
    STATE(4790), 1,
      sym_formal_parameters,
    STATE(5270), 1,
      sym_comment,
    STATE(6683), 1,
      sym_type_parameters,
    STATE(6932), 1,
      sym__call_signature,
  [176807] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    STATE(5271), 1,
      sym_comment,
    STATE(6223), 1,
      sym__initializer,
    ACTIONS(8754), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [176828] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8885), 1,
      anon_sym_LBRACE,
    ACTIONS(8918), 1,
      anon_sym_SEMI,
    ACTIONS(8920), 1,
      sym__automatic_semicolon,
    ACTIONS(8922), 1,
      sym__function_signature_automatic_semicolon,
    STATE(1059), 1,
      sym_statement_block,
    STATE(5272), 1,
      sym_comment,
  [176853] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7160), 1,
      anon_sym_LPAREN,
    ACTIONS(7164), 1,
      anon_sym_LT,
    STATE(4790), 1,
      sym_formal_parameters,
    STATE(5273), 1,
      sym_comment,
    STATE(6683), 1,
      sym_type_parameters,
    STATE(6951), 1,
      sym__call_signature,
  [176878] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7160), 1,
      anon_sym_LPAREN,
    ACTIONS(7164), 1,
      anon_sym_LT,
    STATE(4790), 1,
      sym_formal_parameters,
    STATE(5274), 1,
      sym_comment,
    STATE(6683), 1,
      sym_type_parameters,
    STATE(6952), 1,
      sym__call_signature,
  [176903] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(2698), 1,
      anon_sym_AT,
    ACTIONS(8924), 1,
      anon_sym_class,
    ACTIONS(8926), 1,
      anon_sym_abstract,
    STATE(4768), 1,
      aux_sym_export_statement_repeat1,
    STATE(5275), 1,
      sym_comment,
    STATE(5700), 1,
      sym_decorator,
  [176928] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5276), 1,
      sym_comment,
    ACTIONS(8928), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [176945] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    STATE(5277), 1,
      sym_comment,
    STATE(6444), 1,
      sym__initializer,
    ACTIONS(8704), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [176966] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7160), 1,
      anon_sym_LPAREN,
    ACTIONS(7164), 1,
      anon_sym_LT,
    STATE(4790), 1,
      sym_formal_parameters,
    STATE(5278), 1,
      sym_comment,
    STATE(6683), 1,
      sym_type_parameters,
    STATE(6821), 1,
      sym__call_signature,
  [176991] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7080), 1,
      anon_sym_AMP,
    ACTIONS(7082), 1,
      anon_sym_PIPE,
    ACTIONS(7084), 1,
      anon_sym_extends,
    STATE(5279), 1,
      sym_comment,
    ACTIONS(8930), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [177014] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8812), 1,
      anon_sym_SEMI,
    ACTIONS(8814), 1,
      sym__automatic_semicolon,
    ACTIONS(8816), 1,
      sym__function_signature_automatic_semicolon,
    ACTIONS(8844), 1,
      anon_sym_LBRACE,
    STATE(1542), 1,
      sym_statement_block,
    STATE(5280), 1,
      sym_comment,
  [177039] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(5281), 1,
      sym_comment,
    ACTIONS(5757), 5,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
      sym_identifier,
  [177056] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    STATE(5282), 1,
      sym_comment,
    STATE(6323), 1,
      sym__initializer,
    ACTIONS(8704), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [177077] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5283), 1,
      sym_comment,
    ACTIONS(3504), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [177094] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    STATE(5284), 1,
      sym_comment,
    STATE(6322), 1,
      sym__initializer,
    ACTIONS(8704), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [177115] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    STATE(5285), 1,
      sym_comment,
    STATE(5928), 1,
      sym__initializer,
    ACTIONS(8726), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [177136] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7164), 1,
      anon_sym_LT,
    ACTIONS(7194), 1,
      anon_sym_LPAREN,
    STATE(4266), 1,
      sym_formal_parameters,
    STATE(5286), 1,
      sym_comment,
    STATE(5515), 1,
      sym__call_signature,
    STATE(6530), 1,
      sym_type_parameters,
  [177161] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7160), 1,
      anon_sym_LPAREN,
    ACTIONS(7164), 1,
      anon_sym_LT,
    STATE(4790), 1,
      sym_formal_parameters,
    STATE(5287), 1,
      sym_comment,
    STATE(6683), 1,
      sym_type_parameters,
    STATE(7013), 1,
      sym__call_signature,
  [177186] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    STATE(5288), 1,
      sym_comment,
    STATE(6407), 1,
      sym__initializer,
    ACTIONS(8726), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [177207] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5289), 1,
      sym_comment,
    ACTIONS(8932), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [177224] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8024), 1,
      anon_sym_LBRACE,
    ACTIONS(8028), 1,
      anon_sym_extends,
    ACTIONS(8030), 1,
      anon_sym_LBRACE_PIPE,
    STATE(1205), 1,
      sym_object_type,
    STATE(5290), 1,
      sym_comment,
    STATE(6440), 1,
      sym_extends_type_clause,
  [177249] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7424), 1,
      anon_sym_AMP,
    ACTIONS(7438), 1,
      anon_sym_extends,
    ACTIONS(8698), 1,
      anon_sym_PIPE,
    STATE(5291), 1,
      sym_comment,
    ACTIONS(8934), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [177272] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4839), 1,
      anon_sym_LBRACE,
    ACTIONS(8936), 1,
      anon_sym_SEMI,
    ACTIONS(8938), 1,
      sym__automatic_semicolon,
    ACTIONS(8940), 1,
      sym__function_signature_automatic_semicolon,
    STATE(3216), 1,
      sym_statement_block,
    STATE(5292), 1,
      sym_comment,
  [177297] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8738), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(8740), 1,
      sym__template_chars,
    ACTIONS(8942), 1,
      anon_sym_BQUOTE,
    STATE(5258), 1,
      aux_sym_template_literal_type_repeat1,
    STATE(5293), 1,
      sym_comment,
    STATE(6239), 1,
      sym_template_type,
  [177322] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    STATE(5294), 1,
      sym_comment,
    STATE(5927), 1,
      sym__initializer,
    ACTIONS(8726), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [177343] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    STATE(5295), 1,
      sym_comment,
    STATE(6222), 1,
      sym__initializer,
    ACTIONS(8704), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [177364] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5296), 1,
      sym_comment,
    ACTIONS(8368), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [177381] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7160), 1,
      anon_sym_LPAREN,
    ACTIONS(7164), 1,
      anon_sym_LT,
    STATE(4790), 1,
      sym_formal_parameters,
    STATE(5297), 1,
      sym_comment,
    STATE(6683), 1,
      sym_type_parameters,
    STATE(7022), 1,
      sym__call_signature,
  [177406] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    STATE(5298), 1,
      sym_comment,
    STATE(6142), 1,
      sym__initializer,
    ACTIONS(8704), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [177427] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7160), 1,
      anon_sym_LPAREN,
    ACTIONS(7164), 1,
      anon_sym_LT,
    STATE(4790), 1,
      sym_formal_parameters,
    STATE(5299), 1,
      sym_comment,
    STATE(6683), 1,
      sym_type_parameters,
    STATE(7043), 1,
      sym__call_signature,
  [177452] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    STATE(5300), 1,
      sym_comment,
    STATE(6269), 1,
      sym__initializer,
    ACTIONS(8754), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [177473] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7160), 1,
      anon_sym_LPAREN,
    ACTIONS(7164), 1,
      anon_sym_LT,
    STATE(4790), 1,
      sym_formal_parameters,
    STATE(5301), 1,
      sym_comment,
    STATE(6562), 1,
      sym__call_signature,
    STATE(6683), 1,
      sym_type_parameters,
  [177498] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    STATE(5302), 1,
      sym_comment,
    STATE(6320), 1,
      sym__initializer,
    ACTIONS(8704), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [177519] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    STATE(5303), 1,
      sym_comment,
    STATE(6207), 1,
      sym__initializer,
    ACTIONS(8762), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [177540] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7160), 1,
      anon_sym_LPAREN,
    ACTIONS(7164), 1,
      anon_sym_LT,
    STATE(4790), 1,
      sym_formal_parameters,
    STATE(5304), 1,
      sym_comment,
    STATE(6683), 1,
      sym_type_parameters,
    STATE(7046), 1,
      sym__call_signature,
  [177565] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5305), 1,
      sym_comment,
    ACTIONS(8012), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [177582] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5306), 1,
      sym_comment,
    ACTIONS(3394), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [177599] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7160), 1,
      anon_sym_LPAREN,
    ACTIONS(7164), 1,
      anon_sym_LT,
    STATE(4790), 1,
      sym_formal_parameters,
    STATE(5307), 1,
      sym_comment,
    STATE(6683), 1,
      sym_type_parameters,
    STATE(6752), 1,
      sym__call_signature,
  [177624] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    STATE(5308), 1,
      sym_comment,
    STATE(6289), 1,
      sym__initializer,
    ACTIONS(8704), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [177645] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7160), 1,
      anon_sym_LPAREN,
    ACTIONS(7164), 1,
      anon_sym_LT,
    STATE(4790), 1,
      sym_formal_parameters,
    STATE(5309), 1,
      sym_comment,
    STATE(6499), 1,
      sym__call_signature,
    STATE(6683), 1,
      sym_type_parameters,
  [177670] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5310), 1,
      sym_comment,
    ACTIONS(3398), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [177687] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(5311), 1,
      sym_comment,
    ACTIONS(5651), 5,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
      sym_identifier,
  [177704] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    STATE(5312), 1,
      sym_comment,
    STATE(6199), 1,
      sym__initializer,
    ACTIONS(8762), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [177725] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7160), 1,
      anon_sym_LPAREN,
    ACTIONS(7164), 1,
      anon_sym_LT,
    STATE(4790), 1,
      sym_formal_parameters,
    STATE(5313), 1,
      sym_comment,
    STATE(6683), 1,
      sym_type_parameters,
    STATE(6795), 1,
      sym__call_signature,
  [177750] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    STATE(5314), 1,
      sym_comment,
    STATE(6412), 1,
      sym__initializer,
    ACTIONS(8726), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [177771] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(5315), 1,
      sym_comment,
    ACTIONS(5655), 5,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
      sym_identifier,
  [177788] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7164), 1,
      anon_sym_LT,
    ACTIONS(7194), 1,
      anon_sym_LPAREN,
    STATE(4266), 1,
      sym_formal_parameters,
    STATE(5234), 1,
      sym__call_signature,
    STATE(5316), 1,
      sym_comment,
    STATE(6530), 1,
      sym_type_parameters,
  [177813] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    STATE(5317), 1,
      sym_comment,
    STATE(6059), 1,
      sym__initializer,
    ACTIONS(8944), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [177834] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5318), 1,
      sym_comment,
    ACTIONS(8946), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [177851] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8289), 1,
      anon_sym_COLON,
    ACTIONS(8948), 1,
      anon_sym_EQ_GT,
    STATE(5319), 1,
      sym_comment,
    STATE(6942), 3,
      sym_type_annotation,
      sym_asserts_annotation,
      sym_type_predicate_annotation,
  [177872] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    STATE(5320), 1,
      sym_comment,
    STATE(5924), 1,
      sym__initializer,
    ACTIONS(8700), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [177893] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7160), 1,
      anon_sym_LPAREN,
    ACTIONS(7164), 1,
      anon_sym_LT,
    STATE(4790), 1,
      sym_formal_parameters,
    STATE(5321), 1,
      sym_comment,
    STATE(6683), 1,
      sym_type_parameters,
    STATE(7109), 1,
      sym__call_signature,
  [177918] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    STATE(5322), 1,
      sym_comment,
    STATE(6363), 1,
      sym__initializer,
    ACTIONS(8754), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [177939] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    STATE(5323), 1,
      sym_comment,
    STATE(6228), 1,
      sym__initializer,
    ACTIONS(8704), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [177960] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8951), 1,
      sym_identifier,
    ACTIONS(8953), 1,
      anon_sym_GT,
    ACTIONS(8955), 1,
      sym_jsx_identifier,
    STATE(5324), 1,
      sym_comment,
    STATE(6809), 1,
      sym_nested_identifier,
    STATE(7364), 1,
      sym_jsx_namespace_name,
  [177985] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7160), 1,
      anon_sym_LPAREN,
    ACTIONS(7164), 1,
      anon_sym_LT,
    STATE(4790), 1,
      sym_formal_parameters,
    STATE(5325), 1,
      sym_comment,
    STATE(6683), 1,
      sym_type_parameters,
    STATE(6767), 1,
      sym__call_signature,
  [178010] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7424), 1,
      anon_sym_AMP,
    ACTIONS(7438), 1,
      anon_sym_extends,
    ACTIONS(8698), 1,
      anon_sym_PIPE,
    STATE(5326), 1,
      sym_comment,
    ACTIONS(8957), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [178033] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(2698), 1,
      anon_sym_AT,
    ACTIONS(8279), 1,
      anon_sym_abstract,
    ACTIONS(8959), 1,
      anon_sym_class,
    STATE(4768), 1,
      aux_sym_export_statement_repeat1,
    STATE(5327), 1,
      sym_comment,
    STATE(5700), 1,
      sym_decorator,
  [178058] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    STATE(5328), 1,
      sym_comment,
    STATE(6318), 1,
      sym__initializer,
    ACTIONS(8704), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [178079] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    STATE(5329), 1,
      sym_comment,
    STATE(6188), 1,
      sym__initializer,
    ACTIONS(8754), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [178100] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    STATE(5330), 1,
      sym_comment,
    STATE(6229), 1,
      sym__initializer,
    ACTIONS(8704), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [178121] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    STATE(5331), 1,
      sym_comment,
    STATE(6421), 1,
      sym__initializer,
    ACTIONS(8726), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [178142] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5332), 1,
      sym_comment,
    ACTIONS(8961), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [178159] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    STATE(5333), 1,
      sym_comment,
    STATE(6231), 1,
      sym__initializer,
    ACTIONS(8704), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [178180] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7160), 1,
      anon_sym_LPAREN,
    ACTIONS(7164), 1,
      anon_sym_LT,
    STATE(4790), 1,
      sym_formal_parameters,
    STATE(5334), 1,
      sym_comment,
    STATE(6544), 1,
      sym__call_signature,
    STATE(6683), 1,
      sym_type_parameters,
  [178205] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5335), 1,
      sym_comment,
    ACTIONS(6339), 5,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_QMARK,
  [178222] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7160), 1,
      anon_sym_LPAREN,
    ACTIONS(7164), 1,
      anon_sym_LT,
    STATE(4790), 1,
      sym_formal_parameters,
    STATE(5336), 1,
      sym_comment,
    STATE(6683), 1,
      sym_type_parameters,
    STATE(7108), 1,
      sym__call_signature,
  [178247] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    STATE(5337), 1,
      sym_comment,
    STATE(6244), 1,
      sym__initializer,
    ACTIONS(8704), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [178268] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8963), 1,
      sym_identifier,
    ACTIONS(8965), 1,
      anon_sym_GT,
    ACTIONS(8967), 1,
      sym_jsx_identifier,
    STATE(5338), 1,
      sym_comment,
    STATE(6545), 1,
      sym_nested_identifier,
    STATE(7586), 1,
      sym_jsx_namespace_name,
  [178293] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7160), 1,
      anon_sym_LPAREN,
    ACTIONS(7164), 1,
      anon_sym_LT,
    STATE(4790), 1,
      sym_formal_parameters,
    STATE(5339), 1,
      sym_comment,
    STATE(6683), 1,
      sym_type_parameters,
    STATE(7159), 1,
      sym__call_signature,
  [178318] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    STATE(5340), 1,
      sym_comment,
    STATE(6316), 1,
      sym__initializer,
    ACTIONS(8704), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [178339] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(2698), 1,
      anon_sym_AT,
    ACTIONS(8682), 1,
      anon_sym_abstract,
    ACTIONS(8969), 1,
      anon_sym_class,
    STATE(4768), 1,
      aux_sym_export_statement_repeat1,
    STATE(5341), 1,
      sym_comment,
    STATE(5700), 1,
      sym_decorator,
  [178364] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    STATE(5342), 1,
      sym_comment,
    STATE(6451), 1,
      sym__initializer,
    ACTIONS(8704), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [178385] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5343), 1,
      sym_comment,
    ACTIONS(8207), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [178402] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7164), 1,
      anon_sym_LT,
    ACTIONS(7216), 1,
      anon_sym_LPAREN,
    STATE(4200), 1,
      sym_formal_parameters,
    STATE(5264), 1,
      sym__call_signature,
    STATE(5344), 1,
      sym_comment,
    STATE(6630), 1,
      sym_type_parameters,
  [178427] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5345), 1,
      sym_comment,
    ACTIONS(8139), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [178444] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5401), 1,
      anon_sym_in,
    STATE(5346), 1,
      sym_comment,
    ACTIONS(6502), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
  [178463] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7160), 1,
      anon_sym_LPAREN,
    ACTIONS(7164), 1,
      anon_sym_LT,
    STATE(4790), 1,
      sym_formal_parameters,
    STATE(5347), 1,
      sym_comment,
    STATE(6487), 1,
      sym__call_signature,
    STATE(6683), 1,
      sym_type_parameters,
  [178488] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    STATE(5348), 1,
      sym_comment,
    STATE(6245), 1,
      sym__initializer,
    ACTIONS(8732), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [178509] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7160), 1,
      anon_sym_LPAREN,
    ACTIONS(7164), 1,
      anon_sym_LT,
    STATE(4790), 1,
      sym_formal_parameters,
    STATE(5349), 1,
      sym_comment,
    STATE(6683), 1,
      sym_type_parameters,
    STATE(7168), 1,
      sym__call_signature,
  [178534] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5350), 1,
      sym_comment,
    ACTIONS(8971), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [178551] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7164), 1,
      anon_sym_LT,
    ACTIONS(7216), 1,
      anon_sym_LPAREN,
    STATE(4200), 1,
      sym_formal_parameters,
    STATE(5351), 1,
      sym_comment,
    STATE(6032), 1,
      sym__call_signature,
    STATE(6630), 1,
      sym_type_parameters,
  [178576] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5352), 1,
      sym_comment,
    ACTIONS(2283), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [178593] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5353), 1,
      sym_comment,
    ACTIONS(3518), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [178610] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    STATE(5354), 1,
      sym_comment,
    STATE(6385), 1,
      sym__initializer,
    ACTIONS(8732), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [178631] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7164), 1,
      anon_sym_LT,
    ACTIONS(7216), 1,
      anon_sym_LPAREN,
    STATE(4200), 1,
      sym_formal_parameters,
    STATE(4619), 1,
      sym__call_signature,
    STATE(5355), 1,
      sym_comment,
    STATE(6630), 1,
      sym_type_parameters,
  [178656] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4514), 1,
      anon_sym_COLON,
    ACTIONS(7214), 1,
      anon_sym_EQ,
    ACTIONS(8794), 1,
      anon_sym_COMMA,
    ACTIONS(8973), 1,
      anon_sym_RBRACE,
    STATE(5356), 1,
      sym_comment,
    STATE(6171), 1,
      aux_sym_object_pattern_repeat1,
  [178681] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    STATE(5357), 1,
      sym_comment,
    STATE(6452), 1,
      sym__initializer,
    ACTIONS(8704), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [178702] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5358), 1,
      sym_comment,
    ACTIONS(3518), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [178719] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7164), 1,
      anon_sym_LT,
    ACTIONS(7216), 1,
      anon_sym_LPAREN,
    STATE(4200), 1,
      sym_formal_parameters,
    STATE(4528), 1,
      sym__call_signature,
    STATE(5359), 1,
      sym_comment,
    STATE(6630), 1,
      sym_type_parameters,
  [178744] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5360), 1,
      sym_comment,
    ACTIONS(8207), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [178761] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5361), 1,
      sym_comment,
    ACTIONS(3462), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [178778] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5362), 1,
      sym_comment,
    ACTIONS(3438), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [178795] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7160), 1,
      anon_sym_LPAREN,
    ACTIONS(7164), 1,
      anon_sym_LT,
    STATE(4790), 1,
      sym_formal_parameters,
    STATE(5363), 1,
      sym_comment,
    STATE(6494), 1,
      sym__call_signature,
    STATE(6683), 1,
      sym_type_parameters,
  [178820] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    STATE(5364), 1,
      sym_comment,
    STATE(6453), 1,
      sym__initializer,
    ACTIONS(8704), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [178841] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    STATE(5365), 1,
      sym_comment,
    STATE(6174), 1,
      sym__initializer,
    ACTIONS(8754), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [178862] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7160), 1,
      anon_sym_LPAREN,
    ACTIONS(7164), 1,
      anon_sym_LT,
    STATE(4790), 1,
      sym_formal_parameters,
    STATE(5366), 1,
      sym_comment,
    STATE(6683), 1,
      sym_type_parameters,
    STATE(7156), 1,
      sym__call_signature,
  [178887] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5367), 1,
      sym_comment,
    ACTIONS(6084), 5,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_QMARK,
  [178904] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    STATE(5368), 1,
      sym_comment,
    STATE(6340), 1,
      sym__initializer,
    ACTIONS(8762), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [178925] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(5369), 1,
      sym_comment,
    ACTIONS(5773), 5,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
      sym_identifier,
  [178942] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5370), 1,
      sym_comment,
    ACTIONS(8975), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [178959] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    STATE(5371), 1,
      sym_comment,
    STATE(6343), 1,
      sym__initializer,
    ACTIONS(8762), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [178980] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8979), 1,
      anon_sym_in,
    ACTIONS(8981), 1,
      anon_sym_of,
    STATE(5372), 1,
      sym_comment,
    ACTIONS(8977), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [179001] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8983), 1,
      anon_sym_in,
    ACTIONS(8985), 1,
      anon_sym_of,
    STATE(5373), 1,
      sym_comment,
    ACTIONS(8977), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [179022] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    STATE(5374), 1,
      sym_comment,
    STATE(6120), 1,
      sym__initializer,
    ACTIONS(8754), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [179043] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(2698), 1,
      anon_sym_AT,
    ACTIONS(8926), 1,
      anon_sym_abstract,
    ACTIONS(8987), 1,
      anon_sym_class,
    STATE(4768), 1,
      aux_sym_export_statement_repeat1,
    STATE(5375), 1,
      sym_comment,
    STATE(5700), 1,
      sym_decorator,
  [179068] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7164), 1,
      anon_sym_LT,
    ACTIONS(7216), 1,
      anon_sym_LPAREN,
    STATE(4200), 1,
      sym_formal_parameters,
    STATE(4706), 1,
      sym__call_signature,
    STATE(5376), 1,
      sym_comment,
    STATE(6630), 1,
      sym_type_parameters,
  [179093] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5377), 1,
      sym_comment,
    ACTIONS(8139), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [179110] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    STATE(5378), 1,
      sym_comment,
    STATE(6382), 1,
      sym__initializer,
    ACTIONS(8754), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [179131] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8738), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(8740), 1,
      sym__template_chars,
    ACTIONS(8989), 1,
      anon_sym_BQUOTE,
    STATE(5379), 1,
      sym_comment,
    STATE(5476), 1,
      aux_sym_template_literal_type_repeat1,
    STATE(6239), 1,
      sym_template_type,
  [179156] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8215), 1,
      anon_sym_LT,
    ACTIONS(8991), 1,
      anon_sym_LBRACE,
    STATE(5380), 1,
      sym_comment,
    STATE(6110), 1,
      sym_type_arguments,
    ACTIONS(8993), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE_PIPE,
  [179179] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5381), 1,
      sym_comment,
    ACTIONS(8995), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [179196] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5382), 1,
      sym_comment,
    ACTIONS(3520), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [179213] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8738), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(8740), 1,
      sym__template_chars,
    ACTIONS(8997), 1,
      anon_sym_BQUOTE,
    STATE(5085), 1,
      aux_sym_template_literal_type_repeat1,
    STATE(5383), 1,
      sym_comment,
    STATE(6239), 1,
      sym_template_type,
  [179238] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5384), 1,
      sym_comment,
    ACTIONS(8999), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [179255] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5385), 1,
      sym_comment,
    ACTIONS(8650), 5,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [179272] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4839), 1,
      anon_sym_LBRACE,
    ACTIONS(9001), 1,
      anon_sym_SEMI,
    ACTIONS(9003), 1,
      sym__automatic_semicolon,
    ACTIONS(9005), 1,
      sym__function_signature_automatic_semicolon,
    STATE(3135), 1,
      sym_statement_block,
    STATE(5386), 1,
      sym_comment,
  [179297] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7424), 1,
      anon_sym_AMP,
    ACTIONS(7438), 1,
      anon_sym_extends,
    ACTIONS(8698), 1,
      anon_sym_PIPE,
    STATE(5387), 1,
      sym_comment,
    ACTIONS(9007), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [179320] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    STATE(5388), 1,
      sym_comment,
    STATE(5914), 1,
      sym__initializer,
    ACTIONS(8700), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [179341] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(5389), 1,
      sym_comment,
    ACTIONS(5511), 5,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
      sym_identifier,
  [179358] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5390), 1,
      sym_comment,
    ACTIONS(9009), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [179375] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    STATE(5391), 1,
      sym_comment,
    STATE(6290), 1,
      sym__initializer,
    ACTIONS(8732), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [179396] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    STATE(5392), 1,
      sym_comment,
    STATE(5859), 1,
      sym__initializer,
    ACTIONS(8700), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [179417] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5393), 1,
      sym_comment,
    ACTIONS(6485), 5,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_QMARK,
  [179434] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(5394), 1,
      sym_comment,
    ACTIONS(5507), 5,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
      sym_identifier,
  [179451] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7164), 1,
      anon_sym_LT,
    ACTIONS(7216), 1,
      anon_sym_LPAREN,
    STATE(4200), 1,
      sym_formal_parameters,
    STATE(4538), 1,
      sym__call_signature,
    STATE(5395), 1,
      sym_comment,
    STATE(6630), 1,
      sym_type_parameters,
  [179476] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5396), 1,
      sym_comment,
    ACTIONS(3522), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [179493] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    STATE(5397), 1,
      sym_comment,
    STATE(6250), 1,
      sym__initializer,
    ACTIONS(8704), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [179514] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5398), 1,
      sym_comment,
    ACTIONS(3524), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [179531] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5399), 1,
      sym_comment,
    ACTIONS(3526), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [179548] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5400), 1,
      sym_comment,
    ACTIONS(5914), 5,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_of,
      anon_sym_COLON,
  [179565] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5401), 1,
      sym_comment,
    ACTIONS(5926), 5,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_of,
      anon_sym_COLON,
  [179582] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(209), 1,
      anon_sym_LBRACE,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8028), 1,
      anon_sym_extends,
    ACTIONS(8047), 1,
      anon_sym_LBRACE_PIPE,
    STATE(5402), 1,
      sym_comment,
    STATE(6150), 1,
      sym_extends_type_clause,
    STATE(7026), 1,
      sym_object_type,
  [179607] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(2698), 1,
      anon_sym_AT,
    ACTIONS(8596), 1,
      anon_sym_abstract,
    ACTIONS(9011), 1,
      anon_sym_class,
    STATE(4768), 1,
      aux_sym_export_statement_repeat1,
    STATE(5403), 1,
      sym_comment,
    STATE(5700), 1,
      sym_decorator,
  [179632] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    STATE(5404), 1,
      sym_comment,
    STATE(6251), 1,
      sym__initializer,
    ACTIONS(8704), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [179653] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7424), 1,
      anon_sym_AMP,
    ACTIONS(7438), 1,
      anon_sym_extends,
    ACTIONS(8698), 1,
      anon_sym_PIPE,
    STATE(5405), 1,
      sym_comment,
    ACTIONS(9013), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [179676] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(5406), 1,
      sym_comment,
    ACTIONS(9015), 5,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
      sym_identifier,
  [179693] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5407), 1,
      sym_comment,
    ACTIONS(6387), 5,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_QMARK,
  [179710] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5408), 1,
      sym_comment,
    ACTIONS(6387), 5,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_QMARK,
  [179727] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5409), 1,
      sym_comment,
    ACTIONS(3528), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [179744] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5410), 1,
      sym_comment,
    ACTIONS(3530), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [179761] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5411), 1,
      sym_comment,
    ACTIONS(6387), 5,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_QMARK,
  [179778] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    STATE(5412), 1,
      sym_comment,
    STATE(6252), 1,
      sym__initializer,
    ACTIONS(8732), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [179799] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7164), 1,
      anon_sym_LT,
    ACTIONS(7194), 1,
      anon_sym_LPAREN,
    STATE(4266), 1,
      sym_formal_parameters,
    STATE(4789), 1,
      sym__call_signature,
    STATE(5413), 1,
      sym_comment,
    STATE(6530), 1,
      sym_type_parameters,
  [179824] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(2698), 1,
      anon_sym_AT,
    ACTIONS(8253), 1,
      anon_sym_abstract,
    ACTIONS(9017), 1,
      anon_sym_class,
    STATE(4768), 1,
      aux_sym_export_statement_repeat1,
    STATE(5414), 1,
      sym_comment,
    STATE(5700), 1,
      sym_decorator,
  [179849] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8289), 1,
      anon_sym_COLON,
    ACTIONS(9019), 1,
      anon_sym_EQ_GT,
    STATE(5415), 1,
      sym_comment,
    STATE(6534), 3,
      sym_type_annotation,
      sym_asserts_annotation,
      sym_type_predicate_annotation,
  [179870] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(5416), 1,
      sym_comment,
    ACTIONS(5336), 5,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
      sym_identifier,
  [179887] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    STATE(5417), 1,
      sym_comment,
    STATE(5988), 1,
      sym__initializer,
    ACTIONS(9022), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [179908] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    STATE(5418), 1,
      sym_comment,
    STATE(6256), 1,
      sym__initializer,
    ACTIONS(8704), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [179929] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    STATE(5419), 1,
      sym_comment,
    STATE(5884), 1,
      sym__initializer,
    ACTIONS(9024), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [179950] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    STATE(5420), 1,
      sym_comment,
    STATE(6257), 1,
      sym__initializer,
    ACTIONS(8704), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [179971] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    STATE(5421), 1,
      sym_comment,
    STATE(5833), 1,
      sym__initializer,
    ACTIONS(8726), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [179992] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    STATE(5422), 1,
      sym_comment,
    STATE(6259), 1,
      sym__initializer,
    ACTIONS(8732), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [180013] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(5423), 1,
      sym_comment,
    ACTIONS(5336), 5,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
      sym_identifier,
  [180030] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    STATE(5424), 1,
      sym_comment,
    STATE(5828), 1,
      sym__initializer,
    ACTIONS(8700), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [180051] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    STATE(5425), 1,
      sym_comment,
    STATE(6276), 1,
      sym__initializer,
    ACTIONS(8732), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [180072] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    STATE(5426), 1,
      sym_comment,
    STATE(5797), 1,
      sym__initializer,
    ACTIONS(8726), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [180093] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    STATE(5427), 1,
      sym_comment,
    STATE(5798), 1,
      sym__initializer,
    ACTIONS(8726), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [180114] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8289), 1,
      anon_sym_COLON,
    ACTIONS(9026), 1,
      anon_sym_EQ_GT,
    STATE(5428), 1,
      sym_comment,
    STATE(6942), 3,
      sym_type_annotation,
      sym_asserts_annotation,
      sym_type_predicate_annotation,
  [180135] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    STATE(5429), 1,
      sym_comment,
    STATE(6267), 1,
      sym__initializer,
    ACTIONS(8732), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [180156] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    STATE(5430), 1,
      sym_comment,
    STATE(5799), 1,
      sym__initializer,
    ACTIONS(8700), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [180177] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5431), 1,
      sym_comment,
    ACTIONS(3408), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [180194] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5432), 1,
      sym_comment,
    ACTIONS(3406), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [180211] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    STATE(5433), 1,
      sym_comment,
    STATE(5807), 1,
      sym__initializer,
    ACTIONS(8700), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [180232] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    STATE(5434), 1,
      sym_comment,
    STATE(5845), 1,
      sym__initializer,
    ACTIONS(8726), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [180253] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7424), 1,
      anon_sym_AMP,
    ACTIONS(7438), 1,
      anon_sym_extends,
    ACTIONS(8698), 1,
      anon_sym_PIPE,
    STATE(5435), 1,
      sym_comment,
    ACTIONS(9029), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [180276] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    STATE(5436), 1,
      sym_comment,
    STATE(5919), 1,
      sym__initializer,
    ACTIONS(8726), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [180297] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7940), 1,
      anon_sym_LBRACE,
    ACTIONS(8904), 1,
      anon_sym_SEMI,
    ACTIONS(8906), 1,
      sym__automatic_semicolon,
    ACTIONS(8908), 1,
      sym__function_signature_automatic_semicolon,
    STATE(5215), 1,
      sym_statement_block,
    STATE(5437), 1,
      sym_comment,
  [180322] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    STATE(5438), 1,
      sym_comment,
    STATE(5930), 1,
      sym__initializer,
    ACTIONS(8700), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [180343] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    STATE(5439), 1,
      sym_comment,
    STATE(5875), 1,
      sym__initializer,
    ACTIONS(9031), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [180364] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7160), 1,
      anon_sym_LPAREN,
    ACTIONS(7164), 1,
      anon_sym_LT,
    STATE(4790), 1,
      sym_formal_parameters,
    STATE(5440), 1,
      sym_comment,
    STATE(6646), 1,
      sym__call_signature,
    STATE(6683), 1,
      sym_type_parameters,
  [180389] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    STATE(5441), 1,
      sym_comment,
    STATE(6344), 1,
      sym__initializer,
    ACTIONS(8754), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [180410] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    STATE(5442), 1,
      sym_comment,
    STATE(5895), 1,
      sym__initializer,
    ACTIONS(8726), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [180431] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    STATE(5443), 1,
      sym_comment,
    STATE(5995), 1,
      sym__initializer,
    ACTIONS(8726), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [180452] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7160), 1,
      anon_sym_LPAREN,
    ACTIONS(7164), 1,
      anon_sym_LT,
    STATE(4790), 1,
      sym_formal_parameters,
    STATE(5444), 1,
      sym_comment,
    STATE(6634), 1,
      sym__call_signature,
    STATE(6683), 1,
      sym_type_parameters,
  [180477] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7160), 1,
      anon_sym_LPAREN,
    ACTIONS(7164), 1,
      anon_sym_LT,
    STATE(4790), 1,
      sym_formal_parameters,
    STATE(5445), 1,
      sym_comment,
    STATE(6627), 1,
      sym__call_signature,
    STATE(6683), 1,
      sym_type_parameters,
  [180502] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7164), 1,
      anon_sym_LT,
    ACTIONS(7194), 1,
      anon_sym_LPAREN,
    STATE(4266), 1,
      sym_formal_parameters,
    STATE(5090), 1,
      sym__call_signature,
    STATE(5446), 1,
      sym_comment,
    STATE(6530), 1,
      sym_type_parameters,
  [180527] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7160), 1,
      anon_sym_LPAREN,
    ACTIONS(7164), 1,
      anon_sym_LT,
    STATE(4790), 1,
      sym_formal_parameters,
    STATE(5447), 1,
      sym_comment,
    STATE(6607), 1,
      sym__call_signature,
    STATE(6683), 1,
      sym_type_parameters,
  [180552] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7164), 1,
      anon_sym_LT,
    ACTIONS(7194), 1,
      anon_sym_LPAREN,
    STATE(4266), 1,
      sym_formal_parameters,
    STATE(5102), 1,
      sym__call_signature,
    STATE(5448), 1,
      sym_comment,
    STATE(6530), 1,
      sym_type_parameters,
  [180577] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7940), 1,
      anon_sym_LBRACE,
    ACTIONS(9001), 1,
      anon_sym_SEMI,
    ACTIONS(9003), 1,
      sym__automatic_semicolon,
    ACTIONS(9005), 1,
      sym__function_signature_automatic_semicolon,
    STATE(5449), 1,
      sym_comment,
    STATE(5966), 1,
      sym_statement_block,
  [180602] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7164), 1,
      anon_sym_LT,
    ACTIONS(7194), 1,
      anon_sym_LPAREN,
    STATE(4266), 1,
      sym_formal_parameters,
    STATE(5107), 1,
      sym__call_signature,
    STATE(5450), 1,
      sym_comment,
    STATE(6530), 1,
      sym_type_parameters,
  [180627] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7424), 1,
      anon_sym_AMP,
    ACTIONS(7438), 1,
      anon_sym_extends,
    ACTIONS(8698), 1,
      anon_sym_PIPE,
    STATE(5451), 1,
      sym_comment,
    ACTIONS(9033), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [180650] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7164), 1,
      anon_sym_LT,
    ACTIONS(7194), 1,
      anon_sym_LPAREN,
    STATE(4266), 1,
      sym_formal_parameters,
    STATE(4921), 1,
      sym__call_signature,
    STATE(5452), 1,
      sym_comment,
    STATE(6530), 1,
      sym_type_parameters,
  [180675] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7164), 1,
      anon_sym_LT,
    ACTIONS(7194), 1,
      anon_sym_LPAREN,
    STATE(4266), 1,
      sym_formal_parameters,
    STATE(5126), 1,
      sym__call_signature,
    STATE(5453), 1,
      sym_comment,
    STATE(6530), 1,
      sym_type_parameters,
  [180700] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(5454), 1,
      sym_comment,
    ACTIONS(5332), 5,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
      sym_identifier,
  [180717] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8125), 1,
      anon_sym_EQ,
    ACTIONS(9035), 1,
      anon_sym_COMMA,
    ACTIONS(9037), 1,
      anon_sym_RBRACE,
    STATE(5455), 1,
      sym_comment,
    STATE(6234), 1,
      aux_sym_enum_body_repeat1,
    STATE(6979), 1,
      sym__initializer,
  [180742] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5456), 1,
      sym_comment,
    ACTIONS(9039), 5,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT,
      anon_sym_BQUOTE,
  [180759] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    STATE(5457), 1,
      sym_comment,
    STATE(5997), 1,
      sym__initializer,
    ACTIONS(8726), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [180780] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    STATE(5458), 1,
      sym_comment,
    STATE(5854), 1,
      sym__initializer,
    ACTIONS(9041), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [180801] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(5459), 1,
      sym_comment,
    ACTIONS(5332), 5,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
      sym_identifier,
  [180818] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(5460), 1,
      sym_comment,
    ACTIONS(5328), 5,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
      sym_identifier,
  [180835] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7080), 1,
      anon_sym_AMP,
    ACTIONS(7082), 1,
      anon_sym_PIPE,
    ACTIONS(7084), 1,
      anon_sym_extends,
    STATE(5461), 1,
      sym_comment,
    ACTIONS(9043), 2,
      anon_sym_COMMA,
      anon_sym_GT,
  [180858] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8887), 1,
      anon_sym_SEMI,
    ACTIONS(8889), 1,
      sym__automatic_semicolon,
    ACTIONS(8891), 1,
      sym__function_signature_automatic_semicolon,
    ACTIONS(9045), 1,
      anon_sym_LBRACE,
    STATE(377), 1,
      sym_statement_block,
    STATE(5462), 1,
      sym_comment,
  [180883] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7164), 1,
      anon_sym_LT,
    ACTIONS(7194), 1,
      anon_sym_LPAREN,
    STATE(4266), 1,
      sym_formal_parameters,
    STATE(5047), 1,
      sym__call_signature,
    STATE(5463), 1,
      sym_comment,
    STATE(6530), 1,
      sym_type_parameters,
  [180908] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8738), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(8740), 1,
      sym__template_chars,
    ACTIONS(9047), 1,
      anon_sym_BQUOTE,
    STATE(5081), 1,
      aux_sym_template_literal_type_repeat1,
    STATE(5464), 1,
      sym_comment,
    STATE(6239), 1,
      sym_template_type,
  [180933] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5465), 1,
      sym_comment,
    ACTIONS(8004), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [180950] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    STATE(5466), 1,
      sym_comment,
    STATE(6274), 1,
      sym__initializer,
    ACTIONS(8704), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [180971] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    STATE(5467), 1,
      sym_comment,
    STATE(6461), 1,
      sym__initializer,
    ACTIONS(9049), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [180992] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5468), 1,
      sym_comment,
    ACTIONS(5920), 5,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_of,
      anon_sym_COLON,
  [181009] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    STATE(5469), 1,
      sym_comment,
    STATE(6225), 1,
      sym__initializer,
    ACTIONS(8704), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [181030] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7978), 1,
      anon_sym_LBRACE,
    ACTIONS(9051), 1,
      anon_sym_DOT,
    STATE(5470), 1,
      sym_comment,
    STATE(7024), 1,
      sym_statement_block,
    ACTIONS(2059), 2,
      anon_sym_else,
      anon_sym_while,
  [181053] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    STATE(5471), 1,
      sym_comment,
    STATE(6027), 1,
      sym__initializer,
    ACTIONS(8726), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [181074] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7164), 1,
      anon_sym_LT,
    ACTIONS(7216), 1,
      anon_sym_LPAREN,
    STATE(4200), 1,
      sym_formal_parameters,
    STATE(4739), 1,
      sym__call_signature,
    STATE(5472), 1,
      sym_comment,
    STATE(6630), 1,
      sym_type_parameters,
  [181099] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7978), 1,
      anon_sym_LBRACE,
    ACTIONS(9053), 1,
      anon_sym_DOT,
    STATE(5473), 1,
      sym_comment,
    STATE(7024), 1,
      sym_statement_block,
    ACTIONS(2059), 2,
      anon_sym_else,
      anon_sym_while,
  [181122] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(2698), 1,
      anon_sym_AT,
    ACTIONS(8450), 1,
      anon_sym_class,
    ACTIONS(8452), 1,
      anon_sym_abstract,
    STATE(4768), 1,
      aux_sym_export_statement_repeat1,
    STATE(5474), 1,
      sym_comment,
    STATE(5700), 1,
      sym_decorator,
  [181147] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7164), 1,
      anon_sym_LT,
    ACTIONS(7194), 1,
      anon_sym_LPAREN,
    STATE(4266), 1,
      sym_formal_parameters,
    STATE(5134), 1,
      sym__call_signature,
    STATE(5475), 1,
      sym_comment,
    STATE(6530), 1,
      sym_type_parameters,
  [181172] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8738), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(8740), 1,
      sym__template_chars,
    ACTIONS(9055), 1,
      anon_sym_BQUOTE,
    STATE(5081), 1,
      aux_sym_template_literal_type_repeat1,
    STATE(5476), 1,
      sym_comment,
    STATE(6239), 1,
      sym_template_type,
  [181197] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    STATE(5477), 1,
      sym_comment,
    STATE(6076), 1,
      sym__initializer,
    ACTIONS(9057), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [181218] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7424), 1,
      anon_sym_AMP,
    ACTIONS(7438), 1,
      anon_sym_extends,
    ACTIONS(8698), 1,
      anon_sym_PIPE,
    STATE(5478), 1,
      sym_comment,
    ACTIONS(9059), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [181241] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7164), 1,
      anon_sym_LT,
    ACTIONS(7194), 1,
      anon_sym_LPAREN,
    STATE(4266), 1,
      sym_formal_parameters,
    STATE(5006), 1,
      sym__call_signature,
    STATE(5479), 1,
      sym_comment,
    STATE(6530), 1,
      sym_type_parameters,
  [181266] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    STATE(5480), 1,
      sym_comment,
    STATE(6275), 1,
      sym__initializer,
    ACTIONS(8704), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [181287] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7940), 1,
      anon_sym_LBRACE,
    ACTIONS(8936), 1,
      anon_sym_SEMI,
    ACTIONS(8938), 1,
      sym__automatic_semicolon,
    ACTIONS(8940), 1,
      sym__function_signature_automatic_semicolon,
    STATE(5220), 1,
      sym_statement_block,
    STATE(5481), 1,
      sym_comment,
  [181312] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    STATE(5482), 1,
      sym_comment,
    STATE(6078), 1,
      sym__initializer,
    ACTIONS(8754), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [181333] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(5483), 1,
      sym_comment,
    ACTIONS(5711), 5,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
      sym_identifier,
  [181350] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4839), 1,
      anon_sym_LBRACE,
    ACTIONS(9061), 1,
      anon_sym_SEMI,
    ACTIONS(9063), 1,
      sym__automatic_semicolon,
    ACTIONS(9065), 1,
      sym__function_signature_automatic_semicolon,
    STATE(3251), 1,
      sym_statement_block,
    STATE(5484), 1,
      sym_comment,
  [181375] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    STATE(5485), 1,
      sym_comment,
    STATE(5958), 1,
      sym__initializer,
    ACTIONS(9067), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [181396] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    STATE(5486), 1,
      sym_comment,
    STATE(6071), 1,
      sym__initializer,
    ACTIONS(8754), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [181417] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    STATE(5487), 1,
      sym_comment,
    STATE(6479), 1,
      sym__initializer,
    ACTIONS(9069), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [181438] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7164), 1,
      anon_sym_LT,
    ACTIONS(7194), 1,
      anon_sym_LPAREN,
    STATE(4266), 1,
      sym_formal_parameters,
    STATE(5177), 1,
      sym__call_signature,
    STATE(5488), 1,
      sym_comment,
    STATE(6530), 1,
      sym_type_parameters,
  [181463] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(5489), 1,
      sym_comment,
    ACTIONS(5707), 5,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
      sym_identifier,
  [181480] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5490), 1,
      sym_comment,
    ACTIONS(3582), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [181497] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5491), 1,
      sym_comment,
    ACTIONS(3578), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [181514] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5492), 1,
      sym_comment,
    ACTIONS(9071), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [181531] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5493), 1,
      sym_comment,
    ACTIONS(3576), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [181548] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5494), 1,
      sym_comment,
    ACTIONS(3574), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [181565] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5495), 1,
      sym_comment,
    ACTIONS(3570), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [181582] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8125), 1,
      anon_sym_EQ,
    ACTIONS(9073), 1,
      anon_sym_COMMA,
    ACTIONS(9075), 1,
      anon_sym_RBRACE,
    STATE(5496), 1,
      sym_comment,
    STATE(6084), 1,
      aux_sym_enum_body_repeat1,
    STATE(6979), 1,
      sym__initializer,
  [181607] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7160), 1,
      anon_sym_LPAREN,
    ACTIONS(7164), 1,
      anon_sym_LT,
    STATE(4790), 1,
      sym_formal_parameters,
    STATE(5497), 1,
      sym_comment,
    STATE(6683), 1,
      sym_type_parameters,
    STATE(6734), 1,
      sym__call_signature,
  [181632] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7164), 1,
      anon_sym_LT,
    ACTIONS(7194), 1,
      anon_sym_LPAREN,
    STATE(4266), 1,
      sym_formal_parameters,
    STATE(5259), 1,
      sym__call_signature,
    STATE(5498), 1,
      sym_comment,
    STATE(6530), 1,
      sym_type_parameters,
  [181657] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5499), 1,
      sym_comment,
    ACTIONS(9077), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [181674] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    STATE(5500), 1,
      sym_comment,
    STATE(6062), 1,
      sym__initializer,
    ACTIONS(8754), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [181695] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7164), 1,
      anon_sym_LT,
    ACTIONS(7194), 1,
      anon_sym_LPAREN,
    STATE(4266), 1,
      sym_formal_parameters,
    STATE(4880), 1,
      sym__call_signature,
    STATE(5501), 1,
      sym_comment,
    STATE(6530), 1,
      sym_type_parameters,
  [181720] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1342), 1,
      anon_sym_LBRACE,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8028), 1,
      anon_sym_extends,
    ACTIONS(8093), 1,
      anon_sym_LBRACE_PIPE,
    STATE(5133), 1,
      sym_object_type,
    STATE(5502), 1,
      sym_comment,
    STATE(6193), 1,
      sym_extends_type_clause,
  [181745] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7160), 1,
      anon_sym_LPAREN,
    ACTIONS(7164), 1,
      anon_sym_LT,
    STATE(4790), 1,
      sym_formal_parameters,
    STATE(5503), 1,
      sym_comment,
    STATE(6683), 1,
      sym_type_parameters,
    STATE(6789), 1,
      sym__call_signature,
  [181770] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    STATE(5504), 1,
      sym_comment,
    STATE(6086), 1,
      sym__initializer,
    ACTIONS(8762), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [181791] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5505), 1,
      sym_comment,
    ACTIONS(8436), 5,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [181808] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5506), 1,
      sym_comment,
    ACTIONS(8428), 5,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [181825] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5507), 1,
      sym_comment,
    ACTIONS(2347), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [181842] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5508), 1,
      sym_comment,
    ACTIONS(3566), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [181859] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5509), 1,
      sym_comment,
    ACTIONS(3564), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [181876] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8289), 1,
      anon_sym_COLON,
    ACTIONS(9079), 1,
      anon_sym_EQ_GT,
    STATE(5510), 1,
      sym_comment,
    STATE(6942), 3,
      sym_type_annotation,
      sym_asserts_annotation,
      sym_type_predicate_annotation,
  [181897] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(5511), 1,
      sym_comment,
    ACTIONS(5316), 5,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
      sym_identifier,
  [181914] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8289), 1,
      anon_sym_COLON,
    ACTIONS(9082), 1,
      anon_sym_EQ_GT,
    STATE(5512), 1,
      sym_comment,
    STATE(6534), 3,
      sym_type_annotation,
      sym_asserts_annotation,
      sym_type_predicate_annotation,
  [181935] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    STATE(5513), 1,
      sym_comment,
    STATE(6283), 1,
      sym__initializer,
    ACTIONS(8704), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [181956] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(5514), 1,
      sym_comment,
    ACTIONS(5320), 5,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
      sym_identifier,
  [181973] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8918), 1,
      anon_sym_SEMI,
    ACTIONS(8920), 1,
      sym__automatic_semicolon,
    ACTIONS(8922), 1,
      sym__function_signature_automatic_semicolon,
    ACTIONS(9045), 1,
      anon_sym_LBRACE,
    STATE(404), 1,
      sym_statement_block,
    STATE(5515), 1,
      sym_comment,
  [181998] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8738), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(8740), 1,
      sym__template_chars,
    ACTIONS(9085), 1,
      anon_sym_BQUOTE,
    STATE(5464), 1,
      aux_sym_template_literal_type_repeat1,
    STATE(5516), 1,
      sym_comment,
    STATE(6239), 1,
      sym_template_type,
  [182023] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(5517), 1,
      sym_comment,
    ACTIONS(5324), 5,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
      sym_identifier,
  [182040] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5518), 1,
      sym_comment,
    ACTIONS(3558), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [182057] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5519), 1,
      sym_comment,
    ACTIONS(3556), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [182074] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5520), 1,
      sym_comment,
    ACTIONS(3554), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [182091] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5521), 1,
      sym_comment,
    ACTIONS(3552), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [182108] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7940), 1,
      anon_sym_LBRACE,
    ACTIONS(9061), 1,
      anon_sym_SEMI,
    ACTIONS(9063), 1,
      sym__automatic_semicolon,
    ACTIONS(9065), 1,
      sym__function_signature_automatic_semicolon,
    STATE(5522), 1,
      sym_comment,
    STATE(5926), 1,
      sym_statement_block,
  [182133] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5523), 1,
      sym_comment,
    ACTIONS(3550), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [182150] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5524), 1,
      sym_comment,
    ACTIONS(3548), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [182167] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5525), 1,
      sym_comment,
    ACTIONS(3546), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [182184] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7424), 1,
      anon_sym_AMP,
    ACTIONS(7438), 1,
      anon_sym_extends,
    ACTIONS(8698), 1,
      anon_sym_PIPE,
    STATE(5526), 1,
      sym_comment,
    ACTIONS(9087), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [182207] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5527), 1,
      sym_comment,
    ACTIONS(3532), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [182224] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5528), 1,
      sym_comment,
    ACTIONS(3532), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [182241] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4129), 1,
      anon_sym_LPAREN,
    ACTIONS(7610), 1,
      anon_sym_DOT,
    STATE(4458), 1,
      sym_arguments,
    STATE(5529), 1,
      sym_comment,
    ACTIONS(9089), 2,
      anon_sym_COMMA,
      anon_sym_GT,
  [182264] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5530), 1,
      sym_comment,
    ACTIONS(3536), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [182281] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8289), 1,
      anon_sym_COLON,
    ACTIONS(9091), 1,
      anon_sym_EQ_GT,
    STATE(5531), 1,
      sym_comment,
    STATE(6534), 3,
      sym_type_annotation,
      sym_asserts_annotation,
      sym_type_predicate_annotation,
  [182302] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5532), 1,
      sym_comment,
    ACTIONS(3518), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [182319] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5533), 1,
      sym_comment,
    ACTIONS(8426), 5,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [182336] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7160), 1,
      anon_sym_LPAREN,
    ACTIONS(7164), 1,
      anon_sym_LT,
    STATE(4790), 1,
      sym_formal_parameters,
    STATE(5534), 1,
      sym_comment,
    STATE(6536), 1,
      sym__call_signature,
    STATE(6683), 1,
      sym_type_parameters,
  [182361] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    STATE(5535), 1,
      sym_comment,
    STATE(6285), 1,
      sym__initializer,
    ACTIONS(8704), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [182382] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5536), 1,
      sym_comment,
    ACTIONS(2341), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [182399] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7164), 1,
      anon_sym_LT,
    ACTIONS(7216), 1,
      anon_sym_LPAREN,
    STATE(4200), 1,
      sym_formal_parameters,
    STATE(4568), 1,
      sym__call_signature,
    STATE(5537), 1,
      sym_comment,
    STATE(6630), 1,
      sym_type_parameters,
  [182424] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(5538), 1,
      sym_comment,
    ACTIONS(8309), 5,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
      sym_identifier,
  [182441] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    STATE(5539), 1,
      sym_comment,
    STATE(6013), 1,
      sym__initializer,
    ACTIONS(8726), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [182462] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5540), 1,
      sym_comment,
    ACTIONS(9094), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [182479] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7160), 1,
      anon_sym_LPAREN,
    ACTIONS(7164), 1,
      anon_sym_LT,
    STATE(4790), 1,
      sym_formal_parameters,
    STATE(5541), 1,
      sym_comment,
    STATE(6683), 1,
      sym_type_parameters,
    STATE(6864), 1,
      sym__call_signature,
  [182504] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7160), 1,
      anon_sym_LPAREN,
    ACTIONS(7164), 1,
      anon_sym_LT,
    STATE(4790), 1,
      sym_formal_parameters,
    STATE(5542), 1,
      sym_comment,
    STATE(6683), 1,
      sym_type_parameters,
    STATE(6888), 1,
      sym__call_signature,
  [182529] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5543), 1,
      sym_comment,
    ACTIONS(3424), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [182546] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5544), 1,
      sym_comment,
    ACTIONS(3426), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [182563] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9096), 1,
      sym_identifier,
    ACTIONS(9098), 1,
      anon_sym_GT,
    ACTIONS(9100), 1,
      sym_jsx_identifier,
    STATE(5545), 1,
      sym_comment,
    STATE(6852), 1,
      sym_nested_identifier,
    STATE(7325), 1,
      sym_jsx_namespace_name,
  [182588] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    STATE(5546), 1,
      sym_comment,
    STATE(6286), 1,
      sym__initializer,
    ACTIONS(8704), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [182609] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5547), 1,
      sym_comment,
    ACTIONS(3428), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [182626] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    STATE(5548), 1,
      sym_comment,
    STATE(6048), 1,
      sym__initializer,
    ACTIONS(8754), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [182647] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    STATE(5549), 1,
      sym_comment,
    STATE(5999), 1,
      sym__initializer,
    ACTIONS(8726), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [182668] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5550), 1,
      sym_comment,
    ACTIONS(2307), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [182685] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    STATE(5551), 1,
      sym_comment,
    STATE(6000), 1,
      sym__initializer,
    ACTIONS(8700), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [182706] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7164), 1,
      anon_sym_LT,
    ACTIONS(7194), 1,
      anon_sym_LPAREN,
    STATE(4266), 1,
      sym_formal_parameters,
    STATE(4788), 1,
      sym__call_signature,
    STATE(5552), 1,
      sym_comment,
    STATE(6530), 1,
      sym_type_parameters,
  [182731] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5553), 1,
      sym_comment,
    ACTIONS(2311), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [182748] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5554), 1,
      sym_comment,
    ACTIONS(3538), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [182765] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(2698), 1,
      anon_sym_AT,
    ACTIONS(9102), 1,
      anon_sym_class,
    STATE(4768), 1,
      aux_sym_export_statement_repeat1,
    STATE(5555), 1,
      sym_comment,
    STATE(5700), 1,
      sym_decorator,
  [182787] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9104), 1,
      anon_sym_SQUOTE,
    STATE(5556), 1,
      sym_comment,
    STATE(5596), 1,
      aux_sym_string_repeat2,
    ACTIONS(9106), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [182807] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7080), 1,
      anon_sym_AMP,
    ACTIONS(7082), 1,
      anon_sym_PIPE,
    ACTIONS(7084), 1,
      anon_sym_extends,
    ACTIONS(9108), 1,
      anon_sym_RBRACK,
    STATE(5557), 1,
      sym_comment,
  [182829] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5558), 1,
      sym_comment,
    ACTIONS(6701), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [182845] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7160), 1,
      anon_sym_LPAREN,
    ACTIONS(7164), 1,
      anon_sym_LT,
    STATE(5559), 1,
      sym_comment,
    STATE(7125), 1,
      sym_type_parameters,
    STATE(7343), 1,
      sym_formal_parameters,
  [182867] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9110), 1,
      anon_sym_EQ,
    ACTIONS(9112), 1,
      anon_sym_COMMA,
    ACTIONS(9114), 1,
      anon_sym_RBRACK,
    STATE(5560), 1,
      sym_comment,
    STATE(6284), 1,
      aux_sym_array_pattern_repeat1,
  [182889] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9116), 1,
      anon_sym_from,
    STATE(5561), 1,
      sym_comment,
    STATE(6872), 1,
      sym__from_clause,
    ACTIONS(5373), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [182909] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9118), 1,
      anon_sym_with,
    STATE(5562), 1,
      sym_comment,
    STATE(6860), 1,
      sym_import_attribute,
    ACTIONS(9120), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [182929] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9118), 1,
      anon_sym_with,
    STATE(5563), 1,
      sym_comment,
    STATE(6858), 1,
      sym_import_attribute,
    ACTIONS(9122), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [182949] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9118), 1,
      anon_sym_with,
    ACTIONS(9124), 1,
      anon_sym_SEMI,
    ACTIONS(9126), 1,
      sym__automatic_semicolon,
    STATE(5564), 1,
      sym_comment,
    STATE(6857), 1,
      sym_import_attribute,
  [182971] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9128), 1,
      anon_sym_COMMA,
    STATE(5565), 1,
      sym_comment,
    STATE(5723), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(9130), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [182991] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9128), 1,
      anon_sym_COMMA,
    STATE(5566), 1,
      sym_comment,
    STATE(5723), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(9132), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [183011] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8159), 1,
      anon_sym_DOT,
    ACTIONS(9134), 1,
      anon_sym_COMMA,
    ACTIONS(9136), 1,
      anon_sym_GT,
    STATE(5567), 1,
      sym_comment,
    STATE(6200), 1,
      aux_sym_type_arguments_repeat1,
  [183033] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9138), 1,
      anon_sym_SQUOTE,
    STATE(5568), 1,
      sym_comment,
    STATE(5596), 1,
      aux_sym_string_repeat2,
    ACTIONS(9106), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [183053] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9138), 1,
      anon_sym_DQUOTE,
    STATE(5569), 1,
      sym_comment,
    STATE(5606), 1,
      aux_sym_string_repeat1,
    ACTIONS(9140), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [183073] = 7,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(7918), 1,
      anon_sym_const,
    ACTIONS(9142), 1,
      sym_identifier,
    ACTIONS(9144), 1,
      anon_sym_GT,
    STATE(5570), 1,
      sym_comment,
    STATE(6849), 1,
      sym_type_parameter,
  [183095] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7160), 1,
      anon_sym_LPAREN,
    ACTIONS(7164), 1,
      anon_sym_LT,
    STATE(5571), 1,
      sym_comment,
    STATE(7120), 1,
      sym_type_parameters,
    STATE(7448), 1,
      sym_formal_parameters,
  [183117] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9118), 1,
      anon_sym_with,
    ACTIONS(9146), 1,
      anon_sym_SEMI,
    ACTIONS(9148), 1,
      sym__automatic_semicolon,
    STATE(5572), 1,
      sym_comment,
    STATE(6808), 1,
      sym_import_attribute,
  [183139] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7080), 1,
      anon_sym_AMP,
    ACTIONS(7082), 1,
      anon_sym_PIPE,
    ACTIONS(7084), 1,
      anon_sym_extends,
    ACTIONS(9150), 1,
      anon_sym_RPAREN,
    STATE(5573), 1,
      sym_comment,
  [183161] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5369), 1,
      anon_sym_LPAREN,
    ACTIONS(9152), 1,
      anon_sym_LT,
    STATE(2916), 1,
      sym_type_arguments,
    STATE(2917), 1,
      sym_arguments,
    STATE(5574), 1,
      sym_comment,
  [183183] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4787), 1,
      anon_sym_LPAREN,
    ACTIONS(9154), 1,
      anon_sym_LT,
    STATE(2450), 1,
      sym_type_arguments,
    STATE(2451), 1,
      sym_arguments,
    STATE(5575), 1,
      sym_comment,
  [183205] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7978), 1,
      anon_sym_LBRACE,
    STATE(5576), 1,
      sym_comment,
    STATE(7024), 1,
      sym_statement_block,
    ACTIONS(2059), 2,
      anon_sym_else,
      anon_sym_while,
  [183225] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9128), 1,
      anon_sym_COMMA,
    STATE(5566), 1,
      aux_sym_variable_declaration_repeat1,
    STATE(5577), 1,
      sym_comment,
    ACTIONS(9156), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [183245] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9128), 1,
      anon_sym_COMMA,
    STATE(5565), 1,
      aux_sym_variable_declaration_repeat1,
    STATE(5578), 1,
      sym_comment,
    ACTIONS(9158), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [183265] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9118), 1,
      anon_sym_with,
    STATE(5579), 1,
      sym_comment,
    STATE(6949), 1,
      sym_import_attribute,
    ACTIONS(9160), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [183285] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9118), 1,
      anon_sym_with,
    STATE(5580), 1,
      sym_comment,
    STATE(6950), 1,
      sym_import_attribute,
    ACTIONS(9162), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [183305] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7080), 1,
      anon_sym_AMP,
    ACTIONS(7082), 1,
      anon_sym_PIPE,
    ACTIONS(7084), 1,
      anon_sym_extends,
    ACTIONS(9164), 1,
      anon_sym_RPAREN,
    STATE(5581), 1,
      sym_comment,
  [183327] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8339), 1,
      anon_sym_finally,
    STATE(5582), 1,
      sym_comment,
    STATE(7039), 1,
      sym_finally_clause,
    ACTIONS(3098), 2,
      anon_sym_else,
      anon_sym_while,
  [183347] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9118), 1,
      anon_sym_with,
    ACTIONS(9166), 1,
      anon_sym_SEMI,
    ACTIONS(9168), 1,
      sym__automatic_semicolon,
    STATE(5583), 1,
      sym_comment,
    STATE(6975), 1,
      sym_import_attribute,
  [183369] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9116), 1,
      anon_sym_from,
    STATE(5584), 1,
      sym_comment,
    STATE(6967), 1,
      sym__from_clause,
    ACTIONS(9170), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [183389] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7080), 1,
      anon_sym_AMP,
    ACTIONS(7082), 1,
      anon_sym_PIPE,
    ACTIONS(7084), 1,
      anon_sym_extends,
    ACTIONS(9172), 1,
      anon_sym_QMARK,
    STATE(5585), 1,
      sym_comment,
  [183411] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7080), 1,
      anon_sym_AMP,
    ACTIONS(7082), 1,
      anon_sym_PIPE,
    ACTIONS(7084), 1,
      anon_sym_extends,
    ACTIONS(9174), 1,
      anon_sym_RBRACK,
    STATE(5586), 1,
      sym_comment,
  [183433] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9104), 1,
      anon_sym_DQUOTE,
    STATE(5587), 1,
      sym_comment,
    STATE(5606), 1,
      aux_sym_string_repeat1,
    ACTIONS(9140), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [183453] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5588), 1,
      sym_comment,
    ACTIONS(9176), 4,
      sym__template_chars,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_LBRACE,
  [183469] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9178), 1,
      anon_sym_DQUOTE,
    STATE(5589), 1,
      sym_comment,
    STATE(5606), 1,
      aux_sym_string_repeat1,
    ACTIONS(9140), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [183489] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8159), 1,
      anon_sym_DOT,
    ACTIONS(9180), 1,
      anon_sym_COMMA,
    ACTIONS(9182), 1,
      anon_sym_GT,
    STATE(5590), 1,
      sym_comment,
    STATE(6138), 1,
      aux_sym_type_arguments_repeat1,
  [183511] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9186), 1,
      anon_sym_COMMA,
    ACTIONS(9184), 2,
      anon_sym_LBRACE,
      anon_sym_implements,
    STATE(5591), 2,
      sym_comment,
      aux_sym_extends_clause_repeat1,
  [183529] = 7,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9189), 1,
      sym_html_character_reference,
    ACTIONS(9191), 1,
      anon_sym_DQUOTE,
    ACTIONS(9193), 1,
      sym_unescaped_double_jsx_string_fragment,
    STATE(5592), 1,
      sym_comment,
    STATE(5677), 1,
      aux_sym__jsx_string_repeat1,
  [183551] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7080), 1,
      anon_sym_AMP,
    ACTIONS(7082), 1,
      anon_sym_PIPE,
    ACTIONS(7084), 1,
      anon_sym_extends,
    ACTIONS(9195), 1,
      anon_sym_RBRACK,
    STATE(5593), 1,
      sym_comment,
  [183573] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7080), 1,
      anon_sym_AMP,
    ACTIONS(7082), 1,
      anon_sym_PIPE,
    ACTIONS(7084), 1,
      anon_sym_extends,
    ACTIONS(9197), 1,
      anon_sym_COLON,
    STATE(5594), 1,
      sym_comment,
  [183595] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5369), 1,
      anon_sym_LPAREN,
    ACTIONS(5411), 1,
      anon_sym_BQUOTE,
    STATE(5595), 1,
      sym_comment,
    STATE(3080), 2,
      sym_template_string,
      sym_arguments,
  [183615] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9199), 1,
      anon_sym_SQUOTE,
    ACTIONS(9201), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
    STATE(5596), 2,
      sym_comment,
      aux_sym_string_repeat2,
  [183633] = 7,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(7918), 1,
      anon_sym_const,
    ACTIONS(9142), 1,
      sym_identifier,
    ACTIONS(9204), 1,
      anon_sym_GT,
    STATE(5597), 1,
      sym_comment,
    STATE(6849), 1,
      sym_type_parameter,
  [183655] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5470), 1,
      anon_sym_COMMA,
    STATE(5598), 1,
      sym_comment,
    STATE(5654), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(8313), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [183675] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9208), 1,
      anon_sym_COMMA,
    STATE(5599), 1,
      sym_comment,
    STATE(5745), 1,
      aux_sym_extends_clause_repeat1,
    ACTIONS(9206), 2,
      anon_sym_LBRACE,
      anon_sym_implements,
  [183695] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7080), 1,
      anon_sym_AMP,
    ACTIONS(7082), 1,
      anon_sym_PIPE,
    ACTIONS(7084), 1,
      anon_sym_extends,
    ACTIONS(9210), 1,
      anon_sym_QMARK,
    STATE(5600), 1,
      sym_comment,
  [183717] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9212), 1,
      anon_sym_SQUOTE,
    STATE(5568), 1,
      aux_sym_string_repeat2,
    STATE(5601), 1,
      sym_comment,
    ACTIONS(9106), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [183737] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9212), 1,
      anon_sym_DQUOTE,
    STATE(5569), 1,
      aux_sym_string_repeat1,
    STATE(5602), 1,
      sym_comment,
    ACTIONS(9140), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [183757] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5603), 1,
      sym_comment,
    ACTIONS(8097), 4,
      anon_sym_export,
      anon_sym_class,
      anon_sym_AT,
      anon_sym_abstract,
  [183773] = 7,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9191), 1,
      anon_sym_SQUOTE,
    ACTIONS(9214), 1,
      sym_html_character_reference,
    ACTIONS(9216), 1,
      sym_unescaped_single_jsx_string_fragment,
    STATE(5604), 1,
      sym_comment,
    STATE(5676), 1,
      aux_sym__jsx_string_repeat2,
  [183795] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7160), 1,
      anon_sym_LPAREN,
    ACTIONS(7164), 1,
      anon_sym_LT,
    STATE(5605), 1,
      sym_comment,
    STATE(6780), 1,
      sym_type_parameters,
    STATE(7384), 1,
      sym_formal_parameters,
  [183817] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9218), 1,
      anon_sym_DQUOTE,
    ACTIONS(9220), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
    STATE(5606), 2,
      sym_comment,
      aux_sym_string_repeat1,
  [183835] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9223), 1,
      anon_sym_COMMA,
    ACTIONS(5860), 2,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    STATE(5607), 2,
      sym_comment,
      aux_sym_array_repeat1,
  [183853] = 7,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9226), 1,
      sym__glimmer_template_content,
    ACTIONS(9228), 1,
      anon_sym_LT_SLASHtemplate_GT,
    STATE(2669), 1,
      sym_glimmer_closing_tag,
    STATE(5608), 1,
      sym_comment,
    STATE(6450), 1,
      aux_sym_glimmer_template_repeat1,
  [183875] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7080), 1,
      anon_sym_AMP,
    ACTIONS(7082), 1,
      anon_sym_PIPE,
    ACTIONS(7084), 1,
      anon_sym_extends,
    ACTIONS(9230), 1,
      anon_sym_COLON,
    STATE(5609), 1,
      sym_comment,
  [183897] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9232), 1,
      anon_sym_DQUOTE,
    STATE(5610), 1,
      sym_comment,
    STATE(5628), 1,
      aux_sym_string_repeat1,
    ACTIONS(9140), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [183917] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9232), 1,
      anon_sym_SQUOTE,
    STATE(5611), 1,
      sym_comment,
    STATE(5629), 1,
      aux_sym_string_repeat2,
    ACTIONS(9106), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [183937] = 7,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9226), 1,
      sym__glimmer_template_content,
    ACTIONS(9234), 1,
      anon_sym_LT_SLASHtemplate_GT,
    STATE(3301), 1,
      sym_glimmer_closing_tag,
    STATE(5612), 1,
      sym_comment,
    STATE(6450), 1,
      aux_sym_glimmer_template_repeat1,
  [183959] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7080), 1,
      anon_sym_AMP,
    ACTIONS(7082), 1,
      anon_sym_PIPE,
    ACTIONS(7084), 1,
      anon_sym_extends,
    ACTIONS(9236), 1,
      anon_sym_RBRACK,
    STATE(5613), 1,
      sym_comment,
  [183981] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7080), 1,
      anon_sym_AMP,
    ACTIONS(7082), 1,
      anon_sym_PIPE,
    ACTIONS(7084), 1,
      anon_sym_extends,
    ACTIONS(9238), 1,
      anon_sym_RBRACK,
    STATE(5614), 1,
      sym_comment,
  [184003] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9116), 1,
      anon_sym_from,
    STATE(5615), 1,
      sym_comment,
    STATE(6663), 1,
      sym__from_clause,
    ACTIONS(9240), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [184023] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9128), 1,
      anon_sym_COMMA,
    STATE(5616), 1,
      sym_comment,
    STATE(5723), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(9242), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [184043] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9128), 1,
      anon_sym_COMMA,
    STATE(5617), 1,
      sym_comment,
    STATE(5723), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(9244), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [184063] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9118), 1,
      anon_sym_with,
    STATE(5618), 1,
      sym_comment,
    STATE(6652), 1,
      sym_import_attribute,
    ACTIONS(9246), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [184083] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9118), 1,
      anon_sym_with,
    STATE(5619), 1,
      sym_comment,
    STATE(6651), 1,
      sym_import_attribute,
    ACTIONS(9248), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [184103] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9128), 1,
      anon_sym_COMMA,
    STATE(5620), 1,
      sym_comment,
    STATE(5643), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(9250), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [184123] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9252), 1,
      anon_sym_LBRACE,
    ACTIONS(9254), 1,
      anon_sym_COMMA,
    ACTIONS(9257), 1,
      anon_sym_LBRACE_PIPE,
    STATE(5621), 2,
      sym_comment,
      aux_sym_extends_type_clause_repeat1,
  [184143] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9118), 1,
      anon_sym_with,
    ACTIONS(9259), 1,
      anon_sym_SEMI,
    ACTIONS(9261), 1,
      sym__automatic_semicolon,
    STATE(5622), 1,
      sym_comment,
    STATE(6841), 1,
      sym_import_attribute,
  [184165] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9118), 1,
      anon_sym_with,
    STATE(5623), 1,
      sym_comment,
    STATE(6834), 1,
      sym_import_attribute,
    ACTIONS(9263), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [184185] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9118), 1,
      anon_sym_with,
    STATE(5624), 1,
      sym_comment,
    STATE(6830), 1,
      sym_import_attribute,
    ACTIONS(9265), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [184205] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8125), 1,
      anon_sym_EQ,
    STATE(5625), 1,
      sym_comment,
    STATE(6979), 1,
      sym__initializer,
    ACTIONS(9267), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [184225] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7080), 1,
      anon_sym_AMP,
    ACTIONS(7082), 1,
      anon_sym_PIPE,
    ACTIONS(7084), 1,
      anon_sym_extends,
    ACTIONS(9269), 1,
      anon_sym_COLON,
    STATE(5626), 1,
      sym_comment,
  [184247] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9128), 1,
      anon_sym_COMMA,
    STATE(5627), 1,
      sym_comment,
    STATE(5645), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(9271), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [184267] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9273), 1,
      anon_sym_DQUOTE,
    STATE(5606), 1,
      aux_sym_string_repeat1,
    STATE(5628), 1,
      sym_comment,
    ACTIONS(9140), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [184287] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9273), 1,
      anon_sym_SQUOTE,
    STATE(5596), 1,
      aux_sym_string_repeat2,
    STATE(5629), 1,
      sym_comment,
    ACTIONS(9106), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [184307] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7080), 1,
      anon_sym_AMP,
    ACTIONS(7082), 1,
      anon_sym_PIPE,
    ACTIONS(7084), 1,
      anon_sym_extends,
    ACTIONS(9275), 1,
      anon_sym_QMARK,
    STATE(5630), 1,
      sym_comment,
  [184329] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7160), 1,
      anon_sym_LPAREN,
    ACTIONS(7164), 1,
      anon_sym_LT,
    STATE(5631), 1,
      sym_comment,
    STATE(6919), 1,
      sym_type_parameters,
    STATE(7648), 1,
      sym_formal_parameters,
  [184351] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7080), 1,
      anon_sym_AMP,
    ACTIONS(7082), 1,
      anon_sym_PIPE,
    ACTIONS(7084), 1,
      anon_sym_extends,
    ACTIONS(9277), 1,
      anon_sym_RBRACK,
    STATE(5632), 1,
      sym_comment,
  [184373] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9116), 1,
      anon_sym_from,
    STATE(5633), 1,
      sym_comment,
    STATE(6817), 1,
      sym__from_clause,
    ACTIONS(5822), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [184393] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7080), 1,
      anon_sym_AMP,
    ACTIONS(7082), 1,
      anon_sym_PIPE,
    ACTIONS(7084), 1,
      anon_sym_extends,
    ACTIONS(9279), 1,
      anon_sym_RBRACK,
    STATE(5634), 1,
      sym_comment,
  [184415] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9281), 1,
      anon_sym_SQUOTE,
    STATE(5556), 1,
      aux_sym_string_repeat2,
    STATE(5635), 1,
      sym_comment,
    ACTIONS(9106), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [184435] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4787), 1,
      anon_sym_LPAREN,
    ACTIONS(4867), 1,
      anon_sym_BQUOTE,
    STATE(5636), 1,
      sym_comment,
    STATE(2680), 2,
      sym_template_string,
      sym_arguments,
  [184455] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8125), 1,
      anon_sym_EQ,
    STATE(5637), 1,
      sym_comment,
    STATE(6656), 1,
      sym__initializer,
    ACTIONS(9283), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [184475] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9116), 1,
      anon_sym_from,
    STATE(5638), 1,
      sym_comment,
    STATE(6612), 1,
      sym__from_clause,
    ACTIONS(5874), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [184495] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7164), 1,
      anon_sym_LT,
    ACTIONS(7216), 1,
      anon_sym_LPAREN,
    STATE(4590), 1,
      sym_formal_parameters,
    STATE(5639), 1,
      sym_comment,
    STATE(6587), 1,
      sym_type_parameters,
  [184517] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9118), 1,
      anon_sym_with,
    STATE(5640), 1,
      sym_comment,
    STATE(6596), 1,
      sym_import_attribute,
    ACTIONS(9285), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [184537] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9118), 1,
      anon_sym_with,
    STATE(5641), 1,
      sym_comment,
    STATE(6592), 1,
      sym_import_attribute,
    ACTIONS(9287), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [184557] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9118), 1,
      anon_sym_with,
    ACTIONS(9289), 1,
      anon_sym_SEMI,
    ACTIONS(9291), 1,
      sym__automatic_semicolon,
    STATE(5642), 1,
      sym_comment,
    STATE(6586), 1,
      sym_import_attribute,
  [184579] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9128), 1,
      anon_sym_COMMA,
    STATE(5643), 1,
      sym_comment,
    STATE(5723), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(9293), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [184599] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7080), 1,
      anon_sym_AMP,
    ACTIONS(7082), 1,
      anon_sym_PIPE,
    ACTIONS(7084), 1,
      anon_sym_extends,
    ACTIONS(9295), 1,
      anon_sym_RBRACK,
    STATE(5644), 1,
      sym_comment,
  [184621] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9128), 1,
      anon_sym_COMMA,
    STATE(5645), 1,
      sym_comment,
    STATE(5723), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(9297), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [184641] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8159), 1,
      anon_sym_DOT,
    ACTIONS(9299), 1,
      anon_sym_COMMA,
    ACTIONS(9301), 1,
      anon_sym_GT,
    STATE(5646), 1,
      sym_comment,
    STATE(6127), 1,
      aux_sym_type_arguments_repeat1,
  [184663] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7160), 1,
      anon_sym_LPAREN,
    ACTIONS(7164), 1,
      anon_sym_LT,
    STATE(5647), 1,
      sym_comment,
    STATE(6955), 1,
      sym_type_parameters,
    STATE(7273), 1,
      sym_formal_parameters,
  [184685] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8159), 1,
      anon_sym_DOT,
    ACTIONS(9303), 1,
      anon_sym_COMMA,
    ACTIONS(9305), 1,
      anon_sym_GT,
    STATE(5648), 1,
      sym_comment,
    STATE(6447), 1,
      aux_sym_type_arguments_repeat1,
  [184707] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9307), 1,
      anon_sym_SQUOTE,
    STATE(5596), 1,
      aux_sym_string_repeat2,
    STATE(5649), 1,
      sym_comment,
    ACTIONS(9106), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [184727] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9307), 1,
      anon_sym_DQUOTE,
    STATE(5606), 1,
      aux_sym_string_repeat1,
    STATE(5650), 1,
      sym_comment,
    ACTIONS(9140), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [184747] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9110), 1,
      anon_sym_EQ,
    ACTIONS(9112), 1,
      anon_sym_COMMA,
    ACTIONS(9309), 1,
      anon_sym_RBRACK,
    STATE(5651), 1,
      sym_comment,
    STATE(6306), 1,
      aux_sym_array_pattern_repeat1,
  [184769] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9311), 1,
      anon_sym_EQ,
    STATE(5652), 1,
      sym_comment,
    STATE(6680), 1,
      sym__initializer,
    ACTIONS(7470), 2,
      anon_sym_in,
      anon_sym_of,
  [184789] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9281), 1,
      anon_sym_DQUOTE,
    STATE(5587), 1,
      aux_sym_string_repeat1,
    STATE(5653), 1,
      sym_comment,
    ACTIONS(9140), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [184809] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9313), 1,
      anon_sym_COMMA,
    ACTIONS(5296), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(5654), 2,
      sym_comment,
      aux_sym_sequence_expression_repeat1,
  [184827] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9118), 1,
      anon_sym_with,
    ACTIONS(9316), 1,
      anon_sym_SEMI,
    ACTIONS(9318), 1,
      sym__automatic_semicolon,
    STATE(5655), 1,
      sym_comment,
    STATE(6539), 1,
      sym_import_attribute,
  [184849] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7058), 1,
      anon_sym_LPAREN,
    ACTIONS(7064), 1,
      anon_sym_LT,
    STATE(4149), 1,
      sym_arguments,
    STATE(4293), 1,
      sym_type_arguments,
    STATE(5656), 1,
      sym_comment,
  [184871] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7080), 1,
      anon_sym_AMP,
    ACTIONS(7082), 1,
      anon_sym_PIPE,
    ACTIONS(7084), 1,
      anon_sym_extends,
    ACTIONS(9320), 1,
      anon_sym_RPAREN,
    STATE(5657), 1,
      sym_comment,
  [184893] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9128), 1,
      anon_sym_COMMA,
    STATE(5616), 1,
      aux_sym_variable_declaration_repeat1,
    STATE(5658), 1,
      sym_comment,
    ACTIONS(9322), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [184913] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9128), 1,
      anon_sym_COMMA,
    STATE(5617), 1,
      aux_sym_variable_declaration_repeat1,
    STATE(5659), 1,
      sym_comment,
    ACTIONS(9324), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [184933] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9118), 1,
      anon_sym_with,
    STATE(5660), 1,
      sym_comment,
    STATE(6703), 1,
      sym_import_attribute,
    ACTIONS(9326), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [184953] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9118), 1,
      anon_sym_with,
    STATE(5661), 1,
      sym_comment,
    STATE(6702), 1,
      sym_import_attribute,
    ACTIONS(9328), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [184973] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9176), 1,
      sym_escape_sequence,
    STATE(5662), 1,
      sym_comment,
    ACTIONS(9330), 3,
      sym__template_chars,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_LBRACE,
  [184991] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9116), 1,
      anon_sym_from,
    STATE(5663), 1,
      sym_comment,
    STATE(6875), 1,
      sym__from_clause,
    ACTIONS(9333), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [185011] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9116), 1,
      anon_sym_from,
    STATE(5664), 1,
      sym_comment,
    STATE(6682), 1,
      sym__from_clause,
    ACTIONS(9335), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [185031] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7080), 1,
      anon_sym_AMP,
    ACTIONS(7082), 1,
      anon_sym_PIPE,
    ACTIONS(7084), 1,
      anon_sym_extends,
    ACTIONS(9337), 1,
      anon_sym_QMARK,
    STATE(5665), 1,
      sym_comment,
  [185053] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7160), 1,
      anon_sym_LPAREN,
    ACTIONS(7164), 1,
      anon_sym_LT,
    STATE(5666), 1,
      sym_comment,
    STATE(6939), 1,
      sym_type_parameters,
    STATE(7348), 1,
      sym_formal_parameters,
  [185075] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7080), 1,
      anon_sym_AMP,
    ACTIONS(7082), 1,
      anon_sym_PIPE,
    ACTIONS(7084), 1,
      anon_sym_extends,
    ACTIONS(9339), 1,
      anon_sym_RBRACK,
    STATE(5667), 1,
      sym_comment,
  [185097] = 7,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9226), 1,
      sym__glimmer_template_content,
    ACTIONS(9228), 1,
      anon_sym_LT_SLASHtemplate_GT,
    STATE(2707), 1,
      sym_glimmer_closing_tag,
    STATE(5608), 1,
      aux_sym_glimmer_template_repeat1,
    STATE(5668), 1,
      sym_comment,
  [185119] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7160), 1,
      anon_sym_LPAREN,
    ACTIONS(7164), 1,
      anon_sym_LT,
    STATE(5669), 1,
      sym_comment,
    STATE(7068), 1,
      sym_type_parameters,
    STATE(7352), 1,
      sym_formal_parameters,
  [185141] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9116), 1,
      anon_sym_from,
    STATE(5670), 1,
      sym_comment,
    STATE(6511), 1,
      sym__from_clause,
    ACTIONS(5529), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [185161] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7080), 1,
      anon_sym_AMP,
    ACTIONS(7082), 1,
      anon_sym_PIPE,
    ACTIONS(7084), 1,
      anon_sym_extends,
    ACTIONS(9341), 1,
      anon_sym_RBRACK,
    STATE(5671), 1,
      sym_comment,
  [185183] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9343), 1,
      anon_sym_SQUOTE,
    STATE(5649), 1,
      aux_sym_string_repeat2,
    STATE(5672), 1,
      sym_comment,
    ACTIONS(9106), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [185203] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9343), 1,
      anon_sym_DQUOTE,
    STATE(5650), 1,
      aux_sym_string_repeat1,
    STATE(5673), 1,
      sym_comment,
    ACTIONS(9140), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [185223] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7080), 1,
      anon_sym_AMP,
    ACTIONS(7082), 1,
      anon_sym_PIPE,
    ACTIONS(7084), 1,
      anon_sym_extends,
    ACTIONS(9345), 1,
      anon_sym_RBRACK,
    STATE(5674), 1,
      sym_comment,
  [185245] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7080), 1,
      anon_sym_AMP,
    ACTIONS(7082), 1,
      anon_sym_PIPE,
    ACTIONS(7084), 1,
      anon_sym_extends,
    ACTIONS(9347), 1,
      anon_sym_COLON,
    STATE(5675), 1,
      sym_comment,
  [185267] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9349), 1,
      sym_html_character_reference,
    ACTIONS(9352), 1,
      anon_sym_SQUOTE,
    ACTIONS(9354), 1,
      sym_unescaped_single_jsx_string_fragment,
    STATE(5676), 2,
      sym_comment,
      aux_sym__jsx_string_repeat2,
  [185287] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9357), 1,
      sym_html_character_reference,
    ACTIONS(9360), 1,
      anon_sym_DQUOTE,
    ACTIONS(9362), 1,
      sym_unescaped_double_jsx_string_fragment,
    STATE(5677), 2,
      sym_comment,
      aux_sym__jsx_string_repeat1,
  [185307] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9128), 1,
      anon_sym_COMMA,
    STATE(5678), 1,
      sym_comment,
    STATE(5723), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(9365), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [185327] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9367), 1,
      anon_sym_DQUOTE,
    STATE(5679), 1,
      sym_comment,
    STATE(5691), 1,
      aux_sym_string_repeat1,
    ACTIONS(9140), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [185347] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9367), 1,
      anon_sym_SQUOTE,
    STATE(5680), 1,
      sym_comment,
    STATE(5693), 1,
      aux_sym_string_repeat2,
    ACTIONS(9106), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [185367] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5681), 1,
      sym_comment,
    ACTIONS(9369), 4,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_from,
  [185383] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9116), 1,
      anon_sym_from,
    STATE(5682), 1,
      sym_comment,
    STATE(6567), 1,
      sym__from_clause,
    ACTIONS(9371), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [185403] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9128), 1,
      anon_sym_COMMA,
    STATE(5683), 1,
      sym_comment,
    STATE(5723), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(9373), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [185423] = 7,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9375), 1,
      sym_identifier,
    STATE(4762), 1,
      sym_nested_type_identifier,
    STATE(5684), 1,
      sym_comment,
    STATE(5695), 1,
      sym_generic_type,
    STATE(7295), 1,
      sym_nested_identifier,
  [185445] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7080), 1,
      anon_sym_AMP,
    ACTIONS(7082), 1,
      anon_sym_PIPE,
    ACTIONS(7084), 1,
      anon_sym_extends,
    ACTIONS(9377), 1,
      anon_sym_COLON,
    STATE(5685), 1,
      sym_comment,
  [185467] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9128), 1,
      anon_sym_COMMA,
    STATE(5686), 1,
      sym_comment,
    STATE(5704), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(9379), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [185487] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9128), 1,
      anon_sym_COMMA,
    STATE(5687), 1,
      sym_comment,
    STATE(5705), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(9381), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [185507] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7160), 1,
      anon_sym_LPAREN,
    ACTIONS(7164), 1,
      anon_sym_LT,
    STATE(5688), 1,
      sym_comment,
    STATE(7060), 1,
      sym_type_parameters,
    STATE(7380), 1,
      sym_formal_parameters,
  [185529] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5689), 1,
      sym_comment,
    ACTIONS(9383), 4,
      anon_sym_export,
      anon_sym_class,
      anon_sym_AT,
      anon_sym_abstract,
  [185545] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7080), 1,
      anon_sym_AMP,
    ACTIONS(7082), 1,
      anon_sym_PIPE,
    ACTIONS(7084), 1,
      anon_sym_extends,
    ACTIONS(9385), 1,
      anon_sym_RPAREN,
    STATE(5690), 1,
      sym_comment,
  [185567] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9387), 1,
      anon_sym_DQUOTE,
    STATE(5606), 1,
      aux_sym_string_repeat1,
    STATE(5691), 1,
      sym_comment,
    ACTIONS(9140), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [185587] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4179), 1,
      anon_sym_LPAREN,
    ACTIONS(7042), 1,
      anon_sym_LT,
    STATE(4024), 1,
      sym_arguments,
    STATE(4171), 1,
      sym_type_arguments,
    STATE(5692), 1,
      sym_comment,
  [185609] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9387), 1,
      anon_sym_SQUOTE,
    STATE(5596), 1,
      aux_sym_string_repeat2,
    STATE(5693), 1,
      sym_comment,
    ACTIONS(9106), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [185629] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(2698), 1,
      anon_sym_AT,
    ACTIONS(9389), 1,
      anon_sym_class,
    STATE(4768), 1,
      aux_sym_export_statement_repeat1,
    STATE(5694), 1,
      sym_comment,
    STATE(5700), 1,
      sym_decorator,
  [185651] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8211), 1,
      anon_sym_COMMA,
    ACTIONS(8232), 1,
      anon_sym_LBRACE,
    ACTIONS(8234), 1,
      anon_sym_LBRACE_PIPE,
    STATE(5695), 1,
      sym_comment,
    STATE(5776), 1,
      aux_sym_extends_type_clause_repeat1,
  [185673] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5696), 1,
      sym_comment,
    ACTIONS(9391), 4,
      sym__template_chars,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_LBRACE,
  [185689] = 7,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(7918), 1,
      anon_sym_const,
    ACTIONS(9142), 1,
      sym_identifier,
    ACTIONS(9393), 1,
      anon_sym_GT,
    STATE(5697), 1,
      sym_comment,
    STATE(6849), 1,
      sym_type_parameter,
  [185711] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4514), 1,
      anon_sym_COLON,
    ACTIONS(7214), 1,
      anon_sym_EQ,
    STATE(5698), 1,
      sym_comment,
    ACTIONS(9395), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [185731] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9118), 1,
      anon_sym_with,
    ACTIONS(9397), 1,
      anon_sym_SEMI,
    ACTIONS(9399), 1,
      sym__automatic_semicolon,
    STATE(5699), 1,
      sym_comment,
    STATE(6792), 1,
      sym_import_attribute,
  [185753] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5700), 1,
      sym_comment,
    ACTIONS(9401), 4,
      anon_sym_export,
      anon_sym_class,
      anon_sym_AT,
      anon_sym_abstract,
  [185769] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9116), 1,
      anon_sym_from,
    STATE(5701), 1,
      sym_comment,
    STATE(6593), 1,
      sym__from_clause,
    ACTIONS(5854), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [185789] = 7,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9226), 1,
      sym__glimmer_template_content,
    ACTIONS(9234), 1,
      anon_sym_LT_SLASHtemplate_GT,
    STATE(3115), 1,
      sym_glimmer_closing_tag,
    STATE(5612), 1,
      aux_sym_glimmer_template_repeat1,
    STATE(5702), 1,
      sym_comment,
  [185811] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9403), 1,
      anon_sym_EQ_GT,
    STATE(5703), 1,
      sym_comment,
    ACTIONS(4514), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
  [185829] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9128), 1,
      anon_sym_COMMA,
    STATE(5704), 1,
      sym_comment,
    STATE(5723), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(9405), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [185849] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9128), 1,
      anon_sym_COMMA,
    STATE(5705), 1,
      sym_comment,
    STATE(5723), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(9407), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [185869] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9409), 1,
      anon_sym_EQ_GT,
    STATE(5706), 1,
      sym_comment,
    ACTIONS(4514), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
  [185887] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9411), 1,
      anon_sym_DQUOTE,
    STATE(5707), 1,
      sym_comment,
    STATE(5769), 1,
      aux_sym_string_repeat1,
    ACTIONS(9140), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [185907] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9411), 1,
      anon_sym_SQUOTE,
    STATE(5708), 1,
      sym_comment,
    STATE(5770), 1,
      aux_sym_string_repeat2,
    ACTIONS(9106), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [185927] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5709), 1,
      sym_comment,
    ACTIONS(3080), 4,
      sym__automatic_semicolon,
      anon_sym_else,
      anon_sym_while,
      anon_sym_SEMI,
  [185943] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8133), 1,
      anon_sym_EQ,
    STATE(5710), 1,
      sym_comment,
    STATE(7033), 1,
      sym_default_type,
    ACTIONS(9413), 2,
      anon_sym_COMMA,
      anon_sym_GT,
  [185963] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8159), 1,
      anon_sym_DOT,
    ACTIONS(9415), 1,
      anon_sym_COMMA,
    ACTIONS(9417), 1,
      anon_sym_GT,
    STATE(5711), 1,
      sym_comment,
    STATE(6393), 1,
      aux_sym_type_arguments_repeat1,
  [185985] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9118), 1,
      anon_sym_with,
    ACTIONS(9419), 1,
      anon_sym_SEMI,
    ACTIONS(9421), 1,
      sym__automatic_semicolon,
    STATE(5712), 1,
      sym_comment,
    STATE(6968), 1,
      sym_import_attribute,
  [186007] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5713), 1,
      sym_comment,
    ACTIONS(3074), 4,
      sym__automatic_semicolon,
      anon_sym_else,
      anon_sym_while,
      anon_sym_SEMI,
  [186023] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7160), 1,
      anon_sym_LPAREN,
    ACTIONS(7164), 1,
      anon_sym_LT,
    STATE(5714), 1,
      sym_comment,
    STATE(7009), 1,
      sym_type_parameters,
    STATE(7271), 1,
      sym_formal_parameters,
  [186045] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5715), 1,
      sym_comment,
    ACTIONS(3348), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(9423), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [186063] = 7,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(7918), 1,
      anon_sym_const,
    ACTIONS(9142), 1,
      sym_identifier,
    ACTIONS(9425), 1,
      anon_sym_GT,
    STATE(5716), 1,
      sym_comment,
    STATE(6849), 1,
      sym_type_parameter,
  [186085] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9427), 1,
      anon_sym_SQUOTE,
    STATE(5596), 1,
      aux_sym_string_repeat2,
    STATE(5717), 1,
      sym_comment,
    ACTIONS(9106), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [186105] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9427), 1,
      anon_sym_DQUOTE,
    STATE(5606), 1,
      aux_sym_string_repeat1,
    STATE(5718), 1,
      sym_comment,
    ACTIONS(9140), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [186125] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9429), 1,
      anon_sym_SQUOTE,
    STATE(5717), 1,
      aux_sym_string_repeat2,
    STATE(5719), 1,
      sym_comment,
    ACTIONS(9106), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [186145] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8834), 1,
      anon_sym_RBRACE,
    STATE(5720), 1,
      sym_comment,
    ACTIONS(5187), 3,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [186163] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9429), 1,
      anon_sym_DQUOTE,
    STATE(5718), 1,
      aux_sym_string_repeat1,
    STATE(5721), 1,
      sym_comment,
    ACTIONS(9140), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [186183] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9431), 1,
      anon_sym_SQUOTE,
    STATE(5596), 1,
      aux_sym_string_repeat2,
    STATE(5722), 1,
      sym_comment,
    ACTIONS(9106), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [186203] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9433), 1,
      anon_sym_COMMA,
    ACTIONS(9436), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(5723), 2,
      sym_comment,
      aux_sym_variable_declaration_repeat1,
  [186221] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8159), 1,
      anon_sym_DOT,
    ACTIONS(9438), 1,
      anon_sym_COMMA,
    ACTIONS(9440), 1,
      anon_sym_GT,
    STATE(5724), 1,
      sym_comment,
    STATE(5913), 1,
      aux_sym_type_arguments_repeat1,
  [186243] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9128), 1,
      anon_sym_COMMA,
    STATE(5678), 1,
      aux_sym_variable_declaration_repeat1,
    STATE(5725), 1,
      sym_comment,
    ACTIONS(9442), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [186263] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9431), 1,
      anon_sym_DQUOTE,
    STATE(5606), 1,
      aux_sym_string_repeat1,
    STATE(5726), 1,
      sym_comment,
    ACTIONS(9140), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [186283] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9444), 1,
      anon_sym_SQUOTE,
    STATE(5722), 1,
      aux_sym_string_repeat2,
    STATE(5727), 1,
      sym_comment,
    ACTIONS(9106), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [186303] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9444), 1,
      anon_sym_DQUOTE,
    STATE(5726), 1,
      aux_sym_string_repeat1,
    STATE(5728), 1,
      sym_comment,
    ACTIONS(9140), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [186323] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9446), 1,
      anon_sym_SQUOTE,
    STATE(5596), 1,
      aux_sym_string_repeat2,
    STATE(5729), 1,
      sym_comment,
    ACTIONS(9106), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [186343] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9116), 1,
      anon_sym_from,
    STATE(5730), 1,
      sym_comment,
    STATE(6523), 1,
      sym__from_clause,
    ACTIONS(9448), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [186363] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7080), 1,
      anon_sym_AMP,
    ACTIONS(7082), 1,
      anon_sym_PIPE,
    ACTIONS(7084), 1,
      anon_sym_extends,
    ACTIONS(9450), 1,
      anon_sym_RPAREN,
    STATE(5731), 1,
      sym_comment,
  [186385] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4129), 1,
      anon_sym_LPAREN,
    ACTIONS(6973), 1,
      anon_sym_LT,
    STATE(3804), 1,
      sym_arguments,
    STATE(3877), 1,
      sym_type_arguments,
    STATE(5732), 1,
      sym_comment,
  [186407] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(2698), 1,
      anon_sym_AT,
    ACTIONS(9452), 1,
      anon_sym_export,
    STATE(4768), 1,
      aux_sym_export_statement_repeat1,
    STATE(5700), 1,
      sym_decorator,
    STATE(5733), 1,
      sym_comment,
  [186429] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9454), 1,
      anon_sym_SQUOTE,
    STATE(5729), 1,
      aux_sym_string_repeat2,
    STATE(5734), 1,
      sym_comment,
    ACTIONS(9106), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [186449] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8133), 1,
      anon_sym_EQ,
    STATE(5735), 1,
      sym_comment,
    STATE(6835), 1,
      sym_default_type,
    ACTIONS(9456), 2,
      anon_sym_COMMA,
      anon_sym_GT,
  [186469] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9454), 1,
      anon_sym_DQUOTE,
    STATE(5736), 1,
      sym_comment,
    STATE(5765), 1,
      aux_sym_string_repeat1,
    ACTIONS(9140), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [186489] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9458), 1,
      anon_sym_STAR,
    ACTIONS(9460), 1,
      anon_sym_LBRACE,
    STATE(5737), 1,
      sym_comment,
    STATE(7517), 2,
      sym_namespace_import,
      sym_named_imports,
  [186509] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9462), 1,
      anon_sym_SQUOTE,
    STATE(5596), 1,
      aux_sym_string_repeat2,
    STATE(5738), 1,
      sym_comment,
    ACTIONS(9106), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [186529] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8125), 1,
      anon_sym_EQ,
    STATE(5739), 1,
      sym_comment,
    STATE(6996), 1,
      sym__initializer,
    ACTIONS(9464), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [186549] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9128), 1,
      anon_sym_COMMA,
    STATE(5683), 1,
      aux_sym_variable_declaration_repeat1,
    STATE(5740), 1,
      sym_comment,
    ACTIONS(9466), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [186569] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9462), 1,
      anon_sym_DQUOTE,
    STATE(5606), 1,
      aux_sym_string_repeat1,
    STATE(5741), 1,
      sym_comment,
    ACTIONS(9140), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [186589] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9118), 1,
      anon_sym_with,
    ACTIONS(9468), 1,
      anon_sym_SEMI,
    ACTIONS(9470), 1,
      sym__automatic_semicolon,
    STATE(5742), 1,
      sym_comment,
    STATE(6621), 1,
      sym_import_attribute,
  [186611] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9118), 1,
      anon_sym_with,
    STATE(5743), 1,
      sym_comment,
    STATE(6509), 1,
      sym_import_attribute,
    ACTIONS(9472), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [186631] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9118), 1,
      anon_sym_with,
    STATE(5744), 1,
      sym_comment,
    STATE(6642), 1,
      sym_import_attribute,
    ACTIONS(9474), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [186651] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9208), 1,
      anon_sym_COMMA,
    STATE(5591), 1,
      aux_sym_extends_clause_repeat1,
    STATE(5745), 1,
      sym_comment,
    ACTIONS(9476), 2,
      anon_sym_LBRACE,
      anon_sym_implements,
  [186671] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9478), 1,
      anon_sym_DQUOTE,
    STATE(5746), 1,
      sym_comment,
    STATE(5760), 1,
      aux_sym_string_repeat1,
    ACTIONS(9140), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [186691] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7080), 1,
      anon_sym_AMP,
    ACTIONS(7082), 1,
      anon_sym_PIPE,
    ACTIONS(7084), 1,
      anon_sym_extends,
    ACTIONS(9480), 1,
      anon_sym_QMARK,
    STATE(5747), 1,
      sym_comment,
  [186713] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7080), 1,
      anon_sym_AMP,
    ACTIONS(7082), 1,
      anon_sym_PIPE,
    ACTIONS(7084), 1,
      anon_sym_extends,
    ACTIONS(9482), 1,
      anon_sym_RBRACK,
    STATE(5748), 1,
      sym_comment,
  [186735] = 7,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9189), 1,
      sym_html_character_reference,
    ACTIONS(9193), 1,
      sym_unescaped_double_jsx_string_fragment,
    ACTIONS(9484), 1,
      anon_sym_DQUOTE,
    STATE(5592), 1,
      aux_sym__jsx_string_repeat1,
    STATE(5749), 1,
      sym_comment,
  [186757] = 7,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9214), 1,
      sym_html_character_reference,
    ACTIONS(9216), 1,
      sym_unescaped_single_jsx_string_fragment,
    ACTIONS(9484), 1,
      anon_sym_SQUOTE,
    STATE(5604), 1,
      aux_sym__jsx_string_repeat2,
    STATE(5750), 1,
      sym_comment,
  [186779] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9486), 1,
      anon_sym_SQUOTE,
    STATE(5738), 1,
      aux_sym_string_repeat2,
    STATE(5751), 1,
      sym_comment,
    ACTIONS(9106), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [186799] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9118), 1,
      anon_sym_with,
    STATE(5752), 1,
      sym_comment,
    STATE(6538), 1,
      sym_import_attribute,
    ACTIONS(9488), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [186819] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9118), 1,
      anon_sym_with,
    STATE(5753), 1,
      sym_comment,
    STATE(6541), 1,
      sym_import_attribute,
    ACTIONS(9490), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [186839] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9128), 1,
      anon_sym_COMMA,
    STATE(5754), 1,
      sym_comment,
    STATE(5783), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(9492), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [186859] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9128), 1,
      anon_sym_COMMA,
    STATE(5755), 1,
      sym_comment,
    STATE(5768), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(9494), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [186879] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9486), 1,
      anon_sym_DQUOTE,
    STATE(5741), 1,
      aux_sym_string_repeat1,
    STATE(5756), 1,
      sym_comment,
    ACTIONS(9140), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [186899] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9478), 1,
      anon_sym_SQUOTE,
    STATE(5757), 1,
      sym_comment,
    STATE(5761), 1,
      aux_sym_string_repeat2,
    ACTIONS(9106), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [186919] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9128), 1,
      anon_sym_COMMA,
    STATE(5758), 1,
      sym_comment,
    STATE(5762), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(9496), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [186939] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9128), 1,
      anon_sym_COMMA,
    STATE(5759), 1,
      sym_comment,
    STATE(5763), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(9498), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [186959] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9500), 1,
      anon_sym_DQUOTE,
    STATE(5606), 1,
      aux_sym_string_repeat1,
    STATE(5760), 1,
      sym_comment,
    ACTIONS(9140), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [186979] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9500), 1,
      anon_sym_SQUOTE,
    STATE(5596), 1,
      aux_sym_string_repeat2,
    STATE(5761), 1,
      sym_comment,
    ACTIONS(9106), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [186999] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9128), 1,
      anon_sym_COMMA,
    STATE(5723), 1,
      aux_sym_variable_declaration_repeat1,
    STATE(5762), 1,
      sym_comment,
    ACTIONS(9502), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [187019] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9128), 1,
      anon_sym_COMMA,
    STATE(5723), 1,
      aux_sym_variable_declaration_repeat1,
    STATE(5763), 1,
      sym_comment,
    ACTIONS(9504), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [187039] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8159), 1,
      anon_sym_DOT,
    ACTIONS(9506), 1,
      anon_sym_COMMA,
    ACTIONS(9508), 1,
      anon_sym_GT,
    STATE(5764), 1,
      sym_comment,
    STATE(6327), 1,
      aux_sym_type_arguments_repeat1,
  [187061] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9446), 1,
      anon_sym_DQUOTE,
    STATE(5606), 1,
      aux_sym_string_repeat1,
    STATE(5765), 1,
      sym_comment,
    ACTIONS(9140), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [187081] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9118), 1,
      anon_sym_with,
    STATE(5766), 1,
      sym_comment,
    STATE(6591), 1,
      sym_import_attribute,
    ACTIONS(9510), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [187101] = 7,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9512), 1,
      sym_identifier,
    STATE(5380), 1,
      sym_nested_type_identifier,
    STATE(5767), 1,
      sym_comment,
    STATE(5795), 1,
      sym_generic_type,
    STATE(7295), 1,
      sym_nested_identifier,
  [187123] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9128), 1,
      anon_sym_COMMA,
    STATE(5723), 1,
      aux_sym_variable_declaration_repeat1,
    STATE(5768), 1,
      sym_comment,
    ACTIONS(9514), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [187143] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9516), 1,
      anon_sym_DQUOTE,
    STATE(5606), 1,
      aux_sym_string_repeat1,
    STATE(5769), 1,
      sym_comment,
    ACTIONS(9140), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [187163] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9516), 1,
      anon_sym_SQUOTE,
    STATE(5596), 1,
      aux_sym_string_repeat2,
    STATE(5770), 1,
      sym_comment,
    ACTIONS(9106), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [187183] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9178), 1,
      anon_sym_SQUOTE,
    STATE(5596), 1,
      aux_sym_string_repeat2,
    STATE(5771), 1,
      sym_comment,
    ACTIONS(9106), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [187203] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8211), 1,
      anon_sym_COMMA,
    ACTIONS(9518), 1,
      anon_sym_LBRACE,
    ACTIONS(9520), 1,
      anon_sym_LBRACE_PIPE,
    STATE(5621), 1,
      aux_sym_extends_type_clause_repeat1,
    STATE(5772), 1,
      sym_comment,
  [187225] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9118), 1,
      anon_sym_with,
    STATE(5773), 1,
      sym_comment,
    STATE(6590), 1,
      sym_import_attribute,
    ACTIONS(9522), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [187245] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8211), 1,
      anon_sym_COMMA,
    ACTIONS(9524), 1,
      anon_sym_LBRACE,
    ACTIONS(9526), 1,
      anon_sym_LBRACE_PIPE,
    STATE(5621), 1,
      aux_sym_extends_type_clause_repeat1,
    STATE(5774), 1,
      sym_comment,
  [187267] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9528), 1,
      anon_sym_DQUOTE,
    STATE(5775), 1,
      sym_comment,
    STATE(5781), 1,
      aux_sym_string_repeat1,
    ACTIONS(9140), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [187287] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8211), 1,
      anon_sym_COMMA,
    ACTIONS(9524), 1,
      anon_sym_LBRACE,
    ACTIONS(9526), 1,
      anon_sym_LBRACE_PIPE,
    STATE(5621), 1,
      aux_sym_extends_type_clause_repeat1,
    STATE(5776), 1,
      sym_comment,
  [187309] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9118), 1,
      anon_sym_with,
    STATE(5777), 1,
      sym_comment,
    STATE(6697), 1,
      sym_import_attribute,
    ACTIONS(9530), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [187329] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9118), 1,
      anon_sym_with,
    STATE(5778), 1,
      sym_comment,
    STATE(6704), 1,
      sym_import_attribute,
    ACTIONS(9532), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [187349] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9118), 1,
      anon_sym_with,
    ACTIONS(9534), 1,
      anon_sym_SEMI,
    ACTIONS(9536), 1,
      sym__automatic_semicolon,
    STATE(5779), 1,
      sym_comment,
    STATE(6706), 1,
      sym_import_attribute,
  [187371] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9528), 1,
      anon_sym_SQUOTE,
    STATE(5780), 1,
      sym_comment,
    STATE(5782), 1,
      aux_sym_string_repeat2,
    ACTIONS(9106), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [187391] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9538), 1,
      anon_sym_DQUOTE,
    STATE(5606), 1,
      aux_sym_string_repeat1,
    STATE(5781), 1,
      sym_comment,
    ACTIONS(9140), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [187411] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9538), 1,
      anon_sym_SQUOTE,
    STATE(5596), 1,
      aux_sym_string_repeat2,
    STATE(5782), 1,
      sym_comment,
    ACTIONS(9106), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [187431] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9128), 1,
      anon_sym_COMMA,
    STATE(5723), 1,
      aux_sym_variable_declaration_repeat1,
    STATE(5783), 1,
      sym_comment,
    ACTIONS(9540), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [187451] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9116), 1,
      anon_sym_from,
    STATE(5784), 1,
      sym_comment,
    STATE(6645), 1,
      sym__from_clause,
    ACTIONS(5892), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [187471] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9542), 1,
      anon_sym_DQUOTE,
    STATE(5589), 1,
      aux_sym_string_repeat1,
    STATE(5785), 1,
      sym_comment,
    ACTIONS(9140), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [187491] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9542), 1,
      anon_sym_SQUOTE,
    STATE(5771), 1,
      aux_sym_string_repeat2,
    STATE(5786), 1,
      sym_comment,
    ACTIONS(9106), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [187511] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7160), 1,
      anon_sym_LPAREN,
    ACTIONS(7164), 1,
      anon_sym_LT,
    STATE(5787), 1,
      sym_comment,
    STATE(6925), 1,
      sym_type_parameters,
    STATE(7554), 1,
      sym_formal_parameters,
  [187533] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(7170), 1,
      anon_sym_type,
    ACTIONS(9544), 1,
      sym_identifier,
    STATE(5788), 1,
      sym_comment,
    STATE(6754), 1,
      sym__import_identifier,
  [187552] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9546), 1,
      sym_identifier,
    STATE(2054), 1,
      sym_decorator_member_expression,
    STATE(2166), 1,
      sym_decorator_call_expression,
    STATE(5789), 1,
      sym_comment,
  [187571] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5790), 1,
      sym_comment,
    ACTIONS(9548), 3,
      sym__automatic_semicolon,
      anon_sym_with,
      anon_sym_SEMI,
  [187586] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5791), 1,
      sym_comment,
    ACTIONS(9550), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [187601] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5792), 1,
      sym_comment,
    ACTIONS(9552), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [187616] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9554), 1,
      anon_sym_COMMA,
    ACTIONS(9557), 1,
      anon_sym_RBRACE,
    STATE(5793), 2,
      sym_comment,
      aux_sym_enum_body_repeat1,
  [187633] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7164), 1,
      anon_sym_LT,
    ACTIONS(9559), 1,
      anon_sym_EQ,
    STATE(5794), 1,
      sym_comment,
    STATE(7630), 1,
      sym_type_parameters,
  [187652] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8991), 1,
      anon_sym_LBRACE,
    STATE(5795), 1,
      sym_comment,
    ACTIONS(8993), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE_PIPE,
  [187669] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5796), 1,
      sym_comment,
    ACTIONS(9550), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [187684] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5797), 1,
      sym_comment,
    ACTIONS(9561), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [187699] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5798), 1,
      sym_comment,
    ACTIONS(9561), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [187714] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5799), 1,
      sym_comment,
    ACTIONS(9563), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [187729] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5800), 1,
      sym_comment,
    ACTIONS(9550), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [187744] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9567), 1,
      sym_unescaped_single_jsx_string_fragment,
    STATE(5801), 1,
      sym_comment,
    ACTIONS(9565), 2,
      sym_html_character_reference,
      anon_sym_SQUOTE,
  [187761] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9571), 1,
      sym_unescaped_double_jsx_string_fragment,
    STATE(5802), 1,
      sym_comment,
    ACTIONS(9569), 2,
      sym_html_character_reference,
      anon_sym_DQUOTE,
  [187778] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5803), 1,
      sym_comment,
    ACTIONS(9573), 3,
      sym__template_chars,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_LBRACE,
  [187793] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9575), 1,
      anon_sym_LPAREN,
    ACTIONS(9577), 1,
      anon_sym_await,
    STATE(94), 1,
      sym__for_header,
    STATE(5804), 1,
      sym_comment,
  [187812] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5805), 1,
      sym_comment,
    ACTIONS(9550), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [187827] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9579), 1,
      anon_sym_COMMA,
    ACTIONS(9582), 1,
      anon_sym_RBRACK,
    STATE(5806), 2,
      sym_comment,
      aux_sym_tuple_type_repeat1,
  [187844] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5807), 1,
      sym_comment,
    ACTIONS(9563), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [187859] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5808), 1,
      sym_comment,
    ACTIONS(9584), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [187874] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5809), 1,
      sym_comment,
    ACTIONS(9550), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [187889] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9586), 1,
      anon_sym_EQ,
    STATE(5810), 1,
      sym_comment,
    ACTIONS(9588), 2,
      anon_sym_COMMA,
      anon_sym_from,
  [187906] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7164), 1,
      anon_sym_LT,
    ACTIONS(9590), 1,
      anon_sym_EQ,
    STATE(5811), 1,
      sym_comment,
    STATE(7608), 1,
      sym_type_parameters,
  [187925] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5812), 1,
      sym_comment,
    ACTIONS(9592), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [187940] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5813), 1,
      sym_comment,
    ACTIONS(9592), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [187955] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8008), 1,
      anon_sym_COMMA,
    ACTIONS(9594), 1,
      anon_sym_RBRACE,
    STATE(5814), 1,
      sym_comment,
    STATE(6240), 1,
      aux_sym_object_repeat1,
  [187974] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8008), 1,
      anon_sym_COMMA,
    ACTIONS(9596), 1,
      anon_sym_RBRACE,
    STATE(5815), 1,
      sym_comment,
    STATE(6240), 1,
      aux_sym_object_repeat1,
  [187993] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5816), 1,
      sym_comment,
    ACTIONS(9552), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [188008] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5817), 1,
      sym_comment,
    ACTIONS(9598), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [188023] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5818), 1,
      sym_comment,
    ACTIONS(9600), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [188038] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9602), 1,
      sym_identifier,
    ACTIONS(9604), 1,
      anon_sym_SEMI,
    ACTIONS(9606), 1,
      sym__automatic_semicolon,
    STATE(5819), 1,
      sym_comment,
  [188057] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5820), 1,
      sym_comment,
    ACTIONS(9608), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [188072] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9610), 1,
      sym_identifier,
    ACTIONS(9612), 1,
      anon_sym_SEMI,
    ACTIONS(9614), 1,
      sym__automatic_semicolon,
    STATE(5821), 1,
      sym_comment,
  [188091] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9616), 1,
      anon_sym_COMMA,
    ACTIONS(9618), 1,
      anon_sym_RPAREN,
    STATE(5822), 1,
      sym_comment,
    STATE(6370), 1,
      aux_sym_formal_parameters_repeat1,
  [188110] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9620), 1,
      anon_sym_EQ,
    STATE(5823), 1,
      sym_comment,
    ACTIONS(9588), 2,
      anon_sym_COMMA,
      anon_sym_from,
  [188127] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9622), 1,
      anon_sym_LBRACE,
    ACTIONS(9624), 1,
      anon_sym_LPAREN,
    STATE(1127), 1,
      sym_statement_block,
    STATE(5824), 1,
      sym_comment,
  [188146] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7164), 1,
      anon_sym_LT,
    ACTIONS(9626), 1,
      anon_sym_EQ,
    STATE(5825), 1,
      sym_comment,
    STATE(7580), 1,
      sym_type_parameters,
  [188165] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5826), 1,
      sym_comment,
    ACTIONS(9550), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [188180] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5827), 1,
      sym_comment,
    ACTIONS(9628), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [188195] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5828), 1,
      sym_comment,
    ACTIONS(9563), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [188210] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5829), 1,
      sym_comment,
    ACTIONS(9628), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [188225] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9630), 1,
      anon_sym_COMMA,
    ACTIONS(9632), 1,
      anon_sym_RPAREN,
    STATE(5822), 1,
      aux_sym_formal_parameters_repeat1,
    STATE(5830), 1,
      sym_comment,
  [188244] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5831), 1,
      sym_comment,
    ACTIONS(9608), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [188259] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9634), 1,
      anon_sym_EQ,
    STATE(5832), 1,
      sym_comment,
    ACTIONS(4255), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [188276] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5833), 1,
      sym_comment,
    ACTIONS(9561), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [188291] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9637), 1,
      anon_sym_EQ,
    STATE(5834), 1,
      sym_comment,
    ACTIONS(9588), 2,
      anon_sym_COMMA,
      anon_sym_from,
  [188308] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7164), 1,
      anon_sym_LT,
    ACTIONS(9639), 1,
      anon_sym_EQ,
    STATE(5835), 1,
      sym_comment,
    STATE(7546), 1,
      sym_type_parameters,
  [188327] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5836), 1,
      sym_comment,
    ACTIONS(9584), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [188342] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5837), 1,
      sym_comment,
    ACTIONS(9641), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [188357] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5838), 1,
      sym_comment,
    ACTIONS(9592), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [188372] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5839), 1,
      sym_comment,
    ACTIONS(9561), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [188387] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5840), 1,
      sym_comment,
    ACTIONS(9643), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [188402] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8008), 1,
      anon_sym_COMMA,
    ACTIONS(9645), 1,
      anon_sym_RBRACE,
    STATE(5841), 1,
      sym_comment,
    STATE(6240), 1,
      aux_sym_object_repeat1,
  [188421] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8008), 1,
      anon_sym_COMMA,
    ACTIONS(9645), 1,
      anon_sym_RBRACE,
    STATE(5815), 1,
      aux_sym_object_repeat1,
    STATE(5842), 1,
      sym_comment,
  [188440] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5843), 1,
      sym_comment,
    ACTIONS(9647), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [188455] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5844), 1,
      sym_comment,
    ACTIONS(9552), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [188470] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5845), 1,
      sym_comment,
    ACTIONS(9561), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [188485] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8195), 1,
      anon_sym_LBRACE,
    ACTIONS(8197), 1,
      anon_sym_LBRACE_PIPE,
    STATE(1424), 1,
      sym_object_type,
    STATE(5846), 1,
      sym_comment,
  [188504] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5847), 1,
      sym_comment,
    ACTIONS(9649), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [188519] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5848), 1,
      sym_comment,
    ACTIONS(9550), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [188534] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5849), 1,
      sym_comment,
    ACTIONS(9643), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [188549] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5830), 1,
      anon_sym_COMMA,
    ACTIONS(5932), 1,
      anon_sym_RPAREN,
    STATE(5850), 1,
      sym_comment,
    STATE(5906), 1,
      aux_sym_array_repeat1,
  [188568] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5830), 1,
      anon_sym_COMMA,
    ACTIONS(5932), 1,
      anon_sym_RPAREN,
    STATE(5607), 1,
      aux_sym_array_repeat1,
    STATE(5851), 1,
      sym_comment,
  [188587] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7058), 1,
      anon_sym_LPAREN,
    ACTIONS(9651), 1,
      anon_sym_DOT,
    STATE(4899), 1,
      sym_arguments,
    STATE(5852), 1,
      sym_comment,
  [188606] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5853), 1,
      sym_comment,
    ACTIONS(9628), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [188621] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5854), 1,
      sym_comment,
    ACTIONS(9653), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [188636] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5855), 1,
      sym_comment,
    ACTIONS(9655), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [188651] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5856), 1,
      sym_comment,
    ACTIONS(9655), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [188666] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9657), 1,
      sym_identifier,
    STATE(4640), 1,
      sym_decorator_member_expression,
    STATE(5603), 1,
      sym_decorator_call_expression,
    STATE(5857), 1,
      sym_comment,
  [188685] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5858), 1,
      sym_comment,
    ACTIONS(9550), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [188700] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5859), 1,
      sym_comment,
    ACTIONS(9563), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [188715] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9659), 1,
      sym_identifier,
    STATE(3598), 1,
      sym_decorator_member_expression,
    STATE(3728), 1,
      sym_decorator_call_expression,
    STATE(5860), 1,
      sym_comment,
  [188734] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5861), 1,
      sym_comment,
    ACTIONS(9647), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [188749] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5862), 1,
      sym_comment,
    ACTIONS(9647), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [188764] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9053), 1,
      anon_sym_DOT,
    ACTIONS(9661), 1,
      anon_sym_COLON,
    ACTIONS(9663), 1,
      anon_sym_GT,
    STATE(5863), 1,
      sym_comment,
  [188783] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5864), 1,
      sym_comment,
    ACTIONS(9647), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [188798] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5865), 1,
      sym_comment,
    ACTIONS(3316), 3,
      anon_sym_else,
      anon_sym_while,
      anon_sym_finally,
  [188813] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9665), 1,
      anon_sym_COMMA,
    ACTIONS(9667), 1,
      anon_sym_GT,
    STATE(5866), 1,
      sym_comment,
    STATE(6172), 1,
      aux_sym_type_parameters_repeat1,
  [188832] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5867), 1,
      sym_comment,
    ACTIONS(9647), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [188847] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9116), 1,
      anon_sym_from,
    ACTIONS(9669), 1,
      anon_sym_as,
    STATE(5868), 1,
      sym_comment,
    STATE(6917), 1,
      sym__from_clause,
  [188866] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9671), 1,
      sym_identifier,
    ACTIONS(9673), 1,
      anon_sym_LBRACE,
    STATE(5670), 1,
      sym_export_clause,
    STATE(5869), 1,
      sym_comment,
  [188885] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5870), 1,
      sym_comment,
    ACTIONS(9647), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [188900] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5871), 1,
      sym_comment,
    ACTIONS(9675), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [188915] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9677), 1,
      sym_identifier,
    ACTIONS(9679), 1,
      anon_sym_SEMI,
    ACTIONS(9681), 1,
      sym__automatic_semicolon,
    STATE(5872), 1,
      sym_comment,
  [188934] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9683), 1,
      sym_identifier,
    ACTIONS(9685), 1,
      anon_sym_SEMI,
    ACTIONS(9687), 1,
      sym__automatic_semicolon,
    STATE(5873), 1,
      sym_comment,
  [188953] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5874), 1,
      sym_comment,
    ACTIONS(9689), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [188968] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5875), 1,
      sym_comment,
    ACTIONS(9691), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [188983] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5876), 1,
      sym_comment,
    ACTIONS(9693), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [188998] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5877), 1,
      sym_comment,
    ACTIONS(9695), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [189013] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7968), 1,
      anon_sym_DOT,
    STATE(5878), 1,
      sym_comment,
    ACTIONS(9697), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [189030] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7942), 1,
      anon_sym_DOT,
    STATE(5879), 1,
      sym_comment,
    ACTIONS(9697), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [189047] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5880), 1,
      sym_comment,
    ACTIONS(9689), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [189062] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5881), 1,
      sym_comment,
    ACTIONS(9643), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [189077] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5882), 1,
      sym_comment,
    ACTIONS(9675), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [189092] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5883), 1,
      sym_comment,
    ACTIONS(3318), 3,
      anon_sym_else,
      anon_sym_while,
      anon_sym_finally,
  [189107] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5884), 1,
      sym_comment,
    ACTIONS(9699), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [189122] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9701), 1,
      anon_sym_LPAREN,
    ACTIONS(9703), 1,
      anon_sym_await,
    STATE(85), 1,
      sym__for_header,
    STATE(5885), 1,
      sym_comment,
  [189141] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5886), 1,
      sym_comment,
    ACTIONS(9693), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [189156] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5887), 1,
      sym_comment,
    ACTIONS(9643), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [189171] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5888), 1,
      sym_comment,
    ACTIONS(9693), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [189186] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9705), 1,
      anon_sym_COMMA,
    ACTIONS(9707), 1,
      anon_sym_RBRACK,
    STATE(5889), 1,
      sym_comment,
    STATE(5944), 1,
      aux_sym_tuple_type_repeat1,
  [189205] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5890), 1,
      sym_comment,
    ACTIONS(9675), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [189220] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5891), 1,
      sym_comment,
    ACTIONS(9561), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [189235] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(6531), 1,
      sym__automatic_semicolon,
    STATE(5892), 1,
      sym_comment,
    ACTIONS(2347), 2,
      anon_sym_else,
      anon_sym_while,
  [189252] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7424), 1,
      anon_sym_AMP,
    ACTIONS(7438), 1,
      anon_sym_extends,
    ACTIONS(8698), 1,
      anon_sym_PIPE,
    STATE(5893), 1,
      sym_comment,
  [189271] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(6539), 1,
      sym__automatic_semicolon,
    STATE(5894), 1,
      sym_comment,
    ACTIONS(2267), 2,
      anon_sym_else,
      anon_sym_while,
  [189288] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5895), 1,
      sym_comment,
    ACTIONS(9561), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [189303] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5896), 1,
      sym_comment,
    ACTIONS(9628), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [189318] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5897), 1,
      sym_comment,
    ACTIONS(9628), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [189333] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5898), 1,
      sym_comment,
    ACTIONS(9709), 3,
      sym__automatic_semicolon,
      anon_sym_from,
      anon_sym_SEMI,
  [189348] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8077), 1,
      anon_sym_LBRACE,
    ACTIONS(8079), 1,
      anon_sym_LBRACE_PIPE,
    STATE(1627), 1,
      sym_object_type,
    STATE(5899), 1,
      sym_comment,
  [189367] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5900), 1,
      sym_comment,
    ACTIONS(9550), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [189382] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5901), 1,
      sym_comment,
    ACTIONS(9628), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [189397] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5902), 1,
      sym_comment,
    ACTIONS(9550), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [189412] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8195), 1,
      anon_sym_LBRACE,
    ACTIONS(8197), 1,
      anon_sym_LBRACE_PIPE,
    STATE(1485), 1,
      sym_object_type,
    STATE(5903), 1,
      sym_comment,
  [189431] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5830), 1,
      anon_sym_COMMA,
    ACTIONS(5924), 1,
      anon_sym_RPAREN,
    STATE(5904), 1,
      sym_comment,
    STATE(6159), 1,
      aux_sym_array_repeat1,
  [189450] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9711), 1,
      anon_sym_COMMA,
    ACTIONS(9713), 1,
      anon_sym_RBRACE,
    STATE(5905), 1,
      sym_comment,
    STATE(5953), 1,
      aux_sym_enum_body_repeat1,
  [189469] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5830), 1,
      anon_sym_COMMA,
    ACTIONS(9715), 1,
      anon_sym_RPAREN,
    STATE(5607), 1,
      aux_sym_array_repeat1,
    STATE(5906), 1,
      sym_comment,
  [189488] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5907), 1,
      sym_comment,
    ACTIONS(9649), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [189503] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7164), 1,
      anon_sym_LT,
    ACTIONS(9717), 1,
      anon_sym_EQ,
    STATE(5908), 1,
      sym_comment,
    STATE(7332), 1,
      sym_type_parameters,
  [189522] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5909), 1,
      sym_comment,
    ACTIONS(9552), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [189537] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9719), 1,
      anon_sym_COMMA,
    ACTIONS(9721), 1,
      anon_sym_GT,
    STATE(5910), 1,
      sym_comment,
    STATE(5946), 1,
      aux_sym_type_arguments_repeat1,
  [189556] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5830), 1,
      anon_sym_COMMA,
    ACTIONS(5924), 1,
      anon_sym_RPAREN,
    STATE(5607), 1,
      aux_sym_array_repeat1,
    STATE(5911), 1,
      sym_comment,
  [189575] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(6523), 1,
      sym__automatic_semicolon,
    STATE(5912), 1,
      sym_comment,
    ACTIONS(2311), 2,
      anon_sym_else,
      anon_sym_while,
  [189592] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9723), 1,
      anon_sym_COMMA,
    ACTIONS(9725), 1,
      anon_sym_GT,
    STATE(5913), 1,
      sym_comment,
    STATE(5946), 1,
      aux_sym_type_arguments_repeat1,
  [189611] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5914), 1,
      sym_comment,
    ACTIONS(9563), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [189626] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9727), 1,
      anon_sym_COMMA,
    ACTIONS(9729), 1,
      anon_sym_GT,
    STATE(5915), 1,
      sym_comment,
    STATE(5946), 1,
      aux_sym_type_arguments_repeat1,
  [189645] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5916), 1,
      sym_comment,
    ACTIONS(9643), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [189660] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9731), 1,
      anon_sym_EQ,
    STATE(5917), 1,
      sym_comment,
    ACTIONS(9588), 2,
      anon_sym_COMMA,
      anon_sym_from,
  [189677] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5918), 1,
      sym_comment,
    ACTIONS(9552), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [189692] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5919), 1,
      sym_comment,
    ACTIONS(9561), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [189707] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(6521), 1,
      sym__automatic_semicolon,
    STATE(5920), 1,
      sym_comment,
    ACTIONS(2307), 2,
      anon_sym_else,
      anon_sym_while,
  [189724] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5921), 1,
      sym_comment,
    ACTIONS(9550), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [189739] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5922), 1,
      sym_comment,
    ACTIONS(9550), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [189754] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7164), 1,
      anon_sym_LT,
    ACTIONS(9733), 1,
      anon_sym_EQ,
    STATE(5923), 1,
      sym_comment,
    STATE(7406), 1,
      sym_type_parameters,
  [189773] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5924), 1,
      sym_comment,
    ACTIONS(9563), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [189788] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(6489), 1,
      sym__automatic_semicolon,
    STATE(5925), 1,
      sym_comment,
    ACTIONS(2301), 2,
      anon_sym_else,
      anon_sym_while,
  [189805] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(6487), 1,
      sym__automatic_semicolon,
    STATE(5926), 1,
      sym_comment,
    ACTIONS(2297), 2,
      anon_sym_else,
      anon_sym_while,
  [189822] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5927), 1,
      sym_comment,
    ACTIONS(9561), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [189837] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5928), 1,
      sym_comment,
    ACTIONS(9561), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [189852] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(6461), 1,
      sym__automatic_semicolon,
    STATE(5929), 1,
      sym_comment,
    ACTIONS(2341), 2,
      anon_sym_else,
      anon_sym_while,
  [189869] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5930), 1,
      sym_comment,
    ACTIONS(9563), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [189884] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8794), 1,
      anon_sym_COMMA,
    ACTIONS(9735), 1,
      anon_sym_RBRACE,
    STATE(5931), 1,
      sym_comment,
    STATE(6221), 1,
      aux_sym_object_pattern_repeat1,
  [189903] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5932), 1,
      sym_comment,
    ACTIONS(9643), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [189918] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4129), 1,
      anon_sym_LPAREN,
    ACTIONS(9737), 1,
      anon_sym_DOT,
    STATE(4457), 1,
      sym_arguments,
    STATE(5933), 1,
      sym_comment,
  [189937] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5934), 1,
      sym_comment,
    ACTIONS(9550), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [189952] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8008), 1,
      anon_sym_COMMA,
    ACTIONS(9739), 1,
      anon_sym_RBRACE,
    STATE(5935), 1,
      sym_comment,
    STATE(6226), 1,
      aux_sym_object_repeat1,
  [189971] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9741), 1,
      sym_identifier,
    ACTIONS(9743), 1,
      anon_sym_LBRACK,
    ACTIONS(9745), 1,
      sym_private_property_identifier,
    STATE(5936), 1,
      sym_comment,
  [189990] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5937), 1,
      sym_comment,
    ACTIONS(9649), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [190005] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9747), 1,
      sym_identifier,
    ACTIONS(9749), 1,
      anon_sym_LBRACK,
    ACTIONS(9751), 1,
      sym_private_property_identifier,
    STATE(5938), 1,
      sym_comment,
  [190024] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8008), 1,
      anon_sym_COMMA,
    ACTIONS(9739), 1,
      anon_sym_RBRACE,
    STATE(5939), 1,
      sym_comment,
    STATE(6240), 1,
      aux_sym_object_repeat1,
  [190043] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9753), 1,
      sym_identifier,
    ACTIONS(9755), 1,
      anon_sym_LBRACK,
    ACTIONS(9757), 1,
      sym_private_property_identifier,
    STATE(5940), 1,
      sym_comment,
  [190062] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9759), 1,
      anon_sym_LBRACE,
    STATE(5941), 1,
      sym_comment,
    ACTIONS(8728), 2,
      anon_sym_extends,
      anon_sym_LBRACE_PIPE,
  [190079] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9761), 1,
      sym_identifier,
    ACTIONS(9763), 1,
      anon_sym_LBRACK,
    ACTIONS(9765), 1,
      sym_private_property_identifier,
    STATE(5942), 1,
      sym_comment,
  [190098] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5943), 1,
      sym_comment,
    ACTIONS(9550), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [190113] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9767), 1,
      anon_sym_COMMA,
    ACTIONS(9769), 1,
      anon_sym_RBRACK,
    STATE(5806), 1,
      aux_sym_tuple_type_repeat1,
    STATE(5944), 1,
      sym_comment,
  [190132] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8794), 1,
      anon_sym_COMMA,
    ACTIONS(9735), 1,
      anon_sym_RBRACE,
    STATE(5945), 1,
      sym_comment,
    STATE(6243), 1,
      aux_sym_object_pattern_repeat1,
  [190151] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9043), 1,
      anon_sym_GT,
    ACTIONS(9771), 1,
      anon_sym_COMMA,
    STATE(5946), 2,
      sym_comment,
      aux_sym_type_arguments_repeat1,
  [190168] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5947), 1,
      sym_comment,
    ACTIONS(9563), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [190183] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5948), 1,
      sym_comment,
    ACTIONS(9552), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [190198] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9673), 1,
      anon_sym_LBRACE,
    ACTIONS(9774), 1,
      sym_identifier,
    STATE(5701), 1,
      sym_export_clause,
    STATE(5949), 1,
      sym_comment,
  [190217] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5950), 1,
      sym_comment,
    ACTIONS(9550), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [190232] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9776), 1,
      anon_sym_COMMA,
    ACTIONS(9778), 1,
      anon_sym_RBRACE,
    STATE(5793), 1,
      aux_sym_enum_body_repeat1,
    STATE(5951), 1,
      sym_comment,
  [190251] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5952), 1,
      sym_comment,
    ACTIONS(9550), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [190266] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9780), 1,
      anon_sym_COMMA,
    ACTIONS(9782), 1,
      anon_sym_RBRACE,
    STATE(5793), 1,
      aux_sym_enum_body_repeat1,
    STATE(5953), 1,
      sym_comment,
  [190285] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5954), 1,
      sym_comment,
    ACTIONS(9563), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [190300] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5955), 1,
      sym_comment,
    ACTIONS(9561), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [190315] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9116), 1,
      anon_sym_from,
    ACTIONS(9669), 1,
      anon_sym_as,
    STATE(5956), 1,
      sym_comment,
    STATE(6560), 1,
      sym__from_clause,
  [190334] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8159), 1,
      anon_sym_DOT,
    STATE(5957), 1,
      sym_comment,
    ACTIONS(9784), 2,
      anon_sym_COMMA,
      anon_sym_GT,
  [190351] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5958), 1,
      sym_comment,
    ACTIONS(9786), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [190366] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5959), 1,
      sym_comment,
    ACTIONS(9561), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [190381] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5960), 1,
      sym_comment,
    ACTIONS(9788), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [190396] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9790), 1,
      anon_sym_COMMA,
    ACTIONS(9792), 1,
      anon_sym_RBRACK,
    STATE(5806), 1,
      aux_sym_tuple_type_repeat1,
    STATE(5961), 1,
      sym_comment,
  [190415] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4226), 1,
      anon_sym_COLON,
    ACTIONS(9794), 1,
      anon_sym_RPAREN,
    STATE(5962), 1,
      sym_comment,
    STATE(7312), 1,
      sym_type_annotation,
  [190434] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5963), 1,
      sym_comment,
    ACTIONS(9550), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [190449] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5964), 1,
      sym_comment,
    ACTIONS(9561), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [190464] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(6412), 1,
      sym__automatic_semicolon,
    STATE(5965), 1,
      sym_comment,
    ACTIONS(2275), 2,
      anon_sym_else,
      anon_sym_while,
  [190481] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(6347), 1,
      sym__automatic_semicolon,
    STATE(5966), 1,
      sym_comment,
    ACTIONS(2279), 2,
      anon_sym_else,
      anon_sym_while,
  [190498] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(6315), 1,
      sym__automatic_semicolon,
    STATE(5967), 1,
      sym_comment,
    ACTIONS(2283), 2,
      anon_sym_else,
      anon_sym_while,
  [190515] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(6313), 1,
      sym__automatic_semicolon,
    STATE(5968), 1,
      sym_comment,
    ACTIONS(2289), 2,
      anon_sym_else,
      anon_sym_while,
  [190532] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9796), 1,
      anon_sym_COMMA,
    ACTIONS(9798), 1,
      anon_sym_RBRACE,
    STATE(5793), 1,
      aux_sym_enum_body_repeat1,
    STATE(5969), 1,
      sym_comment,
  [190551] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9800), 1,
      anon_sym_COMMA,
    ACTIONS(9802), 1,
      anon_sym_RBRACE,
    STATE(5793), 1,
      aux_sym_enum_body_repeat1,
    STATE(5970), 1,
      sym_comment,
  [190570] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9804), 1,
      sym_identifier,
    ACTIONS(9806), 1,
      anon_sym_require,
    STATE(5971), 1,
      sym_comment,
    STATE(6413), 1,
      sym_nested_identifier,
  [190589] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(7918), 1,
      anon_sym_const,
    ACTIONS(9142), 1,
      sym_identifier,
    STATE(5972), 1,
      sym_comment,
    STATE(6849), 1,
      sym_type_parameter,
  [190608] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5973), 1,
      sym_comment,
    ACTIONS(9552), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [190623] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9808), 1,
      anon_sym_EQ,
    STATE(5974), 1,
      sym_comment,
    ACTIONS(9588), 2,
      anon_sym_COMMA,
      anon_sym_from,
  [190640] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8756), 1,
      anon_sym_LBRACE,
    ACTIONS(9810), 1,
      anon_sym_COMMA,
    STATE(5975), 2,
      sym_comment,
      aux_sym_implements_clause_repeat1,
  [190657] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9673), 1,
      anon_sym_LBRACE,
    ACTIONS(9813), 1,
      sym_identifier,
    STATE(5638), 1,
      sym_export_clause,
    STATE(5976), 1,
      sym_comment,
  [190676] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5977), 1,
      sym_comment,
    ACTIONS(9561), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [190691] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5978), 1,
      sym_comment,
    ACTIONS(9550), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [190706] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9116), 1,
      anon_sym_from,
    ACTIONS(9669), 1,
      anon_sym_as,
    STATE(5979), 1,
      sym_comment,
    STATE(6671), 1,
      sym__from_clause,
  [190725] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9815), 1,
      anon_sym_LBRACE,
    STATE(5980), 1,
      sym_comment,
    ACTIONS(8772), 2,
      anon_sym_extends,
      anon_sym_LBRACE_PIPE,
  [190742] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5981), 1,
      sym_comment,
    ACTIONS(9788), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [190757] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5982), 1,
      sym_comment,
    ACTIONS(9550), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [190772] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5983), 1,
      sym_comment,
    ACTIONS(9628), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [190787] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5984), 1,
      sym_comment,
    ACTIONS(9628), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [190802] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5985), 1,
      sym_comment,
    ACTIONS(3314), 3,
      anon_sym_else,
      anon_sym_while,
      anon_sym_finally,
  [190817] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4226), 1,
      anon_sym_COLON,
    ACTIONS(9817), 1,
      anon_sym_RPAREN,
    STATE(5986), 1,
      sym_comment,
    STATE(7246), 1,
      sym_type_annotation,
  [190836] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5987), 1,
      sym_comment,
    ACTIONS(9649), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [190851] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5988), 1,
      sym_comment,
    ACTIONS(9819), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [190866] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9821), 1,
      sym_identifier,
    ACTIONS(9823), 1,
      anon_sym_LBRACK,
    ACTIONS(9825), 1,
      sym_private_property_identifier,
    STATE(5989), 1,
      sym_comment,
  [190885] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9806), 1,
      anon_sym_require,
    ACTIONS(9827), 1,
      sym_identifier,
    STATE(5990), 1,
      sym_comment,
    STATE(6419), 1,
      sym_nested_identifier,
  [190904] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5991), 1,
      sym_comment,
    ACTIONS(8113), 3,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
  [190919] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5992), 1,
      sym_comment,
    ACTIONS(9829), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [190934] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5993), 1,
      sym_comment,
    ACTIONS(9563), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [190949] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5994), 1,
      sym_comment,
    ACTIONS(9550), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [190964] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5995), 1,
      sym_comment,
    ACTIONS(9561), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [190979] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9673), 1,
      anon_sym_LBRACE,
    ACTIONS(9831), 1,
      sym_identifier,
    STATE(5561), 1,
      sym_export_clause,
    STATE(5996), 1,
      sym_comment,
  [190998] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5997), 1,
      sym_comment,
    ACTIONS(9561), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [191013] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9116), 1,
      anon_sym_from,
    ACTIONS(9669), 1,
      anon_sym_as,
    STATE(5998), 1,
      sym_comment,
    STATE(6990), 1,
      sym__from_clause,
  [191032] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5999), 1,
      sym_comment,
    ACTIONS(9561), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [191047] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6000), 1,
      sym_comment,
    ACTIONS(9563), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [191062] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6001), 1,
      sym_comment,
    ACTIONS(9561), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [191077] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9833), 1,
      anon_sym_COMMA,
    ACTIONS(9835), 1,
      anon_sym_RPAREN,
    STATE(6002), 1,
      sym_comment,
    STATE(6403), 1,
      aux_sym_formal_parameters_repeat1,
  [191096] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6003), 1,
      sym_comment,
    ACTIONS(9837), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [191111] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6004), 1,
      sym_comment,
    ACTIONS(9829), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [191126] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6005), 1,
      sym_comment,
    ACTIONS(9550), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [191141] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9839), 1,
      sym_identifier,
    ACTIONS(9841), 1,
      anon_sym_LBRACK,
    ACTIONS(9843), 1,
      sym_private_property_identifier,
    STATE(6006), 1,
      sym_comment,
  [191160] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6007), 1,
      sym_comment,
    ACTIONS(9845), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [191175] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6008), 1,
      sym_comment,
    ACTIONS(9847), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [191190] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6009), 1,
      sym_comment,
    ACTIONS(9550), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [191205] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6010), 1,
      sym_comment,
    ACTIONS(9847), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [191220] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9849), 1,
      sym_identifier,
    ACTIONS(9851), 1,
      anon_sym_LBRACK,
    ACTIONS(9853), 1,
      sym_private_property_identifier,
    STATE(6011), 1,
      sym_comment,
  [191239] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6012), 1,
      sym_comment,
    ACTIONS(9855), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [191254] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6013), 1,
      sym_comment,
    ACTIONS(9561), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [191269] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6014), 1,
      sym_comment,
    ACTIONS(9857), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [191284] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6015), 1,
      sym_comment,
    ACTIONS(9857), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [191299] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9112), 1,
      anon_sym_COMMA,
    ACTIONS(9114), 1,
      anon_sym_RBRACK,
    STATE(6016), 1,
      sym_comment,
    STATE(6284), 1,
      aux_sym_array_pattern_repeat1,
  [191318] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5830), 1,
      anon_sym_COMMA,
    ACTIONS(5904), 1,
      anon_sym_RBRACK,
    STATE(6017), 1,
      sym_comment,
    STATE(6287), 1,
      aux_sym_array_repeat1,
  [191337] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5830), 1,
      anon_sym_COMMA,
    ACTIONS(5904), 1,
      anon_sym_RBRACK,
    STATE(5607), 1,
      aux_sym_array_repeat1,
    STATE(6018), 1,
      sym_comment,
  [191356] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9859), 1,
      anon_sym_LPAREN,
    ACTIONS(9861), 1,
      anon_sym_await,
    STATE(116), 1,
      sym__for_header,
    STATE(6019), 1,
      sym_comment,
  [191375] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9112), 1,
      anon_sym_COMMA,
    ACTIONS(9114), 1,
      anon_sym_RBRACK,
    STATE(6020), 1,
      sym_comment,
    STATE(6281), 1,
      aux_sym_array_pattern_repeat1,
  [191394] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9863), 1,
      sym_identifier,
    ACTIONS(9865), 1,
      anon_sym_LBRACK,
    ACTIONS(9867), 1,
      sym_private_property_identifier,
    STATE(6021), 1,
      sym_comment,
  [191413] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9869), 1,
      anon_sym_DQUOTE,
    STATE(6022), 1,
      sym_comment,
    ACTIONS(9871), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [191430] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9873), 1,
      sym_identifier,
    ACTIONS(9875), 1,
      anon_sym_SEMI,
    ACTIONS(9877), 1,
      sym__automatic_semicolon,
    STATE(6023), 1,
      sym_comment,
  [191449] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9879), 1,
      sym_identifier,
    ACTIONS(9881), 1,
      anon_sym_SEMI,
    ACTIONS(9883), 1,
      sym__automatic_semicolon,
    STATE(6024), 1,
      sym_comment,
  [191468] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9885), 1,
      anon_sym_SQUOTE,
    STATE(6025), 1,
      sym_comment,
    ACTIONS(9887), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [191485] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(7918), 1,
      anon_sym_const,
    ACTIONS(9142), 1,
      sym_identifier,
    STATE(6026), 1,
      sym_comment,
    STATE(6085), 1,
      sym_type_parameter,
  [191504] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6027), 1,
      sym_comment,
    ACTIONS(9561), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [191519] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6028), 1,
      sym_comment,
    ACTIONS(9889), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [191534] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7548), 1,
      anon_sym_implements,
    ACTIONS(9891), 1,
      anon_sym_LBRACE,
    STATE(6029), 1,
      sym_comment,
    STATE(7456), 1,
      sym_implements_clause,
  [191553] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6030), 1,
      sym_comment,
    ACTIONS(9847), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [191568] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(6420), 1,
      sym__automatic_semicolon,
    STATE(6031), 1,
      sym_comment,
    ACTIONS(2315), 2,
      anon_sym_else,
      anon_sym_while,
  [191585] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6032), 1,
      sym_comment,
    ACTIONS(9893), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [191600] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4226), 1,
      anon_sym_COLON,
    ACTIONS(9895), 1,
      anon_sym_RPAREN,
    STATE(6033), 1,
      sym_comment,
    STATE(7194), 1,
      sym_type_annotation,
  [191619] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6034), 1,
      sym_comment,
    ACTIONS(9552), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [191634] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6035), 1,
      sym_comment,
    ACTIONS(9897), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [191649] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9899), 1,
      anon_sym_LBRACE,
    STATE(6036), 1,
      sym_comment,
    ACTIONS(8824), 2,
      anon_sym_extends,
      anon_sym_LBRACE_PIPE,
  [191666] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6037), 1,
      sym_comment,
    ACTIONS(9552), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [191681] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6038), 1,
      sym_comment,
    ACTIONS(9628), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [191696] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9806), 1,
      anon_sym_require,
    ACTIONS(9901), 1,
      sym_identifier,
    STATE(5879), 1,
      sym_nested_identifier,
    STATE(6039), 1,
      sym_comment,
  [191715] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6040), 1,
      sym_comment,
    ACTIONS(9903), 3,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_implements,
  [191730] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6041), 1,
      sym_comment,
    ACTIONS(9847), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [191745] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6042), 1,
      sym_comment,
    ACTIONS(9552), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [191760] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6043), 1,
      sym_comment,
    ACTIONS(9905), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [191775] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9673), 1,
      anon_sym_LBRACE,
    ACTIONS(9907), 1,
      sym_identifier,
    STATE(5784), 1,
      sym_export_clause,
    STATE(6044), 1,
      sym_comment,
  [191794] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6045), 1,
      sym_comment,
    ACTIONS(9550), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [191809] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9116), 1,
      anon_sym_from,
    ACTIONS(9669), 1,
      anon_sym_as,
    STATE(6046), 1,
      sym_comment,
    STATE(6518), 1,
      sym__from_clause,
  [191828] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6047), 1,
      sym_comment,
    ACTIONS(9628), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [191843] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6048), 1,
      sym_comment,
    ACTIONS(9855), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [191858] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6049), 1,
      sym_comment,
    ACTIONS(9909), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [191873] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6050), 1,
      sym_comment,
    ACTIONS(9911), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [191888] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6051), 1,
      sym_comment,
    ACTIONS(9913), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [191903] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6052), 1,
      sym_comment,
    ACTIONS(9847), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [191918] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6053), 1,
      sym_comment,
    ACTIONS(9847), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [191933] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6054), 1,
      sym_comment,
    ACTIONS(9855), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [191948] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6055), 1,
      sym_comment,
    ACTIONS(9857), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [191963] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6056), 1,
      sym_comment,
    ACTIONS(9857), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [191978] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6057), 1,
      sym_comment,
    ACTIONS(9911), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [191993] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6058), 1,
      sym_comment,
    ACTIONS(9889), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [192008] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6059), 1,
      sym_comment,
    ACTIONS(9915), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [192023] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6060), 1,
      sym_comment,
    ACTIONS(9847), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [192038] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6061), 1,
      sym_comment,
    ACTIONS(9847), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [192053] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6062), 1,
      sym_comment,
    ACTIONS(9855), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [192068] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6063), 1,
      sym_comment,
    ACTIONS(9889), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [192083] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6064), 1,
      sym_comment,
    ACTIONS(9897), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [192098] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6065), 1,
      sym_comment,
    ACTIONS(9917), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [192113] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6066), 1,
      sym_comment,
    ACTIONS(9919), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [192128] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6067), 1,
      sym_comment,
    ACTIONS(9889), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [192143] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6068), 1,
      sym_comment,
    ACTIONS(9847), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [192158] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6069), 1,
      sym_comment,
    ACTIONS(9917), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [192173] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6070), 1,
      sym_comment,
    ACTIONS(9847), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [192188] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6071), 1,
      sym_comment,
    ACTIONS(9855), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [192203] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6072), 1,
      sym_comment,
    ACTIONS(9889), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [192218] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6073), 1,
      sym_comment,
    ACTIONS(9847), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [192233] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6074), 1,
      sym_comment,
    ACTIONS(9847), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [192248] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6075), 1,
      sym_comment,
    ACTIONS(9917), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [192263] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6076), 1,
      sym_comment,
    ACTIONS(9921), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [192278] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4226), 1,
      anon_sym_COLON,
    ACTIONS(9923), 1,
      anon_sym_RPAREN,
    STATE(6077), 1,
      sym_comment,
    STATE(7432), 1,
      sym_type_annotation,
  [192297] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6078), 1,
      sym_comment,
    ACTIONS(9855), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [192312] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6079), 1,
      sym_comment,
    ACTIONS(9857), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [192327] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6080), 1,
      sym_comment,
    ACTIONS(9550), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [192342] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9925), 1,
      anon_sym_COMMA,
    ACTIONS(9927), 1,
      anon_sym_RBRACE,
    STATE(5793), 1,
      aux_sym_enum_body_repeat1,
    STATE(6081), 1,
      sym_comment,
  [192361] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8087), 1,
      anon_sym_EQ,
    STATE(6082), 1,
      sym_comment,
    ACTIONS(4331), 2,
      anon_sym_in,
      anon_sym_of,
  [192378] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6083), 1,
      sym_comment,
    ACTIONS(9649), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [192393] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9929), 1,
      anon_sym_COMMA,
    ACTIONS(9931), 1,
      anon_sym_RBRACE,
    STATE(5793), 1,
      aux_sym_enum_body_repeat1,
    STATE(6084), 1,
      sym_comment,
  [192412] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9933), 1,
      anon_sym_COMMA,
    ACTIONS(9935), 1,
      anon_sym_GT,
    STATE(5866), 1,
      aux_sym_type_parameters_repeat1,
    STATE(6085), 1,
      sym_comment,
  [192431] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6086), 1,
      sym_comment,
    ACTIONS(9857), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [192446] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6087), 1,
      sym_comment,
    ACTIONS(9649), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [192461] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(3308), 1,
      anon_sym_while,
    ACTIONS(9937), 1,
      anon_sym_else,
    STATE(6088), 1,
      sym_comment,
    STATE(7151), 1,
      sym_else_clause,
  [192480] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(7984), 1,
      sym_identifier,
    STATE(6089), 1,
      sym_comment,
    ACTIONS(7988), 2,
      anon_sym_LBRACK,
      sym_private_property_identifier,
  [192497] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6090), 1,
      sym_comment,
    ACTIONS(9889), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [192512] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9939), 1,
      anon_sym_COMMA,
    ACTIONS(9941), 1,
      anon_sym_RBRACK,
    STATE(5806), 1,
      aux_sym_tuple_type_repeat1,
    STATE(6091), 1,
      sym_comment,
  [192531] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6092), 1,
      sym_comment,
    ACTIONS(9563), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [192546] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9943), 1,
      sym_identifier,
    ACTIONS(9945), 1,
      anon_sym_LBRACK,
    ACTIONS(9947), 1,
      sym_private_property_identifier,
    STATE(6093), 1,
      sym_comment,
  [192565] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6094), 1,
      sym_comment,
    ACTIONS(8018), 3,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
  [192580] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6095), 1,
      sym_comment,
    ACTIONS(9889), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [192595] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6096), 1,
      sym_comment,
    ACTIONS(9552), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [192610] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6097), 1,
      sym_comment,
    ACTIONS(6701), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [192625] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6098), 1,
      sym_comment,
    ACTIONS(9552), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [192640] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7070), 1,
      anon_sym_DQUOTE,
    ACTIONS(7072), 1,
      anon_sym_SQUOTE,
    STATE(6099), 1,
      sym_comment,
    STATE(7415), 1,
      sym_string,
  [192659] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6100), 1,
      sym_comment,
    ACTIONS(9550), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [192674] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9949), 1,
      anon_sym_COMMA,
    ACTIONS(9952), 1,
      anon_sym_RBRACE,
    STATE(6101), 2,
      sym_comment,
      aux_sym_named_imports_repeat1,
  [192691] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(7170), 1,
      anon_sym_type,
    ACTIONS(9544), 1,
      sym_identifier,
    STATE(6102), 1,
      sym_comment,
    STATE(6749), 1,
      sym__import_identifier,
  [192710] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6103), 1,
      sym_comment,
    ACTIONS(9552), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [192725] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6104), 1,
      sym_comment,
    ACTIONS(9889), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [192740] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6105), 1,
      sym_comment,
    ACTIONS(9628), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [192755] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6106), 1,
      sym_comment,
    ACTIONS(9847), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [192770] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5200), 1,
      anon_sym_LBRACE,
    STATE(6107), 1,
      sym_comment,
    ACTIONS(5202), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE_PIPE,
  [192787] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6108), 1,
      sym_comment,
    ACTIONS(9628), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [192802] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4226), 1,
      anon_sym_COLON,
    ACTIONS(9954), 1,
      anon_sym_RPAREN,
    STATE(6109), 1,
      sym_comment,
    STATE(7297), 1,
      sym_type_annotation,
  [192821] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5139), 1,
      anon_sym_LBRACE,
    STATE(6110), 1,
      sym_comment,
    ACTIONS(5141), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE_PIPE,
  [192838] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6111), 1,
      sym_comment,
    ACTIONS(9956), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [192853] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6112), 1,
      sym_comment,
    ACTIONS(9847), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [192868] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6113), 1,
      sym_comment,
    ACTIONS(9552), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [192883] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9958), 1,
      anon_sym_COMMA,
    ACTIONS(9961), 1,
      anon_sym_RBRACE,
    STATE(6114), 2,
      sym_comment,
      aux_sym_export_clause_repeat1,
  [192900] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6115), 1,
      sym_comment,
    ACTIONS(9963), 3,
      sym__automatic_semicolon,
      anon_sym_from,
      anon_sym_SEMI,
  [192915] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6116), 1,
      sym_comment,
    ACTIONS(9552), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [192930] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6117), 1,
      sym_comment,
    ACTIONS(9965), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [192945] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9967), 1,
      anon_sym_LBRACE,
    ACTIONS(9969), 1,
      anon_sym_LPAREN,
    STATE(1109), 1,
      sym_statement_block,
    STATE(6118), 1,
      sym_comment,
  [192964] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9971), 1,
      anon_sym_DQUOTE,
    ACTIONS(9973), 1,
      anon_sym_SQUOTE,
    STATE(6119), 1,
      sym_comment,
    STATE(6460), 1,
      sym_string,
  [192983] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6120), 1,
      sym_comment,
    ACTIONS(9855), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [192998] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6121), 1,
      sym_comment,
    ACTIONS(9956), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [193013] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6122), 1,
      sym_comment,
    ACTIONS(9975), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [193028] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6123), 1,
      sym_comment,
    ACTIONS(9975), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [193043] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6124), 1,
      sym_comment,
    ACTIONS(9975), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [193058] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9806), 1,
      anon_sym_require,
    ACTIONS(9977), 1,
      sym_identifier,
    STATE(6125), 1,
      sym_comment,
    STATE(6187), 1,
      sym_nested_identifier,
  [193077] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6126), 1,
      sym_comment,
    ACTIONS(9975), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [193092] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9979), 1,
      anon_sym_COMMA,
    ACTIONS(9981), 1,
      anon_sym_GT,
    STATE(5946), 1,
      aux_sym_type_arguments_repeat1,
    STATE(6127), 1,
      sym_comment,
  [193111] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6128), 1,
      sym_comment,
    ACTIONS(9965), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [193126] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6129), 1,
      sym_comment,
    ACTIONS(9889), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [193141] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6130), 1,
      sym_comment,
    ACTIONS(9965), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [193156] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6131), 1,
      sym_comment,
    ACTIONS(9550), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [193171] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6132), 1,
      sym_comment,
    ACTIONS(9965), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [193186] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6133), 1,
      sym_comment,
    ACTIONS(9965), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [193201] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6134), 1,
      sym_comment,
    ACTIONS(9965), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [193216] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6135), 1,
      sym_comment,
    ACTIONS(9563), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [193231] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9983), 1,
      anon_sym_COMMA,
    ACTIONS(9985), 1,
      anon_sym_GT,
    STATE(5946), 1,
      aux_sym_type_arguments_repeat1,
    STATE(6136), 1,
      sym_comment,
  [193250] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6137), 1,
      sym_comment,
    ACTIONS(9561), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [193265] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9987), 1,
      anon_sym_COMMA,
    ACTIONS(9989), 1,
      anon_sym_GT,
    STATE(5946), 1,
      aux_sym_type_arguments_repeat1,
    STATE(6138), 1,
      sym_comment,
  [193284] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1342), 1,
      anon_sym_LBRACE,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8093), 1,
      anon_sym_LBRACE_PIPE,
    STATE(5132), 1,
      sym_object_type,
    STATE(6139), 1,
      sym_comment,
  [193303] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9991), 1,
      anon_sym_COMMA,
    ACTIONS(9993), 1,
      anon_sym_GT,
    STATE(5946), 1,
      aux_sym_type_arguments_repeat1,
    STATE(6140), 1,
      sym_comment,
  [193322] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9995), 1,
      anon_sym_COMMA,
    ACTIONS(9997), 1,
      anon_sym_GT,
    STATE(5946), 1,
      aux_sym_type_arguments_repeat1,
    STATE(6141), 1,
      sym_comment,
  [193341] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6142), 1,
      sym_comment,
    ACTIONS(9999), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [193356] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5830), 1,
      anon_sym_COMMA,
    ACTIONS(5872), 1,
      anon_sym_RPAREN,
    STATE(6143), 1,
      sym_comment,
    STATE(6196), 1,
      aux_sym_array_repeat1,
  [193375] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5830), 1,
      anon_sym_COMMA,
    ACTIONS(5872), 1,
      anon_sym_RPAREN,
    STATE(5607), 1,
      aux_sym_array_repeat1,
    STATE(6144), 1,
      sym_comment,
  [193394] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6145), 1,
      sym_comment,
    ACTIONS(10001), 3,
      sym__automatic_semicolon,
      anon_sym_from,
      anon_sym_SEMI,
  [193409] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6146), 1,
      sym_comment,
    ACTIONS(9561), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [193424] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8606), 1,
      anon_sym_COMMA,
    ACTIONS(10003), 1,
      anon_sym_LBRACE,
    STATE(5975), 1,
      aux_sym_implements_clause_repeat1,
    STATE(6147), 1,
      sym_comment,
  [193443] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5830), 1,
      anon_sym_COMMA,
    ACTIONS(10005), 1,
      anon_sym_RPAREN,
    STATE(5607), 1,
      aux_sym_array_repeat1,
    STATE(6148), 1,
      sym_comment,
  [193462] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10007), 1,
      anon_sym_COMMA,
    ACTIONS(10009), 1,
      anon_sym_RBRACE,
    STATE(6081), 1,
      aux_sym_enum_body_repeat1,
    STATE(6149), 1,
      sym_comment,
  [193481] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(209), 1,
      anon_sym_LBRACE,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8047), 1,
      anon_sym_LBRACE_PIPE,
    STATE(6150), 1,
      sym_comment,
    STATE(6988), 1,
      sym_object_type,
  [193500] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10011), 1,
      anon_sym_COMMA,
    ACTIONS(10013), 1,
      anon_sym_RBRACE,
    STATE(6151), 1,
      sym_comment,
    STATE(6455), 1,
      aux_sym_export_clause_repeat1,
  [193519] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10015), 1,
      anon_sym_as,
    STATE(6152), 1,
      sym_comment,
    ACTIONS(10017), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [193536] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10019), 1,
      anon_sym_COMMA,
    ACTIONS(10021), 1,
      anon_sym_GT,
    STATE(5946), 1,
      aux_sym_type_arguments_repeat1,
    STATE(6153), 1,
      sym_comment,
  [193555] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9053), 1,
      anon_sym_DOT,
    ACTIONS(9661), 1,
      anon_sym_COLON,
    ACTIONS(10023), 1,
      anon_sym_GT,
    STATE(6154), 1,
      sym_comment,
  [193574] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6155), 1,
      sym_comment,
    ACTIONS(9965), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [193589] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6156), 1,
      sym_comment,
    ACTIONS(9889), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [193604] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6157), 1,
      sym_comment,
    ACTIONS(9643), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [193619] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6158), 1,
      sym_comment,
    ACTIONS(9643), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [193634] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5830), 1,
      anon_sym_COMMA,
    ACTIONS(10025), 1,
      anon_sym_RPAREN,
    STATE(5607), 1,
      aux_sym_array_repeat1,
    STATE(6159), 1,
      sym_comment,
  [193653] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(7918), 1,
      anon_sym_const,
    ACTIONS(9142), 1,
      sym_identifier,
    STATE(6160), 1,
      sym_comment,
    STATE(6260), 1,
      sym_type_parameter,
  [193672] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6161), 1,
      sym_comment,
    ACTIONS(9847), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [193687] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6162), 1,
      sym_comment,
    ACTIONS(10027), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [193702] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6163), 1,
      sym_comment,
    ACTIONS(9550), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [193717] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6164), 1,
      sym_comment,
    ACTIONS(9847), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [193732] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8008), 1,
      anon_sym_COMMA,
    ACTIONS(10029), 1,
      anon_sym_RBRACE,
    STATE(6165), 1,
      sym_comment,
    STATE(6240), 1,
      aux_sym_object_repeat1,
  [193751] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5944), 1,
      anon_sym_extends,
    ACTIONS(10031), 1,
      anon_sym_AMP,
    ACTIONS(10033), 1,
      anon_sym_PIPE,
    STATE(6166), 1,
      sym_comment,
  [193770] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10035), 1,
      anon_sym_COMMA,
    ACTIONS(10037), 1,
      anon_sym_RBRACE,
    STATE(5969), 1,
      aux_sym_enum_body_repeat1,
    STATE(6167), 1,
      sym_comment,
  [193789] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8077), 1,
      anon_sym_LBRACE,
    ACTIONS(8079), 1,
      anon_sym_LBRACE_PIPE,
    STATE(1665), 1,
      sym_object_type,
    STATE(6168), 1,
      sym_comment,
  [193808] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7968), 1,
      anon_sym_DOT,
    STATE(6169), 1,
      sym_comment,
    ACTIONS(10039), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [193825] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7942), 1,
      anon_sym_DOT,
    STATE(6170), 1,
      sym_comment,
    ACTIONS(10039), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [193842] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8794), 1,
      anon_sym_COMMA,
    ACTIONS(10041), 1,
      anon_sym_RBRACE,
    STATE(6171), 1,
      sym_comment,
    STATE(6243), 1,
      aux_sym_object_pattern_repeat1,
  [193861] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10043), 1,
      anon_sym_COMMA,
    ACTIONS(10046), 1,
      anon_sym_GT,
    STATE(6172), 2,
      sym_comment,
      aux_sym_type_parameters_repeat1,
  [193878] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6173), 1,
      sym_comment,
    ACTIONS(10048), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [193893] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6174), 1,
      sym_comment,
    ACTIONS(9855), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [193908] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10050), 1,
      anon_sym_COMMA,
    ACTIONS(10052), 1,
      anon_sym_RBRACK,
    STATE(6091), 1,
      aux_sym_tuple_type_repeat1,
    STATE(6175), 1,
      sym_comment,
  [193927] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6176), 1,
      sym_comment,
    ACTIONS(9847), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [193942] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6177), 1,
      sym_comment,
    ACTIONS(10048), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [193957] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6178), 1,
      sym_comment,
    ACTIONS(9965), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [193972] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10054), 1,
      anon_sym_COMMA,
    ACTIONS(10056), 1,
      anon_sym_RBRACK,
    STATE(6179), 1,
      sym_comment,
    STATE(6227), 1,
      aux_sym_tuple_type_repeat1,
  [193991] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6180), 1,
      sym_comment,
    ACTIONS(9847), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [194006] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6181), 1,
      sym_comment,
    ACTIONS(9550), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [194021] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9673), 1,
      anon_sym_LBRACE,
    ACTIONS(10058), 1,
      sym_identifier,
    STATE(5633), 1,
      sym_export_clause,
    STATE(6182), 1,
      sym_comment,
  [194040] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4984), 1,
      anon_sym_extends,
    ACTIONS(10060), 1,
      anon_sym_AMP,
    ACTIONS(10062), 1,
      anon_sym_PIPE,
    STATE(6183), 1,
      sym_comment,
  [194059] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9116), 1,
      anon_sym_from,
    ACTIONS(9669), 1,
      anon_sym_as,
    STATE(6184), 1,
      sym_comment,
    STATE(6675), 1,
      sym__from_clause,
  [194078] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6185), 1,
      sym_comment,
    ACTIONS(9965), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [194093] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6186), 1,
      sym_comment,
    ACTIONS(9965), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [194108] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7942), 1,
      anon_sym_DOT,
    STATE(6187), 1,
      sym_comment,
    ACTIONS(10064), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [194125] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6188), 1,
      sym_comment,
    ACTIONS(9855), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [194140] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7968), 1,
      anon_sym_DOT,
    STATE(6189), 1,
      sym_comment,
    ACTIONS(10064), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [194157] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6190), 1,
      sym_comment,
    ACTIONS(9965), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [194172] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6191), 1,
      sym_comment,
    ACTIONS(9965), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [194187] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6192), 1,
      sym_comment,
    ACTIONS(9965), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [194202] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1342), 1,
      anon_sym_LBRACE,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8093), 1,
      anon_sym_LBRACE_PIPE,
    STATE(5399), 1,
      sym_object_type,
    STATE(6193), 1,
      sym_comment,
  [194221] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6194), 1,
      sym_comment,
    ACTIONS(9965), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [194236] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10066), 1,
      anon_sym_COMMA,
    ACTIONS(10068), 1,
      anon_sym_RBRACE,
    STATE(6195), 1,
      sym_comment,
    STATE(6236), 1,
      aux_sym_enum_body_repeat1,
  [194255] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5830), 1,
      anon_sym_COMMA,
    ACTIONS(10070), 1,
      anon_sym_RPAREN,
    STATE(5607), 1,
      aux_sym_array_repeat1,
    STATE(6196), 1,
      sym_comment,
  [194274] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6197), 1,
      sym_comment,
    ACTIONS(9965), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [194289] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10072), 1,
      anon_sym_COMMA,
    ACTIONS(10074), 1,
      anon_sym_GT,
    STATE(5946), 1,
      aux_sym_type_arguments_repeat1,
    STATE(6198), 1,
      sym_comment,
  [194308] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6199), 1,
      sym_comment,
    ACTIONS(9857), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [194323] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10076), 1,
      anon_sym_COMMA,
    ACTIONS(10078), 1,
      anon_sym_GT,
    STATE(5946), 1,
      aux_sym_type_arguments_repeat1,
    STATE(6200), 1,
      sym_comment,
  [194342] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6201), 1,
      sym_comment,
    ACTIONS(9965), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [194357] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10080), 1,
      anon_sym_COMMA,
    ACTIONS(10082), 1,
      anon_sym_GT,
    STATE(5946), 1,
      aux_sym_type_arguments_repeat1,
    STATE(6202), 1,
      sym_comment,
  [194376] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6203), 1,
      sym_comment,
    ACTIONS(9563), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [194391] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6204), 1,
      sym_comment,
    ACTIONS(9965), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [194406] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6205), 1,
      sym_comment,
    ACTIONS(9965), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [194421] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6206), 1,
      sym_comment,
    ACTIONS(9965), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [194436] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6207), 1,
      sym_comment,
    ACTIONS(9857), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [194451] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6208), 1,
      sym_comment,
    ACTIONS(10027), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [194466] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6209), 1,
      sym_comment,
    ACTIONS(9889), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [194481] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6210), 1,
      sym_comment,
    ACTIONS(10048), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [194496] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6211), 1,
      sym_comment,
    ACTIONS(10048), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [194511] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6212), 1,
      sym_comment,
    ACTIONS(9965), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [194526] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6213), 1,
      sym_comment,
    ACTIONS(9965), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [194541] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6214), 1,
      sym_comment,
    ACTIONS(9965), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [194556] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6215), 1,
      sym_comment,
    ACTIONS(9965), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [194571] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6216), 1,
      sym_comment,
    ACTIONS(9847), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [194586] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9053), 1,
      anon_sym_DOT,
    ACTIONS(9661), 1,
      anon_sym_COLON,
    ACTIONS(10084), 1,
      anon_sym_GT,
    STATE(6217), 1,
      sym_comment,
  [194605] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6218), 1,
      sym_comment,
    ACTIONS(10086), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [194620] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5830), 1,
      anon_sym_COMMA,
    ACTIONS(5858), 1,
      anon_sym_RPAREN,
    STATE(5607), 1,
      aux_sym_array_repeat1,
    STATE(6219), 1,
      sym_comment,
  [194639] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6220), 1,
      sym_comment,
    ACTIONS(9847), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [194654] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8794), 1,
      anon_sym_COMMA,
    ACTIONS(10088), 1,
      anon_sym_RBRACE,
    STATE(6221), 1,
      sym_comment,
    STATE(6243), 1,
      aux_sym_object_pattern_repeat1,
  [194673] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6222), 1,
      sym_comment,
    ACTIONS(9999), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [194688] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6223), 1,
      sym_comment,
    ACTIONS(9855), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [194703] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7080), 1,
      anon_sym_AMP,
    ACTIONS(7082), 1,
      anon_sym_PIPE,
    ACTIONS(7084), 1,
      anon_sym_extends,
    STATE(6224), 1,
      sym_comment,
  [194722] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6225), 1,
      sym_comment,
    ACTIONS(9999), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [194737] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8008), 1,
      anon_sym_COMMA,
    ACTIONS(10090), 1,
      anon_sym_RBRACE,
    STATE(6226), 1,
      sym_comment,
    STATE(6240), 1,
      aux_sym_object_repeat1,
  [194756] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10092), 1,
      anon_sym_COMMA,
    ACTIONS(10094), 1,
      anon_sym_RBRACK,
    STATE(5806), 1,
      aux_sym_tuple_type_repeat1,
    STATE(6227), 1,
      sym_comment,
  [194775] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6228), 1,
      sym_comment,
    ACTIONS(9999), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [194790] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6229), 1,
      sym_comment,
    ACTIONS(9999), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [194805] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6230), 1,
      sym_comment,
    ACTIONS(9643), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [194820] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6231), 1,
      sym_comment,
    ACTIONS(9999), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [194835] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6232), 1,
      sym_comment,
    ACTIONS(9889), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [194850] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6233), 1,
      sym_comment,
    ACTIONS(9643), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [194865] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10096), 1,
      anon_sym_COMMA,
    ACTIONS(10098), 1,
      anon_sym_RBRACE,
    STATE(5793), 1,
      aux_sym_enum_body_repeat1,
    STATE(6234), 1,
      sym_comment,
  [194884] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6235), 1,
      sym_comment,
    ACTIONS(9550), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [194899] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10100), 1,
      anon_sym_COMMA,
    ACTIONS(10102), 1,
      anon_sym_RBRACE,
    STATE(5793), 1,
      aux_sym_enum_body_repeat1,
    STATE(6236), 1,
      sym_comment,
  [194918] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6237), 1,
      sym_comment,
    ACTIONS(9550), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [194933] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6238), 1,
      sym_comment,
    ACTIONS(9563), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [194948] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6239), 1,
      sym_comment,
    ACTIONS(10104), 3,
      sym__template_chars,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_LBRACE,
  [194963] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10106), 1,
      anon_sym_COMMA,
    ACTIONS(10109), 1,
      anon_sym_RBRACE,
    STATE(6240), 2,
      sym_comment,
      aux_sym_object_repeat1,
  [194980] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10111), 1,
      anon_sym_COMMA,
    ACTIONS(10113), 1,
      anon_sym_RBRACK,
    STATE(5961), 1,
      aux_sym_tuple_type_repeat1,
    STATE(6241), 1,
      sym_comment,
  [194999] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6242), 1,
      sym_comment,
    ACTIONS(9643), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [195014] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10115), 1,
      anon_sym_COMMA,
    ACTIONS(10118), 1,
      anon_sym_RBRACE,
    STATE(6243), 2,
      sym_comment,
      aux_sym_object_pattern_repeat1,
  [195031] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6244), 1,
      sym_comment,
    ACTIONS(9999), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [195046] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6245), 1,
      sym_comment,
    ACTIONS(10120), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [195061] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6246), 1,
      sym_comment,
    ACTIONS(9550), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [195076] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4179), 1,
      anon_sym_LPAREN,
    ACTIONS(10122), 1,
      anon_sym_DOT,
    STATE(4459), 1,
      sym_arguments,
    STATE(6247), 1,
      sym_comment,
  [195095] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6248), 1,
      sym_comment,
    ACTIONS(10124), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [195110] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6249), 1,
      sym_comment,
    ACTIONS(9965), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [195125] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6250), 1,
      sym_comment,
    ACTIONS(9999), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [195140] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6251), 1,
      sym_comment,
    ACTIONS(9999), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [195155] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6252), 1,
      sym_comment,
    ACTIONS(10120), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [195170] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6253), 1,
      sym_comment,
    ACTIONS(9847), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [195185] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6254), 1,
      sym_comment,
    ACTIONS(10124), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [195200] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6255), 1,
      sym_comment,
    ACTIONS(10124), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [195215] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6256), 1,
      sym_comment,
    ACTIONS(9999), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [195230] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6257), 1,
      sym_comment,
    ACTIONS(9999), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [195245] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6258), 1,
      sym_comment,
    ACTIONS(9847), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [195260] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6259), 1,
      sym_comment,
    ACTIONS(10120), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [195275] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10126), 1,
      anon_sym_COMMA,
    ACTIONS(10128), 1,
      anon_sym_GT,
    STATE(6260), 1,
      sym_comment,
    STATE(6279), 1,
      aux_sym_type_parameters_repeat1,
  [195294] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5830), 1,
      anon_sym_COMMA,
    ACTIONS(5858), 1,
      anon_sym_RPAREN,
    STATE(6148), 1,
      aux_sym_array_repeat1,
    STATE(6261), 1,
      sym_comment,
  [195313] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(209), 1,
      anon_sym_LBRACE,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8047), 1,
      anon_sym_LBRACE_PIPE,
    STATE(6262), 1,
      sym_comment,
    STATE(7027), 1,
      sym_object_type,
  [195332] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6263), 1,
      sym_comment,
    ACTIONS(10124), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [195347] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6264), 1,
      sym_comment,
    ACTIONS(10124), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [195362] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6265), 1,
      sym_comment,
    ACTIONS(9847), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [195377] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6266), 1,
      sym_comment,
    ACTIONS(9889), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [195392] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6267), 1,
      sym_comment,
    ACTIONS(10120), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [195407] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6268), 1,
      sym_comment,
    ACTIONS(10130), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [195422] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6269), 1,
      sym_comment,
    ACTIONS(9855), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [195437] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6270), 1,
      sym_comment,
    ACTIONS(10124), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [195452] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6271), 1,
      sym_comment,
    ACTIONS(10124), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [195467] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6272), 1,
      sym_comment,
    ACTIONS(10132), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [195482] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6273), 1,
      sym_comment,
    ACTIONS(9889), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [195497] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6274), 1,
      sym_comment,
    ACTIONS(9999), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [195512] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6275), 1,
      sym_comment,
    ACTIONS(9999), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [195527] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6276), 1,
      sym_comment,
    ACTIONS(10120), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [195542] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6277), 1,
      sym_comment,
    ACTIONS(9550), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [195557] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6278), 1,
      sym_comment,
    ACTIONS(9563), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [195572] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10134), 1,
      anon_sym_COMMA,
    ACTIONS(10136), 1,
      anon_sym_GT,
    STATE(6172), 1,
      aux_sym_type_parameters_repeat1,
    STATE(6279), 1,
      sym_comment,
  [195591] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6280), 1,
      sym_comment,
    ACTIONS(10124), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [195606] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10138), 1,
      anon_sym_COMMA,
    ACTIONS(10141), 1,
      anon_sym_RBRACK,
    STATE(6281), 2,
      sym_comment,
      aux_sym_array_pattern_repeat1,
  [195623] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6282), 1,
      sym_comment,
    ACTIONS(10124), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [195638] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6283), 1,
      sym_comment,
    ACTIONS(9999), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [195653] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9112), 1,
      anon_sym_COMMA,
    ACTIONS(10143), 1,
      anon_sym_RBRACK,
    STATE(6281), 1,
      aux_sym_array_pattern_repeat1,
    STATE(6284), 1,
      sym_comment,
  [195672] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6285), 1,
      sym_comment,
    ACTIONS(9999), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [195687] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6286), 1,
      sym_comment,
    ACTIONS(9999), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [195702] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5830), 1,
      anon_sym_COMMA,
    ACTIONS(10145), 1,
      anon_sym_RBRACK,
    STATE(5607), 1,
      aux_sym_array_repeat1,
    STATE(6287), 1,
      sym_comment,
  [195721] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10147), 1,
      anon_sym_LPAREN,
    ACTIONS(10149), 1,
      anon_sym_await,
    STATE(104), 1,
      sym__for_header,
    STATE(6288), 1,
      sym_comment,
  [195740] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6289), 1,
      sym_comment,
    ACTIONS(9999), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [195755] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6290), 1,
      sym_comment,
    ACTIONS(10120), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [195770] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5351), 1,
      anon_sym_LBRACE,
    STATE(6291), 1,
      sym_comment,
    ACTIONS(5353), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE_PIPE,
  [195787] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10151), 1,
      sym_identifier,
    ACTIONS(10153), 1,
      anon_sym_SEMI,
    ACTIONS(10155), 1,
      sym__automatic_semicolon,
    STATE(6292), 1,
      sym_comment,
  [195806] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10157), 1,
      sym_identifier,
    ACTIONS(10159), 1,
      anon_sym_SEMI,
    ACTIONS(10161), 1,
      sym__automatic_semicolon,
    STATE(6293), 1,
      sym_comment,
  [195825] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5347), 1,
      anon_sym_LBRACE,
    STATE(6294), 1,
      sym_comment,
    ACTIONS(5349), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE_PIPE,
  [195842] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9110), 1,
      anon_sym_EQ,
    STATE(6295), 1,
      sym_comment,
    ACTIONS(10141), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [195859] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6296), 1,
      sym_comment,
    ACTIONS(5860), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [195874] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5343), 1,
      anon_sym_LBRACE,
    STATE(6297), 1,
      sym_comment,
    ACTIONS(5345), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE_PIPE,
  [195891] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6298), 1,
      sym_comment,
    ACTIONS(10124), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [195906] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6299), 1,
      sym_comment,
    ACTIONS(10124), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [195921] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5336), 1,
      anon_sym_LBRACE,
    STATE(6300), 1,
      sym_comment,
    ACTIONS(5338), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE_PIPE,
  [195938] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6301), 1,
      sym_comment,
    ACTIONS(9561), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [195953] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5336), 1,
      anon_sym_LBRACE,
    STATE(6302), 1,
      sym_comment,
    ACTIONS(5338), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE_PIPE,
  [195970] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6303), 1,
      sym_comment,
    ACTIONS(9561), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [195985] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6304), 1,
      sym_comment,
    ACTIONS(9889), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [196000] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5332), 1,
      anon_sym_LBRACE,
    STATE(6305), 1,
      sym_comment,
    ACTIONS(5334), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE_PIPE,
  [196017] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9112), 1,
      anon_sym_COMMA,
    ACTIONS(10163), 1,
      anon_sym_RBRACK,
    STATE(6281), 1,
      aux_sym_array_pattern_repeat1,
    STATE(6306), 1,
      sym_comment,
  [196036] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5332), 1,
      anon_sym_LBRACE,
    STATE(6307), 1,
      sym_comment,
    ACTIONS(5334), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE_PIPE,
  [196053] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5830), 1,
      anon_sym_COMMA,
    ACTIONS(10165), 1,
      anon_sym_RBRACK,
    STATE(5607), 1,
      aux_sym_array_repeat1,
    STATE(6308), 1,
      sym_comment,
  [196072] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5328), 1,
      anon_sym_LBRACE,
    STATE(6309), 1,
      sym_comment,
    ACTIONS(5330), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE_PIPE,
  [196089] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5324), 1,
      anon_sym_LBRACE,
    STATE(6310), 1,
      sym_comment,
    ACTIONS(5326), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE_PIPE,
  [196106] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10167), 1,
      anon_sym_LBRACE,
    ACTIONS(10169), 1,
      anon_sym_LPAREN,
    STATE(1349), 1,
      sym_statement_block,
    STATE(6311), 1,
      sym_comment,
  [196125] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5320), 1,
      anon_sym_LBRACE,
    STATE(6312), 1,
      sym_comment,
    ACTIONS(5322), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE_PIPE,
  [196142] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7978), 1,
      anon_sym_LBRACE,
    ACTIONS(10171), 1,
      anon_sym_LPAREN,
    STATE(5985), 1,
      sym_statement_block,
    STATE(6313), 1,
      sym_comment,
  [196161] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5316), 1,
      anon_sym_LBRACE,
    STATE(6314), 1,
      sym_comment,
    ACTIONS(5318), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE_PIPE,
  [196178] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10173), 1,
      anon_sym_COMMA,
    ACTIONS(10175), 1,
      anon_sym_RPAREN,
    STATE(6315), 1,
      sym_comment,
    STATE(6370), 1,
      aux_sym_formal_parameters_repeat1,
  [196197] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6316), 1,
      sym_comment,
    ACTIONS(9999), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [196212] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6317), 1,
      sym_comment,
    ACTIONS(10177), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_from,
  [196227] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6318), 1,
      sym_comment,
    ACTIONS(9999), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [196242] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6319), 1,
      sym_comment,
    ACTIONS(10124), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [196257] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6320), 1,
      sym_comment,
    ACTIONS(9999), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [196272] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10179), 1,
      anon_sym_EQ,
    STATE(6321), 1,
      sym_comment,
    ACTIONS(9588), 2,
      anon_sym_COMMA,
      anon_sym_from,
  [196289] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6322), 1,
      sym_comment,
    ACTIONS(9999), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [196304] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6323), 1,
      sym_comment,
    ACTIONS(9999), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [196319] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6324), 1,
      sym_comment,
    ACTIONS(9889), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [196334] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10181), 1,
      anon_sym_COMMA,
    ACTIONS(10183), 1,
      anon_sym_GT,
    STATE(5946), 1,
      aux_sym_type_arguments_repeat1,
    STATE(6325), 1,
      sym_comment,
  [196353] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8008), 1,
      anon_sym_COMMA,
    ACTIONS(10185), 1,
      anon_sym_RBRACE,
    STATE(6240), 1,
      aux_sym_object_repeat1,
    STATE(6326), 1,
      sym_comment,
  [196372] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10187), 1,
      anon_sym_COMMA,
    ACTIONS(10189), 1,
      anon_sym_GT,
    STATE(5946), 1,
      aux_sym_type_arguments_repeat1,
    STATE(6327), 1,
      sym_comment,
  [196391] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6328), 1,
      sym_comment,
    ACTIONS(10120), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [196406] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8794), 1,
      anon_sym_COMMA,
    ACTIONS(10191), 1,
      anon_sym_RBRACE,
    STATE(6243), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6329), 1,
      sym_comment,
  [196425] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10193), 1,
      anon_sym_COMMA,
    ACTIONS(10195), 1,
      anon_sym_GT,
    STATE(5946), 1,
      aux_sym_type_arguments_repeat1,
    STATE(6330), 1,
      sym_comment,
  [196444] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8794), 1,
      anon_sym_COMMA,
    ACTIONS(10197), 1,
      anon_sym_RBRACE,
    STATE(6243), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6331), 1,
      sym_comment,
  [196463] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5830), 1,
      anon_sym_COMMA,
    ACTIONS(10199), 1,
      anon_sym_RPAREN,
    STATE(5607), 1,
      aux_sym_array_repeat1,
    STATE(6332), 1,
      sym_comment,
  [196482] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8008), 1,
      anon_sym_COMMA,
    ACTIONS(10201), 1,
      anon_sym_RBRACE,
    STATE(6240), 1,
      aux_sym_object_repeat1,
    STATE(6333), 1,
      sym_comment,
  [196501] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6334), 1,
      sym_comment,
    ACTIONS(10124), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [196516] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6335), 1,
      sym_comment,
    ACTIONS(10124), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [196531] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6336), 1,
      sym_comment,
    ACTIONS(9550), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [196546] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6337), 1,
      sym_comment,
    ACTIONS(9999), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [196561] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6338), 1,
      sym_comment,
    ACTIONS(9999), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [196576] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6339), 1,
      sym_comment,
    ACTIONS(10120), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [196591] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6340), 1,
      sym_comment,
    ACTIONS(9857), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [196606] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5830), 1,
      anon_sym_COMMA,
    ACTIONS(5890), 1,
      anon_sym_RPAREN,
    STATE(5607), 1,
      aux_sym_array_repeat1,
    STATE(6341), 1,
      sym_comment,
  [196625] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5830), 1,
      anon_sym_COMMA,
    ACTIONS(5890), 1,
      anon_sym_RPAREN,
    STATE(6332), 1,
      aux_sym_array_repeat1,
    STATE(6342), 1,
      sym_comment,
  [196644] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6343), 1,
      sym_comment,
    ACTIONS(9857), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [196659] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6344), 1,
      sym_comment,
    ACTIONS(9855), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [196674] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6345), 1,
      sym_comment,
    ACTIONS(9550), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [196689] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6346), 1,
      sym_comment,
    ACTIONS(9563), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [196704] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6347), 1,
      sym_comment,
    ACTIONS(9847), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [196719] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6348), 1,
      sym_comment,
    ACTIONS(10124), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [196734] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6349), 1,
      sym_comment,
    ACTIONS(9550), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [196749] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6350), 1,
      sym_comment,
    ACTIONS(10124), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [196764] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6351), 1,
      sym_comment,
    ACTIONS(9999), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [196779] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9369), 1,
      anon_sym_as,
    STATE(6352), 1,
      sym_comment,
    ACTIONS(9588), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [196796] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6353), 1,
      sym_comment,
    ACTIONS(9550), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [196811] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10203), 1,
      sym_identifier,
    ACTIONS(10205), 1,
      anon_sym_LBRACK,
    ACTIONS(10207), 1,
      sym_private_property_identifier,
    STATE(6354), 1,
      sym_comment,
  [196830] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6355), 1,
      sym_comment,
    ACTIONS(9847), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [196845] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6356), 1,
      sym_comment,
    ACTIONS(9999), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [196860] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6357), 1,
      sym_comment,
    ACTIONS(9847), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [196875] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6358), 1,
      sym_comment,
    ACTIONS(10120), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [196890] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6359), 1,
      sym_comment,
    ACTIONS(10124), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [196905] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6360), 1,
      sym_comment,
    ACTIONS(10124), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [196920] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6361), 1,
      sym_comment,
    ACTIONS(9563), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [196935] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6362), 1,
      sym_comment,
    ACTIONS(10120), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [196950] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6363), 1,
      sym_comment,
    ACTIONS(9855), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [196965] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10209), 1,
      anon_sym_COMMA,
    ACTIONS(10211), 1,
      anon_sym_RBRACE,
    STATE(6364), 1,
      sym_comment,
    STATE(6410), 1,
      aux_sym_named_imports_repeat1,
  [196984] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6365), 1,
      sym_comment,
    ACTIONS(10124), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [196999] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9806), 1,
      anon_sym_require,
    ACTIONS(10213), 1,
      sym_identifier,
    STATE(6366), 1,
      sym_comment,
    STATE(6389), 1,
      sym_nested_identifier,
  [197018] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6367), 1,
      sym_comment,
    ACTIONS(10124), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [197033] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6368), 1,
      sym_comment,
    ACTIONS(9561), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [197048] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6369), 1,
      sym_comment,
    ACTIONS(10132), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [197063] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10215), 1,
      anon_sym_COMMA,
    ACTIONS(10218), 1,
      anon_sym_RPAREN,
    STATE(6370), 2,
      sym_comment,
      aux_sym_formal_parameters_repeat1,
  [197080] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6371), 1,
      sym_comment,
    ACTIONS(9550), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [197095] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6372), 1,
      sym_comment,
    ACTIONS(8121), 3,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
  [197110] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6373), 1,
      sym_comment,
    ACTIONS(9999), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [197125] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6374), 1,
      sym_comment,
    ACTIONS(9999), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [197140] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10220), 1,
      anon_sym_COMMA,
    ACTIONS(10222), 1,
      anon_sym_RBRACE,
    STATE(5793), 1,
      aux_sym_enum_body_repeat1,
    STATE(6375), 1,
      sym_comment,
  [197159] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6376), 1,
      sym_comment,
    ACTIONS(10124), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [197174] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10224), 1,
      anon_sym_LBRACE,
    ACTIONS(10226), 1,
      anon_sym_LPAREN,
    STATE(927), 1,
      sym_statement_block,
    STATE(6377), 1,
      sym_comment,
  [197193] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10228), 1,
      anon_sym_COMMA,
    ACTIONS(10230), 1,
      anon_sym_RBRACE,
    STATE(5793), 1,
      aux_sym_enum_body_repeat1,
    STATE(6378), 1,
      sym_comment,
  [197212] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6379), 1,
      sym_comment,
    ACTIONS(9857), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [197227] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6380), 1,
      sym_comment,
    ACTIONS(9436), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [197242] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6381), 1,
      sym_comment,
    ACTIONS(9561), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [197257] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6382), 1,
      sym_comment,
    ACTIONS(9855), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [197272] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6383), 1,
      sym_comment,
    ACTIONS(9889), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [197287] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6384), 1,
      sym_comment,
    ACTIONS(10232), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [197302] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6385), 1,
      sym_comment,
    ACTIONS(10120), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [197317] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6386), 1,
      sym_comment,
    ACTIONS(9550), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [197332] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6387), 1,
      sym_comment,
    ACTIONS(10234), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [197347] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6388), 1,
      sym_comment,
    ACTIONS(10124), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [197362] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7942), 1,
      anon_sym_DOT,
    STATE(6389), 1,
      sym_comment,
    ACTIONS(10236), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [197379] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6390), 1,
      sym_comment,
    ACTIONS(9563), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [197394] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10238), 1,
      anon_sym_COMMA,
    ACTIONS(10240), 1,
      anon_sym_GT,
    STATE(5946), 1,
      aux_sym_type_arguments_repeat1,
    STATE(6391), 1,
      sym_comment,
  [197413] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8024), 1,
      anon_sym_LBRACE,
    ACTIONS(8030), 1,
      anon_sym_LBRACE_PIPE,
    STATE(1206), 1,
      sym_object_type,
    STATE(6392), 1,
      sym_comment,
  [197432] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10242), 1,
      anon_sym_COMMA,
    ACTIONS(10244), 1,
      anon_sym_GT,
    STATE(5946), 1,
      aux_sym_type_arguments_repeat1,
    STATE(6393), 1,
      sym_comment,
  [197451] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6394), 1,
      sym_comment,
    ACTIONS(9999), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [197466] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10246), 1,
      anon_sym_COMMA,
    ACTIONS(10248), 1,
      anon_sym_GT,
    STATE(5946), 1,
      aux_sym_type_arguments_repeat1,
    STATE(6395), 1,
      sym_comment,
  [197485] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5830), 1,
      anon_sym_COMMA,
    ACTIONS(5850), 1,
      anon_sym_RPAREN,
    STATE(6396), 1,
      sym_comment,
    STATE(6443), 1,
      aux_sym_array_repeat1,
  [197504] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5830), 1,
      anon_sym_COMMA,
    ACTIONS(5850), 1,
      anon_sym_RPAREN,
    STATE(5607), 1,
      aux_sym_array_repeat1,
    STATE(6397), 1,
      sym_comment,
  [197523] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5830), 1,
      anon_sym_COMMA,
    ACTIONS(10250), 1,
      anon_sym_RPAREN,
    STATE(5607), 1,
      aux_sym_array_repeat1,
    STATE(6398), 1,
      sym_comment,
  [197542] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10252), 1,
      anon_sym_COMMA,
    ACTIONS(10254), 1,
      anon_sym_RBRACE,
    STATE(6375), 1,
      aux_sym_enum_body_repeat1,
    STATE(6399), 1,
      sym_comment,
  [197561] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6400), 1,
      sym_comment,
    ACTIONS(9561), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [197576] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6401), 1,
      sym_comment,
    ACTIONS(9847), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [197591] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9112), 1,
      anon_sym_COMMA,
    ACTIONS(9309), 1,
      anon_sym_RBRACK,
    STATE(6281), 1,
      aux_sym_array_pattern_repeat1,
    STATE(6402), 1,
      sym_comment,
  [197610] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10256), 1,
      anon_sym_COMMA,
    ACTIONS(10258), 1,
      anon_sym_RPAREN,
    STATE(6370), 1,
      aux_sym_formal_parameters_repeat1,
    STATE(6403), 1,
      sym_comment,
  [197629] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5830), 1,
      anon_sym_COMMA,
    ACTIONS(5922), 1,
      anon_sym_RBRACK,
    STATE(5607), 1,
      aux_sym_array_repeat1,
    STATE(6404), 1,
      sym_comment,
  [197648] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5830), 1,
      anon_sym_COMMA,
    ACTIONS(5922), 1,
      anon_sym_RBRACK,
    STATE(6308), 1,
      aux_sym_array_repeat1,
    STATE(6405), 1,
      sym_comment,
  [197667] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9112), 1,
      anon_sym_COMMA,
    ACTIONS(9309), 1,
      anon_sym_RBRACK,
    STATE(6306), 1,
      aux_sym_array_pattern_repeat1,
    STATE(6406), 1,
      sym_comment,
  [197686] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6407), 1,
      sym_comment,
    ACTIONS(9561), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [197701] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8203), 1,
      anon_sym_LBRACE,
    ACTIONS(8205), 1,
      anon_sym_LBRACE_PIPE,
    STATE(1014), 1,
      sym_object_type,
    STATE(6408), 1,
      sym_comment,
  [197720] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7968), 1,
      anon_sym_DOT,
    STATE(6409), 1,
      sym_comment,
    ACTIONS(10236), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [197737] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10260), 1,
      anon_sym_COMMA,
    ACTIONS(10262), 1,
      anon_sym_RBRACE,
    STATE(6101), 1,
      aux_sym_named_imports_repeat1,
    STATE(6410), 1,
      sym_comment,
  [197756] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(7170), 1,
      anon_sym_type,
    ACTIONS(9544), 1,
      sym_identifier,
    STATE(6411), 1,
      sym_comment,
    STATE(6972), 1,
      sym__import_identifier,
  [197775] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6412), 1,
      sym_comment,
    ACTIONS(9561), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [197790] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7942), 1,
      anon_sym_DOT,
    STATE(6413), 1,
      sym_comment,
    ACTIONS(10264), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [197807] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7968), 1,
      anon_sym_DOT,
    STATE(6414), 1,
      sym_comment,
    ACTIONS(10264), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [197824] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(7170), 1,
      anon_sym_type,
    ACTIONS(9544), 1,
      sym_identifier,
    STATE(6415), 1,
      sym_comment,
    STATE(6970), 1,
      sym__import_identifier,
  [197843] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10266), 1,
      anon_sym_as,
    STATE(6416), 1,
      sym_comment,
    ACTIONS(10177), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [197860] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6417), 1,
      sym_comment,
    ACTIONS(9999), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [197875] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7968), 1,
      anon_sym_DOT,
    STATE(6418), 1,
      sym_comment,
    ACTIONS(10268), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [197892] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7942), 1,
      anon_sym_DOT,
    STATE(6419), 1,
      sym_comment,
    ACTIONS(10268), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [197909] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5830), 1,
      anon_sym_COMMA,
    ACTIONS(5846), 1,
      anon_sym_RPAREN,
    STATE(5607), 1,
      aux_sym_array_repeat1,
    STATE(6420), 1,
      sym_comment,
  [197928] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6421), 1,
      sym_comment,
    ACTIONS(9561), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [197943] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6422), 1,
      sym_comment,
    ACTIONS(8174), 3,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
  [197958] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5830), 1,
      anon_sym_COMMA,
    ACTIONS(5846), 1,
      anon_sym_RPAREN,
    STATE(6398), 1,
      aux_sym_array_repeat1,
    STATE(6423), 1,
      sym_comment,
  [197977] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6424), 1,
      sym_comment,
    ACTIONS(9999), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [197992] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10270), 1,
      anon_sym_COMMA,
    ACTIONS(10272), 1,
      anon_sym_RPAREN,
    STATE(6315), 1,
      aux_sym_formal_parameters_repeat1,
    STATE(6425), 1,
      sym_comment,
  [198011] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6426), 1,
      sym_comment,
    ACTIONS(9999), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [198026] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8203), 1,
      anon_sym_LBRACE,
    ACTIONS(8205), 1,
      anon_sym_LBRACE_PIPE,
    STATE(1043), 1,
      sym_object_type,
    STATE(6427), 1,
      sym_comment,
  [198045] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10274), 1,
      anon_sym_COMMA,
    ACTIONS(10276), 1,
      anon_sym_RBRACK,
    STATE(6428), 1,
      sym_comment,
    STATE(6478), 1,
      aux_sym_tuple_type_repeat1,
  [198064] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9110), 1,
      anon_sym_EQ,
    STATE(6429), 1,
      sym_comment,
    ACTIONS(10278), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [198081] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6430), 1,
      sym_comment,
    ACTIONS(9889), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [198096] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6431), 1,
      sym_comment,
    ACTIONS(9999), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [198111] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7578), 1,
      anon_sym_AMP,
    ACTIONS(7580), 1,
      anon_sym_PIPE,
    ACTIONS(7582), 1,
      anon_sym_extends,
    STATE(6432), 1,
      sym_comment,
  [198130] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6433), 1,
      sym_comment,
    ACTIONS(9999), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [198145] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6434), 1,
      sym_comment,
    ACTIONS(10120), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [198160] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6435), 1,
      sym_comment,
    ACTIONS(10124), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [198175] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6436), 1,
      sym_comment,
    ACTIONS(9847), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [198190] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6437), 1,
      sym_comment,
    ACTIONS(8977), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [198205] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6438), 1,
      sym_comment,
    ACTIONS(10124), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [198220] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8794), 1,
      anon_sym_COMMA,
    ACTIONS(10280), 1,
      anon_sym_RBRACE,
    STATE(6243), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6439), 1,
      sym_comment,
  [198239] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8024), 1,
      anon_sym_LBRACE,
    ACTIONS(8030), 1,
      anon_sym_LBRACE_PIPE,
    STATE(1243), 1,
      sym_object_type,
    STATE(6440), 1,
      sym_comment,
  [198258] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8008), 1,
      anon_sym_COMMA,
    ACTIONS(10282), 1,
      anon_sym_RBRACE,
    STATE(6240), 1,
      aux_sym_object_repeat1,
    STATE(6441), 1,
      sym_comment,
  [198277] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10284), 1,
      anon_sym_COMMA,
    ACTIONS(10286), 1,
      anon_sym_RBRACE,
    STATE(6442), 1,
      sym_comment,
    STATE(6473), 1,
      aux_sym_enum_body_repeat1,
  [198296] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5830), 1,
      anon_sym_COMMA,
    ACTIONS(10288), 1,
      anon_sym_RPAREN,
    STATE(5607), 1,
      aux_sym_array_repeat1,
    STATE(6443), 1,
      sym_comment,
  [198315] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6444), 1,
      sym_comment,
    ACTIONS(9999), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [198330] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10290), 1,
      anon_sym_COMMA,
    ACTIONS(10292), 1,
      anon_sym_GT,
    STATE(5946), 1,
      aux_sym_type_arguments_repeat1,
    STATE(6445), 1,
      sym_comment,
  [198349] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8008), 1,
      anon_sym_COMMA,
    ACTIONS(10282), 1,
      anon_sym_RBRACE,
    STATE(6326), 1,
      aux_sym_object_repeat1,
    STATE(6446), 1,
      sym_comment,
  [198368] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10294), 1,
      anon_sym_COMMA,
    ACTIONS(10296), 1,
      anon_sym_GT,
    STATE(5946), 1,
      aux_sym_type_arguments_repeat1,
    STATE(6447), 1,
      sym_comment,
  [198387] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8794), 1,
      anon_sym_COMMA,
    ACTIONS(10280), 1,
      anon_sym_RBRACE,
    STATE(6329), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6448), 1,
      sym_comment,
  [198406] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10298), 1,
      anon_sym_COMMA,
    ACTIONS(10300), 1,
      anon_sym_GT,
    STATE(5946), 1,
      aux_sym_type_arguments_repeat1,
    STATE(6449), 1,
      sym_comment,
  [198425] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10302), 1,
      sym__glimmer_template_content,
    ACTIONS(10305), 1,
      anon_sym_LT_SLASHtemplate_GT,
    STATE(6450), 2,
      sym_comment,
      aux_sym_glimmer_template_repeat1,
  [198442] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6451), 1,
      sym_comment,
    ACTIONS(9999), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [198457] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6452), 1,
      sym_comment,
    ACTIONS(9999), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [198472] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6453), 1,
      sym_comment,
    ACTIONS(9999), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [198487] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6454), 1,
      sym_comment,
    ACTIONS(9847), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [198502] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10307), 1,
      anon_sym_COMMA,
    ACTIONS(10309), 1,
      anon_sym_RBRACE,
    STATE(6114), 1,
      aux_sym_export_clause_repeat1,
    STATE(6455), 1,
      sym_comment,
  [198521] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9053), 1,
      anon_sym_DOT,
    ACTIONS(9661), 1,
      anon_sym_COLON,
    ACTIONS(10311), 1,
      anon_sym_GT,
    STATE(6456), 1,
      sym_comment,
  [198540] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6457), 1,
      sym_comment,
    ACTIONS(10313), 3,
      sym__automatic_semicolon,
      anon_sym_from,
      anon_sym_SEMI,
  [198555] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10315), 1,
      anon_sym_as,
    STATE(6458), 1,
      sym_comment,
    ACTIONS(10317), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [198572] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6459), 1,
      sym_comment,
    ACTIONS(10319), 3,
      anon_sym_default,
      anon_sym_RBRACE,
      anon_sym_case,
  [198587] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6460), 1,
      sym_comment,
    ACTIONS(10321), 3,
      sym__automatic_semicolon,
      anon_sym_with,
      anon_sym_SEMI,
  [198602] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6461), 1,
      sym_comment,
    ACTIONS(10323), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [198617] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6462), 1,
      sym_comment,
    ACTIONS(9643), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [198632] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6463), 1,
      sym_comment,
    ACTIONS(8977), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [198647] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6464), 1,
      sym_comment,
    ACTIONS(9847), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [198662] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6465), 1,
      sym_comment,
    ACTIONS(9855), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [198677] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6466), 1,
      sym_comment,
    ACTIONS(9857), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [198692] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10325), 1,
      anon_sym_LPAREN,
    ACTIONS(10327), 1,
      anon_sym_await,
    STATE(98), 1,
      sym__for_header,
    STATE(6467), 1,
      sym_comment,
  [198711] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10329), 1,
      sym_identifier,
    ACTIONS(10331), 1,
      anon_sym_SEMI,
    ACTIONS(10333), 1,
      sym__automatic_semicolon,
    STATE(6468), 1,
      sym_comment,
  [198730] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10335), 1,
      sym_identifier,
    ACTIONS(10337), 1,
      anon_sym_SEMI,
    ACTIONS(10339), 1,
      sym__automatic_semicolon,
    STATE(6469), 1,
      sym_comment,
  [198749] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10341), 1,
      sym_identifier,
    ACTIONS(10343), 1,
      anon_sym_LBRACK,
    ACTIONS(10345), 1,
      sym_private_property_identifier,
    STATE(6470), 1,
      sym_comment,
  [198768] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6471), 1,
      sym_comment,
    ACTIONS(10347), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [198783] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10349), 1,
      sym_identifier,
    ACTIONS(10351), 1,
      anon_sym_LBRACK,
    ACTIONS(10353), 1,
      sym_private_property_identifier,
    STATE(6472), 1,
      sym_comment,
  [198802] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10355), 1,
      anon_sym_COMMA,
    ACTIONS(10357), 1,
      anon_sym_RBRACE,
    STATE(5793), 1,
      aux_sym_enum_body_repeat1,
    STATE(6473), 1,
      sym_comment,
  [198821] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10359), 1,
      sym_identifier,
    ACTIONS(10361), 1,
      anon_sym_LBRACK,
    ACTIONS(10363), 1,
      sym_private_property_identifier,
    STATE(6474), 1,
      sym_comment,
  [198840] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6475), 1,
      sym_comment,
    ACTIONS(9889), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [198855] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10365), 1,
      sym_identifier,
    ACTIONS(10367), 1,
      anon_sym_LBRACK,
    ACTIONS(10369), 1,
      sym_private_property_identifier,
    STATE(6476), 1,
      sym_comment,
  [198874] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10371), 1,
      anon_sym_EQ,
    STATE(6477), 1,
      sym_comment,
    ACTIONS(4331), 2,
      anon_sym_in,
      anon_sym_of,
  [198891] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10373), 1,
      anon_sym_COMMA,
    ACTIONS(10375), 1,
      anon_sym_RBRACK,
    STATE(5806), 1,
      aux_sym_tuple_type_repeat1,
    STATE(6478), 1,
      sym_comment,
  [198910] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6479), 1,
      sym_comment,
    ACTIONS(10377), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [198925] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10379), 1,
      anon_sym_COMMA,
    ACTIONS(10381), 1,
      anon_sym_RBRACE,
    STATE(5793), 1,
      aux_sym_enum_body_repeat1,
    STATE(6480), 1,
      sym_comment,
  [198944] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10383), 1,
      anon_sym_LPAREN,
    STATE(121), 1,
      sym_parenthesized_expression,
    STATE(6481), 1,
      sym_comment,
  [198960] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7562), 1,
      anon_sym_LBRACE,
    STATE(1288), 1,
      sym_class_body,
    STATE(6482), 1,
      sym_comment,
  [198976] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10385), 1,
      sym_identifier,
    ACTIONS(10387), 1,
      sym_private_property_identifier,
    STATE(6483), 1,
      sym_comment,
  [198992] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6484), 1,
      sym_comment,
    ACTIONS(5750), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [199006] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10383), 1,
      anon_sym_LPAREN,
    STATE(73), 1,
      sym_parenthesized_expression,
    STATE(6485), 1,
      sym_comment,
  [199022] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6486), 1,
      sym_comment,
    ACTIONS(5735), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [199036] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4839), 1,
      anon_sym_LBRACE,
    STATE(3091), 1,
      sym_statement_block,
    STATE(6487), 1,
      sym_comment,
  [199052] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7630), 1,
      anon_sym_LBRACE,
    STATE(1271), 1,
      sym_class_body,
    STATE(6488), 1,
      sym_comment,
  [199068] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7978), 1,
      anon_sym_LBRACE,
    STATE(6489), 1,
      sym_comment,
    STATE(6756), 1,
      sym_statement_block,
  [199084] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6490), 1,
      sym_comment,
    ACTIONS(6749), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [199098] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8236), 1,
      anon_sym_LBRACE,
    STATE(3517), 1,
      sym_statement_block,
    STATE(6491), 1,
      sym_comment,
  [199114] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7544), 1,
      anon_sym_LBRACE,
    STATE(3083), 1,
      sym_class_body,
    STATE(6492), 1,
      sym_comment,
  [199130] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7630), 1,
      anon_sym_LBRACE,
    STATE(1285), 1,
      sym_class_body,
    STATE(6493), 1,
      sym_comment,
  [199146] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8885), 1,
      anon_sym_LBRACE,
    STATE(1038), 1,
      sym_statement_block,
    STATE(6494), 1,
      sym_comment,
  [199162] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7694), 1,
      anon_sym_LBRACE,
    STATE(1120), 1,
      sym_class_body,
    STATE(6495), 1,
      sym_comment,
  [199178] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10224), 1,
      anon_sym_LBRACE,
    STATE(912), 1,
      sym_statement_block,
    STATE(6496), 1,
      sym_comment,
  [199194] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6497), 1,
      sym_comment,
    ACTIONS(6721), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [199208] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10389), 1,
      anon_sym_LBRACE,
    STATE(6498), 1,
      sym_comment,
    STATE(7010), 1,
      sym_switch_body,
  [199224] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7978), 1,
      anon_sym_LBRACE,
    STATE(6499), 1,
      sym_comment,
    STATE(6748), 1,
      sym_statement_block,
  [199240] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10383), 1,
      anon_sym_LPAREN,
    STATE(78), 1,
      sym_parenthesized_expression,
    STATE(6500), 1,
      sym_comment,
  [199256] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10391), 1,
      anon_sym_LPAREN,
    STATE(6501), 1,
      sym_comment,
    STATE(7079), 1,
      sym_parenthesized_expression,
  [199272] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6502), 1,
      sym_comment,
    ACTIONS(6717), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [199286] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8236), 1,
      anon_sym_LBRACE,
    STATE(3520), 1,
      sym_statement_block,
    STATE(6503), 1,
      sym_comment,
  [199302] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7672), 1,
      anon_sym_LBRACE,
    STATE(1563), 1,
      sym_class_body,
    STATE(6504), 1,
      sym_comment,
  [199318] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10393), 1,
      sym_identifier,
    ACTIONS(10395), 1,
      anon_sym_STAR,
    STATE(6505), 1,
      sym_comment,
  [199334] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6506), 1,
      sym_comment,
    ACTIONS(10397), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [199348] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10399), 1,
      sym_identifier,
    ACTIONS(10401), 1,
      anon_sym_STAR,
    STATE(6507), 1,
      sym_comment,
  [199364] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10403), 1,
      anon_sym_LBRACE,
    STATE(1324), 1,
      sym_statement_block,
    STATE(6508), 1,
      sym_comment,
  [199380] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6509), 1,
      sym_comment,
    ACTIONS(9510), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [199394] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10405), 1,
      anon_sym_LBRACE,
    STATE(1326), 1,
      sym_enum_body,
    STATE(6510), 1,
      sym_comment,
  [199410] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10407), 1,
      anon_sym_SEMI,
    ACTIONS(10409), 1,
      sym__automatic_semicolon,
    STATE(6511), 1,
      sym_comment,
  [199426] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10411), 1,
      sym_identifier,
    ACTIONS(10413), 1,
      sym_private_property_identifier,
    STATE(6512), 1,
      sym_comment,
  [199442] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10341), 1,
      sym_identifier,
    ACTIONS(10345), 1,
      sym_private_property_identifier,
    STATE(6513), 1,
      sym_comment,
  [199458] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7630), 1,
      anon_sym_LBRACE,
    STATE(1309), 1,
      sym_class_body,
    STATE(6514), 1,
      sym_comment,
  [199474] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10224), 1,
      anon_sym_LBRACE,
    STATE(941), 1,
      sym_statement_block,
    STATE(6515), 1,
      sym_comment,
  [199490] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7978), 1,
      anon_sym_LBRACE,
    STATE(4818), 1,
      sym_statement_block,
    STATE(6516), 1,
      sym_comment,
  [199506] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10415), 1,
      sym_identifier,
    ACTIONS(10417), 1,
      anon_sym_STAR,
    STATE(6517), 1,
      sym_comment,
  [199522] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10419), 1,
      anon_sym_SEMI,
    ACTIONS(10421), 1,
      sym__automatic_semicolon,
    STATE(6518), 1,
      sym_comment,
  [199538] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4839), 1,
      anon_sym_LBRACE,
    STATE(3319), 1,
      sym_statement_block,
    STATE(6519), 1,
      sym_comment,
  [199554] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6520), 1,
      sym_comment,
    ACTIONS(9582), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [199568] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10423), 1,
      anon_sym_SEMI,
    ACTIONS(10425), 1,
      sym__automatic_semicolon,
    STATE(6521), 1,
      sym_comment,
  [199584] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10383), 1,
      anon_sym_LPAREN,
    STATE(100), 1,
      sym_parenthesized_expression,
    STATE(6522), 1,
      sym_comment,
  [199600] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10427), 1,
      anon_sym_SEMI,
    ACTIONS(10429), 1,
      sym__automatic_semicolon,
    STATE(6523), 1,
      sym_comment,
  [199616] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6524), 1,
      sym_comment,
    ACTIONS(10431), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [199630] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10433), 1,
      sym_identifier,
    ACTIONS(10435), 1,
      anon_sym_STAR,
    STATE(6525), 1,
      sym_comment,
  [199646] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10437), 1,
      anon_sym_LBRACE,
    STATE(896), 1,
      sym_statement_block,
    STATE(6526), 1,
      sym_comment,
  [199662] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10383), 1,
      anon_sym_LPAREN,
    STATE(117), 1,
      sym_parenthesized_expression,
    STATE(6527), 1,
      sym_comment,
  [199678] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6528), 1,
      sym_comment,
    ACTIONS(8436), 2,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
  [199692] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6529), 1,
      sym_comment,
    ACTIONS(5505), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [199706] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7194), 1,
      anon_sym_LPAREN,
    STATE(4400), 1,
      sym_formal_parameters,
    STATE(6530), 1,
      sym_comment,
  [199722] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10383), 1,
      anon_sym_LPAREN,
    STATE(83), 1,
      sym_parenthesized_expression,
    STATE(6531), 1,
      sym_comment,
  [199738] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10439), 1,
      anon_sym_LBRACE,
    STATE(1716), 1,
      sym_enum_body,
    STATE(6532), 1,
      sym_comment,
  [199754] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6533), 1,
      sym_comment,
    ACTIONS(8428), 2,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
  [199768] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6534), 1,
      sym_comment,
    ACTIONS(8426), 2,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
  [199782] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7544), 1,
      anon_sym_LBRACE,
    STATE(3132), 1,
      sym_class_body,
    STATE(6535), 1,
      sym_comment,
  [199798] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7978), 1,
      anon_sym_LBRACE,
    STATE(6536), 1,
      sym_comment,
    STATE(6805), 1,
      sym_statement_block,
  [199814] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6537), 1,
      sym_comment,
    ACTIONS(5639), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [199828] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6538), 1,
      sym_comment,
    ACTIONS(10441), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [199842] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10443), 1,
      anon_sym_SEMI,
    ACTIONS(10445), 1,
      sym__automatic_semicolon,
    STATE(6539), 1,
      sym_comment,
  [199858] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8236), 1,
      anon_sym_LBRACE,
    STATE(3522), 1,
      sym_statement_block,
    STATE(6540), 1,
      sym_comment,
  [199874] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6541), 1,
      sym_comment,
    ACTIONS(9532), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [199888] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10405), 1,
      anon_sym_LBRACE,
    STATE(1368), 1,
      sym_enum_body,
    STATE(6542), 1,
      sym_comment,
  [199904] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7694), 1,
      anon_sym_LBRACE,
    STATE(1149), 1,
      sym_class_body,
    STATE(6543), 1,
      sym_comment,
  [199920] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8885), 1,
      anon_sym_LBRACE,
    STATE(1045), 1,
      sym_statement_block,
    STATE(6544), 1,
      sym_comment,
  [199936] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9051), 1,
      anon_sym_DOT,
    ACTIONS(10447), 1,
      anon_sym_GT,
    STATE(6545), 1,
      sym_comment,
  [199952] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7694), 1,
      anon_sym_LBRACE,
    STATE(1152), 1,
      sym_class_body,
    STATE(6546), 1,
      sym_comment,
  [199968] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9661), 1,
      anon_sym_COLON,
    ACTIONS(10311), 1,
      anon_sym_GT,
    STATE(6547), 1,
      sym_comment,
  [199984] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6548), 1,
      sym_comment,
    ACTIONS(10449), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [199998] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10451), 1,
      sym_identifier,
    STATE(6389), 1,
      sym_nested_identifier,
    STATE(6549), 1,
      sym_comment,
  [200014] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7562), 1,
      anon_sym_LBRACE,
    STATE(1202), 1,
      sym_class_body,
    STATE(6550), 1,
      sym_comment,
  [200030] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10453), 1,
      sym_identifier,
    ACTIONS(10455), 1,
      anon_sym_STAR,
    STATE(6551), 1,
      sym_comment,
  [200046] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7544), 1,
      anon_sym_LBRACE,
    STATE(3096), 1,
      sym_class_body,
    STATE(6552), 1,
      sym_comment,
  [200062] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7978), 1,
      anon_sym_LBRACE,
    STATE(6553), 1,
      sym_comment,
    STATE(6995), 1,
      sym_statement_block,
  [200078] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6554), 1,
      sym_comment,
    ACTIONS(10457), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [200092] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10459), 1,
      anon_sym_LBRACE,
    STATE(1081), 1,
      sym_statement_block,
    STATE(6555), 1,
      sym_comment,
  [200108] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10461), 1,
      anon_sym_LPAREN,
    STATE(1182), 1,
      sym_parenthesized_expression,
    STATE(6556), 1,
      sym_comment,
  [200124] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10463), 1,
      anon_sym_LBRACE,
    STATE(1079), 1,
      sym_enum_body,
    STATE(6557), 1,
      sym_comment,
  [200140] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10465), 1,
      sym_identifier,
    ACTIONS(10467), 1,
      sym_private_property_identifier,
    STATE(6558), 1,
      sym_comment,
  [200156] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8236), 1,
      anon_sym_LBRACE,
    STATE(3516), 1,
      sym_statement_block,
    STATE(6559), 1,
      sym_comment,
  [200172] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10469), 1,
      anon_sym_SEMI,
    ACTIONS(10471), 1,
      sym__automatic_semicolon,
    STATE(6560), 1,
      sym_comment,
  [200188] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7630), 1,
      anon_sym_LBRACE,
    STATE(1239), 1,
      sym_class_body,
    STATE(6561), 1,
      sym_comment,
  [200204] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4839), 1,
      anon_sym_LBRACE,
    STATE(3099), 1,
      sym_statement_block,
    STATE(6562), 1,
      sym_comment,
  [200220] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5369), 1,
      anon_sym_LPAREN,
    STATE(3110), 1,
      sym_arguments,
    STATE(6563), 1,
      sym_comment,
  [200236] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10403), 1,
      anon_sym_LBRACE,
    STATE(1405), 1,
      sym_statement_block,
    STATE(6564), 1,
      sym_comment,
  [200252] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7550), 1,
      anon_sym_LBRACE,
    STATE(358), 1,
      sym_class_body,
    STATE(6565), 1,
      sym_comment,
  [200268] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10473), 1,
      anon_sym_SEMI,
    ACTIONS(10475), 1,
      sym__automatic_semicolon,
    STATE(6566), 1,
      sym_comment,
  [200284] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10477), 1,
      anon_sym_SEMI,
    ACTIONS(10479), 1,
      sym__automatic_semicolon,
    STATE(6567), 1,
      sym_comment,
  [200300] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10481), 1,
      sym_identifier,
    ACTIONS(10483), 1,
      anon_sym_STAR,
    STATE(6568), 1,
      sym_comment,
  [200316] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6569), 1,
      sym_comment,
    ACTIONS(10485), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [200330] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8236), 1,
      anon_sym_LBRACE,
    STATE(3523), 1,
      sym_statement_block,
    STATE(6570), 1,
      sym_comment,
  [200346] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6571), 1,
      sym_comment,
    ACTIONS(10278), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [200360] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10463), 1,
      anon_sym_LBRACE,
    STATE(1060), 1,
      sym_enum_body,
    STATE(6572), 1,
      sym_comment,
  [200376] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4839), 1,
      anon_sym_LBRACE,
    STATE(3300), 1,
      sym_statement_block,
    STATE(6573), 1,
      sym_comment,
  [200392] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6574), 1,
      sym_comment,
    ACTIONS(5637), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [200406] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7554), 1,
      anon_sym_LBRACE,
    STATE(338), 1,
      sym_class_body,
    STATE(6575), 1,
      sym_comment,
  [200422] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6576), 1,
      sym_comment,
    ACTIONS(5633), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [200436] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7978), 1,
      anon_sym_LBRACE,
    STATE(6577), 1,
      sym_comment,
    STATE(6958), 1,
      sym_statement_block,
  [200452] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6578), 1,
      sym_comment,
    ACTIONS(6713), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [200466] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7544), 1,
      anon_sym_LBRACE,
    STATE(3263), 1,
      sym_class_body,
    STATE(6579), 1,
      sym_comment,
  [200482] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(6580), 1,
      sym_comment,
    ACTIONS(10487), 2,
      sym__glimmer_template_content,
      anon_sym_LT_SLASHtemplate_GT,
  [200496] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10167), 1,
      anon_sym_LBRACE,
    STATE(1211), 1,
      sym_statement_block,
    STATE(6581), 1,
      sym_comment,
  [200512] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4839), 1,
      anon_sym_LBRACE,
    STATE(3266), 1,
      sym_statement_block,
    STATE(6582), 1,
      sym_comment,
  [200528] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10489), 1,
      anon_sym_LPAREN,
    STATE(107), 1,
      sym__for_header,
    STATE(6583), 1,
      sym_comment,
  [200544] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10491), 1,
      sym_identifier,
    ACTIONS(10493), 1,
      anon_sym_STAR,
    STATE(6584), 1,
      sym_comment,
  [200560] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7544), 1,
      anon_sym_LBRACE,
    STATE(3111), 1,
      sym_class_body,
    STATE(6585), 1,
      sym_comment,
  [200576] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10495), 1,
      anon_sym_SEMI,
    ACTIONS(10497), 1,
      sym__automatic_semicolon,
    STATE(6586), 1,
      sym_comment,
  [200592] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7216), 1,
      anon_sym_LPAREN,
    STATE(4594), 1,
      sym_formal_parameters,
    STATE(6587), 1,
      sym_comment,
  [200608] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8236), 1,
      anon_sym_LBRACE,
    STATE(3525), 1,
      sym_statement_block,
    STATE(6588), 1,
      sym_comment,
  [200624] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7162), 1,
      anon_sym_COLON,
    STATE(6387), 1,
      sym_type_annotation,
    STATE(6589), 1,
      sym_comment,
  [200640] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6590), 1,
      sym_comment,
    ACTIONS(10499), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [200654] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6591), 1,
      sym_comment,
    ACTIONS(10501), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [200668] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6592), 1,
      sym_comment,
    ACTIONS(10503), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [200682] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10505), 1,
      anon_sym_SEMI,
    ACTIONS(10507), 1,
      sym__automatic_semicolon,
    STATE(6593), 1,
      sym_comment,
  [200698] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6594), 1,
      sym_comment,
    ACTIONS(10509), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [200712] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7644), 1,
      anon_sym_LBRACE,
    STATE(933), 1,
      sym_class_body,
    STATE(6595), 1,
      sym_comment,
  [200728] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6596), 1,
      sym_comment,
    ACTIONS(10511), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [200742] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10513), 1,
      sym_identifier,
    ACTIONS(10515), 1,
      anon_sym_STAR,
    STATE(6597), 1,
      sym_comment,
  [200758] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6598), 1,
      sym_comment,
    ACTIONS(10517), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [200772] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10489), 1,
      anon_sym_LPAREN,
    STATE(111), 1,
      sym__for_header,
    STATE(6599), 1,
      sym_comment,
  [200788] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6600), 1,
      sym_comment,
    ACTIONS(10519), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [200802] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6601), 1,
      sym_comment,
    ACTIONS(10521), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [200816] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7554), 1,
      anon_sym_LBRACE,
    STATE(297), 1,
      sym_class_body,
    STATE(6602), 1,
      sym_comment,
  [200832] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6603), 1,
      sym_comment,
    ACTIONS(5486), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [200846] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10523), 1,
      anon_sym_LBRACE,
    STATE(1259), 1,
      sym_switch_body,
    STATE(6604), 1,
      sym_comment,
  [200862] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(6605), 1,
      sym_comment,
    ACTIONS(4030), 2,
      sym_jsx_identifier,
      sym_identifier,
  [200876] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6606), 1,
      sym_comment,
    ACTIONS(5484), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [200890] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8802), 1,
      anon_sym_LBRACE,
    STATE(307), 1,
      sym_statement_block,
    STATE(6607), 1,
      sym_comment,
  [200906] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7680), 1,
      anon_sym_LBRACE,
    STATE(1016), 1,
      sym_class_body,
    STATE(6608), 1,
      sym_comment,
  [200922] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7694), 1,
      anon_sym_LBRACE,
    STATE(1131), 1,
      sym_class_body,
    STATE(6609), 1,
      sym_comment,
  [200938] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6610), 1,
      sym_comment,
    ACTIONS(10525), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [200952] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6611), 1,
      sym_comment,
    ACTIONS(10527), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [200966] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10529), 1,
      anon_sym_SEMI,
    ACTIONS(10531), 1,
      sym__automatic_semicolon,
    STATE(6612), 1,
      sym_comment,
  [200982] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7674), 1,
      anon_sym_LBRACE,
    STATE(2690), 1,
      sym_class_body,
    STATE(6613), 1,
      sym_comment,
  [200998] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8236), 1,
      anon_sym_LBRACE,
    STATE(3542), 1,
      sym_statement_block,
    STATE(6614), 1,
      sym_comment,
  [201014] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8236), 1,
      anon_sym_LBRACE,
    STATE(3537), 1,
      sym_statement_block,
    STATE(6615), 1,
      sym_comment,
  [201030] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6616), 1,
      sym_comment,
    ACTIONS(5737), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [201044] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6617), 1,
      sym_comment,
    ACTIONS(6709), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [201058] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6618), 1,
      sym_comment,
    ACTIONS(6753), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [201072] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5310), 1,
      anon_sym_LBRACE,
    STATE(2688), 1,
      sym_statement_block,
    STATE(6619), 1,
      sym_comment,
  [201088] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6620), 1,
      sym_comment,
    ACTIONS(6764), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [201102] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10533), 1,
      anon_sym_SEMI,
    ACTIONS(10535), 1,
      sym__automatic_semicolon,
    STATE(6621), 1,
      sym_comment,
  [201118] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7554), 1,
      anon_sym_LBRACE,
    STATE(316), 1,
      sym_class_body,
    STATE(6622), 1,
      sym_comment,
  [201134] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6623), 1,
      sym_comment,
    ACTIONS(10537), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [201148] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6624), 1,
      sym_comment,
    ACTIONS(6741), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [201162] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7644), 1,
      anon_sym_LBRACE,
    STATE(914), 1,
      sym_class_body,
    STATE(6625), 1,
      sym_comment,
  [201178] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6626), 1,
      sym_comment,
    ACTIONS(10539), 2,
      anon_sym_COMMA,
      anon_sym_GT,
  [201192] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8786), 1,
      anon_sym_LBRACE,
    STATE(946), 1,
      sym_statement_block,
    STATE(6627), 1,
      sym_comment,
  [201208] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7644), 1,
      anon_sym_LBRACE,
    STATE(916), 1,
      sym_class_body,
    STATE(6628), 1,
      sym_comment,
  [201224] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6629), 1,
      sym_comment,
    ACTIONS(3580), 2,
      anon_sym_else,
      anon_sym_while,
  [201238] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7216), 1,
      anon_sym_LPAREN,
    STATE(4179), 1,
      sym_formal_parameters,
    STATE(6630), 1,
      sym_comment,
  [201254] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6631), 1,
      sym_comment,
    ACTIONS(5743), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [201268] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8236), 1,
      anon_sym_LBRACE,
    STATE(3552), 1,
      sym_statement_block,
    STATE(6632), 1,
      sym_comment,
  [201284] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6633), 1,
      sym_comment,
    ACTIONS(10541), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [201298] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8802), 1,
      anon_sym_LBRACE,
    STATE(331), 1,
      sym_statement_block,
    STATE(6634), 1,
      sym_comment,
  [201314] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7680), 1,
      anon_sym_LBRACE,
    STATE(996), 1,
      sym_class_body,
    STATE(6635), 1,
      sym_comment,
  [201330] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9661), 1,
      anon_sym_COLON,
    ACTIONS(9663), 1,
      anon_sym_GT,
    STATE(6636), 1,
      sym_comment,
  [201346] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7544), 1,
      anon_sym_LBRACE,
    STATE(3256), 1,
      sym_class_body,
    STATE(6637), 1,
      sym_comment,
  [201362] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10459), 1,
      anon_sym_LBRACE,
    STATE(1192), 1,
      sym_statement_block,
    STATE(6638), 1,
      sym_comment,
  [201378] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10543), 1,
      anon_sym_LPAREN,
    STATE(940), 1,
      sym_parenthesized_expression,
    STATE(6639), 1,
      sym_comment,
  [201394] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6640), 1,
      sym_comment,
    ACTIONS(6721), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [201408] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9051), 1,
      anon_sym_DOT,
    ACTIONS(10545), 1,
      anon_sym_GT,
    STATE(6641), 1,
      sym_comment,
  [201424] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6642), 1,
      sym_comment,
    ACTIONS(10547), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [201438] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7554), 1,
      anon_sym_LBRACE,
    STATE(342), 1,
      sym_class_body,
    STATE(6643), 1,
      sym_comment,
  [201454] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7680), 1,
      anon_sym_LBRACE,
    STATE(984), 1,
      sym_class_body,
    STATE(6644), 1,
      sym_comment,
  [201470] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10549), 1,
      anon_sym_SEMI,
    ACTIONS(10551), 1,
      sym__automatic_semicolon,
    STATE(6645), 1,
      sym_comment,
  [201486] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8786), 1,
      anon_sym_LBRACE,
    STATE(921), 1,
      sym_statement_block,
    STATE(6646), 1,
      sym_comment,
  [201502] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7644), 1,
      anon_sym_LBRACE,
    STATE(959), 1,
      sym_class_body,
    STATE(6647), 1,
      sym_comment,
  [201518] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10553), 1,
      anon_sym_LBRACE,
    STATE(1252), 1,
      sym_enum_body,
    STATE(6648), 1,
      sym_comment,
  [201534] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6649), 1,
      sym_comment,
    ACTIONS(10218), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [201548] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8236), 1,
      anon_sym_LBRACE,
    STATE(3538), 1,
      sym_statement_block,
    STATE(6650), 1,
      sym_comment,
  [201564] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6651), 1,
      sym_comment,
    ACTIONS(9287), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [201578] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6652), 1,
      sym_comment,
    ACTIONS(10555), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [201592] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7680), 1,
      anon_sym_LBRACE,
    STATE(975), 1,
      sym_class_body,
    STATE(6653), 1,
      sym_comment,
  [201608] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6654), 1,
      sym_comment,
    ACTIONS(10557), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [201622] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10559), 1,
      anon_sym_LBRACE,
    STATE(6623), 1,
      sym_object,
    STATE(6655), 1,
      sym_comment,
  [201638] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6656), 1,
      sym_comment,
    ACTIONS(10561), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [201652] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7978), 1,
      anon_sym_LBRACE,
    STATE(6657), 1,
      sym_comment,
    STATE(7113), 1,
      sym_statement_block,
  [201668] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6658), 1,
      sym_comment,
    ACTIONS(10563), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [201682] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7674), 1,
      anon_sym_LBRACE,
    STATE(3451), 1,
      sym_class_body,
    STATE(6659), 1,
      sym_comment,
  [201698] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10565), 1,
      anon_sym_LBRACE,
    STATE(6660), 1,
      sym_comment,
    STATE(7117), 1,
      sym_enum_body,
  [201714] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6661), 1,
      sym_comment,
    ACTIONS(3582), 2,
      anon_sym_else,
      anon_sym_while,
  [201728] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6662), 1,
      sym_comment,
    ACTIONS(3548), 2,
      anon_sym_else,
      anon_sym_while,
  [201742] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10567), 1,
      anon_sym_SEMI,
    ACTIONS(10569), 1,
      sym__automatic_semicolon,
    STATE(6663), 1,
      sym_comment,
  [201758] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10571), 1,
      anon_sym_SEMI,
    ACTIONS(10573), 1,
      sym__automatic_semicolon,
    STATE(6664), 1,
      sym_comment,
  [201774] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10575), 1,
      sym_identifier,
    ACTIONS(10577), 1,
      sym_private_property_identifier,
    STATE(6665), 1,
      sym_comment,
  [201790] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6666), 1,
      sym_comment,
    ACTIONS(3578), 2,
      anon_sym_else,
      anon_sym_while,
  [201804] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6667), 1,
      sym_comment,
    ACTIONS(3576), 2,
      anon_sym_else,
      anon_sym_while,
  [201818] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10203), 1,
      sym_identifier,
    ACTIONS(10207), 1,
      sym_private_property_identifier,
    STATE(6668), 1,
      sym_comment,
  [201834] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8236), 1,
      anon_sym_LBRACE,
    STATE(3515), 1,
      sym_statement_block,
    STATE(6669), 1,
      sym_comment,
  [201850] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7160), 1,
      anon_sym_LPAREN,
    STATE(5240), 1,
      sym_formal_parameters,
    STATE(6670), 1,
      sym_comment,
  [201866] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10579), 1,
      anon_sym_SEMI,
    ACTIONS(10581), 1,
      sym__automatic_semicolon,
    STATE(6671), 1,
      sym_comment,
  [201882] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6672), 1,
      sym_comment,
    ACTIONS(3574), 2,
      anon_sym_else,
      anon_sym_while,
  [201896] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6673), 1,
      sym_comment,
    ACTIONS(3570), 2,
      anon_sym_else,
      anon_sym_while,
  [201910] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10553), 1,
      anon_sym_LBRACE,
    STATE(1281), 1,
      sym_enum_body,
    STATE(6674), 1,
      sym_comment,
  [201926] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10583), 1,
      anon_sym_SEMI,
    ACTIONS(10585), 1,
      sym__automatic_semicolon,
    STATE(6675), 1,
      sym_comment,
  [201942] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6676), 1,
      sym_comment,
    ACTIONS(5472), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [201956] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10587), 1,
      anon_sym_LBRACE,
    STATE(1284), 1,
      sym_statement_block,
    STATE(6677), 1,
      sym_comment,
  [201972] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8236), 1,
      anon_sym_LBRACE,
    STATE(3536), 1,
      sym_statement_block,
    STATE(6678), 1,
      sym_comment,
  [201988] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6679), 1,
      sym_comment,
    ACTIONS(2147), 2,
      anon_sym_else,
      anon_sym_while,
  [202002] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8979), 1,
      anon_sym_in,
    ACTIONS(8981), 1,
      anon_sym_of,
    STATE(6680), 1,
      sym_comment,
  [202018] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10589), 1,
      anon_sym_SEMI,
    ACTIONS(10591), 1,
      sym__automatic_semicolon,
    STATE(6681), 1,
      sym_comment,
  [202034] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10593), 1,
      anon_sym_SEMI,
    ACTIONS(10595), 1,
      sym__automatic_semicolon,
    STATE(6682), 1,
      sym_comment,
  [202050] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7160), 1,
      anon_sym_LPAREN,
    STATE(4809), 1,
      sym_formal_parameters,
    STATE(6683), 1,
      sym_comment,
  [202066] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6684), 1,
      sym_comment,
    ACTIONS(6705), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [202080] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6685), 1,
      sym_comment,
    ACTIONS(10597), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [202094] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7552), 1,
      anon_sym_LBRACE,
    STATE(1159), 1,
      sym_class_body,
    STATE(6686), 1,
      sym_comment,
  [202110] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8236), 1,
      anon_sym_LBRACE,
    STATE(3546), 1,
      sym_statement_block,
    STATE(6687), 1,
      sym_comment,
  [202126] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10599), 1,
      anon_sym_LBRACE,
    STATE(884), 1,
      sym_statement_block,
    STATE(6688), 1,
      sym_comment,
  [202142] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10383), 1,
      anon_sym_LPAREN,
    STATE(79), 1,
      sym_parenthesized_expression,
    STATE(6689), 1,
      sym_comment,
  [202158] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6690), 1,
      sym_comment,
    ACTIONS(6729), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [202172] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6691), 1,
      sym_comment,
    ACTIONS(5645), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [202186] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6692), 1,
      sym_comment,
    ACTIONS(5647), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [202200] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6693), 1,
      sym_comment,
    ACTIONS(10601), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [202214] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6694), 1,
      sym_comment,
    ACTIONS(2253), 2,
      anon_sym_else,
      anon_sym_while,
  [202228] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6695), 1,
      sym_comment,
    ACTIONS(10603), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [202242] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10605), 1,
      sym_identifier,
    ACTIONS(10607), 1,
      anon_sym_STAR,
    STATE(6696), 1,
      sym_comment,
  [202258] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6697), 1,
      sym_comment,
    ACTIONS(10609), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [202272] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8236), 1,
      anon_sym_LBRACE,
    STATE(3511), 1,
      sym_statement_block,
    STATE(6698), 1,
      sym_comment,
  [202288] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10489), 1,
      anon_sym_LPAREN,
    STATE(75), 1,
      sym__for_header,
    STATE(6699), 1,
      sym_comment,
  [202304] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9116), 1,
      anon_sym_from,
    STATE(5712), 1,
      sym__from_clause,
    STATE(6700), 1,
      sym_comment,
  [202320] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10611), 1,
      anon_sym_LBRACE,
    STATE(974), 1,
      sym_switch_body,
    STATE(6701), 1,
      sym_comment,
  [202336] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6702), 1,
      sym_comment,
    ACTIONS(10613), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [202350] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6703), 1,
      sym_comment,
    ACTIONS(9263), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [202364] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6704), 1,
      sym_comment,
    ACTIONS(10615), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [202378] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10565), 1,
      anon_sym_LBRACE,
    STATE(6705), 1,
      sym_comment,
    STATE(7153), 1,
      sym_enum_body,
  [202394] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10617), 1,
      anon_sym_SEMI,
    ACTIONS(10619), 1,
      sym__automatic_semicolon,
    STATE(6706), 1,
      sym_comment,
  [202410] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10621), 1,
      anon_sym_LPAREN,
    STATE(1351), 1,
      sym_parenthesized_expression,
    STATE(6707), 1,
      sym_comment,
  [202426] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7550), 1,
      anon_sym_LBRACE,
    STATE(387), 1,
      sym_class_body,
    STATE(6708), 1,
      sym_comment,
  [202442] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10623), 1,
      anon_sym_LPAREN,
    STATE(5715), 1,
      sym_parenthesized_expression,
    STATE(6709), 1,
      sym_comment,
  [202458] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6710), 1,
      sym_comment,
    ACTIONS(3568), 2,
      anon_sym_else,
      anon_sym_while,
  [202472] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7978), 1,
      anon_sym_LBRACE,
    STATE(6711), 1,
      sym_comment,
    STATE(7042), 1,
      sym_statement_block,
  [202488] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6712), 1,
      sym_comment,
    ACTIONS(5659), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [202502] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10383), 1,
      anon_sym_LPAREN,
    STATE(86), 1,
      sym_parenthesized_expression,
    STATE(6713), 1,
      sym_comment,
  [202518] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6714), 1,
      sym_comment,
    ACTIONS(6717), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [202532] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10625), 1,
      anon_sym_in,
    ACTIONS(10627), 1,
      anon_sym_COLON,
    STATE(6715), 1,
      sym_comment,
  [202548] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8236), 1,
      anon_sym_LBRACE,
    STATE(3509), 1,
      sym_statement_block,
    STATE(6716), 1,
      sym_comment,
  [202564] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6717), 1,
      sym_comment,
    ACTIONS(3566), 2,
      anon_sym_else,
      anon_sym_while,
  [202578] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10629), 1,
      anon_sym_LBRACE,
    STATE(1679), 1,
      sym_statement_block,
    STATE(6718), 1,
      sym_comment,
  [202594] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7544), 1,
      anon_sym_LBRACE,
    STATE(3102), 1,
      sym_class_body,
    STATE(6719), 1,
      sym_comment,
  [202610] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7682), 1,
      anon_sym_LBRACE,
    STATE(5490), 1,
      sym_class_body,
    STATE(6720), 1,
      sym_comment,
  [202626] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6721), 1,
      sym_comment,
    ACTIONS(3564), 2,
      anon_sym_else,
      anon_sym_while,
  [202640] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8236), 1,
      anon_sym_LBRACE,
    STATE(3510), 1,
      sym_statement_block,
    STATE(6722), 1,
      sym_comment,
  [202656] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6723), 1,
      sym_comment,
    ACTIONS(10141), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [202670] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6724), 1,
      sym_comment,
    ACTIONS(3562), 2,
      anon_sym_else,
      anon_sym_while,
  [202684] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6725), 1,
      sym_comment,
    ACTIONS(3560), 2,
      anon_sym_else,
      anon_sym_while,
  [202698] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6726), 1,
      sym_comment,
    ACTIONS(10631), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [202712] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10633), 1,
      anon_sym_LBRACE,
    STATE(876), 1,
      sym_statement_block,
    STATE(6727), 1,
      sym_comment,
  [202728] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10383), 1,
      anon_sym_LPAREN,
    STATE(108), 1,
      sym_parenthesized_expression,
    STATE(6728), 1,
      sym_comment,
  [202744] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6729), 1,
      sym_comment,
    ACTIONS(3558), 2,
      anon_sym_else,
      anon_sym_while,
  [202758] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10383), 1,
      anon_sym_LPAREN,
    STATE(110), 1,
      sym_parenthesized_expression,
    STATE(6730), 1,
      sym_comment,
  [202774] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7674), 1,
      anon_sym_LBRACE,
    STATE(2639), 1,
      sym_class_body,
    STATE(6731), 1,
      sym_comment,
  [202790] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5310), 1,
      anon_sym_LBRACE,
    STATE(2636), 1,
      sym_statement_block,
    STATE(6732), 1,
      sym_comment,
  [202806] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5310), 1,
      anon_sym_LBRACE,
    STATE(2633), 1,
      sym_statement_block,
    STATE(6733), 1,
      sym_comment,
  [202822] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8742), 1,
      anon_sym_LBRACE,
    STATE(366), 1,
      sym_statement_block,
    STATE(6734), 1,
      sym_comment,
  [202838] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(6735), 1,
      sym_comment,
    ACTIONS(10635), 2,
      sym_jsx_identifier,
      sym_identifier,
  [202852] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10167), 1,
      anon_sym_LBRACE,
    STATE(1240), 1,
      sym_statement_block,
    STATE(6736), 1,
      sym_comment,
  [202868] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9116), 1,
      anon_sym_from,
    STATE(6737), 1,
      sym_comment,
    STATE(6876), 1,
      sym__from_clause,
  [202884] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6738), 1,
      sym_comment,
    ACTIONS(3556), 2,
      anon_sym_else,
      anon_sym_while,
  [202898] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6739), 1,
      sym_comment,
    ACTIONS(3554), 2,
      anon_sym_else,
      anon_sym_while,
  [202912] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6740), 1,
      sym_comment,
    ACTIONS(3552), 2,
      anon_sym_else,
      anon_sym_while,
  [202926] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7674), 1,
      anon_sym_LBRACE,
    STATE(3428), 1,
      sym_class_body,
    STATE(6741), 1,
      sym_comment,
  [202942] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6742), 1,
      sym_comment,
    ACTIONS(3550), 2,
      anon_sym_else,
      anon_sym_while,
  [202956] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7646), 1,
      anon_sym_LBRACE,
    STATE(1483), 1,
      sym_class_body,
    STATE(6743), 1,
      sym_comment,
  [202972] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6744), 1,
      sym_comment,
    ACTIONS(3532), 2,
      anon_sym_else,
      anon_sym_while,
  [202986] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6745), 1,
      sym_comment,
    ACTIONS(5421), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [203000] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6746), 1,
      sym_comment,
    ACTIONS(3546), 2,
      anon_sym_else,
      anon_sym_while,
  [203014] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10637), 1,
      sym_identifier,
    ACTIONS(10639), 1,
      sym_private_property_identifier,
    STATE(6747), 1,
      sym_comment,
  [203030] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6748), 1,
      sym_comment,
    ACTIONS(6741), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [203044] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6749), 1,
      sym_comment,
    ACTIONS(10641), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [203058] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9967), 1,
      anon_sym_LBRACE,
    STATE(1033), 1,
      sym_statement_block,
    STATE(6750), 1,
      sym_comment,
  [203074] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7626), 1,
      anon_sym_LBRACE,
    STATE(375), 1,
      sym_class_body,
    STATE(6751), 1,
      sym_comment,
  [203090] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7978), 1,
      anon_sym_LBRACE,
    STATE(6752), 1,
      sym_comment,
    STATE(6890), 1,
      sym_statement_block,
  [203106] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6753), 1,
      sym_comment,
    ACTIONS(10643), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [203120] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6754), 1,
      sym_comment,
    ACTIONS(10645), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [203134] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8236), 1,
      anon_sym_LBRACE,
    STATE(3557), 1,
      sym_statement_block,
    STATE(6755), 1,
      sym_comment,
  [203150] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6756), 1,
      sym_comment,
    ACTIONS(6764), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [203164] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7584), 1,
      anon_sym_LBRACE,
    STATE(438), 1,
      sym_class_body,
    STATE(6757), 1,
      sym_comment,
  [203180] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7160), 1,
      anon_sym_LPAREN,
    STATE(6758), 1,
      sym_comment,
    STATE(7368), 1,
      sym_formal_parameters,
  [203196] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10647), 1,
      sym_identifier,
    ACTIONS(10649), 1,
      anon_sym_STAR,
    STATE(6759), 1,
      sym_comment,
  [203212] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10651), 1,
      sym_identifier,
    ACTIONS(10653), 1,
      sym_private_property_identifier,
    STATE(6760), 1,
      sym_comment,
  [203228] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7978), 1,
      anon_sym_LBRACE,
    STATE(6761), 1,
      sym_comment,
    STATE(6918), 1,
      sym_statement_block,
  [203244] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7544), 1,
      anon_sym_LBRACE,
    STATE(3094), 1,
      sym_class_body,
    STATE(6762), 1,
      sym_comment,
  [203260] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6763), 1,
      sym_comment,
    ACTIONS(10118), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [203274] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7544), 1,
      anon_sym_LBRACE,
    STATE(3241), 1,
      sym_class_body,
    STATE(6764), 1,
      sym_comment,
  [203290] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6765), 1,
      sym_comment,
    ACTIONS(3544), 2,
      anon_sym_else,
      anon_sym_while,
  [203304] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6766), 1,
      sym_comment,
    ACTIONS(6735), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [203318] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4839), 1,
      anon_sym_LBRACE,
    STATE(3081), 1,
      sym_statement_block,
    STATE(6767), 1,
      sym_comment,
  [203334] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7978), 1,
      anon_sym_LBRACE,
    STATE(6497), 1,
      sym_statement_block,
    STATE(6768), 1,
      sym_comment,
  [203350] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6769), 1,
      sym_comment,
    ACTIONS(3542), 2,
      anon_sym_else,
      anon_sym_while,
  [203364] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9967), 1,
      anon_sym_LBRACE,
    STATE(1034), 1,
      sym_statement_block,
    STATE(6770), 1,
      sym_comment,
  [203380] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6771), 1,
      sym_comment,
    ACTIONS(3540), 2,
      anon_sym_else,
      anon_sym_while,
  [203394] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6772), 1,
      sym_comment,
    ACTIONS(3540), 2,
      anon_sym_else,
      anon_sym_while,
  [203408] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6773), 1,
      sym_comment,
    ACTIONS(3538), 2,
      anon_sym_else,
      anon_sym_while,
  [203422] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4226), 1,
      anon_sym_COLON,
    STATE(6774), 1,
      sym_comment,
    STATE(7084), 1,
      sym_type_annotation,
  [203438] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7682), 1,
      anon_sym_LBRACE,
    STATE(5507), 1,
      sym_class_body,
    STATE(6775), 1,
      sym_comment,
  [203454] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6776), 1,
      sym_comment,
    ACTIONS(8470), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [203468] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7940), 1,
      anon_sym_LBRACE,
    STATE(5202), 1,
      sym_statement_block,
    STATE(6777), 1,
      sym_comment,
  [203484] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7682), 1,
      anon_sym_LBRACE,
    STATE(5509), 1,
      sym_class_body,
    STATE(6778), 1,
      sym_comment,
  [203500] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10655), 1,
      sym_identifier,
    ACTIONS(10657), 1,
      sym_private_property_identifier,
    STATE(6779), 1,
      sym_comment,
  [203516] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7160), 1,
      anon_sym_LPAREN,
    STATE(6780), 1,
      sym_comment,
    STATE(7231), 1,
      sym_formal_parameters,
  [203532] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7626), 1,
      anon_sym_LBRACE,
    STATE(410), 1,
      sym_class_body,
    STATE(6781), 1,
      sym_comment,
  [203548] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10659), 1,
      sym_identifier,
    ACTIONS(10661), 1,
      sym_private_property_identifier,
    STATE(6782), 1,
      sym_comment,
  [203564] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7550), 1,
      anon_sym_LBRACE,
    STATE(369), 1,
      sym_class_body,
    STATE(6783), 1,
      sym_comment,
  [203580] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7552), 1,
      anon_sym_LBRACE,
    STATE(1146), 1,
      sym_class_body,
    STATE(6784), 1,
      sym_comment,
  [203596] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8236), 1,
      anon_sym_LBRACE,
    STATE(3556), 1,
      sym_statement_block,
    STATE(6785), 1,
      sym_comment,
  [203612] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7978), 1,
      anon_sym_LBRACE,
    STATE(6578), 1,
      sym_statement_block,
    STATE(6786), 1,
      sym_comment,
  [203628] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7682), 1,
      anon_sym_LBRACE,
    STATE(5523), 1,
      sym_class_body,
    STATE(6787), 1,
      sym_comment,
  [203644] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9045), 1,
      anon_sym_LBRACE,
    STATE(409), 1,
      sym_statement_block,
    STATE(6788), 1,
      sym_comment,
  [203660] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8826), 1,
      anon_sym_LBRACE,
    STATE(1135), 1,
      sym_statement_block,
    STATE(6789), 1,
      sym_comment,
  [203676] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7552), 1,
      anon_sym_LBRACE,
    STATE(1134), 1,
      sym_class_body,
    STATE(6790), 1,
      sym_comment,
  [203692] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10663), 1,
      sym_identifier,
    ACTIONS(10665), 1,
      anon_sym_STAR,
    STATE(6791), 1,
      sym_comment,
  [203708] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10667), 1,
      anon_sym_SEMI,
    ACTIONS(10669), 1,
      sym__automatic_semicolon,
    STATE(6792), 1,
      sym_comment,
  [203724] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10671), 1,
      sym_identifier,
    ACTIONS(10673), 1,
      sym_private_property_identifier,
    STATE(6793), 1,
      sym_comment,
  [203740] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6794), 1,
      sym_comment,
    ACTIONS(6729), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [203754] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7978), 1,
      anon_sym_LBRACE,
    STATE(6502), 1,
      sym_statement_block,
    STATE(6795), 1,
      sym_comment,
  [203770] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6796), 1,
      sym_comment,
    ACTIONS(6705), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [203784] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10675), 1,
      sym_identifier,
    ACTIONS(10677), 1,
      sym_private_property_identifier,
    STATE(6797), 1,
      sym_comment,
  [203800] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10679), 1,
      sym_identifier,
    ACTIONS(10681), 1,
      sym_private_property_identifier,
    STATE(6798), 1,
      sym_comment,
  [203816] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10683), 1,
      sym_identifier,
    ACTIONS(10685), 1,
      sym_private_property_identifier,
    STATE(6799), 1,
      sym_comment,
  [203832] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4839), 1,
      anon_sym_LBRACE,
    STATE(3159), 1,
      sym_statement_block,
    STATE(6800), 1,
      sym_comment,
  [203848] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10687), 1,
      sym_identifier,
    ACTIONS(10689), 1,
      sym_private_property_identifier,
    STATE(6801), 1,
      sym_comment,
  [203864] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8706), 1,
      anon_sym_LBRACE,
    STATE(436), 1,
      sym_statement_block,
    STATE(6802), 1,
      sym_comment,
  [203880] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4787), 1,
      anon_sym_LPAREN,
    STATE(2618), 1,
      sym_arguments,
    STATE(6803), 1,
      sym_comment,
  [203896] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8236), 1,
      anon_sym_LBRACE,
    STATE(3543), 1,
      sym_statement_block,
    STATE(6804), 1,
      sym_comment,
  [203912] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6805), 1,
      sym_comment,
    ACTIONS(6745), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [203926] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6806), 1,
      sym_comment,
    ACTIONS(3536), 2,
      anon_sym_else,
      anon_sym_while,
  [203940] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9741), 1,
      sym_identifier,
    ACTIONS(9745), 1,
      sym_private_property_identifier,
    STATE(6807), 1,
      sym_comment,
  [203956] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10691), 1,
      anon_sym_SEMI,
    ACTIONS(10693), 1,
      sym__automatic_semicolon,
    STATE(6808), 1,
      sym_comment,
  [203972] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9051), 1,
      anon_sym_DOT,
    ACTIONS(10695), 1,
      anon_sym_GT,
    STATE(6809), 1,
      sym_comment,
  [203988] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10383), 1,
      anon_sym_LPAREN,
    STATE(109), 1,
      sym_parenthesized_expression,
    STATE(6810), 1,
      sym_comment,
  [204004] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7682), 1,
      anon_sym_LBRACE,
    STATE(5550), 1,
      sym_class_body,
    STATE(6811), 1,
      sym_comment,
  [204020] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7940), 1,
      anon_sym_LBRACE,
    STATE(5209), 1,
      sym_statement_block,
    STATE(6812), 1,
      sym_comment,
  [204036] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7674), 1,
      anon_sym_LBRACE,
    STATE(2614), 1,
      sym_class_body,
    STATE(6813), 1,
      sym_comment,
  [204052] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7682), 1,
      anon_sym_LBRACE,
    STATE(5536), 1,
      sym_class_body,
    STATE(6814), 1,
      sym_comment,
  [204068] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8236), 1,
      anon_sym_LBRACE,
    STATE(3541), 1,
      sym_statement_block,
    STATE(6815), 1,
      sym_comment,
  [204084] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6816), 1,
      sym_comment,
    ACTIONS(10697), 2,
      anon_sym_COMMA,
      anon_sym_GT,
  [204098] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10699), 1,
      anon_sym_SEMI,
    ACTIONS(10701), 1,
      sym__automatic_semicolon,
    STATE(6817), 1,
      sym_comment,
  [204114] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6818), 1,
      sym_comment,
    ACTIONS(10703), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [204128] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7626), 1,
      anon_sym_LBRACE,
    STATE(386), 1,
      sym_class_body,
    STATE(6819), 1,
      sym_comment,
  [204144] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7682), 1,
      anon_sym_LBRACE,
    STATE(5968), 1,
      sym_class_body,
    STATE(6820), 1,
      sym_comment,
  [204160] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8844), 1,
      anon_sym_LBRACE,
    STATE(1289), 1,
      sym_statement_block,
    STATE(6821), 1,
      sym_comment,
  [204176] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10705), 1,
      sym_identifier,
    ACTIONS(10707), 1,
      sym_private_property_identifier,
    STATE(6822), 1,
      sym_comment,
  [204192] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8236), 1,
      anon_sym_LBRACE,
    STATE(3533), 1,
      sym_statement_block,
    STATE(6823), 1,
      sym_comment,
  [204208] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6824), 1,
      sym_comment,
    ACTIONS(10109), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [204222] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6825), 1,
      sym_comment,
    ACTIONS(10709), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [204236] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7672), 1,
      anon_sym_LBRACE,
    STATE(1629), 1,
      sym_class_body,
    STATE(6826), 1,
      sym_comment,
  [204252] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8236), 1,
      anon_sym_LBRACE,
    STATE(3560), 1,
      sym_statement_block,
    STATE(6827), 1,
      sym_comment,
  [204268] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7674), 1,
      anon_sym_LBRACE,
    STATE(2606), 1,
      sym_class_body,
    STATE(6828), 1,
      sym_comment,
  [204284] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5310), 1,
      anon_sym_LBRACE,
    STATE(2604), 1,
      sym_statement_block,
    STATE(6829), 1,
      sym_comment,
  [204300] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6830), 1,
      sym_comment,
    ACTIONS(10711), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [204314] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10383), 1,
      anon_sym_LPAREN,
    STATE(101), 1,
      sym_parenthesized_expression,
    STATE(6831), 1,
      sym_comment,
  [204330] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10391), 1,
      anon_sym_LPAREN,
    STATE(6498), 1,
      sym_parenthesized_expression,
    STATE(6832), 1,
      sym_comment,
  [204346] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7682), 1,
      anon_sym_LBRACE,
    STATE(5396), 1,
      sym_class_body,
    STATE(6833), 1,
      sym_comment,
  [204362] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6834), 1,
      sym_comment,
    ACTIONS(10713), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [204376] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6835), 1,
      sym_comment,
    ACTIONS(10715), 2,
      anon_sym_COMMA,
      anon_sym_GT,
  [204390] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9045), 1,
      anon_sym_LBRACE,
    STATE(384), 1,
      sym_statement_block,
    STATE(6836), 1,
      sym_comment,
  [204406] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10717), 1,
      sym_identifier,
    ACTIONS(10719), 1,
      sym_private_property_identifier,
    STATE(6837), 1,
      sym_comment,
  [204422] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6838), 1,
      sym_comment,
    ACTIONS(3534), 2,
      anon_sym_else,
      anon_sym_while,
  [204436] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7584), 1,
      anon_sym_LBRACE,
    STATE(448), 1,
      sym_class_body,
    STATE(6839), 1,
      sym_comment,
  [204452] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6840), 1,
      sym_comment,
    ACTIONS(3532), 2,
      anon_sym_else,
      anon_sym_while,
  [204466] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10721), 1,
      anon_sym_SEMI,
    ACTIONS(10723), 1,
      sym__automatic_semicolon,
    STATE(6841), 1,
      sym_comment,
  [204482] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6842), 1,
      sym_comment,
    ACTIONS(3530), 2,
      anon_sym_else,
      anon_sym_while,
  [204496] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6843), 1,
      sym_comment,
    ACTIONS(3528), 2,
      anon_sym_else,
      anon_sym_while,
  [204510] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6844), 1,
      sym_comment,
    ACTIONS(2201), 2,
      anon_sym_else,
      anon_sym_while,
  [204524] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10725), 1,
      sym_identifier,
    ACTIONS(10727), 1,
      sym_private_property_identifier,
    STATE(6845), 1,
      sym_comment,
  [204540] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6846), 1,
      sym_comment,
    ACTIONS(3524), 2,
      anon_sym_else,
      anon_sym_while,
  [204554] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9116), 1,
      anon_sym_from,
    STATE(6681), 1,
      sym__from_clause,
    STATE(6847), 1,
      sym_comment,
  [204570] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10729), 1,
      sym_identifier,
    ACTIONS(10731), 1,
      sym_private_property_identifier,
    STATE(6848), 1,
      sym_comment,
  [204586] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6849), 1,
      sym_comment,
    ACTIONS(10046), 2,
      anon_sym_COMMA,
      anon_sym_GT,
  [204600] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7544), 1,
      anon_sym_LBRACE,
    STATE(3221), 1,
      sym_class_body,
    STATE(6850), 1,
      sym_comment,
  [204616] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6851), 1,
      sym_comment,
    ACTIONS(3522), 2,
      anon_sym_else,
      anon_sym_while,
  [204630] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9051), 1,
      anon_sym_DOT,
    ACTIONS(10733), 1,
      anon_sym_GT,
    STATE(6852), 1,
      sym_comment,
  [204646] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10735), 1,
      sym_identifier,
    STATE(6413), 1,
      sym_nested_identifier,
    STATE(6853), 1,
      sym_comment,
  [204662] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6854), 1,
      sym_comment,
    ACTIONS(3520), 2,
      anon_sym_else,
      anon_sym_while,
  [204676] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6855), 1,
      sym_comment,
    ACTIONS(3518), 2,
      anon_sym_else,
      anon_sym_while,
  [204690] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7672), 1,
      anon_sym_LBRACE,
    STATE(1668), 1,
      sym_class_body,
    STATE(6856), 1,
      sym_comment,
  [204706] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10737), 1,
      anon_sym_SEMI,
    ACTIONS(10739), 1,
      sym__automatic_semicolon,
    STATE(6857), 1,
      sym_comment,
  [204722] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6858), 1,
      sym_comment,
    ACTIONS(10741), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [204736] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9116), 1,
      anon_sym_from,
    STATE(5622), 1,
      sym__from_clause,
    STATE(6859), 1,
      sym_comment,
  [204752] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6860), 1,
      sym_comment,
    ACTIONS(10743), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [204766] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6861), 1,
      sym_comment,
    ACTIONS(3518), 2,
      anon_sym_else,
      anon_sym_while,
  [204780] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6862), 1,
      sym_comment,
    ACTIONS(3518), 2,
      anon_sym_else,
      anon_sym_while,
  [204794] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8236), 1,
      anon_sym_LBRACE,
    STATE(3529), 1,
      sym_statement_block,
    STATE(6863), 1,
      sym_comment,
  [204810] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8742), 1,
      anon_sym_LBRACE,
    STATE(344), 1,
      sym_statement_block,
    STATE(6864), 1,
      sym_comment,
  [204826] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7646), 1,
      anon_sym_LBRACE,
    STATE(1500), 1,
      sym_class_body,
    STATE(6865), 1,
      sym_comment,
  [204842] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5310), 1,
      anon_sym_LBRACE,
    STATE(2584), 1,
      sym_statement_block,
    STATE(6866), 1,
      sym_comment,
  [204858] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7682), 1,
      anon_sym_LBRACE,
    STATE(5255), 1,
      sym_class_body,
    STATE(6867), 1,
      sym_comment,
  [204874] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6868), 1,
      sym_comment,
    ACTIONS(10745), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [204888] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10747), 1,
      sym_identifier,
    ACTIONS(10749), 1,
      sym_private_property_identifier,
    STATE(6869), 1,
      sym_comment,
  [204904] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6870), 1,
      sym_comment,
    ACTIONS(3516), 2,
      anon_sym_else,
      anon_sym_while,
  [204918] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9116), 1,
      anon_sym_from,
    STATE(6566), 1,
      sym__from_clause,
    STATE(6871), 1,
      sym_comment,
  [204934] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10751), 1,
      anon_sym_SEMI,
    ACTIONS(10753), 1,
      sym__automatic_semicolon,
    STATE(6872), 1,
      sym_comment,
  [204950] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6873), 1,
      sym_comment,
    ACTIONS(3514), 2,
      anon_sym_else,
      anon_sym_while,
  [204964] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7550), 1,
      anon_sym_LBRACE,
    STATE(389), 1,
      sym_class_body,
    STATE(6874), 1,
      sym_comment,
  [204980] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10755), 1,
      anon_sym_SEMI,
    ACTIONS(10757), 1,
      sym__automatic_semicolon,
    STATE(6875), 1,
      sym_comment,
  [204996] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10759), 1,
      anon_sym_SEMI,
    ACTIONS(10761), 1,
      sym__automatic_semicolon,
    STATE(6876), 1,
      sym_comment,
  [205012] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7646), 1,
      anon_sym_LBRACE,
    STATE(1527), 1,
      sym_class_body,
    STATE(6877), 1,
      sym_comment,
  [205028] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10763), 1,
      sym_identifier,
    ACTIONS(10765), 1,
      sym_private_property_identifier,
    STATE(6878), 1,
      sym_comment,
  [205044] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6879), 1,
      sym_comment,
    ACTIONS(3512), 2,
      anon_sym_else,
      anon_sym_while,
  [205058] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6880), 1,
      sym_comment,
    ACTIONS(3510), 2,
      anon_sym_else,
      anon_sym_while,
  [205072] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10767), 1,
      sym_identifier,
    ACTIONS(10769), 1,
      anon_sym_STAR,
    STATE(6881), 1,
      sym_comment,
  [205088] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10771), 1,
      sym_identifier,
    ACTIONS(10773), 1,
      sym_private_property_identifier,
    STATE(6882), 1,
      sym_comment,
  [205104] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6883), 1,
      sym_comment,
    ACTIONS(3508), 2,
      anon_sym_else,
      anon_sym_while,
  [205118] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9661), 1,
      anon_sym_COLON,
    ACTIONS(10023), 1,
      anon_sym_GT,
    STATE(6884), 1,
      sym_comment,
  [205134] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4839), 1,
      anon_sym_LBRACE,
    STATE(3252), 1,
      sym_statement_block,
    STATE(6885), 1,
      sym_comment,
  [205150] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7696), 1,
      anon_sym_LBRACE,
    STATE(6851), 1,
      sym_class_body,
    STATE(6886), 1,
      sym_comment,
  [205166] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10775), 1,
      sym_identifier,
    ACTIONS(10777), 1,
      sym_private_property_identifier,
    STATE(6887), 1,
      sym_comment,
  [205182] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8826), 1,
      anon_sym_LBRACE,
    STATE(961), 1,
      sym_statement_block,
    STATE(6888), 1,
      sym_comment,
  [205198] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10779), 1,
      sym_identifier,
    ACTIONS(10781), 1,
      sym_private_property_identifier,
    STATE(6889), 1,
      sym_comment,
  [205214] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6890), 1,
      sym_comment,
    ACTIONS(6709), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [205228] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10783), 1,
      sym_identifier,
    ACTIONS(10785), 1,
      sym_private_property_identifier,
    STATE(6891), 1,
      sym_comment,
  [205244] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6892), 1,
      sym_comment,
    ACTIONS(3506), 2,
      anon_sym_else,
      anon_sym_while,
  [205258] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10787), 1,
      sym_identifier,
    ACTIONS(10789), 1,
      sym_private_property_identifier,
    STATE(6893), 1,
      sym_comment,
  [205274] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6894), 1,
      sym_comment,
    ACTIONS(3506), 2,
      anon_sym_else,
      anon_sym_while,
  [205288] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6895), 1,
      sym_comment,
    ACTIONS(2387), 2,
      anon_sym_else,
      anon_sym_while,
  [205302] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6896), 1,
      sym_comment,
    ACTIONS(3504), 2,
      anon_sym_else,
      anon_sym_while,
  [205316] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7552), 1,
      anon_sym_LBRACE,
    STATE(1130), 1,
      sym_class_body,
    STATE(6897), 1,
      sym_comment,
  [205332] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6898), 1,
      sym_comment,
    ACTIONS(3502), 2,
      anon_sym_else,
      anon_sym_while,
  [205346] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6899), 1,
      sym_comment,
    ACTIONS(3500), 2,
      anon_sym_else,
      anon_sym_while,
  [205360] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6900), 1,
      sym_comment,
    ACTIONS(3498), 2,
      anon_sym_else,
      anon_sym_while,
  [205374] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9661), 1,
      anon_sym_COLON,
    ACTIONS(10084), 1,
      anon_sym_GT,
    STATE(6901), 1,
      sym_comment,
  [205390] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9116), 1,
      anon_sym_from,
    STATE(5583), 1,
      sym__from_clause,
    STATE(6902), 1,
      sym_comment,
  [205406] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6903), 1,
      sym_comment,
    ACTIONS(3498), 2,
      anon_sym_else,
      anon_sym_while,
  [205420] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7674), 1,
      anon_sym_LBRACE,
    STATE(2572), 1,
      sym_class_body,
    STATE(6904), 1,
      sym_comment,
  [205436] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7682), 1,
      anon_sym_LBRACE,
    STATE(5929), 1,
      sym_class_body,
    STATE(6905), 1,
      sym_comment,
  [205452] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7940), 1,
      anon_sym_LBRACE,
    STATE(5925), 1,
      sym_statement_block,
    STATE(6906), 1,
      sym_comment,
  [205468] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6907), 1,
      sym_comment,
    ACTIONS(3376), 2,
      anon_sym_else,
      anon_sym_while,
  [205482] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9622), 1,
      anon_sym_LBRACE,
    STATE(1129), 1,
      sym_statement_block,
    STATE(6908), 1,
      sym_comment,
  [205498] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7160), 1,
      anon_sym_LPAREN,
    STATE(6909), 1,
      sym_comment,
    STATE(7338), 1,
      sym_formal_parameters,
  [205514] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7682), 1,
      anon_sym_LBRACE,
    STATE(5920), 1,
      sym_class_body,
    STATE(6910), 1,
      sym_comment,
  [205530] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6911), 1,
      sym_comment,
    ACTIONS(9952), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [205544] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7160), 1,
      anon_sym_LPAREN,
    STATE(5415), 1,
      sym_formal_parameters,
    STATE(6912), 1,
      sym_comment,
  [205560] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6913), 1,
      sym_comment,
    ACTIONS(3378), 2,
      anon_sym_else,
      anon_sym_while,
  [205574] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10791), 1,
      sym_identifier,
    ACTIONS(10793), 1,
      sym_private_property_identifier,
    STATE(6914), 1,
      sym_comment,
  [205590] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6915), 1,
      sym_comment,
    ACTIONS(2387), 2,
      anon_sym_else,
      anon_sym_while,
  [205604] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7626), 1,
      anon_sym_LBRACE,
    STATE(397), 1,
      sym_class_body,
    STATE(6916), 1,
      sym_comment,
  [205620] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10795), 1,
      anon_sym_SEMI,
    ACTIONS(10797), 1,
      sym__automatic_semicolon,
    STATE(6917), 1,
      sym_comment,
  [205636] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6918), 1,
      sym_comment,
    ACTIONS(6694), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [205650] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7160), 1,
      anon_sym_LPAREN,
    STATE(6919), 1,
      sym_comment,
    STATE(7610), 1,
      sym_formal_parameters,
  [205666] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10587), 1,
      anon_sym_LBRACE,
    STATE(1436), 1,
      sym_statement_block,
    STATE(6920), 1,
      sym_comment,
  [205682] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6921), 1,
      sym_comment,
    ACTIONS(3496), 2,
      anon_sym_else,
      anon_sym_while,
  [205696] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10799), 1,
      anon_sym_LPAREN,
    STATE(1115), 1,
      sym_parenthesized_expression,
    STATE(6922), 1,
      sym_comment,
  [205712] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7160), 1,
      anon_sym_LPAREN,
    STATE(5512), 1,
      sym_formal_parameters,
    STATE(6923), 1,
      sym_comment,
  [205728] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8236), 1,
      anon_sym_LBRACE,
    STATE(3521), 1,
      sym_statement_block,
    STATE(6924), 1,
      sym_comment,
  [205744] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7160), 1,
      anon_sym_LPAREN,
    STATE(6925), 1,
      sym_comment,
    STATE(7656), 1,
      sym_formal_parameters,
  [205760] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10801), 1,
      sym_identifier,
    STATE(6187), 1,
      sym_nested_identifier,
    STATE(6926), 1,
      sym_comment,
  [205776] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6927), 1,
      sym_comment,
    ACTIONS(3494), 2,
      anon_sym_else,
      anon_sym_while,
  [205790] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7584), 1,
      anon_sym_LBRACE,
    STATE(454), 1,
      sym_class_body,
    STATE(6928), 1,
      sym_comment,
  [205806] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7544), 1,
      anon_sym_LBRACE,
    STATE(3283), 1,
      sym_class_body,
    STATE(6929), 1,
      sym_comment,
  [205822] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10803), 1,
      sym_identifier,
    STATE(6419), 1,
      sym_nested_identifier,
    STATE(6930), 1,
      sym_comment,
  [205838] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6931), 1,
      sym_comment,
    ACTIONS(9961), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [205852] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8236), 1,
      anon_sym_LBRACE,
    STATE(3555), 1,
      sym_statement_block,
    STATE(6932), 1,
      sym_comment,
  [205868] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6933), 1,
      sym_comment,
    ACTIONS(10805), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [205882] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7562), 1,
      anon_sym_LBRACE,
    STATE(1540), 1,
      sym_class_body,
    STATE(6934), 1,
      sym_comment,
  [205898] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10807), 1,
      anon_sym_LBRACE,
    STATE(4998), 1,
      sym_enum_body,
    STATE(6935), 1,
      sym_comment,
  [205914] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8236), 1,
      anon_sym_LBRACE,
    STATE(3545), 1,
      sym_statement_block,
    STATE(6936), 1,
      sym_comment,
  [205930] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8844), 1,
      anon_sym_LBRACE,
    STATE(1543), 1,
      sym_statement_block,
    STATE(6937), 1,
      sym_comment,
  [205946] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8236), 1,
      anon_sym_LBRACE,
    STATE(3553), 1,
      sym_statement_block,
    STATE(6938), 1,
      sym_comment,
  [205962] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7160), 1,
      anon_sym_LPAREN,
    STATE(6939), 1,
      sym_comment,
    STATE(7324), 1,
      sym_formal_parameters,
  [205978] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7562), 1,
      anon_sym_LBRACE,
    STATE(1544), 1,
      sym_class_body,
    STATE(6940), 1,
      sym_comment,
  [205994] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6941), 1,
      sym_comment,
    ACTIONS(3380), 2,
      anon_sym_else,
      anon_sym_while,
  [206008] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6942), 1,
      sym_comment,
    ACTIONS(8650), 2,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
  [206022] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6943), 1,
      sym_comment,
    ACTIONS(3382), 2,
      anon_sym_else,
      anon_sym_while,
  [206036] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6944), 1,
      sym_comment,
    ACTIONS(3384), 2,
      anon_sym_else,
      anon_sym_while,
  [206050] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7160), 1,
      anon_sym_LPAREN,
    STATE(5531), 1,
      sym_formal_parameters,
    STATE(6945), 1,
      sym_comment,
  [206066] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7978), 1,
      anon_sym_LBRACE,
    STATE(6796), 1,
      sym_statement_block,
    STATE(6946), 1,
      sym_comment,
  [206082] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6947), 1,
      sym_comment,
    ACTIONS(3386), 2,
      anon_sym_else,
      anon_sym_while,
  [206096] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7674), 1,
      anon_sym_LBRACE,
    STATE(2570), 1,
      sym_class_body,
    STATE(6948), 1,
      sym_comment,
  [206112] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6949), 1,
      sym_comment,
    ACTIONS(9122), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [206126] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6950), 1,
      sym_comment,
    ACTIONS(10809), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [206140] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5310), 1,
      anon_sym_LBRACE,
    STATE(2569), 1,
      sym_statement_block,
    STATE(6951), 1,
      sym_comment,
  [206156] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5310), 1,
      anon_sym_LBRACE,
    STATE(2568), 1,
      sym_statement_block,
    STATE(6952), 1,
      sym_comment,
  [206172] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7674), 1,
      anon_sym_LBRACE,
    STATE(2566), 1,
      sym_class_body,
    STATE(6953), 1,
      sym_comment,
  [206188] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6954), 1,
      sym_comment,
    ACTIONS(3492), 2,
      anon_sym_else,
      anon_sym_while,
  [206202] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7160), 1,
      anon_sym_LPAREN,
    STATE(6955), 1,
      sym_comment,
    STATE(7219), 1,
      sym_formal_parameters,
  [206218] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6956), 1,
      sym_comment,
    ACTIONS(3388), 2,
      anon_sym_else,
      anon_sym_while,
  [206232] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7978), 1,
      anon_sym_LBRACE,
    STATE(6794), 1,
      sym_statement_block,
    STATE(6957), 1,
      sym_comment,
  [206248] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6958), 1,
      sym_comment,
    ACTIONS(6776), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [206262] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6959), 1,
      sym_comment,
    ACTIONS(3492), 2,
      anon_sym_else,
      anon_sym_while,
  [206276] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6960), 1,
      sym_comment,
    ACTIONS(3390), 2,
      anon_sym_else,
      anon_sym_while,
  [206290] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7544), 1,
      anon_sym_LBRACE,
    STATE(3309), 1,
      sym_class_body,
    STATE(6961), 1,
      sym_comment,
  [206306] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7160), 1,
      anon_sym_LPAREN,
    STATE(6962), 1,
      sym_comment,
    STATE(7569), 1,
      sym_formal_parameters,
  [206322] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6963), 1,
      sym_comment,
    ACTIONS(3392), 2,
      anon_sym_else,
      anon_sym_while,
  [206336] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4839), 1,
      anon_sym_LBRACE,
    STATE(3311), 1,
      sym_statement_block,
    STATE(6964), 1,
      sym_comment,
  [206352] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4839), 1,
      anon_sym_LBRACE,
    STATE(3066), 1,
      sym_statement_block,
    STATE(6965), 1,
      sym_comment,
  [206368] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7544), 1,
      anon_sym_LBRACE,
    STATE(3313), 1,
      sym_class_body,
    STATE(6966), 1,
      sym_comment,
  [206384] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10811), 1,
      anon_sym_SEMI,
    ACTIONS(10813), 1,
      sym__automatic_semicolon,
    STATE(6967), 1,
      sym_comment,
  [206400] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10815), 1,
      anon_sym_SEMI,
    ACTIONS(10817), 1,
      sym__automatic_semicolon,
    STATE(6968), 1,
      sym_comment,
  [206416] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6969), 1,
      sym_comment,
    ACTIONS(9588), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [206430] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6970), 1,
      sym_comment,
    ACTIONS(10819), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [206444] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10821), 1,
      anon_sym_SEMI,
    ACTIONS(10823), 1,
      sym__automatic_semicolon,
    STATE(6971), 1,
      sym_comment,
  [206460] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6972), 1,
      sym_comment,
    ACTIONS(10825), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [206474] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6973), 1,
      sym_comment,
    ACTIONS(3490), 2,
      anon_sym_else,
      anon_sym_while,
  [206488] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6974), 1,
      sym_comment,
    ACTIONS(3370), 2,
      anon_sym_else,
      anon_sym_while,
  [206502] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10827), 1,
      anon_sym_SEMI,
    ACTIONS(10829), 1,
      sym__automatic_semicolon,
    STATE(6975), 1,
      sym_comment,
  [206518] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9116), 1,
      anon_sym_from,
    STATE(5655), 1,
      sym__from_clause,
    STATE(6976), 1,
      sym_comment,
  [206534] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6977), 1,
      sym_comment,
    ACTIONS(2075), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [206548] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7978), 1,
      anon_sym_LBRACE,
    STATE(6490), 1,
      sym_statement_block,
    STATE(6978), 1,
      sym_comment,
  [206564] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6979), 1,
      sym_comment,
    ACTIONS(10831), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [206578] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7672), 1,
      anon_sym_LBRACE,
    STATE(1644), 1,
      sym_class_body,
    STATE(6980), 1,
      sym_comment,
  [206594] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9116), 1,
      anon_sym_from,
    STATE(5742), 1,
      sym__from_clause,
    STATE(6981), 1,
      sym_comment,
  [206610] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10833), 1,
      sym_identifier,
    ACTIONS(10835), 1,
      sym_private_property_identifier,
    STATE(6982), 1,
      sym_comment,
  [206626] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6983), 1,
      sym_comment,
    ACTIONS(3394), 2,
      anon_sym_else,
      anon_sym_while,
  [206640] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10837), 1,
      sym_identifier,
    ACTIONS(10839), 1,
      sym_private_property_identifier,
    STATE(6984), 1,
      sym_comment,
  [206656] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(6985), 1,
      sym_comment,
    ACTIONS(10841), 2,
      sym__glimmer_template_content,
      anon_sym_LT_SLASHtemplate_GT,
  [206670] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6986), 1,
      sym_comment,
    ACTIONS(3396), 2,
      anon_sym_else,
      anon_sym_while,
  [206684] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6987), 1,
      sym_comment,
    ACTIONS(3398), 2,
      anon_sym_else,
      anon_sym_while,
  [206698] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6988), 1,
      sym_comment,
    ACTIONS(3526), 2,
      anon_sym_else,
      anon_sym_while,
  [206712] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6989), 1,
      sym_comment,
    ACTIONS(7470), 2,
      anon_sym_in,
      anon_sym_of,
  [206726] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10843), 1,
      anon_sym_SEMI,
    ACTIONS(10845), 1,
      sym__automatic_semicolon,
    STATE(6990), 1,
      sym_comment,
  [206742] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6991), 1,
      sym_comment,
    ACTIONS(3400), 2,
      anon_sym_else,
      anon_sym_while,
  [206756] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6992), 1,
      sym_comment,
    ACTIONS(3402), 2,
      anon_sym_else,
      anon_sym_while,
  [206770] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10847), 1,
      sym_identifier,
    ACTIONS(10849), 1,
      sym_private_property_identifier,
    STATE(6993), 1,
      sym_comment,
  [206786] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10851), 1,
      sym_identifier,
    ACTIONS(10853), 1,
      sym_private_property_identifier,
    STATE(6994), 1,
      sym_comment,
  [206802] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6995), 1,
      sym_comment,
    ACTIONS(6735), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [206816] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6996), 1,
      sym_comment,
    ACTIONS(10855), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [206830] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6997), 1,
      sym_comment,
    ACTIONS(3404), 2,
      anon_sym_else,
      anon_sym_while,
  [206844] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9943), 1,
      sym_identifier,
    ACTIONS(9947), 1,
      sym_private_property_identifier,
    STATE(6998), 1,
      sym_comment,
  [206860] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10807), 1,
      anon_sym_LBRACE,
    STATE(5547), 1,
      sym_enum_body,
    STATE(6999), 1,
      sym_comment,
  [206876] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10857), 1,
      sym_identifier,
    ACTIONS(10859), 1,
      sym_private_property_identifier,
    STATE(7000), 1,
      sym_comment,
  [206892] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10439), 1,
      anon_sym_LBRACE,
    STATE(1566), 1,
      sym_enum_body,
    STATE(7001), 1,
      sym_comment,
  [206908] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7674), 1,
      anon_sym_LBRACE,
    STATE(3416), 1,
      sym_class_body,
    STATE(7002), 1,
      sym_comment,
  [206924] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8706), 1,
      anon_sym_LBRACE,
    STATE(443), 1,
      sym_statement_block,
    STATE(7003), 1,
      sym_comment,
  [206940] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10629), 1,
      anon_sym_LBRACE,
    STATE(1568), 1,
      sym_statement_block,
    STATE(7004), 1,
      sym_comment,
  [206956] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(7005), 1,
      sym_comment,
    ACTIONS(3406), 2,
      anon_sym_else,
      anon_sym_while,
  [206970] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9116), 1,
      anon_sym_from,
    STATE(5642), 1,
      sym__from_clause,
    STATE(7006), 1,
      sym_comment,
  [206986] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(7007), 1,
      sym_comment,
    ACTIONS(3408), 2,
      anon_sym_else,
      anon_sym_while,
  [207000] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7674), 1,
      anon_sym_LBRACE,
    STATE(3422), 1,
      sym_class_body,
    STATE(7008), 1,
      sym_comment,
  [207016] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7160), 1,
      anon_sym_LPAREN,
    STATE(7009), 1,
      sym_comment,
    STATE(7612), 1,
      sym_formal_parameters,
  [207032] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(7010), 1,
      sym_comment,
    ACTIONS(3410), 2,
      anon_sym_else,
      anon_sym_while,
  [207046] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7940), 1,
      anon_sym_LBRACE,
    STATE(5543), 1,
      sym_statement_block,
    STATE(7011), 1,
      sym_comment,
  [207062] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9116), 1,
      anon_sym_from,
    STATE(6664), 1,
      sym__from_clause,
    STATE(7012), 1,
      sym_comment,
  [207078] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4839), 1,
      anon_sym_LBRACE,
    STATE(3330), 1,
      sym_statement_block,
    STATE(7013), 1,
      sym_comment,
  [207094] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7696), 1,
      anon_sym_LBRACE,
    STATE(6742), 1,
      sym_class_body,
    STATE(7014), 1,
      sym_comment,
  [207110] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(7015), 1,
      sym_comment,
    ACTIONS(3470), 2,
      anon_sym_else,
      anon_sym_while,
  [207124] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(7016), 1,
      sym_comment,
    ACTIONS(3370), 2,
      anon_sym_else,
      anon_sym_while,
  [207138] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8236), 1,
      anon_sym_LBRACE,
    STATE(3527), 1,
      sym_statement_block,
    STATE(7017), 1,
      sym_comment,
  [207154] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8236), 1,
      anon_sym_LBRACE,
    STATE(3530), 1,
      sym_statement_block,
    STATE(7018), 1,
      sym_comment,
  [207170] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7544), 1,
      anon_sym_LBRACE,
    STATE(3284), 1,
      sym_class_body,
    STATE(7019), 1,
      sym_comment,
  [207186] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(7020), 1,
      sym_comment,
    ACTIONS(3370), 2,
      anon_sym_else,
      anon_sym_while,
  [207200] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7696), 1,
      anon_sym_LBRACE,
    STATE(6721), 1,
      sym_class_body,
    STATE(7021), 1,
      sym_comment,
  [207216] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7940), 1,
      anon_sym_LBRACE,
    STATE(5894), 1,
      sym_statement_block,
    STATE(7022), 1,
      sym_comment,
  [207232] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(7023), 1,
      sym_comment,
    ACTIONS(3488), 2,
      anon_sym_else,
      anon_sym_while,
  [207246] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(7024), 1,
      sym_comment,
    ACTIONS(2205), 2,
      anon_sym_else,
      anon_sym_while,
  [207260] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10861), 1,
      anon_sym_COMMA,
    ACTIONS(10863), 1,
      anon_sym_from,
    STATE(7025), 1,
      sym_comment,
  [207276] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(7026), 1,
      sym_comment,
    ACTIONS(3486), 2,
      anon_sym_else,
      anon_sym_while,
  [207290] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(7027), 1,
      sym_comment,
    ACTIONS(3484), 2,
      anon_sym_else,
      anon_sym_while,
  [207304] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10391), 1,
      anon_sym_LPAREN,
    STATE(6701), 1,
      sym_parenthesized_expression,
    STATE(7028), 1,
      sym_comment,
  [207320] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(7029), 1,
      sym_comment,
    ACTIONS(3370), 2,
      anon_sym_else,
      anon_sym_while,
  [207334] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(7030), 1,
      sym_comment,
    ACTIONS(3482), 2,
      anon_sym_else,
      anon_sym_while,
  [207348] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9622), 1,
      anon_sym_LBRACE,
    STATE(1128), 1,
      sym_statement_block,
    STATE(7031), 1,
      sym_comment,
  [207364] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(7032), 1,
      sym_comment,
    ACTIONS(3480), 2,
      anon_sym_else,
      anon_sym_while,
  [207378] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(7033), 1,
      sym_comment,
    ACTIONS(10865), 2,
      anon_sym_COMMA,
      anon_sym_GT,
  [207392] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(7034), 1,
      sym_comment,
    ACTIONS(3480), 2,
      anon_sym_else,
      anon_sym_while,
  [207406] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(7035), 1,
      sym_comment,
    ACTIONS(3370), 2,
      anon_sym_else,
      anon_sym_while,
  [207420] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8236), 1,
      anon_sym_LBRACE,
    STATE(3559), 1,
      sym_statement_block,
    STATE(7036), 1,
      sym_comment,
  [207436] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(7037), 1,
      sym_comment,
    ACTIONS(3370), 2,
      anon_sym_else,
      anon_sym_while,
  [207450] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(7038), 1,
      sym_comment,
    ACTIONS(3478), 2,
      anon_sym_else,
      anon_sym_while,
  [207464] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(7039), 1,
      sym_comment,
    ACTIONS(3476), 2,
      anon_sym_else,
      anon_sym_while,
  [207478] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(7040), 1,
      sym_comment,
    ACTIONS(3370), 2,
      anon_sym_else,
      anon_sym_while,
  [207492] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7682), 1,
      anon_sym_LBRACE,
    STATE(5892), 1,
      sym_class_body,
    STATE(7041), 1,
      sym_comment,
  [207508] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(7042), 1,
      sym_comment,
    ACTIONS(3474), 2,
      anon_sym_else,
      anon_sym_while,
  [207522] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8236), 1,
      anon_sym_LBRACE,
    STATE(3539), 1,
      sym_statement_block,
    STATE(7043), 1,
      sym_comment,
  [207538] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8236), 1,
      anon_sym_LBRACE,
    STATE(3548), 1,
      sym_statement_block,
    STATE(7044), 1,
      sym_comment,
  [207554] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(7045), 1,
      sym_comment,
    ACTIONS(3370), 2,
      anon_sym_else,
      anon_sym_while,
  [207568] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5310), 1,
      anon_sym_LBRACE,
    STATE(2553), 1,
      sym_statement_block,
    STATE(7046), 1,
      sym_comment,
  [207584] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(7047), 1,
      sym_comment,
    ACTIONS(3370), 2,
      anon_sym_else,
      anon_sym_while,
  [207598] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(7048), 1,
      sym_comment,
    ACTIONS(5691), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [207612] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7674), 1,
      anon_sym_LBRACE,
    STATE(2552), 1,
      sym_class_body,
    STATE(7049), 1,
      sym_comment,
  [207628] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(7050), 1,
      sym_comment,
    ACTIONS(5693), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [207642] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(7051), 1,
      sym_comment,
    ACTIONS(3370), 2,
      anon_sym_else,
      anon_sym_while,
  [207656] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(7052), 1,
      sym_comment,
    ACTIONS(3370), 2,
      anon_sym_else,
      anon_sym_while,
  [207670] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(7053), 1,
      sym_comment,
    ACTIONS(3370), 2,
      anon_sym_else,
      anon_sym_while,
  [207684] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(7054), 1,
      sym_comment,
    ACTIONS(10867), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [207698] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(7055), 1,
      sym_comment,
    ACTIONS(3370), 2,
      anon_sym_else,
      anon_sym_while,
  [207712] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(7056), 1,
      sym_comment,
    ACTIONS(10869), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [207726] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(7057), 1,
      sym_comment,
    ACTIONS(3370), 2,
      anon_sym_else,
      anon_sym_while,
  [207740] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7978), 1,
      anon_sym_LBRACE,
    STATE(5883), 1,
      sym_statement_block,
    STATE(7058), 1,
      sym_comment,
  [207756] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(7059), 1,
      sym_comment,
    ACTIONS(3370), 2,
      anon_sym_else,
      anon_sym_while,
  [207770] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7160), 1,
      anon_sym_LPAREN,
    STATE(7060), 1,
      sym_comment,
    STATE(7411), 1,
      sym_formal_parameters,
  [207786] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(7061), 1,
      sym_comment,
    ACTIONS(3370), 2,
      anon_sym_else,
      anon_sym_while,
  [207800] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10489), 1,
      anon_sym_LPAREN,
    STATE(114), 1,
      sym__for_header,
    STATE(7062), 1,
      sym_comment,
  [207816] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10871), 1,
      anon_sym_LBRACE,
    STATE(1539), 1,
      sym_switch_body,
    STATE(7063), 1,
      sym_comment,
  [207832] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(7064), 1,
      sym_comment,
    ACTIONS(3370), 2,
      anon_sym_else,
      anon_sym_while,
  [207846] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(7065), 1,
      sym_comment,
    ACTIONS(3470), 2,
      anon_sym_else,
      anon_sym_while,
  [207860] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(7066), 1,
      sym_comment,
    ACTIONS(3470), 2,
      anon_sym_else,
      anon_sym_while,
  [207874] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9863), 1,
      sym_identifier,
    ACTIONS(9867), 1,
      sym_private_property_identifier,
    STATE(7067), 1,
      sym_comment,
  [207890] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7160), 1,
      anon_sym_LPAREN,
    STATE(7068), 1,
      sym_comment,
    STATE(7379), 1,
      sym_formal_parameters,
  [207906] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(7069), 1,
      sym_comment,
    ACTIONS(3370), 2,
      anon_sym_else,
      anon_sym_while,
  [207920] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(7070), 1,
      sym_comment,
    ACTIONS(3470), 2,
      anon_sym_else,
      anon_sym_while,
  [207934] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(7071), 1,
      sym_comment,
    ACTIONS(3370), 2,
      anon_sym_else,
      anon_sym_while,
  [207948] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(7072), 1,
      sym_comment,
    ACTIONS(3470), 2,
      anon_sym_else,
      anon_sym_while,
  [207962] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10873), 1,
      sym_identifier,
    STATE(6170), 1,
      sym_nested_identifier,
    STATE(7073), 1,
      sym_comment,
  [207978] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10383), 1,
      anon_sym_LPAREN,
    STATE(88), 1,
      sym_parenthesized_expression,
    STATE(7074), 1,
      sym_comment,
  [207994] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10391), 1,
      anon_sym_LPAREN,
    STATE(6604), 1,
      sym_parenthesized_expression,
    STATE(7075), 1,
      sym_comment,
  [208010] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(7076), 1,
      sym_comment,
    ACTIONS(3470), 2,
      anon_sym_else,
      anon_sym_while,
  [208024] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(7077), 1,
      sym_comment,
    ACTIONS(3370), 2,
      anon_sym_else,
      anon_sym_while,
  [208038] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7160), 1,
      anon_sym_LPAREN,
    STATE(7078), 1,
      sym_comment,
    STATE(7356), 1,
      sym_formal_parameters,
  [208054] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10875), 1,
      anon_sym_LBRACE,
    STATE(1604), 1,
      sym_switch_body,
    STATE(7079), 1,
      sym_comment,
  [208070] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10489), 1,
      anon_sym_LPAREN,
    STATE(120), 1,
      sym__for_header,
    STATE(7080), 1,
      sym_comment,
  [208086] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9116), 1,
      anon_sym_from,
    STATE(5572), 1,
      sym__from_clause,
    STATE(7081), 1,
      sym_comment,
  [208102] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(7082), 1,
      sym_comment,
    ACTIONS(3412), 2,
      anon_sym_else,
      anon_sym_while,
  [208116] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(7083), 1,
      sym_comment,
    ACTIONS(10877), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [208130] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(7084), 1,
      sym_comment,
    ACTIONS(10879), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [208144] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4226), 1,
      anon_sym_COLON,
    STATE(6524), 1,
      sym_type_annotation,
    STATE(7085), 1,
      sym_comment,
  [208160] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7584), 1,
      anon_sym_LBRACE,
    STATE(459), 1,
      sym_class_body,
    STATE(7086), 1,
      sym_comment,
  [208176] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(7087), 1,
      sym_comment,
    ACTIONS(3470), 2,
      anon_sym_else,
      anon_sym_while,
  [208190] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9116), 1,
      anon_sym_from,
    STATE(6521), 1,
      sym__from_clause,
    STATE(7088), 1,
      sym_comment,
  [208206] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(7089), 1,
      sym_comment,
    ACTIONS(3414), 2,
      anon_sym_else,
      anon_sym_while,
  [208220] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(7090), 1,
      sym_comment,
    ACTIONS(3416), 2,
      anon_sym_else,
      anon_sym_while,
  [208234] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9116), 1,
      anon_sym_from,
    STATE(5779), 1,
      sym__from_clause,
    STATE(7091), 1,
      sym_comment,
  [208250] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(7092), 1,
      sym_comment,
    ACTIONS(5695), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [208264] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(7093), 1,
      sym_comment,
    ACTIONS(3470), 2,
      anon_sym_else,
      anon_sym_while,
  [208278] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(7094), 1,
      sym_comment,
    ACTIONS(3470), 2,
      anon_sym_else,
      anon_sym_while,
  [208292] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(7095), 1,
      sym_comment,
    ACTIONS(3418), 2,
      anon_sym_else,
      anon_sym_while,
  [208306] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(7096), 1,
      sym_comment,
    ACTIONS(3470), 2,
      anon_sym_else,
      anon_sym_while,
  [208320] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9116), 1,
      anon_sym_from,
    STATE(5564), 1,
      sym__from_clause,
    STATE(7097), 1,
      sym_comment,
  [208336] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4839), 1,
      anon_sym_LBRACE,
    STATE(3173), 1,
      sym_statement_block,
    STATE(7098), 1,
      sym_comment,
  [208352] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(7099), 1,
      sym_comment,
    ACTIONS(3420), 2,
      anon_sym_else,
      anon_sym_while,
  [208366] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(7100), 1,
      sym_comment,
    ACTIONS(3470), 2,
      anon_sym_else,
      anon_sym_while,
  [208380] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(7101), 1,
      sym_comment,
    ACTIONS(3470), 2,
      anon_sym_else,
      anon_sym_while,
  [208394] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(7102), 1,
      sym_comment,
    ACTIONS(3422), 2,
      anon_sym_else,
      anon_sym_while,
  [208408] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9116), 1,
      anon_sym_from,
    STATE(6971), 1,
      sym__from_clause,
    STATE(7103), 1,
      sym_comment,
  [208424] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7216), 1,
      anon_sym_LPAREN,
    STATE(4627), 1,
      sym_formal_parameters,
    STATE(7104), 1,
      sym_comment,
  [208440] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9116), 1,
      anon_sym_from,
    STATE(5699), 1,
      sym__from_clause,
    STATE(7105), 1,
      sym_comment,
  [208456] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7696), 1,
      anon_sym_LBRACE,
    STATE(6661), 1,
      sym_class_body,
    STATE(7106), 1,
      sym_comment,
  [208472] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(7107), 1,
      sym_comment,
    ACTIONS(3470), 2,
      anon_sym_else,
      anon_sym_while,
  [208486] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7978), 1,
      anon_sym_LBRACE,
    STATE(6618), 1,
      sym_statement_block,
    STATE(7108), 1,
      sym_comment,
  [208502] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8236), 1,
      anon_sym_LBRACE,
    STATE(3551), 1,
      sym_statement_block,
    STATE(7109), 1,
      sym_comment,
  [208518] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7544), 1,
      anon_sym_LBRACE,
    STATE(3310), 1,
      sym_class_body,
    STATE(7110), 1,
      sym_comment,
  [208534] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7160), 1,
      anon_sym_LPAREN,
    STATE(7111), 1,
      sym_comment,
    STATE(7442), 1,
      sym_formal_parameters,
  [208550] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8236), 1,
      anon_sym_LBRACE,
    STATE(3562), 1,
      sym_statement_block,
    STATE(7112), 1,
      sym_comment,
  [208566] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(7113), 1,
      sym_comment,
    ACTIONS(3424), 2,
      anon_sym_else,
      anon_sym_while,
  [208580] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(7114), 1,
      sym_comment,
    ACTIONS(3470), 2,
      anon_sym_else,
      anon_sym_while,
  [208594] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10881), 1,
      sym_identifier,
    STATE(5879), 1,
      sym_nested_identifier,
    STATE(7115), 1,
      sym_comment,
  [208610] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(7116), 1,
      sym_comment,
    ACTIONS(3426), 2,
      anon_sym_else,
      anon_sym_while,
  [208624] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(7117), 1,
      sym_comment,
    ACTIONS(3428), 2,
      anon_sym_else,
      anon_sym_while,
  [208638] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(7118), 1,
      sym_comment,
    ACTIONS(3470), 2,
      anon_sym_else,
      anon_sym_while,
  [208652] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8236), 1,
      anon_sym_LBRACE,
    STATE(3544), 1,
      sym_statement_block,
    STATE(7119), 1,
      sym_comment,
  [208668] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7160), 1,
      anon_sym_LPAREN,
    STATE(7120), 1,
      sym_comment,
    STATE(7349), 1,
      sym_formal_parameters,
  [208684] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7978), 1,
      anon_sym_LBRACE,
    STATE(5865), 1,
      sym_statement_block,
    STATE(7121), 1,
      sym_comment,
  [208700] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(7122), 1,
      sym_comment,
    ACTIONS(3430), 2,
      anon_sym_else,
      anon_sym_while,
  [208714] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(7123), 1,
      sym_comment,
    ACTIONS(3438), 2,
      anon_sym_else,
      anon_sym_while,
  [208728] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(7124), 1,
      sym_comment,
    ACTIONS(3470), 2,
      anon_sym_else,
      anon_sym_while,
  [208742] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7160), 1,
      anon_sym_LPAREN,
    STATE(7125), 1,
      sym_comment,
    STATE(7275), 1,
      sym_formal_parameters,
  [208758] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(7126), 1,
      sym_comment,
    ACTIONS(3438), 2,
      anon_sym_else,
      anon_sym_while,
  [208772] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10391), 1,
      anon_sym_LPAREN,
    STATE(7063), 1,
      sym_parenthesized_expression,
    STATE(7127), 1,
      sym_comment,
  [208788] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(7128), 1,
      sym_comment,
    ACTIONS(3444), 2,
      anon_sym_else,
      anon_sym_while,
  [208802] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(7129), 1,
      sym_comment,
    ACTIONS(3446), 2,
      anon_sym_else,
      anon_sym_while,
  [208816] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(7130), 1,
      sym_comment,
    ACTIONS(10883), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [208830] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(7131), 1,
      sym_comment,
    ACTIONS(3438), 2,
      anon_sym_else,
      anon_sym_while,
  [208844] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(7132), 1,
      sym_comment,
    ACTIONS(3470), 2,
      anon_sym_else,
      anon_sym_while,
  [208858] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(7133), 1,
      sym_comment,
    ACTIONS(3438), 2,
      anon_sym_else,
      anon_sym_while,
  [208872] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10885), 1,
      sym_identifier,
    ACTIONS(10887), 1,
      sym_private_property_identifier,
    STATE(7134), 1,
      sym_comment,
  [208888] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(7135), 1,
      sym_comment,
    ACTIONS(3438), 2,
      anon_sym_else,
      anon_sym_while,
  [208902] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7646), 1,
      anon_sym_LBRACE,
    STATE(1551), 1,
      sym_class_body,
    STATE(7136), 1,
      sym_comment,
  [208918] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(7137), 1,
      sym_comment,
    ACTIONS(3470), 2,
      anon_sym_else,
      anon_sym_while,
  [208932] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(7138), 1,
      sym_comment,
    ACTIONS(3438), 2,
      anon_sym_else,
      anon_sym_while,
  [208946] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(7139), 1,
      sym_comment,
    ACTIONS(3470), 2,
      anon_sym_else,
      anon_sym_while,
  [208960] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8236), 1,
      anon_sym_LBRACE,
    STATE(3547), 1,
      sym_statement_block,
    STATE(7140), 1,
      sym_comment,
  [208976] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7544), 1,
      anon_sym_LBRACE,
    STATE(3163), 1,
      sym_class_body,
    STATE(7141), 1,
      sym_comment,
  [208992] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(7142), 1,
      sym_comment,
    ACTIONS(3452), 2,
      anon_sym_else,
      anon_sym_while,
  [209006] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8236), 1,
      anon_sym_LBRACE,
    STATE(3554), 1,
      sym_statement_block,
    STATE(7143), 1,
      sym_comment,
  [209022] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(7144), 1,
      sym_comment,
    ACTIONS(3454), 2,
      anon_sym_else,
      anon_sym_while,
  [209036] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10889), 1,
      sym_identifier,
    ACTIONS(10891), 1,
      sym_private_property_identifier,
    STATE(7145), 1,
      sym_comment,
  [209052] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(7146), 1,
      sym_comment,
    ACTIONS(3470), 2,
      anon_sym_else,
      anon_sym_while,
  [209066] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(7147), 1,
      sym_comment,
    ACTIONS(3468), 2,
      anon_sym_else,
      anon_sym_while,
  [209080] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(7148), 1,
      sym_comment,
    ACTIONS(10893), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [209094] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10895), 1,
      anon_sym_LBRACE,
    STATE(889), 1,
      sym_statement_block,
    STATE(7149), 1,
      sym_comment,
  [209110] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10383), 1,
      anon_sym_LPAREN,
    STATE(113), 1,
      sym_parenthesized_expression,
    STATE(7150), 1,
      sym_comment,
  [209126] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(7151), 1,
      sym_comment,
    ACTIONS(3466), 2,
      anon_sym_else,
      anon_sym_while,
  [209140] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(7152), 1,
      sym_comment,
    ACTIONS(3480), 2,
      anon_sym_else,
      anon_sym_while,
  [209154] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(7153), 1,
      sym_comment,
    ACTIONS(3464), 2,
      anon_sym_else,
      anon_sym_while,
  [209168] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10383), 1,
      anon_sym_LPAREN,
    STATE(112), 1,
      sym_parenthesized_expression,
    STATE(7154), 1,
      sym_comment,
  [209184] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(7155), 1,
      sym_comment,
    ACTIONS(3462), 2,
      anon_sym_else,
      anon_sym_while,
  [209198] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8236), 1,
      anon_sym_LBRACE,
    STATE(3528), 1,
      sym_statement_block,
    STATE(7156), 1,
      sym_comment,
  [209214] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8236), 1,
      anon_sym_LBRACE,
    STATE(3561), 1,
      sym_statement_block,
    STATE(7157), 1,
      sym_comment,
  [209230] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(7158), 1,
      sym_comment,
    ACTIONS(5524), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [209244] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8236), 1,
      anon_sym_LBRACE,
    STATE(3534), 1,
      sym_statement_block,
    STATE(7159), 1,
      sym_comment,
  [209260] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(7160), 1,
      sym_comment,
    ACTIONS(5518), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [209274] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8236), 1,
      anon_sym_LBRACE,
    STATE(3507), 1,
      sym_statement_block,
    STATE(7161), 1,
      sym_comment,
  [209290] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(7162), 1,
      sym_comment,
    ACTIONS(10897), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [209304] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(7163), 1,
      sym_comment,
    ACTIONS(10899), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [209318] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10901), 1,
      sym_identifier,
    ACTIONS(10903), 1,
      sym_private_property_identifier,
    STATE(7164), 1,
      sym_comment,
  [209334] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8236), 1,
      anon_sym_LBRACE,
    STATE(3512), 1,
      sym_statement_block,
    STATE(7165), 1,
      sym_comment,
  [209350] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(7166), 1,
      sym_comment,
    ACTIONS(3456), 2,
      anon_sym_else,
      anon_sym_while,
  [209364] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(7167), 1,
      sym_comment,
    ACTIONS(3456), 2,
      anon_sym_else,
      anon_sym_while,
  [209378] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8236), 1,
      anon_sym_LBRACE,
    STATE(3532), 1,
      sym_statement_block,
    STATE(7168), 1,
      sym_comment,
  [209394] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(7169), 1,
      sym_comment,
    ACTIONS(10905), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [209408] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(7170), 1,
      sym_comment,
    ACTIONS(3458), 2,
      anon_sym_else,
      anon_sym_while,
  [209422] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8236), 1,
      anon_sym_LBRACE,
    STATE(3531), 1,
      sym_statement_block,
    STATE(7171), 1,
      sym_comment,
  [209438] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(7172), 1,
      sym_comment,
    ACTIONS(3460), 2,
      anon_sym_else,
      anon_sym_while,
  [209452] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10907), 1,
      sym_identifier,
    STATE(7173), 1,
      sym_comment,
  [209465] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10909), 1,
      anon_sym_from,
    STATE(7174), 1,
      sym_comment,
  [209478] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10911), 1,
      anon_sym_EQ_GT,
    STATE(7175), 1,
      sym_comment,
  [209491] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10913), 1,
      anon_sym_while,
    STATE(7176), 1,
      sym_comment,
  [209504] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10915), 1,
      anon_sym_EQ_GT,
    STATE(7177), 1,
      sym_comment,
  [209517] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10917), 1,
      anon_sym_EQ_GT,
    STATE(7178), 1,
      sym_comment,
  [209530] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10919), 1,
      anon_sym_EQ_GT,
    STATE(7179), 1,
      sym_comment,
  [209543] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10921), 1,
      anon_sym_RBRACK,
    STATE(7180), 1,
      sym_comment,
  [209556] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10923), 1,
      anon_sym_RBRACK,
    STATE(7181), 1,
      sym_comment,
  [209569] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10925), 1,
      sym_number,
    STATE(7182), 1,
      sym_comment,
  [209582] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10927), 1,
      anon_sym_RBRACK,
    STATE(7183), 1,
      sym_comment,
  [209595] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10929), 1,
      anon_sym_RBRACK,
    STATE(7184), 1,
      sym_comment,
  [209608] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10863), 1,
      anon_sym_from,
    STATE(7185), 1,
      sym_comment,
  [209621] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10931), 1,
      anon_sym_RBRACK,
    STATE(7186), 1,
      sym_comment,
  [209634] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10933), 1,
      anon_sym_EQ,
    STATE(7187), 1,
      sym_comment,
  [209647] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10935), 1,
      anon_sym_RBRACK,
    STATE(7188), 1,
      sym_comment,
  [209660] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10937), 1,
      anon_sym_RBRACK,
    STATE(7189), 1,
      sym_comment,
  [209673] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10939), 1,
      anon_sym_RBRACK,
    STATE(7190), 1,
      sym_comment,
  [209686] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9891), 1,
      anon_sym_LBRACE,
    STATE(7191), 1,
      sym_comment,
  [209699] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9403), 1,
      anon_sym_EQ_GT,
    STATE(7192), 1,
      sym_comment,
  [209712] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5460), 1,
      anon_sym_in,
    STATE(7193), 1,
      sym_comment,
  [209725] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10941), 1,
      anon_sym_RPAREN,
    STATE(7194), 1,
      sym_comment,
  [209738] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10943), 1,
      anon_sym_new,
    STATE(7195), 1,
      sym_comment,
  [209751] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10945), 1,
      anon_sym_RBRACK,
    STATE(7196), 1,
      sym_comment,
  [209764] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9409), 1,
      anon_sym_EQ_GT,
    STATE(7197), 1,
      sym_comment,
  [209777] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10947), 1,
      sym_regex_pattern,
    STATE(7198), 1,
      sym_comment,
  [209790] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10949), 1,
      sym_identifier,
    STATE(7199), 1,
      sym_comment,
  [209803] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10951), 1,
      sym_identifier,
    STATE(7200), 1,
      sym_comment,
  [209816] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10953), 1,
      sym_identifier,
    STATE(7201), 1,
      sym_comment,
  [209829] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10955), 1,
      sym_identifier,
    STATE(7202), 1,
      sym_comment,
  [209842] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10957), 1,
      anon_sym_DOT,
    STATE(7203), 1,
      sym_comment,
  [209855] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10959), 1,
      anon_sym_EQ_GT,
    STATE(7204), 1,
      sym_comment,
  [209868] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10961), 1,
      anon_sym_EQ_GT,
    STATE(7205), 1,
      sym_comment,
  [209881] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10963), 1,
      sym_identifier,
    STATE(7206), 1,
      sym_comment,
  [209894] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10965), 1,
      sym_identifier,
    STATE(7207), 1,
      sym_comment,
  [209907] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10967), 1,
      sym_identifier,
    STATE(7208), 1,
      sym_comment,
  [209920] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10969), 1,
      anon_sym_EQ,
    STATE(7209), 1,
      sym_comment,
  [209933] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10971), 1,
      anon_sym_target,
    STATE(7210), 1,
      sym_comment,
  [209946] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10973), 1,
      sym_identifier,
    STATE(7211), 1,
      sym_comment,
  [209959] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10975), 1,
      sym_identifier,
    STATE(7212), 1,
      sym_comment,
  [209972] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10977), 1,
      anon_sym_while,
    STATE(7213), 1,
      sym_comment,
  [209985] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10979), 1,
      anon_sym_while,
    STATE(7214), 1,
      sym_comment,
  [209998] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10981), 1,
      sym_identifier,
    STATE(7215), 1,
      sym_comment,
  [210011] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10983), 1,
      sym_identifier,
    STATE(7216), 1,
      sym_comment,
  [210024] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10985), 1,
      anon_sym_RBRACK,
    STATE(7217), 1,
      sym_comment,
  [210037] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10987), 1,
      sym_identifier,
    STATE(7218), 1,
      sym_comment,
  [210050] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10989), 1,
      anon_sym_EQ_GT,
    STATE(7219), 1,
      sym_comment,
  [210063] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10991), 1,
      sym_identifier,
    STATE(7220), 1,
      sym_comment,
  [210076] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10993), 1,
      anon_sym_RBRACK,
    STATE(7221), 1,
      sym_comment,
  [210089] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10995), 1,
      sym_identifier,
    STATE(7222), 1,
      sym_comment,
  [210102] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10997), 1,
      anon_sym_RBRACK,
    STATE(7223), 1,
      sym_comment,
  [210115] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10999), 1,
      sym_identifier,
    STATE(7224), 1,
      sym_comment,
  [210128] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11001), 1,
      anon_sym_RBRACK,
    STATE(7225), 1,
      sym_comment,
  [210141] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11003), 1,
      sym_identifier,
    STATE(7226), 1,
      sym_comment,
  [210154] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11005), 1,
      sym_regex_pattern,
    STATE(7227), 1,
      sym_comment,
  [210167] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11007), 1,
      anon_sym_RBRACK,
    STATE(7228), 1,
      sym_comment,
  [210180] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11009), 1,
      anon_sym_DOT,
    STATE(7229), 1,
      sym_comment,
  [210193] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11011), 1,
      anon_sym_RBRACK,
    STATE(7230), 1,
      sym_comment,
  [210206] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11013), 1,
      anon_sym_EQ_GT,
    STATE(7231), 1,
      sym_comment,
  [210219] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11015), 1,
      anon_sym_RBRACK,
    STATE(7232), 1,
      sym_comment,
  [210232] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11017), 1,
      sym_identifier,
    STATE(7233), 1,
      sym_comment,
  [210245] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11019), 1,
      anon_sym_RBRACK,
    STATE(7234), 1,
      sym_comment,
  [210258] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11021), 1,
      anon_sym_RBRACK,
    STATE(7235), 1,
      sym_comment,
  [210271] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11023), 1,
      anon_sym_RBRACK,
    STATE(7236), 1,
      sym_comment,
  [210284] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11025), 1,
      sym_identifier,
    STATE(7237), 1,
      sym_comment,
  [210297] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11027), 1,
      anon_sym_RBRACK,
    STATE(7238), 1,
      sym_comment,
  [210310] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11029), 1,
      anon_sym_RBRACK,
    STATE(7239), 1,
      sym_comment,
  [210323] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11031), 1,
      anon_sym_RBRACK,
    STATE(7240), 1,
      sym_comment,
  [210336] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11033), 1,
      anon_sym_RBRACK,
    STATE(7241), 1,
      sym_comment,
  [210349] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11035), 1,
      anon_sym_RBRACK,
    STATE(7242), 1,
      sym_comment,
  [210362] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11037), 1,
      anon_sym_RBRACK,
    STATE(7243), 1,
      sym_comment,
  [210375] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5253), 1,
      anon_sym_RPAREN,
    STATE(7244), 1,
      sym_comment,
  [210388] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11039), 1,
      anon_sym_RBRACK,
    STATE(7245), 1,
      sym_comment,
  [210401] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11041), 1,
      anon_sym_RPAREN,
    STATE(7246), 1,
      sym_comment,
  [210414] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11043), 1,
      anon_sym_EQ,
    STATE(7247), 1,
      sym_comment,
  [210427] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11045), 1,
      anon_sym_EQ_GT,
    STATE(7248), 1,
      sym_comment,
  [210440] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11047), 1,
      anon_sym_RBRACK,
    STATE(7249), 1,
      sym_comment,
  [210453] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11049), 1,
      anon_sym_RBRACK,
    STATE(7250), 1,
      sym_comment,
  [210466] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11051), 1,
      anon_sym_EQ_GT,
    STATE(7251), 1,
      sym_comment,
  [210479] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11053), 1,
      anon_sym_RBRACK,
    STATE(7252), 1,
      sym_comment,
  [210492] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11055), 1,
      anon_sym_EQ_GT,
    STATE(7253), 1,
      sym_comment,
  [210505] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11057), 1,
      anon_sym_EQ_GT,
    STATE(7254), 1,
      sym_comment,
  [210518] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11059), 1,
      anon_sym_RBRACK,
    STATE(7255), 1,
      sym_comment,
  [210531] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11061), 1,
      anon_sym_EQ_GT,
    STATE(7256), 1,
      sym_comment,
  [210544] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11063), 1,
      anon_sym_GT,
    STATE(7257), 1,
      sym_comment,
  [210557] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11065), 1,
      anon_sym_EQ_GT,
    STATE(7258), 1,
      sym_comment,
  [210570] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8822), 1,
      anon_sym_EQ,
    STATE(7259), 1,
      sym_comment,
  [210583] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11067), 1,
      anon_sym_EQ_GT,
    STATE(7260), 1,
      sym_comment,
  [210596] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(6567), 1,
      anon_sym_in,
    STATE(7261), 1,
      sym_comment,
  [210609] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11069), 1,
      anon_sym_EQ,
    STATE(7262), 1,
      sym_comment,
  [210622] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11071), 1,
      anon_sym_SLASH2,
    STATE(7263), 1,
      sym_comment,
  [210635] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11073), 1,
      sym_regex_pattern,
    STATE(7264), 1,
      sym_comment,
  [210648] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11075), 1,
      sym_identifier,
    STATE(7265), 1,
      sym_comment,
  [210661] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11077), 1,
      sym_identifier,
    STATE(7266), 1,
      sym_comment,
  [210674] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11079), 1,
      sym_identifier,
    STATE(7267), 1,
      sym_comment,
  [210687] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5856), 1,
      anon_sym_is,
    STATE(7268), 1,
      sym_comment,
  [210700] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11081), 1,
      anon_sym_EQ,
    STATE(7269), 1,
      sym_comment,
  [210713] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11083), 1,
      anon_sym_SLASH2,
    STATE(7270), 1,
      sym_comment,
  [210726] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11085), 1,
      anon_sym_EQ_GT,
    STATE(7271), 1,
      sym_comment,
  [210739] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11087), 1,
      sym_identifier,
    STATE(7272), 1,
      sym_comment,
  [210752] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11089), 1,
      anon_sym_EQ_GT,
    STATE(7273), 1,
      sym_comment,
  [210765] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11091), 1,
      anon_sym_RBRACK,
    STATE(7274), 1,
      sym_comment,
  [210778] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11093), 1,
      anon_sym_EQ_GT,
    STATE(7275), 1,
      sym_comment,
  [210791] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9671), 1,
      sym_identifier,
    STATE(7276), 1,
      sym_comment,
  [210804] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11095), 1,
      sym_identifier,
    STATE(7277), 1,
      sym_comment,
  [210817] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11097), 1,
      sym_identifier,
    STATE(7278), 1,
      sym_comment,
  [210830] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11099), 1,
      anon_sym_while,
    STATE(7279), 1,
      sym_comment,
  [210843] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5928), 1,
      anon_sym_RPAREN,
    STATE(7280), 1,
      sym_comment,
  [210856] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11101), 1,
      sym_identifier,
    STATE(7281), 1,
      sym_comment,
  [210869] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5934), 1,
      anon_sym_RPAREN,
    STATE(7282), 1,
      sym_comment,
  [210882] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11103), 1,
      anon_sym_DOT,
    STATE(7283), 1,
      sym_comment,
  [210895] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11105), 1,
      anon_sym_RBRACK,
    STATE(7284), 1,
      sym_comment,
  [210908] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11107), 1,
      anon_sym_RBRACK,
    STATE(7285), 1,
      sym_comment,
  [210921] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11109), 1,
      sym_identifier,
    STATE(7286), 1,
      sym_comment,
  [210934] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5936), 1,
      anon_sym_RPAREN,
    STATE(7287), 1,
      sym_comment,
  [210947] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11111), 1,
      sym_identifier,
    STATE(7288), 1,
      sym_comment,
  [210960] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5938), 1,
      anon_sym_COLON,
    STATE(7289), 1,
      sym_comment,
  [210973] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5908), 1,
      anon_sym_RPAREN,
    STATE(7290), 1,
      sym_comment,
  [210986] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11113), 1,
      anon_sym_RBRACK,
    STATE(7291), 1,
      sym_comment,
  [210999] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11115), 1,
      anon_sym_RBRACK,
    STATE(7292), 1,
      sym_comment,
  [211012] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11117), 1,
      anon_sym_RBRACK,
    STATE(7293), 1,
      sym_comment,
  [211025] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11119), 1,
      anon_sym_from,
    STATE(7294), 1,
      sym_comment,
  [211038] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11121), 1,
      anon_sym_DOT,
    STATE(7295), 1,
      sym_comment,
  [211051] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11123), 1,
      sym_identifier,
    STATE(7296), 1,
      sym_comment,
  [211064] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11125), 1,
      anon_sym_RPAREN,
    STATE(7297), 1,
      sym_comment,
  [211077] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11127), 1,
      sym_identifier,
    STATE(7298), 1,
      sym_comment,
  [211090] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11129), 1,
      sym_identifier,
    STATE(7299), 1,
      sym_comment,
  [211103] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11131), 1,
      anon_sym_RPAREN,
    STATE(7300), 1,
      sym_comment,
  [211116] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7056), 1,
      anon_sym_is,
    STATE(7301), 1,
      sym_comment,
  [211129] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11133), 1,
      anon_sym_RBRACK,
    STATE(7302), 1,
      sym_comment,
  [211142] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11135), 1,
      anon_sym_as,
    STATE(7303), 1,
      sym_comment,
  [211155] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11137), 1,
      anon_sym_RBRACK,
    STATE(7304), 1,
      sym_comment,
  [211168] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11139), 1,
      sym_identifier,
    STATE(7305), 1,
      sym_comment,
  [211181] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11141), 1,
      anon_sym_RBRACK,
    STATE(7306), 1,
      sym_comment,
  [211194] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11143), 1,
      anon_sym_RBRACK,
    STATE(7307), 1,
      sym_comment,
  [211207] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11145), 1,
      anon_sym_class,
    STATE(7308), 1,
      sym_comment,
  [211220] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11147), 1,
      anon_sym_RBRACK,
    STATE(7309), 1,
      sym_comment,
  [211233] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5852), 1,
      anon_sym_RBRACK,
    STATE(7310), 1,
      sym_comment,
  [211246] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11149), 1,
      anon_sym_DOT,
    STATE(7311), 1,
      sym_comment,
  [211259] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11151), 1,
      anon_sym_RPAREN,
    STATE(7312), 1,
      sym_comment,
  [211272] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11153), 1,
      sym_number,
    STATE(7313), 1,
      sym_comment,
  [211285] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11155), 1,
      sym_identifier,
    STATE(7314), 1,
      sym_comment,
  [211298] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11157), 1,
      anon_sym_symbol,
    STATE(7315), 1,
      sym_comment,
  [211311] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11159), 1,
      anon_sym_EQ_GT,
    STATE(7316), 1,
      sym_comment,
  [211324] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7494), 1,
      anon_sym_is,
    STATE(7317), 1,
      sym_comment,
  [211337] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5894), 1,
      anon_sym_RBRACK,
    STATE(7318), 1,
      sym_comment,
  [211350] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11161), 1,
      sym_identifier,
    STATE(7319), 1,
      sym_comment,
  [211363] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11163), 1,
      sym_identifier,
    STATE(7320), 1,
      sym_comment,
  [211376] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10013), 1,
      anon_sym_RBRACE,
    STATE(7321), 1,
      sym_comment,
  [211389] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11165), 1,
      anon_sym_EQ,
    STATE(7322), 1,
      sym_comment,
  [211402] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11167), 1,
      sym_identifier,
    STATE(7323), 1,
      sym_comment,
  [211415] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11169), 1,
      anon_sym_EQ_GT,
    STATE(7324), 1,
      sym_comment,
  [211428] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10023), 1,
      anon_sym_GT,
    STATE(7325), 1,
      sym_comment,
  [211441] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11171), 1,
      sym_identifier,
    STATE(7326), 1,
      sym_comment,
  [211454] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11173), 1,
      sym_identifier,
    STATE(7327), 1,
      sym_comment,
  [211467] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11175), 1,
      anon_sym_RBRACK,
    STATE(7328), 1,
      sym_comment,
  [211480] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11177), 1,
      anon_sym_EQ_GT,
    STATE(7329), 1,
      sym_comment,
  [211493] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11179), 1,
      sym_identifier,
    STATE(7330), 1,
      sym_comment,
  [211506] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11181), 1,
      sym_identifier,
    STATE(7331), 1,
      sym_comment,
  [211519] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11183), 1,
      anon_sym_EQ,
    STATE(7332), 1,
      sym_comment,
  [211532] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11185), 1,
      sym_identifier,
    STATE(7333), 1,
      sym_comment,
  [211545] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11187), 1,
      sym_identifier,
    STATE(7334), 1,
      sym_comment,
  [211558] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11189), 1,
      sym_identifier,
    STATE(7335), 1,
      sym_comment,
  [211571] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11191), 1,
      sym_identifier,
    STATE(7336), 1,
      sym_comment,
  [211584] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11193), 1,
      anon_sym_while,
    STATE(7337), 1,
      sym_comment,
  [211597] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11195), 1,
      anon_sym_EQ_GT,
    STATE(7338), 1,
      sym_comment,
  [211610] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11197), 1,
      sym_identifier,
    STATE(7339), 1,
      sym_comment,
  [211623] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11199), 1,
      sym_identifier,
    STATE(7340), 1,
      sym_comment,
  [211636] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11201), 1,
      sym_identifier,
    STATE(7341), 1,
      sym_comment,
  [211649] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11203), 1,
      sym_identifier,
    STATE(7342), 1,
      sym_comment,
  [211662] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11205), 1,
      anon_sym_EQ_GT,
    STATE(7343), 1,
      sym_comment,
  [211675] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11207), 1,
      anon_sym_DOT,
    STATE(7344), 1,
      sym_comment,
  [211688] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11209), 1,
      anon_sym_COLON,
    STATE(7345), 1,
      sym_comment,
  [211701] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11211), 1,
      sym_identifier,
    STATE(7346), 1,
      sym_comment,
  [211714] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11213), 1,
      sym_identifier,
    STATE(7347), 1,
      sym_comment,
  [211727] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11215), 1,
      anon_sym_EQ_GT,
    STATE(7348), 1,
      sym_comment,
  [211740] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11217), 1,
      anon_sym_EQ_GT,
    STATE(7349), 1,
      sym_comment,
  [211753] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10052), 1,
      anon_sym_RBRACK,
    STATE(7350), 1,
      sym_comment,
  [211766] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10056), 1,
      anon_sym_RBRACK,
    STATE(7351), 1,
      sym_comment,
  [211779] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11219), 1,
      anon_sym_EQ_GT,
    STATE(7352), 1,
      sym_comment,
  [211792] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11221), 1,
      sym_identifier,
    STATE(7353), 1,
      sym_comment,
  [211805] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11223), 1,
      sym_identifier,
    STATE(7354), 1,
      sym_comment,
  [211818] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11225), 1,
      sym_identifier,
    STATE(7355), 1,
      sym_comment,
  [211831] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11227), 1,
      anon_sym_EQ_GT,
    STATE(7356), 1,
      sym_comment,
  [211844] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11229), 1,
      sym_identifier,
    STATE(7357), 1,
      sym_comment,
  [211857] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11231), 1,
      sym_identifier,
    STATE(7358), 1,
      sym_comment,
  [211870] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11233), 1,
      sym_regex_pattern,
    STATE(7359), 1,
      sym_comment,
  [211883] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11235), 1,
      sym_identifier,
    STATE(7360), 1,
      sym_comment,
  [211896] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11237), 1,
      anon_sym_EQ,
    STATE(7361), 1,
      sym_comment,
  [211909] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7414), 1,
      anon_sym_is,
    STATE(7362), 1,
      sym_comment,
  [211922] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11239), 1,
      anon_sym_EQ,
    STATE(7363), 1,
      sym_comment,
  [211935] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10084), 1,
      anon_sym_GT,
    STATE(7364), 1,
      sym_comment,
  [211948] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5864), 1,
      anon_sym_RPAREN,
    STATE(7365), 1,
      sym_comment,
  [211961] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5862), 1,
      anon_sym_RBRACE,
    STATE(7366), 1,
      sym_comment,
  [211974] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5886), 1,
      anon_sym_RPAREN,
    STATE(7367), 1,
      sym_comment,
  [211987] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11241), 1,
      anon_sym_EQ_GT,
    STATE(7368), 1,
      sym_comment,
  [212000] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11243), 1,
      sym_identifier,
    STATE(7369), 1,
      sym_comment,
  [212013] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5972), 1,
      anon_sym_in,
    STATE(7370), 1,
      sym_comment,
  [212026] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11245), 1,
      sym_identifier,
    STATE(7371), 1,
      sym_comment,
  [212039] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11247), 1,
      anon_sym_class,
    STATE(7372), 1,
      sym_comment,
  [212052] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11249), 1,
      sym_identifier,
    STATE(7373), 1,
      sym_comment,
  [212065] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11251), 1,
      anon_sym_EQ_GT,
    STATE(7374), 1,
      sym_comment,
  [212078] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11253), 1,
      sym_identifier,
    STATE(7375), 1,
      sym_comment,
  [212091] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11255), 1,
      anon_sym_EQ,
    STATE(7376), 1,
      sym_comment,
  [212104] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11257), 1,
      anon_sym_namespace,
    STATE(7377), 1,
      sym_comment,
  [212117] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11259), 1,
      anon_sym_readonly,
    STATE(7378), 1,
      sym_comment,
  [212130] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11261), 1,
      anon_sym_EQ_GT,
    STATE(7379), 1,
      sym_comment,
  [212143] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11263), 1,
      anon_sym_EQ_GT,
    STATE(7380), 1,
      sym_comment,
  [212156] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11265), 1,
      sym_identifier,
    STATE(7381), 1,
      sym_comment,
  [212169] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11267), 1,
      sym_identifier,
    STATE(7382), 1,
      sym_comment,
  [212182] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5918), 1,
      anon_sym_RBRACK,
    STATE(7383), 1,
      sym_comment,
  [212195] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11269), 1,
      anon_sym_EQ_GT,
    STATE(7384), 1,
      sym_comment,
  [212208] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11271), 1,
      sym_identifier,
    STATE(7385), 1,
      sym_comment,
  [212221] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11273), 1,
      anon_sym_EQ_GT,
    STATE(7386), 1,
      sym_comment,
  [212234] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11275), 1,
      sym_identifier,
    STATE(7387), 1,
      sym_comment,
  [212247] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11277), 1,
      anon_sym_EQ_GT,
    STATE(7388), 1,
      sym_comment,
  [212260] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11279), 1,
      anon_sym_EQ_GT,
    STATE(7389), 1,
      sym_comment,
  [212273] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10113), 1,
      anon_sym_RBRACK,
    STATE(7390), 1,
      sym_comment,
  [212286] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11281), 1,
      anon_sym_RBRACK,
    STATE(7391), 1,
      sym_comment,
  [212299] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11283), 1,
      anon_sym_RBRACK,
    STATE(7392), 1,
      sym_comment,
  [212312] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11285), 1,
      anon_sym_new,
    STATE(7393), 1,
      sym_comment,
  [212325] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11287), 1,
      anon_sym_RBRACK,
    STATE(7394), 1,
      sym_comment,
  [212338] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11289), 1,
      anon_sym_RBRACK,
    STATE(7395), 1,
      sym_comment,
  [212351] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11291), 1,
      anon_sym_RBRACK,
    STATE(7396), 1,
      sym_comment,
  [212364] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11293), 1,
      anon_sym_RBRACK,
    STATE(7397), 1,
      sym_comment,
  [212377] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11295), 1,
      anon_sym_EQ,
    STATE(7398), 1,
      sym_comment,
  [212390] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10058), 1,
      sym_identifier,
    STATE(7399), 1,
      sym_comment,
  [212403] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11297), 1,
      anon_sym_class,
    STATE(7400), 1,
      sym_comment,
  [212416] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11299), 1,
      sym_identifier,
    STATE(7401), 1,
      sym_comment,
  [212429] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11301), 1,
      sym_identifier,
    STATE(7402), 1,
      sym_comment,
  [212442] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11303), 1,
      anon_sym_EQ,
    STATE(7403), 1,
      sym_comment,
  [212455] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11305), 1,
      anon_sym_RBRACK,
    STATE(7404), 1,
      sym_comment,
  [212468] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11307), 1,
      sym_identifier,
    STATE(7405), 1,
      sym_comment,
  [212481] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11309), 1,
      anon_sym_EQ,
    STATE(7406), 1,
      sym_comment,
  [212494] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11311), 1,
      anon_sym_RBRACK,
    STATE(7407), 1,
      sym_comment,
  [212507] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11313), 1,
      anon_sym_RBRACK,
    STATE(7408), 1,
      sym_comment,
  [212520] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11315), 1,
      anon_sym_RBRACK,
    STATE(7409), 1,
      sym_comment,
  [212533] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11317), 1,
      anon_sym_RBRACK,
    STATE(7410), 1,
      sym_comment,
  [212546] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11319), 1,
      anon_sym_EQ_GT,
    STATE(7411), 1,
      sym_comment,
  [212559] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11321), 1,
      anon_sym_RBRACK,
    STATE(7412), 1,
      sym_comment,
  [212572] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11323), 1,
      anon_sym_from,
    STATE(7413), 1,
      sym_comment,
  [212585] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11325), 1,
      anon_sym_new,
    STATE(7414), 1,
      sym_comment,
  [212598] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11327), 1,
      anon_sym_RPAREN,
    STATE(7415), 1,
      sym_comment,
  [212611] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11329), 1,
      anon_sym_RBRACK,
    STATE(7416), 1,
      sym_comment,
  [212624] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11331), 1,
      anon_sym_RBRACK,
    STATE(7417), 1,
      sym_comment,
  [212637] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(6040), 1,
      anon_sym_in,
    STATE(7418), 1,
      sym_comment,
  [212650] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11333), 1,
      sym_identifier,
    STATE(7419), 1,
      sym_comment,
  [212663] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11335), 1,
      anon_sym_RBRACK,
    STATE(7420), 1,
      sym_comment,
  [212676] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11337), 1,
      anon_sym_COLON,
    STATE(7421), 1,
      sym_comment,
  [212689] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11339), 1,
      anon_sym_RBRACK,
    STATE(7422), 1,
      sym_comment,
  [212702] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5930), 1,
      anon_sym_RPAREN,
    STATE(7423), 1,
      sym_comment,
  [212715] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11341), 1,
      anon_sym_RBRACK,
    STATE(7424), 1,
      sym_comment,
  [212728] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11343), 1,
      anon_sym_RBRACK,
    STATE(7425), 1,
      sym_comment,
  [212741] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11345), 1,
      anon_sym_RPAREN,
    STATE(7426), 1,
      sym_comment,
  [212754] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11347), 1,
      sym_identifier,
    STATE(7427), 1,
      sym_comment,
  [212767] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11349), 1,
      sym_identifier,
    STATE(7428), 1,
      sym_comment,
  [212780] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11351), 1,
      anon_sym_RBRACK,
    STATE(7429), 1,
      sym_comment,
  [212793] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11353), 1,
      anon_sym_RBRACK,
    STATE(7430), 1,
      sym_comment,
  [212806] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11355), 1,
      sym_identifier,
    STATE(7431), 1,
      sym_comment,
  [212819] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11357), 1,
      anon_sym_RPAREN,
    STATE(7432), 1,
      sym_comment,
  [212832] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5042), 1,
      anon_sym_RPAREN,
    STATE(7433), 1,
      sym_comment,
  [212845] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11359), 1,
      anon_sym_EQ_GT,
    STATE(7434), 1,
      sym_comment,
  [212858] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11361), 1,
      anon_sym_symbol,
    STATE(7435), 1,
      sym_comment,
  [212871] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11363), 1,
      sym_identifier,
    STATE(7436), 1,
      sym_comment,
  [212884] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11365), 1,
      sym_number,
    STATE(7437), 1,
      sym_comment,
  [212897] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11367), 1,
      anon_sym_EQ,
    STATE(7438), 1,
      sym_comment,
  [212910] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11369), 1,
      anon_sym_RPAREN,
    STATE(7439), 1,
      sym_comment,
  [212923] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11371), 1,
      sym_identifier,
    STATE(7440), 1,
      sym_comment,
  [212936] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11373), 1,
      sym_identifier,
    STATE(7441), 1,
      sym_comment,
  [212949] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11375), 1,
      anon_sym_EQ_GT,
    STATE(7442), 1,
      sym_comment,
  [212962] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11377), 1,
      anon_sym_COLON,
    STATE(7443), 1,
      sym_comment,
  [212975] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11379), 1,
      sym_identifier,
    STATE(7444), 1,
      sym_comment,
  [212988] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11381), 1,
      sym_identifier,
    STATE(7445), 1,
      sym_comment,
  [213001] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11383), 1,
      anon_sym_EQ_GT,
    STATE(7446), 1,
      sym_comment,
  [213014] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11385), 1,
      sym_identifier,
    STATE(7447), 1,
      sym_comment,
  [213027] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11387), 1,
      anon_sym_EQ_GT,
    STATE(7448), 1,
      sym_comment,
  [213040] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9707), 1,
      anon_sym_RBRACK,
    STATE(7449), 1,
      sym_comment,
  [213053] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11389), 1,
      anon_sym_EQ,
    STATE(7450), 1,
      sym_comment,
  [213066] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5028), 1,
      anon_sym_RPAREN,
    STATE(7451), 1,
      sym_comment,
  [213079] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11391), 1,
      anon_sym_RBRACK,
    STATE(7452), 1,
      sym_comment,
  [213092] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11393), 1,
      anon_sym_RBRACK,
    STATE(7453), 1,
      sym_comment,
  [213105] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11395), 1,
      anon_sym_RBRACK,
    STATE(7454), 1,
      sym_comment,
  [213118] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11397), 1,
      sym_identifier,
    STATE(7455), 1,
      sym_comment,
  [213131] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11399), 1,
      anon_sym_LBRACE,
    STATE(7456), 1,
      sym_comment,
  [213144] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11401), 1,
      anon_sym_symbol,
    STATE(7457), 1,
      sym_comment,
  [213157] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11403), 1,
      anon_sym_RBRACK,
    STATE(7458), 1,
      sym_comment,
  [213170] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11405), 1,
      anon_sym_RBRACK,
    STATE(7459), 1,
      sym_comment,
  [213183] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11407), 1,
      anon_sym_RBRACK,
    STATE(7460), 1,
      sym_comment,
  [213196] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11409), 1,
      anon_sym_RPAREN,
    STATE(7461), 1,
      sym_comment,
  [213209] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5882), 1,
      anon_sym_RBRACK,
    STATE(7462), 1,
      sym_comment,
  [213222] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5357), 1,
      anon_sym_RPAREN,
    STATE(7463), 1,
      sym_comment,
  [213235] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11411), 1,
      anon_sym_RBRACK,
    STATE(7464), 1,
      sym_comment,
  [213248] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11413), 1,
      anon_sym_LBRACK,
    STATE(7465), 1,
      sym_comment,
  [213261] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11415), 1,
      anon_sym_function,
    STATE(7466), 1,
      sym_comment,
  [213274] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11417), 1,
      anon_sym_RBRACK,
    STATE(7467), 1,
      sym_comment,
  [213287] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11419), 1,
      anon_sym_RBRACK,
    STATE(7468), 1,
      sym_comment,
  [213300] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11421), 1,
      sym_identifier,
    STATE(7469), 1,
      sym_comment,
  [213313] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10211), 1,
      anon_sym_RBRACE,
    STATE(7470), 1,
      sym_comment,
  [213326] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11423), 1,
      sym_identifier,
    STATE(7471), 1,
      sym_comment,
  [213339] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11425), 1,
      sym_identifier,
    STATE(7472), 1,
      sym_comment,
  [213352] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8311), 1,
      sym_identifier,
    STATE(7473), 1,
      sym_comment,
  [213365] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11427), 1,
      anon_sym_EQ_GT,
    STATE(7474), 1,
      sym_comment,
  [213378] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11429), 1,
      sym_identifier,
    STATE(7475), 1,
      sym_comment,
  [213391] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11431), 1,
      anon_sym_namespace,
    STATE(7476), 1,
      sym_comment,
  [213404] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11433), 1,
      anon_sym_from,
    STATE(7477), 1,
      sym_comment,
  [213417] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11435), 1,
      anon_sym_RBRACK,
    STATE(7478), 1,
      sym_comment,
  [213430] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11437), 1,
      anon_sym_EQ_GT,
    STATE(7479), 1,
      sym_comment,
  [213443] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11439), 1,
      anon_sym_EQ_GT,
    STATE(7480), 1,
      sym_comment,
  [213456] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11441), 1,
      anon_sym_EQ,
    STATE(7481), 1,
      sym_comment,
  [213469] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11443), 1,
      anon_sym_SLASH2,
    STATE(7482), 1,
      sym_comment,
  [213482] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11445), 1,
      anon_sym_RPAREN,
    STATE(7483), 1,
      sym_comment,
  [213495] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10371), 1,
      anon_sym_EQ,
    STATE(7484), 1,
      sym_comment,
  [213508] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11447), 1,
      sym_identifier,
    STATE(7485), 1,
      sym_comment,
  [213521] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11449), 1,
      anon_sym_EQ_GT,
    STATE(7486), 1,
      sym_comment,
  [213534] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11451), 1,
      sym_identifier,
    STATE(7487), 1,
      sym_comment,
  [213547] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11453), 1,
      anon_sym_as,
    STATE(7488), 1,
      sym_comment,
  [213560] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5024), 1,
      anon_sym_RPAREN,
    STATE(7489), 1,
      sym_comment,
  [213573] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11455), 1,
      sym_identifier,
    STATE(7490), 1,
      sym_comment,
  [213586] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11457), 1,
      anon_sym_RBRACK,
    STATE(7491), 1,
      sym_comment,
  [213599] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11459), 1,
      sym_identifier,
    STATE(7492), 1,
      sym_comment,
  [213612] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11461), 1,
      anon_sym_SLASH2,
    STATE(7493), 1,
      sym_comment,
  [213625] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11463), 1,
      anon_sym_LPAREN,
    STATE(7494), 1,
      sym_comment,
  [213638] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11465), 1,
      ts_builtin_sym_end,
    STATE(7495), 1,
      sym_comment,
  [213651] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11467), 1,
      sym_identifier,
    STATE(7496), 1,
      sym_comment,
  [213664] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11469), 1,
      sym_identifier,
    STATE(7497), 1,
      sym_comment,
  [213677] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5906), 1,
      anon_sym_RBRACE,
    STATE(7498), 1,
      sym_comment,
  [213690] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11471), 1,
      anon_sym_class,
    STATE(7499), 1,
      sym_comment,
  [213703] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9663), 1,
      anon_sym_GT,
    STATE(7500), 1,
      sym_comment,
  [213716] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(6235), 1,
      anon_sym_in,
    STATE(7501), 1,
      sym_comment,
  [213729] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11473), 1,
      anon_sym_EQ_GT,
    STATE(7502), 1,
      sym_comment,
  [213742] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11475), 1,
      anon_sym_EQ,
    STATE(7503), 1,
      sym_comment,
  [213755] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11477), 1,
      anon_sym_EQ_GT,
    STATE(7504), 1,
      sym_comment,
  [213768] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11479), 1,
      anon_sym_EQ_GT,
    STATE(7505), 1,
      sym_comment,
  [213781] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11481), 1,
      anon_sym_EQ_GT,
    STATE(7506), 1,
      sym_comment,
  [213794] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11483), 1,
      anon_sym_RPAREN,
    STATE(7507), 1,
      sym_comment,
  [213807] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11485), 1,
      anon_sym_COLON,
    STATE(7508), 1,
      sym_comment,
  [213820] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5812), 1,
      anon_sym_in,
    STATE(7509), 1,
      sym_comment,
  [213833] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11487), 1,
      anon_sym_EQ_GT,
    STATE(7510), 1,
      sym_comment,
  [213846] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11489), 1,
      anon_sym_EQ,
    STATE(7511), 1,
      sym_comment,
  [213859] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11491), 1,
      sym_number,
    STATE(7512), 1,
      sym_comment,
  [213872] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11493), 1,
      sym_identifier,
    STATE(7513), 1,
      sym_comment,
  [213885] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11495), 1,
      anon_sym_EQ,
    STATE(7514), 1,
      sym_comment,
  [213898] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11497), 1,
      anon_sym_symbol,
    STATE(7515), 1,
      sym_comment,
  [213911] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(6301), 1,
      anon_sym_in,
    STATE(7516), 1,
      sym_comment,
  [213924] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11499), 1,
      anon_sym_from,
    STATE(7517), 1,
      sym_comment,
  [213937] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5401), 1,
      anon_sym_in,
    STATE(7518), 1,
      sym_comment,
  [213950] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11501), 1,
      anon_sym_target,
    STATE(7519), 1,
      sym_comment,
  [213963] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11503), 1,
      anon_sym_EQ_GT,
    STATE(7520), 1,
      sym_comment,
  [213976] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11505), 1,
      anon_sym_EQ_GT,
    STATE(7521), 1,
      sym_comment,
  [213989] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11507), 1,
      anon_sym_EQ_GT,
    STATE(7522), 1,
      sym_comment,
  [214002] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11509), 1,
      anon_sym_COLON,
    STATE(7523), 1,
      sym_comment,
  [214015] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11511), 1,
      sym_identifier,
    STATE(7524), 1,
      sym_comment,
  [214028] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11513), 1,
      sym_regex_pattern,
    STATE(7525), 1,
      sym_comment,
  [214041] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11515), 1,
      sym_identifier,
    STATE(7526), 1,
      sym_comment,
  [214054] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11517), 1,
      sym_identifier,
    STATE(7527), 1,
      sym_comment,
  [214067] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11519), 1,
      anon_sym_from,
    STATE(7528), 1,
      sym_comment,
  [214080] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11521), 1,
      anon_sym_class,
    STATE(7529), 1,
      sym_comment,
  [214093] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11523), 1,
      anon_sym_namespace,
    STATE(7530), 1,
      sym_comment,
  [214106] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11525), 1,
      anon_sym_as,
    STATE(7531), 1,
      sym_comment,
  [214119] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11527), 1,
      anon_sym_require,
    STATE(7532), 1,
      sym_comment,
  [214132] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11529), 1,
      anon_sym_EQ_GT,
    STATE(7533), 1,
      sym_comment,
  [214145] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11531), 1,
      anon_sym_symbol,
    STATE(7534), 1,
      sym_comment,
  [214158] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11533), 1,
      sym_identifier,
    STATE(7535), 1,
      sym_comment,
  [214171] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11535), 1,
      sym_identifier,
    STATE(7536), 1,
      sym_comment,
  [214184] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11537), 1,
      anon_sym_RBRACK,
    STATE(7537), 1,
      sym_comment,
  [214197] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(3074), 1,
      anon_sym_LBRACE,
    STATE(7538), 1,
      sym_comment,
  [214210] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9907), 1,
      sym_identifier,
    STATE(7539), 1,
      sym_comment,
  [214223] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11539), 1,
      anon_sym_class,
    STATE(7540), 1,
      sym_comment,
  [214236] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11541), 1,
      sym_number,
    STATE(7541), 1,
      sym_comment,
  [214249] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11543), 1,
      anon_sym_from,
    STATE(7542), 1,
      sym_comment,
  [214262] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11545), 1,
      anon_sym_EQ,
    STATE(7543), 1,
      sym_comment,
  [214275] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5355), 1,
      anon_sym_RPAREN,
    STATE(7544), 1,
      sym_comment,
  [214288] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11547), 1,
      sym_identifier,
    STATE(7545), 1,
      sym_comment,
  [214301] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11549), 1,
      anon_sym_EQ,
    STATE(7546), 1,
      sym_comment,
  [214314] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11551), 1,
      anon_sym_new,
    STATE(7547), 1,
      sym_comment,
  [214327] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11553), 1,
      anon_sym_RBRACK,
    STATE(7548), 1,
      sym_comment,
  [214340] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11555), 1,
      sym_identifier,
    STATE(7549), 1,
      sym_comment,
  [214353] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11557), 1,
      anon_sym_RBRACK,
    STATE(7550), 1,
      sym_comment,
  [214366] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11559), 1,
      anon_sym_COLON,
    STATE(7551), 1,
      sym_comment,
  [214379] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10276), 1,
      anon_sym_RBRACK,
    STATE(7552), 1,
      sym_comment,
  [214392] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11561), 1,
      anon_sym_RBRACK,
    STATE(7553), 1,
      sym_comment,
  [214405] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11563), 1,
      anon_sym_EQ_GT,
    STATE(7554), 1,
      sym_comment,
  [214418] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11565), 1,
      anon_sym_EQ_GT,
    STATE(7555), 1,
      sym_comment,
  [214431] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11567), 1,
      sym_identifier,
    STATE(7556), 1,
      sym_comment,
  [214444] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11569), 1,
      anon_sym_RPAREN,
    STATE(7557), 1,
      sym_comment,
  [214457] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11571), 1,
      sym_identifier,
    STATE(7558), 1,
      sym_comment,
  [214470] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11573), 1,
      anon_sym_RBRACK,
    STATE(7559), 1,
      sym_comment,
  [214483] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5040), 1,
      anon_sym_RPAREN,
    STATE(7560), 1,
      sym_comment,
  [214496] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11575), 1,
      anon_sym_EQ,
    STATE(7561), 1,
      sym_comment,
  [214509] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11577), 1,
      sym_identifier,
    STATE(7562), 1,
      sym_comment,
  [214522] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11579), 1,
      anon_sym_RBRACK,
    STATE(7563), 1,
      sym_comment,
  [214535] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11581), 1,
      anon_sym_class,
    STATE(7564), 1,
      sym_comment,
  [214548] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11583), 1,
      anon_sym_namespace,
    STATE(7565), 1,
      sym_comment,
  [214561] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11585), 1,
      sym_identifier,
    STATE(7566), 1,
      sym_comment,
  [214574] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11587), 1,
      anon_sym_RBRACK,
    STATE(7567), 1,
      sym_comment,
  [214587] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11589), 1,
      anon_sym_RPAREN,
    STATE(7568), 1,
      sym_comment,
  [214600] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11591), 1,
      anon_sym_EQ_GT,
    STATE(7569), 1,
      sym_comment,
  [214613] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4857), 1,
      anon_sym_is,
    STATE(7570), 1,
      sym_comment,
  [214626] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11593), 1,
      anon_sym_RBRACK,
    STATE(7571), 1,
      sym_comment,
  [214639] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11595), 1,
      anon_sym_RBRACK,
    STATE(7572), 1,
      sym_comment,
  [214652] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9831), 1,
      sym_identifier,
    STATE(7573), 1,
      sym_comment,
  [214665] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11597), 1,
      anon_sym_class,
    STATE(7574), 1,
      sym_comment,
  [214678] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5916), 1,
      anon_sym_RBRACE,
    STATE(7575), 1,
      sym_comment,
  [214691] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11599), 1,
      anon_sym_RPAREN,
    STATE(7576), 1,
      sym_comment,
  [214704] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11601), 1,
      anon_sym_EQ,
    STATE(7577), 1,
      sym_comment,
  [214717] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11603), 1,
      sym_identifier,
    STATE(7578), 1,
      sym_comment,
  [214730] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11605), 1,
      sym_identifier,
    STATE(7579), 1,
      sym_comment,
  [214743] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11607), 1,
      anon_sym_EQ,
    STATE(7580), 1,
      sym_comment,
  [214756] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11609), 1,
      anon_sym_new,
    STATE(7581), 1,
      sym_comment,
  [214769] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11611), 1,
      anon_sym_RBRACK,
    STATE(7582), 1,
      sym_comment,
  [214782] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11613), 1,
      sym_identifier,
    STATE(7583), 1,
      sym_comment,
  [214795] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5002), 1,
      anon_sym_RPAREN,
    STATE(7584), 1,
      sym_comment,
  [214808] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11615), 1,
      anon_sym_COLON,
    STATE(7585), 1,
      sym_comment,
  [214821] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10311), 1,
      anon_sym_GT,
    STATE(7586), 1,
      sym_comment,
  [214834] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11617), 1,
      anon_sym_RBRACK,
    STATE(7587), 1,
      sym_comment,
  [214847] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11619), 1,
      sym_identifier,
    STATE(7588), 1,
      sym_comment,
  [214860] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5848), 1,
      anon_sym_RPAREN,
    STATE(7589), 1,
      sym_comment,
  [214873] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11621), 1,
      anon_sym_RBRACK,
    STATE(7590), 1,
      sym_comment,
  [214886] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11623), 1,
      sym_identifier,
    STATE(7591), 1,
      sym_comment,
  [214899] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11625), 1,
      anon_sym_class,
    STATE(7592), 1,
      sym_comment,
  [214912] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11627), 1,
      anon_sym_namespace,
    STATE(7593), 1,
      sym_comment,
  [214925] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11629), 1,
      anon_sym_RBRACK,
    STATE(7594), 1,
      sym_comment,
  [214938] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11631), 1,
      anon_sym_RBRACK,
    STATE(7595), 1,
      sym_comment,
  [214951] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11633), 1,
      sym_identifier,
    STATE(7596), 1,
      sym_comment,
  [214964] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11635), 1,
      anon_sym_RBRACK,
    STATE(7597), 1,
      sym_comment,
  [214977] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11637), 1,
      anon_sym_RBRACK,
    STATE(7598), 1,
      sym_comment,
  [214990] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11639), 1,
      anon_sym_RBRACK,
    STATE(7599), 1,
      sym_comment,
  [215003] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5298), 1,
      anon_sym_RPAREN,
    STATE(7600), 1,
      sym_comment,
  [215016] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9813), 1,
      sym_identifier,
    STATE(7601), 1,
      sym_comment,
  [215029] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11641), 1,
      anon_sym_class,
    STATE(7602), 1,
      sym_comment,
  [215042] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11643), 1,
      anon_sym_RBRACK,
    STATE(7603), 1,
      sym_comment,
  [215055] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11645), 1,
      anon_sym_RBRACK,
    STATE(7604), 1,
      sym_comment,
  [215068] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11647), 1,
      anon_sym_EQ,
    STATE(7605), 1,
      sym_comment,
  [215081] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11649), 1,
      anon_sym_RBRACK,
    STATE(7606), 1,
      sym_comment,
  [215094] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11651), 1,
      sym_identifier,
    STATE(7607), 1,
      sym_comment,
  [215107] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11653), 1,
      anon_sym_EQ,
    STATE(7608), 1,
      sym_comment,
  [215120] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11655), 1,
      anon_sym_new,
    STATE(7609), 1,
      sym_comment,
  [215133] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11657), 1,
      anon_sym_EQ_GT,
    STATE(7610), 1,
      sym_comment,
  [215146] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11659), 1,
      sym_identifier,
    STATE(7611), 1,
      sym_comment,
  [215159] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11661), 1,
      anon_sym_EQ_GT,
    STATE(7612), 1,
      sym_comment,
  [215172] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11663), 1,
      anon_sym_COLON,
    STATE(7613), 1,
      sym_comment,
  [215185] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11665), 1,
      anon_sym_RBRACK,
    STATE(7614), 1,
      sym_comment,
  [215198] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11667), 1,
      anon_sym_SLASH2,
    STATE(7615), 1,
      sym_comment,
  [215211] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11669), 1,
      anon_sym_EQ,
    STATE(7616), 1,
      sym_comment,
  [215224] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11671), 1,
      anon_sym_class,
    STATE(7617), 1,
      sym_comment,
  [215237] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11673), 1,
      anon_sym_namespace,
    STATE(7618), 1,
      sym_comment,
  [215250] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11675), 1,
      anon_sym_RBRACK,
    STATE(7619), 1,
      sym_comment,
  [215263] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(3080), 1,
      anon_sym_LBRACE,
    STATE(7620), 1,
      sym_comment,
  [215276] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11677), 1,
      anon_sym_EQ_GT,
    STATE(7621), 1,
      sym_comment,
  [215289] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11679), 1,
      anon_sym_RBRACK,
    STATE(7622), 1,
      sym_comment,
  [215302] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11681), 1,
      anon_sym_EQ_GT,
    STATE(7623), 1,
      sym_comment,
  [215315] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9774), 1,
      sym_identifier,
    STATE(7624), 1,
      sym_comment,
  [215328] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11683), 1,
      anon_sym_class,
    STATE(7625), 1,
      sym_comment,
  [215341] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11685), 1,
      anon_sym_EQ_GT,
    STATE(7626), 1,
      sym_comment,
  [215354] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11687), 1,
      anon_sym_EQ,
    STATE(7627), 1,
      sym_comment,
  [215367] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11689), 1,
      anon_sym_RBRACK,
    STATE(7628), 1,
      sym_comment,
  [215380] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11691), 1,
      sym_identifier,
    STATE(7629), 1,
      sym_comment,
  [215393] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11693), 1,
      anon_sym_EQ,
    STATE(7630), 1,
      sym_comment,
  [215406] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11695), 1,
      anon_sym_RBRACK,
    STATE(7631), 1,
      sym_comment,
  [215419] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11697), 1,
      sym_identifier,
    STATE(7632), 1,
      sym_comment,
  [215432] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11699), 1,
      anon_sym_COLON,
    STATE(7633), 1,
      sym_comment,
  [215445] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11701), 1,
      anon_sym_RBRACK,
    STATE(7634), 1,
      sym_comment,
  [215458] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11703), 1,
      anon_sym_RBRACK,
    STATE(7635), 1,
      sym_comment,
  [215471] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11705), 1,
      anon_sym_RBRACK,
    STATE(7636), 1,
      sym_comment,
  [215484] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8608), 1,
      sym_identifier,
    STATE(7637), 1,
      sym_comment,
  [215497] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11707), 1,
      anon_sym_function,
    STATE(7638), 1,
      sym_comment,
  [215510] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11709), 1,
      anon_sym_RBRACK,
    STATE(7639), 1,
      sym_comment,
  [215523] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11711), 1,
      anon_sym_RBRACK,
    STATE(7640), 1,
      sym_comment,
  [215536] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11713), 1,
      sym_identifier,
    STATE(7641), 1,
      sym_comment,
  [215549] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4911), 1,
      anon_sym_in,
    STATE(7642), 1,
      sym_comment,
  [215562] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11715), 1,
      anon_sym_EQ_GT,
    STATE(7643), 1,
      sym_comment,
  [215575] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8622), 1,
      sym_identifier,
    STATE(7644), 1,
      sym_comment,
  [215588] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11717), 1,
      anon_sym_function,
    STATE(7645), 1,
      sym_comment,
  [215601] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8087), 1,
      anon_sym_EQ,
    STATE(7646), 1,
      sym_comment,
  [215614] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11719), 1,
      sym_identifier,
    STATE(7647), 1,
      sym_comment,
  [215627] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11721), 1,
      anon_sym_EQ_GT,
    STATE(7648), 1,
      sym_comment,
  [215640] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8624), 1,
      sym_identifier,
    STATE(7649), 1,
      sym_comment,
  [215653] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11723), 1,
      anon_sym_function,
    STATE(7650), 1,
      sym_comment,
  [215666] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11725), 1,
      anon_sym_RPAREN,
    STATE(7651), 1,
      sym_comment,
  [215679] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11727), 1,
      sym_identifier,
    STATE(7652), 1,
      sym_comment,
  [215692] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11729), 1,
      anon_sym_RPAREN,
    STATE(7653), 1,
      sym_comment,
  [215705] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8626), 1,
      sym_identifier,
    STATE(7654), 1,
      sym_comment,
  [215718] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11731), 1,
      anon_sym_function,
    STATE(7655), 1,
      sym_comment,
  [215731] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11733), 1,
      anon_sym_EQ_GT,
    STATE(7656), 1,
      sym_comment,
  [215744] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11735), 1,
      sym_identifier,
    STATE(7657), 1,
      sym_comment,
  [215757] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11737), 1,
      anon_sym_RPAREN,
    STATE(7658), 1,
      sym_comment,
  [215770] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8664), 1,
      sym_identifier,
    STATE(7659), 1,
      sym_comment,
  [215783] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11739), 1,
      anon_sym_function,
    STATE(7660), 1,
      sym_comment,
  [215796] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11741), 1,
      anon_sym_RPAREN,
    STATE(7661), 1,
      sym_comment,
  [215809] = 1,
    ACTIONS(11743), 1,
      ts_builtin_sym_end,
};

static const uint32_t ts_small_parse_table_map[] = {
  [SMALL_STATE(2000)] = 0,
  [SMALL_STATE(2001)] = 95,
  [SMALL_STATE(2002)] = 192,
  [SMALL_STATE(2003)] = 285,
  [SMALL_STATE(2004)] = 360,
  [SMALL_STATE(2005)] = 435,
  [SMALL_STATE(2006)] = 528,
  [SMALL_STATE(2007)] = 603,
  [SMALL_STATE(2008)] = 678,
  [SMALL_STATE(2009)] = 771,
  [SMALL_STATE(2010)] = 866,
  [SMALL_STATE(2011)] = 959,
  [SMALL_STATE(2012)] = 1052,
  [SMALL_STATE(2013)] = 1145,
  [SMALL_STATE(2014)] = 1238,
  [SMALL_STATE(2015)] = 1333,
  [SMALL_STATE(2016)] = 1428,
  [SMALL_STATE(2017)] = 1521,
  [SMALL_STATE(2018)] = 1614,
  [SMALL_STATE(2019)] = 1707,
  [SMALL_STATE(2020)] = 1782,
  [SMALL_STATE(2021)] = 1875,
  [SMALL_STATE(2022)] = 1968,
  [SMALL_STATE(2023)] = 2043,
  [SMALL_STATE(2024)] = 2138,
  [SMALL_STATE(2025)] = 2231,
  [SMALL_STATE(2026)] = 2326,
  [SMALL_STATE(2027)] = 2423,
  [SMALL_STATE(2028)] = 2518,
  [SMALL_STATE(2029)] = 2611,
  [SMALL_STATE(2030)] = 2706,
  [SMALL_STATE(2031)] = 2803,
  [SMALL_STATE(2032)] = 2896,
  [SMALL_STATE(2033)] = 2989,
  [SMALL_STATE(2034)] = 3082,
  [SMALL_STATE(2035)] = 3175,
  [SMALL_STATE(2036)] = 3250,
  [SMALL_STATE(2037)] = 3343,
  [SMALL_STATE(2038)] = 3436,
  [SMALL_STATE(2039)] = 3532,
  [SMALL_STATE(2040)] = 3606,
  [SMALL_STATE(2041)] = 3698,
  [SMALL_STATE(2042)] = 3790,
  [SMALL_STATE(2043)] = 3884,
  [SMALL_STATE(2044)] = 3980,
  [SMALL_STATE(2045)] = 4072,
  [SMALL_STATE(2046)] = 4146,
  [SMALL_STATE(2047)] = 4240,
  [SMALL_STATE(2048)] = 4332,
  [SMALL_STATE(2049)] = 4410,
  [SMALL_STATE(2050)] = 4502,
  [SMALL_STATE(2051)] = 4598,
  [SMALL_STATE(2052)] = 4694,
  [SMALL_STATE(2053)] = 4794,
  [SMALL_STATE(2054)] = 4885,
  [SMALL_STATE(2055)] = 4962,
  [SMALL_STATE(2056)] = 5045,
  [SMALL_STATE(2057)] = 5128,
  [SMALL_STATE(2058)] = 5219,
  [SMALL_STATE(2059)] = 5310,
  [SMALL_STATE(2060)] = 5401,
  [SMALL_STATE(2061)] = 5496,
  [SMALL_STATE(2062)] = 5579,
  [SMALL_STATE(2063)] = 5676,
  [SMALL_STATE(2064)] = 5767,
  [SMALL_STATE(2065)] = 5850,
  [SMALL_STATE(2066)] = 5941,
  [SMALL_STATE(2067)] = 6024,
  [SMALL_STATE(2068)] = 6119,
  [SMALL_STATE(2069)] = 6212,
  [SMALL_STATE(2070)] = 6297,
  [SMALL_STATE(2071)] = 6388,
  [SMALL_STATE(2072)] = 6479,
  [SMALL_STATE(2073)] = 6564,
  [SMALL_STATE(2074)] = 6643,
  [SMALL_STATE(2075)] = 6734,
  [SMALL_STATE(2076)] = 6809,
  [SMALL_STATE(2077)] = 6900,
  [SMALL_STATE(2078)] = 6997,
  [SMALL_STATE(2079)] = 7070,
  [SMALL_STATE(2080)] = 7165,
  [SMALL_STATE(2081)] = 7260,
  [SMALL_STATE(2082)] = 7351,
  [SMALL_STATE(2083)] = 7442,
  [SMALL_STATE(2084)] = 7525,
  [SMALL_STATE(2085)] = 7598,
  [SMALL_STATE(2086)] = 7680,
  [SMALL_STATE(2087)] = 7774,
  [SMALL_STATE(2088)] = 7858,
  [SMALL_STATE(2089)] = 7946,
  [SMALL_STATE(2090)] = 8038,
  [SMALL_STATE(2091)] = 8108,
  [SMALL_STATE(2092)] = 8190,
  [SMALL_STATE(2093)] = 8280,
  [SMALL_STATE(2094)] = 8370,
  [SMALL_STATE(2095)] = 8448,
  [SMALL_STATE(2096)] = 8530,
  [SMALL_STATE(2097)] = 8620,
  [SMALL_STATE(2098)] = 8704,
  [SMALL_STATE(2099)] = 8798,
  [SMALL_STATE(2100)] = 8892,
  [SMALL_STATE(2101)] = 8962,
  [SMALL_STATE(2102)] = 9042,
  [SMALL_STATE(2103)] = 9120,
  [SMALL_STATE(2104)] = 9198,
  [SMALL_STATE(2105)] = 9280,
  [SMALL_STATE(2106)] = 9358,
  [SMALL_STATE(2107)] = 9446,
  [SMALL_STATE(2108)] = 9528,
  [SMALL_STATE(2109)] = 9598,
  [SMALL_STATE(2110)] = 9678,
  [SMALL_STATE(2111)] = 9772,
  [SMALL_STATE(2112)] = 9852,
  [SMALL_STATE(2113)] = 9925,
  [SMALL_STATE(2114)] = 9994,
  [SMALL_STATE(2115)] = 10063,
  [SMALL_STATE(2116)] = 10140,
  [SMALL_STATE(2117)] = 10219,
  [SMALL_STATE(2118)] = 10298,
  [SMALL_STATE(2119)] = 10375,
  [SMALL_STATE(2120)] = 10464,
  [SMALL_STATE(2121)] = 10543,
  [SMALL_STATE(2122)] = 10622,
  [SMALL_STATE(2123)] = 10693,
  [SMALL_STATE(2124)] = 10774,
  [SMALL_STATE(2125)] = 10855,
  [SMALL_STATE(2126)] = 10934,
  [SMALL_STATE(2127)] = 11011,
  [SMALL_STATE(2128)] = 11090,
  [SMALL_STATE(2129)] = 11179,
  [SMALL_STATE(2130)] = 11256,
  [SMALL_STATE(2131)] = 11327,
  [SMALL_STATE(2132)] = 11414,
  [SMALL_STATE(2133)] = 11487,
  [SMALL_STATE(2134)] = 11558,
  [SMALL_STATE(2135)] = 11643,
  [SMALL_STATE(2136)] = 11714,
  [SMALL_STATE(2137)] = 11797,
  [SMALL_STATE(2138)] = 11874,
  [SMALL_STATE(2139)] = 11945,
  [SMALL_STATE(2140)] = 12028,
  [SMALL_STATE(2141)] = 12099,
  [SMALL_STATE(2142)] = 12168,
  [SMALL_STATE(2143)] = 12245,
  [SMALL_STATE(2144)] = 12324,
  [SMALL_STATE(2145)] = 12395,
  [SMALL_STATE(2146)] = 12464,
  [SMALL_STATE(2147)] = 12547,
  [SMALL_STATE(2148)] = 12616,
  [SMALL_STATE(2149)] = 12709,
  [SMALL_STATE(2150)] = 12778,
  [SMALL_STATE(2151)] = 12847,
  [SMALL_STATE(2152)] = 12922,
  [SMALL_STATE(2153)] = 12991,
  [SMALL_STATE(2154)] = 13068,
  [SMALL_STATE(2155)] = 13149,
  [SMALL_STATE(2156)] = 13220,
  [SMALL_STATE(2157)] = 13299,
  [SMALL_STATE(2158)] = 13378,
  [SMALL_STATE(2159)] = 13453,
  [SMALL_STATE(2160)] = 13542,
  [SMALL_STATE(2161)] = 13619,
  [SMALL_STATE(2162)] = 13688,
  [SMALL_STATE(2163)] = 13759,
  [SMALL_STATE(2164)] = 13832,
  [SMALL_STATE(2165)] = 13905,
  [SMALL_STATE(2166)] = 13990,
  [SMALL_STATE(2167)] = 14059,
  [SMALL_STATE(2168)] = 14152,
  [SMALL_STATE(2169)] = 14223,
  [SMALL_STATE(2170)] = 14302,
  [SMALL_STATE(2171)] = 14373,
  [SMALL_STATE(2172)] = 14451,
  [SMALL_STATE(2173)] = 14529,
  [SMALL_STATE(2174)] = 14605,
  [SMALL_STATE(2175)] = 14681,
  [SMALL_STATE(2176)] = 14755,
  [SMALL_STATE(2177)] = 14833,
  [SMALL_STATE(2178)] = 14907,
  [SMALL_STATE(2179)] = 14985,
  [SMALL_STATE(2180)] = 15067,
  [SMALL_STATE(2181)] = 15145,
  [SMALL_STATE(2182)] = 15229,
  [SMALL_STATE(2183)] = 15305,
  [SMALL_STATE(2184)] = 15387,
  [SMALL_STATE(2185)] = 15465,
  [SMALL_STATE(2186)] = 15543,
  [SMALL_STATE(2187)] = 15621,
  [SMALL_STATE(2188)] = 15709,
  [SMALL_STATE(2189)] = 15787,
  [SMALL_STATE(2190)] = 15869,
  [SMALL_STATE(2191)] = 15951,
  [SMALL_STATE(2192)] = 16027,
  [SMALL_STATE(2193)] = 16154,
  [SMALL_STATE(2194)] = 16281,
  [SMALL_STATE(2195)] = 16362,
  [SMALL_STATE(2196)] = 16433,
  [SMALL_STATE(2197)] = 16506,
  [SMALL_STATE(2198)] = 16585,
  [SMALL_STATE(2199)] = 16662,
  [SMALL_STATE(2200)] = 16741,
  [SMALL_STATE(2201)] = 16812,
  [SMALL_STATE(2202)] = 16887,
  [SMALL_STATE(2203)] = 16962,
  [SMALL_STATE(2204)] = 17037,
  [SMALL_STATE(2205)] = 17112,
  [SMALL_STATE(2206)] = 17187,
  [SMALL_STATE(2207)] = 17262,
  [SMALL_STATE(2208)] = 17337,
  [SMALL_STATE(2209)] = 17464,
  [SMALL_STATE(2210)] = 17543,
  [SMALL_STATE(2211)] = 17618,
  [SMALL_STATE(2212)] = 17695,
  [SMALL_STATE(2213)] = 17822,
  [SMALL_STATE(2214)] = 17949,
  [SMALL_STATE(2215)] = 18028,
  [SMALL_STATE(2216)] = 18155,
  [SMALL_STATE(2217)] = 18282,
  [SMALL_STATE(2218)] = 18409,
  [SMALL_STATE(2219)] = 18536,
  [SMALL_STATE(2220)] = 18610,
  [SMALL_STATE(2221)] = 18684,
  [SMALL_STATE(2222)] = 18756,
  [SMALL_STATE(2223)] = 18830,
  [SMALL_STATE(2224)] = 18908,
  [SMALL_STATE(2225)] = 18982,
  [SMALL_STATE(2226)] = 19056,
  [SMALL_STATE(2227)] = 19130,
  [SMALL_STATE(2228)] = 19208,
  [SMALL_STATE(2229)] = 19284,
  [SMALL_STATE(2230)] = 19356,
  [SMALL_STATE(2231)] = 19432,
  [SMALL_STATE(2232)] = 19506,
  [SMALL_STATE(2233)] = 19580,
  [SMALL_STATE(2234)] = 19703,
  [SMALL_STATE(2235)] = 19826,
  [SMALL_STATE(2236)] = 19899,
  [SMALL_STATE(2237)] = 20022,
  [SMALL_STATE(2238)] = 20095,
  [SMALL_STATE(2239)] = 20170,
  [SMALL_STATE(2240)] = 20241,
  [SMALL_STATE(2241)] = 20364,
  [SMALL_STATE(2242)] = 20437,
  [SMALL_STATE(2243)] = 20560,
  [SMALL_STATE(2244)] = 20683,
  [SMALL_STATE(2245)] = 20756,
  [SMALL_STATE(2246)] = 20829,
  [SMALL_STATE(2247)] = 20952,
  [SMALL_STATE(2248)] = 21025,
  [SMALL_STATE(2249)] = 21096,
  [SMALL_STATE(2250)] = 21169,
  [SMALL_STATE(2251)] = 21242,
  [SMALL_STATE(2252)] = 21365,
  [SMALL_STATE(2253)] = 21488,
  [SMALL_STATE(2254)] = 21561,
  [SMALL_STATE(2255)] = 21634,
  [SMALL_STATE(2256)] = 21707,
  [SMALL_STATE(2257)] = 21830,
  [SMALL_STATE(2258)] = 21953,
  [SMALL_STATE(2259)] = 22076,
  [SMALL_STATE(2260)] = 22149,
  [SMALL_STATE(2261)] = 22272,
  [SMALL_STATE(2262)] = 22395,
  [SMALL_STATE(2263)] = 22518,
  [SMALL_STATE(2264)] = 22641,
  [SMALL_STATE(2265)] = 22764,
  [SMALL_STATE(2266)] = 22837,
  [SMALL_STATE(2267)] = 22960,
  [SMALL_STATE(2268)] = 23083,
  [SMALL_STATE(2269)] = 23156,
  [SMALL_STATE(2270)] = 23279,
  [SMALL_STATE(2271)] = 23352,
  [SMALL_STATE(2272)] = 23425,
  [SMALL_STATE(2273)] = 23548,
  [SMALL_STATE(2274)] = 23671,
  [SMALL_STATE(2275)] = 23794,
  [SMALL_STATE(2276)] = 23867,
  [SMALL_STATE(2277)] = 23940,
  [SMALL_STATE(2278)] = 24013,
  [SMALL_STATE(2279)] = 24086,
  [SMALL_STATE(2280)] = 24159,
  [SMALL_STATE(2281)] = 24282,
  [SMALL_STATE(2282)] = 24405,
  [SMALL_STATE(2283)] = 24528,
  [SMALL_STATE(2284)] = 24651,
  [SMALL_STATE(2285)] = 24721,
  [SMALL_STATE(2286)] = 24791,
  [SMALL_STATE(2287)] = 24861,
  [SMALL_STATE(2288)] = 24931,
  [SMALL_STATE(2289)] = 25001,
  [SMALL_STATE(2290)] = 25071,
  [SMALL_STATE(2291)] = 25141,
  [SMALL_STATE(2292)] = 25211,
  [SMALL_STATE(2293)] = 25281,
  [SMALL_STATE(2294)] = 25400,
  [SMALL_STATE(2295)] = 25519,
  [SMALL_STATE(2296)] = 25638,
  [SMALL_STATE(2297)] = 25757,
  [SMALL_STATE(2298)] = 25876,
  [SMALL_STATE(2299)] = 25995,
  [SMALL_STATE(2300)] = 26114,
  [SMALL_STATE(2301)] = 26233,
  [SMALL_STATE(2302)] = 26352,
  [SMALL_STATE(2303)] = 26471,
  [SMALL_STATE(2304)] = 26595,
  [SMALL_STATE(2305)] = 26719,
  [SMALL_STATE(2306)] = 26843,
  [SMALL_STATE(2307)] = 26967,
  [SMALL_STATE(2308)] = 27091,
  [SMALL_STATE(2309)] = 27208,
  [SMALL_STATE(2310)] = 27319,
  [SMALL_STATE(2311)] = 27436,
  [SMALL_STATE(2312)] = 27553,
  [SMALL_STATE(2313)] = 27670,
  [SMALL_STATE(2314)] = 27781,
  [SMALL_STATE(2315)] = 27892,
  [SMALL_STATE(2316)] = 28003,
  [SMALL_STATE(2317)] = 28120,
  [SMALL_STATE(2318)] = 28237,
  [SMALL_STATE(2319)] = 28354,
  [SMALL_STATE(2320)] = 28471,
  [SMALL_STATE(2321)] = 28588,
  [SMALL_STATE(2322)] = 28705,
  [SMALL_STATE(2323)] = 28822,
  [SMALL_STATE(2324)] = 28939,
  [SMALL_STATE(2325)] = 29056,
  [SMALL_STATE(2326)] = 29173,
  [SMALL_STATE(2327)] = 29284,
  [SMALL_STATE(2328)] = 29395,
  [SMALL_STATE(2329)] = 29512,
  [SMALL_STATE(2330)] = 29629,
  [SMALL_STATE(2331)] = 29746,
  [SMALL_STATE(2332)] = 29863,
  [SMALL_STATE(2333)] = 29980,
  [SMALL_STATE(2334)] = 30097,
  [SMALL_STATE(2335)] = 30208,
  [SMALL_STATE(2336)] = 30325,
  [SMALL_STATE(2337)] = 30442,
  [SMALL_STATE(2338)] = 30559,
  [SMALL_STATE(2339)] = 30676,
  [SMALL_STATE(2340)] = 30793,
  [SMALL_STATE(2341)] = 30910,
  [SMALL_STATE(2342)] = 31027,
  [SMALL_STATE(2343)] = 31142,
  [SMALL_STATE(2344)] = 31259,
  [SMALL_STATE(2345)] = 31376,
  [SMALL_STATE(2346)] = 31493,
  [SMALL_STATE(2347)] = 31610,
  [SMALL_STATE(2348)] = 31727,
  [SMALL_STATE(2349)] = 31789,
  [SMALL_STATE(2350)] = 31851,
  [SMALL_STATE(2351)] = 31965,
  [SMALL_STATE(2352)] = 32081,
  [SMALL_STATE(2353)] = 32152,
  [SMALL_STATE(2354)] = 32255,
  [SMALL_STATE(2355)] = 32332,
  [SMALL_STATE(2356)] = 32401,
  [SMALL_STATE(2357)] = 32472,
  [SMALL_STATE(2358)] = 32543,
  [SMALL_STATE(2359)] = 32603,
  [SMALL_STATE(2360)] = 32669,
  [SMALL_STATE(2361)] = 32733,
  [SMALL_STATE(2362)] = 32799,
  [SMALL_STATE(2363)] = 32859,
  [SMALL_STATE(2364)] = 32919,
  [SMALL_STATE(2365)] = 32979,
  [SMALL_STATE(2366)] = 33043,
  [SMALL_STATE(2367)] = 33105,
  [SMALL_STATE(2368)] = 33165,
  [SMALL_STATE(2369)] = 33225,
  [SMALL_STATE(2370)] = 33291,
  [SMALL_STATE(2371)] = 33353,
  [SMALL_STATE(2372)] = 33415,
  [SMALL_STATE(2373)] = 33481,
  [SMALL_STATE(2374)] = 33541,
  [SMALL_STATE(2375)] = 33605,
  [SMALL_STATE(2376)] = 33664,
  [SMALL_STATE(2377)] = 33781,
  [SMALL_STATE(2378)] = 33840,
  [SMALL_STATE(2379)] = 33899,
  [SMALL_STATE(2380)] = 33958,
  [SMALL_STATE(2381)] = 34017,
  [SMALL_STATE(2382)] = 34112,
  [SMALL_STATE(2383)] = 34199,
  [SMALL_STATE(2384)] = 34258,
  [SMALL_STATE(2385)] = 34317,
  [SMALL_STATE(2386)] = 34402,
  [SMALL_STATE(2387)] = 34493,
  [SMALL_STATE(2388)] = 34596,
  [SMALL_STATE(2389)] = 34697,
  [SMALL_STATE(2390)] = 34814,
  [SMALL_STATE(2391)] = 34913,
  [SMALL_STATE(2392)] = 34972,
  [SMALL_STATE(2393)] = 35037,
  [SMALL_STATE(2394)] = 35154,
  [SMALL_STATE(2395)] = 35213,
  [SMALL_STATE(2396)] = 35272,
  [SMALL_STATE(2397)] = 35331,
  [SMALL_STATE(2398)] = 35394,
  [SMALL_STATE(2399)] = 35453,
  [SMALL_STATE(2400)] = 35578,
  [SMALL_STATE(2401)] = 35637,
  [SMALL_STATE(2402)] = 35696,
  [SMALL_STATE(2403)] = 35755,
  [SMALL_STATE(2404)] = 35814,
  [SMALL_STATE(2405)] = 35873,
  [SMALL_STATE(2406)] = 35932,
  [SMALL_STATE(2407)] = 35991,
  [SMALL_STATE(2408)] = 36050,
  [SMALL_STATE(2409)] = 36175,
  [SMALL_STATE(2410)] = 36234,
  [SMALL_STATE(2411)] = 36293,
  [SMALL_STATE(2412)] = 36410,
  [SMALL_STATE(2413)] = 36535,
  [SMALL_STATE(2414)] = 36594,
  [SMALL_STATE(2415)] = 36653,
  [SMALL_STATE(2416)] = 36718,
  [SMALL_STATE(2417)] = 36835,
  [SMALL_STATE(2418)] = 36960,
  [SMALL_STATE(2419)] = 37085,
  [SMALL_STATE(2420)] = 37144,
  [SMALL_STATE(2421)] = 37203,
  [SMALL_STATE(2422)] = 37262,
  [SMALL_STATE(2423)] = 37321,
  [SMALL_STATE(2424)] = 37380,
  [SMALL_STATE(2425)] = 37439,
  [SMALL_STATE(2426)] = 37498,
  [SMALL_STATE(2427)] = 37557,
  [SMALL_STATE(2428)] = 37616,
  [SMALL_STATE(2429)] = 37675,
  [SMALL_STATE(2430)] = 37734,
  [SMALL_STATE(2431)] = 37795,
  [SMALL_STATE(2432)] = 37854,
  [SMALL_STATE(2433)] = 37919,
  [SMALL_STATE(2434)] = 37978,
  [SMALL_STATE(2435)] = 38039,
  [SMALL_STATE(2436)] = 38100,
  [SMALL_STATE(2437)] = 38159,
  [SMALL_STATE(2438)] = 38220,
  [SMALL_STATE(2439)] = 38337,
  [SMALL_STATE(2440)] = 38396,
  [SMALL_STATE(2441)] = 38513,
  [SMALL_STATE(2442)] = 38600,
  [SMALL_STATE(2443)] = 38659,
  [SMALL_STATE(2444)] = 38718,
  [SMALL_STATE(2445)] = 38777,
  [SMALL_STATE(2446)] = 38836,
  [SMALL_STATE(2447)] = 38895,
  [SMALL_STATE(2448)] = 38990,
  [SMALL_STATE(2449)] = 39049,
  [SMALL_STATE(2450)] = 39108,
  [SMALL_STATE(2451)] = 39167,
  [SMALL_STATE(2452)] = 39226,
  [SMALL_STATE(2453)] = 39285,
  [SMALL_STATE(2454)] = 39344,
  [SMALL_STATE(2455)] = 39421,
  [SMALL_STATE(2456)] = 39480,
  [SMALL_STATE(2457)] = 39597,
  [SMALL_STATE(2458)] = 39682,
  [SMALL_STATE(2459)] = 39747,
  [SMALL_STATE(2460)] = 39808,
  [SMALL_STATE(2461)] = 39869,
  [SMALL_STATE(2462)] = 39986,
  [SMALL_STATE(2463)] = 40045,
  [SMALL_STATE(2464)] = 40110,
  [SMALL_STATE(2465)] = 40189,
  [SMALL_STATE(2466)] = 40254,
  [SMALL_STATE(2467)] = 40313,
  [SMALL_STATE(2468)] = 40372,
  [SMALL_STATE(2469)] = 40431,
  [SMALL_STATE(2470)] = 40498,
  [SMALL_STATE(2471)] = 40557,
  [SMALL_STATE(2472)] = 40674,
  [SMALL_STATE(2473)] = 40791,
  [SMALL_STATE(2474)] = 40908,
  [SMALL_STATE(2475)] = 40973,
  [SMALL_STATE(2476)] = 41038,
  [SMALL_STATE(2477)] = 41099,
  [SMALL_STATE(2478)] = 41194,
  [SMALL_STATE(2479)] = 41253,
  [SMALL_STATE(2480)] = 41312,
  [SMALL_STATE(2481)] = 41429,
  [SMALL_STATE(2482)] = 41488,
  [SMALL_STATE(2483)] = 41547,
  [SMALL_STATE(2484)] = 41606,
  [SMALL_STATE(2485)] = 41667,
  [SMALL_STATE(2486)] = 41792,
  [SMALL_STATE(2487)] = 41851,
  [SMALL_STATE(2488)] = 41910,
  [SMALL_STATE(2489)] = 41991,
  [SMALL_STATE(2490)] = 42052,
  [SMALL_STATE(2491)] = 42117,
  [SMALL_STATE(2492)] = 42184,
  [SMALL_STATE(2493)] = 42279,
  [SMALL_STATE(2494)] = 42346,
  [SMALL_STATE(2495)] = 42409,
  [SMALL_STATE(2496)] = 42468,
  [SMALL_STATE(2497)] = 42563,
  [SMALL_STATE(2498)] = 42622,
  [SMALL_STATE(2499)] = 42681,
  [SMALL_STATE(2500)] = 42742,
  [SMALL_STATE(2501)] = 42803,
  [SMALL_STATE(2502)] = 42862,
  [SMALL_STATE(2503)] = 42971,
  [SMALL_STATE(2504)] = 43030,
  [SMALL_STATE(2505)] = 43089,
  [SMALL_STATE(2506)] = 43148,
  [SMALL_STATE(2507)] = 43207,
  [SMALL_STATE(2508)] = 43266,
  [SMALL_STATE(2509)] = 43325,
  [SMALL_STATE(2510)] = 43442,
  [SMALL_STATE(2511)] = 43567,
  [SMALL_STATE(2512)] = 43632,
  [SMALL_STATE(2513)] = 43691,
  [SMALL_STATE(2514)] = 43808,
  [SMALL_STATE(2515)] = 43871,
  [SMALL_STATE(2516)] = 43930,
  [SMALL_STATE(2517)] = 43991,
  [SMALL_STATE(2518)] = 44096,
  [SMALL_STATE(2519)] = 44159,
  [SMALL_STATE(2520)] = 44224,
  [SMALL_STATE(2521)] = 44289,
  [SMALL_STATE(2522)] = 44348,
  [SMALL_STATE(2523)] = 44407,
  [SMALL_STATE(2524)] = 44466,
  [SMALL_STATE(2525)] = 44525,
  [SMALL_STATE(2526)] = 44584,
  [SMALL_STATE(2527)] = 44643,
  [SMALL_STATE(2528)] = 44702,
  [SMALL_STATE(2529)] = 44761,
  [SMALL_STATE(2530)] = 44856,
  [SMALL_STATE(2531)] = 44915,
  [SMALL_STATE(2532)] = 44974,
  [SMALL_STATE(2533)] = 45033,
  [SMALL_STATE(2534)] = 45158,
  [SMALL_STATE(2535)] = 45265,
  [SMALL_STATE(2536)] = 45390,
  [SMALL_STATE(2537)] = 45478,
  [SMALL_STATE(2538)] = 45536,
  [SMALL_STATE(2539)] = 45654,
  [SMALL_STATE(2540)] = 45714,
  [SMALL_STATE(2541)] = 45772,
  [SMALL_STATE(2542)] = 45832,
  [SMALL_STATE(2543)] = 45892,
  [SMALL_STATE(2544)] = 45958,
  [SMALL_STATE(2545)] = 46076,
  [SMALL_STATE(2546)] = 46196,
  [SMALL_STATE(2547)] = 46290,
  [SMALL_STATE(2548)] = 46366,
  [SMALL_STATE(2549)] = 46424,
  [SMALL_STATE(2550)] = 46510,
  [SMALL_STATE(2551)] = 46598,
  [SMALL_STATE(2552)] = 46706,
  [SMALL_STATE(2553)] = 46764,
  [SMALL_STATE(2554)] = 46822,
  [SMALL_STATE(2555)] = 46906,
  [SMALL_STATE(2556)] = 46964,
  [SMALL_STATE(2557)] = 47080,
  [SMALL_STATE(2558)] = 47196,
  [SMALL_STATE(2559)] = 47312,
  [SMALL_STATE(2560)] = 47432,
  [SMALL_STATE(2561)] = 47552,
  [SMALL_STATE(2562)] = 47636,
  [SMALL_STATE(2563)] = 47694,
  [SMALL_STATE(2564)] = 47752,
  [SMALL_STATE(2565)] = 47810,
  [SMALL_STATE(2566)] = 47888,
  [SMALL_STATE(2567)] = 47946,
  [SMALL_STATE(2568)] = 48032,
  [SMALL_STATE(2569)] = 48090,
  [SMALL_STATE(2570)] = 48148,
  [SMALL_STATE(2571)] = 48206,
  [SMALL_STATE(2572)] = 48266,
  [SMALL_STATE(2573)] = 48324,
  [SMALL_STATE(2574)] = 48402,
  [SMALL_STATE(2575)] = 48462,
  [SMALL_STATE(2576)] = 48578,
  [SMALL_STATE(2577)] = 48694,
  [SMALL_STATE(2578)] = 48814,
  [SMALL_STATE(2579)] = 48872,
  [SMALL_STATE(2580)] = 48988,
  [SMALL_STATE(2581)] = 49046,
  [SMALL_STATE(2582)] = 49162,
  [SMALL_STATE(2583)] = 49246,
  [SMALL_STATE(2584)] = 49366,
  [SMALL_STATE(2585)] = 49424,
  [SMALL_STATE(2586)] = 49544,
  [SMALL_STATE(2587)] = 49664,
  [SMALL_STATE(2588)] = 49780,
  [SMALL_STATE(2589)] = 49896,
  [SMALL_STATE(2590)] = 50016,
  [SMALL_STATE(2591)] = 50132,
  [SMALL_STATE(2592)] = 50252,
  [SMALL_STATE(2593)] = 50372,
  [SMALL_STATE(2594)] = 50462,
  [SMALL_STATE(2595)] = 50536,
  [SMALL_STATE(2596)] = 50616,
  [SMALL_STATE(2597)] = 50720,
  [SMALL_STATE(2598)] = 50826,
  [SMALL_STATE(2599)] = 50912,
  [SMALL_STATE(2600)] = 51010,
  [SMALL_STATE(2601)] = 51110,
  [SMALL_STATE(2602)] = 51212,
  [SMALL_STATE(2603)] = 51296,
  [SMALL_STATE(2604)] = 51354,
  [SMALL_STATE(2605)] = 51412,
  [SMALL_STATE(2606)] = 51470,
  [SMALL_STATE(2607)] = 51528,
  [SMALL_STATE(2608)] = 51614,
  [SMALL_STATE(2609)] = 51708,
  [SMALL_STATE(2610)] = 51816,
  [SMALL_STATE(2611)] = 51932,
  [SMALL_STATE(2612)] = 52034,
  [SMALL_STATE(2613)] = 52150,
  [SMALL_STATE(2614)] = 52208,
  [SMALL_STATE(2615)] = 52266,
  [SMALL_STATE(2616)] = 52324,
  [SMALL_STATE(2617)] = 52382,
  [SMALL_STATE(2618)] = 52440,
  [SMALL_STATE(2619)] = 52498,
  [SMALL_STATE(2620)] = 52562,
  [SMALL_STATE(2621)] = 52662,
  [SMALL_STATE(2622)] = 52760,
  [SMALL_STATE(2623)] = 52848,
  [SMALL_STATE(2624)] = 52934,
  [SMALL_STATE(2625)] = 52992,
  [SMALL_STATE(2626)] = 53050,
  [SMALL_STATE(2627)] = 53108,
  [SMALL_STATE(2628)] = 53166,
  [SMALL_STATE(2629)] = 53224,
  [SMALL_STATE(2630)] = 53282,
  [SMALL_STATE(2631)] = 53340,
  [SMALL_STATE(2632)] = 53398,
  [SMALL_STATE(2633)] = 53456,
  [SMALL_STATE(2634)] = 53514,
  [SMALL_STATE(2635)] = 53572,
  [SMALL_STATE(2636)] = 53630,
  [SMALL_STATE(2637)] = 53688,
  [SMALL_STATE(2638)] = 53764,
  [SMALL_STATE(2639)] = 53822,
  [SMALL_STATE(2640)] = 53880,
  [SMALL_STATE(2641)] = 53948,
  [SMALL_STATE(2642)] = 54006,
  [SMALL_STATE(2643)] = 54074,
  [SMALL_STATE(2644)] = 54142,
  [SMALL_STATE(2645)] = 54228,
  [SMALL_STATE(2646)] = 54286,
  [SMALL_STATE(2647)] = 54344,
  [SMALL_STATE(2648)] = 54450,
  [SMALL_STATE(2649)] = 54566,
  [SMALL_STATE(2650)] = 54682,
  [SMALL_STATE(2651)] = 54798,
  [SMALL_STATE(2652)] = 54902,
  [SMALL_STATE(2653)] = 55018,
  [SMALL_STATE(2654)] = 55134,
  [SMALL_STATE(2655)] = 55250,
  [SMALL_STATE(2656)] = 55366,
  [SMALL_STATE(2657)] = 55482,
  [SMALL_STATE(2658)] = 55598,
  [SMALL_STATE(2659)] = 55656,
  [SMALL_STATE(2660)] = 55714,
  [SMALL_STATE(2661)] = 55772,
  [SMALL_STATE(2662)] = 55892,
  [SMALL_STATE(2663)] = 55950,
  [SMALL_STATE(2664)] = 56070,
  [SMALL_STATE(2665)] = 56190,
  [SMALL_STATE(2666)] = 56248,
  [SMALL_STATE(2667)] = 56306,
  [SMALL_STATE(2668)] = 56364,
  [SMALL_STATE(2669)] = 56484,
  [SMALL_STATE(2670)] = 56542,
  [SMALL_STATE(2671)] = 56600,
  [SMALL_STATE(2672)] = 56716,
  [SMALL_STATE(2673)] = 56774,
  [SMALL_STATE(2674)] = 56838,
  [SMALL_STATE(2675)] = 56902,
  [SMALL_STATE(2676)] = 56990,
  [SMALL_STATE(2677)] = 57110,
  [SMALL_STATE(2678)] = 57230,
  [SMALL_STATE(2679)] = 57288,
  [SMALL_STATE(2680)] = 57408,
  [SMALL_STATE(2681)] = 57466,
  [SMALL_STATE(2682)] = 57552,
  [SMALL_STATE(2683)] = 57610,
  [SMALL_STATE(2684)] = 57668,
  [SMALL_STATE(2685)] = 57726,
  [SMALL_STATE(2686)] = 57784,
  [SMALL_STATE(2687)] = 57842,
  [SMALL_STATE(2688)] = 57900,
  [SMALL_STATE(2689)] = 57958,
  [SMALL_STATE(2690)] = 58016,
  [SMALL_STATE(2691)] = 58074,
  [SMALL_STATE(2692)] = 58194,
  [SMALL_STATE(2693)] = 58314,
  [SMALL_STATE(2694)] = 58372,
  [SMALL_STATE(2695)] = 58430,
  [SMALL_STATE(2696)] = 58550,
  [SMALL_STATE(2697)] = 58666,
  [SMALL_STATE(2698)] = 58728,
  [SMALL_STATE(2699)] = 58844,
  [SMALL_STATE(2700)] = 58902,
  [SMALL_STATE(2701)] = 59018,
  [SMALL_STATE(2702)] = 59134,
  [SMALL_STATE(2703)] = 59224,
  [SMALL_STATE(2704)] = 59340,
  [SMALL_STATE(2705)] = 59402,
  [SMALL_STATE(2706)] = 59460,
  [SMALL_STATE(2707)] = 59518,
  [SMALL_STATE(2708)] = 59576,
  [SMALL_STATE(2709)] = 59634,
  [SMALL_STATE(2710)] = 59722,
  [SMALL_STATE(2711)] = 59780,
  [SMALL_STATE(2712)] = 59896,
  [SMALL_STATE(2713)] = 60012,
  [SMALL_STATE(2714)] = 60098,
  [SMALL_STATE(2715)] = 60156,
  [SMALL_STATE(2716)] = 60214,
  [SMALL_STATE(2717)] = 60272,
  [SMALL_STATE(2718)] = 60330,
  [SMALL_STATE(2719)] = 60388,
  [SMALL_STATE(2720)] = 60446,
  [SMALL_STATE(2721)] = 60508,
  [SMALL_STATE(2722)] = 60588,
  [SMALL_STATE(2723)] = 60674,
  [SMALL_STATE(2724)] = 60732,
  [SMALL_STATE(2725)] = 60820,
  [SMALL_STATE(2726)] = 60883,
  [SMALL_STATE(2727)] = 60998,
  [SMALL_STATE(2728)] = 61115,
  [SMALL_STATE(2729)] = 61234,
  [SMALL_STATE(2730)] = 61299,
  [SMALL_STATE(2731)] = 61414,
  [SMALL_STATE(2732)] = 61529,
  [SMALL_STATE(2733)] = 61648,
  [SMALL_STATE(2734)] = 61763,
  [SMALL_STATE(2735)] = 61882,
  [SMALL_STATE(2736)] = 62001,
  [SMALL_STATE(2737)] = 62058,
  [SMALL_STATE(2738)] = 62123,
  [SMALL_STATE(2739)] = 62238,
  [SMALL_STATE(2740)] = 62301,
  [SMALL_STATE(2741)] = 62416,
  [SMALL_STATE(2742)] = 62493,
  [SMALL_STATE(2743)] = 62558,
  [SMALL_STATE(2744)] = 62641,
  [SMALL_STATE(2745)] = 62722,
  [SMALL_STATE(2746)] = 62837,
  [SMALL_STATE(2747)] = 62952,
  [SMALL_STATE(2748)] = 63041,
  [SMALL_STATE(2749)] = 63106,
  [SMALL_STATE(2750)] = 63181,
  [SMALL_STATE(2751)] = 63260,
  [SMALL_STATE(2752)] = 63363,
  [SMALL_STATE(2753)] = 63468,
  [SMALL_STATE(2754)] = 63585,
  [SMALL_STATE(2755)] = 63670,
  [SMALL_STATE(2756)] = 63789,
  [SMALL_STATE(2757)] = 63886,
  [SMALL_STATE(2758)] = 63985,
  [SMALL_STATE(2759)] = 64086,
  [SMALL_STATE(2760)] = 64169,
  [SMALL_STATE(2761)] = 64288,
  [SMALL_STATE(2762)] = 64373,
  [SMALL_STATE(2763)] = 64492,
  [SMALL_STATE(2764)] = 64585,
  [SMALL_STATE(2765)] = 64692,
  [SMALL_STATE(2766)] = 64749,
  [SMALL_STATE(2767)] = 64864,
  [SMALL_STATE(2768)] = 64983,
  [SMALL_STATE(2769)] = 65098,
  [SMALL_STATE(2770)] = 65215,
  [SMALL_STATE(2771)] = 65274,
  [SMALL_STATE(2772)] = 65333,
  [SMALL_STATE(2773)] = 65452,
  [SMALL_STATE(2774)] = 65567,
  [SMALL_STATE(2775)] = 65686,
  [SMALL_STATE(2776)] = 65751,
  [SMALL_STATE(2777)] = 65870,
  [SMALL_STATE(2778)] = 65935,
  [SMALL_STATE(2779)] = 66020,
  [SMALL_STATE(2780)] = 66139,
  [SMALL_STATE(2781)] = 66254,
  [SMALL_STATE(2782)] = 66369,
  [SMALL_STATE(2783)] = 66484,
  [SMALL_STATE(2784)] = 66599,
  [SMALL_STATE(2785)] = 66714,
  [SMALL_STATE(2786)] = 66831,
  [SMALL_STATE(2787)] = 66916,
  [SMALL_STATE(2788)] = 67035,
  [SMALL_STATE(2789)] = 67116,
  [SMALL_STATE(2790)] = 67197,
  [SMALL_STATE(2791)] = 67260,
  [SMALL_STATE(2792)] = 67379,
  [SMALL_STATE(2793)] = 67494,
  [SMALL_STATE(2794)] = 67613,
  [SMALL_STATE(2795)] = 67728,
  [SMALL_STATE(2796)] = 67847,
  [SMALL_STATE(2797)] = 67928,
  [SMALL_STATE(2798)] = 68045,
  [SMALL_STATE(2799)] = 68164,
  [SMALL_STATE(2800)] = 68225,
  [SMALL_STATE(2801)] = 68282,
  [SMALL_STATE(2802)] = 68345,
  [SMALL_STATE(2803)] = 68402,
  [SMALL_STATE(2804)] = 68459,
  [SMALL_STATE(2805)] = 68526,
  [SMALL_STATE(2806)] = 68593,
  [SMALL_STATE(2807)] = 68652,
  [SMALL_STATE(2808)] = 68767,
  [SMALL_STATE(2809)] = 68886,
  [SMALL_STATE(2810)] = 69005,
  [SMALL_STATE(2811)] = 69120,
  [SMALL_STATE(2812)] = 69239,
  [SMALL_STATE(2813)] = 69298,
  [SMALL_STATE(2814)] = 69385,
  [SMALL_STATE(2815)] = 69446,
  [SMALL_STATE(2816)] = 69565,
  [SMALL_STATE(2817)] = 69684,
  [SMALL_STATE(2818)] = 69745,
  [SMALL_STATE(2819)] = 69864,
  [SMALL_STATE(2820)] = 69927,
  [SMALL_STATE(2821)] = 69984,
  [SMALL_STATE(2822)] = 70103,
  [SMALL_STATE(2823)] = 70164,
  [SMALL_STATE(2824)] = 70283,
  [SMALL_STATE(2825)] = 70402,
  [SMALL_STATE(2826)] = 70483,
  [SMALL_STATE(2827)] = 70602,
  [SMALL_STATE(2828)] = 70721,
  [SMALL_STATE(2829)] = 70840,
  [SMALL_STATE(2830)] = 70959,
  [SMALL_STATE(2831)] = 71015,
  [SMALL_STATE(2832)] = 71077,
  [SMALL_STATE(2833)] = 71191,
  [SMALL_STATE(2834)] = 71253,
  [SMALL_STATE(2835)] = 71309,
  [SMALL_STATE(2836)] = 71365,
  [SMALL_STATE(2837)] = 71421,
  [SMALL_STATE(2838)] = 71477,
  [SMALL_STATE(2839)] = 71535,
  [SMALL_STATE(2840)] = 71591,
  [SMALL_STATE(2841)] = 71647,
  [SMALL_STATE(2842)] = 71751,
  [SMALL_STATE(2843)] = 71807,
  [SMALL_STATE(2844)] = 71869,
  [SMALL_STATE(2845)] = 71925,
  [SMALL_STATE(2846)] = 71981,
  [SMALL_STATE(2847)] = 72037,
  [SMALL_STATE(2848)] = 72099,
  [SMALL_STATE(2849)] = 72155,
  [SMALL_STATE(2850)] = 72211,
  [SMALL_STATE(2851)] = 72267,
  [SMALL_STATE(2852)] = 72323,
  [SMALL_STATE(2853)] = 72379,
  [SMALL_STATE(2854)] = 72435,
  [SMALL_STATE(2855)] = 72491,
  [SMALL_STATE(2856)] = 72547,
  [SMALL_STATE(2857)] = 72603,
  [SMALL_STATE(2858)] = 72659,
  [SMALL_STATE(2859)] = 72715,
  [SMALL_STATE(2860)] = 72771,
  [SMALL_STATE(2861)] = 72827,
  [SMALL_STATE(2862)] = 72883,
  [SMALL_STATE(2863)] = 72939,
  [SMALL_STATE(2864)] = 72995,
  [SMALL_STATE(2865)] = 73051,
  [SMALL_STATE(2866)] = 73107,
  [SMALL_STATE(2867)] = 73163,
  [SMALL_STATE(2868)] = 73219,
  [SMALL_STATE(2869)] = 73275,
  [SMALL_STATE(2870)] = 73377,
  [SMALL_STATE(2871)] = 73433,
  [SMALL_STATE(2872)] = 73515,
  [SMALL_STATE(2873)] = 73629,
  [SMALL_STATE(2874)] = 73685,
  [SMALL_STATE(2875)] = 73781,
  [SMALL_STATE(2876)] = 73837,
  [SMALL_STATE(2877)] = 73893,
  [SMALL_STATE(2878)] = 73983,
  [SMALL_STATE(2879)] = 74073,
  [SMALL_STATE(2880)] = 74157,
  [SMALL_STATE(2881)] = 74215,
  [SMALL_STATE(2882)] = 74271,
  [SMALL_STATE(2883)] = 74327,
  [SMALL_STATE(2884)] = 74409,
  [SMALL_STATE(2885)] = 74465,
  [SMALL_STATE(2886)] = 74521,
  [SMALL_STATE(2887)] = 74603,
  [SMALL_STATE(2888)] = 74659,
  [SMALL_STATE(2889)] = 74721,
  [SMALL_STATE(2890)] = 74835,
  [SMALL_STATE(2891)] = 74915,
  [SMALL_STATE(2892)] = 74971,
  [SMALL_STATE(2893)] = 75049,
  [SMALL_STATE(2894)] = 75139,
  [SMALL_STATE(2895)] = 75237,
  [SMALL_STATE(2896)] = 75299,
  [SMALL_STATE(2897)] = 75399,
  [SMALL_STATE(2898)] = 75481,
  [SMALL_STATE(2899)] = 75537,
  [SMALL_STATE(2900)] = 75593,
  [SMALL_STATE(2901)] = 75651,
  [SMALL_STATE(2902)] = 75707,
  [SMALL_STATE(2903)] = 75769,
  [SMALL_STATE(2904)] = 75825,
  [SMALL_STATE(2905)] = 75883,
  [SMALL_STATE(2906)] = 75941,
  [SMALL_STATE(2907)] = 75997,
  [SMALL_STATE(2908)] = 76055,
  [SMALL_STATE(2909)] = 76111,
  [SMALL_STATE(2910)] = 76167,
  [SMALL_STATE(2911)] = 76223,
  [SMALL_STATE(2912)] = 76279,
  [SMALL_STATE(2913)] = 76335,
  [SMALL_STATE(2914)] = 76425,
  [SMALL_STATE(2915)] = 76481,
  [SMALL_STATE(2916)] = 76537,
  [SMALL_STATE(2917)] = 76593,
  [SMALL_STATE(2918)] = 76649,
  [SMALL_STATE(2919)] = 76723,
  [SMALL_STATE(2920)] = 76837,
  [SMALL_STATE(2921)] = 76913,
  [SMALL_STATE(2922)] = 76995,
  [SMALL_STATE(2923)] = 77109,
  [SMALL_STATE(2924)] = 77223,
  [SMALL_STATE(2925)] = 77305,
  [SMALL_STATE(2926)] = 77383,
  [SMALL_STATE(2927)] = 77463,
  [SMALL_STATE(2928)] = 77577,
  [SMALL_STATE(2929)] = 77633,
  [SMALL_STATE(2930)] = 77695,
  [SMALL_STATE(2931)] = 77809,
  [SMALL_STATE(2932)] = 77865,
  [SMALL_STATE(2933)] = 77935,
  [SMALL_STATE(2934)] = 78049,
  [SMALL_STATE(2935)] = 78109,
  [SMALL_STATE(2936)] = 78225,
  [SMALL_STATE(2937)] = 78309,
  [SMALL_STATE(2938)] = 78423,
  [SMALL_STATE(2939)] = 78479,
  [SMALL_STATE(2940)] = 78535,
  [SMALL_STATE(2941)] = 78605,
  [SMALL_STATE(2942)] = 78719,
  [SMALL_STATE(2943)] = 78775,
  [SMALL_STATE(2944)] = 78831,
  [SMALL_STATE(2945)] = 78887,
  [SMALL_STATE(2946)] = 78943,
  [SMALL_STATE(2947)] = 79057,
  [SMALL_STATE(2948)] = 79171,
  [SMALL_STATE(2949)] = 79227,
  [SMALL_STATE(2950)] = 79283,
  [SMALL_STATE(2951)] = 79339,
  [SMALL_STATE(2952)] = 79397,
  [SMALL_STATE(2953)] = 79453,
  [SMALL_STATE(2954)] = 79509,
  [SMALL_STATE(2955)] = 79577,
  [SMALL_STATE(2956)] = 79691,
  [SMALL_STATE(2957)] = 79805,
  [SMALL_STATE(2958)] = 79861,
  [SMALL_STATE(2959)] = 79929,
  [SMALL_STATE(2960)] = 79991,
  [SMALL_STATE(2961)] = 80105,
  [SMALL_STATE(2962)] = 80211,
  [SMALL_STATE(2963)] = 80279,
  [SMALL_STATE(2964)] = 80335,
  [SMALL_STATE(2965)] = 80393,
  [SMALL_STATE(2966)] = 80485,
  [SMALL_STATE(2967)] = 80541,
  [SMALL_STATE(2968)] = 80625,
  [SMALL_STATE(2969)] = 80707,
  [SMALL_STATE(2970)] = 80823,
  [SMALL_STATE(2971)] = 80905,
  [SMALL_STATE(2972)] = 80961,
  [SMALL_STATE(2973)] = 81061,
  [SMALL_STATE(2974)] = 81117,
  [SMALL_STATE(2975)] = 81173,
  [SMALL_STATE(2976)] = 81271,
  [SMALL_STATE(2977)] = 81327,
  [SMALL_STATE(2978)] = 81423,
  [SMALL_STATE(2979)] = 81491,
  [SMALL_STATE(2980)] = 81559,
  [SMALL_STATE(2981)] = 81621,
  [SMALL_STATE(2982)] = 81735,
  [SMALL_STATE(2983)] = 81849,
  [SMALL_STATE(2984)] = 81933,
  [SMALL_STATE(2985)] = 82037,
  [SMALL_STATE(2986)] = 82151,
  [SMALL_STATE(2987)] = 82265,
  [SMALL_STATE(2988)] = 82367,
  [SMALL_STATE(2989)] = 82481,
  [SMALL_STATE(2990)] = 82549,
  [SMALL_STATE(2991)] = 82613,
  [SMALL_STATE(2992)] = 82691,
  [SMALL_STATE(2993)] = 82779,
  [SMALL_STATE(2994)] = 82839,
  [SMALL_STATE(2995)] = 82953,
  [SMALL_STATE(2996)] = 83031,
  [SMALL_STATE(2997)] = 83119,
  [SMALL_STATE(2998)] = 83211,
  [SMALL_STATE(2999)] = 83327,
  [SMALL_STATE(3000)] = 83405,
  [SMALL_STATE(3001)] = 83521,
  [SMALL_STATE(3002)] = 83603,
  [SMALL_STATE(3003)] = 83659,
  [SMALL_STATE(3004)] = 83765,
  [SMALL_STATE(3005)] = 83879,
  [SMALL_STATE(3006)] = 83993,
  [SMALL_STATE(3007)] = 84107,
  [SMALL_STATE(3008)] = 84169,
  [SMALL_STATE(3009)] = 84249,
  [SMALL_STATE(3010)] = 84327,
  [SMALL_STATE(3011)] = 84409,
  [SMALL_STATE(3012)] = 84523,
  [SMALL_STATE(3013)] = 84637,
  [SMALL_STATE(3014)] = 84751,
  [SMALL_STATE(3015)] = 84865,
  [SMALL_STATE(3016)] = 84979,
  [SMALL_STATE(3017)] = 85041,
  [SMALL_STATE(3018)] = 85099,
  [SMALL_STATE(3019)] = 85155,
  [SMALL_STATE(3020)] = 85269,
  [SMALL_STATE(3021)] = 85333,
  [SMALL_STATE(3022)] = 85395,
  [SMALL_STATE(3023)] = 85457,
  [SMALL_STATE(3024)] = 85515,
  [SMALL_STATE(3025)] = 85631,
  [SMALL_STATE(3026)] = 85691,
  [SMALL_STATE(3027)] = 85749,
  [SMALL_STATE(3028)] = 85831,
  [SMALL_STATE(3029)] = 85921,
  [SMALL_STATE(3030)] = 85983,
  [SMALL_STATE(3031)] = 86097,
  [SMALL_STATE(3032)] = 86155,
  [SMALL_STATE(3033)] = 86271,
  [SMALL_STATE(3034)] = 86361,
  [SMALL_STATE(3035)] = 86423,
  [SMALL_STATE(3036)] = 86479,
  [SMALL_STATE(3037)] = 86535,
  [SMALL_STATE(3038)] = 86591,
  [SMALL_STATE(3039)] = 86705,
  [SMALL_STATE(3040)] = 86763,
  [SMALL_STATE(3041)] = 86831,
  [SMALL_STATE(3042)] = 86945,
  [SMALL_STATE(3043)] = 87013,
  [SMALL_STATE(3044)] = 87081,
  [SMALL_STATE(3045)] = 87139,
  [SMALL_STATE(3046)] = 87201,
  [SMALL_STATE(3047)] = 87259,
  [SMALL_STATE(3048)] = 87373,
  [SMALL_STATE(3049)] = 87431,
  [SMALL_STATE(3050)] = 87493,
  [SMALL_STATE(3051)] = 87553,
  [SMALL_STATE(3052)] = 87615,
  [SMALL_STATE(3053)] = 87671,
  [SMALL_STATE(3054)] = 87785,
  [SMALL_STATE(3055)] = 87875,
  [SMALL_STATE(3056)] = 87953,
  [SMALL_STATE(3057)] = 88067,
  [SMALL_STATE(3058)] = 88123,
  [SMALL_STATE(3059)] = 88179,
  [SMALL_STATE(3060)] = 88243,
  [SMALL_STATE(3061)] = 88319,
  [SMALL_STATE(3062)] = 88377,
  [SMALL_STATE(3063)] = 88459,
  [SMALL_STATE(3064)] = 88573,
  [SMALL_STATE(3065)] = 88647,
  [SMALL_STATE(3066)] = 88709,
  [SMALL_STATE(3067)] = 88764,
  [SMALL_STATE(3068)] = 88877,
  [SMALL_STATE(3069)] = 88960,
  [SMALL_STATE(3070)] = 89015,
  [SMALL_STATE(3071)] = 89096,
  [SMALL_STATE(3072)] = 89151,
  [SMALL_STATE(3073)] = 89224,
  [SMALL_STATE(3074)] = 89279,
  [SMALL_STATE(3075)] = 89334,
  [SMALL_STATE(3076)] = 89389,
  [SMALL_STATE(3077)] = 89444,
  [SMALL_STATE(3078)] = 89521,
  [SMALL_STATE(3079)] = 89634,
  [SMALL_STATE(3080)] = 89709,
  [SMALL_STATE(3081)] = 89764,
  [SMALL_STATE(3082)] = 89819,
  [SMALL_STATE(3083)] = 89902,
  [SMALL_STATE(3084)] = 89959,
  [SMALL_STATE(3085)] = 90040,
  [SMALL_STATE(3086)] = 90095,
  [SMALL_STATE(3087)] = 90208,
  [SMALL_STATE(3088)] = 90281,
  [SMALL_STATE(3089)] = 90354,
  [SMALL_STATE(3090)] = 90419,
  [SMALL_STATE(3091)] = 90474,
  [SMALL_STATE(3092)] = 90533,
  [SMALL_STATE(3093)] = 90606,
  [SMALL_STATE(3094)] = 90679,
  [SMALL_STATE(3095)] = 90734,
  [SMALL_STATE(3096)] = 90791,
  [SMALL_STATE(3097)] = 90848,
  [SMALL_STATE(3098)] = 90911,
  [SMALL_STATE(3099)] = 91024,
  [SMALL_STATE(3100)] = 91083,
  [SMALL_STATE(3101)] = 91138,
  [SMALL_STATE(3102)] = 91201,
  [SMALL_STATE(3103)] = 91260,
  [SMALL_STATE(3104)] = 91323,
  [SMALL_STATE(3105)] = 91382,
  [SMALL_STATE(3106)] = 91439,
  [SMALL_STATE(3107)] = 91514,
  [SMALL_STATE(3108)] = 91627,
  [SMALL_STATE(3109)] = 91686,
  [SMALL_STATE(3110)] = 91741,
  [SMALL_STATE(3111)] = 91796,
  [SMALL_STATE(3112)] = 91853,
  [SMALL_STATE(3113)] = 91908,
  [SMALL_STATE(3114)] = 91963,
  [SMALL_STATE(3115)] = 92076,
  [SMALL_STATE(3116)] = 92131,
  [SMALL_STATE(3117)] = 92214,
  [SMALL_STATE(3118)] = 92275,
  [SMALL_STATE(3119)] = 92388,
  [SMALL_STATE(3120)] = 92443,
  [SMALL_STATE(3121)] = 92502,
  [SMALL_STATE(3122)] = 92557,
  [SMALL_STATE(3123)] = 92612,
  [SMALL_STATE(3124)] = 92675,
  [SMALL_STATE(3125)] = 92730,
  [SMALL_STATE(3126)] = 92805,
  [SMALL_STATE(3127)] = 92878,
  [SMALL_STATE(3128)] = 92991,
  [SMALL_STATE(3129)] = 93046,
  [SMALL_STATE(3130)] = 93105,
  [SMALL_STATE(3131)] = 93162,
  [SMALL_STATE(3132)] = 93235,
  [SMALL_STATE(3133)] = 93290,
  [SMALL_STATE(3134)] = 93403,
  [SMALL_STATE(3135)] = 93484,
  [SMALL_STATE(3136)] = 93543,
  [SMALL_STATE(3137)] = 93598,
  [SMALL_STATE(3138)] = 93671,
  [SMALL_STATE(3139)] = 93746,
  [SMALL_STATE(3140)] = 93801,
  [SMALL_STATE(3141)] = 93856,
  [SMALL_STATE(3142)] = 93929,
  [SMALL_STATE(3143)] = 94002,
  [SMALL_STATE(3144)] = 94067,
  [SMALL_STATE(3145)] = 94140,
  [SMALL_STATE(3146)] = 94205,
  [SMALL_STATE(3147)] = 94278,
  [SMALL_STATE(3148)] = 94391,
  [SMALL_STATE(3149)] = 94464,
  [SMALL_STATE(3150)] = 94529,
  [SMALL_STATE(3151)] = 94610,
  [SMALL_STATE(3152)] = 94723,
  [SMALL_STATE(3153)] = 94798,
  [SMALL_STATE(3154)] = 94855,
  [SMALL_STATE(3155)] = 94910,
  [SMALL_STATE(3156)] = 94983,
  [SMALL_STATE(3157)] = 95096,
  [SMALL_STATE(3158)] = 95177,
  [SMALL_STATE(3159)] = 95236,
  [SMALL_STATE(3160)] = 95291,
  [SMALL_STATE(3161)] = 95366,
  [SMALL_STATE(3162)] = 95441,
  [SMALL_STATE(3163)] = 95514,
  [SMALL_STATE(3164)] = 95569,
  [SMALL_STATE(3165)] = 95624,
  [SMALL_STATE(3166)] = 95699,
  [SMALL_STATE(3167)] = 95754,
  [SMALL_STATE(3168)] = 95829,
  [SMALL_STATE(3169)] = 95942,
  [SMALL_STATE(3170)] = 95997,
  [SMALL_STATE(3171)] = 96052,
  [SMALL_STATE(3172)] = 96165,
  [SMALL_STATE(3173)] = 96224,
  [SMALL_STATE(3174)] = 96279,
  [SMALL_STATE(3175)] = 96338,
  [SMALL_STATE(3176)] = 96451,
  [SMALL_STATE(3177)] = 96510,
  [SMALL_STATE(3178)] = 96577,
  [SMALL_STATE(3179)] = 96632,
  [SMALL_STATE(3180)] = 96747,
  [SMALL_STATE(3181)] = 96814,
  [SMALL_STATE(3182)] = 96869,
  [SMALL_STATE(3183)] = 96982,
  [SMALL_STATE(3184)] = 97041,
  [SMALL_STATE(3185)] = 97098,
  [SMALL_STATE(3186)] = 97157,
  [SMALL_STATE(3187)] = 97218,
  [SMALL_STATE(3188)] = 97331,
  [SMALL_STATE(3189)] = 97390,
  [SMALL_STATE(3190)] = 97457,
  [SMALL_STATE(3191)] = 97516,
  [SMALL_STATE(3192)] = 97591,
  [SMALL_STATE(3193)] = 97654,
  [SMALL_STATE(3194)] = 97767,
  [SMALL_STATE(3195)] = 97824,
  [SMALL_STATE(3196)] = 97897,
  [SMALL_STATE(3197)] = 97956,
  [SMALL_STATE(3198)] = 98029,
  [SMALL_STATE(3199)] = 98096,
  [SMALL_STATE(3200)] = 98153,
  [SMALL_STATE(3201)] = 98208,
  [SMALL_STATE(3202)] = 98283,
  [SMALL_STATE(3203)] = 98376,
  [SMALL_STATE(3204)] = 98443,
  [SMALL_STATE(3205)] = 98510,
  [SMALL_STATE(3206)] = 98577,
  [SMALL_STATE(3207)] = 98644,
  [SMALL_STATE(3208)] = 98699,
  [SMALL_STATE(3209)] = 98760,
  [SMALL_STATE(3210)] = 98815,
  [SMALL_STATE(3211)] = 98878,
  [SMALL_STATE(3212)] = 98935,
  [SMALL_STATE(3213)] = 99048,
  [SMALL_STATE(3214)] = 99161,
  [SMALL_STATE(3215)] = 99224,
  [SMALL_STATE(3216)] = 99281,
  [SMALL_STATE(3217)] = 99340,
  [SMALL_STATE(3218)] = 99453,
  [SMALL_STATE(3219)] = 99566,
  [SMALL_STATE(3220)] = 99679,
  [SMALL_STATE(3221)] = 99766,
  [SMALL_STATE(3222)] = 99825,
  [SMALL_STATE(3223)] = 99880,
  [SMALL_STATE(3224)] = 99961,
  [SMALL_STATE(3225)] = 100036,
  [SMALL_STATE(3226)] = 100149,
  [SMALL_STATE(3227)] = 100262,
  [SMALL_STATE(3228)] = 100323,
  [SMALL_STATE(3229)] = 100384,
  [SMALL_STATE(3230)] = 100465,
  [SMALL_STATE(3231)] = 100548,
  [SMALL_STATE(3232)] = 100623,
  [SMALL_STATE(3233)] = 100736,
  [SMALL_STATE(3234)] = 100791,
  [SMALL_STATE(3235)] = 100858,
  [SMALL_STATE(3236)] = 100971,
  [SMALL_STATE(3237)] = 101084,
  [SMALL_STATE(3238)] = 101189,
  [SMALL_STATE(3239)] = 101280,
  [SMALL_STATE(3240)] = 101393,
  [SMALL_STATE(3241)] = 101448,
  [SMALL_STATE(3242)] = 101503,
  [SMALL_STATE(3243)] = 101560,
  [SMALL_STATE(3244)] = 101635,
  [SMALL_STATE(3245)] = 101708,
  [SMALL_STATE(3246)] = 101821,
  [SMALL_STATE(3247)] = 101876,
  [SMALL_STATE(3248)] = 101931,
  [SMALL_STATE(3249)] = 101986,
  [SMALL_STATE(3250)] = 102045,
  [SMALL_STATE(3251)] = 102102,
  [SMALL_STATE(3252)] = 102161,
  [SMALL_STATE(3253)] = 102220,
  [SMALL_STATE(3254)] = 102303,
  [SMALL_STATE(3255)] = 102358,
  [SMALL_STATE(3256)] = 102415,
  [SMALL_STATE(3257)] = 102472,
  [SMALL_STATE(3258)] = 102585,
  [SMALL_STATE(3259)] = 102640,
  [SMALL_STATE(3260)] = 102695,
  [SMALL_STATE(3261)] = 102754,
  [SMALL_STATE(3262)] = 102827,
  [SMALL_STATE(3263)] = 102886,
  [SMALL_STATE(3264)] = 102941,
  [SMALL_STATE(3265)] = 103000,
  [SMALL_STATE(3266)] = 103055,
  [SMALL_STATE(3267)] = 103110,
  [SMALL_STATE(3268)] = 103165,
  [SMALL_STATE(3269)] = 103220,
  [SMALL_STATE(3270)] = 103333,
  [SMALL_STATE(3271)] = 103408,
  [SMALL_STATE(3272)] = 103521,
  [SMALL_STATE(3273)] = 103608,
  [SMALL_STATE(3274)] = 103685,
  [SMALL_STATE(3275)] = 103766,
  [SMALL_STATE(3276)] = 103833,
  [SMALL_STATE(3277)] = 103908,
  [SMALL_STATE(3278)] = 103971,
  [SMALL_STATE(3279)] = 104046,
  [SMALL_STATE(3280)] = 104159,
  [SMALL_STATE(3281)] = 104234,
  [SMALL_STATE(3282)] = 104297,
  [SMALL_STATE(3283)] = 104410,
  [SMALL_STATE(3284)] = 104465,
  [SMALL_STATE(3285)] = 104524,
  [SMALL_STATE(3286)] = 104637,
  [SMALL_STATE(3287)] = 104696,
  [SMALL_STATE(3288)] = 104795,
  [SMALL_STATE(3289)] = 104892,
  [SMALL_STATE(3290)] = 104959,
  [SMALL_STATE(3291)] = 105054,
  [SMALL_STATE(3292)] = 105127,
  [SMALL_STATE(3293)] = 105210,
  [SMALL_STATE(3294)] = 105265,
  [SMALL_STATE(3295)] = 105346,
  [SMALL_STATE(3296)] = 105429,
  [SMALL_STATE(3297)] = 105484,
  [SMALL_STATE(3298)] = 105567,
  [SMALL_STATE(3299)] = 105640,
  [SMALL_STATE(3300)] = 105721,
  [SMALL_STATE(3301)] = 105776,
  [SMALL_STATE(3302)] = 105831,
  [SMALL_STATE(3303)] = 105932,
  [SMALL_STATE(3304)] = 106035,
  [SMALL_STATE(3305)] = 106090,
  [SMALL_STATE(3306)] = 106173,
  [SMALL_STATE(3307)] = 106228,
  [SMALL_STATE(3308)] = 106331,
  [SMALL_STATE(3309)] = 106432,
  [SMALL_STATE(3310)] = 106487,
  [SMALL_STATE(3311)] = 106546,
  [SMALL_STATE(3312)] = 106601,
  [SMALL_STATE(3313)] = 106656,
  [SMALL_STATE(3314)] = 106711,
  [SMALL_STATE(3315)] = 106766,
  [SMALL_STATE(3316)] = 106879,
  [SMALL_STATE(3317)] = 106956,
  [SMALL_STATE(3318)] = 107029,
  [SMALL_STATE(3319)] = 107142,
  [SMALL_STATE(3320)] = 107197,
  [SMALL_STATE(3321)] = 107292,
  [SMALL_STATE(3322)] = 107389,
  [SMALL_STATE(3323)] = 107488,
  [SMALL_STATE(3324)] = 107569,
  [SMALL_STATE(3325)] = 107682,
  [SMALL_STATE(3326)] = 107741,
  [SMALL_STATE(3327)] = 107824,
  [SMALL_STATE(3328)] = 107885,
  [SMALL_STATE(3329)] = 107968,
  [SMALL_STATE(3330)] = 108073,
  [SMALL_STATE(3331)] = 108132,
  [SMALL_STATE(3332)] = 108223,
  [SMALL_STATE(3333)] = 108286,
  [SMALL_STATE(3334)] = 108399,
  [SMALL_STATE(3335)] = 108457,
  [SMALL_STATE(3336)] = 108567,
  [SMALL_STATE(3337)] = 108677,
  [SMALL_STATE(3338)] = 108745,
  [SMALL_STATE(3339)] = 108813,
  [SMALL_STATE(3340)] = 108881,
  [SMALL_STATE(3341)] = 108957,
  [SMALL_STATE(3342)] = 109025,
  [SMALL_STATE(3343)] = 109113,
  [SMALL_STATE(3344)] = 109181,
  [SMALL_STATE(3345)] = 109239,
  [SMALL_STATE(3346)] = 109295,
  [SMALL_STATE(3347)] = 109371,
  [SMALL_STATE(3348)] = 109433,
  [SMALL_STATE(3349)] = 109501,
  [SMALL_STATE(3350)] = 109583,
  [SMALL_STATE(3351)] = 109651,
  [SMALL_STATE(3352)] = 109719,
  [SMALL_STATE(3353)] = 109787,
  [SMALL_STATE(3354)] = 109843,
  [SMALL_STATE(3355)] = 109911,
  [SMALL_STATE(3356)] = 109971,
  [SMALL_STATE(3357)] = 110047,
  [SMALL_STATE(3358)] = 110123,
  [SMALL_STATE(3359)] = 110179,
  [SMALL_STATE(3360)] = 110289,
  [SMALL_STATE(3361)] = 110345,
  [SMALL_STATE(3362)] = 110421,
  [SMALL_STATE(3363)] = 110531,
  [SMALL_STATE(3364)] = 110641,
  [SMALL_STATE(3365)] = 110751,
  [SMALL_STATE(3366)] = 110861,
  [SMALL_STATE(3367)] = 110971,
  [SMALL_STATE(3368)] = 111081,
  [SMALL_STATE(3369)] = 111149,
  [SMALL_STATE(3370)] = 111225,
  [SMALL_STATE(3371)] = 111311,
  [SMALL_STATE(3372)] = 111379,
  [SMALL_STATE(3373)] = 111447,
  [SMALL_STATE(3374)] = 111521,
  [SMALL_STATE(3375)] = 111605,
  [SMALL_STATE(3376)] = 111715,
  [SMALL_STATE(3377)] = 111777,
  [SMALL_STATE(3378)] = 111857,
  [SMALL_STATE(3379)] = 111917,
  [SMALL_STATE(3380)] = 111977,
  [SMALL_STATE(3381)] = 112087,
  [SMALL_STATE(3382)] = 112163,
  [SMALL_STATE(3383)] = 112273,
  [SMALL_STATE(3384)] = 112383,
  [SMALL_STATE(3385)] = 112455,
  [SMALL_STATE(3386)] = 112517,
  [SMALL_STATE(3387)] = 112617,
  [SMALL_STATE(3388)] = 112727,
  [SMALL_STATE(3389)] = 112795,
  [SMALL_STATE(3390)] = 112897,
  [SMALL_STATE(3391)] = 112979,
  [SMALL_STATE(3392)] = 113047,
  [SMALL_STATE(3393)] = 113115,
  [SMALL_STATE(3394)] = 113209,
  [SMALL_STATE(3395)] = 113305,
  [SMALL_STATE(3396)] = 113373,
  [SMALL_STATE(3397)] = 113471,
  [SMALL_STATE(3398)] = 113539,
  [SMALL_STATE(3399)] = 113599,
  [SMALL_STATE(3400)] = 113675,
  [SMALL_STATE(3401)] = 113743,
  [SMALL_STATE(3402)] = 113853,
  [SMALL_STATE(3403)] = 113921,
  [SMALL_STATE(3404)] = 113983,
  [SMALL_STATE(3405)] = 114045,
  [SMALL_STATE(3406)] = 114155,
  [SMALL_STATE(3407)] = 114235,
  [SMALL_STATE(3408)] = 114303,
  [SMALL_STATE(3409)] = 114385,
  [SMALL_STATE(3410)] = 114453,
  [SMALL_STATE(3411)] = 114515,
  [SMALL_STATE(3412)] = 114583,
  [SMALL_STATE(3413)] = 114687,
  [SMALL_STATE(3414)] = 114777,
  [SMALL_STATE(3415)] = 114832,
  [SMALL_STATE(3416)] = 114891,
  [SMALL_STATE(3417)] = 114946,
  [SMALL_STATE(3418)] = 115025,
  [SMALL_STATE(3419)] = 115098,
  [SMALL_STATE(3420)] = 115157,
  [SMALL_STATE(3421)] = 115212,
  [SMALL_STATE(3422)] = 115281,
  [SMALL_STATE(3423)] = 115336,
  [SMALL_STATE(3424)] = 115395,
  [SMALL_STATE(3425)] = 115464,
  [SMALL_STATE(3426)] = 115537,
  [SMALL_STATE(3427)] = 115592,
  [SMALL_STATE(3428)] = 115651,
  [SMALL_STATE(3429)] = 115706,
  [SMALL_STATE(3430)] = 115761,
  [SMALL_STATE(3431)] = 115820,
  [SMALL_STATE(3432)] = 115879,
  [SMALL_STATE(3433)] = 115948,
  [SMALL_STATE(3434)] = 116021,
  [SMALL_STATE(3435)] = 116096,
  [SMALL_STATE(3436)] = 116169,
  [SMALL_STATE(3437)] = 116262,
  [SMALL_STATE(3438)] = 116317,
  [SMALL_STATE(3439)] = 116372,
  [SMALL_STATE(3440)] = 116431,
  [SMALL_STATE(3441)] = 116500,
  [SMALL_STATE(3442)] = 116573,
  [SMALL_STATE(3443)] = 116632,
  [SMALL_STATE(3444)] = 116687,
  [SMALL_STATE(3445)] = 116764,
  [SMALL_STATE(3446)] = 116839,
  [SMALL_STATE(3447)] = 116908,
  [SMALL_STATE(3448)] = 116967,
  [SMALL_STATE(3449)] = 117028,
  [SMALL_STATE(3450)] = 117083,
  [SMALL_STATE(3451)] = 117156,
  [SMALL_STATE(3452)] = 117211,
  [SMALL_STATE(3453)] = 117266,
  [SMALL_STATE(3454)] = 117325,
  [SMALL_STATE(3455)] = 117391,
  [SMALL_STATE(3456)] = 117457,
  [SMALL_STATE(3457)] = 117529,
  [SMALL_STATE(3458)] = 117591,
  [SMALL_STATE(3459)] = 117653,
  [SMALL_STATE(3460)] = 117719,
  [SMALL_STATE(3461)] = 117781,
  [SMALL_STATE(3462)] = 117843,
  [SMALL_STATE(3463)] = 117897,
  [SMALL_STATE(3464)] = 117959,
  [SMALL_STATE(3465)] = 118025,
  [SMALL_STATE(3466)] = 118091,
  [SMALL_STATE(3467)] = 118157,
  [SMALL_STATE(3468)] = 118227,
  [SMALL_STATE(3469)] = 118285,
  [SMALL_STATE(3470)] = 118351,
  [SMALL_STATE(3471)] = 118417,
  [SMALL_STATE(3472)] = 118475,
  [SMALL_STATE(3473)] = 118529,
  [SMALL_STATE(3474)] = 118587,
  [SMALL_STATE(3475)] = 118649,
  [SMALL_STATE(3476)] = 118719,
  [SMALL_STATE(3477)] = 118781,
  [SMALL_STATE(3478)] = 118847,
  [SMALL_STATE(3479)] = 118909,
  [SMALL_STATE(3480)] = 118963,
  [SMALL_STATE(3481)] = 119029,
  [SMALL_STATE(3482)] = 119095,
  [SMALL_STATE(3483)] = 119161,
  [SMALL_STATE(3484)] = 119219,
  [SMALL_STATE(3485)] = 119277,
  [SMALL_STATE(3486)] = 119339,
  [SMALL_STATE(3487)] = 119401,
  [SMALL_STATE(3488)] = 119463,
  [SMALL_STATE(3489)] = 119529,
  [SMALL_STATE(3490)] = 119595,
  [SMALL_STATE(3491)] = 119661,
  [SMALL_STATE(3492)] = 119723,
  [SMALL_STATE(3493)] = 119777,
  [SMALL_STATE(3494)] = 119843,
  [SMALL_STATE(3495)] = 119905,
  [SMALL_STATE(3496)] = 119967,
  [SMALL_STATE(3497)] = 120035,
  [SMALL_STATE(3498)] = 120088,
  [SMALL_STATE(3499)] = 120141,
  [SMALL_STATE(3500)] = 120194,
  [SMALL_STATE(3501)] = 120247,
  [SMALL_STATE(3502)] = 120300,
  [SMALL_STATE(3503)] = 120353,
  [SMALL_STATE(3504)] = 120406,
  [SMALL_STATE(3505)] = 120459,
  [SMALL_STATE(3506)] = 120524,
  [SMALL_STATE(3507)] = 120577,
  [SMALL_STATE(3508)] = 120627,
  [SMALL_STATE(3509)] = 120679,
  [SMALL_STATE(3510)] = 120729,
  [SMALL_STATE(3511)] = 120779,
  [SMALL_STATE(3512)] = 120829,
  [SMALL_STATE(3513)] = 120879,
  [SMALL_STATE(3514)] = 120929,
  [SMALL_STATE(3515)] = 120979,
  [SMALL_STATE(3516)] = 121029,
  [SMALL_STATE(3517)] = 121079,
  [SMALL_STATE(3518)] = 121129,
  [SMALL_STATE(3519)] = 121179,
  [SMALL_STATE(3520)] = 121229,
  [SMALL_STATE(3521)] = 121279,
  [SMALL_STATE(3522)] = 121329,
  [SMALL_STATE(3523)] = 121379,
  [SMALL_STATE(3524)] = 121429,
  [SMALL_STATE(3525)] = 121479,
  [SMALL_STATE(3526)] = 121529,
  [SMALL_STATE(3527)] = 121579,
  [SMALL_STATE(3528)] = 121629,
  [SMALL_STATE(3529)] = 121679,
  [SMALL_STATE(3530)] = 121729,
  [SMALL_STATE(3531)] = 121779,
  [SMALL_STATE(3532)] = 121829,
  [SMALL_STATE(3533)] = 121879,
  [SMALL_STATE(3534)] = 121929,
  [SMALL_STATE(3535)] = 121979,
  [SMALL_STATE(3536)] = 122031,
  [SMALL_STATE(3537)] = 122081,
  [SMALL_STATE(3538)] = 122131,
  [SMALL_STATE(3539)] = 122181,
  [SMALL_STATE(3540)] = 122231,
  [SMALL_STATE(3541)] = 122287,
  [SMALL_STATE(3542)] = 122337,
  [SMALL_STATE(3543)] = 122387,
  [SMALL_STATE(3544)] = 122437,
  [SMALL_STATE(3545)] = 122487,
  [SMALL_STATE(3546)] = 122537,
  [SMALL_STATE(3547)] = 122587,
  [SMALL_STATE(3548)] = 122637,
  [SMALL_STATE(3549)] = 122687,
  [SMALL_STATE(3550)] = 122741,
  [SMALL_STATE(3551)] = 122795,
  [SMALL_STATE(3552)] = 122845,
  [SMALL_STATE(3553)] = 122895,
  [SMALL_STATE(3554)] = 122945,
  [SMALL_STATE(3555)] = 122995,
  [SMALL_STATE(3556)] = 123045,
  [SMALL_STATE(3557)] = 123095,
  [SMALL_STATE(3558)] = 123145,
  [SMALL_STATE(3559)] = 123219,
  [SMALL_STATE(3560)] = 123269,
  [SMALL_STATE(3561)] = 123319,
  [SMALL_STATE(3562)] = 123369,
  [SMALL_STATE(3563)] = 123419,
  [SMALL_STATE(3564)] = 123475,
  [SMALL_STATE(3565)] = 123542,
  [SMALL_STATE(3566)] = 123589,
  [SMALL_STATE(3567)] = 123636,
  [SMALL_STATE(3568)] = 123683,
  [SMALL_STATE(3569)] = 123730,
  [SMALL_STATE(3570)] = 123795,
  [SMALL_STATE(3571)] = 123842,
  [SMALL_STATE(3572)] = 123889,
  [SMALL_STATE(3573)] = 123936,
  [SMALL_STATE(3574)] = 124001,
  [SMALL_STATE(3575)] = 124068,
  [SMALL_STATE(3576)] = 124135,
  [SMALL_STATE(3577)] = 124186,
  [SMALL_STATE(3578)] = 124251,
  [SMALL_STATE(3579)] = 124302,
  [SMALL_STATE(3580)] = 124365,
  [SMALL_STATE(3581)] = 124430,
  [SMALL_STATE(3582)] = 124490,
  [SMALL_STATE(3583)] = 124566,
  [SMALL_STATE(3584)] = 124626,
  [SMALL_STATE(3585)] = 124686,
  [SMALL_STATE(3586)] = 124746,
  [SMALL_STATE(3587)] = 124806,
  [SMALL_STATE(3588)] = 124866,
  [SMALL_STATE(3589)] = 124926,
  [SMALL_STATE(3590)] = 124986,
  [SMALL_STATE(3591)] = 125046,
  [SMALL_STATE(3592)] = 125106,
  [SMALL_STATE(3593)] = 125166,
  [SMALL_STATE(3594)] = 125226,
  [SMALL_STATE(3595)] = 125286,
  [SMALL_STATE(3596)] = 125346,
  [SMALL_STATE(3597)] = 125406,
  [SMALL_STATE(3598)] = 125466,
  [SMALL_STATE(3599)] = 125518,
  [SMALL_STATE(3600)] = 125578,
  [SMALL_STATE(3601)] = 125638,
  [SMALL_STATE(3602)] = 125698,
  [SMALL_STATE(3603)] = 125758,
  [SMALL_STATE(3604)] = 125834,
  [SMALL_STATE(3605)] = 125894,
  [SMALL_STATE(3606)] = 125954,
  [SMALL_STATE(3607)] = 126014,
  [SMALL_STATE(3608)] = 126074,
  [SMALL_STATE(3609)] = 126134,
  [SMALL_STATE(3610)] = 126194,
  [SMALL_STATE(3611)] = 126254,
  [SMALL_STATE(3612)] = 126315,
  [SMALL_STATE(3613)] = 126376,
  [SMALL_STATE(3614)] = 126443,
  [SMALL_STATE(3615)] = 126504,
  [SMALL_STATE(3616)] = 126565,
  [SMALL_STATE(3617)] = 126626,
  [SMALL_STATE(3618)] = 126693,
  [SMALL_STATE(3619)] = 126778,
  [SMALL_STATE(3620)] = 126839,
  [SMALL_STATE(3621)] = 126900,
  [SMALL_STATE(3622)] = 126961,
  [SMALL_STATE(3623)] = 127028,
  [SMALL_STATE(3624)] = 127089,
  [SMALL_STATE(3625)] = 127150,
  [SMALL_STATE(3626)] = 127211,
  [SMALL_STATE(3627)] = 127296,
  [SMALL_STATE(3628)] = 127367,
  [SMALL_STATE(3629)] = 127428,
  [SMALL_STATE(3630)] = 127489,
  [SMALL_STATE(3631)] = 127574,
  [SMALL_STATE(3632)] = 127635,
  [SMALL_STATE(3633)] = 127696,
  [SMALL_STATE(3634)] = 127781,
  [SMALL_STATE(3635)] = 127842,
  [SMALL_STATE(3636)] = 127913,
  [SMALL_STATE(3637)] = 127974,
  [SMALL_STATE(3638)] = 128035,
  [SMALL_STATE(3639)] = 128080,
  [SMALL_STATE(3640)] = 128141,
  [SMALL_STATE(3641)] = 128202,
  [SMALL_STATE(3642)] = 128263,
  [SMALL_STATE(3643)] = 128348,
  [SMALL_STATE(3644)] = 128433,
  [SMALL_STATE(3645)] = 128494,
  [SMALL_STATE(3646)] = 128579,
  [SMALL_STATE(3647)] = 128664,
  [SMALL_STATE(3648)] = 128749,
  [SMALL_STATE(3649)] = 128834,
  [SMALL_STATE(3650)] = 128919,
  [SMALL_STATE(3651)] = 128980,
  [SMALL_STATE(3652)] = 129051,
  [SMALL_STATE(3653)] = 129112,
  [SMALL_STATE(3654)] = 129179,
  [SMALL_STATE(3655)] = 129240,
  [SMALL_STATE(3656)] = 129301,
  [SMALL_STATE(3657)] = 129350,
  [SMALL_STATE(3658)] = 129411,
  [SMALL_STATE(3659)] = 129496,
  [SMALL_STATE(3660)] = 129557,
  [SMALL_STATE(3661)] = 129618,
  [SMALL_STATE(3662)] = 129679,
  [SMALL_STATE(3663)] = 129743,
  [SMALL_STATE(3664)] = 129807,
  [SMALL_STATE(3665)] = 129853,
  [SMALL_STATE(3666)] = 129917,
  [SMALL_STATE(3667)] = 129981,
  [SMALL_STATE(3668)] = 130045,
  [SMALL_STATE(3669)] = 130109,
  [SMALL_STATE(3670)] = 130167,
  [SMALL_STATE(3671)] = 130231,
  [SMALL_STATE(3672)] = 130295,
  [SMALL_STATE(3673)] = 130359,
  [SMALL_STATE(3674)] = 130419,
  [SMALL_STATE(3675)] = 130483,
  [SMALL_STATE(3676)] = 130547,
  [SMALL_STATE(3677)] = 130611,
  [SMALL_STATE(3678)] = 130675,
  [SMALL_STATE(3679)] = 130739,
  [SMALL_STATE(3680)] = 130803,
  [SMALL_STATE(3681)] = 130863,
  [SMALL_STATE(3682)] = 130927,
  [SMALL_STATE(3683)] = 130984,
  [SMALL_STATE(3684)] = 131041,
  [SMALL_STATE(3685)] = 131096,
  [SMALL_STATE(3686)] = 131151,
  [SMALL_STATE(3687)] = 131206,
  [SMALL_STATE(3688)] = 131261,
  [SMALL_STATE(3689)] = 131316,
  [SMALL_STATE(3690)] = 131373,
  [SMALL_STATE(3691)] = 131428,
  [SMALL_STATE(3692)] = 131483,
  [SMALL_STATE(3693)] = 131538,
  [SMALL_STATE(3694)] = 131593,
  [SMALL_STATE(3695)] = 131648,
  [SMALL_STATE(3696)] = 131703,
  [SMALL_STATE(3697)] = 131758,
  [SMALL_STATE(3698)] = 131813,
  [SMALL_STATE(3699)] = 131868,
  [SMALL_STATE(3700)] = 131923,
  [SMALL_STATE(3701)] = 131980,
  [SMALL_STATE(3702)] = 132035,
  [SMALL_STATE(3703)] = 132090,
  [SMALL_STATE(3704)] = 132145,
  [SMALL_STATE(3705)] = 132200,
  [SMALL_STATE(3706)] = 132255,
  [SMALL_STATE(3707)] = 132310,
  [SMALL_STATE(3708)] = 132365,
  [SMALL_STATE(3709)] = 132420,
  [SMALL_STATE(3710)] = 132475,
  [SMALL_STATE(3711)] = 132532,
  [SMALL_STATE(3712)] = 132587,
  [SMALL_STATE(3713)] = 132630,
  [SMALL_STATE(3714)] = 132687,
  [SMALL_STATE(3715)] = 132742,
  [SMALL_STATE(3716)] = 132799,
  [SMALL_STATE(3717)] = 132854,
  [SMALL_STATE(3718)] = 132911,
  [SMALL_STATE(3719)] = 132966,
  [SMALL_STATE(3720)] = 133023,
  [SMALL_STATE(3721)] = 133080,
  [SMALL_STATE(3722)] = 133135,
  [SMALL_STATE(3723)] = 133190,
  [SMALL_STATE(3724)] = 133245,
  [SMALL_STATE(3725)] = 133288,
  [SMALL_STATE(3726)] = 133343,
  [SMALL_STATE(3727)] = 133398,
  [SMALL_STATE(3728)] = 133453,
  [SMALL_STATE(3729)] = 133496,
  [SMALL_STATE(3730)] = 133551,
  [SMALL_STATE(3731)] = 133606,
  [SMALL_STATE(3732)] = 133663,
  [SMALL_STATE(3733)] = 133706,
  [SMALL_STATE(3734)] = 133761,
  [SMALL_STATE(3735)] = 133816,
  [SMALL_STATE(3736)] = 133871,
  [SMALL_STATE(3737)] = 133914,
  [SMALL_STATE(3738)] = 133957,
  [SMALL_STATE(3739)] = 134014,
  [SMALL_STATE(3740)] = 134069,
  [SMALL_STATE(3741)] = 134124,
  [SMALL_STATE(3742)] = 134181,
  [SMALL_STATE(3743)] = 134238,
  [SMALL_STATE(3744)] = 134278,
  [SMALL_STATE(3745)] = 134325,
  [SMALL_STATE(3746)] = 134372,
  [SMALL_STATE(3747)] = 134407,
  [SMALL_STATE(3748)] = 134454,
  [SMALL_STATE(3749)] = 134489,
  [SMALL_STATE(3750)] = 134524,
  [SMALL_STATE(3751)] = 134558,
  [SMALL_STATE(3752)] = 134592,
  [SMALL_STATE(3753)] = 134625,
  [SMALL_STATE(3754)] = 134658,
  [SMALL_STATE(3755)] = 134691,
  [SMALL_STATE(3756)] = 134724,
  [SMALL_STATE(3757)] = 134757,
  [SMALL_STATE(3758)] = 134790,
  [SMALL_STATE(3759)] = 134823,
  [SMALL_STATE(3760)] = 134856,
  [SMALL_STATE(3761)] = 134889,
  [SMALL_STATE(3762)] = 134922,
  [SMALL_STATE(3763)] = 134955,
  [SMALL_STATE(3764)] = 134988,
  [SMALL_STATE(3765)] = 135021,
  [SMALL_STATE(3766)] = 135054,
  [SMALL_STATE(3767)] = 135087,
  [SMALL_STATE(3768)] = 135120,
  [SMALL_STATE(3769)] = 135153,
  [SMALL_STATE(3770)] = 135186,
  [SMALL_STATE(3771)] = 135219,
  [SMALL_STATE(3772)] = 135252,
  [SMALL_STATE(3773)] = 135285,
  [SMALL_STATE(3774)] = 135318,
  [SMALL_STATE(3775)] = 135351,
  [SMALL_STATE(3776)] = 135384,
  [SMALL_STATE(3777)] = 135417,
  [SMALL_STATE(3778)] = 135450,
  [SMALL_STATE(3779)] = 135483,
  [SMALL_STATE(3780)] = 135516,
  [SMALL_STATE(3781)] = 135549,
  [SMALL_STATE(3782)] = 135582,
  [SMALL_STATE(3783)] = 135615,
  [SMALL_STATE(3784)] = 135648,
  [SMALL_STATE(3785)] = 135689,
  [SMALL_STATE(3786)] = 135722,
  [SMALL_STATE(3787)] = 135755,
  [SMALL_STATE(3788)] = 135809,
  [SMALL_STATE(3789)] = 135863,
  [SMALL_STATE(3790)] = 135917,
  [SMALL_STATE(3791)] = 135977,
  [SMALL_STATE(3792)] = 136031,
  [SMALL_STATE(3793)] = 136091,
  [SMALL_STATE(3794)] = 136145,
  [SMALL_STATE(3795)] = 136183,
  [SMALL_STATE(3796)] = 136214,
  [SMALL_STATE(3797)] = 136245,
  [SMALL_STATE(3798)] = 136276,
  [SMALL_STATE(3799)] = 136307,
  [SMALL_STATE(3800)] = 136338,
  [SMALL_STATE(3801)] = 136369,
  [SMALL_STATE(3802)] = 136400,
  [SMALL_STATE(3803)] = 136431,
  [SMALL_STATE(3804)] = 136462,
  [SMALL_STATE(3805)] = 136493,
  [SMALL_STATE(3806)] = 136524,
  [SMALL_STATE(3807)] = 136555,
  [SMALL_STATE(3808)] = 136588,
  [SMALL_STATE(3809)] = 136619,
  [SMALL_STATE(3810)] = 136662,
  [SMALL_STATE(3811)] = 136693,
  [SMALL_STATE(3812)] = 136736,
  [SMALL_STATE(3813)] = 136767,
  [SMALL_STATE(3814)] = 136802,
  [SMALL_STATE(3815)] = 136833,
  [SMALL_STATE(3816)] = 136866,
  [SMALL_STATE(3817)] = 136897,
  [SMALL_STATE(3818)] = 136940,
  [SMALL_STATE(3819)] = 136971,
  [SMALL_STATE(3820)] = 137002,
  [SMALL_STATE(3821)] = 137033,
  [SMALL_STATE(3822)] = 137068,
  [SMALL_STATE(3823)] = 137099,
  [SMALL_STATE(3824)] = 137129,
  [SMALL_STATE(3825)] = 137161,
  [SMALL_STATE(3826)] = 137191,
  [SMALL_STATE(3827)] = 137223,
  [SMALL_STATE(3828)] = 137255,
  [SMALL_STATE(3829)] = 137284,
  [SMALL_STATE(3830)] = 137323,
  [SMALL_STATE(3831)] = 137352,
  [SMALL_STATE(3832)] = 137389,
  [SMALL_STATE(3833)] = 137426,
  [SMALL_STATE(3834)] = 137455,
  [SMALL_STATE(3835)] = 137490,
  [SMALL_STATE(3836)] = 137517,
  [SMALL_STATE(3837)] = 137552,
  [SMALL_STATE(3838)] = 137587,
  [SMALL_STATE(3839)] = 137616,
  [SMALL_STATE(3840)] = 137645,
  [SMALL_STATE(3841)] = 137684,
  [SMALL_STATE(3842)] = 137723,
  [SMALL_STATE(3843)] = 137760,
  [SMALL_STATE(3844)] = 137795,
  [SMALL_STATE(3845)] = 137822,
  [SMALL_STATE(3846)] = 137861,
  [SMALL_STATE(3847)] = 137890,
  [SMALL_STATE(3848)] = 137919,
  [SMALL_STATE(3849)] = 137948,
  [SMALL_STATE(3850)] = 137977,
  [SMALL_STATE(3851)] = 138006,
  [SMALL_STATE(3852)] = 138035,
  [SMALL_STATE(3853)] = 138064,
  [SMALL_STATE(3854)] = 138093,
  [SMALL_STATE(3855)] = 138122,
  [SMALL_STATE(3856)] = 138151,
  [SMALL_STATE(3857)] = 138180,
  [SMALL_STATE(3858)] = 138209,
  [SMALL_STATE(3859)] = 138238,
  [SMALL_STATE(3860)] = 138277,
  [SMALL_STATE(3861)] = 138304,
  [SMALL_STATE(3862)] = 138343,
  [SMALL_STATE(3863)] = 138372,
  [SMALL_STATE(3864)] = 138411,
  [SMALL_STATE(3865)] = 138450,
  [SMALL_STATE(3866)] = 138487,
  [SMALL_STATE(3867)] = 138516,
  [SMALL_STATE(3868)] = 138555,
  [SMALL_STATE(3869)] = 138594,
  [SMALL_STATE(3870)] = 138633,
  [SMALL_STATE(3871)] = 138662,
  [SMALL_STATE(3872)] = 138697,
  [SMALL_STATE(3873)] = 138726,
  [SMALL_STATE(3874)] = 138755,
  [SMALL_STATE(3875)] = 138784,
  [SMALL_STATE(3876)] = 138813,
  [SMALL_STATE(3877)] = 138842,
  [SMALL_STATE(3878)] = 138871,
  [SMALL_STATE(3879)] = 138898,
  [SMALL_STATE(3880)] = 138927,
  [SMALL_STATE(3881)] = 138956,
  [SMALL_STATE(3882)] = 138985,
  [SMALL_STATE(3883)] = 139014,
  [SMALL_STATE(3884)] = 139051,
  [SMALL_STATE(3885)] = 139086,
  [SMALL_STATE(3886)] = 139125,
  [SMALL_STATE(3887)] = 139164,
  [SMALL_STATE(3888)] = 139193,
  [SMALL_STATE(3889)] = 139222,
  [SMALL_STATE(3890)] = 139251,
  [SMALL_STATE(3891)] = 139280,
  [SMALL_STATE(3892)] = 139309,
  [SMALL_STATE(3893)] = 139338,
  [SMALL_STATE(3894)] = 139367,
  [SMALL_STATE(3895)] = 139396,
  [SMALL_STATE(3896)] = 139425,
  [SMALL_STATE(3897)] = 139454,
  [SMALL_STATE(3898)] = 139483,
  [SMALL_STATE(3899)] = 139512,
  [SMALL_STATE(3900)] = 139543,
  [SMALL_STATE(3901)] = 139574,
  [SMALL_STATE(3902)] = 139607,
  [SMALL_STATE(3903)] = 139642,
  [SMALL_STATE(3904)] = 139671,
  [SMALL_STATE(3905)] = 139700,
  [SMALL_STATE(3906)] = 139729,
  [SMALL_STATE(3907)] = 139758,
  [SMALL_STATE(3908)] = 139787,
  [SMALL_STATE(3909)] = 139816,
  [SMALL_STATE(3910)] = 139845,
  [SMALL_STATE(3911)] = 139874,
  [SMALL_STATE(3912)] = 139903,
  [SMALL_STATE(3913)] = 139932,
  [SMALL_STATE(3914)] = 139961,
  [SMALL_STATE(3915)] = 139990,
  [SMALL_STATE(3916)] = 140021,
  [SMALL_STATE(3917)] = 140050,
  [SMALL_STATE(3918)] = 140079,
  [SMALL_STATE(3919)] = 140106,
  [SMALL_STATE(3920)] = 140135,
  [SMALL_STATE(3921)] = 140166,
  [SMALL_STATE(3922)] = 140195,
  [SMALL_STATE(3923)] = 140234,
  [SMALL_STATE(3924)] = 140273,
  [SMALL_STATE(3925)] = 140302,
  [SMALL_STATE(3926)] = 140331,
  [SMALL_STATE(3927)] = 140360,
  [SMALL_STATE(3928)] = 140399,
  [SMALL_STATE(3929)] = 140426,
  [SMALL_STATE(3930)] = 140455,
  [SMALL_STATE(3931)] = 140486,
  [SMALL_STATE(3932)] = 140523,
  [SMALL_STATE(3933)] = 140562,
  [SMALL_STATE(3934)] = 140591,
  [SMALL_STATE(3935)] = 140620,
  [SMALL_STATE(3936)] = 140647,
  [SMALL_STATE(3937)] = 140674,
  [SMALL_STATE(3938)] = 140713,
  [SMALL_STATE(3939)] = 140740,
  [SMALL_STATE(3940)] = 140788,
  [SMALL_STATE(3941)] = 140836,
  [SMALL_STATE(3942)] = 140884,
  [SMALL_STATE(3943)] = 140918,
  [SMALL_STATE(3944)] = 140966,
  [SMALL_STATE(3945)] = 141000,
  [SMALL_STATE(3946)] = 141048,
  [SMALL_STATE(3947)] = 141082,
  [SMALL_STATE(3948)] = 141130,
  [SMALL_STATE(3949)] = 141178,
  [SMALL_STATE(3950)] = 141226,
  [SMALL_STATE(3951)] = 141274,
  [SMALL_STATE(3952)] = 141322,
  [SMALL_STATE(3953)] = 141366,
  [SMALL_STATE(3954)] = 141414,
  [SMALL_STATE(3955)] = 141462,
  [SMALL_STATE(3956)] = 141510,
  [SMALL_STATE(3957)] = 141554,
  [SMALL_STATE(3958)] = 141598,
  [SMALL_STATE(3959)] = 141646,
  [SMALL_STATE(3960)] = 141694,
  [SMALL_STATE(3961)] = 141728,
  [SMALL_STATE(3962)] = 141776,
  [SMALL_STATE(3963)] = 141824,
  [SMALL_STATE(3964)] = 141872,
  [SMALL_STATE(3965)] = 141920,
  [SMALL_STATE(3966)] = 141968,
  [SMALL_STATE(3967)] = 142016,
  [SMALL_STATE(3968)] = 142064,
  [SMALL_STATE(3969)] = 142098,
  [SMALL_STATE(3970)] = 142142,
  [SMALL_STATE(3971)] = 142174,
  [SMALL_STATE(3972)] = 142208,
  [SMALL_STATE(3973)] = 142256,
  [SMALL_STATE(3974)] = 142300,
  [SMALL_STATE(3975)] = 142336,
  [SMALL_STATE(3976)] = 142384,
  [SMALL_STATE(3977)] = 142432,
  [SMALL_STATE(3978)] = 142480,
  [SMALL_STATE(3979)] = 142528,
  [SMALL_STATE(3980)] = 142576,
  [SMALL_STATE(3981)] = 142601,
  [SMALL_STATE(3982)] = 142630,
  [SMALL_STATE(3983)] = 142657,
  [SMALL_STATE(3984)] = 142684,
  [SMALL_STATE(3985)] = 142709,
  [SMALL_STATE(3986)] = 142734,
  [SMALL_STATE(3987)] = 142759,
  [SMALL_STATE(3988)] = 142800,
  [SMALL_STATE(3989)] = 142825,
  [SMALL_STATE(3990)] = 142850,
  [SMALL_STATE(3991)] = 142875,
  [SMALL_STATE(3992)] = 142900,
  [SMALL_STATE(3993)] = 142925,
  [SMALL_STATE(3994)] = 142950,
  [SMALL_STATE(3995)] = 142975,
  [SMALL_STATE(3996)] = 143000,
  [SMALL_STATE(3997)] = 143025,
  [SMALL_STATE(3998)] = 143050,
  [SMALL_STATE(3999)] = 143091,
  [SMALL_STATE(4000)] = 143116,
  [SMALL_STATE(4001)] = 143141,
  [SMALL_STATE(4002)] = 143168,
  [SMALL_STATE(4003)] = 143195,
  [SMALL_STATE(4004)] = 143220,
  [SMALL_STATE(4005)] = 143245,
  [SMALL_STATE(4006)] = 143270,
  [SMALL_STATE(4007)] = 143295,
  [SMALL_STATE(4008)] = 143320,
  [SMALL_STATE(4009)] = 143361,
  [SMALL_STATE(4010)] = 143388,
  [SMALL_STATE(4011)] = 143429,
  [SMALL_STATE(4012)] = 143456,
  [SMALL_STATE(4013)] = 143497,
  [SMALL_STATE(4014)] = 143524,
  [SMALL_STATE(4015)] = 143557,
  [SMALL_STATE(4016)] = 143598,
  [SMALL_STATE(4017)] = 143625,
  [SMALL_STATE(4018)] = 143666,
  [SMALL_STATE(4019)] = 143697,
  [SMALL_STATE(4020)] = 143724,
  [SMALL_STATE(4021)] = 143765,
  [SMALL_STATE(4022)] = 143794,
  [SMALL_STATE(4023)] = 143821,
  [SMALL_STATE(4024)] = 143848,
  [SMALL_STATE(4025)] = 143875,
  [SMALL_STATE(4026)] = 143900,
  [SMALL_STATE(4027)] = 143941,
  [SMALL_STATE(4028)] = 143968,
  [SMALL_STATE(4029)] = 143995,
  [SMALL_STATE(4030)] = 144020,
  [SMALL_STATE(4031)] = 144061,
  [SMALL_STATE(4032)] = 144102,
  [SMALL_STATE(4033)] = 144129,
  [SMALL_STATE(4034)] = 144154,
  [SMALL_STATE(4035)] = 144195,
  [SMALL_STATE(4036)] = 144220,
  [SMALL_STATE(4037)] = 144245,
  [SMALL_STATE(4038)] = 144284,
  [SMALL_STATE(4039)] = 144309,
  [SMALL_STATE(4040)] = 144334,
  [SMALL_STATE(4041)] = 144359,
  [SMALL_STATE(4042)] = 144384,
  [SMALL_STATE(4043)] = 144425,
  [SMALL_STATE(4044)] = 144458,
  [SMALL_STATE(4045)] = 144483,
  [SMALL_STATE(4046)] = 144514,
  [SMALL_STATE(4047)] = 144539,
  [SMALL_STATE(4048)] = 144566,
  [SMALL_STATE(4049)] = 144607,
  [SMALL_STATE(4050)] = 144652,
  [SMALL_STATE(4051)] = 144693,
  [SMALL_STATE(4052)] = 144720,
  [SMALL_STATE(4053)] = 144745,
  [SMALL_STATE(4054)] = 144786,
  [SMALL_STATE(4055)] = 144831,
  [SMALL_STATE(4056)] = 144872,
  [SMALL_STATE(4057)] = 144897,
  [SMALL_STATE(4058)] = 144933,
  [SMALL_STATE(4059)] = 144967,
  [SMALL_STATE(4060)] = 145009,
  [SMALL_STATE(4061)] = 145043,
  [SMALL_STATE(4062)] = 145085,
  [SMALL_STATE(4063)] = 145127,
  [SMALL_STATE(4064)] = 145169,
  [SMALL_STATE(4065)] = 145211,
  [SMALL_STATE(4066)] = 145247,
  [SMALL_STATE(4067)] = 145285,
  [SMALL_STATE(4068)] = 145329,
  [SMALL_STATE(4069)] = 145367,
  [SMALL_STATE(4070)] = 145405,
  [SMALL_STATE(4071)] = 145443,
  [SMALL_STATE(4072)] = 145477,
  [SMALL_STATE(4073)] = 145511,
  [SMALL_STATE(4074)] = 145553,
  [SMALL_STATE(4075)] = 145595,
  [SMALL_STATE(4076)] = 145633,
  [SMALL_STATE(4077)] = 145675,
  [SMALL_STATE(4078)] = 145717,
  [SMALL_STATE(4079)] = 145759,
  [SMALL_STATE(4080)] = 145785,
  [SMALL_STATE(4081)] = 145827,
  [SMALL_STATE(4082)] = 145865,
  [SMALL_STATE(4083)] = 145907,
  [SMALL_STATE(4084)] = 145951,
  [SMALL_STATE(4085)] = 145993,
  [SMALL_STATE(4086)] = 146031,
  [SMALL_STATE(4087)] = 146059,
  [SMALL_STATE(4088)] = 146101,
  [SMALL_STATE(4089)] = 146137,
  [SMALL_STATE(4090)] = 146165,
  [SMALL_STATE(4091)] = 146193,
  [SMALL_STATE(4092)] = 146235,
  [SMALL_STATE(4093)] = 146277,
  [SMALL_STATE(4094)] = 146319,
  [SMALL_STATE(4095)] = 146357,
  [SMALL_STATE(4096)] = 146399,
  [SMALL_STATE(4097)] = 146425,
  [SMALL_STATE(4098)] = 146467,
  [SMALL_STATE(4099)] = 146509,
  [SMALL_STATE(4100)] = 146543,
  [SMALL_STATE(4101)] = 146585,
  [SMALL_STATE(4102)] = 146615,
  [SMALL_STATE(4103)] = 146657,
  [SMALL_STATE(4104)] = 146699,
  [SMALL_STATE(4105)] = 146737,
  [SMALL_STATE(4106)] = 146779,
  [SMALL_STATE(4107)] = 146823,
  [SMALL_STATE(4108)] = 146867,
  [SMALL_STATE(4109)] = 146905,
  [SMALL_STATE(4110)] = 146947,
  [SMALL_STATE(4111)] = 146991,
  [SMALL_STATE(4112)] = 147033,
  [SMALL_STATE(4113)] = 147075,
  [SMALL_STATE(4114)] = 147098,
  [SMALL_STATE(4115)] = 147125,
  [SMALL_STATE(4116)] = 147150,
  [SMALL_STATE(4117)] = 147175,
  [SMALL_STATE(4118)] = 147218,
  [SMALL_STATE(4119)] = 147243,
  [SMALL_STATE(4120)] = 147272,
  [SMALL_STATE(4121)] = 147297,
  [SMALL_STATE(4122)] = 147322,
  [SMALL_STATE(4123)] = 147347,
  [SMALL_STATE(4124)] = 147376,
  [SMALL_STATE(4125)] = 147401,
  [SMALL_STATE(4126)] = 147426,
  [SMALL_STATE(4127)] = 147451,
  [SMALL_STATE(4128)] = 147476,
  [SMALL_STATE(4129)] = 147505,
  [SMALL_STATE(4130)] = 147530,
  [SMALL_STATE(4131)] = 147555,
  [SMALL_STATE(4132)] = 147578,
  [SMALL_STATE(4133)] = 147607,
  [SMALL_STATE(4134)] = 147634,
  [SMALL_STATE(4135)] = 147659,
  [SMALL_STATE(4136)] = 147684,
  [SMALL_STATE(4137)] = 147713,
  [SMALL_STATE(4138)] = 147738,
  [SMALL_STATE(4139)] = 147767,
  [SMALL_STATE(4140)] = 147794,
  [SMALL_STATE(4141)] = 147819,
  [SMALL_STATE(4142)] = 147846,
  [SMALL_STATE(4143)] = 147871,
  [SMALL_STATE(4144)] = 147896,
  [SMALL_STATE(4145)] = 147921,
  [SMALL_STATE(4146)] = 147946,
  [SMALL_STATE(4147)] = 147969,
  [SMALL_STATE(4148)] = 147994,
  [SMALL_STATE(4149)] = 148017,
  [SMALL_STATE(4150)] = 148040,
  [SMALL_STATE(4151)] = 148065,
  [SMALL_STATE(4152)] = 148088,
  [SMALL_STATE(4153)] = 148115,
  [SMALL_STATE(4154)] = 148140,
  [SMALL_STATE(4155)] = 148165,
  [SMALL_STATE(4156)] = 148194,
  [SMALL_STATE(4157)] = 148219,
  [SMALL_STATE(4158)] = 148246,
  [SMALL_STATE(4159)] = 148277,
  [SMALL_STATE(4160)] = 148302,
  [SMALL_STATE(4161)] = 148325,
  [SMALL_STATE(4162)] = 148350,
  [SMALL_STATE(4163)] = 148373,
  [SMALL_STATE(4164)] = 148398,
  [SMALL_STATE(4165)] = 148423,
  [SMALL_STATE(4166)] = 148448,
  [SMALL_STATE(4167)] = 148471,
  [SMALL_STATE(4168)] = 148496,
  [SMALL_STATE(4169)] = 148525,
  [SMALL_STATE(4170)] = 148550,
  [SMALL_STATE(4171)] = 148577,
  [SMALL_STATE(4172)] = 148602,
  [SMALL_STATE(4173)] = 148627,
  [SMALL_STATE(4174)] = 148652,
  [SMALL_STATE(4175)] = 148677,
  [SMALL_STATE(4176)] = 148702,
  [SMALL_STATE(4177)] = 148727,
  [SMALL_STATE(4178)] = 148755,
  [SMALL_STATE(4179)] = 148791,
  [SMALL_STATE(4180)] = 148817,
  [SMALL_STATE(4181)] = 148839,
  [SMALL_STATE(4182)] = 148865,
  [SMALL_STATE(4183)] = 148905,
  [SMALL_STATE(4184)] = 148945,
  [SMALL_STATE(4185)] = 148985,
  [SMALL_STATE(4186)] = 149019,
  [SMALL_STATE(4187)] = 149059,
  [SMALL_STATE(4188)] = 149099,
  [SMALL_STATE(4189)] = 149139,
  [SMALL_STATE(4190)] = 149173,
  [SMALL_STATE(4191)] = 149213,
  [SMALL_STATE(4192)] = 149253,
  [SMALL_STATE(4193)] = 149277,
  [SMALL_STATE(4194)] = 149305,
  [SMALL_STATE(4195)] = 149333,
  [SMALL_STATE(4196)] = 149373,
  [SMALL_STATE(4197)] = 149413,
  [SMALL_STATE(4198)] = 149437,
  [SMALL_STATE(4199)] = 149459,
  [SMALL_STATE(4200)] = 149495,
  [SMALL_STATE(4201)] = 149521,
  [SMALL_STATE(4202)] = 149557,
  [SMALL_STATE(4203)] = 149597,
  [SMALL_STATE(4204)] = 149637,
  [SMALL_STATE(4205)] = 149677,
  [SMALL_STATE(4206)] = 149717,
  [SMALL_STATE(4207)] = 149757,
  [SMALL_STATE(4208)] = 149797,
  [SMALL_STATE(4209)] = 149837,
  [SMALL_STATE(4210)] = 149875,
  [SMALL_STATE(4211)] = 149913,
  [SMALL_STATE(4212)] = 149937,
  [SMALL_STATE(4213)] = 149977,
  [SMALL_STATE(4214)] = 150017,
  [SMALL_STATE(4215)] = 150053,
  [SMALL_STATE(4216)] = 150086,
  [SMALL_STATE(4217)] = 150119,
  [SMALL_STATE(4218)] = 150152,
  [SMALL_STATE(4219)] = 150173,
  [SMALL_STATE(4220)] = 150194,
  [SMALL_STATE(4221)] = 150215,
  [SMALL_STATE(4222)] = 150248,
  [SMALL_STATE(4223)] = 150269,
  [SMALL_STATE(4224)] = 150306,
  [SMALL_STATE(4225)] = 150327,
  [SMALL_STATE(4226)] = 150364,
  [SMALL_STATE(4227)] = 150401,
  [SMALL_STATE(4228)] = 150432,
  [SMALL_STATE(4229)] = 150469,
  [SMALL_STATE(4230)] = 150500,
  [SMALL_STATE(4231)] = 150521,
  [SMALL_STATE(4232)] = 150558,
  [SMALL_STATE(4233)] = 150591,
  [SMALL_STATE(4234)] = 150622,
  [SMALL_STATE(4235)] = 150657,
  [SMALL_STATE(4236)] = 150690,
  [SMALL_STATE(4237)] = 150727,
  [SMALL_STATE(4238)] = 150748,
  [SMALL_STATE(4239)] = 150779,
  [SMALL_STATE(4240)] = 150806,
  [SMALL_STATE(4241)] = 150827,
  [SMALL_STATE(4242)] = 150848,
  [SMALL_STATE(4243)] = 150875,
  [SMALL_STATE(4244)] = 150896,
  [SMALL_STATE(4245)] = 150917,
  [SMALL_STATE(4246)] = 150938,
  [SMALL_STATE(4247)] = 150965,
  [SMALL_STATE(4248)] = 151002,
  [SMALL_STATE(4249)] = 151035,
  [SMALL_STATE(4250)] = 151068,
  [SMALL_STATE(4251)] = 151089,
  [SMALL_STATE(4252)] = 151118,
  [SMALL_STATE(4253)] = 151151,
  [SMALL_STATE(4254)] = 151172,
  [SMALL_STATE(4255)] = 151205,
  [SMALL_STATE(4256)] = 151238,
  [SMALL_STATE(4257)] = 151267,
  [SMALL_STATE(4258)] = 151300,
  [SMALL_STATE(4259)] = 151337,
  [SMALL_STATE(4260)] = 151372,
  [SMALL_STATE(4261)] = 151403,
  [SMALL_STATE(4262)] = 151424,
  [SMALL_STATE(4263)] = 151445,
  [SMALL_STATE(4264)] = 151478,
  [SMALL_STATE(4265)] = 151511,
  [SMALL_STATE(4266)] = 151548,
  [SMALL_STATE(4267)] = 151573,
  [SMALL_STATE(4268)] = 151610,
  [SMALL_STATE(4269)] = 151639,
  [SMALL_STATE(4270)] = 151672,
  [SMALL_STATE(4271)] = 151709,
  [SMALL_STATE(4272)] = 151746,
  [SMALL_STATE(4273)] = 151767,
  [SMALL_STATE(4274)] = 151790,
  [SMALL_STATE(4275)] = 151811,
  [SMALL_STATE(4276)] = 151848,
  [SMALL_STATE(4277)] = 151869,
  [SMALL_STATE(4278)] = 151890,
  [SMALL_STATE(4279)] = 151917,
  [SMALL_STATE(4280)] = 151938,
  [SMALL_STATE(4281)] = 151959,
  [SMALL_STATE(4282)] = 151996,
  [SMALL_STATE(4283)] = 152029,
  [SMALL_STATE(4284)] = 152050,
  [SMALL_STATE(4285)] = 152087,
  [SMALL_STATE(4286)] = 152120,
  [SMALL_STATE(4287)] = 152153,
  [SMALL_STATE(4288)] = 152174,
  [SMALL_STATE(4289)] = 152195,
  [SMALL_STATE(4290)] = 152216,
  [SMALL_STATE(4291)] = 152237,
  [SMALL_STATE(4292)] = 152270,
  [SMALL_STATE(4293)] = 152291,
  [SMALL_STATE(4294)] = 152312,
  [SMALL_STATE(4295)] = 152335,
  [SMALL_STATE(4296)] = 152368,
  [SMALL_STATE(4297)] = 152401,
  [SMALL_STATE(4298)] = 152438,
  [SMALL_STATE(4299)] = 152471,
  [SMALL_STATE(4300)] = 152492,
  [SMALL_STATE(4301)] = 152529,
  [SMALL_STATE(4302)] = 152566,
  [SMALL_STATE(4303)] = 152599,
  [SMALL_STATE(4304)] = 152636,
  [SMALL_STATE(4305)] = 152673,
  [SMALL_STATE(4306)] = 152704,
  [SMALL_STATE(4307)] = 152739,
  [SMALL_STATE(4308)] = 152770,
  [SMALL_STATE(4309)] = 152807,
  [SMALL_STATE(4310)] = 152844,
  [SMALL_STATE(4311)] = 152881,
  [SMALL_STATE(4312)] = 152918,
  [SMALL_STATE(4313)] = 152955,
  [SMALL_STATE(4314)] = 152988,
  [SMALL_STATE(4315)] = 153021,
  [SMALL_STATE(4316)] = 153054,
  [SMALL_STATE(4317)] = 153087,
  [SMALL_STATE(4318)] = 153124,
  [SMALL_STATE(4319)] = 153161,
  [SMALL_STATE(4320)] = 153194,
  [SMALL_STATE(4321)] = 153231,
  [SMALL_STATE(4322)] = 153264,
  [SMALL_STATE(4323)] = 153297,
  [SMALL_STATE(4324)] = 153330,
  [SMALL_STATE(4325)] = 153363,
  [SMALL_STATE(4326)] = 153394,
  [SMALL_STATE(4327)] = 153431,
  [SMALL_STATE(4328)] = 153468,
  [SMALL_STATE(4329)] = 153501,
  [SMALL_STATE(4330)] = 153538,
  [SMALL_STATE(4331)] = 153571,
  [SMALL_STATE(4332)] = 153594,
  [SMALL_STATE(4333)] = 153617,
  [SMALL_STATE(4334)] = 153642,
  [SMALL_STATE(4335)] = 153669,
  [SMALL_STATE(4336)] = 153702,
  [SMALL_STATE(4337)] = 153735,
  [SMALL_STATE(4338)] = 153766,
  [SMALL_STATE(4339)] = 153787,
  [SMALL_STATE(4340)] = 153808,
  [SMALL_STATE(4341)] = 153829,
  [SMALL_STATE(4342)] = 153862,
  [SMALL_STATE(4343)] = 153895,
  [SMALL_STATE(4344)] = 153916,
  [SMALL_STATE(4345)] = 153939,
  [SMALL_STATE(4346)] = 153970,
  [SMALL_STATE(4347)] = 153991,
  [SMALL_STATE(4348)] = 154028,
  [SMALL_STATE(4349)] = 154061,
  [SMALL_STATE(4350)] = 154082,
  [SMALL_STATE(4351)] = 154103,
  [SMALL_STATE(4352)] = 154136,
  [SMALL_STATE(4353)] = 154173,
  [SMALL_STATE(4354)] = 154206,
  [SMALL_STATE(4355)] = 154239,
  [SMALL_STATE(4356)] = 154276,
  [SMALL_STATE(4357)] = 154297,
  [SMALL_STATE(4358)] = 154334,
  [SMALL_STATE(4359)] = 154371,
  [SMALL_STATE(4360)] = 154392,
  [SMALL_STATE(4361)] = 154429,
  [SMALL_STATE(4362)] = 154450,
  [SMALL_STATE(4363)] = 154487,
  [SMALL_STATE(4364)] = 154508,
  [SMALL_STATE(4365)] = 154541,
  [SMALL_STATE(4366)] = 154572,
  [SMALL_STATE(4367)] = 154605,
  [SMALL_STATE(4368)] = 154638,
  [SMALL_STATE(4369)] = 154675,
  [SMALL_STATE(4370)] = 154710,
  [SMALL_STATE(4371)] = 154747,
  [SMALL_STATE(4372)] = 154780,
  [SMALL_STATE(4373)] = 154813,
  [SMALL_STATE(4374)] = 154846,
  [SMALL_STATE(4375)] = 154879,
  [SMALL_STATE(4376)] = 154902,
  [SMALL_STATE(4377)] = 154925,
  [SMALL_STATE(4378)] = 154946,
  [SMALL_STATE(4379)] = 154979,
  [SMALL_STATE(4380)] = 155000,
  [SMALL_STATE(4381)] = 155037,
  [SMALL_STATE(4382)] = 155074,
  [SMALL_STATE(4383)] = 155095,
  [SMALL_STATE(4384)] = 155128,
  [SMALL_STATE(4385)] = 155149,
  [SMALL_STATE(4386)] = 155182,
  [SMALL_STATE(4387)] = 155215,
  [SMALL_STATE(4388)] = 155246,
  [SMALL_STATE(4389)] = 155269,
  [SMALL_STATE(4390)] = 155302,
  [SMALL_STATE(4391)] = 155333,
  [SMALL_STATE(4392)] = 155370,
  [SMALL_STATE(4393)] = 155407,
  [SMALL_STATE(4394)] = 155440,
  [SMALL_STATE(4395)] = 155463,
  [SMALL_STATE(4396)] = 155484,
  [SMALL_STATE(4397)] = 155517,
  [SMALL_STATE(4398)] = 155554,
  [SMALL_STATE(4399)] = 155575,
  [SMALL_STATE(4400)] = 155612,
  [SMALL_STATE(4401)] = 155637,
  [SMALL_STATE(4402)] = 155670,
  [SMALL_STATE(4403)] = 155703,
  [SMALL_STATE(4404)] = 155736,
  [SMALL_STATE(4405)] = 155773,
  [SMALL_STATE(4406)] = 155806,
  [SMALL_STATE(4407)] = 155843,
  [SMALL_STATE(4408)] = 155880,
  [SMALL_STATE(4409)] = 155913,
  [SMALL_STATE(4410)] = 155946,
  [SMALL_STATE(4411)] = 155979,
  [SMALL_STATE(4412)] = 156002,
  [SMALL_STATE(4413)] = 156035,
  [SMALL_STATE(4414)] = 156066,
  [SMALL_STATE(4415)] = 156097,
  [SMALL_STATE(4416)] = 156130,
  [SMALL_STATE(4417)] = 156163,
  [SMALL_STATE(4418)] = 156196,
  [SMALL_STATE(4419)] = 156229,
  [SMALL_STATE(4420)] = 156262,
  [SMALL_STATE(4421)] = 156299,
  [SMALL_STATE(4422)] = 156332,
  [SMALL_STATE(4423)] = 156353,
  [SMALL_STATE(4424)] = 156374,
  [SMALL_STATE(4425)] = 156395,
  [SMALL_STATE(4426)] = 156418,
  [SMALL_STATE(4427)] = 156455,
  [SMALL_STATE(4428)] = 156476,
  [SMALL_STATE(4429)] = 156509,
  [SMALL_STATE(4430)] = 156530,
  [SMALL_STATE(4431)] = 156567,
  [SMALL_STATE(4432)] = 156588,
  [SMALL_STATE(4433)] = 156621,
  [SMALL_STATE(4434)] = 156642,
  [SMALL_STATE(4435)] = 156663,
  [SMALL_STATE(4436)] = 156696,
  [SMALL_STATE(4437)] = 156727,
  [SMALL_STATE(4438)] = 156748,
  [SMALL_STATE(4439)] = 156769,
  [SMALL_STATE(4440)] = 156790,
  [SMALL_STATE(4441)] = 156811,
  [SMALL_STATE(4442)] = 156844,
  [SMALL_STATE(4443)] = 156865,
  [SMALL_STATE(4444)] = 156886,
  [SMALL_STATE(4445)] = 156923,
  [SMALL_STATE(4446)] = 156950,
  [SMALL_STATE(4447)] = 156977,
  [SMALL_STATE(4448)] = 157010,
  [SMALL_STATE(4449)] = 157036,
  [SMALL_STATE(4450)] = 157062,
  [SMALL_STATE(4451)] = 157088,
  [SMALL_STATE(4452)] = 157120,
  [SMALL_STATE(4453)] = 157148,
  [SMALL_STATE(4454)] = 157176,
  [SMALL_STATE(4455)] = 157204,
  [SMALL_STATE(4456)] = 157232,
  [SMALL_STATE(4457)] = 157264,
  [SMALL_STATE(4458)] = 157286,
  [SMALL_STATE(4459)] = 157308,
  [SMALL_STATE(4460)] = 157328,
  [SMALL_STATE(4461)] = 157362,
  [SMALL_STATE(4462)] = 157396,
  [SMALL_STATE(4463)] = 157430,
  [SMALL_STATE(4464)] = 157462,
  [SMALL_STATE(4465)] = 157482,
  [SMALL_STATE(4466)] = 157510,
  [SMALL_STATE(4467)] = 157544,
  [SMALL_STATE(4468)] = 157570,
  [SMALL_STATE(4469)] = 157596,
  [SMALL_STATE(4470)] = 157628,
  [SMALL_STATE(4471)] = 157660,
  [SMALL_STATE(4472)] = 157688,
  [SMALL_STATE(4473)] = 157718,
  [SMALL_STATE(4474)] = 157746,
  [SMALL_STATE(4475)] = 157780,
  [SMALL_STATE(4476)] = 157814,
  [SMALL_STATE(4477)] = 157846,
  [SMALL_STATE(4478)] = 157868,
  [SMALL_STATE(4479)] = 157896,
  [SMALL_STATE(4480)] = 157924,
  [SMALL_STATE(4481)] = 157956,
  [SMALL_STATE(4482)] = 157990,
  [SMALL_STATE(4483)] = 158016,
  [SMALL_STATE(4484)] = 158042,
  [SMALL_STATE(4485)] = 158076,
  [SMALL_STATE(4486)] = 158110,
  [SMALL_STATE(4487)] = 158144,
  [SMALL_STATE(4488)] = 158171,
  [SMALL_STATE(4489)] = 158198,
  [SMALL_STATE(4490)] = 158225,
  [SMALL_STATE(4491)] = 158252,
  [SMALL_STATE(4492)] = 158279,
  [SMALL_STATE(4493)] = 158310,
  [SMALL_STATE(4494)] = 158337,
  [SMALL_STATE(4495)] = 158364,
  [SMALL_STATE(4496)] = 158391,
  [SMALL_STATE(4497)] = 158418,
  [SMALL_STATE(4498)] = 158449,
  [SMALL_STATE(4499)] = 158476,
  [SMALL_STATE(4500)] = 158507,
  [SMALL_STATE(4501)] = 158534,
  [SMALL_STATE(4502)] = 158555,
  [SMALL_STATE(4503)] = 158574,
  [SMALL_STATE(4504)] = 158601,
  [SMALL_STATE(4505)] = 158628,
  [SMALL_STATE(4506)] = 158655,
  [SMALL_STATE(4507)] = 158678,
  [SMALL_STATE(4508)] = 158707,
  [SMALL_STATE(4509)] = 158736,
  [SMALL_STATE(4510)] = 158767,
  [SMALL_STATE(4511)] = 158794,
  [SMALL_STATE(4512)] = 158813,
  [SMALL_STATE(4513)] = 158840,
  [SMALL_STATE(4514)] = 158871,
  [SMALL_STATE(4515)] = 158902,
  [SMALL_STATE(4516)] = 158933,
  [SMALL_STATE(4517)] = 158964,
  [SMALL_STATE(4518)] = 158991,
  [SMALL_STATE(4519)] = 159018,
  [SMALL_STATE(4520)] = 159049,
  [SMALL_STATE(4521)] = 159076,
  [SMALL_STATE(4522)] = 159103,
  [SMALL_STATE(4523)] = 159134,
  [SMALL_STATE(4524)] = 159165,
  [SMALL_STATE(4525)] = 159192,
  [SMALL_STATE(4526)] = 159219,
  [SMALL_STATE(4527)] = 159246,
  [SMALL_STATE(4528)] = 159273,
  [SMALL_STATE(4529)] = 159296,
  [SMALL_STATE(4530)] = 159323,
  [SMALL_STATE(4531)] = 159354,
  [SMALL_STATE(4532)] = 159385,
  [SMALL_STATE(4533)] = 159412,
  [SMALL_STATE(4534)] = 159439,
  [SMALL_STATE(4535)] = 159462,
  [SMALL_STATE(4536)] = 159489,
  [SMALL_STATE(4537)] = 159516,
  [SMALL_STATE(4538)] = 159543,
  [SMALL_STATE(4539)] = 159566,
  [SMALL_STATE(4540)] = 159585,
  [SMALL_STATE(4541)] = 159610,
  [SMALL_STATE(4542)] = 159639,
  [SMALL_STATE(4543)] = 159662,
  [SMALL_STATE(4544)] = 159689,
  [SMALL_STATE(4545)] = 159716,
  [SMALL_STATE(4546)] = 159743,
  [SMALL_STATE(4547)] = 159774,
  [SMALL_STATE(4548)] = 159801,
  [SMALL_STATE(4549)] = 159820,
  [SMALL_STATE(4550)] = 159843,
  [SMALL_STATE(4551)] = 159874,
  [SMALL_STATE(4552)] = 159893,
  [SMALL_STATE(4553)] = 159924,
  [SMALL_STATE(4554)] = 159955,
  [SMALL_STATE(4555)] = 159982,
  [SMALL_STATE(4556)] = 160013,
  [SMALL_STATE(4557)] = 160042,
  [SMALL_STATE(4558)] = 160069,
  [SMALL_STATE(4559)] = 160088,
  [SMALL_STATE(4560)] = 160111,
  [SMALL_STATE(4561)] = 160132,
  [SMALL_STATE(4562)] = 160155,
  [SMALL_STATE(4563)] = 160186,
  [SMALL_STATE(4564)] = 160205,
  [SMALL_STATE(4565)] = 160236,
  [SMALL_STATE(4566)] = 160267,
  [SMALL_STATE(4567)] = 160294,
  [SMALL_STATE(4568)] = 160325,
  [SMALL_STATE(4569)] = 160348,
  [SMALL_STATE(4570)] = 160379,
  [SMALL_STATE(4571)] = 160398,
  [SMALL_STATE(4572)] = 160421,
  [SMALL_STATE(4573)] = 160448,
  [SMALL_STATE(4574)] = 160475,
  [SMALL_STATE(4575)] = 160502,
  [SMALL_STATE(4576)] = 160529,
  [SMALL_STATE(4577)] = 160556,
  [SMALL_STATE(4578)] = 160587,
  [SMALL_STATE(4579)] = 160618,
  [SMALL_STATE(4580)] = 160645,
  [SMALL_STATE(4581)] = 160672,
  [SMALL_STATE(4582)] = 160695,
  [SMALL_STATE(4583)] = 160722,
  [SMALL_STATE(4584)] = 160745,
  [SMALL_STATE(4585)] = 160772,
  [SMALL_STATE(4586)] = 160803,
  [SMALL_STATE(4587)] = 160830,
  [SMALL_STATE(4588)] = 160861,
  [SMALL_STATE(4589)] = 160892,
  [SMALL_STATE(4590)] = 160923,
  [SMALL_STATE(4591)] = 160946,
  [SMALL_STATE(4592)] = 160973,
  [SMALL_STATE(4593)] = 160992,
  [SMALL_STATE(4594)] = 161023,
  [SMALL_STATE(4595)] = 161046,
  [SMALL_STATE(4596)] = 161073,
  [SMALL_STATE(4597)] = 161100,
  [SMALL_STATE(4598)] = 161131,
  [SMALL_STATE(4599)] = 161160,
  [SMALL_STATE(4600)] = 161179,
  [SMALL_STATE(4601)] = 161198,
  [SMALL_STATE(4602)] = 161221,
  [SMALL_STATE(4603)] = 161252,
  [SMALL_STATE(4604)] = 161275,
  [SMALL_STATE(4605)] = 161302,
  [SMALL_STATE(4606)] = 161333,
  [SMALL_STATE(4607)] = 161360,
  [SMALL_STATE(4608)] = 161391,
  [SMALL_STATE(4609)] = 161418,
  [SMALL_STATE(4610)] = 161445,
  [SMALL_STATE(4611)] = 161464,
  [SMALL_STATE(4612)] = 161491,
  [SMALL_STATE(4613)] = 161522,
  [SMALL_STATE(4614)] = 161549,
  [SMALL_STATE(4615)] = 161568,
  [SMALL_STATE(4616)] = 161599,
  [SMALL_STATE(4617)] = 161630,
  [SMALL_STATE(4618)] = 161661,
  [SMALL_STATE(4619)] = 161692,
  [SMALL_STATE(4620)] = 161715,
  [SMALL_STATE(4621)] = 161746,
  [SMALL_STATE(4622)] = 161765,
  [SMALL_STATE(4623)] = 161792,
  [SMALL_STATE(4624)] = 161819,
  [SMALL_STATE(4625)] = 161850,
  [SMALL_STATE(4626)] = 161881,
  [SMALL_STATE(4627)] = 161912,
  [SMALL_STATE(4628)] = 161935,
  [SMALL_STATE(4629)] = 161962,
  [SMALL_STATE(4630)] = 161993,
  [SMALL_STATE(4631)] = 162012,
  [SMALL_STATE(4632)] = 162033,
  [SMALL_STATE(4633)] = 162060,
  [SMALL_STATE(4634)] = 162091,
  [SMALL_STATE(4635)] = 162118,
  [SMALL_STATE(4636)] = 162149,
  [SMALL_STATE(4637)] = 162168,
  [SMALL_STATE(4638)] = 162197,
  [SMALL_STATE(4639)] = 162226,
  [SMALL_STATE(4640)] = 162257,
  [SMALL_STATE(4641)] = 162282,
  [SMALL_STATE(4642)] = 162313,
  [SMALL_STATE(4643)] = 162332,
  [SMALL_STATE(4644)] = 162351,
  [SMALL_STATE(4645)] = 162370,
  [SMALL_STATE(4646)] = 162389,
  [SMALL_STATE(4647)] = 162420,
  [SMALL_STATE(4648)] = 162449,
  [SMALL_STATE(4649)] = 162476,
  [SMALL_STATE(4650)] = 162507,
  [SMALL_STATE(4651)] = 162534,
  [SMALL_STATE(4652)] = 162563,
  [SMALL_STATE(4653)] = 162590,
  [SMALL_STATE(4654)] = 162621,
  [SMALL_STATE(4655)] = 162652,
  [SMALL_STATE(4656)] = 162671,
  [SMALL_STATE(4657)] = 162702,
  [SMALL_STATE(4658)] = 162731,
  [SMALL_STATE(4659)] = 162762,
  [SMALL_STATE(4660)] = 162789,
  [SMALL_STATE(4661)] = 162816,
  [SMALL_STATE(4662)] = 162847,
  [SMALL_STATE(4663)] = 162878,
  [SMALL_STATE(4664)] = 162905,
  [SMALL_STATE(4665)] = 162924,
  [SMALL_STATE(4666)] = 162955,
  [SMALL_STATE(4667)] = 162986,
  [SMALL_STATE(4668)] = 163005,
  [SMALL_STATE(4669)] = 163032,
  [SMALL_STATE(4670)] = 163063,
  [SMALL_STATE(4671)] = 163082,
  [SMALL_STATE(4672)] = 163103,
  [SMALL_STATE(4673)] = 163132,
  [SMALL_STATE(4674)] = 163161,
  [SMALL_STATE(4675)] = 163188,
  [SMALL_STATE(4676)] = 163215,
  [SMALL_STATE(4677)] = 163242,
  [SMALL_STATE(4678)] = 163273,
  [SMALL_STATE(4679)] = 163300,
  [SMALL_STATE(4680)] = 163323,
  [SMALL_STATE(4681)] = 163346,
  [SMALL_STATE(4682)] = 163365,
  [SMALL_STATE(4683)] = 163396,
  [SMALL_STATE(4684)] = 163425,
  [SMALL_STATE(4685)] = 163452,
  [SMALL_STATE(4686)] = 163483,
  [SMALL_STATE(4687)] = 163514,
  [SMALL_STATE(4688)] = 163541,
  [SMALL_STATE(4689)] = 163570,
  [SMALL_STATE(4690)] = 163597,
  [SMALL_STATE(4691)] = 163620,
  [SMALL_STATE(4692)] = 163651,
  [SMALL_STATE(4693)] = 163674,
  [SMALL_STATE(4694)] = 163693,
  [SMALL_STATE(4695)] = 163716,
  [SMALL_STATE(4696)] = 163743,
  [SMALL_STATE(4697)] = 163766,
  [SMALL_STATE(4698)] = 163793,
  [SMALL_STATE(4699)] = 163820,
  [SMALL_STATE(4700)] = 163851,
  [SMALL_STATE(4701)] = 163880,
  [SMALL_STATE(4702)] = 163907,
  [SMALL_STATE(4703)] = 163930,
  [SMALL_STATE(4704)] = 163957,
  [SMALL_STATE(4705)] = 163988,
  [SMALL_STATE(4706)] = 164015,
  [SMALL_STATE(4707)] = 164038,
  [SMALL_STATE(4708)] = 164069,
  [SMALL_STATE(4709)] = 164096,
  [SMALL_STATE(4710)] = 164115,
  [SMALL_STATE(4711)] = 164142,
  [SMALL_STATE(4712)] = 164163,
  [SMALL_STATE(4713)] = 164186,
  [SMALL_STATE(4714)] = 164213,
  [SMALL_STATE(4715)] = 164232,
  [SMALL_STATE(4716)] = 164259,
  [SMALL_STATE(4717)] = 164286,
  [SMALL_STATE(4718)] = 164307,
  [SMALL_STATE(4719)] = 164334,
  [SMALL_STATE(4720)] = 164365,
  [SMALL_STATE(4721)] = 164396,
  [SMALL_STATE(4722)] = 164417,
  [SMALL_STATE(4723)] = 164448,
  [SMALL_STATE(4724)] = 164475,
  [SMALL_STATE(4725)] = 164502,
  [SMALL_STATE(4726)] = 164529,
  [SMALL_STATE(4727)] = 164560,
  [SMALL_STATE(4728)] = 164591,
  [SMALL_STATE(4729)] = 164620,
  [SMALL_STATE(4730)] = 164651,
  [SMALL_STATE(4731)] = 164678,
  [SMALL_STATE(4732)] = 164707,
  [SMALL_STATE(4733)] = 164734,
  [SMALL_STATE(4734)] = 164765,
  [SMALL_STATE(4735)] = 164792,
  [SMALL_STATE(4736)] = 164819,
  [SMALL_STATE(4737)] = 164850,
  [SMALL_STATE(4738)] = 164881,
  [SMALL_STATE(4739)] = 164908,
  [SMALL_STATE(4740)] = 164931,
  [SMALL_STATE(4741)] = 164950,
  [SMALL_STATE(4742)] = 164979,
  [SMALL_STATE(4743)] = 165002,
  [SMALL_STATE(4744)] = 165029,
  [SMALL_STATE(4745)] = 165060,
  [SMALL_STATE(4746)] = 165087,
  [SMALL_STATE(4747)] = 165118,
  [SMALL_STATE(4748)] = 165145,
  [SMALL_STATE(4749)] = 165172,
  [SMALL_STATE(4750)] = 165199,
  [SMALL_STATE(4751)] = 165226,
  [SMALL_STATE(4752)] = 165257,
  [SMALL_STATE(4753)] = 165288,
  [SMALL_STATE(4754)] = 165307,
  [SMALL_STATE(4755)] = 165338,
  [SMALL_STATE(4756)] = 165365,
  [SMALL_STATE(4757)] = 165396,
  [SMALL_STATE(4758)] = 165427,
  [SMALL_STATE(4759)] = 165450,
  [SMALL_STATE(4760)] = 165477,
  [SMALL_STATE(4761)] = 165497,
  [SMALL_STATE(4762)] = 165525,
  [SMALL_STATE(4763)] = 165553,
  [SMALL_STATE(4764)] = 165575,
  [SMALL_STATE(4765)] = 165593,
  [SMALL_STATE(4766)] = 165621,
  [SMALL_STATE(4767)] = 165649,
  [SMALL_STATE(4768)] = 165667,
  [SMALL_STATE(4769)] = 165689,
  [SMALL_STATE(4770)] = 165711,
  [SMALL_STATE(4771)] = 165739,
  [SMALL_STATE(4772)] = 165767,
  [SMALL_STATE(4773)] = 165795,
  [SMALL_STATE(4774)] = 165817,
  [SMALL_STATE(4775)] = 165845,
  [SMALL_STATE(4776)] = 165873,
  [SMALL_STATE(4777)] = 165895,
  [SMALL_STATE(4778)] = 165915,
  [SMALL_STATE(4779)] = 165933,
  [SMALL_STATE(4780)] = 165959,
  [SMALL_STATE(4781)] = 165977,
  [SMALL_STATE(4782)] = 165999,
  [SMALL_STATE(4783)] = 166027,
  [SMALL_STATE(4784)] = 166055,
  [SMALL_STATE(4785)] = 166073,
  [SMALL_STATE(4786)] = 166099,
  [SMALL_STATE(4787)] = 166127,
  [SMALL_STATE(4788)] = 166145,
  [SMALL_STATE(4789)] = 166167,
  [SMALL_STATE(4790)] = 166189,
  [SMALL_STATE(4791)] = 166211,
  [SMALL_STATE(4792)] = 166233,
  [SMALL_STATE(4793)] = 166255,
  [SMALL_STATE(4794)] = 166273,
  [SMALL_STATE(4795)] = 166297,
  [SMALL_STATE(4796)] = 166325,
  [SMALL_STATE(4797)] = 166353,
  [SMALL_STATE(4798)] = 166381,
  [SMALL_STATE(4799)] = 166407,
  [SMALL_STATE(4800)] = 166435,
  [SMALL_STATE(4801)] = 166457,
  [SMALL_STATE(4802)] = 166475,
  [SMALL_STATE(4803)] = 166495,
  [SMALL_STATE(4804)] = 166517,
  [SMALL_STATE(4805)] = 166535,
  [SMALL_STATE(4806)] = 166563,
  [SMALL_STATE(4807)] = 166591,
  [SMALL_STATE(4808)] = 166613,
  [SMALL_STATE(4809)] = 166631,
  [SMALL_STATE(4810)] = 166653,
  [SMALL_STATE(4811)] = 166679,
  [SMALL_STATE(4812)] = 166707,
  [SMALL_STATE(4813)] = 166735,
  [SMALL_STATE(4814)] = 166753,
  [SMALL_STATE(4815)] = 166781,
  [SMALL_STATE(4816)] = 166809,
  [SMALL_STATE(4817)] = 166827,
  [SMALL_STATE(4818)] = 166855,
  [SMALL_STATE(4819)] = 166881,
  [SMALL_STATE(4820)] = 166907,
  [SMALL_STATE(4821)] = 166935,
  [SMALL_STATE(4822)] = 166963,
  [SMALL_STATE(4823)] = 166991,
  [SMALL_STATE(4824)] = 167009,
  [SMALL_STATE(4825)] = 167031,
  [SMALL_STATE(4826)] = 167057,
  [SMALL_STATE(4827)] = 167085,
  [SMALL_STATE(4828)] = 167113,
  [SMALL_STATE(4829)] = 167141,
  [SMALL_STATE(4830)] = 167161,
  [SMALL_STATE(4831)] = 167189,
  [SMALL_STATE(4832)] = 167215,
  [SMALL_STATE(4833)] = 167243,
  [SMALL_STATE(4834)] = 167271,
  [SMALL_STATE(4835)] = 167289,
  [SMALL_STATE(4836)] = 167317,
  [SMALL_STATE(4837)] = 167345,
  [SMALL_STATE(4838)] = 167367,
  [SMALL_STATE(4839)] = 167395,
  [SMALL_STATE(4840)] = 167423,
  [SMALL_STATE(4841)] = 167451,
  [SMALL_STATE(4842)] = 167477,
  [SMALL_STATE(4843)] = 167503,
  [SMALL_STATE(4844)] = 167531,
  [SMALL_STATE(4845)] = 167559,
  [SMALL_STATE(4846)] = 167587,
  [SMALL_STATE(4847)] = 167613,
  [SMALL_STATE(4848)] = 167641,
  [SMALL_STATE(4849)] = 167669,
  [SMALL_STATE(4850)] = 167687,
  [SMALL_STATE(4851)] = 167711,
  [SMALL_STATE(4852)] = 167729,
  [SMALL_STATE(4853)] = 167749,
  [SMALL_STATE(4854)] = 167767,
  [SMALL_STATE(4855)] = 167785,
  [SMALL_STATE(4856)] = 167803,
  [SMALL_STATE(4857)] = 167829,
  [SMALL_STATE(4858)] = 167851,
  [SMALL_STATE(4859)] = 167869,
  [SMALL_STATE(4860)] = 167897,
  [SMALL_STATE(4861)] = 167925,
  [SMALL_STATE(4862)] = 167947,
  [SMALL_STATE(4863)] = 167975,
  [SMALL_STATE(4864)] = 168003,
  [SMALL_STATE(4865)] = 168025,
  [SMALL_STATE(4866)] = 168047,
  [SMALL_STATE(4867)] = 168069,
  [SMALL_STATE(4868)] = 168087,
  [SMALL_STATE(4869)] = 168115,
  [SMALL_STATE(4870)] = 168137,
  [SMALL_STATE(4871)] = 168165,
  [SMALL_STATE(4872)] = 168187,
  [SMALL_STATE(4873)] = 168213,
  [SMALL_STATE(4874)] = 168231,
  [SMALL_STATE(4875)] = 168249,
  [SMALL_STATE(4876)] = 168275,
  [SMALL_STATE(4877)] = 168293,
  [SMALL_STATE(4878)] = 168315,
  [SMALL_STATE(4879)] = 168333,
  [SMALL_STATE(4880)] = 168355,
  [SMALL_STATE(4881)] = 168377,
  [SMALL_STATE(4882)] = 168395,
  [SMALL_STATE(4883)] = 168413,
  [SMALL_STATE(4884)] = 168431,
  [SMALL_STATE(4885)] = 168449,
  [SMALL_STATE(4886)] = 168471,
  [SMALL_STATE(4887)] = 168499,
  [SMALL_STATE(4888)] = 168525,
  [SMALL_STATE(4889)] = 168547,
  [SMALL_STATE(4890)] = 168573,
  [SMALL_STATE(4891)] = 168601,
  [SMALL_STATE(4892)] = 168623,
  [SMALL_STATE(4893)] = 168651,
  [SMALL_STATE(4894)] = 168673,
  [SMALL_STATE(4895)] = 168695,
  [SMALL_STATE(4896)] = 168717,
  [SMALL_STATE(4897)] = 168743,
  [SMALL_STATE(4898)] = 168771,
  [SMALL_STATE(4899)] = 168799,
  [SMALL_STATE(4900)] = 168817,
  [SMALL_STATE(4901)] = 168843,
  [SMALL_STATE(4902)] = 168865,
  [SMALL_STATE(4903)] = 168893,
  [SMALL_STATE(4904)] = 168921,
  [SMALL_STATE(4905)] = 168943,
  [SMALL_STATE(4906)] = 168965,
  [SMALL_STATE(4907)] = 168991,
  [SMALL_STATE(4908)] = 169009,
  [SMALL_STATE(4909)] = 169027,
  [SMALL_STATE(4910)] = 169049,
  [SMALL_STATE(4911)] = 169067,
  [SMALL_STATE(4912)] = 169085,
  [SMALL_STATE(4913)] = 169103,
  [SMALL_STATE(4914)] = 169129,
  [SMALL_STATE(4915)] = 169157,
  [SMALL_STATE(4916)] = 169179,
  [SMALL_STATE(4917)] = 169201,
  [SMALL_STATE(4918)] = 169229,
  [SMALL_STATE(4919)] = 169247,
  [SMALL_STATE(4920)] = 169275,
  [SMALL_STATE(4921)] = 169303,
  [SMALL_STATE(4922)] = 169325,
  [SMALL_STATE(4923)] = 169353,
  [SMALL_STATE(4924)] = 169375,
  [SMALL_STATE(4925)] = 169401,
  [SMALL_STATE(4926)] = 169429,
  [SMALL_STATE(4927)] = 169457,
  [SMALL_STATE(4928)] = 169485,
  [SMALL_STATE(4929)] = 169513,
  [SMALL_STATE(4930)] = 169535,
  [SMALL_STATE(4931)] = 169557,
  [SMALL_STATE(4932)] = 169585,
  [SMALL_STATE(4933)] = 169607,
  [SMALL_STATE(4934)] = 169629,
  [SMALL_STATE(4935)] = 169657,
  [SMALL_STATE(4936)] = 169679,
  [SMALL_STATE(4937)] = 169701,
  [SMALL_STATE(4938)] = 169727,
  [SMALL_STATE(4939)] = 169745,
  [SMALL_STATE(4940)] = 169773,
  [SMALL_STATE(4941)] = 169791,
  [SMALL_STATE(4942)] = 169813,
  [SMALL_STATE(4943)] = 169831,
  [SMALL_STATE(4944)] = 169853,
  [SMALL_STATE(4945)] = 169875,
  [SMALL_STATE(4946)] = 169893,
  [SMALL_STATE(4947)] = 169921,
  [SMALL_STATE(4948)] = 169947,
  [SMALL_STATE(4949)] = 169975,
  [SMALL_STATE(4950)] = 169997,
  [SMALL_STATE(4951)] = 170025,
  [SMALL_STATE(4952)] = 170047,
  [SMALL_STATE(4953)] = 170075,
  [SMALL_STATE(4954)] = 170103,
  [SMALL_STATE(4955)] = 170125,
  [SMALL_STATE(4956)] = 170153,
  [SMALL_STATE(4957)] = 170181,
  [SMALL_STATE(4958)] = 170201,
  [SMALL_STATE(4959)] = 170229,
  [SMALL_STATE(4960)] = 170251,
  [SMALL_STATE(4961)] = 170279,
  [SMALL_STATE(4962)] = 170301,
  [SMALL_STATE(4963)] = 170321,
  [SMALL_STATE(4964)] = 170341,
  [SMALL_STATE(4965)] = 170361,
  [SMALL_STATE(4966)] = 170383,
  [SMALL_STATE(4967)] = 170407,
  [SMALL_STATE(4968)] = 170425,
  [SMALL_STATE(4969)] = 170447,
  [SMALL_STATE(4970)] = 170475,
  [SMALL_STATE(4971)] = 170501,
  [SMALL_STATE(4972)] = 170529,
  [SMALL_STATE(4973)] = 170547,
  [SMALL_STATE(4974)] = 170569,
  [SMALL_STATE(4975)] = 170597,
  [SMALL_STATE(4976)] = 170625,
  [SMALL_STATE(4977)] = 170653,
  [SMALL_STATE(4978)] = 170673,
  [SMALL_STATE(4979)] = 170701,
  [SMALL_STATE(4980)] = 170719,
  [SMALL_STATE(4981)] = 170741,
  [SMALL_STATE(4982)] = 170763,
  [SMALL_STATE(4983)] = 170783,
  [SMALL_STATE(4984)] = 170811,
  [SMALL_STATE(4985)] = 170833,
  [SMALL_STATE(4986)] = 170861,
  [SMALL_STATE(4987)] = 170879,
  [SMALL_STATE(4988)] = 170897,
  [SMALL_STATE(4989)] = 170915,
  [SMALL_STATE(4990)] = 170937,
  [SMALL_STATE(4991)] = 170963,
  [SMALL_STATE(4992)] = 170980,
  [SMALL_STATE(4993)] = 171003,
  [SMALL_STATE(4994)] = 171024,
  [SMALL_STATE(4995)] = 171045,
  [SMALL_STATE(4996)] = 171070,
  [SMALL_STATE(4997)] = 171091,
  [SMALL_STATE(4998)] = 171116,
  [SMALL_STATE(4999)] = 171133,
  [SMALL_STATE(5000)] = 171154,
  [SMALL_STATE(5001)] = 171175,
  [SMALL_STATE(5002)] = 171200,
  [SMALL_STATE(5003)] = 171221,
  [SMALL_STATE(5004)] = 171242,
  [SMALL_STATE(5005)] = 171263,
  [SMALL_STATE(5006)] = 171284,
  [SMALL_STATE(5007)] = 171309,
  [SMALL_STATE(5008)] = 171326,
  [SMALL_STATE(5009)] = 171343,
  [SMALL_STATE(5010)] = 171360,
  [SMALL_STATE(5011)] = 171377,
  [SMALL_STATE(5012)] = 171402,
  [SMALL_STATE(5013)] = 171423,
  [SMALL_STATE(5014)] = 171444,
  [SMALL_STATE(5015)] = 171465,
  [SMALL_STATE(5016)] = 171490,
  [SMALL_STATE(5017)] = 171511,
  [SMALL_STATE(5018)] = 171536,
  [SMALL_STATE(5019)] = 171557,
  [SMALL_STATE(5020)] = 171578,
  [SMALL_STATE(5021)] = 171599,
  [SMALL_STATE(5022)] = 171620,
  [SMALL_STATE(5023)] = 171641,
  [SMALL_STATE(5024)] = 171662,
  [SMALL_STATE(5025)] = 171683,
  [SMALL_STATE(5026)] = 171704,
  [SMALL_STATE(5027)] = 171721,
  [SMALL_STATE(5028)] = 171742,
  [SMALL_STATE(5029)] = 171763,
  [SMALL_STATE(5030)] = 171784,
  [SMALL_STATE(5031)] = 171801,
  [SMALL_STATE(5032)] = 171822,
  [SMALL_STATE(5033)] = 171847,
  [SMALL_STATE(5034)] = 171864,
  [SMALL_STATE(5035)] = 171885,
  [SMALL_STATE(5036)] = 171906,
  [SMALL_STATE(5037)] = 171923,
  [SMALL_STATE(5038)] = 171944,
  [SMALL_STATE(5039)] = 171965,
  [SMALL_STATE(5040)] = 171982,
  [SMALL_STATE(5041)] = 172003,
  [SMALL_STATE(5042)] = 172020,
  [SMALL_STATE(5043)] = 172045,
  [SMALL_STATE(5044)] = 172066,
  [SMALL_STATE(5045)] = 172091,
  [SMALL_STATE(5046)] = 172108,
  [SMALL_STATE(5047)] = 172125,
  [SMALL_STATE(5048)] = 172150,
  [SMALL_STATE(5049)] = 172167,
  [SMALL_STATE(5050)] = 172184,
  [SMALL_STATE(5051)] = 172205,
  [SMALL_STATE(5052)] = 172226,
  [SMALL_STATE(5053)] = 172247,
  [SMALL_STATE(5054)] = 172268,
  [SMALL_STATE(5055)] = 172289,
  [SMALL_STATE(5056)] = 172312,
  [SMALL_STATE(5057)] = 172329,
  [SMALL_STATE(5058)] = 172346,
  [SMALL_STATE(5059)] = 172367,
  [SMALL_STATE(5060)] = 172388,
  [SMALL_STATE(5061)] = 172409,
  [SMALL_STATE(5062)] = 172426,
  [SMALL_STATE(5063)] = 172443,
  [SMALL_STATE(5064)] = 172464,
  [SMALL_STATE(5065)] = 172487,
  [SMALL_STATE(5066)] = 172504,
  [SMALL_STATE(5067)] = 172525,
  [SMALL_STATE(5068)] = 172546,
  [SMALL_STATE(5069)] = 172571,
  [SMALL_STATE(5070)] = 172588,
  [SMALL_STATE(5071)] = 172609,
  [SMALL_STATE(5072)] = 172626,
  [SMALL_STATE(5073)] = 172643,
  [SMALL_STATE(5074)] = 172664,
  [SMALL_STATE(5075)] = 172685,
  [SMALL_STATE(5076)] = 172702,
  [SMALL_STATE(5077)] = 172723,
  [SMALL_STATE(5078)] = 172740,
  [SMALL_STATE(5079)] = 172757,
  [SMALL_STATE(5080)] = 172774,
  [SMALL_STATE(5081)] = 172795,
  [SMALL_STATE(5082)] = 172818,
  [SMALL_STATE(5083)] = 172835,
  [SMALL_STATE(5084)] = 172852,
  [SMALL_STATE(5085)] = 172869,
  [SMALL_STATE(5086)] = 172894,
  [SMALL_STATE(5087)] = 172911,
  [SMALL_STATE(5088)] = 172934,
  [SMALL_STATE(5089)] = 172951,
  [SMALL_STATE(5090)] = 172972,
  [SMALL_STATE(5091)] = 172997,
  [SMALL_STATE(5092)] = 173022,
  [SMALL_STATE(5093)] = 173047,
  [SMALL_STATE(5094)] = 173068,
  [SMALL_STATE(5095)] = 173089,
  [SMALL_STATE(5096)] = 173110,
  [SMALL_STATE(5097)] = 173135,
  [SMALL_STATE(5098)] = 173160,
  [SMALL_STATE(5099)] = 173177,
  [SMALL_STATE(5100)] = 173194,
  [SMALL_STATE(5101)] = 173219,
  [SMALL_STATE(5102)] = 173240,
  [SMALL_STATE(5103)] = 173265,
  [SMALL_STATE(5104)] = 173282,
  [SMALL_STATE(5105)] = 173307,
  [SMALL_STATE(5106)] = 173330,
  [SMALL_STATE(5107)] = 173347,
  [SMALL_STATE(5108)] = 173372,
  [SMALL_STATE(5109)] = 173389,
  [SMALL_STATE(5110)] = 173414,
  [SMALL_STATE(5111)] = 173439,
  [SMALL_STATE(5112)] = 173456,
  [SMALL_STATE(5113)] = 173473,
  [SMALL_STATE(5114)] = 173490,
  [SMALL_STATE(5115)] = 173507,
  [SMALL_STATE(5116)] = 173524,
  [SMALL_STATE(5117)] = 173545,
  [SMALL_STATE(5118)] = 173566,
  [SMALL_STATE(5119)] = 173587,
  [SMALL_STATE(5120)] = 173608,
  [SMALL_STATE(5121)] = 173633,
  [SMALL_STATE(5122)] = 173658,
  [SMALL_STATE(5123)] = 173683,
  [SMALL_STATE(5124)] = 173702,
  [SMALL_STATE(5125)] = 173719,
  [SMALL_STATE(5126)] = 173736,
  [SMALL_STATE(5127)] = 173761,
  [SMALL_STATE(5128)] = 173782,
  [SMALL_STATE(5129)] = 173803,
  [SMALL_STATE(5130)] = 173824,
  [SMALL_STATE(5131)] = 173841,
  [SMALL_STATE(5132)] = 173858,
  [SMALL_STATE(5133)] = 173875,
  [SMALL_STATE(5134)] = 173892,
  [SMALL_STATE(5135)] = 173917,
  [SMALL_STATE(5136)] = 173934,
  [SMALL_STATE(5137)] = 173957,
  [SMALL_STATE(5138)] = 173978,
  [SMALL_STATE(5139)] = 174001,
  [SMALL_STATE(5140)] = 174022,
  [SMALL_STATE(5141)] = 174043,
  [SMALL_STATE(5142)] = 174064,
  [SMALL_STATE(5143)] = 174085,
  [SMALL_STATE(5144)] = 174106,
  [SMALL_STATE(5145)] = 174127,
  [SMALL_STATE(5146)] = 174148,
  [SMALL_STATE(5147)] = 174169,
  [SMALL_STATE(5148)] = 174186,
  [SMALL_STATE(5149)] = 174207,
  [SMALL_STATE(5150)] = 174224,
  [SMALL_STATE(5151)] = 174241,
  [SMALL_STATE(5152)] = 174262,
  [SMALL_STATE(5153)] = 174279,
  [SMALL_STATE(5154)] = 174304,
  [SMALL_STATE(5155)] = 174329,
  [SMALL_STATE(5156)] = 174350,
  [SMALL_STATE(5157)] = 174371,
  [SMALL_STATE(5158)] = 174392,
  [SMALL_STATE(5159)] = 174413,
  [SMALL_STATE(5160)] = 174438,
  [SMALL_STATE(5161)] = 174463,
  [SMALL_STATE(5162)] = 174488,
  [SMALL_STATE(5163)] = 174509,
  [SMALL_STATE(5164)] = 174530,
  [SMALL_STATE(5165)] = 174553,
  [SMALL_STATE(5166)] = 174578,
  [SMALL_STATE(5167)] = 174603,
  [SMALL_STATE(5168)] = 174628,
  [SMALL_STATE(5169)] = 174653,
  [SMALL_STATE(5170)] = 174674,
  [SMALL_STATE(5171)] = 174695,
  [SMALL_STATE(5172)] = 174716,
  [SMALL_STATE(5173)] = 174741,
  [SMALL_STATE(5174)] = 174766,
  [SMALL_STATE(5175)] = 174791,
  [SMALL_STATE(5176)] = 174816,
  [SMALL_STATE(5177)] = 174837,
  [SMALL_STATE(5178)] = 174862,
  [SMALL_STATE(5179)] = 174887,
  [SMALL_STATE(5180)] = 174912,
  [SMALL_STATE(5181)] = 174937,
  [SMALL_STATE(5182)] = 174962,
  [SMALL_STATE(5183)] = 174987,
  [SMALL_STATE(5184)] = 175008,
  [SMALL_STATE(5185)] = 175033,
  [SMALL_STATE(5186)] = 175054,
  [SMALL_STATE(5187)] = 175071,
  [SMALL_STATE(5188)] = 175092,
  [SMALL_STATE(5189)] = 175109,
  [SMALL_STATE(5190)] = 175126,
  [SMALL_STATE(5191)] = 175151,
  [SMALL_STATE(5192)] = 175176,
  [SMALL_STATE(5193)] = 175193,
  [SMALL_STATE(5194)] = 175210,
  [SMALL_STATE(5195)] = 175231,
  [SMALL_STATE(5196)] = 175256,
  [SMALL_STATE(5197)] = 175273,
  [SMALL_STATE(5198)] = 175298,
  [SMALL_STATE(5199)] = 175321,
  [SMALL_STATE(5200)] = 175346,
  [SMALL_STATE(5201)] = 175371,
  [SMALL_STATE(5202)] = 175396,
  [SMALL_STATE(5203)] = 175415,
  [SMALL_STATE(5204)] = 175432,
  [SMALL_STATE(5205)] = 175449,
  [SMALL_STATE(5206)] = 175470,
  [SMALL_STATE(5207)] = 175487,
  [SMALL_STATE(5208)] = 175504,
  [SMALL_STATE(5209)] = 175529,
  [SMALL_STATE(5210)] = 175548,
  [SMALL_STATE(5211)] = 175569,
  [SMALL_STATE(5212)] = 175586,
  [SMALL_STATE(5213)] = 175611,
  [SMALL_STATE(5214)] = 175636,
  [SMALL_STATE(5215)] = 175653,
  [SMALL_STATE(5216)] = 175672,
  [SMALL_STATE(5217)] = 175689,
  [SMALL_STATE(5218)] = 175710,
  [SMALL_STATE(5219)] = 175727,
  [SMALL_STATE(5220)] = 175744,
  [SMALL_STATE(5221)] = 175763,
  [SMALL_STATE(5222)] = 175788,
  [SMALL_STATE(5223)] = 175813,
  [SMALL_STATE(5224)] = 175834,
  [SMALL_STATE(5225)] = 175855,
  [SMALL_STATE(5226)] = 175878,
  [SMALL_STATE(5227)] = 175899,
  [SMALL_STATE(5228)] = 175916,
  [SMALL_STATE(5229)] = 175933,
  [SMALL_STATE(5230)] = 175954,
  [SMALL_STATE(5231)] = 175971,
  [SMALL_STATE(5232)] = 175992,
  [SMALL_STATE(5233)] = 176009,
  [SMALL_STATE(5234)] = 176030,
  [SMALL_STATE(5235)] = 176055,
  [SMALL_STATE(5236)] = 176080,
  [SMALL_STATE(5237)] = 176101,
  [SMALL_STATE(5238)] = 176126,
  [SMALL_STATE(5239)] = 176147,
  [SMALL_STATE(5240)] = 176164,
  [SMALL_STATE(5241)] = 176185,
  [SMALL_STATE(5242)] = 176202,
  [SMALL_STATE(5243)] = 176223,
  [SMALL_STATE(5244)] = 176244,
  [SMALL_STATE(5245)] = 176269,
  [SMALL_STATE(5246)] = 176286,
  [SMALL_STATE(5247)] = 176311,
  [SMALL_STATE(5248)] = 176328,
  [SMALL_STATE(5249)] = 176345,
  [SMALL_STATE(5250)] = 176370,
  [SMALL_STATE(5251)] = 176387,
  [SMALL_STATE(5252)] = 176404,
  [SMALL_STATE(5253)] = 176425,
  [SMALL_STATE(5254)] = 176442,
  [SMALL_STATE(5255)] = 176467,
  [SMALL_STATE(5256)] = 176484,
  [SMALL_STATE(5257)] = 176501,
  [SMALL_STATE(5258)] = 176518,
  [SMALL_STATE(5259)] = 176543,
  [SMALL_STATE(5260)] = 176568,
  [SMALL_STATE(5261)] = 176585,
  [SMALL_STATE(5262)] = 176610,
  [SMALL_STATE(5263)] = 176627,
  [SMALL_STATE(5264)] = 176652,
  [SMALL_STATE(5265)] = 176669,
  [SMALL_STATE(5266)] = 176690,
  [SMALL_STATE(5267)] = 176715,
  [SMALL_STATE(5268)] = 176738,
  [SMALL_STATE(5269)] = 176759,
  [SMALL_STATE(5270)] = 176782,
  [SMALL_STATE(5271)] = 176807,
  [SMALL_STATE(5272)] = 176828,
  [SMALL_STATE(5273)] = 176853,
  [SMALL_STATE(5274)] = 176878,
  [SMALL_STATE(5275)] = 176903,
  [SMALL_STATE(5276)] = 176928,
  [SMALL_STATE(5277)] = 176945,
  [SMALL_STATE(5278)] = 176966,
  [SMALL_STATE(5279)] = 176991,
  [SMALL_STATE(5280)] = 177014,
  [SMALL_STATE(5281)] = 177039,
  [SMALL_STATE(5282)] = 177056,
  [SMALL_STATE(5283)] = 177077,
  [SMALL_STATE(5284)] = 177094,
  [SMALL_STATE(5285)] = 177115,
  [SMALL_STATE(5286)] = 177136,
  [SMALL_STATE(5287)] = 177161,
  [SMALL_STATE(5288)] = 177186,
  [SMALL_STATE(5289)] = 177207,
  [SMALL_STATE(5290)] = 177224,
  [SMALL_STATE(5291)] = 177249,
  [SMALL_STATE(5292)] = 177272,
  [SMALL_STATE(5293)] = 177297,
  [SMALL_STATE(5294)] = 177322,
  [SMALL_STATE(5295)] = 177343,
  [SMALL_STATE(5296)] = 177364,
  [SMALL_STATE(5297)] = 177381,
  [SMALL_STATE(5298)] = 177406,
  [SMALL_STATE(5299)] = 177427,
  [SMALL_STATE(5300)] = 177452,
  [SMALL_STATE(5301)] = 177473,
  [SMALL_STATE(5302)] = 177498,
  [SMALL_STATE(5303)] = 177519,
  [SMALL_STATE(5304)] = 177540,
  [SMALL_STATE(5305)] = 177565,
  [SMALL_STATE(5306)] = 177582,
  [SMALL_STATE(5307)] = 177599,
  [SMALL_STATE(5308)] = 177624,
  [SMALL_STATE(5309)] = 177645,
  [SMALL_STATE(5310)] = 177670,
  [SMALL_STATE(5311)] = 177687,
  [SMALL_STATE(5312)] = 177704,
  [SMALL_STATE(5313)] = 177725,
  [SMALL_STATE(5314)] = 177750,
  [SMALL_STATE(5315)] = 177771,
  [SMALL_STATE(5316)] = 177788,
  [SMALL_STATE(5317)] = 177813,
  [SMALL_STATE(5318)] = 177834,
  [SMALL_STATE(5319)] = 177851,
  [SMALL_STATE(5320)] = 177872,
  [SMALL_STATE(5321)] = 177893,
  [SMALL_STATE(5322)] = 177918,
  [SMALL_STATE(5323)] = 177939,
  [SMALL_STATE(5324)] = 177960,
  [SMALL_STATE(5325)] = 177985,
  [SMALL_STATE(5326)] = 178010,
  [SMALL_STATE(5327)] = 178033,
  [SMALL_STATE(5328)] = 178058,
  [SMALL_STATE(5329)] = 178079,
  [SMALL_STATE(5330)] = 178100,
  [SMALL_STATE(5331)] = 178121,
  [SMALL_STATE(5332)] = 178142,
  [SMALL_STATE(5333)] = 178159,
  [SMALL_STATE(5334)] = 178180,
  [SMALL_STATE(5335)] = 178205,
  [SMALL_STATE(5336)] = 178222,
  [SMALL_STATE(5337)] = 178247,
  [SMALL_STATE(5338)] = 178268,
  [SMALL_STATE(5339)] = 178293,
  [SMALL_STATE(5340)] = 178318,
  [SMALL_STATE(5341)] = 178339,
  [SMALL_STATE(5342)] = 178364,
  [SMALL_STATE(5343)] = 178385,
  [SMALL_STATE(5344)] = 178402,
  [SMALL_STATE(5345)] = 178427,
  [SMALL_STATE(5346)] = 178444,
  [SMALL_STATE(5347)] = 178463,
  [SMALL_STATE(5348)] = 178488,
  [SMALL_STATE(5349)] = 178509,
  [SMALL_STATE(5350)] = 178534,
  [SMALL_STATE(5351)] = 178551,
  [SMALL_STATE(5352)] = 178576,
  [SMALL_STATE(5353)] = 178593,
  [SMALL_STATE(5354)] = 178610,
  [SMALL_STATE(5355)] = 178631,
  [SMALL_STATE(5356)] = 178656,
  [SMALL_STATE(5357)] = 178681,
  [SMALL_STATE(5358)] = 178702,
  [SMALL_STATE(5359)] = 178719,
  [SMALL_STATE(5360)] = 178744,
  [SMALL_STATE(5361)] = 178761,
  [SMALL_STATE(5362)] = 178778,
  [SMALL_STATE(5363)] = 178795,
  [SMALL_STATE(5364)] = 178820,
  [SMALL_STATE(5365)] = 178841,
  [SMALL_STATE(5366)] = 178862,
  [SMALL_STATE(5367)] = 178887,
  [SMALL_STATE(5368)] = 178904,
  [SMALL_STATE(5369)] = 178925,
  [SMALL_STATE(5370)] = 178942,
  [SMALL_STATE(5371)] = 178959,
  [SMALL_STATE(5372)] = 178980,
  [SMALL_STATE(5373)] = 179001,
  [SMALL_STATE(5374)] = 179022,
  [SMALL_STATE(5375)] = 179043,
  [SMALL_STATE(5376)] = 179068,
  [SMALL_STATE(5377)] = 179093,
  [SMALL_STATE(5378)] = 179110,
  [SMALL_STATE(5379)] = 179131,
  [SMALL_STATE(5380)] = 179156,
  [SMALL_STATE(5381)] = 179179,
  [SMALL_STATE(5382)] = 179196,
  [SMALL_STATE(5383)] = 179213,
  [SMALL_STATE(5384)] = 179238,
  [SMALL_STATE(5385)] = 179255,
  [SMALL_STATE(5386)] = 179272,
  [SMALL_STATE(5387)] = 179297,
  [SMALL_STATE(5388)] = 179320,
  [SMALL_STATE(5389)] = 179341,
  [SMALL_STATE(5390)] = 179358,
  [SMALL_STATE(5391)] = 179375,
  [SMALL_STATE(5392)] = 179396,
  [SMALL_STATE(5393)] = 179417,
  [SMALL_STATE(5394)] = 179434,
  [SMALL_STATE(5395)] = 179451,
  [SMALL_STATE(5396)] = 179476,
  [SMALL_STATE(5397)] = 179493,
  [SMALL_STATE(5398)] = 179514,
  [SMALL_STATE(5399)] = 179531,
  [SMALL_STATE(5400)] = 179548,
  [SMALL_STATE(5401)] = 179565,
  [SMALL_STATE(5402)] = 179582,
  [SMALL_STATE(5403)] = 179607,
  [SMALL_STATE(5404)] = 179632,
  [SMALL_STATE(5405)] = 179653,
  [SMALL_STATE(5406)] = 179676,
  [SMALL_STATE(5407)] = 179693,
  [SMALL_STATE(5408)] = 179710,
  [SMALL_STATE(5409)] = 179727,
  [SMALL_STATE(5410)] = 179744,
  [SMALL_STATE(5411)] = 179761,
  [SMALL_STATE(5412)] = 179778,
  [SMALL_STATE(5413)] = 179799,
  [SMALL_STATE(5414)] = 179824,
  [SMALL_STATE(5415)] = 179849,
  [SMALL_STATE(5416)] = 179870,
  [SMALL_STATE(5417)] = 179887,
  [SMALL_STATE(5418)] = 179908,
  [SMALL_STATE(5419)] = 179929,
  [SMALL_STATE(5420)] = 179950,
  [SMALL_STATE(5421)] = 179971,
  [SMALL_STATE(5422)] = 179992,
  [SMALL_STATE(5423)] = 180013,
  [SMALL_STATE(5424)] = 180030,
  [SMALL_STATE(5425)] = 180051,
  [SMALL_STATE(5426)] = 180072,
  [SMALL_STATE(5427)] = 180093,
  [SMALL_STATE(5428)] = 180114,
  [SMALL_STATE(5429)] = 180135,
  [SMALL_STATE(5430)] = 180156,
  [SMALL_STATE(5431)] = 180177,
  [SMALL_STATE(5432)] = 180194,
  [SMALL_STATE(5433)] = 180211,
  [SMALL_STATE(5434)] = 180232,
  [SMALL_STATE(5435)] = 180253,
  [SMALL_STATE(5436)] = 180276,
  [SMALL_STATE(5437)] = 180297,
  [SMALL_STATE(5438)] = 180322,
  [SMALL_STATE(5439)] = 180343,
  [SMALL_STATE(5440)] = 180364,
  [SMALL_STATE(5441)] = 180389,
  [SMALL_STATE(5442)] = 180410,
  [SMALL_STATE(5443)] = 180431,
  [SMALL_STATE(5444)] = 180452,
  [SMALL_STATE(5445)] = 180477,
  [SMALL_STATE(5446)] = 180502,
  [SMALL_STATE(5447)] = 180527,
  [SMALL_STATE(5448)] = 180552,
  [SMALL_STATE(5449)] = 180577,
  [SMALL_STATE(5450)] = 180602,
  [SMALL_STATE(5451)] = 180627,
  [SMALL_STATE(5452)] = 180650,
  [SMALL_STATE(5453)] = 180675,
  [SMALL_STATE(5454)] = 180700,
  [SMALL_STATE(5455)] = 180717,
  [SMALL_STATE(5456)] = 180742,
  [SMALL_STATE(5457)] = 180759,
  [SMALL_STATE(5458)] = 180780,
  [SMALL_STATE(5459)] = 180801,
  [SMALL_STATE(5460)] = 180818,
  [SMALL_STATE(5461)] = 180835,
  [SMALL_STATE(5462)] = 180858,
  [SMALL_STATE(5463)] = 180883,
  [SMALL_STATE(5464)] = 180908,
  [SMALL_STATE(5465)] = 180933,
  [SMALL_STATE(5466)] = 180950,
  [SMALL_STATE(5467)] = 180971,
  [SMALL_STATE(5468)] = 180992,
  [SMALL_STATE(5469)] = 181009,
  [SMALL_STATE(5470)] = 181030,
  [SMALL_STATE(5471)] = 181053,
  [SMALL_STATE(5472)] = 181074,
  [SMALL_STATE(5473)] = 181099,
  [SMALL_STATE(5474)] = 181122,
  [SMALL_STATE(5475)] = 181147,
  [SMALL_STATE(5476)] = 181172,
  [SMALL_STATE(5477)] = 181197,
  [SMALL_STATE(5478)] = 181218,
  [SMALL_STATE(5479)] = 181241,
  [SMALL_STATE(5480)] = 181266,
  [SMALL_STATE(5481)] = 181287,
  [SMALL_STATE(5482)] = 181312,
  [SMALL_STATE(5483)] = 181333,
  [SMALL_STATE(5484)] = 181350,
  [SMALL_STATE(5485)] = 181375,
  [SMALL_STATE(5486)] = 181396,
  [SMALL_STATE(5487)] = 181417,
  [SMALL_STATE(5488)] = 181438,
  [SMALL_STATE(5489)] = 181463,
  [SMALL_STATE(5490)] = 181480,
  [SMALL_STATE(5491)] = 181497,
  [SMALL_STATE(5492)] = 181514,
  [SMALL_STATE(5493)] = 181531,
  [SMALL_STATE(5494)] = 181548,
  [SMALL_STATE(5495)] = 181565,
  [SMALL_STATE(5496)] = 181582,
  [SMALL_STATE(5497)] = 181607,
  [SMALL_STATE(5498)] = 181632,
  [SMALL_STATE(5499)] = 181657,
  [SMALL_STATE(5500)] = 181674,
  [SMALL_STATE(5501)] = 181695,
  [SMALL_STATE(5502)] = 181720,
  [SMALL_STATE(5503)] = 181745,
  [SMALL_STATE(5504)] = 181770,
  [SMALL_STATE(5505)] = 181791,
  [SMALL_STATE(5506)] = 181808,
  [SMALL_STATE(5507)] = 181825,
  [SMALL_STATE(5508)] = 181842,
  [SMALL_STATE(5509)] = 181859,
  [SMALL_STATE(5510)] = 181876,
  [SMALL_STATE(5511)] = 181897,
  [SMALL_STATE(5512)] = 181914,
  [SMALL_STATE(5513)] = 181935,
  [SMALL_STATE(5514)] = 181956,
  [SMALL_STATE(5515)] = 181973,
  [SMALL_STATE(5516)] = 181998,
  [SMALL_STATE(5517)] = 182023,
  [SMALL_STATE(5518)] = 182040,
  [SMALL_STATE(5519)] = 182057,
  [SMALL_STATE(5520)] = 182074,
  [SMALL_STATE(5521)] = 182091,
  [SMALL_STATE(5522)] = 182108,
  [SMALL_STATE(5523)] = 182133,
  [SMALL_STATE(5524)] = 182150,
  [SMALL_STATE(5525)] = 182167,
  [SMALL_STATE(5526)] = 182184,
  [SMALL_STATE(5527)] = 182207,
  [SMALL_STATE(5528)] = 182224,
  [SMALL_STATE(5529)] = 182241,
  [SMALL_STATE(5530)] = 182264,
  [SMALL_STATE(5531)] = 182281,
  [SMALL_STATE(5532)] = 182302,
  [SMALL_STATE(5533)] = 182319,
  [SMALL_STATE(5534)] = 182336,
  [SMALL_STATE(5535)] = 182361,
  [SMALL_STATE(5536)] = 182382,
  [SMALL_STATE(5537)] = 182399,
  [SMALL_STATE(5538)] = 182424,
  [SMALL_STATE(5539)] = 182441,
  [SMALL_STATE(5540)] = 182462,
  [SMALL_STATE(5541)] = 182479,
  [SMALL_STATE(5542)] = 182504,
  [SMALL_STATE(5543)] = 182529,
  [SMALL_STATE(5544)] = 182546,
  [SMALL_STATE(5545)] = 182563,
  [SMALL_STATE(5546)] = 182588,
  [SMALL_STATE(5547)] = 182609,
  [SMALL_STATE(5548)] = 182626,
  [SMALL_STATE(5549)] = 182647,
  [SMALL_STATE(5550)] = 182668,
  [SMALL_STATE(5551)] = 182685,
  [SMALL_STATE(5552)] = 182706,
  [SMALL_STATE(5553)] = 182731,
  [SMALL_STATE(5554)] = 182748,
  [SMALL_STATE(5555)] = 182765,
  [SMALL_STATE(5556)] = 182787,
  [SMALL_STATE(5557)] = 182807,
  [SMALL_STATE(5558)] = 182829,
  [SMALL_STATE(5559)] = 182845,
  [SMALL_STATE(5560)] = 182867,
  [SMALL_STATE(5561)] = 182889,
  [SMALL_STATE(5562)] = 182909,
  [SMALL_STATE(5563)] = 182929,
  [SMALL_STATE(5564)] = 182949,
  [SMALL_STATE(5565)] = 182971,
  [SMALL_STATE(5566)] = 182991,
  [SMALL_STATE(5567)] = 183011,
  [SMALL_STATE(5568)] = 183033,
  [SMALL_STATE(5569)] = 183053,
  [SMALL_STATE(5570)] = 183073,
  [SMALL_STATE(5571)] = 183095,
  [SMALL_STATE(5572)] = 183117,
  [SMALL_STATE(5573)] = 183139,
  [SMALL_STATE(5574)] = 183161,
  [SMALL_STATE(5575)] = 183183,
  [SMALL_STATE(5576)] = 183205,
  [SMALL_STATE(5577)] = 183225,
  [SMALL_STATE(5578)] = 183245,
  [SMALL_STATE(5579)] = 183265,
  [SMALL_STATE(5580)] = 183285,
  [SMALL_STATE(5581)] = 183305,
  [SMALL_STATE(5582)] = 183327,
  [SMALL_STATE(5583)] = 183347,
  [SMALL_STATE(5584)] = 183369,
  [SMALL_STATE(5585)] = 183389,
  [SMALL_STATE(5586)] = 183411,
  [SMALL_STATE(5587)] = 183433,
  [SMALL_STATE(5588)] = 183453,
  [SMALL_STATE(5589)] = 183469,
  [SMALL_STATE(5590)] = 183489,
  [SMALL_STATE(5591)] = 183511,
  [SMALL_STATE(5592)] = 183529,
  [SMALL_STATE(5593)] = 183551,
  [SMALL_STATE(5594)] = 183573,
  [SMALL_STATE(5595)] = 183595,
  [SMALL_STATE(5596)] = 183615,
  [SMALL_STATE(5597)] = 183633,
  [SMALL_STATE(5598)] = 183655,
  [SMALL_STATE(5599)] = 183675,
  [SMALL_STATE(5600)] = 183695,
  [SMALL_STATE(5601)] = 183717,
  [SMALL_STATE(5602)] = 183737,
  [SMALL_STATE(5603)] = 183757,
  [SMALL_STATE(5604)] = 183773,
  [SMALL_STATE(5605)] = 183795,
  [SMALL_STATE(5606)] = 183817,
  [SMALL_STATE(5607)] = 183835,
  [SMALL_STATE(5608)] = 183853,
  [SMALL_STATE(5609)] = 183875,
  [SMALL_STATE(5610)] = 183897,
  [SMALL_STATE(5611)] = 183917,
  [SMALL_STATE(5612)] = 183937,
  [SMALL_STATE(5613)] = 183959,
  [SMALL_STATE(5614)] = 183981,
  [SMALL_STATE(5615)] = 184003,
  [SMALL_STATE(5616)] = 184023,
  [SMALL_STATE(5617)] = 184043,
  [SMALL_STATE(5618)] = 184063,
  [SMALL_STATE(5619)] = 184083,
  [SMALL_STATE(5620)] = 184103,
  [SMALL_STATE(5621)] = 184123,
  [SMALL_STATE(5622)] = 184143,
  [SMALL_STATE(5623)] = 184165,
  [SMALL_STATE(5624)] = 184185,
  [SMALL_STATE(5625)] = 184205,
  [SMALL_STATE(5626)] = 184225,
  [SMALL_STATE(5627)] = 184247,
  [SMALL_STATE(5628)] = 184267,
  [SMALL_STATE(5629)] = 184287,
  [SMALL_STATE(5630)] = 184307,
  [SMALL_STATE(5631)] = 184329,
  [SMALL_STATE(5632)] = 184351,
  [SMALL_STATE(5633)] = 184373,
  [SMALL_STATE(5634)] = 184393,
  [SMALL_STATE(5635)] = 184415,
  [SMALL_STATE(5636)] = 184435,
  [SMALL_STATE(5637)] = 184455,
  [SMALL_STATE(5638)] = 184475,
  [SMALL_STATE(5639)] = 184495,
  [SMALL_STATE(5640)] = 184517,
  [SMALL_STATE(5641)] = 184537,
  [SMALL_STATE(5642)] = 184557,
  [SMALL_STATE(5643)] = 184579,
  [SMALL_STATE(5644)] = 184599,
  [SMALL_STATE(5645)] = 184621,
  [SMALL_STATE(5646)] = 184641,
  [SMALL_STATE(5647)] = 184663,
  [SMALL_STATE(5648)] = 184685,
  [SMALL_STATE(5649)] = 184707,
  [SMALL_STATE(5650)] = 184727,
  [SMALL_STATE(5651)] = 184747,
  [SMALL_STATE(5652)] = 184769,
  [SMALL_STATE(5653)] = 184789,
  [SMALL_STATE(5654)] = 184809,
  [SMALL_STATE(5655)] = 184827,
  [SMALL_STATE(5656)] = 184849,
  [SMALL_STATE(5657)] = 184871,
  [SMALL_STATE(5658)] = 184893,
  [SMALL_STATE(5659)] = 184913,
  [SMALL_STATE(5660)] = 184933,
  [SMALL_STATE(5661)] = 184953,
  [SMALL_STATE(5662)] = 184973,
  [SMALL_STATE(5663)] = 184991,
  [SMALL_STATE(5664)] = 185011,
  [SMALL_STATE(5665)] = 185031,
  [SMALL_STATE(5666)] = 185053,
  [SMALL_STATE(5667)] = 185075,
  [SMALL_STATE(5668)] = 185097,
  [SMALL_STATE(5669)] = 185119,
  [SMALL_STATE(5670)] = 185141,
  [SMALL_STATE(5671)] = 185161,
  [SMALL_STATE(5672)] = 185183,
  [SMALL_STATE(5673)] = 185203,
  [SMALL_STATE(5674)] = 185223,
  [SMALL_STATE(5675)] = 185245,
  [SMALL_STATE(5676)] = 185267,
  [SMALL_STATE(5677)] = 185287,
  [SMALL_STATE(5678)] = 185307,
  [SMALL_STATE(5679)] = 185327,
  [SMALL_STATE(5680)] = 185347,
  [SMALL_STATE(5681)] = 185367,
  [SMALL_STATE(5682)] = 185383,
  [SMALL_STATE(5683)] = 185403,
  [SMALL_STATE(5684)] = 185423,
  [SMALL_STATE(5685)] = 185445,
  [SMALL_STATE(5686)] = 185467,
  [SMALL_STATE(5687)] = 185487,
  [SMALL_STATE(5688)] = 185507,
  [SMALL_STATE(5689)] = 185529,
  [SMALL_STATE(5690)] = 185545,
  [SMALL_STATE(5691)] = 185567,
  [SMALL_STATE(5692)] = 185587,
  [SMALL_STATE(5693)] = 185609,
  [SMALL_STATE(5694)] = 185629,
  [SMALL_STATE(5695)] = 185651,
  [SMALL_STATE(5696)] = 185673,
  [SMALL_STATE(5697)] = 185689,
  [SMALL_STATE(5698)] = 185711,
  [SMALL_STATE(5699)] = 185731,
  [SMALL_STATE(5700)] = 185753,
  [SMALL_STATE(5701)] = 185769,
  [SMALL_STATE(5702)] = 185789,
  [SMALL_STATE(5703)] = 185811,
  [SMALL_STATE(5704)] = 185829,
  [SMALL_STATE(5705)] = 185849,
  [SMALL_STATE(5706)] = 185869,
  [SMALL_STATE(5707)] = 185887,
  [SMALL_STATE(5708)] = 185907,
  [SMALL_STATE(5709)] = 185927,
  [SMALL_STATE(5710)] = 185943,
  [SMALL_STATE(5711)] = 185963,
  [SMALL_STATE(5712)] = 185985,
  [SMALL_STATE(5713)] = 186007,
  [SMALL_STATE(5714)] = 186023,
  [SMALL_STATE(5715)] = 186045,
  [SMALL_STATE(5716)] = 186063,
  [SMALL_STATE(5717)] = 186085,
  [SMALL_STATE(5718)] = 186105,
  [SMALL_STATE(5719)] = 186125,
  [SMALL_STATE(5720)] = 186145,
  [SMALL_STATE(5721)] = 186163,
  [SMALL_STATE(5722)] = 186183,
  [SMALL_STATE(5723)] = 186203,
  [SMALL_STATE(5724)] = 186221,
  [SMALL_STATE(5725)] = 186243,
  [SMALL_STATE(5726)] = 186263,
  [SMALL_STATE(5727)] = 186283,
  [SMALL_STATE(5728)] = 186303,
  [SMALL_STATE(5729)] = 186323,
  [SMALL_STATE(5730)] = 186343,
  [SMALL_STATE(5731)] = 186363,
  [SMALL_STATE(5732)] = 186385,
  [SMALL_STATE(5733)] = 186407,
  [SMALL_STATE(5734)] = 186429,
  [SMALL_STATE(5735)] = 186449,
  [SMALL_STATE(5736)] = 186469,
  [SMALL_STATE(5737)] = 186489,
  [SMALL_STATE(5738)] = 186509,
  [SMALL_STATE(5739)] = 186529,
  [SMALL_STATE(5740)] = 186549,
  [SMALL_STATE(5741)] = 186569,
  [SMALL_STATE(5742)] = 186589,
  [SMALL_STATE(5743)] = 186611,
  [SMALL_STATE(5744)] = 186631,
  [SMALL_STATE(5745)] = 186651,
  [SMALL_STATE(5746)] = 186671,
  [SMALL_STATE(5747)] = 186691,
  [SMALL_STATE(5748)] = 186713,
  [SMALL_STATE(5749)] = 186735,
  [SMALL_STATE(5750)] = 186757,
  [SMALL_STATE(5751)] = 186779,
  [SMALL_STATE(5752)] = 186799,
  [SMALL_STATE(5753)] = 186819,
  [SMALL_STATE(5754)] = 186839,
  [SMALL_STATE(5755)] = 186859,
  [SMALL_STATE(5756)] = 186879,
  [SMALL_STATE(5757)] = 186899,
  [SMALL_STATE(5758)] = 186919,
  [SMALL_STATE(5759)] = 186939,
  [SMALL_STATE(5760)] = 186959,
  [SMALL_STATE(5761)] = 186979,
  [SMALL_STATE(5762)] = 186999,
  [SMALL_STATE(5763)] = 187019,
  [SMALL_STATE(5764)] = 187039,
  [SMALL_STATE(5765)] = 187061,
  [SMALL_STATE(5766)] = 187081,
  [SMALL_STATE(5767)] = 187101,
  [SMALL_STATE(5768)] = 187123,
  [SMALL_STATE(5769)] = 187143,
  [SMALL_STATE(5770)] = 187163,
  [SMALL_STATE(5771)] = 187183,
  [SMALL_STATE(5772)] = 187203,
  [SMALL_STATE(5773)] = 187225,
  [SMALL_STATE(5774)] = 187245,
  [SMALL_STATE(5775)] = 187267,
  [SMALL_STATE(5776)] = 187287,
  [SMALL_STATE(5777)] = 187309,
  [SMALL_STATE(5778)] = 187329,
  [SMALL_STATE(5779)] = 187349,
  [SMALL_STATE(5780)] = 187371,
  [SMALL_STATE(5781)] = 187391,
  [SMALL_STATE(5782)] = 187411,
  [SMALL_STATE(5783)] = 187431,
  [SMALL_STATE(5784)] = 187451,
  [SMALL_STATE(5785)] = 187471,
  [SMALL_STATE(5786)] = 187491,
  [SMALL_STATE(5787)] = 187511,
  [SMALL_STATE(5788)] = 187533,
  [SMALL_STATE(5789)] = 187552,
  [SMALL_STATE(5790)] = 187571,
  [SMALL_STATE(5791)] = 187586,
  [SMALL_STATE(5792)] = 187601,
  [SMALL_STATE(5793)] = 187616,
  [SMALL_STATE(5794)] = 187633,
  [SMALL_STATE(5795)] = 187652,
  [SMALL_STATE(5796)] = 187669,
  [SMALL_STATE(5797)] = 187684,
  [SMALL_STATE(5798)] = 187699,
  [SMALL_STATE(5799)] = 187714,
  [SMALL_STATE(5800)] = 187729,
  [SMALL_STATE(5801)] = 187744,
  [SMALL_STATE(5802)] = 187761,
  [SMALL_STATE(5803)] = 187778,
  [SMALL_STATE(5804)] = 187793,
  [SMALL_STATE(5805)] = 187812,
  [SMALL_STATE(5806)] = 187827,
  [SMALL_STATE(5807)] = 187844,
  [SMALL_STATE(5808)] = 187859,
  [SMALL_STATE(5809)] = 187874,
  [SMALL_STATE(5810)] = 187889,
  [SMALL_STATE(5811)] = 187906,
  [SMALL_STATE(5812)] = 187925,
  [SMALL_STATE(5813)] = 187940,
  [SMALL_STATE(5814)] = 187955,
  [SMALL_STATE(5815)] = 187974,
  [SMALL_STATE(5816)] = 187993,
  [SMALL_STATE(5817)] = 188008,
  [SMALL_STATE(5818)] = 188023,
  [SMALL_STATE(5819)] = 188038,
  [SMALL_STATE(5820)] = 188057,
  [SMALL_STATE(5821)] = 188072,
  [SMALL_STATE(5822)] = 188091,
  [SMALL_STATE(5823)] = 188110,
  [SMALL_STATE(5824)] = 188127,
  [SMALL_STATE(5825)] = 188146,
  [SMALL_STATE(5826)] = 188165,
  [SMALL_STATE(5827)] = 188180,
  [SMALL_STATE(5828)] = 188195,
  [SMALL_STATE(5829)] = 188210,
  [SMALL_STATE(5830)] = 188225,
  [SMALL_STATE(5831)] = 188244,
  [SMALL_STATE(5832)] = 188259,
  [SMALL_STATE(5833)] = 188276,
  [SMALL_STATE(5834)] = 188291,
  [SMALL_STATE(5835)] = 188308,
  [SMALL_STATE(5836)] = 188327,
  [SMALL_STATE(5837)] = 188342,
  [SMALL_STATE(5838)] = 188357,
  [SMALL_STATE(5839)] = 188372,
  [SMALL_STATE(5840)] = 188387,
  [SMALL_STATE(5841)] = 188402,
  [SMALL_STATE(5842)] = 188421,
  [SMALL_STATE(5843)] = 188440,
  [SMALL_STATE(5844)] = 188455,
  [SMALL_STATE(5845)] = 188470,
  [SMALL_STATE(5846)] = 188485,
  [SMALL_STATE(5847)] = 188504,
  [SMALL_STATE(5848)] = 188519,
  [SMALL_STATE(5849)] = 188534,
  [SMALL_STATE(5850)] = 188549,
  [SMALL_STATE(5851)] = 188568,
  [SMALL_STATE(5852)] = 188587,
  [SMALL_STATE(5853)] = 188606,
  [SMALL_STATE(5854)] = 188621,
  [SMALL_STATE(5855)] = 188636,
  [SMALL_STATE(5856)] = 188651,
  [SMALL_STATE(5857)] = 188666,
  [SMALL_STATE(5858)] = 188685,
  [SMALL_STATE(5859)] = 188700,
  [SMALL_STATE(5860)] = 188715,
  [SMALL_STATE(5861)] = 188734,
  [SMALL_STATE(5862)] = 188749,
  [SMALL_STATE(5863)] = 188764,
  [SMALL_STATE(5864)] = 188783,
  [SMALL_STATE(5865)] = 188798,
  [SMALL_STATE(5866)] = 188813,
  [SMALL_STATE(5867)] = 188832,
  [SMALL_STATE(5868)] = 188847,
  [SMALL_STATE(5869)] = 188866,
  [SMALL_STATE(5870)] = 188885,
  [SMALL_STATE(5871)] = 188900,
  [SMALL_STATE(5872)] = 188915,
  [SMALL_STATE(5873)] = 188934,
  [SMALL_STATE(5874)] = 188953,
  [SMALL_STATE(5875)] = 188968,
  [SMALL_STATE(5876)] = 188983,
  [SMALL_STATE(5877)] = 188998,
  [SMALL_STATE(5878)] = 189013,
  [SMALL_STATE(5879)] = 189030,
  [SMALL_STATE(5880)] = 189047,
  [SMALL_STATE(5881)] = 189062,
  [SMALL_STATE(5882)] = 189077,
  [SMALL_STATE(5883)] = 189092,
  [SMALL_STATE(5884)] = 189107,
  [SMALL_STATE(5885)] = 189122,
  [SMALL_STATE(5886)] = 189141,
  [SMALL_STATE(5887)] = 189156,
  [SMALL_STATE(5888)] = 189171,
  [SMALL_STATE(5889)] = 189186,
  [SMALL_STATE(5890)] = 189205,
  [SMALL_STATE(5891)] = 189220,
  [SMALL_STATE(5892)] = 189235,
  [SMALL_STATE(5893)] = 189252,
  [SMALL_STATE(5894)] = 189271,
  [SMALL_STATE(5895)] = 189288,
  [SMALL_STATE(5896)] = 189303,
  [SMALL_STATE(5897)] = 189318,
  [SMALL_STATE(5898)] = 189333,
  [SMALL_STATE(5899)] = 189348,
  [SMALL_STATE(5900)] = 189367,
  [SMALL_STATE(5901)] = 189382,
  [SMALL_STATE(5902)] = 189397,
  [SMALL_STATE(5903)] = 189412,
  [SMALL_STATE(5904)] = 189431,
  [SMALL_STATE(5905)] = 189450,
  [SMALL_STATE(5906)] = 189469,
  [SMALL_STATE(5907)] = 189488,
  [SMALL_STATE(5908)] = 189503,
  [SMALL_STATE(5909)] = 189522,
  [SMALL_STATE(5910)] = 189537,
  [SMALL_STATE(5911)] = 189556,
  [SMALL_STATE(5912)] = 189575,
  [SMALL_STATE(5913)] = 189592,
  [SMALL_STATE(5914)] = 189611,
  [SMALL_STATE(5915)] = 189626,
  [SMALL_STATE(5916)] = 189645,
  [SMALL_STATE(5917)] = 189660,
  [SMALL_STATE(5918)] = 189677,
  [SMALL_STATE(5919)] = 189692,
  [SMALL_STATE(5920)] = 189707,
  [SMALL_STATE(5921)] = 189724,
  [SMALL_STATE(5922)] = 189739,
  [SMALL_STATE(5923)] = 189754,
  [SMALL_STATE(5924)] = 189773,
  [SMALL_STATE(5925)] = 189788,
  [SMALL_STATE(5926)] = 189805,
  [SMALL_STATE(5927)] = 189822,
  [SMALL_STATE(5928)] = 189837,
  [SMALL_STATE(5929)] = 189852,
  [SMALL_STATE(5930)] = 189869,
  [SMALL_STATE(5931)] = 189884,
  [SMALL_STATE(5932)] = 189903,
  [SMALL_STATE(5933)] = 189918,
  [SMALL_STATE(5934)] = 189937,
  [SMALL_STATE(5935)] = 189952,
  [SMALL_STATE(5936)] = 189971,
  [SMALL_STATE(5937)] = 189990,
  [SMALL_STATE(5938)] = 190005,
  [SMALL_STATE(5939)] = 190024,
  [SMALL_STATE(5940)] = 190043,
  [SMALL_STATE(5941)] = 190062,
  [SMALL_STATE(5942)] = 190079,
  [SMALL_STATE(5943)] = 190098,
  [SMALL_STATE(5944)] = 190113,
  [SMALL_STATE(5945)] = 190132,
  [SMALL_STATE(5946)] = 190151,
  [SMALL_STATE(5947)] = 190168,
  [SMALL_STATE(5948)] = 190183,
  [SMALL_STATE(5949)] = 190198,
  [SMALL_STATE(5950)] = 190217,
  [SMALL_STATE(5951)] = 190232,
  [SMALL_STATE(5952)] = 190251,
  [SMALL_STATE(5953)] = 190266,
  [SMALL_STATE(5954)] = 190285,
  [SMALL_STATE(5955)] = 190300,
  [SMALL_STATE(5956)] = 190315,
  [SMALL_STATE(5957)] = 190334,
  [SMALL_STATE(5958)] = 190351,
  [SMALL_STATE(5959)] = 190366,
  [SMALL_STATE(5960)] = 190381,
  [SMALL_STATE(5961)] = 190396,
  [SMALL_STATE(5962)] = 190415,
  [SMALL_STATE(5963)] = 190434,
  [SMALL_STATE(5964)] = 190449,
  [SMALL_STATE(5965)] = 190464,
  [SMALL_STATE(5966)] = 190481,
  [SMALL_STATE(5967)] = 190498,
  [SMALL_STATE(5968)] = 190515,
  [SMALL_STATE(5969)] = 190532,
  [SMALL_STATE(5970)] = 190551,
  [SMALL_STATE(5971)] = 190570,
  [SMALL_STATE(5972)] = 190589,
  [SMALL_STATE(5973)] = 190608,
  [SMALL_STATE(5974)] = 190623,
  [SMALL_STATE(5975)] = 190640,
  [SMALL_STATE(5976)] = 190657,
  [SMALL_STATE(5977)] = 190676,
  [SMALL_STATE(5978)] = 190691,
  [SMALL_STATE(5979)] = 190706,
  [SMALL_STATE(5980)] = 190725,
  [SMALL_STATE(5981)] = 190742,
  [SMALL_STATE(5982)] = 190757,
  [SMALL_STATE(5983)] = 190772,
  [SMALL_STATE(5984)] = 190787,
  [SMALL_STATE(5985)] = 190802,
  [SMALL_STATE(5986)] = 190817,
  [SMALL_STATE(5987)] = 190836,
  [SMALL_STATE(5988)] = 190851,
  [SMALL_STATE(5989)] = 190866,
  [SMALL_STATE(5990)] = 190885,
  [SMALL_STATE(5991)] = 190904,
  [SMALL_STATE(5992)] = 190919,
  [SMALL_STATE(5993)] = 190934,
  [SMALL_STATE(5994)] = 190949,
  [SMALL_STATE(5995)] = 190964,
  [SMALL_STATE(5996)] = 190979,
  [SMALL_STATE(5997)] = 190998,
  [SMALL_STATE(5998)] = 191013,
  [SMALL_STATE(5999)] = 191032,
  [SMALL_STATE(6000)] = 191047,
  [SMALL_STATE(6001)] = 191062,
  [SMALL_STATE(6002)] = 191077,
  [SMALL_STATE(6003)] = 191096,
  [SMALL_STATE(6004)] = 191111,
  [SMALL_STATE(6005)] = 191126,
  [SMALL_STATE(6006)] = 191141,
  [SMALL_STATE(6007)] = 191160,
  [SMALL_STATE(6008)] = 191175,
  [SMALL_STATE(6009)] = 191190,
  [SMALL_STATE(6010)] = 191205,
  [SMALL_STATE(6011)] = 191220,
  [SMALL_STATE(6012)] = 191239,
  [SMALL_STATE(6013)] = 191254,
  [SMALL_STATE(6014)] = 191269,
  [SMALL_STATE(6015)] = 191284,
  [SMALL_STATE(6016)] = 191299,
  [SMALL_STATE(6017)] = 191318,
  [SMALL_STATE(6018)] = 191337,
  [SMALL_STATE(6019)] = 191356,
  [SMALL_STATE(6020)] = 191375,
  [SMALL_STATE(6021)] = 191394,
  [SMALL_STATE(6022)] = 191413,
  [SMALL_STATE(6023)] = 191430,
  [SMALL_STATE(6024)] = 191449,
  [SMALL_STATE(6025)] = 191468,
  [SMALL_STATE(6026)] = 191485,
  [SMALL_STATE(6027)] = 191504,
  [SMALL_STATE(6028)] = 191519,
  [SMALL_STATE(6029)] = 191534,
  [SMALL_STATE(6030)] = 191553,
  [SMALL_STATE(6031)] = 191568,
  [SMALL_STATE(6032)] = 191585,
  [SMALL_STATE(6033)] = 191600,
  [SMALL_STATE(6034)] = 191619,
  [SMALL_STATE(6035)] = 191634,
  [SMALL_STATE(6036)] = 191649,
  [SMALL_STATE(6037)] = 191666,
  [SMALL_STATE(6038)] = 191681,
  [SMALL_STATE(6039)] = 191696,
  [SMALL_STATE(6040)] = 191715,
  [SMALL_STATE(6041)] = 191730,
  [SMALL_STATE(6042)] = 191745,
  [SMALL_STATE(6043)] = 191760,
  [SMALL_STATE(6044)] = 191775,
  [SMALL_STATE(6045)] = 191794,
  [SMALL_STATE(6046)] = 191809,
  [SMALL_STATE(6047)] = 191828,
  [SMALL_STATE(6048)] = 191843,
  [SMALL_STATE(6049)] = 191858,
  [SMALL_STATE(6050)] = 191873,
  [SMALL_STATE(6051)] = 191888,
  [SMALL_STATE(6052)] = 191903,
  [SMALL_STATE(6053)] = 191918,
  [SMALL_STATE(6054)] = 191933,
  [SMALL_STATE(6055)] = 191948,
  [SMALL_STATE(6056)] = 191963,
  [SMALL_STATE(6057)] = 191978,
  [SMALL_STATE(6058)] = 191993,
  [SMALL_STATE(6059)] = 192008,
  [SMALL_STATE(6060)] = 192023,
  [SMALL_STATE(6061)] = 192038,
  [SMALL_STATE(6062)] = 192053,
  [SMALL_STATE(6063)] = 192068,
  [SMALL_STATE(6064)] = 192083,
  [SMALL_STATE(6065)] = 192098,
  [SMALL_STATE(6066)] = 192113,
  [SMALL_STATE(6067)] = 192128,
  [SMALL_STATE(6068)] = 192143,
  [SMALL_STATE(6069)] = 192158,
  [SMALL_STATE(6070)] = 192173,
  [SMALL_STATE(6071)] = 192188,
  [SMALL_STATE(6072)] = 192203,
  [SMALL_STATE(6073)] = 192218,
  [SMALL_STATE(6074)] = 192233,
  [SMALL_STATE(6075)] = 192248,
  [SMALL_STATE(6076)] = 192263,
  [SMALL_STATE(6077)] = 192278,
  [SMALL_STATE(6078)] = 192297,
  [SMALL_STATE(6079)] = 192312,
  [SMALL_STATE(6080)] = 192327,
  [SMALL_STATE(6081)] = 192342,
  [SMALL_STATE(6082)] = 192361,
  [SMALL_STATE(6083)] = 192378,
  [SMALL_STATE(6084)] = 192393,
  [SMALL_STATE(6085)] = 192412,
  [SMALL_STATE(6086)] = 192431,
  [SMALL_STATE(6087)] = 192446,
  [SMALL_STATE(6088)] = 192461,
  [SMALL_STATE(6089)] = 192480,
  [SMALL_STATE(6090)] = 192497,
  [SMALL_STATE(6091)] = 192512,
  [SMALL_STATE(6092)] = 192531,
  [SMALL_STATE(6093)] = 192546,
  [SMALL_STATE(6094)] = 192565,
  [SMALL_STATE(6095)] = 192580,
  [SMALL_STATE(6096)] = 192595,
  [SMALL_STATE(6097)] = 192610,
  [SMALL_STATE(6098)] = 192625,
  [SMALL_STATE(6099)] = 192640,
  [SMALL_STATE(6100)] = 192659,
  [SMALL_STATE(6101)] = 192674,
  [SMALL_STATE(6102)] = 192691,
  [SMALL_STATE(6103)] = 192710,
  [SMALL_STATE(6104)] = 192725,
  [SMALL_STATE(6105)] = 192740,
  [SMALL_STATE(6106)] = 192755,
  [SMALL_STATE(6107)] = 192770,
  [SMALL_STATE(6108)] = 192787,
  [SMALL_STATE(6109)] = 192802,
  [SMALL_STATE(6110)] = 192821,
  [SMALL_STATE(6111)] = 192838,
  [SMALL_STATE(6112)] = 192853,
  [SMALL_STATE(6113)] = 192868,
  [SMALL_STATE(6114)] = 192883,
  [SMALL_STATE(6115)] = 192900,
  [SMALL_STATE(6116)] = 192915,
  [SMALL_STATE(6117)] = 192930,
  [SMALL_STATE(6118)] = 192945,
  [SMALL_STATE(6119)] = 192964,
  [SMALL_STATE(6120)] = 192983,
  [SMALL_STATE(6121)] = 192998,
  [SMALL_STATE(6122)] = 193013,
  [SMALL_STATE(6123)] = 193028,
  [SMALL_STATE(6124)] = 193043,
  [SMALL_STATE(6125)] = 193058,
  [SMALL_STATE(6126)] = 193077,
  [SMALL_STATE(6127)] = 193092,
  [SMALL_STATE(6128)] = 193111,
  [SMALL_STATE(6129)] = 193126,
  [SMALL_STATE(6130)] = 193141,
  [SMALL_STATE(6131)] = 193156,
  [SMALL_STATE(6132)] = 193171,
  [SMALL_STATE(6133)] = 193186,
  [SMALL_STATE(6134)] = 193201,
  [SMALL_STATE(6135)] = 193216,
  [SMALL_STATE(6136)] = 193231,
  [SMALL_STATE(6137)] = 193250,
  [SMALL_STATE(6138)] = 193265,
  [SMALL_STATE(6139)] = 193284,
  [SMALL_STATE(6140)] = 193303,
  [SMALL_STATE(6141)] = 193322,
  [SMALL_STATE(6142)] = 193341,
  [SMALL_STATE(6143)] = 193356,
  [SMALL_STATE(6144)] = 193375,
  [SMALL_STATE(6145)] = 193394,
  [SMALL_STATE(6146)] = 193409,
  [SMALL_STATE(6147)] = 193424,
  [SMALL_STATE(6148)] = 193443,
  [SMALL_STATE(6149)] = 193462,
  [SMALL_STATE(6150)] = 193481,
  [SMALL_STATE(6151)] = 193500,
  [SMALL_STATE(6152)] = 193519,
  [SMALL_STATE(6153)] = 193536,
  [SMALL_STATE(6154)] = 193555,
  [SMALL_STATE(6155)] = 193574,
  [SMALL_STATE(6156)] = 193589,
  [SMALL_STATE(6157)] = 193604,
  [SMALL_STATE(6158)] = 193619,
  [SMALL_STATE(6159)] = 193634,
  [SMALL_STATE(6160)] = 193653,
  [SMALL_STATE(6161)] = 193672,
  [SMALL_STATE(6162)] = 193687,
  [SMALL_STATE(6163)] = 193702,
  [SMALL_STATE(6164)] = 193717,
  [SMALL_STATE(6165)] = 193732,
  [SMALL_STATE(6166)] = 193751,
  [SMALL_STATE(6167)] = 193770,
  [SMALL_STATE(6168)] = 193789,
  [SMALL_STATE(6169)] = 193808,
  [SMALL_STATE(6170)] = 193825,
  [SMALL_STATE(6171)] = 193842,
  [SMALL_STATE(6172)] = 193861,
  [SMALL_STATE(6173)] = 193878,
  [SMALL_STATE(6174)] = 193893,
  [SMALL_STATE(6175)] = 193908,
  [SMALL_STATE(6176)] = 193927,
  [SMALL_STATE(6177)] = 193942,
  [SMALL_STATE(6178)] = 193957,
  [SMALL_STATE(6179)] = 193972,
  [SMALL_STATE(6180)] = 193991,
  [SMALL_STATE(6181)] = 194006,
  [SMALL_STATE(6182)] = 194021,
  [SMALL_STATE(6183)] = 194040,
  [SMALL_STATE(6184)] = 194059,
  [SMALL_STATE(6185)] = 194078,
  [SMALL_STATE(6186)] = 194093,
  [SMALL_STATE(6187)] = 194108,
  [SMALL_STATE(6188)] = 194125,
  [SMALL_STATE(6189)] = 194140,
  [SMALL_STATE(6190)] = 194157,
  [SMALL_STATE(6191)] = 194172,
  [SMALL_STATE(6192)] = 194187,
  [SMALL_STATE(6193)] = 194202,
  [SMALL_STATE(6194)] = 194221,
  [SMALL_STATE(6195)] = 194236,
  [SMALL_STATE(6196)] = 194255,
  [SMALL_STATE(6197)] = 194274,
  [SMALL_STATE(6198)] = 194289,
  [SMALL_STATE(6199)] = 194308,
  [SMALL_STATE(6200)] = 194323,
  [SMALL_STATE(6201)] = 194342,
  [SMALL_STATE(6202)] = 194357,
  [SMALL_STATE(6203)] = 194376,
  [SMALL_STATE(6204)] = 194391,
  [SMALL_STATE(6205)] = 194406,
  [SMALL_STATE(6206)] = 194421,
  [SMALL_STATE(6207)] = 194436,
  [SMALL_STATE(6208)] = 194451,
  [SMALL_STATE(6209)] = 194466,
  [SMALL_STATE(6210)] = 194481,
  [SMALL_STATE(6211)] = 194496,
  [SMALL_STATE(6212)] = 194511,
  [SMALL_STATE(6213)] = 194526,
  [SMALL_STATE(6214)] = 194541,
  [SMALL_STATE(6215)] = 194556,
  [SMALL_STATE(6216)] = 194571,
  [SMALL_STATE(6217)] = 194586,
  [SMALL_STATE(6218)] = 194605,
  [SMALL_STATE(6219)] = 194620,
  [SMALL_STATE(6220)] = 194639,
  [SMALL_STATE(6221)] = 194654,
  [SMALL_STATE(6222)] = 194673,
  [SMALL_STATE(6223)] = 194688,
  [SMALL_STATE(6224)] = 194703,
  [SMALL_STATE(6225)] = 194722,
  [SMALL_STATE(6226)] = 194737,
  [SMALL_STATE(6227)] = 194756,
  [SMALL_STATE(6228)] = 194775,
  [SMALL_STATE(6229)] = 194790,
  [SMALL_STATE(6230)] = 194805,
  [SMALL_STATE(6231)] = 194820,
  [SMALL_STATE(6232)] = 194835,
  [SMALL_STATE(6233)] = 194850,
  [SMALL_STATE(6234)] = 194865,
  [SMALL_STATE(6235)] = 194884,
  [SMALL_STATE(6236)] = 194899,
  [SMALL_STATE(6237)] = 194918,
  [SMALL_STATE(6238)] = 194933,
  [SMALL_STATE(6239)] = 194948,
  [SMALL_STATE(6240)] = 194963,
  [SMALL_STATE(6241)] = 194980,
  [SMALL_STATE(6242)] = 194999,
  [SMALL_STATE(6243)] = 195014,
  [SMALL_STATE(6244)] = 195031,
  [SMALL_STATE(6245)] = 195046,
  [SMALL_STATE(6246)] = 195061,
  [SMALL_STATE(6247)] = 195076,
  [SMALL_STATE(6248)] = 195095,
  [SMALL_STATE(6249)] = 195110,
  [SMALL_STATE(6250)] = 195125,
  [SMALL_STATE(6251)] = 195140,
  [SMALL_STATE(6252)] = 195155,
  [SMALL_STATE(6253)] = 195170,
  [SMALL_STATE(6254)] = 195185,
  [SMALL_STATE(6255)] = 195200,
  [SMALL_STATE(6256)] = 195215,
  [SMALL_STATE(6257)] = 195230,
  [SMALL_STATE(6258)] = 195245,
  [SMALL_STATE(6259)] = 195260,
  [SMALL_STATE(6260)] = 195275,
  [SMALL_STATE(6261)] = 195294,
  [SMALL_STATE(6262)] = 195313,
  [SMALL_STATE(6263)] = 195332,
  [SMALL_STATE(6264)] = 195347,
  [SMALL_STATE(6265)] = 195362,
  [SMALL_STATE(6266)] = 195377,
  [SMALL_STATE(6267)] = 195392,
  [SMALL_STATE(6268)] = 195407,
  [SMALL_STATE(6269)] = 195422,
  [SMALL_STATE(6270)] = 195437,
  [SMALL_STATE(6271)] = 195452,
  [SMALL_STATE(6272)] = 195467,
  [SMALL_STATE(6273)] = 195482,
  [SMALL_STATE(6274)] = 195497,
  [SMALL_STATE(6275)] = 195512,
  [SMALL_STATE(6276)] = 195527,
  [SMALL_STATE(6277)] = 195542,
  [SMALL_STATE(6278)] = 195557,
  [SMALL_STATE(6279)] = 195572,
  [SMALL_STATE(6280)] = 195591,
  [SMALL_STATE(6281)] = 195606,
  [SMALL_STATE(6282)] = 195623,
  [SMALL_STATE(6283)] = 195638,
  [SMALL_STATE(6284)] = 195653,
  [SMALL_STATE(6285)] = 195672,
  [SMALL_STATE(6286)] = 195687,
  [SMALL_STATE(6287)] = 195702,
  [SMALL_STATE(6288)] = 195721,
  [SMALL_STATE(6289)] = 195740,
  [SMALL_STATE(6290)] = 195755,
  [SMALL_STATE(6291)] = 195770,
  [SMALL_STATE(6292)] = 195787,
  [SMALL_STATE(6293)] = 195806,
  [SMALL_STATE(6294)] = 195825,
  [SMALL_STATE(6295)] = 195842,
  [SMALL_STATE(6296)] = 195859,
  [SMALL_STATE(6297)] = 195874,
  [SMALL_STATE(6298)] = 195891,
  [SMALL_STATE(6299)] = 195906,
  [SMALL_STATE(6300)] = 195921,
  [SMALL_STATE(6301)] = 195938,
  [SMALL_STATE(6302)] = 195953,
  [SMALL_STATE(6303)] = 195970,
  [SMALL_STATE(6304)] = 195985,
  [SMALL_STATE(6305)] = 196000,
  [SMALL_STATE(6306)] = 196017,
  [SMALL_STATE(6307)] = 196036,
  [SMALL_STATE(6308)] = 196053,
  [SMALL_STATE(6309)] = 196072,
  [SMALL_STATE(6310)] = 196089,
  [SMALL_STATE(6311)] = 196106,
  [SMALL_STATE(6312)] = 196125,
  [SMALL_STATE(6313)] = 196142,
  [SMALL_STATE(6314)] = 196161,
  [SMALL_STATE(6315)] = 196178,
  [SMALL_STATE(6316)] = 196197,
  [SMALL_STATE(6317)] = 196212,
  [SMALL_STATE(6318)] = 196227,
  [SMALL_STATE(6319)] = 196242,
  [SMALL_STATE(6320)] = 196257,
  [SMALL_STATE(6321)] = 196272,
  [SMALL_STATE(6322)] = 196289,
  [SMALL_STATE(6323)] = 196304,
  [SMALL_STATE(6324)] = 196319,
  [SMALL_STATE(6325)] = 196334,
  [SMALL_STATE(6326)] = 196353,
  [SMALL_STATE(6327)] = 196372,
  [SMALL_STATE(6328)] = 196391,
  [SMALL_STATE(6329)] = 196406,
  [SMALL_STATE(6330)] = 196425,
  [SMALL_STATE(6331)] = 196444,
  [SMALL_STATE(6332)] = 196463,
  [SMALL_STATE(6333)] = 196482,
  [SMALL_STATE(6334)] = 196501,
  [SMALL_STATE(6335)] = 196516,
  [SMALL_STATE(6336)] = 196531,
  [SMALL_STATE(6337)] = 196546,
  [SMALL_STATE(6338)] = 196561,
  [SMALL_STATE(6339)] = 196576,
  [SMALL_STATE(6340)] = 196591,
  [SMALL_STATE(6341)] = 196606,
  [SMALL_STATE(6342)] = 196625,
  [SMALL_STATE(6343)] = 196644,
  [SMALL_STATE(6344)] = 196659,
  [SMALL_STATE(6345)] = 196674,
  [SMALL_STATE(6346)] = 196689,
  [SMALL_STATE(6347)] = 196704,
  [SMALL_STATE(6348)] = 196719,
  [SMALL_STATE(6349)] = 196734,
  [SMALL_STATE(6350)] = 196749,
  [SMALL_STATE(6351)] = 196764,
  [SMALL_STATE(6352)] = 196779,
  [SMALL_STATE(6353)] = 196796,
  [SMALL_STATE(6354)] = 196811,
  [SMALL_STATE(6355)] = 196830,
  [SMALL_STATE(6356)] = 196845,
  [SMALL_STATE(6357)] = 196860,
  [SMALL_STATE(6358)] = 196875,
  [SMALL_STATE(6359)] = 196890,
  [SMALL_STATE(6360)] = 196905,
  [SMALL_STATE(6361)] = 196920,
  [SMALL_STATE(6362)] = 196935,
  [SMALL_STATE(6363)] = 196950,
  [SMALL_STATE(6364)] = 196965,
  [SMALL_STATE(6365)] = 196984,
  [SMALL_STATE(6366)] = 196999,
  [SMALL_STATE(6367)] = 197018,
  [SMALL_STATE(6368)] = 197033,
  [SMALL_STATE(6369)] = 197048,
  [SMALL_STATE(6370)] = 197063,
  [SMALL_STATE(6371)] = 197080,
  [SMALL_STATE(6372)] = 197095,
  [SMALL_STATE(6373)] = 197110,
  [SMALL_STATE(6374)] = 197125,
  [SMALL_STATE(6375)] = 197140,
  [SMALL_STATE(6376)] = 197159,
  [SMALL_STATE(6377)] = 197174,
  [SMALL_STATE(6378)] = 197193,
  [SMALL_STATE(6379)] = 197212,
  [SMALL_STATE(6380)] = 197227,
  [SMALL_STATE(6381)] = 197242,
  [SMALL_STATE(6382)] = 197257,
  [SMALL_STATE(6383)] = 197272,
  [SMALL_STATE(6384)] = 197287,
  [SMALL_STATE(6385)] = 197302,
  [SMALL_STATE(6386)] = 197317,
  [SMALL_STATE(6387)] = 197332,
  [SMALL_STATE(6388)] = 197347,
  [SMALL_STATE(6389)] = 197362,
  [SMALL_STATE(6390)] = 197379,
  [SMALL_STATE(6391)] = 197394,
  [SMALL_STATE(6392)] = 197413,
  [SMALL_STATE(6393)] = 197432,
  [SMALL_STATE(6394)] = 197451,
  [SMALL_STATE(6395)] = 197466,
  [SMALL_STATE(6396)] = 197485,
  [SMALL_STATE(6397)] = 197504,
  [SMALL_STATE(6398)] = 197523,
  [SMALL_STATE(6399)] = 197542,
  [SMALL_STATE(6400)] = 197561,
  [SMALL_STATE(6401)] = 197576,
  [SMALL_STATE(6402)] = 197591,
  [SMALL_STATE(6403)] = 197610,
  [SMALL_STATE(6404)] = 197629,
  [SMALL_STATE(6405)] = 197648,
  [SMALL_STATE(6406)] = 197667,
  [SMALL_STATE(6407)] = 197686,
  [SMALL_STATE(6408)] = 197701,
  [SMALL_STATE(6409)] = 197720,
  [SMALL_STATE(6410)] = 197737,
  [SMALL_STATE(6411)] = 197756,
  [SMALL_STATE(6412)] = 197775,
  [SMALL_STATE(6413)] = 197790,
  [SMALL_STATE(6414)] = 197807,
  [SMALL_STATE(6415)] = 197824,
  [SMALL_STATE(6416)] = 197843,
  [SMALL_STATE(6417)] = 197860,
  [SMALL_STATE(6418)] = 197875,
  [SMALL_STATE(6419)] = 197892,
  [SMALL_STATE(6420)] = 197909,
  [SMALL_STATE(6421)] = 197928,
  [SMALL_STATE(6422)] = 197943,
  [SMALL_STATE(6423)] = 197958,
  [SMALL_STATE(6424)] = 197977,
  [SMALL_STATE(6425)] = 197992,
  [SMALL_STATE(6426)] = 198011,
  [SMALL_STATE(6427)] = 198026,
  [SMALL_STATE(6428)] = 198045,
  [SMALL_STATE(6429)] = 198064,
  [SMALL_STATE(6430)] = 198081,
  [SMALL_STATE(6431)] = 198096,
  [SMALL_STATE(6432)] = 198111,
  [SMALL_STATE(6433)] = 198130,
  [SMALL_STATE(6434)] = 198145,
  [SMALL_STATE(6435)] = 198160,
  [SMALL_STATE(6436)] = 198175,
  [SMALL_STATE(6437)] = 198190,
  [SMALL_STATE(6438)] = 198205,
  [SMALL_STATE(6439)] = 198220,
  [SMALL_STATE(6440)] = 198239,
  [SMALL_STATE(6441)] = 198258,
  [SMALL_STATE(6442)] = 198277,
  [SMALL_STATE(6443)] = 198296,
  [SMALL_STATE(6444)] = 198315,
  [SMALL_STATE(6445)] = 198330,
  [SMALL_STATE(6446)] = 198349,
  [SMALL_STATE(6447)] = 198368,
  [SMALL_STATE(6448)] = 198387,
  [SMALL_STATE(6449)] = 198406,
  [SMALL_STATE(6450)] = 198425,
  [SMALL_STATE(6451)] = 198442,
  [SMALL_STATE(6452)] = 198457,
  [SMALL_STATE(6453)] = 198472,
  [SMALL_STATE(6454)] = 198487,
  [SMALL_STATE(6455)] = 198502,
  [SMALL_STATE(6456)] = 198521,
  [SMALL_STATE(6457)] = 198540,
  [SMALL_STATE(6458)] = 198555,
  [SMALL_STATE(6459)] = 198572,
  [SMALL_STATE(6460)] = 198587,
  [SMALL_STATE(6461)] = 198602,
  [SMALL_STATE(6462)] = 198617,
  [SMALL_STATE(6463)] = 198632,
  [SMALL_STATE(6464)] = 198647,
  [SMALL_STATE(6465)] = 198662,
  [SMALL_STATE(6466)] = 198677,
  [SMALL_STATE(6467)] = 198692,
  [SMALL_STATE(6468)] = 198711,
  [SMALL_STATE(6469)] = 198730,
  [SMALL_STATE(6470)] = 198749,
  [SMALL_STATE(6471)] = 198768,
  [SMALL_STATE(6472)] = 198783,
  [SMALL_STATE(6473)] = 198802,
  [SMALL_STATE(6474)] = 198821,
  [SMALL_STATE(6475)] = 198840,
  [SMALL_STATE(6476)] = 198855,
  [SMALL_STATE(6477)] = 198874,
  [SMALL_STATE(6478)] = 198891,
  [SMALL_STATE(6479)] = 198910,
  [SMALL_STATE(6480)] = 198925,
  [SMALL_STATE(6481)] = 198944,
  [SMALL_STATE(6482)] = 198960,
  [SMALL_STATE(6483)] = 198976,
  [SMALL_STATE(6484)] = 198992,
  [SMALL_STATE(6485)] = 199006,
  [SMALL_STATE(6486)] = 199022,
  [SMALL_STATE(6487)] = 199036,
  [SMALL_STATE(6488)] = 199052,
  [SMALL_STATE(6489)] = 199068,
  [SMALL_STATE(6490)] = 199084,
  [SMALL_STATE(6491)] = 199098,
  [SMALL_STATE(6492)] = 199114,
  [SMALL_STATE(6493)] = 199130,
  [SMALL_STATE(6494)] = 199146,
  [SMALL_STATE(6495)] = 199162,
  [SMALL_STATE(6496)] = 199178,
  [SMALL_STATE(6497)] = 199194,
  [SMALL_STATE(6498)] = 199208,
  [SMALL_STATE(6499)] = 199224,
  [SMALL_STATE(6500)] = 199240,
  [SMALL_STATE(6501)] = 199256,
  [SMALL_STATE(6502)] = 199272,
  [SMALL_STATE(6503)] = 199286,
  [SMALL_STATE(6504)] = 199302,
  [SMALL_STATE(6505)] = 199318,
  [SMALL_STATE(6506)] = 199334,
  [SMALL_STATE(6507)] = 199348,
  [SMALL_STATE(6508)] = 199364,
  [SMALL_STATE(6509)] = 199380,
  [SMALL_STATE(6510)] = 199394,
  [SMALL_STATE(6511)] = 199410,
  [SMALL_STATE(6512)] = 199426,
  [SMALL_STATE(6513)] = 199442,
  [SMALL_STATE(6514)] = 199458,
  [SMALL_STATE(6515)] = 199474,
  [SMALL_STATE(6516)] = 199490,
  [SMALL_STATE(6517)] = 199506,
  [SMALL_STATE(6518)] = 199522,
  [SMALL_STATE(6519)] = 199538,
  [SMALL_STATE(6520)] = 199554,
  [SMALL_STATE(6521)] = 199568,
  [SMALL_STATE(6522)] = 199584,
  [SMALL_STATE(6523)] = 199600,
  [SMALL_STATE(6524)] = 199616,
  [SMALL_STATE(6525)] = 199630,
  [SMALL_STATE(6526)] = 199646,
  [SMALL_STATE(6527)] = 199662,
  [SMALL_STATE(6528)] = 199678,
  [SMALL_STATE(6529)] = 199692,
  [SMALL_STATE(6530)] = 199706,
  [SMALL_STATE(6531)] = 199722,
  [SMALL_STATE(6532)] = 199738,
  [SMALL_STATE(6533)] = 199754,
  [SMALL_STATE(6534)] = 199768,
  [SMALL_STATE(6535)] = 199782,
  [SMALL_STATE(6536)] = 199798,
  [SMALL_STATE(6537)] = 199814,
  [SMALL_STATE(6538)] = 199828,
  [SMALL_STATE(6539)] = 199842,
  [SMALL_STATE(6540)] = 199858,
  [SMALL_STATE(6541)] = 199874,
  [SMALL_STATE(6542)] = 199888,
  [SMALL_STATE(6543)] = 199904,
  [SMALL_STATE(6544)] = 199920,
  [SMALL_STATE(6545)] = 199936,
  [SMALL_STATE(6546)] = 199952,
  [SMALL_STATE(6547)] = 199968,
  [SMALL_STATE(6548)] = 199984,
  [SMALL_STATE(6549)] = 199998,
  [SMALL_STATE(6550)] = 200014,
  [SMALL_STATE(6551)] = 200030,
  [SMALL_STATE(6552)] = 200046,
  [SMALL_STATE(6553)] = 200062,
  [SMALL_STATE(6554)] = 200078,
  [SMALL_STATE(6555)] = 200092,
  [SMALL_STATE(6556)] = 200108,
  [SMALL_STATE(6557)] = 200124,
  [SMALL_STATE(6558)] = 200140,
  [SMALL_STATE(6559)] = 200156,
  [SMALL_STATE(6560)] = 200172,
  [SMALL_STATE(6561)] = 200188,
  [SMALL_STATE(6562)] = 200204,
  [SMALL_STATE(6563)] = 200220,
  [SMALL_STATE(6564)] = 200236,
  [SMALL_STATE(6565)] = 200252,
  [SMALL_STATE(6566)] = 200268,
  [SMALL_STATE(6567)] = 200284,
  [SMALL_STATE(6568)] = 200300,
  [SMALL_STATE(6569)] = 200316,
  [SMALL_STATE(6570)] = 200330,
  [SMALL_STATE(6571)] = 200346,
  [SMALL_STATE(6572)] = 200360,
  [SMALL_STATE(6573)] = 200376,
  [SMALL_STATE(6574)] = 200392,
  [SMALL_STATE(6575)] = 200406,
  [SMALL_STATE(6576)] = 200422,
  [SMALL_STATE(6577)] = 200436,
  [SMALL_STATE(6578)] = 200452,
  [SMALL_STATE(6579)] = 200466,
  [SMALL_STATE(6580)] = 200482,
  [SMALL_STATE(6581)] = 200496,
  [SMALL_STATE(6582)] = 200512,
  [SMALL_STATE(6583)] = 200528,
  [SMALL_STATE(6584)] = 200544,
  [SMALL_STATE(6585)] = 200560,
  [SMALL_STATE(6586)] = 200576,
  [SMALL_STATE(6587)] = 200592,
  [SMALL_STATE(6588)] = 200608,
  [SMALL_STATE(6589)] = 200624,
  [SMALL_STATE(6590)] = 200640,
  [SMALL_STATE(6591)] = 200654,
  [SMALL_STATE(6592)] = 200668,
  [SMALL_STATE(6593)] = 200682,
  [SMALL_STATE(6594)] = 200698,
  [SMALL_STATE(6595)] = 200712,
  [SMALL_STATE(6596)] = 200728,
  [SMALL_STATE(6597)] = 200742,
  [SMALL_STATE(6598)] = 200758,
  [SMALL_STATE(6599)] = 200772,
  [SMALL_STATE(6600)] = 200788,
  [SMALL_STATE(6601)] = 200802,
  [SMALL_STATE(6602)] = 200816,
  [SMALL_STATE(6603)] = 200832,
  [SMALL_STATE(6604)] = 200846,
  [SMALL_STATE(6605)] = 200862,
  [SMALL_STATE(6606)] = 200876,
  [SMALL_STATE(6607)] = 200890,
  [SMALL_STATE(6608)] = 200906,
  [SMALL_STATE(6609)] = 200922,
  [SMALL_STATE(6610)] = 200938,
  [SMALL_STATE(6611)] = 200952,
  [SMALL_STATE(6612)] = 200966,
  [SMALL_STATE(6613)] = 200982,
  [SMALL_STATE(6614)] = 200998,
  [SMALL_STATE(6615)] = 201014,
  [SMALL_STATE(6616)] = 201030,
  [SMALL_STATE(6617)] = 201044,
  [SMALL_STATE(6618)] = 201058,
  [SMALL_STATE(6619)] = 201072,
  [SMALL_STATE(6620)] = 201088,
  [SMALL_STATE(6621)] = 201102,
  [SMALL_STATE(6622)] = 201118,
  [SMALL_STATE(6623)] = 201134,
  [SMALL_STATE(6624)] = 201148,
  [SMALL_STATE(6625)] = 201162,
  [SMALL_STATE(6626)] = 201178,
  [SMALL_STATE(6627)] = 201192,
  [SMALL_STATE(6628)] = 201208,
  [SMALL_STATE(6629)] = 201224,
  [SMALL_STATE(6630)] = 201238,
  [SMALL_STATE(6631)] = 201254,
  [SMALL_STATE(6632)] = 201268,
  [SMALL_STATE(6633)] = 201284,
  [SMALL_STATE(6634)] = 201298,
  [SMALL_STATE(6635)] = 201314,
  [SMALL_STATE(6636)] = 201330,
  [SMALL_STATE(6637)] = 201346,
  [SMALL_STATE(6638)] = 201362,
  [SMALL_STATE(6639)] = 201378,
  [SMALL_STATE(6640)] = 201394,
  [SMALL_STATE(6641)] = 201408,
  [SMALL_STATE(6642)] = 201424,
  [SMALL_STATE(6643)] = 201438,
  [SMALL_STATE(6644)] = 201454,
  [SMALL_STATE(6645)] = 201470,
  [SMALL_STATE(6646)] = 201486,
  [SMALL_STATE(6647)] = 201502,
  [SMALL_STATE(6648)] = 201518,
  [SMALL_STATE(6649)] = 201534,
  [SMALL_STATE(6650)] = 201548,
  [SMALL_STATE(6651)] = 201564,
  [SMALL_STATE(6652)] = 201578,
  [SMALL_STATE(6653)] = 201592,
  [SMALL_STATE(6654)] = 201608,
  [SMALL_STATE(6655)] = 201622,
  [SMALL_STATE(6656)] = 201638,
  [SMALL_STATE(6657)] = 201652,
  [SMALL_STATE(6658)] = 201668,
  [SMALL_STATE(6659)] = 201682,
  [SMALL_STATE(6660)] = 201698,
  [SMALL_STATE(6661)] = 201714,
  [SMALL_STATE(6662)] = 201728,
  [SMALL_STATE(6663)] = 201742,
  [SMALL_STATE(6664)] = 201758,
  [SMALL_STATE(6665)] = 201774,
  [SMALL_STATE(6666)] = 201790,
  [SMALL_STATE(6667)] = 201804,
  [SMALL_STATE(6668)] = 201818,
  [SMALL_STATE(6669)] = 201834,
  [SMALL_STATE(6670)] = 201850,
  [SMALL_STATE(6671)] = 201866,
  [SMALL_STATE(6672)] = 201882,
  [SMALL_STATE(6673)] = 201896,
  [SMALL_STATE(6674)] = 201910,
  [SMALL_STATE(6675)] = 201926,
  [SMALL_STATE(6676)] = 201942,
  [SMALL_STATE(6677)] = 201956,
  [SMALL_STATE(6678)] = 201972,
  [SMALL_STATE(6679)] = 201988,
  [SMALL_STATE(6680)] = 202002,
  [SMALL_STATE(6681)] = 202018,
  [SMALL_STATE(6682)] = 202034,
  [SMALL_STATE(6683)] = 202050,
  [SMALL_STATE(6684)] = 202066,
  [SMALL_STATE(6685)] = 202080,
  [SMALL_STATE(6686)] = 202094,
  [SMALL_STATE(6687)] = 202110,
  [SMALL_STATE(6688)] = 202126,
  [SMALL_STATE(6689)] = 202142,
  [SMALL_STATE(6690)] = 202158,
  [SMALL_STATE(6691)] = 202172,
  [SMALL_STATE(6692)] = 202186,
  [SMALL_STATE(6693)] = 202200,
  [SMALL_STATE(6694)] = 202214,
  [SMALL_STATE(6695)] = 202228,
  [SMALL_STATE(6696)] = 202242,
  [SMALL_STATE(6697)] = 202258,
  [SMALL_STATE(6698)] = 202272,
  [SMALL_STATE(6699)] = 202288,
  [SMALL_STATE(6700)] = 202304,
  [SMALL_STATE(6701)] = 202320,
  [SMALL_STATE(6702)] = 202336,
  [SMALL_STATE(6703)] = 202350,
  [SMALL_STATE(6704)] = 202364,
  [SMALL_STATE(6705)] = 202378,
  [SMALL_STATE(6706)] = 202394,
  [SMALL_STATE(6707)] = 202410,
  [SMALL_STATE(6708)] = 202426,
  [SMALL_STATE(6709)] = 202442,
  [SMALL_STATE(6710)] = 202458,
  [SMALL_STATE(6711)] = 202472,
  [SMALL_STATE(6712)] = 202488,
  [SMALL_STATE(6713)] = 202502,
  [SMALL_STATE(6714)] = 202518,
  [SMALL_STATE(6715)] = 202532,
  [SMALL_STATE(6716)] = 202548,
  [SMALL_STATE(6717)] = 202564,
  [SMALL_STATE(6718)] = 202578,
  [SMALL_STATE(6719)] = 202594,
  [SMALL_STATE(6720)] = 202610,
  [SMALL_STATE(6721)] = 202626,
  [SMALL_STATE(6722)] = 202640,
  [SMALL_STATE(6723)] = 202656,
  [SMALL_STATE(6724)] = 202670,
  [SMALL_STATE(6725)] = 202684,
  [SMALL_STATE(6726)] = 202698,
  [SMALL_STATE(6727)] = 202712,
  [SMALL_STATE(6728)] = 202728,
  [SMALL_STATE(6729)] = 202744,
  [SMALL_STATE(6730)] = 202758,
  [SMALL_STATE(6731)] = 202774,
  [SMALL_STATE(6732)] = 202790,
  [SMALL_STATE(6733)] = 202806,
  [SMALL_STATE(6734)] = 202822,
  [SMALL_STATE(6735)] = 202838,
  [SMALL_STATE(6736)] = 202852,
  [SMALL_STATE(6737)] = 202868,
  [SMALL_STATE(6738)] = 202884,
  [SMALL_STATE(6739)] = 202898,
  [SMALL_STATE(6740)] = 202912,
  [SMALL_STATE(6741)] = 202926,
  [SMALL_STATE(6742)] = 202942,
  [SMALL_STATE(6743)] = 202956,
  [SMALL_STATE(6744)] = 202972,
  [SMALL_STATE(6745)] = 202986,
  [SMALL_STATE(6746)] = 203000,
  [SMALL_STATE(6747)] = 203014,
  [SMALL_STATE(6748)] = 203030,
  [SMALL_STATE(6749)] = 203044,
  [SMALL_STATE(6750)] = 203058,
  [SMALL_STATE(6751)] = 203074,
  [SMALL_STATE(6752)] = 203090,
  [SMALL_STATE(6753)] = 203106,
  [SMALL_STATE(6754)] = 203120,
  [SMALL_STATE(6755)] = 203134,
  [SMALL_STATE(6756)] = 203150,
  [SMALL_STATE(6757)] = 203164,
  [SMALL_STATE(6758)] = 203180,
  [SMALL_STATE(6759)] = 203196,
  [SMALL_STATE(6760)] = 203212,
  [SMALL_STATE(6761)] = 203228,
  [SMALL_STATE(6762)] = 203244,
  [SMALL_STATE(6763)] = 203260,
  [SMALL_STATE(6764)] = 203274,
  [SMALL_STATE(6765)] = 203290,
  [SMALL_STATE(6766)] = 203304,
  [SMALL_STATE(6767)] = 203318,
  [SMALL_STATE(6768)] = 203334,
  [SMALL_STATE(6769)] = 203350,
  [SMALL_STATE(6770)] = 203364,
  [SMALL_STATE(6771)] = 203380,
  [SMALL_STATE(6772)] = 203394,
  [SMALL_STATE(6773)] = 203408,
  [SMALL_STATE(6774)] = 203422,
  [SMALL_STATE(6775)] = 203438,
  [SMALL_STATE(6776)] = 203454,
  [SMALL_STATE(6777)] = 203468,
  [SMALL_STATE(6778)] = 203484,
  [SMALL_STATE(6779)] = 203500,
  [SMALL_STATE(6780)] = 203516,
  [SMALL_STATE(6781)] = 203532,
  [SMALL_STATE(6782)] = 203548,
  [SMALL_STATE(6783)] = 203564,
  [SMALL_STATE(6784)] = 203580,
  [SMALL_STATE(6785)] = 203596,
  [SMALL_STATE(6786)] = 203612,
  [SMALL_STATE(6787)] = 203628,
  [SMALL_STATE(6788)] = 203644,
  [SMALL_STATE(6789)] = 203660,
  [SMALL_STATE(6790)] = 203676,
  [SMALL_STATE(6791)] = 203692,
  [SMALL_STATE(6792)] = 203708,
  [SMALL_STATE(6793)] = 203724,
  [SMALL_STATE(6794)] = 203740,
  [SMALL_STATE(6795)] = 203754,
  [SMALL_STATE(6796)] = 203770,
  [SMALL_STATE(6797)] = 203784,
  [SMALL_STATE(6798)] = 203800,
  [SMALL_STATE(6799)] = 203816,
  [SMALL_STATE(6800)] = 203832,
  [SMALL_STATE(6801)] = 203848,
  [SMALL_STATE(6802)] = 203864,
  [SMALL_STATE(6803)] = 203880,
  [SMALL_STATE(6804)] = 203896,
  [SMALL_STATE(6805)] = 203912,
  [SMALL_STATE(6806)] = 203926,
  [SMALL_STATE(6807)] = 203940,
  [SMALL_STATE(6808)] = 203956,
  [SMALL_STATE(6809)] = 203972,
  [SMALL_STATE(6810)] = 203988,
  [SMALL_STATE(6811)] = 204004,
  [SMALL_STATE(6812)] = 204020,
  [SMALL_STATE(6813)] = 204036,
  [SMALL_STATE(6814)] = 204052,
  [SMALL_STATE(6815)] = 204068,
  [SMALL_STATE(6816)] = 204084,
  [SMALL_STATE(6817)] = 204098,
  [SMALL_STATE(6818)] = 204114,
  [SMALL_STATE(6819)] = 204128,
  [SMALL_STATE(6820)] = 204144,
  [SMALL_STATE(6821)] = 204160,
  [SMALL_STATE(6822)] = 204176,
  [SMALL_STATE(6823)] = 204192,
  [SMALL_STATE(6824)] = 204208,
  [SMALL_STATE(6825)] = 204222,
  [SMALL_STATE(6826)] = 204236,
  [SMALL_STATE(6827)] = 204252,
  [SMALL_STATE(6828)] = 204268,
  [SMALL_STATE(6829)] = 204284,
  [SMALL_STATE(6830)] = 204300,
  [SMALL_STATE(6831)] = 204314,
  [SMALL_STATE(6832)] = 204330,
  [SMALL_STATE(6833)] = 204346,
  [SMALL_STATE(6834)] = 204362,
  [SMALL_STATE(6835)] = 204376,
  [SMALL_STATE(6836)] = 204390,
  [SMALL_STATE(6837)] = 204406,
  [SMALL_STATE(6838)] = 204422,
  [SMALL_STATE(6839)] = 204436,
  [SMALL_STATE(6840)] = 204452,
  [SMALL_STATE(6841)] = 204466,
  [SMALL_STATE(6842)] = 204482,
  [SMALL_STATE(6843)] = 204496,
  [SMALL_STATE(6844)] = 204510,
  [SMALL_STATE(6845)] = 204524,
  [SMALL_STATE(6846)] = 204540,
  [SMALL_STATE(6847)] = 204554,
  [SMALL_STATE(6848)] = 204570,
  [SMALL_STATE(6849)] = 204586,
  [SMALL_STATE(6850)] = 204600,
  [SMALL_STATE(6851)] = 204616,
  [SMALL_STATE(6852)] = 204630,
  [SMALL_STATE(6853)] = 204646,
  [SMALL_STATE(6854)] = 204662,
  [SMALL_STATE(6855)] = 204676,
  [SMALL_STATE(6856)] = 204690,
  [SMALL_STATE(6857)] = 204706,
  [SMALL_STATE(6858)] = 204722,
  [SMALL_STATE(6859)] = 204736,
  [SMALL_STATE(6860)] = 204752,
  [SMALL_STATE(6861)] = 204766,
  [SMALL_STATE(6862)] = 204780,
  [SMALL_STATE(6863)] = 204794,
  [SMALL_STATE(6864)] = 204810,
  [SMALL_STATE(6865)] = 204826,
  [SMALL_STATE(6866)] = 204842,
  [SMALL_STATE(6867)] = 204858,
  [SMALL_STATE(6868)] = 204874,
  [SMALL_STATE(6869)] = 204888,
  [SMALL_STATE(6870)] = 204904,
  [SMALL_STATE(6871)] = 204918,
  [SMALL_STATE(6872)] = 204934,
  [SMALL_STATE(6873)] = 204950,
  [SMALL_STATE(6874)] = 204964,
  [SMALL_STATE(6875)] = 204980,
  [SMALL_STATE(6876)] = 204996,
  [SMALL_STATE(6877)] = 205012,
  [SMALL_STATE(6878)] = 205028,
  [SMALL_STATE(6879)] = 205044,
  [SMALL_STATE(6880)] = 205058,
  [SMALL_STATE(6881)] = 205072,
  [SMALL_STATE(6882)] = 205088,
  [SMALL_STATE(6883)] = 205104,
  [SMALL_STATE(6884)] = 205118,
  [SMALL_STATE(6885)] = 205134,
  [SMALL_STATE(6886)] = 205150,
  [SMALL_STATE(6887)] = 205166,
  [SMALL_STATE(6888)] = 205182,
  [SMALL_STATE(6889)] = 205198,
  [SMALL_STATE(6890)] = 205214,
  [SMALL_STATE(6891)] = 205228,
  [SMALL_STATE(6892)] = 205244,
  [SMALL_STATE(6893)] = 205258,
  [SMALL_STATE(6894)] = 205274,
  [SMALL_STATE(6895)] = 205288,
  [SMALL_STATE(6896)] = 205302,
  [SMALL_STATE(6897)] = 205316,
  [SMALL_STATE(6898)] = 205332,
  [SMALL_STATE(6899)] = 205346,
  [SMALL_STATE(6900)] = 205360,
  [SMALL_STATE(6901)] = 205374,
  [SMALL_STATE(6902)] = 205390,
  [SMALL_STATE(6903)] = 205406,
  [SMALL_STATE(6904)] = 205420,
  [SMALL_STATE(6905)] = 205436,
  [SMALL_STATE(6906)] = 205452,
  [SMALL_STATE(6907)] = 205468,
  [SMALL_STATE(6908)] = 205482,
  [SMALL_STATE(6909)] = 205498,
  [SMALL_STATE(6910)] = 205514,
  [SMALL_STATE(6911)] = 205530,
  [SMALL_STATE(6912)] = 205544,
  [SMALL_STATE(6913)] = 205560,
  [SMALL_STATE(6914)] = 205574,
  [SMALL_STATE(6915)] = 205590,
  [SMALL_STATE(6916)] = 205604,
  [SMALL_STATE(6917)] = 205620,
  [SMALL_STATE(6918)] = 205636,
  [SMALL_STATE(6919)] = 205650,
  [SMALL_STATE(6920)] = 205666,
  [SMALL_STATE(6921)] = 205682,
  [SMALL_STATE(6922)] = 205696,
  [SMALL_STATE(6923)] = 205712,
  [SMALL_STATE(6924)] = 205728,
  [SMALL_STATE(6925)] = 205744,
  [SMALL_STATE(6926)] = 205760,
  [SMALL_STATE(6927)] = 205776,
  [SMALL_STATE(6928)] = 205790,
  [SMALL_STATE(6929)] = 205806,
  [SMALL_STATE(6930)] = 205822,
  [SMALL_STATE(6931)] = 205838,
  [SMALL_STATE(6932)] = 205852,
  [SMALL_STATE(6933)] = 205868,
  [SMALL_STATE(6934)] = 205882,
  [SMALL_STATE(6935)] = 205898,
  [SMALL_STATE(6936)] = 205914,
  [SMALL_STATE(6937)] = 205930,
  [SMALL_STATE(6938)] = 205946,
  [SMALL_STATE(6939)] = 205962,
  [SMALL_STATE(6940)] = 205978,
  [SMALL_STATE(6941)] = 205994,
  [SMALL_STATE(6942)] = 206008,
  [SMALL_STATE(6943)] = 206022,
  [SMALL_STATE(6944)] = 206036,
  [SMALL_STATE(6945)] = 206050,
  [SMALL_STATE(6946)] = 206066,
  [SMALL_STATE(6947)] = 206082,
  [SMALL_STATE(6948)] = 206096,
  [SMALL_STATE(6949)] = 206112,
  [SMALL_STATE(6950)] = 206126,
  [SMALL_STATE(6951)] = 206140,
  [SMALL_STATE(6952)] = 206156,
  [SMALL_STATE(6953)] = 206172,
  [SMALL_STATE(6954)] = 206188,
  [SMALL_STATE(6955)] = 206202,
  [SMALL_STATE(6956)] = 206218,
  [SMALL_STATE(6957)] = 206232,
  [SMALL_STATE(6958)] = 206248,
  [SMALL_STATE(6959)] = 206262,
  [SMALL_STATE(6960)] = 206276,
  [SMALL_STATE(6961)] = 206290,
  [SMALL_STATE(6962)] = 206306,
  [SMALL_STATE(6963)] = 206322,
  [SMALL_STATE(6964)] = 206336,
  [SMALL_STATE(6965)] = 206352,
  [SMALL_STATE(6966)] = 206368,
  [SMALL_STATE(6967)] = 206384,
  [SMALL_STATE(6968)] = 206400,
  [SMALL_STATE(6969)] = 206416,
  [SMALL_STATE(6970)] = 206430,
  [SMALL_STATE(6971)] = 206444,
  [SMALL_STATE(6972)] = 206460,
  [SMALL_STATE(6973)] = 206474,
  [SMALL_STATE(6974)] = 206488,
  [SMALL_STATE(6975)] = 206502,
  [SMALL_STATE(6976)] = 206518,
  [SMALL_STATE(6977)] = 206534,
  [SMALL_STATE(6978)] = 206548,
  [SMALL_STATE(6979)] = 206564,
  [SMALL_STATE(6980)] = 206578,
  [SMALL_STATE(6981)] = 206594,
  [SMALL_STATE(6982)] = 206610,
  [SMALL_STATE(6983)] = 206626,
  [SMALL_STATE(6984)] = 206640,
  [SMALL_STATE(6985)] = 206656,
  [SMALL_STATE(6986)] = 206670,
  [SMALL_STATE(6987)] = 206684,
  [SMALL_STATE(6988)] = 206698,
  [SMALL_STATE(6989)] = 206712,
  [SMALL_STATE(6990)] = 206726,
  [SMALL_STATE(6991)] = 206742,
  [SMALL_STATE(6992)] = 206756,
  [SMALL_STATE(6993)] = 206770,
  [SMALL_STATE(6994)] = 206786,
  [SMALL_STATE(6995)] = 206802,
  [SMALL_STATE(6996)] = 206816,
  [SMALL_STATE(6997)] = 206830,
  [SMALL_STATE(6998)] = 206844,
  [SMALL_STATE(6999)] = 206860,
  [SMALL_STATE(7000)] = 206876,
  [SMALL_STATE(7001)] = 206892,
  [SMALL_STATE(7002)] = 206908,
  [SMALL_STATE(7003)] = 206924,
  [SMALL_STATE(7004)] = 206940,
  [SMALL_STATE(7005)] = 206956,
  [SMALL_STATE(7006)] = 206970,
  [SMALL_STATE(7007)] = 206986,
  [SMALL_STATE(7008)] = 207000,
  [SMALL_STATE(7009)] = 207016,
  [SMALL_STATE(7010)] = 207032,
  [SMALL_STATE(7011)] = 207046,
  [SMALL_STATE(7012)] = 207062,
  [SMALL_STATE(7013)] = 207078,
  [SMALL_STATE(7014)] = 207094,
  [SMALL_STATE(7015)] = 207110,
  [SMALL_STATE(7016)] = 207124,
  [SMALL_STATE(7017)] = 207138,
  [SMALL_STATE(7018)] = 207154,
  [SMALL_STATE(7019)] = 207170,
  [SMALL_STATE(7020)] = 207186,
  [SMALL_STATE(7021)] = 207200,
  [SMALL_STATE(7022)] = 207216,
  [SMALL_STATE(7023)] = 207232,
  [SMALL_STATE(7024)] = 207246,
  [SMALL_STATE(7025)] = 207260,
  [SMALL_STATE(7026)] = 207276,
  [SMALL_STATE(7027)] = 207290,
  [SMALL_STATE(7028)] = 207304,
  [SMALL_STATE(7029)] = 207320,
  [SMALL_STATE(7030)] = 207334,
  [SMALL_STATE(7031)] = 207348,
  [SMALL_STATE(7032)] = 207364,
  [SMALL_STATE(7033)] = 207378,
  [SMALL_STATE(7034)] = 207392,
  [SMALL_STATE(7035)] = 207406,
  [SMALL_STATE(7036)] = 207420,
  [SMALL_STATE(7037)] = 207436,
  [SMALL_STATE(7038)] = 207450,
  [SMALL_STATE(7039)] = 207464,
  [SMALL_STATE(7040)] = 207478,
  [SMALL_STATE(7041)] = 207492,
  [SMALL_STATE(7042)] = 207508,
  [SMALL_STATE(7043)] = 207522,
  [SMALL_STATE(7044)] = 207538,
  [SMALL_STATE(7045)] = 207554,
  [SMALL_STATE(7046)] = 207568,
  [SMALL_STATE(7047)] = 207584,
  [SMALL_STATE(7048)] = 207598,
  [SMALL_STATE(7049)] = 207612,
  [SMALL_STATE(7050)] = 207628,
  [SMALL_STATE(7051)] = 207642,
  [SMALL_STATE(7052)] = 207656,
  [SMALL_STATE(7053)] = 207670,
  [SMALL_STATE(7054)] = 207684,
  [SMALL_STATE(7055)] = 207698,
  [SMALL_STATE(7056)] = 207712,
  [SMALL_STATE(7057)] = 207726,
  [SMALL_STATE(7058)] = 207740,
  [SMALL_STATE(7059)] = 207756,
  [SMALL_STATE(7060)] = 207770,
  [SMALL_STATE(7061)] = 207786,
  [SMALL_STATE(7062)] = 207800,
  [SMALL_STATE(7063)] = 207816,
  [SMALL_STATE(7064)] = 207832,
  [SMALL_STATE(7065)] = 207846,
  [SMALL_STATE(7066)] = 207860,
  [SMALL_STATE(7067)] = 207874,
  [SMALL_STATE(7068)] = 207890,
  [SMALL_STATE(7069)] = 207906,
  [SMALL_STATE(7070)] = 207920,
  [SMALL_STATE(7071)] = 207934,
  [SMALL_STATE(7072)] = 207948,
  [SMALL_STATE(7073)] = 207962,
  [SMALL_STATE(7074)] = 207978,
  [SMALL_STATE(7075)] = 207994,
  [SMALL_STATE(7076)] = 208010,
  [SMALL_STATE(7077)] = 208024,
  [SMALL_STATE(7078)] = 208038,
  [SMALL_STATE(7079)] = 208054,
  [SMALL_STATE(7080)] = 208070,
  [SMALL_STATE(7081)] = 208086,
  [SMALL_STATE(7082)] = 208102,
  [SMALL_STATE(7083)] = 208116,
  [SMALL_STATE(7084)] = 208130,
  [SMALL_STATE(7085)] = 208144,
  [SMALL_STATE(7086)] = 208160,
  [SMALL_STATE(7087)] = 208176,
  [SMALL_STATE(7088)] = 208190,
  [SMALL_STATE(7089)] = 208206,
  [SMALL_STATE(7090)] = 208220,
  [SMALL_STATE(7091)] = 208234,
  [SMALL_STATE(7092)] = 208250,
  [SMALL_STATE(7093)] = 208264,
  [SMALL_STATE(7094)] = 208278,
  [SMALL_STATE(7095)] = 208292,
  [SMALL_STATE(7096)] = 208306,
  [SMALL_STATE(7097)] = 208320,
  [SMALL_STATE(7098)] = 208336,
  [SMALL_STATE(7099)] = 208352,
  [SMALL_STATE(7100)] = 208366,
  [SMALL_STATE(7101)] = 208380,
  [SMALL_STATE(7102)] = 208394,
  [SMALL_STATE(7103)] = 208408,
  [SMALL_STATE(7104)] = 208424,
  [SMALL_STATE(7105)] = 208440,
  [SMALL_STATE(7106)] = 208456,
  [SMALL_STATE(7107)] = 208472,
  [SMALL_STATE(7108)] = 208486,
  [SMALL_STATE(7109)] = 208502,
  [SMALL_STATE(7110)] = 208518,
  [SMALL_STATE(7111)] = 208534,
  [SMALL_STATE(7112)] = 208550,
  [SMALL_STATE(7113)] = 208566,
  [SMALL_STATE(7114)] = 208580,
  [SMALL_STATE(7115)] = 208594,
  [SMALL_STATE(7116)] = 208610,
  [SMALL_STATE(7117)] = 208624,
  [SMALL_STATE(7118)] = 208638,
  [SMALL_STATE(7119)] = 208652,
  [SMALL_STATE(7120)] = 208668,
  [SMALL_STATE(7121)] = 208684,
  [SMALL_STATE(7122)] = 208700,
  [SMALL_STATE(7123)] = 208714,
  [SMALL_STATE(7124)] = 208728,
  [SMALL_STATE(7125)] = 208742,
  [SMALL_STATE(7126)] = 208758,
  [SMALL_STATE(7127)] = 208772,
  [SMALL_STATE(7128)] = 208788,
  [SMALL_STATE(7129)] = 208802,
  [SMALL_STATE(7130)] = 208816,
  [SMALL_STATE(7131)] = 208830,
  [SMALL_STATE(7132)] = 208844,
  [SMALL_STATE(7133)] = 208858,
  [SMALL_STATE(7134)] = 208872,
  [SMALL_STATE(7135)] = 208888,
  [SMALL_STATE(7136)] = 208902,
  [SMALL_STATE(7137)] = 208918,
  [SMALL_STATE(7138)] = 208932,
  [SMALL_STATE(7139)] = 208946,
  [SMALL_STATE(7140)] = 208960,
  [SMALL_STATE(7141)] = 208976,
  [SMALL_STATE(7142)] = 208992,
  [SMALL_STATE(7143)] = 209006,
  [SMALL_STATE(7144)] = 209022,
  [SMALL_STATE(7145)] = 209036,
  [SMALL_STATE(7146)] = 209052,
  [SMALL_STATE(7147)] = 209066,
  [SMALL_STATE(7148)] = 209080,
  [SMALL_STATE(7149)] = 209094,
  [SMALL_STATE(7150)] = 209110,
  [SMALL_STATE(7151)] = 209126,
  [SMALL_STATE(7152)] = 209140,
  [SMALL_STATE(7153)] = 209154,
  [SMALL_STATE(7154)] = 209168,
  [SMALL_STATE(7155)] = 209184,
  [SMALL_STATE(7156)] = 209198,
  [SMALL_STATE(7157)] = 209214,
  [SMALL_STATE(7158)] = 209230,
  [SMALL_STATE(7159)] = 209244,
  [SMALL_STATE(7160)] = 209260,
  [SMALL_STATE(7161)] = 209274,
  [SMALL_STATE(7162)] = 209290,
  [SMALL_STATE(7163)] = 209304,
  [SMALL_STATE(7164)] = 209318,
  [SMALL_STATE(7165)] = 209334,
  [SMALL_STATE(7166)] = 209350,
  [SMALL_STATE(7167)] = 209364,
  [SMALL_STATE(7168)] = 209378,
  [SMALL_STATE(7169)] = 209394,
  [SMALL_STATE(7170)] = 209408,
  [SMALL_STATE(7171)] = 209422,
  [SMALL_STATE(7172)] = 209438,
  [SMALL_STATE(7173)] = 209452,
  [SMALL_STATE(7174)] = 209465,
  [SMALL_STATE(7175)] = 209478,
  [SMALL_STATE(7176)] = 209491,
  [SMALL_STATE(7177)] = 209504,
  [SMALL_STATE(7178)] = 209517,
  [SMALL_STATE(7179)] = 209530,
  [SMALL_STATE(7180)] = 209543,
  [SMALL_STATE(7181)] = 209556,
  [SMALL_STATE(7182)] = 209569,
  [SMALL_STATE(7183)] = 209582,
  [SMALL_STATE(7184)] = 209595,
  [SMALL_STATE(7185)] = 209608,
  [SMALL_STATE(7186)] = 209621,
  [SMALL_STATE(7187)] = 209634,
  [SMALL_STATE(7188)] = 209647,
  [SMALL_STATE(7189)] = 209660,
  [SMALL_STATE(7190)] = 209673,
  [SMALL_STATE(7191)] = 209686,
  [SMALL_STATE(7192)] = 209699,
  [SMALL_STATE(7193)] = 209712,
  [SMALL_STATE(7194)] = 209725,
  [SMALL_STATE(7195)] = 209738,
  [SMALL_STATE(7196)] = 209751,
  [SMALL_STATE(7197)] = 209764,
  [SMALL_STATE(7198)] = 209777,
  [SMALL_STATE(7199)] = 209790,
  [SMALL_STATE(7200)] = 209803,
  [SMALL_STATE(7201)] = 209816,
  [SMALL_STATE(7202)] = 209829,
  [SMALL_STATE(7203)] = 209842,
  [SMALL_STATE(7204)] = 209855,
  [SMALL_STATE(7205)] = 209868,
  [SMALL_STATE(7206)] = 209881,
  [SMALL_STATE(7207)] = 209894,
  [SMALL_STATE(7208)] = 209907,
  [SMALL_STATE(7209)] = 209920,
  [SMALL_STATE(7210)] = 209933,
  [SMALL_STATE(7211)] = 209946,
  [SMALL_STATE(7212)] = 209959,
  [SMALL_STATE(7213)] = 209972,
  [SMALL_STATE(7214)] = 209985,
  [SMALL_STATE(7215)] = 209998,
  [SMALL_STATE(7216)] = 210011,
  [SMALL_STATE(7217)] = 210024,
  [SMALL_STATE(7218)] = 210037,
  [SMALL_STATE(7219)] = 210050,
  [SMALL_STATE(7220)] = 210063,
  [SMALL_STATE(7221)] = 210076,
  [SMALL_STATE(7222)] = 210089,
  [SMALL_STATE(7223)] = 210102,
  [SMALL_STATE(7224)] = 210115,
  [SMALL_STATE(7225)] = 210128,
  [SMALL_STATE(7226)] = 210141,
  [SMALL_STATE(7227)] = 210154,
  [SMALL_STATE(7228)] = 210167,
  [SMALL_STATE(7229)] = 210180,
  [SMALL_STATE(7230)] = 210193,
  [SMALL_STATE(7231)] = 210206,
  [SMALL_STATE(7232)] = 210219,
  [SMALL_STATE(7233)] = 210232,
  [SMALL_STATE(7234)] = 210245,
  [SMALL_STATE(7235)] = 210258,
  [SMALL_STATE(7236)] = 210271,
  [SMALL_STATE(7237)] = 210284,
  [SMALL_STATE(7238)] = 210297,
  [SMALL_STATE(7239)] = 210310,
  [SMALL_STATE(7240)] = 210323,
  [SMALL_STATE(7241)] = 210336,
  [SMALL_STATE(7242)] = 210349,
  [SMALL_STATE(7243)] = 210362,
  [SMALL_STATE(7244)] = 210375,
  [SMALL_STATE(7245)] = 210388,
  [SMALL_STATE(7246)] = 210401,
  [SMALL_STATE(7247)] = 210414,
  [SMALL_STATE(7248)] = 210427,
  [SMALL_STATE(7249)] = 210440,
  [SMALL_STATE(7250)] = 210453,
  [SMALL_STATE(7251)] = 210466,
  [SMALL_STATE(7252)] = 210479,
  [SMALL_STATE(7253)] = 210492,
  [SMALL_STATE(7254)] = 210505,
  [SMALL_STATE(7255)] = 210518,
  [SMALL_STATE(7256)] = 210531,
  [SMALL_STATE(7257)] = 210544,
  [SMALL_STATE(7258)] = 210557,
  [SMALL_STATE(7259)] = 210570,
  [SMALL_STATE(7260)] = 210583,
  [SMALL_STATE(7261)] = 210596,
  [SMALL_STATE(7262)] = 210609,
  [SMALL_STATE(7263)] = 210622,
  [SMALL_STATE(7264)] = 210635,
  [SMALL_STATE(7265)] = 210648,
  [SMALL_STATE(7266)] = 210661,
  [SMALL_STATE(7267)] = 210674,
  [SMALL_STATE(7268)] = 210687,
  [SMALL_STATE(7269)] = 210700,
  [SMALL_STATE(7270)] = 210713,
  [SMALL_STATE(7271)] = 210726,
  [SMALL_STATE(7272)] = 210739,
  [SMALL_STATE(7273)] = 210752,
  [SMALL_STATE(7274)] = 210765,
  [SMALL_STATE(7275)] = 210778,
  [SMALL_STATE(7276)] = 210791,
  [SMALL_STATE(7277)] = 210804,
  [SMALL_STATE(7278)] = 210817,
  [SMALL_STATE(7279)] = 210830,
  [SMALL_STATE(7280)] = 210843,
  [SMALL_STATE(7281)] = 210856,
  [SMALL_STATE(7282)] = 210869,
  [SMALL_STATE(7283)] = 210882,
  [SMALL_STATE(7284)] = 210895,
  [SMALL_STATE(7285)] = 210908,
  [SMALL_STATE(7286)] = 210921,
  [SMALL_STATE(7287)] = 210934,
  [SMALL_STATE(7288)] = 210947,
  [SMALL_STATE(7289)] = 210960,
  [SMALL_STATE(7290)] = 210973,
  [SMALL_STATE(7291)] = 210986,
  [SMALL_STATE(7292)] = 210999,
  [SMALL_STATE(7293)] = 211012,
  [SMALL_STATE(7294)] = 211025,
  [SMALL_STATE(7295)] = 211038,
  [SMALL_STATE(7296)] = 211051,
  [SMALL_STATE(7297)] = 211064,
  [SMALL_STATE(7298)] = 211077,
  [SMALL_STATE(7299)] = 211090,
  [SMALL_STATE(7300)] = 211103,
  [SMALL_STATE(7301)] = 211116,
  [SMALL_STATE(7302)] = 211129,
  [SMALL_STATE(7303)] = 211142,
  [SMALL_STATE(7304)] = 211155,
  [SMALL_STATE(7305)] = 211168,
  [SMALL_STATE(7306)] = 211181,
  [SMALL_STATE(7307)] = 211194,
  [SMALL_STATE(7308)] = 211207,
  [SMALL_STATE(7309)] = 211220,
  [SMALL_STATE(7310)] = 211233,
  [SMALL_STATE(7311)] = 211246,
  [SMALL_STATE(7312)] = 211259,
  [SMALL_STATE(7313)] = 211272,
  [SMALL_STATE(7314)] = 211285,
  [SMALL_STATE(7315)] = 211298,
  [SMALL_STATE(7316)] = 211311,
  [SMALL_STATE(7317)] = 211324,
  [SMALL_STATE(7318)] = 211337,
  [SMALL_STATE(7319)] = 211350,
  [SMALL_STATE(7320)] = 211363,
  [SMALL_STATE(7321)] = 211376,
  [SMALL_STATE(7322)] = 211389,
  [SMALL_STATE(7323)] = 211402,
  [SMALL_STATE(7324)] = 211415,
  [SMALL_STATE(7325)] = 211428,
  [SMALL_STATE(7326)] = 211441,
  [SMALL_STATE(7327)] = 211454,
  [SMALL_STATE(7328)] = 211467,
  [SMALL_STATE(7329)] = 211480,
  [SMALL_STATE(7330)] = 211493,
  [SMALL_STATE(7331)] = 211506,
  [SMALL_STATE(7332)] = 211519,
  [SMALL_STATE(7333)] = 211532,
  [SMALL_STATE(7334)] = 211545,
  [SMALL_STATE(7335)] = 211558,
  [SMALL_STATE(7336)] = 211571,
  [SMALL_STATE(7337)] = 211584,
  [SMALL_STATE(7338)] = 211597,
  [SMALL_STATE(7339)] = 211610,
  [SMALL_STATE(7340)] = 211623,
  [SMALL_STATE(7341)] = 211636,
  [SMALL_STATE(7342)] = 211649,
  [SMALL_STATE(7343)] = 211662,
  [SMALL_STATE(7344)] = 211675,
  [SMALL_STATE(7345)] = 211688,
  [SMALL_STATE(7346)] = 211701,
  [SMALL_STATE(7347)] = 211714,
  [SMALL_STATE(7348)] = 211727,
  [SMALL_STATE(7349)] = 211740,
  [SMALL_STATE(7350)] = 211753,
  [SMALL_STATE(7351)] = 211766,
  [SMALL_STATE(7352)] = 211779,
  [SMALL_STATE(7353)] = 211792,
  [SMALL_STATE(7354)] = 211805,
  [SMALL_STATE(7355)] = 211818,
  [SMALL_STATE(7356)] = 211831,
  [SMALL_STATE(7357)] = 211844,
  [SMALL_STATE(7358)] = 211857,
  [SMALL_STATE(7359)] = 211870,
  [SMALL_STATE(7360)] = 211883,
  [SMALL_STATE(7361)] = 211896,
  [SMALL_STATE(7362)] = 211909,
  [SMALL_STATE(7363)] = 211922,
  [SMALL_STATE(7364)] = 211935,
  [SMALL_STATE(7365)] = 211948,
  [SMALL_STATE(7366)] = 211961,
  [SMALL_STATE(7367)] = 211974,
  [SMALL_STATE(7368)] = 211987,
  [SMALL_STATE(7369)] = 212000,
  [SMALL_STATE(7370)] = 212013,
  [SMALL_STATE(7371)] = 212026,
  [SMALL_STATE(7372)] = 212039,
  [SMALL_STATE(7373)] = 212052,
  [SMALL_STATE(7374)] = 212065,
  [SMALL_STATE(7375)] = 212078,
  [SMALL_STATE(7376)] = 212091,
  [SMALL_STATE(7377)] = 212104,
  [SMALL_STATE(7378)] = 212117,
  [SMALL_STATE(7379)] = 212130,
  [SMALL_STATE(7380)] = 212143,
  [SMALL_STATE(7381)] = 212156,
  [SMALL_STATE(7382)] = 212169,
  [SMALL_STATE(7383)] = 212182,
  [SMALL_STATE(7384)] = 212195,
  [SMALL_STATE(7385)] = 212208,
  [SMALL_STATE(7386)] = 212221,
  [SMALL_STATE(7387)] = 212234,
  [SMALL_STATE(7388)] = 212247,
  [SMALL_STATE(7389)] = 212260,
  [SMALL_STATE(7390)] = 212273,
  [SMALL_STATE(7391)] = 212286,
  [SMALL_STATE(7392)] = 212299,
  [SMALL_STATE(7393)] = 212312,
  [SMALL_STATE(7394)] = 212325,
  [SMALL_STATE(7395)] = 212338,
  [SMALL_STATE(7396)] = 212351,
  [SMALL_STATE(7397)] = 212364,
  [SMALL_STATE(7398)] = 212377,
  [SMALL_STATE(7399)] = 212390,
  [SMALL_STATE(7400)] = 212403,
  [SMALL_STATE(7401)] = 212416,
  [SMALL_STATE(7402)] = 212429,
  [SMALL_STATE(7403)] = 212442,
  [SMALL_STATE(7404)] = 212455,
  [SMALL_STATE(7405)] = 212468,
  [SMALL_STATE(7406)] = 212481,
  [SMALL_STATE(7407)] = 212494,
  [SMALL_STATE(7408)] = 212507,
  [SMALL_STATE(7409)] = 212520,
  [SMALL_STATE(7410)] = 212533,
  [SMALL_STATE(7411)] = 212546,
  [SMALL_STATE(7412)] = 212559,
  [SMALL_STATE(7413)] = 212572,
  [SMALL_STATE(7414)] = 212585,
  [SMALL_STATE(7415)] = 212598,
  [SMALL_STATE(7416)] = 212611,
  [SMALL_STATE(7417)] = 212624,
  [SMALL_STATE(7418)] = 212637,
  [SMALL_STATE(7419)] = 212650,
  [SMALL_STATE(7420)] = 212663,
  [SMALL_STATE(7421)] = 212676,
  [SMALL_STATE(7422)] = 212689,
  [SMALL_STATE(7423)] = 212702,
  [SMALL_STATE(7424)] = 212715,
  [SMALL_STATE(7425)] = 212728,
  [SMALL_STATE(7426)] = 212741,
  [SMALL_STATE(7427)] = 212754,
  [SMALL_STATE(7428)] = 212767,
  [SMALL_STATE(7429)] = 212780,
  [SMALL_STATE(7430)] = 212793,
  [SMALL_STATE(7431)] = 212806,
  [SMALL_STATE(7432)] = 212819,
  [SMALL_STATE(7433)] = 212832,
  [SMALL_STATE(7434)] = 212845,
  [SMALL_STATE(7435)] = 212858,
  [SMALL_STATE(7436)] = 212871,
  [SMALL_STATE(7437)] = 212884,
  [SMALL_STATE(7438)] = 212897,
  [SMALL_STATE(7439)] = 212910,
  [SMALL_STATE(7440)] = 212923,
  [SMALL_STATE(7441)] = 212936,
  [SMALL_STATE(7442)] = 212949,
  [SMALL_STATE(7443)] = 212962,
  [SMALL_STATE(7444)] = 212975,
  [SMALL_STATE(7445)] = 212988,
  [SMALL_STATE(7446)] = 213001,
  [SMALL_STATE(7447)] = 213014,
  [SMALL_STATE(7448)] = 213027,
  [SMALL_STATE(7449)] = 213040,
  [SMALL_STATE(7450)] = 213053,
  [SMALL_STATE(7451)] = 213066,
  [SMALL_STATE(7452)] = 213079,
  [SMALL_STATE(7453)] = 213092,
  [SMALL_STATE(7454)] = 213105,
  [SMALL_STATE(7455)] = 213118,
  [SMALL_STATE(7456)] = 213131,
  [SMALL_STATE(7457)] = 213144,
  [SMALL_STATE(7458)] = 213157,
  [SMALL_STATE(7459)] = 213170,
  [SMALL_STATE(7460)] = 213183,
  [SMALL_STATE(7461)] = 213196,
  [SMALL_STATE(7462)] = 213209,
  [SMALL_STATE(7463)] = 213222,
  [SMALL_STATE(7464)] = 213235,
  [SMALL_STATE(7465)] = 213248,
  [SMALL_STATE(7466)] = 213261,
  [SMALL_STATE(7467)] = 213274,
  [SMALL_STATE(7468)] = 213287,
  [SMALL_STATE(7469)] = 213300,
  [SMALL_STATE(7470)] = 213313,
  [SMALL_STATE(7471)] = 213326,
  [SMALL_STATE(7472)] = 213339,
  [SMALL_STATE(7473)] = 213352,
  [SMALL_STATE(7474)] = 213365,
  [SMALL_STATE(7475)] = 213378,
  [SMALL_STATE(7476)] = 213391,
  [SMALL_STATE(7477)] = 213404,
  [SMALL_STATE(7478)] = 213417,
  [SMALL_STATE(7479)] = 213430,
  [SMALL_STATE(7480)] = 213443,
  [SMALL_STATE(7481)] = 213456,
  [SMALL_STATE(7482)] = 213469,
  [SMALL_STATE(7483)] = 213482,
  [SMALL_STATE(7484)] = 213495,
  [SMALL_STATE(7485)] = 213508,
  [SMALL_STATE(7486)] = 213521,
  [SMALL_STATE(7487)] = 213534,
  [SMALL_STATE(7488)] = 213547,
  [SMALL_STATE(7489)] = 213560,
  [SMALL_STATE(7490)] = 213573,
  [SMALL_STATE(7491)] = 213586,
  [SMALL_STATE(7492)] = 213599,
  [SMALL_STATE(7493)] = 213612,
  [SMALL_STATE(7494)] = 213625,
  [SMALL_STATE(7495)] = 213638,
  [SMALL_STATE(7496)] = 213651,
  [SMALL_STATE(7497)] = 213664,
  [SMALL_STATE(7498)] = 213677,
  [SMALL_STATE(7499)] = 213690,
  [SMALL_STATE(7500)] = 213703,
  [SMALL_STATE(7501)] = 213716,
  [SMALL_STATE(7502)] = 213729,
  [SMALL_STATE(7503)] = 213742,
  [SMALL_STATE(7504)] = 213755,
  [SMALL_STATE(7505)] = 213768,
  [SMALL_STATE(7506)] = 213781,
  [SMALL_STATE(7507)] = 213794,
  [SMALL_STATE(7508)] = 213807,
  [SMALL_STATE(7509)] = 213820,
  [SMALL_STATE(7510)] = 213833,
  [SMALL_STATE(7511)] = 213846,
  [SMALL_STATE(7512)] = 213859,
  [SMALL_STATE(7513)] = 213872,
  [SMALL_STATE(7514)] = 213885,
  [SMALL_STATE(7515)] = 213898,
  [SMALL_STATE(7516)] = 213911,
  [SMALL_STATE(7517)] = 213924,
  [SMALL_STATE(7518)] = 213937,
  [SMALL_STATE(7519)] = 213950,
  [SMALL_STATE(7520)] = 213963,
  [SMALL_STATE(7521)] = 213976,
  [SMALL_STATE(7522)] = 213989,
  [SMALL_STATE(7523)] = 214002,
  [SMALL_STATE(7524)] = 214015,
  [SMALL_STATE(7525)] = 214028,
  [SMALL_STATE(7526)] = 214041,
  [SMALL_STATE(7527)] = 214054,
  [SMALL_STATE(7528)] = 214067,
  [SMALL_STATE(7529)] = 214080,
  [SMALL_STATE(7530)] = 214093,
  [SMALL_STATE(7531)] = 214106,
  [SMALL_STATE(7532)] = 214119,
  [SMALL_STATE(7533)] = 214132,
  [SMALL_STATE(7534)] = 214145,
  [SMALL_STATE(7535)] = 214158,
  [SMALL_STATE(7536)] = 214171,
  [SMALL_STATE(7537)] = 214184,
  [SMALL_STATE(7538)] = 214197,
  [SMALL_STATE(7539)] = 214210,
  [SMALL_STATE(7540)] = 214223,
  [SMALL_STATE(7541)] = 214236,
  [SMALL_STATE(7542)] = 214249,
  [SMALL_STATE(7543)] = 214262,
  [SMALL_STATE(7544)] = 214275,
  [SMALL_STATE(7545)] = 214288,
  [SMALL_STATE(7546)] = 214301,
  [SMALL_STATE(7547)] = 214314,
  [SMALL_STATE(7548)] = 214327,
  [SMALL_STATE(7549)] = 214340,
  [SMALL_STATE(7550)] = 214353,
  [SMALL_STATE(7551)] = 214366,
  [SMALL_STATE(7552)] = 214379,
  [SMALL_STATE(7553)] = 214392,
  [SMALL_STATE(7554)] = 214405,
  [SMALL_STATE(7555)] = 214418,
  [SMALL_STATE(7556)] = 214431,
  [SMALL_STATE(7557)] = 214444,
  [SMALL_STATE(7558)] = 214457,
  [SMALL_STATE(7559)] = 214470,
  [SMALL_STATE(7560)] = 214483,
  [SMALL_STATE(7561)] = 214496,
  [SMALL_STATE(7562)] = 214509,
  [SMALL_STATE(7563)] = 214522,
  [SMALL_STATE(7564)] = 214535,
  [SMALL_STATE(7565)] = 214548,
  [SMALL_STATE(7566)] = 214561,
  [SMALL_STATE(7567)] = 214574,
  [SMALL_STATE(7568)] = 214587,
  [SMALL_STATE(7569)] = 214600,
  [SMALL_STATE(7570)] = 214613,
  [SMALL_STATE(7571)] = 214626,
  [SMALL_STATE(7572)] = 214639,
  [SMALL_STATE(7573)] = 214652,
  [SMALL_STATE(7574)] = 214665,
  [SMALL_STATE(7575)] = 214678,
  [SMALL_STATE(7576)] = 214691,
  [SMALL_STATE(7577)] = 214704,
  [SMALL_STATE(7578)] = 214717,
  [SMALL_STATE(7579)] = 214730,
  [SMALL_STATE(7580)] = 214743,
  [SMALL_STATE(7581)] = 214756,
  [SMALL_STATE(7582)] = 214769,
  [SMALL_STATE(7583)] = 214782,
  [SMALL_STATE(7584)] = 214795,
  [SMALL_STATE(7585)] = 214808,
  [SMALL_STATE(7586)] = 214821,
  [SMALL_STATE(7587)] = 214834,
  [SMALL_STATE(7588)] = 214847,
  [SMALL_STATE(7589)] = 214860,
  [SMALL_STATE(7590)] = 214873,
  [SMALL_STATE(7591)] = 214886,
  [SMALL_STATE(7592)] = 214899,
  [SMALL_STATE(7593)] = 214912,
  [SMALL_STATE(7594)] = 214925,
  [SMALL_STATE(7595)] = 214938,
  [SMALL_STATE(7596)] = 214951,
  [SMALL_STATE(7597)] = 214964,
  [SMALL_STATE(7598)] = 214977,
  [SMALL_STATE(7599)] = 214990,
  [SMALL_STATE(7600)] = 215003,
  [SMALL_STATE(7601)] = 215016,
  [SMALL_STATE(7602)] = 215029,
  [SMALL_STATE(7603)] = 215042,
  [SMALL_STATE(7604)] = 215055,
  [SMALL_STATE(7605)] = 215068,
  [SMALL_STATE(7606)] = 215081,
  [SMALL_STATE(7607)] = 215094,
  [SMALL_STATE(7608)] = 215107,
  [SMALL_STATE(7609)] = 215120,
  [SMALL_STATE(7610)] = 215133,
  [SMALL_STATE(7611)] = 215146,
  [SMALL_STATE(7612)] = 215159,
  [SMALL_STATE(7613)] = 215172,
  [SMALL_STATE(7614)] = 215185,
  [SMALL_STATE(7615)] = 215198,
  [SMALL_STATE(7616)] = 215211,
  [SMALL_STATE(7617)] = 215224,
  [SMALL_STATE(7618)] = 215237,
  [SMALL_STATE(7619)] = 215250,
  [SMALL_STATE(7620)] = 215263,
  [SMALL_STATE(7621)] = 215276,
  [SMALL_STATE(7622)] = 215289,
  [SMALL_STATE(7623)] = 215302,
  [SMALL_STATE(7624)] = 215315,
  [SMALL_STATE(7625)] = 215328,
  [SMALL_STATE(7626)] = 215341,
  [SMALL_STATE(7627)] = 215354,
  [SMALL_STATE(7628)] = 215367,
  [SMALL_STATE(7629)] = 215380,
  [SMALL_STATE(7630)] = 215393,
  [SMALL_STATE(7631)] = 215406,
  [SMALL_STATE(7632)] = 215419,
  [SMALL_STATE(7633)] = 215432,
  [SMALL_STATE(7634)] = 215445,
  [SMALL_STATE(7635)] = 215458,
  [SMALL_STATE(7636)] = 215471,
  [SMALL_STATE(7637)] = 215484,
  [SMALL_STATE(7638)] = 215497,
  [SMALL_STATE(7639)] = 215510,
  [SMALL_STATE(7640)] = 215523,
  [SMALL_STATE(7641)] = 215536,
  [SMALL_STATE(7642)] = 215549,
  [SMALL_STATE(7643)] = 215562,
  [SMALL_STATE(7644)] = 215575,
  [SMALL_STATE(7645)] = 215588,
  [SMALL_STATE(7646)] = 215601,
  [SMALL_STATE(7647)] = 215614,
  [SMALL_STATE(7648)] = 215627,
  [SMALL_STATE(7649)] = 215640,
  [SMALL_STATE(7650)] = 215653,
  [SMALL_STATE(7651)] = 215666,
  [SMALL_STATE(7652)] = 215679,
  [SMALL_STATE(7653)] = 215692,
  [SMALL_STATE(7654)] = 215705,
  [SMALL_STATE(7655)] = 215718,
  [SMALL_STATE(7656)] = 215731,
  [SMALL_STATE(7657)] = 215744,
  [SMALL_STATE(7658)] = 215757,
  [SMALL_STATE(7659)] = 215770,
  [SMALL_STATE(7660)] = 215783,
  [SMALL_STATE(7661)] = 215796,
  [SMALL_STATE(7662)] = 215809,
};

static const TSParseActionEntry ts_parse_actions[] = {
  [0] = {.entry = {.count = 0, .reusable = false}},
  [1] = {.entry = {.count = 1, .reusable = false}}, RECOVER(),
  [3] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7662),
  [5] = {.entry = {.count = 1, .reusable = true}}, SHIFT_EXTRA(),
  [7] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_program, 0),
  [9] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2125),
  [11] = {.entry = {.count = 1, .reusable = false}}, SHIFT(37),
  [13] = {.entry = {.count = 1, .reusable = false}}, SHIFT(820),
  [15] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2107),
  [17] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1972),
  [19] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8),
  [21] = {.entry = {.count = 1, .reusable = false}}, SHIFT(553),
  [23] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3789),
  [25] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6485),
  [27] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4651),
  [29] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1979),
  [31] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4451),
  [33] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6500),
  [35] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6501),
  [37] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5804),
  [39] = {.entry = {.count = 1, .reusable = false}}, SHIFT(249),
  [41] = {.entry = {.count = 1, .reusable = false}}, SHIFT(561),
  [43] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6522),
  [45] = {.entry = {.count = 1, .reusable = false}}, SHIFT(106),
  [47] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6526),
  [49] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5819),
  [51] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5821),
  [53] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6569),
  [55] = {.entry = {.count = 1, .reusable = false}}, SHIFT(451),
  [57] = {.entry = {.count = 1, .reusable = false}}, SHIFT(493),
  [59] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1570),
  [61] = {.entry = {.count = 1, .reusable = false}}, SHIFT(222),
  [63] = {.entry = {.count = 1, .reusable = false}}, SHIFT(266),
  [65] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6580),
  [67] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5653),
  [69] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5635),
  [71] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4202),
  [73] = {.entry = {.count = 1, .reusable = false}}, SHIFT(861),
  [75] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4691),
  [77] = {.entry = {.count = 1, .reusable = false}}, SHIFT(164),
  [79] = {.entry = {.count = 1, .reusable = false}}, SHIFT(583),
  [81] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7525),
  [83] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4474),
  [85] = {.entry = {.count = 1, .reusable = false}}, SHIFT(589),
  [87] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4841),
  [89] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3113),
  [91] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7518),
  [93] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3130),
  [95] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5857),
  [97] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2169),
  [99] = {.entry = {.count = 1, .reusable = false}}, SHIFT(833),
  [101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1977),
  [103] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7499),
  [105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7497),
  [107] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7496),
  [109] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2077),
  [111] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2064),
  [113] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3870),
  [115] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_pattern, 1, .dynamic_precedence = -1, .production_id = 1), SHIFT(677),
  [118] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_primary_expression, 1, .production_id = 1),
  [120] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1965),
  [122] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1820),
  [124] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pattern, 1, .dynamic_precedence = -1, .production_id = 1),
  [126] = {.entry = {.count = 1, .reusable = false}}, SHIFT(357),
  [128] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5456),
  [130] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3873),
  [132] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, .production_id = 1), SHIFT(743),
  [135] = {.entry = {.count = 1, .reusable = false}}, SHIFT(152),
  [137] = {.entry = {.count = 1, .reusable = false}}, SHIFT(744),
  [139] = {.entry = {.count = 1, .reusable = false}}, SHIFT(228),
  [141] = {.entry = {.count = 1, .reusable = false}}, SHIFT(125),
  [143] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5602),
  [145] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5601),
  [147] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4203),
  [149] = {.entry = {.count = 1, .reusable = false}}, SHIFT(848),
  [151] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4754),
  [153] = {.entry = {.count = 1, .reusable = false}}, SHIFT(488),
  [155] = {.entry = {.count = 1, .reusable = false}}, SHIFT(167),
  [157] = {.entry = {.count = 1, .reusable = false}}, SHIFT(749),
  [159] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__augmented_assignment_lhs, 1, .production_id = 1),
  [161] = {.entry = {.count = 1, .reusable = false}}, SHIFT(790),
  [163] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1944),
  [165] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1917),
  [167] = {.entry = {.count = 1, .reusable = false}}, SHIFT(685),
  [169] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, .production_id = 1), SHIFT(7359),
  [172] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4460),
  [174] = {.entry = {.count = 1, .reusable = false}}, SHIFT(743),
  [176] = {.entry = {.count = 1, .reusable = false}}, SHIFT(283),
  [178] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, .production_id = 1), SHIFT(675),
  [181] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4461),
  [183] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3103),
  [185] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7261),
  [187] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3043),
  [189] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2723),
  [191] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2954),
  [193] = {.entry = {.count = 1, .reusable = false}}, SHIFT(245),
  [195] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1857),
  [197] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2088),
  [199] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7195),
  [201] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7202),
  [203] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1865),
  [205] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7457),
  [207] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3825),
  [209] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2217),
  [211] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_primary_expression, 1, .production_id = 1),
  [213] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_pattern, 1, .dynamic_precedence = -1, .production_id = 1), SHIFT(555),
  [216] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, .production_id = 1), REDUCE(sym_pattern, 1, .dynamic_precedence = -1, .production_id = 1),
  [219] = {.entry = {.count = 1, .reusable = false}}, SHIFT(538),
  [221] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2015),
  [223] = {.entry = {.count = 1, .reusable = false}}, SHIFT(809),
  [225] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3685),
  [227] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1995),
  [229] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1832),
  [231] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2353),
  [233] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3007),
  [235] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1839),
  [237] = {.entry = {.count = 1, .reusable = false}}, SHIFT(265),
  [239] = {.entry = {.count = 1, .reusable = false}}, SHIFT(811),
  [241] = {.entry = {.count = 1, .reusable = false}}, SHIFT(131),
  [243] = {.entry = {.count = 1, .reusable = false}}, SHIFT(738),
  [245] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3277),
  [247] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5346),
  [249] = {.entry = {.count = 1, .reusable = false}}, SHIFT(822),
  [251] = {.entry = {.count = 1, .reusable = false}}, SHIFT(824),
  [253] = {.entry = {.count = 1, .reusable = false}}, SHIFT(825),
  [255] = {.entry = {.count = 1, .reusable = false}}, SHIFT(813),
  [257] = {.entry = {.count = 1, .reusable = false}}, SHIFT(836),
  [259] = {.entry = {.count = 1, .reusable = false}}, SHIFT(846),
  [261] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1838),
  [263] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2014),
  [265] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2023),
  [267] = {.entry = {.count = 1, .reusable = false}}, SHIFT(808),
  [269] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1999),
  [271] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1828),
  [273] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2374),
  [275] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1829),
  [277] = {.entry = {.count = 1, .reusable = false}}, SHIFT(812),
  [279] = {.entry = {.count = 1, .reusable = false}}, SHIFT(127),
  [281] = {.entry = {.count = 1, .reusable = false}}, SHIFT(823),
  [283] = {.entry = {.count = 1, .reusable = false}}, SHIFT(828),
  [285] = {.entry = {.count = 1, .reusable = false}}, SHIFT(829),
  [287] = {.entry = {.count = 1, .reusable = false}}, SHIFT(815),
  [289] = {.entry = {.count = 1, .reusable = false}}, SHIFT(840),
  [291] = {.entry = {.count = 1, .reusable = false}}, SHIFT(839),
  [293] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1835),
  [295] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2029),
  [297] = {.entry = {.count = 1, .reusable = false}}, SHIFT(294),
  [299] = {.entry = {.count = 1, .reusable = false}}, SHIFT(303),
  [301] = {.entry = {.count = 1, .reusable = false}}, SHIFT(402),
  [303] = {.entry = {.count = 1, .reusable = false}}, SHIFT(306),
  [305] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2025),
  [307] = {.entry = {.count = 1, .reusable = false}}, SHIFT(807),
  [309] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1996),
  [311] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1836),
  [313] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1834),
  [315] = {.entry = {.count = 1, .reusable = false}}, SHIFT(810),
  [317] = {.entry = {.count = 1, .reusable = false}}, SHIFT(132),
  [319] = {.entry = {.count = 1, .reusable = false}}, SHIFT(821),
  [321] = {.entry = {.count = 1, .reusable = false}}, SHIFT(826),
  [323] = {.entry = {.count = 1, .reusable = false}}, SHIFT(827),
  [325] = {.entry = {.count = 1, .reusable = false}}, SHIFT(814),
  [327] = {.entry = {.count = 1, .reusable = false}}, SHIFT(835),
  [329] = {.entry = {.count = 1, .reusable = false}}, SHIFT(843),
  [331] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1827),
  [333] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2000),
  [335] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2993),
  [337] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2116),
  [339] = {.entry = {.count = 1, .reusable = false}}, SHIFT(819),
  [341] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_default, 2),
  [343] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2104),
  [345] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1983),
  [347] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7),
  [349] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3787),
  [351] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7154),
  [353] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4638),
  [355] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1976),
  [357] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4469),
  [359] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7074),
  [361] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7127),
  [363] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6019),
  [365] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7150),
  [367] = {.entry = {.count = 1, .reusable = false}}, SHIFT(119),
  [369] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7149),
  [371] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6023),
  [373] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6024),
  [375] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7148),
  [377] = {.entry = {.count = 1, .reusable = false}}, SHIFT(455),
  [379] = {.entry = {.count = 1, .reusable = false}}, SHIFT(503),
  [381] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1385),
  [383] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4182),
  [385] = {.entry = {.count = 1, .reusable = false}}, SHIFT(852),
  [387] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4523),
  [389] = {.entry = {.count = 1, .reusable = false}}, SHIFT(168),
  [391] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2117),
  [393] = {.entry = {.count = 1, .reusable = false}}, SHIFT(830),
  [395] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1981),
  [397] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7592),
  [399] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7265),
  [401] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7266),
  [403] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(2116),
  [406] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(819),
  [409] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2),
  [411] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(2104),
  [414] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1983),
  [417] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(7),
  [420] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(553),
  [423] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(3787),
  [426] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(7154),
  [429] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(4638),
  [432] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1976),
  [435] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(4469),
  [438] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(7074),
  [441] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(7127),
  [444] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(6019),
  [447] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(249),
  [450] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(561),
  [453] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(7150),
  [456] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(119),
  [459] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(7149),
  [462] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(6023),
  [465] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(6024),
  [468] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(7148),
  [471] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(455),
  [474] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(503),
  [477] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1385),
  [480] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(222),
  [483] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(266),
  [486] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(6580),
  [489] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(5653),
  [492] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(5635),
  [495] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(4182),
  [498] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(852),
  [501] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(4523),
  [504] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(168),
  [507] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(583),
  [510] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(7525),
  [513] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(4474),
  [516] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(589),
  [519] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(4841),
  [522] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(3113),
  [525] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(7518),
  [528] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(3130),
  [531] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(5857),
  [534] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(2117),
  [537] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(830),
  [540] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1981),
  [543] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(7592),
  [546] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(7265),
  [549] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(7266),
  [552] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_default, 3, .production_id = 51),
  [554] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_case, 3, .production_id = 88),
  [556] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_case, 4, .production_id = 238),
  [558] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2),
  [560] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(2125),
  [563] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(820),
  [566] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(2107),
  [569] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1972),
  [572] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(8),
  [575] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(3789),
  [578] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(6485),
  [581] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(4651),
  [584] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1979),
  [587] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(4451),
  [590] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(6500),
  [593] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(6501),
  [596] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(5804),
  [599] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(6522),
  [602] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(106),
  [605] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(6526),
  [608] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(5819),
  [611] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(5821),
  [614] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(6569),
  [617] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(451),
  [620] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(493),
  [623] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1570),
  [626] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(4202),
  [629] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(861),
  [632] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(4691),
  [635] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(164),
  [638] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(2169),
  [641] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(833),
  [644] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1977),
  [647] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(7499),
  [650] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(7497),
  [653] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(7496),
  [656] = {.entry = {.count = 1, .reusable = false}}, SHIFT(926),
  [658] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_program, 2),
  [660] = {.entry = {.count = 1, .reusable = false}}, SHIFT(934),
  [662] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4711),
  [664] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1216),
  [666] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1532),
  [668] = {.entry = {.count = 1, .reusable = false}}, SHIFT(919),
  [670] = {.entry = {.count = 1, .reusable = false}}, SHIFT(907),
  [672] = {.entry = {.count = 1, .reusable = false}}, SHIFT(955),
  [674] = {.entry = {.count = 1, .reusable = false}}, SHIFT(924),
  [676] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2574),
  [678] = {.entry = {.count = 1, .reusable = false}}, SHIFT(899),
  [680] = {.entry = {.count = 1, .reusable = false}}, SHIFT(301),
  [682] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2571),
  [684] = {.entry = {.count = 1, .reusable = false}}, SHIFT(327),
  [686] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1119),
  [688] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1117),
  [690] = {.entry = {.count = 1, .reusable = false}}, SHIFT(967),
  [692] = {.entry = {.count = 1, .reusable = false}}, SHIFT(947),
  [694] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_program, 1),
  [696] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1087),
  [698] = {.entry = {.count = 1, .reusable = false}}, SHIFT(886),
  [700] = {.entry = {.count = 1, .reusable = false}}, SHIFT(883),
  [702] = {.entry = {.count = 1, .reusable = false}}, SHIFT(903),
  [704] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1108),
  [706] = {.entry = {.count = 1, .reusable = false}}, SHIFT(954),
  [708] = {.entry = {.count = 1, .reusable = false}}, SHIFT(421),
  [710] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1308),
  [712] = {.entry = {.count = 1, .reusable = false}}, SHIFT(432),
  [714] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3524),
  [716] = {.entry = {.count = 1, .reusable = false}}, SHIFT(904),
  [718] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3526),
  [720] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1389),
  [722] = {.entry = {.count = 1, .reusable = false}}, SHIFT(892),
  [724] = {.entry = {.count = 1, .reusable = false}}, SHIFT(420),
  [726] = {.entry = {.count = 1, .reusable = false}}, SHIFT(458),
  [728] = {.entry = {.count = 1, .reusable = false}}, SHIFT(372),
  [730] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1126),
  [732] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3519),
  [734] = {.entry = {.count = 1, .reusable = false}}, SHIFT(894),
  [736] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2500),
  [738] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1098),
  [740] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1078),
  [742] = {.entry = {.count = 1, .reusable = false}}, SHIFT(419),
  [744] = {.entry = {.count = 1, .reusable = false}}, SHIFT(932),
  [746] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3518),
  [748] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1077),
  [750] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4501),
  [752] = {.entry = {.count = 1, .reusable = false}}, SHIFT(944),
  [754] = {.entry = {.count = 1, .reusable = false}}, SHIFT(930),
  [756] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2437),
  [758] = {.entry = {.count = 1, .reusable = false}}, SHIFT(963),
  [760] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4721),
  [762] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4671),
  [764] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2120),
  [766] = {.entry = {.count = 1, .reusable = false}}, SHIFT(818),
  [768] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2095),
  [770] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1980),
  [772] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6),
  [774] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3793),
  [776] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6730),
  [778] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4647),
  [780] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1973),
  [782] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4476),
  [784] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6481),
  [786] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7028),
  [788] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6288),
  [790] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6728),
  [792] = {.entry = {.count = 1, .reusable = false}}, SHIFT(93),
  [794] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6727),
  [796] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6292),
  [798] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6293),
  [800] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6726),
  [802] = {.entry = {.count = 1, .reusable = false}}, SHIFT(425),
  [804] = {.entry = {.count = 1, .reusable = false}}, SHIFT(536),
  [806] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1106),
  [808] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4190),
  [810] = {.entry = {.count = 1, .reusable = false}}, SHIFT(859),
  [812] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4720),
  [814] = {.entry = {.count = 1, .reusable = false}}, SHIFT(158),
  [816] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2121),
  [818] = {.entry = {.count = 1, .reusable = false}}, SHIFT(831),
  [820] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1985),
  [822] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7617),
  [824] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7326),
  [826] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7327),
  [828] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2143),
  [830] = {.entry = {.count = 1, .reusable = false}}, SHIFT(816),
  [832] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2091),
  [834] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1984),
  [836] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9),
  [838] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3788),
  [840] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6713),
  [842] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4507),
  [844] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1978),
  [846] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4480),
  [848] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6810),
  [850] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7075),
  [852] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5885),
  [854] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6689),
  [856] = {.entry = {.count = 1, .reusable = false}}, SHIFT(118),
  [858] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6688),
  [860] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5873),
  [862] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5872),
  [864] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6548),
  [866] = {.entry = {.count = 1, .reusable = false}}, SHIFT(424),
  [868] = {.entry = {.count = 1, .reusable = false}}, SHIFT(484),
  [870] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1218),
  [872] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4184),
  [874] = {.entry = {.count = 1, .reusable = false}}, SHIFT(855),
  [876] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4682),
  [878] = {.entry = {.count = 1, .reusable = false}}, SHIFT(166),
  [880] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2127),
  [882] = {.entry = {.count = 1, .reusable = false}}, SHIFT(834),
  [884] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1974),
  [886] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7529),
  [888] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7226),
  [890] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7224),
  [892] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2156),
  [894] = {.entry = {.count = 1, .reusable = false}}, SHIFT(817),
  [896] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2085),
  [898] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1989),
  [900] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4),
  [902] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3791),
  [904] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6531),
  [906] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4672),
  [908] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1986),
  [910] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4463),
  [912] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6831),
  [914] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6832),
  [916] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6467),
  [918] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6527),
  [920] = {.entry = {.count = 1, .reusable = false}}, SHIFT(115),
  [922] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6516),
  [924] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6468),
  [926] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6469),
  [928] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6633),
  [930] = {.entry = {.count = 1, .reusable = false}}, SHIFT(460),
  [932] = {.entry = {.count = 1, .reusable = false}}, SHIFT(474),
  [934] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6907),
  [936] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4206),
  [938] = {.entry = {.count = 1, .reusable = false}}, SHIFT(857),
  [940] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4546),
  [942] = {.entry = {.count = 1, .reusable = false}}, SHIFT(156),
  [944] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2157),
  [946] = {.entry = {.count = 1, .reusable = false}}, SHIFT(832),
  [948] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1988),
  [950] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7372),
  [952] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7358),
  [954] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7357),
  [956] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2052),
  [958] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2055),
  [960] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1966),
  [962] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1818),
  [964] = {.entry = {.count = 1, .reusable = false}}, SHIFT(289),
  [966] = {.entry = {.count = 1, .reusable = false}}, SHIFT(348),
  [968] = {.entry = {.count = 1, .reusable = false}}, SHIFT(752),
  [970] = {.entry = {.count = 1, .reusable = false}}, SHIFT(750),
  [972] = {.entry = {.count = 1, .reusable = false}}, SHIFT(220),
  [974] = {.entry = {.count = 1, .reusable = false}}, SHIFT(126),
  [976] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2805),
  [978] = {.entry = {.count = 1, .reusable = false}}, SHIFT(849),
  [980] = {.entry = {.count = 1, .reusable = false}}, SHIFT(147),
  [982] = {.entry = {.count = 1, .reusable = false}}, SHIFT(617),
  [984] = {.entry = {.count = 1, .reusable = false}}, SHIFT(219),
  [986] = {.entry = {.count = 1, .reusable = false}}, SHIFT(557),
  [988] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7359),
  [990] = {.entry = {.count = 1, .reusable = false}}, SHIFT(270),
  [992] = {.entry = {.count = 1, .reusable = false}}, SHIFT(552),
  [994] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7642),
  [996] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3410),
  [998] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3149),
  [1000] = {.entry = {.count = 1, .reusable = false}}, SHIFT(250),
  [1002] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2165),
  [1004] = {.entry = {.count = 1, .reusable = false}}, SHIFT(284),
  [1006] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2493),
  [1008] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2979),
  [1010] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2940),
  [1012] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2142),
  [1014] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2153),
  [1016] = {.entry = {.count = 1, .reusable = false}}, SHIFT(619),
  [1018] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1975),
  [1020] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2315),
  [1022] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2539),
  [1024] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__property_name, 1, .production_id = 7), SHIFT(96),
  [1027] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7210),
  [1029] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4186),
  [1031] = {.entry = {.count = 1, .reusable = false}}, SHIFT(862),
  [1033] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4649),
  [1035] = {.entry = {.count = 1, .reusable = false}}, SHIFT(485),
  [1037] = {.entry = {.count = 1, .reusable = false}}, SHIFT(159),
  [1039] = {.entry = {.count = 1, .reusable = false}}, SHIFT(675),
  [1041] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3017),
  [1043] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__property_name, 1, .production_id = 7),
  [1045] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3101),
  [1047] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2737),
  [1049] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2978),
  [1051] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3061),
  [1053] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2704),
  [1055] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3145),
  [1057] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2748),
  [1059] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3404),
  [1061] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2061),
  [1063] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2334),
  [1065] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, .production_id = 1), SHIFT(248),
  [1068] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, .production_id = 1), SHIFT(271),
  [1071] = {.entry = {.count = 1, .reusable = false}}, SHIFT(144),
  [1073] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, .production_id = 1), SHIFT(4460),
  [1076] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, .production_id = 1), SHIFT(4785),
  [1079] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3120),
  [1081] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2790),
  [1083] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3158),
  [1085] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3176),
  [1087] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3262),
  [1089] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3185),
  [1091] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3325),
  [1093] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3249),
  [1095] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2277),
  [1097] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2259),
  [1099] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2059),
  [1101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2309),
  [1103] = {.entry = {.count = 1, .reusable = false}}, SHIFT(248),
  [1105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(268),
  [1107] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7519),
  [1109] = {.entry = {.count = 1, .reusable = false}}, SHIFT(895),
  [1111] = {.entry = {.count = 1, .reusable = false}}, SHIFT(202),
  [1113] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4785),
  [1115] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2516),
  [1117] = {.entry = {.count = 1, .reusable = false}}, SHIFT(677),
  [1119] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_rest_pattern, 2, .production_id = 28),
  [1121] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2094),
  [1123] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2102),
  [1125] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1970),
  [1127] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2327),
  [1129] = {.entry = {.count = 1, .reusable = false}}, SHIFT(267),
  [1131] = {.entry = {.count = 1, .reusable = false}}, SHIFT(851),
  [1133] = {.entry = {.count = 1, .reusable = false}}, SHIFT(151),
  [1135] = {.entry = {.count = 1, .reusable = false}}, SHIFT(555),
  [1137] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2062),
  [1139] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1815),
  [1141] = {.entry = {.count = 1, .reusable = false}}, SHIFT(414),
  [1143] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5991),
  [1145] = {.entry = {.count = 1, .reusable = false}}, SHIFT(130),
  [1147] = {.entry = {.count = 1, .reusable = false}}, SHIFT(603),
  [1149] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4475),
  [1151] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3327),
  [1153] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3040),
  [1155] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3042),
  [1157] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5789),
  [1159] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3),
  [1161] = {.entry = {.count = 1, .reusable = false}}, SHIFT(439),
  [1163] = {.entry = {.count = 1, .reusable = false}}, SHIFT(445),
  [1165] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2106),
  [1167] = {.entry = {.count = 1, .reusable = false}}, SHIFT(736),
  [1169] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2958),
  [1171] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2),
  [1173] = {.entry = {.count = 1, .reusable = false}}, SHIFT(457),
  [1175] = {.entry = {.count = 1, .reusable = false}}, SHIFT(447),
  [1177] = {.entry = {.count = 1, .reusable = false}}, SHIFT(90),
  [1179] = {.entry = {.count = 1, .reusable = false}}, SHIFT(122),
  [1181] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2118),
  [1183] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2137),
  [1185] = {.entry = {.count = 1, .reusable = false}}, SHIFT(610),
  [1187] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1987),
  [1189] = {.entry = {.count = 1, .reusable = false}}, SHIFT(854),
  [1191] = {.entry = {.count = 1, .reusable = false}}, SHIFT(530),
  [1193] = {.entry = {.count = 1, .reusable = false}}, SHIFT(171),
  [1195] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7198),
  [1197] = {.entry = {.count = 1, .reusable = false}}, SHIFT(96),
  [1199] = {.entry = {.count = 1, .reusable = false}}, SHIFT(91),
  [1201] = {.entry = {.count = 1, .reusable = false}}, SHIFT(89),
  [1203] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, .production_id = 1), SHIFT(499),
  [1206] = {.entry = {.count = 1, .reusable = false}}, SHIFT(499),
  [1208] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, .production_id = 1), REDUCE(sym_rest_pattern, 2, .production_id = 28),
  [1211] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2220),
  [1213] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2222),
  [1215] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_pattern, 1, .dynamic_precedence = -1, .production_id = 1), SHIFT(734),
  [1218] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2044),
  [1220] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1946),
  [1222] = {.entry = {.count = 1, .reusable = false}}, SHIFT(887),
  [1224] = {.entry = {.count = 1, .reusable = false}}, SHIFT(537),
  [1226] = {.entry = {.count = 1, .reusable = false}}, SHIFT(193),
  [1228] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2206),
  [1230] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2210),
  [1232] = {.entry = {.count = 1, .reusable = false}}, SHIFT(620),
  [1234] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2033),
  [1236] = {.entry = {.count = 1, .reusable = false}}, SHIFT(877),
  [1238] = {.entry = {.count = 1, .reusable = false}}, SHIFT(489),
  [1240] = {.entry = {.count = 1, .reusable = false}}, SHIFT(176),
  [1242] = {.entry = {.count = 1, .reusable = false}}, SHIFT(495),
  [1244] = {.entry = {.count = 1, .reusable = false}}, SHIFT(734),
  [1246] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1846),
  [1248] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2201),
  [1250] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2202),
  [1252] = {.entry = {.count = 1, .reusable = false}}, SHIFT(765),
  [1254] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2012),
  [1256] = {.entry = {.count = 1, .reusable = false}}, SHIFT(868),
  [1258] = {.entry = {.count = 1, .reusable = false}}, SHIFT(178),
  [1260] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2173),
  [1262] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2174),
  [1264] = {.entry = {.count = 1, .reusable = false}}, SHIFT(609),
  [1266] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1997),
  [1268] = {.entry = {.count = 1, .reusable = false}}, SHIFT(865),
  [1270] = {.entry = {.count = 1, .reusable = false}}, SHIFT(523),
  [1272] = {.entry = {.count = 1, .reusable = false}}, SHIFT(186),
  [1274] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7227),
  [1276] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2225),
  [1278] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2226),
  [1280] = {.entry = {.count = 1, .reusable = false}}, SHIFT(665),
  [1282] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2047),
  [1284] = {.entry = {.count = 1, .reusable = false}}, SHIFT(882),
  [1286] = {.entry = {.count = 1, .reusable = false}}, SHIFT(524),
  [1288] = {.entry = {.count = 1, .reusable = false}}, SHIFT(189),
  [1290] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7264),
  [1292] = {.entry = {.count = 1, .reusable = false}}, SHIFT(625),
  [1294] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2042),
  [1296] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4120),
  [1298] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1822),
  [1300] = {.entry = {.count = 1, .reusable = false}}, SHIFT(413),
  [1302] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4126),
  [1304] = {.entry = {.count = 1, .reusable = false}}, SHIFT(153),
  [1306] = {.entry = {.count = 1, .reusable = false}}, SHIFT(123),
  [1308] = {.entry = {.count = 1, .reusable = false}}, SHIFT(177),
  [1310] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1933),
  [1312] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1868),
  [1314] = {.entry = {.count = 1, .reusable = false}}, SHIFT(605),
  [1316] = {.entry = {.count = 1, .reusable = false}}, SHIFT(278),
  [1318] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4484),
  [1320] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3065),
  [1322] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3016),
  [1324] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2777),
  [1326] = {.entry = {.count = 1, .reusable = false}}, SHIFT(251),
  [1328] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1873),
  [1330] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2072),
  [1332] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7547),
  [1334] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7536),
  [1336] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1879),
  [1338] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7534),
  [1340] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4096),
  [1342] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2213),
  [1344] = {.entry = {.count = 1, .reusable = false}}, SHIFT(728),
  [1346] = {.entry = {.count = 1, .reusable = false}}, SHIFT(796),
  [1348] = {.entry = {.count = 1, .reusable = false}}, SHIFT(662),
  [1350] = {.entry = {.count = 1, .reusable = false}}, SHIFT(674),
  [1352] = {.entry = {.count = 1, .reusable = false}}, SHIFT(754),
  [1354] = {.entry = {.count = 1, .reusable = false}}, SHIFT(569),
  [1356] = {.entry = {.count = 1, .reusable = false}}, SHIFT(772),
  [1358] = {.entry = {.count = 1, .reusable = false}}, SHIFT(632),
  [1360] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2093),
  [1362] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2204),
  [1364] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2028),
  [1366] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1823),
  [1368] = {.entry = {.count = 1, .reusable = false}}, SHIFT(383),
  [1370] = {.entry = {.count = 1, .reusable = false}}, SHIFT(745),
  [1372] = {.entry = {.count = 1, .reusable = false}}, SHIFT(149),
  [1374] = {.entry = {.count = 1, .reusable = false}}, SHIFT(742),
  [1376] = {.entry = {.count = 1, .reusable = false}}, SHIFT(224),
  [1378] = {.entry = {.count = 1, .reusable = false}}, SHIFT(128),
  [1380] = {.entry = {.count = 1, .reusable = false}}, SHIFT(867),
  [1382] = {.entry = {.count = 1, .reusable = false}}, SHIFT(187),
  [1384] = {.entry = {.count = 1, .reusable = false}}, SHIFT(560),
  [1386] = {.entry = {.count = 1, .reusable = false}}, SHIFT(667),
  [1388] = {.entry = {.count = 1, .reusable = false}}, SHIFT(328),
  [1390] = {.entry = {.count = 1, .reusable = false}}, SHIFT(741),
  [1392] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4481),
  [1394] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3355),
  [1396] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7370),
  [1398] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3378),
  [1400] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3192),
  [1402] = {.entry = {.count = 1, .reusable = false}}, SHIFT(252),
  [1404] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2146),
  [1406] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2128),
  [1408] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2232),
  [1410] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2041),
  [1412] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1826),
  [1414] = {.entry = {.count = 1, .reusable = false}}, SHIFT(385),
  [1416] = {.entry = {.count = 1, .reusable = false}}, SHIFT(756),
  [1418] = {.entry = {.count = 1, .reusable = false}}, SHIFT(562),
  [1420] = {.entry = {.count = 1, .reusable = false}}, SHIFT(227),
  [1422] = {.entry = {.count = 1, .reusable = false}}, SHIFT(129),
  [1424] = {.entry = {.count = 1, .reusable = false}}, SHIFT(880),
  [1426] = {.entry = {.count = 1, .reusable = false}}, SHIFT(188),
  [1428] = {.entry = {.count = 1, .reusable = false}}, SHIFT(747),
  [1430] = {.entry = {.count = 1, .reusable = false}}, SHIFT(601),
  [1432] = {.entry = {.count = 1, .reusable = false}}, SHIFT(323),
  [1434] = {.entry = {.count = 1, .reusable = false}}, SHIFT(731),
  [1436] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4485),
  [1438] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2929),
  [1440] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7516),
  [1442] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3022),
  [1444] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3385),
  [1446] = {.entry = {.count = 1, .reusable = false}}, SHIFT(264),
  [1448] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2183),
  [1450] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2040),
  [1452] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2105),
  [1454] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1971),
  [1456] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1817),
  [1458] = {.entry = {.count = 1, .reusable = false}}, SHIFT(392),
  [1460] = {.entry = {.count = 1, .reusable = false}}, SHIFT(124),
  [1462] = {.entry = {.count = 1, .reusable = false}}, SHIFT(850),
  [1464] = {.entry = {.count = 1, .reusable = false}}, SHIFT(150),
  [1466] = {.entry = {.count = 1, .reusable = false}}, SHIFT(668),
  [1468] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4466),
  [1470] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2674),
  [1472] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2673),
  [1474] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2775),
  [1476] = {.entry = {.count = 1, .reusable = false}}, SHIFT(241),
  [1478] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2069),
  [1480] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2096),
  [1482] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2203),
  [1484] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2002),
  [1486] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1819),
  [1488] = {.entry = {.count = 1, .reusable = false}}, SHIFT(346),
  [1490] = {.entry = {.count = 1, .reusable = false}}, SHIFT(804),
  [1492] = {.entry = {.count = 1, .reusable = false}}, SHIFT(802),
  [1494] = {.entry = {.count = 1, .reusable = false}}, SHIFT(225),
  [1496] = {.entry = {.count = 1, .reusable = false}}, SHIFT(878),
  [1498] = {.entry = {.count = 1, .reusable = false}}, SHIFT(182),
  [1500] = {.entry = {.count = 1, .reusable = false}}, SHIFT(770),
  [1502] = {.entry = {.count = 1, .reusable = false}}, SHIFT(805),
  [1504] = {.entry = {.count = 1, .reusable = false}}, SHIFT(332),
  [1506] = {.entry = {.count = 1, .reusable = false}}, SHIFT(735),
  [1508] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7418),
  [1510] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3281),
  [1512] = {.entry = {.count = 1, .reusable = false}}, SHIFT(247),
  [1514] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2136),
  [1516] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2070),
  [1518] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2160),
  [1520] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1990),
  [1522] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1824),
  [1524] = {.entry = {.count = 1, .reusable = false}}, SHIFT(373),
  [1526] = {.entry = {.count = 1, .reusable = false}}, SHIFT(592),
  [1528] = {.entry = {.count = 1, .reusable = false}}, SHIFT(588),
  [1530] = {.entry = {.count = 1, .reusable = false}}, SHIFT(221),
  [1532] = {.entry = {.count = 1, .reusable = false}}, SHIFT(134),
  [1534] = {.entry = {.count = 1, .reusable = false}}, SHIFT(858),
  [1536] = {.entry = {.count = 1, .reusable = false}}, SHIFT(169),
  [1538] = {.entry = {.count = 1, .reusable = false}}, SHIFT(755),
  [1540] = {.entry = {.count = 1, .reusable = false}}, SHIFT(767),
  [1542] = {.entry = {.count = 1, .reusable = false}}, SHIFT(324),
  [1544] = {.entry = {.count = 1, .reusable = false}}, SHIFT(606),
  [1546] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4486),
  [1548] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2888),
  [1550] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7193),
  [1552] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3051),
  [1554] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3059),
  [1556] = {.entry = {.count = 1, .reusable = false}}, SHIFT(242),
  [1558] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2097),
  [1560] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2092),
  [1562] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2182),
  [1564] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1994),
  [1566] = {.entry = {.count = 1, .reusable = false}}, SHIFT(368),
  [1568] = {.entry = {.count = 1, .reusable = false}}, SHIFT(661),
  [1570] = {.entry = {.count = 1, .reusable = false}}, SHIFT(659),
  [1572] = {.entry = {.count = 1, .reusable = false}}, SHIFT(223),
  [1574] = {.entry = {.count = 1, .reusable = false}}, SHIFT(863),
  [1576] = {.entry = {.count = 1, .reusable = false}}, SHIFT(181),
  [1578] = {.entry = {.count = 1, .reusable = false}}, SHIFT(797),
  [1580] = {.entry = {.count = 1, .reusable = false}}, SHIFT(567),
  [1582] = {.entry = {.count = 1, .reusable = false}}, SHIFT(298),
  [1584] = {.entry = {.count = 1, .reusable = false}}, SHIFT(611),
  [1586] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7509),
  [1588] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3332),
  [1590] = {.entry = {.count = 1, .reusable = false}}, SHIFT(246),
  [1592] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2139),
  [1594] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2058),
  [1596] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2129),
  [1598] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1991),
  [1600] = {.entry = {.count = 1, .reusable = false}}, SHIFT(422),
  [1602] = {.entry = {.count = 1, .reusable = false}}, SHIFT(860),
  [1604] = {.entry = {.count = 1, .reusable = false}}, SHIFT(162),
  [1606] = {.entry = {.count = 1, .reusable = false}}, SHIFT(711),
  [1608] = {.entry = {.count = 1, .reusable = false}}, SHIFT(314),
  [1610] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3020),
  [1612] = {.entry = {.count = 1, .reusable = false}}, SHIFT(243),
  [1614] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2087),
  [1616] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2119),
  [1618] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2219),
  [1620] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2049),
  [1622] = {.entry = {.count = 1, .reusable = false}}, SHIFT(388),
  [1624] = {.entry = {.count = 1, .reusable = false}}, SHIFT(607),
  [1626] = {.entry = {.count = 1, .reusable = false}}, SHIFT(597),
  [1628] = {.entry = {.count = 1, .reusable = false}}, SHIFT(226),
  [1630] = {.entry = {.count = 1, .reusable = false}}, SHIFT(881),
  [1632] = {.entry = {.count = 1, .reusable = false}}, SHIFT(194),
  [1634] = {.entry = {.count = 1, .reusable = false}}, SHIFT(594),
  [1636] = {.entry = {.count = 1, .reusable = false}}, SHIFT(615),
  [1638] = {.entry = {.count = 1, .reusable = false}}, SHIFT(318),
  [1640] = {.entry = {.count = 1, .reusable = false}}, SHIFT(563),
  [1642] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7501),
  [1644] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3376),
  [1646] = {.entry = {.count = 1, .reusable = false}}, SHIFT(259),
  [1648] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2190),
  [1650] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2187),
  [1652] = {.entry = {.count = 1, .reusable = false}}, SHIFT(380),
  [1654] = {.entry = {.count = 1, .reusable = false}}, SHIFT(197),
  [1656] = {.entry = {.count = 1, .reusable = false}}, SHIFT(737),
  [1658] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3448),
  [1660] = {.entry = {.count = 1, .reusable = false}}, SHIFT(275),
  [1662] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2194),
  [1664] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2159),
  [1666] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1816),
  [1668] = {.entry = {.count = 1, .reusable = false}}, SHIFT(135),
  [1670] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3439),
  [1672] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3347),
  [1674] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2189),
  [1676] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2089),
  [1678] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2230),
  [1680] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2046),
  [1682] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1821),
  [1684] = {.entry = {.count = 1, .reusable = false}}, SHIFT(378),
  [1686] = {.entry = {.count = 1, .reusable = false}}, SHIFT(133),
  [1688] = {.entry = {.count = 1, .reusable = false}}, SHIFT(888),
  [1690] = {.entry = {.count = 1, .reusable = false}}, SHIFT(195),
  [1692] = {.entry = {.count = 1, .reusable = false}}, SHIFT(587),
  [1694] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4462),
  [1696] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3453),
  [1698] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3431),
  [1700] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3089),
  [1702] = {.entry = {.count = 1, .reusable = false}}, SHIFT(262),
  [1704] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2134),
  [1706] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2099),
  [1708] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2154),
  [1710] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1982),
  [1712] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1825),
  [1714] = {.entry = {.count = 1, .reusable = false}}, SHIFT(856),
  [1716] = {.entry = {.count = 1, .reusable = false}}, SHIFT(173),
  [1718] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3234),
  [1720] = {.entry = {.count = 1, .reusable = false}}, SHIFT(244),
  [1722] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2131),
  [1724] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2103),
  [1726] = {.entry = {.count = 1, .reusable = false}}, SHIFT(748),
  [1728] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_yield_expression, 1),
  [1730] = {.entry = {.count = 1, .reusable = false}}, SHIFT(148),
  [1732] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3031),
  [1734] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_yield_expression, 1),
  [1736] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2126),
  [1738] = {.entry = {.count = 1, .reusable = false}}, SHIFT(653),
  [1740] = {.entry = {.count = 1, .reusable = false}}, SHIFT(160),
  [1742] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3242),
  [1744] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2115),
  [1746] = {.entry = {.count = 1, .reusable = false}}, SHIFT(795),
  [1748] = {.entry = {.count = 1, .reusable = false}}, SHIFT(154),
  [1750] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2191),
  [1752] = {.entry = {.count = 1, .reusable = false}}, SHIFT(602),
  [1754] = {.entry = {.count = 1, .reusable = false}}, SHIFT(185),
  [1756] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3358),
  [1758] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2205),
  [1760] = {.entry = {.count = 1, .reusable = false}}, SHIFT(624),
  [1762] = {.entry = {.count = 1, .reusable = false}}, SHIFT(175),
  [1764] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3443),
  [1766] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2207),
  [1768] = {.entry = {.count = 1, .reusable = false}}, SHIFT(766),
  [1770] = {.entry = {.count = 1, .reusable = false}}, SHIFT(180),
  [1772] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3449),
  [1774] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2224),
  [1776] = {.entry = {.count = 1, .reusable = false}}, SHIFT(733),
  [1778] = {.entry = {.count = 1, .reusable = false}}, SHIFT(191),
  [1780] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3479),
  [1782] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2231),
  [1784] = {.entry = {.count = 1, .reusable = false}}, SHIFT(641),
  [1786] = {.entry = {.count = 1, .reusable = false}}, SHIFT(192),
  [1788] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3492),
  [1790] = {.entry = {.count = 1, .reusable = false}}, SHIFT(683),
  [1792] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2180),
  [1794] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2024),
  [1796] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4964),
  [1798] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2016),
  [1800] = {.entry = {.count = 1, .reusable = false}}, SHIFT(874),
  [1802] = {.entry = {.count = 1, .reusable = false}}, SHIFT(842),
  [1804] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2017),
  [1806] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2188),
  [1808] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4963),
  [1810] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4731),
  [1812] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2010),
  [1814] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4456),
  [1816] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4205),
  [1818] = {.entry = {.count = 1, .reusable = false}}, SHIFT(872),
  [1820] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4578),
  [1822] = {.entry = {.count = 1, .reusable = false}}, SHIFT(844),
  [1824] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2011),
  [1826] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7564),
  [1828] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7199),
  [1830] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7200),
  [1832] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2172),
  [1834] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4957),
  [1836] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2032),
  [1838] = {.entry = {.count = 1, .reusable = false}}, SHIFT(866),
  [1840] = {.entry = {.count = 1, .reusable = false}}, SHIFT(838),
  [1842] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2031),
  [1844] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2186),
  [1846] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2013),
  [1848] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4962),
  [1850] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2021),
  [1852] = {.entry = {.count = 1, .reusable = false}}, SHIFT(869),
  [1854] = {.entry = {.count = 1, .reusable = false}}, SHIFT(841),
  [1856] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2020),
  [1858] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2176),
  [1860] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2008),
  [1862] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4977),
  [1864] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2005),
  [1866] = {.entry = {.count = 1, .reusable = false}}, SHIFT(875),
  [1868] = {.entry = {.count = 1, .reusable = false}}, SHIFT(845),
  [1870] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2018),
  [1872] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2178),
  [1874] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2034),
  [1876] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4802),
  [1878] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2036),
  [1880] = {.entry = {.count = 1, .reusable = false}}, SHIFT(873),
  [1882] = {.entry = {.count = 1, .reusable = false}}, SHIFT(837),
  [1884] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2037),
  [1886] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3794),
  [1888] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4704),
  [1890] = {.entry = {.count = 1, .reusable = false}}, SHIFT(155),
  [1892] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1723),
  [1894] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5679),
  [1896] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5680),
  [1898] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5605),
  [1900] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7182),
  [1902] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6026),
  [1904] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5383),
  [1906] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3875),
  [1908] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3880),
  [1910] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1855),
  [1912] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2083),
  [1914] = {.entry = {.count = 1, .reusable = false}}, SHIFT(146),
  [1916] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3264),
  [1918] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2725),
  [1920] = {.entry = {.count = 1, .reusable = false}}, SHIFT(136),
  [1922] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3971),
  [1924] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4726),
  [1926] = {.entry = {.count = 1, .reusable = false}}, SHIFT(157),
  [1928] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1721),
  [1930] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5707),
  [1932] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5708),
  [1934] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5571),
  [1936] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7541),
  [1938] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5044),
  [1940] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4142),
  [1942] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4147),
  [1944] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1870),
  [1946] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4664),
  [1948] = {.entry = {.count = 1, .reusable = false}}, SHIFT(271),
  [1950] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3190),
  [1952] = {.entry = {.count = 1, .reusable = false}}, SHIFT(137),
  [1954] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6094),
  [1956] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4907),
  [1958] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4967),
  [1960] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6372),
  [1962] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4548),
  [1964] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4670),
  [1966] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4816),
  [1968] = {.entry = {.count = 1, .reusable = false}}, SHIFT(287),
  [1970] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2907),
  [1972] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2542),
  [1974] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2720),
  [1976] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3419),
  [1978] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_predefined_type, 1),
  [1980] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2822),
  [1982] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3208),
  [1984] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3484),
  [1986] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2123),
  [1988] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2124),
  [1990] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1992),
  [1992] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2313),
  [1994] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4700),
  [1996] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1993),
  [1998] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4637),
  [2000] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2108),
  [2002] = {.entry = {.count = 1, .reusable = false}}, SHIFT(272),
  [2004] = {.entry = {.count = 1, .reusable = false}}, SHIFT(853),
  [2006] = {.entry = {.count = 1, .reusable = false}}, SHIFT(170),
  [2008] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3117),
  [2010] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2181),
  [2012] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2179),
  [2014] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1998),
  [2016] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2326),
  [2018] = {.entry = {.count = 1, .reusable = false}}, SHIFT(293),
  [2020] = {.entry = {.count = 1, .reusable = false}}, SHIFT(269),
  [2022] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5401),
  [2024] = {.entry = {.count = 1, .reusable = false}}, SHIFT(864),
  [2026] = {.entry = {.count = 1, .reusable = false}}, SHIFT(174),
  [2028] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3415),
  [2030] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_predefined_type, 1),
  [2032] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_array_repeat1, 1), REDUCE(aux_sym_array_pattern_repeat1, 1),
  [2035] = {.entry = {.count = 3, .reusable = false}}, REDUCE(aux_sym_array_repeat1, 1), REDUCE(aux_sym_array_pattern_repeat1, 1), SHIFT(3866),
  [2039] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4570),
  [2041] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2214),
  [2043] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2209),
  [2045] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2026),
  [2047] = {.entry = {.count = 1, .reusable = false}}, SHIFT(879),
  [2049] = {.entry = {.count = 1, .reusable = false}}, SHIFT(184),
  [2051] = {.entry = {.count = 3, .reusable = false}}, REDUCE(aux_sym_array_repeat1, 1), REDUCE(aux_sym_array_pattern_repeat1, 1), SHIFT(4176),
  [2055] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__module, 1, .production_id = 5),
  [2057] = {.entry = {.count = 1, .reusable = false}}, SHIFT(30),
  [2059] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__module, 1, .production_id = 5),
  [2061] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7381),
  [2063] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7382),
  [2065] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_array_pattern_repeat1, 1),
  [2067] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_statement_block, 2),
  [2069] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object, 2),
  [2071] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_pattern, 2),
  [2073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1116),
  [2075] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object, 2),
  [2077] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string, 2),
  [2079] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string, 2),
  [2081] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_nested_identifier, 3, .production_id = 83),
  [2083] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nested_identifier, 3, .production_id = 83),
  [2085] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, .production_id = 164),
  [2087] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 5, .production_id = 164),
  [2089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1001),
  [2091] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 5, .production_id = 164),
  [2093] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_statement_block, 3),
  [2095] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_statement_block, 3),
  [2097] = {.entry = {.count = 1, .reusable = false}}, SHIFT(44),
  [2099] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7402),
  [2101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(299),
  [2103] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_statement_block, 2),
  [2105] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_statement_block, 4),
  [2107] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_statement_block, 4),
  [2109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1432),
  [2111] = {.entry = {.count = 1, .reusable = false}}, SHIFT(312),
  [2113] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4001),
  [2115] = {.entry = {.count = 1, .reusable = false}}, SHIFT(678),
  [2117] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 5, .production_id = 175),
  [2119] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_expression, 5, .production_id = 175),
  [2121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(998),
  [2123] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_expression, 5, .production_id = 175),
  [2125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1313),
  [2127] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generator_function_declaration, 5, .production_id = 175),
  [2129] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generator_function, 5, .production_id = 175),
  [2131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(997),
  [2133] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generator_function, 5, .production_id = 175),
  [2135] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 4, .production_id = 145),
  [2137] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 4, .production_id = 145),
  [2139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1008),
  [2141] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 4, .production_id = 145),
  [2143] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4162),
  [2145] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_body, 3, .production_id = 105),
  [2147] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_body, 3, .production_id = 105),
  [2149] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 4, .production_id = 123),
  [2151] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_expression, 4, .production_id = 123),
  [2153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1017),
  [2155] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_expression, 4, .production_id = 123),
  [2157] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_array_repeat1, 1),
  [2159] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 3, .production_id = 45),
  [2161] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 3, .production_id = 45),
  [2163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1051),
  [2165] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 3, .production_id = 45),
  [2167] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declaration, 1),
  [2169] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression, 1),
  [2171] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression, 1),
  [2173] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, .production_id = 192),
  [2175] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 5, .production_id = 192),
  [2177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(987),
  [2179] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 5, .production_id = 192),
  [2181] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, .production_id = 193),
  [2183] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 5, .production_id = 193),
  [2185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(985),
  [2187] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 5, .production_id = 193),
  [2189] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2820),
  [2191] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2141),
  [2193] = {.entry = {.count = 1, .reusable = false}}, SHIFT(54),
  [2195] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_nested_identifier, 3, .production_id = 67),
  [2197] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nested_identifier, 3, .production_id = 67),
  [2199] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_internal_module, 2, .production_id = 6),
  [2201] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_internal_module, 2, .production_id = 6),
  [2203] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__module, 2, .production_id = 25),
  [2205] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__module, 2, .production_id = 25),
  [2207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(302),
  [2209] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7445),
  [2211] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2373),
  [2213] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generator_function_declaration, 6, .production_id = 227),
  [2215] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generator_function, 6, .production_id = 227),
  [2217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(980),
  [2219] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generator_function, 6, .production_id = 227),
  [2221] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string, 3),
  [2223] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string, 3),
  [2225] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3724),
  [2227] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3746),
  [2229] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 4, .production_id = 107),
  [2231] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 4, .production_id = 107),
  [2233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1026),
  [2235] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 4, .production_id = 107),
  [2237] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 4, .production_id = 106),
  [2239] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 4, .production_id = 106),
  [2241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1029),
  [2243] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 4, .production_id = 106),
  [2245] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4195),
  [2247] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3129),
  [2249] = {.entry = {.count = 1, .reusable = false}}, SHIFT(139),
  [2251] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_body, 2),
  [2253] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_body, 2),
  [2255] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7401),
  [2257] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 6, .production_id = 233),
  [2259] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 6, .production_id = 233),
  [2261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(976),
  [2263] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 6, .production_id = 233),
  [2265] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7440),
  [2267] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generator_function_declaration, 6, .production_id = 227),
  [2269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1530),
  [2271] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2060),
  [2273] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2067),
  [2275] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 4, .production_id = 145),
  [2277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1490),
  [2279] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 4, .production_id = 123),
  [2281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1482),
  [2283] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 4, .production_id = 107),
  [2285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1475),
  [2287] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2167),
  [2289] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 4, .production_id = 106),
  [2291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1473),
  [2293] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3174),
  [2295] = {.entry = {.count = 1, .reusable = false}}, SHIFT(140),
  [2297] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 5, .production_id = 175),
  [2299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1497),
  [2301] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generator_function_declaration, 5, .production_id = 175),
  [2303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1499),
  [2305] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2080),
  [2307] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, .production_id = 192),
  [2309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1511),
  [2311] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, .production_id = 193),
  [2313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1516),
  [2315] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 3, .production_id = 45),
  [2317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1407),
  [2319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(347),
  [2321] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2043),
  [2323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1256),
  [2325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1260),
  [2327] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2098),
  [2329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1217),
  [2331] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2148),
  [2333] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2079),
  [2335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1264),
  [2337] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2110),
  [2339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1280),
  [2341] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, .production_id = 164),
  [2343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1496),
  [2345] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2086),
  [2347] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 6, .production_id = 233),
  [2349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1547),
  [2351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1282),
  [2353] = {.entry = {.count = 1, .reusable = false}}, SHIFT(141),
  [2355] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2001),
  [2357] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4801),
  [2359] = {.entry = {.count = 1, .reusable = false}}, SHIFT(666),
  [2361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1228),
  [2363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1219),
  [2365] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5538),
  [2367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1601),
  [2369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1236),
  [2371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1229),
  [2373] = {.entry = {.count = 1, .reusable = false}}, SHIFT(53),
  [2375] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7335),
  [2377] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7333),
  [2379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1298),
  [2381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1307),
  [2383] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2030),
  [2385] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2051),
  [2387] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration, 1),
  [2389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(363),
  [2391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(395),
  [2393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(351),
  [2395] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2050),
  [2397] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1231),
  [2399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1231),
  [2401] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1019),
  [2403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1019),
  [2405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1706),
  [2407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1556),
  [2409] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3172),
  [2411] = {.entry = {.count = 1, .reusable = false}}, SHIFT(138),
  [2413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(423),
  [2415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1649),
  [2417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1709),
  [2419] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_accessibility_modifier, 1),
  [2421] = {.entry = {.count = 1, .reusable = false}}, SHIFT(143),
  [2423] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3260),
  [2425] = {.entry = {.count = 1, .reusable = false}}, SHIFT(142),
  [2427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1558),
  [2429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1676),
  [2431] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_override_modifier, 1),
  [2433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1562),
  [2435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1670),
  [2437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1630),
  [2439] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1579),
  [2441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1579),
  [2443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1609),
  [2445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1632),
  [2447] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1555),
  [2449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1555),
  [2451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(435),
  [2453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1701),
  [2455] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6947),
  [2457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6947),
  [2459] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2227),
  [2461] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2223),
  [2463] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2038),
  [2465] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2314),
  [2467] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4900),
  [2469] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2068),
  [2471] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4906),
  [2473] = {.entry = {.count = 1, .reusable = false}}, SHIFT(273),
  [2475] = {.entry = {.count = 1, .reusable = false}}, SHIFT(885),
  [2477] = {.entry = {.count = 1, .reusable = false}}, SHIFT(190),
  [2479] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3468),
  [2481] = {.entry = {.count = 1, .reusable = false}}, SHIFT(74),
  [2483] = {.entry = {.count = 1, .reusable = false}}, SHIFT(103),
  [2485] = {.entry = {.count = 1, .reusable = false}}, SHIFT(80),
  [2487] = {.entry = {.count = 1, .reusable = false}}, SHIFT(76),
  [2489] = {.entry = {.count = 1, .reusable = false}}, SHIFT(97),
  [2491] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10),
  [2493] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11),
  [2495] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5),
  [2497] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2197),
  [2499] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2211),
  [2501] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2027),
  [2503] = {.entry = {.count = 1, .reusable = false}}, SHIFT(871),
  [2505] = {.entry = {.count = 1, .reusable = false}}, SHIFT(179),
  [2507] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2199),
  [2509] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2198),
  [2511] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2009),
  [2513] = {.entry = {.count = 1, .reusable = false}}, SHIFT(870),
  [2515] = {.entry = {.count = 1, .reusable = false}}, SHIFT(183),
  [2517] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3334),
  [2519] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2249),
  [2521] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2247),
  [2523] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2081),
  [2525] = {.entry = {.count = 1, .reusable = false}}, SHIFT(900),
  [2527] = {.entry = {.count = 1, .reusable = false}}, SHIFT(201),
  [2529] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3499),
  [2531] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2494),
  [2533] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2278),
  [2535] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2245),
  [2537] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2053),
  [2539] = {.entry = {.count = 1, .reusable = false}}, SHIFT(902),
  [2541] = {.entry = {.count = 1, .reusable = false}}, SHIFT(207),
  [2543] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3498),
  [2545] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2237),
  [2547] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2235),
  [2549] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2057),
  [2551] = {.entry = {.count = 1, .reusable = false}}, SHIFT(891),
  [2553] = {.entry = {.count = 1, .reusable = false}}, SHIFT(196),
  [2555] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3506),
  [2557] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3196),
  [2559] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3050),
  [2561] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2255),
  [2563] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2276),
  [2565] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2082),
  [2567] = {.entry = {.count = 1, .reusable = false}}, SHIFT(890),
  [2569] = {.entry = {.count = 1, .reusable = false}}, SHIFT(203),
  [2571] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3501),
  [2573] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3025),
  [2575] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2171),
  [2577] = {.entry = {.count = 1, .reusable = false}}, SHIFT(172),
  [2579] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3344),
  [2581] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2254),
  [2583] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2279),
  [2585] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2074),
  [2587] = {.entry = {.count = 1, .reusable = false}}, SHIFT(893),
  [2589] = {.entry = {.count = 1, .reusable = false}}, SHIFT(206),
  [2591] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3504),
  [2593] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2268),
  [2595] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2241),
  [2597] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2071),
  [2599] = {.entry = {.count = 1, .reusable = false}}, SHIFT(901),
  [2601] = {.entry = {.count = 1, .reusable = false}}, SHIFT(199),
  [2603] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3502),
  [2605] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2253),
  [2607] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2250),
  [2609] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2065),
  [2611] = {.entry = {.count = 1, .reusable = false}}, SHIFT(898),
  [2613] = {.entry = {.count = 1, .reusable = false}}, SHIFT(204),
  [2615] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3497),
  [2617] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2244),
  [2619] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2271),
  [2621] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2063),
  [2623] = {.entry = {.count = 1, .reusable = false}}, SHIFT(897),
  [2625] = {.entry = {.count = 1, .reusable = false}}, SHIFT(200),
  [2627] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3503),
  [2629] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2056),
  [2631] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2066),
  [2633] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1967),
  [2635] = {.entry = {.count = 1, .reusable = false}}, SHIFT(847),
  [2637] = {.entry = {.count = 1, .reusable = false}}, SHIFT(145),
  [2639] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2819),
  [2641] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2275),
  [2643] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2265),
  [2645] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2076),
  [2647] = {.entry = {.count = 1, .reusable = false}}, SHIFT(906),
  [2649] = {.entry = {.count = 1, .reusable = false}}, SHIFT(205),
  [2651] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3500),
  [2653] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5868),
  [2655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(237),
  [2657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5869),
  [2659] = {.entry = {.count = 1, .reusable = false}}, SHIFT(623),
  [2661] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7476),
  [2663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4770),
  [2665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4210),
  [2667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2704),
  [2669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7473),
  [2671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4651),
  [2673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4598),
  [2675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4451),
  [2677] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, .production_id = 1), REDUCE(sym__property_name, 1, .production_id = 7),
  [2680] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__property_name, 1, .production_id = 7), SHIFT(96),
  [2683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7469),
  [2685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7466),
  [2687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6696),
  [2689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(485),
  [2691] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__augmented_assignment_lhs, 1, .production_id = 1),
  [2693] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, .production_id = 1), REDUCE(sym__property_name, 1, .production_id = 7),
  [2696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7662),
  [2698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5857),
  [2700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3630),
  [2702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4795),
  [2704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7499),
  [2706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7497),
  [2708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7496),
  [2710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2539),
  [2712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3061),
  [2714] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5706),
  [2716] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5703),
  [2718] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, .production_id = 1), SHIFT(3716),
  [2721] = {.entry = {.count = 3, .reusable = false}}, REDUCE(sym_primary_expression, 1, .production_id = 1), REDUCE(sym__property_name, 1, .production_id = 7), SHIFT(258),
  [2725] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, .production_id = 1), SHIFT(621),
  [2728] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4625),
  [2730] = {.entry = {.count = 3, .reusable = false}}, REDUCE(sym_primary_expression, 1, .production_id = 1), REDUCE(sym__property_name, 1, .production_id = 7), SHIFT(6026),
  [2734] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4740),
  [2736] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3579),
  [2738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7276),
  [2740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4587),
  [2742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7004),
  [2744] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6046),
  [2746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(239),
  [2748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6044),
  [2750] = {.entry = {.count = 1, .reusable = false}}, SHIFT(751),
  [2752] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7530),
  [2754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4976),
  [2756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7644),
  [2758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4507),
  [2760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4541),
  [2762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4480),
  [2764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(91),
  [2766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7218),
  [2768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7645),
  [2770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6597),
  [2772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3647),
  [2774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4978),
  [2776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7529),
  [2778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7226),
  [2780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7224),
  [2782] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6184),
  [2784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(231),
  [2786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6182),
  [2788] = {.entry = {.count = 1, .reusable = false}}, SHIFT(618),
  [2790] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7377),
  [2792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4796),
  [2794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7637),
  [2796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4672),
  [2798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4688),
  [2800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4463),
  [2802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(90),
  [2804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7353),
  [2806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7638),
  [2808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6791),
  [2810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3642),
  [2812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4797),
  [2814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7372),
  [2816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7358),
  [2818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7357),
  [2820] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5956),
  [2822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(238),
  [2824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5949),
  [2826] = {.entry = {.count = 1, .reusable = false}}, SHIFT(764),
  [2828] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7618),
  [2830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4775),
  [2832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7659),
  [2834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4647),
  [2836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4657),
  [2838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4476),
  [2840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(122),
  [2842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7331),
  [2844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7660),
  [2846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6507),
  [2848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3626),
  [2850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4772),
  [2852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7617),
  [2854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7326),
  [2856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7327),
  [2858] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5979),
  [2860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(229),
  [2862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5976),
  [2864] = {.entry = {.count = 1, .reusable = false}}, SHIFT(794),
  [2866] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7593),
  [2868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4848),
  [2870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7654),
  [2872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4638),
  [2874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4683),
  [2876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4469),
  [2878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(89),
  [2880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7272),
  [2882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7655),
  [2884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6525),
  [2886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3633),
  [2888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4847),
  [2890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7592),
  [2892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7265),
  [2894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7266),
  [2896] = {.entry = {.count = 1, .reusable = false}}, SHIFT(721),
  [2898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(96),
  [2900] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4767),
  [2902] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3577),
  [2904] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3575),
  [2906] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3589),
  [2908] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3664),
  [2910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7601),
  [2912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4552),
  [2914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6677),
  [2916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7624),
  [2918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4736),
  [2920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6555),
  [2922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7399),
  [2924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4569),
  [2926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6657),
  [2928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7539),
  [2930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4719),
  [2932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6508),
  [2934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(489),
  [2936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7573),
  [2938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4939),
  [2940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7649),
  [2942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4731),
  [2944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4741),
  [2946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4456),
  [2948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7206),
  [2950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7650),
  [2952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6568),
  [2954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3645),
  [2956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4641),
  [2958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7564),
  [2960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7011),
  [2962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7199),
  [2964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7200),
  [2966] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7254),
  [2968] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7256),
  [2970] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, .production_id = 1), SHIFT(258),
  [2973] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4685),
  [2975] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, .production_id = 1), SHIFT(6026),
  [2978] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7521),
  [2980] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7522),
  [2982] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7197),
  [2984] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7192),
  [2986] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4513),
  [2988] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4757),
  [2990] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7251),
  [2992] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7248),
  [2994] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4665),
  [2996] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4562),
  [2998] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4722),
  [3000] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7623),
  [3002] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7626),
  [3004] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7505),
  [3006] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7504),
  [3008] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7388),
  [3010] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7386),
  [3012] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7178),
  [3014] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7177),
  [3016] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4633),
  [3018] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 2, .production_id = 11),
  [3020] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6377),
  [3022] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6638),
  [3024] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7479),
  [3026] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7474),
  [3028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(911),
  [3030] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 2, .production_id = 11),
  [3032] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5824),
  [3034] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6564),
  [3036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(910),
  [3038] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6118),
  [3040] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6920),
  [3042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(943),
  [3044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(950),
  [3046] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6311),
  [3048] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6718),
  [3050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(937),
  [3052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(953),
  [3054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(942),
  [3056] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 3, .production_id = 42),
  [3058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(920),
  [3060] = {.entry = {.count = 1, .reusable = false}}, SHIFT(27),
  [3062] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7373),
  [3064] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7371),
  [3066] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_catch_clause, 5, .production_id = 241),
  [3068] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 3, .production_id = 34),
  [3070] = {.entry = {.count = 1, .reusable = false}}, SHIFT(81),
  [3072] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_expression, 4, .production_id = 94),
  [3074] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_expression, 4, .production_id = 94),
  [3076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(929),
  [3078] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_expression, 3),
  [3080] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_expression, 3),
  [3082] = {.entry = {.count = 1, .reusable = false}}, SHIFT(42),
  [3084] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7385),
  [3086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1121),
  [3088] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_catch_clause, 2, .production_id = 11),
  [3090] = {.entry = {.count = 1, .reusable = false}}, SHIFT(77),
  [3092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1095),
  [3094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1096),
  [3096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1183),
  [3098] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 3, .production_id = 42),
  [3100] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_do_statement, 4, .production_id = 100),
  [3102] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1175),
  [3104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1175),
  [3106] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_catch_clause, 6, .production_id = 272),
  [3108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1189),
  [3110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1122),
  [3112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1068),
  [3114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(931),
  [3116] = {.entry = {.count = 1, .reusable = false}}, SHIFT(60),
  [3118] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7427),
  [3120] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7428),
  [3122] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7387),
  [3124] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_variable_declaration, 3),
  [3126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1352),
  [3128] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_statement, 3, .production_id = 29),
  [3130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1353),
  [3132] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lexical_declaration, 4, .production_id = 33),
  [3134] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_statement, 3),
  [3136] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_with_statement, 3, .production_id = 30),
  [3138] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_variable_declaration, 4),
  [3140] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_statement, 3, .production_id = 35),
  [3142] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_class_declaration, 7, .production_id = 268),
  [3144] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 7, .production_id = 233),
  [3146] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_body, 5, .production_id = 232),
  [3148] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_body, 5, .production_id = 230),
  [3150] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ambient_declaration, 7, .production_id = 267),
  [3152] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generator_function_declaration, 7, .production_id = 227),
  [3154] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_in_statement, 3, .production_id = 36),
  [3156] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_labeled_statement, 3, .dynamic_precedence = -1, .production_id = 23),
  [3158] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_class_declaration, 6, .production_id = 235),
  [3160] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_class_declaration, 6, .production_id = 234),
  [3162] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 6, .production_id = 193),
  [3164] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 6, .production_id = 192),
  [3166] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_body, 4, .production_id = 232),
  [3168] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lexical_declaration, 3, .production_id = 33),
  [3170] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_body, 4),
  [3172] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_type, 5),
  [3174] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_body, 4, .production_id = 230),
  [3176] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_body, 4, .production_id = 57),
  [3178] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_class_declaration, 6, .production_id = 228),
  [3180] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generator_function_declaration, 6, .production_id = 175),
  [3182] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 6, .production_id = 175),
  [3184] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 6, .production_id = 164),
  [3186] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_alias_declaration, 6, .production_id = 197),
  [3188] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_type, 2),
  [3190] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_class_declaration, 5, .production_id = 195),
  [3192] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_type, 3),
  [3194] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, .production_id = 145),
  [3196] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_type, 4),
  [3198] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_statement, 5, .production_id = 191),
  [3200] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_body, 3),
  [3202] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_body, 3, .production_id = 57),
  [3204] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface_declaration, 5, .production_id = 183),
  [3206] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_class_declaration, 5, .production_id = 180),
  [3208] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_class_declaration, 5, .production_id = 179),
  [3210] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 5, .production_id = 123),
  [3212] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_return_statement, 2),
  [3214] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_debugger_statement, 2),
  [3216] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_signature, 5, .production_id = 174),
  [3218] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_continue_statement, 2),
  [3220] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, .production_id = 107),
  [3222] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_break_statement, 2),
  [3224] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_type, 6),
  [3226] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, .production_id = 106),
  [3228] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_alias, 5),
  [3230] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_alias_declaration, 5, .production_id = 150),
  [3232] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_statement, 5),
  [3234] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_statement, 5, .production_id = 148),
  [3236] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_statement, 4, .production_id = 144),
  [3238] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_body, 2),
  [3240] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface_declaration, 4, .production_id = 140),
  [3242] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface_declaration, 4, .production_id = 139),
  [3244] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_class_declaration, 4, .production_id = 136),
  [3246] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_signature, 4, .production_id = 122),
  [3248] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 4, .production_id = 45),
  [3250] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration, 4, .production_id = 91),
  [3252] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_statement, 4, .production_id = 81),
  [3254] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_statement, 4),
  [3256] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_statement, 4, .production_id = 82),
  [3258] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_statement, 3, .production_id = 79),
  [3260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1437),
  [3262] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration, 3, .production_id = 66),
  [3264] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface_declaration, 3, .production_id = 65),
  [3266] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ambient_declaration, 3),
  [3268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1319),
  [3270] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_statement, 3),
  [3272] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_statement, 3, .production_id = 21),
  [3274] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression_statement, 2),
  [3276] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module, 2, .production_id = 6),
  [3278] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ambient_declaration, 2),
  [3280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1101),
  [3282] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_statement, 2, .production_id = 4),
  [3284] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_empty_statement, 1),
  [3286] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_while_statement, 3, .production_id = 41),
  [3288] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 3, .production_id = 43),
  [3290] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_break_statement, 3, .production_id = 44),
  [3292] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_continue_statement, 3, .production_id = 44),
  [3294] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_return_statement, 3),
  [3296] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_throw_statement, 3),
  [3298] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1410),
  [3300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1410),
  [3302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1124),
  [3304] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 7, .production_id = 240),
  [3306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1123),
  [3308] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 3, .production_id = 34),
  [3310] = {.entry = {.count = 1, .reusable = false}}, SHIFT(84),
  [3312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1104),
  [3314] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_catch_clause, 2, .production_id = 11),
  [3316] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_catch_clause, 6, .production_id = 272),
  [3318] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_catch_clause, 5, .production_id = 241),
  [3320] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_statement, 4, .production_id = 87),
  [3322] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_statement, 4),
  [3324] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_statement, 4, .production_id = 81),
  [3326] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_statement, 4, .production_id = 29),
  [3328] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 6, .production_id = 202),
  [3330] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_statement, 6, .production_id = 148),
  [3332] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 4, .production_id = 92),
  [3334] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_body, 2),
  [3336] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_in_statement, 4, .production_id = 93),
  [3338] = {.entry = {.count = 1, .reusable = false}}, SHIFT(99),
  [3340] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_do_statement, 5, .production_id = 100),
  [3342] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_body, 3),
  [3344] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_else_clause, 2),
  [3346] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_statement, 5, .production_id = 81),
  [3348] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_do_statement, 4, .production_id = 100),
  [3350] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1468),
  [3352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1468),
  [3354] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_statement, 5),
  [3356] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_statement, 5, .production_id = 87),
  [3358] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_statement, 5, .production_id = 148),
  [3360] = {.entry = {.count = 1, .reusable = false}}, SHIFT(45),
  [3362] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7596),
  [3364] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_finally_clause, 2, .production_id = 11),
  [3366] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 4, .production_id = 101),
  [3368] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7591),
  [3370] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_in_statement, 3, .production_id = 36),
  [3372] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 1),
  [3374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1691),
  [3376] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_empty_statement, 1),
  [3378] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_statement, 2, .production_id = 4),
  [3380] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_break_statement, 2),
  [3382] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_continue_statement, 2),
  [3384] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_debugger_statement, 2),
  [3386] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_return_statement, 2),
  [3388] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ambient_declaration, 2),
  [3390] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module, 2, .production_id = 6),
  [3392] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_statement, 2),
  [3394] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_statement, 3, .production_id = 21),
  [3396] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_labeled_statement, 3, .dynamic_precedence = -1, .production_id = 23),
  [3398] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_statement, 3),
  [3400] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_statement, 3, .production_id = 29),
  [3402] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_statement, 3),
  [3404] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_with_statement, 3, .production_id = 30),
  [3406] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_declaration, 3),
  [3408] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lexical_declaration, 3, .production_id = 33),
  [3410] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_statement, 3, .production_id = 35),
  [3412] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while_statement, 3, .production_id = 41),
  [3414] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 3, .production_id = 43),
  [3416] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_break_statement, 3, .production_id = 44),
  [3418] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_continue_statement, 3, .production_id = 44),
  [3420] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_return_statement, 3),
  [3422] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_throw_statement, 3),
  [3424] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ambient_declaration, 3),
  [3426] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface_declaration, 3, .production_id = 65),
  [3428] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration, 3, .production_id = 66),
  [3430] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_statement, 3, .production_id = 79),
  [3432] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_type, 2),
  [3434] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_type, 3),
  [3436] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_type, 4),
  [3438] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_statement, 4, .production_id = 81),
  [3440] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_type, 5),
  [3442] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_type, 6),
  [3444] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_statement, 4, .production_id = 82),
  [3446] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_statement, 4),
  [3448] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1635),
  [3450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1635),
  [3452] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_statement, 4, .production_id = 87),
  [3454] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_statement, 4),
  [3456] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_statement, 4, .production_id = 81),
  [3458] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_statement, 4, .production_id = 29),
  [3460] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_declaration, 4),
  [3462] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lexical_declaration, 4, .production_id = 33),
  [3464] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration, 4, .production_id = 91),
  [3466] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 4, .production_id = 92),
  [3468] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_body, 2),
  [3470] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_in_statement, 4, .production_id = 93),
  [3472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1411),
  [3474] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_finally_clause, 2, .production_id = 11),
  [3476] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 4, .production_id = 101),
  [3478] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 4, .production_id = 45),
  [3480] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_signature, 4, .production_id = 122),
  [3482] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_class_declaration, 4, .production_id = 136),
  [3484] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface_declaration, 4, .production_id = 139),
  [3486] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface_declaration, 4, .production_id = 140),
  [3488] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_body, 2),
  [3490] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_statement, 4, .production_id = 144),
  [3492] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_statement, 5, .production_id = 148),
  [3494] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_statement, 5),
  [3496] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_alias_declaration, 5, .production_id = 150),
  [3498] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_statement, 5, .production_id = 148),
  [3500] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_statement, 5, .production_id = 87),
  [3502] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_statement, 5),
  [3504] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_alias, 5),
  [3506] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_statement, 5, .production_id = 81),
  [3508] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_else_clause, 2),
  [3510] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_body, 3),
  [3512] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_do_statement, 5, .production_id = 100),
  [3514] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, .production_id = 106),
  [3516] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, .production_id = 107),
  [3518] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_signature, 5, .production_id = 174),
  [3520] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 5, .production_id = 123),
  [3522] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_class_declaration, 5, .production_id = 179),
  [3524] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_class_declaration, 5, .production_id = 180),
  [3526] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface_declaration, 5, .production_id = 183),
  [3528] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_body, 3, .production_id = 57),
  [3530] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_body, 3),
  [3532] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_statement, 5, .production_id = 191),
  [3534] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, .production_id = 145),
  [3536] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_class_declaration, 5, .production_id = 195),
  [3538] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_alias_declaration, 6, .production_id = 197),
  [3540] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_statement, 6, .production_id = 148),
  [3542] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 6, .production_id = 202),
  [3544] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 6, .production_id = 164),
  [3546] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 6, .production_id = 175),
  [3548] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generator_function_declaration, 6, .production_id = 175),
  [3550] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_class_declaration, 6, .production_id = 228),
  [3552] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_body, 4, .production_id = 57),
  [3554] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_body, 4, .production_id = 230),
  [3556] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_body, 4),
  [3558] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_body, 4, .production_id = 232),
  [3560] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 6, .production_id = 192),
  [3562] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 6, .production_id = 193),
  [3564] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_class_declaration, 6, .production_id = 234),
  [3566] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_class_declaration, 6, .production_id = 235),
  [3568] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 7, .production_id = 240),
  [3570] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generator_function_declaration, 7, .production_id = 227),
  [3572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1417),
  [3574] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ambient_declaration, 7, .production_id = 267),
  [3576] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_body, 5, .production_id = 230),
  [3578] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_body, 5, .production_id = 232),
  [3580] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 7, .production_id = 233),
  [3582] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_class_declaration, 7, .production_id = 268),
  [3584] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 1),
  [3586] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4057),
  [3588] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7449),
  [3590] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4137),
  [3592] = {.entry = {.count = 1, .reusable = false}}, SHIFT(218),
  [3594] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7351),
  [3596] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2479),
  [3598] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7390),
  [3600] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3882),
  [3602] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7350),
  [3604] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3057),
  [3606] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7552),
  [3608] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4349),
  [3610] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4245),
  [3612] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__for_header, 7, .production_id = 271),
  [3614] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4224),
  [3616] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3872),
  [3618] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__for_header, 6, .production_id = 239),
  [3620] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__for_header, 5, .production_id = 200),
  [3622] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__for_header, 5, .production_id = 201),
  [3624] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2403),
  [3626] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2850),
  [3628] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4127),
  [3630] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3876),
  [3632] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2380),
  [3634] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2875),
  [3636] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4145),
  [3638] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3831),
  [3640] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4089),
  [3642] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3968),
  [3644] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3784),
  [3646] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3826),
  [3648] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3946),
  [3650] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4043),
  [3652] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4438),
  [3654] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2215),
  [3656] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4589),
  [3658] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4437),
  [3660] = {.entry = {.count = 1, .reusable = false}}, SHIFT(161),
  [3662] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1725),
  [3664] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5785),
  [3666] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5786),
  [3668] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5787),
  [3670] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1913),
  [3672] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1911),
  [3674] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7512),
  [3676] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4180),
  [3678] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5293),
  [3680] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4431),
  [3682] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4192),
  [3684] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1910),
  [3686] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1907),
  [3688] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7609),
  [3690] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3942),
  [3692] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7513),
  [3694] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1921),
  [3696] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7515),
  [3698] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4280),
  [3700] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2840),
  [3702] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2526),
  [3704] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2524),
  [3706] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4276),
  [3708] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4051),
  [3710] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4277),
  [3712] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4340),
  [3714] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2523),
  [3716] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5460),
  [3718] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4359),
  [3720] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4363),
  [3722] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4009),
  [3724] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2522),
  [3726] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6314),
  [3728] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6312),
  [3730] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5454),
  [3732] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6310),
  [3734] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6309),
  [3736] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6305),
  [3738] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5517),
  [3740] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2528),
  [3742] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6300),
  [3744] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5514),
  [3746] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5416),
  [3748] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3800),
  [3750] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2836),
  [3752] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3983),
  [3754] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3810),
  [3756] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4013),
  [3758] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5511),
  [3760] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3797),
  [3762] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2881),
  [3764] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2521),
  [3766] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3982),
  [3768] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2839),
  [3770] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3805),
  [3772] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3806),
  [3774] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2887),
  [3776] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2884),
  [3778] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4019),
  [3780] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3798),
  [3782] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2543),
  [3784] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2938),
  [3786] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2212),
  [3788] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4519),
  [3790] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2939),
  [3792] = {.entry = {.count = 1, .reusable = false}}, SHIFT(165),
  [3794] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1724),
  [3796] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5666),
  [3798] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1927),
  [3800] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1926),
  [3802] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7437),
  [3804] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2802),
  [3806] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5379),
  [3808] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2943),
  [3810] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2770),
  [3812] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1925),
  [3814] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1924),
  [3816] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7414),
  [3818] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3960),
  [3820] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7436),
  [3822] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1923),
  [3824] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7435),
  [3826] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2355),
  [3828] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2508),
  [3830] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2192),
  [3832] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4607),
  [3834] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2507),
  [3836] = {.entry = {.count = 1, .reusable = false}}, SHIFT(163),
  [3838] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1722),
  [3840] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5669),
  [3842] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1928),
  [3844] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1938),
  [3846] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7313),
  [3848] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2358),
  [3850] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5516),
  [3852] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2505),
  [3854] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2371),
  [3856] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1941),
  [3858] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1943),
  [3860] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7581),
  [3862] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3944),
  [3864] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7314),
  [3866] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1964),
  [3868] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7315),
  [3870] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4071),
  [3872] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2303),
  [3874] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3696),
  [3876] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2871),
  [3878] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1969),
  [3880] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2962),
  [3882] = {.entry = {.count = 1, .reusable = false}}, SHIFT(253),
  [3884] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2296),
  [3886] = {.entry = {.count = 1, .reusable = false}}, SHIFT(277),
  [3888] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2549),
  [3890] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3952),
  [3892] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7378),
  [3894] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4151),
  [3896] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2529),
  [3898] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2550),
  [3900] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2789),
  [3902] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3203),
  [3904] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3204),
  [3906] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7393),
  [3908] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3795),
  [3910] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4058),
  [3912] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2304),
  [3914] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3403),
  [3916] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2623),
  [3918] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3956),
  [3920] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2492),
  [3922] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2622),
  [3924] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2796),
  [3926] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3177),
  [3928] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3180),
  [3930] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2491),
  [3932] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2932),
  [3934] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2729),
  [3936] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4060),
  [3938] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2306),
  [3940] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2989),
  [3942] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2713),
  [3944] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3969),
  [3946] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2447),
  [3948] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2709),
  [3950] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2825),
  [3952] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3189),
  [3954] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3198),
  [3956] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3143),
  [3958] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1968),
  [3960] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2804),
  [3962] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2294),
  [3964] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4144),
  [3966] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4099),
  [3968] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2307),
  [3970] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3097),
  [3972] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2722),
  [3974] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3957),
  [3976] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2477),
  [3978] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2724),
  [3980] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2744),
  [3982] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3275),
  [3984] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3289),
  [3986] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2742),
  [3988] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4072),
  [3990] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2305),
  [3992] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2681),
  [3994] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3973),
  [3996] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2381),
  [3998] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2536),
  [4000] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2788),
  [4002] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3205),
  [4004] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3206),
  [4006] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1191),
  [4008] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5610),
  [4010] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5611),
  [4012] = {.entry = {.count = 1, .reusable = false}}, SHIFT(408),
  [4014] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5673),
  [4016] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5672),
  [4018] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4472),
  [4020] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2886),
  [4022] = {.entry = {.count = 1, .reusable = false}}, SHIFT(286),
  [4024] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4272),
  [4026] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4163),
  [4028] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3974),
  [4030] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4813),
  [4032] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2899),
  [4034] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2429),
  [4036] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3862),
  [4038] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2801),
  [4040] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2945),
  [4042] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4101),
  [4044] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4429),
  [4046] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2359),
  [4048] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2503),
  [4050] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2489),
  [4052] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2838),
  [4054] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2520),
  [4056] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4181),
  [4058] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2351),
  [4060] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_object_repeat1, 1), REDUCE(aux_sym_object_pattern_repeat1, 1),
  [4063] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2892),
  [4065] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4088),
  [4067] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2813),
  [4069] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2890),
  [4071] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3261),
  [4073] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3423),
  [4075] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3430),
  [4077] = {.entry = {.count = 1, .reusable = false}}, SHIFT(958),
  [4079] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5775),
  [4081] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5780),
  [4083] = {.entry = {.count = 1, .reusable = false}}, SHIFT(292),
  [4085] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5728),
  [4087] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5727),
  [4089] = {.entry = {.count = 1, .reusable = false}}, SHIFT(960),
  [4091] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5736),
  [4093] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5734),
  [4095] = {.entry = {.count = 1, .reusable = false}}, SHIFT(300),
  [4097] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5756),
  [4099] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5751),
  [4101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(329),
  [4103] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5746),
  [4105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5757),
  [4107] = {.entry = {.count = 1, .reusable = false}}, SHIFT(908),
  [4109] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5721),
  [4111] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5719),
  [4113] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5473),
  [4115] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2369),
  [4117] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4189),
  [4119] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5908),
  [4121] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_primary_expression, 1),
  [4123] = {.entry = {.count = 1, .reusable = false}}, SHIFT(753),
  [4125] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_primary_expression, 1),
  [4127] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_query, 2),
  [4129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(335),
  [4131] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_query, 2),
  [4133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7067),
  [4135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(510),
  [4137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6021),
  [4139] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__augmented_assignment_lhs, 1),
  [4141] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1795),
  [4143] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_member_expression, 3, .production_id = 67),
  [4145] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_member_expression, 3, .production_id = 67),
  [4147] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_member_expression, 3, .production_id = 68),
  [4149] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_member_expression, 3, .production_id = 68),
  [4151] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_member_expression, 3, .production_id = 69),
  [4153] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_member_expression, 3, .production_id = 69),
  [4155] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_member_expression, 3, .production_id = 70),
  [4157] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_member_expression, 3, .production_id = 70),
  [4159] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4483),
  [4161] = {.entry = {.count = 1, .reusable = false}}, SHIFT(614),
  [4163] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1), REDUCE(sym__property_name, 1, .production_id = 7),
  [4166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(473),
  [4168] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1), REDUCE(sym__property_name, 1, .production_id = 7),
  [4171] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript_expression, 4, .production_id = 142),
  [4173] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript_expression, 4, .production_id = 142),
  [4175] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript_expression, 5, .production_id = 189),
  [4177] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript_expression, 5, .production_id = 189),
  [4179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(304),
  [4181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6807),
  [4183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5936),
  [4185] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1802),
  [4187] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_non_null_expression, 2),
  [4189] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_non_null_expression, 2),
  [4191] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1), REDUCE(sym__primary_type, 1, .production_id = 48),
  [4194] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1), REDUCE(sym__primary_type, 1, .production_id = 48),
  [4197] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1), SHIFT(7375),
  [4200] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1), SHIFT(1795),
  [4203] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__primary_type, 1, .production_id = 48),
  [4205] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_pattern, 1, .dynamic_precedence = -1), SHIFT(753),
  [4208] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_primary_expression, 1), REDUCE(sym_pattern, 1, .dynamic_precedence = -1), REDUCE(sym__primary_type, 1, .production_id = 48),
  [4212] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1), SHIFT(7447),
  [4215] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1), SHIFT(1802),
  [4218] = {.entry = {.count = 1, .reusable = false}}, SHIFT(660),
  [4220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(481),
  [4222] = {.entry = {.count = 1, .reusable = false}}, SHIFT(684),
  [4224] = {.entry = {.count = 1, .reusable = false}}, SHIFT(727),
  [4226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1797),
  [4228] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__primary_type, 1, .production_id = 48), SHIFT(7085),
  [4231] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_decorator, 2),
  [4233] = {.entry = {.count = 1, .reusable = false}}, SHIFT(320),
  [4235] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7431),
  [4237] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, .production_id = 1), REDUCE(sym_pattern, 1, .dynamic_precedence = -1, .production_id = 1),
  [4240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(538),
  [4242] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_rest_pattern, 2),
  [4244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(496),
  [4246] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_rest_pattern, 2),
  [4248] = {.entry = {.count = 1, .reusable = false}}, SHIFT(768),
  [4250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(514),
  [4252] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_pattern, 1, .dynamic_precedence = -1), SHIFT(684),
  [4255] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pattern, 1, .dynamic_precedence = -1),
  [4257] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pattern, 1, .dynamic_precedence = -1),
  [4259] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1), REDUCE(sym_pattern, 1, .dynamic_precedence = -1),
  [4262] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pattern, 1, .dynamic_precedence = -1, .production_id = 1),
  [4264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(488),
  [4266] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_rest_pattern, 2, .production_id = 28),
  [4268] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6989),
  [4270] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, .production_id = 1), SHIFT(285),
  [4273] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, .production_id = 1), REDUCE(sym_predefined_type, 1),
  [4276] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, .production_id = 1), REDUCE(sym_predefined_type, 1),
  [4279] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_export_statement_repeat1, 2, .production_id = 20),
  [4281] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_export_statement_repeat1, 2, .production_id = 20), SHIFT(4188),
  [4284] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_export_statement_repeat1, 2, .production_id = 20), SHIFT_REPEAT(5789),
  [4287] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_pattern, 1, .dynamic_precedence = -1), REDUCE(sym__primary_type, 1, .production_id = 48),
  [4290] = {.entry = {.count = 1, .reusable = false}}, SHIFT(627),
  [4292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(522),
  [4294] = {.entry = {.count = 1, .reusable = false}}, SHIFT(600),
  [4296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(492),
  [4298] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5923),
  [4300] = {.entry = {.count = 1, .reusable = false}}, SHIFT(732),
  [4302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(531),
  [4304] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_decorator_member_expression, 3, .production_id = 67),
  [4306] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5835),
  [4308] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5794),
  [4310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(530),
  [4312] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_primary_expression, 1), REDUCE(sym__primary_type, 1, .production_id = 48), REDUCE(sym_rest_pattern, 2),
  [4316] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5811),
  [4318] = {.entry = {.count = 1, .reusable = false}}, SHIFT(640),
  [4320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(501),
  [4322] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_member_expression_in_type_annotation, 3, .production_id = 67),
  [4324] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arguments, 3),
  [4326] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_decorator_call_expression, 2, .production_id = 14),
  [4328] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1), SHIFT(528),
  [4331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(528),
  [4333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(499),
  [4335] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_primary_expression, 1, .production_id = 1), REDUCE(sym_predefined_type, 1), REDUCE(sym_rest_pattern, 2, .production_id = 28),
  [4339] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_member_expression_in_type_annotation, 3, .production_id = 68),
  [4341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(495),
  [4343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(523),
  [4345] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arguments, 2),
  [4347] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_export_statement_repeat1, 1, .production_id = 2),
  [4349] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, .production_id = 1), REDUCE(sym_rest_pattern, 2, .production_id = 28),
  [4352] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arguments, 4),
  [4354] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1), REDUCE(sym_rest_pattern, 2),
  [4357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1946),
  [4359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(537),
  [4361] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_pattern, 1, .dynamic_precedence = -1), SHIFT(732),
  [4364] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1952),
  [4366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1958),
  [4368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(524),
  [4370] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5825),
  [4372] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4166),
  [4374] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2350),
  [4376] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3727),
  [4378] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2297),
  [4380] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2453),
  [4382] = {.entry = {.count = 1, .reusable = false}}, SHIFT(549),
  [4384] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3162),
  [4386] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4158),
  [4388] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2968),
  [4390] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3165),
  [4392] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3397),
  [4394] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3462),
  [4396] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3353),
  [4398] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2295),
  [4400] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1328),
  [4402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1845),
  [4404] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2293),
  [4406] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1587),
  [4408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1846),
  [4410] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2299),
  [4412] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3002),
  [4414] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2301),
  [4416] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4377),
  [4418] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2300),
  [4420] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1329),
  [4422] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2298),
  [4424] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1005),
  [4426] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3799),
  [4428] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4159),
  [4430] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3822),
  [4432] = {.entry = {.count = 1, .reusable = false}}, SHIFT(622),
  [4434] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2482),
  [4436] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2486),
  [4438] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2487),
  [4440] = {.entry = {.count = 1, .reusable = false}}, SHIFT(798),
  [4442] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2834),
  [4444] = {.entry = {.count = 1, .reusable = false}}, SHIFT(663),
  [4446] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1590),
  [4448] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2830),
  [4450] = {.entry = {.count = 1, .reusable = false}}, SHIFT(757),
  [4452] = {.entry = {.count = 1, .reusable = false}}, SHIFT(705),
  [4454] = {.entry = {.count = 1, .reusable = false}}, SHIFT(672),
  [4456] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1028),
  [4458] = {.entry = {.count = 1, .reusable = false}}, SHIFT(992),
  [4460] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1009),
  [4462] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2835),
  [4464] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1591),
  [4466] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4156),
  [4468] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1557),
  [4470] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1350),
  [4472] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1346),
  [4474] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1345),
  [4476] = {.entry = {.count = 1, .reusable = false}}, SHIFT(706),
  [4478] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4161),
  [4480] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4395),
  [4482] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4253),
  [4484] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4222),
  [4486] = {.entry = {.count = 1, .reusable = false}}, SHIFT(568),
  [4488] = {.entry = {.count = 1, .reusable = false}}, SHIFT(633),
  [4490] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1331),
  [4492] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1334),
  [4494] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1333),
  [4496] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3819),
  [4498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5998),
  [4500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(235),
  [4502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5996),
  [4504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(739),
  [4506] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7565),
  [4508] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__property_name, 1, .production_id = 7), SHIFT(2353),
  [4511] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__property_name, 1, .production_id = 7), SHIFT(2704),
  [4514] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__property_name, 1, .production_id = 7),
  [4516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4934),
  [4518] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__property_name, 1, .production_id = 7), SHIFT(2539),
  [4521] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__property_name, 1, .production_id = 7), SHIFT(3379),
  [4524] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__property_name, 1, .production_id = 7), SHIFT(2817),
  [4527] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__property_name, 1, .production_id = 7), SHIFT(3061),
  [4530] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3735),
  [4532] = {.entry = {.count = 1, .reusable = false}}, SHIFT(403),
  [4534] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3566),
  [4536] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3144),
  [4538] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5860),
  [4540] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2675),
  [4542] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2995),
  [4544] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3392),
  [4546] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2778),
  [4548] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3438),
  [4550] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3653),
  [4552] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4413),
  [4554] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2697),
  [4556] = {.entry = {.count = 1, .reusable = false}}, SHIFT(288),
  [4558] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3299),
  [4560] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2877),
  [4562] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3295),
  [4564] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3356),
  [4566] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3486),
  [4568] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3478),
  [4570] = {.entry = {.count = 1, .reusable = false}}, SHIFT(355),
  [4572] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1633),
  [4574] = {.entry = {.count = 1, .reusable = false}}, SHIFT(427),
  [4576] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4414),
  [4578] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3228),
  [4580] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3229),
  [4582] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2913),
  [4584] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3230),
  [4586] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3399),
  [4588] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3485),
  [4590] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3476),
  [4592] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4229),
  [4594] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3471),
  [4596] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3134),
  [4598] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3028),
  [4600] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3116),
  [4602] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3340),
  [4604] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3458),
  [4606] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3457),
  [4608] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4390),
  [4610] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3044),
  [4612] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3070),
  [4614] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3033),
  [4616] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3068),
  [4618] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3361),
  [4620] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3461),
  [4622] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3460),
  [4624] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4558),
  [4626] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4539),
  [4628] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2645),
  [4630] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6694),
  [4632] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6679),
  [4634] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2693),
  [4636] = {.entry = {.count = 1, .reusable = false}}, SHIFT(446),
  [4638] = {.entry = {.count = 1, .reusable = false}}, SHIFT(994),
  [4640] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1433),
  [4642] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1004),
  [4644] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4238),
  [4646] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3427),
  [4648] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3223),
  [4650] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2893),
  [4652] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3328),
  [4654] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3369),
  [4656] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3463),
  [4658] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3474),
  [4660] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4345),
  [4662] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2541),
  [4664] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3084),
  [4666] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3054),
  [4668] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3082),
  [4670] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3346),
  [4672] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3494),
  [4674] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3495),
  [4676] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1400),
  [4678] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1402),
  [4680] = {.entry = {.count = 1, .reusable = false}}, SHIFT(362),
  [4682] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1498),
  [4684] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2678),
  [4686] = {.entry = {.count = 1, .reusable = false}}, SHIFT(359),
  [4688] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4365),
  [4690] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2814),
  [4692] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3294),
  [4694] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2878),
  [4696] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3292),
  [4698] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3357),
  [4700] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3491),
  [4702] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3487),
  [4704] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1082),
  [4706] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1083),
  [4708] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1427),
  [4710] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1431),
  [4712] = {.entry = {.count = 1, .reusable = false}}, SHIFT(340),
  [4714] = {.entry = {.count = 1, .reusable = false}}, SHIFT(310),
  [4716] = {.entry = {.count = 1, .reusable = false}}, SHIFT(956),
  [4718] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, .production_id = 20), SHIFT_REPEAT(4166),
  [4721] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, .production_id = 20), SHIFT_REPEAT(3735),
  [4724] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, .production_id = 20),
  [4726] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, .production_id = 20), SHIFT_REPEAT(3566),
  [4729] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, .production_id = 20), SHIFT_REPEAT(549),
  [4732] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, .production_id = 20), SHIFT_REPEAT(5707),
  [4735] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, .production_id = 20), SHIFT_REPEAT(5708),
  [4738] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, .production_id = 20), SHIFT_REPEAT(3144),
  [4741] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, .production_id = 20), SHIFT_REPEAT(7378),
  [4744] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, .production_id = 20), SHIFT_REPEAT(4151),
  [4747] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, .production_id = 20), SHIFT_REPEAT(5860),
  [4750] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, .production_id = 20), SHIFT_REPEAT(2675),
  [4753] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, .production_id = 20), SHIFT_REPEAT(2995),
  [4756] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, .production_id = 20), SHIFT_REPEAT(3392),
  [4759] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, .production_id = 20), SHIFT_REPEAT(2778),
  [4762] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, .production_id = 20), SHIFT_REPEAT(3438),
  [4765] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, .production_id = 20), SHIFT_REPEAT(3353),
  [4768] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, .production_id = 20), SHIFT_REPEAT(3653),
  [4771] = {.entry = {.count = 1, .reusable = false}}, SHIFT(952),
  [4773] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1592),
  [4775] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1099),
  [4777] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2672),
  [4779] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1100),
  [4781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(679),
  [4783] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym__property_name, 1, .production_id = 7), REDUCE(aux_sym_object_repeat1, 2, .production_id = 26), REDUCE(aux_sym_object_pattern_repeat1, 2, .production_id = 27),
  [4787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(330),
  [4789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6801),
  [4791] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1803),
  [4793] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4702),
  [4795] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3435),
  [4797] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3349),
  [4799] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3434),
  [4801] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3496),
  [4803] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3549),
  [4805] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3550),
  [4807] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 2, .production_id = 12),
  [4809] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 2, .production_id = 12),
  [4811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(535),
  [4813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6665),
  [4815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4556),
  [4817] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__primary_type, 1, .production_id = 48),
  [4819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7354),
  [4821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1854),
  [4823] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_query, 2, .production_id = 111),
  [4825] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_query, 2, .production_id = 111),
  [4827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6798),
  [4829] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_query, 2, .production_id = 76),
  [4831] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_query, 2, .production_id = 76),
  [4833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6799),
  [4835] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__primary_type, 1),
  [4837] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__primary_type, 1),
  [4839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(28),
  [4841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7298),
  [4843] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arguments, 3),
  [4845] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arguments, 4),
  [4847] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_asserts, 2),
  [4849] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_asserts, 2),
  [4851] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_predefined_type, 2, .production_id = 115),
  [4853] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_predefined_type, 2, .production_id = 115),
  [4855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7296),
  [4857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1852),
  [4859] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__primary_type, 1, .production_id = 49),
  [4861] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__primary_type, 1, .production_id = 49),
  [4863] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_instantiation_expression, 2, .production_id = 16),
  [4865] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instantiation_expression, 2, .production_id = 16),
  [4867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4785),
  [4869] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arguments, 2),
  [4871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2641),
  [4873] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_type, 3),
  [4875] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_type, 3),
  [4877] = {.entry = {.count = 1, .reusable = false}}, SHIFT(759),
  [4879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1850),
  [4881] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_yield_expression, 2),
  [4883] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2035),
  [4885] = {.entry = {.count = 1, .reusable = false}}, SHIFT(758),
  [4887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6089),
  [4889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(761),
  [4891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(763),
  [4893] = {.entry = {.count = 1, .reusable = false}}, SHIFT(729),
  [4895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(729),
  [4897] = {.entry = {.count = 1, .reusable = false}}, SHIFT(776),
  [4899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(777),
  [4901] = {.entry = {.count = 1, .reusable = false}}, SHIFT(779),
  [4903] = {.entry = {.count = 1, .reusable = false}}, SHIFT(787),
  [4905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(759),
  [4907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(788),
  [4909] = {.entry = {.count = 1, .reusable = false}}, SHIFT(210),
  [4911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(758),
  [4913] = {.entry = {.count = 1, .reusable = false}}, SHIFT(803),
  [4915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(803),
  [4917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(799),
  [4919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2710),
  [4921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1853),
  [4923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(630),
  [4925] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_subscript_expression, 4, .production_id = 263),
  [4927] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_subscript_expression, 4, .production_id = 263),
  [4929] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_subscript_expression, 4, .production_id = 264),
  [4931] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_subscript_expression, 4, .production_id = 264),
  [4933] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tuple_type, 5),
  [4935] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple_type, 5),
  [4937] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3687),
  [4939] = {.entry = {.count = 1, .reusable = false}}, SHIFT(800),
  [4941] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__property_name, 1, .production_id = 7), SHIFT(2353),
  [4944] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__property_name, 1, .production_id = 7), SHIFT(3379),
  [4947] = {.entry = {.count = 1, .reusable = false}}, SHIFT(655),
  [4949] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3087),
  [4951] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3270),
  [4953] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3395),
  [4955] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_binary_expression, 3, .production_id = 64),
  [4957] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_binary_expression, 3, .production_id = 64),
  [4959] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_binary_expression, 3, .production_id = 64), SHIFT(210),
  [4962] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_type, 5, .production_id = 265),
  [4964] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_type, 5, .production_id = 265),
  [4966] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_type, 5, .production_id = 266),
  [4968] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_type, 5, .production_id = 266),
  [4970] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arrow_function, 3, .production_id = 63),
  [4972] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_member_expression, 3, .production_id = 187),
  [4974] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_member_expression, 3, .production_id = 187),
  [4976] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_infer_type, 4, .production_id = 114),
  [4978] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_infer_type, 4, .production_id = 114),
  [4980] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1930),
  [4982] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1962),
  [4984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1903),
  [4986] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment_expression, 3, .production_id = 62),
  [4988] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_subscript_expression, 5, .production_id = 294),
  [4990] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_subscript_expression, 5, .production_id = 294),
  [4992] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_subscript_expression, 5, .production_id = 295),
  [4994] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_subscript_expression, 5, .production_id = 295),
  [4996] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 3, .production_id = 55),
  [4998] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 3, .production_id = 55),
  [5000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(760),
  [5002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5709),
  [5004] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_type, 4, .production_id = 225),
  [5006] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_type, 4, .production_id = 225),
  [5008] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_subscript_expression, 5, .production_id = 296),
  [5010] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_subscript_expression, 5, .production_id = 296),
  [5012] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tuple_type, 4),
  [5014] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple_type, 4),
  [5016] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_member_expression, 3, .production_id = 186),
  [5018] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_member_expression, 3, .production_id = 186),
  [5020] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_subscript_expression, 5, .production_id = 297),
  [5022] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_subscript_expression, 5, .production_id = 297),
  [5024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(986),
  [5026] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment_expression, 4, .production_id = 126),
  [5028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(964),
  [5030] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_type, 6, .production_id = 298),
  [5032] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_type, 6, .production_id = 298),
  [5034] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_conditional_type, 7, .production_id = 318),
  [5036] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_conditional_type, 7, .production_id = 318),
  [5038] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_yield_expression, 3),
  [5040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7620),
  [5042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(923),
  [5044] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_member_expression, 3, .production_id = 224),
  [5046] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_member_expression, 3, .production_id = 224),
  [5048] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_member_expression, 3, .production_id = 223),
  [5050] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_member_expression, 3, .production_id = 223),
  [5052] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_member_expression, 3, .production_id = 185),
  [5054] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_member_expression, 3, .production_id = 185),
  [5056] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_member_expression, 3, .production_id = 184),
  [5058] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_member_expression, 3, .production_id = 184),
  [5060] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_member_expression, 3, .production_id = 68),
  [5062] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_member_expression, 3, .production_id = 68),
  [5064] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_member_expression, 3, .production_id = 67),
  [5066] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_member_expression, 3, .production_id = 67),
  [5068] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_type, 3),
  [5070] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_type, 3),
  [5072] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_union_type, 3),
  [5074] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_union_type, 3),
  [5076] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_intersection_type, 3),
  [5078] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_intersection_type, 3),
  [5080] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_type, 3, .production_id = 172),
  [5082] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_type, 3, .production_id = 172),
  [5084] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_nested_type_identifier, 3, .production_id = 171),
  [5086] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nested_type_identifier, 3, .production_id = 171),
  [5088] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_nested_identifier, 3, .production_id = 83), REDUCE(sym_nested_type_identifier, 3, .production_id = 171),
  [5091] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_nested_identifier, 3, .production_id = 67), REDUCE(sym_nested_type_identifier, 3, .production_id = 171),
  [5094] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_literal_type, 3),
  [5096] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_literal_type, 3),
  [5098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2631),
  [5100] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment_expression, 3, .production_id = 22),
  [5102] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tuple_type, 3),
  [5104] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple_type, 3),
  [5106] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arrow_function, 3, .production_id = 24),
  [5108] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_instantiation_expression, 2, .production_id = 170),
  [5110] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_instantiation_expression, 2, .production_id = 170),
  [5112] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_call_expression, 2, .production_id = 169),
  [5114] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_call_expression, 2, .production_id = 169),
  [5116] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_instantiation_expression, 2, .production_id = 168),
  [5118] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_instantiation_expression, 2, .production_id = 168),
  [5120] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_subscript_expression, 4, .production_id = 262),
  [5122] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_subscript_expression, 4, .production_id = 262),
  [5124] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__property_name, 1, .production_id = 7), SHIFT(2817),
  [5127] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_call_expression, 2, .production_id = 141),
  [5129] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_call_expression, 2, .production_id = 141),
  [5131] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_instantiation_expression, 2, .production_id = 167),
  [5133] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_instantiation_expression, 2, .production_id = 167),
  [5135] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_call_expression, 2, .production_id = 14),
  [5137] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_call_expression, 2, .production_id = 14),
  [5139] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generic_type, 2, .production_id = 116),
  [5141] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generic_type, 2, .production_id = 116),
  [5143] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_update_expression, 2, .production_id = 8),
  [5145] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_update_expression, 2, .production_id = 8),
  [5147] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_update_expression, 2, .production_id = 8), SHIFT(210),
  [5150] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lookup_type, 4),
  [5152] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lookup_type, 4),
  [5154] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arrow_function, 3, .production_id = 75),
  [5156] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_await_expression, 2),
  [5158] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_await_expression, 2),
  [5160] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_await_expression, 2), SHIFT(210),
  [5163] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_type, 4, .production_id = 226),
  [5165] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_type, 4, .production_id = 226),
  [5167] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_index_type_query, 2),
  [5169] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_index_type_query, 2),
  [5171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1840),
  [5173] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_infer_type, 2, .production_id = 114),
  [5175] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_infer_type, 2, .production_id = 114),
  [5177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1863),
  [5179] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_augmented_assignment_expression, 3, .production_id = 64),
  [5181] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_flow_maybe_type, 2),
  [5183] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_flow_maybe_type, 2),
  [5185] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type, 1),
  [5187] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type, 1),
  [5189] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unary_expression, 2, .production_id = 8),
  [5191] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unary_expression, 2, .production_id = 8),
  [5193] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_unary_expression, 2, .production_id = 8), SHIFT(210),
  [5196] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_readonly_type, 2),
  [5198] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_readonly_type, 2),
  [5200] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generic_type, 2, .production_id = 113),
  [5202] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generic_type, 2, .production_id = 113),
  [5204] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_literal_type, 2),
  [5206] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_literal_type, 2),
  [5208] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__number, 2, .production_id = 8),
  [5210] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__number, 2, .production_id = 8),
  [5212] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arrow_function, 4, .production_id = 118),
  [5214] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arrow_function, 4, .production_id = 120),
  [5216] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arrow_function, 4, .production_id = 121),
  [5218] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_predicate, 3, .production_id = 89),
  [5220] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_predicate, 3, .production_id = 89),
  [5222] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_predicate, 3, .production_id = 190),
  [5224] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_predicate, 3, .production_id = 190),
  [5226] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_union_type, 2),
  [5228] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_union_type, 2),
  [5230] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__property_name, 1, .production_id = 7), SHIFT(3061),
  [5233] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_intersection_type, 2),
  [5235] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_intersection_type, 2),
  [5237] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tuple_type, 2),
  [5239] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple_type, 2),
  [5241] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment_expression, 4, .production_id = 125),
  [5243] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_query, 2, .production_id = 112),
  [5245] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_query, 2, .production_id = 112),
  [5247] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_query, 2, .production_id = 77),
  [5249] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_query, 2, .production_id = 77),
  [5251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6793),
  [5253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2039),
  [5255] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_as_expression, 3),
  [5257] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_as_expression, 3),
  [5259] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_object, 2), REDUCE(sym_object_type, 2),
  [5262] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_object, 2), REDUCE(sym_object_type, 2),
  [5265] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__property_name, 1, .production_id = 7), SHIFT(2539),
  [5268] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array, 2),
  [5270] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_pattern, 2),
  [5272] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array, 2),
  [5274] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array, 2), REDUCE(sym_tuple_type, 2),
  [5277] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_array, 2), REDUCE(sym_tuple_type, 2),
  [5280] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_literal_type, 1, .production_id = 50),
  [5282] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_literal_type, 1, .production_id = 50),
  [5284] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_literal_type, 1),
  [5286] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_literal_type, 1),
  [5288] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_subscript_expression, 4, .production_id = 142),
  [5290] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_subscript_expression, 4, .production_id = 142),
  [5292] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_existential_type, 1),
  [5294] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_existential_type, 1),
  [5296] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_sequence_expression_repeat1, 2),
  [5298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2122),
  [5300] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_satisfies_expression, 3),
  [5302] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_satisfies_expression, 3),
  [5304] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ternary_expression, 5, .production_id = 188),
  [5306] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_call_expression, 2, .production_id = 14),
  [5308] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call_expression, 2, .production_id = 14),
  [5310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(58),
  [5312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7492),
  [5314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7490),
  [5316] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_arguments, 5),
  [5318] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_arguments, 5),
  [5320] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_arguments, 5, .production_id = 77),
  [5322] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_arguments, 5, .production_id = 77),
  [5324] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_arguments, 5, .production_id = 76),
  [5326] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_arguments, 5, .production_id = 76),
  [5328] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_arguments, 4),
  [5330] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_arguments, 4),
  [5332] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_arguments, 4, .production_id = 77),
  [5334] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_arguments, 4, .production_id = 77),
  [5336] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_arguments, 4, .production_id = 76),
  [5338] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_arguments, 4, .production_id = 76),
  [5340] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__property_name, 1, .production_id = 7), SHIFT(2704),
  [5343] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_arguments, 3),
  [5345] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_arguments, 3),
  [5347] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_arguments, 3, .production_id = 77),
  [5349] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_arguments, 3, .production_id = 77),
  [5351] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_arguments, 3, .production_id = 76),
  [5353] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_arguments, 3, .production_id = 76),
  [5355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1726),
  [5357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1310),
  [5359] = {.entry = {.count = 1, .reusable = false}}, SHIFT(526),
  [5361] = {.entry = {.count = 1, .reusable = false}}, SHIFT(709),
  [5363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1922),
  [5365] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_assignment_pattern, 3, .production_id = 84),
  [5367] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2155),
  [5369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(319),
  [5371] = {.entry = {.count = 1, .reusable = false}}, SHIFT(726),
  [5373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5072),
  [5375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(525),
  [5377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7000),
  [5379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(616),
  [5381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(704),
  [5383] = {.entry = {.count = 1, .reusable = false}}, SHIFT(701),
  [5385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(701),
  [5387] = {.entry = {.count = 1, .reusable = false}}, SHIFT(700),
  [5389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(699),
  [5391] = {.entry = {.count = 1, .reusable = false}}, SHIFT(698),
  [5393] = {.entry = {.count = 1, .reusable = false}}, SHIFT(697),
  [5395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(709),
  [5397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(694),
  [5399] = {.entry = {.count = 1, .reusable = false}}, SHIFT(214),
  [5401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(726),
  [5403] = {.entry = {.count = 1, .reusable = false}}, SHIFT(693),
  [5405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(693),
  [5407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(687),
  [5409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3119),
  [5411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4841),
  [5413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1843),
  [5415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(710),
  [5417] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object, 3, .production_id = 26),
  [5419] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_pattern, 3, .production_id = 27),
  [5421] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object, 3, .production_id = 26),
  [5423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7346),
  [5425] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1799),
  [5427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1947),
  [5429] = {.entry = {.count = 1, .reusable = false}}, SHIFT(673),
  [5431] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__initializer, 2, .production_id = 88),
  [5433] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__initializer, 2, .production_id = 88), SHIFT(669),
  [5436] = {.entry = {.count = 1, .reusable = false}}, SHIFT(669),
  [5438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(676),
  [5440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(681),
  [5442] = {.entry = {.count = 1, .reusable = false}}, SHIFT(682),
  [5444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(682),
  [5446] = {.entry = {.count = 1, .reusable = false}}, SHIFT(688),
  [5448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(689),
  [5450] = {.entry = {.count = 1, .reusable = false}}, SHIFT(690),
  [5452] = {.entry = {.count = 1, .reusable = false}}, SHIFT(691),
  [5454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(673),
  [5456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(692),
  [5458] = {.entry = {.count = 1, .reusable = false}}, SHIFT(212),
  [5460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(669),
  [5462] = {.entry = {.count = 1, .reusable = false}}, SHIFT(695),
  [5464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(695),
  [5466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(696),
  [5468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(771),
  [5470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(708),
  [5472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1583),
  [5474] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_update_expression, 2, .production_id = 8), SHIFT(212),
  [5477] = {.entry = {.count = 1, .reusable = false}}, SHIFT(621),
  [5479] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3590),
  [5481] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_binary_expression, 3, .production_id = 64), SHIFT(214),
  [5484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7102),
  [5486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7099),
  [5488] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_await_expression, 2), SHIFT(212),
  [5491] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_unary_expression, 2, .production_id = 8), SHIFT(212),
  [5494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2615),
  [5496] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 5, .production_id = 194),
  [5498] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 5, .production_id = 194),
  [5500] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_unary_expression, 2, .production_id = 8), SHIFT(214),
  [5503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2563),
  [5505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6963),
  [5507] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_self_closing_element, 5, .dynamic_precedence = -1, .production_id = 178),
  [5509] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_self_closing_element, 5, .dynamic_precedence = -1, .production_id = 178),
  [5511] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_self_closing_element, 5, .dynamic_precedence = -1, .production_id = 177),
  [5513] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_self_closing_element, 5, .dynamic_precedence = -1, .production_id = 177),
  [5515] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_await_expression, 2), SHIFT(214),
  [5518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1695),
  [5520] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generator_function, 5, .production_id = 173),
  [5522] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generator_function, 5, .production_id = 173),
  [5524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1690),
  [5526] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_object_assignment_pattern, 3, .production_id = 84), REDUCE(sym_assignment_expression, 3, .production_id = 22),
  [5529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1654),
  [5531] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_object_assignment_pattern, 3, .production_id = 84), REDUCE(sym_assignment_expression, 3, .production_id = 62),
  [5534] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_object_assignment_pattern, 3, .production_id = 62), REDUCE(sym_assignment_expression, 3, .production_id = 62),
  [5537] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_assignment_pattern, 3, .production_id = 62),
  [5539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4508),
  [5541] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_binary_expression, 3, .production_id = 64), SHIFT(212),
  [5544] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 4, .production_id = 147),
  [5546] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 4, .production_id = 147),
  [5548] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 4, .production_id = 146),
  [5550] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 4, .production_id = 146),
  [5552] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_closing_element, 3, .production_id = 61),
  [5554] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_closing_element, 3, .production_id = 61),
  [5556] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_closing_element, 3, .production_id = 57),
  [5558] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_closing_element, 3, .production_id = 57),
  [5560] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_call_expression, 4, .production_id = 143),
  [5562] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call_expression, 4, .production_id = 143),
  [5564] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_string, 2),
  [5566] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_string, 2),
  [5568] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_template_string, 2), REDUCE(sym_template_literal_type, 2),
  [5571] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_template_string, 2), REDUCE(sym_template_literal_type, 2),
  [5574] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_self_closing_element, 4, .dynamic_precedence = -1, .production_id = 130),
  [5576] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_self_closing_element, 4, .dynamic_precedence = -1, .production_id = 130),
  [5578] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_self_closing_element, 4, .dynamic_precedence = -1, .production_id = 135),
  [5580] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_self_closing_element, 4, .dynamic_precedence = -1, .production_id = 135),
  [5582] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_self_closing_element, 4, .dynamic_precedence = -1, .production_id = 134),
  [5584] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_self_closing_element, 4, .dynamic_precedence = -1, .production_id = 134),
  [5586] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_self_closing_element, 4, .dynamic_precedence = -1, .production_id = 132),
  [5588] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_self_closing_element, 4, .dynamic_precedence = -1, .production_id = 132),
  [5590] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_regex, 4, .production_id = 127),
  [5592] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_regex, 4, .production_id = 127),
  [5594] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 4, .production_id = 124),
  [5596] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 4, .production_id = 124),
  [5598] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generator_function, 4, .production_id = 119),
  [5600] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generator_function, 4, .production_id = 119),
  [5602] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arrow_function, 4, .production_id = 121),
  [5604] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arrow_function, 4, .production_id = 120),
  [5606] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_expression, 4, .production_id = 119),
  [5608] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_expression, 4, .production_id = 119),
  [5610] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_update_expression, 2, .production_id = 8), SHIFT(214),
  [5613] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arrow_function, 4, .production_id = 118),
  [5615] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 4, .production_id = 117),
  [5617] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 4, .production_id = 117),
  [5619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6993),
  [5621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6984),
  [5623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6982),
  [5625] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array, 4),
  [5627] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array, 4),
  [5629] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_spread_element, 2),
  [5631] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object, 4),
  [5633] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object, 4),
  [5635] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object, 4, .production_id = 26),
  [5637] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object, 4, .production_id = 26),
  [5639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1092),
  [5641] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 3, .production_id = 80),
  [5643] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 3, .production_id = 80),
  [5645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1114),
  [5647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1113),
  [5649] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arrow_function, 3, .production_id = 75),
  [5651] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_element, 3, .production_id = 74),
  [5653] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_element, 3, .production_id = 74),
  [5655] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_closing_element, 2),
  [5657] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_closing_element, 2),
  [5659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1356),
  [5661] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_glimmer_template, 3, .production_id = 73),
  [5663] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_glimmer_template, 3, .production_id = 73),
  [5665] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_call_expression, 3, .production_id = 72),
  [5667] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call_expression, 3, .production_id = 72),
  [5669] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1), REDUCE(sym__primary_type, 1, .production_id = 49),
  [5672] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1), REDUCE(sym__primary_type, 1, .production_id = 49),
  [5675] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1), REDUCE(sym_literal_type, 1),
  [5678] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1), REDUCE(sym_literal_type, 1),
  [5681] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3726),
  [5683] = {.entry = {.count = 1, .reusable = false}}, SHIFT(47),
  [5685] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3137),
  [5687] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3106),
  [5689] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3372),
  [5691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1196),
  [5693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1502),
  [5695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2100),
  [5697] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_call_expression, 3, .production_id = 71),
  [5699] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call_expression, 3, .production_id = 71),
  [5701] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arrow_function, 3, .production_id = 63),
  [5703] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_string, 3),
  [5705] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_string, 3),
  [5707] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_self_closing_element, 3, .dynamic_precedence = -1, .production_id = 61),
  [5709] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_self_closing_element, 3, .dynamic_precedence = -1, .production_id = 61),
  [5711] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_self_closing_element, 3, .dynamic_precedence = -1, .production_id = 57),
  [5713] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_self_closing_element, 3, .dynamic_precedence = -1, .production_id = 57),
  [5715] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 3, .production_id = 54),
  [5717] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 3, .production_id = 54),
  [5719] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_meta_property, 3),
  [5721] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_meta_property, 3),
  [5723] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_expression, 3, .production_id = 53),
  [5725] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_expression, 3, .production_id = 53),
  [5727] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 3, .production_id = 52),
  [5729] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 3, .production_id = 52),
  [5731] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 3, .production_id = 51),
  [5733] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 3, .production_id = 51),
  [5735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1323),
  [5737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1322),
  [5739] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array, 3),
  [5741] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array, 3),
  [5743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1238),
  [5745] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_object, 2), REDUCE(sym_object_pattern, 2),
  [5748] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object, 3),
  [5750] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object, 3),
  [5752] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_object, 3, .production_id = 26), REDUCE(sym_object_pattern, 3, .production_id = 27),
  [5755] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arrow_function, 3, .production_id = 24),
  [5757] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_element, 2, .production_id = 17),
  [5759] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_element, 2, .production_id = 17),
  [5761] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_glimmer_template, 2, .production_id = 17),
  [5763] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_glimmer_template, 2, .production_id = 17),
  [5765] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_glimmer_closing_tag, 1),
  [5767] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_glimmer_closing_tag, 1),
  [5769] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_update_expression, 2, .production_id = 15),
  [5771] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_update_expression, 2, .production_id = 15),
  [5773] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_self_closing_element, 2, .dynamic_precedence = -1),
  [5775] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_self_closing_element, 2, .dynamic_precedence = -1),
  [5777] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 2, .production_id = 11),
  [5779] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 2, .production_id = 11),
  [5781] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array, 2), REDUCE(sym_array_pattern, 2),
  [5784] = {.entry = {.count = 1, .reusable = false}}, SHIFT(598),
  [5786] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__extends_clause_single, 1, .production_id = 46),
  [5788] = {.entry = {.count = 1, .reusable = false}}, SHIFT(599),
  [5790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(596),
  [5792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(593),
  [5794] = {.entry = {.count = 1, .reusable = false}}, SHIFT(591),
  [5796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(591),
  [5798] = {.entry = {.count = 1, .reusable = false}}, SHIFT(590),
  [5800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(586),
  [5802] = {.entry = {.count = 1, .reusable = false}}, SHIFT(584),
  [5804] = {.entry = {.count = 1, .reusable = false}}, SHIFT(582),
  [5806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(598),
  [5808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(581),
  [5810] = {.entry = {.count = 1, .reusable = false}}, SHIFT(213),
  [5812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(599),
  [5814] = {.entry = {.count = 1, .reusable = false}}, SHIFT(579),
  [5816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(579),
  [5818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(578),
  [5820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(781),
  [5822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7129),
  [5824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1739),
  [5826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1733),
  [5828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1729),
  [5830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(312),
  [5832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3214),
  [5834] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_unary_expression, 2, .production_id = 8), SHIFT(213),
  [5837] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_await_expression, 2), SHIFT(213),
  [5840] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_update_expression, 2, .production_id = 8), SHIFT(213),
  [5843] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_binary_expression, 3, .production_id = 64), SHIFT(213),
  [5846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3737),
  [5848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(82),
  [5850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4016),
  [5852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2144),
  [5854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1069),
  [5856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1957),
  [5858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2362),
  [5860] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_array_repeat1, 2),
  [5862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5033),
  [5864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(102),
  [5866] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3441),
  [5868] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3440),
  [5870] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3717),
  [5872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2113),
  [5874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1269),
  [5876] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3425),
  [5878] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3424),
  [5880] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3713),
  [5882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2168),
  [5884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1731),
  [5886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(92),
  [5888] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment_pattern, 3, .production_id = 62),
  [5890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4160),
  [5892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1343),
  [5894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2022),
  [5896] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_object, 2), REDUCE(sym_object_pattern, 2), REDUCE(sym_object_type, 2),
  [5900] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_array, 2), REDUCE(sym_array_pattern, 2), REDUCE(sym_tuple_type, 2),
  [5904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3140),
  [5906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5696),
  [5908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(95),
  [5910] = {.entry = {.count = 3, .reusable = false}}, REDUCE(sym__property_name, 1, .production_id = 7), REDUCE(aux_sym_object_repeat1, 2, .production_id = 26), REDUCE(aux_sym_object_pattern_repeat1, 2, .production_id = 27),
  [5914] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_pattern, 2),
  [5916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4804),
  [5918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2019),
  [5920] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_pattern, 3, .production_id = 27),
  [5922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2694),
  [5924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2736),
  [5926] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_pattern, 2),
  [5928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(87),
  [5930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1737),
  [5932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3749),
  [5934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1740),
  [5936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1738),
  [5938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15),
  [5940] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1905),
  [5942] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1904),
  [5944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1937),
  [5946] = {.entry = {.count = 1, .reusable = false}}, SHIFT(631),
  [5948] = {.entry = {.count = 1, .reusable = false}}, SHIFT(628),
  [5950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(634),
  [5952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(635),
  [5954] = {.entry = {.count = 1, .reusable = false}}, SHIFT(636),
  [5956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(636),
  [5958] = {.entry = {.count = 1, .reusable = false}}, SHIFT(643),
  [5960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(644),
  [5962] = {.entry = {.count = 1, .reusable = false}}, SHIFT(645),
  [5964] = {.entry = {.count = 1, .reusable = false}}, SHIFT(646),
  [5966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(631),
  [5968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(648),
  [5970] = {.entry = {.count = 1, .reusable = false}}, SHIFT(208),
  [5972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(628),
  [5974] = {.entry = {.count = 1, .reusable = false}}, SHIFT(649),
  [5976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(649),
  [5978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(650),
  [5980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(559),
  [5982] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5356),
  [5984] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3077),
  [5986] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5400),
  [5988] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3716),
  [5990] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2817),
  [5992] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_binary_expression, 3, .production_id = 64), SHIFT(208),
  [5995] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3723),
  [5997] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3088),
  [5999] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3079),
  [6001] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3337),
  [6003] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5097),
  [6005] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4551),
  [6007] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3447),
  [6009] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3227),
  [6011] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_update_expression, 2, .production_id = 8), SHIFT(211),
  [6014] = {.entry = {.count = 1, .reusable = false}}, SHIFT(774),
  [6016] = {.entry = {.count = 1, .reusable = false}}, SHIFT(773),
  [6018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(775),
  [6020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(778),
  [6022] = {.entry = {.count = 1, .reusable = false}}, SHIFT(780),
  [6024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(780),
  [6026] = {.entry = {.count = 1, .reusable = false}}, SHIFT(782),
  [6028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(783),
  [6030] = {.entry = {.count = 1, .reusable = false}}, SHIFT(784),
  [6032] = {.entry = {.count = 1, .reusable = false}}, SHIFT(785),
  [6034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(774),
  [6036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(786),
  [6038] = {.entry = {.count = 1, .reusable = false}}, SHIFT(211),
  [6040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(773),
  [6042] = {.entry = {.count = 1, .reusable = false}}, SHIFT(791),
  [6044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(791),
  [6046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(792),
  [6048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(762),
  [6050] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_unary_expression, 2, .production_id = 8), SHIFT(211),
  [6053] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_await_expression, 2), SHIFT(211),
  [6056] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pair, 3, .production_id = 85),
  [6058] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3690),
  [6060] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3072),
  [6062] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3231),
  [6064] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3341),
  [6066] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3711),
  [6068] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3418),
  [6070] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3421),
  [6072] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3731),
  [6074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6840),
  [6076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6744),
  [6078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1837),
  [6080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1338),
  [6082] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__parameter_name, 1, .production_id = 9),
  [6084] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__parameter_name, 1, .production_id = 9),
  [6086] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__parameter_name, 1, .production_id = 9), REDUCE(sym__primary_type, 1, .production_id = 49),
  [6089] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_regex, 3, .production_id = 37),
  [6091] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_regex, 3, .production_id = 37),
  [6093] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2630),
  [6095] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_binary_expression, 3, .production_id = 64), SHIFT(211),
  [6098] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3705),
  [6100] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3195),
  [6102] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3191),
  [6104] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3400),
  [6106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1489),
  [6108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1488),
  [6110] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array_pattern, 2), REDUCE(sym_tuple_type, 2),
  [6113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5078),
  [6115] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_object_pattern, 2), REDUCE(sym_object_type, 2),
  [6118] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3734),
  [6120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5528),
  [6122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5527),
  [6124] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3686),
  [6126] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3317),
  [6128] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3352),
  [6130] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3721),
  [6132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1615),
  [6134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1616),
  [6136] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3224),
  [6138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4853),
  [6140] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3450),
  [6142] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3446),
  [6144] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3683),
  [6146] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3714),
  [6148] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3244),
  [6150] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3409),
  [6152] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3725),
  [6154] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3243),
  [6156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1270),
  [6158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1247),
  [6160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1246),
  [6162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1896),
  [6164] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3702),
  [6166] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3126),
  [6168] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3125),
  [6170] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3350),
  [6172] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3473),
  [6174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1070),
  [6176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1010),
  [6178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1011),
  [6180] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1), REDUCE(sym__parameter_name, 1, .production_id = 9),
  [6183] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_primary_expression, 1), REDUCE(sym__parameter_name, 1, .production_id = 9), REDUCE(sym__primary_type, 1, .production_id = 49),
  [6187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1653),
  [6189] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__parameter_name, 2, .production_id = 37),
  [6191] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__parameter_name, 2, .production_id = 37),
  [6193] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__primary_type, 1, .production_id = 49), REDUCE(sym__parameter_name, 2, .production_id = 37),
  [6196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6994),
  [6198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7128),
  [6200] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_unary_expression, 2, .production_id = 8), SHIFT(208),
  [6203] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_await_expression, 2), SHIFT(208),
  [6206] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_update_expression, 2, .production_id = 8), SHIFT(208),
  [6209] = {.entry = {.count = 1, .reusable = false}}, SHIFT(724),
  [6211] = {.entry = {.count = 1, .reusable = false}}, SHIFT(730),
  [6213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(715),
  [6215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(680),
  [6217] = {.entry = {.count = 1, .reusable = false}}, SHIFT(664),
  [6219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(664),
  [6221] = {.entry = {.count = 1, .reusable = false}}, SHIFT(658),
  [6223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(657),
  [6225] = {.entry = {.count = 1, .reusable = false}}, SHIFT(656),
  [6227] = {.entry = {.count = 1, .reusable = false}}, SHIFT(654),
  [6229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(724),
  [6231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(651),
  [6233] = {.entry = {.count = 1, .reusable = false}}, SHIFT(215),
  [6235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(730),
  [6237] = {.entry = {.count = 1, .reusable = false}}, SHIFT(647),
  [6239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(647),
  [6241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(642),
  [6243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(585),
  [6245] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3692),
  [6247] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3599),
  [6249] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5698),
  [6251] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_object_pattern_repeat1, 1),
  [6253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(571),
  [6255] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3699),
  [6257] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3092),
  [6259] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3338),
  [6261] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3602),
  [6263] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3592),
  [6265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5495),
  [6267] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3706),
  [6269] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3587),
  [6271] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3708),
  [6273] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3585),
  [6275] = {.entry = {.count = 1, .reusable = false}}, SHIFT(637),
  [6277] = {.entry = {.count = 1, .reusable = false}}, SHIFT(638),
  [6279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(629),
  [6281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(626),
  [6283] = {.entry = {.count = 1, .reusable = false}}, SHIFT(608),
  [6285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(608),
  [6287] = {.entry = {.count = 1, .reusable = false}}, SHIFT(604),
  [6289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(580),
  [6291] = {.entry = {.count = 1, .reusable = false}}, SHIFT(576),
  [6293] = {.entry = {.count = 1, .reusable = false}}, SHIFT(575),
  [6295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(637),
  [6297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(573),
  [6299] = {.entry = {.count = 1, .reusable = false}}, SHIFT(209),
  [6301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(638),
  [6303] = {.entry = {.count = 1, .reusable = false}}, SHIFT(572),
  [6305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(572),
  [6307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(570),
  [6309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(746),
  [6311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5524),
  [6313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6873),
  [6315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6870),
  [6317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(577),
  [6319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5525),
  [6321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(612),
  [6323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(556),
  [6325] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__extends_clause_single, 2, .production_id = 108),
  [6327] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3739),
  [6329] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3131),
  [6331] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3371),
  [6333] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3609),
  [6335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4113),
  [6337] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__parameter_name, 2, .production_id = 40),
  [6339] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__parameter_name, 2, .production_id = 40),
  [6341] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3730),
  [6343] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3606),
  [6345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(740),
  [6347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6854),
  [6349] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3588),
  [6351] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3141),
  [6353] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3402),
  [6355] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3703),
  [6357] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3581),
  [6359] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3593),
  [6361] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3600),
  [6363] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_update_expression, 2, .production_id = 8), SHIFT(215),
  [6366] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3733),
  [6368] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3607),
  [6370] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_await_expression, 2), SHIFT(215),
  [6373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(789),
  [6375] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3197),
  [6377] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3411),
  [6379] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_update_expression, 2, .production_id = 8), SHIFT(209),
  [6382] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_await_expression, 2), SHIFT(209),
  [6385] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__parameter_name, 4, .production_id = 155),
  [6387] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__parameter_name, 4, .production_id = 155),
  [6389] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_unary_expression, 2, .production_id = 8), SHIFT(209),
  [6392] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3694),
  [6394] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3298),
  [6396] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3354),
  [6398] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3583),
  [6400] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_unary_expression, 2, .production_id = 8), SHIFT(215),
  [6403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(564),
  [6405] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__parameter_name, 3, .production_id = 99),
  [6407] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__parameter_name, 3, .production_id = 99),
  [6409] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__initializer, 2, .production_id = 88), SHIFT(638),
  [6412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6838),
  [6414] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_call_expression_in_type_annotation, 2, .production_id = 14),
  [6416] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__parameter_name, 3, .production_id = 95),
  [6418] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__parameter_name, 3, .production_id = 95),
  [6420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7038),
  [6422] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3293),
  [6424] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3584),
  [6426] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3604),
  [6428] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4540),
  [6430] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3342),
  [6432] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6977),
  [6434] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3445),
  [6436] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3374),
  [6438] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3444),
  [6440] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3475),
  [6442] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3563),
  [6444] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3540),
  [6446] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_array, 2), REDUCE(sym_array_pattern, 2),
  [6449] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array, 3), REDUCE(sym_computed_property_name, 3),
  [6452] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_computed_property_name, 3),
  [6454] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_array, 3), REDUCE(sym_computed_property_name, 3),
  [6457] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_computed_property_name, 3),
  [6459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5382),
  [6461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6765),
  [6463] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_object, 3, .production_id = 26), REDUCE(sym_object_pattern, 3, .production_id = 27),
  [6466] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_object, 2), REDUCE(sym_object_pattern, 2),
  [6469] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_primary_expression, 1), REDUCE(sym_literal_type, 1), REDUCE(sym_rest_pattern, 2),
  [6473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4592),
  [6475] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3697),
  [6477] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3291),
  [6479] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3351),
  [6481] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3591),
  [6483] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__parameter_name, 4, .production_id = 153),
  [6485] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__parameter_name, 4, .production_id = 153),
  [6487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6746),
  [6489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6662),
  [6491] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_binary_expression, 3, .production_id = 64), SHIFT(215),
  [6494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(806),
  [6496] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_binary_expression, 3, .production_id = 64), SHIFT(209),
  [6499] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1), REDUCE(sym__property_name, 1),
  [6502] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__property_name, 1),
  [6504] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1), REDUCE(sym__property_name, 1),
  [6507] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__property_name, 1),
  [6509] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3722),
  [6511] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3148),
  [6513] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3368),
  [6515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(671),
  [6517] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3093),
  [6519] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3339),
  [6521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6725),
  [6523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6724),
  [6525] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3608),
  [6527] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3695),
  [6529] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3605),
  [6531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6629),
  [6533] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3597),
  [6535] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__parameter_name, 5, .production_id = 203),
  [6537] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__parameter_name, 5, .production_id = 203),
  [6539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6673),
  [6541] = {.entry = {.count = 1, .reusable = false}}, SHIFT(707),
  [6543] = {.entry = {.count = 1, .reusable = false}}, SHIFT(686),
  [6545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(712),
  [6547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(713),
  [6549] = {.entry = {.count = 1, .reusable = false}}, SHIFT(714),
  [6551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(714),
  [6553] = {.entry = {.count = 1, .reusable = false}}, SHIFT(716),
  [6555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(717),
  [6557] = {.entry = {.count = 1, .reusable = false}}, SHIFT(718),
  [6559] = {.entry = {.count = 1, .reusable = false}}, SHIFT(719),
  [6561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(707),
  [6563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(720),
  [6565] = {.entry = {.count = 1, .reusable = false}}, SHIFT(216),
  [6567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(686),
  [6569] = {.entry = {.count = 1, .reusable = false}}, SHIFT(722),
  [6571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(722),
  [6573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(723),
  [6575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(550),
  [6577] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4777),
  [6579] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_object_repeat1, 1),
  [6581] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3467),
  [6583] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3417),
  [6585] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3456),
  [6587] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3505),
  [6589] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3576),
  [6591] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3578),
  [6593] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_object_repeat1, 2, .production_id = 26), REDUCE(aux_sym_object_pattern_repeat1, 2, .production_id = 27),
  [6596] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_unary_expression, 2, .production_id = 8), SHIFT(216),
  [6599] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6745),
  [6601] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_await_expression, 2), SHIFT(216),
  [6604] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_binary_expression, 3, .production_id = 64), SHIFT(216),
  [6607] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_update_expression, 2, .production_id = 8), SHIFT(216),
  [6610] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_class, 3, .production_id = 45), REDUCE(sym_class, 4, .production_id = 145),
  [6613] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_class, 3, .production_id = 45), REDUCE(sym_class, 4, .production_id = 145),
  [6616] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_class, 4, .production_id = 106), REDUCE(sym_class, 5, .production_id = 192),
  [6619] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_class, 4, .production_id = 106), REDUCE(sym_class, 5, .production_id = 192),
  [6622] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_object_repeat1, 2, .production_id = 26),
  [6624] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3464),
  [6626] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_class, 4, .production_id = 107), REDUCE(sym_class, 5, .production_id = 193),
  [6629] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_class, 4, .production_id = 107), REDUCE(sym_class, 5, .production_id = 193),
  [6632] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3691),
  [6634] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_class, 4, .production_id = 117), REDUCE(sym_class, 5, .production_id = 194),
  [6637] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_class, 4, .production_id = 117), REDUCE(sym_class, 5, .production_id = 194),
  [6640] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3718),
  [6642] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3454),
  [6644] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_class, 2, .production_id = 11), REDUCE(sym_class, 3, .production_id = 80),
  [6647] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_class, 2, .production_id = 11), REDUCE(sym_class, 3, .production_id = 80),
  [6650] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_class, 5, .production_id = 164), REDUCE(sym_class, 6, .production_id = 233),
  [6653] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_class, 5, .production_id = 164), REDUCE(sym_class, 6, .production_id = 233),
  [6656] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3709),
  [6658] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3465),
  [6660] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3704),
  [6662] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3142),
  [6664] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3001),
  [6666] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2999),
  [6668] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3348),
  [6670] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2786),
  [6672] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3719),
  [6674] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3388),
  [6676] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3701),
  [6678] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3482),
  [6680] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_class, 3, .production_id = 51), REDUCE(sym_class, 4, .production_id = 146),
  [6683] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_class, 3, .production_id = 51), REDUCE(sym_class, 4, .production_id = 146),
  [6686] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_class, 3, .production_id = 52), REDUCE(sym_class, 4, .production_id = 147),
  [6689] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_class, 3, .production_id = 52), REDUCE(sym_class, 4, .production_id = 147),
  [6692] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 8, .production_id = 300),
  [6694] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 8, .production_id = 300),
  [6696] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 1),
  [6698] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 1), SHIFT_REPEAT(3572),
  [6701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3572),
  [6703] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 5, .production_id = 198),
  [6705] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 5, .production_id = 198),
  [6707] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 8, .production_id = 299),
  [6709] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 8, .production_id = 299),
  [6711] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 3, .production_id = 86),
  [6713] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 3, .production_id = 86),
  [6715] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 6, .production_id = 236),
  [6717] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 6, .production_id = 236),
  [6719] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 6, .production_id = 227),
  [6721] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 6, .production_id = 227),
  [6723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3514),
  [6725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3513),
  [6727] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 5, .production_id = 175),
  [6729] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 5, .production_id = 175),
  [6731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3571),
  [6733] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 4, .production_id = 123),
  [6735] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 4, .production_id = 123),
  [6737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3565),
  [6739] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 7, .production_id = 269),
  [6741] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 7, .production_id = 269),
  [6743] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 10, .production_id = 335),
  [6745] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 10, .production_id = 335),
  [6747] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 9, .production_id = 320),
  [6749] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 9, .production_id = 320),
  [6751] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 9, .production_id = 319),
  [6753] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 9, .production_id = 319),
  [6755] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, .production_id = 103),
  [6757] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, .production_id = 103), SHIFT_REPEAT(3570),
  [6760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3567),
  [6762] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 7, .production_id = 270),
  [6764] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 7, .production_id = 270),
  [6766] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3693),
  [6768] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3573),
  [6770] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3574),
  [6772] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3596),
  [6774] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 4, .production_id = 151),
  [6776] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 4, .production_id = 151),
  [6778] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3684),
  [6780] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3580),
  [6782] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3610),
  [6784] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 3, .production_id = 103),
  [6786] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_static_block, 2, .production_id = 11),
  [6788] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2),
  [6790] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3698),
  [6792] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3601),
  [6794] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3569),
  [6796] = {.entry = {.count = 1, .reusable = false}}, SHIFT(491),
  [6798] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3688),
  [6800] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3595),
  [6802] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3010),
  [6804] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3009),
  [6806] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3008),
  [6808] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3613),
  [6810] = {.entry = {.count = 1, .reusable = false}}, SHIFT(334),
  [6812] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7524),
  [6814] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2924),
  [6816] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2925),
  [6818] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2926),
  [6820] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3715),
  [6822] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1625),
  [6824] = {.entry = {.count = 1, .reusable = false}}, SHIFT(991),
  [6826] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3729),
  [6828] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3407),
  [6830] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5521),
  [6832] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1306),
  [6834] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5519),
  [6836] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3433),
  [6838] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3432),
  [6840] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3742),
  [6842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(233),
  [6844] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7023),
  [6846] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5493),
  [6848] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5491),
  [6850] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1541),
  [6852] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1538),
  [6854] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1561),
  [6856] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2883),
  [6858] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1302),
  [6860] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1509),
  [6862] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1277),
  [6864] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1501),
  [6866] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6666),
  [6868] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3027),
  [6870] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1275),
  [6872] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1426),
  [6874] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6667),
  [6876] = {.entry = {.count = 1, .reusable = false}}, SHIFT(977),
  [6878] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1638),
  [6880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(232),
  [6882] = {.entry = {.count = 1, .reusable = false}}, SHIFT(978),
  [6884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(240),
  [6886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(236),
  [6888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(234),
  [6890] = {.entry = {.count = 1, .reusable = false}}, SHIFT(995),
  [6892] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3558),
  [6894] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6738),
  [6896] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3740),
  [6898] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3343),
  [6900] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3391),
  [6902] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6740),
  [6904] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1204),
  [6906] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_export_statement_repeat1, 2, .production_id = 20), SHIFT_REPEAT(5860),
  [6909] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1560),
  [6911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(230),
  [6913] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1041),
  [6915] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1641),
  [6917] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5135),
  [6919] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3564),
  [6921] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3152),
  [6923] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3138),
  [6925] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3278),
  [6927] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3707),
  [6929] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3586),
  [6931] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3276),
  [6933] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3201),
  [6935] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3161),
  [6937] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3594),
  [6939] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3280),
  [6941] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3477),
  [6943] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3459),
  [6945] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3469),
  [6947] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3466),
  [6949] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3493),
  [6951] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3490),
  [6953] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3489),
  [6955] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3488),
  [6957] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3480),
  [6959] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3455),
  [6961] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3481),
  [6963] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3470),
  [6965] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6715),
  [6967] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7443),
  [6969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7164),
  [6971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6006),
  [6973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1795),
  [6975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7145),
  [6977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6011),
  [6979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7375),
  [6981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1877),
  [6983] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5823),
  [6985] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7303),
  [6987] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3941),
  [6989] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4117),
  [6991] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4083),
  [6993] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import, 1),
  [6995] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5834),
  [6997] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3950),
  [6999] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4067),
  [7001] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5974),
  [7003] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3978),
  [7005] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4106),
  [7007] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4680),
  [7009] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1882),
  [7011] = {.entry = {.count = 1, .reusable = false}}, SHIFT(401),
  [7013] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_parameter, 1, .production_id = 13),
  [7015] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1833),
  [7017] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_parameter, 1, .production_id = 13), SHIFT(4986),
  [7020] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7472),
  [7022] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3200),
  [7024] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1798),
  [7026] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1942),
  [7028] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5917),
  [7030] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3940),
  [7032] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4107),
  [7034] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2685),
  [7036] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5810),
  [7038] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3962),
  [7040] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4110),
  [7042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1802),
  [7044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6845),
  [7046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5940),
  [7048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7134),
  [7050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5989),
  [7052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6837),
  [7054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5938),
  [7056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1878),
  [7058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(309),
  [7060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6513),
  [7062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6470),
  [7064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1796),
  [7066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7447),
  [7068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1859),
  [7070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5679),
  [7072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5680),
  [7074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3825),
  [7076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7491),
  [7078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7457),
  [7080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1886),
  [7082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1885),
  [7084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1867),
  [7086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(670),
  [7088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7416),
  [7090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7420),
  [7092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7606),
  [7094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(702),
  [7096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7183),
  [7098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7188),
  [7100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(652),
  [7102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7468),
  [7104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7221),
  [7106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7604),
  [7108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7196),
  [7110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7425),
  [7112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7599),
  [7114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7595),
  [7116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(725),
  [7118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7412),
  [7120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6512),
  [7122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6472),
  [7124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6797),
  [7126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6474),
  [7128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1841),
  [7130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1912),
  [7132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(769),
  [7134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7228),
  [7136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7243),
  [7138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7252),
  [7140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(639),
  [7142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7255),
  [7144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7454),
  [7146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(793),
  [7148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(565),
  [7150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7460),
  [7152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(566),
  [7154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(595),
  [7156] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 5, .production_id = 257),
  [7158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4623),
  [7160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(258),
  [7162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1804),
  [7164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6026),
  [7166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4098),
  [7168] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6321),
  [7170] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6317),
  [7172] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__import_identifier, 1, .production_id = 1),
  [7174] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4211),
  [7176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4687),
  [7178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4062),
  [7180] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2366),
  [7182] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 4, .production_id = 214),
  [7184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4652),
  [7186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4084),
  [7188] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3827),
  [7190] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 5, .production_id = 251),
  [7192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4748),
  [7194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(263),
  [7196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4076),
  [7198] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 3, .production_id = 161),
  [7200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4684),
  [7202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4061),
  [7204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4755),
  [7206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4064),
  [7208] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 2, .production_id = 57),
  [7210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4632),
  [7212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4097),
  [7214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(800),
  [7216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(253),
  [7218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4092),
  [7220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4628),
  [7222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4112),
  [7224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4609),
  [7226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4109),
  [7228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4547),
  [7230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4093),
  [7232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4595),
  [7234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4095),
  [7236] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2806),
  [7238] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 2, .production_id = 104),
  [7240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4526),
  [7242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4080),
  [7244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4759),
  [7246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4102),
  [7248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4520),
  [7250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4082),
  [7252] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 3, .production_id = 156),
  [7254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4710),
  [7256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4103),
  [7258] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 6, .production_id = 292),
  [7260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4716),
  [7262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4100),
  [7264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4496),
  [7266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4105),
  [7268] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4086),
  [7270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4087),
  [7272] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_namespace_name, 3),
  [7274] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__primary_type, 1, .production_id = 48), REDUCE(sym_jsx_namespace_name, 3),
  [7277] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7375),
  [7279] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 1, .production_id = 5),
  [7281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4703),
  [7283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4059),
  [7285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4715),
  [7287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4077),
  [7289] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 4, .production_id = 212),
  [7291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4503),
  [7293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4078),
  [7295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4604),
  [7297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4063),
  [7299] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 4, .production_id = 212),
  [7301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4075),
  [7303] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 3, .production_id = 156),
  [7305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4108),
  [7307] = {.entry = {.count = 1, .reusable = false}}, SHIFT(396),
  [7309] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4851),
  [7311] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4849),
  [7313] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5338),
  [7315] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4832),
  [7317] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5545),
  [7319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4081),
  [7321] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 2, .production_id = 57),
  [7323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4104),
  [7325] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 5, .production_id = 251),
  [7327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4066),
  [7329] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5324),
  [7331] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 1, .production_id = 5),
  [7333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4085),
  [7335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(198),
  [7337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4094),
  [7339] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5011),
  [7341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4070),
  [7343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7527),
  [7345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1901),
  [7347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6848),
  [7349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5942),
  [7351] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6605),
  [7353] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4986),
  [7355] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4910),
  [7357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4069),
  [7359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4068),
  [7361] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5483),
  [7363] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__primary_type, 1, .production_id = 48), SHIFT(7085),
  [7366] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 2, .production_id = 5),
  [7368] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 4, .production_id = 161),
  [7370] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 6, .production_id = 257),
  [7372] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_jsx_element_repeat1, 2), SHIFT_REPEAT(396),
  [7375] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_jsx_element_repeat1, 2), SHIFT_REPEAT(4851),
  [7378] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_jsx_element_repeat1, 2), SHIFT_REPEAT(4849),
  [7381] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_jsx_element_repeat1, 2),
  [7383] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_jsx_element_repeat1, 2), SHIFT_REPEAT(4832),
  [7386] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 6, .production_id = 251),
  [7388] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 4, .production_id = 156),
  [7390] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 3, .production_id = 57),
  [7392] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4979),
  [7394] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7471),
  [7396] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2684),
  [7398] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4908),
  [7400] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 5, .production_id = 212),
  [7402] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 6, .production_id = 251),
  [7404] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 5, .production_id = 214),
  [7406] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 5, .production_id = 212),
  [7408] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 3, .production_id = 104),
  [7410] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 2, .production_id = 5),
  [7412] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 4, .production_id = 156),
  [7414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1860),
  [7416] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5489),
  [7418] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 3, .production_id = 57),
  [7420] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 7, .production_id = 292),
  [7422] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3240),
  [7424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1890),
  [7426] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6352),
  [7428] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4209),
  [7430] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7470),
  [7432] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7477),
  [7434] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4677),
  [7436] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1892),
  [7438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1931),
  [7440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1883),
  [7442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1831),
  [7444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6483),
  [7446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6476),
  [7448] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__call_signature, 2, .production_id = 19),
  [7450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1749),
  [7452] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4265),
  [7454] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2346),
  [7456] = {.entry = {.count = 1, .reusable = false}}, SHIFT(513),
  [7458] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1869),
  [7460] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4357),
  [7462] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4225),
  [7464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(574),
  [7466] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_declarator, 1, .production_id = 5),
  [7468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6589),
  [7470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(478),
  [7472] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4223),
  [7474] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4404),
  [7476] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4381),
  [7478] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2321),
  [7480] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4228),
  [7482] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7413),
  [7484] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_annotation, 2, .production_id = 76),
  [7486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6889),
  [7488] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_annotation, 2),
  [7490] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4301),
  [7492] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7294),
  [7494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1900),
  [7496] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__call_signature, 1, .production_id = 3),
  [7498] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4284),
  [7500] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4380),
  [7502] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4247),
  [7504] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4370),
  [7506] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4317),
  [7508] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4407),
  [7510] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4311),
  [7512] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6416),
  [7514] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6415),
  [7516] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5681),
  [7518] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5182),
  [7520] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7321),
  [7522] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6145),
  [7524] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4309),
  [7526] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4352),
  [7528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4718),
  [7530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4747),
  [7532] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4787),
  [7534] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2627),
  [7536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4517),
  [7538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4518),
  [7540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4730),
  [7542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4749),
  [7544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2346),
  [7546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(513),
  [7548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1869),
  [7550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2308),
  [7552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2323),
  [7554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2339),
  [7556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2353),
  [7558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3473),
  [7560] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_pattern, 4, .production_id = 27),
  [7562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2331),
  [7564] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4808),
  [7566] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4873),
  [7568] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 6, .production_id = 285),
  [7570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4675),
  [7572] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6115),
  [7574] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3312),
  [7576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3447),
  [7578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1945),
  [7580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1918),
  [7582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1960),
  [7584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2322),
  [7586] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4793),
  [7588] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4874),
  [7590] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4881),
  [7592] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_pattern, 4),
  [7594] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_annotation, 2),
  [7596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4576),
  [7598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4575),
  [7600] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4784),
  [7602] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4883),
  [7604] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4780),
  [7606] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4911),
  [7608] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_annotation, 2, .production_id = 76),
  [7610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6878),
  [7612] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4988),
  [7614] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3170),
  [7616] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_pattern, 4),
  [7618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4611),
  [7620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4732),
  [7622] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4987),
  [7624] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3164),
  [7626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2330),
  [7628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1751),
  [7630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2337),
  [7632] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__jsx_start_opening_element_repeat1, 2, .production_id = 131), SHIFT_REPEAT(4680),
  [7635] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__jsx_start_opening_element_repeat1, 2, .production_id = 131), SHIFT_REPEAT(401),
  [7638] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__jsx_start_opening_element_repeat1, 2, .production_id = 131),
  [7640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4663),
  [7642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4695),
  [7644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2341),
  [7646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2328),
  [7648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4701),
  [7650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4708),
  [7652] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__destructuring_pattern, 1),
  [7654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4738),
  [7656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4554),
  [7658] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4778),
  [7660] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4912),
  [7662] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_member_expression_in_type_annotation, 3, .production_id = 68),
  [7664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4487),
  [7666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4608),
  [7668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4495),
  [7670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4527),
  [7672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2311),
  [7674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2321),
  [7676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4524),
  [7678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4525),
  [7680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2345),
  [7682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2316),
  [7684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(401),
  [7686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5749),
  [7688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5750),
  [7690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4839),
  [7692] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5898),
  [7694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2335),
  [7696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2319),
  [7698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6558),
  [7700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4586),
  [7702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4634),
  [7704] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5098),
  [7706] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5099),
  [7708] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5113),
  [7710] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5114),
  [7712] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5125),
  [7714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4613),
  [7716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4697),
  [7718] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5130),
  [7720] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4823),
  [7722] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4834),
  [7724] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3069),
  [7726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1830),
  [7728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1875),
  [7730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4536),
  [7732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4537),
  [7734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4493),
  [7736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4491),
  [7738] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_pattern, 3),
  [7740] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2578),
  [7742] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2580),
  [7744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6822),
  [7746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4606),
  [7748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4488),
  [7750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4504),
  [7752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4500),
  [7754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4676),
  [7756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4689),
  [7758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6914),
  [7760] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3071),
  [7762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2817),
  [7764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4532),
  [7766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4533),
  [7768] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3073),
  [7770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4745),
  [7772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4498),
  [7774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4750),
  [7776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4580),
  [7778] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5389),
  [7780] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5394),
  [7782] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_member_expression_in_type_annotation, 3, .production_id = 184),
  [7784] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_member_expression_in_type_annotation, 3, .production_id = 184),
  [7786] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_member_expression_in_type_annotation, 3, .production_id = 185),
  [7788] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_member_expression_in_type_annotation, 3, .production_id = 185),
  [7790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4574),
  [7792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4573),
  [7794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4723),
  [7796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4725),
  [7798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4659),
  [7800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4674),
  [7802] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3075),
  [7804] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_member_expression_in_type_annotation, 3, .production_id = 186),
  [7806] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_member_expression_in_type_annotation, 3, .production_id = 186),
  [7808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4579),
  [7810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4591),
  [7812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4724),
  [7814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4529),
  [7816] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_member_expression_in_type_annotation, 3, .production_id = 187),
  [7818] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_member_expression_in_type_annotation, 3, .production_id = 187),
  [7820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4505),
  [7822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4490),
  [7824] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_pattern, 3),
  [7826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4521),
  [7828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4544),
  [7830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4648),
  [7832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4650),
  [7834] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2629),
  [7836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4543),
  [7838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4545),
  [7840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4535),
  [7842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4668),
  [7844] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 7, .production_id = 317),
  [7846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4743),
  [7848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4735),
  [7850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4510),
  [7852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4512),
  [7854] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_member_expression_in_type_annotation, 3, .production_id = 67),
  [7856] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2628),
  [7858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3227),
  [7860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4660),
  [7862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4622),
  [7864] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2626),
  [7866] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2625),
  [7868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4734),
  [7870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4582),
  [7872] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2624),
  [7874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4489),
  [7876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4494),
  [7878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6779),
  [7880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4572),
  [7882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4566),
  [7884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6893),
  [7886] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3076),
  [7888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4713),
  [7890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4705),
  [7892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4557),
  [7894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4596),
  [7896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6760),
  [7898] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_omitting_type_annotation, 2),
  [7900] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7237),
  [7902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1874),
  [7904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1872),
  [7906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1934),
  [7908] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7212),
  [7910] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_call_expression_in_type_annotation, 2, .production_id = 14),
  [7912] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_call_expression_in_type_annotation, 2, .production_id = 141),
  [7914] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_call_expression_in_type_annotation, 2, .production_id = 141),
  [7916] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3792),
  [7918] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7267),
  [7920] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4867),
  [7922] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4199),
  [7924] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2718),
  [7926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5588),
  [7928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3210),
  [7930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(217),
  [7932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5662),
  [7934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3442),
  [7936] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7341),
  [7938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2619),
  [7940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(71),
  [7942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7485),
  [7944] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_adding_type_annotation, 2),
  [7946] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7278),
  [7948] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3790),
  [7950] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4178),
  [7952] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3128),
  [7954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3186),
  [7956] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7334),
  [7958] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_annotation, 2, .production_id = 77),
  [7960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6891),
  [7962] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7216),
  [7964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3398),
  [7966] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_opting_type_annotation, 2),
  [7968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7487),
  [7970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3045),
  [7972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3049),
  [7974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3021),
  [7976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4918),
  [7978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21),
  [7980] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_signature, 6, .production_id = 278),
  [7982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4472),
  [7984] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_optional_chain, 1),
  [7986] = {.entry = {.count = 1, .reusable = false}}, SHIFT(319),
  [7988] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_optional_chain, 1),
  [7990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5184),
  [7992] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4886),
  [7994] = {.entry = {.count = 1, .reusable = false}}, SHIFT(258),
  [7996] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2643),
  [7998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5286),
  [8000] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4868),
  [8002] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_signature, 8, .production_id = 323),
  [8004] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_signature, 2, .production_id = 102),
  [8006] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_signature, 6, .production_id = 277),
  [8008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3342),
  [8010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6745),
  [8012] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_signature, 3, .production_id = 160),
  [8014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5165),
  [8016] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4836),
  [8018] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_formal_parameters, 5),
  [8020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(960),
  [8022] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7657),
  [8024] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2216),
  [8026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6160),
  [8028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5684),
  [8030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2216),
  [8032] = {.entry = {.count = 1, .reusable = false}}, SHIFT(330),
  [8034] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 8, .production_id = 317),
  [8036] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_signature, 3, .production_id = 122),
  [8038] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_pattern, 1, .dynamic_precedence = -1), SHIFT(684),
  [8041] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_construct_signature, 2, .production_id = 166),
  [8043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5235),
  [8045] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4799),
  [8047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2217),
  [8049] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_signature, 4, .production_id = 204),
  [8051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5473),
  [8053] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7641),
  [8055] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_signature, 4, .production_id = 174),
  [8057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5042),
  [8059] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4919),
  [8061] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_signature, 8, .production_id = 328),
  [8063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1191),
  [8065] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7441),
  [8067] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3829),
  [8069] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_construct_signature, 3, .production_id = 222),
  [8071] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_construct_signature, 4, .production_id = 261),
  [8073] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2352),
  [8075] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_signature, 9, .production_id = 337),
  [8077] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2208),
  [8079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2208),
  [8081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5091),
  [8083] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4971),
  [8085] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_construct_signature, 3, .production_id = 221),
  [8087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(684),
  [8089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5195),
  [8091] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4922),
  [8093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2213),
  [8095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4189),
  [8097] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_decorator, 2),
  [8099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7475),
  [8101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4483),
  [8103] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7652),
  [8105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5001),
  [8107] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4983),
  [8109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(417),
  [8111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5092),
  [8113] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_formal_parameters, 2),
  [8115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5488),
  [8117] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4840),
  [8119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(558),
  [8121] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_formal_parameters, 4),
  [8123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4709),
  [8125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(551),
  [8127] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_required_parameter, 1, .production_id = 10),
  [8129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4819),
  [8131] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 7, .production_id = 285),
  [8133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1882),
  [8135] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameter, 1, .production_id = 13),
  [8137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1942),
  [8139] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_signature, 5, .production_id = 243),
  [8141] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_attribute, 1, .production_id = 7),
  [8143] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4307),
  [8145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5463),
  [8147] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4815),
  [8149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5273),
  [8151] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4812),
  [8153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5479),
  [8155] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4897),
  [8157] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_annotation, 2, .production_id = 77),
  [8159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6882),
  [8161] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_signature, 7, .production_id = 301),
  [8163] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameter, 2, .production_id = 56),
  [8165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4185),
  [8167] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_object_repeat1, 2, .production_id = 26), REDUCE(aux_sym_object_pattern_repeat1, 2, .production_id = 27),
  [8170] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3747),
  [8172] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_signature, 7, .production_id = 302),
  [8174] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_formal_parameters, 3),
  [8176] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_pattern, 1, .dynamic_precedence = -1), SHIFT(753),
  [8179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(958),
  [8181] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7647),
  [8183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5453),
  [8185] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4952),
  [8187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4753),
  [8189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5448),
  [8191] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4955),
  [8193] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3809),
  [8195] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2193),
  [8197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2193),
  [8199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(908),
  [8201] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7535),
  [8203] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2218),
  [8205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2218),
  [8207] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_signature, 5, .production_id = 242),
  [8209] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_extends_type_clause, 2, .production_id = 137),
  [8211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5767),
  [8213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7556),
  [8215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1801),
  [8217] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_extends_type_clause, 2, .production_id = 137),
  [8219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5212),
  [8221] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4786),
  [8223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5122),
  [8225] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4814),
  [8227] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_sequence_expression_repeat1, 2), SHIFT_REPEAT(760),
  [8230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5159),
  [8232] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_extends_type_clause, 2, .production_id = 138),
  [8234] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_extends_type_clause, 2, .production_id = 138),
  [8236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(63),
  [8238] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_decorator_member_expression, 3, .production_id = 67),
  [8240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5197),
  [8242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5313),
  [8244] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_export_statement_repeat1, 2, .production_id = 20),
  [8246] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_export_statement_repeat1, 2, .production_id = 20), SHIFT_REPEAT(5857),
  [8249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3646),
  [8251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4204),
  [8253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7308),
  [8255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5501),
  [8257] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_object_repeat1, 2, .production_id = 26),
  [8259] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_opening_element, 4, .dynamic_precedence = -1, .production_id = 130),
  [8261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7508),
  [8263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1718),
  [8265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(486),
  [8267] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_opening_element, 4, .dynamic_precedence = -1, .production_id = 135),
  [8269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2243),
  [8271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2486),
  [8273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5270),
  [8275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3643),
  [8277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4207),
  [8279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7400),
  [8281] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_opening_element, 4, .dynamic_precedence = -1, .production_id = 134),
  [8283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2717),
  [8285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(477),
  [8287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5274),
  [8289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1750),
  [8291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2242),
  [8293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2482),
  [8295] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_opening_element, 4, .dynamic_precedence = -1, .production_id = 132),
  [8297] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constraint, 2),
  [8299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6109),
  [8301] = {.entry = {.count = 1, .reusable = false}}, SHIFT(285),
  [8303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5287),
  [8305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2283),
  [8307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3822),
  [8309] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_expression, 2),
  [8311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7322),
  [8313] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sequence_expression, 2),
  [8315] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_expression, 3),
  [8317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5017),
  [8319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5110),
  [8321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2240),
  [8323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2467),
  [8325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1176),
  [8327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5299),
  [8329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5304),
  [8331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5325),
  [8333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5497),
  [8335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5534),
  [8337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6313),
  [8339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6711),
  [8341] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_optional_parameter, 2, .production_id = 10),
  [8343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1782),
  [8345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4032),
  [8347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1758),
  [8349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4027),
  [8351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5307),
  [8353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1147),
  [8355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5321),
  [8357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1775),
  [8359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6291),
  [8361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1771),
  [8363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6297),
  [8365] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_object_type_repeat1, 2), SHIFT_REPEAT(2302),
  [8368] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_object_type_repeat1, 2),
  [8370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5208),
  [8372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2683),
  [8374] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4049),
  [8376] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4214),
  [8378] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4882),
  [8380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5309),
  [8382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5351),
  [8384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5237),
  [8386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2280),
  [8388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1330),
  [8390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5339),
  [8392] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4054),
  [8394] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4201),
  [8396] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5369),
  [8398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5541),
  [8400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3122),
  [8402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6033),
  [8404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5349),
  [8406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5261),
  [8408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5366),
  [8410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7147),
  [8412] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_jsx_element_repeat1, 1),
  [8414] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_switch_body_repeat1, 2), SHIFT_REPEAT(7508),
  [8417] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_switch_body_repeat1, 2),
  [8419] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_switch_body_repeat1, 2), SHIFT_REPEAT(486),
  [8422] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_text, 1),
  [8424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6782),
  [8426] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__call_signature, 3, .production_id = 78),
  [8428] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_predicate_annotation, 2),
  [8430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3154),
  [8432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2269),
  [8434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4159),
  [8436] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_asserts_annotation, 2),
  [8438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1791),
  [8440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2976),
  [8442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1785),
  [8444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2973),
  [8446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5191),
  [8448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3618),
  [8450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4187),
  [8452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7540),
  [8454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2282),
  [8456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1331),
  [8458] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_opening_element, 2, .dynamic_precedence = -1),
  [8460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5181),
  [8462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5154),
  [8464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2234),
  [8466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4156),
  [8468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1624),
  [8470] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__tuple_type_member, 1),
  [8472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7083),
  [8474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5160),
  [8476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5986),
  [8478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6880),
  [8480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5537),
  [8482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2251),
  [8484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1589),
  [8486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5221),
  [8488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2236),
  [8490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3799),
  [8492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2262),
  [8494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4118),
  [8496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1412),
  [8498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5032),
  [8500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5452),
  [8502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5652),
  [8504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1762),
  [8506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5152),
  [8508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1777),
  [8510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5147),
  [8512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2233),
  [8514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3808),
  [8516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6989),
  [8518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2281),
  [8520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1333),
  [8522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1469),
  [8524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5472),
  [8526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2261),
  [8528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1590),
  [8530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5336),
  [8532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5301),
  [8534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5552),
  [8536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5347),
  [8538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6077),
  [8540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5395),
  [8542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5413),
  [8544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1764),
  [8546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4440),
  [8548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1760),
  [8550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4443),
  [8552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2256),
  [8554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(992),
  [8556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2263),
  [8558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1591),
  [8560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5178),
  [8562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2257),
  [8564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1009),
  [8566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2274),
  [8568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4237),
  [8570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2258),
  [8572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1007),
  [8574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5962),
  [8576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2273),
  [8578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4222),
  [8580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5376),
  [8582] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_extends_type_clause_repeat1, 2, .production_id = 137),
  [8584] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_extends_type_clause_repeat1, 2, .production_id = 137),
  [8586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5359),
  [8588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5355),
  [8590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5447),
  [8592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3648),
  [8594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4213),
  [8596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7602),
  [8598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2260),
  [8600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2834),
  [8602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5444),
  [8604] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_implements_clause, 2),
  [8606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1887),
  [8608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7403),
  [8610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1781),
  [8612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3801),
  [8614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2246),
  [8616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2830),
  [8618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1789),
  [8620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3803),
  [8622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7543),
  [8624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7577),
  [8626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7605),
  [8628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2252),
  [8630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2898),
  [8632] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_template_string_repeat1, 2), SHIFT_REPEAT(5588),
  [8635] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_template_string_repeat1, 2),
  [8637] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_template_string_repeat1, 2), SHIFT_REPEAT(477),
  [8640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2264),
  [8642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1346),
  [8644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5344),
  [8646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1466),
  [8648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5104),
  [8650] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__call_signature, 2, .production_id = 18),
  [8652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2266),
  [8654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1345),
  [8656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1756),
  [8658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2530),
  [8660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1774),
  [8662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2532),
  [8664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7627),
  [8666] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_opening_element, 3, .dynamic_precedence = -1, .production_id = 61),
  [8668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2267),
  [8670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1344),
  [8672] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_attribute, 1),
  [8674] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4305),
  [8676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5121),
  [8678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3649),
  [8680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4183),
  [8682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7625),
  [8684] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_opening_element, 3, .dynamic_precedence = -1, .production_id = 57),
  [8686] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_opening_element, 5, .dynamic_precedence = -1, .production_id = 177),
  [8688] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_opening_element, 5, .dynamic_precedence = -1, .production_id = 178),
  [8690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2272),
  [8692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4253),
  [8694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1370),
  [8696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6672),
  [8698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1892),
  [8700] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 6, .production_id = 291),
  [8702] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 8, .production_id = 331),
  [8704] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 7, .production_id = 313),
  [8706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(53),
  [8708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1643),
  [8710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1646),
  [8712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1645),
  [8714] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_construct_signature, 4, .production_id = 259),
  [8716] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5863),
  [8718] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4878),
  [8720] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6636),
  [8722] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 8, .production_id = 334),
  [8724] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 2, .production_id = 32),
  [8726] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 6, .production_id = 287),
  [8728] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameters, 5),
  [8730] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 4, .production_id = 218),
  [8732] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 7, .production_id = 316),
  [8734] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 4, .production_id = 208),
  [8736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4124),
  [8738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1856),
  [8740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6239),
  [8742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(54),
  [8744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1422),
  [8746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1408),
  [8748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1409),
  [8750] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_attribute, 3),
  [8752] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_attribute, 3, .production_id = 7),
  [8754] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 5, .production_id = 253),
  [8756] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_implements_clause_repeat1, 2),
  [8758] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__jsx_start_opening_element_repeat1, 1, .production_id = 58),
  [8760] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 4, .production_id = 216),
  [8762] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 5, .production_id = 255),
  [8764] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 4, .production_id = 210),
  [8766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(979),
  [8768] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call_signature, 1, .production_id = 110),
  [8770] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_construct_signature, 4, .production_id = 260),
  [8772] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameters, 4),
  [8774] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_template_literal_type_repeat1, 2),
  [8776] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_template_literal_type_repeat1, 2), SHIFT_REPEAT(1856),
  [8779] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_template_literal_type_repeat1, 2), SHIFT_REPEAT(6239),
  [8782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3833),
  [8784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1002),
  [8786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(24),
  [8788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1021),
  [8790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1024),
  [8792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1023),
  [8794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3077),
  [8796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4655),
  [8798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3650),
  [8800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1013),
  [8802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(30),
  [8804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1031),
  [8806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1046),
  [8808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1048),
  [8810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1047),
  [8812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1673),
  [8814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1675),
  [8816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1674),
  [8818] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 7, .production_id = 307),
  [8820] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 9, .production_id = 340),
  [8822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(753),
  [8824] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameters, 3),
  [8826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(59),
  [8828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1438),
  [8830] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_default_type, 2),
  [8832] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_declarator, 2, .production_id = 32),
  [8834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5803),
  [8836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3660),
  [8838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1663),
  [8840] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 4, .production_id = 210),
  [8842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1569),
  [8844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(50),
  [8846] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 4, .production_id = 208),
  [8848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5681),
  [8850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4173),
  [8852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1481),
  [8854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1479),
  [8856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1480),
  [8858] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__jsx_string, 3),
  [8860] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 8, .production_id = 326),
  [8862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3632),
  [8864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1486),
  [8866] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_index_signature, 4, .production_id = 206),
  [8868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1301),
  [8870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1842),
  [8872] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_mapped_type_clause, 3, .production_id = 205),
  [8874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7207),
  [8876] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_index_signature, 8, .production_id = 322),
  [8878] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_index_signature, 8, .production_id = 321),
  [8880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1250),
  [8882] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__call_signature, 1, .production_id = 3), SHIFT(1898),
  [8885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(33),
  [8887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1235),
  [8889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1233),
  [8891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1234),
  [8893] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 6, .production_id = 284),
  [8895] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__call_signature, 2, .production_id = 19), SHIFT(1808),
  [8898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3636),
  [8900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1244),
  [8902] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_construct_signature, 3, .production_id = 220),
  [8904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5358),
  [8906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5532),
  [8908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5353),
  [8910] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 6, .production_id = 281),
  [8912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4287),
  [8914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1492),
  [8916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1222),
  [8918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1210),
  [8920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1213),
  [8922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1212),
  [8924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4208),
  [8926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7574),
  [8928] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 3, .production_id = 158),
  [8930] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_rest_type, 2),
  [8932] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_index_signature, 5, .production_id = 250),
  [8934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1605),
  [8936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5088),
  [8938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5084),
  [8940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5086),
  [8942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4339),
  [8944] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 6, .production_id = 284),
  [8946] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 3, .production_id = 89),
  [8948] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__call_signature, 1, .production_id = 3), SHIFT(1810),
  [8951] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6217),
  [8953] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2667),
  [8955] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6901),
  [8957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1535),
  [8959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7319),
  [8961] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_index_signature, 6, .production_id = 273),
  [8963] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6456),
  [8965] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3296),
  [8967] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6547),
  [8969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7342),
  [8971] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_index_signature, 6, .production_id = 275),
  [8973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5468),
  [8975] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 5, .production_id = 245),
  [8977] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_declarator, 2, .production_id = 31),
  [8979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(548),
  [8981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(543),
  [8983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(542),
  [8985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(541),
  [8987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7222),
  [8989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3036),
  [8991] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_extends_type_clause_repeat1, 2, .production_id = 138),
  [8993] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_extends_type_clause_repeat1, 2, .production_id = 138),
  [8995] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 5, .production_id = 249),
  [8997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3914),
  [8999] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_construct_signature, 5, .production_id = 293),
  [9001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7032),
  [9003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7034),
  [9005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7152),
  [9007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1559),
  [9009] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_index_signature, 6, .production_id = 276),
  [9011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7288),
  [9013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5494),
  [9015] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__jsx_string, 2),
  [9017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7419),
  [9019] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__call_signature, 2, .production_id = 19), SHIFT(1864),
  [9022] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 5, .production_id = 249),
  [9024] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 3, .production_id = 158),
  [9026] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__call_signature, 1, .production_id = 3), SHIFT(1807),
  [9029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5554),
  [9031] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 3, .production_id = 89),
  [9033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6921),
  [9035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3614),
  [9037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5409),
  [9039] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import, 1),
  [9041] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 3, .production_id = 163),
  [9043] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_type_arguments_repeat1, 2),
  [9045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(44),
  [9047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2436),
  [9049] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 7, .production_id = 310),
  [9051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7562),
  [9053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7566),
  [9055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2906),
  [9057] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 6, .production_id = 281),
  [9059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5262),
  [9061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6855),
  [9063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6862),
  [9065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6861),
  [9067] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 5, .production_id = 245),
  [9069] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 7, .production_id = 307),
  [9071] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_index_signature, 7, .production_id = 305),
  [9073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3654),
  [9075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6843),
  [9077] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_index_signature, 7, .production_id = 304),
  [9079] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__call_signature, 1, .production_id = 3), SHIFT(1884),
  [9082] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__call_signature, 2, .production_id = 19), SHIFT(1805),
  [9085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2468),
  [9087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6773),
  [9089] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_type_arguments_repeat1, 2, .production_id = 76),
  [9091] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__call_signature, 2, .production_id = 19), SHIFT(1906),
  [9094] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 2, .production_id = 32),
  [9096] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6154),
  [9098] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5315),
  [9100] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6884),
  [9102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4212),
  [9104] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2349),
  [9106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6025),
  [9108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2845),
  [9110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(554),
  [9112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(293),
  [9114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4398),
  [9116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6119),
  [9118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6655),
  [9120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1478),
  [9122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1477),
  [9124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1474),
  [9126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1476),
  [9128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4728),
  [9130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2149),
  [9132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2150),
  [9134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1769),
  [9136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5150),
  [9138] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2367),
  [9140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6022),
  [9142] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4678),
  [9144] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5941),
  [9146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1420),
  [9148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1421),
  [9150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2910),
  [9152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1799),
  [9154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1803),
  [9156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2145),
  [9158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2147),
  [9160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1548),
  [9162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1549),
  [9164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2375),
  [9166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6900),
  [9168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6903),
  [9170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5310),
  [9172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1951),
  [9174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2455),
  [9176] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_template_string_repeat1, 1),
  [9178] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4299),
  [9180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1792),
  [9182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2974),
  [9184] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_extends_clause_repeat1, 2, .production_id = 165),
  [9186] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_extends_clause_repeat1, 2, .production_id = 165), SHIFT_REPEAT(471),
  [9189] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5802),
  [9191] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5186),
  [9193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5802),
  [9195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4465),
  [9197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1929),
  [9199] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_string_repeat2, 2),
  [9201] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_repeat2, 2), SHIFT_REPEAT(6025),
  [9204] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5980),
  [9206] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_extends_clause, 2, .production_id = 47),
  [9208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(471),
  [9210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1956),
  [9212] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2364),
  [9214] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5801),
  [9216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5801),
  [9218] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 2),
  [9220] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_repeat1, 2), SHIFT_REPEAT(6022),
  [9223] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_repeat1, 2), SHIFT_REPEAT(312),
  [9226] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6985),
  [9228] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2708),
  [9230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1889),
  [9232] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1685),
  [9234] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3100),
  [9236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4471),
  [9238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4473),
  [9240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1339),
  [9242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7155),
  [9244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7172),
  [9246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(965),
  [9248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(969),
  [9250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5432),
  [9252] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_extends_type_clause_repeat1, 2, .production_id = 229),
  [9254] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_extends_type_clause_repeat1, 2, .production_id = 229), SHIFT_REPEAT(5767),
  [9257] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_extends_type_clause_repeat1, 2, .production_id = 229),
  [9259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7167),
  [9261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7166),
  [9263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7144),
  [9265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7142),
  [9267] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_enum_body_repeat1, 2, .production_id = 57),
  [9269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1866),
  [9271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5431),
  [9273] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1634),
  [9275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1940),
  [9277] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_mapped_type_clause, 5, .production_id = 274),
  [9279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4452),
  [9281] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2348),
  [9283] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_required_parameter, 2, .production_id = 39),
  [9285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1136),
  [9287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1137),
  [9289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1139),
  [9291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1138),
  [9293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4991),
  [9295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4121),
  [9297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5361),
  [9299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1790),
  [9301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3802),
  [9303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1765),
  [9305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4028),
  [9307] = {.entry = {.count = 1, .reusable = false}}, SHIFT(453),
  [9309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4563),
  [9311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(703),
  [9313] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_sequence_expression_repeat1, 2), SHIFT_REPEAT(708),
  [9316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1187),
  [9318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1188),
  [9320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4289),
  [9322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7007),
  [9324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7005),
  [9326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6992),
  [9328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6991),
  [9330] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_template_string_repeat1, 1), REDUCE(aux_sym_template_literal_type_repeat1, 1),
  [9333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1586),
  [9335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6987),
  [9337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1920),
  [9339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4241),
  [9341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4479),
  [9343] = {.entry = {.count = 1, .reusable = false}}, SHIFT(434),
  [9345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4454),
  [9347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1963),
  [9349] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__jsx_string_repeat2, 2), SHIFT_REPEAT(5801),
  [9352] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__jsx_string_repeat2, 2),
  [9354] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__jsx_string_repeat2, 2), SHIFT_REPEAT(5801),
  [9357] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__jsx_string_repeat1, 2), SHIFT_REPEAT(5802),
  [9360] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__jsx_string_repeat1, 2),
  [9362] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__jsx_string_repeat1, 2), SHIFT_REPEAT(5802),
  [9365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1713),
  [9367] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3751),
  [9369] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__module_export_name, 1),
  [9371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1090),
  [9373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1712),
  [9375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4751),
  [9377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1899),
  [9379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1314),
  [9381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1315),
  [9383] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_decorator_call_expression, 2, .production_id = 14),
  [9385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4175),
  [9387] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3750),
  [9389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4188),
  [9391] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_substitution, 3),
  [9393] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5030),
  [9395] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_object_pattern_repeat1, 2, .production_id = 27),
  [9397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1448),
  [9399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1445),
  [9401] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_export_statement_repeat1, 1, .production_id = 2),
  [9403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(491),
  [9405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1320),
  [9407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1321),
  [9409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(512),
  [9411] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3812),
  [9413] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameter, 3, .production_id = 129),
  [9415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1772),
  [9417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6294),
  [9419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1600),
  [9421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1599),
  [9423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6879),
  [9425] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5077),
  [9427] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1089),
  [9429] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1084),
  [9431] = {.entry = {.count = 1, .reusable = false}}, SHIFT(333),
  [9433] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_variable_declaration_repeat1, 2), SHIFT_REPEAT(4728),
  [9436] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_variable_declaration_repeat1, 2),
  [9438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1755),
  [9440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2531),
  [9442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1603),
  [9444] = {.entry = {.count = 1, .reusable = false}}, SHIFT(295),
  [9446] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1414),
  [9448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1251),
  [9450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3874),
  [9452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3658),
  [9454] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1404),
  [9456] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameter, 2, .production_id = 60),
  [9458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7303),
  [9460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4117),
  [9462] = {.entry = {.count = 1, .reusable = false}}, SHIFT(411),
  [9464] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_optional_parameter, 3, .production_id = 97),
  [9466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1602),
  [9468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1707),
  [9470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1697),
  [9472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1597),
  [9474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1596),
  [9476] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_extends_clause, 3, .production_id = 109),
  [9478] = {.entry = {.count = 1, .reusable = false}}, SHIFT(349),
  [9480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1871),
  [9482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3838),
  [9484] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5406),
  [9486] = {.entry = {.count = 1, .reusable = false}}, SHIFT(416),
  [9488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1253),
  [9490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1254),
  [9492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1257),
  [9494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1258),
  [9496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(962),
  [9498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(989),
  [9500] = {.entry = {.count = 1, .reusable = false}}, SHIFT(360),
  [9502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(972),
  [9504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(968),
  [9506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1763),
  [9508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4442),
  [9510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1696),
  [9512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4947),
  [9514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1367),
  [9516] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3796),
  [9518] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_extends_type_clause, 3, .production_id = 181),
  [9520] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_extends_type_clause, 3, .production_id = 181),
  [9522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1693),
  [9524] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_extends_type_clause, 3, .production_id = 182),
  [9526] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_extends_type_clause, 3, .production_id = 182),
  [9528] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1340),
  [9530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1361),
  [9532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1362),
  [9534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1364),
  [9536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1363),
  [9538] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1342),
  [9540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1366),
  [9542] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4262),
  [9544] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6969),
  [9546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2054),
  [9548] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_require_clause, 6, .production_id = 237),
  [9550] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 7, .production_id = 312),
  [9552] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 5, .production_id = 252),
  [9554] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_body_repeat1, 2, .production_id = 231), SHIFT_REPEAT(3669),
  [9557] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_enum_body_repeat1, 2, .production_id = 231),
  [9559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1959),
  [9561] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 7, .production_id = 311),
  [9563] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 7, .production_id = 314),
  [9565] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__jsx_string_repeat2, 1),
  [9567] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__jsx_string_repeat2, 1),
  [9569] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__jsx_string_repeat1, 1),
  [9571] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__jsx_string_repeat1, 1),
  [9573] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_type, 3),
  [9575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(276),
  [9577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7080),
  [9579] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_tuple_type_repeat1, 2), SHIFT_REPEAT(1752),
  [9582] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_tuple_type_repeat1, 2),
  [9584] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_method_signature, 5, .production_id = 242),
  [9586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5971),
  [9588] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__import_identifier, 1),
  [9590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1953),
  [9592] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 5, .production_id = 244),
  [9594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6574),
  [9596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6576),
  [9598] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 5, .production_id = 246),
  [9600] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 5, .production_id = 247),
  [9602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7163),
  [9604] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1576),
  [9606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1576),
  [9608] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 5, .production_id = 248),
  [9610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7162),
  [9612] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1577),
  [9614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1577),
  [9616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(260),
  [9618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4670),
  [9620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5990),
  [9622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(67),
  [9624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4842),
  [9626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1948),
  [9628] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 5, .production_id = 254),
  [9630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(261),
  [9632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4714),
  [9634] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_pattern, 1, .dynamic_precedence = -1), SHIFT(732),
  [9637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6039),
  [9639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1935),
  [9641] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_method_signature, 5, .production_id = 243),
  [9643] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 7, .production_id = 315),
  [9645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6484),
  [9647] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 4, .production_id = 215),
  [9649] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 5, .production_id = 256),
  [9651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6747),
  [9653] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 4, .production_id = 219),
  [9655] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 4, .production_id = 217),
  [9657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4640),
  [9659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3598),
  [9661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6735),
  [9663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4945),
  [9665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5697),
  [9667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5077),
  [9669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5244),
  [9671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5908),
  [9673] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4210),
  [9675] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 4, .production_id = 207),
  [9677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7130),
  [9679] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1227),
  [9681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1227),
  [9683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6554),
  [9685] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1225),
  [9687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1225),
  [9689] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_method_signature, 4, .production_id = 174),
  [9691] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 4, .production_id = 213),
  [9693] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 4, .production_id = 209),
  [9695] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_method_signature, 4, .production_id = 204),
  [9697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1451),
  [9699] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 4, .production_id = 211),
  [9701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(282),
  [9703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6599),
  [9705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1743),
  [9707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4176),
  [9709] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_clause, 5),
  [9711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3629),
  [9713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1487),
  [9715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3748),
  [9717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1908),
  [9719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1761),
  [9721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2527),
  [9723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1766),
  [9725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2525),
  [9727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1786),
  [9729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2524),
  [9731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6125),
  [9733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1914),
  [9735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4338),
  [9737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6869),
  [9739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3074),
  [9741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3828),
  [9743] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3931),
  [9745] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3846),
  [9747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3849),
  [9749] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3927),
  [9751] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3850),
  [9753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3853),
  [9755] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3923),
  [9757] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3854),
  [9759] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_parameters, 5),
  [9761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3857),
  [9763] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3922),
  [9765] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3858),
  [9767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1748),
  [9769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4127),
  [9771] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_arguments_repeat1, 2), SHIFT_REPEAT(1800),
  [9774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5794),
  [9776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3624),
  [9778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1506),
  [9780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3623),
  [9782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1510),
  [9784] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_type_arguments_repeat1, 2, .production_id = 77),
  [9786] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 6, .production_id = 279),
  [9788] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 6, .production_id = 280),
  [9790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1744),
  [9792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3872),
  [9794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6496),
  [9796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3625),
  [9798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1636),
  [9800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3657),
  [9802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1640),
  [9804] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6414),
  [9806] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7494),
  [9808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6366),
  [9810] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_implements_clause_repeat1, 2), SHIFT_REPEAT(1887),
  [9813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5811),
  [9815] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_parameters, 4),
  [9817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6770),
  [9819] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 6, .production_id = 282),
  [9821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3786),
  [9823] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3932),
  [9825] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3780),
  [9827] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6418),
  [9829] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 6, .production_id = 283),
  [9831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5825),
  [9833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(257),
  [9835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6422),
  [9837] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_method_signature, 6, .production_id = 277),
  [9839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3765),
  [9841] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3937),
  [9843] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3766),
  [9845] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_method_signature, 6, .production_id = 278),
  [9847] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 6, .production_id = 286),
  [9849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3759),
  [9851] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3861),
  [9853] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3760),
  [9855] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 6, .production_id = 288),
  [9857] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 6, .production_id = 289),
  [9859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(281),
  [9861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7062),
  [9863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3761),
  [9865] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3832),
  [9867] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3768),
  [9869] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 1),
  [9871] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_string_repeat1, 1),
  [9873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7056),
  [9875] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1552),
  [9877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1552),
  [9879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7054),
  [9881] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1553),
  [9883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1553),
  [9885] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_string_repeat2, 1),
  [9887] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_string_repeat2, 1),
  [9889] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 6, .production_id = 290),
  [9891] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_heritage, 1),
  [9893] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_method_signature, 7, .production_id = 301),
  [9895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6908),
  [9897] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 7, .production_id = 306),
  [9899] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_parameters, 3),
  [9901] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5878),
  [9903] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_extends_clause_repeat1, 2, .production_id = 47),
  [9905] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 3, .production_id = 162),
  [9907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5835),
  [9909] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 3, .production_id = 90),
  [9911] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 3, .production_id = 159),
  [9913] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 7, .production_id = 309),
  [9915] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 7, .production_id = 308),
  [9917] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 3, .production_id = 157),
  [9919] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_method_signature, 3, .production_id = 122),
  [9921] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 7, .production_id = 303),
  [9923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6736),
  [9925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3634),
  [9927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6729),
  [9929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3639),
  [9931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6739),
  [9933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5716),
  [9935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5124),
  [9937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(105),
  [9939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1747),
  [9941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2850),
  [9943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2138),
  [9945] = {.entry = {.count = 1, .reusable = false}}, SHIFT(475),
  [9947] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2162),
  [9949] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_named_imports_repeat1, 2), SHIFT_REPEAT(4297),
  [9952] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_named_imports_repeat1, 2),
  [9954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7058),
  [9956] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 5, .production_id = 258),
  [9958] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_export_clause_repeat1, 2), SHIFT_REPEAT(4470),
  [9961] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_export_clause_repeat1, 2),
  [9963] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_clause, 4),
  [9965] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 9, .production_id = 338),
  [9967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18),
  [9969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4887),
  [9971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5707),
  [9973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5708),
  [9975] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 10, .production_id = 342),
  [9977] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6189),
  [9979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1794),
  [9981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3816),
  [9983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1779),
  [9985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2881),
  [9987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1788),
  [9989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2882),
  [9991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1784),
  [9993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3810),
  [9995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1754),
  [9997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2885),
  [9999] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 8, .production_id = 329),
  [10001] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_clause, 2),
  [10003] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_implements_clause, 3),
  [10005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2363),
  [10007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3652),
  [10009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6842),
  [10011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4234),
  [10013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6457),
  [10015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5173),
  [10017] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_specifier, 1, .production_id = 5),
  [10019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1778),
  [10021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3820),
  [10023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5188),
  [10025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2803),
  [10027] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 9, .production_id = 341),
  [10029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3246),
  [10031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1905),
  [10033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1904),
  [10035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3641),
  [10037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1659),
  [10039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5283),
  [10041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4230),
  [10043] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_parameters_repeat1, 2), SHIFT_REPEAT(5972),
  [10046] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_type_parameters_repeat1, 2),
  [10048] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 9, .production_id = 339),
  [10050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1742),
  [10052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2909),
  [10054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1741),
  [10056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2439),
  [10058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5923),
  [10060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1930),
  [10062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1962),
  [10064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6896),
  [10066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3616),
  [10068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5410),
  [10070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2161),
  [10072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1773),
  [10074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5423),
  [10076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1776),
  [10078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5459),
  [10080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1783),
  [10082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5460),
  [10084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2617),
  [10086] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 9, .production_id = 336),
  [10088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4250),
  [10090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3209),
  [10092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1746),
  [10094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2403),
  [10096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3620),
  [10098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5520),
  [10100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3621),
  [10102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5518),
  [10104] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_template_literal_type_repeat1, 1),
  [10106] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_object_repeat1, 2), SHIFT_REPEAT(3342),
  [10109] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_object_repeat1, 2),
  [10111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1735),
  [10113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3866),
  [10115] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_object_pattern_repeat1, 2), SHIFT_REPEAT(3077),
  [10118] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_object_pattern_repeat1, 2),
  [10120] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 8, .production_id = 332),
  [10122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6887),
  [10124] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 8, .production_id = 330),
  [10126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5597),
  [10128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6036),
  [10130] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 2, .production_id = 31),
  [10132] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 8, .production_id = 333),
  [10134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5570),
  [10136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5980),
  [10138] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_pattern_repeat1, 2), SHIFT_REPEAT(293),
  [10141] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_array_pattern_repeat1, 2),
  [10143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4261),
  [10145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3166),
  [10147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(280),
  [10149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6699),
  [10151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6695),
  [10153] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1027),
  [10155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1027),
  [10157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6693),
  [10159] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1022),
  [10161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1022),
  [10163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4511),
  [10165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2646),
  [10167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(69),
  [10169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4924),
  [10171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4798),
  [10173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(255),
  [10175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4967),
  [10177] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__import_identifier, 1, .production_id = 1),
  [10179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7532),
  [10181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1757),
  [10183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4340),
  [10185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2659),
  [10187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1759),
  [10189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4356),
  [10191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4645),
  [10193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1753),
  [10195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4361),
  [10197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4644),
  [10199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4131),
  [10201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2660),
  [10203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2006),
  [10205] = {.entry = {.count = 1, .reusable = false}}, SHIFT(469),
  [10207] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2007),
  [10209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4196),
  [10211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7528),
  [10213] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6409),
  [10215] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_formal_parameters_repeat1, 2), SHIFT_REPEAT(274),
  [10218] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_formal_parameters_repeat1, 2),
  [10220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3640),
  [10222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(988),
  [10224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(25),
  [10226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4937),
  [10228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3644),
  [10230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(993),
  [10232] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_declarator, 3, .production_id = 90),
  [10234] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_declarator, 3, .production_id = 89),
  [10236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1612),
  [10238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1767),
  [10240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6309),
  [10242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1768),
  [10244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6307),
  [10246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1770),
  [10248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6302),
  [10250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3736),
  [10252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3612),
  [10254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1012),
  [10256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(254),
  [10258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6372),
  [10260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4191),
  [10262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7294),
  [10264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1030),
  [10266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5788),
  [10268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1226),
  [10270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(256),
  [10272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4884),
  [10274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1727),
  [10276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4288),
  [10278] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pair_pattern, 3, .production_id = 85),
  [10280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4502),
  [10282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2699),
  [10284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3631),
  [10286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1245),
  [10288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4047),
  [10290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1793),
  [10292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4002),
  [10294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1787),
  [10296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4011),
  [10298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1780),
  [10300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4013),
  [10302] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_glimmer_template_repeat1, 2), SHIFT_REPEAT(6985),
  [10305] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_glimmer_template_repeat1, 2),
  [10307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4306),
  [10309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6115),
  [10311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3112),
  [10313] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_clause, 3),
  [10315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5266),
  [10317] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_specifier, 2, .production_id = 57),
  [10319] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_switch_body_repeat1, 1),
  [10321] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__from_clause, 2, .production_id = 29),
  [10323] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 8, .production_id = 327),
  [10325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(279),
  [10327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6583),
  [10329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6600),
  [10331] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6941),
  [10333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6941),
  [10335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6601),
  [10337] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6943),
  [10339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6943),
  [10341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4035),
  [10343] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3842),
  [10345] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4036),
  [10347] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 8, .production_id = 325),
  [10349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4040),
  [10351] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3864),
  [10353] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4044),
  [10355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3615),
  [10357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1279),
  [10359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3980),
  [10361] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3868),
  [10363] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4029),
  [10365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4025),
  [10367] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3869),
  [10369] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4056),
  [10371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(727),
  [10373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1734),
  [10375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4245),
  [10377] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 8, .production_id = 324),
  [10379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3628),
  [10381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1276),
  [10383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(529),
  [10385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4033),
  [10387] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4041),
  [10389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4846),
  [10391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(468),
  [10393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5446),
  [10395] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7632),
  [10397] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_enum_body_repeat1, 2),
  [10399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5450),
  [10401] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7629),
  [10403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(60),
  [10405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3637),
  [10407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1593),
  [10409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1594),
  [10411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4038),
  [10413] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4039),
  [10415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5316),
  [10417] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7611),
  [10419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1336),
  [10421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1332),
  [10423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1348),
  [10425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1347),
  [10427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1355),
  [10429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1354),
  [10431] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_optional_tuple_parameter, 3, .production_id = 89),
  [10433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4997),
  [10435] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7607),
  [10437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(66),
  [10439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3611),
  [10441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1365),
  [10443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1143),
  [10445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1145),
  [10447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3124),
  [10449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1230),
  [10451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6409),
  [10453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5175),
  [10455] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7583),
  [10457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1317),
  [10459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(27),
  [10461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(546),
  [10463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3659),
  [10465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2112),
  [10467] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2132),
  [10469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1071),
  [10471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1072),
  [10473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1066),
  [10475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1067),
  [10477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1064),
  [10479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1065),
  [10481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5263),
  [10483] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7579),
  [10485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1578),
  [10487] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_glimmer_opening_tag, 1),
  [10489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(461),
  [10491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5498),
  [10493] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7549),
  [10495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1179),
  [10497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1180),
  [10499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1606),
  [10501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1611),
  [10503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1184),
  [10505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1036),
  [10507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1037),
  [10509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1035),
  [10511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1185),
  [10513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5475),
  [10515] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7545),
  [10517] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_specifier, 2, .production_id = 57),
  [10519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7090),
  [10521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7095),
  [10523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4990),
  [10525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1198),
  [10527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1637),
  [10529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1199),
  [10531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1200),
  [10533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1618),
  [10535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1617),
  [10537] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_attribute, 2),
  [10539] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameter, 2, .production_id = 59),
  [10541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6944),
  [10543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(480),
  [10545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4942),
  [10547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1711),
  [10549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1430),
  [10551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1429),
  [10553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3655),
  [10555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1140),
  [10557] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_optional_parameter, 3, .production_id = 96),
  [10559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3202),
  [10561] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_required_parameter, 3, .production_id = 98),
  [10563] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_specifier, 1, .production_id = 5),
  [10565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3619),
  [10567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1261),
  [10569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1262),
  [10571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1265),
  [10573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1266),
  [10575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2003),
  [10577] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2004),
  [10579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1272),
  [10581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1273),
  [10583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7126),
  [10585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7123),
  [10587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(42),
  [10589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7133),
  [10591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7131),
  [10593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7138),
  [10595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7135),
  [10597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1434),
  [10599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(41),
  [10601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1112),
  [10603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1111),
  [10605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5180),
  [10607] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7323),
  [10609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1449),
  [10611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4825),
  [10613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7170),
  [10615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1450),
  [10617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1453),
  [10619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1452),
  [10621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(467),
  [10623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(494),
  [10625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1952),
  [10627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1862),
  [10629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(45),
  [10631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1020),
  [10633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(39),
  [10635] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7257),
  [10637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4599),
  [10639] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4610),
  [10641] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_specifier, 4, .production_id = 196),
  [10643] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_required_parameter, 2, .production_id = 38),
  [10645] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_specifier, 4, .production_id = 199),
  [10647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5153),
  [10649] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7173),
  [10651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4614),
  [10653] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4621),
  [10655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2164),
  [10657] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2163),
  [10659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4630),
  [10661] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4636),
  [10663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5201),
  [10665] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7405),
  [10667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1494),
  [10669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1493),
  [10671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2413),
  [10673] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2391),
  [10675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4046),
  [10677] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4052),
  [10679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2422),
  [10681] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2421),
  [10683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2426),
  [10685] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2425),
  [10687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2428),
  [10689] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2427),
  [10691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1398),
  [10693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1399),
  [10695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2616),
  [10697] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameter, 3, .production_id = 128),
  [10699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6954),
  [10701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6959),
  [10703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6927),
  [10705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2200),
  [10707] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2195),
  [10709] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_specifier, 4, .production_id = 196),
  [10711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6899),
  [10713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6898),
  [10715] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameter, 3, .production_id = 133),
  [10717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3847),
  [10719] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3848),
  [10721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6892),
  [10723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6894),
  [10725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3851),
  [10727] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3852),
  [10729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3855),
  [10731] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3856),
  [10733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5189),
  [10735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6414),
  [10737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1415),
  [10739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1416),
  [10741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1418),
  [10743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1419),
  [10745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5230),
  [10747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4411),
  [10749] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4294),
  [10751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5228),
  [10753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5218),
  [10755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1672),
  [10757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1671),
  [10759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1692),
  [10761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1658),
  [10763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4375),
  [10765] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4376),
  [10767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5168),
  [10769] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7578),
  [10771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4388),
  [10773] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4394),
  [10775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4422),
  [10777] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4423),
  [10779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4379),
  [10781] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4433),
  [10783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4434),
  [10785] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4439),
  [10787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2084),
  [10789] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2078),
  [10791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2170),
  [10793] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2140),
  [10795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1652),
  [10797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1651),
  [10799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(520),
  [10801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6189),
  [10803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6418),
  [10805] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_specifier, 3, .production_id = 149),
  [10807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3661),
  [10809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1472),
  [10811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5256),
  [10813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5362),
  [10815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1565),
  [10817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1564),
  [10819] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_specifier, 3, .production_id = 152),
  [10821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5056),
  [10823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5065),
  [10825] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_specifier, 3, .production_id = 149),
  [10827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6771),
  [10829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6772),
  [10831] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_assignment, 2, .production_id = 31),
  [10833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2867),
  [10835] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2865),
  [10837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2864),
  [10839] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2863),
  [10841] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_glimmer_template_repeat1, 1),
  [10843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5079),
  [10845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5082),
  [10847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2859),
  [10849] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2858),
  [10851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2855),
  [10853] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2854),
  [10855] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_optional_parameter, 4, .production_id = 154),
  [10857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2135),
  [10859] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2133),
  [10861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5737),
  [10863] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_clause, 1),
  [10865] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameter, 4, .production_id = 176),
  [10867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1503),
  [10869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1504),
  [10871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4913),
  [10873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6169),
  [10875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4779),
  [10877] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_optional_type, 2),
  [10879] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple_parameter, 2, .production_id = 32),
  [10881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5878),
  [10883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1318),
  [10885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3781),
  [10887] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3782),
  [10889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3754),
  [10891] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3755),
  [10893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1554),
  [10895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(51),
  [10897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1702),
  [10899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1704),
  [10901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3762),
  [10903] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3763),
  [10905] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__formal_parameter, 1),
  [10907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5297),
  [10909] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_export, 3),
  [10911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(533),
  [10913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6707),
  [10915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(539),
  [10917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(544),
  [10919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(545),
  [10921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2966),
  [10923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2963),
  [10925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3916),
  [10927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2957),
  [10929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2953),
  [10931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2949),
  [10933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(798),
  [10935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2948),
  [10937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2944),
  [10939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2942),
  [10941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7031),
  [10943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5714),
  [10945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2928),
  [10947] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7270),
  [10949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4635),
  [10951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6999),
  [10953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4271),
  [10955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3900),
  [10957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7444),
  [10959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(515),
  [10961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(532),
  [10963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4304),
  [10965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4397),
  [10967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6685),
  [10969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(660),
  [10971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3178),
  [10973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4327),
  [10975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6935),
  [10977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6922),
  [10979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6556),
  [10981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4326),
  [10983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6542),
  [10985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3912),
  [10987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4226),
  [10989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1891),
  [10991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6868),
  [10993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2931),
  [10995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4358),
  [10997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2870),
  [10999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6510),
  [11001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3911),
  [11003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4733),
  [11005] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7615),
  [11007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3910),
  [11009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7355),
  [11011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2868),
  [11013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1864),
  [11015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2866),
  [11017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4406),
  [11019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2861),
  [11021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2853),
  [11023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2848),
  [11025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6532),
  [11027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3909),
  [11029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2846),
  [11031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2842),
  [11033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2837),
  [11035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3908),
  [11037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3907),
  [11039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3906),
  [11041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6750),
  [11043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(706),
  [11045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(482),
  [11047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4455),
  [11049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3905),
  [11051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(483),
  [11053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3904),
  [11055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(479),
  [11057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(476),
  [11059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3903),
  [11061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(472),
  [11063] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_namespace_name, 3),
  [11065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(487),
  [11067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(470),
  [11069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(633),
  [11071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3194),
  [11073] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7482),
  [11075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4553),
  [11077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6674),
  [11079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4698),
  [11081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(757),
  [11083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3215),
  [11085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1880),
  [11087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4355),
  [11089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1893),
  [11091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2873),
  [11093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1858),
  [11095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4329),
  [11097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6648),
  [11099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6639),
  [11101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4320),
  [11103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7369),
  [11105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3897),
  [11107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3896),
  [11109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6610),
  [11111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4308),
  [11113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3895),
  [11115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3894),
  [11117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3893),
  [11119] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_named_imports, 4),
  [11121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7558),
  [11123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2497),
  [11125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7121),
  [11127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2495),
  [11129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4267),
  [11131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2045),
  [11133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3892),
  [11135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7455),
  [11137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3891),
  [11139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4310),
  [11141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3890),
  [11143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3889),
  [11145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7588),
  [11147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3888),
  [11149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7339),
  [11151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6515),
  [11153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2470),
  [11155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2460),
  [11157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2368),
  [11159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1811),
  [11161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4392),
  [11163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6818),
  [11165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6549),
  [11167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5167),
  [11169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1894),
  [11171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4737),
  [11173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6557),
  [11175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2398),
  [11177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1810),
  [11179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4420),
  [11181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4270),
  [11183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1909),
  [11185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(428),
  [11187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6572),
  [11189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(426),
  [11191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4303),
  [11193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6709),
  [11195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1813),
  [11197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2904),
  [11199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6594),
  [11201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6705),
  [11203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4360),
  [11205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1902),
  [11207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7526),
  [11209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1888),
  [11211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2905),
  [11213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4444),
  [11215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1897),
  [11217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1906),
  [11219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1895),
  [11221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4368),
  [11223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2435),
  [11225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2434),
  [11227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1814),
  [11229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6660),
  [11231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4567),
  [11233] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7493),
  [11235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6611),
  [11237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(801),
  [11239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(613),
  [11241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1808),
  [11243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3807),
  [11245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(936),
  [11247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7330),
  [11249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(935),
  [11251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(497),
  [11253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3815),
  [11255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(627),
  [11257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7320),
  [11259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7465),
  [11261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1851),
  [11263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1848),
  [11265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(296),
  [11267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(322),
  [11269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1898),
  [11271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1057),
  [11273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(534),
  [11275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1053),
  [11277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(527),
  [11279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(509),
  [11281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2506),
  [11283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2481),
  [11285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5639),
  [11287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2448),
  [11289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2445),
  [11291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2504),
  [11293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2377),
  [11295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(663),
  [11297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7305),
  [11299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(398),
  [11301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(399),
  [11303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6926),
  [11305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2512),
  [11307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5254),
  [11309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1916),
  [11311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4478),
  [11313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2446),
  [11315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2378),
  [11317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2379),
  [11319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1881),
  [11321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2394),
  [11323] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_named_imports, 5),
  [11325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5647),
  [11327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5790),
  [11329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2395),
  [11331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3997),
  [11333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4231),
  [11335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2401),
  [11337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1919),
  [11339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2402),
  [11341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2405),
  [11343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2407),
  [11345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(918),
  [11347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1003),
  [11349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(999),
  [11351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2409),
  [11353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2410),
  [11355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2090),
  [11357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6581),
  [11359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1806),
  [11361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2765),
  [11363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3026),
  [11365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3037),
  [11367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(768),
  [11369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(973),
  [11371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(367),
  [11373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7345),
  [11375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1805),
  [11377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1861),
  [11379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3981),
  [11381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(364),
  [11383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(498),
  [11385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4021),
  [11387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1884),
  [11389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(640),
  [11391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3753),
  [11393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3785),
  [11395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3779),
  [11397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7542),
  [11399] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_heritage, 2),
  [11401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3823),
  [11403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3774),
  [11405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3752),
  [11407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3772),
  [11409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1745),
  [11411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3771),
  [11413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3743),
  [11415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6881),
  [11417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3770),
  [11419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3758),
  [11421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4236),
  [11423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4643),
  [11425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4642),
  [11427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(519),
  [11429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4764),
  [11431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7360),
  [11433] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_named_imports, 2),
  [11435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4453),
  [11437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(518),
  [11439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(517),
  [11441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(705),
  [11443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3472),
  [11445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(966),
  [11447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4600),
  [11449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(508),
  [11451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4681),
  [11453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6411),
  [11455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2714),
  [11457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3769),
  [11459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2715),
  [11461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2964),
  [11463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6099),
  [11465] = {.entry = {.count = 1, .reusable = true}},  ACCEPT_INPUT(),
  [11467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7001),
  [11469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4624),
  [11471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7277),
  [11473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(516),
  [11475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(672),
  [11477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(511),
  [11479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(504),
  [11481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(502),
  [11483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1223),
  [11485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12),
  [11487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(490),
  [11489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(600),
  [11491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4343),
  [11493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4332),
  [11495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(622),
  [11497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4198),
  [11499] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_clause, 3),
  [11501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2687),
  [11503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(540),
  [11505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(521),
  [11507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(500),
  [11509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(393),
  [11511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3638),
  [11513] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7263),
  [11515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4164),
  [11517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4167),
  [11519] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_named_imports, 3),
  [11521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7211),
  [11523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7208),
  [11525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6102),
  [11527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7494),
  [11529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1807),
  [11531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4079),
  [11533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7633),
  [11535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4139),
  [11537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3757),
  [11539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7201),
  [11541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4125),
  [11543] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_import, 3),
  [11545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7115),
  [11547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5503),
  [11549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1936),
  [11551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5559),
  [11553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3778),
  [11555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5542),
  [11557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3775),
  [11559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1939),
  [11561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3756),
  [11563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1876),
  [11565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1809),
  [11567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5243),
  [11569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5713),
  [11571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5242),
  [11573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3773),
  [11575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(732),
  [11577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5106),
  [11579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3767),
  [11581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7215),
  [11583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7220),
  [11585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5108),
  [11587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3764),
  [11589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2130),
  [11591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1812),
  [11593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3776),
  [11595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3777),
  [11597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7233),
  [11599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7538),
  [11601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7073),
  [11603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5278),
  [11605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5172),
  [11607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1949),
  [11609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5688),
  [11611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3783),
  [11613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5096),
  [11615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1950),
  [11617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2396),
  [11619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4300),
  [11621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4006),
  [11623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1360),
  [11625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7281),
  [11627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7286),
  [11629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4005),
  [11631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4004),
  [11633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1359),
  [11635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4003),
  [11637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4000),
  [11639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3999),
  [11641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7299),
  [11643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3996),
  [11645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3995),
  [11647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6930),
  [11649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3994),
  [11651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5334),
  [11653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1954),
  [11655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5631),
  [11657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1915),
  [11659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5363),
  [11661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1844),
  [11663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1955),
  [11665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3993),
  [11667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3360),
  [11669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(568),
  [11671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7336),
  [11673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7340),
  [11675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3992),
  [11677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(507),
  [11679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3991),
  [11681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(506),
  [11683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7347),
  [11685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(505),
  [11687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6853),
  [11689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3990),
  [11691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5445),
  [11693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1932),
  [11695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3989),
  [11697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5440),
  [11699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1961),
  [11701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3988),
  [11703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4007),
  [11705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3986),
  [11707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6759),
  [11709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3985),
  [11711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3984),
  [11713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7421),
  [11715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(547),
  [11717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6584),
  [11719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7551),
  [11721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1847),
  [11723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6551),
  [11725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1728),
  [11727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7585),
  [11729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1730),
  [11731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6517),
  [11733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1849),
  [11735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7613),
  [11737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1732),
  [11739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6505),
  [11741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1736),
  [11743] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_comment, 1),
};

enum ts_external_scanner_symbol_identifiers {
  ts_external_token__automatic_semicolon = 0,
  ts_external_token__template_chars = 1,
  ts_external_token__ternary_qmark = 2,
  ts_external_token_html_comment = 3,
  ts_external_token_PIPE_PIPE = 4,
  ts_external_token_escape_sequence = 5,
  ts_external_token_regex_pattern = 6,
  ts_external_token__function_signature_automatic_semicolon = 7,
  ts_external_token___error_recovery = 8,
};

static const TSSymbol ts_external_scanner_symbol_map[EXTERNAL_TOKEN_COUNT] = {
  [ts_external_token__automatic_semicolon] = sym__automatic_semicolon,
  [ts_external_token__template_chars] = sym__template_chars,
  [ts_external_token__ternary_qmark] = sym__ternary_qmark,
  [ts_external_token_html_comment] = sym_html_comment,
  [ts_external_token_PIPE_PIPE] = anon_sym_PIPE_PIPE,
  [ts_external_token_escape_sequence] = sym_escape_sequence,
  [ts_external_token_regex_pattern] = sym_regex_pattern,
  [ts_external_token__function_signature_automatic_semicolon] = sym__function_signature_automatic_semicolon,
  [ts_external_token___error_recovery] = sym___error_recovery,
};

static const bool ts_external_scanner_states[11][EXTERNAL_TOKEN_COUNT] = {
  [1] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token__template_chars] = true,
    [ts_external_token__ternary_qmark] = true,
    [ts_external_token_html_comment] = true,
    [ts_external_token_PIPE_PIPE] = true,
    [ts_external_token_escape_sequence] = true,
    [ts_external_token__function_signature_automatic_semicolon] = true,
    [ts_external_token___error_recovery] = true,
  },
  [2] = {
    [ts_external_token_html_comment] = true,
  },
  [3] = {
    [ts_external_token__ternary_qmark] = true,
    [ts_external_token_html_comment] = true,
    [ts_external_token_PIPE_PIPE] = true,
  },
  [4] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token__ternary_qmark] = true,
    [ts_external_token_html_comment] = true,
    [ts_external_token_PIPE_PIPE] = true,
  },
  [5] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token_html_comment] = true,
  },
  [6] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token_html_comment] = true,
    [ts_external_token__function_signature_automatic_semicolon] = true,
  },
  [7] = {
    [ts_external_token__template_chars] = true,
    [ts_external_token_html_comment] = true,
    [ts_external_token_escape_sequence] = true,
  },
  [8] = {
    [ts_external_token__template_chars] = true,
    [ts_external_token_html_comment] = true,
  },
  [9] = {
    [ts_external_token_html_comment] = true,
    [ts_external_token_escape_sequence] = true,
  },
  [10] = {
    [ts_external_token_html_comment] = true,
    [ts_external_token_regex_pattern] = true,
  },
};

#ifdef __cplusplus
extern "C" {
#endif
void *tree_sitter_tsx_external_scanner_create(void);
void tree_sitter_tsx_external_scanner_destroy(void *);
bool tree_sitter_tsx_external_scanner_scan(void *, TSLexer *, const bool *);
unsigned tree_sitter_tsx_external_scanner_serialize(void *, char *);
void tree_sitter_tsx_external_scanner_deserialize(void *, const char *, unsigned);

#ifdef _WIN32
#define TS_PUBLIC __declspec(dllexport)
#else
#define TS_PUBLIC __attribute__((visibility("default")))
#endif

TS_PUBLIC const TSLanguage *tree_sitter_tsx() {
  static const TSLanguage language = {
    .version = LANGUAGE_VERSION,
    .symbol_count = SYMBOL_COUNT,
    .alias_count = ALIAS_COUNT,
    .token_count = TOKEN_COUNT,
    .external_token_count = EXTERNAL_TOKEN_COUNT,
    .state_count = STATE_COUNT,
    .large_state_count = LARGE_STATE_COUNT,
    .production_id_count = PRODUCTION_ID_COUNT,
    .field_count = FIELD_COUNT,
    .max_alias_sequence_length = MAX_ALIAS_SEQUENCE_LENGTH,
    .parse_table = &ts_parse_table[0][0],
    .small_parse_table = ts_small_parse_table,
    .small_parse_table_map = ts_small_parse_table_map,
    .parse_actions = ts_parse_actions,
    .symbol_names = ts_symbol_names,
    .field_names = ts_field_names,
    .field_map_slices = ts_field_map_slices,
    .field_map_entries = ts_field_map_entries,
    .symbol_metadata = ts_symbol_metadata,
    .public_symbol_map = ts_symbol_map,
    .alias_map = ts_non_terminal_alias_map,
    .alias_sequences = &ts_alias_sequences[0][0],
    .lex_modes = ts_lex_modes,
    .lex_fn = ts_lex,
    .keyword_lex_fn = ts_lex_keywords,
    .keyword_capture_token = sym_identifier,
    .external_scanner = {
      &ts_external_scanner_states[0][0],
      ts_external_scanner_symbol_map,
      tree_sitter_tsx_external_scanner_create,
      tree_sitter_tsx_external_scanner_destroy,
      tree_sitter_tsx_external_scanner_scan,
      tree_sitter_tsx_external_scanner_serialize,
      tree_sitter_tsx_external_scanner_deserialize,
    },
    .primary_state_ids = ts_primary_state_ids,
  };
  return &language;
}
#ifdef __cplusplus
}
#endif
